/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Resources/Dftb/3ob-3-1/Parameters.h"
#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

namespace {

std::vector<bool> remapElements(const std::vector<int>& elements) {
  std::vector<bool> required(112, false);
  for (int Z : elements) {
    required.at(Z) = true;
  }
  return required;
}

} // namespace

ParameterSet params_3ob_3_1(const std::vector<int>& elements) {
  ParameterSet data;

  if (elements.empty()) {
    data.pairData.emplace(std::make_pair(19, 1), params_3ob_3_1_k_h());
    data.pairData.emplace(std::make_pair(9, 8), params_3ob_3_1_f_o());
    data.pairData.emplace(std::make_pair(20, 16), params_3ob_3_1_ca_s());
    data.pairData.emplace(std::make_pair(8, 17), params_3ob_3_1_o_cl());
    data.pairData.emplace(std::make_pair(15, 11), params_3ob_3_1_p_na());
    data.pairData.emplace(std::make_pair(19, 12), params_3ob_3_1_k_mg());
    data.pairData.emplace(std::make_pair(8, 1), params_3ob_3_1_o_h());
    data.pairData.emplace(std::make_pair(6, 15), params_3ob_3_1_c_p());
    data.pairData.emplace(std::make_pair(9, 7), params_3ob_3_1_f_n());
    data.pairData.emplace(std::make_pair(16, 6), params_3ob_3_1_s_c());
    data.pairData.emplace(std::make_pair(16, 1), params_3ob_3_1_s_h());
    data.pairData.emplace(std::make_pair(15, 15), params_3ob_3_1_p_p());
    data.pairData.emplace(std::make_pair(9, 9), params_3ob_3_1_f_f());
    data.pairData.emplace(std::make_pair(35, 12), params_3ob_3_1_br_mg());
    data.pairData.emplace(std::make_pair(1, 35), params_3ob_3_1_h_br());
    data.pairData.emplace(std::make_pair(19, 17), params_3ob_3_1_k_cl());
    data.pairData.emplace(std::make_pair(15, 30), params_3ob_3_1_p_zn());
    data.pairData.emplace(std::make_pair(20, 1), params_3ob_3_1_ca_h());
    data.pairData.emplace(std::make_pair(35, 35), params_3ob_3_1_br_br());
    data.pairData.emplace(std::make_pair(9, 19), params_3ob_3_1_f_k());
    data.pairData.emplace(std::make_pair(8, 35), params_3ob_3_1_o_br());
    data.pairData.emplace(std::make_pair(12, 8), params_3ob_3_1_mg_o());
    data.pairData.emplace(std::make_pair(11, 30), params_3ob_3_1_na_zn());
    data.pairData.emplace(std::make_pair(16, 8), params_3ob_3_1_s_o());
    data.pairData.emplace(std::make_pair(6, 19), params_3ob_3_1_c_k());
    data.pairData.emplace(std::make_pair(35, 7), params_3ob_3_1_br_n());
    data.pairData.emplace(std::make_pair(6, 35), params_3ob_3_1_c_br());
    data.pairData.emplace(std::make_pair(11, 19), params_3ob_3_1_na_k());
    data.pairData.emplace(std::make_pair(12, 7), params_3ob_3_1_mg_n());
    data.pairData.emplace(std::make_pair(20, 19), params_3ob_3_1_ca_k());
    data.pairData.emplace(std::make_pair(15, 7), params_3ob_3_1_p_n());
    data.pairData.emplace(std::make_pair(1, 19), params_3ob_3_1_h_k());
    data.pairData.emplace(std::make_pair(16, 30), params_3ob_3_1_s_zn());
    data.pairData.emplace(std::make_pair(20, 15), params_3ob_3_1_ca_p());
    data.pairData.emplace(std::make_pair(12, 17), params_3ob_3_1_mg_cl());
    data.pairData.emplace(std::make_pair(53, 16), params_3ob_3_1_i_s());
    data.pairData.emplace(std::make_pair(11, 53), params_3ob_3_1_na_i());
    data.pairData.emplace(std::make_pair(12, 9), params_3ob_3_1_mg_f());
    data.pairData.emplace(std::make_pair(35, 15), params_3ob_3_1_br_p());
    data.pairData.emplace(std::make_pair(11, 9), params_3ob_3_1_na_f());
    data.pairData.emplace(std::make_pair(11, 16), params_3ob_3_1_na_s());
    data.pairData.emplace(std::make_pair(9, 6), params_3ob_3_1_f_c());
    data.pairData.emplace(std::make_pair(15, 19), params_3ob_3_1_p_k());
    data.pairData.emplace(std::make_pair(9, 35), params_3ob_3_1_f_br());
    data.pairData.emplace(std::make_pair(8, 6), params_3ob_3_1_o_c());
    data.pairData.emplace(std::make_pair(7, 53), params_3ob_3_1_n_i());
    data.pairData.emplace(std::make_pair(8, 53), params_3ob_3_1_o_i());
    data.pairData.emplace(std::make_pair(6, 8), params_3ob_3_1_c_o());
    data.pairData.emplace(std::make_pair(15, 1), params_3ob_3_1_p_h());
    data.pairData.emplace(std::make_pair(1, 16), params_3ob_3_1_h_s());
    data.pairData.emplace(std::make_pair(16, 35), params_3ob_3_1_s_br());
    data.pairData.emplace(std::make_pair(17, 12), params_3ob_3_1_cl_mg());
    data.pairData.emplace(std::make_pair(15, 53), params_3ob_3_1_p_i());
    data.pairData.emplace(std::make_pair(9, 1), params_3ob_3_1_f_h());
    data.pairData.emplace(std::make_pair(35, 16), params_3ob_3_1_br_s());
    data.pairData.emplace(std::make_pair(16, 16), params_3ob_3_1_s_s());
    data.pairData.emplace(std::make_pair(20, 11), params_3ob_3_1_ca_na());
    data.pairData.emplace(std::make_pair(11, 8), params_3ob_3_1_na_o());
    data.pairData.emplace(std::make_pair(35, 53), params_3ob_3_1_br_i());
    data.pairData.emplace(std::make_pair(6, 12), params_3ob_3_1_c_mg());
    data.pairData.emplace(std::make_pair(20, 9), params_3ob_3_1_ca_f());
    data.pairData.emplace(std::make_pair(17, 20), params_3ob_3_1_cl_ca());
    data.pairData.emplace(std::make_pair(6, 53), params_3ob_3_1_c_i());
    data.pairData.emplace(std::make_pair(53, 9), params_3ob_3_1_i_f());
    data.pairData.emplace(std::make_pair(15, 35), params_3ob_3_1_p_br());
    data.pairData.emplace(std::make_pair(6, 7), params_3ob_3_1_c_n());
    data.pairData.emplace(std::make_pair(19, 8), params_3ob_3_1_k_o());
    data.pairData.emplace(std::make_pair(53, 8), params_3ob_3_1_i_o());
    data.pairData.emplace(std::make_pair(16, 11), params_3ob_3_1_s_na());
    data.pairData.emplace(std::make_pair(35, 1), params_3ob_3_1_br_h());
    data.pairData.emplace(std::make_pair(12, 1), params_3ob_3_1_mg_h());
    data.pairData.emplace(std::make_pair(11, 11), params_3ob_3_1_na_na());
    data.pairData.emplace(std::make_pair(20, 53), params_3ob_3_1_ca_i());
    data.pairData.emplace(std::make_pair(9, 17), params_3ob_3_1_f_cl());
    data.pairData.emplace(std::make_pair(8, 11), params_3ob_3_1_o_na());
    data.pairData.emplace(std::make_pair(8, 19), params_3ob_3_1_o_k());
    data.pairData.emplace(std::make_pair(17, 30), params_3ob_3_1_cl_zn());
    data.pairData.emplace(std::make_pair(11, 12), params_3ob_3_1_na_mg());
    data.pairData.emplace(std::make_pair(1, 30), params_3ob_3_1_h_zn());
    data.pairData.emplace(std::make_pair(53, 19), params_3ob_3_1_i_k());
    data.pairData.emplace(std::make_pair(16, 53), params_3ob_3_1_s_i());
    data.pairData.emplace(std::make_pair(16, 9), params_3ob_3_1_s_f());
    data.pairData.emplace(std::make_pair(1, 9), params_3ob_3_1_h_f());
    data.pairData.emplace(std::make_pair(20, 12), params_3ob_3_1_ca_mg());
    data.pairData.emplace(std::make_pair(12, 6), params_3ob_3_1_mg_c());
    data.pairData.emplace(std::make_pair(30, 1), params_3ob_3_1_zn_h());
    data.pairData.emplace(std::make_pair(53, 30), params_3ob_3_1_i_zn());
    data.pairData.emplace(std::make_pair(7, 7), params_3ob_3_1_n_n());
    data.pairData.emplace(std::make_pair(8, 9), params_3ob_3_1_o_f());
    data.pairData.emplace(std::make_pair(6, 9), params_3ob_3_1_c_f());
    data.pairData.emplace(std::make_pair(7, 9), params_3ob_3_1_n_f());
    data.pairData.emplace(std::make_pair(16, 19), params_3ob_3_1_s_k());
    data.pairData.emplace(std::make_pair(30, 16), params_3ob_3_1_zn_s());
    data.pairData.emplace(std::make_pair(53, 11), params_3ob_3_1_i_na());
    data.pairData.emplace(std::make_pair(30, 20), params_3ob_3_1_zn_ca());
    data.pairData.emplace(std::make_pair(30, 17), params_3ob_3_1_zn_cl());
    data.pairData.emplace(std::make_pair(9, 30), params_3ob_3_1_f_zn());
    data.pairData.emplace(std::make_pair(7, 6), params_3ob_3_1_n_c());
    data.pairData.emplace(std::make_pair(9, 53), params_3ob_3_1_f_i());
    data.pairData.emplace(std::make_pair(30, 6), params_3ob_3_1_zn_c());
    data.pairData.emplace(std::make_pair(7, 19), params_3ob_3_1_n_k());
    data.pairData.emplace(std::make_pair(11, 35), params_3ob_3_1_na_br());
    data.pairData.emplace(std::make_pair(35, 6), params_3ob_3_1_br_c());
    data.pairData.emplace(std::make_pair(53, 7), params_3ob_3_1_i_n());
    data.pairData.emplace(std::make_pair(17, 53), params_3ob_3_1_cl_i());
    data.pairData.emplace(std::make_pair(1, 1), params_3ob_3_1_h_h());
    data.pairData.emplace(std::make_pair(30, 9), params_3ob_3_1_zn_f());
    data.pairData.emplace(std::make_pair(20, 7), params_3ob_3_1_ca_n());
    data.pairData.emplace(std::make_pair(17, 17), params_3ob_3_1_cl_cl());
    data.pairData.emplace(std::make_pair(8, 15), params_3ob_3_1_o_p());
    data.pairData.emplace(std::make_pair(17, 8), params_3ob_3_1_cl_o());
    data.pairData.emplace(std::make_pair(11, 1), params_3ob_3_1_na_h());
    data.pairData.emplace(std::make_pair(19, 15), params_3ob_3_1_k_p());
    data.pairData.emplace(std::make_pair(6, 17), params_3ob_3_1_c_cl());
    data.pairData.emplace(std::make_pair(15, 17), params_3ob_3_1_p_cl());
    data.pairData.emplace(std::make_pair(7, 12), params_3ob_3_1_n_mg());
    data.pairData.emplace(std::make_pair(20, 35), params_3ob_3_1_ca_br());
    data.pairData.emplace(std::make_pair(6, 20), params_3ob_3_1_c_ca());
    data.pairData.emplace(std::make_pair(7, 15), params_3ob_3_1_n_p());
    data.pairData.emplace(std::make_pair(15, 16), params_3ob_3_1_p_s());
    data.pairData.emplace(std::make_pair(19, 19), params_3ob_3_1_k_k());
    data.pairData.emplace(std::make_pair(53, 12), params_3ob_3_1_i_mg());
    data.pairData.emplace(std::make_pair(35, 19), params_3ob_3_1_br_k());
    data.pairData.emplace(std::make_pair(35, 8), params_3ob_3_1_br_o());
    data.pairData.emplace(std::make_pair(9, 11), params_3ob_3_1_f_na());
    data.pairData.emplace(std::make_pair(15, 20), params_3ob_3_1_p_ca());
    data.pairData.emplace(std::make_pair(6, 6), params_3ob_3_1_c_c());
    data.pairData.emplace(std::make_pair(17, 1), params_3ob_3_1_cl_h());
    data.pairData.emplace(std::make_pair(17, 11), params_3ob_3_1_cl_na());
    data.pairData.emplace(std::make_pair(12, 12), params_3ob_3_1_mg_mg());
    data.pairData.emplace(std::make_pair(7, 1), params_3ob_3_1_n_h());
    data.pairData.emplace(std::make_pair(11, 17), params_3ob_3_1_na_cl());
    data.pairData.emplace(std::make_pair(8, 16), params_3ob_3_1_o_s());
    data.pairData.emplace(std::make_pair(35, 30), params_3ob_3_1_br_zn());
    data.pairData.emplace(std::make_pair(20, 17), params_3ob_3_1_ca_cl());
    data.pairData.emplace(std::make_pair(12, 11), params_3ob_3_1_mg_na());
    data.pairData.emplace(std::make_pair(16, 7), params_3ob_3_1_s_n());
    data.pairData.emplace(std::make_pair(9, 20), params_3ob_3_1_f_ca());
    data.pairData.emplace(std::make_pair(30, 8), params_3ob_3_1_zn_o());
    data.pairData.emplace(std::make_pair(9, 15), params_3ob_3_1_f_p());
    data.pairData.emplace(std::make_pair(53, 15), params_3ob_3_1_i_p());
    data.pairData.emplace(std::make_pair(30, 12), params_3ob_3_1_zn_mg());
    data.pairData.emplace(std::make_pair(9, 16), params_3ob_3_1_f_s());
    data.pairData.emplace(std::make_pair(15, 12), params_3ob_3_1_p_mg());
    data.pairData.emplace(std::make_pair(7, 11), params_3ob_3_1_n_na());
    data.pairData.emplace(std::make_pair(12, 16), params_3ob_3_1_mg_s());
    data.pairData.emplace(std::make_pair(20, 6), params_3ob_3_1_ca_c());
    data.pairData.emplace(std::make_pair(1, 53), params_3ob_3_1_h_i());
    data.pairData.emplace(std::make_pair(1, 6), params_3ob_3_1_h_c());
    data.pairData.emplace(std::make_pair(1, 15), params_3ob_3_1_h_p());
    data.pairData.emplace(std::make_pair(19, 9), params_3ob_3_1_k_f());
    data.pairData.emplace(std::make_pair(15, 9), params_3ob_3_1_p_f());
    data.pairData.emplace(std::make_pair(15, 8), params_3ob_3_1_p_o());
    data.pairData.emplace(std::make_pair(8, 7), params_3ob_3_1_o_n());
    data.pairData.emplace(std::make_pair(17, 7), params_3ob_3_1_cl_n());
    data.pairData.emplace(std::make_pair(12, 15), params_3ob_3_1_mg_p());
    data.pairData.emplace(std::make_pair(16, 20), params_3ob_3_1_s_ca());
    data.pairData.emplace(std::make_pair(11, 7), params_3ob_3_1_na_n());
    data.pairData.emplace(std::make_pair(1, 17), params_3ob_3_1_h_cl());
    data.pairData.emplace(std::make_pair(12, 30), params_3ob_3_1_mg_zn());
    data.pairData.emplace(std::make_pair(30, 7), params_3ob_3_1_zn_n());
    data.pairData.emplace(std::make_pair(15, 6), params_3ob_3_1_p_c());
    data.pairData.emplace(std::make_pair(8, 12), params_3ob_3_1_o_mg());
    data.pairData.emplace(std::make_pair(11, 20), params_3ob_3_1_na_ca());
    data.pairData.emplace(std::make_pair(53, 1), params_3ob_3_1_i_h());
    data.pairData.emplace(std::make_pair(35, 9), params_3ob_3_1_br_f());
    data.pairData.emplace(std::make_pair(6, 11), params_3ob_3_1_c_na());
    data.pairData.emplace(std::make_pair(20, 8), params_3ob_3_1_ca_o());
    data.pairData.emplace(std::make_pair(19, 53), params_3ob_3_1_k_i());
    data.pairData.emplace(std::make_pair(35, 11), params_3ob_3_1_br_na());
    data.pairData.emplace(std::make_pair(1, 7), params_3ob_3_1_h_n());
    data.pairData.emplace(std::make_pair(53, 35), params_3ob_3_1_i_br());
    data.pairData.emplace(std::make_pair(1, 8), params_3ob_3_1_h_o());
    data.pairData.emplace(std::make_pair(30, 30), params_3ob_3_1_zn_zn());
    data.pairData.emplace(std::make_pair(7, 17), params_3ob_3_1_n_cl());
    data.pairData.emplace(std::make_pair(7, 30), params_3ob_3_1_n_zn());
    data.pairData.emplace(std::make_pair(35, 17), params_3ob_3_1_br_cl());
    data.pairData.emplace(std::make_pair(12, 19), params_3ob_3_1_mg_k());
    data.pairData.emplace(std::make_pair(6, 30), params_3ob_3_1_c_zn());
    data.pairData.emplace(std::make_pair(53, 6), params_3ob_3_1_i_c());
    data.pairData.emplace(std::make_pair(53, 53), params_3ob_3_1_i_i());
    data.pairData.emplace(std::make_pair(7, 16), params_3ob_3_1_n_s());
    data.pairData.emplace(std::make_pair(12, 53), params_3ob_3_1_mg_i());
    data.pairData.emplace(std::make_pair(30, 15), params_3ob_3_1_zn_p());
    data.pairData.emplace(std::make_pair(16, 17), params_3ob_3_1_s_cl());
    data.pairData.emplace(std::make_pair(7, 8), params_3ob_3_1_n_o());
    data.pairData.emplace(std::make_pair(19, 30), params_3ob_3_1_k_zn());
    data.pairData.emplace(std::make_pair(11, 6), params_3ob_3_1_na_c());
    data.pairData.emplace(std::make_pair(17, 15), params_3ob_3_1_cl_p());
    data.pairData.emplace(std::make_pair(17, 9), params_3ob_3_1_cl_f());
    data.pairData.emplace(std::make_pair(1, 12), params_3ob_3_1_h_mg());
    data.pairData.emplace(std::make_pair(6, 1), params_3ob_3_1_c_h());
    data.pairData.emplace(std::make_pair(7, 35), params_3ob_3_1_n_br());
    data.pairData.emplace(std::make_pair(12, 20), params_3ob_3_1_mg_ca());
    data.pairData.emplace(std::make_pair(1, 11), params_3ob_3_1_h_na());
    data.pairData.emplace(std::make_pair(19, 20), params_3ob_3_1_k_ca());
    data.pairData.emplace(std::make_pair(19, 7), params_3ob_3_1_k_n());
    data.pairData.emplace(std::make_pair(11, 15), params_3ob_3_1_na_p());
    data.pairData.emplace(std::make_pair(30, 53), params_3ob_3_1_zn_i());
    data.pairData.emplace(std::make_pair(17, 16), params_3ob_3_1_cl_s());
    data.pairData.emplace(std::make_pair(30, 11), params_3ob_3_1_zn_na());
    data.pairData.emplace(std::make_pair(53, 17), params_3ob_3_1_i_cl());
    data.pairData.emplace(std::make_pair(30, 35), params_3ob_3_1_zn_br());
    data.pairData.emplace(std::make_pair(20, 20), params_3ob_3_1_ca_ca());
    data.pairData.emplace(std::make_pair(6, 16), params_3ob_3_1_c_s());
    data.pairData.emplace(std::make_pair(16, 12), params_3ob_3_1_s_mg());
    data.pairData.emplace(std::make_pair(17, 35), params_3ob_3_1_cl_br());
    data.pairData.emplace(std::make_pair(1, 20), params_3ob_3_1_h_ca());
    data.pairData.emplace(std::make_pair(8, 8), params_3ob_3_1_o_o());
    data.pairData.emplace(std::make_pair(17, 19), params_3ob_3_1_cl_k());
    data.pairData.emplace(std::make_pair(53, 20), params_3ob_3_1_i_ca());
    data.pairData.emplace(std::make_pair(9, 12), params_3ob_3_1_f_mg());
    data.pairData.emplace(std::make_pair(35, 20), params_3ob_3_1_br_ca());
    data.pairData.emplace(std::make_pair(16, 15), params_3ob_3_1_s_p());
    data.pairData.emplace(std::make_pair(30, 19), params_3ob_3_1_zn_k());
    data.pairData.emplace(std::make_pair(17, 6), params_3ob_3_1_cl_c());
    data.pairData.emplace(std::make_pair(19, 35), params_3ob_3_1_k_br());
    data.pairData.emplace(std::make_pair(12, 35), params_3ob_3_1_mg_br());
    data.pairData.emplace(std::make_pair(7, 20), params_3ob_3_1_n_ca());
    data.pairData.emplace(std::make_pair(8, 30), params_3ob_3_1_o_zn());
    data.pairData.emplace(std::make_pair(8, 20), params_3ob_3_1_o_ca());
    data.pairData.emplace(std::make_pair(19, 16), params_3ob_3_1_k_s());
    data.pairData.emplace(std::make_pair(20, 30), params_3ob_3_1_ca_zn());
    data.pairData.emplace(std::make_pair(19, 6), params_3ob_3_1_k_c());
    data.pairData.emplace(std::make_pair(19, 11), params_3ob_3_1_k_na());
  }
  else {
    const auto required = remapElements(elements);
    if (required.at(19) && required.at(1)) {
      data.pairData.emplace(std::make_pair(19, 1), params_3ob_3_1_k_h());
    }
    if (required.at(9) && required.at(8)) {
      data.pairData.emplace(std::make_pair(9, 8), params_3ob_3_1_f_o());
    }
    if (required.at(20) && required.at(16)) {
      data.pairData.emplace(std::make_pair(20, 16), params_3ob_3_1_ca_s());
    }
    if (required.at(8) && required.at(17)) {
      data.pairData.emplace(std::make_pair(8, 17), params_3ob_3_1_o_cl());
    }
    if (required.at(15) && required.at(11)) {
      data.pairData.emplace(std::make_pair(15, 11), params_3ob_3_1_p_na());
    }
    if (required.at(19) && required.at(12)) {
      data.pairData.emplace(std::make_pair(19, 12), params_3ob_3_1_k_mg());
    }
    if (required.at(8) && required.at(1)) {
      data.pairData.emplace(std::make_pair(8, 1), params_3ob_3_1_o_h());
    }
    if (required.at(6) && required.at(15)) {
      data.pairData.emplace(std::make_pair(6, 15), params_3ob_3_1_c_p());
    }
    if (required.at(9) && required.at(7)) {
      data.pairData.emplace(std::make_pair(9, 7), params_3ob_3_1_f_n());
    }
    if (required.at(16) && required.at(6)) {
      data.pairData.emplace(std::make_pair(16, 6), params_3ob_3_1_s_c());
    }
    if (required.at(16) && required.at(1)) {
      data.pairData.emplace(std::make_pair(16, 1), params_3ob_3_1_s_h());
    }
    if (required.at(15)) {
      data.pairData.emplace(std::make_pair(15, 15), params_3ob_3_1_p_p());
    }
    if (required.at(9)) {
      data.pairData.emplace(std::make_pair(9, 9), params_3ob_3_1_f_f());
    }
    if (required.at(35) && required.at(12)) {
      data.pairData.emplace(std::make_pair(35, 12), params_3ob_3_1_br_mg());
    }
    if (required.at(1) && required.at(35)) {
      data.pairData.emplace(std::make_pair(1, 35), params_3ob_3_1_h_br());
    }
    if (required.at(19) && required.at(17)) {
      data.pairData.emplace(std::make_pair(19, 17), params_3ob_3_1_k_cl());
    }
    if (required.at(15) && required.at(30)) {
      data.pairData.emplace(std::make_pair(15, 30), params_3ob_3_1_p_zn());
    }
    if (required.at(20) && required.at(1)) {
      data.pairData.emplace(std::make_pair(20, 1), params_3ob_3_1_ca_h());
    }
    if (required.at(35)) {
      data.pairData.emplace(std::make_pair(35, 35), params_3ob_3_1_br_br());
    }
    if (required.at(9) && required.at(19)) {
      data.pairData.emplace(std::make_pair(9, 19), params_3ob_3_1_f_k());
    }
    if (required.at(8) && required.at(35)) {
      data.pairData.emplace(std::make_pair(8, 35), params_3ob_3_1_o_br());
    }
    if (required.at(12) && required.at(8)) {
      data.pairData.emplace(std::make_pair(12, 8), params_3ob_3_1_mg_o());
    }
    if (required.at(11) && required.at(30)) {
      data.pairData.emplace(std::make_pair(11, 30), params_3ob_3_1_na_zn());
    }
    if (required.at(16) && required.at(8)) {
      data.pairData.emplace(std::make_pair(16, 8), params_3ob_3_1_s_o());
    }
    if (required.at(6) && required.at(19)) {
      data.pairData.emplace(std::make_pair(6, 19), params_3ob_3_1_c_k());
    }
    if (required.at(35) && required.at(7)) {
      data.pairData.emplace(std::make_pair(35, 7), params_3ob_3_1_br_n());
    }
    if (required.at(6) && required.at(35)) {
      data.pairData.emplace(std::make_pair(6, 35), params_3ob_3_1_c_br());
    }
    if (required.at(11) && required.at(19)) {
      data.pairData.emplace(std::make_pair(11, 19), params_3ob_3_1_na_k());
    }
    if (required.at(12) && required.at(7)) {
      data.pairData.emplace(std::make_pair(12, 7), params_3ob_3_1_mg_n());
    }
    if (required.at(20) && required.at(19)) {
      data.pairData.emplace(std::make_pair(20, 19), params_3ob_3_1_ca_k());
    }
    if (required.at(15) && required.at(7)) {
      data.pairData.emplace(std::make_pair(15, 7), params_3ob_3_1_p_n());
    }
    if (required.at(1) && required.at(19)) {
      data.pairData.emplace(std::make_pair(1, 19), params_3ob_3_1_h_k());
    }
    if (required.at(16) && required.at(30)) {
      data.pairData.emplace(std::make_pair(16, 30), params_3ob_3_1_s_zn());
    }
    if (required.at(20) && required.at(15)) {
      data.pairData.emplace(std::make_pair(20, 15), params_3ob_3_1_ca_p());
    }
    if (required.at(12) && required.at(17)) {
      data.pairData.emplace(std::make_pair(12, 17), params_3ob_3_1_mg_cl());
    }
    if (required.at(53) && required.at(16)) {
      data.pairData.emplace(std::make_pair(53, 16), params_3ob_3_1_i_s());
    }
    if (required.at(11) && required.at(53)) {
      data.pairData.emplace(std::make_pair(11, 53), params_3ob_3_1_na_i());
    }
    if (required.at(12) && required.at(9)) {
      data.pairData.emplace(std::make_pair(12, 9), params_3ob_3_1_mg_f());
    }
    if (required.at(35) && required.at(15)) {
      data.pairData.emplace(std::make_pair(35, 15), params_3ob_3_1_br_p());
    }
    if (required.at(11) && required.at(9)) {
      data.pairData.emplace(std::make_pair(11, 9), params_3ob_3_1_na_f());
    }
    if (required.at(11) && required.at(16)) {
      data.pairData.emplace(std::make_pair(11, 16), params_3ob_3_1_na_s());
    }
    if (required.at(9) && required.at(6)) {
      data.pairData.emplace(std::make_pair(9, 6), params_3ob_3_1_f_c());
    }
    if (required.at(15) && required.at(19)) {
      data.pairData.emplace(std::make_pair(15, 19), params_3ob_3_1_p_k());
    }
    if (required.at(9) && required.at(35)) {
      data.pairData.emplace(std::make_pair(9, 35), params_3ob_3_1_f_br());
    }
    if (required.at(8) && required.at(6)) {
      data.pairData.emplace(std::make_pair(8, 6), params_3ob_3_1_o_c());
    }
    if (required.at(7) && required.at(53)) {
      data.pairData.emplace(std::make_pair(7, 53), params_3ob_3_1_n_i());
    }
    if (required.at(8) && required.at(53)) {
      data.pairData.emplace(std::make_pair(8, 53), params_3ob_3_1_o_i());
    }
    if (required.at(6) && required.at(8)) {
      data.pairData.emplace(std::make_pair(6, 8), params_3ob_3_1_c_o());
    }
    if (required.at(15) && required.at(1)) {
      data.pairData.emplace(std::make_pair(15, 1), params_3ob_3_1_p_h());
    }
    if (required.at(1) && required.at(16)) {
      data.pairData.emplace(std::make_pair(1, 16), params_3ob_3_1_h_s());
    }
    if (required.at(16) && required.at(35)) {
      data.pairData.emplace(std::make_pair(16, 35), params_3ob_3_1_s_br());
    }
    if (required.at(17) && required.at(12)) {
      data.pairData.emplace(std::make_pair(17, 12), params_3ob_3_1_cl_mg());
    }
    if (required.at(15) && required.at(53)) {
      data.pairData.emplace(std::make_pair(15, 53), params_3ob_3_1_p_i());
    }
    if (required.at(9) && required.at(1)) {
      data.pairData.emplace(std::make_pair(9, 1), params_3ob_3_1_f_h());
    }
    if (required.at(35) && required.at(16)) {
      data.pairData.emplace(std::make_pair(35, 16), params_3ob_3_1_br_s());
    }
    if (required.at(16)) {
      data.pairData.emplace(std::make_pair(16, 16), params_3ob_3_1_s_s());
    }
    if (required.at(20) && required.at(11)) {
      data.pairData.emplace(std::make_pair(20, 11), params_3ob_3_1_ca_na());
    }
    if (required.at(11) && required.at(8)) {
      data.pairData.emplace(std::make_pair(11, 8), params_3ob_3_1_na_o());
    }
    if (required.at(35) && required.at(53)) {
      data.pairData.emplace(std::make_pair(35, 53), params_3ob_3_1_br_i());
    }
    if (required.at(6) && required.at(12)) {
      data.pairData.emplace(std::make_pair(6, 12), params_3ob_3_1_c_mg());
    }
    if (required.at(20) && required.at(9)) {
      data.pairData.emplace(std::make_pair(20, 9), params_3ob_3_1_ca_f());
    }
    if (required.at(17) && required.at(20)) {
      data.pairData.emplace(std::make_pair(17, 20), params_3ob_3_1_cl_ca());
    }
    if (required.at(6) && required.at(53)) {
      data.pairData.emplace(std::make_pair(6, 53), params_3ob_3_1_c_i());
    }
    if (required.at(53) && required.at(9)) {
      data.pairData.emplace(std::make_pair(53, 9), params_3ob_3_1_i_f());
    }
    if (required.at(15) && required.at(35)) {
      data.pairData.emplace(std::make_pair(15, 35), params_3ob_3_1_p_br());
    }
    if (required.at(6) && required.at(7)) {
      data.pairData.emplace(std::make_pair(6, 7), params_3ob_3_1_c_n());
    }
    if (required.at(19) && required.at(8)) {
      data.pairData.emplace(std::make_pair(19, 8), params_3ob_3_1_k_o());
    }
    if (required.at(53) && required.at(8)) {
      data.pairData.emplace(std::make_pair(53, 8), params_3ob_3_1_i_o());
    }
    if (required.at(16) && required.at(11)) {
      data.pairData.emplace(std::make_pair(16, 11), params_3ob_3_1_s_na());
    }
    if (required.at(35) && required.at(1)) {
      data.pairData.emplace(std::make_pair(35, 1), params_3ob_3_1_br_h());
    }
    if (required.at(12) && required.at(1)) {
      data.pairData.emplace(std::make_pair(12, 1), params_3ob_3_1_mg_h());
    }
    if (required.at(11)) {
      data.pairData.emplace(std::make_pair(11, 11), params_3ob_3_1_na_na());
    }
    if (required.at(20) && required.at(53)) {
      data.pairData.emplace(std::make_pair(20, 53), params_3ob_3_1_ca_i());
    }
    if (required.at(9) && required.at(17)) {
      data.pairData.emplace(std::make_pair(9, 17), params_3ob_3_1_f_cl());
    }
    if (required.at(8) && required.at(11)) {
      data.pairData.emplace(std::make_pair(8, 11), params_3ob_3_1_o_na());
    }
    if (required.at(8) && required.at(19)) {
      data.pairData.emplace(std::make_pair(8, 19), params_3ob_3_1_o_k());
    }
    if (required.at(17) && required.at(30)) {
      data.pairData.emplace(std::make_pair(17, 30), params_3ob_3_1_cl_zn());
    }
    if (required.at(11) && required.at(12)) {
      data.pairData.emplace(std::make_pair(11, 12), params_3ob_3_1_na_mg());
    }
    if (required.at(1) && required.at(30)) {
      data.pairData.emplace(std::make_pair(1, 30), params_3ob_3_1_h_zn());
    }
    if (required.at(53) && required.at(19)) {
      data.pairData.emplace(std::make_pair(53, 19), params_3ob_3_1_i_k());
    }
    if (required.at(16) && required.at(53)) {
      data.pairData.emplace(std::make_pair(16, 53), params_3ob_3_1_s_i());
    }
    if (required.at(16) && required.at(9)) {
      data.pairData.emplace(std::make_pair(16, 9), params_3ob_3_1_s_f());
    }
    if (required.at(1) && required.at(9)) {
      data.pairData.emplace(std::make_pair(1, 9), params_3ob_3_1_h_f());
    }
    if (required.at(20) && required.at(12)) {
      data.pairData.emplace(std::make_pair(20, 12), params_3ob_3_1_ca_mg());
    }
    if (required.at(12) && required.at(6)) {
      data.pairData.emplace(std::make_pair(12, 6), params_3ob_3_1_mg_c());
    }
    if (required.at(30) && required.at(1)) {
      data.pairData.emplace(std::make_pair(30, 1), params_3ob_3_1_zn_h());
    }
    if (required.at(53) && required.at(30)) {
      data.pairData.emplace(std::make_pair(53, 30), params_3ob_3_1_i_zn());
    }
    if (required.at(7)) {
      data.pairData.emplace(std::make_pair(7, 7), params_3ob_3_1_n_n());
    }
    if (required.at(8) && required.at(9)) {
      data.pairData.emplace(std::make_pair(8, 9), params_3ob_3_1_o_f());
    }
    if (required.at(6) && required.at(9)) {
      data.pairData.emplace(std::make_pair(6, 9), params_3ob_3_1_c_f());
    }
    if (required.at(7) && required.at(9)) {
      data.pairData.emplace(std::make_pair(7, 9), params_3ob_3_1_n_f());
    }
    if (required.at(16) && required.at(19)) {
      data.pairData.emplace(std::make_pair(16, 19), params_3ob_3_1_s_k());
    }
    if (required.at(30) && required.at(16)) {
      data.pairData.emplace(std::make_pair(30, 16), params_3ob_3_1_zn_s());
    }
    if (required.at(53) && required.at(11)) {
      data.pairData.emplace(std::make_pair(53, 11), params_3ob_3_1_i_na());
    }
    if (required.at(30) && required.at(20)) {
      data.pairData.emplace(std::make_pair(30, 20), params_3ob_3_1_zn_ca());
    }
    if (required.at(30) && required.at(17)) {
      data.pairData.emplace(std::make_pair(30, 17), params_3ob_3_1_zn_cl());
    }
    if (required.at(9) && required.at(30)) {
      data.pairData.emplace(std::make_pair(9, 30), params_3ob_3_1_f_zn());
    }
    if (required.at(7) && required.at(6)) {
      data.pairData.emplace(std::make_pair(7, 6), params_3ob_3_1_n_c());
    }
    if (required.at(9) && required.at(53)) {
      data.pairData.emplace(std::make_pair(9, 53), params_3ob_3_1_f_i());
    }
    if (required.at(30) && required.at(6)) {
      data.pairData.emplace(std::make_pair(30, 6), params_3ob_3_1_zn_c());
    }
    if (required.at(7) && required.at(19)) {
      data.pairData.emplace(std::make_pair(7, 19), params_3ob_3_1_n_k());
    }
    if (required.at(11) && required.at(35)) {
      data.pairData.emplace(std::make_pair(11, 35), params_3ob_3_1_na_br());
    }
    if (required.at(35) && required.at(6)) {
      data.pairData.emplace(std::make_pair(35, 6), params_3ob_3_1_br_c());
    }
    if (required.at(53) && required.at(7)) {
      data.pairData.emplace(std::make_pair(53, 7), params_3ob_3_1_i_n());
    }
    if (required.at(17) && required.at(53)) {
      data.pairData.emplace(std::make_pair(17, 53), params_3ob_3_1_cl_i());
    }
    if (required.at(1)) {
      data.pairData.emplace(std::make_pair(1, 1), params_3ob_3_1_h_h());
    }
    if (required.at(30) && required.at(9)) {
      data.pairData.emplace(std::make_pair(30, 9), params_3ob_3_1_zn_f());
    }
    if (required.at(20) && required.at(7)) {
      data.pairData.emplace(std::make_pair(20, 7), params_3ob_3_1_ca_n());
    }
    if (required.at(17)) {
      data.pairData.emplace(std::make_pair(17, 17), params_3ob_3_1_cl_cl());
    }
    if (required.at(8) && required.at(15)) {
      data.pairData.emplace(std::make_pair(8, 15), params_3ob_3_1_o_p());
    }
    if (required.at(17) && required.at(8)) {
      data.pairData.emplace(std::make_pair(17, 8), params_3ob_3_1_cl_o());
    }
    if (required.at(11) && required.at(1)) {
      data.pairData.emplace(std::make_pair(11, 1), params_3ob_3_1_na_h());
    }
    if (required.at(19) && required.at(15)) {
      data.pairData.emplace(std::make_pair(19, 15), params_3ob_3_1_k_p());
    }
    if (required.at(6) && required.at(17)) {
      data.pairData.emplace(std::make_pair(6, 17), params_3ob_3_1_c_cl());
    }
    if (required.at(15) && required.at(17)) {
      data.pairData.emplace(std::make_pair(15, 17), params_3ob_3_1_p_cl());
    }
    if (required.at(7) && required.at(12)) {
      data.pairData.emplace(std::make_pair(7, 12), params_3ob_3_1_n_mg());
    }
    if (required.at(20) && required.at(35)) {
      data.pairData.emplace(std::make_pair(20, 35), params_3ob_3_1_ca_br());
    }
    if (required.at(6) && required.at(20)) {
      data.pairData.emplace(std::make_pair(6, 20), params_3ob_3_1_c_ca());
    }
    if (required.at(7) && required.at(15)) {
      data.pairData.emplace(std::make_pair(7, 15), params_3ob_3_1_n_p());
    }
    if (required.at(15) && required.at(16)) {
      data.pairData.emplace(std::make_pair(15, 16), params_3ob_3_1_p_s());
    }
    if (required.at(19)) {
      data.pairData.emplace(std::make_pair(19, 19), params_3ob_3_1_k_k());
    }
    if (required.at(53) && required.at(12)) {
      data.pairData.emplace(std::make_pair(53, 12), params_3ob_3_1_i_mg());
    }
    if (required.at(35) && required.at(19)) {
      data.pairData.emplace(std::make_pair(35, 19), params_3ob_3_1_br_k());
    }
    if (required.at(35) && required.at(8)) {
      data.pairData.emplace(std::make_pair(35, 8), params_3ob_3_1_br_o());
    }
    if (required.at(9) && required.at(11)) {
      data.pairData.emplace(std::make_pair(9, 11), params_3ob_3_1_f_na());
    }
    if (required.at(15) && required.at(20)) {
      data.pairData.emplace(std::make_pair(15, 20), params_3ob_3_1_p_ca());
    }
    if (required.at(6)) {
      data.pairData.emplace(std::make_pair(6, 6), params_3ob_3_1_c_c());
    }
    if (required.at(17) && required.at(1)) {
      data.pairData.emplace(std::make_pair(17, 1), params_3ob_3_1_cl_h());
    }
    if (required.at(17) && required.at(11)) {
      data.pairData.emplace(std::make_pair(17, 11), params_3ob_3_1_cl_na());
    }
    if (required.at(12)) {
      data.pairData.emplace(std::make_pair(12, 12), params_3ob_3_1_mg_mg());
    }
    if (required.at(7) && required.at(1)) {
      data.pairData.emplace(std::make_pair(7, 1), params_3ob_3_1_n_h());
    }
    if (required.at(11) && required.at(17)) {
      data.pairData.emplace(std::make_pair(11, 17), params_3ob_3_1_na_cl());
    }
    if (required.at(8) && required.at(16)) {
      data.pairData.emplace(std::make_pair(8, 16), params_3ob_3_1_o_s());
    }
    if (required.at(35) && required.at(30)) {
      data.pairData.emplace(std::make_pair(35, 30), params_3ob_3_1_br_zn());
    }
    if (required.at(20) && required.at(17)) {
      data.pairData.emplace(std::make_pair(20, 17), params_3ob_3_1_ca_cl());
    }
    if (required.at(12) && required.at(11)) {
      data.pairData.emplace(std::make_pair(12, 11), params_3ob_3_1_mg_na());
    }
    if (required.at(16) && required.at(7)) {
      data.pairData.emplace(std::make_pair(16, 7), params_3ob_3_1_s_n());
    }
    if (required.at(9) && required.at(20)) {
      data.pairData.emplace(std::make_pair(9, 20), params_3ob_3_1_f_ca());
    }
    if (required.at(30) && required.at(8)) {
      data.pairData.emplace(std::make_pair(30, 8), params_3ob_3_1_zn_o());
    }
    if (required.at(9) && required.at(15)) {
      data.pairData.emplace(std::make_pair(9, 15), params_3ob_3_1_f_p());
    }
    if (required.at(53) && required.at(15)) {
      data.pairData.emplace(std::make_pair(53, 15), params_3ob_3_1_i_p());
    }
    if (required.at(30) && required.at(12)) {
      data.pairData.emplace(std::make_pair(30, 12), params_3ob_3_1_zn_mg());
    }
    if (required.at(9) && required.at(16)) {
      data.pairData.emplace(std::make_pair(9, 16), params_3ob_3_1_f_s());
    }
    if (required.at(15) && required.at(12)) {
      data.pairData.emplace(std::make_pair(15, 12), params_3ob_3_1_p_mg());
    }
    if (required.at(7) && required.at(11)) {
      data.pairData.emplace(std::make_pair(7, 11), params_3ob_3_1_n_na());
    }
    if (required.at(12) && required.at(16)) {
      data.pairData.emplace(std::make_pair(12, 16), params_3ob_3_1_mg_s());
    }
    if (required.at(20) && required.at(6)) {
      data.pairData.emplace(std::make_pair(20, 6), params_3ob_3_1_ca_c());
    }
    if (required.at(1) && required.at(53)) {
      data.pairData.emplace(std::make_pair(1, 53), params_3ob_3_1_h_i());
    }
    if (required.at(1) && required.at(6)) {
      data.pairData.emplace(std::make_pair(1, 6), params_3ob_3_1_h_c());
    }
    if (required.at(1) && required.at(15)) {
      data.pairData.emplace(std::make_pair(1, 15), params_3ob_3_1_h_p());
    }
    if (required.at(19) && required.at(9)) {
      data.pairData.emplace(std::make_pair(19, 9), params_3ob_3_1_k_f());
    }
    if (required.at(15) && required.at(9)) {
      data.pairData.emplace(std::make_pair(15, 9), params_3ob_3_1_p_f());
    }
    if (required.at(15) && required.at(8)) {
      data.pairData.emplace(std::make_pair(15, 8), params_3ob_3_1_p_o());
    }
    if (required.at(8) && required.at(7)) {
      data.pairData.emplace(std::make_pair(8, 7), params_3ob_3_1_o_n());
    }
    if (required.at(17) && required.at(7)) {
      data.pairData.emplace(std::make_pair(17, 7), params_3ob_3_1_cl_n());
    }
    if (required.at(12) && required.at(15)) {
      data.pairData.emplace(std::make_pair(12, 15), params_3ob_3_1_mg_p());
    }
    if (required.at(16) && required.at(20)) {
      data.pairData.emplace(std::make_pair(16, 20), params_3ob_3_1_s_ca());
    }
    if (required.at(11) && required.at(7)) {
      data.pairData.emplace(std::make_pair(11, 7), params_3ob_3_1_na_n());
    }
    if (required.at(1) && required.at(17)) {
      data.pairData.emplace(std::make_pair(1, 17), params_3ob_3_1_h_cl());
    }
    if (required.at(12) && required.at(30)) {
      data.pairData.emplace(std::make_pair(12, 30), params_3ob_3_1_mg_zn());
    }
    if (required.at(30) && required.at(7)) {
      data.pairData.emplace(std::make_pair(30, 7), params_3ob_3_1_zn_n());
    }
    if (required.at(15) && required.at(6)) {
      data.pairData.emplace(std::make_pair(15, 6), params_3ob_3_1_p_c());
    }
    if (required.at(8) && required.at(12)) {
      data.pairData.emplace(std::make_pair(8, 12), params_3ob_3_1_o_mg());
    }
    if (required.at(11) && required.at(20)) {
      data.pairData.emplace(std::make_pair(11, 20), params_3ob_3_1_na_ca());
    }
    if (required.at(53) && required.at(1)) {
      data.pairData.emplace(std::make_pair(53, 1), params_3ob_3_1_i_h());
    }
    if (required.at(35) && required.at(9)) {
      data.pairData.emplace(std::make_pair(35, 9), params_3ob_3_1_br_f());
    }
    if (required.at(6) && required.at(11)) {
      data.pairData.emplace(std::make_pair(6, 11), params_3ob_3_1_c_na());
    }
    if (required.at(20) && required.at(8)) {
      data.pairData.emplace(std::make_pair(20, 8), params_3ob_3_1_ca_o());
    }
    if (required.at(19) && required.at(53)) {
      data.pairData.emplace(std::make_pair(19, 53), params_3ob_3_1_k_i());
    }
    if (required.at(35) && required.at(11)) {
      data.pairData.emplace(std::make_pair(35, 11), params_3ob_3_1_br_na());
    }
    if (required.at(1) && required.at(7)) {
      data.pairData.emplace(std::make_pair(1, 7), params_3ob_3_1_h_n());
    }
    if (required.at(53) && required.at(35)) {
      data.pairData.emplace(std::make_pair(53, 35), params_3ob_3_1_i_br());
    }
    if (required.at(1) && required.at(8)) {
      data.pairData.emplace(std::make_pair(1, 8), params_3ob_3_1_h_o());
    }
    if (required.at(30)) {
      data.pairData.emplace(std::make_pair(30, 30), params_3ob_3_1_zn_zn());
    }
    if (required.at(7) && required.at(17)) {
      data.pairData.emplace(std::make_pair(7, 17), params_3ob_3_1_n_cl());
    }
    if (required.at(7) && required.at(30)) {
      data.pairData.emplace(std::make_pair(7, 30), params_3ob_3_1_n_zn());
    }
    if (required.at(35) && required.at(17)) {
      data.pairData.emplace(std::make_pair(35, 17), params_3ob_3_1_br_cl());
    }
    if (required.at(12) && required.at(19)) {
      data.pairData.emplace(std::make_pair(12, 19), params_3ob_3_1_mg_k());
    }
    if (required.at(6) && required.at(30)) {
      data.pairData.emplace(std::make_pair(6, 30), params_3ob_3_1_c_zn());
    }
    if (required.at(53) && required.at(6)) {
      data.pairData.emplace(std::make_pair(53, 6), params_3ob_3_1_i_c());
    }
    if (required.at(53)) {
      data.pairData.emplace(std::make_pair(53, 53), params_3ob_3_1_i_i());
    }
    if (required.at(7) && required.at(16)) {
      data.pairData.emplace(std::make_pair(7, 16), params_3ob_3_1_n_s());
    }
    if (required.at(12) && required.at(53)) {
      data.pairData.emplace(std::make_pair(12, 53), params_3ob_3_1_mg_i());
    }
    if (required.at(30) && required.at(15)) {
      data.pairData.emplace(std::make_pair(30, 15), params_3ob_3_1_zn_p());
    }
    if (required.at(16) && required.at(17)) {
      data.pairData.emplace(std::make_pair(16, 17), params_3ob_3_1_s_cl());
    }
    if (required.at(7) && required.at(8)) {
      data.pairData.emplace(std::make_pair(7, 8), params_3ob_3_1_n_o());
    }
    if (required.at(19) && required.at(30)) {
      data.pairData.emplace(std::make_pair(19, 30), params_3ob_3_1_k_zn());
    }
    if (required.at(11) && required.at(6)) {
      data.pairData.emplace(std::make_pair(11, 6), params_3ob_3_1_na_c());
    }
    if (required.at(17) && required.at(15)) {
      data.pairData.emplace(std::make_pair(17, 15), params_3ob_3_1_cl_p());
    }
    if (required.at(17) && required.at(9)) {
      data.pairData.emplace(std::make_pair(17, 9), params_3ob_3_1_cl_f());
    }
    if (required.at(1) && required.at(12)) {
      data.pairData.emplace(std::make_pair(1, 12), params_3ob_3_1_h_mg());
    }
    if (required.at(6) && required.at(1)) {
      data.pairData.emplace(std::make_pair(6, 1), params_3ob_3_1_c_h());
    }
    if (required.at(7) && required.at(35)) {
      data.pairData.emplace(std::make_pair(7, 35), params_3ob_3_1_n_br());
    }
    if (required.at(12) && required.at(20)) {
      data.pairData.emplace(std::make_pair(12, 20), params_3ob_3_1_mg_ca());
    }
    if (required.at(1) && required.at(11)) {
      data.pairData.emplace(std::make_pair(1, 11), params_3ob_3_1_h_na());
    }
    if (required.at(19) && required.at(20)) {
      data.pairData.emplace(std::make_pair(19, 20), params_3ob_3_1_k_ca());
    }
    if (required.at(19) && required.at(7)) {
      data.pairData.emplace(std::make_pair(19, 7), params_3ob_3_1_k_n());
    }
    if (required.at(11) && required.at(15)) {
      data.pairData.emplace(std::make_pair(11, 15), params_3ob_3_1_na_p());
    }
    if (required.at(30) && required.at(53)) {
      data.pairData.emplace(std::make_pair(30, 53), params_3ob_3_1_zn_i());
    }
    if (required.at(17) && required.at(16)) {
      data.pairData.emplace(std::make_pair(17, 16), params_3ob_3_1_cl_s());
    }
    if (required.at(30) && required.at(11)) {
      data.pairData.emplace(std::make_pair(30, 11), params_3ob_3_1_zn_na());
    }
    if (required.at(53) && required.at(17)) {
      data.pairData.emplace(std::make_pair(53, 17), params_3ob_3_1_i_cl());
    }
    if (required.at(30) && required.at(35)) {
      data.pairData.emplace(std::make_pair(30, 35), params_3ob_3_1_zn_br());
    }
    if (required.at(20)) {
      data.pairData.emplace(std::make_pair(20, 20), params_3ob_3_1_ca_ca());
    }
    if (required.at(6) && required.at(16)) {
      data.pairData.emplace(std::make_pair(6, 16), params_3ob_3_1_c_s());
    }
    if (required.at(16) && required.at(12)) {
      data.pairData.emplace(std::make_pair(16, 12), params_3ob_3_1_s_mg());
    }
    if (required.at(17) && required.at(35)) {
      data.pairData.emplace(std::make_pair(17, 35), params_3ob_3_1_cl_br());
    }
    if (required.at(1) && required.at(20)) {
      data.pairData.emplace(std::make_pair(1, 20), params_3ob_3_1_h_ca());
    }
    if (required.at(8)) {
      data.pairData.emplace(std::make_pair(8, 8), params_3ob_3_1_o_o());
    }
    if (required.at(17) && required.at(19)) {
      data.pairData.emplace(std::make_pair(17, 19), params_3ob_3_1_cl_k());
    }
    if (required.at(53) && required.at(20)) {
      data.pairData.emplace(std::make_pair(53, 20), params_3ob_3_1_i_ca());
    }
    if (required.at(9) && required.at(12)) {
      data.pairData.emplace(std::make_pair(9, 12), params_3ob_3_1_f_mg());
    }
    if (required.at(35) && required.at(20)) {
      data.pairData.emplace(std::make_pair(35, 20), params_3ob_3_1_br_ca());
    }
    if (required.at(16) && required.at(15)) {
      data.pairData.emplace(std::make_pair(16, 15), params_3ob_3_1_s_p());
    }
    if (required.at(30) && required.at(19)) {
      data.pairData.emplace(std::make_pair(30, 19), params_3ob_3_1_zn_k());
    }
    if (required.at(17) && required.at(6)) {
      data.pairData.emplace(std::make_pair(17, 6), params_3ob_3_1_cl_c());
    }
    if (required.at(19) && required.at(35)) {
      data.pairData.emplace(std::make_pair(19, 35), params_3ob_3_1_k_br());
    }
    if (required.at(12) && required.at(35)) {
      data.pairData.emplace(std::make_pair(12, 35), params_3ob_3_1_mg_br());
    }
    if (required.at(7) && required.at(20)) {
      data.pairData.emplace(std::make_pair(7, 20), params_3ob_3_1_n_ca());
    }
    if (required.at(8) && required.at(30)) {
      data.pairData.emplace(std::make_pair(8, 30), params_3ob_3_1_o_zn());
    }
    if (required.at(8) && required.at(20)) {
      data.pairData.emplace(std::make_pair(8, 20), params_3ob_3_1_o_ca());
    }
    if (required.at(19) && required.at(16)) {
      data.pairData.emplace(std::make_pair(19, 16), params_3ob_3_1_k_s());
    }
    if (required.at(20) && required.at(30)) {
      data.pairData.emplace(std::make_pair(20, 30), params_3ob_3_1_ca_zn());
    }
    if (required.at(19) && required.at(6)) {
      data.pairData.emplace(std::make_pair(19, 6), params_3ob_3_1_k_c());
    }
    if (required.at(19) && required.at(11)) {
      data.pairData.emplace(std::make_pair(19, 11), params_3ob_3_1_k_na());
    }
  }
  data.spin = params_3ob_3_1_spin();
  data.hubbard = params_3ob_3_1_hubbard();

  return data;
}

SkfSpinConstants params_3ob_3_1_spin() {
  // clang-format off
  return {{
    {14, {{{{-0x1.47ae147ae147bp-6, -0x1.eb851eb851eb8p-7, 0x0p+0}}, {{-0x1.eb851eb851eb8p-7, -0x1.cac083126e979p-7, 0x0p+0}}, {{0x1.0624dd2f1a9fcp-9, 0x1.0624dd2f1a9fcp-9, -0x1.0624dd2f1a9fcp-5}}}}},
    {26, {{{{-0x1.0624dd2f1a9fcp-6, -0x1.89374bc6a7efap-7, -0x1.89374bc6a7efap-9}}, {{-0x1.89374bc6a7efap-7, -0x1.db22d0e560419p-6, -0x1.0624dd2f1a9fcp-10}}, {{-0x1.89374bc6a7efap-9, -0x1.0624dd2f1a9fcp-10, -0x1.eb851eb851eb8p-7}}}}},
    {15, {{{{-0x1.51d68c692f6e8p-6, -0x1.079e59f2ba9d2p-6, 0x1.1b1d92b7fe08bp-12}}, {{-0x1.079e59f2ba9d2p-6, -0x1.e83e425aee632p-7, -0x1.797cc39ffd60fp-13}}, {{0x1.1b1d92b7fe08bp-12, -0x1.797cc39ffd60fp-13, -0x1.47ae147ae147bp-4}}}}},
    {1, {{{{-0x1.25d8d79d0a676p-4, 0x0p+0, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {28, {{{{-0x1.0624dd2f1a9fcp-6, -0x1.89374bc6a7efap-7, -0x1.89374bc6a7efap-9}}, {{-0x1.89374bc6a7efap-7, -0x1.6872b020c49bap-6, -0x1.0624dd2f1a9fcp-10}}, {{-0x1.89374bc6a7efap-9, -0x1.0624dd2f1a9fcp-10, -0x1.26e978d4fdf3bp-6}}}}},
    {6, {{{{-0x1.f5ad96a6a0126p-6, -0x1.9a6b50b0f27bbp-6, 0x0p+0}}, {{-0x1.9a6b50b0f27bbp-6, -0x1.7318fc504816fp-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {16, {{{{-0x1.5e2046c764aep-6, -0x1.165d3996fa82fp-6, 0x1.3a92a30553261p-13}}, {{-0x1.165d3996fa82fp-6, -0x1.fb9389b52007ep-7, -0x1.f75104d551d69p-15}}, {{0x1.3a92a30553261p-13, -0x1.f75104d551d69p-15, -0x1.47ae147ae147bp-4}}}}},
    {7, {{{{-0x1.0fcf80dc33722p-5, -0x1.c36113404ea4bp-6, 0x0p+0}}, {{-0x1.c36113404ea4bp-6, -0x1.a0f9096bb98c8p-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {8, {{{{-0x1.20afa2f05a709p-5, -0x1.e44fa05143bf7p-6, 0x0p+0}}, {{-0x1.e44fa05143bf7p-6, -0x1.c84b5dcc63f14p-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
  }};
  // clang-format on
}
SkfHubbardDerivatives params_3ob_3_1_hubbard() {
  // clang-format off
  return {{
    {16, -0x1.c28f5c28f5c29p-4},
    {15, -0x1.1eb851eb851ecp-3},
    {8, -0x1.428f5c28f5c29p-3},
    {9, -0x1.4c63f141205bcp-3},
    {20, -0x1.16872b020c49cp-5},
    {17, -0x1.1d7dbf487fcb9p-4},
    {6, -0x1.318fc504816fp-3},
    {1, -0x1.7c504816f0069p-3},
    {35, -0x1.d566cf41f212dp-5},
    {12, -0x1.47ae147ae147bp-6},
    {19, -0x1.15b573eab367ap-5},
    {30, -0x1.eb851eb851eb8p-6},
    {53, -0x1.62b6ae7d566cfp-5},
    {7, -0x1.3a5e353f7ced9p-3},
    {11, -0x1.73eab367a0f91p-5},
  }};
  // clang-format on
}
SkfData params_3ob_3_1_k_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.958cfa4770486p-8, -0x1.2959dae43867p-8, -0x1.4eb359fec9545p-9, -0x1.4bfd3da7b12c8p-11, 0x1.fdb9737516d7ap-11, 0x1.151b781d71b5dp-9, 0x1.640db3ff8a5c7p-9, 0x1.68e3bcf1d351bp-9, 0x1.24be74e4732f6p-9, 0x1.37837e8d0ef02p-10, -0x1.5ff6e16a1c2c8p-12, -0x1.2b4788b548717p-9, -0x1.2d22661b53a24p-8, -0x1.d879fc2a0f418p-8, -0x1.49db68b67aec9p-7, -0x1.ad866579d6f88p-7, -0x1.0aba37938cecp-6, -0x1.3fff06d43f7bap-6, -0x1.75d0788feb855p-6, -0x1.ab80a03cfb857p-6, -0x1.e074cb395d5d2p-6, -0x1.0a1282f953b8ap-5, -0x1.230da63e7b1e2p-5, -0x1.3af941a7323c8p-5, -0x1.51aaa6cd27087p-5, -0x1.66fe68b7395f8p-5, -0x1.7ad7bad44852dp-5, -0x1.8d1fd13a0f44ep-5, -0x1.9dc54554161acp-5, -0x1.acbb81a055185p-5, -0x1.b9fa36ed9df33p-5, -0x1.c57cdd6379902p-5, -0x1.cf4242f9cf6c2p-5, -0x1.d74c27a0d223bp-5, -0x1.dd9ee590247bp-5, -0x1.e24122240eae4p-5, -0x1.e53b835d5e8ep-5, -0x1.e69867865aee8p-5, -0x1.e6639f4c8f12cp-5, -0x1.e4aa2c6dcd75cp-5, -0x1.e17a06a1d4d5ep-5, -0x1.dce1e7672babap-5, -0x1.d6f11c37e89c6p-5, -0x1.cfb75e5a12995p-5, -0x1.c744af99ee2ecp-5, -0x1.bda93b3ab22f6p-5, -0x1.b2f53ab24b558p-5, -0x1.a738dda2c4f1ep-5, -0x1.9a8434fa963cfp-5, -0x1.8ce720f9c4ecp-5, -0x1.7e7141232e7p-5, -0x1.6f31e6a80c101p-5, -0x1.5f3809e1c3c27p-5, -0x1.4e9240c0f96b7p-5, -0x1.3d4eb598c5d3cp-5, -0x1.2b7b2111f3d23p-5, -0x1.1924c725e454cp-5, -0x1.0658736d27fd7p-5, -0x1.e644e87209718p-6, -0x1.bf1d304f7cp-6, -0x1.97505f290a90fp-6, -0x1.6ef41d4eb9eddp-6, -0x1.461d1a05d259p-6, -0x1.1cdf088f15067p-6, -0x1.e6994335895dap-7, -0x1.92ef569bc9b8p-7, -0x1.3ee2073da09a9p-7, -0x1.d5229def0d77fp-8, -0x1.2c36d68403afp-8, -0x1.067382f98b9abp-9, 0x1.2cf7b241c2345p-11, 0x1.9c41bfc4178f4p-9, 0x1.761c96708cd4ep-8, 0x1.0eb2cb3eb3334p-7, 0x1.61e90f4b15fap-7, 0x1.b49d8d5a6553bp-7, 0x1.035f04e7d121ep-6, 0x1.2c1cc6bd57c6fp-6, 0x1.54802bed9b0b6p-6, 0x1.7c81e70d7bab3p-6, 0x1.a41b34481201fp-6, 0x1.cb45d0a5f8664p-6, 0x1.f1fbf287ab5ebp-6, 0x1.0c1c21cf56ce3p-5, 0x1.1efaedfa15cb8p-5, 0x1.31981ebfab5fcp-5, 0x1.43f1a7da619d4p-5, 0x1.5605ad59fb24ep-5, 0x1.67d2810b15607p-5, 0x1.79569fb3e3f93p-5, 0x1.8a90ae507bb6ep-5, 0x1.9b7f776c08dep-5, 0x1.ac21e8ad8a105p-5, 0x1.bc7710ab9bf62p-5, 0x1.cc7e1cff58116p-5, 0x1.dc36588f9431fp-5, 0x1.eb9f2a070b2dep-5, 0x1.fab8126119afbp-5, 0x1.04c055c33e4cp-4, 0x1.0bfc5378c4dfep-4, 0x1.130fe62a5bea8p-4, 0x1.19fafc24d43cbp-4, 0x1.20bd8d831aac9p-4, 0x1.27579b8ffbc9ep-4, 0x1.2dc9302e584fbp-4, 0x1.34125d4bf70d6p-4, 0x1.3a333c5d03d27p-4, 0x1.402bede213043p-4, 0x1.45fc98f850233p-4, 0x1.4ba56af12cae1p-4, 0x1.512696f3e1d2p-4, 0x1.568055a369118p-4, 0x1.5bb2e4cc12aap-4, 0x1.60be8713d00c3p-4, 0x1.65a383afeca44p-4, 0x1.6a62261d78999p-4, 0x1.6efabddbba85dp-4, 0x1.736d9e2c822ffp-4, 0x1.77bb1dd2e34fdp-4, 0x1.7be396d8dc35p-4, 0x1.7fe766553ap-4, 0x1.83c6ec338c454p-4, 0x1.87828b027c95fp-4, 0x1.8b1aa7be925cap-4, 0x1.8e8fa9a4f31cep-4, 0x1.91e1fa06ab0a3p-4, 0x1.9512041a0e7dap-4, 0x1.982034d66d3dap-4, 0x1.9b0cfaca51a81p-4, 0x1.9dd8c5f477a12p-4, 0x1.a08407a584946p-4, 0x1.a30f3258db61ep-4, 0x1.a57ab99433307p-4, 0x1.a7c711cd83317p-4, 0x1.a9f4b04659328p-4, 0x1.ac040af0165f6p-4, 0x1.adf5985596472p-4, 0x1.afc9cf7905c8ep-4, 0x1.b18127bad334fp-4, 0x1.b31c18c7222b8p-4, 0x1.b49b1a76b3256p-4, 0x1.b5fea4b6aa35ap-4, 0x1.b7472f79e1586p-4, 0x1.b875329e02dddp-4, 0x1.b98925d2bc658p-4, 0x1.ba83808de5f97p-4, 0x1.bb64b9f6ed322p-4, 0x1.bc2d48ccf07a1p-4, 0x1.bcdda35b2ac58p-4, 0x1.bd763f6c34389p-4, 0x1.bdf7923169e8cp-4, 0x1.be621033990c2p-4, 0x1.beb62d4d07f8ep-4, 0x1.bef45c979f369p-4, 0x1.bf1d10582fb0dp-4, 0x1.bf30b9f8999edp-4, 0x1.bf2fca0181119p-4, 0x1.bf1ab0067716cp-4, 0x1.bef1da97b3d3p-4, 0x1.beb5b741e54p-4, 0x1.be66b286f7fe5p-4, 0x1.be0537cb1a9cep-4, 0x1.bd91b14b650f8p-4, 0x1.bd0c882128a05p-4, 0x1.bc76243bf1e5fp-4, 0x1.bbceec501296cp-4, 0x1.bb1745cf71647p-4, 0x1.ba4f94ef8805dp-4, 0x1.b9783ca7141dep-4, 0x1.b8919e9ec5ef8p-4, 0x1.b79c1b292b862p-4, 0x1.b6981149eeedp-4, 0x1.b585deb9835e2p-4, 0x1.b465dfd9ce8bep-4, 0x1.b3386fab37f44p-4, 0x1.b1fde7d17bd95p-4, 0x1.b0b6a09d7b6b9p-4, 0x1.af62f109e40c4p-4, 0x1.ae032eaf2df2ep-4, 0x1.ac97adc1c2f22p-4, 0x1.ab20c11d0ecf6p-4, 0x1.a99eba4a852edp-4, 0x1.a811e97ab98f8p-4, 0x1.a67a9d7ce9b24p-4, 0x1.a4d923c36c4bdp-4, 0x1.a32dc870b1762p-4, 0x1.a178d65c90cdfp-4, 0x1.9fba970ddad1ep-4, 0x1.9df352b4aa031p-4, 0x1.9c235030ddd64p-4, 0x1.9a4ad51ec16cbp-4, 0x1.986a25dca1d29p-4, 0x1.968185869ea22p-4, 0x1.949135f3611b5p-4, 0x1.929977baa3ecfp-4, 0x1.909a8a41622p-4, 0x1.8e94abc08e332p-4, 0x1.8c881942b16a4p-4, 0x1.8a750ea061a25p-4, 0x1.885bc684a89f9p-4, 0x1.863c7a78dbe44p-4, 0x1.841762edf9f9ep-4, 0x1.81ecb7415c848p-4, 0x1.7fbcadb7de133p-4, 0x1.7d877b7f3fc68p-4, 0x1.7b4d54b4b79bap-4, 0x1.790e6c6f25916p-4, 0x1.76caf4c609377p-4, 0x1.74831ed467043p-4, 0x1.72371ab90424fp-4, 0x1.6fe7179aa8db2p-4, 0x1.6d9343af4e571p-4, 0x1.6b3bcc43f467cp-4, 0x1.68e0ddc16fe03p-4, 0x1.6682a3aeba92p-4, 0x1.642148b3b4bf4p-4, 0x1.61bcf69ed8607p-4, 0x1.5f55d66c5020dp-4, 0x1.5cec104b971cap-4, 0x1.5a7fcba1b1a2fp-4, 0x1.58112f0a1ffb2p-4, 0x1.55a06059eb7cbp-4, 0x1.532d84a7b8fp-4, 0x1.50b8c05650bc1p-4, 0x1.4e42371cb5da6p-4, 0x1.4bca0c0778d7p-4, 0x1.4950617365a72p-4, 0x1.46d55906a471p-4, 0x1.445913af2abb4p-4, 0x1.41dbb1aad2e7fp-4, 0x1.3f5d52982bc7dp-4, 0x1.3cde1589e941fp-4, 0x1.3a5e1914b42e1p-4, 0x1.37dd7b5013404p-4, 0x1.355c59c919ab3p-4, 0x1.32dad16cb13a4p-4, 0x1.3058fe7578173p-4, 0x1.2dd6fc6a725d3p-4, 0x1.2b54e63569c26p-4, 0x1.28d2d64b79562p-4, 0x1.2650e6d65d92ap-4, 0x1.23cf31c9052d8p-4, 0x1.214dd0d1bde57p-4, 0x1.1eccdd2d858acp-4, 0x1.1c4c6f71d89f7p-4, 0x1.19cc9f6a2a44ap-4, 0x1.174d841eccc55p-4, 0x1.14cf340763d5dp-4, 0x1.1251c55511956p-4, 0x1.0fd54e330d46p-4, 0x1.0d59e4de6247ep-4, 0x1.0adf9f868d37dp-4, 0x1.0866940154196p-4, 0x1.05eed771c577ap-4, 0x1.03787e0b24fd3p-4, 0x1.01039b0fccb2fp-4, 0x1.fd208227b99fcp-5, 0x1.f83d04d99295ep-5, 0x1.f35ce33e978a9p-5, 0x1.ee8043300213cp-5, 0x1.e9a74b1cb8f78p-5, 0x1.e4d2212cfddd8p-5, 0x1.e000ea1c7195ap-5, 0x1.db33c85056084p-5, 0x1.d66adba05a0e9p-5, 0x1.d1a641fd4967cp-5, 0x1.cce618b9dd933p-5, 0x1.c82a7de734f95p-5, 0x1.c3739121d718ap-5, 0x1.bec17365434ep-5, 0x1.ba1445ebb267fp-5, 0x1.b56c2894b9a55p-5, 0x1.b0c9388d40d66p-5, 0x1.ac2b8fdd55a63p-5, 0x1.a793461b2bba8p-5, 0x1.a30071fbba391p-5, 0x1.9e732b0f3fe3dp-5, 0x1.99eb8add53907p-5, 0x1.9569acd8acf8dp-5, 0x1.90edad296cbf4p-5, 0x1.8c77a6d802e48p-5, 0x1.8807b22fdc773p-5, 0x1.839de41a3104bp-5, 0x1.7f3a4ebf7932ep-5, 0x1.7add0326cf11dp-5, 0x1.7686131378526p-5, 0x1.7235924344c2ap-5, 0x1.6deb967ab4406p-5, 0x1.69a8365c268d5p-5, 0x1.656b87990deb5p-5, 0x1.61359d58b9dcep-5, 0x1.5d06879350eb6p-5, 0x1.58de53a84c5f6p-5, 0x1.54bd0de10f34fp-5, 0x1.50a2c322a25b2p-5, 0x1.4c8f8200c0054p-5, 0x1.48835ab6cecd6p-5, 0x1.447e5e1683a2cp-5, 0x1.40809bfb26947p-5, 0x1.3c8a2203c9c88p-5, 0x1.389afb2fe0463p-5, 0x1.34b3307d07618p-5, 0x1.30d2ca294f44ap-5, 0x1.2cf9d0ffd5786p-5, 0x1.29284f0281f12p-5, 0x1.255e4f32d611fp-5, 0x1.219bdca511afcp-5, 0x1.1de1015c0d0e2p-5, 0x1.1a2dc583bf9d5p-5, 0x1.16822f60b25f5p-5, 0x1.12de43edc3579p-5, 0x1.0f4207cbf0c5ap-5, 0x1.0bad8007f0a9cp-5, 0x1.0820b259add5fp-5, 0x1.049ba4cd331d1p-5, 0x1.011e5d107fb58p-5, 0x1.fb51bf91e0c3bp-6, 0x1.f4766088615f2p-6, 0x1.edaaa1428d8e2p-6, 0x1.e6ee849d66d49p-6, 0x1.e0420d28559dbp-6, 0x1.d9a53dc3f1bd5p-6, 0x1.d318198ee5b2bp-6, 0x1.cc9aa347cf0ap-6, 0x1.c62cdc8e28d2ap-6, 0x1.bfcec56d12df4p-6, 0x1.b9805c6222eafp-6, 0x1.b3419ec60aaebp-6, 0x1.ad12894a07f3fp-6, 0x1.a6f3183d335b5p-6, 0x1.a0e3477ad8938p-6, 0x1.9ae3121f2fde7p-6, 0x1.94f272447d5a1p-6, 0x1.8f116100cffa3p-6, 0x1.893fd6ad3742bp-6, 0x1.837dcb48b5ea8p-6, 0x1.7dcb36b011871p-6, 0x1.78281077882eap-6, 0x1.72944f6b9a84cp-6, 0x1.6d0fe8fa261a2p-6, 0x1.679ad0e149b8p-6, 0x1.6234f967f7f79p-6, 0x1.5cde541d5ae7p-6, 0x1.5796d2ccb54cap-6, 0x1.525e68299526ap-6, 0x1.4d3507ce8c74p-6, 0x1.481aa5771186dp-6, 0x1.430f33bfc9212p-6, 0x1.3e12a2ff1350cp-6, 0x1.3924e0ce88a7ep-6, 0x1.3445d89856c58p-6, 0x1.2f7575031683cp-6, 0x1.2ab3a1a4a96ecp-6, 0x1.26004c359dba7p-6, 0x1.215b64adf9626p-6, 0x1.1cc4dc2b6733cp-6, 0x1.183ca3087dfd4p-6, 0x1.13c2a6ed856a2p-6, 0x1.0f56d1b52caf4p-6, 0x1.0af909b627ff5p-6, 0x1.06a9336f85573p-6, 0x1.026733f334f1cp-6, 0x1.fc65e6153f677p-7, 0x1.f418b852a1655p-7, 0x1.ebe6bb8975a9bp-7, 0x1.e3cfce9f646a2p-7, 0x1.dbd3cd36c3b09p-7, 0x1.d3f28b342f797p-7, 0x1.cc2bd2d38e75p-7, 0x1.c47f66436fab4p-7, 0x1.bced045eab2e4p-7, 0x1.b5746eb36bdc9p-7, 0x1.ae156e5a9edcbp-7, 0x1.a6cfd5adaacd7p-7, 0x1.9fa37e586336bp-7, 0x1.989044b713ff5p-7, 0x1.919602336b268p-7, 0x1.8ab4886a56426p-7, 0x1.83eb9eabf649dp-7, 0x1.7d3b02ea41802p-7, 0x1.76a26e242b48bp-7, 0x1.70219acf83b2cp-7, 0x1.69b84a9b2ce69p-7, 0x1.6366491405373p-7, 0x1.5d2b6a59e3af9p-7, 0x1.5707870203b67p-7, 0x1.50fa771d651bep-7, 0x1.4b040de077201p-7, 0x1.45241699bf0c2p-7, 0x1.3f5a538268fc1p-7, 0x1.39a67f4747c0cp-7, 0x1.3408519047c13p-7, 0x1.2e7f853c06666p-7, 0x1.290bdd69d0a6dp-7, 0x1.23ad26b2c9e9fp-7, 0x1.1e63343b61d5bp-7, 0x1.192ddad75ae59p-7, 0x1.140ced2fdcc9ep-7, 0x1.0f003a21a185cp-7, 0x1.0a078c464339ap-7, 0x1.0522a946ad5p-7, 0x1.0051515b2d782p-7, 0x1.f72681a5bd41fp-8, 0x1.edd068fa223a7p-8, 0x1.e49fde27b56b3p-8, 0x1.db94781fb5e15p-8, 0x1.d2addb1b8399dp-8, 0x1.c9ebad0291c9ap-8, 0x1.c14d8af68e38dp-8, 0x1.b8d307afe9265p-8, 0x1.b07bb247ffd78p-8, 0x1.a8471d2af7d7p-8, 0x1.a034dd9b5bf91p-8, 0x1.984484f98acddp-8, 0x1.90759c3c6953p-8, 0x1.88c7a81b5cf1ep-8, 0x1.813a33ef00b1dp-8, 0x1.79ccda908a6b8p-8, 0x1.727f44ed5c2fcp-8, 0x1.6b511d70c69d5p-8, 0x1.6442010f951d4p-8, 0x1.5d517adbc46bdp-8, 0x1.567f0faf7a3e7p-8, 0x1.4fca50be34be9p-8, 0x1.4932e414e95dcp-8, 0x1.42b87b31aa8dp-8, 0x1.3c5ac10785d95p-8, 0x1.36194f90f8b1p-8, 0x1.2ff3b46f82691p-8, 0x1.29e97f664d4d3p-8, 0x1.23fa4f4e5901dp-8, 0x1.1e25d397de07p-8, 0x1.186bbf841e9f8p-8, 0x1.12cbb6f983ce7p-8, 0x1.0d45451fadbd9p-8, 0x1.07d7e8ea85e6p-8, 0x1.028330c8fee68p-8, 0x1.fa8d99d9027d1p-9, 0x1.f0450b7be07efp-9, 0x1.e62c3ea918dfep-9, 0x1.dc42878eed79dp-9, 0x1.d2870638d983p-9, 0x1.c8f8c64ec7c15p-9, 0x1.bf96e5169d09cp-9, 0x1.b660ab6185d84p-9, 0x1.ad558ffcef80bp-9, 0x1.a4751de8b6ea1p-9, 0x1.9bbec9465a66ep-9, 0x1.9331d2da6800dp-9, 0x1.8acd5c9e6b25ep-9, 0x1.8290aa93f3d06p-9, 0x1.7a7b5326222c2p-9, 0x1.728d24fb94fe2p-9, 0x1.6ac5d7aaeb3f1p-9, 0x1.6324d7d27acfbp-9, 0x1.5ba95595cc5c9p-9, 0x1.545270f7f1434p-9, 0x1.4d1f57ae219acp-9, 0x1.460f512fcd30bp-9, 0x1.3f21c7028f818p-9, 0x1.385648f3395a8p-9, 0x1.31ac7f37b0411p-9, 0x1.2b2402e19c375p-9, 0x1.24bc340676b91p-9, 0x1.1e74407a27449p-9, 0x1.184b6abb6a6dap-9, 0x1.124148f4a0e07p-9, 0x1.0c55a3f510097p-9, 0x1.06881379a3f29p-9, 0x1.00d7d46c03c63p-9, 0x1.f6880f9788d9dp-10, 0x1.eb97f821a5134p-10, 0x1.e0de5bd5e5f14p-10, 0x1.d65a3e0805726p-10, 0x1.cc0a8f0d9295ap-10, 0x1.c1ee668e23c36p-10, 0x1.b8055205fd4a7p-10, 0x1.ae4f58329ffb3p-10, 0x1.a4cc826330762p-10, 0x1.9b7c3a6847efdp-10, 0x1.925d332ab0008p-10, 0x1.896e231a1fc15p-10, 0x1.80ae799a2de28p-10, 0x1.781e042d6625ep-10, 0x1.6fbbe4d03840cp-10, 0x1.67865c23b8629p-10, 0x1.5f7bcbb7c8ac6p-10, 0x1.579b7ccf07108p-10, 0x1.4fe5266f161d3p-10, 0x1.4858068ea6895p-10, 0x1.40f2b08f25877p-10, 0x1.39b39c73faa06p-10, 0x1.3299d10c116ccp-10, 0x1.2ba5224ba87bcp-10, 0x1.24d5df5b1e33p-10, 0x1.1e2c1565d3c84p-10, 0x1.17a6def1bde73p-10, 0x1.1144801b62864p-10, 0x1.0b037a019e3b7p-10, 0x1.04e367cbec2d1p-10, 0x1.fdc8da241e986p-11, 0x1.f20bc329acbcp-11, 0x1.e68c707aab79bp-11, 0x1.db48f9a7575dcp-11, 0x1.d0423beaf2098p-11, 0x1.c5798bc8fa31dp-11, 0x1.baee187397f94p-11, 0x1.b09d2f823f31p-11, 0x1.a6843e95d627bp-11, 0x1.9ca2124b1236p-11, 0x1.92f69edfb64b4p-11, 0x1.89824c69cd7ccp-11, 0x1.80456f731665p-11, 0x1.773f8d65ecc1dp-11, 0x1.6e6e73538dfbcp-11, 0x1.65ce8c482ebc6p-11, 0x1.5d5d07e0de629p-11, 0x1.55196d937b03cp-11, 0x1.4d0465373e5e9p-11, 0x1.451cffcb37027p-11, 0x1.3d604d92d831ap-11, 0x1.35cca0a220ee5p-11, 0x1.2e632cd0bfea2p-11, 0x1.2724f4bc63addp-11, 0x1.20105d53dbcbep-11, 0x1.1922b73534ba7p-11, 0x1.125aa265a6106p-11, 0x1.0bb82de02d0cep-11, 0x1.053b89245acb1p-11, 0x1.fdc8d63647429p-12, 0x1.f165017562df1p-12, 0x1.e54bc46fc6115p-12, 0x1.d97d3eb6199fbp-12, 0x1.cdf71af98711cp-12, 0x1.c2b43544baebcp-12, 0x1.b7b002900e29p-12, 0x1.ace9882d0b127p-12, 0x1.a262a0f7ffb3bp-12, 0x1.981bcdaaf565p-12, 0x1.8e10719646b8ep-12, 0x1.843bdf2b8b2c8p-12, 0x1.7a9f20bcf6f1p-12, 0x1.713b268a37e86p-12, 0x1.680c5e666c1fap-12, 0x1.5f0f85ca70bd8p-12, 0x1.5645029dcecfcp-12, 0x1.4dae04b2aaac3p-12, 0x1.4549e5abae267p-12, 0x1.3d16b000ffae2p-12, 0x1.3512718fccc39p-12, 0x1.2d3c11a0c547ep-12, 0x1.2593b464e789dp-12, 0x1.1e1a14299ac75p-12, 0x1.16ce71df7b4a9p-12, 0x1.0fad9d40e6256p-12, 0x1.08b44563c5283p-12, 0x1.01e1a3946d947p-12, 0x1.f670e2720a1a8p-13, 0x1.e979e2c42d635p-13, 0x1.dcdc3d5bdbb36p-13, 0x1.d08c86e5201e7p-13, 0x1.c48a01d6eccd1p-13, 0x1.b8d6d2071c453p-13, 0x1.ad6ca7b94565ap-13, 0x1.a2483e2381dbdp-13, 0x1.976b8c74954dfp-13, 0x1.8cd51559a0a3p-13, 0x1.827fa6cf955f3p-13, 0x1.78663ac853f25p-13, 0x1.6e8528afbe186p-13, 0x1.64d9cf75c4b39p-13, 0x1.5b628c2a4746ap-13, 0x1.521f53408b209p-13, 0x1.4911d2f3b1fcdp-13, 0x1.403b2d5a31144p-13, 0x1.37990cb9a2ec8p-13, 0x1.2f274a4a19cap-13, 0x1.26e3e00c670a4p-13, 0x1.1ed0747d24a72p-13, 0x1.16f29d358d9afp-13, 0x1.0f4df53fc344cp-13, 0x1.07d8e8208a8eep-13, 0x1.008c2f7fb2ba2p-13, 0x1.f2d59b64024f4p-14, 0x1.e4e44b6e672a8p-14, 0x1.d747267a26af4p-14, 0x1.ca080a00159b3p-14, 0x1.bd25ec46fdbe7p-14, 0x1.b09bc10575038p-14, 0x1.a4668ffbc6dc8p-14, 0x1.98843557fafa9p-14, 0x1.8cf1dc5cb96adp-14, 0x1.81abd022ace82p-14, 0x1.76ae09fbdefedp-14, 0x1.6bf547290de6bp-14, 0x1.61806fd739f09p-14, 0x1.57505208526e3p-14, 0x1.4d63c68f4b0fap-14, 0x1.43b5f203bdccep-14, 0x1.3a42c4477b8a6p-14, 0x1.3108aa4d89553p-14, 0x1.28066d2e57eb7p-14, 0x1.1f3f7a47261cap-14, 0x1.16b84bde557f8p-14, 0x1.0e613313aea66p-14, 0x1.06348c38823d6p-14, 0x1.fc67f78d24d6ep-15, 0x1.ecc39dd2e5aa8p-15, 0x1.dd8df5df4cd77p-15, 0x1.cec21264cf80cp-15, 0x1.c056bcdc4cba9p-15, 0x1.b24833fde9e6ep-15, 0x1.a493c9f72952ep-15, 0x1.97364beb0490cp-15, 0x1.8a2cf873466a6p-15, 0x1.7d769eda9baf3p-15, 0x1.7113c05ea5fe2p-15, 0x1.65058bc3337d6p-15, 0x1.594cab310a21p-15, 0x1.4de92e6cf5a8ep-15, 0x1.42da369f51975p-15, 0x1.381b368bfe3fp-15, 0x1.2da4e37d3b917p-15, 0x1.23724f540beb1p-15, 0x1.197f834189e8bp-15, 0x1.0fc6feebc1058p-15, 0x1.0649447f5ba04p-15, 0x1.fa2afff78bc44p-16, 0x1.e843fd8cc73f2p-16, 0x1.d6c0e126a1afap-16, 0x1.c5a8a78a08f8ep-16, 0x1.b517831a2f1bfp-16, 0x1.a50f479910564p-16, 0x1.957df7ad9d084p-16, 0x1.865e6f1eee931p-16, 0x1.77ae11b7f4008p-16, 0x1.69676536b1b5bp-16, 0x1.5b82a6077dbcdp-16, 0x1.4df7d66e4168bp-16, 0x1.40c11f054f4c4p-16, 0x1.33dc72297f1b6p-16, 0x1.274b3c062f5dcp-16, 0x1.1b0feb711127ep-16, 0x1.0f2af7e79b768p-16, 0x1.039a2ac167095p-16, 0x1.f0b58aa180ec1p-17, 0x1.dad5a32dfa9fp-17, 0x1.c5941543ff917p-17, 0x1.b0f6ddf1b1364p-17, 0x1.9d030864d58f2p-17, 0x1.89b30fe389b21p-17, 0x1.76f4b7685da78p-17, 0x1.64c258642487dp-17, 0x1.5335c898f345ep-17, 0x1.421511f236ae4p-17, 0x1.314e1a7852efap-17, 0x1.210eff3780511p-17, 0x1.114f5bcfadaabp-17, 0x1.01fc455dc17a4p-17, 0x1.e62e14f36d48bp-18, 0x1.c9423eea7c246p-18, 0x1.ad3302a6d7d3bp-18, 0x1.91fc579f71c87p-18, 0x1.7799d03037245p-18, 0x1.5e0742514320ap-18, 0x1.45412e392ca55p-18, 0x1.2d451f3c1236p-18, 0x1.1611fa982e124p-18, 0x1.ff4fecfe2e64dp-19, 0x1.d40f9143117fp-19, 0x1.aa61dd0c705ffp-19, 0x1.823fdf172cd4p-19, 0x1.5b98275f410f8p-19, 0x1.364580bb80153p-19, 0x1.12146cd11b732p-19, 0x1.ddc3f4c845309p-20, 0x1.99645e47ce072p-20, 0x1.573b95df74231p-20, 0x1.1748c7d010339p-20, 0x1.b29ce725d9177p-21, 0x1.3b75d8b7e3bffp-21, 0x1.9084e3b42fb52p-22, 0x1.653f079da24d5p-23, -0x1.01709cd9082c7p-25, -0x1.d52a08a710ccap-23, -0x1.adc8814e5c4b9p-22, -0x1.352415c774e09p-21, -0x1.90247285886dp-21, -0x1.e7e83b43a9358p-21, -0x1.1e36557b5a78ap-20, -0x1.46d97d9bd8468p-20, -0x1.6de15f884d6e6p-20, -0x1.93547a0c9cd4dp-20, -0x1.b73b250ff5165p-20, -0x1.d99ed366fd11fp-20, -0x1.fa899815e82d6p-20, -0x1.0d02fd3a4979ap-19, -0x1.1c0f90fe9d148p-19, -0x1.2a70818d43637p-19, -0x1.382b688f3d3f2p-19, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.8df0e099b83c7p-5, -0x1.8e841dce2d68ap-5, -0x1.8f77a038230e2p-5, -0x1.90c97b52898bcp-5, -0x1.9277f21c10377p-5, -0x1.9481ba9e802aep-5, -0x1.96e61f3f1d7efp-5, -0x1.99a50a28983b5p-5, -0x1.9cbf0365b34dp-5, -0x1.a035271c10cdep-5, -0x1.a4091724c95e9p-5, -0x1.a83ce9e84d9ccp-5, -0x1.acd317a5902cdp-5, -0x1.b1ce66ed9819fp-5, -0x1.b731d8efe794ep-5, -0x1.bd00961d18ccbp-5, -0x1.c33ddb9451fc9p-5, -0x1.c9ece9be23445p-5, -0x1.d110f462d3c1cp-5, -0x1.d8ad1473450eep-5, -0x1.e0c43ba49d523p-5, -0x1.e95929e92dc38p-5, -0x1.f26e64be5df85p-5, -0x1.fc06303840632p-5, -0x1.031144d435907p-4, -0x1.086291db40baep-4, -0x1.0df7b1de9587p-4, -0x1.13d1301eb6984p-4, -0x1.19ef701df9fbep-4, -0x1.2052adaf762ebp-4, -0x1.26fafd53b057fp-4, -0x1.2de84cd2f1855p-4, -0x1.351a640798b41p-4, -0x1.3c90e5cd3cfbep-4, -0x1.444b510ba97dp-4, -0x1.4c4901d6c7019p-4, -0x1.5489329e331a2p-4, -0x1.5d0afd68c23d5p-4, -0x1.65cd5d194365ap-4, -0x1.6ecf2ebac0b43p-4, -0x1.780f32d310f96p-4, -0x1.818c0ebb0e709p-4, -0x1.8b444dfbf0ac4p-4, -0x1.953663b179d5cp-4, -0x1.9f60abf0a0844p-4, -0x1.a9c16d3250d76p-4, -0x1.b456d9c1d2a91p-4, -0x1.bf1f112e164fap-4, -0x1.ca1821bd4861bp-4, -0x1.d54009e196869p-4, -0x1.e094b9ae3aa45p-4, -0x1.ec14144b7c6aap-4, -0x1.f7bbf1688dfc3p-4, -0x1.01c50f54ef4ccp-3, -0x1.07be308940d8cp-3, -0x1.0dc83b33c085p-3, -0x1.13e20b45c553cp-3, -0x1.1a0a7a68fbed1p-3, -0x1.204060a3e7acap-3, -0x1.268294f8dc654p-3, -0x1.2ccfedfefcbdep-3, -0x1.33274274b4d15p-3, -0x1.398769cb6c74dp-3, -0x1.3fef3cac0878dp-3, -0x1.465d95740fca6p-3, -0x1.4cd150ab3600cp-3, -0x1.53494d7138dfep-3, -0x1.59c46de3f5892p-3, -0x1.6041977dc4504p-3, -0x1.66bfb36c1dd6cp-3, -0x1.6d3daedea2f0dp-3, -0x1.73ba7b4eb5f1cp-3, -0x1.7a350ebfd5c0ep-3, -0x1.80ac63f8e5d14p-3, -0x1.871f7ab6bf571p-3, -0x1.8d8d57d832702p-3, -0x1.93f50583ec3abp-3, -0x1.9a5593486cf5fp-3, -0x1.a0ae1636878dbp-3, -0x1.a6fda8f6a4a06p-3, -0x1.ad436bd939956p-3, -0x1.b37e84e2c04afp-3, -0x1.b9ae1fd38913dp-3, -0x1.bfd16e2bcb4b3p-3, -0x1.c5e7a72c35963p-3, -0x1.cbf007d36e69fp-3, -0x1.d1e9d2d8b7dbp-3, -0x1.d7d450a41d9fap-3, -0x1.ddaecf44701ecp-3, -0x1.e378a263477b7p-3, -0x1.e93123376af75p-3, -0x1.eed7b075c28p-3, -0x1.f46bae4120b03p-3, -0x1.f9ec86190bf79p-3, -0x1.ff59a6c7cc681p-3, -0x1.02594227eaf3ap-2, -0x1.04fb4bec662b5p-2, -0x1.0792afce1f5d9p-2, -0x1.0a1f2f691c85ap-2, -0x1.0ca08eceea8eep-2, -0x1.0f16947ced45ep-2, -0x1.11810952c4659p-2, -0x1.13dfb888d3d3fp-2, -0x1.16326fa6ee2c9p-2, -0x1.1878fe7b33a17p-2, -0x1.1ab3371120cc1p-2, -0x1.1ce0eda8da2ffp-2, -0x1.1f01f8aeb0791p-2, -0x1.211630b2e561ap-2, -0x1.231d7061af7b7p-2, -0x1.2517947b7c6d9p-2, -0x1.27047bcd73d86p-2, -0x1.28e4072a375c2p-2, -0x1.2ab61962dedfbp-2, -0x1.2c7a97402fc6ep-2, -0x1.2e31677c0ab19p-2, -0x1.2fda72bb0aedfp-2, -0x1.3175a3865ab0ep-2, -0x1.3302e645b0a66p-2, -0x1.348229397668cp-2, -0x1.35f35c7515ab4p-2, -0x1.375671d963be3p-2, -0x1.38ab5d0f28c79p-2, -0x1.39f21381c15f6p-2, -0x1.3b2a8c59d1c39p-2, -0x1.3c54c07808709p-2, -0x1.3d70aa6fec99bp-2, -0x1.3e7e4682b3abp-2, -0x1.3f7d929a1b313p-2, -0x1.406e8e43408e7p-2, -0x1.41513aa977cep-2, -0x1.42259a9117089p-2, -0x1.42ebb2523eb47p-2, -0x1.43a387d38b87cp-2, -0x1.444d2284c1c19p-2, -0x1.44e88b596124p-2, -0x1.4575ccc324b3p-2, -0x1.45f4f2ac6d56ep-2, -0x1.46660a7296816p-2, -0x1.46c922e029d66p-2, -0x1.471e4c27021e6p-2, -0x1.476597da48d6ap-2, -0x1.479f18e85c017p-2, -0x1.47cae394959dfp-2, -0x1.47e90d70f3752p-2, -0x1.47f9ad57a2c17p-2, -0x1.47fcdb646b4a4p-2, -0x1.47f2b0edfd79p-2, -0x1.47db487f22f61p-2, -0x1.47b6bdcfd0edap-2, -0x1.47852dbe1cdcdp-2, -0x1.4746b6471619bp-2, -0x1.46fb767f8417ap-2, -0x1.46a38e8c8c09ep-2, -0x1.463f1f9c37bd2p-2, -0x1.45ce4bddebbabp-2, -0x1.4551367ac3085p-2, -0x1.44c8038dd55adp-2, -0x1.4432d81c6c21dp-2, -0x1.4391da0e2358bp-2, -0x1.42e53024fb631p-2, -0x1.422d01f55b849p-2, -0x1.416977de08792p-2, -0x1.409abb000d6a9p-2, -0x1.3fc0f536a0806p-2, -0x1.3edc510ef9cd8p-2, -0x1.3decf9c0295c5p-2, -0x1.3cf31b22e7134p-2, -0x1.3beee1a962986p-2, -0x1.3ae07a5712549p-2, -0x1.39c812b882769p-2, -0x1.38a5d8db2be04p-2, -0x1.3779fb454b84fp-2, -0x1.3644a8edc6889p-2, -0x1.3506113413a61p-2, -0x1.33be63d83156bp-2, -0x1.326dd0f2a768fp-2, -0x1.311488ec978b5p-2, -0x1.2fb2bc77de8d8p-2, -0x1.2e489c8745e7bp-2, -0x1.2cd65a46c90bcp-2, -0x1.2b5c2713f0445p-2, -0x1.29da34763e7c7p-2, -0x1.2850b417bb2d1p-2, -0x1.26bfd7bd8fa51p-2, -0x1.2527d140c4dc3p-2, -0x1.2388d28715112p-2, -0x1.21e30d7be177ap-2, -0x1.2036b4093fa68p-2, -0x1.1e83f8112aa5ap-2, -0x1.1ccb0b66cd7e1p-2, -0x1.1b0c1fc7f55f1p-2, -0x1.194766d69f788p-2, -0x1.177d1212ae6a6p-2, -0x1.15ad52d3bbdap-2, -0x1.13d85a431591cp-2, -0x1.11fe5955dabb5p-2, -0x1.101f80c73e0c8p-2, -0x1.0e3c0112eea73p-2, -0x1.0c540a6fa7ad3p-2, -0x1.0a67ccc9e303dp-2, -0x1.087777beb7a1bp-2, -0x1.06833a96db0b3p-2, -0x1.048b4441cd78ep-2, -0x1.028fc351299d9p-2, -0x1.0090e5f420d78p-2, -0x1.fd1db3e636036p-3, -0x1.f913995702be8p-3, -0x1.f503d6175eb24p-3, -0x1.f0eec31e1ae8fp-3, -0x1.ecd4b8749fd24p-3, -0x1.e8b60d2fc88ddp-3, -0x1.e4931768fae76p-3, -0x1.e06c2c37a1d79p-3, -0x1.dc419faae5967p-3, -0x1.d813c4c3b9014p-3, -0x1.d3e2ed6f37ec5p-3, -0x1.cfaf6a814af24p-3, -0x1.cb798baf9b4eap-3, -0x1.c7419f8ccfba9p-3, -0x1.c307f3841792p-3, -0x1.beccd3d4f9b4ap-3, -0x1.ba908b8f73714p-3, -0x1.b653649055e57p-3, -0x1.b215a77df1a67p-3, -0x1.add79bc5029f7p-3, -0x1.a9998795e4f2bp-3, -0x1.a55bafe20a0fep-3, -0x1.a11e5859b0a51p-3, -0x1.9ce1c369da217p-3, -0x1.98a6323a893a9p-3, -0x1.946be4ad3375bp-3, -0x1.9033195b774d5p-3, -0x1.8bfc0d960b837p-3, -0x1.87c6fd63e8819p-3, -0x1.83942381ad892p-3, -0x1.7f63b9613725dp-3, -0x1.7b35f72975d62p-3, -0x1.770b13b66fcdbp-3, -0x1.72e344997e87fp-3, -0x1.6ebebe19b855cp-3, -0x1.6a9db3348cef4p-3, -0x1.6680559e94297p-3, -0x1.6266d5c488a63p-3, -0x1.5e5162cc6bdc3p-3, -0x1.5a402a96d7dcp-3, -0x1.563359c07fb3ap-3, -0x1.522b1ba3ce9b9p-3, -0x1.4e279a5ab6a39p-3, -0x1.4a28fec09feabp-3, -0x1.462f70747e8bdp-3, -0x1.423b15db09f68p-3, -0x1.3e4c142115b54p-3, -0x1.3a628f3e0e436p-3, -0x1.367ea9f68cc25p-3, -0x1.32a085df10815p-3, -0x1.2ec8435ed1261p-3, -0x1.2af601b2a7b42p-3, -0x1.2729def019e2cp-3, -0x1.2363f80877ea8p-3, -0x1.1fa468cc1132ep-3, -0x1.1beb4bed819f9p-3, -0x1.1838bb0512392p-3, -0x1.148cce942e0f4p-3, -0x1.10e79e08e9955p-3, -0x1.0d493fc199d31p-3, -0x1.09b1c9107a89ap-3, -0x1.06214e3f69758p-3, -0x1.0297e293a899p-3, -0x1.fe2b30a3627b4p-4, -0x1.f7350182268c4p-4, -0x1.f04d5860b7132p-4, -0x1.e97453f20cfe7p-4, -0x1.e2aa1106fe75cp-4, -0x1.dbeeaa963cd24p-4, -0x1.d54239c4707f9p-4, -0x1.cea4d5ec569eep-4, -0x1.c81694a6ee7f2p-4, -0x1.c19789d3b1a3dp-4, -0x1.bb27c7a0c6841p-4, -0x1.b4c75e934a293p-4, -0x1.ae765d8f980a1p-4, -0x1.a834d1e18add8p-4, -0x1.a202c744c4763p-4, -0x1.9be047ed03b15p-4, -0x1.95cd5c8e5db8p-4, -0x1.8fca0c658743dp-4, -0x1.89d65d4016abfp-4, -0x1.83f25384ba299p-4, -0x1.7e1df23b6ce0cp-4, -0x1.78593b15a31d7p-4, -0x1.72a42e7669b91p-4, -0x1.6cfecb7a8147p-4, -0x1.6769100068e5p-4, -0x1.61e2f8b0617aep-4, -0x1.5c6c81045cbedp-4, -0x1.5705a34fe7d48p-4, -0x1.51ae58c7ffeep-4, -0x1.4c66998ad9342p-4, -0x1.472e5ca7949e7p-4, -0x1.42059825e7042p-4, -0x1.3cec410dab6a5p-4, -0x1.37e24b6e63e88p-4, -0x1.32e7aa66a5f74p-4, -0x1.2dfc502b75544p-4, -0x1.29202e0f89709p-4, -0x1.2453348a7a101p-4, -0x1.1f95533fdcf56p-4, -0x1.1ae679064a388p-4, -0x1.164693ee47fc2p-4, -0x1.11b5914921e82p-4, -0x1.0d335dafaaa69p-4, -0x1.08bfe508e3b0ep-4, -0x1.045b12908b41ep-4, -0x1.0004d0dd96bf8p-4, -0x1.f77a13d1214bp-5, -0x1.ef074e23c08b3p-5, -0x1.e6b1224fed938p-5, -0x1.de7760dac7858p-5, -0x1.d659d93da068fp-5, -0x1.ce5859f1c1a82p-5, -0x1.c672b07bf6d8ap-5, -0x1.bea8a977f175bp-5, -0x1.b6fa10a36da01p-5, -0x1.af66b0e92704p-5, -0x1.a7ee546b98f83p-5, -0x1.a090c48f8ec34p-5, -0x1.994dca06786aep-5, -0x1.92252cd893e1fp-5, -0x1.8b16b46edf53bp-5, -0x1.8422279ccf9e7p-5, -0x1.7d474ca9e0ceap-5, -0x1.7685e95aea6f4p-5, -0x1.6fddc2fb41e4bp-5, -0x1.694e9e65ada14p-5, -0x1.62d8400d1e4c5p-5, -0x1.5c7a6c053adfep-5, -0x1.5634e60aba1bfp-5, -0x1.5007718b86d91p-5, -0x1.49f1d1aeb5353p-5, -0x1.43f3c95c47328p-5, -0x1.3e0d1b44bf06p-5, -0x1.383d89e880d86p-5, -0x1.3284d79f02ea3p-5, -0x1.2ce2c69dd0557p-5, -0x1.275718ff5f1f7p-5, -0x1.21e190c9aeb3bp-5, -0x1.1c81eff4c7c22p-5, -0x1.1737f870f9f84p-5, -0x1.12036c2cfb77bp-5, -0x1.0ce40d1bd9dbap-5, -0x1.07d99d3ab72b1p-5, -0x1.02e3de9665b8ep-5, -0x1.fc0526a19fe1fp-6, -0x1.f26afb4c77cfap-6, -0x1.e8f8bfe4c3c22p-6, -0x1.dfadf96aafd2cp-6, -0x1.d68a2d30b048bp-6, -0x1.cd8ce0e4c0cdap-6, -0x1.c4b59a9947734p-6, -0x1.bc03e0cdbb343p-6, -0x1.b3773a76e5d4ap-6, -0x1.ab0f2f06f3188p-6, -0x1.a2cb46752c3c9p-6, -0x1.9aab094561ceap-6, -0x1.92ae008f19019p-6, -0x1.8ad3b604740b2p-6, -0x1.831bb3f8c9951p-6, -0x1.7b8585670112cp-6, -0x1.7410b5f7ac3c2p-6, -0x1.6cbcd206da2b3p-6, -0x1.658966a9a9bbcp-6, -0x1.5e7601b3a7247p-6, -0x1.578231bbe81e6p-6, -0x1.50ad8621deddfp-6, -0x1.49f78f1202d2dp-6, -0x1.435fdd8a2ed0cp-6, -0x1.3ce6035dd71cp-6, -0x1.3689933a050e4p-6, -0x1.304a20a90dc5p-6, -0x1.2a2740162655p-6, -0x1.242086d0b036fp-6, -0x1.1e358b0f6c5f5p-6, -0x1.1865e3f365dbp-6, -0x1.12b1298ab44fep-6, -0x1.0d16f4d315adp-6, -0x1.0796dfbc4aa24p-6, -0x1.0230852a5c939p-6, -0x1.f9c701ef3e93dp-7, -0x1.ef5edfed383f9p-7, -0x1.e527dfe77bb1ap-7, -0x1.db213f6de105bp-7, -0x1.d14a3e09f5f13p-7, -0x1.c7a21d41a14dbp-7, -0x1.be28209943c02p-7, -0x1.b4db8d95bc3aap-7, -0x1.abbbabbe07297p-7, -0x1.a2c7c49ca3ecp-7, -0x1.99ff23c0c63bap-7, -0x1.916116bf2c17p-7, -0x1.88eced32cf16bp-7, -0x1.80a1f8bd42b85p-7, -0x1.787f8d06e4387p-7, -0x1.7084ffbed92a2p-7, -0x1.68b1a89ac6482p-7, -0x1.6104e1564f629p-7, -0x1.597e05b280c83p-7, -0x1.521c7374da645p-7, -0x1.4adf8a665dad1p-7, -0x1.43c6ac52375dap-7, -0x1.3cd13d046ae06p-7, -0x1.35fea24837a2fp-7, -0x1.2f4e43e661p-7, -0x1.28bf8ba33cbdcp-7, -0x1.2251e53cb8ae1p-7, -0x1.1c04be6821ae1p-7, -0x1.15d786cfc9933p-7, -0x1.0fc9b0109e74bp-7, -0x1.09daadb78b7e7p-7, -0x1.0409f53ebfde6p-7, -0x1.fcadfc15ce658p-8, -0x1.f18282d05282p-8, -0x1.e690750e5ee36p-8, -0x1.dbd6ccf3d1fe7p-8, -0x1.d1548860b79ep-8, -0x1.c708a8ea8dfa1p-8, -0x1.bcf233d575b37p-8, -0x1.b310320d2351dp-8, -0x1.a961b01da6897p-8, -0x1.9fe5be2c3139p-8, -0x1.969b6fef888dbp-8, -0x1.8d81dca865438p-8, -0x1.84981f19d7d73p-8, -0x1.7bdd558157b6p-8, -0x1.7350a18ec4ebp-8, -0x1.6af1285c81b95p-8, -0x1.62be12670d448p-8, -0x1.5ab68b8502fcfp-8, -0x1.52d9c2de996adp-8, -0x1.4b26eae55b845p-8, -0x1.439d394b94e48p-8, -0x1.3c3be6fbe9eaep-8, -0x1.35023010a3937p-8, -0x1.2def53cb253fbp-8, -0x1.2702948b1d88ap-8, -0x1.203b37c5e1daap-8, -0x1.199885fda8918p-8, -0x1.1319cab8bfb47p-8, -0x1.0cbe5478cb934p-8, -0x1.068574b1da0b3p-8, -0x1.006e7fc1a484ap-8, -0x1.f4f199cd1605ap-9, -0x1.e9476c6ddf7e7p-9, -0x1.dddd31305e40cp-9, -0x1.d2b1a76b98171p-9, -0x1.c7c393f153721p-9, -0x1.bd11c0fc3cd1ap-9, -0x1.b29afe1e651f7p-9, -0x1.a85e202faf26fp-9, -0x1.9e5a013bf3dd8p-9, -0x1.948d8071c56bdp-9, -0x1.8af78210d8243p-9, -0x1.8196ef589f43fp-9, -0x1.786ab676df929p-9, -0x1.6f71ca768fb09p-9, -0x1.66ab232eaa53dp-9, -0x1.5e15bd30f8a1fp-9, -0x1.55b099b92c7b7p-9, -0x1.4d7abe9bde106p-9, -0x1.45733635c2513p-9, -0x1.3d990f5af8745p-9, -0x1.35eb5d46589b5p-9, -0x1.2e693788fac46p-9, -0x1.2711b9f9e884p-9, -0x1.1fe404a59dc51p-9, -0x1.18df3bbe5822ap-9, -0x1.1202878b8b459p-9, -0x1.0b4d145a64995p-9, -0x1.04be126db821cp-9, -0x1.fca96bdcdfd81p-10, -0x1.f0206db870975p-10, -0x1.e3dfa1fbeaf8fp-10, -0x1.d7e587a531f03p-10, -0x1.cc30a503def47p-10, -0x1.c0bf879bb2d44p-10, -0x1.b590c406dce1p-10, -0x1.aaa2f5d8fbdfcp-10, -0x1.9ff4bf819d7fep-10, -0x1.9584ca2fd1aa3p-10, -0x1.8b51c5b591e74p-10, -0x1.815a686c00f13p-10, -0x1.779d6f175a563p-10, -0x1.6e199ccb75984p-10, -0x1.64cdbad0bb051p-10, -0x1.5bb898895439p-10, -0x1.52d90b565dc38p-10, -0x1.4a2dee7ddb92bp-10, -0x1.41b6231116144p-10, -0x1.39708fd27a5d5p-10, -0x1.315c211c88892p-10, -0x1.2977c8c8c4585p-10, -0x1.21c27e174eb3p-10, -0x1.1a3b3d9611f42p-10, -0x1.12e109093036ep-10, -0x1.0bb2e7531d33p-10, -0x1.04afe45d42782p-10, -0x1.fbae2201bdff2p-11, -0x1.ee4f05e04ef51p-11, -0x1.e140a9402147dp-11, -0x1.d4814a63b69cbp-11, -0x1.c80f30bb01e77p-11, -0x1.bbe8acb7e3c2ep-11, -0x1.b00c17a3de364p-11, -0x1.a477d3762e422p-11, -0x1.992a4aaacae36p-11, -0x1.8e21f01919c62p-11, -0x1.835d3eccd438cp-11, -0x1.78dab9de2e4afp-11, -0x1.6e98ec4abd542p-11, -0x1.649668cf46691p-11, -0x1.5ad1c9c22fd99p-11, -0x1.5149b0eea2182p-11, -0x1.47fcc76f68ae6p-11, -0x1.3ee9bd8b93c07p-11, -0x1.360f4a92f802dp-11, -0x1.2d6c2cbb21fb6p-11, -0x1.24ff28fcdcc03p-11, -0x1.1cc70af355b1dp-11, -0x1.14c2a4ba0d492p-11, -0x1.0cf0cecd0040dp-11, -0x1.055067e7c1668p-11, -0x1.fbc0a9cd2d455p-12, -0x1.ed3f014e40035p-12, -0x1.df19b7d358414p-12, -0x1.d14eba672bb9dp-12, -0x1.c3dc016369693p-12, -0x1.b6bf9036db68fp-12, -0x1.a9f7752bee20ap-12, -0x1.9d81c9315eb48p-12, -0x1.915cafa294c87p-12, -0x1.85865611e9689p-12, -0x1.79fcf41389c4ap-12, -0x1.6ebecb09a8fcap-12, -0x1.63ca25f0ccf32p-12, -0x1.591d592dfc1bap-12, -0x1.4eb6c25cdeac9p-12, -0x1.4494c81f44f46p-12, -0x1.3ab5d9edd269cp-12, -0x1.31186fe93e41bp-12, -0x1.27bb0aace5ca2p-12, -0x1.1e9c3320d0e7ep-12, -0x1.15ba7a4e38cabp-12, -0x1.0d1479331f7ddp-12, -0x1.04a8d098cfea1p-12, -0x1.f8ec51d35c67cp-13, -0x1.e8f6641173988p-13, -0x1.d96d46510c49cp-13, -0x1.ca4e7549c5491p-13, -0x1.bb977bb66e48fp-13, -0x1.ad45f209cd959p-13, -0x1.9f577e24bb296p-13, -0x1.91c9d30c1eef1p-13, -0x1.849ab0a2e19eep-13, -0x1.77c7e363b5fa2p-13, -0x1.6b4f441a9744cp-13, -0x1.5f2eb7a2c25bep-13, -0x1.53642ea38bdeap-13, -0x1.47eda551dd164p-13, -0x1.3cc9232e87202p-13, -0x1.31f4bac9bcbe4p-13, -0x1.276e8985190f6p-13, -0x1.1d34b758eea69p-13, -0x1.13457698a8d7fp-13, -0x1.099f03ba884f2p-13, -0x1.003fa51e2e4dfp-13, -0x1.ee4b55ae7b4d5p-14, -0x1.dc9edced3c78ep-14, -0x1.cb76a5acc0e5fp-14, -0x1.bacf87c8503ccp-14, -0x1.aaa66ce0ffe7bp-14, -0x1.9af84ffc5517bp-14, -0x1.8bc23d1fc7d89p-14, -0x1.7d0150f155bd6p-14, -0x1.6eb2b85c84e66p-14, -0x1.60d3b0396d4cdp-14, -0x1.536184efa2f46p-14, -0x1.46599221f6005p-14, -0x1.39b9425873a9cp-14, -0x1.2d7e0eaa99797p-14, -0x1.21a57e7084408p-14, -0x1.162d26f127f16p-14, -0x1.0b12ab1498575p-14, -0x1.0053bb15dabb4p-14, -0x1.ebdc287acdbd6p-15, -0x1.d7bf0128ffcbbp-15, -0x1.c44bad3780bf8p-15, -0x1.b17df20bafeccp-15, -0x1.9f51ace8ad8fcp-15, -0x1.8dc2d26855226p-15, -0x1.7ccd6df7ce11p-15, -0x1.6c6da158fd314p-15, -0x1.5c9fa4210afc5p-15, -0x1.4d5fc342d8aabp-15, -0x1.3eaa608d40896p-15, -0x1.307bf23e481c8p-15, -0x1.22d1028bfed41p-15, -0x1.15a62f33fe6d2p-15, -0x1.08f829162557ep-15, -0x1.f9876781db104p-16, -0x1.e20b4a171895bp-16, -0x1.cb75c956b1f73p-16, -0x1.b5c0d7a464a6fp-16, -0x1.a0e6899eb4727p-16, -0x1.8ce1155285722p-16, -0x1.79aad19067fd3p-16, -0x1.673e352727244p-16, -0x1.5595d63905836p-16, -0x1.44ac698b387fdp-16, -0x1.347cc1cdeeb78p-16, -0x1.2501cf0469676p-16, -0x1.16369ddbe1a84p-16, -0x1.0816570d5194ap-16, -0x1.f5387d8c0363dp-17, -0x1.db876814927cdp-17, -0x1.c310603f6f8c3p-17, -0x1.abca8bf6761a6p-17, -0x1.95ad43665030bp-17, -0x1.80b00fedb3a86p-17, -0x1.6ccaab04e637p-17, -0x1.59f4fd410b01dp-17, -0x1.48271d410ab5dp-17, -0x1.37594ebfb0c6ep-17, -0x1.2784018a5d1e1p-17, -0x1.189fd0967f71ap-17, -0x1.0aa5811200ff2p-17, -0x1.fb1c030cc4239p-18, -0x1.e2a4d1d238336p-18, -0x1.cbd7eb9545d07p-18, -0x1.b6a81af56d865p-18, -0x1.a308766b7c702p-18, -0x1.90ec5e95badadp-18, -0x1.80477cd5fe797p-18, -0x1.710dc1a4cf281p-18, -0x1.6333630f90f73p-18, -0x1.56acdb4d2e35ep-18, -0x1.4b6ee74986dc6p-18, -0x1.416e854570c71p-18, -0x1.38a0f364fae05p-18, -0x1.30fbae5f3c667p-18, -0x1.2a7470413c01bp-18, -0x1.25012f1273835p-18, -0x1.20981ba16e1f7p-18, -0x1.1d2fa03d19846p-18, -0x1.1abe5f97ac724p-18, -0x1.193b33891e455p-18, -0x1.189d2beb22f41p-18, -0x1.18db8d8fec4eap-18, -0x1.19edd1174cf88p-18, -0x1.1bcba1f04e6e6p-18, -0x1.1e6cdd2918e1ep-18, -0x1.21c99097fc438p-18, -0x1.25d9f9c03506cp-18, -0x1.2a9684e255932p-18, -0x1.2ff7cbef7947dp-18, -0x1.35f695bb3e127p-18, -0x1.3c8bd50e8b724p-18, -0x1.43b0a7ad23192p-18, -0x1.4b5e55951986cp-18, -0x1.538e501d1d08p-18, -0x1.5c3a31000fd5bp-18, -0x1.655bb9b13869ep-18, -0x1.6eecd286cb9d3p-18, -0x1.78e789e407cc5p-18, -0x1.8346138f398cdp-18, -0x1.8e02c7d25d5d7p-18, -0x1.991822da2f6bdp-18, -0x1.a480c3f525a74p-18, -0x1.b0376cea1e3a5p-18, -0x1.bc37013d4a515p-18, -0x1.c87a856bd551dp-18, -0x1.d4fd1e7576307p-18, -0x1.e1ba111e140afp-18, -0x1.eeacc149bf9a6p-18, -0x1.fbd0b16d710dep-18, -0x1.0490c0f536f52p-17, -0x1.0b4d78406d337p-17, -0x1.121c6bcf0f8d8p-17, -0x1.18fb9704e2e2fp-17, -0x1.1fe9030b4faa7p-17, -0x1.26e2c6975c233p-17, -0x1.2de705ac6c4fap-17, -0x1.34f3f14f3a3e5p-17, -0x1.3c07c74b8ae9cp-17, -0x1.4320d1f257cddp-17, -0x1.4a3d67df94a38p-17, -0x1.515bebb3c4bb2p-17, -0x1.587acbd439a72p-17, -0x1.5f98823d7e83ap-17, -0x1.66b3944560c62p-17, -0x1.6dca92578e152p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      33, 0x1.70a3d70a3d70ap+2, 0x1.dfffc3e40e35fp+0, 0x1.7cd833deadfc1p+1, -0x1.071cd3041eb19p-9, 
      {{
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.8aa9b124630d6p-8, -0x1.ed545b34bfa98p-7, 0x1.ce7edb96a4132p-7, -0x1.7dd366df764dfp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.64a6ec89584ccp-8, -0x1.c93f0a9a48877p-7, 0x1.b796037efe418p-7, -0x1.71c7ad7e1d197p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.391441c6a9ee6p-8, -0x1.9eaca0fbd1225p-7, 0x1.9bda3ce255accp-7, -0x1.65b47099b2c89p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.11a0519581ae3p-8, -0x1.76d49a09998e7p-7, 0x1.81064e0a01dddp-7, -0x1.59ab432223fa2p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.dc0cdb75caee9p-9, -0x1.519fd03ecea02p-7, 0x1.671975cdd8c49p-7, -0x1.4d9f639549b35p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.9c086ff4c9d53p-9, -0x1.2ef725288ad2cp-7, 0x1.4e13e7ef733d1p-7, -0x1.41943cf0b14c1p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.62b3442c32c2bp-9, -0x1.0ec3786ef09adp-7, 0x1.35f5969099246p-7, -0x1.3588e4c0651c9p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.2f91db9d4bd3ap-9, -0x1.e1db547829bd9p-8, 0x1.1ebe8568918f2p-7, -0x1.297d99d6a92dbp-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.022d59c66e921p-9, -0x1.aabd352e75941p-8, 0x1.086eb37878123p-7, -0x1.1d724b5e50debp-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.b42704460fec7p-10, -0x1.77fe5321f3ee7p-8, 0x1.e60c420930cffp-8, -0x1.1166fdd9efd8cp-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.6dad705730c7fp-10, -0x1.49706e6ed40bep-8, 0x1.bd099bf54cd53p-8, -0x1.055bb01438952p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.301bfeab675eap-10, -0x1.1ee547329c25ep-8, 0x1.95d574bf11256p-8, -0x1.f2a0c4bff47ffp-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.f553ec5004577p-11, -0x1.f05d3b14ed19fp-9, 0x1.706fcc63decf2p-8, -0x1.da8a294e26dd4p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.992fbb58ed123p-11, -0x1.aa3c63274c5a3p-9, 0x1.4cd8a2e468b1ep-8, -0x1.c2738dded3d4cp-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4a5ef824c1536p-11, -0x1.6b0b86d6cec34p-9, 0x1.2b0ff8407f355p-8, -0x1.aa5cf26ed7d13p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.0787b05b0734ap-11, -0x1.326e265df0897p-9, 0x1.0b15cc782f051p-8, -0x1.924656ff04e37p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.9ec4e32f2510dp-12, -0x1.0007c1f72cee2p-9, 0x1.d9d43f16ea1b7p-9, -0x1.7a2fbb8f4591dp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.417492d509a0cp-12, -0x1.a6f7b3b9ff48dp-10, 0x1.a119e2f49fac2p-9, -0x1.6219201ef1913p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.e9b3156135189p-13, -0x1.58dbdc93c6d05p-10, 0x1.6bfc84899509ep-9, -0x1.4a0284b106192p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.6da7cb66a3544p-13, -0x1.1502fef0acf04p-10, 0x1.3a7c23d56db98p-9, -0x1.31ebe939ccee4p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.0ad17d6e8887p-13, -0x1.b568368b27544p-11, 0x1.0c98c0d98efb7p-9, -0x1.19d54de5ab60bp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7b08c1fc8c14p-14, -0x1.526c640f80144p-11, 0x1.c4a4b7216a8d2p-10, -0x1.01beb20e65559p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.04bd56d8e7f8p-14, -0x1.ff410eac190f5p-12, 0x1.7751e81d18f4p-10, -0x1.d35030407960bp-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.5922478385e4p-15, -0x1.772542a264a44p-12, 0x1.313914136d258p-10, -0x1.a322ee2308c76p-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.b3a24aa4a1a7fp-16, -0x1.09a165968dba7p-12, 0x1.e4b47a4f8adcap-11, -0x1.72f5e13627cb5p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.02f0348e47581p-16, -0x1.67a2f4908a214p-13, 0x1.756ab6bf4bb79p-11, -0x1.42c80dc9854c2p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1cbfe33f305p-17, -0x1.cb45fc6d06677p-14, 0x1.14951902d6edfp-11, -0x1.129d1f2a93eeap-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.19cc94f7998p-18, -0x1.0ef60ae080b2p-14, 0x1.846585b8eeb3cp-12, -0x1.c4cec7a9650bap-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.dfb71583b27fep-20, -0x1.1d8ab87ed3ad8p-15, 0x1.f91bc6d9072e7p-13, -0x1.64b3ed1a3172fp-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.434ecceac2p-21, -0x1.f93615a265345p-17, 0x1.231638961cb72p-13, -0x1.036c3b86339dcp-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.20e9b6d6bffffp-23, -0x1.47fd9adb0671cp-18, 0x1.0eddc357fb78cp-14, -0x1.4d0e93d652d66p-12}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.992fbb6280004p-27, -0x1.b3c691d1fd8bbp-21, 0x1.1c20ddc3f3e39p-16, -0x1.ca217b5b2a1d4p-14}, 
        {0x1.7p+2, 0x1.70a3d70a3d70ap+2, 0x1.434ef3fffffffp-37, 0x1.0d097060cd5c1p-24, 0x1.27ff44db54p-21, -0x1.072c24fe7bd2ep-8}, 
      }}, 
      0x1.101967798dc0bp-1, -0x1.3e50a0dcbeb0ep+4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.9955896b6dec5p+1, -0x1.942be70b015aep+1, -0x1.8d25c4770b81ap+1, -0x1.846d051396486p+1, -0x1.7a2f469c9d101p+1, -0x1.6e9bcc1a3f6bfp+1, -0x1.61e1f6e086f97p+1, -0x1.543029182c1f4p+1, -0x1.45b2f7e132d1fp+1, -0x1.36949a5f3eb85p+1, -0x1.26fc87e3a863bp+1, -0x1.170f3ac5ff1e4p+1, -0x1.06ee0fde34484p+1, -0x1.ed6e789fba909p+0, -0x1.cd0ba94b393ap+0, -0x1.ace3c26541c8fp+0, -0x1.8d20f8edc0abcp+0, -0x1.6de7f1c9003bcp+0, -0x1.4f5817a3e3e6dp+0, -0x1.318bf78a7969ap+0, -0x1.1499a13e479c2p+0, -0x1.f12611caa377fp-1, -0x1.bb0cd01dcbe7p-1, -0x1.86fd389061456p-1, -0x1.5507038d1a495p-1, -0x1.25349313422cdp-1, -0x1.ef172cbfbc63cp-2, -0x1.981b460949571p-2, -0x1.45717d8ba4cbdp-2, -0x1.ee1f757368c88p-3, -0x1.59cd630edb618p-3, -0x1.9b8ade5836e86p-4, -0x1.2763bcf2b35f9p-5, 0x1.91663bdaec76dp-6, 0x1.4d0a5ec088b1bp-4, 0x1.136d9ac2efdbp-3, 0x1.792655151e199p-3, 0x1.d7f1e0588312fp-3, 0x1.180a278e7a921p-2, 0x1.40e9595f8418dp-2, 0x1.66b94db89fd0cp-2, 0x1.899cd3a17a576p-2, 0x1.a9b68ef610a25p-2, 0x1.c728cbfc01db4p-2, 0x1.e2155843f583bp-2, 0x1.fa9d609d645c8p-2, 0x1.0870a9f48dc9ep-1, 0x1.128065464a087p-1, 0x1.1b8d391eb66d3p-1, 0x1.23a5feeac8edep-1, 0x1.2ad90c6e16928p-1, 0x1.31342f35e957p-1, 0x1.36c4a98d8716ap-1, 0x1.3b9730c5e8a18p-1, 0x1.3fb7eca46b7fdp-1, 0x1.433277cefd5d7p-1, 0x1.4611e110503cp-1, 0x1.4860ad52de096p-1, 0x1.4a28da358d157p-1, 0x1.4b73e1203ae31p-1, 0x1.4c4abac157aabp-1, 0x1.4cb5e2dfeb01p-1, 0x1.4cbd5c6fb4d54p-1, 0x1.4c68b5d72e3p-1, 0x1.4bbf0d58a0bb1p-1, 0x1.4ac71591de849p-1, 0x1.49871a07cb9cap-1, 0x1.480503b3f5b4ap-1, 0x1.46465d8cadb0dp-1, 0x1.44505900bfc57p-1, 0x1.4227d260f140ap-1, 0x1.3fd15532f5d9ap-1, 0x1.3d51206975861p-1, 0x1.3aab2a7e4cef1p-1, 0x1.37e3256c40ec1p-1, 0x1.34fc82863db53p-1, 0x1.31fa762a923d7p-1, 0x1.2edffb514880fp-1, 0x1.2bafd6f4a4456p-1, 0x1.286c9b5411bddp-1, 0x1.2518ab10b1a13p-1, 0x1.21b63c24ea03dp-1, 0x1.1e475ab60f907p-1, 0x1.1acdebc27ad68p-1, 0x1.174bafaaf9393p-1, 0x1.13c2449a839fbp-1, 0x1.103328cb4d681p-1, 0x1.0c9fbcabe6767p-1, 0x1.090944e49beaep-1, 0x1.0570ec3e2a5e2p-1, 0x1.01d7c56c9c62dp-1, 0x1.fc7d99784ad51p-2, 0x1.f54dd34cb5df1p-2, 0x1.ee21e0959c81bp-2, 0x1.e6fb45a4ce7c4p-2, 0x1.dfdb65749b829p-2, 0x1.d8c38411620e4p-2, 0x1.d1b4c8df72f77p-2, 0x1.cab040b1a06e2p-2, 0x1.c3b6dfc45fea3p-2, 0x1.bcc9839096ceep-2, 0x1.b5e8f47e1574ap-2, 0x1.af15e77e20a32p-2, 0x1.a850ff7f8523fp-2, 0x1.a19aced096d4p-2, 0x1.9af3d865c0068p-2, 0x1.945c9103b9733p-2, 0x1.8dd5605d5b315p-2, 0x1.875ea21535778p-2, 0x1.80f8a6ad993cp-2, 0x1.7aa3b46c6e38p-2, 0x1.7460082660d79p-2, 0x1.6e2dd5ffa0c9dp-2, 0x1.680d4a1fd224bp-2, 0x1.61fe89527a5ap-2, 0x1.5c01b1a0fa96cp-2, 0x1.5616dadfdf03bp-2, 0x1.503e172d5d258p-2, 0x1.4a77736bc52e3p-2, 0x1.44c2f7b02f85fp-2, 0x1.3f20a7a592f7cp-2, 0x1.399082edec85fp-2, 0x1.3412857916a9cp-2, 0x1.2ea6a7d160413p-2, 0x1.294cdf6854bf9p-2, 0x1.24051edbbe409p-2, 0x1.1ecf562fe2074p-2, 0x1.19ab730afd2b9p-2, 0x1.149960ed785eep-2, 0x1.0f99095e6b43p-2, 0x1.0aaa541762a2ep-2, 0x1.05cd27326ba6fp-2, 0x1.0101674e7adacp-2, 0x1.f88def5b9c3cfp-3, 0x1.ef3b74b219cc8p-3, 0x1.e60b207f8577bp-3, 0x1.dcfcb29df5445p-3, 0x1.d40fe9103fecdp-3, 0x1.cb448038a7756p-3, 0x1.c29a3303d7b94p-3, 0x1.ba10bb05cdb09p-3, 0x1.b1a7d09d2e38bp-3, 0x1.a95f2b1c3cc7bp-3, 0x1.a13680e530aebp-3, 0x1.992d877d3d41ap-3, 0x1.9143f3a70897ap-3, 0x1.897979811c004p-3, 0x1.81cdcc998d238p-3, 0x1.7a409ffa7b631p-3, 0x1.72d1a63cca9a5p-3, 0x1.6b80919ef3b96p-3, 0x1.644d14141337fp-3, 0x1.5d36df4c2ba9bp-3, 0x1.563da4c04eae9p-3, 0x1.4f6115c39718cp-3, 0x1.48a0e38fef502p-3, 0x1.41fcbf4c577cbp-3, 0x1.3b745a13f9856p-3, 0x1.35076501ef7bfp-3, 0x1.2eb5913c92683p-3, 0x1.287e8ffb9e24bp-3, 0x1.2262128c5b74dp-3, 0x1.1c5fca58aebc6p-3, 0x1.167768f049d57p-3, 0x1.10a8a00f762bep-3, 0x1.0af321a2b216bp-3, 0x1.05569fca7ccfdp-3, 0x1.ffa599c30f055p-4, 0x1.f4ceb7067597p-4, 0x1.ea27fd205aa8bp-4, 0x1.dfb0d261d51cdp-4, 0x1.d5689db2fce7bp-4, 0x1.cb4ec69cbcfbap-4, 0x1.c162b55265e0ep-4, 0x1.b7a3d2b83c007p-4, 0x1.ae11886868855p-4, 0x1.a4ab40b92523ap-4, 0x1.9b7066c49a66ap-4, 0x1.926066702bfb4p-4, 0x1.897aac71d8385p-4, 0x1.80bea65486454p-4, 0x1.782bc27d44358p-4, 0x1.6fc17031a27cbp-4, 0x1.677f1f9da6e34p-4, 0x1.5f6441d85bf12p-4, 0x1.577048e79bd79p-4, 0x1.4fa2a7c456ad1p-4, 0x1.47fad25fb354ep-4, 0x1.40783da7ed6p-4, 0x1.391a5f8c34e62p-4, 0x1.31e0af000147cp-4, 0x1.2acaa3fec4b1fp-4, 0x1.23d7b79034fdfp-4, 0x1.1d0763cc39f6fp-4, 0x1.165923ddb3b96p-4, 0x1.0fcc7404b5ebp-4, 0x1.0960d1999a46cp-4, 0x1.0315bb114840cp-4, 0x1.f9d56002e1689p-5, 0x1.edbe6245c4e1ap-5, 0x1.e1e580a396486p-5, 0x1.d649c11c2713p-5, 0x1.caea2bfc7e3b7p-5, 0x1.bfc5cbe994257p-5, 0x1.b4dbadea4b3efp-5, 0x1.aa2ae16a3821fp-5, 0x1.9fb27834c0e2cp-5, 0x1.9571866fd4393p-5, 0x1.8b67229eb68fbp-5, 0x1.819265ae3cb74p-5, 0x1.77f26b02b6adp-5, 0x1.6e86507cdc9cp-5, 0x1.654d36723b265p-5, 0x1.5c463fa0d0942p-5, 0x1.5370912a83be8p-5, 0x1.4acb529e81859p-5, 0x1.4255ae0a074a4p-5, 0x1.3a0ed002a7e83p-5, 0x1.31f5e7a1439c2p-5, 0x1.2a0a2672418d9p-5, 0x1.224ac069b906cp-5, 0x1.1ab6ebe6e6578p-5, 0x1.134de1c41a764p-5, 0x1.0c0edd63d032fp-5, 0x1.04f91cacdeaa6p-5, 0x1.fc17bfeda04bap-6, 0x1.ee8cd3ef39649p-6, 0x1.e14fff8b6014cp-6, 0x1.d45fd1e06e7abp-6, 0x1.c7badf329e9dp-6, 0x1.bb5fc0ec3f317p-6, 0x1.af4d15546e1eap-6, 0x1.a3817f26acce7p-6, 0x1.97fba55e45b6ap-6, 0x1.8cba3371a7c5fp-6, 0x1.81bbd9e80851ep-6, 0x1.76ff4ee074e27p-6, 0x1.6c834e112c6b5p-6, 0x1.6246981570dfp-6, 0x1.5847f1627921bp-6, 0x1.4e862196a490ap-6, 0x1.44fff3ba1ab2ep-6, 0x1.3bb437745f51dp-6, 0x1.32a1c286a3adcp-6, 0x1.29c771848d10ap-6, 0x1.2124271aca462p-6, 0x1.18b6ca141e87ep-6, 0x1.107e4333bfab5p-6, 0x1.08797c49f5605p-6, 0x1.00a7615212b89p-6, 0x1.f20dc664f9638p-7, 0x1.e32df52efb66bp-7, 0x1.d4ad522ba13bp-7, 0x1.c689ef295c3a1p-7, 0x1.b8c1e51bd89f4p-7, 0x1.ab534c3699442p-7, 0x1.9e3c384f10249p-7, 0x1.917abc32a8a61p-7, 0x1.850cf2cb17153p-7, 0x1.78f1096344802p-7, 0x1.6d25453a3b4efp-7, 0x1.61a800aa1ddfdp-7, 0x1.5677a08db153ap-7, 0x1.4b9286f49a0fcp-7, 0x1.40f70a26c80e7p-7, 0x1.36a37531197ddp-7, 0x1.2c96127104b3bp-7, 0x1.22cd3b4441244p-7, 0x1.194764fb30cfap-7, 0x1.10032421b64e1p-7, 0x1.06ff23c3e6776p-7, 0x1.fc74289dbde4fp-8, 0x1.eb653437a8bfp-8, 0x1.dace888a2b7a5p-8, 0x1.caad2143a70c2p-8, 0x1.bafdf6e05411cp-8, 0x1.abbe26f7a7e83p-8, 0x1.9ceb12a21839p-8, 0x1.8e82648c564b2p-8, 0x1.8081fb592a9ccp-8, 0x1.72e7c184a59bcp-8, 0x1.65b184974ac21p-8, 0x1.58dcde1b3977bp-8, 0x1.4c6738b8ce9efp-8, 0x1.404deeca2fe67p-8, 0x1.348e7450d1e21p-8, 0x1.29267a1e8af49p-8, 0x1.1e13fc063389ap-8, 0x1.135534de7695cp-8, 0x1.08e87d679ef2dp-8, 0x1.fd98479cfaba9p-9, 0x1.e9fc9a34dfd82p-9, 0x1.d6f9da782dab2p-9, 0x1.c48bae0e9a0d1p-9, 0x1.b2adb4e83f1d6p-9, 0x1.a15bc856d0327p-9, 0x1.909229766ca84p-9, 0x1.804d9277c017ep-9, 0x1.708b22635a2c7p-9, 0x1.614826ed96949p-9, 0x1.5281dcf00ff18p-9, 0x1.4435494a61c25p-9, 0x1.365f385038c74p-9, 0x1.28fc52b1aede8p-9, 0x1.1c0930d7ee57ep-9, 0x1.0f826f264486cp-9, 0x1.0364d50934784p-9, 0x1.ef5b0adcb6958p-10, 0x1.d8b417bec96ecp-10, 0x1.c2d059bd31857p-10, 0x1.adab443d34e83p-10, 0x1.99400b6f68f51p-10, 0x1.8589e7bd39722p-10, 0x1.72843fe1951f7p-10, 0x1.602a51b0833b7p-10, 0x1.4e76b8e1e9d6dp-10, 0x1.3d639f043f2afp-10, 0x1.2cebaff059a04p-10, 0x1.1d0ada46619dap-10, 0x1.0dbdeac8784d2p-10, 0x1.fe02ce2d1a751p-11, 0x1.e1a20e794ce75p-11, 0x1.c650dca31e35dp-11, 0x1.ac08537259471p-11, 0x1.92c317ddae06cp-11, 0x1.7a7a9c1ad10f5p-11, 0x1.63251df43db5bp-11, 0x1.4cb75d0c4bf8ep-11, 0x1.3728c4d735cf1p-11, 0x1.227559ad29e2fp-11, 0x1.0e9ae993960dbp-11, 0x1.f7293dbe50cc5p-12, 0x1.d2b3e6188c983p-12, 0x1.afc3bf122c352p-12, 0x1.8e4d00b10cd1p-12, 0x1.6e4a2359d1191p-12, 0x1.4fb413a3ecf6bp-12, 0x1.327b0ef613495p-12, 0x1.16893f4316fd6p-12, 0x1.f79b96246925ap-13, 0x1.c488b8ee82d2ap-13, 0x1.93e0222ebaf2ap-13, 0x1.659efd893dbf4p-13, 0x1.39addf19a241fp-13, 0x1.0fe9ec0f3b15bp-13, 0x1.d06b0f9906461p-14, 0x1.8501fa6d3e046p-14, 0x1.3d8a048933142p-14, 0x1.f3d30050b3356p-15, 0x1.73d2d16339cp-15, 0x1.f511b4bd690efp-16, 0x1.0f3793cccaba9p-16, 0x1.b0b8a3b303158p-19, -0x1.2c0237f8c627p-17, -0x1.5517a85a646bfp-16, -0x1.03db818402cd8p-15, -0x1.574f51a17e12bp-15, -0x1.a53b4e34150cap-15, -0x1.ede7b5111c8d1p-15, -0x1.18c8ff08edbb5p-14, -0x1.38308c775ce3p-14, -0x1.553d0d728c663p-14, -0x1.700fb79eb7024p-14, -0x1.88d0acbab1de5p-14, -0x1.9f95ef1210ff8p-14, -0x1.b459657689963p-14, -0x1.c712d16518d76p-14, -0x1.d7d353d0229dp-14, -0x1.e6b81fb16cef3p-14, -0x1.f3cfd6b35413ap-14, -0x1.ff2b7a48733d6p-14, -0x1.047aa444ac8b9p-13, -0x1.08abe432644b9p-13, -0x1.0c2f79cd5c1dap-13, -0x1.0f010aac900fp-13, -0x1.1122fb4613beep-13, -0x1.12a53260be8ep-13, -0x1.13975117670c7p-13, -0x1.13f97790455abp-13, -0x1.13c8175124206p-13, -0x1.130dc78957054p-13, -0x1.11d53526c999cp-13, -0x1.101b42db249aap-13, -0x1.0de10d57fd814p-13, -0x1.0b343b9800f5bp-13, -0x1.082712371df07p-13, -0x1.04c5de2284f38p-13, -0x1.010cf5fad9a4bp-13, -0x1.f9e6f75efd595p-14, -0x1.f0fe671aaaa7fp-14, -0x1.e77f54177dfb9p-14, -0x1.dd796e88fa0fbp-14, -0x1.d2e6398e1700ep-14, -0x1.c7cf7b3982463p-14, -0x1.bc4a6d86c17a7p-14, -0x1.b052624379b55p-14, -0x1.a3e6c9c895069p-14, -0x1.9712410a39d36p-14, -0x1.89dcaa5241736p-14, -0x1.7c547b278a068p-14, -0x1.6e8f1c19dcdbfp-14, -0x1.608c77bd45407p-14, -0x1.523fde79f423ep-14, -0x1.43b1cda4aef82p-14, -0x1.34ed56e3ad8a7p-14, -0x1.25fda472f5f1dp-14, -0x1.16e5881dccef2p-14, -0x1.07ac7830b4a2ep-14, -0x1.f0b563ad997adp-15, -0x1.d1d4a75a7e695p-15, -0x1.b2c50c0a63f37p-15, -0x1.9396af67d7f83p-15, -0x1.744c3ebfea57fp-15, -0x1.54e7c5c466aeep-15, -0x1.35765d30b7caap-15, -0x1.160cdcb5ef6p-15, -0x1.ed53dd26aee12p-16, -0x1.aea0cb2a98b04p-16, -0x1.700e6b6e03227p-16, -0x1.319e38a6f9a9ep-16, -0x1.e6de406a1b69cp-17, -0x1.6b17671a457cbp-17, -0x1.e00688cf6a506p-18, -0x1.d67a1451c40dcp-19, 0x1.016727a562c59p-23, 0x1.f31d7ab4d18bdp-19, 0x1.e92d1ba3ae1c9p-18, 0x1.6b660c17b38b4p-17, 0x1.e126c0cd66fc7p-17, 0x1.2ae5074f0c37fp-16, 0x1.649f4fcf3fe69p-16, 0x1.9dbc6c03c860fp-16, 0x1.d6371d327218cp-16, 0x1.0706ce1fb8a8ap-15, 0x1.2292cb518de16p-15, 0x1.3dc0bcc8dff3cp-15, 0x1.5897b7ddc558ep-15, 0x1.7315b80b5430ap-15, 0x1.8d30ca8380361p-15, 0x1.a6e68a2710f0ap-15, 0x1.c039a2738a345p-15, 0x1.d927d0b7852c9p-15, 0x1.f1af26a55fd65p-15, 0x1.04e71f145414ep-14, 0x1.10c1d0d206b77p-14, 0x1.1c64f491e21d2p-14, 0x1.27cd7a3d298bep-14, 0x1.33017fa6d9e3dp-14, 0x1.3e03e192573dfp-14, 0x1.48cd090e502a7p-14, 0x1.535adeda47c24p-14, 0x1.5dabd1e25de24p-14, 0x1.67c8982a788a9p-14, 0x1.71b3281285a8ep-14, 0x1.7b60638b7c8d5p-14, 0x1.84d45a9d6ddc1p-14, 0x1.8e119d04df9f5p-14, 0x1.971698383964cp-14, 0x1.9fe2f1fa9e352p-14, 0x1.a87749eeb2bccp-14, 0x1.b0d43d6f191e9p-14, 0x1.b8fa2f18ea152p-14, 0x1.c0e41f8a65b8dp-14, 0x1.c8906d65a3261p-14, 0x1.d00dcefa250e8p-14, 0x1.d753dafabaf11p-14, 0x1.de5f03630d937p-14, 0x1.e53722d013d6p-14, 0x1.ebd366036e369p-14, 0x1.f23ba8deae341p-14, 0x1.f872f42b97835p-14, 0x1.fe6f25986d13ep-14, 0x1.021c53496d6c9p-13, 0x1.04e7671664027p-13, 0x1.079862814964cp-13, 0x1.0a2f71a833512p-13, 0x1.0cad167148481p-13, 0x1.0f11d112a2e3p-13, 0x1.115deaf5d52e6p-13, 0x1.13917658c8ccbp-13, 0x1.15a92b6d2f793p-13, 0x1.17ab376399f29p-13, 0x1.1995308f71a3cp-13, 0x1.1b66811bce0bcp-13, 0x1.1d21a8c6ce543p-13, 0x1.1ec6686ffcb6dp-13, 0x1.2052ac2567225p-13, 0x1.21c9550430cbbp-13, 0x1.232948b51bdf8p-13, 0x1.24730871be28ap-13, 0x1.25a7fdf30834bp-13, 0x1.26c7b07273eaap-13, 0x1.27d2457f593c5p-13, 0x1.28c8159a40a1fp-13, 0x1.29a99bc7c8dfbp-13, 0x1.2a7745b0d3cbbp-13, 0x1.2b313e2fd26a9p-13, 0x1.2bd8259578625p-13, 0x1.2c6ac0a22f6cap-13, 0x1.2ceb6d887a251p-13, 0x1.2d588d204f579p-13, 0x1.2db429ea66484p-13, 0x1.2dfe6a9f52d41p-13, 0x1.2e36f2543bbb5p-13, 0x1.2e5e9c9f37bebp-13, 0x1.2e74f29282e76p-13, 0x1.2e7abfab5df9ep-13, 0x1.2e6f90b6e0ad1p-13, 0x1.2e551a29c7cfdp-13, 0x1.2e2b177e9d6f6p-13, 0x1.2df1ab4c4ab1dp-13, 0x1.2da9233a528a1p-13, 0x1.2d51d80c5d5f8p-13, 0x1.2cec2b361f794p-13, 0x1.2c7869a7cefbep-13, 0x1.2bf6bae9e6682p-13, 0x1.2b67cdce1cedep-13, 0x1.2acb6a1ece69dp-13, 0x1.2a21d110a3879p-13, 0x1.296b5840ae3dep-13, 0x1.28a8ffdae91b1p-13, 0x1.27da9ca17f911p-13, 0x1.27005cfc1f964p-13, 0x1.261a783d0091ep-13, 0x1.252998cca840cp-13, 0x1.242dc85d1a64dp-13, 0x1.2326b8b4efb12p-13, 0x1.22156f42b2a14p-13, 0x1.20fa32379eaf4p-13, 0x1.1fd50aa958047p-13, 0x1.1ea63a3ee27f7p-13, 0x1.1d6e065778551p-13, 0x1.1c2cb65a855dfp-13, 0x1.1ae2904e4baf8p-13, 0x1.198fc96a4642p-13, 0x1.1834978433566p-13, 0x1.16d18c9482456p-13, 0x1.15666f5060347p-13, 0x1.13f35adfa54a9p-13, 0x1.12792c2c83796p-13, 0x1.10f7d6e025cfp-13, 0x1.0f6f8c4f0ae03p-13, 0x1.0de089e29fb79p-13, 0x1.0c4b0271f5031p-13, 0x1.0aaf298eaa4fdp-13, 0x1.090d617332dc7p-13, 0x1.0765c4c9e0ba6p-13, 0x1.05b83901f52d7p-13, 0x1.04057080ea466p-13, 0x1.024d7293b73d5p-13, 0x1.00906a3bc910dp-13, 0x1.fd9d1715c1a58p-14, 0x1.fa1014039ea65p-14, 0x1.f67a3111a1868p-14, 0x1.f2dbcd8f3e924p-14, 0x1.ef353af98e488p-14, 0x1.eb86ea4dafc75p-14, 0x1.e7d17204b4734p-14, 0x1.e4146935d9ffdp-14, 0x1.e050ddef748e2p-14, 0x1.dc870567d40c9p-14, 0x1.d8b71df69f779p-14, 0x1.d4e17ef187bb2p-14, 0x1.d1067d794af74p-14, 0x1.cd266b4762056p-14, 0x1.c9419379c33cep-14, 0x1.c55842d8561c8p-14, 0x1.c16ae2432c29bp-14, 0x1.bd79a293d1375p-14, 0x1.b984a9d3de87fp-14, 0x1.b58c87e3ef041p-14, 0x1.b19163bfd17d8p-14, 0x1.ad93820a1b294p-14, 0x1.a993286d09958p-14, 0x1.a5909afcb2cf1p-14, 0x1.a18c1c0fef1a4p-14, 0x1.9d85e9e037cbep-14, 0x1.997e40dac963fp-14, 0x1.95756fb54d027p-14, 0x1.916ba4653d68cp-14, 0x1.8d610222029e2p-14, 0x1.8955f02753b4ap-14, 0x1.854a924389c41p-14, 0x1.813f1f81fe714p-14, 0x1.7d33cec7fd5f2p-14, 0x1.7928d56d12815p-14, 0x1.751e677e7da17p-14, 0x1.7114b76804b18p-14, 0x1.6d0bf5414c4d6p-14, 0x1.69045171795f5p-14, 0x1.64fe039c93634p-14, 0x1.60f92bf4f84d2p-14, 0x1.5cf5f90af768ap-14, 0x1.58f4a169667a3p-14, 0x1.54f548f81ab1fp-14, 0x1.50f81989c29c7p-14, 0x1.4cfd3bfcf1019p-14, 0x1.4904d811e63c3p-14, 0x1.450f1460b6ee9p-14, 0x1.411c15d4dcbb4p-14, 0x1.3d2c007c3005p-14, 0x1.393efc21bf9f6p-14, 0x1.355527779d70bp-14, 0x1.316e9e481185bp-14, 0x1.2d8b8c88da227p-14, 0x1.29ac0cc660afap-14, 0x1.25d03dca48476p-14, 0x1.21f83db24bebap-14, 0x1.1e2429a42fa92p-14, 0x1.1a541de1bf908p-14, 0x1.168835cceb92p-14, 0x1.12c08bb7af5f4p-14, 0x1.0efd3918988b4p-14, 0x1.0b3e575956e87p-14, 0x1.078400960ca3ap-14, 0x1.03ce457ee4f29p-14, 0x1.001d430d473f1p-14, 0x1.f8e21a05babd6p-15, 0x1.f193702777598p-15, 0x1.ea4eb1279814bp-15, 0x1.e31404284de3p-15, 0x1.dbe38edcfc3a5p-15, 0x1.d4bd7593a13c3p-15, 0x1.cda1db2ca027p-15, 0x1.c690e102cfc12p-15, 0x1.bf8aa73dae0ccp-15, 0x1.b88f4e1240225p-15, 0x1.b19ef256d293bp-15, 0x1.aab9ad98993f7p-15, 0x1.a3df9f5afa60fp-15, 0x1.9d10dfdd8ca7ep-15, 0x1.964d87d0b3d8cp-15, 0x1.8f95aee3aa75ap-15, 0x1.88e96b9aef8ebp-15, 0x1.8248d35754859p-15, 0x1.7bb3fa58c9aa4p-15, 0x1.752af3d439809p-15, 0x1.6eadd218329d3p-15, 0x1.683ca645c87e5p-15, 0x1.61d77ff823c52p-15, 0x1.5b7e6effae02bp-15, 0x1.5531813f103b7p-15, 0x1.4ef0c3ed98f35p-15, 0x1.48bc435733cc4p-15, 0x1.42940adcdc181p-15, 0x1.3c7824fb47882p-15, 0x1.36689b50c20dcp-15, 0x1.306576a1df6a1p-15, 0x1.2a6ebeddd1966p-15, 0x1.24847b2097ee7p-15, 0x1.1ea6b1b7a5f17p-15, 0x1.18d5682a92f42p-15, 0x1.1310a34a116e9p-15, 0x1.0d5867329c9c7p-15, 0x1.07acb70c44dfap-15, 0x1.020d94a710c41p-15, 0x1.f8f607bde95b5p-16, 0x1.edea09d15934p-16, 0x1.e2f72f1f4b3c6p-16, 0x1.d81d78e7ecf7dp-16, 0x1.cd5ce58ef409fp-16, 0x1.c2b57019dd1a8p-16, 0x1.b8271a60fd20fp-16, 0x1.adb1da726f6cfp-16, 0x1.a355aaee4b57cp-16, 0x1.99128513b4544p-16, 0x1.8ee86060ce71p-16, 0x1.84d7334f3310fp-16, 0x1.7adef354a7f1fp-16, 0x1.70ff94e6d87f5p-16, 0x1.67390b7fa72fp-16, 0x1.5d8b49a22eb06p-16, 0x1.53f64100f141cp-16, 0x1.4a79e22916b4dp-16, 0x1.41161d1df040bp-16, 0x1.37cae0c6f83bbp-16, 0x1.2e981b48d2b8p-16, 0x1.257db9f0081fp-16, 0x1.1c7ba942085aap-16, 0x1.1391d4fbf66d4p-16, 0x1.0ac02817e28dcp-16, 0x1.02068d2d5dd5ep-16, 0x1.f2c9dc798810fp-17, 0x1.e1b667e238881p-17, 0x1.d0d2879f66b2cp-17, 0x1.c01e146a6e83cp-17, 0x1.af98dbb87cd25p-17, 0x1.9f42a34edcc2fp-17, 0x1.8f1b3913b888cp-17, 0x1.7f2263bfa2a92p-17, 0x1.6f57fc1db428cp-17, 0x1.5fbbc58ec09cap-17, 0x1.504d7d126f076p-17, 0x1.410cedf9b0f46p-17, 0x1.31f9dfa35a4dep-17, 0x1.231416e6b0034p-17, 0x1.145b579aff22dp-17, 0x1.05cf64e1c6029p-17, 0x1.eee0023000359p-18, 0x1.d279db6c971c6p-18, 0x1.b66bd6dfce8fbp-18, 0x1.9ab574a06cba4p-18, 0x1.7f56333c793d8p-18, 0x1.644d8fbbdc7afp-18, 0x1.499b07e5e4437p-18, 0x1.2f3e1907c4f95p-18, 0x1.15363badc7363p-18, 0x1.f705bd08c3fd5p-19, 0x1.c446ffbeb6acap-19, 0x1.922f61410f0b4p-19, 0x1.60bd7f0f82b8p-19, 0x1.2ff0650d52d59p-19, 0x1.ff8df876e74cfp-20, 0x1.a080559061859p-20, 0x1.42b5ac2e4622ep-20, 0x1.cc57896e3025bp-21, 0x1.15c0ca071ec2fp-21, 0x1.868a845e35197p-23, -0x1.401db6fae8de4p-23, -0x1.fe83c26ecdd86p-22, -0x1.ac113cac75277p-21, -0x1.2b3d04d070fdbp-20, -0x1.7f406a61a11dap-20, -0x1.d215164fce9e8p-20, -0x1.11dea9146eb44p-19, -0x1.3a1db51a18a13p-19, -0x1.61c8d1f3a9edep-19, -0x1.88e11fa2d3f2fp-19, -0x1.af67c701297ffp-19, -0x1.d55df857b1654p-19, -0x1.fac4f5748f364p-19, -0x1.0fcebfdd035d2p-18, -0x1.21f49158da0bfp-18, -0x1.33d477148a663p-18, -0x1.456f00d5b7a2bp-18, -0x1.56c4bf00edce2p-18, -0x1.67d641e18ddb1p-18, -0x1.78a41cb1f9067p-18, -0x1.892ee3706baaap-18, -0x1.99772aaf0eb43p-18, -0x1.a97d89653c87cp-18, -0x1.b94291c672084p-18, -0x1.c8c6d5c975d95p-18, -0x1.d80ae76577893p-18, -0x1.e70f5825cb0b2p-18, -0x1.f5d4b9d838d4dp-18, -0x1.022dce5f55a2bp-17, -0x1.095247ef606p-17, -0x1.1058127889317p-17, -0x1.173f76fe289f2p-17, -0x1.1e08c3d74bb73p-17, -0x1.24b43024daaf6p-17, -0x1.2b420f8b3b09dp-17, -0x1.31b2a966a6bf3p-17, -0x1.3806425a4a31cp-17, -0x1.3e3d2172abdp-17, -0x1.44578d698a9d6p-17, -0x1.4a55cca2856e8p-17, -0x1.503825459ebccp-17, -0x1.55fedd3f34ddap-17, -0x1.5baa3a3028042p-17, -0x1.613a816ce2a9bp-17, -0x1.66aff8073955fp-17, -0x1.6c0ae2dc71f89p-17, -0x1.714b8671b9eb2p-17, -0x1.7672267b2a25dp-17, -0x1.7b7f06b3186c9p-17, -0x1.80726aeba9251p-17, -0x1.854c96df296dbp-17, -0x1.8a0dd1277bf21p-17, -0x1.8eb6513798b8ap-17, -0x1.93466344426c4p-17, -0x1.97be46f0694d9p-17, -0x1.9c1e3d0b34cd9p-17, -0x1.a06686e8e131bp-17, -0x1.a4976572544e1p-17, -0x1.a8b1192e5ec66p-17, -0x1.acb3e24b7f03p-17, -0x1.b0a0009cef78p-17, -0x1.b475b3964e135p-17, -0x1.b8353a4b9f1eep-17, -0x1.bbded3735410dp-17, -0x1.bf72bd6cb675bp-17, -0x1.c2f1363954ac1p-17, -0x1.c65a7b4f7cbd5p-17, -0x1.c9aec9c1b1665p-17, -0x1.ccee5e834f7f1p-17, -0x1.d01975fec6bc8p-17, -0x1.d3304d164b554p-17, -0x1.d6331f38b2269p-17, -0x1.d92224c127d9p-17, -0x1.dbfd9c79772p-17, -0x1.dec5bf55d378fp-17, -0x1.e17ac7679fb14p-17, -0x1.e41cee6b7e0bep-17, -0x1.e6ac6db0b389cp-17, -0x1.e9297e1cd7de3p-17, -0x1.eb94582f023e4p-17, -0x1.eded3400a18cfp-17, -0x1.f0344944acd45p-17, -0x1.f269cf45c6409p-17, -0x1.f48dfce6c6ea3p-17, -0x1.f6a108a351d5cp-17, -0x1.f8a328910126fp-17, -0x1.fa949260aeb5fp-17, -0x1.fc757b55768a6p-17, -0x1.fe46183d01eb5p-17, -0x1.00034ec7c4293p-16, -0x1.00db9fb1bac42p-16, -0x1.01ac18abde9adp-16, -0x1.0274d38cb0107p-16, -0x1.0335e97a23912p-16, -0x1.03ef7377b27b2p-16, -0x1.04a18b0aa94c4p-16, -0x1.054c48c586301p-16, -0x1.05efc54608e76p-16, -0x1.068c18f69c0e4p-16, -0x1.07215c0d3cce4p-16, -0x1.07afa68c10bf9p-16, -0x1.083710417cf81p-16, -0x1.08b7b0c8a4252p-16, -0x1.09319f897ab87p-16, -0x1.09a4f3b91f89fp-16, -0x1.0a11c4599bb5dp-16, -0x1.0a78283a03c24p-16, -0x1.0ad835f67a815p-16, -0x1.0b3203f8da667p-16, -0x1.0b85a87886b0ap-16, -0x1.0bd3397b54e16p-16, -0x1.0c1accd4a11c3p-16, -0x1.0c5c7823f9511p-16, -0x1.0c9850d7cd638p-16, -0x1.0cce6c2f97d88p-16, -0x1.0cfedf3731aebp-16, -0x1.0d29bec97927p-16, -0x1.0d4f1fa890166p-16, -0x1.0d6f16184c13ap-16, -0x1.0d89b683bd606p-16, -0x1.0d9f15069d5e9p-16, -0x1.0daf457f7c0aep-16, -0x1.0dba5ba6d28cdp-16, -0x1.0dc06b04c3988p-16, -0x1.0dc186f19bb1bp-16, -0x1.0dbdc29619f38p-16, -0x1.0db530ec0c6d5p-16, -0x1.0da7e4be3bf5fp-16, -0x1.0d95f0a8ed276p-16, -0x1.0d7f6719c94fbp-16, -0x1.0d645a501c693p-16, -0x1.0d44dc5abb8dep-16, -0x1.0d20ff16d934ep-16, -0x1.0cf8d432e42f3p-16, -0x1.0ccc6d3a5225fp-16, -0x1.0c9bdb959583dp-16, -0x1.0c67307317253p-16, -0x1.0c2e7ccab26b1p-16, -0x1.0bf1d177e34ebp-16, -0x1.0bb13f33f43aap-16, -0x1.0b6cd67c07739p-16, -0x1.0b24a7927321bp-16, -0x1.0ad8c2925fbadp-16, -0x1.0a89377628d5dp-16, -0x1.0a3616125cb3cp-16, -0x1.09df6e1319ca6p-16, -0x1.09854ef04f154p-16, -0x1.0927c801ad5d5p-16, -0x1.08c6e86e3efc3p-16, -0x1.0862bf34fa03bp-16, -0x1.07fb5b2b6f02fp-16, -0x1.0790cafdff119p-16, -0x1.07231d2fee8bbp-16, -0x1.06b2601c6ccdp-16, -0x1.063ea1f8c4142p-16, -0x1.05c7f0d25593ep-16, -0x1.054e5a8a4987p-16, -0x1.04d1ecdb33392p-16, -0x1.0452b55b188fap-16, -0x1.03d0c17952b95p-16, -0x1.034c1e7ea25b7p-16, -0x1.02c4d98d48c9fp-16, -0x1.023affa1f237ap-16, -0x1.01ae9d9355276p-16, -0x1.011fc01306fe1p-16, -0x1.008e73ad953adp-16, -0x1.fff58995689b6p-17, -0x1.fec97f5b22081p-17, -0x1.fd98e0ea4f732p-17, -0x1.fc63c6393711p-17, -0x1.fb2a46f5e0c8ep-17, -0x1.f9ec7a896147bp-17, -0x1.f8aa781629a73p-17, -0x1.f764567702955p-17, -0x1.f61a2c42a6a9fp-17, -0x1.f4cc0fcc1bc15p-17, -0x1.f37a1720dd2b2p-17, -0x1.f22457fc05d6bp-17, -0x1.f0cae81548ce1p-17, -0x1.ef6ddc82acaa2p-17, -0x1.ee0d4a5822cap-17, -0x1.eca9465afbfb6p-17, -0x1.eb41e50d5ea9dp-17, -0x1.e9d73aafe47b1p-17, -0x1.e8695b4233123p-17, -0x1.e6f85a847fbb4p-17, -0x1.e5844bf901cb4p-17, -0x1.e40d42e47001ap-17, -0x1.e293524ef9dap-17, -0x1.e1168d0443395p-17, -0x1.df970593f31a7p-17, -0x1.de14ce52423abp-17, -0x1.dc8ff95850211p-17, -0x1.db089883b2b51p-17, -0x1.d97ebd76ec6bcp-17, -0x1.d7f2799a19379p-17, -0x1.d663de1b2f62cp-17, -0x1.d4d2fbeef76fdp-17, -0x1.d33fe3d243639p-17, -0x1.d1aaa64a08b62p-17, -0x1.d01353a3fa86bp-17, -0x1.ce79fbf65e5fcp-17, -0x1.ccdeaf21acb5p-17, -0x1.cb417cd1042e5p-17, -0x1.c9a27479cd6bfp-17, -0x1.c801a55c9a672p-17, -0x1.c65f1e87da335p-17, -0x1.c4baeed80157ep-17, -0x1.c31524ef78a4bp-17, -0x1.c16dcf3f51378p-17, -0x1.bfc4fc0a06a5bp-17, -0x1.be1ab9632b667p-17, -0x1.bc6f152078016p-17, -0x1.bac21cef9e67p-17, -0x1.b913de42693bep-17, -0x1.b7646631fec3ep-17, -0x1.b5b3c287828d2p-17, -0x1.b401ffd0d4c28p-17, -0x1.b24f2a87accb2p-17, -0x1.b09b4f5d3f7d3p-17, -0x1.aee67ab8e7363p-17, -0x1.ad30b8d19e824p-17, -0x1.ab7a15b48d9c2p-17, -0x1.a9c29d42be7p-17, -0x1.a80a5b2f77ca7p-17, -0x1.a6515b0105aa4p-17, -0x1.a497a8118ffbdp-17, -0x1.a2dd4d903db5fp-17, -0x1.a1225682b432ap-17, -0x1.9f66cdc817515p-17, -0x1.9daabe1b49ecbp-17, -0x1.9bee32089222ap-17, -0x1.9a3133d4c8bb6p-17, -0x1.9873cd9f21837p-17, -0x1.96b609900771ep-17, -0x1.94f7f1aab0ebp-17, -0x1.93398fb40718ep-17, -0x1.917aed4338ab7p-17, -0x1.8fbc13cb3a82dp-17, -0x1.8dfd0c9bbb3cfp-17, -0x1.8c3de0e15cdb7p-17, -0x1.8a7e99a89af49p-17, -0x1.88bf3fe305882p-17, -0x1.86ffdc7a1153bp-17, -0x1.8540784d19a7ap-17, -0x1.83811b191b372p-17, -0x1.81c1cc7afab39p-17, -0x1.8002959d8b826p-17, -0x1.7e437ec670dc1p-17, -0x1.7c848fb3643e3p-17, -0x1.7ac5d0110d93fp-17, -0x1.7907490cd8a1ap-17, -0x1.7748ff10b234p-17, -0x1.758afc75e103fp-17, -0x1.73cd4617a5b23p-17, -0x1.720fe5689a54p-17, -0x1.7052e060525b3p-17, -0x1.6e963dec1fd43p-17, -0x1.6cda04e6e7e77p-17, -0x1.6b1e3c0a239f1p-17, -0x1.6962e9ef12ddcp-17, -0x1.67a81512f53c6p-17, -0x1.65edc3e6302d4p-17, -0x1.6433fcdfed668p-17, -0x1.627ac643668dp-17, -0x1.60c2259ee9887p-17, -0x1.5f0a206cd3b13p-17, -0x1.5d52bcdb9e961p-17, -0x1.5b9c011f9a3f9p-17, -0x1.59e5f2f3a79fap-17, -0x1.583097c02ec87p-17, -0x1.567bf4bc2becbp-17, -0x1.54c80ed39674ep-17, -0x1.5314ea7c8b45bp-17, -0x1.51628bdb966a7p-17, -0x1.4fb0f76132301p-17, -0x1.4e00326d2a20fp-17, -0x1.4c504397ca91dp-17, -0x1.4aa13166d76d2p-17, -0x1.48f2fe9d85d5ep-17, -0x1.4745aff8494ecp-17, }}, 
      {{-0x1.9c23ba09982e8p+1, -0x1.9a62a7d3e75f4p+1, -0x1.97f94d82dc3d3p+1, -0x1.94f1218d78fd4p+1, -0x1.9154bc5955e09p+1, -0x1.8d2f67677a264p+1, -0x1.888cc678af452p+1, -0x1.837894d63c453p+1, -0x1.7dfe7241efd5dp+1, -0x1.7829bc250fed7p+1, -0x1.72057067de8f2p+1, -0x1.6b9c17f6a850bp+1, -0x1.64f7b76bceeabp+1, -0x1.5e21c4ab0eddfp+1, -0x1.57232079d34b9p+1, -0x1.5004135073805p+1, -0x1.48cc4cc4fb2c6p+1, -0x1.4182e50c95434p+1, -0x1.3a2e6027290bep+1, -0x1.32d4b25a5341ep+1, -0x1.2b7b45af33a23p+1, -0x1.242700320a7a9p+1, -0x1.1cdc4abc402f4p+1, -0x1.159f18196ff45p+1, -0x1.0e72ec5f141e2p+1, -0x1.075ae454333a8p+1, -0x1.0059bccac2895p+1, -0x1.f2e3b3a1c7bdep+0, -0x1.e54a9b4c72af8p+0, -0x1.d7ebbecae0513p+0, -0x1.caca22a45a68ep+0, -0x1.bde84d837b2fep+0, -0x1.b148533f9bbfdp+0, -0x1.a4ebdf1ceee3fp+0, -0x1.98d43d46eee52p+0, -0x1.8d02639c3ac83p+0, -0x1.8176f9de16bafp+0, -0x1.7632614ed933p+0, -0x1.6b34bbc8183e1p+0, -0x1.607df24ff6dfep+0, -0x1.560dbb35fc6ffp+0, -0x1.4be39fbcbf75ep+0, -0x1.41ff0152f23a5p+0, -0x1.385f1e5fb41bep+0, -0x1.2f0316a9225bbp+0, -0x1.25e9ef5d7c57p+0, -0x1.1d1296c6148d2p+0, -0x1.147be7a976bcap+0, -0x1.0c24ac6146ac2p+0, -0x1.040ba1a86ccd8p+0, -0x1.f85ef24d4ede2p-1, -0x1.e91db77d5f65ap-1, -0x1.da50d747be6edp-1, -0x1.cbf58c774656ap-1, -0x1.be090b9cd4d39p-1, -0x1.b0888616cc191p-1, -0x1.a3712cc4841e6p-1, -0x1.96c0326bf6d23p-1, -0x1.8a72cdd7e032ep-1, -0x1.7e863bb469a09p-1, -0x1.72f7c03022a1p-1, -0x1.67c4a8669bcd9p-1, -0x1.5cea4b9981395p-1, -0x1.52660c3c9bf6fp-1, -0x1.483558d8c8084p-1, -0x1.3e55acc995902p-1, -0x1.34c490d91411bp-1, -0x1.2b7f9bbd09d1cp-1, -0x1.22847278a6dfp-1, -0x1.19d0c8a592e1ep-1, -0x1.116260a6f6d44p-1, -0x1.09370bc8f5c94p-1, -0x1.014caa4ece19fp-1, -0x1.f34256e35056ep-2, -0x1.e4651aa3d734ap-2, -0x1.d5fdb9b983c29p-2, -0x1.c8086b4e94584p-2, -0x1.ba818381ba2b1p-2, -0x1.ad6572fb33568p-2, -0x1.a0b0c674c4ca5p-2, -0x1.9460263690862p-2, -0x1.8870558aaa9b2p-2, -0x1.7cde32291248ep-2, -0x1.71a6b39d938dbp-2, -0x1.66c6eaa8e4421p-2, -0x1.5c3c009e3490dp-2, -0x1.520336be445bfp-2, -0x1.4819e590eccdap-2, -0x1.3e7d7c3df6e9cp-2, -0x1.352b7fe5f6f5bp-2, -0x1.2c218afbdae06p-2, -0x1.235d4c9fa972cp-2, -0x1.1adc87fb028b4p-2, -0x1.129d139fb7079p-2, -0x1.0a9cd8e8e48ep-2, -0x1.02d9d35ed8f1ap-2, -0x1.f6a4203bea18ap-3, -0x1.e8075a81c2976p-3, -0x1.d9d9b29c2e0e3p-3, -0x1.cc17a55203ce6p-3, -0x1.bebdce0d8e04dp-3, -0x1.b1c8e5cd6983ap-3, -0x1.a535c21d226dbp-3, -0x1.990154152ec3fp-3, -0x1.8d28a762ab1bp-3, -0x1.81a8e156ac9cdp-3, -0x1.767f3ffcf3903p-3, -0x1.6ba9193a52d69p-3, -0x1.6123d9f24db6dp-3, -0x1.56ed0533f13bdp-3, -0x1.4d02336e08d1ap-3, -0x1.436111aa0b66p-3, -0x1.3a0760ce076c6p-3, -0x1.30f2f4e54a086p-3, -0x1.2821b46f6504fp-3, -0x1.1f9197b5a60f2p-3, -0x1.1740a826c6096p-3, -0x1.0f2cffb8779ecp-3, -0x1.0754c84edc20ap-3, -0x1.ff6c76535916p-4, -0x1.f09f40ad51781p-4, -0x1.e23e9c53050ddp-4, -0x1.d4475171a6539p-4, -0x1.c6b642bfdad24p-4, -0x1.b9886c8b1de97p-4, -0x1.acbae3ce61bebp-4, -0x1.a04ad5514ab7dp-4, -0x1.943584d027a14p-4, -0x1.88784c2c5565dp-4, -0x1.7d109aa434613p-4, -0x1.71fbf412e879ep-4, -0x1.6737f037ae59cp-4, -0x1.5cc23a04068c5p-4, -0x1.52988ef08f464p-4, -0x1.48b8be58bc579p-4, -0x1.3f20a8dccf794p-4, -0x1.35ce3fc990b91p-4, -0x1.2cbf8485f9525p-4, -0x1.23f28806b00e4p-4, -0x1.1b656a46ad0f2p-4, -0x1.131659c4d3684p-4, -0x1.0b039306b794fp-4, -0x1.032b602045befp-4, -0x1.f718307f64f4cp-5, -0x1.e8483e7b71333p-5, -0x1.d9e3ca64807e2p-5, -0x1.cbe7cc1a3a0b8p-5, -0x1.be515264e0bdfp-5, -0x1.b11d823566fbbp-5, -0x1.a44995ecfd9b6p-5, -0x1.97d2dcab9346p-5, -0x1.8bb6b9a48a2eap-5, -0x1.7ff2a379906b6p-5, -0x1.7484239bc6907p-5, -0x1.6968d5b2d96d3p-5, -0x1.5e9e67096ba95p-5, -0x1.542295fea7d9fp-5, -0x1.49f3317d140acp-5, -0x1.400e18767a0a3p-5, -0x1.36713964743ddp-5, -0x1.2d1a91cd4ec51p-5, -0x1.24082dcd3f071p-5, -0x1.1b3827a3f26p-5, -0x1.12a8a74623017p-5, -0x1.0a57e1f2eb985p-5, -0x1.024419ccaf80dp-5, -0x1.f4d73aeb43788p-6, -0x1.e5998f5f9a33p-6, -0x1.d6cbfe00b138p-6, -0x1.c86b6aabc0babp-6, -0x1.ba74cf6394931p-6, -0x1.ace53ba91a6bp-6, -0x1.9fb9d3d9a57a1p-6, -0x1.92efd0927fab9p-6, -0x1.86847e19941b5p-6, -0x1.7a753bcb00f38p-6, -0x1.6ebf7b8b861d2p-6, -0x1.6360c13f965b1p-6, -0x1.5856a246d11cbp-6, -0x1.4d9ec4fbb695p-6, -0x1.4336e037663e5p-6, -0x1.391cbad95defp-6, -0x1.2f4e2b530e935p-6, -0x1.25c9173716b24p-6, -0x1.1c8b72cbfd721p-6, -0x1.139340a2557aap-6, -0x1.0ade912e2102bp-6, -0x1.026b82636de21p-6, -0x1.f4707eabe6f08p-7, -0x1.e485ffb74ce6fp-7, -0x1.d51410643d24ap-7, -0x1.c617514d6ce9dp-7, -0x1.b78c7a82ad6b5p-7, -0x1.a9705ae38422p-7, -0x1.9bbfd77ec268fp-7, -0x1.8e77eaf6d8da6p-7, -0x1.8195a4eacbb05p-7, -0x1.7516296399b4fp-7, -0x1.68f6b045cdfe6p-7, -0x1.5d3484c736d2dp-7, -0x1.51cd04e89e86dp-7, -0x1.46bda0f385e9bp-7, -0x1.3c03dafba6af9p-7, -0x1.319d46641160bp-7, -0x1.278787679dc27p-7, -0x1.1dc052a4a7adcp-7, -0x1.14456cac1514cp-7, -0x1.0b14a993cd9dap-7, -0x1.022bec8c6ca61p-7, -0x1.f3124ef3cc1adp-8, -0x1.e254b51d9578p-8, -0x1.d21b27d43340ap-8, -0x1.c261de6f70ddfp-8, -0x1.b3252aa7b1a8p-8, -0x1.a46177e290399p-8, -0x1.96134a849f20dp-8, -0x1.88373f47665dep-8, -0x1.7aca0a932e38dp-8, -0x1.6dc877dcbc961p-8, -0x1.612f6907de5e4p-8, -0x1.54fbd5cf3451cp-8, -0x1.492acb30e3045p-8, -0x1.3db96adf06e5fp-8, -0x1.32a4eab2fad72p-8, -0x1.27ea94235ac56p-8, -0x1.1d87c3bd97195p-8, -0x1.1379e8a41a3d2p-8, -0x1.09be84113133fp-8, -0x1.005328ddc96a1p-8, -0x1.ee6af614a48b2p-9, -0x1.dcc65e925fa11p-9, -0x1.cbb41516b05a3p-9, -0x1.bb2fc32195866p-9, -0x1.ab3530fc49b3ep-9, -0x1.9bc044ed62683p-9, -0x1.8ccd0271afe1ap-9, -0x1.7e5789750da56p-9, -0x1.705c158a25f7p-9, -0x1.62d6fd25887ep-9, -0x1.55c4b0e2ef608p-9, -0x1.4921bad8d88c9p-9, -0x1.3ceabdf7c2235p-9, -0x1.311c756c01fc4p-9, -0x1.25b3b3f8a01acp-9, -0x1.1aad63489b3dp-9, -0x1.1006833ddca28p-9, -0x1.05bc294bea88ep-9, -0x1.f796ffd2fa8fbp-10, -0x1.e4638c30892f6p-10, -0x1.d1d89de9f6348p-10, -0x1.bff102781e1cbp-10, -0x1.aea7ad6cd2bfbp-10, -0x1.9df7b725352abp-10, -0x1.8ddc5b7ee36f3p-10, -0x1.7e50f8c290804p-10, -0x1.6f510eded238dp-10, -0x1.60d83ee0ee12p-10, -0x1.52e24a73c2d93p-10, -0x1.456b1325cee25p-10, -0x1.386e995846907p-10, -0x1.2be8faefaab43p-10, -0x1.1fd6720b00c6p-10, -0x1.1433540b9d9c6p-10, -0x1.08fc110f28e19p-10, -0x1.fc5a677e39144p-11, -0x1.e786c253b630ap-11, -0x1.d376b0a5972dcp-11, -0x1.c023e29f3b7c8p-11, -0x1.ad88381504c9fp-11, -0x1.9b9dbdf0b5d42p-11, -0x1.8a5eac3987f45p-11, -0x1.79c56516027e2p-11, -0x1.69cc749d4e3f3p-11, -0x1.5a6e90e829d76p-11, -0x1.4ba699c377f9cp-11, -0x1.3d6f97a2c956bp-11, -0x1.2fc4b9d3eafe6p-11, -0x1.22a15457bacd7p-11, -0x1.1600ddfb86a71p-11, -0x1.09deef28120dfp-11, -0x1.fc6e82c22ba54p-12, -0x1.e60b5e088b29fp-12, -0x1.d08c65aff4002p-12, -0x1.bbe9cea0e5b57p-12, -0x1.a81c0b57c9871p-12, -0x1.951bc9ed3e6a7p-12, -0x1.82e1f1fa2d136p-12, -0x1.7167a2b31693dp-12, -0x1.60a631ac2e1f3p-12, -0x1.509729ef9d507p-12, -0x1.41344a3cd5354p-12, -0x1.327781e53fc9p-12, -0x1.245aed80b9c23p-12, -0x1.16d8d565c8b4ep-12, -0x1.09ebae3dd98e1p-12, -0x1.fb1c342ad13b7p-13, -0x1.e375d0df81c13p-13, -0x1.ccda2b413e865p-13, -0x1.b73f94428d1d5p-13, -0x1.a29cb2025eb5ep-13, -0x1.8ee877988a85p-13, -0x1.7c1a193c40c2p-13, -0x1.6a2904332ef39p-13, -0x1.590ce05d55a0ap-13, -0x1.48bd98632834cp-13, -0x1.39336007da3a6p-13, -0x1.2a66b462f73d6p-13, -0x1.1c50594a0b2afp-13, -0x1.0ee957a611bccp-13, -0x1.022afa5e444a8p-13, -0x1.ec1d8a929cdbp-14, -0x1.d51cd072e5a8cp-14, -0x1.bf476e7f9856ep-14, -0x1.aa915c5b7be3p-14, -0x1.96eef586183a2p-14, -0x1.8455077cc8bfbp-14, -0x1.72b8d20df8184p-14, -0x1.621001ea615a9p-14, -0x1.5250ac0059ac2p-14, -0x1.437145586f583p-14, -0x1.3568937919063p-14, -0x1.282d9be1e7b55p-14, -0x1.1bb79d0a4421p-14, -0x1.0ffe13d31c0a5p-14, -0x1.04f8c61e8800bp-14, -0x1.f53f8f87cadfp-15, -0x1.e1d6f32585d42p-15, -0x1.cfa91bb1ebf17p-15, -0x1.bea8227faffefp-15, -0x1.aec6c4ac584a2p-15, -0x1.9ff8247409ebcp-15, -0x1.922f9920c11ddp-15, -0x1.8560bdecf7076p-15, -0x1.797f9fc2fdfa7p-15, -0x1.6e80d57d10d61p-15, -0x1.645977d1d98c1p-15, -0x1.5aff018abbfe1p-15, -0x1.5267341776276p-15, -0x1.4a8835a6b8cacp-15, -0x1.4358d894eba25p-15, -0x1.3cd097b0d30e3p-15, -0x1.36e722e36ffa3p-15, -0x1.319407232d8dfp-15, -0x1.2cced9b0e0426p-15, -0x1.288f908088ba1p-15, -0x1.24ce9ed81365fp-15, -0x1.2184e98e80e83p-15, -0x1.1eabb117c6133p-15, -0x1.1c3c620a1c3dap-15, -0x1.1a307a34f1036p-15, -0x1.1881ceb8bc2bbp-15, -0x1.172ae2748df72p-15, -0x1.1626abe282cdcp-15, -0x1.157005a677dfbp-15, -0x1.1501951fbf8fdp-15, -0x1.14d624efbc9bp-15, -0x1.14e8d1c041a13p-15, -0x1.1534f6c2180bdp-15, -0x1.15b6301fe6ba3p-15, -0x1.16686ca4fb60cp-15, -0x1.1747cf5ab4142p-15, -0x1.18507ed1edb2ep-15, -0x1.197ec50fafab3p-15, -0x1.1acf5944a4b02p-15, -0x1.1c3f4222e7c2p-15, -0x1.1dcb7aac6bd6dp-15, -0x1.1f70f40f419fdp-15, -0x1.212ccba1ab7edp-15, -0x1.22fc43be9e8cep-15, -0x1.24dcabda2faa9p-15, -0x1.26cb692cc5d27p-15, -0x1.28c60ed971f04p-15, -0x1.2aca6bd2d126ap-15, -0x1.2cd67615cc93fp-15, -0x1.2ee836d365ce8p-15, -0x1.30fdd684d96dep-15, -0x1.33159a5feaa76p-15, -0x1.352dc7bf66bf6p-15, -0x1.3744b60a184c2p-15, -0x1.3958fc6078657p-15, -0x1.3b69508fac835p-15, -0x1.3d7456c28793ep-15, -0x1.3f78ba1fd35d5p-15, -0x1.41753ff71b6d2p-15, -0x1.4368c0787f92fp-15, -0x1.455223c9ac76cp-15, -0x1.47306a7300d2ap-15, -0x1.4902c0e19afc5p-15, -0x1.4ac87701bc4b2p-15, -0x1.4c80c93b0d81fp-15, -0x1.4e2ad455618a1p-15, -0x1.4fc5cecfb698ap-15, -0x1.5151368e59f07p-15, -0x1.52cca0aee4a5ap-15, -0x1.543787af95462p-15, -0x1.55916a5a8375ap-15, -0x1.56d9da982758ep-15, -0x1.58107e3e4b686p-15, -0x1.59350162f6812p-15, -0x1.5a47059f0e716p-15, -0x1.5b4634bba57f4p-15, -0x1.5c3265b5bd88cp-15, -0x1.5d0b8a82518f1p-15, -0x1.5dd172b2a5cd8p-15, -0x1.5e83dd75cea9ep-15, -0x1.5f22a642b7adep-15, -0x1.5fadce5d153ecp-15, -0x1.602553f9e0eadp-15, -0x1.60892b40d89c3p-15, -0x1.60d9573f2bedp-15, -0x1.6115deaef0fd6p-15, -0x1.613ed1a75bda5p-15, -0x1.615448104b2c5p-15, -0x1.61565497ddce1p-15, -0x1.614506f03a671p-15, -0x1.61207b54490f8p-15, -0x1.60e8e14ae2b32p-15, -0x1.609e65246e139p-15, -0x1.60412c8451c78p-15, -0x1.5fd16454f909ep-15, -0x1.5f4f3ec55c759p-15, -0x1.5ebaf26908b62p-15, -0x1.5e14b3b7cc10ep-15, -0x1.5d5cbd92af4b1p-15, -0x1.5c934eb580e9cp-15, -0x1.5bb8a7d673bd8p-15, -0x1.5acd0c50edf46p-15, -0x1.59d0bf25116c2p-15, -0x1.58c4027d26408p-15, -0x1.57a71c05c9cep-15, -0x1.567a555f760b3p-15, -0x1.553df75cf085ap-15, -0x1.53f24c0aecfcfp-15, -0x1.5297a3ebb2db4p-15, -0x1.512e4d3b8191dp-15, -0x1.4fb69480c243p-15, -0x1.4e30c770dbbe7p-15, -0x1.4c9d3531f551cp-15, -0x1.4afc2b87c92b9p-15, -0x1.494dfa8c0cf45p-15, -0x1.4792f42765a77p-15, -0x1.45cb6948541bdp-15, -0x1.43f7ab8b0455p-15, -0x1.42180bc7b02a5p-15, -0x1.402cd96d35309p-15, -0x1.3e366492aee41p-15, -0x1.3c34fc27e5912p-15, -0x1.3a28f42d71436p-15, -0x1.3812a30eb179ep-15, -0x1.35f256f3ec71p-15, -0x1.33c85e5f16aa3p-15, -0x1.319504e03381p-15, -0x1.2f589ea335acdp-15, -0x1.2d137d93afeb4p-15, -0x1.2ac5e94e1b231p-15, -0x1.287031633be32p-15, -0x1.2612a35083ee3p-15, -0x1.23ad890747c64p-15, -0x1.21412dee2996fp-15, -0x1.1ecddf7d75ecbp-15, -0x1.1c53e905a2f93p-15, -0x1.19d391541d26ep-15, -0x1.174d1b07efdc2p-15, -0x1.14c0cc8393ca2p-15, -0x1.122efa68df89fp-15, -0x1.0f97e942b963ap-15, -0x1.0cfbd873b0383p-15, -0x1.0a5b0c7786b17p-15, -0x1.07b5c2eed805dp-15, -0x1.050c458a40833p-15, -0x1.025ed830feb7bp-15, -0x1.ff5b688ec5559p-16, -0x1.f9f23b6350852p-16, -0x1.f482a289f11efp-16, -0x1.ef0d143f19289p-16, -0x1.e992084776e97p-16, -0x1.e411fa272a565p-16, -0x1.de8d634e953a3p-16, -0x1.d904b27b85a94p-16, -0x1.d378503c2c539p-16, -0x1.cde8a31f2de14p-16, -0x1.c8562c328b6ffp-16, -0x1.c2c1552a80a6cp-16, -0x1.bd2a834d4f778p-16, -0x1.b7921aada3737p-16, -0x1.b1f87a6d07f29p-16, -0x1.ac5e0316556d6p-16, -0x1.a6c31ecc47eap-16, -0x1.a12827cccc923p-16, -0x1.9b8d7a1e91dc7p-16, -0x1.95f37240686d9p-16, -0x1.905a65376d954p-16, -0x1.8ac2a6f1d071ep-16, -0x1.852c8b86131a3p-16, -0x1.7f986843c4a8ep-16, -0x1.7a069001e75a1p-16, -0x1.74774df22081ep-16, -0x1.6eeaeaebdef4p-16, -0x1.6961afad3c552p-16, -0x1.63dbec2b74p-16, -0x1.5e59e3c369521p-16, -0x1.58dbdfb89b79p-16, -0x1.536221a348901p-16, -0x1.4dece5a7eeb4ep-16, -0x1.487c6c511ce8cp-16, -0x1.4310f45686027p-16, -0x1.3daabb7e0f0ccp-16, -0x1.3849f9a825dp-16, -0x1.32eeea9edca19p-16, -0x1.2d99c38f8a99fp-16, -0x1.284ab888cbe8ap-16, -0x1.2301fc68d102bp-16, -0x1.1dbfc19b318e3p-16, -0x1.188439ea4b52ap-16, -0x1.134f947b7ec4fp-16, -0x1.0e21fc45bda55p-16, -0x1.08fb9d13779dep-16, -0x1.03dca18876753p-16, -0x1.fd8a64b6d3b22p-17, -0x1.f36aed191ab48p-17, -0x1.e95b2b7bd2ce6p-17, -0x1.df5b674269593p-17, -0x1.d56be48f40e85p-17, -0x1.cb8ce3bf42303p-17, -0x1.c1bea8954a4d2p-17, -0x1.b801719f43db4p-17, -0x1.ae557722b7b94p-17, -0x1.a4baf543427a6p-17, -0x1.9b322220c2eb9p-17, -0x1.91bb300a2f002p-17, -0x1.88564fcbac3dcp-17, -0x1.7f03b0595be7p-17, -0x1.75c37f18491afp-17, -0x1.6c95e72c690d1p-17, -0x1.637b0feb2f762p-17, -0x1.5a731dbdf6d3bp-17, -0x1.517e36d86b939p-17, -0x1.489c7ba03974dp-17, -0x1.3fce0a9896539p-17, -0x1.371303c2b791bp-17, -0x1.2e6b81a60af52p-17, -0x1.25d79e0bb8eabp-17, -0x1.1d5770ddd8dadp-17, -0x1.14eb0f4b24229p-17, -0x1.0c928cc8471c7p-17, -0x1.044dfd2923541p-17, -0x1.f83ae18f05dabp-18, -0x1.e801e9a6cc7bp-18, -0x1.d7f131a8b8558p-18, -0x1.c808ceda8cb13p-18, -0x1.b848d4a00274bp-18, -0x1.a8b153c80f091p-18, -0x1.99425a7b4a284p-18, -0x1.89fbf4156a5e1p-18, -0x1.7ade289aede08p-18, -0x1.6be8fc2ce585ap-18, -0x1.5d1c71ab0ce67p-18, -0x1.4e788ab7c05dcp-18, -0x1.3ffd4120905e3p-18, -0x1.31aa92690b30ep-18, -0x1.2380760a5fab8p-18, -0x1.157ee172e0786p-18, -0x1.07a5c848af12ep-18, -0x1.f3ea37c90b06dp-19, -0x1.d8d9968405fffp-19, -0x1.be198582f3005p-19, -0x1.a3a9d9f283a31p-19, -0x1.898a671d98c82p-19, -0x1.6fbaf992f2e98p-19, -0x1.563b596836579p-19, -0x1.3d0b4f27a1198p-19, -0x1.242a9bbfc9dc8p-19, -0x1.0b98fdd71c204p-19, -0x1.e6ac61df9205cp-20, -0x1.b6c3dab1e9fa5p-20, -0x1.8777d044b0774p-20, -0x1.58c7a59d2b485p-20, -0x1.2ab2b79b50dc3p-20, -0x1.fa70c058cec62p-21, -0x1.a0afe2151b4d3p-21, -0x1.48216abbf221bp-21, -0x1.e187dfb1d7edep-22, -0x1.352be7e7df312p-22, -0x1.1657cb55061c4p-23, 0x1.c7b414e5b29fap-26, 0x1.8399726f25953p-23, 0x1.64cbbfafc2d59p-22, 0x1.02bdd1cba7f1ap-21, 0x1.51efe2ad88f08p-21, 0x1.9ffdc939be751p-21, 0x1.ece941b8873b9p-21, 0x1.1c5a09d1db40ap-20, 0x1.41b005737842ap-20, 0x1.66777c3772377p-20, 0x1.8ab15b0313fc5p-20, 0x1.ae5e91182beeap-20, 0x1.d18010720f35bp-20, 0x1.f416cdb465998p-20, 0x1.0b11e00b1e84fp-19, 0x1.1bd3f0b67be12p-19, 0x1.2c5216e47f2f3p-19, 0x1.3c8cd1628837ep-19, 0x1.4c84a05a411a6p-19, 0x1.5c3a0506f6e4fp-19, 0x1.6bad80f1cdbe4p-19, 0x1.7adf970b40d4cp-19, 0x1.89d0cadfe023fp-19, 0x1.9881a0b24832ep-19, 0x1.a6f29d72fec05p-19, 0x1.b52446b45bbdep-19, 0x1.c317229d517d1p-19, 0x1.d0cbb7e7ffc8fp-19, 0x1.de428dc8f5bf8p-19, 0x1.eb7c2bccc8ec2p-19, 0x1.f87919dc522dap-19, 0x1.029cf0499d479p-18, 0x1.08df842c1657p-18, 0x1.0f048d13c5706p-18, 0x1.150c4f92ad2d5p-18, 0x1.1af7105015fa9p-18, 0x1.20c514051f914p-18, 0x1.26769f77a620dp-18, 0x1.2c0bf775fd0cfp-18, 0x1.318560d2fe1f4p-18, 0x1.36e32062bf519p-18, 0x1.3c257af2c762fp-18, 0x1.414cb542ed57cp-18, 0x1.4659140b4a553p-18, 0x1.4b4adbf7af328p-18, 0x1.5022518ed70b3p-18, 0x1.54dfb94b87f96p-18, 0x1.598357883a2f1p-18, 0x1.5e0d707ede9acp-18, 0x1.627e4845af802p-18, 0x1.66d622cc2b258p-18, 0x1.6b1543d7ffce3p-18, 0x1.6f3bef00e5e36p-18, 0x1.734a67ad9ca63p-18, 0x1.7740f1121affep-18, 0x1.7b1fce2d95602p-18, 0x1.7ee741c2b5c7p-18, 0x1.82978e5b60305p-18, 0x1.8630f6429d8e6p-18, 0x1.89b3bb82676f1p-18, 0x1.8d201fe1a32fbp-18, 0x1.907664e1cff25p-18, 0x1.93b6cbbcb64d3p-18, 0x1.96e1956209db3p-18, 0x1.99f702758064ep-18, 0x1.9cf7534ce2b2cp-18, 0x1.9fe2c7ee3799ap-18, 0x1.a2b9a00d943c8p-18, 0x1.a57c1b0ac6421p-18, 0x1.a82a77f000023p-18, 0x1.aac4f572049f3p-18, 0x1.ad4bd1ef06ed8p-18, 0x1.afbf4b64178b8p-18, 0x1.b21f9f79cc039p-18, 0x1.b46d0b79d339bp-18, 0x1.b6a7cc4c7d549p-18, 0x1.b8d01e7e57b45p-18, 0x1.bae63e3cb49f1p-18, 0x1.bcea6748eeca8p-18, 0x1.bedcd50ead676p-18, 0x1.c0bdc28e617d3p-18, 0x1.c28d6a63bb7e1p-18, 0x1.c44c06c559b51p-18, 0x1.c5f9d1832b872p-18, 0x1.c797040581a49p-18, 0x1.c923d74c3c7dap-18, 0x1.caa083ede2818p-18, 0x1.cc0d4217662fp-18, 0x1.cd6a498a8df22p-18, 0x1.ceb7d19e2bc55p-18, 0x1.cff6113d9ea88p-18, 0x1.d1253ee733009p-18, 0x1.d24590ad77914p-18, 0x1.d3573c36679f4p-18, 0x1.d45a76ba5e98ap-18, 0x1.d54f75041250cp-18, 0x1.d6366b6fddb4cp-18, 0x1.d70f8de98ab57p-18, 0x1.d7db0fedf3597p-18, 0x1.d899248fba49bp-18, 0x1.d949fe744f4cp-18, 0x1.d9edcfc6ee334p-18, 0x1.da84ca4964109p-18, 0x1.db0f1f51f8885p-18, 0x1.db8cffc290df5p-18, 0x1.dbfe9c1171d57p-18, 0x1.dc64243b8f0e7p-18, 0x1.dcbdc7d8da748p-18, 0x1.dd0bb613e943cp-18, 0x1.dd4e1d9fd2d45p-18, 0x1.dd852cc1fc354p-18, 0x1.ddb111518731cp-18, 0x1.ddd1f8b6efbdep-18, 0x1.dde80feaeee73p-18, 0x1.ddf38377aa0cep-18, 0x1.ddf47f7a39b6ap-18, 0x1.ddeb2fa1cba4dp-18, 0x1.ddd7bf2f04938p-18, 0x1.ddba58f50db91p-18, 0x1.dd93275a280f8p-18, 0x1.dd62545454dcap-18, 0x1.dd28096c8fc39p-18, 0x1.dce46fc5ba853p-18, 0x1.dc97b0170a8cap-18, 0x1.dc41f2a5b436ep-18, 0x1.dbe35f45780e6p-18, 0x1.db7c1d74bec0ep-18, 0x1.db0c5435f50e5p-18, 0x1.da942a26e0c83p-18, 0x1.da13c57c1ab5cp-18, 0x1.d98b4c0146c83p-18, 0x1.d8fae319700cfp-18, 0x1.d862afbfcf8e7p-18, 0x1.d7c2d6883e77fp-18, 0x1.d71b7b9f010ccp-18, 0x1.d66cc2c8f4325p-18, 0x1.d5b6cf65894d4p-18, 0x1.d4f9c4705fd44p-18, 0x1.d435c48040771p-18, 0x1.d36af1c74bd03p-18, 0x1.d2996e1408c08p-18, 0x1.d1c15ad1fa9aep-18, 0x1.d0e2d907ba51ap-18, 0x1.cffe09570d3bcp-18, 0x1.cf130c085580ap-18, 0x1.ce220102fb6bdp-18, 0x1.cd2b07cec189ap-18, 0x1.cc2e3f7efd12dp-18, 0x1.cb2bc6ea2ab43p-18, 0x1.ca23bc73f55eep-18, 0x1.c9163e2532742p-18, 0x1.c80369aa65982p-18, 0x1.c6eb5c53e6746p-18, 0x1.c5ce3316f03adp-18, 0x1.c4ac0a8d72f49p-18, 0x1.c384fef70b189p-18, 0x1.c2592c3a6b907p-18, 0x1.c128ade5d7107p-18, 0x1.bff39f2ebe182p-18, 0x1.beba1af1fa528p-18, 0x1.bd7c3bb56060cp-18, 0x1.bc3a1baa1bfc1p-18, 0x1.baf3d4a8df6f5p-18, 0x1.b9a98033cf993p-18, 0x1.b85b377eb3121p-18, 0x1.b7091368e09bep-18, 0x1.b5b32c809573p-18, 0x1.b4599af2bf5d3p-18, 0x1.b2fc76ae69d4dp-18, 0x1.b19bd74991983p-18, 0x1.b037d40851d7ep-18, 0x1.aed083e1101b2p-18, 0x1.ad65fd7af6906p-18, 0x1.abf8572ee0662p-18, 0x1.aa87a70891a89p-18, 0x1.a91402c7740c2p-18, 0x1.a79d7fdeb6585p-18, 0x1.a6243375bcd08p-18, 0x1.a4a832699ba62p-18, 0x1.a329914cf8b56p-18, 0x1.a1a8646937dafp-18, 0x1.a024bfbdb4f07p-18, 0x1.9e9eb702aee47p-18, 0x1.9d165daadc1d3p-18, 0x1.9b8bc6e11a72ap-18, 0x1.99ff058c41b8dp-18, 0x1.98702c437a429p-18, 0x1.96df4d68bc61fp-18, 0x1.954c7b10fc03p-18, 0x1.93b7c70f08f9cp-18, 0x1.922142f385359p-18, 0x1.9089000cf407ep-18, 0x1.8eef0f6877384p-18, 0x1.8d5381d2b4297p-18, 0x1.8bb667d8558d2p-18, 0x1.8a17d1c691fe8p-18, 0x1.8877cfabdc1e6p-18, 0x1.86d6715860d18p-18, 0x1.8533c65f50fd3p-18, 0x1.838fde16a46c5p-18, 0x1.81eac79741026p-18, 0x1.804491bf3976bp-18, 0x1.7e9d4b326053cp-18, 0x1.7cf502599ec66p-18, 0x1.7b4bc56476449p-18, 0x1.79a1a248914bdp-18, 0x1.77f6a6c101fap-18, 0x1.764ae056671c5p-18, 0x1.749e5c55e775bp-18, 0x1.72f127d6fa629p-18, 0x1.71434fbb123ddp-18, 0x1.6f94e0ae0facp-18, 0x1.6de5e726e148fp-18, 0x1.6c366f68340dap-18, 0x1.6a86858102dap-18, 0x1.68d6354d2b2f2p-18, 0x1.67258a760c497p-18, 0x1.65749072fc703p-18, 0x1.63c35289da83dp-18, 0x1.6211dbcff168p-18, 0x1.6060372a151fdp-18, 0x1.5eae6f4d1337p-18, 0x1.5cfc8ebee4db9p-18, 0x1.5b4a9fd703079p-18, 0x1.5998acbecd1d7p-18, 0x1.57e6bf71dac34p-18, 0x1.5634e1bf0ad29p-18, 0x1.54831d47dc75fp-18, 0x1.52d17b822cc36p-18, 0x1.512005b98437ep-18, 0x1.4f6ec50d2d037p-18, 0x1.4dbdc27269fc3p-18, 0x1.4c0d06b4a26d9p-18, 0x1.4a5c9a75d7fbap-18, 0x1.48ac862f2bcc7p-18, 0x1.46fcd23160cffp-18, 0x1.454d86a543391p-18, 0x1.439eab8c41d4fp-18, 0x1.41f048c0f4117p-18, 0x1.404265f76c22dp-18, 0x1.3e950abdafc7fp-18, 0x1.3ce83e7c72c71p-18, 0x1.3b3c087736a1fp-18, 0x1.39906fccc35acp-18, 0x1.37e57b7843a63p-18, 0x1.363b325115efcp-18, 0x1.34919b0b49281p-18, 0x1.32e8bc384158dp-18, 0x1.31409c473a367p-18, 0x1.2f9941857b01cp-18, 0x1.2df2b21f0a63p-18, 0x1.2c4cf41f3daap-18, 0x1.2aa80d7045836p-18, 0x1.290403dccec06p-18, 0x1.2760dd0fa1c89p-18, 0x1.25be9e943d174p-18, 0x1.241d4dd75eb83p-18, 0x1.227cf0275904cp-18, 0x1.20dd8ab475cabp-18, 0x1.1f3f229171a9p-18, 0x1.1da1bcb3d039ep-18, 0x1.1c055df444fccp-18, 0x1.1a6a0b0f0dd7dp-18, 0x1.18cfc8a44f9d6p-18, 0x1.17369b38accabp-18, 0x1.159e8735461b4p-18, 0x1.140790e853025p-18, 0x1.1271bc85cdbdbp-18, 0x1.10dd0e276817fp-18, 0x1.0f4989ccf9831p-18, 0x1.0db7335cf340dp-18, 0x1.0c260ea4adebp-18, 0x1.0a961f58cc9abp-18, 0x1.090769159ee76p-18, 0x1.0779ef5f840dfp-18, 0x1.05edb5a30b38bp-18, 0x1.0462bf354b687p-18, 0x1.02d90f5437546p-18, 0x1.0150a926eeb25p-18, 0x1.ff931f7c8c839p-19, 0x1.fc878c2a195e8p-19, 0x1.f97e9e2103d02p-19, 0x1.f6785b013c03bp-19, 0x1.f374c840a79edp-19, 0x1.f073eb2bc85a4p-19, 0x1.ed75c8e60ddd8p-19, 0x1.ea7a666a6d5aap-19, 0x1.e781c88c42f3cp-19, 0x1.e48bf3f7a8332p-19, 0x1.e198ed31e0febp-19, 0x1.dea8b89a3aafp-19, 0x1.dbbb5a6aca4adp-19, 0x1.d8d0d6b8abf03p-19, 0x1.d5e93174cdbe7p-19, 0x1.d3046e6c9ded9p-19, 0x1.d022914a63947p-19, 0x1.cd439d95f4d29p-19, 0x1.ca6796b5257dep-19, 0x1.c78e7fec6adap-19, 0x1.c4b85c5f1d4f7p-19, 0x1.c1e52f100bfeep-19, 0x1.bf14fae2263b7p-19, 0x1.bc47c298d8ee3p-19, 0x1.b97d88d8ad1c9p-19, 0x1.b6b65027a9548p-19, 0x1.b3f21aedf15a8p-19, 0x1.b130eb76356b6p-19, 0x1.ae72c3edeb4dep-19, 0x1.abb7a6662dfdcp-19, 0x1.a8ff94d40a56bp-19, 0x1.a64a9110dbe4p-19, 0x1.a3989cdadc6a6p-19, 0x1.a0e9b9d618e71p-19, 0x1.9e3de98bdcd56p-19, 0x1.9b952d6c43fa2p-19, 0x1.98ef86ce10e2p-19, 0x1.964cf6eeec4afp-19, 0x1.93ad7ef34696ap-19, 0x1.91111fe6c0215p-19, 0x1.8e77dabd0731ep-19, 0x1.8be1b052c4e6ap-19, 0x1.894ea16e535ecp-19, 0x1.86beaec01cd8p-19, 0x1.8431d8e2dfb46p-19, 0x1.81a8205bc6b04p-19, 0x1.7f21859ad1397p-19, 0x1.7c9e08faf6053p-19, 0x1.7a1daac263a0fp-19, 0x1.77a06b22df8fdp-19, 0x1.75264a3a1b9b7p-19, 0x1.72af48122b6d4p-19, 0x1.703b64a2007eep-19, 0x1.6dca9fcdc4078p-19, 0x1.6b5cf96741a14p-19, 0x1.68f2712e20ee5p-19, 0x1.668b06d03e5fcp-19, 0x1.6426b9ea2691dp-19, 0x1.61c58a0783d38p-19, 0x1.5f6776a32b686p-19, 0x1.5d0c7f27b64bdp-19, 0x1.5ab4a2efaa1ecp-19, 0x1.585fe145f5abbp-19, 0x1.560e3965ce502p-19, 0x1.53bfaa7b48bffp-19, 0x1.517433a3c68cp-19, 0x1.4f2bd3ee2a97cp-19, 0x1.4ce68a5ac176bp-19, 0x1.4aa455db4cf38p-19, 0x1.4865355442d8ep-19, 0x1.4629279d9e329p-19, 0x1.43f02b835d8c2p-19, 0x1.41ba3fc1b7077p-19, 0x1.3f876305db346p-19, 0x1.3d5793f091c2dp-19, 0x1.3b2ad1188ab05p-19, 0x1.3901190a6e6bcp-19, 0x1.36da6a48a9f45p-19, 0x1.34b6c349ec9e5p-19, 0x1.32962278e40dep-19, 0x1.30788634fe7b3p-19, 0x1.2e5decd2bb67p-19, 0x1.2c46549c0fe84p-19, 0x1.2a31bbd0d39fdp-19, 0x1.282020a739c6dp-19, 0x1.2611814c37cadp-19, 0x1.2405dbe2b8a94p-19, 0x1.21fd2e819be28p-19, 0x1.1ff77736f79d3p-19, 0x1.1df4b40cb5d1ap-19, 0x1.1bf4e304609c8p-19, 0x1.19f80214d2388p-19, 0x1.17fe0f2bf60e7p-19, 0x1.1607082fdc41ap-19, 0x1.1412eafefd222p-19, 0x1.1221b570c667fp-19, 0x1.1033655664f6ap-19, 0x1.0e47f87b45fd1p-19, 0x1.0c5f6ca49b993p-19, 0x1.0a79bf8e145cfp-19, 0x1.0896eedecf309p-19, 0x1.06b6f839260aap-19, 0x1.04d9d94f178dfp-19, 0x1.02ff8fc7d88a7p-19, 0x1.0128193fcbeb5p-19, 0x1.fea6e69902b65p-20, 0x1.fb0337008a737p-20, 0x1.f7651ebee986ap-20, 0x1.f3cc98e81255bp-20, 0x1.f039a0726e6aap-20, 0x1.ecac305b56cf2p-20, 0x1.e924438aab6bbp-20, 0x1.e5a1d4e2e00acp-20, 0x1.e224df3dc7776p-20, 0x1.dead5d6c720dep-20, 0x1.db3b4a37a7f1bp-20, 0x1.d7cea060a4fa4p-20, 0x1.d4675aa45109ep-20, 0x1.d10573beebaf6p-20, 0x1.cda8e6601e0f1p-20, 0x1.ca51ad1125ba9p-20, 0x1.c6ffc2543e514p-20, 0x1.c3b320cbff304p-20, 0x1.c06bc31b326f4p-20, 0x1.bd29a3ce6f65ep-20, 0x1.b9ecbd64cf449p-20, 0x1.b6b50a57f5e49p-20, 0x1.b382851dcff61p-20, 0x1.b055282834763p-20, 0x1.ad2cede4976ffp-20, 0x1.aa09d0bc6f712p-20, 0x1.a6ebcb17d23cap-20, 0x1.a3d2d76746283p-20, 0x1.a0bef017b296ep-20, 0x1.9db00f5282643p-20, 0x1.9aa62f6fb1a11p-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.8f03ff19c8248p-3, 0x1.1e4c48f6a9dc7p-2, 0x1.688c2b774b833p-2, 0x1.a4dfcbe144418p-2, 0x1.d2be30e5ad751p-2, 0x1.f23b3497402a1p-2, 0x1.01ece7f52d84dp-1, 0x1.0434b3d1114bdp-1, 0x1.0075bf569c75ep-1, 0x1.ee7fd1475eb31p-2, 0x1.d25558d4e1acfp-2, 0x1.ad9f16a93e8f9p-2, 0x1.818bca2b732c9p-2, 0x1.4f3feb09cde64p-2, 0x1.17d166fea164ep-2, 0x1.b8897fb97c8e1p-3, 0x1.3b16786ccea51p-3, 0x1.7207b5e4d0e5dp-4, 0x1.9f15b3143997ap-6, -0x1.4b929a391195ap-5, -0x1.b42337ab0f839p-4, -0x1.60899a4ae68a2p-3, -0x1.e556225a48113p-3, -0x1.33d1400f02df4p-2, -0x1.735cb00c1f3a6p-2, -0x1.b1012931d7b97p-2, -0x1.ec7fa5ae872d4p-2, -0x1.12d28b2b41753p-1, -0x1.2e24991368cd6p-1, -0x1.4826aaa8e56ep-1, -0x1.60cdb6f844366p-1, -0x1.78127c882d788p-1, -0x1.8df10ad6d09cdp-1, -0x1.a2685462d0d63p-1, -0x1.b579c98e2b322p-1, -0x1.c728fe5dab2b4p-1, -0x1.d77b58f8313a6p-1, -0x1.e677c8b29fd13p-1, -0x1.f42685644ba7p-1, -0x1.00486af0b765dp+0, -0x1.05e06e7583d1ep+0, -0x1.0ae0b5ec7fd55p+0, -0x1.0f4eed27d99dp+0, -0x1.1330f137ada39p+0, -0x1.168cc086b7c7bp+0, -0x1.19686cd132dcfp+0, -0x1.1bca0ed1e11e3p+0, -0x1.1db7bb83c2ce6p+0, -0x1.1f377ad811058p+0, -0x1.204f3fc181e1fp+0, -0x1.2104e177b9a12p+0, -0x1.215e15d72e2cfp+0, -0x1.21606cc280e25p+0, -0x1.21114c6b3fd54p+0, -0x1.2075ee688b777p+0, -0x1.1f935d8381c7ap+0, -0x1.1e6e74230a2e1p+0, -0x1.1d0bdb428bf35p+0, -0x1.1b7009e11f1e6p+0, -0x1.199f44d8d5158p+0, -0x1.179d9f0f55fdcp+0, -0x1.156ef9f27df5dp+0, -0x1.131706353003fp+0, -0x1.109944c1b26d6p+0, -0x1.0df907d7f6a8ep+0, -0x1.0b39744f62fb2p+0, -0x1.085d82f4b2e11p+0, -0x1.056801fd49571p+0, -0x1.025b968a54a06p+0, -0x1.fe757c6da6e69p-1, -0x1.f80fa1583d15fp-1, -0x1.f18a0272d6656p-1, -0x1.eae8c0d60b984p-1, -0x1.e42fbb3d4da5dp-1, -0x1.dd62912537b06p-1, -0x1.d684a5dbbcf3dp-1, -0x1.cf99237f162fcp-1, -0x1.c8a2fde8f3792p-1, -0x1.c1a4f583c374ap-1, -0x1.baa19a08c37d6p-1, -0x1.b39b4d2550689p-1, -0x1.ac94450711a49p-1, -0x1.a58e8ecdff2e2p-1, -0x1.9e8c10e47cd8ap-1, -0x1.978e8d3cf7ccep-1, -0x1.9097a375ac453p-1, -0x1.89a8d2e2767f1p-1, -0x1.82c37c7d3e0bap-1, -0x1.7be8e4bde2d43p-1, -0x1.751a355938608p-1, -0x1.6e587ee9b0ee8p-1, -0x1.67a4ba7fc3a2ep-1, -0x1.60ffcb1e18075p-1, -0x1.5a6a7f1f13f19p-1, -0x1.53e59187326bfp-1, -0x1.4d71ab43e3d97p-1, -0x1.470f645703a63p-1, -0x1.40bf44f2a40cap-1, -0x1.3a81c681b321ap-1, -0x1.345754a2e59e7p-1, -0x1.2e404e13909d1p-1, -0x1.283d058ba65c5p-1, -0x1.224dc28e56ce6p-1, -0x1.1c72c22b536bcp-1, -0x1.16ac37b60235dp-1, -0x1.10fa4d712f59ap-1, -0x1.0b5d252e8a3b6p-1, -0x1.05d4d8e68a5a2p-1, -0x1.00617b451818cp-1, -0x1.f606305b17a02p-2, -0x1.eb736a6fb0df7p-2, -0x1.e10aa447a1b0ap-2, -0x1.d6cbd28cc9acp-2, -0x1.ccb6dfe0b60d8p-2, -0x1.c2cbad99d4f38p-2, -0x1.b90a1477f886ap-2, -0x1.af71e54cb7c9fp-2, -0x1.a602e996be441p-2, -0x1.9cbce416aec94p-2, -0x1.939f9159489d6p-2, -0x1.8aaaa836954fcp-2, -0x1.81ddda4c9ce5dp-2, -0x1.7938d4710e73fp-2, -0x1.70bb3f190998p-2, -0x1.6864bebdded13p-2, -0x1.6034f43b33093p-2, -0x1.582b7d238ace4p-2, -0x1.5047f4122fd02p-2, -0x1.4889f0f9a1092p-2, -0x1.40f1096917703p-2, -0x1.397cd0cdff5dep-2, -0x1.322cd8b4e13fbp-2, -0x1.2b00b103dac8bp-2, -0x1.23f7e82ecbcfap-2, -0x1.1d120b6b4f476p-2, -0x1.164ea6e28c42ep-2, -0x1.0fad45dc4f564p-2, -0x1.092d72e741189p-2, -0x1.02ceb801adc8cp-2, -0x1.f9213d7ddebcp-3, -0x1.ece560cf0321p-3, -0x1.e0e8ec3022273p-3, -0x1.d52af1c1c9f28p-3, -0x1.c9aa83c3b011bp-3, -0x1.be66b4c4bd124p-3, -0x1.b35e97d24b20dp-3, -0x1.a89140a7c56c1p-3, -0x1.9dfdc3d8ace26p-3, -0x1.93a336f47751p-3, -0x1.8980b0a99d2a4p-3, -0x1.7f9548e911ba7p-3, -0x1.75e01905f58d1p-3, -0x1.6c603bd0313dbp-3, -0x1.6314cdadb779ap-3, -0x1.59fcecb434f5ep-3, -0x1.5117b8c0bc0f9p-3, -0x1.4864538b8af33p-3, -0x1.3fe1e0b9b4cd6p-3, -0x1.378f85eed82ep-3, -0x1.2f6c6ade3d3e7p-3, -0x1.2777b9595da01p-3, -0x1.1fb09d5c251c1p-3, -0x1.18164518656p-3, -0x1.10a7e10133bd8p-3, -0x1.0964a3d52d6fdp-3, -0x1.024bc2a6d02e4p-3, -0x1.f6b8e9c726e39p-4, -0x1.e92be8b5045fcp-4, -0x1.dbeefa84f5b9cp-4, -0x1.cf009c7ef40a8p-4, -0x1.c25f50cd691c9p-4, -0x1.b6099e83b4ec5p-4, -0x1.a9fe11a3dc872p-4, -0x1.9e3b3b233f1c3p-4, -0x1.92bfb0ee0896p-4, -0x1.878a0de935681p-4, -0x1.7c98f1f367124p-4, -0x1.71eb01e4de528p-4, -0x1.677ee78e88327p-4, -0x1.5d5351b82c2fbp-4, -0x1.5366f41dc5b45p-4, -0x1.49b8876c23c8dp-4, -0x1.4046c93cbf852p-4, -0x1.37107c10b5326p-4, -0x1.2e14674b10d83p-4, -0x1.2551572ab05b3p-4, -0x1.1cc61cc3bda3ap-4, -0x1.14718df894d02p-4, -0x1.0c528571d2babp-4, -0x1.0467e295c60a8p-4, -0x1.f96112ff70acdp-5, -0x1.ea56c5ee74e3ep-5, -0x1.dbaeb8ce3ff67p-5, -0x1.cd66cfa73c9aap-5, -0x1.bf7cf79f0c17bp-5, -0x1.b1ef26e29c203p-5, -0x1.a4bb5c914f1c1p-5, -0x1.97dfa0a90b423p-5, -0x1.8b5a03f14d6c3p-5, -0x1.7f289fe37969cp-5, -0x1.73499690dc491p-5, -0x1.67bb12891f90bp-5, -0x1.5c7b46c3817p-5, -0x1.51886e8a5aa0dp-5, -0x1.46e0cd65a3702p-5, -0x1.3c82af016c98fp-5, -0x1.326c67107de71p-5, -0x1.289c512f33d59p-5, -0x1.1f10d0caa3c1fp-5, -0x1.15c8510c5acdcp-5, -0x1.0cc144c68a85bp-5, -0x1.03fa265b91b67p-5, -0x1.f6e2ef3f05fc2p-6, -0x1.e64b836f9a6bep-6, -0x1.d62b29fe3dacdp-6, -0x1.c67f11e011cf1p-6, -0x1.b7447825f82f7p-6, -0x1.a878a7d1fb3c7p-6, -0x1.9a18f99e78519p-6, -0x1.8c22d3bc1a8cap-6, -0x1.7e93a9947fcbep-6, -0x1.7168fb9bb379ap-6, -0x1.64a0572d1fb75p-6, -0x1.583756659f2f1p-6, -0x1.4c2b9fee4e21ap-6, -0x1.407ae6b9d9892p-6, -0x1.3522e9c43271p-6, -0x1.2a2173e555991p-6, -0x1.1f745bb8207f9p-6, -0x1.1519838253981p-6, -0x1.0b0ed9056b3ddp-6, -0x1.0152552fff6d2p-6, -0x1.efc3f78693c82p-7, -0x1.dd77b6222fa4cp-7, -0x1.cbbc17d5d26acp-7, -0x1.ba8d636e962cfp-7, -0x1.a9e7f4fe8e56p-7, -0x1.99c83d820c579p-7, -0x1.8a2ac1f061868p-7, -0x1.7b0c1a07f1393p-7, -0x1.6c68ef6db4085p-7, -0x1.5e3dfd9b0b071p-7, -0x1.508812959d6a4p-7, -0x1.43440fd8ef9bfp-7, -0x1.366eea989c309p-7, -0x1.2a05aad04f0a1p-7, -0x1.1e05695370b99p-7, -0x1.126b4dc77ff01p-7, -0x1.07348daa1d5d7p-7, -0x1.f8bcda01bc6c7p-8, -0x1.e3cc80a48094p-8, -0x1.cf92dd4a18548p-8, -0x1.bc0ae42466ee5p-8, -0x1.a92fac537d566p-8, -0x1.96fc69593d13cp-8, -0x1.856c6468229bp-8, -0x1.747af93838fa9p-8, -0x1.6423985d8a7dbp-8, -0x1.5461ce116d26dp-8, -0x1.453149adda2p-8, -0x1.368de156f0771p-8, -0x1.28738f10c07e3p-8, -0x1.1ade67f3b67eep-8, -0x1.0dca91879b4e4p-8, -0x1.01343aa720275p-8, -0x1.ea2f3795873bcp-9, -0x1.d2e1fdc1c0defp-9, -0x1.bc7995aed4498p-9, -0x1.a6ef19a685d53p-9, -0x1.923bf3ea36593p-9, -0x1.7e59d032c29adp-9, -0x1.6b4280fdfeac1p-9, -0x1.58efe4eb5ad31p-9, -0x1.475bd8ec91495p-9, -0x1.36803e2ad5a87p-9, -0x1.2657110139bb5p-9, -0x1.16da861b7189p-9, -0x1.08051fc5aeff3p-9, -0x1.f3a36220a0c78p-10, -0x1.d8769962006f4p-10, -0x1.be7a4d7183268p-10, -0x1.a5a4eca1c7396p-10, -0x1.8decc9b852c8cp-10, -0x1.7748237b00a57p-10, -0x1.61ad50dc2ba32p-10, -0x1.4d12fcde67728p-10, -0x1.397057d62680fp-10, -0x1.26bd29d9b4a03p-10, -0x1.14f1bf4a7cdbbp-10, -0x1.0406b73d66ca2p-10, -0x1.e7e98fe1fa414p-11, -0x1.c96924b2374c2p-11, -0x1.ac7d2d6069e59p-11, -0x1.911696b973ca9p-11, -0x1.77269001fa4d8p-11, -0x1.5e9ee4314ff73p-11, -0x1.47723a9ceb6dp-11, -0x1.31942cc6288d6p-11, -0x1.1cf9252c1d33bp-11, -0x1.09960d61e225dp-11, -0x1.eebfe0356f362p-12, -0x1.cc977fb7d2aaep-12, -0x1.ac9cab9f5d7b8p-12, -0x1.8eb9200f28cbbp-12, -0x1.72d6dddd044dcp-12, -0x1.58e069f629f2ep-12, -0x1.40c13ea356cf1p-12, -0x1.2a664e57f8baep-12, -0x1.15be1ac000945p-12, -0x1.02b8205b0da7cp-12, -0x1.e2881d4e72b31p-13, -0x1.c2a30faabffb6p-13, -0x1.a5a0f47f900c2p-13, -0x1.8b62b6f50ebd4p-13, -0x1.73c9751b2097p-13, -0x1.5eb5567a5bcd5p-13, -0x1.4c06294e05824p-13, -0x1.3b9df61a0ed9fp-13, -0x1.2d62e5bc0fd9ap-13, -0x1.213e097cc2dccp-13, -0x1.17182ea61cc19p-13, -0x1.0ed86b404e13ap-13, -0x1.0865fde82c0aep-13, -0x1.03aae79853e18p-13, -0x1.00938eca399d6p-13, -0x1.fe168993ff40bp-14, -0x1.fdf39fdd53a84p-14, -0x1.0045c036fdb8ep-13, -0x1.02d9ca05ba2p-13, -0x1.06a717a7585a3p-13, -0x1.0ba1804d1da9ap-13, -0x1.11b9c944539bep-13, -0x1.18dc4ff7f1378p-13, -0x1.20f518c839c53p-13, -0x1.29f46332d61a7p-13, -0x1.33cea5b112775p-13, -0x1.3e77b54178c5ep-13, -0x1.49de66caacc39p-13, -0x1.55ee486aca5fap-13, -0x1.6296882912c43p-13, -0x1.6fce8394ed598p-13, -0x1.7d9279d0ce94p-13, -0x1.8bdc0e53c0fdcp-13, -0x1.9a9ec2a91f792p-13, -0x1.a9cad32695ee5p-13, -0x1.b95251dfdb918p-13, -0x1.c92bc5e5094f1p-13, -0x1.d950849f746e9p-13, -0x1.e9b87fad4137dp-13, -0x1.fa5787219249fp-13, -0x1.058fc84045a5p-12, -0x1.0e0349945ae15p-12, -0x1.1684bc88878c3p-12, -0x1.1f1425790b594p-12, -0x1.27afff90e1226p-12, -0x1.305462f60f904p-12, -0x1.38fc83e341b13p-12, -0x1.41a41ec1dfdefp-12, -0x1.4a4776e929952p-12, -0x1.52e35028bd84dp-12, -0x1.5b755df47024ap-12, -0x1.63fb79961b133p-12, -0x1.6c72792159bbdp-12, -0x1.74d6c3a240dafp-12, -0x1.7d26294db7ca4p-12, -0x1.85609a7fd0c6p-12, -0x1.8d8639a595efep-12, -0x1.9595599bf6dabp-12, -0x1.9d8b7d3666295p-12, -0x1.a567451f7046dp-12, -0x1.ad2737f595891p-12, -0x1.b4c826f5b230ep-12, -0x1.bc46f47b8e352p-12, -0x1.c3a2b814bc12p-12, -0x1.cadc02a791e45p-12, -0x1.d1f276580e2d9p-12, -0x1.d8e3da1cbec9fp-12, -0x1.dfae1243c7047p-12, -0x1.e6513ff854095p-12, -0x1.ecce0904386f6p-12, -0x1.f3231d8fcb7e4p-12, -0x1.f94f378f76144p-12, -0x1.ff52ff8fac38p-12, -0x1.029748f45e08p-11, -0x1.057031f0453d6p-11, -0x1.08332be83c935p-11, -0x1.0adf930f6d9eep-11, -0x1.0d75d8edac1fap-11, -0x1.0ff6c9ddf9a05p-11, -0x1.12623785c6b9cp-11, -0x1.14b74f2e8daa8p-11, -0x1.16f5c9ada354fp-11, -0x1.191e1f847ae34p-11, -0x1.1b303d28bb86fp-11, -0x1.1d2bb23ff52bcp-11, -0x1.1f10ebea31478p-11, -0x1.20e035397b014p-11, -0x1.22997edfcde98p-11, -0x1.243cd33521ca4p-11, -0x1.25ca07d252367p-11, -0x1.2740ba62c1482p-11, -0x1.28a13b4eefa5dp-11, -0x1.29ec43e779da4p-11, -0x1.2b21dfa0b6926p-11, -0x1.2c4205ea578d3p-11, -0x1.2d4cb00afe195p-11, -0x1.2e421c470e355p-11, -0x1.2f22633fad022p-11, -0x1.2fed99827994bp-11, -0x1.30a4456a1cd1ap-11, -0x1.314684d99681fp-11, -0x1.31d46feaa3cb2p-11, -0x1.324e54acf4977p-11, -0x1.32b483bd14537p-11, -0x1.3307226c698acp-11, -0x1.3346381451251p-11, -0x1.3372239a9fd1dp-11, -0x1.338b33a064c07p-11, -0x1.3391a69fcdeacp-11, -0x1.3385d37f3d0fdp-11, -0x1.3367d777c3735p-11, -0x1.3337f7a5969a1p-11, -0x1.32f6734e40c0ap-11, -0x1.32a3a6ed3334cp-11, -0x1.323fdac8b39b8p-11, -0x1.31cb476407944p-11, -0x1.314635b5de69ap-11, -0x1.30b0f1362c634p-11, -0x1.300bc31db2f71p-11, -0x1.2f56f4c7569d8p-11, -0x1.2e92cca4173cdp-11, -0x1.2dbf95f242974p-11, -0x1.2cdd9c76515c8p-11, -0x1.2bed31ef1d999p-11, -0x1.2aee79bdd7118p-11, -0x1.29e1ccaabfdcdp-11, -0x1.28c79852fb70dp-11, -0x1.27a0277143c9ep-11, -0x1.266ba75457fc5p-11, -0x1.252a609408c2fp-11, -0x1.23dcad3ae0ce3p-11, -0x1.2282d4b11258ep-11, -0x1.211d1edb93252p-11, -0x1.1fabd4c916946p-11, -0x1.1e2f3e92c3b02p-11, -0x1.1ca7959ec45e7p-11, -0x1.1b150ff740397p-11, -0x1.197823e407a32p-11, -0x1.17d12fb8c67cap-11, -0x1.162046bf0f8ccp-11, -0x1.1465a261a13c9p-11, -0x1.12a17f9ee9ebdp-11, -0x1.10d462954a995p-11, -0x1.0efe9df0eee1p-11, -0x1.0d20290fd896bp-11, -0x1.0b39644cea2bap-11, -0x1.094aa438c395dp-11, -0x1.0754200c97ab1p-11, -0x1.0556168d18847p-11, -0x1.0350cc414e409p-11, -0x1.014484b1810acp-11, -0x1.fe6301cba009bp-12, -0x1.fa2fb926a338ep-12, -0x1.f5ef92a3092b1p-12, -0x1.f1a3ccefa34ddp-12, -0x1.ed4c6b8cb6f86p-12, -0x1.e8e9b1e2d1de8p-12, -0x1.e47c7c00de604p-12, -0x1.e004c32950de6p-12, -0x1.db835f4af29f6p-12, -0x1.d6f8e49879059p-12, -0x1.d26536c2480b9p-12, -0x1.cdc92e5659978p-12, -0x1.c9252945dd09dp-12, -0x1.c47981800cc93p-12, -0x1.bfc69ed9cbef9p-12, -0x1.bb0cf032cf46p-12, -0x1.b64ce27223f99p-12, -0x1.b186db007d0abp-12, -0x1.acbb37d31707bp-12, -0x1.a7e9fd6f35555p-12, -0x1.a314265d2234ep-12, -0x1.9e39ca601df9ap-12, -0x1.995b2f4b46c23p-12, -0x1.9478ea04d09e3p-12, -0x1.8f9345cc26d6fp-12, -0x1.8aaa5c8142a3bp-12, -0x1.85bec7c811c65p-12, -0x1.80d0b7b1d4c94p-12, -0x1.7be08490ac18fp-12, -0x1.76ee9cb2d0a06p-12, -0x1.71fb3bba57d84p-12, -0x1.6d06abc40a6bbp-12, -0x1.68113a8d0dd47p-12, -0x1.631b37d36c31ap-12, -0x1.5e24f06b52b8p-12, -0x1.592ea8bc7429cp-12, -0x1.5438afa3568dep-12, -0x1.4f4321f9e776fp-12, -0x1.4a4e793f45b69p-12, -0x1.455ac526fb8f1p-12, -0x1.406873c0661b6p-12, -0x1.3b77c03a174b1p-12, -0x1.3688d6bef13a3p-12, -0x1.319c022a2e4bap-12, -0x1.2cb1695e823aep-12, -0x1.27c952edfa119p-12, -0x1.22e3e2ed9b655p-12, -0x1.1e0175ad6bbaep-12, -0x1.192231a47706cp-12, -0x1.14464696dc3e5p-12, -0x1.0f6de78795f21p-12, -0x1.0a994774f53e6p-12, -0x1.05c89919b3f7ep-12, -0x1.00fc0bc0ac6a1p-12, -0x1.f86792de6e187p-13, -0x1.eee0134618728p-13, -0x1.e561d37251c35p-13, -0x1.dbed2605758b4p-13, -0x1.d2825fd01e37bp-13, -0x1.c921f8691908fp-13, -0x1.bfcc2482eac2cp-13, -0x1.b68129def07b3p-13, -0x1.ad414db65c858p-13, -0x1.a40ced22d3b4ap-13, -0x1.9ae43ffb0cbf9p-13, -0x1.91c766e5bd2aep-13, -0x1.88b6cde78a9d1p-13, -0x1.7fb2b45c5b9f8p-13, -0x1.76bb491074d72p-13, -0x1.6dd0c5f8a9343p-13, -0x1.64f3642b4dba3p-13, -0x1.5c235b8653342p-13, -0x1.5360e1d5ce827p-13, -0x1.4aac26fb9b7cep-13, -0x1.420559506a223p-13, -0x1.396cbc87a61dfp-13, -0x1.30e2600b30399p-13, -0x1.286666afd377cp-13, -0x1.1ff92206ae56bp-13, -0x1.179aa80336f6dp-13, -0x1.0f4b1c83a5c4p-13, -0x1.070aa4f3ca512p-13, -0x1.fdb2c4f75f66bp-14, -0x1.ed6ee9cfaef95p-14, -0x1.dd4a0ebf37101p-14, -0x1.cd4461e43967fp-14, -0x1.bd5def45ed755p-14, -0x1.ad97326375f45p-14, -0x1.9df045e98e7f1p-14, -0x1.8e6955553671ap-14, -0x1.7f028efd0c875p-14, -0x1.6fbc1eb06693fp-14, -0x1.60962db1f24b8p-14, -0x1.5190e11445b7cp-14, -0x1.42ac5779545e4p-14, -0x1.33e8b74f7742cp-14, -0x1.254630bb8a77ep-14, -0x1.16c4a2234a1ep-14, -0x1.08645d1a20b0bp-14, -0x1.f44adb2f4eb12p-15, -0x1.d80fc13efcee7p-15, -0x1.bc17928ab1bc5p-15, -0x1.a062706dc3c86p-15, -0x1.84f076bcdf7d1p-15, -0x1.69c1b9724ff48p-15, -0x1.4ed64a5edde85p-15, -0x1.342e4c43d1dd6p-15, -0x1.19c9b873646b8p-15, -0x1.ff50f6f1530afp-16, -0x1.cb95993426f7ep-16, -0x1.9861290e9fa39p-16, -0x1.65b39d4216a46p-16, -0x1.338ce9583997p-16, -0x1.01ecf9cbf39a8p-16, -0x1.a1a767aac24a1p-17, -0x1.4081e34996c33p-17, -0x1.c0d21935b4748p-18, -0x1.02b97aa8179dbp-18, -0x1.1ae2e4d9d9d82p-20, 0x1.ccc6c80a62189p-20, 0x1.2b05a1571f55cp-18, 0x1.e0c4b4a67d591p-18, 0x1.4a380e0cf7e27p-17, 0x1.a3048aec30181p-17, 0x1.fac87b5b339d9p-17, 0x1.28c24a0594021p-16, 0x1.539cca7bda43dp-16, 0x1.7df425fa42746p-16, 0x1.a7c8c568e8c89p-16, 0x1.d11b06a3f7752p-16, 0x1.f9eb749171dd5p-16, 0x1.111d4166e0d1ap-15, 0x1.25044b875921cp-15, 0x1.38ab1e24b1974p-15, 0x1.4c11fa12c6ccep-15, 0x1.5f3921e31b455p-15, 0x1.7220da0796356p-15, 0x1.84c968d3d4067p-15, 0x1.973316fa9ebabp-15, 0x1.a95e2eafbaf14p-15, 0x1.bb4af6e59cfa3p-15, 0x1.ccf9c0698d137p-15, 0x1.de6adf82e013dp-15, 0x1.ef9e98622a0fcp-15, 0x1.004aa0bc9f39p-14, 0x1.08a796a3d481p-14, 0x1.10e657ac2cadfp-14, 0x1.19070e43259d8p-14, 0x1.2109e5703141fp-14, 0x1.28ef08cdf32bep-14, 0x1.30b6a4a21e7bbp-14, 0x1.3860e5bd6880ap-14, 0x1.3fedf90502e3fp-14, 0x1.475e0b02ea4e7p-14, 0x1.4eb14d7d3aa89p-14, 0x1.55e7eb734b891p-14, 0x1.5d0214fb1a914p-14, 0x1.63fff9a24e209p-14, 0x1.6ae1c924163efp-14, 0x1.71a7b39d6adc8p-14, 0x1.7851e983d1974p-14, 0x1.7ee09b9fdaa9dp-14, 0x1.8553fb0c7ef86p-14, 0x1.8bac393bac83ep-14, 0x1.91e987db43969p-14, 0x1.980c18782c8d8p-14, 0x1.9e141d75fed23p-14, 0x1.a401ca0674d2bp-14, 0x1.a9d54f81f719bp-14, 0x1.af8ee12e223b6p-14, 0x1.b52eb2073eb65p-14, 0x1.bab4f52816472p-14, 0x1.c021ddd3b84e1p-14, 0x1.c5759f7178ca9p-14, 0x1.cab06d8a7d746p-14, 0x1.cfd27bc16aa0fp-14, 0x1.d4dbfdc659003p-14, 0x1.d9cd2768fb863p-14, 0x1.dea62cb03070ep-14, 0x1.e3674159ff4ap-14, 0x1.e81099766c2eap-14, 0x1.eca2690a067d6p-14, 0x1.f11ce41e7b3a7p-14, 0x1.f5803ec135c7cp-14, 0x1.f9ccad003c73bp-14, 0x1.fe0262e73dab7p-14, 0x1.0110ca3e5d002p-13, 0x1.03153adff943dp-13, 0x1.050e9d5364692p-13, 0x1.06fd0b8db385dp-13, 0x1.08e09f7c7a732p-13, 0x1.0ab9730340958p-13, 0x1.0c879ffa905ecp-13, 0x1.0e4b40379ac46p-13, 0x1.10046d98acb2ap-13, 0x1.11b34194396f8p-13, 0x1.1357d5f599b99p-13, 0x1.14f244710fc96p-13, 0x1.1682a67a92fc7p-13, 0x1.1809158f8eec2p-13, 0x1.1985ab3d351f9p-13, 0x1.1af88080b58cbp-13, 0x1.1c61aeeaa438ap-13, 0x1.1dc14f9d2baa8p-13, 0x1.1f177baafdf23p-13, 0x1.20644c1b233cap-13, 0x1.21a7d9ddb9534p-13, 0x1.22e23dcb8ced6p-13, 0x1.241390a589929p-13, 0x1.253beb128226ap-13, 0x1.265b659ec3066p-13, 0x1.277218cdf9cb1p-13, 0x1.28801ce43c715p-13, 0x1.29858a3b110bfp-13, 0x1.2a8278e74dd2dp-13, 0x1.2b7700f33d88fp-13, 0x1.2c633a4ca782p-13, 0x1.2d473cc358ef6p-13, 0x1.2e232009a12d1p-13, 0x1.2ef6fbb3aa388p-13, 0x1.2fc2e733ae9dbp-13, 0x1.3086f9dce25c4p-13, 0x1.31434ae9531b3p-13, 0x1.31f7f18bb14cbp-13, 0x1.32a5048a7089ep-13, 0x1.334a9ac531f94p-13, 0x1.33e8cb0ec0074p-13, 0x1.347fabf13e29p-13, 0x1.350f53ee7d9fdp-13, 0x1.3597d91d9b8adp-13, 0x1.361951c0e6461p-13, 0x1.3693d40c84951p-13, 0x1.370775d7f044ap-13, 0x1.37744ce328a0cp-13, 0x1.37da6ed1251e4p-13, 0x1.3839f122102cap-13, 0x1.3892e9323e663p-13, 0x1.38e56c3a4c49ap-13, 0x1.39318f4eaf6fdp-13, 0x1.3977675f34d7cp-13, 0x1.39b70937343e1p-13, 0x1.39f0897daebc8p-13, 0x1.3a23fcb46a01fp-13, 0x1.3a517737d54c8p-13, 0x1.3a790d424d482p-13, 0x1.3a9ad2e6fc9b7p-13, 0x1.3ab6dc1280bdp-13, 0x1.3acd3c85860cp-13, 0x1.3ade07fb87713p-13, 0x1.3ae951d667003p-13, 0x1.3aef2d78d175ep-13, 0x1.3aefae167672p-13, 0x1.3aeae6bbc0a4ep-13, 0x1.3ae0ea4face2fp-13, 0x1.3ad1cb939419ep-13, 0x1.3abd9d22e98fdp-13, 0x1.3aa471731fdddp-13, 0x1.3a865ad427f06p-13, 0x1.3a636b715a50bp-13, 0x1.3a3bb550b2c92p-13, 0x1.3a0f4a50c8ae6p-13, 0x1.39de3c298cec7p-13, 0x1.39a89c6dde734p-13, 0x1.396e7c8a3309ep-13, 0x1.392fedc25a72ep-13, 0x1.38ed013b3382ap-13, 0x1.38a5c800826a7p-13, 0x1.385a52e5a69e6p-13, 0x1.380ab288ae102p-13, 0x1.37b6f72e25475p-13, 0x1.375f322cf43b9p-13, 0x1.370372daada82p-13, 0x1.36a3c9804060bp-13, 0x1.3640462d7fa31p-13, 0x1.35d8f8c84efeep-13, 0x1.356df1121bdaap-13, 0x1.34ff3e98e6b09p-13, 0x1.348cf0b5ba582p-13, 0x1.3417167c2f3fcp-13, 0x1.339dbf48b0effp-13, 0x1.3320f9ce73b79p-13, 0x1.32a0d4e0adbefp-13, 0x1.321d5f4981532p-13, 0x1.3196a7927cf09p-13, 0x1.310cbc1ebc02bp-13, 0x1.307fab36b781bp-13, 0x1.2fef830deb9a8p-13, 0x1.2f5c519b4ab07p-13, 0x1.2ec624ab243a5p-13, 0x1.2e2d0989c0497p-13, 0x1.2d910ed7143cbp-13, 0x1.2cf2414dbf3ddp-13, 0x1.2c50ae25dbbd2p-13, 0x1.2bac62c088c2cp-13, 0x1.2b056c2610dcfp-13, 0x1.2a5bd73ca786ap-13, 0x1.29afb0cab46c8p-13, 0x1.29010574ea557p-13, 0x1.284fe1bd92179p-13, 0x1.279c5205b4bb3p-13, 0x1.26e6628d7cc2p-13, 0x1.262e1f743c758p-13, 0x1.257394b66b96dp-13, 0x1.24b6ce2fa6148p-13, 0x1.23f7d7a52cb06p-13, 0x1.2336bcb952b9ep-13, 0x1.227388e3163c4p-13, 0x1.21ae477800509p-13, 0x1.20e7036ad08c9p-13, 0x1.201dc8b2389cap-13, 0x1.1f52a18d5888cp-13, 0x1.1e85990107671p-13, 0x1.1db6b9e1f33fdp-13, 0x1.1ce60ecffd00bp-13, 0x1.1c13a24d86db1p-13, 0x1.1b3f7ebf80e07p-13, 0x1.1a69ae6ca4a6dp-13, 0x1.19923b7d7d643p-13, 0x1.18b92ffcff407p-13, 0x1.17de95d8ddcdap-13, 0x1.170276e13af76p-13, 0x1.1624dcc8d40cp-13, 0x1.1545d1246e04dp-13, 0x1.14655d6f0c96p-13, 0x1.13838b0986188p-13, 0x1.12a06331fee59p-13, 0x1.11bbef0ca8873p-13, 0x1.10d63793767c4p-13, 0x1.0fef45b0ce2e5p-13, 0x1.0f07227e3e472p-13, 0x1.0e1dd6557daf5p-13, 0x1.0d3369f4eb1b2p-13, 0x1.0c47e5de0a64ep-13, 0x1.0b5b52752f076p-13, 0x1.0a6db804c563fp-13, 0x1.097f1ebd50f5p-13, 0x1.088f8eb56b67bp-13, 0x1.079f0fe9a9963p-13, 0x1.06adaa3ce563ap-13, 0x1.05bb6578934ddp-13, 0x1.04c8494d05facp-13, 0x1.03d45d5164506p-13, 0x1.02dfa9040387p-13, 0x1.01ea33ca097c8p-13, 0x1.00f404f061b35p-13, 0x1.fffa475bce873p-14, 0x1.fe0b2e3fb1dcfp-14, 0x1.fc1acc9433effp-14, 0x1.fa293035b5cdap-14, 0x1.f83666bb9965p-14, 0x1.f6427db972113p-14, 0x1.f44d82a14b50bp-14, 0x1.f2578251efb3ep-14, 0x1.f06089deaa564p-14, 0x1.ee68a60f5c4b2p-14, 0x1.ec6fe37e5d88p-14, 0x1.ea764e9a7718ap-14, 0x1.e87bf3a6f6fp-14, 0x1.e680debbf629fp-14, 0x1.e4851bc6cff01p-14, 0x1.e288b68a491bcp-14, 0x1.e08bba9ee313ap-14, 0x1.de8e337340ad3p-14, 0x1.dc902c4c7ad7dp-14, 0x1.da91b046efc6bp-14, 0x1.d892ca56094c2p-14, 0x1.d6938544c78edp-14, 0x1.d493ebb66a604p-14, 0x1.d29408265d6b8p-14, 0x1.d093e4ea61403p-14, 0x1.ce938c31c529ep-14, 0x1.cc930802db10fp-14, 0x1.ca92623f0feacp-14, 0x1.c891a4a31e2aap-14, 0x1.c690d8b3ae643p-14, 0x1.c4900809a7e96p-14, 0x1.c28f3bdba0545p-14, 0x1.c08e7d49ff1b9p-14, 0x1.be8dd563ca278p-14, 0x1.bc8d4d0a1793ap-14, 0x1.ba8cecfad3b03p-14, 0x1.b88cbdd15a21p-14, 0x1.b68cc8067b456p-14, 0x1.b48d13f0ab0e4p-14, 0x1.b28da9c428a02p-14, 0x1.b08e919351309p-14, 0x1.ae8fd34ef116ep-14, 0x1.ac9176c838992p-14, 0x1.aa9383b47de3fp-14, 0x1.a89601b2e900ap-14, 0x1.a698f845e87e2p-14, 0x1.a49c6eb76226fp-14, 0x1.a2a06c1aaf029p-14, 0x1.a0a4f78350448p-14, 0x1.9eaa17feb958ep-14, 0x1.9cafd45690421p-14, 0x1.9ab6331e1d15dp-14, 0x1.98bd3af31d64cp-14, 0x1.96c4f27b470fp-14, 0x1.94cd60338d1dbp-14, 0x1.92d68a636d3e1p-14, 0x1.90e0772b1d7a4p-14, 0x1.8eeb2c844d84dp-14, 0x1.8cf6b072bd7b6p-14, 0x1.8b0308bd9858ep-14, 0x1.89103b1a72938p-14, 0x1.871e4d3099de6p-14, 0x1.852d44863da0fp-14, 0x1.833d26858cca4p-14, 0x1.814df87b08e51p-14, 0x1.7f5fbf9c569b2p-14, 0x1.7d72811ed6ac6p-14, 0x1.7b86421f71b3p-14, 0x1.799b07703dc1ap-14, 0x1.77b0d5d32d50ap-14, 0x1.75c7b20c79405p-14, 0x1.73dfa0c86e441p-14, 0x1.71f8a69722e85p-14, 0x1.7012c7ef57a4p-14, 0x1.6e2e09305830ap-14, 0x1.6c4a6ea2aa47cp-14, 0x1.6a67fc785dfb5p-14, 0x1.6886b6cd5285cp-14, 0x1.66a6a1a7629b5p-14, 0x1.64c7c0f6ae73dp-14, 0x1.62ea1895d11d1p-14, 0x1.610dac4a07648p-14, 0x1.5f327fc387077p-14, 0x1.5d58969ecbc95p-14, 0x1.5b7ff463876f2p-14, 0x1.59a89c83ba716p-14, 0x1.57d2925e54a4ap-14, 0x1.55fdd93f364dep-14, 0x1.542a745d39e5p-14, 0x1.525866d1dbc0dp-14, 0x1.5087b3cfecdcdp-14, 0x1.4eb85e3501e78p-14, 0x1.4cea68f82dd1p-14, 0x1.4b1dd6f4917a9p-14, 0x1.4952aaf1a3d3fp-14, 0x1.4788e7a4daff2p-14, 0x1.45c08fb1b499ap-14, 0x1.43f9a5aa3a80ep-14, 0x1.42342c0f5f69fp-14, 0x1.40702551610fap-14, 0x1.3ead93cfe6197p-14, 0x1.3cec79da2a9abp-14, 0x1.3b2cd9af4a1c9p-14, 0x1.396eb57e5aa38p-14, 0x1.37b20f6680803p-14, 0x1.35f6e9770954fp-14, 0x1.343d45afa6459p-14, 0x1.3285260080ddp-14, 0x1.30ce8c4a68ceap-14, 0x1.2f197a5f3d2b1p-14, 0x1.2d65f2024138ap-14, 0x1.2bb3f4e82aafp-14, 0x1.2a0384b74e642p-14, 0x1.2854a307d4e62p-14, 0x1.26a7516400eb3p-14, 0x1.24fb914886821p-14, 0x1.235164246b8bbp-14, 0x1.21a8cb5958cb9p-14, 0x1.2001c83c99e43p-14, 0x1.1e5c5c170ac88p-14, 0x1.1cb88822486bdp-14, 0x1.1b164d8bf2d26p-14, 0x1.1975ad764888bp-14, 0x1.17d6a8f86835ap-14, 0x1.16394118a0802p-14, 0x1.149d76d58d76cp-14, 0x1.13034b1d22116p-14, 0x1.116abec36ab87p-14, 0x1.0fd3d2debd92ep-14, 0x1.0e3e881c8f0ap-14, 0x1.0caadf2952d2bp-14, 0x1.0b18d8ca7b588p-14, 0x1.098875b0518edp-14, 0x1.07f9b67e87181p-14, 0x1.066c9bcf36f24p-14, 0x1.04e126320ee9dp-14, 0x1.0357562bf5e3bp-14, 0x1.01cf2c377005dp-14, 0x1.0048a8c4d4948p-14, 0x1.fd8798754763cp-15, 0x1.fa812debcbaf7p-15, 0x1.f77e1296155c7p-15, 0x1.f47e470d53f61p-15, 0x1.f181cbd4d883ep-15, 0x1.ee88a14d6baa8p-15, 0x1.eb92c7c851e1fp-15, 0x1.e8a03f9f5303fp-15, 0x1.e5b1091af5104p-15, 0x1.e2c52466310f7p-15, 0x1.dfdc9197c5424p-15, 0x1.dcf750b709482p-15, 0x1.da1561bc5aed6p-15, 0x1.d736c491875f7p-15, 0x1.d45b79131baf7p-15, 0x1.d1837f132361bp-15, 0x1.ceaed6631ffcfp-15, 0x1.cbdd7ed1e61fdp-15, 0x1.c90f779895db7p-15, 0x1.c644bfeae7635p-15, 0x1.c37d57cc46efep-15, 0x1.c0b93ec86d26fp-15, 0x1.bdf8742a20d4fp-15, 0x1.bb3af73811c74p-15, 0x1.b880c808c4f5bp-15, 0x1.b5c9e42ffd4e4p-15, 0x1.b3164c6804555p-15, 0x1.b065fe960bf47p-15, 0x1.adb8faf5df014p-15, 0x1.ab0f4006ee98ep-15, 0x1.a868ccc86d588p-15, 0x1.a5c5a03394714p-15, 0x1.a325b9343f6ccp-15, 0x1.a08916aa075c7p-15, 0x1.9defb76a5364dp-15, 0x1.9b599a4808fe3p-15, 0x1.98c6be1c6968ap-15, 0x1.963721a88c1bap-15, 0x1.93aac3578e346p-15, 0x1.9121a1926e382p-15, 0x1.8e9bbb1df72dp-15, 0x1.8c190ec2001f2p-15, 0x1.89999b0e5ad76p-15, 0x1.871d5e6f807ccp-15, 0x1.84a4573e76abfp-15, 0x1.822e83b486836p-15, 0x1.7fbbe1d721ec5p-15, 0x1.7d4c6f88bf226p-15, 0x1.7ae02ad28117ep-15, 0x1.787712314ccafp-15, 0x1.761124ba7603cp-15, 0x1.73ae6177fb248p-15, 0x1.714ec5a7e5f76p-15, 0x1.6ef24f8e224cep-15, }}, 
      {{-0x1.317653716107p+2, -0x1.262b44f41302ep+2, -0x1.18d56f88b96ecp+2, -0x1.0a617dfbdaa3p+2, -0x1.f6fd32d1b1f32p+1, -0x1.d958b98a2e46ap+1, -0x1.bc8b81d7b345fp+1, -0x1.a1133c26035dcp+1, -0x1.874290cfda587p+1, -0x1.6f4b6800fe44cp+1, -0x1.5946ea225e907p+1, -0x1.453bbc359a8f2p+1, -0x1.3322dd154f183p+1, -0x1.22eb710f8015fp+1, -0x1.147db7582723ap+1, -0x1.07bd573462d83p+1, -0x1.f91650ba6b4p+0, -0x1.e58d2479e882ep+0, -0x1.d49d2f6942b3dp+0, -0x1.c60540f704ad1p+0, -0x1.b9861b46bc183p+0, -0x1.aee34827896e9p+0, -0x1.a5e3ab5b2d0b4p+0, -0x1.9e51e03235d97p+0, -0x1.97fc6dd5b45ddp+0, -0x1.92b5db79bf494p+0, -0x1.8e54abfdb27edp+0, -0x1.8ab3470993f2ap+0, -0x1.87afd48f70ccp+0, -0x1.852c0eaddfc65p+0, -0x1.830d0d04d4bc9p+0, -0x1.813b0c0817035p+0, -0x1.7fa1328025cc1p+0, -0x1.7e2d5683304b1p+0, -0x1.7ccfc3240c90cp+0, -0x1.7b7b00180d9bdp+0, -0x1.7a239bc8d2d3p+0, -0x1.78bff84f0dc8fp+0, -0x1.77481baad1e06p+0, -0x1.75b5834410347p+0, -0x1.7402fab4dc158p+0, -0x1.722c75c6f8de2p+0, -0x1.702eed7ee3376p+0, -0x1.6e08400ad76cdp+0, -0x1.6bb7136f592e8p+0, -0x1.693abace1bdafp+0, -0x1.66931e24c222fp+0, -0x1.63c0a45f981cep+0, -0x1.60c41f9b3816bp+0, -0x1.5d9ebb70576eep+0, -0x1.5a51ed25b28d4p+0, -0x1.56df65a5032bcp+0, -0x1.534905102f31dp+0, -0x1.4f90cfd47506dp+0, -0x1.4bb8e519aee92p+0, -0x1.47c3766d38486p+0, -0x1.43b2c089a8888p+0, -0x1.3f89051ec988cp+0, -0x1.3b48857f8f37p+0, -0x1.36f37e1ddd883p+0, -0x1.328c22be33221p+0, -0x1.2e149b4ed43a3p+0, -0x1.298f014ffcaa1p+0, -0x1.24fd5dbc0e5ccp+0, -0x1.2061a760320c4p+0, -0x1.1bbdc19757363p+0, -0x1.17137b5af19d5p+0, -0x1.12648e9de6a81p+0, -0x1.0db29fe7a5738p+0, -0x1.08ff3e262fda6p+0, -0x1.044be2af0fa59p+0, -0x1.ff33e2cff4096p-1, -0x1.f5d5722195b9p-1, -0x1.ec7ee75240f28p-1, -0x1.e3328dd94a02ap-1, -0x1.d9f289c32cd26p-1, -0x1.d0c0d8eb5eeafp-1, -0x1.c79f544c3253dp-1, -0x1.be8fb15ed087ap-1, -0x1.b593838665a3cp-1, -0x1.acac3d81ee562p-1, -0x1.a3db32e12f418p-1, -0x1.9b2199796d44bp-1, -0x1.92808ad78a5acp-1, -0x1.89f905ad044d3p-1, -0x1.818bef365383dp-1, -0x1.793a1498ecdbdp-1, -0x1.71042c37d3a66p-1, -0x1.68ead6fdf503fp-1, -0x1.60eea19d15aa8p-1, -0x1.591005c1bdd8p-1, -0x1.514f6b3a7a5e9p-1, -0x1.49ad2913cf1d5p-1, -0x1.422986a74100dp-1, -0x1.3ac4bc9ea1ba5p-1, -0x1.337ef5eb51f9p-1, -0x1.2c5850b11e3aep-1, -0x1.2550df266e725p-1, -0x1.1e68a867ff548p-1, -0x1.179fa94284762p-1, -0x1.10f5d4f14a8edp-1, -0x1.0a6b15d22355cp-1, -0x1.03ff4e1079b19p-1, -0x1.fb64b08b64496p-2, -0x1.ef0810226a261p-2, -0x1.e2e8554fa76d2p-2, -0x1.d7050eb41d2fbp-2, -0x1.cb5dc0271391p-2, -0x1.bff1e3a475973p-2, -0x1.b4c0ea2cd50eap-2, -0x1.a9ca3c993bd04p-2, -0x1.9f0d3c60484d9p-2, -0x1.9489445018583p-2, -0x1.8a3da93d076c5p-2, -0x1.8029baa3f5512p-2, -0x1.764cc343b5ee7p-2, -0x1.6ca609ac5eb97p-2, -0x1.6334d0c42d8dbp-2, -0x1.59f8584575eaep-2, -0x1.50efdd338d2eap-2, -0x1.481a9a46ec52bp-2, -0x1.3f77c853e291ep-2, -0x1.37069ea9abb67p-2, -0x1.2ec65369a3b52p-2, -0x1.26b61bda58fd6p-2, -0x1.1ed52cb4b79ecp-2, -0x1.1722ba69cff32p-2, -0x1.0f9df96511171p-2, -0x1.08461e4aba0d9p-2, -0x1.011a5e2f98174p-2, -0x1.f433dd997eea4p-3, -0x1.e6880d62c2852p-3, -0x1.d92fbadf42f61p-3, -0x1.cc295788dc182p-3, -0x1.bf73577bbc9e7p-3, -0x1.b30c31be65698p-3, -0x1.a6f2607fd993ap-3, -0x1.9b24615032f7ep-3, -0x1.8fa0b557dc27ap-3, -0x1.8465e1893b2b9p-3, -0x1.79726eca7a70fp-3, -0x1.6ec4ea1c6991bp-3, -0x1.645be4c047454p-3, -0x1.5a35f45846e18p-3, -0x1.5051b3022c0c5p-3, -0x1.46adbf7025d3bp-3, -0x1.3d48bd00c6d53p-3, -0x1.342153d2bd521p-3, -0x1.2b3630d3f3391p-3, -0x1.228605cf4e595p-3, -0x1.1a0f8979e4b89p-3, -0x1.11d1777d2adb9p-3, -0x1.09ca907d723c6p-3, -0x1.01f99a1f01c02p-3, -0x1.f4babe15c50f2p-4, -0x1.e5e95de3d1419p-4, -0x1.d77cbd19a7263p-4, -0x1.c9728f35c7f1bp-4, -0x1.bbc891c03083dp-4, -0x1.ae7c8c455df8dp-4, -0x1.a18c504d62321p-4, -0x1.94f5b94fb0defp-4, -0x1.88b6aca5c00c8p-4, -0x1.7ccd197d30e76p-4, -0x1.7136f8c80a53ap-4, -0x1.65f24d2a323f8p-4, -0x1.5afd22e53820bp-4, -0x1.50558fc3a1a9p-4, -0x1.45f9b3039358bp-4, -0x1.3be7b53ff5aefp-4, -0x1.321dc857f2081p-4, -0x1.289a27558e20ap-4, -0x1.1f5b1653fbc54p-4, -0x1.165ee2655761p-4, -0x1.0da3e1777289ap-4, -0x1.05287237afd2cp-4, -0x1.f9d5f7ece8bd8p-5, -0x1.e9d3dd14ca618p-5, -0x1.da478466909d7p-5, -0x1.cb2deef8aeca7p-5, -0x1.bc842e3c445bdp-5, -0x1.ae4763c096063p-5, -0x1.a074c0f672254p-5, -0x1.930986f332429p-5, -0x1.86030633368f1p-5, -0x1.795e9e5c182ep-5, -0x1.6d19bdfef25dfp-5, -0x1.6131e25adac8p-5, -0x1.55a4971f412d9p-5, -0x1.4a6f762e2e039p-5, -0x1.3f90275ea27a8p-5, -0x1.3504603f7a00cp-5, -0x1.2ac9e3dab49edp-5, -0x1.20de8278c09ecp-5, -0x1.174019639e349p-5, -0x1.0dec92aa5f54dp-5, -0x1.04e1e4e5ae5f8p-5, -0x1.f83c25fad091bp-6, -0x1.e73e57dd19ec7p-6, -0x1.d6c695214d796p-6, -0x1.c6d12ab5a674ap-6, -0x1.b75a7c534b4p-6, -0x1.a85f040e030cfp-6, -0x1.99db51e7963ebp-6, -0x1.8bcc0b63ce895p-6, -0x1.7e2deb1a1d691p-6, -0x1.70fdc044effcbp-6, -0x1.64386e52c26afp-6, -0x1.57daec7ca6b1fp-6, -0x1.4be24562c3deap-6, -0x1.404b96aacd1c4p-6, -0x1.3514109b6068dp-6, -0x1.2a38f5b31317cp-6, -0x1.1fb79a3f0e71ap-6, -0x1.158d63f73f677p-6, -0x1.0bb7c9a27e442p-6, -0x1.023452bf66269p-6, -0x1.f2012e56d5a8fp-7, -0x1.e0347d88bb2a4p-7, -0x1.cefe020db79d8p-7, -0x1.be594960e46bap-7, -0x1.ae41fed485343p-7, -0x1.9eb3eaf51d19ep-7, -0x1.8faaf2ec6aba1p-7, -0x1.812317d833fd3p-7, -0x1.73187616b7d1ap-7, -0x1.65874497fd6d5p-7, -0x1.586bd443ff237p-7, -0x1.4bc28f7688232p-7, -0x1.3f87f97e89fc1p-7, -0x1.33b8ae09b4d06p-7, -0x1.28516074a82fap-7, -0x1.1d4edb126cf97p-7, -0x1.12adfe8da0c14p-7, -0x1.086bc17a556a3p-7, -0x1.fd0a601beedbfp-8, -0x1.e9eed7a2f819bp-8, -0x1.d77f563c6553fp-8, -0x1.c5b670aeef503p-8, -0x1.b48ee20e6921cp-8, -0x1.a4038a4877b12p-8, -0x1.940f6d75d7b3fp-8, -0x1.84adb3e9c764p-8, -0x1.75d9aa709ce5dp-8, -0x1.678ec1f4ffb59p-8, -0x1.59c88e0e52c7fp-8, -0x1.4c82c2a9dc996p-8, -0x1.3fb931a8bb4b6p-8, -0x1.3367c97a08b31p-8, -0x1.278a953d2ff7bp-8, -0x1.1c1dbe0efb709p-8, -0x1.111d8c592d002p-8, -0x1.068667d50e31ep-8, -0x1.f8a9ab3430be3p-9, -0x1.e50ae96a58324p-9, -0x1.d229f577d932dp-9, -0x1.c00063fe080e9p-9, -0x1.ae87f46bab836p-9, -0x1.9dba9641b5266p-9, -0x1.8d926ee252aa8p-9, -0x1.7e09dbed2322p-9, -0x1.6f1b6fcc17fb5p-9, -0x1.60c1e928c6e33p-9, -0x1.52f828e7bbef8p-9, -0x1.45b92b608e1ccp-9, -0x1.3900081ea55e9p-9, -0x1.2cc7f829df267p-9, -0x1.210c5f62a129dp-9, -0x1.15c8d3b584e04p-9, -0x1.0af91dcf1a6b3p-9, -0x1.0099321c393b9p-9, -0x1.ed4a497c383c8p-10, -0x1.da323b7ef44c6p-10, -0x1.c7e2a5d71b7fep-10, -0x1.b654141369706p-10, -0x1.a57f4463071dcp-10, -0x1.955d3ef6ca9ap-10, -0x1.85e76665c076ap-10, -0x1.771778b1da1afp-10, -0x1.68e77f9fd6e6cp-10, -0x1.5b51b6a5bc91p-10, -0x1.4e50717a2d90ep-10, -0x1.41de0e14c5b97p-10, -0x1.35f4f7a9255b5p-10, -0x1.2a8fb83eecb99p-10, -0x1.1fa91016b8b9cp-10, -0x1.153c082f25993p-10, -0x1.0b43f818a6edcp-10, -0x1.01bc7cc9bd914p-10, -0x1.f142c80d6bcb5p-11, -0x1.dfdd291723752p-11, -0x1.cf3ff95516293p-11, -0x1.bf631bff3f2a6p-11, -0x1.b03e8c8d031d1p-11, -0x1.a1ca7eed4cc4p-11, -0x1.93ff7fa07d2a8p-11, -0x1.86d689804966p-11, -0x1.7a490b4523f7ap-11, -0x1.6e50d95466625p-11, -0x1.62e80eb9088dp-11, -0x1.5808eaafd9fa1p-11, -0x1.4dadbc1773d8fp-11, -0x1.43d0e12797b01p-11, -0x1.3a6cd1bcde83bp-11, -0x1.317c281da6418p-11, -0x1.28f9a98bd7d4dp-11, -0x1.20e057b5caefap-11, -0x1.192b8656bfc97p-11, -0x1.11d6df4049d9dp-11, -0x1.0ade49550719dp-11, -0x1.043dc70a65ccep-11, -0x1.fbe2d8f465c2ap-12, -0x1.efeade6eb0221p-12, -0x1.e48c5e0b3cb6dp-12, -0x1.d9c03f30e9b78p-12, -0x1.cf7f561235308p-12, -0x1.c5c278a1afdccp-12, -0x1.bc82ecfe24f1p-12, -0x1.b3babd53900cbp-12, -0x1.ab64861ea89f9p-12, -0x1.a37af14e72e59p-12, -0x1.9bf87ccd5b142p-12, -0x1.94d7ce70dbcd3p-12, -0x1.8e1421cfb7fc5p-12, -0x1.87a931d01ba5ap-12, -0x1.81929c12190b9p-12, -0x1.7bcb72bdeeb25p-12, -0x1.764e9c54d3f02p-12, -0x1.7117b3db5998dp-12, -0x1.6c236a001334cp-12, -0x1.676ee98af96f1p-12, -0x1.62f6edee7a26cp-12, -0x1.5eb792a943406p-12, -0x1.5aacfe9c18248p-12, -0x1.56d41d629748dp-12, -0x1.532a9619500e8p-12, -0x1.4fadfe6886282p-12, -0x1.4c5b280415163p-12, -0x1.492e67da82847p-12, -0x1.4624a93365774p-12, -0x1.433c1f29561d5p-12, -0x1.4073c0406d524p-12, -0x1.3dca22fd5bfe6p-12, -0x1.3b3cfa25d5f74p-12, -0x1.38c989ca3db5ap-12, -0x1.366d6e85f2348p-12, -0x1.3426fd884217fp-12, -0x1.31f4fc3db32aap-12, -0x1.2fd5fc05707f1p-12, -0x1.2dc7f6f060304p-12, -0x1.2bc8aa69471dep-12, -0x1.29d66f365222ep-12, -0x1.27f09f7654215p-12, -0x1.261706f2f90b9p-12, -0x1.2449047237bd4p-12, -0x1.22855106d0f55p-12, -0x1.20ca6e1244b2bp-12, -0x1.1f170b6f810c8p-12, -0x1.1d6a05c2a533fp-12, -0x1.1bc2601a762b5p-12, -0x1.1a1f5f3f04113p-12, -0x1.188055607d211p-12, -0x1.16e45615ef1aap-12, -0x1.154a5ded7896bp-12, -0x1.13b1cab13f774p-12, -0x1.121a864dd0b69p-12, -0x1.108487a9999d8p-12, -0x1.0eef53495b2ebp-12, -0x1.0d5a3d533c756p-12, -0x1.0bc4e494a4165p-12, -0x1.0a2ee19035b9dp-12, -0x1.08975f3328a0cp-12, -0x1.06fd8fa58de86p-12, -0x1.056135963e975p-12, -0x1.03c2732ba09acp-12, -0x1.02213275dc363p-12, -0x1.007cef6214b2fp-12, -0x1.fdaa5cb3ba08p-13, -0x1.fa53ebf892e6bp-13, -0x1.f6f6d8a7e1a21p-13, -0x1.f39293d9cd1e3p-13, -0x1.f02698c90fd65p-13, -0x1.ecb34234f610bp-13, -0x1.e938a4eda6d2bp-13, -0x1.e5b612f93ee29p-13, -0x1.e22aa3a289125p-13, -0x1.de95d9e59f66cp-13, -0x1.daf82c75f634fp-13, -0x1.d75256070b91ap-13, -0x1.d3a441c0239c7p-13, -0x1.cfed612d05956p-13, -0x1.cc2d8ff698d5p-13, -0x1.c86539df4c5bbp-13, -0x1.c49468b43ff78p-13, -0x1.c0bae38e843e2p-13, -0x1.bcd918d90dd51p-13, -0x1.b8ef5ab120b47p-13, -0x1.b4fdb11c9381ap-13, -0x1.b10433e5ee26ep-13, -0x1.ad02daade27d1p-13, -0x1.a8f982fc7e9aap-13, -0x1.a4e885758c2e6p-13, -0x1.a0d06f5311ae2p-13, -0x1.9cb1638940231p-13, -0x1.988b8505e4e1p-13, -0x1.945ef1aff19fbp-13, -0x1.902be95c26d62p-13, -0x1.8bf2a24b350d8p-13, -0x1.87b34f916caf3p-13, -0x1.836e591e9ae3fp-13, -0x1.7f23f4ffb4ebdp-13, -0x1.7ad454c9ebcbcp-13, -0x1.767fbe58986bp-13, -0x1.722676d6f28d5p-13, -0x1.6dc8b8c640131p-13, -0x1.6966c08ece50ep-13, -0x1.6500d76bd3705p-13, -0x1.60973c0b8a71ep-13, -0x1.5c2a3786a56f5p-13, -0x1.57ba01c21cd72p-13, -0x1.5346ed0425685p-13, -0x1.4ed143bc5231ep-13, -0x1.4a5953caa89d3p-13, -0x1.45df4ec996db2p-13, -0x1.416375baa4544p-13, -0x1.3ce6183131edp-13, -0x1.386779a5be0f4p-13, -0x1.33e7d59bd4da8p-13, -0x1.2f67646283721p-13, -0x1.2ae65c75b6e47p-13, -0x1.26650b14cdbbbp-13, -0x1.21e3c4d163016p-13, -0x1.1d62c4003512ep-13, -0x1.18e24ea346da6p-13, -0x1.14624fec53353p-13, -0x1.0fe32aab38416p-13, -0x1.0b655fc144b9ap-13, -0x1.06e92a48a3475p-13, -0x1.026e8993566a1p-13, -0x1.fbeb68bfdda62p-14, -0x1.f2fe0987b2402p-14, -0x1.ea155ac044499p-14, -0x1.e131c10b28c4cp-14, -0x1.d853a57894dd8p-14, -0x1.cf7b6db577b0ep-14, -0x1.c6a95193cd649p-14, -0x1.bddd8a19deccfp-14, -0x1.b51900a9d1479p-14, -0x1.ac5c47c6e6fb7p-14, -0x1.a3a73601739e3p-14, -0x1.9afa0f5a21154p-14, -0x1.92551915deaf1p-14, -0x1.89b93f8347cacp-14, -0x1.8126fa7a4eab4p-14, -0x1.789de6b402502p-14, -0x1.701e9a9113edfp-14, -0x1.67a98fa609de1p-14, -0x1.5f3ef94021a57p-14, -0x1.56df1bddda825p-14, -0x1.4e8a47db44123p-14, -0x1.4640ca7b7a565p-14, -0x1.3e02eb3e65154p-14, -0x1.35d0a3c16c62fp-14, -0x1.2daa1feef2fd4p-14, -0x1.2590615f5c174p-14, -0x1.1d832c19e2483p-14, -0x1.15828b7af669fp-14, -0x1.0d8f18121ff02p-14, -0x1.05a8950851ec8p-14, -0x1.fb9f2821a3d03p-15, -0x1.ec08cffd898a5p-15, -0x1.dc8d80268ccb7p-15, -0x1.cd2e59aebce0bp-15, -0x1.bdeb9ade2f452p-15, -0x1.aec57a6e360cep-15, -0x1.9fbc47fb3dae8p-15, -0x1.90d05dede10f7p-15, -0x1.8202118ff4eb2p-15, -0x1.7351ab8e061bbp-15, -0x1.64bf67e80b789p-15, -0x1.564af146aef38p-15, -0x1.47f57fa26881dp-15, -0x1.39bed95bd7e77p-15, -0x1.2ba714dec812p-15, -0x1.1daebd9253cedp-15, -0x1.0fd5ed3403fe9p-15, -0x1.021c766a784bfp-15, -0x1.e905ceaf3d696p-16, -0x1.ce1263aefbebcp-16, -0x1.b35f0490b7a16p-16, -0x1.98ec49b511934p-16, -0x1.7eba35bfc94ddp-16, -0x1.64c8f5a86735ep-16, -0x1.4b18bffdee093p-16, -0x1.31a9ceca7368dp-16, -0x1.187c5237edfcfp-16, -0x1.ff20c8a3da07dp-17, -0x1.cdcc75db5be2p-17, -0x1.9cfb0ec2882a2p-17, -0x1.6cadd12056ea3p-17, -0x1.3ce3e3bf9e343p-17, -0x1.0d9e3e64b9065p-17, -0x1.bdb9b20b21e61p-18, -0x1.613ed09a64a47p-18, -0x1.05cc5a26c6d59p-18, -0x1.56c30ffa97ad9p-19, -0x1.47fab4bee56c4p-20, 0x1.97478f7502cd8p-24, 0x1.76c326a491d28p-20, 0x1.67fa59848b67bp-19, 0x1.0942cc89ece1bp-18, 0x1.5d8212064a6afp-18, 0x1.b0bb69e87ddd4p-18, 0x1.0177a40878b24p-17, 0x1.2a0f1fc4c6ac7p-17, 0x1.5224856b7b456p-17, 0x1.79b7ff45ec8e7p-17, 0x1.a0ca2107dfc2p-17, 0x1.c75b4c6a7d5d4p-17, 0x1.ed6bdfba26c86p-17, 0x1.097e021aed26cp-16, 0x1.1c062b1e7e5b5p-16, 0x1.2e4ea9d84aabep-16, 0x1.4057be4613bb1p-16, 0x1.5221971c3be96p-16, 0x1.63ac7fe772216p-16, 0x1.74f8d660b8998p-16, 0x1.8606bfdfedf93p-16, 0x1.96d683f44ea4fp-16, 0x1.a768770adc001p-16, 0x1.b7bce566bdbbep-16, 0x1.c7d41c59e0c83p-16, 0x1.d7ae6abed3382p-16, 0x1.e74c217ae987p-16, 0x1.f6ad955ed2214p-16, 0x1.02e98df1596afp-15, 0x1.0a5e7ffb38e15p-15, 0x1.11b5d5418d88p-15, 0x1.18efbb5cd52dfp-15, 0x1.200c56064fd75p-15, 0x1.270bd7aa885cp-15, 0x1.2dee6f4276aa2p-15, 0x1.34b44bafb0dcep-15, 0x1.3b5d9cd479a8ep-15, 0x1.41ea93187b751p-15, 0x1.485b5d81bcf03p-15, 0x1.4eb02e51860dap-15, 0x1.54e93a8ab1e28p-15, 0x1.5b06af32d3c7ap-15, 0x1.6108c0a1a5f73p-15, 0x1.66efa21920f4bp-15, 0x1.6cbb86ce17d06p-15, 0x1.726ca257617fdp-15, 0x1.780328ac885b8p-15, 0x1.7d7f4e243d155p-15, 0x1.82e1475012d1ep-15, 0x1.882948c854014p-15, 0x1.8d5787e19fbb4p-15, 0x1.926c39d104e9ep-15, 0x1.9767940b2a705p-15, 0x1.9c49cc7d5383p-15, 0x1.a11318d832b4cp-15, 0x1.a5c3af271ef1p-15, 0x1.aa5bc59f60cccp-15, 0x1.aedb928c9927dp-15, 0x1.b3434c2ca658ep-15, 0x1.b79328ec92d89p-15, 0x1.bbcb6040005f6p-15, 0x1.bfec27f99a7dep-15, 0x1.c3f5b5904830bp-15, 0x1.c7e8420dc4a4bp-15, 0x1.cbc4031c613d1p-15, 0x1.cf892f671b3e2p-15, 0x1.d337fdb137f87p-15, 0x1.d6d0a4bea4fdcp-15, 0x1.da535b4ba16c2p-15, 0x1.ddc057d502e3p-15, 0x1.e117d0a97b537p-15, 0x1.e459fd9051187p-15, 0x1.e787141d70ae5p-15, 0x1.ea9f484f28b14p-15, 0x1.eda2d473fa289p-15, 0x1.f091ecdb71ac3p-15, 0x1.f36cc77b07a3dp-15, 0x1.f6339a4c6fd9ep-15, 0x1.f8e69b215c8d3p-15, 0x1.fb85ffa5ccf3bp-15, 0x1.fe11fd4cb5caep-15, 0x1.00456495eaca4p-14, 0x1.01784c36b7028p-14, 0x1.02a1d0c203885p-14, 0x1.03c20b714b6a9p-14, 0x1.04d916afda224p-14, 0x1.05e70da76d253p-14, 0x1.06ec09d75d77p-14, 0x1.07e82541e5a08p-14, 0x1.08db79d1ade1fp-14, 0x1.09c6215548656p-14, 0x1.0aa8357b7e96ap-14, 0x1.0b81cfbbe3c89p-14, 0x1.0c53096d89034p-14, 0x1.0d1bfc7f549dbp-14, 0x1.0ddcc1a37bda4p-14, 0x1.0e9570dd816f9p-14, 0x1.0f4624fc8fc6p-14, 0x1.0feef5f2bc222p-14, 0x1.108ffc653607bp-14, 0x1.112950e4289e4p-14, 0x1.11bb0bd9d87f3p-14, 0x1.1245458c7533ep-14, 0x1.12c8161cd9741p-14, 0x1.134395769c25fp-14, 0x1.13b7db5dd6252p-14, 0x1.1424ffacf191bp-14, 0x1.148b1a8ec58fap-14, 0x1.14ea41680ffc5p-14, 0x1.15428d6f4bc44p-14, 0x1.15941522fd48bp-14, 0x1.15deef5d893cap-14, 0x1.162332ee36f31p-14, 0x1.1660f67a553d3p-14, 0x1.169850808edb2p-14, 0x1.16c957593b023p-14, 0x1.16f42131e854ap-14, 0x1.1718c400dd866p-14, 0x1.1737559664c3p-14, 0x1.174fec08a42f8p-14, 0x1.17629cbe20b44p-14, 0x1.176f7bf8c8fa5p-14, 0x1.1776a0888a3e6p-14, 0x1.17781ee21c274p-14, 0x1.17740bde801e8p-14, 0x1.176a7c417fdap-14, 0x1.175b84a41209ep-14, 0x1.17473970e155ep-14, 0x1.172daedb4fecep-14, 0x1.170ef8f94afcp-14, 0x1.16eb2bf3d9e07p-14, 0x1.16c25b8dd6853p-14, 0x1.16949a934c927p-14, 0x1.1661fd84fae28p-14, 0x1.162a973a5511ep-14, 0x1.15ee7ad17e33ap-14, 0x1.15adbb4208904p-14, 0x1.15686b57e4f8ap-14, 0x1.151e9db4c4937p-14, 0x1.14d064d04fceep-14, 0x1.147dd2f865f7dp-14, 0x1.1426fa51df6bcp-14, 0x1.13cbecd91de4cp-14, 0x1.136cbc61dee55p-14, 0x1.13097a9561f19p-14, 0x1.12a238ee3aaedp-14, 0x1.123708bb68152p-14, 0x1.11c7fb3f8383cp-14, 0x1.115521cf71bc3p-14, 0x1.10de8c67bc3d1p-14, 0x1.10644c3bfbba4p-14, 0x1.0fe67218561e1p-14, 0x1.0f650e19d64b6p-14, 0x1.0ee030807fc2ap-14, 0x1.0e57e9b2cbc93p-14, 0x1.0dcc48c6a4bcep-14, 0x1.0d3d5e323f2fbp-14, 0x1.0cab396f33cb3p-14, 0x1.0c15e9dbef249p-14, 0x1.0b7d7ec6af67cp-14, 0x1.0ae20754c2843p-14, 0x1.0a4392839feb8p-14, 0x1.09a22f2987d0bp-14, 0x1.08fdebf55c11p-14, 0x1.0856d76f014cdp-14, 0x1.07acfffc2b206p-14, 0x1.070073d2da74dp-14, 0x1.0651410eea68ep-14, 0x1.059f759be22dap-14, 0x1.04eb1f446eeeap-14, 0x1.04344badf48d4p-14, 0x1.037b08582047ep-14, 0x1.02bf629dba98p-14, 0x1.020167b4ac3dap-14, 0x1.014124a9d793cp-14, 0x1.007ea66563fb9p-14, 0x1.ff73f36590bbdp-15, 0x1.fde656ae67594p-15, 0x1.fc548f2cf92abp-15, 0x1.fabeb5af4b191p-15, 0x1.f924e2ee4bdbap-15, 0x1.f7872ef9edaa1p-15, 0x1.f5e5b1d75f9d2p-15, 0x1.f44082a0b14acp-15, 0x1.f297b8df47961p-15, 0x1.f0eb6bfdfa407p-15, 0x1.ef3bb2a3454e6p-15, 0x1.ed88a34c7b6cdp-15, 0x1.ebd25440af9fap-15, 0x1.ea18db84f9893p-15, 0x1.e85c4edb70914p-15, 0x1.e69cc3c4219c1p-15, 0x1.e4da4f7d20b22p-15, 0x1.e315070267da8p-15, 0x1.e14cff0ef4d05p-15, 0x1.df824c1dac59fp-15, 0x1.ddb5026888997p-15, 0x1.dbe535e94efep-15, 0x1.da12fa5facff8p-15, 0x1.d83e634970162p-15, 0x1.d66783e407f4ap-15, 0x1.d48e6f231c917p-15, 0x1.d2b337f51f612p-15, 0x1.d0d5f0b1501bdp-15, 0x1.cef6abb51b0ecp-15, 0x1.cd157b11c1624p-15, 0x1.cb32709a1ee08p-15, 0x1.c94d9de67f626p-15, 0x1.c7671454d30d4p-15, 0x1.c57ee508c338cp-15, 0x1.c39520ec10776p-15, 0x1.c1a9d8afa7a6cp-15, 0x1.bfbd1ccd59d87p-15, 0x1.bdcefd8737ab9p-15, 0x1.bbdf8ae54778ap-15, 0x1.b9eed4b7044dep-15, 0x1.b7fcea95ea0e8p-15, 0x1.b609dbe429fb5p-15, 0x1.b415b7ca21d25p-15, 0x1.b2208d4343493p-15, 0x1.b02a6b26c2ab5p-15, 0x1.ae335ffd9c8abp-15, 0x1.ac3b7a072b915p-15, 0x1.aa42c708fb205p-15, 0x1.a8495638677f8p-15, 0x1.a64f3417c3f7ap-15, 0x1.a4546e70bb328p-15, 0x1.a25912c02191bp-15, 0x1.a05d2e48efaa5p-15, 0x1.9e60ce1b50649p-15, 0x1.9c63ff00a2034p-15, 0x1.9a66cd8521512p-15, 0x1.986945f08a14dp-15, 0x1.966b749113351p-15, 0x1.946d654bc9cc5p-15, 0x1.926f23fe05a91p-15, 0x1.9070bc657d7d1p-15, 0x1.8e723a028eaap-15, 0x1.8c73a82418524p-15, 0x1.8a7511f51ffadp-15, 0x1.88768283a09dbp-15, 0x1.8678049645c69p-15, 0x1.8479a2c02ebcbp-15, 0x1.827b67055c037p-15, 0x1.807d5cd1e5c24p-15, 0x1.7e7f8d82e7048p-15, 0x1.7c8202f7bbd86p-15, 0x1.7a84c73767697p-15, 0x1.7887e3e51f6cfp-15, 0x1.768b627b499aap-15, 0x1.748f4c4e1cb13p-15, 0x1.7293aa8a0d4c9p-15, 0x1.709886335eee4p-15, 0x1.6e9de8275b47p-15, 0x1.6ca3d91d123fap-15, 0x1.6aaa61a554ed7p-15, 0x1.68b18a298d6a6p-15, 0x1.66b95aed4b822p-15, 0x1.64c1dc17aea9cp-15, 0x1.62cb15a8e2493p-15, 0x1.60d50f7302476p-15, 0x1.5edfd122e05a9p-15, 0x1.5ceb62086fe65p-15, 0x1.5af7ca494919ep-15, 0x1.5905108b97a5dp-15, 0x1.57133c166b59bp-15, 0x1.552254000aff4p-15, 0x1.53325f2a1dd97p-15, 0x1.51436455bfde5p-15, 0x1.4f556a23c2359p-15, 0x1.4d687714459e1p-15, 0x1.4b7c918706cf9p-15, 0x1.4991bfbbe08b5p-15, 0x1.47a807d33e2ep-15, 0x1.45bf6fce4b3eep-15, 0x1.43d7fd8f08b17p-15, 0x1.41f1b6d86f1fap-15, 0x1.400ca1511536p-15, 0x1.3e28c2833180cp-15, 0x1.3c461fd7621dp-15, 0x1.3a64be9a6fbdap-15, 0x1.3884a3f3039a6p-15, 0x1.36a5d4f3125c9p-15, 0x1.34c856c05cd94p-15, 0x1.32ec2dfaf4247p-15, 0x1.31115f798818cp-15, 0x1.2f37efe1ab98ap-15, 0x1.2d5fe3bc726a5p-15, 0x1.2b893f78b4eb8p-15, 0x1.29b4076b3d775p-15, 0x1.27e03fcefd5cp-15, 0x1.260decc52eb9bp-15, 0x1.243d1255b963p-15, 0x1.226db46f88f99p-15, 0x1.209fd6e8d558dp-15, 0x1.1ed37d7f81571p-15, 0x1.1d08abd94b69dp-15, 0x1.1b3f65840691ep-15, 0x1.1977adf607e31p-15, 0x1.17b1888f57517p-15, 0x1.15ecf89866c07p-15, 0x1.142a01425676ap-15, 0x1.1268a5a8a9112p-15, 0x1.10a8e8cc2f981p-15, 0x1.0eeacda0a8002p-15, 0x1.0d2e5706df7cbp-15, 0x1.0b7387b57458p-15, 0x1.09ba62621efeep-15, 0x1.0802e9a795f14p-15, 0x1.064d200bec0f9p-15, 0x1.0499080120b81p-15, 0x1.02e6a3e5562e7p-15, 0x1.0135f6030e22dp-15, 0x1.ff0e0122cb017p-16, 0x1.fbb38b68a415ep-16, 0x1.f85c8ef9d9dfdp-16, 0x1.f5090fd3358f7p-16, 0x1.f1b911ccf0c57p-16, 0x1.ee6c989afc30ap-16, 0x1.eb23a7cdaa54cp-16, 0x1.e7de42d1d7e4ep-16, 0x1.e49c6cf1d1a04p-16, 0x1.e15e295593bbbp-16, 0x1.de237b0368683p-16, 0x1.daec64e054a18p-16, 0x1.d7b8e9b03cee4p-16, 0x1.d4890c16b9391p-16, 0x1.d15cce97ab6a7p-16, 0x1.ce34339570141p-16, 0x1.cb0f3d59a0dfap-16, 0x1.c7edee085511ap-16, 0x1.c4d047a902f44p-16, 0x1.c1b64c2790f07p-16, 0x1.be9ffd517fef7p-16, 0x1.bb8d5cd781099p-16, 0x1.b87e6c4dec6bap-16, 0x1.b5732d2d137c2p-16, 0x1.b26ba0d19529fp-16, 0x1.af67c87ca6b37p-16, 0x1.ac67a554673d1p-16, 0x1.a96b386493f5bp-16, 0x1.a672829f7246ep-16, 0x1.a37d84e07191ep-16, 0x1.a08c3feec899cp-16, 0x1.9d9eb47a7bdd7p-16, 0x1.9ab4e30e5b495p-16, 0x1.97cecc1140b5ap-16, 0x1.94ec6fe25bd9dp-16, 0x1.920dced634539p-16, 0x1.8f32e91776c9dp-16, 0x1.8c5bbeadc628bp-16, 0x1.89884f9e1e94p-16, 0x1.86b89beb325bap-16, 0x1.83eca37cd5e99p-16, 0x1.81246617e8d2dp-16, 0x1.7e5fe366aa065p-16, 0x1.7b9f1b03bb6a2p-16, 0x1.78e20c6b2cb77p-16, 0x1.7628b71487b03p-16, 0x1.73731a623b35ap-16, 0x1.70c1359fe97e9p-16, 0x1.6e130809528c1p-16, 0x1.6b6890c8b463cp-16, 0x1.68c1cef8622ffp-16, 0x1.661ec1a092eb4p-16, 0x1.637f67aa45a81p-16, 0x1.60e3bfea04536p-16, 0x1.5e4bc93fbdbe6p-16, 0x1.5bb7827915b45p-16, 0x1.5926ea439a282p-16, 0x1.5699ff3c2527p-16, 0x1.5410bff30ae65p-16, 0x1.518b2aeaef727p-16, 0x1.4f093e9813423p-16, 0x1.4c8af95ff6427p-16, 0x1.4a10599992ec9p-16, 0x1.47995d8d8d1cdp-16, 0x1.4526037693596p-16, 0x1.42b64981c0199p-16, 0x1.404a2dcee11bfp-16, 0x1.3de1ae70f12d7p-16, 0x1.3b7cc96e22f87p-16, 0x1.391b7cbea285fp-16, 0x1.36bdc64eb03b5p-16, 0x1.3463a40091549p-16, 0x1.320d13a9653e2p-16, 0x1.2fba13119c7a2p-16, 0x1.2d6a9ff85f153p-16, 0x1.2b1eb82170b11p-16, 0x1.28d6590368e7bp-16, 0x1.2691806f0c6a6p-16, 0x1.24502be8f3b0ap-16, 0x1.221258f9fe787p-16, 0x1.1fd805230f812p-16, 0x1.1da12dda28837p-16, 0x1.1b6dd08adcc3cp-16, 0x1.193dea9737a7bp-16, 0x1.171179588fd71p-16, 0x1.14e87a1faf961p-16, 0x1.12c2ea34c37a3p-16, 0x1.10a0c6d7f32cfp-16, 0x1.0e820d425c2efp-16, 0x1.0c66baa6966dcp-16, 0x1.0a4ecc2fe90ffp-16, 0x1.083a3f00e67e5p-16, 0x1.06291032c3c6ap-16, 0x1.041b3cd732066p-16, 0x1.0210c1fa2dbfcp-16, 0x1.00099ca0ba96fp-16, 0x1.fc0b9390968f6p-17, 0x1.f80a8ccf2c6e6p-17, 0x1.f4101ede9613bp-17, 0x1.f01c4394ec278p-17, 0x1.ec2ef4bd93b0cp-17, 0x1.e8482c1a28fdbp-17, 0x1.e467e3635ab1bp-17, 0x1.e08e144b5f8ep-17, 0x1.dcbab864f4d91p-17, 0x1.d8edc92befcd3p-17, 0x1.d5274045d9b23p-17, 0x1.d1671745236cep-17, 0x1.cdad47a778087p-17, 0x1.c9f9cad06c43ap-17, 0x1.c64c9a65e5a24p-17, 0x1.c2a5af63918bfp-17, 0x1.bf05034529d96p-17, 0x1.bb6a91a0783e1p-17, 0x1.b7d64dfe6aaa5p-17, 0x1.b44834097b0d6p-17, 0x1.b0c0402be54b8p-17, 0x1.ad3e69edfea7dp-17, 0x1.a9c2a9e20534ap-17, 0x1.a64cf930fbf26p-17, 0x1.a2dd5110cb8f2p-17, 0x1.9f73aaac9098p-17, 0x1.9c0fff23b3726p-17, 0x1.98b2478c56effp-17, 0x1.955a7cf54f44ep-17, 0x1.92089867ae59p-17, 0x1.8ebc92e9f7cbcp-17, 0x1.8b766586ff289p-17, 0x1.883609545441dp-17, 0x1.84fb7752ae53ep-17, 0x1.81c6a82dc1c5bp-17, 0x1.7e979499277cbp-17, 0x1.7b6e35c6473b1p-17, 0x1.784a84e3fd5c9p-17, 0x1.752c7ae078d81p-17, 0x1.7214109624c1ep-17, 0x1.6f013ee2c5aadp-17, 0x1.6bf3fea7e5b6p-17, 0x1.68ec48c8d94fbp-17, 0x1.65ea162c45bafp-17, 0x1.62ed5fc814a23p-17, 0x1.5ff61edc115d4p-17, 0x1.5d044d015a05ap-17, 0x1.5a17e159292c4p-17, 0x1.5730d322c35e8p-17, 0x1.544f1db2e45c7p-17, 0x1.5172ba42d9d7fp-17, 0x1.4e9ba11b1f321p-17, 0x1.4bc9cac0ecf5fp-17, 0x1.48fd33fb347eep-17, 0x1.4635cd85d7092p-17, 0x1.437397cc35667p-17, 0x1.40b68598a0b39p-17, 0x1.3dfe95683b65bp-17, 0x1.3b4bbd7447844p-17, 0x1.389df6a2ed5f9p-17, 0x1.35f539f55d1dcp-17, 0x1.33518064106c6p-17, 0x1.30b2c2e377173p-17, 0x1.2e18fa696d616p-17, 0x1.2b8420015c6e1p-17, 0x1.28f42ce491368p-17, 0x1.26691a2e9af45p-17, 0x1.23e2e04118a43p-17, 0x1.216177980fafcp-17, 0x1.1ee4d9b4c203p-17, 0x1.1c6d00376693ap-17, 0x1.19f9e445e7bffp-17, 0x1.178b7ec0c29abp-17, 0x1.1521c8693addbp-17, 0x1.12bcb9b7d5433p-17, 0x1.105c4aa47d23p-17, 0x1.0e0072eb0a6f6p-17, 0x1.0ba92af7a7dabp-17, 0x1.09566cba9d91dp-17, 0x1.070833d6cb624p-17, 0x1.04be7bcaaa9ccp-17, 0x1.02793b75129aep-17, 0x1.00386c406675cp-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{0x1.fc8e93c550619p-1, 0x1.fa852d8de201bp-1, 0x1.f7afc5647843p-1, 0x1.f412bed473f78p-1, 0x1.efb389eccefaap-1, 0x1.ea988476a9137p-1, 0x1.e4c8da0b1208cp-1, 0x1.de4c6439c699ap-1, 0x1.d72b8ba10ceccp-1, 0x1.cf6f2a94591cap-1, 0x1.c72071ba0fa86p-1, 0x1.be48cedefbde7p-1, 0x1.b4f1d61de4551p-1, 0x1.ab252d61913eep-1, 0x1.a0ec7a35ff7c7p-1, 0x1.965151d128239p-1, 0x1.8b5d2b338017ap-1, 0x1.8019533b4a3b4p-1, 0x1.748ee2833a0b8p-1, 0x1.68c6b4e405796p-1, 0x1.5cc96271057bap-1, 0x1.509f39c95d2f4p-1, 0x1.44503b991ce25p-1, 0x1.37e417282ef17p-1, 0x1.2b6227d762736p-1, 0x1.1ed1736e8d325p-1, 0x1.1238a9214c70ap-1, 0x1.059e21327636ep-1, 0x1.f20fba414a0b3p-2, 0x1.d8f7109119f39p-2, 0x1.bffcf1d7a3e7bp-2, 0x1.a72b631a00f89p-2, 0x1.8e8bc526087f1p-2, 0x1.7626d85015715p-2, 0x1.5e04c092528cep-2, 0x1.462d09facaaa8p-2, 0x1.2ea6ad57c4631p-2, 0x1.17781513f795dp-2, 0x1.00a7223600343p-2, 0x1.d47262f01ba23p-3, 0x1.a86640dc8e139p-3, 0x1.7d32a567282a8p-3, 0x1.52df6e2b5f758p-3, 0x1.29739974ae9c4p-3, 0x1.00f55070ac43ap-3, 0x1.b2d3e27fdc905p-4, 0x1.65ac31bc1a9ffp-4, 0x1.1a7b59b50ec1bp-4, 0x1.a28f93744d5e4p-5, 0x1.142d4fc46d4bcp-5, 0x1.13af8ca61e6bap-6, 0x1.ca45115e6c8d5p-12, -0x1.fa63ea1ba78d5p-7, -0x1.f95ec9e93baa5p-6, -0x1.76af39e621cd3p-5, -0x1.ec9ac6894396ap-5, -0x1.2f3b0144617cbp-4, -0x1.66233998b5afap-4, -0x1.9b0987d64e52ep-4, -0x1.cdf21327446bfp-4, -0x1.fee1a17ac5ae7p-4, -0x1.16eec59ddb201p-3, -0x1.2d75d7c629fe8p-3, -0x1.430934824f4d8p-3, -0x1.57ac417891a4dp-3, -0x1.6b629787d0713p-3, -0x1.7e2ffde3481aap-3, -0x1.9018656a72ee7p-3, -0x1.a11fe43b6b249p-3, -0x1.b14ab17e54a66p-3, -0x1.c09d216833cffp-3, -0x1.cf1ba1738d984p-3, -0x1.dccab4cd3f261p-3, -0x1.e9aef0f3d6c53p-3, -0x1.f5ccfa87dee46p-3, -0x1.0094c125af03ap-2, -0x1.05e4a1277b16p-2, -0x1.0ad87da57d655p-2, -0x1.0f72b9116eb04p-2, -0x1.13b5b6c8abc12p-2, -0x1.17a3d9fdd8c2fp-2, -0x1.1b3f84b551cf5p-2, -0x1.1e8b16d39a707p-2, -0x1.2188ed3d0da7ap-2, -0x1.243b6106107ap-2, -0x1.26a4c6b30822bp-2, -0x1.28c76d875eb7bp-2, -0x1.2aa59ee2e5745p-2, -0x1.2c419dace1388p-2, -0x1.2d9da5cc1b6e5p-2, -0x1.2ebbebab4fc51p-2, -0x1.2f9e9bc9586dcp-2, -0x1.3047da5479324p-2, -0x1.30b9c2d036122p-2, -0x1.30f667c5227fap-2, -0x1.30ffd27a196cp-2, -0x1.30d802b659c1cp-2, -0x1.3080ee8c027a4p-2, -0x1.2ffc822a6d021p-2, -0x1.2f4c9fb7f3209p-2, -0x1.2e731f32a1badp-2, -0x1.2d71ce5772d77p-2, -0x1.2c4a708f9cfc7p-2, -0x1.2afebee3901a9p-2, -0x1.299067f3448bap-2, -0x1.28010ff3761bep-2, -0x1.265250af763b2p-2, -0x1.2485b98f4237p-2, -0x1.229ccfa183559p-2, -0x1.20990da935854p-2, -0x1.1e7be42ea507cp-2, -0x1.1c46b9937eecap-2, -0x1.19faea29b495cp-2, -0x1.1799c84cefdccp-2, -0x1.15249c7e5eac2p-2, -0x1.129ca5829f83fp-2, -0x1.1003188197ef9p-2, -0x1.0d592128041b1p-2, -0x1.0a9fe1ca92ac3p-2, -0x1.07d8738a5c0dap-2, -0x1.0503e67a903abp-2, -0x1.022341c73619bp-2, -0x1.fe6f07b99ff5p-3, -0x1.f883452196894p-3, -0x1.f2851695304f1p-3, -0x1.ec76465a9a4c3p-3, -0x1.e6588e836f693p-3, -0x1.e02d994185335p-3, -0x1.d9f7013c3c8f6p-3, -0x1.d3b651e617ea2p-3, -0x1.cd6d07d2773adp-3, -0x1.c71c910b5e94ap-3, -0x1.c0c64d6710bc5p-3, -0x1.ba6b8edd66e51p-3, -0x1.b40d99dccdd2dp-3, -0x1.adada59ec3726p-3, -0x1.a74cdc7bbc45p-3, -0x1.a0ec5c3e644f3p-3, -0x1.9a8d36761da2dp-3, -0x1.943070c8a7686p-3, -0x1.8dd70542e65d9p-3, -0x1.8781e2a8ba8dep-3, -0x1.8131ecc3d18fcp-3, -0x1.7ae7fcb169d57p-3, -0x1.74a4e12f06323p-3, -0x1.6e695ee5f8f11p-3, -0x1.683630b5c4bc2p-3, -0x1.620c07fd56d7fp-3, -0x1.5beb8ce2f9479p-3, -0x1.55d55e9b1abffp-3, -0x1.4fca13adc85b3p-3, -0x1.49ca3a3ae8e0ap-3, -0x1.43d6583d345a9p-3, -0x1.3deeebcbdac88p-3, -0x1.38146b5ae55cp-3, -0x1.324745fa4ddbdp-3, -0x1.2c87e393c988ap-3, -0x1.26d6a527431ddp-3, -0x1.2133e50618297p-3, -0x1.1b9ff70cfbd3bp-3, -0x1.161b28dca4066p-3, -0x1.10a5c211222c4p-3, -0x1.0b40047800287p-3, -0x1.05ea2c451e019p-3, -0x1.00a470464bdbp-3, -0x1.f6de042b5ad9cp-4, -0x1.ec941c95c8b1cp-4, -0x1.e26b79560b801p-4, -0x1.d86460aec2867p-4, -0x1.ce7f0ff6365fap-4, -0x1.c4bbbbef33b1cp-4, -0x1.bb1a911fada61p-4, -0x1.b19bb4250a3f2p-4, -0x1.a83f42064648ep-4, -0x1.9f055083e6568p-4, -0x1.95edee65b8515p-4, -0x1.8cf923c684e98p-4, -0x1.8426f25d9e165p-4, -0x1.7b7755c66bb7ep-4, -0x1.72ea43c5f08cap-4, -0x1.6a7fac8e566ebp-4, -0x1.62377b008bb2dp-4, -0x1.5a1194ebf60f2p-4, -0x1.520ddb4c4b0b7p-4, -0x1.4a2c2a85909f8p-4, -0x1.426c5a9e54113p-4, -0x1.3ace3f781d3b9p-4, -0x1.3351a906289f9p-4, -0x1.2bf663827028ep-4, -0x1.24bc37a10ecaep-4, -0x1.1da2eac202a72p-4, -0x1.16aa3f215a67bp-4, -0x1.0fd1f405d7212p-4, -0x1.0919c5ee0720fp-4, -0x1.02816ebbe7bc3p-4, -0x1.f8114bbe2290cp-5, -0x1.eb5e40faf7b24p-5, -0x1.dee92335b81bfp-5, -0x1.d2b1547d57fd5p-5, -0x1.c6b63331b9827p-5, -0x1.baf71a4a82266p-5, -0x1.af73619b68a1p-5, -0x1.a42a5e160f247p-5, -0x1.991b62097748ep-5, -0x1.8e45bd5f20e4p-5, -0x1.83a8bdd5e2edcp-5, -0x1.7943af3a86e33p-5, -0x1.6f15db9e40b2p-5, -0x1.651e8b8b0709fp-5, -0x1.5b5d0635de61ap-5, -0x1.51d091af26289p-5, -0x1.48787310f25aep-5, -0x1.3f53eeab7fe4p-5, -0x1.3662482fd3a56p-5, -0x1.2da2c2d88dfacp-5, -0x1.2514a190fc96dp-5, -0x1.1cb7271a83b2fp-5, -0x1.14899630583c7p-5, -0x1.0c8b31a9a7d9ep-5, -0x1.04bb3c9a30303p-5, -0x1.fa31f4e2ab2dfp-6, -0x1.eb475e2f8795ap-6, -0x1.dcb53e1747092p-6, -0x1.ce7a1ef6d8b4ep-6, -0x1.c0948cbecd3bep-6, -0x1.b3031523c00ffp-6, -0x1.a5c447cc3477ep-6, -0x1.98d6b67c16d25p-6, -0x1.8c38f53ddb0bbp-6, -0x1.7fe99a894d635p-6, -0x1.73e73f683e508p-6, -0x1.68307f9901c97p-6, -0x1.5cc3f9aee3b31p-6, -0x1.51a04f309e251p-6, -0x1.46c424b4e1b03p-6, -0x1.3c2e21fd013f6p-6, -0x1.31dcf20ddb9cbp-6, -0x1.27cf4346fb90cp-6, -0x1.1e03c778176cdp-6, -0x1.147933f4ee973p-6, -0x1.0b2e41a79f23ep-6, -0x1.0221ad217594fp-6, -0x1.f2a46d54a8a35p-7, -0x1.e17d449d616ep-7, -0x1.d0cb6fd87f975p-7, -0x1.c08c867ab4a9ap-7, -0x1.b0be27c645b31p-7, -0x1.a15dfadd02931p-7, -0x1.9269aecfecc5cp-7, -0x1.83defaacbd88dp-7, -0x1.75bb9d89471f1p-7, -0x1.67fd5e8ce277p-7, -0x1.5aa20cf7e7c96p-7, -0x1.4da7802958328p-7, -0x1.410b97a2c4821p-7, -0x1.34cc3b0a809afp-7, -0x1.28e75a2c4648p-7, -0x1.1d5aecf85119bp-7, -0x1.1224f380f3276p-7, -0x1.074375f6e10d4p-7, -0x1.f9690948312a8p-8, -0x1.e4ec6fcb16468p-8, -0x1.d10d60472bc55p-8, -0x1.bdc82b92ba337p-8, -0x1.ab19327615448p-8, -0x1.98fce5962647dp-8, -0x1.876fc55cf21a2p-8, -0x1.766e61e06605fp-8, -0x1.65f55ac75c16p-8, -0x1.56015f2cfe8a7p-8, -0x1.468f2d82c4b5p-8, -0x1.379b9370e45bbp-8, -0x1.29236db571e7p-8, -0x1.1b23a80246ffbp-8, -0x1.0d993cd9c3988p-8, -0x1.0081356a7bf7dp-8, -0x1.e7b152d387faap-9, -0x1.cf397ddaf8d3p-9, -0x1.b7955489af1cep-9, -0x1.a0bf5ba102718p-9, -0x1.8ab233b3b690cp-9, -0x1.756898d3746e1p-9, -0x1.60dd623cddc4ap-9, -0x1.4d0b8202a7485p-9, -0x1.39ee04b7b8e33p-9, -0x1.278011185eb2bp-9, -0x1.15bce7b2e2955p-9, -0x1.049fe28f43fa4p-9, -0x1.e848e9ad39e04p-10, -0x1.c88c54f3d567ap-10, -0x1.aa014fb125624p-10, -0x1.8c9f52cce5f81p-10, -0x1.705e06a3ded1ep-10, -0x1.5535425337217p-10, -0x1.3b1d0b046749ep-10, -0x1.220d933894c9ap-10, -0x1.09ff3a1417cc7p-10, -0x1.e5d515551961dp-11, -0x1.b99076965be5ep-11, -0x1.8f22599b6ca44p-11, -0x1.667cd3c0081f7p-11, -0x1.3f924ca7dd00cp-11, -0x1.1a557cdd25fc2p-11, -0x1.ed72d8e081289p-12, -0x1.a962e332fc808p-12, -0x1.68625ebb817a7p-12, -0x1.2a592867f904ap-12, -0x1.de5f62b96cb05p-13, -0x1.6d9df895fd2a9p-13, -0x1.02413599fc5e9p-13, -0x1.383aab232516ep-14, -0x1.d83d3d6b941e8p-16, 0x1.094bb501dfa55p-16, 0x1.e27a7aef152afp-15, 0x1.96fecbd690575p-14, 0x1.19f262540a408p-13, 0x1.641d2fe7e350bp-13, 0x1.aa24754a9b5dbp-13, 0x1.ec2be8a3dd0a6p-13, 0x1.152b2a33117a7p-12, 0x1.3262ce027768fp-12, 0x1.4dcd604deb37dp-12, 0x1.677af2c47a442p-12, 0x1.7f7b2a7b5bf14p-12, 0x1.95dd422b8fd46p-12, 0x1.aab00c67ed947p-12, 0x1.be01f5cadfe29p-12, 0x1.cfe1071c60f66p-12, 0x1.e05ae770e8a56p-12, 0x1.ef7cde4055497p-12, 0x1.fd53d574fb995p-12, 0x1.04f62db92a0b3p-11, 0x1.0aa9528a7352cp-11, 0x1.0fc947d4712c3p-11, 0x1.145bd16cc860fp-11, 0x1.1866894d3d25ap-11, 0x1.1beee08328bffp-11, 0x1.1efa201bc1992p-11, 0x1.218d6a0c68991p-11, 0x1.23adba16efdc3p-11, 0x1.255fe6a9e63eap-11, 0x1.26a8a1bdc5174p-11, 0x1.278c79adc7d04p-11, 0x1.280fda0cef0fbp-11, 0x1.28370c77b486ep-11, 0x1.280639617f228p-11, 0x1.278168de64ccap-11, 0x1.26ac836a30c5dp-11, 0x1.258b52aab98f6p-11, 0x1.2421822f12f08p-11, 0x1.2272a02b37e2fp-11, 0x1.20821e3047a5dp-11, 0x1.1e5351e08f20dp-11, 0x1.1be975a0ee83cp-11, 0x1.1947a946c2bc6p-11, 0x1.1670f2c217fccp-11, 0x1.13683ec496963p-11, 0x1.103061654ea39p-11, 0x1.0ccc16c12b1dfp-11, 0x1.093e0397effbfp-11, 0x1.0588b5e64c0b6p-11, 0x1.01aea57d3743ep-11, 0x1.fb64692a68508p-12, 0x1.f32b60bef2749p-12, 0x1.eab6a3270e265p-12, 0x1.e20a79f39cc49p-12, 0x1.d92b07e77d88p-12, 0x1.d01c4a0111e44p-12, 0x1.c6e2187f20902p-12, 0x1.bd8027dee9357p-12, 0x1.b3fa09d5c3d1ap-12, 0x1.aa532e44e6a3ap-12, 0x1.a08ee42707e51p-12, 0x1.96b05a7a2c6e3p-12, 0x1.8cbaa1234efdep-12, 0x1.82b0a9cd7f60fp-12, 0x1.789548c3e467ap-12, 0x1.6e6b35c60307fp-12, 0x1.64350cd8b82d1p-12, 0x1.59f54f1107904p-12, 0x1.4fae635acc46ep-12, 0x1.4562973ad2536p-12, 0x1.3b141f8c91111p-12, 0x1.30c5193b88bb6p-12, 0x1.267789f7c243p-12, 0x1.1c2d60e64e91dp-12, 0x1.11e8774dcce46p-12, 0x1.07aa913eac1dfp-12, 0x1.faeabc6dd914fp-13, 0x1.e694f38567a67p-13, 0x1.d256d83130a6fp-13, 0x1.be335564a1799p-13, 0x1.aa2d31c2698d5p-13, 0x1.964710bed0decp-13, 0x1.828373bafb21p-13, 0x1.6ee4bb1881223p-13, 0x1.5b6d274671561p-13, 0x1.481ed9c7feaf2p-13, 0x1.34fbd6342ff03p-13, 0x1.2206032ea8ad4p-13, 0x1.0f3f2b5ac8249p-13, 0x1.f951fc9065af3p-14, 0x1.d48a22b1e9aa9p-14, 0x1.b029c143ba10ep-14, 0x1.8c339f8ada1c6p-14, 0x1.68aa55909fcf2p-14, 0x1.45904dc364cp-14, 0x1.22e7c6873a64dp-14, 0x1.00b2d3bfe9c56p-14, 0x1.bde6c0a0400c7p-15, 0x1.7b565f185f2ecp-15, 0x1.39b7bd46fa132p-15, 0x1.f21b980a9e2acp-16, 0x1.72b66a99e7cdp-16, 0x1.ea897b6b35fecp-17, 0x1.e72b65918f33p-18, 0x1.321c8bd447177p-26, -0x1.dccba54073a47p-18, -0x1.d9613a96ad5fep-17, -0x1.602a2abee8749p-16, -0x1.d19d93c89cc88p-16, -0x1.2084a138db24fp-15, -0x1.573602499ccfep-15, -0x1.8ce283dfd6fb1p-15, -0x1.c189eab37b144p-15, -0x1.f52c27853c1dp-15, -0x1.13e4aaa2e6fc8p-14, -0x1.2cb0dba5fabecp-14, -0x1.44fadbce7194fp-14, -0x1.5cc2f29c9cd64p-14, -0x1.7409793dba704p-14, -0x1.8aced9c3d087ep-14, -0x1.a1138e5d9ee61p-14, -0x1.b6d8209b445a7p-14, -0x1.cc1d28b3facc7p-14, -0x1.e0e34cd3d6f57p-14, -0x1.f52b406e6f2afp-14, -0x1.047ae1cb80e73p-13, -0x1.0e21d12f1d73fp-13, -0x1.178ada19ab6bfp-13, -0x1.20b66da656f9dp-13, -0x1.29a50209ff3f5p-13, -0x1.3257124be2f0ap-13, -0x1.3acd1e0026b67p-13, -0x1.4307a9058c84bp-13, -0x1.4b073b446c7f2p-13, -0x1.52cc60703cb14p-13, -0x1.5a57a7cba6b27p-13, -0x1.61a9a3edbad09p-13, -0x1.68c2ea892672p-13, -0x1.6fa414367596p-13, -0x1.764dbc3f2466ap-13, -0x1.7cc0806b07c51p-13, -0x1.82fd00cef4b0fp-13, -0x1.8903df9e0404bp-13, -0x1.8ed5c0fbb2dfep-13, -0x1.94734acf49205p-13, -0x1.99dd249b3b78fp-13, -0x1.9f13f752896bfp-13, -0x1.a4186d322297bp-13, -0x1.a8eb319b092a9p-13, -0x1.ad8cf0ee1d7a9p-13, -0x1.b1fe586895a63p-13, -0x1.b64016027952ap-13, -0x1.ba52d84eb5708p-13, -0x1.be374e5b2531p-13, -0x1.c1ee2792abb52p-13, -0x1.c57813a18d4b4p-13, -0x1.c8d5c258a78b8p-13, -0x1.cc07e39368eaep-13, -0x1.cf0f271e5f9fdp-13, -0x1.d1ec3c9f75457p-13, -0x1.d49fd37dd4066p-13, -0x1.d72a9acbffa1cp-13, -0x1.d98d4132e36e5p-13, -0x1.dbc874dd0719fp-13, -0x1.dddce362e2bc2p-13, -0x1.dfcb39b8ccbd7p-13, -0x1.e194241d177b6p-13, -0x1.e3384e06df76ep-13, -0x1.e4b862163a98p-13, -0x1.e6150a04f140bp-13, -0x1.e74eee97dd1b6p-13, -0x1.e866b790eaf16p-13, -0x1.e95d0ba1fafbp-13, -0x1.ea329060f455dp-13, -0x1.eae7ea3b747f6p-13, -0x1.eb7dbc6b7b03cp-13, -0x1.ebf4a8edb29a7p-13, -0x1.ec4d5076a13c9p-13, -0x1.ec885269e1bfep-13, -0x1.eca64cd104457p-13, -0x1.eca7dc53b852ap-13, -0x1.ec8d9c2fc8133p-13, -0x1.ec582631cfdc2p-13, -0x1.ec0812ae934e2p-13, -0x1.eb9df87d13398p-13, -0x1.eb1a6cf0496fap-13, -0x1.ea7e03d2004ep-13, -0x1.e9c94f5df6d9dp-13, -0x1.e8fce03d15f7dp-13, -0x1.e8194581a00bp-13, -0x1.e71f0ca314038p-13, -0x1.e60ec17b3e2b7p-13, -0x1.e4e8ee42ed13fp-13, -0x1.e3ae1b8f2e845p-13, -0x1.e25ed04ef6b2ap-13, -0x1.e0fb91c939dffp-13, -0x1.df84e39b34cb2p-13, -0x1.ddfb47b69937fp-13, -0x1.dc5f3e60c5126p-13, -0x1.dab14631b26a6p-13, -0x1.d8f1dc13451c2p-13, -0x1.d7217b40f9bf6p-13, -0x1.d5409d4784608p-13, -0x1.d34fba055fb74p-13, -0x1.d14f47aa7c164p-13, -0x1.cf3fbab942d34p-13, -0x1.cd2186069d7bdp-13, -0x1.caf51abbb9fe9p-13, -0x1.c8bae856556dep-13, -0x1.c6735caa67d72p-13, -0x1.c41ee3e34731ap-13, -0x1.c1bde88585a7p-13, -0x1.bf50d3708b66ap-13, -0x1.bcd80be038953p-13, -0x1.ba53f76f33453p-13, -0x1.b7c4fa1906993p-13, -0x1.b52b763c521dp-13, -0x1.b287cc9d29c1ap-13, -0x1.afda5c676770cp-13, -0x1.ad238331d217fp-13, -0x1.aa639d003930ep-13, -0x1.a79b044698325p-13, -0x1.a4ca11ebc31c7p-13, -0x1.a1f11d4ca23bbp-13, -0x1.9f107c3f3b7adp-13, -0x1.9c288315790e5p-13, -0x1.993984a0c116ap-13, -0x1.9643d23511dcfp-13, -0x1.9347bbac73a0fp-13, -0x1.90458f6a44927p-13, -0x1.8d3d9a5e7f639p-13, -0x1.8a302809aeca8p-13, -0x1.871d828009be7p-13, -0x1.8405f26d43d88p-13, -0x1.80e9bf181126p-13, -0x1.7dc92e65cb4d5p-13, -0x1.7aa484de65104p-13, -0x1.777c05afce977p-13, -0x1.744ff2b1d26f9p-13, -0x1.71208c69ee064p-13, -0x1.6dee120f00b7dp-13, -0x1.6ab8c18d4f87ep-13, -0x1.6780d78a01be7p-13, -0x1.64468f673cf25p-13, -0x1.610a2347ef1c8p-13, -0x1.5dcbcc13a8e1fp-13, -0x1.5a8bc17a6d0e2p-13, -0x1.574a39f88bc3fp-13, -0x1.54076ada934bcp-13, -0x1.50c38841584cfp-13, -0x1.4d7ec52560678p-13, -0x1.4a39535b24f9ap-13, -0x1.46f36396baf88p-13, -0x1.43ad256fca0d2p-13, -0x1.4066c7656510ep-13, -0x1.3d2076e1ae4c2p-13, -0x1.39da603ddb2f1p-13, -0x1.3694aec5ef15p-13, -0x1.334f8cbc9928ap-13, -0x1.300b235ed5eebp-13, -0x1.2cc79ae7c25bbp-13, -0x1.29851a94607efp-13, -0x1.2643c8a7627d3p-13, -0x1.2303ca6cabadfp-13, -0x1.1fc5443d1714fp-13, -0x1.1c8859822f715p-13, -0x1.194d2cb9b8774p-13, -0x1.1613df7966df3p-13, -0x1.12dc927255ce6p-13, -0x1.0fa76574aa2f2p-13, -0x1.0c7477731769p-13, -0x1.0943e68652155p-13, -0x1.0615cff0b60b6p-13, -0x1.02ea50218a3e7p-13, -0x1.ff830570e517ap-14, -0x1.f937051200518p-14, -0x1.f2f0d33bd1c91p-14, -0x1.ecb0a278960d9p-14, -0x1.e676a3ce5ea78p-14, -0x1.e04306c56597dp-14, -0x1.da15f96e6d722p-14, -0x1.d3efa86980f1ep-14, -0x1.cdd03eebf9024p-14, -0x1.c7b7e6c6e40dfp-14, -0x1.c1a6c86d5d17cp-14, -0x1.bb9d0afa955d8p-14, -0x1.b59ad4381d077p-14, -0x1.afa048a3a856ap-14, -0x1.a9ad8b7530b2ap-14, -0x1.a3c2bea4dddf5p-14, -0x1.9de002f0e6026p-14, -0x1.980577e328d86p-14, -0x1.92333bd6f5113p-14, -0x1.8c696bfeecd6ap-14, -0x1.86a8246a2b5efp-14, -0x1.80ef800a26ee1p-14, -0x1.7b3f98b7e07e9p-14, -0x1.7598873962aeap-14, -0x1.6ffa634714e61p-14, -0x1.6a654390c32fep-14, -0x1.64d93dc3228e9p-14, -0x1.5f56668cc2acep-14, -0x1.59dcd1a2fd93ep-14, -0x1.546c91c731c6dp-14, -0x1.4f05b8cb4a63dp-14, -0x1.49a857970bfbfp-14, -0x1.44547e2c80f5ep-14, -0x1.3f0a3bace013cp-14, -0x1.39c99e5d3a963p-14, -0x1.3492b3aaef1b7p-14, -0x1.2f65883057f07p-14, -0x1.2a4227b9108a4p-14, -0x1.25289d46a17fep-14, -0x1.2018f31481331p-14, -0x1.1b13329ca0fcp-14, -0x1.1617649b8962p-14, -0x1.112591149497bp-14, -0x1.0c3dbf55d222ep-14, -0x1.075ff5fc733f2p-14, -0x1.028c3af828228p-14, -0x1.fb85271f45112p-15, -0x1.f20608c8559e5p-15, -0x1.e89b22ea8a37ep-15, -0x1.df447c49cbcd2p-15, -0x1.d6021a7552759p-15, -0x1.ccd401cf58f01p-15, -0x1.c3ba35940ab15p-15, -0x1.bab4b7e0b5aeep-15, -0x1.b1c389ba91e0dp-15, -0x1.a8e6ab15afad1p-15, -0x1.a01e1adb5eda4p-15, -0x1.9769d6f15758dp-15, -0x1.8ec9dc3f8c7e9p-15, -0x1.863e26b6fe9ebp-15, -0x1.7dc6b157d148cp-15, -0x1.75637637227adp-15, -0x1.6d146e85efae2p-15, -0x1.64d992964a8bdp-15, -0x1.5cb2d9e16f2bep-15, -0x1.54a03b0dd93edp-15, -0x1.4ca1abf46d97ap-15, -0x1.44b721a653869p-15, -0x1.3ce090722afedp-15, -0x1.351debe9f3a2ep-15, -0x1.2d6f26e7da11bp-15, -0x1.25d433936fd98p-15, -0x1.1e4d03671073cp-15, -0x1.16d98734b288ep-15, -0x1.0f79af2af1c53p-15, -0x1.082d6ad9b0ea6p-15, -0x1.00f4a936f529bp-15, -0x1.f39eb146da60ap-16, -0x1.e57acdde7da17p-16, -0x1.d77d82bd3bd1ep-16, -0x1.c9a6a95b5b65dp-16, -0x1.bbf61a2adfdfdp-16, -0x1.ae6bac9f48d79p-16, -0x1.a10737364dec4p-16, -0x1.93c88f7f4aed3p-16, -0x1.86af8a2427c0fp-16, -0x1.79bbfaf13c2b7p-16, -0x1.6cedb4dc04377p-16, -0x1.60448a0bdce19p-16, -0x1.53c04be083e77p-16, -0x1.4760cafa8758dp-16, -0x1.3b25d7412beb2p-16, -0x1.2f0f3fe9ed4f5p-16, -0x1.231cd37faffcap-16, -0x1.174e5fe87f2a5p-16, -0x1.0ba3b26d3a8a7p-16, -0x1.001c97c001ec8p-16, -0x1.e971b8035d84cp-17, -0x1.d2f095915c046p-17, -0x1.bcb55e4dc8a12p-17, -0x1.a6bfa75f8937ap-17, -0x1.910f04fb65241p-17, -0x1.7ba30a6feebc9p-17, -0x1.667b4a322f59ap-17, -0x1.519755e5be456p-17, -0x1.3cf6be69ad2fap-17, -0x1.289913e1d7692p-17, -0x1.147de5c258a6fp-17, -0x1.00a4c2d8d7c63p-17, -0x1.da1a72aa47ce8p-18, -0x1.b36dadaa8dabbp-18, -0x1.8d4250d92598bp-18, -0x1.6797755bd0888p-18, -0x1.426c336b346bp-18, -0x1.1dbfa262004cap-18, -0x1.f321b19ac4875p-19, -0x1.abbdd90051858p-19, -0x1.6551e5455ced9p-19, -0x1.1fdbff7f9de2cp-19, -0x1.b6b49f639fbffp-20, -0x1.2f95f9c3ce652p-20, -0x1.54b0b511e52eep-21, -0x1.37c06466bc3a9p-23, 0x1.6a3a9a41c0ed7p-22, 0x1.b47eec6fba1d7p-21, 0x1.581e1aa5195d6p-20, 0x1.d42e4cb39fae8p-20, 0x1.2739e2d7f8fdep-19, 0x1.63791f8dd03bep-19, 0x1.9ed6b94361e7cp-19, 0x1.d9548ca9d7324p-19, 0x1.097a3b24598a3p-18, 0x1.25dc2931a8653p-18, 0x1.41d0fe73eadb2p-18, 0x1.5d59a8ab876f6p-18, 0x1.787715561027cp-18, 0x1.932a31a84cf2p-18, 0x1.ad73ea7f36ef5p-18, 0x1.c7552c5b21a42p-18, 0x1.e0cee351000ccp-18, 0x1.f9e1fb053e402p-18, 0x1.0947af51dabap-17, 0x1.156bfc69295d6p-17, 0x1.215e59d5bfd47p-17, 0x1.2d1f3c5b97b04p-17, 0x1.38af186f98851p-17, 0x1.440e623639b75p-17, 0x1.4f3d8d7e2d916p-17, 0x1.5a3d0dbc86cbap-17, 0x1.650d56098bbd4p-17, 0x1.6faed91d99fa9p-17, 0x1.7a22094d56f65p-17, 0x1.846758875dd17p-17, 0x1.8e7f384fa47e7p-17, 0x1.986a19be1c1d6p-17, 0x1.a2286d7ad8ad6p-17, 0x1.abbaa3bba6cb6p-17, 0x1.b5212c404ec56p-17, 0x1.be5c76511c76ap-17, 0x1.c76cf0bbf9161p-17, 0x1.d05309d2c0a18p-17, 0x1.d90f2f6695b5dp-17, 0x1.e1a1cec79af12p-17, 0x1.ea0b54c2c98b8p-17, 0x1.f24c2d9e036bp-17, 0x1.fa64c51865486p-17, 0x1.012ac333b03efp-16, 0x1.050f6e19d4148p-16, 0x1.08e0984c6f825p-16, 0x1.0c9e76918d364p-16, 0x1.10493d66c72p-16, 0x1.13e121007cae6p-16, 0x1.17665548be1bcp-16, 0x1.1ad90ddf045f6p-16, 0x1.1e397e17458c5p-16, 0x1.2187d8f961d25p-16, 0x1.24c4514060efbp-16, 0x1.27ef195975fd4p-16, 0x1.2b08636441b9dp-16, 0x1.2e10613217307p-16, 0x1.31074444e1412p-16, 0x1.33ed3dced4ce8p-16, 0x1.36c27eb28098p-16, 0x1.39873781c6efcp-16, 0x1.3c3b987d78d92p-16, 0x1.3edfd195f48f8p-16, 0x1.417412697ffcfp-16, 0x1.43f88a4477909p-16, 0x1.466d6820e50a2p-16, 0x1.48d2daa6607e2p-16, 0x1.4b291029b6435p-16, 0x1.4d7036ace12edp-16, 0x1.4fa87bde2f865p-16, 0x1.51d20d18f0a86p-16, 0x1.53ed1764a7af7p-16, 0x1.55f9c77533cc1p-16, 0x1.57f849aa88ee6p-16, 0x1.59e8ca104802fp-16, 0x1.5bcb745e19053p-16, 0x1.5da073f7e615cp-16, 0x1.5f67f3ed0124cp-16, 0x1.61221ef83f53ap-16, 0x1.62cf1f80a8c72p-16, 0x1.646f1f989ab77p-16, 0x1.660248fdc8e12p-16, 0x1.6788c51a8c964p-16, 0x1.6902bd0490a21p-16, 0x1.6a70597d36e2cp-16, 0x1.6bd1c2f1e8455p-16, 0x1.6d27217bdc912p-16, 0x1.6e709ce0775c4p-16, 0x1.6fae5c917852cp-16, 0x1.70e087acad644p-16, 0x1.720744fc6c8acp-16, 0x1.7322baf7aa217p-16, 0x1.74330fc221f71p-16, 0x1.7538692cb5b33p-16, 0x1.7632ecb500c03p-16, 0x1.7722bf863582dp-16, 0x1.78080678baa1dp-16, 0x1.78e2e6134d6aep-16, 0x1.79b3828a11de5p-16, 0x1.7a79ffbf910c9p-16, 0x1.7b368144ffb3ep-16, 0x1.7be92a5a1304p-16, 0x1.7c921ded1a8f9p-16, 0x1.7d317e9c5e7eap-16, 0x1.7dc76eb570758p-16, 0x1.7e5410358718p-16, 0x1.7ed784ca3963p-16, 0x1.7f51edd128345p-16, 0x1.7fc36c5900fa7p-16, 0x1.802c21218712dp-16, 0x1.808c2c9bbd94ap-16, 0x1.80e3aeea592b2p-16, 0x1.8132c7e232a79p-16, 0x1.8179970a8abd2p-16, 0x1.81b83b9d8f4fbp-16, 0x1.81eed48875649p-16, 0x1.821d806ba2ed5p-16, 0x1.82445d9bc4ec9p-16, 0x1.82638a217d509p-16, 0x1.827b23ba5e6e3p-16, 0x1.828b47d889ba3p-16, 0x1.829413a3f9166p-16, 0x1.8295a3fa497f6p-16, 0x1.8290156f17484p-16, 0x1.8283844c8fa91p-16, 0x1.82700c945ff9fp-16, 0x1.8255c9ff3bec4p-16, 0x1.8234d7fdb7278p-16, 0x1.820d51b8c0819p-16, 0x1.81df5211a6514p-16, 0x1.81aaf3a315841p-16, 0x1.817050c13b7bbp-16, 0x1.812f837a13e1p-16, 0x1.80e8a5960fd05p-16, 0x1.809bd09855424p-16, 0x1.80491dbf54ed6p-16, 0x1.7ff0a60544c59p-16, 0x1.7f92822081fb5p-16, 0x1.7f2eca83ac5dcp-16, 0x1.7ec5975eb8e4dp-16, 0x1.7e57009ec674dp-16, 0x1.7de31def1f1dcp-16, 0x1.7d6a06b9210c1p-16, 0x1.7cebd22520cb9p-16, 0x1.7c68971accb7ep-16, 0x1.7be06c412db4ep-16, 0x1.7b5367ff6f80bp-16, 0x1.7ac1a07d97ba7p-16, 0x1.7a2b2ba4b6298p-16, 0x1.79901f1f1ac8ap-16, 0x1.78f0905939799p-16, 0x1.784c9481cec5p-16, 0x1.77a4408a6c5dbp-16, 0x1.76f7a92811e38p-16, 0x1.7646e2d36d05p-16, 0x1.759201c95ecep-16, 0x1.74d91a0b5fd0bp-16, 0x1.741c3f6022fecp-16, 0x1.735b8553e5a5ep-16, 0x1.7296ff38e372ap-16, 0x1.71cec027ea285p-16, 0x1.7102db008706bp-16, 0x1.70336269e11f3p-16, 0x1.6f6068d2dbebbp-16, 0x1.6e8a00728eecp-16, 0x1.6db03b48d399dp-16, 0x1.6cd32b1eb7fb5p-16, 0x1.6bf2e18717661p-16, 0x1.6b0f6fdeb01dp-16, 0x1.6a28e74cbe3d1p-16, 0x1.693f58c374134p-16, 0x1.6852d500c8324p-16, 0x1.67636c8e1e41cp-16, 0x1.66712fc1519bcp-16, 0x1.657c2ebd0bc46p-16, 0x1.6484797103d2ep-16, 0x1.638a1f9a9db17p-16, 0x1.628d30c559cd2p-16, 0x1.618dbc4b3ab01p-16, 0x1.608bd155138c3p-16, 0x1.5f877edb1f8ddp-16, 0x1.5e80d3a54b5acp-16, 0x1.5d77de4bd7ec7p-16, 0x1.5c6cad37c9879p-16, 0x1.5b5f4ea303d6ap-16, 0x1.5a4fd098d4fbcp-16, 0x1.593e40f6b1a33p-16, 0x1.582aad6c48778p-16, 0x1.5715237beef05p-16, 0x1.55fdb07b3c3edp-16, 0x1.54e46193496f8p-16, 0x1.53c943c16929p-16, 0x1.52ac63d715a8ep-16, 0x1.518dce7a90026p-16, 0x1.506d90275a9e7p-16, 0x1.4f4bb52eb249ep-16, 0x1.4e2849b7c2172p-16, 0x1.4d0359c01e963p-16, 0x1.4bdcf11c3cb9dp-16, 0x1.4ab51b77a500ap-16, 0x1.498be45570d65p-16, 0x1.48615710e5807p-16, 0x1.47357edd948b5p-16, 0x1.460866c7ce5c3p-16, 0x1.44da19b4f8a9ap-16, 0x1.43aaa26413c9cp-16, 0x1.427a0b6df0bd6p-16, 0x1.41485f45c9f33p-16, 0x1.4015a839674efp-16, 0x1.3ee1f071bd68fp-16, 0x1.3dad41f2e2066p-16, 0x1.3c77a69cdae7dp-16, 0x1.3b41282be013bp-16, 0x1.3a09d03889f4cp-16, 0x1.38d1a8385a427p-16, 0x1.3798b97e01e69p-16, 0x1.365f0d39cf3c9p-16, 0x1.3524ac79efa45p-16, 0x1.33e9a02acb052p-16, 0x1.32adf1179109cp-16, 0x1.3171a7ea5afe1p-16, 0x1.3034cd2c90b0cp-16, 0x1.2ef769473363ap-16, 0x1.2db9848360388p-16, 0x1.2c7b270a8412bp-16, 0x1.2b3c58e6a5cf4p-16, 0x1.29fd2202d53cep-16, 0x1.28bd8a2b83bd7p-16, 0x1.277d990ecd0d5p-16, 0x1.263d563cd942cp-16, 0x1.24fcc927fbc9fp-16, 0x1.23bbf925300e4p-16, 0x1.227aed6c7444cp-16, 0x1.2139ad1924372p-16, 0x1.1ff83f2a18402p-16, 0x1.1eb6aa81f5ff9p-16, 0x1.1d74f5e79de16p-16, 0x1.1c33280692e12p-16, 0x1.1af1476f314d9p-16, 0x1.19af5a96c0ccp-16, 0x1.186d67d7fd418p-16, 0x1.172b75736334p-16, 0x1.15e9898f8fa0ep-16, 0x1.14a7aa394c3cdp-16, 0x1.1365dd63d2771p-16, 0x1.122428e96b717p-16, 0x1.10e2928b7cf88p-16, 0x1.0fa11ff2e5bfap-16, 0x1.0e5fd6b03cca3p-16, 0x1.0d1ebc3bf90cep-16, 0x1.0bddd5f6e90bap-16, 0x1.0a9d292a6b0e2p-16, 0x1.095cbb08a835ep-16, 0x1.081c90acd5586p-16, 0x1.06dcaf1b8a2fdp-16, 0x1.059d1b43017c7p-16, 0x1.045dd9fb51f1dp-16, 0x1.031ef006a66adp-16, 0x1.01e0621185406p-16, 0x1.00a234b3369b9p-16, 0x1.fec8d8dbc4018p-17, 0x1.fc4e1b5d7488dp-17, 0x1.f9d4399ccd7e1p-17, 0x1.f75b3c226a0bp-17, 0x1.f4e32b4eadc2cp-17, 0x1.f26c0f5a224e6p-17, 0x1.eff5f0560d4ep-17, 0x1.ed80d62ce685dp-17, 0x1.eb0cc8a2f7d58p-17, 0x1.e899cf56984ebp-17, 0x1.e627f1c096da5p-17, 0x1.e3b73734e4469p-17, 0x1.e147a6e30ae4ep-17, 0x1.ded947d64427ap-17, 0x1.dc6c20f673651p-17, 0x1.da00390851131p-17, 0x1.d79596add9bf7p-17, 0x1.d52c406699005p-17, 0x1.d2c43c905211ap-17, 0x1.d05d916767987p-17, 0x1.cdf8450728045p-17, 0x1.cb945d6a3b16ap-17, 0x1.c931e06b23969p-17, 0x1.c6d0d3c4d3c16p-17, 0x1.c4713d129bff4p-17, 0x1.c21321d0d9447p-17, 0x1.bfb6875d685bfp-17, 0x1.bd5b72f8136eap-17, 0x1.bb01e9c2a1dd8p-17, 0x1.b8a9f0c17dfd5p-17, }}, 
      {{0x1.fda5dc9248165p-1, 0x1.fcf795b7a09ecp-1, 0x1.fc04841346df2p-1, 0x1.facd8c9030ef6p-1, 0x1.f953cd88b4d51p-1, 0x1.f79899eeb792p-1, 0x1.f59d7426d2b2dp-1, 0x1.f36408c4190d9p-1, 0x1.f0ee2947f4e04p-1, 0x1.ee3dc7010c5dap-1, 0x1.eb54ee1cfe3fp-1, 0x1.e835c0faea72dp-1, 0x1.e4e273c80c4fbp-1, 0x1.e15d486be502fp-1, 0x1.dda88ac6890eep-1, 0x1.d9c68d415e07bp-1, 0x1.d5b9a5b0e9289p-1, 0x1.d1842a850cbf6p-1, 0x1.cd28704437a3p-1, 0x1.c8a8c74d74cd2p-1, 0x1.c40779dcee286p-1, 0x1.bf46ca4e4f98p-1, 0x1.ba68f19865362p-1, 0x1.b5701dfd6a98ap-1, 0x1.b05e71eb99c84p-1, 0x1.ab360309c0a6ap-1, 0x1.a5f8d96bd5dc4p-1, 0x1.a0a8eeebc8285p-1, 0x1.9b482ea2fe122p-1, 0x1.95d8748142943p-1, 0x1.905b8cfe1289dp-1, 0x1.8ad334e18620fp-1, 0x1.85411922430b5p-1, 0x1.7fa6d6d6206b6p-1, 0x1.7a05fb335d555p-1, 0x1.746003a072bf8p-1, 0x1.6eb65dd0c012p-1, 0x1.690a67ec77fdbp-1, 0x1.635d70c25754fp-1, 0x1.5db0b801d92ffp-1, 0x1.58056e7cb9ffp-1, 0x1.525cb66eb2ec7p-1, 0x1.4cb7a3ca7e4e3p-1, 0x1.47173c8b44686p-1, 0x1.417c7909aa98ap-1, 0x1.3be84453d2598p-1, 0x1.365b7c87abfd5p-1, 0x1.30d6f32f09921p-1, 0x1.2b5b6d9cf7aabp-1, 0x1.25e9a54be90bp-1, 0x1.2082483c4e4c9p-1, 0x1.1b25f953457bdp-1, 0x1.15d550b90d03ap-1, 0x1.1090dc36f70dfp-1, 0x1.0b591f94a0dfdp-1, 0x1.062e94f434cccp-1, 0x1.0111ad2d8ac5ap-1, 0x1.f805a04ffbe6ap-2, 0x1.ee04ba65a3f77p-2, 0x1.e42156b818766p-2, 0x1.da5c138b4a7b1p-2, 0x1.d0b57ff1f963p-2, 0x1.c72e1c70fcee4p-2, 0x1.bdc65b9ed106ep-2, 0x1.b47ea2bf4b726p-2, 0x1.ab574a5b6ceb1p-2, 0x1.a2509ed537a23p-2, 0x1.996ae0f788888p-2, 0x1.90a64681e8ceep-2, 0x1.8802fab056bcfp-2, 0x1.7f811ebf07a1dp-2, 0x1.7720ca6a226c3p-2, 0x1.6ee20c697d096p-2, 0x1.66c4eae861605p-2, 0x1.5ec963f962b54p-2, 0x1.56ef6e06542bep-2, 0x1.4f36f83c67013p-2, 0x1.479feaf48447bp-2, 0x1.402a2817ee058p-2, 0x1.38d58b8138db4p-2, 0x1.31a1eb59b3c1cp-2, 0x1.2a8f1873486b1p-2, 0x1.239cde9eee3abp-2, 0x1.1ccb04ffbfaa8p-2, 0x1.16194e5ac818dp-2, 0x1.0f87796398f44p-2, 0x1.09154105c3bd4p-2, 0x1.02c25cab444cp-2, 0x1.f91d00ffed3edp-3, 0x1.ecf2bb6451d85p-3, 0x1.e1054560c436fp-3, 0x1.d553f6c8dca35p-3, 0x1.c9de22d790b62p-3, 0x1.bea3189aeb18ap-3, 0x1.b3a2235ac9987p-3, 0x1.a8da8afacd899p-3, 0x1.9e4b9457b09a7p-3, 0x1.93f481a00dee9p-3, 0x1.89d492a8e1789p-3, 0x1.7feb053dce4a2p-3, 0x1.7637156d6262fp-3, 0x1.6cb7fdd168b4dp-3, 0x1.636cf7d387d12p-3, 0x1.5a553bee37cd9p-3, 0x1.517001ea3ee01p-3, 0x1.48bc8118d61ep-3, 0x1.4039f08a96ecp-3, 0x1.37e7874349bd1p-3, 0x1.2fc47c6ac05bfp-3, 0x1.27d0077ad53f8p-3, 0x1.2009606aadd2ap-3, 0x1.186fbfd75af43p-3, 0x1.11025f29f597ap-3, 0x1.09c078bb556dap-3, 0x1.02a947f57873dp-3, 0x1.f77812e5610fbp-4, 0x1.e9eff63579a1dp-4, 0x1.dcb8b87bb157bp-4, 0x1.cfd0db5bc14cep-4, 0x1.c336e3ab41c61p-4, 0x1.b6e9599cc240cp-4, 0x1.aae6c8e788c5p-4, 0x1.9f2dc0ec2637bp-4, 0x1.93bcd4d5f8a7bp-4, 0x1.88929bb9d387cp-4, 0x1.7dadb0b1dee58p-4, 0x1.730cb2f6de2b5p-4, 0x1.68ae45f6f9b23p-4, 0x1.5e91116a2b817p-4, 0x1.54b3c1646e063p-4, 0x1.4b150665cc3fep-4, 0x1.41b395686e1eep-4, 0x1.388e27ecbaf25p-4, 0x1.2fa37c03ae374p-4, 0x1.26f2545778ffcp-4, 0x1.1e79783282c47p-4, 0x1.1637b384e5c77p-4, 0x1.0e2bd6e87a338p-4, 0x1.0654b7a387057p-4, 0x1.fd625f54528f3p-5, 0x1.ee803b3d14272p-5, 0x1.e000c99fdf576p-5, 0x1.d1e1da7184f23p-5, 0x1.c42146f71a4b4p-5, 0x1.b6bcf1be2686p-5, 0x1.a9b2c693067e1p-5, 0x1.9d00ba75b1291p-5, 0x1.90a4cb8cf6205p-5, 0x1.849d01184c236p-5, 0x1.78e76b604d216p-5, 0x1.6d8223a5f8101p-5, 0x1.626b4c10cbea2p-5, 0x1.57a10f9bd4d13p-5, 0x1.4d21a201be517p-5, 0x1.42eb3fa7ffe4dp-5, 0x1.38fc2d893498ep-5, 0x1.2f52b91eb1305p-5, 0x1.25ed384968f0dp-5, 0x1.1cca093a314bdp-5, 0x1.13e7925971c0dp-5, 0x1.0b44422e5461ep-5, 0x1.02de8f457b32ap-5, 0x1.f569f02ea2828p-6, 0x1.e58c05dbf491fp-6, 0x1.d6207b95ed5ebp-6, 0x1.c7247c98f59bep-6, 0x1.b895432524523p-6, 0x1.aa7018481132p-6, 0x1.9cb253a6640bfp-6, 0x1.8f595b4519b1ap-6, 0x1.8262a3529dea8p-6, 0x1.75cbadefc88dcp-6, 0x1.69920af8c093bp-6, 0x1.5db357cde4c7fp-6, 0x1.522d3f1cbad1p-6, 0x1.46fd78a8f137cp-6, 0x1.3c21c915849dep-6, 0x1.319801ae13662p-6, 0x1.275e003061ea8p-6, 0x1.1d71ae9622f42p-6, 0x1.13d102df03c11p-6, 0x1.0a79fedb0e983p-6, 0x1.016aaff55ce0ap-6, 0x1.f1425dfe5a4cdp-7, 0x1.e0373ff6c3efcp-7, 0x1.cfb063d4c9606p-7, 0x1.bfaa3d2cfb8a9p-7, 0x1.b02154c15076fp-7, 0x1.a112481ba726ep-7, 0x1.9279c9296ec42p-7, 0x1.84549dd8349fcp-7, 0x1.769f9fb356ecep-7, 0x1.6957bb82c5b2dp-7, 0x1.5c79f0eadea14p-7, 0x1.5003520d6d9fcp-7, 0x1.43f1032bd6e2cp-7, 0x1.38403a4a62eb9p-7, 0x1.2cee3ed4c43cbp-7, 0x1.21f86943c8d34p-7, 0x1.175c22c441d06p-7, 0x1.0d16e4df24d63p-7, 0x1.03263922e7194p-7, 0x1.f30f719c26d54p-8, 0x1.e07218f638fcep-8, 0x1.ce6fd79ade779p-8, 0x1.bd043a3f88c4dp-8, 0x1.ac2aea67553fbp-8, 0x1.9bdfadc4b3f09p-8, 0x1.8c1e659d7cb5fp-8, 0x1.7ce30e3186c08p-8, 0x1.6e29be23b9f14p-8, 0x1.5feea5e59dc1fp-8, 0x1.522e0f25575ccp-8, 0x1.44e45c3e238e9p-8, 0x1.380e07ab3deffp-8, 0x1.2ba7a37d3815fp-8, 0x1.1fadd8d1b4203p-8, 0x1.141d674d92f71p-8, 0x1.08f32499730b5p-8, 0x1.fc57f7c12d572p-9, 0x1.e789daa43a374p-9, 0x1.d3761b4925dcap-9, 0x1.c0170b37917cfp-9, 0x1.ad672321eea12p-9, 0x1.9b6101fa41932p-9, 0x1.89ff6c0b63976p-9, 0x1.793d4a16a9ec4p-9, 0x1.6915a875e49d6p-9, 0x1.5983b641cf0f4p-9, 0x1.4a82c47c8fbfdp-9, 0x1.3c0e4540a41ecp-9, 0x1.2e21caf3db09ep-9, 0x1.20b9077e6ae15p-9, 0x1.13cfcb862a83cp-9, 0x1.076205adad96ap-9, 0x1.f6d783aeda651p-10, 0x1.dfd250d9a334dp-10, 0x1.c9acfb5207524p-10, 0x1.b46041cf3471ep-10, 0x1.9fe517ede8777p-10, 0x1.8c34a4dc8fea1p-10, 0x1.7948420e98a25p-10, 0x1.671979f6ec4fp-10, 0x1.55a206c952a36p-10, 0x1.44dbd142f25abp-10, 0x1.34c0ef795eb29p-10, 0x1.254ba3b073c9dp-10, 0x1.16765b36c998fp-10, 0x1.083bad488e396p-10, 0x1.f52cb3f18bd25p-11, 0x1.db02924147c82p-11, 0x1.c1ef12aa9de0ep-11, 0x1.a9e89dc6d0596p-11, 0x1.92e5e5a13ea77p-11, 0x1.7cdde3c60c6f6p-11, 0x1.67c7d75c666dbp-11, 0x1.539b434bb77d7p-11, 0x1.404fec6c2e1c1p-11, 0x1.2dddd7c1bf33p-11, 0x1.1c3d48c20686cp-11, 0x1.0b66bfa45bb02p-11, 0x1.f6a5ef7856c4bp-12, 0x1.d7f5cbbad310ap-12, 0x1.baaf6d9564541p-12, 0x1.9ec59b59d7ae6p-12, 0x1.842b85298911ep-12, 0x1.6ad4c20a0ab25p-12, 0x1.52b54d0bfd2c5p-12, 0x1.3bc18283fd6p-12, 0x1.25ee1d54c7443p-12, 0x1.1130344a91bfbp-12, 0x1.fafa6f0d41279p-13, 0x1.d595dbf74a084p-13, 0x1.b21ee5f3b2529p-13, 0x1.90826795d1b26p-13, 0x1.70addaba5b4a3p-13, 0x1.528f53fbb1322p-13, 0x1.36157e437d0d2p-13, 0x1.1b2f9678f9fd9p-13, 0x1.01cd674bee2b4p-13, 0x1.d3be8a35c6ed7p-14, 0x1.a6ac13e79026bp-14, 0x1.7c46235dcb7bp-14, 0x1.54706c48806d4p-14, 0x1.2f0f96f45f133p-14, 0x1.0c093916d0f28p-14, 0x1.d6879d9853c3ep-15, 0x1.994d678727819p-15, 0x1.60343933a00c1p-15, 0x1.2b0e20c27e1c6p-15, 0x1.f35d895194e4dp-16, 0x1.97d6aecdb92a2p-16, 0x1.43351732403a8p-16, 0x1.ea52215e92e8p-17, 0x1.5acb77a80ef76p-17, 0x1.ae83d630f93e2p-18, 0x1.7c9a0d880e2c3p-19, -0x1.c2127237de14cp-22, -0x1.c3a0c8c4c4239p-19, -0x1.93c0b94406079p-18, -0x1.1974691e7a3bp-17, -0x1.601b2548ee1d3p-17, -0x1.9e46fa6b06f7ep-17, -0x1.d46610bc52149p-17, -0x1.017138d3c6943p-16, -0x1.1511148adcf0ap-16, -0x1.2543b2f2c9316p-16, -0x1.32384cafdfa3cp-16, -0x1.3c1c4aeccff36p-16, -0x1.431b5637ee437p-16, -0x1.475f64f1ba56dp-16, -0x1.4910c95c69714p-16, -0x1.48563f3f5962ap-16, -0x1.4554f927c229ap-16, -0x1.4030ad48a5cabp-16, -0x1.390ba1f99ba23p-16, -0x1.3006b9d48d891p-16, -0x1.25417f8864a78p-16, -0x1.18da31490a7dcp-16, -0x1.0aedcbeb4dacbp-16, -0x1.f7302b6392715p-17, -0x1.d5e7517dd801dp-17, -0x1.b233fa7ee93b9p-17, -0x1.8c46e69cc457bp-17, -0x1.644eb9012ceb9p-17, -0x1.3a780a659ae87p-17, -0x1.0eed7b16eb86p-17, -0x1.c3af88c772913p-18, -0x1.66bb932e388ebp-18, -0x1.074950e78781bp-18, -0x1.4b3f246dca151p-19, -0x1.08076c670c7afp-20, 0x1.1a7bf5cfc4395p-21, 0x1.142e6dbdc105ep-19, 0x1.e435fc0b80e19p-19, 0x1.5b235e9104301p-18, 0x1.c4fba23664747p-18, 0x1.17b8dc2223624p-17, 0x1.4d2b0e66b561ep-17, 0x1.82bde04fb09e1p-17, 0x1.b85bf8fa9991p-17, 0x1.edf122e447927p-17, 0x1.11b5207efa5f9p-16, 0x1.2c5aa209fa9b1p-16, 0x1.46e090450cf66p-16, 0x1.613ee23867799p-16, 0x1.7b6e06f7af923p-16, 0x1.9566e0f4f9f37p-16, 0x1.af22c182293bp-16, 0x1.c89b6475cea67p-16, 0x1.e1caebf34d708p-16, 0x1.faabdc571ec5bp-16, 0x1.099c8c23e5bcep-15, 0x1.15b6ee72f3ccfp-15, 0x1.21a2df0b7c124p-15, 0x1.2d5e517b5f116p-15, 0x1.38e761329c2c1p-15, 0x1.443c4fd81e615p-15, 0x1.4f5b83ada5d26p-15, 0x1.5a43860320331p-15, 0x1.64f301b4ab20ep-15, 0x1.6f68c1b56d065p-15, 0x1.79a3afa9e026ep-15, 0x1.83a2d28c8decfp-15, 0x1.8d654d5f085cap-15, 0x1.96ea5de72f006p-15, 0x1.a0315b7811a6bp-15, 0x1.a939b5c3d1014p-15, 0x1.b202f3b87d799p-15, 0x1.ba8cb2686bd89p-15, 0x1.c2d6a3fbcfde9p-15, 0x1.cae08eabafe35p-15, 0x1.d2aa4bc70bd42p-15, 0x1.da33c6c135f5p-15, 0x1.e17cfc47acafdp-15, 0x1.e885f96065093p-15, 0x1.ef4eda90e987cp-15, 0x1.f5d7cb0ec1ed1p-15, 0x1.fc2103f4f8948p-15, 0x1.011565c18063ap-14, 0x1.03faba31c82a8p-14, 0x1.06c0ae7c186dap-14, 0x1.09677756558cep-14, 0x1.0bef4ea845572p-14, 0x1.0e58733c429d6p-14, 0x1.10a3287239e12p-14, 0x1.12cfb5f5e5045p-14, 0x1.14de677856ba9p-14, 0x1.16cf8c6bcdd41p-14, 0x1.18a377c267843p-14, 0x1.1a5a7faf1c639p-14, 0x1.1bf4fd69688cdp-14, 0x1.1d734cf41f46p-14, 0x1.1ed5cce59d393p-14, 0x1.201cde3298a22p-14, 0x1.2148e3fbfa153p-14, 0x1.225a435d6884ap-14, 0x1.2351633f11659p-14, 0x1.242eac285798p-14, 0x1.24f28815564fp-14, 0x1.259d624e4b149p-14, 0x1.262fa74007e4ep-14, 0x1.26a9c456b0328p-14, 0x1.270c27da8eec8p-14, 0x1.275740cd6b295p-14, 0x1.278b7eca79829p-14, 0x1.27a951e6a4184p-14, 0x1.27b12a9386ddcp-14, 0x1.27a3798355313p-14, 0x1.2780af8dc392ep-14, 0x1.27493d969c201p-14, 0x1.26fd9475fe88ap-14, 0x1.269e24e0c9a2p-14, 0x1.262b5f5355786p-14, 0x1.25a5b3fbe5db7p-14, 0x1.250d92a78e8f2p-14, 0x1.24636aafb5d4fp-14, 0x1.23a7aae83e21dp-14, 0x1.22dac18ee6efdp-14, 0x1.21fd1c3c10cdfp-14, 0x1.210f27d37840cp-14, 0x1.20115076b7511p-14, 0x1.1f040177dee27p-14, 0x1.1de7a54d10064p-14, 0x1.1cbca585366f2p-14, 0x1.1b836abd5e5c7p-14, 0x1.1a3c5c96487d6p-14, 0x1.18e7e1ab4d137p-14, 0x1.17865f89c5787p-14, 0x1.16183aa8a5ebbp-14, 0x1.149dd6613a7bdp-14, 0x1.131794e7fd294p-14, 0x1.1185d74629b9bp-14, 0x1.0fe8fd544b0b4p-14, 0x1.0e4165b4a5471p-14, 0x1.0c8f6dce50fa7p-14, 0x1.0ad371c92f14bp-14, 0x1.090dcc89c4094p-14, 0x1.073ed7addc57ep-14, 0x1.0566eb89674e6p-14, 0x1.03865f23a8425p-14, 0x1.019d8834e8f47p-14, 0x1.ff597649a303ep-15, 0x1.fb68961114374p-15, 0x1.f7691342d95b3p-15, 0x1.f35b8eb8b14e3p-15, 0x1.ef40a6a184411p-15, 0x1.eb18f680dd53ap-15, 0x1.e6e5172ec3ab3p-15, 0x1.e2a59ed7776fap-15, 0x1.de5b20fc78714p-15, 0x1.da062e75ea2p-15, 0x1.d5a7557446698p-15, 0x1.d13f21820be7fp-15, 0x1.ccce1b86a132p-15, 0x1.c854c9c932c2bp-15, 0x1.c3d3aff36601bp-15, 0x1.bf4b4f15a7062p-15, 0x1.babc25aa4cc01p-15, 0x1.b626af99e9412p-15, 0x1.b18b663fae8dfp-15, 0x1.aceac06e82e5ap-15, 0x1.a84532758d91cp-15, 0x1.a39b2e255a4f2p-15, 0x1.9eed22d5bcc02p-15, 0x1.9a3b7d6aead4p-15, 0x1.9586a85b3f6f5p-15, 0x1.90cf0bb5b927p-15, 0x1.8c150d2760506p-15, 0x1.87591001e79a3p-15, 0x1.829b7541f4bcp-15, 0x1.7ddc9b960a322p-15, 0x1.791cdf64b48b8p-15, 0x1.745c9ad375f2fp-15, 0x1.6f9c25cdf4bbfp-15, 0x1.6adbd60c929cbp-15, 0x1.661bff1b69df7p-15, 0x1.615cf261c344dp-15, 0x1.5c9eff28e3a5fp-15, 0x1.57e272a35e2c4p-15, 0x1.532797f4444fp-15, 0x1.4e6eb836c0763p-15, 0x1.49b81a8527581p-15, 0x1.4504040056713p-15, 0x1.4052b7d757a8dp-15, 0x1.3ba4774e87945p-15, 0x1.36f981c6fa0efp-15, 0x1.325214c614804p-15, 0x1.2dae6bfce0cc8p-15, 0x1.290ec14f487d9p-15, 0x1.24734cdb98b2bp-15, 0x1.1fdc4501e6004p-15, 0x1.1b49de6b8199ap-15, 0x1.16bc4c120aafap-15, 0x1.1233bf46fe9fep-15, 0x1.0db067badf94dp-15, 0x1.093273845619bp-15, 0x1.04ba0f2789726p-15, 0x1.0047659d3bc85p-15, 0x1.f7b540b3c913bp-16, 0x1.eee7cea93e636p-16, 0x1.e626c21c92819p-16, 0x1.dd726530f6387p-16, 0x1.d4caff38f4251p-16, 0x1.cc30d4c3ef287p-16, 0x1.c3a427abdd5fdp-16, 0x1.bb253722a3467p-16, 0x1.b2b43fbf4db23p-16, 0x1.aa517b8b93decp-16, 0x1.a1fd2210a048fp-16, 0x1.99b7686432e39p-16, 0x1.9180813536c94p-16, 0x1.89589cd8849bcp-16, 0x1.813fe9558a394p-16, 0x1.793692729f945p-16, 0x1.713cc1c12b444p-16, 0x1.69529ea9f30a9p-16, 0x1.61784e78dc3a2p-16, 0x1.59adf468ad8ffp-16, 0x1.51f3b1af0152bp-16, 0x1.4a49a58777c69p-16, 0x1.42afed3f566f1p-16, 0x1.3b26a44078efep-16, 0x1.33ade41c99d74p-16, 0x1.2c45c49801338p-16, 0x1.24ee5bb4a955cp-16, 0x1.1da7bdbc5ebb6p-16, 0x1.1671fd4ba5678p-16, 0x1.0f4d2b5bc9aa6p-16, 0x1.0839574cfde1ap-16, 0x1.01368ef05cd62p-16, 0x1.f489bd23edd36p-17, 0x1.e6c8a2049888dp-17, 0x1.d929df3fe47e1p-17, 0x1.cbad84c1b1ecep-17, 0x1.be539fb783beap-17, 0x1.b11c3aa23f7fep-17, 0x1.a4075d6883353p-17, 0x1.97150d6807a24p-17, 0x1.8a454d86ecf29p-17, 0x1.7d981e450a447p-17, 0x1.710d7dcc2cd2cp-17, 0x1.64a56800efe26p-17, 0x1.585fd692e9301p-17, 0x1.4c3cc10c5bbc1p-17, 0x1.403c1ce1f487cp-17, 0x1.345ddd823655p-17, 0x1.28a1f4645975bp-17, 0x1.1d08511730a6fp-17, 0x1.1190e14fcced2p-17, 0x1.063b90f79d925p-17, 0x1.f610947503c0cp-18, 0x1.dfedeb28effc2p-18, 0x1.ca0ef3be811d1p-18, 0x1.b47378be6875ep-18, 0x1.9f1b41a16f3c9p-18, 0x1.8a0612e95be44p-18, 0x1.7533ae39d1fcdp-18, 0x1.60a3d2712ee7p-18, 0x1.4c563bc0489bdp-18, 0x1.384aa3c1eb99ap-18, 0x1.2480c191ed98cp-18, 0x1.10f849e3bb165p-18, 0x1.fb61de3159e93p-19, 0x1.d554c2aa29517p-19, 0x1.afc89d2cbdad2p-19, 0x1.8abcc58e13db7p-19, 0x1.66308fa6def14p-19, 0x1.42234b7a8db5fp-19, 0x1.1e94455f89257p-19, 0x1.f7058c4758703p-20, 0x1.b1dc26661889fp-20, 0x1.6daadd77d8681p-20, 0x1.2a702fa50d85p-20, 0x1.d0552a4dbe807p-21, 0x1.4db1011a17f61p-21, 0x1.99e17bff9d425p-22, 0x1.3844c4093cb54p-23, -0x1.7786fd2db4f7p-24, -0x1.54316e20b63a4p-22, -0x1.2369a12a2b757p-21, -0x1.9ae6f2423a516p-21, -0x1.084a0347d0413p-20, -0x1.423a20e28af76p-20, -0x1.7b45874fc41edp-20, -0x1.b36def3c53763p-20, -0x1.eab514702161fp-20, -0x1.108e5acca1906p-19, -0x1.2b534a0e79fe8p-19, -0x1.45aa39f0fd09bp-19, -0x1.5f940d92426c3p-19, -0x1.7911a9229614p-19, -0x1.9223f1ceb0084p-19, -0x1.aacbcda889c7fp-19, -0x1.c30a2392c7222p-19, -0x1.dadfdb2be4d48p-19, -0x1.f24ddcb845c81p-19, -0x1.04aa888815629p-18, -0x1.0ffb30c584228p-18, -0x1.1b195bf630665p-18, -0x1.26057f2902eb2p-18, -0x1.30c00f912d84cp-18, -0x1.3b49827db9f7p-18, -0x1.45a24d5060572p-18, -0x1.4fcae575df146p-18, -0x1.59c3c05d99621p-18, -0x1.638d537212fd3p-18, -0x1.6d28141130dccp-18, -0x1.76947785071ccp-18, -0x1.7fd2f2fd4c12p-18, -0x1.88e3fb8745ad3p-18, -0x1.91c8060829c4fp-18, -0x1.9a7f873629afep-18, -0x1.a30af391ee474p-18, -0x1.ab6abf608938ep-18, -0x1.b39f5ea5d5519p-18, -0x1.bba9451f2372p-18, -0x1.c388e63ce58d5p-18, -0x1.cb3eb51da1a84p-18, -0x1.d2cb2488c0d1dp-18, -0x1.da2ea6e953711p-18, -0x1.e169ae497b98bp-18, -0x1.e87cac4d527adp-18, -0x1.ef68122f31897p-18, -0x1.f62c50bad8c47p-18, -0x1.fcc9d848a0d83p-18, -0x1.01a08c5d4ae5p-17, -0x1.04c940bbe0a64p-17, -0x1.07df40b422e1ap-17, -0x1.0ae2c378eeee5p-17, -0x1.0dd3fffa418aep-17, -0x1.10b32ce3d4575p-17, -0x1.1380809b04b71p-17, -0x1.163c313d7553fp-17, -0x1.18e6749f7fed8p-17, -0x1.1b7f804ac7df1p-17, -0x1.1e07897cf2681p-17, -0x1.207ec52623254p-17, -0x1.22e567e8124fdp-17, -0x1.253ba614c3258p-17, -0x1.2781b3acf9c14p-17, -0x1.29b7c45fa1e97p-17, -0x1.2bde0b88a2012p-17, -0x1.2df4bc2fa4e59p-17, -0x1.2ffc0907412e1p-17, -0x1.31f4246c0b185p-17, -0x1.33dd4064394e9p-17, -0x1.35b78e9e5e0d3p-17, -0x1.37834070b5bafp-17, -0x1.394086d87e706p-17, -0x1.3aef927936ff9p-17, -0x1.3c90939c17a0ep-17, -0x1.3e23ba2f6ccb5p-17, -0x1.3fa935c60f4ddp-17, -0x1.412135973296fp-17, -0x1.428be87d8733dp-17, -0x1.43e97cf6adb92p-17, -0x1.453a21236677p-17, -0x1.467e02c6c6fdcp-17, -0x1.47b54f45e055p-17, -0x1.48e033a78b88ep-17, -0x1.49fedc93fd93fp-17, -0x1.4b1176553ffedp-17, -0x1.4c182cd643a9cp-17, -0x1.4d132ba2e3d33p-17, -0x1.4e029de7cebf2p-17, -0x1.4ee6ae7250ae5p-17, -0x1.4fbf87b050fc6p-17, -0x1.508d53b03ac7p-17, -0x1.51503c20eea99p-17, -0x1.52086a5219105p-17, -0x1.52b60733c41dbp-17, -0x1.53593b5664a2cp-17, -0x1.53f22eeb1f4c4p-17, -0x1.548109c4080b7p-17, -0x1.5505f353b771p-17, -0x1.558112adbdf81p-17, -0x1.55f28e86942b9p-17, -0x1.565a8d3410d34p-17, -0x1.56b934adc6a02p-17, -0x1.570eaa8ca7f0dp-17, -0x1.575b140b940d3p-17, -0x1.579e96075b791p-17, -0x1.57d954ff305d4p-17, -0x1.580b7514d0528p-17, -0x1.58351a0ce20e6p-17, -0x1.5856674f34cc7p-17, -0x1.586f7fe75d642p-17, -0x1.588086849693fp-17, -0x1.58899d7a201f8p-17, -0x1.588ae6bfe8dddp-17, -0x1.588483f2f39a6p-17, -0x1.5876965545ca6p-17, -0x1.58613ece8eb8fp-17, -0x1.58449dec8c688p-17, -0x1.5820d3e3637cp-17, -0x1.57f6008e9153dp-17, -0x1.57c44370ab33cp-17, -0x1.578bbbb408516p-17, -0x1.574c882b466ap-17, -0x1.5706c7519a77p-17, -0x1.56ba974b6ae1fp-17, -0x1.566815e6cb74cp-17, -0x1.560f609bce0e7p-17, -0x1.55b0948d74bfep-17, -0x1.554bce89cbbcap-17, -0x1.54e12b0a56e24p-17, -0x1.5470c634a4b74p-17, -0x1.53fabbdb4ef1fp-17, -0x1.537f277df9073p-17, -0x1.52fe2449d7a25p-17, -0x1.5277cd1a663b2p-17, -0x1.51ec3c79ced8fp-17, -0x1.515b8ca1bdec3p-17, -0x1.50c5d77bef8a1p-17, -0x1.502b36a267a0bp-17, -0x1.4f8bc3601d76cp-17, -0x1.4ee796b19424bp-17, -0x1.4e3ec94565f07p-17, -0x1.4d91737cddc97p-17, -0x1.4cdfad6c898f2p-17, -0x1.4c298edcb6defp-17, -0x1.4b6f2f4a55c5bp-17, -0x1.4ab0a5e741181p-17, -0x1.49ee099accd58p-17, -0x1.492771023263p-17, -0x1.485cf271d6f72p-17, -0x1.478ea3f548247p-17, -0x1.46bc9b4fe3e33p-17, -0x1.45e6edfd69fbp-17, -0x1.450db132b6eddp-17, -0x1.4430f9de32371p-17, -0x1.4350dca8de192p-17, -0x1.426d6df668e87p-17, -0x1.4186c1e5da455p-17, -0x1.409cec52317e4p-17, -0x1.3fb000d30921ap-17, -0x1.3ec012bd23caep-17, -0x1.3dcd352310b6dp-17, -0x1.3cd77ad5a4f71p-17, -0x1.3bdef664c3c3fp-17, -0x1.3ae3ba1fe439bp-17, -0x1.39e5d81696383p-17, -0x1.38e56218fd515p-17, -0x1.37e269b85e97cp-17, -0x1.36dd004848ec6p-17, -0x1.35d536de8da49p-17, -0x1.34cb1e53f1398p-17, -0x1.33bec744c780cp-17, -0x1.32b0421197886p-17, -0x1.319f9edf8cb8p-17, -0x1.308ced9987ea3p-17, -0x1.2f783df01af4ap-17, -0x1.2e619f5a4b11bp-17, -0x1.2d492116152c3p-17, -0x1.2c2ed22916ebfp-17, -0x1.2b12c161116bcp-17, -0x1.29f4fd548348fp-17, -0x1.28d594631f88p-17, -0x1.27b494b67bf64p-17, -0x1.26920c42aa116p-17, -0x1.256e08c697bb5p-17, -0x1.244897ccb17fep-17, -0x1.2321c6ab3eac4p-17, -0x1.21f9a2852a341p-17, -0x1.20d0384abb4e3p-17, -0x1.1fa594b9a573cp-17, -0x1.1e79c45dc26ddp-17, -0x1.1d4cd391a3501p-17, -0x1.1c1ece7f06ca8p-17, -0x1.1aefc11f74ce4p-17, -0x1.19bfb73d05938p-17, -0x1.188ebc725c69ap-17, -0x1.175cdc2b7c23bp-17, -0x1.162a21a628f39p-17, -0x1.14f697f289ad7p-17, -0x1.13c249f394969p-17, -0x1.128d425fa0f3bp-17, -0x1.11578bc0cca2fp-17, -0x1.10213075a0bp-17, -0x1.0eea3ab183534p-17, -0x1.0db2b47d26c47p-17, -0x1.0c7aa7b70d3d7p-17, -0x1.0b421e13eeb8ep-17, -0x1.0a09211f30fe7p-17, -0x1.08cfba3bce5d6p-17, -0x1.0795f2a44e77ep-17, -0x1.065bd36b584p-17, -0x1.0521657c3f7d5p-17, -0x1.03e6b19b71e5p-17, -0x1.02abc066d0741p-17, -0x1.01709a56944a1p-17, -0x1.003547bd57739p-17, -0x1.fdf3a191191p-18, -0x1.fb7c7b021128bp-18, -0x1.f9052b96d7c1fp-18, -0x1.f68dc2d134d9p-18, -0x1.f4164fec52e5cp-18, -0x1.f19ee1dd8d841p-18, -0x1.ef2787553ef5ap-18, -0x1.ecb04ebfe94cbp-18, -0x1.ea394646b9daap-18, -0x1.e7c27bd07f0c7p-18, -0x1.e54bfd0266a5fp-18, -0x1.e2d5d740d1e55p-18, -0x1.e06017aff4534p-18, -0x1.ddeacb355e59dp-18, -0x1.db75fe78177ecp-18, -0x1.d901bde171a95p-18, -0x1.d68e159e07ee3p-18, -0x1.d41b119e6853fp-18, -0x1.d1a8bd97b7401p-18, -0x1.cf37250500682p-18, -0x1.ccc65327a12d1p-18, -0x1.ca565307c51f4p-18, -0x1.c7e72f755fe3dp-18, -0x1.c578f308e2ca3p-18, -0x1.c30ba823fd0c8p-18, -0x1.c09f58f24b575p-18, -0x1.be340f6a22207p-18, -0x1.bbc9d54d14d4ep-18, -0x1.b960b428e3a31p-18, -0x1.b6f8b5581c065p-18, -0x1.b491e202b7978p-18, -0x1.b22c431ec5878p-18, -0x1.afc7e17121a63p-18, -0x1.ad64c58e24347p-18, -0x1.ab02f7da04774p-18, -0x1.a8a2808a2b19ap-18, -0x1.a64367a5432e1p-18, -0x1.a3e5b503f869ep-18, -0x1.a1897051aa23p-18, -0x1.9f2ea10d04a6cp-18, -0x1.9cd54e888663p-18, -0x1.9a7d7feb74521p-18, -0x1.98273c324b8a6p-18, -0x1.95d28a2f29df5p-18, -0x1.937f708a87cap-18, -0x1.912df5c3c7155p-18, -0x1.8ede2031d9774p-18, -0x1.8c8ff603ca0d4p-18, -0x1.8a437d4156fc7p-18, -0x1.87f8bbcb61daap-18, -0x1.85afb75cb8007p-18, -0x1.8368758a6fec1p-18, -0x1.8122fbc493997p-18, -0x1.7edf4f5695d19p-18, -0x1.7c9d7567d01f8p-18, -0x1.7a5d72fc3c6fp-18, -0x1.781f4cf4b3e22p-18, -0x1.75e3080f91f4dp-18, -0x1.73a8a8e96ef8cp-18, -0x1.717033fd5e57ep-18, -0x1.6f39ada57981p-18, -0x1.6d051a1b5d93ap-18, -0x1.6ad27d78a5deep-18, -0x1.68a1dbb77ad83p-18, -0x1.667338b31180fp-18, -0x1.644698281f8ecp-18, -0x1.621bfdb5404ccp-18, -0x1.5ff36cdb6504cp-18, -0x1.5dcce8fe623a9p-18, -0x1.5ba8756551f59p-18, -0x1.5986153b16088p-18, -0x1.5765cb8ebf8aap-18, -0x1.55479b53edac1p-18, -0x1.532b87635d3f6p-18, -0x1.5111927b3fc57p-18, -0x1.4ef9bf3fbf6fdp-18, -0x1.4ce4103b4933fp-18, -0x1.4ad087def2d3fp-18, -0x1.48bf28830ab1fp-18, -0x1.46aff4675af8dp-18, -0x1.44a2edb38f10fp-18, -0x1.42981677ae1fep-18, -0x1.408f70ac7a6fbp-18, -0x1.3e88fe33c7e71p-18, -0x1.3c84c0d8ddbf3p-18, -0x1.3a82ba50d2bf8p-18, -0x1.3882ec3ae89c2p-18, -0x1.36855820fef7p-18, -0x1.3489ff77da476p-18, -0x1.3290e39f93f9p-18, -0x1.309a05e3da1f1p-18, -0x1.2ea5677c4a3eep-18, -0x1.2cb3098ce1b92p-18, -0x1.2ac2ed263929ep-18, -0x1.28d51345e949cp-18, -0x1.26e97cd6cd833p-18, -0x1.25002ab169fa9p-18, -0x1.23191d9c449ecp-18, -0x1.2134564c10aebp-18, -0x1.1f51d56429ccap-18, -0x1.1d719b76cb9ecp-18, -0x1.1b93a90558b7p-18, -0x1.19b7fe80b8d37p-18, -0x1.17de9c49a0593p-18, -0x1.160782b0cc922p-18, -0x1.1432b1f765f63p-18, -0x1.12602a4f39d0ap-18, -0x1.108febdb060e3p-18, -0x1.0ec1f6aebbd1cp-18, -0x1.0cf64acfca1b6p-18, -0x1.0b2ce8355a057p-18, -0x1.0965cec8a81eep-18, -0x1.07a0fe653b786p-18, -0x1.05de76d91a19ap-18, -0x1.041e37e522a51p-18, -0x1.0260413d38bb1p-18, -0x1.00a492889642p-18, -0x1.fdd656c3f95f1p-19, -0x1.fa6816aff6b9dp-19, -0x1.f6fe63da59433p-19, -0x1.f3993d30d2431p-19, -0x1.f038a18a18ccap-19, -0x1.ecdc8fa65e307p-19, -0x1.e985062fb77a5p-19, -0x1.e63203baaa19ap-19, -0x1.e2e386c6788c6p-19, -0x1.df998dbd991f9p-19, -0x1.dc5416f637a36p-19, -0x1.d91320b29e556p-19, -0x1.d5d6a92190621p-19, -0x1.d29eae5ec8232p-19, -0x1.cf6b2e73498edp-19, -0x1.cc3c2755c3104p-19, -0x1.c91196eb0bc6p-19, -0x1.c5eb7b067e037p-19, -0x1.c2c9d16a5c321p-19, -0x1.bfac97c81fcb2p-19, -0x1.bc93cbc10163p-19, -0x1.b97f6ae6206ffp-19, -0x1.b66f72b8f7bc1p-19, -0x1.b363e0abbda9dp-19, -0x1.b05cb221bcfafp-19, -0x1.ad59e46fa5844p-19, -0x1.aa5b74dbef54dp-19, -0x1.a761609f32e89p-19, -0x1.a46ba4e46ee89p-19, -0x1.a17a3ec954d6dp-19, -0x1.9e8d2b5eae82cp-19, -0x1.9ba467a8b63c8p-19, -0x1.98bff09f4ab64p-19, -0x1.95dfc32e4eb59p-19, -0x1.9303dc35f3708p-19, -0x1.902c388afad8bp-19, -0x1.8d58d4f7248e8p-19, -0x1.8a89ae395359dp-19, -0x1.87bec105d8adcp-19, -0x1.84f80a06c9664p-19, -0x1.823585dc61828p-19, -0x1.7f77311d20f75p-19, -0x1.7cbd0855f000ap-19, -0x1.7a07080a95e18p-19, -0x1.77552cb5ffcbcp-19, -0x1.74a772ca74c1cp-19, -0x1.71fdd6b1e771ap-19, -0x1.6f5854ce14c32p-19, -0x1.6cb6e978c6b5cp-19, -0x1.6a1991041ebep-19, -0x1.678047bac1953p-19, -0x1.64eb09e02c89ep-19, -0x1.6259d3b0e028fp-19, -0x1.5fcca162a1f47p-19, -0x1.5d436f24b8eb6p-19, -0x1.5abe39201428dp-19, -0x1.583cfb7781a7ap-19, -0x1.55bfb247f80bap-19, -0x1.534659a8c398dp-19, -0x1.50d0edabae8d2p-19, -0x1.4e5f6a5d3c80ep-19, -0x1.4bf1cbc4d8846p-19, -0x1.49880de515b08p-19, -0x1.47222cbbdb89bp-19, -0x1.44c024428f813p-19, -0x1.4261f06e36f85p-19, -0x1.40078d2fb0e57p-19, -0x1.3db0f67403a6bp-19, -0x1.3b5e282476f28p-19, -0x1.390f1e26aca1ep-19, -0x1.36c3d45cb4492p-19, -0x1.347c46a54d83ap-19, -0x1.323870dc442f2p-19, -0x1.2ff84eda6fd85p-19, -0x1.2dbbdc75e9eaep-19, -0x1.2b8315822835ep-19, -0x1.294df5d01648dp-19, -0x1.271c792e4ba3dp-19, -0x1.24ee9b6923edap-19, -0x1.22c4584af6de6p-19, -0x1.209dab9c440f1p-19, -0x1.1e7a9123d05fdp-19, -0x1.1c5b04a6bd07p-19, -0x1.1a3f01e8aec44p-19, -0x1.182684abf2c5p-19, -0x1.161188b19d321p-19, -0x1.140009b9b062bp-19, -0x1.11f20383347efp-19, -0x1.0fe771cc50dd1p-19, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.3d9c87ed8faa5p-6, 0x1.de824aa028ca5p-6, 0x1.40e4c57e7dc56p-5, 0x1.9406a3aed454fp-5, 0x1.e8e4388ecdaa4p-5, 0x1.1fd52c71a4f16p-4, 0x1.4c3ab0b43c89ap-4, 0x1.79a8fa1d558fbp-4, 0x1.a81f0d5e589eep-4, 0x1.d7955412437b7p-4, 0x1.03ff3028a1f1cp-3, 0x1.1ca3dbe69858dp-3, 0x1.35ad4f3175976p-3, 0x1.4f0e6d1e9b2b3p-3, 0x1.68b8b6b49f3f7p-3, 0x1.829ca111a77a5p-3, 0x1.9ca9e41d5f977p-3, 0x1.b6cfc161fc48p-3, 0x1.d0fd42f8e879p-3, 0x1.eb2172b3af6ccp-3, 0x1.0295c4ea025aap-2, 0x1.0f858ce14dc31p-2, 0x1.1c5817233d59ap-2, 0x1.2905b4e4183c1p-2, 0x1.35870e17ea732p-2, 0x1.41d52a75b8f63p-2, 0x1.4de978538b1c8p-2, 0x1.59bdd19c7ac27p-2, 0x1.654c7f1dce59cp-2, 0x1.70903a639fd5dp-2, 0x1.7b842e58ba401p-2, 0x1.8623f6d896d46p-2, 0x1.906b9f5db2b7ep-2, 0x1.9a57a0f1ef0c7p-2, 0x1.a3e4df8283ebcp-2, 0x1.ad10a6b50c566p-2, 0x1.b5d8a6579c926p-2, 0x1.be3aee8284878p-2, 0x1.c635eb7f57d26p-2, 0x1.cdc861863626dp-2, 0x1.d4f1685fcc094p-2, 0x1.dbb066f87cf0fp-2, 0x1.e2050eef2e8ccp-2, 0x1.e7ef58288aa5p-2, 0x1.ed6f7c6e173e4p-2, 0x1.f285f31f3f9d5p-2, 0x1.f7336cf94687ap-2, 0x1.fb78cffa2d0c3p-2, 0x1.ff573361c04fdp-2, 0x1.0167ede9a40f2p-1, 0x1.02f21bccdd04ap-1, 0x1.044aed87e7257p-1, 0x1.05733e966b938p-1, 0x1.066bfa1b782acp-1, 0x1.0736194d5ba3dp-1, 0x1.07d2a1f4422dcp-1, 0x1.0842a4fb71839p-1, 0x1.08873d14ea375p-1, 0x1.08a18d6f22fd5p-1, 0x1.0892c07c81d41p-1, 0x1.085c06cc2b76bp-1, 0x1.07fe95f3b33a7p-1, 0x1.077ba7893774bp-1, 0x1.06d4782d6445fp-1, 0x1.060a46a4da998p-1, 0x1.051e530077325p-1, 0x1.0411ddd3e94a5p-1, 0x1.02e6277a17af1p-1, 0x1.019c6f66c3391p-1, 0x1.0035f384e15bbp-1, 0x1.fd67df424965ep-2, 0x1.fa2f39c05b49fp-2, 0x1.f6c4627fbf2c2p-2, 0x1.f329be46ad0cp-2, 0x1.ef61a9d200cefp-2, 0x1.eb6e7914b38b4p-2, 0x1.e7527689b2c5fp-2, 0x1.e30fe2971eeap-2, 0x1.dea8f302111b4p-2, 0x1.da1fd2720342fp-2, 0x1.d576a003096bfp-2, 0x1.d0af6ee6039ddp-2, 0x1.cbcc460dfd044p-2, 0x1.c6cf1fe9fb46cp-2, 0x1.c1b9ea2a77b51p-2, 0x1.bc8e8591d42p-2, 0x1.b74ec5cf14d91p-2, 0x1.b1fc71623d1e7p-2, 0x1.ac994189a5f2bp-2, 0x1.a726e237b8f5dp-2, 0x1.a1a6f21078d5dp-2, 0x1.9c1b026e4401dp-2, 0x1.9684976d50516p-2, 0x1.90e527fd5ace9p-2, 0x1.8b3e1df908927p-2, 0x1.8590d6428f26dp-2, 0x1.7fdea0e525524p-2, 0x1.7a28c13adcdfp-2, 0x1.74706e1678ba2p-2, 0x1.6eb6d1f0dc774p-2, 0x1.68fd0b19c3dadp-2, 0x1.63442beb5f06p-2, 0x1.5d8d3b008b237p-2, 0x1.57d9336d52423p-2, 0x1.522904f97147dp-2, 0x1.4c7d945c9772dp-2, 0x1.46d7bb7c24eebp-2, 0x1.413849aa28443p-2, 0x1.3ba003e563ab4p-2, 0x1.360fa51a21122p-2, 0x1.3087de63abf38p-2, 0x1.2b09574e375cdp-2, 0x1.2594ae190d68p-2, 0x1.202a77f8dd0dcp-2, 0x1.1acb415a01cedp-2, 0x1.15778e229f635p-2, 0x1.102fd9f47a8fdp-2, 0x1.0af4986e65c91p-2, 0x1.05c6356d32b35p-2, 0x1.00a5154c07efcp-2, 0x1.f7232a480fc05p-3, 0x1.ed1816166aeaep-3, 0x1.e3298ca504bdfp-3, 0x1.d9581f85eca7ap-3, 0x1.cfa453b3c80dfp-3, 0x1.c60ea20831ba1p-3, 0x1.bc9777b004392p-3, 0x1.b33f369d730bcp-3, 0x1.aa0635f7e1ee5p-3, 0x1.a0ecc2896fac2p-3, 0x1.97f31f2a1f609p-3, 0x1.8f198528a3ab7p-3, 0x1.866024b0b4f95p-3, 0x1.7dc7252ef1ff9p-3, 0x1.754ea5b24d0e7p-3, 0x1.6cf6bd4af583ep-3, 0x1.64bf7b66c9aedp-3, 0x1.5ca8e82b46952p-3, 0x1.54b304ccff497p-3, 0x1.4cddcbe494c6cp-3, 0x1.452931c13f08cp-3, 0x1.3d9524b8e1389p-3, 0x1.36218d75b0d82p-3, 0x1.2ece4f417b5c5p-3, 0x1.279b484e8b162p-3, 0x1.208851fe37bbep-3, 0x1.199541252b5e5p-3, 0x1.12c1e64d5d8bcp-3, 0x1.0c0e0df5d9bdfp-3, 0x1.057980d052d43p-3, 0x1.fe0807f91fd68p-4, 0x1.f15ab2837dc62p-4, 0x1.e4ea7e8b68f98p-4, 0x1.d8b6e3844cc37p-4, 0x1.ccbf536fe4db8p-4, 0x1.c1033b40d864fp-4, 0x1.b58203399efb9p-4, 0x1.aa3b0f47b34acp-4, 0x1.9f2dbf5b2d924p-4, 0x1.94596fbae1b76p-4, 0x1.89bd79550d8d3p-4, 0x1.7f59320cc37bcp-4, 0x1.752bed04101dep-4, 0x1.6b34fae3045aap-4, 0x1.6173aa1bb3747p-4, 0x1.57e7472b3a58bp-4, 0x1.4e8f1cd7ecdb7p-4, 0x1.456a746cb8e27p-4, 0x1.3c7895f1d8d3dp-4, 0x1.33b8c862e9572p-4, 0x1.2b2a51e27a28ap-4, 0x1.22cc77eb2a008p-4, 0x1.1a9e7f7e684cp-4, 0x1.129fad50ebacbp-4, 0x1.0acf45f4f2e0bp-4, 0x1.032c8e0265305p-4, 0x1.f76d9479c306p-5, 0x1.e8da7f6fa321ap-5, 0x1.da9e67f126459p-5, 0x1.ccb7da2d8cacap-5, 0x1.bf2563b5aaf07p-5, 0x1.b1e593b58b327p-5, 0x1.a4f6fb2abd9fp-5, 0x1.98582d177fb29p-5, 0x1.8c07beb2d06c9p-5, 0x1.80044795976e2p-5, 0x1.744c61e4f4d6ep-5, 0x1.68deaa79decf9p-5, 0x1.5db9c1061cf3dp-5, 0x1.52dc4836cc2b8p-5, 0x1.4844e5d47367ap-5, 0x1.3df242e0cdd88p-5, 0x1.33e30bb26501dp-5, 0x1.2a15f00e0539bp-5, 0x1.2089a33e31857p-5, 0x1.173cdc28a59ap-5, 0x1.0e2e5561fd399p-5, 0x1.055ccd3f94fcp-5, 0x1.f98e0bcf73f15p-6, 0x1.e8d78ac07486bp-6, 0x1.d893ab36d32c7p-6, 0x1.c8c009075c6d8p-6, 0x1.b95a480b41485p-6, 0x1.aa601431b4694p-6, 0x1.9bcf218eed00fp-6, 0x1.8da52c68c3fd1p-6, 0x1.7fdff940f84e2p-6, 0x1.727d54dd45272p-6, 0x1.657b144d5deaep-6, 0x1.58d714eeed557p-6, 0x1.4c8f3c6fadb1ep-6, 0x1.40a178cdc454ep-6, 0x1.350bc05656828p-6, 0x1.29cc11a295abap-6, 0x1.1ee073933f7e2p-6, 0x1.1446f54aad39ap-6, 0x1.09fdae2588cdep-6, 0x1.0002bdb240629p-6, 0x1.eca8974e7d3e7p-7, 0x1.d9e10fb00a80dp-7, 0x1.c7ab545263703p-7, 0x1.b603e507186fap-7, 0x1.a4e7518c386eep-7, 0x1.9452396ec00ddp-7, 0x1.84414beb6dcb9p-7, 0x1.74b147ce024b2p-7, 0x1.659efb4f1b1ecp-7, 0x1.570743f0b7955p-7, 0x1.48e70e598950fp-7, 0x1.3b3b562f1e94dp-7, 0x1.2e0125ef0150fp-7, 0x1.213596c6df52ep-7, 0x1.14d5d06bd6a2p-7, 0x1.08df08f0f3adp-7, 0x1.fa9d0939d44f1p-8, 0x1.e4432b7e66bfep-8, 0x1.ceab390928e3ap-8, 0x1.b9d00d96259e3p-8, 0x1.a5ac9feaf8451p-8, 0x1.923c017cff278p-8, 0x1.7f795e16e8dc9p-8, 0x1.6d5ffb7d98671p-8, 0x1.5beb391494d0fp-8, 0x1.4b168f8206c7bp-8, 0x1.3add90527e35bp-8, 0x1.2b3be59c62d95p-8, 0x1.1c2d51a34a1f5p-8, 0x1.0dadae7b46cb7p-8, 0x1.ff71db5864506p-9, 0x1.e4962faa15c4fp-9, 0x1.cac0989ecfc3ap-9, 0x1.b1e981a693674p-9, 0x1.9a0982361429bp-9, 0x1.83195d0f577ep-9, 0x1.6d11ff8b1613p-9, 0x1.57ec80e2f5d13p-9, 0x1.43a2217ca7d83p-9, 0x1.302c4a363cab3p-9, 0x1.1d848bb348a82p-9, 0x1.0ba49dab811cp-9, 0x1.f50cbc74ec623p-10, 0x1.d447a261584bbp-10, 0x1.b4ee3ecc4b9cfp-10, 0x1.96f52c1c929bbp-10, 0x1.7a514c1a9b7d9p-10, 0x1.5ef7c69ed4323p-10, 0x1.44de08429d14cp-10, 0x1.2bf9c114fd22p-10, 0x1.1440e3528c171p-10, 0x1.fb534441b08bep-11, 0x1.d054e09aff7fp-11, 0x1.a773fe213549bp-11, 0x1.809e79a5c3d84p-11, 0x1.5bc2a7ef2a99fp-11, 0x1.38cf5354560d2p-11, 0x1.17b3b95f79198p-11, 0x1.f0bf10f08d189p-12, 0x1.b585bb2c856p-12, 0x1.7d9c83f4bf441p-12, 0x1.48e551e24a1c9p-12, 0x1.1742db37c2b64p-12, 0x1.d131430907eaep-13, 0x1.7995daacf3209p-13, 0x1.277d93f9e9bb1p-13, 0x1.b568056c444a2p-14, 0x1.260c5f252f80cp-14, 0x1.410a403c98b6ep-15, 0x1.238fe7c6cadf1p-17, -0x1.3a2a6f0017339p-16, -0x1.7197222654079p-15, -0x1.1aa92ed6ea924p-14, -0x1.747934afc8307p-14, -0x1.c68ee4cf7dbeep-14, -0x1.089d893d14123p-13, -0x1.2a6618224db2fp-13, -0x1.48c72f0fd244dp-13, -0x1.63e5bb90d204bp-13, -0x1.7be58f8a0d92fp-13, -0x1.90e967e2d79eap-13, -0x1.a312f30edd946p-13, -0x1.b282d77b59f32p-13, -0x1.bf58b9e057d04p-13, -0x1.c9b34372c0f99p-13, -0x1.d1b027fa41d2fp-13, -0x1.d76c2bcaf73bep-13, -0x1.db0329a0db2a5p-13, -0x1.dc9018629122p-13, -0x1.dc2d10c620379p-13, -0x1.d9f352dabe115p-13, -0x1.d5fb4b77f68dap-13, -0x1.d05c998f41c3cp-13, -0x1.c92e1367a1047p-13, -0x1.c085cbbb91e3ap-13, -0x1.b67916be8f0d6p-13, -0x1.ab1c8f08a1e6cp-13, -0x1.9e841a6902f9ap-13, -0x1.90c2ee9cde7b2p-13, -0x1.81eb95f2bdf4ep-13, -0x1.720ff3d252616p-13, -0x1.6141492c4947fp-13, -0x1.4f9038d3fbcffp-13, -0x1.3d0ccbbf443e1p-13, -0x1.29c67531a41b6p-13, -0x1.15cc16d0ec0ffp-13, -0x1.012c04a1a1463p-13, -0x1.d7e811ded4a37p-14, -0x1.ac62d03e60734p-14, -0x1.7fe1c8d32608cp-14, -0x1.527d8307ccebp-14, -0x1.244d9067e89a9p-14, -0x1.ead1273351a74p-15, -0x1.8bc88e6a728b7p-15, -0x1.2bab08e6a4c4ep-15, -0x1.954126c442ec6p-16, -0x1.a33e06849b86fp-17, -0x1.9722bcf4b4183p-21, 0x1.7254a6a24db59p-17, 0x1.7fc7f337a6ebap-16, 0x1.236fbb19830cap-15, 0x1.8719b1c69b628p-15, 0x1.eac483abf9db7p-15, 0x1.272a172f6c7dcp-14, 0x1.58d6fe3ad0931p-14, 0x1.8a5c3d9d6b55fp-14, 0x1.bbadb84f47001p-14, 0x1.ecbfe8b5369d7p-14, 0x1.0ec3edecb5bfdp-13, 0x1.26fd965f35559p-13, 0x1.3f07ffe979acbp-13, 0x1.56de7f4185f8dp-13, 0x1.6e7ca971c883ep-13, 0x1.85de51bd61252p-13, 0x1.9cff87927a991p-13, 0x1.b3dc948a9c9bcp-13, 0x1.ca71fa7504299p-13, 0x1.e0bc7170d57ecp-13, 0x1.f6b8e613bc54ep-13, 0x1.06323bcddd4eap-12, 0x1.10de3b16828cap-12, 0x1.1b5f308ed408ap-12, 0x1.25b3f2a5c77c5p-12, 0x1.2fdb6dbde6ee6p-12, 0x1.39d4a3645385cp-12, 0x1.439ea98c3cac3p-12, 0x1.4d38a9cfe4fabp-12, 0x1.56a1e0b69fdcfp-12, 0x1.5fd99d00978adp-12, 0x1.68df3ef70bd1bp-12, 0x1.71b237c0f6c4bp-12, 0x1.7a5208bd704cdp-12, 0x1.82be42e25edadp-12, 0x1.8af6861f46635p-12, 0x1.92fa80c556c7fp-12, 0x1.9ac9eef3852dap-12, 0x1.a2649a06dffd4p-12, 0x1.a9ca580e958c7p-12, 0x1.b0fb0b447a585p-12, 0x1.b7f6a18a6cf26p-12, 0x1.bebd13e9ba6fdp-12, 0x1.c54e66179047fp-12, 0x1.cbaaa5fd766c2p-12, 0x1.d1d1eb447578ep-12, 0x1.d7c456e41b3d9p-12, 0x1.dd8212b49d4eap-12, 0x1.e30b510559d6p-12, 0x1.e8604c35c4fbcp-12, 0x1.ed81465167496p-12, 0x1.f26e88afeb07ep-12, 0x1.f72863972e2dfp-12, 0x1.fbaf2de156adp-12, 0x1.0001a25242898p-11, 0x1.0212856f0785cp-11, 0x1.040a74908b7bdp-11, 0x1.05e9a6a35a9fp-11, 0x1.07b0551091a3p-11, 0x1.095ebb990d465p-11, 0x1.0af5183152831p-11, 0x1.0c73aadf201d1p-11, 0x1.0ddab597a3379p-11, 0x1.0f2a7c1f591c5p-11, 0x1.106343eafd6d2p-11, 0x1.1185540123b1cp-11, 0x1.1290f4dd4f7a7p-11, 0x1.1386705401bb6p-11, 0x1.1466117793f89p-11, 0x1.1530247e5ce16p-11, 0x1.15e4f6a924304p-11, 0x1.1684d62b56df7p-11, 0x1.17101213c686ep-11, 0x1.1786fa35f7441p-11, 0x1.17e9df14bb59ep-11, 0x1.183911cd8247ap-11, 0x1.1874e40446da9p-11, 0x1.189da7d0b3c57p-11, 0x1.18b3afab33ba2p-11, 0x1.18b74e5b916ecp-11, 0x1.18a8d6e827c01p-11, 0x1.18889c8564b2p-11, 0x1.1856f2862bd0ap-11, 0x1.18142c4d1c739p-11, 0x1.17c09d3dff68bp-11, 0x1.175c98b054da9p-11, 0x1.16e871e223f71p-11, 0x1.16647beb34322p-11, 0x1.15d109b162b5cp-11, 0x1.152e6ddd34652p-11, 0x1.147cfacec3121p-11, 0x1.13bd02937882fp-11, 0x1.12eed6dc31819p-11, 0x1.1212c8f3bc1c1p-11, 0x1.112929b608eb1p-11, 0x1.1032498785c6p-11, 0x1.0f2e784cf2f7dp-11, 0x1.0e1e0564126c3p-11, 0x1.0d013f9c2ba1p-11, 0x1.0bd8752f3abb5p-11, 0x1.0aa3f3bb88fep-11, 0x1.0964083d8a62p-11, 0x1.0818ff0a277e9p-11, 0x1.06c323c9663dep-11, 0x1.0562c17125436p-11, 0x1.03f8224070e34p-11, 0x1.02838fbb410a8p-11, 0x1.010552a62a899p-11, 0x1.fefb66050b62dp-12, 0x1.fbd9f015e36cbp-12, 0x1.f8a6d05ff340dp-12, 0x1.f562922a1918bp-12, 0x1.f20dbf1ba7a75p-12, 0x1.eea8df36bb7c8p-12, 0x1.eb3478d3e6af7p-12, 0x1.e7b1109e09919p-12, 0x1.e41f298eaca2cp-12, 0x1.e07f44ea526a4p-12, 0x1.dcd1e23db8e6bp-12, 0x1.d9177f5b4807dp-12, 0x1.d5509858a1082p-12, 0x1.d17da78d3e3e5p-12, 0x1.cd9f259099562p-12, 0x1.c9b58938d2c9dp-12, 0x1.c5c14799f447fp-12, 0x1.c1c2d405abcc1p-12, 0x1.bdbaa00aa9f07p-12, 0x1.b9a91b7498ec8p-12, 0x1.b58eb44c9954ap-12, 0x1.b16bd6d99076fp-12, 0x1.ad40eda0c4a1cp-12, 0x1.a90e6167544a1p-12, 0x1.a4d49932e3e21p-12, 0x1.a093fa4b17b36p-12, 0x1.9c4ce83b3066bp-12, 0x1.97ffc4d42b0cbp-12, 0x1.93acf02e3e1f1p-12, 0x1.8f54c8ab28602p-12, 0x1.8af7aaf890d6cp-12, 0x1.8695f21273dacp-12, 0x1.822ff7458ddfep-12, 0x1.7dc6123262fb3p-12, 0x1.795898cffba57p-12, 0x1.74e7df6ebddd3p-12, 0x1.707438bba141ep-12, 0x1.6bfdf5c393d21p-12, 0x1.678565f6b2fb1p-12, 0x1.630ad72b8d367p-12, 0x1.5e8e95a2e55cp-12, 0x1.5a10ec0b2c8b2p-12, 0x1.55922384369fdp-12, 0x1.511283a2ef1bbp-12, 0x1.4c9252756bbadp-12, 0x1.4811d48673e03p-12, 0x1.43914ce19ad2cp-12, 0x1.3f10fd174a378p-12, 0x1.3a912540f5874p-12, 0x1.36120404e6d5bp-12, 0x1.3193d69a988eap-12, 0x1.2d16d8cecba5fp-12, 0x1.289b4507c9033p-12, 0x1.24215449a52dbp-12, 0x1.1fa93e3a7daadp-12, 0x1.1b333926dd8a4p-12, 0x1.16bf7a05d47c6p-12, 0x1.124e347d6a3b6p-12, 0x1.0ddf9ae705cbap-12, 0x1.0973de53d361bp-12, 0x1.050b2e90f43e3p-12, 0x1.00a5ba2bf6977p-12, 0x1.f8875cee52f83p-13, 0x1.efca6f1bff25fp-13, 0x1.e71500b2f7849p-13, 0x1.de676528dd1bfp-13, 0x1.d5c1ed9fec3a1p-13, 0x1.cd24e8ef5edd3p-13, 0x1.c490a3ac1ac78p-13, 0x1.bc05683196844p-13, 0x1.b3837eaa5a71ep-13, 0x1.ab0b2d1874496p-13, 0x1.a29cb75e1a635p-13, 0x1.9a385f461d716p-13, 0x1.91de648c521e1p-13, 0x1.898f04e63283bp-13, 0x1.814a7c0ae11cep-13, 0x1.791103bbd089ep-13, 0x1.70e2d3cccbe8dp-13, 0x1.68c0222c241b2p-13, 0x1.60a922eae60dcp-13, 0x1.589e084516682p-13, 0x1.509f02a970087p-13, 0x1.48ac40c1892e2p-13, 0x1.40c5ef79ac14dp-13, 0x1.38ec3a089d8bfp-13, 0x1.311f49f759a54p-13, 0x1.295f4728f9d2cp-13, 0x1.21ac57e20bcd9p-13, 0x1.1a06a0d0471p-13, 0x1.126e4511fc0e8p-13, 0x1.0ae3663d75067p-13, 0x1.0366246848647p-13, 0x1.f7ed3c5d64bddp-14, 0x1.e929e1754401ap-14, 0x1.da826f95a5a1dp-14, 0x1.cbf71b73e28fdp-14, 0x1.bd88170ace02ap-14, 0x1.af3591a87ae1dp-14, 0x1.a0ffb7fc16ce4p-14, 0x1.92e6b422e0913p-14, 0x1.84eaadb5ad091p-14, 0x1.770bc9d627febp-14, 0x1.694a2b3b33417p-14, 0x1.5ba5f23e2d123p-14, 0x1.4e1f3ce76d552p-14, 0x1.40b626fab7c6cp-14, 0x1.336aca0356479p-14, 0x1.263d3d607b652p-14, 0x1.192d96511f09bp-14, 0x1.0c3be7ffb9aa9p-14, 0x1.fed0871c19396p-15, 0x1.e56570413f4ddp-15, 0x1.cc36a5d3c7eedp-15, 0x1.b3443e6b39a0ap-15, 0x1.9a8e4ce7a12dbp-15, 0x1.8214e0870f9b8p-15, 0x1.69d804fb698cfp-15, 0x1.51d7c27f1d415p-15, 0x1.3a141dea59ebfp-15, 0x1.228d18c6c5e5ap-15, 0x1.0b42b164cf3c3p-15, 0x1.e869c5dd326c1p-16, 0x1.bac74af7c92f9p-16, 0x1.8d9ddc4a8056dp-16, 0x1.60ed5e2ee3aeep-16, 0x1.34b5af4a77f49p-16, 0x1.08f6a8b5300f1p-16, 0x1.bb603c3a72b16p-17, 0x1.65c3bbd4612bap-17, 0x1.111762c0c982bp-17, 0x1.7ab5730ba8ca6p-18, 0x1.aa34fbb604b95p-19, 0x1.8ae6844a7eed2p-21, -0x1.c212f2fa1fb84p-20, -0x1.108b63c584b71p-18, -0x1.aeb86fc704055p-18, -0x1.25869e7b193d4p-17, -0x1.72c59bff46f81p-17, -0x1.bf19eec87824p-17, -0x1.05422e7b35745p-16, -0x1.2a82da192300cp-16, -0x1.4f4f64bccc4bp-16, -0x1.73a83c719441cp-16, -0x1.978dd2b5d1217p-16, -0x1.bb009c5d9c159p-16, -0x1.de01117939be2p-16, -0x1.0047d69d57ca9p-15, -0x1.115676ee191cp-15, -0x1.222caa434cbabp-15, -0x1.32cab29cb055cp-15, -0x1.4330d35923a86p-15, -0x1.535f5129e5bedp-15, -0x1.6356720831acep-15, -0x1.73167d293ac73p-15, -0x1.829fbaf22d8a9p-15, -0x1.91f274ee05401p-15, -0x1.a10ef5c26b30cp-15, -0x1.aff5892594ef7p-15, -0x1.bea67bd3204e5p-15, -0x1.cd221b82068ep-15, -0x1.db68b6dadd5f1p-15, -0x1.e97a9d6dc7e7cp-15, -0x1.f7581fa8d4f41p-15, -0x1.0280c7675f08bp-14, -0x1.093b9e7702b59p-14, -0x1.0fdcbe6b4630cp-14, -0x1.166451092a636p-14, -0x1.1cd2806e183ddp-14, -0x1.2327770b641f2p-14, -0x1.29635fa2395bp-14, -0x1.2f86653fb0ce7p-14, -0x1.3590b338e96f4p-14, -0x1.3b827526ecfa4p-14, -0x1.415bd6e2ce183p-14, -0x1.471d0481fdd16p-14, -0x1.4cc62a52a358p-14, -0x1.525774d80040fp-14, -0x1.57d110c6dbc34p-14, -0x1.5d332b025a3b6p-14, -0x1.627df098761bbp-14, -0x1.67b18ebe44fabp-14, -0x1.6cce32cdac4e4p-14, -0x1.71d40a41a8193p-14, -0x1.76c342b3288e8p-14, -0x1.7b9c09d625c06p-14, -0x1.805e8d76d69d4p-14, -0x1.850afb76fbec9p-14, -0x1.89a181cacabc4p-14, -0x1.8e224e7633f15p-14, -0x1.928d8f8a3af96p-14, -0x1.96e373227f1c4p-14, -0x1.9b2427629651dp-14, -0x1.9f4fda73862f1p-14, -0x1.a366ba8184e08p-14, -0x1.a768f5b9b37b2p-14, -0x1.ab56ba471e644p-14, -0x1.af30365163435p-14, -0x1.b2f597fa3bf19p-14, -0x1.b6a70d5afef72p-14, -0x1.ba44c482b75acp-14, -0x1.bdceeb7425057p-14, -0x1.c145b0241e6ddp-14, -0x1.c4a9407738b75p-14, -0x1.c7f9ca4005556p-14, -0x1.cb377b3d2d75dp-14, -0x1.ce628117b1714p-14, -0x1.d17b09614c43ep-14, -0x1.d4814192a494dp-14, -0x1.d7755709aac77p-14, -0x1.da577708464f3p-14, -0x1.dd27ceb28c1fp-14, -0x1.dfe68b0ccba9bp-14, -0x1.e293d8fb33022p-14, -0x1.e52fe53f959a3p-14, -0x1.e7badc781efe3p-14, -0x1.ea34eb1e0cc6p-14, -0x1.ec9e3d8449e4ep-14, -0x1.eef6ffd6d1f09p-14, -0x1.f13f5e18b6ec6p-14, -0x1.f37784233c80ep-14, -0x1.f59f9da4a957ep-14, -0x1.f7b7d61f2c488p-14, -0x1.f9c058e7ca85fp-14, -0x1.fbb951255fd15p-14, -0x1.fda2e9cf8ca81p-14, -0x1.ff7d4dadf3b5cp-14, -0x1.00a453ab92341p-13, -0x1.01829097ab566p-13, -0x1.025972b40955fp-13, -0x1.03290effc3b93p-13, -0x1.03f17a5f7bb5fp-13, -0x1.04b2c99d365d1p-13, -0x1.056d1167dcb36p-13, -0x1.06206653068d2p-13, -0x1.06ccdcd6afcb9p-13, -0x1.0772894ea6726p-13, -0x1.08117ffa5583p-13, -0x1.08a9d4fc71387p-13, -0x1.093b9c5aad2b3p-13, -0x1.09c6e9fd79aa5p-13, -0x1.0a4bd1afb9df3p-13, -0x1.0aca671e7e72bp-13, -0x1.0b42bdd8e09f4p-13, -0x1.0bb4e94fac9f4p-13, -0x1.0c20fcd4fafe8p-13, -0x1.0c870b9c55881p-13, -0x1.0ce728ba749f3p-13, -0x1.0d416724cbf48p-13, -0x1.0d95d9b17de9ap-13, -0x1.0de493173b247p-13, -0x1.0e2da5ed0c83bp-13, -0x1.0e7124aa5fbb8p-13, -0x1.0eaf21a69d0c3p-13, -0x1.0ee7af191aa64p-13, -0x1.0f1adf1909bfep-13, -0x1.0f48c39d4d266p-13, -0x1.0f716e7c60ecp-13, -0x1.0f94f16c4dcc4p-13, -0x1.0fb35e027ed61p-13, -0x1.0fccc5b3c5ecbp-13, -0x1.0fe139d448ddbp-13, -0x1.0ff0cb974a6f4p-13, -0x1.0ffb8c0f0e73dp-13, -0x1.10018c2d4a615p-13, -0x1.1002dcc2a39d2p-13, -0x1.0fff8e7eb0627p-13, -0x1.0ff7b1f00aacbp-13, -0x1.0feb578440e76p-13, -0x1.0fda8f87ed59bp-13, -0x1.0fc56a26a989ep-13, -0x1.0fabf76af5ebdp-13, -0x1.0f8e473e42e29p-13, -0x1.0f6c6968f8dbfp-13, -0x1.0f466d927cd11p-13, -0x1.0f1c634133e11p-13, -0x1.0eee59da8e1fdp-13, -0x1.0ebc60a30949ep-13, -0x1.0e8686be40144p-13, -0x1.0e4cdb2f044b9p-13, -0x1.0e0f6cd74a1c5p-13, -0x1.0dce4a780edadp-13, -0x1.0d8982b1f13bdp-13, -0x1.0d412404d574dp-13, -0x1.0cf53ccfff5b2p-13, -0x1.0ca5db522801ep-13, -0x1.0c530da9a0dadp-13, -0x1.0bfce1d45f6bbp-13, -0x1.0ba365b03359dp-13, -0x1.0b46a6faafe4dp-13, -0x1.0ae6b35146062p-13, -0x1.0a8398316ddf9p-13, -0x1.0a1d62f8b8bfp-13, -0x1.09b420e4e889bp-13, -0x1.0947df1416778p-13, -0x1.08d8aa84bec83p-13, -0x1.08669015ebffap-13, -0x1.07f19c87454f3p-13, -0x1.0779dc794cbcp-13, -0x1.06ff5c6d4980ep-13, -0x1.068228c55e932p-13, -0x1.06024dc521f47p-13, -0x1.057fd7914abbep-13, -0x1.04fad22fe1b97p-13, -0x1.0473498872199p-13, -0x1.03e9496434a12p-13, -0x1.035cdd6e21b14p-13, -0x1.02ce1133433e6p-13, -0x1.023cf022a0ff8p-13, -0x1.01a9858d72debp-13, -0x1.0113dca74c358p-13, -0x1.007c008647089p-13, -0x1.ffc3f8463e1b1p-14, -0x1.fe8bb4b2cf6bbp-14, -0x1.fd4f4bcf3c653p-14, -0x1.fc0ed2decb9b2p-14, -0x1.faca5eeb4edf7p-14, -0x1.f98204c569842p-14, -0x1.f835d90513dc4p-14, -0x1.f6e5f0095dfc8p-14, -0x1.f5925df94d4edp-14, -0x1.f43b36c46ae2ap-14, -0x1.f2e08e225e8bbp-14, -0x1.f18277939d9f1p-14, -0x1.f0210661bc03ep-14, -0x1.eebc4d9fc0de7p-14, -0x1.ed54602a7ed51p-14, -0x1.ebe950a9242e1p-14, -0x1.ea7b318d18952p-14, -0x1.e90a1512a6717p-14, -0x1.e7960d4130f08p-14, -0x1.e61f2beba5841p-14, -0x1.e4a582b0c0564p-14, -0x1.e32922fb74c57p-14, -0x1.e1aa1e03390d6p-14, -0x1.e02884cc6b289p-14, -0x1.dea468289c796p-14, -0x1.dd1dd8b6f3114p-14, -0x1.db94e6e4a9976p-14, -0x1.da09a2ed06474p-14, -0x1.d87c1cd9ce3b1p-14, -0x1.d6ec6484453ap-14, -0x1.d55a8994c36efp-14, -0x1.d3c69b83401ecp-14, -0x1.d230a997cdf4dp-14, -0x1.d098c2eaddaa3p-14, -0x1.cefef6658d492p-14, -0x1.cd6352c256ea4p-14, -0x1.cbc5e68d144f5p-14, -0x1.ca26c02358f5p-14, -0x1.c885edb4f594ep-14, -0x1.c6e37d4438fefp-14, -0x1.c53f7ca656c89p-14, -0x1.c399f983c8938p-14, -0x1.c1f3015890b5p-14, -0x1.c04aa174ad80dp-14, -0x1.bea0e6fc688c8p-14, -0x1.bcf5dee8ad278p-14, -0x1.bb4996076607dp-14, -0x1.b99c18fbf2625p-14, -0x1.b7ed743f40efep-14, -0x1.b63db4202832cp-14, -0x1.b48ce4c447a4ep-14, -0x1.b2db1227d379ap-14, -0x1.b128481e061bbp-14, -0x1.af7492519544ep-14, -0x1.adbffc450141cp-14, -0x1.ac0a9152d3fe4p-14, -0x1.aa545cae4159dp-14, -0x1.a89d69634b2efp-14, -0x1.a6e5c257005fbp-14, -0x1.a52d724800576p-14, -0x1.a37483ceb84a1p-14, -0x1.a1bb015dc9b54p-14, -0x1.a000f5425d3d6p-14, -0x1.9e4669a471c36p-14, -0x1.9c8b68873c96dp-14, -0x1.9acffbc97915ep-14, -0x1.99142d25c14e9p-14, -0x1.97580632df3d8p-14, -0x1.959b9064192f9p-14, -0x1.93ded509a4824p-14, -0x1.9221dd50d6d18p-14, -0x1.9064b2445ce99p-14, -0x1.8ea75ccd00ef3p-14, -0x1.8ce9e5b194f03p-14, -0x1.8b2c559764046p-14, -0x1.896eb5027bcd9p-14, -0x1.87b10c560c1f6p-14, -0x1.85f363d4aae98p-14, -0x1.8435c3a0c07bdp-14, -0x1.827833bcc29cdp-14, -0x1.80babc0b7bdfcp-14, -0x1.7efd64506cebcp-14, -0x1.7d4034300ad06p-14, -0x1.7b8333301eadbp-14, -0x1.79c668b810768p-14, -0x1.7809dc1128b13p-14, -0x1.764d9466e9a3cp-14, -0x1.749198c75e0c7p-14, -0x1.72d5f0235dc49p-14, -0x1.711aa14edb931p-14, -0x1.6f5fb3013838p-14, -0x1.6da52bd5798ccp-14, -0x1.6beb124ac2d9dp-14, -0x1.6a316cc45e34fp-14, -0x1.6878418a27decp-14, -0x1.66bf96c8f0ccbp-14, -0x1.65077292a8744p-14, -0x1.634fdadeab55cp-14, -0x1.6198d58a000dfp-14, -0x1.5fe26857a9d7cp-14, -0x1.5e2c98f0f859dp-14, -0x1.5c776ce5c70fap-14, -0x1.5ac2e9acc3b99p-14, -0x1.590f14a3b2184p-14, -0x1.575bf30faec28p-14, -0x1.55a98a1d781a2p-14, -0x1.53f7dee1b0977p-14, -0x1.5246f65929e7ap-14, -0x1.5096d5691a6d7p-14, -0x1.4ee780df6ae5fp-14, -0x1.4d38fd72f48e6p-14, -0x1.4b8b4fc3c4e05p-14, -0x1.49de7c5b69f36p-14, -0x1.483287ad1e9f7p-14, -0x1.468776160accbp-14, -0x1.44dd4bdda206fp-14, -0x1.43340d35c642p-14, -0x1.418bbe3b093e5p-14, -0x1.3fe462f4f40d4p-14, -0x1.3e3dff5645efdp-14, -0x1.3c98973d3530ep-14, -0x1.3af42e739c2e5p-14, -0x1.3950c8af44a5cp-14, -0x1.37ae6992182a5p-14, -0x1.360d14aa707c3p-14, -0x1.346ccd733c492p-14, -0x1.32cd975447f34p-14, -0x1.312f75a27311bp-14, -0x1.2f926b9fe64ddp-14, -0x1.2df67c7c5ce2ep-14, -0x1.2c5bab554a15fp-14, -0x1.2ac1fb361dd8ep-14, -0x1.29296f1872018p-14, -0x1.279209e452867p-14, -0x1.25fbce706a883p-14, -0x1.2466bf8235232p-14, -0x1.22d2dfce3fe85p-14, -0x1.214031f860022p-14, -0x1.1faeb893da605p-14, -0x1.1e1e7623a5d4fp-14, -0x1.1c8f6d1a98a7ap-14, -0x1.1b019fdb9aaa8p-14, -0x1.197510b9e5b7bp-14, -0x1.17e9c1f92b29ep-14, -0x1.165fb5cdcf208p-14, -0x1.14d6ee5d14d0ap-14, -0x1.134f6dbd4964dp-14, -0x1.11c935f604d72p-14, -0x1.10444900583d2p-14, -0x1.0ec0a8c6f903fp-14, -0x1.0d3e57266ba21p-14, -0x1.0bbd55ed3e233p-14, -0x1.0a3da6dc30827p-14, -0x1.08bf4ba665aa3p-14, -0x1.074245f18fc4dp-14, -0x1.05c6975621c6bp-14, -0x1.044c415f7d301p-14, -0x1.02d3458c19527p-14, -0x1.015ba54db087fp-14, -0x1.ffcac412dad53p-15, -0x1.fce0fa303ff19p-15, -0x1.f9f9ef8cc11p-15, -0x1.f715a6a96dp-15, -0x1.f43421ef8956cp-15, -0x1.f15563b0f0787p-15, -0x1.ee796e286e8c7p-15, -0x1.eba04379edce2p-15, -0x1.e8c9e5b2fe60dp-15, -0x1.e5f656caf82dep-15, -0x1.e32598a35c2bep-15, -0x1.e057ad081c10fp-15, -0x1.dd8c95aff9ccdp-15, -0x1.dac4543cd66ffp-15, -0x1.d7feea3be8ef2p-15, -0x1.d53c592625e6cp-15, -0x1.d27ca260656f4p-15, -0x1.cfbfc73bd2155p-15, -0x1.cd05c8f6272e2p-15, -0x1.ca4ea8b9f3225p-15, -0x1.c79a679eddafep-15, -0x1.c4e906aa0425ap-15, -0x1.c23a86ce32504p-15, -0x1.bf8ee8ec2d6bp-15, -0x1.bce62dd2e9725p-15, -0x1.ba40563fd9d7ep-15, -0x1.b79d62df434c1p-15, -0x1.b4fd544c6ffb8p-15, -0x1.b2602b11f3a7ap-15, -0x1.afc5e7a9e5a7cp-15, -0x1.ad2e8a7e2ac59p-15, -0x1.aa9a13e8c7be3p-15, -0x1.a80884340cdaep-15, -0x1.a579db9ac29d9p-15, -0x1.a2ee1a487d578p-15, -0x1.a0654059fd5b4p-15, -0x1.9ddf4ddd49a67p-15, -0x1.9b5c42d1c5db7p-15, -0x1.98dc1f2899a93p-15, -0x1.965ee2c4f4865p-15, -0x1.93e48d7c42a82p-15, -0x1.916d1f1664daap-15, -0x1.8ef8974dd7c5ep-15, -0x1.8c86f5cff0191p-15, -0x1.8a183a3d223d4p-15, -0x1.87ac642933b1p-15, -0x1.8543731b73f5bp-15, -0x1.82dd668ee3788p-15, -0x1.807a3df27edf6p-15, -0x1.7e19f8a96e97cp-15, -0x1.7bbc960b32cb4p-15, -0x1.79621563d0c51p-15, -0x1.770a75f415f55p-15, -0x1.74b5b6f1cce78p-15, -0x1.7263d787dfd8fp-15, -0x1.7014d6d68ec3ep-15, -0x1.6dc8b3f3a1d02p-15, -0x1.6b7f6dea9c7c3p-15, -0x1.693903bcf460fp-15, -0x1.66f5746232b36p-15, -0x1.64b4bec81b89cp-15, -0x1.6276e1d2e4fbep-15, -0x1.603bdc5d72f18p-15, -0x1.5e03ad398d89bp-15, -0x1.5bce532fedb73p-15, -0x1.599bcd0055079p-15, -0x1.576c1961dabd7p-15, -0x1.553f37032bf2p-15, -0x1.5315248a971c9p-15, -0x1.50ede09644a32p-15, -0x1.4ec969bc57479p-15, -0x1.4ca7be8b04a74p-15, -0x1.4a88dd88d4a4ap-15, -0x1.486cc534c4597p-15, -0x1.4653740669c24p-15, -0x1.443ce86e20c74p-15, -0x1.422920d52ba9ap-15, -0x1.40181b9de34acp-15, -0x1.3e09d723cb596p-15, -0x1.3bfe51bbc0cb8p-15, -0x1.39f589b41de62p-15, -0x1.37ef7d54e578fp-15, -0x1.35ec2adfd6534p-15, -0x1.33eb909092e57p-15, }}, 
      {{0x1.fa54b4f30b0b2p-1, 0x1.f9134bf574451p-1, 0x1.f7611262abe29p-1, 0x1.f54a4b250a6d4p-1, 0x1.f2dbecb4e0554p-1, 0x1.f022efd498b27p-1, 0x1.ed2bd3eb932f4p-1, 0x1.ea024c658eb1p-1, 0x1.e6b10d26b102fp-1, 0x1.e341ae45de939p-1, 0x1.dfbca0f2ad23fp-1, 0x1.dc2930c6fa7dep-1, 0x1.d88d8dd7a02eep-1, 0x1.d4eedcb1ce1aap-1, 0x1.d1514a1ec8aa9p-1, 0x1.cdb8210f3137ap-1, 0x1.ca25e17932792p-1, 0x1.c69c5747b2515p-1, 0x1.c31cb0b8f912dp-1, 0x1.bfa793bcd9f1dp-1, 0x1.bc3d3208642b6p-1, 0x1.b8dd5bb2035cep-1, 0x1.b587903ea7cd5p-1, 0x1.b23b0e1899379p-1, 0x1.aef6e07452821p-1, 0x1.abb9ebb00bcap-1, 0x1.a882f840558d7p-1, 0x1.a550bc3fd12f1p-1, 0x1.a221e3ba4db4ep-1, 0x1.9ef517cc96a3ep-1, 0x1.9bc904b27ee35p-1, 0x1.989c5edc46b2bp-1, 0x1.956de723af738p-1, 0x1.923c6e37e415p-1, 0x1.8f06d756185e5p-1, 0x1.8bcc1a6347bedp-1, 0x1.888b457a091bep-1, 0x1.85437dfdeab47p-1, 0x1.81f4014450f2ap-1, 0x1.7e9c24e16b07bp-1, 0x1.7b3b56a66f3e4p-1, 0x1.77d11c5d0adp-1, 0x1.745d134aba555p-1, 0x1.70deef859f26fp-1, 0x1.6d567b235ca0ep-1, 0x1.69c395498d126p-1, 0x1.6626312681d0cp-1, 0x1.627e54d82c946p-1, 0x1.5ecc184659f93p-1, 0x1.5b0fa3f4b3894p-1, 0x1.57492fd069f2bp-1, 0x1.537901fcda70cp-1, 0x1.4f9f6da203517p-1, 0x1.4bbcd1bf30339p-1, 0x1.47d19803db11p-1, 0x1.43de33b06d1fep-1, 0x1.3fe3208036995p-1, 0x1.3be0e19db00c4p-1, 0x1.37d800a1db34ap-1, 0x1.33c90c9f6101fp-1, 0x1.2fb49939deb58p-1, 0x1.2b9b3dc9a7265p-1, 0x1.277d948c1e6c9p-1, 0x1.235c39e0b37a3p-1, 0x1.1f37cb92647e9p-1, 0x1.1b10e82da4156p-1, 0x1.16e82e62621e1p-1, 0x1.12be3c71efe3p-1, 0x1.0e93afa863352p-1, 0x1.0a6923e11c1eep-1, 0x1.063f3316016f4p-1, 0x1.021674f906d16p-1, 0x1.fbdefd2f118b6p-2, 0x1.f395c40e14526p-2, 0x1.eb525c35b9152p-2, 0x1.e315dc4477cb9p-2, 0x1.dae1535cce0cfp-2, 0x1.d2b5c8c0838e2p-2, 0x1.ca943b7a169dep-2, 0x1.c27da21370c1cp-2, 0x1.ba72ea590c645p-2, 0x1.b274f928b2504p-2, 0x1.aa84aa4b02768p-2, 0x1.a2a2d0570529cp-2, 0x1.9ad0349effc78p-2, 0x1.930d9725e0d79p-2, 0x1.8b5bae9c89982p-2, 0x1.83bb28665946ap-2, 0x1.7c2ca8a45688bp-2, 0x1.74b0ca466562ep-2, 0x1.6d481f21f4a46p-2, 0x1.65f3300da8f4dp-2, 0x1.5eb27d017937ep-2, 0x1.57867d3ad0f68p-2, 0x1.506f9f64427f5p-2, 0x1.496e49c06081ep-2, 0x1.4282da576097p-2, 0x1.3bada72726d44p-2, 0x1.34eefe5565897p-2, 0x1.2e472663834fdp-2, 0x1.27b65e63fb544p-2, 0x1.213cde30f5039p-2, 0x1.1adad6a3ceed1p-2, 0x1.149071cd68f53p-2, 0x1.0e5dd32eef65ap-2, 0x1.084317f2fc311p-2, 0x1.02405726da13cp-2, 0x1.f8ab43e78be52p-3, 0x1.ed0607b001731p-3, 0x1.e19105bf2b2aep-3, 0x1.d64c3fb95f2c8p-3, 0x1.cb37ad3eca703p-3, 0x1.c0533c59bc3c2p-3, 0x1.b59ed1eb767d5p-3, 0x1.ab1a4a1760b5ap-3, 0x1.a0c578ac6dffdp-3, 0x1.96a0298c9a036p-3, 0x1.8caa211266dadp-3, 0x1.82e31c7436fafp-3, 0x1.794ad22576ca1p-3, 0x1.6fe0f23581ad4p-3, 0x1.66a526ac2f2f9p-3, 0x1.5d9713e4021ddp-3, 0x1.54b658e1efe7p-3, 0x1.4c028faaadcabp-3, 0x1.437b4d9592c8ap-3, 0x1.3b20239cf22b9p-3, 0x1.32f09eac08325p-3, 0x1.2aec47ea61165p-3, 0x1.2312a504cb269p-3, 0x1.1b633873d4d84p-3, 0x1.13dd81bfd5eb6p-3, 0x1.0c80fdc290d5dp-3, 0x1.054d26e668ef7p-3, 0x1.fc82eac68a3dep-4, 0x1.eebabef22ab7dp-4, 0x1.e140b35023c57p-4, 0x1.d413adcd6bbc3p-4, 0x1.c73291ab0e3bp-4, 0x1.ba9c3fe15af7ap-4, 0x1.ae4f977edaa09p-4, 0x1.a24b760319a8dp-4, 0x1.968eb7b558d2ep-4, 0x1.8b1837f757335p-4, 0x1.7fe6d1942a96p-4, 0x1.74f95f0b5e63bp-4, 0x1.6a4ebad8603fbp-4, 0x1.5fe5bfb65d5e6p-4, 0x1.55bd48e0a6394p-4, 0x1.4bd4324fb38a3p-4, 0x1.422958f2e6976p-4, 0x1.38bb9ae71f06cp-4, 0x1.2f89d7aa3f068p-4, 0x1.2692f04bb5e49p-4, 0x1.1dd5c79a2d686p-4, 0x1.1551424e7019p-4, 0x1.0d044733a110cp-4, 0x1.04edbf4cdf3aep-4, 0x1.fa192bf0d33c5p-5, 0x1.eabf7220b99dep-5, 0x1.dbcc3212439eap-5, 0x1.cd3d521b447cbp-5, 0x1.bf10be32b549cp-5, 0x1.b1446820bab07p-5, 0x1.a3d647aabccdep-5, 0x1.96c45abbb3f4fp-5, 0x1.8a0ca588d7095p-5, 0x1.7dad32b2d1194p-5, 0x1.71a41363a48f2p-5, 0x1.65ef5f695c597p-5, 0x1.5a8d354dbdb44p-5, 0x1.4f7bba6b06e39p-5, 0x1.44b91afdf4396p-5, 0x1.3a438a351c4a3p-5, 0x1.3019423dcbc6ap-5, 0x1.2638844e7bb77p-5, 0x1.1c9f98af043cdp-5, 0x1.134ccebea1a1fp-5, 0x1.0a3e7cf7f6b0dp-5, 0x1.017300f314049p-5, 0x1.f1d17ecb59a08p-6, 0x1.e13c484323767p-6, 0x1.d123442300802p-6, 0x1.c1836668d42eap-6, 0x1.b259b12e8b229p-6, 0x1.a3a3349af8abdp-6, 0x1.955d0ed020392p-6, 0x1.87846bd7138ap-6, 0x1.7a168589805ebp-6, 0x1.6d10a37933518p-6, 0x1.60701ad581c62p-6, 0x1.54324e4ef0c8ep-6, 0x1.4854adf91af99p-6, 0x1.3cd4b72afc375p-6, 0x1.31aff45dc2019p-6, 0x1.26e3fd0a4b7d8p-6, 0x1.1c6e7585537c9p-6, 0x1.124d0eda86ab2p-6, 0x1.087d86a68802bp-6, 0x1.fdfb4ddff572p-7, 0x1.eb968bff69b7p-7, 0x1.d9c88c705f649p-7, 0x1.c88d2bd87b532p-7, 0x1.b7e05e6a4f0eep-7, 0x1.a7be2f9080d3dp-7, 0x1.9822c19808816p-7, 0x1.890a4d598b5fcp-7, 0x1.7a7121e22b292p-7, 0x1.6c53a41baf002p-7, 0x1.5eae4e744b4adp-7, 0x1.517db086124bfp-7, 0x1.44be6ebe35de7p-7, 0x1.386d420418129p-7, 0x1.2c86f760670ep-7, 0x1.21086fa445ba2p-7, 0x1.15ee9f1091704p-7, 0x1.0b368cfd6135ap-7, 0x1.00dd5381df2e6p-7, 0x1.edc03e38dcf65p-8, 0x1.da785cb686be1p-8, 0x1.c7dda30af65e5p-8, 0x1.b5ead4898a28p-8, 0x1.a49ad69f2cceep-8, 0x1.93e8b0281d6ccp-8, 0x1.83cf88c716cd8p-8, 0x1.744aa83df2b8p-8, 0x1.655575c7cf66dp-8, 0x1.56eb7774cfac5p-8, 0x1.49085187b1b77p-8, 0x1.3ba7c5d4f0793p-8, 0x1.2ec5b323d787ep-8, 0x1.225e14916338fp-8, 0x1.166d00f51217ep-8, 0x1.0aeeaa47a7bcp-8, 0x1.ffbeba17a2ffp-9, 0x1.ea76ff71e4209p-9, 0x1.d5ff244fe785p-9, 0x1.c2505a0427b48p-9, 0x1.af640263b76fdp-9, 0x1.9d33aeac5e42p-9, 0x1.8bb91e6f0ce68p-9, 0x1.7aee3e7e79a8ap-9, 0x1.6acd27e21766ep-9, 0x1.5b501ecd5ad84p-9, 0x1.4c71919b769b1p-9, 0x1.3e2c17cf363bcp-9, 0x1.307a71173b311p-9, 0x1.23578456b0128p-9, 0x1.16be5eb23b6c7p-9, 0x1.0aaa32a136b4bp-9, 0x1.fe2cae063d56bp-10, 0x1.e7fc8c731252ep-10, 0x1.d2bb3a8c664a9p-10, 0x1.be6035da7d251p-10, 0x1.aae33db777665p-10, 0x1.983c51a4a07ffp-10, 0x1.8663afa82a5bcp-10, 0x1.7551d2b318332p-10, 0x1.64ff710f1be68p-10, 0x1.55657ad4b4a55p-10, 0x1.467d186946d7dp-10, 0x1.383fa90525687p-10, 0x1.2aa6c1415783p-10, 0x1.1dac29ad0d463p-10, 0x1.1149dd6ab3a3fp-10, 0x1.057a08d51a828p-10, 0x1.f46e10568e636p-11, 0x1.def6cc8829ca5p-11, 0x1.ca83b691ec896p-11, 0x1.b70a96f00f29bp-11, 0x1.a4818bda55144p-11, 0x1.92df06e3bfc6ep-11, 0x1.8219caa84be9p-11, 0x1.7228e8880d55ep-11, 0x1.6303be701b9aep-11, 0x1.54a1f4b000118p-11, 0x1.46fb7bdc25ef7p-11, 0x1.3a088abcfed6bp-11, 0x1.2dc19c4a8cdbep-11, 0x1.221f6db4d5bd9p-11, 0x1.171afc7763f17p-11, 0x1.0cad84793eb91p-11, 0x1.02d07e3815dffp-11, 0x1.f2fb39fe5eec5p-12, 0x1.e15d9a540273bp-12, 0x1.d0bc64e14724dp-12, 0x1.c10c4c7ffc628p-12, 0x1.b2426c37f6267p-12, 0x1.a45444193fe02p-12, 0x1.9737b62ad19f8p-12, 0x1.8ae3036c00aefp-12, 0x1.7f4cc8ea6c2a4p-12, 0x1.746bfceafbf0cp-12, 0x1.6a37ec2542c04p-12, 0x1.60a837133846cp-12, 0x1.57b4cf506ed25p-12, 0x1.4f55f50c40558p-12, 0x1.4784348d23551p-12, 0x1.403863c4d9d5p-12, 0x1.396b9ff62f509p-12, 0x1.33174b69e9ce8p-12, 0x1.2d350b33336c8p-12, 0x1.27bec504b2adfp-12, 0x1.22ae9d13fb071p-12, 0x1.1dfef40caa904p-12, 0x1.19aa65123346cp-12, 0x1.15abc3ce02c87p-12, 0x1.11fe1a8da67b6p-12, 0x1.0e9ca86d1f5ap-12, 0x1.0b82df8f0585fp-12, 0x1.08ac6362d69aep-12, 0x1.061506f5403f6p-12, 0x1.03b8cb4ec618bp-12, 0x1.0193dddda2d84p-12, 0x1.ff452dd73cc34p-13, 0x1.fbc2f03ecd497p-13, 0x1.f89a5614792fdp-13, 0x1.f5c4ff7bcf5ffp-13, 0x1.f33cd6df1c115p-13, 0x1.f0fc0e484e213p-13, 0x1.eefd1ccdc0303p-13, 0x1.ed3abc1500265p-13, 0x1.ebafe5e7134a6p-13, 0x1.ea57d1d60bb21p-13, 0x1.e92df2f86272bp-13, 0x1.e82df5b31c723p-13, 0x1.e753bd96aaa79p-13, 0x1.e69b634e9a80ep-13, 0x1.e601329ecf5b5p-13, 0x1.e581a870aa715p-13, 0x1.e51970f2dd19dp-13, 0x1.e4c565c563eb3p-13, 0x1.e4828c35a5786p-13, 0x1.e44e138a368e5p-13, 0x1.e425535bb351bp-13, 0x1.e405c9f8787d3p-13, 0x1.e3ed1adaadc4fp-13, 0x1.e3d90d2749f74p-13, 0x1.e3c78a3b96141p-13, 0x1.e3b69c4696a0ep-13, 0x1.e3a46cef6321dp-13, 0x1.e38f4403e2b0cp-13, 0x1.e3758635c0642p-13, 0x1.e355b3e165db8p-13, 0x1.e32e67debdcd5p-13, 0x1.e2fe565df43bap-13, 0x1.e2c44bcdc9849p-13, 0x1.e27f2bca156cfp-13, 0x1.e22df014b0b13p-13, 0x1.e1cfa7987b42bp-13, 0x1.e1637573ba51bp-13, 0x1.e0e8900bc3d85p-13, 0x1.e05e4029e689dp-13, 0x1.dfc3e02009eeep-13, 0x1.df18daf337b8ap-13, 0x1.de5cab901681ep-13, 0x1.dd8edc06ba916p-13, 0x1.dcaf04cc4eb44p-13, 0x1.dbbccc0488308p-13, 0x1.dab7e4d29dc1ap-13, 0x1.d9a00eb025164p-13, 0x1.d87514c89541bp-13, 0x1.d736cd5dd1534p-13, 0x1.d5e519311285bp-13, 0x1.d47fe2f1bd716p-13, 0x1.d3071eb21772dp-13, 0x1.d17ac961aba08p-13, 0x1.cfdae84cb094ap-13, 0x1.ce27889f31fafp-13, 0x1.cc60beef51f9bp-13, 0x1.ca86a6cb2d0b2p-13, 0x1.c899624ae2e42p-13, 0x1.c69919a864886p-13, 0x1.c485fadaaa44bp-13, 0x1.c260393572b04p-13, 0x1.c0280d0c2351dp-13, 0x1.bdddb35936cd5p-13, 0x1.bb816d6a6ea44p-13, 0x1.b913808e875edp-13, 0x1.b69435c7ed883p-13, 0x1.b403d982eac68p-13, 0x1.b162bb4e6f48dp-13, 0x1.aeb12d9802404p-13, 0x1.abef856a85a07p-13, 0x1.a91e1a3117b7dp-13, 0x1.a63d457bd6aa1p-13, 0x1.a34d62c727085p-13, 0x1.a04ecf468f57ap-13, 0x1.9d41e9b16543ep-13, 0x1.9a271212833e4p-13, 0x1.96fea999442b3p-13, 0x1.93c9126d8eb0cp-13, 0x1.9086af8692788p-13, 0x1.8d37e4829bc3ep-13, 0x1.89dd15814b7e4p-13, 0x1.8676a70044022p-13, 0x1.8304fdb9176dap-13, 0x1.7f887e8149639p-13, 0x1.7c018e2b9d29ap-13, 0x1.7870916bb80ep-13, 0x1.74d5ecbb51eafp-13, 0x1.7132044045f1fp-13, 0x1.6d853bb4c1b28p-13, 0x1.69cff650f7705p-13, 0x1.661296b593079p-13, 0x1.624d7ed82f53bp-13, 0x1.5e810feff337fp-13, 0x1.5aadaa64ca16fp-13, 0x1.56d3adbf2d4dep-13, 0x1.52f37898794dp-13, 0x1.4f0d688d22c51p-13, 0x1.4b21da2fcfb68p-13, 0x1.473128fcd1c82p-13, 0x1.433baf4fa6878p-13, 0x1.3f41c657bb693p-13, 0x1.3b43c60f8442cp-13, 0x1.374205340990ap-13, 0x1.333cd93cd9cfcp-13, 0x1.2f349654c834ep-13, 0x1.2b298f53f7c19p-13, 0x1.271c15b9c41e5p-13, 0x1.230c79a7e4cf8p-13, 0x1.1efb09de1a38ep-13, 0x1.1ae813b5c2503p-13, 0x1.16d3e31f05555p-13, 0x1.12bec29e12c23p-13, 0x1.0ea8fb48952b9p-13, 0x1.0a92d4c3fd676p-13, 0x1.067c95446338dp-13, 0x1.0266818b48425p-13, 0x1.fca1b9ce6f49fp-14, 0x1.f477d2678f9c5p-14, 0x1.ec4fcdb2cc723p-14, 0x1.e42a299ced874p-14, 0x1.dc07612fc5c9fp-14, 0x1.d3e7ec94cfb0ep-14, 0x1.cbcc4118303f6p-14, 0x1.c3b4d12c56c3p-14, 0x1.bba20c6e033ffp-14, 0x1.b3945fa8a6f05p-14, 0x1.ab8c34db68b0dp-14, 0x1.a389f33e91ea1p-14, 0x1.9b8dff4979656p-14, 0x1.9398bab8718d3p-14, 0x1.8baa849372c07p-14, 0x1.83c3b934d1b72p-14, 0x1.7be4b25059294p-14, 0x1.740dc6facdbf5p-14, 0x1.6c3f4bb1692e1p-14, 0x1.6479926177316p-14, 0x1.5cbcea70cd382p-14, 0x1.5509a0c5c0b87p-14, 0x1.4d5fffcfaf129p-14, 0x1.45c04f8f6dda3p-14, 0x1.3e2ad5a02d27bp-14, 0x1.369fd5402ce07p-14, 0x1.2f1f8f5968cedp-14, 0x1.27aa428b4d5c4p-14, 0x1.20402b33157a9p-14, 0x1.18e1837552b0fp-14, 0x1.118e8347177bfp-14, 0x1.0a47607749ab7p-14, 0x1.030c4eb7ce903p-14, 0x1.f7baff4ddc915p-15, 0x1.e97645b1af528p-15, 0x1.db4acbc160426p-15, 0x1.cd38e8b3d8715p-15, 0x1.bf40efe3db8bdp-15, 0x1.b16330e201cffp-15, 0x1.a39ff787a5ecfp-15, 0x1.95f78c0929308p-15, 0x1.886a330892233p-15, 0x1.7af82da77308cp-15, 0x1.6da1b999853e6p-15, 0x1.606711369073ep-15, 0x1.53486b8c8e6bep-15, 0x1.4645fc710fc8bp-15, 0x1.395ff4930e5fap-15, 0x1.2c96818cb5764p-15, 0x1.1fe9cdf48ce95p-15, 0x1.135a016eb0f07p-15, 0x1.06e740bd9a8cdp-15, 0x1.f5235ba684cedp-16, 0x1.dcb2cfc33903dp-16, 0x1.c47d16d5d71c3p-16, 0x1.ac8264a4eeb28p-16, 0x1.94c2e7d87ee61p-16, 0x1.7d3eca191db0ap-16, 0x1.65f6303043c9dp-16, 0x1.4ee93a26dd63p-16, 0x1.38180363fc08bp-16, 0x1.2182a2ca11d11p-16, 0x1.0b292ad4f9e78p-16, 0x1.ea17536ebc7d1p-17, 0x1.be5452ee2f5ffp-17, 0x1.93096012750e5p-17, 0x1.68367edd9ff65p-17, 0x1.3ddbab9e87c59p-17, 0x1.13f8db26e2044p-17, 0x1.d51bf60182b29p-18, 0x1.8335e3468a8f8p-18, 0x1.323f3d4b22ba4p-18, 0x1.c46f6bbd54e02p-19, 0x1.263de3afac391p-19, 0x1.13d225d86679fp-20, -0x1.08fee815d74b1p-23, -0x1.525c408a22792p-20, -0x1.3ff29907811cap-19, -0x1.d4de85bc298afp-19, -0x1.33f994799bdd3p-18, -0x1.7c98ed14e541dp-18, -0x1.c44e028d35104p-18, -0x1.058cca46b84eep-17, -0x1.287e361efa857p-17, -0x1.4afbadfa2c41p-17, -0x1.6d059f70a47b4p-17, -0x1.8e9c7c6379433p-17, -0x1.afc0bad648c44p-17, -0x1.d072d4ca92cdp-17, -0x1.f0b3481b68836p-17, -0x1.08414b2d1bb71p-16, -0x1.17f0a256aeab5p-16, -0x1.2767edd61f968p-16, -0x1.36a7739f59d27p-16, -0x1.45af7b3ea0d62p-16, -0x1.54804dc96b82bp-16, -0x1.631a35cdeeee4p-16, -0x1.717d7f4415cb9p-16, -0x1.7faa777f0e6afp-16, -0x1.8da16d1eb4b3cp-16, -0x1.9b62b0019d875p-16, -0x1.a8ee91372675ep-16, -0x1.b64562f22118bp-16, -0x1.c367787c0020bp-16, -0x1.d055262737bfbp-16, -0x1.dd0ec142f39ffp-16, -0x1.e994a00f424f2p-16, -0x1.f5e719b1851e5p-16, -0x1.01034313ff3bap-15, -0x1.06f99f1f5d658p-15, -0x1.0cd6cdc24450cp-15, -0x1.129afc2014cb8p-15, -0x1.184657b2f58e3p-15, -0x1.1dd90e46bc6e4p-15, -0x1.23534df3beb51p-15, -0x1.28b5451a587d7p-15, -0x1.2dff225dab068p-15, -0x1.3331149f35002p-15, -0x1.384b4afa54dd6p-15, -0x1.3d4df4c03a1e8p-15, -0x1.4239417331982p-15, -0x1.470d60c2a697dp-15, -0x1.4bca82870f22ap-15, -0x1.5070d6be0bbap-15, -0x1.55008d867e1dcp-15, -0x1.5979d71d12fd7p-15, -0x1.5ddce3d83f825p-15, -0x1.6229e42527f4bp-15, -0x1.66610883f8113p-15, -0x1.6a82818476d01p-15, -0x1.6e8e7fc2e0ca8p-15, -0x1.728533e4fb314p-15, -0x1.7666ce96eb4f9p-15, -0x1.7a33808829cd2p-15, -0x1.7deb7a68adc78p-15, -0x1.818eece61c9b4p-15, -0x1.851e08a920398p-15, -0x1.8898fe52c1744p-15, -0x1.8bfffe7a03ddap-15, -0x1.8f5339a913c32p-15, -0x1.9292e05b504c6p-15, -0x1.95bf22faafddap-15, -0x1.98d831dd79deap-15, -0x1.9bde3d4420ed6p-15, -0x1.9ed1755760cddp-15, -0x1.a1b20a260e2a5p-15, -0x1.a4802ba308321p-15, -0x1.a73c09a35d04bp-15, -0x1.a9e5d3dc64bf9p-15, -0x1.ac7db9e20e43bp-15, -0x1.af03eb2504596p-15, -0x1.b17896f13d1d5p-15, -0x1.b3dbec6c0a3eep-15, -0x1.b62e1a92c2ba3p-15, -0x1.b86f5039454cbp-15, -0x1.ba9fbc0852eb5p-15, -0x1.bcbf8c7c2b285p-15, -0x1.beceefe35a505p-15, -0x1.c0ce145d780a5p-15, -0x1.c2bd27d9ad0ap-15, -0x1.c49c581594fe3p-15, -0x1.c66bd29c10a4fp-15, -0x1.c82bc4c4241ffp-15, -0x1.c9dc5bafe6935p-15, -0x1.cb7dc44b7392bp-15, -0x1.cd102b4c10127p-15, -0x1.ce93bd2edd805p-15, -0x1.d008a6385021ep-15, -0x1.d16f127321395p-15, -0x1.d2c72daf60df6p-15, -0x1.d4112381aec59p-15, -0x1.d54d1f4294d77p-15, -0x1.d67b4c0dccf55p-15, -0x1.d79bd4c1624c2p-15, -0x1.d8aee3fd15b04p-15, -0x1.d9b4a421bf731p-15, -0x1.daad3f50a101cp-15, -0x1.db98df6aeb1e4p-15, -0x1.dc77ae110d54ep-15, -0x1.dd49d4a26c7c7p-15, -0x1.de0f7c3c8a2e1p-15, -0x1.dec8cdbad368ep-15, -0x1.df75f1b621077p-15, -0x1.e017108434f6ep-15, -0x1.e0ac523758373p-15, -0x1.e135de9dfc1ap-15, -0x1.e1b3dd4292a0cp-15, -0x1.e226756af83f2p-15, -0x1.e28dce184e62fp-15, -0x1.e2ea0e06985fap-15, -0x1.e33b5bac86d46p-15, -0x1.e381dd3b3e069p-15, -0x1.e3bdb89e0f442p-15, -0x1.e3ef137a564ccp-15, -0x1.e416132f52c55p-15, -0x1.e432dcd5c4c72p-15, -0x1.e4459540108bp-15, -0x1.e44e60f9fc1e9p-15, -0x1.e44d64488de22p-15, -0x1.e442c329e710cp-15, -0x1.e42ea1554f475p-15, -0x1.e411223b2339cp-15, -0x1.e3ea6904ae25cp-15, -0x1.e3ba989437dfep-15, -0x1.e381d384e351fp-15, -0x1.e3403c2ac7571p-15, -0x1.e2f5f492eda71p-15, -0x1.e2a31e8344c92p-15, -0x1.e247db7ab7db9p-15, -0x1.e1e44cb149f53p-15, -0x1.e1789317eff4fp-15, -0x1.e104cf58d7d7dp-15, -0x1.e08921d76bf72p-15, -0x1.e005aab0605d4p-15, -0x1.df7a89b9c4c91p-15, -0x1.dee7de83315b2p-15, -0x1.de4dc855f4576p-15, -0x1.ddac66350ffb8p-15, -0x1.dd03d6dd78d3ap-15, -0x1.dc5438c62d81bp-15, -0x1.db9daa205f176p-15, -0x1.dae048d79e7bfp-15, -0x1.da1c32920f952p-15, -0x1.d95184b089b44p-15, -0x1.d8805c4ed58eap-15, -0x1.d7a8d643e0665p-15, -0x1.d6cb0f21d59f1p-15, -0x1.d5e7233677bc1p-15, -0x1.d4fd2e8b49161p-15, -0x1.d40d4ce5c806bp-15, -0x1.d31799c794609p-15, -0x1.d21c306eca3a4p-15, -0x1.d11b2bd641b3cp-15, -0x1.d014a6b5b35ap-15, -0x1.cf08bb820c757p-15, -0x1.cdf7846db1b18p-15, -0x1.cce11b68ba32cp-15, -0x1.cbc59a213353p-15, -0x1.caa51a0379428p-15, -0x1.c97fb43a6a318p-15, -0x1.c85581afbf4dcp-15, -0x1.c7269b0c50dabp-15, -0x1.c5f318b852005p-15, -0x1.c4bb12dbb2cacp-15, -0x1.c37ea15e6f6d8p-15, -0x1.c23ddbe8ce3bep-15, -0x1.c0f8d9e3afa4ep-15, -0x1.bfafb278e16cfp-15, -0x1.be627c937a8dbp-15, -0x1.bd114ee021d3ep-15, -0x1.bbbc3fcd6680bp-15, -0x1.ba63658c14f4ap-15, -0x1.b906d60f7337p-15, -0x1.b7a6a70db3881p-15, -0x1.b642ee003bb76p-15, -0x1.b4dbc02402744p-15, -0x1.b3713279d9861p-15, -0x1.b20359c6d309cp-15, -0x1.b0924a9492debp-15, -0x1.af1e19319d8ep-15, -0x1.ada6d9b1bd2bcp-15, -0x1.ac2c9fee65803p-15, -0x1.aaaf7f86f59a1p-15, -0x1.a92f8be115d7cp-15, -0x1.a7acd8292006cp-15, -0x1.a627775270747p-15, -0x1.a49f7c17c95e2p-15, -0x1.a314f8fba8b14p-15, -0x1.a1880048a3322p-15, -0x1.9ff8a411c4525p-15, -0x1.9e66f632e6196p-15, -0x1.9cd308510fe6bp-15, -0x1.9b3cebdad870ep-15, -0x1.99a4b208bc3ddp-15, -0x1.980a6bdd82842p-15, -0x1.966e2a269e161p-15, -0x1.94cffd7c76e15p-15, -0x1.932ff642d0f99p-15, -0x1.918e24a942c56p-15, -0x1.8fea98ab7d0dp-15, -0x1.8e456211a115dp-15, -0x1.8c9e9070ad719p-15, -0x1.8af6332adaf2p-15, -0x1.894c596ffab25p-15, -0x1.87a1123ddb54bp-15, -0x1.85f46c609f7a5p-15, -0x1.844676731664fp-15, -0x1.82973edf2754bp-15, -0x1.80e6d3de2a293p-15, -0x1.7f354379450eap-15, -0x1.7d829b89cfee5p-15, -0x1.7bcee9b9af393p-15, -0x1.7a1a3b83b1f14p-15, -0x1.78649e33fcaacp-15, -0x1.76ae1ee854d93p-15, -0x1.74f6ca9076325p-15, -0x1.733eadee9d089p-15, -0x1.7185d597c1bcep-15, -0x1.6fcc4df3fc8cp-15, -0x1.6e12233edd1afp-15, -0x1.6c576187d296cp-15, -0x1.6a9c14b285c6cp-15, -0x1.68e048773fbb4p-15, -0x1.672408633ade3p-15, -0x1.65675fd8fc4dp-15, -0x1.63aa5a10b9ceap-15, -0x1.61ed0218b32dep-15, -0x1.602f62d59042p-15, -0x1.5e718702bb018p-15, -0x1.5cb37932bb051p-15, -0x1.5af543cf91c3dp-15, -0x1.5936f11b16cefp-15, -0x1.57788b2f5a2d6p-15, -0x1.55ba1bfeeb564p-15, -0x1.53fbad55322e1p-15, -0x1.523d48d6f8a89p-15, -0x1.507ef8029437p-15, -0x1.4ec0c43046b3ap-15, -0x1.4d02b692a0bd1p-15, -0x1.4b44d836d7d23p-15, -0x1.4987320521d5cp-15, -0x1.47c9ccc1142bfp-15, -0x1.460cb109ec816p-15, -0x1.444fe75aee1c3p-15, -0x1.4293780bb8537p-15, -0x1.40d76b50a3e03p-15, -0x1.3f1bc93b11c47p-15, -0x1.3d6099b9c83f8p-15, -0x1.3ba5e49940fc8p-15, -0x1.39ebb18405aafp-15, -0x1.3832080305619p-15, -0x1.3678ef7de385cp-15, -0x1.34c06f3b57a1dp-15, -0x1.33088e6164286p-15, -0x1.315153f5c6811p-15, -0x1.2f9ac6de57f35p-15, -0x1.2de4ede1393eep-15, -0x1.2c2fcfa535afep-15, -0x1.2a7b72b218825p-15, -0x1.28c7dd70f99fdp-15, -0x1.2715162c91ee4p-15, -0x1.256323119958ep-15, -0x1.23b20a2efc7f2p-15, -0x1.2201d1763d9f5p-15, -0x1.20527ebbbc496p-15, -0x1.1ea417b70b7aap-15, -0x1.1cf6a2033c321p-15, -0x1.1b4a231f2d104p-15, -0x1.199ea06dd770fp-15, -0x1.17f41f369d3e1p-15, -0x1.164aa4a594986p-15, -0x1.14a235cbd6bedp-15, -0x1.12fad79fd066bp-15, -0x1.11548efd7c75ap-15, -0x1.0faf60a6af4e9p-15, -0x1.0e0b51438d5a9p-15, -0x1.0c686562a4413p-15, -0x1.0ac6a1793fef9p-15, -0x1.092609e3bba92p-15, -0x1.0786a2e5c5c3ap-15, -0x1.05e870aaa52fcp-15, -0x1.044b774595b5cp-15, -0x1.02afbab1fbd64p-15, -0x1.01153ed3a7ce7p-15, -0x1.fef80eee525b9p-16, -0x1.fbc830a41c7ecp-16, -0x1.f89aea0656083p-16, -0x1.f5704225c2821p-16, -0x1.f2483fe6bc378p-16, -0x1.ef22ea01ca159p-16, -0x1.ec0047042388bp-16, -0x1.e8e05d503007bp-16, -0x1.e5c3331e15078p-16, -0x1.e2a8ce7c3d738p-16, -0x1.df91354fcc3f6p-16, -0x1.dc7c6d55106abp-16, -0x1.d96a7c20525dep-16, -0x1.d65b671e0f00dp-16, -0x1.d34f33937d093p-16, -0x1.d045e69f1e88dp-16, -0x1.cd3f853934389p-16, -0x1.ca3c1434373f6p-16, -0x1.c73b983d71f54p-16, -0x1.c43e15dd66eep-16, -0x1.c143917835db2p-16, -0x1.be4c0f4e30b41p-16, -0x1.bb57937c44323p-16, -0x1.b86621fc7a3d8p-16, -0x1.b577bea66bc66p-16, -0x1.b28c6d2fb1e7p-16, -0x1.afa4312c5ef1cp-16, -0x1.acbf0e0f71bc4p-16, -0x1.a9dd072b48e9ep-16, -0x1.a6fe1fb20e49bp-16, -0x1.a4225ab62ad98p-16, -0x1.a149bb2abf1bfp-16, -0x1.9e7443e4017dcp-16, -0x1.9ba1f7979e2cp-16, -0x1.98d2d8dd5ef8fp-16, -0x1.9606ea2f672abp-16, -0x1.933e2deaa2736p-16, -0x1.9078a64f31bfdp-16, -0x1.8db65580dc58ap-16, -0x1.8af73d876d8f1p-16, -0x1.883b604f2ae9ep-16, -0x1.8582bfa934b3dp-16, -0x1.82cd5d4bdde4ap-16, -0x1.801b3ad320dccp-16, -0x1.7d6c59c0f74e8p-16, -0x1.7ac0bb7dc42abp-16, -0x1.78186158b881fp-16, -0x1.75734c8827d3ap-16, -0x1.72d17e29f1fa8p-16, -0x1.7032f743e3bb2p-16, -0x1.6d97b8c40c83dp-16, -0x1.6affc3811fb39p-16, -0x1.686b183ad528bp-16, -0x1.65d9b79a3cd71p-16, -0x1.634ba23224621p-16, -0x1.60c0d87f5fe3cp-16, -0x1.5e395ae92b34p-16, -0x1.5bb529c18ca08p-16, -0x1.59344545a377bp-16, -0x1.56b6ad9dfd1p-16, -0x1.543c62dee1296p-16, -0x1.51c56508b27bdp-16, -0x1.4f51b40841954p-16, -0x1.4ce14fb71efedp-16, -0x1.4a7437dbed621p-16, -0x1.480a6c2aaf5b7p-16, -0x1.45a3ec451b10bp-16, -0x1.4340b7bae5d9ap-16, -0x1.40e0ce0a1665dp-16, -0x1.3e842e9f53ffap-16, -0x1.3c2ad8d62d2a4p-16, -0x1.39d4cbf969c6ep-16, -0x1.3782074354948p-16, -0x1.353289de06207p-16, -0x1.32e652e3b3514p-16, -0x1.309d615eed888p-16, -0x1.2e57b44aeb69cp-16, -0x1.2c154a93dc71p-16, -0x1.29d623171e452p-16, -0x1.279a3ca393e87p-16, -0x1.256195f9df5e3p-16, -0x1.232c2dcca61eep-16, -0x1.20fa02c0deeaep-16, -0x1.1ecb136e09febp-16, -0x1.1c9f5e5e7b4b3p-16, -0x1.1a76e20f91f1bp-16, -0x1.18519cf203347p-16, -0x1.162f8d6a141cp-16, -0x1.1410b1cfdb0a1p-16, -0x1.11f5086f7cf8cp-16, -0x1.0fdc8f896ce4p-16, -0x1.0dc74552aca3cp-16, -0x1.0bb527f4fdeb8p-16, -0x1.09a6358f2b118p-16, -0x1.079a6c3535e55p-16, -0x1.0591c9f099425p-16, -0x1.038c4cc08707dp-16, -0x1.0189f29a140dap-16, -0x1.ff1572d0f08b2p-17, -0x1.fb1d3e1a9514fp-17, -0x1.f72b42c15a99ep-17, -0x1.f33f7c631bf93p-17, -0x1.ef59e68b9c359p-17, -0x1.eb7a7cb500f42p-17, -0x1.e7a13a485fb8cp-17, -0x1.e3ce1a9ddf0aep-17, -0x1.e00118fd36b94p-17, -0x1.dc3a309e2bc9fp-17, -0x1.d8795ca8d5a77p-17, -0x1.d4be9836116b6p-17, -0x1.d109de4fe54f1p-17, -0x1.cd5b29f1d7238p-17, -0x1.c9b276093a24p-17, -0x1.c60fbd75adc84p-17, -0x1.c272fb0964625p-17, -0x1.bedc29897de99p-17, -0x1.bb4b43ae6fbdap-17, -0x1.b7c044244f978p-17, -0x1.b43b258b2fc52p-17, -0x1.b0bbe27772bf8p-17, -0x1.ad4275722313ep-17, -0x1.a9ced8f93a01ap-17, -0x1.a661078008ae4p-17, -0x1.a2f8fb6f84873p-17, -0x1.9f96af268257fp-17, -0x1.9c3a1cfa12861p-17, -0x1.98e33f35debddp-17, -0x1.9592101c6397ap-17, -0x1.924689e72d1f4p-17, -0x1.8f00a6c7612dcp-17, -0x1.8bc060e5dacafp-17, -0x1.8885b263584b9p-17, -0x1.85509558dbdfdp-17, -0x1.822103d80f03fp-17, -0x1.7ef6f7eb81e93p-17, -0x1.7bd26b96cc9b8p-17, -0x1.78b358d6e85b6p-17, -0x1.7599b9a274cabp-17, -0x1.728587e9f0216p-17, -0x1.6f76bd97f8074p-17, -0x1.6c6d549195f5bp-17, -0x1.696946b67d2fdp-17, -0x1.666a8de138e06p-17, -0x1.637123e77e3f1p-17, -0x1.607d029a5aae7p-17, -0x1.5d8e23c66bf05p-17, -0x1.5aa4813423e1fp-17, -0x1.57c014a80502cp-17, -0x1.54e0d7e2cf221p-17, -0x1.5206c4a1ba74bp-17, -0x1.4f31d49eb86fap-17, -0x1.4c62019099d36p-17, -0x1.4997452b53b47p-17, -0x1.46d1992031a1ep-17, -0x1.4410f71df40e1p-17, -0x1.415558d101294p-17, -0x1.3e9eb7e3e8074p-17, -0x1.3bed0dff4d98dp-17, -0x1.394054c9d7c69p-17, -0x1.369885e8bbae9p-17, -0x1.33f59afff66c8p-17, -0x1.31578db256093p-17, -0x1.2ebe57a1af607p-17, -0x1.2c29f26effb57p-17, -0x1.299a57ba9baep-17, -0x1.270f81245bdacp-17, -0x1.2489684bc55adp-17, -0x1.220806d03de2ap-17, -0x1.1f8b56512fe83p-17, -0x1.1d13506e2dccdp-17, -0x1.1a9feec71f8cap-17, -0x1.18312afc61023p-17, -0x1.15c6feaeedb5fp-17, -0x1.1361638080b7ep-17, -0x1.11005313bf22fp-17, -0x1.0ea3c70c6008ap-17, -0x1.0c4bb90f420eep-17, -0x1.09f822c28dbcfp-17, -0x1.07a8fdcdf1005p-17, -0x1.055e43daa583ep-17, -0x1.0317ee93a1661p-17, -0x1.00d5f7a5af4a2p-17, -0x1.fd30b17ee8cafp-18, -0x1.f8be17236b597p-18, -0x1.f454139f48205p-18, -0x1.eff29a5d54aa3p-18, -0x1.eb999ecccce8dp-18, -0x1.e7491462067d4p-18, -0x1.e300ee970bc8dp-18, -0x1.dec120eb53de7p-18, -0x1.da899ee409fdfp-18, -0x1.d65a5c0c48aa4p-18, -0x1.d2334bf5432aep-18, -0x1.ce14623670343p-18, -0x1.c9fd926dbcebcp-18, -0x1.c5eed03ff213cp-18, -0x1.c1e80f58b2063p-18, -0x1.bde9436ab00c3p-18, -0x1.b9f2602ff2a9p-18, -0x1.b6035969d399dp-18, -0x1.b21c22e15808dp-18, -0x1.ae3cb06746beap-18, -0x1.aa64f5d443cdep-18, -0x1.a694e70918584p-18, -0x1.a2cc77eec4b6fp-18, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      16, 0x1.ae147ae147ae1p+1, 0x1.b6518fd0c5587p+1, 0x1.343359fe91ad9p+2, -0x1.3b012a1a08846p-8, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.8843e2ecd3597p-7, -0x1.d6a6a6a441b2ap-5, 0x1.92eb8a1f55d72p-4, -0x1.f94fb358dd403p-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.31f0d3c1eebabp-7, -0x1.89db573e041c2p-5, 0x1.6d058fdf120c1p-4, -0x1.fc79b30a61507p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.d46e5eee1544ap-8, -0x1.44aa804a7096bp-5, 0x1.46e2d5a4b125dp-4, -0x1.fe499f72a4958p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.5f214008302dfp-8, -0x1.071dafb7cd1d6p-5, 0x1.209d5015b19acp-4, -0x1.01d448cc395ccp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.00e9945ac6678p-8, -0x1.a285604e54e8fp-6, 0x1.f3e1572152006p-5, -0x1.f202ad10d3c15p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.6d6a669b19baep-9, -0x1.4603de46a3d81p-6, 0x1.a92dbd2b98a2fp-5, -0x1.c9620c7be7fb9p-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.f63434b6f3fdbp-10, -0x1.efae247551987p-7, 0x1.64923b4c35d71p-5, -0x1.a43221c420ab2p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.4ac6d8d1f2268p-10, -0x1.6da85a8d5bc18p-7, 0x1.258ab63b9756bp-5, -0x1.7e1748a4974afp-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.9ceff66a207eap-11, -0x1.03b420a36b71p-7, 0x1.d874d6ac347d9p-6, -0x1.58377346efa6bp-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e06f395defaaep-12, -0x1.5f13e2f6da81fp-8, 0x1.713100e3b965bp-6, -0x1.32567d4984b76p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.fb7babcd711d6p-13, -0x1.bb9011b0fd6b3p-9, 0x1.154a41b411948p-6, -0x1.0c3f060944e9ep-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.d1904a56b3dcdp-14, -0x1.fbd72c589317ep-10, 0x1.89a1e62f6036cp-7, -0x1.ce0568e835406p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.54f015b85c6dp-15, -0x1.f0c1160db7bbbp-11, 0x1.fe0d5a39d3ac1p-8, -0x1.7d209aeae0b6ap-6}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.496f97880b9p-17, -0x1.685dbd2569f0cp-12, 0x1.19603079b33f6p-8, -0x1.44362ce36054ep-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e03477c9954c6p-21, -0x1.072570affa05bp-14, 0x1.5b6522f84c352p-10, -0x1.187324daab103p-7}, 
        {0x1.acccccccccccdp+1, 0x1.ae147ae147ae1p+1, 0x1.7b6bd395ccdffp-31, 0x1.7743d7c04a61p-18, 0x1.5b5ed7d643f41p-15, -0x1.6b5a8e724b905p-2}, 
      }}, 
      0x1.7819d534d1abfp+5, -0x1.b818a23a5e773p+10
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.e6bb314131e85p-10, 0x1.bf918dfa46445p-9, 0x1.21597ddfa254bp-8, 0x1.317737d1fa128p-8, 0x1.079eab3b6619ep-8, 0x1.3ee402bca72c7p-9, -0x1.f52c5a7ee61cap-14, -0x1.d81c104440467p-9, -0x1.0468df4267e9dp-7, -0x1.ac0bebdd104afp-7, -0x1.34b15ef98cc1fp-6, -0x1.9c48df17b557cp-6, -0x1.0567def36c2a6p-5, -0x1.3f267e37f81d1p-5, -0x1.7a6cda5e86cf3p-5, -0x1.b655b12f01ce3p-5, -0x1.f20d8def6b14fp-5, -0x1.166a80c9c25acp-4, -0x1.3300e6f5b6d1fp-4, -0x1.4e7f97e01445ap-4, -0x1.68a6bd59cee1p-4, -0x1.8140a84f27619p-4, -0x1.98213be6817cbp-4, -0x1.ad2543b680531p-4, -0x1.c031bd214db21p-4, -0x1.d13316a867006p-4, -0x1.e01c770c2474p-4, -0x1.ece704503676p-4, -0x1.f7913704cb232p-4, -0x1.000f1b7a0dc2bp-3, -0x1.034aa1b177c88p-3, -0x1.0580933770f4bp-3, -0x1.06b7dad5ae3e9p-3, -0x1.06f8ad2de197ap-3, -0x1.064c53ea41453p-3, -0x1.04bcfbfe8ebf5p-3, -0x1.0255892e0374ep-3, -0x1.fe42da974b85ap-4, -0x1.f659066a21568p-4, -0x1.ed05da9f6cb0fp-4, -0x1.e261eeb0a88aap-4, -0x1.d685f6b89835dp-4, -0x1.c98a936c9f4d1p-4, -0x1.bb8827d150de4p-4, -0x1.ac96b434b3308p-4, -0x1.9ccdb63bb9694p-4, -0x1.8c440e5c16c3ap-4, -0x1.7b0fe8b3bdad1p-4, -0x1.6946a9cfbd8cdp-4, -0x1.56fce14ad60a2p-4, -0x1.44463d2710b06p-4, -0x1.313582055bb13p-4, -0x1.1ddc85e941b38p-4, -0x1.0a4c2cf34b601p-4, -0x1.ed28d21fb567cp-5, -0x1.c588735a31786p-5, -0x1.9dd361eb96ed8p-5, -0x1.7623eefd64476p-5, -0x1.4e92a46e9383p-5, -0x1.273648d55f415p-5, -0x1.00240297ad469p-5, -0x1.b2de98fe9d071p-6, -0x1.665439f1b1bd3p-6, -0x1.1ac9d9a7ee82ap-6, -0x1.a0bb3003ebc51p-7, -0x1.0e55d230665ddp-7, -0x1.fa55233f3f299p-9, 0x1.cb2f6acfca381p-12, 0x1.309c8be6ca9a5p-8, 0x1.1f25311422062p-7, 0x1.a2be72027d57fp-7, 0x1.117f0f2651c9fp-6, 0x1.4fe5fdc2c4c8dp-6, 0x1.8c89a6832af56p-6, 0x1.c7615271c8dccp-6, 0x1.0032ef5768873p-5, 0x1.1bc8d3d8af143p-5, 0x1.3670361e3d60cp-5, 0x1.5027a00cdd79bp-5, 0x1.68ee38f0cc671p-5, 0x1.80c3bcf399371p-5, 0x1.97a8739fd9e0ap-5, 0x1.ad9d26e0fe196p-5, 0x1.c2a31a3f32cb8p-5, 0x1.d6bc025313754p-5, 0x1.e9e9fbb1affb7p-5, 0x1.fc2f826cbb971p-5, 0x1.06c7b4b637774p-4, 0x1.0f066913aca59p-4, 0x1.16d5922ee2a77p-4, 0x1.1e37038f8863ep-4, 0x1.252cac8eb2784p-4, 0x1.2bb8952c63169p-4, 0x1.31dcdaf283193p-4, 0x1.379bae167862p-4, 0x1.3cf74edd2f84cp-4, 0x1.41f20a6dc477fp-4, 0x1.468e3a34325fap-4, 0x1.4ace3fc034aadp-4, 0x1.4eb482e2e740ep-4, 0x1.524370ffd5e72p-4, 0x1.557d79f0b29f1p-4, 0x1.58650f1faed9dp-4, 0x1.5afca17b617efp-4, 0x1.5d469f80a60d5p-4, 0x1.5f4575a0ba3dep-4, 0x1.60fb8b3fafbe7p-4, 0x1.626b4231ccca5p-4, 0x1.6396f62f518dp-4, 0x1.6480fbc6c7994p-4, 0x1.652b9ec4fc219p-4, 0x1.6599233aaa9d5p-4, 0x1.65cbc33a0b437p-4, 0x1.65c5af24962e5p-4, 0x1.65890cf731b5dp-4, 0x1.6517f7fa55801p-4, 0x1.6474809d7f54fp-4, 0x1.63a0ab352fb7dp-4, 0x1.629e71ccdf7afp-4, 0x1.616fc19a1a53p-4, 0x1.60167c8a3ca75p-4, 0x1.5e9478873542bp-4, 0x1.5ceb7fd135978p-4, 0x1.5b1d4fe4c1c28p-4, 0x1.592b9ba36d87dp-4, 0x1.5718095b11c16p-4, 0x1.54e4340ab2fedp-4, 0x1.5291aa711939ep-4, 0x1.5021f095b729ap-4, 0x1.4d967e6f454b1p-4, 0x1.4af0c1bd3e53ep-4, 0x1.48321cc3007d8p-4, 0x1.455be622c8f5dp-4, 0x1.426f6aa4677f7p-4, 0x1.3f6dec6521091p-4, 0x1.3c58a33cb1336p-4, 0x1.3930bc86b47ddp-4, 0x1.35f75c0d997f4p-4, 0x1.32ad9bff77664p-4, 0x1.2f548c8937ba1p-4, 0x1.2bed3547fe34ap-4, 0x1.2878944a648bap-4, 0x1.24f79f10bd1bbp-4, 0x1.216b42659ffp-4, 0x1.1dd463148c1acp-4, 0x1.1a33dd895fc9dp-4, 0x1.168a8642f7569p-4, 0x1.12d92afa432dp-4, 0x1.0f209016e187ap-4, 0x1.0b617515b650ep-4, 0x1.079c913545978p-4, 0x1.03d2956e121cap-4, 0x1.00042c2aa96d4p-4, 0x1.f863f286ebdb6p-5, 0x1.f0b9356c7560dp-5, 0x1.e90951beb6dbap-5, 0x1.e1556c654ac36p-5, 0x1.d99e9ed43508bp-5, 0x1.d1e5f880d7653p-5, 0x1.ca2c7f3723182p-5, 0x1.c2732e4ca8136p-5, 0x1.babaf70db9983p-5, 0x1.b304c2421d074p-5, 0x1.ab51708bbeb99p-5, 0x1.a3a1d9541fb7cp-5, 0x1.9bf6cb689e94cp-5, 0x1.94510d7990873p-5, 0x1.8cb1605978741p-5, 0x1.85187c187b8ep-5, 0x1.7d8711fbe7808p-5, 0x1.75fdcc60a1392p-5, 0x1.6e7d4e515aca3p-5, 0x1.6706361ae2dcdp-5, 0x1.5f991a6a9f046p-5, 0x1.58368bc9dbaf4p-5, 0x1.50df1592b32f8p-5, 0x1.49933db579724p-5, 0x1.425385323f8ebp-5, 0x1.3b2065a67a092p-5, 0x1.33fa54b84e205p-5, 0x1.2ce1c2e940a44p-5, 0x1.25d71cc7a869cp-5, 0x1.1edac9a453061p-5, 0x1.17ed2b1ca0b59p-5, 0x1.110e9ea8d42fbp-5, 0x1.0a3f7e09bc9dap-5, 0x1.03801f62dde42p-5, 0x1.f9a1a7e1e6115p-6, 0x1.ec63d017c5baep-6, 0x1.df474836c7acfp-6, 0x1.d24c9b397a0cap-6, 0x1.c5744d806a963p-6, 0x1.b8bedaeab2339p-6, 0x1.ac2cb6990e166p-6, 0x1.9fbe4c5906adep-6, 0x1.9373ffee5ed88p-6, 0x1.874e367dd1f58p-6, 0x1.7b4d46e50c171p-6, 0x1.6f7182845566ap-6, 0x1.63bb341f0d24dp-6, 0x1.582aa07677edep-6, 0x1.4cc00787b1245p-6, 0x1.417ba3b5ad93dp-6, 0x1.365da8906e9ffp-6, 0x1.2b66445363864p-6, 0x1.20959aeb18cb8p-6, 0x1.15ebcf1244944p-6, 0x1.0b6900c18e74dp-6, 0x1.010d45aae4883p-6, 0x1.edb16396462e1p-7, 0x1.d996a0f74e412p-7, 0x1.c5ca51a44a32bp-7, 0x1.b24c7b30f1449p-7, 0x1.9f1d1bd509a4fp-7, 0x1.8c3c2509a3087p-7, 0x1.79a985102402ep-7, 0x1.6765191a6cffp-7, 0x1.556eb66626734p-7, 0x1.43c62a34a350ep-7, 0x1.326b3bdc59b67p-7, 0x1.215dab33d833p-7, 0x1.109d2f7bfa22fp-7, 0x1.00297565887f6p-7, 0x1.e004408360847p-8, 0x1.c04d9a2d9fda4p-8, 0x1.a12e25f4bafc9p-8, 0x1.82a508dc04867p-8, 0x1.64b158ce296f5p-8, 0x1.47521a5bd9a07p-8, 0x1.2a863baac9d2fp-8, 0x1.0e4cac77a9962p-8, 0x1.e5489098f0e24p-9, 0x1.af17be1b18c62p-9, 0x1.7a04811e77ea7p-9, 0x1.460c55dcf2ac8p-9, 0x1.132c9daf26c66p-9, 0x1.c2c5201ab96ecp-10, 0x1.6156ddfd39894p-10, 0x1.0208c2b9bd35bp-10, 0x1.49aa1bbc1348p-11, 0x1.26d79e6d20abdp-12, -0x1.eb5bf4f40241fp-15, -0x1.998dfdea9f314p-12, -0x1.76d4c7dcc9568p-11, -0x1.0e75ff57dd451p-10, -0x1.5f8cca0b12fedp-10, -0x1.aeb55ab7e7255p-10, -0x1.fbf65a4c3e8d3p-10, -0x1.23ab4fb3e19acp-9, -0x1.486e8d1dfe9fbp-9, -0x1.6c486afcf4ae3p-9, -0x1.8f3c6d0aa8914p-9, -0x1.b14e178ec7467p-9, -0x1.d280f18b13f27p-9, -0x1.f2d88dd0c07d8p-9, -0x1.092c45d8616c4p-8, -0x1.18824b9072c1p-8, -0x1.27703034da274p-8, -0x1.35f7cac4a92a9p-8, -0x1.441aedec8e4c5p-8, -0x1.51db6c4f3100cp-8, -0x1.5f3b1b712d2b4p-8, -0x1.6c3bce7fc3dcp-8, -0x1.78df65c8b1ee6p-8, -0x1.8527c00f7a83ap-8, -0x1.9116b72b78941p-8, -0x1.9cae22d01f0bfp-8, -0x1.a7efd3e40192p-8, -0x1.b2dd9935f95ecp-8, -0x1.bd7943073a4a7p-8, -0x1.c7c4a07e8e7cp-8, -0x1.d1c1805d7df28p-8, -0x1.db71d1590498ap-8, -0x1.e4d73c2f24fdep-8, -0x1.edf3971e2f4d1p-8, -0x1.f6c8a1491721cp-8, -0x1.ff5812ef8a0c6p-8, -0x1.03d1d27ce5862p-7, -0x1.07d6887cb119bp-7, -0x1.0bbb081e2f027p-7, -0x1.0f802cca9ee48p-7, -0x1.1326ce481bf51p-7, -0x1.16afc132e1fb3p-7, -0x1.1a1bd480ceafp-7, -0x1.1d6bd422a744ep-7, -0x1.20a08a8f10da2p-7, -0x1.23babf0da23eap-7, -0x1.26bb3bc59e7d8p-7, -0x1.29a2c6f956c4ap-7, -0x1.2c7224f4c5a8cp-7, -0x1.2f2a159a68ea4p-7, -0x1.31cb5499fd484p-7, -0x1.345697a0c0f18p-7, -0x1.36cc90e965935p-7, -0x1.392df19df1e07p-7, -0x1.3b7b688d7fe97p-7, -0x1.3db5a10a7078bp-7, -0x1.3fdd4aaef29cap-7, -0x1.41f309ef499efp-7, -0x1.43f78491589aap-7, -0x1.45eb57078f5c9p-7, -0x1.47cf1d855960ap-7, -0x1.49a36b5846494p-7, -0x1.4b68d4d147c79p-7, -0x1.4d1fe9a9ec684p-7, -0x1.4ec938e01f9b4p-7, -0x1.50654e3a3e6d8p-7, -0x1.51f4b3cd1aee4p-7, -0x1.5377eeafe26fep-7, -0x1.54ef7fc4f0ef9p-7, -0x1.565be27cc72e3p-7, -0x1.57bd8e3d85866p-7, -0x1.5914f663a2e22p-7, -0x1.5a628b91ad55fp-7, -0x1.5ba6bc7269f13p-7, -0x1.5ce1f4ca5d0b1p-7, -0x1.5e149ebe368cep-7, -0x1.5f3f20c5e8629p-7, -0x1.6061dd9ff3715p-7, -0x1.617d33940657cp-7, -0x1.62917c5612a3p-7, -0x1.639f0fb7c98b4p-7, -0x1.64a639fef1c55p-7, -0x1.65a74ee1a70dfp-7, -0x1.66a29ae3c866ap-7, -0x1.6798682334be9p-7, -0x1.6888ff10f0853p-7, -0x1.6974a51e79bdbp-7, -0x1.6a5b9d7f9a67dp-7, -0x1.6b3e25b00fea6p-7, -0x1.6c1c78923375ep-7, -0x1.6cf6cdefed95cp-7, -0x1.6dcd58d060441p-7, -0x1.6ea049fe7de72p-7, -0x1.6f6fcff227d28p-7, -0x1.703c16ad1ca2ap-7, -0x1.710548ce303cap-7, -0x1.71cb8e83c3081p-7, -0x1.728f0db11fdc3p-7, -0x1.734fe97b04e79p-7, -0x1.740e41f405845p-7, -0x1.74ca33fff97f9p-7, -0x1.7583d9784896bp-7, -0x1.763b499bf35cp-7, -0x1.76f099112cc26p-7, -0x1.77a3daefaa2b3p-7, -0x1.78552053386adp-7, -0x1.790478e85dd74p-7, -0x1.79b1f298961c2p-7, -0x1.7a5d99dd63aa3p-7, -0x1.7b07790f3d94p-7, -0x1.7baf9866e58bdp-7, -0x1.7c55fdc7daa67p-7, -0x1.7cfaacd995354p-7, -0x1.7d9da703c9c22p-7, -0x1.7e3eec137c4e6p-7, -0x1.7ede7a2da5cf6p-7, -0x1.7f7c4e312057ep-7, -0x1.801863da54f4bp-7, -0x1.80b2b5d8e4bbbp-7, -0x1.814b3dd7dc992p-7, -0x1.81e1f4704447bp-7, -0x1.8276d0f7ce295p-7, -0x1.8309c972d3e17p-7, -0x1.839ad25d433fbp-7, -0x1.8429dece74ed6p-7, -0x1.84b6e07f5347fp-7, -0x1.8541c81d7e1b7p-7, -0x1.85ca856498c88p-7, -0x1.865107543fa69p-7, -0x1.86d53cba16038p-7, -0x1.875712aa4af8fp-7, -0x1.87d6771bf706dp-7, -0x1.8853572b6d994p-7, -0x1.88cd9f36c8204p-7, -0x1.89453b38bab53p-7, -0x1.89ba1680589b6p-7, -0x1.8a2c1babdb3e6p-7, -0x1.8a9b3499c60fbp-7, -0x1.8b074b0d6fd95p-7, -0x1.8b7046cc4d98fp-7, -0x1.8bd6130b6c0e9p-7, -0x1.8c38956c70f0dp-7, -0x1.8c97b885823c3p-7, -0x1.8cf3644e74b51p-7, -0x1.8d4b8172a9fcep-7, -0x1.8d9ff8b111bd6p-7, -0x1.8df0b2dbc5bc3p-7, -0x1.8e3d98c2a892dp-7, -0x1.8e86932a348d6p-7, -0x1.8ecb8aca1901cp-7, -0x1.8f0c686f99381p-7, -0x1.8f491425b8498p-7, -0x1.8f817772a3f46p-7, -0x1.8fb57b2a6b04dp-7, -0x1.8fe5082b9c5dp-7, -0x1.9010089ee21a9p-7, -0x1.903666752d343p-7, -0x1.90580c24d32bfp-7, -0x1.9074e48969238p-7, -0x1.908cdadf2cb38p-7, -0x1.909fdad95a15cp-7, -0x1.90add0918534fp-7, -0x1.90b6a89234801p-7, -0x1.90ba4fda3899ap-7, -0x1.90b8b3e1d30d4p-7, -0x1.90b1c2a1f102ap-7, -0x1.90a56a9fdb518p-7, -0x1.90939af8ace27p-7, -0x1.907c42d3b784bp-7, -0x1.905f52bf82e7dp-7, -0x1.903cbb0d3c6d8p-7, -0x1.90146d16cac9fp-7, -0x1.8fe659e3f553dp-7, -0x1.8fb27443ff349p-7, -0x1.8f78af4723f1p-7, -0x1.8f38feee46e3cp-7, -0x1.8ef35825c2ad8p-7, -0x1.8ea7b0950dfp-7, -0x1.8e55fe81577a9p-7, -0x1.8dfe38e9d6453p-7, -0x1.8da056ff3fe05p-7, -0x1.8d3c5076d9e47p-7, -0x1.8cd21d7ac3aacp-7, -0x1.8c61b6c4b966fp-7, -0x1.8beb15cb82b36p-7, -0x1.8b6e34e3ae134p-7, -0x1.8aeb0f604403dp-7, -0x1.8a61a19a88ca3p-7, -0x1.89d1e8dddc0dbp-7, -0x1.893be33e70ddp-7, -0x1.889f8f61e1ef8p-7, -0x1.87fcec4984093p-7, -0x1.8753f92c18ccbp-7, -0x1.86a4b589dfa62p-7, -0x1.85ef213ce6e1ep-7, -0x1.85333cd262ec9p-7, -0x1.847109f92e8eep-7, -0x1.83a88bc93081dp-7, -0x1.82d9c6f4b4075p-7, -0x1.8204c1afe405ep-7, -0x1.812983557a89ap-7, -0x1.804813d0cd353p-7, -0x1.7f607ae2ef2ddp-7, -0x1.7e72bf82d6ddap-7, -0x1.7d7ee8605fb24p-7, -0x1.7c84f56ca517ap-7, -0x1.7b84f3fa4f64fp-7, -0x1.7a7ee067454a4p-7, -0x1.7972c2bbdc517p-7, -0x1.7860a301c2d2dp-7, -0x1.77488cca5a3fep-7, -0x1.762a8f6a0b86fp-7, -0x1.7506bd9a99685p-7, -0x1.73dd2c5ddd2fap-7, -0x1.72adf14763d09p-7, -0x1.7179207bc831bp-7, -0x1.703ecae7c96ebp-7, -0x1.6efefcebbf01fp-7, -0x1.6db9be03b2404p-7, -0x1.6c6f11aeee626p-7, -0x1.6b1ef951de562p-7, -0x1.69c976fbd4193p-7, -0x1.686e90a2b53c6p-7, -0x1.670e52f13831bp-7, -0x1.65a8d34bdd9c7p-7, -0x1.643e302efdafap-7, -0x1.62ce8fd4dbee4p-7, -0x1.615a1d14ab764p-7, -0x1.5fe102f44d6aep-7, -0x1.5e6367bf8934ap-7, -0x1.5ce168a48d267p-7, -0x1.5b5b162b6f534p-7, -0x1.59d073e54537dp-7, -0x1.584179100e04ap-7, -0x1.56ae14c5a4dffp-7, -0x1.551633c69d881p-7, -0x1.5379c75c61f9bp-7, -0x1.51d8cc4b00bbep-7, -0x1.5033509c4ba85p-7, -0x1.4e8976ddaab65p-7, -0x1.4cdb75f0aff71p-7, -0x1.4b29953179317p-7, -0x1.49742551208edp-7, -0x1.47bb76e153aaap-7, -0x1.45ffd09906642p-7, -0x1.444166a0d54cep-7, -0x1.428054bf33b4ap-7, -0x1.40bc9c3c0ff0fp-7, -0x1.3ef625e047abbp-7, -0x1.3d2cc887025afp-7, -0x1.3b604dfebfa43p-7, -0x1.399087f3324f7p-7, -0x1.37bd4df76c006p-7, -0x1.35e6926f33965p-7, -0x1.340c6520d310dp-7, -0x1.322ef743c6c76p-7, -0x1.304e98a2763b4p-7, -0x1.2e6baf4a78453p-7, -0x1.2c86aadf39618p-7, -0x1.2a9ff5da8a88cp-7, -0x1.28b7e7982513cp-7, -0x1.26ceb9d8a7269p-7, -0x1.24e483849e5bp-7, -0x1.22f93934cb82cp-7, -0x1.210cb2d25fa0bp-7, -0x1.1f1eb4e8419d5p-7, -0x1.1d2efc1cefe53p-7, -0x1.1b3d4986f9c9bp-7, -0x1.19496ed94964ap-7, -0x1.175359749e9a7p-7, -0x1.155b1ad2ac5a2p-7, -0x1.1360ecd3818e9p-7, -0x1.116530046ae85p-7, -0x1.0f6862c2c6aafp-7, -0x1.0d6b11d5b1401p-7, -0x1.0b6dc4a93bbc3p-7, -0x1.0970ea8bbb665p-7, -0x1.0774c5b2ebee8p-7, -0x1.057966dafb686p-7, -0x1.037eb377f7e66p-7, -0x1.01846344e1d2ep-7, -0x1.ff142d52cba2fp-8, -0x1.fb1ec8c345d13p-8, -0x1.f727ce30d59e1p-8, -0x1.f32e8fa5389f6p-8, -0x1.ef328bf5a2259p-8, -0x1.eb337d843859cp-8, -0x1.e73169cc1fcecp-8, -0x1.e32cb0aed1b47p-8, -0x1.df2613d150e65p-8, -0x1.db1eb527de7d7p-8, -0x1.d717fe16eec61p-8, -0x1.d31376c651df1p-8, -0x1.cf12905f15124p-8, -0x1.cb166f231fffap-8, -0x1.c71fc3428f12ep-8, -0x1.c32ebb5383d86p-8, -0x1.bf43137aa266cp-8, -0x1.bb5c3a256b1bfp-8, -0x1.b7797b8f37aa9p-8, -0x1.b39a237112c37p-8, -0x1.afbd8ae5f3264p-8, -0x1.abe3123ee6079p-8, -0x1.a80a117f4710ep-8, -0x1.a431cf2decdd1p-8, -0x1.a05989e673219p-8, -0x1.9c8097acc4e21p-8, -0x1.98a692b63e90bp-8, -0x1.94cb83465890cp-8, -0x1.90eff4cacf5cep-8, -0x1.8d14ea5d4168p-8, -0x1.893bb24d1c744p-8, -0x1.8565a5216343ap-8, -0x1.8193e55d23c78p-8, -0x1.7dc7363439574p-8, -0x1.79fff7599c27p-8, -0x1.763e45e68f7a1p-8, -0x1.72823338ef292p-8, -0x1.6ecbf88ea29d4p-8, -0x1.6b1c0ddbb2c28p-8, -0x1.67731585ea794p-8, -0x1.63d1a1edc5c19p-8, -0x1.6037ecb026f3ap-8, -0x1.5ca5a08a2d436p-8, -0x1.5919d04ee4757p-8, -0x1.55932255a563ep-8, -0x1.521021eb4304dp-8, -0x1.4e8f99cc67811p-8, -0x1.4b10d8946038dp-8, -0x1.4793c715eb9b3p-8, -0x1.4418d438f65b3p-8, -0x1.40a0ac6b0e704p-8, -0x1.3d2bfc41b72f3p-8, -0x1.39bb320e718b9p-8, -0x1.364e6d7680595p-8, -0x1.32e5947695683p-8, -0x1.2f80876241447p-8, -0x1.2c1f6174b8681p-8, -0x1.28c2ae52df7ebp-8, -0x1.256b7bb084f09p-8, -0x1.221b3559eb028p-8, -0x1.1ed34cfbd8d25p-8, -0x1.1b94c8ca9143ap-8, -0x1.185fe7c8a20c8p-8, -0x1.1534053db33d3p-8, -0x1.120fca37051b5p-8, -0x1.0ef195f9237a9p-8, -0x1.0bd7f22f55816p-8, -0x1.08c1e370fa2f3p-8, -0x1.05af170c264cap-8, -0x1.029fc06c59b5p-8, -0x1.ff28dc91e8d26p-9, -0x1.f91b78bf49b37p-9, -0x1.f3186d47839ecp-9, -0x1.ed2023dbced56p-9, -0x1.e732c7f89c34ep-9, -0x1.e1503128b42f1p-9, -0x1.db782730107efp-9, -0x1.d5aa9efd33be2p-9, -0x1.cfe8050138d43p-9, -0x1.ca317bcb6f948p-9, -0x1.c488e35e1c212p-9, -0x1.bef084e9e7d85p-9, -0x1.b96a6909202a3p-9, -0x1.b3f797ce603afp-9, -0x1.ae97a3d4d9556p-9, -0x1.a948c73535955p-9, -0x1.a40882d51281dp-9, -0x1.9ed45b03c0f7ep-9, -0x1.99aa466be3a0ap-9, -0x1.9488badd4ef4p-9, -0x1.8f6e9669073dp-9, -0x1.8a5b1d4beb387p-9, -0x1.854e07fe1f345p-9, -0x1.8047832e8f843p-9, -0x1.7b481ab9cb9fbp-9, -0x1.76509b3ea6384p-9, -0x1.7161f2c06ad4cp-9, -0x1.6c7d17b650918p-9, -0x1.67a2fe937c523p-9, -0x1.62d49699342ep-9, -0x1.5e12b8d0061c9p-9, -0x1.595e077e60c3ap-9, -0x1.54b6df510be62p-9, -0x1.501d76618c564p-9, -0x1.4b92109f00f07p-9, -0x1.47150c08e274ep-9, -0x1.42a6a83b465bdp-9, -0x1.3e46bd1d8677cp-9, -0x1.39f4bea823b82p-9, -0x1.35b029b3392a3p-9, -0x1.3178ee364ef7cp-9, -0x1.2d4f41a506218p-9, -0x1.2932e6dfbe19ap-9, -0x1.2522c4b974a91p-9, -0x1.211d71859aaaap-9, -0x1.1d223dea120bep-9, -0x1.1931ad66bbf07p-9, -0x1.154ce3a5ca9d9p-9, -0x1.1174856718349p-9, -0x1.0da7f56bcd057p-9, -0x1.09e58b528cb5cp-9, -0x1.062b9e49b7328p-9, -0x1.02798115703d8p-9, -0x1.fd9f2382246a6p-10, -0x1.f65cc4a5472e1p-10, -0x1.ef2bae5c61dadp-10, -0x1.e80a0de55b154p-10, -0x1.e0f5ca97d8d2cp-10, -0x1.d9ee4b96cb5cp-10, -0x1.d2f56d0ed166ep-10, -0x1.cc0f0a64a0922p-10, -0x1.c53f55bdc840cp-10, -0x1.be88fa01cd3cp-10, -0x1.b7ec628d3e658p-10, -0x1.b168aac5c1ee6p-10, -0x1.aafcbccbb3e91p-10, -0x1.a4a68b1fb2df4p-10, -0x1.9e61385345274p-10, -0x1.98261a4088d6p-10, -0x1.91f1d0c616be4p-10, -0x1.8bc8afb3cef2fp-10, -0x1.85b5039fece13p-10, -0x1.7fc043dd76d4ap-10, -0x1.79ed5cb53ccabp-10, -0x1.7438bd85c3f1ap-10, -0x1.6e9d46e9fddfdp-10, -0x1.6918fa13aa748p-10, -0x1.63ad4beb73133p-10, -0x1.5e5bf7edd2526p-10, -0x1.5924307d750d6p-10, -0x1.54022208b1801p-10, -0x1.4ef04c0b7a085p-10, -0x1.49e925f3a6942p-10, -0x1.44e84363d2d3dp-10, -0x1.3feb74f54b457p-10, -0x1.3af352b9504cap-10, -0x1.36030a9543fbdp-10, -0x1.311f15e5bbedfp-10, -0x1.2c4b2513b0198p-10, -0x1.2788bc3391301p-10, -0x1.22d817f37f15fp-10, -0x1.1e3a478b9dc8fp-10, -0x1.19b08fceec2e2p-10, -0x1.15382dc23c8e9p-10, -0x1.10c8d9b8818aap-10, -0x1.0c5bccceea403p-10, -0x1.07f3dd70e65ddp-10, -0x1.039affc443e41p-10, -0x1.feafc926bc91dp-11, -0x1.f6510372280b6p-11, -0x1.ee0e32a3fca18p-11, -0x1.e5e4f428f6dfap-11, -0x1.dddeff634f645p-11, -0x1.d606e884aa45p-11, -0x1.ce5eaea2b0325p-11, -0x1.c6e09651b49eep-11, -0x1.bf84ca1bad365p-11, -0x1.b844e31c985dbp-11, -0x1.b11c972c44937p-11, -0x1.aa09080bfbfc3p-11, -0x1.a308773e27cf2p-11, -0x1.9c1ab0c490e6ep-11, -0x1.95419e67180d3p-11, -0x1.8e81713d89c5bp-11, -0x1.87dfcb2f9ac6bp-11, -0x1.81616449d0f83p-11, -0x1.7b0687307264dp-11, -0x1.74c948bcb18dep-11, -0x1.6ea11c0c0c713p-11, -0x1.6889fcb15cb86p-11, -0x1.6285635f17765p-11, -0x1.5c913566cb9e2p-11, -0x1.56a31b4600f54p-11, -0x1.50b717fe25648p-11, -0x1.4adc538eb6d48p-11, -0x1.45246d81ccbf8p-11, -0x1.3f8ca8999b3d6p-11, -0x1.3a0473a9a2602p-11, -0x1.34857fcb55ef8p-11, -0x1.2f18b84995643p-11, -0x1.29c6ba3152235p-11, -0x1.248ff9b0244e2p-11, -0x1.1f71fd275fa11p-11, -0x1.1a6c12e7a3ee1p-11, -0x1.157ecf3138aafp-11, -0x1.10a9f3887c51dp-11, -0x1.0beba9aaa48d5p-11, -0x1.0740f80f2d61cp-11, -0x1.02a6b7f5ed6c3p-11, -0x1.fc34b70951a38p-12, -0x1.f334b282b9202p-12, -0x1.ea4c82a41b43dp-12, -0x1.e17d6bdd6f103p-12, -0x1.d8cb0b9935d35p-12, -0x1.d03b3ddad65b1p-12, -0x1.c7d3bbd1c7c5fp-12, -0x1.bf9523734bb3cp-12, -0x1.b779181115577p-12, -0x1.af7a5d8f19146p-12, -0x1.a7a18a309b019p-12, -0x1.a00344de31399p-12, -0x1.98a48f2347a12p-12, -0x1.916b64aca1886p-12, -0x1.8a47973a5459p-12, -0x1.83435cd773826p-12, -0x1.7c54ba5ec3a35p-12, -0x1.7561b263c9cd1p-12, -0x1.6e72133d4761cp-12, -0x1.67a262977b344p-12, -0x1.60fbec6dd0559p-12, -0x1.5a773bb8b1972p-12, -0x1.540d2e141548dp-12, -0x1.4db8fb40c70fep-12, -0x1.47776dccd6ebap-12, -0x1.4148fa7b2a23cp-12, -0x1.3b3371bf79942p-12, -0x1.353f2a5254102p-12, -0x1.2f712a2dee2e2p-12, -0x1.29c80d691a8bdp-12, -0x1.243de1aa90d76p-12, -0x1.1ecbf91696c52p-12, -0x1.196d5ab0da6bbp-12, -0x1.141f2af5b372bp-12, -0x1.0ee036f595f4fp-12, -0x1.09b0c836ba1b8p-12, -0x1.0492e58d2b30cp-12, -0x1.ff13aac82b849p-13, -0x1.f52ebecc2de2cp-13, -0x1.eb70cc4ba9114p-13, -0x1.e1cd314bee45p-13, -0x1.d842bd2dbb7p-13, -0x1.ceec7ce82ca61p-13, -0x1.c5ee3377f5683p-13, -0x1.bd333a1b2af8cp-13, -0x1.b485fa5d657c9p-13, -0x1.abedd2c06441ap-13, -0x1.a36e35237bf4ap-13, -0x1.9b03434ac62b8p-13, -0x1.92da0604ff9d4p-13, -0x1.8b04ce1858fbcp-13, -0x1.836cfe04144abp-13, -0x1.7bfc10024cf59p-13, -0x1.74a185216278p-13, -0x1.6d4fe2d030f16p-13, -0x1.660334c602277p-13, -0x1.5ec5fe7d265f1p-13, -0x1.57a915e8f3bfdp-13, -0x1.50b3eb03ccc33p-13, -0x1.49dec131ec85dp-13, -0x1.431fe7ba28b0fp-13, -0x1.3c7c1f98874e6p-13, -0x1.36027bd23c3bcp-13, -0x1.2fba4de89a3bap-13, -0x1.299cfc7334ee4p-13, -0x1.239e9a1beaab1p-13, -0x1.1db63f896b986p-13, -0x1.17e012bcb4e1ep-13, -0x1.121baab8b8e0cp-13, -0x1.0c6acec67fb2p-13, -0x1.06d0dbd0a14d6p-13, -0x1.01511df2b5cebp-13, -0x1.f7d7587ecb013p-14, -0x1.ed3943daec886p-14, -0x1.e2c07ebe6e674p-14, -0x1.d8729d126110ep-14, -0x1.ce720bd7662a5p-14, -0x1.c4d88838a30d3p-14, -0x1.bb64ae09bdcd6p-14, -0x1.b1ef0cec0e1abp-14, -0x1.a87d26ac28832p-14, -0x1.9f37258dfe914p-14, -0x1.964829f8bdb23p-14, -0x1.8d913351076c4p-14, -0x1.84f8f8c450d6ap-14, -0x1.7c7e321203c3bp-14, -0x1.74266d451b762p-14, -0x1.6bf74f19a5a78p-14, -0x1.63f72663cb216p-14, -0x1.5c2d472b423aep-14, -0x1.549f36307e9c4p-14, -0x1.4d487a34a18fcp-14, -0x1.4613dd765d3ccp-14, -0x1.3ee9c1f4bec3p-14, -0x1.37cd1aad444b1p-14, -0x1.30d4e2a6ceb39p-14, -0x1.2a03002bee66p-14, -0x1.23443945c45d9p-14, -0x1.1c9ce7a32b478p-14, -0x1.162773ad88ffap-14, -0x1.0fea5d74f4c92p-14, -0x1.09d5139f50847p-14, -0x1.03d904a05aa4fp-14, -0x1.fbe1a97ad8d54p-15, -0x1.f03a50a2347fbp-15, -0x1.e4c1ed0adf53bp-15, -0x1.d97fdaeae7645p-15, -0x1.ce79ba2ce95b7p-15, -0x1.c3b01e2763b7cp-15, -0x1.b91db2c30d052p-15, -0x1.aeb78320bf5b4p-15, -0x1.a47a6030d3624p-15, -0x1.9a8e60031a0c3p-15, -0x1.9102d05557b97p-15, -0x1.877ef73e11758p-15, -0x1.7df8fd1876eb5p-15, -0x1.74c1b1fe076c1p-15, -0x1.6bdcbd9d0ac8fp-15, -0x1.631fdf39f9abdp-15, }}, 
      {{0x1.ab540e9595a51p-10, 0x1.9a2333b7f42e5p-9, 0x1.1eeb8f3d173d6p-8, 0x1.59e447efed389p-8, 0x1.78fa717c419afp-8, 0x1.78aad37f487e2p-8, 0x1.56d53b8015439p-8, 0x1.129312a96fb27p-8, 0x1.5810f86e73d75p-9, 0x1.21a20f028b82dp-11, -0x1.067aa3c7bf6a2p-9, -0x1.481c0907871e1p-8, -0x1.13ebfe581f754p-7, -0x1.8fd0aaddb8c79p-7, -0x1.0b20868bc1d83p-6, -0x1.52dd3b3839b0fp-6, -0x1.9e5d8beaedc03p-6, -0x1.ece4a78980326p-6, -0x1.1ede3bc8fd741p-5, -0x1.481bd244fa95dp-5, -0x1.71d99030dcb16p-5, -0x1.9bcb78befaaf8p-5, -0x1.c5ab6d83db0adp-5, -0x1.ef394959d732cp-5, -0x1.0c1d6c4937fb4p-4, -0x1.203de47dbe8dfp-4, -0x1.33e6b8a44ef22p-4, -0x1.47034f9bb534ap-4, -0x1.5981a857c11b4p-4, -0x1.6b52356de8921p-4, -0x1.7c67b6aa3b4a4p-4, -0x1.8cb712b084628p-4, -0x1.9c372df511db2p-4, -0x1.aae0c7248739ap-4, -0x1.b8ae4ec3a33afp-4, -0x1.c59bc4ee482cfp-4, -0x1.d1a695d3fcc3ap-4, -0x1.dccd78920cb06p-4, -0x1.e7104faa34653p-4, -0x1.f0700b1d228bap-4, -0x1.f8ee8c3281707p-4, -0x1.00474575a1813p-3, -0x1.03a9be8be92cap-3, -0x1.06a0bf8421de4p-3, -0x1.092e9efcb984dp-3, -0x1.0b55f205ffdadp-3, -0x1.0d198279a06dbp-3, -0x1.0e7c469ddaebp-3, -0x1.0f81599265761p-3, -0x1.102bf347ece59p-3, -0x1.107f62a01fdacp-3, -0x1.107f071f93556p-3, -0x1.102e4b670e867p-3, -0x1.0f90a04f1b109p-3, -0x1.0ea978b92f462p-3, -0x1.0d7c45c3cd27p-3, -0x1.0c0c7356f1f6fp-3, -0x1.0a5d64e6458eap-3, -0x1.087272695dd8cp-3, -0x1.064ee63882f6bp-3, -0x1.03f5fc311e759p-3, -0x1.016adee8d458p-3, -0x1.fd614eca4b446p-4, -0x1.f794b49b32832p-4, -0x1.f175cf2ea1dbcp-4, -0x1.eb0a5384b179fp-4, -0x1.e457c9e6d48d4p-4, -0x1.dd639110636dbp-4, -0x1.d632da2221f1bp-4, -0x1.cecaa810f0c07p-4, -0x1.c72fd13245adbp-4, -0x1.bf66fc4623d72p-4, -0x1.b774a24373efap-4, -0x1.af5d0e931d875p-4, -0x1.a72460b300d7bp-4, -0x1.9ece8c6b94308p-4, -0x1.965f5aa0c965bp-4, -0x1.8dda6b26202bdp-4, -0x1.854331b0251a7p-4, -0x1.7c9cfa3d63079p-4, -0x1.73eae7cc66efep-4, -0x1.6b2ff5a8e004fp-4, -0x1.626ef8e14470bp-4, -0x1.59aaa14f32de8p-4, -0x1.50e57a0b34b28p-4, -0x1.4821ebd25bc3fp-4, -0x1.3f623d4ab45c1p-4, -0x1.36a894350ff99p-4, -0x1.2df6f6ce09f58p-4, -0x1.254f4a94bf05cp-4, -0x1.1cb359ae1aa01p-4, -0x1.1424cf779c098p-4, -0x1.0ba53bb9c7568p-4, -0x1.0336134ba383dp-4, -0x1.f5b16242f321cp-5, -0x1.e51cad8934306p-5, -0x1.d4b060515e9f9p-5, -0x1.c46e9ee0d3175p-5, -0x1.b459658ee042bp-5, -0x1.a47286bd2ca4ep-5, -0x1.94bbaceaec4ecp-5, -0x1.85365cef302ecp-5, -0x1.75e3f7710722dp-5, -0x1.66c5bacc590c1p-5, -0x1.57dcc43e956adp-5, -0x1.492a130debbdep-5, -0x1.3aae89516b1fcp-5, -0x1.2c6ae9e294fbp-5, -0x1.1e5fe01b36c3p-5, -0x1.108dfd0574d74p-5, -0x1.02f5ba5bacc46p-5, -0x1.eb2ef5479f519p-6, -0x1.d0e7173fd4e97p-6, -0x1.b7144df2f9ba7p-6, -0x1.9db6e73d67968p-6, -0x1.84cf0d16754d8p-6, -0x1.6c5ccb1f7397ap-6, -0x1.5460081330d7p-6, -0x1.3cd893e5adb39p-6, -0x1.25c620ef9e3aap-6, -0x1.0f2848130be3ep-6, -0x1.f1fd15a9ecc73p-7, -0x1.c690a7c300f41p-7, -0x1.9c09f9a585bc7p-7, -0x1.72678e26507bfp-7, -0x1.49a7cbac1847ap-7, -0x1.21c8f55d2d3d1p-7, -0x1.f592649b8f9f5p-8, -0x1.a94d1520ce728p-8, -0x1.5ebddf13be6c3p-8, -0x1.15e074321852cp-8, -0x1.9d60cc1967212p-9, -0x1.125209de8a6ep-9, -0x1.1516596d403ep-10, -0x1.809c912bc6453p-15, 0x1.ed4886a715902p-11, 0x1.f2f96c4526a4p-10, 0x1.7487a7a855c59p-9, 0x1.ec7d742455bcfp-9, 0x1.30b45d89c4f9ap-8, 0x1.69aa1c6bc65dp-8, 0x1.a125634aba78cp-8, 0x1.d72ba3196ce55p-8, 0x1.05e12dc3a1089p-7, 0x1.1f7788cb373e9p-7, 0x1.385ba12e9da43p-7, 0x1.509041d08476ep-7, 0x1.68182889e7e62p-7, 0x1.7ef6299195c83p-7, 0x1.952cfc40fe098p-7, 0x1.aabf6885825e9p-7, 0x1.bfb02fbc1e0ep-7, 0x1.d40210d2fade5p-7, 0x1.e7b7c866f3dfap-7, 0x1.fad40d8538b45p-7, 0x1.06acca9d29a4bp-6, 0x1.0fa588225a8d3p-6, 0x1.185594dc2e714p-6, 0x1.20be4409c8d1ep-6, 0x1.28e0e63501241p-6, 0x1.30bec91a87836p-6, 0x1.3859379741b18p-6, 0x1.3fb1797bf55p-6, 0x1.46c8d375f7333p-6, 0x1.4da086cb821d9p-6, 0x1.5439d0c1e89fbp-6, 0x1.5a95ef66557ap-6, 0x1.60b616ae40a35p-6, 0x1.669b7c64a5842p-6, 0x1.6c474f9a01863p-6, 0x1.71babbe0e4961p-6, 0x1.76f6ed54ede3bp-6, 0x1.7bfd080de9216p-6, 0x1.80ce2deb6bf5bp-6, 0x1.856b7d24cead8p-6, 0x1.89d6103c0c20bp-6, 0x1.8e0efde368d9ap-6, 0x1.92175929a00bdp-6, 0x1.95f0326e280e4p-6, 0x1.999a924d24753p-6, 0x1.9d1783b4a8b03p-6, 0x1.a06809cc43bc7p-6, 0x1.a38d25094ec92p-6, 0x1.a687d23be8353p-6, 0x1.a9590a9896b0bp-6, 0x1.ac01c386b7a3fp-6, 0x1.ae82eecbdf5fdp-6, 0x1.b0dd7a97fbe54p-6, 0x1.b3125170b19c6p-6, 0x1.b5225a65af6d6p-6, 0x1.b70e78d7d7e77p-6, 0x1.b8d78c93c4513p-6, 0x1.ba7e71e31da19p-6, 0x1.bc04019d44243p-6, 0x1.bd6910775e8d5p-6, 0x1.beae739304bd8p-6, 0x1.bfd4f49ed2841p-6, 0x1.c0dd6160ae02fp-6, 0x1.c1c880923ac63p-6, 0x1.c297180f5c7a6p-6, 0x1.c349e7d5c959cp-6, 0x1.c3e1adccc38f2p-6, 0x1.c45f2474056d5p-6, 0x1.c4c302eb67179p-6, 0x1.c50dfeb1f057dp-6, 0x1.c540c6c58b0abp-6, 0x1.c55c090c534c6p-6, 0x1.c5607211b1d44p-6, 0x1.c54ea814ac42ap-6, 0x1.c5274fe6d444cp-6, 0x1.c4eb0b0e174ccp-6, 0x1.c49a78387c081p-6, 0x1.c43632fd6d27p-6, 0x1.c3bed35565477p-6, 0x1.c334f146c42b2p-6, 0x1.c2991d8568f69p-6, 0x1.c1ebe8da4c4f9p-6, 0x1.c12de09aaf919p-6, 0x1.c05f8f51f0054p-6, 0x1.bf817cc53cdb4p-6, 0x1.be942df699b55p-6, 0x1.bd98253f7132ap-6, 0x1.bc8de24bea133p-6, 0x1.bb75e240f0d84p-6, 0x1.ba509f8995d82p-6, 0x1.b91e9213e9962p-6, 0x1.b7e02f2e95688p-6, 0x1.b695e9a4076bcp-6, 0x1.b54031c8b0509p-6, 0x1.b3df75f2e05a7p-6, 0x1.b27420bd5f449p-6, 0x1.b0fe9b5697805p-6, 0x1.af7f4d287b9dfp-6, 0x1.adf69a276eb7p-6, 0x1.ac64e44b9a6b3p-6, 0x1.aaca8ae216ba4p-6, 0x1.a927ed1ea7291p-6, 0x1.a77d64b13a96bp-6, 0x1.a5cb4b42bb5ebp-6, 0x1.a411f7cd4a259p-6, 0x1.a251bf1643f0bp-6, 0x1.a08af3e2a5065p-6, 0x1.9ebde6e49fa13p-6, 0x1.9ceae6c285029p-6, 0x1.9b12402df7ddp-6, 0x1.99343dcef27e3p-6, 0x1.975128448d3f1p-6, 0x1.95694653f7204p-6, 0x1.937cdcd7b8559p-6, 0x1.918c2edfd67d4p-6, 0x1.8f977d9c82d36p-6, 0x1.8d9f08758ca6p-6, 0x1.8ba30cfb999b1p-6, 0x1.89a3c70665c4ep-6, 0x1.87a1709e4f35cp-6, 0x1.859c42322ff11p-6, 0x1.83947287dbb6dp-6, 0x1.818a36cbe72dfp-6, 0x1.7f7dc27d7262p-6, 0x1.7d6f479efd10cp-6, 0x1.7b5ef675e26acp-6, 0x1.794cfe65b1ecep-6, 0x1.77398b89660d4p-6, 0x1.7524cac9be989p-6, 0x1.730ee683c8367p-6, 0x1.70f807cd6e6bp-6, 0x1.6ee0564d56f03p-6, 0x1.6cc7f860a9306p-6, 0x1.6aaf1303a3903p-6, 0x1.6895c9e68515ap-6, 0x1.667c3f7e913b8p-6, 0x1.646294d2b92c1p-6, 0x1.6248eaa554d86p-6, 0x1.602f5ec0bd2bcp-6, 0x1.5e160f87b7f1cp-6, 0x1.5bfd19371836dp-6, 0x1.59e4972fa8f5ep-6, 0x1.57cca3b3b6a2dp-6, 0x1.55b557fd1e41fp-6, 0x1.539ecc37f8f51p-6, 0x1.518917a6892d1p-6, 0x1.4f74507e0cdf3p-6, 0x1.4d608bf4d0669p-6, 0x1.4b4dde536aa29p-6, 0x1.493c5aebde2a9p-6, 0x1.472c14201e732p-6, 0x1.451d1b9c2ddeap-6, 0x1.430f8205afd7ep-6, 0x1.4103575599708p-6, 0x1.3ef8aab233b6dp-6, 0x1.3cef8a7d32cfdp-6, 0x1.3ae80437762bbp-6, 0x1.38e225006d9e9p-6, 0x1.36ddf8629458ap-6, 0x1.34db89fc79f9cp-6, 0x1.32dae492d3623p-6, 0x1.30dc134a712cbp-6, 0x1.2edf1ce8440f2p-6, 0x1.2ce40d89b405dp-6, 0x1.2aeaeb8034592p-6, 0x1.28f3befb3a284p-6, 0x1.26fe8f1922853p-6, 0x1.250b62747223ep-6, 0x1.231a3f1674811p-6, 0x1.212b2a907ca97p-6, 0x1.1f3e29f723d82p-6, 0x1.1d534211ba684p-6, 0x1.1b6a76fbd7f1bp-6, 0x1.1983cc8e0b39p-6, 0x1.179f4621dfb9bp-6, 0x1.15bce6acc6bfbp-6, 0x1.13dcb0b7e44dfp-6, 0x1.11fea678d13b5p-6, 0x1.1022c9bf47b67p-6, 0x1.0e491c06c4b98p-6, 0x1.0c719e978936ep-6, 0x1.0a9c524c72e33p-6, 0x1.08c937cddde55p-6, 0x1.06f84f71efcdbp-6, 0x1.052999477b98fp-6, 0x1.035d151b8e6e4p-6, 0x1.0192c24f299d3p-6, 0x1.ff95414008db9p-7, 0x1.fc095da0ab23bp-7, 0x1.f881d7a84518ap-7, 0x1.f4feacdc6338ep-7, 0x1.f17fda60a309p-7, 0x1.ee055d064e9d5p-7, 0x1.ea8f316986b96p-7, 0x1.e71d5364ac03ep-7, 0x1.e3afbedf8d5aep-7, 0x1.e0466fbb6d6dbp-7, 0x1.dce1611b4573ep-7, 0x1.d9808e2e00dfp-7, 0x1.d623f1cfb6359p-7, 0x1.d2cb86e4696d7p-7, 0x1.cf7747f810901p-7, 0x1.cc272f8b216c7p-7, 0x1.c8db37f522815p-7, 0x1.c5935b816e5fdp-7, 0x1.c24f9441c3b7ap-7, 0x1.bf0fdc406898fp-7, 0x1.bbd42d620b72cp-7, 0x1.b89c8178f708ep-7, 0x1.b568d268fb6cfp-7, 0x1.b23919e0de563p-7, 0x1.af0d51abceccp-7, 0x1.abe57371593b4p-7, 0x1.a8c179315fc3fp-7, 0x1.a5a15c72c59cp-7, 0x1.a2851715d1e3fp-7, 0x1.9f6ca2e3ccaf7p-7, 0x1.9c57f9af2992dp-7, 0x1.99471546de733p-7, 0x1.9639ef9eec1a6p-7, 0x1.93308297aa8c2p-7, 0x1.902ac8381a756p-7, 0x1.8d28ba9869269p-7, 0x1.8a2a53e4833a9p-7, 0x1.872f8e5d33b17p-7, 0x1.8438645dfecafp-7, 0x1.8144d04ca27e9p-7, 0x1.7e54cce04d9dcp-7, 0x1.7b685493833p-7, 0x1.787f6231cef14p-7, 0x1.7599f09752aa8p-7, 0x1.72b7fabc45038p-7, 0x1.6fd97babb9584p-7, 0x1.6cfe6e9ae5239p-7, 0x1.6a26cedb4b0acp-7, 0x1.675297eb1e402p-7, 0x1.6481c54a382c5p-7, 0x1.61b452beb4783p-7, 0x1.5eea3c25cccfap-7, 0x1.5c237d7798b5cp-7, 0x1.596012d27fac9p-7, 0x1.569ff86bf4ed3p-7, 0x1.53e32abd8be15p-7, 0x1.5129a637b0ab4p-7, 0x1.4e736756f4514p-7, 0x1.4bc06b6a3b32dp-7, 0x1.4910ae461a973p-7, 0x1.46642e3d46d73p-7, 0x1.43bae798c29c8p-7, 0x1.4114d7e72bb8cp-7, 0x1.3e71fc9c20ef3p-7, 0x1.3bd25374e8757p-7, 0x1.3935da604b526p-7, 0x1.369c8ec656e36p-7, 0x1.34066e20fb22ep-7, 0x1.317377415b807p-7, 0x1.2ee3a83efd84ep-7, 0x1.2c56ff9ebf8ccp-7, 0x1.29cd7a77f1202p-7, 0x1.27471853189cbp-7, 0x1.24c3d8979c3dp-7, 0x1.2243b910503c9p-7, 0x1.1fc6b8d7d8393p-7, 0x1.1d4cd6e868ddap-7, 0x1.1ad6125aeed1dp-7, 0x1.18626a5e5d637p-7, 0x1.15f1de3753535p-7, 0x1.13846d3ac4d5bp-7, 0x1.111a16d17b15dp-7, 0x1.0eb2da7b198ffp-7, 0x1.0c4eb7d0a3c58p-7, 0x1.09edae80b6a74p-7, 0x1.078fbe376a4a2p-7, 0x1.0534e677a745ap-7, 0x1.02dd29f02d0abp-7, 0x1.0088855804c25p-7, 0x1.fc6df494a1588p-8, 0x1.f7d10dafc5bcbp-8, 0x1.f33a5ec6682a9p-8, 0x1.eea9e1f83fbd8p-8, 0x1.ea1f98741ca35p-8, 0x1.e59b82f614881p-8, 0x1.e11da21f96fc2p-8, 0x1.dca5f6ce2c239p-8, 0x1.d834822a1bee1p-8, 0x1.d3c94594ae851p-8, 0x1.cf6442a58fcafp-8, 0x1.cb057afa91a43p-8, 0x1.c6acf01d5dad7p-8, 0x1.c25aa35e23209p-8, 0x1.be0e95d54f0ebp-8, 0x1.b9c8c8460eef8p-8, 0x1.b5893b478e318p-8, 0x1.b14fef6df81dfp-8, 0x1.ad1ce57359ee8p-8, 0x1.a8f01e679d868p-8, 0x1.a4c99bd2bdda5p-8, 0x1.a0a95fb835fbbp-8, 0x1.9c8f6c3c44a87p-8, 0x1.987bc4555a30cp-8, 0x1.946e6a67505e4p-8, 0x1.9067606d9594fp-8, 0x1.8c66a82f1349cp-8, 0x1.886c428a62f0dp-8, 0x1.84782fb8584acp-8, 0x1.808a6f6ec3a9ap-8, 0x1.7ca3012840822p-8, 0x1.78c1e4854b612p-8, 0x1.74e719950ea8fp-8, 0x1.7112a137e3596p-8, 0x1.6d447bd28b401p-8, 0x1.697cb27ee3d6fp-8, 0x1.65bb3aeacf47fp-8, 0x1.6200233545987p-8, 0x1.5e4b6a8fe6c65p-8, 0x1.5a9d12fae3b6cp-8, 0x1.56f51d3a689dbp-8, 0x1.535388df79ad9p-8, 0x1.4fb8545d41cbcp-8, 0x1.4c237d5751bb1p-8, 0x1.48950117ee88ep-8, 0x1.450cdd13e275dp-8, 0x1.418b0f809443fp-8, 0x1.3e0f979ccc121p-8, 0x1.3a9a75d453fe6p-8, 0x1.372babd23f1bcp-8, 0x1.33c33be27a969p-8, 0x1.3061292a50651p-8, 0x1.2d0575b5c4f81p-8, 0x1.29b0237ab477bp-8, 0x1.266132cac6e94p-8, 0x1.2318a26fb6082p-8, 0x1.1fd66f9e89591p-8, 0x1.1c9a9635be823p-8, 0x1.1965113c7660ap-8, 0x1.1635db9bd135fp-8, 0x1.130cf098173a7p-8, 0x1.0fea4b8e31b0dp-8, 0x1.0ccde7d86801bp-8, 0x1.09b7c4b1a9b27p-8, 0x1.06a7e3a288067p-8, 0x1.039e43e495c3dp-8, 0x1.009ae5b479a37p-8, 0x1.fb3b98da1f439p-9, 0x1.f54df31217378p-9, 0x1.ef6cd89824bdfp-9, 0x1.e99845ed6a1c9p-9, 0x1.e3d034f0c2814p-9, 0x1.de149c5670bddp-9, 0x1.d8656f9d27d95p-9, 0x1.d2c2a010154cfp-9, 0x1.cd2c1da248c85p-9, 0x1.c7a1d821a940dp-9, 0x1.c223c0764f596p-9, 0x1.bcb1c973f30d1p-9, 0x1.b74be34ecdf0ep-9, 0x1.b1f21b19c3a7ep-9, 0x1.aca44dce1145ep-9, 0x1.a7628f0fe6d2cp-9, 0x1.a22cd755a439dp-9, 0x1.9d0328000577fp-9, 0x1.97e581163804fp-9, 0x1.92d3e127ceae4p-9, 0x1.8dce441da2e07p-9, 0x1.88d4a22defd72p-9, 0x1.83e6ef2acba94p-9, 0x1.7f051a5f4ad78p-9, 0x1.7a2f0f1957b07p-9, 0x1.7564b5e2a5692p-9, 0x1.70a5f63476c82p-9, 0x1.6bf2b858d3eb6p-9, 0x1.674ae71d485d5p-9, 0x1.62ae71121a957p-9, 0x1.5e1d492ea7f9ep-9, 0x1.599766dda1b06p-9, 0x1.551cc5a61fc51p-9, 0x1.50ad6440329e3p-9, 0x1.4c49438ee1bffp-9, 0x1.47f0653e5ec7ap-9, 0x1.43a2c9e7a3e29p-9, 0x1.3f606f1fe4a3p-9, 0x1.3b294d7cb6574p-9, 0x1.36fd516db9253p-9, 0x1.32dc6d8e0c632p-9, 0x1.2ec68b90b84dp-9, 0x1.2abb7a17b985p-9, 0x1.26bb1d5167a85p-9, 0x1.22c5535e14eb8p-9, 0x1.1ed9febcf463ep-9, 0x1.1af90824f7687p-9, 0x1.17225f24a8a78p-9, 0x1.1355f9a50fad5p-9, 0x1.0f93d2bc4316bp-9, 0x1.0bdbe949c7bc7p-9, 0x1.082e3e3c4ba5p-9, 0x1.048ad50a44627p-9, 0x1.00f1af9f2e658p-9, 0x1.fac59e1110a59p-10, 0x1.f3bc60df262c4p-10, 0x1.ecc795126f26bp-10, 0x1.e5e7172624cfdp-10, 0x1.df1ab09629e5ep-10, 0x1.d86219812b185p-10, 0x1.d1bcfe443a27p-10, 0x1.cb2b081af9b5bp-10, 0x1.c4abe69ea5d8bp-10, 0x1.be3f572c3ce84p-10, 0x1.b7e528c75bb05p-10, 0x1.b19d3b587bebbp-10, 0x1.ab677b62a3886p-10, 0x1.a543dc64e5d13p-10, 0x1.9f32540b0a7a2p-10, 0x1.9932d79c6b4a5p-10, 0x1.93455bd3ad1e9p-10, 0x1.8d69d61b20a5ap-10, 0x1.87a03d85c6d4p-10, 0x1.81e889f8c9becp-10, 0x1.7c42b0cc39989p-10, 0x1.76ae9f6fdca0ep-10, 0x1.712c35d4b3b1p-10, 0x1.6bbb42feea926p-10, 0x1.665b85c32cdb9p-10, 0x1.610cb25af771fp-10, 0x1.5bce7b92ebb32p-10, 0x1.56a09cb256439p-10, 0x1.5182e0a40f974p-10, 0x1.4c7523d18e87p-10, 0x1.4777504937a04p-10, 0x1.42895610517cdp-10, 0x1.3dab2309a6e4fp-10, 0x1.38dc9d9493d0ap-10, 0x1.341da3802fa5ap-10, 0x1.2f6e0ce6c3428p-10, 0x1.2acdb101456b2p-10, 0x1.263c6710a083fp-10, 0x1.21ba264b5925dp-10, 0x1.1d46a1777e961p-10, 0x1.18e200848153bp-10, 0x1.148c0caf41581p-10, 0x1.1044b06bff085p-10, 0x1.0c0bc8d63beb3p-10, 0x1.07e128d07ccddp-10, 0x1.03c49c8915a81p-10, 0x1.ff6bdd7edd485p-11, 0x1.f769de84afaa9p-11, 0x1.ef82f03c730cdp-11, 0x1.e7b6de60f8175p-11, 0x1.e00581939a858p-11, 0x1.d86eb8892fd2ap-11, 0x1.d0f24e131eaacp-11, 0x1.c98ffd490d058p-11, 0x1.c2476db5225a8p-11, 0x1.bb1841b4065dp-11, 0x1.b402124bc251cp-11, 0x1.ad04c86ed3aefp-11, 0x1.a61fc9549c827p-11, 0x1.9f5311593363bp-11, 0x1.989e4deafd5fep-11, 0x1.92016cf943edap-11, 0x1.8b7bacfccf357p-11, 0x1.850d79f9d3268p-11, 0x1.7eb66d9de0201p-11, 0x1.7876728da88a4p-11, 0x1.724d624ae89d1p-11, 0x1.6c3b066aaa8f7p-11, 0x1.663f1747648cap-11, 0x1.605943a97bc0ep-11, 0x1.5a893bfa8a035p-11, 0x1.54ceb8b864a8bp-11, 0x1.4f2977428290fp-11, 0x1.49992fc5b5c3bp-11, 0x1.441d8d5266494p-11, 0x1.3eb630728ac38p-11, 0x1.3962bc5ef8d32p-11, 0x1.3422e58a46ec7p-11, 0x1.2ef675859e3b4p-11, 0x1.29dd400e9a075p-11, 0x1.24d710b82ef0ep-11, 0x1.1fe39e7a479ep-11, 0x1.1b028e7589ffbp-11, 0x1.1633855fbb4eep-11, 0x1.11763e537dc6p-11, 0x1.0cca9ac5f2029p-11, 0x1.0830a2fd59b85p-11, 0x1.03a8762c53e99p-11, 0x1.fe6461be5cf3dp-12, 0x1.f59ba87c70e1dp-12, 0x1.ecf66fcdcab78p-12, 0x1.e4741770a7b71p-12, 0x1.dc13d093127bcp-12, 0x1.d3d4caf365b17p-12, 0x1.cbb6570c60388p-12, 0x1.c3b7ed3c1b3d6p-12, 0x1.bbd91c68c38f6p-12, 0x1.b419734caa845p-12, 0x1.ac7879d91404dp-12, 0x1.a4f5c0a720529p-12, 0x1.9d90f56edc602p-12, 0x1.9649e1ae0c217p-12, 0x1.8f2049c5430f5p-12, 0x1.8813c1c2e95cdp-12, 0x1.81239a9b3083dp-12, 0x1.7a4ef912c8c9fp-12, 0x1.7395090b9ef54p-12, 0x1.6cf52e4b0db69p-12, 0x1.666f196b34b8fp-12, 0x1.6002bcac35045p-12, 0x1.59b02f2d81749p-12, 0x1.53778f75c37c7p-12, 0x1.4d58eb3297575p-12, 0x1.475429bd6e95ep-12, 0x1.4168fa83a2d83p-12, 0x1.3b96d18b32303p-12, 0x1.35dcfa7a20e3bp-12, 0x1.303abe5483461p-12, 0x1.2aaf8ada3c871p-12, 0x1.253b080cbe93cp-12, 0x1.1fdd123fc2453p-12, 0x1.1a959ce3fb021p-12, 0x1.15648e3516554p-12, 0x1.1049aad2dae65p-12, 0x1.0b449f9f7270dp-12, 0x1.06551a8c58ce1p-12, 0x1.017ad317f635cp-12, 0x1.f96af93ad48ep-13, 0x1.f00939318df22p-13, 0x1.e6cf63bc7b723p-13, 0x1.ddbc9d4165c21p-13, 0x1.d4d066d0a4e11p-13, 0x1.cc0a7ed9b6d85p-13, 0x1.c36a9b9442037p-13, 0x1.baf045aa79efp-13, 0x1.b29aec1e0cbc6p-13, 0x1.aa6a0db02bf58p-13, 0x1.a25d48805910cp-13, 0x1.9a7444d853c69p-13, 0x1.92ae4159c5432p-13, 0x1.8b0afa909c37ap-13, 0x1.8389af69d63a3p-13, 0x1.7c286ca51fe01p-13, 0x1.74e679f6863afp-13, 0x1.6dc30d345733fp-13, 0x1.66bdd9901a8ep-13, 0x1.5fd7058484fd3p-13, 0x1.590ee7d55f792p-13, 0x1.52659f8a195aap-13, 0x1.4bdac639cb74fp-13, 0x1.456d81f3a6ba8p-13, 0x1.3f1cea6220909p-13, 0x1.38e8533fdd291p-13, 0x1.32cee3378846dp-13, 0x1.2cd09cbcad6bp-13, 0x1.26ed196cec3eep-13, 0x1.2123b40e64dfdp-13, 0x1.1b74f2c2d9877p-13, 0x1.15e0d4f98f187p-13, 0x1.1066e69bf99cp-13, 0x1.0b0668a61d7ebp-13, 0x1.05bea50a082b9p-13, 0x1.008f17590bbbdp-13, 0x1.f6eebdbae02a1p-14, 0x1.ecee409b0d734p-14, 0x1.e31c3a72a2fdcp-14, 0x1.d97763d3fa35cp-14, 0x1.d000c0d917367p-14, 0x1.c6b6be120f2a7p-14, 0x1.bd97bc2ad3f5ap-14, 0x1.b4a2e6757b22cp-14, 0x1.abd72ecc80d22p-14, 0x1.a333e33bd99e8p-14, 0x1.9ab8bc3bbb3dbp-14, 0x1.9266152061419p-14, 0x1.8a3b941460396p-14, 0x1.82396dacd9eabp-14, 0x1.7a5ca276730f8p-14, 0x1.72a5408b0fd07p-14, 0x1.6b1074cd4846bp-14, 0x1.639dadd4e3a0ap-14, 0x1.5c4c9104f93adp-14, 0x1.551d007322dbdp-14, 0x1.4e0f43c2d2d29p-14, 0x1.4723eb557d1d2p-14, 0x1.405b123a0efc7p-14, 0x1.39b3e0a11d14fp-14, 0x1.332d006127724p-14, 0x1.2cc56af813082p-14, 0x1.267c999b6ddbap-14, 0x1.20521f6db6c32p-14, 0x1.1a456b04e651p-14, 0x1.1455df272ca8fp-14, 0x1.0e82f543e393fp-14, 0x1.08cc3616246acp-14, 0x1.03317331b4c3cp-14, 0x1.fb6469d05d33bp-15, 0x1.f09c3cbb236dfp-15, 0x1.e60951ca8ffd8p-15, 0x1.dbaa7b5c6710cp-15, 0x1.d17e9f256ef7bp-15, 0x1.c784d344b4067p-15, 0x1.bdbc5fcdf90cfp-15, 0x1.b424c0907db6ep-15, 0x1.aabda89b8bf8bp-15, 0x1.a186c88d87cbp-15, 0x1.987f3a406c762p-15, 0x1.8fa52b6ae7c49p-15, 0x1.86f686f8e083ep-15, 0x1.7e721a733327cp-15, 0x1.7617e90a8adeep-15, 0x1.6de838b42a5ep-15, 0x1.65e2829b9c372p-15, 0x1.5e05da6b95dbp-15, 0x1.56516bdbf4db2p-15, 0x1.4ec3e3211206ep-15, 0x1.475bcf2fd92dap-15, 0x1.4018b79375abp-15, 0x1.38faa52e2b868p-15, 0x1.31fe86a1a9091p-15, 0x1.2b29adb11aa32p-15, 0x1.2476dae05aee8p-15, 0x1.1de4fdaf6890fp-15, 0x1.17749657a3fd5p-15, 0x1.112531d5d6b7p-15, 0x1.0af66a8682ccfp-15, 0x1.04e7dbf8373f6p-15, 0x1.fdf22b01b9b22p-16, 0x1.f2531c67e02c9p-16, 0x1.e6f149b4fb541p-16, 0x1.dbcb53d507e32p-16, 0x1.d0dfce7e7a06ap-16, 0x1.c62d42fa54456p-16, 0x1.bbb23e8f05e8ap-16, 0x1.b16d87d1b31cep-16, 0x1.a75e63ac0a61bp-16, 0x1.9d8493e7651f1p-16, 0x1.93dfb385670f1p-16, 0x1.8a6e5a2fb746bp-16, 0x1.812e5e12838e9p-16, 0x1.781e628a112aep-16, 0x1.6f3ecffd366c5p-16, 0x1.6690997bbab0bp-16, 0x1.5e12bd792eep-16, 0x1.55c2d3c1ddbb1p-16, 0x1.4d9fcc72ee2e8p-16, 0x1.45a8b2f961643p-16, 0x1.3ddc97b588a25p-16, 0x1.363a44615a5cep-16, 0x1.2ec3f3218e7d7p-16, 0x1.2776ce1560c7p-16, 0x1.20508bf21c754p-16, 0x1.1950c88b866ap-16, 0x1.1276788e02531p-16, 0x1.0bc0c22e214dep-16, 0x1.052f0abe381c7p-16, 0x1.fd81e91d55127p-17, 0x1.f0ec6e541f9e5p-17, 0x1.e49ce033f4f2cp-17, 0x1.d8923c6ff883dp-17, 0x1.cccb7bbd2a532p-17, 0x1.c1478d632e03cp-17, 0x1.b60513fc5eeecp-17, 0x1.ab024f32244cfp-17, 0x1.a03ceea2ce0eep-17, 0x1.95b435153b4c3p-17, 0x1.8b656f11118e4p-17, 0x1.814f8f9088649p-17, 0x1.777206ac5640fp-17, 0x1.6dcbda8296172p-17, 0x1.645d123b7f482p-17, 0x1.5b24bcc971065p-17, 0x1.522147581de3p-17, 0x1.49515ae4d2be2p-17, 0x1.40b459cbe82adp-17, 0x1.384a1dc9eb9fbp-17, 0x1.3011f0687c681p-17, 0x1.280905dc3a94bp-17, 0x1.202d7f7a32373p-17, 0x1.187ebfd686da9p-17, 0x1.10fd096951245p-17, 0x1.09a83e9d31262p-17, 0x1.0284bbe360ad7p-17, 0x1.f7004826c3c56p-18, 0x1.e955734235b9ep-18, 0x1.dbfad21d1ffcdp-18, 0x1.ceeffeca1609dp-18, 0x1.c2338a16f1334p-18, 0x1.b5c3f9b1e14ep-18, 0x1.a99f7bd89b52dp-18, 0x1.9dc3c89cee0a7p-18, 0x1.922e560cc89b4p-18, 0x1.86dd10405f34bp-18, 0x1.7bcf207c5268ap-18, 0x1.710480505f113p-18, 0x1.667c8941de43dp-18, 0x1.5c359656a7bbbp-18, 0x1.522e129f18322p-18, 0x1.4865115971a9ap-18, 0x1.3ed096dd81e79p-18, 0x1.35838b7c2424dp-18, 0x1.2c6b7dc1a048bp-18, 0x1.2389401f77bd2p-18, 0x1.1adda5b03e098p-18, 0x1.1267afe18f56ep-18, 0x1.0a26d2f256b27p-18, 0x1.021a87b787f6bp-18, 0x1.f483c9c981ab6p-19, 0x1.e53741021fd1p-19, 0x1.d64c46c592593p-19, 0x1.c7bfdde3d4bbfp-19, 0x1.b9916e3b8a52cp-19, 0x1.abbfb0b1a4537p-19, 0x1.9e44b178652a9p-19, 0x1.911e57e947017p-19, 0x1.844ecea8d1783p-19, 0x1.77d482d0cb13p-19, 0x1.6babaf7cf581ap-19, }}, 
      {{-0x1.1e67bb4cd9fd6p-1, -0x1.0f5f6781aa4fdp-1, -0x1.f08a2be21344ap-2, -0x1.b65c9ea4010b6p-2, -0x1.7461b0b67b74p-2, -0x1.2e5f759ffcd59p-2, -0x1.cf0f9617058bp-3, -0x1.44d51373cf0d5p-3, -0x1.83ea03e6189efp-4, -0x1.24e29e898a253p-5, 0x1.1c60dbc21f47cp-6, 0x1.06a2b22d7c406p-4, 0x1.ab67118dc6003p-4, 0x1.1acedad1783dfp-3, 0x1.531fb7362993ap-3, 0x1.7f67c557ab9b7p-3, 0x1.a0979fb410316p-3, 0x1.b7bcac4ab4306p-3, 0x1.c5f29be42bec6p-3, 0x1.cc581a832979bp-3, 0x1.cc0642275f4ccp-3, 0x1.c60a62af563a8p-3, 0x1.bb61b75055ddp-3, 0x1.acf6a8244f9abp-3, 0x1.9b9f42d2c2088p-3, 0x1.881ca18d3e251p-3, 0x1.731b02c474208p-3, 0x1.5d32603d00c71p-3, 0x1.46e75d2a211b9p-3, 0x1.30ac6c71bf0abp-3, 0x1.1ae31778ae7fap-3, 0x1.05dd541982075p-3, 0x1.e3bdba6fa617p-4, 0x1.be3d0abdcd8d3p-4, 0x1.9b8efa8d4b37dp-4, 0x1.7bf515429c01p-4, 0x1.5f9e59892e997p-4, 0x1.46a95c63ef153p-4, 0x1.3126459eaf47p-4, 0x1.1f18a67c8bd81p-4, 0x1.10792c24079dp-4, 0x1.05372f82512e8p-4, 0x1.fa7448b43989bp-5, 0x1.f0c5d22f07213p-5, 0x1.ed19f1cc97f28p-5, 0x1.ef1f02d52accap-5, 0x1.f67cbac46b383p-5, 0x1.016af58c5defdp-4, 0x1.09e5093d699d2p-4, 0x1.147b5fe8a4d3cp-4, 0x1.20fc651e86048p-4, 0x1.2f36afea9b0d4p-4, 0x1.3ef97749205c7p-4, 0x1.5014f4d97268fp-4, 0x1.625ab89fefad1p-4, 0x1.759decbf59dc4p-4, 0x1.89b38cceb7f5fp-4, 0x1.9e72904bce691p-4, 0x1.b3b407d948fe4p-4, 0x1.c95335487eeb8p-4, 0x1.df2d9babd9ee6p-4, 0x1.f5230207fd01cp-4, 0x1.058abbda0c023p-3, 0x1.1074a45a3dd8bp-3, 0x1.1b427bafe606p-3, 0x1.25e8966c97279p-3, 0x1.305c54e371d5ep-3, 0x1.3a941aa55f23fp-3, 0x1.448743a943ee9p-3, 0x1.4e2e17a7cf903p-3, 0x1.5781c07a5d75fp-3, 0x1.607c3c521dbe2p-3, 0x1.6918534421f99p-3, 0x1.71518b87bd4f7p-3, 0x1.79241eb715fd3p-3, 0x1.808cee56ec91ap-3, 0x1.878978d567f1ep-3, 0x1.8e17cf27c19f7p-3, 0x1.9436891daa6d3p-3, 0x1.99e4bc4d81eeap-3, 0x1.9f21f1c865651p-3, 0x1.a3ee1cec3266ap-3, 0x1.a849929a174ap-3, 0x1.ac3500a7deba6p-3, 0x1.afb165862d332p-3, 0x1.b2c008ade03c2p-3, 0x1.b56272eac88d1p-3, 0x1.b79a673d96843p-3, 0x1.b969dc2ddc59dp-3, 0x1.bad2f50639872p-3, 0x1.bbd7fcd3923ffp-3, 0x1.bc7b600988458p-3, 0x1.bcbfa7eaba45fp-3, 0x1.bca775cf95832p-3, 0x1.bc357ee3f85e5p-3, 0x1.bb6c880e0f516p-3, 0x1.ba4f63438655bp-3, 0x1.b8e0ea5239d85p-3, 0x1.b723fdb74deep-3, 0x1.b51b8151fc81fp-3, 0x1.b2ca59723c5cp-3, 0x1.b0336911bedd4p-3, 0x1.ad598f73824dcp-3, 0x1.aa3fa67e9fd5ap-3, 0x1.a6e8812fa10f8p-3, 0x1.a356e9bf347d7p-3, 0x1.9f8da0dcddf8bp-3, 0x1.9b8f5bcf043a3p-3, 0x1.975ec43ad2321p-3, 0x1.92fe76ae3f3b8p-3, 0x1.8e710283a8432p-3, 0x1.89b8e8587d243p-3, 0x1.84d89a68a562dp-3, 0x1.7fd27bbb2929ap-3, 0x1.7aa8dfdec0517p-3, 0x1.755e0ab3a9f9dp-3, 0x1.6ff4304b1733dp-3, 0x1.6a6d749b81218p-3, 0x1.64cbeb932d2c9p-3, 0x1.5f11994cd96ffp-3, 0x1.594071b005708p-3, 0x1.535a58bcabd32p-3, 0x1.4d612274b73ecp-3, 0x1.475693d5a1189p-3, 0x1.413c6148673eap-3, 0x1.3b1430995539cp-3, 0x1.34df984206dacp-3, 0x1.2ea01fd45bd38p-3, 0x1.2857403061aa5p-3, 0x1.22066442e037cp-3, 0x1.1baee843ff662p-3, 0x1.15521b34004ccp-3, 0x1.0ef13e44aaf31p-3, 0x1.088d85a73a2e3p-3, 0x1.022818c2e76dp-3, 0x1.f784248fc99a2p-4, 0x1.eab901e6f5216p-4, 0x1.ddf0ceead5177p-4, 0x1.d12d7993ddbbbp-4, 0x1.c470d9fc42969p-4, 0x1.b7bcb115d59d5p-4, 0x1.ab12ac109f14cp-4, 0x1.9e74623e0e94fp-4, 0x1.91e35720e39dfp-4, 0x1.8560fa9afe7a9p-4, 0x1.78eeaa5666084p-4, 0x1.6c8db055cf6fcp-4, 0x1.603f45f973e9ep-4, 0x1.540492915722cp-4, 0x1.47deae2050d43p-4, 0x1.3bce9f0596ffbp-4, 0x1.2fd55d4013712p-4, 0x1.23f3d1950da4bp-4, 0x1.182ad6202be8p-4, 0x1.0c7b37719909bp-4, 0x1.00e5b4bf6428fp-4, 0x1.ead6006b90272p-5, 0x1.d4177f284b9d2p-5, 0x1.bd9119a7122fcp-5, 0x1.a743ed5a570a6p-5, 0x1.9131016d20244p-5, 0x1.7b59478b44d41p-5, 0x1.65bd9d87133e1p-5, 0x1.505ece0bdf837p-5, 0x1.3b3d915dae79fp-5, 0x1.265a8cf6eebc2p-5, 0x1.11b65483d17d5p-5, 0x1.faa2dc3192f12p-6, 0x1.d2589c5da88f9p-6, 0x1.aa8eb4a174c7fp-6, 0x1.8345d38727851p-6, 0x1.5c7e8c3cb73ep-6, 0x1.363958fe03613p-6, 0x1.1076992705b1dp-6, 0x1.d66d292f54f6p-7, 0x1.8cf2fa07647b1p-7, 0x1.447edbf1c2f46p-7, 0x1.fa21bfed9c909p-8, 0x1.6d51d073b4f77p-8, 0x1.c51ae7016fca8p-9, 0x1.674f77b2c0b21p-10, -0x1.66dfa0bece208p-11, -0x1.63069151d022cp-9, -0x1.3423a79d07842p-8, -0x1.b4becfbfdaf95p-8, -0x1.19ab5ab116c6bp-7, -0x1.57f6be06f8ae4p-7, -0x1.9542bdb7a6f48p-7, -0x1.d1909c6d3af8ep-7, -0x1.0670da14c5b89p-6, -0x1.239bb7f66cbdfp-6, -0x1.4049a67c0be15p-6, -0x1.5c7b6d989d6bfp-6, -0x1.7831dde768481p-6, -0x1.936dcfeea1919p-6, -0x1.ae3023d31ab43p-6, -0x1.c879bd5f805c7p-6, -0x1.e24b88c57fbf8p-6, -0x1.fba6777f05975p-6, -0x1.0a45c06bc0082p-5, -0x1.167dd0461f313p-5, -0x1.227beb144f947p-5, -0x1.2e409289512bcp-5, -0x1.39cc4a39e2cbdp-5, -0x1.451f977fefa9p-5, -0x1.503b01622f0adp-5, -0x1.5b1f0fd04002ap-5, -0x1.65cc4be3940e4p-5, -0x1.70433fa0c6e3ap-5, -0x1.7a8475b21651p-5, -0x1.849079b91a834p-5, -0x1.8e67d83983002p-5, -0x1.980b1df32726ap-5, -0x1.a17ad7b3af115p-5, -0x1.aab792f08b958p-5, -0x1.b3c1dc253c4a2p-5, -0x1.bc9a40eaebd81p-5, -0x1.c5414eda4b2afp-5, -0x1.cdb79363a624dp-5, -0x1.d5fd9b5c4e0d6p-5, -0x1.de13f2fe68508p-5, -0x1.e5fb262312e35p-5, -0x1.edb3c09d8f782p-5, -0x1.f53e4e1c27289p-5, -0x1.fc9b5997c2f1ap-5, -0x1.01e5b69b29057p-4, -0x1.056788ec773b7p-4, -0x1.08d367d9065ep-4, -0x1.0c29974ffb95ep-4, -0x1.0f6a5b16f5f7cp-4, -0x1.1295f67d8c149p-4, -0x1.15acac3fded33p-4, -0x1.18aebe658cd41p-4, -0x1.1b9c6e55f146ep-4, -0x1.1e75fd39b9b31p-4, -0x1.213babe8ff343p-4, -0x1.23edbb225a16p-4, -0x1.268c6a93e3d16p-4, -0x1.2917f95d6a6fdp-4, -0x1.2b90a5d552dd6p-4, -0x1.2df6adc8beb04p-4, -0x1.304a4ece8090ep-4, -0x1.328bc62a07097p-4, -0x1.34bb509a5452bp-4, -0x1.36d92a0fe154bp-4, -0x1.38e58d983c294p-4, -0x1.3ae0b5899c049p-4, -0x1.3ccadbc8d0127p-4, -0x1.3ea439fa160d8p-4, -0x1.406d0972246d9p-4, -0x1.422582f00311fp-4, -0x1.43cdde5bae457p-4, -0x1.456652b38e21cp-4, -0x1.46ef1636acbc8p-4, -0x1.48685eb7e4ca4p-4, -0x1.49d261cc8e68cp-4, -0x1.4b2d54c589e95p-4, -0x1.4c796c74b940ep-4, -0x1.4db6dcd25e944p-4, -0x1.4ee5d8fe23bf7p-4, -0x1.5006933cb599ap-4, -0x1.51193d616db3dp-4, -0x1.521e08d3ec1c3p-4, -0x1.53152702ea53fp-4, -0x1.53fec8ed18f79p-4, -0x1.54db1eecf178dp-4, -0x1.55aa588460702p-4, -0x1.566ca457a839fp-4, -0x1.5722305f1eb6ep-4, -0x1.57cb2a308db4dp-4, -0x1.5867bf4633877p-4, -0x1.58f81ce544556p-4, -0x1.597c6fdc4a426p-4, -0x1.59f4e48ea8a76p-4, -0x1.5a61a67efd1c9p-4, -0x1.5ac2e044b0468p-4, -0x1.5b18bbf44423p-4, -0x1.5b6363455b601p-4, -0x1.5ba2ffce5f066p-4, -0x1.5bd7bb05bd6b7p-4, -0x1.5c01be1fa0bfbp-4, -0x1.5c2131cf156b3p-4, -0x1.5c363e03a968dp-4, -0x1.5c4109f516b93p-4, -0x1.5c41bc37111a2p-4, -0x1.5c387af5b46b2p-4, -0x1.5c256c4713425p-4, -0x1.5c08b61045e85p-4, -0x1.5be27e2a2ede4p-4, -0x1.5bb2ea1178487p-4, -0x1.5b7a1eb992483p-4, -0x1.5b384062bf213p-4, -0x1.5aed72beb0b14p-4, -0x1.5a99d8d869683p-4, -0x1.5a3d95944df4cp-4, -0x1.59d8cbaf30bd3p-4, -0x1.596b9ddee6ad7p-4, -0x1.58f62ea3fd4b8p-4, -0x1.5878a03f1f032p-4, -0x1.57f31481f37afp-4, -0x1.5765acbd34f25p-4, -0x1.56d0896debb29p-4, -0x1.5633caecfe939p-4, -0x1.558f910bc0fa8p-4, -0x1.54e3fb9fa92c3p-4, -0x1.54312a6919063p-4, -0x1.53773d1b7f26dp-4, -0x1.52b6532c0fbedp-4, -0x1.51ee8bc33fb0ap-4, -0x1.5120058b4544p-4, -0x1.504adeb6aff1p-4, -0x1.4f6f34fda3693p-4, -0x1.4e8d25cbbe4afp-4, -0x1.4da4ce5ba2707p-4, -0x1.4cb64bcc9a7ap-4, -0x1.4bc1bb4010a0dp-4, -0x1.4ac739b096148p-4, -0x1.49c6e3f23ba4bp-4, -0x1.48c0d6861b424p-4, -0x1.47b52d88e178bp-4, -0x1.46a404ac6988p-4, -0x1.458d773fdb8f6p-4, -0x1.4471a052dc19ep-4, -0x1.43509abf6eee8p-4, -0x1.422a814c01e15p-4, -0x1.40ff6ead9619dp-4, -0x1.3fcf7d83f3397p-4, -0x1.3e9ac85071208p-4, -0x1.3d6169510cb42p-4, -0x1.3c237a74d1794p-4, -0x1.3ae1155359f49p-4, -0x1.399a533107793p-4, -0x1.384f4d036fcd3p-4, -0x1.37001b90bfdcfp-4, -0x1.35acd776d0417p-4, -0x1.34559946b6883p-4, -0x1.32fa796f5361ep-4, -0x1.319b904e8dep-4, -0x1.3038f61c50a57p-4, -0x1.2ed2c2d2ba8edp-4, -0x1.2d690e2c99bc8p-4, -0x1.2bfbef945d30bp-4, -0x1.2a8b7e2bd048bp-4, -0x1.2917d0d33ca18p-4, -0x1.27a0fe41d2d65p-4, -0x1.26271cfdbea6ap-4, -0x1.24aa4377ce68ep-4, -0x1.232a8802c79c3p-4, -0x1.21a800dc0f86p-4, -0x1.2022c4156780dp-4, -0x1.1e9ae798c5178p-4, -0x1.1d108114a47fdp-4, -0x1.1b83a5f5b6ffdp-4, -0x1.19f46b645074dp-4, -0x1.1862e64fe3dbbp-4, -0x1.16cf2b6bb19dp-4, -0x1.15394f432aap-4, -0x1.13a1663b38bcdp-4, -0x1.12078496f9c84p-4, -0x1.106bbe79bbd0dp-4, -0x1.0ece27e59e81dp-4, -0x1.0d2ed4b5baec7p-4, -0x1.0b8dd89b7c1eap-4, -0x1.09eb470d1cfffp-4, -0x1.08473347e16cfp-4, -0x1.06a1b04c7b819p-4, -0x1.04fad0e1169d1p-4, -0x1.0352a79568d71p-4, -0x1.01a946cc9ec85p-4, -0x1.fffd817deb3b1p-5, -0x1.fca64efb823a3p-5, -0x1.f94d19e52fafcp-5, -0x1.f5f205c5fd2adp-5, -0x1.f29535d90a465p-5, -0x1.ef36cd02b25e3p-5, -0x1.ebd6edc72977ep-5, -0x1.e875ba3d5a0ap-5, -0x1.e513540ca1da2p-5, -0x1.e1afdc6771391p-5, -0x1.de4b740d8397p-5, -0x1.dae63b628d499p-5, -0x1.d780525a7e04p-5, -0x1.d419d8a7abf91p-5, -0x1.d0b2ed8eb5529p-5, -0x1.cd4bb00a50e2ep-5, -0x1.c9e43ebd28f86p-5, -0x1.c67cb7f409097p-5, -0x1.c31539a1e0a77p-5, -0x1.bfade15824dfap-5, -0x1.bc46cc4092dc8p-5, -0x1.b8e0171a28c8ep-5, -0x1.b579de308cadcp-5, -0x1.b2143d671457fp-5, -0x1.aeaf5030111e7p-5, -0x1.ab4b31a225e7ap-5, -0x1.a7e7fc785211dp-5, -0x1.a485cb077cf97p-5, -0x1.a124b74d0f9cp-5, -0x1.9dc4dae7a68b2p-5, -0x1.9a664f189bfd8p-5, -0x1.97092cc303719p-5, -0x1.93ad8c6ce493bp-5, -0x1.9053863a9fdd2p-5, -0x1.8cfb31ec7b97ap-5, -0x1.89a4a6db6b24bp-5, -0x1.864ffbf76ae39p-5, -0x1.82fd47c82be46p-5, -0x1.7faca06e79617p-5, -0x1.7c5e1baaa76p-5, -0x1.7911ced521ce7p-5, -0x1.75c7cee832d47p-5, -0x1.7280307a4e522p-5, -0x1.6f3b07c095659p-5, -0x1.6bf86890d81c2p-5, -0x1.68b8666511b8dp-5, -0x1.657b145c5146p-5, -0x1.6240853e2119dp-5, -0x1.5f08cb772fdafp-5, -0x1.5bd3f91637729p-5, -0x1.58a21fc71ed17p-5, -0x1.557350ce7c1c5p-5, -0x1.52479d08cffdfp-5, -0x1.4f1f14ea79569p-5, -0x1.4bf9c88308b1fp-5, -0x1.48d7c780d5e34p-5, -0x1.45b92137a0424p-5, -0x1.429de4a0c3cbep-5, -0x1.3f86206061f4bp-5, -0x1.3c71e2c7061d1p-5, -0x1.396139d07a7f8p-5, -0x1.36543322046cdp-5, -0x1.334adc06b9397p-5, -0x1.3045416bd385bp-5, -0x1.2d436fe26ff89p-5, -0x1.2a45738ebc171p-5, -0x1.274b583d697d9p-5, -0x1.24552960c3f74p-5, -0x1.2162f211a6ba7p-5, -0x1.1e74bd204fadap-5, -0x1.1b8a9514ab0d4p-5, -0x1.18a4842ee244cp-5, -0x1.15c2946294ec7p-5, -0x1.12e4cf4d78dc4p-5, -0x1.100b3e2d42957p-5, -0x1.0d35e9d779e62p-5, -0x1.0a64daac54e16p-5, -0x1.079818cda38b9p-5, -0x1.04cfab8ea047ep-5, -0x1.020b9a799dd58p-5, -0x1.fe97d9161265bp-6, -0x1.f9215150aeb62p-6, -0x1.f3b3ab2e6be9cp-6, -0x1.ee4ef401ad619p-6, -0x1.e8f338d1c9b79p-6, -0x1.e3a0863379ddfp-6, -0x1.de56e8121e003p-6, -0x1.d91669740cf0bp-6, -0x1.d3df1449d7c77p-6, -0x1.ceb0f1508222bp-6, -0x1.c98c0815814fdp-6, -0x1.c4705f21f5c79p-6, -0x1.bf5dfc488e2a1p-6, -0x1.ba54e4f61d401p-6, -0x1.b5551eb87e085p-6, -0x1.b05eaf6d1dd9dp-6, -0x1.ab719d8df2ef1p-6, -0x1.a68df01de6a02p-6, -0x1.a1b3ae6c867bdp-6, -0x1.9ce2dfa19c85cp-6, -0x1.981b8a271b49cp-6, -0x1.935db30eea65ep-6, -0x1.8ea95d921f7d4p-6, -0x1.89fe8ad0dd30fp-6, -0x1.855d39c54fddfp-6, -0x1.80c5679512812p-6, -0x1.7c3710228798bp-6, -0x1.77b22ee237786p-6, -0x1.7336bfb338e5bp-6, -0x1.6ec4bfaa95bdap-6, -0x1.6a5c2dbab185ap-6, -0x1.65fd0af69a057p-6, -0x1.61a75a61c286ap-6, -0x1.5d5b20532fa61p-6, -0x1.5918617d2920fp-6, -0x1.54df21bf73818p-6, -0x1.50af630323c69p-6, -0x1.4c89244b8a101p-6, -0x1.486c612ca5cep-6, -0x1.445911bdc2174p-6, -0x1.404f2b04cd5c6p-6, -0x1.3c4e9fc75a474p-6, -0x1.385761fa62c74p-6, -0x1.3469636cf621ap-6, -0x1.308497ff6d709p-6, -0x1.2ca8f60a6d9ecp-6, -0x1.28d6776575848p-6, -0x1.250d196ef6f82p-6, -0x1.214cdc84a545cp-6, -0x1.1d95c2da76928p-6, -0x1.19e7cee3f3e58p-6, -0x1.1643019c3663dp-6, -0x1.12a759036031p-6, -0x1.0f14cf1b9a144p-6, -0x1.0b8b598f30e3fp-6, -0x1.080aea018b3a5p-6, -0x1.04936eeb1c6bp-6, -0x1.0124d4cfbad2ap-6, -0x1.fb7e0f404488fp-7, -0x1.f4c3e844e3aa7p-7, -0x1.ee1b128dee0cfp-7, -0x1.e783729c9b7acp-7, -0x1.e0fcf52edef87p-7, -0x1.da878fd1e7e75p-7, -0x1.d4234009d20a8p-7, -0x1.cdd008e266402p-7, -0x1.c78def25ffdebp-7, -0x1.c15cf4d070ee9p-7, -0x1.bb3d146bb200ep-7, -0x1.b52e3ec1819acp-7, -0x1.af3058cdd7645p-7, -0x1.a9433b90dd9d9p-7, -0x1.a366b8bce75d7p-7, -0x1.9d9a9ca75e98p-7, -0x1.97deb214d6bcap-7, -0x1.9232c51294c45p-7, -0x1.8c96a5157cb8bp-7, -0x1.870a26a1cc87fp-7, -0x1.818d24e00837p-7, -0x1.7c1f834c51ec2p-7, -0x1.76c12f34ca7c5p-7, -0x1.717220a80bef2p-7, -0x1.6c32595dbb71ep-7, -0x1.6701e2237363ap-7, -0x1.61e0c60333323p-7, -0x1.5ccf0c6ef8ec6p-7, -0x1.57ccb3c56fedbp-7, -0x1.52d9ada3b6e39p-7, -0x1.4df5de1206ae3p-7, -0x1.49211d9a9bf46p-7, -0x1.445b3d59ae8e6p-7, -0x1.3fa40b6637f4cp-7, -0x1.3afb55f22ac51p-7, -0x1.3660ec48f430fp-7, -0x1.31d49dea0526ep-7, -0x1.2d5639033cd6dp-7, -0x1.28e589e31735bp-7, -0x1.24825c7c3e3edp-7, -0x1.202c80069d362p-7, -0x1.1be3cbac8ea23p-7, -0x1.17a82284b4dc9p-7, -0x1.13797521c62bdp-7, -0x1.0f57bfc0f6bf2p-7, -0x1.0b43055494b24p-7, -0x1.073b48df6ad86p-7, -0x1.0340874ef2e22p-7, -0x1.fea567d1b1ff3p-8, -0x1.f6e370e1ee934p-8, -0x1.ef3af17dbe6ffp-8, -0x1.e7abb027408d2p-8, -0x1.e0357b65108adp-8, -0x1.d8d82cdec68b5p-8, -0x1.d193a445a2a4ap-8, -0x1.ca67bbacad4cap-8, -0x1.c3543a4cd382dp-8, -0x1.bc58cbe0528ddp-8, -0x1.b57500fe22a82p-8, -0x1.aea85905f2e7fp-8, -0x1.a7f25236551b8p-8, -0x1.a1527a3f1183ep-8, -0x1.9ac879b71dfadp-8, -0x1.945416db7babcp-8, -0x1.8df52f95b0a4fp-8, -0x1.87abacd5711acp-8, -0x1.81777596fb46fp-8, -0x1.7b58651058c2cp-8, -0x1.754e4816a52aep-8, -0x1.6f58e194de6dep-8, -0x1.6977f4344d406p-8, -0x1.63ab4dc1cd70ap-8, -0x1.5df2d00e895fbp-8, -0x1.584e7308e8eebp-8, -0x1.52be3d5063509p-8, -0x1.4d42343dbf98p-8, -0x1.47da48411098fp-8, -0x1.428646a50f091p-8, -0x1.3d45d645d7ecfp-8, -0x1.381882011de6p-8, -0x1.32fdcb54a87e6p-8, -0x1.2df53da6d7eebp-8, -0x1.28fe7cb111a44p-8, -0x1.241946e39150ap-8, -0x1.1f45748eff0a7p-8, -0x1.1a82eb9eaba32p-8, -0x1.15d196943b4d1p-8, -0x1.1131551f68d69p-8, -0x1.0ca2052d40b69p-8, -0x1.082375b90a6c9p-8, -0x1.03b571c565524p-8, -0x1.feaf8484b19f8p-9, -0x1.f6146779737fep-9, -0x1.ed99397e0d779p-9, -0x1.e53dc6156767cp-9, -0x1.dd01f8056e3b9p-9, -0x1.d4e5cb07cdd88p-9, -0x1.cce9302048cabp-9, -0x1.c50bef84ae77fp-9, -0x1.bd4d97a7ec277p-9, -0x1.b5ad83ac546dbp-9, -0x1.ae2af5504aa2fp-9, -0x1.a6c531a3a6ef6p-9, -0x1.9f7b90b806974p-9, -0x1.984d7ec1e5e2bp-9, -0x1.913a791591984p-9, -0x1.8a420ed4b660cp-9, -0x1.8363e338b14ecp-9, -0x1.7c9fac71e4de4p-9, -0x1.75f52ebf4eef5p-9, -0x1.6f64367a263dp-9, -0x1.68ec92e716733p-9, -0x1.628e12d0536eap-9, -0x1.5c48838b98059p-9, -0x1.561bb0f983e64p-9, -0x1.500763a860c12p-9, -0x1.4a0b5d6d3324p-9, -0x1.44275924e81f6p-9, -0x1.3e5b108b20c1ep-9, -0x1.38a643665c3d5p-9, -0x1.3308b736b385fp-9, -0x1.2d822cbdb89d2p-9, -0x1.2812546a8d2bap-9, -0x1.22b8cf6f9cd51p-9, -0x1.1d7540369f8f6p-9, -0x1.1847597a32789p-9, -0x1.132ed753a50d9p-9, -0x1.0e2b664e2faffp-9, -0x1.093c97c71b1ep-9, -0x1.0461f8360ec33p-9, -0x1.ff3666c7d9bacp-10, -0x1.f5d0411d50cb1p-10, -0x1.ec915338ba75fp-10, -0x1.e3794540c9b4dp-10, -0x1.da8763c401063p-10, -0x1.d1bab59d168c6p-10, -0x1.c912460f55965p-10, -0x1.c08d647d30438p-10, -0x1.b82ba3b97840ap-10, -0x1.afeca0c55746bp-10, -0x1.a7cfccf60c19fp-10, -0x1.9fd46c7f07896p-10, -0x1.97f9c680e78f1p-10, -0x1.903f5e235cfafp-10, -0x1.88a50c60d2c8p-10, -0x1.812ae9b798f66p-10, -0x1.79d112a475dc7p-10, -0x1.72976a28f17a4p-10, -0x1.6b7d86a18f2e4p-10, -0x1.6482d51dcdb07p-10, -0x1.5da6be3667852p-10, -0x1.56e88b277baa6p-10, -0x1.50472e73c3c06p-10, -0x1.49c169d3f2e15p-10, -0x1.43567849f78c2p-10, -0x1.3d068e02d2ac3p-10, -0x1.36d291f971568p-10, -0x1.30bb424a062bp-10, -0x1.2ac08b335880ep-10, -0x1.24e1964fa803cp-10, -0x1.1f1d66f120208p-10, -0x1.197362f562cfdp-10, -0x1.13e354822e314p-10, -0x1.0e6d090b71c92p-10, -0x1.090fff23da432p-10, -0x1.03cb67a9cdfb6p-10, -0x1.fd3c8d9bb0b1ap-11, -0x1.f30f396c73babp-11, -0x1.e90d38ad9f333p-11, -0x1.df357676de1b1p-11, -0x1.d587845fa7453p-11, -0x1.cc03867ab4c88p-11, -0x1.c2a9e08b09766p-11, -0x1.b97abc16606fdp-11, -0x1.b075c0daba2ebp-11, -0x1.a79a555e86491p-11, -0x1.9ee81af8b1eacp-11, -0x1.965ebfff2c07bp-11, -0x1.8dfd04470130ap-11, -0x1.85c07e059ca08p-11, -0x1.7da729fad9f56p-11, -0x1.75b12524b58f7p-11, -0x1.6de0106771077p-11, -0x1.6634bed86ad4p-11, -0x1.5eae2616c2fd3p-11, -0x1.574a88f139cddp-11, -0x1.500930a3c4d52p-11, -0x1.48eaa5e20555bp-11, -0x1.41ef796afb998p-11, -0x1.3b1752380bdfap-11, -0x1.34610e3fa4f27p-11, -0x1.2dcb5b05a64f3p-11, -0x1.27550ed0c9472p-11, -0x1.20fd382c43e56p-11, -0x1.1ac30d4242c2bp-11, -0x1.14a5e65fd0f94p-11, -0x1.0ea549ce784afp-11, -0x1.08c0f8f108cdap-11, -0x1.02f8f17b5b02bp-11, -0x1.fa9abb5f3e9bcp-12, -0x1.ef7c85fb245c1p-12, -0x1.e496699cfccd6p-12, -0x1.d9e66fb035e33p-12, -0x1.cf6a00fea169cp-12, -0x1.c51fab6eb9b64p-12, -0x1.bb06fa1d6b11dp-12, -0x1.b11ead98c3082p-12, -0x1.a763e1a26d346p-12, -0x1.9dd508b029ce6p-12, -0x1.9474596ef83f6p-12, -0x1.8b4470f2e4e2dp-12, -0x1.8243fffeb733ap-12, -0x1.796f321c882d4p-12, -0x1.70c434f3a097dp-12, -0x1.68440029b2ad8p-12, -0x1.5fef6af01e59bp-12, -0x1.57c5d22318f51p-12, -0x1.4fc61c3d13fa3p-12, -0x1.47ef8de8015dep-12, -0x1.4041a38120f3ap-12, -0x1.38bbb41fbcedbp-12, -0x1.315cbbabf714ap-12, -0x1.2a2387063253ep-12, -0x1.230edc131fa64p-12, -0x1.1c1da2746a21cp-12, -0x1.154ef7fce35e2p-12, -0x1.0ea233c268c3p-12, -0x1.0816e3805c2f9p-12, -0x1.01acce917dc3fp-12, -0x1.f6c7e0acbe011p-13, -0x1.ea787ba52b2aap-13, -0x1.de6a6903d7ee5p-13, -0x1.d29b6fd7aab05p-13, -0x1.c709a471b557ep-13, -0x1.bbb59c1b84af1p-13, -0x1.b0a1f506851bfp-13, -0x1.a5ce65c9a9e09p-13, -0x1.9b3547128aefap-13, -0x1.90d2e28ed3bdap-13, -0x1.86a81f2ee41d4p-13, -0x1.7cb265157142cp-13, -0x1.72ec77aca0a5p-13, -0x1.6956d1218c559p-13, -0x1.5ff5464887848p-13, -0x1.56c83c80fca58p-13, -0x1.4dce15c3842d4p-13, -0x1.45047c2964759p-13, -0x1.3c69ce5fdcc99p-13, -0x1.33fcc961bcaf3p-13, -0x1.2bbcb2c95664p-13, -0x1.23a9b76b090bcp-13, -0x1.1bc47264bc7f5p-13, -0x1.140cf3c7b8e27p-13, -0x1.0c823c98fe0e2p-13, -0x1.05228ece153b4p-13, -0x1.fbd8229043863p-14, -0x1.edba70c192745p-14, -0x1.dfe9af0389ac2p-14, -0x1.d2641afd618ccp-14, -0x1.c52878de10f37p-14, -0x1.b83623cfa1bc2p-14, -0x1.ab8cdfcfe991fp-14, -0x1.9f2bf33184f75p-14, -0x1.9311135349903p-14, -0x1.8738fcd99009dp-14, -0x1.7ba253ef14fbep-14, -0x1.705041953e41cp-14, -0x1.654738a8d0066p-14, -0x1.5a82a7463df27p-14, -0x1.4ff8ed563895fp-14, -0x1.45aa270c1edfap-14, -0x1.3b95cda61fef7p-14, -0x1.31ba37a1c7a72p-14, -0x1.281d459ae733fp-14, -0x1.1ec0d09fcbe88p-14, -0x1.15a03de0bc404p-14, -0x1.0cb706278918fp-14, -0x1.0401a5376c3f7p-14, -0x1.f6fa149aef1f7p-15, -0x1.e64f43d4c4cd7p-15, -0x1.d60433c4b6acbp-15, -0x1.c61c3fcb2161ap-15, -0x1.b697e77b00865p-15, -0x1.a7730363caf9p-15, -0x1.98a8d81158a29p-15, -0x1.8a39263aa91a2p-15, -0x1.7c26e5808591fp-15, -0x1.6e72afc874babp-15, -0x1.6118d8cf5c066p-15, -0x1.5414049f7da7fp-15, -0x1.47600a5e05b88p-15, -0x1.3af9fde52afc6p-15, -0x1.2ee04a65172b9p-15, -0x1.2311f9904a0dcp-15, -0x1.178ea6d716ee5p-15, -0x1.0c55e9bdb666ep-15, -0x1.0166657d7b6c1p-15, -0x1.ed7b06129aa19p-16, -0x1.d8b17c75065e2p-16, -0x1.c46f464c530bcp-16, -0x1.b0bc7389080f3p-16, -0x1.9d9e7b3801289p-16, -0x1.8afe95b74c712p-16, -0x1.78cde675cadadp-16, -0x1.670b871bad694p-16, -0x1.55c1a01d821bdp-16, -0x1.44fbb71039d3p-16, -0x1.34add8fedcb11p-16, -0x1.24cdb41e7f7b5p-16, -0x1.15588ebc88b97p-16, -0x1.064e063b532dcp-16, -0x1.ef5ba58e84713p-17, -0x1.d2efe700a2bf8p-17, -0x1.b7598c83337dbp-17, -0x1.9c9830479fa16p-17, -0x1.82a4f3ba0766ap-17, -0x1.696e1ea69532ap-17, -0x1.50e0821f55621p-17, -0x1.38fa678721b9ap-17, -0x1.21c7497387037p-17, -0x1.0b44f3167505bp-17, -0x1.eac6df0821efp-18, -0x1.c04469b845493p-18, -0x1.971e5f4e03e55p-18, -0x1.6f53b90b40097p-18, -0x1.48cf585934e89p-18, -0x1.23721d1648413p-18, -0x1.fe5ef3d2d2c32p-19, -0x1.b8058431414d6p-19, -0x1.73d39c95e3133p-19, -0x1.31c797ba662ep-19, -0x1.e3bc6d3d8fa34p-20, -0x1.681b862adcd5ep-20, -0x1.e111fd71adc62p-21, -0x1.f343aaae5cf7cp-22, -0x1.9a5acdc86377dp-25, 0x1.7c5d4ad8fbcd9p-22, 0x1.8da2dbb3c1964p-21, 0x1.2b6bbb762cce1p-20, 0x1.8d1da4ffe432ap-20, 0x1.eb0b8a3791c43p-20, 0x1.229afce9407bdp-19, 0x1.4e17640e6c537p-19, }}, 
      {{-0x1.21e50395ff12ap-1, -0x1.1cc2bec574085p-1, -0x1.14a1b6ba03d6p-1, -0x1.09fe66e1f938p-1, -0x1.fabbab578a87p-2, -0x1.de834a3b6a17dp-2, -0x1.c0427fdaf7baap-2, -0x1.a0ccbebd5dd83p-2, -0x1.80d76c97622f9p-2, -0x1.60f9e5fb629e3p-2, -0x1.41af1ca8cc22dp-2, -0x1.23581994598cdp-2, -0x1.063ee90f2451ep-2, -0x1.d53342c84ce32p-3, -0x1.a11aa75dece32p-3, -0x1.706191391d22ap-3, -0x1.431dfe6e248d5p-3, -0x1.1952cbdb886bep-3, -0x1.e5e73d54f1bc5p-4, -0x1.9fd08d5523ef2p-4, -0x1.601f4123c9579p-4, -0x1.26840ee1d236cp-4, -0x1.e54d69e503fd6p-5, -0x1.88529f3f28edfp-5, -0x1.35561c7c82f14p-5, -0x1.d729643277a85p-6, -0x1.549a189988ecap-6, -0x1.c3092f2a4c23p-7, -0x1.f1eff51c8a62p-8, -0x1.2118ec30cc234p-9, 0x1.468be87432cefp-9, 0x1.ae691e77d3c88p-8, 0x1.4ab7eb47ad4f6p-7, 0x1.ae4e6cb4c0847p-7, 0x1.01f8bad898bc7p-6, 0x1.26b98e04e3332p-6, 0x1.463f98dd80e96p-6, 0x1.614e4f6b1af2ap-6, 0x1.7897795073d0ap-6, 0x1.8cbc0d5452b2dp-6, 0x1.9e4d19206f25ap-6, 0x1.adccafce697d3p-6, 0x1.bbaedafd9b436p-6, 0x1.c85a8af79584fp-6, 0x1.d42a83f167455p-6, 0x1.df6e45c6ad343p-6, 0x1.ea6ae96944ca7p-6, 0x1.f55bfbab715ffp-6, 0x1.003a27af9da7ap-5, 0x1.05ef5d3f219c1p-5, 0x1.0bdf6b9f921a3p-5, 0x1.1218d95c8435dp-5, 0x1.18a739f31ffa6p-5, 0x1.1f937bb5aabb1p-5, 0x1.26e42ff287ab2p-5, 0x1.2e9dcde3ea1f2p-5, 0x1.36c2f179cf1f3p-5, 0x1.3f5495f30d3acp-5, 0x1.48524b375057dp-5, 0x1.51ba65e0cc0e8p-5, 0x1.5b8a2b5462bb3p-5, 0x1.65bdf88e0c8c2p-5, 0x1.705168f2291bp-5, 0x1.7b3f778b4835dp-5, 0x1.86829e3bf36c7p-5, 0x1.9214efd88984p-5, 0x1.9df02e1e8fc05p-5, 0x1.aa0de03638959p-5, 0x1.b66763f7d3974p-5, 0x1.c2f5ffbae17fbp-5, 0x1.cfb2f34c441c2p-5, 0x1.dc97839c6867ep-5, 0x1.e99d06c86d0f9p-5, 0x1.f6bcec497bc48p-5, 0x1.01f86202e2e83p-4, 0x1.089922cfa2f5fp-4, 0x1.0f3dabbd2dac4p-4, 0x1.15e308d7bee76p-4, 0x1.1c8661299cfe8p-4, 0x1.2324f98a63c2dp-4, 0x1.29bc351e46c31p-4, 0x1.3049964c2a14bp-4, 0x1.36cabf579c6f6p-4, 0x1.3d3d72856fe5p-4, 0x1.439f91d883d7fp-4, 0x1.49ef1f5c63a1fp-4, 0x1.502a3c99deb79p-4, 0x1.564f2a4b38c86p-4, 0x1.5c5c480a67711p-4, 0x1.625012ef3e007p-4, 0x1.6829268f0a10ap-4, 0x1.6de63a8a80288p-4, 0x1.7386228969b64p-4, 0x1.7907cd2942c53p-4, 0x1.7e6a4307107e4p-4, 0x1.83aca580ac1ep-4, 0x1.88ce2edd7593p-4, 0x1.8dce2f0f5818p-4, 0x1.92ac0cb727d46p-4, 0x1.9767434afbb77p-4, 0x1.9bff621ca91f8p-4, 0x1.a0740b6e59987p-4, 0x1.a4c4f370e6f05p-4, 0x1.a8f1df561b2d5p-4, 0x1.acfaa4482b21p-4, 0x1.b0df26e4a6a86p-4, 0x1.b49f5a2cb69cap-4, 0x1.b83b3dd8841eap-4, 0x1.bbb2df0210864p-4, 0x1.bf06565d1c48dp-4, 0x1.c235c7d3ac86ap-4, 0x1.c54161828d306p-4, 0x1.c8295b43d1e85p-4, 0x1.caedf5dcabd3cp-4, 0x1.cd8f7a5ac2a8ep-4, 0x1.d00e39626bf05p-4, 0x1.d26a8ae647694p-4, 0x1.d4a4cc95c5f79p-4, 0x1.d6bd62cf975adp-4, 0x1.d8b4b6fbc9fd9p-4, 0x1.da8b3761c718cp-4, 0x1.dc4156c1402e7p-4, 0x1.ddd78bbe3cd23p-4, 0x1.df4e5105bed09p-4, 0x1.e0a623cb578fep-4, 0x1.e1df84a3cd1f3p-4, 0x1.e2faf6ccc169fp-4, 0x1.e3f8feca895eap-4, 0x1.e4da23b5faf9ep-4, 0x1.e59eee75d3db8p-4, 0x1.e647e8d92fdb3p-4, 0x1.e6d59e001e94bp-4, 0x1.e74898f813acep-4, 0x1.e7a16645c0ea8p-4, 0x1.e7e09270d556dp-4, 0x1.e806aa1684182p-4, 0x1.e81439e530231p-4, 0x1.e809ce1e3f374p-4, 0x1.e7e7f2b18a6e8p-4, 0x1.e7af33060c877p-4, 0x1.e76019c483cdbp-4, 0x1.e6fb30d17794ep-4, 0x1.e681011e41b8cp-4, 0x1.e5f2129405a5p-4, 0x1.e54eebd30b5dap-4, 0x1.e49812d43d215p-4, 0x1.e3ce0b5f5d26fp-4, 0x1.e2f1590d1aff6p-4, 0x1.e2027bdc9f04ap-4, 0x1.e101f50b81fefp-4, 0x1.dff04279fbf05p-4, 0x1.decde0e212f28p-4, 0x1.dd9b4b4b50c41p-4, 0x1.dc58faf7fe5bap-4, 0x1.db076796a7134p-4, 0x1.d9a706df25ab7p-4, 0x1.d8384cb6fb0a6p-4, 0x1.d6bbab4471a8bp-4, 0x1.d53192c64dfddp-4, 0x1.d39a7199a95abp-4, 0x1.d1f6b438be0ccp-4, 0x1.d046c536f20e9p-4, 0x1.ce8b0d3f9a5f1p-4, 0x1.ccc3f30ffb354p-4, 0x1.caf1db8f41ea5p-4, 0x1.c91529d2f56dep-4, 0x1.c72e3e47c7dcap-4, 0x1.c53d78b6acaa1p-4, 0x1.c34335f27f91cp-4, 0x1.c13fd1ac818f4p-4, 0x1.bf33a5b585207p-4, 0x1.bd1f08f525d1dp-4, 0x1.bb025199f2f2ap-4, 0x1.b8ddd39f1f14ap-4, 0x1.b6b1e13779cd2p-4, 0x1.b47ecacd99ee1p-4, 0x1.b244df050dddfp-4, 0x1.b0046ac754ffap-4, 0x1.adbdb900cbf6cp-4, 0x1.ab7113d8610d3p-4, 0x1.a91ec26e8a9cfp-4, 0x1.a6c70b16ff15p-4, 0x1.a46a324f320b7p-4, 0x1.a2087af455f03p-4, 0x1.9fa2264f6633ep-4, 0x1.9d3774138f243p-4, 0x1.9ac8a26adf32ep-4, 0x1.9855edf33d629p-4, 0x1.95df91dfc485ep-4, 0x1.9365c7d21251fp-4, 0x1.90e8c808f3ce3p-4, 0x1.8e68c95293e47p-4, 0x1.8be601178bb89p-4, 0x1.8960a366d3d3dp-4, 0x1.86d8e31179aaap-4, 0x1.844ef0b9028a3p-4, 0x1.81c2fdb08898ap-4, 0x1.7f35380c541abp-4, 0x1.7ca5cd58a81p-4, 0x1.7a14e9fe1d216p-4, 0x1.7782b92581ac8p-4, 0x1.74ef64c3e417dp-4, 0x1.725b15a43ebedp-4, 0x1.6fc5f368364b4p-4, 0x1.6d3025098cfcdp-4, 0x1.6a99cf77f0a9fp-4, 0x1.6803172b14152p-4, 0x1.656c2014cd7b4p-4, 0x1.62d50c397b8b8p-4, 0x1.603dfd09cc01ep-4, 0x1.5da71306950fp-4, 0x1.5b106da2cf249p-4, 0x1.587a2b77b0efdp-4, 0x1.55e46a612ed46p-4, 0x1.534f46858ed18p-4, 0x1.50badc712c44ap-4, 0x1.4e274703bf1b9p-4, 0x1.4b94a07ca08ebp-4, 0x1.4903024d8aac9p-4, 0x1.4672851ff67a4p-4, 0x1.43e340d76023cp-4, 0x1.41554c9783d42p-4, 0x1.3ec8bec89962ep-4, 0x1.3c3dad1989eaep-4, 0x1.39b42c963a58p-4, 0x1.372c5184be8b2p-4, 0x1.34a62f917fa0dp-4, 0x1.3221d9bd3f304p-4, 0x1.2f9f62680c03dp-4, 0x1.2d1edb1134c65p-4, 0x1.2aa0556d01122p-4, 0x1.2823e1f71cc5fp-4, 0x1.25a99043f60b9p-4, 0x1.233170021fd24p-4, 0x1.20bb9016234e6p-4, 0x1.1e47ff0c93878p-4, 0x1.1bd6ca2e3ed0ep-4, 0x1.1967ff6bdad4dp-4, 0x1.16fbab72eae7p-4, 0x1.1491da9f663cbp-4, 0x1.122a98e76c997p-4, 0x1.0fc5f1b5d047dp-4, 0x1.0d63f01640f36p-4, 0x1.0b049ea1b6c35p-4, 0x1.08a80785bea53p-4, 0x1.064e3487fc8ecp-4, 0x1.03f72f03e341p-4, 0x1.01a2fff41a30dp-4, 0x1.fea35fe5b9c0dp-5, 0x1.fa068e7b3c67ap-5, 0x1.f56f9b6e16607p-5, 0x1.f0de95d02e2ddp-5, 0x1.ec538c02f4c11p-5, 0x1.e7ce8bbd8388cp-5, 0x1.e34fa21089a84p-5, 0x1.ded6db6f8da3p-5, 0x1.da6443b54ad09p-5, 0x1.d5f7e61bc00f2p-5, 0x1.d191cd6a84101p-5, 0x1.cd3203a8b0bfdp-5, 0x1.c8d89272e27cep-5, 0x1.c485826a8980dp-5, 0x1.c038dd0225523p-5, 0x1.bbf2a98a8ab6ap-5, 0x1.b7b2ef945d803p-5, 0x1.b379b64c9e3dcp-5, 0x1.af470449b3837p-5, 0x1.ab1adface14fbp-5, 0x1.a6f54e25702c7p-5, 0x1.a2d654f6355acp-5, 0x1.9ebdf8f404897p-5, 0x1.9aac3f38ad24cp-5, 0x1.96a1296c90125p-5, 0x1.929cbeb624287p-5, 0x1.8e9f002b9c33bp-5, 0x1.8aa7f14a1187dp-5, 0x1.86b794a4adccdp-5, 0x1.82cdec77b8296p-5, 0x1.7eeafaa721b71p-5, 0x1.7b0ec0d6d3837p-5, 0x1.77394049c1714p-5, 0x1.736a79fcbd81ap-5, 0x1.6fa26ea123badp-5, 0x1.6be11e98a367dp-5, 0x1.682689fb70da6p-5, 0x1.6472b09bd566p-5, 0x1.60c59206de97ap-5, 0x1.5d1f2d8e3d80ap-5, 0x1.597f824212242p-5, 0x1.55e68ef6831d8p-5, 0x1.52545241eef4p-5, 0x1.4ec8ca82bf91ep-5, 0x1.4b43f59a2ed7dp-5, 0x1.47c5d1f69d002p-5, 0x1.444e5cd822775p-5, 0x1.40dd93b9697bbp-5, 0x1.3d737459e1da2p-5, 0x1.3a0ffae0cc401p-5, 0x1.36b32552b279ep-5, 0x1.335cefc1d7257p-5, 0x1.300d56dc676fdp-5, 0x1.2cc4570575abdp-5, 0x1.2981ec6ac7527p-5, 0x1.2646131048927p-5, 0x1.2310c6e119fep-5, 0x1.1fe20389960acp-5, 0x1.1cb9c4a180ea6p-5, 0x1.1998059b3db63p-5, 0x1.167cc1c13a06ap-5, 0x1.1367f43aab1b2p-5, 0x1.1059980a70dc1p-5, 0x1.0d51a8126e97cp-5, 0x1.0a501f10bdf41p-5, 0x1.0754f7a6d20ep-5, 0x1.04602c598f66bp-5, 0x1.0171b78f36244p-5, 0x1.fd13272b496f5p-6, 0x1.f74f753bb2aa8p-6, 0x1.f1984d7bc909cp-6, 0x1.ebeda3e22a39bp-6, 0x1.e64f6c3054702p-6, 0x1.e0bd98d9a3c0ap-6, 0x1.db38201bb7d69p-6, 0x1.d5bef2e52c5e1p-6, 0x1.d052045a68847p-6, 0x1.caf147a9c4b3cp-6, 0x1.c59caf8829211p-6, 0x1.c0542e80e2fdfp-6, 0x1.bb17b69aa7b69p-6, 0x1.b5e73ac200b9fp-6, 0x1.b0c2acedae8c7p-6, 0x1.aba9fe7c171dfp-6, 0x1.a69d219b2b95bp-6, 0x1.a19c07dd3078ap-6, 0x1.9ca6a2d3fded6p-6, 0x1.97bce3e761e89p-6, 0x1.92debc6b55f81p-6, 0x1.8e0c1d965194p-6, 0x1.8944f86ff82fcp-6, 0x1.84893e10c2a03p-6, 0x1.7fd8df44aa1b6p-6, 0x1.7b33ccd87821cp-6, 0x1.7699f7787aba7p-6, 0x1.720b4fbb20aedp-6, 0x1.6d87c61ab73ebp-6, 0x1.690f4b04de41ep-6, 0x1.64a1cece15dc1p-6, 0x1.603f41bc80b89p-6, 0x1.5be793fb88f71p-6, 0x1.579ab5b124996p-6, 0x1.535896e913f8ap-6, 0x1.4f2127a00b71bp-6, 0x1.4af457c25e1b6p-6, 0x1.46d2172c8e081p-6, 0x1.42ba55a82c2dfp-6, 0x1.3ead02f7064c9p-6, 0x1.3aaa0eca9858ap-6, 0x1.36b168c8ecd38p-6, 0x1.32c3008ef88e9p-6, 0x1.2edec5aeffb74p-6, 0x1.2b04a7b0bea79p-6, 0x1.27349615a863fp-6, 0x1.236e804cdc751p-6, 0x1.1fb255c84d138p-6, 0x1.1c0005f7288edp-6, 0x1.18578027f5682p-6, 0x1.14b8b3b62a625p-6, 0x1.11238ff489ac3p-6, 0x1.0d98042f26caap-6, 0x1.0a15ffb1ebbdep-6, 0x1.069d717ffe82cp-6, 0x1.032e49641df12p-6, 0x1.ff90ec8d02962p-7, 0x1.f8d7cea77d47ap-7, 0x1.f23117c4a78b9p-7, 0x1.eb9ca651b1c92p-7, 0x1.e51a58c140852p-7, 0x1.deaa0d7e2b33bp-7, 0x1.d84ba2fea383bp-7, 0x1.d1fef75e6ea37p-7, 0x1.cbc3ea45d6136p-7, 0x1.c59a57ba35808p-7, 0x1.bf82212dc757p-7, 0x1.b97b232535d84p-7, 0x1.b3853cc79c062p-7, 0x1.ada04c9c4a202p-7, 0x1.a7cc311c13f7p-7, 0x1.a208c8c0ad217p-7, 0x1.9c55f286f52cep-7, 0x1.96b38d8201724p-7, 0x1.912177e558645p-7, 0x1.8b9f9033e2f3dp-7, 0x1.862db655ba07dp-7, 0x1.80cbc8863f365p-7, 0x1.7b79a5897f6c8p-7, 0x1.76372cc019a0ep-7, 0x1.71043d04075cdp-7, 0x1.6be0b5b15bb0bp-7, 0x1.66cc76062c71fp-7, 0x1.61c75d4d05faep-7, 0x1.5cd14b001624cp-7, 0x1.57ea1e7fef3b5p-7, 0x1.5311b75e76824p-7, 0x1.4e47f5400192ep-7, 0x1.498cb7ddbd625p-7, 0x1.44dfdf0933f5ep-7, 0x1.40414aad88e7dp-7, 0x1.3bb0dad322b71p-7, 0x1.372e6f9a5cf19p-7, 0x1.32b9e9241e9dep-7, 0x1.2e5327e8fbdafp-7, 0x1.29fa0c460be8p-7, 0x1.25ae76dab8725p-7, 0x1.2170481671462p-7, 0x1.1d3f60d8477efp-7, 0x1.191ba1f7808ffp-7, 0x1.1504ec6e8d2e9p-7, 0x1.10fb214a8cbeep-7, 0x1.0cfe21d0433f7p-7, 0x1.090dcf78ebaf3p-7, 0x1.052a0b9e176a8p-7, 0x1.0152b80a02434p-7, 0x1.fb0f6d038b1cdp-8, 0x1.f391d1d33b6fep-8, 0x1.ec2c628a6262bp-8, 0x1.e4dee360d29ep-8, 0x1.dda918d29f598p-8, 0x1.d68ac79b8143p-8, 0x1.cf83b4be6cab8p-8, 0x1.c893a592b136ap-8, 0x1.c1ba5fcb95616p-8, 0x1.baf7a987f17b6p-8, 0x1.b44b494a164eap-8, 0x1.adb50530048eap-8, 0x1.a734a55d16827p-8, 0x1.a0c9f0ddec88fp-8, 0x1.9a74aed99c23p-8, 0x1.9434a7a030b4ap-8, 0x1.8e09a31e92711p-8, 0x1.87f3698cd71d3p-8, 0x1.81f1c37ac8a02p-8, 0x1.7c0479cb4490ap-8, 0x1.762b55a012cd2p-8, 0x1.706620ab1357cp-8, 0x1.6ab4a51322029p-8, 0x1.6516abba71895p-8, 0x1.5f8c08e174abp-8, 0x1.5a1475c48262cp-8, 0x1.54afcd6c3a3eep-8, 0x1.4f5dd71a1eb87p-8, 0x1.4a1e5f336b0ffp-8, 0x1.44f132175bebep-8, 0x1.3fd61c561714bp-8, 0x1.3acceab424a2fp-8, 0x1.35d56a3a942cbp-8, 0x1.30ef6849cda75p-8, 0x1.2c1ab2b0454ccp-8, 0x1.275717b7ca043p-8, 0x1.22a46638e4695p-8, 0x1.1e026d9f86712p-8, 0x1.1970fddced8fp-8, 0x1.14efe73babed8p-8, 0x1.107efac7937ap-8, 0x1.0c1e093ffe1c2p-8, 0x1.07cce42658e18p-8, 0x1.038b5cdc13543p-8, 0x1.feb289f443046p-9, 0x1.f66cdc7e462d8p-9, 0x1.ee45553333f2dp-9, 0x1.e63b98678b75dp-9, 0x1.de4f4ac54eb77p-9, 0x1.d680111e12917p-9, 0x1.cecd946243a3bp-9, 0x1.c7377df54b357p-9, 0x1.bfbd7681825fep-9, 0x1.b85f25ec8b8c3p-9, 0x1.b11c3a2153128p-9, 0x1.a9f4615acddb2p-9, 0x1.a2e745effc44dp-9, 0x1.9bf494c99a236p-9, 0x1.951bfcfe49622p-9, 0x1.8e5d2d5829c4bp-9, 0x1.87b7d46eb9229p-9, 0x1.812ba107fe78ep-9, 0x1.7ab8425a1bf51p-9, 0x1.745d681fc263ep-9, 0x1.6e1ac2d0d007dp-9, 0x1.67f0037b49ec4p-9, 0x1.61dcdc4e4f946p-9, 0x1.5be10090673ecp-9, 0x1.55fc2290f528cp-9, 0x1.502dffceaa4fbp-9, 0x1.4a764319611cbp-9, 0x1.44d4ac8ab1826p-9, 0x1.3f48f1e8c6f0ep-9, 0x1.39d2ccdd094c5p-9, 0x1.3471f73fbaaefp-9, 0x1.2f262b58c85c6p-9, 0x1.29ef23b9e17fdp-9, 0x1.24cc9b2174bc6p-9, 0x1.1fbe4c6caf4fap-9, 0x1.1ac3f29e7cf05p-9, 0x1.15dd48fd4c757p-9, 0x1.110a0b4497b8fp-9, 0x1.0c49f5e1ae58p-9, 0x1.079cc630df96fp-9, 0x1.03023aaefaf23p-9, 0x1.fcf4262db6b37p-10, 0x1.f40820d31437p-10, 0x1.eb3fe9c862294p-10, 0x1.e29b07b4056cp-10, 0x1.da19034cca1fap-10, 0x1.d1b966e9f8dcap-10, 0x1.c97bbe10e007ep-10, 0x1.c15f952aa0c42p-10, 0x1.b96478f7517efp-10, 0x1.b189f63d7e985p-10, 0x1.a9cf8e8ee6102p-10, 0x1.a234ddb35c024p-10, 0x1.9ab97b0e7a01ep-10, 0x1.935cd29d3ffccp-10, 0x1.8c1e7fcdb8cfap-10, 0x1.84fe1158effa8p-10, 0x1.7dfb18b2d49e5p-10, 0x1.77152a4105131p-10, 0x1.704bdd56bfb32p-10, 0x1.699ecbf6564fp-10, 0x1.630d92783ad9fp-10, 0x1.5c97cf312f695p-10, 0x1.563d1ff6c2cb9p-10, 0x1.4ffd2a1de90bdp-10, 0x1.49d78c2ca1d2dp-10, 0x1.43cbe9576ea4cp-10, 0x1.3dd9e4b036716p-10, 0x1.3801204a5a13ep-10, 0x1.32413da38b87p-10, 0x1.2c99dcf0c3a26p-10, 0x1.270a9dd093b77p-10, 0x1.2193200687a85p-10, 0x1.1c3304606d526p-10, 0x1.16e9edba15541p-10, 0x1.11b781ecb1478p-10, 0x1.0c9b69eac0193p-10, 0x1.079551854660fp-10, 0x1.02a4e6e1a96a9p-10, 0x1.fb93b390d479ep-11, 0x1.f207b63bc3861p-11, 0x1.e8a53948e4603p-11, 0x1.df6ba207895cp-11, 0x1.d65a57e2ce534p-11, 0x1.cd70c492615adp-11, 0x1.c4ae53d9a95dbp-11, 0x1.bc1272b8f2315p-11, 0x1.b39c8e3d9316bp-11, 0x1.ab4c125b5b4d1p-11, 0x1.a320695371d74p-11, 0x1.9b18fc0a3f427p-11, 0x1.9335335fe91ccp-11, 0x1.8b747a31d9a22p-11, 0x1.83d63f5f89b4p-11, 0x1.7c59f717b98e8p-11, 0x1.74ff1af5e4424p-11, 0x1.6dc528f5f3c1ep-11, 0x1.66aba1b66c2efp-11, 0x1.5fb206cbf1baap-11, 0x1.58d7d9c49069ap-11, 0x1.521c9c1ce9034p-11, 0x1.4b7fcff976ba8p-11, 0x1.4500f92aa3f22p-11, 0x1.3e9f9e64cda16p-11, 0x1.385b479765914p-11, 0x1.3233850ecc291p-11, 0x1.2c27e0e21d194p-11, 0x1.2637ed63ee6b1p-11, 0x1.20633a73c405ep-11, 0x1.1aa957ef730bfp-11, 0x1.1509d56e3d4e9p-11, 0x1.0f8442bbfe29p-11, 0x1.0a1830f0b60c7p-11, 0x1.04c533ba1d635p-11, 0x1.ff15c49ff9467p-12, 0x1.f4d1afafff0dap-12, 0x1.eabd6236750ddp-12, 0x1.e0d81cecc1ebap-12, 0x1.d7211ae638681p-12, 0x1.cd979a534bab7p-12, 0x1.c43ad6d6647dfp-12, 0x1.bb0a0e93e6d04p-12, 0x1.b2047ad90911ep-12, 0x1.a92985cbf54cap-12, 0x1.a07843f0fea68p-12, 0x1.97f02abd67f1p-12, 0x1.8f907e2fa60a4p-12, 0x1.8758de06bebabp-12, 0x1.7f47c7021cd09p-12, 0x1.775d85540b612p-12, 0x1.6f9910b540209p-12, 0x1.67f9da8dc217fp-12, 0x1.607f45a608b94p-12, 0x1.5928b42f07c31p-12, 0x1.51f58791353a6p-12, 0x1.4ae5222bfc395p-12, 0x1.43f6e954403d9p-12, 0x1.3d2a46635dc29p-12, 0x1.367ea5ea75786p-12, 0x1.2ff375b58087cp-12, 0x1.2988234aa8ea9p-12, 0x1.233c1c609fc87p-12, 0x1.1d0ed18773b98p-12, 0x1.16ffb855d13f2p-12, 0x1.110e4bed5423ep-12, 0x1.0b3a0b006a12bp-12, 0x1.058274b4965c6p-12, 0x1.ffce0d7f4c29p-13, 0x1.f4ce7c4b6f003p-13, 0x1.ea053483c17fdp-13, 0x1.df7140d09a5bap-13, 0x1.d511bc423824bp-13, 0x1.cae5d16fc5a6dp-13, 0x1.c0ecb4728120bp-13, 0x1.b7259a3d216a1p-13, 0x1.ad8fb0dde1e9fp-13, 0x1.a42a1bb608397p-13, 0x1.9af3f50bc2915p-13, 0x1.91ec543248fcfp-13, 0x1.8912550de78abp-13, 0x1.80651d3a6cf77p-13, 0x1.77e3dc6f61e38p-13, 0x1.6f8dc8fb1d2e2p-13, 0x1.67621bbc54d11p-13, 0x1.5f600f1473fffp-13, 0x1.5786e18938b08p-13, 0x1.4fd5d8ff24ce8p-13, 0x1.484c4261a7c29p-13, 0x1.40e96c837f918p-13, 0x1.39aca16f9b8a8p-13, 0x1.329523fc78e2ep-13, 0x1.2ba233cc79ce5p-13, 0x1.24d3152848405p-13, 0x1.1e2717ebe3843p-13, 0x1.179d99f88d69ap-13, 0x1.113604f52461ap-13, 0x1.0aefc9be1765p-13, 0x1.04ca5bca40154p-13, 0x1.fd8a5bce7fe81p-14, 0x1.f1bf602a36f3fp-14, 0x1.e63296717469bp-14, 0x1.dae2c4aaf17abp-14, 0x1.cfceac35f48eap-14, 0x1.c4f51457972f6p-14, 0x1.ba54d57db252cp-14, 0x1.afecde6c438dp-14, 0x1.a5bc3105f4f8cp-14, 0x1.9bc1d89c38f33p-14, 0x1.91fcdf1050366p-14, 0x1.886c47b5a69d9p-14, 0x1.7f0f13dc5fc82p-14, 0x1.75e444bd6805ep-14, 0x1.6ceae0898c896p-14, 0x1.642218fad91bp-14, 0x1.5b88cdd3f2e96p-14, 0x1.531e1a621c443p-14, 0x1.4ae111634b54p-14, 0x1.42d0d672a884fp-14, 0x1.3aec987b202dfp-14, 0x1.333387f5621ddp-14, 0x1.2ba4d26b60492p-14, 0x1.243fa5a146d61p-14, 0x1.1d03354403b5cp-14, 0x1.15eebd0d9f1f4p-14, 0x1.0f017ee23015p-14, 0x1.083a5ceec72b6p-14, 0x1.01992465f217fp-14, 0x1.f63aad1806035p-15, 0x1.e98a484427087p-15, 0x1.dd207f24781d7p-15, 0x1.d0fbd6e7c2d07p-15, 0x1.c51b012bee5dep-15, 0x1.b97cd2fe6ca9dp-15, 0x1.ae203118bd1f3p-15, 0x1.a303f4b14cf1bp-15, 0x1.9826d91a953a1p-15, 0x1.8d878283d09ap-15, 0x1.832499f2fdbadp-15, 0x1.78fce08e20571p-15, 0x1.6f0ecd6294d92p-15, 0x1.6559cfb78e593p-15, 0x1.5bdccc36b1f9ap-15, 0x1.5296147dd8a6cp-15, 0x1.49850e27e0046p-15, 0x1.40a8bac35af82p-15, 0x1.3800059775717p-15, 0x1.2f89ce1535b83p-15, 0x1.2744fbcb94758p-15, 0x1.1f308759895c1p-15, 0x1.174b7722e2a2bp-15, 0x1.0f94ce642728ap-15, 0x1.080bb01290dbfp-15, 0x1.00af312fe2739p-15, 0x1.f2fcae375365p-16, 0x1.e4f0896a90466p-16, 0x1.d7382aca57f71p-16, 0x1.c9d1b140c02c5p-16, 0x1.bcbb8cbc9b465p-16, 0x1.aff3ccf196486p-16, 0x1.a377c893d235dp-16, 0x1.974955b0d28dep-16, 0x1.8b641f0f7ebd3p-16, 0x1.7fc5f615024d7p-16, 0x1.7471bdae5742cp-16, 0x1.69602de56b616p-16, 0x1.5e92dd3ecd8aep-16, 0x1.54078bf2d9b62p-16, 0x1.49bcdc860ff69p-16, 0x1.3fb18c3eac035p-16, 0x1.35e4728afb888p-16, 0x1.2c547b798c74bp-16, 0x1.23007e7ef6f0ap-16, 0x1.19e7247ea7e5p-16, 0x1.1107028887c79p-16, 0x1.085ec5f95803ep-16, 0x1.ffda7ab437f8ep-17, 0x1.ef6283c53924ep-17, 0x1.df535471cc241p-17, 0x1.cfaaa43a1a43dp-17, 0x1.c066413f7d129p-17, 0x1.b1837dfa21391p-17, 0x1.a301a2633468fp-17, 0x1.94dd5a191f4p-17, 0x1.8715125c615e1p-17, 0x1.79a6c3b81bbe9p-17, 0x1.6c90631cafd5bp-17, 0x1.5fcff6ae7cdb2p-17, 0x1.536398ed37b3fp-17, 0x1.4749782e2063ap-17, 0x1.3b7fd6940e904p-17, 0x1.300509f935d2fp-17, 0x1.24d76edc4dfa3p-17, 0x1.19f549e4934acp-17, 0x1.0f5cb84dce951p-17, 0x1.050bd413c2e19p-17, 0x1.f601dd0da3b4dp-18, 0x1.e2753b0038b22p-18, 0x1.cf6f0fc6d29acp-18, 0x1.bcec63c968258p-18, 0x1.aaea290af049fp-18, 0x1.99656b9252112p-18, 0x1.885b1445ebfedp-18, 0x1.77c810dcf4d0ep-18, 0x1.67a9c29125967p-18, 0x1.57fdef375ba11p-18, 0x1.48b7247e506b2p-18, 0x1.39eded2b86713p-18, 0x1.2b8cc26209d76p-18, 0x1.1d8f5a146bec5p-18, 0x1.0ff79f7d779abp-18, 0x1.02c3287a0fad9p-18, 0x1.ebdf673f8d9a9p-19, 0x1.d2f61bf073eebp-19, 0x1.bac615ff0e59bp-19, 0x1.a34aff466ed3bp-19, 0x1.8c8084c809f63p-19, 0x1.76625e8475b7ap-19, 0x1.60ec54e6dfbedp-19, 0x1.4c1a3f2195207p-19, 0x1.37e80b87b0174p-19, 0x1.2451e456d50b8p-19, 0x1.11541e46e609dp-19, 0x1.fdd69aa82bd4ap-20, 0x1.da282374b1a58p-20, 0x1.b79575a7e6481p-20, 0x1.9616c66de0685p-20, 0x1.75a50837a082ep-20, 0x1.563a99f3846b5p-20, 0x1.37d25b619f0a1p-20, 0x1.1a65dd3259c92p-20, 0x1.fbdba276f695cp-21, 0x1.c4c8121297432p-21, 0x1.8f8525ff16e32p-21, 0x1.5c0798d52a4c5p-21, 0x1.2a3b324db1e4dp-21, 0x1.f4549db5319aep-22, 0x1.977d9ef4952dap-22, 0x1.3dccecac74bfap-22, 0x1.ce70176be44aep-23, 0x1.27526ecb4dcc8p-23, 0x1.0c305126ff8f5p-24, -0x1.565132d6d1bf7p-27, -0x1.5692d177c3932p-24, -0x1.3bb7b6e08de75p-23, -0x1.c6d2ab1ec644cp-23, -0x1.265e704df8171p-22, -0x1.66cc1f4b1ecdcp-22, -0x1.a4c2f78215f25p-22, -0x1.e053514d38aedp-22, -0x1.0cc710d61cb99p-21, -0x1.28489d4e4c501p-21, -0x1.42a560a5079fcp-21, -0x1.5bf66897b45d2p-21, -0x1.743d2bb3c4bcbp-21, -0x1.8b7f6b11e7015p-21, -0x1.a1c60fef46d08p-21, -0x1.b7163325d20b1p-21, -0x1.cb76c320ffddep-21, -0x1.deeec05058d95p-21, -0x1.f184da4db8db7p-21, -0x1.019f8b6ec37a3p-20, -0x1.0a1181a2d034ap-20, -0x1.121b3ac813a9bp-20, -0x1.19c0563633cb8p-20, -0x1.21040ab70f446p-20, -0x1.27e909164987p-20, -0x1.2e71ace041536p-20, -0x1.34a0291584ae2p-20, -0x1.3a78b983f4adp-20, -0x1.3ffa48b5d5aaap-20, -0x1.452b4c50aed91p-20, -0x1.4a0cb5fd2ca6dp-20, -0x1.4ea0f61ef4319p-20, -0x1.52ea4f2e8e25cp-20, -0x1.56eb0022eb03cp-20, -0x1.5aa54d0cb5d3bp-20, -0x1.5e1b842e576afp-20, -0x1.614ff5b43e8cdp-20, -0x1.6444d0fbec03fp-20, -0x1.66fbfa482fb79p-20, -0x1.69772279a4376p-20, -0x1.6bb812f4b043p-20, -0x1.6dc0adb8214d4p-20, -0x1.6f92a294c83dp-20, -0x1.712f0d3d4f273p-20, -0x1.72a79ed53d6bap-20, -0x1.73d6d27ee47bfp-20, -0x1.74de2c5dffd31p-20, -0x1.75bb2f4b566f2p-20, -0x1.766bbae5e9ae7p-20, -0x1.76f1941f97fe6p-20, -0x1.774e2415b61bcp-20, -0x1.7782c0a92633cp-20, -0x1.7790c8703407ep-20, -0x1.7779a5333a869p-20, -0x1.773ec9fa13ec8p-20, -0x1.76e1a03a3b185p-20, -0x1.76634c78e156ap-20, -0x1.75c4f9459314ap-20, -0x1.7508455c4e40ep-20, -0x1.742e660397f62p-20, -0x1.73381268a7f02p-20, -0x1.72265dd934c8p-20, -0x1.70fa95ff0a898p-20, }}, 
      {{-0x1.f61e3d6748fe1p-14, -0x1.97a11a4a2642p-12, -0x1.3da3a7613822dp-11, -0x1.201c2a3161d85p-11, -0x1.d962ea78fe18cp-16, 0x1.1fc411d024c8cp-10, 0x1.7d7dbb2b631p-9, 0x1.646761274d3d2p-8, 0x1.1bdb6d59674d5p-7, 0x1.9a860a766d4bp-7, 0x1.15be14f6afab9p-6, 0x1.65b4db194eb37p-6, 0x1.bb4f3553089adp-6, 0x1.0a50dc6999f1dp-5, 0x1.37e195a55495dp-5, 0x1.656e828b58516p-5, 0x1.921bcf73f092bp-5, 0x1.bd2155e6bae08p-5, 0x1.e5cd4986eb878p-5, 0x1.05c2ce108a03p-4, 0x1.16e42e2c65e21p-4, 0x1.2615a4fd19b82p-4, 0x1.332d6c365cd14p-4, 0x1.3e0c647fbaa76p-4, 0x1.469d40a19fae2p-4, 0x1.4cd39dce8f525p-4, 0x1.50ab131f15a12p-4, 0x1.52264261fe94p-4, 0x1.514def9abcc5ap-4, 0x1.4e30242f35afdp-4, 0x1.48df608ad36e5p-4, 0x1.4171ddfda3879p-4, 0x1.3800e1389d325p-4, 0x1.2ca81e1cb2eeep-4, 0x1.1f852b3ec822bp-4, 0x1.10b70535c40f1p-4, 0x1.005d9fccfa9e9p-4, 0x1.dd33087c0e7c5p-5, 0x1.b716f66f931fdp-5, 0x1.8ea8834f7b615p-5, 0x1.64288eae6ef94p-5, 0x1.37d6ed060538dp-5, 0x1.09f20744bd6bep-5, 0x1.b56d12732ebap-6, 0x1.54be3b0be9b27p-6, 0x1.e490d73045ddap-7, 0x1.1cef76e9256d2p-7, 0x1.4d99871ced994p-9, -0x1.dd1b92bb27b6p-9, -0x1.425fac8876997p-7, -0x1.069b21301ad52p-6, -0x1.6b940020273dbp-6, -0x1.cfcea31462393p-6, -0x1.198257e2eaa6cp-5, -0x1.4a7a97fb934b1p-5, -0x1.7ab238c0dd39ep-5, -0x1.aa0df2d32a947p-5, -0x1.d874fade42186p-5, -0x1.02e8739259b78p-4, -0x1.1906cff79cdd5p-4, -0x1.2e8c9f80495e6p-4, -0x1.4371fe56bf263p-4, -0x1.57b0080422862p-4, -0x1.6b40c808cb47p-4, -0x1.7e1f2dedc4938p-4, -0x1.9046feb330411p-4, -0x1.a1b4ca653eafp-4, -0x1.b265de12049dp-4, -0x1.c2583966826d3p-4, -0x1.d18a7e41872cfp-4, -0x1.dffbe74ee5febp-4, -0x1.edac3a6e6f5c7p-4, -0x1.fa9bc00c8cae2p-4, -0x1.03659cc68c561p-3, -0x1.091dec9d14762p-3, -0x1.0e779cc032e69p-3, -0x1.1373aa2d38c24p-3, -0x1.18133d8393688p-3, -0x1.1c57a6c7ac703p-3, -0x1.20425991e925dp-3, -0x1.23d4e983ce61bp-3, -0x1.2711070e0d68ap-3, -0x1.29f87c778b16fp-3, -0x1.2c8d2b0ccada9p-3, -0x1.2ed1086b5d211p-3, -0x1.30c61bd8d69f1p-3, -0x1.326e7ba6f6a78p-3, -0x1.33cc4aa7c973ap-3, -0x1.34e1b5baf128ep-3, -0x1.35b0f1818dadcp-3, -0x1.363c3837df7bdp-3, -0x1.3685c7c377306p-3, -0x1.368fdfed2d18bp-3, -0x1.365cc0c8487c1p-3, -0x1.35eea9438e9cbp-3, -0x1.3547d5dcd1e1p-3, -0x1.346a7f736d78fp-3, -0x1.3358da330af81p-3, -0x1.32151498eb00dp-3, -0x1.30a1568daf71ep-3, -0x1.2effc08a7701fp-3, -0x1.2d326adceb805p-3, -0x1.2b3b64f45c17cp-3, -0x1.291cb4cb8a10cp-3, -0x1.26d8566161b8ap-3, -0x1.24703b41d7affp-3, -0x1.21e64a2b08213p-3, -0x1.1f3c5ebde87dcp-3, -0x1.1c74493dbce8dp-3, -0x1.198fce5c1835fp-3, -0x1.1690a71fb0c57p-3, -0x1.137880bc5e58cp-3, -0x1.1048fc91767f8p-3, -0x1.0d03b01ea2bdep-3, -0x1.09aa2504d18ffp-3, -0x1.063dd917a4ab8p-3, -0x1.02c03e64a9f0ap-3, -0x1.fe6576b5560b8p-4, -0x1.f72d55aa503bdp-4, -0x1.efdab89d3e971p-4, -0x1.e870280ec02c3p-4, -0x1.e0f01648bb257p-4, -0x1.d95cdfde3c525p-4, -0x1.d1b8cc09fef74p-4, -0x1.ca060ce8e0b76p-4, -0x1.c246c02a5c13p-4, -0x1.ba7cef3e8a5f4p-4, -0x1.b2aa8fe6dead7p-4, -0x1.aad1849bf49ddp-4, -0x1.a2f39ce133d2bp-4, -0x1.9b1295a9af826p-4, -0x1.93301a0a89ab5p-4, -0x1.8b4dc35eb06c5p-4, -0x1.836d199e70717p-4, -0x1.7b8f941ec07fap-4, -0x1.73b699af90231p-4, -0x1.6be380f989954p-4, -0x1.6417912fb47c1p-4, -0x1.5c540240b0f46p-4, -0x1.5499fd1629bb7p-4, -0x1.4cea9c457be36p-4, -0x1.4546ec659ea41p-4, -0x1.3dafec228f9c7p-4, -0x1.36268cdb50237p-4, -0x1.2eabb32785a33p-4, -0x1.274036d93fa74p-4, -0x1.1fe4e35b5654bp-4, -0x1.189a7856adafap-4, -0x1.1161aa05bb80ap-4, -0x1.0a3b20f009059p-4, -0x1.03277ac8d6d02p-4, -0x1.f84e95b00de04p-5, -0x1.ea7633dc9c2cbp-5, -0x1.dcc6cd1bb7a39p-5, -0x1.cf414b3de92c7p-5, -0x1.c1e685970cfa3p-5, -0x1.b4b740a4894c2p-5, -0x1.a7b42e8fae536p-5, -0x1.9addf0aec1adap-5, -0x1.8e3518088b1e6p-5, -0x1.81ba24d6ca18ap-5, -0x1.756d871054fbfp-5, -0x1.694f9ffa3b3e8p-5, -0x1.5d60c2af2e202p-5, -0x1.51a133879b998p-5, -0x1.4611286dc2669p-5, -0x1.3ab0ca7c269c2p-5, -0x1.2f8036b7e2ffcp-5, -0x1.247f7d94450f9p-5, -0x1.19aea2b981596p-5, -0x1.0f0d9e7d116b4p-5, -0x1.049c5f3edfd5bp-5, -0x1.f4b591d283da7p-6, -0x1.e0916916eaa35p-6, -0x1.cccbe2257313p-6, -0x1.b96489b13b73ep-6, -0x1.a65adc585dc0cp-6, -0x1.93ae454726272p-6, -0x1.815e1e07edf14p-6, -0x1.6f69b0bd290a3p-6, -0x1.5dd03afb95863p-6, -0x1.4c90edcc53244p-6, -0x1.3baaec57791a4p-6, -0x1.2b1d4c218ea4bp-6, -0x1.1ae7179c98408p-6, -0x1.0b075076a10fcp-6, -0x1.f6f9ded04a112p-7, -0x1.d88dc5c546343p-7, -0x1.bac81ebbe9a74p-7, -0x1.9da6a391419f6p-7, -0x1.8127034db7debp-7, -0x1.6546e20aaf4e3p-7, -0x1.4a03d67ab29e3p-7, -0x1.2f5b69e3c4105p-7, -0x1.154b1c0ba9d64p-7, -0x1.f7a0cf5e1115dp-8, -0x1.c5d1848b42113p-8, -0x1.95233796bda53p-8, -0x1.6590b94aa274cp-8, -0x1.3714cf870cf09p-8, -0x1.09aa3e1a6bc7fp-8, -0x1.ba979476fb279p-9, -0x1.63e873059bb03p-9, -0x1.0f3c9ddea2706p-9, -0x1.791328012745fp-10, -0x1.af13780ecdd0cp-11, -0x1.ce411ad7a859fp-13, 0x1.811945a8a9ba4p-12, 0x1.ed6c47cdbcb6ap-11, 0x1.899bc0cc28c2fp-10, 0x1.0c85bc1e2c32ep-9, 0x1.528cb7d110666p-9, 0x1.96ecc71843012p-9, 0x1.d9afba2fbe3b2p-9, 0x1.0d6f9fd0eba61p-8, 0x1.2d42761250122p-8, 0x1.4c551cc04a0d6p-8, 0x1.6aac40ed218cep-8, 0x1.884c7b23eaea5p-8, 0x1.a53a4cf0f4d99p-8, 0x1.c17a21ec79daap-8, 0x1.dd1052f92ec33p-8, 0x1.f8012808f7902p-8, 0x1.09286b1ffb937p-7, 0x1.1601bde7fb4cep-7, 0x1.228e8e76fa1fep-7, 0x1.2ed0d22f196adp-7, 0x1.3aca733f6e63ep-7, 0x1.467d520c944c4p-7, 0x1.51eb44e0a5fc8p-7, 0x1.5d1616fd5e9c2p-7, 0x1.67ff8606618c2p-7, 0x1.72a941eca08bap-7, 0x1.7d14eeaf76d8ep-7, 0x1.8744256a2c568p-7, 0x1.9138753b1396p-7, 0x1.9af36238f203p-7, 0x1.a476647eee12cp-7, 0x1.adc2e6b414d36p-7, 0x1.b6da46d1bddcp-7, 0x1.bfbdd788c24c6p-7, 0x1.c86ee15032c0ap-7, 0x1.d0eea2e1104a8p-7, 0x1.d93e50246d3f5p-7, 0x1.e15f1128132bbp-7, 0x1.e95201bdc3d7fp-7, 0x1.f118323a02d1bp-7, 0x1.f8b2a8e31b2d2p-7, 0x1.0011316a577e7p-6, 0x1.03b42a0b7fc6ep-6, 0x1.0742b36a6df6ep-6, 0x1.0abd3d4b4db61p-6, 0x1.0e24320b244cbp-6, 0x1.1177f709ce1f5p-6, 0x1.14b8ed48f385ap-6, 0x1.17e771e170afdp-6, 0x1.1b03de0be9284p-6, 0x1.1e0e86d9618b3p-6, 0x1.2107bcdee6e0ap-6, 0x1.23efcc2456027p-6, 0x1.26c6fc6f19932p-6, 0x1.298d91d0c05f3p-6, 0x1.2c43cd42e7ebdp-6, 0x1.2ee9ec9fbeeadp-6, 0x1.31802a9d98fedp-6, 0x1.3406be7d7d2d2p-6, 0x1.367ddbd492272p-6, 0x1.38e5b2ba290dap-6, 0x1.3b3e703027b6bp-6, 0x1.3d883ea7add16p-6, 0x1.3fc34664e8032p-6, 0x1.41efad9ca9eap-6, 0x1.440d97a041e2fp-6, 0x1.461d26339b9b4p-6, 0x1.481e7778dc794p-6, 0x1.4a11a77865e24p-6, 0x1.4bf6d015f6255p-6, 0x1.4dce098935658p-6, 0x1.4f976ab02ad18p-6, 0x1.51530921f8449p-6, 0x1.5300f909332a8p-6, 0x1.54a14cefa4ce8p-6, 0x1.5634159d2d08dp-6, 0x1.57b9623bb5c5ep-6, 0x1.5931409e707dcp-6, 0x1.5a9bbda100915p-6, 0x1.5bf8e57fdda7ep-6, 0x1.5d48c3e89c53fp-6, 0x1.5e8b6406f58e2p-6, 0x1.5fc0d052dbbdep-6, 0x1.60e9126f251bdp-6, 0x1.6204331f20b7bp-6, 0x1.63123a6f2344cp-6, 0x1.64132ffe00aa3p-6, 0x1.65071b2de8c2cp-6, 0x1.65ee03770bb9bp-6, 0x1.66c7f0920af9dp-6, 0x1.6794e9ec64a22p-6, 0x1.6854f783d2b4dp-6, 0x1.690820bb2361p-6, 0x1.69ae6d0bcbec7p-6, 0x1.6a47e3c650304p-6, 0x1.6ad48c684cb7cp-6, 0x1.6b546eb5a9747p-6, 0x1.6bc792fb89f01p-6, 0x1.6c2e0219c1485p-6, 0x1.6c87c589c736ap-6, 0x1.6cd4e7435756ap-6, 0x1.6d1571ad65299p-6, 0x1.6d496f88f8bb4p-6, 0x1.6d70ebf7a500ap-6, 0x1.6d8bf28e8b3f8p-6, 0x1.6d9a8f7c0f89ep-6, 0x1.6d9ccfa93835cp-6, 0x1.6d92c0d200cb8p-6, 0x1.6d7c71922934bp-6, 0x1.6d59f158fff49p-6, 0x1.6d2b505dcb691p-6, 0x1.6cf09f8a89958p-6, 0x1.6ca9f0706baf7p-6, 0x1.6c575547d9a37p-6, 0x1.6bf8e0e634243p-6, 0x1.6b8ea739279afp-6, 0x1.6b18bca2ad74fp-6, 0x1.6a97369fd026bp-6, 0x1.6a0a2ba0e2b46p-6, 0x1.6971b2fb32005p-6, 0x1.68cde4e3b2742p-6, 0x1.681eda5830cdfp-6, 0x1.6764ad24e4805p-6, 0x1.669f77c672777p-6, 0x1.65cf556fcb786p-6, 0x1.64f4622162c52p-6, 0x1.640ebaa432537p-6, 0x1.631e7c95e76edp-6, 0x1.6223c66dde813p-6, 0x1.611eb7779e122p-6, 0x1.600f6fcee934dp-6, 0x1.5ef6105213641p-6, 0x1.5dd2ba944a84p-6, 0x1.5ca590d182e17p-6, 0x1.5b6eb5e687a65p-6, 0x1.5a2e4d4e88913p-6, 0x1.58e47b23ff5c9p-6, 0x1.5791642443f24p-6, 0x1.56352dade634cp-6, 0x1.54cffdc1c28c3p-6, 0x1.5361fafd7743dp-6, 0x1.51eb4c95d3927p-6, 0x1.506c1a4b44604p-6, 0x1.4ee48c601e25fp-6, 0x1.4d54cb8bbb723p-6, 0x1.4bbd00f0f1016p-6, 0x1.4a1d561742edfp-6, 0x1.4875f4e80af72p-6, 0x1.46c707ab0bb57p-6, 0x1.4510b9055d765p-6, 0x1.435333f561001p-6, 0x1.418ea3ce1bbecp-6, 0x1.3fc3343158b08p-6, 0x1.3df1110886542p-6, 0x1.3c18667c17e55p-6, 0x1.3a3960ea1161bp-6, 0x1.38542cdbc3f7p-6, 0x1.3668f6fd83b0fp-6, 0x1.3477ec170dc71p-6, 0x1.3281390745e59p-6, 0x1.30850abfadcbep-6, 0x1.2e838e40ea6e3p-6, 0x1.2c7cf096142c5p-6, 0x1.2a715ecc54925p-6, 0x1.286105f9ada38p-6, 0x1.264c1323b9c7fp-6, 0x1.2432b346ba2ap-6, 0x1.2215134d4baffp-6, 0x1.1ff3600569a46p-6, 0x1.1dcdc61a30572p-6, 0x1.1ba4720cd244bp-6, 0x1.1977902f553a7p-6, 0x1.17474c9bd49ccp-6, 0x1.1513d3442b03ap-6, 0x1.12dd4fba91098p-6, 0x1.10a3ed87bb1e8p-6, 0x1.0e67d7bfc833cp-6, 0x1.0c29394928a5ap-6, 0x1.09e83cb7d84d6p-6, 0x1.07a50c4ef53c3p-6, 0x1.055fd1faec9e7p-6, 0x1.0318b74a6337ep-6, 0x1.00cfe569d199fp-6, 0x1.fd0b0a426b7dap-7, 0x1.f8737d9565848p-7, 0x1.f3d974b8cbf17p-7, 0x1.ef3d3e98c3172p-7, 0x1.ea9f295dfc4a6p-7, 0x1.e5ff8250f3e7ap-7, 0x1.e15e95b0456c6p-7, 0x1.dcbcaed67ccbdp-7, 0x1.d81a181ac49e6p-7, 0x1.d3771acd031e6p-7, 0x1.ced3ff30660ap-7, 0x1.ca310c768c26p-7, 0x1.c58e88bed551ep-7, 0x1.c0ecb91532897p-7, 0x1.bc4be17136a4p-7, 0x1.b7ac44b3e799ep-7, 0x1.b30e24a362786p-7, 0x1.ae71c1e3317ffp-7, 0x1.a9d75bea37044p-7, 0x1.a53f3117cc8eap-7, 0x1.a0a97e5e8b262p-7, 0x1.9c167f9ec1aa2p-7, 0x1.97866f610cb69p-7, 0x1.92f9872f2c698p-7, 0x1.8e6fff288a352p-7, 0x1.89ea0e64797a7p-7, 0x1.8567ead2cc636p-7, 0x1.80e9c938d7ae9p-7, 0x1.7c6fdd29fa101p-7, 0x1.77fa58fa0d9afp-7, 0x1.73896dace12fdp-7, 0x1.6f1d4af4aa338p-7, 0x1.6ab61f2c9e83ep-7, 0x1.66541763ae41fp-7, 0x1.61f75f6d3fde8p-7, 0x1.5da021f4d7776p-7, 0x1.594e888fe283ap-7, 0x1.5502bbc706837p-7, 0x1.50bce3138fc12p-7, 0x1.4c7d24d0151cdp-7, 0x1.4843a61f693bfp-7, 0x1.44108ad07dc88p-7, 0x1.3fe3f547e9f3fp-7, 0x1.3bbe06775719dp-7, 0x1.379edde7efce8p-7, 0x1.338699da0ae9fp-7, 0x1.2f7557731e3a5p-7, 0x1.2b6b32f0cd82dp-7, 0x1.276847d48dcd6p-7, 0x1.236cb0f9f99c4p-7, 0x1.1f78888f87b85p-7, 0x1.1b8be7ef2224dp-7, 0x1.17a6e75cd0e12p-7, 0x1.13c99dbad6818p-7, 0x1.0ff42043e8601p-7, 0x1.0c26824f658cep-7, 0x1.0860d5ca1ef8dp-7, 0x1.04a329f65fb56p-7, 0x1.00ed8e11cce47p-7, 0x1.fa801f9a54556p-8, 0x1.f3357976f534dp-8, 0x1.ebfb450e9705bp-8, 0x1.e4d19e51a0356p-8, 0x1.ddb8a1aaa6194p-8, 0x1.d6b06b4e8be9fp-8, 0x1.cfb91617d9b99p-8, 0x1.c8d2ba254157cp-8, 0x1.c1fd6b84a8edbp-8, 0x1.bb39393ca1442p-8, 0x1.b4862cf23ec92p-8, 0x1.ade44b4f34745p-8, 0x1.a753952cad3d6p-8, 0x1.a0d409528fe81p-8, 0x1.9a65a6867737fp-8, 0x1.94086d77d78b8p-8, 0x1.8dbc622bfdff1p-8, 0x1.87818c869c3d4p-8, 0x1.8157f7c019129p-8, 0x1.7b3fb0ce99d08p-8, 0x1.7538c401e194fp-8, 0x1.6f433a4032425p-8, 0x1.695f166b53cecp-8, 0x1.638c5382b62c7p-8, 0x1.5dcae3c2cc92bp-8, 0x1.581ab1519d04cp-8, 0x1.527ba00def984p-8, 0x1.4ced90774c786p-8, 0x1.4770635dd74edp-8, 0x1.4203fd9e2c19p-8, 0x1.3ca84b284de05p-8, 0x1.375d40dfd089cp-8, 0x1.3222dcd3b8d4bp-8, 0x1.2cf92497333e9p-8, 0x1.27e021f35292cp-8, 0x1.22d7de819167cp-8, 0x1.1de05ef033f47p-8, 0x1.18f99ed35a4f9p-8, 0x1.14238dba2e301p-8, 0x1.0f5e0e07ca236p-8, 0x1.0aa8f5b91ff3fp-8, 0x1.060410d7bee84p-8, 0x1.016f263e5ea91p-8, 0x1.f9d3f558bf97p-9, 0x1.f0e8b0d2b2b83p-9, 0x1.e81c23ef26fdfp-9, 0x1.df6e0cae192a5p-9, 0x1.d6de446f04461p-9, 0x1.ce6cbe2364f36p-9, 0x1.c6197fc7c7f79p-9, 0x1.bde4983506188p-9, 0x1.b5ce132654a6bp-9, 0x1.add5edc1946d5p-9, 0x1.a5fc0dc939394p-9, 0x1.9e403cf0a7c45p-9, 0x1.96a228ca31755p-9, 0x1.8f2166d429c42p-9, 0x1.87bd7b8aa9078p-9, 0x1.8075e337ee66p-9, 0x1.794a1b68b6327p-9, 0x1.7239ac21b2abfp-9, 0x1.6b44300630f38p-9, 0x1.64695a871d84bp-9, 0x1.5da8faf191d4ep-9, 0x1.5702fb4e23213p-9, 0x1.50775a7e7221p-9, 0x1.4a0621f1b3445p-9, 0x1.43af58884ccf8p-9, 0x1.3d72f4d29ecc8p-9, 0x1.3750d3b8328fep-9, 0x1.3148b1cbd061cp-9, 0x1.2b5a2a70214aap-9, 0x1.2584c1235d0eep-9, 0x1.1fc7e8d62b111p-9, 0x1.1a230ec9f7408p-9, 0x1.1495a3974b64bp-9, 0x1.0f1f21f6f27f7p-9, 0x1.09bf13a3d80abp-9, 0x1.04751553f28c3p-9, 0x1.fe81b508792dfp-10, 0x1.f44461a557513p-10, 0x1.ea3203bec2ddfp-10, 0x1.e04aa252c1981p-10, 0x1.d68e6b0daa2d8p-10, 0x1.ccfd9a851afefp-10, 0x1.c3985e413651dp-10, 0x1.ba5eb73f6e62p-10, 0x1.b15064c530989p-10, 0x1.a86cdd9606b35p-10, 0x1.9fb3591d03ae1p-10, 0x1.9722e49bdd28p-10, 0x1.8eba7c51c620ep-10, 0x1.86791fb173073p-10, 0x1.7e5ddaa80a8b7p-10, 0x1.7667c3bf0c6c3p-10, 0x1.6e95f45d02a5fp-10, 0x1.66e78321b9474p-10, 0x1.5f5b86faf0f25p-10, 0x1.57f124d249e85p-10, 0x1.50a7a402ecfdbp-10, 0x1.497e81b01e50cp-10, 0x1.42757a52260d5p-10, 0x1.3b8c83bfa10afp-10, 0x1.34c3b79373c48p-10, 0x1.2e1b33fdc4c5fp-10, 0x1.2792fd339ed04p-10, 0x1.212ae9f34e2ep-10, 0x1.1ae2a19869893p-10, 0x1.14b9ab8819ac4p-10, 0x1.0eaf88cdf7844p-10, 0x1.08c3cc5506514p-10, 0x1.02f6263d5b98ep-10, 0x1.fa8cb7deb76b2p-11, 0x1.ef685e330eba8p-11, 0x1.e47e7c31d2c82p-11, 0x1.d9cdd863bd059p-11, 0x1.cf54ba482666cp-11, 0x1.c5110ebd3ef0bp-11, 0x1.bb00ad296eddp-11, 0x1.b121a45fba8cap-11, 0x1.a772743c0f21cp-11, 0x1.9df2231b2d325p-11, 0x1.94a0233264f54p-11, 0x1.8b7c279829c94p-11, 0x1.8285de5ab3ef7p-11, 0x1.79bcca82dab49p-11, 0x1.712033db51195p-11, 0x1.68af393a0c152p-11, 0x1.6068f9cdeda48p-11, 0x1.584cc62f0a2ecp-11, 0x1.505a471fbf742p-11, 0x1.48918851f1535p-11, 0x1.40f2db83a62e1p-11, 0x1.397e9648fb6c5p-11, 0x1.3234befebf623p-11, 0x1.2b14caebc64dfp-11, 0x1.241d8b070158ap-11, 0x1.1d4d517839643p-11, 0x1.16a23e7964f16p-11, 0x1.101a93de7d7b3p-11, 0x1.09b4f57249d04p-11, 0x1.037078e8f9bcep-11, 0x1.fa994277e94a6p-12, 0x1.ee9259c107aa2p-12, 0x1.e2cbd3eef3e2p-12, 0x1.d74507b361a7cp-12, 0x1.cbfd18bbf200ep-12, 0x1.c0f2cef247484p-12, 0x1.b624d66a2dbdcp-12, 0x1.ab91de728c9eap-12, 0x1.a138c524c0612p-12, 0x1.9718c2419e26cp-12, 0x1.8d318504908b2p-12, 0x1.83832da350b49p-12, 0x1.7a0e11a342c1ap-12, 0x1.70d252f22f238p-12, 0x1.67cf709351e79p-12, 0x1.5f0407f29cb7ep-12, 0x1.566decd88f798p-12, 0x1.4e0a8cb11b854p-12, 0x1.45d76175a41f1p-12, 0x1.3dd236d0a3e0ep-12, 0x1.35f934bb12a5bp-12, 0x1.2e4ad2415d409p-12, 0x1.26c5d0a7ddcap-12, 0x1.1f693d7065ac4p-12, 0x1.18346bba042a1p-12, 0x1.1126e27ed20c1p-12, 0x1.0a4047943712cp-12, 0x1.03804d5e7ea8fp-12, 0x1.f9cd503098ed6p-13, 0x1.ece61d4934188p-13, 0x1.e04a80b9498dap-13, 0x1.d3f9ff77ec0d7p-13, 0x1.c7f3fa0e2a66dp-13, 0x1.bc37865f74645p-13, 0x1.b0c377d60d0bp-13, 0x1.a5968be42e4fcp-13, 0x1.9aaf828f0ae3ep-13, 0x1.900cff72e11d5p-13, 0x1.85ad5798bcbf5p-13, 0x1.7b8e9b7ab742ep-13, 0x1.71aef70d9b88cp-13, 0x1.680d0b72a42b2p-13, 0x1.5ea7c0e68592bp-13, 0x1.557d9ed239dp-13, 0x1.4c8c6b6f6a3f1p-13, 0x1.43d1a73065387p-13, 0x1.3b4b7b3cf29ap-13, 0x1.32f9275ed90d5p-13, 0x1.2ada829371168p-13, 0x1.22eefd94d642p-13, 0x1.1b34f596f6a69p-13, 0x1.13a9e4e454fb3p-13, 0x1.0c4b51ad160cp-13, 0x1.0517b3a116e9ep-13, 0x1.fc1d14d5fb607p-14, 0x1.ee5f488bb35d6p-14, 0x1.e0f4a37dce1c4p-14, 0x1.d3da6cb08c32ap-14, 0x1.c70d83d93c2a6p-14, 0x1.ba8bba6cc64aap-14, 0x1.ae54968e3434ap-14, 0x1.a2690bc2435dbp-14, 0x1.96ca55f1d3492p-14, 0x1.8b78ad2b388a2p-14, 0x1.8072c556fb096p-14, 0x1.75b6746f7e1cfp-14, 0x1.6b417bc006c36p-14, 0x1.61110607a2defp-14, 0x1.57206873b8818p-14, 0x1.4d69c412688bep-14, 0x1.43e97c47c2dd4p-14, 0x1.3aa129c2296cp-14, 0x1.31966972dcd66p-14, 0x1.28ce3b11587f3p-14, 0x1.20492321dccbbp-14, 0x1.18033cb223fe9p-14, 0x1.0ff79cd9e545bp-14, 0x1.082389a513c95p-14, 0x1.0086b7eb7b333p-14, 0x1.f24251b978146p-15, 0x1.e3e282617e2ep-15, 0x1.d5e743adec396p-15, 0x1.c847ecb114b7ap-15, 0x1.bafbcef6c5032p-15, 0x1.adfc0abcbc644p-15, 0x1.a144529fc8cc3p-15, 0x1.94d37b42c38ccp-15, 0x1.88ab3567ea6dfp-15, 0x1.7cceaf65bac58p-15, 0x1.71406966fa267p-15, 0x1.6600b7f9635e9p-15, 0x1.5b0e917bc1ac7p-15, 0x1.50699a006b708p-15, 0x1.46118498f69cap-15, 0x1.3c01d3e524589p-15, 0x1.3230a0b0e46fbp-15, 0x1.2895833b6414ep-15, 0x1.1f31bdd748e7fp-15, 0x1.160df88f64ddfp-15, 0x1.0d2f9da452dd3p-15, 0x1.0493551ce927ep-15, 0x1.f863f23e9d77fp-16, 0x1.e811a63eeb858p-16, 0x1.d8365368cd10ap-16, 0x1.c8d971b37ef6p-16, 0x1.b9fa1dbe0368dp-16, 0x1.ab90098e859f7p-16, 0x1.9d911de7930b5p-16, 0x1.8ff5481552085p-16, 0x1.82b6beff1cbe3p-16, 0x1.75d171ddfa5f5p-16, 0x1.69428845e9e8dp-16, 0x1.5d084dfacd4a8p-16, 0x1.5122793f30f2p-16, 0x1.459232700a7d2p-16, 0x1.3a5977d525cdap-16, 0x1.2f797b91a75eap-16, 0x1.24f05047f1683p-16, 0x1.1ab7a21939c3fp-16, 0x1.10c789f7f527bp-16, 0x1.071b4e64774abp-16, 0x1.fb64ac97f6a9p-17, 0x1.e913c02886fbdp-17, 0x1.d7336bd2dc9e8p-17, 0x1.c5bbf297231aep-17, 0x1.b4bf79bcd57c6p-17, 0x1.a45334087af6bp-17, 0x1.9470640af4ae8p-17, 0x1.84fd9323c0f5fp-17, 0x1.75efa58748566p-17, 0x1.675095ad37a8cp-17, 0x1.5929f8c902ce4p-17, 0x1.4b79ec38c8083p-17, 0x1.3e3a04c64f639p-17, 0x1.3165da670b689p-17, 0x1.24fac17da3b3ap-17, 0x1.18f59381567bdp-17, 0x1.0d51b61298492p-17, 0x1.0209e5a10c4d5p-17, 0x1.ee323736f412dp-18, 0x1.d8f6727acbe6dp-18, 0x1.c45a83b5c76bp-18, 0x1.b05a8ecfaa8fdp-18, 0x1.9cf491eac456fp-18, 0x1.8a28738701a63p-18, 0x1.77f7e318064f9p-18, 0x1.666467f0fd4c1p-18, 0x1.556b553b8f0a3p-18, 0x1.45043f7fd0001p-18, 0x1.35278b8ec2552p-18, 0x1.25d8b5e167bep-18, 0x1.1724e055ecf84p-18, 0x1.090c5a95587f3p-18, 0x1.f6ec71d0fae4cp-19, 0x1.dca331b0ca5f7p-19, 0x1.c346a677b4d6ap-19, 0x1.aac10c12be067p-19, 0x1.92e418c08b129p-19, 0x1.7bb933477e6d5p-19, 0x1.656b54bdbe493p-19, 0x1.500426a92bba8p-19, 0x1.3b75feed0d9f8p-19, 0x1.27add3382c371p-19, 0x1.149f3324d219ep-19, 0x1.0241e2fa84343p-19, 0x1.e1256550ebc4bp-20, 0x1.bf29fdaa85491p-20, 0x1.9e9c3269d146p-20, 0x1.7f7cb1df4bba9p-20, 0x1.61bd61320c98p-20, 0x1.4547ef1a7aaabp-20, 0x1.2a06ee30ea372p-20, 0x1.0fea5659b575dp-20, 0x1.edce8ddf819e7p-21, 0x1.bdec518c0248cp-21, 0x1.902322574976bp-21, 0x1.646c6297d357fp-21, 0x1.3ac43ff986c81p-21, 0x1.1322c70ed88e1p-21, 0x1.dae6a42df6fcfp-22, 0x1.933217e775797p-22, 0x1.4f0bfd21ad0e9p-22, 0x1.0ea164d9e34cap-22, 0x1.a46c5a6d68a78p-23, 0x1.32fba1b0e7199p-23, 0x1.8f5f39b2adcc9p-24, 0x1.8a06844b347b5p-25, 0x1.abfa7a7571a3ep-30, -0x1.5833b85386632p-25, -0x1.51eef1bdca471p-24, -0x1.ea6a5fcf379b1p-24, -0x1.3b713919b895ap-23, -0x1.7c4eb565069e8p-23, -0x1.b83bd050a3b4ep-23, -0x1.ef83b949b3bafp-23, -0x1.111eae7d60242p-22, -0x1.2827d91304698p-22, -0x1.3cd0eb0112be8p-22, -0x1.4f25153978ad5p-22, -0x1.5f43d5ff3c62bp-22, -0x1.6d47cf9a794dbp-22, -0x1.793970978e436p-22, -0x1.831d50827dcb5p-22, -0x1.8b03f9bb6ac9p-22, -0x1.9105b95e6bdaap-22, -0x1.9537dc7aa125dp-22, -0x1.97a7c91f2ee99p-22, -0x1.9861654e049d9p-22, -0x1.976ef3781c115p-22, -0x1.94dd471158915p-22, -0x1.90ba82bdf1f87p-22, -0x1.8b163442aa657p-22, -0x1.83fd0b85e5579p-22, -0x1.7b784a3807e1fp-22, -0x1.71913f4aa9316p-22, -0x1.6656ef3831905p-22, -0x1.59e51fc3b2c5fp-22, -0x1.4c536d3b73fcap-22, -0x1.3d902c351c788p-22, -0x1.2d95173c516d7p-22, -0x1.1c6fd2705fd21p-22, -0x1.0a3d40a64615cp-22, -0x1.ee369ec1f69a5p-23, -0x1.c60887a6fa509p-23, -0x1.9bf680653c3f3p-23, -0x1.7007e71b62c12p-23, -0x1.42585745e1cc6p-23, -0x1.1300f5ecb9e18p-23, -0x1.c43d233c49ba2p-24, -0x1.5fa455e9b6b12p-24, -0x1.f0f180abe7563p-25, -0x1.1db5ace0fb695p-25, -0x1.15241a6368962p-27, 0x1.31b899b270f9fp-26, 0x1.7c7d4db77e89p-25, 0x1.32493ff0c7b2ap-24, 0x1.a85d7d21fad4ap-24, 0x1.105ed40849f21p-23, 0x1.4da065762185ap-23, 0x1.8b9cb1f472403p-23, 0x1.ca26706ea4935p-23, 0x1.04b24c3759328p-22, 0x1.24b614cd37621p-22, 0x1.4521c678372c4p-22, 0x1.65ef051dbf4dap-22, 0x1.8712462b2917ep-22, 0x1.a87e02eb63acdp-22, 0x1.ca2608b21a5f7p-22, 0x1.ec030f50ad2bcp-22, 0x1.0709e009ad359p-21, 0x1.182e4279d2a89p-21, 0x1.296d0ddb741b2p-21, 0x1.3aaef6095ad45p-21, 0x1.4be93276e9eacp-21, 0x1.5d454d1afc491p-21, 0x1.6ec5408c197a9p-21, 0x1.803d8e51623bap-21, 0x1.91a98b7fab6e2p-21, 0x1.a31bae8f84295p-21, }}, 
      {{0x1.2322998ae2465p-5, 0x1.e00a61d18ef77p-5, 0x1.0713ad11401b8p-4, 0x1.ad0cad2b62534p-5, 0x1.a193ffb4118c1p-6, -0x1.a7c411b65691p-7, -0x1.e4b5caf0abe28p-5, -0x1.c18db765f860dp-4, -0x1.4b266b06c5167p-3, -0x1.b34f2739861b6p-3, -0x1.0ab57ddca5c01p-2, -0x1.375a59a77cc3bp-2, -0x1.5eab21b526948p-2, -0x1.8021606563559p-2, -0x1.9b8853e9aea68p-2, -0x1.b0eb5f1f01e1p-2, -0x1.c086735791257p-2, -0x1.cab8a1782d89p-2, -0x1.cff8cdf3e92dbp-2, -0x1.d0cc65d56c315p-2, -0x1.cdbfe6f002de9p-2, -0x1.c761075f16c63p-2, -0x1.be3a45c35c429p-2, -0x1.b2cfabec12a9cp-2, -0x1.a59c90234417bp-2, -0x1.97122592e9b1fp-2, -0x1.8796b17573cb6p-2, -0x1.77854041f1b4ap-2, -0x1.672dbb90d943fp-2, -0x1.56d546ab71278p-2, -0x1.46b6cc89d9ce2p-2, -0x1.3703ae451e065p-2, -0x1.27e484aee29e2p-2, -0x1.1979eacdccd0ap-2, -0x1.0bdd498a95da4p-2, -0x1.fe433dc2f4058p-3, -0x1.e6a87948338a6p-3, -0x1.d0faf86d60ae4p-3, -0x1.bd42cba0dd5p-3, -0x1.ab80953703589p-3, -0x1.9baea34a7a003p-3, -0x1.8dc1efda1152ep-3, -0x1.81ab0831f182cp-3, -0x1.7756dcef25381p-3, -0x1.6eaf7c0dc1a32p-3, -0x1.679cb67bb9153p-3, -0x1.6204b2a7a8bbep-3, -0x1.5dcc6d84654acp-3, -0x1.5ad82b8288c4fp-3, -0x1.590bdae682f4ap-3, -0x1.584b68ae4b901p-3, -0x1.587b0911954d1p-3, -0x1.597f74de835aap-3, -0x1.5b3e1cf0642f2p-3, -0x1.5d9d54f5b74f2p-3, -0x1.60847627d08bcp-3, -0x1.63dbfa07bd735p-3, -0x1.678d8ec09ac07p-3, -0x1.6b84255fa834ap-3, -0x1.6fabfc9d776d4p-3, -0x1.73f2a68ab92c3p-3, -0x1.78470a9f22ca9p-3, -0x1.7c99638914e5ep-3, -0x1.80db39322fbffp-3, -0x1.84ff5a46b1c7p-3, -0x1.88f9d32bdff0ap-3, -0x1.8cbfe534d2061p-3, -0x1.9047faa00aa0ap-3, -0x1.93899ad8fde71p-3, -0x1.967d5b24ea34fp-3, -0x1.991cd12ad82b6p-3, -0x1.9b6283eb60fc6p-3, -0x1.9d49de61f9496p-3, -0x1.9ecf21e2c6a32p-3, -0x1.9fef58ef3b5f3p-3, -0x1.a0a849c79342ep-3, -0x1.a0f868fac0d5cp-3, -0x1.a0decbfbcce33p-3, -0x1.a05b1c187bb88p-3, -0x1.9f6d89e17286p-3, -0x1.9e16c144a346fp-3, -0x1.9c57de45b7bcbp-3, -0x1.9a32624edab08p-3, -0x1.97a829ff7429ep-3, -0x1.94bb636d4452cp-3, -0x1.916e84c07440ap-3, -0x1.8dc4433ab59cp-3, -0x1.89bf8aa89e09fp-3, -0x1.8563754990a05p-3, -0x1.80b344443f345p-3, -0x1.7bb25894ba7ap-3, -0x1.76642c9c4a8bep-3, -0x1.70cc4e2d926e7p-3, -0x1.6aee591fff136p-3, -0x1.64cdf2608a1c1p-3, -0x1.5e6ec377db2f4p-3, -0x1.57d4766daf2e6p-3, -0x1.5102b22f1dfa5p-3, -0x1.49fd17293910fp-3, -0x1.42c73c52600e9p-3, -0x1.3b64ac8135525p-3, -0x1.33d8e40924f5ep-3, -0x1.2c274ea0d2691p-3, -0x1.2453458f13f24p-3, -0x1.1c600e1007916p-3, -0x1.1450d7feefe7p-3, -0x1.0c28bcb0614b7p-3, -0x1.03eabe09ce7abp-3, -0x1.f7338b7eada4bp-4, -0x1.e671498d23c98p-4, -0x1.d59425e71406fp-4, -0x1.c4a15d715b619p-4, -0x1.b39dfa16c6ec5p-4, -0x1.a28ed2d060eb9p-4, -0x1.91788bd73436ap-4, -0x1.805f971d9bb47p-4, -0x1.6f4834cdb77f5p-4, -0x1.5e36740f7dcbfp-4, -0x1.4d2e33c357b9cp-4, -0x1.3c33236bcf33p-4, -0x1.2b48c43624022p-4, -0x1.1a7269dff75e4p-4, -0x1.09b33bf5212fcp-4, -0x1.f21c6daf2f05dp-5, -0x1.d10c59e01896p-5, -0x1.b03b8ff35b8c8p-5, -0x1.8faf14550de68p-5, -0x1.6f6b9ecef2d27p-5, -0x1.4f759d8474a68p-5, -0x1.2fd13704e120ap-5, -0x1.10824cfbd02eap-5, -0x1.e318fdfe29c4cp-6, -0x1.a5e6596ddc19ap-6, -0x1.6972f07368a29p-6, -0x1.2dc491e7d8b66p-6, -0x1.e5c136402f68cp-7, -0x1.7197f85f2a29cp-7, -0x1.fe2cf5e60acf7p-8, -0x1.1c8a0d21764e1p-8, -0x1.f2b22af6c6577p-11, 0x1.38c17f2bb28c9p-9, 0x1.738ebf8f76fbcp-8, 0x1.2394659c094e3p-7, 0x1.8b929a7ff6632p-7, 0x1.f1bdc070b0c18p-7, 0x1.2b0916d0283d9p-6, 0x1.5c4662853c798p-6, 0x1.8c957761b7e97p-6, 0x1.bbf548f91d6a7p-6, 0x1.ea6508b0cd2fcp-6, 0x1.0bf210c723c75p-5, 0x1.22391a94af1b3p-5, 0x1.38078ce44243bp-5, 0x1.4d5d6c1c9cb7bp-5, 0x1.623ad4240e5bfp-5, 0x1.769ff7057ece7p-5, 0x1.8a8d1c6404b1cp-5, 0x1.9e02a074383f3p-5, 0x1.b100f24c931c1p-5, 0x1.c38892de29de9p-5, 0x1.d59a14a23a5b6p-5, 0x1.e7361aafe8f0dp-5, 0x1.f85d5730a08d5p-5, 0x1.0488453da2663p-4, 0x1.0ca8417a013e6p-4, 0x1.148f0e2afe04cp-4, 0x1.1c3d1f21586e9p-4, 0x1.23b2edbf834bp-4, 0x1.2af0f8d85b634p-4, 0x1.31f7c48f1fc24p-4, 0x1.38c7d9bf599ffp-4, 0x1.3f61c573b2066p-4, 0x1.45c618d2371a3p-4, 0x1.4bf5690f7ed8cp-4, 0x1.51f04f15cb57cp-4, 0x1.57b766f788f0bp-4, 0x1.5d4b4fa4dd2aap-4, 0x1.62acaaf3a3776p-4, 0x1.67dc1d7de9244p-4, 0x1.6cda4e49c8bbap-4, 0x1.71a7e6400271bp-4, 0x1.764590176937cp-4, 0x1.7ab3f8597ea49p-4, 0x1.7ef3cd44ccce4p-4, 0x1.8305be69806dp-4, 0x1.86ea7c46852bap-4, 0x1.8aa2b834bf02ap-4, 0x1.8e2f2477b39eep-4, 0x1.91907425c91d3p-4, 0x1.94c75ac978bdbp-4, 0x1.97d48c11727b5p-4, 0x1.9ab8bbbcd57cep-4, 0x1.9d749dae954dp-4, 0x1.a008e5ddef8e2p-4, 0x1.a276480e82cfbp-4, 0x1.a4bd77845637ap-4, 0x1.a6df26f8c768bp-4, 0x1.a8dc0895c3dap-4, 0x1.aab4cdfc8864ap-4, 0x1.ac6a2817e76cap-4, 0x1.adfcc6e4b7d6p-4, 0x1.af6d59506f378p-4, 0x1.b0bc8d32857c5p-4, 0x1.b1eb0f4de8162p-4, 0x1.b2f98b44dab9dp-4, 0x1.b3e8ab7cf147ep-4, 0x1.b4b918fc058adp-4, 0x1.b56b7b4ba7e73p-4, 0x1.b60078705009fp-4, 0x1.b678b4ecc1f69p-4, 0x1.b6d4d3c61a34fp-4, 0x1.b71576749c2f5p-4, 0x1.b73b3cc3d2f12p-4, 0x1.b746c4b0d8aa4p-4, 0x1.b738aa5c43ce4p-4, 0x1.b71188293f8aep-4, 0x1.b6d1f6c5ff9fp-4, 0x1.b67a8d28adfb7p-4, 0x1.b60be066e2e46p-4, 0x1.b58683902a29ap-4, 0x1.b4eb07aae7fc5p-4, 0x1.b439fbd4d846dp-4, 0x1.b373ed632b812p-4, 0x1.b29967ddcc591p-4, 0x1.b1aaf4d6cb82dp-4, 0x1.b0a91bc09b30cp-4, 0x1.af9461ededa73p-4, 0x1.ae6d4ab61bd07p-4, 0x1.ad34579f1b074p-4, 0x1.abea08630a896p-4, 0x1.aa8edacdec7c3p-4, 0x1.a9234a8ff15c9p-4, 0x1.a7a7d134034f8p-4, 0x1.a61ce64294938p-4, 0x1.a482ff7023a6ep-4, 0x1.a2da90b60a0f9p-4, 0x1.a1240c394405cp-4, 0x1.9f5fe227e69eep-4, 0x1.9d8e809669fd6p-4, 0x1.9bb05394c9276p-4, 0x1.99c5c55da9c88p-4, 0x1.97cf3e7e374fbp-4, 0x1.95cd25dc7c19ep-4, 0x1.93bfe0977f059p-4, 0x1.91a7d1e0bfe8bp-4, 0x1.8f855af14bfd7p-4, 0x1.8d58db26a9612p-4, 0x1.8b22b033d8f25p-4, 0x1.88e3364393723p-4, 0x1.869ac7f6addcap-4, 0x1.8449be44767d9p-4, 0x1.81f070589a78p-4, 0x1.7f8f338c33bb1p-4, 0x1.7d265b82de055p-4, 0x1.7ab63a59575e3p-4, 0x1.783f20c7fdf4cp-4, 0x1.75c15e24f2e36p-4, 0x1.733d4049752b6p-4, 0x1.70b313721b9b6p-4, 0x1.6e232230e43c6p-4, 0x1.6b8db581d2da8p-4, 0x1.68f314f3184f9p-4, 0x1.665386cd6f755p-4, 0x1.63af501f52f57p-4, 0x1.6106b4b0a236ap-4, 0x1.5e59f6e4fe8dfp-4, 0x1.5ba957a4feafep-4, 0x1.58f5166051fafp-4, 0x1.563d71291dad7p-4, 0x1.5382a4da3a984p-4, 0x1.50c4ed33456b1p-4, 0x1.4e0484dec01a6p-4, 0x1.4b41a560f64c9p-4, 0x1.487c86fd9d1ep-4, 0x1.45b560a7ab8fp-4, 0x1.42ec68078d818p-4, 0x1.4021d191a4fd1p-4, 0x1.3d55d0a7704cfp-4, 0x1.3a8897af9d3f8p-4, 0x1.37ba581c69b41p-4, 0x1.34eb425f4f914p-4, 0x1.321b85d48b005p-4, 0x1.2f4b50b3dae58p-4, 0x1.2c7ad00f51f02p-4, 0x1.29aa2fe3df1b5p-4, 0x1.26d99b32bdc8p-4, 0x1.24093c180db1fp-4, 0x1.21393bd807467p-4, 0x1.1e69c2da8e5acp-4, 0x1.1b9af89e805dfp-4, 0x1.18cd03aa06b07p-4, 0x1.16000982f58ecp-4, 0x1.13342eb21a407p-4, 0x1.106996d5cfab5p-4, 0x1.0da064b2b5fa5p-4, 0x1.0ad8ba4671694p-4, 0x1.0812b8ce0d494p-4, 0x1.054e80c51be16p-4, 0x1.028c31d7a73e8p-4, 0x1.ff97d5b5230d2p-5, 0x1.fa1b93865651p-5, 0x1.f4a3d75b2620cp-5, 0x1.ef30d9c80420fp-5, 0x1.e9c2d1e36c5e7p-5, 0x1.e459f55b33f09p-5, 0x1.def67885a8986p-5, 0x1.d9988e618ea3ap-5, 0x1.d440688bebc89p-5, 0x1.ceee372ebd4e5p-5, 0x1.c9a228f65a687p-5, 0x1.c45c6b0fc372dp-5, 0x1.bf1d29354741bp-5, 0x1.b9e48dc1cfb8fp-5, 0x1.b4b2c1c70220cp-5, 0x1.af87ed1e5c4e4p-5, 0x1.aa643670619d6p-5, 0x1.a547c33560534p-5, 0x1.a032b7ac2f3f1p-5, 0x1.9b2536d106ccfp-5, 0x1.961f6256d6ee8p-5, 0x1.91215aa87d148p-5, 0x1.8c2b3ef286fa1p-5, 0x1.873d2d306890cp-5, 0x1.8257423e37234p-5, 0x1.7d7999e34cf4ap-5, 0x1.78a44eda8904ap-5, 0x1.73d77ad432d86p-5, 0x1.6f13367298f18p-5, 0x1.6a5799455b097p-5, 0x1.65a4b9c520aa9p-5, 0x1.60faad528b536p-5, 0x1.5c59883b7fa74p-5, 0x1.57c15dc5cdfa9p-5, 0x1.53324038f1997p-5, 0x1.4eac40e9417dep-5, 0x1.4a2f703ecc5d2p-5, 0x1.45bbddbba68fcp-5, 0x1.415197fc36115p-5, 0x1.3cf0acb7744bep-5, 0x1.389928bb446dfp-5, 0x1.344b17ed1ec3bp-5, 0x1.30068549ba295p-5, 0x1.2bcb7aea889a4p-5, 0x1.279a020cf7df1p-5, 0x1.23722319eecp-5, 0x1.1f53e5ae7439ep-5, 0x1.1b3f50a0abfbap-5, 0x1.17346a052d4fcp-5, 0x1.1333373158e4cp-5, 0x1.0f3bbcbdb21a3p-5, 0x1.0b4dfe8529194p-5, 0x1.0769ffa5b7c12p-5, 0x1.038fc28168d4bp-5, 0x1.ff7e91834dbbdp-6, 0x1.f7f126b7994d9p-6, 0x1.f077452fe4ff9p-6, 0x1.e910ec2c6ee14p-6, 0x1.e1be19a8d000cp-6, 0x1.da7eca64fae1dp-6, 0x1.d352f9ecbf5fep-6, 0x1.cc3aa29ddff02p-6, 0x1.c535bdaca545bp-6, 0x1.be44432633bfdp-6, 0x1.b76629f46db9p-6, 0x1.b09b67e0a0379p-6, 0x1.a9e3f1998a1cfp-6, 0x1.a33fbabbd59e1p-6, 0x1.9caeb5db9ff21p-6, 0x1.9630d48d6defdp-6, 0x1.8fc6076f1784dp-6, 0x1.896e3e2f318dbp-6, 0x1.8329679494889p-6, 0x1.7cf77183ed8c4p-6, 0x1.76d8490606e9dp-6, 0x1.70cbda4c6171p-6, 0x1.6ad210b514a3ep-6, 0x1.64ead6cebc47fp-6, 0x1.5f16165cb6e4cp-6, 0x1.5953b85d523f7p-6, 0x1.53a3a5112e295p-6, 0x1.4e05c4013e0ebp-6, 0x1.4879fc0a2499ap-6, 0x1.4300335cc4a7dp-6, 0x1.3d984f8bd581cp-6, 0x1.3842358c7daa4p-6, 0x1.32fdc9be4a283p-6, 0x1.2dcaeff036456p-6, 0x1.28a98b6523c13p-6, 0x1.23997ed614ccfp-6, 0x1.1e9aac77cf4f4p-6, 0x1.19acf6028a4a4p-6, 0x1.14d03cb2abda4p-6, 0x1.1004614bf814cp-6, 0x1.0b4944281047dp-6, 0x1.069ec537aab58p-6, 0x1.0204c4078807fp-6, 0x1.faf63f8db5d1bp-7, 0x1.f2036e9505accp-7, 0x1.e930d2248779bp-7, 0x1.e07e26994982p-7, 0x1.d7eb27b7103a2p-7, 0x1.cf7790b132f1p-7, 0x1.c7231c3478a4fp-7, 0x1.beed847021bd1p-7, 0x1.b6d6831eb26ddp-7, 0x1.aeddd18e5a99p-7, 0x1.a70328a8e7764p-7, 0x1.9f4640fb287e2p-7, 0x1.97a6d2bb0b021p-7, 0x1.902495cfb1d47p-7, 0x1.88bf41d52709cp-7, 0x1.81768e26ac355p-7, 0x1.7a4a31e5dfff2p-7, 0x1.7339e4067db39p-7, 0x1.6c455b5628ebdp-7, 0x1.656c4e8820725p-7, 0x1.5eae743bd71cap-7, 0x1.580b83026ef27p-7, 0x1.518331618f621p-7, 0x1.4b1535d50034cp-7, 0x1.44c146d0bf3bap-7, 0x1.3e871ac4353bfp-7, 0x1.38666820918fdp-7, 0x1.325ee5617b7dep-7, 0x1.2c704917ec195p-7, 0x1.269a49f51e171p-7, 0x1.20dc9ed54ee9p-7, 0x1.1b36fec6d85dfp-7, 0x1.15a9210dfabcp-7, 0x1.1032bd24f074bp-7, 0x1.0ad38ab92e51p-7, 0x1.058b41a7a1a46p-7, 0x1.005999fafa777p-7, 0x1.f67c97e2ade95p-8, 0x1.ec721feea4eb8p-8, 0x1.e2933d8738d98p-8, 0x1.d8df62c1e4fd3p-8, 0x1.cf560272f2ab4p-8, 0x1.c5f6905813da8p-8, 0x1.bcc081209f1b8p-8, 0x1.b3b34a6c0ed1ap-8, 0x1.aace62b6f6e5cp-8, 0x1.a211413b08f2fp-8, 0x1.997b5dcbe0dabp-8, 0x1.910c30b8cb4d6p-8, 0x1.88c332c4e2357p-8, 0x1.809fdd1363611p-8, 0x1.78a1a9a640884p-8, 0x1.70c813075e13cp-8, 0x1.6912950bc67edp-8, 0x1.6180acda74ba1p-8, 0x1.5a11d928877d7p-8, 0x1.52c59a4acf07ap-8, 0x1.4b9b7222b3553p-8, 0x1.4492e3e74242ep-8, 0x1.3dab73d44f611p-8, 0x1.36e4a6cff9604p-8, 0x1.303e021ad623bp-8, 0x1.29b70b1ec9ba6p-8, 0x1.234f476a3adbbp-8, 0x1.1d063cdd91c69p-8, 0x1.16db7209d695ep-8, 0x1.10ce6ea6f10a5p-8, 0x1.0adebc262062cp-8, 0x1.050be61829f4cp-8, 0x1.feaaf4ffa3884p-9, 0x1.f37613aecfecbp-9, 0x1.e8784da5cdb14p-9, 0x1.ddb0cbc2b4418p-9, 0x1.d31eb907b40f3p-9, 0x1.c8c141335fc7fp-9, 0x1.be978f882823p-9, 0x1.b4a0cdf684f03p-9, 0x1.aadc24f83d84ap-9, 0x1.a148bc322131cp-9, 0x1.97e5bb8ff5aep-9, 0x1.8eb24cb3ee459p-9, 0x1.85ad9cf58f33p-9, 0x1.7cd6df3d802bcp-9, 0x1.742d4d2be4ea9p-9, 0x1.6bb027bd0890cp-9, 0x1.635eb71d0262fp-9, 0x1.5b384984df26ap-9, 0x1.533c315a29a26p-9, 0x1.4b69c2e77eed9p-9, 0x1.43c05212fb9f4p-9, 0x1.3c3f307daa68fp-9, 0x1.34e5ac5cd8cbdp-9, 0x1.2db3103b37cb3p-9, 0x1.26a6a3a7ca07ap-9, 0x1.1fbfacbb05ae5p-9, 0x1.18fd71f7a069cp-9, 0x1.125f3d2ad1384p-9, 0x1.0be45d1fc184bp-9, 0x1.058c28218e641p-9, 0x1.feabfa09e401bp-10, 0x1.f28286ff565b5p-10, 0x1.e69ad6a3fa026p-10, 0x1.daf3d4d0140c8p-10, 0x1.cf8c74808a797p-10, 0x1.c463aa24bdb74p-10, 0x1.b978668617398p-10, 0x1.aec993385fef2p-10, 0x1.a456111fed936p-10, 0x1.9a1cb91a5b94p-10, 0x1.901c5e6d8c6aep-10, 0x1.8653d262d6c39p-10, 0x1.7cc1e87218f23p-10, 0x1.73657a811511p-10, 0x1.6a3d6cd807b16p-10, 0x1.6148b17536d98p-10, 0x1.58864a58c66bdp-10, 0x1.4ff54a4a6178ep-10, 0x1.4794d3aae482ap-10, 0x1.3f641528fb8abp-10, 0x1.376244a15ce9fp-10, 0x1.2f8e9903e3459p-10, 0x1.27e8449ab694ap-10, 0x1.206e7035c29c8p-10, 0x1.192039b7d18cap-10, 0x1.11fcb5842daefp-10, 0x1.0b02f07a86941p-10, 0x1.0431f530134cap-10, 0x1.fb11a073cdb6dp-11, 0x1.ee0d27c93ad2cp-11, 0x1.e154b5c474729p-11, 0x1.d4e694668f329p-11, 0x1.c8c1258835454p-11, 0x1.bce2e603cf91fp-11, 0x1.b14a7074681a4p-11, 0x1.a5f67dffda4c2p-11, 0x1.9ae5e4362bc9ep-11, 0x1.90178e0e85d33p-11, 0x1.858a711c41f3fp-11, 0x1.7b3d807de19fap-11, 0x1.712fa0a455286p-11, 0x1.675f9f44f472fp-11, 0x1.5dcc319cd179dp-11, 0x1.5473f938724b8p-11, 0x1.4b558d26bdab2p-11, 0x1.426f8410276bfp-11, 0x1.39c07ba5751a2p-11, 0x1.31471b637f325p-11, 0x1.2902131b187a5p-11, 0x1.20f017c0adfc3p-11, 0x1.190fe1cb48a08p-11, 0x1.11602f7cf9affp-11, 0x1.09dfcb4ffd2bdp-11, 0x1.028d948533aecp-11, 0x1.f6d10ce013b48p-12, 0x1.e8df765243b7p-12, 0x1.db44cf9a3be28p-12, 0x1.cdffa585d5206p-12, 0x1.c10e8dbfc3581p-12, 0x1.b4700f28dc253p-12, 0x1.a8229418e629bp-12, 0x1.9c246aade5078p-12, 0x1.9073d1f439321p-12, 0x1.850f0d94021b7p-12, 0x1.79f476eacf71fp-12, 0x1.6f22834a7ec78p-12, 0x1.6497bb9d2afa1p-12, 0x1.5a52a851f6beap-12, 0x1.5051ba4ec5bb8p-12, 0x1.46933bab3fcbbp-12, 0x1.3d154fdfa1f98p-12, 0x1.33d6046a683ecp-12, 0x1.2ad36c0699d43p-12, 0x1.220bbaaaa2fd1p-12, 0x1.197d58b3b9a7fp-12, 0x1.1126e77612f7p-12, 0x1.090736387f014p-12, 0x1.011d2e3ac5cbdp-12, 0x1.f2cf779efe9acp-13, 0x1.e3cb7ebaaa3b1p-13, 0x1.d52c12473fdbfp-13, 0x1.c6eec12971151p-13, 0x1.b91126c3de235p-13, 0x1.ab910d0d43847p-13, 0x1.9e6c85bd7c82fp-13, 0x1.91a1ee9826cf2p-13, 0x1.852fd9c90e741p-13, 0x1.7914de1d6e0b4p-13, 0x1.6d4f5d9090e37p-13, 0x1.61dd5cafeed87p-13, 0x1.56bc79fc094fap-13, 0x1.4bea0d35791c6p-13, 0x1.41635dd39d7bdp-13, 0x1.3725dbb0936e8p-13, 0x1.2d2f435d5544p-13, 0x1.237dafef8b4d8p-13, 0x1.1a0f869d2f4d6p-13, 0x1.10e35f460aa48p-13, 0x1.07f7ddb96e82ap-13, 0x1.fe974b6983405p-14, 0x1.edba6e2c585b8p-14, 0x1.dd561a5d4414ep-14, 0x1.cd673246d8111p-14, 0x1.bdeaa6ecedcecp-14, 0x1.aedd932f389fep-14, 0x1.a03d587fdb52cp-14, 0x1.9207b26151f29p-14, 0x1.843ab1480a028p-14, 0x1.76d492c25cdf8p-14, 0x1.69d37da5db0edp-14, 0x1.5d353c8cd7abp-14, 0x1.50f719b4628e5p-14, 0x1.4515f2079bc9bp-14, 0x1.398e74dbb38b7p-14, 0x1.2e5d6967fadedp-14, 0x1.237fd586bd20cp-14, 0x1.18f301ad5e4adp-14, 0x1.0eb471622a4ep-14, 0x1.04c1e22243cc1p-14, 0x1.f632998c65613p-15, 0x1.e371bdff49b3ap-15, 0x1.d13dd9dc0e47cp-15, 0x1.bf93c35bf15bp-15, 0x1.ae70672bd84dfp-15, 0x1.9dd0bd62887bdp-15, 0x1.8db1ccca827c8p-15, 0x1.7e10b2b3aeb7p-15, 0x1.6eea9d91584cp-15, 0x1.603cb7b732e3dp-15, 0x1.520417d63a546p-15, 0x1.443dcb46643dep-15, 0x1.36e6ef1b850e5p-15, 0x1.29fcb6fd71327p-15, 0x1.1d7c524b52415p-15, 0x1.1162ca7d1d472p-15, 0x1.05ad09ca5cfc9p-15, 0x1.f4b029126599bp-16, 0x1.dec27762dd24bp-16, 0x1.c98c016a288ap-16, 0x1.b507743074f42p-16, 0x1.a12ed096325e8p-16, 0x1.8dfc0851e5fcfp-16, 0x1.7b6a005555acdp-16, 0x1.6974e9df303d9p-16, 0x1.5819953c171f7p-16, 0x1.475453dc9ebfcp-16, 0x1.37204e3317e25p-16, 0x1.2777d1af8e7c7p-16, 0x1.18555a7e5d4fep-16, 0x1.09b47bdd6b0f3p-16, 0x1.f723cb118f65bp-17, 0x1.dbd53a2178fabp-17, 0x1.c1766e176e2a3p-17, 0x1.a7ff75f27d77bp-17, 0x1.8f685949f9816p-17, 0x1.77aa72da61fb6p-17, 0x1.60c115ce4d11bp-17, 0x1.4aa919936fc56p-17, 0x1.355f8f02f5876p-17, 0x1.20e0696670295p-17, 0x1.0d2612f5892b1p-17, 0x1.f454611edc5f5p-18, 0x1.cfcce5cc922a6p-18, 0x1.aca8109570cc7p-18, 0x1.8ad4c443416fbp-18, 0x1.6a4037f8678eep-18, 0x1.4adcd5006269fp-18, 0x1.2ca7be2c98c0dp-18, 0x1.0fa5bb96bdcc2p-18, 0x1.e7b3c3c3cfdd8p-19, 0x1.b27cd73871befp-19, 0x1.7f8adf264369bp-19, 0x1.4ebf31bf4b959p-19, 0x1.20040c3f9e33ep-19, 0x1.e699985798361p-20, 0x1.911b8ad1fbe45p-20, 0x1.3f6bbb31f2ec2p-20, 0x1.e2b4cb3957f1fp-21, 0x1.4d657989c6723p-21, 0x1.7d0f164ca79cbp-22, 0x1.ae1af3a8dd516p-24, -0x1.34a03e04bd5c4p-23, -0x1.94c78d8fae71p-22, -0x1.4203e50a9dbc3p-21, -0x1.b41289cb034bp-21, -0x1.104fdd19222abp-20, -0x1.43e5846b0f7fdp-20, -0x1.74de128a79f37p-20, -0x1.a349df057dd9dp-20, -0x1.cf38a81a4aba9p-20, -0x1.f8c8bb8cfa207p-20, -0x1.1015f6f6837dfp-19, -0x1.22c6326d64e85p-19, -0x1.347850ceb2467p-19, -0x1.4523abe1c7b6ap-19, -0x1.54c59509ee401p-19, -0x1.636a3810dd86dp-19, -0x1.712367615975p-19, -0x1.7dfad866de64bp-19, -0x1.89f04471daa2fp-19, -0x1.9502fceec3c3ep-19, -0x1.9f394be2c32eap-19, -0x1.a89f6fa13008dp-19, -0x1.b142ac047de52p-19, -0x1.b92e81d50fdc6p-19, -0x1.c06c57fddfddcp-19, -0x1.c70407eb4f8dap-19, -0x1.ccfc41f323a1ep-19, -0x1.d25a9db55b7f1p-19, -0x1.d72332a9ba27ep-19, -0x1.db588469acf68p-19, -0x1.defda437d3e2dp-19, -0x1.e21466e57c584p-19, -0x1.e4a1e158a28f2p-19, -0x1.e6afd35979dcp-19, -0x1.e84659586a86ap-19, -0x1.e96cfc18021e3p-19, -0x1.ea26f6f6b7482p-19, -0x1.ea799fd4011fap-19, -0x1.ea6e995288f72p-19, -0x1.ea0bcc4cf0be9p-19, -0x1.e94ce12519cbbp-19, -0x1.e82c77bda9c86p-19, -0x1.e6afe49df2299p-19, -0x1.e4e34060078p-19, -0x1.e2ccf83ea9a06p-19, -0x1.e06bb2643d7bcp-19, -0x1.ddbe5fc182235p-19, -0x1.dac80eaeed37ep-19, -0x1.d78d3a12e0683p-19, -0x1.d411792c637e7p-19, -0x1.d057a921f75a6p-19, -0x1.cc630af913283p-19, -0x1.c8372062e60b8p-19, -0x1.c3d7ce3a3e7eap-19, -0x1.bf48c444bec0ep-19, -0x1.ba8d457e31211p-19, -0x1.b5a813cd1f54dp-19, -0x1.b09b794c9cc77p-19, -0x1.ab69577104627p-19, -0x1.a61328274aa3bp-19, -0x1.a09a09324b245p-19, -0x1.9aff1bbd039f6p-19, -0x1.95443ce19da3p-19, -0x1.8f6c3e9f5c335p-19, -0x1.8979b03d69f2ap-19, -0x1.836d15f16b91bp-19, -0x1.7d454b4991f0ap-19, -0x1.7703848182578p-19, -0x1.70ad4b705bc52p-19, -0x1.6a468cceefc69p-19, -0x1.63cf61ece7446p-19, -0x1.5d4a9725f590ep-19, -0x1.56bcf85dfd24ap-19, -0x1.502696eb0ec42p-19, -0x1.4984c9e72fb88p-19, -0x1.42d6ff2e3bfd1p-19, -0x1.3c20deb14e386p-19, -0x1.35639044486a9p-19, -0x1.2ea0b8d0a18abp-19, -0x1.27da02a7f24dap-19, -0x1.211060935bc17p-19, -0x1.1a4434eb89236p-19, -0x1.1375b1b4e4f4bp-19, -0x1.0ca56c7f1d8b1p-19, -0x1.05d491eed6a57p-19, -0x1.fe093f1229b5bp-20, -0x1.f06e0509a408p-20, -0x1.e2d9cfa0e0c65p-20, -0x1.d54e7d89f91ffp-20, -0x1.c7cd9ae36a82fp-20, -0x1.ba587af2282bap-20, -0x1.acf0393d1f028p-20, -0x1.9f95cb8ceb33dp-20, -0x1.924a4b91ecf58p-20, -0x1.850f4d0f3ac34p-20, -0x1.77e6ab8b46d3bp-20, -0x1.6ad19cc642bc7p-20, -0x1.5dcfd9a19c289p-20, -0x1.50e0a7faa57e1p-20, -0x1.440629b0733adp-20, -0x1.3744169536229p-20, -0x1.2a9afcfb7867p-20, -0x1.1e0b9701915eap-20, -0x1.1196f8c6c5129p-20, -0x1.053b9cedb2c3ap-20, -0x1.f1f3a71aa00e4p-21, -0x1.d9a6ed3688a7p-21, -0x1.c194a6b2ab03dp-21, -0x1.a9bfd036659d6p-21, -0x1.922a743e2b4f7p-21, -0x1.7ad591c3014bp-21, -0x1.63c12f2615dd4p-21, -0x1.4ced480445d99p-21, -0x1.365ab6a8e51dfp-21, -0x1.200b13fe3575ap-21, -0x1.09ffbf3475691p-21, -0x1.e872b3c29da17p-22, -0x1.bd70ac02dc5dfp-22, -0x1.92fb2666c2fcap-22, -0x1.691465687b858p-22, -0x1.3fbdf7b85cf37p-22, -0x1.16fa333c423eap-22, -0x1.dd924678a08c2p-23, -0x1.8e58111d474e4p-23, -0x1.4048410eccde3p-23, -0x1.e6c8ef4611882p-24, -0x1.4f5eaa5bbabc3p-24, -0x1.74aa14b64dfedp-25, -0x1.3d720de82757p-27, 0x1.a24eaf486edcp-26, 0x1.ecda4adaf499p-25, 0x1.81d6d1077ca6fp-24, 0x1.0565645034055p-23, 0x1.48a8137bb12eep-23, 0x1.8ab55d92c0503p-23, 0x1.cb8c294489e4cp-23, 0x1.059483ea82aa4p-22, 0x1.24c42ed46ce1p-22, 0x1.43563285d1b38p-22, 0x1.614ad95775734p-22, 0x1.7ea2b3fd95fc7p-22, 0x1.9b5d59b334a23p-22, 0x1.b77a8f5e5a3cfp-22, 0x1.d2f9f9adc18bp-22, 0x1.eddb194b91529p-22, 0x1.040ebd8dd3463p-21, 0x1.10e0afafdbdc5p-21, 0x1.1d643efe76c5cp-21, 0x1.299a982d2816p-21, 0x1.3583e899673f2p-21, 0x1.411f56f0fe78cp-21, 0x1.4c6ce626bfc94p-21, 0x1.576dc77ce17f2p-21, 0x1.622215cd1b2efp-21, 0x1.6c888cb5d2a1p-21, 0x1.76a1f4f21d258p-21, 0x1.806cd93648ef1p-21, 0x1.89ec8586a26ebp-21, 0x1.93216801aa864p-21, 0x1.9c0b9408067ep-21, 0x1.a4ab3174923eap-21, 0x1.ad004ccea76c7p-21, 0x1.b50afe5aed55ap-21, 0x1.bccb943ba5b53p-21, 0x1.c442a0c7c6d1dp-21, 0x1.cb70fce788e82p-21, 0x1.d257380d7a7dbp-21, 0x1.d8f3fa8c93065p-21, 0x1.df46e9675547bp-21, 0x1.e5546510f8c42p-21, 0x1.eb1d6ad3ccb87p-21, 0x1.f09eaae064c72p-21, 0x1.f5d84e6a1c31bp-21, 0x1.facccab00c3fcp-21, }}, 
      {{-0x1.cade03dbb8256p-1, -0x1.91b18c137efaap-1, -0x1.4e2a7118e1d15p-1, -0x1.0bfb1e9f81307p-1, -0x1.a203cde3273a5p-2, -0x1.3f2ccc9b8dccbp-2, -0x1.e01bc4f2304aap-3, -0x1.662645d7e46bap-3, -0x1.0b43098adb71p-3, -0x1.932467bbb0484p-4, -0x1.36ac928a2dbe8p-4, -0x1.ed81c6a10d7a7p-5, -0x1.95055ce039608p-5, -0x1.5558f7ffa59d9p-5, -0x1.2305cc3e2a8b4p-5, -0x1.eabdf6bda75e7p-6, -0x1.8c46d67478c79p-6, -0x1.22349e31545ebp-6, -0x1.4ecb61459608ap-7, -0x1.95766ec449405p-10, 0x1.10ed6d0699db2p-7, 0x1.3d09c15784c9bp-6, 0x1.012e3f3443dap-5, 0x1.6addfa90358c2p-5, 0x1.da08c6407cad6p-5, 0x1.26873ac807792p-4, 0x1.6127f96b8313fp-4, 0x1.9c1facd9859a7p-4, 0x1.d6b59dbfe71f6p-4, 0x1.08217ebc04c42p-3, 0x1.241a83a33f04ap-3, 0x1.3f06f71d58b48p-3, 0x1.58b271677c87ap-3, 0x1.70f2b742516dap-3, 0x1.87a72c1b6160dp-3, 0x1.9cb81ce30598cp-3, 0x1.b015f381c008cp-3, 0x1.c1b85f224465p-3, 0x1.d19d7a636113cp-3, 0x1.dfc8f5f86bacfp-3, 0x1.ec434c3e2d335p-3, 0x1.f71900c33ebd8p-3, 0x1.002cf6ce910cfp-2, 0x1.040c4fc3537e7p-2, 0x1.0734e090f54f3p-2, 0x1.09b1caa3592b1p-2, 0x1.0b8ebffba2285p-2, 0x1.0cd7cea9fa347p-2, 0x1.0d9932d7485bfp-2, 0x1.0ddf2ee8a9a5cp-2, 0x1.0db5e94cd144p-2, 0x1.0d294f90e8887p-2, 0x1.0c44fe3958a77p-2, 0x1.0b142cd6ccc0ep-2, 0x1.09a19dd452b22p-2, 0x1.07f791a988e13p-2, 0x1.061fbd72d3393p-2, 0x1.04234436c214p-2, 0x1.020ab2b22cce4p-2, 0x1.ffbbf9694e39cp-3, 0x1.fb48f8a326ec7p-3, 0x1.f6c9e593c789ep-3, 0x1.f24b15e3e7229p-3, 0x1.edd7ba5d76bafp-3, 0x1.e979e745b67f3p-3, 0x1.e53a9e83a3432p-3, 0x1.e121d9a85c383p-3, 0x1.dd369620654bcp-3, 0x1.d97ee15d616aep-3, 0x1.d5ffe752d3fe4p-3, 0x1.d2bdffa3cfc7bp-3, 0x1.cfbcbbb81adeep-3, 0x1.ccfef380ad329p-3, 0x1.ca86d23dbe623p-3, 0x1.c855e2ca27c74p-3, 0x1.c66d1bf06566cp-3, 0x1.c4ccec963782bp-3, 0x1.c37547b5c2caap-3, 0x1.c265aff19c343p-3, 0x1.c19d429bf93d7p-3, 0x1.c11ac22289ee2p-3, 0x1.c0dc9fdd08f86p-3, 0x1.c0e10549c1d17p-3, 0x1.c125dccc00a4dp-3, 0x1.c1a8d9f64c22ep-3, 0x1.c267816ac9952p-3, 0x1.c35f305033f7p-3, 0x1.c48d2356a4b0cp-3, 0x1.c5ee7d468fcc2p-3, 0x1.c7804d132c2aep-3, 0x1.c93f936dc0595p-3, 0x1.cb2947de1bfd2p-3, 0x1.cd3a5d5fa4d1p-3, 0x1.cf6fc68d4ecf1p-3, 0x1.d1c67960e7307p-3, 0x1.d43b728cef9a7p-3, 0x1.d6cbb87911feap-3, 0x1.d9745de78a377p-3, 0x1.dc3284470afbap-3, 0x1.df035dbab8a96p-3, 0x1.e1e42edc1afdep-3, 0x1.e4d2503a9ceaep-3, 0x1.e7cb2fa2e172bp-3, 0x1.eacc512a51f41p-3, 0x1.edd3500c91dd4p-3, 0x1.f0dddf56ed04dp-3, 0x1.f3e9ca68ad11dp-3, 0x1.f6f4f54c2e3c5p-3, 0x1.f9fd5ce589466p-3, 0x1.fd011703ba7e9p-3, 0x1.fffe5247c4e5ep-3, 0x1.0179aafc913fdp-2, 0x1.02ef40da6fd6bp-2, 0x1.045f268584ea4p-2, 0x1.05c8a3856babcp-2, 0x1.072b0adc12d3cp-2, 0x1.0885babea513dp-2, 0x1.09d81c464804fp-2, 0x1.0b21a320b3813p-2, 0x1.0c61cd3c4a757p-2, 0x1.0d982271e42a4p-2, 0x1.0ec434332fc89p-2, 0x1.0fe59d2ed0853p-2, 0x1.10fc00fa4d2c8p-2, 0x1.12070bbe63e36p-2, 0x1.130671d62bc4ep-2, 0x1.13f9ef7c2b07fp-2, 0x1.14e14872cd30fp-2, 0x1.15bc47a47c4b7p-2, 0x1.168abed3a9c44p-2, 0x1.174c8644efa81p-2, 0x1.18017c6299e98p-2, 0x1.18a98573c56d3p-2, 0x1.19448b4c0ebbp-2, 0x1.19d27cf70967bp-2, 0x1.1a534e767eff8p-2, 0x1.1ac6f87d0df4p-2, 0x1.1b2d7822220ep-2, 0x1.1b86cea70f7c4p-2, 0x1.1bd3013d863fbp-2, 0x1.1c1218c4a6e64p-2, 0x1.1c44219226b38p-2, 0x1.1c692b442dfdap-2, 0x1.1c8148878fca6p-2, 0x1.1c8c8ee324df8p-2, 0x1.1c8b169051ee1p-2, 0x1.1c7cfa4e12c3ap-2, 0x1.1c62572cef49cp-2, 0x1.1c3b4c6a2ee82p-2, 0x1.1c07fb4d410d4p-2, 0x1.1bc886fd96934p-2, 0x1.1b7d145869fcep-2, 0x1.1b25c9d5f607p-2, 0x1.1ac2cf6c58499p-2, 0x1.1a544e6826573p-2, 0x1.19da714ce4afp-2, 0x1.195563c24563ep-2, 0x1.18c5527b45fafp-2, 0x1.182a6b1400303p-2, 0x1.1784dbf9b5c3cp-2, 0x1.16d4d45ef01bbp-2, 0x1.161a842768cp-2, 0x1.15561bca834f7p-2, 0x1.1487cc4072a49p-2, 0x1.13afc6fb3982bp-2, 0x1.12ce3dd827fe9p-2, 0x1.11e3630724069p-2, 0x1.10ef68f8d9ee2p-2, 0x1.0ff2825b5921fp-2, 0x1.0eece210eb8f5p-2, 0x1.0ddebb1cb667p-2, 0x1.0cc84091e5593p-2, 0x1.0ba9a58dbc60cp-2, 0x1.0a831d34d9d6p-2, 0x1.0954daa6c8e21p-2, 0x1.081f10ed8754fp-2, 0x1.06e1f2f42caaep-2, 0x1.059db384fb44dp-2, 0x1.04528545b41b2p-2, 0x1.03009aaafef8bp-2, 0x1.01a825ec76c28p-2, 0x1.004958fdf86dbp-2, 0x1.fdc8cb2054092p-3, 0x1.faf2fa1a2184ap-3, 0x1.f811a11a4997bp-3, 0x1.f5252198c8f02p-3, 0x1.f22ddc4dd93d1p-3, 0x1.ef2c3135796bdp-3, 0x1.ec207f8a0526ap-3, 0x1.e90b25b12f506p-3, 0x1.e5ec812977a57p-3, 0x1.e2c4ee8681119p-3, 0x1.df94c9753a04p-3, 0x1.dc5c6cb85cfep-3, 0x1.d91c32199b4dp-3, 0x1.d5d4725c287dbp-3, 0x1.d285853702b0cp-3, 0x1.cf2fc159dd532p-3, 0x1.cbd37c69d3d02p-3, 0x1.c8710af9f855dp-3, 0x1.c508c081b086dp-3, 0x1.c19aef581baebp-3, 0x1.be27e8b26c8b4p-3, 0x1.baaffca2b2ccp-3, 0x1.b7337a1617d53p-3, 0x1.b3b2aed284371p-3, 0x1.b02de7726b09ep-3, 0x1.aca56f5f624dap-3, 0x1.a91990cdbec62p-3, 0x1.a58a94bd3958cp-3, 0x1.a1f8c2fdbbddp-3, 0x1.9e6462312ee7ep-3, 0x1.9acdb7c59381dp-3, 0x1.973507ebbdf74p-3, 0x1.939a959499ad4p-3, 0x1.8ffea27663046p-3, 0x1.8c616f1865d99p-3, 0x1.88c33ad3fc9cdp-3, 0x1.852443cb88b3ap-3, 0x1.8184c6df757bep-3, 0x1.7de4ffad9d7bfp-3, 0x1.7a45289d047dfp-3, 0x1.76a57aeb12fp-3, 0x1.73062ead4789ep-3, 0x1.6f677ac62a7a1p-3, 0x1.6bc994d9c48ccp-3, 0x1.682cb14ddafcp-3, 0x1.64910358176d4p-3, 0x1.60f6bd0dbd843p-3, 0x1.5d5e0f67ca6acp-3, 0x1.59c72a38461c8p-3, 0x1.56323c1e071cfp-3, 0x1.529f7282b6ee4p-3, 0x1.4f0ef9a769d65p-3, 0x1.4b80fcb73d78fp-3, 0x1.47f5a5d03c643p-3, 0x1.446d1dfe43d89p-3, 0x1.40e78d2bf6372p-3, 0x1.3d651a1d0c22p-3, 0x1.39e5ea7556025p-3, 0x1.366a22cb01cb6p-3, 0x1.32f1e6b694485p-3, 0x1.2f7d58d57242fp-3, 0x1.2c0c9abff97b2p-3, 0x1.289fccfd2e5f5p-3, 0x1.25370f009b922p-3, 0x1.21d27f3674b2p-3, 0x1.1e723b167ed6bp-3, 0x1.1b165f31aaf0ep-3, 0x1.17bf07327a108p-3, 0x1.146c4dd29dda9p-3, 0x1.111e4cd003762p-3, 0x1.0dd51cebefbabp-3, 0x1.0a90d5f70875ap-3, 0x1.07518ee3c8cbep-3, 0x1.04175dd4408b2p-3, 0x1.00e2581c1ce44p-3, 0x1.fb652470773c2p-4, 0x1.f5103f87dc9bcp-4, 0x1.eec626ebf4e2cp-4, 0x1.e886fe51e7863p-4, 0x1.e252e7d7ea92ep-4, 0x1.dc2a0422cd8eep-4, 0x1.d60c726dad4ap-4, 0x1.cffa50802c7f7p-4, 0x1.c9f3ba9c075fp-4, 0x1.c3f8cb6f92af5p-4, 0x1.be099c19c0f31p-4, 0x1.b82644410d66cp-4, 0x1.b24eda32768ffp-4, 0x1.ac8372f97babbp-4, 0x1.a6c42266c0164p-4, 0x1.a110fb085aba4p-4, 0x1.9b6a0e15d1765p-4, 0x1.95cf6b6c312c2p-4, 0x1.9041219030b1cp-4, 0x1.8abf3dc49b096p-4, 0x1.8549cc24cc772p-4, 0x1.7fe0d7b9c6e8p-4, 0x1.7a846a81c7f27p-4, 0x1.75348d6aab611p-4, 0x1.6ff14845a8c09p-4, 0x1.6abaa1bea6023p-4, 0x1.65909f5ea8889p-4, 0x1.6073459a8efc2p-4, 0x1.5b6297e8d2a0ap-4, 0x1.565e98d5e35edp-4, 0x1.51674a0fdb2fep-4, 0x1.4c7cac67740e5p-4, 0x1.479ebfc8e6f23p-4, 0x1.42cd83337f5ddp-4, 0x1.3e08f4b69a69bp-4, 0x1.395111782adbap-4, 0x1.34a5d5c27c56cp-4, 0x1.30073d17588a3p-4, 0x1.2b75423e47fcep-4, 0x1.26efdf4d20749p-4, 0x1.22770da8b9cf2p-4, 0x1.1e0ac5fffbb8fp-4, 0x1.19ab0046a7225p-4, 0x1.1557b3b3c79bbp-4, 0x1.1110d6c6c4ef3p-4, 0x1.0cd65f52e848p-4, 0x1.08a8428ce256fp-4, 0x1.0486751786192p-4, 0x1.0070eb0c01658p-4, 0x1.f8cf2ff8f1196p-5, 0x1.f0d4dde4e8071p-5, 0x1.e8f2c4d712d03p-5, 0x1.e128c8af27bd2p-5, 0x1.d976cc361c24ap-5, 0x1.d1dcb12bcf81fp-5, 0x1.ca5a585b00ee3p-5, 0x1.c2efa1ae0c72cp-5, 0x1.bb9c6c4000744p-5, 0x1.b46096674a1d8p-5, 0x1.ad3bfdb9352adp-5, 0x1.a62e7f08877f2p-5, 0x1.9f37f6626ca8bp-5, 0x1.98583f0e28792p-5, 0x1.918f3392576abp-5, 0x1.8adcadc0aa509p-5, 0x1.844086c26e199p-5, 0x1.7dba972c29ad8p-5, 0x1.774ab70716212p-5, 0x1.70f0bddb40db4p-5, 0x1.6aac82b49e3cp-5, 0x1.647ddc2425336p-5, 0x1.5e64a03f66674p-5, 0x1.5860a49fd75afp-5, 0x1.5271be674ed9bp-5, 0x1.4c97c246f67a9p-5, 0x1.46d28488707fbp-5, 0x1.4121d91a20f7ep-5, 0x1.3b8593991efb2p-5, 0x1.35fd8759e5601p-5, 0x1.3089876e414a9p-5, 0x1.2b2966a928deep-5, 0x1.25dcf7a07369cp-5, 0x1.20a40cad59185p-5, 0x1.1b7e77ee3d6c3p-5, 0x1.166c0b49a736ep-5, 0x1.116c987421c99p-5, 0x1.0c7ff0f7a12cbp-5, 0x1.07a5e63b87d5cp-5, 0x1.02de498bdb04fp-5, 0x1.fc51d83f220edp-6, 0x1.f30b3e3af07bfp-6, 0x1.e9e8673fc94bcp-6, 0x1.e0e8f56e0bf64p-6, 0x1.d80c8ad505591p-6, 0x1.cf52c97599973p-6, 0x1.c6bb5346a45ep-6, 0x1.be45ca3bff856p-6, 0x1.b5f1d050495f9p-6, 0x1.adbf078f98e24p-6, 0x1.a5ad12223dc53p-6, 0x1.9dbb92560f31fp-6, 0x1.95ea2aa678ddep-6, 0x1.8e387dc33d67bp-6, 0x1.86a62e95ef629p-6, 0x1.7f32e04610ddep-6, 0x1.77de363c28eeep-6, 0x1.70a7d4245386dp-6, 0x1.698f5df1b2772p-6, 0x1.629477e38dd24p-6, 0x1.5bb6c68b74703p-6, 0x1.54f5eed4812fcp-6, 0x1.4e51960a62fe8p-6, 0x1.47c961df8196ep-6, 0x1.415cf872c55aap-6, 0x1.3b0c0052da9a1p-6, 0x1.34d62084b76dbp-6, 0x1.2ebb008590bc8p-6, 0x1.28ba484db4a9ap-6, 0x1.22d3a0532660ep-6, 0x1.1d06b18b64abfp-6, 0x1.1753256df4db4p-6, 0x1.11b8a5f7ba756p-6, 0x1.0c36ddaf317c6p-6, 0x1.06cd77a804095p-6, 0x1.017c1f899ab4ap-6, 0x1.f885031cc59efp-7, 0x1.ee409517b2c34p-7, 0x1.e42a4fe343127p-7, 0x1.da418f9b22063p-7, 0x1.d085b19b310d5p-7, 0x1.c6f61482c47d3p-7, 0x1.bd921835c57d8p-7, 0x1.b4591de0084e8p-7, 0x1.ab4a87fa1bbd7p-7, 0x1.a265ba4934081p-7, 0x1.99aa19e273106p-7, 0x1.91170d3346636p-7, 0x1.88abfc04f029ap-7, 0x1.80684f7e7ac5fp-7, 0x1.784b7227cb8e5p-7, 0x1.7054cfec3de42p-7, 0x1.6883d61c6e025p-7, 0x1.60d7f36fc4762p-7, 0x1.595098060cda8p-7, 0x1.51ed356973503p-7, 0x1.4aad3e8f600abp-7, 0x1.439027d9b5614p-7, 0x1.3c95671786c4ap-7, 0x1.35bc7385d9fa3p-7, 0x1.2f04c5d068e7fp-7, 0x1.286dd81234a64p-7, 0x1.21f725d5dc9e2p-7, 0x1.1ba02c17cef38p-7, 0x1.1568694053355p-7, 0x1.0f4f5d2ad1969p-7, 0x1.09548920c2bd8p-7, 0x1.03776fe109482p-7, 0x1.fb6f2b2fa94eep-8, 0x1.f028ffcca7758p-8, 0x1.e51b6bbfa1e7fp-8, 0x1.da4580114258p-8, 0x1.cfa650a764f57p-8, 0x1.c53cf43f9f3f3p-8, 0x1.bb08846b0846ap-8, 0x1.b1081d88a3a2dp-8, 0x1.a73adec4c899ap-8, 0x1.9d9fea1885e7ap-8, 0x1.9436644ab4c03p-8, 0x1.8afd74f13726fp-8, 0x1.81f44671202fap-8, 0x1.791a05fcfe95p-8, 0x1.706de390baa8p-8, 0x1.67ef11eac9abcp-8, 0x1.5f9cc683a9879p-8, 0x1.5776398499207p-8, 0x1.4f7aa5bf84ea7p-8, 0x1.47a948aace0b6p-8, 0x1.400162598e2d9p-8, 0x1.3882358300ec5p-8, 0x1.312b07830b374p-8, 0x1.29fb205bbb894p-8, 0x1.22f1caba213dep-8, 0x1.1c0e53f28b54cp-8, 0x1.15500bf8596cep-8, 0x1.0eb64550a8028p-8, 0x1.08405501218b1p-8, 0x1.01ed927d155ebp-8, 0x1.f77aaf2b85229p-9, 0x1.eb5e00e2e6318p-9, 0x1.df83d6f8c1cb6p-9, 0x1.d3eaf326b89b2p-9, 0x1.c8921ba802e68p-9, 0x1.bd781bbf57241p-9, 0x1.b29bc3a0dd481p-9, 0x1.a7fbe88a0fd77p-9, 0x1.9d9764bbc6dfbp-9, 0x1.936d175cbfdf3p-9, 0x1.897be4464a84ep-9, 0x1.7fc2b3c1ef5c9p-9, 0x1.76407242ae54cp-9, 0x1.6cf410272fe92p-9, 0x1.63dc819092447p-9, 0x1.5af8be566ffd3p-9, 0x1.5247c21b7b7d3p-9, 0x1.49c88c7ed9dbp-9, 0x1.417a215dafd32p-9, 0x1.395b891e2ac2dp-9, 0x1.316bd0e46a5bcp-9, 0x1.29aa0ab131bb8p-9, 0x1.22154d527302p-9, 0x1.1aacb4288e6c3p-9, 0x1.136f5ec3ec91ap-9, 0x1.0c5c706a9e3a3p-9, 0x1.05730f9acb5dp-9, 0x1.fd64cb3feb11bp-10, 0x1.f0333c8e89ce9p-10, 0x1.e34fcfa78226ep-10, 0x1.d6b8e657e6e12p-10, 0x1.ca6ce85f68b0ap-10, 0x1.be6a4441f95abp-10, 0x1.b2af7078179a4p-10, 0x1.a73aec7f70888p-10, 0x1.9c0b4169fea5cp-10, 0x1.911f021c701e4p-10, 0x1.8674cb08eadf6p-10, 0x1.7c0b414f8c9c8p-10, 0x1.71e1116d9462dp-10, 0x1.67f4edb4b01f5p-10, 0x1.5e458ccbf5ffap-10, 0x1.54d1a87ad8952p-10, 0x1.4b97fcf04441p-10, 0x1.4297489b7e123p-10, 0x1.39ce4c98d7837p-10, 0x1.313bcd9b8d55ep-10, 0x1.28de952c24153p-10, 0x1.20b5731637f18p-10, 0x1.18bf3ec03e358p-10, 0x1.10fad84b2f031p-10, 0x1.09672933dab5dp-10, 0x1.0203245697b4p-10, 0x1.f59b8a845500ap-11, 0x1.e78c1dd5b8571p-11, 0x1.d9d613e595ed8p-11, 0x1.cc7785ac31d4ap-11, 0x1.bf6e90a3e6286p-11, 0x1.b2b9549a810e9p-11, 0x1.a655f2d60493cp-11, 0x1.9a428e88490e4p-11, 0x1.8e7d4e5261151p-11, 0x1.83045e726e241p-11, 0x1.77d5f33b85677p-11, 0x1.6cf04b8d7c6f3p-11, 0x1.6251b3145a9a4p-11, 0x1.57f8841d96472p-11, 0x1.4de328c36872ap-11, 0x1.44101b2555096p-11, 0x1.3a7de46ca1fcdp-11, 0x1.312b1a88875fap-11, 0x1.28165cd8e867cp-11, 0x1.1f3e5051182b1p-11, 0x1.16a19beac896dp-11, 0x1.0e3ee5ba66a87p-11, 0x1.0614d21a6c9c5p-11, 0x1.fc44092d57fe9p-12, 0x1.ecca4258440c6p-12, 0x1.ddb99ecf83ff9p-12, 0x1.cf0f79d14df79p-12, 0x1.c0c93efbd71f7p-12, 0x1.b2e46d41c50f5p-12, 0x1.a55e98f5f8df9p-12, 0x1.98356d857e164p-12, 0x1.8b66af293c177p-12, 0x1.7ef03c565a399p-12, 0x1.72d00dd4a4da5p-12, 0x1.6704354439a8ap-12, 0x1.5b8ad86816b12p-12, 0x1.50622a6858403p-12, 0x1.458863caf1d79p-12, 0x1.3afbbb1123bf9p-12, 0x1.30ba5ffa37534p-12, 0x1.26c27a9586cf2p-12, 0x1.1d122e30c9239p-12, 0x1.13a79ec9cb225p-12, 0x1.0a80f6e211e78p-12, 0x1.019c6b9eda2c3p-12, 0x1.f1f07c406c114p-13, 0x1.e12574ca0cabdp-13, 0x1.d0d46a95f5a33p-13, 0x1.c0fa1731d0ff5p-13, 0x1.b19346cc75872p-13, 0x1.a29cdfd05fedbp-13, 0x1.9413ecc2e11f3p-13, 0x1.85f5a45cf77d3p-13, 0x1.783f6c030c089p-13, 0x1.6aeed29e79cd4p-13, 0x1.5e0184991416fp-13, 0x1.51753c752dd8cp-13, 0x1.4547b4e7dae83p-13, 0x1.3976a0f585fcbp-13, 0x1.2dffac4c517a8p-13, 0x1.22e082fc92ddbp-13, 0x1.1816dcbb967cp-13, 0x1.0da08665f2eb6p-13, 0x1.037b650e1a3b3p-13, 0x1.f34ae13ec2736p-14, 0x1.e0394fed88e25p-14, 0x1.cdbe07367f455p-14, 0x1.bbd4da8346079p-14, 0x1.aa7980a9fdb7bp-14, 0x1.99a7a7ae9c607p-14, 0x1.895b140a6b918p-14, 0x1.798fc01f766acp-14, 0x1.6a41f0e408923p-14, 0x1.5b6e3ab8f02b2p-14, 0x1.4d117059e5d76p-14, 0x1.3f28918aa5c49p-14, 0x1.31b0a9ccee7b2p-14, 0x1.24a6c3b1bdda3p-14, 0x1.1807e2b5537f9p-14, 0x1.0bd10bbddadeep-14, 0x1.fffeac1ae0addp-15, 0x1.e91ffc6270c3dp-15, 0x1.d300e757a95cdp-15, 0x1.bd9cb55a1890dp-15, 0x1.a8eefc2428831p-15, 0x1.94f367f2bfe95p-15, 0x1.81a57b6d4c358p-15, 0x1.6f00625948bb3p-15, 0x1.5cfee9fe5c51dp-15, 0x1.4b9ba4db5159cp-15, 0x1.3ad127e7548e7p-15, 0x1.2a9a487f1dbd9p-15, 0x1.1af245c325415p-15, 0x1.0bd4d4d836a17p-15, 0x1.fa7c21f78e3abp-16, 0x1.de54b4a74f096p-16, 0x1.c32c5ae629d9p-16, 0x1.a8fc27f1eccc5p-16, 0x1.8fbd012893615p-16, 0x1.7767d98bb0e0ep-16, 0x1.5ff5a9cfbdf85p-16, 0x1.495f9458bc68bp-16, 0x1.339f029f5bbfp-16, 0x1.1eadc459928p-16, 0x1.0a86248287113p-16, 0x1.ee45c6528e0ebp-17, 0x1.c8fe11d73612dp-17, 0x1.a52b37f3ad53fp-17, 0x1.82c2a7b780e14p-17, 0x1.61b8e4faa60c3p-17, 0x1.4201b37ebc6ebp-17, 0x1.2390a2238cfb2p-17, 0x1.0659a04364549p-17, 0x1.d4a29d2c07e74p-18, 0x1.9eda0999475a8p-18, 0x1.6b457f3159912p-18, 0x1.39d23ad8c85c6p-18, 0x1.0a6ec0db61cabp-18, 0x1.ba157b65f18d7p-19, 0x1.632d8984bb515p-19, 0x1.1008172ac49a3p-19, 0x1.8110d67dac20dp-20, 0x1.d249d6d36d54bp-21, 0x1.6056c1723fb07p-22, -0x1.928ff26f7e4a2p-23, -0x1.6c8bc1846bac9p-21, -0x1.33f903eb97b6ap-20, -0x1.ab9e34e4e0823p-20, -0x1.0eb3cdfb022p-19, -0x1.44c2f55d677ebp-19, -0x1.78141c596d03cp-19, -0x1.a8be81df4aaf5p-19, -0x1.d6d9afab18b12p-19, -0x1.013eaf592957bp-18, -0x1.15e040a0b9da6p-18, -0x1.295c36b0f8d6ap-18, -0x1.3bbcabe91688fp-18, -0x1.4d0beba27bf4p-18, -0x1.5d54ca81e3b25p-18, -0x1.6ca1fed30cbbap-18, -0x1.7afd13703539bp-18, -0x1.886e11ba5d433p-18, -0x1.94fc3e1cb1fap-18, -0x1.a0af44e046382p-18, -0x1.ab8fe85419938p-18, -0x1.b5a7ab3bbe3b4p-18, -0x1.beffbbeedf28cp-18, -0x1.c7a007a49a8a9p-18, -0x1.cf8f3ab3d45ep-18, -0x1.d6d39034f9b3p-18, -0x1.dd739cf820485p-18, -0x1.e376678b07e76p-18, -0x1.e8e2d71af4b83p-18, -0x1.edbf017523302p-18, -0x1.f20fda4da176p-18, -0x1.f5d9755bbe2f8p-18, -0x1.f91fb61a14308p-18, -0x1.fbe7027011436p-18, -0x1.fe347836c2b3ap-18, -0x1.0006c2b92396ep-17, -0x1.00bbbdf418106p-17, -0x1.013bede28a98dp-17, -0x1.018a7ab988879p-17, -0x1.01aab63b2f193p-17, -0x1.019f3b14bfd0ap-17, -0x1.01693a0e150f4p-17, -0x1.0108e3d942178p-17, -0x1.007e9c7a1eeaep-17, -0x1.ff97c4a68f397p-18, -0x1.fde666e41b0e7p-18, -0x1.fbee63d0b3d03p-18, -0x1.f9b3ce09c5ebcp-18, -0x1.f73984303264dp-18, -0x1.f4823a4f975d4p-18, -0x1.f19148a6b1d78p-18, -0x1.ee6acde1adc04p-18, -0x1.eb132bbfe81e5p-18, -0x1.e78e7e6cd87dbp-18, -0x1.e3e077ad4adcp-18, -0x1.e00c078e2988bp-18, -0x1.dc1350196bb38p-18, -0x1.d7f7c07996203p-18, -0x1.d3ba6f9c3ef57p-18, -0x1.cf5c9d8804aa6p-18, -0x1.cae000121ffa5p-18, -0x1.c6468466f7d6cp-18, -0x1.c191d45a8b20dp-18, -0x1.bcc3868a66b87p-18, -0x1.b7de1715105fap-18, -0x1.b2e5247a1422p-18, -0x1.addbcce909351p-18, -0x1.a8c2f422ef609p-18, -0x1.a399f20b24814p-18, -0x1.9e60decdb011p-18, -0x1.9919a42da073p-18, -0x1.93c6d4d8a4854p-18, -0x1.8e69f943f97c8p-18, -0x1.890358ee7079cp-18, -0x1.83932b1c7a64bp-18, -0x1.7e1a7ee109db2p-18, -0x1.789b16af729a8p-18, -0x1.7316d5e5827b1p-18, -0x1.6d8f4fd8d754ep-18, -0x1.6805e37cfcba6p-18, -0x1.627bb84bbda13p-18, -0x1.5cf1c4df85a6bp-18, -0x1.5768daf0e6598p-18, -0x1.51e19867e5a6ep-18, -0x1.4c5c658ced4fdp-18, -0x1.46d9b3c934a7p-18, -0x1.4159d1b69e843p-18, -0x1.3bdd66de64c48p-18, -0x1.3665bcb75a4fdp-18, -0x1.30f3c97aa4864p-18, -0x1.2b8885ae418e2p-18, -0x1.26245419f32e9p-18, -0x1.20c7d9ce17918p-18, -0x1.1b743f88fa917p-18, -0x1.162a354b048e4p-18, -0x1.10e9287aba6e8p-18, -0x1.0bb065c735f37p-18, -0x1.0680852e24973p-18, -0x1.015aecd033b73p-18, -0x1.f8809f8289465p-19, -0x1.ee60debf47ecbp-19, -0x1.e4562aa02ec4bp-19, -0x1.da610fe4b7d4dp-19, -0x1.d0826d589000ep-19, -0x1.c6bae6771337cp-19, -0x1.bd0aeea4904cep-19, -0x1.b3731053091cp-19, -0x1.a9f3e1922bbd2p-19, -0x1.a08e0f04bc733p-19, -0x1.974235910aad8p-19, -0x1.8e10d51bc6f97p-19, -0x1.84fa4bb5b00c6p-19, -0x1.7bfed803e9d66p-19, -0x1.731e9d270b46p-19, -0x1.6a59a3488e5bep-19, -0x1.61afdab6c37a7p-19, -0x1.5921335491d6bp-19, -0x1.50adc91f313f7p-19, -0x1.4855f15dc085fp-19, -0x1.4019ef34983eap-19, -0x1.37f986b0ea0c1p-19, -0x1.2ff415f2e48aap-19, -0x1.28098ae79f3b6p-19, -0x1.203adaa9baa0ap-19, -0x1.1888950a416dap-19, -0x1.10f25ff1a3331p-19, -0x1.097885010ae0fp-19, -0x1.021bc56720ea9p-19, -0x1.f5b786fc3c705p-20, -0x1.e76efbd6dff3ep-20, -0x1.d95cf9bce8af9p-20, -0x1.cb823eca1892dp-20, -0x1.bddeb745e3268p-20, -0x1.b0726768f775ep-20, -0x1.a33d49839bc4bp-20, -0x1.963f0a9120c3fp-20, -0x1.8977135d700c2p-20, -0x1.7ce4b5fc6ba05p-20, -0x1.708773812e6b9p-20, -0x1.645f1458df293p-20, -0x1.586b8748822ccp-20, -0x1.4cacb3b7884e6p-20, -0x1.4122632a79c5bp-20, -0x1.35cc4295d4969p-20, -0x1.2aa9ec0c6a7e9p-20, -0x1.1fbaecf12e864p-20, -0x1.14fec625ec423p-20, -0x1.0a74f0aa1d346p-20, -0x1.001cef1ac1e87p-20, -0x1.ebecc36b821cfp-21, -0x1.d801f47d0509fp-21, -0x1.c47889012d67ap-21, -0x1.b14ee9bb8e8cfp-21, -0x1.9e834e629dbafp-21, -0x1.8c1546554c865p-21, -0x1.7a051d491b7fcp-21, -0x1.6851a9174fc83p-21, -0x1.56f9d6adc94f9p-21, -0x1.45fcbe440d46p-21, -0x1.35585d8712ac6p-21, -0x1.250b57a797545p-21, -0x1.15153c1c0d757p-21, -0x1.05759045f32eep-21, -0x1.ec5745b9c7d23p-22, -0x1.ce6d32aa17b98p-22, -0x1.b12abe0235df6p-22, -0x1.948d537b5eb2p-22, -0x1.78926052a9255p-22, -0x1.5d37bdb9c5dbep-22, -0x1.427ba26644e8dp-22, -0x1.285c31905025ap-22, -0x1.0ed73ee2d0d56p-22, -0x1.ebd51e378a0cbp-23, -0x1.bb283f72d2056p-23, -0x1.8ba425fd1c7ccp-23, -0x1.5d44d24acdaedp-23, -0x1.3006ae805469cp-23, -0x1.03e52654ce60ep-23, -0x1.b1b88e2b80684p-24, -0x1.5dd02ba369f13p-24, -0x1.0c09315a9d461p-24, -0x1.78b7f1b0e5b93p-25, -0x1.bb029e580edc8p-26, -0x1.1979c35e2bc4bp-27, 0x1.33023a0bea143p-27, 0x1.b7d548aa3b7cbp-26, 0x1.672ce073ace77p-25, 0x1.ee94c824982fp-25, 0x1.391aba1411349p-24, 0x1.79102046a3409p-24, 0x1.b731d2101e62bp-24, 0x1.f385ed11b1706p-24, 0x1.170927618635bp-23, 0x1.33705ffefdc04p-23, 0x1.4efa6b8a3305ep-23, 0x1.69ad245d322b3p-23, 0x1.838b284826e37p-23, 0x1.9c97e91881c0dp-23, 0x1.b4d6ad47fc9c7p-23, 0x1.cc4a9fe2e384cp-23, 0x1.e2f6e4585eb78p-23, 0x1.f8dede61da1d5p-23, 0x1.0703434238c05p-22, 0x1.113906ce661fdp-22, 0x1.1b125d8ffbd6bp-22, 0x1.2490738e715eep-22, 0x1.2db4cd8a52212p-22, 0x1.36816c5bd4e37p-22, 0x1.3ef7d2ba20913p-22, 0x1.4718e7af95c6dp-22, 0x1.4ee644fecd6ebp-22, 0x1.56610ef368e1dp-22, 0x1.5d8bc0a37f3bbp-22, 0x1.6467eb55f8d0dp-22, 0x1.6af6f23348235p-22, 0x1.713a31652d0e2p-22, 0x1.7732f473a0101p-22, 0x1.7ce286bbbdfe6p-22, 0x1.824a45275fe0dp-22, 0x1.876ba3cd48cb1p-22, 0x1.8c482e44e9bdfp-22, 0x1.90e14a36ba98fp-22, 0x1.95378b7e891bdp-22, 0x1.994beeb6e4366p-22, 0x1.9d2162758efe1p-22, 0x1.a0b96119d98p-22, 0x1.a4139cdaaa293p-22, 0x1.a73135945aa45p-22, 0x1.aa14339c87bddp-22, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.10e4529a2268dp-9, 0x1.10de96ea827abp-8, 0x1.993c203770a36p-8, 0x1.10bd98fcf159ep-7, 0x1.54c1c2d2e110cp-7, 0x1.989951771ccfdp-7, 0x1.dc2d8fd26d8b3p-7, 0x1.0fb120711bcc4p-6, 0x1.310ae8d381591p-6, 0x1.5210de6110cfp-6, 0x1.72ad8942ed928p-6, 0x1.92c98d21d7a0ep-6, 0x1.b24c01b0b005ep-6, 0x1.d11acf18db798p-6, 0x1.ef1b0ae9d040bp-6, 0x1.0618a963223cfp-5, 0x1.1421114eccab8p-5, 0x1.219912677b18ap-5, 0x1.2e733d8ce6676p-5, 0x1.3aa27fdba40b6p-5, 0x1.461a3f2f066a2p-5, 0x1.50ce72a1aa148p-5, 0x1.5ab3b7346604bp-5, 0x1.63bf60d875f07p-5, 0x1.6be788258e4c4p-5, 0x1.7323150a4b7a1p-5, 0x1.7969c6c58eb07p-5, 0x1.7eb43973e808cp-5, 0x1.82fbe976c2dc1p-5, 0x1.863b34f3fb968p-5, 0x1.886d5ba5cbde3p-5, 0x1.898e7d2c1c7a2p-5, 0x1.899b960a799dep-5, 0x1.88927b78d9953p-5, 0x1.8671d62933422p-5, 0x1.83391c210c5f5p-5, 0x1.7ee889c3822bep-5, 0x1.79811a26cde1ep-5, 0x1.73047ecf1a37dp-5, 0x1.6b7516e7893ecp-5, 0x1.62d5e611ae0fdp-5, 0x1.592a8ae31be23p-5, 0x1.4e773527deaabp-5, 0x1.42c09c001098ep-5, 0x1.360bf3edadb08p-5, 0x1.285ee4e68f02fp-5, 0x1.19bf807d4c543p-5, 0x1.0a34383209c0dp-5, 0x1.f387a7f56d87dp-6, 0x1.d0ead220a38dep-6, 0x1.aca0a21a34048p-6, 0x1.86b842cadd375p-6, 0x1.5f414686ed12dp-6, 0x1.364b97977027ap-6, 0x1.0be7699d99b9p-6, 0x1.c04a57ac866ap-7, 0x1.662af87ebd91p-7, 0x1.0992373d9008fp-7, 0x1.5543899e39c2ap-8, 0x1.25edb3c20eca6p-9, -0x1.9befca9f44fdcp-11, -0x1.fbaeb688ef946p-9, -0x1.cbd1e97f468cep-8, -0x1.4e954855195a8p-7, -0x1.b8cf5355e00f6p-7, -0x1.123b00981faeap-6, -0x1.48b444433383bp-6, -0x1.7fc33a6ea4894p-6, -0x1.b757d7acaa73bp-6, -0x1.ef62434f9d4a3p-6, -0x1.13e96d7bb9959p-5, -0x1.304d1ae34d20bp-5, -0x1.4cd493a3d6601p-5, -0x1.697861066883p-5, -0x1.86312d08870fbp-5, -0x1.a2f7c371658f7p-5, -0x1.bfc512cee96ap-5, -0x1.dc922d5d6c3f4p-5, -0x1.f95849dcbb966p-5, -0x1.0b08622a34688p-4, -0x1.195a8f649f051p-4, -0x1.279f80f2b36f7p-4, -0x1.35d41eca30d63p-4, -0x1.43f564c9e4f95p-4, -0x1.520062fcc44bbp-4, -0x1.5ff23dd80c469p-4, -0x1.6dc82e747f3dep-4, -0x1.7b7f82c2d8d7ap-4, -0x1.89159dbb8311ep-4, -0x1.9687f789768ep-4, -0x1.a3d41db037b3p-4, -0x1.b0f7b32cca4f4p-4, -0x1.bdf0709190a1cp-4, -0x1.cabc241cce06dp-4, -0x1.d758b1c9c5b58p-4, -0x1.e3c4135c34a51p-4, -0x1.effc586621d8fp-4, -0x1.fbffa647c23bbp-4, -0x1.03e61c14b47e8p-3, -0x1.09b02f77b96e7p-3, -0x1.0f5d409400348p-3, -0x1.14ec8d79504bcp-3, -0x1.1a5d5ef0db7d3p-3, -0x1.1faf086ae7662p-3, -0x1.24e0e7e9649fcp-3, -0x1.29f265e786e1bp-3, -0x1.2ee2f53e6447fp-3, -0x1.33b21306aff76p-3, -0x1.385f4677a37a3p-3, -0x1.3cea20c32e953p-3, -0x1.41523cef87175p-3, -0x1.45973fae2f827p-3, -0x1.49b8d730a24a6p-3, -0x1.4db6bafaad1a4p-3, -0x1.5190abb2b389cp-3, -0x1.554672eff1027p-3, -0x1.58d7e306dfa82p-3, -0x1.5c44d6d3f2014p-3, -0x1.5f8d3184bfeb1p-3, -0x1.62b0de5fd1122p-3, -0x1.65afd08b29002p-3, -0x1.688a02d1c51f2p-3, -0x1.6b3f77682c5ccp-3, -0x1.6dd037b039c5dp-3, -0x1.703c53fc4466fp-3, -0x1.7283e351dafc6p-3, -0x1.74a7032c20a22p-3, -0x1.76a5d73e002d5p-3, -0x1.788089344deccp-3, -0x1.7a374878020bfp-3, -0x1.7bca49f0a7bb9p-3, -0x1.7d39c7c71d477p-3, -0x1.7e860128c3e2p-3, -0x1.7faf3a0b3ed04p-3, -0x1.80b5baf0d2abfp-3, -0x1.8199d0ad8b717p-3, -0x1.825bcc2d2f7f9p-3, -0x1.82fc023a20f78p-3, -0x1.837acb453aaeap-3, -0x1.83d8832ebf8ffp-3, -0x1.8415891065397p-3, -0x1.84323f0894396p-3, -0x1.842f0a06da65ap-3, -0x1.840c5199aef87p-3, -0x1.83ca7fbd8168cp-3, -0x1.836a00ad28fbap-3, -0x1.82eb42b3ac434p-3, -0x1.824eb5ff7e737p-3, -0x1.8194cc7720f39p-3, -0x1.80bdf98f357f9p-3, -0x1.7fcab2220d275p-3, -0x1.7ebb6c48a377p-3, -0x1.7d909f350f749p-3, -0x1.7c4ac30e709b3p-3, -0x1.7aea50ce4d463p-3, -0x1.796fc21f59bfbp-3, -0x1.77db913dbdf1p-3, -0x1.762e38d8b6847p-3, -0x1.746833f5a8585p-3, -0x1.7289fdd48afe1p-3, -0x1.709411d5b5b51p-3, -0x1.6e86eb60fb868p-3, -0x1.6c6305ce1f4f5p-3, -0x1.6a28dc4e82afep-3, -0x1.67d8e9d81c336p-3, -0x1.6573a911a5b93p-3, -0x1.62f9943ff6d19p-3, -0x1.606b253484e3cp-3, -0x1.5dc8d53d075c1p-3, -0x1.5b131d142d694p-3, -0x1.584a74d35c7c5p-3, -0x1.556f53e57bf25p-3, -0x1.528230faac799p-3, -0x1.4f8381fd004fdp-3, -0x1.4c73bc06085e4p-3, -0x1.495353555095bp-3, -0x1.4622bb47a4d88p-3, -0x1.42e2664f22d72p-3, -0x1.3f92c5ec12b76p-3, -0x1.3c344aa6740dap-3, -0x1.38c764083ac2p-3, -0x1.354c809833159p-3, -0x1.31c40dd585beep-3, -0x1.2e2e7833ce096p-3, -0x1.2a8c2b17bd93ep-3, -0x1.26dd90d445c1cp-3, -0x1.232312a83e13ap-3, -0x1.1f5d18bc7b17ap-3, -0x1.1b8c0a225974ep-3, -0x1.17b04cd2a6345p-3, -0x1.13ca45acea6eap-3, -0x1.0fda58770e0f9p-3, -0x1.0be0e7dd48e17p-3, -0x1.07de55725e5ddp-3, -0x1.03d301b01d381p-3, -0x1.ff7e97f038f71p-4, -0x1.f747252961e93p-4, -0x1.ef00657427b7cp-4, -0x1.e6ab110f6cbb8p-4, -0x1.de47de13796e2p-4, -0x1.d5d780753e487p-4, -0x1.cd5aaa09c520fp-4, -0x1.c4d20a89eaaafp-4, -0x1.bc3e4f962b4fap-4, -0x1.b3a024baabd74p-4, -0x1.aaf83373491bfp-4, -0x1.a247232fd3b77p-4, -0x1.998d99583f8d5p-4, -0x1.90cc3950fc52ap-4, -0x1.8803a47f36dcfp-4, -0x1.7f347a4d26675p-4, -0x1.765f582e50582p-4, -0x1.6d84d9a3c2b34p-4, -0x1.64a598403c6ep-4, -0x1.5bc22bac450c5p-4, -0x1.52db29aa316b9p-4, -0x1.49f1261a09964p-4, -0x1.4104b2fd58413p-4, -0x1.3816607ad853ap-4, -0x1.2f26bce209482p-4, -0x1.263654ae94673p-4, -0x1.1d45b28b9fb68p-4, -0x1.14555f56ef4bdp-4, -0x1.0b65e223e69b6p-4, -0x1.0277c03e63c6ap-4, -0x1.f316fa5ae1647p-5, -0x1.e143356b9f08bp-5, -0x1.cf7531b8c2474p-5, -0x1.bdadebd0bc4bp-5, -0x1.abee5ccadfca3p-5, -0x1.9a377a4b402b5p-5, -0x1.888a36863a764p-5, -0x1.76e78043c9248p-5, -0x1.655042e27898p-5, -0x1.53c5665a1da54p-5, -0x1.4247cf3e450afp-5, -0x1.30d85ec062864p-5, -0x1.1f77f2b1bb4b4p-5, -0x1.0e2765850b2d1p-5, -0x1.f9cf1ca00840bp-6, -0x1.d7728198f6d1dp-6, -0x1.b53a9ab2e0db1p-6, -0x1.932901f7c1c29p-6, -0x1.713f4abec1858p-6, -0x1.4f7f01ad2b024p-6, -0x1.2de9acb6ff0aap-6, -0x1.0c80cb1f46b8ap-6, -0x1.d68baaf01fd3ap-7, -0x1.94747b44860d2p-7, -0x1.52bedd9a690f1p-7, -0x1.116d9aec07e99p-7, -0x1.a106dd9b97695p-8, -0x1.20060ed8b51fbp-8, -0x1.3fbc162a9be0bp-9, -0x1.049fc7fca0513p-11, 0x1.774c6e5ac489ep-10, 0x1.b6a483797667ap-9, 0x1.57e4a36762c0cp-8, 0x1.d3858575eafffp-8, 0x1.271823db1e1fdp-7, 0x1.63f0327495fb1p-7, 0x1.a048b9632f0a5p-7, 0x1.dc1f90ffac948p-7, 0x1.0bb94f90ad612p-6, 0x1.291feb8f7ecb3p-6, 0x1.46429ce7d63dcp-6, 0x1.63206ac58c51p-6, 0x1.7fb86314c5cbcp-6, 0x1.9c099a81a63bfp-6, 0x1.b8132c77d6ed9p-6, 0x1.d3d43b21b7545p-6, 0x1.ef4bef67487fp-6, 0x1.053cbc76712ep-5, 0x1.12ae0708bb24ep-5, 0x1.1ff975f64f7ecp-5, 0x1.2d1eab2621abep-5, 0x1.3a1d4bd8f8b89p-5, 0x1.46f500a7e9cfbp-5, 0x1.53a57582a4ff9p-5, 0x1.602e59ad9008dp-5, 0x1.6c8f5fbfb531fp-5, 0x1.78c83da076fedp-5, 0x1.84d8ac851de9p-5, 0x1.90c068ee1f047p-5, 0x1.9c7f32a441389p-5, 0x1.a814ccb57c19ep-5, 0x1.b380fd71b1d2bp-5, 0x1.bec38e6723615p-5, 0x1.c9dc4c5eb6bfp-5, 0x1.d4cb07580352cp-5, 0x1.df8f928525befp-5, 0x1.ea29c44661b88p-5, 0x1.f499762586a58p-5, 0x1.fede84d11db2bp-5, 0x1.047c680bb3538p-4, 0x1.09741d708b0b3p-4, 0x1.0e565595f0a1bp-4, 0x1.1323050269e9cp-4, 0x1.17da21c1358ccp-4, 0x1.1c7ba35f411ddp-4, 0x1.210782e805503p-4, 0x1.257dbae240ee3p-4, 0x1.29de474ca562ap-4, 0x1.2e29259a5e516p-4, 0x1.325e54af8689ap-4, 0x1.367dd4dd86198p-4, 0x1.3a87a7df505d7p-4, 0x1.3e7bd0d594dd8p-4, 0x1.425a5442cd55dp-4, 0x1.462338073f6e7p-4, 0x1.49d6835ce08aep-4, 0x1.4d743ed327a84p-4, 0x1.50fc744ac998p-4, 0x1.546f2ef15f96dp-4, 0x1.57cc7b3cfae41p-4, 0x1.5b1466e7a36ap-4, 0x1.5e4700eac636p-4, 0x1.6164597a8f899p-4, 0x1.646c82013352ep-4, 0x1.675f8d1a2657bp-4, 0x1.6a3d8e8d46d71p-4, 0x1.6d069b49efb3cp-4, 0x1.6fbac9620c80fp-4, 0x1.725a30050b133p-4, 0x1.74e4e77acdf2ap-4, 0x1.775b091e8bfaap-4, 0x1.79bcaf59a5982p-4, 0x1.7c09f59e6e3e5p-4, 0x1.7e42f862ea3f9p-4, 0x1.8067d51b85423p-4, 0x1.8278aa35bacfcp-4, 0x1.84759712bc13ap-4, 0x1.865ebc0208953p-4, 0x1.88343a3c03129p-4, 0x1.89f633dc7dea8p-4, 0x1.8ba4cbdd43a6bp-4, 0x1.8d40261096bafp-4, 0x1.8ec8671bb2abep-4, 0x1.903db47144c4fp-4, 0x1.91a0344be283ap-4, 0x1.92f00da880041p-4, 0x1.942d6840e36fp-4, 0x1.95586c8617b41p-4, 0x1.9671439ada29dp-4, 0x1.9778174e12083p-4, 0x1.986d1215445d9p-4, 0x1.99505f070425bp-4, 0x1.9a2229d56e83ap-4, 0x1.9ae29ec8a2963p-4, 0x1.9b91eab93f1a2p-4, 0x1.9c303b0ae79d3p-4, 0x1.9cbdbda6cc54cp-4, 0x1.9d3aa0f628fb5p-4, 0x1.9da713dcea621p-4, 0x1.9e0345b4399f5p-4, 0x1.9e4f66451fdd7p-4, 0x1.9e8ba5c32dafp-4, 0x1.9eb834c727a9dp-4, 0x1.9ed54449c2d7p-4, 0x1.9ee3059e64a83p-4, 0x1.9ee1aa6de6711p-4, 0x1.9ed164b175071p-4, 0x1.9eb266ad6794dp-4, 0x1.9e84e2ec30d13p-4, 0x1.9e490c394cb1ep-4, 0x1.9dff159c4dc81p-4, 0x1.9da73253dc8a5p-4, 0x1.9d4195d0e0d76p-4, 0x1.9cce73b19f281p-4, 0x1.9c4dffbcf56bbp-4, 0x1.9bc06ddd99a76p-4, 0x1.9b25f21d6bee8p-4, 0x1.9a7ec0a0dbb5cp-4, 0x1.99cb0da2542f7p-4, 0x1.990b0d6db38fcp-4, 0x1.983ef45be5adap-4, 0x1.9766f6ce78215p-4, 0x1.9683492b4ddfdp-4, 0x1.95941fd8584b4p-4, 0x1.9499af376be15p-4, 0x1.93942ba2197cbp-4, 0x1.9283c965a443bp-4, 0x1.9168bcbf008f6p-4, 0x1.904339d6e767fp-4, 0x1.8f1374bdfcd45p-4, 0x1.8dd9a16905a44p-4, 0x1.8c95f3ad2f86fp-4, 0x1.8b489f3c6c4dep-4, 0x1.89f1d7a1dfa8dp-4, 0x1.8891d03e5e1f8p-4, 0x1.8728bc44fd482p-4, 0x1.85b6ceb7b9cf7p-4, 0x1.843c3a642ddbfp-4, 0x1.82b931e05a44fp-4, 0x1.812de7878404p-4, 0x1.7f9a8d77214f5p-4, 0x1.7dff558bddbf1p-4, 0x1.7c5c715eae1b8p-4, 0x1.7ab21241f91a3p-4, 0x1.7900693ecf0fp-4, 0x1.7747a7123cb53p-4, 0x1.7587fc2aa55bap-4, 0x1.73c198a53963bp-4, 0x1.71f4ac4b7e857p-4, 0x1.70216690e3281p-4, 0x1.6e47f6906e685p-4, 0x1.6c688b0a7b8d5p-4, 0x1.6a8352628bd56p-4, 0x1.68987a9d29dacp-4, 0x1.66a8315ddf704p-4, 0x1.64b2a3e53bdb4p-4, 0x1.62b7ff0eef564p-4, 0x1.60b86f4ff6c33p-4, 0x1.5eb420b4db3e8p-4, 0x1.5cab3edffff29p-4, 0x1.5a9df50803cbcp-4, 0x1.588c6df63849p-4, 0x1.5676d405238ecp-4, 0x1.545d511f13b71p-4, 0x1.52400ebccac36p-4, 0x1.501f35e435fd3p-4, 0x1.4dfaef27317ap-4, 0x1.4bd362a26af05p-4, 0x1.49a8b7fc40ad7p-4, 0x1.477b1663c522bp-4, 0x1.454aa48fc0dd7p-4, 0x1.431788bdd6193p-4, 0x1.40e1e8b19e831p-4, 0x1.3ea9e9b3ee763p-4, 0x1.3c6fb09217b14p-4, 0x1.3a33619d4127bp-4, 0x1.37f520a9d11f6p-4, 0x1.35b5110ed8e3p-4, 0x1.337355a5a23bcp-4, 0x1.313010c93aa17p-4, 0x1.2eeb6456116a7p-4, 0x1.2ca571a9a549ep-4, 0x1.2a5e59a244a07p-4, 0x1.28163c9ec8868p-4, 0x1.25cd3a7e74f45p-4, 0x1.238372a0d15a4p-4, 0x1.213903e598f87p-4, 0x1.1eee0cacb72cep-4, 0x1.1ca2aad64b529p-4, 0x1.1a56fbc2b53ecp-4, 0x1.180b1c52b9ab9p-4, 0x1.15bf28e7a7b09p-4, 0x1.13733d6389aacp-4, 0x1.1127752967bc7p-4, 0x1.0edbeb1d89984p-4, 0x1.0c90b9a5d3377p-4, 0x1.0a45faaa164d8p-4, 0x1.07fbc794822afp-4, 0x1.05b239520fc19p-4, 0x1.03696852fb07p-4, 0x1.01216c8b4632p-4, 0x1.fdb4bae68c93ap-5, 0x1.f928a4106675bp-5, 0x1.f49ec1999521dp-5, 0x1.f0173f93d75e8p-5, 0x1.eb92491e97908p-5, 0x1.e710086847003p-5, 0x1.e290a6afdd01cp-5, 0x1.de144c4654b56p-5, 0x1.d99b209045deep-5, 0x1.d5254a077f7fcp-5, 0x1.d0b2ee3cb2a06p-5, 0x1.cc4431d938e55p-5, 0x1.c7d938a0c3eb3p-5, 0x1.c372257343869p-5, 0x1.bf0f1a4eb0ebap-5, 0x1.bab03850fe139p-5, 0x1.b6559fba06304p-5, 0x1.b1ff6fed841b3p-5, 0x1.adadc77513521p-5, 0x1.a960c40246c48p-5, 0x1.a5188270b56d6p-5, 0x1.a0d51ec819ebfp-5, 0x1.9c96b43e78184p-5, 0x1.985d5d3a4839p-5, 0x1.94293354ae895p-5, 0x1.8ffa4f5ba8e52p-5, 0x1.8bd0c95463833p-5, 0x1.87acb87d66a12p-5, 0x1.838e3350f247p-5, 0x1.7f754f874e148p-5, 0x1.7b6222191312ap-5, 0x1.7754bf418cbe8p-5, 0x1.734d3a81168f3p-5, 0x1.6f4ba69f7ec28p-5, 0x1.6b5015ae627b1p-5, 0x1.675a990b984a5p-5, 0x1.636b4163a4efap-5, 0x1.5f821eb415591p-5, 0x1.5b9f404dfa6cp-5, 0x1.57c2b4d852dafp-5, 0x1.53ec8a5286ee2p-5, 0x1.501cce16c4fadp-5, 0x1.4c538cdc9139ep-5, 0x1.4890d2bb23a75p-5, 0x1.44d4ab2bec3c8p-5, 0x1.411f210cf9419p-5, 0x1.3d703ea37be18p-5, 0x1.39c80d9e2e21ap-5, 0x1.36269717d17a6p-5, 0x1.328be3999528ep-5, 0x1.2ef7fb1d99b4ep-5, 0x1.2b6ae5114dc21p-5, 0x1.27e4a857e8164p-5, 0x1.24654b4cd223ap-5, 0x1.20ecd3c6150ap-5, 0x1.1d7b4716bafb7p-5, 0x1.1a10aa1140762p-5, 0x1.16ad0109e84a6p-5, 0x1.13504fd931c1ap-5, 0x1.0ffa99de21bc1p-5, 0x1.0cabe200a9027p-5, 0x1.09642ab3fd92fp-5, 0x1.062375f8e256dp-5, 0x1.02e9c5600778ap-5, 0x1.ff6e34189dde8p-6, 0x1.f916e96a1a53bp-6, 0x1.f2cdab50ca5a8p-6, 0x1.ec92799ad8189p-6, 0x1.e665534cfcab9p-6, 0x1.e04636a6ccbacp-6, 0x1.da3521273e076p-6, 0x1.d4320f90dee2p-6, 0x1.ce3cfdee5b06fp-6, 0x1.c855e796941cep-6, 0x1.c27cc730faf0bp-6, 0x1.bcb196b9d2e0bp-6, 0x1.b6f44f863c485p-6, 0x1.b144ea487466bp-6, 0x1.aba35f13dcf9ep-6, 0x1.a60fa56101093p-6, 0x1.a089b411b46d3p-6, 0x1.9b118174dee68p-6, 0x1.95a7034a8ac25p-6, 0x1.904a2ec7bbe75p-6, 0x1.8afaf89a2cd9dp-6, 0x1.85b954ec4356dp-6, 0x1.8085376899f93p-6, 0x1.7b5e933de60e1p-6, 0x1.76455b226ab57p-6, 0x1.71398157c2909p-6, 0x1.6c3af7ae4096dp-6, 0x1.6749af8891a83p-6, 0x1.626599df349abp-6, 0x1.5d8ea743bf9dep-6, 0x1.58c4c7e46bfc8p-6, 0x1.5407eb8f46639p-6, 0x1.4f5801b586916p-6, 0x1.4ab4f96ebe346p-6, 0x1.461ec17c1258p-6, 0x1.4195484b438f5p-6, 0x1.3d187bf9efd4p-6, 0x1.38a84a5860fcep-6, 0x1.3444a0ecc35adp-6, 0x1.2fed6cf5e34bap-6, 0x1.2ba29b6e399e7p-6, 0x1.2764190ea9269p-6, 0x1.2331d25159298p-6, 0x1.1f0bb374642b4p-6, 0x1.1af1a87caf8bp-6, 0x1.16e39d3861507p-6, 0x1.12e17d41b2271p-6, 0x1.0eeb340141645p-6, 0x1.0b00acb0e2166p-6, 0x1.0721d25dc200dp-6, 0x1.034e8feb1ebe5p-6, 0x1.ff0da028f4389p-7, 0x1.f794fae000d95p-7, 0x1.f03304e19a20cp-7, 0x1.e8e792d26c17dp-7, 0x1.e1b27919d253ap-7, 0x1.da938be654609p-7, 0x1.d38a9f31b5cf1p-7, 0x1.cc9786c549ce4p-7, 0x1.c5ba163dcc558p-7, 0x1.bef2210f7aa31p-7, 0x1.b83f7a89f63fap-7, 0x1.b1a1f5dc07a32p-7, 0x1.ab1966174e8e2p-7, 0x1.a4a59e33f0fafp-7, 0x1.9e46711422a6p-7, 0x1.97fbb187a154fp-7, 0x1.91c5324f0dedbp-7, 0x1.8ba2c61f50d04p-7, 0x1.85943fa4adf8p-7, 0x1.7f9971862d8dfp-7, 0x1.79b22e686843dp-7, 0x1.73de48f0c2dcep-7, 0x1.6e1d93c82b0dap-7, 0x1.686fe19e17e91p-7, 0x1.62d5052b43ef3p-7, 0x1.5d4cd1345a71bp-7, 0x1.57d7188ca38f9p-7, 0x1.5273ae1896dc1p-7, 0x1.4d2264d050776p-7, 0x1.47e30fc20e98ep-7, 0x1.42b5821488ae2p-7, 0x1.3d998f0926f2ap-7, 0x1.388f09fe508cep-7, 0x1.3395c671a7ef2p-7, 0x1.2ead9801f2ebbp-7, 0x1.29d652713ee0ap-7, 0x1.250fc9a6e4cdcp-7, 0x1.2059d1b177999p-7, 0x1.1bb43ec86e809p-7, 0x1.171ee54e28e2bp-7, 0x1.129999d1829a4p-7, 0x1.0e24310fa36e9p-7, 0x1.09be7ff574986p-7, 0x1.05685ba155bfap-7, 0x1.0121996492133p-7, 0x1.f9d41d89a0e9bp-8, 0x1.f18322fb11222p-8, 0x1.e94fef0286f1fp-8, 0x1.e13a2df61169fp-8, 0x1.d9418c9f07695p-8, 0x1.d165b83c89f16p-8, 0x1.c9a65e85e3919p-8, 0x1.c2032dac88f8bp-8, 0x1.ba7bd45e62246p-8, 0x1.b31001c7bd27p-8, 0x1.abbf65954ba08p-8, 0x1.a489aff5e90aap-8, 0x1.9d6e919c7e4c8p-8, 0x1.966dbbc1a2df8p-8, 0x1.8f86e02503b11p-8, 0x1.88b9b10f2f107p-8, 0x1.8205e152d4b88p-8, 0x1.7b6b244e2bd8cp-8, 0x1.74e92dec5a3f2p-8, 0x1.6e7fb2a68ef15p-8, 0x1.682e6784f0962p-8, 0x1.61f5022019baep-8, 0x1.5bd338a1b9446p-8, 0x1.55c8c1c596842p-8, 0x1.4fd554daaf32dp-8, 0x1.49f8a9c3952b9p-8, 0x1.443278f76b2f9p-8, 0x1.3e827b828ee9p-8, 0x1.38e86b070ffb2p-8, 0x1.336401bd52b3ep-8, 0x1.2df4fa74a8e3p-8, 0x1.289b10936e8fep-8, 0x1.23560017d72b9p-8, 0x1.1e258597d31b8p-8, 0x1.19095e41b0ba4p-8, 0x1.140147dc0a53ep-8, 0x1.0f0d00c612fdap-8, 0x1.0a2c47f7c30f5p-8, 0x1.055edd01eafedp-8, 0x1.00a4800e0bf81p-8, 0x1.f7f9e3bce2f51p-9, 0x1.eecfe79c75d5fp-9, 0x1.e5ca8fa24e718p-9, 0x1.dce960e6a4e09p-9, 0x1.d42be1b27c599p-9, 0x1.cb91997f2125bp-9, 0x1.c31a10f54a43ap-9, 0x1.bac4d1ece8fdbp-9, 0x1.b291676c3647ep-9, 0x1.aa7f5da712df8p-9, 0x1.a28e41fe42d2bp-9, 0x1.9abda2feb8cbap-9, 0x1.930d1060552edp-9, 0x1.8b7c1b0521a2dp-9, 0x1.840a54f827439p-9, 0x1.7cb7516c9dc72p-9, 0x1.7582a4bc2f538p-9, 0x1.6e6be46698ca5p-9, 0x1.6772a70fa46fbp-9, 0x1.6096847e8df9ap-9, 0x1.59d7159bff772p-9, 0x1.5333f471109b9p-9, 0x1.4cacbc25ef582p-9, 0x1.464108ffd4e14p-9, 0x1.3ff07860584acp-9, 0x1.39baa8c34d088p-9, 0x1.339f39bd48a0cp-9, 0x1.2d9dcbfa2b2f9p-9, 0x1.27b6013b215e4p-9, 0x1.21e77c556b639p-9, 0x1.1c31e1302f213p-9, 0x1.1694d4c321dep-9, 0x1.110ffd146365cp-9, 0x1.0ba301371c808p-9, 0x1.064d89492eb9ap-9, 0x1.010f3e71cd366p-9, 0x1.f7cf95be7e20cp-10, 0x1.edadb38a7ea0ep-10, 0x1.e3b82eb5aa7bcp-10, 0x1.d9ee61b1bc03ap-10, 0x1.d04fa8eec0361p-10, 0x1.c6db62d8d526p-10, 0x1.bd90efd28e76p-10, 0x1.b46fb2322b86p-10, 0x1.ab770e3d1326dp-10, 0x1.a2a66a23f16efp-10, 0x1.99fd2dfe36ce2p-10, 0x1.917ac3c741d97p-10, 0x1.891e975867721p-10, 0x1.80e81666a28c8p-10, 0x1.78d6b07cf8aa9p-10, 0x1.70e9d6f9b90b8p-10, 0x1.6920fd08c3dfdp-10, 0x1.617b97a13a10ap-10, 0x1.59f91d7fa4ed1p-10, 0x1.52990722e68a1p-10, 0x1.4b5acec73e1d7p-10, 0x1.443df062a17e9p-10, 0x1.3d41e9a0b813fp-10, 0x1.366639dd82db1p-10, 0x1.2faa6222ea688p-10, 0x1.290de52354ec6p-10, 0x1.2290473595dd4p-10, 0x1.1c310e5175a29p-10, 0x1.15efc20a6a802p-10, 0x1.0fcbeb8cbf00cp-10, 0x1.09c51597dfec1p-10, 0x1.03dacc7bead67p-10, 0x1.fc193c28368d5p-11, 0x1.f0b433874874fp-11, 0x1.e585a0e1e5c33p-11, 0x1.da8ca9044d43p-11, 0x1.cfc873b08205ep-11, 0x1.c5382b979d992p-11, 0x1.badafe50c93ap-11, 0x1.b0b01c5164541p-11, 0x1.a6b6b8e56a461p-11, 0x1.9cee0a270ac9cp-11, 0x1.935548f68caafp-11, 0x1.89ebb0f2d1459p-11, 0x1.80b080714bba9p-11, 0x1.77a2f875de05ap-11, 0x1.6ec25cab54604p-11, 0x1.660df35ba077ap-11, 0x1.5d85056841383p-11, 0x1.5526de42fc90dp-11, 0x1.4cf2cbe471beap-11, 0x1.44e81ec74e118p-11, 0x1.3d0629de63d21p-11, 0x1.354c428eae952p-11, 0x1.2db9c0a6d4718p-11, 0x1.264dfe58e56c3p-11, 0x1.1f08583268f7cp-11, 0x1.17e82d1517b75p-11, 0x1.10ecde2ff6158p-11, 0x1.0a15cef810f4ap-11, 0x1.03626520ab9b8p-11, 0x1.f9a4112b8dba9p-12, 0x1.ecc846e770c19p-12, 0x1.e0304402396d7p-12, 0x1.d3dae54ef27c4p-12, 0x1.c7c70bd995d91p-12, 0x1.bbf39cd8da341p-12, 0x1.b05f81a1b89bbp-12, 0x1.a509a79942a31p-12, 0x1.99f100279f85cp-12, 0x1.8f1480abc0234p-12, 0x1.8473226d193a1p-12, 0x1.7a0be29176f8dp-12, 0x1.6fddc20d3eb94p-12, 0x1.65e7c598f4a7cp-12, 0x1.5c28f5a2e0608p-12, 0x1.52a05e459097fp-12, 0x1.494d0f393f50dp-12, 0x1.402e1bc7df771p-12, 0x1.37429ac2dbba4p-12, 0x1.2e89a6763d1f5p-12, 0x1.26025c9c95ee3p-12, 0x1.1dabde53ceb4p-12, 0x1.15855011eec46p-12, 0x1.0d8dd99952cfep-12, 0x1.05c4a5ed9645dp-12, 0x1.fc51c691ebb65p-13, 0x1.ed73861f511bp-13, 0x1.deecf38f37b12p-13, 0x1.d0bc7e166acdcp-13, 0x1.c2e09b013f2d7p-13, 0x1.b557c59baff7bp-13, 0x1.a8207f1d58bf9p-13, 0x1.9b394e96b593dp-13, 0x1.8ea0c0da0e462p-13, 0x1.82556868a1c3bp-13, 0x1.7655dd5db4ffbp-13, 0x1.6aa0bd5e424fbp-13, 0x1.5f34ab8223bf9p-13, 0x1.5410504167d96p-13, 0x1.4932596166794p-13, 0x1.3e9979e43938bp-13, 0x1.344469f2c26f6p-13, 0x1.2a31e6cc9c836p-13, 0x1.2060b2b417842p-13, 0x1.16cf94df69229p-13, 0x1.0d7d596430b37p-13, 0x1.0468d127fa371p-13, 0x1.f721a3995ae3fp-14, 0x1.e5e86b44cca9p-14, 0x1.d523b725a0e91p-14, 0x1.c4d14e2bc7b27p-14, 0x1.b4ef0036d65ccp-14, 0x1.a57aa5fea8f44p-14, 0x1.967220f28cb4fp-14, 0x1.87d35b133829p-14, 0x1.799c46d959834p-14, 0x1.6bcadf168b35cp-14, 0x1.5e5d26d5501cfp-14, 0x1.5151293afb481p-14, 0x1.44a4f96a8f17cp-14, 0x1.3856b264fd257p-14, 0x1.2c6476f258841p-14, 0x1.20cc71815bed6p-14, 0x1.158cd409032cbp-14, 0x1.0aa3d7f249b59p-14, 0x1.000fbdf8149cfp-14, 0x1.eb9d9c1df868dp-15, 0x1.d7beae9078e7dp-15, 0x1.c47f5f756c1a5p-15, 0x1.b1dc68ca82c64p-15, 0x1.9fd2922d9c826p-15, 0x1.8e5eb0abaf6cep-15, 0x1.7d7da68d48df8p-15, 0x1.6d2c63236df96p-15, 0x1.5d67e29e5b38ep-15, 0x1.4e2d2dd0de978p-15, 0x1.3f795a0b8c88p-15, 0x1.314988efc1ea5p-15, 0x1.239ae8379c9f4p-15, 0x1.166ab18cd73bdp-15, 0x1.09b62a5ecfcefp-15, 0x1.faf5476eaa672p-16, 0x1.e36af4130e6d8p-16, 0x1.ccc82a1749793p-16, 0x1.b707cf189b9c9p-16, 0x1.a224de8843e6dp-16, 0x1.8e1a695e1ab75p-16, 0x1.7ae395d26cfc5p-16, 0x1.687b9effd09cdp-16, 0x1.56ddd497f5e2fp-16, 0x1.46059a97c350dp-16, 0x1.35ee68fd21cdfp-16, 0x1.2693cb738340dp-16, 0x1.17f1610cc8cf5p-16, 0x1.0a02dbfd840c5p-16, 0x1.f988029736e1cp-17, 0x1.e0615116346c9p-17, }}, 
      {{0x1.d8ab18c3c1cb3p-10, 0x1.d8a6629f50a81p-9, 0x1.6275e638b9147p-8, 0x1.d88da2afe4ca4p-8, 0x1.274940367463p-7, 0x1.623cb4bd825b5p-7, 0x1.9d19ded4dc361p-7, 0x1.d7d79238c7e12p-7, 0x1.09356134ce63ep-6, 0x1.2663471a036d4p-6, 0x1.436e2bd2e6fd8p-6, 0x1.604df2cf0321dp-6, 0x1.7cf9c641725f1p-6, 0x1.99682dfe2f37p-6, 0x1.b58f27ed10afp-6, 0x1.d1644147b328ap-6, 0x1.ecdcaff5e2bfap-6, 0x1.03f6b5bccee24p-5, 0x1.1145a27c2e7b2p-5, 0x1.1e557f049aa23p-5, 0x1.2b20af042e2e7p-5, 0x1.37a1a2e2d7fc8p-5, 0x1.43d2e0bb5d95cp-5, 0x1.4faf0c71e1833p-5, 0x1.5b30eee9be166p-5, 0x1.66537c610dd19p-5, 0x1.7111d9fb5132dp-5, 0x1.7b676286decadp-5, 0x1.854faa89ae2d2p-5, 0x1.8ec683a2ca865p-5, 0x1.97c7ff4d53973p-5, 0x1.a0507111ca54ep-5, 0x1.a85c7031a53fep-5, 0x1.afe8d8d85b0cdp-5, 0x1.b6f2ccdc65765p-5, 0x1.bd77b419ddf1ap-5, 0x1.c3753c6fd266fp-5, 0x1.c8e9596882eap-5, 0x1.cdd2439470429p-5, 0x1.d22e779fa683dp-5, 0x1.d5fcb52813166p-5, 0x1.d93bfd5b9e046p-5, 0x1.dbeb916450914p-5, 0x1.de0af0a89a27p-5, 0x1.df99d6e5870fep-5, 0x1.e0983a286c95bp-5, 0x1.e10648ad86bbep-5, 0x1.e0e466a870033p-5, 0x1.e0332bfb7a9cep-5, 0x1.def361e24b522p-5, 0x1.dd2600943c0b4p-5, 0x1.dacc2ce24191ap-5, 0x1.d7e735d42ca78p-5, 0x1.d4789248a52fdp-5, 0x1.d081de9ac350cp-5, 0x1.cc04da5022697p-5, 0x1.c70365d1c1853p-5, 0x1.c17f8031bde57p-5, 0x1.bb7b44ffb920fp-5, 0x1.b4f8ea2d51b84p-5, 0x1.adfabe03ed3f8p-5, 0x1.a683252cb1c7p-5, 0x1.9e9498cb651d7p-5, 0x1.9631a4ac9b799p-5, 0x1.8d5ce587872c6p-5, 0x1.84190753592bdp-5, 0x1.7a68c3b03a8e2p-5, 0x1.704ee0638e637p-5, 0x1.65ce2de7185b1p-5, 0x1.5ae9860aaa42cp-5, 0x1.4fa3caa7bac0ap-5, 0x1.43ffe466382cp-5, 0x1.3800c192198ebp-5, 0x1.2ba95500d4054p-5, 0x1.1efc95060275p-5, 0x1.11fd7a768e43cp-5, 0x1.04aeffb99733fp-5, 0x1.ee283fccc8fa3p-6, 0x1.d25fabdd1f165p-6, 0x1.b60a37a7bda36p-6, 0x1.992dd3d20cc81p-6, 0x1.7bd06c396ca6bp-6, 0x1.5df7e69cc834p-6, 0x1.3faa215856f34p-6, 0x1.20ecf2329e55p-6, 0x1.01c62539a69f3p-6, 0x1.c476f75f045ebp-7, 0x1.84a5560a84c9dp-7, 0x1.4422b7c759c35p-7, 0x1.02fa5281b3bcdp-7, 0x1.826e7e094398fp-8, 0x1.fb91dd5708f22p-9, 0x1.e066a93b7ea6p-10, -0x1.d13be7c9442ebp-13, -0x1.2c1909150c39cp-9, -0x1.1e59651f47f53p-8, -0x1.a75bebf7eff45p-8, -0x1.187fe8e9bb297p-7, -0x1.5d988fb032408p-7, -0x1.a2ee17a2fd78bp-7, -0x1.e876d8047bb5p-7, -0x1.1714a973de08cp-6, -0x1.39fe1b007c75ep-6, -0x1.5cf32db2ed4cdp-6, -0x1.7fef651ec61c7p-6, -0x1.a2ee5bb054d03p-6, -0x1.c5ebc2f4cfed7p-6, -0x1.e8e363dad044dp-6, -0x1.05e88f7595a81p-5, -0x1.1758763d3b5c1p-5, -0x1.28bf6e698ee46p-5, -0x1.3a1b8c2c2bd26p-5, -0x1.4b6aefd1110d7p-5, -0x1.5cabc5c92305ap-5, -0x1.6ddc46b15f02cp-5, -0x1.7efab756b0c93p-5, -0x1.900568b6ababcp-5, -0x1.a0fab7fd189dcp-5, -0x1.b1d90e7e87b65p-5, -0x1.c29ee1afe146dp-5, -0x1.d34ab31b33081p-5, -0x1.e3db1051bbd58p-5, -0x1.f44e92db47e79p-5, -0x1.0251f01187eeep-4, -0x1.0a6cd4b10e875p-4, -0x1.127755c3b33e6p-4, -0x1.1a70d78ed5545p-4, -0x1.2258c41795f35p-4, -0x1.2a2e8b13ba149p-4, -0x1.31f1a1d98ff27p-4, -0x1.39a1834efa29bp-4, -0x1.413dafd7a1c39p-4, -0x1.48c5ad4253e9ep-4, -0x1.503906b5b3e7ap-4, -0x1.57974c9c35da7p-4, -0x1.5ee0148f7898ep-4, -0x1.6612f943149e7p-4, -0x1.6d2f9a6edab5fp-4, -0x1.74359cb89f967p-4, -0x1.7b24a99d9c8a2p-4, -0x1.81fc6f5b68a46p-4, -0x1.88bca0d8a4e99p-4, -0x1.8f64f58d5c1dcp-4, -0x1.95f5296b252d7p-4, -0x1.9c6cfcc514276p-4, -0x1.a2cc34378238ep-4, -0x1.a912988fb7ef2p-4, -0x1.af3ff6b38a47p-4, -0x1.b5541f88d7b7dp-4, -0x1.bb4ee7dd22f9ap-4, -0x1.c130284d16ec9p-4, -0x1.c6f7bd2c32f6dp-4, -0x1.cca5866c79246p-4, -0x1.d239678644bdap-4, -0x1.d7b3476045cf5p-4, -0x1.dd131037ac32p-4, -0x1.e258af8873febp-4, -0x1.e78415f602effp-4, -0x1.ec953733eab44p-4, -0x1.f18c09eefc2d6p-4, -0x1.f66887b69d894p-4, -0x1.fb2aace66c001p-4, -0x1.ffd2789025b39p-4, -0x1.022ff632f946cp-3, -0x1.046986527e243p-3, -0x1.0695f0002d749p-3, -0x1.08b537c633a15p-3, -0x1.0ac7635530f4bp-3, -0x1.0ccc797a40183p-3, -0x1.0ec482152b31fp-3, -0x1.10af860ed4e7p-3, -0x1.128d8f4fd3819p-3, -0x1.145ea8b738f3p-3, -0x1.1622de119a2abp-3, -0x1.17da3c103e02bp-3, -0x1.1984d0408476ep-3, -0x1.1b22a9038384fp-3, -0x1.1cb3d585d62f4p-3, -0x1.1e3865b79cc1ep-3, -0x1.1fb06a44b3a09p-3, -0x1.211bf48d1d19bp-3, -0x1.227b169d9b995p-3, -0x1.23cde32881852p-3, -0x1.25146d7eadf3bp-3, -0x1.264ec988c534bp-3, -0x1.277d0bc08ba68p-3, -0x1.289f492a7a9a6p-3, -0x1.29b5974f84b7ap-3, -0x1.2ac00c37065a3p-3, -0x1.2bbebe60df48cp-3, -0x1.2cb1c4bfc759dp-3, -0x1.2d9936b3bf3e3p-3, -0x1.2e752c04b8b65p-3, -0x1.2f45bcdd657b7p-3, -0x1.300b01c62bfb1p-3, -0x1.30c513a04ab1bp-3, -0x1.31740ba122389p-3, -0x1.3218034da4461p-3, -0x1.32b11475ea422p-3, -0x1.333f5930ef0a8p-3, -0x1.33c2ebd86da89p-3, -0x1.343be704e5d97p-3, -0x1.34aa6589c0413p-3, -0x1.350e827190858p-3, -0x1.356858fa7c5a8p-3, -0x1.35b80492c31aep-3, -0x1.35fda0d55d1fep-3, -0x1.36394986bd67ap-3, -0x1.366b1a91af60bp-3, -0x1.369330044f198p-3, -0x1.36b1a60d1a10cp-3, -0x1.36c698f81dedap-3, -0x1.36d2252c3d35bp-3, -0x1.36d467288bc2fp-3, -0x1.36cd7b81c3da5p-3, -0x1.36bd7edfd1402p-3, -0x1.36a48dfb70879p-3, -0x1.3682c59be37e7p-3, -0x1.36584294bab52p-3, -0x1.362521c3b17fcp-3, -0x1.35e9800e99cbfp-3, -0x1.35a57a615ed5fp-3, -0x1.35592dac134c7p-3, -0x1.3504b6e115727p-3, -0x1.34a832f33c0cbp-3, -0x1.3443bed41b0ecp-3, -0x1.33d777724aebfp-3, -0x1.336379b7cb2cep-3, -0x1.32e7e2886b2dp-3, -0x1.3264cec039007p-3, -0x1.31da5b320abd8p-3, -0x1.3148a4a60c2bfp-3, -0x1.30afc7d851bafp-3, -0x1.300fe1778337ap-3, -0x1.2f690e23821d3p-3, -0x1.2ebb6a6c2b29dp-3, -0x1.2e0712d00c83fp-3, -0x1.2d4c23bb36438p-3, -0x1.2c8ab9860e7f5p-3, -0x1.2bc2f074255aep-3, -0x1.2af4e4b31e303p-3, -0x1.2a20b25997d87p-3, -0x1.294675661bfe8p-3, -0x1.286649be1d65p-3, -0x1.27804b2cf0e56p-3, -0x1.26949562d6449p-3, -0x1.25a343f4048c1p-3, -0x1.24ac7257bc8b3p-3, -0x1.23b03be75c3ap-3, -0x1.22aebbdd810f7p-3, -0x1.21a80d5527b4fp-3, -0x1.209c4b48d3a3ep-3, -0x1.1f8b9091bc0a4p-3, -0x1.1e75f7e6fd15ep-3, -0x1.1d5b9bdccda47p-3, -0x1.1c3c96e3b95a6p-3, -0x1.1b190347e1c29p-3, -0x1.19f0fb303ccaep-3, -0x1.18c4989ddf913p-3, -0x1.1793f56b4a113p-3, -0x1.165f2b4bb2d2cp-3, -0x1.152653ca5c45p-3, -0x1.13e98849eafa5p-3, -0x1.12a8e203bf69ap-3, -0x1.11647a0755d79p-3, -0x1.101c6939a55e6p-3, -0x1.0ed0c85485ffap-3, -0x1.0d81afe61a3a4p-3, -0x1.0c2f385039822p-3, -0x1.0ad979c7dffe8p-3, -0x1.09808c54a0ebfp-3, -0x1.082487d01e457p-3, -0x1.06c583e57eab3p-3, -0x1.05639810ec154p-3, -0x1.03fedb9f160abp-3, -0x1.029765acadb07p-3, -0x1.012d4d25f3704p-3, -0x1.ff81518c74219p-4, -0x1.fca31e2eeep-4, -0x1.f9c02ce3a53a5p-4, -0x1.f6d8a9f671062p-4, -0x1.f3ecc14dd87p-4, -0x1.f0fc9e6a529a7p-4, -0x1.ee086c65701ddp-4, -0x1.eb1055f125d54p-4, -0x1.e81485570998fp-4, -0x1.e5152477a251ep-4, -0x1.e2125cc9bd54fp-4, -0x1.df0c5759c0398p-4, -0x1.dc033cc90e098p-4, -0x1.d8f7354d6aaf8p-4, -0x1.d5e868b063abcp-4, -0x1.d2d6fe4ec89e7p-4, -0x1.cfc31d18204d5p-4, -0x1.ccaceb8e2675p-4, -0x1.c9948fc455eacp-4, -0x1.c67a2f5f70fc3p-4, -0x1.c35def95161f6p-4, -0x1.c03ff52b58273p-4, -0x1.bd2064785d822p-4, -0x1.b9ff61620a06p-4, -0x1.b6dd0f5da6fa8p-4, -0x1.b3b9916f93eebp-4, -0x1.b0950a2b0ae8dp-4, -0x1.ad6f9bb1d2feap-4, -0x1.aa4967b410d55p-4, -0x1.a7228f7011db3p-4, -0x1.a3fb33b21942bp-4, -0x1.a0d374d440588p-4, -0x1.9dab72be56d88p-4, -0x1.9a834ce5c6c88p-4, -0x1.975b224d7e4d3p-4, -0x1.94331185ec26p-4, -0x1.910b38acf0b89p-4, -0x1.8de3b56de32bp-4, -0x1.8abca5019542ap-4, -0x1.8796242e600eap-4, -0x1.84704f48379cp-4, -0x1.814b4230c25b5p-4, -0x1.7e27185778174p-4, -0x1.7b03ecb9ca107p-4, -0x1.77e1d9e348d0bp-4, -0x1.74c0f9edda86bp-4, -0x1.71a16681ec754p-4, -0x1.6e8338d6b491ep-4, -0x1.6b6689b270ac8p-4, -0x1.684b716ab0acbp-4, -0x1.653207e4a58f1p-4, -0x1.621a6495708f1p-4, -0x1.5f049e8282addp-4, -0x1.5bf0cc41f6106p-4, -0x1.58df03faf3ae8p-4, -0x1.55cf5b66200adp-4, -0x1.52c1e7ce04666p-4, -0x1.4fb6be0f87428p-4, -0x1.4cadf29a653c3p-4, -0x1.49a79971ac8bap-4, -0x1.46a3c62c409b1p-4, -0x1.43a28bf565015p-4, -0x1.40a3fd8d4902fp-4, -0x1.3da82d49966c1p-4, -0x1.3aaf2d160c328p-4, -0x1.37b90e751567p-4, -0x1.34c5e2806c766p-4, -0x1.31d5b9e9ba322p-4, -0x1.2ee8a4fb4237fp-4, -0x1.2bfeb3988b4ccp-4, -0x1.2917f53f11387p-4, -0x1.26347906f971cp-4, -0x1.23544da3c98c7p-4, -0x1.2077816525385p-4, -0x1.1d9e22378c6d3p-4, -0x1.1ac83da51e83ap-4, -0x1.17f5e0d6601e9p-4, -0x1.1527189308a55p-4, -0x1.125bf142cc38fp-4, -0x1.0f9476ee2cb2ep-4, -0x1.0cd0b53f4f63fp-4, -0x1.0a10b782d16a7p-4, -0x1.075488a8a3124p-4, -0x1.049c3344e334cp-4, -0x1.01e7c190bf85ap-4, -0x1.fe6e7ad6a9656p-5, -0x1.f91560b52849fp-5, -0x1.f3c4471851672p-5, -0x1.ee7b3facc40b4p-5, -0x1.e93a5b723bb07p-5, -0x1.e401aabd6e248p-5, -0x1.ded13d39e198ep-5, -0x1.d9a921ebdaa02p-5, -0x1.d48967323aaf5p-5, -0x1.cf721ac869889p-5, -0x1.ca6349c8400d6p-5, -0x1.c55d00ac006fbp-5, -0x1.c05f4b503dd9cp-5, -0x1.bb6a34f5d661bp-5, -0x1.b67dc843eb3a9p-5, -0x1.b19a0f49d5baep-5, -0x1.acbf1381263d6p-5, -0x1.a7ecddcfa1f2ep-5, -0x1.a32376893ef2bp-5, -0x1.9e62e5722645ap-5, -0x1.99ab31c0b5f11p-5, -0x1.94fc621f83025p-5, -0x1.90567caf5f1e7p-5, -0x1.8bb987095b9bbp-5, -0x1.87258640cad85p-5, -0x1.829a7ee54ffefp-5, -0x1.7e187504d954p-5, -0x1.799f6c2dad82fp-5, -0x1.752f67706eb82p-5, -0x1.70c86962208a6p-5, -0x1.6c6a741e2cd71p-5, -0x1.681589486951ap-5, -0x1.63c9aa0f1babap-5, -0x1.5f86d72cf9dd3p-5, -0x1.5b4d10eb2e4cep-5, -0x1.571c572358727p-5, -0x1.52f4a9418dd3cp-5, -0x1.4ed6064652364p-5, -0x1.4ac06cc89c203p-5, -0x1.46b3daf7c9df8p-5, -0x1.42b04e9d9ce58p-5, -0x1.3eb5c520308fbp-5, -0x1.3ac43b83eed45p-5, -0x1.36dbae6d80b5ep-5, -0x1.32fc1a23c12d4p-5, -0x1.2f257a91ab80fp-5, -0x1.2b57cb4841843p-5, -0x1.279307807b56fp-5, -0x1.23d72a1d26f59p-5, -0x1.20242daccdc47p-5, -0x1.1c7a0c6b952e3p-5, -0x1.18d8c0451892ap-5, -0x1.154042d64443fp-5, -0x1.11b08d6f2ae3p-5, -0x1.0e299914d9accp-5, -0x1.0aab5e8326cd1p-5, -0x1.0735d62e7a103p-5, -0x1.03c8f8459c9dbp-5, -0x1.0064bcb374fefp-5, -0x1.fa12364197305p-6, -0x1.f36c15ec0ec67p-6, -0x1.ecd706b9c8aa8p-6, -0x1.e652f68459de7p-6, -0x1.dfdfd2aec521p-6, -0x1.d97d8828e380ap-6, -0x1.d32c0372abdb3p-6, -0x1.cceb309f83838p-6, -0x1.c6bafb596dd44p-6, -0x1.c09b4ee451939p-6, -0x1.ba8c162123986p-6, -0x1.b48d3b9101f5bp-6, -0x1.ae9ea9585f544p-6, -0x1.a8c0494206306p-6, -0x1.a2f204c22b932p-6, -0x1.9d33c4f96bfaap-6, -0x1.978572b7c78e6p-6, -0x1.91e6f67f817a1p-6, -0x1.8c5838881951p-6, -0x1.86d920c111c79p-6, -0x1.816996d4cbd53p-6, -0x1.7c09822b4cb91p-6, -0x1.76b8c9ecfdaaap-6, -0x1.717755055aa5cp-6, -0x1.6c450a25a1ebbp-6, -0x1.6721cfc771ebep-6, -0x1.620d8c2f63a88p-6, -0x1.5d08256f93833p-6, -0x1.5811816a28a17p-6, -0x1.532985d3cef24p-6, -0x1.4e50183623215p-6, -0x1.49851df21dd55p-6, -0x1.44c87c4270dc2p-6, -0x1.401a183dd372cp-6, -0x1.3b79d6d9515edp-6, -0x1.36e79cea8652fp-6, -0x1.32634f29d89fep-6, -0x1.2decd234a51e2p-6, -0x1.29840a8f56af9p-6, -0x1.2528dca78bd3bp-6, -0x1.20db2cd6217f1p-6, -0x1.1c9adf6136e83p-6, -0x1.1867d87e29983p-6, -0x1.1441fc538a70bp-6, -0x1.10292efb03ebdp-6, -0x1.0c1d54833e3eep-6, -0x1.081e50f1adad3p-6, -0x1.042c0844667bcp-6, -0x1.00465e73dde51p-6, -0x1.f8da6ee9496fap-7, -0x1.f140ee7233074p-7, -0x1.e9c0036617fddp-7, -0x1.e25775aacc1b7p-7, -0x1.db070d2b71465p-7, -0x1.d3ce91db957ddp-7, -0x1.ccadcbba442bp-7, -0x1.c5a482d4f87b5p-7, -0x1.beb27f4a83101p-7, -0x1.b7d7894ddbfa5p-7, -0x1.b1136928e9744p-7, -0x1.aa65e73f3016p-7, -0x1.a3cecc107d693p-7, -0x1.9d4de03b6f4dbp-7, -0x1.96e2ec7ff183cp-7, -0x1.908db9c1bb36bp-7, -0x1.8a4e110aa7efcp-7, -0x1.8423bb8d097f9p-7, -0x1.7e0e82a5ddc22p-7, -0x1.780e2fdf1545bp-7, -0x1.72228cf1a03e9p-7, -0x1.6c4b63c783ebdp-7, -0x1.66887e7df1654p-7, -0x1.60d9a7671d134p-7, -0x1.5b3ea90c37eebp-7, -0x1.55b74e2f38e64p-7, -0x1.504361ccb01e1p-7, -0x1.4ae2af1d7b391p-7, -0x1.459501987304dp-7, -0x1.405a24f40a3a5p-7, -0x1.3b31e527daa78p-7, -0x1.361c0e6e2a0a9p-7, -0x1.31186d456146fp-7, -0x1.2c26ce7177c78p-7, -0x1.2746fefd4567ap-7, -0x1.2278cc3bd991bp-7, -0x1.1dbc03c9bef1p-7, -0x1.1910738e2d68cp-7, -0x1.1475e9bc344c9p-7, -0x1.0fec34d3da0bdp-7, -0x1.0b7323a32ec58p-7, -0x1.070a85475256p-7, -0x1.02b2292d72171p-7, -0x1.fcd3be276666fp-8, -0x1.f462ee143ebfbp-8, -0x1.ec1182e6ee82ep-8, -0x1.e3df1e0c10fc1p-8, -0x1.dbcb6198e8a13p-8, -0x1.d3d5f04cbeea5p-8, -0x1.cbfe6d926518ap-8, -0x1.c4447d8171b74p-8, -0x1.bca7c4df6f314p-8, -0x1.b527e921232c9p-8, -0x1.adc4906b81bbap-8, -0x1.a67d6194c44edp-8, -0x1.9f5204255d2dep-8, -0x1.98422058c0715p-8, -0x1.914d5f1e5102bp-8, -0x1.8a736a1a097f4p-8, -0x1.83b3eba5236a5p-8, -0x1.7d0e8ecebafe9p-8, -0x1.7682ff5c62ac2p-8, -0x1.7010e9ca9dd23p-8, -0x1.69b7fb4d40b9fp-8, -0x1.6377e1cfe12e5p-8, -0x1.5d504bf61347dp-8, -0x1.5740e91bc4e7ap-8, -0x1.5149695555146p-8, -0x1.4b697d6fd19e6p-8, -0x1.45a0d6f0feb9cp-8, -0x1.3fef281771735p-8, -0x1.3a5423da8e48bp-8, -0x1.34cf7dea76dc4p-8, -0x1.2f60eaafe9dedp-8, -0x1.2a081f4c3544ap-8, -0x1.24c4d198f5d04p-8, -0x1.1f96b827d925fp-8, -0x1.1a7d8a42645fep-8, -0x1.1578ffe9aadfp-8, -0x1.1088d1d5d6f2fp-8, -0x1.0bacb975e88c5p-8, -0x1.06e470ef2f41ap-8, -0x1.022fb31cd84fap-8, -0x1.fb1c771ef9347p-9, -0x1.f1ff8d18f2643p-9, -0x1.e908221b05ed4p-9, -0x1.e035b17fe181p-9, -0x1.d787b8085688dp-9, -0x1.cefdb3d9f02cp-9, -0x1.c697247d97f86p-9, -0x1.be538ade2e291p-9, -0x1.b6326946ec71ap-9, -0x1.ae334361f2726p-9, -0x1.a6559e36a9a3bp-9, -0x1.9e99002818eebp-9, -0x1.96fcf0f34026dp-9, -0x1.8f80f9ad3ce91p-9, -0x1.8824a4c19bf37p-9, -0x1.80e77df0677f9p-9, -0x1.79c9124c5c744p-9, -0x1.72c8f038ee9e4p-9, -0x1.6be6a7686abdcp-9, -0x1.6521c8d9ed3c6p-9, -0x1.5e79e6d75731cp-9, -0x1.57ee94f34879bp-9, -0x1.517f68070df7bp-9, -0x1.4b2bf63062417p-9, -0x1.44f3d6cf6c357p-9, -0x1.3ed6a2847c45p-9, -0x1.38d3f32ddd716p-9, -0x1.32eb63e597a6dp-9, -0x1.2d1c90ff38d85p-9, -0x1.2767180597ea7p-9, -0x1.21ca97b85c821p-9, -0x1.1c46b009e3259p-9, -0x1.16db021cba59cp-9, -0x1.118730415d1a9p-9, -0x1.0c4addf3ecc41p-9, -0x1.0725afd989072p-9, -0x1.02174bbe391c6p-9, -0x1.fa3eb124a5d7ap-10, -0x1.f07afcd043a3bp-10, -0x1.e6e2cce2ce394p-10, -0x1.dd7575f9ec3d5p-10, -0x1.d4324ee87259cp-10, -0x1.cb18b0b166784p-10, -0x1.c227f68337e7bp-10, -0x1.b95f7db29d6f9p-10, -0x1.b0bea5b5d0d5dp-10, -0x1.a844d01f7a753p-10, -0x1.9ff16099bb393p-10, -0x1.97c3bce11833dp-10, -0x1.8fbb4cbfc3a6fp-10, -0x1.87d77a0828e68p-10, -0x1.8017b09084319p-10, -0x1.787b5e2d56efep-10, -0x1.7101f2acc19e6p-10, -0x1.69aadfd18b8bp-10, -0x1.6275994e0328p-10, -0x1.5b6194beee232p-10, -0x1.546e49a6ec539p-10, -0x1.4d9b316927a4p-10, -0x1.46e7c7449d1b8p-10, -0x1.4053884edecafp-10, -0x1.39ddf36f9641bp-10, -0x1.3386895b5abf5p-10, -0x1.2d4ccc8eb34dfp-10, -0x1.2730414996f6bp-10, -0x1.21306d89ff656p-10, -0x1.1b4cd907a4c9p-10, -0x1.15850d2ecc23bp-10, -0x1.0fd8951b730dep-10, -0x1.0a46fd94e78f1p-10, -0x1.04cfd50879b87p-10, -0x1.fee5570a7b32fp-11, -0x1.f45e256dcff26p-11, -0x1.ea093bc2e5d12p-11, -0x1.dfe5c3b868b54p-11, -0x1.d5f2ea1aa0527p-11, -0x1.cc2fdeca37d3ap-11, -0x1.c29bd4b307ffp-11, -0x1.b93601c2b48abp-11, -0x1.affd9edfd0529p-11, -0x1.a6f1e7e0f3991p-11, -0x1.9e121b834022fp-11, -0x1.955d7b6257858p-11, -0x1.8cd34bee74131p-11, -0x1.8472d4645c024p-11, -0x1.7c3b5ec43d5bap-11, -0x1.742c37c95c731p-11, -0x1.6c44aee0de7efp-11, -0x1.6484162200f9fp-11, -0x1.5ce9c244e7d47p-11, -0x1.55750a9a8a148p-11, -0x1.4e2549046782dp-11, -0x1.46f9d9ebe9014p-11, -0x1.3ff21c3a8d571p-11, -0x1.390d7151416b6p-11, -0x1.324b3d00cd058p-11, -0x1.2baae5818025bp-11, -0x1.252bd36b2137dp-11, -0x1.1ecd71ad309e7p-11, -0x1.188f2d87186c7p-11, -0x1.1270768094a47p-11, -0x1.0c70be616fa78p-11, -0x1.068f792a93ca8p-11, -0x1.00cc1d0e1574ep-11, -0x1.f64c44cf51c4ap-12, -0x1.eb3a076b3bc1p-12, -0x1.e0607b222f47cp-12, -0x1.d5be9d4e09d56p-12, -0x1.cb536f62273ep-12, -0x1.c11df6dbfc93dp-12, -0x1.b71d3d36482e4p-12, -0x1.ad504fda38a03p-12, -0x1.a3b640120e6f2p-12, -0x1.9a4e22faea91ep-12, -0x1.911711780452dp-12, -0x1.881028247d36p-12, -0x1.7f3887467f708p-12, -0x1.768f52c1c0189p-12, -0x1.6e13b20ae4518p-12, -0x1.65c4d01a55001p-12, -0x1.5da1db5ff252cp-12, -0x1.55aa05b6093dap-12, -0x1.4ddc845524bbbp-12, -0x1.46388fc777087p-12, -0x1.3ebd63dce32d5p-12, -0x1.376a3f9f4f845p-12, -0x1.303e6545c3485p-12, -0x1.29391a298bdc5p-12, -0x1.2259a6ba6d147p-12, -0x1.1b9f56727851fp-12, -0x1.150977cc13dfdp-12, -0x1.0e975c34c6fefp-12, -0x1.0848580434e75p-12, -0x1.021bc26f692ecp-12, -0x1.f821eafe8ac04p-13, -0x1.ec4e9c0a4a047p-13, -0x1.e0bc57207487bp-13, -0x1.d569e0c72548cp-13, -0x1.ca5602d68fe13p-13, -0x1.bf7f8c653d2dap-13, -0x1.b4e551b322534p-13, -0x1.aa862c16ed6c2p-13, -0x1.a060f9e9d7e62p-13, -0x1.96749e7371adbp-13, -0x1.8cc001d7ca86fp-13, -0x1.83421103613fcp-13, -0x1.79f9bd997cc64p-13, -0x1.70e5fde0f8ee2p-13, -0x1.6805ccb2864f1p-13, -0x1.5f582965a7ad8p-13, -0x1.56dc17c1a3ccbp-13, -0x1.4e909fe88508cp-13, -0x1.4674ce48915dbp-13, -0x1.3e87b389a9177p-13, -0x1.36c8647d4571fp-13, -0x1.2f35fa0d81539p-13, -0x1.27cf912ce916bp-13, -0x1.20944ac66d746p-13, -0x1.19834bad3b68fp-13, -0x1.129bbc8ccb0abp-13, -0x1.0bdcc9da1a51p-13, -0x1.0545a3c40312fp-13, -0x1.fdaafc46a5bf6p-14, -0x1.f11720da619f5p-14, -0x1.e4ce2b4893c46p-14, -0x1.d8ce98924c2b5p-14, -0x1.cd16ec9af9d31p-14, -0x1.c1a5b20996a0cp-14, -0x1.b6797a2fa8a9p-14, -0x1.ab90dce963775p-14, -0x1.a0ea7888e11fbp-14, -0x1.9684f1b62b908p-14, -0x1.8c5ef357d18f5p-14, -0x1.82772e78994d3p-14, -0x1.78cc5a2da2207p-14, -0x1.6f5d337d6ecffp-14, -0x1.66287d46fa7edp-14, -0x1.5d2d00297a2c3p-14, -0x1.54698a6c7ec1dp-14, -0x1.4bdcefe8deeap-14, -0x1.438609efccb3fp-14, -0x1.3b63b73569a26p-14, -0x1.3374dbb8602d5p-14, -0x1.2bb860adce16bp-14, -0x1.242d346958c7fp-14, -0x1.1cd24a4811e6dp-14, -0x1.15a69a9bb2621p-14, -0x1.0ea9229536f7bp-14, -0x1.07d8e43077d9ep-14, -0x1.0134e61de577cp-14, -0x1.f5786761d302p-15, -0x1.e8dbb996d1da7p-15, -0x1.dc91eb923dd5ep-15, -0x1.d0992eda4d984p-15, -0x1.c4efbd9f5b845p-15, -0x1.b993da94d2562p-15, -0x1.ae83d0cd93a74p-15, -0x1.a3bdf397d9246p-15, -0x1.99409e5943846p-15, -0x1.8f0a346975528p-15, -0x1.851920f437c7cp-15, -0x1.7b6bd6d3b5629p-15, -0x1.7200d0713338fp-15, -0x1.68d68fa35310cp-15, -0x1.5feb9d8ddc61fp-15, -0x1.573e8a8076693p-15, -0x1.4ecdedda8cd7cp-15, -0x1.469865e8d354ep-15, -0x1.3e9c97c8989f9p-15, -0x1.36d92f4949a36p-15, -0x1.2f4cdecdde37p-15, -0x1.27f65f34760a4p-15, -0x1.20d46fb45d22dp-15, -0x1.19e5d5c3d522cp-15, -0x1.13295cfc74789p-15, -0x1.0c9dd700ba532p-15, -0x1.06421b601e8e2p-15, -0x1.0015077c0c872p-15, -0x1.f42afce04459p-16, -0x1.e884d1eee2e04p-16, -0x1.dd356aa694e1ep-16, -0x1.d23aae63ff084p-16, -0x1.c7928f2ff2651p-16, -0x1.bd3b098ccc2a5p-16, -0x1.b3322448536c7p-16, -0x1.a975f04e9f58fp-16, -0x1.a0048879c7f75p-16, -0x1.96dc116798a05p-16, -0x1.8dfab94b1a2ap-16, -0x1.855eb7c3fb7bp-16, -0x1.7d064db03ab2dp-16, -0x1.74efc50515bb7p-16, -0x1.6d1970a74a5p-16, -0x1.6581ac3cfbac7p-16, -0x1.5e26dc08375d4p-16, -0x1.57076cc0110cep-16, -0x1.5021d36c01a8bp-16, -0x1.49748d3ae6bfep-16, -0x1.42fe1f5e676c8p-16, -0x1.3cbd16e4a267bp-16, -0x1.36b008979e6a3p-16, -0x1.30d590d668db9p-16, -0x1.2b2c53731825cp-16, -0x1.25b2fb8f9df28p-16, -0x1.20683b7d4b00ep-16, -0x1.1b4acc9b9295fp-16, -0x1.16596f367ea94p-16, -0x1.1192ea65b882bp-16, -0x1.0cf60bee45d0dp-16, -0x1.0881a8227f105p-16, -0x1.043499c59ed95p-16, -0x1.000dc1e9caae7p-16, -0x1.f8180fa9b0462p-17, -0x1.f05cb1c70fb2cp-17, -0x1.e8e750d69ad02p-17, -0x1.e1b5df3f7a3b4p-17, -0x1.dac65aebe4757p-17, -0x1.d416cd1339bedp-17, -0x1.cda54a04d6f73p-17, -0x1.c76ff0f30c86cp-17, -0x1.c174ebbecf2efp-17, -0x1.bbb26ec678d85p-17, -0x1.b626b8b34970ap-17, -0x1.b0d01247d5931p-17, -0x1.abacce322f3bap-17, -0x1.a6bb48d4e1667p-17, -0x1.a1f9e82213664p-17, -0x1.9d671b686406ep-17, -0x1.99015b27bd5bfp-17, -0x1.94c728e1d5c0cp-17, -0x1.90b70eefc3539p-17, -0x1.8ccfa05a10bfep-17, -0x1.890f78ad48fe8p-17, -0x1.85753bcf01e72p-17, -0x1.81ff95d6d33e2p-17, -0x1.7ead3ae6689d4p-17, -0x1.7b7ce7014cbebp-17, -0x1.786d5de599ed2p-17, -0x1.757d6ae90d1b4p-17, -0x1.72abe0d204265p-17, -0x1.6ff799b048368p-17, -0x1.6d5f76bdcc78bp-17, -0x1.6ae26039e2bfap-17, -0x1.687f4544a578cp-17, -0x1.66351bbcf71cfp-17, -0x1.6402e020026bbp-17, -0x1.61e79567f0e35p-17, -0x1.5fe244ec41b6dp-17, -0x1.5df1fe41e2cc3p-17, -0x1.5c15d7194b8f6p-17, -0x1.5a4ceb227ca84p-17, -0x1.58965bef8d503p-17, -0x1.56f150d3633afp-17, -0x1.555cf6c80b42ap-17, -0x1.53d8805171f96p-17, -0x1.5263255d7b361p-17, -0x1.50fc232cfa543p-17, }}, 
      {{-0x1.80528029e503bp-3, -0x1.815f654890d7cp-3, -0x1.83157ed70129ap-3, -0x1.8566ffe966fdp-3, -0x1.8842a81b33d0ap-3, -0x1.8b9516b2cd71p-3, -0x1.8f49f4feb3246p-3, -0x1.934ceb249080cp-3, -0x1.978a5f60b67f1p-3, -0x1.9bf004e2083dcp-3, -0x1.a06d40b3d3ce6p-3, -0x1.a4f36ae4071fdp-3, -0x1.a975f17aab42p-3, -0x1.adea6257da0e6p-3, -0x1.b24860b625d9ap-3, -0x1.b6898acb2ea93p-3, -0x1.baa953b6e9b1dp-3, -0x1.bea4d594b7b43p-3, -0x1.c27a9f0c746cdp-3, -0x1.c62a7f3a1e78p-3, -0x1.c9b552318b8b4p-3, -0x1.cd1ccfd3d2225p-3, -0x1.d0635e25edca9p-3, -0x1.d38be7e2b4ceep-3, -0x1.d699b7a108099p-3, -0x1.d990579b57b1p-3, -0x1.dc7375ee88355p-3, -0x1.df46cd019717p-3, -0x1.e20e0fb23e02ep-3, -0x1.e4ccd8d9f2796p-3, -0x1.e7869dbed26abp-3, -0x1.ea3ea30a6dddp-3, -0x1.ecf7f3ea94c6dp-3, -0x1.efb55b0c33ba1p-3, -0x1.f2795d2cbdb18p-3, -0x1.f546350a47304p-3, -0x1.f81dd084e563fp-3, -0x1.fb01ceccb50c6p-3, -0x1.fdf37f7efac29p-3, -0x1.0079f14d1e00ap-2, -0x1.0201d49a7c622p-2, -0x1.03919b72ba977p-2, -0x1.052951e533029p-2, -0x1.06c8df92a3367p-2, -0x1.0870093ba04bfp-2, -0x1.0a1e7288d4ec8p-2, -0x1.0bd3a0055096cp-2, -0x1.0d8ef94331d54p-2, -0x1.0f4fcb22c4bcbp-2, -0x1.11154a343e6e5p-2, -0x1.12de952c4f801p-2, -0x1.14aab76406f2p-2, -0x1.1678ab5cb6c3fp-2, -0x1.18475d4115567p-2, -0x1.1a15ad5d36a2fp-2, -0x1.1be27287a2fc1p-2, -0x1.1dac7c765f168p-2, -0x1.1f7295fb6f2c8p-2, -0x1.2133872506a27p-2, -0x1.22ee173e46cdap-2, -0x1.24a10eae1a252p-2, -0x1.264b38b263577p-2, -0x1.27eb64f64c699p-2, -0x1.298069031bef5p-2, -0x1.2b09218b790e8p-2, -0x1.2c8473917cdbap-2, -0x1.2df14d685141dp-2, -0x1.2f4ea79290726p-2, -0x1.309b857ebd38dp-2, -0x1.31d6f623930bdp-2, -0x1.3300147dfac52p-2, -0x1.341607f2aaf83p-2, -0x1.3518049586c03p-2, -0x1.36054b58e1374p-2, -0x1.36dd2a26d1106p-2, -0x1.379efbe6b53dep-2, -0x1.384a28710488p-2, -0x1.38de247377d5bp-2, -0x1.395a71477df01p-2, -0x1.39be9cbcd3be3p-2, -0x1.3a0a40da01924p-2, -0x1.3a3d03945cb56p-2, -0x1.3a5696810c441p-2, -0x1.3a56b6807446fp-2, -0x1.3a3d2b65417ebp-2, -0x1.3a09c7983c1c1p-2, -0x1.39bc67b9dac4dp-2, -0x1.3954f2427d39bp-2, -0x1.38d357220ed0fp-2, -0x1.38378f5fc201dp-2, -0x1.37819cba6e3abp-2, -0x1.36b1894a0dc88p-2, -0x1.35c76722c088cp-2, -0x1.34c34ff9a36fdp-2, -0x1.33a564cbb8b4dp-2, -0x1.326dcd871487ap-2, -0x1.311cb8b66d8c8p-2, -0x1.2fb25b2f26a8bp-2, -0x1.2e2eefc1dcaebp-2, -0x1.2c92b6ed7da24p-2, -0x1.2addf694dd435p-2, -0x1.2910f9b6c3cb5p-2, -0x1.272c10286150cp-2, -0x1.252f8e521124ap-2, -0x1.231bccee5c034p-2, -0x1.20f128cb1b2fbp-2, -0x1.1eb0028ca2f85p-2, -0x1.1c58be72de35ep-2, -0x1.19ebc4203a39cp-2, -0x1.17697e6250b23p-2, -0x1.14d25afc2e184p-2, -0x1.1226ca7226238p-2, -0x1.0f673fd715b81p-2, -0x1.0c94309b08314p-2, -0x1.09ae145b24c4dp-2, -0x1.06b564b2d73c4p-2, -0x1.03aa9d0e21fe2p-2, -0x1.008e3a7d133d2p-2, -0x1.fac1771089599p-3, -0x1.f445400cd6e77p-3, -0x1.eda8d1e5c59bfp-3, -0x1.e6ed308a6f0fap-3, -0x1.e013619341ee9p-3, -0x1.d91c6bf4edb1dp-3, -0x1.d20957b517beap-3, -0x1.cadb2da104237p-3, -0x1.c392f7060c212p-3, -0x1.bc31bd6bfce22p-3, -0x1.b4b88a515adccp-3, -0x1.ad2866e982d59p-3, -0x1.a5825bdcc1239p-3, -0x1.9dc7710a566afp-3, -0x1.95f8ad4c71b79p-3, -0x1.8e17163e31903p-3, -0x1.8623b003a173dp-3, -0x1.7e1f7d13c8dcdp-3, -0x1.760b7e04ccac1p-3, -0x1.6de8b15a20582p-3, -0x1.65b81354de9fbp-3, -0x1.5d7a9dc63f329p-3, -0x1.553147e42bf31p-3, -0x1.4cdd062006878p-3, -0x1.447ec9ff90288p-3, -0x1.3c1781f805436p-3, -0x1.33a8194b56128p-3, -0x1.2b3177e7976fbp-3, -0x1.22b482488c368p-3, -0x1.1a32195b5ef63p-3, -0x1.11ab1a6474336p-3, -0x1.09205ee75458ap-3, -0x1.0092bc90af176p-3, -0x1.f0060a44d28cap-4, -0x1.dee40cc3539a9p-4, -0x1.cdc1140dd2465p-4, -0x1.bc9eab5fc7678p-4, -0x1.ab7e55a7018a8p-4, -0x1.9a618d6f0e519p-4, -0x1.8949c4d044b4bp-4, -0x1.7838656251dd2p-4, -0x1.672ed0321ddccp-4, -0x1.562e5dbb0246dp-4, -0x1.45385de32464cp-4, -0x1.344e17fad8a43p-4, -0x1.2370cabef4807p-4, -0x1.12a1ac5de860bp-4, -0x1.01e1ea7f87bbap-4, -0x1.e265549eb1992p-5, -0x1.c12a1112a3a1cp-5, -0x1.a0143311b3dd4p-5, -0x1.7f25d2b3ee275p-5, -0x1.5e60f798fd279p-5, -0x1.3dc79912607e5p-5, -0x1.1d5b9e51258ep-5, -0x1.fa3dbd2de8285p-6, -0x1.ba2642d43ed1ap-6, -0x1.7a743d9912bf3p-6, -0x1.3b2afeea2b664p-6, -0x1.f89b742dbbfe8p-7, -0x1.7bbf0997a4eb1p-7, -0x1.ff8d5e4a19a17p-8, -0x1.0970395088101p-8, -0x1.531a37cc6ee82p-12, 0x1.ba47a480d2d7fp-9, 0x1.cd8603166c96ap-8, 0x1.5df59a1241719p-7, 0x1.d425092210cdbp-7, 0x1.24a66bf3cb001p-6, 0x1.5eb46098e2024p-6, 0x1.983a582949c68p-6, 0x1.d1365ffff85adp-6, 0x1.04d34e4d4328ap-5, 0x1.20c4a4852cdf5p-5, 0x1.3c6e5b334a125p-5, 0x1.57cfa59f78dc6p-5, 0x1.72e7c187f46dp-5, 0x1.8db5f6dc16cb5p-5, 0x1.a8399777e5f67p-5, 0x1.c271fee088e3cp-5, 0x1.dc5e9201b5f1bp-5, 0x1.f5febeec2b596p-5, 0x1.07a8fe4aa43e9p-4, 0x1.142be54be8f72p-4, 0x1.2087d87afaa2fp-4, 0x1.2cbc9fee4696p-4, 0x1.38ca07b3dfca6p-4, 0x1.44afdfb47b748p-4, 0x1.506dfb971ca21p-4, 0x1.5c0432a5799f6p-4, 0x1.67725fb117435p-4, 0x1.72b860f91c127p-4, 0x1.7dd61810e2f61p-4, 0x1.88cb69c74461cp-4, 0x1.93983e0ea2647p-4, 0x1.9e3c7fe5a9ecep-4, 0x1.a8b81d40d591dp-4, 0x1.b30b06f4a74f2p-4, 0x1.bd3530a09c63bp-4, 0x1.c736909ad5264p-4, 0x1.d10f1fdc74b1cp-4, 0x1.dabed9eeaebacp-4, 0x1.e445bcd888d5cp-4, 0x1.eda3c90d3bd44p-4, 0x1.f6d9015b515e5p-4, 0x1.ffe56adc4e48fp-4, 0x1.0464867289f0fp-3, 0x1.08c1f87b61b5p-3, 0x1.0d0b115828bdfp-3, 0x1.113fd7e04eb1ap-3, 0x1.156053ec8e1d2p-3, 0x1.196c8e50869ffp-3, 0x1.1d6490d49ad15p-3, 0x1.214866300ad7fp-3, 0x1.25181a0351da2p-3, 0x1.28d3b8d2b835fp-3, 0x1.2c7b5001250dbp-3, 0x1.300eedcb1f53fp-3, 0x1.338ea14209c76p-3, 0x1.36fa7a4789264p-3, 0x1.3a5289891f29cp-3, 0x1.3d96e07beed7cp-3, 0x1.40c79158ab0ep-3, 0x1.43e4af17ae64ap-3, 0x1.46ee4d6d355ep-3, 0x1.49e480c5c10dfp-3, 0x1.4cc75e4294237p-3, 0x1.4f96fbb653222p-3, 0x1.52536fa1bfdfep-3, 0x1.54fcd1308f664p-3, 0x1.579338365b185p-3, 0x1.5a16bd2ba36fdp-3, 0x1.5c87792aea7abp-3, 0x1.5ee585ede455ep-3, 0x1.6130fdcaaeb14p-3, 0x1.6369fbb1255b2p-3, 0x1.65909b28388d6p-3, 0x1.67a4f84b5857dp-3, 0x1.69a72fc7e5507p-3, 0x1.6b975edaacb43p-3, 0x1.6d75a34d6f155p-3, 0x1.6f421b7467eaap-3, 0x1.70fce62bdecc6p-3, 0x1.72a622d5bd16dp-3, 0x1.743df1572711p-3, 0x1.75c472161351fp-3, 0x1.7739c5f6e76c6p-3, 0x1.789e0e5a181fap-3, 0x1.79f16d19be187p-3, 0x1.7b3404873a881p-3, 0x1.7c65f768c77f2p-3, 0x1.7d8768f713b8dp-3, 0x1.7e987cdad75bdp-3, 0x1.7f99572a5ff02p-3, 0x1.808a1c671fd8fp-3, 0x1.816af17b35e48p-3, 0x1.823bfbb6f3193p-3, 0x1.82fd60ce527p-3, 0x1.83af46d67a3bbp-3, 0x1.8451d4432b179p-3, 0x1.84e52fe42fb7p-3, 0x1.856980e2c3e97p-3, 0x1.85deeebef9dc2p-3, 0x1.8645a14d13ec1p-3, 0x1.869dc0b2dcb63p-3, 0x1.86e77564f65b2p-3, 0x1.8722e82429c38p-3, 0x1.875041faa7d12p-3, 0x1.876fac394b714p-3, 0x1.87815074d4a58p-3, 0x1.878558831d64ap-3, 0x1.877bee784bd7dp-3, 0x1.87653ca3fbcb8p-3, 0x1.87416d8e67401p-3, 0x1.8710abf589b2cp-3, 0x1.86d322ca3fe1cp-3, 0x1.8688fd2d632b1p-3, 0x1.8632666ce165fp-3, 0x1.85cf8a00d4bccp-3, 0x1.85609388963fbp-3, 0x1.84e5aec7cdd3bp-3, 0x1.845f07a383e41p-3, 0x1.83ccca1f2f8f5p-3, 0x1.832f2259c14efp-3, 0x1.82863c8ab58a4p-3, 0x1.81d244ff19f76p-3, 0x1.81136816a10efp-3, 0x1.8049d240abd31p-3, 0x1.7f75aff95c61fp-3, 0x1.7e972dc6a2604p-3, 0x1.7dae783551f1cp-3, 0x1.7cbbbbd6380e1p-3, 0x1.7bbf253b30989p-3, 0x1.7ab8e0f44543p-3, 0x1.79a91b8ccaaebp-3, 0x1.789001888658cp-3, 0x1.776dbf60d3a62p-3, 0x1.76428181d37c9p-3, 0x1.750e74479e802p-3, 0x1.73d1c3fb7bb61p-3, 0x1.728c9cd121b63p-3, 0x1.713f2ae3f99e1p-3, 0x1.6fe99a346bb21p-3, 0x1.6e8c16a535aa7p-3, 0x1.6d26cbf8c1e23p-3, 0x1.6bb9e5ce8c989p-3, 0x1.6a458fa08f5b3p-3, 0x1.68c9f4c0b45ap-3, 0x1.67474056544a5p-3, 0x1.65bd9d5bbfb89p-3, 0x1.642d369bc7792p-3, 0x1.629636af5dba3p-3, 0x1.60f8c7fb37f69p-3, 0x1.5f5514ad79b4ap-3, 0x1.5dab46bb74618p-3, 0x1.5bfb87df6569ap-3, 0x1.5a46019646ca6p-3, 0x1.588add1dabf42p-3, 0x1.56ca4371a5b5cp-3, 0x1.55045d4ab1976p-3, 0x1.5339531bbc8f3p-3, 0x1.51694d102778dp-3, 0x1.4f947309e0a86p-3, 0x1.4dbaec9f81031p-3, 0x1.4bdce11a7ff5cp-3, 0x1.49fa77756a0f8p-3, 0x1.4813d65a2a14dp-3, 0x1.462924205d821p-3, 0x1.443a86cbb63fcp-3, 0x1.4248240a66e4ep-3, 0x1.405221339ececp-3, 0x1.3e58a346160d7p-3, 0x1.3c5bcee69a324p-3, 0x1.3a5bc85eb905cp-3, 0x1.3858b39b6a5cap-3, 0x1.3652b42bcfea5p-3, 0x1.3449ed3ffc1cep-3, 0x1.323e81a7cb71cp-3, 0x1.303093d1c4d3dp-3, 0x1.2e2045ca0d53ap-3, 0x1.2c0db93963c9fp-3, 0x1.29f90f642d311p-3, 0x1.27e2692989c9ap-3, 0x1.25c9e7027bd76p-3, 0x1.23afa90118eb9p-3, 0x1.2193cecfc4dcdp-3, 0x1.1f7677b08018dp-3, 0x1.1d57c27c3a5bap-3, 0x1.1b37cda237e06p-3, 0x1.1916b72783c2dp-3, 0x1.16f49ca665057p-3, 0x1.14d19b4deb564p-3, 0x1.12adcfe1803adp-3, 0x1.108956b889d27p-3, 0x1.0e644bbe0e7aep-3, 0x1.0c3eca7071f66p-3, 0x1.0a18ede135359p-3, 0x1.07f2d0b4c0af5p-3, 0x1.05cc8d223f6fap-3, 0x1.03a63cf37e8b9p-3, 0x1.017ff984de2d3p-3, 0x1.feb3b78a8e0bbp-4, 0x1.fa67f86c581fep-4, 0x1.f61ce5d73306bp-4, 0x1.f1d2af18905ecp-4, 0x1.ed8982a37c0c8p-4, 0x1.e9418e10f4308p-4, 0x1.e4fafe2049e93p-4, 0x1.e0b5feb79730bp-4, 0x1.dc72bae456286p-4, 0x1.d8315cdbedd51p-4, 0x1.d3f20dfc67526p-4, 0x1.cfb4f6cd2bd1bp-4, 0x1.cb7a3effd26ep-4, 0x1.c7420d70fdd59p-4, 0x1.c30c88294d4cep-4, 0x1.bed9d45e58408p-4, 0x1.baaa1673b9ab8p-4, 0x1.b67d71fc2b53bp-4, 0x1.b25409bab7e3fp-4, 0x1.ae2dffa3def41p-4, 0x1.aa0b74deea52cp-4, 0x1.a5ec89c736fecp-4, 0x1.a1d15ded933c9p-4, 0x1.9dba1019a3b58p-4, 0x1.99a6be4b5db32p-4, 0x1.959785bc8809ep-4, 0x1.918c82e23cb82p-4, 0x1.8d85d16e889a1p-4, 0x1.89838c520441ap-4, 0x1.8585cdbd7d845p-4, 0x1.818caf23ab106p-4, 0x1.7d98493ae70b8p-4, 0x1.79a8b3fef222ep-4, 0x1.75be06b2bf94bp-4, 0x1.71d857e247e83p-4, 0x1.6df7bd6464184p-4, 0x1.6a1c4c5caee5ap-4, 0x1.6646193d6ef57p-4, 0x1.627537c981d08p-4, 0x1.5ea9bb1654c8ap-4, 0x1.5ae3b58ddebf5p-4, 0x1.572338f09a45fp-4, 0x1.53685657920a7p-4, 0x1.4fb31e3662884p-4, 0x1.4c03a05d4e051p-4, 0x1.4859ebfb4a38ap-4, 0x1.44b60fa013682p-4, 0x1.4118193e48d52p-4, 0x1.3d80162d870f4p-4, 0x1.39ee132c8652bp-4, 0x1.36621c63377d6p-4, 0x1.32dc3d64ebed5p-4, 0x1.2f5c81327681ep-4, 0x1.2be2f23c5379dp-4, 0x1.286f9a64cf15cp-4, 0x1.250283022f38dp-4, 0x1.219bb4e0dabf2p-4, 0x1.1e3b384586cfdp-4, 0x1.1ae114ef5adc9p-4, 0x1.178d521a2177ep-4, 0x1.143ff6806f521p-4, 0x1.10f9085dcbf84p-4, 0x1.0db88d70db47ep-4, 0x1.0a7e8afd86e17p-4, 0x1.074b05cf23ea8p-4, 0x1.041e023a98fbep-4, 0x1.00f7842081f3fp-4, 0x1.fbaf1ddea682ep-5, 0x1.f57c4b4af461dp-5, 0x1.ef5695a6f857dp-5, 0x1.e93e013c2540dp-5, 0x1.e332918086c74p-5, 0x1.dd34491af7ca8p-5, 0x1.d74329e74511bp-5, 0x1.d15f34fa5274cp-5, 0x1.cb886aa63a0a3p-5, 0x1.c5beca7e633dcp-5, 0x1.c002535b8d959p-5, 0x1.ba53035fe1199p-5, 0x1.b4b0d7faee8abp-5, 0x1.af1bcdeda783p-5, 0x1.a993e14e525cbp-5, 0x1.a4190d8c78d1fp-5, 0x1.9eab4d74c4ab7p-5, 0x1.994a9b34dee5p-5, 0x1.93f6f05f4281dp-5, 0x1.8eb045eefd152p-5, 0x1.8976944b7f202p-5, 0x1.8449d34c40745p-5, 0x1.7f29fa3c7cddbp-5, 0x1.7a16ffdecf055p-5, 0x1.7510da70d203ap-5, 0x1.70177faeacc82p-5, 0x1.6b2ae4d69d26dp-5, 0x1.664afeac725c9p-5, 0x1.6177c17d040ecp-5, 0x1.5cb12121915d7p-5, 0x1.57f711032e634p-5, 0x1.5349841e0a4cdp-5, 0x1.4ea86d04c0b27p-5, 0x1.4a13bde395d5bp-5, 0x1.458b6883a95edp-5, 0x1.410f5e4e25efep-5, 0x1.3c9f904f55f9ap-5, 0x1.383bef39c4e23p-5, 0x1.33e46b6936ffdp-5, 0x1.2f98f4e5baeap-5, 0x1.2b597b668cb2dp-5, 0x1.2725ee5507e6cp-5, 0x1.22fe3ccf7f2a1p-5, 0x1.1ee255ac13213p-5, 0x1.1ad2277b7659ep-5, 0x1.16cda08ba80dcp-5, 0x1.12d4aeeaab611p-5, 0x1.0ee740692a928p-5, 0x1.0b05429d0ccccp-5, 0x1.072ea2e410e4cp-5, 0x1.03634e664813fp-5, 0x1.ff4664312e0ddp-6, 0x1.f7dc757e4b5f3p-6, 0x1.f088a9df78e13p-6, 0x1.e94ada284d20fp-6, 0x1.e222ded8f6ae9p-6, 0x1.db109022cad3dp-6, 0x1.d413c5ecb3386p-6, 0x1.cd2c57d78f8f2p-6, 0x1.c65a1d427d3a5p-6, 0x1.bf9ced4f04328p-6, 0x1.b8f49ee546097p-6, 0x1.b26108b7f555fp-6, 0x1.abe201484f3c3p-6, 0x1.a5775eea084b3p-6, 0x1.9f20f7c707643p-6, 0x1.98dea1e326f78p-6, 0x1.92b0331fd9671p-6, 0x1.8c95813fb4144p-6, 0x1.868e61e9f1476p-6, 0x1.809aaaadcf9cap-6, 0x1.7aba3105fa965p-6, 0x1.74ecca5bacd15p-6, 0x1.6f324c0a00aa8p-6, 0x1.698a8b60fa85fp-6, 0x1.63f55da88e296p-6, 0x1.5e729823a84f4p-6, 0x1.59021012fdd1ap-6, 0x1.53a39ab7eff21p-6, 0x1.4e570d573f5eap-6, 0x1.491c3d3bc85d6p-6, 0x1.43f2ffb916db6p-6, 0x1.3edb2a2dff68bp-6, 0x1.39d4920701515p-6, 0x1.34df0cc0d1865p-6, 0x1.2ffa6fea9c582p-6, 0x1.2b2691285a308p-6, 0x1.266346350babap-6, 0x1.21b064e4d6baep-6, 0x1.1d0dc3272fbep-6, 0x1.187b3708d863ap-6, 0x1.13f896b5ddd5ap-6, 0x1.0f85b87b8ba34p-6, 0x1.0b2272ca3ac7dp-6, 0x1.06ce9c372f789p-6, 0x1.028a0b7e4c059p-6, 0x1.fca92f079b295p-7, 0x1.f45c2eabc722p-7, 0x1.ec2cc45ca350dp-7, 0x1.e41a9ee7e9de4p-7, 0x1.dc256d7873105p-7, 0x1.d44cdf991288bp-7, 0x1.cc90a537704a2p-7, 0x1.c4f06ea692ecep-7, 0x1.bd6beca181c16p-7, 0x1.b602d04db2defp-7, 0x1.aeb4cb3d6df11p-7, 0x1.a7818f721f891p-7, 0x1.a068cf5e6febap-7, 0x1.996a3de87062dp-7, 0x1.92858e6b947d5p-7, 0x1.8bba74baa2dc7p-7, 0x1.8508a52193b59p-7, 0x1.7e6fd46746841p-7, 0x1.77efb7cf3922fp-7, 0x1.7188051b1345ep-7, 0x1.6b38728c3e9ccp-7, 0x1.6500b6e5497bfp-7, 0x1.5ee0896b4c55fp-7, 0x1.58d7a1e742897p-7, 0x1.52e5b8a72273p-7, 0x1.4d0a867f23ef9p-7, 0x1.4745c4cac495ep-7, 0x1.41972d6ddb46fp-7, 0x1.3bfe7ad57d04ap-7, 0x1.367b67f8ea826p-7, 0x1.310db05a5ceb3p-7, 0x1.2bb51007d35b9p-7, 0x1.2671439bb95f8p-7, 0x1.2142083d99af5p-7, 0x1.1c271ba2aac83p-7, 0x1.17203c0e6029fp-7, 0x1.122d2852daa6p-7, 0x1.0d4d9fd153e59p-7, 0x1.0881627a93393p-7, 0x1.03c830cf24344p-7, 0x1.fe4397bf5dd5cp-8, 0x1.f51bea9a4ace7p-8, 0x1.ec18de9200ebep-8, 0x1.e339f92a9c927p-8, 0x1.da7ec109a7171p-8, 0x1.d1e6bdf64650fp-8, 0x1.c97178d8f24a4p-8, 0x1.c11e7bbbb3bd1p-8, 0x1.b8ed51c9d1e29p-8, 0x1.b0dd874fa251p-8, 0x1.a8eea9ba18acfp-8, 0x1.a1204796abeb9p-8, 0x1.9971f09291929p-8, 0x1.91e3357a6d7fcp-8, 0x1.8a73a839b1783p-8, 0x1.8322dbd9d9d01p-8, 0x1.7bf06481d17bp-8, 0x1.74dbd77532a4ep-8, 0x1.6de4cb134b563p-8, 0x1.670ad6d657dbfp-8, 0x1.604d935297bf2p-8, 0x1.59ac9a351825ep-8, 0x1.53278642ee82bp-8, 0x1.4cbdf357ea784p-8, 0x1.466f7e656dbcdp-8, 0x1.403bc5716dee2p-8, 0x1.3a22679500757p-8, 0x1.342304fb201efp-8, 0x1.2e3d3edf6d10ap-8, 0x1.2870b78cb15c3p-8, 0x1.22bd125ba76f5p-8, 0x1.1d21f3b13f98dp-8, 0x1.179f00fd751bdp-8, 0x1.1233e0b99f3f1p-8, 0x1.0ce03a66e85d1p-8, 0x1.07a3b68ce8228p-8, 0x1.027dfeb7a976dp-8, 0x1.fadd7aecf2bbdp-9, 0x1.f0eb3cb3fc17bp-9, 0x1.e7249be50777ep-9, 0x1.dd88f39d0045fp-9, 0x1.d417a0f11e1b2p-9, 0x1.cad002ebe573bp-9, 0x1.c1b17a89220bdp-9, 0x1.b8bb6ab2e4326p-9, 0x1.afed383d3d395p-9, 0x1.a74649e335768p-9, 0x1.9ec60842a9eb4p-9, 0x1.966bddd8f2e4bp-9, 0x1.8e3736fea60ddp-9, 0x1.862781e45a55ep-9, 0x1.7e3c2e8e9b8c8p-9, 0x1.7674aed1eee0ep-9, 0x1.6ed0764f93f7bp-9, 0x1.674efa70ca03bp-9, 0x1.5fefb263c5362p-9, 0x1.58b2171737f4fp-9, 0x1.5195a336b82ep-9, 0x1.4a99d326bad4ap-9, 0x1.43be2500d52d9p-9, 0x1.3d02188f52678p-9, 0x1.36652f49e18d4p-9, 0x1.2fe6ec5139313p-9, 0x1.2986d46b2fa0ep-9, 0x1.23446dff08033p-9, 0x1.1d1f41110c721p-9, 0x1.1716d73f10035p-9, 0x1.112abbbc2aa98p-9, 0x1.0b5a7b4cf05d7p-9, 0x1.05a5a4433e727p-9, 0x1.000bc67a9a281p-9, 0x1.f518e6a83327cp-10, 0x1.ea4e7b64a7b9bp-10, 0x1.dfb773eb4e0fap-10, 0x1.d552fbf08d327p-10, 0x1.cb2042140d513p-10, 0x1.c11e77d9f1deap-10, 0x1.b74cd1a207029p-10, 0x1.adaa86a097835p-10, 0x1.a436d0d6f3dd7p-10, 0x1.9af0ed0a9a155p-10, 0x1.91d81abef92fbp-10, 0x1.88eb9c2c815e2p-10, 0x1.802ab63a2cec2p-10, 0x1.7794b074d7596p-10, 0x1.6f28d50877775p-10, 0x1.66e670b876177p-10, 0x1.5eccd2d7d3304p-10, 0x1.56db4d4203a72p-10, 0x1.4f1134539d91p-10, 0x1.476ddee2bd839p-10, 0x1.3ff0a6380ce85p-10, 0x1.3898e606d51d2p-10, 0x1.3165fc66cbef9p-10, 0x1.2a5749cbceebbp-10, 0x1.236c30ff54a4bp-10, 0x1.1ca417198aac3p-10, 0x1.15fe6379558f6p-10, 0x1.0f7a7fbe9fecap-10, 0x1.0917d7c258304p-10, 0x1.02d5d98fd02fbp-10, 0x1.f967eabd16e3dp-11, 0x1.ed633b141f8b4p-11, 0x1.e19c8d1973125p-11, 0x1.d612cdef65bdfp-11, 0x1.cac4eeda57978p-11, 0x1.bfb1e532a84cfp-11, 0x1.b4d8aa5824b18p-11, 0x1.aa383ba40ea82p-11, 0x1.9fcf9a5dd0edcp-11, 0x1.959dcbaca3b5ap-11, 0x1.8ba1d88bdbcb9p-11, 0x1.81dacdbdce7ebp-11, 0x1.7847bbc04dccdp-11, 0x1.6ee7b6be6cbf3p-11, 0x1.65b9d68705c71p-11, 0x1.5cbd367dd46abp-11, 0x1.53f0f59116665p-11, 0x1.4b54362d7e415p-11, 0x1.42e61e31fce88p-11, 0x1.3aa5d6e3c1191p-11, 0x1.32928ce46985ap-11, 0x1.2aab7023e8b99p-11, 0x1.22efb3d785f4bp-11, 0x1.1b5e8e6d2f338p-11, 0x1.13f739815cbd1p-11, 0x1.0cb8f1d2bd042p-11, 0x1.05a2f7391b2ap-11, 0x1.fd6919319a58fp-12, 0x1.efd9efb2ccc98p-12, 0x1.e29703b3fbc2cp-12, 0x1.d59eeccfa6519p-12, 0x1.c8f0486731512p-12, 0x1.bc89b98c6175p-12, 0x1.b069e8f07a88bp-12, 0x1.a48f84ce9627p-12, 0x1.98f940d69c935p-12, 0x1.8da5d61c742fp-12, 0x1.82940301fbde5p-12, 0x1.77c28b25e392cp-12, 0x1.6d30374e16d36p-12, 0x1.62dbd55937049p-12, 0x1.58c43827d74bdp-12, 0x1.4ee8378c6b6cdp-12, 0x1.4546b0388a8d6p-12, 0x1.3bde83abee7adp-12, 0x1.32ae9820fe3b9p-12, 0x1.29b5d87ceee93p-12, 0x1.20f3343dc4f52p-12, 0x1.18659f69304d2p-12, 0x1.100c127cd056ap-12, 0x1.07e58a5bb5bf2p-12, 0x1.ffe2107db0037p-13, 0x1.f05b234aa28d8p-13, 0x1.e134608786e25p-13, 0x1.d26be3e8394b9p-13, 0x1.c3ffd14cc6916p-13, 0x1.b5ee54a2d8b8ap-13, 0x1.a835a1c654972p-13, 0x1.9ad3f46436f6cp-13, 0x1.8dc78fd97367fp-13, 0x1.810ebf1b14df1p-13, 0x1.74a7d4947d194p-13, 0x1.68912a0ccec56p-13, 0x1.5cc92088deaaap-13, 0x1.514e20322206ep-13, 0x1.461e98386d44cp-13, 0x1.3b38feb77a107p-13, 0x1.309bd09d44b2dp-13, 0x1.2645918d721d4p-13, 0x1.1c34cbc74bfd9p-13, 0x1.1268100e1e9b3p-13, 0x1.08ddf58d698cfp-13, 0x1.ff2a3381d0092p-14, 0x1.ed1840b4a2e03p-14, 0x1.db836654d6f79p-14, 0x1.ca69041043bfdp-14, 0x1.b9c68571fe873p-14, 0x1.a99961b236d2fp-14, 0x1.99df1b86d31ep-14, 0x1.8a9540f921b0cp-14, 0x1.7bb96b345ff72p-14, 0x1.6d493e5db8f54p-14, 0x1.5f426963da789p-14, 0x1.51a2a5d65f1c1p-14, 0x1.4467b7b852dafp-14, 0x1.378f6d5b10afdp-14, 0x1.2b179f2f884ccp-14, 0x1.1efe2f9dd751fp-14, 0x1.13410ae068514p-14, 0x1.07de26d999bd7p-14, 0x1.f9a705d6266dbp-15, 0x1.e43e4fa04beeap-15, 0x1.cf7e4ef38f389p-15, 0x1.bb6339caf4914p-15, 0x1.a7e957f51e96dp-15, 0x1.950d02c873729p-15, 0x1.82caa4da58853p-15, 0x1.711eb9ba79899p-15, 0x1.6005cdaac5baap-15, 0x1.4f7c7d5c46e1bp-15, 0x1.3f7f75a7b401p-15, 0x1.300b734ccfd28p-15, 0x1.211d42b0cd98bp-15, 0x1.12b1bf9a73ac6p-15, 0x1.04c5d4f288eb6p-15, 0x1.eeacf90a0e76p-16, 0x1.d4c17d88d7d3ep-16, 0x1.bbc36514c122cp-16, 0x1.a3acf9b2e45b5p-16, 0x1.8c78a14575a48p-16, 0x1.7620dd1dde999p-16, 0x1.60a0497b763cbp-16, 0x1.4bf19d21c992cp-16, 0x1.380fa8e2bc146p-16, 0x1.24f5573610394p-16, 0x1.129dabc69a0f2p-16, 0x1.0103c30c03301p-16, 0x1.e045a3b287899p-17, 0x1.bfec49f9ab6f7p-17, 0x1.a0f241a01e837p-17, 0x1.834e81be01ec8p-17, 0x1.66f82eea196a7p-17, 0x1.4be69a8c01648p-17, 0x1.3211421d5b2d6p-17, 0x1.196fce50f7721p-17, 0x1.01fa126da6377p-17, 0x1.d750172754811p-18, 0x1.ace3c008b2ea1p-18, 0x1.849fbcd09ebfep-18, 0x1.5e74fa4833c7fp-18, 0x1.3a54b349b3547p-18, 0x1.18306f894e393p-18, 0x1.eff40451d7fdcp-19, 0x1.b34710c84b34bp-19, 0x1.7a3ed0d0ff2f2p-19, 0x1.44c09fec03e2p-19, 0x1.12b26677370eap-19, 0x1.c7f52e156bfffp-20, 0x1.7100589d9d981p-20, 0x1.20554cd31f7d4p-20, 0x1.ab882324d555dp-21, 0x1.223b5f5a31891p-21, 0x1.48d0b50bfa83fp-22, 0x1.8da8970276553p-24, -0x1.b1b47dbb4615p-24, -0x1.27618aace58e9p-22, -0x1.ce1bdafa601d9p-22, -0x1.30a0979937fe7p-21, -0x1.70b98bb77432p-21, -0x1.a7a7d287c454fp-21, -0x1.d5b8bcd881c68p-21, -0x1.fb37eb691d352p-21, -0x1.0c37ab8e73bd4p-20, -0x1.16d3abfb1b3p-20, -0x1.1d93566effc85p-20, -0x1.20994187d9a65p-20, -0x1.20073ea3801fep-20, -0x1.1bfe5d32c5408p-20, -0x1.149eee717667ep-20, -0x1.0a0888c9580d7p-20, -0x1.f8b41687bfe83p-21, -0x1.d76341526950cp-21, -0x1.b05985e947be3p-21, -0x1.83d07d1df2e81p-21, -0x1.52006aa238165p-21, -0x1.1b20439d7f67p-21, -0x1.becb693fcccd5p-22, }}, 
      {{-0x1.8016152bd0a6bp-3, -0x1.80703c71ac05p-3, -0x1.8104716b7ab7ep-3, -0x1.81cfd362c7065p-3, -0x1.82ceae38ff1b4p-3, -0x1.83fcb3faf16cbp-3, -0x1.855532e8537f1p-3, -0x1.86d344f4a88b8p-3, -0x1.8871f7ce1a59bp-3, -0x1.8a2c6d876caaep-3, -0x1.8bfdf678fd6ecp-3, -0x1.8de225122a83bp-3, -0x1.8fd4dc5633bf6p-3, -0x1.91d259b607618p-3, -0x1.93d73aed82bc3p-3, -0x1.95e08080fdb55p-3, -0x1.97eb8d6f9acf1p-3, -0x1.99f624a5e587dp-3, -0x1.9bfe64b209e34p-3, -0x1.9e02c22f1a8d2p-3, -0x1.a002014f28085p-3, -0x1.a1fb2edd67e1fp-3, -0x1.a3ed9902b18b5p-3, -0x1.a5d8c807db9b2p-3, -0x1.a7bc7744116ap-3, -0x1.a9988e58be43fp-3, -0x1.ab6d1ad24855cp-3, -0x1.ad3a4a3bddb87p-3, -0x1.af0064ad9b7e8p-3, -0x1.b0bfc7d6e478fp-3, -0x1.b278e282af7a9p-3, -0x1.b42c3090ec0d5p-3, -0x1.b5da375e45f6cp-3, -0x1.b7838292a9745p-3, -0x1.b928a14e87922p-3, -0x1.baca23aee8149p-3, -0x1.bc6898a0baaffp-3, -0x1.be048bfc51ceep-3, -0x1.bf9e84e298454p-3, -0x1.c137045625538p-3, -0x1.c2ce840af2739p-3, -0x1.c465756813dbfp-3, -0x1.c5fc40b71da94p-3, -0x1.c793447d96907p-3, -0x1.c92ad4fcd1156p-3, -0x1.cac33bd52a7d4p-3, -0x1.cc5cb7c999992p-3, -0x1.cdf77ca0ccd8ep-3, -0x1.cf93b32135dc7p-3, -0x1.d13179256c2d3p-3, -0x1.d2d0e1c676976p-3, -0x1.d471f599a4225p-3, -0x1.d614b2ff9e831p-3, -0x1.d7b90e82885e8p-3, -0x1.d95ef340fa8f8p-3, -0x1.db064363e5c9dp-3, -0x1.dcaed89d56e88p-3, -0x1.de5884ae4ad48p-3, -0x1.e00311f1da374p-3, -0x1.e1ae43ec15df7p-3, -0x1.e359d7db1a7f8p-3, -0x1.e5058548fa2aep-3, -0x1.e6b0fe9d3e07bp-3, -0x1.e85bf1ace0938p-3, -0x1.ea060847bcff1p-3, -0x1.ebaee8c2a86fdp-3, -0x1.ed56367d59413p-3, -0x1.eefb926399353p-3, -0x1.f09e9b6929868p-3, -0x1.f23eeefff0317p-3, -0x1.f3dc298829d53p-3, -0x1.f575e6ba53a94p-3, -0x1.f70bc20ab787bp-3, -0x1.f89d570678a02p-3, -0x1.fa2a41aa27dcfp-3, -0x1.fbb21eb1ea88dp-3, -0x1.fd348be34931dp-3, -0x1.feb12850cadacp-3, -0x1.0013ca4bc74eep-2, -0x1.00cbb98b8b627p-2, -0x1.01803411bd0fdp-2, -0x1.02310d19240d6p-2, -0x1.02de19012aa23p-2, -0x1.03872d5f61e59p-2, -0x1.042c210ebf40bp-2, -0x1.04cccc3cc161p-2, -0x1.0569087495abbp-2, -0x1.0600b0a868dcbp-2, -0x1.0693a139019a2p-2, -0x1.0721b7fbc749fp-2, -0x1.07aad43f5463dp-2, -0x1.082ed6ceb5ac4p-2, -0x1.08ada1f36e895p-2, -0x1.09271976659ffp-2, -0x1.099b229fcd141p-2, -0x1.0a09a4361f7d5p-2, -0x1.0a72867c50c97p-2, -0x1.0ad5b32f3d2b2p-2, -0x1.0b3315827077bp-2, -0x1.0b8a9a1c578b8p-2, -0x1.0bdc2f11eb1a4p-2, -0x1.0c27c3e1e5f2bp-2, -0x1.0c6d496f8e2fap-2, -0x1.0cacb1fd29174p-2, -0x1.0ce5f1261a88ap-2, -0x1.0d18fbd8c11efp-2, -0x1.0d45c85016144p-2, -0x1.0d6c4e0d193e7p-2, -0x1.0d8c85d013b45p-2, -0x1.0da66991b2de7p-2, -0x1.0db9f47c08b33p-2, -0x1.0dc722e36d9a9p-2, -0x1.0dcdf23f56015p-2, -0x1.0dce61230fbbbp-2, -0x1.0dc86f367b72ap-2, -0x1.0dbc1d2eb7fe9p-2, -0x1.0da96cc6cce07p-2, -0x1.0d9060b84f744p-2, -0x1.0d70fcb40a561p-2, -0x1.0d4b455aa5a87p-2, -0x1.0d1f403554315p-2, -0x1.0cecf3ae89b34p-2, -0x1.0cb4670ab1b74p-2, -0x1.0c75a260f9402p-2, -0x1.0c30ae941c024p-2, -0x1.0be5954b408f9p-2, -0x1.0b9460eae3074p-2, -0x1.0b3d1c8dcac3ap-2, -0x1.0adfd3fe1444p-2, -0x1.0a7c93ae46f54p-2, -0x1.0a1368b27fa7ap-2, -0x1.09a460b9ad0b4p-2, -0x1.092f8a06dea69p-2, -0x1.08b4f36aa796dp-2, -0x1.0834ac3c9a61ep-2, -0x1.07aec454d50edp-2, -0x1.07234c05a8114p-2, -0x1.0692541554148p-2, -0x1.05fbedb7ddc38p-2, -0x1.05602a88ff08ap-2, -0x1.04bf1c862d69ap-2, -0x1.0418d608bcf9fp-2, -0x1.036d69c01f025p-2, -0x1.02bceaac3b0bcp-2, -0x1.02076c17e39f8p-2, -0x1.014d01936ab1dp-2, -0x1.008dbeef4f8e8p-2, -0x1.ff93706e1aa34p-3, -0x1.fe0203580b0b2p-3, -0x1.fc675f81177b2p-3, -0x1.fac3ae261b8cfp-3, -0x1.f91718d2b8c6ap-3, -0x1.f761c95826873p-3, -0x1.f5a3e9c44067p-3, -0x1.f3dda458d6913p-3, -0x1.f20f23833c8ffp-3, -0x1.f03891d4176e9p-3, -0x1.ee5a19f771585p-3, -0x1.ec73e6ad06643p-3, -0x1.ea8622c0d6dd9p-3, -0x1.e890f903f8013p-3, -0x1.e6949445a5d0fp-3, -0x1.e4911f4c91991p-3, -0x1.e286c4d075f34p-3, -0x1.e075af73e1521p-3, -0x1.de5e09be4528bp-3, -0x1.dc3ffe1640023p-3, -0x1.da1bb6bc252a8p-3, -0x1.d7f15dc4c2cc2p-3, -0x1.d5c11d145bf2bp-3, -0x1.d38b1e59eaae9p-3, -0x1.d14f8b0a89cdep-3, -0x1.cf0e8c5d28782p-3, -0x1.ccc84b466c688p-3, -0x1.ca7cf074cab1bp-3, -0x1.c82ca44cd7eb8p-3, -0x1.c5d78ee5cd279p-3, -0x1.c37dd8063f099p-3, -0x1.c11fa72107e34p-3, -0x1.bebd23525f8e5p-3, -0x1.bc56735d272bdp-3, -0x1.b9ebbda85d59cp-3, -0x1.b77d283cc8f1cp-3, -0x1.b50ad8c2c0cf1p-3, -0x1.b294f4802bdf9p-3, -0x1.b01ba056a4643p-3, -0x1.ad9f00c1be60fp-3, -0x1.ab1f39d57bc96p-3, -0x1.a89c6f3ce2fc1p-3, -0x1.a616c438b6aa4p-3, -0x1.a38e5b9e50efp-3, -0x1.a10357d6a357cp-3, -0x1.9e75dadd506f1p-3, -0x1.9be6063fe795ep-3, -0x1.9953fb1d3ec41p-3, -0x1.96bfda24e2471p-3, -0x1.9429c396a7afbp-3, -0x1.9191d74253386p-3, -0x1.8ef8348758706p-3, -0x1.8c5cfa54b2a6ap-3, -0x1.89c04728cfcd7p-3, -0x1.8722391194e04p-3, -0x1.8482edac713ddp-3, -0x1.81e2822687ff9p-3, -0x1.7f41133ce9264p-3, -0x1.7c9ebd3cdf01dp-3, -0x1.79fb9c0442a2cp-3, -0x1.7757cb01e80b3p-3, -0x1.74b3653614eep-3, -0x1.720e8533003a4p-3, -0x1.6f69451d65e15p-3, -0x1.6cc3bead1a9ccp-3, -0x1.6a1e0b2db8564p-3, -0x1.6778437f4384ep-3, -0x1.64d28016e84b2p-3, -0x1.622cd8ffb5d1fp-3, -0x1.5f8765db6513cp-3, -0x1.5ce23de3240cep-3, -0x1.5a3d77e86d3c8p-3, -0x1.57992a55d8fdbp-3, -0x1.54f56b300159p-3, -0x1.525250165d0a1p-3, -0x1.4fafee442c1d6p-3, -0x1.4d0e5a9159ff4p-3, -0x1.4a6da9736cbcep-3, -0x1.47cdeefe7282fp-3, -0x1.452f3ee5ef1c1p-3, -0x1.4291ac7dd23bap-3, -0x1.3ff54abb679f4p-3, -0x1.3d5a2c3649d51p-3, -0x1.3ac063295966fp-3, -0x1.38280173b0818p-3, -0x1.35911899969aep-3, -0x1.32fbb9c5787f8p-3, -0x1.3067f5c8d6b1ep-3, -0x1.2dd5dd1d401afp-3, -0x1.2b457fe53dc65p-3, -0x1.28b6eded4a0d9p-3, -0x1.262a36acbc54dp-3, -0x1.239f6946baef4p-3, -0x1.2116948b27bc3p-3, -0x1.1e8fc6f7893ffp-3, -0x1.1c0b0eb7f822bp-3, -0x1.198879a806865p-3, -0x1.17081553a2f73p-3, -0x1.1489eef800a3ap-3, -0x1.120e138475e66p-3, -0x1.0f948f9b5e55dp-3, -0x1.0d1d6f92f6ab1p-3, -0x1.0aa8bf7638a8fp-3, -0x1.08368b05b5409p-3, -0x1.05c6ddb86a502p-3, -0x1.0359c2bc969f4p-3, -0x1.00ef44f88cfa3p-3, -0x1.fd0ede170cd7ap-4, -0x1.f844969cd210bp-4, -0x1.f37fc7a93b583p-4, -0x1.eec084d99f792p-4, -0x1.ea06e1437274dp-4, -0x1.e552ef75cf933p-4, -0x1.e0a4c17afc6a3p-4, -0x1.dbfc68d9e85ffp-4, -0x1.d759f697afb27p-4, -0x1.d2bd7b390ea9p-4, -0x1.ce2706c3dbdp-4, -0x1.c996a8c077a5ep-4, -0x1.c50c703b3a862p-4, -0x1.c0886bc5dd4d2p-4, -0x1.bc0aa978e5808p-4, -0x1.b79336f4ffe03p-4, -0x1.b3222164690a3p-4, -0x1.aeb7757c4649p-4, -0x1.aa533f7dfcap-4, -0x1.a5f58b3890a36p-4, -0x1.a19e6409edaefp-4, -0x1.9d4dd4e043fbep-4, -0x1.9903e83b4b9eep-4, -0x1.94c0a82d9896cp-4, -0x1.90841e5de0f4ep-4, -0x1.8c4e54084522dp-4, -0x1.881f51ff9367p-4, -0x1.83f720ae8b977p-4, -0x1.7fd5c81920552p-4, -0x1.7bbb4fddb43c4p-4, -0x1.77a7bf3658d5fp-4, -0x1.739b1cfa08442p-4, -0x1.6f956f9ddeec1p-4, -0x1.6b96bd3653b9bp-4, -0x1.679f0b786dbedp-4, -0x1.63ae5fbaf91e4p-4, -0x1.5fc4bef7bb701p-4, -0x1.5be22dcca419dp-4, -0x1.5806b07cfde1ep-4, -0x1.54324af29ec1p-4, -0x1.506500bf161dcp-4, -0x1.4c9ed51cd8ec2p-4, -0x1.48dfcaf070168p-4, -0x1.4527e4c9a1452p-4, -0x1.417724e49ad0cp-4, -0x1.3dcd8d2b1b4eep-4, -0x1.3a2b1f359c1bfp-4, -0x1.368fdc4c76445p-4, -0x1.32fbc5690a10bp-4, -0x1.2f6edb36e6388p-4, -0x1.2be91e14e9a03p-4, -0x1.286a8e166a31ap-4, -0x1.24f32b04566d4p-4, -0x1.2182f45e58bdap-4, -0x1.1e19e95bf854ep-4, -0x1.1ab808edbb9ebp-4, -0x1.175d51be45f3p-4, -0x1.1409c23379ae5p-4, -0x1.10bd586f93c7ep-4, -0x1.0d7812524c275p-4, -0x1.0a39ed79f0e0fp-4, -0x1.0702e74483bbp-4, -0x1.03d2fcd0d37a4p-4, -0x1.00aa2aff98865p-4, -0x1.fb10dce919f57p-5, -0x1.f4db872f0b8dap-5, -0x1.eeb44d2b14151p-5, -0x1.e89b26c3d64fdp-5, -0x1.e2900b6eb1914p-5, -0x1.dc92f231ef67cp-5, -0x1.d6a3d1a6e76fp-5, -0x1.d0c29ffc275bp-5, -0x1.caef52f79507bp-5, -0x1.c529dff891f1p-5, -0x1.bf723bfa15df3p-5, -0x1.b9c85b94d0f66p-5, -0x1.b42c33014067ap-5, -0x1.ae9db619c91d4p-5, -0x1.a91cd85ccc6bap-5, -0x1.a3a98ceeb8e3ap-5, -0x1.9e43c69c1c8cfp-5, -0x1.98eb77dbadfabp-5, -0x1.93a092d05b016p-5, -0x1.8e63094b4a0dbp-5, -0x1.8932cccde3395p-5, -0x1.840fce8bcdc3p-5, -0x1.7ef9ff6ced872p-5, -0x1.79f1500f60777p-5, -0x1.74f5b0c97185ap-5, -0x1.700711ab8f6bfp-5, -0x1.6b25628239f63p-5, -0x1.665092d7f1671p-5, -0x1.618891f71c039p-5, -0x1.5ccd4eebed06ap-5, -0x1.581eb886464d9p-5, -0x1.537cbd5b93af6p-5, -0x1.4ee74bc8a5a02p-5, -0x1.4a5e51f387f4ep-5, -0x1.45e1bdcd50367p-5, -0x1.41717d13eb9ap-5, -0x1.3d0d7d53ea83p-5, -0x1.38b5abea411dp-5, -0x1.3469f6060b203p-5, -0x1.302a48aa45619p-5, -0x1.2bf690af85fb1p-5, -0x1.27cebac5af86bp-5, -0x1.23b2b3759e042p-5, -0x1.1fa26722d2b09p-5, -0x1.1b9dc20d17c64p-5, -0x1.17a4b052205dbp-5, -0x1.13b71def24161p-5, -0x1.0fd4f6c275761p-5, -0x1.0bfe268d1522cp-5, -0x1.083298f43db22p-5, -0x1.04723982ea91ap-5, -0x1.00bcf3ab5b66ep-5, -0x1.fa25659129417p-6, -0x1.f2e6c43fa822cp-6, -0x1.ebbdd9c40c796p-6, -0x1.e4aa7c5a6edbbp-6, -0x1.ddac821bf260ep-6, -0x1.d6c3c1019263ap-6, -0x1.cff00ee6df61ep-6, -0x1.c931418cb36a4p-6, -0x1.c2872e9bda934p-6, -0x1.bbf1aba7b198dp-6, -0x1.b5708e30bc075p-6, -0x1.af03aba72ba08p-6, -0x1.a8aad96d62d29p-6, -0x1.a265ecda64e43p-6, -0x1.9c34bb3c47885p-6, -0x1.961719da89b4bp-6, -0x1.900cddf86f65ap-6, -0x1.8a15dcd749ad4p-6, -0x1.8431ebb8b59d2p-6, -0x1.7e60dfe0d372bp-6, -0x1.78a28e9871184p-6, -0x1.72f6cd2f29646p-6, -0x1.6d5d70fd7d03ap-6, -0x1.67d64f66d6fa9p-6, -0x1.62613ddb98307p-6, -0x1.5cfe11db04043p-6, -0x1.57aca0f531ce5p-6, -0x1.526cc0cceccafp-6, -0x1.4d3e47198b926p-6, -0x1.482109a8c0881p-6, -0x1.4314de605749cp-6, -0x1.3e199b3ff387p-6, -0x1.392f1662babc2p-6, -0x1.34552600fc854p-6, -0x1.2f8ba071ccdep-6, -0x1.2ad25c2c931f7p-6, -0x1.26292fca935c2p-6, -0x1.218ff2086b128p-6, -0x1.1d0679c784b89p-6, -0x1.188c9e0f80b9fp-6, -0x1.1422360f96b7ep-6, -0x1.0fc7191feda41p-6, -0x1.0b7b1ec2e8987p-6, -0x1.073e1ea669d55p-6, -0x1.030ff0a50f6a5p-6, -0x1.fde0d98ec668dp-7, -0x1.f5bed68a0d46ap-7, -0x1.edb9890ba2403p-7, -0x1.e5d0a245c7cb6p-7, -0x1.de03d3cf7e83p-7, -0x1.d652cfa6829f2p-7, -0x1.cebd48314da66p-7, -0x1.c742f040fd614p-7, -0x1.bfe37b1329eaap-7, -0x1.b89e9c53b07d7p-7, -0x1.b174081e64ed5p-7, -0x1.aa637300c487cp-7, -0x1.a36c91fb7d543p-7, -0x1.9c8f1a8401fe7p-7, -0x1.95cac285fa923p-7, -0x1.8f1f4064af957p-7, -0x1.888c4afc616ecp-7, -0x1.821199a39489p-7, -0x1.7baee42c49c39p-7, -0x1.7563e2e52fd8ap-7, -0x1.6f304e9abfa77p-7, -0x1.6913e098479b1p-7, -0x1.630e52a8f9e18p-7, -0x1.5d1f5f18d774p-7, -0x1.5746c0b59b1efp-7, -0x1.518432cf9947ep-7, -0x1.4bd7713a80bcap-7, -0x1.4640384e2a263p-7, -0x1.40be44e73fca8p-7, -0x1.3b515467ef295p-7, -0x1.35f924b87fb6cp-7, -0x1.30b57447e1007p-7, -0x1.2b86020c34e1cp-7, -0x1.266a8d8342376p-7, -0x1.2162d6b2e6ba9p-7, -0x1.1c6e9e2976b4ap-7, -0x1.178da4fe17e9cp-7, -0x1.12bfacd10aebcp-7, -0x1.0e0477cbf0347p-7, -0x1.095bc8a1ff50bp-7, -0x1.04c5629036965p-7, -0x1.0041095d8003cp-7, -0x1.f79d02b59962cp-8, -0x1.eedb1ec64ada3p-8, -0x1.e63bf1b76a911p-8, -0x1.ddbf07678d009p-8, -0x1.d563ecc97f0ecp-8, -0x1.cd2a2fe419955p-8, -0x1.c5115fd20e6f6p-8, -0x1.bd190cc1a653dp-8, -0x1.b540c7f475adep-8, -0x1.ad8823beeed6bp-8, -0x1.a5eeb387f0ee5p-8, -0x1.9e740bc850cbp-8, -0x1.9717c20a40225p-8, -0x1.8fd96ce8b97abp-8, -0x1.88b8a40ecbbe6p-8, -0x1.81b50036e8574p-8, -0x1.7ace1b2a20aeep-8, -0x1.74038fbf54339p-8, -0x1.6d54f9da52d32p-8, -0x1.66c1f66aece1bp-8, -0x1.604a236c0e8aep-8, -0x1.59ed1fe2b5436p-8, -0x1.53aa8bdce6eabp-8, -0x1.4d8208709df2ap-8, -0x1.477337baae358p-8, -0x1.417dbcdd9c494p-8, -0x1.3ba13c0063ef9p-8, -0x1.35dd5a4d4b77fp-8, -0x1.3031bdf08c11dp-8, -0x1.2a9e0e171eb57p-8, -0x1.2521f2ed558a9p-8, -0x1.1fbd159d81b1bp-8, -0x1.1a6f204e94d45p-8, -0x1.1537be22b261cp-8, -0x1.10169b35c5052p-8, -0x1.0b0b649bf1c43p-8, -0x1.0615c8603285fp-8, -0x1.01357582c1e04p-8, -0x1.f8d437ef16cb6p-9, -0x1.ef66d9493e19ap-9, -0x1.e62232c14f5e9p-9, -0x1.dd05a9e26990bp-9, -0x1.d410a6126308fp-9, -0x1.cb42908e590e5p-9, -0x1.c29ad46780af6p-9, -0x1.ba18de7f9bd85p-9, -0x1.b1bc1d85cbdcdp-9, -0x1.a98401f2f48abp-9, -0x1.a16ffe06608ap-9, -0x1.997f85c24245cp-9, -0x1.91b20ee83ef73p-9, -0x1.8a0710f5d007cp-9, -0x1.827e0520d0ecep-9, -0x1.7b166653d938ep-9, -0x1.73cfb12abb433p-9, -0x1.6ca963eed4a76p-9, -0x1.65a2fe938b3d4p-9, -0x1.5ebc02b29405dp-9, -0x1.57f3f388563dfp-9, -0x1.514a55f054125p-9, -0x1.4abeb06161393p-9, -0x1.44508aea207a5p-9, -0x1.3dff6f2d28d54p-9, -0x1.37cae85d78574p-9, -0x1.31b2833ac1c97p-9, -0x1.2bb5ce0d9e39cp-9, -0x1.25d458a403c19p-9, -0x1.200db44d6a1b9p-9, -0x1.1a6173d7443b3p-9, -0x1.14cf2b891a307p-9, -0x1.0f5671211b844p-9, -0x1.09f6dbd023b7dp-9, -0x1.04b0043648204p-9, -0x1.ff0308bdfe99fp-10, -0x1.f4d5ef7b03b45p-10, -0x1.ead7f652784c7p-10, -0x1.e10859b3c9aa6p-10, -0x1.d76658c8299c2p-10, -0x1.cdf1356b002a1p-10, -0x1.c4a83422ae5bbp-10, -0x1.bb8a9c1965407p-10, -0x1.b297b715cdaf4p-10, -0x1.a9ced173e18fcp-10, -0x1.a12f3a1dd1862p-10, -0x1.98b84284b7f5p-10, -0x1.90693e99af12fp-10, -0x1.884184c665863p-10, -0x1.80406de68b2bdp-10, -0x1.7865554034295p-10, -0x1.70af987d5f993p-10, -0x1.691e97a4ba501p-10, -0x1.61b1b512abf06p-10, -0x1.5a685572a8acbp-10, -0x1.5341dfb815d35p-10, -0x1.4c3dbd17afd46p-10, -0x1.455b59009f37bp-10, -0x1.3e9a2115d7e15p-10, -0x1.37f9852734c8ep-10, -0x1.3178f72b31506p-10, -0x1.2b17eb37bbcccp-10, -0x1.24d5d77c4fb07p-10, -0x1.1eb2343acdb5p-10, -0x1.18ac7bc1779f7p-10, -0x1.12c42a643ea24p-10, -0x1.0cf8be766e11p-10, -0x1.0749b8445975bp-10, -0x1.01b69a0d1bdf8p-10, -0x1.f87dcff854512p-11, -0x1.edc45046d299ap-11, -0x1.e33fc4e94fd5ap-11, -0x1.d8ef4177e01a7p-11, -0x1.ced1dd31dca2cp-11, -0x1.c4e6b2f333de9p-11, -0x1.bb2ce12727c36p-11, -0x1.b1a389bd4e258p-11, -0x1.a849d21dbcf3p-11, -0x1.9f1ee31d3995cp-11, -0x1.9621e8f1aff07p-11, -0x1.8d52132709833p-11, -0x1.84ae949388431p-11, -0x1.7c36a34cd43c9p-11, -0x1.73e9789caf972p-11, -0x1.6bc650f5fd03p-11, -0x1.63cc6be9ff932p-11, -0x1.5bfb0c1d46d23p-11, -0x1.5451773d31f09p-11, -0x1.4ccef5f534ccp-11, -0x1.4572d3e485391p-11, -0x1.3e3c5f93690c8p-11, -0x1.372aea692a8d5p-11, -0x1.303dc8a2082bcp-11, -0x1.297451448b8cap-11, -0x1.22cdde184c3fp-11, -0x1.1c49cb9b76844p-11, -0x1.15e778f97bc87p-11, -0x1.0fa64800db64cp-11, -0x1.09859d1a35f26p-11, -0x1.0384df3e492adp-11, -0x1.fb46efd996519p-12, -0x1.efc1a6468f604p-12, -0x1.e478bea75cd7cp-12, -0x1.d96b1ab6e0c68p-12, -0x1.ce97a0f52c00cp-12, -0x1.c3fd3c9567f9dp-12, -0x1.b99add6c5c70cp-12, -0x1.af6f77dfd40a5p-12, -0x1.a57a04d44142ap-12, -0x1.9bb9819cc60f3p-12, -0x1.922cefea30705p-12, -0x1.88d355ba4813ap-12, -0x1.7fabbd47d08dfp-12, -0x1.76b534f9da983p-12, -0x1.6deecf5440c93p-12, -0x1.6557a2e7c86fbp-12, -0x1.5ceeca426e8f6p-12, -0x1.54b363e02d9p-12, -0x1.4ca4921b8e3b2p-12, -0x1.44c17b1eee393p-12, -0x1.3d0948d575f0ap-12, -0x1.357b28dc5fe96p-12, -0x1.2e164c7500f0fp-12, -0x1.26d9e875a7022p-12, -0x1.1fc5353c3e22ep-12, -0x1.18d76ea0293f1p-12, -0x1.120fd3e42d7a1p-12, -0x1.0b6da7a9847cap-12, -0x1.04f02fe1cfe1ep-12, -0x1.fd2d6b84d60b3p-13, -0x1.f0c10b6d783b3p-13, -0x1.e499dea831b2dp-13, -0x1.d8b68a98e068ap-13, -0x1.cd15bac3fbfc2p-13, -0x1.c1b620b5a2b44p-13, -0x1.b69673e9be9ddp-13, -0x1.abb571b2cb624p-13, -0x1.a111dd233c0dfp-13, -0x1.96aa7ef579738p-13, -0x1.8c7e25742d1eep-13, -0x1.828ba465057cep-13, -0x1.78d1d4f07a997p-13, -0x1.6f4f958c5420bp-13, -0x1.6603c9e5d8e88p-13, -0x1.5ced5acc660efp-13, -0x1.540b361b19354p-13, -0x1.4b5c4ea566535p-13, -0x1.42df9c20d877bp-13, -0x1.3a941b118baedp-13, -0x1.3278ccb5fae17p-13, -0x1.2a8cb6f2c1164p-13, -0x1.22cee43f7106cp-13, -0x1.1b3e6392dc95fp-13, -0x1.13da485094d42p-13, -0x1.0ca1aa360b6f8p-13, -0x1.0593a5479d9fap-13, -0x1.fd5eb37d8b34fp-14, -0x1.efe7d7f0c6e9p-14, -0x1.e2c108c5e0c53p-14, -0x1.d5e89ed8b36d9p-14, -0x1.c95cfae426a28p-14, -0x1.bd1c855eb9cbep-14, -0x1.b125ae58d6481p-14, -0x1.a576ed5d966f4p-14, -0x1.9a0ec15150ceep-14, -0x1.8eebb05195c68p-14, -0x1.840c47973508dp-14, -0x1.796f1b54dc1e5p-14, -0x1.6f12c69b365a6p-14, -0x1.64f5eb393ddf3p-14, -0x1.5b17319fe3f54p-14, -0x1.517548c39367dp-14, -0x1.480ee600bb4cep-14, -0x1.3ee2c4ff462eap-14, -0x1.35efa7968d814p-14, -0x1.2d3455b217383p-14, -0x1.24af9d36f634bp-14, -0x1.1c6051e93750dp-14, -0x1.14454d5168893p-14, -0x1.0c5d6ea30126cp-14, -0x1.04a79aa37c125p-14, -0x1.fa457721b71c3p-15, -0x1.eb9b82131af44p-15, -0x1.dd4f3fe90a329p-15, -0x1.cf5ea4d1231f7p-15, -0x1.c1c7af2c01d25p-15, -0x1.b488675dfc48p-15, -0x1.a79edfa16ec1bp-15, -0x1.9b0933dd105c7p-15, -0x1.8ec58973392d9p-15, -0x1.82d20f1bfbb48p-15, -0x1.772cfcb63655p-15, -0x1.6bd493210de5dp-15, -0x1.60c71c116db7p-15, -0x1.5602e9e8af63ap-15, -0x1.4b86578e689afp-15, -0x1.414fc848b5f6p-15, -0x1.375da79594bd4p-15, -0x1.2dae690487428p-15, -0x1.2440881276169p-15, -0x1.1b1288046a2b3p-15, -0x1.1222f3c2b6a5fp-15, -0x1.09705db734201p-15, -0x1.00f95fa8966ddp-15, -0x1.f1793532a82c3p-16, -0x1.e1716d4a9c6e5p-16, -0x1.d1d8c5c1ebed2p-16, -0x1.c2acaa6f5114ep-16, -0x1.b3ea949c425b3p-16, -0x1.a5900abef4673p-16, -0x1.979aa041ad45ep-16, -0x1.8a07f5435865dp-16, -0x1.7cd5b65bd04a9p-16, -0x1.70019c60c60edp-16, -0x1.63896c2c05a91p-16, -0x1.576af66277b27p-16, -0x1.4ba4173c1321cp-16, -0x1.4032b64b910e6p-16, -0x1.3514c64aa15ebp-16, -0x1.2a4844e34079fp-16, -0x1.1fcb3a7a69bc7p-16, -0x1.159bb9fd3b613p-16, -0x1.0bb7e0b052f4ap-16, -0x1.021dd5fabb978p-16, -0x1.f197967017c61p-17, -0x1.df7ff70c9ff6dp-17, -0x1.cdf15730bafddp-17, -0x1.bce853090bd4ep-17, -0x1.ac61993882eeap-17, -0x1.9c59ea7488d3ep-17, -0x1.8cce1930d208dp-17, -0x1.7dbb094a354e6p-17, -0x1.6f1dafafe728bp-17, -0x1.60f31210202d9p-17, -0x1.53384685b28d8p-17, -0x1.45ea73481035ap-17, -0x1.3906ce5be4a91p-17, -0x1.2c8a9d46f80dep-17, -0x1.207334bff0907p-17, -0x1.14bdf8656fa6fp-17, -0x1.09685a735dfb2p-17, -0x1.fcdfb6f947939p-18, -0x1.e7a41441cb92p-18, -0x1.d319058f9649cp-18, -0x1.bf39deba3cc96p-18, -0x1.ac020e1897814p-18, -0x1.996d1bff9c391p-18, -0x1.8776aa366e321p-18, -0x1.761a73821b7cp-18, -0x1.65544b22f2f55p-18, -0x1.55201c5703d42p-18, -0x1.4579e9e1b728ap-18, -0x1.365dcd9a82166p-18, -0x1.27c7f7f01bd0ep-18, -0x1.19b4af79a14abp-18, -0x1.0c205088a134dp-18, -0x1.fe0e9969256bcp-19, -0x1.e4cc54df90f0bp-19, -0x1.cc7309415ea43p-19, -0x1.b4fc1468e4536p-19, -0x1.9e60fb76fe287p-19, -0x1.889b6a02cc1e4p-19, -0x1.73a5315808a59p-19, -0x1.5f7847b29071bp-19, -0x1.4c0ec780d776ap-19, -0x1.3962eea79efddp-19, -0x1.276f1dc85c065p-19, -0x1.162dd78df3ce1p-19, -0x1.0599bff63edcfp-19, -0x1.eb5b37644e4ecp-20, -0x1.ccc89ed7996d2p-20, -0x1.af71be468f6d8p-20, -0x1.934cdb1599233p-20, -0x1.785076d0e5d5p-20, -0x1.5e734de5ccc29p-20, -0x1.45ac5662c1ed8p-20, -0x1.2df2bedd770c5p-20, -0x1.173ded3c918e3p-20, -0x1.01857d890ae43p-20, -0x1.d98281a0ff179p-21, -0x1.b1d2782c0dd83p-21, -0x1.8beb4e577e466p-21, -0x1.67bdd75d16605p-21, -0x1.453b47e4c8f2ep-21, -0x1.2455340530508p-21, -0x1.04fd8d2ffdd6ap-21, -0x1.ce4d40966b955p-22, -0x1.9586276c92d93p-22, -0x1.5f8bcaa83bbf1p-22, -0x1.2c44d1943e344p-22, -0x1.f73116a0f2042p-23, -0x1.9addd61ddefe7p-23, -0x1.436109586edcp-23, -0x1.e11a24d1ab6abp-24, -0x1.446b0e40cd6f3p-24, -0x1.60bca92e7c99dp-25, -0x1.24fe52aae327fp-27, 0x1.7c89f7f1835c9p-26, 0x1.b6707be65afebp-25, 0x1.4fef07f27464p-24, 0x1.bd9253285acdp-24, 0x1.1235c3b770667p-23, 0x1.4261045e969f4p-23, 0x1.6f6da141b373bp-23, 0x1.997d596d349p-23, 0x1.c0b0fad4919ccp-23, 0x1.e52867927b578p-23, 0x1.03814d94b2fe1p-22, 0x1.132ed7c815521p-22, 0x1.21ab71469a438p-22, 0x1.2f054d46bb9b8p-22, 0x1.3b4a359a2f6b3p-22, 0x1.46878d4d13efep-22, 0x1.50ca52c545192p-22, 0x1.5a1f222cd13fbp-22, 0x1.629237a2f9cffp-22, 0x1.6a2f7174b5a41p-22, 0x1.7102523afc729p-22, 0x1.7716030a77bccp-22, 0x1.7c755568100ap-22, 0x1.812ac56aeb93p-22, 0x1.85407bae6717cp-22, 0x1.88c04f3d987ffp-22, 0x1.8bb3c79f1577ep-22, 0x1.8e241e7ef9aa9p-22, 0x1.901a41a557cp-22, 0x1.919ed4b15d9d2p-22, 0x1.92ba32f2f74c5p-22, 0x1.9374710eb2038p-22, 0x1.93d55eb4dfac1p-22, 0x1.93e488511024fp-22, 0x1.93a938a97df7fp-22, 0x1.932a7a64f1884p-22, 0x1.926f19a2cc5f3p-22, 0x1.917da58991f6dp-22, 0x1.905c71b8b37e7p-22, 0x1.8f1197c736fb8p-22, 0x1.8da2f8af00dadp-22, 0x1.8c163e3bf268ep-22, 0x1.8a70dc5e471eap-22, 0x1.88b8127d1cd14p-22, 0x1.86f0ece00e87bp-22, 0x1.852045ec1e2edp-22, 0x1.834ac765441ddp-22, 0x1.8174ebb89a118p-22, 0x1.7fa2ff1b0828fp-22, 0x1.7dd920d24eba1p-22, 0x1.7c1b444a35684p-22, 0x1.7a6d3243a84bap-22, 0x1.78d289f12b625p-22, 0x1.774ec20a28a84p-22, 0x1.75e529d431529p-22, 0x1.7498ea36f089fp-22, 0x1.736d06ce893d4p-22, 0x1.72645edc1ebf5p-22, }}, 
      {{0x1.da170c5a349cfp-16, 0x1.d9c3a81952dd9p-14, 0x1.0a3de3bf5fd7ep-12, 0x1.d8de07b0202b8p-12, 0x1.712a4ee33bbcep-11, 0x1.09bd4fab1859ap-10, 0x1.69df31e67cc4dp-10, 0x1.d947d542904fdp-10, 0x1.2c3184d46560cp-9, 0x1.73dd25fbd686fp-9, 0x1.c3f90871718a6p-9, 0x1.0e7179f055c9p-8, 0x1.3f80f56fc21ep-8, 0x1.7561ce5dad95p-8, 0x1.b04cde3fa9bbbp-8, 0x1.f07bac38860afp-8, 0x1.1b139212c8f13p-7, 0x1.40c33100e3393p-7, 0x1.6966cc2cf97b6p-7, 0x1.95168b502dfep-7, 0x1.c3e83928f022bp-7, 0x1.f5eeea1a14aecp-7, 0x1.159d5a60b1911p-6, 0x1.31ec3ded832aep-6, 0x1.4fe8e429d9bdep-6, 0x1.6f96590ded46cp-6, 0x1.90f5eb0ef5d32p-6, 0x1.b4072bd2822f3p-6, 0x1.d8c7f5c1de3b4p-6, 0x1.ff3475ae95afdp-6, 0x1.13a39be4af71bp-5, 0x1.287c9b9fd9594p-5, 0x1.3e20f7f50e492p-5, 0x1.548bb8c569db9p-5, 0x1.6bb73a188e0bcp-5, 0x1.839d36b4915eep-5, 0x1.9c36d2f8924dcp-5, 0x1.b57ca7dd85379p-5, 0x1.cf66ce0702d82p-5, 0x1.e9ece8d299587p-5, 0x1.028318abfb52fp-4, 0x1.1054c0a77e923p-4, 0x1.1e66aee96a948p-4, 0x1.2cb400fd34773p-4, 0x1.3b37b49fc7222p-4, 0x1.49ecacd740a6dp-4, 0x1.58cdb6ebde0dep-4, 0x1.67d58f3f0bd3p-4, 0x1.76fee5fdb072bp-4, 0x1.864463aab5e3dp-4, 0x1.95a0ad7ef356p-4, 0x1.a50e699ba296cp-4, 0x1.b488430cba672p-4, 0x1.c408ed98bbd48p-4, 0x1.d38b295ba1b9ap-4, 0x1.e309c62b15d48p-4, 0x1.f27fa6c2556a6p-4, 0x1.00f3e1da2e3e3p-3, 0x1.089e9711d673bp-3, 0x1.103d891f88ac4p-3, 0x1.17ce5cc1ad29ep-3, 0x1.1f4ec661288ecp-3, 0x1.26bc8af7d1e62p-3, 0x1.2e1580da68513p-3, 0x1.35579066b0599p-3, 0x1.3c80b4969a17p-3, 0x1.438efb7963cfep-3, 0x1.4a808693da77dp-3, 0x1.51538b28d9715p-3, 0x1.5806526b64233p-3, 0x1.5e97399baeab4p-3, 0x1.6504b2106d9c2p-3, 0x1.6b4d412dee0adp-3, 0x1.716f804c6051ep-3, 0x1.776a1c8ec99e1p-3, 0x1.7d3bd6ac06a9bp-3, 0x1.82e382ab60ec8p-3, 0x1.8860079600195p-3, 0x1.8db05f1ea3328p-3, 0x1.92d39540e241ep-3, 0x1.97c8c7d93f0bdp-3, 0x1.9c8f26372eec2p-3, 0x1.a125f0aa3d7f7p-3, 0x1.a58c780b49d23p-3, 0x1.a9c21d42ed011p-3, 0x1.adc650cdd57b7p-3, 0x1.b198924004666p-3, 0x1.b5386fc79c2a7p-3, 0x1.b8a585aff7231p-3, 0x1.bbdf7de5a5a3bp-3, 0x1.bee60f7bd2de7p-3, 0x1.c1b8fe339c87fp-3, 0x1.c4581a05b60f6p-3, 0x1.c6c33eaebd736p-3, 0x1.c8fa533e8650ap-3, 0x1.cafd49aaa1875p-3, 0x1.cccc1e644e54fp-3, 0x1.ce66d7f1f48bcp-3, 0x1.cfcd868c5302ap-3, 0x1.d10043bf5dd71p-3, 0x1.d1ff320eededbp-3, 0x1.d2ca7c9f2207dp-3, 0x1.d36256e0892cep-3, 0x1.d3c6fc3ff2583p-3, 0x1.d3f8afd9d51ap-3, 0x1.d3f7bc313d2e3p-3, 0x1.d3c472ea14f92p-3, 0x1.d35f2c86b8ec3p-3, 0x1.d2c84828a1afp-3, 0x1.d2002b540ff19p-3, 0x1.d10741b6827cp-3, 0x1.cfddfcefdf9e7p-3, 0x1.ce84d45e138bdp-3, 0x1.ccfc44eb0cc24p-3, 0x1.cb44d0dce0d84p-3, 0x1.c95effa7f59eap-3, 0x1.c74b5dc3053f7p-3, 0x1.c50a7c7cca55ep-3, 0x1.c29cf1d345ebfp-3, 0x1.c003584c58ff8p-3, 0x1.bd3e4ecfab66fp-3, 0x1.ba4e7881a362ep-3, 0x1.b7347c9f63506p-3, 0x1.b3f1065b99948p-3, 0x1.b084c4bc15909p-3, 0x1.acf06a77f9284p-3, 0x1.a934add6737fep-3, 0x1.a552488deef51p-3, 0x1.a149f7a390047p-3, 0x1.9d1c7b4b01969p-3, 0x1.98ca96c66c67p-3, 0x1.94551046927bdp-3, 0x1.8fbcb0cafdf6fp-3, 0x1.8b02440231a9fp-3, 0x1.86269829d1befp-3, 0x1.812a7deec5588p-3, 0x1.7c0ec84d2c363p-3, 0x1.76d44c7048eap-3, 0x1.717be1923727fp-3, 0x1.6c0660db7a80bp-3, 0x1.6674a5426749ap-3, 0x1.60c78b6a50957p-3, 0x1.5afff18294c03p-3, 0x1.551eb72571afcp-3, 0x1.4f24bd36b17f4p-3, 0x1.4912e5c225e85p-3, 0x1.42ea13da0948cp-3, 0x1.3cab2b752e66cp-3, 0x1.3657114d1cda6p-3, 0x1.2feeaabc1070bp-3, 0x1.2972dd9ae7d7fp-3, 0x1.22e4901f0539bp-3, 0x1.1c44a8b830963p-3, 0x1.15940dee777d3p-3, 0x1.0ed3a6401bba6p-3, 0x1.080457ff93995p-3, 0x1.01270931a8f2ep-3, 0x1.f4793ed775118p-4, 0x1.e68bff645d45ap-4, 0x1.d8881cae2c1b3p-4, 0x1.ca6f5db2373e6p-4, 0x1.bc438785580ffp-4, 0x1.ae065d1303d32p-4, 0x1.9fb99edcf9649p-4, 0x1.915f0abbd15a1p-4, 0x1.82f85ba05c515p-4, 0x1.74874955eaddap-4, 0x1.660d88459ab49p-4, 0x1.578cc93aab354p-4, 0x1.4906b927ef1b6p-4, 0x1.3a7d00ee7268bp-4, 0x1.2bf14525512e8p-4, 0x1.1d6525e2e454ap-4, 0x1.0eda3e873d554p-4, 0x1.005225880e7b4p-4, 0x1.e39cd87c091fep-5, 0x1.c6a13d6730f61p-5, 0x1.a9b486eae2368p-5, 0x1.8cd9b6c8aff72p-5, 0x1.7013c31187108p-5, 0x1.536595d01f23fp-5, 0x1.36d20cb6c18fp-5, 0x1.1a5bf8d077886p-5, 0x1.fc0c3c6b5dc58p-6, 0x1.c3a66788cf819p-6, 0x1.8b8bc5b7cb31bp-6, 0x1.53c18e37f637dp-6, 0x1.1c4cdc4fdaf48p-6, 0x1.ca655db3d84p-7, 0x1.5cefcfb1d1aa8p-7, 0x1.e085304d6b7dcp-8, 0x1.08ce0ada68fcap-8, 0x1.9662a01dad3e1p-11, -0x1.42dc906777d84p-9, -0x1.73d097dc1ba38p-8, -0x1.2224f20c7fe5fp-7, -0x1.8964f9026b287p-7, -0x1.efa081bbf4dabp-7, -0x1.2a67f5ecc92adp-6, -0x1.5c75eafbbeb2ap-6, -0x1.8df68ef3acddap-6, -0x1.bee6706e233a4p-6, -0x1.ef423dc4bd2dep-6, -0x1.0f83628ce70b9p-5, -0x1.27187a2d52384p-5, -0x1.3e5eec9dae1abp-5, -0x1.555550963a4e5p-5, -0x1.6bfa4ca523b52p-5, -0x1.824c9723411bfp-5, -0x1.984af625e64f9p-5, -0x1.adf43f6dd7d81p-5, -0x1.c347585377461p-5, -0x1.d84335b0497f8p-5, -0x1.ece6dbc5c573fp-5, -0x1.0098af10d573ep-4, -0x1.0a90efbfec9f1p-4, -0x1.145bc8d4e18e1p-4, -0x1.1df8daa9cb95fp-4, -0x1.2767ccfb9852ap-4, -0x1.30a84ed671a8p-4, -0x1.39ba16811c687p-4, -0x1.429ce1675de02p-4, -0x1.4b5074036c7e5p-4, -0x1.53d499c67d342p-4, -0x1.5c29250074923p-4, -0x1.644deec6c57f8p-4, -0x1.6c42d6da89252p-4, -0x1.7407c38de52cp-4, -0x1.7b9ca1a8b0a3dp-4, -0x1.8301644c7fddp-4, -0x1.8a3604d813294p-4, -0x1.913a82ca29bdfp-4, -0x1.980ee3a3dbbbbp-4, -0x1.9eb332ca6c64ep-4, -0x1.a5278168ac9f7p-4, -0x1.ab6be64ff2533p-4, -0x1.b1807dd8b1a9ep-4, -0x1.b76569c2c3194p-4, -0x1.bd1ad1154f5bp-4, -0x1.c2a0dffe869d7p-4, -0x1.c7f7c7b30dd15p-4, -0x1.cd1fbe4d48c87p-4, -0x1.d218feac6884p-4, -0x1.d6e3c8536628fp-4, -0x1.db805f47dc87ap-4, -0x1.dfef0bf0ce491p-4, -0x1.e4301af566d5dp-4, -0x1.e843dd1bb979fp-4, -0x1.ec2aa72772764p-4, -0x1.efe4d1b8b5ceep-4, -0x1.f372b92aec829p-4, -0x1.f6d4bd73ba379p-4, -0x1.fa0b4202199d4p-4, -0x1.fd16ad9d8de96p-4, -0x1.fff76a458adedp-4, -0x1.0156f2888001dp-3, -0x1.029d470717be2p-3, -0x1.03ceec11540b2p-3, -0x1.04ec1c75c73e6p-3, -0x1.05f5144f1584dp-3, -0x1.06ea10f45c56bp-3, -0x1.07cb50e9c6c8p-3, -0x1.089913d14182fp-3, -0x1.09539a5b68d09p-3, -0x1.09fb2638964c4p-3, -0x1.0a8ffa0a20b95p-3, -0x1.0b125953d2634p-3, -0x1.0b82886d88d44p-3, -0x1.0be0cc75113dbp-3, -0x1.0c2d6b402ffa4p-3, -0x1.0c68ab4ee6842p-3, -0x1.0c92d3bdeff3ep-3, -0x1.0cac2c3971657p-3, -0x1.0cb4fcefe9b18p-3, -0x1.0cad8e8557b0bp-3, -0x1.0c962a06a276ep-3, -0x1.0c6f18dd32d09p-3, -0x1.0c38a4c2da28p-3, -0x1.0bf317b5e7284p-3, -0x1.0b9ebbed83615p-3, -0x1.0b3bdbce4bdc2p-3, -0x1.0acac1df2d68ep-3, -0x1.0a4bb8be79391p-3, -0x1.09bf0b173fd7ep-3, -0x1.09250396ee1b4p-3, -0x1.087dece322602p-3, -0x1.07ca118fcc8b5p-3, -0x1.0709bc158817ep-3, -0x1.063d36c83ac24p-3, -0x1.0564cbcdf0c5p-3, -0x1.0480c515fdb25p-3, -0x1.03916c505ca25p-3, -0x1.02970ae54df3dp-3, -0x1.0191e9ed3a8a6p-3, -0x1.00825228d2dcap-3, -0x1.fed117f2de33dp-4, -0x1.fc89beb36290dp-4, -0x1.fa2f27acbd9b2p-4, -0x1.f7c1e10f042e9p-4, -0x1.f5427813875f2p-4, -0x1.f2b178f003878p-4, -0x1.f00f6eca4fc43p-4, -0x1.ed5ce3ac7e055p-4, -0x1.ea9a607974839p-4, -0x1.e7c86ce207a12p-4, -0x1.e4e78f5a78119p-4, -0x1.e1f84d106de8dp-4, -0x1.defb29e16b4aep-4, -0x1.dbf0a851a19f9p-4, -0x1.d8d9498343ae1p-4, -0x1.d5b58d2e3a3c3p-4, -0x1.d285f198504e9p-4, -0x1.cf4af38dc1ecdp-4, -0x1.cc050e5a30ee6p-4, -0x1.c8b4bbc20de3ap-4, -0x1.c55a73fc53ad4p-4, -0x1.c1f6adacbab4cp-4, -0x1.be89ddde4258p-4, -0x1.bb1477fe1954bp-4, -0x1.b796edd6edfedp-4, -0x1.b411af8c8f63ap-4, -0x1.b0852b97f475cp-4, -0x1.acf1cec394257p-4, -0x1.a958042813ad1p-4, -0x1.a5b835295760fp-4, -0x1.a212c973d4978p-4, -0x1.9e6826fa3f0b2p-4, -0x1.9ab8b1f388ebap-4, -0x1.9704ccd92a021p-4, -0x1.934cd865b1c5ep-4, -0x1.8f913393ab6c9p-4, -0x1.8bd23b9cc2b73p-4, -0x1.88104bf933298p-4, -0x1.844bbe5f7939cp-4, -0x1.8084eac447c2ep-4, -0x1.7cbc275abdac1p-4, -0x1.78f1c894d9aadp-4, -0x1.752621242ae2bp-4, -0x1.715981fac0addp-4, -0x1.6d8c3a4c4c5acp-4, -0x1.69be978f826d1p-4, -0x1.65f0e57fabe45p-4, -0x1.62236e1e6f478p-4, -0x1.5e5679b5c9e4ap-4, -0x1.5a8a4eda3aac2p-4, -0x1.56bf326d1b7dep-4, -0x1.52f5679f288dcp-4, -0x1.4f2d2ff330112p-4, -0x1.4b66cb40f199cp-4, -0x1.47a277b8209eep-4, -0x1.43e071e38e9c8p-4, -0x1.4020f4ac7e2f4p-4, -0x1.3c64395e12564p-4, -0x1.38aa77a8e6b2bp-4, -0x1.34f3e5a6c3929p-4, -0x1.3140b7de7449bp-4, -0x1.2d912147b6861p-4, -0x1.29e5534f4ae35p-4, -0x1.263d7ddb1af5bp-4, -0x1.2299cf4e7d0eap-4, -0x1.1efa748e8ad5cp-4, -0x1.1b5f99069541bp-4, -0x1.17c966aca2f28p-4, -0x1.143806060e09cp-4, -0x1.10ab9e2c2cea3p-4, -0x1.0d2454d10d43dp-4, -0x1.09a24e444387dp-4, -0x1.0625ad77c21a2p-4, -0x1.02ae9404c1ed5p-4, -0x1.fe7a446177511p-5, -0x1.f7a2ede4c73a4p-5, -0x1.f0d75fed6acaap-5, -0x1.ea17d34c0fe7dp-5, -0x1.e3647e525594cp-5, -0x1.dcbd94dd0c589p-5, -0x1.d623485e8d2a1p-5, -0x1.cf95c7e913e05p-5, -0x1.c915403923229p-5, -0x1.c2a1dbbff44f6p-5, -0x1.bc3bc2ade32a1p-5, -0x1.b5e31afce57f3p-5, -0x1.af98087afe35fp-5, -0x1.a95aacd4b0bb8p-5, -0x1.a32b279f795b8p-5, -0x1.9d09966438edep-5, -0x1.96f614a9a2a13p-5, -0x1.90f0bbfe9cc01p-5, -0x1.8af9a404a5affp-5, -0x1.8510e27a21028p-5, -0x1.7f368b44a9ce4p-5, -0x1.796ab07b4afe2p-5, -0x1.73ad6270b475cp-5, -0x1.6dfeafbd6223dp-5, -0x1.685ea549adf7p-5, -0x1.62cd4e57dc32bp-5, -0x1.5d4ab48e05a25p-5, -0x1.57d6e000087bbp-5, -0x1.5271d7394eaf8p-5, -0x1.4d1b9f4690004p-5, -0x1.47d43bbf768b5p-5, -0x1.429baed0348b1p-5, -0x1.3d71f942fe4d3p-5, -0x1.38571a8971297p-5, -0x1.334b10c5e2e5p-5, -0x1.2e4dd8d4954a9p-5, -0x1.295f6e54d397fp-5, -0x1.247fcbb1f1a92p-5, -0x1.1faeea2c403b9p-5, -0x1.1aecc1e1d0fcfp-5, -0x1.163949d72d3cp-5, -0x1.119477fff0731p-5, -0x1.0cfe41473f496p-5, -0x1.087699982db12p-5, -0x1.03fd73e5fce92p-5, -0x1.ff2584688a2dp-6, -0x1.f66ceb3df1bcbp-6, -0x1.edd0fcc4acb36p-6, -0x1.e55197c562ab7p-6, -0x1.dcee996841738p-6, -0x1.d4a7dd441f8f4p-6, -0x1.cc7d3d6d6aa5fp-6, -0x1.c46e9284c0168p-6, -0x1.bc7bb3c55e242p-6, -0x1.b4a477134ec4cp-6, -0x1.ace8b109596eep-6, -0x1.a5483506a6ccap-6, -0x1.9dc2d53c440f1p-6, -0x1.965862ba47431p-6, -0x1.8f08ad7ccda56p-6, -0x1.87d38478b014dp-6, -0x1.80b8b5a7ffebap-6, -0x1.79b80e163ee41p-6, -0x1.72d159ec5f64fp-6, -0x1.6c04647c84c4ep-6, -0x1.6550f84d89262p-6, -0x1.5eb6df263b8b7p-6, -0x1.5835e21870e3dp-6, -0x1.51cdc98bd7295p-6, -0x1.4b7e5d48713e6p-6, -0x1.4547648104b81p-6, -0x1.3f28a5dd20eb5p-6, -0x1.3921e78307b8p-6, -0x1.3332ef21515ddp-6, -0x1.2d5b81f853cd2p-6, -0x1.279b64e35313fp-6, -0x1.21f25c6176af5p-6, -0x1.1c602c9e906b4p-6, -0x1.16e4997b9d97ep-6, -0x1.117f66971594ep-6, -0x1.0c305755022d4p-6, -0x1.06f72ee6eaea8p-6, -0x1.01d3b0536bf5ap-6, -0x1.f98b3cfb87a6dp-7, -0x1.ef99785a1d958p-7, -0x1.e5d1982692984p-7, -0x1.dc3321a87be0ep-7, -0x1.d2bd9a183e0d8p-7, -0x1.c97086ac03bfbp-7, -0x1.c04b6ca45fc2p-7, -0x1.b74dd158437afp-7, -0x1.ae773a40f82fcp-7, -0x1.a5c72d05766eep-7, -0x1.9d3d2f856d417p-7, -0x1.94d8c7e3fa8cbp-7, -0x1.8c997c92160bfp-7, -0x1.847ed45865b35p-7, -0x1.7c88566106d04p-7, -0x1.74b58a40dcb95p-7, -0x1.6d05f8007cf96p-7, -0x1.65792824e8d07p-7, -0x1.5e0ea3b7da57p-7, -0x1.56c5f44fcf7acp-7, -0x1.4f9ea417cd35ap-7, -0x1.48983dd6b936cp-7, -0x1.41b24cf675c27p-7, -0x1.3aec5d8ae2b1bp-7, -0x1.3445fc5826c6fp-7, -0x1.2dbeb6d92c862p-7, -0x1.27561b4586114p-7, -0x1.210bb8971d3a6p-7, -0x1.1adf1e8fc456cp-7, -0x1.14cfddbe50dadp-7, -0x1.0edd8783a8ba3p-7, -0x1.0907ae175bad1p-7, -0x1.034de48c1fbefp-7, -0x1.fb5f7da841f1p-8, -0x1.f059a389d4992p-8, -0x1.e58966363bed7p-8, -0x1.daedf2fc5733bp-8, -0x1.d0867907010e6p-8, -0x1.c652296381c66p-8, -0x1.bc50370726df8p-8, -0x1.b27fd6d512b18p-8, -0x1.a8e03fa2d2b7dp-8, -0x1.9f70aa3d72038p-8, -0x1.9630516d95aabp-8, -0x1.8d1e71fb7848cp-8, -0x1.843a4ab269a62p-8, -0x1.7b831c6431f14p-8, -0x1.72f829ebec2c8p-8, -0x1.6a98b8308761p-8, -0x1.62640e2737369p-8, -0x1.5a5974d54cd48p-8, -0x1.527837520a212p-8, -0x1.4abfa2c7b74abp-8, -0x1.432f06750f01cp-8, -0x1.3bc5b3ae13d4ep-8, -0x1.3482fddc51361p-8, -0x1.2d663a7f7beb7p-8, -0x1.266ec12d73bf9p-8, -0x1.1f9beb921a692p-8, -0x1.18ed156ed962p-8, -0x1.12619c9a2776p-8, -0x1.0bf8e0fe85ce1p-8, -0x1.05b24499be008p-8, -0x1.ff1a56f698ec2p-9, -0x1.f311f7866437dp-9, -0x1.e74a3b40c0624p-9, -0x1.dbc1f69d263c8p-9, -0x1.d0780229aceefp-9, -0x1.c56b3a860041bp-9, -0x1.ba9a805f12eabp-9, -0x1.b004b86a61f61p-9, -0x1.a5a8cb604bbd6p-9, -0x1.9b85a5f71e64bp-9, -0x1.919a38dd15e01p-9, -0x1.87e578b250669p-9, -0x1.7e665e02b5f34p-9, -0x1.751be53f76806p-9, -0x1.6c050eb81e6c8p-9, -0x1.6320de93caf6fp-9, -0x1.5a6e5cca4296p-9, -0x1.51ec951c68eb9p-9, -0x1.499a970caad83p-9, -0x1.417775d78e056p-9, -0x1.3982486b8d6b6p-9, -0x1.31ba29619b58bp-9, -0x1.2a1e36f414e8p-9, -0x1.22ad92f7ab0cep-9, -0x1.1b6762d1f536p-9, -0x1.144acf716b18cp-9, -0x1.0d570544cc1efp-9, -0x1.068b3432094bp-9, -0x1.ffcd1f1b7b121p-10, -0x1.f2d09c242aa4bp-10, -0x1.e61f53aba72e5p-10, -0x1.d9b7c0868b894p-10, -0x1.cd98641e2426bp-10, -0x1.c1bfc65e24703p-10, -0x1.b62c75a23b836p-10, -0x1.aadd06a291b39p-10, -0x1.9fd0146264baep-10, -0x1.9504401c342c1p-10, -0x1.8a78312f7b55p-10, -0x1.802a950d37c27p-10, -0x1.761a1f25ae65ap-10, -0x1.6c4588d5107ddp-10, -0x1.62ab91506e32bp-10, -0x1.594afd92e179cp-10, -0x1.5022984a92b3fp-10, -0x1.473131c599442p-10, -0x1.3e759fdf0ecfbp-10, -0x1.35eebdec35a31p-10, -0x1.2d9b6ca942c3bp-10, -0x1.257a9227592p-10, -0x1.1d8b19b87ed57p-10, -0x1.15cbf3de31805p-10, -0x1.0e3c16354dfefp-10, -0x1.06da7b64d52b1p-10, -0x1.ff4c4614786bbp-11, -0x1.f13c234fab772p-11, -0x1.e382a123a5538p-11, -0x1.d61ddbb8f030dp-11, -0x1.c90bf893675d4p-11, -0x1.bc4b266e8216dp-11, -0x1.afd99d18a1b61p-11, -0x1.a3b59d50bae0dp-11, -0x1.97dd70a1622dep-11, -0x1.8c4f693efb537p-11, -0x1.8109e1e3d8493p-11, -0x1.760b3dae3e5aep-11, -0x1.6b51e7fd82d7fp-11, -0x1.60dc54510cccfp-11, -0x1.56a8fe24af5e9p-11, -0x1.4cb668d123903p-11, -0x1.43031f6946f41p-11, -0x1.398db49a2a084p-11, -0x1.3054c28a3717dp-11, -0x1.2756eab8b2479p-11, -0x1.1e92d5ddd576p-11, -0x1.160733cbbbb8cp-11, -0x1.0db2bb4e69a57p-11, -0x1.05942a0d28b92p-11, -0x1.fb5488d78840ep-12, -0x1.ebe7aad8911a4p-12, -0x1.dcdf5d21ba158p-12, -0x1.ce394f7d61979p-12, -0x1.bff33e400f91bp-12, -0x1.b20af20f0c021p-12, -0x1.a47e3fa7ef679p-12, -0x1.974b07a791faep-12, -0x1.8a6f3651b79b7p-12, -0x1.7de8c35b0b81ap-12, -0x1.71b5b1b1dd8a1p-12, -0x1.65d40f4936eep-12, -0x1.5a41f4e31e785p-12, -0x1.4efd85dcb0331p-12, -0x1.4404efface34ap-12, -0x1.39566b374db9cp-12, -0x1.2ef0398dbbc32p-12, -0x1.24d0a6cb8cc04p-12, -0x1.1af6085e33d93p-12, -0x1.115ebd2310654p-12, -0x1.08092d3900779p-12, -0x1.fde793a0e2076p-13, -0x1.ec3a19fd0b7a4p-13, -0x1.db06f31dfed14p-13, -0x1.ca4b35b096704p-13, -0x1.ba04091dc41edp-13, -0x1.aa2ea5351189ep-13, -0x1.9ac851d71a773p-13, -0x1.8bce66a162a6p-13, -0x1.7d3e4a9d5ca42p-13, -0x1.6f1573edad601p-13, -0x1.6151677dd8b97p-13, -0x1.53efb8b52c882p-13, -0x1.46ee09293f8d4p-13, -0x1.3a4a085137737p-13, -0x1.2e01733bc7106p-13, -0x1.221214464b14bp-13, -0x1.1679c2d1db6a1p-13, -0x1.0b3662ffda333p-13, -0x1.0045e569ddd8cp-13, -0x1.eb4c8dbb05c5ap-14, -0x1.d6ab2034bbb64p-14, -0x1.c2a3ab1e5542ap-14, -0x1.af326e3071993p-14, -0x1.9c53bf7fabb8cp-14, -0x1.8a040b01477cp-14, -0x1.783fd20cf4d9fp-14, -0x1.6703aae835dbap-14, -0x1.564c404c6ceb6p-14, -0x1.461650f45f675p-14, -0x1.365eaf29c4187p-14, -0x1.27224054f1273p-14, -0x1.185dfc8ebe751p-14, -0x1.0a0eee3647d53p-14, -0x1.f864630afac5p-15, -0x1.dd89e85948791p-15, -0x1.c388e9cfdea22p-15, -0x1.aa5c0640be459p-15, -0x1.91fdfd0c6d4c6p-15, -0x1.7a69ad6a7f5f1p-15, -0x1.639a15a8fc7d5p-15, -0x1.4d8a5277c2b71p-15, -0x1.38359e31ddd68p-15, -0x1.2397502c468c5p-15, -0x1.0faadc0ce64c5p-15, -0x1.f8d7a23ca02fcp-16, -0x1.d3abb3543d1e8p-16, -0x1.afc974b1942f8p-16, -0x1.8d28a326cac9ep-16, -0x1.6bc12dc6496f7p-16, -0x1.4b8b34b84294ep-16, -0x1.2c7f0813efec4p-16, -0x1.0e9526b708fedp-16, -0x1.e38c7a5493f34p-17, -0x1.ac1649143e531p-17, -0x1.76b9c2f00617p-17, -0x1.43694613765a9p-17, -0x1.1217838980ed6p-17, -0x1.c56efa8ef71c1p-18, -0x1.6a790858fb7c3p-18, -0x1.13346c491eac9p-18, -0x1.7f11f10a058cap-19, -0x1.bd7c47bcf345fp-20, -0x1.14fd63ad1827ap-21, 0x1.365dc297fd26ep-21, 0x1.b3e452704a8b8p-20, 0x1.5ffbb77e4209p-19, 0x1.dfddfed2ef401p-19, 0x1.2ce0f2cac62f1p-18, 0x1.66e7adc5cba49p-18, 0x1.9e16afdcbaa28p-18, 0x1.d281033bfa11bp-18, 0x1.021c9fca31cdcp-17, 0x1.19a8c678135e5p-17, 0x1.2fedd336b5035p-17, 0x1.44f46e763b442p-17, 0x1.58c50cdfe79c5p-17, 0x1.6b67f098af876p-17, 0x1.7ce52a7f7f046p-17, 0x1.8d449b6afeb9ep-17, 0x1.9c8df55c3635p-17, 0x1.aac8bc9b593ap-17, 0x1.b7fc48dfe8adbp-17, 0x1.c42fc670a12e1p-17, 0x1.cf6a373079a1bp-17, 0x1.d9b273afcdab9p-17, 0x1.e30f2c302c457p-17, 0x1.eb86e9a36bc79p-17, 0x1.f3200eac6151cp-17, 0x1.f9e0d8849cc28p-17, 0x1.ffcf5feeeaa82p-17, 0x1.0278cd133c312p-16, 0x1.04a6acdc225p-16, 0x1.067427aed97d1p-16, 0x1.07e4056a369f1p-16, 0x1.08f8fdd90a40fp-16, 0x1.09b5b9115c88dp-16, 0x1.0a1ccfdc4a78ep-16, 0x1.0a30cc14f1325p-16, 0x1.09f4290742e1cp-16, 0x1.096953ca0a0bdp-16, 0x1.0892ab95796c1p-16, 0x1.0772822293e0fp-16, 0x1.060b1bf53c375p-16, 0x1.045eb0b21a428p-16, 0x1.026f6b6f04fefp-16, 0x1.003f6afeb72e4p-16, 0x1.fba184813e8b7p-17, 0x1.f64af0cbb69c1p-17, 0x1.f07f127a7af78p-17, 0x1.ea41cae965885p-17, 0x1.e396e5c003a3dp-17, 0x1.dc82196fff1afp-17, 0x1.d50707bdeba8ap-17, 0x1.cd293e36c81bdp-17, 0x1.c4ec36b3b4f8ap-17, 0x1.bc5357c65f9d8p-17, 0x1.b361f52ff0095p-17, 0x1.aa1b50533ef26p-17, 0x1.a08298995ddd6p-17, 0x1.969aebe38dcb5p-17, 0x1.8c6756f0548c1p-17, 0x1.81ead5c238535p-17, 0x1.772853fb85609p-17, 0x1.6c22ad40fbf3p-17, 0x1.60dcad976d33ap-17, 0x1.555911baf74bep-17, 0x1.499a877571191p-17, 0x1.3da3adf4569dep-17, 0x1.3177161e71b8ap-17, 0x1.251742e07acf4p-17, 0x1.1886a97a9c077p-17, 0x1.0bc7b1ce3b1cdp-17, 0x1.fdb96d51ec32bp-18, 0x1.e3900c1145b96p-18, 0x1.c917c2c24a107p-18, 0x1.ae54fbc607c1dp-18, 0x1.934c09762eef6p-18, 0x1.780126aab8dccp-18, 0x1.5c78773ad5c5dp-18, 0x1.40b608690ba22p-18, 0x1.24bdd1681cdb4p-18, 0x1.0893b3c3853b8p-18, 0x1.d876f78d6a64ap-19, 0x1.9f71c1f5df5b9p-19, 0x1.661f0d1aef2c9p-19, 0x1.2c85f76475c0ap-19, 0x1.e55af0104e9abp-20, 0x1.7138bfc5ec522p-20, 0x1.f96568ab4d916p-21, 0x1.0fabb491b8d29p-21, 0x1.2aef5964a1b8ap-24, -0x1.8ad5f360a10fbp-22, -0x1.b0968b898a6d2p-21, -0x1.4e06726ac5009p-20, -0x1.c3db535375d33p-20, -0x1.1cdf3d7d677ddp-19, -0x1.57d25e4c12443p-19, -0x1.92c195851cb32p-19, -0x1.cda78be725ecep-19, -0x1.043f84657e36p-18, -0x1.21a178e1a91f6p-18, -0x1.3ef7250026dc8p-18, -0x1.5c3e18e4f48f9p-18, -0x1.7973f300ebd86p-18, -0x1.96965fdd58d7ap-18, -0x1.b3a319cf5dd5cp-18, -0x1.d097e8c311a82p-18, -0x1.ed72a207d764fp-18, -0x1.05189409cd272p-17, -0x1.1368b52464f16p-17, -0x1.21a8b25fff0d1p-17, -0x1.2fd7900e6608dp-17, -0x1.3df458a6dee73p-17, -0x1.4bfe1caffebabp-17, -0x1.59f3f2a65bcep-17, -0x1.67d4f6e8618fbp-17, -0x1.75a04b9a3c1b2p-17, -0x1.835518905729ep-17, -0x1.90f28b360500cp-17, -0x1.9e77d67abc84dp-17, -0x1.abe432bd8e77fp-17, -0x1.b936ddb5d88b6p-17, -0x1.c66f1a5c64886p-17, -0x1.d38c30dc3815ep-17, -0x1.e08d6e7d3bdf6p-17, -0x1.ed72258f62ff4p-17, -0x1.fa39ad5672605p-17, -0x1.0371b0fd11c9fp-16, -0x1.09b752385792ap-16, -0x1.0fed6d38ba896p-16, -0x1.1613b72eabfb6p-16, -0x1.1c29e7988b1e8p-16, -0x1.222fb83994176p-16, -0x1.2824e51133292p-16, -0x1.2e092c534f0cbp-16, -0x1.33dc4e5f7c6bdp-16, -0x1.399e0db9caa53p-16, -0x1.3f4e2f027619dp-16, -0x1.44ec78ed582e9p-16, -0x1.4a78b43b895b4p-16, -0x1.4ff2abb2f30a6p-16, -0x1.555a2c17f1a81p-16, -0x1.5aaf0425e1fccp-16, -0x1.5ff10486a27bp-16, -0x1.651fffcbc42c5p-16, -0x1.6a3bca68258b6p-16, -0x1.6f443aa9a74edp-16, -0x1.743928b1fef11p-16, -0x1.791a6e6de972dp-16, -0x1.7de7e78f92215p-16, -0x1.82a1718af4a5ap-16, -0x1.8746eb8c8343cp-16, -0x1.8bd83671b9f9bp-16, -0x1.905534c5d2b3dp-16, -0x1.94bdcaba248a7p-16, -0x1.9911de1e59338p-16, -0x1.9d51565bca392p-16, -0x1.a17c1c70ec98fp-16, -0x1.a5921ae92f056p-16, -0x1.a9933dd6ad401p-16, -0x1.ad7f72cdc63c6p-16, -0x1.b156a8df44355p-16, -0x1.b518d0926ad23p-16, -0x1.b8c5dbddb4c91p-16, -0x1.bc5dbe232e011p-16, -0x1.bfe06c29cb68dp-16, -0x1.c34ddc18e4469p-16, -0x1.c6a605711eb19p-16, -0x1.c9e8e10889922p-16, -0x1.cd16690500865p-16, -0x1.d02e98d5cdf09p-16, -0x1.d3316d2ea34c5p-16, -0x1.d61ee40391509p-16, -0x1.d8f6fc82d0e7dp-16, -0x1.dbb9b70eea8d7p-16, -0x1.de67153bba7ddp-16, }}, 
      {{0x1.ad87e091dc16bp-8, 0x1.ae09459baec6cp-7, 0x1.430c764481ca1p-6, 0x1.af75be6cfcebep-6, 0x1.0e0aaa9d1cc13p-5, 0x1.444fd6015e15dp-5, 0x1.7a5909358a32bp-5, 0x1.afedfe24c1fdp-5, 0x1.e4d39bed58a1ap-5, 0x1.0c67acb26abf7p-4, 0x1.25d4f0f9dd316p-4, 0x1.3e98855ec4719p-4, 0x1.569c964856578p-4, 0x1.6dcefc1716895p-4, 0x1.84216cd4611d6p-4, 0x1.99897f32508c8p-4, 0x1.ae00880951d78p-4, 0x1.c1835aeb9cfd7p-4, 0x1.d411f5c312e72p-4, 0x1.e5af1eaf6dafp-4, 0x1.f65ffa7e1e5adp-4, 0x1.0315d09067c07p-3, 0x1.0a8d5a4311447p-3, 0x1.119b7e9b9ee71p-3, 0x1.184587945fc6ap-3, 0x1.1e90fc2825ec5p-3, 0x1.24837ce81c504p-3, 0x1.2a22a5f685345p-3, 0x1.2f73f641f6bcap-3, 0x1.347cbbaf51b5ap-3, 0x1.394203c18c53ap-3, 0x1.3dc8903c8f643p-3, 0x1.4214cf38acce2p-3, 0x1.462ad61cfa65bp-3, 0x1.4a0e5efd6eca5p-3, 0x1.4dc2c7e4b01e1p-3, 0x1.514b139ec892bp-3, 0x1.54a9eba89fd53p-3, 0x1.57e1a2f6db2edp-3, 0x1.5af43954e9c84p-3, 0x1.5de35f2a172b3p-3, 0x1.60b0797de6679p-3, 0x1.635ca61f23eb1p-3, 0x1.65e8bfd91aefap-3, 0x1.685562a9444d7p-3, 0x1.6aa2efecc44f1p-3, 0x1.6cd19280f0e0fp-3, 0x1.6ee142d4de6a7p-3, 0x1.70d1caeb936f7p-3, 0x1.72a2ca4f8da0bp-3, 0x1.7453b9f8a03b3p-3, 0x1.75e3f02517749p-3, 0x1.7752a426c1ebp-3, 0x1.789ef223dbb37p-3, 0x1.79c7decb4117dp-3, 0x1.7acc5afa91174p-3, 0x1.7bab47545cc11p-3, 0x1.7c6377c3d5dd5p-3, 0x1.7cf3b6eb19232p-3, 0x1.7d5ac978c6adfp-3, 0x1.7d977161720d8p-3, 0x1.7da870f967dabp-3, 0x1.7d8c8deb3b4d7p-3, 0x1.7d429407d7525p-3, 0x1.7cc957eceba2fp-3, 0x1.7c1fb97efa993p-3, 0x1.7b44a634a7ebfp-3, 0x1.7a371b3151338p-3, 0x1.78f6272d7519p-3, 0x1.7780ec2be5b47p-3, 0x1.75d6a0fb4bd52p-3, 0x1.73f69283d562dp-3, 0x1.71e024e18c9ecp-3, 0x1.6f92d44c1c6d3p-3, 0x1.6d0e35cd41d3ep-3, 0x1.6a51f7c777628p-3, 0x1.675de24ec8db5p-3, 0x1.6431d755f31bdp-3, 0x1.60cdd2b238e0cp-3, 0x1.5d31e9f8847f3p-3, 0x1.595e4c3691de8p-3, 0x1.5553418af49cbp-3, 0x1.51112a9eeb4ffp-3, 0x1.4c988004df407p-3, 0x1.47e9d17e96a74p-3, 0x1.4305c52ded5fp-3, 0x1.3ded16b2f35fep-3, 0x1.38a0963a3de8dp-3, 0x1.3321277e03711p-3, 0x1.2d6fc0bca50abp-3, 0x1.278d69a6fdfc8p-3, 0x1.217b3a48c7ca9p-3, 0x1.1b3a59ed36adp-3, 0x1.14cbfe01c3d53p-3, 0x1.0e3168f8f42e5p-3, 0x1.076be92eca9b7p-3, 0x1.007cd7d05f0d6p-3, 0x1.f2cb2f8ff10aap-4, 0x1.e44f295da3246p-4, 0x1.d588838b31abap-4, 0x1.c67a31e9329f6p-4, 0x1.b72733a87bbaap-4, 0x1.a792917d417a7p-4, 0x1.97bf5bd557fbep-4, 0x1.87b0a92244e85p-4, 0x1.77699437e2058p-4, 0x1.66ed3abfddd01p-4, 0x1.563ebbc25ab21p-4, 0x1.45613643c0e23p-4, 0x1.3457c7f7aaa5dp-4, 0x1.23258c08ba0d7p-4, 0x1.11cd99f5027ebp-4, 0x1.0053047e9737ep-4, 0x1.dd71b15f89c52p-5, 0x1.ba0439e4baaa5p-5, 0x1.9663a072d5bd6p-5, 0x1.7295d2794d3f8p-5, 0x1.4ea0ab89cd271p-5, 0x1.2a89f411a2d9ap-5, 0x1.06576031f6ff4p-5, 0x1.c41d1d6adca6ap-6, 0x1.7b6a1042c0a15p-6, 0x1.32a07bc28658dp-6, 0x1.d3962629ebb8ap-7, 0x1.41e8b0dc9c7f7p-7, 0x1.609a6fb2291ebp-8, 0x1.ed7f53ebce79ap-11, -0x1.c98d12564c027p-9, -0x1.03510c6c3992dp-7, -0x1.93de6356225ep-7, -0x1.11fc5acb9f628p-6, -0x1.59c6edae1c1aep-6, -0x1.a1460ca02f86bp-6, -0x1.e8711054254dap-6, -0x1.179fc3fd4c80ap-5, -0x1.3ad49ca535a4dp-5, -0x1.5dd3103c7ac4dp-5, -0x1.80973811fd631p-5, -0x1.a31d489786776p-5, -0x1.c561914aeaeb4p-5, -0x1.e7607c9a2eac4p-5, -0x1.048b47e1b9e76p-4, -0x1.1540355884be9p-4, -0x1.25cd63e925d6ep-4, -0x1.36313df8ca2f8p-4, -0x1.466a3b03eeaefp-4, -0x1.5676df8715179p-4, -0x1.6655bce6a179ep-4, -0x1.76057155f2f94p-4, -0x1.8584a7bdd813bp-4, -0x1.94d217a278d0cp-4, -0x1.a3ec8508d166dp-4, -0x1.b2d2c05bbddfdp-4, -0x1.c183a650c1a7bp-4, -0x1.cffe1fcc731a6p-4, -0x1.de4121c6b4c06p-4, -0x1.ec4bad2ea66b2p-4, -0x1.fa1ccece66d1cp-4, -0x1.03d9cf974bcd6p-3, -0x1.0a87a13cd9d47p-3, -0x1.1117742f8f847p-3, -0x1.1788e5fb08f76p-3, -0x1.1ddb99d0141bap-3, -0x1.240f3875e2775p-3, -0x1.2a23703b15197p-3, -0x1.3017f4e69accap-3, -0x1.35ec7fa868787p-3, -0x1.3ba0cf0a0667ap-3, -0x1.4134a6dee9a98p-3, -0x1.46a7d034998dap-3, -0x1.4bfa19429e96p-3, -0x1.512b555a3d842p-3, -0x1.563b5cd5e9639p-3, -0x1.5b2a0d0882908p-3, -0x1.5ff7482c4e7eap-3, -0x1.64a2f551aae3ap-3, -0x1.692d004d7eea1p-3, -0x1.6d9559a760bd9p-3, -0x1.71dbf687783e6p-3, -0x1.7600d0a40f054p-3, -0x1.7a03e62ee2d59p-3, -0x1.7de539c2239d2p-3, -0x1.81a4d24d2872dp-3, -0x1.8542bb00e0da3p-3, -0x1.88bf033bf4394p-3, -0x1.8c19be769e749p-3, -0x1.8f53042e40e5cp-3, -0x1.926aefd0b4de9p-3, -0x1.9561a0a74fe2dp-3, -0x1.983739c1b23ap-3, -0x1.9aebe1e04b9e2p-3, -0x1.9d7fc35ea8804p-3, -0x1.9ff30c1d88c3bp-3, -0x1.a245ed6cb6431p-3, -0x1.a4789bf4b582bp-3, -0x1.a68b4fa039b1ap-3, -0x1.a87e4385773ddp-3, -0x1.aa51b5cf4444cp-3, -0x1.ac05e7a623072p-3, -0x1.ad9b1d191a389p-3, -0x1.af119d068646dp-3, -0x1.b069b104c0673p-3, -0x1.b1a3a54ac13f3p-3, -0x1.b2bfc898aaeb3p-3, -0x1.b3be6c205224ap-3, -0x1.b49fe36dbbf88p-3, -0x1.b564844f9f029p-3, -0x1.b60ca6bfe2e66p-3, -0x1.b698a4cc33222p-3, -0x1.b708da7e93a3ep-3, -0x1.b75da5c60fc22p-3, -0x1.b797665f7bad8p-3, -0x1.b7b67dbe50455p-3, -0x1.b7bb4ef5aafcdp-3, -0x1.b7a63ea16ac78p-3, -0x1.b777b2cf7ba3ap-3, -0x1.b73012e949ba1p-3, -0x1.b6cfc79d66a13p-3, -0x1.b6573ac964484p-3, -0x1.b5c6d763e1242p-3, -0x1.b51f0966db9c1p-3, -0x1.b4603dba3b1eap-3, -0x1.b38ae21e9f944p-3, -0x1.b29f651878126p-3, -0x1.b19e35db628fbp-3, -0x1.b087c435d81f6p-3, -0x1.af5c807d25b35p-3, -0x1.ae1cdb79be95dp-3, -0x1.acc94653dc4c4p-3, -0x1.ab623280774ffp-3, -0x1.a9e811aea24bap-3, -0x1.a85b55b532c0fp-3, -0x1.a6bc7080d33afp-3, -0x1.a50bd4027561fp-3, -0x1.a349f21e1a425p-3, -0x1.a1773c9a0eafap-3, -0x1.9f94250e7ebcp-3, -0x1.9da11cd575615p-3, -0x1.9b9e94fb45b76p-3, -0x1.998cfe2f59522p-3, -0x1.976cc8b564a89p-3, -0x1.953e64570dd56p-3, -0x1.93024055f95fdp-3, -0x1.90b8cb5e3def8p-3, -0x1.8e6273795081p-3, -0x1.8bffa60149725p-3, -0x1.8990cf94abbd5p-3, -0x1.87165c0a81859p-3, -0x1.8490b666f9f26p-3, -0x1.820048d05f001p-3, -0x1.7f657c848756ep-3, -0x1.7cc0b9cea7215p-3, -0x1.7a1267fd8fb7bp-3, -0x1.775aed5a5d3e9p-3, -0x1.749aaf1f80a19p-3, -0x1.71d2117042f0bp-3, -0x1.6f0177509ef16p-3, -0x1.6c29429d8dea5p-3, -0x1.6949d405b44fap-3, -0x1.66638b026e4fbp-3, -0x1.6376c5d149727p-3, -0x1.6083e16dd38b3p-3, -0x1.5d8b398bd79d8p-3, -0x1.5a8d2891eacdep-3, -0x1.578a079462ep-3, -0x1.54822e50a2e87p-3, -0x1.5175f328c297dp-3, -0x1.4e65ab1f902p-3, -0x1.4b51a9d4e4c7ap-3, -0x1.483a418256bbp-3, -0x1.451fc2f83a074p-3, -0x1.42027d9aeefd2p-3, -0x1.3ee2bf608a4c4p-3, -0x1.3bc0d4cec53f3p-3, -0x1.389d08f93c409p-3, -0x1.3577a57ff9e67p-3, -0x1.3250f28e45b93p-3, -0x1.2f2936d9c3053p-3, -0x1.2c00b7a1cd3fap-3, -0x1.28d7b8af19e7ep-3, -0x1.25ae7c539e246p-3, -0x1.2285436ab1109p-3, -0x1.1f5c4d596e40ep-3, -0x1.1c33d80f54f8cp-3, -0x1.190c20071c268p-3, -0x1.15e56047c4d3dp-3, -0x1.12bfd265dcf68p-3, -0x1.0f9bae8500b5dp-3, -0x1.0c792b597eddfp-3, -0x1.09587e2a3f4cep-3, -0x1.0639dad2c8281p-3, -0x1.031d73c57fc3dp-3, -0x1.00037a0e0ab03p-3, -0x1.f9d83aa7bedcp-4, -0x1.f3af17b9faa61p-4, -0x1.ed8be52190bf9p-4, -0x1.e76ef9f617922p-4, -0x1.e158aa9e3858ap-4, -0x1.db4948d642b12p-4, -0x1.d54123b6ec2afp-4, -0x1.cf4087bc66074p-4, -0x1.c947becd8654bp-4, -0x1.c35710434e471p-4, -0x1.bd6ec0f08930bp-4, -0x1.b78f13299e802p-4, -0x1.b1b846cc9dcbbp-4, -0x1.abea994961bb9p-4, -0x1.a62645a9e97d2p-4, -0x1.a06b849acad76p-4, -0x1.9aba8c73d03a7p-4, -0x1.95139140aa55dp-4, -0x1.8f76c4c9c483fp-4, -0x1.89e4569d34a76p-4, -0x1.845c7417bd809p-4, -0x1.7edf486de7889p-4, -0x1.796cfcb52d7f7p-4, -0x1.7405b7ed3686ap-4, -0x1.6ea99f0921d2ep-4, -0x1.6958d4f8dbdep-4, -0x1.64137ab27d18fp-4, -0x1.5ed9af3bb21d3p-4, -0x1.59ab8fb328f9p-4, -0x1.5489375a0475fp-4, -0x1.4f72bf9d4afa5p-4, -0x1.4a68401f5eea3p-4, -0x1.4569cec16fa4dp-4, -0x1.40777face839p-4, -0x1.3b91655cdcdd9p-4, -0x1.36b790a76c73fp-4, -0x1.31ea10c72264bp-4, -0x1.2d28f36446e43p-4, -0x1.2874449e2bb2dp-4, -0x1.23cc0f1469e93p-4, -0x1.1f305bf013468p-4, -0x1.1aa132ecd64d6p-4, -0x1.161e9a6212317p-4, -0x1.11a8974bda956p-4, -0x1.0d3f2d53ea39p-4, -0x1.08e25eda8387bp-4, -0x1.04922cff3dcdfp-4, -0x1.004e97a9bb085p-4, -0x1.f82f3b249d7ddp-5, -0x1.efda789516bbdp-5, -0x1.e79ee08b6ab13p-5, -0x1.df7c69c24e555p-5, -0x1.d77308d92d7b2p-5, -0x1.cf82b06489463p-5, -0x1.c7ab50fe20cb9p-5, -0x1.bfecd954eb9a6p-5, -0x1.b847363cdd61ep-5, -0x1.b0ba52be6d6cbp-5, -0x1.a9461825f54c2p-5, -0x1.a1ea6e12c7bc3p-5, -0x1.9aa73a861ad97p-5, -0x1.937c61f1b9affp-5, -0x1.8c69c7467676bp-5, -0x1.856f4c0263ca3p-5, -0x1.7e8cd03ed7b88p-5, -0x1.77c232be32a3p-5, -0x1.710f50f9688d8p-5, -0x1.6a74072d4f50fp-5, -0x1.63f03067b69f7p-5, -0x1.5d83a6943a5dfp-5, -0x1.572e4288e19f5p-5, -0x1.50efdc127e4a5p-5, -0x1.4ac84a00d0efcp-5, -0x1.44b762326fc1cp-5, -0x1.3ebcf9a06f9ecp-5, -0x1.38d8e469d52a9p-5, -0x1.330af5deca17bp-5, -0x1.2d53008b90a4ep-5, -0x1.27b0d64343623p-5, -0x1.2224482a510e1p-5, -0x1.1cad26c0c94d2p-5, -0x1.174b41ec5ecap-5, -0x1.11fe69024085ap-5, -0x1.0cc66ad0a88f8p-5, -0x1.07a315a83ca75p-5, -0x1.0294376534cfep-5, -0x1.fb333af07e123p-6, -0x1.f16629de70392p-6, -0x1.e7c0d4fb4321cp-6, -0x1.de42d509d0ee7p-6, -0x1.d4ebc238e1855p-6, -0x1.cbbb3432d865ap-6, -0x1.c2b0c22cf6d3p-6, -0x1.b9cc02f62cb56p-6, -0x1.b10c8d059453fp-6, -0x1.a871f6886dfd7p-6, -0x1.9ffbd56fc522cp-6, -0x1.97a9bf7daeb4fp-6, -0x1.8f7b4a521bd8cp-6, -0x1.87700b7754a43p-6, -0x1.7f87986e0ab73p-6, -0x1.77c186b90ef0dp-6, -0x1.701d6be8a554ap-6, -0x1.689adda5874f4p-6, -0x1.613971bb7834fp-6, -0x1.59f8be2394151p-6, -0x1.52d8590e33988p-6, -0x1.4bd7d8ec8981p-6, -0x1.44f6d479da205p-6, -0x1.3e34e2c46c706p-6, -0x1.37919b362552p-6, -0x1.310c959ccb8a2p-6, -0x1.2aa56a31fe56cp-6, -0x1.245bb1a2e3894p-6, -0x1.1e2f0517861c9p-6, -0x1.181efe39e8174p-6, -0x1.122b373cc2cd4p-6, -0x1.0c534ae213c32p-6, -0x1.0696d4814e164p-6, -0x1.00f5700d52317p-6, -0x1.f6dd7434373d5p-7, -0x1.ec049fc4633f3p-7, -0x1.e15f9e97a5a1ap-7, -0x1.d6edaddbbeb5fp-7, -0x1.ccae0c2920f43p-7, -0x1.c29ff98bc3d1p-7, -0x1.b8c2b78b95783p-7, -0x1.af15893485c9dp-7, -0x1.a597b31df7f05p-7, -0x1.9c487b71ec2fap-7, -0x1.932729f3a839cp-7, -0x1.8a33080609aa5p-7, -0x1.816b60b14d2ccp-7, -0x1.78cf80a8a731fp-7, -0x1.705eb64f460e3p-7, -0x1.681851bd243dep-7, -0x1.5ffba4c3538e6p-7, -0x1.580802f01704fp-7, -0x1.503cc19285251p-7, -0x1.489937bde3d82p-7, -0x1.411cbe4cbb02ep-7, -0x1.39c6afe381e93p-7, -0x1.329668f310c24p-7, -0x1.2b8b47bab9c68p-7, -0x1.24a4ac4a2e72fp-7, -0x1.1de1f882f705cp-7, -0x1.17429019dce4bp-7, -0x1.10c5d897d3f4cp-7, -0x1.0a6b395adb14p-7, -0x1.04321b967bbfep-7, -0x1.fc33d4a833c2bp-8, -0x1.f04424e60c79ap-8, -0x1.e4940550b3b5p-8, -0x1.d92256fd3ab8ep-8, -0x1.cdedfeaa79eb6p-8, -0x1.c2f5e4bf81fb6p-8, -0x1.b838f549ade3p-8, -0x1.adb61ffa8d83p-8, -0x1.a36c582500caap-8, -0x1.995a94ba8c4c6p-8, -0x1.8f7fd047eb99cp-8, -0x1.85db08f175befp-8, -0x1.7c6b406f54fc3p-8, -0x1.732f7c0934dbdp-8, -0x1.6a26c491ee4f6p-8, -0x1.61502662c91f4p-8, -0x1.58aab156654p-8, -0x1.503578c3b08a7p-8, -0x1.47ef93785948bp-8, -0x1.3fd81bb3240d8p-8, -0x1.37ee2f1e14ca8p-8, -0x1.3030eec868e46p-8, -0x1.289f7f202f53ap-8, -0x1.213907ebfe531p-8, -0x1.19fcb4444b52fp-8, -0x1.12e9b28c959bp-8, -0x1.0bff346c93756p-8, -0x1.053c6ec917da2p-8, -0x1.fd413379a8b86p-9, -0x1.f055e1223d7cfp-9, -0x1.e3b5636ceb087p-9, -0x1.d75e3d79a67d7p-9, -0x1.cb4ef898b35bp-9, -0x1.bf86243a60789p-9, -0x1.b40255e00162fp-9, -0x1.a8c2290bbdec5p-9, -0x1.9dc43f30a0393p-9, -0x1.93073fa2a7ddcp-9, -0x1.8889d7866b44ep-9, -0x1.7e4ab9c0d92cfp-9, -0x1.74489ee6b3369p-9, -0x1.6a82452c05a2ap-9, -0x1.60f67053cdc9ap-9, -0x1.57a3e99f16a76p-9, -0x1.4e897fbc2aca7p-9, -0x1.45a606b6469e6p-9, -0x1.3cf857e458a3ep-9, -0x1.347f51d89ca68p-9, -0x1.2c39d84f6c48p-9, -0x1.2426d41ec561ap-9, -0x1.1c45332537d5ep-9, -0x1.1493e8394d8b5p-9, -0x1.0d11eb18a4271p-9, -0x1.05be385735819p-9, -0x1.fd2fa29d4ed88p-10, -0x1.ef3b781b4fb39p-10, -0x1.e19e068e73a6fp-10, -0x1.d4556c84504c5p-10, -0x1.c75fd19155737p-10, -0x1.babb662f748efp-10, -0x1.ae66639e03629p-10, -0x1.a25f0bc073336p-10, -0x1.96a3a8fe9449ap-10, -0x1.8b328e24266d8p-10, -0x1.800a16409f6f3p-10, -0x1.7528a487a1532p-10, -0x1.6a8ca4313cb2fp-10, -0x1.6034885aa9574p-10, -0x1.561ecbe6df4afp-10, -0x1.4c49f15fcd8e3p-10, -0x1.42b482d7942abp-10, -0x1.395d11ca4b049p-10, -0x1.304236ff44f03p-10, -0x1.2762926b8085ep-10, -0x1.1ebccb141594bp-10, -0x1.164f8ef0223b7p-10, -0x1.0e1992cc6a99dp-10, -0x1.0619922ddba85p-10, -0x1.fc9c9e6a73c58p-11, -0x1.ed6d25058e1d7p-11, -0x1.dea256341be58p-11, -0x1.d039dc8c8a868p-11, -0x1.c2316efdbfa4p-11, -0x1.b486d098992f6p-11, -0x1.a737d05a7ed8cp-11, -0x1.9a4248f7f9217p-11, -0x1.8da420a80de9cp-11, -0x1.815b48f08888dp-11, -0x1.7565be72ef0e3p-11, -0x1.69c188b96d277p-11, -0x1.5e6cba04e10e5p-11, -0x1.53656f1b70b2ap-11, -0x1.48a9cf179e1dfp-11, -0x1.3e380b3861806p-11, -0x1.340e5eb0c930ep-11, -0x1.2a2b0e7a434c8p-11, -0x1.208c6924feb18p-11, -0x1.1730c6aae8c33p-11, -0x1.0e1688428847p-11, -0x1.053c1832357a8p-11, -0x1.f93fd348c28fbp-12, -0x1.e880f0f8f34dap-12, -0x1.d838925802373p-12, -0x1.c863d111861fap-12, -0x1.b8ffd74676931p-12, -0x1.aa09df3ba8db5p-12, -0x1.9b7f330a0d21ap-12, -0x1.8d5d2c4dc4935p-12, -0x1.7fa133da0e03dp-12, -0x1.7248c16b3dc27p-12, -0x1.65515b5bbec1ap-12, -0x1.58b89658c2ae6p-12, -0x1.4c7c151a24c7fp-12, -0x1.409988190c107p-12, -0x1.350ead49d6c27p-12, -0x1.29d94fd5c7a0bp-12, -0x1.1ef747d6a391ap-12, -0x1.14667a12ac00fp-12, -0x1.0a24d7ba417ecp-12, -0x1.00305e26c5394p-12, -0x1.ed0e2d33c07cap-13, -0x1.da4e2bfde8772p-13, -0x1.c81cf9585d22dp-13, -0x1.b676ec4c52a47p-13, -0x1.a55871c65e105p-13, -0x1.94be0c21c16ffp-13, -0x1.84a452b3f8a0dp-13, -0x1.7507f15b0a2bbp-13, -0x1.65e5a80cdd506p-13, -0x1.573a4a6ab4378p-13, -0x1.4902bf54280aap-13, -0x1.3b3c007dbcafp-13, -0x1.2de31a08a6be7p-13, -0x1.20f52a1d00cd5p-13, -0x1.146f608501646p-13, -0x1.084efe4ab97fap-13, -0x1.f922aaaee0f72p-14, -0x1.e267902b3e163p-14, -0x1.cc67922556429p-14, -0x1.b71db549b96f8p-14, -0x1.a2851d213521cp-14, -0x1.8e990b64b6d6dp-14, -0x1.7b54df4cddf56p-14, -0x1.68b414ec7ecdp-14, -0x1.56b2448a69ep-14, -0x1.454b21fcd82c4p-14, -0x1.347a7c0ca7c62p-14, -0x1.243c3bd8b34a3p-14, -0x1.148c643c271a1p-14, -0x1.05671138e29b6p-14, -0x1.ed90eecb529abp-15, -0x1.d159c6b8b45a5p-15, -0x1.b621725b41f5dp-15, -0x1.9be0e7b03f36cp-15, -0x1.8291497d6ac98p-15, -0x1.6a2be64a8a4c1p-15, -0x1.52aa375e9b263p-15, -0x1.3c05dfbe4fed2p-15, -0x1.2638ab34dc86ep-15, -0x1.113c8d620f827p-15, -0x1.fa17418c3132fp-16, -0x1.d3404bbc82d9fp-16, -0x1.ade90476b4a6ep-16, -0x1.8a067f45c795dp-16, -0x1.678e166b41b98p-16, -0x1.4675692e9cd7ep-16, -0x1.26b25a3852d72p-16, -0x1.083b0dfbcf74fp-16, -0x1.d60bd24370ea8p-17, -0x1.9e131e0155651p-17, -0x1.6879c0332bacfp-17, -0x1.352df147a9573p-17, -0x1.041e5e371528p-17, -0x1.aa744b615ac8cp-18, -0x1.50e1aacd3e0b1p-18, -0x1.f6c99d1794a58p-19, -0x1.53bcfbbe68c3ep-19, -0x1.70c138c964e71p-20, -0x1.23c9e13167d2ap-22, 0x1.a0cb7cda597e3p-21, 0x1.dbb7e24a50841p-20, 0x1.6cb8bf7cc6a91p-19, 0x1.e4fea3cfd5c69p-19, 0x1.2b70ca1445d1cp-18, 0x1.614a15fd6a9a9p-18, 0x1.9423da488bee5p-18, 0x1.c41616bb769e3p-18, 0x1.f1382a4c11301p-18, 0x1.0dd06b942b772p-17, 0x1.21b3234654fedp-17, 0x1.344f0648f5f6dp-17, 0x1.45ae95f6ce186p-17, 0x1.55dc0cbce9906p-17, 0x1.64e15ff33ee2fp-17, 0x1.72c84186d7d84p-17, 0x1.7f9a21b2675dep-17, 0x1.8b60309f22c99p-17, 0x1.9623600167b8fp-17, 0x1.9fec64a8245a7p-17, 0x1.a8c3b80d61622p-17, 0x1.b0b199cbac867p-17, 0x1.b7be1115a24ccp-17, 0x1.bdf0ee2729bfdp-17, 0x1.c351cba25c258p-17, 0x1.c7e80ff1c0096p-17, 0x1.cbbaee90c1915p-17, 0x1.ced1695fb8102p-17, 0x1.d13251e222567p-17, 0x1.d2e44a7b91c8fp-17, 0x1.d3edc79e4eb38p-17, 0x1.d45510f42d578p-17, 0x1.d4204289ffac4p-17, 0x1.d3554de3a4939p-17, 0x1.d1f9fb19389bp-17, 0x1.d013e9e2d048cp-17, 0x1.cda8929acbaf8p-17, 0x1.cabd4749445a6p-17, 0x1.c757349680d3cp-17, 0x1.c37b62bce7ea1p-17, 0x1.bf2eb68544249p-17, 0x1.ba75f220d88bbp-17, 0x1.b555b612a2c9fp-17, 0x1.afd282094ececp-17, 0x1.a9f0b5bb35949p-17, 0x1.a3b491afb10b5p-17, 0x1.9d2238122bc2ap-17, 0x1.963dad7826df8p-17, 0x1.8f0ad9a4ff9bap-17, 0x1.878d8840e4b52p-17, 0x1.7fc96998feb58p-17, 0x1.77c2134cd9303p-17, 0x1.6f7b0101bc6a9p-17, 0x1.66f79507e72adp-17, 0x1.5e3b1907b9fe1p-17, 0x1.5548be9f4ed3p-17, 0x1.4c239ffe59c0cp-17, 0x1.42cec0882f64dp-17, 0x1.394d0d5e52f38p-17, 0x1.2fa15dfa99198p-17, 0x1.25ce74ba08c4fp-17, 0x1.1bd6ff6615f62p-17, 0x1.11bd97c1d5709p-17, 0x1.0784c402796a6p-17, 0x1.fa5deeb5ddac6p-18, 0x1.e57d24dbd35dp-18, 0x1.d06bc79d9e638p-18, 0x1.bb2e50e817ef4p-18, 0x1.a5c9185abb231p-18, 0x1.9040542062954p-18, 0x1.7a9819ce9e445p-18, 0x1.64d45f3e328a9p-18, 0x1.4ef8fb51ef9f2p-18, 0x1.3909a6bff6395p-18, 0x1.2309fce2faed3p-18, 0x1.0cfd7c6898979p-18, 0x1.edcf1037d7ffcp-19, 0x1.c196cf1f534fp-19, 0x1.95588fa947ef4p-19, 0x1.691a78466e04cp-19, 0x1.3ce27d1471c39p-19, 0x1.10b660fed065ep-19, 0x1.c9376e67a91b2p-20, 0x1.712fc85fa81bcp-20, 0x1.19603e068b8d4p-20, 0x1.83a5c98f32b75p-21, 0x1.aa45ef3421f13p-22, 0x1.3a56deec339c7p-24, -0x1.0ba0afeab0635p-22, -0x1.321d124ce079fp-21, -0x1.dd8a5d6bd3b4bp-21, -0x1.4403edddeaa69p-20, -0x1.98c2e1f6c08f7p-20, -0x1.ecfa6e7dbac4ep-20, -0x1.20519eb888243p-19, -0x1.49db1ebe54231p-19, -0x1.73165016a6277p-19, -0x1.9bffec326fa5ap-19, -0x1.c494cc48cd845p-19, -0x1.ecd1e8a0558b2p-19, -0x1.0a5a2bd3e7a0cp-18, -0x1.1e1ca6b159258p-18, -0x1.31af0d40c05e1p-18, -0x1.451015df73453p-18, -0x1.583e84955b16cp-18, -0x1.6b392abbd28d6p-18, -0x1.7dfee6a5910bep-18, -0x1.908ea35288c3cp-18, -0x1.a2e758185878cp-18, -0x1.b508085633be2p-18, -0x1.c6efc3297b4f7p-18, -0x1.d89da31fc1a6dp-18, -0x1.ea10cdee7c8b9p-18, -0x1.fb487429cf2e4p-18, -0x1.0621e8817980fp-17, -0x1.0e8115007f492p-17, -0x1.16c167600594p-17, -0x1.1ee28c56dd919p-17, -0x1.26e43566ff3bfp-17, -0x1.2ec618bfad78ep-17, -0x1.3687f119b5ebdp-17, -0x1.3e297da15f11bp-17, -0x1.45aa81d51c458p-17, -0x1.4d0ac56b59e95p-17, -0x1.544a1435d7604p-17, -0x1.5b683e099116ep-17, -0x1.626516a22e16fp-17, -0x1.6940758a4369bp-17, -0x1.6ffa360277886p-17, -0x1.769236e7edc47p-17, -0x1.7d085a9ccb3c1p-17, -0x1.835c86f4464acp-17, -0x1.898ea5174918ep-17, -0x1.8f9ea1721bc6fp-17, -0x1.958c6b9cfaad2p-17, -0x1.9b57f648b196dp-17, -0x1.a1013727def2bp-17, -0x1.a68826dca0df5p-17, -0x1.abecc0e3f4ca4p-17, -0x1.b12f0382fe2a3p-17, -0x1.b64eefb47cc89p-17, -0x1.bb4c8914a9c1ap-17, -0x1.c027d5d3a0936p-17, -0x1.c4e0de9e89cdep-17, -0x1.c977ae9138ee7p-17, -0x1.cdec53252936bp-17, -0x1.d23edc217998ap-17, -0x1.d66f5b89f967bp-17, -0x1.da7de58edf184p-17, -0x1.de6a907fba378p-17, -0x1.e23574ba26c2cp-17, -0x1.e5deac9bd2c5ep-17, -0x1.e96654740dcd9p-17, -0x1.eccc8a767fc8dp-17, -0x1.f0116eab927c6p-17, -0x1.f33522e3e24d1p-17, -0x1.f637caabd3113p-17, -0x1.f9198b3ddf2f4p-17, -0x1.fbda8b75c78dcp-17, -0x1.fe7af3c31c575p-17, -0x1.007d770fb73fp-16, -0x1.01ad530009877p-16, -0x1.02cd2425c4c0fp-16, -0x1.03dd01a773e67p-16, -0x1.04dd03584fd77p-16, -0x1.05cd41b35afbap-16, -0x1.06add5d5a11fcp-16, -0x1.077ed979b96bep-16, -0x1.084066f1ae57p-16, -0x1.08f29922500e6p-16, -0x1.09958b7e2aa0ep-16, -0x1.0a295a0123568p-16, -0x1.0aae212adebe5p-16, -0x1.0b23fdfac5111p-16, -0x1.0b8b0deaa57e8p-16, -0x1.0be36eeadc6e1p-16, -0x1.0c2d3f5dce403p-16, -0x1.0c689e139d25fp-16, -0x1.0c95aa4549cfcp-16, -0x1.0cb483918756bp-16, -0x1.0cc549f7a18d7p-16, -0x1.0cc81dd4b5cb1p-16, -0x1.0cbd1fde6d473p-16, -0x1.0ca471201bf44p-16, -0x1.0c7e32f6cfb08p-16, -0x1.0c4a870d078f4p-16, -0x1.0c098f58121b2p-16, -0x1.0bbb6e13a4eaap-16, -0x1.0b6045bebfaabp-16, -0x1.0af83917ed08ep-16, -0x1.0a836b1a599fep-16, -0x1.0a01fefa3606dp-16, -0x1.09741821ecbap-16, -0x1.08d9da2e3b634p-16, -0x1.083368eb9798dp-16, -0x1.0780e85366372p-16, -0x1.06c27c87e8b4ap-16, -0x1.05f849d28b581p-16, -0x1.052274a07565dp-16, -0x1.04412180330c3p-16, -0x1.0354751e47012p-16, -0x1.025c94427bcd5p-16, -0x1.0159a3cdc9867p-16, -0x1.004bc8b7496d4p-16, -0x1.fe6650133b1d7p-17, -0x1.fc1fcdc2880bp-17, -0x1.f9c454d244389p-17, -0x1.f7542fb07664p-17, -0x1.f4cfa8dffde13p-17, -0x1.f2370af30fb69p-17, -0x1.ef8aa0870d9a5p-17, -0x1.eccab43f1b8efp-17, -0x1.e9f790c06a2b6p-17, -0x1.e71180af7ba55p-17, -0x1.e418ceaa4ec8dp-17, -0x1.e10dc54478408p-17, -0x1.ddf0af03a0beep-17, -0x1.dac1d65aa384p-17, -0x1.d78185a6e9063p-17, -0x1.d430072c4f39fp-17, -0x1.d0cda511754b4p-17, -0x1.cd5aa95c03036p-17, -0x1.c9d75ded539f6p-17, -0x1.c6440c7e8f187p-17, -0x1.c2a0fe9e47175p-17, -0x1.beee7dacd5697p-17, -0x1.bb2cd2d885234p-17, -0x1.b75c471b91935p-17, }}, 
      {{-0x1.29b4b0da9157fp-2, -0x1.2a2dc4e532923p-2, -0x1.2ae8af91842f3p-2, -0x1.2bd69526e4e8p-2, -0x1.2ce9c8179d6cfp-2, -0x1.2e171b7c59ab5p-2, -0x1.2f5631cdcd553p-2, -0x1.30a14752e0217p-2, -0x1.31f4c5942dbbbp-2, -0x1.334ec9a04155ep-2, -0x1.34aeb102d818bp-2, -0x1.3614b53e21254p-2, -0x1.378197a9dd382p-2, -0x1.38f65d1e29efep-2, -0x1.3a7417ff9cafep-2, -0x1.3bfbbf22bfaa5p-2, -0x1.3d8e1010d060bp-2, -0x1.3f2b7b4bf1ca4p-2, -0x1.40d41939936d4p-2, -0x1.4287a65a24087p-2, -0x1.444585754b5e5p-2, -0x1.460cc66824804p-2, -0x1.47dc3052ee5c6p-2, -0x1.49b24dfdd4ba3p-2, -0x1.4b8d7b6f1dc6p-2, -0x1.4d6bf3d580c22p-2, -0x1.4f4bdf147f028p-2, -0x1.512b5e6b6842dp-2, -0x1.530897d7cc03dp-2, -0x1.54e1bff7f4c4fp-2, -0x1.56b522506c512p-2, -0x1.588127f03eeecp-2, -0x1.5a445c829c9f4p-2, -0x1.5bfd71ea2b7e6p-2, -0x1.5dab428b440ebp-2, -0x1.5f4cd26f5c68cp-2, -0x1.60e14f6db57c5p-2, -0x1.62681084becedp-2, -0x1.63e0948d44e32p-2, -0x1.654a806cf00fap-2, -0x1.66a59ce95d6adp-2, -0x1.67f1d4388ca8dp-2, -0x1.692f2f66d9f57p-2, -0x1.6a5dd3a66617dp-2, -0x1.6b7dff97d96b9p-2, -0x1.6c900898e4ae4p-2, -0x1.6d945821e0f56p-2, -0x1.6e8b69395645cp-2, -0x1.6f75c60222b39p-2, -0x1.705405674f21bp-2, -0x1.7126c8e75008fp-2, -0x1.71eeba7f81dbap-2, -0x1.72ac8ab7fafa6p-2, -0x1.7360eecf57bdcp-2, -0x1.740c9f05d50f8p-2, -0x1.74b05506ed818p-2, -0x1.754cca708bd42p-2, -0x1.75e2b776f14dfp-2, -0x1.7672d1a475bf9p-2, -0x1.76fdcab447f01p-2, -0x1.77844f87777d9p-2, -0x1.780707338fe93p-2, -0x1.7886922a1e913p-2, -0x1.7903897887e6ap-2, -0x1.797e7e1f84bf7p-2, -0x1.79f7f881b5c14p-2, -0x1.7a7077e89c877p-2, -0x1.7ae8721f52838p-2, -0x1.7b60532242ad2p-2, -0x1.7bd87ce320895p-2, -0x1.7c5147203ede2p-2, -0x1.7ccaff4e6a9ddp-2, -0x1.7d45e89446fd4p-2, -0x1.7dc23bd6338a5p-2, -0x1.7e4027d1a4fb2p-2, -0x1.7ebfd146d499dp-2, -0x1.7f41532fa1632p-2, -0x1.7fc4bf027c2cdp-2, -0x1.804a1d0027725p-2, -0x1.80d16c8b23abbp-2, -0x1.815aa4878bf65p-2, -0x1.81e5b3c242fdbp-2, -0x1.8272815e434f7p-2, -0x1.8300ed46f30a2p-2, -0x1.8390d0a66d4a9p-2, -0x1.8421fe5eb2df8p-2, -0x1.84b44384c7912p-2, -0x1.854767dcd3c6ap-2, -0x1.85db2e5666461p-2, -0x1.866f55880f457p-2, -0x1.8703982991f5ep-2, -0x1.8797ad8c095ffp-2, -0x1.882b4a0f5c129p-2, -0x1.88be1f94814dfp-2, -0x1.894fddec1347cp-2, -0x1.89e03340d06b1p-2, -0x1.8a6ecc7daf37fp-2, -0x1.8afb55af3ca1ap-2, -0x1.8b857a60098c1p-2, -0x1.8c0ce5f001255p-2, -0x1.8c9143e67d00cp-2, -0x1.8d12403f128efp-2, -0x1.8d8f87b10383p-2, -0x1.8e08c7f15c24ep-2, -0x1.8e7dafefc7ecp-2, -0x1.8eedf00e2d889p-2, -0x1.8f593a532fd36p-2, -0x1.8fbf4297b18cap-2, -0x1.901fbeaf8854dp-2, -0x1.907a668d82f01p-2, -0x1.90cef462f80bdp-2, -0x1.911d24bb0ad33p-2, -0x1.9164b691e2035p-2, -0x1.91a56b68008f7p-2, -0x1.91df0751ff291p-2, -0x1.92115104d85efp-2, -0x1.923c11df0b0e5p-2, -0x1.925f15eec2a54p-2, -0x1.927a2bf542c95p-2, -0x1.928d2567d151bp-2, -0x1.9297d66e4be08p-2, -0x1.929a15dfa9c41p-2, -0x1.9293bd3c96188p-2, -0x1.9284a8a853dedp-2, -0x1.926cb6e022201p-2, -0x1.924bc931434d6p-2, -0x1.9221c36dddf44p-2, -0x1.91ee8be0d43f2p-2, -0x1.91b20b40c4d6p-2, -0x1.916c2ca24b8dcp-2, -0x1.911cdd69af316p-2, -0x1.90c40d3c13461p-2, -0x1.9061adf04f349p-2, -0x1.8ff5b37f8066fp-2, -0x1.8f8013f57773ep-2, -0x1.8f00c7610995bp-2, -0x1.8e77c7c468b96p-2, -0x1.8de51105861c6p-2, -0x1.8d48a0de98195p-2, -0x1.8ca276cecf746p-2, -0x1.8bf2940b42c0bp-2, -0x1.8b38fb7022c6ep-2, -0x1.8a75b172377dcp-2, -0x1.89a8bc10b4175p-2, -0x1.88d222c766184p-2, -0x1.87f1ee8141abfp-2, -0x1.8708298b515e8p-2, -0x1.8614df880a1cep-2, -0x1.85181d6308522p-2, -0x1.8411f1452f88dp-2, -0x1.83026a8936adfp-2, -0x1.81e999b095163p-2, -0x1.80c79058d9105p-2, -0x1.7f9c61315bb48p-2, -0x1.7e681ff159dc1p-2, -0x1.7d2ae14e67b2p-2, -0x1.7be4baf33d1b1p-2, -0x1.7a95c376da13ep-2, -0x1.793e1253fe9ecp-2, -0x1.77ddbfe0ed768p-2, -0x1.7674e5477d099p-2, -0x1.75039c7d6d118p-2, -0x1.738a003cfcd15p-2, -0x1.72082bfdc2db8p-2, -0x1.707e3bedbb613p-2, -0x1.6eec4cea8bb8dp-2, -0x1.6d527c7afb1c8p-2, -0x1.6bb0e8c8944e5p-2, -0x1.6a07b09973a96p-2, -0x1.6856f34a3a239p-2, -0x1.669ed0c823ef7p-2, -0x1.64df698b3b43fp-2, -0x1.6318de90abaf8p-2, -0x1.614b51552854cp-2, -0x1.5f76e3cf6e4cfp-2, -0x1.5d9bb86ad5fe4p-2, -0x1.5bb9f201f67a9p-2, -0x1.59d1b3d95a053p-2, -0x1.57e3219a3bd4bp-2, -0x1.55ee5f4d51b4ep-2, -0x1.53f39155a2dacp-2, -0x1.51f2dc6b5eb7dp-2, -0x1.4fec6596c3329p-2, -0x1.4de0522b01fdbp-2, -0x1.4bcec7c12c87ep-2, -0x1.49b7ec332684dp-2, -0x1.479be5969561ep-2, -0x1.457ada37d9d84p-2, -0x1.4354f095089e3p-2, -0x1.412a4f58e469fp-2, -0x1.3efb1d55dccadp-2, -0x1.3cc781810ec53p-2, -0x1.3a8fa2ed48824p-2, -0x1.3853a8c610849p-2, -0x1.3613ba4aadbdcp-2, -0x1.33cffec939515p-2, -0x1.31889d99afe6ep-2, -0x1.2f3dbe190994dp-2, -0x1.2cef87a45b07fp-2, -0x1.2a9e2193f8dddp-2, -0x1.2849b336a5fdbp-2, -0x1.25f263ccc9dc4p-2, -0x1.23985a83b06c5p-2, -0x1.213bbe70d26acp-2, -0x1.1edcb68d2c2dbp-2, -0x1.1c7b69b09f72ep-2, -0x1.1a17fe8d610d7p-2, -0x1.17b29bab789c5p-2, -0x1.154b67644ace8p-2, -0x1.12e287de37721p-2, -0x1.1078230847c8ep-2, -0x1.0e0c5e95ee74fp-2, -0x1.0b9f5ffadabeep-2, -0x1.09314c66e0172p-2, -0x1.06c248c1f1623p-2, -0x1.045279a834045p-2, -0x1.01e20366287a8p-2, -0x1.fee213e9ce5c7p-3, -0x1.f9ff61ecf7443p-3, -0x1.f51c3764a34d8p-3, -0x1.f038da2381d0cp-3, -0x1.eb558f395eb5bp-3, -0x1.e6729aeca159dp-3, -0x1.e19040b3faf67p-3, -0x1.dcaec330553ccp-3, -0x1.d7ce6426ef90ap-3, -0x1.d2ef647bbd5a7p-3, -0x1.ce12042bf59b6p-3, -0x1.c9368248e63c4p-3, -0x1.c45d1cf2f97fcp-3, -0x1.bf861154fbaacp-3, -0x1.bab19b9f99d96p-3, -0x1.b5dff7051e66bp-3, -0x1.b1115db567623p-3, -0x1.ac4608da1a97ep-3, -0x1.a77e309312c52p-3, -0x1.a2ba0bf30de4cp-3, -0x1.9df9d0fc93c6dp-3, -0x1.993db49f16b61p-3, -0x1.9485eab453725p-3, -0x1.8fd2a5fde8959p-3, -0x1.8b2418232c6c6p-3, -0x1.867a71af36b42p-3, -0x1.81d5e20f2a8f8p-3, -0x1.7d369790b37f2p-3, -0x1.789cbf60bfed3p-3, -0x1.7408858a6a572p-3, -0x1.6f7a14f625519p-3, -0x1.6af197690f20cp-3, -0x1.666f358489ed8p-3, -0x1.61f316c5f647cp-3, -0x1.5d7d6186afa24p-3, -0x1.590e3afc3143cp-3, -0x1.54a5c7386f1e3p-3, -0x1.5044292a5d44cp-3, -0x1.4be9829eaa659p-3, -0x1.4795f4409e54bp-3, -0x1.43499d9b2f1f7p-3, -0x1.3f049d1a394f8p-3, -0x1.3ac7100be428ap-3, -0x1.369112a233a42p-3, -0x1.3262bff4b691cp-3, -0x1.2e3c320267bd2p-3, -0x1.2a1d81b3a7b45p-3, -0x1.2606c6dc636a6p-3, -0x1.21f8183e57e1p-3, -0x1.1df18b8b773f3p-3, -0x1.19f335686e72ep-3, -0x1.15fd296f4c406p-3, -0x1.120f7a323babp-3, -0x1.0e2a393e65f33p-3, -0x1.0a4d771ee62bfp-3, -0x1.0679435fdd5c6p-3, -0x1.02adac91920ffp-3, -0x1.fdd5809774401p-4, -0x1.f66116618737dp-4, -0x1.eefe31e28a8b7p-4, -0x1.e7ace89eea703p-4, -0x1.e06d4e456cd49p-4, -0x1.d93f74b66f975p-4, -0x1.d2236c0b3d9dcp-4, -0x1.cb19429d87193p-4, -0x1.c421050ef26cep-4, -0x1.bd3abe50c2311p-4, -0x1.b66677ab991d4p-4, -0x1.afa438c741785p-4, -0x1.a8f407b29978dp-4, -0x1.a255e8eb86b04p-4, -0x1.9bc9df66f2408p-4, -0x1.954fec98d4611p-4, -0x1.8ee8107c514d5p-4, -0x1.8892499bd0bfep-4, -0x1.824e9519259c8p-4, -0x1.7c1ceeb5b350ep-4, -0x1.75fd50da9ce25p-4, -0x1.6fefb4a0ec10bp-4, -0x1.69f411d9befbfp-4, -0x1.640a5f1672ccp-4, -0x1.5e3291b0c4d84p-4, -0x1.586c9dd2f6463p-4, -0x1.52b8767fe3b13p-4, -0x1.4d160d9b16aa1p-4, -0x1.478553f0d0008p-4, -0x1.4206393e01af8p-4, -0x1.3c98ac3844be9p-4, -0x1.373c9a95bbc8cp-4, -0x1.31f1f114ea144p-4, -0x1.2cb89b847dff9p-4, -0x1.279084cb05f82p-4, -0x1.227996ee99207p-4, -0x1.1d73bb1c6c157p-4, -0x1.187ed9b052b34p-4, -0x1.139ada3c2f083p-4, -0x1.0ec7a38f4a761p-4, -0x1.0a051bbd9bd49p-4, -0x1.05532826f4f23p-4, -0x1.00b1ad7e1bd9dp-4, -0x1.f8411f9f974a2p-5, -0x1.ef3f65133ac17p-5, -0x1.e65df101b58edp-5, -0x1.dd9c87f269ac7p-5, -0x1.d4faed56c542dp-5, -0x1.cc78e39753fd9p-5, -0x1.c4162c208c1d9p-5, -0x1.bbd2876f796afp-5, -0x1.b3adb51e2113ep-5, -0x1.aba773efc099dp-5, -0x1.a3bf81dcc607p-5, -0x1.9bf59c1e9c821p-5, -0x1.94497f3b3d6c1p-5, -0x1.8cbae71087709p-5, -0x1.85498edf6237p-5, -0x1.7df53156a8baap-5, -0x1.76bd889dd3f31p-5, -0x1.6fa24e5f7aea8p-5, -0x1.68a33bd38f9fap-5, -0x1.61c009c9628ecp-5, -0x1.5af870b1765ffp-5, -0x1.544c28a7127edp-5, -0x1.4dbae979a3079p-5, -0x1.47446ab5dc2f7p-5, -0x1.40e863aea9f51p-5, -0x1.3aa68b85e4b46p-5, -0x1.347e9934cd14fp-5, -0x1.2e70439455a84p-5, -0x1.287b416534962p-5, -0x1.229f4957b59aap-5, -0x1.1cdc1213676c1p-5, -0x1.1731523e820e9p-5, -0x1.119ec085201e9p-5, -0x1.0c2413a048f5ap-5, -0x1.06c1025cb79b2p-5, -0x1.017543a17cc41p-5, -0x1.f8811cecc2466p-6, -0x1.ee45341447ac5p-6, -0x1.e4363b70f0df1p-6, -0x1.da53a21fb58fbp-6, -0x1.d09cd7ae5d789p-6, -0x1.c7114c266fa23p-6, -0x1.bdb07017ac23dp-6, -0x1.b479b4a235abdp-6, -0x1.ab6c8b805aa04p-6, -0x1.a28867100865ep-6, -0x1.99ccba5bdc23p-6, -0x1.9138f923e3fe3p-6, -0x1.88cc97e60379bp-6, -0x1.80870be609b32p-6, -0x1.7867cb35673b6p-6, -0x1.706e4cbaa060ap-6, -0x1.689a08386565dp-6, -0x1.60ea76545bea9p-6, -0x1.595f109d9f235p-6, -0x1.51f75192eba09p-6, -0x1.4ab2b4a88dddfp-6, -0x1.4390b64df11dp-6, -0x1.3c90d3f301eb7p-6, -0x1.35b28c0d2f8d4p-6, -0x1.2ef55e1c3b70bp-6, -0x1.2858caaec243fp-6, -0x1.21dc5366741ep-6, -0x1.1b7f7afc21bbp-6, -0x1.1541c54376af7p-6, -0x1.0f22b72e87fa7p-6, -0x1.0921d6d11a1d5p-6, -0x1.033eab63aee79p-6, -0x1.faf17a8cbb8f6p-7, -0x1.ef9f2c06dc5fap-7, -0x1.e48580a38f828p-7, -0x1.d9a3902e2cf16p-7, -0x1.cef874d3b4e45p-7, -0x1.c4834b264677bp-7, -0x1.ba43322078c34p-7, -0x1.b0374b2816519p-7, -0x1.a65eba10afc67p-7, -0x1.9cb8a51da8d2ap-7, -0x1.93443504181dfp-7, -0x1.8a0094ec2cc07p-7, -0x1.80ecf2725736ep-7, -0x1.78087da827c0bp-7, -0x1.6f526914bd8e8p-7, -0x1.66c9e9b5250d4p-7, -0x1.5e6e36fc280cbp-7, -0x1.563e8ad2113afp-7, -0x1.4e3a21941b2ebp-7, -0x1.46603a13853b2p-7, -0x1.3eb0159488516p-7, -0x1.3728f7cd070fdp-7, -0x1.2fca26e2f7969p-7, -0x1.2892eb6aa9318p-7, -0x1.21829064b0eb5p-7, -0x1.1a98633bcf171p-7, -0x1.13d3b3c27f24ep-7, -0x1.0d33d43062968p-7, -0x1.06b8191f7e36bp-7, -0x1.005fd9894bd3bp-7, -0x1.f454dd87460a7p-8, -0x1.e82e68facc456p-8, -0x1.dc4b1176529fp-8, -0x1.d0a997a7272afp-8, -0x1.c548c0d7572e6p-8, -0x1.ba2756e615014p-8, -0x1.af44283fb1925p-8, -0x1.a49e07d5815e8p-8, -0x1.9a33cd1563f4ep-8, -0x1.900453e12ccd3p-8, -0x1.860e7c85cec0ep-8, -0x1.7c512bb25c2bfp-8, -0x1.72cb4a6ec0f6fp-8, -0x1.697bc6126db68p-8, -0x1.6061903ac7ae4p-8, -0x1.577b9ec17d3e3p-8, -0x1.4ec8ebb2a3fd3p-8, -0x1.46487542c55fdp-8, -0x1.3df93dc4ccf89p-8, -0x1.35da4b9fbc74fp-8, -0x1.2deaa9447a0f2p-8, -0x1.262965234535fp-8, -0x1.1e9591a15a35cp-8, -0x1.172e450e3706dp-8, -0x1.0ff2999914bdbp-8, -0x1.08e1ad4613dc1p-8, -0x1.01faa1e38e116p-8, -0x1.f67939fe62c05p-9, -0x1.e94d8fb64acaep-9, -0x1.dc709ec64a2bcp-9, -0x1.cfe0c8431b00fp-9, -0x1.c39c7468c68f5p-9, -0x1.b7a21284c237cp-9, -0x1.abf018dfeaa62p-9, -0x1.a08504a86cfbep-9, -0x1.955f59dc0a0dcp-9, -0x1.8a7da331b9c04p-9, -0x1.7fde720416cd4p-9, -0x1.75805e3b27485p-9, -0x1.6b62063691c93p-9, -0x1.61820eb7ccf55p-9, -0x1.57df22cc32e2ep-9, -0x1.4e77f3b771f03p-9, -0x1.454b38ddca5f6p-9, -0x1.3c57afae6a591p-9, -0x1.339c1b8e26419p-9, -0x1.2b1745c1e50ecp-9, -0x1.22c7fd5968f0dp-9, -0x1.1aad171a17fabp-9, -0x1.12c56d6a01974p-9, -0x1.0b0fe03acf2a4p-9, -0x1.038b54f50b62ep-9, -0x1.f86d6cc6d8bd9p-10, -0x1.ea21e93c68a41p-10, -0x1.dc3209edde236p-10, -0x1.ce9bc3c823915p-10, -0x1.c15d15d9c0f51p-10, -0x1.b474092b1202fp-10, -0x1.a7deb096be86p-10, -0x1.9b9b28a1fb9ddp-10, -0x1.8fa7975692b9cp-10, -0x1.84022c1b1d358p-10, -0x1.78a91f8dc51a8p-10, -0x1.6d9ab35dd4c21p-10, -0x1.62d5322639a9cp-10, -0x1.5856ef4884415p-10, -0x1.4e1e46c7f2facp-10, -0x1.44299d25299ddp-10, -0x1.3a775f39de792p-10, -0x1.31060215535d7p-10, -0x1.27d402d91106p-10, -0x1.1edfe695e84fdp-10, -0x1.16283a29393e5p-10, -0x1.0dab921b28b1fp-10, -0x1.05688a7c73263p-10, -0x1.fabb8d8aeb068p-11, -0x1.eb13e3699f674p-11, -0x1.dbd77a5e18325p-11, -0x1.cd03c43c97ec1p-11, -0x1.be9640a546806p-11, -0x1.b08c7cc4e0216p-11, -0x1.a2e41316fd4c8p-11, -0x1.959aab290b5afp-11, -0x1.88adf95d8b531p-11, -0x1.7c1bbeb0653f5p-11, -0x1.6fe1c87c25eecp-11, -0x1.63fdf0403d6a2p-11, -0x1.586e1b6704e3fp-11, -0x1.4d303b0e1f035p-11, -0x1.42424bcdcb183p-11, -0x1.37a25582bde6cp-11, -0x1.2d4e6b17abdc4p-11, -0x1.2344aa4fbaf9cp-11, -0x1.19833b923edcp-11, -0x1.100851b6939cdp-11, -0x1.06d229d137558p-11, -0x1.fbbe160295139p-12, -0x1.ea5a8c7e013afp-12, -0x1.d9766c55d56cfp-12, -0x1.c90e7dbbda9d9p-12, -0x1.b91f9b72e3cc4p-12, -0x1.a9a6b272904a1p-12, -0x1.9aa0c18b3b7d5p-12, -0x1.8c0ad90b08d1bp-12, -0x1.7de21a65c6176p-12, -0x1.7023b7dcd0957p-12, -0x1.62ccf42978b88p-12, -0x1.55db2227c7ef6p-12, -0x1.494ba4836a2acp-12, -0x1.3d1bed657e65cp-12, -0x1.31497e246fcc5p-12, -0x1.25d1e6f40ac78p-12, -0x1.1ab2c69863f6bp-12, -0x1.0fe9ca18475dbp-12, -0x1.0574ac724374ap-12, -0x1.f6a26ca509788p-13, -0x1.e2fa7b94c7d68p-13, -0x1.cfed4c11013d6p-13, -0x1.bd76be24df201p-13, -0x1.ab92caffc54b1p-13, -0x1.9a3d846d4c0f2p-13, -0x1.8973145030d4ap-13, -0x1.792fbc1ec2c88p-13, -0x1.696fd463c5a6fp-13, -0x1.5a2fcc3e3a98fp-13, -0x1.4b6c28e6c784ap-13, -0x1.3d2185357309p-13, -0x1.2f4c912a20d67p-13, -0x1.21ea1176e99bap-13, -0x1.14f6df0de3d9cp-13, -0x1.086fe6af21ddep-13, -0x1.f8a450f4c85d3p-14, -0x1.e1356f0366edap-14, -0x1.ca8d72bdc1426p-14, -0x1.b4a6cb96b6103p-14, -0x1.9f7c0c6f83a96p-14, -0x1.8b07ead1b2e6bp-14, -0x1.77453e26cd7dep-14, -0x1.642efef8634dcp-14, -0x1.51c0462f43909p-14, -0x1.3ff44c5c4015bp-14, -0x1.2ec668fd8e88p-14, -0x1.1e3211ceb585fp-14, -0x1.0e32da170305ap-14, -0x1.fd88e3fc36443p-15, -0x1.dfc54bc4922c7p-15, -0x1.c312bb66b3ee2p-15, -0x1.a76938a18168ap-15, -0x1.8cc0fdd46d732p-15, -0x1.731278c8c5f7ep-15, -0x1.5a5649805f7a8p-15, -0x1.42854109bf2f3p-15, -0x1.2b98605c9ea7dp-15, -0x1.1588d739f9a14p-15, -0x1.00500315080aap-15, -0x1.d7cedbfbefc58p-16, -0x1.b0919b2a663a3p-16, -0x1.8adc040972802p-16, -0x1.66a229f91cce2p-16, -0x1.43d8716ca057fp-16, -0x1.22738dfc77989p-16, -0x1.026880810d7f9p-16, -0x1.c7592a7111257p-17, -0x1.8c6ac3ebb0119p-17, -0x1.53f188b35f9b4p-17, -0x1.1dd9c035f0665p-17, -0x1.d420753698e0fp-18, -0x1.71049af4901e2p-18, -0x1.123ba12647491p-18, -0x1.6f446aa576f83p-19, -0x1.8457f2c56e66cp-20, -0x1.ceb1c571c1f17p-23, 0x1.017e4e5d281d8p-20, 0x1.171200399a75dp-19, 0x1.a64add5d41171p-19, 0x1.1752bbfa05f67p-18, 0x1.582def7dd2dc2p-18, 0x1.95d340e6912dfp-18, 0x1.d05e1d2d7b222p-18, 0x1.03f495e335bcp-17, 0x1.1e4729c5cc07cp-17, 0x1.37335fcb8c7c3p-17, 0x1.4ec5720859353p-17, 0x1.650941644142dp-17, 0x1.7a0a57de94bfep-17, 0x1.8dd3eacbc0f5ep-17, 0x1.a070dcf9dba4dp-17, 0x1.b1ebc0cc6d971p-17, 0x1.c24eda5869986p-17, 0x1.d1a4215b5c612p-17, 0x1.dff5433d0250ep-17, 0x1.ed4ba4fd13821p-17, 0x1.f9b0650d72e54p-17, 0x1.02962e9761a5p-16, 0x1.07e4121d44e07p-16, 0x1.0cc607f0dd0c3p-16, 0x1.11401b32390fap-16, 0x1.1556381d522fcp-16, 0x1.190c2cddd4ea3p-16, 0x1.1c65aa5756151p-16, 0x1.1f6644edc25dp-16, 0x1.2211754787999p-16, 0x1.246a9908c3d1ep-16, 0x1.2674f3917dc3p-16, 0x1.2833aeabb549dp-16, 0x1.29a9db3f2416bp-16, 0x1.2ada71fcff389p-16, 0x1.2bc854042ccafp-16, 0x1.2c764b891be78p-16, 0x1.2ce70c71ba51cp-16, 0x1.2d1d34f422371p-16, 0x1.2d1b4e2aa4df3p-16, 0x1.2ce3ccab6efb6p-16, 0x1.2c791115a8e31p-16, 0x1.2bdd68a0966c1p-16, 0x1.2b130da2c54bfp-16, 0x1.2a1c281a65cafp-16, 0x1.28face2d46a2p-16, 0x1.27b104a8c26f5p-16, 0x1.2640bf7ecd761p-16, 0x1.24abe23bceb1p-16, 0x1.22f44081393a5p-16, 0x1.211b9e73f2017p-16, 0x1.1f23b12ebf86cp-16, 0x1.1d0e1f2dff6b3p-16, 0x1.1adc80ba831a6p-16, 0x1.1890605059104p-16, 0x1.162b3b05ad2d6p-16, 0x1.13ae80eaae047p-16, 0x1.111b956a71f56p-16, 0x1.0e73cfa899dafp-16, 0x1.0bb87adab741ap-16, 0x1.08ead6a318bdep-16, 0x1.060c17641e93p-16, 0x1.031d66964f5a3p-16, 0x1.001fe319621cdp-16, 0x1.fa294308bf5fp-17, 0x1.f3f958e4a703bp-17, 0x1.edb2099ae76f7p-17, 0x1.e755443355772p-17, 0x1.e0e4e576404fbp-17, 0x1.da62b87946da6p-17, 0x1.d3d07726b9e79p-17, 0x1.cd2fcabed74bdp-17, 0x1.c6824c5c69f8ep-17, 0x1.bfc9856e926e1p-17, 0x1.b906f030fff53p-17, 0x1.b23bf8277ab72p-17, 0x1.ab69fa8b7aa29p-17, 0x1.a49246bf59b6ep-17, 0x1.9db61eb927504p-17, 0x1.96d6b76f2eae7p-17, 0x1.8ff5393b746eep-17, 0x1.8912c042a602fp-17, 0x1.82305cd4c0d2fp-17, 0x1.7b4f13cbcdf26p-17, 0x1.746fdee6d27e1p-17, 0x1.6d93ad26043c4p-17, 0x1.66bb631f08738p-17, 0x1.5fe7db5409182p-17, 0x1.5919e68350209p-17, 0x1.52524bfa67918p-17, 0x1.4b91c9e1f1b32p-17, 0x1.44d915884e73ep-17, 0x1.3e28dbaea92c8p-17, 0x1.3781c0cbb735cp-17, 0x1.30e4615483967p-17, 0x1.2a5151fe3c0f9p-17, 0x1.23c91fffb7afap-17, 0x1.1d4c5152c50cbp-17, 0x1.16db64eea1a35p-17, 0x1.1076d307a2871p-17, 0x1.0a1f0d45d022ap-17, 0x1.03d47f00adaa3p-17, 0x1.fb2f1ae7ac83ap-18, 0x1.eed12feca424fp-18, 0x1.e28ff058f74dp-18, 0x1.d66c0476c611dp-18, 0x1.ca6609f3bdfdcp-18, 0x1.be7e943ea7fc9p-18, 0x1.b2b62ce139a59p-18, 0x1.a70d53df0fc56p-18, 0x1.9b8480059f035p-18, 0x1.901c1f463f1a6p-18, 0x1.84d497036b7d3p-18, 0x1.79ae4461ffbbcp-18, 0x1.6ea97c94cf4d2p-18, 0x1.63c68d29c14e3p-18, 0x1.5905bc4c1bccap-18, 0x1.4e674911c8bd5p-18, 0x1.43eb6bb93a4c5p-18, 0x1.399255eff27a3p-18, 0x1.2f5c330df562ep-18, 0x1.2549285848fd7p-18, 0x1.1b595537edf5bp-18, 0x1.118cd378ac024p-18, 0x1.07e3b77dd9d84p-18, 0x1.fcbc20f77e3cep-19, 0x1.e9f7d15443f0bp-19, 0x1.d77a8af08c291p-19, 0x1.c5444f80bc6a7p-19, 0x1.b35517e900263p-19, 0x1.a1acd49ea932fp-19, 0x1.904b6e02cad93p-19, 0x1.7f30c4b5b4f4fp-19, 0x1.6e5cb1f1127eap-19, 0x1.5dcf07d39e275p-19, 0x1.4d8791b7f2a38p-19, 0x1.3d861476d766fp-19, 0x1.2dca4ebc804b2p-19, 0x1.1e53f949c62bbp-19, 0x1.0f22c73b0d576p-19, 0x1.0036664bbb2dp-19, 0x1.e31cfe3182319p-20, 0x1.c6556ab83e92ap-20, 0x1.aa15505a55351p-20, 0x1.8e5be472b713p-20, 0x1.732853fb865acp-20, 0x1.5879c3fb6f5dfp-20, 0x1.3e4f51f158133p-20, 0x1.24a8143a65376p-20, 0x1.0b831a749d3ecp-20, 0x1.e5bedbbd8b872p-21, 0x1.b5782369ce5e4p-21, 0x1.863007193464fp-21, 0x1.57e4774e48241p-21, 0x1.2a935a846025bp-21, 0x1.fc751bd0c9942p-22, 0x1.a5afcbafede37p-22, 0x1.50d25d160059ep-22, 0x1.fbb0b2666cf67p-23, 0x1.597a763923fbdp-23, 0x1.75f1c32e0c9cep-24, 0x1.0115c2cf6b68p-26, -0x1.dc455f64ce8e8p-25, -0x1.0aacb5b006712p-23, -0x1.9ab8da54d0d65p-23, -0x1.139fa7d39939cp-22, -0x1.5824d75a815edp-22, -0x1.9af0cef0033f5p-22, -0x1.dc0867c1e610fp-22, -0x1.0db8401473529p-21, -0x1.2c96fd7f3edfap-21, -0x1.4aa2df6e397c3p-21, -0x1.67de5abf957c6p-21, -0x1.844be58d3428fp-21, -0x1.9fedf6df85f7p-21, -0x1.bac706614bcdcp-21, -0x1.d4d98c123bc02p-21, -0x1.ee28000d4ef9ap-21, -0x1.035a6d1b4da68p-20, -0x1.0f41490259225p-20, -0x1.1ac9cf20a3608p-20, -0x1.25f53a673bbeep-20, -0x1.30c4c5362028ep-20, -0x1.3b39a9407b2dp-20, -0x1.45551f75e80a7p-20, -0x1.4f185fe51107dp-20, -0x1.5884a1a7fa443p-20, -0x1.619b1aca32525p-20, -0x1.6a5d0035c435cp-20, -0x1.72cb859caab58p-20, -0x1.7ae7dd652fed7p-20, -0x1.82b33897f9c27p-20, -0x1.8a2ec6ce670bbp-20, -0x1.915bb621a9cf5p-20, -0x1.983b3316e1a7p-20, -0x1.9ece689405422p-20, -0x1.a5167fce96067p-20, -0x1.ab14a03ed8125p-20, -0x1.b0c9ef9313781p-20, -0x1.b63791a0f951bp-20, -0x1.bb5ea85bd013bp-20, -0x1.c04053c7e65c1p-20, -0x1.c4ddb1f11496ap-20, -0x1.c937dedf9c1e5p-20, -0x1.cd4ff48f5f0adp-20, -0x1.d1270ae72f0d6p-20, -0x1.d4be37b1fe38cp-20, -0x1.d8168e932156ep-20, -0x1.db312103051fdp-20, -0x1.de0efe4639105p-20, -0x1.e0b13367d6553p-20, -0x1.e318cb33389f1p-20, -0x1.e546ce2f2c81fp-20, -0x1.e73c42981a6d2p-20, -0x1.e8fa2c5d78f5cp-20, -0x1.ea818d1a4e614p-20, -0x1.ebd36414cea55p-20, -0x1.ecf0ae384132dp-20, -0x1.edda6613c3e7ep-20, -0x1.ee9183d73d61dp-20, -0x1.ef16fd4f3f37dp-20, -0x1.ef6bc5e5b5397p-20, -0x1.ef90ce9dfb8b3p-20, -0x1.ef870613db3ep-20, -0x1.ef4f5879a863bp-20, -0x1.eeeaaf993553p-20, -0x1.ee59f2d12b958p-20, -0x1.ed9e0716829abp-20, -0x1.ecb7cef149af8p-20, -0x1.eba82a7e9b357p-20, -0x1.ea6ff771f55bcp-20, -0x1.e91011128d496p-20, -0x1.e789503ed8287p-20, -0x1.e5dc8b6b8a0cp-20, -0x1.e40a96a6181d7p-20, -0x1.e21443950a78p-20, -0x1.dffa617917c76p-20, -0x1.ddbdbd2e86128p-20, -0x1.db5f212ef6c01p-20, -0x1.d8df5593c9a2ap-20, -0x1.d63f2018abd4ap-20, -0x1.d37f441b3dcafp-20, -0x1.d0a0829ec4ba3p-20, -0x1.cda39a4fbf292p-20, -0x1.ca89478408ae8p-20, -0x1.c752443f15afdp-20, -0x1.c3ff4833bd175p-20, -0x1.c09108c6b26f1p-20, -0x1.bd08391351bdap-20, -0x1.b96589ecd7f72p-20, -0x1.b5a9a9e21c74ap-20, -0x1.b1d54540ad9f3p-20, -0x1.ade9061739c01p-20, -0x1.a9e59439be111p-20, -0x1.a5cb954516b2dp-20, -0x1.a19baca1cbca3p-20, -0x1.9d567b87812eep-20, -0x1.98fca10154c02p-20, -0x1.948eb9f04cf95p-20, -0x1.900d610ff461ap-20, -0x1.8b792efa2d883p-20, -0x1.86d2ba2a4427bp-20, -0x1.821a97017ac0bp-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      76, 0x1.09eb851eb851fp+3, 0x1.5ca2f1fbeec6dp+1, 0x1.0c7277ff62f31p+3, 0x1.85963b348fbdp-8, 
      {{
        {0x1.251eb851eb852p+2, 0x1.2666666666666p+2, 0x1.74d72f6bbf58dp-6, -0x1.771dc89c49293p-5, 0x1.fedb4021984a4p-5, -0x1.a2e77075c5c48p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.663ce6c633f7ap-6, -0x1.632f4d0a7e991p-5, 0x1.e5b8e257f7f24p-5, -0x1.8b7509167b80ap-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.450c9626cdc34p-6, -0x1.3594171d62e31p-5, 0x1.aa67542e3237ap-5, -0x1.6e66e3460683bp-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2821b973c2343p-6, -0x1.0dafa6294ab6fp-5, 0x1.73717ee3b13dcp-5, -0x1.527eaff1741b6p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0eef8b172be8ep-6, -0x1.d6293824d3b96p-6, 0x1.40ab4ae5dfd36p-5, -0x1.3647b91510d03p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.f1e8296a42b39p-7, -0x1.9aae6fc7cee46p-6, 0x1.122088bc50812p-5, -0x1.1a25dddc0122p-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.cb705e5769b2ap-7, -0x1.681693ebd8689p-6, 0x1.cf9c1bb6a0ab9p-6, -0x1.fbfcaf3af86a9p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.a99f0525e9261p-7, -0x1.3d89808b4e0aep-6, 0x1.836967d42e9a7p-6, -0x1.c3b0c3a2ea885p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.8bb10c79d51a5p-7, -0x1.1a2f01de5938cp-6, 0x1.3fa87daef1d3p-6, -0x1.8b63aa81dbb67p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.70f9016b394d9p-7, -0x1.fa5dcfb7d0e4fp-7, 0x1.04598a81ddab2p-6, -0x1.5318269fcd86cp-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.58df0f8619322p-7, -0x1.cb6206841471dp-7, 0x1.a2f8a306fdae4p-7, -0x1.1ac77b4ac8438p-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.42e100ca6fed1p-7, -0x1.a5ba3be710003p-7, 0x1.4e23313d5b33cp-7, -0x1.c513b1051bcb2p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2e923dac30577p-7, -0x1.87b638f23ec49p-7, 0x1.0a2d09e2fd6dep-7, -0x1.540a75f466c23p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.1b9bcd1344fdfp-7, -0x1.6fa4ff3e04ea5p-7, 0x1.ae56f0630f3b8p-8, -0x1.ca25ff960b4d7p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.09bc545b901ffp-7, -0x1.5bd878fb3a98cp-7, 0x1.699e0a0c8d89cp-8, -0x1.b989ae1244de2p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.f1902ea9d7614p-8, -0x1.4a97b571fed99p-7, 0x1.48808364c85fap-8, -0x1.ffc5c4919d276p-11}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.d15134a1e01e3p-8, -0x1.3a684bba4dfc1p-7, 0x1.3ee8014eda3a2p-8, -0x1.25c07cb0442c1p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b2aa204248dc7p-8, -0x1.2abccbc77cbc7p-7, 0x1.33e3fca1d7ab8p-8, -0x1.155c7a2c7d6f2p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.958d4709693e4p-8, -0x1.1b9a5d05ad453p-7, 0x1.297d51a692f77p-8, -0x1.139ac2c477dfp-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.79ed3ac7d4688p-8, -0x1.0cfca47b73cb7p-7, 0x1.1f2783f268124p-8, -0x1.0ded3a6433b1bp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.5fbcc8e474936p-8, -0x1.fdc3b2c25f331p-8, 0x1.150838283fbbap-8, -0x1.094caac961144p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.46eefa5c8b094p-8, -0x1.e28f0524cdf8p-8, 0x1.0b15582718e48p-8, -0x1.04640910d612ap-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.2f7713c3b026fp-8, -0x1.c856ac5872477p-8, 0x1.015197d010dd4p-8, -0x1.ff1d6e13c3ee1p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.19489543d35c9p-8, -0x1.af15fb4475565p-8, 0x1.ef787b7f63fb3p-9, -0x1.f56870b495bb9p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.04573a9d3b2b7p-8, -0x1.96c84b99235bcp-8, 0x1.dcaaf7456b2abp-9, -0x1.ebb639372f1fap-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e12df64d0a4f8p-9, -0x1.7f68f53551a5p-8, 0x1.ca3a885359666p-9, -0x1.e2034383ae803p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.bbf813994bf0ep-9, -0x1.68f350748e0fp-8, 0x1.b82735cb360e8p-9, -0x1.d85080c78f91ap-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.98f5aa25d2abdp-9, -0x1.5362b590fb3fdp-8, 0x1.a670fdc3ba458p-9, -0x1.ce9db063581ddp-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.78100e25e4191p-9, -0x1.3eb27ccdb02dbp-8, 0x1.9517e0c000913p-9, -0x1.c4eae3a82166cp-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.59310af973f3ep-9, -0x1.2addfe6b5d9f2p-8, 0x1.841bde9ce5b71p-9, -0x1.bb3815f19c0b6p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3c42e32d241cdp-9, -0x1.17e092ab58ec4p-8, 0x1.737cf763d6438p-9, -0x1.b185487e97f86p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.2130507a44999p-9, -0x1.05b591cecb4fdp-8, 0x1.633b2b124a2a3p-9, -0x1.a7d27af95df81p-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.07e483c6d393cp-9, -0x1.e8b0a82dd3b3bp-9, 0x1.535679a8f03d8p-9, -0x1.9e1fad792c415p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.e0964a4afab86p-10, -0x1.c7886389cce18p-9, 0x1.43cee327982e4p-9, -0x1.946cdff76399fp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.b4a0a7ab38cb9p-10, -0x1.a7e90633e79c3p-9, 0x1.34a4678e513fp-9, -0x1.8aba12764e5fep-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.8bc14c8672948p-10, -0x1.89c940ae88e9bp-9, 0x1.25d706dd14b52p-9, -0x1.810744f4e6c58p-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.65d2540e158ddp-10, -0x1.6d1fc37c15fedp-9, 0x1.1766c113e5a75p-9, -0x1.7754777383aa2p-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.42aec7cceb7bfp-10, -0x1.51e33f1ef3ea5p-9, 0x1.09539632c3ea6p-9, -0x1.6da1a9f22e3f7p-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.22329fa71a702p-10, -0x1.380a641987c56p-9, 0x1.f73b0c735df66p-10, -0x1.63eedc70fbe66p-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.043ac1da24c2cp-10, -0x1.1f8be2ee36befp-9, 0x1.dc8922514b121p-10, -0x1.5a3c0eef8b7dep-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.d14a05f9d229cp-11, -0x1.085e6c1f65f96p-9, 0x1.c2916dff53cf1p-10, -0x1.5089416e212ap-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.9ea04bff44a5ep-11, -0x1.e4f1605ef4f8cp-10, 0x1.a953ef7d77b8fp-10, -0x1.46d673ecfaaa9p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.7037b857cf674p-11, -0x1.bba2bf41b2e5ep-10, 0x1.90d0a6cbb1b89p-10, -0x1.3d23a66b93cecp-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.45d18a49596cap-11, -0x1.94be55ebd014ap-10, 0x1.790793ea06a2cp-10, -0x1.3370d8ea29701p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.1f30ddcc8246ep-11, -0x1.70318562169ccp-10, 0x1.61f8b6d876ba6p-10, -0x1.29be0b68f901p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.f8355719443acp-12, -0x1.4de9aea950cb4p-10, 0x1.4ba40f96fda72p-10, -0x1.200b3de77d947p-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.b8ab91cf93501p-12, -0x1.2dd432c648dc4p-10, 0x1.36099e25a108cp-10, -0x1.16587066473e2p-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.7f55cfdd8468ep-12, -0x1.0fde72bdc9058p-10, 0x1.212962845bb0cp-10, -0x1.0ca5a2e4ef929p-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.4bc92eca1b456p-12, -0x1.e7eb9f2937438p-11, 0x1.0d035cb3301f6p-10, -0x1.02f2d5636052ap-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.1d9e8581cccb5p-12, -0x1.b40f549f1567p-11, 0x1.f32f196444ff6p-11, -0x1.f2800fc5258fap-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.e8e4c8acfe1e4p-13, -0x1.8402c7e6c1863p-11, 0x1.cdcbe5024894bp-11, -0x1.df1a74c12a5d7p-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.9fca29ff126f2p-13, -0x1.57a0bb09cfddap-11, 0x1.a9dd1c40989aap-11, -0x1.cbb4d9bf9b6b8p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.5f3535336755ep-13, -0x1.2ec3f011d4b4bp-11, 0x1.8762bf1f068bap-11, -0x1.b84f3ebc18fa5p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.2675634e6fcc9p-13, -0x1.0947290864c91p-11, 0x1.665ccd9db7df6p-11, -0x1.a4e9a3ba265bap-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.e9c3403f025e1p-14, -0x1.ce0a4fee28eccp-12, 0x1.46cb47bc8e98ap-11, -0x1.918408b6cdd67p-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.93b09481a625fp-14, -0x1.8fb15dcef0829p-12, 0x1.28ae2d7ba58f1p-11, -0x1.7e1e6db50e3efp-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.497e662efedbp-14, -0x1.5738ffc649bfp-12, 0x1.0c057edade174p-11, -0x1.6ab8d2b0d85f2p-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.0a073da704d2p-14, -0x1.2456b9e75c636p-12, 0x1.e1a277b4ceec3p-12, -0x1.575337b05c367p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.a86911beeac8p-15, -0x1.ed80208aa5417p-13, 0x1.ae22c8f3f44abp-12, -0x1.43ed9cabb1b49p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.4dfd36c7a3bp-15, -0x1.9c550de6ab8b4p-13, 0x1.7d8bf173ccd62p-12, -0x1.308801aa05703p-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.02d95caac16p-15, -0x1.5497440919b3p-13, 0x1.4fddf133e59f1p-12, -0x1.1d2266a713c4ap-12}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.8a5381acb3481p-16, -0x1.15b1cb1844648p-13, 0x1.2518c8346f75p-12, -0x1.09bccba54ba9p-12}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.2670d7c816981p-16, -0x1.be1f5674ffbf2p-14, 0x1.fa78ecea7b694p-13, -0x1.ecae613bfd1ddp-13}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.adb4c663faf01p-17, -0x1.6037d92c1f578p-14, 0x1.b091f7ee48a5p-13, -0x1.c5e32b5ef9987p-13}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.3136c39793ap-17, -0x1.10832ea302a35p-14, 0x1.6c7cb16cd667ep-13, -0x1.9f17f4b81f6b8p-13}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.a3ea9f37c9ap-18, -0x1.9baece48f8235p-15, 0x1.2e3919846b4b3p-13, -0x1.784cc11c5d4bdp-13}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.15ea7f1ff5cp-18, -0x1.2e1526080d75fp-15, 0x1.eb8e5f805433ap-14, -0x1.5181820b0522ap-13}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.5eca55042afffp-19, -0x1.abcb09d331dc2p-16, 0x1.864debb0390ddp-14, -0x1.2ab66dcca4c6fp-13}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.a103f9536fffep-20, -0x1.219818899fce6p-16, 0x1.2cb0cabfa138fp-14, -0x1.03eab9b88c0bcp-13}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.ca95875a28p-21, -0x1.71d367b90ce1ep-17, 0x1.bd6e5943bb384p-15, -0x1.ba42b4508b611p-14}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.c5d51f494ffffp-22, -0x1.b460c6a1bda93p-18, 0x1.38c0bcc52aff7p-15, -0x1.6c9e90b50bfb6p-14}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.82494f8ba8002p-23, -0x1.cbdc300a811c6p-19, 0x1.96bbef841ba06p-16, -0x1.1f3b5612a917ap-14}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.04573a9c4p-24, -0x1.96d11ea6c0c2bp-20, 0x1.d4ca448b6c525p-17, -0x1.a1cbb7b9a43fbp-15}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.d14a05f600003p-27, -0x1.081c8e382d51ap-21, 0x1.b439ac9e79fd5p-18, -0x1.0c30ee63b7b6dp-15}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.497e661c00001p-30, -0x1.5ee78b730ac1ap-24, 0x1.c9956d680fa6ep-20, -0x1.70e7de5d8d851p-17}, 
        {0x1.099999999999ap+3, 0x1.09eb851eb851fp+3, 0x1.04566p-40, 0x1.b14771715c9b1p-28, 0x1.dcb2b89320001p-25, -0x1.a7d5995b03882p-12}, 
      }}, 
      0x1.b635f672395afp-5, -0x1.0051f6af3a1c4p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.1ae964691295ap-5, -0x1.1988a07f4a332p-4, -0x1.a2e77256fab6bp-4, -0x1.142e0292ed3b7p-3, -0x1.546e2c4af6d39p-3, -0x1.91c637089dcc8p-3, -0x1.cbdded2267f0fp-3, -0x1.01385a698a281p-2, -0x1.1aa5ac5873fcap-2, -0x1.32250e593bf5cp-2, -0x1.47ab8e3c6e84bp-2, -0x1.5b34690fd5f3fp-2, -0x1.6cc05504027f6p-2, -0x1.7c54cba45bf53p-2, -0x1.89fb54d880918p-2, -0x1.95c0d6e7b55a5p-2, -0x1.9fb4f0dc676c3p-2, -0x1.a7e963efff2cfp-2, -0x1.ae718ec35948ep-2, -0x1.b361fb91b6cccp-2, -0x1.b6d000db2fd11p-2, -0x1.b8d172f9f1e55p-2, -0x1.b97c645d3b119p-2, -0x1.b8e6f1d8085f7p-2, -0x1.b7271877a28dap-2, -0x1.b45292ad09ef9p-2, -0x1.b07ebb216c58cp-2, -0x1.abc0741ccdc58p-2, -0x1.a62c12c69f9f9p-2, -0x1.9fd54db4a6d28p-2, -0x1.98cf2e4fd8cddp-2, -0x1.912c04a92d9fp-2, -0x1.88fd5d6fc9acbp-2, -0x1.8053f9d373aa8p-2, -0x1.773fc93110ab8p-2, -0x1.6dcfe475c0edfp-2, -0x1.64128b231711p-2, -0x1.5a1521f2aed0ep-2, -0x1.4fe4331d47a9fp-2, -0x1.458b7023b02b6p-2, -0x1.3b15b49c90bf8p-2, -0x1.308d0a51b3105p-2, -0x1.25faafec02fa1p-2, -0x1.1b671ee822dd9p-2, -0x1.10da118518c7fp-2, -0x1.065a8d7a24a3ap-2, -0x1.f7ddd9553430ap-3, -0x1.e339c3ab9d154p-3, -0x1.ced312b6994dep-3, -0x1.bab2d9d29d257p-3, -0x1.a6e11ce7ad11ap-3, -0x1.9364ea368547cp-3, -0x1.80446079cbc9ap-3, -0x1.6d84cd73a72d7p-3, -0x1.5b2ab4f3bb368p-3, -0x1.4939e6cca02f8p-3, -0x1.37b58aa6eae12p-3, -0x1.26a02eb623957p-3, -0x1.15fbd41b46241p-3, -0x1.05c9fa4f3b661p-3, -0x1.ec1753aadf761p-4, -0x1.cd82fbcfaba05p-4, -0x1.afd75b05b6e31p-4, -0x1.9314278fc84fap-4, -0x1.77386fbaf3825p-4, -0x1.5c42a8bde2261p-4, -0x1.4230bcd9e64bap-4, -0x1.290018cffbdb4p-4, -0x1.10adb8aa13326p-4, -0x1.f26c67a2cdc72p-5, -0x1.c52b90c9d6eaap-5, -0x1.9990cb9ae2723p-5, -0x1.6f936d247c25p-5, -0x1.472a52f7c8f67p-5, -0x1.204bf42093579p-5, -0x1.f5dce1cdc31ccp-6, -0x1.ae0f42bebfefbp-6, -0x1.691a45ab42f1cp-6, -0x1.26e8c82a79a03p-6, -0x1.cecac2bbcc114p-7, -0x1.54f4ed425334dp-7, -0x1.c0493abb02207p-8, -0x1.c0b91b6c6c93fp-9, -0x1.3999544ad15bcp-13, 0x1.877992b1511adp-9, 0x1.8896614b7ddcep-8, 0x1.228ab9b29d064p-7, 0x1.7cc74465782ep-7, 0x1.d32a8913620d8p-7, 0x1.12eed03e9d2d6p-6, 0x1.3a84792dbff7ap-6, 0x1.606a12e0391d3p-6, 0x1.84b3095dff216p-6, 0x1.a7725ab40adfap-6, 0x1.c8ba91044b6d3p-6, 0x1.e89dbd2a486fp-6, 0x1.0396b90dfcf5p-5, 0x1.123d60616f716p-5, 0x1.204b1a72da342p-5, 0x1.2dc7e92527507p-5, 0x1.3abb89837b806p-5, 0x1.472d730c864e5p-5, 0x1.5324d74b85064p-5, 0x1.5ea8a1c99aa5fp-5, 0x1.69bf77fec9dc3p-5, 0x1.746fb99b88a2bp-5, 0x1.7ebf80f285c8ap-5, 0x1.88b4a35bb3dc9p-5, 0x1.9254b1fdf0637p-5, 0x1.9ba4fa91b2dc5p-5, 0x1.a4aa882fb236fp-5, 0x1.ad6a249dd69dbp-5, 0x1.b5e8594504d6ap-5, 0x1.be29709e85322p-5, 0x1.c63177bc116cep-5, 0x1.ce043f96f642bp-5, 0x1.d5a55ed13671p-5, 0x1.dd18336da34bap-5, 0x1.e45fe465ca22p-5, 0x1.eb7f637ec76acp-5, 0x1.f2796f24d7067p-5, 0x1.f95094199e12ep-5, 0x1.000397a56f5a7p-4, 0x1.034fb7dfa101dp-4, 0x1.068dac203f947p-4, 0x1.09be609a13837p-4, 0x1.0ce2ad421ad02p-4, 0x1.0ffb569fb379p-4, 0x1.13090eb72a884p-4, 0x1.160c75f770db4p-4, 0x1.19061c0390091p-4, 0x1.1bf680920cf3bp-4, 0x1.1ede14555f824p-4, 0x1.21bd39bf21e3cp-4, 0x1.249445c55b059p-4, 0x1.276380c144bfdp-4, 0x1.2a2b27365f2a1p-4, 0x1.2ceb6a76af83fp-4, 0x1.2fa471607f662p-4, 0x1.325659302ece2p-4, 0x1.3501361b7bf35p-4, 0x1.37a513d6a8d7p-4, 0x1.3a41f6511451dp-4, 0x1.3cd7da6ac62b2p-4, 0x1.3f66b66020575p-4, 0x1.41ee7a3e39878p-4, 0x1.446f109310c22p-4, 0x1.46e85f013a4a9p-4, 0x1.495a468e50ef3p-4, 0x1.4bc4a400889c6p-4, 0x1.4e2750757d1e8p-4, 0x1.508221e578a91p-4, 0x1.52d4eb5f67433p-4, 0x1.551f7d4243837p-4, 0x1.5761a5b7f50ap-4, 0x1.599b31359d4a4p-4, 0x1.5bcbeaae567dbp-4, 0x1.5df39ba7e60e6p-4, 0x1.60120c916942dp-4, 0x1.6227053ef3d38p-4, 0x1.64324d24e611p-4, 0x1.6633ab580eaabp-4, 0x1.682ae6b356e56p-4, 0x1.6a17c63b39023p-4, 0x1.6bfa116e2097cp-4, 0x1.6dd1904ffe80cp-4, 0x1.6f9e0b64a869p-4, 0x1.715f4bdd6b0fdp-4, 0x1.73151bec6fa13p-4, 0x1.74bf46f7100d5p-4, 0x1.765d998e03cf7p-4, 0x1.77efe1606d62ep-4, 0x1.7975ed63051aap-4, 0x1.7aef8e1766c83p-4, 0x1.7c5c95aeef4e1p-4, 0x1.7dbcd7f62d91bp-4, 0x1.7f102a3f6a552p-4, 0x1.80566380388c3p-4, 0x1.818f5c8c8b4cfp-4, 0x1.82baf031b83ep-4, 0x1.83d8fb20c183dp-4, 0x1.84e95bd323a4ap-4, 0x1.85ebf2964aadep-4, 0x1.86e0a1b5d0d31p-4, 0x1.87c74d97aa854p-4, 0x1.889fdcb208006p-4, 0x1.896a376ddf58ap-4, 0x1.8a26481a7d596p-4, 0x1.8ad3fb0140f0dp-4, 0x1.8b733e840cb37p-4, 0x1.8c040325e3dd6p-4, 0x1.8c863b750735ep-4, 0x1.8cf9dbec9333dp-4, 0x1.8d5edaec92616p-4, 0x1.8db530cedfap-4, 0x1.8dfcd7feae402p-4, 0x1.8e35ccf5f61efp-4, 0x1.8e600e1feb95cp-4, 0x1.8e7b9bbb2513ep-4, 0x1.8e8877d5e87c6p-4, 0x1.8e86a661fce8dp-4, 0x1.8e762d4449b7ep-4, 0x1.8e57144b23c4p-4, 0x1.8e296510ceffep-4, 0x1.8ded2ae1eb2d4p-4, 0x1.8da272b9a4bbp-4, 0x1.8d494b4e55af2p-4, 0x1.8ce1c519dca3cp-4, 0x1.8c6bf25050e87p-4, 0x1.8be7e6c971c2cp-4, 0x1.8b55b7eb1113fp-4, 0x1.8ab57c9f35492p-4, 0x1.8a074d56fbb32p-4, 0x1.894b440e9cf7p-4, 0x1.88817c467c98dp-4, 0x1.87aa12f5eea95p-4, 0x1.86c5267c15f9ap-4, 0x1.85d2d6904d246p-4, 0x1.84d3443988abap-4, 0x1.83c691cbb3f59p-4, 0x1.82ace2e4e19a3p-4, 0x1.81865c673512ap-4, 0x1.8053246e862c5p-4, 0x1.7f13624254231p-4, 0x1.7dc73e4755287p-4, 0x1.7c6ee1f4ac982p-4, 0x1.7b0a77cdd500bp-4, 0x1.799a2b5f06d66p-4, 0x1.781e2938a4cf3p-4, 0x1.76969ee67eb04p-4, 0x1.7503bae24c378p-4, 0x1.7365ac8482b07p-4, 0x1.71bca3f832595p-4, 0x1.7008d233c7a4ap-4, 0x1.6e4a68f4cd422p-4, 0x1.6c819abb538dcp-4, 0x1.6aae9ac2181p-4, 0x1.68d19cf28c948p-4, 0x1.66ead5d6c5573p-4, 0x1.64fa7a8cf7c43p-4, 0x1.6300c0beb4a69p-4, 0x1.60fdde9ae3c8bp-4, 0x1.5ef20ad016aa2p-4, 0x1.5cdd7c8562e97p-4, 0x1.5ac06b50eecfbp-4, 0x1.589b0f2c94189p-4, 0x1.566da06a2441bp-4, 0x1.543857a92f59fp-4, 0x1.51fb6dcec1f4p-4, 0x1.4fb71bfe2a73cp-4, 0x1.4d6b9b91d0d44p-4, 0x1.4b192613ce0abp-4, 0x1.48bff535e48dcp-4, 0x1.466042c862bb6p-4, 0x1.43fa48aff86eep-4, 0x1.418e40db6c933p-4, 0x1.3f1c653a1fd4dp-4, 0x1.3ca4efb3faf4dp-4, 0x1.3a281a23097b4p-4, 0x1.37a61e4e90939p-4, 0x1.351f35e63c413p-4, 0x1.32939a7b4135bp-4, 0x1.3003857623732p-4, 0x1.2d6f3009eeadep-4, 0x1.2ad6d327ca55bp-4, 0x1.283aa7762746cp-4, 0x1.259ae54d4bc7dp-4, 0x1.22f7c4b86fa74p-4, 0x1.20517d77c9e2cp-4, 0x1.1da846fe4ffb2p-4, 0x1.1afc58673dc91p-4, 0x1.184de863ac03ap-4, 0x1.159d2d258ce98p-4, 0x1.12ea5c503ea2p-4, 0x1.1035aaf55df38p-4, 0x1.0d7f4d9eef71bp-4, 0x1.0ac77860f7cb6p-4, 0x1.080e5ee77366ep-4, 0x1.05543475685c9p-4, 0x1.02992bcf974d7p-4, 0x1.ffbaee2e6a6bap-5, 0x1.fa428f4548df8p-5, 0x1.f4c99bcbbaf51p-5, 0x1.ef5072eeccbb5p-5, 0x1.e9d77264ad958p-5, 0x1.e45ef6cf43deap-5, 0x1.dee75c0e32f1ep-5, 0x1.d970fd51e1096p-5, 0x1.d3fc34d8199f2p-5, 0x1.ce895b6095618p-5, 0x1.c918c78c85268p-5, 0x1.c3aacd6e3d617p-5, 0x1.be3fbe821a66ap-5, 0x1.b8d7ea21a5892p-5, 0x1.b3739e4c9801ap-5, 0x1.ae1328780348p-5, 0x1.a8b6d606eb024p-5, 0x1.a35ef429a6b63p-5, 0x1.9e0bcf1b916afp-5, 0x1.98bdb0fb940e2p-5, 0x1.9374e0af4b614p-5, 0x1.8e31a14a199ebp-5, 0x1.88f4324822e76p-5, 0x1.83bcd09d72c05p-5, 0x1.7e8bb841dbba8p-5, 0x1.796125a6132b4p-5, 0x1.743d5678dd601p-5, 0x1.6f20895a046dcp-5, 0x1.6a0afc7b92482p-5, 0x1.64fceb9de54f8p-5, 0x1.5ff68e1f7bb6bp-5, 0x1.5af815e42f782p-5, 0x1.5601af9608571p-5, 0x1.511384473040fp-5, 0x1.4c2dbbf5f1a88p-5, 0x1.4750801549defp-5, 0x1.427bfd2b4f97p-5, 0x1.3db062dbbb6c8p-5, 0x1.38ede23a5999bp-5, 0x1.3434aadcf7f54p-5, 0x1.2f84e7a2792p-5, 0x1.2adebc54cbbb6p-5, 0x1.26424512fab9dp-5, 0x1.21af97da87bf3p-5, 0x1.1d26c7c689b5fp-5, 0x1.18a7e8f9845d3p-5, 0x1.143313e22a211p-5, 0x1.0fc866b9dec99p-5, 0x1.0b6804a948cfep-5, 0x1.071212bca5006p-5, 0x1.02c6b38923d03p-5, 0x1.fd0c05c5a733bp-6, 0x1.f4a02633c2d9dp-6, 0x1.ec49d998702d1p-6, 0x1.e40923011faa6p-6, 0x1.dbde0085cd5afp-6, 0x1.d3c875806b771p-6, 0x1.cbc8926db7f38p-6, 0x1.c3de780229223p-6, 0x1.bc0a548fe6eebp-6, 0x1.b44c5c7d54ba8p-6, 0x1.aca4bfdbf62a9p-6, 0x1.a513a00cc1789p-6, 0x1.9d9908a79a6aep-6, 0x1.9634ee416d728p-6, 0x1.8ee733f7e3adp-6, 0x1.87afb635eb7p-6, 0x1.808e57025e209p-6, 0x1.798307903bdd5p-6, 0x1.728dcc1b0dcb6p-6, 0x1.6baeb97e898cap-6, 0x1.64e5edf8b49fap-6, 0x1.5e33874b36e05p-6, 0x1.5797985d5c583p-6, 0x1.51122083886ap-6, 0x1.4aa306f236e58p-6, 0x1.444a1cc3d8a1dp-6, 0x1.3e07263838691p-6, 0x1.37d9e891ae90cp-6, 0x1.31c2371e1af97p-6, 0x1.2bbff9f63f2c3p-6, 0x1.25d32c59e3b9bp-6, 0x1.1ffbd5056035bp-6, 0x1.1a39fd1224535p-6, 0x1.148da887efbf2p-6, 0x1.0ef6d0ac01a0ep-6, 0x1.09755ebdb3cccp-6, 0x1.040927a179f49p-6, 0x1.fd63d7b9cc059p-7, 0x1.f2debece483e5p-7, 0x1.e882711a20422p-7, 0x1.de4e7e90e3c3bp-7, 0x1.d442a87a9e90bp-7, 0x1.ca5ed6360197bp-7, 0x1.c0a2f940c8d1fp-7, 0x1.b70ef423d9187p-7, 0x1.ada2930fc58d9p-7, 0x1.a45d9425462dbp-7, 0x1.9b3fafd295377p-7, 0x1.9248940d676fcp-7, 0x1.8977d572bdebcp-7, 0x1.80cce7de33e12p-7, 0x1.78472debb9fa7p-7, 0x1.6fe61c1e19b2ap-7, 0x1.67a958a4f9948p-7, 0x1.5f90bdcc8bb05p-7, 0x1.579c384ae3ae7p-7, 0x1.4fcb97011581ep-7, 0x1.481e6ff008e27p-7, 0x1.40942f3471ca7p-7, 0x1.392c42f4d2bd2p-7, 0x1.31e63f54578dep-7, 0x1.2ac1dd72007afp-7, 0x1.23bed9e46a50fp-7, 0x1.1cdcd41ace7d4p-7, 0x1.161b4e5b7163dp-7, 0x1.0f79d0732ae61p-7, 0x1.08f8107d458b1p-7, 0x1.0295fd042044fp-7, 0x1.f8a72d9514384p-8, 0x1.ec6158a478c1cp-8, 0x1.e0594d8c771cbp-8, 0x1.d48d2782020aep-8, 0x1.c8fad8cddff8ep-8, 0x1.bda0d35bc84cdp-8, 0x1.b27e5502cfe5dp-8, 0x1.a7932b900cd61p-8, 0x1.9cdf31f755633p-8, 0x1.9261f86239e4dp-8, 0x1.881ad3e311a85p-8, 0x1.7e09355048b6cp-8, 0x1.742cf6f7c6d21p-8, 0x1.6a865cc3adc97p-8, 0x1.6115ade118ed3p-8, 0x1.57da90bc37632p-8, 0x1.4ed391f8cb54cp-8, 0x1.45fe3ce89d1bcp-8, 0x1.3d57cd533ec72p-8, 0x1.34de0ef2e05f9p-8, 0x1.2c8fddf234adep-8, 0x1.246d0551a3df7p-8, 0x1.1c75ae2346ec4p-8, 0x1.14a9da172e849p-8, 0x1.0d093fbe2d97cp-8, 0x1.05937e0ddb43ep-8, 0x1.fc90d2ca33945p-9, 0x1.ee507186bf634p-9, 0x1.e066cf848b275p-9, 0x1.d2d48c7e3c48dp-9, 0x1.c598d5ddc4879p-9, 0x1.b8b0be9631d48p-9, 0x1.ac178a6e301c7p-9, 0x1.9fc7da6636717p-9, 0x1.93bd0fcf32eacp-9, 0x1.87f436f6ffd1ap-9, 0x1.7c6c3068b9bfcp-9, 0x1.7125243682dd6p-9, 0x1.661f9f1577b14p-9, 0x1.5b5bdebefbef8p-9, 0x1.50d9a01e2eb36p-9, 0x1.4698767654acp-9, 0x1.3c983f4ad5125p-9, 0x1.32d927452edddp-9, 0x1.295b59601de1dp-9, 0x1.201eb77df72aap-9, 0x1.172285c4a3b28p-9, 0x1.0e64fe2f9a2b8p-9, 0x1.05e332f06baf7p-9, 0x1.fb32c4fc9f922p-10, 0x1.eb07070cf62fcp-10, 0x1.db3c479e76d09p-10, 0x1.cbced68db8b99p-10, 0x1.bcbe8b1371617p-10, 0x1.ae0cc5e34a324p-10, 0x1.9fba3ef12261bp-10, 0x1.91c6ca2de6711p-10, 0x1.84324b7cc3cc4p-10, 0x1.76fc5ce6cfe6p-10, 0x1.6a233128a1b79p-10, 0x1.5da43e26f8b85p-10, 0x1.517e2aee1eb05p-10, 0x1.45b15420668edp-10, 0x1.3a3e3c9b092f1p-10, 0x1.2f23c292b798cp-10, 0x1.245e7975c0109p-10, 0x1.19e8adba9d21ap-10, 0x1.0fbb9d4b4f792p-10, 0x1.05d2b854e893dp-10, 0x1.f85a721c187c1p-11, 0x1.e596781d5ace4p-11, 0x1.d355c3aff7abfp-11, 0x1.c19422613f76fp-11, 0x1.b052ba9c6c2d8p-11, 0x1.9f94f72457dcdp-11, 0x1.8f598a101c958p-11, 0x1.7f99fc46711b5p-11, 0x1.704fafe48c8b4p-11, 0x1.6178188cfe61ep-11, 0x1.53150eaa1d95bp-11, 0x1.45297d89a15d1p-11, 0x1.37b59d3cfbecep-11, 0x1.2ab59a93de6cbp-11, 0x1.1e2123d0331cbp-11, 0x1.11ed6d35e24b1p-11, 0x1.0615ad8ed5ac2p-11, 0x1.f53bd94fbb02ep-12, 0x1.df102eaa24b35p-12, 0x1.c99b95a498a35p-12, 0x1.b4d0d160d36acp-12, 0x1.a0ad77f93722cp-12, 0x1.8d30ef49a44e8p-12, 0x1.7a56dbe39a60ap-12, 0x1.681a26ca625cap-12, 0x1.567630481a0fdp-12, 0x1.4566b2a79f43fp-12, 0x1.34e9497e1732ap-12, 0x1.24fe84bb5f306p-12, 0x1.15a7ff44031b6p-12, 0x1.06e58c697125cp-12, 0x1.f166d905bf155p-13, 0x1.d60bdbb324ce3p-13, 0x1.bb9a2be09f5fp-13, 0x1.a20d969e148cep-13, 0x1.8974c1fe0dc1dp-13, 0x1.71c6eb3e113dp-13, 0x1.5af4165ae6731p-13, 0x1.45015f83745a9p-13, 0x1.2ff2a3151672bp-13, 0x1.1bbace3adb277p-13, 0x1.0847e4a2b4625p-13, 0x1.eb17e65ac6699p-14, 0x1.c6fe44751cfe1p-14, 0x1.a43f7df0e2bf1p-14, 0x1.82df3c9051e54p-14, 0x1.62df301370beep-14, 0x1.4437aeb01fd5p-14, 0x1.26da8a21d8e8bp-14, 0x1.0ac3625a66948p-14, 0x1.dfeafd0ef9582p-15, 0x1.acb0f935176e4p-15, 0x1.7b9bd759e5bcp-15, 0x1.4cb483184d92fp-15, 0x1.1fdd72ee2a687p-15, 0x1.e9c803ede4da3p-16, 0x1.97bdd54039aa9p-16, 0x1.49af385b5b489p-16, 0x1.feba2850c01afp-17, 0x1.71331fad594cep-17, 0x1.d55941762133cp-18, 0x1.ac45638bf6952p-19, -0x1.baccdb67df1dbp-22, -0x1.00eb571d018e4p-18, -0x1.daa1492133ddcp-18, -0x1.54ba4ab65b34fp-17, -0x1.b6aded3eadf68p-17, -0x1.099061326c58p-16, -0x1.3524badf2f0f2p-16, -0x1.5e219b447be55p-16, -0x1.848c65a58aa85p-16, -0x1.a89bababc6e0bp-16, -0x1.ca54b22c059c2p-16, -0x1.e9e63e85568d9p-16, -0x1.03c30af5be315p-15, -0x1.1189c4d0e6b69p-15, -0x1.1e532230ebfb2p-15, -0x1.2a35eace05748p-15, -0x1.353be4e36ab24p-15, -0x1.3f69b36f41da7p-15, -0x1.48c4897da69f9p-15, -0x1.5152e965fe4d4p-15, -0x1.591bf44d36125p-15, -0x1.602647e5f6ae8p-15, -0x1.66770b1e4abd4p-15, -0x1.6c1261964518fp-15, -0x1.70ffd60b72d29p-15, -0x1.75515faac2384p-15, -0x1.791b267932f2fp-15, -0x1.7c57d0f21a96dp-15, -0x1.7ef6fb3c80301p-15, -0x1.8113c2abd3c71p-15, -0x1.82c026e38f403p-15, -0x1.83fb1fb26a228p-15, -0x1.84ba062a52fbep-15, -0x1.84fe0c7c6737dp-15, -0x1.84dc750640005p-15, -0x1.845f61514649bp-15, -0x1.83897f2d4fe99p-15, -0x1.825d0f6a4f5a2p-15, -0x1.80dd24c660fbep-15, -0x1.7f0d6576226ddp-15, -0x1.7cf1dd52d87ccp-15, -0x1.7a8ef0b3d53ddp-15, -0x1.77e93f99c3b0fp-15, -0x1.7505518d1852dp-15, -0x1.71e6fcf1e3194p-15, -0x1.6e91216b3a7d3p-15, -0x1.6b06cd0f5244ep-15, -0x1.674b87c699bf6p-15, -0x1.635e6d2668a55p-15, -0x1.5f3bda07f08d5p-15, -0x1.5af2fb763ce81p-15, -0x1.568f806abdd49p-15, -0x1.520e03262570cp-15, -0x1.4d68e787af47p-15, -0x1.48a869044e12cp-15, -0x1.43cddf4f270c7p-15, -0x1.3ed935e1467b2p-15, -0x1.39cef91e410f5p-15, -0x1.34b2ea1e2f07bp-15, -0x1.2f86fa92e0207p-15, -0x1.2a4c954f8503ep-15, -0x1.25053a10dc382p-15, -0x1.1fb294bb7d524p-15, -0x1.1a5670b59500ep-15, -0x1.14f2a30b9aafdp-15, -0x1.0f88eeddb632p-15, -0x1.0a1ae060c5f84p-15, -0x1.04a9c06b972a2p-15, -0x1.fe6de6a89135fp-16, -0x1.f3888dff44537p-16, -0x1.e8a593a495e67p-16, -0x1.ddc29493db6b4p-16, -0x1.d2e717aefde7p-16, -0x1.c819f836ba7b4p-16, -0x1.bd5562d950c5ep-16, -0x1.b29963061fae7p-16, -0x1.a7eb5db8e7a18p-16, -0x1.9d4fc205f2c8bp-16, -0x1.92c830bfe2218p-16, -0x1.88564452bcd1ep-16, -0x1.7dfa610d758d3p-16, -0x1.73b2df708febp-16, -0x1.69828b2b28431p-16, -0x1.5f6c47f2f8134p-16, -0x1.5571350b6144ap-16, -0x1.4b920434bcf54p-16, -0x1.41cf853122f1dp-16, -0x1.382a9fe63a94p-16, -0x1.2ea43ac7dc806p-16, -0x1.253d1e65c939p-16, -0x1.1bf5df35b83f2p-16, -0x1.12cf0886f2802p-16, -0x1.09c9798f43bd8p-16, -0x1.00e6157fe4df3p-16, -0x1.f04777f7b55f2p-17, -0x1.df08cad7fd50dp-17, -0x1.ce13046e63a41p-17, -0x1.bd61497d99cbp-17, -0x1.acf78ef1e50bep-17, -0x1.9cd6c0c1e24edp-17, -0x1.8cfecccef37c8p-17, -0x1.7d6ffc763b7c6p-17, -0x1.6e2a753564dacp-17, -0x1.5f2d3ebd38235p-17, -0x1.5077195228a1ap-17, -0x1.420a836da11e2p-17, -0x1.33e9b6a4d9403p-17, -0x1.2613912cb93abp-17, -0x1.1884c9c031e17p-17, -0x1.0b3e3867566c3p-17, -0x1.fc823e719eb33p-18, -0x1.e31a35a789442p-18, -0x1.ca431badfbc28p-18, -0x1.b1fbe51167c17p-18, -0x1.9a435d70352abp-18, -0x1.83183e62da624p-18, -0x1.6c79e2b4a1be2p-18, -0x1.566854be46c01p-18, -0x1.40e077e51e3c1p-18, -0x1.2be23d67b1fd8p-18, }}, 
      {{-0x1.ea6a70a52f2c6p-6, -0x1.e937b45bd8bacp-5, -0x1.6d6d7deeab25bp-4, -0x1.e4820e645bae7p-4, -0x1.2caca500443cfp-3, -0x1.65c11950417e8p-3, -0x1.9d4da59c1db53p-3, -0x1.d328f07f3001dp-3, -0x1.03983d6acc6bfp-2, -0x1.1ca406629b565p-2, -0x1.34ac95dd58d8fp-2, -0x1.4ba94e404e7ccp-2, -0x1.6193f730c1626p-2, -0x1.766885b49c61fp-2, -0x1.8a24e5a3c086bp-2, -0x1.9cc8c412f67afp-2, -0x1.ae555b0f12335p-2, -0x1.becd3f57b15a2p-2, -0x1.ce3430db980d2p-2, -0x1.dc8eee9bff37ap-2, -0x1.e9e30e67cb009p-2, -0x1.f636d8a488b33p-2, -0x1.00c894112f3ap-1, -0x1.05fca6e441c8dp-1, -0x1.0abb7be3e1e4cp-1, -0x1.0f090df7ce955p-1, -0x1.12e97260a6e57p-1, -0x1.1660d072c02ffp-1, -0x1.19735a5ae2bf2p-1, -0x1.1c2546cb1ac1p-1, -0x1.1e7acb7260f7ep-1, -0x1.20781825b3523p-1, -0x1.222152a4adc47p-1, -0x1.237a92e6ff135p-1, -0x1.2487dfe33a13fp-1, -0x1.254d2cc25ce0ep-1, -0x1.25ce5675c4403p-1, -0x1.260f21a748dcap-1, -0x1.261338fc4a16ap-1, -0x1.25de2ba59fce9p-1, -0x1.25736c36fec7fp-1, -0x1.24d64fc2937dep-1, -0x1.240a0d312116p-1, -0x1.2311bcd31bc46p-1, -0x1.21f05829ba42dp-1, -0x1.20a8b9df4f257p-1, -0x1.1f3d9de0de6c9p-1, -0x1.1db1a1ab980ccp-1, -0x1.1c0744b10b89cp-1, -0x1.1a40e8d54b852p-1, -0x1.1860d31276f7dp-1, -0x1.16692c1af6969p-1, -0x1.145c011751412p-1, -0x1.123b4467efd0fp-1, -0x1.1008ce6e3788p-1, -0x1.0dc65e61fa4cp-1, -0x1.0b759b276bb32p-1, -0x1.0918142d7eb12p-1, -0x1.06af4249ef8d1p-1, -0x1.043c889641458p-1, -0x1.01c1354aee42cp-1, -0x1.fe7d053523ff6p-2, -0x1.f96b2f16fecb5p-2, -0x1.f44f119b697ffp-2, -0x1.ef2ab316296fbp-2, -0x1.e9fff862f6e6ap-2, -0x1.e4d0a66f71365p-2, -0x1.df9e63bcbdb34p-2, -0x1.da6ab9d828c3p-2, -0x1.d53716c775f47p-2, -0x1.d004ce655988ep-2, -0x1.cad51bacfb5b6p-2, -0x1.c5a921f6b5392p-2, -0x1.c081ee29fe03ap-2, -0x1.bb6077e7d18f3p-2, -0x1.b645a2ae40c37p-2, -0x1.b1323ef31aaa8p-2, -0x1.ac270b326667fp-2, -0x1.a724b4ee1196dp-2, -0x1.a22bd99e716b7p-2, -0x1.9d3d0795816bep-2, -0x1.9858bed812391p-2, -0x1.937f71efddbfap-2, -0x1.8eb186b822a24p-2, -0x1.89ef5724815f7p-2, -0x1.8539320091225p-2, -0x1.808f5ba618853p-2, -0x1.7bf20ea87ccb7p-2, -0x1.77617c750ebbcp-2, -0x1.72ddcde932df7p-2, -0x1.6e6723e004528p-2, -0x1.69fd97b9848dep-2, -0x1.65a13bdcde455p-2, -0x1.61521c368377p-2, -0x1.5d103eb245749p-2, -0x1.58dba3b0da2a8p-2, -0x1.54b44677ec94cp-2, -0x1.509a1d9bd02acp-2, -0x1.4c8d1b62c5aa5p-2, -0x1.488d2e2191ec6p-2, -0x1.449a4091c0ed5p-2, -0x1.40b43a226cf95p-2, -0x1.3cdaff4449bf8p-2, -0x1.390e71b1de963p-2, -0x1.354e70b3fe745p-2, -0x1.319ad96330a04p-2, -0x1.2df386e6271a9p-2, -0x1.2a5852ad005c1p-2, -0x1.26c914a978e7ep-2, -0x1.2345a383a789bp-2, -0x1.1fcdd4cb23443p-2, -0x1.1c617d25085d2p-2, -0x1.190070764a12cp-2, -0x1.15aa820ae0cafp-2, -0x1.125f84ba10fd8p-2, -0x1.0f1f4b07a495fp-2, -0x1.0be9a742ca3ddp-2, -0x1.08be6ba2a982fp-2, -0x1.059d6a60ab69dp-2, -0x1.028675d0e5cfcp-2, -0x1.fef2c0f198b6ep-3, -0x1.f8ebfa47bf78ep-3, -0x1.f2f83ded9f8bcp-3, -0x1.ed1733023b2c5p-3, -0x1.e7488199bbd5fp-3, -0x1.e18bd2da3496cp-3, -0x1.dbe0d115a676ep-3, -0x1.d64727e0aa5f2p-3, -0x1.d0be8426c0784p-3, -0x1.cb46943c29bcbp-3, -0x1.c5df07ed16f71p-3, -0x1.c087908ab9e98p-3, -0x1.bb3fe0f661f5ep-3, -0x1.b607adaa9d3cep-3, -0x1.b0deacc267004p-3, -0x1.abc495fef0049p-3, -0x1.a6b922cc152e5p-3, -0x1.a1bc0e4305af4p-3, -0x1.9ccd152bd33fbp-3, -0x1.97ebf5fe526b2p-3, -0x1.931870e17613bp-3, -0x1.8e5247a962dd7p-3, -0x1.89993dd566739p-3, -0x1.84ed188cfce9bp-3, -0x1.804d9e9b64accp-3, -0x1.7bba986aeeba2p-3, -0x1.7733d0002ba65p-3, -0x1.72b910f4198eap-3, -0x1.6e4a286d897cbp-3, -0x1.69e6e51a68a55p-3, -0x1.658f1728e8397p-3, -0x1.614290402850ap-3, -0x1.5d01237847218p-3, -0x1.58caa55228fbcp-3, -0x1.549eebaf83fc5p-3, -0x1.507dcdcaf730dp-3, -0x1.4c67242f49595p-3, -0x1.485ac8ae5175ep-3, -0x1.445896589b911p-3, -0x1.406069754ea13p-3, -0x1.3c721f7943b5p-3, -0x1.388d96fdb392p-3, -0x1.34b2afb7a95cp-3, -0x1.30e14a6ff92cap-3, -0x1.2d1948fab55e1p-3, -0x1.295a8e2e341ffp-3, -0x1.25a4fdda821e3p-3, -0x1.21f87cc15837cp-3, -0x1.1e54f08e30e04p-3, -0x1.1aba3fce2616cp-3, -0x1.172851e7b87dfp-3, -0x1.139f0f12cec06p-3, -0x1.101e6051347eep-3, -0x1.0ca62f676323p-3, -0x1.093666d53756ep-3, -0x1.05cef1ce52ed4p-3, -0x1.026fbc32bfe0fp-3, -0x1.fe3165108f4b3p-4, -0x1.f79383e84daabp-4, -0x1.f105b068e5291p-4, -0x1.ea87c732909b9p-4, -0x1.e419a5fc85d73p-4, -0x1.ddbb2b894c4b4p-4, -0x1.d76c379ba7631p-4, -0x1.d12caaeb10504p-4, -0x1.cafc6717f5c71p-4, -0x1.c4db4ea061c3fp-4, -0x1.bec944d5a5705p-4, -0x1.b8c62dd28abb1p-4, -0x1.b2d1ee71a3d8ep-4, -0x1.acec6c438e743p-4, -0x1.a7158d855302fp-4, -0x1.a14d39172862bp-4, -0x1.9b935673d244ap-4, -0x1.95e7cda87f248p-4, -0x1.904a874cf5c3bp-4, -0x1.8abb6c7bade29p-4, -0x1.853a66c9e6dcep-4, -0x1.7fc7603ffdf54p-4, -0x1.7a6243526bee4p-4, -0x1.750afadb65e45p-4, -0x1.6fc17214ae2f5p-4, -0x1.6a859491342e1p-4, -0x1.65574e3693b4p-4, -0x1.60368b36e7258p-4, -0x1.5b23380b4763ap-4, -0x1.561d416eda0a4p-4, -0x1.51249459f9e48p-4, -0x1.4c391dfd29e5fp-4, -0x1.475acbbbf1ccap-4, -0x1.42898b2805874p-4, -0x1.3dc549fcf65a6p-4, -0x1.390df61c5af22p-4, -0x1.34637d8a12318p-4, -0x1.2fc5ce6873016p-4, -0x1.2b34d6f46f1b5p-4, -0x1.26b08581d740ep-4, -0x1.2238c87807985p-4, -0x1.1dcd8e4ee0362p-4, -0x1.196ec58bf759fp-4, -0x1.151c5cbfd2b54p-4, -0x1.10d6428325cbep-4, -0x1.0c9c65742462ep-4, -0x1.086eb433fc2a3p-4, -0x1.044d1d64821f1p-4, -0x1.00378fa614b4fp-4, -0x1.f85bf32b4a73fp-5, -0x1.f0609395b9b2ep-5, -0x1.e87cddacafed2p-5, -0x1.e0b0ae7fd9377p-5, -0x1.d8fbe30a0c67ap-5, -0x1.d15e582e30436p-5, -0x1.c9d7eab475d57p-5, -0x1.c2687747ed88cp-5, -0x1.bb0fda745fd1ap-5, -0x1.b3cdf0a456bf3p-5, -0x1.aca2961f3382cp-5, -0x1.a58da7074505cp-5, -0x1.9e8eff57faa56p-5, -0x1.97a67ae45913ep-5, -0x1.90d3f555c5c72p-5, -0x1.8a174a2b1ec14p-5, -0x1.837054b80016ap-5, -0x1.7cdef0240cf83p-5, -0x1.7662f76a34df6p-5, -0x1.6ffc4557fc3e7p-5, -0x1.69aab48ce3737p-5, -0x1.636e1f7a4afc2p-5, -0x1.5d466063493dep-5, -0x1.5733515d1ea0cp-5, -0x1.5134cc4f6e8fbp-5, -0x1.4b4aaaf47222dp-5, -0x1.4574c6d926eacp-5, -0x1.3fb2f95d7a37ap-5, -0x1.3a051bb4ae6dfp-5, -0x1.346b06e61e4c4p-5, -0x1.2ee493ce4f5b9p-5, -0x1.29719b202fa63p-5, -0x1.2411f5663d9e6p-5, -0x1.1ec57b036d853p-5, -0x1.198c0433da64dp-5, -0x1.1465690d689dbp-5, -0x1.0f518180ad6ap-5, -0x1.0a50255a5564ep-5, -0x1.05612c451c07ap-5, -0x1.00846dcc0ba18p-5, -0x1.f77382b93bfep-6, -0x1.ee01fc90aebc6p-6, -0x1.e4b3f78b7a261p-6, -0x1.db8921e1be33p-6, -0x1.d2812997ffd41p-6, -0x1.c99bbc81d21e6p-6, -0x1.c0d888468e865p-6, -0x1.b8373a67d193cp-6, -0x1.afb780488e2c2p-6, -0x1.a7590732fe3ep-6, -0x1.9f1b7c5c2e82bp-6, -0x1.96fe8ce4d8a2fp-6, -0x1.8f01e5d8c7b2ep-6, -0x1.8725342eb2e6bp-6, -0x1.7f6824caafda9p-6, -0x1.77ca64844cc28p-6, -0x1.704ba02fd3d74p-6, -0x1.68eb84a8975a3p-6, -0x1.61a9bed96ff99p-6, -0x1.5a85fbc118295p-6, -0x1.537fe871e5103p-6, -0x1.4c97320e48d91p-6, -0x1.45cb85c555b7fp-6, -0x1.3f1c90d29abb3p-6, -0x1.388a008393affp-6, -0x1.321382427a24dp-6, -0x1.2bb8c3a403da1p-6, -0x1.25797273f61ffp-6, -0x1.1f553cbcce4ffp-6, -0x1.194bd0c88e93p-6, -0x1.135cdd1ba5f24p-6, -0x1.0d88106d6403fp-6, -0x1.07cd19a294fcfp-6, -0x1.022ba7ce3b76ep-6, -0x1.f946d473681c8p-7, -0x1.ee6820e5c602cp-7, -0x1.e3ba94b8be8e6p-7, -0x1.d93d90748d564p-7, -0x1.cef0757119877p-7, -0x1.c4d2a5d2d7e9cp-7, -0x1.bae3847b60987p-7, -0x1.b12274f72bb53p-7, -0x1.a78edb71a908fp-7, -0x1.9e281cb66357p-7, -0x1.94ed9e408b036p-7, -0x1.8bdec654d6963p-7, -0x1.82fafc1e0999fp-7, -0x1.7a41a7c3cda86p-7, -0x1.71b23276313c8p-7, -0x1.694c066c80267p-7, -0x1.610e8edb6aef2p-7, -0x1.58f937e91fe15p-7, -0x1.510b6ea5c4574p-7, -0x1.4944a10ba32c1p-7, -0x1.41a43e065a0fap-7, -0x1.3a29b57df8397p-7, -0x1.32d47862d13f7p-7, -0x1.2ba3f8b7913a7p-7, -0x1.2497a998f4de1p-7, -0x1.1daeff438eef4p-7, -0x1.16e96f185a5bap-7, -0x1.10466fa38b82bp-7, -0x1.09c578a503104p-7, -0x1.036603197447dp-7, -0x1.fa4f127ca5749p-8, -0x1.ee130d1734384p-8, -0x1.e216ef45d631fp-8, -0x1.d659b47576025p-8, -0x1.cada5a211e516p-8, -0x1.bf97dfd4b10c9p-8, -0x1.b49147508f5a7p-8, -0x1.a9c594c41a534p-8, -0x1.9f33cf10daa69p-8, -0x1.94db0009aa7ffp-8, -0x1.8aba349f142afp-8, -0x1.80d07ce51e4acp-8, -0x1.771cebe05da6dp-8, -0x1.6d9e971c67914p-8, -0x1.6454962e27008p-8, -0x1.5b3e025b2da2p-8, -0x1.5259f693db3fdp-8, -0x1.49a78fc404c96p-8, -0x1.4125ed519d1e2p-8, -0x1.38d43195acedep-8, -0x1.30b18231956b1p-8, -0x1.28bd083e8d7a5p-8, -0x1.20f5f0593eeaap-8, -0x1.195b6a787f0b1p-8, -0x1.11eca976f61bfp-8, -0x1.0aa8e25786e42p-8, -0x1.038f4b8873b46p-8, -0x1.f93e39159fb1dp-9, -0x1.ebaf1c7ae26d5p-9, -0x1.de6fb753530efp-9, -0x1.d17e85c1b4a0ap-9, -0x1.c4da0afec306dp-9, -0x1.b880d17822952p-9, -0x1.ac716a78b9feep-9, -0x1.a0aa6dd8a8a6cp-9, -0x1.952a79b3e7cb7p-9, -0x1.89f031ae16757p-9, -0x1.7efa3d6e11ddbp-9, -0x1.744746c126adcp-9, -0x1.69d5f889a57dap-9, -0x1.5fa4ff73ed5f2p-9, -0x1.55b30c4d8cb4dp-9, -0x1.4bfed6a3aa9f5p-9, -0x1.42871e1c813e1p-9, -0x1.394aaa094c597p-9, -0x1.30484806cc07bp-9, -0x1.277ecaf48600ep-9, -0x1.1eed0acf8e416p-9, -0x1.1691e4d911dd2p-9, -0x1.0e6c3b0058be8p-9, -0x1.067af22b2c937p-9, -0x1.fd79e07b56088p-10, -0x1.ee6236f309dd1p-10, -0x1.dfacb826f4db1p-10, -0x1.d1573ea21e65bp-10, -0x1.c35fb46328409p-10, -0x1.b5c413ef3cd0dp-10, -0x1.a8826540ce305p-10, -0x1.9b98b9d7e49d7p-10, -0x1.8f052b2bf6c3p-10, -0x1.82c5dbc7bb6bp-10, -0x1.76d8f88e93f48p-10, -0x1.6b3cb7a07712fp-10, -0x1.5fef54b805a7ap-10, -0x1.54ef0d528a6a4p-10, -0x1.4a3a1f6b80647p-10, -0x1.3fcecbe834bb1p-10, -0x1.35ab5b6233c02p-10, -0x1.2bce2261b02cdp-10, -0x1.22358254850bcp-10, -0x1.18dfe6fa234ap-10, -0x1.0fcbc32f2df95p-10, -0x1.06f790c673142p-10, -0x1.fcc3a78bfdfcdp-11, -0x1.ec123a5df2a92p-11, -0x1.dbd812ddd2bd9p-11, -0x1.cc1276191ae34p-11, -0x1.bcbeac04ce997p-11, -0x1.add9fe85e0ffcp-11, -0x1.9f61bf00de3dp-11, -0x1.91534b6d61b68p-11, -0x1.83ac0f1c0a5dap-11, -0x1.766980d15d736p-11, -0x1.6989204ae3e6ap-11, -0x1.5d08737fe299fp-11, -0x1.50e5063da7d08p-11, -0x1.451c715ac8c91p-11, -0x1.39ac689bab568p-11, -0x1.2e92c36ffb4acp-11, -0x1.23cd7539bce18p-11, -0x1.195a79d866bb6p-11, -0x1.0f37c87c7fba4p-11, -0x1.0563584cbc9dap-11, -0x1.f7b65e0c33b7dp-12, -0x1.e53acff63e42cp-12, -0x1.d3505875bd87cp-12, -0x1.c1f34a69d6bd3p-12, -0x1.b11fec554ff86p-12, -0x1.a0d27c1c90a6ap-12, -0x1.91073722f480fp-12, -0x1.81ba63933097ap-12, -0x1.72e8657e371a9p-12, -0x1.648ddd9f03415p-12, -0x1.56a7b4c6421e7p-12, -0x1.4932ff37a25a2p-12, -0x1.3c2cd0631cf18p-12, -0x1.2f922ce5c3896p-12, -0x1.2360266e3f626p-12, -0x1.1793fdce7caefp-12, -0x1.0c2b242cc9751p-12, -0x1.01231bc370742p-12, -0x1.ecf2ae01846c9p-13, -0x1.d8565d610b0dcp-13, -0x1.c46bdf8a7faf7p-13, -0x1.b12ddcd6b523cp-13, -0x1.9e971a6b015d5p-13, -0x1.8ca27afbafb8ep-13, -0x1.7b4b14a89a3cep-13, -0x1.6a8c50c6b85dep-13, -0x1.5a61e0012efb7p-13, -0x1.4ac7835afb08fp-13, -0x1.3bb8f2ed1abeep-13, -0x1.2d320744ec274p-13, -0x1.1f2eeedef8a9p-13, -0x1.11ac2d84a337ep-13, -0x1.04a66c2bf587cp-13, -0x1.f03490e3a81fcp-14, -0x1.d80872c152ap-14, -0x1.c0c1216dad374p-14, -0x1.aa573c0b5bc89p-14, -0x1.94c3b70e861e5p-14, -0x1.7ffff4ef1cab1p-14, -0x1.6c059098eb72ep-14, -0x1.58ce2bcd5dd0bp-14, -0x1.46537dccbc4abp-14, -0x1.348f67c56d95fp-14, -0x1.237bdcefe6b03p-14, -0x1.1312ed1ae62eep-14, -0x1.034f10568cfc5p-14, -0x1.e8568830bcd2bp-15, -0x1.cb45a015dbb9fp-15, -0x1.af6230676dc53p-15, -0x1.94a340859cb58p-15, -0x1.7affe81b91aa9p-15, -0x1.626ee90006cb3p-15, -0x1.4ae6b0606f296p-15, -0x1.345de447edcep-15, -0x1.1ecbfca873b5dp-15, -0x1.0a294aae00ce2p-15, -0x1.ecdca35bf5c3p-16, -0x1.c726431b21e06p-16, -0x1.a31eeb1a6c894p-16, -0x1.80b6664a84327p-16, -0x1.5fdd3c5898b97p-16, -0x1.4085506e87106p-16, -0x1.22a2410d928edp-16, -0x1.062803ac74c7ap-16, -0x1.d613305f74fc4p-17, -0x1.a273abbd09576p-17, -0x1.71594631599bdp-17, -0x1.42adcc6e06f2ep-17, -0x1.165bb99ca445dp-17, -0x1.d89a64582091p-18, -0x1.88d7f16945687p-18, -0x1.3d4588b5319b7p-18, -0x1.eb7ab802c8d0dp-19, -0x1.643a7458cc69dp-19, -0x1.c905d15069ab4p-20, -0x1.b00ff6ee11f4p-21, 0x1.65164c4dfa832p-25, 0x1.c24a568cbdbd5p-21, 0x1.aa76056640241p-20, 0x1.33c62ca3339f5p-19, 0x1.8c67f979ecc59p-19, 0x1.df5c0957da931p-19, 0x1.167102540bc1ep-18, 0x1.3a9a73d12134p-18, 0x1.5c4642f16ba7p-18, 0x1.7b8fe1050cc0cp-18, 0x1.98917dc592becp-18, 0x1.b363defc7da5bp-18, 0x1.cc1ef0d110cc3p-18, 0x1.e2d9d74c3fd27p-18, 0x1.f7aa34ef80b76p-18, 0x1.0551e77c05cc9p-17, 0x1.0ded0665072e7p-17, 0x1.15b122f2b6d87p-17, 0x1.1ca98388ebab5p-17, 0x1.22e084a678217p-17, 0x1.285f56d578b05p-17, 0x1.2d2e04b8a0581p-17, 0x1.3153ea5ca3e91p-17, 0x1.34d96fc3589c9p-17, 0x1.37c74992143efp-17, 0x1.3a24f8a3c4d21p-17, 0x1.3bf99dda6a875p-17, 0x1.3d4c5e5a5f5a3p-17, 0x1.3e23fab388acp-17, 0x1.3e86d4a87288ep-17, 0x1.3e7b32078202fp-17, 0x1.3e075f45285f9p-17, 0x1.3d319018f975bp-17, 0x1.3bff9fa5a6843p-17, 0x1.3a76e7b9463p-17, 0x1.389c5a2fb8233p-17, 0x1.3674f5e74556ap-17, 0x1.3405f9a0640d1p-17, 0x1.31542a46f7b2cp-17, 0x1.2e6399b8079c3p-17, 0x1.2b385c99f1f51p-17, 0x1.27d676f6d43e3p-17, 0x1.24422ea2f8f36p-17, 0x1.207f92665811bp-17, 0x1.1c91fdfb90e07p-17, 0x1.187ce80af4f78p-17, 0x1.1443bae6b9183p-17, 0x1.0fe992b08ca2fp-17, 0x1.0b714fd7dede9p-17, 0x1.06ddaec74e8b5p-17, 0x1.02315b3370d62p-17, 0x1.faddf49c02783p-18, 0x1.f13248e37f5f1p-18, 0x1.e764adff3f43fp-18, 0x1.dd79cbf8b380bp-18, 0x1.d375fddfe4bcfp-18, 0x1.c95dafc6ee681p-18, 0x1.bf356c80c1a95p-18, 0x1.b500d58f74364p-18, 0x1.aac29cfe16c5p-18, 0x1.a07e39bb17774p-18, 0x1.96373c0bc048ep-18, 0x1.8bf0daeec3c69p-18, 0x1.81adcbe4f2106p-18, 0x1.7770a9e3b5ec1p-18, 0x1.6d3c47e87f3d1p-18, 0x1.631322c32ef9p-18, 0x1.58f77193d75fap-18, 0x1.4eeb438c8ca6ep-18, 0x1.44f0849540acap-18, 0x1.3b09023f67868p-18, 0x1.313676f5db437p-18, 0x1.277a9319325e2p-18, 0x1.1dd6fb9a9e813p-18, 0x1.144d3c5b2aa49p-18, 0x1.0adeb202a251p-18, 0x1.018c809bca61ep-18, 0x1.f0af6df3e6816p-19, 0x1.de82d85643af6p-19, 0x1.cc951860a7eebp-19, 0x1.bae7c2b565be7p-19, 0x1.a97d1c051b4ffp-19, 0x1.9856fb761024bp-19, 0x1.87765c9212e78p-19, 0x1.76dbfdac38983p-19, 0x1.6689235041daep-19, 0x1.567ed04ebc191p-19, 0x1.46bdc8a19512fp-19, 0x1.3746c48cc1228p-19, 0x1.281a576ed9e39p-19, 0x1.1938ecb4abd2fp-19, 0x1.0aa2d1eeeb2b9p-19, 0x1.f8b07fbf96363p-20, 0x1.dcb2c4a61ccc5p-20, 0x1.c14cb58b83b3p-20, 0x1.a67e782a2889dp-20, 0x1.8c480544449cep-20, 0x1.72a9178e73e74p-20, 0x1.59a1273b61e3ap-20, 0x1.412f90383e76bp-20, 0x1.2953b0313d0cap-20, 0x1.120cc0750385bp-20, 0x1.f6b370372398fp-21, 0x1.ca73b1101c47cp-21, 0x1.9f58686a4feb9p-21, 0x1.755e8af162ca5p-21, 0x1.4c8386277184bp-21, 0x1.24c508daa179ep-21, 0x1.fc40a693d2932p-22, 0x1.b124abafef0bap-22, 0x1.682fef3c75d24p-22, 0x1.215bfe4495893p-22, 0x1.b943d10c942bep-23, 0x1.33f5b2054ac7fp-23, 0x1.657f0af2bc609p-24, 0x1.ac94e0375e0f7p-26, -0x1.0e7f8cca2a764p-25, -0x1.71cdcbaeee75p-24, -0x1.2a5184055b78dp-23, -0x1.97ef19a29767fp-23, -0x1.00e7b198ad7d9p-22, -0x1.34014b415e109p-22, -0x1.654c8d995f11p-22, -0x1.94d18756fdbafp-22, -0x1.c2982c4a0fca7p-22, -0x1.eea8d1596861dp-22, -0x1.0c85b363e8b55p-21, -0x1.20e4034d31d15p-21, -0x1.3473b8d712eacp-21, -0x1.4738d2b405f7bp-21, -0x1.59376d295b133p-21, -0x1.6a73ac08014bcp-21, -0x1.7af1ac369bffbp-21, -0x1.8ab5868c7154ep-21, -0x1.99c353713abacp-21, -0x1.a81f2956a5dbep-21, -0x1.b5cd04d5c7a17p-21, -0x1.c2d0dcf26c05cp-21, -0x1.cf2eb527744d3p-21, -0x1.daea96d1418f2p-21, -0x1.e608685c9184ep-21, -0x1.f08c04a604e34p-21, -0x1.fa79463bd6153p-21, -0x1.01e9ff683143cp-20, -0x1.064ffbe117406p-20, -0x1.0a707bab2bb4p-20, -0x1.0e4d5d8f0757p-20, -0x1.11e8738223ae7p-20, -0x1.154383a209f9cp-20, -0x1.186059258fe5fp-20, -0x1.1b40bbac4e02dp-20, }}, 
      {{-0x1.48d3fc2b733ddp-6, 0x1.f406db76100c3p-8, 0x1.a71f5de94a318p-5, 0x1.c07af10d5586cp-4, 0x1.6d61bbbdf9ffcp-3, 0x1.05c7bd6e91471p-2, 0x1.5ab4472337be5p-2, 0x1.b301cb8f4d7a7p-2, 0x1.0641244516a98p-1, 0x1.32a995fba02bbp-1, 0x1.5dee80937353bp-1, 0x1.8767f49231e0ap-1, 0x1.ae8f1875fdfd7p-1, 0x1.d2faf730292bbp-1, 0x1.f45d213c18b52p-1, 0x1.093f2aace3b8ap+0, 0x1.169da9154eeb7p+0, 0x1.2240f1d3d2626p+0, 0x1.2c271ba0d361cp+0, 0x1.34543c4d75c31p+0, 0x1.3ad15a99660e5p+0, 0x1.3fab80feaa33bp+0, 0x1.42f2ee512c216p+0, 0x1.44ba60f75ffeep+0, 0x1.451679e9b231ep+0, 0x1.441d3517fa96ep+0, 0x1.41e5751e646afp+0, 0x1.3e86a04156471p+0, 0x1.3a184ca05f361p+0, 0x1.34b1f9a9a3d68p+0, 0x1.2e6ad51758fcap+0, 0x1.27598a0a4d221p+0, 0x1.1f9419103f0bep+0, 0x1.172fb80e4cbd8p+0, 0x1.0e40b924ee639p+0, 0x1.04da77b87d223p+0, 0x1.f61e95b6c0f03p-1, 0x1.e1e0f8c7ebbb9p-1, 0x1.cd1c880fae461p-1, 0x1.b7ef8bf4775d6p-1, 0x1.a27628fa0620bp-1, 0x1.8cca67a01c36bp-1, 0x1.7704404dd99eep-1, 0x1.6139ab27dfap-1, 0x1.4b7eb19a59263p-1, 0x1.35e582644f9b7p-1, 0x1.207e87f167757p-1, 0x1.0b587d8d88c28p-1, 0x1.ed01103df1666p-2, 0x1.c4049a501f3acp-2, 0x1.9bd0134113be9p-2, 0x1.747556d0effb9p-2, 0x1.4e03cb4e77fe3p-2, 0x1.2888933e13cfap-2, 0x1.040eb50e76bcfp-2, 0x1.c13e8d3267007p-3, 0x1.7c8327b690cb3p-3, 0x1.39f6892db4716p-3, 0x1.f341ff9c99349p-4, 0x1.771035dae3303p-4, 0x1.febba7e297fc3p-5, 0x1.1858dcae9e487p-5, 0x1.d797d8072a332p-8, -0x1.3304eabe0c537p-6, -0x1.651a9354ec106p-5, -0x1.13f736e2dda38p-4, -0x1.710e2c174dfd1p-4, -0x1.c9e3a529f1db9p-4, -0x1.0f45929f30e77p-3, -0x1.378cf87987f0fp-3, -0x1.5dd366b231073p-3, -0x1.8224e1eeba3cep-3, -0x1.a48df50f9a8b8p-3, -0x1.c51b979f7a929p-3, -0x1.e3db168551337p-3, -0x1.006cff6ff92efp-2, -0x1.0e1305707cdb5p-2, -0x1.1ae6883babaap-2, -0x1.26ee78caea5fcp-2, -0x1.3231c6ff65a89p-2, -0x1.3cb75b3912684p-2, -0x1.468610a4abd5cp-2, -0x1.4fa4b02eb0de1p-2, -0x1.5819ec22c8cd6p-2, -0x1.5fec5c5bc72afp-2, -0x1.67227affc8544p-2, -0x1.6dc2a1b0261f9p-2, -0x1.73d3071f383d3p-2, -0x1.7959bd060268cp-2, -0x1.7e5cae6978fdfp-2, -0x1.82e19e3682d9dp-2, -0x1.86ee262b88042p-2, -0x1.8a87b60d201f5p-2, -0x1.8db39327f76ddp-2, -0x1.9076d80d20b75p-2, -0x1.92d6748ad4de3p-2, -0x1.94d72dd51c9c2p-2, -0x1.967d9eccb2d93p-2, -0x1.97ce387165fc3p-2, -0x1.98cd4260e4236p-2, -0x1.997edb758d531p-2, -0x1.99e6fa75adc5fp-2, -0x1.9a096ed40ec03p-2, -0x1.99e9e1882019dp-2, -0x1.998bd5f0717e1p-2, -0x1.98f2aac76de9bp-2, -0x1.98219b243c231p-2, -0x1.971bbf8053d31p-2, -0x1.95e40ec92d7aep-2, -0x1.947d5f7198402p-2, -0x1.92ea687f1c9ddp-2, -0x1.912dc2a3b2ad7p-2, -0x1.8f49e943e7107p-2, -0x1.8d413b8270b69p-2, -0x1.8b15fd4c446c5p-2, -0x1.88ca5850f75f3p-2, -0x1.86605d04917aep-2, -0x1.83da03989f691p-2, -0x1.81392cea91e6dp-2, -0x1.7e7fa373cddf6p-2, -0x1.7baf1c34725dbp-2, -0x1.78c93792d56a9p-2, -0x1.75cf823869406p-2, -0x1.72c375ecc0ca6p-2, -0x1.6fa67a6112056p-2, -0x1.6c79e5fa4bc82p-2, -0x1.693efe97d17cp-2, -0x1.65f6fa4996d8cp-2, -0x1.62a30006abc67p-2, -0x1.5f44285e4bf3ep-2, -0x1.5bdb7e196fd35p-2, -0x1.5869fedc7010cp-2, -0x1.54f09bc45fb77p-2, -0x1.517039f6c088fp-2, -0x1.4de9b32d1609dp-2, -0x1.4a5dd63fdf80dp-2, -0x1.46cd67a917161p-2, -0x1.433921fb5646ep-2, -0x1.3fa1b658047fcp-2, -0x1.3c07cce72fe22p-2, -0x1.386c0541a1723p-2, -0x1.34cef6d0abac8p-2, -0x1.31313135de73ep-2, -0x1.2d933caf55f1p-2, -0x1.29f59a69cb296p-2, -0x1.2658c4d12897fp-2, -0x1.22bd2fe94e715p-2, -0x1.1f23499e53acep-2, -0x1.1b8b7a06fcbd9p-2, -0x1.17f623a736b0bp-2, -0x1.1463a3b7c7c9dp-2, -0x1.10d45269908afp-2, -0x1.0d48831cebedep-2, -0x1.09c084945a8cbp-2, -0x1.063ca12e0d72ep-2, -0x1.02bd1f1f074fbp-2, -0x1.fe8481422ec93p-3, -0x1.f798883074b3ap-3, -0x1.f0b6c880a82aep-3, -0x1.e9dfb0c0dff8p-3, -0x1.e313a8e5362d1p-3, -0x1.dc5312828b393p-3, -0x1.d59e4913419cdp-3, -0x1.cef5a249f3de4p-3, -0x1.c8596e5a40d22p-3, -0x1.c1c9f82f18125p-3, -0x1.bb47859d34553p-3, -0x1.b4d2579ddbde2p-3, -0x1.ae6aaa8e47ebcp-3, -0x1.a810b668160f8p-3, -0x1.a1c4aeed02f7p-3, -0x1.9b86c3cd0d351p-3, -0x1.955720d43621fp-3, -0x1.8f35ee205955fp-3, -0x1.8923504fdbe9bp-3, -0x1.831f68a11c01dp-3, -0x1.7d2a550e9068fp-3, -0x1.77443075db7acp-3, -0x1.716d12c5056fdp-3, -0x1.6ba5111e6d145p-3, -0x1.65ec3df101e7fp-3, -0x1.6042a9105e93dp-3, -0x1.5aa85fd44aee8p-3, -0x1.551d6d3abf3cep-3, -0x1.4fa1da049b172p-3, -0x1.4a35accccdfa1p-3, -0x1.44d8ea1deebdcp-3, -0x1.3f8b9488561cap-3, -0x1.3a4dacb95719ap-3, -0x1.351f3193afa99p-3, -0x1.300020478702cp-3, -0x1.2af074664b83dp-3, -0x1.25f027f14b483p-3, -0x1.20ff3367e08b9p-3, -0x1.1c1d8ddb111cap-3, -0x1.174b2d0516cfp-3, -0x1.1288055cf9a6dp-3, -0x1.0dd40a21f582dp-3, -0x1.092f2d636ca5ap-3, -0x1.0499600e1503p-3, -0x1.001291ffe276fp-3, -0x1.f7356436df5f2p-4, -0x1.ee635ca7cc0afp-4, -0x1.e5aee765bec03p-4, -0x1.dd17dcbfa0d04p-4, -0x1.d49e135b7a947p-4, -0x1.cc4160581a533p-4, -0x1.c4019767330a2p-4, -0x1.bbde8adb4a5d9p-4, -0x1.b3d80bb19c1cdp-4, -0x1.abede9a27c3cp-4, -0x1.a41ff33a1788ep-4, -0x1.9c6df5f028f8ap-4, -0x1.94d7be37f024ep-4, -0x1.8d5d178b3a13p-4, -0x1.85fdcc74d79cep-4, -0x1.7eb9a69f9c3b7p-4, -0x1.77906eea85499p-4, -0x1.7081ed799f0d9p-4, -0x1.698de9c057f39p-4, -0x1.62b42a8930f0dp-4, -0x1.5bf475fff8a3fp-4, -0x1.554e91c058a71p-4, -0x1.4ec242e56008bp-4, -0x1.484f4e158f082p-4, -0x1.41f5778a357dep-4, -0x1.3bb48315175adp-4, -0x1.358c342860122p-4, -0x1.2f7c4de26cb76p-4, -0x1.2984931add257p-4, -0x1.23a4c66d03047p-4, -0x1.1ddcaa3e27132p-4, -0x1.182c00c17c86bp-4, -0x1.12928bfd2b13cp-4, -0x1.0d100dd2560dp-4, -0x1.07a448074807ep-4, -0x1.024efc51040bbp-4, -0x1.fa1fd8b419b92p-5, -0x1.efcdb38ccb74ep-5, -0x1.e5a70c6d995d9p-5, -0x1.dbab669a9cbb3p-5, -0x1.d1da4567b43dfp-5, -0x1.c8332c476b08ap-5, -0x1.beb59ed853e88p-5, -0x1.b56120eee9ae5p-5, -0x1.ac35369c7407dp-5, -0x1.a331643516c7p-5, -0x1.9a552e575298fp-5, -0x1.91a019f5513fp-5, -0x1.8911ac5f05975p-5, -0x1.80a96b4b739cap-5, -0x1.7866dce08534cp-5, -0x1.704987b9ba42fp-5, -0x1.6850f2ee2b9e7p-5, -0x1.607ca6165c13ap-5, -0x1.58cc2952090a2p-5, -0x1.513f054def8f8p-5, -0x1.49d4c349aa023p-5, -0x1.428ced1e02e6dp-5, -0x1.3b670d43fcf09p-5, -0x1.3462aedc0ec21p-5, -0x1.2d7f5db4247c1p-5, -0x1.26bca64b31d43p-5, -0x1.201a15d23cc7dp-5, -0x1.19973a2c81254p-5, -0x1.1333a1f151de3p-5, -0x1.0ceedc71fcae4p-5, -0x1.06c879c3c6f3fp-5, -0x1.00c00acb5b45bp-5, -0x1.f5aa428a5fd2dp-6, -0x1.ea0e9f8e2af0dp-6, -0x1.deac5374a1846p-6, -0x1.d38286a3cc285p-6, -0x1.c89063077d291p-6, -0x1.bdd5141616d2dp-6, -0x1.b34fc6ec2f055p-6, -0x1.a8ffaa77613edp-6, -0x1.9ee3ef9e74ab3p-6, -0x1.94fbc9534071p-6, -0x1.8b466c82b1dcfp-6, -0x1.81c30fe77676cp-6, -0x1.7870ebd3a583p-6, -0x1.6f4f3a0dfc7a5p-6, -0x1.665d35d952bb8p-6, -0x1.5d9a1c2b322f9p-6, -0x1.55052bff62758p-6, -0x1.4c9da6a558771p-6, -0x1.4462cfe27f802p-6, -0x1.3c53edd380d5dp-6, -0x1.34704892e83dcp-6, -0x1.2cb729c78cd02p-6, -0x1.2527dc4d0c432p-6, -0x1.1dc1ac22a989dp-6, -0x1.1683e6b209857p-6, -0x1.0f6ddb5966508p-6, -0x1.087edc049c8fcp-6, -0x1.01b63d93c981bp-6, -0x1.f626afbab14bcp-7, -0x1.e92b0a7ecd4e1p-7, -0x1.dc7843c6a9f9fp-7, -0x1.d00d15f61a604p-7, -0x1.c3e83c9278f7cp-7, -0x1.b808745bab2b5p-7, -0x1.ac6c7c7cbbc5cp-7, -0x1.a1131871177afp-7, -0x1.95fb11ea6b4a8p-7, -0x1.8b2339f44583cp-7, -0x1.808a68d066806p-7, -0x1.762f7c7d62355p-7, -0x1.6c11565d05c21p-7, -0x1.622ed8d1457fcp-7, -0x1.5886e5ba2ab23p-7, -0x1.4f185e786796ep-7, -0x1.45e2258cf8746p-7, -0x1.3ce321522e7e8p-7, -0x1.341a3eda696ffp-7, -0x1.2b8673e73157dp-7, -0x1.2326bf3328c6dp-7, -0x1.1afa26d9459efp-7, -0x1.12ffb54e48885p-7, -0x1.0b3675eb2dc22p-7, -0x1.039d723f3f64ep-7, -0x1.f867625275cb7p-8, -0x1.e9f0703a6611dp-8, -0x1.dbd41c6dc484ap-8, -0x1.ce1080222783ep-8, -0x1.c0a3c62469a77p-8, -0x1.b38c2e18f66bep-8, -0x1.a6c80b34f189ep-8, -0x1.9a55beb762df7p-8, -0x1.8e33afc8cb30ap-8, -0x1.826043550e76ep-8, -0x1.76d9d69b10225p-8, -0x1.6b9ebe65bf0b9p-8, -0x1.60ad4b5499f99p-8, -0x1.5603d1cabf771p-8, -0x1.4ba0b2cd954f3p-8, -0x1.418262dac5d06p-8, -0x1.37a76c9159b95p-8, -0x1.2e0e6e7ad091ep-8, -0x1.24b614b2d9d8ep-8, -0x1.1b9d1040ef7afp-8, -0x1.12c20e98c492cp-8, -0x1.0a23b3d8f5ab4p-8, -0x1.01c099cf45bbcp-8, -0x1.f32ea8c471143p-9, -0x1.e34cf41060ff5p-9, -0x1.d3d95a8bc8006p-9, -0x1.c4d147878e8e4p-9, -0x1.b632516d44726p-9, -0x1.a7fa34bae6032p-9, -0x1.9a26c7fc4576ap-9, -0x1.8cb5ecaaa0e7fp-9, -0x1.7fa580568ca2p-9, -0x1.72f3510436bcbp-9, -0x1.669d17e33b6fep-9, -0x1.5aa07d59adcc2p-9, -0x1.4efb26f4a549p-9, -0x1.43aacb3f27edcp-9, -0x1.38ad4383e3b15p-9, -0x1.2e0093a459dc8p-9, -0x1.23a2e551c646cp-9, -0x1.19927ab60c4f3p-9, -0x1.0fcd9ff12f004p-9, -0x1.0652a0918b871p-9, -0x1.fa3f82661cb7p-10, -0x1.e866759fd677fp-10, -0x1.d7166ed6a9aa6p-10, -0x1.c64ba7a01ba45p-10, -0x1.b602556d894eep-10, -0x1.a636d0a3cf9e9p-10, -0x1.96e5bb241bf0ap-10, -0x1.880c0f445716bp-10, -0x1.79a70c67683d3p-10, -0x1.6bb40d2df53fdp-10, -0x1.5e3062385a5a8p-10, -0x1.511946391d3cp-10, -0x1.446be9a7e3d6cp-10, -0x1.382581b125a35p-10, -0x1.2c4347ded6a1cp-10, -0x1.20c26c2d8bd61p-10, -0x1.15a00e0b90ac8p-10, -0x1.0ad94f151cda2p-10, -0x1.006b7c10c11f1p-10, -0x1.eca8622c2f335p-11, -0x1.d922b4bd43192p-11, -0x1.c642141a28ab8p-11, -0x1.b40279250b9d5p-11, -0x1.a25f6ba7d7496p-11, -0x1.91541fc60077dp-11, -0x1.80dbd9c5819bbp-11, -0x1.70f243ea2e936p-11, -0x1.619373214464p-11, -0x1.52bba2152a8aep-11, -0x1.4466eb5e86fb3p-11, -0x1.369148518d1p-11, -0x1.2936d9171fdb5p-11, -0x1.1c5438d99ca21p-11, -0x1.0fe6912b87b73p-11, -0x1.03eb49c28a12p-11, -0x1.f0bef74048bep-12, -0x1.da7f11ec31a96p-12, -0x1.c50e602596118p-12, -0x1.b06430a22cfc8p-12, -0x1.9c78f0527e86ap-12, -0x1.8946bf07dcd9fp-12, -0x1.76c8f8e96620bp-12, -0x1.64fb36cc15152p-12, -0x1.53d8a2cd79cd8p-12, -0x1.435c1492d06c1p-12, -0x1.3380b31280abdp-12, -0x1.244280d6ad195p-12, -0x1.159e562807801p-12, -0x1.07912538f31fcp-12, -0x1.f42db744dbcc4p-13, -0x1.da533843710e2p-13, -0x1.c183f498071d7p-13, -0x1.a9b06e576682bp-13, -0x1.92cb7a0fd56dap-13, -0x1.7ccbd8c8bba38p-13, -0x1.67aba4bfd8c0cp-13, -0x1.536650f184351p-13, -0x1.3ff6df9a1cd54p-13, -0x1.2d576d7267c6bp-13, -0x1.1b81e4293ae54p-13, -0x1.0a70f9a2fdee6p-13, -0x1.f4416f22fd23ep-14, -0x1.d51c0f2e733adp-14, -0x1.b76a9141662e9p-14, -0x1.9b216028959fep-14, -0x1.802efe110e298p-14, -0x1.667d51aeed474p-14, -0x1.4df55186d381cp-14, -0x1.3682ff9469438p-14, -0x1.2017cb0bf6603p-14, -0x1.0aaaad304d8dcp-14, -0x1.ec6c9d8d4eb7p-15, -0x1.c56cc1bf58769p-15, -0x1.a04b4910d7953p-15, -0x1.7cfaf9ed2fdc9p-15, -0x1.5b6e0ec70920ep-15, -0x1.3b98d8d8a4a3ap-15, -0x1.1d71a5ccde09dp-15, -0x1.00ee9525ca143p-15, -0x1.cc07d868f6374p-16, -0x1.9945b682ee1f7p-16, -0x1.69705b6a0cea6p-16, -0x1.3c5898d1a990cp-16, -0x1.11ca07c56a1fdp-16, -0x1.d3200f0b5d55ap-17, -0x1.86fa534ac438ep-17, -0x1.3ee738554290ap-17, -0x1.f597eff865a98p-18, -0x1.75378b0cac85ap-18, -0x1.f90d3af8b2056p-19, -0x1.169a156055b5bp-19, -0x1.0aa3b8ca26ffdp-21, 0x1.0669e5b22d207p-20, 0x1.3b962d1e1e9dbp-19, 0x1.e72954216a1ap-19, 0x1.433d58b0573b4p-18, 0x1.8cf14907a026p-18, 0x1.d0d8392c2d8c6p-18, 0x1.07971427b2766p-17, 0x1.2425b7ae9779ap-17, 0x1.3e51eb68b5ec2p-17, 0x1.565b2df49ba87p-17, 0x1.6c70fd63f72f4p-17, 0x1.80a811e44fcddp-17, 0x1.930da9c70ca4ap-17, 0x1.a3bb1b23fb33bp-17, 0x1.b2caf647d5833p-17, 0x1.c04656a784b54p-17, 0x1.cc2ee484fc58fp-17, 0x1.d695048d90ep-17, 0x1.df989343a5b2cp-17, 0x1.e75918d15fce4p-17, 0x1.ede9bfce41dc9p-17, 0x1.f35131d4c77c8p-17, 0x1.f792f6a735b31p-17, 0x1.fab9311cf0ac4p-17, 0x1.fcd771e74c395p-17, 0x1.fe0afbff552e1p-17, 0x1.fe75c6959b7fep-17, 0x1.fe2af8d0bbd7ap-17, 0x1.fd28c92ec5728p-17, 0x1.fb7238d5f435ep-17, 0x1.f91d6ea31c43bp-17, 0x1.f64071626b91ap-17, 0x1.f2e3bc1551cb4p-17, 0x1.ef0d0706c3a1fp-17, 0x1.eac63b9094381p-17, 0x1.e619f995e05e3p-17, 0x1.e111ec28a12e3p-17, 0x1.dbb71404c242bp-17, 0x1.d610b2f03b11ap-17, 0x1.d023581d8984p-17, 0x1.c9f2637849949p-17, 0x1.c3828b56f57e4p-17, 0x1.bcdb328b9ed2p-17, 0x1.b608b042db469p-17, 0x1.af19604b5737ep-17, 0x1.a811b9dda8cf5p-17, 0x1.a0efa131887f2p-17, 0x1.99b8a42d96947p-17, 0x1.9274c106fbdebp-17, 0x1.8b250ce31747dp-17, 0x1.83caf7685d1cap-17, 0x1.7c6d39e24c867p-17, 0x1.75138982db449p-17, 0x1.6dc3778022165p-17, 0x1.66801c13d0314p-17, 0x1.5f4adb9b78dadp-17, 0x1.5824c1e222d44p-17, 0x1.510f94bc530c3p-17, 0x1.4a0ddede4468bp-17, 0x1.43221c6e8658ep-17, 0x1.3c4dff8d52437p-17, 0x1.35930770d7c3bp-17, 0x1.2ef3d38777e24p-17, 0x1.2872ea4836a2fp-17, 0x1.221117ea6ec92p-17, 0x1.1bcf8162d23cdp-17, 0x1.15af93100e9cdp-17, 0x1.0fb1761652b6fp-17, 0x1.09d5914df9a4cp-17, 0x1.041d0215cdcd7p-17, 0x1.fd118335d0698p-18, 0x1.f23303b968fcap-18, 0x1.e79facbcdbb2bp-18, 0x1.dd586b9b274d4p-18, 0x1.d35dac2beec1p-18, 0x1.c9af1b44dc526p-18, 0x1.c04c235f6f9dp-18, 0x1.b734dfd5a4384p-18, 0x1.ae69b537516ebp-18, 0x1.a5ea665f44c13p-18, 0x1.9db76ca51321p-18, 0x1.95d0fe8c217aep-18, 0x1.8e34e9ecc75a9p-18, 0x1.86e3b9c40c24ap-18, 0x1.7fdb6247b56c4p-18, 0x1.7918edf3e9c6cp-18, 0x1.729da5257f14fp-18, 0x1.6c6804efddf8p-18, 0x1.6675803c8ed19p-18, 0x1.60c4e2ae78291p-18, 0x1.5b55790d1157dp-18, 0x1.56266e5e548b3p-18, 0x1.5136a59f6c6e6p-18, 0x1.4c84c7c2f7018p-18, 0x1.480f7bf93abaep-18, 0x1.43d5b1d6a802bp-18, 0x1.3fd6b17a5f0e9p-18, 0x1.3c113aeb64298p-18, 0x1.3881aaf60bcfap-18, 0x1.35234c3ab9bdep-18, 0x1.31f6f73a7e1eep-18, 0x1.2f0068a739ae2p-18, 0x1.2c38f670aa762p-18, 0x1.299bef06e0dd7p-18, 0x1.272951cb0354fp-18, 0x1.24e3c391ef636p-18, 0x1.22cab3b7acf7ep-18, 0x1.20d845f4c0159p-18, 0x1.1f096366e05e4p-18, 0x1.1d5cebcdbc862p-18, 0x1.1bd1ea3ced0d5p-18, 0x1.1a6737ec7c1dfp-18, 0x1.191b81d9cd046p-18, 0x1.17ed4b47ef6ddp-18, 0x1.16daeb50d8cf8p-18, 0x1.15e29608a8e81p-18, 0x1.15027e9c928bcp-18, 0x1.1439162d5c8c5p-18, 0x1.13852851162cbp-18, 0x1.12e5621acb696p-18, 0x1.125835764fb28p-18, 0x1.11dde7e67f4cp-18, 0x1.1177f2f0422e3p-18, 0x1.1120167dbedd8p-18, 0x1.10d154aae58ffp-18, 0x1.108cd6935667dp-18, 0x1.1054beaa649aap-18, 0x1.1025590d1e9c9p-18, 0x1.0ffdfa8327c28p-18, 0x1.0fdea135d7648p-18, 0x1.0fc51b3f24467p-18, 0x1.0faf7d40659fcp-18, 0x1.0f9cb6076e474p-18, 0x1.0f8bfb714dffep-18, 0x1.0f7c7b44231b8p-18, 0x1.0f6d4acf023fap-18, 0x1.0f5d6aeb5b9ap-18, 0x1.0f4bd39f7b549p-18, 0x1.0f37849482215p-18, 0x1.0f1f9bd5ee71dp-18, 0x1.0f035dac906a4p-18, 0x1.0ee1faa719a31p-18, 0x1.0eba5ff9db86bp-18, 0x1.0e8bed51be2p-18, 0x1.0e575f6864dcep-18, 0x1.0e1a6b3c04ba8p-18, 0x1.0dd2f89db49d3p-18, 0x1.0d82cbf6930fep-18, 0x1.0d29e2ac053e3p-18, 0x1.0cc69e5f2b519p-18, 0x1.0c579ce57cd75p-18, 0x1.0bdc525e0db4fp-18, 0x1.0b54316aab30bp-18, 0x1.0abf17997233bp-18, 0x1.0a1da9e6284eep-18, 0x1.096f02eef1956p-18, 0x1.08b225cce9d26p-18, 0x1.07e6b439d02a6p-18, 0x1.070c798c12d98p-18, 0x1.0623369408aa4p-18, 0x1.052aa2c59419ap-18, 0x1.042275c68ebb2p-18, 0x1.030a736124207p-18, 0x1.01e2753ec0b77p-18, 0x1.00aa57f959ca2p-18, 0x1.fec3a40281d49p-19, 0x1.fc112dbfccc17p-19, 0x1.f93e78753f847p-19, 0x1.f649f4aba3468p-19, 0x1.f33289ba491a3p-19, 0x1.effa857c19f72p-19, 0x1.eca054089a19p-19, 0x1.e923b6451082cp-19, 0x1.e584db9d49e52p-19, 0x1.e1c3c9dd828e4p-19, 0x1.dde096d5b1c2cp-19, 0x1.d9dbe4edac482p-19, 0x1.d5b68a3467f7ap-19, 0x1.d16f7fa086595p-19, 0x1.cd05bed558011p-19, 0x1.c879f4859a9b7p-19, 0x1.c3ce1344fb801p-19, 0x1.bf01d9626209p-19, 0x1.ba14b37870ea3p-19, 0x1.b506f678075b5p-19, 0x1.afd91c9174a24p-19, 0x1.aa8b9511e4102p-19, 0x1.a51edec86eff6p-19, 0x1.9f937db314a15p-19, 0x1.99e9bc742568ep-19, 0x1.9421a78e55f85p-19, 0x1.8e3c606c4e50ep-19, 0x1.8839f9eecf86cp-19, }}, 
      {{-0x1.b02fe67449807p-6, -0x1.16a13934ab35p-6, -0x1.e3efbc2d5422fp-10, 0x1.2fc45dd919b3dp-6, 0x1.646d990c33996p-5, 0x1.287b310e2d93p-4, 0x1.abf9142df9542p-4, 0x1.1d020a23973e3p-3, 0x1.680bfeb615baap-3, 0x1.b5f117eea75c9p-3, 0x1.02d1a8a052964p-2, 0x1.2b186c45f2b79p-2, 0x1.5361ea260b8a4p-2, 0x1.7b50b31744b2bp-2, 0x1.a29417eea60e5p-2, 0x1.c8e746b3e351p-2, 0x1.ee10554e87af2p-2, 0x1.08efa37a10bdap-1, 0x1.1a168ab7bb661p-1, 0x1.2a6d6213b142ap-1, 0x1.39e8403a400dep-1, 0x1.487e688efe8e4p-1, 0x1.5629eae0d72b8p-1, 0x1.62e74b185f4b2p-1, 0x1.6eb530a20a4e9p-1, 0x1.79941d3657f51p-1, 0x1.83862a8e12064p-1, 0x1.8c8ece868113cp-1, 0x1.94b2a53e283a6p-1, 0x1.9bf740b9ff565p-1, 0x1.a262fda69a37bp-1, 0x1.a7fcdccb787bbp-1, 0x1.accc60cb669e5p-1, 0x1.b0d96fd2be07fp-1, 0x1.b42c38da78229p-1, 0x1.b6cd1c2cf2f9ep-1, 0x1.b8c496df41c04p-1, 0x1.ba1b30f7b1accp-1, 0x1.bad96e000a757p-1, 0x1.bb07bfc6e77e9p-1, 0x1.baae7b1879b24p-1, 0x1.b9d5ce3bbba35p-1, 0x1.b885b905ea083p-1, 0x1.b6c6065779ecep-1, 0x1.b49e46db6b2e2p-1, 0x1.b215cce581acp-1, 0x1.af33a94838568p-1, 0x1.abfea909e09c5p-1, 0x1.a87d53daca148p-1, 0x1.a4b5eb2e9c4d4p-1, 0x1.a0ae69ec837e1p-1, 0x1.9c6c84924048ap-1, 0x1.97f5a9c209358p-1, 0x1.934f0326c0d08p-1, 0x1.8e7d769e5dbf3p-1, 0x1.8985a7a61b674p-1, 0x1.846bf8f6a376ep-1, 0x1.7f348e4c8b447p-1, 0x1.79e34e4dcab4ep-1, 0x1.747be48732523p-1, 0x1.6f01c37b3e0dap-1, 0x1.697826bfa5f77p-1, 0x1.63e2152477711p-1, 0x1.5e4262de4db7dp-1, 0x1.589bb3adb6bc2p-1, 0x1.52f07d00cbda5p-1, 0x1.4d43080ed4038p-1, 0x1.479573ee4865cp-1, 0x1.41e9b7a39168bp-1, 0x1.3c41a4249255dp-1, 0x1.369ee64ca4d07p-1, 0x1.310308be9d7c4p-1, 0x1.2b6f75b57fd92p-1, 0x1.25e578c68ccap-1, 0x1.2066409741044p-1, 0x1.1af2e087c759dp-1, 0x1.158c52500256bp-1, 0x1.1033778be725p-1, 0x1.0ae91b3463a78p-1, 0x1.05adf303e9554p-1, 0x1.0082a0c7f7678p-1, 0x1.f6cf6744f874p-2, 0x1.ecbb527bed5a8p-2, 0x1.e2c9ddec7b0bfp-2, 0x1.d8fbc5ec1c6eep-2, 0x1.cf51aa9081a59p-2, 0x1.c5cc11b587d61p-2, 0x1.bc6b68e3e577cp-2, 0x1.b3300717a12b2p-2, 0x1.aa1a2e67d29f1p-2, 0x1.a12a0d932266ep-2, 0x1.985fc1751bf77p-2, 0x1.8fbb56681c029p-2, 0x1.873cc99665a76p-2, 0x1.7ee40a3b50cedp-2, 0x1.76b0fad4444a5p-2, 0x1.6ea372407d818p-2, 0x1.66bb3cce6b379p-2, 0x1.5ef81d360ab77p-2, 0x1.5759cd803a343p-2, 0x1.4fdfffdc2313fp-2, 0x1.488a5f644473cp-2, 0x1.415890d4cc75fp-2, 0x1.3a4a33356f584p-2, 0x1.335ee0781ad91p-2, 0x1.2c962e0dd73f8p-2, 0x1.25efad7291617p-2, 0x1.1f6aecb00d6e2p-2, 0x1.190776d8575ep-2, 0x1.12c4d477a2852p-2, 0x1.0ca28bfd8087fp-2, 0x1.06a0221dd77ep-2, 0x1.00bd1a2974f3ap-2, 0x1.f5f1ecbded081p-3, 0x1.eaa67069049c2p-3, 0x1.df96c135600d7p-3, 0x1.d4c1e073291aap-3, 0x1.ca26cf50c758dp-3, 0x1.bfc48f40473bap-3, 0x1.b59a22541ea72p-3, 0x1.aba68b9416b8fp-3, 0x1.a1e8cf4aa2074p-3, 0x1.985ff34b67e2dp-3, 0x1.8f0aff33a5949p-3, 0x1.85e8fca40bdd7p-3, 0x1.7cf8f77511a72p-3, 0x1.7439fde5e8c2p-3, 0x1.6bab20c5efbdap-3, 0x1.634b7399793fap-3, 0x1.5b1a0cb9fb506p-3, 0x1.53160571d8c18p-3, 0x1.4b3e7a1454efdp-3, 0x1.43928a11e15f6p-3, 0x1.3c1158092979ap-3, 0x1.34ba09d50786bp-3, 0x1.2d8bc897cd4fep-3, 0x1.2685c0c43be8p-3, 0x1.1fa7222412d7ap-3, 0x1.18ef1fdc97706p-3, 0x1.125cf071a64aap-3, 0x1.0befcdc6e0fa5p-3, 0x1.05a6f51f2cc17p-3, 0x1.ff034e369053ep-4, 0x1.f2fe4f6e39da6p-4, 0x1.e73d7c8b1f6b6p-4, 0x1.dbbf6ad71e7cbp-4, 0x1.d082b634f6e04p-4, 0x1.c5860112c8248p-4, 0x1.bac7f45b1134cp-4, 0x1.b0473f64c5ff4p-4, 0x1.a60297e20a8afp-4, 0x1.9bf8b9cdf27bp-4, 0x1.922867595eb0ep-4, 0x1.889068d6bc5a4p-4, 0x1.7f2f8ca5530ep-4, 0x1.7604a71c72307p-4, 0x1.6d0e9275af16cp-4, 0x1.644c2eb633082p-4, 0x1.5bbc619864b9ap-4, 0x1.535e1675cfb6cp-4, 0x1.4b303e3017f63p-4, 0x1.4331cf1964097p-4, 0x1.3b61c4dd72a53p-4, 0x1.33bf206b01f81p-4, 0x1.2c48e7dc99066p-4, 0x1.24fe266124b12p-4, 0x1.1dddec251e7c6p-4, 0x1.16e74e3bf76a1p-4, 0x1.1019668962fddp-4, 0x1.097353aad057cp-4, 0x1.02f438e12d05cp-4, 0x1.f9367bf57e747p-5, 0x1.eccf1e7a56939p-5, 0x1.e0b0baa003b44p-5, 0x1.d4d9ba4f3cec1p-5, 0x1.c9488fdfceb0bp-5, 0x1.bdfbb5ee56979p-5, 0x1.b2f1af3353abfp-5, 0x1.a829065b66c2cp-5, 0x1.9da04ddf86d7cp-5, 0x1.93561fdd004a8p-5, 0x1.89491dee608b2p-5, 0x1.7f77f105d6619p-5, 0x1.75e14948351bfp-5, 0x1.6c83dde7e02abp-5, 0x1.635e6d000b872p-5, 0x1.5a6fbb7116a2bp-5, 0x1.51b694bddbdd9p-5, 0x1.4931cae96af3ep-5, 0x1.40e03655020adp-5, 0x1.38c0b59ec192dp-5, 0x1.30d22d813dd28p-5, 0x1.291388b39b6cbp-5, 0x1.2183b7ca0e69cp-5, 0x1.1a21b116dcd88p-5, 0x1.12ec708c494c9p-5, 0x1.0be2f79f34ab9p-5, 0x1.05044d2a119bep-5, 0x1.fc9efaa035996p-6, 0x1.ef8732c24c53bp-6, 0x1.e2bf6f7ccf568p-6, 0x1.d645e77fddf07p-6, 0x1.ca18db34e91e8p-6, 0x1.be36948a8e985p-6, 0x1.b29d66c168bf1p-6, 0x1.a74bae3a7db91p-6, 0x1.9c3fd047562c3p-6, 0x1.91783afaee1cdp-6, 0x1.86f364fafc5a7p-6, 0x1.7cafcd51b511bp-6, 0x1.72abfb40b2823p-6, 0x1.68e67e1562d89p-6, 0x1.5f5decfeae77ap-6, 0x1.5610e6e334252p-6, 0x1.4cfe1237ed5bp-6, 0x1.44241cd7665f9p-6, 0x1.3b81bbda373e8p-6, 0x1.3315ab7087756p-6, 0x1.2adeaebc9fd6ep-6, 0x1.22db8fadee6d6p-6, 0x1.1b0b1edc91795p-6, 0x1.136c336587194p-6, 0x1.0bfdaac7dc623p-6, 0x1.04be68c2d3764p-6, 0x1.fb5aae6986c36p-7, 0x1.ed92cbf4f2e44p-7, 0x1.e023159e29fdbp-7, 0x1.d309825927a3p-7, 0x1.c644145a45c57p-7, 0x1.b9d0d8daad344p-7, 0x1.adade7dddcc5fp-7, 0x1.a1d963f83eb8cp-7, 0x1.96517a168b8dp-7, 0x1.8b146146519b9p-7, 0x1.80205a7ff1a08p-7, 0x1.7573b071ff56cp-7, 0x1.6b0cb74de2f51p-7, 0x1.60e9cc9554d04p-7, 0x1.570956e895932p-7, 0x1.4d69c5d5917f8p-7, 0x1.440991a81c2bap-7, 0x1.3ae73b3b7b593p-7, 0x1.32014bcd190fcp-7, 0x1.295654d01bf7p-7, 0x1.20e4efc1b7a26p-7, 0x1.18abbdfe2f993p-7, 0x1.10a96896bad8dp-7, 0x1.08dca028048b2p-7, 0x1.01441cb29b49cp-7, 0x1.f3bd3ae6f0558p-8, 0x1.e555d17ba1a0ep-8, 0x1.d74f97aab8125p-8, 0x1.c9a835924b1fcp-8, 0x1.bc5d609df0381p-8, 0x1.af6cdb3f6f5c4p-8, 0x1.a2d474a958c34p-8, 0x1.9692088bb3441p-8, 0x1.8aa37ed21aa26p-8, 0x1.7f06cb6302dfcp-8, 0x1.73b9eddf89b1cp-8, 0x1.68baf1640716ep-8, 0x1.5e07ec49947e7p-8, 0x1.539effe9316cbp-8, 0x1.497e586105659p-8, 0x1.3fa42c5badab5p-8, 0x1.360ebcd93ac4bp-8, 0x1.2cbc54f90f79ap-8, 0x1.23ab49c3d9fd5p-8, 0x1.1ad9f9f54c12ep-8, 0x1.1246cdc619006p-8, 0x1.09f036b7087a4p-8, 0x1.01d4af5e163adp-8, 0x1.f3e5766c7f1a1p-9, 0x1.e491cce3c39d9p-9, 0x1.d5ab8b9d17dc8p-9, 0x1.c72fecd1d5daap-9, 0x1.b91c3b1f3a666p-9, 0x1.ab6dd1296320fp-9, 0x1.9e22193d342d3p-9, 0x1.91368cf48245p-9, 0x1.84a8b4dfcfe2cp-9, 0x1.787628378a13dp-9, 0x1.6c9c8c93ea86ep-9, 0x1.611995a8458d8p-9, 0x1.55eb04fd97969p-9, 0x1.4b0ea9a841ccp-9, 0x1.40825ff80333p-9, 0x1.364411248b7a2p-9, 0x1.2c51b2fb234fdp-9, 0x1.22a9479287ae2p-9, 0x1.1948dd0888157p-9, 0x1.102e8d48cce6fp-9, 0x1.07587dd96bef2p-9, 0x1.fd89bf4edffbap-10, 0x1.ece3dd9b249bdp-10, 0x1.dcbbe4a54d94cp-10, 0x1.cd0e77c1d77d5p-10, 0x1.bdd84ef6105b9p-10, 0x1.af16366ae3804p-10, 0x1.a0c50df2b508cp-10, 0x1.92e1c8a6c191p-10, 0x1.85696c9627825p-10, 0x1.7859127b370b5p-10, 0x1.6bade56de4016p-10, 0x1.5f65228326fbap-10, 0x1.537c185932a16p-10, 0x1.47f0269919afdp-10, 0x1.3cbebd75aa0d4p-10, 0x1.31e55d35b192p-10, 0x1.276195d1afeb4p-10, 0x1.1d3106a661419p-10, 0x1.13515e35f6004p-10, 0x1.09c059ed6bd4fp-10, 0x1.007bc5e3b3f49p-10, 0x1.ef02f916f1ac6p-11, 0x1.dd9eccadad229p-11, 0x1.ccc6f2a4b1ff9p-11, 0x1.bc777180fdafap-11, 0x1.acac697ac0464p-11, 0x1.9d6213de9d22cp-11, 0x1.8e94c2859abfbp-11, 0x1.8040df5a0d098p-11, 0x1.7262ebe08b503p-11, 0x1.64f780bc46731p-11, 0x1.57fb4d2d25e6ep-11, 0x1.4b6b1686f362fp-11, 0x1.3f43b7ac1689cp-11, 0x1.338220875ef25p-11, 0x1.28235596ae7fcp-11, 0x1.1d246f7a26e56p-11, 0x1.12829a8261b7ep-11, 0x1.083b1631636e7p-11, 0x1.fc96695310e6ep-12, 0x1.e960b42a33762p-12, 0x1.d6cff836364fdp-12, 0x1.c4df42de4864p-12, 0x1.b389c3002cafdp-12, 0x1.a2cac878f9b09p-12, 0x1.929dc3be4acdep-12, 0x1.82fe4576fc383p-12, 0x1.73e7fdfe9143fp-12, 0x1.6556bcb3cfe9fp-12, 0x1.57466ef036cd1p-12, 0x1.49b31ea712f74p-12, 0x1.3c98f0e0dd074p-12, 0x1.2ff42473d68d6p-12, 0x1.23c1114b036f7p-12, 0x1.17fc2842da49p-12, 0x1.0ca1f3520f5d8p-12, 0x1.01af15a513b8ap-12, 0x1.ee4096f24009cp-13, 0x1.d9e4d37af7a06p-13, 0x1.c644bb1632477p-13, 0x1.b35a56bdbcb7ep-13, 0x1.a11fdbd498adfp-13, 0x1.8f8fa8f2b8783p-13, 0x1.7ea4429ea5bafp-13, 0x1.6e585130c2b11p-13, 0x1.5ea6a0aedb381p-13, 0x1.4f8a223d6af87p-13, 0x1.40fdedc0114f6p-13, 0x1.32fd424f1ac21p-13, 0x1.2583853c6101ap-13, 0x1.188c4070d3cb6p-13, 0x1.0c13210508432p-13, 0x1.0013f62934413p-13, 0x1.e9155f3527c23p-14, 0x1.d2e6b5ff5613fp-14, 0x1.bd94414d8ac55p-14, 0x1.a916828322b91p-14, 0x1.95662c20fe642p-14, 0x1.827c26aed3b0bp-14, 0x1.705196645e4c6p-14, 0x1.5edfdd297bfbcp-14, 0x1.4e209789b5a5cp-14, 0x1.3e0d97200a03ap-14, 0x1.2ea0de4862c59p-14, 0x1.1fd49ebddb6a7p-14, 0x1.11a3398729ae3p-14, 0x1.04073ce0da8afp-14, 0x1.edf6be7fdf6bep-15, 0x1.d4f4f2fb1560dp-15, 0x1.bcff079cd7b5dp-15, 0x1.a60b318629805p-15, 0x1.900ff7b3c4d9dp-15, 0x1.7b043da598f64p-15, 0x1.66df4334ca10ap-15, 0x1.53989a3417903p-15, 0x1.41281a724043bp-15, 0x1.2f85dc66b6a12p-15, 0x1.1eaa3b052d7abp-15, 0x1.0e8dd61ddd89cp-15, 0x1.fe531d53ae15fp-16, 0x1.e0ecf98673b6p-16, 0x1.c4dbca3ecb946p-16, 0x1.aa1269b132b72p-16, 0x1.90840ba63c797p-16, 0x1.7824503941a0ap-16, 0x1.60e752eed5141p-16, 0x1.4ac1aaaeed634p-16, 0x1.35a85aaaf28b1p-16, 0x1.2190c1c65f33ep-16, 0x1.0e70989b76e54p-16, 0x1.f87bfdefed78cp-17, 0x1.d5df0df536d62p-17, 0x1.b4f85816206e5p-17, 0x1.95b6708d622eep-17, 0x1.78085943b7498p-17, 0x1.5bdd78789326p-17, 0x1.4125ae947ab0fp-17, 0x1.27d16aebd909bp-17, 0x1.0fd1ac24f5a68p-17, 0x1.f22fe6296f558p-18, 0x1.c72c667c073c6p-18, 0x1.9e7d8ab3e19bfp-18, 0x1.7808caa64c119p-18, 0x1.53b49bbfb3b26p-18, 0x1.3168d8d55d42ep-18, 0x1.110eff5d81b1fp-18, 0x1.e523d85781454p-19, 0x1.abba7724d9231p-19, 0x1.75b9ac5f0a00ep-19, 0x1.42fa0b44ddf94p-19, 0x1.1355b5e6bbeap-19, 0x1.cd51928ecc268p-20, 0x1.79a1eaa05d51ap-20, 0x1.2b597bb1532e6p-20, 0x1.c46c4fd68edd8p-21, 0x1.3bed9bf923ad1p-21, 0x1.796ee4041e466p-22, 0x1.19393a8c025c1p-23, -0x1.3e1a150fce098p-24, -0x1.1bd360a21ebb9p-22, -0x1.d90edd040fe07p-22, -0x1.43f81166e79e3p-21, -0x1.949501f627dadp-21, -0x1.deb7458993ce7p-21, -0x1.115a9101fad5ep-20, -0x1.306f818b50b34p-20, -0x1.4cbfa68b783e9p-20, -0x1.666e8ee852a68p-20, -0x1.7d9f92f88c0ffp-20, -0x1.927642925fee2p-20, -0x1.a515d6b095046p-20, -0x1.b5a069e97140dp-20, -0x1.c436a7d8ea633p-20, -0x1.d0f7c36dbcc34p-20, -0x1.dc01099829e8ep-20, -0x1.e56d4aa83dc91p-20, -0x1.ed5528f98a5afp-20, -0x1.f3d046e12db61p-20, -0x1.f8f5e12fd091dp-20, -0x1.fcdc1c2f6a64fp-20, -0x1.ff97146169cf1p-20, -0x1.009c7b351225ep-19, -0x1.00e97635c7beap-19, -0x1.00baf77e084b9p-19, -0x1.0019911ae0fdp-19, -0x1.fe1bc1954737cp-20, -0x1.fb40918cdd9bcp-20, -0x1.f7b1355ec4f83p-20, -0x1.f37c0320424cp-20, -0x1.eeae72789264bp-20, -0x1.e9558224393fap-20, -0x1.e37da1f878e29p-20, -0x1.dd32932ea0f9dp-20, -0x1.d67f9f64ee77fp-20, -0x1.cf6f8c12bd792p-20, -0x1.c80c103657108p-20, -0x1.c05da785e7abbp-20, -0x1.b86c1405b7e25p-20, -0x1.b03ec3275af06p-20, -0x1.a7dcc58045579p-20, -0x1.9f4ce6b8f16d5p-20, -0x1.9695f3e63b40dp-20, -0x1.8dbeb4621d5bbp-20, -0x1.84cd82cf5c8d9p-20, -0x1.7bc7e9761c66p-20, -0x1.72b2a8390e72ap-20, -0x1.69922dd068a9dp-20, -0x1.606b0b754fb7fp-20, -0x1.5741e1bf092c5p-20, -0x1.4e1b0d9fcaef3p-20, -0x1.44fa88c00a0d6p-20, -0x1.3be3b74bf77cbp-20, -0x1.32d94a59724afp-20, -0x1.29ddbaded14adp-20, -0x1.20f3bc3c115bp-20, -0x1.181df96c4c027p-20, -0x1.0f5eb02a506e1p-20, -0x1.06b7b941faa4dp-20, -0x1.fc557965557dp-21, -0x1.eb72a312360f4p-21, -0x1.dac9fc4292f1dp-21, -0x1.ca5e2a1decea5p-21, -0x1.ba3127a762873p-21, -0x1.aa446e259d398p-21, -0x1.9a997c6328b8cp-21, -0x1.8b32200781d49p-21, -0x1.7c10218d479acp-21, -0x1.6d34e6ea638e4p-21, -0x1.5ea154d73eefcp-21, -0x1.5055a642882c3p-21, -0x1.4251c5a38bf1p-21, -0x1.3495e747add66p-21, -0x1.272265bee31d8p-21, -0x1.19f75c6c0c805p-21, -0x1.0d14ac6ab503ep-21, -0x1.007a1e8b7ce36p-21, -0x1.e84eab504c4cdp-22, -0x1.d037738d4b006p-22, -0x1.b8ad1eade3c7cp-22, -0x1.a1ae151a29d7p-22, -0x1.8b389262dec79p-22, -0x1.754a9d661e514p-22, -0x1.5fe221163e51dp-22, -0x1.4afd0e88573b4p-22, -0x1.36995767bca77p-22, -0x1.22b4cac851ddep-22, -0x1.0f4d11067ea5ap-22, -0x1.f8bf52102207ep-23, -0x1.d3d3dc101cdddp-23, -0x1.afd27e2a61336p-23, -0x1.8cb5f4bbd637dp-23, -0x1.6a78bde41493fp-23, -0x1.49155035b0955p-23, -0x1.288635a7b4ce3p-23, -0x1.08c5fbd3c422cp-23, -0x1.d39e4d7fa4bcdp-24, -0x1.973847f334cc2p-24, -0x1.5c4e8969f6e12p-24, -0x1.22d59892a58a6p-24, -0x1.d58423e60cbffp-25, -0x1.6811a4bcdd2a3p-25, -0x1.fa7b30050874ap-26, -0x1.29e3a2269a551p-26, -0x1.78bd5aa7fedd9p-28, 0x1.a333179a4c145p-28, 0x1.2b3917eb9c605p-26, 0x1.e93e96fc1c49bp-26, 0x1.5182d066b21ecp-25, 0x1.ac5c269046d35p-25, 0x1.029ff886c1061p-24, 0x1.2e20bd9b2081fp-24, 0x1.58ba0e2dedb9cp-24, 0x1.827568a4eb8c6p-24, 0x1.ab5bd77386791p-24, 0x1.d375fbae4eb65p-24, 0x1.facc353ab945bp-24, 0x1.10b36486b756p-23, 0x1.23a7020f916dap-23, 0x1.36450f89756e7p-23, 0x1.4891905fe0635p-23, 0x1.5a9055466743ap-23, 0x1.6c44ff27a428bp-23, 0x1.7db33a35ad416p-23, 0x1.8edecce65a1bp-23, 0x1.9fcafdfd715a9p-23, 0x1.b07a82aa59a6p-23, 0x1.c0f07460ab4e7p-23, 0x1.d12ff8ac7b826p-23, 0x1.e13c029a477e4p-23, 0x1.f1173838b3309p-23, 0x1.0062168a76852p-22, 0x1.0822c7536bb91p-22, 0x1.0fcee76fea95bp-22, 0x1.1767960300f85p-22, 0x1.1eede091e123ap-22, 0x1.2662c46ec4035p-22, 0x1.2dc73177f5e72p-22, 0x1.351c0fada1b9dp-22, 0x1.3c624357424e4p-22, 0x1.439aac2bd6107p-22, 0x1.4ac61eaceb53cp-22, 0x1.51e558fbc4354p-22, 0x1.58f8fe3a13b3cp-22, 0x1.6001a70037d57p-22, 0x1.66ffee9eb6778p-22, 0x1.6df45a68b4f19p-22, 0x1.74df5ed9e708bp-22, 0x1.7bc19a3b8a433p-22, 0x1.829b918126fc9p-22, 0x1.896d92172047p-22, 0x1.9037da8716877p-22, 0x1.96fac8076c037p-22, 0x1.9db6a6c823fdp-22, 0x1.a46bb1fa0f88p-22, 0x1.ab1a20b146796p-22, 0x1.b1c21f07fec91p-22, 0x1.b863ccbe73c8dp-22, 0x1.beff4059339f8p-22, 0x1.c59489ac4ad2bp-22, 0x1.cc23b4eb106dcp-22, 0x1.d2accb620cc3p-22, 0x1.d92fd1e7472d3p-22, 0x1.dfacc5e31e3bbp-22, 0x1.e6239a2b88275p-22, 0x1.ec94365954569p-22, 0x1.f2fe7d4b39b6bp-22, 0x1.f962527371ff7p-22, 0x1.ffbf93006e2fbp-22, 0x1.030b083f3de6ep-21, 0x1.0632d4be24123p-21, 0x1.09571a11e8845p-21, 0x1.0c77b601f336bp-21, 0x1.0f948bbc9696fp-21, 0x1.12ad815d20387p-21, 0x1.15c2781e7e4c1p-21, 0x1.18d34d8f80079p-21, 0x1.1bdfded7c3bcdp-21, 0x1.1ee80797a1ebdp-21, 0x1.21eba04d63d46p-21, 0x1.24ea82214e1f1p-21, 0x1.27e484fcc8895p-21, 0x1.2ad97ee2a5f2ap-21, 0x1.2dc945c27491ap-21, 0x1.30b3af5dcea9cp-21, 0x1.3398910ba98bp-21, 0x1.3677bf586c086p-21, 0x1.39510d84ea7e3p-21, 0x1.3c244d1924f28p-21, 0x1.3ef14f09a6ec9p-21, 0x1.41b7e5a8766e2p-21, 0x1.4477e4571a447p-21, 0x1.47311b816b919p-21, 0x1.49e35eecc32ep-21, 0x1.4c8e8136691ep-21, 0x1.4f324fd4334c6p-21, 0x1.51ce9e976532fp-21, 0x1.54633f9ca3b55p-21, 0x1.56f004a22eb63p-21, 0x1.5974c01087999p-21, 0x1.5bf14477688eap-21, 0x1.5e6564bbd0f3fp-21, 0x1.60d0f3cd9aedap-21, 0x1.6333c685a09c2p-21, 0x1.658db24d2c64bp-21, 0x1.67de8bbb398bap-21, 0x1.6a2626d5e127fp-21, 0x1.6c645ac8cf12fp-21, 0x1.6e98ff4a07f9bp-21, 0x1.70c3ec3a55237p-21, 0x1.72e4fa38d812p-21, 0x1.74fc026909563p-21, 0x1.7708de0339ea9p-21, 0x1.790b66e78a7cdp-21, 0x1.7b03795553e7ap-21, 0x1.7cf0f3df35a69p-21, 0x1.7ed3b3cae01ap-21, 0x1.80ab92db504dbp-21, }}, 
      {{0x1.3f4598addbb6bp-10, 0x1.3b4a47eb5b86cp-8, 0x1.597ddc671dd76p-7, 0x1.27740d1809188p-6, 0x1.b7b90ab80ef1ap-6, 0x1.2b3c0802a0f54p-5, 0x1.7ea43de2ddceep-5, 0x1.d34b2c06f0bf6p-5, 0x1.136622580f71ap-4, 0x1.3b8e544c0ab9cp-4, 0x1.614065493f823p-4, 0x1.83c2c595a29aep-4, 0x1.a27e083cd84e1p-4, 0x1.bcfb66e4301cfp-4, 0x1.d2e331ee3bbb3p-4, 0x1.e3fac99fb517bp-4, 0x1.f022033e5016ep-4, 0x1.f7500f6f27f12p-4, 0x1.f990125cc2256p-4, 0x1.f6fda4e0e160dp-4, 0x1.efc1719009bf5p-4, 0x1.e40e150c6a739p-4, 0x1.d41d5bdf2abf9p-4, 0x1.c02deb4b1cfdap-4, 0x1.a881578d11b9cp-4, 0x1.8d5aa162ed1a2p-4, 0x1.6efd0f068cf88p-4, 0x1.4dab5229e2163p-4, 0x1.29a6ec4c7dcb5p-4, 0x1.032fc3e636b72p-4, 0x1.b507bd024fc77p-5, 0x1.5fbe6b279ef76p-5, 0x1.06f73b4e9233ep-5, 0x1.5642e43b494aap-6, 0x1.329f890b9d82cp-7, -0x1.40f1b319110b1p-9, -0x1.da86b4011ee4p-7, -0x1.b56501d77885bp-6, -0x1.3fe8d489b0979p-5, -0x1.a5f07fbd5260ap-5, -0x1.063cffdc8a982p-4, -0x1.399d40902d8d4p-4, -0x1.6cf5f2e54b49ep-4, -0x1.a0266509c152ep-4, -0x1.d3104266af9cfp-4, -0x1.02cbc6dfb8f3ep-3, -0x1.1bd14d64db7d9p-3, -0x1.348d03c5ba468p-3, -0x1.4cf453597e574p-3, -0x1.64fdbb16bf3fep-3, -0x1.7ca0c3ed049ffp-3, -0x1.93d5f416c9167p-3, -0x1.aa96c62f8fba3p-3, -0x1.c0dd97bd5e98ap-3, -0x1.d6a59ef79f41fp-3, -0x1.ebeada2811945p-3, -0x1.0055016f80075p-2, -0x1.0a703fa3065c2p-2, -0x1.14462a4d8cf0dp-2, -0x1.1dd60cebebd49p-2, -0x1.271f75741f4d5p-2, -0x1.30222e3ee7af2p-2, -0x1.38de383fa8fb1p-2, -0x1.4153c590c2cf8p-2, -0x1.49833451db77p-2, -0x1.516d09d600b07p-2, -0x1.5911ee1de19c8p-2, -0x1.6072a79b5d4a8p-2, -0x1.6790173daf5f8p-2, -0x1.6e6b34c6642f1p-2, -0x1.75050b681832bp-2, -0x1.7b5eb6adf7e97p-2, -0x1.81795faa18619p-2, -0x1.87563a669caeep-2, -0x1.8cf683962a2e3p-2, -0x1.925b7e7ff52bp-2, -0x1.978673251dd7dp-2, -0x1.9c78ac9c8c515p-2, -0x1.a13377a2addadp-2, -0x1.a5b82158a743ap-2, -0x1.aa07f62e429p-2, -0x1.ae2440efc1788p-2, -0x1.b20e49f35d07ap-2, -0x1.b5c75662a9013p-2, -0x1.b950a79c7fb32p-2, -0x1.bcab7aad0619cp-2, -0x1.bfd907dafe79ap-2, -0x1.c2da824a08abep-2, -0x1.c5b117ae9f67p-2, -0x1.c85df0129b91ep-2, -0x1.cae22da62bbb3p-2, -0x1.cd3eec9bcd65ep-2, -0x1.cf75430c1bd6ep-2, -0x1.d18640dfc9595p-2, -0x1.d372efbeecc8p-2, -0x1.d53c530482daap-2, -0x1.d6e367b7f0202p-2, -0x1.d869248856ecep-2, -0x1.d9ce79d05af76p-2, -0x1.db14519abd572p-2, -0x1.dc3b8fadce0ecp-2, -0x1.dd45119845c8dp-2, -0x1.de31aec0d2f4ap-2, -0x1.df0238796a0fp-2, -0x1.dfb77a11182a8p-2, -0x1.e05238e7c3cf9p-2, -0x1.e0d33483f1bfep-2, -0x1.e13b26a5caeb9p-2, -0x1.e18ac35e294d2p-2, -0x1.e1c2b925e1061p-2, -0x1.e1e3b0f170f8bp-2, -0x1.e1ee4e4e96e64p-2, -0x1.e1e32f7d3747ep-2, -0x1.e1c2ed85b87cp-2, -0x1.e18e1c5c5ed5dp-2, -0x1.e1454afb4d0e8p-2, -0x1.e0e903813875cp-2, -0x1.e079cb522f89bp-2, -0x1.dff82335ec132p-2, -0x1.df648778edbedp-2, -0x1.debf700e8152bp-2, -0x1.de0950b0610bap-2, -0x1.dd429900652e9p-2, -0x1.dc6bb4ac154fap-2, -0x1.db850b8c32b16p-2, -0x1.da8f01c783a21p-2, -0x1.d989f7f7135c8p-2, -0x1.d8764b457ca1ep-2, -0x1.d75455925ca7fp-2, -0x1.d6246d970a298p-2, -0x1.d4e6e705c44b6p-2, -0x1.d39c12abfcac1p-2, -0x1.d2443e9764a82p-2, -0x1.d0dfb635b4dbap-2, -0x1.cf6ec2738563p-2, -0x1.cdf1a9dfee865p-2, -0x1.cc68b0ce59d67p-2, -0x1.cad41971f2bcap-2, -0x1.c93423fbb5bd6p-2, -0x1.c7890ebd97505p-2, -0x1.c5d31646bf2f9p-2, -0x1.c412757a1a7efp-2, -0x1.c24765ac6e233p-2, -0x1.c0721ec445684p-2, -0x1.be92d74f6b9p-2, -0x1.bca9c4966e3e1p-2, -0x1.bab71ab8b8ac8p-2, -0x1.b8bb0cc7c86a7p-2, -0x1.b6b5ccd82b075p-2, -0x1.b4a78c1126e4ap-2, -0x1.b2907ac479c01p-2, -0x1.b070c8866f34p-2, -0x1.ae48a43bea5c1p-2, -0x1.ac183c24a3f2dp-2, -0x1.a9dfbded9b2eap-2, -0x1.a79f56c71c0d8p-2, -0x1.a557337118a5ap-2, -0x1.a30780406297ep-2, -0x1.a0b0692a9f38dp-2, -0x1.9e5219d943681p-2, -0x1.9becbdb61e235p-2, -0x1.99807fee2ce1ep-2, -0x1.970d8b7639565p-2, -0x1.94940b17dd63cp-2, -0x1.9214297eb8562p-2, -0x1.8f8e113ceb369p-2, -0x1.8d01ecca7c393p-2, -0x1.8a6fe6896fac5p-2, -0x1.87d828d03d805p-2, -0x1.853addf2094e6p-2, -0x1.8298303eac05p-2, -0x1.7ff049ff758e9p-2, -0x1.7d4355796f996p-2, -0x1.7a917cf543602p-2, -0x1.77daeac41b26p-2, -0x1.751fc93cbaf18p-2, -0x1.726042b6303bap-2, -0x1.6f9c8187ed349p-2, -0x1.6cd4b00ee6809p-2, -0x1.6a08f8b03965bp-2, -0x1.673985d54f8e3p-2, -0x1.646681e55deeep-2, -0x1.6190174290dbbp-2, -0x1.5eb6704bde397p-2, -0x1.5bd9b75e9ef2ep-2, -0x1.58fa16d390647p-2, -0x1.5617b8f817e2dp-2, -0x1.5332c80851e2dp-2, -0x1.504b6e2d33e7fp-2, -0x1.4d61d57d33a4ep-2, -0x1.4a7627fafaedap-2, -0x1.47888f8fef616p-2, -0x1.4499360489536p-2, -0x1.41a844facb9f9p-2, -0x1.3eb5e5ecb3715p-2, -0x1.3bc2422bec9ep-2, -0x1.38cd82ded462cp-2, -0x1.35d7d0f9c464cp-2, -0x1.32e1553774996p-2, -0x1.2fea381420d36p-2, -0x1.2cf2a1cbf6c7dp-2, -0x1.29faba59e463dp-2, -0x1.2702a973d11cp-2, -0x1.240a96841fe6ap-2, -0x1.2112a8a2ed0acp-2, -0x1.1e1b069190096p-2, -0x1.1b23d6b87f185p-2, -0x1.182d3f257f23cp-2, -0x1.153765884397p-2, -0x1.12426f2d4e6c8p-2, -0x1.0f4e80f844d2bp-2, -0x1.0c5bbf5f0f728p-2, -0x1.096a4e6752299p-2, -0x1.067a51a4e1185p-2, -0x1.038bec366cbb4p-2, -0x1.009f40c2365f8p-2, -0x1.fb68e2e566dfcp-3, -0x1.f5973fe366e6p-3, -0x1.efc9dac97c97fp-3, -0x1.ea00f4d62ebf8p-3, -0x1.e43cce3819a14p-3, -0x1.de7da609f7eabp-3, -0x1.d8c3ba4d976e1p-3, -0x1.d30f47e5b545bp-3, -0x1.cd608a8fb6c82p-3, -0x1.c7b7bcdeaa949p-3, -0x1.c2151837fa639p-3, -0x1.bc78d4d143837p-3, -0x1.b6e329ae400a7p-3, -0x1.b1544c9ddc0d4p-3, -0x1.abcc72364596dp-3, -0x1.a64bcdd0a043bp-3, -0x1.a0d29185b8d5ep-3, -0x1.9b60ee2c33031p-3, -0x1.95f71357cfdbap-3, -0x1.90952f58f62a7p-3, -0x1.8b3b6f3bcf84p-3, -0x1.85e9fec6a2f1cp-3, -0x1.80a10877cd185p-3, -0x1.7b60b58425707p-3, -0x1.76292dd6750f3p-3, -0x1.70fa980fdcaebp-3, -0x1.6bd51988a3636p-3, -0x1.66b8d6511282ep-3, -0x1.61a5f1320cef6p-3, -0x1.5c9c8bad58fa5p-3, -0x1.579cc5fdddf72p-3, -0x1.52a6bf18347cep-3, -0x1.4dba94abee7e4p-3, -0x1.48d863255620ep-3, -0x1.440045af880ffp-3, -0x1.3f325636c6194p-3, -0x1.3a6ead6ad4597p-3, -0x1.35b562c12525bp-3, -0x1.31068c76c21bcp-3, -0x1.2c623f9236f43p-3, -0x1.27c88fe5d60d8p-3, -0x1.233990128e195p-3, -0x1.1eb5518b61a35p-3, -0x1.1a3be4995e229p-3, -0x1.15cd585fa827bp-3, -0x1.1169badf19979p-3, -0x1.0d1118f90a26cp-3, -0x1.08c37e7195a7p-3, -0x1.0480f5f218dd6p-3, -0x1.0049890cb2b5bp-3, -0x1.f83a808266c2bp-4, -0x1.eff846062f7aap-4, -0x1.e7cc6f7f5a5dfp-4, -0x1.dfb707c657b89p-4, -0x1.d7b817b7a1eabp-4, -0x1.cfcfa636977c4p-4, -0x1.c7fdb82f642cdp-4, -0x1.c042509c01a9cp-4, -0x1.b89d708f16a3cp-4, -0x1.b10f1744f013cp-4, -0x1.a997423758185p-4, -0x1.a235ed2f2f517p-4, -0x1.9aeb124eb1263p-4, -0x1.93b6aa1281a26p-4, -0x1.8c98ab4be1623p-4, -0x1.85910b1adfe9ep-4, -0x1.7e9fbcf06811bp-4, -0x1.77c4b29d8c654p-4, -0x1.70ffdc6f83e8bp-4, -0x1.6a51295156717p-4, -0x1.63b886e873e0ep-4, -0x1.5d35e1a207cb5p-4, -0x1.56c924acc9d22p-4, -0x1.507239e383e7ap-4, -0x1.4a3109b481748p-4, -0x1.44057b155acb4p-4, -0x1.3def738f1b47cp-4, -0x1.37eed76524331p-4, -0x1.320389cd5fa75p-4, -0x1.2c2d6d273b5d6p-4, -0x1.266c631d1c8d8p-4, -0x1.20c04ca2d827fp-4, -0x1.1b2909d118e1cp-4, -0x1.15a679acccca9p-4, -0x1.103879f3f5951p-4, -0x1.0adee70a06811p-4, -0x1.05999c13965bdp-4, -0x1.0068733f21c16p-4, -0x1.f6968c4b4f3a9p-5, -0x1.ec83dc43f7d15p-5, -0x1.e29888fc87dd6p-5, -0x1.d8d444c8b7fd1p-5, -0x1.cf36c12848a73p-5, -0x1.c5bfadf3aceb9p-5, -0x1.bc6eb89b01ff5p-5, -0x1.b3438bca5dfc2p-5, -0x1.aa3dcfa66eff8p-5, -0x1.a15d2a9dac3ebp-5, -0x1.98a14291533b6p-5, -0x1.9009bdf3e5966p-5, -0x1.87964478581e4p-5, -0x1.7f467f0eab4aep-5, -0x1.771a17264bb69p-5, -0x1.6f10b570b47a5p-5, -0x1.672a00916aaa6p-5, -0x1.5f659c37f6a95p-5, -0x1.57c329034015bp-5, -0x1.5042454a9652bp-5, -0x1.48e28e96e5cc6p-5, -0x1.41a3a35544dcap-5, -0x1.3a852434635abp-5, -0x1.3386b4b78e463p-5, -0x1.2ca7fac94ac6fp-5, -0x1.25e89d686e163p-5, -0x1.1f4842d5b5381p-5, -0x1.18c68ed870dcdp-5, -0x1.126321b4c7572p-5, -0x1.0c1d983c5b326p-5, -0x1.05f58d0522fcdp-5, -0x1.ffd534d3789bfp-6, -0x1.f3f8b95ba619ep-6, -0x1.e854e72e08006p-6, -0x1.dce905fbc768ep-6, -0x1.d1b46461a3fb3p-6, -0x1.c6b654b03cbap-6, -0x1.bbee289ce0349p-6, -0x1.b15b2d1510c5ap-6, -0x1.a6fca7836bc01p-6, -0x1.9cd1d58afbcdp-6, -0x1.92d9ef8370324p-6, -0x1.89142d00baa03p-6, -0x1.7f7fc9dcaa61ap-6, -0x1.761c0a094bd45p-6, -0x1.6ce83b0779c94p-6, -0x1.63e3b2d5c1f2ep-6, -0x1.5b0dccf39cc1p-6, -0x1.5265e65f168f5p-6, -0x1.49eb596a4782fp-6, -0x1.419d7a494817cp-6, -0x1.397b955c5af9cp-6, -0x1.3184f022a0662p-6, -0x1.29b8cd040fe01p-6, -0x1.221670d7883b4p-6, -0x1.1a9d27fada8fbp-6, -0x1.134c48e70b3edp-6, -0x1.0c2333855c1c2p-6, -0x1.05214e3d10558p-6, -0x1.fc8c04f130087p-7, -0x1.ef21738f4470cp-7, -0x1.e201b734c1daep-7, -0x1.d52b964030ae5p-7, -0x1.c89dcb21806e3p-7, -0x1.bc57046e76efep-7, -0x1.b055eb0676768p-7, -0x1.a4992d7555b7p-7, -0x1.991f8b6bfa3fbp-7, -0x1.8de7dac69bf86p-7, -0x1.82f1033a61888p-7, -0x1.7839f4176d093p-7, -0x1.6dc19b65631cdp-7, -0x1.6386e3867a374p-7, -0x1.5988b6499d00fp-7, -0x1.4fc5ff9a80316p-7, -0x1.463dab3c32cb2p-7, -0x1.3cee9f0e2240bp-7, -0x1.33d7b86d086d2p-7, -0x1.2af7d218c54bfp-7, -0x1.224dd109ea46ep-7, -0x1.19d8afac2d8ap-7, -0x1.11977e4d720f7p-7, -0x1.098956c754032p-7, -0x1.01ad4b83b480fp-7, -0x1.f404bd27bed3cp-8, -0x1.e50f0f7ca217ep-8, -0x1.d6778884cf6a9p-8, -0x1.c83c46223b476p-8, -0x1.ba5b874c991bap-8, -0x1.acd39368cc294p-8, -0x1.9fa2a361df34ap-8, -0x1.92c6e24f7d3c4p-8, -0x1.863e861c6b796p-8, -0x1.7a07eb903f5a8p-8, -0x1.6e219c5192e92p-8, -0x1.628a3378e0d8p-8, -0x1.57402e3f07e8ep-8, -0x1.4c41ca0ea911dp-8, -0x1.418d0d215fd6p-8, -0x1.371ff87a0ec5dp-8, -0x1.2cf8c13665d3ep-8, -0x1.2315e900a0828p-8, -0x1.19762803e86f4p-8, -0x1.10183fd91ed1ap-8, -0x1.06fade1593bd1p-8, -0x1.fc39444ff71f3p-9, -0x1.eaf87566c54bcp-9, -0x1.da30fe66e2d27p-9, -0x1.c9e0dea0999edp-9, -0x1.ba06203b947efp-9, -0x1.aa9e6b07ec337p-9, -0x1.9ba6b5dc12b43p-9, -0x1.8d1b5992ef8cdp-9, -0x1.7ef888996d58bp-9, -0x1.713ae22b56eaap-9, -0x1.63dfc4c1e8344p-9, -0x1.56e535835b0fdp-9, -0x1.4a49800bfb845p-9, -0x1.3e0adf2f42d6dp-9, -0x1.3227660787da3p-9, -0x1.269d21568666p-9, -0x1.1b6a48e49973ep-9, -0x1.108d5c2ed2bd5p-9, -0x1.06050eda3a9f3p-9, -0x1.f7a001630c557p-10, -0x1.e3d8c6b075cc7p-10, -0x1.d0af8a0b81356p-10, -0x1.be1e52b98cdc7p-10, -0x1.ac1ed3c3e4f8p-10, -0x1.9aab4e2125f7p-10, -0x1.89bf24df27a9bp-10, -0x1.7956f59a220a7p-10, -0x1.69703d058d472p-10, -0x1.5a08c585137a8p-10, -0x1.4b1e354906c23p-10, -0x1.3cadef4079b31p-10, -0x1.2eb5495ea7863p-10, -0x1.2131d3e1b3689p-10, -0x1.14215ca23ec8cp-10, -0x1.0781bf2a49f5dp-10, -0x1.f6a17328be9a1p-11, -0x1.df176c36384e4p-11, -0x1.c85f0b11da61cp-11, -0x1.b27099d089cdep-11, -0x1.9d4376ccf513p-11, -0x1.88cec690bdd2ep-11, -0x1.750a89f4d9fdap-11, -0x1.61f0d88849b7bp-11, -0x1.4f7e08a58e609p-11, -0x1.3daf7108ca135p-11, -0x1.2c821519d2db7p-11, -0x1.1bf285669176ap-11, -0x1.0bfd70e9e8271p-11, -0x1.f93ed489884a1p-12, -0x1.dba87c7f48e68p-12, -0x1.bf2ec1b2814bap-12, -0x1.a3ca2dcdf0f8p-12, -0x1.89757e8c80789p-12, -0x1.702bb9b26dfacp-12, -0x1.57e604fc7e228p-12, -0x1.409ae616cc5e9p-12, -0x1.2a3e519e41eddp-12, -0x1.14c32c90bb962p-12, -0x1.001f2f458d935p-12, -0x1.d899732c79b42p-13, -0x1.b28ea0e3eec03p-13, -0x1.8e1078241479ep-13, -0x1.6b114b1e45dcfp-13, -0x1.4989fd16b04cdp-13, -0x1.29764f44c92cbp-13, -0x1.0acca6ee2cfd5p-13, -0x1.dafb25624c958p-14, -0x1.a2f364e708989p-14, -0x1.6d6d55b2e9927p-14, -0x1.3a5effd20001p-14, -0x1.09c14c8d275dep-14, -0x1.b70e4503cb8c5p-15, -0x1.5f3484456de38p-15, -0x1.0bb4847d358cfp-15, -0x1.788576add6f08p-16, -0x1.c2c2d5fe245c8p-17, -0x1.47d0a04f0bb76p-18, 0x1.aeeaf303ea119p-19, 0x1.6cf55daee3ee3p-17, 0x1.304c5034367f5p-16, 0x1.a386c9555f8c3p-16, 0x1.082a4cce896b1p-15, 0x1.3b78413d541dap-15, 0x1.6bcbd9f25897cp-15, 0x1.99421dd643286p-15, 0x1.c3f6b0eec0828p-15, 0x1.ec00241babe0ap-15, 0x1.08b6b552a769dp-14, 0x1.1a253bea385dep-14, 0x1.2a5387c7e305ap-14, 0x1.394d7e35519d8p-14, 0x1.4728153ec24ffp-14, 0x1.53fd09164ecdfp-14, 0x1.5fd574b8dd63bp-14, 0x1.6aaef0f07edd9p-14, 0x1.7494ba32f686p-14, 0x1.7d965b64d730bp-14, 0x1.85b69dcf433d4p-14, 0x1.8cf8ab2865b78p-14, 0x1.9369a8f4982d7p-14, 0x1.99199d165a814p-14, 0x1.9e15f1dfb1ad8p-14, 0x1.a26828225d0dcp-14, 0x1.a615d6293731fp-14, 0x1.a9223e29597e8p-14, 0x1.ab910431420c9p-14, 0x1.ad686d38014b5p-14, 0x1.aeb0a2d6fa82cp-14, 0x1.af6ed6fb3f957p-14, 0x1.afa5bc9d25bdep-14, 0x1.af602a562296cp-14, 0x1.aeaaa836a60d6p-14, 0x1.ad86bf4a4d06bp-14, 0x1.abfbe93203983p-14, 0x1.aa152c1aea81ap-14, 0x1.a7d1a2f22324ap-14, 0x1.a5321c1db229bp-14, 0x1.a23e0f9808154p-14, 0x1.9efb981d2bf9fp-14, 0x1.9b6e1180f3929p-14, 0x1.97985a8521fa9p-14, 0x1.937ea68cc2af1p-14, 0x1.8f2747d0fad2bp-14, 0x1.8a999622351bap-14, 0x1.85dab8d1cd7cfp-14, 0x1.80ebf248fc6d5p-14, 0x1.7bce2911e38c1p-14, 0x1.76852dfceb73p-14, 0x1.7113a0498a10fp-14, 0x1.6b7aea43165dep-14, 0x1.65c09d23df9eap-14, 0x1.5fe63409b40acp-14, 0x1.59f0e1bd45e5cp-14, 0x1.53e69292e54a2p-14, 0x1.4dc4bbf84e4b2p-14, 0x1.478e04a0e5b6cp-14, 0x1.414784579b5a7p-14, 0x1.3af3d0dffea3cp-14, 0x1.3494521decaf8p-14, 0x1.2e2a67de83191p-14, 0x1.27b79c5db175ep-14, 0x1.213d893e52a35p-14, 0x1.1abda2846197bp-14, 0x1.14390b7c4877fp-14, 0x1.0db0b5f48d235p-14, 0x1.0726532510c5cp-14, 0x1.009ddbb2cf3f1p-14, 0x1.f437b51424a2ep-15, 0x1.e73e633df7513p-15, 0x1.da4783815896dp-15, 0x1.cd5e286ed1adep-15, 0x1.c08a8bafacbeep-15, 0x1.b3cc7c2fb1eb5p-15, 0x1.a71e6e1ff65a5p-15, 0x1.9a7f389dbb746p-15, 0x1.8df89789d1d55p-15, 0x1.818f2f74d16c7p-15, 0x1.7543a3944829fp-15, 0x1.69163991c1fccp-15, 0x1.5d079152d13dfp-15, 0x1.51188826151eep-15, 0x1.454a27f1a3979p-15, 0x1.399dafedfd25bp-15, 0x1.2e14955bdec31p-15, 0x1.22b059442ff71p-15, 0x1.17721bf3f19ddp-15, 0x1.0c5a458d2006p-15, 0x1.01692ae9ccbacp-15, 0x1.ed3efeca5ea53p-16, 0x1.d7f667dcebb0fp-16, 0x1.c2eff2d5a843p-16, 0x1.ae3d14624f341p-16, 0x1.99ecd8df90fe5p-16, 0x1.85f7f55ba0167p-16, 0x1.725118ee2a928p-16, 0x1.5f013b7e700bp-16, 0x1.4c0819fb0a42ep-16, 0x1.39627db3ff2b5p-16, 0x1.27141b4111891p-16, 0x1.151f87251d6d5p-16, 0x1.0384a17a5999ep-16, 0x1.e4850524601bcp-17, 0x1.c2b0d103383a8p-17, 0x1.a18bd35b51ccdp-17, 0x1.8115ea9b133e1p-17, 0x1.614f701e55c7dp-17, 0x1.4238c73866e5ap-17, 0x1.23d19ef6661f3p-17, 0x1.06186c0171f4cp-17, 0x1.d217dbb78c7c8p-18, 0x1.995a36f09991dp-18, 0x1.61f4b4436e7edp-18, 0x1.2bcda7e72abcdp-18, 0x1.edf48d8e70051p-19, 0x1.8726c5137164p-19, 0x1.22d67e7c8b59ap-19, 0x1.81c2280a9eb5ep-20, 0x1.85af681c35a87p-21, 0x1.24ad4c32ca129p-25, -0x1.56c639aa8f98fp-21, -0x1.5acf2d19cc001p-20, -0x1.02a3bdfa52c3ap-19, -0x1.55927648acf2cp-19, -0x1.a628ef62ba263p-19, -0x1.f45a768a12eb1p-19, -0x1.201792e7c8549p-18, -0x1.44d9ab553249ap-18, -0x1.6878778a15aeep-18, -0x1.8af7e3202a2fap-18, -0x1.ac5b7edd5aa9p-18, -0x1.cca755247bd9cp-18, -0x1.ebe0b6eda89bp-18, -0x1.05068112d648p-17, -0x1.13974055d1465p-17, -0x1.21a3331ef619bp-17, -0x1.2f32ced312a5fp-17, -0x1.3c4251c11f303p-17, -0x1.48cf676955a06p-17, -0x1.54e7c69c7f75bp-17, -0x1.60868f8098fdbp-17, -0x1.6bad01754dbdep-17, -0x1.765e4f450e89dp-17, -0x1.809cbd0cca653p-17, -0x1.8a6aae0e955a4p-17, -0x1.93ccb4584e54dp-17, -0x1.9cc7d0cbfbb44p-17, -0x1.a559017b92c59p-17, -0x1.ad7daf5a60d1fp-17, -0x1.b53a2b3f1c0c2p-17, -0x1.bc97297e0c426p-17, -0x1.c39491a23d029p-17, -0x1.ca314e8c59bd9p-17, -0x1.d06fa2e1c0758p-17, -0x1.d6522ec63d7acp-17, -0x1.dbdb454a3d89fp-17, -0x1.e10d42f91aeb7p-17, -0x1.e5ea70b4b1a81p-17, -0x1.ea745c88743cdp-17, -0x1.eeabe4b3d9ef9p-17, -0x1.f294f19a39308p-17, -0x1.f63043fff8b53p-17, }}, 
      {{0x1.217d2e2715096p-2, 0x1.1825c54d4216bp-1, 0x1.909c4f1cfcba6p-1, 0x1.f768b9c8928d3p-1, 0x1.25dc2c4ce3534p+0, 0x1.46f986713b90ep+0, 0x1.5fa267fd80fbfp+0, 0x1.70a565712dda3p+0, 0x1.7aeca8d265b25p+0, 0x1.7f6a2b79b3605p+0, 0x1.7f0aa6671a273p+0, 0x1.7aad52212be03p+0, 0x1.731f11c9c0921p+0, 0x1.6918041ed0e8bp+0, 0x1.5d3abb032d6bcp+0, 0x1.50148dd69b1e3p+0, 0x1.421ea0aed4ad7p+0, 0x1.33bf5745feb47p+0, 0x1.254c0073087ebp+0, 0x1.170a960cab2f2p+0, 0x1.0933797ecedaep+0, 0x1.f7e63bbd4fd0cp-1, 0x1.ded72d5b367dap-1, 0x1.c76c0d7d8badep-1, 0x1.b1c7dad120528p-1, 0x1.9e00a39670b4ap-1, 0x1.8c219a0ad68ddp-1, 0x1.7c2cea0fd2921p-1, 0x1.6e1d54c7b78a2p-1, 0x1.61e797973f157p-1, 0x1.577ba407b0f8cp-1, 0x1.4ec5ada4ebdcdp-1, 0x1.47af1270e59aep-1, 0x1.421f220c7b1d7p-1, 0x1.3dfbc74ec7e78p-1, 0x1.3b2a17ab8c69dp-1, 0x1.398ecb7c7739fp-1, 0x1.390ea1f66ded4p-1, 0x1.398eb3533e322p-1, 0x1.3af4b36fb6aa8p-1, 0x1.3d2726ef97e23p-1, 0x1.400d8cbb9cff7p-1, 0x1.43907d721145ep-1, 0x1.4799c229ab687p-1, 0x1.4c14640efcef8p-1, 0x1.50ecb5aca1b5fp-1, 0x1.561056ddbe69p-1, 0x1.5b6e34efeee4ep-1, 0x1.60f68662de90cp-1, 0x1.669ac47db4815p-1, 0x1.6c4da261e5f9bp-1, 0x1.720301aa409bp-1, 0x1.77afe6f99261ep-1, 0x1.7d4a6be08dbfbp-1, 0x1.82c9b19c3d7f7p-1, 0x1.8825d2501790ep-1, 0x1.8d57d2c7b2304p-1, 0x1.925993f4604b2p-1, 0x1.9725c4b330d8ep-1, 0x1.9bb7d3e222bbap-1, 0x1.a00be2d4987fbp-1, 0x1.a41eb8466acedp-1, 0x1.a7edb3cf3030ep-1, 0x1.ab76c1dc69996p-1, 0x1.aeb85030ebc98p-1, 0x1.b1b142ea6c6ccp-1, 0x1.b460ea0e2d672p-1, 0x1.b6c6f79fb433dp-1, 0x1.b8e3763edd08bp-1, 0x1.bab6c04b537c6p-1, 0x1.bc417787c8a16p-1, 0x1.bd847d3bab76ap-1, 0x1.be80ead2fd6c7p-1, 0x1.bf380afe11e34p-1, 0x1.bfab53512f678p-1, 0x1.bfdc5e60ca6b6p-1, 0x1.bfcce6537f552p-1, 0x1.bf7ebfe1a02ccp-1, 0x1.bef3d5b92ed8ap-1, 0x1.be2e2441bc5eap-1, 0x1.bd2fb5ba01d2dp-1, 0x1.bbfa9eb06da11p-1, 0x1.ba90fad0097dcp-1, 0x1.b8f4ea02543c2p-1, 0x1.b7288ddc47849p-1, 0x1.b52e0753726c9p-1, 0x1.b30774b1a5f72p-1, 0x1.b0b6efc1062afp-1, 0x1.ae3e8c2d3d37dp-1, 0x1.aba0561397ea9p-1, 0x1.a8de50c2e3608p-1, 0x1.a5fa75a6ef4eep-1, 0x1.a2f6b35dee1c5p-1, 0x1.9fd4ecf68b07p-1, 0x1.9c96f950a16f6p-1, 0x1.993ea29e768f6p-1, 0x1.95cda602ce5fp-1, 0x1.9245b344c5e66p-1, 0x1.8ea86c9bf5fa1p-1, 0x1.8af7668ba5bc6p-1, 0x1.873427d0d0801p-1, 0x1.8360295f03cbfp-1, 0x1.7f7cd66a302e3p-1, 0x1.7b8b8c7eeb0e8p-1, 0x1.778d9ba5aadabp-1, 0x1.7384469090b2fp-1, 0x1.6f70c2d33a8bfp-1, 0x1.6b543920defffp-1, 0x1.672fc591a4b48p-1, 0x1.630477ed4571cp-1, 0x1.5ed353f740924p-1, 0x1.5a9d51c176238p-1, 0x1.56635dfca8958p-1, 0x1.52265a4d43fd3p-1, 0x1.4de71da0fa6dp-1, 0x1.49a67482233c9p-1, 0x1.4565216eb30b2p-1, 0x1.4123dd2dff756p-1, 0x1.3ce3572537d63p-1, 0x1.38a435ac8fb68p-1, 0x1.34671663dcb85p-1, 0x1.302c8e84fa14ap-1, 0x1.2bf52b355f96ep-1, 0x1.27c171d793df7p-1, 0x1.2391e05897866p-1, 0x1.1f66ed7cd6332p-1, 0x1.1b41092c341ap-1, 0x1.17209cb935d11p-1, 0x1.13060b2822dcap-1, 0x1.0ef1b174a8119p-1, 0x1.0ae3e6d28d0b5p-1, 0x1.06dcfcedec827p-1, 0x1.02dd402a65da6p-1, 0x1.fdc9efbc17809p-2, 0x1.f5e8cd1437c11p-2, 0x1.ee179426eccdap-2, 0x1.e656b7f1a87efp-2, 0x1.dea6a30982754p-2, 0x1.d707b7fcb29cap-2, 0x1.cf7a51b5938e7p-2, 0x1.c7fec3d5a5385p-2, 0x1.c0955b080229ep-2, 0x1.b93e5d56d1b47p-2, 0x1.b1fa0a7ff502ap-2, 0x1.aac89c3ebd5a4p-2, 0x1.a3aa4691a5956p-2, 0x1.9c9f3803c205fp-2, 0x1.95a799f2c6752p-2, 0x1.8ec390cc58f72p-2, 0x1.87f33c4858f8ep-2, 0x1.8136b7a563ceep-2, 0x1.7a8e19e40a22ep-2, 0x1.73f975facb8fbp-2, 0x1.6d78db04d6275p-2, 0x1.670c547363cc1p-2, 0x1.60b3ea40dd69bp-2, 0x1.5a6fa11cf5a05p-2, 0x1.543f7a91f78ffp-2, 0x1.4e23752cb5aadp-2, 0x1.481b8ca7e741ap-2, 0x1.4227ba1248381p-2, 0x1.3c47f3edd4aacp-2, 0x1.367c2e4f64e6dp-2, 0x1.30c45b019b149p-2, 0x1.2b2069a638bf7p-2, 0x1.259047d269fa3p-2, 0x1.2013e128327b3p-2, 0x1.1aab1f70bbe5fp-2, 0x1.1555eab8286e5p-2, 0x1.1014296827101p-2, 0x1.0ae5c05e93588p-2, 0x1.05ca930138e9dp-2, 0x1.00c28352bcc85p-2, 0x1.f79ae4139908dp-3, 0x1.edd67d4db4653p-3, 0x1.e4378f0af772dp-3, 0x1.dabdd3d77adf4p-3, 0x1.d1690436ebf59p-3, 0x1.c838d6ca9dcf9p-3, 0x1.bf2d0073d4b72p-3, 0x1.b645346f6b7c6p-3, 0x1.ad81246f5e798p-3, 0x1.a4e080b68b4c8p-3, 0x1.9c62f835f55a3p-3, 0x1.940838a821411p-3, 0x1.8bcfeea92e6dep-3, 0x1.83b9c5ccb32ebp-3, 0x1.7bc568b297ed3p-3, 0x1.73f2811c6a09bp-3, 0x1.6c40b8039288p-3, 0x1.64afb5af1ec81p-3, 0x1.5d3f21c6cdf53p-3, 0x1.55eea362b6c3cp-3, 0x1.4ebde11a31d36p-3, 0x1.47ac811523e0bp-3, 0x1.40ba291f0971bp-3, 0x1.39e67eb812694p-3, 0x1.33312721fae2fp-3, 0x1.2c99c76aa68d9p-3, 0x1.2620047878398p-3, 0x1.1fc383197c719p-3, 0x1.1983e81277ed5p-3, 0x1.1360d82aac3abp-3, 0x1.0d59f83482feep-3, 0x1.076eed162096bp-3, 0x1.019f5bd41f1b6p-3, 0x1.f7d5d33b3ba0fp-4, 0x1.eca277adc8d22p-4, 0x1.e1a3f042e6f22p-4, 0x1.d6d988c56698cp-4, 0x1.cc428d96e66b5p-4, 0x1.c1de4bc213987p-4, 0x1.b7ac110b45e04p-4, 0x1.adab2bfdba134p-4, 0x1.a3daebf95e953p-4, 0x1.9a3aa13dbb3e5p-4, 0x1.90c99cf4616f1p-4, 0x1.8787313fa85aep-4, 0x1.7e72b14768835p-4, 0x1.758b7141efa0fp-4, 0x1.6cd0c67c4a6e6p-4, 0x1.644207636242dp-4, 0x1.5bde8b8e1a1dp-4, 0x1.53a5abc72bfeap-4, 0x1.4b96c21566ee5p-4, 0x1.43b129c222586p-4, 0x1.3bf43f5efaa78p-4, 0x1.345f60cc2d999p-4, 0x1.2cf1ed3ff38fp-4, 0x1.25ab454df0f36p-4, 0x1.1e8acaed65b6ap-4, 0x1.178fe17da903ap-4, 0x1.10b9edc9a7fd9p-4, 0x1.0a08560b94b08p-4, 0x1.037a81f16222cp-4, 0x1.fa1fb54379e5cp-5, 0x1.ed8f9581460fp-5, 0x1.e1437ce5b3b52p-5, 0x1.d53a46c07f033p-5, 0x1.c972d16b3b26dp-5, 0x1.bdebfe4d5b535p-5, 0x1.b2a4b1e125bfp-5, 0x1.a79bd3b8e0ae7p-5, 0x1.9cd04e8355e89p-5, 0x1.9241100f0a618p-5, 0x1.87ed094c40f9fp-5, 0x1.7dd32e4e49193p-5, 0x1.73f2764c83bf1p-5, 0x1.6a49dba3e84d2p-5, 0x1.60d85bd817511p-5, 0x1.579cf7944eb2ap-5, 0x1.4e96b2abe3ca9p-5, 0x1.45c4941a48a9bp-5, 0x1.3d25a6028a9e9p-5, 0x1.34b8f5ae35ebp-5, 0x1.2c7d938ba4a5cp-5, 0x1.2472932bf54bcp-5, 0x1.1c970b40f9edcp-5, 0x1.14ea159b86039p-5, 0x1.0d6acf2a148f7p-5, 0x1.061857f770037p-5, 0x1.fde3a650dab95p-6, 0x1.efeccdf0486eap-6, 0x1.e24a7965713aep-6, 0x1.d4fb015f4d0cdp-6, 0x1.c7fcc499f4407p-6, 0x1.bb4e27d8decep-6, 0x1.aeed95e4c943cp-6, 0x1.a2d97f8a46daep-6, 0x1.97105b94d3c15p-6, 0x1.8b90a6c2f3c3bp-6, 0x1.8058e3b36b698p-6, 0x1.75679acf4db7cp-6, 0x1.6abb5a374ea25p-6, 0x1.6052b5b9ebd8dp-6, 0x1.562c46d3cd2ep-6, 0x1.4c46acb63338fp-6, 0x1.42a08c4aef74bp-6, 0x1.3938902d40128p-6, 0x1.300d6893044b8p-6, 0x1.271dcb294e8d1p-6, 0x1.1e6872ee3f668p-6, 0x1.15ec20150e388p-6, 0x1.0da797fdbf96ap-6, 0x1.0599a5419bcc6p-6, 0x1.fb822f95d3986p-7, 0x1.ec3989cfd5b38p-7, 0x1.dd570e9183405p-7, 0x1.ced87dbff8fc1p-7, 0x1.c0bba1544da2dp-7, 0x1.b2fe4cda214b9p-7, 0x1.a59e5d0a9bb4fp-7, 0x1.9899b7a937715p-7, 0x1.8bee4bae2e9d1p-7, 0x1.7f9a11a827b2ep-7, 0x1.739b0c245c432p-7, 0x1.67ef47e3cab6dp-7, 0x1.5c94dbb498e84p-7, 0x1.5189e7e9fb2a9p-7, 0x1.46cc9596336dbp-7, 0x1.3c5b15c7d1693p-7, 0x1.3233a1104658p-7, 0x1.2854778162ed1p-7, 0x1.1ebbe122d2ed1p-7, 0x1.15682eade963dp-7, 0x1.0c57ba3efafa2p-7, 0x1.0388e7aa1ca4dp-7, 0x1.f5f4487c04ad8p-8, 0x1.e553cbecc02cp-8, 0x1.d52d54ae6bef6p-8, 0x1.c57deaa1605a5p-8, 0x1.b642a11e19b6dp-8, 0x1.a77896ed6a054p-8, 0x1.991cf79d5f2d7p-8, 0x1.8b2cfdb2e4696p-8, 0x1.7da5f4df94641p-8, 0x1.70853b58a86cap-8, 0x1.63c841b2dcd33p-8, 0x1.576c89275fc81p-8, 0x1.4b6fa0b6cc777p-8, 0x1.3fcf220ce723dp-8, 0x1.3488af2c10157p-8, 0x1.2999f1ad523c7p-8, 0x1.1f009bd7b3afap-8, 0x1.14ba6b2a7298cp-8, 0x1.0ac52b6e03b3dp-8, 0x1.011eb931d3edcp-8, 0x1.ef8a059216885p-9, 0x1.dd6c0eba6349p-9, 0x1.cbdfa889bcc79p-9, 0x1.bae102c052441p-9, 0x1.aa6c5b29bb4b5p-9, 0x1.9a7df91312691p-9, 0x1.8b122cc0c712p-9, 0x1.7c25531058601p-9, 0x1.6db3dbf4baa0ep-9, 0x1.5fba517a07423p-9, 0x1.52355ce0cfb18p-9, 0x1.4521c82366235p-9, 0x1.387c7b72dcc1cp-9, 0x1.2c427766bb65cp-9, 0x1.2070cd75c9a0dp-9, 0x1.150498c5667cbp-9, 0x1.09faf9692f695p-9, 0x1.fea2274a9bd89p-10, 0x1.ea0827260dc35p-10, 0x1.d62267dc1db28p-10, 0x1.c2eb8b0a01caep-10, 0x1.b05e691549c94p-10, 0x1.9e76141a14c39p-10, 0x1.8d2dd2f417d9ap-10, 0x1.7c8116c574599p-10, 0x1.6c6b6e2488ea6p-10, 0x1.5ce878aa7a60ap-10, 0x1.4df3dd3e6710bp-10, 0x1.3f8945a61ca31p-10, 0x1.31a461a054172p-10, 0x1.2440f1c4b94bp-10, 0x1.175ad6ca070c9p-10, 0x1.0aee1edd38868p-10, 0x1.fdee1628a51dap-11, 0x1.e6e4164feaa1p-11, 0x1.d0b765894842ap-11, 0x1.bb615c3432c35p-11, 0x1.a6db72cf3b1cdp-11, 0x1.931f37075957p-11, 0x1.802643257709ap-11, 0x1.6dea37cd95b36p-11, 0x1.5c64be033d7f5p-11, 0x1.4b8f97c23137ap-11, 0x1.3b64bd04eb3cdp-11, 0x1.2bde77b9c4b56p-11, 0x1.1cf76d9d095c1p-11, 0x1.0eaa90ae648c6p-11, 0x1.00f2ffe4bf216p-11, 0x1.e797d8458144ap-12, 0x1.ce611fe21a77bp-12, 0x1.b6386f8943994p-12, 0x1.9f149719651d7p-12, 0x1.88ec991399625p-12, 0x1.73b793889ccfdp-12, 0x1.5f6cb4fb9043bp-12, 0x1.4c03576c6900fp-12, 0x1.39733b0657a5cp-12, 0x1.27b4b7edfce78p-12, 0x1.16c0bc307597bp-12, 0x1.06908d03dd28p-12, 0x1.ee3ae3eef9197p-13, 0x1.d0c10c016e34dp-13, 0x1.b4a59e7695f77p-13, 0x1.99db0bfdd84cap-13, 0x1.80549d6fdaf5cp-13, 0x1.680671982bdcp-13, 0x1.50e51595bd6f6p-13, 0x1.3ae520f677711p-13, 0x1.25fb351bdd776p-13, 0x1.121c621419fc2p-13, 0x1.fe7d3147ee95p-14, 0x1.dab17eb146485p-14, 0x1.b8c47bf159afcp-14, 0x1.98a4737b8a4ecp-14, 0x1.7a3e143db5223p-14, 0x1.5d7cb361bfba2p-14, 0x1.424bd6fe6142p-14, 0x1.2898f7dc0e18fp-14, 0x1.10543d7a6610ep-14, 0x1.f2df9a90cf396p-15, 0x1.c7bccf9facfb3p-15, 0x1.9f2501f838348p-15, 0x1.78fcd13c2c731p-15, 0x1.552a467ba8a54p-15, 0x1.3396423e57cc2p-15, 0x1.142c5e52ededdp-15, 0x1.edb1d8dc65d3p-16, 0x1.b70bf1973d47bp-16, 0x1.84328b4c19a64p-16, 0x1.54e9f4be64606p-16, 0x1.28f5e72199bc7p-16, 0x1.0021508a9a1dcp-16, 0x1.b484cdc42143ap-17, 0x1.6e71f8dac0dd2p-17, 0x1.2dd250ab0a3a2p-17, 0x1.e4da5538c7392p-18, 0x1.780d476bea6f5p-18, 0x1.14c66cef0a8bep-18, 0x1.75333fecc3963p-19, 0x1.a4abaaaa03a39p-20, 0x1.014df950969dep-21, -0x1.05ecec7a55609p-21, -0x1.67ca9ff6ceea8p-20, -0x1.17f154a0c5758p-19, -0x1.6ed00410a6141p-19, -0x1.b9b6bee6b7c3cp-19, -0x1.f9b725778d63ep-19, -0x1.17d39aec1a1fdp-18, -0x1.2e104ab6016c5p-18, -0x1.3fc9ed1d663efp-18, -0x1.4d31e5b960a3cp-18, -0x1.567cb82a6f8fcp-18, -0x1.5be431f734012p-18, -0x1.5da1ff9812f2ep-18, -0x1.5be9389b65538p-18, -0x1.56e6a995d1e8dp-18, -0x1.4ec6115313853p-18, -0x1.43b6332f9f237p-18, -0x1.35ec0e59555ccp-18, -0x1.25a65681b5446p-18, -0x1.132d7bbe5c779p-18, -0x1.fd9e6233f33e8p-19, -0x1.d1b03f8f47319p-19, -0x1.a3155d6cc5062p-19, -0x1.7229b1314ad48p-19, -0x1.3f1f22d82b755p-19, -0x1.0a1529683918ap-19, -0x1.a6633b8f772e4p-20, -0x1.3546497a84e4p-20, -0x1.8256f291fdad4p-21, -0x1.29a604c1d8143p-22, 0x1.749c8501670f3p-23, 0x1.52a952a56c1cdp-21, 0x1.257ab9512b75fp-20, 0x1.a2c87b154d00fp-20, 0x1.1083dc1ec5acdp-19, 0x1.4ff5c4781e64p-19, 0x1.8f837aadc7fd2p-19, 0x1.cee747dd7a7e5p-19, 0x1.06eb1a1bece35p-18, 0x1.260ce50dc5f74p-18, 0x1.44ce337e66f8ep-18, 0x1.6328eee3b96a3p-18, 0x1.81102db209309p-18, 0x1.9e76bad122b0fp-18, 0x1.bb5a0b8747fdp-18, 0x1.d7bc3a88d5bf1p-18, 0x1.f396f7a9c493ap-18, 0x1.076d9355395ecp-17, 0x1.14bd155f861abp-17, 0x1.21b678af0c3ffp-17, 0x1.2e59fd1837edap-17, 0x1.3aa8e4a29799ap-17, 0x1.46a2945f81a2fp-17, 0x1.5243c0cdb01dfp-17, 0x1.5d865be26f89cp-17, 0x1.68630fc343961p-17, 0x1.72d6f623ededcp-17, 0x1.7ce55c4b0946dp-17, 0x1.869036a496c8fp-17, 0x1.8fd3eb21bae57p-17, 0x1.98acf10b543fap-17, 0x1.a11bc004fce98p-17, 0x1.a921ab6533e7ap-17, 0x1.b0bed4a4c7f95p-17, 0x1.b7f32a02e60f6p-17, 0x1.bebee2af3937bp-17, 0x1.c5226b36d7089p-17, 0x1.cb1eb88266e95p-17, 0x1.d0b58ec60c6cfp-17, 0x1.d5e90c39ca6f4p-17, 0x1.dabae6ec58278p-17, 0x1.df2c07c815b93p-17, 0x1.e33be1de29d2cp-17, 0x1.e6e94e0e15e93p-17, 0x1.ea360cdc7f632p-17, 0x1.ed25d1647fc59p-17, 0x1.efba04c7f7633p-17, 0x1.f1f34693b02d1p-17, 0x1.f3d43d3721d2ep-17, 0x1.f55f74d52d4e9p-17, 0x1.f695db1182b02p-17, 0x1.f7780416356f1p-17, 0x1.f80720c75923ep-17, 0x1.f8451a3aa0c98p-17, 0x1.f83454f24547ep-17, 0x1.f7d747410a48bp-17, 0x1.f73025d46aec7p-17, 0x1.f640dfc0e0dbcp-17, 0x1.f50b5d2711bap-17, 0x1.f391b6eb28d83p-17, 0x1.f1d60a5419818p-17, 0x1.efda126677e15p-17, 0x1.ed9f861857a4ap-17, 0x1.eb289996a4562p-17, 0x1.e87758a62edcap-17, 0x1.e58da97552bd8p-17, 0x1.e26dced07e21ep-17, 0x1.df19eeb226839p-17, 0x1.db93e648a1167p-17, 0x1.d7dd8fdaf2cdbp-17, 0x1.d3f8cf7522463p-17, 0x1.cfe785f93317cp-17, 0x1.cbab914406d12p-17, 0x1.c746d9517d7b3p-17, 0x1.c2bb5b41d2e4p-17, 0x1.be0b13363323fp-17, 0x1.b937d20aec26dp-17, 0x1.b4434e1112e13p-17, 0x1.af2f51ba284dap-17, 0x1.a9fd7cd165eaap-17, 0x1.a4af62e3108ddp-17, 0x1.9f46f48e131p-17, 0x1.99c5a3b355fc3p-17, 0x1.942d4de3e6907p-17, 0x1.8e7ff2b3f1e42p-17, 0x1.88beb2e736ae9p-17, 0x1.82eb2a004283fp-17, 0x1.7d072638114a8p-17, 0x1.771429392eb14p-17, 0x1.71138c13080b3p-17, 0x1.6b069f83ffacep-17, 0x1.64eeb5269f0b3p-17, 0x1.5ecd1e9d5fa16p-17, 0x1.58a3234c66fcep-17, 0x1.5271f2ccd3648p-17, 0x1.4c3aa2487644fp-17, 0x1.45fe5b936d2e6p-17, 0x1.3fbec53f5921ap-17, 0x1.397dc10733b4bp-17, 0x1.333bee9dc6c41p-17, 0x1.2cf91dbdf6ff1p-17, 0x1.26b7646415d48p-17, 0x1.2078879f84368p-17, 0x1.1a3d3bcbd5a0ap-17, 0x1.14057522913c4p-17, 0x1.0dd1bc7e4db51p-17, 0x1.07a400f4f713fp-17, 0x1.017d88db9b38ep-17, 0x1.f6be1bd96f3f2p-18, 0x1.ea926724c5856p-18, 0x1.de794139f3e7dp-18, 0x1.d273fbfedf1dap-18, 0x1.c683ef89c59e4p-18, 0x1.baaa8263b97f8p-18, 0x1.aee92bd90a0fdp-18, 0x1.a3416347a7705p-18, 0x1.97b473f94069bp-18, 0x1.8c4359621e6a7p-18, 0x1.80ef03563b086p-18, 0x1.75b88386e78d2p-18, 0x1.6a9fbc6548e5p-18, 0x1.5fa3899f01a2ap-18, 0x1.54c815e40823bp-18, 0x1.4a112706e3826p-18, 0x1.3f7dea95dfe3fp-18, 0x1.350c3b91389b1p-18, 0x1.2abe9e07ec4fcp-18, 0x1.209580917dcbap-18, 0x1.16909f0a940b6p-18, 0x1.0cb151c0b713dp-18, 0x1.02f8b7fd6dd23p-18, 0x1.f2ce8a5304847p-19, 0x1.dffa5e38c3be6p-19, 0x1.cd7556120b8b9p-19, 0x1.bb3ffebe882ebp-19, 0x1.a95b0e6110f6fp-19, 0x1.97c75700eb542p-19, 0x1.8685a5014c777p-19, 0x1.7596850b03bfdp-19, 0x1.64fa1b0a23fc1p-19, 0x1.54b099b5838bap-19, 0x1.44bad997fc2f5p-19, 0x1.3518e2fc79801p-19, 0x1.25c74a25800d8p-19, 0x1.16c9c19e0339fp-19, 0x1.0824815b8e167p-19, 0x1.f3a1f0f502a1dp-20, 0x1.d799ad81017a3p-20, 0x1.bc365a4d4ee9cp-20, 0x1.a17cf0ec477e7p-20, 0x1.876d1c6e8ff5ap-20, 0x1.6e06a2a1750f1p-20, 0x1.5546d7ad6d375p-20, 0x1.3d2661d60c5c1p-20, 0x1.25a764dd79f43p-20, 0x1.0ecca2cc990a6p-20, 0x1.f12a519b1098ep-21, 0x1.c5fe4a67cf7a2p-21, 0x1.9c1253f587ea2p-21, 0x1.7364401827903p-21, 0x1.4bf20d4c3bba9p-21, 0x1.25b934a42455bp-21, 0x1.00b5f769be511p-21, 0x1.b9c8ebfd0be19p-22, 0x1.7486eb8059f4fp-22, 0x1.31a5433a05844p-22, 0x1.e20ef5078a9cdp-23, 0x1.6577de77d72a4p-23, 0x1.db2f476f09a5ap-24, 0x1.e83d95377f696p-25, 0x1.605c6e77d77bbp-28, -0x1.7e55bfd4e65a4p-25, -0x1.8b9e0c9485d31p-24, -0x1.27b8da730debdp-23, -0x1.85631137805bcp-23, -0x1.deef5ca4f84f8p-23, -0x1.1a42ae1efdb2cp-22, -0x1.43069ab1a3fb7p-22, -0x1.69b722182ad3ap-22, -0x1.8e640f808c1d1p-22, -0x1.b13228deeaa36p-22, -0x1.d220cdaf61451p-22, -0x1.f129a985b8ddbp-22, -0x1.072aa834a59a3p-21, -0x1.14d739100cf0cp-21, -0x1.219f59b18f732p-21, -0x1.2d88218b87ae1p-21, -0x1.3896872751545p-21, -0x1.42cd8a6511eacp-21, -0x1.4c2e527c3e8f5p-21, -0x1.54c276ef10534p-21, -0x1.5c8afc2b1ad3ap-21, }}, 
      {{0x1.c8147f8457fb4p-2, 0x1.279f57efaf879p-1, 0x1.7de1c304b11d1p-1, 0x1.d96e2fcd4d8eep-1, 0x1.18e3304437649p+0, 0x1.40e9f4f7f86d6p+0, 0x1.636cb405ab909p+0, 0x1.7fd8f7aaf306bp+0, 0x1.96239d3e30784p+0, 0x1.a697bfc3b9323p+0, 0x1.b1b40ead48978p+0, 0x1.b8129ccc2f1a1p+0, 0x1.ba584935c65c2p+0, 0x1.b929a8efb72b5p+0, 0x1.b523e60db74e5p+0, 0x1.aed870f4ed105p+0, 0x1.a6caad453324ap+0, 0x1.9d6efd17e02e8p+0, 0x1.932ab81d37b01p+0, 0x1.8854bbaf6dbf4p+0, 0x1.7d3658b75e6c4p+0, 0x1.720c75b7cb319p+0, 0x1.6708c84b86696p+0, 0x1.5c5312c2874edp+0, 0x1.520a592f4e029p+0, 0x1.484605dc79abep+0, 0x1.3f16f869e1f4p+0, 0x1.36887d3010873p+0, 0x1.2ea12c43de01dp+0, 0x1.2763b09e4d10bp+0, 0x1.20cf78990ddaep+0, 0x1.1ae151434e20fp+0, 0x1.1593ee33c7011p+0, 0x1.10e05f85237b6p+0, 0x1.0cbe77a4a7506p+0, 0x1.0925228cdfb92p+0, 0x1.060aaff37668ep+0, 0x1.036511d89292bp+0, 0x1.012a10ce514dfp+0, 0x1.fe9eee5f83e5p-1, 0x1.fb9668d3a50a2p-1, 0x1.f926f2b7a35ep-1, 0x1.f73d9d766fddcp-1, 0x1.f5c84c7d3a914p-1, 0x1.f4b5cedae78ap-1, 0x1.f3f5f1482c85p-1, 0x1.f379899fc5f23p-1, 0x1.f3327d55fc16bp-1, 0x1.f313c3157d2a8p-1, 0x1.f31160f0812dp-1, 0x1.f32067b512bcdp-1, 0x1.f336eb559f898p-1, 0x1.f34bfa57ad8f9p-1, 0x1.f35792d5d2c64p-1, 0x1.f3529764e9cf8p-1, 0x1.f336c2a40842cp-1, 0x1.f2fe9ac94d435p-1, 0x1.f2a564daa1fdap-1, 0x1.f22717f305cffp-1, 0x1.f18050b3b406bp-1, 0x1.f0ae44f688469p-1, 0x1.efaeb7e505671p-1, 0x1.ee7fee7c5f71cp-1, 0x1.ed20a487b66e5p-1, 0x1.eb9002129777bp-1, 0x1.e9cd915821a4bp-1, 0x1.e7d93534435e4p-1, 0x1.e5b3201c5341cp-1, 0x1.e35bcb9dc187p-1, 0x1.e0d3f05f856e7p-1, 0x1.de1c7e9f1d2d3p-1, 0x1.db36972720d75p-1, 0x1.d82384bef709cp-1, 0x1.d4e4b61763b8bp-1, 0x1.d17bb833e81e7p-1, 0x1.cdea314e7338p-1, 0x1.ca31dc2bebebep-1, 0x1.c65483d854bcp-1, 0x1.c253ffbee4ab1p-1, 0x1.be323019aad1ep-1, 0x1.b9f0fab34e32cp-1, 0x1.b59247fcf7cd1p-1, 0x1.b1180074a667fp-1, 0x1.ac840a5b6d6aap-1, 0x1.a7d847b3b9327p-1, 0x1.a3169480ba573p-1, 0x1.9e40c53e3a5c8p-1, 0x1.9958a5886436ep-1, 0x1.945ff6efd84cep-1, 0x1.8f586ff52f86p-1, 0x1.8a43bb2c1ee2fp-1, 0x1.85237685167d2p-1, 0x1.7ff932bbaab83p-1, 0x1.7ac672e935a28p-1, 0x1.758cac36ba24p-1, 0x1.704d45aa863cep-1, 0x1.6b09980df09c1p-1, 0x1.65c2ede42934bp-1, 0x1.607a837284d6bp-1, 0x1.5b3186d3bc89p-1, 0x1.55e918177cf7fp-1, 0x1.50a2496c2da05p-1, 0x1.4b5e1f522ea56p-1, 0x1.461d90d920dd5p-1, 0x1.40e187e5bb384p-1, 0x1.3baae17f96a49p-1, 0x1.367a6e2631cabp-1, 0x1.3150f22ad4122p-1, 0x1.2c2f260ee3f6cp-1, 0x1.2715b6e53c62ep-1, 0x1.220546b36c0cp-1, 0x1.1cfe6cd5ec223p-1, 0x1.1801b6618709ap-1, 0x1.130fa6853562dp-1, 0x1.0e28b6eb9e0dfp-1, 0x1.094d58194014bp-1, 0x1.047df1cb48fb3p-1, 0x1.ff75c6a8a25e8p-2, 0x1.f60907ee8350dp-2, 0x1.ecb6468267408p-2, 0x1.e37e12c39af81p-2, 0x1.da60ef0298df9p-2, 0x1.d15f502939dc6p-2, 0x1.c8799e607d967p-2, 0x1.bfb035aefe177p-2, 0x1.b7036693f2ed5p-2, 0x1.ae73769e9e6dp-2, 0x1.a600a0fd27e4dp-2, 0x1.9dab1708b9a39p-2, 0x1.957300cd0614bp-2, 0x1.8d587d878f1e8p-2, 0x1.855ba423d8ee2p-2, 0x1.7d7c83b37b08dp-2, 0x1.75bb23df43a21p-2, 0x1.6e178553b7e8ap-2, 0x1.6691a22a67921p-2, 0x1.5f296e4ee8922p-2, 0x1.57ded7dd7406fp-2, 0x1.50b1c77d9c58dp-2, 0x1.49a220bbea51ap-2, 0x1.42afc25db00f8p-2, 0x1.3bda86ae49466p-2, 0x1.352243cc19f98p-2, 0x1.2e86cbf3622cbp-2, 0x1.2807edc1c70d4p-2, 0x1.21a574766cefep-2, 0x1.1b5f2832274bcp-2, 0x1.1534ce340dfffp-2, 0x1.0f262910c9c26p-2, 0x1.0932f8e71ce89p-2, 0x1.035afb937424bp-2, 0x1.fb3bd9c33423cp-3, 0x1.eff70d7484d97p-3, 0x1.e4e702991b07fp-3, 0x1.da0b266e621eep-3, 0x1.cf62e363661eap-3, 0x1.c4eda162e7f86p-3, 0x1.baaac6145a7c7p-3, 0x1.b099b51d7af97p-3, 0x1.a6b9d0658c8ccp-3, 0x1.9d0a785174053p-3, 0x1.938b0bf7db143p-3, 0x1.8a3ae954bdf5fp-3, 0x1.81196d7e0d4cbp-3, 0x1.7825f4d49bc36p-3, 0x1.6f5fdb2f8d32p-3, 0x1.66c67c04cea75p-3, 0x1.5e5932906ed0cp-3, 0x1.561759fb2f97fp-3, 0x1.4e004d7f5e2f5p-3, 0x1.46136889d114ap-3, 0x1.3e5006d6fb51cp-3, 0x1.36b5848f4d2e3p-3, 0x1.2f433e64db364p-3, 0x1.27f891af3f61ap-3, 0x1.20d4dc82a65fap-3, 0x1.19d77dc40b9c3p-3, 0x1.12ffd53e986b9p-3, 0x1.0c4d43b9c2159p-3, 0x1.05bf2b0cb7252p-3, 0x1.fea9dc5c802aep-4, 0x1.f21be28723e7fp-4, 0x1.e5d3335f5638ap-4, 0x1.d9ce9c4416ee8p-4, 0x1.ce0ced476652cp-4, 0x1.c28cf94578459p-4, 0x1.b74d95fa58058p-4, 0x1.ac4d9c1539597p-4, 0x1.a18be749a317ep-4, 0x1.970756605eebcp-4, 0x1.8cbecb489a5c1p-4, 0x1.82b12b26e839bp-4, 0x1.78dd5e5fbc7c9p-4, 0x1.6f42509f61ca9p-4, 0x1.65def0e380cccp-4, 0x1.5cb23186c7a4cp-4, 0x1.53bb084ac6674p-4, 0x1.4af86e5cc5c67p-4, 0x1.4269605767d49p-4, 0x1.3a0cde45b6298p-4, 0x1.31e1eba9288bdp-4, 0x1.29e78f7f50a59p-4, 0x1.221cd4437ba7fp-4, 0x1.1a80c7eca3683p-4, 0x1.13127beb75208p-4, 0x1.0bd1052ae7258p-4, 0x1.04bb7c11e5721p-4, 0x1.fba1f90570252p-5, 0x1.ee214bae42bap-5, 0x1.e0f335b683ecp-5, 0x1.d4160393c5ad4p-5, 0x1.c7880894a2405p-5, 0x1.bb479edb551efp-5, 0x1.af532753b4fb9p-5, 0x1.a3a909a5ab8p-5, 0x1.9847b427eed83p-5, 0x1.8d2d9bd5716dp-5, 0x1.82593c4411182p-5, 0x1.77c9179916359p-5, 0x1.6d7bb67a0fba7p-5, 0x1.636fa7fbec3bep-5, 0x1.59a3819351ba9p-5, 0x1.5015df07491acp-5, 0x1.46c5626466295p-5, 0x1.3db0b3ede57e3p-5, 0x1.34d6820bf9cb8p-5, 0x1.2c358138dfaep-5, 0x1.23cc6bef05b0bp-5, 0x1.1b9a02993006p-5, 0x1.139d0b837936p-5, 0x1.0bd452cb0b962p-5, 0x1.043eaa4bb964ep-5, 0x1.f9b5d31873417p-6, 0x1.eb4fdb5582cfap-6, 0x1.dd493296357b9p-6, 0x1.cf9fa90bba79bp-6, 0x1.c25119af2e97ap-6, 0x1.b55b6a1d7f306p-6, 0x1.a8bc8a70bc964p-6, 0x1.9c727518a8dd3p-6, 0x1.907b2eb478becp-6, 0x1.84d4c5eea5ab9p-6, 0x1.797d5359dd8e5p-6, 0x1.6e72f94d97147p-6, 0x1.63b3e3c15ebfep-6, 0x1.593e482711887p-6, 0x1.4f106544eb282p-6, 0x1.4528831051b2cp-6, 0x1.3b84f289ee04ap-6, 0x1.32240d9a487d5p-6, 0x1.290436ee769d4p-6, 0x1.2023d9d472c9fp-6, 0x1.17816a175abd2p-6, 0x1.0f1b63db9e78ap-6, 0x1.06f04b7b8c1d2p-6, 0x1.fdfd5ac87580fp-7, 0x1.ee8a3be5ca4e4p-7, 0x1.df8472a53fefap-7, 0x1.d0e946b54d0cdp-7, 0x1.c2b60eda6315fp-7, 0x1.b4e830ad88214p-7, 0x1.a77d205ab1752p-7, 0x1.9a72605e3741dp-7, 0x1.8dc581414b07cp-7, 0x1.81742156abeaap-7, 0x1.757bec798b26dp-7, 0x1.69da9bd049b0bp-7, 0x1.5e8df592cfa86p-7, 0x1.5393ccd2a1f08p-7, 0x1.48ea014173564p-7, 0x1.3e8e7ef38e4fp-7, 0x1.347f3e1dc954dp-7, 0x1.2aba42d1cbe6cp-7, 0x1.213d9cbd94b38p-7, 0x1.180766f28f2fdp-7, 0x1.0f15c7b597996p-7, 0x1.0666f054e04d2p-7, 0x1.fbf239faa28cbp-8, 0x1.eb95291129fcap-8, 0x1.dbb350803452ep-8, 0x1.cc49672e10241p-8, 0x1.bd5437c4e9e83p-8, 0x1.aed0a033962b1p-8, 0x1.a0bb914d88adcp-8, 0x1.93120e8c83cebp-8, 0x1.85d12de645286p-8, 0x1.78f6179dcd6a5p-8, 0x1.6c7e05f7fc73dp-8, 0x1.606644c5bf087p-8, 0x1.54ac30c9c6866p-8, 0x1.494d3711c42fp-8, 0x1.3e46d4649f421p-8, 0x1.339694e219a67p-8, 0x1.293a13dd85b12p-8, 0x1.1f2efbe4069c2p-8, 0x1.157306cb46f1bp-8, 0x1.0c03fd9e16b4ap-8, 0x1.02dfb8488d4f9p-8, 0x1.f40839fc897c1p-9, 0x1.e2de3ee675fccp-9, 0x1.d23d802c27d78p-9, 0x1.c22216fc6c089p-9, 0x1.b288345f700cbp-9, 0x1.a36c216e04401p-9, 0x1.94ca3ff43b245p-9, 0x1.869f0b0d9d66cp-9, 0x1.78e717450ee73p-9, 0x1.6b9f11eb2570dp-9, 0x1.5ec3bfa2a5b5bp-9, 0x1.5251fa7050775p-9, 0x1.4646afd316b72p-9, 0x1.3a9edf6fce553p-9, 0x1.2f579aab0c79ep-9, 0x1.246e0537f92f3p-9, 0x1.19df5645c11ebp-9, 0x1.0fa8d9b866539p-9, 0x1.05c7f0d0ac367p-9, 0x1.f87423ad98d33p-10, 0x1.e5f98d631b7fdp-10, 0x1.d41b556f17349p-10, 0x1.c2d4d0a3a6f17p-10, 0x1.b2216e413673ep-10, 0x1.a1fcb65b0b85fp-10, 0x1.92624ab31c198p-10, 0x1.834de98c57b2ap-10, 0x1.74bb713ef0443p-10, 0x1.66a6e31543c68p-10, 0x1.590c643b3cb2bp-10, 0x1.4be83c2f26351p-10, 0x1.3f36d0ef41ba9p-10, 0x1.32f4a1de23009p-10, 0x1.271e42cc5d677p-10, 0x1.1bb05899312c8p-10, 0x1.10a79865cc44ep-10, 0x1.0600c97939bfdp-10, 0x1.f77191fa8d43fp-11, 0x1.e3991c30d45f4p-11, 0x1.d07259b041e14p-11, 0x1.bdf7adb1f0d92p-11, 0x1.ac23b2cef433ep-11, 0x1.9af13324c0d65p-11, 0x1.8a5b1e5ed7e63p-11, 0x1.7a5c80347c2c5p-11, 0x1.6af079f58125ap-11, 0x1.5c1241101dce3p-11, 0x1.4dbd2300903cp-11, 0x1.3fec8d2370d37p-11, 0x1.329c154a0a1bep-11, 0x1.25c77fa846772p-11, 0x1.196ac002599aap-11, 0x1.0d81f60a29d2fp-11, 0x1.0209667622c9ep-11, 0x1.edfae5a2b6c4p-12, 0x1.d8b5235f19fd1p-12, 0x1.c43a91458f7c5p-12, 0x1.b08452c15f5c8p-12, 0x1.9d8ba6c31e585p-12, 0x1.8b49f422e082fp-12, 0x1.79b8db14f1f2dp-12, 0x1.68d2441f613d5p-12, 0x1.58906575954f5p-12, 0x1.48edbc9bf10a5p-12, 0x1.39e50075e8752p-12, 0x1.2b7112b80c593p-12, 0x1.1d8cf55d06994p-12, 0x1.1033c41e6e4c5p-12, 0x1.0360af9e966ffp-12, 0x1.ee1df3d852514p-13, 0x1.d673ef3c22341p-13, 0x1.bfba324919f26p-13, 0x1.a9e7f6376191ep-13, 0x1.94f4eba328f51p-13, 0x1.80d94443c9432p-13, 0x1.6d8d9eeb3f2bp-13, 0x1.5b0ae1271b249p-13, 0x1.494a1608aea0cp-13, 0x1.38446347ec472p-13, 0x1.27f3126dcd78p-13, 0x1.184f9c49648c8p-13, 0x1.0953a74a58ca3p-13, 0x1.f5f1f59b8282p-14, 0x1.da72f12900483p-14, 0x1.c01e56c92244fp-14, 0x1.a6e8ce60e057cp-14, 0x1.8ec7c86142357p-14, 0x1.77b179868a4bap-14, 0x1.619c92408dea5p-14, 0x1.4c7fdd2dffcf2p-14, 0x1.385207f89c8d7p-14, 0x1.2509bb9f3cab5p-14, 0x1.129dea80113d5p-14, 0x1.010610bec44f9p-14, 0x1.e07467d05b81fp-15, 0x1.c06554a4f7966p-15, 0x1.a1cfc7a2e1935p-15, 0x1.84a4d09221263p-15, 0x1.68d61ae0b7ea5p-15, 0x1.4e5667577b92dp-15, 0x1.3519a110cc1b4p-15, 0x1.1d145e1212b82p-15, 0x1.063b0b32dde9fp-15, 0x1.e102aa703c47fp-16, 0x1.b7b494a4fd46bp-16, 0x1.90725645b544ep-16, 0x1.6b24b1744077ap-16, 0x1.47b76e207457ap-16, 0x1.26189bc79f26bp-16, 0x1.063717383e71bp-16, 0x1.d0032728c74d5p-17, 0x1.96cd85f72e9a6p-17, 0x1.60ac6fbb527bap-17, 0x1.2d82423db274ap-17, 0x1.fa68daacb308dp-18, 0x1.9f52b4577dbb1p-18, 0x1.498aaef3919bbp-18, 0x1.f1a23cbe2e7e5p-19, 0x1.59bf135f11ab6p-19, 0x1.95bdefa5da3e5p-20, 0x1.1213618942209p-21, -0x1.cda393ddd5867p-22, -0x1.603b9e84418f8p-20, -0x1.1efeecc8b92d4p-19, -0x1.869fd76355f9dp-19, -0x1.e74b5af5ddb36p-19, -0x1.20a5adb29934fp-18, -0x1.4a71dd97c486bp-18, -0x1.7127e6a959603p-18, -0x1.94e26dbfa7ddbp-18, -0x1.b5bcbb96f2e99p-18, -0x1.d3d6c959a16a2p-18, -0x1.ef5719dba852p-18, -0x1.043477cc146aap-17, -0x1.0f9bd38b3670dp-17, -0x1.19f4ea4a83563p-17, -0x1.234f3da4115a6p-17, -0x1.2bb68e3a41956p-17, -0x1.33341445989a8p-17, -0x1.39d02a40b84bp-17, -0x1.3f9380f9c4fc9p-17, -0x1.44875df94dc3ap-17, -0x1.48b4f0b8bc63dp-17, -0x1.4c248c0a73ae3p-17, -0x1.4eddb404be7p-17, -0x1.50e7c6906adc4p-17, -0x1.524a7a1ae5639p-17, -0x1.530e353ebba3p-17, -0x1.533c6790b9c92p-17, -0x1.52df803b2eecfp-17, -0x1.520266c2078ap-17, -0x1.50afc4c1adf31p-17, -0x1.4ef0fff45a9dp-17, -0x1.4ccd1a8bc8987p-17, -0x1.4a48a7ad73f75p-17, -0x1.476726cfda3a5p-17, -0x1.442c701db2f22p-17, -0x1.409cd8d0d760cp-17, -0x1.3cbc8919c13bbp-17, -0x1.388f92941c5b8p-17, -0x1.341a92c08a94dp-17, -0x1.2f626fff7109p-17, -0x1.2a6b6595bf57bp-17, -0x1.2538bd0f739f7p-17, -0x1.1fcd842a0be82p-17, -0x1.1a2d573cbfedcp-17, -0x1.145c9f77f5ae9p-17, -0x1.0e6087159ca7dp-17, -0x1.083e73ee09c8ap-17, -0x1.01faad6f72c0cp-17, -0x1.f72f6bf10d618p-18, -0x1.ea2f0a0cac059p-18, -0x1.dcf9814fb86b8p-18, -0x1.cf94240548f6p-18, -0x1.c2020237cac9ep-18, -0x1.b4452bc58f051p-18, -0x1.a6616755244d3p-18, -0x1.985c415db0dd3p-18, -0x1.8a3b1e3c86a66p-18, -0x1.7c01cd6ff12a1p-18, -0x1.6db28e8cb554ap-18, -0x1.5f4f3098dddedp-18, -0x1.50da33e887d13p-18, -0x1.42571878aae8ep-18, -0x1.33ca5e57c8198p-18, -0x1.2538f301c9cf9p-18, -0x1.16a60450ad26dp-18, -0x1.081256ef150ddp-18, -0x1.f2fe5732110d6p-19, -0x1.d5dfb53678ba2p-19, -0x1.b8cf5350291aap-19, -0x1.9bd0918707f38p-19, -0x1.7ee611610c31dp-19, -0x1.6213503df60cap-19, -0x1.455be5ae937a3p-19, -0x1.28c31fcd7dcc9p-19, -0x1.0c4c1369a5af8p-19, -0x1.dff2cca897a6fp-20, -0x1.a79a3cc21c6d7p-20, -0x1.6f91e3f1ef45p-20, -0x1.37dda22a47a68p-20, -0x1.00824f946c574p-20, -0x1.930cf27f09158p-21, -0x1.25e26f521d657p-21, -0x1.73170e0d8abc3p-22, -0x1.3825df60c7647p-23, 0x1.c9ce3694e009ap-25, 0x1.0cbdb1f5aa25bp-22, 0x1.de7202366472cp-22, 0x1.5727e105a3032p-21, 0x1.be2427a747eb8p-21, 0x1.1212fe8fd151dp-20, 0x1.4493bcf49f43ep-20, 0x1.76926851a92a8p-20, 0x1.a80dbd72fc68cp-20, 0x1.d9048564410fep-20, 0x1.04ba9df09a71fp-19, 0x1.1caf1a246b0e4p-19, 0x1.345efad928c74p-19, 0x1.4bc99ed2455b7p-19, 0x1.62ee5ee8efb43p-19, 0x1.79cc9a62a2711p-19, 0x1.9063c9ad44463p-19, 0x1.a6b375012e483p-19, 0x1.bcbb45c74adb5p-19, 0x1.d27af41d86c45p-19, 0x1.e7f224fc45222p-19, 0x1.fd2082179fcb9p-19, 0x1.0902e14f09a5fp-18, 0x1.1350ce01d6ep-18, 0x1.1d79dfded5c48p-18, 0x1.277df261eb7b8p-18, 0x1.315cebdc479bfp-18, 0x1.3b16c60e8a8a3p-18, 0x1.44ab8d7701a3ap-18, 0x1.4e1b4a4179878p-18, 0x1.5765e82088366p-18, 0x1.608b4ccaabdd9p-18, 0x1.698b78a8cd381p-18, 0x1.72665c81339a9p-18, 0x1.7b1be4289ecbfp-18, 0x1.83ac36aea1ca4p-18, 0x1.8c173ef4554a1p-18, 0x1.945d2672f4032p-18, 0x1.9c7e2b94143d3p-18, 0x1.a47a18153a1a4p-18, 0x1.ac5100763232ap-18, 0x1.b4031c95d883ap-18, 0x1.bb9081938db0ep-18, 0x1.c2f9352dd1559p-18, 0x1.ca3d3ef91b4f3p-18, 0x1.d15cac7c5d87fp-18, 0x1.d8579053748cap-18, 0x1.df2dfd64e8eep-18, 0x1.e5e001632fd39p-18, 0x1.ec6da489de9p-18, 0x1.f2d6fee2adf27p-18, 0x1.f91c640499142p-18, 0x1.ff3e42f4e8eb3p-18, 0x1.029e410d85cfep-17, 0x1.058b5a7675019p-17, 0x1.0866b6e308f7cp-17, 0x1.0b308ff52d8c7p-17, 0x1.0de8e7a81a638p-17, 0x1.108f9a41f4e88p-17, 0x1.1324a4ff03f5dp-17, 0x1.15a8526aa74ccp-17, 0x1.181acb6bdfde6p-17, 0x1.1a7c1d9bd4b2fp-17, 0x1.1ccc54403a028p-17, 0x1.1f0b7d8e3979cp-17, 0x1.2139aa3a60ed8p-17, 0x1.2356ed799204ep-17, 0x1.25635daab87bdp-17, 0x1.275f147e1b6e8p-17, 0x1.294a2d5716b16p-17, 0x1.2b24c116aae2dp-17, 0x1.2ceee2b22d822p-17, 0x1.2ea8a591f3e88p-17, 0x1.305221e2be077p-17, 0x1.31eb553e9d52dp-17, 0x1.337426bda187ap-17, 0x1.34ecfdfdc0eadp-17, 0x1.365639dd8482ap-17, 0x1.37afccc014066p-17, 0x1.38f98b3a65448p-17, 0x1.3a33b9ea895a9p-17, 0x1.3b5e6e282337dp-17, 0x1.3c79ae718242p-17, 0x1.3d85a7906ae1p-17, 0x1.3e82820018779p-17, 0x1.3f705816621efp-17, 0x1.404f400eca025p-17, 0x1.411f515c8a7bap-17, 0x1.41e0a61a00ba3p-17, 0x1.42935b3b52f2ap-17, 0x1.43378fee76dedp-17, 0x1.43cd64287b4b8p-17, 0x1.4454f62de5fdap-17, 0x1.44ce60d618fa7p-17, 0x1.4539c07fbf8edp-17, 0x1.4597395737365p-17, 0x1.45e6e7c6c70a5p-17, 0x1.4628c464931cap-17, 0x1.465d14404113fp-17, 0x1.468422ba2daa7p-17, 0x1.469dc95c0e938p-17, 0x1.46aa0fd5b9fa4p-17, 0x1.46a938075e2b4p-17, 0x1.469b7dbfa3e0fp-17, 0x1.4681011ceb877p-17, 0x1.4659e351a42c3p-17, 0x1.462639c5a1c8ep-17, 0x1.45e603796cbfcp-17, 0x1.45997057d754bp-17, 0x1.4540b3607cf3fp-17, 0x1.44dbed5abb1c7p-17, 0x1.446b3b522f741p-17, 0x1.43eebccbdd63cp-17, 0x1.43669374414c3p-17, 0x1.42d2e1da67b8bp-17, 0x1.4233c9c194f2dp-17, 0x1.41896a799c87ap-17, 0x1.40d3e365f1ba6p-17, 0x1.40135a72148a6p-17, 0x1.3f47f7fc0ef8ep-17, 0x1.3e71c4561cad4p-17, 0x1.3d90f9fbb740ap-17, 0x1.3ca5cda880d53p-17, 0x1.3bb03272f8eaep-17, 0x1.3ab067ba87fd6p-17, 0x1.39a693e29267p-17, 0x1.3892d56b4414dp-17, 0x1.37754ec18a761p-17, 0x1.364e21d9049a5p-17, 0x1.351d6713cffe6p-17, 0x1.33e33435c25dp-17, 0x1.329fc24bc99afp-17, 0x1.315349ee705fcp-17, 0x1.2ffde4eb4151dp-17, 0x1.2e9f97919f383p-17, 0x1.2d388e820bfd1p-17, 0x1.2bc8fbca2fed5p-17, 0x1.2a5101bdd5decp-17, 0x1.28d0c0aeb566cp-17, 0x1.27485a24bc58cp-17, 0x1.25b7ef3770e87p-17, 0x1.241fa1414eec9p-17, 0x1.227f95631ca3dp-17, 0x1.20d7f44636624p-17, 0x1.1f28d64e9f998p-17, 0x1.1d726448a6224p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.b85547b2cfd2bp-7, 0x1.b7df5d13919d7p-6, 0x1.49549f92decd3p-5, 0x1.b60ab1c875b16p-5, 0x1.10ecf8602032bp-4, 0x1.4646271d69745p-4, 0x1.7af6f94ced647p-4, 0x1.aee6bd424fc23p-4, 0x1.e1fe139ba69a6p-4, 0x1.0a13815f2433ap-3, 0x1.22a68343e1845p-3, 0x1.3aae8e182c747p-3, 0x1.5222e4f911312p-3, 0x1.68fb9104928ffp-3, 0x1.7f3160737eca5p-3, 0x1.94bde36a9744p-3, 0x1.a99b66cd8949fp-3, 0x1.bdc4ed7de9dffp-3, 0x1.d136287f405e3p-3, 0x1.e3eb6e77f27cbp-3, 0x1.f5e1b2f920b24p-3, 0x1.038b3ef0c7df1p-2, 0x1.0bc3f18b2e235p-2, 0x1.139a3d59941f5p-2, 0x1.1b0dacde8db57p-2, 0x1.221e05a95f927p-2, 0x1.28cb452331342p-2, 0x1.2f159d84ea6e1p-2, 0x1.34fd72e806593p-2, 0x1.3a8358654d292p-2, 0x1.3fa80d368b448p-2, 0x1.446c79d3425fap-2, 0x1.48d1ad039c75cp-2, 0x1.4cd8d8e832b56p-2, 0x1.50834ff8471c9p-2, 0x1.53d281fa8a24p-2, 0x1.56c7f8fe75f32p-2, 0x1.5965565d95f58p-2, 0x1.5bac4fcca7a21p-2, 0x1.5d9eac84af04dp-2, 0x1.5f3e428b92938p-2, 0x1.608cf4231bc3ep-2, 0x1.618cad64116a7p-2, 0x1.623f6209e27f8p-2, 0x1.62a70b71ed80ap-2, 0x1.62c5a6d015a3bp-2, 0x1.629d3398f180ep-2, 0x1.622fb220b3c88p-2, 0x1.617f226cc2352p-2, 0x1.608d83350ff0cp-2, 0x1.5f5cd1118e3ebp-2, 0x1.5def05cf6fd0bp-2, 0x1.5c4617e9a8f21p-2, 0x1.5a63fa1fd3d77p-2, 0x1.584a9b2697971p-2, 0x1.55fbe56ccdc5ep-2, 0x1.5379bef0c9d7fp-2, 0x1.50c6092175p-2, 0x1.4de2a0c758a28p-2, 0x1.4ad15df20e3f4p-2, 0x1.479413e70b3cdp-2, 0x1.442c910f37f68p-2, 0x1.409c9ee136679p-2, 0x1.3ce601c6b7153p-2, 0x1.390a78fbb438bp-2, 0x1.350bbe66c8dbbp-2, 0x1.30eb866a4befep-2, 0x1.2cab7fae25445p-2, 0x1.284d52e2a084bp-2, 0x1.23d2a27ccd315p-2, 0x1.1f3d0a6d2c333p-2, 0x1.1a8e1fd1902e8p-2, 0x1.15c770a34bd08p-2, 0x1.10ea8362cc68p-2, 0x1.0bf8d6c1d6d95p-2, 0x1.06f3e14da7fb5p-2, 0x1.01dd111a2b5a7p-2, 0x1.f96b96def87b7p-3, 0x1.eefed8f5b399cp-3, 0x1.e4768e0830d7ap-3, 0x1.d9d54851240b3p-3, 0x1.cf1d8638e4ff4p-3, 0x1.c451b1e651c3bp-3, 0x1.b97420df5255ep-3, 0x1.ae8713ba07452p-3, 0x1.a38cb5df88e71p-3, 0x1.98871d60d10aap-3, 0x1.8d784ade328f4p-3, 0x1.8262298192c5p-3, 0x1.77468f0b4b148p-3, 0x1.6c273bf18a77cp-3, 0x1.6105db91c62c9p-3, 0x1.55e404739d0fdp-3, 0x1.4ac3389c8bc67p-3, 0x1.3fa4e5f38193dp-3, 0x1.348a66b36e86ap-3, 0x1.297501ebb262fp-3, 0x1.1e65ec0d58186p-3, 0x1.135e4783df588p-3, 0x1.085f25585500ap-3, 0x1.fad30bbb107b3p-4, 0x1.e4fcb2c8002a9p-4, 0x1.cf3d01e8d9852p-4, 0x1.b9959e1eb2395p-4, 0x1.a40810e18f41p-4, 0x1.8e95c9ad1f361p-4, 0x1.79401f90848e7p-4, 0x1.640852bef4e3dp-4, 0x1.4eef8e1eee5b9p-4, 0x1.39f6e8d60205cp-4, 0x1.251f67cf40762p-4, 0x1.1069ff3a79bdap-4, 0x1.f7af280552a33p-5, 0x1.ced1fa7416c51p-5, 0x1.a63e0af4f628bp-5, 0x1.7df4d871ba952p-5, 0x1.55f7ce1510d14p-5, 0x1.2e4845b76d34ep-5, 0x1.06e78a2c6a56ep-5, 0x1.bfadb2deb326p-6, 0x1.722ecd5be5393p-6, 0x1.2554b860a72e2p-6, 0x1.b243747731674p-7, 0x1.1b301c789015ep-7, 0x1.0ae79eb98d34fp-8, -0x1.dda2dc882896fp-12, -0x1.43dc802d70f23p-8, -0x1.338b577a9982p-7, -0x1.c3c005fc02bep-7, -0x1.2943f778727ap-6, -0x1.6fef56ac3f663p-6, -0x1.b5dfe8cc3f017p-6, -0x1.fb136fd99b81dp-6, -0x1.1fc3d37c841f7p-5, -0x1.419d20ffb95b3p-5, -0x1.63147699b5166p-5, -0x1.8428a6a038c89p-5, -0x1.a4d87faca17a3p-5, -0x1.c522ccc2ff421p-5, -0x1.e506558dab1abp-5, -0x1.0240ef55dd3cbp-4, -0x1.11ca1508737b3p-4, -0x1.211dfbbaa37c4p-4, -0x1.303c0269b057cp-4, -0x1.3f2387798d27cp-4, -0x1.4dd3e9000270dp-4, -0x1.5c4c8514d061bp-4, -0x1.6a8cba2610451p-4, -0x1.7893e75032f2fp-4, -0x1.86616cb8e92a8p-4, -0x1.93f4abec5bb91p-4, -0x1.a14d083c16dc1p-4, -0x1.ae69e71f0e3b9p-4, -0x1.bb4ab09231803p-4, -0x1.c7eecf7911f9cp-4, -0x1.d455b1fe0cf37p-4, -0x1.e07ec9f188b6ap-4, -0x1.ec698d27de06p-4, -0x1.f81575d57bb81p-4, -0x1.01c1017477ffap-3, -0x1.07575c313364ap-3, -0x1.0ccd8fd435f91p-3, -0x1.122363eccae9ap-3, -0x1.1758a30d6aa8p-3, -0x1.1c6d1af11a6e3p-3, -0x1.21609c9ee7f7bp-3, -0x1.2632fc8b6a94p-3, -0x1.2ae412b837178p-3, -0x1.2f73bad13272p-3, -0x1.33e1d447b7799p-3, -0x1.382e426b863d9p-3, -0x1.3c58ec817334fp-3, -0x1.4061bdd7cd7bep-3, -0x1.4448a5d87fa55p-3, -0x1.480d9818e2549p-3, -0x1.4bb08c67488a6p-3, -0x1.4f317ed6421f6p-3, -0x1.52906fc5a523ap-3, -0x1.55cd63e951d1ep-3, -0x1.58e8644dce1e2p-3, -0x1.5be17e5ab478bp-3, -0x1.5eb8c3d309211p-3, -0x1.616e4ad37b4e4p-3, -0x1.64022dcea6689p-3, -0x1.66748b876248ep-3, -0x1.68c587092d0b3p-3, -0x1.6af5479ebd68cp-3, -0x1.6d03f8c6df06ap-3, -0x1.6ef1ca278f0b4p-3, -0x1.70beef7f84f75p-3, -0x1.726ba096308bap-3, -0x1.73f8192a374c6p-3, -0x1.756498de9772bp-3, -0x1.76b163266f6ccp-3, -0x1.77debf2f92618p-3, -0x1.78ecf7cbea9a4p-3, -0x1.79dc5b59cb3e2p-3, -0x1.7aad3bab38694p-3, -0x1.7b5fedec4c53bp-3, -0x1.7bf4ca88b602cp-3, -0x1.7c6c2d1074b52p-3, -0x1.7cc6741be0be8p-3, -0x1.7d04012f063a9p-3, -0x1.7d25389c81151p-3, -0x1.7d2a8167c7f03p-3, -0x1.7d14452716483p-3, -0x1.7ce2efe4f95aep-3, -0x1.7c96f00187bbap-3, -0x1.7c30b6136c0c3p-3, -0x1.7bb0b4c8b84a8p-3, -0x1.7b1760c79f9c9p-3, -0x1.7a65308f27508p-3, -0x1.799a9c57ce2f5p-3, -0x1.78b81df44b903p-3, -0x1.77be30b260e3fp-3, -0x1.76ad513bd5792p-3, -0x1.7585fd77a7e8dp-3, -0x1.7448b46b74494p-3, -0x1.72f5f61d2d1p-3, -0x1.718e4375231e4p-3, -0x1.70121e2069479p-3, -0x1.6e8208739de1cp-3, -0x1.6cde854e23298p-3, -0x1.6b2817fdce65cp-3, -0x1.695f442313f37p-3, -0x1.67848d95b741ap-3, -0x1.6598784a078acp-3, -0x1.639b8836aa2b6p-3, -0x1.618e413b00aacp-3, -0x1.5f71270626ee5p-3, -0x1.5d44bcfe8fc28p-3, -0x1.5b09862a4964ap-3, -0x1.58c00517e5a81p-3, -0x1.5668bbc810455p-3, -0x1.54042b97d1907p-3, -0x1.5192d52b7cb4fp-3, -0x1.4f15385a594ep-3, -0x1.4c8bd41af9652p-3, -0x1.49f7267042e1dp-3, -0x1.4757ac573454dp-3, -0x1.44ade1b55b715p-3, -0x1.41fa414806006p-3, -0x1.3f3d449423a1ep-3, -0x1.3c7763d6e2e89p-3, -0x1.39a915f701e67p-3, -0x1.36d2d076d0686p-3, -0x1.33f50766ee6d6p-3, -0x1.31102d59affc4p-3, -0x1.2e24b3573c545p-3, -0x1.2b3308d25600cp-3, -0x1.283b9b9dd2d8p-3, -0x1.253ed7e2bbfc9p-3, -0x1.223d281715dfp-3, -0x1.1f36f4f552e5p-3, -0x1.1c2ca5745f1dbp-3, -0x1.191e9ec05be2p-3, -0x1.160d4433e66f8p-3, -0x1.12f8f7520846ep-3, -0x1.0fe217c0b365ep-3, -0x1.0cc90343dbf51p-3, -0x1.09ae15b91b2cdp-3, -0x1.0691a913e27c9p-3, -0x1.0374155a39abep-3, -0x1.0055b0a201ce6p-3, -0x1.fa6d9e1d74cb8p-4, -0x1.f42f859f8a5b7p-4, -0x1.edf1b83e54a94p-4, -0x1.e7b4d2819a95cp-4, -0x1.e1796d042ee08p-4, -0x1.db401c7434c47p-4, -0x1.d509719427d96p-4, -0x1.ced5f93cc3621p-4, -0x1.c8a63c5fb226ap-4, -0x1.c27ac00affd34p-4, -0x1.bc54056d44d06p-4, -0x1.b63289da8ad33p-4, -0x1.b016c6d1d6cb8p-4, -0x1.aa0132036480cp-4, -0x1.a3f23d5770acfp-4, -0x1.9dea56f5aa39p-4, -0x1.97e9e94d2bcf7p-4, -0x1.91f15b1cff883p-4, -0x1.8c010f7d25fe8p-4, -0x1.861965e81da63p-4, -0x1.803aba44d6d91p-4, -0x1.7a6564f11fb18p-4, -0x1.7499bacc72f0dp-4, -0x1.6ed80d432b591p-4, -0x1.6920aa5a13086p-4, -0x1.6373dcba48541p-4, -0x1.5dd1ebbd7227cp-4, -0x1.583b1b7a4254p-4, -0x1.52afacd137b83p-4, -0x1.4d2fdd79a319dp-4, -0x1.47bbe80ee608fp-4, -0x1.4254041de5d83p-4, -0x1.3cf86632ab6fdp-4, -0x1.37a93fe632fbap-4, -0x1.3266bfec5ef47p-4, -0x1.2d3112220c0fbp-4, -0x1.28085f9b4370bp-4, -0x1.22ecceb180bbcp-4, -0x1.1dde831215026p-4, -0x1.18dd9dcc919acp-4, -0x1.13ea3d61429efp-4, -0x1.0f047dcfb2925p-4, -0x1.0a2c78a52f9c1p-4, -0x1.0562450b55aeep-4, -0x1.00a5f7d692e25p-4, -0x1.f7ef472953b98p-5, -0x1.eeaeb1364f26p-5, -0x1.e58a4a2ba0779p-5, -0x1.dc822a29f8286p-5, -0x1.d3966537c9515p-5, -0x1.cac70b5db94fdp-5, -0x1.c21428c2e3704p-5, -0x1.b97dc5c8eafc4p-5, -0x1.b103e727d33b6p-5, -0x1.a8a68e09a7999p-5, -0x1.a065b825da45p-5, -0x1.98415fdc63d0fp-5, -0x1.90397c50a10ccp-5, -0x1.884e0183e2656p-5, -0x1.807ee06fac767p-5, -0x1.78cc071fb12ecp-5, -0x1.713560cb720cfp-5, -0x1.69bad5ef89583p-5, -0x1.625c4c66a4885p-5, -0x1.5b19a7821b763p-5, -0x1.53f2c8223049dp-5, -0x1.4ce78ccdf4a1fp-5, -0x1.45f7d1cacb837p-5, -0x1.3f237133891ecp-5, -0x1.386a430f34a3cp-5, -0x1.31cc1d675e6bcp-5, -0x1.2b48d45e1b5d2p-5, -0x1.24e03a43922e1p-5, -0x1.1e921fab278bdp-5, -0x1.185e53803e3d4p-5, -0x1.1244a31a96de9p-5, -0x1.0c44da5237478p-5, -0x1.065ec392fc189p-5, -0x1.009227efb7ee8p-5, -0x1.f5bd9e69c99f9p-6, -0x1.ea88fff5f0b8ap-6, -0x1.df85ff708bfccp-6, -0x1.d4b425a4f1383p-6, -0x1.ca12f95f49afp-6, -0x1.bfa1ff8ded5c9p-6, -0x1.b560bb61e40ep-6, -0x1.ab4eae6e9c87bp-6, -0x1.a16b58c8d84ccp-6, -0x1.97b63924c2e35p-6, -0x1.8e2eccf3413ffp-6, -0x1.84d4907e7d90dp-6, -0x1.7ba6ff05ab3p-6, -0x1.72a592d7f8e33p-6, -0x1.69cfc56ece423p-6, -0x1.61250f873f27ap-6, -0x1.58a4e93abf077p-6, -0x1.504eca171429p-6, -0x1.482229359ba9ep-6, -0x1.401e7d51ca94ap-6, -0x1.38433cdef47dap-6, -0x1.308fde1d6888ep-6, -0x1.2903d72edf38p-6, -0x1.219e9e2a27691p-6, -0x1.1a5fa92e30c7ep-6, -0x1.13466e7473b23p-6, -0x1.0c526462b1a18p-6, -0x1.0583019c02d84p-6, -0x1.fdaf7a22a6333p-7, -0x1.f0a01c2263f35p-7, -0x1.e3d6d8ae32836p-7, -0x1.d752a03406d07p-7, -0x1.cb1264350826bp-7, -0x1.bf15176077e2ep-7, -0x1.b359adad8aec6p-7, -0x1.a7df1c74338f8p-7, -0x1.9ca45a84b017bp-7, -0x1.91a8603e3299fp-7, -0x1.86ea27a4629b9p-7, -0x1.7c68ac73faba1p-7, -0x1.7222ec364e418p-7, -0x1.6817e653eac4cp-7, -0x1.5e469c2633efap-7, -0x1.54ae1108296dap-7, -0x1.4b4d4a663c271p-7, -0x1.42234fcd3996ep-7, -0x1.392f2af86c527p-7, -0x1.306fe7dee87a1p-7, -0x1.27e494bff8642p-7, -0x1.1f8c422ecfc98p-7, -0x1.1766031d70348p-7, -0x1.0f70ece6cfdc9p-7, -0x1.07ac17584d591p-7, -0x1.00169cba5d505p-7, -0x1.f15f33b13f755p-8, -0x1.e2ec5c1276c03p-8, -0x1.d4d2f6672ef8ap-8, -0x1.c7114bad01898p-8, -0x1.b9a5aa1b1c5e2p-8, -0x1.ac8e652c3df53p-8, -0x1.9fc9d5a75a9dbp-8, -0x1.935659a71f806p-8, -0x1.873254a0792dap-8, -0x1.7b5c2f68033ap-8, -0x1.6fd2583693dccp-8, -0x1.649342acc0efbp-8, -0x1.599d67d55748cp-8, -0x1.4eef46272a98ap-8, -0x1.44876185d712bp-8, -0x1.3a644341b5e23p-8, -0x1.30847a1733281p-8, -0x1.26e69a2d12efcp-8, -0x1.1d893d12377adp-8, -0x1.146b01ba826dbp-8, -0x1.0b8a8c7b4f3edp-8, -0x1.02e68706e5587p-8, -0x1.f4fb40cf12ccp-9, -0x1.e49d19f3ecb59p-9, -0x1.d4b00cce2d01fp-9, -0x1.c531973abf4bep-9, -0x1.b61f419358372p-9, -0x1.a7769e9eb5978p-9, -0x1.99354b80577c2p-9, -0x1.8b58efa72291fp-9, -0x1.7ddf3cbb59135p-9, -0x1.70c5ee8b7d9efp-9, -0x1.640acaf888abp-9, -0x1.57aba1e1901b8p-9, -0x1.4ba64d0e61315p-9, -0x1.3ff8b019fdc3bp-9, -0x1.34a0b85c1443ap-9, -0x1.299c5cd1b858bp-9, -0x1.1ee99e0640154p-9, -0x1.148685fadbc7cp-9, -0x1.0a71280e766b4p-9, -0x1.00a7a0e46a9aap-9, -0x1.ee502c96df9dap-10, -0x1.dbe16e46f08cep-10, -0x1.c9ff768855b8cp-10, -0x1.b8a6c6c48fccdp-10, -0x1.a7d3f1ea03619p-10, -0x1.97839c35ea8d3p-10, -0x1.87b27afe8d629p-10, -0x1.785d547c20c93p-10, -0x1.6980ff920e0b1p-10, -0x1.5b1a6397be891p-10, -0x1.4d2678205b785p-10, -0x1.3fa244c3d5429p-10, -0x1.328ae0e5d9bacp-10, -0x1.25dd737edb7d8p-10, -0x1.199732e33acf7p-10, -0x1.0db5648ae1539p-10, -0x1.02355cd94e3b9p-10, -0x1.ee28fdc981e6fp-11, -0x1.d8a0787cf2acep-11, -0x1.c3cc297591dfep-11, -0x1.afa72c7075746p-11, -0x1.9c2cb8d0f089p-11, -0x1.8958212fe818dp-11, -0x1.7724d2ed42889p-11, -0x1.658e55c179348p-11, -0x1.54904b4fc0ddp-11, -0x1.44266eb741225p-11, -0x1.344c94275a0c6p-11, -0x1.24fea8728c523p-11, -0x1.1638b0a2d4468p-11, -0x1.07f6c98fb6b01p-11, -0x1.f46a4ee64dbfep-12, -0x1.d9e02affb4f0dp-12, -0x1.c047eaf25fa63p-12, -0x1.a79a7e9750b22p-12, -0x1.8fd10149de388p-12, -0x1.78e4b920ea9c5p-12, -0x1.62cf161dfc412p-12, -0x1.4d89b16a3ebe2p-12, -0x1.390e4c8d7cafap-12, -0x1.2556d0ab8ac04p-12, -0x1.125d4dc1e5228p-12, -0x1.001bf9e78accfp-12, -0x1.dd1a611e12d21p-13, -0x1.bb56e39435f4dp-13, -0x1.9ae2c3209ffeep-13, -0x1.7bb38e104b6edp-13, -0x1.5dbf17a4cd8d3p-13, -0x1.40fb76a97a476p-13, -0x1.255f0418c5c3p-13, -0x1.0ae059b782119p-13, -0x1.e2eca18828f46p-14, -0x1.b2300139c1867p-14, -0x1.83797aec03412p-14, -0x1.56b82e18c740ap-14, -0x1.2bdbaec030eafp-14, -0x1.02d402e378a36p-14, -0x1.b723402104b21p-15, -0x1.6c0ad1e2505dep-15, -0x1.244155d15639ep-15, -0x1.bf546eb5bf51ep-16, -0x1.3c535bf0b69acp-16, -0x1.7e92e267d2101p-17, -0x1.2008c8e8aaa83p-18, 0x1.4dab01930bb59p-19, 0x1.2c1da1f9d8c2cp-17, 0x1.fa747ea70c753p-17, 0x1.5f6667259026ep-16, 0x1.bcc0a974aa764p-16, 0x1.0aba8a372b7a5p-15, 0x1.34d735b85ad5ep-15, 0x1.5ccb17764a817p-15, 0x1.82aa5216eb789p-15, 0x1.a6886e7619478p-15, 0x1.c8785f676db04p-15, 0x1.e88c85572bb24p-15, 0x1.036b58f7e623cp-14, 0x1.11b415c936828p-14, 0x1.1f28d86a7b789p-14, 0x1.2bd1bdf7c6907p-14, 0x1.37b6a305f5f8fp-14, 0x1.42df2547243a7p-14, 0x1.4d52a5237f54p-14, 0x1.5718474c207bp-14, 0x1.6036f6460cb07p-14, 0x1.68b563edf7a7cp-14, 0x1.709a0af28603cp-14, 0x1.77eb3048da112p-14, 0x1.7eaee497b7709p-14, 0x1.84eb059a9ace5p-14, 0x1.8aa53f7e69eep-14, 0x1.8fe30e3a247f3p-14, 0x1.94a9beda89129p-14, 0x1.98fe70cc47afdp-14, 0x1.9ce61718e020dp-14, 0x1.a06579a3ee214p-14, 0x1.a381365b2000fp-14, 0x1.a63dc260a1619p-14, 0x1.a89f6b34d4271p-14, 0x1.aaaa57d179251p-14, 0x1.ac6289c560fd4p-14, 0x1.adcbde447b638p-14, 0x1.aeea0f31d758ap-14, 0x1.afc0b4282cb14p-14, 0x1.b05343796e947p-14, 0x1.b0a513267528bp-14, 0x1.b0b959d4b441p-14, 0x1.b0932fbe74eacp-14, 0x1.b0358f9814bc4p-14, 0x1.afa3577480c86p-14, 0x1.aedf499f5c0ep-14, 0x1.adec0d7adede4p-14, 0x1.accc304f7bbfap-14, 0x1.ab82261afd357p-14, 0x1.aa104a587b76ap-14, 0x1.a878e0c46a585p-14, 0x1.a6be161c29e6cp-14, 0x1.a4e200d58bf25p-14, 0x1.a2e6a1d6cc5d2p-14, 0x1.a0cde525dc69cp-14, 0x1.9e99a2974026ep-14, 0x1.9c4b9e73b02f9p-14, 0x1.99e58a1c9a1b8p-14, 0x1.976904a8cc798p-14, 0x1.94d79b811c4d4p-14, 0x1.9232caf7a5077p-14, 0x1.8f7bfed9db59bp-14, 0x1.8cb4930091d76p-14, 0x1.89ddd3daf9b3fp-14, 0x1.86f8fef50bb3bp-14, 0x1.8407437bc530ap-14, 0x1.8109c2bb2b915p-14, 0x1.7e01909d91203p-14, 0x1.7aefb422f9e5p-14, 0x1.77d527d784a73p-14, 0x1.74b2da464015bp-14, 0x1.7189ae665173cp-14, 0x1.6e5a7c07367cdp-14, 0x1.6b26103966483p-14, 0x1.67ed2db4dbddcp-14, 0x1.64b08d3b181ffp-14, 0x1.6170ddf772d3p-14, 0x1.5e2ec5dd6babbp-14, 0x1.5aeae2004838p-14, 0x1.57a5c6ec9859p-14, 0x1.546000fa5f26ep-14, 0x1.511a14a29ab9p-14, 0x1.4dd47ecd35fap-14, 0x1.4a8fb51f8221dp-14, 0x1.474c264758dd2p-14, 0x1.440a3a42142edp-14, 0x1.40ca52a30a33p-14, 0x1.3d8ccad94a78cp-14, 0x1.3a51f86f66cc9p-14, 0x1.371a2b4d06a83p-14, 0x1.33e5adf420728p-14, 0x1.30b4c5bc7e13p-14, 0x1.2d87b30e7f542p-14, 0x1.2a5eb199b4853p-14, 0x1.2739f88bc5da4p-14, 0x1.2419bac392858p-14, 0x1.20fe27045706p-14, 0x1.1de76826c11dbp-14, 0x1.1ad5a54706b58p-14, 0x1.17c901f3a1962p-14, 0x1.14c19e57f1ca7p-14, 0x1.11bf9766f3762p-14, 0x1.0ec307046c524p-14, 0x1.0bcc042b6e0e1p-14, 0x1.08daa314dde9ep-14, 0x1.05eef55bc114fp-14, 0x1.03090a20a1eb7p-14, 0x1.0028ee2c80a73p-14, 0x1.fa9d581e336a2p-15, 0x1.f4f4988141753p-15, 0x1.ef57aa7d32d17p-15, 0x1.e9c697529c391p-15, 0x1.e44164bfff70bp-15, 0x1.dec81535c1d4cp-15, 0x1.d95aa809f4105p-15, 0x1.d3f919adcd6b2p-15, 0x1.cea363d8943eep-15, 0x1.c9597db79fbfdp-15, 0x1.c41b5c193b671p-15, 0x1.bee8f19649b54p-15, 0x1.b9c22ebb44d35p-15, 0x1.b4a7022daaa16p-15, 0x1.af9758d1a719dp-15, 0x1.aa931dee7452p-15, 0x1.a59a3b4e5b10ap-15, 0x1.a0ac995df35cp-15, 0x1.9bca1f4dc4d65p-15, 0x1.96f2b32cb7783p-15, 0x1.92263a047edcbp-15, 0x1.8d6497f4a080dp-15, 0x1.88adb04d46221p-15, 0x1.840165a63f5ebp-15, 0x1.7f5f99f5d4dcap-15, 0x1.7ac82ea67f876p-15, 0x1.763b04acac0e9p-15, 0x1.71b7fc98510e5p-15, 0x1.6d3ef6a89cf77p-15, 0x1.68cfd2df8da12p-15, 0x1.646a710e40cddp-15, 0x1.600eb0e9c3bf7p-15, 0x1.5bbc72170218fp-15, 0x1.577394385c73p-15, 0x1.5333f6fdb4b91p-15, 0x1.4efd7a2cf29fcp-15, 0x1.4acffdae6e772p-15, 0x1.46ab619af7cbep-15, }}, 
      {{0x1.7d680068babbcp-7, 0x1.7d34e83bf79a8p-6, 0x1.1da7f4552911dp-5, 0x1.7c6963849c4e7p-5, 0x1.dac6141418c1ep-5, 0x1.1c52f4822fb9cp-4, 0x1.4af8b8abfe02bp-4, 0x1.7948ff1b0220ap-4, 0x1.a738da656371bp-4, 0x1.d4bdce7987bdcp-4, 0x1.00e6eb5bacf8p-3, 0x1.172fb57db27b3p-3, 0x1.2d34c1d2478c8p-3, 0x1.42f1ce450ba77p-3, 0x1.5862db6a0828dp-3, 0x1.6d842cd847349p-3, 0x1.825248f6a50dp-3, 0x1.96c9f845d0ed9p-3, 0x1.aae8443856229p-3, 0x1.beaa75ad4862ep-3, 0x1.d20e1323ca179p-3, 0x1.e510debcfb3cbp-3, 0x1.f7b0d41fe3fep-3, 0x1.04f61327cc0bep-2, 0x1.0de09ec023735p-2, 0x1.16975a7a065efp-2, 0x1.1f19ac7286d8ep-2, 0x1.2767123fa3db1p-2, 0x1.2f7f1ff539236p-2, 0x1.37617f3137ccbp-2, 0x1.3f0dee2dfe5fdp-2, 0x1.46843ed96907bp-2, 0x1.4dc455ef2d528p-2, 0x1.54ce2a154a1bbp-2, 0x1.5ba1c2f99e929p-2, 0x1.623f38700ae91p-2, 0x1.68a6b190e503ap-2, 0x1.6ed863d7e2257p-2, 0x1.74d49243e46f2p-2, 0x1.7a9b8c78686acp-2, 0x1.802dade16ccbp-2, 0x1.858b5cdae970cp-2, 0x1.8ab509dce0ad7p-2, 0x1.8fab2ead2a634p-2, 0x1.946e4d9801574p-2, 0x1.98fef0b04498p-2, 0x1.9d5da91844ec4p-2, 0x1.a18b0e53c4f81p-2, 0x1.a587bda3b713p-2, 0x1.a954596c0b7efp-2, 0x1.acf188a3c040cp-2, 0x1.b05ff64f353efp-2, 0x1.b3a05104a4fb8p-2, 0x1.b6b34a7a7ff0ap-2, 0x1.b999971f45688p-2, 0x1.bc53edba67771p-2, 0x1.bee30715a72fdp-2, 0x1.c1479dae50eccp-2, 0x1.c3826d6db4998p-2, 0x1.c59433682cba4p-2, 0x1.c77dada20838ap-2, 0x1.c93f9ad9b0b5fp-2, 0x1.cadaba56624f1p-2, 0x1.cc4fcbbaddf65p-2, 0x1.cd9f8edb7f18bp-2, 0x1.cecac3972edb8p-2, 0x1.cfd229b2b485ep-2, 0x1.d0b680b5ffb04p-2, 0x1.d17887cafc851p-2, 0x1.d218fd9daec78p-2, 0x1.d298a03d40813p-2, 0x1.d2f82cfdd70a1p-2, 0x1.d338605af7702p-2, 0x1.d359f5da62809p-2, 0x1.d35da7ef4cbb1p-2, 0x1.d3442fdde732bp-2, 0x1.d30e459f34139p-2, 0x1.d2bc9fc527af9p-2, 0x1.d24ff35f26c7ep-2, 0x1.d1c8f3dee598bp-2, 0x1.d12852fdc2097p-2, 0x1.d06ec0a2abec8p-2, 0x1.cf9ceac8b5bp-2, 0x1.ceb37d66629d8p-2, 0x1.cdb32255d08fbp-2, 0x1.cc9c813dd8d43p-2, 0x1.cb703f7c3b922p-2, 0x1.ca2f0010f7945p-2, 0x1.c8d9638adddaep-2, 0x1.c77007f57ae6fp-2, 0x1.c5f388c86596bp-2, 0x1.c4647ed808acap-2, 0x1.c2c38047efcf4p-2, 0x1.c111207ea8b68p-2, 0x1.bf4df01b3b2b5p-2, 0x1.bd7a7cec457abp-2, 0x1.bb9751e8b5e36p-2, 0x1.b9a4f72a2c6c9p-2, 0x1.b7a3f1e8fb083p-2, 0x1.b594c479c00c2p-2, 0x1.b377ee4c99afcp-2, 0x1.b14debeddf343p-2, 0x1.af1737085e65fp-2, 0x1.acd44669093bep-2, 0x1.aa858e0405815p-2, 0x1.a82b7efb12ab4p-2, 0x1.a5c687a52d377p-2, 0x1.a35713976344ep-2, 0x1.a0dd8baec0e3ap-2, 0x1.9e5a561b4527fp-2, 0x1.9bcdd66bc75efp-2, 0x1.99386d9ab5f83p-2, 0x1.969a7a1ba02ebp-2, 0x1.93f457e96d6aep-2, 0x1.914660952fe54p-2, 0x1.8e90eb5580f17p-2, 0x1.8bd44d16497a7p-2, 0x1.8910d888ed73ap-2, 0x1.8646de34bbe5ap-2, 0x1.8376ac879899p-2, 0x1.80a08fe6c5db3p-2, 0x1.7dc4d2bfc4b24p-2, 0x1.7ae3bd99334e1p-2, 0x1.77fd97239d664p-2, 0x1.7512a44a31542p-2, 0x1.7223284345acap-2, 0x1.6f2f64a0a8c15p-2, 0x1.6c37995fadb94p-2, 0x1.693c04f8e3751p-2, 0x1.663ce46f78549p-2, 0x1.633a736037116p-2, 0x1.6034ec101aee1p-2, 0x1.5d2c877a6cb48p-2, 0x1.5a217d5e6ead5p-2, 0x1.5714044c83c48p-2, 0x1.540451b2d8e63p-2, 0x1.50f299e982ef4p-2, 0x1.4ddf103e18ae1p-2, 0x1.4ac9e6febe63p-2, 0x1.47b34f84a5d6fp-2, 0x1.449b7a3dff815p-2, 0x1.418296b75f623p-2, 0x1.3e68d3a493cddp-2, 0x1.3b4e5ee8f1ae2p-2, 0x1.3833659f1326bp-2, 0x1.3518142010144p-2, 0x1.31fc960a322afp-2, 0x1.2ee11647204cdp-2, 0x1.2bc5bf11900d5p-2, 0x1.28aab9fa77a92p-2, 0x1.25902fedc77cep-2, 0x1.22764936b1221p-2, 0x1.1f5d2d837a709p-2, 0x1.1c4503e8eb58p-2, 0x1.192df2e54ce4dp-2, 0x1.161820630cca8p-2, 0x1.1303b1bb009ccp-2, 0x1.0ff0cbb64f4fcp-2, 0x1.0cdf92900b1e7p-2, 0x1.09d029f679a27p-2, 0x1.06c2b50c143bfp-2, 0x1.03b7566842fcdp-2, 0x1.00ae3017d91f2p-2, 0x1.fb4ec73aadfbep-3, 0x1.f54623e1e7844p-3, 0x1.ef42b700f4669p-3, 0x1.e944c05dea4f4p-3, 0x1.e34c7ea86d234p-3, 0x1.dd5a2f7870953p-3, 0x1.d76e0f4cc4f31p-3, 0x1.d18859896039dp-3, 0x1.cba9487585bb5p-3, 0x1.c5d11539bf269p-3, 0x1.bffff7ddb8882p-3, 0x1.ba36274603aa6p-3, 0x1.b473d931cabe8p-3, 0x1.aeb9423879596p-3, 0x1.a90695c75bc2ap-3, 0x1.a35c061f42aa4p-3, 0x1.9db9c4522fa99p-3, 0x1.9820004105496p-3, 0x1.928ee8994d04fp-3, 0x1.8d06aad30ee54p-3, 0x1.8787732ec622dp-3, 0x1.82116cb36bc53p-3, 0x1.7ca4c12ca633cp-3, 0x1.7741992919528p-3, 0x1.71e81bf8dd528p-3, 0x1.6c986fac1fbb2p-3, 0x1.6752b911ea461p-3, 0x1.62171bb71f62fp-3, 0x1.5ce5b9e59e50ap-3, 0x1.57beb4a39b1bdp-3, 0x1.52a22bb3253cp-3, 0x1.4d903d91ea01p-3, 0x1.488907791cd33p-3, 0x1.438ca55da32e5p-3, 0x1.3e9b31f06831bp-3, 0x1.39b4c69ef0668p-3, 0x1.34d97b941b432p-3, 0x1.300967b91f9e4p-3, 0x1.2b44a0b6b9632p-3, 0x1.268b3af68f923p-3, 0x1.21dd49a4c8dfap-3, 0x1.1d3adeb1dde4cp-3, 0x1.18a40ad492058p-3, 0x1.1418dd8c29072p-3, 0x1.0f996522c7c08p-3, 0x1.0b25aeb006ee4p-3, 0x1.06bdc61bb2014p-3, 0x1.0261b620bab4ap-3, 0x1.fc2310a09c1f8p-4, 0x1.f39a8a2a3c5f8p-4, 0x1.eb29e76d9e7fdp-4, 0x1.e2d134bb20da2p-4, 0x1.da907c2bb010ap-4, 0x1.d267c5a883ef3p-4, 0x1.ca5716f33989ep-4, 0x1.c25e73ae124cdp-4, 0x1.ba7ddd6483f8dp-4, 0x1.b2b5539406326p-4, 0x1.ab04d3b50dce3p-4, 0x1.a36c594445b04p-4, 0x1.9bebddcbf8ecfp-4, 0x1.948358eda3cb4p-4, 0x1.8d32c06bbfb5cp-4, 0x1.85fa0833a4485p-4, 0x1.7ed922679782fp-4, 0x1.77cfff68fe88ep-4, 0x1.70de8de2a6791p-4, 0x1.6a04bad32dd2cp-4, 0x1.6342719781069p-4, 0x1.5c979bf56bf75p-4, 0x1.560422263ce5p-4, 0x1.4f87eae174028p-4, 0x1.4922db67803d4p-4, 0x1.42d4d78c80c47p-4, 0x1.3c9dc1c30e4e1p-4, 0x1.367d7b27045c1p-4, 0x1.3073e3884cf78p-4, 0x1.2a80d975a6f86p-4, 0x1.24a43a4767e6ap-4, 0x1.1edde22a35c48p-4, 0x1.192dac29b72aep-4, 0x1.1393723b3607bp-4, 0x1.0e0f0d4833682p-4, 0x1.08a05538ebf4p-4, 0x1.034720fec6f3dp-4, 0x1.fc068d3d6723p-5, 0x1.f1a93676da3c3p-5, 0x1.e775e63f4f2f7p-5, 0x1.dd6c439045b4cp-5, 0x1.d38bf3db41938p-5, 0x1.c9d49b1d7f045p-5, 0x1.c045dbf367649p-5, 0x1.b6df57abc7a29p-5, 0x1.ada0ae5ac4846p-5, 0x1.a4897eec86cdfp-5, 0x1.9b996737a5f5ep-5, 0x1.92d0040f41ed9p-5, 0x1.8a2cf154db1dcp-5, 0x1.81afca09d37b8p-5, 0x1.79582860aa4cep-5, 0x1.7125a5cddff7cp-5, 0x1.6917db188f936p-5, 0x1.612e606ab0297p-5, 0x1.5968cd6103fd6p-5, 0x1.51c6b91ab631cp-5, 0x1.4a47ba489eb65p-5, 0x1.42eb673c332c7p-5, 0x1.3bb155f61db93p-5, 0x1.34991c348128fp-5, 0x1.2da24f80e0898p-5, 0x1.26cc853db2533p-5, 0x1.201752b39a33ap-5, 0x1.19824d1e49205p-5, 0x1.130d09b90a05cp-5, 0x1.0cb71dcaf139fp-5, 0x1.06801eb2b614ep-5, 0x1.0067a1f234939p-5, 0x1.f4da7a73367aap-6, 0x1.e9210ce47630bp-6, 0x1.dda22792124fep-6, 0x1.d25cf771882c1p-6, 0x1.c750aa2792945p-6, 0x1.bc7c6e1b1e742p-6, 0x1.b1df7287afe6bp-6, 0x1.a778e78f067b4p-6, 0x1.9d47fe4a2f1afp-6, 0x1.934be8d9ea3cp-6, 0x1.8983da767d9a7p-6, 0x1.7fef077edc59dp-6, 0x1.768ca58737284p-6, 0x1.6d5beb66f5161p-6, 0x1.645c11460ecdbp-6, 0x1.5b8c50a9daf1ep-6, 0x1.52ebe481454d9p-6, 0x1.4a7a093075c25p-6, 0x1.4235fc9be153ep-6, 0x1.3a1efe32dbd61p-6, 0x1.32344ef99c292p-6, 0x1.2a753192b5221p-6, 0x1.22e0ea4811313p-6, 0x1.1b76bf13641c8p-6, 0x1.1435f7a62a065p-6, 0x1.0d1ddd711df06p-6, 0x1.062dbbab432c9p-6, 0x1.fec9beb0d93cfp-7, 0x1.f1852e9eb0a78p-7, 0x1.e48c687ea85eep-7, 0x1.d7de116ae99e9p-7, 0x1.cb78d242d5416p-7, 0x1.bf5b57b3beab1p-7, 0x1.b3845240e74a5p-7, 0x1.a7f2764ab3aa2p-7, 0x1.9ca47c151a13p-7, 0x1.91991fcd5a365p-7, 0x1.86cf218efde46p-7, 0x1.7c45456814ba2p-7, 0x1.71fa535ce74afp-7, 0x1.67ed176ad45ecp-7, 0x1.5e1c618ab3befp-7, 0x1.548705b28a7fcp-7, 0x1.4b2bdbd69ed86p-7, 0x1.4209bfea0d52p-7, 0x1.391f91deb2aedp-7, 0x1.306c35a4a612fp-7, 0x1.27ee9329215efp-7, 0x1.1fa59654eb05p-7, 0x1.17902f0a46d4fp-7, 0x1.0fad512264bd8p-7, 0x1.07fbf46a6b35dp-7, 0x1.007b14a00b91bp-7, 0x1.f25362db493f3p-8, 0x1.e40d9ccc316cap-8, 0x1.d622e600549c4p-8, 0x1.c8915522eefbap-8, 0x1.bb57089269bd9p-8, 0x1.ae722654f2844p-8, 0x1.a1e0dc0c9d6bdp-8, 0x1.95a15eeac5fd3p-8, 0x1.89b1eba2f3b77p-8, 0x1.7e10c65d1c782p-8, 0x1.72bc3aa76b9a2p-8, 0x1.67b29b6796858p-8, 0x1.5cf242cbaab35p-8, 0x1.5279923a5b0f7p-8, 0x1.4846f2431d80ap-8, 0x1.3e58d28d8d41cp-8, 0x1.34ada9c8aae5p-8, 0x1.2b43f599c3f3fp-8, 0x1.221a3a8ada7dfp-8, 0x1.192f03f8fce36p-8, 0x1.1080e4021b061p-8, 0x1.080e7372c80d6p-8, 0x1.ffaca367307cep-9, 0x1.efae496cd36f5p-9, 0x1.e01f31c6b0e64p-9, 0x1.d0fcc20b516dap-9, 0x1.c2446c70c95a9p-9, 0x1.b3f3afa5e3a94p-9, 0x1.a60816aad3d2p-9, 0x1.987f38a9cf698p-9, 0x1.8b56b8cf76c6fp-9, 0x1.7e8c46230dd04p-9, 0x1.721d9b5e8c3e6p-9, 0x1.66087ec6b1d21p-9, 0x1.5a4ac202bad52p-9, 0x1.4ee241f463fc1p-9, 0x1.43cce68fb71c3p-9, 0x1.3908a2b2d872p-9, 0x1.2e9373fdde09cp-9, 0x1.246b62aab41a8p-9, 0x1.1a8e81652f8a6p-9, 0x1.10faed22f48abp-9, 0x1.07aeccfbbc563p-9, 0x1.fd50a4030f99dp-10, 0x1.ebcb6e3239dc1p-10, 0x1.daca81a55534dp-10, 0x1.ca4a7a84f834p-10, 0x1.ba4807b413089p-10, 0x1.aabfea8213b23p-10, 0x1.9baef65e0786fp-10, 0x1.8d121089b5f72p-10, 0x1.7ee62fcd84dadp-10, 0x1.71285c2cd657fp-10, 0x1.63d5ae9ae9637p-10, 0x1.56eb50b0806a6p-10, 0x1.4a667c61bce6ap-10, 0x1.3e447bb525503p-10, 0x1.3282a87aa44cep-10, 0x1.271e6c03e0673p-10, 0x1.1c153edc9604fp-10, 0x1.1164a88462aa1p-10, 0x1.070a3f287e373p-10, 0x1.fa074ebd9cbeap-11, 0x1.e69d27c251016p-11, 0x1.d3d18a938e65dp-11, 0x1.c1a013a09515cp-11, 0x1.b0047a0e9eb57p-11, 0x1.9efa8f36a7deep-11, 0x1.8e7e3e23637eep-11, 0x1.7e8b8b11dabf1p-11, 0x1.6f1e92f34c76ap-11, 0x1.60338af051c4ep-11, 0x1.51c6bfedc94eep-11, 0x1.43d49613d3a92p-11, 0x1.36598855869a3p-11, 0x1.295227fb75ab5p-11, 0x1.1cbb1c2e72578p-11, 0x1.1091218534ac5p-11, 0x1.04d10992c2a59p-11, 0x1.f2ef74ede9477p-12, 0x1.dd045ce08632dp-12, 0x1.c7dae6df24825p-12, 0x1.b36d555af3dbp-12, 0x1.9fb61081db0fdp-12, 0x1.8cafa5702bc4cp-12, 0x1.7a54c5645f969p-12, 0x1.68a044f650f9p-12, 0x1.578d1b527af4ap-12, 0x1.471661773ececp-12, 0x1.373751766f9dfp-12, 0x1.27eb45b910d19p-12, 0x1.192db846e6019p-12, 0x1.0afa4210e87c6p-12, 0x1.fa99347d70619p-13, 0x1.e0412afe7eb2p-13, 0x1.c6e44ab878af1p-13, 0x1.ae7aaf220945dp-13, 0x1.96fcaac8bc263p-13, 0x1.8062c609bdcd9p-13, 0x1.6aa5bdd23c539p-13, 0x1.55be82639ee65p-13, 0x1.41a6361decbe5p-13, 0x1.2e562c51d220cp-13, 0x1.1bc7e8159014ep-13, 0x1.09f51b21eb6edp-13, 0x1.f1af4965cbdc1p-14, 0x1.d0d320de97502p-14, 0x1.b14a2aa878209p-14, 0x1.9309295108142p-14, 0x1.760531e433739p-14, 0x1.5a33a9e65220bp-14, 0x1.3f8a455652bf7p-14, 0x1.25ff04baec5e2p-14, 0x1.0d883339fad59p-14, 0x1.ec38c973bc81fp-15, 0x1.bf64e81965569p-15, 0x1.9483024851b1ep-15, 0x1.6b81dea166c4p-15, 0x1.4450c70d6b051p-15, 0x1.1edf8565bee26p-15, 0x1.f63cc0446e0fap-16, 0x1.b1fc2e4320357p-16, 0x1.70dfc1010dc88p-16, 0x1.32cacb03a7e0fp-16, 0x1.ef42fe291bbd8p-17, 0x1.7e91d4b50824dp-17, 0x1.134ddd0e1621ep-17, 0x1.5a88f0dc57149p-18, 0x1.31126b2d78b03p-19, -0x1.fc27fdc59847dp-22, -0x1.9d6c79d8c978dp-19, -0x1.74ab28f4cb777p-18, -0x1.08fbccb2072c8p-17, -0x1.537792c55359ap-17, -0x1.99f15ce0cfd49p-17, -0x1.dc90552bf2f27p-17, -0x1.0dbd3179dbd1ap-16, -0x1.2b6a19d582cfp-16, -0x1.4760a1d834d8p-16, -0x1.61b1f36de6bb7p-16, -0x1.7a6ea86a1f311p-16, -0x1.91a6cea2721cfp-16, -0x1.a769ebdfb1b27p-16, -0x1.bbc701ca580d5p-16, -0x1.cecc91af2b0dcp-16, -0x1.e088a033c23p-16, -0x1.f108b8f4ff66p-16, -0x1.002cf902a879ap-15, -0x1.074477af65eb1p-15, -0x1.0dd0f31dbedbbp-15, -0x1.13d8502d3e56p-15, -0x1.19603f95e11ap-15, -0x1.1e6e3f7486c6p-15, -0x1.23079ccd1e559p-15, -0x1.273175052b05ap-15, -0x1.2af0b75139bfdp-15, -0x1.2e4a261cf6387p-15, -0x1.314258657d83cp-15, -0x1.33ddbb0d26c58p-15, -0x1.362092262d359p-15, -0x1.380efa3506ae1p-15, -0x1.39ace968948c9p-15, -0x1.3afe30ccae60ep-15, -0x1.3c067d71c1dacp-15, -0x1.3cc9598d194bbp-15, -0x1.3d4a2d9360f05p-15, -0x1.3d8c414aa3cd3p-15, -0x1.3d92bcd3d2223p-15, -0x1.3d60a9acead6dp-15, -0x1.3cf8f3adb7459p-15, -0x1.3c5e69fbbdbf7p-15, -0x1.3b93bff9459d3p-15, -0x1.3a9b8e2c31488p-15, -0x1.3978531f480cep-15, -0x1.382c743dca393p-15, -0x1.36ba3ea5fa0a9p-15, -0x1.3523e7f943584p-15, -0x1.336b8f23426bep-15, -0x1.31933d1e8bd45p-15, -0x1.2f9ce5b0e8316p-15, -0x1.2d8a6823e2348p-15, -0x1.2b5d8ff693f7fp-15, -0x1.2918158bb1a5cp-15, -0x1.26bb9ed0ea84p-15, -0x1.2449bfe1af247p-15, -0x1.21c3fba7e6ad2p-15, -0x1.1f2bc4742a1dp-15, -0x1.1c827c93ccccp-15, -0x1.19c976e0ad2ap-15, -0x1.1701f74e2be8ap-15, -0x1.142d337147128p-15, -0x1.114c5303b2ddfp-15, -0x1.0e6070654e0b5p-15, -0x1.0b6a991780bd1p-15, -0x1.086bce35813cap-15, -0x1.056504e93d193p-15, -0x1.025726db2a094p-15, -0x1.fe8625424227ep-16, -0x1.f853384db4b11p-16, -0x1.f2171a2b2ab1ap-16, -0x1.ebd34a6d21c29p-16, -0x1.e58935a881b1dp-16, -0x1.df3a362ccb651p-16, -0x1.d8e794b8a34fcp-16, -0x1.d2928929496f1p-16, -0x1.cc3c3b2265b3fp-16, -0x1.c5e5c2b1f93c7p-16, -0x1.bf9028ed863ebp-16, -0x1.b93c688aaa0eep-16, -0x1.b2eb6e721b0a4p-16, -0x1.ac9e1a4f8257dp-16, -0x1.a6553f1af13c3p-16, -0x1.a011a39d0f583p-16, -0x1.99d402f20ebc6p-16, -0x1.939d0d0377f38p-16, -0x1.8d6d6701491d1p-16, -0x1.8745abd4c7a91p-16, -0x1.81266c916c68ep-16, -0x1.7b1030e156a13p-16, -0x1.7503776dff4d7p-16, -0x1.6f00b6436021dp-16, -0x1.69085b312acbfp-16, -0x1.631acc28364ddp-16, -0x1.5d38679431961p-16, -0x1.576184b3bb5d6p-16, -0x1.519673ea5899ap-16, -0x1.4bd77f13bf0e6p-16, -0x1.4624e9cfd64a4p-16, -0x1.407ef1ce8b3fcp-16, -0x1.3ae5cf165ef23p-16, -0x1.3559b44acfabp-16, -0x1.2fdaceeef6d89p-16, -0x1.2a6947a6b6b65p-16, -0x1.25054273095cp-16, -0x1.1faedeedbfafbp-16, -0x1.1a6638836ed9bp-16, -0x1.152b66aa8537ep-16, -0x1.0ffe7d163595ap-16, -0x1.0adf8bea49b22p-16, -0x1.05ce9febde4d3p-16, -0x1.00cbc2afb71d6p-16, -0x1.f7adf58f9efdp-17, -0x1.ede097da960dap-17, -0x1.e42f6e55a7455p-17, -0x1.da9a760613882p-17, -0x1.d121a7316ddc3p-17, -0x1.c7c4f59f36991p-17, -0x1.be8450e2e6e01p-17, -0x1.b55fa49e2a524p-17, -0x1.ac56d8bf0c966p-17, -0x1.a369d1bf7c6bdp-17, -0x1.9a9870daa294fp-17, -0x1.91e2944959409p-17, -0x1.894817753414ap-17, -0x1.80c8d32d4e2f6p-17, -0x1.78649dd4b1919p-17, -0x1.701b4b9218692p-17, -0x1.67ecae7b14effp-17, -0x1.5fd896bfdc243p-17, -0x1.57ded2d0cf627p-17, -0x1.4fff2f8538f63p-17, -0x1.483978406f865p-17, -0x1.408d7714b245ap-17, -0x1.38faf4e49b1e7p-17, -0x1.3181b98048baep-17, -0x1.2a218bc3870ecp-17, -0x1.22da31b2a2c2ap-17, -0x1.1bab7093214cdp-17, -0x1.14950d0811814p-17, -0x1.0d96cb26d7c26p-17, -0x1.06b06e909f00cp-17, -0x1.ffc3750c8e8bap-18, -0x1.f254e3fb0984fp-18, -0x1.e514af64c395dp-18, -0x1.d8025c71b2a38p-18, -0x1.cb1d701e3246ep-18, -0x1.be656f572381bp-18, -0x1.b1d9df1a7b804p-18, -0x1.a57a44940798dp-18, -0x1.994625322c84ap-18, -0x1.8d3d06c5724cdp-18, -0x1.815e6f913ba59p-18, -0x1.75a9e664f3ea9p-18, -0x1.6a1ef2adebe4cp-18, -0x1.5ebd1c876db8fp-18, -0x1.5383ecd260e06p-18, -0x1.4872ed3dee544p-18, -0x1.3d89a85aefb27p-18, -0x1.32c7a9a41aa3ep-18, -0x1.282c7d8e28adfp-18, -0x1.1db7b191df9e1p-18, -0x1.1368d432f12f6p-18, -0x1.093f750ebadbfp-18, -0x1.fe7649bec9acbp-19, -0x1.eab6eb0a9997ep-19, -0x1.d73ff41d078efp-19, -0x1.c4108d7060469p-19, -0x1.b127e1f41fa81p-19, -0x1.9e851f06f5bc9p-19, -0x1.8c277488d396p-19, -0x1.7a0e14dcd9e9ap-19, -0x1.683834ee73526p-19, -0x1.56a50c34cae9cp-19, -0x1.4553d4b351717p-19, -0x1.3443cafc0a77dp-19, -0x1.23742e32f239p-19, -0x1.12e440048e401p-19, -0x1.029344b20874ap-19, -0x1.e50106066d7cp-20, -0x1.c556888ff1d92p-20, -0x1.a625a8b68cd03p-20, -0x1.876d0329fbd08p-20, -0x1.692b3999de33cp-20, -0x1.4b5ef2a48b754p-20, -0x1.2e06d9cd8263cp-20, -0x1.11219f6fc052p-20, -0x1.e95bf15f652e2p-21, }}, 
      {{-0x1.6df42884319a7p-1, -0x1.6e09192ad2b36p-1, -0x1.6e299794d494bp-1, -0x1.6e5236f03f71ep-1, -0x1.6e7e7b842e264p-1, -0x1.6ea9152ff65a7p-1, -0x1.6ecc1a03ad7f1p-1, -0x1.6ee13d9704985p-1, -0x1.6ee2032d15822p-1, -0x1.6ec7e9abbc8e1p-1, -0x1.6e8c911247b1ep-1, -0x1.6e29d985f6c7dp-1, -0x1.6d99fc4cc3f5fp-1, -0x1.6cd79f35426e7p-1, -0x1.6bdde2fde695ap-1, -0x1.6aa86d550978dp-1, -0x1.69336f09b7cd4p-1, -0x1.677ba6fec2479p-1, -0x1.657e62679469bp-1, -0x1.63397aca90759p-1, -0x1.60ab5237f6059p-1, -0x1.5dd2ce17783a5p-1, -0x1.5aaf50e20f904p-1, -0x1.5740b311a0d1cp-1, -0x1.53873b84fc176p-1, -0x1.4f83978c9afd1p-1, -0x1.4b36d2cb756dfp-1, -0x1.46a24f0f49503p-1, -0x1.41c7bc3cb4377p-1, -0x1.3ca910658744cp-1, -0x1.3748801a993dcp-1, -0x1.31a87706224aap-1, -0x1.2bcb90d80d3eap-1, -0x1.25b4928acee91p-1, -0x1.1f666404e5d34p-1, -0x1.18e40a1947d68p-1, -0x1.1230a0e77aa89p-1, -0x1.0b4f569ae53d8p-1, -0x1.04436688039aap-1, -0x1.fa20294ad4179p-2, -0x1.eb7152bc1a80fp-2, -0x1.dc80db73b313ep-2, -0x1.cd554fb2c9189p-2, -0x1.bdf52f82aadd1p-2, -0x1.ae66e8e4074ffp-2, -0x1.9eb0d28f717c8p-2, -0x1.8ed927400d8eap-2, -0x1.7ee601812bca6p-2, -0x1.6edd57f7d1433p-2, -0x1.5ec4fa211c86dp-2, -0x1.4ea28d7eb90c6p-2, -0x1.3e7b8b2a9ec57p-2, -0x1.2e553dcb94cd9p-2, -0x1.1e34bfe40e4e5p-2, -0x1.0e1efa753804p-2, -0x1.fc3147e0556dp-3, -0x1.dc4c7edef72d2p-3, -0x1.bc9838671c3p-3, -0x1.9d1caab8881e9p-3, -0x1.7de1a3b5c327cp-3, -0x1.5eee892e66ac7p-3, -0x1.404a598667aa8p-3, -0x1.21fbacb17612dp-3, -0x1.0408b579cdb48p-3, -0x1.ccee8614b7f63p-4, -0x1.929985694004dp-4, -0x1.591c83d5dd8c7p-4, -0x1.2080e0d0dd0acp-4, -0x1.d19e8a01561bdp-5, -0x1.641f4e3a1c187p-5, -0x1.f12544200c29cp-6, -0x1.1e0b944fefda5p-6, -0x1.3c2636e025251p-8, 0x1.ef2d05d04f83ap-8, 0x1.425fa71fd2f8p-6, 0x1.02515b6277628p-5, 0x1.6142d9632a9f6p-5, 0x1.bdfdfae767d51p-5, 0x1.0c3eb71250763p-4, 0x1.385e6b817f85cp-4, 0x1.635c6207a9ba9p-4, 0x1.8d3751ca023a3p-4, 0x1.b5ee5c6fd8d41p-4, 0x1.dd8108dfbdb75p-4, 0x1.01f79f0c827c3p-3, 0x1.149c9f15e2d0bp-3, 0x1.26afd0a896dabp-3, 0x1.3831a892d3ebdp-3, 0x1.4922c202fbedap-3, 0x1.5983dc4825c64p-3, 0x1.6955d8a4ef06p-3, 0x1.7899b834cba2bp-3, 0x1.875099e407a7dp-3, 0x1.957bb87a63fcp-3, 0x1.a31c68b85fd3fp-3, 0x1.b0341786fd901p-3, 0x1.bcc44839d6299p-3, 0x1.c8ce92e343c3cp-3, 0x1.d454a2ba56db9p-3, 0x1.df58349237f67p-3, 0x1.e9db1562a94a7p-3, 0x1.f3df20e132818p-3, 0x1.fd66402a9331bp-3, 0x1.0339343e070c1p-2, 0x1.0782ccfe0502cp-2, 0x1.0b90ef48cfe8cp-2, 0x1.0f64a4654b546p-2, 0x1.12fef967a4f2cp-2, 0x1.1660feb208537p-2, 0x1.198bc77bc93f3p-2, 0x1.1c80695ed2e8p-2, 0x1.1f3ffbeb16e51p-2, 0x1.21cb983fc17cep-2, 0x1.242458a9fe057p-2, 0x1.264b584906befp-2, 0x1.2841b2b751fabp-2, 0x1.2a0883b89daa6p-2, 0x1.2ba0e6eca7a47p-2, 0x1.2d0bf7865e479p-2, 0x1.2e4ad00753651p-2, 0x1.2f5e89ff44957p-2, 0x1.30483dcf87b53p-2, 0x1.310902722eadep-2, 0x1.31a1ed44b4ce5p-2, 0x1.321411d60cc9ep-2, 0x1.326081b7e98ddp-2, 0x1.32884c53150f4p-2, 0x1.328c7ebeb6b93p-2, 0x1.326e239a5bbdfp-2, 0x1.322e42eaaf42ep-2, 0x1.31cde1f8af631p-2, 0x1.314e03334c8e8p-2, 0x1.30afa61352bc5p-2, 0x1.2ff3c7017c52dp-2, 0x1.2f1b5f3e98c97p-2, 0x1.2e2764cda91bbp-2, 0x1.2d18ca5fdc803p-2, 0x1.2bf07f425615p-2, 0x1.2aaf6f4d9fcb9p-2, 0x1.295682d6c006ap-2, 0x1.27e69ea1d2af6p-2, 0x1.2660a3d619727p-2, 0x1.24c56ff36e781p-2, 0x1.2315dcc908e1ap-2, 0x1.2152c06d8336ap-2, 0x1.1f7ced38122a9p-2, 0x1.1d9531badc55dp-2, 0x1.1b9c58be6c49cp-2, 0x1.1993293e214a3p-2, 0x1.177a66659ffe4p-2, 0x1.1552cf8f2e6d2p-2, 0x1.131d2042f1288p-2, 0x1.10da1036fff87p-2, 0x1.0e8a53504779ep-2, 0x1.0c2e99a42a0e1p-2, 0x1.09c78f7adbb4ap-2, 0x1.0755dd526a4cdp-2, 0x1.04da27e26dd84p-2, 0x1.0255102052ac4p-2, 0x1.ff8e66887dc6p-3, 0x1.fa62559cfbe2cp-3, 0x1.f527191af02f3p-3, 0x1.efddd5484d744p-3, 0x1.ea87a721fa8ccp-3, 0x1.e525a46a95331p-3, 0x1.dfb8dbb9fb989p-3, 0x1.da42548dac9dap-3, 0x1.d4c30f59da991p-3, 0x1.cf3c059b3a5bbp-3, 0x1.c9ae29e9724b2p-3, 0x1.c41a680a2eda3p-3, 0x1.be81a504c49f5p-3, 0x1.b8e4bf365c843p-3, 0x1.b3448e66a2241p-3, 0x1.ada1e3dce727p-3, 0x1.a7fd8a75b8f6ap-3, 0x1.a25846b8d7345p-3, 0x1.9cb2d6ef8cb42p-3, 0x1.970df33b5c073p-3, 0x1.916a4dacf88d4p-3, 0x1.8bc8925b8f916p-3, 0x1.8629677c4389dp-3, 0x1.808d6d79edb6ap-3, 0x1.7af53f0d09175p-3, 0x1.75617153d308cp-3, 0x1.6fd293ea85654p-3, 0x1.6a493103bd80ap-3, 0x1.64c5cd80f76p-3, 0x1.5f48e90b1c4a7p-3, 0x1.59d2fe2b25961p-3, 0x1.54648262c83ffp-3, 0x1.4efde64524ea7p-3, 0x1.499f958f78bc7p-3, 0x1.4449f741cc7e7p-3, 0x1.3efd6db79a0a7p-3, 0x1.39ba56c0664cap-3, 0x1.34810bb84546cp-3, 0x1.2f51e1a055473p-3, 0x1.2a2d293716103p-3, 0x1.25132f10a91fep-3, 0x1.20043baef32f9p-3, 0x1.1b0093999a839p-3, 0x1.16087775dbe33p-3, 0x1.111c241e40c83p-3, 0x1.0c3bd2ba19bd5p-3, 0x1.0767b8d4d912ep-3, 0x1.02a0087535475p-3, 0x1.fbc9e0683299cp-4, 0x1.f26d36a6bac9cp-4, 0x1.e92a63a892e36p-4, 0x1.e001b11bb52edp-4, 0x1.d6f36285a2e43p-4, 0x1.cdffb56ef922bp-4, 0x1.c526e18e83b87p-4, 0x1.bc6918f3df543p-4, 0x1.b3c688317b9f6p-4, 0x1.ab3f568625b83p-4, 0x1.a2d3a606026a2p-4, 0x1.9a8393c2ef591p-4, 0x1.924f37f467ccp-4, 0x1.8a36a61ebfb4p-4, 0x1.8239ed39d7c46p-4, 0x1.7a5917d736e8bp-4, 0x1.72942c4789cbap-4, 0x1.6aeb2cbf89ab5p-4, 0x1.635e177c477c3p-4, 0x1.5bece6e6dcc39p-4, 0x1.549791b77a6c1p-4, 0x1.4d5e0b17df40dp-4, 0x1.464042c52dcaep-4, 0x1.3f3e25311f471p-4, 0x1.38579ba29e15fp-4, 0x1.318c8c55bb27cp-4, 0x1.2adcda9b05c85p-4, 0x1.244866f643ae1p-4, 0x1.1dcf0f3c883e3p-4, 0x1.1770aeb1ae5dcp-4, 0x1.112d1e253285ep-4, 0x1.0b04340e6da2ap-4, 0x1.04f5c4a83413ap-4, 0x1.fe034417a81e6p-5, 0x1.f24f3896f91a9p-5, 0x1.e6cf031809f9cp-5, 0x1.db823c3c35bbap-5, 0x1.d068792daeb74p-5, 0x1.c5814bcf786a1p-5, 0x1.bacc42ec2f2c2p-5, 0x1.b048ea63a9c0ap-5, 0x1.a5f6cb576e6c7p-5, 0x1.9bd56c5600807p-5, 0x1.91e451850f234p-5, 0x1.8822fcca7d421p-5, 0x1.7e90edf453339p-5, 0x1.752da2df913efp-5, 0x1.6bf8979ded975p-5, 0x1.62f1469a7ed82p-5, 0x1.5a1728bd5579dp-5, 0x1.5169b58e0a3a3p-5, 0x1.48e863554772fp-5, 0x1.4092a73d43defp-5, 0x1.3867f5714931cp-5, 0x1.3067c13c31be9p-5, 0x1.28917d25f4683p-5, 0x1.20e49b1037757p-5, 0x1.19608c51f58dap-5, 0x1.1204c1d22f945p-5, 0x1.0ad0ac21bb95bp-5, 0x1.03c3bb9429043p-5, 0x1.f9bac0af8de5ep-6, 0x1.ec3a151998998p-6, 0x1.df0454b749b0cp-6, 0x1.d2186014db2fbp-6, 0x1.c57518233b656p-6, 0x1.b9195e5fc2641p-6, 0x1.ad0414fa5cp-6, 0x1.a1341efa25a1bp-6, 0x1.95a860608f65ep-6, 0x1.8a5fbe4afc53p-6, 0x1.7f591f12fdc97p-6, 0x1.74936a6d1ab3fp-6, 0x1.6a0d898640057p-6, 0x1.5fc6671fd42ffp-6, 0x1.55bcefaa7e771p-6, 0x1.4bf0115fa16abp-6, 0x1.425ebc5997509p-6, 0x1.3907e2aab83a3p-6, 0x1.2fea78732b2fcp-6, 0x1.270573f596d7cp-6, 0x1.1e57cdaaa43d1p-6, 0x1.15e08053735dep-6, 0x1.0d9e890af4d81p-6, 0x1.0590e756458e9p-6, 0x1.fb6d3a67e5e13p-7, 0x1.ec1d5e54b3b59p-7, 0x1.dd3048a9ea47fp-7, 0x1.cea40ce1bd60ap-7, 0x1.c076c3d0a227fp-7, 0x1.b2a68bba99e95p-7, 0x1.a5318866d3dp-7, 0x1.9815e331a86cep-7, 0x1.8b51cb1cf4a7p-7, 0x1.7ee374def30dap-7, 0x1.72c91aef86e06p-7, 0x1.6700fd94246f2p-7, 0x1.5b8962ea431cfp-7, 0x1.506096f0806eep-7, 0x1.4584eb8e7cdfdp-7, 0x1.3af4b89b5c3cdp-7, 0x1.30ae5be31ce93p-7, 0x1.26b0392ac5c13p-7, 0x1.1cf8ba336957dp-7, 0x1.13864ebc24477p-7, 0x1.0a576c82f4197p-7, 0x1.016a8f44a3268p-7, 0x1.f17c71775df13p-8, 0x1.e0a1e13c8c14p-8, 0x1.d0428936b9c0fp-8, 0x1.c05b90adfad79p-8, 0x1.b0ea2acb473ddp-8, 0x1.a1eb968dc507p-8, 0x1.935d1ebe94148p-8, 0x1.853c19e32089p-8, 0x1.7785ea2e3b1c4p-8, 0x1.6a37fd6fa5f4fp-8, 0x1.5d4fcd029d263p-8, 0x1.50caddbb0a065p-8, 0x1.44a6bfd1a656cp-8, 0x1.38e10ecf1ddefp-8, 0x1.2d777176225fcp-8, 0x1.226799ac8a5d2p-8, 0x1.17af44638497ap-8, 0x1.0d4c397ef7022p-8, 0x1.033c4bbc2511ep-8, 0x1.f2fab12eda8e8p-9, 0x1.e01a90631408fp-9, 0x1.cdd41a681637cp-9, 0x1.bc23496a31f1ap-9, 0x1.ab042c35c2bdbp-9, 0x1.9a72e5fca7e98p-9, 0x1.8a6bae1ae4e37p-9, 0x1.7aeacfda56d42p-9, 0x1.6becaa35c546dp-9, 0x1.5d6daf9add48cp-9, 0x1.4f6a65abb6502p-9, 0x1.41df64ffd098p-9, 0x1.34c958e460771p-9, 0x1.2824ff1c43052p-9, 0x1.1bef279facf1cp-9, 0x1.1024b45ae86a5p-9, 0x1.04c298ed97dabp-9, 0x1.f38bb4d23ec31p-10, 0x1.de571e1e5ef79p-10, 0x1.c9e1bc2013c27p-10, 0x1.b625fe91bc0dp-10, 0x1.a31e7603f12b3p-10, 0x1.90c5d359cbe72p-10, 0x1.7f16e74597e3fp-10, 0x1.6e0ca1c58dc1p-10, 0x1.5da211a0f9541p-10, 0x1.4dd263e578a83p-10, 0x1.3e98e3650b471p-10, 0x1.2ff0f8344d6bep-10, 0x1.21d6272915296p-10, 0x1.1444115a5df57p-10, 0x1.073673a0222fep-10, 0x1.f5524c2911d28p-11, 0x1.dd30372b3ec57p-11, 0x1.c5fec28f9cb55p-11, 0x1.afb63c32bd9bcp-11, 0x1.9a4f248e255bdp-11, 0x1.85c22dc2b42ecp-11, 0x1.72083aa592d41p-11, 0x1.5f1a5dcf41f17p-11, 0x1.4cf1d8ad4ba33p-11, 0x1.3b881a954a328p-11, 0x1.2ad6bfdaf4f69p-11, 0x1.1ad790e844ea2p-11, 0x1.0b848157f689bp-11, 0x1.f9af5e2749ce3p-12, 0x1.dd96c2e4be7b9p-12, 0x1.c2b410b77e705p-12, 0x1.a8fc76d9dd361p-12, 0x1.90657240874a6p-12, 0x1.78e4cbef0bdacp-12, 0x1.627097520c9c2p-12, 0x1.4cff309f349d3p-12, 0x1.38873b3ab1a04p-12, 0x1.24ffa0225d04fp-12, 0x1.125f8c5db6aecp-12, 0x1.009e6f74fe135p-12, 0x1.df67f3d9d20eep-13, 0x1.bf3037907bce1p-13, 0x1.a086061e9be12p-13, 0x1.835a34baad2cp-13, 0x1.679e0ee7388c7p-13, 0x1.4d4353a3e6f28p-13, 0x1.343c32ab604aep-13, 0x1.1c7b49bb1af22p-13, 0x1.05f3a1e7b6385p-13, 0x1.e13159f80e2bp-14, 0x1.b8bc85ca4a0dbp-14, 0x1.92713e4d8122cp-14, 0x1.6e38bcbcd04ep-14, 0x1.4bfcf7a0552a4p-14, 0x1.2ba89dfde1df7p-14, 0x1.0d27129e42391p-14, 0x1.e0c8ced481e8fp-15, 0x1.aa9ab1b92144p-15, 0x1.779e931c669d5p-15, 0x1.47b07ba1663f4p-15, 0x1.1aadaec723a3ap-15, 0x1.e0e944f4f944ap-16, 0x1.91c9edacabb4p-16, 0x1.47bedc0a5f397p-16, 0x1.028bc8b3febd7p-16, 0x1.83ed21f7fffaap-17, 0x1.0b8e4f62e5c0fp-17, 0x1.371e18f07bec4p-18, 0x1.9c39df6feb8fep-20, -0x1.676b61e0a2b24p-20, -0x1.0c5efd38a8ed5p-18, -0x1.b137e3d35665dp-18, -0x1.248c3bb48a19cp-17, -0x1.6a566a850be4bp-17, -0x1.aa4d3fb085e9fp-17, -0x1.e4c04848dabacp-17, -0x1.0cfdfad228c0ep-16, -0x1.2524daa3aa2d8p-16, -0x1.3af8042cd8632p-16, -0x1.4e994d370a07dp-16, -0x1.60292bf3b3808p-16, -0x1.6fc6c1e64b6a2p-16, -0x1.7d8fe67793ab8p-16, -0x1.89a1316dff974p-16, -0x1.941605082ddeep-16, -0x1.9d0897e65001fp-16, -0x1.a491feaddd63fp-16, -0x1.aaca35731af7ap-16, -0x1.afc828eb32724p-16, -0x1.b3a1bf5bae82cp-16, -0x1.b66be15f43e55p-16, -0x1.b83a825e57e6ep-16, -0x1.b920a8d7519a7p-16, -0x1.b93076754418ep-16, -0x1.b87b2ff110d76p-16, -0x1.b71144b243a2fp-16, -0x1.b50256483690dp-16, -0x1.b25d3facdc548p-16, -0x1.af301c49948c1p-16, -0x1.ab884ee3e2e03p-16, -0x1.a77288493ac6cp-16, -0x1.a2facdcef394dp-16, -0x1.9e2c7f9fc9aedp-16, -0x1.99125ee33b31ep-16, -0x1.93b693ba7bb2fp-16, -0x1.8e22b3059cbbcp-16, -0x1.885fc40fc823fp-16, -0x1.82764609767ffp-16, -0x1.7c6e354578911p-16, -0x1.764f107c27e2cp-16, -0x1.701fddc150b71p-16, -0x1.69e72f62a3115p-16, -0x1.63ab289d9abc8p-16, -0x1.5d71823313e63p-16, -0x1.573f8ed5f1c3bp-16, -0x1.511a3f75200a5p-16, -0x1.4b06276c3b9dap-16, -0x1.4507808ca6816p-16, -0x1.3f222efbef24p-16, -0x1.3959c5075e8f9p-16, -0x1.33b186cb656a8p-16, -0x1.2e2c6dc1dcdbdp-16, -0x1.28cd2c2bc3674p-16, -0x1.239630691516p-16, -0x1.1e89a82e3c05bp-16, -0x1.19a983948c866p-16, -0x1.14f77826df8c4p-16, -0x1.107503c49ffc9p-16, -0x1.0c236f6dc794bp-16, -0x1.0803d1f4ccb92p-16, -0x1.0417129d6ff51p-16, -0x1.005deb9f6750fp-16, -0x1.f9b1d92ae6597p-17, -0x1.f310f9aac3f6dp-17, -0x1.ecd9bb673f22bp-17, -0x1.e70c5961f09ep-17, -0x1.e1a8cb0f4e67dp-17, -0x1.dcaec87cf5197p-17, -0x1.d81dce2c4f62bp-17, -0x1.d3f520c853e38p-17, -0x1.d033d0c5728f6p-17, -0x1.ccd8bdd2cfb6p-17, -0x1.c9e29a2c8a26cp-17, -0x1.c74fedcbd86b3p-17, -0x1.c51f19754809dp-17, -0x1.c34e59b482ecp-17, -0x1.c1dbc9a5e938bp-17, -0x1.c0c565a0ce869p-17, -0x1.c0090ddbcaf6ep-17, -0x1.bfa488e5c34bep-17, -0x1.bf9585ff3f501p-17, -0x1.bfd99f6764e9p-17, -0x1.c06e5c7f562cp-17, -0x1.c15133e723178p-17, -0x1.c27f8d6b5c02p-17, -0x1.c3f6c3ed36c35p-17, -0x1.c5b4273797284p-17, -0x1.c7b4fdb270315p-17, -0x1.c9f685fcdffccp-17, -0x1.cc75f880d0ecdp-17, -0x1.cf3088ed0edb3p-17, -0x1.d223679a1a827p-17, -0x1.d54bc2dc3afc9p-17, -0x1.d8a6c84b82cc9p-17, -0x1.dc31a5f1e9d8p-17, -0x1.dfe98b7168f0ep-17, -0x1.e3cbab02ff74bp-17, -0x1.e7d53a88ff6cbp-17, -0x1.ec03747b2323dp-17, -0x1.f05398cd879cep-17, -0x1.f4c2edbde0002p-17, -0x1.f94ec0a620643p-17, -0x1.fdf466ae96162p-17, -0x1.01589ec161be1p-16, -0x1.03c155f6d33b1p-16, -0x1.0633113bb2cb6p-16, -0x1.08ac8dfa73143p-16, -0x1.0b2c8f025af2ap-16, -0x1.0db1dcc0e0a8bp-16, -0x1.103b457b6933ap-16, -0x1.12c79d81fa968p-16, -0x1.1555bf5c088a5p-16, -0x1.17e48bf0ca586p-16, -0x1.1a72eaae0010cp-16, -0x1.1cffc9a8bb16ap-16, -0x1.1f8a1dba90a8fp-16, -0x1.2210e298e617bp-16, -0x1.24931aee545bfp-16, -0x1.270fd06dfa205p-16, -0x1.298613e2f07p-16, -0x1.2bf4fd3b661b2p-16, -0x1.2e5bab92bee78p-16, -0x1.30b945396271ap-16, -0x1.330cf7b9818ccp-16, -0x1.3555f7d838a75p-16, -0x1.37938195c23bcp-16, -0x1.39c4d82bc7e8ep-16, -0x1.3be94606c2359p-16, -0x1.3e001cc136cacp-16, -0x1.4008b516dcdc2p-16, -0x1.42026edfb6a28p-16, -0x1.43ecb1011c378p-16, -0x1.45c6e961487a8p-16, -0x1.47908cd6b44c3p-16, -0x1.494917170da21p-16, -0x1.4af00aa6b781ep-16, -0x1.4c84f0c476022p-16, -0x1.4e075955c4585p-16, -0x1.4f76dacf8cf6cp-16, -0x1.50d3122258b1ep-16, -0x1.521ba2a1481c2p-16, -0x1.535035ea908d8p-16, -0x1.54707bcbec427p-16, -0x1.557c2a2ba6c8p-16, -0x1.5672fced8852fp-16, -0x1.5754b5d771d3p-16, -0x1.58211c751bce9p-16, -0x1.58d7fdfc2d27ap-16, -0x1.59792d2fe5ca9p-16, -0x1.5a048244cb864p-16, -0x1.5a79dac19ca73p-16, -0x1.5ad919621a8d1p-16, -0x1.5b2225f9f2837p-16, -0x1.5b54ed566f512p-16, -0x1.5b7161207446bp-16, -0x1.5b7777bd68a53p-16, -0x1.5b672c3092b5p-16, -0x1.5b407dfd48272p-16, -0x1.5b0371091c4d5p-16, -0x1.5ab00d7ac2865p-16, -0x1.5a465f9d9efc2p-16, -0x1.59c677c2c073ap-16, -0x1.59306a22239c5p-16, -0x1.58844ebe71ebep-16, -0x1.57c2414353351p-16, -0x1.56ea60ea0ec62p-16, -0x1.55fcd05b160ebp-16, -0x1.54f9b59097b93p-16, -0x1.53e139ba3f3efp-16, -0x1.52b3891f1bca2p-16, -0x1.5170d3005303ap-16, -0x1.5019497e98342p-16, -0x1.4ead217c579acp-16, -0x1.4d2c92823212fp-16, -0x1.4b97d6a3d214cp-16, -0x1.49ef2a63ed947p-16, -0x1.4832cc9c0c02dp-16, -0x1.4662fe5f44a3p-16, -0x1.448002e10caa3p-16, -0x1.428a1f5b6a732p-16, -0x1.40819af62efb8p-16, -0x1.3e66bead832a5p-16, -0x1.3c39d53a3829cp-16, -0x1.39fb2af9ec863p-16, -0x1.37ab0dd5ab774p-16, -0x1.3549cd2cc959cp-16, -0x1.32d7b9bcb3c69p-16, -0x1.3055258b14dc7p-16, -0x1.2dc263cfd3f29p-16, -0x1.2b1fc8df164bfp-16, -0x1.286daa15a2d64p-16, -0x1.25ac5dc37ae7bp-16, -0x1.22dc3b1701a93p-16, -0x1.1ffd9a0ab5632p-16, -0x1.1d10d3508ac93p-16, -0x1.1a16403f1629fp-16, -0x1.170e3ac0c6f5ep-16, -0x1.13f91d40e1609p-16, -0x1.10d74299e102ep-16, -0x1.0da906051cde8p-16, -0x1.0a6ec3093cbccp-16, -0x1.0728d56a610f7p-16, -0x1.03d7991b389bep-16, -0x1.007b6a2bc3ac2p-16, -0x1.fa2949777478fp-17, -0x1.f34749da9e3a2p-17, -0x1.ec518da85c733p-17, -0x1.e548ccd4495afp-17, -0x1.de2dbf02aec49p-17, -0x1.d7011b6e5ff96p-17, -0x1.cfc398cde24fp-17, -0x1.c875ed402ddb1p-17, -0x1.c118ce326063ap-17, -0x1.b9acf04859627p-17, -0x1.b233074b02b72p-17, -0x1.aaabc60dc9f2p-17, -0x1.a317de5e1a8bfp-17, -0x1.9b7800f0d7122p-17, -0x1.93ccdd4bfce43p-17, -0x1.8c1721b56bb8cp-17, -0x1.84577b265214fp-17, -0x1.7c8e953426fc6p-17, -0x1.74bd1a02fd62cp-17, -0x1.6ce3b23829c1fp-17, -0x1.650304eb093a6p-17, -0x1.5d1bb79389adep-17, -0x1.552e6e0066cacp-17, -0x1.4d3bca4b66538p-17, -0x1.45446cc8261f6p-17, -0x1.3d48f3fef4959p-17, }}, 
      {{-0x1.6def594cc7651p-1, -0x1.6df673a868d06p-1, -0x1.6e01cdb95ab2cp-1, -0x1.6e10b3c9236ecp-1, -0x1.6e22367f19e91p-1, -0x1.6e3534434f481p-1, -0x1.6e4862ffdc3adp-1, -0x1.6e5a59b6f8b94p-1, -0x1.6e699994765d4p-1, -0x1.6e7496442e1fep-1, -0x1.6e79bd6fea63p-1, -0x1.6e777d58b8cb3p-1, -0x1.6e6c4a8b827cap-1, -0x1.6e56a4b8a2fedp-1, -0x1.6e351abb5712dp-1, -0x1.6e064de0cb507p-1, -0x1.6dc8f48036d03p-1, -0x1.6d7bdbf5edb6ap-1, -0x1.6d1dea133a6a2p-1, -0x1.6cae1e1427541p-1, -0x1.6c2b912b6d677p-1, -0x1.6b9576b39f57p-1, -0x1.6aeb1c135dfb8p-1, -0x1.6a2be86123925p-1, -0x1.69575bd1dc36cp-1, -0x1.686d0efc4c593p-1, -0x1.676cb1fa1057dp-1, -0x1.66560b6de407cp-1, -0x1.6528f775dc672p-1, -0x1.63e5668f4dff6p-1, -0x1.628b5c71436fp-1, -0x1.611aeee1a59cdp-1, -0x1.5f944488929b4p-1, -0x1.5df793c4c2ce2p-1, -0x1.5c4521836017bp-1, -0x1.5a7d401d3f96ap-1, -0x1.58a04e3b0c344p-1, -0x1.56aeb5c19f539p-1, -0x1.54a8eac77cd25p-1, -0x1.528f6a9429fbp-1, -0x1.5062baa9e8d76p-1, -0x1.4e2367da312bap-1, -0x1.4bd2056522096p-1, -0x1.496f2c240462ep-1, -0x1.46fb79bee48eep-1, -0x1.44778fed2e819p-1, -0x1.41e413c12b863p-1, -0x1.3f41acfe334b9p-1, -0x1.3c91057952e8dp-1, -0x1.39d2c8842a861p-1, -0x1.3707a261b5ca1p-1, -0x1.34303fc4af033p-1, -0x1.314d4d573b03dp-1, -0x1.2e5f774b88995p-1, -0x1.2b6768f507ea2p-1, -0x1.2865cc69e1fd3p-1, -0x1.255b4a2c56eadp-1, -0x1.224888dba703fp-1, -0x1.1f2e2cec2b3c7p-1, -0x1.1c0cd866466d4p-1, -0x1.18e52aabd626p-1, -0x1.15b7c043cb17fp-1, -0x1.128532ab9401p-1, -0x1.0f4e182e0a291p-1, -0x1.0c1303bf89afcp-1, -0x1.08d484deeb8e5p-1, -0x1.0593277b1028ep-1, -0x1.024f73dcb3d96p-1, -0x1.fe13dd2882b8fp-2, -0x1.f78630d6c286p-2, -0x1.f0f6dcb402b4p-2, -0x1.ea66d2fd28193p-2, -0x1.e3d6fe3295aa5p-2, -0x1.dd48411424b2bp-2, -0x1.d6bb76a22bd4fp-2, -0x1.d03172232facfp-2, -0x1.c9aaff2dd0719p-2, -0x1.c328e1b69f433p-2, -0x1.bcabd621743d6p-2, -0x1.b6349155f7e35p-2, -0x1.afc3c0d70a95dp-2, -0x1.a95a0adcc02ddp-2, -0x1.a2f80e70a3a71p-2, -0x1.9c9e638c03855p-2, -0x1.964d9b38079fp-2, -0x1.90063faf50f84p-2, -0x1.89c8d480f1fc8p-2, -0x1.8395d6b4896d8p-2, -0x1.7d6dbcef4d043p-2, -0x1.7750f799e093dp-2, -0x1.713ff106c5c9ep-2, -0x1.6b3b0d994864ep-2, -0x1.6542abecbca95p-2, -0x1.5f5724fbf9a77p-2, -0x1.5978cc48e436dp-2, -0x1.53a7f003ff394p-2, -0x1.4de4d933dfb8p-2, -0x1.482fcbdc6f4e2p-2, -0x1.42890725ee5d1p-2, -0x1.3cf0c5839e4a8p-2, -0x1.37673cda0697ap-2, -0x1.31ec9ea4c87efp-2, -0x1.2c81181bef834p-2, -0x1.2724d258b9a73p-2, -0x1.21d7f279c5b69p-2, -0x1.1c9a99c6aab4fp-2, -0x1.176ce5d2e4375p-2, -0x1.124ef0a0187e2p-2, -0x1.0d40d0bfaa3ddp-2, -0x1.084299739c3dbp-2, -0x1.03545aceb687p-2, -0x1.fcec43a7ebe19p-3, -0x1.f34ff12a7dfcbp-3, -0x1.e9d3cca2a7405p-3, -0x1.e077df221347ep-3, -0x1.d73c2c878c747p-3, -0x1.ce20b3b675378p-3, -0x1.c5256eccc9c5cp-3, -0x1.bc4a5357a78ebp-3, -0x1.b38f5286696d2p-3, -0x1.aaf4595c4e017p-3, -0x1.a27950e0b568fp-3, -0x1.9a1e1e4dfb97bp-3, -0x1.91e2a33ee92e5p-3, -0x1.89c6bddad60e2p-3, -0x1.81ca49006a547p-3, -0x1.79ed1c6f173c4p-3, -0x1.722f0cef47e8ep-3, -0x1.6a8fec794936cp-3, -0x1.630f8a5af9499p-3, -0x1.5badb35c49657p-3, -0x1.546a31e28400ap-3, -0x1.4d44ce1275d7p-3, -0x1.463d4df175991p-3, -0x1.3f5375854a371p-3, -0x1.388706f30dafap-3, -0x1.31d7c29cf3c1dp-3, -0x1.2b45673f150cep-3, -0x1.24cfb20b3e9f8p-3, -0x1.1e765ec3c0adep-3, -0x1.183927d555101p-3, -0x1.1217c67014bep-3, -0x1.0c11f29f90822p-3, -0x1.0627636204fa2p-3, -0x1.0057cebebc5d5p-3, -0x1.f545d3b735082p-4, -0x1.ea10d223bd40cp-4, -0x1.df10000446e4dp-4, -0x1.d442c34f2fa25p-4, -0x1.c9a880d50785cp-4, -0x1.bf409c6422b0cp-4, -0x1.b50a78eade936p-4, -0x1.ab0578987cbf3p-4, -0x1.a130fcfcbd8cbp-4, -0x1.978c67263d63dp-4, -0x1.8e1717bf8d9dep-4, -0x1.84d06f2b2b22ep-4, -0x1.7bb7cd9e488c4p-4, -0x1.72cc933a7cdf5p-4, -0x1.6a0e20265fd79p-4, -0x1.617bd4a518ad6p-4, -0x1.5915112cebd7dp-4, -0x1.50d9367ccac59p-4, -0x1.48c7a5b0f1852p-4, -0x1.40dfc05697a25p-4, -0x1.3920e87ebc508p-4, -0x1.318a80d013de3p-4, -0x1.2a1bec981fc33p-4, -0x1.22d48fdb74cedp-4, -0x1.1bb3cf6539d82p-4, -0x1.14b910d5e0838p-4, -0x1.0de3bab122addp-4, -0x1.0733346b485a9p-4, -0x1.00a6e675bbf3bp-4, -0x1.f47c7495e7c9dp-5, -0x1.e7f134f36977ep-5, -0x1.dbaae55f67ce2p-5, -0x1.cfa85f873b67fp-5, -0x1.c3e87f7d0b324p-5, -0x1.b86a23c98b6d7p-5, -0x1.ad2c2d7ca0644p-5, -0x1.a22d803cf3468p-5, -0x1.976d02567db89p-5, -0x1.8ce99cc81b3a6p-5, -0x1.82a23b502118ep-5, -0x1.7895cc780a498p-5, -0x1.6ec3419f40551p-5, -0x1.65298f0503148p-5, -0x1.5bc7abd180238p-5, -0x1.529c921e1628bp-5, -0x1.49a73efcd803cp-5, -0x1.40e6b27f4b4c5p-5, -0x1.3859efbc70901p-5, -0x1.2ffffcd61711cp-5, -0x1.27d7e2fd89681p-5, -0x1.1fe0ae778fd1ap-5, -0x1.18196e9fd8137p-5, -0x1.108135ebc0c51p-5, -0x1.091719ec92f38p-5, -0x1.01da33512e526p-5, -0x1.f5933bce5b3c4p-6, -0x1.e7c8f1370d657p-6, -0x1.da53caf55e45bp-6, -0x1.cd32136090f66p-6, -0x1.c0621b0cae01cp-6, -0x1.b3e238c818d9p-6, -0x1.a7b0c9984df54p-6, -0x1.9bcc30b5d64f8p-6, -0x1.9032d7877abd7p-6, -0x1.84e32d9cbb6b7p-6, -0x1.79dba8a79a3b4p-6, -0x1.6f1ac475b7536p-6, -0x1.649f02e8d00dbp-6, -0x1.5a66ebeea262fp-6, -0x1.50710d783d434p-6, -0x1.46bbfb70c9d41p-6, -0x1.3d464fb3d061ep-6, -0x1.340eaa02f79f8p-6, -0x1.2b13affb5bbfcp-6, -0x1.22540d0a6a699p-6, -0x1.19ce726256876p-6, -0x1.118196ee2c629p-6, -0x1.096c3745833aep-6, -0x1.018d159fd9041p-6, -0x1.f3c5f38f34cdep-7, -0x1.e4d96219b94b2p-7, -0x1.d6521c6f99d25p-7, -0x1.c82dd2f5c8e64p-7, -0x1.ba6a40c99ecd7p-7, -0x1.ad052ba456ec7p-7, -0x1.9ffc63bdfd935p-7, -0x1.934dc3b0176c4p-7, -0x1.86f73057e4fep-7, -0x1.7af698b8494b5p-7, -0x1.6f49f5db8200ap-7, -0x1.63ef4ab47bb5bp-7, -0x1.58e4a40002ff9p-7, -0x1.4e281825bd378p-7, -0x1.43b7c718eaee7p-7, -0x1.3991da390e3adp-7, -0x1.2fb484326cdbp-7, -0x1.261e00de745dap-7, -0x1.1ccc95241397bp-7, -0x1.13be8ed7fe25fp-7, -0x1.0af2449ce3b06p-7, -0x1.026615c3b12afp-7, -0x1.f430d4578970dp-8, -0x1.e40f6446590d3p-8, -0x1.d464cc8deadd1p-8, -0x1.c52e0ec7049bfp-8, -0x1.b6683ca9f2f38p-8, -0x1.a81077cf881ecp-8, -0x1.9a23f1726d072p-8, -0x1.8c9fea308df66p-8, -0x1.7f81b1cce66c7p-8, -0x1.72c6a6f185d06p-8, -0x1.666c36f1fadf5p-8, -0x1.5a6fdd8dff474p-8, -0x1.4ecf24b4997b5p-8, -0x1.4387a4478ebf4p-8, -0x1.389701df50351p-8, -0x1.2dfaf08f44853p-8, -0x1.23b130aa8a8f2p-8, -0x1.19b78f893d052p-8, -0x1.100be74e2926dp-8, -0x1.06ac1eacf92bep-8, -0x1.fb2c5161f5cd1p-9, -0x1.e9900908bdbd9p-9, -0x1.d87f7a6ff1cfdp-9, -0x1.c7f6d3173afccp-9, -0x1.b7f2576e0f52dp-9, -0x1.a86e6266a8169p-9, -0x1.9967650a127cap-9, -0x1.8ad9e60d7f957p-9, -0x1.7cc28168bfb6p-9, -0x1.6f1de7edec2e7p-9, -0x1.61e8dee25783dp-9, -0x1.55203f98bc4a6p-9, -0x1.48c0f70c941d2p-9, -0x1.3cc8057ec20a7p-9, -0x1.31327e1379617p-9, -0x1.25fd867182174p-9, -0x1.1b265662a1577p-9, -0x1.10aa37754b687p-9, -0x1.0686849fc1ca1p-9, -0x1.f97153c8bac37p-10, -0x1.e67c47ee5ef93p-10, -0x1.d428ffc9cf488p-10, -0x1.c272b57607ce2p-10, -0x1.b154c262a02a1p-10, -0x1.a0ca9ea96b42fp-10, -0x1.90cfe06699ed2p-10, -0x1.81603b1363d5fp-10, -0x1.72777ee36a7dap-10, -0x1.6411982470ebap-10, -0x1.562a8ea0d5533p-10, -0x1.48be8504a5406p-10, -0x1.3bc9b844d7356p-10, -0x1.2f487f095cbd3p-10, -0x1.233749198c98bp-10, -0x1.17929ecb3bb89p-10, -0x1.0c572074242fap-10, -0x1.018185ddaf82cp-10, -0x1.ee1d3b76907fcp-11, -0x1.d9f69a4641ec1p-11, -0x1.c6891e1293a65p-11, -0x1.b3cee77aa4fb4p-11, -0x1.a1c240d402158p-11, -0x1.905d9d2f2007p-11, -0x1.7f9b9760416c7p-11, -0x1.6f76f10d2277ap-11, -0x1.5fea91bf3f57ep-11, -0x1.50f185fa5753dp-11, -0x1.4286fe5764df5p-11, -0x1.34a64ea4169dcp-11, -0x1.274aed0686359p-11, -0x1.1a7071255d254p-11, -0x1.0e1293546ecfp-11, -0x1.022d2bc4dd17p-11, -0x1.ed7863738fad2p-12, -0x1.d77775824977cp-12, -0x1.c24ff3e091d6bp-12, -0x1.adfa7e4a3ade7p-12, -0x1.9a6fec95106a5p-12, -0x1.87a94d41d7d19p-12, -0x1.759fe4154088cp-12, -0x1.644d28b7eedd6p-12, -0x1.53aac55e4a95fp-12, -0x1.43b29577fe16ep-12, -0x1.345ea465f442dp-12, -0x1.25a92c375909fp-12, -0x1.178c946e417d7p-12, -0x1.0a0370cadec65p-12, -0x1.fa11003a78p-13, -0x1.e12d563d73505p-13, -0x1.c95206a19e791p-13, -0x1.b27583c508a48p-13, -0x1.9c8e8d3a01407p-13, -0x1.87942daae95d6p-13, -0x1.737db8cb946d6p-13, -0x1.6042c95698406p-13, -0x1.4ddb3f166a04fp-13, -0x1.3c3f3cf93daf7p-13, -0x1.2b6727311d94bp-13, -0x1.1b4ba15f74f57p-13, -0x1.0be58ccb45863p-13, -0x1.fa5c0d45087d7p-14, -0x1.de3ccc8d94f63p-14, -0x1.c360774442f15p-14, -0x1.a9ba9b114ae6ap-14, -0x1.913f304578e4cp-14, -0x1.79e296c36962ep-14, -0x1.639992fc474cbp-14, -0x1.4e594affe2f08p-14, -0x1.3a17439f1339dp-14, -0x1.26c95d9eb505fp-14, -0x1.1465d2fee28c9p-14, -0x1.02e3345293047p-14, -0x1.e470cc524192fp-15, -0x1.c4b93d103b3fcp-15, -0x1.a68ec4edef59p-15, -0x1.89e10730d4a7fp-15, -0x1.6ea03ba99d8bep-15, -0x1.54bd2a2a2f358p-15, -0x1.3c29261661e1dp-15, -0x1.24d60a14e04b8p-15, -0x1.0eb633ddfc33ep-15, -0x1.f3790048f0dbap-16, -0x1.cbb88d351d4ccp-16, -0x1.a612ac26efc6bp-16, -0x1.826fe17bf804fp-16, -0x1.60b990f430164p-16, -0x1.40d9f6917428p-16, -0x1.22bc1fa8bbefbp-16, -0x1.064be421ae872p-16, -0x1.d6ebbfcbdf4b6p-17, -0x1.a44ed8fffe9b1p-17, -0x1.749d35cb4c734p-17, -0x1.47b45ae8f9176p-17, -0x1.1d732422f64ap-17, -0x1.eb7371e7ef4adp-18, -0x1.a0d302f21b1fbp-18, -0x1.5aca375b0b2f5p-18, -0x1.1920a1f4cd4e4p-18, -0x1.b740303b70d55p-19, -0x1.44293c2b07fc9p-19, -0x1.b1314f613d8c5p-20, -0x1.d0bb14b2c86f9p-21, -0x1.68fd54e265136p-23, 0x1.02706f572e6f1p-21, 0x1.2352b194b0883p-20, 0x1.b9d1473e75ab9p-20, 0x1.22a755ebe412ep-19, 0x1.632f7fb4a3361p-19, 0x1.9ec80582dd97dp-19, 0x1.d5b4bd8f1626bp-19, 0x1.041b45f2702b2p-18, 0x1.1b45beef9fb5fp-18, 0x1.30777250082adp-18, 0x1.43ccb7705e0a8p-18, 0x1.5560a0e5886d6p-18, 0x1.654d088ee3caap-18, 0x1.73aa9b47bfa2ap-18, 0x1.8090e43a6c8dp-18, 0x1.8c1657c96b1bbp-18, 0x1.96505e3e771a5p-18, 0x1.9f535dfff2b76p-18, 0x1.a732c590caebp-18, 0x1.ae01151ea730bp-18, 0x1.b3cfe7dab1e9bp-18, 0x1.b8affcf2e7acep-18, 0x1.bcb1404cb0bbep-18, 0x1.bfe2d2de43374p-18, 0x1.c25312e41ff6fp-18, 0x1.c40fa3ac1525ep-18, 0x1.c52575408e51ap-18, 0x1.c5a0cbb59806dp-18, 0x1.c58d463f5bdb4p-18, 0x1.c4f5e60d66b8dp-18, 0x1.c3e514ea9765ap-18, 0x1.c264ab9407de7p-18, 0x1.c07df7ef38f39p-18, 0x1.be39c2f2afb94p-18, 0x1.bba05668a83cbp-18, 0x1.b8b982793e27bp-18, 0x1.b58ca2fe0d883p-18, 0x1.b220a4a4dd518p-18, 0x1.ae7c09eb24622p-18, 0x1.aaa4efe3f9a72p-18, 0x1.a6a112cd75733p-18, 0x1.a275d288635a1p-18, 0x1.9e2836da163d9p-18, 0x1.99bcf38b9737ep-18, 0x1.95386c6479464p-18, 0x1.909eb8f2f70e9p-18, 0x1.8bf3a83b67d23p-18, 0x1.873ac441baf25p-18, 0x1.827755652968ep-18, 0x1.7dac65aac61f6p-18, 0x1.78dcc3db7d88bp-18, 0x1.740b068ba560dp-18, 0x1.6f398efdf7878p-18, 0x1.6a6a8bebfc58fp-18, 0x1.659ffc2af2d12p-18, 0x1.60dbb142bb21fp-18, 0x1.5c1f51e18c52bp-18, 0x1.576c5c2f50b9cp-18, 0x1.52c428168b5cbp-18, 0x1.4e27e968c742bp-18, 0x1.4998b1f4e29a5p-18, 0x1.4517738539ac8p-18, 0x1.40a501c480f3p-18, 0x1.3c42140c25873p-18, 0x1.37ef472594df2p-18, 0x1.33ad1ef498bedp-18, 0x1.2f7c0809411b1p-18, 0x1.2b5c5927601b7p-18, 0x1.274e54bce7914p-18, 0x1.23522a3cbae01p-18, 0x1.1f67f77aee605p-18, 0x1.1b8fc9e9191eap-18, 0x1.17c99fcafeedbp-18, 0x1.1415695a85b4ap-18, 0x1.107309e02ded8p-18, 0x1.0ce258bca8278p-18, 0x1.0963225f897e1p-18, 0x1.05f5293e6b48p-18, 0x1.029826b3c642ap-18, 0x1.fe9797aef208cp-19, 0x1.f81f849dfb222p-19, 0x1.f1c75a17d4701p-19, 0x1.eb8e520d108a1p-19, 0x1.e5739bd4ddbdcp-19, 0x1.df765d78aea7cp-19, 0x1.d995b4e910f2bp-19, 0x1.d3d0b91ccc1f4p-19, 0x1.ce267b2f44f24p-19, 0x1.c89607601c211p-19, 0x1.c31e660be4fbbp-19, 0x1.bdbe9c8fdd2c8p-19, 0x1.b875ae1f8e203p-19, 0x1.b3429c91b1c37p-19, 0x1.ae24691d806a2p-19, 0x1.a91a150e61ccfp-19, 0x1.a422a263bfea6p-19, 0x1.9f3d146f4cb93p-19, 0x1.9a68705e0b409p-19, 0x1.95a3bdc1500b6p-19, 0x1.90ee070aaf3ffp-19, 0x1.8c4659f8770bbp-19, 0x1.87abc8013d21fp-19, 0x1.831d66b087846p-19, 0x1.7e9a50017720bp-19, 0x1.7a21a2abb28fcp-19, 0x1.75b2826b2fa71p-19, 0x1.714c184104519p-19, 0x1.6ced92b13de6fp-19, 0x1.689625eef4d05p-19, 0x1.64450c131cbd5p-19, 0x1.5ff9853f938eep-19, 0x1.5bb2d7c224baep-19, 0x1.577050319db5dp-19, 0x1.533141876b30fp-19, 0x1.4ef50532e7acep-19, 0x1.4abafb2a21884p-19, 0x1.468289f293a1bp-19, 0x1.424b1eace3022p-19, 0x1.3e142d1832df5p-19, 0x1.39dd2f8df7d9cp-19, 0x1.35a5a70505aacp-19, 0x1.316d1b08dd6d9p-19, 0x1.2d3319b25098ap-19, 0x1.28f7379b40777p-19, 0x1.24b90fd266de1p-19, 0x1.207843cb4f7d5p-19, 0x1.1c347b4efcfffp-19, 0x1.17ed64624cf3ep-19, 0x1.13a2b33450ea4p-19, 0x1.0f54220889d21p-19, 0x1.0b0171199954fp-19, 0x1.06aa668176615p-19, 0x1.024ece1eefae5p-19, 0x1.fbdcf2f1166e1p-20, 0x1.f3127f363a8eap-20, 0x1.ea3df9fa64a1cp-20, 0x1.e15f26bfca8ep-20, 0x1.d875d363448e2p-20, 0x1.cf81d7d068282p-20, 0x1.c68315c52258fp-20, 0x1.bd79788cd6cc6p-20, 0x1.b464f4b956d5p-20, 0x1.ab4587daaca21p-20, 0x1.a21b383e20e54p-20, 0x1.98e614a950d1ap-20, 0x1.8fa6340e1af53p-20, 0x1.865bb5447a782p-20, 0x1.7d06bec2230d9p-20, 0x1.73a77e58b9612p-20, 0x1.6a3e28f07a678p-20, 0x1.60cafa3bae027p-20, 0x1.574e3476bde4dp-20, 0x1.4dc82021d72c9p-20, 0x1.44390bb4ac93bp-20, 0x1.3aa14b5e584bcp-20, 0x1.310138c6503e4p-20, 0x1.275932c5b6f23p-20, 0x1.1da99d23bfe3ep-20, 0x1.13f2e05274b4cp-20, 0x1.0a356931ea3abp-20, 0x1.0071a8cbbfc15p-20, 0x1.ed50283c0b808p-21, 0x1.d9b247ab223d9p-21, 0x1.c60aa82e18324p-21, 0x1.b25a48840ead6p-21, 0x1.9ea22d6281fe9p-21, 0x1.8ae361031b718p-21, 0x1.771ef2c4c106fp-21, 0x1.6355f6b0352bfp-21, 0x1.4f89850f311bdp-21, 0x1.3bbaba00ef7ap-21, 0x1.27eab51455137p-21, 0x1.141a98e25e56fp-21, 0x1.004b8ab0dacap-21, 0x1.d8fd6429baa4p-22, 0x1.b16a7125cf4c6p-22, 0x1.89e09294e3c4fp-22, 0x1.6262212c70a92p-22, 0x1.3af1775d9906fp-22, 0x1.1390f0c936a5p-22, 0x1.d885d3513ce32p-23, 0x1.8a137c3ca101fp-23, 0x1.3bcf933bf00ffp-23, 0x1.db7d9983e4df9p-24, 0x1.3fcbb34af6188p-24, 0x1.49259859567f3p-25, 0x1.3b862826f7155p-29, -0x1.209dbad10836dp-25, -0x1.29e52f0fd78cep-24, -0x1.c2dda3b3f1e54p-24, -0x1.2d9797238cbd2p-23, -0x1.79686b28da414p-23, -0x1.c4dcdcc6dd5a5p-23, -0x1.07f84341a7c58p-22, -0x1.2d4f87b7e2ae3p-22, -0x1.5272160038fb8p-22, -0x1.775dcf4326912p-22, -0x1.9c109bfe0c6fp-22, -0x1.c0886c49a8af8p-22, -0x1.e4c338243efeep-22, -0x1.045f7fd41f14p-21, -0x1.163ce5ad4a4e5p-21, -0x1.27f8d6351c3f2p-21, -0x1.39925e7283b04p-21, -0x1.4b08900239bb5p-21, -0x1.5c5a812ba2811p-21, -0x1.6d874cf60d1a9p-21, -0x1.7e8e13371591fp-21, -0x1.8f6df8b62e208p-21, -0x1.a026273ac10c8p-21, -0x1.b0b5cd9c9d98fp-21, -0x1.c11c1fd8c55d8p-21, -0x1.d158571a463a6p-21, -0x1.e169b1cf0c12p-21, -0x1.f14f73a1dddd8p-21, -0x1.008472c9cb7aap-20, -0x1.084aab009ddebp-20, -0x1.0ffa0c5542c49p-20, -0x1.1792435fb469bp-20, -0x1.1f12ff6fc819bp-20, -0x1.267bf28ff7258p-20, -0x1.2dccd182ec641p-20, -0x1.350553c874f3ep-20, -0x1.3c25339f3d41ap-20, -0x1.432c2e00a7bbep-20, -0x1.4a1a02a49d593p-20, -0x1.50ee73fc747cap-20, -0x1.57a947358eceep-20, -0x1.5e4a443107ccp-20, -0x1.64d13582d63fdp-20, -0x1.6b3de8727ef9ep-20, -0x1.71902cf4b31cdp-20, -0x1.77c7d5aa45cb6p-20, -0x1.7de4b7daf2c4ap-20, -0x1.83e6ab7151ea1p-20, -0x1.89cd8af449bf8p-20, -0x1.8f9933808b23ep-20, -0x1.954984c8388b1p-20, -0x1.9ade610a282bap-20, -0x1.a057ad0b1bb22p-20, -0x1.a5b550120a3f5p-20, -0x1.aaf733df31028p-20, -0x1.b01d44a80a355p-20, -0x1.b527710a1e819p-20, -0x1.ba15aa08ef33dp-20, -0x1.bee7e3055f9c6p-20, -0x1.c39e11b611b45p-20, -0x1.c8382e206fb3p-20, -0x1.ccb6328fa7e7fp-20, -0x1.d1181b8ce917ap-20, -0x1.d55de7d6b0311p-20, -0x1.d9879855a6484p-20, -0x1.dd95301928d62p-20, -0x1.e186b44bb0f2bp-20, -0x1.e55c2c290b2fep-20, -0x1.e915a0f85dac6p-20, -0x1.ecb31e000bde8p-20, -0x1.f034b07f6d1a3p-20, -0x1.f39a67a23062bp-20, -0x1.f6e45477c255ep-20, -0x1.fa1289ecdda64p-20, }}, 
      {{0x1.5a50d87ab887fp-15, 0x1.5bef1aaacfb6bp-13, 0x1.8a9a487dd7f34p-12, 0x1.62c831c7dcf0bp-11, 0x1.192d06c068a45p-10, 0x1.9bb8c7fa49c3dp-10, 0x1.1d721b75f6cf7p-9, 0x1.7c4f1ed28b7bfp-9, 0x1.eb6df9bb05afdp-9, 0x1.35e448e871e25p-8, 0x1.7f2a8950dcb9ep-8, 0x1.d201433e43acbp-8, 0x1.176d321cec48ap-7, 0x1.4b0ffeec34883p-7, 0x1.8418fe230b24ap-7, 0x1.c2b20bae6e01bp-7, 0x1.037f0cc2b1b41p-6, 0x1.288c53e5eb612p-6, 0x1.508ac509c8328p-6, 0x1.7b807a9ea6166p-6, 0x1.a96fe53e88321p-6, 0x1.da58080534ad1p-6, 0x1.071a61b28758dp-5, 0x1.227f934b83befp-5, 0x1.3f56e07b226bep-5, 0x1.5d9a7717ca8dep-5, 0x1.7d438cf0a17c1p-5, 0x1.9e4a7c720cda5p-5, 0x1.c0a6dbebacc66p-5, 0x1.e44f8fce6ca95p-5, 0x1.049d6c4cc0925p-4, 0x1.17af2eb30632ep-4, 0x1.2b579a0bd7c77p-4, 0x1.3f90f419b7f53p-4, 0x1.545540a281c3p-4, 0x1.699e44ca01983p-4, 0x1.7f658ade529fap-4, 0x1.95a466c7d9c0bp-4, 0x1.ac53fb37a7716p-4, 0x1.c36d3f9a4fa83p-4, 0x1.dae906c3b5698p-4, 0x1.f2c0063a8aed8p-4, 0x1.05756f000486fp-3, 0x1.11b11055186d6p-3, 0x1.1e0f2dd1c319dp-3, 0x1.2a8c0fb196954p-3, 0x1.372403b9193aep-3, 0x1.43d3610b5c812p-3, 0x1.50968bc16d632p-3, 0x1.5d69f8359fc4ep-3, 0x1.6a4a2df7b0cabp-3, 0x1.7733ca623b8e1p-3, 0x1.842382cce2dfbp-3, 0x1.911626599a965p-3, 0x1.9e089f5e0958ap-3, 0x1.aaf7f46c4ae84p-3, 0x1.b7e1490036d4ep-3, 0x1.c4c1ddd7d7c88p-3, 0x1.d19710fee1076p-3, 0x1.de5e5d95c4965p-3, 0x1.eb155b5d6717fp-3, 0x1.f7b9be10c7468p-3, 0x1.0224aa4ad3676p-2, 0x1.086104068f20ep-2, 0x1.0e90ed6644e5fp-2, 0x1.14b373a33f2ffp-2, 0x1.1ac7af7582567p-2, 0x1.20ccc482a4258p-2, 0x1.26c1e0ce33acp-2, 0x1.2ca63c2df790cp-2, 0x1.327917c40661p-2, 0x1.3839bd803e12p-2, 0x1.3de77faa4bf08p-2, 0x1.4381b8751e406p-2, 0x1.4907c99c40dap-2, 0x1.4e791c0b6a43ap-2, 0x1.53d51f902cf4ap-2, 0x1.591b4a959e961p-2, 0x1.5e4b19e984384p-2, 0x1.6364108a7b269p-2, 0x1.6865b77e7343cp-2, 0x1.6d4f9db0b5e71p-2, 0x1.722157d6a6ffap-2, 0x1.76da805a6ba07p-2, 0x1.7b7ab74a8e2e8p-2, 0x1.8001a24dc920ap-2, 0x1.846eec9a1a361p-2, 0x1.88c246ee51324p-2, 0x1.8cfb678d511f3p-2, 0x1.911a0a3a51f7fp-2, 0x1.951df035733f7p-2, 0x1.9906e0381105p-2, 0x1.9cd4a6704aa4p-2, 0x1.a087147b53735p-2, 0x1.a41e015e1b7cdp-2, 0x1.a799497c10e6p-2, 0x1.aaf8ce8ba8afp-2, 0x1.ae3c77888ab54p-2, 0x1.b16430a339d74p-2, 0x1.b46feb2e2a252p-2, 0x1.b75f9d8838ce7p-2, 0x1.ba33430495315p-2, 0x1.bceadbd022146p-2, 0x1.bf866cd46f272p-2, 0x1.c205ff986df6ep-2, 0x1.c469a21f02043p-2, 0x1.c6b166c3a8384p-2, 0x1.c8dd64155a3bap-2, 0x1.caedb4afeec6ap-2, 0x1.cce27714297d2p-2, 0x1.cebbcd7eb5477p-2, 0x1.d079ddbe4647dp-2, 0x1.d21cd1091bb9bp-2, 0x1.d3a4d3d216107p-2, 0x1.d512159da7b3ap-2, 0x1.d664c8d6c54b1p-2, 0x1.d79d22a4139d6p-2, 0x1.d8bb5abd812edp-2, 0x1.d9bfab42787dp-2, 0x1.daaa5090d49fbp-2, 0x1.db7b891cc1a57p-2, 0x1.dc339549a542dp-2, 0x1.dcd2b74437da3p-2, 0x1.dd5932dde1a62p-2, 0x1.ddc74d6975f98p-2, 0x1.de1d4d9961b17p-2, 0x1.de5b7b5f5c3e1p-2, 0x1.de821fcda8e3fp-2, 0x1.de9184f9ed0d2p-2, 0x1.de89f5e1a7892p-2, 0x1.de6bbe504c415p-2, 0x1.de372ac6fb24fp-2, 0x1.ddec8865dcdaap-2, 0x1.dd8c24d718062p-2, 0x1.dd164e3b5889ap-2, 0x1.dc8b5317e45bfp-2, 0x1.dbeb82462dae5p-2, 0x1.db372ae4d844cp-2, 0x1.da6e9c4a261f7p-2, 0x1.d99225f7b73bap-2, 0x1.d8a2178f90fc3p-2, 0x1.d79ec0ca59df4p-2, 0x1.d688716eb85adp-2, 0x1.d55f7949c2d78p-2, 0x1.d42428286f328p-2, 0x1.d2d6cdd1e995p-2, 0x1.d177ba02cd5bfp-2, 0x1.d0073c691aac2p-2, 0x1.ce85a4a0e6f16p-2, 0x1.ccf34231aa603p-2, 0x1.cb50648c23e13p-2, 0x1.c99d5b08b3bc1p-2, 0x1.c7da74e62a5e1p-2, 0x1.c6080148f1b9fp-2, 0x1.c4264f3a8794dp-2, 0x1.c235ada932c1ap-2, 0x1.c0366b67ef56dp-2, 0x1.be28d72e793c7p-2, 0x1.bc0d3f9974a26p-2, 0x1.b9e3f32a9adc6p-2, 0x1.b7ad4048ef99cp-2, 0x1.b5697540e809dp-2, 0x1.b318e044830cp-2, 0x1.b0bbcf6b4378cp-2, 0x1.ae5290b20d625p-2, 0x1.abdd71fad67a8p-2, 0x1.a95cc10c28497p-2, 0x1.a6d0cb907274fp-2, 0x1.a439df151e22fp-2, 0x1.a19849096c24ap-2, 0x1.9eec56bd11293p-2, 0x1.9c36555e8ea63p-2, 0x1.997691f94dbcfp-2, 0x1.96ad5973703c9p-2, 0x1.93daf88b624fp-2, 0x1.90ffbbd523953p-2, 0x1.8e1befb74cf83p-2, 0x1.8b2fe067d3a15p-2, 0x1.883bd9e889f97p-2, 0x1.854028035dceap-2, 0x1.823d16465c6c1p-2, 0x1.7f32efff76ec3p-2, 0x1.7c2200380f916p-2, 0x1.790a91b04ed2cp-2, 0x1.75eceeda48085p-2, 0x1.72c961d4ec648p-2, 0x1.6fa03466d3445p-2, 0x1.6c71aff8d6f5p-2, 0x1.693e1d9091cf8p-2, 0x1.6605c5cab7435p-2, 0x1.62c8f0d54f6a1p-2, 0x1.5f87e669dd0d9p-2, 0x1.5c42edc76db16p-2, 0x1.58fa4dac99559p-2, 0x1.55ae4c517427p-2, 0x1.525f2f617ae8ep-2, 0x1.4f0d3bf577e38p-2, 0x1.4bb8b68d6a06bp-2, 0x1.4861e30a6dce1p-2, 0x1.450904a8ae106p-2, 0x1.41ae5df95eebfp-2, 0x1.3e5230dcc8f93p-2, 0x1.3af4be7c63e2p-2, 0x1.3796474507d76p-2, 0x1.34370ae13818dp-2, 0x1.30d7483385ac9p-2, 0x1.2d773d5116981p-2, 0x1.2a17277c469b5p-2, 0x1.26b7431f7305dp-2, 0x1.2357cbc7e787ap-2, 0x1.1ff8fc20f68cdp-2, 0x1.1c9b0def3a805p-2, 0x1.193e3a0c061d1p-2, 0x1.15e2b861019c1p-2, 0x1.1288bfe3f7619p-2, 0x1.0f308692d571ap-2, 0x1.0bda416fe0266p-2, 0x1.0886247e17eaap-2, 0x1.053462bdd6cfep-2, 0x1.01e52e29a58e1p-2, 0x1.fd316f66846d6p-3, 0x1.f69e5e81cd592p-3, 0x1.f01187557fdc3p-3, 0x1.e98b457145e2ap-3, 0x1.e30bf23ff1d56p-3, 0x1.dc93e503c9811p-3, 0x1.d62372d33fd17p-3, 0x1.cfbaee96270e8p-3, 0x1.c95aa903502c1p-3, 0x1.c302f09e99cecp-3, 0x1.bcb411b7752fep-3, 0x1.b66e5667d2cbdp-3, 0x1.b03206938088fp-3, 0x1.a9ff67e7f40f9p-3, 0x1.a3d6bddc7ced7p-3, 0x1.9db849b2e58d7p-3, 0x1.97a44a7874f18p-3, 0x1.919afd0757563p-3, 0x1.8b9c9c086dc0dp-3, 0x1.85a95ff578268p-3, 0x1.7fc17f1ba136ep-3, 0x1.79e52d9e68448p-3, 0x1.74149d7adf9eep-3, 0x1.6e4ffe8b42e22p-3, 0x1.68977e8ae8c2p-3, 0x1.62eb491a76cc9p-3, 0x1.5d4b87c476d0ap-3, 0x1.57b8620229d65p-3, 0x1.5231fd40a87f8p-3, 0x1.4cb87ce64b894p-3, 0x1.474c02585645ap-3, 0x1.41ecad00dce57p-3, 0x1.3c9a9a54f2023p-3, 0x1.3755e5db01e5p-3, 0x1.321ea9316fc5cp-3, 0x1.2cf4fc15644dp-3, 0x1.27d8f469c8106p-3, 0x1.22caa63e773bdp-3, 0x1.1dca23d795c66p-3, 0x1.18d77db513271p-3, 0x1.13f2c29a559e5p-3, 0x1.0f1bff9600c49p-3, 0x1.0a534009e3ad5p-3, 0x1.05988db30411ep-3, 0x1.00ebf0b1be979p-3, 0x1.f89adf240bc02p-4, 0x1.ef7a1ea76f2d2p-4, 0x1.e675a6e5f9d9ap-4, 0x1.dd8d7be18933fp-4, 0x1.d4c19eb68d0d4p-4, 0x1.cc120dad2792cp-4, 0x1.c37ec44a64252p-4, 0x1.bb07bb617a812p-4, 0x1.b2ace925172e8p-4, 0x1.aa6e4138b5872p-4, 0x1.a24bb4c1f0f21p-4, 0x1.9a453279db65cp-4, 0x1.925aa6be44f62p-4, 0x1.8a8bfba3057f1p-4, 0x1.82d919032f709p-4, 0x1.7b41e4923595ap-4, 0x1.73c641ecfc466p-4, 0x1.6c6612aad3347p-4, 0x1.6521366e541f5p-4, 0x1.5df78af626cbep-4, 0x1.56e8ec2d9d935p-4, 0x1.4ff5343d3a8c8p-4, 0x1.491c3b9b02bf4p-4, 0x1.425dd91ab28ep-4, 0x1.3bb9e1fdc218dp-4, 0x1.35302a0341576p-4, 0x1.2ec083778100ep-4, 0x1.286abf43905adp-4, 0x1.222eacfc82e8dp-4, 0x1.1c0c1af286ca1p-4, 0x1.1602d63fc2cadp-4, 0x1.1012aad6fba3ep-4, 0x1.0a3b639206e95p-4, 0x1.047cca3ffc00ap-4, 0x1.fdad4f665fed3p-5, 0x1.f291879de23cdp-5, 0x1.e7a5cb2a10ec3p-5, 0x1.dce9a665f8d49p-5, 0x1.d25ca41e21d9fp-5, 0x1.c7fe4daa2152fp-5, 0x1.bdce2b059470fp-5, 0x1.b3cbc2e8ad3c5p-5, 0x1.a9f69ae0343b9p-5, 0x1.a04e37650792ap-5, 0x1.96d21bf3195abp-5, 0x1.8d81cb1fe4691p-5, 0x1.845cc6b0626b3p-5, 0x1.7b628fae7ae75p-5, 0x1.7292a67dea6ddp-5, 0x1.69ec8af0af58ap-5, 0x1.616fbc5ae4e1cp-5, 0x1.591bb9a62313bp-5, 0x1.50f0016459bb7p-5, 0x1.48ec11e2270efp-5, 0x1.410f6938aef5bp-5, 0x1.3959855eeb8fcp-5, 0x1.31c9e43a82f14p-5, 0x1.2a6003b01947dp-5, 0x1.231b61b324af2p-5, 0x1.1bfb7c55490cp-5, 0x1.14ffd1d52b083p-5, 0x1.0e27e0acdaea4p-5, 0x1.0773279fb1a16p-5, 0x1.00e125c7c1cd9p-5, 0x1.f4e2b5459ec99p-6, 0x1.e8468c3d9f6fep-6, 0x1.dbecd14bf545ap-6, 0x1.cfd48654c7835p-6, 0x1.c3fcae62456b3p-6, 0x1.b8644dba273bcp-6, 0x1.ad0a69f24c8bbp-6, 0x1.a1ee0a0475f32p-6, 0x1.970e36614a902p-6, 0x1.8c69f9026ac54p-6, 0x1.82005d7bd5dccp-6, 0x1.77d0710c714ecp-6, 0x1.6dd942add2bbcp-6, 0x1.6419e3234f6ep-6, 0x1.5a916508434d1p-6, 0x1.513edcdda94e2p-6, 0x1.48216116fc3a6p-6, 0x1.3f380a2653d5ep-6, 0x1.3681f287fb9e2p-6, 0x1.2dfe36cd37d6cp-6, 0x1.25abf5a673fe6p-6, 0x1.1d8a4fece1b6dp-6, 0x1.159868ab5358cp-6, 0x1.0dd56526a26bbp-6, 0x1.06406ce55fdcfp-6, 0x1.fdb1536e1221ap-7, 0x1.ef3a8f754178fp-7, 0x1.e11aeac98c89ap-7, 0x1.d350c70a72aecp-7, 0x1.c5da8a97cffe5p-7, 0x1.b8b6a09add286p-7, 0x1.abe3790e4e28dp-7, 0x1.9f5f88c570d3ep-7, 0x1.932949726d05dp-7, 0x1.873f39ab92c09p-7, 0x1.7b9fdcefd7ff4p-7, 0x1.7049bbaa863ebp-7, 0x1.653b633606d83p-7, 0x1.5a7365dde349fp-7, 0x1.4ff05ae02ab09p-7, 0x1.45b0de6e02989p-7, 0x1.3bb391ab7868ep-7, 0x1.31f71aaeb551p-7, 0x1.287a247e8a75p-7, 0x1.1f3b5f105893cp-7, 0x1.16397f4554fbfp-7, 0x1.0d733ee74d968p-7, 0x1.04e75ca4b4ffcp-7, 0x1.f9293818b7be9p-8, 0x1.e8f38b110543ap-8, 0x1.d92b4cb2c245p-8, 0x1.c9ce211ead04fp-8, 0x1.bad9b60905f38p-8, 0x1.ac4bc2ac39f3dp-8, 0x1.9e2207ba4e487p-8, 0x1.905a4f4dd5ff8p-8, 0x1.82f26cda10531p-8, 0x1.75e83d1a28632p-8, 0x1.6939a6000b633p-8, 0x1.5ce496a24c252p-8, 0x1.50e70729b864bp-8, 0x1.453ef8be108d7p-8, 0x1.39ea75728103fp-8, 0x1.2ee7903138909p-8, 0x1.243464a6f6a07p-8, 0x1.19cf172da33c4p-8, 0x1.0fb5d4b707a5cp-8, 0x1.05e6d2b692ebp-8, 0x1.f8c09e165f4abp-9, 0x1.e6411fd1289a9p-9, 0x1.d44bc7806c359p-9, 0x1.c2dd425456952p-9, 0x1.b1f24d9aca215p-9, 0x1.a187b6901fa63p-9, 0x1.919a5a2f4ad8dp-9, 0x1.822725010deb4p-9, 0x1.732b12eb90c48p-9, 0x1.64a32f0144a45p-9, 0x1.568c934f6ff4bp-9, 0x1.48e468acf777cp-9, 0x1.3ba7e6884d097p-9, 0x1.2ed452b5c565cp-9, 0x1.2267013d9cdecp-9, 0x1.165d5429c2a6ap-9, 0x1.0ab4bb53d2437p-9, 0x1.fed56865f05cap-10, 0x1.e8f993538d5efp-10, 0x1.d3d127a7f28dep-10, 0x1.bf576fa993c59p-10, 0x1.ab87cf496bf02p-10, 0x1.985dc3bf7b894p-10, 0x1.85d4e327c65cp-10, 0x1.73e8dc1ee52acp-10, 0x1.6295755fe37a4p-10, 0x1.51d68d61f0549p-10, 0x1.41a819f676a07p-10, 0x1.320627e823095p-10, 0x1.22ecda9a2d75dp-10, 0x1.14586ba873e84p-10, 0x1.06452a87db2ddp-10, 0x1.f15ef84f04321p-11, 0x1.d727b52595fc3p-11, 0x1.bddda92781e44p-11, 0x1.a57a1aad551d1p-11, 0x1.8df6781c4ccdfp-11, 0x1.774c572ee863fp-11, 0x1.617574420d3f6p-11, 0x1.4c6bb1a061f0cp-11, 0x1.382916d299d7ep-11, 0x1.24a7cfeeb9146p-11, 0x1.11e22ceb069c6p-11, 0x1.ffa541e20777p-12, 0x1.dce78369aa5aep-12, 0x1.bb808d98213ep-12, 0x1.9b66120f4f8bcp-12, 0x1.7c8e039da9b33p-12, 0x1.5eee94fb0a072p-12, 0x1.427e3785c51e4p-12, 0x1.27339a0672126p-12, 0x1.0d05a777082e4p-12, 0x1.e7d70b98377bbp-13, 0x1.b7b9298a8df97p-13, 0x1.89a0d97ac85b6p-13, 0x1.5d7dbb0940ba7p-13, 0x1.333fda72a5c57p-13, 0x1.0ad7ae4e3cf11p-13, 0x1.c86c2aaac77dp-14, 0x1.7e98a85d0d32p-14, 0x1.3818268e59461p-14, 0x1.e99d72c84bc66p-15, 0x1.6942682998f2cp-15, 0x1.ddd493392d447p-16, 0x1.e98684e2ea381p-17, 0x1.6ecbdadacb8bp-20, -0x1.7820bf59c6a32p-17, -0x1.8492ce0030bd8p-16, -0x1.217b5467f64f2p-15, -0x1.7bcabedb27b89p-15, -0x1.d1632d9b9d679p-15, -0x1.113777d1947dbp-14, -0x1.378b915f7e2d9p-14, -0x1.5bc1dd500686cp-14, -0x1.7dedc3dffa738p-14, -0x1.9e221f1443a9ep-14, -0x1.bc713e0b541d3p-14, -0x1.d8ece8489ab75p-14, -0x1.f3a660de50532p-14, -0x1.065734d36efb8p-13, -0x1.120aa327ffed7p-13, -0x1.1cf55fb60cd93p-13, -0x1.271f12b58a949p-13, -0x1.308f29c3c649ep-13, -0x1.394cd9531e68ep-13, -0x1.415f1e134d45ep-13, -0x1.48ccbe54e1bc2p-13, -0x1.4f9c4b63056dfp-13, -0x1.55d422d64e4cp-13, -0x1.5b7a6fe2a400bp-13, -0x1.60952c9fd7126p-13, -0x1.652a23460707cp-13, -0x1.693eef6c559d6p-13, -0x1.6cd8ff37ed46cp-13, -0x1.6ffd948bd33f6p-13, -0x1.72b1c62d6c7ebp-13, -0x1.74fa80e6c4ea5p-13, -0x1.76dc88a0d3978p-13, -0x1.785c7978e327cp-13, -0x1.797ec8ce62649p-13, -0x1.7a47c64c3054cp-13, -0x1.7abb9ceb587a6p-13, -0x1.7ade53f2ee466p-13, -0x1.7ab3cfeebff97p-13, -0x1.7a3fd3a1fa16ap-13, -0x1.798600f5bd34dp-13, -0x1.7889d9df7e6edp-13, -0x1.774ec145601ccp-13, -0x1.75d7fbdb54133p-13, -0x1.7428b0fc28261p-13, -0x1.7243eb7e4d326p-13, -0x1.702c9a81c55acp-13, -0x1.6de5923a67b7p-13, -0x1.6b718cb4987b4p-13, -0x1.68d32a985d622p-13, -0x1.660cf3e4a7e6p-13, -0x1.632158a77a3b6p-13, -0x1.6012b1b0c7044p-13, -0x1.5ce341432f2d2p-13, -0x1.599533bd4876ap-13, -0x1.562aa04096ec7p-13, -0x1.52a589561375cp-13, -0x1.4f07dd8bfda05p-13, -0x1.4b5378119ae4ep-13, -0x1.478a214d0100cp-13, -0x1.43ad8f6f4afc6p-13, -0x1.3fbf670412b9ap-13, -0x1.3bc13b7d9754cp-13, -0x1.37b48fbcfad15p-13, -0x1.339ad697ceba9p-13, -0x1.2f7573597736ap-13, -0x1.2b45ba4144d3cp-13, -0x1.270cf0fd0268cp-13, -0x1.22cc4f21d3837p-13, -0x1.1e84fe9ffd4cdp-13, -0x1.1a381c3590ff8p-13, -0x1.15e6b7db6d1bdp-13, -0x1.1191d53295144p-13, -0x1.0d3a6bebd6b5ap-13, -0x1.08e1682de1718p-13, -0x1.0487aaf8d188cp-13, -0x1.002e0a864c1ccp-13, -0x1.f7aaa5501faadp-14, -0x1.eefc8a44d6943p-14, -0x1.e6533409f253dp-14, -0x1.ddb0000242aa4p-14, -0x1.d514397c8992fp-14, -0x1.cc811a560c215p-14, -0x1.c3f7cb982f274p-14, -0x1.bb7966147aeddp-14, -0x1.b306f2f85308dp-14, -0x1.aaa16c5e340ecp-14, -0x1.a249bdd9eae81p-14, -0x1.9a00c503a02e4p-14, -0x1.91c751fb5c8a7p-14, -0x1.899e27eaea9afp-14, -0x1.8185fd81fa549p-14, -0x1.797f7d701f21bp-14, -0x1.718b46dad0c52p-14, -0x1.69a9edce9701cp-14, -0x1.61dbfbaf3828ep-14, -0x1.5a21efa1b6635p-14, -0x1.527c3ef667761p-14, -0x1.4aeb558d2a2a3p-14, -0x1.436f96370636bp-14, -0x1.3c095b1407ad6p-14, -0x1.34b8f5f02258dp-14, -0x1.2d7eb09bb5537p-14, -0x1.265acd41a2068p-14, -0x1.1f4d86baf3dc9p-14, -0x1.185710dfe26e5p-14, -0x1.117798d4cd9f4p-14, -0x1.0aaf455745cc8p-14, -0x1.03fe3704d5ec9p-14, -0x1.fac911478df9ep-15, -0x1.edc49ecd1a737p-15, -0x1.e0ef365bf87b8p-15, -0x1.d448ed9296dbfp-15, -0x1.c7d1d066710c1p-15, -0x1.bb89e19bae95cp-15, -0x1.af711b37c8811p-15, -0x1.a3876ef1e9f61p-15, -0x1.97ccc69c292b6p-15, -0x1.8c41048c83cccp-15, -0x1.80e4040195301p-15, -0x1.75b599806d416p-15, -0x1.6ab59333a701cp-15, -0x1.5fe3b94125fdfp-15, -0x1.553fce2558199p-15, -0x1.4ac98f02f3797p-15, -0x1.4080b3f501806p-15, -0x1.3664f05a63dcap-15, -0x1.2c75f3212781p-15, -0x1.22b3670c2e2d3p-15, -0x1.191cf2fa48e62p-15, -0x1.0fb23a2584a1ep-15, -0x1.0672dc641600ep-15, -0x1.fabceccc39ce2p-16, -0x1.e8e943dd64658p-16, -0x1.d769ec1d56667p-16, -0x1.c63e0eae3a3bp-16, -0x1.b564d01f8231ep-16, -0x1.a4dd50cf47609p-16, -0x1.94a6ad48d22e7p-16, -0x1.84bffea260517p-16, -0x1.75285ad02c5abp-16, -0x1.65ded4fea14a1p-16, -0x1.56e27dddb5182p-16, -0x1.483263f045599p-16, -0x1.39cd93d2d85d4p-16, -0x1.2bb31880fdedbp-16, -0x1.1de1fb9ba2e82p-16, -0x1.105945a639308p-16, -0x1.0317fe44b4377p-16, -0x1.ec3a58ebd7c54p-17, -0x1.d2cfad8dac9ebp-17, -0x1.b9ee071bbf73cp-17, -0x1.a193722f0807dp-17, -0x1.89bdfbaf5ca8p-17, -0x1.726bb12dbe3eap-17, -0x1.5b9aa13689247p-17, -0x1.4548dba5d4f7cp-17, -0x1.2f7471f80bda8p-17, -0x1.1a1b778c3b5bcp-17, -0x1.053c01e707147p-17, -0x1.e1a851f38c01ep-18, -0x1.b9c40ebac3da6p-18, -0x1.92c77514e8da1p-18, -0x1.6caec623d36ccp-18, -0x1.47764994b9ffcp-18, -0x1.231a4e0e6548bp-18, -0x1.ff2e52ff590c2p-19, -0x1.b9d272e56b13ap-19, -0x1.7619c6c507dafp-19, -0x1.33fd29e711ccap-19, -0x1.e6eb111835c96p-20, -0x1.68f7c0b3643p-20, -0x1.dc25034dd75a2p-21, -0x1.d8b65e3160e8cp-22, -0x1.3b6b177489accp-28, 0x1.c345d4375e9e2p-22, 0x1.c00ca72a84b33p-21, 0x1.4c70541a1a32cp-20, 0x1.b61c72a417508p-20, 0x1.0e8bc18be6959p-19, 0x1.40b7188b2db4cp-19, 0x1.71967fa6e5159p-19, 0x1.a13023b5bc243p-19, 0x1.cf8a1ce1eb9afp-19, 0x1.fcaa6e949c0cp-19, 0x1.144b83b228263p-18, 0x1.29aae08401c29p-18, 0x1.3e76301ce7849p-18, }}, 
      {{-0x1.31126c92ccffbp-6, -0x1.2ff947b2ea064p-5, -0x1.c54c4c92d9a13p-5, -0x1.2bd06672f5908p-4, -0x1.731ee9a4e9588p-4, -0x1.b84a20bfcd7cap-4, -0x1.fb1e94fca1298p-4, -0x1.1dbd9ab2cb3b2p-3, -0x1.3ca79824b1148p-3, -0x1.5a4bcfaa42024p-3, -0x1.76ae99bb7e299p-3, -0x1.91d8fe2df9883p-3, -0x1.abd7adca9db2fp-3, -0x1.c4ba15f50f886p-3, -0x1.dc9190172aa5p-3, -0x1.f370ace05fea5p-3, -0x1.04b54d2ea9236p-2, -0x1.0f4951a2ba874p-2, -0x1.197de2bd23b56p-2, -0x1.235c2ec049c8ep-2, -0x1.2cecf254d12bep-2, -0x1.36385fd3853d5p-2, -0x1.3f460dac2db59p-2, -0x1.481ceae100868p-2, -0x1.50c338a1d0375p-2, -0x1.593e8827f09e2p-2, -0x1.6193bc0a5c3c7p-2, -0x1.69c70c5882c37p-2, -0x1.71dc0ce03c4e8p-2, -0x1.79d5b5187c4c2p-2, -0x1.81b6693dec747p-2, -0x1.8980044087bedp-2, -0x1.9133e2318ba1p-2, -0x1.98d2eaef536c9p-2, -0x1.a05d9cd9724c2p-2, -0x1.a7d4176236398p-2, -0x1.af36255c2e1fap-2, -0x1.b68346ea3d405p-2, -0x1.bdbabaff75afp-2, -0x1.c4db886179a96p-2, -0x1.cbe48624b88cbp-2, -0x1.d2d4639d84f01p-2, -0x1.d9a9afc3f7a39p-2, -0x1.e062e00af243ep-2, -0x1.e6fe56ac52071p-2, -0x1.ed7a686dd9adfp-2, -0x1.f3d561e34fcfcp-2, -0x1.fa0d8c3319054p-2, -0x1.001098b1825e9p-1, -0x1.03075019b688ep-1, -0x1.05ea17c76ce74p-1, -0x1.08b820ca3efa1p-1, -0x1.0b70a321e9a2cp-1, -0x1.0e12dee7ba8ap-1, -0x1.109e1d4ea8eccp-1, -0x1.1311b17cfb95p-1, -0x1.156cf94255d92p-1, -0x1.17af5dacd831cp-1, -0x1.19d8537ff003bp-1, -0x1.1be75b8f4ae22p-1, -0x1.1ddc030047987p-1, -0x1.1fb5e3741e17ap-1, -0x1.2174a31cda937p-1, -0x1.2317f4bf2871ep-1, -0x1.249f97a2d0d69p-1, -0x1.260b5773b03e8p-1, -0x1.275b0c14ca44dp-1, -0x1.288e9967130aap-1, -0x1.29a5ef0559c1ap-1, -0x1.2aa107f6bbe41p-1, -0x1.2b7fea58e065dp-1, -0x1.2c42a7032ddb1p-1, -0x1.2ce9592414653p-1, -0x1.2d7425d970dbap-1, -0x1.2de33bc4fadeap-1, -0x1.2e36d29d99b95p-1, -0x1.2e6f2abe701b1p-1, -0x1.2e8c8cb456efp-1, -0x1.2e8f48ca722edp-1, -0x1.2e77b6967bd2dp-1, -0x1.2e4634854ebf9p-1, -0x1.2dfb276834f94p-1, -0x1.2d96fa0362ab6p-1, -0x1.2d1a1c9e0bbe1p-1, -0x1.2c85049464af9p-1, -0x1.2bd82bebe473p-1, -0x1.2b1410ea05912p-1, -0x1.2a3935adc41ccp-1, -0x1.29481fcc0c295p-1, -0x1.284157ef3c622p-1, -0x1.27256979e61a9p-1, -0x1.25f4e22ce0642p-1, -0x1.24b051d0c5b1p-1, -0x1.235849e2e9df6p-1, -0x1.21ed5d45d3019p-1, -0x1.20701ff538d97p-1, -0x1.1ee126bd8b3f4p-1, -0x1.1d4106f6fbb63p-1, -0x1.1b90564404786p-1, -0x1.19cfaa5361185p-1, -0x1.17ff98a56a6eep-1, -0x1.1620b654cad5ap-1, -0x1.143397e2735ep-1, -0x1.1238d104c34b7p-1, -0x1.1030f479c92cap-1, -0x1.0e1c93dc8a049p-1, -0x1.0bfc3f7d356f5p-1, -0x1.09d0863c2f74ep-1, -0x1.0799f567d6f78p-1, -0x1.0559189ceecb7p-1, -0x1.030e79a990d64p-1, -0x1.00baa0729143dp-1, -0x1.fcbc25b66fba7p-2, -0x1.f7f2a95e672a1p-2, -0x1.f319cf1d6a4d1p-2, -0x1.ee3295b91cf48p-2, -0x1.e93df75c8c328p-2, -0x1.e43ce97c04a32p-2, -0x1.df305cbc65f24p-2, -0x1.da193cddcd5d9p-2, -0x1.d4f870a96188ap-2, -0x1.cfced9e2180fap-2, -0x1.ca9d553846a92p-2, -0x1.c564ba3fdae73p-2, -0x1.c025db690c2a4p-2, -0x1.bae185fb60328p-2, -0x1.b5988212e4d6bp-2, -0x1.b04b929f6f624p-2, -0x1.aafb7565ca497p-2, -0x1.a5a8e302a92fep-2, -0x1.a0548eef44e78p-2, -0x1.9aff278786567p-2, -0x1.95a956119ae23p-2, -0x1.9053bec6df05cp-2, -0x1.8aff00de00b9bp-2, -0x1.85abb69642d05p-2, -0x1.805a7543c752bp-2, -0x1.7b0bcd5ccd132p-2, -0x1.75c04a87cd8dbp-2, -0x1.707873aa6040bp-2, -0x1.6b34caf8d5dc8p-2, -0x1.65f5ce067a223p-2, -0x1.60bbf5d667c6fp-2, -0x1.5b87b6ece3cc6p-2, -0x1.565981612ac25p-2, -0x1.5131c0efa957ep-2, -0x1.4c10dd0c8b21p-2, -0x1.46f738f69f1e2p-2, -0x1.41e533ca75e21p-2, -0x1.3cdb2895c1af6p-2, -0x1.37d96e6adb17dp-2, -0x1.32e0587472e79p-2, -0x1.2df036095a7f3p-2, -0x1.290952c061ba2p-2, -0x1.242bf684443a5p-2, -0x1.1f5865a794801p-2, -0x1.1a8ee0f8af5e1p-2, -0x1.15cfa5d59f26dp-2, -0x1.111aee3ff8b24p-2, -0x1.0c70f0f0a1848p-2, -0x1.07d1e16b81b99p-2, -0x1.033df0131a3bcp-2, -0x1.fd6a9477f2396p-3, -0x1.f47034801e4a7p-3, -0x1.eb8d0f23b1f2ep-3, -0x1.e2c16d9ec8591p-3, -0x1.da0d93aa4625p-3, -0x1.d171bfa1292dcp-3, -0x1.c8ee2aa56cd6bp-3, -0x1.c08308c48f6dep-3, -0x1.b830891ba44f3p-3, -0x1.aff6d5faf8f58p-3, -0x1.a7d615094b376p-3, -0x1.9fce6766829bbp-3, -0x1.97dfe9cdf674p-3, -0x1.900ab4b839b2fp-3, -0x1.884edc7c6575p-3, -0x1.80ac7170ef6d8p-3, -0x1.7923800bf0f3ap-3, -0x1.71b41102fd77cp-3, -0x1.6a5e296a6ee03p-3, -0x1.6321cad428ad9p-3, -0x1.5bfef36de7e45p-3, -0x1.54f59e1efbabdp-3, -0x1.4e05c2a588f04p-3, -0x1.472f55b33f853p-3, -0x1.407249098c38bp-3, -0x1.39ce8b9548b77p-3, -0x1.33440989e158p-3, -0x1.2cd2ac7bfa794p-3, -0x1.267a5b7b902e3p-3, -0x1.203afb2d8d92p-3, -0x1.1a146de4e6542p-3, -0x1.140693bb2a90ap-3, -0x1.0e114aa896b77p-3, -0x1.08346e9ba307bp-3, -0x1.026fd990129e6p-3, -0x1.f986c74b026fep-4, -0x1.ee5dc66adf483p-4, -0x1.e36459d1b132ap-4, -0x1.d89a279a7a62ep-4, -0x1.cdfed2d2819e4p-4, -0x1.c391fba180628p-4, -0x1.b9533f70e8d5p-4, -0x1.af42391230208p-4, -0x1.a55e80e4325d8p-4, -0x1.9ba7acf7a577cp-4, -0x1.921d51329b1p-4, -0x1.88beff732211p-4, -0x1.7f8c47b10337ep-4, -0x1.7684b81e931b2p-4, -0x1.6da7dd48aa673p-4, -0x1.64f54235bf09cp-4, -0x1.5c6c708420ee4p-4, -0x1.540cf08761292p-4, -0x1.4bd64964e30a5p-4, -0x1.43c8012f9b22bp-4, -0x1.3be19d02fedfcp-4, -0x1.3422a11d297e3p-4, -0x1.2c8a90f83544dp-4, -0x1.2518ef62d14c5p-4, -0x1.1dcd3e9810d66p-4, -0x1.16a700567e957p-4, -0x1.0fa5b5f66e70bp-4, -0x1.08c8e07f98ad3p-4, -0x1.021000bdfce5ap-4, -0x1.f6f52eac1f445p-5, -0x1.ea1049b0738e8p-5, -0x1.dd7053a75088fp-5, -0x1.d1144dd0e5c36p-5, -0x1.c4fb39b231279p-5, -0x1.b9241936b6c1ap-5, -0x1.ad8deed0ef34ep-5, -0x1.a237bd997bfe6p-5, -0x1.9720896d27803p-5, -0x1.8c475709af6dbp-5, -0x1.81ab2c296b89fp-5, -0x1.774b0f9dcb173p-5, -0x1.6d260968b818dp-5, -0x1.633b22d4e0c15p-5, -0x1.5989668cef7efp-5, -0x1.500fe0b1b692ap-5, -0x1.46cd9eef56fp-5, -0x1.3dc1b09167ad5p-5, -0x1.34eb269620d35p-5, -0x1.2c4913c0941b9p-5, -0x1.23da8ca9f7228p-5, -0x1.1b9ea7d2039ebp-5, -0x1.13947dae76c54p-5, -0x1.0bbb28b9b0e73p-5, -0x1.0411c5807fd85p-5, -0x1.f92ee55e256aep-6, -0x1.ea96a23a5090dp-6, -0x1.dc5907b2df307p-6, -0x1.ce74606852d7ap-6, -0x1.c0e6fb9216e7dp-6, -0x1.b3af2d10e2d93p-6, -0x1.a6cb4d7fa4048p-6, -0x1.9a39ba4325d75p-6, -0x1.8df8d59853dabp-6, -0x1.820706a146cf1p-6, -0x1.7662b97108743p-6, -0x1.6b0a5f162c409p-6, -0x1.5ffc6da43f236p-6, -0x1.5537603c14a7ap-6, -0x1.4ab9b712fe21ep-6, -0x1.4081f778f50f6p-6, -0x1.368eabddc3e82p-6, -0x1.2cde63d52cb09p-6, -0x1.236fb41a269f2p-6, -0x1.1a41369122a71p-6, -0x1.11518a498120ep-6, -0x1.089f537e1dd3p-6, -0x1.00293b950e80ap-6, -0x1.efdbe23d38dfp-7, -0x1.dfd84fa6eac36p-7, -0x1.d04531244c9a7p-7, -0x1.c12002b7c10e2p-7, -0x1.b2664aa12946p-7, -0x1.a4159954ce837p-7, -0x1.962b89710dac5p-7, -0x1.88a5bfb2de1a3p-7, -0x1.7b81eae9367dfp-7, -0x1.6ebdc3e747665p-7, -0x1.62570d75da39cp-7, -0x1.564b944383028p-7, -0x1.4a992ed412d34p-7, -0x1.3f3dbd6f10c97p-7, -0x1.34372a0d4fa05p-7, -0x1.29836845d3e88p-7, -0x1.1f207539e6b85p-7, -0x1.150c57807c848p-7, -0x1.0b451f10e5dc6p-7, -0x1.01c8e52cec5efp-7, -0x1.f12b989486db5p-8, -0x1.df53fff70c558p-8, -0x1.ce0769b13f73bp-8, -0x1.bd4250cd6f4cep-8, -0x1.ad0141ff5a8fbp-8, -0x1.9d40db72583f7p-8, -0x1.8dfdcc96bec9cp-8, -0x1.7f34d5ee96677p-8, -0x1.70e2c8d99637cp-8, -0x1.6304876092ef1p-8, -0x1.5597040087a05p-8, -0x1.48974174e03fdp-8, -0x1.3c025281b0718p-8, -0x1.2fd559bd487fp-8, -0x1.240d895985e69p-8, -0x1.18a822ecfc3aep-8, -0x1.0da2773bc11f1p-8, -0x1.02f9e6002ef98p-8, -0x1.f157bb66ca712p-9, -0x1.dd6bb6ab76b98p-9, -0x1.ca2ad46e5f03ep-9, -0x1.b790477f78477p-9, -0x1.a5975e6f820aap-9, -0x1.943b83212a647p-9, -0x1.83783a59f3808p-9, -0x1.734923538febap-9, -0x1.63a9f74d98f3p-9, -0x1.5496891f837f8p-9, -0x1.460ac4cb41354p-9, -0x1.3802af0ffa574p-9, -0x1.2a7a64fda5791p-9, -0x1.1d6e1b88fa62cp-9, -0x1.10da1f20221cp-9, -0x1.04bad3400917ep-9, -0x1.f219641506b76p-10, -0x1.db9897ba0dea2p-10, -0x1.c5ec8dd078b64p-10, -0x1.b10ebd90e35dp-10, -0x1.9cf8c83dd9cdep-10, -0x1.89a47857e9ec1p-10, -0x1.770bc0d42fb6ap-10, -0x1.6528bc54681fcp-10, -0x1.53f5ac6094b62p-10, -0x1.436cf8a389c7ep-10, -0x1.33892e28a6e13p-10, -0x1.2444fe9c4a7b5p-10, -0x1.159b3f8df843ap-10, -0x1.0786e9b51d4c2p-10, -0x1.f406306f27556p-11, -0x1.da160fe4ecdc1p-11, -0x1.c1342d8af3dadp-11, -0x1.a95785c0c961cp-11, -0x1.927754258623ap-11, -0x1.7c8b123caa477p-11, -0x1.678a7615ebcebp-11, -0x1.536d70fbc1a21p-11, -0x1.402c2e256e62ep-11, -0x1.2dbf116e137d6p-11, -0x1.1c1eb610afe33p-11, -0x1.0b43ed68e98e1p-11, -0x1.f64f7b7188078p-12, -0x1.d786c1e4eba53p-12, -0x1.ba20870fb39a1p-12, -0x1.9e10067c8e244p-12, -0x1.8348dc0f39272p-12, -0x1.69bf01bebf47bp-12, -0x1.5166cd5b0f364p-12, -0x1.3a34ee5ad567bp-12, -0x1.241e6bb2a99eap-12, -0x1.0f18a1b74a10ap-12, -0x1.f632800ea2f36p-13, -0x1.d02c8f003024cp-13, -0x1.ac0c1075615dfp-13, -0x1.89be3f249be2bp-13, -0x1.6930ec68e5451p-13, -0x1.4a527c746cb61p-13, -0x1.2d11e293a2391p-13, -0x1.115e9d837f452p-13, -0x1.ee5167b3d166fp-14, -0x1.bcc16100f0b19p-14, -0x1.8def3e7d392c2p-14, -0x1.61be12ad476ddp-14, -0x1.3811e466e7d31p-14, -0x1.10cfa84f6c219p-14, -0x1.d7ba74fd0d4a2p-15, -0x1.9242b073a0d95p-15, -0x1.510733b47004p-15, -0x1.13d8d99d71fefp-15, -0x1.b51436fe88c4dp-16, -0x1.49de0b3fd85dp-16, -0x1.cb74affeb64ap-17, -0x1.10ae7d6ee117p-17, -0x1.8b2e26ec56945p-19, 0x1.f664123a10521p-20, 0x1.a9591211fb693p-18, 0x1.5f62206b543c1p-17, 0x1.df75b912a522ap-17, 0x1.2ab5626866fcfp-16, 0x1.60dfee1a2102ap-16, 0x1.92777196df5d5p-16, 0x1.bfb69673ba7d1p-16, 0x1.e8d5cf5eb680fp-16, 0x1.0705b49a8a558p-15, 0x1.17c5cdd777895p-15, 0x1.26c44cd20302ep-15, 0x1.34195079060aap-15, 0x1.3fdc04f9c5957p-15, 0x1.4a22ab5505ec4p-15, 0x1.5302a0b9c243ap-15, 0x1.5a9065b4a732dp-15, 0x1.60dfa534fb899p-15, 0x1.66033b6148508p-15, 0x1.6a0d3c3fb4007p-15, 0x1.6d0efa3549a49p-15, 0x1.6f190c51ccefcp-15, 0x1.703b547ed8161p-15, 0x1.7085057cfa0f6p-15, 0x1.7004a8ba63f18p-15, 0x1.6ec824021a69fp-15, 0x1.6cdcbf04c6861p-15, 0x1.6a4f28b80e986p-15, 0x1.672b7c9a6786ep-15, 0x1.637d47c7fad07p-15, 0x1.5f4f8dee11532p-15, 0x1.5aacce1fbb416p-15, 0x1.559f07851901p-15, 0x1.502fbde7666e8p-15, 0x1.4a67fe229dadbp-15, 0x1.4450626fb9203p-15, 0x1.3df1169008bf1p-15, 0x1.3751dbe1fee37p-15, 0x1.307a0d4e5e96dp-15, 0x1.2970a31daf6fap-15, 0x1.223c36acb728ap-15, 0x1.1ae30609becafp-15, 0x1.136af772d59ebp-15, 0x1.0bd99cba6e38p-15, 0x1.043436933bda7p-15, 0x1.f8ff6f7a255b3p-16, 0x1.e981904112ad4p-16, 0x1.d9f78f9bb816fp-16, 0x1.ca69a3c8dd186p-16, 0x1.badf7ec518e59p-16, 0x1.ab6053bdc396p-16, 0x1.9bf2dc5b7d4cbp-16, 0x1.8c9d5ddb66542p-16, 0x1.7d65ae08203b8p-16, 0x1.6e5137fd626c9p-16, 0x1.5f6500c84c19ep-16, 0x1.50a5abe412f61p-16, 0x1.42177f93624cp-16, 0x1.33be690a7f8b2p-16, 0x1.259e007ebe53ap-16, 0x1.17b98d0f0a8c8p-16, 0x1.0a140884cde2p-16, 0x1.f960460267efdp-17, 0x1.df208d01723bbp-17, 0x1.c56d3483eae48p-17, 0x1.ac4a0c10bcfa3p-17, 0x1.93ba6a944f1d8p-17, 0x1.7bc1347a3735dp-17, 0x1.6460e18695c81p-17, 0x1.4d9b828eaf3e7p-17, 0x1.3772c6e962696p-17, 0x1.21e801a20cb06p-17, 0x1.0cfc2e9f3adafp-17, 0x1.f15feeecb34cep-18, 0x1.ca07703becfbep-18, 0x1.a3ef06df8f71dp-18, 0x1.7f164efcc4759p-18, 0x1.5b7c637e4c29cp-18, 0x1.391fe6174d385p-18, 0x1.17ff06f8d63b9p-18, 0x1.f02f186417398p-19, 0x1.b2cdb16f02731p-19, 0x1.77d3e669db245p-19, 0x1.3f3b192dd3c9dp-19, 0x1.08fc0c86d1423p-19, 0x1.aa1de05123ee1p-20, 0x1.46d6d847732eap-20, 0x1.d022af5930b22p-21, 0x1.1b75a114ac0d2p-21, 0x1.bdff24f42143ap-23, -0x1.9f387ac508b41p-24, -0x1.9dd0ebaa41631p-22, -0x1.61af2ad8ef4afp-21, -0x1.ec67012d5375ep-21, -0x1.379e5f0d2028p-20, -0x1.752efd8edaef4p-20, -0x1.aefc84a339f49p-20, -0x1.e51e6ae2d855cp-20, -0x1.0bd63409bca3p-19, -0x1.235f3486ff85cp-19, -0x1.393641da2a3ep-19, -0x1.4d677611ace96p-19, -0x1.5ffef50bb26a9p-19, -0x1.7108e78d5c712p-19, -0x1.809176898b79ap-19, -0x1.8ea4c6c70e4a7p-19, -0x1.9b4ef4a83c1e8p-19, -0x1.a69c10484cb55p-19, -0x1.b09819c0cfc35p-19, -0x1.b94efdb8eb8bfp-19, -0x1.c0cc9231377f5p-19, -0x1.c71c93794ca11p-19, -0x1.cc4aa14f89f56p-19, -0x1.d0623c485d53ep-19, -0x1.d36ec354a9c1ep-19, -0x1.d57b717d7f3e6p-19, -0x1.d6935bc58d261p-19, -0x1.d6c16f44b55a7p-19, -0x1.d6106f5275b54p-19, -0x1.d48af3dfcde36p-19, -0x1.d23b67f4c7bddp-19, -0x1.cf2c086570192p-19, -0x1.cb66e2923103bp-19, -0x1.c6f5d3531ad0fp-19, -0x1.c1e285f005da3p-19, -0x1.bc367351f9f3p-19, -0x1.b5fae12ceb983p-19, -0x1.af38e16b50414p-19, -0x1.a7f95190a70ddp-19, -0x1.a044da5a00904p-19, -0x1.9823ef4f4ad77p-19, -0x1.8f9ece73f09d3p-19, -0x1.86bd802349ce7p-19, -0x1.7d87d6df0a7d5p-19, -0x1.74056f4c0d6c5p-19, -0x1.6a3db03610678p-19, -0x1.6037caa582b6dp-19, -0x1.55fab9fecd4efp-19, -0x1.4b8d44369df7dp-19, -0x1.40f5fa0e5814bp-19, -0x1.363b3762b3313p-19, -0x1.2b63238e17f6cp-19, -0x1.2073b1ccc9b9bp-19, -0x1.1572a1a5c721dp-19, -0x1.0a657f743f0f8p-19, -0x1.fea349b5d83aep-20, -0x1.e87872c372fc4p-20, -0x1.d25465fb15fadp-20, -0x1.bc40ad7b952p-20, -0x1.a64672d53bc33p-20, -0x1.906e805082338p-20, -0x1.7ac1426646799p-20, -0x1.6546c9184063ep-20, -0x1.5006c974ea1d3p-20, -0x1.3b089f1b316c1p-20, -0x1.26534dc0ca40cp-20, -0x1.11ed82ca3e9e3p-20, -0x1.fbbb2d8d88b2dp-21, -0x1.d4531e4bde775p-21, -0x1.adae3f8dfbd3dp-21, -0x1.87d7597463a89p-21, -0x1.62d8978d0fb35p-21, -0x1.3ebb8c6d29db2p-21, -0x1.1b8934db35508p-21, -0x1.f293f698fc3bap-22, -0x1.b00b765d82b42p-22, -0x1.6f87889cfbb61p-22, -0x1.3115bc96c2f0cp-22, -0x1.e9853019acdbcp-23, -0x1.75333bcc6e811p-23, -0x1.054aa9815c76dp-23, -0x1.33bd3802d7bdcp-24, -0x1.9802c36bab509p-26, 0x1.7a05608a94526p-26, 0x1.19ad7ef64d3aap-24, 0x1.cb6bcb15d3a78p-24, 0x1.39d3ca83ee2c6p-23, 0x1.8927b6cb38cf2p-23, 0x1.d3aa81ed3e8e9p-23, 0x1.0cab42eb56bbcp-22, 0x1.2d13c957c3b65p-22, 0x1.4b0d70de04fbfp-22, 0x1.6697850d927e6p-22, 0x1.7fb1f9e4e40c3p-22, 0x1.965d663d7c081p-22, 0x1.aa9afda314ffcp-22, 0x1.bc6c8ab41b39ep-22, 0x1.cbd4696ff9fecp-22, 0x1.d8d5819d9ad5ep-22, 0x1.e3734123a9125p-22, 0x1.ebb196a537ca5p-22, 0x1.f194ec59ce624p-22, 0x1.f5222278e3d7fp-22, 0x1.f65e8a8300b31p-22, 0x1.f54fe1d3ab30fp-22, 0x1.f1fc4cc4389dp-22, 0x1.ec6a520145cc5p-22, 0x1.e4a0d574b647ep-22, 0x1.daa713faa7a44p-22, 0x1.ce849e70a9cc1p-22, 0x1.c0415574782eap-22, 0x1.afe56518a6883p-22, 0x1.9d79408966027p-22, 0x1.89059db1b9025p-22, 0x1.72937185d733cp-22, 0x1.5a2beb9cba0b4p-22, 0x1.3fd872b3bee8ep-22, 0x1.23a2a0b29c5efp-22, 0x1.05943eeafc4ccp-22, 0x1.cb6e856f785dep-23, 0x1.882b938a3878ep-23, 0x1.41742d7dacb85p-23, 0x1.eeba389a4a085p-24, 0x1.53f6cb32b27dp-24, 0x1.6591174598ea1p-25, 0x1.6b4a85ea98e55p-29, -0x1.4451569d98406p-25, -0x1.5594f93dc4088p-24, -0x1.075f6e70ccb3ep-23, -0x1.66bd34cfaa026p-23, -0x1.c8cdc472c132p-23, -0x1.16bd810964108p-22, -0x1.4a5763d622eb6p-22, -0x1.7f29746b43faep-22, -0x1.b5289bb645d45p-22, -0x1.ec49c40fe003cp-22, -0x1.1240ed8f8dc6dp-21, -0x1.2ee2ea093e938p-21, -0x1.4c0554d6f6b1bp-21, -0x1.69a2aff59ee6bp-21, -0x1.87b582fe804acp-21, -0x1.a6385c047341fp-21, -0x1.c525d05763f54p-21, -0x1.e4787d716243fp-21, -0x1.021584d56263fp-20, -0x1.121c1276f13c4p-20, -0x1.224d44be88ap-20, -0x1.32a67e4ec2416p-20, -0x1.432527981e3fbp-20, -0x1.53c6af2edc06ap-20, -0x1.64888a13a7005p-20, -0x1.756833f242a37p-20, -0x1.86632f6cf2f7ep-20, -0x1.9777066227219p-20, -0x1.a8a14a1873a7dp-20, -0x1.b9df938a08cf9p-20, -0x1.cb2f838d038f7p-20, -0x1.dc8ec3083cb85p-20, -0x1.edfb032c9eccdp-20, -0x1.ff71fd95775f3p-20, -0x1.0878ba3938b95p-19, -0x1.113b995afa8eap-19, -0x1.1a00861b3614fp-19, -0x1.22c66ee5b47a3p-19, -0x1.2b8c46b675929p-19, -0x1.3451052b7d58ap-19, -0x1.3d13a68aa3c52p-19, -0x1.45d32bcfe7ad7p-19, -0x1.4e8e9abb1d56ap-19, -0x1.5744fdd45f3d2p-19, -0x1.5ff5647570c57p-19, -0x1.689ee2d47a38bp-19, -0x1.714092012e64cp-19, }}, 
      {{-0x1.96126f77b0ddap-1, -0x1.962b165929578p-1, -0x1.964b41129db9cp-1, -0x1.966928ca20634p-1, -0x1.967ad36282fa8p-1, -0x1.96771edef3733p-1, -0x1.9656532d28d31p-1, -0x1.961262a4559c1p-1, -0x1.95a6f5bdc23e5p-1, -0x1.951155f23ad76p-1, -0x1.94504576abd9p-1, -0x1.9363cd29e9f37p-1, -0x1.924d06e93ea62p-1, -0x1.910de8538d758p-1, -0x1.8fa9107ee7d7dp-1, -0x1.8e219a1896c01p-1, -0x1.8c7af2b05dd6dp-1, -0x1.8ab8b77403e7ap-1, -0x1.88de974e2bbb5p-1, -0x1.86f03a26d7c44p-1, -0x1.84f12ce3e3643p-1, -0x1.82e4d1b6011dap-1, -0x1.80ce54372bd8dp-1, -0x1.7eb0a0deb1effp-1, -0x1.7c8e5f52f0871p-1, -0x1.7a69ef27c0214p-1, -0x1.784566a16c9ep-1, -0x1.7622931dd6309p-1, -0x1.7402facf8d1bfp-1, -0x1.71e7df80db85fp-1, -0x1.6fd2421e65987p-1, -0x1.6dc2e6d23d822p-1, -0x1.6bba5980b9032p-1, -0x1.69b8f27fffefbp-1, -0x1.67bedb6a377e5p-1, -0x1.65cc13f030de2p-1, -0x1.63e07697e17f8p-1, -0x1.61fbbd5675e24p-1, -0x1.601d85f9bdc73p-1, -0x1.5e455658033b9p-1, -0x1.5c72a0401da1bp-1, -0x1.5aa4c525de18bp-1, -0x1.58db1988cc514p-1, -0x1.5714e814adaacp-1, -0x1.5551747c7cd7cp-1, -0x1.538ffe1162b3ap-1, -0x1.51cfc217f7075p-1, -0x1.500ffdde8ca98p-1, -0x1.4e4ff097a9dcep-1, -0x1.4c8edcfc0b9a3p-1, -0x1.4acc0ab7ac2d7p-1, -0x1.4906c7a55b8b3p-1, -0x1.473e68dc6f30ap-1, -0x1.45724b93fd8f9p-1, -0x1.43a1d5df0af57p-1, -0x1.41cc7744e219fp-1, -0x1.3ff1a938b6943p-1, -0x1.3e10ef7387df3p-1, -0x1.3c29d8330f2d4p-1, -0x1.3a3bfc605d1d6p-1, -0x1.3846ffa0a1155p-1, -0x1.364a90526b1bcp-1, -0x1.3446677990977p-1, -0x1.323a489bba09fp-1, -0x1.3026018f74c42p-1, -0x1.2e096a3f83adbp-1, -0x1.2be464640b395p-1, -0x1.29b6db330befdp-1, -0x1.2780c3098d9cp-1, -0x1.2542190eb404fp-1, -0x1.22fae2d1e3a7cp-1, -0x1.20ab2de5004eep-1, -0x1.1e530f73b84bfp-1, -0x1.1bf2a3d8badedp-1, -0x1.198a0e319c9f2p-1, -0x1.171977f22463p-1, -0x1.14a110779ebddp-1, -0x1.12210c9cca1cbp-1, -0x1.0f99a64edb7a8p-1, -0x1.0d0b1c241234p-1, -0x1.0a75b0f439515p-1, -0x1.07d9ab7372697p-1, -0x1.053755cf95c4ap-1, -0x1.028efd5065c13p-1, -0x1.ffc1e3f59cdcep-2, -0x1.fa5b0c6ebf199p-2, -0x1.f4ea1cf8444dbp-2, -0x1.ef6fc1f3d5efdp-2, -0x1.e9ecaa9a74adep-2, -0x1.e46188657adfbp-2, -0x1.decf0e7eed777p-2, -0x1.d935f13921971p-2, -0x1.d396e58dbc128p-2, -0x1.cdf2a0a3f31eap-2, -0x1.c849d75e0c04ap-2, -0x1.c29d3dedf0c94p-2, -0x1.bced8770c283fp-2, -0x1.b73b6591405f8p-2, -0x1.b1878830dde24p-2, -0x1.abd29d1750a38p-2, -0x1.a61d4fa872ae7p-2, -0x1.a06848a03486fp-2, -0x1.9ab42dd477ab6p-2, -0x1.9501a1fc91cd6p-2, -0x1.8f51447e3dd3dp-2, -0x1.89a3b13fc8f17p-2, -0x1.83f9807f36c59p-2, -0x1.7e5346ae2b43p-2, -0x1.78b194525a286p-2, -0x1.7314f5ea41fb2p-2, -0x1.6d7df3d5fc6dp-2, -0x1.67ed1243e709ep-2, -0x1.6262d120f19a5p-2, -0x1.5cdfac0c574b4p-2, -0x1.57641a4e8c834p-2, -0x1.51f08ed3364a2p-2, -0x1.4c857825ecd04p-2, -0x1.47234071a02e7p-2, -0x1.41ca4d8272114p-2, -0x1.3c7b00c9cdc6fp-2, -0x1.3735b7649e245p-2, -0x1.31faca236f1d4p-2, -0x1.2cca8d9457e15p-2, -0x1.27a5520e85776p-2, -0x1.228b63bf40056p-2, -0x1.1d7d0ab84d4c1p-2, -0x1.187a8aff861edp-2, -0x1.1384249f8b0cfp-2, -0x1.0e9a13b97036p-2, -0x1.09bc90974b2dep-2, -0x1.04ebcfbf8426cp-2, -0x1.00280208d5446p-2, -0x1.f6e2a95db8c82p-3, -0x1.ed8fe2ce60ca7p-3, -0x1.e457fcedb2cc8p-3, -0x1.db3b3d904f215p-3, -0x1.d239e40195177p-3, -0x1.c95429303c4dp-3, -0x1.c08a3fdb39a97p-3, -0x1.b7dc54becf70fp-3, -0x1.af4a8ec1b192fp-3, -0x1.a6d50f221e89bp-3, -0x1.9e7bf1a2e15a6p-3, -0x1.963f4cb81fb07p-3, -0x1.8e1f31b3def67p-3, -0x1.861bacf236c02p-3, -0x1.7e34c6051d2bep-3, -0x1.766a7fdfb9e0cp-3, -0x1.6ebcd9013c259p-3, -0x1.672bcb9f22787p-3, -0x1.5fb74dcee3d24p-3, -0x1.585f51af00bd7p-3, -0x1.5123c58f61dep-3, -0x1.4a0494190e777p-3, -0x1.4301a4751d098p-3, -0x1.3c1ada72fa296p-3, -0x1.355016addb5e1p-3, -0x1.2ea136b178645p-3, -0x1.280e151df69dcp-3, -0x1.219689cb086efp-3, -0x1.1b3a69ea424dcp-3, -0x1.14f988289e76dp-3, -0x1.0ed3b4cf34914p-3, -0x1.08c8bde318f04p-3, -0x1.02d86f4476cc5p-3, -0x1.fa052599a271cp-4, -0x1.ee8de0d8fa9f1p-4, -0x1.e34a9c8e89b39p-4, -0x1.d83ae1a08d2cbp-4, -0x1.cd5e35ca0888cp-4, -0x1.c2b41bcf558a2p-4, -0x1.b83c13b126e54p-4, -0x1.adf59addfb971p-4, -0x1.a3e02c621d46cp-4, -0x1.99fb41160846fp-4, -0x1.90464fcb74453p-4, -0x1.86c0cd78d2357p-4, -0x1.7d6a2d636cdbdp-4, -0x1.7441e14818c78p-4, -0x1.6b47598289095p-4, -0x1.627a053344f2dp-4, -0x1.59d952644c3dfp-4, -0x1.5164ae2c6c6c7p-4, -0x1.491b84d1513abp-4, -0x1.40fd41e8526d9p-4, -0x1.390950760bd49p-4, -0x1.313f1b0cbf7f5p-4, -0x1.299e0be98fb2bp-4, -0x1.22258d109204fp-4, -0x1.1ad50867c4415p-4, -0x1.13abe7d0ed451p-4, -0x1.0ca99542697dbp-4, -0x1.05cd7adeefb22p-4, -0x1.fe2e0618a552dp-5, -0x1.f10b31128d18dp-5, -0x1.e4314d045d289p-5, -0x1.d79f3149fa1b9p-5, -0x1.cb53b6684ff3ep-5, -0x1.bf4db6317a6a9p-5, -0x1.b38c0be72f742p-5, -0x1.a80d945b7c85ap-5, -0x1.9cd12e0fe39e7p-5, -0x1.91d5b952e358fp-5, -0x1.871a185bf2ceap-5, -0x1.7c9d2f65ffbbbp-5, -0x1.725de4c87970ep-5, -0x1.685b210ef489bp-5, -0x1.5e93cf0f6bfa1p-5, -0x1.5506dbff3814ap-5, -0x1.4bb33786b5341p-5, -0x1.4297d3d3af23ep-5, -0x1.39b3a5aa9a149p-5, -0x1.3105a4769f704p-5, -0x1.288cca58891e6p-5, -0x1.2048143498eeap-5, -0x1.183681bf4efc1p-5, -0x1.105715892c672p-5, -0x1.08a8d5097ad86p-5, -0x1.012ac8a81fd53p-5, -0x1.f3b7f78d0accbp-6, -0x1.e576f98f4104bp-6, -0x1.d790ba2e37d5fp-6, -0x1.ca03625f66e83p-6, -0x1.bccd214180d11p-6, -0x1.afec2c260e76fp-6, -0x1.a35ebe9988d55p-6, -0x1.97231a6a139d9p-6, -0x1.8b3787acd52e6p-6, -0x1.7f9a54c200ffep-6, -0x1.7449d657ab075p-6, -0x1.6944676b5a39ap-6, -0x1.5e88694a7f77bp-6, -0x1.54144391cb436p-6, -0x1.49e6642b7a2aap-6, -0x1.3ffd3f4c9fa58p-6, -0x1.36574f716f67cp-6, -0x1.2cf31558a8549p-6, -0x1.23cf17fe173b5p-6, -0x1.1ae9e494445c4p-6, -0x1.12420e7d520bp-6, -0x1.09d62f431eba8p-6, -0x1.01a4e68ea4d13p-6, -0x1.f359b43d7148p-7, -0x1.e3d96b7c2601bp-7, -0x1.d4c656717f01ap-7, -0x1.c61de4a20a4ebp-7, -0x1.b7dd9167577f7p-7, -0x1.aa02e3d79ba65p-7, -0x1.9c8b6eac49d6ep-7, -0x1.8f74d027ceb5cp-7, -0x1.82bcb1fa63d16p-7, -0x1.7660c92612afep-7, -0x1.6a5ed5e211cafp-7, -0x1.5eb4a37d4fd91p-7, -0x1.536008406e20bp-7, -0x1.485ee54f1351bp-7, -0x1.3daf2688c1d09p-7, -0x1.334ec2691a605p-7, -0x1.293bb9e7bd679p-7, -0x1.1f741857a8e77p-7, -0x1.15f5f3464c8f2p-7, -0x1.0cbf6a5a34658p-7, -0x1.03cea73172022p-7, -0x1.f643ba7f80366p-8, -0x1.e56e9358d006ap-8, -0x1.d51a665fded75p-8, -0x1.c543d3e363c42p-8, -0x1.b5e78eca8256bp-8, -0x1.a7025c4f665bep-8, -0x1.989113b9c2badp-8, -0x1.8a909e192e3d9p-8, -0x1.7cfdf5ff87aa7p-8, -0x1.6fd6273b4359bp-8, -0x1.63164e91d8e0bp-8, -0x1.56bb997a481afp-8, -0x1.4ac345d7c432p-8, -0x1.3f2aa1b49c92bp-8, -0x1.33ef0afd47f0ep-8, -0x1.290def3bcd96dp-8, -0x1.1e84cb53678fep-8, -0x1.14512b3c94927p-8, -0x1.0a70a9c181bb7p-8, -0x1.00e0f03ad1bd3p-8, -0x1.ef3f6c99aafb2p-9, -0x1.dd55834a93ae2p-9, -0x1.cbffcb7323875p-9, -0x1.bb3a070acbcf1p-9, -0x1.ab00129435f55p-9, -0x1.9b4de49cd47ap-9, -0x1.8c1f8d3dc47a7p-9, -0x1.7d71359dd51acp-9, -0x1.6f3f1f74c63fp-9, -0x1.6185a48fbbc39p-9, -0x1.544136572cb3p-9, -0x1.476e5d55e384p-9, -0x1.3b09b8c1bde2ep-9, -0x1.2f0ffe0584d48p-9, -0x1.237df84c24b0ep-9, -0x1.1850880d7b014p-9, -0x1.0d84a29c7ce43p-9, -0x1.031751b6fce75p-9, -0x1.f20b662d962edp-10, -0x1.de99f0086e519p-10, -0x1.cbd4c9d47bcfbp-10, -0x1.b9b6a1d8630cbp-10, -0x1.a83a4af9a669ap-10, -0x1.975abbee6bb22p-10, -0x1.87130e7178fe5p-10, -0x1.775e7e79dc944p-10, -0x1.683869757be19p-10, -0x1.599c4d86afd58p-10, -0x1.4b85c8c5508dep-10, -0x1.3df098823d273p-10, -0x1.30d8988e5640dp-10, -0x1.2439c284665a9p-10, -0x1.18102d1620946p-10, -0x1.0c580b5c302e5p-10, -0x1.010dac29b164cp-10, -0x1.ec5af2c3c9968p-11, -0x1.d767eea2c1e8cp-11, -0x1.c33b881495e43p-11, -0x1.afcf2d8686873p-11, -0x1.9d1c7e738b62cp-11, -0x1.8b1d4a2df68cdp-11, -0x1.79cb8eaf09a95p-11, -0x1.6921776cb9be1p-11, -0x1.59195c34b5267p-11, -0x1.49adc00d5b11ep-11, -0x1.3ad9501cd6506p-11, -0x1.2c96e294e4babp-11, -0x1.1ee175a43277dp-11, -0x1.11b42e6dbdfedp-11, -0x1.050a58052ae7dp-11, -0x1.f1bec4e0d969cp-12, -0x1.da5dc35eb0acbp-12, -0x1.c3e9198f9c801p-12, -0x1.ae5879ad0c21bp-12, -0x1.99a3d84c751e1p-12, -0x1.85c36a955e822p-12, -0x1.72afa4829e97ep-12, -0x1.6061372d1907bp-12, -0x1.4ed10f2088882p-12, -0x1.3df852b8339f4p-12, -0x1.2dd0608647df1p-12, -0x1.1e52cdc43dbacp-12, -0x1.0f7964cbf94c9p-12, -0x1.013e239a4ead1p-12, -0x1.e73674b555a1ap-13, -0x1.cd1613f2f0be7p-13, -0x1.b410458264734p-13, -0x1.9c1a85fd6dafp-13, -0x1.852aab5bf232p-13, -0x1.6f36e25da3865p-13, -0x1.5a35ac04e0659p-13, -0x1.461ddb20087a9p-13, -0x1.32e691e09674p-13, -0x1.20873f83d37dap-13, -0x1.0ef79e095e8e4p-13, -0x1.fc5f5ff095fccp-14, -0x1.dc4f7c646159ep-14, -0x1.bdb0ababa2da9p-14, -0x1.a0748c5adf486p-14, -0x1.848d3d551ae5ap-14, -0x1.69ed59e212d39p-14, -0x1.5087f5d9c4b1ap-14, -0x1.385099ec8985ep-14, -0x1.213b4002fe608p-14, -0x1.0b3c4fb65f8fp-14, -0x1.ec9135c0ffa5p-15, -0x1.c4aab48555642p-15, -0x1.9eb05488aa808p-15, -0x1.7a8e0f8f388f1p-15, -0x1.58309a27fb251p-15, -0x1.37855db022c7ep-15, -0x1.187a727bd9423p-15, -0x1.f5fd3453131bp-16, -0x1.be02743abf5c9p-16, -0x1.88e4ac474782ep-16, -0x1.5685167cbd8c4p-16, -0x1.26c6151e4490ep-16, -0x1.f31651b7d291fp-17, -0x1.9d71ce88e4a67p-17, -0x1.4c69e2f41a5ep-17, -0x1.ff97aca8e2315p-18, -0x1.6ecdc7243e72cp-18, -0x1.cc30a09157b4ap-19, -0x1.94749c84cbaeap-20, 0x1.47a513e380317p-22, 0x1.0e02a1b50fedep-19, 0x1.e58f91e259ed7p-19, 0x1.581a8145837e9p-18, 0x1.b743348eb4c88p-18, 0x1.084456015c54bp-17, 0x1.32176d003bf28p-17, 0x1.593b79fb20099p-17, 0x1.7dcfc5be416d2p-17, 0x1.9ff2534f9067cp-17, 0x1.bfbfebb57f488p-17, 0x1.dd5429646ecbdp-17, 0x1.f8c9834d45733p-17, 0x1.091cabc63a368p-16, 0x1.14ddfae755eb8p-16, 0x1.1fb454a9f8b76p-16, 0x1.29aae1534bffap-16, 0x1.32cc507f130b8p-16, 0x1.3b22ddae92bdep-16, 0x1.42b854acf220dp-16, 0x1.499615d356fabp-16, 0x1.4fc51a20986b6p-16, 0x1.554df73786bcdp-16, 0x1.5a38e33722da3p-16, 0x1.5e8db87201b35p-16, 0x1.6253f9026db11p-16, 0x1.6592d24743291p-16, 0x1.68512037479a9p-16, 0x1.6a9570a634649p-16, 0x1.6c660660867cep-16, 0x1.6dc8dc2e53c3p-16, 0x1.6ec3a7be2222dp-16, 0x1.6f5bdc75c766bp-16, 0x1.6f96ae2476035p-16, 0x1.6f7913a47ade6p-16, 0x1.6f07c95ed21d4p-16, 0x1.6e4753b686ff7p-16, 0x1.6d3c016733166p-16, 0x1.6be9edc2bf07cp-16, 0x1.6a5502df5ea51p-16, 0x1.6880fbaffbf5ap-16, 0x1.6671660b14053p-16, 0x1.6429a498f86c4p-16, 0x1.61acf0b676a16p-16, 0x1.5efe5c4170dc2p-16, 0x1.5c20d3510342dp-16, 0x1.59171de57dfc8p-16, 0x1.55e3e1802037ep-16, 0x1.5289a2af0d075p-16, 0x1.4f0ac6880ef56p-16, 0x1.4b6994151b52fp-16, 0x1.47a835b2e258bp-16, 0x1.43c8ba614308fp-16, 0x1.3fcd1708ca96fp-16, 0x1.3bb727ae83b3fp-16, 0x1.3788b09d1fec7p-16, 0x1.33435f8442ae8p-16, 0x1.2ee8cc8b73256p-16, 0x1.2a7a7b5715ddp-16, 0x1.25f9dc05e32e7p-16, 0x1.21684c21fb23p-16, 0x1.1cc7178615a12p-16, 0x1.1817793eca70bp-16, 0x1.135a9c5d18b51p-16, 0x1.0e919cc11b33bp-16, 0x1.09bd87dc5e55ap-16, 0x1.04df5d6cb2f08p-16, 0x1.fff0205b051edp-17, 0x1.f6110d010203ap-17, 0x1.ec233624e2dcap-17, 0x1.e2283aebb81e2p-17, 0x1.d821a567480a1p-17, 0x1.ce10ebbaa3ac1p-17, 0x1.c3f77120f706dp-17, 0x1.b9d686f0e462bp-17, 0x1.afaf6d92ee678p-17, 0x1.a5835569b9b6ep-17, 0x1.9b535fb095a82p-17, 0x1.91209f4f1a9f9p-17, 0x1.86ec19a56ccf6p-17, 0x1.7cb6c74a3f6aep-17, 0x1.728194c0e7d37p-17, 0x1.684d6325b957bp-17, 0x1.5e1b08d3bdd49p-17, 0x1.53eb52016549ep-17, 0x1.49bf01550ac0dp-17, 0x1.3f96d07153da6p-17, 0x1.35737079a81fp-17, 0x1.2b558a8fa2537p-17, 0x1.213dc04cc224p-17, 0x1.172cac31fc757p-17, 0x1.0d22e215c168fp-17, 0x1.0320ef8391f76p-17, 0x1.f24eb83b38b9ep-18, 0x1.de6d53ebca2p-18, 0x1.ca9eabca72666p-18, 0x1.b6e3afb3c0071p-18, 0x1.a33d4643a2d07p-18, 0x1.8fac4d6a500e2p-18, 0x1.7c319ae23a734p-18, 0x1.68cdfcb772a29p-18, 0x1.558239be76b16p-18, 0x1.424f11fb729b9p-18, 0x1.2f353f09091acp-18, 0x1.1c3574788eb33p-18, 0x1.0950602c7813bp-18, 0x1.ed0d555b870f3p-19, 0x1.c7b1eee6c89p-19, 0x1.a28fca646d2c7p-19, 0x1.7da81c3c0cf5bp-19, 0x1.58fc103e7a4fp-19, 0x1.348cca2bb0165p-19, 0x1.105b6619f66cap-19, 0x1.d8d1f1a69caep-20, 0x1.916d2059954fcp-20, 0x1.4a8a66b504e84p-20, 0x1.042bc6880f6dap-20, 0x1.7ca66b07e5024p-21, 0x1.e40a76d11e357p-22, 0x1.a1def0405f94bp-23, -0x1.ffe6a9f5c8facp-25, -0x1.4eb34a5e0daadp-22, -0x1.2d967434c7eb2p-21, -0x1.b2b16bd69cbbdp-21, -0x1.1b53999b44658p-20, -0x1.5cba4212eb939p-20, -0x1.9d8b154f288b6p-20, -0x1.ddc482301c084p-20, -0x1.0eb2802514068p-19, -0x1.2e3587f479055p-19, -0x1.4d6a9ce7ee756p-19, -0x1.6c51079770a37p-19, -0x1.8ae814ce31874p-19, -0x1.a92f157acfc63p-19, -0x1.c7255eadda3c9p-19, -0x1.e4ca49950017cp-19, -0x1.010e99bf64dd4p-18, -0x1.0f8ebeec76366p-18, -0x1.1de547182b858p-18, -0x1.2c11e7138d29bp-18, -0x1.3a1455c306bbdp-18, -0x1.47ec4c1e4bf6bp-18, -0x1.5599853105139p-18, -0x1.631bbe200df17p-18, -0x1.7072b62be8b21p-18, -0x1.7d9e2eafac7bbp-18, -0x1.8a9deb29870ep-18, -0x1.9771b13a044ap-18, -0x1.a41948ab790fp-18, -0x1.b0947b751a21ep-18, -0x1.bce315bcbe1abp-18, -0x1.c904e5d7f4f9dp-18, -0x1.d4f9bc52bb6a8p-18, -0x1.e0c16bf2f5ae4p-18, -0x1.ec5bc9b9f46f8p-18, -0x1.f7c8aceb32aep-18, -0x1.0183f7869d4cep-17, -0x1.070cb5f4debfbp-17, -0x1.0c7e80cada66ep-17, -0x1.11d94837992c1p-17, -0x1.171cfd9145832p-17, -0x1.1c49935693207p-17, -0x1.215efd2fa646ep-17, -0x1.265d2fec94255p-17, -0x1.2b442187fa7d3p-17, -0x1.3013c927b20ccp-17, -0x1.34cc1f1c4ddcdp-17, -0x1.396d1ce236babp-17, -0x1.3df6bd227e34p-17, -0x1.4268fbb0e474cp-17, -0x1.46c3d58cc9872p-17, -0x1.4b0748e1900b7p-17, -0x1.4f335504b4f51p-17, -0x1.5347fa767b09cp-17, -0x1.57453ae1631fbp-17, -0x1.5b2b191852d79p-17, -0x1.5ef9991570ec1p-17, -0x1.62b0bff94a927p-17, -0x1.6650940a99d5p-17, -0x1.69d91cb30d3cap-17, -0x1.6d4a627f127dep-17, -0x1.70a46f1c45d56p-17, -0x1.73e74d55e78b9p-17, -0x1.771309149556fp-17, -0x1.7a27af5bc1d76p-17, -0x1.7d254e46d87b4p-17, -0x1.800bf5075f09p-17, -0x1.82dbb3e322b04p-17, -0x1.85949c30612c3p-17, -0x1.8836c0534ea85p-17, -0x1.8ac233bb57e8fp-17, -0x1.8d370ae0fa557p-17, -0x1.8f955b41c7a21p-17, -0x1.91dd3b5d52f1ap-17, -0x1.940ec2b2bb0d1p-17, -0x1.962a09bc92ab9p-17, -0x1.982f29ed00ef7p-17, -0x1.9a1e3dabc1ca5p-17, -0x1.9bf760512c02bp-17, -0x1.9dbaae22b23f5p-17, -0x1.9f68444ff5a1p-17, -0x1.a10040ee199aep-17, -0x1.a282c2f40141ap-17, -0x1.a3efea360ae7p-17, -0x1.a547d7627cf83p-17, -0x1.a68aabfdd045bp-17, -0x1.a7b88a5d7c637p-17, -0x1.a8d195a430a59p-17, -0x1.a9d5f1be426fap-17, -0x1.aac5c35c3e7e7p-17, -0x1.aba12feefddd9p-17, -0x1.ac685da3f19ffp-17, -0x1.ad1b735fdb13p-17, -0x1.adba98ba1f96dp-17, -0x1.ae45f5f953c03p-17, -0x1.aebdb40e14b0dp-17, -0x1.af21fc8eae15p-17, -0x1.af72f9b247127p-17, -0x1.afb0d64c671fep-17, -0x1.afdbbdc91963ep-17, -0x1.aff3dc276f954p-17, -0x1.aff95df4dfe9ep-17, -0x1.afec704992401p-17, -0x1.afcd40c38d0ddp-17, -0x1.af9bfd80e4aacp-17, -0x1.af58d51d315aap-17, -0x1.af03f6ab6b018p-17, -0x1.ae9d91b1abf36p-17, -0x1.ae25d62493361p-17, -0x1.ad9cf46367df9p-17, -0x1.ad031d3321fd9p-17, -0x1.ac5881b9de22p-17, -0x1.ab9d537a12f7cp-17, -0x1.aad1c44ece91bp-17, -0x1.a9f60666e7acap-17, -0x1.a90a4c4052f84p-17, -0x1.a80ec8a3c06ebp-17, -0x1.a703aea16ff67p-17, -0x1.a5e9318bafefbp-17, -0x1.a4bf84f238417p-17, -0x1.a386dc9fcb9fap-17, -0x1.a23f6c941d55dp-17, -0x1.a0e969002fbc4p-17, -0x1.9f8506422b34ep-17, -0x1.9e1278e1c3d52p-17, -0x1.9c91f58c541ecp-17, -0x1.9b03b11040b29p-17, -0x1.9967e05918ccdp-17, -0x1.97beb86bab3adp-17, -0x1.96086e628e9adp-17, -0x1.94453769cd1d5p-17, -0x1.927548bb0c366p-17, -0x1.9098d79aed09fp-17, -0x1.8eb01954dac38p-17, -0x1.8cbb433638f5dp-17, -0x1.8aba8a8ce5b2fp-17, -0x1.88ae24a28911dp-17, -0x1.869646b8f0c11p-17, -0x1.84732606d9217p-17, -0x1.8244f7b485602p-17, -0x1.800bf0d9f80f3p-17, -0x1.7dc8467a0623cp-17, -0x1.7b7a2d7fb5f16p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      40, 0x1.2cccccccccccdp+2, 0x1.461f0ec0497dap+2, 0x1.5e90f6143a186p+3, 0x1.94531de6a9659p-5, 
      {{
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c27b7ea310b05p-4, -0x1.3c567774cf856p-2, 0x1.92fc7cd18d9aep-1, -0x1.8167d6a199c66p+1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.89bba2c066548p-4, -0x1.02dd66401db5p-2, 0x1.577c5e7ac9164p-2, -0x1.b2f4d574649fdp-1}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.58f5bb10978c4p-4, -0x1.ce14ca3fa5939p-3, 0x1.a9ff7016229a5p-3, -0x1.d22178f933353p-8}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.2ce0cbf1020e5p-4, -0x1.a39736ceee81dp-3, 0x1.a7d014b82ac38p-3, -0x1.bc3bb1ab4bc74p-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.04fb8a4936dbbp-4, -0x1.7ae011e1f5133p-3, 0x1.867ecdcb51e14p-3, -0x1.3ea17bd3fe58ap-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.c203f12a9bfb9p-5, -0x1.55054668571ebp-3, 0x1.6e9917b505344p-3, -0x1.51e8c0144dd55p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.81648d420ad94p-5, -0x1.31a0c2327973bp-3, 0x1.55413c804c2acp-3, -0x1.3e5debe933a07p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.4799a30f82177p-5, -0x1.10b2446447783p-3, 0x1.3d60979b9b7ecp-3, -0x1.3539ff5429ba6p-4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.1428476915575p-5, -0x1.e43c87e5968d2p-4, 0x1.262f7142185d6p-3, -0x1.294c8cd23bc3dp-4}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.cd33d388482aap-6, -0x1.aba10e761b164p-4, 0x1.0fe34d18ba489p-3, -0x1.1e1e4a6dd567p-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7cf8a86ab34b5p-6, -0x1.7765be51fbe91p-4, 0x1.f4dba8a0faf49p-4, -0x1.12bccd802fdabp-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.36c356e15a704p-6, -0x1.475f4609e32cbp-4, 0x1.cba5bd00f3c72p-4, -0x1.07690a9a0a986p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.f381bb2587529p-7, -0x1.1b620c2d81eacp-4, 0x1.a422c836a5639p-4, -0x1.f823343e27e2cp-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8a4de0c81974fp-7, -0x1.e685152f459d2p-5, 0x1.7e53577ec8cbdp-4, -0x1.e1764bdfce941p-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3067f0f1d63b7p-7, -0x1.9daa6bef460b9p-5, 0x1.5a37450132e74p-4, -0x1.cac8dc4ce6fb9p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.c8bc50ceaff1cp-8, -0x1.5bdd08bef879ap-5, 0x1.37ce9ae1d4c76p-4, -0x1.b41b90f47278fp-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.49a05cd4d0db4p-8, -0x1.20c5d70447195p-5, 0x1.1719566918fe7p-4, -0x1.9d6e3be6e1ee6p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c1bc52e802f61p-9, -0x1.d81b84b00f454p-6, 0x1.f02ef0a2c34cap-5, -0x1.86c0e9733c791p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.17f55e4925d2p-9, -0x1.7abb6c8ad5ea6p-6, 0x1.b59200d17a3a1p-5, -0x1.7013964d1f1d5p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.2276ed64d4266p-10, -0x1.28bd3cb693b2bp-6, 0x1.7e5bdd791bf5ep-5, -0x1.59664356db477p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.491f07ef68e7fp-12, -0x1.c2e5989e09302p-7, 0x1.4a8c86927b114p-5, -0x1.42b8f053ba037p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.23b3a02bb07cp-12, -0x1.485be4e0d5dcep-7, 0x1.1a23fc1f8590fp-5, -0x1.2c0b9d541e5bap-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.6dcbbe509b42p-11, -0x1.c10218db949ddp-8, 0x1.da447c3f686d2p-6, -0x1.155e4a5375619p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.fdad3bd73bd61p-11, -0x1.13f17afa6cc3fp-8, 0x1.870e99265ecf5p-6, -0x1.fd61eea68b8f6p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.27674afab546ep-10, -0x1.0d9a991d960f6p-9, 0x1.3aa64ef3c9e0ap-6, -0x1.d00748a4cfa4cp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.36b4b911f0d91p-10, -0x1.6dcea094310f1p-12, 0x1.ea173b4fbbdb8p-7, -0x1.a2aca2a7a2658p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.3250670432a3p-10, 0x1.f4c2812bf74cbp-11, 0x1.6c7d0a83d7f11p-7, -0x1.7551fc991103fp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.1f407fbae142p-10, 0x1.f12c1634c514p-10, 0x1.f8fc17123f46dp-8, -0x1.47f756cc36b4fp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.01ffda35e84ap-10, 0x1.49e7b3782e78ap-9, 0x1.34347c97b80e3p-8, -0x1.1a9cb009161fdp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.bcfbf3176fb8p-11, 0x1.7696e08bbd79fp-9, 0x1.15468c57bbf1p-9, -0x1.da8419bc517c9p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.703e19d28a28p-11, 0x1.8414d953fbe7ep-9, -0x1.dbc72cb6d62d3p-15, -0x1.7fceb890e1f55p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.2377df2413c4p-11, 0x1.77d2e566b63b8p-9, -0x1.db6fe3ad2c3c3p-10, -0x1.2519bb8a71d6ap-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.b688a380134p-12, 0x1.57424a26b32aap-9, -0x1.9d942f29a737dp-9, -0x1.94c6918db7751p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.364fb10ee55p-12, 0x1.27d4552bedc62p-9, -0x1.0b817a36e253ap-8, -0x1.bec923469db67p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.9640ca217c001p-13, 0x1.ddf46ad92a29ep-10, -0x1.2d03c342948eap-8, -0x1.4ecf361a8356p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.dea3b7ef46c01p-14, 0x1.644b1861a2171p-10, -0x1.334ad91313d1dp-8, 0x1.1631fbcb8189dp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.e35155033b8p-15, 0x1.db19406abfe4dp-11, -0x1.1e6d7fca36e78p-8, 0x1.424250738b597p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.7b7aa28d9cp-16, 0x1.094ac04aca6ap-11, -0x1.dc2d810b5d9b1p-9, 0x1.f129b1a7aaedp-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.6deb066558p-18, 0x1.a29a48dad165dp-13, -0x1.4707655910baep-9, 0x1.5f71352ebc172p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.8c814465cd01ap-22, 0x1.0031e22ed2f74p-15, -0x1.d0a77c274c411p-11, 0x1.34a80118eda68p-7}, 
      }}, 
      0x1.3d83653d22cp-8, -0x1.eaf8f51b8a91p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.041b577069c1bp+0, -0x1.fc2d27255fc69p-1, -0x1.e907d0dfd15d4p-1, -0x1.cfd7e3a2256bcp-1, -0x1.b1c93c5fb1b99p-1, -0x1.900895481bbb6p-1, -0x1.6bb32d71e4683p-1, -0x1.45ccff258363dp-1, -0x1.1f3b86bac65dbp-1, -0x1.f1877ce5240e6p-2, -0x1.a614840c3940fp-2, -0x1.5d29bbaf5a45ap-2, -0x1.1799f67e5c18dp-2, -0x1.ac0a23457be86p-3, -0x1.31bc6f7618eb5p-3, -0x1.81c7eee4e7ffp-4, -0x1.6762fb939f4f6p-5, 0x1.a1c892fb0eff2p-10, 0x1.59eef4b4c6c08p-5, 0x1.3ffc79be2591fp-4, 0x1.c02b639ececp-4, 0x1.17226bfafab6dp-3, 0x1.4594ed80d1cdep-3, 0x1.6be94a1b83d3fp-3, 0x1.8aa3468287905p-3, 0x1.a24b1be109af7p-3, 0x1.b36ac6a302fc1p-3, 0x1.be8bd4f98e7c5p-3, 0x1.c4359a1206dc9p-3, 0x1.c4ebeb663a90bp-3, 0x1.c12dc959051fcp-3, 0x1.b974d914e08b1p-3, 0x1.ae34af6458041p-3, 0x1.9fda77f93227ep-3, 0x1.8eccbe00dcb81p-3, 0x1.7b6b5582aaffdp-3, 0x1.660f5fbb78d01p-3, 0x1.4f0b58c6366e6p-3, 0x1.36ab7e691563ap-3, 0x1.1d358e5b3c687p-3, 0x1.02e97e146b837p-3, 0x1.d00310933d1fap-4, 0x1.9965023d6053ap-4, 0x1.62584a1787493p-4, 0x1.2b32cdf465p-4, 0x1.e882f8cc574cfp-5, 0x1.7b91cbd8df5d6p-5, 0x1.100ba4c4cbfc2p-5, 0x1.4cb747a34725dp-6, 0x1.f6fc5ecff3f3fp-8, -0x1.30b983434bbdfp-8, -0x1.1084ecb72777ap-6, -0x1.cecd279e43c6p-6, -0x1.43515e627028p-5, -0x1.9bd960e68a767p-5, -0x1.f0dd14f9e1e85p-5, -0x1.212114a6e57c1p-4, -0x1.47fa6eed0d666p-4, -0x1.6cf3a9822e28dp-4, -0x1.900884207e1a2p-4, -0x1.b13723567e2e1p-4, -0x1.d07fd480c201ap-4, -0x1.ede4d0f4a043bp-4, -0x1.04b504ce3c3fap-3, -0x1.118a7a4590e9dp-3, -0x1.1d762f5c3f393p-3, -0x1.287c20f3825ebp-3, -0x1.32a0cf7736a11p-3, -0x1.3be92b8fd9a06p-3, -0x1.445a86f18f95dp-3, -0x1.4bfa84ac3f534p-3, -0x1.52cf0b70c5d8p-3, -0x1.58de38f6ac0dp-3, -0x1.5e2e565461165p-3, -0x1.62c5cdb95e296p-3, -0x1.66ab20714a90cp-3, -0x1.69e4dec3971c5p-3, -0x1.6c799fbc643a8p-3, -0x1.6e6ffa66c6f2fp-3, -0x1.6fce7f6467fc4p-3, -0x1.709bb3507bdb1p-3, -0x1.70de09cdf2d0fp-3, -0x1.709be101efebfp-3, -0x1.6fdb7dc2faa81p-3, -0x1.6ea308b97f86fp-3, -0x1.6cf889c18ad0ap-3, -0x1.6ae1e7faf4e5ep-3, -0x1.6864e59e47bf9p-3, -0x1.65871f2b458d3p-3, -0x1.624e09a593a07p-3, -0x1.5ebef1a43db13p-3, -0x1.5adefa7461d4ap-3, -0x1.56b31d7074a37p-3, -0x1.524029c70bba4p-3, -0x1.4d8ac42e34c3dp-3, -0x1.489766f61cdebp-3, -0x1.436a6236a1fe5p-3, -0x1.3e07dbff03e52p-3, -0x1.3873d0f42c399p-3, -0x1.32b214a42d078p-3, -0x1.2cc65264fbaa9p-3, -0x1.26b40e134b94ep-3, -0x1.207ea4d76d48cp-3, -0x1.1a294e3e978ffp-3, -0x1.13b71cd818ba5p-3, -0x1.0d2affd31aedcp-3, -0x1.0687c33f9929bp-3, -0x1.ffa02345961a8p-4, -0x1.f20ce94ace369p-4, -0x1.e45aac9aa1cc5p-4, -0x1.d68e0400798bep-4, -0x1.c8ab4ae3c2005p-4, -0x1.bab6a400e4c9dp-4, -0x1.acb3fb61590fep-4, -0x1.9ea7087ba2c43p-4, -0x1.9093503f85c44p-4, -0x1.827c2811a3cd9p-4, -0x1.7464b6a9284f7p-4, -0x1.664ff6c4eb792p-4, -0x1.5840b8d0602bep-4, -0x1.4a39a483737e2p-4, -0x1.3c3d3aaf7de72p-4, -0x1.2e4dd7074b479p-4, -0x1.206db18e510bcp-4, -0x1.129ee0204a0ebp-4, -0x1.04e35836ca10cp-4, -0x1.ee79e08847e89p-5, -0x1.d35ac24ac8442p-5, -0x1.b86c8fc35777dp-5, -0x1.9db24d943dfb5p-5, -0x1.832ecd3b62b64p-5, -0x1.68e4b0b8041fdp-5, -0x1.4ed66bf625398p-5, -0x1.350646f6df96ap-5, -0x1.1b7660742d44ep-5, -0x1.0228af7da4e04p-5, -0x1.d23e0adc432cep-6, -0x1.a0b61ea0ff6a5p-6, -0x1.6fbcb0e4f829bp-6, -0x1.3f549555177a9p-6, -0x1.0f80622060384p-6, -0x1.c084e6195001bp-7, -0x1.6339d6ba9435bp-7, -0x1.072371447877dp-7, -0x1.588a5d2a4b414p-8, -0x1.4a88a070dbe03p-9, 0x1.70b8bac97365bp-13, 0x1.739e17f4d2ad7p-9, 0x1.659348b71e4c9p-8, 0x1.07676b5782cefp-7, 0x1.5abf4e3e4a50fp-7, 0x1.acd0019e88c5bp-7, 0x1.fd9878b1e242cp-7, 0x1.268beffed9a55p-6, 0x1.4da6ccd1a0e33p-6, 0x1.741c9deb25b65p-6, 0x1.99ed4667103f5p-6, 0x1.bf18bf631a07bp-6, 0x1.e39f16f82ef8p-6, 0x1.03c0383acdde1p-5, 0x1.155e8005cdd44p-5, 0x1.26aa861915572p-5, 0x1.37a475f27acf8p-5, 0x1.484c8297aae91p-5, 0x1.58a2e620e5441p-5, 0x1.68a7e19e35d6dp-5, 0x1.785bbc2f7b565p-5, 0x1.87bec3351367fp-5, 0x1.96d1492688fb6p-5, 0x1.a593a5eb0244cp-5, 0x1.b40636237d0d7p-5, 0x1.c2295b05ac3dp-5, 0x1.cffd79f0206e3p-5, 0x1.dd82fc5692d8cp-5, 0x1.eaba4f145ffe2p-5, 0x1.f7a3e2e8cb9cap-5, 0x1.022015dcea1b2p-4, 0x1.0847d02bde06bp-4, 0x1.0e495d43b5224p-4, 0x1.1424fb5f5d757p-4, 0x1.19daea06a0a76p-4, 0x1.1f6b69f95de09p-4, 0x1.24d6bd0ec4417p-4, 0x1.2a1d261157ca6p-4, 0x1.2f3ee9280e8afp-4, 0x1.343c4b0ce34bbp-4, 0x1.391591a7c91ecp-4, 0x1.3dcb0390ee128p-4, 0x1.425ce84c342cep-4, 0x1.46cb881707a69p-4, 0x1.4b172be45d4b4p-4, 0x1.4f401d80c1cc9p-4, 0x1.5346a7413216dp-4, 0x1.572b1435949a2p-4, 0x1.5aedb00845078p-4, 0x1.5e8ec6e0ab63p-4, 0x1.620ea5a85cb2ep-4, 0x1.656d99cc3b072p-4, 0x1.68abf124864afp-4, 0x1.6bc9fa1d52b8cp-4, 0x1.6ec803ba571c2p-4, 0x1.71a65d660096ap-4, 0x1.74655707c193dp-4, 0x1.77054102fd963p-4, 0x1.79866c29cada2p-4, 0x1.7be929c51e656p-4, 0x1.7e2dcb8d24154p-4, 0x1.8054a3c0cba37p-4, 0x1.825e04d1bd3a4p-4, 0x1.844a41c28b10ep-4, 0x1.8619ae008a0fep-4, 0x1.87cc9d63bfdf4p-4, 0x1.89636411b5c96p-4, 0x1.8ade56a5dfe16p-4, 0x1.8c3dca15a0c51p-4, 0x1.8d8213bd99926p-4, 0x1.8eab8951e6416p-4, 0x1.8fba80e52417dp-4, 0x1.90af50ff8d61dp-4, 0x1.918a50581c8fbp-4, 0x1.924bd61317357p-4, 0x1.92f439a4ddc35p-4, 0x1.9383d2de4b589p-4, 0x1.93faf9d8fe36fp-4, 0x1.945a06fcd2bcbp-4, 0x1.94a1530cbf3dep-4, 0x1.94d136f9b9094p-4, 0x1.94ea0c0875ba4p-4, 0x1.94ec2bb197c16p-4, 0x1.94d7efbf583bep-4, 0x1.94adb23cd4941p-4, 0x1.946dcd721ea63p-4, 0x1.94189bb42346dp-4, 0x1.93ae778bd89f7p-4, 0x1.932fbbc6c168p-4, 0x1.929cc357bac15p-4, 0x1.91f5e95771318p-4, 0x1.913b88fd437fdp-4, 0x1.906dfd903a3cdp-4, 0x1.8f8da25092a23p-4, 0x1.8e9ad2a56a843p-4, 0x1.8d95e9ec369aep-4, 0x1.8c7f43c903042p-4, 0x1.8b573bc75834bp-4, 0x1.8a1e2d33d79f5p-4, 0x1.88d4738166652p-4, 0x1.877a69d9dadf8p-4, 0x1.86106b6bd9cd7p-4, 0x1.8496d356d3d59p-4, 0x1.830dfcb872826p-4, 0x1.8176425cd1238p-4, 0x1.7fcffed3a3ad7p-4, 0x1.7e1b8c64f57ap-4, 0x1.7c59451b6cad3p-4, 0x1.7a8982d34223p-4, 0x1.78ac9f2cb0eap-4, 0x1.76c2f38c594eap-4, 0x1.74ccd8eaa2bc8p-4, 0x1.72caa7cafc422p-4, 0x1.70bcb83e7b01p-4, 0x1.6ea361eab7769p-4, 0x1.6c7efc1c044acp-4, 0x1.6a4fddb50ba23p-4, 0x1.68165d2c64c04p-4, 0x1.65d2d065eb5e7p-4, 0x1.63858cc54c81ap-4, 0x1.612ee6ebc4cbfp-4, 0x1.5ecf32e0457d1p-4, 0x1.5c66c4260b872p-4, 0x1.59f5edabff4d4p-4, 0x1.577d01d35a281p-4, 0x1.54fc52530c5a6p-4, 0x1.52743022792a4p-4, 0x1.4fe4eb613698cp-4, 0x1.4d4ed38a0ed4bp-4, 0x1.4ab23717e265dp-4, 0x1.480f63f5b3b4ep-4, 0x1.4566a749813f8p-4, 0x1.42b84d73cf608p-4, 0x1.4004a26502dc4p-4, 0x1.3d4bf07f7fa02p-4, 0x1.3a8e8134e3548p-4, 0x1.37cc9de214febp-4, 0x1.35068e4e6ed3cp-4, 0x1.323c99674bb1ap-4, 0x1.2f6f055e98d48p-4, 0x1.2c9e178e9935dp-4, 0x1.29ca14514b072p-4, 0x1.26f33f10a6505p-4, 0x1.2419da1f7c4bcp-4, 0x1.213e26c44679dp-4, 0x1.1e6065418a75p-4, 0x1.1b80d4dcf5546p-4, 0x1.189fb3e7ea3ffp-4, 0x1.15bd3fc20f1bfp-4, 0x1.12d9b4c705308p-4, 0x1.0ff54e41439ap-4, 0x1.0d10466ad7914p-4, 0x1.0a2ad662f837p-4, 0x1.0745362d09f39p-4, 0x1.045f9cb84e811p-4, 0x1.017a3fedaa64ap-4, 0x1.fd2aa953f75f8p-5, 0x1.f7621d8c039d1p-5, 0x1.f19b421fcdf7fp-5, 0x1.ebd67a89703e2p-5, 0x1.e6142811605bfp-5, 0x1.e054a9a82cadbp-5, 0x1.da985c1eb376cp-5, 0x1.d4df99f7c7e4fp-5, 0x1.cf2abbcbd7168p-5, 0x1.c97a17e4ae99cp-5, 0x1.c3ce02a0abeefp-5, 0x1.be26ce3ddc664p-5, 0x1.b884cae621aap-5, 0x1.b2e846a08de7fp-5, 0x1.ad518d3dfe98fp-5, 0x1.a7c0e869e9172p-5, 0x1.a2369fad29152p-5, 0x1.9cb2f888412ecp-5, 0x1.9736365a09991p-5, 0x1.91c09a98685f8p-5, 0x1.8c5264b66f78p-5, 0x1.86ebd22c5e9a8p-5, 0x1.818d1e75439e7p-5, 0x1.7c36830e2705bp-5, 0x1.76e8377e29458p-5, 0x1.71a270e815304p-5, 0x1.6c65632445eb7p-5, 0x1.67313fab8f5f6p-5, 0x1.6206362b58e52p-5, 0x1.5ce474800ae67p-5, 0x1.57cc26b6d1ee7p-5, 0x1.52bd77105262ap-5, 0x1.4db88e0122f47p-5, 0x1.48bd9231e6aa5p-5, 0x1.43cca8819819cp-5, 0x1.3ee5f40a99f2fp-5, 0x1.3a09962a07299p-5, 0x1.3537ae8a34cd3p-5, 0x1.30705b29de4f3p-5, 0x1.2bb3b863a855ep-5, 0x1.2701e100f4a51p-5, 0x1.225aee30b3ccfp-5, 0x1.1dbef79f9d5acp-5, 0x1.192e136e0f1c7p-5, 0x1.14a8563328a52p-5, 0x1.102dd3090f27ep-5, 0x1.0bbe9b8f18ad1p-5, 0x1.075abfef798ap-5, 0x1.03024eea1dd4fp-5, 0x1.fd6aabc24bcb1p-6, 0x1.f4e7c1ac5c0ffp-6, 0x1.ec7bf4f90af2ap-6, 0x1.e427588388be7p-6, 0x1.dbe9fc9d36bcbp-6, 0x1.d3c3ef2144b83p-6, 0x1.cbb53b83f490ep-6, 0x1.c3bdea9082c5ep-6, 0x1.bbde03065f44fp-6, 0x1.b415892fa8f72p-6, 0x1.ac647f1fe4623p-6, 0x1.a4cae4ccace1bp-6, 0x1.9d48b871edcdp-6, 0x1.95ddf492a7dc5p-6, 0x1.8e8a940652b02p-6, 0x1.874e8e40cc56fp-6, 0x1.8029d92404493p-6, 0x1.791c68b4017e2p-6, 0x1.72262f24bc4cbp-6, 0x1.6b471ce87eb5p-6, 0x1.647f20bec9a89p-6, 0x1.5dce27c3ef2b6p-6, 0x1.57341d80d4915p-6, 0x1.50b0ebd23d0c4p-6, 0x1.4a447a33d04bfp-6, 0x1.43eeb3c15779p-6, 0x1.3daf7742a38dep-6, 0x1.3786ae674500cp-6, 0x1.317439435e7f4p-6, 0x1.2b77f9d700bb3p-6, 0x1.2591d0812ed46p-6, 0x1.1fc19c358ec51p-6, 0x1.1a073b0facbcp-6, 0x1.14628a25966a6p-6, 0x1.0ed365848841ep-6, 0x1.0959a833f21aap-6, 0x1.03f52c3ad4189p-6, 0x1.fd4b952b233b6p-7, 0x1.f2d6b685906eap-7, 0x1.e88b6a3dfb964p-7, 0x1.de695bcf28b42p-7, 0x1.d4703c07b5928p-7, 0x1.ca9faae058849p-7, 0x1.c0f75cb23198fp-7, 0x1.b776f13d0b2d2p-7, 0x1.ae1e114378efap-7, 0x1.a4ec62957be92p-7, 0x1.9be1881fee2c9p-7, 0x1.92fd23901b52p-7, 0x1.8a3ed4c733846p-7, 0x1.81a63a52c6207p-7, 0x1.7932f213fb3c4p-7, 0x1.70e499f77c907p-7, 0x1.68bad099fd62dp-7, 0x1.60b535b15ffa1p-7, 0x1.58d369fa6877p-7, 0x1.51150ec1d07f1p-7, 0x1.4979c50160a76p-7, 0x1.42012c41533eep-7, 0x1.3aaae19a992c2p-7, 0x1.33767ed47465cp-7, 0x1.2c639b4943838p-7, 0x1.2571cc49af593p-7, 0x1.1ea0a37e53eedp-7, 0x1.17efb411352cbp-7, 0x1.115e95cbac7bcp-7, 0x1.0aecdf7cf0b2ap-7, 0x1.049a2df2899d8p-7, 0x1.fccc424c37f0ep-8, 0x1.f0a0b5e78186p-8, 0x1.e4b0fbe8b35b5p-8, 0x1.d8fc56b2744d8p-8, 0x1.cd8203a994f24p-8, 0x1.c24137ad7393fp-8, 0x1.b73921c4004f5p-8, 0x1.ac68ee594ae98p-8, 0x1.a1cfc6c618603p-8, 0x1.976cd954eb2e4p-8, 0x1.8d3f5c1254df8p-8, 0x1.83468e5c96653p-8, 0x1.7981b898ecf58p-8, 0x1.6ff02954b9572p-8, 0x1.6691308ed6528p-8, 0x1.5d641a4859ae1p-8, 0x1.54682970dd1dcp-8, 0x1.4b9c94b5d2c03p-8, 0x1.43008695efaffp-8, 0x1.3a9320d40f5a5p-8, 0x1.3253828f5f7bcp-8, 0x1.2a40d3c3ecbf7p-8, 0x1.225a3bea072bfp-8, 0x1.1a9f0be645337p-8, 0x1.130e9e3ce7ba8p-8, 0x1.0ba868ed276bbp-8, 0x1.046bf02b4bcbfp-8, 0x1.fab18601cd7aep-9, 0x1.ecdcdb3e7b399p-9, 0x1.df58da58512e8p-9, 0x1.d2244f2368afep-9, 0x1.c53dcfa3c7186p-9, 0x1.b8a3ae56ed4dbp-9, 0x1.ac543db68a5d4p-9, 0x1.a04d75b02eb3dp-9, 0x1.948d7cb85a065p-9, 0x1.891284e65eccfp-9, 0x1.7ddaf4a8c48e1p-9, 0x1.72e571b4ec57ap-9, 0x1.6830e73825d42p-9, 0x1.5dbc7ede41873p-9, 0x1.538790266cbe9p-9, 0x1.4991893b9a72p-9, 0x1.3fd9d5df329dap-9, 0x1.365fc8b126db3p-9, 0x1.2d228afc57287p-9, 0x1.242113314d63bp-9, 0x1.1b5a2532a58dcp-9, 0x1.12cc5ab9d0f58p-9, 0x1.0a7631fce84d2p-9, 0x1.0256208e2742p-9, 0x1.f4d54894e3cbp-10, 0x1.e564ad1c727dfp-10, 0x1.d657e57800383p-10, 0x1.c7acb940536d9p-10, 0x1.b9613f8fa6119p-10, 0x1.ab73d69c927bdp-10, 0x1.9de31497905f5p-10, 0x1.90adb29066789p-10, 0x1.83d271956b061p-10, 0x1.774fff6a495f9p-10, 0x1.6b24de9ac6055p-10, 0x1.5f4f5b3406758p-10, 0x1.53cd8fbc64e89p-10, 0x1.489d567834ca1p-10, 0x1.3dbd201698f93p-10, 0x1.332a2c3a5ff5ep-10, 0x1.28e32adbaef7fp-10, 0x1.1ee6040f3d447p-10, 0x1.1530dd291a1b7p-10, 0x1.0bc1cb059562p-10, 0x1.0296e8c02ed5p-10, 0x1.f35cea3a9dcf9p-11, 0x1.e20ddb7f6477bp-11, 0x1.d13e3270ad748p-11, 0x1.c0ebe3ab1586fp-11, 0x1.b11525f1dc385p-11, 0x1.a1b801e346818p-11, 0x1.92d2609002af7p-11, 0x1.8461ec220cda8p-11, 0x1.766463786da7dp-11, 0x1.68d78c651fcf9p-11, 0x1.5bb9346d1c1bbp-11, 0x1.4f06fa00488bbp-11, 0x1.42be017f9d2d5p-11, 0x1.36dab5f21a7ffp-11, 0x1.2b58c4affc20ap-11, 0x1.20337296f7d4dp-11, 0x1.15663958efc1dp-11, 0x1.0aed7c2e98bfp-11, 0x1.00c6f5c3dd621p-11, 0x1.ede33f16e986cp-12, 0x1.dada30af3f3f2p-12, 0x1.c871a867ddff5p-12, 0x1.b6a72e19e47bap-12, 0x1.a576f4c7886edp-12, 0x1.94dcd4c988b82p-12, 0x1.84d5887b9915p-12, 0x1.755f6197fdeb7p-12, 0x1.667a14ebb12e7p-12, 0x1.58257deaf93e9p-12, 0x1.4a616d163e78ep-12, 0x1.3d2b42634ced7p-12, 0x1.307d21c6f7371p-12, 0x1.244f4014f9bd9p-12, 0x1.1899a70fd32d9p-12, 0x1.0d507fa4271f9p-12, 0x1.026d609a0007cp-12, 0x1.efd4bb646839cp-13, 0x1.db8a06989e501p-13, 0x1.c7f98f1a6339fp-13, 0x1.b52374418caa3p-13, 0x1.a306d483c764bp-13, 0x1.91a0e0050eeap-13, 0x1.80ed9c83a13bcp-13, 0x1.70e8cb4c64b9dp-13, 0x1.618ee6c3a7ba3p-13, 0x1.52dd9a0592a91p-13, 0x1.44d34f6742c35p-13, 0x1.376e30407a1e4p-13, 0x1.2aab8e464a4dcp-13, 0x1.1e87e8c06b6ap-13, 0x1.12fea8c3cbcd5p-13, 0x1.0809ad7afc58cp-13, 0x1.fb41de7401dd4p-14, 0x1.e775f3eecb1f1p-14, 0x1.d49d7b910a92bp-14, 0x1.c2a9db8ad6ea2p-14, 0x1.b19207c839c5ap-14, 0x1.a14c6677e715p-14, 0x1.91d628f2a8036p-14, 0x1.83273434065b7p-14, 0x1.7536a14777f6bp-14, 0x1.67fbd2700638bp-14, 0x1.5b7082c5580cp-14, 0x1.4f9417f80c693p-14, 0x1.4469565cd97d4p-14, 0x1.39f0f392337dap-14, 0x1.30259bafeb9edp-14, 0x1.26fd235201e24p-14, 0x1.1e6a116887ec7p-14, 0x1.1668ec63355e4p-14, 0x1.0ef9bfd1c6d83p-14, 0x1.0815340f5a6dbp-14, 0x1.01be0f84e204dp-14, 0x1.f7de7115eb337p-15, 0x1.ed3e3ad80fa36p-15, 0x1.e38039fce5fe1p-15, 0x1.da8d2205b1b5cp-15, 0x1.d25311f8ae81ep-15, 0x1.cacc5a473eae5p-15, 0x1.c404da66ee4c2p-15, 0x1.be01b305aee13p-15, 0x1.b8ba6982c5f1fp-15, 0x1.b41fef8673f1fp-15, 0x1.b025413e80c7ep-15, 0x1.acc698f8683eap-15, 0x1.a9fa433f4dc9fp-15, 0x1.a7b2ce52fccc8p-15, 0x1.a5e4f7a5ec978p-15, 0x1.a48c02e0cc6fcp-15, 0x1.a3a64a13073a2p-15, 0x1.a32b8e0c727fdp-15, 0x1.a31bdbbc818bdp-15, 0x1.a37034b365bc2p-15, 0x1.a427f1ef4041bp-15, 0x1.a54be30ac1437p-15, 0x1.a6daa0af6e5ap-15, 0x1.a8c8d853e7252p-15, 0x1.ab03877779bf2p-15, 0x1.ad741e9b2935bp-15, 0x1.b00d8c52c54adp-15, 0x1.b2d685c97268fp-15, 0x1.b5dc142a8b9b6p-15, 0x1.b91b4543fcc44p-15, 0x1.bc877902cb207p-15, 0x1.c01daa2306d4p-15, 0x1.c3e5aee41b66ap-15, 0x1.c7e0ee7e0f567p-15, 0x1.cc083fbc6ef27p-15, 0x1.d05308fc4f315p-15, 0x1.d4b80d7e317dcp-15, 0x1.d92cc1e0dfadap-15, 0x1.dda9a1e52a5a1p-15, 0x1.e22feebb8d7c5p-15, 0x1.e6c5ff608ac63p-15, 0x1.eb6c820bb4531p-15, 0x1.f018508b5d548p-15, 0x1.f4d055c4eb228p-15, 0x1.f995985a7a748p-15, 0x1.fe663dc224042p-15, 0x1.01a09378e58d9p-14, 0x1.040f7b4c52425p-14, 0x1.067abffbe132p-14, 0x1.08de70ea747d5p-14, 0x1.0b3cd9dfccb7ep-14, 0x1.0d98fe8063788p-14, 0x1.0fef802d63c22p-14, 0x1.123e1c593d1fbp-14, 0x1.1487dd3df0fb4p-14, 0x1.16cd4e3dee564p-14, 0x1.190bc0ab11594p-14, 0x1.1b4167f2d83dfp-14, 0x1.1d6d77732dabdp-14, 0x1.1f90cea03f847p-14, 0x1.21ab8e0b9b731p-14, 0x1.23bdb7a50b5a9p-14, 0x1.25c1b5383f0a6p-14, 0x1.27be5144ef3e1p-14, 0x1.29af976f5d60ap-14, 0x1.2b912edfbe317p-14, 0x1.2d675478ea951p-14, 0x1.2f2fcc963a17bp-14, 0x1.30ea14f03eefep-14, 0x1.329a8901b153ep-14, 0x1.343d694ce5192p-14, 0x1.35d36e5fdaef6p-14, 0x1.375c19c443c3fp-14, 0x1.38d6ab80ccfe1p-14, 0x1.3a41cdbdd49cdp-14, 0x1.3b9f786c582d4p-14, 0x1.3cea9ffcdc253p-14, 0x1.3e2791fba30efp-14, 0x1.3f574143b67dbp-14, 0x1.4078f255ec636p-14, 0x1.418b6a7f9ca1ap-14, 0x1.428e58720816bp-14, 0x1.4381e26f14428p-14, 0x1.446623614a408p-14, 0x1.453b65c59f1a5p-14, 0x1.460175b09c18fp-14, 0x1.46b86d5c49022p-14, 0x1.4760bd4abdd6dp-14, 0x1.47f942b281ffcp-14, 0x1.4884cd172e2c7p-14, 0x1.490124b49d17dp-14, 0x1.496dd26edd90bp-14, 0x1.49cba01ff22c9p-14, 0x1.4a19cd379a24p-14, 0x1.4a5998cb720e8p-14, 0x1.4a8b8a0f9d2b4p-14, 0x1.4aaf04fb3c4aep-14, 0x1.4ac458b3ecbd8p-14, 0x1.4aca5f0e685d6p-14, 0x1.4ac3f043ac476p-14, 0x1.4aaf1d10fb13cp-14, 0x1.4a8be5c42fb5fp-14, 0x1.4a5aa4415955ap-14, 0x1.4a1c5850ef715p-14, 0x1.49d0a038c25b2p-14, 0x1.49786e970d3a1p-14, 0x1.49129eea832b4p-14, 0x1.489fe2a09ed2ep-14, 0x1.482073d9fe35ep-14, 0x1.4794853bfefacp-14, 0x1.46fc4433debfcp-14, 0x1.4657e13c13632p-14, 0x1.45a79042f493dp-14, 0x1.44ea16976e43bp-14, 0x1.4421ce3621e2bp-14, 0x1.435067134cf86p-14, 0x1.4271f1f037715p-14, 0x1.4188cb9cedc83p-14, 0x1.4094dc16abdep-14, 0x1.3f961df35f682p-14, 0x1.3e8cfb549990bp-14, 0x1.3d799f4430c76p-14, 0x1.3c5c85a2ca278p-14, 0x1.3b376ee2b824cp-14, 0x1.3a0438d7cf0e8p-14, 0x1.38ca59eff3f3cp-14, 0x1.3786fa588858p-14, 0x1.363abaddc8b27p-14, 0x1.34e5636a248e8p-14, 0x1.33864b95a3d27p-14, 0x1.3221e50e65414p-14, 0x1.30b36e68fa6bcp-14, 0x1.2f3d3b8ec12fep-14, 0x1.2dbf4c998b937p-14, 0x1.2c39a81109fb1p-14, 0x1.2aacb895123e1p-14, 0x1.291886d3953e5p-14, 0x1.277d41119f28ep-14, 0x1.25dc9322deb6ap-14, 0x1.24330f7eb44c5p-14, 0x1.2284370fddf1fp-14, 0x1.20cf2576b86dep-14, 0x1.1f141d4349fa4p-14, 0x1.1d5344a6c5d03p-14, 0x1.1b8ccaac7503bp-14, 0x1.19c0e0ac68085p-14, 0x1.17ef80e7ae219p-14, 0x1.16191b656ac16p-14, 0x1.143e0afd7be87p-14, 0x1.125e0a2ed3ae4p-14, 0x1.10797b334e2d3p-14, 0x1.0e90a84d4c2aap-14, 0x1.0ca3b3ff87307p-14, 0x1.0ab2bbef82741p-14, 0x1.08bde51e97baep-14, 0x1.06c561c3c8b02p-14, 0x1.04c967f8bf13ep-14, 0x1.02c9e3abcc5a1p-14, 0x1.00c74b2ef0298p-14, 0x1.fd845590d9806p-15, 0x1.f9722e7be706ap-15, 0x1.f55b90c3ab2d9p-15, 0x1.f14017192361ep-15, 0x1.ed1fc0619d50ap-15, 0x1.e8fadef6d76b7p-15, 0x1.e4d1bcad27e94p-15, 0x1.e0a47fb98ccefp-15, 0x1.dc73cb492b543p-15, 0x1.d83fa0e53968dp-15, 0x1.d4085c5a395eap-15, 0x1.cfce44947a251p-15, 0x1.cb934c0ea0ec5p-15, 0x1.c75251b8714f4p-15, 0x1.c3114941460bfp-15, 0x1.bece552404044p-15, 0x1.ba8a3dff7d54bp-15, 0x1.b6443b86795fdp-15, 0x1.b2055aae253e6p-15, 0x1.adb25f33306bap-15, 0x1.a96f218651c1fp-15, 0x1.a5244f2dde549p-15, 0x1.a0dac4f6f29b5p-15, 0x1.9c923f290659ap-15, 0x1.98485d86c6a33p-15, 0x1.9401ea7717163p-15, 0x1.8fb9203e77f01p-15, 0x1.8b725277372c7p-15, 0x1.872c6d11536efp-15, 0x1.82e80884dd447p-15, 0x1.7ea543f8a4486p-15, 0x1.7a63c43aeefdcp-15, 0x1.7623aa9402e3ap-15, 0x1.71e5aebd04e8cp-15, 0x1.6daa11d2dbe18p-15, 0x1.6970c4d6a9838p-15, 0x1.6539dbb5ef554p-15, 0x1.61059ddfe360fp-15, 0x1.5cd3e93493d3p-15, 0x1.58a53858838dp-15, 0x1.5479941fb53b1p-15, 0x1.5051274a40c05p-15, 0x1.4c2c0bb754c17p-15, 0x1.480a6e76cd37p-15, 0x1.43ec593897c28p-15, 0x1.3fd1e9434dc77p-15, 0x1.3bbb816cc6cffp-15, 0x1.37a95f5cab797p-15, 0x1.339abb8a6ff4p-15, 0x1.2f901a9360de7p-15, 0x1.2b8a34317a3fp-15, 0x1.2788b604b0a1dp-15, 0x1.238ba8e553bd2p-15, 0x1.1f935241e6802p-15, 0x1.1b9fa3613b018p-15, 0x1.17b0af11325e2p-15, 0x1.13c897794e12bp-15, 0x1.0fe4432d15e67p-15, 0x1.0c019dd6b5102p-15, 0x1.0826d0a0d7279p-15, 0x1.0451633ceecfdp-15, 0x1.0081294be1597p-15, 0x1.f96c721f7945bp-16, 0x1.f1e17ceeb4dadp-16, 0x1.ea623918b6d68p-16, 0x1.e2e670b0eb6bcp-16, 0x1.db8514d0a0542p-16, 0x1.d4256f63f00e5p-16, 0x1.ccd2d73fbfc1bp-16, 0x1.c58c76c4803fdp-16, 0x1.be52a79d5b25bp-16, 0x1.b7183f7502505p-16, 0x1.affe3adc3d2a7p-16, 0x1.a8e66c7fd5671p-16, 0x1.a1d98afba3842p-16, 0x1.9acd7929a5c71p-16, 0x1.93e8c95340d28p-16, 0x1.8d0484d92d181p-16, 0x1.862890b2dc991p-16, 0x1.7f5a619a29fa6p-16, 0x1.7898fd6ced701p-16, 0x1.71e41be4eb0f5p-16, 0x1.6b3bd097142b1p-16, 0x1.64a0b10db356cp-16, 0x1.5e120c0aaeaa1p-16, 0x1.57901ca9602bp-16, 0x1.511b0bf1c615ep-16, 0x1.4ab29fb153117p-16, 0x1.4457225eb206ap-16, 0x1.3e08880e6d76cp-16, 0x1.37c6d43eb02ecp-16, 0x1.31920d976fcc4p-16, 0x1.2b6a3779dd803p-16, 0x1.254f540f9149p-16, 0x1.1f41624104321p-16, 0x1.194072b227cd1p-16, 0x1.134c78627d5c6p-16, 0x1.0d65a17eb7e39p-16, 0x1.078afd1d36072p-16, 0x1.01be82fa8d49p-16, 0x1.f7fcea0416191p-17, 0x1.ec96f79679275p-17, 0x1.e14a451f777bfp-17, 0x1.d6179f5dde1c8p-17, 0x1.caff30595af2ap-17, 0x1.c00146424d539p-17, 0x1.b51cbd35382bcp-17, 0x1.aa43edd866ebbp-17, 0x1.9fa0df8a8b73cp-17, 0x1.95072c435535cp-17, 0x1.8a88a33bfd1d6p-17, 0x1.8023cfd91fb43p-17, 0x1.75d86aafb1c01p-17, 0x1.6ba66f269828fp-17, 0x1.618dde75ddfb6p-17, 0x1.579540670071cp-17, 0x1.4daaed169c0eep-17, 0x1.43d83a863a066p-17, 0x1.3a281a9b7e1fcp-17, 0x1.308bf9059ab62p-17, 0x1.2709261b0c079p-17, 0x1.1d9f5d97ae5b2p-17, 0x1.144e1d3e72c2p-17, 0x1.0b15921a70e94p-17, 0x1.01f5ceb27f626p-17, 0x1.f1e34b132fa5bp-18, 0x1.e02ae22e6e136p-18, 0x1.ce4f2175c80c3p-18, 0x1.bccebf5b04631p-18, 0x1.ab80a88bfc28bp-18, 0x1.9a6159fbdfa78p-18, 0x1.897221154fc0dp-18, 0x1.78ae02c70e431p-18, 0x1.681bd5a98f02p-18, 0x1.57bebf66f240fp-18, 0x1.4786bd34bfcf6p-18, 0x1.377effd280b78p-18, 0x1.27a6df576b448p-18, 0x1.17fa63005d76cp-18, 0x1.087c3596592ccp-18, 0x1.f261cd0618ff2p-19, 0x1.d3fa74e56025p-19, 0x1.b5e8901b3cb14p-19, 0x1.98952b618a8d5p-19, 0x1.7b4a0a9e24a98p-19, 0x1.5e7307d30605fp-19, 0x1.41ad94027b857p-19, 0x1.259cb5d366f73p-19, 0x1.09b4f5a795352p-19, 0x1.dc548e53b8328p-20, 0x1.a5e5076d23199p-20, 0x1.701bf06693501p-20, 0x1.3affe686639fep-20, 0x1.067d0ca5ee5cdp-20, 0x1.a54b25c05fdcp-21, 0x1.3ee555cb3871bp-21, 0x1.b390ecafbb261p-22, 0x1.d7d9c335b6ab8p-23, 0x1.34e5071b69a0ep-25, -0x1.3e8f8fedcc483p-23, -0x1.5c51617bd3f41p-22, -0x1.0d1ac0340739ap-21, -0x1.6ad490543cc57p-21, -0x1.c74ae663b997cp-21, -0x1.1146ef26f5b2bp-20, -0x1.3e5ed463c7f3ap-20, -0x1.6ac7c380d8b28p-20, -0x1.96aad56b6f6e3p-20, -0x1.c2d9982980134p-20, -0x1.eca66599c96a5p-20, -0x1.0b66bcc306d6cp-19, -0x1.2029c2646d658p-19, -0x1.351cbe959d8a6p-19, -0x1.48e946100aa9cp-19, -0x1.5cdebb6cea84bp-19, -0x1.708bbbff16907p-19, -0x1.83f2c8d0b29dap-19, -0x1.97148e6c9cf4ep-19, -0x1.a9f153cfb2e0ap-19, -0x1.bc8455ec38a65p-19, -0x1.ce6155bdd408dp-19, -0x1.e0ec71876d91p-19, -0x1.f2c441acfbb17p-19, -0x1.0229f95caf512p-18, -0x1.0ad7f30218f8dp-18, -0x1.134249b89ceecp-18, -0x1.1bbe7db661088p-18, -0x1.240605258aef2p-18, -0x1.2c2c75246a5fep-18, -0x1.3435af606bd97p-18, -0x1.3c1e7ecfc0737p-18, -0x1.43eb0c497e5d2p-18, -0x1.4b96e9e1c6d86p-18, -0x1.53288249058e2p-18, -0x1.5a9568368968p-18, -0x1.61e5e9738bfe2p-18, -0x1.68ece2894bdaap-18, -0x1.7036c02976192p-18, -0x1.772645a133547p-18, -0x1.7e16d65bad07ap-18, -0x1.84db23f087108p-18, -0x1.8b7b2deeb018fp-18, -0x1.920eb932e5e2bp-18, -0x1.987f49f87d8cep-18, -0x1.9f3a4bb7aca17p-18, -0x1.a5122085b9b8bp-18, -0x1.ab325fe60f9d5p-18, -0x1.b13923c32677fp-18, -0x1.b725f8d8122afp-18, -0x1.bcf89c2dfd8eap-18, -0x1.c2d7f825d79c3p-18, -0x1.c84da9203d2efp-18, -0x1.cdd630118c2a3p-18, -0x1.d364d5d967d2ep-18, -0x1.d89a85f7e3cbfp-18, -0x1.ddd9338b4fe59p-18, -0x1.e2fc77416383cp-18, -0x1.e809d82edac5cp-18, -0x1.ed02473ea17bep-18, -0x1.f1df0d8eed78cp-18, -0x1.f6a69ba022c2bp-18, -0x1.fb811b2246117p-18, -0x1.fff2ee7ca9bddp-18, -0x1.023a81c7c4c55p-17, -0x1.047121abb936ap-17, -0x1.069cdc4dabf3ap-17, -0x1.08b7fe189a1eap-17, -0x1.0ad3d3bea6202p-17, -0x1.0cde027e1f9efp-17, -0x1.0eb27f27b0c54p-17, -0x1.10d0db72f2051p-17, -0x1.12c40aa841ff4p-17, -0x1.14a9b745d3a26p-17, -0x1.167d93291f6f7p-17, -0x1.18473f330fc05p-17, -0x1.1a085a50147d8p-17, -0x1.1bc921d66980ap-17, -0x1.1d9722cf832b7p-17, -0x1.1f2343e6f2f78p-17, -0x1.20c2e946415e8p-17, -0x1.22563f0525cf2p-17, -0x1.23e1e461ae859p-17, -0x1.2564386d00b9cp-17, -0x1.26dd8be315313p-17, -0x1.284e417d21796p-17, -0x1.29b595e147f2fp-17, -0x1.2b149412c859ap-17, -0x1.2c639767f0362p-17, -0x1.2dbafeb345731p-17, -0x1.2eff5a002a4ecp-17, -0x1.303a797a3e35ep-17, -0x1.316f665fdcd97p-17, -0x1.329c0665934c5p-17, -0x1.33c08c1d7714fp-17, -0x1.34dcf2d52475fp-17, -0x1.35f378f92e95ap-17, -0x1.36fd719ce13dap-17, -0x1.380764a271792p-17, -0x1.3900126a19f93p-17, -0x1.39d20aca59398p-17, -0x1.3ae56a9d03c26p-17, -0x1.3bce0f05be071p-17, -0x1.3cad664b3b0a1p-17, -0x1.3d85de21c6b99p-17, -0x1.3e59523882a55p-17, -0x1.3f0cdac3939a2p-17, -0x1.3fe841eb4fa66p-17, -0x1.40a499c89649ap-17, -0x1.415e88e86589ep-17, -0x1.42088f79aa137p-17, -0x1.42b2ef7bc0b49p-17, -0x1.4355d268729e6p-17, -0x1.43f34b70e249ap-17, -0x1.44888ca9938c8p-17, -0x1.4517bfe9aa2d6p-17, -0x1.45a0f4deada43p-17, -0x1.46236c3b01cadp-17, -0x1.46ac2424d5cfdp-17, -0x1.4716261f1837cp-17, -0x1.478db450c2e42p-17, -0x1.47f4580dc3c21p-17, -0x1.485acb5c25d2ep-17, -0x1.48c1a06e5e197p-17, -0x1.48febfb5c2e2ap-17, -0x1.4969dadd80456p-17, -0x1.49b9f06fbc47p-17, -0x1.4a03bdd8a565ap-17, -0x1.4a485a7f44e72p-17, -0x1.4a87b93e6f3d1p-17, -0x1.4ac1f6eba6ff3p-17, -0x1.4af5c014a1541p-17, -0x1.4b0aa01b0ff8p-17, -0x1.4b515402e4855p-17, -0x1.4b7825e0c2a83p-17, -0x1.4b993cb6d7c9dp-17, -0x1.4bb5b4439ed4ap-17, -0x1.4bcd90aae0685p-17, -0x1.4be04137b7eaep-17, -0x1.4beeb312a5fe4p-17, -0x1.4bf89ab888581p-17, -0x1.4bfc9dde73757p-17, -0x1.4c07864897b43p-17, -0x1.4bfa985f34dfap-17, -0x1.4bfb091280a73p-17, -0x1.4be4f5e82ea12p-17, -0x1.4bd80ab81af58p-17, -0x1.4bb8c407a8197p-17, -0x1.4ba9845a3d585p-17, -0x1.4b8d81df535bbp-17, -0x1.4b6d05c4059fap-17, -0x1.4b487d4ad7e42p-17, -0x1.4b2058c31123bp-17, -0x1.4af514b608366p-17, -0x1.4acf9f11ad281p-17, -0x1.4a912cf4ad1ap-17, -0x1.4a58b4f7e04fep-17, -0x1.4a1aa99642096p-17, -0x1.49eb3fa822476p-17, -0x1.499d449ee01fcp-17, -0x1.49593abe6ab77p-17, -0x1.490fc884013bcp-17, -0x1.48c3a0ec722fdp-17, -0x1.4874784634729p-17, -0x1.4821c39d7bd2fp-17, -0x1.47cbbfe6adc18p-17, -0x1.477291007f9c9p-17, -0x1.471b7caa5171cp-17, -0x1.46b58c00e4ee6p-17, -0x1.46556886328bap-17, -0x1.45efe2575df81p-17, -0x1.4588c605e9f14p-17, -0x1.451bcb3b22ef7p-17, -0x1.44a7bd64dc273p-17, -0x1.4438a3b93c2p-17, -0x1.43caa7d522fc9p-17, -0x1.4356697810606p-17, -0x1.42c15d4c8e7ecp-17, -0x1.42619c3f084ffp-17, -0x1.41e22cb2be83cp-17, -0x1.4162dbf04c6bep-17, -0x1.40df100c74c3p-17, -0x1.40592a00acac8p-17, -0x1.3fd0735b0280dp-17, -0x1.3f575adc3c1ecp-17, -0x1.3eb98c0b68769p-17, -0x1.3e2b5681460edp-17, -0x1.3d9b435afde67p-17, -0x1.3d0787a9659e6p-17, -0x1.3c705547b8af2p-17, -0x1.3bd8ae9bc6037p-17, -0x1.3b3dd0580f274p-17, -0x1.3aa2b4a3b5edcp-17, -0x1.3a053466fd7bbp-17, -0x1.3960c16418268p-17, -0x1.38b1f64ec0e79p-17, -0x1.381e300db0822p-17, -0x1.37785010b62p-17, -0x1.36d10a87701dp-17, -0x1.362093ebc00a9p-17, -0x1.357bd20183ecp-17, -0x1.34c932e5163f4p-17, -0x1.341c328fc69b9p-17, -0x1.336ec5196f0b9p-17, -0x1.32bc295a84314p-17, -0x1.320814b1b4c8bp-17, -0x1.3152661eb2129p-17, -0x1.30a25373a788cp-17, -0x1.2fe251416b32p-17, -0x1.2f2801152c4dp-17, -0x1.2e6bceb16d40ap-17, -0x1.2daecc3c7e13ap-17, -0x1.2cf0eada7045ap-17, -0x1.2c2f77584ab4fp-17, -0x1.2b6e34cb6f777p-17, -0x1.2aab658d705b9p-17, -0x1.29e720c6843dp-17, -0x1.2921a086b24e5p-17, }}, 
      {{-0x1.057a001b4e02p+0, -0x1.03708889343d9p+0, -0x1.0024ade26e7a2p+0, -0x1.f76a469180dc2p-1, -0x1.ec8a57b2af4a2p-1, -0x1.dff390032e428p-1, -0x1.d1efc513233ffp-1, -0x1.c2c6113b6060fp-1, -0x1.b2b92ce7ae971p-1, -0x1.a2066d81c505fp-1, -0x1.90e53d36c676ap-1, -0x1.7f86f5eb9803p-1, -0x1.6e16dc1fe4f2p-1, -0x1.5cba6f4227903p-1, -0x1.4b91b996b348ap-1, -0x1.3ab7b7cb6946ap-1, -0x1.2a42cfcfc98p-1, -0x1.1a4541321dbc7p-1, -0x1.0acd9bdc58845p-1, -0x1.f7ce53c72da43p-2, -0x1.db34aec3dc1abp-2, -0x1.bfda2274a2d5ep-2, -0x1.a5c6322808f9p-2, -0x1.8cfcaa076ae61p-2, -0x1.757e2b914f1dep-2, -0x1.5f48a7bbdc00fp-2, -0x1.4a57d5b8fbc61p-2, -0x1.36a58ff06ddfdp-2, -0x1.242a2f927f51dp-2, -0x1.12dcd7ea35463p-2, -0x1.02b3b9e4acc7ap-2, -0x1.e7489d59cff7p-3, -0x1.cb4710a3508a6p-3, -0x1.b14bff5e325f9p-3, -0x1.99402e08016c9p-3, -0x1.830c3467c7da7p-3, -0x1.6e98b23d7d30fp-3, -0x1.5bce7f1f58b7dp-3, -0x1.4a96b8cfb149ep-3, -0x1.3adb0c45ab5efp-3, -0x1.2c85a38094ba3p-3, -0x1.1f814abdd4ae6p-3, -0x1.13b97daf3badep-3, -0x1.091a70c562365p-3, -0x1.ff2230f9790d2p-4, -0x1.ee165e0d91985p-4, -0x1.deee70d2e99e6p-4, -0x1.d18900ce6fd9p-4, -0x1.c5c614f5ea70ap-4, -0x1.bb8783eae698bp-4, -0x1.b2b07242f2a1fp-4, -0x1.ab259190edea4p-4, -0x1.a4cd05ac06427p-4, -0x1.9f8e5a437a883p-4, -0x1.9b5277f41ce24p-4, -0x1.980397ab99054p-4, -0x1.958d368da0a06p-4, -0x1.93dc0919484e1p-4, -0x1.92ddee1b4b25p-4, -0x1.9281e34a11501p-4, -0x1.92b7f588ad2dbp-4, -0x1.9371377abe1ap-4, -0x1.949fb35d84a49p-4, -0x1.96365f399c827p-4, -0x1.982913d2a7ffp-4, -0x1.9a6c79ad0aeb4p-4, -0x1.9cf6052df7a26p-4, -0x1.9fbbedeb0e9f8p-4, -0x1.a2b51ab1b1921p-4, -0x1.a5d91efa3cbadp-4, -0x1.a9202fc369af6p-4, -0x1.ac831a19288d7p-4, -0x1.affb3a4b32282p-4, -0x1.b38273418ea4ep-4, -0x1.b713284d2b9bdp-4, -0x1.baa83203db6dcp-4, -0x1.be3cda8780cf6p-4, -0x1.c1ccd49d7df2p-4, -0x1.c55435ca8a159p-4, -0x1.c8cf6fcee7f99p-4, -0x1.cc3b4ae06d70ap-4, -0x1.cf94e0045194dp-4, -0x1.d2d99376fa832p-4, -0x1.d6070f7bec876p-4, -0x1.d91b41a380deep-4, -0x1.dc1451ed8daf1p-4, -0x1.def0a32d7b47cp-4, -0x1.e1aecb888f738p-4, -0x1.e44d9357b440ep-4, -0x1.e6cbefa0cbbfap-4, -0x1.e928ff936e962p-4, -0x1.eb6409464da0bp-4, -0x1.ed7c766d1d0e6p-4, -0x1.ef71d1ead1cbfp-4, -0x1.f143c4efcdbb9p-4, -0x1.f2f214824b33bp-4, -0x1.f47c9f4a8c25bp-4, -0x1.f5e35b5626988p-4, -0x1.f72654dae43d9p-4, -0x1.f845aa859b08p-4, -0x1.f9418da4e7fedp-4, -0x1.fa1a3f7952bbfp-4, -0x1.fad00fb7b07e8p-4, -0x1.fb635bf7ffb65p-4, -0x1.fbd48b4f700bdp-4, -0x1.fc24128fc2926p-4, -0x1.fc526d3524405p-4, -0x1.fc6020378c634p-4, -0x1.fc4db7c9c8261p-4, -0x1.fc1bc69d256c4p-4, -0x1.fbcae516af507p-4, -0x1.fb5bb08bdda1ap-4, -0x1.faceca72b648ep-4, -0x1.fa24d83f1e826p-4, -0x1.f95e8138f2cefp-4, -0x1.f87c6f2146e25p-4, -0x1.f77f4e5c150e8p-4, -0x1.f667cb4851a84p-4, -0x1.f536935ad0c7ep-4, -0x1.f3ec545437fb4p-4, -0x1.f289bbeca21a9p-4, -0x1.f10f7780011cdp-4, -0x1.ef7e33e782cd1p-4, -0x1.edd69df8d2008p-4, -0x1.ec19601469408p-4, -0x1.ea4724744776cp-4, -0x1.e86093acc56a1p-4, -0x1.e66654b067df2p-4, -0x1.e4590c9b7283cp-4, -0x1.e2395e90f107dp-4, -0x1.e007eb8eca302p-4, -0x1.ddc5524ce5039p-4, -0x1.db722f20997b1p-4, -0x1.d90f1bd9bee12p-4, -0x1.d69cafc2f5b51p-4, -0x1.d41b7f8bb1346p-4, -0x1.d18c1d04f41f9p-4, -0x1.ceef17b78b017p-4, -0x1.cc44fdfeb0d7fp-4, -0x1.c98e5761f0a2dp-4, -0x1.c6cbac14ef407p-4, -0x1.c3fd815e77fdap-4, -0x1.c1245a231f0fp-4, -0x1.be40b4b9bc185p-4, -0x1.bb530e39b738bp-4, -0x1.b85be0ec007efp-4, -0x1.b55ba4554d259p-4, -0x1.b252cd5c2d2a2p-4, -0x1.af41ce42d4f74p-4, -0x1.ac2916a39fb66p-4, -0x1.a9091381f3781p-4, -0x1.a5e22f56aa5a6p-4, -0x1.a2b4d1e1cdb73p-4, -0x1.9f816080ada19p-4, -0x1.9c483e17da9aap-4, -0x1.9909cb025c529p-4, -0x1.95c6652e0d40ap-4, -0x1.927e682baaa25p-4, -0x1.8f322d4a9ec2ep-4, -0x1.8be20b79ef8e4p-4, -0x1.888e577f13b91p-4, -0x1.853763da8e81dp-4, -0x1.81dd80eda756cp-4, -0x1.7e80fcfcbaddfp-4, -0x1.7b22243c1e329p-4, -0x1.77c140e20fdcbp-4, -0x1.745e9b34f97dep-4, -0x1.70fa79531747ep-4, -0x1.6d951fafed565p-4, -0x1.6a2ed0be0fd24p-4, -0x1.66c7cd28baf56p-4, -0x1.636053b061571p-4, -0x1.5ff8a1f7752a9p-4, -0x1.5c90f29976154p-4, -0x1.59298041b40ccp-4, -0x1.55c2825180a7fp-4, -0x1.525c2f6a06bf8p-4, -0x1.4ef6bc84299bap-4, -0x1.4b925cf6c68cp-4, -0x1.482f42a4b3e1dp-4, -0x1.44cd9dea44fdcp-4, -0x1.416d9dbc3bb8dp-4, -0x1.3e0f6fa373073p-4, -0x1.3ab33fdbe38e4p-4, -0x1.375938edff99dp-4, -0x1.34018518caa03p-4, -0x1.30ac4c16a2151p-4, -0x1.2d59b4e887d7dp-4, -0x1.2a09e56db8484p-4, -0x1.26bd023fcd9dep-4, -0x1.23732ee0d07a1p-4, -0x1.202c8d782b62dp-4, -0x1.1ce93f7152e58p-4, -0x1.19a964c0e7826p-4, -0x1.166d1c7e9645fp-4, -0x1.133484c17cb0dp-4, -0x1.0fffba79de59bp-4, -0x1.0cced9c250fe9p-4, -0x1.09a1fdb6ffdeap-4, -0x1.0679405c6d3d5p-4, -0x1.0354bafca9d48p-4, -0x1.003485ee24168p-4, -0x1.fa317137d52a4p-5, -0x1.f402d3361bfc4p-5, -0x1.eddd5d4c8fbe8p-5, -0x1.e7c1394eacb4bp-5, -0x1.e1ae8f78c7316p-5, -0x1.dba5865221b49p-5, -0x1.d5a64323ff412p-5, -0x1.cfb0e974c8639p-5, -0x1.c9c59b6d6eb4fp-5, -0x1.c3e47990e8e04p-5, -0x1.be0da34262e5cp-5, -0x1.b84136422e495p-5, -0x1.b27f4f2307239p-5, -0x1.acc80950dab89p-5, -0x1.a71b7e9e9fae6p-5, -0x1.a179c7a25a56dp-5, -0x1.9be2fbe12e34p-5, -0x1.965731559d8adp-5, -0x1.90d67cf2554cp-5, -0x1.8b60f295f47c5p-5, -0x1.85f6a4d36c08ap-5, -0x1.8097a5439761ep-5, -0x1.7b440470673e3p-5, -0x1.75fbd18f2078ap-5, -0x1.70bf1b0afff3cp-5, -0x1.6b8dee07abea7p-5, -0x1.666856d287903p-5, -0x1.614e60a9ce7f3p-5, -0x1.5c4015d324efep-5, -0x1.573d7f975b573p-5, -0x1.5246a653af72ap-5, -0x1.4d5b9194b39f2p-5, -0x1.487c47d65e5fep-5, -0x1.43a8cebd002e5p-5, -0x1.3ee12b2f2727ep-5, -0x1.3a25611e9ac03p-5, -0x1.35757394a91bbp-5, -0x1.30d164f359d2bp-5, -0x1.2c39368dd7d54p-5, -0x1.27ace9f8e6856p-5, -0x1.232c7e3bb4cddp-5, -0x1.1eb7f25a593fp-5, -0x1.1a4f4605e4683p-5, -0x1.15f2761563ff9p-5, -0x1.11a17fe4d0e3dp-5, -0x1.0d5c5fd372512p-5, -0x1.092311983f532p-5, -0x1.04f59026277d5p-5, -0x1.00d3d60ba5c6fp-5, -0x1.f97bba0e8e23cp-6, -0x1.f1673c6132406p-6, -0x1.e96a243dfba0ap-6, -0x1.e18461a4e7896p-6, -0x1.d9b5e30ff6e38p-6, -0x1.d1fe9714de5bp-6, -0x1.ca5e69c6e5008p-6, -0x1.c2d5465c67f0fp-6, -0x1.bb6317773c88fp-6, -0x1.b407c69f3d127p-6, -0x1.acc33c25fc4ebp-6, -0x1.a5955fd96fbcbp-6, -0x1.9e7e1815cd0b6p-6, -0x1.977d4ad4ed298p-6, -0x1.9092dc4e906cfp-6, -0x1.89beb0abfcd94p-6, -0x1.8300ab20e0156p-6, -0x1.7c58adb8f97fp-6, -0x1.75c69a0ee3f93p-6, -0x1.6f4a50c776697p-6, -0x1.68e3b1d945714p-6, -0x1.62929c839900ep-6, -0x1.5c56ef733d874p-6, -0x1.56308829eef62p-6, -0x1.501f443b13247p-6, -0x1.4a22fffa41652p-6, -0x1.443b96989b186p-6, -0x1.3e68e1ff800a3p-6, -0x1.38aac899e74e5p-6, -0x1.3301196b13325p-6, -0x1.2d6ba567b1ff8p-6, -0x1.27ea57d7850dap-6, -0x1.227d05e98cc37p-6, -0x1.1d23822436264p-6, -0x1.17dda6c0e829cp-6, -0x1.12ab4b6d612b2p-6, -0x1.0d8c47bb96a7ep-6, -0x1.088072101290dp-6, -0x1.0387a0f33d419p-6, -0x1.fd43553c598d9p-7, -0x1.f39cc92238646p-7, -0x1.ea1b4908a151ap-7, -0x1.e0be7f122ba2ep-7, -0x1.d78615e182425p-7, -0x1.ce71b722fd437p-7, -0x1.c5810adc1b143p-7, -0x1.bcb3b99753b8p-7, -0x1.b4096bf41c8dcp-7, -0x1.ab81ca06c37b3p-7, -0x1.a31c7b2ed6ba2p-7, -0x1.9ad926bc67f14p-7, -0x1.92b77407bb2cap-7, -0x1.8ab709f17836ep-7, -0x1.82d78f2946ec1p-7, -0x1.7b18aaa2a791ep-7, -0x1.737a01d35781p-7, -0x1.6bfb3c5233245p-7, -0x1.649bff8d6fb9dp-7, -0x1.5d5bf2ea96b4bp-7, -0x1.563abb1be2f49p-7, -0x1.4f380000c3a5bp-7, -0x1.485367723de91p-7, -0x1.418c97ebc0f36p-7, -0x1.3ae338304e061p-7, -0x1.3456eeceb7714p-7, -0x1.2de762f6b2346p-7, -0x1.27943bb10fd1fp-7, -0x1.215d204cbc5c9p-7, -0x1.1b41b821d91d1p-7, -0x1.1541ab3a61a0ap-7, -0x1.0f5ca18ae84acp-7, -0x1.0992436f1089dp-7, -0x1.03e2399092523p-7, -0x1.fc985a31f888dp-8, -0x1.f19f8def59025p-8, -0x1.e6d96845250f8p-8, -0x1.dc452e04f9eccp-8, -0x1.d1e242ed8aeb1p-8, -0x1.c7aff7a681652p-8, -0x1.bdada369a2d53p-8, -0x1.b3da9dcff52acp-8, -0x1.aa363f93d2c8ep-8, -0x1.a0bfe2923f63fp-8, -0x1.9776e194023ep-8, -0x1.8e5a98322cef9p-8, -0x1.856a62fe76a9cp-8, -0x1.7ca59fcd1ec45p-8, -0x1.740badc6326e6p-8, -0x1.6b9bed5588b7cp-8, -0x1.6355becd155cp-8, -0x1.5b38862400016p-8, -0x1.5343a5fbc16c4p-8, -0x1.4b768421a32dp-8, -0x1.43d0856aaae78p-8, -0x1.3c5111b0c2d52p-8, -0x1.34f79195001f9p-8, -0x1.2dc36f30cca9ap-8, -0x1.26b41604ebad2p-8, -0x1.1fc8f27e2f612p-8, -0x1.19017271c4986p-8, -0x1.125d04ab91299p-8, -0x1.0bdb1a4ff7197p-8, -0x1.057b259e260a8p-8, -0x1.fe79338569259p-9, -0x1.f23dd6233dd31p-9, -0x1.e643205c800ddp-9, -0x1.da87fddf77f4p-9, -0x1.cf0b6739ef634p-9, -0x1.c3cc4d4554e65p-9, -0x1.b8c9a7b5156cbp-9, -0x1.ae026e069246dp-9, -0x1.a375a29f9ac4ep-9, -0x1.99224446bdec1p-9, -0x1.8f075a273eba1p-9, -0x1.8523e2c70729ep-9, -0x1.7b76e9ee7845cp-9, -0x1.71ff7bc2537ecp-9, -0x1.68bca727fce3ap-9, -0x1.5fad7db497ac9p-9, -0x1.56d113ea1999fp-9, -0x1.4e26814e95b8bp-9, -0x1.45ace064b7a87p-9, -0x1.3d634dd326c9p-9, -0x1.3548e8bb983b4p-9, -0x1.2d5cb87316792p-9, -0x1.259e5764e6acap-9, -0x1.1e0c333b324b6p-9, -0x1.16a61243da94ap-9, -0x1.0f6adb2bcf77fp-9, -0x1.0859cfe6c5967p-9, -0x1.0172230e89d32p-9, -0x1.f5661d93bae7ep-10, -0x1.e83796277b6e2p-10, -0x1.db57259fb5b62p-10, -0x1.cec34cde15b09p-10, -0x1.c27a8ee18ceefp-10, -0x1.b67b75d2040ffp-10, -0x1.aac491610c056p-10, -0x1.9f54759a0e09fp-10, -0x1.9429b02832fc6p-10, -0x1.8942c26421c5ep-10, -0x1.7e9efcac5c193p-10, -0x1.743bde6460cbfp-10, -0x1.6a1955f8aa129p-10, -0x1.603543dc256bbp-10, -0x1.568e9e2303a05p-10, -0x1.4d241b0fbda77p-10, -0x1.43f4855b2bd2p-10, -0x1.3afea73886393p-10, -0x1.32414d4ba805cp-10, -0x1.29bb498bc4f67p-10, -0x1.216b735af9f27p-10, -0x1.1950a6e9d3c5p-10, -0x1.1169c4c3e9c1p-10, -0x1.09b5b3e7d34b1p-10, -0x1.02335e8f07188p-10, -0x1.f5c36883866b5p-11, -0x1.e77f535436735p-11, -0x1.d9986acd760cfp-11, -0x1.cc0ca3c05a2f1p-11, -0x1.bed9f4f36ce56p-11, -0x1.b1fe7cf6e0928p-11, -0x1.a578932e4d50cp-11, -0x1.9945e73460b64p-11, -0x1.8d648975c8369p-11, -0x1.81d33d392571fp-11, -0x1.768fc0d8516cfp-11, -0x1.6b987225d51f2p-11, -0x1.60eba277a5db6p-11, -0x1.56879a6034f2ap-11, -0x1.4c6ab2f13f1c6p-11, -0x1.42934bdf63b4ap-11, -0x1.38ffc2cc4b58fp-11, -0x1.2fae8d7db303ep-11, -0x1.269e2077d3399p-11, -0x1.1dccfaf96fc0cp-11, -0x1.15399f9361106p-11, -0x1.0ce296e1dd702p-11, -0x1.04c678e2a4c8dp-11, -0x1.f9c7c4ca65c1ap-12, -0x1.ea72ec017b49dp-12, -0x1.db8bb3e948f85p-12, -0x1.cd0f731587033p-12, -0x1.befb9530c335ep-12, -0x1.b14d9423a0f3fp-12, -0x1.a402eba1bda45p-12, -0x1.97192434c5a84p-12, -0x1.8a8de048b2deap-12, -0x1.7e5ed1f70bef2p-12, -0x1.72892feddc30ep-12, -0x1.670c4a2ed8668p-12, -0x1.5be464e32d8p-12, -0x1.510fe3dbc57d1p-12, -0x1.468d09cbaeddfp-12, -0x1.3c59351ad188bp-12, -0x1.327291941224dp-12, -0x1.28d755792da21p-12, -0x1.1f857e0c63d97p-12, -0x1.167b0b2289d89p-12, -0x1.0db61c07fa41fp-12, -0x1.05342a60aadefp-12, -0x1.f9eb17b1bc1d5p-13, -0x1.e9ecb8287d0e5p-13, -0x1.da6b78025bd19p-13, -0x1.cb63d5de296fep-13, -0x1.bcd2c8e1c4f4dp-13, -0x1.aeb52b1abc486p-13, -0x1.a107ef2e5bba5p-13, -0x1.93c81769fde95p-13, -0x1.86f2b4302f54ap-13, -0x1.7a84e267d43d8p-13, -0x1.6e7bcbb1a0e45p-13, -0x1.62d4a2c48eedbp-13, -0x1.578cbb1c8fb39p-13, -0x1.4ca16822e5bd9p-13, -0x1.42100be560627p-13, -0x1.37d62337581c3p-13, -0x1.2df133c1c4f4ap-13, -0x1.245eb6162fb4bp-13, -0x1.1b1ca90965d38p-13, -0x1.12286909b1b57p-13, -0x1.097fd93d24dddp-13, -0x1.0120d08672a65p-13, -0x1.f21267ebb0bc6p-14, -0x1.e26dea9a056d8p-14, -0x1.d35024323105bp-14, -0x1.c4b523b887b31p-14, -0x1.b69913ecabdd6p-14, -0x1.a8f83415c0e11p-14, -0x1.9bcee14866eebp-14, -0x1.8f198cadce172p-14, -0x1.82d4d7fabcfe1p-14, -0x1.76f93c939b254p-14, -0x1.6b92fba3773dp-14, -0x1.608612b23b487p-14, -0x1.55e27e93139dp-14, -0x1.4b9e206e09257p-14, -0x1.41b6f0ce2996cp-14, -0x1.3829fe359c61ep-14, -0x1.2ef48c79da9d4p-14, -0x1.2613e0fac4d57p-14, -0x1.1d8567fef6bc7p-14, -0x1.15469845345bap-14, -0x1.0d53ecfbd04fbp-14, -0x1.05acd288a484bp-14, -0x1.fc9b2246a05b5p-15, -0x1.ee6a08d87d16bp-15, -0x1.e0be1c3ae11fcp-15, -0x1.d3956a07d1be3p-15, -0x1.c6eafaf2079a1p-15, -0x1.baba435310c05p-15, -0x1.aeff037aa4a9p-15, -0x1.a3b517d6c751bp-15, -0x1.98d890c6a0d5ap-15, -0x1.8e65755f28e61p-15, -0x1.84583dd729311p-15, -0x1.7aad626d03ddep-15, -0x1.71618f72e0707p-15, -0x1.68719bcec558p-15, -0x1.5fda57f5731bap-15, -0x1.579906c94fdccp-15, -0x1.4faa99ce6ef08p-15, -0x1.480c4bb54409cp-15, -0x1.40bb4ae07ba55p-15, -0x1.39b4ab53a9649p-15, -0x1.32f5bfc68041dp-15, -0x1.2c7c0c3286377p-15, -0x1.2644d1481dce4p-15, -0x1.204a02222639p-15, -0x1.1a8f38ee97e93p-15, -0x1.151272dcf0e3cp-15, -0x1.0fca921fe52d7p-15, -0x1.0ab3ca2b50071p-15, -0x1.05e0abdc8085p-15, -0x1.012d717ff662p-15, -0x1.f960f1498c348p-16, -0x1.f0c1046d6eb69p-16, -0x1.e879bc729400fp-16, -0x1.e086c3ca6290dp-16, -0x1.d8e5056777517p-16, -0x1.d19295e7667ffp-16, -0x1.ca8aaab483ccep-16, -0x1.c3ca7e25d2421p-16, -0x1.bd4f823050c75p-16, -0x1.b7165621d5f49p-16, -0x1.b11bf1b1e3f9p-16, -0x1.ab5dfa0a32238p-16, -0x1.a5d9ee8b5c565p-16, -0x1.a08cdcb2f87e3p-16, -0x1.9b74ccdf6102bp-16, -0x1.968e4906a3ca5p-16, -0x1.91d718ff2a5dbp-16, -0x1.8d4cbc0299b07p-16, -0x1.88ec6680301bap-16, -0x1.84b4399e049c3p-16, -0x1.80a282b33a721p-16, -0x1.7cbaecea3186ep-16, -0x1.78eba5a138552p-16, -0x1.7542e67ae6fe1p-16, -0x1.71b96b39f12f9p-16, -0x1.6e4b9fe21736p-16, -0x1.6afda8c4bacd1p-16, -0x1.67c840c280bd6p-16, -0x1.64ac24a762b88p-16, -0x1.61a7f95750b5ep-16, -0x1.5eba907b98f73p-16, -0x1.5be2a6c0b3943p-16, -0x1.591f34c173ebep-16, -0x1.566111970f4cp-16, -0x1.53bca7a04cd52p-16, -0x1.513f056d526cap-16, -0x1.4ebe79fa059e2p-16, -0x1.4c4c9906e20adp-16, -0x1.49e8a13002fe6p-16, -0x1.47933653ebb39p-16, -0x1.453fc1623099dp-16, -0x1.42fd266008b0ep-16, -0x1.40cbac1795505p-16, -0x1.3e98c218c156dp-16, -0x1.3c72b87f39aa2p-16, -0x1.3a538beec9609p-16, -0x1.3839d63b34238p-16, -0x1.36294624460f7p-16, -0x1.341ba581b3136p-16, -0x1.321527d5d62e4p-16, -0x1.30123e103109fp-16, -0x1.2e13639536f71p-16, -0x1.2c18259715b7ap-16, -0x1.2a2023b720d29p-16, -0x1.282b5089b3604p-16, -0x1.2631193e1714fp-16, -0x1.24419becdc70ep-16, -0x1.2256e6ed989dp-16, -0x1.2067ccfea5edap-16, -0x1.1e7a1ebce25a7p-16, -0x1.1c8cfd3db5c2cp-16, -0x1.1a9fdc781588cp-16, -0x1.18b2f37da2bdep-16, -0x1.16c605099528fp-16, -0x1.14d8a5011a42dp-16, -0x1.12e9b71eb64a4p-16, -0x1.10fa509f812cep-16, -0x1.0f0990641bf24p-16, -0x1.0d1868b79aae9p-16, -0x1.0b24c4dd3c606p-16, -0x1.09301ae73f31bp-16, -0x1.073a39713f19bp-16, -0x1.0542635f9db4ep-16, -0x1.0348987f8d564p-16, -0x1.014cd9502ecddp-16, -0x1.fe9e1836c3922p-17, -0x1.fa9e29bf53df1p-17, -0x1.f699e18ff7143p-17, -0x1.f2914d3c7b46bp-17, -0x1.ee84dc1684a1ap-17, -0x1.ea5fe623f3ebep-17, -0x1.e64faee7155e1p-17, -0x1.e24276eada638p-17, -0x1.de22a4cbf6f28p-17, -0x1.d9feac388287fp-17, -0x1.d5d6714242412p-17, -0x1.d1a945dd6c35bp-17, -0x1.cd7802efa42eap-17, -0x1.c941feb4ca369p-17, -0x1.c507ba34f29bp-17, -0x1.c0c935e8cfa7fp-17, -0x1.bc85659b49ddcp-17, -0x1.b83e281af253ap-17, -0x1.b3f35797283c1p-17, -0x1.afa4ebd12dc7cp-17, -0x1.ab55f94e68238p-17, -0x1.a6fbb994efb4ap-17, -0x1.a2a1e97109d21p-17, -0x1.9e44ef70cfae8p-17, -0x1.99e59dd42e7a8p-17, -0x1.95625c1d656bp-17, -0x1.910200a902567p-17, -0x1.8cb1ee540c5d9p-17, -0x1.8844ea79946d6p-17, -0x1.83d623728ff83p-17, -0x1.7f65b1fbf0e38p-17, -0x1.7aec8cd71919cp-17, -0x1.7682be5388eefp-17, -0x1.72077185799c1p-17, -0x1.6d8fd0c8e5162p-17, -0x1.69159fcfa5958p-17, -0x1.649b3e76cfbb7p-17, -0x1.6020b17ddd842p-17, -0x1.5bade36acfb29p-17, -0x1.57279f247abb4p-17, -0x1.52a8bf7218fbep-17, -0x1.4e2a16685b8aep-17, -0x1.49ab922503ce2p-17, -0x1.452de571e5737p-17, -0x1.40afbe9f4ebdep-17, -0x1.3c31a5cb31347p-17, -0x1.37b44f80cab33p-17, -0x1.3338f2099c3c6p-17, -0x1.2ebe14a637dd9p-17, -0x1.2a44522ae6b35p-17, -0x1.25d1189697d33p-17, -0x1.214df0cab97d2p-17, -0x1.1cdf81a16d962p-17, -0x1.186e07c856d54p-17, -0x1.13fb28545af7ep-17, -0x1.0f8d45847e57p-17, -0x1.0b1fedeeaf55bp-17, -0x1.06b5b36b3f94p-17, -0x1.024e61d1dad68p-17, -0x1.fbd47c358f5b9p-18, -0x1.f31a6d05443d6p-18, -0x1.ea5287c4ddd1ap-18, -0x1.e1a0604b9b53bp-18, -0x1.d8f1f6338ba5fp-18, -0x1.d049513119cfbp-18, -0x1.c7aa1035a9b31p-18, -0x1.bf130f7cca309p-18, -0x1.b677ca20a0cbfp-18, -0x1.adfcfab831b63p-18, -0x1.a57ee99327531p-18, -0x1.9d09da41d53f8p-18, -0x1.949e0a1485ff5p-18, -0x1.8c3bceabd8f99p-18, -0x1.83e38ec6e00f1p-18, -0x1.7b96007ae2d2cp-18, -0x1.735352b23efeap-18, -0x1.6b08f3549be56p-18, -0x1.62d451057f976p-18, -0x1.5ac85167c443bp-18, -0x1.52ae3c01c5f82p-18, -0x1.4aa04f26ea097p-18, -0x1.429ecea169bd8p-18, -0x1.3aa97db0be69bp-18, -0x1.32c12fe90049dp-18, -0x1.2ae3c01d07422p-18, -0x1.231515dddbc91p-18, -0x1.1b66cf1659689p-18, -0x1.139415feefdd7p-18, -0x1.0bece2e786181p-18, -0x1.044efab95857p-18, -0x1.f97ebc67b36aap-19, -0x1.ea7850b928ecfp-19, -0x1.db6c6057ba959p-19, -0x1.ccbcb0d1aa1b8p-19, -0x1.be054e24e615fp-19, -0x1.af6cf8c13838fp-19, -0x1.a0f34f35cffbbp-19, -0x1.929036dee70d2p-19, -0x1.844d7daf42e75p-19, -0x1.762323fe2813dp-19, -0x1.6812d17e03f6cp-19, -0x1.5a4fc65f3d107p-19, -0x1.4c5d31ecc6b66p-19, -0x1.3eac23c67442dp-19, -0x1.31174424f3958p-19, -0x1.23a1314ef1e5cp-19, -0x1.1648ad68fd1dep-19, -0x1.090d6327f734dp-19, -0x1.f7e0ad9c0703p-20, -0x1.dde36a88f039bp-20, -0x1.c423028af6fd3p-20, -0x1.aa9e92970bd25p-20, -0x1.91592ceac25c2p-20, -0x1.785001f7426cep-20, -0x1.5f83b98e88318p-20, -0x1.46f59f02c60bfp-20, -0x1.2ea562ff9f902p-20, -0x1.16937da8d32d4p-20, -0x1.fd7deb1aa3e2ap-21, -0x1.ce4dd8b37cec4p-21, -0x1.9f9921db212ccp-21, -0x1.7163877d1b3c7p-21, -0x1.43db3e98fd756p-21, -0x1.166da84685beap-21, -0x1.d346e148f0172p-22, -0x1.7abe56ac7a1bfp-22, -0x1.232a5d86a2dccp-22, -0x1.991aed320294fp-23, -0x1.db9af656ad1b7p-24, -0x1.1120e69d9970ep-25, 0x1.8c5318bd1a625p-25, 0x1.088d3ec2f8d67p-23, 0x1.ac15e3e108496p-23, 0x1.26def8d42515cp-22, 0x1.763279a91d4a6p-22, 0x1.c5d335e9929f7p-22, 0x1.09e29a01dc3eep-21, 0x1.3069ae3c953c6p-21, 0x1.566a69e9717fep-21, 0x1.7bfbeb76010f3p-21, 0x1.9feef07053f83p-21, 0x1.c60d60d2f66e4p-21, 0x1.e99e13439f719p-21, 0x1.06ca1402a31e2p-20, 0x1.1871a97a9a107p-20, 0x1.29c110fae6734p-20, 0x1.3b1890ddf315cp-20, 0x1.4bbe60b7e25e6p-20, 0x1.5ca1b9cde8b8bp-20, 0x1.6d1a950f9652bp-20, 0x1.7d5c1b7c8dfeap-20, 0x1.8d620ff16927bp-20, 0x1.9d2e4f95a3b3ap-20, 0x1.acc253b97908bp-20, 0x1.bc1ff929a3602p-20, 0x1.cb43d0d5025f2p-20, 0x1.da2e9ab7769dp-20, 0x1.e8e1af4bb91c3p-20, 0x1.f75d898d1ffd2p-20, 0x1.02d015dfbee77p-19, 0x1.09d9ebbf2ff1dp-19, 0x1.10c5d4c1513d4p-19, 0x1.1796d94b9c5fcp-19, 0x1.1e4ce55586b1p-19, 0x1.24e8b8eadbc8ap-19, 0x1.2b69d1142f3dcp-19, 0x1.31d0953a62229p-19, 0x1.381d325d4e045p-19, 0x1.3e4fd49e48e48p-19, 0x1.4468a962f0e18p-19, 0x1.4a67e5e393p-19, 0x1.504e0a72ae558p-19, 0x1.561a5a6ff9899p-19, 0x1.5bce17fde5b94p-19, 0x1.6169c3cb9e381p-19, 0x1.66ea8832d1d56p-19, 0x1.6c53b4192e93ap-19, 0x1.71a598fb57a25p-19, 0x1.76c551791c2acp-19, 0x1.7bde45fd0d513p-19, 0x1.810b6432bb63dp-19, 0x1.85fa163f8b27fp-19, 0x1.8ad5d3223ff32p-19, 0x1.8f99171a6d7cp-19, 0x1.9445d38bcf01bp-19, 0x1.98dba3f648614p-19, 0x1.9d5935dc6c401p-19, 0x1.a1d7a832ee4a6p-19, 0x1.a6143b0fb8087p-19, 0x1.aa53d4c89cdb1p-19, 0x1.ae7ac3114e7dbp-19, 0x1.b2890f94dd32bp-19, 0x1.b6762c5623b44p-19, 0x1.ba82d422266dap-19, 0x1.be401dcdaec28p-19, 0x1.c2022a8e9e3edp-19, 0x1.c5b02f9e907ddp-19, 0x1.c96ec486ce0a4p-19, 0x1.ccbff0d4b3c31p-19, 0x1.d0235e9839ad2p-19, 0x1.d38418f613bbdp-19, 0x1.d6c9350ad48b6p-19, 0x1.d9faf207c6963p-19, 0x1.dd1ba6880d25ep-19, 0x1.e028d24a5e683p-19, 0x1.e3205460d9773p-19, 0x1.e606839bcd0d9p-19, 0x1.e8da9bd2bf65fp-19, 0x1.eb9c0be8fe5b5p-19, 0x1.ee4c969fad8ecp-19, 0x1.f0ead90cf6c0fp-19, 0x1.f37777871c344p-19, 0x1.f5f2ad0617bbdp-19, 0x1.f85ca83465744p-19, 0x1.fab59c91a4701p-19, 0x1.fcfdc3d849822p-19, 0x1.ff356be121709p-19, 0x1.00ae3355a626p-18, 0x1.01b98ef2c779cp-18, 0x1.02bc7b5d3064ep-18, 0x1.03b8ba33c5e9ap-18, 0x1.04abc2b327093p-18, 0x1.05976025082e6p-18, 0x1.067b14c6bbd89p-18, 0x1.0757feed353fep-18, 0x1.082d51dea4851p-18, 0x1.08faf2ee56bccp-18, 0x1.09c002907b0ecp-18, 0x1.0a7efe63ce6e4p-18, 0x1.0b3db2b670c56p-18, 0x1.0be77813596a5p-18, 0x1.0c92ef5ccbf4ep-18, 0x1.0d3582278c4f9p-18, 0x1.0dd16e520335cp-18, 0x1.0e66f3f1d1c83p-18, 0x1.0ef5d22d30d81p-18, 0x1.0f7e0746ea52ap-18, 0x1.0ff298887b28bp-18, 0x1.1079f930ae23p-18, 0x1.10f282e85f2adp-18, 0x1.115ef2b4f70e9p-18, 0x1.11c7fb3a2529p-18, 0x1.122b396441c06p-18, 0x1.128829e99dbbap-18, 0x1.12df5f86b99c2p-18, 0x1.1330960c96569p-18, 0x1.137bce798a4b9p-18, 0x1.13bcf90bb066bp-18, 0x1.13f09d7b78f65p-18, 0x1.143c8aac11ae1p-18, 0x1.147241a74381cp-18, 0x1.14a154656bdcap-18, 0x1.14cbe6f613214p-18, 0x1.14f0b5f48a5bap-18, 0x1.1514a9fdd0933p-18, 0x1.152e665add6d2p-18, 0x1.1542676e86cf3p-18, 0x1.1554a516bd1b4p-18, 0x1.15616d15bedf7p-18, 0x1.15691b3d43348p-18, 0x1.156c6d48f62bap-18, 0x1.156afc5a69cf6p-18, 0x1.15603cf3ca848p-18, 0x1.155e87bc43551p-18, 0x1.155ca693aa4ap-18, 0x1.1534580f61e0ep-18, 0x1.152119dfb51e5p-18, 0x1.150264a760473p-18, 0x1.14e6d4c7c65fep-18, 0x1.14c06e7f18b3cp-18, 0x1.1499483a1443bp-18, 0x1.146c1f8b16f56p-18, 0x1.143ba20d3040cp-18, 0x1.14079c872c27fp-18, 0x1.13cee96c9553p-18, 0x1.1394810746b57p-18, 0x1.13557be8bebe8p-18, 0x1.1312a818ed6ap-18, 0x1.12cc2b09ecda1p-18, 0x1.1281ee1e4ce62p-18, 0x1.1235713469fd6p-18, 0x1.11efc8ebd8d29p-18, 0x1.119090e37c991p-18, 0x1.1139a33aedcffp-18, 0x1.10dfd2a531212p-18, 0x1.10821ce80629ap-18, 0x1.102146114fd57p-18, 0x1.0fbddc117428dp-18, 0x1.0f56b427dd6a5p-18, 0x1.0eedb80231p-18, 0x1.0e8b5026038efp-18, 0x1.0e11892020ac6p-18, 0x1.0d9fadc35ad1fp-18, 0x1.0d29ec170b88fp-18, 0x1.0cbfad5514d9ap-18, 0x1.0c3895ac53f97p-18, 0x1.0bbc1588552bap-18, 0x1.0b3ccb5b3e682p-18, 0x1.0abafc0d3db4ep-18, 0x1.0a36b72156622p-18, 0x1.09b001fe69aadp-18, 0x1.0926821dff914p-18, 0x1.089210aacf27cp-18, 0x1.080d81b837298p-18, 0x1.077e3447a57efp-18, 0x1.06ec3b3722c8p-18, 0x1.06598289c745bp-18, 0x1.05bc684cebd64p-18, 0x1.0529c8294f3c7p-18, 0x1.048facbd175f1p-18, 0x1.03f265a8a20b5p-18, 0x1.0354c6c2db738p-18, 0x1.02b42aa900f7ep-18, 0x1.02138ab79023ep-18, 0x1.016f7caee1ac1p-18, 0x1.00ca03f06cd86p-18, 0x1.002248759f3a8p-18, 0x1.fef1b5d9d7798p-19, 0x1.fd8d61d1e9bc9p-19, 0x1.fc44d67f3c8c8p-19, 0x1.fae13362749ffp-19, 0x1.f98bdd51c3c6dp-19, 0x1.f82af555e5136p-19, 0x1.f6a3e7bb7b21p-19, 0x1.f55d2d8551edcp-19, 0x1.f3f1ee509995p-19, 0x1.f328dda16b5c5p-19, 0x1.f1170c16c5581p-19, 0x1.efa428578c62cp-19, 0x1.ee2f77b63aef9p-19, 0x1.ecb8923a9b0aep-19, 0x1.eb3e76b682471p-19, 0x1.e9d4e30c50dp-19, 0x1.e8438a62fc9e4p-19, 0x1.e6c31778080fap-19, 0x1.e54a7493e028fp-19, 0x1.e3bace08d911ap-19, 0x1.e234eac8b073cp-19, 0x1.e0aa504d74768p-19, 0x1.df1fa6095ff59p-19, 0x1.dd938b150dc3bp-19, 0x1.dc04db300e3b4p-19, 0x1.da73b10a8d787p-19, 0x1.d8ff2e6559513p-19, 0x1.d74f62959ab9cp-19, 0x1.d5b90f27dd779p-19, 0x1.d4222219c3a79p-19, 0x1.d289a99cdc75p-19, 0x1.d0e4123f175a2p-19, 0x1.cf542d38c66c4p-19, 0x1.cdb746543b076p-19, 0x1.cc0249455535ep-19, 0x1.ca6e776aa64f3p-19, 0x1.c8da8e07ac1f7p-19, 0x1.c7404e38de90bp-19, 0x1.c593f46b85faap-19, 0x1.c3e7ff41f9db1p-19, 0x1.c23d5902d6427p-19, 0x1.c0a68ba8b4fp-19, 0x1.bf07c6eb44087p-19, 0x1.bd57e00e79353p-19, 0x1.bbaf12a1471edp-19, 0x1.ba06610342863p-19, 0x1.b85c35f664643p-19, 0x1.b6b113a9dc833p-19, 0x1.b5055fd1d9323p-19, 0x1.b3595c07e54f9p-19, 0x1.b1ac347c2b1eap-19, 0x1.affed6f32b28cp-19, 0x1.ae4b143df498p-19, 0x1.aca37803610d8p-19, 0x1.aaf401c26bb7fp-19, 0x1.a943abae32ba6p-19, 0x1.a793f85fea88ap-19, 0x1.a5e3d9b43dff1p-19, 0x1.a4338c10306adp-19, 0x1.a282fd3be46d5p-19, 0x1.a0d11720bd243p-19, 0x1.9f1fe07213636p-19, 0x1.9d6ec6d2ae722p-19, 0x1.9bbd1a39ebd73p-19, 0x1.9a03ea34ccc17p-19, 0x1.9859d2f16eaf5p-19, 0x1.96a7fcca004d8p-19, 0x1.94f4bc86f20c1p-19, 0x1.93436577d5373p-19, 0x1.919240c63d711p-19, 0x1.8fcadd198507p-19, 0x1.8e2de8eb9da1cp-19, 0x1.8c7c0b78771a2p-19, 0x1.8acbf0aaaf49bp-19, 0x1.89174050cabacp-19, 0x1.8766080241e61p-19, 0x1.85b500be8370bp-19, 0x1.8406bdb35daf3p-19, 0x1.8254f551c4532p-19, 0x1.80a3f60ae39acp-19, 0x1.7ef3cb0dcb6ep-19, 0x1.7d4400521ae41p-19, 0x1.7b9583ec90b42p-19, 0x1.79e571715c742p-19, 0x1.78387baf25219p-19, 0x1.7688a10f95f9p-19, 0x1.74db276cfd11cp-19, 0x1.733347317b6e1p-19, 0x1.716bc8738bc0ep-19, 0x1.6fd4a4e5557fp-19, 0x1.6e292b7ad165dp-19, 0x1.6c7db74fa06b8p-19, 0x1.6ad2f4c23346ap-19, 0x1.6928c57922d1fp-19, 0x1.677f4df480972p-19, 0x1.65d634d3893c9p-19, 0x1.642bc67fbe649p-19, 0x1.6286b68094a82p-19, 0x1.60e003843ca71p-19, 0x1.5f395d38b450fp-19, 0x1.5d93cecddad0fp-19, 0x1.5bef4ddd57a6fp-19, 0x1.5a4afc51d8e11p-19, 0x1.58a7d244fc74ap-19, 0x1.570586abb096ep-19, 0x1.556438913c36ap-19, 0x1.53c4bfb89f092p-19, 0x1.52233511fb3f5p-19, 0x1.5085f72584f3p-19, 0x1.4edef69e798f3p-19, 0x1.4d47e6f43148bp-19, 0x1.4ba9f3b23c493p-19, 0x1.4a0e7e26df8d2p-19, 0x1.4873da4fc3ep-19, 0x1.46d9df4de2927p-19, 0x1.4540a1da262ap-19, 0x1.43a8a310807dbp-19, 0x1.4212202536e0dp-19, 0x1.4082457314b77p-19, 0x1.3ee651916519fp-19, 0x1.3d51a0687bd87p-19, 0x1.3bbe535f05e29p-19, 0x1.3a2cbf21e5ef4p-19, 0x1.389a062125bbfp-19, 0x1.370b61e705a61p-19, 0x1.357b619057312p-19, 0x1.33ed2d4763ca3p-19, 0x1.326080f9fb594p-19, 0x1.30d47a46807b9p-19, 0x1.2f49674759ff2p-19, 0x1.2dbfa01bd7bd3p-19, 0x1.2c374714f0a78p-19, 0x1.2aad61db89b5bp-19, 0x1.29299741ffb82p-19, 0x1.27a2ae2a1146bp-19, 0x1.262228ad4eee5p-19, 0x1.249c1df4d822p-19, 0x1.23171b19be1fcp-19, 0x1.2191b7ee377c5p-19, 0x1.2019006aa453ep-19, 0x1.1e9da720f5c24p-19, 0x1.1d0b8bab5df4ap-19, 0x1.1ba1fd64e3cbp-19, 0x1.1a253edd32afcp-19, 0x1.18ae3b7ced235p-19, 0x1.17348aced90c6p-19, 0x1.15bc8b8d364f3p-19, 0x1.14465c2f12533p-19, 0x1.12d29d39df4acp-19, 0x1.115d4dbd09c5ep-19, 0x1.0feb5c0c6a2a9p-19, 0x1.0e7c9aea7a3cap-19, 0x1.0d0c9063b7a11p-19, 0x1.0b9ac28d953f9p-19, 0x1.0a2d5544a6d94p-19, 0x1.08c02edbdc681p-19, 0x1.075624d7f53c5p-19, 0x1.05ecae9678731p-19, 0x1.04828a341ceep-19, 0x1.031b4653325aep-19, 0x1.01b6bf3cb3554p-19, 0x1.0051eb0ce24dp-19, 0x1.fddddec80532bp-20, 0x1.fb15dc3187acbp-20, 0x1.f857447800915p-20, 0x1.f58f0869cd17fp-20, 0x1.f2d747cb4669ep-20, 0x1.f021c77fae7aap-20, 0x1.ed6a0c39d268bp-20, 0x1.eab52e5f1928fp-20, 0x1.e802f28830134p-20, 0x1.e55ae2c5c6444p-20, 0x1.e2a658b53a3d8p-20, 0x1.dffc1c57968e3p-20, 0x1.dd53a1756d97fp-20, 0x1.daaeefeb2930cp-20, 0x1.d80cbc66451b6p-20, 0x1.d56c72103b11ep-20, 0x1.d2cf3a911ecccp-20, 0x1.d034a754b1aa6p-20, 0x1.cd9c99b77de17p-20, 0x1.cb073b6ce2f4bp-20, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.da7ff70335131p-6, 0x1.a8d6e5b4c5233p-5, 0x1.0be9e6687b501p-4, 0x1.182c0dc1cd07bp-4, 0x1.f361e18e88dbap-5, 0x1.687c6e79ceba1p-5, 0x1.3598e9ced1359p-6, -0x1.a3baa26135344p-7, -0x1.95aca36bf226p-5, -0x1.6f7a0a64b3556p-4, -0x1.0e5713488a6f4p-3, -0x1.66b4ca748e39p-3, -0x1.beae62395fa5ap-3, -0x1.0a3c80d7a5badp-2, -0x1.335138147a48ep-2, -0x1.5a0505336e483p-2, -0x1.7dec22aeb4c14p-2, -0x1.9ebacf04fcdebp-2, -0x1.bc40cbb4f020ap-2, -0x1.d6650e5a41a4dp-2, -0x1.ed21cae65f7cap-2, -0x1.004070cf0d75dp-1, -0x1.084c5b9202c02p-1, -0x1.0ec4bb08e8245p-1, -0x1.13bd590bcb7b5p-1, -0x1.174cb1cfce77dp-1, -0x1.198b19d9fd7c3p-1, -0x1.1a9206bf8d589p-1, -0x1.1a7b77d5c23c9p-1, -0x1.19617905cdcabp-1, -0x1.175dc0f7ff8cep-1, -0x1.1489600597efep-1, -0x1.10fc8444a962ep-1, -0x1.0cce4bb37fa21p-1, -0x1.0814a34e1eda9p-1, -0x1.02e43116128fdp-1, -0x1.faa08dbdd3a68p-2, -0x1.eed5b9debb5bbp-2, -0x1.e2891f10cffb9p-2, -0x1.d5d9510d7c09ep-2, -0x1.c8e24592db253p-2, -0x1.bbbd6f7f662c4p-2, -0x1.ae81d85b2f24fp-2, -0x1.a1443d99436efp-2, -0x1.94172fd812bc1p-2, -0x1.870b3346c8341p-2, -0x1.7a2ee07e7b9f7p-2, -0x1.6d8f0539a6913p-2, -0x1.6136c4b2b9977p-2, -0x1.552fb74f4c238p-2, -0x1.498208ef25987p-2, -0x1.3e3496749c37bp-2, -0x1.334d09c2beeb3p-2, -0x1.28cff4669044dp-2, -0x1.1ec0e8cf749fcp-2, -0x1.15229205b761bp-2, -0x1.0bf6c9e8a5462p-2, -0x1.033eae190229fp-2, -0x1.f5f5661ab9f41p-3, -0x1.e6556cbeafbcp-3, -0x1.d79c1e5c886f9p-3, -0x1.c9c73b5a220b4p-3, -0x1.bcd3b27008cecp-3, -0x1.b0bdbae99bd27p-3, -0x1.a580ec8f2e04p-3, -0x1.9b1855e789042p-3, -0x1.917e903c4be8bp-3, -0x1.88add22430074p-3, -0x1.80a00079d6819p-3, -0x1.794ebdb9b36eep-3, -0x1.72b377f39836dp-3, -0x1.6cc775859a346p-3, -0x1.6783e0943820ap-3, -0x1.62e1d15abe3d4p-3, -0x1.5eda57921b0dep-3, -0x1.5b668287086e2p-3, -0x1.587f68c3f1ed1p-3, -0x1.561e2e8280834p-3, -0x1.543c0b7df7bffp-3, -0x1.52d2500c1eec9p-3, -0x1.51da69895a3e3p-3, -0x1.514de62d6779bp-3, -0x1.51267847f8223p-3, -0x1.515df904c3d72p-3, -0x1.51ee6adb7894cp-3, -0x1.52d1fb13a3137p-3, -0x1.540303aebed0fp-3, -0x1.557c0c67a5fa7p-3, -0x1.5737cb68db566p-3, -0x1.593125ffe4fdep-3, -0x1.5b6330d4d3bacp-3, -0x1.5dc92ff24ff42p-3, -0x1.605e96a575d0cp-3, -0x1.631f0721cc004p-3, -0x1.6606520c80d8dp-3, -0x1.691075e1bc16fp-3, -0x1.6c399e3cf9819p-3, -0x1.6f7e231331e42p-3, -0x1.72da87c966e1ep-3, -0x1.764b7a2071537p-3, -0x1.79cdd141eb8e8p-3, -0x1.7d5e8c769d465p-3, -0x1.80fad2052d522p-3, -0x1.849fedea33c3ep-3, -0x1.884b50adabc69p-3, -0x1.8bfa8e0e66057p-3, -0x1.8fab5bff7af3ap-3, -0x1.935b914de79fbp-3, -0x1.970924a943577p-3, -0x1.9ab22b5b96cf7p-3, -0x1.9e54d826ee479p-3, -0x1.a1ef7a2d0238dp-3, -0x1.a5807b995f00ap-3, -0x1.a9066082d9dc4p-3, -0x1.ac7fc5cd6e911p-3, -0x1.afeb5fbfcb324p-3, -0x1.b347f94f36871p-3, -0x1.b69472cdb9567p-3, -0x1.b9cfc10204cb2p-3, -0x1.bcf8ec4e31a29p-3, -0x1.c00f0fdacadf2p-3, -0x1.c31158b92006ep-3, -0x1.c5ff0522d3fb7p-3, -0x1.c8d763c4e3134p-3, -0x1.cb99d2ef5e75cp-3, -0x1.ce45bfd72de6cp-3, -0x1.d0daa5e476871p-3, -0x1.d3580deb54218p-3, -0x1.d5bd8d7b0b1c5p-3, -0x1.d80ac6336009ep-3, -0x1.da3f6519dcc0ep-3, -0x1.dc5b2206f9605p-3, -0x1.de5dbf0f9581cp-3, -0x1.e0470802fad89p-3, -0x1.e216d1f6b19a4p-3, -0x1.e3ccfacf0f847p-3, -0x1.e56968d4b77ddp-3, -0x1.e6ec0a5a7dd53p-3, -0x1.e854d5459cadcp-3, -0x1.e9a3c6dc3a8p-3, -0x1.ead8e33ed671cp-3, -0x1.ebf4351a47725p-3, -0x1.ecf5cd5d0c28cp-3, -0x1.edddc2d9d8387p-3, -0x1.eeac31e7d42e5p-3, -0x1.ef613c1643b45p-3, -0x1.effd07d82b295p-3, -0x1.f07fc037dc52p-3, -0x1.f0e994866a8c3p-3, -0x1.f13ab81566cbep-3, -0x1.f17361f59e115p-3, -0x1.f193ccb54c02ep-3, -0x1.f19c361c9da44p-3, -0x1.f18cdeff2fd2fp-3, -0x1.f1660b02ee034p-3, -0x1.f128006e16927p-3, -0x1.f0d307f745314p-3, -0x1.f0676c9c15458p-3, -0x1.efe57b77e316p-3, -0x1.ef4d8394fea1ep-3, -0x1.ee9fd5d551cd4p-3, -0x1.eddcc4c12fe5p-3, -0x1.ed04a4684cfcep-3, -0x1.ec17ca4377b2bp-3, -0x1.eb168d1503d03p-3, -0x1.ea0144c7bb922p-3, -0x1.e8d84a511ab92p-3, -0x1.e79bf79274867p-3, -0x1.e64ca74691d35p-3, -0x1.e4eab4deb23eap-3, -0x1.e3767c6e9848ep-3, -0x1.e1f05a93815ffp-3, -0x1.e058ac531b8c7p-3, -0x1.deafcf2319dcbp-3, -0x1.dcf620aa42d4dp-3, -0x1.db2bfed751cp-3, -0x1.d951c7af9b1a2p-3, -0x1.d767d94b9265dp-3, -0x1.d56e91c33628ap-3, -0x1.d3664f200f82dp-3, -0x1.d14f6f4b84984p-3, -0x1.cf2a5000fdfacp-3, -0x1.ccf74ec27ad7dp-3, -0x1.cab6c8ce95b4ep-3, -0x1.c8691b0700749p-3, -0x1.c60ea1fb4bac6p-3, -0x1.c3a7b9c58a95cp-3, -0x1.c134be133da3ap-3, -0x1.beb60a11ea7a5p-3, -0x1.bc2bf86729661p-3, -0x1.b996e3271f142p-3, -0x1.b6f723d1a27f7p-3, -0x1.b44d133e6b5a5p-3, -0x1.b19909a3978e6p-3, -0x1.aedb5e7fadbc6p-3, -0x1.ac1468a043479p-3, -0x1.a9447e110857ap-3, -0x1.a66bf41b19af4p-3, -0x1.a38b1f3d0b7eep-3, -0x1.a0a2532492841p-3, -0x1.9db1e2a9656b2p-3, -0x1.9aba1fcbcc409p-3, -0x1.97bb5bac04246p-3, -0x1.94b5e6853080ep-3, -0x1.91aa0fab1a04ap-3, -0x1.8e9825872ebc8p-3, -0x1.8b807594b9a05p-3, -0x1.88634c5a0198ap-3, -0x1.8540f56d18f2ap-3, -0x1.8219bb66d2612p-3, -0x1.7eede7e683471p-3, -0x1.7bbdc38e4410bp-3, -0x1.7889960550026p-3, -0x1.7551a5ef228d9p-3, -0x1.721638ecb5bbdp-3, -0x1.6ed7939a136b4p-3, -0x1.6b95f98df64f6p-3, -0x1.6851ad5a71f23p-3, -0x1.650af089f8f69p-3, -0x1.61c203a08748p-3, -0x1.5e7726155cd17p-3, -0x1.5b2a9655474ecp-3, -0x1.57dc91c32016p-3, -0x1.548d54bc8e594p-3, -0x1.513d1a96e9589p-3, -0x1.4dec1d98b11fdp-3, -0x1.4a9a96fd9f1b1p-3, -0x1.4748bef30375ap-3, -0x1.43f6cca15ebb1p-3, -0x1.40a4f62af852ap-3, -0x1.3d5370aae12acp-3, -0x1.3a0270302c304p-3, -0x1.36b227c13abaep-3, -0x1.3362c9588d275p-3, -0x1.301485ecff441p-3, -0x1.2cc78d770e843p-3, -0x1.297c0eeee2dccp-3, -0x1.263238454472bp-3, -0x1.22ea3663bde95p-3, -0x1.1fa4352f2bb0ep-3, -0x1.1c605f8ee6032p-3, -0x1.191edf70eaf97p-3, -0x1.15dfddd01866ep-3, -0x1.12a382a9a3d77p-3, -0x1.0f69f4f48c562p-3, -0x1.0c335aaef81bp-3, -0x1.08ffd8dee1d3ap-3, -0x1.05cf93991beb4p-3, -0x1.02a2ae07be4acp-3, -0x1.fef294c764e16p-4, -0x1.f8a713ecd137p-4, -0x1.f2631a22c29eep-4, -0x1.ec26e62708804p-4, -0x1.e5f2b4e4b421bp-4, -0x1.dfc6c184d7e05p-4, -0x1.d9a34571bafbbp-4, -0x1.d3887857ae731p-4, -0x1.cd76901170365p-4, -0x1.c76dc0a9c6cep-4, -0x1.c16e3c632054bp-4, -0x1.bb7833c906e13p-4, -0x1.b58bd5bee1917p-4, -0x1.afa94f8f013acp-4, -0x1.a9d0ccdf527fbp-4, -0x1.a40277b00a48cp-4, -0x1.9e3e7845d9865p-4, -0x1.9884f5446fe78p-4, -0x1.92d613b14f10fp-4, -0x1.8d31f7077fe08p-4, -0x1.8798c14449aefp-4, -0x1.820a92ebdffd2p-4, -0x1.7c878b0190fd9p-4, -0x1.770fc7005566cp-4, -0x1.71a362d877ad4p-4, -0x1.6c4278ff1c334p-4, -0x1.66ed22722d44dp-4, -0x1.61a376d5bb943p-4, -0x1.5c658c76c8d17p-4, -0x1.5733784d2a65ap-4, -0x1.520d4e18c4a2ep-4, -0x1.4cf3200122834p-4, -0x1.47e4fed641af2p-4, -0x1.42e2fa596f21cp-4, -0x1.3ded20cee06f4p-4, -0x1.39037f398e35dp-4, -0x1.3426219078dfep-4, -0x1.2f551295afd44p-4, -0x1.2a905be61b70ep-4, -0x1.25d805e6f27ecp-4, -0x1.212c17d348c81p-4, -0x1.1c8c97bcdcec3p-4, -0x1.17f98a9600d0dp-4, -0x1.1372f4444351ap-4, -0x1.0ef8d7a9b2f8fp-4, -0x1.0a8b36af68a49p-4, -0x1.062a12418da2dp-4, -0x1.01d56a4c46ddcp-4, -0x1.fb1a7b7d275cp-5, -0x1.f2a31518efabp-5, -0x1.ea449b69578e8p-5, -0x1.e1ff0696dc08p-5, -0x1.d9d24d0fe9532p-5, -0x1.d1be63a1d0badp-5, -0x1.c9c33d7d2cbd7p-5, -0x1.c1e0cc3b59635p-5, -0x1.ba16ffd24df26p-5, -0x1.b265c6af2491bp-5, -0x1.aacd0da25d1bap-5, -0x1.a34cbff7ee9a9p-5, -0x1.9be4c783370c2p-5, -0x1.94950cbe7a3bp-5, -0x1.8d5d76d4e763cp-5, -0x1.863debb12deacp-5, -0x1.7f365003a3827p-5, -0x1.78468744019ap-5, -0x1.716e73aff8db2p-5, -0x1.6aadf657f3ae6p-5, -0x1.6404ef1e61621p-5, -0x1.5d733cc893a3bp-5, -0x1.56f8bd11a7849p-5, -0x1.50954cb51ee4ep-5, -0x1.4a48c78364129p-5, -0x1.44130866d458ep-5, -0x1.3df3e96afc75fp-5, -0x1.37eb43c017b18p-5, -0x1.31f8efb8b6903p-5, -0x1.2c1cc4e997bf8p-5, -0x1.265699e892e0ep-5, -0x1.20a644c99b89bp-5, -0x1.1b0b9ac3ddd6dp-5, -0x1.15867076d2cacp-5, -0x1.101699e31de2p-5, -0x1.0abbea770398p-5, -0x1.05763514bc3c4p-5, -0x1.00454c166d7a9p-5, -0x1.f65202a331d1dp-6, -0x1.ec424c37ac097p-6, -0x1.e25b16a2bc106p-6, -0x1.d89c02ba5da84p-6, -0x1.cf04b084a52c7p-6, -0x1.c594bf419dcfp-6, -0x1.bc4bcd9dbf2f9p-6, -0x1.b329799492aep-6, -0x1.aa2d60a92a9p-6, -0x1.a1571fc674b5cp-6, -0x1.98a6536d9beb9p-6, -0x1.901a97abb861ap-6, -0x1.87b388249d2ap-6, -0x1.7f70c01e754cdp-6, -0x1.7751da8b110fap-6, -0x1.6f567218cda2ep-6, -0x1.677e213b76bf2p-6, -0x1.5fc8824b75466p-6, -0x1.58352f82d30fcp-6, -0x1.50c3c3058485ap-6, -0x1.4973d6e867881p-6, -0x1.424505526c018p-6, -0x1.3b36e86da6e17p-6, -0x1.34491a62ece98p-6, -0x1.2d7b35807501cp-6, -0x1.26ccd42afc15fp-6, -0x1.203d90ef14e88p-6, -0x1.19cd069642fc2p-6, -0x1.137ad030737b9p-6, -0x1.0d4688d371f13p-6, -0x1.072fcc33c7265p-6, -0x1.0136362c09096p-6, -0x1.f6b2c5f9b3dcdp-7, -0x1.eb31de8d8bdabp-7, -0x1.dfe8f02027c5ep-7, -0x1.d4d73597cd9c7p-7, -0x1.c9fbeac273c49p-7, -0x1.bf564c6237917p-7, -0x1.b4e598306bc39p-7, -0x1.aaa90cf9f25d8p-7, -0x1.a09fea0a6126cp-7, -0x1.96c972bccf619p-7, -0x1.8d24e553bf707p-7, -0x1.83b188379a1c4p-7, -0x1.7a6e9e6b19eadp-7, -0x1.715b6df525095p-7, -0x1.68773df679884p-7, -0x1.5fc156de1e4e9p-7, -0x1.57390287ac53ep-7, -0x1.4edd8c30ffccap-7, -0x1.46ae40a91f76ep-7, -0x1.3eaa6e2390d67p-7, -0x1.36d1643df5b33p-7, -0x1.2f2273ffc39dbp-7, -0x1.279cefdfe41a9p-7, -0x1.20402bb938586p-7, -0x1.190b7cd124869p-7, -0x1.11fe3bacc5075p-7, -0x1.0b17bec62a7bp-7, -0x1.045763682c03bp-7, -0x1.fb7907ec6ebd1p-8, -0x1.ee8cfdc10a2afp-8, -0x1.e1e967613ab3cp-8, -0x1.d58d064ce8b2dp-8, -0x1.c9769f0889d7p-8, -0x1.bda4f8d74e592p-8, -0x1.b216de169191dp-8, -0x1.a6cb1cb25a37ap-8, -0x1.9bc0869f61dfbp-8, -0x1.90f5f243f7734p-8, -0x1.866a3abd964d3p-8, -0x1.7c1c3fb71844p-8, -0x1.720ae50d431bep-8, -0x1.683512204c6acp-8, -0x1.5e99b0ef9253p-8, -0x1.5537ad6b74f8ep-8, -0x1.4c0df52616a35p-8, -0x1.431b770fec4fep-8, -0x1.3a5f2495ec493p-8, -0x1.31d7f0acecc8bp-8, -0x1.2984d2b967b67p-8, -0x1.2164c802da7e1p-8, -0x1.1976d1f971ccep-8, -0x1.11b9f8e6f558ap-8, -0x1.0a2d4a9e184b9p-8, -0x1.02cfd98e5d9c7p-8, -0x1.f741779389dcap-9, -0x1.e93e13323aad3p-9, -0x1.db93b928b13b5p-9, -0x1.ce409db8ad30cp-9, -0x1.c142f747717efp-9, -0x1.b4990088748ep-9, -0x1.a840f93c84f9bp-9, -0x1.9c392a9b34193p-9, -0x1.907fe95e6fc2ap-9, -0x1.85139691fc0ebp-9, -0x1.79f29f13c1f8p-9, -0x1.6f1b795a93419p-9, -0x1.648ca20b5b676p-9, -0x1.5a4498286a94ap-9, -0x1.5041d9a093b6p-9, -0x1.4682e140aa7e7p-9, -0x1.3d0626e5709e6p-9, -0x1.33ca21f75ddadp-9, -0x1.2acd4dabc788ep-9, -0x1.220e2f49ad9bap-9, -0x1.198b576d0159ep-9, -0x1.11436ece2dd5cp-9, -0x1.09352fca7a391p-9, -0x1.015f6a080d69cp-9, -0x1.f381f8b4b416ap-10, -0x1.e4b19ffa9563dp-10, -0x1.d64ba07f6ca8bp-10, -0x1.c84dc5a4cc741p-10, -0x1.bab5c41ba46bdp-10, -0x1.ad8133a0fdbfap-10, -0x1.a0ad8a4abdd57p-10, -0x1.94383f69a2ff7p-10, -0x1.881ea2651db23p-10, -0x1.7c5e2228dfe59p-10, -0x1.70f4416271da5p-10, -0x1.65dead8e0ce1ap-10, -0x1.5b1b4663bb9ccp-10, -0x1.50a8213967f29p-10, -0x1.468383ea0f94p-10, -0x1.3cabd95acb00dp-10, -0x1.331fa1e0b8a75p-10, -0x1.29dd628ba1ee8p-10, -0x1.20e39628c4ef2p-10, -0x1.1830a29f8759p-10, -0x1.0fc2d2deb2327p-10, -0x1.0798572939cdcp-10, -0x1.ff5e956ac8514p-11, -0x1.f00b7a9441003p-11, -0x1.e1337ef579e4cp-11, -0x1.d2d2dc807cfcap-11, -0x1.c4e5fc0648dd5p-11, -0x1.b769800c9cb6cp-11, -0x1.aa5a4b7ae7e02p-11, -0x1.9db580aa116ap-11, -0x1.91787b91a99a7p-11, -0x1.85a0c7864a285p-11, -0x1.7a2c10ee21ad6p-11, -0x1.6f181390140c4p-11, -0x1.6462883f92e78p-11, -0x1.5a09156adfbc3p-11, -0x1.5009477ba7b94p-11, -0x1.466093cd97306p-11, -0x1.3d0c5619cfce3p-11, -0x1.340a32abd74aap-11, -0x1.2b5753f47cc7ep-11, -0x1.22f191aa807p-11, -0x1.1ad6769fcfe9ep-11, -0x1.1303af99baccbp-11, -0x1.0b76ea564c2ep-11, -0x1.042de31893b27p-11, -0x1.fa4cec2bf81e7p-12, -0x1.ecbd60be15a2ep-12, -0x1.dfa9a90a0e396p-12, -0x1.d30e9e66cb6b2p-12, -0x1.c6e947d77436bp-12, -0x1.bb36a53ed6dd8p-12, -0x1.aff3a6a1d30bdp-12, -0x1.a51d2ab1454dep-12, -0x1.9ab0239c8ec5cp-12, -0x1.90a996008cda6p-12, -0x1.87069586d96d2p-12, -0x1.7dc422878d25ap-12, -0x1.74defa960c983p-12, -0x1.6c5373859dbfp-12, -0x1.641d79b4f4d2ap-12, -0x1.5c38c7332eaf9p-12, -0x1.54a146ad5e542p-12, -0x1.4d53824ba63abp-12, -0x1.464ce5a1206efp-12, -0x1.3f8bab1a804b6p-12, -0x1.390e7b7b913fap-12, -0x1.32d3ebc2e37a3p-12, -0x1.2cda2d27628bep-12, -0x1.271f104702269p-12, -0x1.21a053b015c57p-12, -0x1.1c5c0461f5de9p-12, -0x1.1750b30e617bap-12, -0x1.127d63c6d067bp-12, -0x1.0de132ec899d5p-12, -0x1.097b3026a176ap-12, -0x1.0549bbc0bef05p-12, -0x1.014a4ef474c22p-12, -0x1.faf39d84cb103p-13, -0x1.f3a9d9ce16ef1p-13, -0x1.ecaf500d1537fp-13, -0x1.e5fe6ddee74ebp-13, -0x1.df9283dd970d6p-13, -0x1.d968e20b907eep-13, -0x1.d3800c5999433p-13, -0x1.cdd6ed0eaad36p-13, -0x1.c86c28fcf2235p-13, -0x1.c33ddded289e9p-13, -0x1.be49da550bc63p-13, -0x1.b98de571c4a8ap-13, -0x1.b508061b4e70ep-13, -0x1.b0b6a7bbf5f9ap-13, -0x1.ac98759e1a327p-13, -0x1.a8ac0fe2893d8p-13, -0x1.a4efe0c98c14cp-13, -0x1.a162211e745ecp-13, -0x1.9e00bd583199bp-13, -0x1.9ac9369a85ed6p-13, -0x1.97b8800e7fd26p-13, -0x1.94cb2fd4e3482p-13, -0x1.91fe00b20a9c2p-13, -0x1.8f4e3d2cfd7e5p-13, -0x1.8cb9fe307319bp-13, -0x1.8a3f88820d989p-13, -0x1.87ddd48390799p-13, -0x1.859350765474fp-13, -0x1.835e461ff49bap-13, -0x1.813d09206e9d1p-13, -0x1.7f2e568e2322fp-13, -0x1.7d31be7832d9p-13, -0x1.7b4754da0df16p-13, -0x1.796ee4b64921ep-13, -0x1.77a75cce764ccp-13, -0x1.75eefd8170f47p-13, -0x1.7443b2d552809p-13, -0x1.72a4944581356p-13, -0x1.7111503b7b941p-13, -0x1.6f88ff509795dp-13, -0x1.6e0bb20726cc4p-13, -0x1.6c98802b8b5a5p-13, -0x1.6b2ddd129c10bp-13, -0x1.69c9be218f55bp-13, -0x1.686a3fb100c24p-13, -0x1.670dfd5cac9e4p-13, -0x1.65b497a6c6551p-13, -0x1.645ec33e13a08p-13, -0x1.630cd341cbda3p-13, -0x1.61be233f56ffbp-13, -0x1.607188e79c9a8p-13, -0x1.5f2621d94f71ep-13, -0x1.5ddb97c2afc9dp-13, -0x1.5c9140918a28fp-13, -0x1.5b4625ed342cdp-13, -0x1.59f97f59fc547p-13, -0x1.58aafd55a0a28p-13, -0x1.575a89fc4b0f9p-13, -0x1.5607ac713e5d4p-13, -0x1.54b24f1a1d597p-13, -0x1.535a0e4300705p-13, -0x1.51ff022921373p-13, -0x1.50a1cf13eda82p-13, -0x1.4f426e5af09acp-13, -0x1.4de0269588fa5p-13, -0x1.4c79b68f7b896p-13, -0x1.4b0d9f3bbb34ep-13, -0x1.499b10ce813a3p-13, -0x1.4822a0a4e415dp-13, -0x1.46a55662e65dcp-13, -0x1.452319ffd7232p-13, -0x1.439b27556831p-13, -0x1.420d6b167b806p-13, -0x1.407a8e88918ebp-13, -0x1.3ee2ca214849cp-13, -0x1.3d45c1e432d44p-13, -0x1.3ba3005f8a115p-13, -0x1.39fa06154cacap-13, -0x1.384a3d47a5f7ap-13, -0x1.3693465418a8cp-13, -0x1.34d55d12ba788p-13, -0x1.33111817b456cp-13, -0x1.3146aa4da357bp-13, -0x1.2f759446c2f99p-13, -0x1.2d9e363eed1a6p-13, -0x1.2bc0e4bd4606p-13, -0x1.29ddc633eae19p-13, -0x1.27f4da773ba66p-13, -0x1.2605c91712834p-13, -0x1.2410080f5eb1ep-13, -0x1.221337ae976e3p-13, -0x1.200fd44c78ac5p-13, -0x1.1e066feb79b92p-13, -0x1.1bf6bf05d398cp-13, -0x1.19e09ec43f6p-13, -0x1.17c4a24230c07p-13, -0x1.15a305d275a88p-13, -0x1.137b9664451acp-13, -0x1.114e3dfef699dp-13, -0x1.0f1b135ccaf32p-13, -0x1.0ce255ee018d3p-13, -0x1.0aa4367fce813p-13, -0x1.0860ddd5621b3p-13, -0x1.0617e58acde63p-13, -0x1.03c9fc2e53912p-13, -0x1.0176ddcd606adp-13, -0x1.fe3cbe1a6d5bdp-14, -0x1.f98227533de81p-14, -0x1.f4bdb07038659p-14, -0x1.efef983a4997bp-14, -0x1.eb1922cc04edep-14, -0x1.e639e8ab23183p-14, -0x1.e1523c635359fp-14, -0x1.dc62553e0de9cp-14, -0x1.d76a4e60747a5p-14, -0x1.d26a174b5383ap-14, -0x1.cd6270a3c20b8p-14, -0x1.c85296ff9a905p-14, -0x1.c33bb2c4705edp-14, -0x1.be1e6041e8455p-14, -0x1.b8fab810ff864p-14, -0x1.b3d0b11ab1c9cp-14, -0x1.aea0805c0745cp-14, -0x1.a96a76dcabd8dp-14, -0x1.a42ee1c565a0bp-14, -0x1.9eee16a3e52bep-14, -0x1.99a8505d6ea29p-14, -0x1.945dd880c5f03p-14, -0x1.8f0f0400e5e6dp-14, -0x1.89bbf85724497p-14, -0x1.8465640d881cdp-14, -0x1.7f0b27a49fea9p-14, -0x1.79ad61c4578fcp-14, -0x1.744c77fc2a3c5p-14, -0x1.6ee87ebd8e9a9p-14, -0x1.6981ff0e33c05p-14, -0x1.6419592e72aa6p-14, -0x1.5eaea071f6278p-14, -0x1.594211b0b94c9p-14, -0x1.53d3d670f8b4fp-14, -0x1.4e649294d390cp-14, -0x1.48f42a93a2c63p-14, -0x1.4382ccd361f7cp-14, -0x1.3e10c5af84abbp-14, -0x1.389e885c6305cp-14, -0x1.332c3cee1c331p-14, -0x1.2dba2b3ba1a06p-14, -0x1.2848643ab40d6p-14, -0x1.22d737487e6fbp-14, -0x1.1d66e26de3e36p-14, -0x1.17f7a0ea462a1p-14, -0x1.1289abb9ed87p-14, -0x1.0d1d3b70f27b9p-14, -0x1.07b28854cbe2dp-14, -0x1.02498ef25b8eep-14, -0x1.f9c5bdd898fcep-15, -0x1.eefdd4722b572p-15, -0x1.e43a7bda900d2p-15, -0x1.d97cd3b526d51p-15, -0x1.cec520e50b5f7p-15, -0x1.c413ae87f949ap-15, -0x1.b968f6038cb9bp-15, -0x1.aec55d7c255bep-15, -0x1.a429576db5ad8p-15, -0x1.9995c71af100fp-15, -0x1.8f08de8fbdbb6p-15, -0x1.84857a74eecddp-15, -0x1.7a0ae1a8cbb52p-15, -0x1.6f998fc95e054p-15, -0x1.6531b40f6648dp-15, -0x1.5ad35905d5104p-15, -0x1.508052e74064fp-15, -0x1.463726cce7fc2p-15, -0x1.3bf8ea50bbf61p-15, -0x1.31c5d5ffd6eafp-15, -0x1.279e229a0dab2p-15, -0x1.1d8231c095aeap-15, -0x1.137239b16f865p-15, -0x1.096e8124ce782p-15, -0x1.feef75780ba7ep-16, -0x1.eb1a342631c32p-16, -0x1.d75faaebb785bp-16, -0x1.c3bfb7ec5508cp-16, -0x1.b03ae95539df8p-16, -0x1.9cd1a9baa1d88p-16, -0x1.89846b5d1ff91p-16, -0x1.7653a356f0bc3p-16, -0x1.633f947579fa2p-16, -0x1.5048df55867f1p-16, -0x1.3d701198f3855p-16, -0x1.2ab52d9ff4378p-16, -0x1.1818c3efbb2bcp-16, -0x1.059b4a58baa06p-16, -0x1.e67a27777832cp-17, -0x1.c1fcda287b99bp-17, -0x1.9dbf4d660fa21p-17, -0x1.79c232aa7b658p-17, -0x1.56063d535af7ep-17, -0x1.328ba3a51e4bap-17, -0x1.0f5373e5f825bp-17, -0x1.d8bd73bcf6293p-18, -0x1.9357b3ea31f0fp-18, -0x1.4e7afc1bd9bb8p-18, -0x1.0a274ebb905c2p-18, -0x1.8cba5b4eabcc1p-19, -0x1.063b0fb0c5006p-19, -0x1.01a4da8f1ef38p-20, 0x1.bf255372ec54cp-26, 0x1.0d693ddccb61p-20, 0x1.08cfbc61505edp-19, 0x1.89ce12f67fdf7p-19, 0x1.04d72f42f0957p-18, 0x1.44360e5ae90a2p-18, 0x1.83083e9ceae3dp-18, 0x1.c147b3483217ep-18, 0x1.fef60fb514563p-18, 0x1.1e09007e5decdp-17, 0x1.3c4e49fba032cp-17, 0x1.5a453d8cf9c08p-17, 0x1.77feccd1934b3p-17, 0x1.95641461d36d8p-17, 0x1.b2845d637fb41p-17, 0x1.cf59c4ff9c08cp-17, 0x1.ebe4964937f8ap-17, 0x1.0413008360172p-16, 0x1.120de35cd52edp-16, 0x1.1fe4547376601p-16, 0x1.2d95552131fe4p-16, 0x1.3b213117950e7p-16, 0x1.4887bd73e7273p-16, 0x1.55c8fb1aaacccp-16, 0x1.62e52147b1c6fp-16, 0x1.6fdc378a4130ep-16, 0x1.7cae0ae083ee4p-16, 0x1.895a987c9996bp-16, 0x1.95e1fd9cf8ba6p-16, 0x1.a2444a5edb6ecp-16, 0x1.ae8183da58237p-16, 0x1.ba99c2cd39a2bp-16, 0x1.c68cfe8f1869fp-16, 0x1.d25b4ff462daep-16, 0x1.de04c482412a2p-16, 0x1.e9896fcd71816p-16, 0x1.f4e962385006ep-16, 0x1.00125c2290127p-15, 0x1.059dc46c4c5d3p-15, 0x1.0b16e9524389dp-15, 0x1.107dd15dc6a93p-15, 0x1.15d2b2bef46adp-15, 0x1.1b158807577fap-15, 0x1.20464348b833ep-15, 0x1.256506a227896p-15, 0x1.2a71e44cbcf7ep-15, 0x1.2f6ce449f0735p-15, 0x1.34561d41bc441p-15, 0x1.392da060df0e2p-15, 0x1.3df33d19381b3p-15, 0x1.42a76d9083331p-15, 0x1.474a8693d74dap-15, 0x1.4bdbda35d0022p-15, 0x1.505bc5c8cb015p-15, 0x1.54ca6d467fa94p-15, 0x1.5927e2a987f03p-15, 0x1.5d7435cf75bc1p-15, 0x1.61af6d9682a68p-15, 0x1.65da4d0bd968p-15, 0x1.69f311e9bdca7p-15, 0x1.6dfbd3c669a17p-15, 0x1.71f3bbecae9e3p-15, 0x1.75dafbcae34d4p-15, 0x1.79b1b020caf6p-15, 0x1.7d78d97b44b79p-15, 0x1.812e0e599a251p-15, 0x1.84d3c9a35226ep-15, 0x1.886972e015921p-15, 0x1.8befdf5232e7p-15, 0x1.8f645fa6d9028p-15, 0x1.92c9e3db99fbap-15, 0x1.961fd75b0db6ap-15, 0x1.99661452643b2p-15, 0x1.9c9cb96b9e15bp-15, 0x1.9fc3e7ea6bac8p-15, 0x1.a2dbb77bc8d8ep-15, 0x1.a5e4398230667p-15, 0x1.a8dd969d5ca25p-15, 0x1.abc7e62413f57p-15, 0x1.aea340719beccp-15, 0x1.b16fc5b6be9a4p-15, 0x1.b42d8c04eb5ap-15, 0x1.b6dcb02fd99d3p-15, 0x1.b97d4def20745p-15, 0x1.bc0f80cd8816fp-15, 0x1.be9364a93e522p-15, 0x1.c1091590460e4p-15, 0x1.c370aff75d101p-15, 0x1.c5ca4e691d6bap-15, 0x1.c8160dfacd24ep-15, 0x1.ca5407f299733p-15, 0x1.cc846d1d2766ep-15, 0x1.cea72f5f97b89p-15, 0x1.d0bc8f447ada9p-15, 0x1.d2c49d0b0212fp-15, 0x1.d4bf7c608ac42p-15, 0x1.d6ad4347a1863p-15, 0x1.d88e0bc52cb58p-15, 0x1.da61ef6d0010bp-15, 0x1.dc29162fbd06dp-15, 0x1.dde42408ce6aep-15, 0x1.df9192bcee414p-15, 0x1.e13338a196a41p-15, 0x1.e2c8811dd0a8ap-15, 0x1.e45196ac77d42p-15, 0x1.e5ce982704da5p-15, 0x1.e73fa1ec167e5p-15, 0x1.e8a4cfeb8d2c2p-15, 0x1.e9fe0df29ac8ep-15, 0x1.eb4bf827265bp-15, 0x1.ec8e786549e84p-15, 0x1.edc53548bf88p-15, 0x1.eef0d4e15afdap-15, 0x1.f0114395beefcp-15, 0x1.f1269cb26fb9bp-15, 0x1.f23101e918759p-15, 0x1.f3308b7bed99ap-15, 0x1.f425546b594aep-15, 0x1.f50f66818df13p-15, 0x1.f5ee669db4135p-15, 0x1.f6c466da1b22cp-15, 0x1.f78f6338892abp-15, 0x1.f8502324dc648p-15, 0x1.f906d37d1e972p-15, 0x1.f9b387eb5012cp-15, 0x1.fa566fa4476bep-15, 0x1.faef90c3c5a49p-15, 0x1.fb7eec7229faep-15, 0x1.fc04e2ae276d7p-15, 0x1.fc8163ca44354p-15, 0x1.fcf48a7007ba4p-15, 0x1.fd5e8256a932dp-15, 0x1.fdbf58f6d0634p-15, 0x1.fe17172b4bcc6p-15, 0x1.fe6648965cc65p-15, 0x1.feac9d9b00f96p-15, 0x1.fee9926258c6fp-15, 0x1.ff1e8018e7948p-15, 0x1.ff4ab4b20740bp-15, 0x1.ff6f2e38e76aep-15, 0x1.ff8a772c1f81cp-15, 0x1.ff9e014a9839fp-15, 0x1.ffa96384b2a54p-15, 0x1.ffacce15166fdp-15, 0x1.ffa858f62467ap-15, 0x1.ff9c151d260bp-15, 0x1.ff88301203e2ep-15, 0x1.ff6cae240c9bbp-15, 0x1.ff49ad3ecafc9p-15, 0x1.ff1f466e72e53p-15, 0x1.feed901885db4p-15, 0x1.feb4b3e48dca9p-15, 0x1.fe759a474c21ap-15, 0x1.fe2daf52af2c8p-15, 0x1.fddfc9cc008e4p-15, 0x1.fd8b1101699c5p-15, 0x1.fd2f96335b357p-15, 0x1.fccd77704e79fp-15, 0x1.fc64de69efc49p-15, 0x1.fbf5b6234aa7dp-15, 0x1.fb8042668237fp-15, 0x1.fb056a6c248c8p-15, 0x1.fa828eded6e4ep-15, 0x1.f9fa8c1a01d5bp-15, 0x1.f96c76cca9acep-15, 0x1.f8d97251c283ap-15, 0x1.f83ec284f066bp-15, 0x1.f79f3ed66cd46p-15, 0x1.f6fa0d25e0054p-15, 0x1.f64f473df5c7dp-15, 0x1.f59f02dfc1bf3p-15, 0x1.f4e954bf4e8c5p-15, 0x1.f42e45c70e915p-15, 0x1.f36cefd0f01dfp-15, 0x1.f2a89c9ae079fp-15, 0x1.f1de2fb43a065p-15, 0x1.f10eb3e220c58p-15, 0x1.f03a6169d2497p-15, 0x1.ef60c342b5945p-15, 0x1.ee83077a93acap-15, 0x1.eda055fd72537p-15, 0x1.ecb901ccf25eap-15, 0x1.ebcd2e4aa01dep-15, 0x1.eadcdf5da603p-15, 0x1.e9e8397edd50ap-15, 0x1.e8ef3aa96ddf5p-15, 0x1.e7f21234eae47p-15, 0x1.e6f0a0d6b0325p-15, 0x1.e5eb1fad0f409p-15, 0x1.e4e0d91e9b571p-15, 0x1.e3d444fd2f3a8p-15, 0x1.e2c2bf7279737p-15, 0x1.e1adf66ea447dp-15, 0x1.e095275f7ef57p-15, 0x1.df7891d85188cp-15, 0x1.de5896753b037p-15, 0x1.dd34faadb40ep-15, 0x1.dc0f177b7d8c5p-15, 0x1.dae380a9ef97p-15, 0x1.d9b5b7b48fc13p-15, 0x1.d884af98fef11p-15, 0x1.d75075b1140d5p-15, 0x1.d61915b9767bdp-15, 0x1.d4df4660391f7p-15, 0x1.d3a12389de83p-15, 0x1.d260c9a2b8a64p-15, 0x1.d11e04e977ce7p-15, 0x1.cfd76e6efe91cp-15, 0x1.ce8e9896bd6fcp-15, 0x1.cd42feaa76678p-15, 0x1.cbf4ca7a341f2p-15, 0x1.caa40be1a4fafp-15, 0x1.c950b2100d9b8p-15, 0x1.c7fae8f1de399p-15, 0x1.c6a351a57a635p-15, 0x1.c5482bab7f73cp-15, 0x1.c3eb4921f5873p-15, 0x1.c28c2c08a2c8ep-15, 0x1.c12addfd4d232p-15, 0x1.bfc741192ed2fp-15, 0x1.be61e3dd57807p-15, 0x1.bcfa47a63c712p-15, 0x1.bb8f45a90e837p-15, 0x1.ba251fb760e71p-15, 0x1.b8b7f80d98a0fp-15, 0x1.b748dccdf8385p-15, 0x1.b5d7cebc5506cp-15, 0x1.b465007518b9fp-15, 0x1.b2f08c64bd12ep-15, 0x1.b17aacb5dbca6p-15, 0x1.b004140ede44fp-15, 0x1.ae8a049a9ccdbp-15, 0x1.ad0f739a4ed4dp-15, 0x1.ab9356cb9c11p-15, 0x1.aa15e0e00bf28p-15, 0x1.a8970e5132398p-15, 0x1.a716ec29c77ddp-15, 0x1.a59588313d842p-15, 0x1.a412e5f8ca84p-15, 0x1.a28f18ca7f0d8p-15, 0x1.a109e6597644ap-15, 0x1.9f842f8667d51p-15, 0x1.9dfd0f6361484p-15, 0x1.9c74e415f571bp-15, 0x1.9aebcf88a1afep-15, 0x1.9961ca7a9dce1p-15, 0x1.97d6df9c54786p-15, 0x1.964b1817d7f6ep-15, 0x1.94be91d66fb91p-15, 0x1.9331181ef6067p-15, 0x1.91a3223d77112p-15, 0x1.901426bdcb239p-15, 0x1.8e837397ed194p-15, 0x1.8cf48ed0a8bc3p-15, 0x1.8b63e0e893158p-15, 0x1.89d28fc20db7ap-15, 0x1.8840bc8c01059p-15, 0x1.86ae7a72e5108p-15, 0x1.851afeb3d3b57p-15, 0x1.838882e94341ep-15, 0x1.81f4e6e43c05p-15, 0x1.806111ea4c113p-15, 0x1.7ecc993b7e2aap-15, 0x1.7d380e22732e8p-15, 0x1.7ba336303a2a9p-15, 0x1.7a0e2c08fc63ap-15, 0x1.7878db695be04p-15, 0x1.76e35f82516d6p-15, 0x1.754dbfd69add7p-15, 0x1.73b7fc9ec99a8p-15, 0x1.72228adcbcd19p-15, 0x1.708c372dc2d7fp-15, 0x1.6ef67c52bf80cp-15, 0x1.6d6068d582c27p-15, 0x1.6bca8557b1873p-15, 0x1.6a34dfa7ed915p-15, 0x1.689e3a9e2359fp-15, 0x1.670928f67dd49p-15, 0x1.65739dfb936ecp-15, 0x1.63de313fe003ap-15, 0x1.6248f20e2ce1p-15, 0x1.60b3e5ce15d07p-15, 0x1.5f1f130bb3747p-15, 0x1.5d8a73c636819p-15, 0x1.5bf5431bf3fc1p-15, 0x1.5a62251641133p-15, 0x1.58ce77276ca2p-15, 0x1.573b18308c521p-15, 0x1.55a816e38532ep-15, 0x1.54157826ea0d5p-15, 0x1.52833b011c679p-15, 0x1.50f16dc79252fp-15, 0x1.4f6011ec0b069p-15, 0x1.4dcf209af4a68p-15, 0x1.4c3f06ee0c536p-15, 0x1.4aaed06d3178dp-15, 0x1.491f9e9717197p-15, 0x1.4790d25815409p-15, 0x1.460252dda78a3p-15, 0x1.4474414cf6fe8p-15, 0x1.42e76df4804d4p-15, 0x1.415aef29c4c5fp-15, 0x1.3fcf0d7b1531dp-15, 0x1.3e43d076bfdfdp-15, 0x1.3cb93ee3c8e7p-15, 0x1.3b2f60c18fc35p-15, 0x1.39a67d6909431p-15, 0x1.381daeab4ba96p-15, 0x1.3695e312e676dp-15, 0x1.350ec5a635c91p-15, 0x1.3388f2287876dp-15, 0x1.32031fdc4c81bp-15, 0x1.307e758efaca4p-15, 0x1.2efa89ff38bd9p-15, 0x1.2d777476a078cp-15, 0x1.2bf535c59e786p-15, 0x1.2a73cbd0b3bf5p-15, 0x1.28f33bc05f561p-15, 0x1.27738a2be6e01p-15, 0x1.25f4e37b48a0dp-15, 0x1.2476be9c8d75p-15, 0x1.22f9d05107dd1p-15, 0x1.217db7a0883e7p-15, 0x1.2002939a1d43bp-15, 0x1.1e884db5c6065p-15, 0x1.1d0edb0ed48eep-15, 0x1.1b969cc58ffe2p-15, 0x1.1a1f651fbd562p-15, 0x1.18a918dccdf5cp-15, 0x1.1732f4d5168f4p-15, 0x1.15bf5bc2a724fp-15, 0x1.144bf984b0d8p-15, 0x1.12d9b0ebc84f4p-15, 0x1.116861aded45cp-15, 0x1.0ff81fbe3e163p-15, 0x1.0e88e7dfee9b9p-15, 0x1.0d1b45e461ddp-15, 0x1.0badb6f8ed0f6p-15, 0x1.0a41bc8b265e2p-15, 0x1.08d6dc8f5bb18p-15, 0x1.076d085dd92eap-15, 0x1.06044776e9c14p-15, 0x1.049cadce52f06p-15, 0x1.033629103fcb7p-15, 0x1.01d0d15a84c7ep-15, 0x1.006c986673931p-15, 0x1.fe12bb1dfe273p-16, 0x1.fb4e2c6fe4b35p-16, 0x1.f88d62d26be4p-16, 0x1.f5ce12e799215p-16, 0x1.f3111c38d7c3fp-16, 0x1.f056043f2c1ep-16, 0x1.ed9e23a1adebfp-16, 0x1.eae7eb013b96p-16, 0x1.e8346d1171e7ap-16, 0x1.e58362dd8000bp-16, 0x1.e2d48e842a9a8p-16, 0x1.e02822770eaafp-16, 0x1.dd7e1f157016bp-16, 0x1.dad6e16c999f5p-16, 0x1.d8315b630fdb9p-16, 0x1.d58ea01e78485p-16, 0x1.d2ee4e7f6e07bp-16, 0x1.d0507d447f1f9p-16, 0x1.cdb525955902bp-16, 0x1.cb1c2b4fc02a8p-16, 0x1.c885bdacb7106p-16, 0x1.c5f1c885bd3cbp-16, 0x1.c3604e35e5aeep-16, 0x1.c0d152f66bf58p-16, }}, 
      {{-0x1.729c1f3b2d5bfp+0, -0x1.5e3f8e09cb70fp+0, -0x1.43fd033c0b737p+0, -0x1.27b08fd3603dep+0, -0x1.0bca46b5a5e8fp+0, -0x1.e38073f9fa458p-1, -0x1.b4bcbcd7c97a9p-1, -0x1.8bfcdf287cf2ap-1, -0x1.695e4193715eep-1, -0x1.4c9f2637aa49ap-1, -0x1.354508f8c9222p-1, -0x1.22b73514d3bd8p-1, -0x1.1450e72730aa9p-1, -0x1.096d67a0b0e1ap-1, -0x1.016fcacc1ebfep-1, -0x1.f78f3c6cbda1p-2, -0x1.efe6cb35f46f2p-2, -0x1.eb03309d18e81p-2, -0x1.e8212d96670d9p-2, -0x1.e69bf1a6613c3p-2, -0x1.e5eae48533c6dp-2, -0x1.e59effa372b15p-2, -0x1.e55ffafc41b12p-2, -0x1.e4e9760a9d80ap-2, -0x1.e4083d0d32533p-2, -0x1.e297bc13518aep-2, -0x1.e07fa52a26782p-2, -0x1.ddb1d4db2e53bp-2, -0x1.da28700cd56f3p-2, -0x1.d5e43c1711fc9p-2, -0x1.d0eb3457cdf56p-2, -0x1.cb474b1c40cffp-2, -0x1.c505624db6036p-2, -0x1.be34691d4539ap-2, -0x1.b6e4a385cd951p-2, -0x1.af271037170bfp-2, -0x1.a70cedcca8a69p-2, -0x1.9ea758c99e662p-2, -0x1.9606f95061e22p-2, -0x1.8d3bd32d3bb02p-2, -0x1.84550f57a6d9dp-2, -0x1.7b60e2fd3e273p-2, -0x1.726c79f1f0d84p-2, -0x1.6983eb5585932p-2, -0x1.60b234c378b1dp-2, -0x1.58013ba73103bp-2, -0x1.4f79d1fb1a985p-2, -0x1.4723bf0caf958p-2, -0x1.3f05c8d5ff17bp-2, -0x1.3725c4f6934e2p-2, -0x1.2f88a1eaa1fb1p-2, -0x1.283278059856p-2, -0x1.21269813d27cbp-2, -0x1.1a679aa1786efp-2, -0x1.13f76e698ac7bp-2, -0x1.0dd76760333f4p-2, -0x1.08084c97c07ddp-2, -0x1.028a66088b98dp-2, -0x1.fabb11b7a2aa6p-3, -0x1.f10247ed7dd22p-3, -0x1.e7e896eedca96p-3, -0x1.df6b864b3064fp-3, -0x1.d78810f7d5c2ep-3, -0x1.d03ab8359b5fep-3, -0x1.c97f94155203ep-3, -0x1.c352640754a4cp-3, -0x1.bdae9d0425223p-3, -0x1.b88f7675166c5p-3, -0x1.b3eff6f750ca7p-3, -0x1.afcaff692437bp-3, -0x1.ac1b5519b5cb3p-3, -0x1.a8dbaa3c1dc15p-3, -0x1.a606a692211d9p-3, -0x1.a396ef4bcef4cp-3, -0x1.a1872ce938929p-3, -0x1.9fd21114790ebp-3, -0x1.9e725c13a8a2dp-3, -0x1.9d62e18037f0fp-3, -0x1.9c9e8bd2718adp-3, -0x1.9c206028a5029p-3, -0x1.9be380be4127fp-3, -0x1.9be32fd381c9fp-3, -0x1.9c1ad1bed11f1p-3, -0x1.9c85ee771de3bp-3, -0x1.9d2032a583d64p-3, -0x1.9de57104f7b9dp-3, -0x1.9ed1a33f6e82ap-3, -0x1.9fe0ea7bfe603p-3, -0x1.a10f8f1fe7e5dp-3, -0x1.a25a014b1b154p-3, -0x1.a3bcd8b01588cp-3, -0x1.a534d451ef3a1p-3, -0x1.a6bed9d55ea5dp-3, -0x1.a857f5860a6e2p-3, -0x1.a9fd58eb7a50fp-3, -0x1.abac5af1f0d4ep-3, -0x1.ad62767386dfdp-3, -0x1.af1d49bed36ebp-3, -0x1.b0da9574e03e8p-3, -0x1.b2983bacead79p-3, -0x1.b4543f554dc33p-3, -0x1.b60cc2573c24p-3, -0x1.b7c004fdac7a7p-3, -0x1.b96c64c8407acp-3, -0x1.bb105b84fda2dp-3, -0x1.bcaa7dc841ce1p-3, -0x1.be397a65726fep-3, -0x1.bfbc19197d15ep-3, -0x1.c1313999e30bbp-3, -0x1.c297d2bf723f2p-3, -0x1.c3eef15e815c9p-3, -0x1.c535b773ed3dcp-3, -0x1.c66b5af77bee2p-3, -0x1.c78f24d67be83p-3, -0x1.c8a07046bbd73p-3, -0x1.c99ea96692ee2p-3, -0x1.ca894ccec9584p-3, -0x1.cb5fe6418e776p-3, -0x1.cc221035d308cp-3, -0x1.cccf72d858c6p-3, -0x1.cd67c3cb9dae8p-3, -0x1.cdeac4df15bb8p-3, -0x1.ce5843c8f40f6p-3, -0x1.ceb01986053fep-3, -0x1.cef229b690c39p-3, -0x1.cf1e61e00ca9fp-3, -0x1.cf34b8e48bc66p-3, -0x1.cf352ea9ad564p-3, -0x1.cf1fcb154ea5dp-3, -0x1.cef49dcf9b39dp-3, -0x1.ceb3be073d73dp-3, -0x1.ce5d490f6d23p-3, -0x1.cdf162b919609p-3, -0x1.cd7034f66c1e6p-3, -0x1.ccd9eee910c1fp-3, -0x1.cc2ec4c21d78bp-3, -0x1.cb6eef9e99409p-3, -0x1.ca9aad1436c5fp-3, -0x1.c9b23eb423d35p-3, -0x1.c8b5ea22a51c9p-3, -0x1.c7a5f886195f9p-3, -0x1.c682b65b7def6p-3, -0x1.c54c72f673045p-3, -0x1.c40380d15dfb9p-3, -0x1.c2a8347cdf9c1p-3, -0x1.c13ae50735c61p-3, -0x1.bfbbeba57f789p-3, -0x1.be2ba303fa29dp-3, -0x1.bc8a67912fa17p-3, -0x1.bad897224e645p-3, -0x1.b91690a55146fp-3, -0x1.b744b3c8d6697p-3, -0x1.b56361cf05a2ep-3, -0x1.b372fbf19bbf5p-3, -0x1.b173e3f666d0cp-3, -0x1.af667c4cf9871p-3, -0x1.ad4b27b3cd09cp-3, -0x1.ab2248d445383p-3, -0x1.a8ec4230efb84p-3, -0x1.a6a976f2da4b9p-3, -0x1.a45a4935d0ff6p-3, -0x1.a1ff1b5427e3cp-3, -0x1.9f984f6869163p-3, -0x1.9d2646f8d567dp-3, -0x1.9aa962d20e878p-3, -0x1.982203797068p-3, -0x1.959088b1c7fc9p-3, -0x1.92f551b382985p-3, -0x1.9050bcafa08cep-3, -0x1.8da3274cc6102p-3, -0x1.8aecedfd42b97p-3, -0x1.882e6c96c0bc8p-3, -0x1.8567fe19b0633p-3, -0x1.8299fbccc2feep-3, -0x1.7fc4bec1b4761p-3, -0x1.7ce89e5883341p-3, -0x1.7a05f18158ffap-3, -0x1.771d0d5325abep-3, -0x1.742e4621752f7p-3, -0x1.7139ef09e41afp-3, -0x1.6e4059dbafd1p-3, -0x1.6b41d753d5edep-3, -0x1.683eb6dea3235p-3, -0x1.65374646f386p-3, -0x1.622bd2ffa9a65p-3, -0x1.5f1ca827fc5fbp-3, -0x1.5c0a1085b7999p-3, -0x1.58f454d3e231ep-3, -0x1.55dbbd230d9bfp-3, -0x1.52c08fa122d08p-3, -0x1.4fa3117dfab63p-3, -0x1.4c83869bcb424p-3, -0x1.496231950ea3ep-3, -0x1.463f5397693e8p-3, -0x1.431b2cd22823ep-3, -0x1.3ff5fb603c5fp-3, -0x1.3ccffd178fa0fp-3, -0x1.39a96deba437ep-3, -0x1.3682884f10743p-3, -0x1.335b85d52a08ep-3, -0x1.30349f00d3cccp-3, -0x1.2d0e0a5c06e18p-3, -0x1.29e7fd99d0d9p-3, -0x1.26c2ad27173cap-3, -0x1.239e4c1e96324p-3, -0x1.207b0c5fc1cdfp-3, -0x1.1d591e8bc4693p-3, -0x1.1a38b2984cd34p-3, -0x1.1719f5f029774p-3, -0x1.13fd15ec6c357p-3, -0x1.10e23e7985e92p-3, -0x1.0dc99a6e97ebcp-3, -0x1.0ab3530af5665p-3, -0x1.079f90c51c57ep-3, -0x1.048e7ac1e70f7p-3, -0x1.0180373dd7cc9p-3, -0x1.fce9d62ddc34ep-4, -0x1.f6d974454eddfp-4, -0x1.f0cf8f13ff2cp-4, -0x1.eacc6934441edp-4, -0x1.e4d044392d878p-4, -0x1.dedb5f7cb8902p-4, -0x1.d8edf8ac6958dp-4, -0x1.d3084aaeb29efp-4, -0x1.cd2a8e5ac00a2p-4, -0x1.c754fb712bd06p-4, -0x1.c187c6b0fe8a8p-4, -0x1.bbc3240957a89p-4, -0x1.b60744a8fdbbep-4, -0x1.b054582d9b814p-4, -0x1.aaaa8c7906d0cp-4, -0x1.a50a0e03b0342p-4, -0x1.9f73064331235p-4, -0x1.99e59de5b8529p-4, -0x1.9461fc07bd1d9p-4, -0x1.8ee845d625007p-4, -0x1.89789e60021d8p-4, -0x1.841327ae8f6fap-4, -0x1.7eb8021213fcep-4, -0x1.79674c09ae57cp-4, -0x1.742122f5abdcap-4, -0x1.6ee5a230c135ap-4, -0x1.69b4e3e453411p-4, -0x1.648f00a726121p-4, -0x1.5f740fc0e0bcp-4, -0x1.5a6427781ab41p-4, -0x1.555f5b9863737p-4, -0x1.5065bf6d4de26p-4, -0x1.4b77649165283p-4, -0x1.46945c1c4d6b6p-4, -0x1.41bcb4b5d711ap-4, -0x1.3cf07c66b2632p-4, -0x1.382fc0110515cp-4, -0x1.337a8b223b7e7p-4, -0x1.2ed0e7ca9e89p-4, -0x1.2a32df2f1855p-4, -0x1.25a079a71c4e8p-4, -0x1.2119be46029f6p-4, -0x1.1c9eb2b4b8036p-4, -0x1.182f5bfe01801p-4, -0x1.13cbbdd8f7831p-4, -0x1.0f73db66ed8a2p-4, -0x1.0b27b60ef564dp-4, -0x1.06e74ee5eb2d7p-4, -0x1.02b2a57526768p-4, -0x1.fd1373b310617p-5, -0x1.f4d91376f912cp-5, -0x1.ecb62498ed017p-5, -0x1.e4aa9fa7ffdacp-5, -0x1.dcb67c783fcf9p-5, -0x1.d4d9b0a60a5e6p-5, -0x1.cd1430666b59ep-5, -0x1.c565ee6151355p-5, -0x1.bdcedbb8da031p-5, -0x1.b64ee8074fa6cp-5, -0x1.aee601a80fbc8p-5, -0x1.a7941582fbaf5p-5, -0x1.a0590f4fc40c6p-5, -0x1.9934d9b0c7c28p-5, -0x1.92275c96a7389p-5, -0x1.8b3081de09d4bp-5, -0x1.8450308408cd7p-5, -0x1.7d864c197eae7p-5, -0x1.76d2b96d3ba67p-5, -0x1.70355e6403b5cp-5, -0x1.69ae1b387fb82p-5, -0x1.633cd2bbda945p-5, -0x1.5ce1646662396p-5, -0x1.569bb167b3eap-5, -0x1.506b9825b8b02p-5, -0x1.4a50f6293101p-5, -0x1.444ba8f70f109p-5, -0x1.3e5b8cbfbaa4bp-5, -0x1.38807d67d333ap-5, -0x1.32ba55d8898f6p-5, -0x1.2d08f04570265p-5, -0x1.276c265ca4ac5p-5, -0x1.21e3d19745bd3p-5, -0x1.1c6fca0b87f1dp-5, -0x1.170fe765e6a91p-5, -0x1.11c4014619554p-5, -0x1.0c8beed5f4b79p-5, -0x1.076785a960e06p-5, -0x1.02569b9f2e0fbp-5, -0x1.fab20c60e7ba8p-6, -0x1.f0dd36e27ae2dp-6, -0x1.e72e5ebf66698p-6, -0x1.dda52c36b2526p-6, -0x1.d44147ade5c5dp-6, -0x1.cb02590374b8dp-6, -0x1.c1e807a206e2bp-6, -0x1.b8f1f8010cab5p-6, -0x1.b01fd0d59d1f6p-6, -0x1.a77137c215f51p-6, -0x1.9ee5d1b5ba04cp-6, -0x1.967d440da921cp-6, -0x1.8e37327348b31p-6, -0x1.8613413db7dfep-6, -0x1.7e11146de177cp-6, -0x1.76304fc078e12p-6, -0x1.6e7096b71d279p-6, -0x1.66d18cca8347dp-6, -0x1.5f52d5796f2bfp-6, -0x1.57f4142d15049p-6, -0x1.50b4ec3045be9p-6, -0x1.49950284b26bdp-6, -0x1.4293f8300cb51p-6, -0x1.3bb1704abbe6bp-6, -0x1.34ed10ad5adfdp-6, -0x1.2e467ce4ba169p-6, -0x1.27bd5839f6e29p-6, -0x1.215147187e8eap-6, -0x1.1b01ede9f71c5p-6, -0x1.14cef12547bb8p-6, -0x1.0eb7f5ab0eb9ap-6, -0x1.08bca0f534399p-6, -0x1.02dc98da061e1p-6, -0x1.fa2f069113b16p-7, -0x1.eeda0c7e519a2p-7, -0x1.e3b990d3f1805p-7, -0x1.d8cce40542986p-7, -0x1.ce13503cca201p-7, -0x1.c38c28d85ef43p-7, -0x1.b936bc2085a45p-7, -0x1.af12600637abdp-7, -0x1.a51e65b11bc5bp-7, -0x1.9b5a2175b44fbp-7, -0x1.91c4e7d42494dp-7, -0x1.885e0e35a729cp-7, -0x1.7f24ec25a98ep-7, -0x1.7618da5e9cf15p-7, -0x1.6d3934d973d27p-7, -0x1.6485532af5a2bp-7, -0x1.5bfc9094d4d9fp-7, -0x1.539e4b8f441bfp-7, -0x1.4b69e4ff3d69bp-7, -0x1.435ebabcaad3p-7, -0x1.3b7c2e15badbcp-7, -0x1.33c1a15861b98p-7, -0x1.2c2e78a04c1f6p-7, -0x1.24c219285fe5ap-7, -0x1.1d7bea1719a6ep-7, -0x1.165b52a4a908bp-7, -0x1.0f5fbbb4e2252p-7, -0x1.0888917e45c6p-7, -0x1.01d53ed2dadc4p-7, -0x1.f68a64f864308p-8, -0x1.e9afb6b0bac9p-8, -0x1.dd1953a141e0bp-8, -0x1.d0c61ff84381dp-8, -0x1.c4b502c38cfdbp-8, -0x1.b8e4e5c060379p-8, -0x1.ad54b5f1a5682p-8, -0x1.a20366fb8758fp-8, -0x1.96efe4cb362f6p-8, -0x1.8c192c51da34cp-8, -0x1.817e29d8dfa5cp-8, -0x1.771dec8c35b87p-8, -0x1.6cf76430ee834p-8, -0x1.63099a88baa6dp-8, -0x1.595395680bc34p-8, -0x1.4fd457151599p-8, -0x1.468ae7db6a63cp-8, -0x1.3d7658590d0abp-8, -0x1.3495bf0aa90c8p-8, -0x1.2be82c710b162p-8, -0x1.236cb6d1675dp-8, -0x1.1b22789cae6fep-8, -0x1.13088ee0ea36p-8, -0x1.0b1e194dd4cf8p-8, -0x1.03623afb3e357p-8, -0x1.f7a83585d0aa2p-9, -0x1.e8e5aff37db3cp-9, -0x1.da7b59a27fd89p-9, -0x1.cc676e641e5c5p-9, -0x1.bea86c949a3fdp-9, -0x1.b13cb2e8e8655p-9, -0x1.a422b13b045e8p-9, -0x1.9758dc16d30b4p-9, -0x1.8adda660b3626p-9, -0x1.7eaf8eb31a8f1p-9, -0x1.72cd190956d5ep-9, -0x1.6734cdbeb0452p-9, -0x1.5be53ba2b33f9p-9, -0x1.50dcf93c1c8f2p-9, -0x1.461a9ec678ce8p-9, -0x1.3b9ccf8002872p-9, -0x1.3162329971e56p-9, -0x1.27697345ad5e6p-9, -0x1.1db1480791161p-9, -0x1.14386bbc49f1cp-9, -0x1.0afd8575620c9p-9, -0x1.01ff657ac2e5ap-9, -0x1.f2796da49c78p-10, -0x1.e168929a9831bp-10, -0x1.d0c9cd316599bp-10, -0x1.c09abab75f84p-10, -0x1.b0d90abd95689p-10, -0x1.a1826c3c6c826p-10, -0x1.9294be4f46e4ep-10, -0x1.840dc24c31f2ep-10, -0x1.75eb5e99168b2p-10, -0x1.682b78f5a0c89p-10, -0x1.5acbfd7e36294p-10, -0x1.4dcadac4bc794p-10, -0x1.412604ce367aep-10, -0x1.34db754d51017p-10, -0x1.28e92f1ce727ep-10, -0x1.1d4d3fe37a253p-10, -0x1.1205c079ae24cp-10, -0x1.0710d644e8b2ep-10, -0x1.f8d9699af7ea6p-11, -0x1.e42f441f8a8e8p-11, -0x1.d01fdab07b1c7p-11, -0x1.bca7b9cf1c44dp-11, -0x1.a9c36dcf1b01p-11, -0x1.976f9fe2898dbp-11, -0x1.85a8f8bddb4ccp-11, -0x1.746c09016f0fcp-11, -0x1.63b56cfffedf8p-11, -0x1.5381d85de0109p-11, -0x1.43ce539019237p-11, -0x1.3497bd83ec664p-11, -0x1.25db4d25ad821p-11, -0x1.179643e287cd3p-11, -0x1.09c61e3ffa33cp-11, -0x1.f8d0fcda4a9c8p-12, -0x1.def5e946479d8p-12, -0x1.c5f5db4f6ce63p-12, -0x1.adcbbee6e9f7bp-12, -0x1.96729836ef0b6p-12, -0x1.7fe4e9374c344p-12, -0x1.6a1cb6544b09cp-12, -0x1.5514c32ef60b4p-12, -0x1.40c7b7c018b15p-12, -0x1.2d302cd623446p-12, -0x1.1a49264844a84p-12, -0x1.080e0aeeb7ae9p-12, -0x1.ecf5647ccb171p-13, -0x1.cb1693d5797fep-13, -0x1.aa788e0533151p-13, -0x1.8b14927d3f8d4p-13, -0x1.6ce3f993830dbp-13, -0x1.4fdffdd463f14p-13, -0x1.340197be5aa56p-13, -0x1.194164a710872p-13, -0x1.ff2f4f38c1da6p-14, -0x1.cdf8d3559ef6p-14, -0x1.9ecf044acc16fp-14, -0x1.71a043ea5cdcbp-14, -0x1.466145342df37p-14, -0x1.1cfe8ed326f6fp-14, -0x1.ead6ca133d462p-15, -0x1.9f352f7de45a8p-15, -0x1.56ffc7cb70a2dp-15, -0x1.121fc3fe68055p-15, -0x1.a0ff7e8cea6f2p-16, -0x1.2416ae7cbf056p-16, -0x1.5abaaa2cd2285p-17, -0x1.e55dbd537853ap-19, 0x1.7136cf04f68a4p-19, 0x1.268895eba6bcep-17, 0x1.e5af9b6cd1464p-17, 0x1.4d098af5760e1p-16, 0x1.a2125f9112caep-16, 0x1.f20376201a259p-16, 0x1.1e8ca8b26e85cp-15, 0x1.41bc1ac9e0d19p-15, 0x1.62a240cc97b3bp-15, 0x1.8151cd89ad27bp-15, 0x1.9ddecc5e743f8p-15, 0x1.b85b7ecc50ad2p-15, 0x1.d0d800524e538p-15, 0x1.e761738133d9cp-15, 0x1.fc08da61b91fep-15, 0x1.076cbcc9fc41bp-14, 0x1.0ff14523607f1p-14, 0x1.179735665a211p-14, 0x1.1e656aed6bebep-14, 0x1.246329fdb19cep-14, 0x1.29969aebf9417p-14, 0x1.2e05db88f952p-14, 0x1.31b7ef1f4c55ap-14, 0x1.34b30866aea6p-14, 0x1.36ff235c22fafp-14, 0x1.38a43e0d817ebp-14, 0x1.39aacc3f0668ep-14, 0x1.3a1b2eaeab837p-14, 0x1.39fcaf1ce053cp-14, 0x1.3954cf543e1edp-14, 0x1.3826ec3ea464ap-14, 0x1.3676ecdcb0fb7p-14, 0x1.34478dcb1af1ep-14, 0x1.319d3bf5d8877p-14, 0x1.2e7ccfe0025d7p-14, 0x1.2aead3fe8125p-14, 0x1.26ebc69c8911ap-14, 0x1.2283478bb840fp-14, 0x1.1db2d23936da4p-14, 0x1.187c95dae97edp-14, 0x1.12e44fb5a1366p-14, 0x1.0cecad8899856p-14, 0x1.069ac92a1f97ap-14, 0x1.ffe9d24c4e36ap-15, 0x1.f208937958c14p-15, 0x1.e39787306d7fap-15, 0x1.d4a6c82e2cb58p-15, 0x1.c540a7a3993e3p-15, 0x1.b56b7fb6c4e26p-15, 0x1.a527fa94425d1p-15, 0x1.947a6990fcb4p-15, 0x1.8367838d6d16ep-15, 0x1.71f2ea0d75891p-15, 0x1.6021a6e916ff2p-15, 0x1.4df939800e64ep-15, 0x1.3b7d62181d7e9p-15, 0x1.28b156505dc2cp-15, 0x1.15994b3375f04p-15, 0x1.02387c574988cp-15, 0x1.dd2370e1b1859p-16, 0x1.b5581505f2dddp-16, 0x1.8d137c41c4cbbp-16, 0x1.64630e8992648p-16, 0x1.3b4e1dd66fae2p-16, 0x1.11e5a2b6d1672p-16, 0x1.d06e1fc681f98p-17, 0x1.7c9a8ea8441ep-17, 0x1.2818807228bf9p-17, 0x1.a7a09634912dfp-18, 0x1.fbcc3c57d4615p-19, 0x1.4ebcc57348cc6p-20, -0x1.5add90843ed7p-20, -0x1.01c16b7d233e9p-18, -0x1.acc95f45a57a7p-18, -0x1.2bf78d3e89f44p-17, -0x1.8198547b861p-17, -0x1.d7421dc87ee08p-17, -0x1.1675eedfac32cp-16, -0x1.4143d8a1e54f6p-16, -0x1.6c0612e065d88p-16, -0x1.96b170a00d401p-16, -0x1.c13f90a560e39p-16, -0x1.ebb890ba7ec18p-16, -0x1.0b0aeb38fc017p-15, -0x1.2029961fb2f0dp-15, -0x1.3534bace8ac3dp-15, -0x1.4a29c84a6f566p-15, -0x1.5f0364ff54a69p-15, -0x1.73bf6cc830c23p-15, -0x1.885ce7dbf393dp-15, -0x1.9cda8b2af7285p-15, -0x1.b13bba8f2c264p-15, -0x1.c57d5af37ebadp-15, -0x1.d99d67d634b7p-15, -0x1.ed99bb4cf5ed1p-15, -0x1.00b84c98410f1p-14, -0x1.0a90ad71991d3p-14, -0x1.1454f53df8427p-14, -0x1.1e0445b3bbf64p-14, -0x1.279e2c595e53ep-14, -0x1.31226471013f3p-14, -0x1.3a911ae9134fbp-14, -0x1.43e89827495d2p-14, -0x1.4d28e7150c4c5p-14, -0x1.5652af750244bp-14, -0x1.5f65bd5eaa3edp-14, -0x1.68627d085c5e4p-14, -0x1.714855289dc6bp-14, -0x1.7a14f5daade4ap-14, -0x1.82c6f70bce3bcp-14, -0x1.8b5dfdf5c89bap-14, -0x1.93dbeebcf539cp-14, -0x1.9c3fb082b8013p-14, -0x1.a48a4145a7172p-14, -0x1.acba2f9d53abap-14, -0x1.b4cf0b92199c5p-14, -0x1.bcc9d889c0bcfp-14, -0x1.c4aa9fe2b2cdep-14, -0x1.cc71115bd4f84p-14, -0x1.d41caf59f8ffbp-14, -0x1.dbacfd3114c95p-14, -0x1.e32172e299f2bp-14, -0x1.ea79ad3f7de47p-14, -0x1.f1b5e30ac11e9p-14, -0x1.f8d680670f1f4p-14, -0x1.ffdb9e52a446cp-14, -0x1.0362caf7c4f2ep-13, -0x1.06c98053a4ea7p-13, -0x1.0a2277e3d3c42p-13, -0x1.0d6df6fa6c057p-13, -0x1.10abd432107ffp-13, -0x1.13dbd7f144d0bp-13, -0x1.16fdfe20f39e6p-13, -0x1.1a11c6406a25fp-13, -0x1.1d17b0b405abp-13, -0x1.200fe7a397728p-13, -0x1.22fa5115be9f6p-13, -0x1.25d7319ab9d95p-13, -0x1.28a6357029979p-13, -0x1.2b678a320fd71p-13, -0x1.2e1b5207cb1e5p-13, -0x1.30c18734f1c49p-13, -0x1.335a1f80f9e7ap-13, -0x1.35e553b3437c9p-13, -0x1.38632e099af93p-13, -0x1.3ad3bf0126c6ap-13, -0x1.3d37a289d1d04p-13, -0x1.3f8d950cf7d8dp-13, -0x1.41d5f875860c6p-13, -0x1.4411b78aecfdbp-13, -0x1.4640817b3565p-13, -0x1.4862539788d26p-13, -0x1.4a76fcca35a44p-13, -0x1.4c7f372900765p-13, -0x1.4e7abc91fdbd5p-13, -0x1.5069c627093eep-13, -0x1.524cb3fa94469p-13, -0x1.5422c4f508943p-13, -0x1.55ec817fafe12p-13, -0x1.57a983571f45bp-13, -0x1.595afa50c3e9ep-13, -0x1.5b000d0ad89e8p-13, -0x1.5c99674db135dp-13, -0x1.5e26f282e81fp-13, -0x1.5fa87d3870b93p-13, -0x1.611e982e9d4d2p-13, -0x1.62893268d1f6ap-13, -0x1.63e82af60748dp-13, -0x1.653bb5b003e13p-13, -0x1.668406dfc8d2dp-13, -0x1.67c1377ac87e4p-13, -0x1.68f34d71642e9p-13, -0x1.6a1ab6020d258p-13, -0x1.6b370b59ef851p-13, -0x1.6c48b6fac800ap-13, -0x1.6d4fc77aa80aap-13, -0x1.6e4c4788e1d33p-13, -0x1.6f3e5fe2f7e36p-13, -0x1.70265f8485ab4p-13, -0x1.710412f88845p-13, -0x1.71d79964971b8p-13, -0x1.72a112e138b55p-13, -0x1.7360c0559db0fp-13, -0x1.7416d0a39fb74p-13, -0x1.74c31ecdfe87ep-13, -0x1.7566374edc3b8p-13, -0x1.75ff93a08dc0ap-13, -0x1.768f949e77341p-13, -0x1.77140b9999042p-13, -0x1.779444218f48dp-13, -0x1.780917bb6ec34p-13, -0x1.78750d849c473p-13, -0x1.78d8426f62e37p-13, -0x1.7932d0d466731p-13, -0x1.7984c95cc691ep-13, -0x1.79ce3bb90fe56p-13, -0x1.7a0f652cc8ea4p-13, -0x1.7a4895d5b76fap-13, -0x1.7a79858b9ba87p-13, -0x1.7aa2230438347p-13, -0x1.7ac32f6a02cap-13, -0x1.7adc707ea6a19p-13, -0x1.7aede7c6cbf4cp-13, -0x1.7af7c4e7a0caap-13, -0x1.7afa692c37003p-13, -0x1.7af517fbfdd98p-13, -0x1.7ae8d687ac5edp-13, -0x1.7ad583fcb52c7p-13, -0x1.7abb4b286fe5cp-13, -0x1.7a99a43a1ad41p-13, -0x1.7a714ea4081e8p-13, -0x1.7a4255ec040b1p-13, -0x1.7a0cb7b6d144cp-13, -0x1.79d0a67b9a73cp-13, -0x1.798ddd627379p-13, -0x1.7944c3b97633fp-13, -0x1.78f54910a7a04p-13, -0x1.789f869bb35ap-13, -0x1.78443e177c5a4p-13, -0x1.77e28fe697f37p-13, -0x1.777b5c78129e6p-13, -0x1.770e4297d8b28p-13, -0x1.769b19884e6e6p-13, -0x1.7622a709e18b5p-13, -0x1.75a4b0d3cdb8dp-13, -0x1.7521665b664ccp-13, -0x1.7498977a0caa4p-13, -0x1.740a9a7da2a91p-13, -0x1.7377924fd25dfp-13, -0x1.72df79124f4abp-13, -0x1.72425944c445bp-13, -0x1.71a05b8b9b024p-13, -0x1.70f99209dabc2p-13, -0x1.704e2469e296bp-13, -0x1.6f9e0bc1663d8p-13, -0x1.6ee96ffa1c7d3p-13, -0x1.6e3063bfed468p-13, -0x1.6d72f66371b6ap-13, -0x1.6cb1355bfc609p-13, -0x1.6beb4a9b8e066p-13, -0x1.6b21507c57babp-13, -0x1.6a53403b27c2fp-13, -0x1.6981254318a21p-13, -0x1.68ab2186916e9p-13, -0x1.67d1770d16129p-13, -0x1.66f409442b006p-13, -0x1.6612ec0f3ecd8p-13, -0x1.652e3689a7d8p-13, -0x1.6445ffa6b07f7p-13, -0x1.635a5d5f06a8cp-13, -0x1.626b63a7b6d12p-13, -0x1.6179344ee7f1p-13, -0x1.6083901953dfp-13, -0x1.5f8ac82b3cd32p-13, -0x1.5e8f124300ac2p-13, -0x1.5d905e23a0bacp-13, -0x1.5c8ee6be52607p-13, -0x1.5b8a54a6df2f1p-13, -0x1.5a831d5a246ecp-13, -0x1.5978d4bce9743p-13, -0x1.586c081fbc048p-13, -0x1.575c4aaecfb02p-13, -0x1.564adcf09672p-13, -0x1.553668639fbdap-13, -0x1.541fa4f9cec73p-13, -0x1.530673557cf8p-13, -0x1.51eaee4892619p-13, -0x1.50cd4eba579a2p-13, -0x1.4fad4cc43f129p-13, -0x1.4e8b5d3c5d3f2p-13, -0x1.4d6741ad48d98p-13, -0x1.4c413771b7362p-13, -0x1.4b194e0b2973dp-13, -0x1.49ef54a206bf7p-13, -0x1.48c38e05f5c36p-13, -0x1.47960f0e235b3p-13, -0x1.4666dbfccd1b5p-13, -0x1.4535dfb578ad2p-13, -0x1.4403414c7e818p-13, -0x1.42cf1e06cbf62p-13, -0x1.419997108ade3p-13, -0x1.40627ae15d54bp-13, -0x1.3f29e6f0a0895p-13, -0x1.3deffafda541ap-13, -0x1.3cb4bfad7082p-13, -0x1.3b783e72fa0c6p-13, -0x1.3a3a832cdfecdp-13, -0x1.38fb9817233bp-13, -0x1.37bb88ad914adp-13, -0x1.367a64c2b66ap-13, -0x1.353839b8c9c05p-13, -0x1.33f50481e9b83p-13, -0x1.32b0d7367c7a3p-13, -0x1.316bc7f652a07p-13, -0x1.3025dfce8561cp-13, -0x1.2edf3348418a2p-13, -0x1.2d977b329e1b9p-13, -0x1.2c4f159968dc3p-13, -0x1.2b05ff1b1263dp-13, -0x1.29bc3f2c7baedp-13, -0x1.2872194eddd69p-13, -0x1.27273abcc2df3p-13, -0x1.25dbae569036bp-13, -0x1.248fa626e3824p-13, -0x1.23431ee20a6ccp-13, -0x1.21f62bbc5b37fp-13, -0x1.20a8cc7109364p-13, -0x1.1f5afece7f99p-13, -0x1.1e0d0fa687fe4p-13, -0x1.1cbea867894cdp-13, -0x1.1b6fe95dbc526p-13, -0x1.1a20d1cf6b425p-13, -0x1.18d19927cd218p-13, -0x1.1782595e06d7ep-13, -0x1.16332f8a9ce03p-13, -0x1.14e363bddef99p-13, -0x1.1393a8178bd6ap-13, -0x1.1243c830a75b7p-13, -0x1.10f45a98d7bedp-13, -0x1.0fa466c93cb31p-13, -0x1.0e5498ae05476p-13, -0x1.0d04c4ac3bc5bp-13, -0x1.0bb50dcecf781p-13, -0x1.0a657f8be1bcap-13, -0x1.09164c0e53d2ap-13, -0x1.07c6faaf1410cp-13, -0x1.0677f36fd9304p-13, -0x1.05291404a091cp-13, -0x1.03da7491a7c75p-13, -0x1.028c1909f4afdp-13, -0x1.013e04533c755p-13, -0x1.ffe07bee3ba55p-14, -0x1.fd4596c879da7p-14, -0x1.faab633ba2452p-14, -0x1.f811ee4463fa1p-14, -0x1.f579434580fa2p-14, -0x1.f2e170e5e8c4dp-14, -0x1.f04a8bb8afad3p-14, -0x1.edb47a40c5f93p-14, -0x1.eb1f23bb6e754p-14, -0x1.e88b0a2046ce6p-14, -0x1.e5f8272259fb7p-14, -0x1.e366291af8fb2p-14, -0x1.e0d52c1a9b0d9p-14, -0x1.de4565cad3b6dp-14, -0x1.dbb6d5283aaf8p-14, -0x1.d9299492b1811p-14, -0x1.d69d8377a2c52p-14, -0x1.d4122585a8b9bp-14, -0x1.d188c28c89398p-14, -0x1.cf00933da2aa8p-14, -0x1.cc79e83994a23p-14, -0x1.c9f4c30c47bc5p-14, -0x1.c7708e026c718p-14, -0x1.c4edf50b88994p-14, -0x1.c26cf8cdf9d7ap-14, -0x1.bfed7dd6de5e3p-14, -0x1.bd6f7f14ef889p-14, -0x1.baf31f1a28942p-14, -0x1.b878922602872p-14, -0x1.b5ffa4e9842abp-14, -0x1.b387f06be9af2p-14, -0x1.b111ea9e78aep-14, -0x1.ae9dfd6972219p-14, -0x1.ac2baadfede13p-14, -0x1.a9bb3f7f3fc2dp-14, -0x1.a74c6ab871ce3p-14, -0x1.a4df4cb146255p-14, -0x1.a2741405f364dp-14, -0x1.a00a86c8d218fp-14, -0x1.9da3913b62727p-14, -0x1.9b3e17936cde8p-14, -0x1.98d9f292258eap-14, -0x1.96782f7945f9bp-14, -0x1.94182264a176ep-14, -0x1.91ba33538c999p-14, -0x1.8f5f13cf085b1p-14, -0x1.8d04e654b3da2p-14, -0x1.8aaceef463014p-14, -0x1.88570d94752eep-14, -0x1.8603702ebf26fp-14, -0x1.83b1768c93b57p-14, -0x1.8161c3992ff7p-14, -0x1.7f143d9965155p-14, -0x1.7cc8b9b3d5203p-14, -0x1.7a7f85c7eb1ebp-14, -0x1.7837fc1d39ba1p-14, -0x1.75f3083c42e74p-14, -0x1.73af7df39172ep-14, -0x1.716ee91bef0fep-14, -0x1.6f3027998eb02p-14, -0x1.6cf40c08dd434p-14, -0x1.6ab997bcc0368p-14, -0x1.68816daae4b9dp-14, -0x1.664b8b6c75f53p-14, -0x1.6417ee16dc8b8p-14, -0x1.61e68686ce7c1p-14, -0x1.5fb7729ca24d6p-14, -0x1.5d8a55dd8b6fap-14, -0x1.5b5fac04be6eap-14, -0x1.59374885aaf1bp-14, -0x1.57115f4e5efap-14, -0x1.54eddb47e3427p-14, -0x1.52cbda61fdae2p-14, -0x1.50ac95fa7052dp-14, -0x1.4e8fa07956358p-14, -0x1.4c752812d6cbcp-14, -0x1.4a5ca6f624582p-14, -0x1.48469703bc776p-14, -0x1.4632fd7713a28p-14, -0x1.4421d6ed52f0fp-14, -0x1.420717b7322e4p-14, -0x1.40060b0119d7dp-14, -0x1.3dfba222a2ad5p-14, -0x1.3bf3944c4665cp-14, -0x1.39ee519cff5e1p-14, -0x1.37ea973e3a071p-14, -0x1.35e9a1d3e3398p-14, -0x1.33eb0617e27f8p-14, -0x1.31eec60ac3ddp-14, -0x1.2ff4e2b379e74p-14, -0x1.2dfd5a427f0dep-14, -0x1.2c08298e52b84p-14, -0x1.2a14ea05b4fd5p-14, -0x1.2824ec6ee54d7p-14, -0x1.2636e094383e3p-14, -0x1.244b2cf0b43bbp-14, -0x1.2260a5eee2921p-14, -0x1.207ac992897bfp-14, -0x1.1e96749c3d5abp-14, -0x1.1cb442595278ep-14, -0x1.1ad3df3e17083p-14, -0x1.18f6a79e2b41ep-14, -0x1.171b4d5f2ae04p-14, -0x1.1543080e39edp-14, -0x1.136c834c60f97p-14, -0x1.1198631608d93p-14, -0x1.0fc6a6374a494p-14, -0x1.0df74c821cfd3p-14, -0x1.0c29fe9130a89p-14, -0x1.0a5fc30114507p-14, -0x1.08975f26ad811p-14, -0x1.06d1b49a25d05p-14, -0x1.050e4d23aa0c1p-14, -0x1.034cd07658a9dp-14, -0x1.018dda883b1d2p-14, -0x1.ffa2402dc9caep-15, -0x1.fc2cdfb35cb4ap-15, -0x1.f8bef3eb2a6a9p-15, -0x1.f553b7c94ffebp-15, -0x1.f1ed64ec36b66p-15, -0x1.ee8bd8d28bb28p-15, -0x1.eb2dc77daab2dp-15, -0x1.e7d5ea78e3bf7p-15, -0x1.e481d3b235a54p-15, -0x1.e132edf1104adp-15, -0x1.dde7bec1265fdp-15, -0x1.daa1e9fade7cep-15, -0x1.d760cc8a60ac1p-15, -0x1.d422f9b1b38f5p-15, -0x1.d0eac14bf8cc8p-15, -0x1.cdb71b8b3126dp-15, -0x1.ca87cf6dd0848p-15, -0x1.c75d549ef2be6p-15, -0x1.c4376fce8794bp-15, -0x1.c115126153f2dp-15, -0x1.bdf7dc76f7734p-15, -0x1.badf355eac177p-15, -0x1.b7caf911bcafep-15, -0x1.b4bb91fe4fa6bp-15, -0x1.b1afc1ccbde69p-15, -0x1.aea8e2ed6fdd7p-15, -0x1.aba53bf31525ep-15, -0x1.a8a8253e5f5adp-15, -0x1.a5aea49df3beap-15, -0x1.a2b901adad0d7p-15, -0x1.9fc88236f607ap-15, -0x1.9cdbe78ab1231p-15, -0x1.99f3bb5c77dd5p-15, -0x1.971002d4f41edp-15, -0x1.9431244d57e7cp-15, -0x1.91555e833f6f1p-15, -0x1.8e7cfa90a563bp-15, -0x1.8bac03add4795p-15, -0x1.88ddab6c0e939p-15, -0x1.86138864a0dcfp-15, -0x1.834dad5a4b49fp-15, -0x1.808c0e3b75ffp-15, -0x1.7dceabe940a62p-15, -0x1.7b157a3e9f7d4p-15, -0x1.78603c35d6d59p-15, -0x1.75afb00f1f76dp-15, -0x1.7302f933191f2p-15, -0x1.705a62820e542p-15, -0x1.6db5fa305fddp-15, -0x1.6b15ae418e74cp-15, -0x1.687980f73dfbp-15, -0x1.65e1805caf99ap-15, -0x1.634d1450f7132p-15, -0x1.60bd169dd4065p-15, -0x1.5e30c03b52827p-15, -0x1.5ba9301244a1p-15, -0x1.59240d99605e5p-15, -0x1.56a5a79c8f64dp-15, -0x1.54298cf7571b6p-15, -0x1.51b0a3306c592p-15, -0x1.4f3db5b3b024dp-15, -0x1.4cccf4f64d1c5p-15, -0x1.4a5f2a48eafdp-15, -0x1.47f7e7faca236p-15, -0x1.459387ab4d41bp-15, -0x1.433390d57a4fcp-15, -0x1.40d5460f368a4p-15, -0x1.3e7c1b1633f51p-15, -0x1.3c26e5557b9a9p-15, -0x1.39d6c81767fb5p-15, -0x1.3788884e8fca2p-15, -0x1.353e51569b8ap-15, -0x1.32f816f39e454p-15, -0x1.30b59d3e31f85p-15, -0x1.2e772429311f1p-15, -0x1.2c3bc4c5f2313p-15, -0x1.2a0486769a1c9p-15, -0x1.27d0ab43400e1p-15, -0x1.25a095f9ace9ep-15, -0x1.237425a322ac4p-15, -0x1.214a9a9b1170bp-15, -0x1.1f26014ad0dc7p-15, -0x1.1d043a2fbd10cp-15, -0x1.1ae60ba11c85dp-15, -0x1.18cb673ce430ep-15, -0x1.16b44349528c7p-15, -0x1.14a0aca325f0dp-15, -0x1.1290a3e1745cap-15, -0x1.108366de3e8d3p-15, -0x1.0e7ad647561a3p-15, -0x1.0c7528ec2ad32p-15, -0x1.0a7296c59c57cp-15, -0x1.0873bba961ea2p-15, -0x1.067866b4cdceap-15, -0x1.047ff632bd4dp-15, -0x1.028b3a505d6cdp-15, -0x1.0099d62305079p-15, -0x1.fd57619c17b2cp-16, -0x1.f9820d98f20dp-16, -0x1.f5b218f382e72p-16, -0x1.f1e9729211d21p-16, -0x1.ee27c3482b668p-16, -0x1.ea6cc34cb37cdp-16, -0x1.e6b5aae4b209fp-16, -0x1.e307ea3776445p-16, -0x1.df5fa978b42ebp-16, -0x1.dbbd9298114ap-16, -0x1.d821bcc9c0cd5p-16, -0x1.d48be27bc20b9p-16, -0x1.d0fd1a9a32052p-16, -0x1.cd74988e1fc82p-16, -0x1.c9f0dab7dba11p-16, -0x1.c67402e083418p-16, -0x1.c2fd478bdc683p-16, -0x1.bf800a59d5972p-16, -0x1.bc2259b5eeb48p-16, -0x1.b8be30ac1ac41p-16, -0x1.b55ece2de01c3p-16, -0x1.b20626026af75p-16, -0x1.aeb3f00eea4cfp-16, -0x1.ab6704eb843ffp-16, -0x1.a81fd26c5e715p-16, -0x1.a4dec9a149b3bp-16, -0x1.a1a431d2da85ep-16, -0x1.9e6c8f2b01c63p-16, -0x1.9b3ce0283421dp-16, -0x1.98139e9650135p-16, -0x1.94ef6cfa18b1cp-16, -0x1.91d031ee759b2p-16, -0x1.8eb5cd14b53a6p-16, -0x1.8ba0c4d1a4d2bp-16, -0x1.88936722ef766p-16, -0x1.858d803707b1ap-16, -0x1.8284ed832c777p-16, -0x1.7f8932eb0fff5p-16, -0x1.7c8f3bfc45bcep-16, -0x1.799ed6714f172p-16, -0x1.76b0087e5013ap-16, -0x1.73c6f36d749c3p-16, -0x1.70e39f5be6077p-16, -0x1.6e0647826cb3p-16, -0x1.6b2bff0df5213p-16, -0x1.68597cdd5a2cfp-16, -0x1.658b44a7bd223p-16, -0x1.62c018ff1f5ebp-16, -0x1.5ffc278939c9cp-16, -0x1.5d3d06ccbba31p-16, -0x1.5a82d2ec926c8p-16, -0x1.57cd7ef7d3cbfp-16, -0x1.551d289a9a316p-16, -0x1.52719a08e17d6p-16, -0x1.4fcaa7a1928ffp-16, -0x1.4d2999124f0a2p-16, -0x1.4a8ca6ca8d4c2p-16, -0x1.47f4c91390c57p-16, -0x1.456182c7949cp-16, -0x1.42d32404d8661p-16, -0x1.40493c607ae7ap-16, -0x1.3dc46d4d2c365p-16, -0x1.3b44423e11a61p-16, -0x1.38c8904f68e8ep-16, -0x1.36517d271c0efp-16, -0x1.33df00a091fe8p-16, -0x1.316874d421848p-16, -0x1.2f07bba189fc3p-16, -0x1.2ca2f377c68cbp-16, -0x1.2a41b832ce772p-16, -0x1.27e663ab170c6p-16, -0x1.258edd3ade502p-16, -0x1.233b7493b386dp-16, -0x1.20ecb24d19e44p-16, -0x1.1ea235aa8ceedp-16, -0x1.1c5c0018ea06fp-16, -0x1.1a1a0f5b79968p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.96bbff8f6660ep-1, 0x1.963f73667a78ep-1, 0x1.9571f97462c5fp-1, 0x1.94569293780c5p-1, 0x1.92f1313051719p-1, 0x1.9146884186bdp-1, 0x1.8f5bd9e36765fp-1, 0x1.8d36c8a33941dp-1, 0x1.8add2d4dc14fp-1, 0x1.8854f22ff1c11p-1, 0x1.85a3f417a9868p-1, 0x1.82cfe8f6f9f58p-1, 0x1.7fde4bc978bc1p-1, 0x1.7cd44d35e8154p-1, 0x1.79b6c8561df1ep-1, 0x1.768a3b0cdafc2p-1, 0x1.7352c158013ffp-1, 0x1.701413198681cp-1, 0x1.6cd183e01b7f1p-1, 0x1.698e0447c6c25p-1, 0x1.664c2499be29p-1, 0x1.630e1860aa1aap-1, 0x1.5fd5bab3040a3p-1, 0x1.5ca4930032fb7p-1, 0x1.597bda366e47p-1, 0x1.565c801f5c8b7p-1, 0x1.534730d8050d3p-1, 0x1.503c5a4e23e09p-1, 0x1.4d3c31b16caacp-1, 0x1.4a46b8caf1e37p-1, 0x1.475bc32fe3c1p-1, 0x1.447afb4744c94p-1, 0x1.41a3e71c2ca71p-1, 0x1.3ed5ecf7cf184p-1, 0x1.3c1057bfd0863p-1, 0x1.39525b1686f06p-1, 0x1.369b173bb5482p-1, 0x1.33e99cad0dccep-1, 0x1.313cef866a7acp-1, 0x1.2e940aa2413e2p-1, 0x1.2bede27b41dc2p-1, 0x1.294967d078904p-1, 0x1.26a58a0da5b52p-1, 0x1.24013979bcc2ep-1, 0x1.215b692dbcb62p-1, 0x1.1eb310d640cdbp-1, 0x1.1c072e424fb16p-1, 0x1.1956c6c20b02ep-1, 0x1.16a0e857f478ep-1, 0x1.13e4aabf8b83p-1, 0x1.1121304c06714p-1, 0x1.0e55a6a1f0b4dp-1, 0x1.0b81474e67faap-1, 0x1.08a3583eab0dcp-1, 0x1.05bb2c1a98fep-1, 0x1.02c82284ae4fp-1, 0x1.ff935083e40e7p-2, 0x1.f97e6e9858ff2p-2, 0x1.f350ada14a04fp-2, 0x1.ed09363b08263p-2, 0x1.e6a74affb504ap-2, 0x1.e02a482857382p-2, 0x1.d991a3167920bp-2, 0x1.d2dce9c98a61ep-2, 0x1.cc0bc2430934cp-2, 0x1.c51de9dc325f4p-2, 0x1.be13348fbfa5bp-2, 0x1.b6eb8c39fb749p-2, 0x1.afa6efd145d71p-2, 0x1.a8457298dd5cp-2, 0x1.a0c73b4fa579fp-2, 0x1.992c835c5d335p-2, 0x1.917595f89a63bp-2, 0x1.89a2cf5bb1b36p-2, 0x1.81b49be68d5afp-2, 0x1.79ab77514c6b2p-2, 0x1.7187ebdb6b3c1p-2, 0x1.694a917f190f1p-2, 0x1.60f40d2836085p-2, 0x1.58850fef72735p-2, 0x1.4ffe5659dfcd6p-2, 0x1.4760a79d3c988p-2, 0x1.3eacd4e92842fp-2, 0x1.35e3b8b56f14bp-2, 0x1.2d063615783f2p-2, 0x1.24153810ecefp-2, 0x1.1b11b101969cep-2, 0x1.11fc99f66b612p-2, 0x1.08d6f21bc6f84p-2, 0x1.ff437c515e182p-3, 0x1.ecbc0fa234cacp-3, 0x1.da19ba7a29878p-3, 0x1.c75ea109555ddp-3, 0x1.b48cee60f344dp-3, 0x1.a1a6d37d880fbp-3, 0x1.8eae8659d0e7ap-3, 0x1.7ba6410a36533p-3, 0x1.689040e07c8acp-3, 0x1.556ec5976f22bp-3, 0x1.424410864c39fp-3, 0x1.2f1263dba62bbp-3, 0x1.1bdc01df87de5p-3, 0x1.08a32c3c9c5adp-3, 0x1.ead446a04d4f4p-4, 0x1.c4664b0115268p-4, 0x1.9e00dd3481347p-4, 0x1.77a86e6601275p-4, 0x1.51616825ed6fbp-4, 0x1.2b302b47b137dp-4, 0x1.05190ecb713d2p-4, 0x1.be40bda5b9bb2p-5, 0x1.7294b741d89bcp-5, 0x1.27367148a42d9p-5, 0x1.b85c6e31734c6p-6, 0x1.23086da06e79ap-6, 0x1.1d01fe7ca0f94p-7, -0x1.4a7fe92bf7c7p-12, -0x1.2fd1eba9fba94p-7, -0x1.29ac91224ecefp-6, -0x1.ba65c9208eb3dp-6, -0x1.2502f0e1ea3bcp-5, -0x1.6c3f36ebd565ap-5, -0x1.b2e0a8a93905p-5, -0x1.f8e061c28f749p-5, -0x1.1f1bd449fdbfbp-4, -0x1.416ff79128f2p-4, -0x1.636969ff881f2p-4, -0x1.8505118dc899ep-4, -0x1.a63feb45bd5d4p-4, -0x1.c7170b9b758f6p-4, -0x1.e7879ebe377cdp-4, -0x1.03c77470c252ep-3, -0x1.1395233f247e2p-3, -0x1.232b964626197p-3, -0x1.3289945a0831cp-3, -0x1.41adf0bc98b36p-3, -0x1.50978b2eb94ccp-3, -0x1.5f454ffe49d9cp-3, -0x1.6db638108d351p-3, -0x1.7be948e9105a9p-3, -0x1.89dd94ad39aep-3, -0x1.97923a247a3cfp-3, -0x1.a50664b54a54p-3, -0x1.b2394c5ef6ae1p-3, -0x1.bf2a35b0616d2p-3, -0x1.cbd871bbb6dc2p-3, -0x1.d8435e0740331p-3, -0x1.e46a647b5d28ep-3, -0x1.f04cfb4dc078bp-3, -0x1.fbeaa4ea02b4cp-3, -0x1.03a177ebceefdp-2, -0x1.092abb4ebaee1p-2, -0x1.0e90efd17acf2p-2, -0x1.13d3ee876f82fp-2, -0x1.18f39651f6161p-2, -0x1.1defcbcda3b52p-2, -0x1.22c8793e837b7p-2, -0x1.277d8e7b5991p-2, -0x1.2c0f00d7fa1c4p-2, -0x1.307ccb0ec4bccp-2, -0x1.34c6ed2947a4p-2, -0x1.38ed6c681be39p-2, -0x1.3cf0532a06d03p-2, -0x1.40cfb0d268653p-2, -0x1.448b99af067c8p-2, -0x1.482426dd3ef9dp-2, -0x1.4b99762ea7109p-2, -0x1.4eebaa0d2ef3ap-2, -0x1.521ae95ec6dc1p-2, -0x1.55275f689a816p-2, -0x1.58113bb1ebd07p-2, -0x1.5ad8b1e692279p-2, -0x1.5d7df9b92f3edp-2, -0x1.60014ec52136ep-2, -0x1.6262f07039b89p-2, -0x1.64a321cc498a1p-2, -0x1.66c22978833d7p-2, -0x1.68c05182c37b5p-2, -0x1.6a9de748c5f43p-2, -0x1.6c5b3b5950a46p-2, -0x1.6df8a1555ce4dp-2, -0x1.6f766fd147f6ap-2, -0x1.70d5003613633p-2, -0x1.7214aea2b7d52p-2, -0x1.7335d9cd9d541p-2, -0x1.7438e2e6340bp-2, -0x1.751e2d76baccfp-2, -0x1.75e61f463a601p-2, -0x1.7691203abad65p-2, -0x1.771f9a3bb83bbp-2, -0x1.7791f914de83ap-2, -0x1.77e8aa590fca4p-2, -0x1.78241d45bfe7dp-2, -0x1.7844c2a6a0f16p-2, -0x1.784b0cb9b23cdp-2, -0x1.78376f13a83c9p-2, -0x1.780a5e84c01bap-2, -0x1.77c450fdf64eap-2, -0x1.7765bd76ac69dp-2, -0x1.76ef1bd2bffebp-2, -0x1.7660e4c914442p-2, -0x1.75bb91ca904ap-2, -0x1.74ff9ce99af66p-2, -0x1.742d80c211b6fp-2, -0x1.7345b861bb389p-2, -0x1.7248bf3140433p-2, -0x1.713710dda3b04p-2, -0x1.701129424084cp-2, -0x1.6ed784534f108p-2, -0x1.6d8a9e08f112ep-2, -0x1.6c2af24ac6a69p-2, -0x1.6ab8fcdc0e28p-2, -0x1.693539484ce34p-2, -0x1.67a022d086412p-2, -0x1.65fa3458fbbbbp-2, -0x1.6443e8577b51dp-2, -0x1.627db8c23884fp-2, -0x1.60a81eff31a28p-2, -0x1.5ec393d4223b7p-2, -0x1.5cd08f570176bp-2, -0x1.5acf88df084a3p-2, -0x1.58c0f6f647851p-2, -0x1.56a54f4bc31c5p-2, -0x1.547d06a618013p-2, -0x1.524890d6aba0cp-2, -0x1.500860ad5fc48p-2, -0x1.4dbce7eccd081p-2, -0x1.4b66973f0371fp-2, -0x1.4905de2ac946ep-2, -0x1.469b2b0963142p-2, -0x1.4426eafcd208ep-2, -0x1.41a989e699c5cp-2, -0x1.3f23725efd5bap-2, -0x1.3c950dacb7e06p-2, -0x1.39fec3bd2f48p-2, -0x1.3760fb1d1d1b6p-2, -0x1.34bc18f1ac2c4p-2, -0x1.321080f20913p-2, -0x1.2f5e956165e76p-2, -0x1.2ca6b7096948cp-2, -0x1.29e945350c3b2p-2, -0x1.27269dabe1921p-2, -0x1.245f1cadc5972p-2, -0x1.21931ceef49a8p-2, -0x1.1ec2f79484079p-2, -0x1.1bef04313bcb2p-2, -0x1.191798c2d2adfp-2, -0x1.163d09af8234dp-2, -0x1.135fa9c3f89f2p-2, -0x1.107fca31a26a7p-2, -0x1.0d9dba8d46856p-2, -0x1.0ab9c8cdfa782p-2, -0x1.07d4414c6313ep-2, -0x1.04ed6ec24760ap-2, -0x1.02059a4a6a598p-2, -0x1.fe3a16c16eb1bp-3, -0x1.f8680fc5590d2p-3, -0x1.f295a82020f7fp-3, -0x1.ecc36517d1fdap-3, -0x1.e6f1c8bb63e49p-3, -0x1.e12151e5a8fcdp-3, -0x1.db527c40ad056p-3, -0x1.d585c04991dabp-3, -0x1.cfbb9354d22dcp-3, -0x1.c9f46792f5b39p-3, -0x1.c430ac15a7d8ap-3, -0x1.be70ccd5339c1p-3, -0x1.b8b532b65bc73p-3, -0x1.b2fe43908e9edp-3, -0x1.ad4c62346ee8p-3, -0x1.a79fee72ac166p-3, -0x1.a1f945232eec1p-3, -0x1.9c58c02c8ab57p-3, -0x1.96beb68bb4e34p-3, -0x1.912b7c5c03e4cp-3, -0x1.8b9f62df69d17p-3, -0x1.861ab886e3da1p-3, -0x1.809dc8fb32bb8p-3, -0x1.7b28dd25b1fa9p-3, -0x1.75bc3b3972db5p-3, -0x1.705826bc77e35p-3, -0x1.6afce091227fdp-3, -0x1.65aaa6ffc1371p-3, -0x1.6061b5c04ab62p-3, -0x1.5b2246042fbd2p-3, -0x1.55ec8e8055823p-3, -0x1.50c0c37721ab6p-3, -0x1.4b9f16c2a6d4fp-3, -0x1.4687b7dee00afp-3, -0x1.417ad3f407883p-3, -0x1.3c7895e0f55f3p-3, -0x1.37812645933f9p-3, -0x1.3294ab8d56644p-3, -0x1.2db349f9c874cp-3, -0x1.28dd23ad13ec1p-3, -0x1.241258b494e51p-3, -0x1.1f53071371d16p-3, -0x1.1a9f4acd2e089p-3, -0x1.15f73df03fdb2p-3, -0x1.115af8a0a321dp-3, -0x1.0cca912267662p-3, -0x1.08461be4329c2p-3, -0x1.03cdab89c4bd1p-3, -0x1.fec2a1eccc8cp-4, -0x1.f60236aeaba95p-4, -0x1.ed5a305c3dcccp-4, -0x1.e4caa6b5dbe5dp-4, -0x1.dc53ae4d8f013p-4, -0x1.d3f5589b6e9bbp-4, -0x1.cbafb411d67ebp-4, -0x1.c382cc3170a22p-4, -0x1.bb6ea99d1859dp-4, -0x1.b373522d91889p-4, -0x1.ab90c905175c8p-4, -0x1.a3c70ea2b6448p-4, -0x1.9c1620f56d9abp-4, -0x1.947dfb6f3095ap-4, -0x1.8cfe97179d56dp-4, -0x1.8597ea9e9123ap-4, -0x1.7e49ea6e747e1p-4, -0x1.771488be58445p-4, -0x1.6ff7b5a3d56b3p-4, -0x1.68f35f24b2aa7p-4, -0x1.62077148477c8p-4, -0x1.5b33d628aa848p-4, -0x1.547876039c0c3p-4, -0x1.4dd5374b301f3p-4, -0x1.4749feb63db67p-4, -0x1.40d6af50872bfp-4, -0x1.3a7b2a8aa6296p-4, -0x1.34375049b2fb8p-4, -0x1.2e0afef6a8dep-4, -0x1.27f6138d8c885p-4, -0x1.21f869ac46e7cp-4, -0x1.1c11dba145717p-4, -0x1.16424279d145bp-4, -0x1.1089761023d38p-4, -0x1.0ae74d1938756p-4, -0x1.055b9d325aad6p-4, -0x1.ffcc75dcdd141p-5, -0x1.f50df3c5e7cf7p-5, -0x1.ea7b5969994ep-5, -0x1.e0144a49730d7p-5, -0x1.d5d8683720e53p-5, -0x1.cbc7536c750cep-5, -0x1.c1e0aaa2cabb7p-5, -0x1.b8240b29eb844p-5, -0x1.ae9110fe6f5b2p-5, -0x1.a52756df9631p-5, -0x1.9be67664a93bdp-5, -0x1.92ce0811c81e1p-5, -0x1.89dda36c4a0a7p-5, -0x1.8114df0e8c89p-5, -0x1.787350bb4a9cfp-5, -0x1.6ff88d707f731p-5, -0x1.67a42979bd63p-5, -0x1.5f75b88211e24p-5, -0x1.576ccda56acdp-5, -0x1.4f88fb818d8f7p-5, -0x1.47c9d446889a7p-5, -0x1.402ee9c6b6b8ep-5, -0x1.38b7cd8653354p-5, -0x1.316410ca895aep-5, -0x1.2a3344a826b97p-5, -0x1.2324fa11d0278p-5, -0x1.1c38c1e5cef92p-5, -0x1.156e2cfb6bddap-5, -0x1.0ec4cc2fe0e3ap-5, -0x1.083c3072df1fp-5, -0x1.01d3ead2b7119p-5, -0x1.f717191012e76p-6, -0x1.eac54e023ea4bp-6, -0x1.deb197d9ad06dp-6, -0x1.d2db1a8a74b94p-6, -0x1.c740fab34afcep-6, -0x1.bbe25db14189ep-6, -0x1.b0be69b296996p-6, -0x1.a5d445c8efc02p-6, -0x1.9b2319fae645fp-6, -0x1.90aa0f54c3321p-6, -0x1.86684ff8ae9b2p-6, -0x1.7c5d072e28015p-6, -0x1.72876170dab36p-6, -0x1.68e68c7edb9c8p-6, -0x1.5f79b7663455ap-6, -0x1.56401291e44aep-6, -0x1.4d38cfd638fdep-6, -0x1.4463227cb010bp-6, -0x1.3bbe3f4f1c04fp-6, -0x1.33495ca263a73p-6, -0x1.2b03b2609eec9p-6, -0x1.22ec7a12ad691p-6, -0x1.1b02eee955d92p-6, -0x1.13464dc5da577p-6, -0x1.0bb5d5420792cp-6, -0x1.0450c5b7d150dp-6, -0x1.fa2cc291068dbp-7, -0x1.ec0bd7c6b6b71p-7, -0x1.de3d5697b13aep-7, -0x1.d0bfce3eea15bp-7, -0x1.c391d1b6362fcp-7, -0x1.b6b1f7c007d28p-7, -0x1.aa1edaf0b64f4p-7, -0x1.9dd719b6d0c28p-7, -0x1.91d95662a35eap-7, -0x1.8624372d234dbp-7, -0x1.7ab6663dfc373p-7, -0x1.6f8e91b124bbbp-7, -0x1.64ab6b9b932bfp-7, -0x1.5a0baa0f40ea9p-7, -0x1.4fae071ed3bc4p-7, -0x1.459140e05c0f4p-7, -0x1.3bb4196fac3dfp-7, -0x1.321556f0014dfp-7, -0x1.28b3c38d30f5bp-7, -0x1.1f8e2d7c3feb6p-7, -0x1.16a366fb6d4b2p-7, -0x1.0df24651e1f2bp-7, -0x1.0579a5ceaa97bp-7, -0x1.fa70c78ec1e2dp-8, -0x1.ea5ac52cdf1c5p-8, -0x1.daaf11315af39p-8, -0x1.cb6b80558a834p-8, -0x1.bc8def4c3423ep-8, -0x1.ae1442baa611cp-8, -0x1.9ffc6730ecbccp-8, -0x1.924451219521p-8, -0x1.84e9fcd8740bcp-8, -0x1.77eb6e70ea7d6p-8, -0x1.6b46b1cb9cbedp-8, -0x1.5ef9da836a0fbp-8, -0x1.530303e1c8f47p-8, -0x1.476050d2cdab4p-8, -0x1.3c0febd875ba7p-8, -0x1.311006fd8600ap-8, -0x1.265edbc7f0dc3p-8, -0x1.1bfaab2ac0c1cp-8, -0x1.11e1bd77b3bap-8, -0x1.08126250234b3p-8, -0x1.fd15e12bf2aa8p-9, -0x1.ea938cb797d22p-9, -0x1.d89a91aa245bp-9, -0x1.c727c88b7c589p-9, -0x1.b63817e33e571p-9, -0x1.a5c87416f911fp-9, -0x1.95d5df47c5c9bp-9, -0x1.865d692f969abp-9, -0x1.775c2efde9745p-9, -0x1.68cf5b340326dp-9, -0x1.5ab42580b4ca1p-9, -0x1.4d07d29c6781ep-9, -0x1.3fc7b42391cfap-9, -0x1.32f12872523p-9, -0x1.26819a7ed1d85p-9, -0x1.1a7681b3899e7p-9, -0x1.0ecd61c9cb8e5p-9, -0x1.0383caa370626p-9, -0x1.f12eb049ee883p-10, -0x1.dc0b641e872ebp-10, -0x1.c79917b1e422ap-10, -0x1.b3d3491085facp-10, -0x1.a0b58d18d244fp-10, -0x1.8e3b8f2dd0d7p-10, -0x1.7c6110ea39102p-10, -0x1.6b21e9d38c9dp-10, -0x1.5a7a070c58ef5p-10, -0x1.4a656b07b636ap-10, -0x1.3ae02d3c70c7p-10, -0x1.2be679d7cf6c8p-10, -0x1.1d7491717c38bp-10, -0x1.0f86c8bf091d2p-10, -0x1.021988479b5c8p-10, -0x1.ea529831453ap-11, -0x1.d16546f414376p-11, -0x1.b964614505bd6p-11, -0x1.a24950dcd2acfp-11, -0x1.8c0da426813e2p-11, -0x1.76ab0daec3554p-11, -0x1.621b638f4dbe5p-11, -0x1.4e589edc65bc1p-11, -0x1.3b5cdb14d8ef8p-11, -0x1.29225590e6ce7p-11, -0x1.17a36cf3a315p-11, -0x1.06daa09c2a813p-11, -0x1.ed852031cd67p-12, -0x1.ceabf5389be23p-12, -0x1.b11f7ce332e09p-12, -0x1.94d5b0e4f8406p-12, -0x1.79c4c701b6b79p-12, -0x1.5fe32ffb82caap-12, -0x1.4727968aa65d2p-12, -0x1.2f88de5132854p-12, -0x1.18fe22d8172b2p-12, -0x1.037eb68867938p-12, -0x1.de04435a5105dp-13, -0x1.b70042e685994p-13, -0x1.91e14dddf6382p-13, -0x1.6e97ac4513f2fp-13, -0x1.4d140a1261593p-13, -0x1.2d4775473413dp-13, -0x1.0f235c0ecf657p-13, -0x1.e53315ccaff49p-14, -0x1.af38558a1858ep-14, -0x1.7c3b7ea27d4dep-14, -0x1.4c224a224cce2p-14, -0x1.1ed31f5b474f3p-14, -0x1.e86a20cbdf123p-15, -0x1.985fad59411c3p-15, -0x1.4d579f204e5efp-15, -0x1.0723f2191ee45p-15, -0x1.8b2fb9bba2404p-16, -0x1.110f944ab3eb4p-16, -0x1.3f254980b2bf5p-17, -0x1.b333561a208ebp-19, 0x1.562abccbf64d7p-19, 0x1.087d548a91e53p-17, 0x1.aca2d6465c937p-17, 0x1.214759f548bbbp-16, 0x1.656824351ad69p-16, 0x1.a2f9706f40c94p-16, 0x1.da3ee9ca102fap-16, 0x1.05bd258eb6e4cp-15, 0x1.1b75b4fcae25dp-15, 0x1.2e6820c23272ep-15, 0x1.3eb27e8cc493bp-15, 0x1.4c7201608815bp-15, 0x1.57c2fec6edd57p-15, 0x1.60c0f3d651426p-15, 0x1.67868a363b6e3p-15, 0x1.6c2d9d0314534p-15, 0x1.6ecf3da0f7228p-15, 0x1.6f83b86d9043ap-15, 0x1.6e62996f89831p-15, 0x1.6b82b0e6091e5p-15, 0x1.66fa17c22cd3ap-15, 0x1.60de3413b8d94p-15, 0x1.5943bd545a595p-15, 0x1.503ec0b6ba4f9p-15, 0x1.45e2a53a43ab1p-15, 0x1.3a422fda071b4p-15, 0x1.2d6f8783b8f1ap-15, 0x1.1f7c390977c9ap-15, 0x1.10793b052f3ecp-15, 0x1.0076f19ed5123p-15, 0x1.df0a648a2a467p-16, 0x1.bb668eaaea352p-16, 0x1.961fe759ee8c2p-16, 0x1.6f52ec5602178p-16, 0x1.471b1a43fb169p-16, 0x1.1d92f35aef7acp-16, 0x1.e5a80c446c23ep-17, 0x1.8dede782ab244p-17, 0x1.3426ecdb2e53ep-17, 0x1.b1019e518ce8fp-18, 0x1.ec9e2fc1d896dp-19, 0x1.c45772e4cd054p-21, -0x1.0ff2e3c273a9cp-19, -0x1.4aefc151f9a6p-18, -0x1.0806637eaf364p-17, -0x1.6b842150783cfp-17, -0x1.cfce6b996f325p-17, -0x1.1a61fd83a7ebep-16, -0x1.4d22729f42864p-16, -0x1.80194967e7bb3p-16, -0x1.b337dac48feabp-16, -0x1.e6701f60245d4p-16, -0x1.0cda5586d668p-15, -0x1.267c541258259p-15, -0x1.4017e98cf1caap-15, -0x1.59a73b0a5ca14p-15, -0x1.7324b25c33a9bp-15, -0x1.8c8afbf42bde5p-15, -0x1.a5d504e3a0816p-15, -0x1.befdf8d8ff623p-15, -0x1.d80140326cd58p-15, -0x1.f0da7e16afa57p-15, -0x1.04c2c74ed8e06p-14, -0x1.10ff427fbe8f8p-14, -0x1.1d20d4e9acf3ap-14, -0x1.2925bcab967abp-14, -0x1.350c50e1e2e3dp-14, -0x1.40d300d38d283p-14, -0x1.4c785328d4f86p-14, -0x1.57fae51fd08cep-14, -0x1.635969cef371p-14, -0x1.6e92a96435b0ap-14, -0x1.79a5806f2db4cp-14, -0x1.8490df2caf989p-14, -0x1.8f53c8d6d3d58p-14, -0x1.99ed52fb61d31p-14, -0x1.a45ca4d5eaf4ep-14, -0x1.aea0f6ad14454p-14, -0x1.b8b99136ffb9p-14, -0x1.c2a5ccfdd77fp-14, -0x1.cc6511cbf8a1dp-14, -0x1.d5f6d619c050fp-14, -0x1.df5a9e81953dp-14, -0x1.e88ffd35bc528p-14, -0x1.f196917a888bbp-14, -0x1.fa6e0725351d1p-14, -0x1.018b0b0e9b119p-13, -0x1.05c740f02fa59p-13, -0x1.09eb8c86b7fecp-13, -0x1.0df7da7744f59p-13, -0x1.11ec1c84d169cp-13, -0x1.15c8495933cb1p-13, -0x1.198c5c4ff26b7p-13, -0x1.1d385542efcb2p-13, -0x1.20cc38583d6ep-13, -0x1.24480dd16f4c7p-13, -0x1.27abe1dce9785p-13, -0x1.2af7c46799d86p-13, -0x1.2e2bc8f0a3fcbp-13, -0x1.3148065ec733cp-13, -0x1.344c96d6289acp-13, -0x1.3739979099fcdp-13, -0x1.3a0f28b5d5e34p-13, -0x1.3ccd6d35ffb6p-13, -0x1.3f748aa4c5fd4p-13, -0x1.4204a91584717p-13, -0x1.447df2f962f28p-13, -0x1.46e094fdca119p-13, -0x1.492cbdec4631fp-13, -0x1.4b629e8b530cap-13, -0x1.4d82697feaa99p-13, -0x1.4f8c5330e7d0fp-13, -0x1.518091aa855p-13, -0x1.535f5c836fdcdp-13, -0x1.5528ecc27ccf1p-13, -0x1.56dd7cc588481p-13, -0x1.587d48281368p-13, -0x1.5a088bad08a77p-13, -0x1.5b7f8526ca715p-13, -0x1.5ce27361e0c6p-13, -0x1.5e3196101040dp-13, -0x1.5f6d2db350b08p-13, -0x1.60957b8ad0ce6p-13, -0x1.61aac17f85c4p-13, -0x1.62ad42125003fp-13, -0x1.639d404a9b884p-13, -0x1.647affa58f489p-13, -0x1.6546c4059240ap-13, -0x1.6600d1a37a826p-13, -0x1.66a96cfec4945p-13, -0x1.6740dad00a601p-13, -0x1.67c75ffb0d23ap-13, -0x1.683d4181609d9p-13, -0x1.68a2c476637d3p-13, -0x1.68f82df2f9ac9p-13, -0x1.693dc309c200bp-13, -0x1.6973c8bc40019p-13, -0x1.699a83f0ae21fp-13, -0x1.69b2396740cp-13, -0x1.69bb2db15b3f5p-13, -0x1.69b5a5280aaf9p-13, -0x1.69a1e3e35eeddp-13, -0x1.69802db1e8b3bp-13, -0x1.6950c61168fe9p-13, -0x1.6913f026a02f6p-13, -0x1.68c9eeb6e4edfp-13, -0x1.6873042135bep-13, -0x1.680f725786ed1p-13, -0x1.679f7ad96078dp-13, -0x1.67235ead6b09bp-13, -0x1.669b5e5cdfb74p-13, -0x1.6607b9edc0264p-13, -0x1.6568b0deac149p-13, -0x1.64be822242b44p-13, -0x1.64096c1adfe5dp-13, -0x1.6349ac96e428ap-13, -0x1.627f80ccc1ff7p-13, -0x1.61ab255826281p-13, -0x1.60ccd636488dep-13, -0x1.5fe4cec34ff41p-13, -0x1.5ef349b7f4adp-13, -0x1.5df881267d963p-13, -0x1.5cf4ae78f11fcp-13, -0x1.5be80a6ee172fp-13, -0x1.5ad2cd1b8527bp-13, -0x1.59b52de45e4b2p-13, -0x1.588f637f7ab7p-13, -0x1.5761a3f288fb2p-13, -0x1.562c24916b92fp-13, -0x1.54ef19fd39178p-13, -0x1.53aab823d4aa3p-13, -0x1.525f323ed4ee6p-13, -0x1.510cbad359b45p-13, -0x1.4fb383b18a447p-13, -0x1.4e53bdf467701p-13, -0x1.4ced9a01b08bap-13, -0x1.4b814789f658ep-13, -0x1.4a0ef5884d90ep-13, -0x1.4896d243524c2p-13, -0x1.47190b4cc153ep-13, -0x1.4595cd825b1d8p-13, -0x1.440d450e3a42ap-13, -0x1.427f9d67c7995p-13, -0x1.40ed0153d4532p-13, -0x1.3f559ae5f4c4p-13, -0x1.3db99381373b1p-13, -0x1.3c1913d8d2bfbp-13, -0x1.3a7443f189f3fp-13, -0x1.38cb4b22b8651p-13, -0x1.371e5017229ccp-13, -0x1.356d78ce9475cp-13, -0x1.33b8ea9ed9b4fp-13, -0x1.3200ca352ad48p-13, -0x1.30453b977cfb3p-13, -0x1.2e86622608e68p-13, -0x1.2cc4609c87f81p-13, -0x1.2aff5914127dfp-13, -0x1.29376d0440d41p-13, -0x1.276cbd44f9765p-13, -0x1.259f6a0fd0482p-13, -0x1.23cf9301f0926p-13, -0x1.21fd571db2566p-13, -0x1.2028d4cc0c802p-13, -0x1.1e5229de7d16bp-13, -0x1.1c797390f421p-13, -0x1.1a9ece8b1b825p-13, -0x1.18c256e26d1acp-13, -0x1.16e4281bed084p-13, -0x1.15045d2de781bp-13, -0x1.13231081a8643p-13, -0x1.11405bf588519p-13, -0x1.0f5c58de9887fp-13, -0x1.0d77200a6c72bp-13, -0x1.0b90c9c0ed239p-13, -0x1.09a96dc658ee9p-13, -0x1.07c1235cec8dep-13, -0x1.05d80146c6d16p-13, -0x1.03ee1dc7c99afp-13, -0x1.02038ea753389p-13, -0x1.0018693250ea9p-13, -0x1.fc598479b8a39p-14, -0x1.f8815c48169d2p-14, -0x1.f4a8819fb0629p-14, -0x1.f0cf1b6a073a4p-14, -0x1.ecf54fad84595p-14, -0x1.e91b4391116cfp-14, -0x1.e5411b5fc15a2p-14, -0x1.e166fa8c85995p-14, -0x1.dd8d03b585e5ap-14, -0x1.d9b358a77d538p-14, -0x1.d5da1a619e82dp-14, -0x1.d2016918a8a6ap-14, -0x1.ce29643a9779ep-14, -0x1.ca522a71eab7ap-14, -0x1.c67bd9a91e376p-14, -0x1.c2a68f0df3329p-14, -0x1.bed26714a0526p-14, -0x1.baff7d7b733a4p-14, -0x1.b72ded4dd5597p-14, -0x1.b35dd0e7785e3p-14, -0x1.af8f41f79a13ap-14, -0x1.abc2598429a08p-14, -0x1.a7f72fed18014p-14, -0x1.a42ddcef2fd07p-14, -0x1.a06677a720f03p-14, -0x1.9ca116949cf53p-14, -0x1.98ddcf9d3faf5p-14, -0x1.951cb80fb9a1bp-14, -0x1.915de4a66b718p-14, -0x1.8da1698a5adcep-14, -0x1.89e75a5614f64p-14, -0x1.862fca18878bp-14, -0x1.827acb578c2e4p-14, -0x1.7ec87012dbbe8p-14, -0x1.7b18c9c68e453p-14, -0x1.776be96de53bbp-14, -0x1.73c1df85be722p-14, -0x1.701abc0f3938cp-14, -0x1.6c768e92369b1p-14, -0x1.68d5661ff1067p-14, -0x1.6537515547bd3p-14, -0x1.619c5e5d3abfp-14, -0x1.5e049af34a3b4p-14, -0x1.5a701465bfda5p-14, -0x1.56ded7980e2ffp-14, -0x1.5350f1050c25ap-14, -0x1.4fc66cc130c1ep-14, -0x1.4c3f567caae77p-14, -0x1.48bbb985ac9a8p-14, -0x1.453ba0ca7a1a7p-14, -0x1.41bf16db697dcp-14, -0x1.3e4625ed03459p-14, -0x1.3ad0d7d9fd49fp-14, -0x1.375f362532c58p-14, -0x1.33f149fb97268p-14, -0x1.30871c3617675p-14, -0x1.2d20b55b72089p-14, -0x1.29be1da21c6p-14, -0x1.265f5cf1f51a3p-14, -0x1.23047ae61d49bp-14, -0x1.1fad7eceabcf2p-14, -0x1.1c5a6fb25fdb6p-14, -0x1.190b54504bb24p-14, -0x1.15c03321735bap-14, -0x1.1279125a722cap-14, -0x1.0f35f7eceb5b2p-14, -0x1.0bf6e98931de5p-14, -0x1.08bbec9fd51c6p-14, -0x1.05850662f7023p-14, -0x1.02523bc7d31afp-14, -0x1.fe472310576edp-15, -0x1.f7f21847509d9p-15, -0x1.f1a55fc256755p-15, -0x1.eb6101a05fd41p-15, -0x1.e5250594486f1p-15, -0x1.def172e7234bep-15, -0x1.d8c6507ae46b4p-15, -0x1.d2a3a4ccbfde4p-15, -0x1.cc8975f7ace42p-15, -0x1.c677c9b6b3582p-15, -0x1.c06ea5672778ap-15, -0x1.ba6e0e0ac3d04p-15, -0x1.b476084a3f6b1p-15, -0x1.ae8698772ca99p-15, -0x1.a89fc28e1b169p-15, -0x1.a2c18a38b65b6p-15, -0x1.9cebf2cfa9c1ap-15, -0x1.971eff5cc99a2p-15, -0x1.915ab29ce0c44p-15, -0x1.8b9f0f015c577p-15, -0x1.85ec16b293aa3p-15, -0x1.8041cb91446c3p-15, -0x1.7aa02f38527d6p-15, -0x1.750742feaf098p-15, -0x1.6f7707f8d0503p-15, -0x1.69ef7efa68795p-15, -0x1.6470a897e773bp-15, -0x1.5efa85284370ep-15, -0x1.598d14c66e277p-15, -0x1.54285752a94bdp-15, -0x1.4ecc4c73e0147p-15, -0x1.4978f3997dc31p-15, -0x1.442e4bfc7ebdap-15, -0x1.3eec54a0d9349p-15, -0x1.39b30c56d4d9cp-15, -0x1.348271bc4f227p-15, -0x1.2f5a833e2d4bep-15, -0x1.2a3b3f19169f9p-15, -0x1.2524a35b25e1p-15, -0x1.2016ade4e8bedp-15, -0x1.1b115c6a6be11p-15, -0x1.1614ac7461442p-15, -0x1.11209b6172e42p-15, -0x1.0c352666e596fp-15, -0x1.07524a91cc5f4p-15, -0x1.027804c86361fp-15, -0x1.fb4ca3951864dp-16, -0x1.f1ba5c65957d8p-16, -0x1.e8392cef0a7eep-16, -0x1.dec90dd7a8341p-16, -0x1.d569f78060848p-16, -0x1.cc1be206faf5ep-16, -0x1.c2dec547d9e98p-16, -0x1.b9b298df2cdb9p-16, -0x1.b097542ae759p-16, -0x1.a78cee4c5de37p-16, -0x1.9e935e29e1643p-16, -0x1.95aa9a6f7b3e6p-16, -0x1.8cd299912ae28p-16, -0x1.840b51cc26771p-16, -0x1.7b54b928001e8p-16, -0x1.72aec5783300bp-16, -0x1.6a196c5dcbb68p-16, -0x1.6194a34772601p-16, -0x1.59205f7418a22p-16, -0x1.50bc95f3c92c4p-16, -0x1.48693ba7f2a9dp-16, -0x1.40264545b24e4p-16, -0x1.37f3a756a4ccbp-16, -0x1.2fd156399400bp-16, -0x1.27bf46240115dp-16, -0x1.1fbd6b22ecd9ap-16, -0x1.17cbb91c0cdc3p-16, -0x1.0fea23ceb711p-16, -0x1.08189ed4f1771p-16, -0x1.00571da3fde3ep-16, -0x1.f14b271b763p-17, -0x1.e207e7832f2a2p-17, -0x1.d2e46299f7147p-17, -0x1.c3e07e38eef0ep-17, -0x1.b4fc1ffa23a65p-17, -0x1.a6372d3774f9cp-17, -0x1.97918b0ead464p-17, -0x1.890b1e6364463p-17, -0x1.7aa3cbdd68ab6p-17, -0x1.6c5b77ed49b0bp-17, -0x1.5e3206cdb0fa9p-17, -0x1.50275c822b4cdp-17, -0x1.423b5cdb2cf2cp-17, -0x1.346deb765a618p-17, -0x1.26beebbfcc306p-17, -0x1.192e40f454bf5p-17, -0x1.0bbbce210f152p-17, -0x1.fcceec4c343ep-18, -0x1.e262376fbff2ep-18, -0x1.c83142bcce41p-18, -0x1.ae3bd2f0d5907p-18, -0x1.9481ac782f4e2p-18, -0x1.7b02936e424aap-18, -0x1.61be4ba3034efp-18, -0x1.48b4989bdbfbep-18, -0x1.2fe53d92581e8p-18, -0x1.174ffd7ad85edp-18, -0x1.fde9360c2b42bp-19, -0x1.cda5b13d9b16ap-19, -0x1.9dd4f0e2b6fa7p-19, -0x1.6e7678d6496cp-19, -0x1.3f89cc73b7116p-19, -0x1.110e6ea3deec5p-19, -0x1.c607c3b7499dcp-20, -0x1.6ad3503eb3149p-20, -0x1.107e861046088p-20, -0x1.6e10cf1634cddp-21, -0x1.79bfd91d8c41fp-22, -0x1.ad0cc45ebfc3ap-26, 0x1.40af880ca2792p-22, 0x1.4c6293294b3e5p-21, 0x1.f6ba09f8b667bp-21, 0x1.4fb0163867048p-20, 0x1.a32b7fefa93a8p-20, 0x1.f5d045682d964p-20, 0x1.23cfb53d5d21p-19, 0x1.4c4cf9cc63072p-19, 0x1.746072e15f117p-19, 0x1.9c0aa33ba2906p-19, 0x1.c34c0de204f3ap-19, 0x1.ea2536175d771p-19, 0x1.084b4fab0f3adp-18, 0x1.1b5066abdf45bp-18, 0x1.2e222204f1e75p-18, 0x1.40c0c3c6cd069p-18, 0x1.532c8e1affa1bp-18, 0x1.6565c341d945fp-18, 0x1.776ca5922cf51p-18, 0x1.89417778300cep-18, 0x1.9ae47b7414957p-18, 0x1.ac55f416c9ffcp-18, 0x1.bd962403e3adfp-18, 0x1.cea54def9349dp-18, 0x1.df83b49c54b5ap-18, 0x1.f0319adb8436ep-18, 0x1.0057a1c4abe01p-17, 0x1.087e78c753e4bp-17, 0x1.108d73efc280fp-17, 0x1.1884b4bc4a7ebp-17, 0x1.20645cb00835ep-17, 0x1.282c8d50cb758p-17, 0x1.2fdd6827d16c2p-17, 0x1.37770ec1b3817p-17, 0x1.3ef9a2ac411b2p-17, 0x1.466545772d8f4p-17, 0x1.4dba18b327f8ap-17, 0x1.54f83df15acfp-17, 0x1.5c1fd6c36545ep-17, 0x1.633104ba43487p-17, 0x1.6a2be9657c132p-17, 0x1.7110a653beb66p-17, 0x1.77df5d12226ap-17, 0x1.7e982f2ac9cafp-17, 0x1.853b3e24d1901p-17, 0x1.8bc8ab847491bp-17, 0x1.924098ca54c2bp-17, 0x1.98a32772b7317p-17, 0x1.9ef078f49c014p-17, 0x1.a528aec231b52p-17, 0x1.ab4bea4842308p-17, 0x1.b15a4ced914e8p-17, 0x1.b753f81266b54p-17, 0x1.bd390d0f425edp-17, 0x1.c309ad3697085p-17, 0x1.c8c5f9d251879p-17, 0x1.ce6e1423f2bb9p-17, 0x1.d4021d64b7e71p-17, 0x1.d98236c47ec83p-17, 0x1.deee816a83d4p-17, 0x1.e4471e72f7f52p-17, 0x1.e98c2eefe721ap-17, 0x1.eebdd3e959808p-17, 0x1.f3dc2e5bf5364p-17, 0x1.f8e75f38447cap-17, 0x1.fddf8763570bp-17, 0x1.016263db1338dp-16, 0x1.03cba07e7494bp-16, 0x1.062b89faf1f7cp-16, 0x1.088230a954da7p-16, 0x1.0acfa4dbac881p-16, 0x1.0d13f6dc88aecp-16, 0x1.0f4f36ef45c0dp-16, 0x1.1181754f91048p-16, 0x1.13aac2321078dp-16, 0x1.15cb2dc2ef046p-16, 0x1.17e2c8267a43dp-16, 0x1.19f1a178ef609p-16, 0x1.1bf7c9ce38c5bp-16, 0x1.1df5513189f74p-16, 0x1.1fea47a52e923p-16, 0x1.21d6bd230131ap-16, 0x1.23bac19bca062p-16, 0x1.259664f67f297p-16, 0x1.2769b7114c595p-16, 0x1.2934c7c0b7e9bp-16, 0x1.2af7a6cf7335dp-16, 0x1.2cb263fe254d6p-16, 0x1.2e650f03d7c38p-16, 0x1.300fb78d3d7e4p-16, 0x1.31b26d3c90206p-16, 0x1.334d3fa9ab6b1p-16, 0x1.34e03e6206c1cp-16, 0x1.366b78e7e0982p-16, 0x1.37eefeb2a4c48p-16, 0x1.396adf2eef61fp-16, 0x1.3adf29be0558p-16, 0x1.3c4bedb5be049p-16, 0x1.3db13a606b743p-16, 0x1.3f0f1efd23e1ep-16, 0x1.4065aabea2ed3p-16, 0x1.41b4eccc07d54p-16, 0x1.42fcf440840c5p-16, 0x1.443dd02b2a37ep-16, 0x1.45778f8e37e23p-16, 0x1.46aa416023b1fp-16, 0x1.47d5f48ad00ccp-16, 0x1.48fab7eafe94p-16, 0x1.4a189a50e0fb1p-16, 0x1.4b2faa800b56p-16, 0x1.4c3ff72eb5debp-16, 0x1.4d498f05e8e8dp-16, 0x1.4e4c80a1c71a6p-16, 0x1.4f48da90dd996p-16, 0x1.503eab53f9889p-16, 0x1.512e015eee2fap-16, 0x1.5216eb177e1e7p-16, 0x1.52f976d55287ap-16, 0x1.53d5b2e2e90a9p-16, 0x1.54abad7c3074fp-16, 0x1.557b74cf4e33p-16, 0x1.564516fba7dfbp-16, 0x1.5708a2133255cp-16, 0x1.57c62418c2c87p-16, 0x1.587dab00e860bp-16, 0x1.592f44b1d24c2p-16, 0x1.59daff02c8454p-16, 0x1.5a80e7bc425bp-16, 0x1.5b210c9841921p-16, 0x1.5bbb7b419c78ap-16, 0x1.5c504153be4c1p-16, 0x1.5cdf6c5bde434p-16, 0x1.5d6909d7761fp-16, 0x1.5ded2734accf7p-16, 0x1.5e6bd1d288e4ap-16, 0x1.5ee51701090e9p-16, 0x1.5f5903ffecd32p-16, 0x1.5fc7a60020722p-16, 0x1.60310a2296e6cp-16, 0x1.60953d7892aeap-16, 0x1.60f44d040efe2p-16, 0x1.614e45b6c7df8p-16, 0x1.61a334729b7a2p-16, 0x1.61f3260a0ea85p-16, 0x1.623e273f1d9adp-16, 0x1.628444c3f2df2p-16, 0x1.62c58b3a93c9bp-16, 0x1.630207354f6d9p-16, 0x1.6339c5358c5dfp-16, 0x1.636cd1ad4a304p-16, 0x1.639b38fdb708fp-16, 0x1.63c50777e5e99p-16, 0x1.63ea495ca42dbp-16, 0x1.640b0adc51e8cp-16, 0x1.642758167adb5p-16, 0x1.643f3d1b27aep-16, 0x1.6452c5e8ff7aep-16, 0x1.6461fe6e37c15p-16, 0x1.646cf28913f08p-16, 0x1.6473ae06da125p-16, 0x1.64763ca3bde59p-16, 0x1.6474aa0c55678p-16, 0x1.646f01db8a16ap-16, 0x1.64654f9c54d21p-16, 0x1.64579ec85366fp-16, 0x1.6445fac8d6c72p-16, 0x1.64306ef65e73dp-16, 0x1.641706987baa7p-16, 0x1.63f9cce5d164cp-16, 0x1.63d8cd04caa72p-16, 0x1.63b4120a63ef2p-16, 0x1.638ba6fac901bp-16, 0x1.635f96c9c8eeap-16, 0x1.632fec59e61cfp-16, 0x1.62fcb27ce2154p-16, 0x1.62c5f3f3ce14dp-16, 0x1.628bbb6e78c68p-16, 0x1.624e138c2549ap-16, 0x1.620d06db311f6p-16, 0x1.61c89fd897822p-16, 0x1.6180e8f1245c5p-16, }}, 
      {{0x1.96d7cfcaa65c5p-1, 0x1.96ae30465398cp-1, 0x1.96693dd339e0fp-1, 0x1.960995c7f0a5dp-1, 0x1.95900a5490e44p-1, 0x1.94fd9aad7f17ep-1, 0x1.94536ad9b7db5p-1, 0x1.9392bb9e8044fp-1, 0x1.92bce2da78579p-1, 0x1.91d344832bb5ap-1, 0x1.90d74c60fee2ep-1, 0x1.8fca689476824p-1, 0x1.8eae04e402981p-1, 0x1.8d8386c98c938p-1, 0x1.8c4c4a322df6ep-1, 0x1.8b099edfb638bp-1, 0x1.89bcc65a9600bp-1, 0x1.8866f262b5678p-1, 0x1.870943ce73961p-1, 0x1.85a4c9c82ea49p-1, 0x1.843a815c138c9p-1, 0x1.82cb55496b639p-1, 0x1.81581e0c17bccp-1, 0x1.7fe1a21457d1bp-1, 0x1.7e68962439b3fp-1, 0x1.7ced9dcb53b6bp-1, 0x1.7b714bfa69aefp-1, 0x1.79f423a995fa5p-1, 0x1.7876988c5dd2p-1, 0x1.76f90fcfccf95p-1, 0x1.757be0df50519p-1, 0x1.73ff562d8fa1ep-1, 0x1.7283adfef34d9p-1, 0x1.71091b33e99bdp-1, 0x1.6f8fc6114f77ep-1, 0x1.6e17cd05a59ebp-1, 0x1.6ca14569feae3p-1, 0x1.6b2c3c3dbbe67p-1, 0x1.69b8b6dc659aep-1, 0x1.6846b3ad0a3c3p-1, 0x1.66d62acab4b5ap-1, 0x1.65670ea5a5e4dp-1, 0x1.63f94c9d16042p-1, 0x1.628ccd9155929p-1, 0x1.6121766e3ec38p-1, 0x1.5fb728adee738p-1, 0x1.5e4dc2d3d476ep-1, 0x1.5ce520e02dbabp-1, 0x1.5b7d1cbc0cb97p-1, 0x1.5a158e9e156d5p-1, 0x1.58ae4d68229fcp-1, 0x1.57472efe072b1p-1, 0x1.55e00895aaf29p-1, 0x1.5478af00c0b48p-1, 0x1.5310f6f059f95p-1, 0x1.51a8b5329dbd6p-1, 0x1.503fbeeae752p-1, 0x1.4ed5e9c49839dp-1, 0x1.4d6b0c20e12c9p-1, 0x1.4bfefd3fcde6cp-1, 0x1.4a919564d5f78p-1, 0x1.4922adf73d16bp-1, 0x1.47b2219e841cdp-1, 0x1.463fcc5b2d3bdp-1, 0x1.44cb8b9c14ca3p-1, 0x1.43553e509df4bp-1, 0x1.41dcc4f7ec122p-1, 0x1.406201ad62e0cp-1, 0x1.3ee4d832a862ep-1, 0x1.3d652df754ff1p-1, 0x1.3be2ea1e89f7p-1, 0x1.3a5df58299877p-1, 0x1.38d63ab6ed54ap-1, 0x1.374ba6085523fp-1, 0x1.35be257be30c5p-1, 0x1.342da8cc7d23cp-1, 0x1.329a21674106cp-1, 0x1.31038266de64dp-1, 0x1.2f69c08e01db8p-1, 0x1.2dccd240ecedfp-1, 0x1.2c2caf7e54642p-1, 0x1.2a8951d799bc8p-1, 0x1.28e2b46879a32p-1, 0x1.2738d3ce3d81ap-1, 0x1.258bae1e85437p-1, 0x1.23db42ddb80abp-1, 0x1.222792f52da63p-1, 0x1.2070a0a91797ap-1, 0x1.1eb66f8e3e90fp-1, 0x1.1cf9047f97ea7p-1, 0x1.1b386593c0466p-1, 0x1.19749a12665e3p-1, 0x1.17adaa69a8663p-1, 0x1.15e3a02370904p-1, 0x1.141685dad46ap-1, 0x1.124667317dafep-1, 0x1.107350c520195p-1, 0x1.0e9d502502b7bp-1, 0x1.0cc473c7a033bp-1, 0x1.0ae8cb005fe3ap-1, 0x1.090a65f56cca9p-1, 0x1.07295595ab605p-1, 0x1.0545ab8ed288bp-1, 0x1.035f7a43a7113p-1, 0x1.0176d4c25d71fp-1, 0x1.ff179d764647p-2, 0x1.fb3cf8ed9c009p-2, 0x1.f75de59b70929p-2, 0x1.f37a8e3d86be1p-2, 0x1.ef931e8d0f1dep-2, 0x1.eba7c32d5d842p-2, 0x1.e7b8a99af33a3p-2, 0x1.e3c6001ae60c8p-2, 0x1.dfcff5aa9d1ap-2, 0x1.dbd6b9efe75b5p-2, 0x1.d7da7d296cc4p-2, 0x1.d3db701f7607bp-2, 0x1.cfd9c415120d4p-2, 0x1.cbd5aab991952p-2, 0x1.c7cf561a5dea3p-2, 0x1.c3c6f89525557p-2, 0x1.bfbcc4ca66912p-2, 0x1.bbb0ed904e7a7p-2, 0x1.b7a3a5e5f0cd1p-2, 0x1.b39520e6d8642p-2, 0x1.af8591beed3eap-2, 0x1.ab752b9eb51cbp-2, 0x1.a76421afe2d71p-2, 0x1.a352a70a45264p-2, 0x1.9f40eea9009efp-2, 0x1.9b2f2b6027cc1p-2, 0x1.971d8fd29eef1p-2, 0x1.930c4e6857b57p-2, 0x1.8efb9944e07fp-2, 0x1.8aeba23e410bcp-2, 0x1.86dc9ad42d5d2p-2, 0x1.82ceb42786701p-2, 0x1.7ec21ef22be36p-2, 0x1.7ab70b7f1d392p-2, 0x1.76ada9a2e80f1p-2, 0x1.72a628b465814p-2, 0x1.6ea0b785c4843p-2, 0x1.6a9d845ddf02dp-2, 0x1.669cbcf1db83bp-2, 0x1.629e8e5f167dcp-2, 0x1.5ea325255ad8p-2, 0x1.5aaaad215a9e8p-2, 0x1.56b5518777c35p-2, 0x1.52c33cdecd159p-2, 0x1.4ed498fc803a3p-2, 0x1.4ae98eff56eeep-2, 0x1.4702474b90089p-2, 0x1.431ee987009c5p-2, 0x1.3f3f9c956f2c6p-2, 0x1.3b648695313dap-2, 0x1.378dccdc09942p-2, 0x1.33bb93f442b07p-2, 0x1.2fedff9a051d1p-2, 0x1.2c2532b8eca05p-2, 0x1.28614f69d5b9ep-2, 0x1.24a276f0e59e6p-2, 0x1.20e8c9bbc99ep-2, 0x1.1d3467602e653p-2, 0x1.19856e9a6c05p-2, 0x1.15dbfd4c68f45p-2, 0x1.1238307caacf7p-2, 0x1.0e9a2455a0b3fp-2, 0x1.0b01f42516f4cp-2, 0x1.076fba5be0e68p-2, 0x1.03e3908daa40cp-2, 0x1.005d8f70faa2fp-2, 0x1.f9bb9dbec6a36p-3, 0x1.f2c8cbaba9f3cp-3, 0x1.ebe2d4ea411abp-3, 0x1.e509e405420dcp-3, 0x1.de3e21d20fd8bp-3, 0x1.d77fb572a6514p-3, 0x1.d0cec457c600ep-3, 0x1.ca2b72436bb3ep-3, 0x1.c395e14b84ba3p-3, 0x1.bd0e31dceb48bp-3, 0x1.b69482be96c03p-3, 0x1.b028f1150d0bep-3, 0x1.a9cb98660eeebp-3, 0x1.a37c929c74b1ap-3, 0x1.9d3bf80c431d6p-3, 0x1.9709df76ed50ap-3, 0x1.90e65e0fcd1fp-3, 0x1.8ad18780c143p-3, 0x1.84cb6deef94d5p-3, 0x1.7ed421ffe9292p-3, 0x1.78ebb2de64358p-3, 0x1.73122e3fd9cbfp-3, 0x1.6d47a069b3331p-3, 0x1.678c1436d4c15p-3, 0x1.61df931d3962bp-3, 0x1.5c422533aa43fp-3, 0x1.56b3d1378e3e2p-3, 0x1.51349c92d72a2p-3, 0x1.4bc48b61f8e0fp-3, 0x1.4663a07a036b6p-3, 0x1.4111dd6ebef42p-3, 0x1.3bcf4298e3df9p-3, 0x1.369bcf1c5acdep-3, 0x1.317780ee8c731p-3, 0x1.2c6254dcba3a1p-3, 0x1.275c46925df1bp-3, 0x1.2265509f994efp-3, 0x1.1d7d6c7fa2cb3p-3, 0x1.18a4929f38ab6p-3, 0x1.13daba631db38p-3, 0x1.0f1fda2e9093bp-3, 0x1.0a73e769c7ba7p-3, 0x1.05d6d688653cfp-3, 0x1.01489b0ff7f0ap-3, 0x1.f9924f3cc98a2p-4, 0x1.f0b0dbe0bc612p-4, 0x1.e7ecbdcf9248ap-4, 0x1.df45d52447852p-4, 0x1.d6bc005db3387p-4, 0x1.ce4f1c6b3fb1dp-4, 0x1.c5ff04b9652bcp-4, 0x1.bdcb933e36213p-4, 0x1.b5b4a085b89e9p-4, 0x1.adba03be35044p-4, 0x1.a5db92c466e16p-4, 0x1.9e19222f8c615p-4, 0x1.9672855d61d87p-4, 0x1.8ee78e7df561ep-4, 0x1.87780e9f5da2ap-4, 0x1.8023d5b9502efp-4, 0x1.78eab2b893848p-4, 0x1.71cc738a4cc7fp-4, 0x1.6ac8e5272a7f6p-4, 0x1.63dfd39e6541fp-4, 0x1.5d110a20a0628p-4, 0x1.565c530a9bfc1p-4, 0x1.4fc177efc1b22p-4, 0x1.494041a48a369p-4, 0x1.42d87848b4305p-4, 0x1.3c89e351555p-4, 0x1.36544992bc119p-4, 0x1.3037714a2b50cp-4, 0x1.2a33202764c95p-4, 0x1.24471b560a11dp-4, 0x1.1e732786d0612p-4, 0x1.18b708f8874ap-4, 0x1.13128380f1e68p-4, 0x1.0d855a9572a04p-4, 0x1.080f51538b57fp-4, 0x1.02b02a892ddf8p-4, 0x1.facf5179b7197p-5, 0x1.f06b1c6b42853p-5, 0x1.e6333a05b27f5p-5, 0x1.dc272e078ee6dp-5, 0x1.d2467bde0ae6cp-5, 0x1.c890a6b384352p-5, 0x1.bf05317da1eaep-5, 0x1.b5a39f0b1ff83p-5, 0x1.ac6b72113ae5dp-5, 0x1.a35c2d38c6ca7p-5, 0x1.9a75532aebd3fp-5, 0x1.91b6669d83771p-5, 0x1.891eea5f2b07fp-5, 0x1.80ae6162f3cdep-5, 0x1.78644ecbc339dp-5, 0x1.704035f756ecdp-5, 0x1.68419a88fe284p-5, 0x1.60680073f3899p-5, 0x1.58b2ec056b217p-5, 0x1.5121e1ee4d812p-5, 0x1.49b4674c9da2ep-5, 0x1.426a01b49494fp-5, 0x1.3b42373966973p-5, 0x1.343c8e75c071ap-5, 0x1.2d588e93f2762p-5, 0x1.2695bf55d2adap-5, 0x1.1ff3a91c546dcp-5, 0x1.1971d4eed22c8p-5, 0x1.130fcc820fe77p-5, 0x1.0ccd1a3ef894dp-5, 0x1.06a9494911b18p-5, 0x1.00a3e584ad033p-5, 0x1.f578f7399cb7bp-6, 0x1.e9e53211b8767p-6, 0x1.de8b9823f8b4p-6, 0x1.d36b47b0821ddp-6, 0x1.c88360af18395p-6, 0x1.bdd304d8704c4p-6, 0x1.b35957af037efp-6, 0x1.a9157e8773377p-6, 0x1.9f06a09070e83p-6, 0x1.952be6da3275fp-6, 0x1.8b847c5d78d86p-6, 0x1.820f8e023218ep-6, 0x1.78cc4aa59923fp-6, 0x1.6fb9e32005614p-6, 0x1.66d78a4a484cap-6, 0x1.5e2475029f657p-6, 0x1.559fda3155e4dp-6, 0x1.4d48f2ccfb7eap-6, 0x1.451ef9de3cd6ep-6, 0x1.3d212c836c72cp-6, 0x1.354ec9f3a7095p-6, 0x1.2da71381a57f4p-6, 0x1.26294c9e43971p-6, 0x1.1ed4badaa585ap-6, 0x1.17a8a5ea231ebp-6, 0x1.10a457a3cadcp-6, 0x1.09c71c03b6731p-6, 0x1.0310412c033bep-6, 0x1.f8fe2ecb19568p-7, 0x1.ec25e240be0c2p-7, 0x1.df9645e7d6e83p-7, 0x1.d34e073df109ap-7, 0x1.c74bd80ea8269p-7, 0x1.bb8e6e729c8e3p-7, 0x1.b01484cdea805p-7, 0x1.a4dcd9ce2f85bp-7, 0x1.99e63068344d7p-7, 0x1.8f2f4fd513a84p-7, 0x1.84b7038f0fe24p-7, 0x1.7a7c1b4e0b3a2p-7, 0x1.707d6b03847fp-7, 0x1.66b9cad65f9bbp-7, 0x1.5d30171e3680fp-7, 0x1.53df305e71c5p-7, 0x1.4ac5fb40fbedbp-7, 0x1.41e36090af58ep-7, 0x1.39364d338758p-7, 0x1.30bdb2246defap-7, 0x1.2878846ce1c2cp-7, 0x1.2065bd1e569bbp-7, 0x1.1884594b3dff7p-7, 0x1.10d35a0000f99p-7, 0x1.0951c43ba35aap-7, 0x1.01fea0e8305b3p-7, 0x1.f5b1f9a616c3p-8, 0x1.e7bfd149fc6aap-8, 0x1.da24f1b446a0ap-8, 0x1.ccdf8b733b089p-8, 0x1.bfedd69a66f72p-8, 0x1.b34e12b177df4p-8, 0x1.a6fe86a2c8087p-8, 0x1.9afd80a9c10b9p-8, 0x1.8f495640fa32ap-8, 0x1.83e0640ff9adp-8, 0x1.78c10dd8fb1c8p-8, 0x1.6de9be6658affp-8, 0x1.6358e777d5d7p-8, 0x1.590d01afcd88bp-8, 0x1.4f048c801f83fp-8, 0x1.453e0e1711763p-8, 0x1.3bb8134c00002p-8, 0x1.32712f8c17538p-8, 0x1.2967fcc6cd54dp-8, 0x1.209b1b5a54b31p-8, 0x1.18093200015cbp-8, 0x1.0fb0edb8aea4ep-8, 0x1.079101b8f97fdp-8, 0x1.ff504eab09322p-9, 0x1.efea3bde8b673p-9, 0x1.e0ed55bf5503dp-9, 0x1.d25732c9b9787p-9, 0x1.c425751c0f3ep-9, 0x1.b655ca4f0dca4p-9, 0x1.a8e5eb4e87463p-9, 0x1.9bd39c31dac63p-9, 0x1.8f1cac14ccf76p-9, 0x1.82bef4f05b2b2p-9, 0x1.76b85b739e26ap-9, 0x1.6b06cedced1edp-9, 0x1.5fa848d2f9635p-9, 0x1.549acd3e6f74ap-9, 0x1.49dc6a2333e57p-9, 0x1.3f6b377a76284p-9, 0x1.3545570c61688p-9, 0x1.2b68f44a6c248p-9, 0x1.21d44429bb7b2p-9, 0x1.188584fdacc17p-9, 0x1.0f7afe52c10cap-9, 0x1.06b300c9af034p-9, 0x1.fc57cbe596c18p-10, 0x1.ebc82053646bap-10, 0x1.dbb3d4e24ea85p-10, 0x1.cc17d09ea079bp-10, 0x1.bcf10b545c76ap-10, 0x1.ae3c8d48fccb2p-10, 0x1.9ff76ef56dc4ap-10, 0x1.921ed8c1319adp-10, 0x1.84b002bd78f67p-10, 0x1.77a834619abfbp-10, 0x1.6b04c447972f7p-10, 0x1.5ec317e9c65d2p-10, 0x1.52e0a360b0755p-10, 0x1.475ae9220bccfp-10, 0x1.3c2f79c024c95p-10, 0x1.315bf3aa0ad15p-10, 0x1.26de02ec82462p-10, 0x1.1cb360f365f36p-10, 0x1.12d9d44c4ba1p-10, 0x1.094f306928a58p-10, 0x1.00115564356f4p-10, 0x1.ee3c5f890ce1p-11, 0x1.dce77085f8994p-11, 0x1.cc1fe7206edbcp-11, 0x1.bbe1e4369e932p-11, 0x1.ac299fb2591e4p-11, 0x1.9cf3681932cc7p-11, 0x1.8e3ba21dfeccfp-11, 0x1.7ffec8343af7cp-11, 0x1.72396a24610bp-11, 0x1.64e82ca2249aep-11, 0x1.5807c8e3bfe4ep-11, 0x1.4b950c3b016c5p-11, 0x1.3f8cd7afc94eap-11, 0x1.33ec1f9ba0be6p-11, 0x1.28afeb474d7f3p-11, 0x1.1dd55489693e6p-11, 0x1.135987667491cp-11, 0x1.0939c1b2b060cp-11, 0x1.fee6a569ceb0ep-12, 0x1.ec0735960d21cp-12, 0x1.d9d0161f782bp-12, 0x1.c83c4a03db422p-12, 0x1.b746f45a26768p-12, 0x1.a6eb57a724b23p-12, 0x1.9724d53351c1bp-12, 0x1.87eeec651b374p-12, 0x1.79453a1c651c2p-12, 0x1.6b237811d6e8ep-12, 0x1.5d857c37fc69cp-12, 0x1.5067381f8b6e1p-12, 0x1.43c4b85e2d7bcp-12, 0x1.379a23f79046ap-12, 0x1.2be3bbc988089p-12, 0x1.209dd9fa325c3p-12, 0x1.15c4f16966de2p-12, 0x1.0b558d23534b7p-12, 0x1.014c4fd744c81p-12, 0x1.ef4be69e8184cp-13, 0x1.dcbe8fd650d49p-13, 0x1.caea683b9d68ep-13, 0x1.b9c967d8a6a8fp-13, 0x1.a955b0e050ec4p-13, 0x1.99898eb5e648ap-13, 0x1.8a5f74fa2eab1p-13, 0x1.7bd1fe9d31653p-13, 0x1.6ddbecf34d82dp-13, 0x1.607826cfaed25p-13, 0x1.53a1b7a34772ep-13, 0x1.4753ce9eb161cp-13, 0x1.3b89bdda69d3fp-13, 0x1.303ef98118c7fp-13, 0x1.256f16ff3e4bfp-13, 0x1.1b15cc36fae7fp-13, 0x1.112eeeb6e6c15p-13, 0x1.07b672f5ec453p-13, 0x1.fd50d72549af3p-14, 0x1.ec02112b62a38p-14, 0x1.db792d7397f25p-14, 0x1.cbaefd6ba0545p-14, 0x1.bc9c89163131ep-14, 0x1.ae3b0daf25dc9p-14, 0x1.a083fc5709095p-14, 0x1.9370f8c474393p-14, 0x1.86fbd7fd4a15p-14, 0x1.7b1e9f1787a31p-14, 0x1.6fd381fe87758p-14, 0x1.6514e241b6eabp-14, 0x1.5add4de6cce83p-14, 0x1.51277e44f4606p-14, 0x1.47ee56e4d73dcp-14, 0x1.3f2ce4676b0cap-14, 0x1.36de5b71fa17ep-14, 0x1.2efe17a2c35cbp-14, 0x1.27879a86da3f4p-14, 0x1.20768a9ad4p-14, 0x1.19c6b24dd66fap-14, 0x1.1373ff0aa4bebp-14, 0x1.0d7a80484df64p-14, 0x1.07d6669d89119p-14, 0x1.028402db90e3p-14, 0x1.faff8a586e762p-15, 0x1.f18c786ce7173p-15, 0x1.e8a8289008c4bp-15, 0x1.e04c2d0679326p-15, 0x1.d8725022f4af3p-15, 0x1.d11492b885a1ap-15, 0x1.ca2d2a91609bcp-15, 0x1.c3b680f0fa73ap-15, 0x1.bdab311f63eeep-15, 0x1.b80606fe0f666p-15, 0x1.b2c1fda164cbbp-15, 0x1.adda3df91dc94p-15, 0x1.a94a1d7bc6c4bp-15, 0x1.a50d1cdc2b8dp-15, 0x1.a11ee6c777b13p-15, 0x1.9d7b4ea9f2c13p-15, 0x1.9a1e4f7bcfe2fp-15, 0x1.97040a9540daep-15, 0x1.9428c68c02e4fp-15, 0x1.9188ee14f256fp-15, 0x1.8f210eefc78a2p-15, 0x1.8cedd8d5c9184p-15, 0x1.8aec1c73ab241p-15, 0x1.8918ca68627d3p-15, 0x1.8770f2482574fp-15, 0x1.85f1c1a9e7681p-15, 0x1.84988338cd03cp-15, 0x1.83629dcc2acdp-15, 0x1.824d9384674b8p-15, 0x1.815700efd3b76p-15, 0x1.807c9c332b3cep-15, 0x1.7fbc3439fa596p-15, 0x1.7f13afe963dcdp-15, 0x1.7e810d5bba01cp-15, 0x1.7e02612044229p-15, 0x1.7d95d57d0351ap-15, 0x1.7d39a9babed94p-15, 0x1.7cec3171df2d9p-15, 0x1.7cabd3dd97ad9p-15, 0x1.7c770b34a09c5p-15, 0x1.7c4c640425acap-15, 0x1.7c2a7c9286aadp-15, 0x1.7c100443e0ff9p-15, 0x1.7bfbbb0301421p-15, 0x1.7bec70afe3355p-15, 0x1.7be1049192199p-15, 0x1.7bd864cb1da9ep-15, 0x1.7bd18dd5dd064p-15, 0x1.7bcb89ffc2212p-15, 0x1.7bc570ec41387p-15, 0x1.7bbe6718c9ffep-15, 0x1.7bb59d6584d3bp-15, 0x1.7baa50a0f0587p-15, 0x1.7b9bc91818e3ep-15, 0x1.7b895a279a5ffp-15, 0x1.7b7261d340fa7p-15, 0x1.7b56485d9491ep-15, 0x1.7b347fe515243p-15, 0x1.7b0c8402b3922p-15, 0x1.7addd96b3bbfep-15, 0x1.7aa80d94db1bep-15, 0x1.7a6ab65df8bdp-15, 0x1.7a2571b7ea7e4p-15, 0x1.79d7e5536d2ebp-15, 0x1.7981be50a3a3bp-15, 0x1.7922b0f0f722fp-15, 0x1.78ba784b12ca5p-15, 0x1.7848d60191a3bp-15, 0x1.77cd91fc45744p-15, 0x1.77487a235b492p-15, 0x1.76b9621d1cb68p-15, 0x1.7620230cf276ap-15, 0x1.757c9b55965e5p-15, 0x1.74ceae5d7e35ap-15, 0x1.7416445315ee3p-15, 0x1.735349f5830d9p-15, 0x1.7285b05d8770ep-15, 0x1.71ad6cc8ef1a4p-15, 0x1.70ca786763665p-15, 0x1.6fdcd029b7a4ap-15, 0x1.6ee47491c1d6ep-15, 0x1.6de169857075cp-15, 0x1.6cd3b62166132p-15, 0x1.6bbb648ee2f06p-15, 0x1.6a9881d9b22f4p-15, 0x1.696b1dc93e0ebp-15, 0x1.68334ab905fc5p-15, 0x1.66f11d749620ap-15, 0x1.65a4ad130805fp-15, 0x1.644e12d4ef4dbp-15, 0x1.62ed6a0371131p-15, 0x1.6182cfcfc8d51p-15, 0x1.600e6334a8f53p-15, 0x1.5e9044d8b26ecp-15, 0x1.5d0896f1b4e0ap-15, 0x1.5b777d293840ap-15, 0x1.59dd1c82886d4p-15, 0x1.58399b40d65d5p-15, 0x1.568d20cf462f9p-15, 0x1.54d7d5a99882dp-15, 0x1.5319e34513effp-15, 0x1.515373fb7abb7p-15, 0x1.4f84b2f6248efp-15, 0x1.4dadcc1a19714p-15, 0x1.4bceebf50b67p-15, 0x1.49e83fab38197p-15, 0x1.47f9f4e59e144p-15, 0x1.460439c1ee3e7p-15, 0x1.44073cc1e20bbp-15, 0x1.42032cbc7af2p-15, 0x1.3ff838ceda1cbp-15, 0x1.3de6904eb27dbp-15, 0x1.3bce62bc9a712p-15, 0x1.39afdfb797e99p-15, 0x1.378b36f0f5637p-15, 0x1.35609820aa8fcp-15, 0x1.333032fa5bf57p-15, 0x1.30fa372329bc8p-15, 0x1.2ebed4274e8e6p-15, 0x1.2c7e3970ea39p-15, 0x1.2a38963f28e92p-15, 0x1.27ee199d96b65p-15, 0x1.259ef25bff555p-15, 0x1.234b4f071396dp-15, 0x1.20f35de10ba81p-15, 0x1.1e974cdb078f6p-15, 0x1.1c37498e9801fp-15, 0x1.19d38137d07f7p-15, 0x1.176c20af71ed3p-15, 0x1.15015465c8419p-15, 0x1.1293485d871acp-15, 0x1.1022282745f0bp-15, 0x1.0dae1edd313ep-15, 0x1.0b37571efa591p-15, 0x1.08bdfb0dfe10dp-15, 0x1.06423449f4eadp-15, 0x1.03c42bedd06a8p-15, 0x1.01440a8c7a70fp-15, 0x1.fd83f05d10563p-16, 0x1.f87c389f03fb9p-16, 0x1.f3713bb76b986p-16, 0x1.ee63465c465d9p-16, 0x1.e952a41da3e69p-16, 0x1.e43f9f622826fp-16, 0x1.df2a8164747bcp-16, 0x1.da139230802b5p-16, 0x1.d4fb18a1f44c6p-16, 0x1.cfe15a6178058p-16, 0x1.cac69be44476ep-16, 0x1.c5ab206a176d9p-16, 0x1.c08f29fce872fp-16, 0x1.bb72f97065a79p-16, 0x1.b656ce61151abp-16, 0x1.b13ae734c3c28p-16, 0x1.ac1f811ab0b7ep-16, 0x1.a704d80b9a2edp-16, 0x1.a1eb26cab8395p-16, 0x1.9cd2a6e6af9ccp-16, 0x1.97bb90ba1d9c9p-16, 0x1.92a61b6d646dp-16, 0x1.8d927cf789db9p-16, 0x1.8880ea20214ccp-16, 0x1.83719680e0b2fp-16, 0x1.7e64b4878580dp-16, 0x1.795a757818b9cp-16, 0x1.7453096ec1284p-16, 0x1.6f4e9f6222cffp-16, 0x1.6a4d6525e548dp-16, 0x1.654f876d25edap-16, 0x1.605531cce38dcp-16, 0x1.5b5e8ebeedfccp-16, 0x1.566bc7a4c7389p-16, 0x1.517d04ca2401p-16, 0x1.4c926d68214cdp-16, 0x1.47ac27a864206p-16, 0x1.42ca58a7df521p-16, 0x1.3ded247a2a25p-16, 0x1.3914ae2d038fep-16, 0x1.344117cad5b6ep-16, 0x1.2f72825eda9b7p-16, 0x1.2aa90df7c960ep-16, 0x1.25e4d9ab8f9efp-16, 0x1.2126039a7fa1dp-16, 0x1.1c6ca8f312623p-16, 0x1.17b8e5f52881cp-16, 0x1.130ad5f57db84p-16, 0x1.0e62936146c3ep-16, 0x1.09c037c197de7p-16, 0x1.0523dbbf1b2d6p-16, 0x1.008d972539f72p-16, 0x1.f7fb01cbff80cp-17, 0x1.eee75e3b609f8p-17, 0x1.e5e06e2bed4ccp-17, 0x1.dce65a934c7f2p-17, 0x1.d3f94ad08b196p-17, 0x1.cb1964b2c63dap-17, 0x1.c246cc80a808ap-17, 0x1.b981a4ff093edp-17, 0x1.b0ca0f783a268p-17, 0x1.a8202bc2bb43dp-17, 0x1.9f841847dab31p-17, 0x1.96f5f20b210a6p-17, 0x1.8e75d4b08f95dp-17, 0x1.8603da83e08c1p-17, 0x1.7da01c7ee9523p-17, 0x1.754ab250407cp-17, 0x1.6d03b26224a61p-17, 0x1.64cb31e0c4c92p-17, 0x1.5ca144c0a9b2ep-17, 0x1.5485fdc56d513p-17, 0x1.4c796e87d4791p-17, 0x1.447ba77c3917bp-17, 0x1.3c8cb7f8ceebcp-17, 0x1.34acae3bf7ce8p-17, 0x1.2cdb9771d909ap-17, 0x1.25197fbad4cf5p-17, 0x1.1d66723175be1p-17, 0x1.15c278f01e70dp-17, 0x1.0e2d9d16fe3c5p-17, 0x1.06a7e6d1e739ap-17, 0x1.fe62babb65823p-18, 0x1.ef940e1c4c503p-18, 0x1.e0e3d2a66994bp-18, 0x1.d252117d14437p-18, 0x1.c3ded211dd5f7p-18, 0x1.b58a1a2f1f4afp-18, 0x1.a753ee02772fcp-18, 0x1.993c502711ba6p-18, 0x1.8b4341af7d9fcp-18, 0x1.7d68c22ffe1c2p-18, 0x1.6faccfc7e6b86p-18, 0x1.620f672bbba23p-18, 0x1.549083ae700b3p-18, 0x1.47301f4ace9c9p-18, 0x1.39ee32ac6a4dfp-18, 0x1.2ccab5394282ep-18, 0x1.1fc59d19e20c8p-18, 0x1.12dedf42a3027p-18, 0x1.06166f7c296cap-18, 0x1.f2d880d7717dp-19, 0x1.d9c087368f355p-19, 0x1.c0e4d304835c3p-19, 0x1.a8454319e88fp-19, 0x1.8fe1b44908421p-19, 0x1.77ba016d893a1p-19, 0x1.5fce037b2e36p-19, 0x1.481d918ccdab7p-19, 0x1.30a880f2aa68p-19, 0x1.196ea54149de4p-19, 0x1.026fd05e88cebp-19, 0x1.d757a5205b1dep-20, 0x1.aa44f512119b7p-20, 0x1.7da72aeb755ddp-20, 0x1.517dde13e9fdap-20, 0x1.25c8a31a9fbd4p-20, 0x1.f50e179de90f5p-21, 0x1.9f714eaf10dcp-21, 0x1.4aba0496b8d7ep-21, 0x1.edce9b24fcd7p-22, 0x1.47f072358ad93p-22, 0x1.47af484287af6p-23, 0x1.823dd2ca5459p-30, -0x1.3e23789fc37e3p-23, -0x1.3de64e0e64401p-22, -0x1.dafd830f5f9e7p-22, -0x1.3b2cb74355c9ap-21, -0x1.87fe1574380cfp-21, -0x1.d3f3eccf09944p-21, -0x1.0f87a8ae96dfap-20, -0x1.34a8ad2cabb72p-20, -0x1.595d9105807c6p-20, -0x1.7da6e2d283843p-20, -0x1.a1853290de1a2p-20, -0x1.c4f911913dfc1p-20, -0x1.e80312685f5f6p-20, -0x1.0551e46f8d391p-19, -0x1.166de4f134654p-19, -0x1.2755d5ba9dbb4p-19, -0x1.380a02504a027p-19, -0x1.488ab6b34a166p-19, -0x1.58d83f59ecd43p-19, -0x1.68f2e928f109dp-19, -0x1.78db016d4253p-19, -0x1.8890d5d535fcdp-19, -0x1.9814b46a5899cp-19, -0x1.a766eb8b5e2dp-19, -0x1.b687c9e5dd4cap-19, -0x1.c5779e70b3bep-19, -0x1.d436b866aa7c3p-19, -0x1.e2c567409ef49p-19, -0x1.f123faaffeb29p-19, -0x1.ff52c299e2b98p-19, -0x1.06a90788f6048p-18, -0x1.0d91182a986c5p-18, -0x1.1461bb62c9155p-18, -0x1.1b1b197282ebdp-18, -0x1.21bd5aa8749f8p-18, -0x1.2848a75eeb69cp-18, -0x1.2ebd27f9a100fp-18, -0x1.351b04e37685cp-18, -0x1.3b62668ca3058p-18, -0x1.41937568da7d8p-18, -0x1.47ae59ed2d637p-18, -0x1.4db33c8e1ea7dp-18, -0x1.53a245be08b14p-18, -0x1.597b9deb44f4p-18, -0x1.5f3f6d7e758bdp-18, -0x1.64eddcd8edf7p-18, -0x1.6a871453059fcp-18, -0x1.700b3c3aa3778p-18, -0x1.757a7cd1c9dbbp-18, -0x1.7ad4fe4d04378p-18, -0x1.801ae8d205ee7p-18, -0x1.854c647635ae2p-18, -0x1.8a69993d823f1p-18, -0x1.8f72af192dd33p-18, -0x1.9467cde665281p-18, -0x1.99491d6d283bfp-18, -0x1.9e16c55f024b8p-18, -0x1.a2d0ed5600a65p-18, -0x1.a777bcd39d1dfp-18, -0x1.ac0b5b3fc2659p-18, -0x1.b08befe7a29e3p-18, -0x1.b4f9a1fceafbap-18, -0x1.b9549894c2f3fp-18, -0x1.bd9cfaa6d53cap-18, -0x1.c1d2ef0c6d873p-18, -0x1.c5f69c7fade18p-18, -0x1.ca08299abdbdbp-18, -0x1.ce07bcd70d71dp-18, -0x1.d1f57c8ca0ebcp-18, -0x1.d5d18ef1202c5p-18, -0x1.d99c1a174b7c4p-18, -0x1.dd5543ee486fp-18, -0x1.e0fd3240f6631p-18, -0x1.e4940ab565e33p-18, -0x1.e819f2cc1fe4bp-18, -0x1.eb8f0fdfa3c9ep-18, -0x1.eef38723e9b69p-18, -0x1.f2477da5c6eb7p-18, -0x1.f58b184a7fab2p-18, -0x1.f8be7bcf39215p-18, -0x1.fbe1ccc86fe6ap-18, -0x1.fef52fa1bf381p-18, -0x1.00fc644eb78eep-17, -0x1.02765de9fa5d6p-17, -0x1.03e89699c185ep-17, -0x1.0553203fe3708p-17, -0x1.06b60ca8ca37bp-17, -0x1.08116d8b3f57ep-17, -0x1.09655488522d5p-17, -0x1.0ab1d32b22eb4p-17, -0x1.0bf6fae8b9ae3p-17, -0x1.0d34dd200c64bp-17, -0x1.0e6b8b19aca9bp-17, -0x1.0f9b1607c1dc5p-17, -0x1.10c38f05f3f03p-17, -0x1.11e50719400ccp-17, -0x1.12ff8f2fec034p-17, -0x1.141338216a59dp-17, -0x1.152012ae54624p-17, -0x1.16262f8041bb9p-17, -0x1.17259f29c0647p-17, -0x1.181e72263b144p-17, -0x1.1910b8d9e7378p-17, -0x1.19fc8391c5835p-17, -0x1.1ae1e283966ep-17, -0x1.1bc0e5cdc1afp-17, -0x1.1c999d7752114p-17, -0x1.1d6c196fdfb01p-17, -0x1.1e38698fa2b35p-17, -0x1.1efe9d9757106p-17, -0x1.1fbec530342e3p-17, -0x1.2078efebf3869p-17, -0x1.212d2d44dfa2ep-17, -0x1.21db8c9db117p-17, -0x1.22841d4193d69p-17, -0x1.2326ee642f21ep-17, -0x1.23c40f21a2107p-17, -0x1.245b8e7e92d7ep-17, -0x1.24ed7b680ca42p-17, -0x1.2579e4b3a4eaap-17, -0x1.2600d91f66f3cp-17, -0x1.26826751ef3c6p-17, -0x1.26fe9dda59e0ep-17, -0x1.27758b3056ca6p-17, -0x1.27e73db43cd96p-17, -0x1.2853c3aee36b6p-17, -0x1.28bb2b51cd96cp-17, -0x1.291d82b735b25p-17, -0x1.297ad7e212cf5p-17, -0x1.29d338be10cc5p-17, -0x1.2a26b31fa7d29p-17, -0x1.2a7554c42dc68p-17, -0x1.2abf2b51cec9p-17, -0x1.2b044457a0189p-17, -0x1.2b44ad4db5409p-17, -0x1.2b8073952da56p-17, -0x1.2bb7a47824cedp-17, -0x1.2bea4d29db7afp-17, -0x1.2c187ac6ccf22p-17, -0x1.2c423a54a336p-17, -0x1.2c6798c23f133p-17, -0x1.2c88a2e7f71c2p-17, -0x1.2ca565878a66ap-17, -0x1.2cbded4c10fb6p-17, -0x1.2cd246ca34792p-17, -0x1.2ce27e8056fe1p-17, -0x1.2ceea0d664bfep-17, -0x1.2cf6ba1e006f1p-17, -0x1.2cfad692a6f48p-17, -0x1.2cfb0259a7ce4p-17, -0x1.2cf7498246c84p-17, -0x1.2cefb805bcb52p-17, -0x1.2ce459c7576c8p-17, -0x1.2cd53a948e1cep-17, -0x1.2cc2662504525p-17, -0x1.2cabe81ab104ep-17, -0x1.2c91cc01e8651p-17, -0x1.2c741d5161c4ap-17, -0x1.2c52e76a6647fp-17, -0x1.2c2e3598cafdap-17, -0x1.2c0613130af3dp-17, -0x1.2bda8afa71727p-17, -0x1.2baba85b25f12p-17, -0x1.2b79762c17567p-17, -0x1.2b43ff4f385a8p-17, -0x1.2b0b4e91a9083p-17, -0x1.2acf6eab88c41p-17, -0x1.2a906a4041f5ap-17, -0x1.2a4e4bde9690ep-17, -0x1.2a091e0094451p-17, -0x1.29c0eb0bc6ed7p-17, -0x1.2975bd515768ap-17, -0x1.29279f0e0b04bp-17, -0x1.28d69a6a59427p-17, -0x1.2882b97a8711fp-17, -0x1.282c063ec63dbp-17, -0x1.27d28aa3313c4p-17, -0x1.2776507fff374p-17, -0x1.271761998f927p-17, -0x1.26b5c7a074dffp-17, -0x1.26518c3199e9cp-17, -0x1.25eab8d64809p-17, -0x1.258157043e59cp-17, -0x1.2515701de49abp-17, -0x1.24a70d7242d0fp-17, -0x1.2436383d0caadp-17, -0x1.23c2f9a6eadadp-17, -0x1.234d5ac5542dfp-17, -0x1.22d5649aca383p-17, -0x1.225b2016f7297p-17, -0x1.21de9616a6e26p-17, -0x1.215fcf63e615cp-17, -0x1.20ded4b62324p-17, -0x1.205baeb242237p-17, -0x1.1fd665eaa3813p-17, -0x1.1f4f02df493p-17, -0x1.1ec58dfdf75eep-17, -0x1.1e3a0fa23e211p-17, -0x1.1dac90158a009p-17, -0x1.1d1d178f3e39p-17, -0x1.1c8bae34cf85dp-17, -0x1.1bf85c19d3fc4p-17, -0x1.1b63294030277p-17, -0x1.1acc1d98146ffp-17, -0x1.1a33410010b57p-17, -0x1.19989b4534284p-17, -0x1.18fc342339ac6p-17, -0x1.185e13447b74cp-17, -0x1.17be40421e1a6p-17, -0x1.171cc2a428d27p-17, -0x1.1679a1e17ef21p-17, -0x1.15d4e560143ecp-17, -0x1.152e947511644p-17, -0x1.1486b664bc2d4p-17, -0x1.13dd5262a5eb4p-17, -0x1.13326f91da4c8p-17, -0x1.12861504d23f2p-17, -0x1.11d849bd8f2ddp-17, -0x1.112914adbb232p-17, -0x1.10787cb6c44fep-17, -0x1.0fc688a9f23bp-17, -0x1.0f133f48670d1p-17, -0x1.0e5ea7434552dp-17, -0x1.0da8c73bc79f4p-17, -0x1.0cf1a5c362452p-17, -0x1.0c39495bcc6bp-17, -0x1.0b7fb8770079ep-17, -0x1.0ac4f97785e6fp-17, -0x1.0a0912b05a6e2p-17, -0x1.094c0a651740ap-17, -0x1.088de6ca16588p-17, -0x1.07ceae046716p-17, -0x1.070e662a01d77p-17, -0x1.064d1541ec94p-17, -0x1.058ac1441a4a2p-17, -0x1.04c770199d261p-17, -0x1.0403279ce0bb3p-17, -0x1.033ded998996cp-17, -0x1.0277c7cc96656p-17, -0x1.01b0bbe490ce3p-17, -0x1.00e8cf8198d5p-17, -0x1.0020083560d1cp-17, -0x1.feacd706bd298p-18, -0x1.fd17fdc1b9ae6p-18, -0x1.fb818f6a411c8p-18, -0x1.f9e996b29ccdap-18, -0x1.f8501e3144ccdp-18, -0x1.f6b5306142fcep-18, -0x1.f518d7a1deeefp-18, -0x1.f37b1e371fdfep-18, -0x1.f1dc0e49da44cp-18, -0x1.f03bb1e7eb2acp-18, -0x1.ee9a130463733p-18, -0x1.ecf73b77b154fp-18, -0x1.eb5334ffa7474p-18, -0x1.e9ae093fce26ep-18, -0x1.e807c1c1ab40dp-18, -0x1.e66067f48d4d7p-18, -0x1.e4b8052dee705p-18, -0x1.e30ea2aa0455cp-18, -0x1.e164498b03b23p-18, -0x1.dfb902da01f0fp-18, -0x1.de0cd7870fb93p-18, -0x1.dc5fd06908817p-18, -0x1.dab1f63e041fap-18, -0x1.d90351ab89cd6p-18, -0x1.d753eb3e88162p-18, -0x1.d5a3cb6b8f59dp-18, -0x1.d3f2fa8eea4cap-18, -0x1.d24180ed35dcfp-18, -0x1.d08f66b2d0385p-18, -0x1.cedcb3f48aebfp-18, -0x1.cd2970afe48a1p-18, -0x1.cb75a4caa1306p-18, -0x1.c9c15813b28e8p-18, -0x1.c80c92428a626p-18, -0x1.c6575af80bb7cp-18, -0x1.c4a1b9be5f62ap-18, -0x1.c2ebb608d97aap-18, -0x1.c135573484dbep-18, -0x1.bf7ea4886324p-18, -0x1.bdc7a535020c8p-18, -0x1.bc10605518cafp-18, -0x1.ba58dcedcf41dp-18, -0x1.b8a121ee59fdp-18, -0x1.b6e936309fa2fp-18, -0x1.b53120795aae4p-18, -0x1.b378e777b5b2ep-18, -0x1.b1c091c624fbdp-18, -0x1.b00825ea3b4eap-18, -0x1.ae4faa54bcf1bp-18, -0x1.ac972561e03c3p-18, -0x1.aade9d599886fp-18, -0x1.a926186f9a357p-18, -0x1.a76d9cc339466p-18, -0x1.a5b5306042f1p-18, -0x1.a3fcd93e58333p-18, -0x1.a2449d41b94f4p-18, -0x1.a08c823b0132ap-18, -0x1.9ed48de76eab7p-18, -0x1.9d1cc5f15283bp-18, -0x1.9b652fef78786p-18, -0x1.99add1662699p-18, -0x1.97f6afc6debbbp-18, -0x1.963fd070313cep-18, -0x1.948938aeaa7f6p-18, -0x1.92d2edbc4c522p-18, -0x1.911cf4c0c4203p-18, -0x1.8f6752d213d7cp-18, -0x1.8db20cf40e319p-18, -0x1.8bfd2818d81b3p-18, -0x1.8a48a921261bdp-18, -0x1.889494dc00f41p-18, -0x1.86e0f0072ed22p-18, -0x1.852dbf4f8046fp-18, -0x1.837b07506fb7cp-18, -0x1.81c8cc94b00a5p-18, -0x1.801713964ced5p-18, -0x1.7e65e0be8bb73p-18, -0x1.7cb5386647587p-18, -0x1.7b051ed612f1bp-18, -0x1.79559846230eep-18, -0x1.77a6a8ded8de1p-18, -0x1.75f854b852a41p-18, -0x1.744a9fdb4edc9p-18, -0x1.729d8e40712a5p-18, -0x1.70f123d128eccp-18, -0x1.6f45646783b5ap-18, -0x1.6d9a53cde6f51p-18, -0x1.6beff5c0176aap-18, -0x1.6a464dea903e7p-18, -0x1.689d5feacdf1bp-18, -0x1.66f52f5002837p-18, -0x1.654dbf9a48cbep-18, -0x1.63a7143b8d168p-18, -0x1.620130975c6c1p-18, -0x1.605c1802e2d7bp-18, -0x1.5eb7cdc564bf9p-18, -0x1.5d14551817b19p-18, -0x1.5b71b12636da4p-18, -0x1.59cfe50d9e165p-18, -0x1.582ef3de2d702p-18, -0x1.568ee09a8b1a9p-18, -0x1.54efae37fd1b2p-18, -0x1.53515f9e7e0acp-18, -0x1.51b3f7a8f594p-18, -0x1.501779255f5c4p-18, -0x1.4e7be6d4d2cc1p-18, -0x1.4ce1436ba5ef5p-18, -0x1.4b4791919de18p-18, -0x1.49aed3e201d39p-18, -0x1.48170ceb89c0ap-18, -0x1.46803f3109a3dp-18, -0x1.44ea6d28bd091p-18, -0x1.4355993d23d66p-18, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.874482944d175p-7, 0x1.877603bd790e2p-6, 0x1.25cfc4357aafap-5, 0x1.8816ed3381aa7p-5, 0x1.ea8bd9e4646afp-5, 0x1.268eef5e7417p-4, 0x1.57d8bcb204bc8p-4, 0x1.89110f029838bp-4, 0x1.ba222503ec88bp-4, 0x1.eaf3d037aa383p-4, 0x1.0db63a380ca85p-3, 0x1.25b8f67d676a1p-3, 0x1.3d7528bf3857cp-3, 0x1.54de4c4b00e7ep-3, 0x1.6be88c6eeffafp-3, 0x1.8288f567c25d6p-3, 0x1.98b5975af16b1p-3, 0x1.ae659d366d4b7p-3, 0x1.c391595689915p-3, 0x1.d83249bd8d319p-3, 0x1.ec4315821e011p-3, 0x1.ffbf84eaed796p-3, 0x1.09523abe3b6f5p-2, 0x1.1277e5866019bp-2, 0x1.1b502f61c52bp-2, 0x1.23daf6620378bp-2, 0x1.2c18808c886d1p-2, 0x1.3409722ecd4ep-2, 0x1.3baec44045ea6p-2, 0x1.4309baf6ade93p-2, 0x1.4a1bdca83bb8p-2, 0x1.50e6e90fdb9bcp-2, 0x1.576cd101a9646p-2, 0x1.5dafae9915179p-2, 0x1.63b1bde6687bbp-2, 0x1.6975561e5e3f5p-2, 0x1.6efce34c49667p-2, 0x1.744ae085734e3p-2, 0x1.7961d29b0cbcep-2, 0x1.7e444346ff883p-2, 0x1.82f4bccf3e001p-2, 0x1.8775c61a8e864p-2, 0x1.8bc9df318372ap-2, 0x1.8ff37e25ffc98p-2, 0x1.93f50c5b8456dp-2, 0x1.97d0e42a77f62p-2, 0x1.9b894ed88b563p-2, 0x1.9f2082e07128p-2, 0x1.a298a2832c74ap-2, 0x1.a5f3ba9d63b24p-2, 0x1.a933c1bb3f606p-2, 0x1.ac5a97658ae3ap-2, 0x1.af6a03a307f78p-2, 0x1.b263b6a9083acp-2, 0x1.b54948b6aa3eap-2, 0x1.b81c3a1647015p-2, 0x1.baddf340d7399p-2, 0x1.bd8fc51f66935p-2, 0x1.c032e966cf7fp-2, 0x1.c2c8830a4dc43p-2, 0x1.c5519ec1ab3f6p-2, 0x1.c7cf33a006e68p-2, 0x1.ca4223b8742f5p-2, 0x1.ccab3ccdeda72p-2, 0x1.cf0b390c473d8p-2, 0x1.d162bfc809027p-2, 0x1.d3b2664352f6ap-2, 0x1.d5fab076105bfp-2, 0x1.d83c11d7f8615p-2, 0x1.da76ee2b0a643p-2, 0x1.dcab9a45517a1p-2, 0x1.deda5cd8ed88fp-2, 0x1.e1036f397a974p-2, 0x1.e326fe1e19a79p-2, 0x1.e5452a5f76316p-2, 0x1.e75e09b13fp-2, 0x1.e971a756a645fp-2, 0x1.eb8004d19554fp-2, 0x1.ed891a8c4a16bp-2, 0x1.ef8cd87d347fep-2, 0x1.f18b26c4f0cc6p-2, 0x1.f383e6464dcfcp-2, 0x1.f576f13859a15p-2, 0x1.f7641bb2789ap-2, 0x1.f94b343296e9p-2, 0x1.fb2c041d8c0efp-2, 0x1.fd065039c71e1p-2, 0x1.fed9d9246ca6dp-2, 0x1.00532de0844eep-1, 0x1.0135c8d1fd77dp-1, 0x1.021498bbe8acp-1, 0x1.02ef77aeda95ep-1, 0x1.03c63ea48f2eap-1, 0x1.0498c5ab7d633p-1, 0x1.0566e4103b128p-1, 0x1.06307084c995bp-1, 0x1.06f54145e178p-1, 0x1.07b52c3e527b9p-1, 0x1.087007288f717p-1, 0x1.0925a7ae7664bp-1, 0x1.09d5e3877022bp-1, 0x1.0a809094f1e95p-1, 0x1.0b2584fd7af3cp-1, 0x1.0bc4974618048p-1, 0x1.0c5d9e6a84ac2p-1, 0x1.0cf071f3f2a7dp-1, 0x1.0d7cea0e8b5b2p-1, 0x1.0e02df9db4682p-1, 0x1.0e822c4f296f2p-1, 0x1.0efaaaacf18dfp-1, 0x1.0f6c362e3eb27p-1, 0x1.0fd6ab47414d9p-1, 0x1.1039e777f9dc9p-1, 0x1.1095c95a0ff9cp-1, 0x1.10ea30adb9bcp-1, 0x1.1136fe65b9549p-1, 0x1.117c14b27a602p-1, 0x1.11b9570c54daap-1, 0x1.11eeaa3cfafd9p-1, 0x1.121bf4681b7dp-1, 0x1.12411d133ba7fp-1, 0x1.125e0d2ccdd2ap-1, 0x1.1272af128ed02p-1, 0x1.127eee9727d9p-1, 0x1.1282b907204cep-1, 0x1.127dfd2d20a24p-1, 0x1.1270ab558ce3dp-1, 0x1.125ab55178b6cp-1, 0x1.123c0e78fcd4p-1, 0x1.1214abacee663p-1, 0x1.11e48358006d2p-1, 0x1.11ab8d6f4f61ep-1, 0x1.1169c3725f3b6p-1, 0x1.111f206a8c47p-1, 0x1.10cba0e9f5a3ep-1, 0x1.106f4309e4063p-1, 0x1.100a0668b2b12p-1, 0x1.0f9bec273ae12p-1, 0x1.0f24f6e5cb51cp-1, 0x1.0ea52ac0ab708p-1, 0x1.0e1c8d4c302adp-1, 0x1.0d8b259066f63p-1, 0x1.0cf0fc045b791p-1, 0x1.0c4e1a88f8b3cp-1, 0x1.0ba28c6390722p-1, 0x1.0aee5e3806284p-1, 0x1.0a319e02a6e86p-1, 0x1.096c5b11aea99p-1, 0x1.089ea5fe82923p-1, 0x1.07c890a6a24p-1, 0x1.06ea2e24558e3p-1, 0x1.060392c718d2fp-1, 0x1.0514d40bd029p-1, 0x1.041e0894c11bep-1, 0x1.031f4821594f8p-1, 0x1.0218ab85c7323p-1, 0x1.010a4ca2667bbp-1, 0x1.ffe88cb60a9d7p-2, 0x1.fdad691c0daa3p-2, 0x1.fb636816cc611p-2, 0x1.f90ac5173e112p-2, 0x1.f6a3bd4cf8bb9p-2, 0x1.f42e8f93abfbap-2, 0x1.f1ab7c6075ab1p-2, 0x1.ef1ac5af239d7p-2, 0x1.ec7caeef5c49bp-2, 0x1.e9d17cf1c06a3p-2, 0x1.e71975d506042p-2, 0x1.e454e0f312fe3p-2, 0x1.e18406ce21641p-2, 0x1.dea730fdf0dc1p-2, 0x1.dbbeaa1d0a248p-2, 0x1.d8cabdb61cf4cp-2, 0x1.d5cbb8317ae52p-2, 0x1.d2c1e6c2b7b8ep-2, 0x1.cfad97566f7b1p-2, 0x1.cc8f18803e4dfp-2, 0x1.c966b968e5873p-2, 0x1.c634c9bca9886p-2, 0x1.c2f99999ea863p-2, 0x1.bfb5797ffae26p-2, 0x1.bc68ba3e37ef3p-2, 0x1.b913ace3689fcp-2, 0x1.b5b6a2ad645a4p-2, 0x1.b251ecf907a18p-2, 0x1.aee5dd327697ep-2, 0x1.ab72c4c5b0debp-2, 0x1.a7f8f50f7c1a3p-2, 0x1.a478bf4ea1245p-2, 0x1.a0f27495859b8p-2, 0x1.9d6665bc1dd7bp-2, 0x1.99d4e3523d6efp-2, 0x1.963e3d9241e1ep-2, 0x1.92a2c4541f5d1p-2, 0x1.8f02c700cf1bfp-2, 0x1.8b5e94861b0ap-2, 0x1.87b67b4acfdcdp-2, 0x1.840ac92350609p-2, 0x1.805bcb468bb95p-2, 0x1.7ca9ce43585b8p-2, 0x1.78f51df6357dfp-2, 0x1.753e057f6bfb8p-2, 0x1.7184cf3998521p-2, 0x1.6dc9c4b09644bp-2, 0x1.6a0d2e98d0531p-2, 0x1.664f54c6f4c9ep-2, 0x1.62907e280b241p-2, 0x1.5ed0f0b9ecd17p-2, 0x1.5b10f18420f23p-2, 0x1.5750c49117119p-2, 0x1.5390ace7c2a2bp-2, 0x1.4fd0ec85942adp-2, 0x1.4c11c458d2bcep-2, 0x1.4853743b4f9dcp-2, 0x1.44963aed75d46p-2, 0x1.40da5611b3e24p-2, 0x1.3d2002283f348p-2, 0x1.39677a8b2c066p-2, 0x1.35b0f96ade8b5p-2, 0x1.31fcb7cacc94fp-2, 0x1.2e4aed7e94fc7p-2, 0x1.2a9bd12763923p-2, 0x1.26ef9831a97edp-2, 0x1.234676d31f16ep-2, 0x1.1fa0a00913167p-2, 0x1.1bfe459702de3p-2, 0x1.185f980579f09p-2, 0x1.14c4c6a13b51dp-2, 0x1.112dff7aaaadbp-2, 0x1.0d9b6f6578c75p-2, 0x1.0a0d41f89484fp-2, 0x1.0683a18e54b85p-2, 0x1.02feb744e36e6p-2, 0x1.fefd55fdc315cp-3, 0x1.f80746c8863ffp-3, 0x1.f11b8bc6cac6p-3, 0x1.ea3a6d64ad894p-3, 0x1.e36431a0a5dd6p-3, 0x1.dc991c0ee6302p-3, 0x1.d5d96ddd1122bp-3, 0x1.cf2565d652e95p-3, 0x1.c87d4067cd59dp-3, 0x1.c1e137a55a2e3p-3, 0x1.bb51834e9e332p-3, 0x1.b4ce58d46112fp-3, 0x1.ae57eb5e3c358p-3, 0x1.a7ee6bd082cc5p-3, 0x1.a19208d272e0fp-3, 0x1.9b42eed4a0716p-3, 0x1.95014817a1a35p-3, 0x1.8ecd3cb2edfc4p-3, 0x1.88a6f29bf503cp-3, 0x1.828e8dad64659p-3, 0x1.7c842fae9f559p-3, 0x1.7687f85b5f4b5p-3, 0x1.709a056b7c53p-3, 0x1.6aba729ae158bp-3, 0x1.64e959b19753p-3, 0x1.5f26d28bfd495p-3, 0x1.5972f32313b4ap-3, 0x1.53cdcf94e4055p-3, 0x1.4e377a2d08b59p-3, 0x1.48b0036d39c0ap-3, 0x1.43377a15feedcp-3, 0x1.3dcdeb2f621aap-3, 0x1.38736211bbe91p-3, 0x1.3327e86e822fbp-3, 0x1.2deb865928e2cp-3, 0x1.28be425002fd2p-3, 0x1.23a021452df7ep-3, 0x1.1e9126a77c601p-3, 0x1.1991546b67761p-3, 0x1.14a0ab13f8e3p-3, 0x1.0fbf29bbb9b42p-3, 0x1.0aecce1d96c8dp-3, 0x1.0629949dc621bp-3, 0x1.017578529d3b6p-3, 0x1.f9a0e61acd108p-4, 0x1.f074fac64c675p-4, 0x1.e7671d6ab17a8p-4, 0x1.de773a753ab13p-4, 0x1.d5a53c0eb7cecp-4, 0x1.ccf10a2ca11fcp-4, 0x1.c45a8aa21d0fep-4, 0x1.bbe1a130d9c45p-4, 0x1.b3862f99c549ap-4, 0x1.ab4815ad9641fp-4, 0x1.a327315d3bf1ap-4, 0x1.9b235eca062c1p-4, 0x1.933c7855bfb3dp-4, 0x1.8b7256b27f6c1p-4, 0x1.83c4d0f2592bep-4, 0x1.7c33bc96d5eb4p-4, 0x1.74beeda038bfp-4, 0x1.6d66369c92bf9p-4, 0x1.662968b69bd3bp-4, 0x1.5f0853c458fdep-4, 0x1.5802c6558ca7ap-4, 0x1.51188dc1e57b5p-4, 0x1.4a497636ff26ep-4, 0x1.43954ac620446p-4, 0x1.3cfbd571c2c8p-4, 0x1.367cdf3adedb9p-4, 0x1.3018302df7457p-4, 0x1.29cd8f6ff136ep-4, 0x1.239cc34aa47fdp-4, 0x1.1d85913938be7p-4, 0x1.1787bdf440f0cp-4, 0x1.11a30d7d96fc2p-4, 0x1.0bd7432bfe096p-4, 0x1.062421b6866bdp-4, 0x1.00896b3fb0cc1p-4, 0x1.f60dc2c0ae88ap-5, 0x1.eb388a64ab7f8p-5, 0x1.e092aeb5f25a1p-5, 0x1.d61bb02a5591dp-5, 0x1.cbd30e76c7fd6p-5, 0x1.c1b848a2c85dcp-5, 0x1.b7cadd1b4fa98p-5, 0x1.ae0a49c54bf16p-5, 0x1.a4760c0f9e023p-5, 0x1.9b0da104a2ebep-5, 0x1.91d0855b4f0dp-5, 0x1.88be3587bfe74p-5, 0x1.7fd62dcb732c6p-5, 0x1.7717ea44f2d15p-5, 0x1.6e82e6ff232ffp-5, 0x1.6616a00011166p-5, 0x1.5dd2915757b18p-5, 0x1.55b6372c190a5p-5, 0x1.4dc10dca820e6p-5, 0x1.45f291b0ea50fp-5, 0x1.3e4a3f9c8a3eep-5, 0x1.36c79495b73bcp-5, 0x1.2f6a0dfbd473p-5, 0x1.28312990c71cp-5, 0x1.211c65840677dp-5, 0x1.1a2b407d5ae1bp-5, 0x1.135d39a7248bap-5, 0x1.0cb1d0b851a7fp-5, 0x1.062885fdedd67p-5, 0x1.ff81b4c8b2814p-6, 0x1.f2f49f0040068p-6, 0x1.e6a8cf2ceced2p-6, 0x1.da9d4b4ac8608p-6, 0x1.ced11ad729e59p-6, 0x1.c34346df91024p-6, 0x1.b7f2da10144d1p-6, 0x1.acdee0c0ebcadp-6, 0x1.a206690388982p-6, 0x1.976882af05191p-6, 0x1.8d043f6bea29dp-6, 0x1.82d8b2bf72d47p-6, 0x1.78e4f2162454p-6, 0x1.6f2814cdf851p-6, 0x1.65a1343fd5c9ap-6, 0x1.5c4f6bc893c16p-6, 0x1.5331d8d168df8p-6, 0x1.4a479ad7f0caap-6, 0x1.418fd3758956fp-6, 0x1.3909a66652d07p-6, 0x1.30b4398fa9debp-6, 0x1.288eb50621557p-6, 0x1.2098431317653p-6, 0x1.18d01039d32b3p-6, 0x1.11354b3c2cbd7p-6, 0x1.09c7251ed6eafp-6, 0x1.0284d12d2e8bbp-6, 0x1.f6db09f96abd6p-7, 0x1.e900f0e04c56cp-7, 0x1.db79cb74417adp-7, 0x1.ce4412bef904fp-7, 0x1.c15e447287cc2p-7, 0x1.b4c6e2ecb677ep-7, 0x1.a87c75397969cp-7, 0x1.9c7d87151705ep-7, 0x1.90c8a8ed3cf3ap-7, 0x1.855c6fe1e5848p-7, 0x1.7a3775c57db43p-7, 0x1.6f58591c4ff9ap-7, 0x1.64bdbd1bb2948p-7, 0x1.5a6649a862becp-7, 0x1.5050ab54a08ap-7, 0x1.467b935d9ec0bp-7, 0x1.3ce5b7a883e1ap-7, 0x1.338dd2bf06e67p-7, 0x1.2a72a3cb7988p-7, 0x1.2192ee949b9fcp-7, 0x1.18ed7b78c38a5p-7, 0x1.10811768e6bb3p-7, 0x1.084c93e30203ap-7, 0x1.004ec6ec5df6cp-7, 0x1.f10d1616a434bp-8, 0x1.e1e57e81b275ep-8, 0x1.d3248e034137fp-8, 0x1.c4c8145e0cd2p-8, 0x1.b6cdea1f497ddp-8, 0x1.a933f08f45733p-8, 0x1.9bf811a1a8c6cp-8, 0x1.8f183fe4de85p-8, 0x1.829276718b083p-8, 0x1.7664b8d8ed0cfp-8, 0x1.6a8d13136677fp-8, 0x1.5f09996e677a3p-8, 0x1.53d86879c7e88p-8, 0x1.48f7a4f5155p-8, 0x1.3e657bbc5fd88p-8, 0x1.342021b4cb327p-8, 0x1.2a25d3b8dccf5p-8, 0x1.2074d6843ec5bp-8, 0x1.170b769fc1c1bp-8, 0x1.0de8084caf9a1p-8, 0x1.0508e770221ddp-8, 0x1.f8d8eefc336a2p-9, 0x1.e82246c8d9c2bp-9, 0x1.d7eabaeb264dep-9, 0x1.c82f3ea63caa9p-9, 0x1.b8ecd3b0ccf34p-9, 0x1.aa208a098955bp-9, 0x1.9bc77fcbc281ep-9, 0x1.8ddee103fc37bp-9, 0x1.8063e783e4347p-9, 0x1.7353dab6a572cp-9, 0x1.66ac0f74db278p-9, 0x1.5a69e7d89531cp-9, 0x1.4e8ad31146062p-9, 0x1.430c4d37bfcdep-9, 0x1.37ebdf22116e7p-9, 0x1.2d271e377fb78p-9, 0x1.22bbac4499968p-9, 0x1.18a7374f542b3p-9, 0x1.0ee7796b22ec2p-9, 0x1.057a388d52c88p-9, 0x1.f8ba8cc2f8bcdp-10, 0x1.e71d003be1219p-10, 0x1.d6179cb14c0d8p-10, 0x1.c5a649b7f224dp-10, 0x1.b5c504f7cee11p-10, 0x1.a66fe1d65903cp-10, 0x1.97a30922072d6p-10, 0x1.895ab8bd4e788p-10, 0x1.7b93434b2fa6ap-10, 0x1.6e490fdb5716cp-10, 0x1.6178999760577p-10, 0x1.551e6f7069a97p-10, 0x1.493733cd2e9dbp-10, 0x1.3dbf9c38f89f9p-10, 0x1.32b4711313396p-10, 0x1.28128d3ed6183p-10, 0x1.1dd6ddd4350abp-10, 0x1.13fe61d1a0a5p-10, 0x1.0a8629cd4a646p-10, 0x1.016b57a8d5c26p-10, 0x1.f1563c8880d61p-11, 0x1.e085826479befp-11, 0x1.d05f28dac3c77p-11, 0x1.c0ddf81ad3d2fp-11, 0x1.b1fcd7fc49411p-11, 0x1.a3b6cf6cf6a92p-11, 0x1.960703e06a4bp-11, 0x1.88e8b8c2736f3p-11, 0x1.7c574ee9a3b9cp-11, 0x1.704e440c1f22ap-11, 0x1.64c93235ec893p-11, 0x1.59c3cf41353a9p-11, 0x1.4f39ec4f2f9a5p-11, 0x1.45277543e6fbp-11, 0x1.3b887042e9992p-11, 0x1.3258fd2d7276fp-11, 0x1.29955522d6d5p-11, 0x1.2139ca02045c9p-11, 0x1.1942c5ecd5036p-11, 0x1.11accacd4eba9p-11, 0x1.0a7471dc5b2a9p-11, 0x1.03966b29372ep-11, 0x1.fa1efa4a955bp-12, 0x1.edb9085af7212p-12, 0x1.e1f4e43263a59p-12, 0x1.d6cc9b909d764p-12, 0x1.cc3a65673b03ep-12, 0x1.c238a0ff1a6a3p-12, 0x1.b8c1d51f29b0ep-12, 0x1.afd0af3772b89p-12, 0x1.a760028e8a4bep-12, 0x1.9f6ac7726788ap-12, 0x1.97ec1a6e6f005p-12, 0x1.90df3b8123c63p-12, 0x1.8a3f8d56bdd75p-12, 0x1.84089488e96a4p-12, 0x1.7e35f6dd372dfp-12, 0x1.78c37a8aebfd6p-12, 0x1.73ad058062b0ap-12, 0x1.6eee9caeabcdbp-12, 0x1.6a84635502e49p-12, 0x1.666a9a5250411p-12, 0x1.629d9f776bd1ep-12, 0x1.5f19ecdd0d4f3p-12, 0x1.5bdc183cd1ddp-12, 0x1.58e0d24d3c235p-12, 0x1.5624e61f7c295p-12, 0x1.53a538819909bp-12, 0x1.515ec762ddd0ap-12, 0x1.4f4ea93a3c0d7p-12, 0x1.4d720c7110afap-12, 0x1.4bc636cdfe0f5p-12, 0x1.4a4884e5be07cp-12, 0x1.48f6698c6a103p-12, 0x1.47cd6d4958e91p-12, 0x1.46cb2dcf3599dp-12, 0x1.45ed5d74ffb76p-12, 0x1.4531c2b2ffa14p-12, 0x1.449637a04adaep-12, 0x1.4418a974d493ep-12, 0x1.43b7180cb1c9p-12, 0x1.436f956ea5502p-12, 0x1.43404553a2b18p-12, 0x1.43275cb23ea71p-12, 0x1.4323214c87b4ap-12, 0x1.4331e93d52af8p-12, 0x1.43521a8c4426fp-12, 0x1.43822abfe90e1p-12, 0x1.43c09e74a6c93p-12, 0x1.440c08f501811p-12, 0x1.44630bd377c9dp-12, 0x1.44c45687aec37p-12, 0x1.452ea60cab8b7p-12, 0x1.45a0c4818a643p-12, 0x1.461988cc037a9p-12, 0x1.4697d63d38b03p-12, 0x1.471a9c37c7a8p-12, 0x1.47a0d5d8c3d15p-12, 0x1.482989a24ba0fp-12, 0x1.48b3c92721a59p-12, 0x1.493eb0b990af4p-12, 0x1.49c9671a63c79p-12, 0x1.4a531d2b1dfa7p-12, 0x1.4adb0da1757b1p-12, 0x1.4b607cbbad426p-12, 0x1.4be2b7f8c79e5p-12, 0x1.4c6115cf8a1c5p-12, 0x1.4cdaf5699889ep-12, 0x1.4d4fbe5ee01fbp-12, 0x1.4dbee072a3418p-12, 0x1.4e27d35282264p-12, 0x1.4e8a1656a3bb4p-12, 0x1.4ee530440ab97p-12, 0x1.4f38af0f3e0adp-12, 0x1.4f8427a17dc34p-12, 0x1.4fc7359eead72p-12, 0x1.50017b2e3e4a4p-12, 0x1.5032a0c10212fp-12, 0x1.505a54de935bep-12, 0x1.50784bef4940ap-12, 0x1.508c4009ab5cap-12, 0x1.5095f0c03ab7cp-12, 0x1.509522f100aap-12, 0x1.5089a09688bc4p-12, 0x1.50733898d113bp-12, 0x1.5051bea14c4b6p-12, 0x1.50250aee300ecp-12, 0x1.4fecfa27eaf29p-12, 0x1.4fa96d3793599p-12, 0x1.4f5a491e689eep-12, 0x1.4eff76cdf57a3p-12, 0x1.4e98e30252e0cp-12, 0x1.4e267e1bdc22ap-12, 0x1.4da83bfb90edap-12, 0x1.4d1e13dea6cc4p-12, 0x1.4c88003d04706p-12, 0x1.4be5fea69841ep-12, 0x1.4b380fa3e13b9p-12, 0x1.4a7e369531447p-12, 0x1.49b879943df61p-12, 0x1.48e6e1561deb4p-12, 0x1.4809790e0d922p-12, 0x1.47204e510327ep-12, 0x1.462b70fa35734p-12, 0x1.452af3103a44bp-12, 0x1.441ee8aafc3bap-12, 0x1.430767dac7c58p-12, 0x1.41e4888f9067dp-12, 0x1.40b664812b7cbp-12, 0x1.3f7d17189fe7ep-12, 0x1.3e38bd590535p-12, 0x1.3ce975ca9a9dp-12, 0x1.3b8f60651f8bp-12, 0x1.3a2a9e7bb8728p-12, 0x1.38bb52a8ff545p-12, 0x1.3741a0bc15dfbp-12, 0x1.35bdada5b1b74p-12, 0x1.342f9f66a8df6p-12, 0x1.32979cfdf45c9p-12, 0x1.30f5ce587b089p-12, 0x1.2f4a5c402cc45p-12, 0x1.2d95704c8e0e1p-12, 0x1.2bd734d35b03p-12, 0x1.2a0fd4d9b6712p-12, 0x1.283f7c061a1cbp-12, 0x1.266656927001dp-12, 0x1.2484913ecc5d3p-12, 0x1.229a5944ab362p-12, 0x1.20a7dc4a57caap-12, 0x1.1ead485729745p-12, 0x1.1caacbc7dcec5p-12, 0x1.1aa095438ba2fp-12, 0x1.188ed3b0b180bp-12, 0x1.1675b62b32e88p-12, 0x1.14556bfa20f93p-12, 0x1.122e248668727p-12, 0x1.10000f5169a16p-12, 0x1.0dcb5bec46b2fp-12, 0x1.0b9039ef3a94cp-12, 0x1.094ed8f17f7fcp-12, 0x1.070768816626dp-12, 0x1.04ba181ccb78ep-12, 0x1.0267172a00532p-12, 0x1.000e94f0b21adp-12, 0x1.fb618126c99bcp-13, 0x1.f69b92121766ap-13, 0x1.f1cbba2e13423p-13, 0x1.ecf2569679ef1p-13, 0x1.e80fc3ed552d8p-13, 0x1.e3245e5008b31p-13, 0x1.de30814d5251dp-13, 0x1.d93487db9de48p-13, 0x1.d430cc500f2bep-13, 0x1.cf25a855855edp-13, 0x1.ca1374e49753p-13, 0x1.c4fa8a3bb57a7p-13, 0x1.bfdb3fd7e419fp-13, 0x1.bab5ec6cf1171p-13, 0x1.b58ae5e005428p-13, 0x1.b05a814029695p-13, 0x1.ab2512c114deep-13, 0x1.a5eaedb5b22a7p-13, 0x1.a0ac648a2db61p-13, 0x1.9b69c8bff94aep-13, 0x1.96236ae8c6bd3p-13, 0x1.90d99aa224b9cp-13, 0x1.8b8ca691ec8adp-13, 0x1.863cdc627d6c5p-13, 0x1.80ea88befffb3p-13, 0x1.7b95f75108ed3p-13, 0x1.763f72bce3b47p-13, 0x1.70e7449f81c6dp-13, 0x1.6b8db58c07b72p-13, 0x1.66330d098925p-13, 0x1.60d791918654p-13, 0x1.5b7b888dfaf94p-13, 0x1.561f3657e0538p-13, 0x1.50c2de360fa43p-13, 0x1.4b66c25c6ae99p-13, 0x1.460b23ea662bap-13, 0x1.40b042eaef2aap-13, 0x1.3b565e53de27ap-13, 0x1.35fdb40546413p-13, 0x1.30a680c985a97p-13, 0x1.2b5100559883fp-13, 0x1.25fd6d487edffp-13, 0x1.20ac012c43babp-13, 0x1.1b5cf4763cf33p-13, 0x1.16107e8715329p-13, 0x1.10c6d5ac6a40bp-13, 0x1.0b802f20c5cfcp-13, 0x1.063cbf0d1efe1p-13, 0x1.00fcb8895fa4dp-13, 0x1.f7809b3c39972p-14, 0x1.ed0f5e8b37bb9p-14, 0x1.e2a61ad9f7cf8p-14, 0x1.d8452dec0cb7ep-14, 0x1.cdecf370f6e14p-14, 0x1.c39dc507c9654p-14, 0x1.b957fa41d4c98p-14, 0x1.af1be8a6fae22p-14, 0x1.a4e9e3b98a023p-14, 0x1.9ac23cf93502fp-14, 0x1.90a543e7cda6bp-14, 0x1.8693460d31cd3p-14, 0x1.7c8c8efb2561p-14, 0x1.729168526670dp-14, 0x1.68a219c67fbaap-14, 0x1.5ebee922da3eep-14, 0x1.54e81a4f2a5c3p-14, 0x1.4b1def5384a47p-14, 0x1.4160a85e7ffffp-14, 0x1.37b083c8cc692p-14, 0x1.2e0dbe1b059d7p-14, 0x1.247892124a32p-14, 0x1.1af138a555facp-14, 0x1.1177e909e50b1p-14, 0x1.080cd8b9ddf7ap-14, 0x1.fd6076efbe048p-15, 0x1.eac486ab514e9p-15, 0x1.d84641710482ap-15, 0x1.c5e604bdce278p-15, 0x1.b3a42acba58d4p-15, 0x1.a1810a9d117cfp-15, 0x1.8f7cf8063c7p-15, 0x1.7d9843b98fa9fp-15, 0x1.6bd33b5221502p-15, 0x1.5a2e295db2759p-15, 0x1.48a95568e3295p-15, 0x1.37450409f0e69p-15, 0x1.260176ea62d74p-15, 0x1.14deecd3f7cb2p-15, 0x1.03dda1ba41e74p-15, 0x1.e5fb9d8b9b24bp-16, 0x1.c47f54be11ee7p-16, 0x1.a346d073bd303p-16, 0x1.825272beae3c4p-16, 0x1.61a29873b1debp-16, 0x1.4137993d674fep-16, 0x1.2111c7b3acd63p-16, 0x1.0131716f5a4abp-16, 0x1.c32dbe41b9867p-17, 0x1.8484a94cbde48p-17, 0x1.4668223da51a4p-17, 0x1.08d89dfeb4036p-17, 0x1.97ad10a9b425ep-18, 0x1.1ec48806a6319p-18, 0x1.4df0abe449e0fp-19, 0x1.8248e7843ca8fp-21, -0x1.152245f95b669p-20, -0x1.7378692e0fc9ap-19, -0x1.2d115bf6828f5p-18, -0x1.9f47a74fa7991p-18, -0x1.082f630f3c057p-17, -0x1.402b3bab6309fp-17, -0x1.77974489c3a83p-17, -0x1.ae736c27606dap-17, -0x1.e4bfa84963154p-17, -0x1.0d3dfaeb1303bp-16, -0x1.27d42c59873bfp-16, -0x1.42226dcd1abf4p-16, -0x1.5c28c7fc5cd6fp-16, -0x1.75e746e5388b2p-16, -0x1.8f5df9bab5dccp-16, -0x1.a88cf2d246fc8p-16, -0x1.c1744792fc9d7p-16, -0x1.da141063eb79dp-16, -0x1.f26c689af6007p-16, -0x1.053eb7357fb46p-15, -0x1.1123a169a3776p-15, -0x1.1ce504c7b1dfcp-15, -0x1.2882f482fd98cp-15, -0x1.33fd851c83d13p-15, -0x1.3f54cc5a55088p-15, -0x1.4a88e1404ac43p-15, -0x1.5599dc0790ca5p-15, -0x1.6087d6174705cp-15, -0x1.6b52e9fce3493p-15, -0x1.75fb3364224dp-15, -0x1.8080cf0ff6512p-15, -0x1.8ae3dad347459p-15, -0x1.952475895430cp-15, -0x1.9f42bf0e9a411p-15, -0x1.a93ed839b4a95p-15, -0x1.b318e2d4d373bp-15, -0x1.bcd1019683f2cp-15, -0x1.c667581adb32fp-15, -0x1.cfdc0adcf5163p-15, -0x1.d92f3f300a985p-15, -0x1.e2611b397cb52p-15, -0x1.eb71c5ea06c73p-15, -0x1.f46166f7b202ep-15, -0x1.fd3026d799633p-15, -0x1.02ef175bcc586p-14, -0x1.0735d43c387e8p-14, -0x1.0b6c5f540abcp-14, -0x1.0f92ce3dbb76ap-14, -0x1.13a936e4888bdp-14, -0x1.17afaf81adbf1p-14, -0x1.1ba64e997d173p-14, -0x1.1f8d2af898ec3p-14, -0x1.23645bb17df07p-14, -0x1.272bf819d3f0dp-14, -0x1.2ae417c7a447dp-14, -0x1.2e8cd28ef169bp-14, -0x1.3226407f5f317p-14, -0x1.35b079e17ef21p-14, -0x1.392b97347a1acp-14, -0x1.3c97b12ba8dc9p-14, -0x1.3ff4e0ac4a23dp-14, -0x1.43433ecb3b347p-14, -0x1.4682e4cac25fdp-14, -0x1.49b3ec184a69ep-14, -0x1.4cd66e4a3b4b6p-14, -0x1.4fea851dc4e7ap-14, -0x1.52f04a74e084cp-14, -0x1.55e7d85457505p-14, -0x1.58d148e1a3c6ep-14, -0x1.5bacb660ef36ap-14, -0x1.5e7a3b334183fp-14, -0x1.6139f1d4a256ep-14, -0x1.63ebf4da1f9f7p-14, -0x1.66905ef004328p-14, -0x1.69274ad808478p-14, -0x1.6bb0d367a4018p-14, -0x1.6e2d138665c16p-14, -0x1.709c262c31688p-14, -0x1.72fe265f8e614p-14, -0x1.75532f3422268p-14, -0x1.779b5bc9180e9p-14, -0x1.79d6c7478eac4p-14, -0x1.7c058ce11b29dp-14, -0x1.7e27c7ce4efbap-14, -0x1.803d934d63f1ap-14, -0x1.82470aa0afb8p-14, -0x1.8444490d49f7p-14, -0x1.863569d9a5d63p-14, -0x1.881a884c5fec3p-14, -0x1.89f3bfaacb81ep-14, -0x1.8bc12b37e14b3p-14, -0x1.8d82e632fdaa9p-14, -0x1.8f390bd6872cbp-14, -0x1.90e3b756cb99bp-14, -0x1.928303e0f6f75p-14, -0x1.94170c99eb8f1p-14, -0x1.959fec9d15a11p-14, -0x1.971dbefb5ad5ap-14, -0x1.98909eba3713ap-14, -0x1.99f8a6d2ba5b2p-14, -0x1.9b55f230688a5p-14, -0x1.9ca89bb037385p-14, -0x1.9df0be1fd2b78p-14, -0x1.9f2e743c761bdp-14, -0x1.a061d8b23c4f2p-14, -0x1.a18b061b567c9p-14, -0x1.a2aa16fefaf73p-14, -0x1.a3bf25d0997c1p-14, -0x1.a4ca4cef2202p-14, -0x1.a5cba6a44fdc1p-14, -0x1.a6c34d23d1bbcp-14, -0x1.a7b15a8a92aa3p-14, -0x1.a895e8ddecaacp-14, -0x1.a971120b3008ep-14, -0x1.aa42efe6f667ep-14, -0x1.ab0b9c2c3dfaap-14, -0x1.abcb307bed36bp-14, -0x1.ac81c65c3d4f8p-14, -0x1.ad2f773810e07p-14, -0x1.add45c5e796d9p-14, -0x1.ae708f0223ab7p-14, -0x1.af042838d230fp-14, -0x1.af8f40facd59ap-14, -0x1.b011f22253285p-14, -0x1.b08c546b49d0cp-14, -0x1.b0fe80729d96bp-14, -0x1.b1688eb5da1edp-14, -0x1.b1ca9792e0936p-14, -0x1.b224b347491cdp-14, -0x1.b276f9f01ca0bp-14, -0x1.b2c183895ddc2p-14, -0x1.b30467edcdf18p-14, -0x1.b33fbed65fe55p-14, -0x1.b3739fd9e5c03p-14, -0x1.b3a0226ce1b8dp-14, -0x1.b3c55de13c57cp-14, -0x1.b3e36965cbc53p-14, -0x1.b3fa5c061f8b6p-14, -0x1.b40a4caa46f0ap-14, -0x1.b413521661477p-14, -0x1.b41582eaa6f01p-14, -0x1.b410f5a2e5d72p-14, -0x1.b405c0967ddb9p-14, -0x1.b3f3f9f7fa1fcp-14, -0x1.b3dbb7d516712p-14, -0x1.b3bd10164f97bp-14, -0x1.b398187efc8e7p-14, -0x1.b36ce6ad06749p-14, -0x1.b33b90188cadep-14, -0x1.b3042a13ec177p-14, -0x1.b2c6c9cbb09e4p-14, -0x1.b28384466f6acp-14, -0x1.b23a6e648f087p-14, -0x1.b1eb9ce02ffafp-14, -0x1.b197244d23bbep-14, -0x1.b13d1918ca80ep-14, -0x1.b0dd8f8a0fa13p-14, -0x1.b0789bc13e597p-14, -0x1.b00e51b810355p-14, -0x1.af9ec54177045p-14, -0x1.af2a0a09b6121p-14, -0x1.aeb03396678dfp-14, -0x1.ae3155464f81dp-14, -0x1.adad825140cc8p-14, -0x1.ad24cdc85fc8fp-14, -0x1.ac974a9603ae9p-14, -0x1.ac050b7d82531p-14, -0x1.ab6e231b6b9d3p-14, -0x1.aad2a3e5b1269p-14, -0x1.aa32a02b63941p-14, -0x1.a98e2a14b9cadp-14, -0x1.a8e553a34ffdp-14, -0x1.a8382eb2090ap-14, -0x1.a786ccf52b50fp-14, -0x1.a6d13ffa644b6p-14, -0x1.a6179928d5292p-14, -0x1.a559e9c12dd5fp-14, -0x1.a49842ddc297ap-14, -0x1.a3d2b572ac7acp-14, -0x1.a309524dbe561p-14, -0x1.a23c2a1681e8p-14, -0x1.a16b4d4e8d68bp-14, -0x1.a096cc517634fp-14, -0x1.9fbeb754e63e9p-14, -0x1.9ee31e68f16f4p-14, -0x1.9e041177fb8a1p-14, -0x1.9d21a046b37c2p-14, -0x1.9c3bda746358cp-14, -0x1.9b52cf7b37af6p-14, -0x1.9a668eafee7b7p-14, -0x1.997727425599ep-14, -0x1.9884a83d53411p-14, -0x1.978f2086ebc45p-14, -0x1.96969ee0717f2p-14, -0x1.959b31e6d69e1p-14, -0x1.949ce812a9b29p-14, -0x1.939bcfb8333e5p-14, -0x1.9297f707a1d59p-14, -0x1.91916c0d3dd2fp-14, -0x1.90883cb170bap-14, -0x1.8f7c76b920baep-14, -0x1.8e6e27c5d5fc4p-14, -0x1.8d5d5d55b505ap-14, -0x1.8c4a24c3caf33p-14, -0x1.8b348b48144dcp-14, -0x1.8a1c9df7e416p-14, -0x1.890269c5f7f15p-14, -0x1.87e5fb828b707p-14, -0x1.86c75fdb8884bp-14, -0x1.85a6a35ceac2bp-14, -0x1.8483d270a1d6fp-14, -0x1.835ef95ef15c1p-14, -0x1.8238244eb1e2fp-14, -0x1.810f5f4545f5cp-14, -0x1.7fe4b626dcbfp-14, -0x1.7eb834b6b98ep-14, -0x1.7d89e6975f411p-14, -0x1.7c59d74aa782bp-14, -0x1.7b2812320c1acp-14, -0x1.79f4a28ec8fafp-14, -0x1.78bf93822b25ep-14, -0x1.7788f00dacc93p-14, -0x1.7650c31324706p-14, -0x1.75171754ebbfap-14, -0x1.73dbf7761e811p-14, -0x1.729f6dfafcd21p-14, -0x1.71618548e4a77p-14, -0x1.702247a67f32ap-14, -0x1.6ee1bf3c032cap-14, -0x1.6d9ff61394ac7p-14, -0x1.6c5cf619415e8p-14, -0x1.6b18c91b5448ep-14, -0x1.69d378ca71e5bp-14, -0x1.688d0eb9c922dp-14, -0x1.6745945f65873p-14, -0x1.65fd13145e093p-14, -0x1.64b39414f0142p-14, -0x1.63692080be0adp-14, -0x1.621dc15b1dd29p-14, -0x1.60d17f8b40d12p-14, -0x1.5f8463dc58222p-14, -0x1.5e3676fdb5bc9p-14, -0x1.5ce7c183365fap-14, -0x1.5b984be572925p-14, -0x1.5a481e81d0a74p-14, -0x1.58f7419ab7b7cp-14, -0x1.57a5bd57ce547p-14, -0x1.565399c65fc2ep-14, -0x1.5500ded950483p-14, -0x1.53ad9469605a4p-14, -0x1.5259c2357db0cp-14, -0x1.51056fe2c9ef3p-14, -0x1.4fb0a4fcfb61bp-14, -0x1.4e5b68f67b6eep-14, -0x1.4d05c32884db6p-14, -0x1.4bafbad384b4ap-14, -0x1.4a59571f598c3p-14, -0x1.49029f1b4030dp-14, -0x1.47ab99be22962p-14, -0x1.46544de70784ap-14, -0x1.44fcc25d05455p-14, -0x1.43a4fdcf6d0bbp-14, -0x1.424d06d628186p-14, -0x1.40f4e3f1f4ca8p-14, -0x1.3f9c9b8c71cb1p-14, -0x1.3e4433f83c227p-14, -0x1.3cebb37161126p-14, -0x1.3b93201d95919p-14, -0x1.3a3a800c1bd0fp-14, -0x1.38e1d93621fdp-14, -0x1.3789317f0d5c4p-14, -0x1.36308eb486335p-14, -0x1.34d7f68ea97d1p-14, -0x1.337f6eb05b0fcp-14, -0x1.3226fca750f69p-14, -0x1.30cea5ec6b88bp-14, -0x1.2f766fe3cd30ap-14, -0x1.2e1e5fdcf5ce4p-14, -0x1.2cc67b1326833p-14, -0x1.2b6ec6ad82204p-14, -0x1.2a1747bf16b13p-14, -0x1.28c0034724771p-14, -0x1.2768fe31857d6p-14, -0x1.26123d567faa2p-14, -0x1.24bbc57b1658fp-14, -0x1.23659b516d411p-14, -0x1.220fc378b7b49p-14, -0x1.20ba427d63804p-14, -0x1.1f651cd97e856p-14, -0x1.1e1056f4ce532p-14, -0x1.1cbbf524d1976p-14, -0x1.1b67fbad163abp-14, -0x1.1a146ebf82b1fp-14, -0x1.18c1527c450f2p-14, -0x1.176eaaf21e4e5p-14, -0x1.161c7c1e977a2p-14, -0x1.14cac9ee24425p-14, -0x1.1379983c4bb1cp-14, -0x1.1228ead3cd1cep-14, -0x1.10d8c56edb37dp-14, -0x1.0f892bb758132p-14, -0x1.0e3a2146bd269p-14, -0x1.0ceba9a68738dp-14, -0x1.0b9dc8506f4ccp-14, -0x1.0a5080ae3cb14p-14, -0x1.0903d61a23f1p-14, -0x1.07b7cbdf28a3fp-14, -0x1.066c6538d9e15p-14, -0x1.0521a553b63acp-14, -0x1.03d78f4d7879dp-14, -0x1.028e2634dbff9p-14, -0x1.01456d0a11dc4p-14, -0x1.fffacd7df545fp-15, -0x1.fd6c2c6e0071dp-15, -0x1.fadefc8ec6f36p-15, -0x1.f853436f135b2p-15, -0x1.f5c90681ddb12p-15, -0x1.f3404b1ea9da7p-15, -0x1.f0b91681f9729p-15, -0x1.ee336dcd96bc8p-15, -0x1.ebaf5608b2e6p-15, -0x1.e92cd42054ffdp-15, -0x1.e6abece79d01p-15, -0x1.e42ca51833d3cp-15, -0x1.e1af015223b3ap-15, -0x1.df33061cb397cp-15, -0x1.dcb8b7e66b29ap-15, -0x1.da401b04ee053p-15, -0x1.d7c933b645628p-15, -0x1.d55406205618ap-15, -0x1.d2e09651102bfp-15, -0x1.d06ee83f7adcap-15, -0x1.cdfeffcb59db4p-15, -0x1.cb90e0bd7725p-15, -0x1.c9248ec85951dp-15, -0x1.c6ba0d87f33c3p-15, -0x1.c45160824793ap-15, -0x1.c1ea8b27c34adp-15, -0x1.bf8590d3108ecp-15, -0x1.bd2274c9936fap-15, -0x1.bac13a3c018eep-15, -0x1.b861e445fb14dp-15, -0x1.b60475eec5ad7p-15, -0x1.b3a8f2295fa16p-15, -0x1.b14f5bd4d2b31p-15, -0x1.aef7b5bc5882cp-15, -0x1.aca20297a0177p-15, -0x1.aa4e450b3bc24p-15, -0x1.a7fc7fa87247fp-15, -0x1.a5acb4eded9e6p-15, -0x1.a35ee747d93p-15, -0x1.a113190fa3e3fp-15, -0x1.9ec94c8d359a6p-15, -0x1.9c8183f629bcap-15, -0x1.9a3bc16e6dc44p-15, -0x1.97f80708f72cap-15, -0x1.95b656c7111b9p-15, -0x1.9376b299222d9p-15, -0x1.91391c5f062bcp-15, -0x1.8efd95e7cb09p-15, -0x1.8cc420f25cbccp-15, -0x1.8a8cbf2d5b1cp-15, -0x1.8857723791d35p-15, -0x1.86243ba03b69cp-15, -0x1.83f31ce6d5a93p-15, -0x1.81c4177ba6ec6p-15, -0x1.7f972cc014f37p-15, -0x1.7d6c5e065d314p-15, -0x1.7b43ac9227cb1p-15, -0x1.791d1998b0aacp-15, -0x1.76f8a640e61f2p-15, -0x1.74d653a3763p-15, -0x1.72b622cb5b7e5p-15, -0x1.709814b5bb095p-15, -0x1.6e7c2a5230ec8p-15, -0x1.6c6264833bbd9p-15, -0x1.6a4ac41dc20c6p-15, -0x1.683549ea26027p-15, }}, 
      {{0x1.9634196d18823p-1, 0x1.95eb8a0f39418p-1, 0x1.95780ee971d6p-1, 0x1.94dfaf189845ep-1, 0x1.9428ab8ffa18bp-1, 0x1.9358e70398062p-1, 0x1.92759431d0a47p-1, 0x1.918311d630b39p-1, 0x1.9084e36c03d29p-1, 0x1.8f7dbb5e68619p-1, 0x1.8e6f8f0b16c8ep-1, 0x1.8d5baf964d0ddp-1, 0x1.8c42e4551c371p-1, 0x1.8b2584c8160b2p-1, 0x1.8a0390f07d22cp-1, 0x1.88dcc754eb7a4p-1, 0x1.87b0b865f1f73p-1, 0x1.867ed72e79ec6p-1, 0x1.854687612bfd4p-1, 0x1.840728eacac04p-1, 0x1.82c0213e4e4f6p-1, 0x1.8170e295c75bap-1, 0x1.8018f164fc46fp-1, 0x1.7eb7e839ce144p-1, 0x1.7d4d7a43c240bp-1, 0x1.7bd974b84d31p-1, 0x1.7a5bbf4518aep-1, 0x1.78d45bbcdf53ap-1, 0x1.77436526bb7ecp-1, 0x1.75a90e532d276p-1, 0x1.7405a015a68ddp-1, 0x1.7259773d474adp-1, 0x1.70a502638571p-1, 0x1.6ee8bfa3f2b87p-1, 0x1.6d253a4d122d1p-1, 0x1.6b5b089743deap-1, 0x1.698ac96c35119p-1, 0x1.67b52246f7314p-1, 0x1.65dabd32e5ffp-1, 0x1.63fc46edc587ep-1, 0x1.621a6d3007f14p-1, 0x1.6035dd1cf00f9p-1, 0x1.5e4f41db3b32fp-1, 0x1.5c67435620069p-1, 0x1.5a7e8525c826ap-1, 0x1.5895a59ddaae2p-1, 0x1.56ad3d004c968p-1, 0x1.54c5dcd259f12p-1, 0x1.52e00f51583b5p-1, 0x1.50fc5704f76cep-1, 0x1.4f1b2e6c70f7bp-1, 0x1.4d3d07c42a4bcp-1, 0x1.4b624ce155f4fp-1, 0x1.498b5f213230bp-1, 0x1.47b89769a1526p-1, 0x1.45ea4638f4024p-1, 0x1.4420b3c2dd0bdp-1, 0x1.425c2018b34f7p-1, 0x1.409cc35b3fb1fp-1, 0x1.3ee2cdf48975bp-1, 0x1.3d2e68d829656p-1, 0x1.3b7fb5c8db7ebp-1, 0x1.39d6cfa225984p-1, 0x1.3833caa5095bdp-1, 0x1.3696b4c6d926cp-1, 0x1.34ff9601634d9p-1, 0x1.336e70a3c2bd8p-1, 0x1.31e341a33a2c1p-1, 0x1.305e00eb9a49ap-1, 0x1.2edea1aec146ep-1, 0x1.2d6512b2d912cp-1, 0x1.2bf13e9f08e4ep-1, 0x1.2a830c465a85ep-1, 0x1.291a5ef0a3d71p-1, 0x1.27b716a14e8dap-1, 0x1.2659105be18bbp-1, 0x1.25002666379bp-1, 0x1.23ac30885702p-1, 0x1.225d0449e4aacp-1, 0x1.2112752d2c0b2p-1, 0x1.1fcc54e7c5b41p-1, 0x1.1e8a7398dba5bp-1, 0x1.1d4c9ffd16d87p-1, 0x1.1c12a7a0424b6p-1, 0x1.1adc570caad98p-1, 0x1.19a979f8512a8p-1, 0x1.1879db6ff3771p-1, 0x1.174d460007187p-1, 0x1.162383dbaa062p-1, 0x1.14fc5f01a0b6p-1, 0x1.13d7a15f6dc73p-1, 0x1.12b514f2934efp-1, 0x1.119483e80d9b4p-1, 0x1.1075b8ba149d6p-1, 0x1.0f587e4c34425p-1, 0x1.0e3ca005c841dp-1, 0x1.0d21e9eae976cp-1, 0x1.0c0828b3d9f3p-1, 0x1.0aef29e2fb75bp-1, 0x1.09d6bbd95d057p-1, 0x1.08beade9eaadbp-1, 0x1.07a6d06b4be7p-1, 0x1.068ef4c879af2p-1, 0x1.0576ed9017172p-1, 0x1.045e8e82977e8p-1, 0x1.0345ac9f3a663p-1, 0x1.022c1e2fe7d9ap-1, 0x1.0111bad3f6023p-1, 0x1.ffecb713bebc9p-2, 0x1.fdb3b56fe8c62p-2, 0x1.fb78286822381p-2, 0x1.f939ca94b73dfp-2, 0x1.f6f85986317cdp-2, 0x1.f4b395cf32cb8p-2, 0x1.f26b430c9ba15p-2, 0x1.f01f27ec05268p-2, 0x1.edcf0e309ebb1p-2, 0x1.eb7ac2b685622p-2, 0x1.e922157498972p-2, 0x1.e6c4d97ce7d08p-2, 0x1.e462e4fbba73p-2, 0x1.e1fc11354ecbdp-2, 0x1.df903a824dddep-2, 0x1.dd1f404b16519p-2, 0x1.daa90501d77c5p-2, 0x1.d82d6e1b9b4a1p-2, 0x1.d5ac640845307p-2, 0x1.d325d229919b4p-2, 0x1.d099a6c92bcf8p-2, 0x1.ce07d30dddca2p-2, 0x1.cb704aeff0884p-2, 0x1.c8d3052cc0adcp-2, 0x1.c62ffb399c373p-2, 0x1.c3872935efce7p-2, 0x1.c0d88ddcd6acap-2, 0x1.be242a760f3b7p-2, 0x1.bb6a02c66ca6dp-2, 0x1.b8aa1cffc5cf6p-2, 0x1.b5e481b074f78p-2, 0x1.b3193bb26f34bp-2, 0x1.b0485819ff147p-2, 0x1.ad71e6242ec4dp-2, 0x1.aa95f724ea1dp-2, 0x1.a7b49e74e2a1ep-2, 0x1.a4cdf15f4167bp-2, 0x1.a1e2070f2e4aap-2, 0x1.9ef0f87d33876p-2, 0x1.9bfae05c8df9cp-2, 0x1.98ffdb08675dep-2, 0x1.960006710ecf1p-2, 0x1.92fb82092ce0bp-2, 0x1.8ff26eb302452p-2, 0x1.8ce4eeadb255p-2, 0x1.89d32582a788fp-2, 0x1.86bd37f30f427p-2, 0x1.83a34be57cb9bp-2, 0x1.80858853b14d2p-2, 0x1.7d64153893e0ap-2, 0x1.7a3f1b7e5d734p-2, 0x1.7716c4ecf92b1p-2, 0x1.73eb3c18a8fc1p-2, 0x1.70bcac50e4ce2p-2, 0x1.6d8b418f82a4ep-2, 0x1.6a57286828aa4p-2, 0x1.67208df80c30cp-2, 0x1.63e79fd5ff6f3p-2, 0x1.60ac8c02d3adap-2, 0x1.5d6f80da12168p-2, 0x1.5a30ad030ceebp-2, 0x1.56f03f624bd71p-2, 0x1.53ae670b53f9fp-2, 0x1.506b5332cfa88p-2, 0x1.4d273321172a1p-2, 0x1.49e2362519dd4p-2, 0x1.469c8b87ab9f4p-2, 0x1.4356627f3213ep-2, 0x1.400fea23bc5c3p-2, 0x1.3cc951637b8f5p-2, 0x1.3982c6f79fe9ep-2, 0x1.363c79599ffcp-2, 0x1.32f696b8e098fp-2, 0x1.2fb14cf0c4922p-2, 0x1.2c6cc97f220ap-2, 0x1.2929397b1abc6p-2, 0x1.25e6c98c5abf9p-2, 0x1.22a5a5e2b8e8dp-2, 0x1.1f65fa2e39446p-2, 0x1.1c27f19775963p-2, 0x1.18ebb6b861559p-2, 0x1.15b173956fbc3p-2, 0x1.1279519718d4bp-2, 0x1.0f437983bc37p-2, 0x1.0c101379dad93p-2, 0x1.08df46eab2f43p-2, 0x1.05b13a952cd51p-2, 0x1.028614812409cp-2, 0x1.febbf3f6091e8p-3, 0x1.f8721f1f72b84p-3, 0x1.f22ef211e6a49p-3, 0x1.ebf2b2d36fc0ep-3, 0x1.e5bda5d68baf1p-3, 0x1.df900df4821ep-3, 0x1.d96a2c6859852p-3, 0x1.d34c40ca5a5fap-3, 0x1.cd36890c1b9f8p-3, 0x1.c72941752043p-3, 0x1.c124a49ff7fa5p-3, 0x1.bb28eb77dd96p-3, 0x1.b5364d36d7a39p-3, 0x1.af4cff64542ffp-3, 0x1.a96d35d436018p-3, 0x1.a39722a6550dp-3, 0x1.9dcaf6466ea0bp-3, 0x1.9808df6c7ffd4p-3, 0x1.92510b1d8292fp-3, 0x1.8ca3a4ac8f27ap-3, 0x1.8700d5bc5f1c2p-3, 0x1.8168c64124c54p-3, 0x1.7bdb9c82be5fbp-3, 0x1.76597d1f390dfp-3, 0x1.70e28b0da7676p-3, 0x1.6b76e7a13f466p-3, 0x1.6616b28cbfb76p-3, 0x1.60c209e6236e4p-3, 0x1.5b790a2a88e46p-3, 0x1.563bce426378p-3, 0x1.510a6f85dc0b6p-3, 0x1.4be505c1747e2p-3, 0x1.46cba73ad47d3p-3, 0x1.41be68b5d061bp-3, 0x1.3cbd5d7995004p-3, 0x1.37c89756075eep-3, 0x1.32e026a945d74p-3, 0x1.2e041a6551afp-3, 0x1.29348015d698fp-3, 0x1.247163e61b8cdp-3, 0x1.1fbad0a701b2bp-3, 0x1.1b10cfd52ca52p-3, 0x1.1673699f37e5dp-3, 0x1.11e2a4ec09588p-3, 0x1.0d5e8761300ebp-3, 0x1.08e715695ad32p-3, 0x1.047c523ad4ddep-3, 0x1.001e3fde1b28dp-3, 0x1.f799be68de424p-4, 0x1.ef105ffcf7a2fp-4, 0x1.e6a061c5f293p-4, 0x1.de49beeac1783p-4, 0x1.d60c7079289a2p-4, 0x1.cde86d7329e2fp-4, 0x1.c5ddaadc67d4dp-4, 0x1.bdec1bc778a9ep-4, 0x1.b613b16345c49p-4, 0x1.ae545b0857c64p-4, 0x1.a6ae064616552p-4, 0x1.9f209eeff2c62p-4, 0x1.97ac0f2a961e2p-4, 0x1.90503f78df0c9p-4, 0x1.890d16c8df31ap-4, 0x1.81e27a80b4aedp-4, 0x1.7ad04e8b4f213p-4, 0x1.73d6756514c57p-4, 0x1.6cf4d028684a3p-4, 0x1.662b3e9a135edp-4, 0x1.5f799f358bc91p-4, 0x1.58dfcf391686bp-4, 0x1.525daab1c51c8p-4, 0x1.4bf30c8750f1bp-4, 0x1.459fce87c9475p-4, 0x1.3f63c9731e883p-4, 0x1.393ed50680622p-4, 0x1.3330c80794a4cp-4, 0x1.2d39784f80621p-4, 0x1.2758bad5c514ep-4, 0x1.218e63baf3343p-4, 0x1.1bda46532b84p-4, 0x1.163c353075a78p-4, 0x1.10b4022ce75f6p-4, 0x1.0b417e749ae0ep-4, 0x1.05e47a8f76bb3p-4, 0x1.009cc66ac5b5cp-4, 0x1.f6d462c53e5ecp-5, 0x1.ec9914963e376p-5, 0x1.e2873ef2d3297p-5, 0x1.d89e7d990beb1p-5, 0x1.cede6b6bfbefdp-5, 0x1.c546a284ada45p-5, 0x1.bbd6bc42a5d56p-5, 0x1.b28e515c0a33dp-5, 0x1.a96cf9ed62ddcp-5, 0x1.a0724d890289fp-5, 0x1.979de346057efp-5, 0x1.8eef51cef61e4p-5, 0x1.86662f700f454p-5, 0x1.7e02122520bdp-5, 0x1.75c28fa714502p-5, 0x1.6da73d7915a46p-5, 0x1.65afb0f55e988p-5, 0x1.5ddb7f59a3ef9p-5, 0x1.562a3dd329ab5p-5, 0x1.4e9b818a7daecp-5, 0x1.472edfaed4c95p-5, 0x1.3fe3ed8116d59p-5, 0x1.38ba405e879fap-5, 0x1.31b16dcb285ecp-5, 0x1.2ac90b7bb4e8bp-5, 0x1.2400af5f59788p-5, 0x1.1d57efa90e626p-5, 0x1.16ce62d8a2276p-5, 0x1.10639fc37512dp-5, 0x1.0a173d9ce8241p-5, 0x1.03e8d3fe761e9p-5, 0x1.fbaff5df0d2bdp-6, 0x1.efc895d9e66f3p-6, 0x1.e41ab9e087181p-6, 0x1.d8a594ed396fcp-6, 0x1.cd685b0ed88e5p-6, 0x1.c26241759d6d6p-6, 0x1.b7927e7f56cc1p-6, 0x1.acf849c323d15p-6, 0x1.a292dc1ca40dep-6, 0x1.98616fb6a3337p-6, 0x1.8e6340155704ep-6, 0x1.84978a20005aep-6, 0x1.7afd8c2a364e9p-6, 0x1.719485fc9a198p-6, 0x1.685bb8dd2f7a9p-6, 0x1.5f5267973238ap-6, 0x1.5677d68284e7dp-6, 0x1.4dcb4b8aaf17ap-6, 0x1.454c0e35708b8p-6, 0x1.3cf967a8ef1e8p-6, 0x1.34d2a2b187c3dp-6, 0x1.2cd70bc720dddp-6, 0x1.2505f1124394ep-6, 0x1.1d5ea270b9554p-6, 0x1.15e07179d8603p-6, 0x1.0e8ab1827e086p-6, 0x1.075cb7a0a5b6p-6, 0x1.0055daaeb98c3p-6, 0x1.f2eae69d09872p-7, 0x1.e575b7d7c9268p-7, 0x1.d84ae17e42472p-7, 0x1.cb691f9df7d4p-7, 0x1.becf31e4fec7ep-7, 0x1.b27bdba509dcfp-7, 0x1.a66de3d5d092dp-7, 0x1.9aa415172fd59p-7, 0x1.8f1d3db281647p-7, 0x1.83d82f9bb81bdp-7, 0x1.78d3c071e16fap-7, 0x1.6e0ec97f3d587p-7, 0x1.638827b8e5a93p-7, 0x1.593ebbbdff2cdp-7, 0x1.4f3169d6a89e9p-7, 0x1.455f19f25c0cep-7, 0x1.3bc6b7a5fc7fep-7, 0x1.326732298ca4fp-7, 0x1.293f7c55975fbp-7, 0x1.204e8ca02516p-7, 0x1.17935d1977254p-7, 0x1.0f0ceb686de9ap-7, 0x1.06ba38c69933ap-7, 0x1.fd3493f821bep-8, 0x1.ed584eb601b22p-8, 0x1.ddddb975d12ffp-8, 0x1.cec2f2e75eb9dp-8, 0x1.c00620b0c659cp-8, 0x1.b1a56f63aae5p-8, 0x1.a39f1271ea1c3p-8, 0x1.95f14421e4b58p-8, 0x1.889a45826a141p-8, 0x1.7b985e5e41331p-8, 0x1.6ee9dd2f6edadp-8, 0x1.628d1711ec012p-8, 0x1.568067b665bafp-8, 0x1.4ac231544b921p-8, 0x1.3f50dc9bef4e6p-8, 0x1.342ad8a840d27p-8, 0x1.294e9af0296cap-8, 0x1.1eba9f37e9202p-8, 0x1.146d67820dc1dp-8, 0x1.0a657c005ae17p-8, 0x1.00a16b046c2cap-8, 0x1.ee3f91e060d46p-9, 0x1.dbbe604c93ffp-9, 0x1.c9bc81f45ce22p-9, 0x1.b8374340b68e4p-9, 0x1.a72bfc3c47da8p-9, 0x1.969810735c977p-9, 0x1.8678eed3330dfp-9, 0x1.76cc1189891b9p-9, 0x1.678efde3b707ap-9, 0x1.58bf442df490bp-9, 0x1.4a5a7f9221907p-9, 0x1.3c5e55f6edc38p-9, 0x1.2ec877dea82eap-9, 0x1.2196a04612756p-9, 0x1.14c6948353b66p-9, 0x1.0856242496f71p-9, 0x1.f886519e60353p-10, 0x1.e1170c3c47916p-10, 0x1.ca5a5302a2eb1p-10, 0x1.b44c1438e0c19p-10, 0x1.9ee8514be31d3p-10, 0x1.8a2b1e8c888a7p-10, 0x1.7610a2ee0a4c1p-10, 0x1.629517c4d305bp-10, 0x1.4fb4c885826fcp-10, 0x1.3d6c1283c7633p-10, 0x1.2bb764b260e0ep-10, 0x1.1a933f62b1e37p-10, 0x1.09fc34050173bp-10, 0x1.f3ddc9d1f18dcp-11, 0x1.d4d009fd55e59p-11, 0x1.b6c8af2faf7bp-11, 0x1.99c16052db2ecp-11, 0x1.7db3e41c0a62fp-11, 0x1.629a209043429p-11, 0x1.486e1a8a90eebp-11, 0x1.2f29f54361dc3p-11, 0x1.16c7f1d7d54e6p-11, 0x1.fe84dda6179c4p-12, 0x1.d127cf6f8bfb1p-12, 0x1.a56de916d6f86p-12, 0x1.7b4c92c3c3b7dp-12, 0x1.52b96bd56ec36p-12, 0x1.2baa49fddf5c6p-12, 0x1.061538606dc51p-12, 0x1.c3e0ed6500242p-13, 0x1.7e64f0bc379d2p-13, 0x1.3ba3c74d6812p-13, 0x1.f71643420c2dbp-14, 0x1.7c12252851d77p-14, 0x1.06181b5f053d6p-14, 0x1.2a0b9612142p-15, 0x1.45cca0da4d4d8p-17, -0x1.f76b8eae6851bp-17, -0x1.441ef58a8e206p-15, -0x1.00cc095b5aa34p-14, -0x1.5b41f20965946p-14, -0x1.b18f5e157001bp-14, -0x1.01e8e750aa80dp-13, -0x1.29130fd2c2acep-13, -0x1.4e544571b078cp-13, -0x1.71ba55672d8bdp-13, -0x1.9352beb514107p-13, -0x1.b32ab38ff74c3p-13, -0x1.d14f1ac5277a5p-13, -0x1.edcc911c7cc9fp-13, -0x1.0457b55976d78p-12, -0x1.1101da2aa3b6ep-12, -0x1.1cea9a67f30c7p-12, -0x1.2817b71f8671bp-12, -0x1.328ecfac02a32p-12, -0x1.3c55625689f14p-12, -0x1.4570ccf7bbd85p-12, -0x1.4de64d94b6ba9p-12, -0x1.55bb02fae6e7bp-12, -0x1.5cf3ed59d02e3p-12, -0x1.6395eed90b19p-12, -0x1.69a5cc2d9c712p-12, -0x1.6f282d2c60b3ap-12, -0x1.74219d5a5864ap-12, -0x1.78968c7a59dabp-12, -0x1.7c8b4f19866f1p-12, -0x1.80041f1894953p-12, -0x1.83051c334111ap-12, -0x1.85924c8617f31p-12, -0x1.87af9d11629cep-12, -0x1.8960e23a8e74ap-12, -0x1.8aa9d84b64a9cp-12, -0x1.8b8e23eec614fp-12, -0x1.8c1152abb8ff8p-12, -0x1.8c36db5f2271dp-12, -0x1.8c021eb102a3bp-12, -0x1.8b76678bb4a28p-12, -0x1.8a96eb8d2b89ep-12, -0x1.8966cb78fbbf3p-12, -0x1.87e913a7a3d0cp-12, -0x1.8620bc73435aap-12, -0x1.8410aaa366d54p-12, -0x1.81bbafd663a42p-12, -0x1.7f248ae979cb1p-12, -0x1.7c4de85ead11bp-12, -0x1.793a62c07a844p-12, -0x1.75ec8304b5544p-12, -0x1.7266c0ed6577ap-12, -0x1.6eab8366cfd98p-12, -0x1.6abd20e5b2556p-12, -0x1.669ddfc2063c9p-12, -0x1.624ff6919ed43p-12, -0x1.5dd58c7fce44p-12, -0x1.5930b9a4a8cb1p-12, -0x1.54638759709f5p-12, -0x1.4f6ff08c8c421p-12, -0x1.4a57e21364e6fp-12, -0x1.451d3afab4ef1p-12, -0x1.3fc1ccd58993dp-12, -0x1.3a475c0ae2953p-12, -0x1.34afa0218a25ap-12, -0x1.2efc440a6e79ap-12, -0x1.292ee66a2979fp-12, -0x1.234919e02faep-12, -0x1.1d4c654e01667p-12, -0x1.173a441b6c418p-12, -0x1.1114267a73f64p-12, -0x1.0adb71a9fbd27p-12, -0x1.049180365be47p-12, -0x1.fc6f4472f2ca8p-13, -0x1.ef9e3b3214a03p-13, -0x1.e2b25c8890d09p-13, -0x1.d5ae0cdf8ea27p-13, -0x1.c8939da0bc6c3p-13, -0x1.bb654da987738p-13, -0x1.ae2549bd093d5p-13, -0x1.a0d5acf2088fbp-13, -0x1.9378811f6186fp-13, -0x1.860fbf47b504cp-13, -0x1.789d50002301ep-13, -0x1.6b230bd78b152p-13, -0x1.5da2bbb9f5641p-13, -0x1.501e1952a54e1p-13, -0x1.4296cf6c42ffbp-13, -0x1.350e7a4e7c816p-13, -0x1.2786a819fe897p-13, -0x1.1a00d922e3affp-13, -0x1.0c7e8048625fcp-13, -0x1.fe0206971f618p-14, -0x1.e3137647ce675p-14, -0x1.c833e8a3bdaefp-14, -0x1.ad65de5f1a6e1p-14, -0x1.92abc080b42f5p-14, -0x1.7807e0fc7468dp-14, -0x1.5d7c7b4bc6c9fp-14, -0x1.430bb501ae5f5p-14, -0x1.28b79e5bf6ae7p-14, -0x1.0e8232d24bfd5p-14, -0x1.e8dab33e6a237p-15, -0x1.b4f5cc9528103p-15, -0x1.815932597b6bcp-15, -0x1.4e083fe2e0845p-15, -0x1.1b062c2e19a3cp-15, -0x1.d0ac15acf2758p-16, -0x1.6bf59a108c8cap-16, -0x1.07ee84ddf470bp-16, -0x1.49386879a75b1p-17, -0x1.080f1bae817bbp-18, 0x1.fd5e20478b544p-20, 0x1.01d842fcea215p-17, 0x1.c2751975080cp-17, 0x1.40bcf1a592cb8p-16, 0x1.9f6f554730a36p-16, 0x1.fd4df2390ddb9p-16, 0x1.2d2a9b8f8b95bp-15, 0x1.5b40e2987e7fcp-15, 0x1.88e8376365bd7p-15, 0x1.b61f1af764beap-15, 0x1.e2e42587e72f2p-15, 0x1.079b02e379742p-14, 0x1.1d89c01e69d93p-14, 0x1.333db7521a6d4p-14, 0x1.48b65fa503f59p-14, 0x1.5df33a37e4b2cp-14, 0x1.72f3d1da264p-14, 0x1.87b7babe5f01ap-14, 0x1.9c3e9232025e8p-14, 0x1.b087fe5587543p-14, 0x1.c493add7b52fdp-14, 0x1.d86157b124e18p-14, 0x1.ebf0bae2fc735p-14, 0x1.ff419e357cbebp-14, 0x1.0929e7fcceedep-13, 0x1.129392e5c745bp-13, 0x1.1bddbe2b51905p-13, 0x1.25085b8d80aebp-13, 0x1.2e13601a42e1fp-13, 0x1.36fec4118d196p-13, 0x1.3fca82ca212d3p-13, 0x1.48769a9754cdap-13, 0x1.51030caf42bb3p-13, 0x1.596fdd117116ep-13, 0x1.61bd126ebdc18p-13, 0x1.69eab610db0b2p-13, 0x1.71f8d3c3b1dfp-13, 0x1.79e779be281cep-13, 0x1.81b6b88c4e54dp-13, 0x1.8966a2f9c55bcp-13, 0x1.90f74dfcb149ap-13, 0x1.9868d0a1484acp-13, 0x1.9fbb43f611148p-13, 0x1.a6eec2f82fc45p-13, 0x1.ae036a80d779ep-13, 0x1.b4f95932ae6eap-13, 0x1.bbd0af67db638p-13, 0x1.c2898f20aa606p-13, 0x1.c9241bf27c364p-13, 0x1.cfa07af754886p-13, 0x1.d5fed2bdb631dp-13, 0x1.dc3f4b390c2e9p-13, 0x1.e2620db25b79dp-13, 0x1.e86744b96669ep-13, 0x1.ee4f1c166844ep-13, 0x1.f419c0bbd809fp-13, 0x1.f9c760b90199cp-13, 0x1.ff582b2c74896p-13, 0x1.0266281bab6b9p-12, 0x1.05120078645e3p-12, 0x1.07afb7ace098ep-12, 0x1.0a3f67288a644p-12, 0x1.0cc128c410acdp-12, 0x1.0f3516bbb532p-12, 0x1.119b4ba9ef606p-12, 0x1.13f3e2821086p-12, 0x1.163ef68b32c8ep-12, 0x1.187ca35b40e29p-12, 0x1.1aad04d20e129p-12, 0x1.1cd03714bd53ap-12, 0x1.1ee6568910b35p-12, 0x1.20ef7fd124becp-12, 0x1.22ebcfc704c1ep-12, 0x1.24db6378957e1p-12, 0x1.26be582387892p-12, 0x1.2894cb315fbdbp-12, 0x1.2a5eda33b869cp-12, 0x1.2c1ca2e0893f9p-12, 0x1.2dce430e9f76p-12, 0x1.2f73d8b21c375p-12, 0x1.310d81d92f694p-12, 0x1.329b5ca8cfc0ep-12, 0x1.341d875981404p-12, 0x1.35942034705eep-12, 0x1.36ff459059dabp-12, 0x1.385f15cecace6p-12, 0x1.39b3af595a06bp-12, 0x1.3afd309eee668p-12, 0x1.3c3bb811404aap-12, 0x1.3d6f642255132p-12, 0x1.3e98534202c7p-12, 0x1.3fb6a3dbb5ec8p-12, 0x1.40ca74542babep-12, 0x1.41d3e30739747p-12, 0x1.42d30e45c86c6p-12, 0x1.43c81453b902ap-12, 0x1.44b31365ff3eap-12, 0x1.459429a0b9a93p-12, 0x1.466b7515633afp-12, 0x1.473913c11834ap-12, 0x1.47fd238aeabafp-12, 0x1.48b7c24233d7ep-12, 0x1.49690d9d12df5p-12, 0x1.4a112336f23b1p-12, 0x1.4ab0208efce6dp-12, 0x1.4b462306d6937p-12, 0x1.4bd347e140e03p-12, 0x1.4c57ac40c7c87p-12, 0x1.4cd36d26904b5p-12, 0x1.4d46a771398adp-12, 0x1.4db177dba0318p-12, 0x1.4e13fafbe1cb7p-12, 0x1.4e6e4d4255c3ap-12, 0x1.4ec08af87784bp-12, 0x1.4f0ad04018355p-12, 0x1.4f4d39125e036p-12, 0x1.4f87e13ef4f9dp-12, 0x1.4fbae46b2f9f8p-12, 0x1.4fe65e1152d2bp-12, 0x1.500a697fd9fbfp-12, 0x1.502721d8aa978p-12, 0x1.503ca21083a49p-12, 0x1.504b04ee4bc1p-12, 0x1.5052650a85ffep-12, 0x1.5052dcceac2ep-12, 0x1.504c8674bce13p-12, 0x1.503f7c06b9508p-12, 0x1.502bd75e1cdfp-12, 0x1.5011b2237920dp-12, 0x1.4ff125ce07f7cp-12, 0x1.4fca4ba3463ecp-12, 0x1.4f9d3cb69f1edp-12, 0x1.4f6a11e913c9bp-12, 0x1.4f30e3e8f12bp-12, 0x1.4ef1cb318a198p-12, 0x1.4eace00adcd1bp-12, 0x1.4e623a89794ap-12, 0x1.4e11f28e34a34p-12, 0x1.4dbc1fc5ffb99p-12, 0x1.4d60d9a9bb754p-12, 0x1.4d00377e090dep-12, 0x1.4c9a50533c871p-12, 0x1.4c2f3b0533b58p-12, 0x1.4bbf0e3b3477bp-12, 0x1.4b49e067f4d11p-12, 0x1.4acfc7c974a2ap-12, 0x1.4a50da68f99cfp-12, 0x1.49cd2e1b0c8c5p-12, 0x1.4944d87f7b99cp-12, 0x1.48b7ef014a871p-12, 0x1.482686d6c6f3bp-12, 0x1.4790b50192449p-12, 0x1.46f68e4ea1312p-12, 0x1.4658275658229p-12, 0x1.45b5947c9af76p-12, 0x1.450ee9f0df79cp-12, 0x1.44643bae4ce6bp-12, 0x1.43b59d7bd43f3p-12, 0x1.430322ec4b4e5p-12, 0x1.424cdf5e9530fp-12, 0x1.4192e5fdc82adp-12, 0x1.40d549c14d2c9p-12, 0x1.40141d6d10046p-12, 0x1.3f4f7391a5a55p-12, 0x1.3e875e8c7be4fp-12, 0x1.3dbbf088076a6p-12, 0x1.3ced3b7bfb14p-12, 0x1.3c1b512d7e751p-12, 0x1.3b46432f5caccp-12, 0x1.3a6e22e23ae3ep-12, 0x1.39930174dcc1fp-12, 0x1.38b4efe452cfbp-12, 0x1.37d3fefc4212cp-12, 0x1.36f03f571e269p-12, 0x1.3609c15e68bc4p-12, 0x1.3520954aefc0ep-12, 0x1.3434cb2519ed8p-12, 0x1.334672c522accp-12, 0x1.32559bd361b65p-12, 0x1.316255c891c3dp-12, 0x1.306cafee1bc6ap-12, 0x1.2f74b95e5bcf8p-12, 0x1.2e7a8104e7506p-12, 0x1.2d7e159eda924p-12, 0x1.2c7f85bb25b87p-12, 0x1.2b7edfbadc03fp-12, 0x1.2a7c31d17a882p-12, 0x1.29778a053687cp-12, 0x1.2870f62f4ef8fp-12, 0x1.276883fc5bc84p-12, 0x1.265e40ec9ee99p-12, 0x1.25523a544ea72p-12, 0x1.24447d5beabffp-12, 0x1.23351700926c6p-12, 0x1.222414144ead7p-12, 0x1.2111813e66113p-12, 0x1.1ffd6afbb1d0ep-12, 0x1.1ee7dd9ef03b5p-12, 0x1.1dd0e5511c13dp-12, 0x1.1cb88e11b5faap-12, 0x1.1b9ee3b72219bp-12, 0x1.1a83f1eef7681p-12, 0x1.1967c43e52148p-12, 0x1.184a6602328cp-12, 0x1.172be26fcaf02p-12, 0x1.160c4494d1f49p-12, 0x1.14eb9757d870ep-12, 0x1.13c9e578a1325p-12, 0x1.12a73990768d9p-12, 0x1.11839e127f093p-12, 0x1.105f1d4c0f555p-12, 0x1.0f39c1650136cp-12, 0x1.0e139460074b6p-12, 0x1.0ceca01b08768p-12, 0x1.0bc4ee4f6b89cp-12, 0x1.0a9c889271cb2p-12, 0x1.0973785588054p-12, 0x1.0849c6e69eccep-12, 0x1.071f7d707c77dp-12, 0x1.05f4a4fb13957p-12, 0x1.04c9466bd14bp-12, 0x1.039d6a85f6f31p-12, 0x1.027119eaec882p-12, 0x1.01445d1a930e9p-12, 0x1.00173c73920b8p-12, 0x1.fdd3806768951p-13, 0x1.fb77e0f06b8ecp-13, 0x1.f91baa7c2415dp-13, 0x1.f6beecc4b9c6ep-13, 0x1.f461b7451de92p-13, 0x1.f2041939ad8f6p-13, 0x1.efa621a0e0556p-13, 0x1.ed47df3bdfb2p-13, 0x1.eae9608f1d62ep-13, 0x1.e88ab3e301433p-13, 0x1.e62be74486052p-13, 0x1.e3cd0885d41eap-13, 0x1.e16e253ee21d5p-13, 0x1.df0f4ace0dc5dp-13, 0x1.dcb08658bc67ap-13, 0x1.da51e4cbf0625p-13, 0x1.d7f372dce4f8ap-13, 0x1.d5953d09a93ccp-13, 0x1.d3374f99b67c1p-13, 0x1.d0d9b69e8cf8cp-13, 0x1.ce7c7df444eep-13, 0x1.cc1fb142207a7p-13, 0x1.c9c35bfb2bf44p-13, 0x1.c767895ec985dp-13, 0x1.c50c44794a4cep-13, 0x1.c2b1982479f76p-13, 0x1.c0578f082df9fp-13, 0x1.bdfe339adeafbp-13, 0x1.bba5902232f66p-13, 0x1.b94daeb38d986p-13, 0x1.b6f69934971c2p-13, 0x1.b4a0595bd2625p-13, 0x1.b24af8b120275p-13, 0x1.aff6808e4f20cp-13, 0x1.ada2fa1fa4e61p-13, 0x1.ab506e64608b8p-13, 0x1.a8fee62f48f26p-13, 0x1.a6ae6a272e7d2p-13, 0x1.a45f02c76daap-13, 0x1.a210b86080174p-13, 0x1.9fc3931877e93p-13, 0x1.9d779aeb817e3p-13, 0x1.9b2cd7ac5ed4dp-13, 0x1.98e35104f3288p-13, 0x1.969b0e76c10b2p-13, 0x1.9454175b614a6p-13, 0x1.920e72e503bdp-13, 0x1.8fca281ef1ddfp-13, 0x1.8d873dedfe7c6p-13, 0x1.8b45bb1107702p-13, 0x1.8905a62171e63p-13, 0x1.86c70593992abp-13, 0x1.8489dfb74bdcp-13, 0x1.824e3ab845838p-13, 0x1.80141c9e9c795p-13, 0x1.7ddb8b4f3a961p-13, 0x1.7ba48c8c4b168p-13, 0x1.796f25f5b4345p-13, 0x1.773b5d0985095p-13, 0x1.75093724653ffp-13, 0x1.72d8b9820a2b5p-13, 0x1.70a9e93d99db7p-13, 0x1.6e7ccb52211bcp-13, 0x1.6c51649afcd55p-13, 0x1.6a27b9d443718p-13, 0x1.67ffcf9b3824ap-13, 0x1.65d9aa6ea6cd7p-13, 0x1.63b54eaf57403p-13, 0x1.6192c0a071411p-13, 0x1.5f720467df98ep-13, 0x1.5d531e0eb9774p-13, 0x1.5b361181a9214p-13, 0x1.591ae29148b78p-13, 0x1.570194f28ab21p-13, 0x1.54ea2c3f178d3p-13, 0x1.52d4abf5b3913p-13, 0x1.50c1177a9c7f7p-13, 0x1.4eaf7217e825ap-13, 0x1.4c9fbefde03d5p-13, 0x1.4a9201435e4bap-13, 0x1.48863be630827p-13, 0x1.467c71cb6d853p-13, 0x1.4474a5bfcbc71p-13, 0x1.426eda78066cdp-13, 0x1.406b12912ac2bp-13, 0x1.3e695090f502ep-13, 0x1.3c6996e6289aap-13, 0x1.3a6be7e8e0545p-13, 0x1.387045dae5b62p-13, 0x1.3676b2e80bfafp-13, 0x1.347f312672b9dp-13, 0x1.3289c296ed7adp-13, 0x1.3096692547454p-13, 0x1.2ea526a88e488p-13, 0x1.2cb5fce3726f7p-13, 0x1.2ac8ed848d6f3p-13, 0x1.28ddfa26b03d3p-13, 0x1.26f5245133399p-13, 0x1.250e6d783d56fp-13, 0x1.2329d6fd1190fp-13, 0x1.2147622e5d48dp-13, 0x1.1f6710487da09p-13, 0x1.1d88e275cebe6p-13, 0x1.1bacd9cee9f2cp-13, 0x1.19d2f75af97d2p-13, 0x1.17fb3c0ff7989p-13, 0x1.1625a8d2f68a8p-13, 0x1.14523e7865fdep-13, 0x1.1280fdc45690ep-13, 0x1.10b1e76ac0168p-13, 0x1.0ee4fc0fbfbcep-13, 0x1.0d1a3c47dab48p-13, 0x1.0b51a89849d96p-13, 0x1.098b41773271bp-13, 0x1.07c7074be0bap-13, 0x1.0604fa6f1641dp-13, 0x1.04451b2b34415p-13, 0x1.028769bc87423p-13, 0x1.00cbe65189c71p-13, 0x1.fe2522161b74bp-14, 0x1.fab6d3f919304p-14, 0x1.f74ce258a8eeep-14, 0x1.f3e74d2786f9dp-14, 0x1.f086143f13369p-14, 0x1.ed29375fb7d5ap-14, 0x1.e9d0b6315903p-14, 0x1.e67c9043cbcb3p-14, 0x1.e32cc50f37624p-14, 0x1.dfe153f49170ap-14, 0x1.dc9a3c3dfbbfep-14, 0x1.d9577d1f37854p-14, 0x1.d61915b6030ecp-14, 0x1.d2df050a97dcbp-14, 0x1.cfa94a0ffd7fap-14, 0x1.cc77e3a467451p-14, 0x1.c94ad091b2513p-14, 0x1.c6220f8daa135p-14, 0x1.c2fd9f3a89fa1p-14, 0x1.bfdd7e2743b51p-14, 0x1.bcc1aacfe97d9p-14, 0x1.b9aa239e048edp-14, 0x1.b696e6e8ff6edp-14, 0x1.b387f2f67197bp-14, 0x1.b07d45fa80be5p-14, 0x1.ad76de183ae55p-14, 0x1.aa74b961ecd4cp-14, 0x1.a776d5d97fc6fp-14, 0x1.a47d3170ba42bp-14, 0x1.a187ca09b2234p-14, 0x1.9e969d770a621p-14, 0x1.9ba9a97c4d86p-14, 0x1.98c0ebce3f3dcp-14, 0x1.95dc62131f63ap-14, 0x1.92fc09e311eeep-14, 0x1.901fe0c8616cep-14, 0x1.8d47e43fc0092p-14, 0x1.8a7411b8ac9d2p-14, 0x1.87a46695aae48p-14, 0x1.84d8e02c8ca0bp-14, 0x1.82117bc6cf45ap-14, 0x1.7f4e36a1cdep-14, 0x1.7c8f0def0f444p-14, 0x1.79d3fed48b0dp-14, 0x1.771d066cf90cep-14, 0x1.746a21c80ebc1p-14, 0x1.71bb4deac4c1cp-14, 0x1.6f1087cf9bf29p-14, 0x1.6c69cc66cc275p-14, 0x1.69c718969b10dp-14, 0x1.6728693b94c93p-14, 0x1.648dbb28cd65cp-14, 0x1.61f70b281fd67p-14, 0x1.5f6455fa5eb7p-14, 0x1.5cd598579e2b2p-14, 0x1.5a4aceef71a88p-14, 0x1.57c3f669198a4p-14, 0x1.55410b63cc62cp-14, 0x1.52c20a76e00e1p-14, 0x1.5046f0320ba0cp-14, 0x1.4dcfb91d9f403p-14, 0x1.4b5c61bab4c5fp-14, 0x1.48ece6836b8ecp-14, 0x1.468143eb21959p-14, 0x1.4419765e9f0b9p-14, 0x1.41b57a444d4a3p-14, 0x1.3f554bfc69158p-14, 0x1.3cf8e7e130018p-14, 0x1.3aa04a4719bbcp-14, 0x1.384b6f7d0b905p-14, 0x1.35fa53cc7c9f8p-14, 0x1.33acf379ac734p-14, 0x1.31634ac3cf21bp-14, 0x1.2f1d55e541b93p-14, 0x1.2cdb1113abc22p-14, 0x1.2a9c788030107p-14, 0x1.28618857a1ba3p-14, 0x1.262a3cc2a4846p-14, 0x1.23f691e5d4b2ep-14, 0x1.21c683e1f91cep-14, 0x1.1f9a0ed424aebp-14, 0x1.1d712ed5ee41fp-14, 0x1.1b4bdffd89a7ep-14, 0x1.192a1e5df0e9ep-14, 0x1.170be6070fe2p-14, 0x1.14f13305e3ef9p-14, 0x1.12da0164a283fp-14, 0x1.10c64d2ae2074p-14, 0x1.0eb6125dbe981p-14, 0x1.0ca94cfff9ee4p-14, 0x1.0a9ff9121c243p-14, 0x1.089a12929c9b4p-14, 0x1.0697957dff58cp-14, 0x1.04987dcef8df9p-14, 0x1.029cc77e8cfdap-14, 0x1.00a46e843134ap-14, 0x1.fd5eddabd5fb1p-15, 0x1.f97b88d0d6b0ap-15, 0x1.f59ed65e62691p-15, 0x1.f1c8be395cbe4p-15, 0x1.edf93844a1086p-15, 0x1.ea303c617c257p-15, 0x1.e66dc26fb23c7p-15, 0x1.e2b1c24dc3322p-15, 0x1.defc33d92c97cp-15, 0x1.db4d0eee92613p-15, 0x1.d7a44b69f3234p-15, 0x1.d401e126ec2b8p-15, 0x1.d065c800f1b4fp-15, 0x1.cccff7d363cd7p-15, 0x1.c9406879d6649p-15, 0x1.c5b711d04dd2cp-15, 0x1.c233ebb337487p-15, 0x1.beb6edffdb609p-15, 0x1.bb4010947643cp-15, 0x1.b7cf4b504fccap-15, 0x1.b4649613fd19cp-15, 0x1.b0ffe8c177f92p-15, 0x1.ada13b3c588dap-15, 0x1.aa48856a0e3bcp-15, 0x1.a6f5bf31f3d6ep-15, 0x1.a3a8e07d7f8c1p-15, 0x1.a061e13860c9ep-15, 0x1.9d20b950bcc74p-15, 0x1.99e560b73bd88p-15, 0x1.96afcf5f2ba92p-15, 0x1.937ffd3ecb9dbp-15, 0x1.9055e24f3fdb5p-15, 0x1.8d31768ce64ebp-15, 0x1.8a12b1f74fd3ep-15, 0x1.86f98c916948cp-15, 0x1.83e5fe61ae5ap-15, 0x1.80d7ff724a4c9p-15, 0x1.7dcf87d10d2e5p-15, 0x1.7acc8f8fc41bap-15, 0x1.77cf0ec44b9f2p-15, 0x1.74d6fd887accp-15, 0x1.71e453fa7a6f1p-15, 0x1.6ef70a3ccc9fp-15, 0x1.6c0f187655627p-15, 0x1.692c76d2ac1cap-15, 0x1.664f1d81fda62p-15, 0x1.637704b9408a6p-15, 0x1.60a424b253a81p-15, 0x1.5dd675ac005a1p-15, 0x1.5b0defea1c55cp-15, 0x1.584a8bb5a5c51p-15, 0x1.558c415cee262p-15, 0x1.52d309337d1cep-15, 0x1.501edb926746cp-15, 0x1.4d6fb0d8280a7p-15, 0x1.4ac58168dbf54p-15, 0x1.482045ae548c7p-15, 0x1.457ff617fceb4p-15, 0x1.42e48b1b429abp-15, 0x1.404dfd33603f7p-15, 0x1.3dbc44e17e62ap-15, 0x1.3b2f5aaceba69p-15, 0x1.38a73722f46c9p-15, 0x1.3623d2d70ec97p-15, 0x1.33a526631a4aap-15, 0x1.312b2a6707b16p-15, 0x1.2eb5d7895bbb3p-15, 0x1.2c452676f23e8p-15, 0x1.29d90fe312b41p-15, 0x1.27718c87a4187p-15, 0x1.250e95251c596p-15, 0x1.22b02282908c2p-15, 0x1.20562d6dccb55p-15, 0x1.1e00aebb6a1edp-15, 0x1.1baf9f46affffp-15, 0x1.1962f7f1e2082p-15, 0x1.171ab1a60f03p-15, 0x1.14d6c55334838p-15, 0x1.12972bf05c12dp-15, 0x1.105bde7b6ff43p-15, 0x1.0e24d5f9a2301p-15, 0x1.0bf20b76fa019p-15, 0x1.09c37806de304p-15, 0x1.079914c3b539fp-15, 0x1.0572dacf0b839p-15, 0x1.0350c351eb422p-15, 0x1.0132c77c5da87p-15, 0x1.fe31c10bbaf32p-16, 0x1.fa060f5a91f6ep-16, 0x1.f5e26c712a72bp-16, 0x1.f1c6caead57afp-16, 0x1.edb31d71338c8p-16, 0x1.e9a756bcf4f16p-16, 0x1.e5a36995a7504p-16, 0x1.e1a748d1d842ep-16, 0x1.ddb2e756e8a8dp-16, 0x1.d9c638198da37p-16, 0x1.d5e12e1d2fe58p-16, 0x1.d203bc74a090ap-16, 0x1.ce2dd641ae8ffp-16, 0x1.ca5f6eb533909p-16, 0x1.c698790f7f5f6p-16, 0x1.c2d8e89fcaad2p-16, 0x1.bf20b0c4f491ap-16, 0x1.bb6fc4ecadf9cp-16, 0x1.b7c61894436a7p-16, 0x1.b4239f480a011p-16, 0x1.b0884ca3cc424p-16, 0x1.acf41452dc1d8p-16, 0x1.a966ea0f68dedp-16, 0x1.a5e0c1a3a69e9p-16, 0x1.a2618ee8a0554p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      18, 0x1.6p+2, 0x1.779d8f8831e53p+3, 0x1.9526bfdd6e0e3p+5, 0x1.32da33e829fp-10, 
      {{
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.28c4f4cde3559p-5, -0x1.a55d55d87111fp-2, 0x1.351f879e81043p+1, -0x1.6e714efdfed8fp+2}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.57a3ea7978da2p-6, -0x1.b4140e9e50dbap-3, 0x1.8e617971691c7p+0, -0x1.1d6490ddec2d7p+2}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.bfa276345d23fp-7, -0x1.73bc6d439e1bep-4, 0x1.c64a450bb6d06p-1, -0x1.b1369f7d869e5p+1}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.65c387bd0fed8p-7, -0x1.c119c3240cd59p-6, 0x1.84b9644d98e4ep-2, -0x1.202e04153cf19p+1}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.4ebadb599bffbp-7, -0x1.9f2d900fda33fp-8, 0x1.574494d417bc8p-5, -0x1.28eda6a5fe1fdp+0}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.430843e1e4e3fp-7, -0x1.635540f64832ep-7, -0x1.0e7f3c5ef7cf2p-3, 0x1.43fbb75d90404p-5}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.269b95391fc21p-7, -0x1.853451de08322p-6, -0x1.0258ff1842661p-3, 0x1.158afe58aac26p-1}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.ef25c20e060dp-8, -0x1.08a2d6d99986ap-5, -0x1.6f4999f2a2fbbp-5, 0x1.653e734bd763bp-2}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.80ce2559a6567p-8, -0x1.17ee21e312a93p-5, 0x1.eb3de9a96239p-8, 0x1.0a4eff9f43882p-2}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.14311674dec3cp-8, -0x1.01cfa896c2807p-5, 0x1.7cf9bcc116e94p-5, 0x1.23e9222581778p-3}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.6bb5789e0529ap-9, -0x1.a5e99f235f0e2p-6, 0x1.160f9bd2324b5p-4, 0x1.22efc26877cefp-5}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b38a8a9be78f9p-10, -0x1.3252fb5567da7p-6, 0x1.2be19733a1ae6p-4, -0x1.5b73f2cfdda74p-4}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.d75dd05a0d607p-11, -0x1.89972afe9e38ep-7, 0x1.ef86cbf5b4115p-5, -0x1.0863067fadd57p-3}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c6a2c7c57927bp-12, -0x1.c6366cb379f4bp-8, 0x1.50e4fb42b22b9p-5, -0x1.91a94c0f6e7a5p-4}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.74700ceb7f855p-13, -0x1.d1caf33d61ffcp-9, 0x1.b0cac8e28875p-6, -0x1.3f9d5fed4573p-4}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.d75dd05a0d697p-15, -0x1.888881304872ep-10, 0x1.e20beb7523fb4p-7, -0x1.cab35cf1bdd64p-5}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.74700ceb7f91p-17, -0x1.d3efbe6fcb41ep-12, 0x1.9da700fb641ffp-8, -0x1.fb90f5fea99d2p-6}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.74700ceb80ep-21, -0x1.8dcbd4fbe3cc7p-15, 0x1.b4734f23f971fp-10, -0x1.54a540fa90a13p-5}, 
      }}, 
      0x1.417b4016a5182p-1, -0x1.f038f1582d8b4p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.0430a292f3bb4p-2, -0x1.e99766dc0d089p-3, -0x1.b99d8e56a8a89p-3, -0x1.7c1b1d13bb645p-3, -0x1.34de066264c62p-3, -0x1.cf09c10227121p-4, -0x1.2e9c07f1aba57p-4, -0x1.1bfd423434f38p-5, 0x1.c85571e93febdp-9, 0x1.452a6d067c258p-5, 0x1.2c4b5f0063f1cp-4, 0x1.a9818b4808b1cp-4, 0x1.0c8055fa71657p-3, 0x1.3d1093ebc382fp-3, 0x1.6658012b55e9cp-3, 0x1.886b6a5b278edp-3, 0x1.a3839a6882fc2p-3, 0x1.b7f4970aa0d6ep-3, 0x1.c6264ff2ee037p-3, 0x1.ce8e87d86e3d1p-3, 0x1.d1abc9dddc46dp-3, 0x1.d001449c7b0c8p-3, 0x1.ca136c21f6b14p-3, 0x1.c065480b77fc6p-3, 0x1.b37654bbdb63bp-3, 0x1.a3c0e1389d055p-3, 0x1.91b8d6b259216p-3, 0x1.7dcad9d2900fep-3, 0x1.685bb81287982p-3, 0x1.51c8150339781p-3, 0x1.3a644c9dbc2a8p-3, 0x1.227c80df80f4ep-3, 0x1.0a54c9f68150cp-3, 0x1.e453029c7fb33p-4, 0x1.b45f41641f529p-4, 0x1.852a5f5647631p-4, 0x1.57037422bad8fp-4, 0x1.2a2d97490aacfp-4, 0x1.fdc1b50c2e352p-5, 0x1.aa9684169e494p-5, 0x1.5b236cbd7da2cp-5, 0x1.0fa1d9d8040c7p-5, 0x1.907914cdf71abp-6, 0x1.0a2264ecb20ap-6, 0x1.18c80344a6bb6p-7, 0x1.74e112402bfdfp-10, -0x1.54838e8eae2bap-8, -0x1.71f31f94116d2p-7, -0x1.1459b8a818554p-6, -0x1.676a4181ba614p-6, -0x1.b25d699cbc7c1p-6, -0x1.f56d3945f0b4cp-6, -0x1.186d0d059f00bp-5, -0x1.3274cb3b90aa6p-5, -0x1.48f29ee1525c1p-5, -0x1.5c0cd419ebc52p-5, -0x1.6beacc870a67ep-5, -0x1.78b49da1f083bp-5, -0x1.8292bb33d6784p-5, -0x1.89adaccf91bb8p-5, -0x1.8e2dcd41d092ep-5, -0x1.903b12f401bf6p-5, -0x1.8ffce043384d9p-5, -0x1.8d99dada5816bp-5, -0x1.8937c94f0c132p-5, -0x1.82fb76814c858p-5, -0x1.7b089a286e967p-5, -0x1.7181c62c67182p-5, -0x1.6688582526bb4p-5, -0x1.5a3c6e36bd47ep-5, -0x1.4cbcdf1633aacp-5, -0x1.3e27344afe6f2p-5, -0x1.2e97a717e3cc1p-5, -0x1.1e291f8e57e49p-5, -0x1.0cf535f2771eap-5, -0x1.f6286c491c878p-6, -0x1.d13a48f0f93bdp-6, -0x1.ab4b87d0f7027p-6, -0x1.8485399964102p-6, -0x1.5d0e08ce0c8cdp-6, -0x1.350a4979ac181p-6, -0x1.0c9c0a8dccbb1p-6, -0x1.c7c650743dab7p-7, -0x1.75fabfc7b5e89p-7, -0x1.240cc9c154d21p-7, -0x1.a45fd7f53a31fp-8, -0x1.0127cc4968f21p-8, -0x1.7b2725cef3586p-10, 0x1.09a2a9049c416p-10, 0x1.c449145562ee6p-9, 0x1.802503dd41e12p-8, 0x1.0e1594e6e01a7p-7, 0x1.5afed397fb3a4p-7, 0x1.a6b43a5cc219ep-7, 0x1.f11e474aeb4b3p-7, 0x1.1d13eae6b41b9p-6, 0x1.40defd7d6b02fp-6, 0x1.63e7f1955f937p-6, 0x1.8627585582339p-6, 0x1.a796adefeeb87p-6, 0x1.c8304a84a98bfp-6, 0x1.e7ef53ac6b924p-6, 0x1.0367d767440f3p-5, 0x1.1266fa1962697p-5, 0x1.20f3b15a68d0dp-5, 0x1.2f0cea10cc1dap-5, 0x1.3cb1d91c42a25p-5, 0x1.49e1f61cb0a72p-5, 0x1.569cf67f9b0e9p-5, 0x1.62e2c8dcde8fbp-5, 0x1.6eb3908c2ac98p-5, 0x1.7a0fa187ef61dp-5, 0x1.84f77c864da6fp-5, 0x1.8f6bcb62f396p-5, 0x1.996d5dafefc2ap-5, 0x1.a2fd258dfaa7ep-5, 0x1.ac1c34bdf9561p-5, 0x1.b4cbb9d378829p-5, 0x1.bd0cfda867047p-5, 0x1.c4e160ecf018ep-5, 0x1.cc4a59ec4b99bp-5, 0x1.d3497268a7a37p-5, 0x1.d9e04595c82eap-5, 0x1.e0107e521ce6bp-5, 0x1.e5dbd54b8f328p-5, 0x1.eb440f5ac7cdcp-5, 0x1.f04afc09d1c2ap-5, 0x1.f4f273fd6d43p-5, 0x1.f93c57a5ebf9bp-5, 0x1.fd2a8df359c7fp-5, 0x1.005f8181e98d1p-4, 0x1.01fdd391a0c45p-4, 0x1.037136cfee159p-4, 0x1.04baa5d7a0924p-4, 0x1.05db1bdc5a34cp-4, 0x1.06d394293ff53p-4, 0x1.07a509a4d79cfp-4, 0x1.0850769301c5bp-4, 0x1.08d6d42fcd941p-4, 0x1.09391a419756ap-4, 0x1.09783eecc9cbbp-4, 0x1.0995366b0500fp-4, 0x1.0990f2ab12c8dp-4, 0x1.096c633270d0cp-4, 0x1.092874f038a34p-4, 0x1.08c611e47880dp-4, 0x1.08462106b85ecp-4, 0x1.07a9862add145p-4, 0x1.06f122124bac2p-4, 0x1.061dd15cdc006p-4, 0x1.05306dfd38ebp-4, 0x1.0429cda1e5e43p-4, 0x1.030ac2708e62p-4, 0x1.01d41aaadf922p-4, 0x1.0086a0dd9016fp-4, 0x1.fe46373e35f1ep-5, 0x1.fb549acba605p-5, 0x1.f839e998be98dp-5, 0x1.f4f79912616acp-5, 0x1.f18f165e47e7ap-5, 0x1.ee01c65eed92bp-5, 0x1.ea51063712e4bp-5, 0x1.e67e2b45938f7p-5, 0x1.e28a829d2c181p-5, 0x1.de77511f53759p-5, 0x1.da45d427d31b3p-5, 0x1.d5f7418bd0adep-5, 0x1.d18cc6ff5f18ep-5, 0x1.cd078a2d37606p-5, 0x1.c868a987f5abbp-5, 0x1.c3b13c707cf82p-5, 0x1.bee2528620ea9p-5, 0x1.b9fcf3812ee6cp-5, 0x1.b502201ac201p-5, 0x1.aff2d29fa0a91p-5, 0x1.aacffe50420e8p-5, 0x1.a59a8ebfcd0a9p-5, 0x1.a0536877c6f4bp-5, 0x1.9afb6a173b65bp-5, 0x1.95936c507f6adp-5, 0x1.901c40eafe9e3p-5, 0x1.8a96b2845cc41p-5, 0x1.850385b005592p-5, 0x1.7f6379fd91edep-5, 0x1.79b7498fd215fp-5, 0x1.73ffa808bcc7ep-5, 0x1.6e3d42898687ap-5, 0x1.6870c0f9fcf22p-5, 0x1.629ac6fa2b8cdp-5, 0x1.5cbbf360526e4p-5, 0x1.56d4df230eec5p-5, 0x1.50e61d5220357p-5, 0x1.4af03c4d391fcp-5, 0x1.44f3c6c2ff7c2p-5, 0x1.3ef1435bc8c24p-5, 0x1.38e933ad5e21dp-5, 0x1.32dc13f4cf5edp-5, 0x1.2cca5c0e517b3p-5, 0x1.26b48092bb571p-5, 0x1.209af2e6d9cdcp-5, 0x1.1a7e205b27637p-5, 0x1.145e719050e4ep-5, 0x1.0e3c4af95bf2cp-5, 0x1.08180dfafac05p-5, 0x1.01f2197b72776p-5, 0x1.f79592dc72e2fp-6, 0x1.eb44ec0f431e3p-6, 0x1.def2e73758ef8p-6, 0x1.d2a026cca80ebp-6, 0x1.c64d48ee1627ep-6, 0x1.b9fae7c9028afp-6, 0x1.ada9987986c2ap-6, 0x1.a159e9ce29f88p-6, 0x1.950c64665954fp-6, 0x1.88c18c31b935cp-6, 0x1.7c79e1eb52a43p-6, 0x1.7035e352f3665p-6, 0x1.63f60a354250ap-6, 0x1.57bacb620ef4cp-6, 0x1.4b8496b445661p-6, 0x1.3f53d840dc19ap-6, 0x1.3328f9a401da6p-6, 0x1.27046265a4574p-6, 0x1.1ae677599314cp-6, 0x1.0ecf99b4b8137p-6, 0x1.02c026c4e088bp-6, 0x1.ed70f14c2372dp-7, 0x1.d571ceca19ff2p-7, 0x1.bd83935c162dbp-7, 0x1.a5a6e95036f46p-7, 0x1.8ddc769078acfp-7, 0x1.7624db8606fdap-7, 0x1.5e80b35405e7dp-7, 0x1.46f0955d8c746p-7, 0x1.2f7516ef2c28cp-7, 0x1.180ecbf44b173p-7, 0x1.00be46830ba1p-7, 0x1.d3082ba320a58p-8, 0x1.a4c18affa86d9p-8, 0x1.76a9bbd009342p-8, 0x1.48c1ca9feb80bp-8, 0x1.1b0ac242bc16dp-8, 0x1.db0b59c333023p-9, 0x1.806726d554cf4p-9, 0x1.262af82ead673p-9, 0x1.98b1a4e4c8863p-10, 0x1.cbcacaf2b021p-11, 0x1.9fa91b019678fp-13, -0x1.f46cc6e3dc171p-12, -0x1.2d47a77c6929cp-10, -0x1.dc8c491ff2aa8p-10, -0x1.457291722cdc8p-9, -0x1.9c27232c25913p-9, -0x1.f261e61af521dp-9, -0x1.241074851b575p-8, -0x1.4eb11d6091f8fp-8, -0x1.7911f3f3e821cp-8, -0x1.a331fd1dc2968p-8, -0x1.cd103c8afa4ap-8, -0x1.f6abb56a25496p-8, -0x1.1001b59564116p-7, -0x1.248b30e40d3d2p-7, -0x1.38f1ceb17ecc3p-7, -0x1.4d3510bedb95p-7, -0x1.6154783091e97p-7, -0x1.754f857655a48p-7, -0x1.8925b866011a6p-7, -0x1.9cd6907c527b9p-7, -0x1.b0618d2ab4c75p-7, -0x1.c3c62e07f68b6p-7, -0x1.d703f2c6a6c32p-7, -0x1.ea1a5b01a6d9cp-7, -0x1.fd08e60dac7ecp-7, -0x1.07e78975abca8p-6, -0x1.1136302c810cp-6, -0x1.1a70267edd7bap-6, -0x1.23952bd2cc9adp-6, -0x1.2ca4ffbdd56a8p-6, -0x1.359f621399545p-6, -0x1.3e8412e1daa31p-6, -0x1.4752d26596636p-6, -0x1.500b610729d1dp-6, -0x1.58ad7f60bd779p-6, -0x1.6138ee4b90e64p-6, -0x1.69ad6ef2b659ap-6, -0x1.720ac2eab9f28p-6, -0x1.7a50ac49c2ae7p-6, -0x1.827eedb7ef752p-6, -0x1.8a954a747d1a1p-6, -0x1.92938656022c9p-6, -0x1.9a7965ce162b4p-6, -0x1.a246adf23c475p-6, -0x1.a9fb24874d1a1p-6, -0x1.b196900fb5273p-6, -0x1.b918b7ddd66b8p-6, -0x1.c081642a111f6p-6, -0x1.c7d05e26a6e42p-6, -0x1.cf05700c2606dp-6, -0x1.d620651e946ebp-6, -0x1.dd2109b18a386p-6, -0x1.e4072b2f5042dp-6, -0x1.ead29822b546p-6, -0x1.f18320428bf16p-6, -0x1.f818947f7551dp-6, -0x1.fe92c714c5aeep-6, -0x1.0278c5cd4c58ep-5, -0x1.059a5b8a7d779p-5, -0x1.08ae0ffe54dfp-5, -0x1.0bb3cf216d0aap-5, -0x1.0eab85aa7ac7cp-5, -0x1.11952111b18f2p-5, -0x1.14708f957a581p-5, -0x1.173dc03fc04ep-5, -0x1.19fca2eb80b9cp-5, -0x1.1cad284a93366p-5, -0x1.1f4f41eb38e69p-5, -0x1.21e2e23cb2e8dp-5, -0x1.2467fc91d0112p-5, -0x1.26de85220e7a7p-5, -0x1.2946710acb2aap-5, -0x1.2b9fb6520a344p-5, -0x1.2dea4bea8c648p-5, -0x1.302629b81470dp-5, -0x1.32534892b9052p-5, -0x1.3471a248f8662p-5, -0x1.368131a0cae1fp-5, -0x1.3881f2586c10dp-5, -0x1.3a73e1273a416p-5, -0x1.3c56fbbed9179p-5, -0x1.3e2b40ccc1f2fp-5, -0x1.3ff0affcaaf45p-5, -0x1.41a749fbd7497p-5, -0x1.434f107be5fe1p-5, -0x1.44e8062816c9cp-5, -0x1.46722eb5595b2p-5, -0x1.47ed8ed8a1116p-5, -0x1.495a2c3c453b7p-5, -0x1.4ab80d8783919p-5, -0x1.4c073a5e36524p-5, -0x1.4d47bb62f651dp-5, -0x1.4e799a392d34fp-5, -0x1.4f9ce18574ca4p-5, -0x1.50b19cebda4f3p-5, -0x1.51b7d90c11f14p-5, -0x1.52afa37c4da15p-5, -0x1.53990ac4176c7p-5, -0x1.54741e5876e99p-5, -0x1.5540ee9a41dd9p-5, -0x1.55ff8cd691653p-5, -0x1.56b00b4847ccap-5, -0x1.57527d1915a13p-5, -0x1.57e6f6605879ep-5, -0x1.586d8c1f21155p-5, -0x1.58e65439c3aa8p-5, -0x1.595165705bc4cp-5, -0x1.59aed757fd3b2p-5, -0x1.59fec255c07efp-5, -0x1.5a413f9c223c1p-5, -0x1.5a76692a3b807p-5, -0x1.5a9e59cbb72d9p-5, -0x1.5ab92d18269f7p-5, -0x1.5ac6ff70825ffp-5, -0x1.5ac7edfa6a881p-5, -0x1.5abc16996a02dp-5, -0x1.5aa397e714ba9p-5, -0x1.5a7e912b4cd41p-5, -0x1.5a4d2255d1f0fp-5, -0x1.5a0f6bf9c849dp-5, -0x1.59c58f4b14158p-5, -0x1.596fae1cb0823p-5, -0x1.590deadee37f3p-5, -0x1.58a0689c5f16dp-5, -0x1.58274af5ad704p-5, -0x1.57a2b61afe596p-5, -0x1.5712cec4e2057p-5, -0x1.5677ba2ccf05dp-5, -0x1.55d19e063dcaap-5, -0x1.5520a078dbdb6p-5, -0x1.5464e81beb881p-5, -0x1.539e9bf297c96p-5, -0x1.52cde368a4a8cp-5, -0x1.51f2e64efd885p-5, -0x1.510dccd788963p-5, -0x1.501ebf901f67p-5, -0x1.4f25e75cae79ep-5, -0x1.4e236d70ebe3ap-5, -0x1.4d177b49fb53p-5, -0x1.4c023aa87a95ap-5, -0x1.4ae3d58b22f02p-5, -0x1.49bc762a09d9ep-5, -0x1.488c46f240037p-5, -0x1.475372819987cp-5, -0x1.461223a24913dp-5, -0x1.44c885462b305p-5, -0x1.4376c281b8e0cp-5, -0x1.421d0686d00aap-5, -0x1.40bb7c9f725bap-5, -0x1.3f525028b5cd2p-5, -0x1.3de1ac8e03f6ap-5, -0x1.3c69bd44a1dc4p-5, -0x1.3aeaadc783079p-5, -0x1.3964a993218e2p-5, -0x1.37d7dc2153472p-5, -0x1.364470e4e65b6p-5, -0x1.34aa93450eb02p-5, -0x1.330a6e98b45aep-5, -0x1.31642e21b1324p-5, -0x1.2fb7fd0842715p-5, -0x1.2e060656b7935p-5, -0x1.2c4e74f58e9c4p-5, -0x1.2a9173a7eb275p-5, -0x1.28cf2d0859cf9p-5, -0x1.2707cb85be2b3p-5, -0x1.253b79602e20bp-5, -0x1.236a60a5a033p-5, -0x1.2194ab2e5a1ecp-5, -0x1.1fba829923a7p-5, -0x1.1ddc10474e757p-5, -0x1.1bf97d58c9f0dp-5, -0x1.1a12f2a85a42ap-5, -0x1.182898c81e874p-5, -0x1.163a97fe81f3ap-5, -0x1.144918438d62dp-5, -0x1.1254413e94b84p-5, -0x1.105c3a4424ff7p-5, -0x1.0e612a5405316p-5, -0x1.0c63381725624p-5, -0x1.0a6289dd70071p-5, -0x1.085f459b59701p-5, -0x1.065990e742399p-5, -0x1.045190f6bc2eep-5, -0x1.02476a9bce1f2p-5, -0x1.003b424256a86p-5, -0x1.fc5a77db59de9p-6, -0x1.f83af66d19f87p-6, -0x1.f4184692b985cp-6, -0x1.eff2adc97f3efp-6, -0x1.ebca70b0dd94cp-6, -0x1.e79fd3086f96dp-6, -0x1.e37317ae18554p-6, -0x1.df44809c14e39p-6, -0x1.db144ee6cf06cp-6, -0x1.d6e2c2ba63e3bp-6, -0x1.d2b01b57fa1f6p-6, -0x1.ce7c9712e5555p-6, -0x1.ca48734dc2842p-6, -0x1.c613ec77d5eb7p-6, -0x1.c1df3e0ab2cd7p-6, -0x1.bdaaa28839093p-6, -0x1.b976537935f7p-6, -0x1.b542896c638ffp-6, -0x1.b10f7bf5dfe9ap-6, -0x1.acdd61aefa8c6p-6, -0x1.a8ac703633be5p-6, -0x1.a47cdc2f4cb37p-6, -0x1.a04ed94351673p-6, -0x1.9c229a207789bp-6, -0x1.97f85079ce479p-6, -0x1.93d02d06c979dp-6, -0x1.8faa5f82affc4p-6, -0x1.8b8716ac1058ap-6, -0x1.876680444cab4p-6, -0x1.8348c90f6a14ep-6, -0x1.7f2e1cd42a0fcp-6, -0x1.7b16a65c669efp-6, -0x1.77028f75e6d12p-6, -0x1.72f200f367577p-6, -0x1.6ee522adf78c5p-6, -0x1.6adc1b8676dap-6, -0x1.66d7116746e6fp-6, -0x1.62d62945c4c35p-6, -0x1.5ed98723fa619p-6, -0x1.5ae14e11eb6e9p-6, -0x1.56eda02ee4462p-6, -0x1.52fe9eaaa0cb3p-6, -0x1.4f1469c665e1dp-6, -0x1.4b2f20d62359fp-6, -0x1.474ee241bb26fp-6, -0x1.4373cb8672cecp-6, -0x1.3f9df938aa83dp-6, -0x1.3bcd8705d2ep-6, -0x1.38028fb695fd6p-6, -0x1.343d2d314b272p-6, -0x1.307d787c6ec24p-6, -0x1.2cc389c130bc2p-6, -0x1.290f784dfd56ap-6, -0x1.25615a98e64aep-6, -0x1.21b94641e5ebap-6, -0x1.1e1750150a5aap-6, -0x1.1a7b8c0c79568p-6, -0x1.16e60d5275706p-6, -0x1.1356e643758d8p-6, -0x1.0fce28706fc74p-6, -0x1.0c4be4a14c67cp-6, -0x1.08d02ad7c1bfp-6, -0x1.055b0a5258c9bp-6, -0x1.01ec918fb3481p-6, -0x1.fd099ca3ad85bp-7, -0x1.f6479b42ab915p-7, -0x1.ef9337a0a386ep-7, -0x1.e8ec88f9fc488p-7, -0x1.e253a527ccac7p-7, -0x1.dbc8a0a3673edp-7, -0x1.d54b8e89a5464p-7, -0x1.cedc809dfae52p-7, -0x1.c87b874e10ee1p-7, -0x1.c228b1b642b74p-7, -0x1.bbe40da73837fp-7, -0x1.b5ada7ad4119cp-7, -0x1.af858b18f7b5p-7, -0x1.a96bc208feef1p-7, -0x1.a36055746a636p-7, -0x1.9d634d34d383bp-7, -0x1.9774b00f45c39p-7, -0x1.919483bb5ff57p-7, -0x1.8bc2cce7e46a3p-7, -0x1.85ff8f3c9772ap-7, -0x1.804acd59bc7cep-7, -0x1.7aa488d5aad5cp-7, -0x1.750cc239e5282p-7, -0x1.6f837900bdb9dp-7, -0x1.6a08ab9527f9cp-7, -0x1.649c5755e325ep-7, -0x1.5f3e789ccb82ap-7, -0x1.59ef0acaa3c43p-7, -0x1.54ae0856bd42bp-7, -0x1.4f7b6ae15ba56p-7, -0x1.4a572b47336fdp-7, -0x1.454141b3c14abp-7, -0x1.4039a5b044b06p-7, -0x1.3b404e2d9503ep-7, -0x1.365531877acc7p-7, -0x1.3178458106d19p-7, -0x1.2ca97f3a8013dp-7, -0x1.27e8d322c64bp-7, -0x1.233634e62957ap-7, -0x1.1e91975e7f9d1p-7, -0x1.19faec86ce976p-7, -0x1.1572257687a5bp-7, -0x1.10f732656d2a3p-7, -0x1.0c8a02ba17d6ep-7, -0x1.082a85220bd3p-7, -0x1.03d8a7b1c0a8cp-7, -0x1.ff28b012cfcfep-8, -0x1.f6bb06f4a9d9fp-8, -0x1.ee682e509c449p-8, -0x1.e6300044ede2ep-8, -0x1.de1256e024467p-8, -0x1.d60f0c1d8f12dp-8, -0x1.ce25f9c439b98p-8, -0x1.c656f92a740b2p-8, -0x1.bea1e2e595dc3p-8, -0x1.b7068e6f3e5b7p-8, -0x1.af84d1cd272f3p-8, -0x1.a81c814754c3p-8, -0x1.a0cd6f39eb6d1p-8, -0x1.99976c0aba52dp-8, -0x1.927a46483a786p-8, -0x1.8b75caf24db3p-8, -0x1.8489c5e865f35p-8, -0x1.7db602724b598p-8, -0x1.76fa4bd6554a5p-8, -0x1.70566decfc992p-8, -0x1.69ca35a045b1dp-8, -0x1.63557147a015bp-8, -0x1.5cf7f0d313509p-8, -0x1.56b185be992aap-8, -0x1.508202caf6913p-8, -0x1.4a693b81dc0e1p-8, -0x1.4467038febb97p-8, -0x1.3e7b2e06700a9p-8, -0x1.38a58c9948217p-8, -0x1.32e5eeefb0c51p-8, -0x1.2d3c221db4eacp-8, -0x1.27a7f057f6fe1p-8, -0x1.222920eda50c4p-8, -0x1.1cbf788d4c892p-8, -0x1.176ab9d08a947p-8, -0x1.122aa60317f45p-8, -0x1.0cfefe12b25bep-8, -0x1.07e78390aa3e8p-8, -0x1.02e3f9ab144dp-8, -0x1.fbe84c07db556p-9, -0x1.f22fa29b9cabbp-9, -0x1.e89d8f398404bp-9, -0x1.df31b0bd850f6p-9, -0x1.d5ebabf3b786p-9, -0x1.cccb2a2d87315p-9, -0x1.c3cfd7507f3c6p-9, -0x1.baf95f91cf2dfp-9, -0x1.b2476d1ae0e0cp-9, -0x1.a9b9a5da477fp-9, -0x1.a14fa9c07dac9p-9, -0x1.9909119d8e1ebp-9, -0x1.90e56ec329247p-9, -0x1.88e44b794c053p-9, -0x1.81052c3d92f72p-9, -0x1.794791ad21ed6p-9, -0x1.71aafaeb0ccfbp-9, -0x1.6a2ee8452205ap-9, -0x1.62d2ddd4dea8bp-9, -0x1.5b9665d93647p-9, -0x1.5479128bf09cep-9, -0x1.4d7a7f3f5428ap-9, -0x1.469a50a2dc19ep-9, -0x1.3fd8341e3e1f7p-9, -0x1.3933de4c7f13ap-9, -0x1.32ad08b4bcc64p-9, -0x1.2c436ef5c673ep-9, -0x1.25f6cba9a70d5p-9, -0x1.1fc6d5521d143p-9, -0x1.19b33b9eba7efp-9, -0x1.13bba55869c4cp-9, -0x1.0ddfaf2e9df63p-9, -0x1.081eeb8a45957p-9, -0x1.0278e3728ae4ap-9, -0x1.f9da30df1c37dp-10, -0x1.eef60e8052bb4p-10, -0x1.e444563da6478p-10, -0x1.d9c40290ecb86p-10, -0x1.cf7418e0de72bp-10, -0x1.c553afa85054cp-10, -0x1.bb61f358838bdp-10, -0x1.b19e298f4ccd6p-10, -0x1.a807b26660b2dp-10, -0x1.9e9e07c2e8805p-10, -0x1.9560bab66fd5p-10, -0x1.8c4f6f26cebe5p-10, -0x1.8369d6133bf02p-10, -0x1.7aafa6e673086p-10, -0x1.72209856c2bap-10, -0x1.69bc595f72677p-10, -0x1.61828adbea568p-10, -0x1.5972ba49e3823p-10, -0x1.518c5e27abbddp-10, -0x1.49ced44cb8917p-10, -0x1.4239627197aa5p-10, -0x1.3acb38e965b16p-10, -0x1.338377472fe89p-10, -0x1.2c613265e474dp-10, -0x1.25637b1738111p-10, -0x1.1e8964a9c469ep-10, -0x1.17d20a9286d3fp-10, -0x1.113c94c700a39p-10, -0x1.0ac83aa822c1bp-10, -0x1.047444aafb20dp-10, -0x1.fc801a2f73002p-11, -0x1.f056006de621ep-11, -0x1.e469384a29137p-11, -0x1.d8b8e0925e0c2p-11, -0x1.cd4438837b521p-11, -0x1.c20a9c0610837p-11, -0x1.b70b7ddba180dp-11, -0x1.ac465fa9d5766p-11, -0x1.a1bac84b433a8p-11, -0x1.97683957d09c3p-11, -0x1.8d4e2533d49e8p-11, -0x1.836be723f1a7fp-11, -0x1.79c0beb74968ap-11, -0x1.704bcf6379367p-11, -0x1.670c247025374p-11, -0x1.5e00b8694c57cp-11, -0x1.55287e7193842p-11, -0x1.4c826b41f99abp-11, -0x1.440d7b8d8d699p-11, -0x1.3bc8b61780362p-11, -0x1.33b328fd7813cp-11, -0x1.2bcbe338127cfp-11, -0x1.2411ecb43026ep-11, -0x1.1c844024d56d5p-11, -0x1.1521c9545acc9p-11, -0x1.0de96978fbd4fp-11, -0x1.06da011ac8e09p-11, -0x1.ffe4fa7472003p-12, -0x1.f263c851cdb63p-12, -0x1.e52ebce0bcedfp-12, -0x1.d8447250196c5p-12, -0x1.cba3c20c4a56ep-12, -0x1.bf4baf36aa4a5p-12, -0x1.b33b4bb7e0355p-12, -0x1.a7719f80a49c9p-12, -0x1.9bed985db1a2dp-12, -0x1.90ae05a726034p-12, -0x1.85b19f4a76064p-12, -0x1.7af71490dcf2fp-12, -0x1.707d1d9be3132p-12, -0x1.66428ace289d5p-12, -0x1.5c464ead1f39ap-12, -0x1.5287802db6cf7p-12, -0x1.4905548383e2ap-12, -0x1.3fbf10587ce8ep-12, -0x1.36b3f1a72b4f7p-12, -0x1.2de3156e9b3f9p-12, -0x1.254b5ed49dd77p-12, -0x1.1ceb66e10aa56p-12, -0x1.14c17b6a3a148p-12, -0x1.0ccbb0975fee2p-12, -0x1.0508032967619p-12, -0x1.fae908987fc97p-13, -0x1.ec1f0825a915bp-13, -0x1.ddaf5e91ae1ccp-13, -0x1.cf983067fcd18p-13, -0x1.c1d84f0a0c8f3p-13, -0x1.b46ef366f9912p-13, -0x1.a75b666972c5p-13, -0x1.9a9cb234cc0dcp-13, -0x1.8e3173c73e22p-13, -0x1.8217d851af43dp-13, -0x1.764dc19e91d59p-13, -0x1.6ad100949b85dp-13, -0x1.5f9f90e8af1f1p-13, -0x1.54b7c571c6626p-13, -0x1.4a185cfb494c2p-13, -0x1.3fc07f2226b12p-13, -0x1.35afa56e218c5p-13, -0x1.2be57715156f5p-13, -0x1.22619f1482d0fp-13, -0x1.1923a3a497bf5p-13, -0x1.102ac3df4f52p-13, -0x1.0775dc9f88d48p-13, -0x1.fe06a844dd2dp-14, -0x1.eda21c2c1140fp-14, -0x1.ddb8dc4c235c6p-14, -0x1.ce44e1c7f19eap-14, -0x1.bf3fbbec2978dp-14, -0x1.b0a3188d0b8b2p-14, -0x1.a2694f9f7f314p-14, -0x1.948dcdbcc2c4cp-14, -0x1.870d459bfc006p-14, -0x1.79e5a240cc544p-14, -0x1.6d15c20d37b85p-14, -0x1.609d0ddb81c53p-14, -0x1.547b08fa56c61p-14, -0x1.48aef9e8ae9dcp-14, -0x1.3d37c021d638ap-14, -0x1.3213d644c82ap-14, -0x1.2741702d1a043p-14, -0x1.1cbea50403a6ep-14, -0x1.12899de78c806p-14, -0x1.08a0c2fd8b81dp-14, -0x1.fe05ae41df988p-15, -0x1.eb5ddacddf2b7p-15, -0x1.d94865c58dc95p-15, -0x1.c7c3489c8ba3fp-15, -0x1.b6cbb278d2bdap-15, -0x1.a65e08c60a937p-15, -0x1.96765267b9ec3p-15, -0x1.8710d1bf5afefp-15, -0x1.782a7b73795d5p-15, -0x1.69c10d7a621dp-15, -0x1.5bd2bb930fc7dp-15, -0x1.4e5d9c10d74bbp-15, -0x1.415f1f9fb9ed7p-15, -0x1.34d3d49c473cbp-15, -0x1.28b782cca851bp-15, -0x1.1d0570b8d2bb4p-15, -0x1.11b8957b1675ep-15, -0x1.06cbae108cd43p-15, -0x1.f872d8540ea1ap-16, -0x1.e3f9d91190d7cp-16, -0x1.d0249e9d4fdc3p-16, -0x1.bcee194182a42p-16, -0x1.aa537a3fa56dp-16, -0x1.9852cba1cbe5cp-16, -0x1.86e93b55e7e6p-16, -0x1.7611f9174231dp-16, -0x1.65c65fae81efcp-16, -0x1.55ff84c48b9d6p-16, -0x1.46b8598e47168p-16, -0x1.37eef5a9099bep-16, -0x1.29a4259843407p-16, -0x1.1bd99b6848193p-16, -0x1.0e8fff03f04ebp-16, -0x1.01c5df99adbd2p-16, -0x1.eaef546988949p-17, -0x1.d3406bea3ebc8p-17, -0x1.bc72f02204fefp-17, -0x1.a67a6f1341477p-17, -0x1.914b815f4a38p-17, -0x1.7cdd1c4e29d8cp-17, -0x1.69297fb712c46p-17, -0x1.562e5a079e404p-17, -0x1.43ebec8caedb8p-17, -0x1.3263664cfb672p-17, -0x1.21952054f1574p-17, -0x1.117f7c5e239cap-17, -0x1.021e881da8dd5p-17, -0x1.e6d740c54f0d5p-18, -0x1.cab8dfe49a9acp-18, -0x1.afc4b796086e6p-18, -0x1.95d96ebf2e6f1p-18, -0x1.7cdc603f56b67p-18, -0x1.64c3cfa809e42p-18, -0x1.4d974bb0bc6d4p-18, -0x1.3764bc76c56fcp-18, -0x1.22321fffb8c6bp-18, -0x1.0df6571135755p-18, -0x1.f53b52814efbap-19, -0x1.d02b314025706p-19, -0x1.acabcefd6079ep-19, -0x1.8abf5f1c666fp-19, -0x1.6a69f36ec797bp-19, -0x1.4ba2ab649c4p-19, -0x1.2e51635abe421p-19, -0x1.1255efe4f1d25p-19, -0x1.ef219c1edd849p-20, -0x1.bbd121eb13fd8p-20, -0x1.8a97508aba9c1p-20, -0x1.5b5f7a623483ap-20, -0x1.2e1f7858c6928p-20, -0x1.02d2a006dace5p-20, -0x1.b2ea20fc983d9p-21, -0x1.640177af58dep-21, -0x1.18d9b27b32cdap-21, -0x1.a2bc8df9d078fp-22, -0x1.1af460ae79cd7p-22, -0x1.345bcf4ddb112p-23, -0x1.018a4646a62bfp-25, 0x1.4d180aafef0e2p-24, 0x1.80f14f4316085p-23, 0x1.278ccad13d9a4p-22, 0x1.8899eeb7deac4p-22, 0x1.e3eb5f7357fa2p-22, 0x1.1d1c4e25671dap-21, 0x1.4634e175603e8p-21, 0x1.6d7c926ce88f2p-21, 0x1.92d3e0a0eed7ep-21, 0x1.b5fa982370177p-21, 0x1.d6ed6078a30a2p-21, 0x1.f5fed7ea466c9p-21, 0x1.09cb2d27e3864p-20, 0x1.17ef28a2425e7p-20, 0x1.255c80a1dc0a2p-20, 0x1.31fdaf3c3d85dp-20, 0x1.3dd02daa88c8cp-20, 0x1.48e43aaaeaacbp-20, 0x1.534f3993dc23p-20, 0x1.5d2207e8c1664p-20, 0x1.666719de9b58p-20, 0x1.6f2471466d4cdp-20, 0x1.775e0ac66cb71p-20, 0x1.7f179b65db85fp-20, 0x1.8655b95d8d959p-20, 0x1.8d1ebcc226791p-20, 0x1.937b6524474e9p-20, 0x1.99770e24df02fp-20, 0x1.9f1f1b0b45aacp-20, 0x1.a48164c421543p-20, 0x1.a9a9dbaace1e5p-20, 0x1.aea01f2b75861p-20, 0x1.b366340b359d2p-20, 0x1.b7f954836f0f4p-20, 0x1.bc54ff79d1477p-20, 0x1.c0773536885dbp-20, 0x1.c4638a698ba46p-20, 0x1.c82256aadd5bcp-20, 0x1.cbbb9da00d1e7p-20, 0x1.cf3246ddb22b7p-20, 0x1.d2864d31ef78ep-20, 0x1.d5bc95f874654p-20, 0x1.d8deddc28a6acp-20, 0x1.dbefc04057511p-20, 0x1.dee8a814af33ap-20, 0x1.e1c9f1fba375p-20, 0x1.e4a29009f1caap-20, 0x1.e7806ecc842c9p-20, 0x1.ea617f460a994p-20, 0x1.ed3be89c855b6p-20, 0x1.f00d0d6d4df46p-20, 0x1.f2da5d94b4943p-20, 0x1.f5aa4f0d04b6dp-20, 0x1.f880c0c06c59bp-20, 0x1.fb5f573cb876fp-20, 0x1.fe46c160a2ed2p-20, 0x1.009bc1919433ep-19, 0x1.02191ecb7067ep-19, 0x1.039bdb61bf481p-19, 0x1.052466c13c65dp-19, 0x1.06b335685228fp-19, 0x1.0848ba54ab28ep-19, 0x1.09e560b925dafp-19, 0x1.0b89859db534cp-19, 0x1.0d357270e79ep-19, 0x1.0ee95a4a968b1p-19, 0x1.10a55cbeb6eecp-19, 0x1.12698ebde6a3ep-19, 0x1.143608ca4c75ep-19, 0x1.160af8636b3bfp-19, 0x1.17e8b0e5d991ap-19, 0x1.19cfb23294e43p-19, 0x1.1bc0902f24ea8p-19, 0x1.1dbbaba644294p-19, 0x1.1fc0e0cd05524p-19, 0x1.21cf8d11a0bcbp-19, 0x1.23e7202012723p-19, 0x1.2607c5b6374ccp-19, 0x1.2832475ddde67p-19, 0x1.2a66d52939a86p-19, 0x1.2ca446ef1ba97p-19, 0x1.2ee99dbb223bp-19, 0x1.31372ce6b8507p-19, 0x1.338d501fba503p-19, 0x1.35ebfdc1b06c1p-19, 0x1.3853864587263p-19, 0x1.3ac3f3c9598ebp-19, 0x1.3d3c8a229cdb7p-19, 0x1.3fbc719c0f7aep-19, 0x1.424329687129p-19, 0x1.44d07202dcc8ep-19, 0x1.47642078ec306p-19, 0x1.49fe074d7c1f3p-19, 0x1.4c9deffab2bd6p-19, 0x1.4f439b0a52894p-19, 0x1.51eec21a0fa3bp-19, 0x1.549f19f3e3811p-19, 0x1.57545469cb816p-19, 0x1.5a0e21eb4560dp-19, 0x1.5ccc32fc69793p-19, 0x1.5f8e394831fbbp-19, 0x1.6253e7f2ea043p-19, 0x1.651cf2b0bbe97p-19, 0x1.67e90b71600e7p-19, 0x1.6ab7df3ce1df8p-19, 0x1.6d89137599446p-19, 0x1.705c446c1da31p-19, 0x1.733105ceaed94p-19, 0x1.7606e56ecd469p-19, 0x1.78dd71173f676p-19, 0x1.7bb4408ab8502p-19, 0x1.7e8b02b934217p-19, 0x1.816186ea4a4d4p-19, 0x1.8437b22aa5c65p-19, 0x1.870d5aea80e1fp-19, 0x1.89e22cd424dc2p-19, 0x1.8cb5c614491eap-19, 0x1.8f87fb5444952p-19, 0x1.925907f9afc28p-19, 0x1.95293a6bd6701p-19, 0x1.97f731ec8c215p-19, 0x1.9ac0440de235fp-19, 0x1.9d843dfe77905p-19, 0x1.a042dc00067b6p-19, 0x1.a2fc0ea61fd3p-19, 0x1.a5b1a93d764bap-19, 0x1.a864476ab0cb5p-19, 0x1.ab132a62b744dp-19, 0x1.adbd2d3e1d78fp-19, 0x1.b061556e84ec2p-19, 0x1.b2ff123996205p-19, 0x1.b59620d09181cp-19, 0x1.b8265d191b1b2p-19, 0x1.baafa30563011p-19, 0x1.bd31c6aaae5e7p-19, 0x1.bfac93cec2d35p-19, 0x1.c21fd087f4522p-19, 0x1.c48b3fc6f6707p-19, 0x1.c6eea33f56e0fp-19, 0x1.c949bc9c8a62bp-19, 0x1.cb9c4e67ae322p-19, 0x1.cde61cb1c9a85p-19, 0x1.d026eda28ca77p-19, 0x1.d25e89ca21e1ap-19, 0x1.d48cbc26153a4p-19, 0x1.d6b15190132bep-19, 0x1.d8cc17d5469f5p-19, 0x1.dadcdc6e29ccfp-19, 0x1.dce36c3bca3f2p-19, 0x1.dedf938bd4b8cp-19, 0x1.e0d11ec144755p-19, 0x1.e2b7db3abdf14p-19, 0x1.e49398060dc0ep-19, 0x1.e66427197017p-19, 0x1.e8295fbd95e17p-19, 0x1.e9e3217772e4cp-19, 0x1.eb915358beb06p-19, 0x1.ed33db9474363p-19, 0x1.eeca93f02b208p-19, 0x1.f055445fc169ep-19, 0x1.f1d3a763bc5c9p-19, 0x1.f34596d3e1fbp-19, 0x1.f4ab7cc2ab18p-19, 0x1.f605d2c0db001p-19, 0x1.f7537b2925e0dp-19, 0x1.f893afc8e5e5ap-19, 0x1.f9c78002b6d6p-19, 0x1.faefa58de1bb2p-19, 0x1.fc0af30ea3e52p-19, 0x1.fd18a8a553ca5p-19, 0x1.fe18a34fbdd2ap-19, 0x1.ff0af99ac402ep-19, 0x1.fff07138176edp-19, 0x1.0064b4048a2a8p-18, 0x1.00cab50fa62dcp-18, 0x1.012a02f9ebc67p-18, 0x1.01828ce8db78dp-18, 0x1.01d455534c75ep-18, 0x1.021f610d65364p-18, 0x1.0263b28db5b9ap-18, 0x1.02a14a2930b17p-18, 0x1.02d8272142cd5p-18, }}, 
      {{-0x1.07bca42eecf11p-2, -0x1.027f9bc90342p-2, -0x1.f443d4bc31369p-3, -0x1.de1eb05fcf4b7p-3, -0x1.c37c492e3567cp-3, -0x1.a54afd973147ap-3, -0x1.846eefd1f7694p-3, -0x1.61ba92e776433p-3, -0x1.3dea8374f04dbp-3, -0x1.19a3bac66d171p-3, -0x1.eae6cbd3a0d35p-4, -0x1.a39fa900b0777p-4, -0x1.5e34291ecfe3ep-4, -0x1.1b3fd80e54b56p-4, -0x1.b677de04d5cf9p-5, -0x1.3d071e756a4b5p-5, -0x1.955f29ad1eec9p-6, -0x1.7f1af6780466cp-7, 0x1.c1e3ea91ddf44p-12, 0x1.7c8087f68d106p-7, 0x1.6631a762be257p-6, 0x1.ff1becb00ab9p-6, 0x1.44b10b4160332p-5, 0x1.82c156af3fbb7p-5, 0x1.ba08b76681fc2p-5, 0x1.ead8ee64a0547p-5, 0x1.0ac4a58e57502p-4, 0x1.1d3a58aebeae3p-4, 0x1.2cfbf76af2837p-4, 0x1.3a382b846081p-4, 0x1.451d4eaaf2ddcp-4, 0x1.4dd8f2be83f19p-4, 0x1.549781d97225dp-4, 0x1.5983f303447a5p-4, 0x1.5cc790b8d01c9p-4, 0x1.5e89cebe1c182p-4, 0x1.5ef02cf06ea66p-4, 0x1.5e1e250d6dceep-4, 0x1.5c3521a0ae698p-4, 0x1.59547c81781dbp-4, 0x1.5599837d61d61p-4, 0x1.511f81f9fa715p-4, 0x1.4bffce8178a51p-4, 0x1.4651db54c1125p-4, 0x1.402b49401983p-4, 0x1.399ffc0e1cd72p-4, 0x1.32c2300f2cc1cp-4, 0x1.2ba29041da93fp-4, 0x1.24504cbd35b4cp-4, 0x1.1cd9310f1187dp-4, 0x1.1549ba4f9fd59p-4, 0x1.0dad2cb824865p-4, 0x1.060da89700d56p-4, 0x1.fce87d0a47336p-5, 0x1.edd20596480e5p-5, 0x1.dee63fcd3a521p-5, 0x1.d031d04cf724ap-5, 0x1.c1bfccb02d2f4p-5, 0x1.b399db0e42481p-5, 0x1.a5c84faf82e2dp-5, 0x1.9852490658296p-5, 0x1.8b3dc9f4e244ep-5, 0x1.7e8fd25cdfaf6p-5, 0x1.724c75fcec897p-5, 0x1.6676f1aef1df7p-5, 0x1.5b11bf2f3b016p-5, 0x1.501ea796dbea1p-5, 0x1.459ed4a90030fp-5, 0x1.3b92e0ea7f2f9p-5, 0x1.31fae6855b919p-5, 0x1.28d68ce017e51p-5, 0x1.20251503a6ca7p-5, 0x1.17e564f582c74p-5, 0x1.1016123c5b753p-5, 0x1.08b56bb61f504p-5, 0x1.01c182ceb0fb6p-5, 0x1.f67068148f148p-6, 0x1.ea2e5d9c4b18ep-6, 0x1.deb7f8b4f7adbp-6, 0x1.d4080bf537e08p-6, 0x1.ca1934ff0ad5fp-6, 0x1.c0e5e674d0275p-6, 0x1.b868710c38113p-6, 0x1.b09b0c0dd36ecp-6, 0x1.a977dd4188776p-6, 0x1.a2f9003fccd8cp-6, 0x1.9d188d117720ap-6, 0x1.97d09e0a39b93p-6, 0x1.931b54d862d67p-6, 0x1.8ef2ded3067f4p-6, 0x1.8b51789f1d376p-6, 0x1.88317149e78eep-6, 0x1.858d2cf8d7a7ep-6, 0x1.835f274912789p-6, 0x1.81a1f56f8918p-6, 0x1.8050482148b48p-6, 0x1.7f64ed44289c2p-6, 0x1.7edad16dc7b63p-6, 0x1.7ead01140ac94p-6, 0x1.7ed6a98b7ffp-6, 0x1.7f5319c75821ap-6, 0x1.801dc2d359954p-6, 0x1.8132381efc046p-6, 0x1.828c2f97fc9f4p-6, 0x1.8427819d4d6c3p-6, 0x1.860028d24e366p-6, 0x1.881241d913859p-6, 0x1.8a5a0afa168cp-6, 0x1.8cd3e3bd078ap-6, 0x1.8f7c4c765bc71p-6, 0x1.924fe5cb6de4fp-6, 0x1.954b702df42dap-6, 0x1.986bcb4f86a07p-6, 0x1.9badf58ce6a44p-6, 0x1.9f0f0b527e05ep-6, 0x1.a28c4678da027p-6, 0x1.a622fd9b4efc5p-6, 0x1.a9d0a36971f53p-6, 0x1.ad92c5f2c9791p-6, 0x1.b1670df10fea7p-6, 0x1.b54b3e0dfe50ap-6, 0x1.b93d3228fc684p-6, 0x1.bd3ade9ce2ffcp-6, 0x1.c1424f834d741p-6, 0x1.c551a7fcd55e7p-6, 0x1.c96721787c8fap-6, 0x1.cd810afc5738cp-6, 0x1.d19dc875257abp-6, 0x1.d5bbd20434746p-6, 0x1.d9d9b35225fcfp-6, 0x1.ddf60ae841bcdp-6, 0x1.e20f89875296p-6, 0x1.e624f1865a431p-6, 0x1.ea35163712725p-6, 0x1.ee3edb469f44dp-6, 0x1.f2413426889bcp-6, 0x1.f63b237b9dbb5p-6, 0x1.fa2bba898a643p-6, 0x1.fe1218a66fe11p-6, 0x1.00f6b55a3651ap-5, 0x1.02de754b33011p-5, 0x1.04bfef566339fp-5, 0x1.069accad5c616p-5, 0x1.086ebc433c2e4p-5, 0x1.0a3b728f458fdp-5, 0x1.0c00a954f2bfcp-5, 0x1.0dbe1f6ac9f7dp-5, 0x1.0f7398810c816p-5, 0x1.1120dceedef47p-5, 0x1.12c5b97ff2968p-5, 0x1.1461ff416031bp-5, 0x1.15f5834fb8e52p-5, 0x1.17801ead9884fp-5, 0x1.1901ae14d3b17p-5, 0x1.1a7a11c976b82p-5, 0x1.1be92d711321ap-5, 0x1.1d4ee7ec6ea4dp-5, 0x1.1eab2b2f48556p-5, 0x1.1ffde41713d41p-5, 0x1.21470249bd061p-5, 0x1.22867814386d1p-5, 0x1.23bc3a44ae4ep-5, 0x1.24e840088e7c2p-5, 0x1.260a82d062d8bp-5, 0x1.2722fe3286975p-5, 0x1.2831afcb35bedp-5, 0x1.2936971fc47f8p-5, 0x1.2a31b5871fba5p-5, 0x1.2b230e1258703p-5, 0x1.2c0aa5729a6e3p-5, 0x1.2ce881e063db8p-5, 0x1.2dbcab07bff39p-5, 0x1.2e8729f60fb03p-5, 0x1.2f48090508e9p-5, 0x1.2fff53c4f3f01p-5, 0x1.30ad16ea96022p-5, 0x1.3151604039b33p-5, 0x1.31ec3e94db4eap-5, 0x1.327dc1a8941fbp-5, 0x1.3305fa1ad628dp-5, 0x1.3384f95d07123p-5, 0x1.33fad1a5bf0d5p-5, 0x1.346795e09e727p-5, 0x1.34cb599ceaedfp-5, 0x1.352630fffecd8p-5, 0x1.357830bc1b096p-5, 0x1.35c16e064579fp-5, 0x1.3601fe8877c17p-5, 0x1.3639f853a782ap-5, 0x1.366971d68a574p-5, 0x1.369081d852f3ep-5, 0x1.36af3f71ef7e9p-5, 0x1.36c5c2035bbb3p-5, 0x1.36d421289e6cdp-5, 0x1.36da74b348c2dp-5, 0x1.36d8d4a7b64f6p-5, 0x1.36cf5939191ffp-5, 0x1.36be1ac13dd8p-5, 0x1.36a531b6f15c6p-5, 0x1.3684b6a7ba4e1p-5, 0x1.365cc23599c6fp-5, 0x1.362d6d14d91a6p-5, 0x1.35f6d006327f9p-5, 0x1.35b903ce443f5p-5, 0x1.3574212e78d6ep-5, 0x1.352840e1e577bp-5, 0x1.34d57b9c37f16p-5, 0x1.347bea06d8657p-5, 0x1.341ba4bad9a5ep-5, 0x1.33b4c43a23d72p-5, 0x1.334760eb2f9cap-5, 0x1.32d393181e954p-5, 0x1.325972ee9fe9bp-5, 0x1.31d9187de7922p-5, 0x1.31529bb236d81p-5, 0x1.30c6145069c55p-5, 0x1.303399f3ef1dep-5, 0x1.2f9b440f5a638p-5, 0x1.2efd29ed699b7p-5, 0x1.2e5962b05d79fp-5, 0x1.2db0054f4cb26p-5, 0x1.2d0128935471dp-5, 0x1.2c4ce3167b06cp-5, 0x1.2b934b44a51d4p-5, 0x1.2ad4775d20dddp-5, 0x1.2a107d730bf63p-5, 0x1.2947736bf7fa5p-5, 0x1.28796efdd9ec3p-5, 0x1.27a685ade8aa8p-5, 0x1.26ceccd10a5d4p-5, 0x1.25f2598d355bcp-5, 0x1.251140da7e64p-5, 0x1.242b9782dee6dp-5, 0x1.23417220e9f22p-5, 0x1.2252e51e8cb7cp-5, 0x1.216004b4ce841p-5, 0x1.2068e4eca270fp-5, 0x1.1f6d99a03aed5p-5, 0x1.1e6e367bd7375p-5, 0x1.1d6acefdb495p-5, 0x1.1c6376755b3ddp-5, 0x1.1b58400312521p-5, 0x1.1a493e9824d0dp-5, 0x1.193684f7e1625p-5, 0x1.182025b8e8989p-5, 0x1.17063346455a7p-5, 0x1.15e8bfdfd1845p-5, 0x1.14c7dd9a33179p-5, 0x1.13a39e5ed5e57p-5, 0x1.127c13ec6a389p-5, 0x1.11514fd7e7ca4p-5, 0x1.1023638dd5538p-5, 0x1.0ef2605385359p-5, 0x1.0dbe5747f0531p-5, 0x1.0c8759642a858p-5, 0x1.0b4d777baabe4p-5, 0x1.0a10c23cc8a22p-5, 0x1.08d14a318624bp-5, 0x1.078f1fc09c573p-5, 0x1.064a532e9a295p-5, 0x1.0502f49ee7b85p-5, 0x1.03b91414806eep-5, 0x1.026cc1726d1c3p-5, 0x1.011e0c7c27e08p-5, 0x1.ff9a09ac42589p-6, 0x1.fcf3740ce0c09p-6, 0x1.fa4876eb428f3p-6, 0x1.f79930df2219ep-6, 0x1.f4e5c04865d1dp-6, 0x1.f22e4350552eep-6, 0x1.ef72d7ea5f209p-6, 0x1.ecb39bd4cb621p-6, 0x1.e9f0ac9969b24p-6, 0x1.e72a278e8fdb7p-6, 0x1.e46029d82736ep-6, 0x1.e192d068c2a14p-6, 0x1.dec23802b0eb2p-6, 0x1.dbee7d38c4b1ap-6, 0x1.d917bc6efea98p-6, 0x1.d63e11daf45cp-6, 0x1.d36199843bd0cp-6, 0x1.d0826f44dc254p-6, 0x1.cda0aec9e2baep-6, 0x1.cabc7393e12dp-6, 0x1.c7d5d8f773b86p-6, 0x1.c4ecfa1db1d24p-6, 0x1.c201f20492c8bp-6, 0x1.bf14db7f3150dp-6, 0x1.bc25d135fc147p-6, 0x1.b934eda6be23ep-6, 0x1.b6424b24e98d2p-6, 0x1.b34e03d94ee15p-6, 0x1.b05831c296f13p-6, 0x1.ad60eeb52106ap-6, 0x1.aa68545b2e855p-6, 0x1.a76e7c34ff106p-6, 0x1.a4737f98dde99p-6, 0x1.a17777b2fe0d8p-6, 0x1.9e7a7d854404cp-6, 0x1.9b7ca9e7068edp-6, 0x1.987e1584d169ap-6, 0x1.957ed8e032a76p-6, 0x1.927f0c4f96169p-6, 0x1.8f7ec7fe12981p-6, 0x1.8c7e23eb3774ap-6, 0x1.897d37eac81adp-6, 0x1.867c1ba451dd6p-6, 0x1.837ae692b1821p-6, 0x1.8079b0038b721p-6, 0x1.7d788f16d635dp-6, 0x1.7a779abe67c15p-6, 0x1.7776e9bd8be71p-6, 0x1.747692a897f96p-6, 0x1.7176abe4586cbp-6, 0x1.6e774ba57c5d2p-6, 0x1.6b7887eff4698p-6, 0x1.687a769644e3dp-6, 0x1.657d2d38de56ep-6, 0x1.6280c14587a3ep-6, 0x1.5f8547f6bb74bp-6, 0x1.5c8ad65326c1ep-6, 0x1.5991812cf99a8p-6, 0x1.56995d2146b37p-6, 0x1.53a27e973cf6bp-6, 0x1.50acf9bf6dbd7p-6, 0x1.4db8e2930d68fp-6, 0x1.4ac64cd34a7fbp-6, 0x1.47d54c08b7cb3p-6, 0x1.44e5f382c487dp-6, 0x1.41f856572465cp-6, 0x1.3f0c8761378a2p-6, 0x1.3c2299416969bp-6, 0x1.393a9e5c6ff9cp-6, 0x1.3654a8daa2cd4p-6, 0x1.3370caa734a47p-6, 0x1.308f156fa763fp-6, 0x1.2daf9aa34228fp-6, 0x1.2ad26b72a165ep-6, 0x1.27f798cf4f718p-6, 0x1.251f336b511f4p-6, 0x1.22494bb8a0bfep-6, 0x1.1f75f1e88ae06p-6, 0x1.1ca535eb0f40fp-6, 0x1.19d7276e48225p-6, 0x1.170bd5dddfa4ep-6, 0x1.14435062a14e7p-6, 0x1.117da5e22f72dp-6, 0x1.0ebae4febd897p-6, 0x1.0bfb1c16cbebap-6, 0x1.093e5944dc893p-6, 0x1.0684aa5f07f24p-6, 0x1.03ce1cf690453p-6, 0x1.011abe575525ep-6, 0x1.fcd5370ef4bf3p-7, 0x1.f77b828e03b78p-7, 0x1.f228781f3e9a5p-7, 0x1.ecdc30294a603p-7, 0x1.e796c285e7cd6p-7, 0x1.e2584681f0a19p-7, 0x1.dd20d2dd19abp-7, 0x1.d7f07dc99e557p-7, 0x1.d2c75cebbdc72p-7, 0x1.cda585593acebp-7, 0x1.c88b0b98fd98p-7, 0x1.c37803a2db605p-7, 0x1.be6c80dfa1b8dp-7, 0x1.b96896295e4d6p-7, 0x1.b46c55cbdc25ep-7, 0x1.af77d184fc50cp-7, 0x1.aa8b1a8525115p-7, 0x1.a5a6416f71b9ep-7, 0x1.a0c95659d5dacp-7, 0x1.9bf468cd14d0bp-7, 0x1.972787c4e4f4p-7, 0x1.9262c1b01868cp-7, 0x1.8da624711a60bp-7, 0x1.88f1bd5e82e13p-7, 0x1.84459943f959fp-7, 0x1.7fa1c46300b65p-7, 0x1.7b064a7402c47p-7, 0x1.767336a702f19p-7, 0x1.71e893a464baap-7, 0x1.6d666b8d867c2p-7, 0x1.68ecc7fd4e2edp-7, 0x1.647bb208cb40bp-7, 0x1.6013323fe951ep-7, 0x1.5bb350ae4ffa1p-7, 0x1.575c14dc6cc72p-7, 0x1.530d85d09f028p-7, 0x1.4ec7aa1083d4fp-7, 0x1.4a8a87a22be63p-7, 0x1.4656240d75ff9p-7, 0x1.422a845d2b564p-7, 0x1.3e07ad201b8dbp-7, 0x1.39eda26a2ebb2p-7, 0x1.35dc67d5793e9p-7, 0x1.31d400833f235p-7, 0x1.2dd46f1d3d4ffp-7, 0x1.29ddb5d6e285ep-7, 0x1.25efd66eb83b5p-7, 0x1.220ad22fefa0ap-7, 0x1.1e2ea9f3dd9ep-7, 0x1.1a5b5e23a205ep-7, 0x1.1690eeb9a1e2dp-7, 0x1.12cf5b43159c5p-7, 0x1.0f16a2e174a1ep-7, 0x1.0b66c44be2e95p-7, 0x1.07bfbdd09be54p-7, 0x1.04218d56552d9p-7, 0x1.008c305dc4e76p-7, 0x1.f9ff48062939ep-8, 0x1.f2f7c9ff11b86p-8, 0x1.ec01df5659d4ep-8, 0x1.e51d7ffd03209p-8, 0x1.de4aa3288eaf4p-8, 0x1.d7893f565dc7fp-8, 0x1.d0d94a4f37756p-8, 0x1.ca3ab92a7a358p-8, 0x1.c3ad8051a33a2p-8, 0x1.bd3193834dfdfp-8, 0x1.b6c6e5d675271p-8, 0x1.b06d69bdb3217p-8, 0x1.aa25110a65732p-8, 0x1.a3edccf00cdcfp-8, 0x1.9dc78e07b82ddp-8, 0x1.97b244535d12p-8, 0x1.91addf4173dfcp-8, 0x1.8bba4db08040fp-8, 0x1.85d77df291fa4p-8, 0x1.80055dd0c1c1fp-8, 0x1.7a43da8eab8ep-8, 0x1.7492e0edb9088p-8, 0x1.6ef25d308829ep-8, 0x1.69623b1e15de8p-8, 0x1.63e26604fd393p-8, 0x1.5e72c8beaf0b4p-8, 0x1.59134db2a8152p-8, 0x1.53c3ded9c98d6p-8, 0x1.4e8465c16ef26p-8, 0x1.4954cb8f0285ep-8, 0x1.4434f9031ef1p-8, 0x1.3f24d67cf8f7p-8, 0x1.3a244bfd9fc7bp-8, 0x1.3533412b48dbcp-8, 0x1.30519d548c9eep-8, 0x1.2b7f4773688ccp-8, 0x1.26bc263070e0bp-8, 0x1.22081fe5d65bfp-8, 0x1.1d631aa244a3fp-8, 0x1.18ccfc2bf272ap-8, 0x1.1445aa0383e5bp-8, 0x1.0fcd0966fa083p-8, 0x1.0b62ff549ac31p-8, 0x1.0707708dead0ap-8, 0x1.02ba419a80d8cp-8, 0x1.fcf6ad960d6cep-9, 0x1.f4952877ff418p-9, 0x1.ec4fbbb167882p-9, 0x1.e4262ebbc20ddp-9, 0x1.dc1848b91a9b7p-9, 0x1.d425d0793c658p-9, 0x1.cc4e8c7ef37f4p-9, 0x1.c492430534f8ep-9, 0x1.bcf0ba041f957p-9, 0x1.b569b735e05b6p-9, 0x1.adfd001bb7cb6p-9, 0x1.a6aa5a02b317cp-9, 0x1.9f718a0892651p-9, 0x1.9852552092551p-9, 0x1.914c8017daeecp-9, 0x1.8a5fcf9ab80fcp-9, 0x1.838c08387ef8bp-9, 0x1.7cd0ee686d3c2p-9, 0x1.762e468df8b09p-9, 0x1.6fa3d4fcfd0b3p-9, 0x1.69315dfde8eabp-9, 0x1.62d6a5d1dbaeep-9, 0x1.5c9370b6a3c9dp-9, 0x1.566782eab9b06p-9, 0x1.5052a0b10b811p-9, 0x1.4a548e54e9518p-9, 0x1.446d102db26efp-9, 0x1.3e9beaa28cc0fp-9, 0x1.38e0e22e0bd8fp-9, 0x1.333bbb61796ddp-9, 0x1.2dac3ae85233p-9, 0x1.2832258b78efbp-9, 0x1.22cd40343add3p-9, 0x1.1d7d4fef6a896p-9, 0x1.184219f0414dbp-9, 0x1.131b639343067p-9, 0x1.0e08f26143913p-9, 0x1.090a8c125385ap-9, 0x1.041ff690a74e2p-9, 0x1.fe91eff728677p-10, 0x1.f50aad551bf68p-10, 0x1.eba9b25fdced7p-10, 0x1.e26e8cb788d0bp-10, 0x1.d958ca7c45375p-10, 0x1.d067fa53380f1p-10, 0x1.c79bab6a05939p-10, 0x1.bef36d7ace9f3p-10, 0x1.b66ed0cef29bcp-10, 0x1.ae0d66426a924p-10, 0x1.a5cebf4674967p-10, 0x1.9db26de4f5987p-10, 0x1.95b804c414a14p-10, 0x1.8ddf172a079ap-10, 0x1.86273901bde06p-10, 0x1.7e8ffedfa5e07p-10, 0x1.7718fe0679702p-10, 0x1.6fc1cc6c30725p-10, 0x1.688a00be744p-10, 0x1.617132661b5ecp-10, 0x1.5a76f98a0676dp-10, 0x1.539aef10d52c3p-10, 0x1.4cdcaca1b0c86p-10, 0x1.463bcca4565c6p-10, 0x1.3fb7ea4098a6dp-10, 0x1.3950a15e1143ep-10, 0x1.33058ea3e6217p-10, 0x1.2cd64f797c835p-10, 0x1.26c282086aa9ap-10, 0x1.20c9c53f27bd2p-10, 0x1.1aebb8d522e5bp-10, 0x1.1527fd4f6efecp-10, 0x1.0f7e3405b0b9ep-10, 0x1.09edff2726a61p-10, 0x1.047701be7d9ebp-10, 0x1.fe31bf697d10fp-11, 0x1.f3a67ba4c6938p-11, 0x1.e94b837dda23ep-11, 0x1.df2023fd936fcp-11, 0x1.d523abdfe0378p-11, 0x1.cb556b8c081fcp-11, 0x1.c1b4b50c701bfp-11, 0x1.b840dc08e288fp-11, 0x1.aef935c225391p-11, 0x1.a5dd19121c5b4p-11, 0x1.9cebde6eb1cdp-11, 0x1.9424dff1486p-11, 0x1.8b87795fd6b17p-11, 0x1.831308380dfe6p-11, 0x1.7ac6ebb99dfd8p-11, 0x1.72a284ef4e95dp-11, 0x1.6aa536b48fae5p-11, 0x1.62ce65b7157c3p-11, 0x1.5b1d787408d5ep-11, 0x1.5391d73094269p-11, 0x1.4c2aebefd2ebcp-11, 0x1.44e822660af7cp-11, 0x1.3dc8e7ec88f66p-11, 0x1.36ccab75e56c6p-11, 0x1.2ff2dd86b2febp-11, 0x1.293af030a9155p-11, 0x1.22a457161d512p-11, 0x1.1c2e876812931p-11, 0x1.15d8f7f5901fcp-11, 0x1.0fa32134c1a3cp-11, 0x1.098c7d4b10e27p-11, 0x1.03948815c118bp-11, 0x1.fb757e637c45bp-12, 0x1.effd43f7dce78p-12, 0x1.e4bf631a80f2cp-12, 0x1.d9bae16562b5ep-12, 0x1.ceeec7c2bff72p-12, 0x1.c45a225038651p-12, 0x1.b9fc004198434p-12, 0x1.afd373c4caf98p-12, 0x1.a5df91ec28c9cp-12, 0x1.9c1f72a031f18p-12, 0x1.9292309ade00dp-12, 0x1.8936e96bc240bp-12, 0x1.800cbd8534fcdp-12, 0x1.7712d04eb2ed5p-12, 0x1.6e48483a5681ep-12, 0x1.65ac4ed82e3d1p-12, 0x1.5d3e10e62b29cp-12, 0x1.54fcbe5651392p-12, 0x1.4ce78a4c60bb9p-12, 0x1.44fdab104c67cp-12, 0x1.3d3e59f808841p-12, 0x1.35a8d34b52398p-12, 0x1.2e3c5623f2a23p-12, 0x1.26f8244f7156p-12, 0x1.1fdb823584afap-12, 0x1.18e5b6c48fc1ep-12, 0x1.12160b67486cfp-12, 0x1.0b6bcc0072cb1p-12, 0x1.04e646ef757acp-12, 0x1.fd099a30406aap-13, 0x1.f08d63dc6ff25p-13, 0x1.e456970583e9ep-13, 0x1.d863e51cbe7fbp-13, 0x1.ccb404f8e58ffp-13, 0x1.c145b2e0adac9p-13, 0x1.b617b0897fc39p-13, 0x1.ab28c50b3d514p-13, 0x1.a077bcc488811p-13, 0x1.9603692e29c09p-13, 0x1.8bcaa0a4550c9p-13, 0x1.81cc3e276f1aap-13, 0x1.7807211db1e35p-13, 0x1.6e7a2d1c758a4p-13, 0x1.652449c2f88cdp-13, 0x1.5c0462a60431ap-13, 0x1.53196754496d4p-13, 0x1.4a624b6aa5edep-13, 0x1.41de06b32aa85p-13, 0x1.398b9545d0087p-13, 0x1.3169f7a157d5ep-13, 0x1.297832b6420b3p-13, 0x1.21b54fe14fb69p-13, 0x1.1a205cd94b0c1p-13, 0x1.12b86b959d7f9p-13, 0x1.0b7c923860adfp-13, 0x1.046beaff4e61dp-13, 0x1.fb0b2888354bcp-14, 0x1.ed916107c093bp-14, 0x1.e068ccdb3de68p-14, 0x1.d38fc1ce8f4b7p-14, 0x1.c7049e0a4166ep-14, 0x1.bac5c7d9bca5cp-14, 0x1.aed1ad41fc196p-14, 0x1.a326c38035bd5p-14, 0x1.97c3867e4406ap-14, 0x1.8ca6785abe417p-14, 0x1.81ce211b7a356p-14, 0x1.77390e943c308p-14, 0x1.6ce5d47d8cb2fp-14, 0x1.62d30ca4365a2p-14, 0x1.58ff57142411bp-14, 0x1.4f695a1dbcdf4p-14, 0x1.460fc21f0b768p-14, 0x1.3cf14111393bp-14, 0x1.340c8df27ac36p-14, 0x1.2b606433956fep-14, 0x1.22eb835f51eacp-14, 0x1.1aacaf1e58f77p-14, 0x1.12a2afaa2c17bp-14, 0x1.0acc52a0fbe94p-14, 0x1.03286c0c3353fp-14, 0x1.f76baebb01959p-15, 0x1.e8e6f04e9ad81p-15, 0x1.dac074c73e2d3p-15, 0x1.ccf62477901p-15, 0x1.bf85f6bf0b7ddp-15, 0x1.b26df028bc726p-15, 0x1.a5ac206b384bcp-15, 0x1.993ea0b0f207p-15, 0x1.8d239272b71d3p-15, 0x1.81591f16b2fcfp-15, 0x1.75dd782439ff9p-15, 0x1.6aaed7d948ffep-15, 0x1.5fcb81aa35ebbp-15, 0x1.5531c25d2bd41p-15, 0x1.4adfef6d563c7p-15, 0x1.40d465c2bc5cap-15, 0x1.370d87f50f3c2p-15, 0x1.2d89bc8cf5926p-15, 0x1.24476ccf71461p-15, 0x1.1b45047dbffcp-15, 0x1.1280f2b34322cp-15, 0x1.09f9abc298d98p-15, 0x1.01adab9b46767p-15, 0x1.f336f0387fb6ap-16, 0x1.e383458682658p-16, 0x1.d43d92b440163p-16, 0x1.c5632b2c58f8ep-16, 0x1.b6f177f891415p-16, 0x1.a8e5f4d049353p-16, 0x1.9b3e2d76a2921p-16, 0x1.8df7bbe3dd5fbp-16, 0x1.8110476c14d7ap-16, 0x1.7485848fe0d27p-16, 0x1.6855351676e35p-16, 0x1.5c7d27f700fc6p-16, 0x1.50fb38d7888a8p-16, 0x1.45cd4f1a42cc4p-16, 0x1.3af15cb07bb18p-16, 0x1.30655cf22b723p-16, 0x1.262753e40d3c8p-16, 0x1.1c354d56ae61p-16, 0x1.128d5cce7d1b1p-16, 0x1.092d9d3dade66p-16, 0x1.001430dc4d68p-16, 0x1.ee7e8284f412fp-17, 0x1.dd59ffef0d665p-17, 0x1.ccb74f069b351p-17, 0x1.bc92f9ecf2f91p-17, 0x1.ace9a28b519c4p-17, 0x1.9db803d6efb3ap-17, 0x1.8efaf0a503f46p-17, 0x1.80af504ce168fp-17, 0x1.72d21abc24714p-17, 0x1.6560562e22fdap-17, 0x1.5857185c0ec9fp-17, 0x1.4bb38b6b43b75p-17, 0x1.3f72f4e4846f4p-17, 0x1.3392bb8dc546ap-17, 0x1.2810691408113p-17, 0x1.1ce9a5b96b36bp-17, 0x1.121c2ea66c147p-17, 0x1.07a5c98fa2013p-17, 0x1.fb08735675928p-18, 0x1.e76a73317706p-18, 0x1.d46cf84f3881p-18, 0x1.c20b66ebf2e3p-18, 0x1.b041370d6e621p-18, 0x1.9f0a08d05658ap-18, 0x1.8e61b0d554c81p-18, 0x1.7e443959b37b2p-18, 0x1.6eadd92cc133ep-18, 0x1.5f9ae4e7f80bdp-18, 0x1.5107be7b1662cp-18, 0x1.42f0ce0100b8bp-18, 0x1.35527b19ddd4bp-18, 0x1.282932a965165p-18, 0x1.1b7169378e6e5p-18, 0x1.0f27a07498279p-18, 0x1.0348672b9e141p-18, 0x1.efa0ae44df8cep-19, 0x1.d9782973d5a53p-19, 0x1.c410aa69a22edp-19, 0x1.af63daea7c94fp-19, 0x1.9b6bcb6557421p-19, 0x1.882313b1441e6p-19, 0x1.7584db998dd12p-19, 0x1.638cc26f7f365p-19, 0x1.5236ab5908023p-19, 0x1.417e8078c1ac5p-19, 0x1.3160026edb929p-19, 0x1.21d6b3b68d481p-19, 0x1.12dde40e0064ep-19, 0x1.0470d2ee3c3d1p-19, 0x1.ed15b33f1c788p-20, 0x1.d24f196186c97p-20, 0x1.b885985838412p-20, 0x1.9fb185133d7bep-20, 0x1.87cbb13bb3019p-20, 0x1.70cd49c3c073cp-20, 0x1.5aafb384d3634p-20, 0x1.456c67dfda0bcp-20, 0x1.30fcd581a2a11p-20, 0x1.1d5a4c1fef546p-20, 0x1.0a7dfb1cc1cefp-20, 0x1.f0c20ac1e4095p-21, 0x1.cdf945dd75687p-21, 0x1.ac94817e9716ep-21, 0x1.8c872009f2dc3p-21, 0x1.6dc4fef978c3p-21, 0x1.50424faffed43p-21, 0x1.33f37d10d3045p-21, 0x1.18cd3d76657f5p-21, 0x1.fd89a216eap-22, 0x1.cba08b02a6a25p-22, 0x1.9bcd0e82235ddp-22, 0x1.6dfe4b20aebafp-22, 0x1.4223c48df4bf7p-22, 0x1.182c99810794fp-22, 0x1.e00e82fda809p-23, 0x1.9343db4b8ed0ap-23, 0x1.49d69057a6357p-23, 0x1.03a63c3d19992p-23, 0x1.812a55547fffdp-24, 0x1.010f8fcf3e5d4p-24, 0x1.0d8e905dd346bp-25, 0x1.21d9af45ebee2p-28, -0x1.74813e65a6e3ep-26, -0x1.8e46af76b1251p-25, -0x1.2c19a41bcf2ddp-24, -0x1.8c2ea7d379894p-24, -0x1.e78bec1f2f951p-24, -0x1.1f2d1dc2adcebp-23, -0x1.48616862534p-23, -0x1.6f7815fd78d14p-23, -0x1.9487204e3f7f2p-23, -0x1.b7a4dd7c20214p-23, -0x1.d8e73c500b71p-23, -0x1.f862d8c67cdf6p-23, -0x1.0b152583dc975p-22, -0x1.19270189f3754p-22, -0x1.266e66b99f384p-22, -0x1.32f266a4d3638p-22, -0x1.3eba3b42ce942p-22, -0x1.49cd8169829fdp-22, -0x1.543414f2fbaf9p-22, -0x1.5df5bde7ba0d2p-22, -0x1.671a0186daa3bp-22, -0x1.6fa837160c541p-22, -0x1.77a79fe5f439ap-22, -0x1.7f1f3189b7be7p-22, -0x1.86151da05934dp-22, -0x1.8c8e83216e58fp-22, -0x1.928fa49245764p-22, -0x1.981c8d4424f43p-22, -0x1.9d39afab547dcp-22, -0x1.a1ec11967e379p-22, -0x1.a6390087d28ffp-22, -0x1.aa25a4d215cebp-22, -0x1.adb6ca7337f58p-22, -0x1.b0f0ebfa8a30ep-22, -0x1.b3d8516cb18b5p-22, -0x1.b6711a0d63638p-22, -0x1.b8bf2fdaee92dp-22, -0x1.bac63765ef6edp-22, -0x1.bc898a2ac603p-22, -0x1.be0c4104d9422p-22, -0x1.bf514b400dc93p-22, -0x1.c05b8a721e6dfp-22, -0x1.c12de574a948dp-22, -0x1.c1cb46dba5bc8p-22, -0x1.c23682c837d73p-22, -0x1.c2722f12d8135p-22, -0x1.c28082b300152p-22, -0x1.c2635504a8097p-22, -0x1.c21c49fd436dp-22, -0x1.c1ad1f4bf2883p-22, -0x1.c117eeef93929p-22, -0x1.c05f3445aa11p-22, -0x1.bf858c388a98bp-22, -0x1.be8d6a6fc6933p-22, -0x1.bd7904c503ddbp-22, -0x1.bc4a64a2afd1cp-22, -0x1.bb03540ef61fap-22, -0x1.b9a51fbeb956cp-22, -0x1.b8308cc6861ccp-22, -0x1.b6a638d7f2f38p-22, -0x1.b50713784abfap-22, -0x1.b3547d9cb35bcp-22, -0x1.b190012ea94a4p-22, -0x1.afbaf3fa04456p-22, -0x1.add65c55c70aep-22, -0x1.abe316731708cp-22, -0x1.a9e203ae2a087p-22, -0x1.a7d40cc2d01f3p-22, -0x1.a5ba12e42b0f5p-22, -0x1.a394ebd3678cfp-22, -0x1.a16557b47a088p-22, -0x1.9f2c0a861465bp-22, -0x1.9ce9ad8da9dc1p-22, -0x1.9a9ee10f542fep-22, -0x1.984c3edf7eabp-22, -0x1.95f25cc81a0f8p-22, -0x1.9391ce01e483fp-22, -0x1.912b21de974bbp-22, -0x1.8ebede7ea5bedp-22, -0x1.8c4d79692f31p-22, -0x1.89d751ec34b48p-22, -0x1.875cb0e051f07p-22, -0x1.84ddcdae3f80fp-22, -0x1.825ad6460ce69p-22, -0x1.7fd3f85fe7b8cp-22, -0x1.7d496bea72018p-22, -0x1.7abb7aac8ea36p-22, -0x1.782a7c15e5082p-22, -0x1.7596c27646b5p-22, -0x1.730088763158cp-22, -0x1.7067f05a0453ap-22, -0x1.6dcd1170402edp-22, -0x1.6b2ffe4f52de8p-22, -0x1.6890be80ffdf2p-22, -0x1.65ef559b1df9ep-22, -0x1.634bdafce55dp-22, -0x1.60a67ce3a223ap-22, -0x1.5dff61d871c97p-22, -0x1.5b569081bf646p-22, -0x1.58abfcf653279p-22, -0x1.55ffa31a153c9p-22, -0x1.53518810bebbbp-22, -0x1.50a1af7be2f1cp-22, -0x1.4df019654cc84p-22, -0x1.4b3cbed41105cp-22, -0x1.4887984599037p-22, -0x1.45d09c1b0cb7cp-22, -0x1.4317bfb9128e6p-22, -0x1.405cf7fdf688bp-22, -0x1.3da0395d88faep-22, -0x1.3ae177f7c6344p-22, -0x1.3820a79ed96a5p-22, -0x1.355dbb9e46648p-22, -0x1.3298a65bb7f3ap-22, -0x1.2fd158ee57e4dp-22, -0x1.2d07c2d8de98bp-22, -0x1.2a3bd22c29735p-22, -0x1.276d740d5ab4fp-22, -0x1.249c956fa9a27p-22, -0x1.21c923ccb2866p-22, -0x1.1ef30d7f017c9p-22, -0x1.1c1a41b8ed8dfp-22, -0x1.193eafba636f6p-22, -0x1.16604537d17f5p-22, -0x1.137eecbbf7e2fp-22, -0x1.109a8de7f7adfp-22, -0x1.0db310e2e75fcp-22, -0x1.0ac8628251689p-22, -0x1.07da749fa7b2p-22, -0x1.04e939106c089p-22, -0x1.01f49d2795439p-22, -0x1.fdf91a1026876p-23, -0x1.f801eee1f528dp-23, -0x1.f20396746d9e3p-23, -0x1.ebfdeefc52e36p-23, -0x1.e5f0dccbfe84bp-23, -0x1.dfdc45b25c89p-23, -0x1.d9c00ca91a2cfp-23, -0x1.d39c14ee487b4p-23, -0x1.cd70443afc459p-23, -0x1.c73c8200966d8p-23, -0x1.c100b64696dadp-23, -0x1.babcc95814812p-23, -0x1.b470a41d5f478p-23, -0x1.ae1c30a0e90d6p-23, -0x1.a7bf5a8294256p-23, -0x1.a15a0f3a455bcp-23, -0x1.9aec3e4cc2568p-23, -0x1.9475d97ce5056p-23, -0x1.8df6d4ff9f69dp-23, -0x1.876f27a9c67f5p-23, -0x1.80decae343526p-23, -0x1.7a45ba400914bp-23, -0x1.73a3f2b5848cap-23, -0x1.6cf97193852d1p-23, -0x1.664633c2de528p-23, -0x1.5f8a356a67cafp-23, -0x1.58c57230d58bfp-23, -0x1.51f7e61e256a3p-23, -0x1.4b218ee5830fbp-23, -0x1.44426d8a5d389p-23, -0x1.3d5a8835c155bp-23, -0x1.3669eb3010e55p-23, -0x1.2f70a7144c59p-23, -0x1.286ecb6ceda01p-23, -0x1.216461f4c2905p-23, -0x1.1a517105cd526p-23, -0x1.133602b81449bp-23, -0x1.0c12288b8535fp-23, -0x1.04e5f7d4f4c16p-23, -0x1.fb62fab67e202p-24, -0x1.ece97e14faf1fp-24, -0x1.de5fa75c21f62p-24, -0x1.cfc5a968e4e08p-24, -0x1.c11bbb5b1c3p-24, -0x1.b26224fe6cc47p-24, -0x1.a3991c53f8cf2p-24, -0x1.94c0cf19823c3p-24, -0x1.85d9705887d11p-24, -0x1.76e339b31da2fp-24, -0x1.67de65e873a3fp-24, -0x1.58cb43d9bec92p-24, -0x1.49aa059097bc9p-24, -0x1.3a7afb31cdbfbp-24, -0x1.2b3e6a5e4f572p-24, -0x1.1bf49b2226b04p-24, -0x1.0c9dd77d4d7acp-24, -0x1.fa74d6941a7f7p-25, -0x1.db95485b08ee9p-25, -0x1.bc9da312516b2p-25, -0x1.9d8e8916d9f1ap-25, -0x1.7e68a0eba864fp-25, -0x1.5f2c9505a4abp-25, -0x1.3fdb147d88539p-25, -0x1.2074d24017685p-25, -0x1.00fa8478f164fp-25, -0x1.c2d9d0c8f4cf7p-26, -0x1.83995d7746b1ap-26, -0x1.44352934c5217p-26, -0x1.04aeac4581f67p-26, -0x1.8a0eac5cbceb4p-27, -0x1.0a81415bcb1ap-27, -0x1.15702ca154bddp-28, -0x1.56c6e37272255p-32, 0x1.d604f8a53b738p-29, 0x1.ebd62776720a8p-28, 0x1.7683fde7f1d9fp-27, 0x1.f748aa6c7c22fp-27, 0x1.3c1aea37f0072p-26, 0x1.7ca423c51a1e1p-26, 0x1.bd3e6c9a340cp-26, 0x1.fde82afd9d0f4p-26, 0x1.1f4fd372ad7f6p-25, 0x1.3fb1907e2fca9p-25, 0x1.601893cff32c8p-25, 0x1.80841cb3bc659p-25, 0x1.a0f33addc01f2p-25, 0x1.c164fe595d4c6p-25, 0x1.e1d8a1488e173p-25, 0x1.0126accdc6776p-24, 0x1.116128cc65028p-24, 0x1.219b57e330ae4p-24, 0x1.31d4c823448a4p-24, 0x1.420d09f608e45p-24, 0x1.5243b36b188fcp-24, 0x1.62785a86580aap-24, 0x1.72aa935daf17bp-24, 0x1.82d9f16d6b792p-24, 0x1.9306086782634p-24, 0x1.a32e6c71d1bc1p-24, 0x1.b352b222f61c8p-24, 0x1.c3726e713b2d5p-24, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.862d619c4f3c3p-8, 0x1.0e2732539553cp-7, 0x1.5a7cc7f4e2e29p-8, -0x1.949e8c0f352fcp-9, -0x1.0a8c7b680f6ebp-6, -0x1.109bf9a3744b3p-5, -0x1.b23b3a375a0fap-5, -0x1.309efc392aa23p-4, -0x1.8ac7ba3059db1p-4, -0x1.e41ecc67d3cddp-4, -0x1.1ce558902a96dp-3, -0x1.44c7e0270259bp-3, -0x1.68e2b09552ef4p-3, -0x1.88a33bcc7199dp-3, -0x1.a3afe64e03b5bp-3, -0x1.b9df0eb95cc31p-3, -0x1.cb2e77fe3c0c4p-3, -0x1.d7bb5c22ee8a6p-3, -0x1.dfbb532918c86p-3, -0x1.e376197f70d34p-3, -0x1.e340340066fe4p-3, -0x1.df76669be693ap-3, -0x1.d879eec9f99cep-3, -0x1.cead70bdbf83ap-3, -0x1.c27284ee00142p-3, -0x1.b427d2cddbfcep-3, -0x1.a427a5b13df55p-3, -0x1.92c6e9a2ffff4p-3, -0x1.80547f200fb45p-3, -0x1.6d18d62d08babp-3, -0x1.5955c2ccb443cp-3, -0x1.45467e953b9cdp-3, -0x1.311fccc8afb39p-3, -0x1.1d1037f9f38cbp-3, -0x1.094061bdf970ep-3, -0x1.eba6bc9a1c3e9p-4, -0x1.c5ce2e4d4795ap-4, -0x1.a12961c7b79d4p-4, -0x1.7de1e298990d7p-4, -0x1.5c194707ba91dp-4, -0x1.3be9f19948589p-4, -0x1.1d67c9bc62debp-4, -0x1.00a0ea6ba3c99p-4, -0x1.cb3c8c2c44c72p-5, -0x1.98c87f120e5cap-5, -0x1.69e66fa1a7eb4p-5, -0x1.3e902268be7dcp-5, -0x1.16b94f1a1901cp-5, -0x1.e4a0f973346ebp-6, -0x1.a27f94735dfa2p-6, -0x1.66db49553bdb4p-6, -0x1.317ad86c80325p-6, -0x1.0220124c7dae1p-6, -0x1.b111c8980de72p-7, -0x1.68e0936df519dp-7, -0x1.2b1e478289488p-7, -0x1.ee73e8a8a08d2p-8, -0x1.994299459a2acp-8, -0x1.5583a9137a5edp-8, -0x1.2213d47b991cdp-8, -0x1.fba6b022fb8c9p-9, -0x1.cf4ef941e6fa1p-9, -0x1.bcf7d27f153f3p-9, -0x1.c287820d83828p-9, -0x1.ddf521b6e6515p-9, -0x1.06a5100c8d406p-8, -0x1.2751b705aa69fp-8, -0x1.50192ee6c6c8fp-8, -0x1.801e9f5101c7ep-8, -0x1.b68fe035edc4ap-8, -0x1.f2a5935a79932p-8, -0x1.19d19563ee916p-7, -0x1.3c6b6d78ca863p-7, -0x1.60ccbd4c80cb9p-7, -0x1.86a728290653fp-7, -0x1.adb16814edf71p-7, -0x1.d5a7273994d18p-7, -0x1.fe48d52ecf895p-7, -0x1.13adbd91a9b8fp-6, -0x1.2854475405193p-6, -0x1.3cfee2354fc2bp-6, -0x1.519670a630b0ap-6, -0x1.6605c5350b91ep-6, -0x1.7a39899cc54cbp-6, -0x1.8e20256cba9a3p-6, -0x1.a1a9a49121f71p-6, -0x1.b4c79e58cd77ap-6, -0x1.c76d1d7555d5p-6, -0x1.d98e892327ccep-6, -0x1.eb218fb6aa3eep-6, -0x1.fc1d1251f51fep-6, -0x1.063c88d6ade6ep-5, -0x1.0e174dd8f1a56p-5, -0x1.159bdcda7ccbep-5, -0x1.1cc7afa3e1046p-5, -0x1.2398accae7a79p-5, -0x1.2a0d1faee985cp-5, -0x1.3023b0d44f4acp-5, -0x1.35db5ea7f3fdp-5, -0x1.3b3376b0de34ep-5, -0x1.402b8f387bc1p-5, -0x1.44c3816510b13p-5, -0x1.48fb63c01f38dp-5, -0x1.4cd38522ea639p-5, -0x1.504c6800fd5d4p-5, -0x1.5366be0014eeap-5, -0x1.562363dc3428ap-5, -0x1.58835d8f88ad2p-5, -0x1.5a87d2ad8bb3cp-5, -0x1.5c320afc3f945p-5, -0x1.5d836b3fd8b43p-5, -0x1.5e7d72373f545p-5, -0x1.5f21b5c68a316p-5, -0x1.5f71e05f3ca54p-5, -0x1.5f6fae86af0c5p-5, -0x1.5f1cec9103e9fp-5, -0x1.5e7b748f2c0aep-5, -0x1.5d8d2c564c278p-5, -0x1.5c5403b670a1ep-5, -0x1.5ad1f2d0070bbp-5, -0x1.5908f890cdcf5p-5, -0x1.56fb19412b1a3p-5, -0x1.54aa5d2e6ccf2p-5, -0x1.5218cf848127ep-5, -0x1.4f487d19bcd3bp-5, -0x1.4c3b73618d4cap-5, -0x1.48f3bf83472acp-5, -0x1.45736d5e0d34fp-5, -0x1.41bc86b9c4872p-5, -0x1.3dd112804065cp-5, -0x1.39b313f550041p-5, -0x1.35648a21e1448p-5, -0x1.30e76f24bb7fcp-5, -0x1.2c3db791023b8p-5, -0x1.276952107eb3fp-5, -0x1.226c26d3ec7c6p-5, -0x1.1d4817095bbcbp-5, -0x1.17fefca71701ap-5, -0x1.1292aa06d542bp-5, -0x1.0d04e972a7107p-5, -0x1.07577d076edd7p-5, -0x1.018c1e771e315p-5, -0x1.f748fd59abecbp-6, -0x1.eb448b87e0e78p-6, -0x1.df0e25da1a985p-6, -0x1.d2a8f8381148bp-6, -0x1.c6181c12033a1p-6, -0x1.b95e988b54ba6p-6, -0x1.ac7f6201323aep-6, -0x1.9f7d59aaef06bp-6, -0x1.925b4e5f9076bp-6, -0x1.851bfc38d24e9p-6, -0x1.77c20c409c69ap-6, -0x1.6a5014b8b0152p-6, -0x1.5cc899ab932b4p-6, -0x1.4f2e0c96bef41p-6, -0x1.4182cc36f4ef1p-6, -0x1.33c9253f11c78p-6, -0x1.260352b80e518p-6, -0x1.18337d9d737f6p-6, -0x1.0a5bbcff12843p-6, -0x1.f8fc2db3960cep-7, -0x1.dd3900a61210dp-7, -0x1.c171baa902689p-7, -0x1.a5aa01c97273p-7, -0x1.89e55c39f8b07p-7, -0x1.6e27309fd6d2ep-7, -0x1.5272c517153b2p-7, -0x1.36cb3ffe9f24cp-7, -0x1.1b33aa4e65e11p-7, -0x1.ff5de04ea2de3p-8, -0x1.c87fbec4749b4p-8, -0x1.91d24f86ddab7p-8, -0x1.5b5abb80bb788p-8, -0x1.251df866074c5p-8, -0x1.de418ba0ae824p-9, -0x1.72cf551cd556cp-9, -0x1.07edf1d07f6d8p-9, -0x1.3b4b559b074e6p-10, -0x1.9ff374f2b8acep-12, 0x1.a801c52aec90ap-12, 0x1.3a9e4e8a5231ep-10, 0x1.04e79299872bap-9, 0x1.6bc2fc36d1be6p-9, 0x1.d1db34c7ce41fp-9, 0x1.1b953390bf603p-8, 0x1.4dd58c2368675p-8, 0x1.7fac0c743c861p-8, 0x1.b1163ca740842p-8, 0x1.e211c66ed9016p-8, 0x1.094e3d471916bp-7, 0x1.215a28989c4bbp-7, 0x1.392bb1ab6191ep-7, 0x1.50c1f2582acc8p-7, 0x1.681c122ff30a5p-7, 0x1.7f394903da188p-7, 0x1.9618dfae99576p-7, 0x1.acba2d935508p-7, 0x1.c31c956fce985p-7, 0x1.d93f84c29952fp-7, 0x1.ef2275c1df06fp-7, 0x1.026278712c27dp-6, 0x1.0d1345ca273ebp-6, 0x1.17a372a25f062p-6, 0x1.2212d2cf85f97p-6, 0x1.2c613eb3fb2b1p-6, 0x1.368e9430f0e94p-6, 0x1.409ab6d01a0cbp-6, 0x1.4a858ec2a89aap-6, 0x1.544f07a353346p-6, 0x1.5df7101732781p-6, 0x1.677d9a6c3ab1ep-6, 0x1.70e29d57a2e18p-6, 0x1.7a2613e19b83bp-6, 0x1.8347fc6e29543p-6, 0x1.8c4857beb25d8p-6, 0x1.952728b9d2d2bp-6, 0x1.9de474f895b4ap-6, 0x1.a6804567617f9p-6, 0x1.aefaa63fca477p-6, 0x1.b753a64684331p-6, 0x1.bf8b55f0531d5p-6, 0x1.c7a1c71615963p-6, 0x1.cf970d4f180e9p-6, 0x1.d76b3e7fd4bd2p-6, 0x1.df1e73065e815p-6, 0x1.e6b0c547bac9fp-6, 0x1.ee2250f57904ap-6, 0x1.f5733299507d7p-6, 0x1.fca387a5ce58ep-6, 0x1.01d9b76fb2415p-5, 0x1.0551845a822bap-5, 0x1.08b93b9746afap-5, 0x1.0c10eeb93c8e1p-5, 0x1.0f58af9f4e73dp-5, 0x1.129090566a13ep-5, 0x1.15b8a32ad1088p-5, 0x1.18d0fad1d5436p-5, 0x1.1bd9aa86e545p-5, 0x1.1ed2c5ffcf5e3p-5, 0x1.21bc613d74fc4p-5, 0x1.2496905b100a6p-5, 0x1.2761677935f08p-5, 0x1.2a1cfac97d736p-5, 0x1.2cc95eacb6b15p-5, 0x1.2f66a7cbc25b7p-5, 0x1.31f4eb159f7ffp-5, 0x1.34743da1b9f48p-5, 0x1.36e4b48bb8883p-5, 0x1.394664defd9e5p-5, 0x1.3b9963987363fp-5, 0x1.3dddc5b8ee135p-5, 0x1.4013a05b464d8p-5, 0x1.423b08be64607p-5, 0x1.4454143a81903p-5, 0x1.465ed8295a282p-5, 0x1.485b69d1e49e2p-5, 0x1.4a49de612cb08p-5, 0x1.4c2a4af05a95fp-5, 0x1.4dfcc49358964p-5, 0x1.4fc160682c6fp-5, 0x1.5178339d269efp-5, 0x1.532153694d471p-5, 0x1.54bcd4fd6ecacp-5, 0x1.564acd7876a87p-5, 0x1.57cb51e40c4a9p-5, 0x1.593e77390214p-5, 0x1.5aa452697b095p-5, 0x1.5bfcf86cd54d1p-5, 0x1.5d487e47009e6p-5, 0x1.5e86f906baee2p-5, 0x1.5fb87dbd563c8p-5, 0x1.60dd2177231f4p-5, 0x1.61f4f938e2ae4p-5, 0x1.63001a02045ecp-5, 0x1.63fe98d29ec62p-5, 0x1.64f08ab3ea7a3p-5, 0x1.65d604c035218p-5, 0x1.66af1c266fabdp-5, 0x1.677be627d4509p-5, 0x1.683c78135f95fp-5, 0x1.68f0e74349469p-5, 0x1.6999491da9cf1p-5, 0x1.6a35b3172a733p-5, 0x1.6ac63ab7469c6p-5, 0x1.6b4af59df3566p-5, 0x1.6bc3f989499b7p-5, 0x1.6c315c58b9125p-5, 0x1.6c93340ca8006p-5, 0x1.6ce996c481c7fp-5, 0x1.6d349abdcf0a9p-5, 0x1.6d745654f1e6p-5, 0x1.6da8e006a9af1p-5, 0x1.6dd24e7241523p-5, 0x1.6df0b85cf2f8fp-5, 0x1.6e0434b62f53fp-5, 0x1.6e0cda9b49075p-5, 0x1.6e0ac158c6c9cp-5, 0x1.6dfe006988319p-5, 0x1.6de6af75af0bfp-5, 0x1.6dc4e65252a9p-5, 0x1.6d98bd020e5bp-5, 0x1.6d624bb5dec5cp-5, 0x1.6d21aace9b0bbp-5, 0x1.6cd6f2df56e6ap-5, 0x1.6c823cb0436abp-5, 0x1.6c23a140b5a46p-5, 0x1.6bbb39c74e007p-5, 0x1.6b491fb07e6afp-5, 0x1.6acd6c9cfd6d9p-5, 0x1.6a483a6105baap-5, 0x1.69b9a30467c4ap-5, 0x1.6921c0c30212ap-5, 0x1.6880ae0d76197p-5, 0x1.67d6858a27abfp-5, 0x1.672362161f914p-5, 0x1.66675ec54b34p-5, 0x1.65a296e17249ap-5, 0x1.64d525e82f261p-5, 0x1.63ff2788fc86p-5, 0x1.6320b7a4567dp-5, 0x1.6239f24bc8e28p-5, 0x1.614af3c2528a4p-5, 0x1.6053d87c2a823p-5, 0x1.5f54bd1dbe85ap-5, 0x1.5e4dbe79fd4c1p-5, 0x1.5d3ef990720b8p-5, 0x1.5c288b8b7bc79p-5, 0x1.5b0a91bedcefbp-5, 0x1.59e529a6bca33p-5, 0x1.58b870e74757fp-5, 0x1.5784854c9f049p-5, 0x1.564984ca3c72bp-5, 0x1.55078d7893d4ep-5, 0x1.53bebd92c8247p-5, 0x1.526f3372b0e54p-5, 0x1.51190d8d3bbdep-5, 0x1.4fbc6a70fee6dp-5, 0x1.4e5968c5c7859p-5, 0x1.4cf0274d0f306p-5, 0x1.4b80c4e231691p-5, 0x1.4a0b607977c9ap-5, 0x1.4890191daa8c2p-5, 0x1.470f0dec4e9a4p-5, 0x1.45885e11167c3p-5, 0x1.43fc28c19a5adp-5, 0x1.426a8d3a2d594p-5, 0x1.40d3aabc651c6p-5, 0x1.3f37a08f1c40ep-5, 0x1.3d968dff278ecp-5, 0x1.3bf0925f9f821p-5, 0x1.3a45cd08958f3p-5, 0x1.38965d53e219dp-5, 0x1.36e262986d479p-5, 0x1.3529fc24fb9fdp-5, 0x1.336d493bbac67p-5, 0x1.31ac690f5089cp-5, 0x1.2fe77ac1a6518p-5, 0x1.2e1e9d640706ep-5, 0x1.2c51eff79e729p-5, 0x1.2a81916d6e549p-5, 0x1.28ada0a4f04e9p-5, 0x1.26d63c692b472p-5, 0x1.24fb836c905cfp-5, 0x1.231d944446e4ap-5, 0x1.213c8d63da366p-5, 0x1.1f588d1a0d9f7p-5, 0x1.1d71b18f2a35ep-5, 0x1.1b8818c495feap-5, 0x1.199be0950eafap-5, 0x1.17ad26b4b81d1p-5, 0x1.15bc08b04db0ap-5, 0x1.13c8a3eb2004ap-5, 0x1.11d3159c0c05p-5, 0x1.0fdb7ac9ca95fp-5, 0x1.0de1f0474b22dp-5, 0x1.0be692b0a7eefp-5, 0x1.09e97e6902435p-5, 0x1.07eacf99445d9p-5, 0x1.05eaa22fa211cp-5, 0x1.03e911df46cfcp-5, 0x1.01e63a1fe674ap-5, 0x1.ffc46c5984d9cp-6, 0x1.fbba420609cdap-6, 0x1.f7ae2abf25981p-6, 0x1.f3a05b7922c39p-6, 0x1.ef91089dff3a5p-6, 0x1.eb80660943984p-6, 0x1.e76ea704f3f71p-6, 0x1.e35bfe477d594p-6, 0x1.df489df249dbfp-6, 0x1.db34b790b8d4ep-6, 0x1.d7207c16d416cp-6, 0x1.d30c1bdf8c2c9p-6, 0x1.cef7c6aa769fap-6, 0x1.cae3ab993176dp-6, 0x1.c6cff92c9627bp-6, 0x1.c2bcdd4229c03p-6, 0x1.beaa8511ee2cdp-6, 0x1.ba991d2ca1442p-6, 0x1.b688d17a801e7p-6, 0x1.b279cd3a36c1dp-6, 0x1.ae6c3affffa84p-6, 0x1.aa6044b49a757p-6, 0x1.a65613941a902p-6, 0x1.a24dd02c83c5ap-6, 0x1.9e47a25c53ecep-6, 0x1.9a43b15121a69p-6, 0x1.9642238661d07p-6, 0x1.92431ec493021p-6, 0x1.8e46c820bd7a6p-6, 0x1.8a4d43fc477fp-6, 0x1.8656b605063f8p-6, 0x1.8263413547afap-6, 0x1.7e7307d3c744ap-6, 0x1.7a862b737b4b6p-6, 0x1.769cccf3239cdp-6, 0x1.72b70c7cbce15p-6, 0x1.6ed5098504031p-6, 0x1.6af6e2cafd25ap-6, 0x1.671cb657c8b8ap-6, 0x1.6346a17ecdb0fp-6, 0x1.5f74c0de3074bp-6, 0x1.5ba7305f92426p-6, 0x1.57de0b3913722p-6, 0x1.54196bee53998p-6, 0x1.50596c51796ep-6, 0x1.4c9e258411225p-6, 0x1.48e7aff7c13f7p-6, 0x1.4536236ed3dc9p-6, 0x1.418996fcaef4p-6, 0x1.3de221063bd41p-6, 0x1.3a3fd7427760bp-6, 0x1.36a2cebb18d99p-6, 0x1.330b1bcd849ffp-6, 0x1.2f78d22bffb95p-6, 0x1.2bec04df0b6eap-6, 0x1.2864c6470d9f2p-6, 0x1.24e3281df6f6ep-6, 0x1.21673b790d085p-6, 0x1.1df110ca9623bp-6, 0x1.1a80b7e373977p-6, 0x1.17163ff4926b3p-6, 0x1.13b1b79049cfbp-6, 0x1.10532caba5da5p-6, 0x1.0cfaac9f93feep-6, 0x1.09a8442a37a4fp-6, 0x1.065bff705812ep-6, 0x1.0315e9fece58dp-6, 0x1.ffac1d9890c13p-7, 0x1.f938f07636f39p-7, 0x1.f2d26036850bp-7, 0x1.ec787f58f3627p-7, 0x1.e62b5f40c3dd5p-7, 0x1.dfeb103951494p-7, 0x1.d9b7a17a4b0c2p-7, 0x1.d391212bbb565p-7, 0x1.cd779c69e04cep-7, 0x1.c76b1f48ca169p-7, 0x1.c16bb4d7e8062p-7, 0x1.bb7967256cf3ep-7, 0x1.b5943f41ccec9p-7, 0x1.afbc45435706p-7, 0x1.a9f18049e9f14p-7, 0x1.a433f682df6fbp-7, 0x1.9e83ad2d4c39fp-7, 0x1.98e0a89e3bad6p-7, 0x1.934aec4541537p-7, 0x1.8dc27ab0f985bp-7, 0x1.88475593b1797p-7, 0x1.82d97dc7d2c77p-7, 0x1.7d78f3545b9e1p-7, 0x1.7825b570ffb15p-7, 0x1.72dfc28a3f516p-7, 0x1.6da718452e484p-7, 0x1.687bb38348caap-7, 0x1.635d906607ab1p-7, 0x1.5e4caa52b81bbp-7, 0x1.5948fbf6428bcp-7, 0x1.54527f4914b4ap-7, 0x1.4f692d934dccap-7, 0x1.4a8cff70e7e8cp-7, 0x1.45bdecd61f4b9p-7, 0x1.40fbed13c27aep-7, 0x1.3c46f6db84724p-7, 0x1.379f0044451f7p-7, 0x1.3303fece2758p-7, 0x1.2e75e76666c6dp-7, 0x1.29f4ae6b2109dp-7, 0x1.258047aed511ap-7, 0x1.2118a67bdb2efp-7, 0x1.1cbdbd97e6fa8p-7, 0x1.186f7f4792ceap-7, 0x1.142ddd5201357p-7, 0x1.0ff8c904d478bp-7, 0x1.0bd0333833903p-7, 0x1.07b40c52f5344p-7, 0x1.03a4444ed45e1p-7, 0x1.ff419578c61c6p-8, 0x1.f7531d8dc0738p-8, 0x1.ef7cfe6f12484p-8, 0x1.e7bf14f1740dap-8, 0x1.e0193d30dae07p-8, 0x1.d88b52957bc5fp-8, 0x1.d1152fd819ed3p-8, 0x1.c9b6af06f5a9dp-8, 0x1.c26fa98b3ee1p-8, 0x1.bb3ff82f47b66p-8, 0x1.b42773263b5fep-8, 0x1.ad25f214c94c2p-8, 0x1.a63b4c1aadcd9p-8, 0x1.9f6757dcbc886p-8, 0x1.98a9eb8eacabfp-8, 0x1.9202dcfbbfdfep-8, 0x1.8b72018e00578p-8, 0x1.84f72e5316bfp-8, 0x1.7e9237fef1b69p-8, 0x1.7842f2ec33e0fp-8, 0x1.7209331adde56p-8, 0x1.6be4cc2e9fc77p-8, 0x1.65d5916d3d63p-8, 0x1.5fdb55bed0d9bp-8, 0x1.59f5ebb0b7943p-8, 0x1.5425257bcd189p-8, 0x1.4e68d50e6b9e3p-8, 0x1.48c0cc1995df3p-8, 0x1.432cdc2052bd4p-8, 0x1.3dacd68827701p-8, 0x1.38408ca8616fp-8, 0x1.32e7cfd6cf1abp-8, 0x1.2da27170150a2p-8, 0x1.287042daabeefp-8, 0x1.23511583fff71p-8, 0x1.1e44bad816b6fp-8, 0x1.194b043574679p-8, 0x1.1463c2deaa29fp-8, 0x1.0f8ec7ece5d73p-8, 0x1.0acbe4451747cp-8, 0x1.061ae89378219p-8, 0x1.017ba54dcb759p-8, 0x1.f9dbd57d0e914p-9, 0x1.f0e3122f4f6bp-9, 0x1.e80ca11833007p-9, 0x1.df5822da0ad8dp-9, 0x1.d6c5388fa1223p-9, 0x1.ce5384016e63fp-9, 0x1.c602a7cd78e8p-9, 0x1.bdd2477b79e9ap-9, 0x1.b5c207796d217p-9, 0x1.add18d004e71ap-9, 0x1.a6007de2312f6p-9, 0x1.9e4e8048822fap-9, 0x1.96bb3a6957be4p-9, 0x1.8f46523ec2ff7p-9, 0x1.87ef6d492a323p-9, 0x1.80b630684dd67p-9, 0x1.799a3fcfa6abfp-9, 0x1.729b3f1d46107p-9, 0x1.6bb8d1914e694p-9, 0x1.64f29a6372a2p-9, 0x1.5e483d2dc6573p-9, 0x1.57b95e62a977ap-9, 0x1.5145a3c051a7ep-9, 0x1.4aecb4b46e16p-9, 0x1.44ae3aa39da87p-9, 0x1.3e89e10a11bbdp-9, 0x1.387f556fe7105p-9, 0x1.328e472f11b7ap-9, 0x1.2cb6670f5fbf4p-9, 0x1.26f766c12cda4p-9, 0x1.2150f844ce18cp-9, 0x1.1bc2cd4ef6713p-9, 0x1.164c96bc09b75p-9, 0x1.10ee04239b88bp-9, 0x1.0ba6c399ec526p-9, 0x1.067681a8d40d8p-9, 0x1.015ce983a7de3p-9, 0x1.f8b34ae60862dp-10, 0x1.eed8bede1bfa6p-10, 0x1.e52983b3e2d2dp-10, 0x1.dba4f0900b271p-10, 0x1.d24a608280c7cp-10, 0x1.c91933cff95adp-10, 0x1.c010d0e30d10bp-10, 0x1.b730a4c70524fp-10, 0x1.ae782317b3501p-10, 0x1.a5e6c56419955p-10, 0x1.9d7c0a0e71b68p-10, 0x1.953772c2c3345p-10, 0x1.8d1882accbd2dp-10, 0x1.851ebc9bccc9bp-10, 0x1.7d49a148dd24p-10, 0x1.7598adf1a3462p-10, 0x1.6e0b5b70897f8p-10, 0x1.66a11dee7bc7dp-10, 0x1.5f596538c6f0bp-10, 0x1.58339db51e142p-10, 0x1.512f31da84338p-10, 0x1.4a4b8c0b334f9p-10, 0x1.4388189edb645p-10, 0x1.3ce447e9b47eap-10, 0x1.365f900bfa926p-10, 0x1.2ff96e5aa8e9fp-10, 0x1.29b168393733cp-10, 0x1.23870b4b979d1p-10, 0x1.1d79ecf2a6a64p-10, 0x1.1789a91b9f127p-10, 0x1.11b5e078fdc7fp-10, 0x1.0bfe364e048fdp-10, 0x1.06624e0242607p-10, 0x1.00e1c8bbcb971p-10, 0x1.f6f8867c9888cp-11, 0x1.ec62a893c3634p-11, 0x1.e2011750aba7fp-11, 0x1.d7d2e40a2421ep-11, 0x1.cdd71332db46cp-11, 0x1.c40c9f3bfc3fap-11, 0x1.ba727cc08a35p-11, 0x1.b1079f8e8e9e6p-11, 0x1.a7cb0017f5892p-11, 0x1.9ebba0c509472p-11, 0x1.95d892b141f1ap-11, 0x1.8d20f96b78284p-11, 0x1.84940d6891313p-11, 0x1.7c311cfd68e26p-11, 0x1.73f78bcc3b9d3p-11, 0x1.6be6d0b4c2ca5p-11, 0x1.63fe7270e99d8p-11, 0x1.5c3e03215a7c5p-11, 0x1.54a51b1fe3facp-11, 0x1.4d33537a1c891p-11, 0x1.45e8407f1de3bp-11, 0x1.3ec36cc789087p-11, 0x1.37c4551e75d14p-11, 0x1.30ea65a56afedp-11, 0x1.2a34f87e128e2p-11, 0x1.23a35623feb0cp-11, 0x1.1d34b77b9bebcp-11, 0x1.16e84961ff1c7p-11, 0x1.10bd3154b9fc9p-11, 0x1.0ab2929ff96ddp-11, 0x1.04c79370c6f7ap-11, 0x1.fdf6c27af2f33p-12, 0x1.f29a6851f2d9cp-12, 0x1.e778a28ce3dc4p-12, 0x1.dc9017be7b9bdp-12, 0x1.d1df8c008b2ecp-12, 0x1.c765e12820a4ep-12, 0x1.bd22166ee3b3ap-12, 0x1.b313478f58dp-12, 0x1.a938ab10a56c2p-12, 0x1.9f918f598dce7p-12, 0x1.961d562de246fp-12, 0x1.8cdb6e8552ebap-12, 0x1.83cb4d05a298ep-12, 0x1.7aec63d84f54p-12, 0x1.723e1adbc84fep-12, 0x1.69bfc959fe825p-12, 0x1.6170b24ddfe23p-12, 0x1.595003ea30037p-12, 0x1.515cda812b4cbp-12, 0x1.499646384e425p-12, 0x1.41fb5242f54a6p-12, 0x1.3a8b0becc0051p-12, 0x1.334487a5fa3f2p-12, 0x1.2c26e2b788712p-12, 0x1.25314134878aep-12, 0x1.1e62c8eddbe61p-12, 0x1.17ba9b439e679p-12, 0x1.1137d04a6792bp-12, 0x1.0ad97573dbc26p-12, 0x1.049e90ef49ap-12, 0x1.fd0c52d4b9799p-13, 0x1.f11ea0c20ec5bp-13, 0x1.e572585dd9d24p-13, 0x1.da05fe0a3388ep-13, 0x1.ced85166f4777p-13, 0x1.c3e84572aa67cp-13, 0x1.b934ef7f4bf9cp-13, 0x1.aebd71ed51ee1p-13, 0x1.a480e8a5be638p-13, 0x1.9a7e5c57fe3dbp-13, 0x1.90b4bf105980ap-13, 0x1.8722f1b82359dp-13, 0x1.7dc7cfa7e3877p-13, 0x1.74a23c5838b2dp-13, 0x1.6bb12f717c374p-13, 0x1.62f3bc8a8d714p-13, 0x1.5a6914f717bbep-13, 0x1.521082e760d6ep-13, 0x1.49e95db0cca99p-13, 0x1.41f2f826442e9p-13, 0x1.3a2c8b84418f4p-13, 0x1.32952366d5449p-13, 0x1.2b2b9099d8731p-13, 0x1.23ee6827b38f4p-13, 0x1.1cdc1176b0017p-13, 0x1.15f2e208f53aep-13, 0x1.0f314100287edp-13, 0x1.0895c989b79c8p-13, 0x1.021f62f4338f5p-13, 0x1.f79a8f2a6a3f9p-14, 0x1.eb3df08d779p-14, 0x1.df283ff830d24p-14, 0x1.d358dffb5dc6cp-14, 0x1.c7ceffc15529cp-14, 0x1.bc8975ad138eap-14, 0x1.b186bdcc10809p-14, 0x1.a6c51824afce8p-14, 0x1.9c42b8e47506bp-14, 0x1.91fdf93c9b217p-14, 0x1.87f57b6680674p-14, 0x1.7e283b41dd75p-14, 0x1.74958b59904f4p-14, 0x1.6b3d01e82cc03p-14, 0x1.621e5b4877e4cp-14, 0x1.593957f44a466p-14, 0x1.508d9bb21eee3p-14, 0x1.481a9175bdb33p-14, 0x1.3fdf54921cf65p-14, 0x1.37da9ec341912p-14, 0x1.300abcc321152p-14, 0x1.286d8f0534f9bp-14, 0x1.21009db79e83bp-14, 0x1.19c142c4894b5p-14, 0x1.12ace3a67537ep-14, 0x1.0bc12ce736b6p-14, 0x1.04fc3f970c5f1p-14, 0x1.fcb98cadc9f81p-15, 0x1.efc3de8ea7e4fp-15, 0x1.e3169cf3801f2p-15, 0x1.d6b1627603de5p-15, 0x1.ca93dd4ec607ap-15, 0x1.bebd8647c203bp-15, 0x1.b32d7e92a18e3p-15, 0x1.a7e2938773663p-15, 0x1.9cdb59dd21322p-15, 0x1.9216526a1cc77p-15, 0x1.879211f516fcep-15, 0x1.7d4d66d51e108p-15, 0x1.73476f0073901p-15, 0x1.697f8d18903fep-15, 0x1.5ff5380f9739fp-15, 0x1.56a7ba27e4d81p-15, 0x1.4d960372dcbd5p-15, 0x1.44beab29cc913p-15, 0x1.3c201ff42bb88p-15, 0x1.33b8ecbce3322p-15, 0x1.2b87eda384765p-15, 0x1.238c59d8e7514p-15, 0x1.1bc59d5181767p-15, 0x1.1433158e0d18ep-15, 0x1.0cd3d363c894bp-15, 0x1.05a67f49c7b12p-15, 0x1.fd52cc0e63657p-16, 0x1.efb53081ccf88p-16, 0x1.e27001895a815p-16, 0x1.d57edb012d532p-16, 0x1.c8dd486269327p-16, 0x1.bc87307c6b722p-16, 0x1.b079616bb456ap-16, 0x1.a4b1df54f75b3p-16, 0x1.992fb2bc49f6p-16, 0x1.8df2442a36e84p-16, 0x1.82f893f21a509p-16, 0x1.7840b4fef037ap-16, 0x1.6dc7e00af6131p-16, 0x1.638b2c7a7635cp-16, 0x1.59888ccad2e7bp-16, 0x1.4fbf693da0798p-16, 0x1.46306dd6a8e81p-16, 0x1.3cdcb61e47bd3p-16, 0x1.33c4e7eeb6161p-16, 0x1.2ae8b37086c5dp-16, 0x1.2246c986eb121p-16, 0x1.19dd16fcd60bp-16, 0x1.11a9143449308p-16, 0x1.09a818eb3f334p-16, 0x1.01d7b4b380c39p-16, 0x1.f46c0b6508f46p-17, 0x1.e583efc448defp-17, 0x1.d6f6a2cd5da4bp-17, 0x1.c8c4fa59d8155p-17, 0x1.baf0426e5a2fdp-17, 0x1.ad7958d79505dp-17, 0x1.a0601b0df6c2fp-17, 0x1.93a3372e967f5p-17, 0x1.873ff8e3cf872p-17, 0x1.7b31bd5027cap-17, 0x1.6f719ef66b3e7p-17, 0x1.63f796f6c9d53p-17, 0x1.58bd4fd88ae33p-17, 0x1.4dc0d1b47e682p-17, 0x1.43049fe869db5p-17, 0x1.388ce14677862p-17, 0x1.2e5ba8c09d211p-17, 0x1.246f14e0e2702p-17, 0x1.1ac27e04b0169p-17, 0x1.11518d8d06666p-17, 0x1.081a99abb9828p-17, 0x1.fe3cd1547a6bbp-18, 0x1.ecbbfb7d8f0c3p-18, 0x1.dbb14e8d27271p-18, 0x1.cb175bdf9252fp-18, 0x1.bae686a467088p-18, 0x1.ab1745ad7f8fdp-18, 0x1.9ba39011f037ap-18, 0x1.8c875a19a079ap-18, 0x1.7dc0734b33309p-18, 0x1.6f4e0bcd010dap-18, 0x1.613012c5b85bfp-18, 0x1.53669e8596766p-18, 0x1.45f18e484a89dp-18, 0x1.38d07c37adcacp-18, 0x1.2c02e7d9df20dp-18, 0x1.1f88554d5b779p-18, 0x1.13602145e020dp-18, 0x1.07891a98d075bp-18, 0x1.f802cd7095bccp-19, 0x1.e18e68561f1f2p-19, 0x1.cbb375c166052p-19, 0x1.b671aa2edbc48p-19, 0x1.a1c4a33cf376cp-19, 0x1.8d9f3b3b6a9afp-19, 0x1.79f04906794b5p-19, 0x1.66af7c564c8c9p-19, 0x1.53e37deeb2d0fp-19, 0x1.41981975c3378p-19, 0x1.2fcef035fae1ep-19, 0x1.1e7b6bbd44a99p-19, 0x1.0d8d80dbb6596p-19, 0x1.f9fe40450c806p-20, 0x1.d9ac1d8b24c3dp-20, 0x1.ba347cee29f8ap-20, 0x1.9b9abe2196f38p-20, 0x1.7dd5e474c02f7p-20, 0x1.60d98976ad2c3p-20, 0x1.449c37f1e1e39p-20, 0x1.2918b18547c7ep-20, 0x1.0e4ca5eb5eec7p-20, 0x1.e86e3ceeec061p-21, 0x1.b5aea47b69a3ep-21, 0x1.84579985980f7p-21, 0x1.546367691d6aap-21, 0x1.25c854eef58e4p-21, 0x1.f0f0296fc4a3ep-22, 0x1.98c100b31c393p-22, 0x1.42dc085ff7ebp-22, 0x1.de3dea6408885p-23, 0x1.3ae939ceca524p-23, 0x1.3768353e8048fp-24, 0x1.735b3e01549e4p-32, -0x1.2bbb517d72bd1p-24, -0x1.27fa8d608265ep-23, -0x1.b5ae71d7f8ab6p-23, -0x1.1f97224804b87p-22, -0x1.6255b5c02ac4p-22, -0x1.a317b9c17b7c9p-22, -0x1.e1d85f9ba6ed7p-22, -0x1.0f54e8fcacf6cp-21, -0x1.2cd8fac908525p-21, -0x1.497a4950a6bd9p-21, -0x1.652631217c149p-21, -0x1.7fdacb54347d5p-21, -0x1.99b8458b02416p-21, -0x1.b2dd72716dd6bp-21, -0x1.cb45a93000cd5p-21, -0x1.e2dabd59379dap-21, -0x1.f9968997c169cp-21, -0x1.07c26b75ddaep-20, -0x1.1259df6265d78p-20, -0x1.1c95d68037da3p-20, -0x1.26781f736c013p-20, -0x1.30018e9c757f7p-20, -0x1.3932de19caccap-20, -0x1.420cf833772dbp-20, -0x1.4a90f8c40de88p-20, -0x1.52c019008539dp-20, -0x1.5a9b9c2635e44p-20, -0x1.6224c43bdbab6p-20, -0x1.695ccec2e5c72p-20, -0x1.7044f4f4512acp-20, -0x1.76de68846da3cp-20, -0x1.7d2a474a670c3p-20, -0x1.832988f1e228ap-20, -0x1.88dcf34485979p-20, -0x1.8e45245abd6fp-20, -0x1.9362bb2dfca51p-20, -0x1.9836a2af1fc22p-20, -0x1.9cc2843dbc5c9p-20, -0x1.a10947aaed81dp-20, -0x1.a50f2d004c648p-20, -0x1.a8d8cee92e482p-20, -0x1.ac68f5e45acddp-20, -0x1.afbe7d7bc02bap-20, -0x1.b2d44b0611cb2p-20, -0x1.b5a50d053e057p-20, -0x1.b8325a160b235p-20, -0x1.ba8623cd37d5ap-20, -0x1.bca6476111383p-20, -0x1.be8edfc7f5e3fp-20, -0x1.c03e69670e36ep-20, -0x1.c1b759927db09p-20, -0x1.c2f7c272cb5c9p-20, -0x1.c3fdb32419bb2p-20, -0x1.c4cc42db986eep-20, -0x1.c567901d9b355p-20, -0x1.c5d1b1dfacde3p-20, -0x1.c60b3e48aec7ep-20, -0x1.c614621e164b5p-20, -0x1.c5ed6017edf49p-20, -0x1.c596a8ea223b7p-20, -0x1.c510d138f355bp-20, -0x1.c45c836edf01dp-20, -0x1.c37a750cfba72p-20, -0x1.c26b5fe971959p-20, -0x1.c12ffe1389ec5p-20, -0x1.bfc90766b653p-20, -0x1.be3730271ea56p-20, -0x1.bc7b2882eca87p-20, -0x1.ba959d118aaecp-20, -0x1.b887384d171ap-20, -0x1.b650a499137a6p-20, -0x1.b3f28e3c0434cp-20, -0x1.b16da45eedbf6p-20, -0x1.aec298d048c87p-20, -0x1.abf21e22b7cb3p-20, -0x1.a8fce38a4b5bdp-20, -0x1.a5e38e085775ep-20, -0x1.a2a6afcf9b0aap-20, -0x1.9f46c30136e05p-20, -0x1.9bc4314142d5bp-20, -0x1.981f6af85d628p-20, -0x1.9458f8e740b08p-20, -0x1.90716dd525351p-20, -0x1.8c6949ad4d06dp-20, -0x1.8840e73c96e54p-20, -0x1.83f89986b9178p-20, -0x1.7f9195f23dfddp-20, -0x1.7b0dbc6c21e62p-20, -0x1.766d776a665b2p-20, -0x1.71b14b28b98b5p-20, -0x1.6cd97afbc2db3p-20, -0x1.67e51f8248bdfp-20, -0x1.62d44f6bf259dp-20, -0x1.5da806efb0b03p-20, -0x1.586151d69b0a9p-20, -0x1.5300ff080e1ep-20, -0x1.4d879dd116376p-20, -0x1.47f59cc56e894p-20, -0x1.424b623bbb4c9p-20, -0x1.3c895940d3b1cp-20, -0x1.36aff1ed4a299p-20, -0x1.30bfa03452935p-20, -0x1.2ab8da0562ea5p-20, -0x1.249c15eef5ab4p-20, -0x1.1e69ca4ffc3c9p-20, -0x1.18226cd60398p-20, -0x1.11c672474298ep-20, -0x1.0b564e6c94151p-20, -0x1.04d27403ccabcp-20, -0x1.fc76a972125d2p-21, -0x1.ef22c26401b17p-21, -0x1.e1aa123928f23p-21, -0x1.d40d7677dd0a5p-21, -0x1.c64dcb135c09dp-21, -0x1.b86bea52dc097p-21, -0x1.aa68acea1534ap-21, -0x1.9c44e9def2e18p-21, -0x1.8e01766d5daa8p-21, -0x1.7f9f26047cd71p-21, -0x1.711eca2894641p-21, -0x1.6281325386a2cp-21, -0x1.53c72bcd845e4p-21, -0x1.44f181c3d6a46p-21, -0x1.3600fe0e549d6p-21, -0x1.26f66a0e5a623p-21, -0x1.17d28f23a9d67p-21, -0x1.089636426e432p-21, -0x1.f28447c39f161p-22, -0x1.d3ae1c0810376p-22, -0x1.b4ab4d8761665p-22, -0x1.957d81a0a8565p-22, -0x1.76264da75e624p-22, -0x1.56a70108e4a38p-22, -0x1.37010155bc828p-22, -0x1.1735f1f5f284p-22, -0x1.ee8e9dcd15ffcp-23, -0x1.ae6ce2b5b9d32p-23, -0x1.6e09552e8e88ep-23, -0x1.2d66be3a6907fp-23, -0x1.d910202860b2fp-24, -0x1.56e025edfe857p-24, -0x1.a8859e00b823cp-25, -0x1.44f574f6f2ee7p-26, 0x1.9156edc417328p-27, 0x1.6be11e816c1fdp-25, 0x1.3a0e6eeeaf187p-24, 0x1.be7f4277edc4ap-24, 0x1.219eef0f3c3cfp-23, }}, 
      {{-0x1.725b4ca6b1443p-3, -0x1.151b6bbdaa58ep-3, -0x1.4712952440c2fp-4, -0x1.864eea0c819c4p-6, 0x1.c3d50d0bf700ep-6, 0x1.2620acc976b97p-4, 0x1.ba4fc0044220cp-4, 0x1.16f7eff5bd10ap-3, 0x1.41d9003a668a6p-3, 0x1.5fb33bf4e5e6ap-3, 0x1.72a2f024ad4fbp-3, 0x1.7cc0cf88e3c78p-3, 0x1.8001986fcdc07p-3, 0x1.7e24e5f5e1633p-3, 0x1.78adc2013aca9p-3, 0x1.70e1618fb1413p-3, 0x1.67c9ac389e926p-3, 0x1.5e39f5f64ea5bp-3, 0x1.54d4dd6258752p-3, 0x1.4c129bcfd3512p-3, 0x1.4447542daa025p-3, 0x1.3da9178875b12p-3, 0x1.38557225598dfp-3, 0x1.34566838b6cbep-3, 0x1.31a6d80e2f6a8p-3, 0x1.303641cfbd15ap-3, 0x1.2febfb8bff529p-3, 0x1.30a9dbe07aab7p-3, 0x1.324e67de8ae13p-3, 0x1.34b691de34b3p-3, 0x1.37bf174cee44bp-3, 0x1.3b458b35cfd9fp-3, 0x1.3f291a897fd89p-3, 0x1.434b161b6cbdep-3, 0x1.478f4d1bc3427p-3, 0x1.4bdc4188752d6p-3, 0x1.501b3ecb47987p-3, 0x1.5438597aad7a2p-3, 0x1.58225e0f4189cp-3, 0x1.5bcab3561b67cp-3, 0x1.5f25347ac627ap-3, 0x1.622805b335a57p-3, 0x1.64cb65e9d9519p-3, 0x1.67097f3167a0ep-3, 0x1.68de375a69022p-3, 0x1.6a4701a73c40ep-3, 0x1.6b42b2535c18dp-3, 0x1.6bd154699d2f5p-3, 0x1.6bf40237abb76p-3, 0x1.6bacc0885dc5cp-3, 0x1.6afe5cb1c84fap-3, 0x1.69ec4d6e9e959p-3, 0x1.687a966cdcb9ep-3, 0x1.66adae73960dap-3, 0x1.648a67fd652aap-3, 0x1.6215dc20feb57p-3, 0x1.5f5557a00d128p-3, 0x1.5c4e49f662a56p-3, 0x1.5906364840df4p-3, 0x1.5582a612a6204p-3, 0x1.51c91d7fef15fp-3, 0x1.4ddf113eb41ap-3, 0x1.49c9ddb5814c4p-3, 0x1.458ebf709d9aep-3, 0x1.4132ccb0fa30fp-3, 0x1.3cbaf00f43b23p-3, 0x1.382be42390f33p-3, 0x1.338a3022213p-3, 0x1.2eda254b56e23p-3, 0x1.2a1fdd0a567dp-3, 0x1.255f37a89ade4p-3, 0x1.209bdb7a8cb3dp-3, 0x1.1bd9348e51514p-3, 0x1.171a74d53c885p-3, 0x1.126294cb811cfp-3, 0x1.0db4548c1965cp-3, 0x1.09123d341f9c8p-3, 0x1.047ea27da5a1ap-3, 0x1.fff748e4a0418p-4, 0x1.f716626599de3p-4, 0x1.ee5e0d949c943p-4, 0x1.e5d16a3bb0903p-4, 0x1.dd733feb158a3p-4, 0x1.d546024bd2b51p-4, 0x1.cd4bd59cffbdap-4, 0x1.c586934300de5p-4, 0x1.bdf7ce4ed6917p-4, 0x1.b6a0d7dd90098p-4, 0x1.af82c34b12bdep-4, 0x1.a89e6a286c5c4p-4, 0x1.a1f470043459cp-4, 0x1.9b8546067ca6ap-4, 0x1.95512e6df7525p-4, 0x1.8f583ff4ce88ep-4, 0x1.899a691f95c1fp-4, 0x1.84177374d4724p-4, 0x1.7ecf0699ff993p-4, 0x1.79c0ab4e18f93p-4, 0x1.74ebce3d3a83fp-4, 0x1.704fc2aa8d9fep-4, 0x1.6bebc4ed8427ap-4, 0x1.67befcc318e0bp-4, 0x1.63c87f754d865p-4, 0x1.600751dba6fa2p-4, 0x1.5c7a6a3714c8dp-4, 0x1.5920b1ee52cb8p-4, 0x1.55f9072cdc0d3p-4, 0x1.53023e65f95fap-4, 0x1.503b23c158b2ep-4, 0x1.4da27c6ef3e83p-4, 0x1.4b3707e51974ap-4, 0x1.48f781086ee5fp-4, 0x1.46e29f413cdf9p-4, 0x1.44f71777566dap-4, 0x1.43339cfe66912p-4, 0x1.4196e26dfcd99p-4, 0x1.401f9a64a8401p-4, 0x1.3ecc783dcf119p-4, 0x1.3d9c30b4e4e6ep-4, 0x1.3c8d7a7c6aa88p-4, 0x1.3b9f0ec3225efp-4, 0x1.3acfa9b0f6943p-4, 0x1.3a1e0ad989e8cp-4, 0x1.3988f59b4c27p-4, 0x1.390f31800bdcp-4, 0x1.38af8a8ff114ap-4, 0x1.3868d196abf29p-4, 0x1.3839dc6bd0b7ep-4, 0x1.3821862a81723p-4, 0x1.381eaf660845cp-4, 0x1.38303e5d2863cp-4, 0x1.38551f19a4fc4p-4, 0x1.388c4397cf7b2p-4, 0x1.38d4a3e9e44b2p-4, 0x1.392d3e42dfb77p-4, 0x1.3995170f806bbp-4, 0x1.3a0b390de2049p-4, 0x1.3a8eb54983871p-4, 0x1.3b1ea3249d1a2p-4, 0x1.3bba20652ff25p-4, 0x1.3c6051270d204p-4, 0x1.3d105fd7fd751p-4, 0x1.3dc97d3c8cbd6p-4, 0x1.3e8ae059d8b63p-4, 0x1.3f53c6654b925p-4, 0x1.402372c64f08ap-4, 0x1.40f92efd9005p-4, 0x1.41d44a84f6f0fp-4, 0x1.42b41aca73cbcp-4, 0x1.4397fb25bce2ap-4, 0x1.447f4ca417eb3p-4, 0x1.456975fbc8c1cp-4, 0x1.4655e382a33bcp-4, 0x1.4744070b8017bp-4, 0x1.483357b8d141fp-4, 0x1.492351f241c3p-4, 0x1.4a13775651c5p-4, 0x1.4b034e88d7cddp-4, 0x1.4bf2630d894fbp-4, 0x1.4ce04540a04c1p-4, 0x1.4dcc8a3dd0079p-4, 0x1.4eb6cbac37228p-4, 0x1.4f9ea79ffc282p-4, 0x1.5083c093e136dp-4, 0x1.5165bd4a4bbb4p-4, 0x1.524448991fa9dp-4, 0x1.531f115206521p-4, 0x1.53f5ca40e1505p-4, 0x1.54c82a0bf3be1p-4, 0x1.5595eafb3d219p-4, 0x1.565ecae1475d5p-4, 0x1.57228b24a01eap-4, 0x1.57e0f0ab2836ap-4, 0x1.5899c3994dbbbp-4, 0x1.594ccf28c8fc7p-4, 0x1.59f9e1b7bc02ep-4, 0x1.5aa0ccd181e5dp-4, 0x1.5b4164f84a64bp-4, 0x1.5bdb815bff295p-4, 0x1.5c6efbccf50dcp-4, 0x1.5cfbb0dea381ep-4, 0x1.5d817fe330922p-4, 0x1.5e004aa21eebcp-4, 0x1.5e77f51434e2ep-4, 0x1.5ee8656869ce9p-4, 0x1.5f51842d7de19p-4, 0x1.5fb33c48a98b5p-4, 0x1.600d7aab2acc6p-4, 0x1.60602e13a89e7p-4, 0x1.60ab47166d44dp-4, 0x1.60eeb847f820ap-4, 0x1.612a763a50204p-4, 0x1.615e773cf5b78p-4, 0x1.618ab31ffc53cp-4, 0x1.61af23330cdb2p-4, 0x1.61cbc26b44602p-4, 0x1.61e08d6c7e112p-4, 0x1.61ed825a34423p-4, 0x1.61f2a09b68964p-4, 0x1.61efe8c920fafp-4, 0x1.61e55cc8b37bdp-4, 0x1.61d2ffe06b7b1p-4, 0x1.61b8d69eb70afp-4, 0x1.6196e6a40671cp-4, 0x1.616d368002789p-4, 0x1.613bcdb8e4abdp-4, 0x1.6102b4e48929ap-4, 0x1.60c1f5a96ec64p-4, 0x1.60799a9aba8bep-4, 0x1.6029af0c352a7p-4, 0x1.5fd23f016f9abp-4, 0x1.5f73573c48b2bp-4, 0x1.5f0d054ffc575p-4, 0x1.5e9f579b286fep-4, 0x1.5e2a5d2693c81p-4, 0x1.5dae258305835p-4, 0x1.5d2ac0bed157bp-4, 0x1.5ca03f731c9aap-4, 0x1.5c0eb2d3b7e47p-4, 0x1.5b762cab76a1bp-4, 0x1.5ad6bf4283b06p-4, 0x1.5a307d41d7de5p-4, 0x1.598379a763a82p-4, 0x1.58cfc7cd9aab2p-4, 0x1.58157b791ccc7p-4, 0x1.5754a8db1b7bfp-4, 0x1.568d648185b28p-4, 0x1.55bfc33f0c458p-4, 0x1.54ebda1b278bp-4, 0x1.5411be513d353p-4, 0x1.53318559d281dp-4, 0x1.524b44f1ea497p-4, 0x1.515f131688ee4p-4, 0x1.506d05f489cc5p-4, 0x1.4f7533d70acadp-4, 0x1.4e77b31e5de2bp-4, 0x1.4d749a416fffdp-4, 0x1.4c6bffd4adad5p-4, 0x1.4b5dfa8e3245bp-4, 0x1.4a4aa14115dfcp-4, 0x1.49320ad0fee1bp-4, 0x1.48144e25708cdp-4, 0x1.46f18223400a4p-4, 0x1.45c9bdad2fee8p-4, 0x1.449d17a8a9dcfp-4, 0x1.436ba70161286p-4, 0x1.423582a74287dp-4, 0x1.40fac1867ee9dp-4, 0x1.3fbb7a7e3fef7p-4, 0x1.3e77c45ad2b2ap-4, 0x1.3d2fb5d49b7ebp-4, 0x1.3be365929cad2p-4, 0x1.3a92ea2dcf366p-4, 0x1.393e5a31fc221p-4, 0x1.37e5cc1a482b1p-4, 0x1.3689564b0e209p-4, 0x1.35290f0c8694p-4, 0x1.33c50c88347e6p-4, 0x1.325d64c912492p-4, 0x1.30f22dbd8ebf7p-4, 0x1.2f837d39b8712p-4, 0x1.2e1168f7981e9p-4, 0x1.2c9c0694ba656p-4, 0x1.2b236b8e43c35p-4, 0x1.29a7ad3dab60bp-4, 0x1.2828e0d732c17p-4, 0x1.26a71b69f540bp-4, 0x1.252271e132453p-4, 0x1.239af905f7b0ap-4, 0x1.2210c57fe741fp-4, 0x1.2083ebd42803fp-4, 0x1.1ef480630b983p-4, 0x1.1d629765db707p-4, 0x1.1bce44edb49a7p-4, 0x1.1a379ce365cb6p-4, 0x1.189eb3080f76fp-4, 0x1.17039af6439e6p-4, 0x1.15666823026fbp-4, 0x1.13c72ddde1272p-4, 0x1.1225ff5009ea7p-4, 0x1.1082ef7ae2192p-4, 0x1.0ede11371e909p-4, 0x1.0d3777347ee27p-4, 0x1.0b8f33f9e83f9p-4, 0x1.09e559e5c8563p-4, 0x1.0839fb2eb865fp-4, 0x1.068d29e42bf12p-4, 0x1.04def7eeb1a69p-4, 0x1.032f770f96abdp-4, 0x1.017eb8e041996p-4, 0x1.ff999da373984p-5, 0x1.fc339458f45d9p-5, 0x1.f8cb7820c0534p-5, 0x1.f5616ae9817dbp-5, 0x1.f1f58e5192985p-5, 0x1.ee8803a826fc7p-5, 0x1.eb18ebee53eb7p-5, 0x1.e7a867d732affp-5, 0x1.e43697c71cfd5p-5, 0x1.e0c39bd2c7894p-5, 0x1.dd4f93be9b456p-5, 0x1.d9da9efe7934fp-5, 0x1.d664dcb5b9b8cp-5, 0x1.d2ee6bb77f982p-5, 0x1.cf776a876846fp-5, 0x1.cbfff75a6f303p-5, 0x1.c88830175a142p-5, 0x1.c510325675d48p-5, 0x1.c1981b60a7e7dp-5, 0x1.be20082e97053p-5, 0x1.baa8156834922p-5, 0x1.b7305f64b3d6ap-5, 0x1.b3b9022abca7cp-5, 0x1.b0421970a8ap-5, 0x1.accbc09cd1957p-5, 0x1.a95612c5b84d7p-5, 0x1.a5e12ab1e5e0dp-5, 0x1.a26d22d75f58ap-5, 0x1.9efa155ad9429p-5, 0x1.9b881c0f179a5p-5, 0x1.98175074cfe15p-5, 0x1.94a7cbbae5fd1p-5, 0x1.9139a6beccf94p-5, 0x1.8dccfa0c8ca8ap-5, 0x1.8a61ddde71c6dp-5, 0x1.86f86a1c67e63p-5, 0x1.8390b65b5304p-5, 0x1.802ad9dc8bf15p-5, 0x1.7cc6eb8daad82p-5, 0x1.796502089f826p-5, 0x1.760533940de2bp-5, 0x1.72a79623c5b51p-5, 0x1.6f4c3f58e6623p-5, 0x1.6bf344814f71ep-5, 0x1.689cba96ecc0bp-5, 0x1.6548b63e8ef2dp-5, 0x1.61f74bc6f2b3fp-5, 0x1.5ea88f28bbc98p-5, 0x1.5b5c9406f633bp-5, 0x1.58136db00351bp-5, 0x1.54cd2f1e6cfcep-5, 0x1.5189eaf9361b5p-5, 0x1.4e49b3938141bp-5, 0x1.4b0c9aeba7131p-5, 0x1.47d2b2a9f7221p-5, 0x1.449c0c1fad981p-5, 0x1.4168b846764dbp-5, 0x1.3e38c7c0b7081p-5, 0x1.3b0c4ada86776p-5, 0x1.37e3518ae55adp-5, 0x1.34bdeb74cc03ep-5, 0x1.319c27e780e3fp-5, 0x1.2e7e15de2b1ffp-5, 0x1.2b63c3fec4b34p-5, 0x1.284d4098e5de5p-5, 0x1.253a99a4e8319p-5, 0x1.222bdcc3b9de5p-5, 0x1.1f21173f73997p-5, 0x1.1c1a560c81ea2p-5, 0x1.1917a5caf1a7ep-5, 0x1.161912c7853b5p-5, 0x1.131ea8fc34b07p-5, 0x1.1028741007b6cp-5, 0x1.0d367f56790f5p-5, 0x1.0a48d5cea2091p-5, 0x1.075f82229e491p-5, 0x1.047a8ea774ebep-5, 0x1.019a055d983d6p-5, 0x1.fd7bdfe3dbea4p-6, 0x1.f7ccaf7e31c74p-6, 0x1.f2268b9d4e5ccp-6, 0x1.ec8985b3c69cdp-6, 0x1.e6f5ae945c45cp-6, 0x1.e16b1671ec4a5p-6, 0x1.dbe9ccded4b64p-6, 0x1.d671e0cc91763p-6, 0x1.d103608bc2ac7p-6, 0x1.cb9e59cd06d64p-6, 0x1.c642d9a279999p-6, 0x1.c0f0ec81c70e4p-6, 0x1.bba89e4648e05p-6, 0x1.b669fa32ff8fap-6, 0x1.b1350af41bcc7p-6, 0x1.ac09daa006591p-6, 0x1.a6e872b808eccp-6, 0x1.a1d0dc28daf05p-6, 0x1.9cc31f4b4573bp-6, 0x1.97bf43e52081ep-6, 0x1.92c5512ab1907p-6, 0x1.8dd54dc05dacap-6, 0x1.88ef3fbc81a7bp-6, 0x1.84132ca95eacp-6, 0x1.7f411986cbb56p-6, 0x1.7a790acbb67c2p-6, 0x1.75bb04677485ep-6, 0x1.710709c2ff1a5p-6, 0x1.6c5d1dc232084p-6, 0x1.67bd42c53990cp-6, 0x1.63277aaa3c22p-6, 0x1.5e9bc6cf2308ep-6, 0x1.5a1a28139ef28p-6, 0x1.55a29edb13191p-6, 0x1.51352b0e7fbbdp-6, 0x1.4cd1cc1e37d0dp-6, 0x1.487881036d31ep-6, 0x1.442948419d1f5p-6, 0x1.3fe41fe7f8898p-6, 0x1.3ba90592ddf27p-6, 0x1.3777f66d789a5p-6, 0x1.3350ef339ac8ep-6, 0x1.2f33ec33c3b75p-6, 0x1.2b20e95156081p-6, 0x1.2717e206d32bfp-6, 0x1.2318d168052f2p-6, 0x1.1f23b224011efp-6, 0x1.1b387e86fd195p-6, 0x1.1757307bea8d6p-6, 0x1.137fc18dfb5edp-6, 0x1.0fb22aea1b13p-6, 0x1.0bee6560674ap-6, 0x1.08346965db966p-6, 0x1.04842f161db31p-6, 0x1.00ddae3584d5bp-6, 0x1.fa81bc6674ac7p-7, 0x1.f35b6c57091dap-7, 0x1.ec4859d3f5067p-7, 0x1.e54871d771e0fp-7, 0x1.de5ba0c2bf89fp-7, 0x1.d781d261e2ad8p-7, 0x1.d0baf1eef404p-7, 0x1.ca06ea1546bf4p-7, 0x1.c365a4f45c4d1p-7, 0x1.bcd70c22f878ap-7, 0x1.b65b08b23dfd8p-7, 0x1.aff183311178cp-7, 0x1.a99a63afd66d2p-7, 0x1.a35591c44163p-7, 0x1.9d22f48d89bc2p-7, 0x1.970272b86fe65p-7, 0x1.90f3f28389ecfp-7, 0x1.8af759c31ca23p-7, 0x1.850c8de4de442p-7, 0x1.7f3373f36d225p-7, 0x1.796bf0997d14p-7, 0x1.73b5e824dc1e5p-7, 0x1.6e113e893a95ep-7, 0x1.687dd76316701p-7, 0x1.62fb95faa52b3p-7, 0x1.5d8a5d46c6291p-7, 0x1.582a0ff043d98p-7, 0x1.52da90552a011p-7, 0x1.4d9bc08c40976p-7, 0x1.486d82689ffa9p-7, 0x1.434fb77d41e5fp-7, 0x1.3e4241207cbccp-7, 0x1.3945006f68bbap-7, 0x1.3457d650ff805p-7, 0x1.2f7aa379178ap-7, 0x1.2aad486b1d4bep-7, 0x1.25efa57ca85c4p-7, 0x1.21419ad7f7df1p-7, 0x1.1ca3087e62b18p-7, 0x1.1813ce4acd36dp-7, 0x1.1393cbf42f787p-7, 0x1.0f22e11030cecp-7, 0x1.0ac0ed15e574ap-7, 0x1.066dcf608f0fap-7, 0x1.022967327ce25p-7, 0x1.fbe7276fbd416p-8, 0x1.f39868133f6abp-8, 0x1.eb664e601597dp-8, 0x1.e350984ae2983p-8, 0x1.db5703b112bb4p-8, 0x1.d3794e5d68d6fp-8, 0x1.cbb7360c1b8f2p-8, 0x1.c410786ee6cacp-8, 0x1.bc84d330b3e37p-8, 0x1.b51403f98d8c6p-8, 0x1.adbdc8725975bp-8, 0x1.a681de48b9576p-8, 0x1.9f6003332a79ap-8, 0x1.9857f4f50d4f7p-8, 0x1.91697162f00fdp-8, 0x1.8a943666b2be6p-8, 0x1.83d80203a1a2bp-8, 0x1.7d34925a8704dp-8, 0x1.76a9a5ad744c4p-8, 0x1.7036fa6330c34p-8, 0x1.69dc4f0aa6629p-8, 0x1.6399625dd03acp-8, 0x1.5d6df344a0241p-8, 0x1.5759c0d7c8006p-8, 0x1.515c8a6387c6p-8, 0x1.4b760f6a5bbc5p-8, 0x1.45a60fa80c64p-8, 0x1.3fec4b14a47a2p-8, 0x1.3a4881e783f94p-8, 0x1.34ba749a7cac7p-8, 0x1.2f41e3eca1a26p-8, 0x1.29de90e50ba68p-8, 0x1.24903cd51656p-8, 0x1.1f56a95a94337p-8, 0x1.1a31986154c6ap-8, 0x1.1520cc24d41cap-8, 0x1.102407316f474p-8, 0x1.0b3b0c65fd586p-8, 0x1.06659ef58002dp-8, 0x1.01a3826905c4ap-8, 0x1.f9e8f5445b467p-9, 0x1.f0b097bbdbc8cp-9, 0x1.e79d756f28f79p-9, 0x1.deaf1857dc101p-9, 0x1.d5e50b387c2c6p-9, 0x1.cd3ed9a150401p-9, 0x1.c4bc0ff41d3c4p-9, 0x1.bc5c3b65bad25p-9, 0x1.b41ee9fe30ba1p-9, 0x1.ac03aa970c8a6p-9, 0x1.a40a0cd854594p-9, 0x1.9c31a135a4b52p-9, 0x1.9479f8eb474bfp-9, 0x1.8ce2a5fcfb9bep-9, 0x1.856b3b36f8379p-9, 0x1.7e134c31586ap-9, 0x1.76da6d568f583p-9, 0x1.6fc033ebf9d24p-9, 0x1.68c4361bd50d1p-9, 0x1.61e60affe8f11p-9, 0x1.5b254aaaba5bfp-9, 0x1.54818e2e88bfp-9, 0x1.4dfa6fa0a80e5p-9, 0x1.478f8a18b9785p-9, 0x1.414079ab494bbp-9, 0x1.3b0cdb6055c72p-9, 0x1.34f44d27779cep-9, 0x1.2ef66dca60dfcp-9, 0x1.2912dce0d75d2p-9, 0x1.23493ac6b2a0cp-9, 0x1.1d9928977baf8p-9, 0x1.1802482eea913p-9, 0x1.12843c308cd14p-9, 0x1.0d1ea814e37dbp-9, 0x1.07d1303b28ea5p-9, 0x1.029b79fd92058p-9, 0x1.fafa578b07b5cp-10, 0x1.f0ebda390fd69p-10, 0x1.e70acd6f8a2cp-10, 0x1.dd5684f7324ap-10, 0x1.d3ce56ec21f6ep-10, 0x1.ca719ba12e6f3p-10, 0x1.c13fad7282dbcp-10, 0x1.b837e88ddf495p-10, 0x1.af59aab51a537p-10, 0x1.a6a453041222fp-10, 0x1.9e1741bff5f6dp-10, 0x1.95b1d83938ddbp-10, 0x1.8d7378c2f532cp-10, 0x1.855b86c39a079p-10, 0x1.7d6966ddf96a6p-10, 0x1.759c7f304e8bap-10, 0x1.6df437a118d79p-10, 0x1.666ffa3258be9p-10, 0x1.5f0f33518912p-10, 0x1.57d15219b70acp-10, 0x1.50b5c87f527fdp-10, 0x1.49bc0b5e15feep-10, 0x1.42e392660ecaep-10, 0x1.3c2bd7e693a19p-10, 0x1.3594587b8f0f7p-10, 0x1.2f1c92a3f9b8p-10, 0x1.28c4064c46871p-10, 0x1.228a3459138fdp-10, 0x1.1c6e9e3f2203bp-10, 0x1.1670c5b4e0243p-10, 0x1.10902c8719666p-10, 0x1.0acc5496c5bffp-10, 0x1.0524c001c25c7p-10, 0x1.ff31e2e6787cep-11, 0x1.f450d9282a5d4p-11, 0x1.e9a56d20d9841p-11, 0x1.df2ead48b5cb3p-11, 0x1.d4ebad42217d7p-11, 0x1.cadb86b8c6226p-11, 0x1.c0fd59f93130dp-11, 0x1.b7504e31718dbp-11, 0x1.add3914c13865p-11, 0x1.a486576715c55p-11, 0x1.9b67d9efc090ap-11, 0x1.92775676f2e9bp-11, 0x1.89b40d5d58a6ep-11, 0x1.811d4078930eep-11, 0x1.78b231d777c32p-11, 0x1.707222c855p-11, 0x1.685c533cfcfa6p-11, 0x1.6070019f015ddp-11, 0x1.58ac6b1916bddp-11, 0x1.5110cc4f73a8fp-11, 0x1.499c6272bfd0cp-11, 0x1.424e6c92fc154p-11, 0x1.3b262d0e43503p-11, 0x1.3422eaf6cd831p-11, 0x1.2d43f34b69e6dp-11, 0x1.268899e23051dp-11, 0x1.1ff039e9f0adp-11, 0x1.197a35f3c14f7p-11, 0x1.1325f77bb1d48p-11, 0x1.0cf2edf9ebe25p-11, 0x1.06e08d8d2759fp-11, 0x1.00ee4d5d193ecp-11, 0x1.f6374bb6c050ep-12, 0x1.ead01e1f8674p-12, 0x1.dfa5fe3557542p-12, 0x1.d4b7d22db01cap-12, 0x1.ca0478f356c39p-12, 0x1.bf8aca07e88f1p-12, 0x1.b54996904f036p-12, 0x1.ab3fab717f14ep-12, 0x1.a16bd44d525b1p-12, 0x1.97ccdf0f632e9p-12, 0x1.8e619fb824b5dp-12, 0x1.8528f405c94cbp-12, 0x1.7c21c6aa20553p-12, 0x1.734b11c81241ep-12, 0x1.6aa3e081ef088p-12, 0x1.622b4f7fc56bfp-12, 0x1.59e08c61d284fp-12, 0x1.51c2d42d393d8p-12, 0x1.49d170d1d5da9p-12, 0x1.420bb5f9a7b32p-12, 0x1.3a70fd5e25452p-12, 0x1.3300a2e7bca19p-12, 0x1.2bba00e20413p-12, 0x1.249c6c8b00287p-12, 0x1.1da733446eff7p-12, 0x1.16d998a3e04c7p-12, 0x1.1032d5944649fp-12, 0x1.09b218a2a2362p-12, 0x1.03568777ceac9p-12, 0x1.fa3e82ada41e7p-13, 0x1.ee16c4a9e062fp-13, 0x1.e2340dcb7063bp-13, 0x1.d6949e96d1bcfp-13, 0x1.cb36c518a18dfp-13, 0x1.c018e163c29c2p-13, 0x1.b539688604bfdp-13, 0x1.aa96e626afb62p-13, 0x1.a02ffd309c6f3p-13, 0x1.960367e3874cbp-13, 0x1.8c0ff7890760dp-13, 0x1.825493c4627c2p-13, 0x1.78d0394db802dp-13, 0x1.6f81f7d141295p-13, 0x1.6668eeb5e074dp-13, 0x1.5d8448c610ca9p-13, 0x1.54d336f2b31b8p-13, 0x1.4c54eab357e7ap-13, 0x1.440890b26b7b7p-13, 0x1.3bed4c8f14663p-13, 0x1.34023662c70ffp-13, 0x1.2c465a7c237afp-13, 0x1.24b8bb5d25416p-13, 0x1.1d58559139089p-13, 0x1.1624247b84898p-13, 0x1.0f1b26f81e2ep-13, 0x1.083c629df67fp-13, 0x1.0186e4c2a466ep-13, 0x1.f5f3820b022f7p-14, 0x1.e9281bdf76f2ap-14, 0x1.dca9c1d85d873p-14, 0x1.d0769674d2976p-14, 0x1.c48cb28835075p-14, 0x1.b8ea2a23baad6p-14, 0x1.ad8d1720cc72p-14, 0x1.a273a6c8a821bp-14, 0x1.979c26d655814p-14, 0x1.8d050e1a849bp-14, 0x1.82acfe27b03aap-14, 0x1.7892bd7b90d13p-14, 0x1.6eb52bcccad6p-14, 0x1.651333d64bb44p-14, 0x1.5babbe8e8c94ep-14, 0x1.527daafc73278p-14, 0x1.4987cc3b53268p-14, 0x1.40c8ed3e7b84ap-14, 0x1.383fd86369786p-14, 0x1.2feb6039e37b2p-14, 0x1.27ca6716e0d59p-14, 0x1.1fdbe3c803f97p-14, 0x1.181ee2685f61bp-14, 0x1.109280ed489efp-14, 0x1.0935e75a159ddp-14, 0x1.02083c3c885f9p-14, 0x1.f6112e3a2f6c1p-15, 0x1.e86be79a30986p-15, 0x1.db1e54a8772ecp-15, 0x1.ce25ddcb4b413p-15, 0x1.c17fb7160b8fap-15, 0x1.b52904e11d30dp-15, 0x1.a91f09c372842p-15, 0x1.9d5f526369bbfp-15, 0x1.91e7d34cad5eep-15, 0x1.86b6f04c1e1e8p-15, 0x1.7bcb6ae60599p-15, 0x1.71243cd4e2661p-15, 0x1.66c069d0af7ebp-15, 0x1.5c9ed6dd919e1p-15, 0x1.52be332bfee2dp-15, 0x1.491cf7fc261e3p-15, 0x1.3fb97c9184cbep-15, 0x1.3692150d7d1f7p-15, 0x1.2da53132d360dp-15, 0x1.24f172a1b8a4ep-15, 0x1.1c75b6a01956cp-15, 0x1.1431138c7841cp-15, 0x1.0c22cc68e971ep-15, 0x1.044a3e210080fp-15, 0x1.f94d947176743p-16, 0x1.ea6f8508de5e1p-16, 0x1.dbf8af826a7aep-16, 0x1.cde716ea6b8aap-16, 0x1.c038494e556c6p-16, 0x1.b2e951638f5ep-16, 0x1.a5f6b7a40bfa6p-16, 0x1.995c9bf8231d5p-16, 0x1.8d16eb0caff8p-16, 0x1.8121a726654aep-16, 0x1.757932594ddd1p-16, 0x1.6a1a867e60accp-16, 0x1.5f034e397e7f7p-16, 0x1.5431dc2596d78p-16, 0x1.49a50503dd5b6p-16, 0x1.3f5be78a61cdap-16, 0x1.3555b15de45c3p-16, 0x1.2b91720f0471ep-16, 0x1.220e0677ff672p-16, 0x1.18ca1b9e0f9fep-16, 0x1.0fc43ff2901eap-16, 0x1.06fafa35dfbbbp-16, 0x1.fcd9c3baacba6p-17, 0x1.ec316b44b381bp-17, 0x1.dbfad01808227p-17, 0x1.cc342f3dfb08ap-17, 0x1.bcdbe128a9546p-17, 0x1.adf00a8647536p-17, 0x1.9f6e669349ad5p-17, 0x1.91544b5bae836p-17, 0x1.839ee6af81b82p-17, 0x1.764b92a7b2b81p-17, 0x1.695815121d2c6p-17, 0x1.5cc2a92e1779ap-17, 0x1.5089ce8b293fp-17, 0x1.44abf586bbdbcp-17, 0x1.39273340d105bp-17, 0x1.2df920c2aaf89p-17, 0x1.231eeba2eb47fp-17, 0x1.18957d4e555fep-17, 0x1.0e5996b8a3315p-17, 0x1.0467dc17f764fp-17, 0x1.f579de7a9271ap-18, 0x1.e2ab63769768ap-18, 0x1.d05f31e825e0fp-18, 0x1.be91b68089b1dp-18, 0x1.ad409dade28b4p-18, 0x1.9c6a0943bec7fp-18, 0x1.8c0b9f8c48519p-18, 0x1.7c21ef359620ap-18, 0x1.6ca88b80ea687p-18, 0x1.5d9aec2885261p-18, 0x1.4ef5991c5b01ep-18, 0x1.40b6ddee2b744p-18, 0x1.32de89bca6865p-18, 0x1.256cf1c95e595p-18, 0x1.1861e3934ffbap-18, 0x1.0bbc102d130dep-18, 0x1.fef2057be2a3bp-19, 0x1.e72acd6f0dfecp-19, 0x1.d01acae38d3b6p-19, 0x1.b9ba116c0479bp-19, 0x1.a401463b1e571p-19, 0x1.8eea6c5ba2798p-19, 0x1.7a7177f518941p-19, 0x1.669467b92721ep-19, 0x1.5352c2eeb684ep-19, 0x1.40ac9ddb18a5ep-19, 0x1.2ea18d5a839e6p-19, 0x1.1d2ffdfb99dc9p-19, 0x1.0c54ffbc6b064p-19, 0x1.f81816764a0f3p-20, 0x1.d89cbd07be165p-20, 0x1.ba253eb9e59e9p-20, 0x1.9c9c6b6bf05b1p-20, 0x1.7ff13771fec3bp-20, 0x1.641ce7aafd70dp-20, 0x1.49233568f942ap-20, 0x1.2f0b98290a69ep-20, 0x1.15d8a67bbcbd4p-20, 0x1.fb07ab16759a7p-21, 0x1.cc009ebe40de6p-21, 0x1.9e843c7057457p-21, 0x1.72871de86ea47p-21, 0x1.48092285175cap-21, 0x1.1f0b4194fb712p-21, 0x1.ef0d53e456866p-22, 0x1.a2d6cae99d8afp-22, 0x1.594951aac7c0dp-22, 0x1.123bf576aa42cp-22, 0x1.9b19af8255f1cp-23, 0x1.1646af1a275cep-23, 0x1.2bbdb3c0faf3bp-24, 0x1.9ceef0bebcea8p-27, -0x1.77d4fa254cd58p-25, -0x1.a2f049bdfd944p-24, -0x1.40c5d2c4fd85dp-23, -0x1.abec6c743605cp-23, -0x1.097d594e48469p-22, -0x1.3aff7e47ab4dbp-22, -0x1.6a8472699abb8p-22, -0x1.98167ec3303d3p-22, -0x1.c3c2df71750d9p-22, -0x1.ed9686fdfb93fp-22, -0x1.0accc3a913844p-21, -0x1.1de878be7c535p-21, -0x1.302587e6f454bp-21, -0x1.4194f8abb8083p-21, -0x1.524c3cc85f895p-21, -0x1.625698e95d22fp-21, -0x1.71ae50fbb34b6p-21, -0x1.8047e69367aa9p-21, -0x1.8e236006aaf6ap-21, -0x1.9b50bdde5bcadp-21, -0x1.a7e3c4bac3bd9p-21, -0x1.b3e4e34b7a68cp-21, -0x1.bf4f3418a9844p-21, -0x1.ca1b6145cb1c4p-21, -0x1.d44914d859a14p-21, -0x1.ddded952b66a1p-21, -0x1.e6e5136539d1cp-21, -0x1.ef6275501fd15p-21, -0x1.f75b4b8ffdbdp-21, -0x1.fed236ecb59c2p-21, -0x1.02e48765b4184p-20, -0x1.0620c4979cf51p-20, -0x1.091eda13da3a6p-20, -0x1.0be02f1316ebdp-20, -0x1.0e66b6c344173p-20, -0x1.10b504308849p-20, -0x1.12ce2fb0328fcp-20, -0x1.14b57fb9e76d1p-20, -0x1.166ddea1f06a7p-20, -0x1.17f946de7c8fdp-20, -0x1.195868b539093p-20, -0x1.1a8ac9c7985e3p-20, -0x1.1b8f76a755066p-20, -0x1.1c661276c2856p-20, -0x1.1d0fabadc6facp-20, -0x1.1d8e8c5f77f5bp-20, -0x1.1de4dcb44425cp-20, -0x1.1e135d9b27fd7p-20, -0x1.1e1a20f1b1524p-20, -0x1.1dface5f7facbp-20, -0x1.1db868a96dcc8p-20, -0x1.1d538c6d81025p-20, -0x1.1cc9f5b9fdb0ep-20, -0x1.1c1bb6a6a6094p-20, -0x1.1b4da69418dbep-20, -0x1.1a646dfae9006p-20, -0x1.195fb9b7282f8p-20, -0x1.183cb91113454p-20, -0x1.16fad52ef4ae6p-20, -0x1.159bfbbd1a9e9p-20, -0x1.14226f2c28b01p-20, -0x1.128fa65db9bc5p-20, -0x1.10e4681c718a9p-20, -0x1.0f21331a3cd51p-20, -0x1.0d467bd5c03c9p-20, -0x1.0b54c21ca17fdp-20, -0x1.094c91b7ab411p-20, -0x1.072e7cce95841p-20, -0x1.04fb1679d2072p-20, -0x1.02b2ef94e248p-20, -0x1.005695d07564bp-20, -0x1.fbcd27a0301a3p-21, -0x1.f6c6e09d85d33p-21, -0x1.f19b5551028dfp-21, -0x1.ec4b6b581d5cbp-21, -0x1.e6d7e8bef9374p-21, -0x1.e1417a757e31ap-21, -0x1.db88cca17e7aep-21, -0x1.d5aeb6dd4ff07p-21, -0x1.cfb47e6a886adp-21, -0x1.c99c1f188a9c2p-21, -0x1.c36858af8ff47p-21, -0x1.bd1c1c452e2c2p-21, -0x1.b6b94c7facdd3p-21, -0x1.b03f875da8864p-21, -0x1.a9ac1c276ab0fp-21, -0x1.a2fc2ba4f73d1p-21, -0x1.9c30c5e60ac92p-21, -0x1.954fdacf7c36fp-21, -0x1.8e5d12c833423p-21, -0x1.875667604c3d5p-21, -0x1.803b350d7a2d6p-21, -0x1.790d342e6e84p-21, -0x1.71cb6a08499ap-21, -0x1.6a74b83e9bb6ep-21, -0x1.630b0aa333041p-21, -0x1.5b91035c2d795p-21, -0x1.5408137fa9d3p-21, -0x1.4c70bf4f2721bp-21, -0x1.44cb4564dfeb8p-21, -0x1.3d17edd90fe0ap-21, -0x1.35571a86aa8e3p-21, -0x1.2d8941c5b5505p-21, -0x1.25aee611d816bp-21, -0x1.1dc88f9556dbdp-21, -0x1.15d6c803f0d08p-21, -0x1.0dda180f4c236p-21, -0x1.05d305df21385p-21, -0x1.fb84283e9c80fp-22, -0x1.eb4f832369861p-22, -0x1.db09128e4879ap-22, -0x1.cab1c71e27cfcp-22, -0x1.ba4a8edd14c05p-22, -0x1.a9d45872b8276p-22, -0x1.99501548b0dbcp-22, -0x1.88beba019cc86p-22, -0x1.78213c65b568cp-22, -0x1.67788db83b9bcp-22, -0x1.56c5909c0d54cp-22, -0x1.46090bb31619bp-22, -0x1.35439fff024ccp-22, -0x1.2475d1177a7aep-22, -0x1.13a026017624ep-22, -0x1.02c346690705bp-22, -0x1.e3bfd819fabf4p-23, -0x1.c1ed7b33ece7ep-23, -0x1.a0106a52bf89dp-23, -0x1.7e2970c51c761p-23, -0x1.5c3bae740be73p-23, -0x1.3a4c5020dcbf1p-23, -0x1.185c7c9db010dp-23, -0x1.ecdb78e13fe7p-24, -0x1.a90137e5d5931p-24, -0x1.65232ba64f9b8p-24, -0x1.2140cc87765c8p-24, -0x1.babfabd7590d7p-25, -0x1.330c8ee7a7ab6p-25, -0x1.56e18874a3b23p-26, -0x1.1f8c27d68cd7fp-28, 0x1.8db64993184ecp-27, 0x1.d552844eaf8d7p-26, 0x1.71be118ece5c6p-25, 0x1.f8a8486661434p-25, 0x1.3fb200e86bf92p-24, 0x1.82f6a2642ab65p-24, 0x1.c6200acdbc371p-24, 0x1.04962012ac4b3p-23, 0x1.260ca7c1142cap-23, 0x1.4772a72904c67p-23, 0x1.68c72d8642af6p-23, 0x1.8a094ea1b16ebp-23, 0x1.ab382312c7956p-23, 0x1.cc52c7d9a4979p-23, 0x1.ed585e5e81d5ep-23, 0x1.07240607d3fcep-22, 0x1.17907cc3ca755p-22, 0x1.27f1296cb349fp-22, 0x1.3845a39bfeb93p-22, 0x1.488d848d0b32fp-22, 0x1.58c8675b5bcd9p-22, 0x1.68f5e913f5f0ap-22, 0x1.7915a8c95c26cp-22, 0x1.892747c8334e8p-22, 0x1.992a69d72d53dp-22, 0x1.a91eb53fdd5fdp-22, 0x1.b903d1f001928p-22, 0x1.c8d96816a7b6dp-22, 0x1.d89f1f3ca2cc7p-22, 0x1.e8549e513a1e7p-22, 0x1.f7f9908c7c8ddp-22, 0x1.03c6da83ccfb2p-21, 0x1.0b886a1e0f88cp-21, 0x1.1341435f581dcp-21, 0x1.1af134ceef806p-21, 0x1.229827ac8145ap-21, 0x1.2a35fe9d5de89p-21, 0x1.31ca8142a9427p-21, 0x1.395585c831528p-21, 0x1.40d6f115d8ca1p-21, 0x1.484eab66e004ap-21, 0x1.4fbc941342472p-21, 0x1.572080d58f5aep-21, 0x1.5e7a4fd36af43p-21, 0x1.65c9e7289cdcp-21, 0x1.6d0f2c408d391p-21, 0x1.744a022533dbfp-21, 0x1.7b7a4b20b20c4p-21, 0x1.829fe9ee4cfe1p-21, 0x1.89bac2246f0eap-21, 0x1.90cab83dfe3bfp-21, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.45aa92ac0eeadp-1, -0x1.45bda3a7154cap-1, -0x1.45dc1b5ed6244p-1, -0x1.4604283510dc6p-1, -0x1.463378750c981p-1, -0x1.466760b4666aep-1, -0x1.469d0099dc02ep-1, -0x1.46d16406c2b28p-1, -0x1.47019f4ec0aa5p-1, -0x1.472ae5df0adf3p-1, -0x1.474a9b592ebcdp-1, -0x1.475e5f9c5a7adp-1, -0x1.4764167b923bp-1, -0x1.4759ebf5aa6ecp-1, -0x1.473e55ba1987bp-1, -0x1.471012a992b11p-1, -0x1.46ce28de238c6p-1, -0x1.4677e2a43b9cfp-1, -0x1.460ccab0d4e0fp-1, -0x1.458ca7cad70b9p-1, -0x1.44f7780e7b8aap-1, -0x1.444d6be804b6cp-1, -0x1.438ee0dddf1dcp-1, -0x1.42bc5c3fd69ffp-1, -0x1.41d685d00a389p-1, -0x1.40de2279c5939p-1, -0x1.3fd40f29c0705p-1, -0x1.3eb93bda0f149p-1, -0x1.3d8ea6e235666p-1, -0x1.3c55589968f54p-1, -0x1.3b0e5f561b87p-1, -0x1.39bacbd2c5f7bp-1, -0x1.385badfca9274p-1, -0x1.36f2122e16ef7p-1, -0x1.357efed2fd74cp-1, -0x1.34037273e129ap-1, -0x1.3280622173028p-1, -0x1.30f6b83946314p-1, -0x1.2f67537b1ab16p-1, -0x1.2dd30665788f6p-1, -0x1.2c3a96d01a0abp-1, -0x1.2a9ebdbab4476p-1, -0x1.2900274709c2fp-1, -0x1.275f72d5c93eap-1, -0x1.25bd333e7bcf4p-1, -0x1.2419ef1ba0356p-1, -0x1.22762124f575bp-1, -0x1.20d23892ee099p-1, -0x1.1f2e998721939p-1, -0x1.1d8b9d7675f0fp-1, -0x1.1be993927f4dap-1, -0x1.1a48c1304a17ep-1, -0x1.18a9622b662ep-1, -0x1.170ba944882ffp-1, -0x1.156fc07b8db92p-1, -0x1.13d5c964ff551p-1, -0x1.123ddd7b77fb6p-1, -0x1.10a80e6d836d9p-1, -0x1.0f146668a4b3dp-1, -0x1.0d82e86244ecp-1, -0x1.0bf3905f5285cp-1, -0x1.0a6653bb4e7b3p-1, -0x1.08db216f75af4p-1, -0x1.0751e25aa5df7p-1, -0x1.05ca798a7d0bbp-1, -0x1.0444c4862147ap-1, -0x1.02c09b9af590dp-1, -0x1.013dd22b70395p-1, -0x1.ff786e004abd3p-2, -0x1.fc772935f9b3bp-2, -0x1.f9776318ed44bp-2, -0x1.f678a19597dedp-2, -0x1.f37a64154c254p-2, -0x1.f07c2432270ap-2, -0x1.ed7d566cbe069p-2, -0x1.ea7d6ae2b359p-2, -0x1.e77bce0555b0fp-2, -0x1.e477e94f57a41p-2, -0x1.e17123f8c5a8fp-2, -0x1.de66e3a83db26p-2, -0x1.db588d2094e17p-2, -0x1.d84584ea0da42p-2, -0x1.d52d2ff6506c7p-2, -0x1.d20ef43e71ccap-2, -0x1.ceea395a536a1p-2, -0x1.cbbe6910cf132p-2, -0x1.c88aefe021e02p-2, -0x1.c54f3d7e2ceffp-2, -0x1.c20ac550293c1p-2, -0x1.bebcfed994064p-2, -0x1.bb6566221337cp-2, -0x1.b8037c123ad56p-2, -0x1.b496c6c725e4p-2, -0x1.b11ed1dce8066p-2, -0x1.ad9b2eafe96a6p-2, -0x1.aa0b7495549c4p-2, -0x1.a66f410ac9b36p-2, -0x1.a2c637dd90067p-2, -0x1.9f1003499671ep-2, -0x1.9b4c54108f27ap-2, -0x1.977ae18985275p-2, -0x1.939b69a94d70fp-2, -0x1.8fadb104391bcp-2, -0x1.8bb182c974805p-2, -0x1.87a6b0b8847f7p-2, -0x1.838d13114cc37p-2, -0x1.7f64887f13898p-2, -0x1.7b2cf5fef69dep-2, -0x1.76e646c238749p-2, -0x1.72906c0ce0f4dp-2, -0x1.6e2b5d110ec38p-2, -0x1.69b716c76fcc3p-2, -0x1.65339bc53ba1fp-2, -0x1.60a0f41017f3dp-2, -0x1.5bff2cf0405cfp-2, -0x1.574e58c148a53p-2, -0x1.528e8ec1d2b97p-2, -0x1.4dbfeae27cf85p-2, -0x1.48e28d945e25bp-2, -0x1.43f69b9741982p-2, -0x1.3efc3dc7f6503p-2, -0x1.39f3a0eed73c3p-2, -0x1.34dcf58ecf11dp-2, -0x1.2fb86fb4fbcdcp-2, -0x1.2a8646c921598p-2, -0x1.2546b55f10b92p-2, -0x1.1ff9f9092056fp-2, -0x1.1aa0522bd3568p-2, -0x1.153a03d2c81ep-2, -0x1.0fc7538700fffp-2, -0x1.0a488926982c8p-2, -0x1.04bdeebde5125p-2, -0x1.fe4fa0c453398p-3, -0x1.f30cf81b727abp-3, -0x1.e7b482fb66841p-3, -0x1.dc46e4227bff2p-3, -0x1.d0c4c1549819ap-3, -0x1.c52ec31fc5854p-3, -0x1.b98594a3bc16cp-3, -0x1.adc9e35c4de7bp-3, -0x1.a1fc5eeeb3d2ap-3, -0x1.961db8f99377p-3, -0x1.8a2ea4e7b436ap-3, -0x1.7e2fd7c541bffp-3, -0x1.722208178ef32p-3, -0x1.6605edb7253dp-3, -0x1.59dc41ac1b1fbp-3, -0x1.4da5be0c8a551p-3, -0x1.41631ddd025aep-3, -0x1.35151cf2dfa91p-3, -0x1.28bc77d86c4e1p-3, -0x1.1c59ebb2a33cp-3, -0x1.0fee3628769dfp-3, -0x1.037a154b8f86cp-3, -0x1.edfc8f049816ep-4, -0x1.d4f716e5fb15ap-4, -0x1.bbe53fe0683c8p-4, -0x1.a2c887cc15c65p-4, -0x1.89a26c90b8f79p-4, -0x1.70746c0373089p-4, -0x1.574003c644c89p-4, -0x1.3e06b1289ee51p-4, -0x1.24c9f1092cea8p-4, -0x1.0b8b3fb86efa3p-4, -0x1.e49831b86d3bep-5, -0x1.b21beea782776p-5, -0x1.7fa4aa38d132p-5, -0x1.4d35566d64bbdp-5, -0x1.1ad0e31792fecp-5, -0x1.d0f47b4c878a7p-6, -0x1.6c68a1e152976p-6, -0x1.08040a041a743p-6, -0x1.4798fb96cc09p-7, -0x1.fe3e072a0737cp-9, 0x1.20237e8b817a5p-9, 0x1.0f24bd6c93a2cp-7, 0x1.d5b8bb96624edp-7, 0x1.4ddcc72116a8cp-6, 0x1.b08dfd436e87ap-6, 0x1.097535d22e4f8p-5, 0x1.3a76438524c19p-5, 0x1.6b4766fee072p-5, 0x1.9be5e49c5e39fp-5, 0x1.cc4f060b55573p-5, 0x1.fc801a828b633p-5, 0x1.163b3b7d56a45p-4, 0x1.2e17bb33b93b2p-4, 0x1.45d43cf881a3p-4, 0x1.5d6f7496d7469p-4, 0x1.74e8192de6489p-4, 0x1.8c3ce54dd5bdep-4, 0x1.a36c9714db1b4p-4, 0x1.ba75f04c309cbp-4, 0x1.d157b68519387p-4, 0x1.e810b335c1e94p-4, 0x1.fe9fb3d60ca22p-4, 0x1.0a81c4fe1272ap-3, 0x1.159d85bc77b49p-3, 0x1.20a2893a1b729p-3, 0x1.2b903ec44a207p-3, 0x1.366617ef7a1fdp-3, 0x1.412388a4e9a4cp-3, 0x1.4bc807300a767p-3, 0x1.56530c4ba752p-3, 0x1.60c4132edc70dp-3, 0x1.6b1a9999c003ap-3, 0x1.75561fe1cb589p-3, 0x1.7f7628fdf85bep-3, 0x1.897a3a928803ap-3, 0x1.9361dcfc7d15fp-3, 0x1.9d2c9b5cb54c9p-3, 0x1.a6da03a2afc93p-3, 0x1.b069a696e839dp-3, 0x1.b9db17e4d4c04p-3, 0x1.c32dee247eb1cp-3, 0x1.cc61c2e3a5789p-3, 0x1.d57632ae83576p-3, 0x1.de6add1813829p-3, 0x1.e73f64c1ece9ap-3, 0x1.eff36f63aaa76p-3, 0x1.f886a5d1d4059p-3, 0x1.007c5a0225ff8p-2, 0x1.04a4a48e2885ep-2, 0x1.08bc0bb4fb2cap-2, 0x1.0cc26a388dd9ep-2, 0x1.10b79c76f91b7p-2, 0x1.149b806c7b71bp-2, 0x1.186df5b539086p-2, 0x1.1c2edd8eb8958p-2, 0x1.1fde1ad923163p-2, 0x1.237b92183c4c1p-2, 0x1.270729742440dp-2, 0x1.2a80c8b9ccb3dp-2, 0x1.2de8595b37fe8p-2, 0x1.313dc66f71299p-2, 0x1.3480fcb247c1ap-2, 0x1.37b1ea83cb052p-2, 0x1.3ad07fe783fadp-2, 0x1.3ddcae8378feep-2, 0x1.40d6699ee7dep-2, 0x1.43bda620ceaep-2, 0x1.46925a8e31cd1p-2, 0x1.49547f0826103p-2, 0x1.4c040d49a7edfp-2, 0x1.4ea100a5303f8p-2, 0x1.512b560216dedp-2, 0x1.53a30bd9bb36dp-2, 0x1.56082234787d3p-2, 0x1.585a9aa663635p-2, 0x1.5a9a784bd5a3ap-2, 0x1.5cc7bfc5c68afp-2, 0x1.5ee27735f1cebp-2, 0x1.60eaa63acd91fp-2, 0x1.62e055eb55c1p-2, 0x1.64c390d2a4d97p-2, 0x1.669462eb67c03p-2, 0x1.6852d99b1f74bp-2, 0x1.69ff03ad3eb3ap-2, 0x1.6b98f14e21c6ap-2, 0x1.6d20b405dac9fp-2, 0x1.6e965eb2ddd6dp-2, 0x1.6ffa0584898e4p-2, 0x1.714bbdf58b931p-2, 0x1.728b9ec62aa0fp-2, 0x1.73b9bff6689d8p-2, 0x1.74d63ac01382ap-2, 0x1.75e12990b2a8ap-2, 0x1.76daa8035a8e8p-2, 0x1.77c2d2da6e298p-2, 0x1.7899c7f9432d4p-2, 0x1.795fa65db289ep-2, 0x1.7a148e1996e1ap-2, 0x1.7ab8a04c3652dp-2, 0x1.7b4bff1b9e9fbp-2, 0x1.7bcecdadec396p-2, 0x1.7c41302288f0bp-2, 0x1.7ca34b8b5ad06p-2, 0x1.7cf545e5ea2cbp-2, 0x1.7d374614799f7p-2, 0x1.7d6973d71d231p-2, 0x1.7d8bf7c4c0775p-2, 0x1.7d9efb4430295p-2, 0x1.7da2a885195fap-2, 0x1.7d972a790a164p-2, 0x1.7d7caccc6a51ep-2, 0x1.7d535bdf7c5c1p-2, 0x1.7d1b64bf5585bp-2, 0x1.7cd4f51edf448p-2, 0x1.7c803b4fd68e5p-2, 0x1.7c1d663bd4e11p-2, 0x1.7baca55d58daap-2, 0x1.7b2e28b8d79cp-2, 0x1.7aa220d5d7693p-2, 0x1.7a08beb810e1dp-2, 0x1.796233d899059p-2, 0x1.78aeb21f18dacp-2, 0x1.77ee6bdb0bae2p-2, 0x1.772193bd0f5a8p-2, 0x1.76485cd03f1e9p-2, 0x1.7562fa739ac3ap-2, 0x1.7471a053811dap-2, 0x1.73748263366bcp-2, 0x1.726bd4d67cc0dp-2, 0x1.7157cc1b3fc5dp-2, 0x1.70389cd34effcp-2, 0x1.6f0e7bce2e133p-2, 0x1.6dd99e02f5be2p-2, 0x1.6c9a388a4b3fdp-2, 0x1.6b5080986b8b5p-2, 0x1.69fcab774b25fp-2, 0x1.689eee80cc029p-2, 0x1.67377f190b8e5p-2, 0x1.65c692a8c4162p-2, 0x1.644c5e97c9e2cp-2, 0x1.62c918479bad4p-2, 0x1.613cf50e0d786p-2, 0x1.5fa82a300dcc2p-2, 0x1.5e0aecdc7ebcap-2, 0x1.5c6572272d496p-2, 0x1.5ab7ef03deba3p-2, 0x1.590298417b02bp-2, 0x1.5745a2854e759p-2, 0x1.5581424666bc4p-2, 0x1.53b5abc909508p-2, 0x1.51e3131a484f3p-2, 0x1.5009ac0badb8cp-2, 0x1.4e29aa2f03485p-2, 0x1.4c4340d236e0ep-2, 0x1.4a56a2fb56babp-2, 0x1.48640364ae1bfp-2, 0x1.466b9478f79e9p-2, 0x1.446d884fae3f6p-2, 0x1.426a10a978d07p-2, 0x1.40615eecb201ep-2, 0x1.3e53a422097c7p-2, 0x1.3c4110f141217p-2, 0x1.3a29d59e08337p-2, 0x1.380e2204eab95p-2, 0x1.35ee259864f26p-2, 0x1.33ca0f5e0be66p-2, 0x1.31a20debcf78p-2, 0x1.2f764f655c922p-2, 0x1.2d47017994e28p-2, 0x1.2b145160255cfp-2, 0x1.28de6bd730195p-2, 0x1.26a57d21180e8p-2, 0x1.2469b10261087p-2, 0x1.222b32bfaae31p-2, 0x1.1fea2d1bc5d69p-2, 0x1.1da6ca55dfd57p-2, 0x1.1b613427cafc4p-2, 0x1.191993c459fe9p-2, 0x1.16d011d5d8497p-2, 0x1.1484d67c9893dp-2, 0x1.1238094d9a4d8p-2, 0x1.0fe9d151450bep-2, 0x1.0d9a55023e59dp-2, 0x1.0b49ba4c55f5dp-2, 0x1.08f8268b81e53p-2, 0x1.06a5be8af9c17p-2, 0x1.0452a6846088cp-2, 0x1.01ff021f070ffp-2, 0x1.ff55e8de839bap-3, 0x1.faad3febaa2a9p-3, 0x1.f6044d3ee3296p-3, 0x1.f15b53889671dp-3, 0x1.ecb2944f753cfp-3, 0x1.e80a4feff38eap-3, 0x1.e362c59bdc046p-3, 0x1.debc335a0f9f6p-3, 0x1.da16d6065ff15p-3, 0x1.d572e95198c9dp-3, 0x1.d0d0a7c19e1e7p-3, 0x1.cc304ab1b9725p-3, 0x1.c7920a52fa984p-3, 0x1.c2f61dacc0ea7p-3, 0x1.be5cba9d642d6p-3, 0x1.b9c615daf1ad7p-3, 0x1.b53262f413951p-3, 0x1.b0a1d4510b9d3p-3, 0x1.ac149b34d00bbp-3, 0x1.a78ae7be3dcd9p-3, 0x1.a304e8e967993p-3, 0x1.9e82cc9102162p-3, 0x1.9a04bf6fe4413p-3, 0x1.958aed229dcdbp-3, 0x1.911580292d309p-3, 0x1.8ca4a1e8c4a0bp-3, 0x1.88387aada4326p-3, 0x1.83d131ad12bcfp-3, 0x1.7f6eed075dc97p-3, 0x1.7b11d1c9f5a73p-3, 0x1.76ba03f19bf8dp-3, 0x1.7267a66c9e926p-3, 0x1.6e1adb1d2a17p-3, 0x1.69d3c2dba9c8p-3, 0x1.65927d793729ap-3, 0x1.615729c21c20ap-3, 0x1.5d21e5805ebc5p-3, 0x1.58f2cd7e5b13fp-3, 0x1.54c9fd8973219p-3, 0x1.50a79074bf7dcp-3, 0x1.4c8ba01bd1b33p-3, 0x1.4876456583c42p-3, 0x1.44679846ccf63p-3, 0x1.405fafc5a4b22p-3, 0x1.3c5ea1fbeb8aep-3, 0x1.3864841a641a5p-3, 0x1.34716a6baa1bbp-3, 0x1.3085685735d66p-3, 0x1.2ca090646cba8p-3, 0x1.28c2f43daaf3ep-3, 0x1.24eca4b361388p-3, 0x1.211db1bf2d4f6p-3, 0x1.1d562a86fb63fp-3, 0x1.19961d6031058p-3, 0x1.15dd97d2d1ff4p-3, 0x1.122ca69cadfbcp-3, 0x1.0e8355b4928ep-3, 0x1.0ae1b04d7fdedp-3, 0x1.0747c0d9d64ffp-3, 0x1.03b5910e93f5p-3, 0x1.002b29e6877ddp-3, 0x1.f951274b14555p-4, 0x1.f25babb76ffbbp-4, 0x1.eb75eed14c55dp-4, 0x1.e49ffcfd36909p-4, 0x1.ddd9e14b8f02p-4, 0x1.d723a57ef2832p-4, 0x1.d07d5212993b9p-4, 0x1.c9e6ee40ca89cp-4, 0x1.c36080092f7dcp-4, 0x1.bcea0c3728d97p-4, 0x1.b68396683160dp-4, 0x1.b02d21121b38ep-4, 0x1.a9e6ad895eddep-4, 0x1.a3b03c07533b6p-4, 0x1.9d89cbb067864p-4, 0x1.97735a9a46bf2p-4, 0x1.916ce5d209a21p-4, 0x1.8b7669623f119p-4, 0x1.858fe05905ebep-4, 0x1.7fb944ce0b9c7p-4, 0x1.79f28fe885926p-4, 0x1.743bb9e51fcf9p-4, 0x1.6e94ba1bd70efp-4, 0x1.68fd8705d182fp-4, 0x1.637616432953cp-4, 0x1.5dfe5ca09c8d3p-4, 0x1.58964e1d3e1adp-4, 0x1.533dddf016c1ep-4, 0x1.4df4fe8dac3edp-4, 0x1.48bba1ad8d22cp-4, 0x1.4391b84fbb173p-4, 0x1.3e7732c20e454p-4, 0x1.396c00a58e5bap-4, 0x1.347010f3afc97p-4, 0x1.2f8352038e54ap-4, 0x1.2aa5b18f0e893p-4, 0x1.25d71cb7ef251p-4, 0x1.2117800cd34eep-4, 0x1.1c66c78e30786p-4, 0x1.17c4deb3320e1p-4, 0x1.1331b06e8be8ap-4, 0x1.0ead27333bdb1p-4, 0x1.0a372cf936d89p-4, 0x1.05cfab42099d1p-4, 0x1.01768b1d6682ap-4, 0x1.fa576a5b3ab35p-5, 0x1.f1de23581a8b2p-5, 0x1.e98110daeb0dfp-5, 0x1.e14001cc87442p-5, 0x1.d91ac45d8c276p-5, 0x1.d111260ea895cp-5, 0x1.c922f3b8b4459p-5, 0x1.c14ff994ced0fp-5, 0x1.b99803441b2eap-5, 0x1.b1fadbd79da62p-5, 0x1.aa784dd7c5acbp-5, 0x1.a310234bdf21p-5, 0x1.9bc225c17790cp-5, 0x1.948e1e537cc55p-5, 0x1.8d73d5b15d6d5p-5, 0x1.86731425e7465p-5, 0x1.7f8ba19e0f1cp-5, 0x1.78bd45afaa006p-5, 0x1.7207c79fe2f6p-5, 0x1.6b6aee6996917p-5, 0x1.64e680c3acd76p-5, 0x1.5e7a452722e35p-5, 0x1.582601d5148dap-5, 0x1.51e97cdc903cfp-5, 0x1.4bc47c2068f4dp-5, 0x1.45b6c55cb1231p-5, 0x1.3fc01e2c52fa8p-5, 0x1.39e04c0e59a42p-5, 0x1.3417146b330c6p-5, 0x1.2e643c99ccbeep-5, 0x1.28c789e48faf9p-5, 0x1.2340c18e3ba53p-5, 0x1.1dcfa8d69e0bfp-5, 0x1.187404ff47ba8p-5, 0x1.132d9b4ff49acp-5, 0x1.0dfc311b097ccp-5, 0x1.08df8bc1bcc4ep-5, 0x1.03d770b859d72p-5, 0x1.fdc74b1494e89p-6, 0x1.f407dfbbe6d14p-6, 0x1.ea702af138f87p-6, 0x1.e0ffb884451d3p-6, 0x1.d7b61491238bp-6, 0x1.ce92cb874e34fp-6, 0x1.c5956a3078e45p-6, 0x1.bcbd7db714419p-6, 0x1.b40a93acdc1ffp-6, 0x1.ab7c3a10d14e6p-6, 0x1.a311ff555c38cp-6, 0x1.9acb72662877p-6, 0x1.92a822ad7ee13p-6, 0x1.8aa7a01a05acep-6, 0x1.82c97b23bfbafp-6, 0x1.7b0d44d12c43bp-6, 0x1.73728ebc3108ap-6, 0x1.6bf8eb16ab277p-6, 0x1.649fecaf15097p-6, 0x1.5d6726f4d5c58p-6, 0x1.564e2dfc599e7p-6, 0x1.4f54968336782p-6, 0x1.4879f5f3f2b52p-6, 0x1.41bde269a6c92p-6, 0x1.3b1ff2b395a53p-6, 0x1.349fbe58981adp-6, 0x1.2e3cdd9a4836p-6, 0x1.27f6e978047b1p-6, 0x1.21cd7bb200831p-6, 0x1.1bc02ecbe230fp-6, 0x1.15ce9e0fa7613p-6, 0x1.0ff8658fcd9aap-6, 0x1.0a3d222a1d00cp-6, 0x1.049c71898080ap-6, 0x1.fe2be450bab5ep-7, 0x1.f35286a5175fep-7, 0x1.e8ac0a4e3fc8fp-7, 0x1.de37b1344ebabp-7, 0x1.d3f4beecb990cp-7, 0x1.c9e278bd293e3p-7, 0x1.c000259e5bc46p-7, 0x1.b64d0e3eae67cp-7, 0x1.acc87d045be5dp-7, 0x1.a371be0fe0a9fp-7, 0x1.9a481f3d7dd4cp-7, 0x1.914af0275f84dp-7, 0x1.88798226d97f3p-7, 0x1.7fd32855fdeafp-7, 0x1.77573790587f2p-7, 0x1.6f0506747e34ep-7, 0x1.66dbed644159ep-7, 0x1.5edb4685b1b4cp-7, 0x1.57026dc36013p-7, 0x1.4f50c0ccc93eep-7, 0x1.47c59f1655ff5p-7, 0x1.406069d952161p-7, 0x1.39208413da181p-7, 0x1.3205528861448p-7, 0x1.2b0e3bbd729bbp-7, 0x1.243aa7fcc6d38p-7, 0x1.1d8a0152d81cep-7, 0x1.16fbb38db201fp-7, 0x1.108f2c3c3877fp-7, 0x1.0a43daaccdcc7p-7, 0x1.04192fec41319p-7, 0x1.fc1d3d88ad196p-8, 0x1.f0473774c7e48p-8, 0x1.e4af3a1b53358p-8, 0x1.d954356b7d58cp-8, 0x1.ce351cc15566ap-8, 0x1.c350e6e245b35p-8, 0x1.b8a68df8fbe05p-8, 0x1.ae350f9162f18p-8, 0x1.a3fb6c943d1f1p-8, 0x1.99f8a942df6d9p-8, 0x1.902bcd3240735p-8, 0x1.8693e346cdd63p-8, 0x1.7d2ff9aeaeb6cp-8, 0x1.73ff21dd8802ap-8, 0x1.6b0070868ba54p-8, 0x1.6232fd97acbccp-8, 0x1.5995e43423527p-8, 0x1.512842ae70018p-8, 0x1.48e93a83164abp-8, 0x1.40d7f052bea0ep-8, 0x1.38f38bdc33067p-8, 0x1.313b37f66a04dp-8, 0x1.29ae228a8b737p-8, 0x1.224b7c8dae4fdp-8, 0x1.1b1279fa85fa6p-8, 0x1.140251cb5150ap-8, 0x1.0d1a3df306ffbp-8, 0x1.06597b572ea9dp-8, 0x1.ff7e9392ab1ffp-9, 0x1.f295d8008facep-9, 0x1.e5f74f22ead66p-9, 0x1.d9a189d4ebc3dp-9, 0x1.cd931e936c393p-9, 0x1.c1caa970cecbcp-9, 0x1.b646cc0600206p-9, 0x1.ab062d65585c3p-9, 0x1.a0077a0cdb04cp-9, 0x1.954963d840442p-9, 0x1.8acaa1f2515a7p-9, 0x1.8089f0c7f8c8p-9, 0x1.768611f99d9e7p-9, 0x1.6cbdcc4d028c6p-9, 0x1.632feb9f7ddbep-9, 0x1.59db40d79850ep-9, 0x1.50bea1d735f48p-9, 0x1.47d8e96cd4afep-9, 0x1.3f28f746693c6p-9, 0x1.36adafe1dca6bp-9, 0x1.2e65fc802cccep-9, 0x1.2650cb169fb73p-9, 0x1.1e6d0e4068a7cp-9, 0x1.16b9bd318d7cap-9, 0x1.0f35d3a7940ccp-9, 0x1.07e051dc3e717p-9, 0x1.00b83c772d45bp-9, 0x1.f37939005a11bp-10, 0x1.e5d8fea1d943ep-10, 0x1.d88ded0edeb3dp-10, 0x1.cb962ff0137b3p-10, 0x1.beeffb3eb3fd7p-10, 0x1.b2998b29cbadfp-10, 0x1.a69123fa4d3a1p-10, 0x1.9ad511f814e3bp-10, 0x1.8f63a94e74a2ap-10, 0x1.843b45f280631p-10, 0x1.795a4b8610162p-10, 0x1.6ebf253e81083p-10, 0x1.646845c9faa83p-10, 0x1.5a54273490687p-10, 0x1.50814ace873b1p-10, 0x1.46ee39121ab3bp-10, 0x1.3d998189434a1p-10, 0x1.3481bab478cfcp-10, 0x1.2ba581f0f24b4p-10, 0x1.23037b5ef1158p-10, 0x1.1a9a51c970e07p-10, 0x1.1268b68bab8b9p-10, 0x1.0a6d617a6adfep-10, 0x1.02a710c9bc04cp-10, 0x1.f62911e9c04dep-11, 0x1.e769294c75bd7p-11, 0x1.d90c093ee561fp-11, 0x1.cb0f5f43cf9cp-11, 0x1.bd70e4acdd94cp-11, 0x1.b02e5e6cf6928p-11, 0x1.a3459ce8b85efp-11, 0x1.96b47bc9e0ae3p-11, 0x1.8a78e1d1b4039p-11, 0x1.7e90c0aadd41dp-11, 0x1.72fa14bd743e6p-11, 0x1.67b2e504693ebp-11, 0x1.5cb942de9d053p-11, 0x1.520b49e602f4dp-11, 0x1.47a71fc47ca9fp-11, 0x1.3d8af40890df2p-11, 0x1.33b4fffc19987p-11, 0x1.2a23867bd871ap-11, 0x1.20d4d3cc06546p-11, 0x1.17c73d7218b23p-11, 0x1.0ef9220b39a58p-11, 0x1.0668e9258d7e3p-11, 0x1.fc2a062f810fep-12, 0x1.ebf7d1b884954p-12, 0x1.dc3837d1dd1f5p-12, 0x1.cce84c15cb9ebp-12, 0x1.be05327f97124p-12, 0x1.af8c1f236984cp-12, 0x1.a17a55e5c65b6p-12, 0x1.93cd2a309c271p-12, 0x1.8681feb032387p-12, 0x1.7996450a3bd9cp-12, 0x1.6d077d98f603dp-12, 0x1.60d33727f7ab6p-12, 0x1.54f70eae24decp-12, 0x1.4970af0def14bp-12, 0x1.3e3dd0d056f44p-12, 0x1.335c39e833421p-12, 0x1.28c9bd6de9811p-12, 0x1.1e843b633a2e2p-12, 0x1.1489a0732f16fp-12, 0x1.0ad7e5b5ad09ap-12, 0x1.016d1073066a7p-12, 0x1.f08e63cd82a63p-13, 0x1.dec8ce0c17b2cp-13, 0x1.cd85b08d04993p-13, 0x1.bcc172c559c46p-13, 0x1.ac789247a8735p-13, 0x1.9ca7a2514472p-13, 0x1.8d4b4b60008ebp-13, 0x1.7e604ac3fec0dp-13, 0x1.6fe372370af32p-13, 0x1.61d1a7716b7b5p-13, 0x1.5427e3c8c8d5dp-13, 0x1.46e333c297d3p-13, 0x1.3a00b6b748997p-13, 0x1.2d7d9e6aa5be7p-13, 0x1.21572eafb2059p-13, 0x1.158abd04321f1p-13, 0x1.0a15b03869322p-13, 0x1.fdeb001d5776fp-14, 0x1.e84f69c6ad475p-14, 0x1.d353cea0c9df9p-14, 0x1.bef37fb10b8fbp-14, 0x1.ab29ed1e88618p-14, 0x1.97f2a5855ec2bp-14, 0x1.854955561a89bp-14, 0x1.7329c62ca89bdp-14, 0x1.618fde2d8b567p-14, 0x1.50779f6c46da5p-14, 0x1.3fdd27468b383p-14, 0x1.2fbcadd51edcap-14, 0x1.20128548f0ecep-14, 0x1.10db196274048p-14, 0x1.0212eed7174f4p-14, 0x1.e76d458fc2d84p-15, 0x1.cb85d460c87f2p-15, 0x1.b06922bdc5111p-15, 0x1.9610f6d66433bp-15, 0x1.7c77436300951p-15, 0x1.6396269fbed0fp-15, 0x1.4b67e94e03c27p-15, 0x1.33e6fdaf14ea1p-15, 0x1.1d0dfe9a22844p-15, 0x1.06d7ae7c7d8eep-15, 0x1.e27decdcdf42ap-16, 0x1.b87dca90c91a5p-16, 0x1.8fa55d829200fp-16, 0x1.67eb550e45c9p-16, 0x1.4146a6c273c9ep-16, 0x1.1bae8cb5bb4bdp-16, 0x1.ee3507d63df35p-17, 0x1.a704950ca80a3p-17, 0x1.61bbbca99de63p-17, 0x1.1e4af6625646ap-17, 0x1.b94665d891fbdp-18, 0x1.396bb1f49a295p-18, 0x1.79d3094a72d57p-19, 0x1.0e91c6fcc1af7p-20, -0x1.93f0c2396dcdap-21, -0x1.4b2fabfaba4efp-19, -0x1.15c1b454ba013p-18, -0x1.8313d619a2bbdp-18, -0x1.eda598fcad27dp-18, -0x1.2ac6cd85ebde9p-17, -0x1.5d70dfa182b72p-17, -0x1.8edb99669677ep-17, -0x1.bf1138da84d4ap-17, -0x1.ee1ba5e21e369p-17, -0x1.0e023a3b4354ep-16, -0x1.246a7379974a3p-16, -0x1.3a4af827a8fb3p-16, -0x1.4fa81b2730196p-16, -0x1.648609ca235e6p-16, -0x1.78e8ccd36d127p-16, -0x1.8cd4498e0309p-16, -0x1.a04c42bbf74ddp-16, -0x1.b35459978f63cp-16, -0x1.c5f00ec05eb3fp-16, -0x1.d822c329313c7p-16, -0x1.e9efb9092818ep-16, -0x1.fb5a14b02bb34p-16, -0x1.06326eb8456c8p-15, -0x1.0e897f3667102p-15, -0x1.16b3a3bc096cep-15, -0x1.1eb236ee71b79p-15, -0x1.268686954efcap-15, -0x1.2e31d3fee824dp-15, -0x1.35b5545bc18cfp-15, -0x1.3d1231250a0f5p-15, -0x1.4449886e6359ap-15, -0x1.4b5c6d4620378p-15, -0x1.524be80d2bccbp-15, -0x1.5918f6ca4fd24p-15, -0x1.5fc48d7f1364ep-15, -0x1.664f967903734p-15, -0x1.6cbaf2a113584p-15, -0x1.730779c9c6e39p-15, -0x1.7935fafa0d58ap-15, -0x1.7f473cb798ecbp-15, -0x1.853bfd4ca2f8ap-15, -0x1.8b14f310db894p-15, -0x1.90d2ccaf3f951p-15, -0x1.9676316424a41p-15, -0x1.9bffc14195143p-15, -0x1.a170156e10fabp-15, -0x1.a6c7c06100826p-15, -0x1.ac074e1f31d19p-15, -0x1.b12f447633d2cp-15, -0x1.b6402333a07acp-15, -0x1.bb3a645edc1e8p-15, -0x1.c01e7c6b7de28p-15, -0x1.c4ecda733937fp-15, -0x1.c9a5e8639689ap-15, -0x1.ce4a0b33b01c6p-15, -0x1.d2d9a312435cdp-15, -0x1.d7550b93d884ep-15, -0x1.dbbc9be2b7c7bp-15, -0x1.e010a6ea1d705p-15, -0x1.e4517b8254964p-15, -0x1.e87f6499c7f51p-15, -0x1.ec9aa95f196a8p-15, -0x1.f0a38d6599bebp-15, -0x1.f49a50d01eb9cp-15, -0x1.f87f3074082fcp-15, -0x1.fc5265fc249fp-15, -0x1.000a1406face9p-14, -0x1.01e255352c858p-14, -0x1.03b20f085408ap-14, -0x1.057958ae4cbdap-14, -0x1.07384814108ffp-14, -0x1.08eef1f34583ap-14, -0x1.0a9d69e1f8a5bp-14, -0x1.0c43c260243bep-14, -0x1.0de20ce579548p-14, -0x1.0f7859eeabf4ap-14, -0x1.1106b90a9351dp-14, -0x1.128d38e6581d3p-14, -0x1.140be759af984p-14, -0x1.1582d172acbdbp-14, -0x1.16f20380310cfp-14, -0x1.1859891dd26a3p-14, -0x1.19b96d3e0b9a7p-14, -0x1.1b11ba3396329p-14, -0x1.1c6279bbb89eap-14, -0x1.1dabb50837068p-14, -0x1.1eed74c80b783p-14, -0x1.2027c13083d9ep-14, -0x1.215aa205461cdp-14, -0x1.22861ea075686p-14, -0x1.23aa3dfacbbd2p-14, -0x1.24c706b3bc0f6p-14, -0x1.25dc7f17a63f8p-14, -0x1.26eaad276cb14p-14, -0x1.27f1969ed6ec5p-14, -0x1.28f140fbd05f5p-14, -0x1.29e9b183fc324p-14, -0x1.2adaed4accc82p-14, -0x1.2bc4f9377f263p-14, -0x1.2ca7da0a7f93dp-14, -0x1.2d8394626d4fp-14, -0x1.2e582cc17e459p-14, -0x1.2f25a791d85f5p-14, -0x1.2fec092aa2875p-14, -0x1.30ab55d4400efp-14, -0x1.316391cc70808p-14, -0x1.3214c14aa9741p-14, -0x1.32bee883513d7p-14, -0x1.33620babe7ef4p-14, -0x1.33fe2efe98ddap-14, -0x1.349356bd0e9d9p-14, -0x1.352187339a9bp-14, -0x1.35a8c4bc03df2p-14, -0x1.362913c0fa4f2p-14, -0x1.36a278c035a0dp-14, -0x1.3714f84d51d14p-14, -0x1.37809713dd86bp-14, -0x1.37e559d9cddd8p-14, -0x1.384345815d0cdp-14, -0x1.389a5f0b2a9d9p-14, -0x1.38eaab97a7aadp-14, -0x1.393430696be0dp-14, -0x1.3976f2e5fc8c7p-14, -0x1.39b2f897efb3dp-14, -0x1.39e847303d515p-14, -0x1.3a16e4871f6ccp-14, -0x1.3a3ed69d6d3ebp-14, -0x1.3a60239db4c0fp-14, -0x1.3a7ad1dd284bp-14, -0x1.3a8ee7dc757b2p-14, -0x1.3a9c6c483d305p-14, -0x1.3aa365fa2e2fbp-14, -0x1.3aa3dbf97168cp-14, -0x1.3a9dd57b3b83ap-14, -0x1.3a9159e33bd95p-14, -0x1.3a7e70c39e127p-14, -0x1.3a6521ddec987p-14, -0x1.3a457522e5595p-14, -0x1.3a1f72b2b33efp-14, -0x1.39f322dd4b7fcp-14, -0x1.39c08e22040e1p-14, -0x1.3987bd2f8fcfbp-14, -0x1.3948b8e461561p-14, -0x1.39038a4dffbbp-14, -0x1.38b83aa913c7ap-14, -0x1.3866d3615255dp-14, -0x1.380f5e10e9ad8p-14, -0x1.37b1e4804dff4p-14, -0x1.374e70a601b9bp-14, -0x1.36e50ca619c7dp-14, -0x1.3675c2d176afap-14, -0x1.36009da56292ap-14, -0x1.3585a7cb34f1fp-14, -0x1.3504ec17b39d4p-14, -0x1.347e758ac08d8p-14, -0x1.33f24f4e22107p-14, -0x1.336084b532147p-14, -0x1.32c9213c68e26p-14, -0x1.322c30884ffbp-14, -0x1.3189be64c1b24p-14, -0x1.30e1d6c4981e6p-14, -0x1.303485c03469fp-14, -0x1.2f81d7956fdfep-14, -0x1.2ec9d8a650ff1p-14, -0x1.2e0c95784edd9p-14, -0x1.2d4a1ab3ba05p-14, -0x1.2c827522676f2p-14, -0x1.2bb5b1af8549cp-14, -0x1.2ae3dd661c84dp-14, -0x1.2a0d057072a79p-14, -0x1.29313716f09c6p-14, -0x1.28507fbf5d9cbp-14, -0x1.276aecebcc78ep-14, -0x1.26808c3a12536p-14, -0x1.25916b627760dp-14, -0x1.249d9836cfc88p-14, -0x1.23a520a1987adp-14, -0x1.22a812a51ae04p-14, -0x1.21a67c5a8af32p-14, -0x1.20a06bf0cff57p-14, -0x1.1f95efabb14ffp-14, -0x1.1e8715e2ffa8bp-14, -0x1.1d73ed0154f3bp-14, -0x1.1c5c83839b923p-14, -0x1.1b40e7f78821fp-14, -0x1.1a2128faf3ef5p-14, -0x1.18fd553b230d3p-14, -0x1.17d57b7350274p-14, -0x1.16a9aa6c31782p-14, -0x1.1579f0fab8abfp-14, -0x1.14465dff6450ep-14, -0x1.130f00652813ep-14, -0x1.11d3e7206a10ap-14, -0x1.1095212e9717dp-14, -0x1.0f52bd948e14ap-14, -0x1.0e0ccb5e244a8p-14, -0x1.0cc3599d2ac08p-14, -0x1.0b76776899252p-14, -0x1.0a2633db6b69dp-14, -0x1.08d29e143d0ffp-14, -0x1.077bc534076bap-14, -0x1.0621b85d9a2c5p-14, -0x1.04c486b467509p-14, -0x1.03643f5bf789dp-14, -0x1.0200f1769399ep-14, -0x1.009aac256d098p-14, -0x1.fe62fd0df8721p-15, -0x1.fb8aef6d185ecp-15, -0x1.f8ad4d965586cp-15, -0x1.f5ca35af09855p-15, -0x1.f2e1c5d09b79bp-15, -0x1.eff41c0866727p-15, -0x1.ed015655b6efcp-15, -0x1.ea0992a8531b9p-15, -0x1.e70ceedeb3627p-15, -0x1.e40b88c5563b6p-15, -0x1.e1057e14eeaa4p-15, -0x1.ddfaec71400e1p-15, -0x1.daebf1678b53bp-15, -0x1.d7d8aa6d32ec1p-15, -0x1.d4c134df44438p-15, -0x1.d1a5ae000d804p-15, -0x1.ce8632f69d3f9p-15, -0x1.cb62e0cd0f5b7p-15, -0x1.c83bd46fd3ba2p-15, -0x1.c5112aac83fdp-15, -0x1.c1e3003041912p-15, -0x1.beb171874e488p-15, -0x1.bb7c9b1b270bp-15, -0x1.b844993249787p-15, -0x1.b50987ee5dbbdp-15, -0x1.b1cb834c0af3p-15, -0x1.ae8aa720f6da3p-15, -0x1.ab470f1bb0e67p-15, -0x1.a800d6c24b6dp-15, -0x1.a4b81972144cep-15, -0x1.a16cf25d9eb11p-15, -0x1.9e1f7c8cefbdcp-15, -0x1.9acfd2db6fd22p-15, -0x1.977e0ff8552e1p-15, -0x1.942a4e65662bcp-15, -0x1.90d4a87644be8p-15, -0x1.8d7d384f2ae93p-15, -0x1.8a2417e48f96cp-15, -0x1.86c960fac949ep-15, -0x1.836d2d24bb714p-15, -0x1.800f95c3a5c4p-15, -0x1.7cb0b40636778p-15, -0x1.7950a0e884d7dp-15, -0x1.75ef75323f6d6p-15, }}, 
      {{-0x1.45a63ff700b2dp-1, -0x1.45acac4baf515p-1, -0x1.45b71cacd71b4p-1, -0x1.45c5309da2de2p-1, -0x1.45d66a3f6efe7p-1, -0x1.45ea34a8f4dc1p-1, -0x1.45ffea3399843p-1, -0x1.4616da723ff59p-1, -0x1.462e4f997ccb3p-1, -0x1.464593350249ep-1, -0x1.465bf219a14f7p-1, -0x1.4670bf93f8dep-1, -0x1.468357e03da18p-1, -0x1.469321ff0eddcp-1, -0x1.469f90fea8b31p-1, -0x1.46a824cffbf29p-1, -0x1.46ac6abd66d15p-1, -0x1.46abfd95ea6fap-1, -0x1.46a6859c88701p-1, -0x1.469bb8486c442p-1, -0x1.468b57dfdda4bp-1, -0x1.467532f5e5836p-1, -0x1.465923d0ef23dp-1, -0x1.46370fbf897b1p-1, -0x1.460ee65fa3bcp-1, -0x1.45e0a0dc0c6b1p-1, -0x1.45ac41239990dp-1, -0x1.4571d11d19638p-1, -0x1.453161dae1f71p-1, -0x1.44eb0ad0995f3p-1, -0x1.449ee90d8e99ap-1, -0x1.444d1e7daf7f5p-1, -0x1.43f5d132d8293p-1, -0x1.43992ab7ec8f2p-1, -0x1.4337576ed4c06p-1, -0x1.42d085fa247c7p-1, -0x1.4264e6b2ed458p-1, -0x1.41f4ab2aed806p-1, -0x1.418005bb124d6p-1, -0x1.4107291e0ac89p-1, -0x1.408a48167d6ddp-1, -0x1.400995204854fp-1, -0x1.3f85422c22114p-1, -0x1.3efd8064d004dp-1, -0x1.3e727ffd2c051p-1, -0x1.3de470061dda7p-1, -0x1.3d537e4bbba81p-1, -0x1.3cbfd738c215ep-1, -0x1.3c29a5bfa0866p-1, -0x1.3b91134863ec9p-1, -0x1.3af647a2d44bbp-1, -0x1.3a5968fc2e3e7p-1, -0x1.39ba9bd7ef4ep-1, -0x1.391a030b37bfdp-1, -0x1.3877bfba5dccdp-1, -0x1.37d3f1585299dp-1, -0x1.372eb5a78e2bap-1, -0x1.368828bc448d6p-1, -0x1.35e064ffa9011p-1, -0x1.353783341cb38p-1, -0x1.348d9a7a21278p-1, -0x1.33e2c055f707fp-1, -0x1.333708b5d444fp-1, -0x1.328a85f8a3d98p-1, -0x1.31dd48f542409p-1, -0x1.312f6102318abp-1, -0x1.3080dbfdbd295p-1, -0x1.2fd1c6568b3d1p-1, -0x1.2f222b1497e21p-1, -0x1.2e7213e296859p-1, -0x1.2dc18917ba5d9p-1, -0x1.2d1091c1dda78p-1, -0x1.2c5f33b00ac27p-1, -0x1.2bad737d5dafep-1, -0x1.2afb549c3c70fp-1, -0x1.2a48d961df36ap-1, -0x1.299603122194p-1, -0x1.28e2d1eb97334p-1, -0x1.282f4533d9ef3p-1, -0x1.277b5b4409d86p-1, -0x1.26c7119575e81p-1, -0x1.261264ce61829p-1, -0x1.255d50cee2296p-1, -0x1.24a7d0bdc2e59p-1, -0x1.23f1df156b366p-1, -0x1.233b75b0bb016p-1, -0x1.22848dd7cfdc6p-1, -0x1.21cd204caf121p-1, -0x1.21152557c48ddp-1, -0x1.205c94d432b79p-1, -0x1.1fa3663be6f05p-1, -0x1.1ee990b36cbf3p-1, -0x1.1e2f0b157558dp-1, -0x1.1d73cbfe10ddbp-1, -0x1.1cb7c9d58da8p-1, -0x1.1bfafadafd703p-1, -0x1.1b3d552e55f37p-1, -0x1.1a7eceda2dfb9p-1, -0x1.19bf5ddd0dfe1p-1, -0x1.18fef83257d6ap-1, -0x1.183d93dabb465p-1, -0x1.177b26e43e425p-1, -0x1.16b7a771d0ee8p-1, -0x1.15f30bc26fe72p-1, -0x1.152d4a37d7ee8p-1, -0x1.1466595cc3f4bp-1, -0x1.139e2feabf5ebp-1, -0x1.12d4c4cf87461p-1, -0x1.120a0f3200688p-1, -0x1.113e0676c3c1fp-1, -0x1.1070a24441999p-1, -0x1.0fa1da86835bep-1, -0x1.0ed1a772899f4p-1, -0x1.0e0001894cb2ep-1, -0x1.0d2ce19a648ebp-1, -0x1.0c5840c658cdep-1, -0x1.0b8218809e6a6p-1, -0x1.0aaa629146164p-1, -0x1.09d119166203dp-1, -0x1.08f636852191ep-1, -0x1.0819b5aaac8a2p-1, -0x1.073b91acbfb3p-1, -0x1.065bc60a0ce8bp-1, -0x1.057a4e9a6555bp-1, -0x1.0497278eb0df7p-1, -0x1.03b24d70b4c12p-1, -0x1.02cbbd22b0269p-1, -0x1.01e373decf6f3p-1, -0x1.00f96f367a7fep-1, -0x1.000dad1182508p-1, -0x1.fe40575a5d2e1p-2, -0x1.fc61d33666836p-2, -0x1.fa7fcb8110f46p-2, -0x1.f89a3ea86373ap-2, -0x1.f6b12bbbdb8d7p-2, -0x1.f4c49269b28e3p-2, -0x1.f2d472fbff79ep-2, -0x1.f0e0ce55c4c8p-2, -0x1.eee9a5efe57f1p-2, -0x1.eceefbd60eep-2, -0x1.eaf0d2a38d665p-2, -0x1.e8ef2d801d628p-2, -0x1.e6ea101cb1e6dp-2, -0x1.e4e17eb0351bfp-2, -0x1.e2d57df44a578p-2, -0x1.e0c613220cae1p-2, -0x1.deb343eed109dp-2, -0x1.dc9d1688eb558p-2, -0x1.da839194795e9p-2, -0x1.d866bc2835a2cp-2, -0x1.d6469dca4ef36p-2, -0x1.d4233e6d4c697p-2, -0x1.d1fca66cf8d4p-2, -0x1.cfd2de8b5b57ap-2, -0x1.cda5efedb94b3p-2, -0x1.cb75e419a4d4ap-2, -0x1.c942c4f219291p-2, -0x1.c70c9cb49f274p-2, -0x1.c4d375f6846b9p-2, -0x1.c2975ba21b9fbp-2, -0x1.c05858f4098bfp-2, -0x1.be167978a2deep-2, -0x1.bbd1c90950fdfp-2, -0x1.b98a53ca086e8p-2, -0x1.b7402626c95bbp-2, -0x1.b4f34cd12cddap-2, -0x1.b2a3d4bdfe918p-2, -0x1.b051cb22e12fdp-2, -0x1.adfd3d73fd40cp-2, -0x1.aba63961bfa53p-2, -0x1.a94cccd69ba51p-2, -0x1.a6f105f4dc61ep-2, -0x1.a492f3147ea4cp-2, -0x1.a232a2c113782p-2, -0x1.9fd023b7ab1c9p-2, -0x1.9d6b84e4cbdddp-2, -0x1.9b04d5626c6c3p-2, -0x1.989c2475fa86ep-2, -0x1.9631818e652a9p-2, -0x1.93c4fc42314e8p-2, -0x1.9156a44d92265p-2, -0x1.8ee689908b107p-2, -0x1.8c74bc0d13b7fp-2, -0x1.8a014be54653bp-2, -0x1.878c49598ec6bp-2, -0x1.8515c4c6e36d7p-2, -0x1.829dcea4ffadbp-2, -0x1.80247784a43ddp-2, -0x1.7da9d00ddb619p-2, -0x1.7b2de8fe426dap-2, -0x1.78b0d3275892ep-2, -0x1.76329f6ccb75ep-2, -0x1.73b35ec2d0883p-2, -0x1.7133222c7adc8p-2, -0x1.6eb1faba18048p-2, -0x1.6c2ff9878eb0ep-2, -0x1.69ad2fbac227dp-2, -0x1.6729ae81f9409p-2, -0x1.64a58712455eap-2, -0x1.6220caa5ef953p-2, -0x1.5f9b8a7aeb11fp-2, -0x1.5d15d7d144739p-2, -0x1.5a8fc3e99a5cap-2, -0x1.5809600396067p-2, -0x1.5582bd5c6758cp-2, -0x1.52fbed2d47299p-2, -0x1.507500a9f74a3p-2, -0x1.4dee08ff4c411p-2, -0x1.4b671751b6931p-2, -0x1.48e03cbbd072ep-2, -0x1.46598a4cefd6p-2, -0x1.43d31107bb9ep-2, -0x1.414ce1e0c4468p-2, -0x1.3ec70dbd22bb7p-2, -0x1.3c41a571172f7p-2, -0x1.39bcb9beb12e1p-2, -0x1.37385b54773e6p-2, -0x1.34b49acc16dfap-2, -0x1.323188a915d8bp-2, -0x1.2faf355789af4p-2, -0x1.2d2db12ad4d69p-2, -0x1.2aad0c5c66f2cp-2, -0x1.282d570a84254p-2, -0x1.25aea1370d3a6p-2, -0x1.2330fac653b72p-2, -0x1.20b4737ded05bp-2, -0x1.1e391b0390a04p-2, -0x1.1bbf00dbf47a6p-2, -0x1.19463469b9af4p-2, -0x1.16cec4ec52979p-2, -0x1.1458c17efa06ap-2, -0x1.11e43917aa163p-2, -0x1.0f713a86191b4p-2, -0x1.0cffd472c1993p-2, -0x1.0a90155de953cp-2, -0x1.08220b9eb6743p-2, -0x1.05b5c56245ffcp-2, -0x1.034b50aac958p-2, -0x1.00e2bb4eac86cp-2, -0x1.fcf825ef82c0ep-3, -0x1.f82eca44e4414p-3, -0x1.f3697e39f45d9p-3, -0x1.eea85c0d4f5d8p-3, -0x1.e9eb7d9e420d5p-3, -0x1.e532fc6b6660ep-3, -0x1.e07ef1914d492p-3, -0x1.dbcf75c934d8fp-3, -0x1.d724a167d3878p-3, -0x1.d27e8c5c2372p-3, -0x1.cddd4e2e4c666p-3, -0x1.c940fdfe8def2p-3, -0x1.c4a9b2843f5b5p-3, -0x1.c017820cdebb8p-3, -0x1.bb8a827b2525ap-3, -0x1.b702c946347adp-3, -0x1.b2806b78cb55bp-3, -0x1.ae037db088cdcp-3, -0x1.a98c141d3f2f3p-3, -0x1.a51a428056876p-3, -0x1.a0ae1c2c3397ap-3, -0x1.9c47b403bbcfp-3, -0x1.97e71c79d7816p-3, -0x1.938c67910cbfap-3, -0x1.8f37a6db2058bp-3, -0x1.8ae8eb78c9524p-3, -0x1.86a046196d2e6p-3, -0x1.825dc6faece6ep-3, -0x1.7e217de97b95fp-3, -0x1.79eb7a3f86b62p-3, -0x1.75bbcae5a1062p-3, -0x1.71927e5286eecp-3, -0x1.6d6fa28b274e9p-3, -0x1.69534522b511ap-3, -0x1.653d733acec67p-3, -0x1.612e3983a7f5bp-3, -0x1.5d25a43c4795ap-3, -0x1.5923bf32c67e3p-3, -0x1.552895c4a2f8ep-3, -0x1.513432df1a794p-3, -0x1.4d46a0ff8de37p-3, -0x1.495fea33f3e57p-3, -0x1.4580181b4df4p-3, -0x1.41a733e632644p-3, -0x1.3dd5465753e0fp-3, -0x1.3a0a57c421818p-3, -0x1.364670155d33bp-3, -0x1.328996c7cf2c6p-3, -0x1.2ed3d2ecf16dap-3, -0x1.2b252b2bb14a5p-3, -0x1.277da5c12f272p-3, -0x1.23dd48818c4f3p-3, -0x1.204418d8c274ap-3, -0x1.1cb21bcb788e7p-3, -0x1.192755f7edb36p-3, -0x1.15a3cb96deae2p-3, -0x1.1227807c78c2dp-3, -0x1.0eb278195702cp-3, -0x1.0b44b57b7b3acp-3, -0x1.07de3b4f54f37p-3, -0x1.047f0be0cf7bfp-3, -0x1.0127291c60d52p-3, -0x1.fbad292042d19p-4, -0x1.f51a9ed9ce8b5p-4, -0x1.ee96b50ed28c2p-4, -0x1.e8216cb2cb762p-4, -0x1.e1bac605922fep-4, -0x1.db62c095c5603p-4, -0x1.d5195b432a1f4p-4, -0x1.cede94411c7cp-4, -0x1.c8b269190386dp-4, -0x1.c294d6acd6f3ap-4, -0x1.bc85d939986b5p-4, -0x1.b6856c59e3bc6p-4, -0x1.b0938b087f0aap-4, -0x1.aab02fa2ee84cp-4, -0x1.a4db53ec10e4ap-4, -0x1.9f14f10eb86bdp-4, -0x1.995cffa05658p-4, -0x1.93b377a3970ap-4, -0x1.8e18508b12c19p-4, -0x1.888b813bfb88ap-4, -0x1.830d0010c4157p-4, -0x1.7d9cc2dbd8f83p-4, -0x1.783abeea4cf0dp-4, -0x1.72e6e90693851p-4, -0x1.6da1357b2fcd3p-4, -0x1.686998156eaf9p-4, -0x1.634004281ba89p-4, -0x1.5e246c8e35bf5p-4, -0x1.5916c3ada82c5p-4, -0x1.5416fb79fa8e2p-4, -0x1.4f2505770a172p-4, -0x1.4a40d2bbb9ef5p-4, -0x1.456a53f4a52bap-4, -0x1.40a17966cac99p-4, -0x1.3be632f242a45p-4, -0x1.37387014dee27p-4, -0x1.32981fecd8a5ep-4, -0x1.2e05313b752b8p-4, -0x1.297f9267a70c3p-4, -0x1.25073180ac528p-4, -0x1.209bfc40a8df2p-4, -0x1.1c3de00f3a4b5p-4, -0x1.17ecca0410b73p-4, -0x1.13a8a6e97601fp-4, -0x1.0f71633edaceep-4, -0x1.0b46eb3b59844p-4, -0x1.07292ad036d33p-4, -0x1.03180dab5b90ap-4, -0x1.fe26fe738eae7p-5, -0x1.f636d55408ca1p-5, -0x1.ee5f75dd1accp-5, -0x1.e6a0b58061362p-5, -0x1.defa6940e0614p-5, -0x1.d76c65b7b2de5p-5, -0x1.cff67f18a699fp-5, -0x1.c8988936d6219p-5, -0x1.c15257892ccbbp-5, -0x1.ba23bd2ee599bp-5, -0x1.b30c8cf3f3eeap-5, -0x1.ac0c99556596dp-5, -0x1.a523b485b1cf6p-5, -0x1.9e51b070fa959p-5, -0x1.97965ec146378p-5, -0x1.90f190e29c664p-5, -0x1.8a631807201cp-5, -0x1.83eac52b1a086p-5, -0x1.7d886918f109dp-5, -0x1.773bd46d0c238p-5, -0x1.7104d799b68eap-5, -0x1.6ae342eae36e3p-5, -0x1.64d6e689eceeap-5, -0x1.5edf928139032p-5, -0x1.58fd16bfe098cp-5, -0x1.532f431d2f61ep-5, -0x1.4d75e75c2b04cp-5, -0x1.47d0d32ef937ep-5, -0x1.423fd63a3f889p-5, -0x1.3cc2c0186a266p-5, -0x1.3759605cf3bd5p-5, -0x1.3203869789c65p-5, -0x1.2cc102572c44cp-5, -0x1.2791a32d3ebdp-5, -0x1.227538b080304p-5, -0x1.1d6b927ffdd0bp-5, -0x1.18748045ed6efp-5, -0x1.138fd1ba7db39p-5, -0x1.0ebd56a6940cap-5, -0x1.09fcdee67c886p-5, -0x1.054e3a6c8b433p-5, -0x1.00b13943a317dp-5, -0x1.f84b5723881a4p-6, -0x1.ef56c334e1e7fp-6, -0x1.e68457822d8dcp-6, -0x1.ddd3b516b9a29p-6, -0x1.d5447d46ddb6ep-6, -0x1.ccd651b44a6aep-6, -0x1.c488d4526f54bp-6, -0x1.bc5ba76a9ca4dp-6, -0x1.b44e6da00a0d2p-6, -0x1.ac60c9f3e6195p-6, -0x1.a4925fc90efa4p-6, -0x1.9ce2d2e7e06cdp-6, -0x1.9551c781ce431p-6, -0x1.8ddee234e5977p-6, -0x1.8689c80f2ad17p-6, -0x1.7f521e91ef381p-6, -0x1.78378bb502a16p-6, -0x1.7139b5e9bae8dp-6, -0x1.6a58441e03d8p-6, -0x1.6392ddbf27483p-6, -0x1.5ce92abca356cp-6, -0x1.565ad38ad87ep-6, -0x1.4fe781258f90fp-6, -0x1.498edd1282883p-6, -0x1.43509163b8458p-6, -0x1.3d2c48b9cf73ep-6, -0x1.3721ae4629091p-6, -0x1.31306dcd12c6ep-6, -0x1.2b5833a7bcf6p-6, -0x1.2598acc627aecp-6, -0x1.1ff186b0fdd68p-6, -0x1.1a626f8b51da9p-6, -0x1.14eb16144115dp-6, -0x1.0f8b29a897ebp-6, -0x1.0a425a4438a6p-6, -0x1.051058839d1abp-6, -0x1.ffe9ab4a3616bp-7, -0x1.f5df07146369ep-7, -0x1.ec002971560cap-7, -0x1.e24c78b78388ap-7, -0x1.d8c35c8a3c52fp-7, -0x1.cf643ddba7dc2p-7, -0x1.c62e86ee841bcp-7, -0x1.bd21a357afa0ep-7, -0x1.b43cffffccf81p-7, -0x1.ab800b24757ap-7, -0x1.a2ea3459a02d2p-7, -0x1.9a7aec8a7a81bp-7, -0x1.9231a5faa22a6p-7, -0x1.8a0dd446d2373p-7, -0x1.820eec65a54ddp-7, -0x1.7a3464a83078ap-7, -0x1.727db4ba7f00bp-7, -0x1.6aea55a3fd631p-7, -0x1.6379c1c7a389fp-7, -0x1.5c2b74e424a61p-7, -0x1.54feec1417ff4p-7, -0x1.4df3a5cdb6cecp-7, -0x1.470921e2d7528p-7, -0x1.403ee180a9cf1p-7, -0x1.3994672f5142bp-7, -0x1.330936d17d386p-7, -0x1.2c9cd5a3de076p-7, -0x1.264eca3c7a641p-7, -0x1.201e9c8a0ecb5p-7, -0x1.1a0bd5d32d509p-7, -0x1.141600b570fbfp-7, -0x1.0e3ca9247e35ep-7, -0x1.087f5c68fd25cp-7, -0x1.02dda91f8470fp-7, -0x1.faae3e6ed231ap-8, -0x1.efd69fe302cb6p-8, -0x1.e5339bbda56b9p-8, -0x1.dac459be5e81p-8, -0x1.d088043fa573ep-8, -0x1.c67dc8339fe91p-8, -0x1.bca4d52116123p-8, -0x1.b2fc5d2030638p-8, -0x1.a98394d72fa78p-8, -0x1.a039b376dcbc9p-8, -0x1.971df2b710cf3p-8, -0x1.8e2f8ed2fe3f8p-8, -0x1.856dc6858afap-8, -0x1.7cd7db055a082p-8, -0x1.746d1000fd191p-8, -0x1.6c2cab9ac6e65p-8, -0x1.6415f664eb498p-8, -0x1.5c283b5d34eafp-8, -0x1.5462c7e8be52p-8, -0x1.4cc4ebcfbc208p-8, -0x1.454df93900179p-8, -0x1.3dfd44a5ad168p-8, -0x1.36d224ec99c14p-8, -0x1.2fcbf335c0f14p-8, -0x1.28ea0af5b1deap-8, -0x1.222bc9e8f15e5p-8, -0x1.1b90900f1e0b3p-8, -0x1.1517bfa64fd41p-8, -0x1.0ec0bd263c6dp-8, -0x1.088aef3b561fep-8, -0x1.0275bec20361ap-8, -0x1.f9012d835cdfbp-9, -0x1.ed55c8cf86f49p-9, -0x1.e1e82e058741bp-9, -0x1.d6b73ffa7ca8bp-9, -0x1.cbc1e5b187ebfp-9, -0x1.c1070a51fa1bep-9, -0x1.b6859d1ccd2fbp-9, -0x1.ac3c9162ca916p-9, -0x1.a22ade79fab48p-9, -0x1.984f7fb3e7c7bp-9, -0x1.8ea97452c77d6p-9, -0x1.8537bf7fc7df4p-9, -0x1.7bf96840469ap-9, -0x1.72ed796bc68ebp-9, -0x1.6a1301a1a928fp-9, -0x1.6169133eb0895p-9, -0x1.58eec452ca4e5p-9, -0x1.50a32e96ca0adp-9, -0x1.48856f61eff0ep-9, -0x1.4094a79fc86fdp-9, -0x1.38cffbc5dd17ep-9, -0x1.313693c9540acp-9, -0x1.29c79b14d92b1p-9, -0x1.2282407e336bp-9, -0x1.1b65b63c35dcdp-9, -0x1.147131dc90ae2p-9, -0x1.0da3ec398c2d8p-9, -0x1.06fd217019f23p-9, -0x1.007c10d5a0c6p-9, -0x1.f43ff9dbdfeccp-10, -0x1.e7d056c2a2197p-10, -0x1.dba7c9e4fd008p-10, -0x1.cfc4eae988222p-10, -0x1.c426578467ee5p-10, -0x1.b8cab3632023ap-10, -0x1.adb0a819c696dp-10, -0x1.a2d6e50efab8ep-10, -0x1.983c1f68c2cd3p-10, -0x1.8ddf11f934343p-10, -0x1.83be7d2b87cbfp-10, -0x1.79d926f136335p-10, -0x1.702ddaae8aafbp-10, -0x1.66bb692876f5bp-10, -0x1.5d80a8715c1a5p-10, -0x1.547c73d74950ep-10, -0x1.4badabd0d800ap-10, -0x1.431335eb8b293p-10, -0x1.3aabfcb919cedp-10, -0x1.3276efbdfc881p-10, -0x1.2a73035f56aabp-10, -0x1.229f30d16332ep-10, -0x1.1afa7605951aep-10, -0x1.1383d599b1a62p-10, -0x1.0c3a56c6085dbp-10, -0x1.051d054cb58dp-10, -0x1.fc55e2d12c504p-11, -0x1.eec65f787e5f1p-11, -0x1.e189b2833ffa5p-11, -0x1.d49e1672770b7p-11, -0x1.c801ce34044fp-11, -0x1.bbb32501b3779p-11, -0x1.afb06e420183ap-11, -0x1.a3f80566e2575p-11, -0x1.98884dd033d0fp-11, -0x1.8d5fb2aa8241fp-11, -0x1.827ca6d1e7269p-11, -0x1.77dda4b233a83p-11, -0x1.6d812e29d241ep-11, -0x1.6365cc6b183f9p-11, -0x1.598a0fdeb043cp-11, -0x1.4fec9006c6ae2p-11, -0x1.468beb61d6889p-11, -0x1.3d66c74e14145p-11, -0x1.347bcfed38d7cp-11, -0x1.2bc9b8082436bp-11, -0x1.234f38f3cd95fp-11, -0x1.1b0b12751fb94p-11, -0x1.12fc0aa6af424p-11, -0x1.0b20eddd6d8dbp-11, -0x1.03788e8eaa2e8p-11, -0x1.f8038a6b84e39p-12, -0x1.e976e074de606p-12, -0x1.db48e7ae96484p-12, -0x1.cd7774019cb05p-12, -0x1.c00064980c824p-12, -0x1.b2e1a3ad6fde7p-12, -0x1.a619265d16e5dp-12, -0x1.99a4ec7320775p-12, -0x1.8d83003cd43p-12, -0x1.81b1765a0bfc5p-12, -0x1.762e6d9007c04p-12, -0x1.6af80e9acf409p-12, -0x1.600c8c0151b59p-12, -0x1.556a21e8a261dp-12, -0x1.4b0f15e8ab69cp-12, -0x1.40f9b6e1de37bp-12, -0x1.37285cd10b73p-12, -0x1.2d9968a782b11p-12, -0x1.244b4420bfb29p-12, -0x1.1b3c619a07edp-12, -0x1.126b3bea2b34ap-12, -0x1.09d6563a3c8dp-12, -0x1.017c3bde9cefep-12, -0x1.f2b70060431b6p-13, -0x1.e2e57ccddce77p-13, -0x1.d38132e89e478p-13, -0x1.c48777bdf5bc6p-13, -0x1.b5f5af3c5829p-13, -0x1.a7c94bec65399p-13, -0x1.99ffceaa4ad6fp-13, -0x1.8c96c6618415ep-13, -0x1.7f8bcfc66b813p-13, -0x1.72dc95167673cp-13, -0x1.6686cdd29dc18p-13, -0x1.5a883e80529e4p-13, -0x1.4edeb8698b212p-13, -0x1.4388195ce1b2ep-13, -0x1.38824b6f0d755p-13, -0x1.2dcb44bf15a0ep-13, -0x1.236107391bb14p-13, -0x1.1941a05b67d5dp-13, -0x1.0f6b28fbfb965p-13, -0x1.05dbc50f93f67p-13, -0x1.f92346e31427fp-14, -0x1.e715fb5570ee4p-14, -0x1.d58c2f7b7dc6ap-14, -0x1.c4827fdbd4b71p-14, -0x1.b3f59d1ae0e7p-14, -0x1.a3e24b8f589fp-14, -0x1.944562dbfb1efp-14, -0x1.851bcd8ee5845p-14, -0x1.766288b940a01p-14, -0x1.6816a392f96bap-14, -0x1.5a353f18b059ap-14, -0x1.4cbb8daf1985cp-14, -0x1.3fa6d2c5fdf56p-14, -0x1.32f4627e70517p-14, -0x1.26a1a1518c56bp-14, -0x1.1aac03b8b092fp-14, -0x1.0f110dd7209a7p-14, -0x1.03ce53264ebdfp-14, -0x1.f1c2ec4628871p-15, -0x1.dc904ff513363p-15, -0x1.c800507af7daap-15, -0x1.b40e891a95cbcp-15, -0x1.a0b6b0a49a32fp-15, -0x1.8df498dd32ba4p-15, -0x1.7bc42de6d20d8p-15, -0x1.6a2175afcbc7bp-15, -0x1.59088f65b0dedp-15, -0x1.4875b2e4ca641p-15, -0x1.3865302f73b6dp-15, -0x1.28d36ee67d2b4p-15, -0x1.19bcedc39cb65p-15, -0x1.0b1e42184dde5p-15, -0x1.f9e82e92c319ap-16, -0x1.de765cadae62ep-16, -0x1.c3e0babc464dcp-16, -0x1.aa211e3944425p-16, -0x1.913184feb6436p-16, -0x1.790c14541c3d5p-16, -0x1.61ab1812dbd1dp-16, -0x1.4b0901b9abef8p-16, -0x1.3520679c1b5d4p-16, -0x1.1fec04034ecdep-16, -0x1.0b66b45df2107p-16, -0x1.ef16f0e6bd6abp-17, -0x1.c8aae32445967p-17, -0x1.a37fc3997e7aap-17, -0x1.7f8c56736c9f1p-17, -0x1.5cc79e5a03974p-17, -0x1.3b28db027e266p-17, -0x1.1aa787bf8bd5bp-17, -0x1.f676b42952f35p-18, -0x1.b9b880b0f0749p-18, -0x1.7f04c0c525b7cp-18, -0x1.464c2c48b0977p-18, -0x1.0f7fe4eed337dp-18, -0x1.b522e71709e93p-19, -0x1.4ee58b44bddap-19, -0x1.d858abd43158p-20, -0x1.19b94cd264053p-20, -0x1.86e4b8feb2afcp-22, 0x1.3f6838481eb44p-22, 0x1.f662c49f164f3p-21, 0x1.a07c6d4865105p-20, 0x1.1ff4bd7afa4d6p-19, 0x1.6cd2c6905b231p-19, 0x1.b6ee31a62716p-19, 0x1.fe5c4174b5065p-19, 0x1.2198cfcb7fba5p-18, 0x1.42c1302997539p-18, 0x1.62b103434d528p-18, 0x1.8171c38e0d5e8p-18, 0x1.9f0ca6711c3d6p-18, 0x1.bb8a9de642ae8p-18, 0x1.d6f45a5607f33p-18, 0x1.f1524c29298d4p-18, 0x1.055652c01b8b2p-17, 0x1.1185ade67a453p-17, 0x1.1d3b14aec6b9ep-17, 0x1.287a4779fba7dp-17, 0x1.3346ea9d307f8p-17, 0x1.3da4871e60afap-17, 0x1.47968b710ce5dp-17, 0x1.51204c2699e9ep-17, 0x1.5a45049db3452p-17, 0x1.6307d7af18dbbp-17, 0x1.6b6bd054f62cp-17, 0x1.7373e24f6c4bap-17, 0x1.7b22eac45b8eep-17, 0x1.827bb0d83f21bp-17, 0x1.8980e64d8a99p-17, 0x1.9035281265d48p-17, 0x1.969afed92979dp-17, 0x1.9cb4dfa106ea5p-17, 0x1.a2852c4400ac6p-17, 0x1.a80e33fd3adc9p-17, 0x1.ad5233ecf419fp-17, 0x1.b2535798f2859p-17, 0x1.b713b96cbe515p-17, 0x1.bb95633174aacp-17, 0x1.bfda4e89cdbfap-17, 0x1.c3e4656403911p-17, 0x1.c7b5826b20044p-17, 0x1.cb4f71780736ap-17, 0x1.ceb3efff11472p-17, 0x1.d1e4ad778b5afp-17, 0x1.d4e34bc602012p-17, 0x1.d7b15f9bbb221p-17, 0x1.da5070def8215p-17, 0x1.dcc1fb06c59d1p-17, 0x1.df076d79d3f47p-17, 0x1.e1222be80ae3dp-17, 0x1.e3138ea3d511ap-17, 0x1.e4dce2fa23065p-17, 0x1.e67f6b844cba7p-17, 0x1.e7fc607b1a93ep-17, 0x1.e954f00672054p-17, 0x1.ea8a3e8977b17p-17, 0x1.eb9d66f272ce6p-17, 0x1.ec8f7afed1243p-17, 0x1.ed618387ed7b4p-17, 0x1.ee1480c67c495p-17, 0x1.eea96a976da06p-17, 0x1.ef2130be1cceap-17, 0x1.ef7cbb25c1c1ep-17, 0x1.efbcea1d42b6p-17, 0x1.efe29697e75d7p-17, 0x1.efee9264ac851p-17, 0x1.efe1a86c604eep-17, 0x1.efbc9ce7a49b5p-17, 0x1.ef802d94baaecp-17, 0x1.ef2d11eebfc6cp-17, 0x1.eec3fb6033709p-17, 0x1.ee459575937dbp-17, 0x1.edb2860da7a86p-17, 0x1.ed0b6d893021cp-17, 0x1.ec50e6f978386p-17, 0x1.eb83884c7617cp-17, 0x1.eaa3e279edf03p-17, 0x1.e9b281ab8e2bfp-17, 0x1.e8afed68d2a75p-17, 0x1.e79ca8bb21ae2p-17, 0x1.e6793257e93d8p-17, 0x1.e54604c45b729p-17, 0x1.e403967b5e765p-17, 0x1.e2b25a0f3523dp-17, 0x1.e152be4d5849p-17, 0x1.dfe52e5f276bcp-17, 0x1.de6a11eb53776p-17, 0x1.dce1cd3425406p-17, 0x1.db4cc135e52dcp-17, 0x1.d9ab4bc502082p-17, 0x1.d7fdc7aa76257p-17, 0x1.d6448cc032583p-17, 0x1.d47ff00ae669p-17, 0x1.d2b043d43fbd7p-17, 0x1.d0d5d7c52dc1bp-17, 0x1.cef0f8fd5a128p-17, 0x1.cd01f22b61c3ap-17, 0x1.cb090ba2931abp-17, 0x1.c9068b73802fbp-17, 0x1.c6fab57edc39cp-17, 0x1.c4e5cb8c77c88p-17, 0x1.c2c80d5e28273p-17, 0x1.c0a1b8c3b2286p-17, 0x1.be7309ae58b5ap-17, 0x1.bc3c3a40fad44p-17, 0x1.b9fd82e383f14p-17, 0x1.b7b71a53ab4eep-17, 0x1.b56935b467fa6p-17, 0x1.b314089eca2aap-17, 0x1.b0b7c531cb72p-17, 0x1.ae549c1fc489ap-17, 0x1.abeabcbe34ddcp-17, 0x1.a97a55123d96bp-17, 0x1.a70391de42a01p-17, 0x1.a4869eaf0e4e8p-17, 0x1.a203a5e89a3b4p-17, 0x1.9f7ad0d1e1af1p-17, 0x1.9cec479fe0341p-17, 0x1.9a5831815879ep-17, 0x1.97beb4a8ef332p-17, 0x1.951ff657f4554p-17, 0x1.927c1ae80d8d4p-17, 0x1.8fd345d4dc628p-17, 0x1.8d2599c502effp-17, 0x1.8a73389308e9ap-17, 0x1.87bc4355e184p-17, 0x1.8500da69badabp-17, 0x1.82411d7760bbap-17, 0x1.7f7d2b7b89d31p-17, 0x1.7cb522ce476eep-17, 0x1.79e9212a1a769p-17, 0x1.771943b2c6184p-17, 0x1.7445a6fba6856p-17, 0x1.716e670dafc68p-17, 0x1.6e939f6d0078ap-17, 0x1.6bb56b1f31556p-17, 0x1.68d3e4b03de2p-17, 0x1.65ef2638311ep-17, 0x1.6307495fe748fp-17, 0x1.601c67654df43p-17, 0x1.5d2e9920739bbp-17, 0x1.5a3df707b7dd2p-17, 0x1.574a99334a6cfp-17, 0x1.5454976247a6ap-17, 0x1.515c08fe79ccdp-17, 0x1.4e61051f0bec7p-17, 0x1.4b63a28c38a9fp-17, 0x1.4863f7c2924d6p-17, 0x1.45621af632988p-17, 0x1.425e2215a089ap-17, 0x1.3f5822cc2ff27p-17, 0x1.3c5032852d8eep-17, 0x1.3946666ebedf3p-17, 0x1.363ad37b02d1cp-17, 0x1.332d8e63412a4p-17, 0x1.301eabaa1432cp-17, 0x1.2d0e3f9d260c1p-17, 0x1.29fc5e569bd9dp-17, 0x1.26e91bbf063c7p-17, 0x1.23d48b90a0929p-17, 0x1.20bec156f3279p-17, 0x1.1da7d0713664cp-17, 0x1.1a8fcc13b1298p-17, 0x1.1776c7486e175p-17, 0x1.145cd4f0de831p-17, 0x1.114207c72bd49p-17, 0x1.0e26725f59eb6p-17, 0x1.0b0a272787d37p-17, 0x1.07ed386908133p-17, 0x1.04cfb8497d962p-17, 0x1.01b1b8cbe342bp-17, 0x1.fd2697a244de5p-18, 0x1.f6e906302c1bp-18, 0x1.f0aae07d42c65p-18, 0x1.ea6c4984f9a58p-18, 0x1.e42d640290096p-18, 0x1.ddee5272c0fb1p-18, 0x1.d7af3713f032fp-18, 0x1.d17033e602e56p-18, 0x1.cb316aabeef5cp-18, 0x1.c4f2fcec1c62ap-18, 0x1.beb50bf169d5p-18, 0x1.b877b8ca3a834p-18, 0x1.b23b2449f059ap-18, 0x1.abff6f0919ceap-18, 0x1.a5c4b96477fd6p-18, 0x1.9f8b237dabdfcp-18, 0x1.9952cd3b290c2p-18, 0x1.931bd649e1279p-18, 0x1.8ce65e1b2e182p-18, 0x1.86b283e58df25p-18, 0x1.808066a4328fcp-18, 0x1.7a50251832cbep-18, 0x1.7421ddc604974p-18, 0x1.6df5aef70b96fp-18, 0x1.67cbb6b82475ep-18, 0x1.61a412d9cef9fp-18, 0x1.5b7ee0f0b299dp-18, 0x1.555c3e540b8adp-18, 0x1.4f3c481d9c0ddp-18, 0x1.491f1b29b3104p-18, 0x1.4304d416f7b71p-18, 0x1.3ced8f45300ffp-18, 0x1.36d968d53a70ap-18, 0x1.30c87ca8318b3p-18, 0x1.2abae66001bbbp-18, 0x1.24b0c15e7af43p-18, 0x1.1eaa28c5073d2p-18, 0x1.18a73773a4214p-18, 0x1.12a80808cf5dfp-18, 0x1.0cacb4e078d1p-18, 0x1.06b55813ce4cdp-18, 0x1.00c20b7945659p-18, 0x1.f5a5d14810e31p-19, 0x1.e9d011c54ea5dp-19, 0x1.de030a7f62c45p-19, 0x1.d23eed0124a24p-19, 0x1.c683ea49711bap-19, 0x1.bad232cc2cc5fp-19, 0x1.af29f670a4e3p-19, 0x1.a38b649046cbdp-19, 0x1.97f6abf5d190dp-19, 0x1.8c6bfadd49df4p-19, 0x1.80eb7ef4200ccp-19, 0x1.7575655695b3dp-19, 0x1.6a09da8e2061ap-19, 0x1.5ea90a90b2d8ap-19, 0x1.535320c263092p-19, 0x1.480847f367ddp-19, 0x1.3cc8aa5eefc3cp-19, 0x1.319471aaea823p-19, 0x1.266bc6e833db8p-19, 0x1.1b4ed29031ab8p-19, 0x1.103dbc8597e5fp-19, 0x1.0538ac132c1c7p-19, 0x1.f47f8fd67897dp-20, 0x1.dea66c517d07bp-20, 0x1.c8e638998414cp-20, 0x1.b33f3e7d22be6p-20, 0x1.9db1c6989e0f1p-20, 0x1.883e1854af361p-20, 0x1.72e479e504c23p-20, 0x1.5da53047666cbp-20, 0x1.48807f425fd54p-20, 0x1.3376a9654ae2ap-20, 0x1.1e87f00a1e148p-20, 0x1.09b4935167a62p-20, 0x1.e9f9a451c88e5p-21, 0x1.c0c1d48277338p-21, 0x1.97c2302b83faep-21, 0x1.6efb2dcdb41dfp-21, 0x1.466d4182c3a67p-21, 0x1.1e18dceee87b8p-21, 0x1.ebfcde8c169edp-22, 0x1.9c3ccaa3c9a8p-22, 0x1.4cf252d365055p-22, 0x1.fc3c8df0f05ccp-23, 0x1.5f82e41c192b7p-23, 0x1.877269077f2c5p-24, 0x1.47080dbb5fabap-26, -0x1.c410ed3670e59p-25, -0x1.09f513329ac8ep-23, -0x1.a1f02040b0fddp-23, -0x1.1c7a032be8684p-22, -0x1.677fb96e38b1cp-22, -0x1.b2088e6580579p-22, -0x1.fc13e253b6365p-22, -0x1.22d08d1826c15p-21, -0x1.4757cfd2a4318p-21, -0x1.6b9f7090c0a12p-21, -0x1.8fa728dbdf7a5p-21, -0x1.b36eb497289a2p-21, -0x1.d6f5d1f510b1ep-21, -0x1.fa3c417705ce4p-21, -0x1.0ea0e2f794cd2p-20, -0x1.2003123b2d17fp-20, -0x1.3144923718305p-20, -0x1.426547bf9f08bp-20, -0x1.536518c9fbb7p-20, -0x1.6443ec6a4f2e6p-20, -0x1.7501aacf6a1cep-20, -0x1.859e3d48ece47p-20, -0x1.96198e3f16713p-20, -0x1.a6738930da3b2p-20, -0x1.b6ac1ab58c026p-20, -0x1.c6c330788ab2cp-20, -0x1.d6b8b93751c95p-20, -0x1.e68ca4c1bb0bcp-20, -0x1.f63ee3f775704p-20, -0x1.02e7b46261c6bp-19, -0x1.0a9f130f7a6ebp-19, -0x1.12458802479fcp-19, -0x1.19db0dbedc84ep-19, -0x1.215f9f4a60be9p-19, -0x1.28d3382bb0113p-19, -0x1.3035d468e1707p-19, -0x1.3787708932249p-19, -0x1.3ec80990bcc9p-19, -0x1.45f79d0044d75p-19, -0x1.4d1628d4a5625p-19, -0x1.5423ab85e0b3fp-19, -0x1.5b202404c42bap-19, -0x1.620b91ba59db9p-19, -0x1.68e5f48677997p-19, -0x1.6faf4cbff24c6p-19, -0x1.76679b314df3fp-19, -0x1.7d0ee118dcc8ap-19, -0x1.83a52028862aap-19, -0x1.8a2a5a80df196p-19, -0x1.909e92b386e89p-19, -0x1.9701cbbf8b2f9p-19, -0x1.9d54091314abdp-19, -0x1.a3954e87016d9p-19, -0x1.a9c5a0608759fp-19, -0x1.afe5034bda7f9p-19, -0x1.b5f37c5e48145p-19, -0x1.bbf11115e3725p-19, -0x1.c1ddc7550e657p-19, -0x1.c7b9a562646acp-19, -0x1.cd84b1e7566f9p-19, -0x1.d33ef3f0c4283p-19, -0x1.d8e872eacfe17p-19, -0x1.de8136a032242p-19, -0x1.e409473bb2b62p-19, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.6d0c9dc5ae25p-9, 0x1.6d226a8cda0b8p-8, 0x1.11e40ebf361a5p-7, 0x1.6d1ce5fd8c858p-7, 0x1.c80403a1ae9adp-7, 0x1.112646a36eb76p-6, 0x1.3dccf8b476d2fp-6, 0x1.69c2cf71e291dp-6, 0x1.94d22c677b659p-6, 0x1.bec56de4af054p-6, 0x1.e768df208059dp-6, 0x1.0746235ff754ep-5, 0x1.1a020cba86e2cp-5, 0x1.2bd52c066666cp-5, 0x1.3caf90657cf2cp-5, 0x1.4c847e27658b2p-5, 0x1.5b4a774fd8044p-5, 0x1.68fb2ab29c5eap-5, 0x1.75934e452af9ap-5, 0x1.81126943bf23cp-5, 0x1.8b7a929d5f124p-5, 0x1.94d027c932816p-5, 0x1.9d197fb5e4167p-5, 0x1.a45e9cfba1276p-5, 0x1.aaa8e1e5075a9p-5, 0x1.b002c84d9f8fcp-5, 0x1.b4779ec54e577p-5, 0x1.b8134be642c4fp-5, 0x1.bae2185a452f2p-5, 0x1.bcf07faf3caeep-5, 0x1.be4b07d160e21p-5, 0x1.befe1ecbb8ceap-5, 0x1.bf15fe4a9362ep-5, 0x1.be9e944600853p-5, 0x1.bda3703100da7p-5, 0x1.bc2fb40aa2d57p-5, 0x1.ba4e08b628465p-5, 0x1.b808950c12d8bp-5, 0x1.b568f72629782p-5, 0x1.b2783f7a078b2p-5, 0x1.af3eed67a708dp-5, 0x1.abc4ecf274a4ep-5, 0x1.a811956b5aa13p-5, 0x1.a42ba8e01723fp-5, 0x1.a019543045e41p-5, 0x1.9be02fb2384bdp-5, 0x1.97854059ab51fp-5, 0x1.930cf95832247p-5, 0x1.8e7b3e334ca1p-5, 0x1.89d3654ec6f21p-5, 0x1.85183aeb7dc3ap-5, 0x1.804c049aa38dep-5, 0x1.7b708525a5399p-5, 0x1.768700e96fb0fp-5, 0x1.719042a290bd8p-5, 0x1.6c8ca0a61ab1fp-5, 0x1.677c028173e59p-5, 0x1.625de6f981749p-5, 0x1.5d316a603144cp-5, 0x1.57f54d35e98dbp-5, 0x1.52a7fb0b56fa9p-5, 0x1.4d479197211edp-5, 0x1.47d1e7f272807p-5, 0x1.424495eef46d6p-5, 0x1.3c9cfb78ad35fp-5, 0x1.36d847f66863fp-5, 0x1.30f3819baaf5ap-5, 0x1.2aeb8c9fbfe64p-5, 0x1.24bd324e1cc3p-5, 0x1.1e6527e54697cp-5, 0x1.17e0153a53588p-5, 0x1.112a9b1819225p-5, 0x1.0a41595261cffp-5, 0x1.0320f48670affp-5, 0x1.f78c3706a4672p-6, 0x1.e85b18ab4c644p-6, 0x1.d8a831e737017p-6, 0x1.c86d570d9f0c6p-6, 0x1.b7a494a5d69c4p-6, 0x1.a64836714db0ep-6, 0x1.9452cdab89531p-6, 0x1.81bf3686d4c0fp-6, 0x1.6e889ce9b9e0cp-6, 0x1.5aaa8072a3824p-6, 0x1.4620b7c84b6c7p-6, 0x1.30e7733e2d833p-6, 0x1.1afb3ed565c7fp-6, 0x1.045903a2c0c98p-6, 0x1.d9fc11468dbb3p-7, 0x1.a9cfe6123b1fap-7, 0x1.78298c1528bb6p-7, 0x1.4505c47b077e1p-7, 0x1.10620911e4ed1p-7, 0x1.b47912dd083cap-8, 0x1.45284eca3e05ep-8, 0x1.a5a1cba82cb94p-9, 0x1.75cd2b67b466bp-10, -0x1.aeec67ee2a36ap-12, -0x1.2ca4a97e9f3cep-9, -0x1.14b334377df7bp-8, -0x1.960c131ac9fcdp-8, -0x1.0d2b43024348fp-7, -0x1.50c58a63e9c02p-7, -0x1.95d0a3b9948edp-7, -0x1.dc47d9b7a0165p-7, -0x1.121302292ec7dp-6, -0x1.36b2c7a53dfffp-6, -0x1.5c00405535456p-6, -0x1.81f83f96718f7p-6, -0x1.a8976c42fcb1dp-6, -0x1.cfda43c41e397p-6, -0x1.f7bd1d10a25fep-6, -0x1.101e15ca450b2p-5, -0x1.24a9c1001ef53p-5, -0x1.397f8a7ef1f61p-5, -0x1.4e9d5ee5d60dep-5, -0x1.64011e5d115afp-5, -0x1.79a89dc706423p-5, -0x1.8f91a7e2b5b3p-5, -0x1.a5b9fe5fbfp-5, -0x1.bc1f5ae3ef9a1p-5, -0x1.d2bf700298dc7p-5, -0x1.e997ea25babp-5, -0x1.00533834ba56p-4, -0x1.0bf452b4fe578p-4, -0x1.17ae14024e8eep-4, -0x1.237f4a060d3e7p-4, -0x1.2f66c17878d7dp-4, -0x1.3b63462f14241p-4, -0x1.4773a36575b67p-4, -0x1.5396a400ebe9dp-4, -0x1.5fcb12cf278acp-4, -0x1.6c0fbac0349ccp-4, -0x1.7863671c21cd4p-4, -0x1.84c4e3b482be4p-4, -0x1.9132fd122a375p-4, -0x1.9dac809f5ca14p-4, -0x1.aa303ccec183ep-4, -0x1.b6bd013f48cd1p-4, -0x1.c3519edd6d9c7p-4, -0x1.cfece801dc607p-4, -0x1.dc8db08deecc8p-4, -0x1.e932ce060835ep-4, -0x1.f5db17aa38602p-4, -0x1.0142b346917b6p-3, -0x1.07984ad4c7fd8p-3, -0x1.0dedc0fb55361p-3, -0x1.1442853d98021p-3, -0x1.1a96082fd3934p-3, -0x1.20e7bb7fe8c3ap-3, -0x1.273711fdb30dcp-3, -0x1.2d837fa329b4bp-3, -0x1.33cc799c37085p-3, -0x1.3a11764e71c28p-3, -0x1.4051ed60ab495p-3, -0x1.468d57c268d5dp-3, -0x1.4cc32fb3485f8p-3, -0x1.52f2f0ca61213p-3, -0x1.591c17fd9df6cp-3, -0x1.5f3e23a9197c5p-3, -0x1.6558939681376p-3, -0x1.6b6ae904842eep-3, -0x1.7174a6ae44275p-3, -0x1.777550d2e060bp-3, -0x1.7d6c6d3d04ba6p-3, -0x1.8359834a898dcp-3, -0x1.893c1bf420b9dp-3, -0x1.8f13c1d50f006p-3, -0x1.94e00132ef0f2p-3, -0x1.9aa0680581bb4p-3, -0x1.a05485fe78f57p-3, -0x1.a5fbec915536fp-3, -0x1.ab962efb369dfp-3, -0x1.b122e24aaeeb5p-3, -0x1.b6a19d6793804p-3, -0x1.bc11f91ab6badp-3, -0x1.c1739015a0713p-3, -0x1.c6c5fefa2dcc7p-3, -0x1.cc08e46217a06p-3, -0x1.d13be0e6672c2p-3, -0x1.d65e9726c0a24p-3, -0x1.db70abd096d1dp-3, -0x1.e071c5a62ae9fp-3, -0x1.e5618d856e55ap-3, -0x1.ea3fae6ea9a7dp-3, -0x1.ef0bd58af94f8p-3, -0x1.f3c5b2328d99dp-3, -0x1.f86cf5f2b42bbp-3, -0x1.fd015493a3e7fp-3, -0x1.00c1420f005adp-2, -0x1.02f81e70130c7p-2, -0x1.05251cb990e08p-2, -0x1.07481b5fb2195p-2, -0x1.0960fa00958a5p-2, -0x1.0b6f99664aa44p-2, -0x1.0d73db88b29a9p-2, -0x1.0f6da38f3c26bp-2, -0x1.115cd5d26e79fp-2, -0x1.134157dd4b489p-2, -0x1.151b106e85ba8p-2, -0x1.16e9e77989dd3p-2, -0x1.18adc62756576p-2, -0x1.1a6696d72b74p-2, -0x1.1c14451f07289p-2, -0x1.1db6bdcbf3cecp-2, -0x1.1f4deee22a728p-2, -0x1.20d9c79d01aacp-2, -0x1.225a386eb159p-2, -0x1.23cf32ffe5261p-2, -0x1.2538aa2f1f0f1p-2, -0x1.2696920fef48ep-2, -0x1.27e8dfe9f98fdp-2, -0x1.292f8a37cd9b5p-2, -0x1.2a6a88a595589p-2, -0x1.2b99d40f8fb0bp-2, -0x1.2cbd6680657b9p-2, -0x1.2dd53b2f4e124p-2, -0x1.2ee14e7e09a87p-2, -0x1.2fe19df6b4819p-2, -0x1.30d628496aa64p-2, -0x1.31beed49c86a3p-2, -0x1.329bedec40498p-2, -0x1.336d2c4348bf9p-2, -0x1.3432ab7c67d08p-2, -0x1.34ec6fdd168c6p-2, -0x1.359a7ebf81641p-2, -0x1.363cde8f25be7p-2, -0x1.36d396c54f02ap-2, -0x1.375eafe57073p-2, -0x1.37de33796200ep-2, -0x1.38522c0d7bb3cp-2, -0x1.38baa52c9a31bp-2, -0x1.3917ab5bfde57p-2, -0x1.39694c17188d4p-2, -0x1.39af95cb3a3ddp-2, -0x1.39ea97d32bec6p-2, -0x1.3a1a6272ae44p-2, -0x1.3a3f06d1e4afdp-2, -0x1.3a5896f8aad8cp-2, -0x1.3a6725c9d8fc1p-2, -0x1.3a6ac6fe7406fp-2, -0x1.3a638f20cba95p-2, -0x1.3a5193878c192p-2, -0x1.3a34ea50bf1e4p-2, -0x1.3a0daa5cbf7cbp-2, -0x1.39dbeb49215fbp-2, -0x1.399fc56b90a7bp-2, -0x1.395951cca2e73p-2, -0x1.3908aa22a2c75p-2, -0x1.38ade8cc53f22p-2, -0x1.384928cbaf82bp-2, -0x1.37da85c09c802p-2, -0x1.37621be3a3119p-2, -0x1.36e008009ed0cp-2, -0x1.365467716c466p-2, -0x1.35bf581898287p-2, -0x1.3520f85c0bf57p-2, -0x1.3479671fbef56p-2, -0x1.33c8c3c065e89p-2, -0x1.330f2e0e286efp-2, -0x1.324cc64758a16p-2, -0x1.3181ad1330d41p-2, -0x1.30ae037c946c9p-2, -0x1.2fd1eaecdc97dp-2, -0x1.2eed8526a570fp-2, -0x1.2e00f440aa1cp-2, -0x1.2d0c5aa0a4656p-2, -0x1.2c0fdaf63992fp-2, -0x1.2b0b9835f071bp-2, -0x1.29ffb59432d29p-2, -0x1.28ec56805a065p-2, -0x1.27d19e9fc8fbp-2, -0x1.26afb1c914dddp-2, -0x1.2586b3ff36177p-2, -0x1.2456c96cce654p-2, -0x1.2320165f79f0ap-2, -0x1.21e2bf43303c4p-2, -0x1.209ee89db404dp-2, -0x1.1f54b70a17cddp-2, -0x1.1e044f344dddep-2, -0x1.1cadd5d4cd569p-2, -0x1.1b516fac46415p-2, -0x1.19ef417f6ab81p-2, -0x1.18877012c6914p-2, -0x1.171a2026af3cdp-2, -0x1.15a776733ff13p-2, -0x1.142f97a4703bdp-2, -0x1.12b2a85637c3bp-2, -0x1.1130cd10cb1d1p-2, -0x1.0faa2a44e8e36p-2, -0x1.0e1ee4483e92bp-2, -0x1.0c8f1f51df699p-2, -0x1.0afaff76d0d7cp-2, -0x1.0962a8a6a965bp-2, -0x1.07c63ea84c327p-2, -0x1.0625e516ae1e5p-2, -0x1.0481bf5db8ddfp-2, -0x1.02d9f0b742485p-2, -0x1.012e9c2812286p-2, -0x1.feffc8fa0f71cp-3, -0x1.fb9bd890952p-3, -0x1.f831abbd2e7f6p-3, -0x1.f4c186a93ea08p-3, -0x1.f14bacf8ff51cp-3, -0x1.edd061c68cb9dp-3, -0x1.ea4fe79d31284p-3, -0x1.e6ca8074c27dep-3, -0x1.e3406dad3fcaap-3, -0x1.dfb1f00a86ac7p-3, -0x1.dc1f47b03d73bp-3, -0x1.d888b41de31b2p-3, -0x1.d4ee742b05f3cp-3, -0x1.d150c603a8ee8p-3, -0x1.cdafe724c972cp-3, -0x1.ca0c14591675cp-3, -0x1.c66589b5c3b87p-3, -0x1.c2bc8297938e8p-3, -0x1.bf11399ff4e02p-3, -0x1.bb63e8b25b3ap-3, -0x1.b7b4c8f1abf97p-3, -0x1.b40412bddcbacp-3, -0x1.b051fdb1b090cp-3, -0x1.ac9ec0a09e93cp-3, -0x1.a8ea9194d3b54p-3, -0x1.a535a5cd66b6cp-3, -0x1.a18031bca05bbp-3, -0x1.9dca69066f96dp-3, -0x1.9a147e7efd612p-3, -0x1.965ea4295d98bp-3, -0x1.92a90b366cbb2p-3, -0x1.8ef3e403bbb32p-3, -0x1.8b3f5e1aace7ep-3, -0x1.878ba82fa6694p-3, -0x1.83d8f021682bbp-3, -0x1.802762f877612p-3, -0x1.7c772ce6b5cc5p-3, -0x1.78c879470483ep-3, -0x1.751b729d12b04p-3, -0x1.717042953c1ecp-3, -0x1.6dc712048a22dp-3, -0x1.6a2008e8cc371p-3, -0x1.667b4e68c77cep-3, -0x1.62d908d482622p-3, -0x1.5f395da5aaa9cp-3, -0x1.5b9c71800d0c9p-3, -0x1.580268322ac18p-3, -0x1.546b64b5e17f4p-3, -0x1.50d7893127b8cp-3, -0x1.4d46f6f6e33dp-3, -0x1.49b9ce87d24fap-3, -0x1.46302f9385788p-3, -0x1.42aa38f973b5bp-3, -0x1.3f2808ca185b3p-3, -0x1.3ba9bc482df97p-3, -0x1.382f6fe9ef6bep-3, -0x1.34b93f5a742c5p-3, -0x1.3147457b1490bp-3, -0x1.2dd99c64e4e7cp-3, -0x1.2a705d6a39618p-3, -0x1.270ba1183f13bp-3, -0x1.23ab7f389ce95p-3, -0x1.20500ed3270a7p-3, -0x1.1cf9662f9a2f4p-3, -0x1.19a79ad76a4cap-3, -0x1.165ac19795a68p-3, -0x1.1312ee8286d6ap-3, -0x1.0fd034f20323ep-3, -0x1.0c92a7891f016p-3, -0x1.095a58363edecp-3, -0x1.062758352285dp-3, -0x1.02f9b810f4deep-3, -0x1.ffa30f4cd00a7p-4, -0x1.f95dac4ba9c05p-4, -0x1.f323642ad361p-4, -0x1.ecf452a6a4eaep-4, -0x1.e6d0922fee9e7p-4, -0x1.e0b83bf067b02p-4, -0x1.daab67cf3054fp-4, -0x1.d4aa2c756727ep-4, -0x1.ceb49f52b5c4ep-4, -0x1.c8cad4a1fb4adp-4, -0x1.c2ecdf6ddfff8p-4, -0x1.bd1ad19594ee1p-4, -0x1.b754bbd17922dp-4, -0x1.b19aadb7d787p-4, -0x1.abecb5c19db46p-4, -0x1.a64ae14f1d55bp-4, -0x1.a0b53caccbc5dp-4, -0x1.9b2bd3180c3cbp-4, -0x1.95aeaec3ee8c7p-4, -0x1.903dd8ddf4e8dp-4, -0x1.8ad95992e05d6p-4, -0x1.858138136fe52p-4, -0x1.80357a992a975p-4, -0x1.7af6266b1ebf6p-4, -0x1.75c33fe2a44bcp-4, -0x1.709cca701aaabp-4, -0x1.6b82c89fa2f4cp-4, -0x1.66753c1dd8aefp-4, -0x1.617425bc7de2bp-4, -0x1.5c7f85773277fp-4, -0x1.57975a78120c9p-4, -0x1.52bba31c5c2dcp-4, -0x1.4dec5cf910f47p-4, -0x1.492984df836dcp-4, -0x1.447316e1e6bc4p-4, -0x1.3fc90e57d6a6ep-4, -0x1.3b2b65e2d9fe9p-4, -0x1.369a1772d1d8p-4, -0x1.32151c4a6d2a9p-4, -0x1.2d9c6d038c6d5p-4, -0x1.293001939a4b9p-4, -0x1.24cfd14fe3d2ap-4, -0x1.207bd2f1dc0a1p-4, -0x1.1c33fc9b5bda4p-4, -0x1.17f843dad737dp-4, -0x1.13c89daf840f5p-4, -0x1.0fa4fe8d7945ap-4, -0x1.0b8d5a61c4669p-4, -0x1.0781a4966de7ap-4, -0x1.0381d016787eep-4, -0x1.ff1b9ea3a1a1bp-5, -0x1.f74b288264c76p-5, -0x1.ef9220d3fdb28p-5, -0x1.e7f069c41eb64p-5, -0x1.e065e4a6dacb4p-5, -0x1.d8f272001dd49p-5, -0x1.d195f18aeb8bcp-5, -0x1.ca504240a1969p-5, -0x1.c321426006f31p-5, -0x1.bc08cf7458ecdp-5, -0x1.b506c65c28928p-5, -0x1.ae1b03502eabbp-5, -0x1.a74561e9ff4fbp-5, -0x1.a085bd2a9aa7bp-5, -0x1.99dbef80f64cep-5, -0x1.9347d2d057275p-5, -0x1.8cc94076a6b9bp-5, -0x1.866011528f6d5p-5, -0x1.800c1dc9a7ff3p-5, -0x1.79cd3dce5834fp-5, -0x1.73a348e5c440dp-5, -0x1.6d8e162d8cdeep-5, -0x1.678d7c61772b1p-5, -0x1.61a151e103947p-5, -0x1.5bc96cb4d4419p-5, -0x1.5605a29411595p-5, -0x1.5055c8e9b071p-5, -0x1.4ab9b4d986da7p-5, -0x1.45313b4561386p-5, -0x1.3fbc30d1f7e45p-5, -0x1.3a5a69ebba834p-5, -0x1.350bbacb9c4f8p-5, -0x1.2fcff77bb02ddp-5, -0x1.2aa6f3dbb000bp-5, -0x1.259083a579c7bp-5, -0x1.208c7a715b21fp-5, -0x1.1b9aabba5ab55p-5, -0x1.16baeae25e653p-5, -0x1.11ed0b362f694p-5, -0x1.0d30dff17ebdap-5, -0x1.08863c42b9b9ap-5, -0x1.03ecf34ed147cp-5, -0x1.fec9b069d3c99p-6, -0x1.f5db7c23e817fp-6, -0x1.ed0ef0084d77p-6, -0x1.e463b25cd87f5p-6, -0x1.dbd969776a9e8p-6, -0x1.d36fbbc45a623p-6, -0x1.cb264fccd4bacp-6, -0x1.c2fccc3ce42aep-6, -0x1.baf2d7e972562p-6, -0x1.b30819d60c56fp-6, -0x1.ab3c393a8331cp-6, -0x1.a38edd884fc2dp-6, -0x1.9bffae700086fp-6, -0x1.948e53e62c3ecp-6, -0x1.8d3a7628973bbp-6, -0x1.8603bdc2f088ep-6, -0x1.7ee9d39372392p-6, -0x1.77ec60cf81b52p-6, -0x1.710b0f07f0569p-6, -0x1.6a45882d54a3bp-6, -0x1.639b7694026f2p-6, -0x1.5d0c84f800277p-6, -0x1.56985e80e5a1bp-6, -0x1.503eaec578bedp-6, -0x1.49ff21cf2410ep-6, -0x1.43d9641d7b935p-6, -0x1.3dcd22a9696dap-6, -0x1.37da0ae85898bp-6, -0x1.31ffcacf2ef72p-6, -0x1.2c3e10d54ba5ep-6, -0x1.26948bf71ff88p-6, -0x1.2102ebb8f6e67p-6, -0x1.1b88e0296da8ap-6, -0x1.162619e3de44p-6, -0x1.10da4a12b2db9p-6, -0x1.0ba5227190315p-6, -0x1.0686554f6ff8fp-6, -0x1.017d95908cb81p-6, -0x1.f9152d60b7745p-7, -0x1.ef5a1986695d9p-7, -0x1.e5c958f03a57ep-7, -0x1.dc62563466281p-7, -0x1.d3247d248dacp-7, -0x1.ca0f3ad0849d3p-7, -0x1.c121fd889dd91p-7, -0x1.b85c34e05b963p-7, -0x1.afbd51b08bd27p-7, -0x1.a744c6195f20cp-7, -0x1.9ef20584445a3p-7, -0x1.96c484a5b7a4fp-7, -0x1.8ebbb97eb32f6p-7, -0x1.86d71b5e512e3p-7, -0x1.7f1622e2cc001p-7, -0x1.777849facff38p-7, -0x1.6ffd0be675c99p-7, -0x1.68a3e537d7e4ap-7, -0x1.616c53d42620cp-7, -0x1.5a55d6f3f06b1p-7, -0x1.535fef23a4034p-7, -0x1.4c8a1e43f6717p-7, -0x1.45d3e789e51a2p-7, -0x1.3f3ccf7ef5d7bp-7, -0x1.38c45c01196bbp-7, -0x1.326a1442703f8p-7, -0x1.2c2d80c92830cp-7, -0x1.260e2b6f0a923p-7, -0x1.200b9f60f1676p-7, -0x1.1a25691e418d3p-7, -0x1.145b1678534afp-7, -0x1.0eac36919905bp-7, -0x1.091859dcb3cc5p-7, -0x1.039f121ba2e8dp-7, -0x1.fc7fe4bd1f9a3p-8, -0x1.f1f51e05f1271p-8, -0x1.e79cfb64281d1p-8, -0x1.dd76aac015d7bp-8, -0x1.d3815c9456b4dp-8, -0x1.c9bc43eb880cdp-8, -0x1.c026965d3f9b9p-8, -0x1.b6bf8c0ac3dcbp-8, -0x1.ad865f9be3a62p-8, -0x1.a47a4e3bb34d6p-8, -0x1.9b9a9794f79bdp-8, -0x1.92e67dcea03ep-8, -0x1.8a5d458815729p-8, -0x1.81fe35d560487p-8, -0x1.79c8983b6fdbap-8, -0x1.71bbb8abc0a9bp-8, -0x1.69d6e580b2218p-8, -0x1.62196f7909f07p-8, -0x1.5a82a9b3fd4a8p-8, -0x1.5311e9ac6be0bp-8, -0x1.4bc6873511f9ap-8, -0x1.449fdc7382aa7p-8, -0x1.3d9d45dbec293p-8, -0x1.36be222c5dbcfp-8, -0x1.3001d26835eedp-8, -0x1.2967b9d34a5bfp-8, -0x1.22ef3ded27bcbp-8, -0x1.1c97c66c4c4adp-8, -0x1.1660bd392afc3p-8, -0x1.10498e6983bedp-8, -0x1.0a51a83b0e09bp-8, -0x1.04787b0ed8b22p-8, -0x1.fd7af2c7d274fp-9, -0x1.f2402fa4f8d26p-9, -0x1.e73f9a0d4b2e5p-9, -0x1.dc782376dcb0dp-9, -0x1.d1e8c16b141c9p-9, -0x1.c7906d7c82fb7p-9, -0x1.bd6e253c703a1p-9, -0x1.b380ea30a020dp-9, -0x1.a9c7c1c899b1cp-9, -0x1.a041b55387667p-9, -0x1.96edd1f5807edp-9, -0x1.8dcb289d3f861p-9, -0x1.84d8cdf97533cp-9, -0x1.7c15da6e7dd08p-9, -0x1.73816a0b9fd2bp-9, -0x1.6b1a9c8124e7bp-9, -0x1.62e09514f81fcp-9, -0x1.5ad27a990b86fp-9, -0x1.52ef77602c5bfp-9, -0x1.4b36b9340624ep-9, -0x1.43a7714ab2eccp-9, -0x1.3c40d43bf5ef2p-9, -0x1.350219f72dc96p-9, -0x1.2dea7db900de1p-9, -0x1.26f93e00e12fap-9, -0x1.202d9c86cf47cp-9, -0x1.1986de312aa25p-9, -0x1.13044b0a7ac5ep-9, -0x1.0ca52e372779ap-9, -0x1.0668d5eb9c807p-9, -0x1.004e9361d9d69p-9, -0x1.f4ab759f7928bp-10, -0x1.e8fb46b9f563fp-10, -0x1.dd8b4e3250b8cp-10, -0x1.d25a45e39d7cap-10, -0x1.c766ed51ad549p-10, -0x1.bcb00994b68bp-10, -0x1.b234654726b75p-10, -0x1.a7f2d0713df2p-10, -0x1.9dea20768649cp-10, -0x1.94193002fa27cp-10, -0x1.8a7edef81c11dp-10, -0x1.811a125994d2bp-10, -0x1.77e9b43b9e212p-10, -0x1.6eecb3aff77a9p-10, -0x1.662204b3a3663p-10, -0x1.5d88a01cfc8adp-10, -0x1.551f83897652ep-10, -0x1.4ce5b14c1f38p-10, -0x1.44da305b4e43cp-10, -0x1.3cfc0c4003284p-10, -0x1.354a55036fb99p-10, -0x1.2dc41f1eafd88p-10, -0x1.266883693419ap-10, -0x1.1f369f07b0277p-10, -0x1.182d935c1f3cdp-10, -0x1.114c85f4310c9p-10, -0x1.0a92a0796a622p-10, -0x1.03ff10a0bb7f5p-10, -0x1.fb221034fe5f7p-11, -0x1.ee8f7904a761ap-11, -0x1.e244ce9f3c213p-11, -0x1.d6408b8ba0d1ap-11, -0x1.ca8131c938205p-11, -0x1.bf054ab268124p-11, -0x1.b3cb66dd92916p-11, -0x1.a8d21dff7930ap-11, -0x1.9e180ecd8e791p-11, -0x1.939bdee1852b9p-11, -0x1.895c3a9ae4da5p-11, -0x1.7f57d50388883p-11, -0x1.758d67b35e541p-11, -0x1.6bfbb2b3e7a42p-11, -0x1.62a17c654dbd3p-11, -0x1.597d9162bf47ep-11, -0x1.508ec46794386p-11, -0x1.47d3ee34d1695p-11, -0x1.3f4bed76d1d18p-11, -0x1.36f5a6ab2ec73p-11, -0x1.2ed00407ca4a7p-11, -0x1.26d9f5604fedp-11, -0x1.1f12700f09946p-11, -0x1.17786edacb56ep-11, -0x1.100af1defae11p-11, -0x1.08c8fe73aaabap-11, -0x1.01b19f1609a2ap-11, -0x1.f587c6a2689b4p-12, -0x1.e7fdbf4d886e1p-12, -0x1.dac35af0a0162p-12, -0x1.cdd6d5e15713cp-12, -0x1.c13675dcc740ap-12, -0x1.b4e089db61d6bp-12, -0x1.a8d369e57eb2cp-12, -0x1.9d0d76e9624acp-12, -0x1.918d1a92756f1p-12, -0x1.8650c71e0dbf5p-12, -0x1.7b56f73437981p-12, -0x1.709e2dbfdcf7dp-12, -0x1.6624f5c669ca2p-12, -0x1.5be9e241ae67dp-12, -0x1.51eb8dfa2a1fap-12, -0x1.48289b5fa9743p-12, -0x1.3e9fb466014b2p-12, -0x1.354f8a5f68524p-12, -0x1.2c36d5d8ffbdcp-12, -0x1.2354567683da8p-12, -0x1.1aa6d2d1128e7p-12, -0x1.122d18531181fp-12, -0x1.09e5fb17b5d54p-12, -0x1.01d055c895adfp-12, -0x1.f3d612fb4e88dp-13, -0x1.e469fb3a1be76p-13, -0x1.d55a3f74b6724p-13, -0x1.c6a4c6f1ad8c8p-13, -0x1.b84784d7f01aep-13, -0x1.aa4077f20012ep-13, -0x1.9c8daa73d54a4p-13, -0x1.8f2d31be91d34p-13, -0x1.821d2e28c695ep-13, -0x1.755bcac3f871fp-13, -0x1.68e73d27cb093p-13, -0x1.5cbdc538645cp-13, -0x1.50ddacf2d587dp-13, -0x1.45454836d6f96p-13, -0x1.39f2f49374b91p-13, -0x1.2ee5191449076p-13, -0x1.241a260e3c79fp-13, -0x1.199094eefc8d4p-13, -0x1.0f46e80d3b125p-13, -0x1.053baa7766b3p-13, -0x1.f6dadf8c7f1b3p-14, -0x1.e3b5a7dbdd9cbp-14, -0x1.d104f62371a4ep-14, -0x1.bec622add0763p-14, -0x1.acf695734d327p-14, -0x1.9b93c5c3a2a0dp-14, -0x1.8a9b39f479bfbp-14, -0x1.7a0a870af8858p-14, -0x1.69df506ecaa0bp-14, -0x1.5a174796fa651p-14, -0x1.4ab02bbf0c6e8p-14, -0x1.3ba7c997270cfp-14, -0x1.2cfbfafcbc881p-14, -0x1.1eaaa6add8b06p-14, -0x1.10b1c002618e1p-14, -0x1.030f46a34304bp-14, -0x1.eb828c8d139f8p-15, -0x1.d18bacd46dfe5p-15, -0x1.b836342088df5p-15, -0x1.9f7e7efecf394p-15, -0x1.87610000b9085p-15, -0x1.6fda3f3e109e8p-15, -0x1.58e6d9db2d718p-15, -0x1.42838189c0eabp-15, -0x1.2cacfc190248p-15, -0x1.176022f94d141p-15, -0x1.0299e2cf0239p-15, -0x1.dcae75fdafeffp-16, -0x1.b52a7a8637be2p-16, -0x1.8ea21a7705945p-16, -0x1.690fc00c3fb09p-16, -0x1.446df7ad2cfd7p-16, -0x1.20b76f2063728p-16, -0x1.fbcde98d19341p-17, -0x1.b7eeedb1d81e7p-17, -0x1.75c80546b4822p-17, -0x1.354f87a9e1d97p-17, -0x1.ecf80ef80ade7p-18, -0x1.7288a283a822fp-18, -0x1.f67da80333f69p-19, -0x1.0e1237be1ebccp-19, -0x1.5d65e31f941b8p-22, 0x1.61a85f2b3aa5ep-20, 0x1.87912484b27c5p-19, 0x1.2c54f9236d654p-18, 0x1.921ed2c2f1a5ap-18, 0x1.f535460ea49e1p-18, 0x1.2ad38e7286b85p-17, 0x1.59c163317f4bep-17, 0x1.876b2c8b7d2e1p-17, 0x1.b3d7ca92e05abp-17, 0x1.df0df3340c03fp-17, 0x1.048a19a137778p-16, 0x1.18f877bee2ef6p-16, 0x1.2cd532c4489a6p-16, 0x1.40235674fcc6cp-16, 0x1.52e5dbfc23247p-16, 0x1.651faa682c026p-16, 0x1.76d397163870dp-16, 0x1.8804662a2b242p-16, 0x1.98b4cafc9b988p-16, 0x1.a8e76887f04fep-16, 0x1.b89ed1ce996b7p-16, 0x1.c7dd8a44959e9p-16, 0x1.d6a60635106abp-16, 0x1.e4faab26924d5p-16, 0x1.f2ddd038b348p-16, 0x1.0028df407874fp-15, 0x1.06ac58b53e46cp-15, 0x1.0cfa6b86df633p-15, 0x1.131428455d9dcp-15, 0x1.18fa992dd4421p-15, 0x1.1eaec254a9263p-15, 0x1.2431a1d01773dp-15, 0x1.29842fdd9fad6p-15, 0x1.2ea75f0a048abp-15, 0x1.339c1c55fcc2dp-15, 0x1.38634f5e0cf5fp-15, 0x1.3cfdda7c94201p-15, 0x1.416c9aed553a6p-15, 0x1.45b068f08bc52p-15, 0x1.49ca17eba1f3fp-15, 0x1.4dba768c8eb73p-15, 0x1.51824ee507945p-15, 0x1.5522668c97e7p-15, 0x1.589b7ebf9c9ecp-15, 0x1.5bee547b2fa32p-15, 0x1.5f1ba09ad98b9p-15, 0x1.622417f5122c1p-15, 0x1.65086b75ed7b7p-15, 0x1.67c9483a6dd88p-15, 0x1.6a6757a9db629p-15, 0x1.6ce33f8fce61ap-15, 0x1.6f3da233cabf1p-15, 0x1.71771e72bc7ap-15, 0x1.73904fd6cb543p-15, 0x1.7589ceac2c333p-15, 0x1.776430194bfdfp-15, 0x1.79200633e968cp-15, 0x1.7abde01589be6p-15, 0x1.7c3e49f044da1p-15, 0x1.7da1cd236afp-15, 0x1.7ee8f04e4507dp-15, 0x1.80143763418c7p-15, 0x1.812423b9f96dp-15, 0x1.82193422afe6ap-15, 0x1.82f3e4f5d0eddp-15, 0x1.83b4b0266b66ep-15, 0x1.845c0d51e81f7p-15, 0x1.84ea71cfa901p-15, 0x1.856050c1a925cp-15, 0x1.85be1b237bb6fp-15, 0x1.86043fd8a2e61p-15, 0x1.86332bbafb13ap-15, 0x1.864b49a9097edp-15, 0x1.864d0292b4ea6p-15, 0x1.8638bd8800629p-15, 0x1.860edfc4c413fp-15, 0x1.85cfccbc4725ap-15, 0x1.857be626e008ap-15, 0x1.85138c0cef6f1p-15, 0x1.84971cd217125p-15, 0x1.8406f540964e2p-15, 0x1.83637094de93ap-15, 0x1.82ace887082f7p-15, 0x1.81e3b5550b6bcp-15, 0x1.81082dcc3dfc1p-15, 0x1.801aa7535b7b6p-15, 0x1.7f1b75f39498fp-15, 0x1.7e0aec6145a2ep-15, 0x1.7ce95c0566416p-15, 0x1.7bb71505d0515p-15, 0x1.7a74664c87a93p-15, 0x1.79219d902f6ddp-15, 0x1.77bf075c8415fp-15, 0x1.764cef1946f38p-15, 0x1.74cb9f103a25ap-15, 0x1.733b6074f4842p-15, 0x1.719c7b6d61675p-15, 0x1.6fef371653977p-15, 0x1.6e33d98a701d8p-15, 0x1.6c6aa7e89c0ebp-15, 0x1.6a93e65935f05p-15, 0x1.68afd81455651p-15, 0x1.66bebf67f37p-15, 0x1.64c0ddbc963fep-15, 0x1.62b6739ab8b0fp-15, 0x1.609fc0af80e76p-15, 0x1.5e7d03d234111p-15, 0x1.5c4e7b0929873p-15, 0x1.5a14638df48ap-15, 0x1.57cef9d1d328bp-15, 0x1.557e798260897p-15, 0x1.53231d8d7a8cap-15, 0x1.50bd20251d597p-15, 0x1.4e4cbac382a68p-15, 0x1.4bd2262f4fc7ep-15, 0x1.494d9a7e17b79p-15, 0x1.46bf4f1869cb8p-15, 0x1.44277abd59abcp-15, 0x1.418653862a981p-15, 0x1.3edc0ee8b4412p-15, 0x1.3c28e1baee598p-15, 0x1.396d0035ffd9bp-15, 0x1.36a89df82110fp-15, 0x1.33dbee082d55cp-15, 0x1.310722d7e5493p-15, 0x1.2e2a6e47847e1p-15, 0x1.2b4601a73b0dfp-15, 0x1.285a0db9b0b65p-15, 0x1.2566c2b66c93ep-15, 0x1.226c504cc50ebp-15, 0x1.1f6ae5a4c55a8p-15, 0x1.1c62b1620e415p-15, 0x1.1953e1a51da34p-15, 0x1.163ea40dd8c9p-15, 0x1.132325bd921f1p-15, 0x1.1001935881b69p-15, 0x1.0cda190730143p-15, 0x1.09ace27896f1dp-15, 0x1.067a1ae3e2299p-15, 0x1.0341ed099bd4ap-15, 0x1.0004833548d2dp-15, 0x1.f9840e7d1b68fp-16, 0x1.f2f5451604c43p-16, 0x1.ec5cfc1ef8fcep-16, 0x1.e5bb84a39b984p-16, 0x1.df112ed23a56ep-16, 0x1.d85e49fea21aep-16, 0x1.d1a324a52e2bep-16, 0x1.cae00c6c7ce29p-16, 0x1.c4154e27be87bp-16, 0x1.bd4335d8f22fcp-16, 0x1.b66a0eb2c93cep-16, 0x1.af8a231abd50fp-16, 0x1.a8a3bcaaa76dbp-16, 0x1.a1b72432b9148p-16, 0x1.9ac4a1bb1eee2p-16, 0x1.93cc7c85fb5aep-16, 0x1.8ccefb11012d6p-16, 0x1.85cc6316f24adp-16, 0x1.7ec4f99136caep-16, 0x1.77b902ba4b8bap-16, 0x1.70a8c20df6cbbp-16, 0x1.69947a4ac6ca9p-16, 0x1.627c6d728ad6fp-16, 0x1.5b60dccdc1b0ap-16, 0x1.544208ec0cd35p-16, 0x1.4d2031a4a5327p-16, 0x1.45fb9618757ep-16, 0x1.3ed474b3a3924p-16, 0x1.37ab0b2d6a468p-16, 0x1.307f9689a5062p-16, 0x1.2952531ac1bb4p-16, 0x1.22237c81a343bp-16, 0x1.1af34daf8c276p-16, 0x1.13c200e68713fp-16, 0x1.0c8fcfbaa9ae6p-16, 0x1.055cf31322ca1p-16, 0x1.fc5346571d0b7p-17, 0x1.edec2f2816612p-17, 0x1.df850e6630f3p-17, 0x1.d11e508a2a049p-17, 0x1.c2b860bc229d3p-17, 0x1.b453a8d507d19p-17, 0x1.a5f0915fa4958p-17, 0x1.978f819ddb1f6p-17, 0x1.8930df846c0bp-17, 0x1.7ad50fc0be69dp-17, 0x1.6c7c75b7eac3ep-17, 0x1.5e27738b9c928p-17, 0x1.4fd66a18d9852p-17, 0x1.4189b8fa60603p-17, 0x1.3341be8af0f15p-17, 0x1.24fed7e51f625p-17, 0x1.16c160e7c2fc8p-17, 0x1.0889b4340822p-17, 0x1.f4b0566413728p-18, 0x1.d85a3c1d3c3dp-18, 0x1.bc11c780d5d3bp-18, 0x1.9fd7a4112c64cp-18, 0x1.83ac7ae5d44dep-18, 0x1.6790f2b046b37p-18, 0x1.4b85afbf30e64p-18, 0x1.2f8b53ffb8a62p-18, 0x1.13a27f02084b3p-18, 0x1.ef979bf8cda99p-19, 0x1.b80fb7a0f6331p-19, 0x1.80ae820a5d606p-19, 0x1.497527a8f217dp-19, 0x1.1264d04f20cd9p-19, 0x1.b6fd3e7855fdp-20, 0x1.4987663bfc4fbp-20, 0x1.b8d4984e2346fp-21, 0x1.bea06dd76d4c9p-22, 0x1.a17b359248fb1p-27, -0x1.a30c26c5aa6afp-22, -0x1.a8cfa900da014p-21, -0x1.3fa9627747226p-20, -0x1.aa85b4ca7ab98p-20, -0x1.0a7d6ac4b17cp-19, -0x1.3f836bb7987a1p-19, -0x1.7453eaecfefeep-19, -0x1.a8edfa61f996bp-19, -0x1.dd50b05bc82b5p-19, -0x1.08bd93aee1c0cp-18, -0x1.22b63f15b7352p-18, -0x1.3c91ebdd6a826p-18, -0x1.56502d989f4p-18, -0x1.6ff099eb2673bp-18, -0x1.8972c88a4af28p-18, -0x1.a2d6533aefbf1p-18, -0x1.bc1ad5c9fbabcp-18, -0x1.d53fee0b08fcep-18, -0x1.ee453bd2913dfp-18, -0x1.0395307cc27fdp-17, -0x1.0ff780a9c1d96p-17, -0x1.1c49615680786p-17, -0x1.288aa6646bd18p-17, -0x1.34bb24aed4352p-17, -0x1.40dab2085e87p-17, -0x1.4ce9253858fe4p-17, -0x1.58e655fb0334p-17, -0x1.64d21cff2859fp-17, -0x1.70ac53e3eb04ap-17, -0x1.7c74d53787404p-17, -0x1.882b7c76c195ap-17, -0x1.93d0260731b6ap-17, -0x1.9f62af393f37cp-17, -0x1.aae2f64413ef6p-17, -0x1.b650da476c029p-17, -0x1.c1ac3b45730a2p-17, -0x1.ccf4fa23fe3e8p-17, -0x1.d82af8a75484ep-17, -0x1.e34e197364488p-17, -0x1.ee5e400b43373p-17, -0x1.f95b50cb8ffc9p-17, -0x1.022298756b91ap-16, -0x1.078de33b19ea9p-16, -0x1.0cef7c2927785p-16, -0x1.1247571b138b2p-16, -0x1.179568557d853p-16, -0x1.1cd9a485e4b8fp-16, }}, 
      {{-0x1.617eb20b8629p-1, -0x1.618bd4f3faa8ep-1, -0x1.619ea20d793f2p-1, -0x1.61b3e5b549ae5p-1, -0x1.61c891ebf0ccdp-1, -0x1.61da0f5deb227p-1, -0x1.61e65a3cb6081p-1, -0x1.61ec0217020a5p-1, -0x1.61ea1b9993a3cp-1, -0x1.61e02cc9a7341p-1, -0x1.61ce1824798c4p-1, -0x1.61b408a95d791p-1, -0x1.61925f982e944p-1, -0x1.6169a4218440bp-1, -0x1.613a751378042p-1, -0x1.61057c817b90dp-1, -0x1.60cb6564203e8p-1, -0x1.608cd32b0169ap-1, -0x1.604a5b33fc996p-1, -0x1.6004801059dc8p-1, -0x1.5fbbae74d4d44p-1, -0x1.5f703ba6d08bcp-1, -0x1.5f226530e7351p-1, -0x1.5ed251a46c6fdp-1, -0x1.5e80122c591c5p-1, -0x1.5e2ba4b82da9fp-1, -0x1.5dd4f689ef9fdp-1, -0x1.5d7be6f8cd9ffp-1, -0x1.5d204a4159d31p-1, -0x1.5cc1ec441258ep-1, -0x1.5c60931a8a8fdp-1, -0x1.5bfc01728f0f4p-1, -0x1.5b93f8a4d60e5p-1, -0x1.5b283a82137b9p-1, -0x1.5ab88ad57a0ap-1, -0x1.5a44b09f05b6ep-1, -0x1.59cc770a38f8bp-1, -0x1.594fae27928ap-1, -0x1.58ce2b6fdcc7bp-1, -0x1.5847ca18d93e8p-1, -0x1.57bc6b42b37bp-1, -0x1.572bf6054b95ep-1, -0x1.56965763cd7e8p-1, -0x1.55fb822c5704ep-1, -0x1.555b6ec8a811dp-1, -0x1.54b61b040e9ddp-1, -0x1.540b89ca014e7p-1, -0x1.535bc2e027c2bp-1, -0x1.52a6d29df21ffp-1, -0x1.51ecc9a354488p-1, -0x1.512dbc8fc737dp-1, -0x1.5069c3ba52788p-1, -0x1.4fa0faeb158e5p-1, -0x1.4ed381168d936p-1, -0x1.4e01781aabb55p-1, -0x1.4d2b047db7127p-1, -0x1.4c504d2edb9e9p-1, -0x1.4b717b484e4fbp-1, -0x1.4a8eb9d2da267p-1, -0x1.49a8358ac0bep-1, -0x1.48be1ca5d2e72p-1, -0x1.47d09e9ab1e87p-1, -0x1.46dfebe9399d6p-1, -0x1.45ec35e414548p-1, -0x1.44f5ae7b8b8eep-1, -0x1.43fc8809a9db9p-1, -0x1.4300f51fce5b4p-1, -0x1.42032855d2771p-1, -0x1.4103541aece51p-1, -0x1.4001aa8875d25p-1, -0x1.3efe5d36b8d5bp-1, -0x1.3df99d13fb98bp-1, -0x1.3cf39a3dddb6dp-1, -0x1.3bec83dd35028p-1, -0x1.3ae4880483df9p-1, -0x1.39dbd39121e38p-1, -0x1.38d2920f281bbp-1, -0x1.37c8eda032c8p-1, -0x1.36bf0ee4f9dcep-1, -0x1.35b51ce9c55bp-1, -0x1.34ab3d15b94f2p-1, -0x1.33a1931cea85fp-1, -0x1.329840f532b78p-1, -0x1.318f66cdaa707p-1, -0x1.30872308b362bp-1, -0x1.2f7f923874ff9p-1, -0x1.2e78cf1dab3dbp-1, -0x1.2d72f2a8a506fp-1, -0x1.2c6e13fc4f8d5p-1, -0x1.2b6a4873221d6p-1, -0x1.2a67a3a5c9707p-1, -0x1.2966377364515p-1, -0x1.2866140b2c697p-1, -0x1.276747f75e225p-1, -0x1.2669e0293d4cap-1, -0x1.256de80609b17p-1, -0x1.24736974bf7cbp-1, -0x1.237a6cec8019ep-1, -0x1.2282f9837ccebp-1, -0x1.218d14fe460c6p-1, -0x1.2098c3df5d2aep-1, -0x1.1fa60976ebbdfp-1, -0x1.1eb4e7f286921p-1, -0x1.1dc5606ce3afbp-1, -0x1.1cd772fd69e38p-1, -0x1.1beb1ec789f5p-1, -0x1.1b006209cca8bp-1, -0x1.1a173a2c849ecp-1, -0x1.192fa3d0197f8p-1, -0x1.18499adadf0c8p-1, -0x1.17651a866c6e4p-1, -0x1.16821d6c6f582p-1, -0x1.15a09d92f1c75p-1, -0x1.14c094780fb7fp-1, -0x1.13e1fb1d18a3fp-1, -0x1.1304ca111a975p-1, -0x1.1228f97ad865cp-1, -0x1.114e81222ac76p-1, -0x1.10755878cbb4ep-1, -0x1.0f9d76a293ed9p-1, -0x1.0ec6d27d28e49p-1, -0x1.0df162a722c7ap-1, -0x1.0d1d1d86ae24dp-1, -0x1.0c49f94faee59p-1, -0x1.0b77ec096895dp-1, -0x1.0aa6eb93b64c1p-1, -0x1.09d6edabd3f4dp-1, -0x1.0907e7f0c2067p-1, -0x1.0839cfe7498bfp-1, -0x1.076c9afda7914p-1, -0x1.06a03e8ee5e0bp-1, -0x1.05d4afe5e8c36p-1, -0x1.0509e4403663ep-1, -0x1.043fd0d080d5fp-1, -0x1.03766ac0f5d87p-1, -0x1.02ada7355c3bcp-1, -0x1.01e57b4d05853p-1, -0x1.011ddc2494e93p-1, -0x1.0056bed7a62b2p-1, -0x1.ff203104aaf4bp-2, -0x1.fd93bc855b9c4p-2, -0x1.fc080a74075d3p-2, -0x1.fa7d051c78671p-2, -0x1.f8f296d6135a4p-2, -0x1.f768aa0635c55p-2, -0x1.f5df29228a859p-2, -0x1.f455feb35327cp-2, -0x1.f2cd1555ace3dp-2, -0x1.f14457bdd4466p-2, -0x1.efbbb0b96fe3cp-2, -0x1.ee330b31dccd6p-2, -0x1.ecaa522e8839p-2, -0x1.eb2170d751126p-2, -0x1.e9985276fa433p-2, -0x1.e80ee27da6a8ap-2, -0x1.e6850c8369434p-2, -0x1.e4fabc4ae1b7ep-2, -0x1.e36fddc3e8353p-2, -0x1.e1e45d0e4d94p-2, -0x1.e058267ca3d37p-2, -0x1.decb26971c213p-2, -0x1.dd3d4a1e6c5cbp-2, -0x1.dbae7e0ec864p-2, -0x1.da1eafa2dd23bp-2, -0x1.d88dcc56df70cp-2, -0x1.d6fbc1eb9ae34p-2, -0x1.d5687e698c8ffp-2, -0x1.d3d3f02400d6dp-2, -0x1.d23e05bc30501p-2, -0x1.d0a6ae246584dp-2, -0x1.cf0dd8a317a9ap-2, -0x1.cd7374d60b807p-2, -0x1.cbd772b567eaap-2, -0x1.ca39c296c6f63p-2, -0x1.c89a55303ccd1p-2, -0x1.c6f91b9b52c52p-2, -0x1.c5560757f7002p-2, -0x1.c3b10a4f5a74ap-2, -0x1.c20a16d6c0e3cp-2, -0x1.c0611fb23bb2ap-2, -0x1.beb61817516ap-2, -0x1.bd08f3af916bp-2, -0x1.bb59a69b0b0e4p-2, -0x1.b9a82572b1d89p-2, -0x1.b7f4654aa276cp-2, -0x1.b63e5bb44e36ap-2, -0x1.b485fec08acaep-2, -0x1.b2cb45018183ap-2, -0x1.b10e258c8342p-2, -0x1.af4e97fbb77a6p-2, -0x1.ad8c946fb1b48p-2, -0x1.abc81390ddb3ap-2, -0x1.aa010e90d13c2p-2, -0x1.a8377f2b78055p-2, -0x1.a66b5fa81a4a4p-2, -0x1.a49caada45716p-2, -0x1.a2cb5c228ee21p-2, -0x1.a0f76f6f32c9ap-2, -0x1.9f20e13c8fb12p-2, -0x1.9d47ae957ee3dp-2, -0x1.9b6bd51388c59p-2, -0x1.998d52def6dadp-2, -0x1.97ac26aec14ffp-2, -0x1.95c84fc85aa32p-2, -0x1.93e1cdff588f4p-2, -0x1.91f8a1b4f9c83p-2, -0x1.900ccbd78ced4p-2, -0x1.8e1e4de1b2fb3p-2, -0x1.8c2d29d984b6ap-2, -0x1.8a39624f96399p-2, -0x1.8842fa5ddad65p-2, -0x1.8649f5a66b82dp-2, -0x1.844e585231ff4p-2, -0x1.8250270f71aeep-2, -0x1.804f671039219p-2, -0x1.7e4c1e08b6963p-2, -0x1.7c46522d736bbp-2, -0x1.7a3e0a3172fb7p-2, -0x1.78334d443e8a9p-2, -0x1.7626230fd2e26p-2, -0x1.741693b67e843p-2, -0x1.7204a7d0a427dp-2, -0x1.6ff0686a6e469p-2, -0x1.6dd9df016842p-2, -0x1.6bc115820d6ddp-2, -0x1.69a616453e972p-2, -0x1.6788ec0dac1c9p-2, -0x1.6569a2052edf7p-2, -0x1.634843ba12b13p-2, -0x1.6124dd1c52adfp-2, -0x1.5eff7a7ac9b7dp-2, -0x1.5cd8288058d36p-2, -0x1.5aaef430ff023p-2, -0x1.5883eae6ecb5fp-2, -0x1.56571a4f88509p-2, -0x1.5428906873f5ep-2, -0x1.51f85b7c8235ep-2, -0x1.4fc68a20ac79bp-2, -0x1.4d932b3101157p-2, -0x1.4b5e4dcd9007fp-2, -0x1.492801575040ap-2, -0x1.46f0556d06a8p-2, -0x1.44b759e82af4bp-2, -0x1.427d1ed9c88b8p-2, -0x1.4041b4876587bp-2, -0x1.3e052b67e39bp-2, -0x1.3bc7942068d81p-2, -0x1.3988ff81479c4p-2, -0x1.37497e82e91c2p-2, -0x1.35092242be899p-2, -0x1.32c7fc00346c8p-2, -0x1.30861d19a9f0ep-2, -0x1.2e4397097333bp-2, -0x1.2c007b62db1fp-2, -0x1.29bcdbcf3196dp-2, -0x1.2778ca0adc493p-2, -0x1.253457e276027p-2, -0x1.22ef972feee19p-2, -0x1.20aa99d7bc62dp-2, -0x1.1e6571c60c0d1p-2, -0x1.1c2030ec07471p-2, -0x1.19dae93d1c72ap-2, -0x1.1795acac53e8ep-2, -0x1.15508d29aff48p-2, -0x1.130b9c9f991cep-2, -0x1.10c6ecf056c16p-2, -0x1.0e828ff38f9fep-2, -0x1.0c3e9773dcd36p-2, -0x1.09fb152c64bddp-2, -0x1.07b81ac684044p-2, -0x1.0575b9d7850eep-2, -0x1.033403de64babp-2, -0x1.00f30a41a0477p-2, -0x1.fd65bc9a2f014p-3, -0x1.f8e7225ff127ap-3, -0x1.f46a67f575b57p-3, -0x1.efefaf3a4dae1p-3, -0x1.eb7719c8dc073p-3, -0x1.e700c8f2a4144p-3, -0x1.e28cddbca7c75p-3, -0x1.de1b78dbf4901p-3, -0x1.d9acbab241d32p-3, -0x1.d540c34aab867p-3, -0x1.d0d7b25692a0bp-3, -0x1.cc71a72a92a52p-3, -0x1.c80ec0bb95176p-3, -0x1.c3af1d9c03b86p-3, -0x1.bf52dbf91b4f9p-3, -0x1.bafa199850ebfp-3, -0x1.b6a4f3d4dcf8ep-3, -0x1.b253879d5e121p-3, -0x1.ae05f1719c635p-3, -0x1.a9bc4d6063e6fp-3, -0x1.a576b70579e96p-3, -0x1.a1354987b5bacp-3, -0x1.9cf81f972d9cfp-3, -0x1.98bf536b8198bp-3, -0x1.948afec23ef47p-3, -0x1.905b3add6193p-3, -0x1.8c302081ed12p-3, -0x1.8809c7f69e899p-3, -0x1.83e84902ba71cp-3, -0x1.7fcbbaecf5cc6p-3, -0x1.7bb4347a6f246p-3, -0x1.77a1cbedc9dacp-3, -0x1.739497065beccp-3, -0x1.6f8caaff7379ap-3, -0x1.6b8a1c8fb6ac1p-3, -0x1.678cffe897de2p-3, -0x1.639568b5ddf96p-3, -0x1.5fa36a1d48fbap-3, -0x1.5bb716be4651cp-3, -0x1.57d080b1ba4e8p-3, -0x1.53efb989e4048p-3, -0x1.5014d2524c905p-3, -0x1.4c3fdb8fd3688p-3, -0x1.4870e540c45b4p-3, -0x1.44a7fedd08d0bp-3, -0x1.40e53756647bep-3, -0x1.3d289d18c80a2p-3, -0x1.39723e0ab5694p-3, -0x1.35c2278db05edp-3, -0x1.3218667ec43b6p-3, -0x1.2e75073715de3p-3, -0x1.2ad8158c8c982p-3, -0x1.27419cd27b0dfp-3, -0x1.23b1a7da66e45p-3, -0x1.202840f4d7751p-3, -0x1.1ca571f22aacap-3, -0x1.192944238a736p-3, -0x1.15b3c05bd4e53p-3, -0x1.1244eef0a97a4p-3, -0x1.0edcd7bb70085p-3, -0x1.0b7b821a74df6p-3, -0x1.0820f4f20b0f6p-3, -0x1.04cd36adbcc05p-3, -0x1.01804d417f0f6p-3, -0x1.fc747c55ef06cp-4, -0x1.f5f61ce58a0c4p-4, -0x1.ef85855ba515cp-4, -0x1.e922bdfd6884ep-4, -0x1.e2cdce2e126bep-4, -0x1.dc86bc71cb594p-4, -0x1.d64d8e708cbc1p-4, -0x1.d02248f90c8ebp-4, -0x1.ca04f003be1e6p-4, -0x1.c3f586b5d9dbcp-4, -0x1.bdf40f646a72cp-4, -0x1.b8008b9776081p-4, -0x1.b21afc0d15df7p-4, -0x1.ac4360bcb4b54p-4, -0x1.a679b8da3d436p-4, -0x1.a0be02d955163p-4, -0x1.9b103c70aabbdp-4, -0x1.9570629d4041bp-4, -0x1.8fde71a5b60b9p-4, -0x1.8a5a651da2562p-4, -0x1.84e437e8ea4dcp-4, -0x1.7f7be43f20f4bp-4, -0x1.7a2163aee3bebp-4, -0x1.74d4af213cfb7p-4, -0x1.6f95bedd096bbp-4, -0x1.6a648a8a59f6ep-4, -0x1.65410935db302p-4, -0x1.602b31543a639p-4, -0x1.5b22f8c588e1fp-4, -0x1.562854d8a4391p-4, -0x1.513b3a4e95cdap-4, -0x1.4c5b9d5df4374p-4, -0x1.478971b645236p-4, -0x1.42c4aa83566dp-4, -0x1.3e0d3a7099d79p-4, -0x1.396313ac75e14p-4, -0x1.34c627eba0f74p-4, -0x1.3036686c63813p-4, -0x1.2bb3c5f9eb2a5p-4, -0x1.273e30ef885a4p-4, -0x1.22d5993bef8cap-4, -0x1.1e79ee6470fb7p-4, -0x1.1a2b1f882e872p-4, -0x1.15e91b63465cfp-4, -0x1.11b3d051f7fb1p-4, -0x1.0d8b2c53c8547p-4, -0x1.096f1d0e96794p-4, -0x1.055f8fd1aed6cp-4, -0x1.015c7198d4167p-4, -0x1.facb5e1e80d87p-5, -0x1.f2f6692542e21p-5, -0x1.eb39dc6c100cdp-5, -0x1.e3958f89aad3cp-5, -0x1.dc09598b29287p-5, -0x1.d49510f9b5f85p-5, -0x1.cd388be0227e7p-5, -0x1.c5f39fd07c821p-5, -0x1.bec621e97d874p-5, -0x1.b7afe6dbfeecep-5, -0x1.b0b0c2f04268dp-5, -0x1.a9c88a0b3a2b2p-5, -0x1.a2f70fb3b7ab3p-5, -0x1.9c3c27177c8d3p-5, -0x1.9597a31053f95p-5, -0x1.8f095628efc86p-5, -0x1.889112a1d4d1bp-5, -0x1.822eaa7627e8cp-5, -0x1.7be1ef605d4c6p-5, -0x1.75aab2dedab79p-5, -0x1.6f88c6388942ep-5, -0x1.697bfa81511b3p-5, -0x1.6384209e7a21p-5, -0x1.5da1094afd66bp-5, -0x1.57d2851bc354cp-5, -0x1.52186483c7c4bp-5, -0x1.4c7277d832d99p-5, -0x1.46e08f5450c6p-5, -0x1.41627b1d7fb7dp-5, -0x1.3bf80b4707f39p-5, -0x1.36a10fd5d5ad8p-5, -0x1.315d58c42acb5p-5, -0x1.2c2cb60538b8ap-5, -0x1.270ef7889f7e3p-5, -0x1.2203ed3de359p-5, -0x1.1d0b6717c4c39p-5, -0x1.1825350f8ea51p-5, -0x1.13512728409dp-5, -0x1.0e8f0d71bb6b9p-5, -0x1.09deb80bc3d55p-5, -0x1.053ff72907fd6p-5, -0x1.00b29b11f8c4dp-5, -0x1.f86ce84f50e1ap-6, -0x1.ef96a5cd08bf3p-6, -0x1.e6e20fd20f66fp-6, -0x1.de4ec7d4a2493p-6, -0x1.d5dc6f9164459p-6, -0x1.cd8aa910401efp-6, -0x1.c55916a9324e8p-6, -0x1.bd475b08f764ap-6, -0x1.b55519357c7dcp-6, -0x1.ad81f49258dc5p-6, -0x1.a5cd90e4e44b8p-6, -0x1.9e3792587921bp-6, -0x1.96bf9d824f86dp-6, -0x1.8f6557656077cp-6, -0x1.882865761b0ccp-6, -0x1.81086d9df473ep-6, -0x1.7a05163eeb412p-6, -0x1.731e0636c7e4ap-6, -0x1.6c52e4e25ff1bp-6, -0x1.65a35a20bb23ap-6, -0x1.5f0f0e55f09b7p-6, -0x1.5895aa6e15b5bp-6, -0x1.5236d7dffe6eap-6, -0x1.4bf240afd1714p-6, -0x1.45c78f719ef6cp-6, -0x1.3fb66f4bbea6dp-6, -0x1.39be8bf91dfc1p-6, -0x1.33df91cb7ba95p-6, -0x1.2e192dad76a92p-6, -0x1.286b0d2494dc2p-6, -0x1.22d4de53272bfp-6, -0x1.1d564ffa0d4fcp-6, -0x1.17ef117a7557dp-6, -0x1.129ed2d771004p-6, -0x1.0d6544b778046p-6, -0x1.08421865d6bd9p-6, -0x1.0334ffd402b8ep-6, -0x1.fc7b5b35b899fp-7, -0x1.f2b7a9f7aae4bp-7, -0x1.e91e53c40f70ap-7, -0x1.dfaec1c66060fp-7, -0x1.d6685e8143009p-7, -0x1.cd4a95d0214dcp-7, -0x1.c454d4e8bc7ccp-7, -0x1.bb868a5c89ffp-7, -0x1.b2df2619f464dp-7, -0x1.aa5e196d55e0cp-7, -0x1.a202d702213c2p-7, -0x1.99ccd2e3678adp-7, -0x1.91bb827cc8d3fp-7, -0x1.89ce5c9adf084p-7, -0x1.8204d96ba085ep-7, -0x1.7a5e727ec6d5dp-7, -0x1.72daa2c5e3c7ap-7, -0x1.6b78e6948e7b5p-7, -0x1.6438bba0321ecp-7, -0x1.5d19a0fffa39ep-7, -0x1.561b172c897fbp-7, -0x1.4f3c9fffa28c5p-7, -0x1.487dbeb3914e5p-7, -0x1.41ddf7e2b7c31p-7, -0x1.3b5cd186cc971p-7, -0x1.34f9d2f821a84p-7, -0x1.2eb484ecc343ap-7, -0x1.288c7177958f5p-7, -0x1.22812407305e6p-7, -0x1.1c922964e4d2p-7, -0x1.16bf0fb3720d5p-7, -0x1.1107666dc9d11p-7, -0x1.0b6abe65c944cp-7, -0x1.05e8a9c2b89bbp-7, -0x1.0080bbffe043p-7, -0x1.f66513d5cca8p-8, -0x1.ebfb5344b6ap-8, -0x1.e1c36527b46cbp-8, -0x1.d7bc7af508299p-8, -0x1.cde5c8b9f79cp-8, -0x1.c43e85176d322p-8, -0x1.bac5e93e2a1c3p-8, -0x1.b17b30eaa55bcp-8, -0x1.a85d9a6142edep-8, -0x1.9f6c666a2e117p-8, -0x1.96a6d84d2262dp-8, -0x1.8e0c35cd2f0dbp-8, -0x1.859bc724640a9p-8, -0x1.7d54d6ff520b1p-8, -0x1.7536b278b8d7dp-8, -0x1.6d40a914b0d2dp-8, -0x1.65720cbc43a91p-8, -0x1.5dca31b8b5132p-8, -0x1.56486eae8c89cp-8, -0x1.4eec1c9912a92p-8, -0x1.47b496c53beeep-8, -0x1.40a13accd6758p-8, -0x1.39b1689193f05p-8, -0x1.32e48237f589dp-8, -0x1.2c39ec22578fbp-8, -0x1.25b10cebe45abp-8, -0x1.1f494d634990fp-8, -0x1.19021885d786fp-8, -0x1.12dadb7a1d74ep-8, -0x1.0cd3058ac3513p-8, -0x1.06ea08214ae56p-8, -0x1.011f56c0ee71ep-8, -0x1.f6e4ce02a7efap-9, -0x1.ebc5611234783p-9, -0x1.e0df5a11900b7p-9, -0x1.d631b06a946aep-9, -0x1.cbbb5f85c8d96p-9, -0x1.c17b66bf00471p-9, -0x1.b770c95b95d1bp-9, -0x1.ad9a8e7ee7793p-9, -0x1.a3f7c1203d0efp-9, -0x1.9a876ffff9df8p-9, -0x1.9148ad9cdfd05p-9, -0x1.883a9029566dep-9, -0x1.7f5c3181174fp-9, -0x1.76acaf1e2d143p-9, -0x1.6e2b2a0ea68c6p-9, -0x1.65d6c6e9dee35p-9, -0x1.5daeadc5dce4ep-9, -0x1.55b20a2d13a46p-9, -0x1.4de00b1369edap-9, -0x1.4637e2cc40bbp-9, -0x1.3eb8c6ffade09p-9, -0x1.3761f0a0614b4p-9, -0x1.30329be0d199cp-9, -0x1.292a0829a7e68p-9, -0x1.2247780eb8962p-9, -0x1.1b8a3145646fcp-9, -0x1.14f17c9a0b94p-9, -0x1.0e7ca5e640fbcp-9, -0x1.082afc067bec7p-9, -0x1.01fbd0d02a3fcp-9, -0x1.f7dcf20fa05d5p-10, -0x1.ec0498ae1ead3p-10, -0x1.e06d4a85fdap-10, -0x1.d515c24467c84p-10, -0x1.c9fcc02672335p-10, -0x1.bf2109e5a52dcp-10, -0x1.b4816aa4f47e6p-10, -0x1.aa1cb2ddd186fp-10, -0x1.9ff1b84d3582ap-10, -0x1.95ff55e0f3d4p-10, -0x1.8c446ba54fe04p-10, -0x1.82bfdeb265e17p-10, -0x1.7970991a08d08p-10, -0x1.705589d5866a6p-10, -0x1.676da4b3cae84p-10, -0x1.5eb7e2478397fp-10, -0x1.56333fd57d2p-10, -0x1.4ddebf4306458p-10, -0x1.45b96704d9cc9p-10, -0x1.3dc2420d91015p-10, -0x1.35f85fbd3c1c7p-10, -0x1.2e5ad3cfafa4p-10, -0x1.26e8b64ca2cbcp-10, -0x1.1fa1237668ec2p-10, -0x1.18833bba14636p-10, -0x1.118e239f46256p-10, -0x1.0ac103b799174p-10, -0x1.041b088f4f4fep-10, -0x1.fb36c53ad36d1p-11, -0x1.ee828c682fce3p-11, -0x1.e217d6e26e582p-11, -0x1.d5f51c5eb897cp-11, -0x1.ca18dbed29e13p-11, -0x1.be819bdafccf8p-11, -0x1.b32de995a126dp-11, -0x1.a81c598ccefb4p-11, -0x1.9d4b871662484p-11, -0x1.92ba1451e5047p-11, -0x1.8866aa0c2390bp-11, -0x1.7e4ff7a36af08p-11, -0x1.7474b2ecaf2bfp-11, -0x1.6ad3981733c91p-11, -0x1.616b699330fc1p-11, -0x1.583aeff63419bp-11, -0x1.4f40f9e17630dp-11, -0x1.467c5be846e7ep-11, -0x1.3debf07654739p-11, -0x1.358e97b6175a7p-11, -0x1.2d633778cbe47p-11, -0x1.2568bb1d573e4p-11, -0x1.1d9e13782c6a5p-11, -0x1.160236bb744cfp-11, -0x1.0e94205f76588p-11, -0x1.0752d10b80006p-11, -0x1.003d4e7e6d5efp-11, -0x1.f2a546f1efa48p-12, -0x1.e523bf4c319a7p-12, -0x1.d7f42f0c5758bp-12, -0x1.cb14c8b13aaffp-12, -0x1.be83c80c9d638p-12, -0x1.b23f721aa404dp-12, -0x1.a64614d60716ap-12, -0x1.9a9607106cd69p-12, -0x1.8f2da849260b5p-12, -0x1.840b608607b5ap-12, -0x1.792da02b4a5a1p-12, -0x1.6e92dfd57a04p-12, -0x1.6439a032f865ap-12, -0x1.5a2069de06865p-12, -0x1.5045cd381edcdp-12, -0x1.46a8624538712p-12, -0x1.3d46c887e9d2cp-12, -0x1.341fa6dd97514p-12, -0x1.2b31ab5ccd668p-12, -0x1.227b8b30f0d57p-12, -0x1.19fc0279b70f1p-12, -0x1.11b1d4299de27p-12, -0x1.099bc9e4da128p-12, -0x1.01b8b3e127194p-12, -0x1.f40ed18c6ae4cp-13, -0x1.e50d8b1bb497dp-13, -0x1.d66b5acb50ce5p-13, -0x1.c8261321205d4p-13, -0x1.ba3b92916f47cp-13, -0x1.aca9c345a06a8p-13, -0x1.9f6e9ae022b2ap-13, -0x1.92881a46ce8aap-13, -0x1.85f44d6867626p-13, -0x1.79b14b06153a2p-13, -0x1.6dbd347d8b1ep-13, -0x1.621635941603cp-13, -0x1.56ba8442ab76fp-13, -0x1.4ba8608146d3ap-13, -0x1.40de1415600a3p-13, -0x1.3659f25f33be5p-13, -0x1.2c1a5829a254cp-13, -0x1.221dab7a41711p-13, -0x1.18625b6130341p-13, -0x1.0ee6dfcb418e4p-13, -0x1.05a9b95557eap-13, -0x1.f952e23a43995p-14, -0x1.e7c9312debd53p-14, -0x1.d6b392c41c647p-14, -0x1.c60f4a3b42a3cp-14, -0x1.b5d9aa7e2fee7p-14, -0x1.a61015d3cf314p-14, -0x1.96affd8b6bbe2p-14, -0x1.87b6e1b001915p-14, -0x1.792250b8dce55p-14, -0x1.6aefe73e36a72p-14, -0x1.5d1d4fac770a5p-14, -0x1.4fa841fd26c67p-14, -0x1.428e836bc4a68p-14, -0x1.35cde63122d4bp-14, -0x1.2964493b4221bp-14, -0x1.1d4f97ea5cf53p-14, -0x1.118dc9ce281b4p-14, -0x1.061ce261270e8p-14, -0x1.f5f5e196b867fp-15, -0x1.e04c1f418e817p-15, -0x1.cb38c9456ee1ap-15, -0x1.b6b84108d87bp-15, -0x1.a2c6fd5836c1bp-15, -0x1.8f6189f68a35p-15, -0x1.7c8487237795p-15, -0x1.6a2ca9309e052p-15, -0x1.5856b80c9ecb2p-15, -0x1.46ff8ed944695p-15, -0x1.36241b7ead8cep-15, -0x1.25c15e43683c7p-15, -0x1.15d46965906edp-15, -0x1.065a60b423f48p-15, -0x1.eea0f25c1bbcap-16, -0x1.d167f1443d33dp-16, -0x1.b5046a9819228p-16, -0x1.99712af6a418fp-16, -0x1.7ea91e6904d94p-16, -0x1.64a74fb44483ep-16, -0x1.4b66e7a6914c9p-16, -0x1.32e32c6c6b71bp-16, -0x1.1b1780e5b3f06p-16, -0x1.03ff640866562p-16, -0x1.db2ce064db5a1p-17, -0x1.afb0b52bd0abp-17, -0x1.8581e52b9daf1p-17, -0x1.5c984267135f6p-17, -0x1.34ebd0e72ad11p-17, -0x1.0e74c5a630da3p-17, -0x1.d2570aca4e51dp-18, -0x1.8a114735e4039p-18, -0x1.4409c2b359662p-18, -0x1.00325895707f5p-18, -0x1.7cfa7690e69f2p-19, -0x1.fb73c8ff8bf74p-20, -0x1.051160640def8p-20, -0x1.69a62733bb03ep-24, 0x1.a046893b4026cp-21, 0x1.af5872aa3ff88p-20, 0x1.439a6ba15aa89p-19, 0x1.abf37d2398038p-19, 0x1.086710d810f1ap-18, 0x1.3920400e3383bp-18, 0x1.68301ae61fd2p-18, 0x1.95a12ce33a0d7p-18, 0x1.c17dc00050483p-18, 0x1.ebcfde3532d14p-18, 0x1.0a50a981bdbc8p-17, 0x1.1dfdd676e2e6p-17, 0x1.30f41f7700a67p-17, 0x1.433810efa4772p-17, 0x1.54ce1af321598p-17, 0x1.65ba91e321bc2p-17, 0x1.7601af1fcf0b6p-17, 0x1.85a791ad0f3fdp-17, 0x1.94b03ed43edb1p-17, 0x1.a31fa2c375f91p-17, 0x1.b0f9912bec908p-17, 0x1.be41c5d745cb5p-17, 0x1.cafbe53d72b24p-17, 0x1.d72b7d10e780fp-17, 0x1.e2d404d990cb5p-17, 0x1.edf8de73e0d92p-17, 0x1.f89d569c7aa05p-17, 0x1.016252bb146e2p-16, 0x1.0638f785bc207p-16, 0x1.0ad421e539ff7p-16, 0x1.0f355080cd82p-16, 0x1.135df8acd1536p-16, 0x1.174f86a58d33ap-16, 0x1.1b0b5dc85dfb6p-16, 0x1.1e92d8ce21298p-16, 0x1.21e749ff0f566p-16, 0x1.2509fb6bf077ap-16, 0x1.27fc2f1ea9cf9p-16, 0x1.2abf1f4fa9bc9p-16, 0x1.2d53fe97e6981p-16, 0x1.2fbbf8224e2fep-16, 0x1.31f82fd94ff91p-16, 0x1.3409c296ac0b9p-16, 0x1.35f1c6513c055p-16, 0x1.37b14a49402f7p-16, 0x1.394957337782ep-16, 0x1.3abaef6155cdep-16, 0x1.3c070eed1c3f8p-16, 0x1.3d2eabe0e1a0fp-16, 0x1.3e32b65e91p-16, 0x1.3f1418c45bb32p-16, 0x1.3fd3b7d3632e6p-16, 0x1.407272d51c6c3p-16, 0x1.40f123bc88e3p-16, 0x1.41509f49c86fdp-16, 0x1.4191b52c09529p-16, 0x1.41b530232f628p-16, 0x1.41bbd61eca643p-16, 0x1.41a6685e2113p-16, 0x1.4175a38eeba7cp-16, 0x1.412a3fea25d35p-16, 0x1.40c4f153785eep-16, 0x1.4046677222fd8p-16, 0x1.3faf4dceaa0cap-16, 0x1.3f004bed9e238p-16, 0x1.3e3a05698c2e8p-16, 0x1.3d5d1a0cb9a9p-16, 0x1.3c6a25e9a5f2dp-16, 0x1.3b61c1741b0b1p-16, 0x1.3a4481987400fp-16, 0x1.3912f7d263daap-16, 0x1.37cdb2434b5a8p-16, 0x1.36753bc81da27p-16, 0x1.350a1c0f4c0ccp-16, 0x1.338cd7ae12c4fp-16, 0x1.31fdf032e5abbp-16, 0x1.305de43aaf3f4p-16, 0x1.2ead2f8363afep-16, 0x1.2cec4afee78adp-16, 0x1.2b1bace498ea5p-16, 0x1.293bc8c3b18aap-16, 0x1.274d0f944cd52p-16, 0x1.254fefc85be79p-16, 0x1.2344d55b54a0ap-16, 0x1.212c29e3ba17ep-16, 0x1.1f0654a0828e6p-16, 0x1.1cd3ba8a2790bp-16, 0x1.1a94be601ea3fp-16, 0x1.1849c0b70335dp-16, 0x1.15f320076eedfp-16, 0x1.139138bb0e323p-16, 0x1.1124653997d82p-16, 0x1.0eacfdf5a803ap-16, 0x1.0c2b59797eebdp-16, 0x1.099fcc72cc112p-16, 0x1.070aa9bf2664bp-16, 0x1.046c427702ec8p-16, 0x1.01c4e5f857199p-16, 0x1.fe29c3e4c7fd4p-17, 0x1.f8b904dfac72cp-17, 0x1.f33823c275c63p-17, 0x1.eda7b24dbd3fcp-17, 0x1.e8083f36092ep-17, 0x1.e25a563565f08p-17, 0x1.dc9e801f08b46p-17, 0x1.d6d542f044347p-17, 0x1.d0ff21e173626p-17, 0x1.cb1c9d77b225bp-17, 0x1.c52e3395aca37p-17, 0x1.bf345f8adf52cp-17, 0x1.b92f9a23d626dp-17, 0x1.b32059b8c858fp-17, 0x1.ad07123c28ab3p-17, 0x1.a6e435497513fp-17, 0x1.a0b832336c358p-17, 0x1.9a83760ffc9c4p-17, 0x1.94466bc5c32f5p-17, 0x1.8e017c1b2b90bp-17, 0x1.87b50dc0588acp-17, 0x1.8161855c7e799p-17, 0x1.7b074599482f4p-17, 0x1.74a6af2d89243p-17, 0x1.6e4020e86feaap-17, 0x1.67d3f7bdc9029p-17, 0x1.61628ecf165p-17, 0x1.5aec3f75afbc4p-17, 0x1.5471614cae85dp-17, 0x1.4df24a3b12597p-17, 0x1.476f4e7d05752p-17, 0x1.40e8c0acacecbp-17, 0x1.3a5ef1cb5d60bp-17, 0x1.33d23149a1369p-17, 0x1.2d42cd1018b6fp-17, 0x1.26b11187ba103p-17, 0x1.201d49a130f4dp-17, 0x1.1987bedc6f15dp-17, 0x1.12f0b950458b4p-17, 0x1.0c587fb1c5513p-17, 0x1.05bf575ad84ecp-17, 0x1.fe4b08a4eba26p-18, 0x1.f11692a3072eep-18, 0x1.e3e1cf95e8368p-18, 0x1.d6ad3fe18eed1p-18, 0x1.c979617460859p-18, 0x1.bc46afd48d6d1p-18, 0x1.af15a42a6c6f8p-18, 0x1.a1e6b54d4a337p-18, 0x1.94ba57cd67d9ap-18, 0x1.8790fdfe27b97p-18, 0x1.7a6b1801a4ffdp-18, 0x1.6d4913d2effc9p-18, 0x1.602b5d4d4319p-18, 0x1.53125e3923082p-18, 0x1.45fe7e523feaap-18, 0x1.38f02351ccb4p-18, 0x1.2be7b0f940a1ap-18, 0x1.1ee58919172bcp-18, 0x1.11ea0b98f7f62p-18, 0x1.04f59680173f5p-18, 0x1.f0110bfba1a54p-19, 0x1.d64668e30b373p-19, 0x1.bc8bf4e244773p-19, 0x1.a2e25da055915p-19, 0x1.894a4d50d5p-19, 0x1.6fc46ac09ed1ep-19, 0x1.565159646536ap-19, 0x1.3cf1b962e348fp-19, 0x1.23a627a54b7dfp-19, 0x1.0a6f3de254e9fp-19, 0x1.e29b254fc19edp-20, 0x1.b08372db2986cp-20, 0x1.7e988535fc37ep-20, 0x1.4cdb7726d68cep-20, 0x1.1b4d5d8c37e95p-20, 0x1.d3de8ecb7c946p-21, 0x1.71847be214fe4p-21, 0x1.0f8e897ac608dp-21, 0x1.5bfd66f0868ebp-22, 0x1.335baaeb8b2fp-23, -0x1.3e6eac7797b92p-25, -0x1.d0e3c75f1c69p-23, -0x1.a83ab39956d16p-22, -0x1.33925c7932676p-21, -0x1.92963e0206aefp-21, -0x1.f1274cbac7ad6p-21, -0x1.27a1f082650bbp-20, -0x1.56752e922d923p-20, -0x1.850c969083ce2p-20, -0x1.b3676357be75cp-20, -0x1.e184d484f58f2p-20, -0x1.07b217344761dp-19, -0x1.1e825cfc49b49p-19, -0x1.3532e25f76b19p-19, -0x1.4bc35065bdb9dp-19, -0x1.6233525315a8fp-19, -0x1.788295a11d726p-19, -0x1.8eb0c9f602a76p-19, -0x1.a4bda11f24e95p-19, -0x1.baa8cf097aa0cp-19, -0x1.d07209baf0778p-19, -0x1.e619094a546dbp-19, -0x1.fb9d87dd5f2d1p-19, -0x1.087fa0cf788a1p-18, -0x1.131efa5c5bb82p-18, -0x1.1dacb0a6d4a87p-18, -0x1.2828a4b8f94e4p-18, -0x1.3292b894b0d9p-18, -0x1.3ceacf2e5726ap-18, -0x1.4730cc6bfff96p-18, -0x1.5164952060744p-18, -0x1.5b860f099ebc1p-18, -0x1.659520cd98362p-18, -0x1.6f91b1f6452ddp-18, -0x1.797baaf1b155ap-18, -0x1.8352f50c0dab9p-18, -0x1.8d177a6f6f552p-18, -0x1.96c9262009794p-18, -0x1.a067e3fa4591p-18, -0x1.a9f3a0af2e414p-18, -0x1.b36c49c17c7a9p-18, -0x1.bcd1cd84973cbp-18, -0x1.c6241b1929f61p-18, -0x1.cf63226afbb09p-18, -0x1.d88ed42ed2593p-18, -0x1.e1a721deac99dp-18, -0x1.eaabfdb815d3dp-18, -0x1.f39d5ab9abbadp-18, -0x1.fc7b2ca19e688p-18, -0x1.02a2b3f4d43f9p-17, -0x1.06fe00e3474e5p-17, -0x1.0b4f781212a98p-17, -0x1.0f9714d1ddaa2p-17, -0x1.13d4d2ccfd10ep-17, -0x1.1808ae062ee8ep-17, -0x1.1c32a2d78d08cp-17, -0x1.2052adf1a000ap-17, -0x1.2468cc59f00adp-17, -0x1.2874fb6a107b6p-17, -0x1.2c7738ce034acp-17, -0x1.306f828494e35p-17, -0x1.345dd6dcdb64ap-17, -0x1.38423475a155dp-17, -0x1.3c1c9a3ce35e2p-17, -0x1.3fed076db6243p-17, -0x1.43b37b8fa758fp-17, -0x1.476ff6766258cp-17, -0x1.4b22783fcc855p-17, -0x1.4ecb01538aeabp-17, -0x1.526992614076fp-17, -0x1.55fe2c60a406cp-17, -0x1.5988d08fd5184p-17, -0x1.5d0980723154ap-17, -0x1.60803dd0364c9p-17, -0x1.63ed0ab4f04dbp-17, -0x1.674fe96ef9785p-17, -0x1.6aa8dc8e47b2bp-17, -0x1.6df7e6e35d228p-17, -0x1.713d0b7ea3e2p-17, -0x1.74784daefd111p-17, -0x1.77a9b1017191ap-17, -0x1.7ad1394001f24p-17, -0x1.7deeea7027159p-17, -0x1.8102c8d2bb239p-17, -0x1.840cd8e31d0a1p-17, -0x1.870d1f5571bb6p-17, -0x1.8a03a1167a62dp-17, -0x1.8cf0634a0af5bp-17, -0x1.8fd36b4ae34a1p-17, -0x1.92acbea8e9203p-17, -0x1.957c63299438ap-17, -0x1.98425ec5e1bffp-17, -0x1.9afeb7aa2631p-17, -0x1.9db1743431cp-17, -0x1.a05a9af3b81e5p-17, -0x1.a2fa32a8f80a9p-17, -0x1.a590424367347p-17, -0x1.a81cd0e207439p-17, -0x1.aa9fe5d0da70ep-17, -0x1.ad198889e29c7p-17, -0x1.af89c0b31d5e6p-17, -0x1.b1f0961deb44p-17, -0x1.b44e10c6d79b6p-17, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      29, 0x1.f851eb851eb85p+2, 0x1.10571b73d2b2ap+1, 0x1.252fd379f5939p+3, -0x1.481c4523262acp-9, 
      {{
        {0x1.9e147ae147ae1p+2, 0x1.ap+2, 0x1.ec29cd5ef3be4p-8, -0x1.5d0d5c2872c33p-6, 0x1.7354f6e3a0afcp-6, -0x1.5ccf3f05e737cp-7}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.c398510a0d3a4p-8, -0x1.473e402e85fd7p-6, 0x1.63a2ada733b89p-6, -0x1.51b124b781a0fp-7}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.859e47ea0d9a7p-8, -0x1.24f22acb4a95ap-6, 0x1.4a4efe1970665p-6, -0x1.44ed13a6583ffp-7}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.4e403dfccec3ep-8, -0x1.0522326af8a2bp-6, 0x1.31f0696cf694cp-6, -0x1.388ef46ca30cdp-7}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.1d0167337be05p-8, -0x1.cf6c6c76b97e9p-7, 0x1.1a7f4a4b3726ap-6, -0x1.2c15844daab5fp-7}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.e2d37f1f063b9p-9, -0x1.992cba1e06253p-7, 0x1.03fdad2bca591p-6, -0x1.1fa365ec50da5p-7}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.960c16452b50bp-9, -0x1.6755750c2886p-7, 0x1.dcd60b0dbbc4fp-7, -0x1.132f5179bb5dp-7}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.52cfac1d4f5dp-9, -0x1.39b6cecb0ed5p-7, 0x1.b38ef20846107p-7, -0x1.06bbc38e74ba2p-7}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.184ae90be0c09p-9, -0x1.1020f622fa9f3p-7, 0x1.8c25fb194e27fp-7, -0x1.f490232e62fbbp-8}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.cb680b2ba7b9p-10, -0x1.d4c835328659ap-8, 0x1.669b2ba906bb2p-7, -0x1.dba8d2911feb6p-8}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.749594c146305p-10, -0x1.90a0d7012b012p-8, 0x1.42ee82448abcap-7, -0x1.c2c17cc6cb5b4p-8}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.2ab120649db3ap-10, -0x1.536c307263fbbp-8, 0x1.211fff4f3b7c5p-7, -0x1.a9da285f78d0bp-8}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.d8c0ffc5762efp-11, -0x1.1ccaa03f6b8d9p-8, 0x1.012fa2ae78d33p-7, -0x1.90f2d3992f068p-8}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.70b94a936e69ep-11, -0x1.d8b90a46de85fp-9, 0x1.c63ad8d2c4327p-8, -0x1.780b7eebb7cfap-8}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.1ae345d16dd62p-11, -0x1.83847bb22bf4bp-9, 0x1.8dd2b8fc356cp-8, -0x1.5f242a3a00435p-8}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.a9faad3fac7c3p-12, -0x1.393852365c28p-9, 0x1.5926e5d9e8956p-8, -0x1.463cd580681ebp-8}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.39d8454242e52p-12, -0x1.f22a9691ba908p-10, 0x1.28375f6d0c2a7p-8, -0x1.2d5580ea951abp-8}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.c2ea3fe785459p-13, -0x1.84b848bf11369p-10, 0x1.f6084b608533cp-9, -0x1.146e2bcd8b6e3p-8}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.3a671542ff101p-13, -0x1.289b35dd7313bp-10, 0x1.a31a716fa82cap-9, -0x1.f70db15372f64p-9}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a7094e73f5b41p-14, -0x1.b8a9b1c161344p-11, 0x1.57a5306ff0867p-9, -0x1.c53efc4ffd3d7p-9}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.107328efc14fp-14, -0x1.3ccd59265d12ap-11, 0x1.13a88a972423fp-9, -0x1.93707e4994f4cp-9}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.4c55f6c1e2a41p-15, -0x1.b548b16796d02p-12, 0x1.ae48ef4b68655p-10, -0x1.61a1330b5d3a3p-9}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.7a082cff57cp-16, -0x1.1e634563b535dp-12, 0x1.44322cc7ffa1p-10, -0x1.2fd4e5ae3240ap-9}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.87dd10ac029fdp-17, -0x1.5de0e8ea6682bp-13, 0x1.d217cfc1144f4p-11, -0x1.fbfadc0b5bcd1p-10}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.64d0d7bc19p-18, -0x1.83d71d12bd88ap-14, 0x1.39b2f424125c3p-11, -0x1.989f4351f0a42p-10}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.0bb3e3a5657ffp-19, -0x1.73d4d828643fep-15, 0x1.7e398cb09456ep-12, -0x1.340ca4d0b86a9p-10}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.23565a8794p-21, -0x1.17f784b92970dp-16, 0x1.8aca5399e4fcp-13, -0x1.a8058db0b76dap-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.4e403dfd60001p-24, -0x1.0799666ea211bp-18, 0x1.18c1305fbaa9cp-14, -0x1.8c33b207cde1cp-12}, 
        {0x1.f666666666666p+2, 0x1.f851eb851eb85p+2, 0x1.a7094eap-30, -0x1.2465dcb3ff8ap-24, 0x1.584492d85f8p-17, -0x1.2b6771a899431p-10}, 
      }}, 
      0x1.5c6443265cf6cp-5, -0x1.0405601c2ad19p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.c2d98945f6f02p-1, 0x1.c528d6212aff9p-1, 0x1.c897403fff7d5p-1, 0x1.ccdcb7412bd4dp-1, 0x1.d1bcb2c9bc5e7p-1, 0x1.d70480215bed7p-1, 0x1.dc89cce5c71b2p-1, 0x1.e22969034ccb6p-1, 0x1.e7c637db04e4fp-1, 0x1.ed484cc48c2d8p-1, 0x1.f29c2581e2c38p-1, 0x1.f7b205710c859p-1, 0x1.fc7d6702de01dp-1, 0x1.007a40a05a631p+0, 0x1.0287efeaaeecp+0, 0x1.0465043b2d30cp+0, 0x1.060f96521aa52p+0, 0x1.0786731b6881cp+0, 0x1.08c8fe1b4019ep+0, 0x1.09d71919c7c19p+0, 0x1.0ab10ea5a05e6p+0, 0x1.0b5781ccf2ebcp+0, 0x1.0bcb5fb207ebdp+0, 0x1.0c0dd33ae90e3p+0, 0x1.0c203a25afc73p+0, 0x1.0c041ac6f4a96p+0, 0x1.0bbb1af452526p+0, 0x1.0b46f7fc504fep+0, 0x1.0aa97fc32fe97p+0, 0x1.09e48afa234e3p+0, 0x1.08f9f8304fe4ap+0, 0x1.07eba7b77bd5cp+0, 0x1.06bb782c48ff7p+0, 0x1.056b438d538ddp+0, 0x1.03fcdcd7660cp+0, 0x1.02720e13e178fp+0, 0x1.00cc96aae2db2p+0, 0x1.fe1c5468f2398p-1, 0x1.fa70dea25453ep-1, 0x1.f699fe26a3effp-1, 0x1.f29ac88f547bfp-1, 0x1.ee763640cde11p-1, 0x1.ea2f21fb42bbbp-1, 0x1.e5c848ba17f18p-1, 0x1.e144498edeaf2p-1, 0x1.dca5a602ebba6p-1, 0x1.d7eec231de408p-1, 0x1.d321e5be1e6a1p-1, 0x1.ce413c121ee54p-1, 0x1.c94ed508ecfdep-1, 0x1.c44ca5eadd528p-1, 0x1.bf3c8a2dbef9fp-1, 0x1.ba20442780996p-1, 0x1.b4f97e2d92b18p-1, 0x1.afc9cb4e62b0ap-1, 0x1.aa92a84463407p-1, 0x1.a5557c69e1bfdp-1, 0x1.a0139a89b359ep-1, 0x1.9ace41cd880bap-1, 0x1.95869ec22a3a4p-1, 0x1.903dcbea4021cp-1, 0x1.8af4d2dd9b393p-1, 0x1.85acacf4ae058p-1, 0x1.8066441586122p-1, 0x1.7b22738b16103p-1, 0x1.75e2089abce4cp-1, 0x1.70a5c368c8f5p-1, 0x1.6b6e578d47cedp-1, 0x1.663c6cc65c854p-1, 0x1.61109f9bd1456p-1, 0x1.5beb81f314c51p-1, 0x1.56cd9b97337abp-1, 0x1.51b76af8018ecp-1, 0x1.4ca96570acb6fp-1, 0x1.47a3f7dede0bep-1, 0x1.42a7872fc58ecp-1, 0x1.3db470b132eb7p-1, 0x1.38cb0aa827b5fp-1, 0x1.33eba488bd1e3p-1, 0x1.2f16876f305afp-1, 0x1.2a4bf6951f26bp-1, 0x1.258c2f7db715dp-1, 0x1.20d76a6a55498p-1, 0x1.1c2dda9183ec4p-1, 0x1.178fae7b5731ap-1, 0x1.12fd103daaa57p-1, 0x1.0e7625bfd1795p-1, 0x1.09fb10f2970d2p-1, 0x1.058bf01ddf81ap-1, 0x1.0128ddfaf27d9p-1, 0x1.f9a3e405e9978p-2, 0x1.f10e811786306p-2, 0x1.e891b61a640bep-2, 0x1.e02da05048c1cp-2, 0x1.d7e257f10e81ep-2, 0x1.cfaff0340a403p-2, 0x1.c79677c0b5a76p-2, 0x1.bf95f8f4abdc4p-2, 0x1.b7ae79e9f6413p-2, 0x1.afdffd1039e2p-2, 0x1.a82a80ff0bbp-2, 0x1.a08e0111bbc07p-2, 0x1.990a754a7c19bp-2, 0x1.919fd29bf7bb2p-2, 0x1.8a4e0b13058d8p-2, 0x1.83150e2309a9ap-2, 0x1.7bf4c88bcea32p-2, 0x1.74ed24b112dbcp-2, 0x1.6dfe0aae514dcp-2, 0x1.6727606b3ff9bp-2, 0x1.606909e7a5c2p-2, 0x1.59c2e907d831dp-2, 0x1.5334de127ef2ap-2, 0x1.4cbec775a9232p-2, 0x1.4660820a75ba5p-2, 0x1.4019e94526951p-2, 0x1.39ead6f137dd3p-2, 0x1.33d323ad7f0acp-2, 0x1.2dd2a6e2bdaf3p-2, 0x1.27e9368e420bbp-2, 0x1.2216a7cbe0a8ep-2, 0x1.1c5ace6b80486p-2, 0x1.16b57d83245e2p-2, 0x1.112686f9dbe59p-2, 0x1.0badbc04db83bp-2, 0x1.064aed05ad4b4p-2, 0x1.00fde97c7b892p-2, 0x1.f78d00a122cdcp-3, 0x1.ed48ff69bdd8dp-3, 0x1.e32f6a608e076p-3, 0x1.d93fdbd1598ecp-3, 0x1.cf79ec638514dp-3, 0x1.c5dd3450a792fp-3, 0x1.bc694aa50e969p-3, 0x1.b31dc5a980a13p-3, 0x1.a9fa3ae76ba43p-3, 0x1.a0fe3f3fede7cp-3, 0x1.982966f865035p-3, 0x1.8f7b45a6eef6bp-3, 0x1.86f36ed0f89d4p-3, 0x1.7e91750c0b23ap-3, 0x1.7654eae2a90bfp-3, 0x1.6e3d627f475dfp-3, 0x1.664a6dc9baa03p-3, 0x1.5e7b9e74d8417p-3, 0x1.56d0862600425p-3, 0x1.4f48b64526be3p-3, 0x1.47e3c04900db3p-3, 0x1.40a135a655685p-3, 0x1.3980a7b0588afp-3, 0x1.3281a83bbb5d6p-3, 0x1.2ba3c8ca7661bp-3, 0x1.24e69b3fe5bf6p-3, 0x1.1e49b1b378f9ep-3, 0x1.17cc9e80fd2a8p-3, 0x1.116ef434e952cp-3, 0x1.0b3045c0ff561p-3, 0x1.0510266bf9d4ap-3, 0x1.fe1c53bcafacp-4, 0x1.f253c857b80c8p-4, 0x1.e6c5d3bae5bb7p-4, 0x1.db719ff5cb88p-4, 0x1.d05657d2b3fbep-4, 0x1.c57327ba99acdp-4, 0x1.bac73ce4498bap-4, 0x1.b051c5683d469p-4, 0x1.a611f121e1fd1p-4, 0x1.9c06f0e43f36ap-4, 0x1.922ff6e262ea2p-4, 0x1.888c36acfede5p-4, 0x1.7f1ae53ceb08ep-4, 0x1.75db38fad07e7p-4, 0x1.6ccc69c891fe3p-4, 0x1.63edb10c5ecp-4, 0x1.5b3e49bb81877p-4, 0x1.52bd7060e4e88p-4, 0x1.4a6a632ce3c4ap-4, 0x1.424461f47a0e7p-4, 0x1.3a4aade50d1e7p-4, 0x1.327c8aacff2cdp-4, 0x1.2ad93ced1215dp-4, 0x1.23600b42d0358p-4, 0x1.1c103e3e3332ap-4, 0x1.14e9200f1bc78p-4, 0x1.0de9fcd58f192p-4, 0x1.0712223fb4636p-4, 0x1.0060e0413dd02p-4, 0x1.f3ab10c231941p-5, 0x1.e6dedc3fddb01p-5, 0x1.da5bcdb5941cbp-5, 0x1.ce2093bd6090fp-5, 0x1.c22be0c7e9ea5p-5, 0x1.b67c6b1676994p-5, 0x1.ab10ecd3c6aafp-5, 0x1.9fe82408608a5p-5, 0x1.9500d2b33e5bp-5, 0x1.8a59bec24367fp-5, 0x1.7ff1b17360a25p-5, 0x1.75c779541f753p-5, 0x1.6bd9e7b9da154p-5, 0x1.6227d1e20d47fp-5, 0x1.58b011a53e7a2p-5, 0x1.4f71846a6cc8dp-5, 0x1.466b0b927dd01p-5, 0x1.3d9b8c7a58b15p-5, 0x1.3501f06396746p-5, 0x1.2c9d247844ac7p-5, 0x1.246c19d64175p-5, 0x1.1c6dc562f3645p-5, 0x1.14a11fee06bf3p-5, 0x1.0d052630258ddp-5, 0x1.0598d8cc7014cp-5, 0x1.fcb678a609db7p-6, 0x1.ee96b23c479e4p-6, 0x1.e0d076800c169p-6, 0x1.d361e4dfec7ffp-6, 0x1.c6492427d1d2p-6, 0x1.b98462c46c8a1p-6, 0x1.ad11d6eb97f24p-6, 0x1.a0efbee3aed24p-6, 0x1.951c5f4ac9f7cp-6, 0x1.899605e5638ddp-6, 0x1.7e5b0601a8c48p-6, 0x1.7369b879f80fdp-6, 0x1.68c07e9b30a6ep-6, 0x1.5e5dc04e52d0dp-6, 0x1.543fed545e06dp-6, 0x1.4a657d3a60224p-6, 0x1.40ccef40d01a1p-6, 0x1.3774c95a6974ep-6, 0x1.2e5b97336e33dp-6, 0x1.257fe96a71e3ap-6, 0x1.1ce055adc0f4dp-6, 0x1.147b77e032721p-6, 0x1.0c4ff43d477fcp-6, 0x1.045c7717aa7cap-6, 0x1.f93f704a3607bp-7, 0x1.ea30e96a33e56p-7, 0x1.db8adcff506ep-7, 0x1.cd4ad04d2b63ap-7, 0x1.bf6e4b08fb59bp-7, 0x1.b1f2ddc215da4p-7, 0x1.a4d62bdc29406p-7, 0x1.9815f2f5661afp-7, 0x1.8bb00a334c61ep-7, 0x1.7fa2583cc7295p-7, 0x1.73eac5a88f08p-7, 0x1.68873407ad378p-7, 0x1.5d7579efcdf1fp-7, 0x1.52b3793ba3db5p-7, 0x1.483f2613a03ddp-7, 0x1.3e1693c06c76dp-7, 0x1.3437f640c9a2cp-7, 0x1.2aa1900b8bc31p-7, 0x1.2151a1cd6192ep-7, 0x1.1846600fb2bd6p-7, 0x1.0f7df6067357p-7, 0x1.06f693e90aa8fp-7, 0x1.fd5cff6bc5e7ap-8, 0x1.ed483a1bd5126p-8, 0x1.ddabcd765fddbp-8, 0x1.ce84bd9f4c181p-8, 0x1.bfd0040803da3p-8, 0x1.b18a8bcc28d83p-8, 0x1.a3b146f5e63fp-8, 0x1.9641478154bf6p-8, 0x1.8937d13f4ce38p-8, 0x1.7c9257068c203p-8, 0x1.704e60225542ep-8, 0x1.64695fd88865cp-8, 0x1.58e09ba0c71d2p-8, 0x1.4db13bef2b5c4p-8, 0x1.42d880654f6cp-8, 0x1.3853f4bbadf98p-8, 0x1.2e217ce6a13bep-8, 0x1.243f38f7899ep-8, 0x1.1aab5afd52d8p-8, 0x1.116400f3e3a47p-8, 0x1.08670f029fbcp-8, 0x1.ff64356d38d63p-9, 0x1.ee8509641740bp-9, 0x1.de2b938aa5296p-9, 0x1.ce53a5a98d41p-9, 0x1.befa11c8973a6p-9, 0x1.b01c28e94f744p-9, 0x1.a1b744f991b4fp-9, 0x1.93c8aac52476bp-9, 0x1.864d74bca5f72p-9, 0x1.79425abc9622ep-9, 0x1.6ca35f93b9fb9p-9, 0x1.606c08a78035cp-9, 0x1.549808b81a73p-9, 0x1.4923f2839b08bp-9, 0x1.3e0d3417aa5p-9, 0x1.3351a777cbe1cp-9, 0x1.28ef4bb761a32p-9, 0x1.1ee453a4b13b9p-9, 0x1.152f2f93fd11dp-9, 0x1.0bce1b8e1fd8dp-9, 0x1.02be89e6b13fbp-9, 0x1.f3f9a685df6e5p-10, 0x1.e3097d657f414p-10, 0x1.d2a4ee0ce7026p-10, 0x1.c2c66cbe39693p-10, 0x1.b36a91390861fp-10, 0x1.a48f35e85a235p-10, 0x1.9632a7b40a0cp-10, 0x1.88538ab6c4b0ap-10, 0x1.7af0c3af49221p-10, 0x1.6e0844cd4b9bbp-10, 0x1.619576884332cp-10, 0x1.5590e34b8ca24p-10, 0x1.49f1cd47e7879p-10, 0x1.3eb106613b5d8p-10, 0x1.33cb2645b2e0cp-10, 0x1.293fe21df7a7p-10, 0x1.1f0f18d93ecap-10, 0x1.1537b8ae7b61fp-10, 0x1.0bb92d7805453p-10, 0x1.0293343e3b219p-10, 0x1.f388345c4ff5p-11, 0x1.e28fd187fbcf8p-11, 0x1.d230ed9abb6bap-11, 0x1.c25c8d2138bdap-11, 0x1.b305f98e06728p-11, 0x1.a429946eec068p-11, 0x1.95caf515c4126p-11, 0x1.87ea416cccdb1p-11, 0x1.7a843109514e6p-11, 0x1.6d98b03d7a27ap-11, 0x1.6127305e03907p-11, 0x1.552b6040d73efp-11, 0x1.49a003a13275p-11, 0x1.3e7fb3666c8d2p-11, 0x1.33c24692e92bfp-11, 0x1.295c3432d7993p-11, 0x1.1f465434a1935p-11, 0x1.1584b444affe1p-11, 0x1.0c195a2d209a1p-11, 0x1.02ffc7588e377p-11, 0x1.f470835e603f1p-12, 0x1.e385aa3c46383p-12, 0x1.d334bffbae159p-12, 0x1.c373cdde35216p-12, 0x1.b4408eab9982fp-12, 0x1.a59a91345ab38p-12, 0x1.977a109c6b4e9p-12, 0x1.89cca17a9cc3ap-12, 0x1.7c8662b5e4b14p-12, 0x1.6fb0b437d8636p-12, 0x1.6348e8f6fac05p-12, 0x1.574a26cefdc3dp-12, 0x1.4bb88d3b1f8cap-12, 0x1.408e9c71c5df4p-12, 0x1.35c1b475825acp-12, 0x1.2b4b86aa27be5p-12, 0x1.212c7b9e2427dp-12, 0x1.176765d795b4ep-12, 0x1.0dfc67015da65p-12, 0x1.04e544e68b2f7p-12, 0x1.f8248fa9b90d7p-13, 0x1.e70598367603ep-13, 0x1.d66e8517b921fp-13, 0x1.c65e46785868dp-13, 0x1.b6d9a5a8eb0a1p-13, 0x1.a7d76e64fa43cp-13, 0x1.994a2efeb278cp-13, 0x1.8b29328f46d09p-13, 0x1.7d71f7f01f92bp-13, 0x1.7024cc6c963cfp-13, 0x1.63426080f62e7p-13, 0x1.56cddb1abbdcep-13, 0x1.4acb44b64bb6ep-13, 0x1.3f21458fb16e1p-13, 0x1.33c247b7df9dcp-13, 0x1.28b5175d9b1adp-13, 0x1.1e00e217d9d97p-13, 0x1.139da6ce1397dp-13, 0x1.0988aece4a932p-13, 0x1.ff74b839f3aep-14, 0x1.ec5f3b473da76p-14, 0x1.d9ce01b00ca06p-14, 0x1.c7bd21bce9343p-14, 0x1.b628ea421a8c6p-14, 0x1.a50e60cba9d9bp-14, 0x1.948159ec3abp-14, 0x1.8479f247201ffp-14, 0x1.74d12cfc7437p-14, 0x1.6588e0014081bp-14, 0x1.56afe86340da5p-14, 0x1.4831bf655bbebp-14, 0x1.3a1a714234ecp-14, 0x1.2c5e664d37e74p-14, 0x1.1ef7dc429edf1p-14, 0x1.11e65f191edfbp-14, 0x1.05270f737b403p-14, 0x1.f16e2eac46523p-15, 0x1.d9281f3f76584p-15, 0x1.c1767089ec5adp-15, 0x1.aa6f7f8f2b705p-15, 0x1.93f2595cc5d08p-15, 0x1.7e04185b5d0dcp-15, 0x1.68ad5c80d742cp-15, 0x1.53c715b33c993p-15, 0x1.3f5275dfd2ce4p-15, 0x1.2b68774d17c29p-15, 0x1.17f473b6698e4p-15, 0x1.04ef6ae171378p-15, 0x1.e4b4d59932317p-16, 0x1.c064fdc1cd197p-16, 0x1.9ce8c263430dfp-16, 0x1.7a3ea90624623p-16, 0x1.585d6ec03ba27p-16, 0x1.37506f5638a1ep-16, 0x1.170031bc9645ep-16, 0x1.eec10b1dc86c2p-17, 0x1.b11c494f718fp-17, 0x1.7506dbea6512fp-17, 0x1.3a2f110c6589ap-17, 0x1.00931975874ffp-17, 0x1.90f383fae8dadp-18, 0x1.23411480e2b99p-18, 0x1.700bcfd395c02p-19, 0x1.3d2049b3e63e5p-20, -0x1.7058b91f8bc9ep-22, -0x1.eba85fe9d294bp-20, -0x1.b8c5488d6c2b7p-19, -0x1.3b9799b8dde75p-18, -0x1.9865693174831p-18, -0x1.f30de90c6636bp-18, -0x1.25adb6c486a9bp-17, -0x1.50d0233b004b3p-17, -0x1.7aece55517f88p-17, -0x1.a3d1dd412c1cep-17, -0x1.cbb872f633de7p-17, -0x1.f2a483e5071fdp-17, -0x1.0c3b4980e967dp-16, -0x1.1eab2590302ffp-16, -0x1.309e9feb6cb59p-16, -0x1.4215c8ff34409p-16, -0x1.5311df9e7c2b9p-16, -0x1.6392087dc46e9p-16, -0x1.739ab96451268p-16, -0x1.832f79e0986ccp-16, -0x1.924b10d518e8dp-16, -0x1.a0f0ba7edd837p-16, -0x1.af2753229c7b7p-16, -0x1.bcec884341c9cp-16, -0x1.ca423d396353fp-16, -0x1.d72abf886fb8dp-16, -0x1.e3a6295ebfcfep-16, -0x1.efae19e637c91p-16, -0x1.fb4ebb64f2ee7p-16, -0x1.0340f7c2a97e4p-15, -0x1.08a85ccbd4e68p-15, -0x1.0ddc2c8c1a3fcp-15, -0x1.12dc5e09f13abp-15, -0x1.17a953433963ep-15, -0x1.1c44b1ff247d6p-15, -0x1.20af46c225a65p-15, -0x1.24e600ab1c361p-15, -0x1.28edc73777de3p-15, -0x1.2cc5a4fcd63b5p-15, -0x1.306ded30f4e17p-15, -0x1.33e72e84f68c6p-15, -0x1.3731f859e93eap-15, -0x1.3a4ef50ecd2d9p-15, -0x1.3d3e9cbb7e01cp-15, -0x1.4001dd0eff642p-15, -0x1.4298df3aebd72p-15, -0x1.45026c7a334bep-15, -0x1.4740e19027f95p-15, -0x1.4955d2988f1c4p-15, -0x1.4b403730f47ddp-15, -0x1.4d00d434ef048p-15, -0x1.4e9971774d314p-15, -0x1.50076f30ff848p-15, -0x1.514e52ccb35e1p-15, -0x1.526db0bfe28a3p-15, -0x1.5365f98fc5c78p-15, -0x1.5437c12d0d173p-15, -0x1.54e3cd42df00ep-15, -0x1.5569d8f6268cep-15, -0x1.55cc255a0dec2p-15, -0x1.5608fc4144e2p-15, -0x1.562273c8772ap-15, -0x1.5618c4c7a415ep-15, -0x1.55ec5c0f4aaadp-15, -0x1.559e6487e55b4p-15, -0x1.552e9203fc7f9p-15, -0x1.549c5b741e975p-15, -0x1.53ead3871cc31p-15, -0x1.5319df5b27b05p-15, -0x1.52289baf405bap-15, -0x1.51190107eac95p-15, -0x1.4feb1a591c962p-15, -0x1.4e9f765af9a53p-15, -0x1.4d36a23949f2ep-15, -0x1.4bb167a5cafb3p-15, -0x1.4a0fdcb9a8f72p-15, -0x1.485302bf5ca87p-15, -0x1.467b37473238bp-15, -0x1.4489118f9e847p-15, -0x1.427d36338e53ep-15, -0x1.4057f2b4637fbp-15, -0x1.3e1a1a1f767ep-15, -0x1.3bc419e6ea1f6p-15, -0x1.3956844f07d14p-15, -0x1.36d1e1f0fca38p-15, -0x1.3436f65c04c31p-15, -0x1.31862d403397ap-15, -0x1.2ebf8ada663abp-15, -0x1.2be4596b4e46bp-15, -0x1.28f4c8217380cp-15, -0x1.25f20b448d3ccp-15, -0x1.22db634842b37p-15, -0x1.1fb2832c5925bp-15, -0x1.1c776ae1ed171p-15, -0x1.192ac1ba245bfp-15, -0x1.15cd1017bccc8p-15, -0x1.125ede0bb99c4p-15, -0x1.0ee0b31305409p-15, -0x1.0b5315d02a198p-15, -0x1.07b68c1c8d738p-15, -0x1.040b99744b3cp-15, -0x1.0052c00c5b84dp-15, -0x1.f91907eb4d845p-16, -0x1.f172e292b48abp-16, -0x1.e9b3e5cf0527p-16, -0x1.e1dd36cf94013p-16, -0x1.d9efcc09bdc13p-16, -0x1.d1ec93fcd448dp-16, -0x1.c9d47c53da983p-16, -0x1.c1ab6b92af7f4p-16, -0x1.b96cdf70a4b38p-16, -0x1.b1198f66a4ad8p-16, -0x1.a8b825aa49fcap-16, -0x1.a046a746f9129p-16, -0x1.97c614da1112ap-16, -0x1.8f374ac6ef716p-16, -0x1.869b392e7d454p-16, -0x1.7df2c22b8a93p-16, -0x1.753ecb4d42f76p-16, -0x1.6c80c495ac85cp-16, -0x1.63b78827e77a4p-16, -0x1.5ae6ee90bdd8fp-16, -0x1.520d6f25d80a6p-16, -0x1.492cd695e5848p-16, -0x1.4046186bea9fp-16, -0x1.37598a4320fa5p-16, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.db7abe05e348fp-1, -0x1.db65051d94a06p-1, -0x1.db407db708923p-1, -0x1.db0cba9f8be99p-1, -0x1.dac935acc181dp-1, -0x1.da75580cfed82p-1, -0x1.da10811c409d2p-1, -0x1.d99a0bf9f1f33p-1, -0x1.d911541223a6cp-1, -0x1.d875b8c4be0aep-1, -0x1.d7c6a04e8e228p-1, -0x1.d7037a126a36p-1, -0x1.d62bc05c024e1p-1, -0x1.d53ef9b1f6049p-1, -0x1.d43cb9c9857d1p-1, -0x1.d324a22b5fa25p-1, -0x1.d1f66296be0a4p-1, -0x1.d0b1b92dfd30bp-1, -0x1.cf567276335a3p-1, -0x1.cde46931db9fdp-1, -0x1.cc5b861d71b74p-1, -0x1.cabbbf93d606cp-1, -0x1.c905191f6fbbp-1, -0x1.c737a2fc3f898p-1, -0x1.c553798e7703cp-1, -0x1.c358c4d097753p-1, -0x1.c147b7bba416dp-1, -0x1.bf208fab8d59ap-1, -0x1.bce393c1a383fp-1, -0x1.ba9114468fb3fp-1, -0x1.b8296a0d13742p-1, -0x1.b5acf5d6992fcp-1, -0x1.b31c1fba6ccf6p-1, -0x1.b077569049562p-1, -0x1.adbf0f5ecf0cap-1, -0x1.aaf3c4ce480b6p-1, -0x1.a815f6a0169dep-1, -0x1.a526292b09508p-1, -0x1.a224e4dcc264bp-1, -0x1.9f12b5c04e99dp-1, -0x1.9bf02b09fb58ep-1, -0x1.98bdd6a871886p-1, -0x1.957c4cdb0dc8ap-1, -0x1.922c23cd6c69bp-1, -0x1.8ecdf33812e6ep-1, -0x1.8b6254062202p-1, -0x1.87e9dffff0d5ep-1, -0x1.8465317a73d6dp-1, -0x1.80d4e30b4b0a6p-1, -0x1.7d398f4154b5ap-1, -0x1.7993d0619e3fdp-1, -0x1.75e440288c95p-1, -0x1.722b778f14741p-1, -0x1.6e6a0e93db82bp-1, -0x1.6aa09c081acb8p-1, -0x1.66cfb5601b10ep-1, -0x1.62f7ee8724784p-1, -0x1.5f19d9b6bb4bap-1, -0x1.5b36075103fdap-1, -0x1.574d05be2bea8p-1, -0x1.535f614caf082p-1, -0x1.4f6da4145deedp-1, -0x1.4b7855dbfc6dfp-1, -0x1.477ffc015c152p-1, -0x1.43851963d2279p-1, -0x1.3f882e50ea675p-1, -0x1.3b89b87339b26p-1, -0x1.378a32c33331bp-1, -0x1.338a1579e85b3p-1, -0x1.2f89d605933a3p-1, -0x1.2b89e6ffdaf0bp-1, -0x1.278ab825b0959p-1, -0x1.238cb650b5e9ep-1, -0x1.1f904b7211f9bp-1, -0x1.1b95de8ea2f17p-1, -0x1.179dd3bc73a54p-1, -0x1.13a88c2167d0fp-1, -0x1.0fb665f306e1p-1, -0x1.0bc7bc775849fp-1, -0x1.07dce806bb391p-1, -0x1.03f63e0eafb95p-1, -0x1.001411157c679p-1, -0x1.f86d617d4cc2ep-2, -0x1.f0bcd3a051e9cp-2, -0x1.e9170c70c88b2p-2, -0x1.e17c9a2966952p-2, -0x1.d9ee057139a82p-2, -0x1.d26bd16b2c489p-2, -0x1.caf67bc695262p-2, -0x1.c38e7cd0baea7p-2, -0x1.bc34478739a6ep-2, -0x1.b4e849ab392a4p-2, -0x1.adaaebd55c0ebp-2, -0x1.a67c918a5d615p-2, -0x1.9f5d99504757ap-2, -0x1.984e5cc4356f9p-2, -0x1.914f30b09306dp-2, -0x1.8a606523c9a7fp-2, -0x1.838245874de62p-2, -0x1.7cb518b703be7p-2, -0x1.75f92118e7958p-2, -0x1.6f4e9cb4f92d1p-2, -0x1.68b5c54d5376p-2, -0x1.622ed07670ce2p-2, -0x1.5bb9efaf8b639p-2, -0x1.5557507b12b44p-2, -0x1.4f071c772eb01p-2, -0x1.48c9797647b13p-2, -0x1.429e899788bd4p-2, -0x1.3c866b5f5b9d5p-2, -0x1.368139cfccc68p-2, -0x1.308f0c80e0be4p-2, -0x1.2aaff7b8c25adp-2, -0x1.24e40c83d3fbfp-2, -0x1.1f2b58cc95aaap-2, -0x1.1985e7735d7b2p-2, -0x1.13f3c065ddcb5p-2, -0x1.0e74e8b673366p-2, -0x1.090962b33c6f1p-2, -0x1.03b12dfced0e2p-2, -0x1.fcd88f3ac67bdp-3, -0x1.f275543bea8bdp-3, -0x1.e8389b3af4128p-3, -0x1.de224fcc075a1p-3, -0x1.d432590497098p-3, -0x1.ca6899a5a9fa2p-3, -0x1.c0c4f0456a176p-3, -0x1.b74737781e976p-3, -0x1.adef45f86bb91p-3, -0x1.a4bceecef0a98p-3, -0x1.9bb001792cb13p-3, -0x1.92c84a0fb556dp-3, -0x1.8a05916bb74e7p-3, -0x1.81679d4bc073dp-3, -0x1.78ee3077ce691p-3, -0x1.70990ae4ab86fp-3, -0x1.6867e9d689688p-3, -0x1.605a8802e8061p-3, -0x1.58709db1b6e65p-3, -0x1.50a9e0ddc9e8dp-3, -0x1.4906055481fdfp-3, -0x1.4184bcd4c9785p-3, -0x1.3a25b72d4992dp-3, -0x1.32e8a259ef2a3p-3, -0x1.2bcd2aa0ac301p-3, -0x1.24d2faad89326p-3, -0x1.1df9bbadf8e39p-3, -0x1.1741156b79139p-3, -0x1.10a8ae657bd21p-3, -0x1.0a302bea9ee24p-3, -0x1.03d732312dfbep-3, -0x1.fb3ac8ddedc45p-4, -0x1.ef04c9e0dce06p-4, -0x1.e30baa5e543ebp-4, -0x1.d74eabcf4fbep-4, -0x1.cbcd0e5ced6e2p-4, -0x1.c08611095d39bp-4, -0x1.b578f1d79e766p-4, -0x1.aaa4edf1df5e8p-4, -0x1.a00941ceac331p-4, -0x1.95a52954e20e9p-4, -0x1.8b77dffe645b6p-4, -0x1.8180a0f9a467cp-4, -0x1.77bea749fcdafp-4, -0x1.6e312de6e3814p-4, -0x1.64d76fd9fa3aep-4, -0x1.5bb0a85bff94ap-4, -0x1.52bc12f0a9f37p-4, -0x1.49f8eb816f6ep-4, -0x1.41666e773e06ep-4, -0x1.3903d8d32c5fp-4, -0x1.30d0684628811p-4, -0x1.28cb5b47a6b5ep-4, -0x1.20f3f12b59b3dp-4, -0x1.19496a35f673dp-4, -0x1.11cb07b10ab43p-4, -0x1.0a780bfdeb448p-4, -0x1.034fbaa7beac8p-4, -0x1.f8a2b0e952eb5p-5, -0x1.eaf856ec46418p-5, -0x1.dd9ef630ee3ddp-5, -0x1.d0952062ecc27p-5, -0x1.c3d96a1cc32d9p-5, -0x1.b76a6b021e868p-5, -0x1.ab46bdd8a158ap-5, -0x1.9f6d009f410abp-5, -0x1.93dbd4a433e41p-5, -0x1.8891de9981afbp-5, -0x1.7d8dc6a83e612p-5, -0x1.72ce3882767ap-5, -0x1.6851e373db9aep-5, -0x1.5e177a71346bfp-5, -0x1.541db4269d3bep-5, -0x1.4a634b04a3e26p-5, -0x1.40e6fd4c426b5p-5, -0x1.37a78d19c6447p-5, -0x1.2ea3c06eaaf51p-5, -0x1.25da613a70795p-5, -0x1.1d4a3d627881dp-5, -0x1.14f226c8ecb55p-5, -0x1.0cd0f352bed6bp-5, -0x1.04e57cecc276ap-5, -0x1.fa5d431fddec4p-6, -0x1.eb5686899ac0cp-6, -0x1.dcb4904c33b12p-6, -0x1.ce7534c543834p-6, -0x1.c096507cd0f46p-6, -0x1.b315c826206c2p-6, -0x1.a5f1889f376ecp-6, -0x1.992786ef07416p-6, -0x1.8cb5c04258c89p-6, -0x1.809a39e78700bp-6, -0x1.74d301490e64bp-6, -0x1.695e2be704446p-6, -0x1.5e39d74f7c5dap-6, -0x1.53642915f06e5p-6, -0x1.48db4ec9adf72p-6, -0x1.3e9d7deb5841dp-6, -0x1.34a8f3e18d724p-6, -0x1.2afbf5ecb444p-6, -0x1.2194d119fd011p-6, -0x1.1871da35a5e2dp-6, -0x1.0f916dbc89e57p-6, -0x1.06f1efccfb76bp-6, -0x1.fd23982e0e4a5p-7, -0x1.ecdeeb982785ap-7, -0x1.dd12cf1becfcep-7, -0x1.cdbc46baf8ba2p-7, -0x1.bed86510ea128p-7, -0x1.b0644b2e903c8p-7, -0x1.a25d287430e88p-7, -0x1.94c03a6b015e3p-7, -0x1.878acc9de3041p-7, -0x1.7aba387164b88p-7, -0x1.6e4be4fb349d3p-7, -0x1.623d46d8dc55fp-7, -0x1.568be0061521ap-7, -0x1.4b353fb28c662p-7, -0x1.403702173bb9cp-7, -0x1.358ed04b6746dp-7, -0x1.2b3a6019330dp-7, -0x1.213773d1f81a8p-7, -0x1.1783da225486p-7, -0x1.0e1d6de60191ap-7, -0x1.050215fb754eep-7, -0x1.f85f8a2ee284ep-8, -0x1.e748f330c88e6p-8, -0x1.d6bc7ab376d31p-8, -0x1.c6b64b0e6a069p-8, -0x1.b732a4e04e11cp-8, -0x1.a82ddeb59ab84p-8, -0x1.99a464af3c59p-8, -0x1.8b92b8298f26ep-8, -0x1.7df56f6363f44p-8, -0x1.70c935255c877p-8, -0x1.640ac869959fcp-8, -0x1.57b6fc03b01ep-8, -0x1.4bcab64933aebp-8, -0x1.4042f0ba7ec1ep-8, -0x1.351cb7ac1004fp-8, -0x1.2a5529f07485fp-8, -0x1.1fe97882ac9fdp-8, -0x1.15d6e6313f699p-8, -0x1.0c1ac749e0cc1p-8, -0x1.02b28145c3dacp-8, -0x1.f33714ed17d9ep-9, -0x1.e1a6d3684e1ddp-9, -0x1.d0af6c16546abp-9, -0x1.c04c2cd81b8ep-9, -0x1.b07882b65f7dp-9, -0x1.a12ff94352ef3p-9, -0x1.926e39fdf00fp-9, -0x1.842f0bb6dd5dp-9, -0x1.766e51f72933cp-9, -0x1.69280c68b9045p-9, -0x1.5c5856408cf2ep-9, -0x1.4ffb65aacdb17p-9, -0x1.440d8b38a4979p-9, -0x1.388b314ff62d9p-9, -0x1.2d70db9cef66ap-9, -0x1.22bb26859dd62p-9, -0x1.1866c69f4b61bp-9, -0x1.0e708825ca782p-9, -0x1.04d54e74a27b6p-9, -0x1.f724270488a85p-10, -0x1.e547ceba9d04ap-10, -0x1.d40fdf56e022cp-10, -0x1.c376ce550f052p-10, -0x1.b3773a670ee6ep-10, -0x1.a40bea7ef1a72p-10, -0x1.952fccdcda1eap-10, -0x1.86ddf62095986p-10, -0x1.7911a05f23d7ap-10, -0x1.6bc62a3c5f36p-10, -0x1.5ef7160823d95p-10, -0x1.52a008e00316dp-10, -0x1.46bcc9d432609p-10, -0x1.3b49411061fe6p-10, -0x1.30417708a41dp-10, -0x1.25a193a9e8574p-10, -0x1.1b65dd8ea95c6p-10, -0x1.118ab936f484ep-10, -0x1.080ca84414869p-10, -0x1.fdd091707fc1bp-11, -0x1.ec34a873829ebp-11, -0x1.db3f3eb3cab75p-11, -0x1.caea31bf74748p-11, -0x1.bb2f922b5326ap-11, -0x1.ac09a236a27a3p-11, -0x1.9d72d474ea8b2p-11, -0x1.8f65ca7f30f5cp-11, -0x1.81dd53acae85ap-11, -0x1.74d46bd0d366cp-11, -0x1.68463a011d301p-11, -0x1.5c2e0f61061bp-11, -0x1.508765f4ced46p-11, -0x1.454ddf7a9a728p-11, -0x1.3a7d444ad7dcfp-11, -0x1.3011823d22ab1p-11, -0x1.2606ab94a6988p-11, -0x1.1c58f5f292041p-11, -0x1.1304b94df5914p-11, -0x1.0a066ef2d108p-11, -0x1.015ab08628e9p-11, -0x1.f1fc6e1e9c4aap-12, -0x1.e1dbb410974c2p-12, -0x1.d24d1ce56e80dp-12, -0x1.c34acbe522805p-12, -0x1.b4cf1bdeb12fbp-12, -0x1.a6d49d72a8a69p-12, -0x1.995615680f7edp-12, -0x1.8c4e7b0e2b85ep-12, -0x1.7fb8f6a5fa4e3p-12, -0x1.7390dfd6cb2e4p-12, -0x1.67d1bc2dd464ep-12, -0x1.5c773da6341d2p-12, -0x1.517d4138d0ceep-12, -0x1.46dfcd79457d9p-12, -0x1.3c9b1138b6464p-12, -0x1.32ab62337309fp-12, -0x1.290d3bc72cb2ap-12, -0x1.1fbd3db277f93p-12, -0x1.16b82ada4e186p-12, -0x1.0dfae81a7a3bep-12, -0x1.05827b1d3140ep-12, -0x1.fa981274d2975p-13, -0x1.eaa9acbff06cep-13, -0x1.db34880322b8fp-13, -0x1.cc33a01cd04cp-13, -0x1.bda227df3af5ap-13, -0x1.af7b871c45768p-13, -0x1.a1bb58bda7b13p-13, -0x1.945d68ebec93fp-13, -0x1.875db343fe4afp-13, -0x1.7ab86119f7f57p-13, -0x1.6e69c7c4e72f7p-13, -0x1.626e66fba8021p-13, -0x1.56c2e73d8a3c7p-13, -0x1.4b6418453c012p-13, -0x1.404eef88be644p-13, -0x1.358086c6a2419p-13, -0x1.2af61a9c7ddc4p-13, -0x1.20ad092673a6p-13, -0x1.16a2d0adfd3fep-13, -0x1.0cd50e60a680ep-13, -0x1.03417d1156a5bp-13, -0x1.f3cbe80824169p-14, -0x1.e180cb88cf972p-14, -0x1.cf9dbe0849e4p-14, -0x1.be1f0b03d633cp-14, -0x1.ad012df82287ap-14, -0x1.9c40d055b218bp-14, -0x1.8bdac784da2d1p-14, -0x1.7bcc12fe9559cp-14, -0x1.6c11da74085a7p-14, -0x1.5ca96c05c8b1ep-14, -0x1.4d903a8824e4cp-14, -0x1.3ec3dbd9010f9p-14, -0x1.304207485c2eep-14, -0x1.220894071b924p-14, -0x1.141577a962e31p-14, -0x1.0666c4b78aa94p-14, -0x1.f1f55291b557bp-15, -0x1.d79edb570317dp-15, -0x1.bdc6e630908cfp-15, -0x1.a46a64ee3ff54p-15, -0x1.8b867656cc21cp-15, -0x1.731863d66fc64p-15, -0x1.5b1d9f4b56a41p-15, -0x1.4393c0e136a5ep-15, -0x1.2c78850770694p-15, -0x1.15c9ca71e2549p-15, -0x1.ff0b2068caa9dp-16, -0x1.d353e7ed7d626p-16, -0x1.a86a6061eb15fp-16, -0x1.7e4b34fb22abp-16, -0x1.54f34405fd5aep-16, -0x1.2c5f9bcc43f96p-16, -0x1.048d77a3f96b9p-16, -0x1.baf47a2472e53p-17, -0x1.6e46f2390c28fp-17, -0x1.230dbb6c81618p-17, -0x1.b288fcf7cf697p-18, -0x1.21ce488be0f0ep-18, -0x1.27c7454277d73p-19, -0x1.18385b1468883p-23, 0x1.fe78e2ee0201fp-20, 0x1.0542d3a8d0628p-18, 0x1.88323a68a3ce3p-18, 0x1.043924baf1fb2p-17, 0x1.43044a1d894fdp-17, 0x1.807d35b783aeep-17, 0x1.bca6718ef031fp-17, 0x1.f7826c4db9adp-17, 0x1.1889bdf37427ep-16, 0x1.34adf02c6ef33p-16, 0x1.502ee3087b569p-16, 0x1.6b0da41b67dc1p-16, 0x1.854b39767411ep-16, 0x1.9ee8a2b4a2e1ap-16, 0x1.b7e6d9ec4b1d2p-16, 0x1.d046d4a3e6249p-16, 0x1.e80984a88b117p-16, 0x1.ff2fd8dfa8d36p-16, 0x1.0add5f0953c45p-15, 0x1.15d58fcd918bfp-15, 0x1.2080f40612d3fp-15, 0x1.2ae000eb9eb35p-15, 0x1.34f32bee7fd03p-15, 0x1.3ebaeaf824f65p-15, 0x1.4837b4adf27bap-15, 0x1.516a00a8c572ep-15, 0x1.5a5247ab2f5e3p-15, 0x1.62f103d59b92dp-15, 0x1.6b46b0cd61e61p-15, 0x1.7353cbe8a2b09p-15, 0x1.7b18d4530f4b5p-15, 0x1.82964b2d2e379p-15, 0x1.89ccb3aa3cc17p-15, 0x1.90bc9329c61d8p-15, 0x1.9766714e7e7c9p-15, 0x1.9dcad812bb6efp-15, 0x1.a3ea53d8cf28fp-15, 0x1.a9c57376d8c48p-15, 0x1.af5cc843e6d2bp-15, 0x1.b4b0e6202fccep-15, 0x1.b9c2637ab45p-15, 0x1.be91d955d6034p-15, 0x1.c31fe34885dfbp-15, 0x1.c76d1f7dd98b4p-15, 0x1.cb7a2eb54f14dp-15, 0x1.cf47b43cf5c2p-15, 0x1.d2d655ec6ab6fp-15, 0x1.d626bc1cdd0cp-15, 0x1.d93991a25683p-15, 0x1.dc0f83c01e11cp-15, 0x1.dea9421dcc0cdp-15, 0x1.e1077ebcedb6ap-15, 0x1.e32aede702488p-15, 0x1.e51446233d21ap-15, 0x1.e6c44025530f3p-15, 0x1.e83b96bd95ed2p-15, 0x1.e97b06c61c64cp-15, 0x1.ea834f12a21acp-15, 0x1.eb55305d69e4cp-15, 0x1.ebf16d3288de9p-15, 0x1.ec58c9de2a10dp-15, 0x1.ec8c0c580caf8p-15, 0x1.ec8bfc2ca6807p-15, 0x1.ec59626a5101cp-15, 0x1.ebf5098af45cap-15, 0x1.eb5fbd5f0e62fp-15, 0x1.ea9a4af5d0d4dp-15, 0x1.e9a58089455aep-15, 0x1.e8822d66c9791p-15, 0x1.e73121d844699p-15, 0x1.e5b32f0e65c89p-15, 0x1.e409270a622e9p-15, 0x1.e233dc86e6c0ep-15, 0x1.e03422e149497p-15, 0x1.de0ace03d65fcp-15, 0x1.dbb8b24f51203p-15, 0x1.d93ea484393e1p-15, 0x1.d69d79ad474aap-15, 0x1.d3d60709313cfp-15, 0x1.d0e921f5b67a5p-15, 0x1.cdd79fd88cea8p-15, 0x1.caa2560b23aa8p-15, 0x1.c74a19c6988c4p-15, 0x1.c3cfc00d0f17dp-15, 0x1.c0341d9670e29p-15, 0x1.bc7806bb9893bp-15, 0x1.b89c4f63835cfp-15, 0x1.b4a1caeeaa795p-15, 0x1.b0894c245a7a8p-15, 0x1.ac53a520242aap-15, 0x1.a801a73fa8391p-15, 0x1.a394230ef8183p-15, 0x1.9f0be838a7873p-15, 0x1.9a69c5742e20bp-15, 0x1.95ae88747ef36p-15, 0x1.90dafdd78034cp-15, 0x1.8beff1161311p-15, 0x1.86ee2c753877fp-15, 0x1.81d678f5d75a4p-15, 0x1.7ca99e461781bp-15, 0x1.776862b334beep-15, 0x1.72138b1bedbc1p-15, 0x1.6cabdae1c1a67p-15, 0x1.673213dcaad44p-15, 0x1.61a6f64ee7d41p-15, 0x1.5c0b40d803bb9p-15, 0x1.565fb06868175p-15, 0x1.50a50036a0a3cp-15, 0x1.4adbe9b4cbb38p-15, 0x1.45052486306ap-15, 0x1.3f2166738e2e6p-15, 0x1.39316362d0692p-15, 0x1.3335cd4d25026p-15, 0x1.2d2f5436951a1p-15, 0x1.271ea624b5019p-15, 0x1.21046f175203cp-15, 0x1.1ae1590142c3ep-15, 0x1.14b60bbf88b44p-15, 0x1.0e832d130429p-15, 0x1.0849609a143d1p-15, 0x1.020947cbf9cc1p-15, 0x1.f78703e1c127ap-16, 0x1.eaf1583ad0bdbp-16, 0x1.de52c25b58f5ep-16, 0x1.d1ac738118ccp-16, 0x1.c4ff98673019ap-16, 0x1.b84d593d709c5p-16, 0x1.ab96d9a2980ecp-16, 0x1.9edd389d84b06p-16, 0x1.92219095a5cdfp-16, 0x1.8564f74e940dbp-16, 0x1.78a87de40b035p-16, 0x1.6bed30c842edap-16, 0x1.5f3417bd317e6p-16, 0x1.527e35d2f59cp-16, 0x1.45cc896622b62p-16, 0x1.39200c1d8a668p-16, 0x1.2c79b2ea663bdp-16, 0x1.1fda6e0766554p-16, 0x1.134328f855df1p-16, 0x1.06b4ca8d09e9cp-16, 0x1.f46069be7176dp-17, 0x1.db6c8aaaa8f37p-17, 0x1.c28fa9493c752p-17, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      40, 0x1.d99999999999ap+1, 0x1.bb07213b9780dp+1, 0x1.9c81d48b8a861p+1, -0x1.1cda990ce89c8p-6, 
      {{
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.addf47385bc24p-5, -0x1.ef343a0729d3dp-3, 0x1.ac7e95907e947p-2, -0x1.50910abe687f9p-2}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.531090425448cp-5, -0x1.9e8db9b75c516p-3, 0x1.7a026d8d88814p-2, -0x1.36bb430f36de1p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.0767479b9bcaap-5, -0x1.579cd94aa4665p-3, 0x1.4b6656b1a6acbp-2, -0x1.20c444d33e6e9p-2}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.920a4e0fa8e89p-6, -0x1.19aa0b8b8f857p-3, 0x1.2015b2c52a1cp-2, -0x1.09c3b74bb0f3bp-2}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.2c5dcdaad5b22p-6, -0x1.c8114847f7593p-4, 0x1.f070ae8d38bc3p-3, -0x1.e6153afe7890bp-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.b530f77657cabp-7, -0x1.6c121abc56c52p-4, 0x1.a78718e70d0cbp-3, -0x1.b87a8823f8bfap-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.339f86115c884p-7, -0x1.1df8ec46fd02dp-4, 0x1.6574b7ae74897p-3, -0x1.8af2ead99a307p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.9d7c2dc3d17ap-8, -0x1.b8cf9101ec31dp-5, 0x1.2a36ae0dd09c1p-3, -0x1.5d47769055c3p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.039ee79caa40ep-8, -0x1.4c00f557c448p-5, 0x1.eba4b889ede36p-4, -0x1.301848b27da85p-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.228983a0902aap-9, -0x1.e5988683123aap-6, 0x1.906a3c5461cafp-4, -0x1.011bd825e1deap-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.f919c6c016b06p-11, -0x1.54db38c9fdc8p-6, 0x1.43484849046e2p-4, -0x1.bc4a81853a272p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.c093f730d5da7p-14, -0x1.c1be87337b82bp-7, 0x1.00a381a83bb55p-4, -0x1.8e68d986e5becp-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.c7f2573556a95p-12, -0x1.0c567e726e02ep-7, 0x1.89c12874cc184p-5, -0x1.5ced2eca94515p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.8139c87a39073p-11, -0x1.078b15580d197p-8, 0x1.21139a6b39327p-5, -0x1.2c6831f16575p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.c13281cfa3488p-11, -0x1.1152d120cccbfp-10, 0x1.8de8b078cf1f6p-6, -0x1.f745009353d1ep-5}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.c0b91c1116748p-11, 0x1.e5179c6ae976ap-11, 0x1.eddb2d66058bfp-7, -0x1.95d1e7f1fbbbp-5}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.97f5f613d64d8p-11, 0x1.0e1dfc267fa7cp-9, 0x1.f4ba77a9a9d2cp-8, -0x1.347f0e3542552p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.5a64090c3e00cp-11, 0x1.4d3e4593f5d1dp-9, 0x1.0510cd39e7a8ep-9, -0x1.a525dc6fda9bep-6}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16d0e88dc021ap-11, 0x1.4e14b864f5a0cp-9, -0x1.e89fa9cbd6f6ep-10, -0x1.cbaea161ace4ep-7}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.aeb98515cd65fp-12, 0x1.27dbfa6c5136dp-9, -0x1.040f814376684p-8, -0x1.594808463aa6ap-10}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.42f4beaaa628p-12, 0x1.e51ad070529f5p-10, -0x1.110234c6189b6p-8, 0x1.25fb5432a9682p-8}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d888f16d4315dp-13, 0x1.80b882f9a4e76p-10, -0x1.c9d29d1697fe5p-9, 0x1.bb1481869a5d5p-9}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.5012c93488f19p-13, 0x1.2bcd6a9ed30fep-10, -0x1.875c56759a709p-9, 0x1.b1d779b5a3accp-9}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.cde0da126f9d8p-14, 0x1.c81366f2c6dacp-11, -0x1.4648d100c1e3p-9, 0x1.8441e00b5fda3p-9}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.2fff6bb9884a8p-14, 0x1.5135b11bc66acp-11, -0x1.0c0bbc32404f5p-9, 0x1.60696eb88dd4ep-9}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.7a4bb4cff3d4bp-15, 0x1.e120a4392473dp-12, -0x1.ae5e3d9389449p-10, 0x1.39f4ede1425fbp-9}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.b38669385e618p-16, 0x1.47d1522f7bc51p-12, -0x1.502e5c9cc2286p-10, 0x1.143382c46a723p-9}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.bd4806174c155p-17, 0x1.a3d5a769c5264p-13, -0x1.faa4379077a63p-11, 0x1.dc83a0847c37cp-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.6db44442cee78p-18, 0x1.eb89a646e78f7p-14, -0x1.6bafedcf1f2e4p-11, 0x1.90bc4b35df5d9p-10}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.301f1d950dfe2p-20, 0x1.f15a3407a9e22p-15, -0x1.e6eee1b11ebefp-12, 0x1.44e545dafb7d1p-10}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.bb2eedbc979p-21, 0x1.738fc452ce7a2p-16, -0x1.23feeafa87d94p-12, 0x1.f261e1f6f484bp-11}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.6bdc2fd7afdp-20, 0x1.7fae8fd3a0bf6p-20, -0x1.1cf64e60e3642p-13, 0x1.5a031475625fcp-11}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.3a004732b6682p-20, -0x1.e3c96c2c9b42dp-18, -0x1.356b6ed03b143p-15, 0x1.8a6eea0eabe63p-12}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9a395a3b658p-21, -0x1.0eff4e1427865p-17, 0x1.47ccedb5f338fp-16, 0x1.18aa086da53fbp-14}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.c0482066c85a5p-22, -0x1.7931d5a9694b2p-18, 0x1.f032f2c48991cp-16, -0x1.3024caf50d3cdp-14}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.b05ed9b877c17p-23, -0x1.ae6cb36b48fbap-19, 0x1.39b678fe4e6c3p-16, -0x1.61bf9899f77ddp-15}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6232aafbe0adap-24, -0x1.bbcef2d545a6ep-20, 0x1.9f2d3006a1f42p-17, -0x1.378505c55afdep-15}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c0482066c862bp-26, -0x1.74dd20b6fb8a6p-21, 0x1.c8878c53a385dp-18, -0x1.b0422be1f3e51p-16}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.6232aafbe0bdp-28, -0x1.bd8766d2292c5p-23, 0x1.8a594a64ef28ep-19, -0x1.e44cbe8091e4bp-17}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.6232aafbe12p-32, -0x1.784726a63cb5cp-26, 0x1.9f13605f2b5p-21, -0x1.48bc6bd54b39cp-16}, 
      }}, 
      0x1.39b1531f91edfp-12, -0x1.e6d640d3f5a85p-10
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.52a0f3c2b20c9p-6, 0x1.5186441b0d02bp-5, 0x1.f79253db1795p-5, 0x1.4d3ca2532435dp-4, 0x1.9cac03a8cf551p-4, 0x1.e9b31addd2172p-4, 0x1.19fdb02588171p-3, 0x1.3d9ddf31da08dp-3, 0x1.5f9bfbd167a67p-3, 0x1.7fdfe3dfc00bdp-3, 0x1.9e56ee4cb9a42p-3, 0x1.baf3638f9acfp-3, 0x1.d5abf3538594p-3, 0x1.ee7b32ab1bf6fp-3, 0x1.02af937b1b2bap-2, 0x1.0d2c68c0707dap-2, 0x1.16b5e6aeb8575p-2, 0x1.1f4efa9a9c24dp-2, 0x1.26fb8a3153288p-2, 0x1.2dc050a64f4f2p-2, 0x1.33a2c0193556fp-2, 0x1.38a8e6bc0d757p-2, 0x1.3cd9571b10662p-2, 0x1.403b131936dc6p-2, 0x1.42d5791932407p-2, 0x1.44b03326565e7p-2, 0x1.45d3279fe86e2p-2, 0x1.46466b4397ee7p-2, 0x1.4612346847dd2p-2, 0x1.453ecf277d312p-2, 0x1.43d4926f14aefp-2, 0x1.41dbd5e7e0d8bp-2, 0x1.3f5ce8acb0927p-2, 0x1.3c6008cc79987p-2, 0x1.38ed5b917548dp-2, 0x1.350ce692a8f87p-2, 0x1.30c6897e761ecp-2, 0x1.2c21f897d9452p-2, 0x1.2726b7dff87cbp-2, 0x1.21dc16dd606b5p-2, 0x1.1c492cf9a72aap-2, 0x1.1674d66fe714ap-2, 0x1.1065b1c20a5acp-2, 0x1.0a221d9f38a12p-2, 0x1.03b037731fae4p-2, 0x1.fa2bb422a4f06p-3, 0x1.ecb13a34c6f41p-3, 0x1.defba9656221cp-3, 0x1.d115229fc2ef8p-3, 0x1.c30740ac5326ep-3, 0x1.b4db1957a18c5p-3, 0x1.a6993e5232bdbp-3, 0x1.9849c21d7f2c1p-3, 0x1.89f4368d63689p-3, 0x1.7b9fb526488f9p-3, 0x1.6d52dd5921ec3p-3, 0x1.5f13dc04a05a2p-3, 0x1.50e86e2d7b949p-3, 0x1.42d5e29da1cd1p-3, 0x1.34e124a514166p-3, 0x1.270eb5bf744afp-3, 0x1.1962bfb29135fp-3, 0x1.0be10951939cbp-3, 0x1.fd1a138fa97b3p-4, 0x1.e2d3c23dee6fcp-4, 0x1.c8f4c428a7824p-4, 0x1.af82329c815d3p-4, 0x1.96808878f4862p-4, 0x1.7df3d895853bcp-4, 0x1.65df96c47b2adp-4, 0x1.4e46e62b5e20dp-4, 0x1.372c5aedb337cp-4, 0x1.20923afea7ab6p-4, 0x1.0a7a5cd032e33p-4, 0x1.e9cc81c3cd253p-5, 0x1.bfae2a05393b2p-5, 0x1.969b62a3ed3dcp-5, 0x1.6e9550fd42183p-5, 0x1.479c849fd068dp-5, 0x1.21b10aea5adcep-5, 0x1.f9a4e2b01fc05p-6, 0x1.b1ff9a45a853cp-6, 0x1.6c6f8434e9456p-6, 0x1.28f1103ea9a25p-6, 0x1.ceffc56efacf8p-7, 0x1.502dbf98dcab5p-7, 0x1.aac0dc91a692fp-8, 0x1.7a2b78ac354acp-9, -0x1.4611f75d2b695p-11, -0x1.06e5bb20bcf01p-8, -0x1.dd7578d54742cp-8, -0x1.564a11cc855ap-7, -0x1.ba33112b19f6ap-7, -0x1.0d445a0765944p-6, -0x1.3baf5120d2a3ap-6, -0x1.68648d50193a8p-6, -0x1.936e6e419d6a3p-6, -0x1.bcd788fce2c0dp-6, -0x1.e4aa9d8f9aa39p-6, -0x1.057946a0d288ep-5, -0x1.17dd28aa394adp-5, -0x1.2986792d535fcp-5, -0x1.3a7ac0053960cp-5, -0x1.4abf84ca09daap-5, -0x1.5a5a4b40a584p-5, -0x1.69509003fd215p-5, -0x1.77a7c5702adeap-5, -0x1.856550cfe10cfp-5, -0x1.928e87ca77278p-5, -0x1.9f28ae0ffef71p-5, -0x1.ab38f342e5f88p-5, -0x1.b6c47119b26efp-5, -0x1.c1d029b4173b2p-5, -0x1.cc610619a7fc8p-5, -0x1.d67bd4e4677a9p-5, -0x1.e025490f3bdb5p-5, -0x1.e961f8d8714f3p-5, -0x1.f2365cda54402p-5, -0x1.faa6cf2ff65fep-5, -0x1.015bc557f327p-4, -0x1.05365536fa40fp-4, -0x1.08e51498c7c66p-4, -0x1.0c69f087e90bep-4, -0x1.0fc6c5ac33138p-4, -0x1.12fd602e59967p-4, -0x1.160f7bb0eb62bp-4, -0x1.18fec376787b7p-4, -0x1.1bccd2678f149p-4, -0x1.1e7b3327b23fp-4, -0x1.210b605fa63a3p-4, -0x1.237ec4dfab1f8p-4, -0x1.25d6bbbd7aa3dp-4, -0x1.281490b4d300ep-4, -0x1.2a398067f6fbbp-4, -0x1.2c46b87d161e2p-4, -0x1.2e3d580341beep-4, -0x1.301e6fd7bca3bp-4, -0x1.31eb02cbccdd1p-4, -0x1.33a405f9a2becp-4, -0x1.354a6147e2c7fp-4, -0x1.36deefb08a9dbp-4, -0x1.38627f7f17c49p-4, -0x1.39d5d2d28041fp-4, -0x1.3b39a01388p-4, -0x1.3c8e923574606p-4, -0x1.3dd549154f39dp-4, -0x1.3f0e5a03dfe88p-4, -0x1.403a502b32003p-4, -0x1.4159acd659854p-4, -0x1.426ce7df988fap-4, -0x1.4374702f96a64p-4, -0x1.4470ac1714e25p-4, -0x1.4561f99f90c78p-4, -0x1.4648aef840116p-4, -0x1.47251ae132098p-4, -0x1.47f78500a175ep-4, -0x1.48c02e3c88e42p-4, -0x1.497f511bafee5p-4, -0x1.4a35221aa1817p-4, -0x1.4ae1d0000b8cbp-4, -0x1.4b85843d793dap-4, -0x1.4c206344921b6p-4, -0x1.4cb28cc699e89p-4, -0x1.4d3c1c000f41dp-4, -0x1.4dbd281d728e4p-4, -0x1.4e35c4904051fp-4, -0x1.4ea6013d6fe06p-4, -0x1.4f0deab018fa3p-4, -0x1.4f6d8a768b95fp-4, -0x1.4fc4e784cd85ep-4, -0x1.501406640621cp-4, -0x1.505ae94351e6ep-4, -0x1.509990322ce12p-4, -0x1.50cff98b09e93p-4, -0x1.50fe2240603b2p-4, -0x1.512405e2fdc4ap-4, -0x1.51419ea39027ap-4, -0x1.5156e59af9bc1p-4, -0x1.5163d336dad6p-4, -0x1.51685f6a057edp-4, -0x1.5164819443282p-4, -0x1.5158307d087d1p-4, -0x1.514362a0507c6p-4, -0x1.51260e9461f84p-4, -0x1.51002b28fd836p-4, -0x1.50d1af3faa6fdp-4, -0x1.509a91b9b1f5bp-4, -0x1.505ac9b851786p-4, -0x1.50124efc5debbp-4, -0x1.4fc11a087c62cp-4, -0x1.4f6723f730abep-4, -0x1.4f046652b6ba6p-4, -0x1.4e98db3731e23p-4, -0x1.4e247daa1c15ep-4, -0x1.4da749cfa5938p-4, -0x1.4d213cd0490c6p-4, -0x1.4c92549da2b57p-4, -0x1.4bfa8fe883ca6p-4, -0x1.4b59ee5f0ee5fp-4, -0x1.4ab070f52a64fp-4, -0x1.49fe19eeafbcdp-4, -0x1.4942eca9e9539p-4, -0x1.487eed6c4b9p-4, -0x1.47b2216d56ecap-4, -0x1.46dc8f16659bfp-4, -0x1.45fe3e351ea8ep-4, -0x1.451737ef6959dp-4, -0x1.44278689deda9p-4, -0x1.432f353c7a68dp-4, -0x1.422e503f4229p-4, -0x1.4124e4ff4801p-4, -0x1.40130244d3f0ep-4, -0x1.3ef8b82567e3ep-4, -0x1.3dd617cfd8a93p-4, -0x1.3cab336125889p-4, -0x1.3b781de54a4f4p-4, -0x1.3a3ceb7d7328fp-4, -0x1.38f9b182c78c8p-4, -0x1.37ae8682ba3cap-4, -0x1.365b82169928cp-4, -0x1.3500bcb686d98p-4, -0x1.339e4fa8c7b7p-4, -0x1.323455147e314p-4, -0x1.30c2e8206a5fcp-4, -0x1.2f4a24fd85b64p-4, -0x1.2dca28d1141edp-4, -0x1.2c43118d01aedp-4, -0x1.2ab4fdd0f4688p-4, -0x1.29200ce547a66p-4, -0x1.27845ecbf0441p-4, -0x1.25e2145290c4ep-4, -0x1.24394f11fcf3fp-4, -0x1.228a3157e68a4p-4, -0x1.20d4de074965fp-4, -0x1.1f197880c6989p-4, -0x1.1d58249cd5dd1p-4, -0x1.1b9106b56614dp-4, -0x1.19c443b1cea08p-4, -0x1.17f2010051cbp-4, -0x1.161a6487e3342p-4, -0x1.143d94958097ep-4, -0x1.125bb7c6807abp-4, -0x1.1074f4fa6e382p-4, -0x1.0e89734f023abp-4, -0x1.0c995a2bbe5bcp-4, -0x1.0aa4d1449cdd8p-4, -0x1.08ac009235743p-4, -0x1.06af1041240ecp-4, -0x1.04ae289dfe6e2p-4, -0x1.02a972055e5c2p-4, -0x1.00a114dce86a5p-4, -0x1.fd2a73296985p-5, -0x1.f90c1156c733dp-5, -0x1.f4e7555c50e63p-5, -0x1.f0bc9061ba6c1p-5, -0x1.ec8c137e59d4p-5, -0x1.e8562f97c7992p-5, -0x1.e41b3548dd8b4p-5, -0x1.dfdb74d7b01bep-5, -0x1.db973e38004c2p-5, -0x1.d74ee110ba587p-5, -0x1.d302acba94d2cp-5, -0x1.ceb2f032b5c48p-5, -0x1.ca5ffa032bd2bp-5, -0x1.c60a1828df487p-5, -0x1.c1b197ffaccd4p-5, -0x1.bd56c6397e808p-5, -0x1.b8f9eede7defap-5, -0x1.b49b5d500237bp-5, -0x1.b03b5c4793bfep-5, -0x1.abda35ce82969p-5, -0x1.a778332eb9089p-5, -0x1.a3159ce09f081p-5, -0x1.9eb2ba7b96ea9p-5, -0x1.9a4fd2acbddap-5, -0x1.95ed2b3416546p-5, -0x1.918b08e4cd222p-5, -0x1.8d29afa4a373p-5, -0x1.88c9626828b4fp-5, -0x1.846a632b9fe56p-5, -0x1.800cf2e95b62ap-5, -0x1.7bb15190418dp-5, -0x1.7757bdfba8745p-5, -0x1.730075ee4e18ap-5, -0x1.6eabb60fc9a1fp-5, -0x1.6a59b9ea93894p-5, -0x1.660abbe9a9d53p-5, -0x1.61bef555c79dep-5, -0x1.5d769e52d9c9fp-5, -0x1.5931edde07374p-5, -0x1.54f119cbfff6bp-5, -0x1.50b456c70a076p-5, -0x1.4c7bd84c34fcep-5, -0x1.4847d0a75eb3fp-5, -0x1.441870ee0d513p-5, -0x1.3fede8fa0a9ebp-5, -0x1.3bc86765b7912p-5, -0x1.37a8198c3e3e7p-5, -0x1.338d2b8e86432p-5, -0x1.2f77c85b7269fp-5, -0x1.2b6819b84cc53p-5, -0x1.275e4845a3273p-5, -0x1.235a7b7dc745cp-5, -0x1.1f5cd9ac429cap-5, -0x1.1b6587e026c47p-5, -0x1.1774a9ddf21fdp-5, -0x1.138a621709b8ep-5, -0x1.0fa6d1ac0ced1p-5, -0x1.0bca187c005fep-5, -0x1.07f4553d4f124p-5, -0x1.0425a599338ebp-5, -0x1.005e2640152dep-5, -0x1.f93be5dd146a1p-6, -0x1.f1ca4cbe5efc9p-6, -0x1.ea67b457e6745p-6, -0x1.e3144d503e064p-6, -0x1.dbd0458168d8cp-6, -0x1.d49bc7e1613a1p-6, -0x1.cd76fca2876f5p-6, -0x1.c662098ec4762p-6, -0x1.bf5d1288a4cf7p-6, -0x1.b8683a065a82dp-6, -0x1.b183a167e79bfp-6, -0x1.aaaf6901efe18p-6, -0x1.a3ebafccb0d46p-6, -0x1.9d3892d01f4d5p-6, -0x1.96962c72ac898p-6, -0x1.900493e1ebba5p-6, -0x1.8983dccd99ccbp-6, -0x1.831417997072fp-6, -0x1.7cb552087afb3p-6, -0x1.7667983dd9c16p-6, -0x1.702af5cccb509p-6, -0x1.69ff76868bc31p-6, -0x1.63e526cf515dfp-6, -0x1.5ddc13571081ep-6, -0x1.57e4482466312p-6, -0x1.51fdcf2582d36p-6, -0x1.4c28aec2611d1p-6, -0x1.4664e8dbcbbadp-6, -0x1.40b27a7bda746p-6, -0x1.3b115c672f9c6p-6, -0x1.35818485f1b51p-6, -0x1.3002e7d94dcddp-6, -0x1.2a957c84526e5p-6, -0x1.25393b5f24af5p-6, -0x1.1fee209eca039p-6, -0x1.1ab42b4fa83acp-6, -0x1.158b5baa53549p-6, -0x1.1073b09765b5dp-6, -0x1.0b6d24f466a07p-6, -0x1.0677ad490860bp-6, -0x1.0193368e871c9p-6, -0x1.f97f4ce95fa83p-7, -0x1.eff9ba74aaf23p-7, -0x1.e695719940305p-7, -0x1.dd523111f17f3p-7, -0x1.d42fc18daf3d8p-7, -0x1.cb2dfa93d1f9p-7, -0x1.c24cc3daded8fp-7, -0x1.b98c127051554p-7, -0x1.b0ebe1ff3fd79p-7, -0x1.a86c2b71f04a1p-7, -0x1.a00cdae5e7ae1p-7, -0x1.97cdc744329d4p-7, -0x1.8faeada938789p-7, -0x1.87af3216bccbfp-7, -0x1.7fcee5c6141a8p-7, -0x1.780d521759292p-7, -0x1.706a05e9b3ac2p-7, -0x1.68e4a276077a2p-7, -0x1.617ce4b78e721p-7, -0x1.5a32a918d5cd8p-7, -0x1.5305e84d83c9ap-7, -0x1.4bf6ad6512fb5p-7, -0x1.450506abf2d1bp-7, -0x1.3e30f470d3c29p-7, -0x1.377a59488ac45p-7, -0x1.30e0efb96b831p-7, -0x1.2a644836848c3p-7, -0x1.2403d05cc4f89p-7, -0x1.1dbee202dfb1ap-7, -0x1.1794d6bbfba2dp-7, -0x1.11851b96b45dcp-7, -0x1.0b8f41322ee0fp-7, -0x1.05b3053debd29p-7, -0x1.ffe0a727070b8p-8, -0x1.f48e7c6303f87p-8, -0x1.e96fd97501a7ap-8, -0x1.de850bf7633fap-8, -0x1.d3ce30286eecep-8, -0x1.c94b0a5a052cep-8, -0x1.befaf43f519cp-8, -0x1.b4dce3171f812p-8, -0x1.aaef8367b2dap-8, -0x1.a131606cdd52p-8, -0x1.97a10c22129c5p-8, -0x1.8e3d40f5f9791p-8, -0x1.8504fbb266f59p-8, -0x1.7bf78e2cf5f4ep-8, -0x1.7314a89eb88fdp-8, -0x1.6a5c53a9d3912p-8, -0x1.61ced58bcc9b4p-8, -0x1.596c8418ba509p-8, -0x1.51358f89540b8p-8, -0x1.4929d8b91be94p-8, -0x1.4148e25b55e72p-8, -0x1.3991e031d6f2cp-8, -0x1.3203d858bedf1p-8, -0x1.2a9dc2b69bc1cp-8, -0x1.235e973773bfp-8, -0x1.1c454a6705e2fp-8, -0x1.1550c73fdd94ep-8, -0x1.0e7ff8b65a50ap-8, -0x1.07d1e92ceb82fp-8, -0x1.0145e9cbfa66ap-8, -0x1.f5b74f257b21bp-9, -0x1.e9263672df2d3p-9, -0x1.dcd8b138fc737p-9, -0x1.d0ceb2bb79a69p-9, -0x1.c507c449b18e2p-9, -0x1.b9831d93d4aa3p-9, -0x1.ae3fee59023b9p-9, -0x1.a33da04532f85p-9, -0x1.987be04ae9945p-9, -0x1.8dfa5f09cdc5fp-9, -0x1.83b85f78c3b6ep-9, -0x1.79b44d5217068p-9, -0x1.6feba0093a80ep-9, -0x1.665b30f0bbb12p-9, -0x1.5cffe956ddbc1p-9, -0x1.53d76fc44d838p-9, -0x1.4ae07211e9359p-9, -0x1.421a6b3b7357ep-9, -0x1.398525bc7b291p-9, -0x1.312064eb3fe9fp-9, -0x1.28ebe7fc04102p-9, -0x1.20e7a26288d58p-9, -0x1.1913e9d0224fbp-9, -0x1.11717977523a2p-9, -0x1.0a0145c724b1fp-9, -0x1.02c41ff1e9dcdp-9, -0x1.f77460ba9b95dp-10, -0x1.e9c4d3fce9eb5p-10, -0x1.dc7479609a70ap-10, -0x1.cf7ba839fef57p-10, -0x1.c2d1e03ef9f9ep-10, -0x1.b66febcad2789p-10, -0x1.aa514adc9a2cp-10, -0x1.9e74449b74fbbp-10, -0x1.92d8fc7c8839ep-10, -0x1.878067213e62p-10, -0x1.7c6b9846aa2bcp-10, -0x1.719b6bbf02855p-10, -0x1.67109d7568c0fp-10, -0x1.5ccc459d23ac9p-10, -0x1.52d01eb270b07p-10, -0x1.491e1bc044a53p-10, -0x1.3fb79a2677899p-10, -0x1.369c974916717p-10, -0x1.2dcafd5c4a744p-10, -0x1.253e44163c741p-10, -0x1.1cefd6decb8ap-10, -0x1.14d83f025036bp-10, -0x1.0cf094e6b342ep-10, -0x1.0533e98d206f4p-10, -0x1.fb40da5d561e2p-11, -0x1.ec6f262510b6p-11, -0x1.ddf91482822a9p-11, -0x1.cfe3663b9ae17p-11, -0x1.c22e56540ad0bp-11, -0x1.b4d7efc0a651p-11, -0x1.a7e06c16aa3d8p-11, -0x1.9b4ac7d039926p-11, -0x1.8f19aec06f47p-11, -0x1.834d09af32baep-11, -0x1.77e1f6b5bef0dp-11, -0x1.6cd4652d5c5d7p-11, -0x1.6220c13022837p-11, -0x1.57c40d1ae96cfp-11, -0x1.4dba39409146fp-11, -0x1.43fc13eee5aa3p-11, -0x1.3a7eb64e6ad6dp-11, -0x1.3136e8c764e57p-11, -0x1.282031d18702dp-11, -0x1.1f402235e7a56p-11, -0x1.169fbceed91eep-11, -0x1.0e41bc355bddbp-11, -0x1.06220713491bap-11, -0x1.fc7b94957cb58p-12, -0x1.ed2e8bda7f09p-12, -0x1.de632ec96ae7p-12, -0x1.d018af4647c11p-12, -0x1.c2461d099f428p-12, -0x1.b4df194f0c313p-12, -0x1.a7da6fbc93e43p-12, -0x1.9b363e42958a3p-12, -0x1.8ef77b41974edp-12, -0x1.83252fdf2daaap-12, -0x1.77c204e6a3f6ep-12, -0x1.6cc74faecff2p-12, -0x1.62228004ab368p-12, -0x1.57bb2e45ee744p-12, -0x1.4d8801bf5534fp-12, -0x1.439898824cd01p-12, -0x1.39fd5fbcb8c0dp-12, -0x1.30b1e5440f756p-12, -0x1.27abd610485a8p-12, -0x1.1eeed277fef74p-12, -0x1.168373669ada1p-12, -0x1.0e67d5b28225fp-12, -0x1.0690cfc1181a5p-12, -0x1.fde7516dfb562p-13, -0x1.ef15fa4380741p-13, -0x1.e0aaf2e858bc1p-13, -0x1.d2a75b3b1f82dp-13, -0x1.c50fe8173c2b4p-13, -0x1.b7ee2785a5862p-13, -0x1.ab4d32a4c3c2bp-13, -0x1.9f32267133553p-13, -0x1.9395f8280ed94p-13, -0x1.885c7cbe0f1a7p-13, -0x1.7d5a08829ae2p-13, -0x1.728908d9579d8p-13, -0x1.68133e5dc3e4cp-13, -0x1.5dff76b1f8ba9p-13, -0x1.542fa70f7c165p-13, -0x1.4aad2cae61a1dp-13, -0x1.41908a4fb4854p-13, -0x1.38cee3553213dp-13, -0x1.30503a2d7d23p-13, -0x1.2808e2c42d157p-13, -0x1.1ff8176eae90dp-13, -0x1.182029befcc41p-13, -0x1.10824cb9767d8p-13, -0x1.091d919484332p-13, -0x1.01f034e3ba10ep-13, -0x1.f5f5326852464p-14, -0x1.e882730e61afdp-14, -0x1.db93a34319848p-14, -0x1.cf2a4f4d47b7cp-14, -0x1.c33719e301081p-14, -0x1.b79977cbd3102p-14, -0x1.ac3559ca84c4dp-14, -0x1.a11ffbddbf0fp-14, -0x1.96668bf06ce81p-14, -0x1.8be08c56324dep-14, -0x1.81acb1fefeb2ep-14, -0x1.77ee65135cc56p-14, -0x1.6e830712f2c53p-14, -0x1.654e645bc8bf3p-14, -0x1.5c4e10d9a86eap-14, -0x1.538640cda84edp-14, -0x1.4af938f0f914dp-14, -0x1.42a7006525a55p-14, -0x1.3a8e6ae9aa143p-14, -0x1.32ad6fb1e02e4p-14, -0x1.2b014b1b8e658p-14, -0x1.238796016510fp-14, -0x1.1c4008db1edcdp-14, -0x1.152ce761c533p-14, -0x1.0e51af58fa5c6p-14, -0x1.07ad1616e9f8bp-14, -0x1.012fec4c7766ap-14, -0x1.f5bb92d471701p-15, -0x1.e97e274c434d1p-15, -0x1.dd65f6e5d67bep-15, -0x1.d17ef04fbaa42p-15, -0x1.c5ea5b69d381bp-15, -0x1.bab9fd2a23dfdp-15, -0x1.afcb0cf241b34p-15, -0x1.a5098990d9cfep-15, -0x1.9a79f74f5a377p-15, -0x1.902130a0d35ddp-15, -0x1.85ffbf08bf10bp-15, -0x1.7c13dfe2894b9p-15, -0x1.725b4d213680cp-15, -0x1.68d41aa5eb9c4p-15, -0x1.5f7cbf1dbb924p-15, -0x1.565386aa3b934p-15, -0x1.4d56296b6e6eap-15, -0x1.448214caae1bbp-15, -0x1.3bd4b261d0678p-15, -0x1.334da27620329p-15, -0x1.2af75349cfb93p-15, -0x1.22d1d6d53aa53p-15, -0x1.1ac36a9152e66p-15, -0x1.12d48d7ec3e3p-15, -0x1.0b0dc17dc5307p-15, -0x1.036b18a34f18dp-15, -0x1.f7b58dd352fbdp-16, -0x1.e8d381eb560c7p-16, -0x1.da37eca210e87p-16, -0x1.cbc8c2681942cp-16, -0x1.bd8832dc24e77p-16, -0x1.af7a855d3fa37p-16, -0x1.a19fed3ba4c68p-16, -0x1.93f6d2f4d0e92p-16, -0x1.867d3e2337155p-16, -0x1.79316faad2cd7p-16, -0x1.6c1222192f267p-16, -0x1.5f1e76a4d52d4p-16, -0x1.525582d5869d3p-16, -0x1.45b5cdc62ba1fp-16, -0x1.393d62eb30607p-16, -0x1.2cea2313b94f3p-16, -0x1.20b95433de87p-16, -0x1.14af68eff3359p-16, -0x1.08dd819b9a5dp-16, -0x1.fa5aff01f0cdep-17, -0x1.e3153f3150bcp-17, -0x1.cc19716818e45p-17, -0x1.b592221d47804p-17, -0x1.9f43b08399d94p-17, -0x1.8911d886ac3a9p-17, -0x1.7335f849385eap-17, -0x1.5d9c5d26b79f9p-17, -0x1.483b169ea36fp-17, -0x1.33171b9637208p-17, -0x1.1e31be94a021dp-17, -0x1.098a7a2f4b85ep-17, -0x1.ea40e0d0ead7ep-18, -0x1.c1e5a3bc834fcp-18, -0x1.9a01ff8fdf9bap-18, -0x1.729536f4f30dp-18, -0x1.4b9eef055cbedp-18, -0x1.251eb279ba9adp-18, -0x1.fe26cba807c07p-19, -0x1.b2f6f0e6633ap-19, -0x1.68ac04f4d64bfp-19, -0x1.1f4472a61227cp-19, -0x1.ad74b90508cdcp-20, -0x1.1e576ae6eb9e4p-20, -0x1.2294bd6d82129p-21, -0x1.618e281536726p-26, 0x1.085e4624fa417p-21, 0x1.0c0882bafd1a5p-20, 0x1.924c21897fffcp-20, 0x1.0b50f43622ebbp-19, 0x1.4caa0c796026fp-19, 0x1.8d0b3e328c8dp-19, 0x1.cc8a316231201p-19, 0x1.0595d4ebaa35ap-18, 0x1.2474113c62abdp-18, 0x1.42df1104f1decp-18, 0x1.60d6d45bdcfd7p-18, 0x1.7e5b666883e65p-18, 0x1.9b6cc64feaa7ep-18, 0x1.b80ae2d59a8fcp-18, 0x1.d4359549653b4p-18, 0x1.efeca3f0a8e0dp-18, 0x1.0597ed3cd8e7ep-17, 0x1.12ff97bc73153p-17, 0x1.202d647745077p-17, 0x1.2d215aa515c19p-17, 0x1.39db3d229286dp-17, 0x1.465ae89e332d8p-17, 0x1.52a1517401bbfp-17, 0x1.5eac05209351dp-17, 0x1.6a7cdd7ced107p-17, 0x1.7612c475dd26bp-17, 0x1.816debbe372efp-17, 0x1.8c8fb8b66c5c1p-17, 0x1.977776148e1b4p-17, 0x1.a225e9547608fp-17, 0x1.ac99583430eb9p-17, 0x1.b6d17ffd44913p-17, 0x1.c0cf3585ae462p-17, 0x1.ca93a41d20ba4p-17, 0x1.d41e06df5dfa7p-17, 0x1.dd6e47e47b857p-17, 0x1.e6848157c2363p-17, 0x1.ef60d0e16171fp-17, 0x1.f80354c5e049bp-17, 0x1.003616448f03bp-16, 0x1.044dbc607ab04p-16, 0x1.0848ad356f711p-16, 0x1.0c26f9f41dcd5p-16, 0x1.0fe8b68d2c2d9p-16, 0x1.138dfbce715ccp-16, 0x1.1716e68996c6ep-16, 0x1.1a839168d8b13p-16, 0x1.1dd409992cc97p-16, 0x1.210860493cc63p-16, 0x1.2420f71f5548bp-16, 0x1.271dd9d7952a3p-16, 0x1.29fe9d259b174p-16, 0x1.2cc39b6e87afcp-16, 0x1.2f6d8ab70b04ep-16, 0x1.31fc3d12ce0b3p-16, 0x1.346fba40d8992p-16, 0x1.36c830a90f689p-16, 0x1.3905f23bdc3fp-16, 0x1.3b293f4201eefp-16, 0x1.3d319884e8b14p-16, 0x1.3f1fad27a5947p-16, 0x1.40f3ce90e2d23p-16, 0x1.42adfe746addbp-16, 0x1.444e6a4ce3418p-16, 0x1.45d546087c955p-16, 0x1.4742c61e66978p-16, 0x1.48971fb4efa87p-16, 0x1.49d288d7d395p-16, 0x1.4af5387582122p-16, 0x1.4bff66346b9a1p-16, 0x1.4cf14a791a306p-16, 0x1.4dcb1f02569d1p-16, 0x1.4e8d1f98ec116p-16, 0x1.4f3789f7faabcp-16, 0x1.4fca9c8b986dep-16, 0x1.5046921f030e1p-16, 0x1.50aba0cfc1d45p-16, 0x1.50fa1258a3b43p-16, 0x1.51325fb675763p-16, 0x1.51545b4576fdap-16, 0x1.516045f8b81eap-16, 0x1.5156d2d1ee1fp-16, 0x1.5138116b71bd4p-16, 0x1.51043da16b021p-16, 0x1.50bb9b1543b6bp-16, 0x1.505e6db7844fcp-16, 0x1.4fecfe7c46b1cp-16, 0x1.4f67a47679863p-16, 0x1.4eceaf2bc3cep-16, 0x1.4e220c7a7f625p-16, 0x1.4d62660a0c424p-16, 0x1.4c8fed8c09ap-16, 0x1.4baae1caba851p-16, 0x1.4ab38cc3279bp-16, 0x1.49aa38aaaad3cp-16, 0x1.488f2fa65ccdep-16, 0x1.4762bbfcabeffp-16, 0x1.4625281e880b2p-16, 0x1.44d6be9be43fp-16, 0x1.4377ca111d68ap-16, 0x1.42089530ca0fcp-16, 0x1.40896b0ac957cp-16, 0x1.3efa972fa1c15p-16, 0x1.3d5c658deb72ep-16, 0x1.3baf21ffc00f9p-16, 0x1.39f31648b1b21p-16, 0x1.382889ec66226p-16, 0x1.364fcc48b0f3cp-16, 0x1.34694955fc5b1p-16, 0x1.32750742d1c19p-16, 0x1.307368c74f693p-16, 0x1.2e64def9f6f3bp-16, 0x1.2c499b1493375p-16, 0x1.2a21e76f42b3fp-16, 0x1.27ee0fb94da6p-16, 0x1.25ae5e078423ep-16, 0x1.23631b58308e3p-16, 0x1.210c92048054bp-16, 0x1.1eab0d474808cp-16, 0x1.1c3ee487a0fd3p-16, 0x1.19c84043a2412p-16, 0x1.174778d33df46p-16, 0x1.14bce2367e8abp-16, 0x1.1228ba83591edp-16, 0x1.0f8b499068492p-16, 0x1.0ce4d70027022p-16, 0x1.0a35a9d2ae3bap-16, 0x1.077e0886e8caap-16, 0x1.04be39226300ap-16, 0x1.01f6812e3fba5p-16, 0x1.fe4e4b5ceec31p-17, 0x1.f8a0d63e2b874p-17, 0x1.f2e52b0acf7bfp-17, 0x1.ed1bd10d91415p-17, 0x1.e7454ebbba848p-17, 0x1.e162299b4cc99p-17, 0x1.db72e5ae4a827p-17, 0x1.d5780386dabcdp-17, 0x1.cf720284aac6ap-17, 0x1.c9616a37675c6p-17, 0x1.c346d5a173a11p-17, 0x1.bd226a54ec647p-17, 0x1.b6f4f5ac43a38p-17, 0x1.b0bee34c34da3p-17, 0x1.aa80a4d0edd0fp-17, 0x1.a43ab450c1285p-17, 0x1.9ded8a3783d65p-17, 0x1.97999d6348c9dp-17, 0x1.913f62b5b831ep-17, 0x1.8adf4d26d72c4p-17, 0x1.8479cf8ca4847p-17, 0x1.7e0f5b60cea1ep-17, 0x1.77a0670631f5bp-17, 0x1.712d58ca320b9p-17, 0x1.6ab694770f7a6p-17, 0x1.643c999aea819p-17, 0x1.5dbfc8ebb1751p-17, 0x1.57408b45a913p-17, 0x1.50bf484db239dp-17, 0x1.4a3c660c1b12cp-17, 0x1.43b8490a38374p-17, 0x1.3d33545b0e7a8p-17, 0x1.36ade99de336cp-17, 0x1.302868fa6500ap-17, 0x1.29a33118c03dep-17, }}, 
      {{0x1.256bd3783f02bp-6, 0x1.24f081b62b054p-5, 0x1.b637f8c27cc3ep-5, 0x1.230d493e4d56bp-4, 0x1.6a17274d6be7p-4, 0x1.b008f26fcb425p-4, 0x1.f4b6a07c61439p-4, 0x1.1bfc688726fc2p-3, 0x1.3cd65f127aba3p-3, 0x1.5cda0bd329cccp-3, 0x1.7bfa671ef8c2p-3, 0x1.9a2c691db8906p-3, 0x1.b766e62b99807p-3, 0x1.d3a26912ce4aep-3, 0x1.eed9101224401p-3, 0x1.048333ca14d2dp-2, 0x1.1113a4fbe9f3ap-2, 0x1.1d1cdf24b24c8p-2, 0x1.289e6dc07b1a3p-2, 0x1.3398568f72a4ap-2, 0x1.3e0b0cfb024a8p-2, 0x1.47f7666f4429cp-2, 0x1.515e902e4fe62p-2, 0x1.5a4205783f155p-2, 0x1.62a3872c8071cp-2, 0x1.6a85139e8d9c9p-2, 0x1.71e8df8536944p-2, 0x1.78d14f6994dadp-2, 0x1.7f40f17c9d054p-2, 0x1.853a781ab3aa8p-2, 0x1.8ac0b4aa42c64p-2, 0x1.8fd692dabdc8bp-2, 0x1.947f143ba38ffp-2, 0x1.98bd4c29968dep-2, 0x1.9c945c156adbcp-2, 0x1.a007700182f87p-2, 0x1.a319bb4ca2e07p-2, 0x1.a5ce75be4242dp-2, 0x1.a828d8c7aac9ap-2, 0x1.aa2c1d037f2b4p-2, 0x1.abdb77ec9a196p-2, 0x1.ad3a19c253e79p-2, 0x1.ae4b2b9f145b7p-2, 0x1.af11cdbc806b9p-2, 0x1.af9115e3051a6p-2, 0x1.afcc0e032baf5p-2, 0x1.afc5b2f4b61fap-2, 0x1.af80f35b15413p-2, 0x1.af00aeafbaf7dp-2, 0x1.ae47b46f0a727p-2, 0x1.ad58c35d07633p-2, 0x1.ac3688f5a1381p-2, 0x1.aae3a0ed43465p-2, 0x1.a96294d4ab788p-2, 0x1.a7b5dbd45efb5p-2, 0x1.a5dfda7a2db2fp-2, 0x1.a3e2e2ab6e141p-2, 0x1.a1c1338dd887cp-2, 0x1.9f7cf9ada5ce5p-2, 0x1.9d184ef7cbe45p-2, 0x1.9a953b10a9b73p-2, 0x1.97f5b35bcd42fp-2, 0x1.953b9b7ce0b5cp-2, 0x1.9268c5629332dp-2, 0x1.8f7ef1dfc8711p-2, 0x1.8c7fd0b61005bp-2, 0x1.896d013577fa3p-2, 0x1.86481256c9ef5p-2, 0x1.831283508ee3ep-2, 0x1.7fcdc3d53c2cep-2, 0x1.7c7b3487dd461p-2, 0x1.791c275c2704p-2, 0x1.75b1dfe5e7b4bp-2, 0x1.723d93c62fdeep-2, 0x1.6ec06aeade316p-2, 0x1.6b3b7ff402249p-2, 0x1.67afe08007992p-2, 0x1.641e8d8a2b4d5p-2, 0x1.60887bc850fe9p-2, 0x1.5cee94089802dp-2, 0x1.5951b38fd8fa7p-2, 0x1.55b2ac73482ecp-2, 0x1.521245effa18cp-2, 0x1.4e713cc01da6ap-2, 0x1.4ad043706914p-2, 0x1.473002b5511abp-2, 0x1.439119bfe74c9p-2, 0x1.3ff41e912fadbp-2, 0x1.3c599e4b427b5p-2, 0x1.38c21d8033f4ep-2, 0x1.352e187ecf5b3p-2, 0x1.319e039ef3d0dp-2, 0x1.2e124b8d34fep-2, 0x1.2a8b55973006bp-2, 0x1.27097ff7422bcp-2, 0x1.238d221ebb846p-2, 0x1.20168cfe10768p-2, 0x1.1ca60b4a52185p-2, 0x1.193be1bf4eb57p-2, 0x1.15d84f5f2cb27p-2, 0x1.127b8daff53b3p-2, 0x1.0f25d0f7fdfe3p-2, 0x1.0bd74879f8be5p-2, 0x1.08901eb0d75abp-2, 0x1.0550798b6977dp-2, 0x1.02187aa78b548p-2, 0x1.fdd07f183ede3p-3, 0x1.f77fc3c27e6ddp-3, 0x1.f13eef4c2890fp-3, 0x1.eb0e26c895a35p-3, 0x1.e4ed88c0fa0b8p-3, 0x1.dedd2d9255dedp-3, 0x1.d8dd27c61666cp-3, 0x1.d2ed84687f6c3p-3, 0x1.cd0e4b5ae2826p-3, 0x1.c73f7fa61f53p-3, 0x1.c1811fca06fep-3, 0x1.bbd3260b0a4e9p-3, 0x1.b63588bde8e23p-3, 0x1.b0a83a903632p-3, 0x1.ab2b2ace7199dp-3, 0x1.a5be45a69a88fp-3, 0x1.a06174669717bp-3, 0x1.9b149db7daed3p-3, 0x1.95d7a5d73338dp-3, 0x1.90aa6ec8ad323p-3, 0x1.8b8cd8899fd8fp-3, 0x1.867ec13fa355ep-3, 0x1.81800564984bap-3, 0x1.7c907ff1c1a7cp-3, 0x1.77b00a88bedbcp-3, 0x1.72de7d99efbcbp-3, 0x1.6e1bb08a3cb25p-3, 0x1.696779d73449ep-3, 0x1.64c1af3858629p-3, 0x1.602a25bf66fc7p-3, 0x1.5ba0b1f7584c1p-3, 0x1.572528005962fp-3, 0x1.52b75ba9fc916p-3, 0x1.4e57208c9950cp-3, 0x1.4a044a201b1c1p-3, 0x1.45beabd019649p-3, 0x1.4186190fbc81cp-3, 0x1.3d5a656c42c9bp-3, 0x1.393b649cd40bcp-3, 0x1.3528ea915b3c9p-3, 0x1.3122cb8070e12p-3, 0x1.2d28dbf47501cp-3, 0x1.293af0d6ddf5bp-3, 0x1.2558df7ad9049p-3, 0x1.21827da788842p-3, 0x1.1db7a1a0ecabbp-3, 0x1.19f8222f8c3a9p-3, 0x1.1643d6a7d8822p-3, 0x1.129a96f10bbc5p-3, 0x1.0efc3b8ad8cd1p-3, 0x1.0b689d923108cp-3, 0x1.07df96c5bad14p-3, 0x1.04610189ad631p-3, 0x1.00ecb8ead7c4ep-3, 0x1.fb053141d1adcp-4, 0x1.f444fa20a9bcep-4, 0x1.ed9886979f826p-4, 0x1.e6ff922a279fep-4, 0x1.e079d9ba67287p-4, 0x1.da071b892e59bp-4, 0x1.d3a7173538dabp-4, 0x1.cd598db95d4c9p-4, 0x1.c71e416a1cc53p-4, 0x1.c0f4f5f327babp-4, 0x1.badd70543a0d8p-4, 0x1.b4d776dcba689p-4, 0x1.aee2d1270a783p-4, 0x1.a8ff48143eebap-4, 0x1.a32ca5c7c0984p-4, 0x1.9d6ab5a191494p-4, 0x1.97b94437ab288p-4, 0x1.92181f502d1a4p-4, 0x1.8c8715dc3c795p-4, 0x1.8705f7f213306p-4, 0x1.819496c58e7e5p-4, 0x1.7c32c4a0acd6cp-4, 0x1.76e054dd4b967p-4, 0x1.719d1bdf6def5p-4, 0x1.6c68ef0e6d589p-4, 0x1.6743a4cce896bp-4, 0x1.622d1470ea2c8p-4, 0x1.5d25163d5ce11p-4, 0x1.582b835c21696p-4, 0x1.534035d74d45ap-4, 0x1.4e63089133782p-4, 0x1.4993d73c61f97p-4, 0x1.44d27e54dce42p-4, 0x1.401edb1a6fc1dp-4, 0x1.3b78cb8aa2d6fp-4, 0x1.36e02e596af99p-4, 0x1.3254e2e94980dp-4, 0x1.2dd6c944608f8p-4, 0x1.2965c21700b8cp-4, 0x1.2501aeaa92d36p-4, 0x1.20aa70df7c625p-4, 0x1.1c5feb25f61f3p-4, 0x1.182200772450bp-4, 0x1.13f0944f90bb4p-4, 0x1.0fcb8aaabb67cp-4, 0x1.0bb2c7fe70a84p-4, 0x1.07a6313511c69p-4, 0x1.03a5aba74a46ap-4, 0x1.ff623a2cb8337p-5, 0x1.f790d74f49382p-5, 0x1.efd6fbc1c684fp-5, 0x1.e83475487866ep-5, 0x1.e0a91256deab4p-5, 0x1.d934a2054a387p-5, 0x1.d1d6f407566d7p-5, 0x1.ca8fd8a458953p-5, 0x1.c35f20b147d39p-5, 0x1.bc449d8a9fcb3p-5, 0x1.b540210d139eap-5, 0x1.ae517d8d4506fp-5, 0x1.a77885cfc32fep-5, 0x1.a0b50d0288635p-5, 0x1.9a06e6b81199fp-5, 0x1.936de6e31081dp-5, 0x1.8ce9e1d15c5b8p-5, 0x1.867aac25cfb29p-5, 0x1.80201ad1d6ec5p-5, 0x1.79da030fdfa9fp-5, 0x1.73a83a5f3e88p-5, 0x1.6d8a96811aa2fp-5, 0x1.6780ed754b08bp-5, 0x1.618b157665fc9p-5, 0x1.5ba8e4f524e1bp-5, 0x1.55da3293f36c3p-5, 0x1.501ed52363dfep-5, 0x1.4a76a39fb12b4p-5, 0x1.44e1752ec54e7p-5, 0x1.3f5f211e1cec6p-5, 0x1.39ef7ee02b7e3p-5, 0x1.349266096e9a3p-5, 0x1.2f47ae4dad8f6p-5, 0x1.2a0f2f7dd1b51p-5, 0x1.24e8c18663632p-5, 0x1.1fd43c6e64dc7p-5, 0x1.1ad178562efb3p-5, 0x1.15e04d761f117p-5, 0x1.1100941d2f54p-5, 0x1.0c3224af7b363p-5, 0x1.0774d7a5291b8p-5, 0x1.02c885898387fp-5, 0x1.fc5a0df4e1383p-6, 0x1.f34469502f51ep-6, 0x1.ea4fcea93b438p-6, 0x1.e17befa7b6723p-6, 0x1.d8c87e1604e89p-6, 0x1.d0352be087157p-6, 0x1.c7c1ab1503353p-6, 0x1.bf6dade271f2fp-6, 0x1.b738e69946e39p-6, 0x1.af2307ac228e5p-6, 0x1.a72bc3b0c96adp-6, 0x1.9f52cd6113d6dp-6, 0x1.9797d79ba7278p-6, 0x1.8ffa95648807dp-6, 0x1.887ab9e5aef2ap-6, 0x1.8117f86fd4f8dp-6, 0x1.79d2047bb4a2ap-6, 0x1.72a891abaf724p-6, 0x1.6b9b53cda778ap-6, 0x1.64a9fedccf103p-6, 0x1.5dd4470373aaep-6, 0x1.5719e09c34d9cp-6, 0x1.507a80339f412p-6, 0x1.49f5da8979707p-6, 0x1.438ba4928f64bp-6, 0x1.3d3b937abd5fp-6, 0x1.37055ca728795p-6, 0x1.30e8b5b886016p-6, 0x1.2ae5548d4a338p-6, 0x1.24faef43b4797p-6, 0x1.1f293c3bba972p-6, 0x1.196ff218e3a7dp-6, 0x1.13cec7c4399fbp-6, 0x1.0e45746e4bb18p-6, 0x1.08d3af915f25p-6, 0x1.037930f3a02ddp-6, 0x1.fc6b6152c8b37p-7, 0x1.f211ce2ed9fe6p-7, 0x1.e7e519ea4db5fp-7, 0x1.dde4b69dc8199p-7, 0x1.d410170ffdb68p-7, 0x1.ca66aeb9c3746p-7, 0x1.c0e7f1c9e656dp-7, 0x1.b7935528c118ep-7, 0x1.ae684e7bcef86p-7, 0x1.a56654293fe97p-7, 0x1.9c8cdd5be9accp-7, 0x1.93db6207af1e8p-7, 0x1.8b515aee321c1p-7, 0x1.82ee41a3964d9p-7, 0x1.7ab19092dd32p-7, 0x1.729ac3017a53p-7, 0x1.6aa9551221078p-7, 0x1.62dcc3c6a45e1p-7, 0x1.5b348d0278e01p-7, 0x1.53b02f8c04ee9p-7, 0x1.4c4f2b0ff5a0dp-7, 0x1.45110025e1bf4p-7, 0x1.3df530549da5fp-7, 0x1.36fb3e1781a53p-7, 0x1.3022ace2b1154p-7, 0x1.296b0125f4a03p-7, 0x1.22d3c04df9baep-7, 0x1.1c5c70c4471abp-7, 0x1.160499eecab67p-7, 0x1.0fcbc43018d31p-7, 0x1.09b178e94700bp-7, 0x1.03b5427dbb6a8p-7, 0x1.fbad58b0eaa6bp-8, 0x1.f02a85e37bb78p-8, 0x1.e4e127a751039p-8, 0x1.d9d05b3884d71p-8, 0x1.cef73ff9d4b96p-8, 0x1.c454f76e9f725p-8, 0x1.b9e8a53379edbp-8, 0x1.afb16ef8c4af9p-8, 0x1.a5ae7c82e8588p-8, 0x1.9bdef7b1c302dp-8, 0x1.92420c8e34081p-8, 0x1.88d6e95a6b1f2p-8, 0x1.7f9cbe9f9cf26p-8, 0x1.7692bf3464cep-8, 0x1.6db82038e61d1p-8, 0x1.650c1908f0fbep-8, 0x1.5c8de3285809ap-8, 0x1.543cba2faef04p-8, 0x1.4c17dbc0b08c3p-8, 0x1.441e87877c25cp-8, 0x1.3c4fff49be6aep-8, 0x1.34ab870064a1bp-8, 0x1.2d3064f4ce193p-8, 0x1.25dde1d8455f6p-8, 0x1.1eb348cd404d7p-8, 0x1.17afe75dc0d7cp-8, 0x1.10d30d5f8b9eap-8, 0x1.0a1c0cccba84bp-8, 0x1.038a399b6cf79p-8, 0x1.fa39d3413f913p-9, 0x1.eda6e90ea068cp-9, 0x1.e15a67bf29136p-9, 0x1.d55306845b314p-9, 0x1.c98f80fdce0f5p-9, 0x1.be0e9791857b4p-9, 0x1.b2cf0fa65ad65p-9, 0x1.a7cfb3ae0ed59p-9, 0x1.9d0f52f8a50edp-9, 0x1.928cc158ee523p-9, 0x1.8846d6af509dep-9, 0x1.7e3c6e77bb685p-9, 0x1.746c6778ae1eap-9, 0x1.6ad5a3b29c2e9p-9, 0x1.61770875c70f1p-9, 0x1.584f7ebc2164ep-9, 0x1.4f5df3930be52p-9, 0x1.46a1587151cd5p-9, 0x1.3e18a3743fa38p-9, 0x1.35c2cf71f1c4ep-9, 0x1.2d9edbe339105p-9, 0x1.25abccabf7b35p-9, 0x1.1de8a9ca23282p-9, 0x1.16547ef77cdbp-9, 0x1.0eee5b50ef573p-9, 0x1.07b5511af1d4cp-9, 0x1.00a875b4b3f84p-9, 0x1.f38dc371793f4p-10, 0x1.e61f6266a4c85p-10, 0x1.d90407934ffccp-10, 0x1.cc39f97529d79p-10, 0x1.bfbf857fbb2bfp-10, 0x1.b392ffe77cf15p-10, 0x1.a7b2c3c10c85ep-10, 0x1.9c1d3383eef06p-10, 0x1.90d0b9af276d2p-10, 0x1.85cbc9266ca0ap-10, 0x1.7b0cdd04b46abp-10, 0x1.709277fd4540fp-10, 0x1.665b23abdb13bp-10, 0x1.5c65702cfef7ep-10, 0x1.52aff3fb02bdp-10, 0x1.49394bab12fb3p-10, 0x1.4000191a554cdp-10, 0x1.3703020ee2db9p-10, 0x1.2e40aef17dddp-10, 0x1.25b7ca8fe092ap-10, 0x1.1d67036fe08efp-10, 0x1.154d0e558ca9ap-10, 0x1.0d68a8d6abf11p-10, 0x1.05b89ac44b6b6p-10, 0x1.fc776bd91e6dfp-11, 0x1.ede1a96cfd562p-11, 0x1.dfadb15207817p-11, 0x1.d1d95348549c6p-11, 0x1.c4626b631b3cbp-11, 0x1.b746e11a34f4dp-11, 0x1.aa84a4271d45bp-11, 0x1.9e19a75b7fb51p-11, 0x1.9203dbd2fdbaap-11, 0x1.86412f991207ep-11, 0x1.7acf914b26eadp-11, 0x1.6facf752e53aap-11, 0x1.64d7671fa9121p-11, 0x1.5a4cf8f69019bp-11, 0x1.500bd77ef2d7ep-11, 0x1.46123d2529aep-11, 0x1.3c5e72736295ep-11, 0x1.32eeceba91dfdp-11, 0x1.29c1b97621c6dp-11, 0x1.20d5a95bc74c2p-11, 0x1.18291f76d6acfp-11, 0x1.0fba9fda459b4p-11, 0x1.0788ab94e4f13p-11, 0x1.ff237dabc81a8p-12, 0x1.efa8a700793e6p-12, 0x1.e09dcc2cb60e4p-12, 0x1.d1fff46fc495ep-12, 0x1.c3cc3907400e1p-12, 0x1.b5ffc293d6ee2p-12, 0x1.a897c41825a13p-12, 0x1.9b917bcbe1083p-12, 0x1.8eea3f8ebb1d1p-12, 0x1.829f9065f2fc9p-12, 0x1.76af2655ec45p-12, 0x1.6b16e795e187fp-12, 0x1.5fd4cd41db45cp-12, 0x1.54e6c7acba95ep-12, 0x1.4a4ab533ffb7ap-12, 0x1.3ffe6e1307a45p-12, 0x1.35ffd6418a2b8p-12, 0x1.2c4ce4e2d62dbp-12, 0x1.22e39e0a006f2p-12, 0x1.19c206fa5265fp-12, 0x1.10e61c923f72ap-12, 0x1.084dcdddf77a4p-12, 0x1.ffedf97498dcdp-13, 0x1.efbf157479cb3p-13, 0x1.e00aeaf11cc4ep-13, 0x1.d0cdecd2fb51p-13, 0x1.c2051b7c4641bp-13, 0x1.b3add40ebd337p-13, 0x1.a5c5779c7661fp-13, 0x1.98492f6a10697p-13, 0x1.8b35f81a696abp-13, 0x1.7e88da87c1d62p-13, 0x1.723f163ca9fc2p-13, 0x1.66561eb177954p-13, 0x1.5acb7b8daaeeap-13, 0x1.4f9ca7c92785ep-13, 0x1.44c6fc7f09953p-13, 0x1.3a47aaf943c39p-13, 0x1.301bc6c40d223p-13, 0x1.26405c43580cap-13, 0x1.1cb290cacedfcp-13, 0x1.136fca62752ffp-13, 0x1.0a75cead9394p-13, 0x1.01c2ba36432bep-13, 0x1.f2a996c717f8dp-14, 0x1.e2545bce645ecp-14, 0x1.d281ec1172a26p-14, 0x1.c32e842f3c5a8p-14, 0x1.b4569e46e836dp-14, 0x1.a5f6daff7cfffp-14, 0x1.980be868fee58p-14, 0x1.8a9289e68ad7fp-14, 0x1.7d8790b755838p-14, 0x1.70e7adf8cf676p-14, 0x1.64af52f1ebf34p-14, 0x1.58dace24d497ep-14, 0x1.4d668f7dfc6dfp-14, 0x1.424f5546c100cp-14, 0x1.379220806d825p-14, 0x1.2d2c0eb4e8322p-14, 0x1.231a4873389e2p-14, 0x1.195a077d81a69p-14, 0x1.0fe8a3b87100ep-14, 0x1.06c3af16e2fddp-14, 0x1.fbd22493948b5p-15, 0x1.eaade05b9f57ep-15, 0x1.da16a7ef1bcadp-15, 0x1.ca082108fac29p-15, 0x1.ba7de7e5a708dp-15, 0x1.ab73db88b8c64p-15, 0x1.9ce5f5223926ap-15, 0x1.8ed01c44732c5p-15, 0x1.812e2ef364947p-15, 0x1.73fc2144b4d63p-15, 0x1.6736289b55a8ep-15, 0x1.5ad8e6e09b052p-15, 0x1.4ee164bb108eap-15, 0x1.434caee4aa018p-15, 0x1.381756c2e1c6dp-15, 0x1.2d3d70ae498dap-15, 0x1.22bb1c4666181p-15, 0x1.188cfb6dc9a0bp-15, 0x1.0eb06fc5c0c04p-15, 0x1.0523908adc095p-15, 0x1.f7c91b4ecb98cp-16, 0x1.e5e2407110032p-16, 0x1.d48d71345728dp-16, 0x1.c3c5a3085e763p-16, 0x1.b385c80e5d027p-16, 0x1.a3c8cb2ffc18ep-16, 0x1.9489f643af53dp-16, 0x1.85c53362128e2p-16, 0x1.7776de26acf86p-16, 0x1.699b5f3944e86p-16, 0x1.5c2f0714a2801p-16, 0x1.4f2e5a0b49b8p-16, 0x1.42965bc22aa53p-16, 0x1.3664252bf47b5p-16, 0x1.2a940017d3e0fp-16, 0x1.1f2156713289p-16, 0x1.14078a011bbefp-16, 0x1.0942a814af8b3p-16, 0x1.fda09c5d0bf0bp-17, 0x1.e95ef9b91e1a2p-17, 0x1.d5bcd97bec682p-17, 0x1.c2b40e2cadc09p-17, 0x1.b03ee53f9cdf5p-17, 0x1.9e5868e047545p-17, 0x1.8cfb3e009cd8bp-17, 0x1.7c223d3de4c83p-17, 0x1.6bc8fedea1d2ap-17, 0x1.5bebba1659d3p-17, 0x1.4c86f9d88807cp-17, 0x1.3d9745b15fbe1p-17, 0x1.2f18de7c34f01p-17, 0x1.2107e9164c79ep-17, 0x1.13610f703cb8fp-17, 0x1.0621d72039e36p-17, 0x1.f28f7dbd3072dp-18, 0x1.d99d7baaa1c3bp-18, 0x1.c162f1799b80fp-18, 0x1.a9d6a179fcc1fp-18, 0x1.92f39e9a58cbcp-18, 0x1.7cb8a426aebe1p-18, 0x1.67225adbbb925p-18, 0x1.5229127fe8aa8p-18, 0x1.3dc78345dc6a5p-18, 0x1.29fa1aa6a279cp-18, 0x1.16bbdc44aa936p-18, 0x1.04081a9b073afp-18, 0x1.e3b5a2414d05cp-19, 0x1.c0602455fa7e7p-19, 0x1.9e07ea14f143bp-19, 0x1.7ca593871da0bp-19, 0x1.5c32665ac66a3p-19, 0x1.3ca807188cd95p-19, 0x1.1e0016766279dp-19, 0x1.00345c2e90727p-19, 0x1.c67e9755f994ep-20, 0x1.8e376974076dcp-20, 0x1.5786ac8f2335cp-20, 0x1.225c1952efb31p-20, 0x1.dd4f79a152468p-21, 0x1.78c6f194c5caap-21, 0x1.1716e0b358e1cp-21, 0x1.704557d138d55p-22, 0x1.6f4a569da2822p-23, 0x1.0b50fbfc9d5edp-28, -0x1.5470b4a47f95ap-23, -0x1.53ae6853d0ec3p-22, -0x1.f85508ba08b07p-22, -0x1.4c235fabc2a69p-21, -0x1.99cf907f05cafp-21, -0x1.e53dd2f227878p-21, -0x1.173e7d3db6088p-20, -0x1.3acd725551662p-20, -0x1.5d51dbba22e55p-20, -0x1.7ed0f8fa229c5p-20, -0x1.9f4fb7cd55db7p-20, -0x1.bed3471c8fe64p-20, -0x1.dd613ae4453c1p-20, -0x1.faff673912da8p-20, -0x1.0bd9e1833db63p-19, -0x1.19c19dccd90e9p-19, -0x1.2738e056c171bp-19, -0x1.34421d82fb017p-19, -0x1.40df2da642e12p-19, -0x1.4d12412b2032ep-19, -0x1.58de2b544baf6p-19, -0x1.6445734ddebdep-19, -0x1.6f492ede4dfaep-19, -0x1.79eadaaa3c8efp-19, -0x1.842c9444ff082p-19, -0x1.8e0ff2fcbc12ep-19, -0x1.97968597c73a3p-19, -0x1.a0c1f30588ec9p-19, -0x1.a993edd2cae4p-19, -0x1.b20e2385cd7f1p-19, -0x1.ba322b3a19bbp-19, -0x1.c201791f0629bp-19, -0x1.c97d5f2395e32p-19, -0x1.d0a7200d56873p-19, -0x1.d7800af6c3793p-19, -0x1.de0983c40c25dp-19, -0x1.e444ef79c508bp-19, -0x1.ea33ae043d0dap-19, -0x1.efd6fde6ad3a5p-19, -0x1.f52fc547faf37p-19, -0x1.fa3f6144dd9ddp-19, -0x1.ff0744dbfae3dp-19, -0x1.01c428edd210ap-18, -0x1.03e1b2371b594p-18, -0x1.05dd0b654ecffp-18, -0x1.07b6db444c99bp-18, -0x1.096f6172ea5d9p-18, -0x1.0b073677dcf35p-18, -0x1.0c7ee6562caf9p-18, -0x1.0dd6ea9dc9991p-18, -0x1.0f0fc0875ec6p-18, -0x1.1029e77ee950ep-18, -0x1.1125df50ea033p-18, -0x1.12042699e9809p-18, -0x1.12c5392142fc3p-18, -0x1.13698ec38990cp-18, -0x1.13f19bcae3fe9p-18, -0x1.145dd36691aa4p-18, -0x1.14aeaa70b0c53p-18, -0x1.14e4973b1e0cep-18, -0x1.15000d823d2b6p-18, -0x1.15017c404e6e5p-18, -0x1.14e952e19c6a9p-18, -0x1.14b7fdb466935p-18, -0x1.146deeea8f3e2p-18, -0x1.140ba980f6ba8p-18, -0x1.13917e552f07dp-18, -0x1.12ffde2a15257p-18, -0x1.1257413c6e01ap-18, -0x1.1198093d2ae21p-18, -0x1.10c2ab2489dc6p-18, -0x1.0fd784524f4aep-18, -0x1.0ed7036aa4cf5p-18, -0x1.0dc191b76efebp-18, -0x1.0c979470836aep-18, -0x1.0b597240590d1p-18, -0x1.0a079214b38d5p-18, -0x1.08a25abd627efp-18, -0x1.072a329ade115p-18, -0x1.059f7f4726ee8p-18, -0x1.0402a54df7c3p-18, -0x1.025408325add4p-18, -0x1.00940af4a9573p-18, -0x1.fd86219aa9963p-19, -0x1.f9c2fa5b557fp-19, -0x1.f5df655b510a5p-19, -0x1.f1dc235b6974dp-19, -0x1.edb9f23b64577p-19, -0x1.e979948e96125p-19, -0x1.e51bca886dad5p-19, -0x1.e0a15905cf8a5p-19, -0x1.dc0afb1dbbd4dp-19, -0x1.d7596a9487994p-19, -0x1.d28d629af5259p-19, -0x1.cda79e07a5f01p-19, -0x1.c8a8da6608cfp-19, -0x1.c391cbef487d3p-19, -0x1.be632850c254bp-19, -0x1.b91da6c662eedp-19, -0x1.b3c1fe4614baap-19, -0x1.ae50e016fd69fp-19, -0x1.a8cafde304855p-19, -0x1.a3310890c1af1p-19, -0x1.9d83afd73d97ap-19, -0x1.97c3a2329aef1p-19, -0x1.91f18cc973712p-19, -0x1.8c0e1b4e04258p-19, -0x1.8619f7e46c649p-19, -0x1.8015cb238fd09p-19, -0x1.7a023c690fb54p-19, -0x1.73dff22bab1e6p-19, -0x1.6daf91bcd480bp-19, -0x1.6771be964cc6dp-19, -0x1.6127196df8b0cp-19, -0x1.5ad041079b3a8p-19, -0x1.546dd56de970fp-19, -0x1.4e0074d3b2f53p-19, -0x1.4788b942cee82p-19, -0x1.41073d63c0259p-19, -0x1.3a7c9b83bfd13p-19, -0x1.33e968ddccb79p-19, -0x1.2d4e398da31f9p-19, -0x1.26aba19be1294p-19, -0x1.2002345a5060cp-19, -0x1.195282789fe0ap-19, -0x1.129d17374b82bp-19, -0x1.0be281b8f27adp-19, -0x1.05234db4aedcp-19, -0x1.fcc00763557e3p-20, -0x1.ef3256888b537p-20, -0x1.e19e94bcae81bp-20, -0x1.d405ca5942fcep-20, -0x1.c668fc2adb2fep-20, -0x1.b8c92b643d8c5p-20, -0x1.ab2755916af97p-20, -0x1.9d8474856057fp-20, -0x1.8fe17e59cddfdp-20, -0x1.823f659486357p-20, -0x1.749f1962a730dp-20, -0x1.6701857e854bcp-20, -0x1.596791dc9d745p-20, -0x1.4bd222094a5fp-20, -0x1.3e4214fec7d6ap-20, -0x1.30b847633b43bp-20, -0x1.233594591b1d6p-20, -0x1.15bace28c11e7p-20, -0x1.0848c5fc26929p-20, -0x1.f5c098bdc8a6dp-21, -0x1.db04539c42d0ep-21, -0x1.c05e4852549a1p-21, -0x1.a5cffaad9b37ep-21, -0x1.8b5ae742950fcp-21, -0x1.710085038568p-21, -0x1.56c244008b519p-21, -0x1.3ca18b9159713p-21, -0x1.229fb46888da4p-21, -0x1.08be1da0cf461p-21, -0x1.ddfc2c3a19b64p-22, -0x1.aac1ccbbf45fep-22, -0x1.77cfa0b89b832p-22, -0x1.45281d830eef1p-22, -0x1.12cda9c9daabep-22, -0x1.c1853b406d98ep-23, -0x1.5e128505b3f51p-23, -0x1.f68f4d988ad8dp-24, -0x1.3251f2f24c22fp-24, -0x1.bdd5c983f7c0ep-26, 0x1.47f7ceb1a07ebp-26, 0x1.1200359fdba2cp-24, 0x1.d089815f49eb7p-24, 0x1.46c91eb9d9526p-23, 0x1.a489867a57c8cp-23, 0x1.00c1339d97dap-22, 0x1.2ed823237cec5p-22, 0x1.5c87de4855589p-22, 0x1.89cecb4231ddap-22, 0x1.b6ab53cb734dfp-22, 0x1.e31bed0bc7e18p-22, 0x1.078f9015563f4p-21, 0x1.1d59c07bf9671p-21, 0x1.32ebd7e77703ep-21, 0x1.48452d46b5e3ap-21, 0x1.5d651e270ec84p-21, 0x1.724b0da92b18ep-21, 0x1.86f66512baf76p-21, 0x1.9b669346b40bcp-21, 0x1.af9b10c0ff162p-21, 0x1.c393587c0fd04p-21, 0x1.d74eebba8614dp-21, 0x1.eacd533f35cefp-21, 0x1.fe0e1ceda579cp-21, 0x1.08886e399ca89p-20, 0x1.11ea9598265b6p-20, 0x1.1b2d5416f6895p-20, 0x1.24507c061d913p-20, 0x1.2d53e25bea6p-20, 0x1.36375ebfbfcb1p-20, 0x1.3efacb8a78ddfp-20, 0x1.479e05c9c3c7cp-20, 0x1.5020ed87f81b1p-20, 0x1.588365cefafb5p-20, 0x1.60c5543e9e7d7p-20, 0x1.68e6a07eef499p-20, 0x1.70e73442a6a42p-20, 0x1.78c6fb7d1f954p-20, 0x1.8085e46be8ddcp-20, 0x1.8823dfc353f88p-20, 0x1.8fa0e25963c1cp-20, 0x1.96fce10b11806p-20, 0x1.9e37d42cb2108p-20, 0x1.a551b64ff4bep-20, 0x1.ac4a83e86ee41p-20, 0x1.b3223ba34215cp-20, 0x1.b9d8de403f8e9p-20, 0x1.c06e6ea47514fp-20, 0x1.c6e2f1c8b7198p-20, 0x1.cd366e852ca3cp-20, 0x1.d368edab79cbp-20, 0x1.d97a79ec358c2p-20, 0x1.df6b20231c10dp-20, 0x1.e53aef09a51e4p-20, 0x1.eae9f6a5d0bd7p-20, 0x1.f078494f716e7p-20, 0x1.f5e5faf16e791p-20, 0x1.fb33212c1f908p-20, 0x1.002fe9a7080a2p-19, 0x1.02b6152636805p-19, 0x1.052c205d192e3p-19, 0x1.0792195e34786p-19, 0x1.09e80f020576ep-19, 0x1.0c2e10e2a714cp-19, }}, 
      {{0x1.4efc82755aa5ep-5, 0x1.a26ff81def3ep-5, 0x1.1454a1507d9e7p-4, 0x1.6de5fd05c7cf6p-4, 0x1.da98407c14edcp-4, 0x1.2b7aba68b7064p-3, 0x1.6fc99c118101fp-3, 0x1.b89869fb0ed9ep-3, 0x1.0232811747e6dp-2, 0x1.28e8827ac5d8dp-2, 0x1.4fd242595945bp-2, 0x1.766740520937fp-2, 0x1.9c31e9496eaf8p-2, 0x1.c0ce9145c24dcp-2, 0x1.e3ea23cd93088p-2, 0x1.02a056ec8ff2p-1, 0x1.124deec4bfe46p-1, 0x1.20e8c2cddd258p-1, 0x1.2e61198358d84p-1, 0x1.3aabecea89a1ap-1, 0x1.45c24ef0555a6p-1, 0x1.4fa0dc4fd0d42p-1, 0x1.58473df95b7bp-1, 0x1.5fb7b8171164bp-1, 0x1.65f6c5d0b3794p-1, 0x1.6b0ac069cc774p-1, 0x1.6efb909e4ddefp-1, 0x1.71d2690f3bf05p-1, 0x1.739988ce7c106p-1, 0x1.745c0538db24dp-1, 0x1.74259a6205b49p-1, 0x1.73028166cf1e6p-1, 0x1.70ff4bf909fa2p-1, 0x1.6e28c47f1f7b4p-1, 0x1.6a8bd2323cab1p-1, 0x1.663560b93b817p-1, 0x1.61324ad93475cp-1, 0x1.5b8f47e588313p-1, 0x1.5558dba820b4cp-1, 0x1.4e9b4886d976dp-1, 0x1.476283b1a4789p-1, 0x1.3fba2b2abe2cap-1, 0x1.37ad7d7f622f6p-1, 0x1.2f475307da2d9p-1, 0x1.2692188b0eab2p-1, 0x1.1d97cb29b33d2p-1, 0x1.1461f562d5edp-1, 0x1.0af9ad2252bcdp-1, 0x1.016792c599b2fp-1, 0x1.ef67a19dcc723p-2, 0x1.dbcc3909a4bb2p-2, 0x1.c80b6e037203ap-2, 0x1.b432ddeb8d97ep-2, 0x1.a04f45bca3d72p-2, 0x1.8c6c870e74bep-2, 0x1.7895ae7587cd5p-2, 0x1.64d4f9340743dp-2, 0x1.5133dd9025f02p-2, 0x1.3dbb1014f16f3p-2, 0x1.2a728e3f01f6dp-2, 0x1.1761a23b8f3d7p-2, 0x1.048eeff2e91afp-2, 0x1.e400ee5b767a5p-3, 0x1.bf77436e4e0e6p-3, 0x1.9b8a8b71083bdp-3, 0x1.7843638f9efcap-3, 0x1.55a9661670256p-3, 0x1.33c33643dd98ep-3, 0x1.12969a2a0d3dbp-3, 0x1.e450ee1e00afbp-4, 0x1.a4f9ece76f0abp-4, 0x1.672ef5f18b2a4p-4, 0x1.2af587389649fp-4, 0x1.e0a39e9713b17p-5, 0x1.6e8daea2e5214p-5, 0x1.ff5a54c1a1795p-6, 0x1.2807ee05c495bp-6, 0x1.5c9166e7eaee2p-8, -0x1.cd4ea36223ec4p-8, -0x1.3766714d44b43p-6, -0x1.f51d3794f0e9ep-6, -0x1.5641ea9b16d0bp-5, -0x1.aed44626673c1p-5, -0x1.0226f4e151264p-4, -0x1.2b5c09010805cp-4, -0x1.530e72caf728fp-4, -0x1.7943afa2a3eddp-4, -0x1.9e019c97c44a7p-4, -0x1.c14e6c62d4854p-4, -0x1.e3309deca5143p-4, -0x1.01d77990eb388p-3, -0x1.1168341f72273p-3, -0x1.204e15caaa6b2p-3, -0x1.2e8ccad21389ep-3, -0x1.3c2810e121be2p-3, -0x1.4923b38cccd8fp-3, -0x1.558389038fcd1p-3, -0x1.614b6ef852029p-3, -0x1.6c7f47ad36138p-3, -0x1.7722f7397d6b8p-3, -0x1.813a6103f8a4bp-3, -0x1.8ac96567542d7p-3, -0x1.93d3df9b67e12p-3, -0x1.9c5da3cd4da22p-3, -0x1.a46a7d64cf45ep-3, -0x1.abfe2d847fd5cp-3, -0x1.b31c69acfebb8p-3, -0x1.b9c8da80ec69dp-3, -0x1.c0071ab117b8bp-3, -0x1.c5dab602759bep-3, -0x1.cb472868d9afbp-3, -0x1.d04fdd44478f5p-3, -0x1.d4f82eb6b5b57p-3, -0x1.d943650bd508ap-3, -0x1.dd34b642ce76fp-3, -0x1.e0cf45b1d3b5cp-3, -0x1.e41623b7e8b63p-3, -0x1.e70c4d8d81d5p-3, -0x1.e9b4ad27d7839p-3, -0x1.ec121925951e2p-3, -0x1.ee2754d30f528p-3, -0x1.eff7103549e95p-3, -0x1.f183e81d902f8p-3, -0x1.f2d0664ef3425p-3, -0x1.f3df019fd771cp-3, -0x1.f4b21e2758c55p-3, -0x1.f54c0d7db261dp-3, -0x1.f5af0ef0eaf1ep-3, -0x1.f5dd4fc4e5d8bp-3, -0x1.f5d8eb8d9bf93p-3, -0x1.f5a3ec7a095a8p-3, -0x1.f5404ba078e11p-3, -0x1.f4aff16b80a29p-3, -0x1.f3f4b5fbde0dp-3, -0x1.f310617b4c67p-3, -0x1.f204ac8e1bd09p-3, -0x1.f0d340c69fbc8p-3, -0x1.ef7db8fd449afp-3, -0x1.ee05a1b92564ep-3, -0x1.ec6c79aa2b90dp-3, -0x1.eab3b20a1499cp-3, -0x1.e8dcaef7af243p-3, -0x1.e6e8c7e95cda8p-3, -0x1.e4d948193ba55p-3, -0x1.e2af6edc0697ap-3, -0x1.e06c70016f0e4p-3, -0x1.de117442270e5p-3, -0x1.db9f999f20eb4p-3, -0x1.d917f3b4dc866p-3, -0x1.d67b8c1b900dep-3, -0x1.d3cb62cbdb93ap-3, -0x1.d1086e73f149ep-3, -0x1.ce339cc8b7ba2p-3, -0x1.cb4dd2e065115p-3, -0x1.c857ed89da4f9p-3, -0x1.c552c199b78edp-3, -0x1.c23f1c38bb04ep-3, -0x1.bf1dc333898abp-3, -0x1.bbef7542fd1bep-3, -0x1.b8b4ea51f68p-3, -0x1.b56ed3c6e5cf1p-3, -0x1.b21ddcc7e6f0bp-3, -0x1.aec2aa7510941p-3, -0x1.ab5ddc2482e1p-3, -0x1.a7f00ba54d764p-3, -0x1.a479cd7c2fc89p-3, -0x1.a0fbb112f145ap-3, -0x1.9d7640e6a9aacp-3, -0x1.99ea02c0c8c5ep-3, -0x1.965777f162ca4p-3, -0x1.92bf1d7a49417p-3, -0x1.8f216c2ecaa1ap-3, -0x1.8b7ed8dc85d2ep-3, -0x1.87d7d481cd848p-3, -0x1.842ccc7ca2321p-3, -0x1.807e2aa451627p-3, -0x1.7ccc555e83059p-3, -0x1.7917afc69019fp-3, -0x1.756099dfa42cbp-3, -0x1.71a770b675d5dp-3, -0x1.6dec8e6d724bdp-3, -0x1.6a304a4c185cdp-3, -0x1.6672f8e367cf6p-3, -0x1.62b4ec38c58bcp-3, -0x1.5ef673de2eb31p-3, -0x1.5b37dcf784194p-3, -0x1.5779724438212p-3, -0x1.53bb7c3c39874p-3, -0x1.4ffe4134090a1p-3, -0x1.4c420572359c1p-3, -0x1.48870b32821d2p-3, -0x1.44cd92a82f2bep-3, -0x1.4115da10097eep-3, -0x1.3d601dce87aaep-3, -0x1.39ac98870ed9fp-3, -0x1.35fb832140e91p-3, -0x1.324d14c592f49p-3, -0x1.2ea182e338e95p-3, -0x1.2af90145ca2d2p-3, -0x1.2753c22e1147dp-3, -0x1.23b1f65dbef49p-3, -0x1.2013cd1499bcp-3, -0x1.1c79740cf06fcp-3, -0x1.18e31784bd0c3p-3, -0x1.1550e2522b816p-3, -0x1.11c2fdf5b1b96p-3, -0x1.0e39929f3eec4p-3, -0x1.0ab4c729a1d47p-3, -0x1.0734c1185cc4ep-3, -0x1.03b9a4a06281cp-3, -0x1.004394b8c05b5p-3, -0x1.f9a5665129d2dp-4, -0x1.f2ce4115e5c42p-4, -0x1.ec01f896ac71ap-4, -0x1.e540c946d98b4p-4, -0x1.de8aed41c0d2bp-4, -0x1.d7e09c6441eaap-4, -0x1.d1420c654d3b9p-4, -0x1.caaf70e057b91p-4, -0x1.c428fb5223915p-4, -0x1.bdaedb13b4e91p-4, -0x1.b7413d5f6b327p-4, -0x1.b0e04d62c4c1cp-4, -0x1.aa8c3453fd4dbp-4, -0x1.a445197ff85a9p-4, -0x1.9e0b224cc3573p-4, -0x1.97de7236aad3ap-4, -0x1.91bf2ad131ac5p-4, -0x1.8bad6bd0f6aadp-4, -0x1.85a9531bbc136p-4, -0x1.7fb2fcd74d74p-4, -0x1.79ca8371eebbcp-4, -0x1.73efffa4eb896p-4, -0x1.6e238875fe671p-4, -0x1.6865333bd6e25p-4, -0x1.62b513a7025fdp-4, -0x1.5d133bce494aap-4, -0x1.577fbc3b4435dp-4, -0x1.51faa3eacdae6p-4, -0x1.4c84005516b8cp-4, -0x1.471bdd7971753p-4, -0x1.41c245e2fb755p-4, -0x1.3c7742aaa3a62p-4, -0x1.373adb7915d67p-4, -0x1.320d16966d4c4p-4, -0x1.2cedf8f3cfa0dp-4, -0x1.27dd8633705a7p-4, -0x1.22dbc0af4f6bcp-4, -0x1.1de8a97df16fp-4, -0x1.190440760ab7fp-4, -0x1.142e843359dd7p-4, -0x1.0f67721e32d17p-4, -0x1.0aaf067582695p-4, -0x1.06053c594e474p-4, -0x1.016a0dd3447c4p-4, -0x1.f9bae7b85fa68p-5, -0x1.f0beccbe51f1fp-5, -0x1.e7dfb879d0ba1p-5, -0x1.df1d96a2f3fd4p-5, -0x1.d67850f9cf98ap-5, -0x1.cdefcf5b0b4f1p-5, -0x1.c583f7d2f6ba6p-5, -0x1.bd34aeab8d656p-5, -0x1.b501d67526734p-5, -0x1.aceb500cbb7dep-5, -0x1.a4f0faa4030ebp-5, -0x1.9d12b3ce31606p-5, -0x1.95505790ff03p-5, -0x1.8da9c076f76adp-5, -0x1.861ec79f9cfdbp-5, -0x1.7eaf44cb87fcp-5, -0x1.775b0e64f7e5bp-5, -0x1.7021f9875869dp-5, -0x1.6903da084e4adp-5, -0x1.62008283f1b8dp-5, -0x1.5b17c46b94a3fp-5, -0x1.544970150bf09p-5, -0x1.4d9554c84c7acp-5, -0x1.46fb40ca84936p-5, -0x1.407b016732646p-5, -0x1.3a1462f8aea63p-5, -0x1.33c730f196c08p-5, -0x1.2d9335e7dff3p-5, -0x1.27783ba10fed1p-5, -0x1.21760b1e86fd9p-5, -0x1.1b8c6ca89bacfp-5, -0x1.15bb27d82b921p-5, -0x1.1002039f2af4cp-5, -0x1.0a60c6514e1f7p-5, -0x1.04d735adafaabp-5, -0x1.feca2dd33ec6ap-6, -0x1.f4145d77eaf7p-6, -0x1.e98c82cf654b2p-6, -0x1.df322589f8dd1p-6, -0x1.d504cc9021086p-6, -0x1.cb03fe0dc616ep-6, -0x1.c12f3f7da6423p-6, -0x1.b78615b819e95p-6, -0x1.ae0805071aa1cp-6, -0x1.a4b4913ed8ff4p-6, -0x1.9b8b3dd7b7207p-6, -0x1.928b8e05459f5p-6, -0x1.89b504c65fe0ep-6, -0x1.810724ecabbep-6, -0x1.7881711d3d791p-6, -0x1.70236bce87459p-6, -0x1.67ec974a69c0ap-6, -0x1.5fdc75b9b4df4p-6, -0x1.57f2893b702a1p-6, -0x1.502e54061bf32p-6, -0x1.488f588c59b62p-6, -0x1.4115199c1c225p-6, -0x1.39bf1a7055ec3p-6, -0x1.328cdeb09fbbcp-6, -0x1.2b7dea60659aap-6, -0x1.2491c1c55b96ap-6, -0x1.1dc7e95132d99p-6, -0x1.171fe59adfbd5p-6, -0x1.10993b6f5036dp-6, -0x1.0a336ffbdf963p-6, -0x1.03ee090aa8f23p-6, -0x1.fb911a7d8bc04p-7, -0x1.ef850885d9fb7p-7, -0x1.e3b6edb26b2ddp-7, -0x1.d825dd873c506p-7, -0x1.ccd0ed1c241e8p-7, -0x1.c1b732912751bp-7, -0x1.b6d7c490a4a25p-7, -0x1.ac31ba0f3258ap-7, -0x1.a1c42a6ab3987p-7, -0x1.978e2deeb01ddp-7, -0x1.8d8edea44a6ap-7, -0x1.83c55935f80c5p-7, -0x1.7a30bda44c8fap-7, -0x1.70d02fa17432dp-7, -0x1.67a2d67322f97p-7, -0x1.5ea7dc401fe03p-7, -0x1.55de6ceeb2346p-7, -0x1.4d45b4fcf0837p-7, -0x1.44dce0a9722cdp-7, -0x1.3ca31ba02ee36p-7, -0x1.349791563bf75p-7, -0x1.2cb96e13587b7p-7, -0x1.2507e071e229cp-7, -0x1.1d821af75dcedp-7, -0x1.1627555921a46p-7, -0x1.0ef6cd0edbf05p-7, -0x1.07efc4fc6d746p-7, -0x1.01118435c7e2cp-7, -0x1.f4b6a83a2ba4bp-8, -0x1.e798fc967b5a2p-8, -0x1.dac89593d5b91p-8, -0x1.ce43fe3728a1bp-8, -0x1.c209bcc6c1f44p-8, -0x1.b618557793b89p-8, -0x1.aa6e4eff5cfc7p-8, -0x1.9f0a380f93025p-8, -0x1.93eaac6f4ab6dp-8, -0x1.890e586a26708p-8, -0x1.7e73f99c83d6dp-8, -0x1.741a5cb8cf9d9p-8, -0x1.6a00589153c64p-8, -0x1.6024c7641ff4ap-8, -0x1.56867fdb1a767p-8, -0x1.4d244f62b3a74p-8, -0x1.43fcf74d47388p-8, -0x1.3b0f2da99393dp-8, -0x1.3259a1de3d3b4p-8, -0x1.29db0431b8e4dp-8, -0x1.21920ea11aa33p-8, -0x1.197d8d0644a37p-8, -0x1.119c62aa96f8fp-8, -0x1.09ed8be94976fp-8, -0x1.02701b4e1d0bbp-8, -0x1.f64665408ba06p-9, -0x1.e80bf23bbb53bp-9, -0x1.da2f218fa2929p-9, -0x1.ccae1a4e452cep-9, -0x1.bf86db8b0507fp-9, -0x1.b2b73bc344058p-9, -0x1.a63cf34fe75e7p-9, -0x1.9a15af8ffb2b8p-9, -0x1.8e3f2a4f17ef7p-9, -0x1.82b7402d51cf6p-9, -0x1.777c018c79293p-9, -0x1.6c8bbb0e5ed68p-9, -0x1.61e4f440f1815p-9, -0x1.5786646dfae1ap-9, -0x1.4d6edee5f1cb9p-9, -0x1.439d39e8e33c7p-9, -0x1.3a103542a8d65p-9, -0x1.30c666db91184p-9, -0x1.27be32a80e9a9p-9, -0x1.1ef5d02007207p-9, -0x1.166b5adc6ac14p-9, -0x1.0e1ce87e54e6ap-9, -0x1.06089d9274f52p-9, -0x1.fc597b6e35e01p-10, -0x1.ed0f6d501f903p-10, -0x1.de304e828fe88p-10, -0x1.cfb9c470f4bd6p-10, -0x1.c1a9d4243979dp-10, -0x1.b3fec748c58d4p-10, -0x1.a6b6ff71e3ab8p-10, -0x1.99d0c2fe130ep-10, -0x1.8d4a15b8b526cp-10, -0x1.8120ac69c3127p-10, -0x1.7551fdfff755p-10, -0x1.69db65f1d72cfp-10, -0x1.5eba4377c588dp-10, -0x1.53ec061461e23p-10, -0x1.496e2716da7cap-10, -0x1.3f3e1f4bbf81dp-10, -0x1.35596c1e3a95bp-10, -0x1.2bbdab8d61b5ap-10, -0x1.2268c2569181ep-10, -0x1.1958f30b71452p-10, -0x1.108cd2b3e0423p-10, -0x1.08031dbeba0f2p-10, -0x1.ff750cc1233cp-11, -0x1.ef63343d7bb49p-11, -0x1.dfcd961841bb3p-11, -0x1.d0b120ba0ee71p-11, -0x1.c20b081637f7dp-11, -0x1.b3d8cda16435fp-11, -0x1.a61805778abd6p-11, -0x1.98c5ee1190129p-11, -0x1.8bdf0f5813edap-11, -0x1.7f5f202245c16p-11, -0x1.734154df62b7ap-11, -0x1.6780fdcf7479ap-11, -0x1.5c1a2577ecd2p-11, -0x1.5109d7554da7bp-11, -0x1.464deef755f03p-11, -0x1.3be4a62eabd7cp-11, -0x1.31cc4019b2c8p-11, -0x1.28030129d25c1p-11, -0x1.1e87597166f21p-11, -0x1.15580c0094f0bp-11, -0x1.0c7434d51740fp-11, -0x1.03db25343cc8dp-11, -0x1.f7182ae314414p-12, -0x1.e70b6d0349551p-12, -0x1.d78b88ab86fe1p-12, -0x1.c891a3349a9f4p-12, -0x1.ba1509f4f0372p-12, -0x1.ac0c968d93e2ap-12, -0x1.9e705ec205fd7p-12, -0x1.913ac9baa2566p-12, -0x1.8468908841eb7p-12, -0x1.77f7f4bffd39dp-12, -0x1.6be7dbb609aep-12, -0x1.6037359d6b024p-12, -0x1.54e4ba96d7a25p-12, -0x1.49ef093fb3de7p-12, -0x1.3f5510332b972p-12, -0x1.35164234d5a65p-12, -0x1.2b323b43f7b36p-12, -0x1.21a81dd375c3fp-12, -0x1.1876067be2143p-12, -0x1.0f98a5d4025a8p-12, -0x1.070b1a46d6178p-12, -0x1.fd8e8e1204ec6p-13, -0x1.ed8d463c19f6p-13, -0x1.de06622114402p-13, -0x1.cef0da0b7cadcp-13, -0x1.c0480cf794a28p-13, -0x1.b20bc9ea70f75p-13, -0x1.a43e21434444ep-13, -0x1.96dff8fca860ap-13, -0x1.89ef32455d048p-13, -0x1.7d684dc8328a8p-13, -0x1.714952e607868p-13, -0x1.6592206296a65p-13, -0x1.5a425445f1ae5p-13, -0x1.4f57b510b97fbp-13, -0x1.44ce49552962ep-13, -0x1.3aa17f1015df1p-13, -0x1.30cd45ce9936bp-13, -0x1.274e18075031ep-13, -0x1.1e1feb7416b86p-13, -0x1.153cf07b148fep-13, -0x1.0c9d46033bc39p-13, -0x1.043901b4f0a2fp-13, -0x1.f818903f3073ep-14, -0x1.e83246c9058e6p-14, -0x1.d8c73c5d30356p-14, -0x1.c9d83b66ab5b4p-14, -0x1.bb5e3185323ccp-14, -0x1.ad5398ab22426p-14, -0x1.9fb8d1de7381ap-14, -0x1.928f28cb4b96fp-14, -0x1.85d3cf09dfb1ep-14, -0x1.797f8b1291d48p-14, -0x1.6d899fe38f72fp-14, -0x1.61eb5fab301dbp-14, -0x1.56a22be02cd0cp-14, -0x1.4baf040b2bf6bp-14, -0x1.4113f3e061434p-14, -0x1.36d0b940b4887p-14, -0x1.2ce04586f8b11p-14, -0x1.233792ae65e7ep-14, -0x1.19c8dcac72cf8p-14, -0x1.108e3942c5195p-14, -0x1.078e7a00c962fp-14, -0x1.fda1ab416680ap-15, -0x1.eca3dab5efab2p-15, -0x1.dc16e849e6915p-15, -0x1.cbfc640ebda36p-15, -0x1.bc5ab0a0b041p-15, -0x1.ad2da2d0cef09p-15, -0x1.9e685949f85cdp-15, -0x1.8ffefd5b2e722p-15, -0x1.81eb2aba2c959p-15, -0x1.742a61dd4252fp-15, -0x1.66bbd57e9e6adp-15, -0x1.59a0472cdd075p-15, -0x1.4cda98516c091p-15, -0x1.406e4aaf9a38ap-15, -0x1.345c1c42cf5dap-15, -0x1.289f5618ca0b6p-15, -0x1.1d2a402d586d8p-15, -0x1.11e9165a284dfp-15, -0x1.06d8edf8707d6p-15, -0x1.f815b8134d14ap-16, -0x1.e3015aac99ae8p-16, -0x1.ce596ebc73cb6p-16, -0x1.ba24614fd9477p-16, -0x1.a674e2cfd3a1ap-16, -0x1.9340005048893p-16, -0x1.80709fa83e7eap-16, -0x1.6dfc49dd663a5p-16, -0x1.5be16f2ba151ap-16, -0x1.4a20e0cc2829ep-16, -0x1.38ba8302fcb77p-16, -0x1.27ac9df890d85p-16, -0x1.16f4ee211cea8p-16, -0x1.0692de3d0c99bp-16, -0x1.ed11bc1eb30f7p-17, -0x1.cdb459fcb819fp-17, -0x1.af0c87708147cp-17, -0x1.910c9293af09dp-17, -0x1.739b01f627043p-17, -0x1.56a36c7b331b6p-17, -0x1.3a34548eebfe1p-17, -0x1.1e558824719a9p-17, -0x1.02e9a0840a9eap-17, -0x1.d00a37d35d9adp-18, -0x1.9b7ecd599d6c5p-18, -0x1.67ff1624dea69p-18, -0x1.3562ed5dc644bp-18, -0x1.03a5ef04b5c16p-18, -0x1.a5995916666b3p-19, -0x1.45b1fd4c23462p-19, -0x1.cf26dc6a605cp-20, -0x1.16706bbd9a37bp-20, -0x1.84c6b775d2a0bp-22, 0x1.429da40d77d4dp-22, 0x1.fe54ccd14ef11p-21, 0x1.aa5c0115f7b74p-20, 0x1.291a479fb9ab7p-19, 0x1.7b531b0a39e7cp-19, 0x1.cbdd761c15b7fp-19, 0x1.0d708adb75ff7p-18, 0x1.342ba2a3ef8f3p-18, 0x1.5a16272540c1dp-18, 0x1.7f5755b84fbcp-18, 0x1.a3e86a2b97814p-18, 0x1.c7b6e63474dbep-18, 0x1.eab8b469cd4b4p-18, 0x1.06813186924c3p-17, 0x1.17500d015ba5ep-17, 0x1.27c7d65000acep-17, 0x1.37e75a503748bp-17, 0x1.47aea3bd22bf6p-17, 0x1.571e64a393a36p-17, 0x1.663773d0887afp-17, 0x1.74fa8f5a89f6dp-17, 0x1.83685a9031b65p-17, 0x1.918183a002a88p-17, 0x1.9f46de569ba41p-17, 0x1.acb9505270476p-17, 0x1.b9d9bfec41abfp-17, 0x1.c6a87a4ac2defp-17, 0x1.d322ef315d12dp-17, 0x1.df496a02eab76p-17, 0x1.eb23029b41f43p-17, 0x1.f6adb06a9aae4p-17, 0x1.00f3b6f288e2ep-16, 0x1.0668c4ffbff85p-16, 0x1.0bb879e23f22cp-16, 0x1.10e1446e37badp-16, 0x1.15e2c4905c23fp-16, 0x1.1abed2c9ff48ep-16, 0x1.1f75717a37b3bp-16, 0x1.24068108b266p-16, 0x1.28722724b04fp-16, 0x1.2cb8a8df0f866p-16, 0x1.30da532b087c8p-16, 0x1.34d770b6ee0dp-16, 0x1.38b045839e2dp-16, 0x1.3c650fcc841c6p-16, 0x1.3ff60f783c31ep-16, 0x1.43638f4389d74p-16, 0x1.46ade46f3c55cp-16, 0x1.49d5697686567p-16, 0x1.4cda84dd00f76p-16, 0x1.4fbd26b479852p-16, 0x1.527c661a9bfcap-16, 0x1.5519ee9c2a607p-16, 0x1.579765988853dp-16, 0x1.59f3762765b95p-16, 0x1.5c2ce67b9fd4cp-16, 0x1.5e46014ba213fp-16, 0x1.6040047c91cc3p-16, 0x1.62193cd4ebd79p-16, 0x1.63d29c4926019p-16, 0x1.656cc0b005ce7p-16, 0x1.66e7c68d6a1b7p-16, 0x1.6843ebd8174f7p-16, 0x1.69818046810b6p-16, 0x1.6aa0d833f66fcp-16, 0x1.6ba248f38d78fp-16, 0x1.6c86275c0be6dp-16, 0x1.6d4cc6dc3516fp-16, 0x1.6df679b188805p-16, 0x1.6e83935936742p-16, 0x1.6ef46bdf14b2cp-16, 0x1.6f495f990261ap-16, 0x1.6f82c93cbcb3ap-16, 0x1.6fa1035963ff6p-16, 0x1.6fa474b70512ap-16, 0x1.6f8d25fafea7ep-16, 0x1.6f5b47feba58p-16, 0x1.6f104c78b2b7bp-16, 0x1.6eab7668abdefp-16, 0x1.6e2d663824d36p-16, 0x1.6d96e3d40a36ap-16, 0x1.6ce7c5ae0d5aep-16, 0x1.6c20dc11f2dc4p-16, 0x1.6b420e209e7b8p-16, 0x1.6a4bfd364fdfap-16, 0x1.693f16d40d55ap-16, 0x1.681ba2c8a1247p-16, 0x1.66e1fc1253e65p-16, 0x1.659282b5aa085p-16, 0x1.642d976ff3f04p-16, 0x1.62b39b18f8266p-16, 0x1.6124ee5fbf954p-16, 0x1.5f81f171a29ep-16, 0x1.5dcb03df38c22p-16, 0x1.5c008551e1766p-16, 0x1.5a22d6ecd2b26p-16, 0x1.58325bbdf8c19p-16, 0x1.562f766769f35p-16, 0x1.541a84a5b9762p-16, 0x1.51f3e4ab2a79p-16, 0x1.4fbc08a07b9bcp-16, 0x1.4d7327931ad67p-16, 0x1.4b19c3c9aba54p-16, 0x1.48b028a2a235ap-16, 0x1.4636b833080ecp-16, 0x1.43adf009c951ap-16, 0x1.411622b1ce04p-16, 0x1.3e6fc06a8321ap-16, 0x1.3bbb01c4b7e5ep-16, 0x1.38f83f2bbc00cp-16, 0x1.3627e8929e7bbp-16, 0x1.334a74c654733p-16, 0x1.30602f4d8b1c3p-16, 0x1.2d69721363e2fp-16, 0x1.2a669a7e55619p-16, 0x1.27580597a9b13p-16, 0x1.243e0fc705ae8p-16, 0x1.211914d643722p-16, 0x1.1de96fd806128p-16, 0x1.1aaf7b0090443p-16, 0x1.176b8fb20c39cp-16, 0x1.141e06f8de093p-16, 0x1.10c73a270fb72p-16, 0x1.0d6782b084ed6p-16, 0x1.09ff38a02fb89p-16, 0x1.068eaf738878cp-16, 0x1.031639e5e6271p-16, 0x1.ff2c7c37dd62dp-17, 0x1.f81e1b6fa78fp-17, 0x1.f101b08206435p-17, 0x1.e9d7fb003af63p-17, 0x1.e2a1f06e18f81p-17, 0x1.db60082be34cp-17, 0x1.d412d24415951p-17, 0x1.ccbaf2a7f0a63p-17, 0x1.c55920531e0f4p-17, 0x1.bdee0537e2e4fp-17, 0x1.b679d5df0db3dp-17, 0x1.aefd79caac416p-17, 0x1.a7799dba7a1e2p-17, 0x1.9feebc13bb308p-17, 0x1.985d6700a915ep-17, 0x1.90c63207f629cp-17, 0x1.8929ae81db4ebp-17, 0x1.81886badb030ap-17, 0x1.79e2f6ce8a15ap-17, 0x1.7239db2736e27p-17, 0x1.6a8da1d5c270bp-17, 0x1.62ded1d877bd9p-17, 0x1.5b2df07f672f2p-17, 0x1.537b8200ededbp-17, 0x1.4bc80971accabp-17, 0x1.441407daea089p-17, 0x1.3c5ff8f131887p-17, 0x1.34ac520790e28p-17, 0x1.2cf994621a2bdp-17, 0x1.2548631f554e8p-17, 0x1.1d98e1856a767p-17, 0x1.15eb814898c74p-17, 0x1.0e410b19723ecp-17, 0x1.0699c7cd11a12p-17, 0x1.fdec3e8ed007ep-18, 0x1.eeacf9ecb540ep-18, 0x1.df7694415f01bp-18, 0x1.d049e36638a1bp-18, 0x1.c127cefcf6a1ap-18, 0x1.b2112dd8d812cp-18, 0x1.a30635f993e61p-18, 0x1.940844fe24507p-18, 0x1.8517f427d31fep-18, 0x1.7635ed2dd03bbp-18, 0x1.6762e738665dap-18, 0x1.589f956986414p-18, 0x1.49eca67281267p-18, 0x1.3b4ac4f82c077p-18, 0x1.2cba97ab7ce3ap-18, 0x1.1e3cc14b25c39p-18, 0x1.0fd1e0971d6fep-18, 0x1.017a906c947d5p-18, 0x1.e66ed099333cfp-19, 0x1.ca11f93cdce2fp-19, 0x1.addfbd15315bcp-19, 0x1.91d936965f027p-19, 0x1.75ff7217cfc0ap-19, 0x1.5a536dc62496cp-19, 0x1.3ed639c4ca7adp-19, 0x1.238938b553e51p-19, 0x1.086c8560e5511p-19, 0x1.db02b2ea532bcp-20, 0x1.a59222db3c29bp-20, 0x1.70887a47dbd9bp-20, 0x1.3be768ede622ep-20, 0x1.07b09a214f603p-20, 0x1.a7cb4666c434dp-21, 0x1.41100dc393f3fp-21, 0x1.b6651062a27f3p-22, 0x1.d8d69a8e3643ep-23, 0x1.21cd133e08f4ap-25, -0x1.445b268a84747p-23, -0x1.66c3c58cba7a2p-22, -0x1.14c17b15c60cap-21, -0x1.7533a7c56c0ep-21, -0x1.d4b620cba9b6bp-21, -0x1.19a35a26841bdp-20, -0x1.4871a5937a3afp-20, -0x1.76c4f388349dp-20, -0x1.a49c50d54c826p-20, -0x1.d1f6d6375e791p-20, -0x1.fed3a81d89dcbp-20, -0x1.1598fb3a9bc77p-19, -0x1.2b887e1e9a29cp-19, -0x1.4137ff66be95cp-19, -0x1.56a726dc97372p-19, -0x1.6bd5a1914861p-19, -0x1.80c32280e0686p-19, -0x1.956f64a020eb7p-19, -0x1.a9da27f274c26p-19, -0x1.be03266168fb8p-19, -0x1.d1ea077eb13a2p-19, -0x1.e58eff175abe9p-19, -0x1.f8f1803aba25ep-19, -0x1.0608ba2437c98p-18, -0x1.0f775fefbd038p-18, -0x1.18c4a0a59351p-18, -0x1.21f06df1a7cccp-18, -0x1.2afabbe397ac6p-18, -0x1.33e38115beac9p-18, -0x1.3caab69401035p-18, -0x1.455056f2dfb72p-18, -0x1.4dd45ee3ac62bp-18, -0x1.5636ca256adb5p-18, -0x1.5e779d7e1b1ecp-18, -0x1.6696e0353d9cfp-18, -0x1.6e948d9f7da81p-18, -0x1.7670b1034c8c5p-18, -0x1.7e2b52f5b4aafp-18, -0x1.85c47dc804a49p-18, -0x1.8d3c3db0e2db6p-18, -0x1.9492a0b07d959p-18, -0x1.9bc7b686ebc55p-18, -0x1.a2db90a3ac27dp-18, -0x1.a9ce4220e5399p-18, -0x1.b09fdfbed5e17p-18, }}, 
      {{0x1.3c1ba22bd472fp-5, 0x1.5840b6fcc5f73p-5, 0x1.86205363a181dp-5, 0x1.c46e8ac1642dbp-5, 0x1.08d2065c8abe8p-4, 0x1.360ce28ae9a6p-4, 0x1.690e8a865611dp-4, 0x1.a0ff32dcd9cb3p-4, 0x1.dd0da7557cccep-4, 0x1.0e3958c52307fp-3, 0x1.2f39a9ec9e5f4p-3, 0x1.51311471f24f4p-3, 0x1.73d00afb89493p-3, 0x1.96ce3b72ec2ap-3, 0x1.b9ea7419b0991p-3, 0x1.dcea651f460acp-3, 0x1.ff9a4be145d7ep-3, 0x1.10e6476d307ebp-2, 0x1.21aca94a9c25cp-2, 0x1.320f05ab69fddp-2, 0x1.41fe87bb3642cp-2, 0x1.516e964ce539dp-2, 0x1.6054a0f4db247p-2, 0x1.6ea7efbbc3328p-2, 0x1.7c61761aaffc2p-2, 0x1.897ba8e7a463cp-2, 0x1.95f2579614df4p-2, 0x1.a1c2887256155p-2, 0x1.acea57b97eacep-2, 0x1.b768d97da82c8p-2, 0x1.c13dfe104fbdcp-2, 0x1.ca6a78c8b0a98p-2, 0x1.d2efa8f24f14fp-2, 0x1.dacf84bfcbf56p-2, 0x1.e20c8620ad23cp-2, 0x1.e8a99943fbb72p-2, 0x1.eeaa0cb18ba73p-2, 0x1.f41182d5c343p-2, 0x1.f8e3e4dcca289p-2, 0x1.fd2556c99f83bp-2, 0x1.006d165691197p-1, 0x1.02037070c3acep-1, 0x1.0358059ca1bbcp-1, 0x1.046d2c8640c6p-1, 0x1.05454309a5997p-1, 0x1.05e2aafe14fa7p-1, 0x1.0647c757cbd59p-1, 0x1.0676f999a522p-1, 0x1.06729f90b2473p-1, 0x1.063d11535a789p-1, 0x1.05d89f7ea9e56p-1, 0x1.054791acdec2ap-1, 0x1.048c2521197d3p-1, 0x1.03a88ba2ce2bfp-1, 0x1.029eea86aec2p-1, 0x1.017159de88107p-1, 0x1.0021e3d0632cfp-1, 0x1.fd650816d1d8fp-2, 0x1.fa4a4ec043ba9p-2, 0x1.f6f756da6ea54p-2, 0x1.f36fbcddbf651p-2, 0x1.efb6fe31a9ee2p-2, 0x1.ebd0792765ccfp-2, 0x1.e7bf6cf0e1b3p-2, 0x1.e386f9e0e8732p-2, 0x1.df2a219145fd1p-2, 0x1.daabc75597f32p-2, 0x1.d60eb08beb0f2p-2, 0x1.d15585328775cp-2, 0x1.cc82d062fbf67p-2, 0x1.c79900f601a6p-2, 0x1.c29a6a226f79ep-2, 0x1.bd8944215e191p-2, 0x1.b867ace2246eep-2, 0x1.b337a8afbebdap-2, 0x1.adfb22eb341adp-2, 0x1.a8b3eebd817bbp-2, 0x1.a363c7d6bc2cep-2, 0x1.9e0c532ee9e48p-2, 0x1.98af1fc7f4816p-2, 0x1.934da76f8fb73p-2, 0x1.8de94f7c3320bp-2, 0x1.888369874d98ep-2, 0x1.831d3424e0e96p-2, 0x1.7db7db99749f9p-2, 0x1.78547a8ecae64p-2, 0x1.72f41ac618fabp-2, 0x1.6d97b5c63848ep-2, 0x1.6840358478444p-2, 0x1.62ee7507cc5e4p-2, 0x1.5da34106e73f5p-2, 0x1.585f58826a5d8p-2, 0x1.53236d5c9ee4cp-2, 0x1.4df024ee564e6p-2, 0x1.48c618996fff9p-2, 0x1.43a5d6579593cp-2, 0x1.3e8fe143f832cp-2, 0x1.3984b21f07828p-2, 0x1.3484b7cc075f4p-2, 0x1.2f9057c8c8f6dp-2, 0x1.2aa7eea072928p-2, 0x1.25cbd05a706a6p-2, 0x1.20fc48e6a5c84p-2, 0x1.1c399c87634dap-2, 0x1.178408393a8b3p-2, 0x1.12dbc218688dap-2, 0x1.0e40f9c2fd396p-2, 0x1.09b3d8b711bd2p-2, 0x1.053482ac90c29p-2, 0x1.00c315e9ecc2ap-2, 0x1.f8bf5728eb737p-3, 0x1.f014aff71eb9fp-3, 0x1.e78655c0e0731p-3, 0x1.df145f7495e8cp-3, 0x1.d6bedbf0bfb75p-3, 0x1.ce85d282556eep-3, 0x1.c669435f92d05p-3, 0x1.be69281f1fc5ap-3, 0x1.b685742b219e6p-3, 0x1.aebe152f5624p-3, 0x1.a712f3827375fp-3, 0x1.9f83f28a0c09ap-3, 0x1.9810f11847c4fp-3, 0x1.90b9c9c4205c4p-3, 0x1.897e533bd8d31p-3, 0x1.825e6091c0d6p-3, 0x1.7b59c18496944p-3, 0x1.747042c35cep-3, 0x1.6da1ae2d1e175p-3, 0x1.66edcb0dda40bp-3, 0x1.60545e58656c8p-3, 0x1.59d52add32d5fp-3, 0x1.536ff17f1c90bp-3, 0x1.4d247165d18fdp-3, 0x1.46f2682d3afa2p-3, 0x1.40d99212c9d06p-3, 0x1.3ad9aa208a969p-3, 0x1.34f26a55196cep-3, 0x1.2f238bc8fe0dap-3, 0x1.296cc6d1e9f44p-3, 0x1.23cdd3233ebf1p-3, 0x1.1e4667ec10b12p-3, 0x1.18d63bf2bc336p-3, 0x1.137d05aea6803p-3, 0x1.0e3a7b5fcee15p-3, 0x1.090e53245f1d2p-3, 0x1.03f8430d7de56p-3, 0x1.fdf00263e733ap-4, 0x1.f41a877e74d82p-4, 0x1.ea6f82134912bp-4, 0x1.e0ee5f373ea82p-4, 0x1.d7968c87462bap-4, 0x1.ce677841ed7dfp-4, 0x1.c560915f75dd2p-4, 0x1.bc8147a845802p-4, 0x1.b3c90bc9328fdp-4, 0x1.ab374f65fdb0dp-4, 0x1.a2cb852a75815p-4, 0x1.9a8520da1e193p-4, 0x1.9263975e170edp-4, 0x1.8a665ed184f73p-4, 0x1.828cee8cc2d0bp-4, 0x1.7ad6bf2f5041ap-4, 0x1.73434aa875d05p-4, 0x1.6bd20c3eb5c4dp-4, 0x1.648280964c073p-4, 0x1.5d5425b6c45e6p-4, 0x1.56467b0f8a07dp-4, 0x1.4f59017b9ec06p-4, 0x1.488b3b44c7e08p-4, 0x1.41dcac26199f9p-4, 0x1.3b4cd94da0fbfp-4, 0x1.34db495d6cab5p-4, 0x1.2e87846c6e1bap-4, 0x1.28511407073e3p-4, 0x1.2237832ecfc59p-4, 0x1.1c3a5e59bb00fp-4, 0x1.1659337137bc5p-4, 0x1.109391d15d255p-4, 0x1.0ae90a4797cacp-4, 0x1.05592f10a05b1p-4, 0x1.ffc727ac726bep-5, 0x1.f50f9b5a5489p-5, 0x1.ea8ae62665f03p-5, 0x1.e03837d8fb96ap-5, 0x1.d616c3012caa6p-5, 0x1.cc25bceea8e73p-5, 0x1.c2645dabf92d8p-5, 0x1.b8d1dff8d6f8p-5, 0x1.af6d8143da94cp-5, 0x1.a63681a3731ccp-5, 0x1.9d2c23ce9f16bp-5, 0x1.944dad160bd6bp-5, 0x1.8b9a655d9e6bbp-5, 0x1.83119715ccb3p-5, 0x1.7ab28f343f766p-5, 0x1.727c9d2c028acp-5, 0x1.6a6f12e5fe785p-5, 0x1.628944ba28096p-5, 0x1.5aca8968e11b7p-5, 0x1.53323a13d5259p-5, 0x1.4bbfb236365b8p-5, 0x1.44724f9d093e4p-5, 0x1.3d49726015306p-5, 0x1.36447cdb5b175p-5, 0x1.2f62d3a86e151p-5, 0x1.28a3dd974850ap-5, 0x1.220703a6dfb54p-5, 0x1.1b8bb0fe0110ap-5, 0x1.153152e4b197ap-5, 0x1.0ef758bddf3c1p-5, 0x1.08dd3400f7acdp-5, 0x1.02e258333f4d1p-5, 0x1.fa0c75c1f9c8ap-6, 0x1.ee90a72da3481p-6, 0x1.e35037b6ce0c8p-6, 0x1.d84a1e52eb61ep-6, 0x1.cd7d55d3ccc4bp-6, 0x1.c2e8dcdb8af46p-6, 0x1.b88bb5d0042cp-6, 0x1.ae64e6ce54ba3p-6, 0x1.a473799ed8d0ep-6, 0x1.9ab67baa0a962p-6, 0x1.912cfdedcbdeep-6, 0x1.87d614f27c8bcp-6, 0x1.7eb0d8bf87accp-6, 0x1.75bc64cfbbdf7p-6, 0x1.6cf7d8060d395p-6, 0x1.646254a3169adp-6, 0x1.5bfb003b302f8p-6, 0x1.53c103ac7cc95p-6, 0x1.4bb38b148cf99p-6, 0x1.43d1c5c5afd57p-6, 0x1.3c1ae63c830f4p-6, 0x1.348e2215ff9d1p-6, 0x1.2d2ab20616a11p-6, 0x1.25efd1ce70cd1p-6, 0x1.1edcc034f9b2ep-6, 0x1.17f0befa40dcbp-6, 0x1.112b12cfdb992p-6, 0x1.0a8b034f02978p-6, 0x1.040fdaef985e2p-6, 0x1.fb71cdfed5b7bp-7, 0x1.ef0aef32e2eb4p-7, 0x1.e2e9bf39e2148p-7, 0x1.d70ce949485ecp-7, 0x1.cb731dfc0bd26p-7, 0x1.c01b1341d3943p-7, 0x1.b503844e34cfdp-7, 0x1.aa2b318835ff8p-7, 0x1.9f90e079b60f5p-7, 0x1.95335bbedd595p-7, 0x1.8b1172f5f126ap-7, 0x1.8129faaf624c2p-7, 0x1.777bcc5e38aaap-7, 0x1.6e05c6488cc13p-7, 0x1.64c6cb77f7666p-7, 0x1.5bbdc3a9eafc2p-7, 0x1.52e99b403c7dbp-7, 0x1.4a494331f183bp-7, 0x1.41dbb0fc7a3a6p-7, 0x1.399fde9533f6ap-7, 0x1.3194ca5ae3c51p-7, 0x1.29b977073773p-7, 0x1.220ceba019f9dp-7, 0x1.1a8e33691cbeep-7, 0x1.133c5dd52388fp-7, 0x1.0c167e786a401p-7, 0x1.051bacfad4247p-7, 0x1.fc960a14e4f0dp-8, 0x1.ef474c9bc9367p-8, 0x1.e24968adc3defp-8, 0x1.d59aad28ca5ddp-8, 0x1.c939708a75ec2p-8, 0x1.bd2410d5510a9p-8, 0x1.b158f376bd498p-8, 0x1.a5d6852d60be2p-8, 0x1.9a9b39efd50bep-8, 0x1.8fa58cd35e081p-8, 0x1.84f3fff29a743p-8, 0x1.7a851c543307cp-8, 0x1.705771d1bd8cbp-8, 0x1.666996fef3dd6p-8, 0x1.5cba29112eb7fp-8, 0x1.5347cbc76e27p-8, 0x1.4a1129526e94cp-8, 0x1.4114f23d067dp-8, 0x1.3851dd54aaaf1p-8, 0x1.2fc6a7921bf02p-8, 0x1.277214024e097p-8, 0x1.1f52ebaf8721ep-8, 0x1.1767fd8ab3ba5p-8, 0x1.0fb01e54e2a26p-8, 0x1.082a2888db624p-8, 0x1.00d4fc44d1eaep-8, 0x1.f35efe6887dc8p-9, 0x1.e57138f46f381p-9, 0x1.d7de8937ddcb8p-9, 0x1.caa4dad806f13p-9, 0x1.bdc223ebc204bp-9, 0x1.b13464d2c15a5p-9, 0x1.a4f9a80c8aba2p-9, 0x1.9910020f381f4p-9, 0x1.8d75911e1c51ap-9, 0x1.82287d1f269dbp-9, 0x1.7726f773a34d1p-9, 0x1.6c6f3ad03715dp-9, 0x1.61ff8b163b82bp-9, 0x1.57d6353018f8p-9, 0x1.4df18eed3381ap-9, 0x1.444ff6de107d4p-9, 0x1.3aefd42f8be2ep-9, 0x1.31cf96850588p-9, 0x1.28edb5d1b9965p-9, 0x1.2048b232039f2p-9, 0x1.17df13c5d08bap-9, 0x1.0faf6a8d0aa5bp-9, 0x1.07b84e4680a1ep-9, 0x1.fff0bca1d3517p-10, 0x1.f0dc831977d4fp-10, 0x1.e2314c7b914fp-10, 0x1.d3ec83d5cd24ep-10, 0x1.c60ba277160c3p-10, 0x1.b88c2fa69c3d4p-10, 0x1.ab6bc05a141afp-10, 0x1.9ea7f6ee8c03cp-10, 0x1.923e82e739fa1p-10, 0x1.862d20b43e0e2p-10, 0x1.7a719980cf0c2p-10, 0x1.6f09c305a368p-10, 0x1.63f37f5abc892p-10, 0x1.592cbcc416ea8p-10, 0x1.4eb37575c7da2p-10, 0x1.4485af4f1cc0dp-10, 0x1.3aa17b907fb89p-10, 0x1.3104f690de08ap-10, 0x1.27ae4779ec2ap-10, 0x1.1e9ba01088c5dp-10, 0x1.15cb3c8a8d13dp-10, 0x1.0d3b63708aa94p-10, 0x1.04ea65853d1fap-10, 0x1.f9ad3b55cafb1p-11, 0x1.e9fce17cb8111p-11, 0x1.dac09ac592befp-11, 0x1.cbf5577b7d647p-11, 0x1.bd981a50562afp-11, 0x1.afa5f7b98b024p-11, 0x1.a21c155d5f944p-11, 0x1.94f7a9a0db078p-11, 0x1.8835fb5fb9edbp-11, 0x1.7bd461cb30094p-11, 0x1.6fd044613b5a6p-11, 0x1.64271ae7934f4p-11, 0x1.58d66d545704dp-11, 0x1.4ddbd393c1b2fp-11, 0x1.4334f5224d414p-11, 0x1.38df887fc3441p-11, 0x1.2ed9528a5e99fp-11, 0x1.252025d88b80fp-11, 0x1.1bb1e22ab5aaep-11, 0x1.128c73f6ad418p-11, 0x1.09add44bd80f7p-11, 0x1.011408b8dbd64p-11, 0x1.f17a469ece103p-12, 0x1.e14e85716218fp-12, 0x1.d1a1245360c79p-12, 0x1.c26e927cb0503p-12, 0x1.b3b3576eb872ap-12, 0x1.a56c123a02e4bp-12, 0x1.97957898506d4p-12, 0x1.8a2c55ec78156p-12, 0x1.7d2d8a433e7f9p-12, 0x1.7096097966dcbp-12, 0x1.6462daa57e4a1p-12, 0x1.589117c9c215dp-12, 0x1.4d1dedb2536eap-12, 0x1.42069bce7ae99p-12, 0x1.374873e390624p-12, 0x1.2ce0d99b6cb1dp-12, 0x1.22cd4216dbf79p-12, 0x1.190b33b3838f3p-12, 0x1.0f98460dbe8bbp-12, 0x1.06722212299b5p-12, 0x1.fb2d03b7be8b2p-13, 0x1.ea066067e3f07p-13, 0x1.d96c0f894c428p-13, 0x1.c959e482d3f54p-13, 0x1.b9cbcf882f484p-13, 0x1.aabddcc5b18d5p-13, 0x1.9c2c338367426p-13, 0x1.8e1314b1699e5p-13, 0x1.806ed8d74434cp-13, 0x1.733bee21623ecp-13, 0x1.6676d7a95f9efp-13, 0x1.5a1c2e9330a0bp-13, 0x1.4e28a48c00e43p-13, 0x1.4299064becc6ep-13, 0x1.376a3ca93899bp-13, 0x1.2c994bb74f971p-13, 0x1.22235090507b9p-13, 0x1.18057f1591f86p-13, 0x1.0e3d208e2b79cp-13, 0x1.04c792fe98cdep-13, 0x1.f7449074a8202p-14, 0x1.e59587800e577p-14, 0x1.d47d2f00ce0bfp-14, 0x1.c3f6c1d6bf153p-14, 0x1.b3fd8fde7d713p-14, 0x1.a48d01644e84ep-14, 0x1.95a09e4f1e703p-14, 0x1.8734150e4536cp-14, 0x1.79433db78fb85p-14, 0x1.6bca189f69431p-14, 0x1.5ec4cad5d3714p-14, 0x1.522f9be7bf2d2p-14, 0x1.4606f62d817c7p-14, 0x1.3a4767cada8c8p-14, 0x1.2eeda1027c05ap-14, 0x1.23f66e3ae2d44p-14, 0x1.195eaf94449f8p-14, 0x1.0f23521bbec4bp-14, 0x1.05414d9f4329p-14, 0x1.f76b4e4c5eb9ap-15, 0x1.e4faeb240059bp-15, 0x1.d32bcb01f5f41p-15, 0x1.c1f874d5af766p-15, 0x1.b15b995cedbdep-15, 0x1.a1500d59cccc9p-15, 0x1.91d0c9ea14c62p-15, 0x1.82d8f8489be6ap-15, 0x1.7464042f06566p-15, 0x1.666da6868ff42p-15, 0x1.58f1dbee79618p-15, 0x1.4becc95d11b93p-15, 0x1.3f5aa07a4c403p-15, 0x1.333795cc73a65p-15, 0x1.277feafccb528p-15, 0x1.1c2ffef6d835cp-15, 0x1.11445449edec6p-15, 0x1.06b98ae451008p-15, 0x1.f918a9b63e14dp-16, 0x1.e572daef3da44p-16, 0x1.d27b28a8a32ep-16, 0x1.c02b1bee8ce0ep-16, 0x1.ae7c5dc483d9fp-16, 0x1.9d68e724a1664p-16, 0x1.8ceb364fffbp-16, 0x1.7cfe5ff566768p-16, 0x1.6d9de46160176p-16, 0x1.5ec562d20bbb9p-16, 0x1.507065574964ep-16, 0x1.429a68308ed6ap-16, 0x1.353f07304485ap-16, 0x1.285a1f283c9dep-16, 0x1.1be7ca81a8a83p-16, 0x1.0fe4472d022b9p-16, 0x1.044bdc9ffb601p-16, 0x1.f2359714da28ep-17, 0x1.dc9a930d4135p-17, 0x1.c7bf12299c9dbp-17, 0x1.b39b95a66909bp-17, 0x1.a028ea44f296dp-17, 0x1.8d6062097222dp-17, 0x1.7b3c00f66c19p-17, 0x1.69b66f84d8dp-17, 0x1.58caaae1b4b24p-17, 0x1.4873b46dbf10dp-17, 0x1.38ac872211575p-17, 0x1.2970458a6ab4bp-17, 0x1.1aba55d6397dbp-17, 0x1.0c864f75fed99p-17, 0x1.fd9fcf6bd48a1p-18, 0x1.e325eebe2ab1fp-18, 0x1.c996ecf463579p-18, 0x1.b0eabaddd4b6ap-18, 0x1.99191fda4d243p-18, 0x1.8219e0e601e96p-18, 0x1.6be519f7947c3p-18, 0x1.567376500d91bp-18, 0x1.41be1d35e0546p-18, 0x1.2dbe7dd838967p-18, 0x1.1a6e39ac67453p-18, 0x1.07c72f00d7c09p-18, 0x1.eb87107ee7378p-19, 0x1.c8bbb35029a43p-19, 0x1.a7228161f3402p-19, 0x1.86b27ca20944dp-19, 0x1.67629d72d5ce4p-19, 0x1.49297b85f78cap-19, 0x1.2bfdcb559d21fp-19, 0x1.0fd6bd02bb93ap-19, 0x1.e95798e2b6bf7p-20, 0x1.b4e92083f2492p-20, 0x1.82518c70cddfcp-20, 0x1.5180e84bf2c92p-20, 0x1.2268225814e68p-20, 0x1.e9f2c6292c27p-21, 0x1.9250022b56915p-21, 0x1.3dcf499fcd41ep-21, 0x1.d8ac94b93a2b7p-22, 0x1.3b91feb905b27p-22, 0x1.483050b99100bp-23, 0x1.20dde84c1b163p-26, -0x1.eada08f8d4718p-24, -0x1.02574a1d0cfep-22, -0x1.84f50023c626p-22, -0x1.0159dce7e8c97p-21, -0x1.3ddccfc51fde4p-21, -0x1.7815e92a45eebp-21, -0x1.b0175d5bb14e1p-21, -0x1.e5f317bb86c7ep-21, -0x1.0cdcf2be206dap-20, -0x1.25bd7a5df4b4cp-20, -0x1.3da223782febep-20, -0x1.5491c6e8809cbp-20, -0x1.6a933c8f7b066p-20, -0x1.7fad09dd5d54dp-20, -0x1.93e5114430e1fp-20, -0x1.a740fe86b4943p-20, -0x1.b9c7327a16716p-20, -0x1.cb7ed870a92d4p-20, -0x1.dc6f0d5226d3dp-20, -0x1.ec9e27616a0fep-20, -0x1.fc10d5424f034p-20, -0x1.05652ba585be8p-19, -0x1.0c6755dd41661p-19, -0x1.131185594e4c6p-19, -0x1.19662b20a6902p-19, -0x1.1f677e6002222p-19, -0x1.2517c596f8af8p-19, -0x1.2a79336b1b306p-19, -0x1.2f8dc78c34bccp-19, -0x1.34575870f5949p-19, -0x1.38d7a53529dc3p-19, -0x1.3d10681a3e7c7p-19, -0x1.410364026a24ep-19, -0x1.44b25a840a7f6p-19, -0x1.481eea3fc335cp-19, -0x1.4b4a7edacc4e4p-19, -0x1.4e3682db7f979p-19, -0x1.50e4aed223244p-19, -0x1.5356faed41b3p-19, -0x1.558f3069cd44cp-19, -0x1.578ea05afc084p-19, -0x1.59563aa971c1ap-19, -0x1.5ae7253d1d0f9p-19, -0x1.5c42f27c79f6ap-19, -0x1.5d6af154d1b55p-19, -0x1.5e60412408bbdp-19, -0x1.5f2422bc84085p-19, -0x1.5fb7cc1aa7238p-19, -0x1.601c5f97f0f17p-19, -0x1.6052faac2a6b6p-19, -0x1.605cb7e9c7dc8p-19, -0x1.603aaa4561db4p-19, -0x1.5feddabf65ef3p-19, -0x1.5f774b95c9e9dp-19, -0x1.5ed7fca19fad1p-19, -0x1.5e10e985ed18fp-19, -0x1.5d23044774f8cp-19, -0x1.5c0f3984cf99fp-19, -0x1.5ad6800cf1b81p-19, -0x1.5979e0b779a7fp-19, -0x1.57fa5fd07bd38p-19, -0x1.5658c9b0406f2p-19, -0x1.5495dd0fa19f6p-19, -0x1.52b2901289e52p-19, -0x1.50afc95318b7dp-19, -0x1.4e8e590ee426bp-19, -0x1.4c4f0034a40aep-19, -0x1.49f28f8fe56b7p-19, -0x1.4779d324405ffp-19, -0x1.44e58dcf8cf23p-19, -0x1.4236823eadc31p-19, -0x1.3f6d7400a6376p-19, -0x1.3c8b2554e57c7p-19, -0x1.399054876012bp-19, -0x1.367dba2cc4724p-19, -0x1.33540961153aap-19, -0x1.3013f24e2277ap-19, -0x1.2cbe24ea970e2p-19, -0x1.295351a2031dep-19, -0x1.25d428aebcc48p-19, -0x1.22415994907c3p-19, -0x1.1e9b8d5c4749dp-19, -0x1.1ae366e47ffb9p-19, -0x1.17198c6e9a576p-19, -0x1.133e9ccac5aecp-19, -0x1.0f5338abd476dp-19, -0x1.0b580596b9f3bp-19, -0x1.074da4d470bc7p-19, -0x1.0334a85cf4706p-19, -0x1.fe1b494aeba27p-20, -0x1.f5b2659564483p-20, -0x1.ed2fcae3de4aep-20, -0x1.e4949b0c4e9a3p-20, -0x1.dbe1f6e315f49p-20, -0x1.d318fd4cc5a93p-20, -0x1.ca3aca0a0a8a5p-20, -0x1.c148745194ad8p-20, -0x1.b8430dd5ac5ffp-20, -0x1.af2ba2b39ac94p-20, -0x1.a6033adc04ef4p-20, -0x1.9ccadc3d24899p-20, -0x1.93838b85e52d1p-20, -0x1.8a2e4ac15f92cp-20, -0x1.80cc18afaad6fp-20, -0x1.775dee76e61d2p-20, -0x1.6de4bb402d23ap-20, -0x1.6461741b4ba61p-20, -0x1.5ad50d29d3494p-20, -0x1.51406c6f5bb18p-20, -0x1.47a474326c029p-20, -0x1.3e0212b22f78dp-20, -0x1.345a2d1e33deep-20, -0x1.2aad952de39d8p-20, -0x1.20fd2789e771ap-20, -0x1.1749bbc0ee26fp-20, -0x1.0d94234cce41p-20, -0x1.03dd2d21c7e32p-20, -0x1.f44b4b0052aa6p-21, -0x1.e0dcab6483d7ap-21, -0x1.cd700783dbde4p-21, -0x1.ba06e4393422ep-21, -0x1.a6a2beb08adc7p-21, -0x1.93450c4ae3159p-21, -0x1.7fef3b7e6f1cap-21, -0x1.6ca2b51d258a3p-21, -0x1.5960dc7572146p-21, -0x1.462b0dea7c2f7p-21, -0x1.33029dcb6983ep-21, -0x1.1fe8da1346a9cp-21, -0x1.0cdf093940872p-21, -0x1.f3ccdb401e972p-22, -0x1.ce0094ccfeeaap-22, -0x1.a85b8fc3383afp-22, -0x1.82e02a6a3723fp-22, -0x1.5d90bd9bcd40dp-22, -0x1.386f819b9af02p-22, -0x1.137eb384014f2p-22, -0x1.dd80df03894fp-23, -0x1.946dac0edb8bep-23, -0x1.4bc7efae156f8p-23, -0x1.0393ac50524c3p-23, -0x1.77a99949b8fb7p-24, -0x1.d23c815b6187cp-25, -0x1.6e32e40dec94ap-26, 0x1.881e2365557e4p-27, 0x1.79185b2409499p-25, 0x1.4705a85d68a83p-24, 0x1.d0698c21eaf18p-24, 0x1.2c58b04790db5p-23, 0x1.6feb6cf8f3656p-23, 0x1.b2e9ec3f38ca9p-23, 0x1.f5513673ca9bep-23, 0x1.1b8f37d75b4e1p-22, 0x1.3c276b41e05f2p-22, 0x1.5c6fdcccc2379p-22, 0x1.7c673f914ad1ap-22, 0x1.9c0c4e41b923p-22, 0x1.bb5dd4e33a598p-22, 0x1.da5aab444c24p-22, 0x1.f901b2415cc03p-22, 0x1.0ba8ea5b56f74p-21, 0x1.1aa502be96f8cp-21, 0x1.2974a4585397p-21, 0x1.3817557f2e4ddp-21, 0x1.468ca0bdc088bp-21, 0x1.54d4157987fa6p-21, 0x1.62ed4a0c4d826p-21, 0x1.70d7d946bae3fp-21, 0x1.7e9362c1dabcp-21, 0x1.8c1f8b0a90bb6p-21, 0x1.997bfb8d1a7ap-21, 0x1.a6a8628bf654cp-21, 0x1.b3a47322c3ea6p-21, 0x1.c06fe54f15fccp-21, 0x1.cd0a75dcf1997p-21, 0x1.d973e627eb2acp-21, 0x1.e5abfbc77756fp-21, 0x1.f1b28094899dfp-21, 0x1.fd87430df90bbp-21, 0x1.04950b6a083b6p-20, 0x1.0a4d6a1b1c86ep-20, 0x1.0fecab0d77954p-20, 0x1.1572bdcddbdeep-20, 0x1.1adf94c58dd9cp-20, 0x1.203323c8689ep-20, 0x1.256d6035635f9p-20, 0x1.2a8e427f1fd59p-20, 0x1.2f95c4e45d184p-20, 0x1.3483e2fd80f94p-20, 0x1.395899ead19a5p-20, 0x1.3e13e8f8e0488p-20, 0x1.42b5d28d9c6d7p-20, 0x1.473e58e48b3bcp-20, 0x1.4bad808ce3fa9p-20, 0x1.5003504688995p-20, 0x1.543fd03867b1fp-20, 0x1.58630a211b7a3p-20, 0x1.5c6d095a88b5fp-20, 0x1.605ddad1ad8ddp-20, 0x1.64358cfe73d9fp-20, 0x1.67f42fde7b344p-20, 0x1.6b99d4f140602p-20, 0x1.6f268f293645bp-20, 0x1.729a72e214dbfp-20, 0x1.75f595c8c1072p-20, 0x1.79380ed7a6bb1p-20, 0x1.7c61f65d31baap-20, 0x1.7f73661a9a6c7p-20, 0x1.826c794765acap-20, 0x1.854d4c0a1b09cp-20, 0x1.8815fb3e8850ap-20, 0x1.8ac6a604f35bdp-20, 0x1.8d5f6c148d931p-20, 0x1.8fe06d8dc5d68p-20, 0x1.9249cc9a55b04p-20, 0x1.949bac330b266p-20, 0x1.96d63064a4e6p-20, 0x1.98f97e337c152p-20, 0x1.9b05bb63e6e4ep-20, 0x1.9cfb0e9a3a61cp-20, 0x1.9ed99f8541593p-20, 0x1.a0a1978ce8692p-20, 0x1.a2531f5a95d75p-20, 0x1.a3ee6170628dbp-20, 0x1.a57388fe848f5p-20, 0x1.a6e2c1e28098fp-20, 0x1.a83c38b8d3e32p-20, 0x1.a9801ad6fc833p-20, 0x1.aaae964427ebfp-20, 0x1.abc7d9b5afa63p-20, 0x1.accc14828e6ep-20, 0x1.adbb76a402c27p-20, 0x1.ae9630abf28ffp-20, 0x1.af5c73ba5f0bfp-20, 0x1.b00e71746aef2p-20, 0x1.b0ac5c024b92dp-20, 0x1.b136660ecfe27p-20, 0x1.b1acc2d148c8ep-20, 0x1.b20fa601d4bf2p-20, 0x1.b25f439d5f6ccp-20, 0x1.b29bcfd4efc68p-20, 0x1.b2c57fedb8351p-20, 0x1.b2dc88f7c20b3p-20, 0x1.b2e12042acb4fp-20, 0x1.b2d37bd192ffdp-20, 0x1.b2b3d1d1020f8p-20, 0x1.b28258afec8d4p-20, 0x1.b23f4728aff52p-20, 0x1.b1ead43ae7ee4p-20, 0x1.b1853708a3f93p-20, 0x1.b10ea6e55311p-20, 0x1.b0875b447d0ffp-20, 0x1.afef8c215da4cp-20, 0x1.af47713c753eap-20, 0x1.ae8f427ed3828p-20, 0x1.adc738188ff64p-20, 0x1.acef8a3e3af9ap-20, 0x1.ac087137778bbp-20, 0x1.ab12255adfd3fp-20, 0x1.aa0cdf0fe4c01p-20, 0x1.a8f8d6cfeac92p-20, 0x1.a7d64519b2624p-20, 0x1.a6a5627fa109dp-20, 0x1.a56667a0d9db9p-20, 0x1.a4198cf6f8a7ap-20, 0x1.a2bf0ab4efe7bp-20, 0x1.a15718b811963p-20, 0x1.9fe1eec901767p-20, 0x1.9e5fc4eef039p-20, 0x1.9cd0d37aa7999p-20, 0x1.9b3552b8cb7c7p-20, 0x1.998d7aa621dd1p-20, 0x1.97d982ea4382ap-20, 0x1.9619a3362620cp-20, 0x1.944e12aa18bb7p-20, 0x1.9277087225b31p-20, 0x1.9094bb931d75bp-20, 0x1.8ea762d6cdb66p-20, 0x1.8caf34d7bba27p-20, 0x1.8aac67fb5efccp-20, 0x1.889f32713939fp-20, 0x1.8687ca2f12d02p-20, 0x1.846664e5a0b2bp-20, 0x1.823b3808965b9p-20, 0x1.800678c60bb6ap-20, 0x1.7dc85c10915ecp-20, 0x1.7b811692c72a3p-20, 0x1.7930dc9c41793p-20, 0x1.76d7e24488902p-20, 0x1.74765b4f5f358p-20, 0x1.720c7b315e21ap-20, 0x1.6f9a750d6d352p-20, 0x1.6d207bb4ee215p-20, 0x1.6a9ec1a464f02p-20, 0x1.68157901bafd9p-20, 0x1.6584d39bbb887p-20, 0x1.62ed02e6f82e5p-20, }}, 
      {{-0x1.a00acb9fca876p-11, -0x1.99e7f1392acd8p-9, -0x1.c2f1b619e5db9p-8, -0x1.8594c8371aaf4p-7, -0x1.265077c868208p-6, -0x1.981358cb2fe85p-6, -0x1.0a6e7af3e8a16p-5, -0x1.4cccf7262c45ep-5, -0x1.91b6d41196bbep-5, -0x1.d7dee337dc565p-5, -0x1.0f0dcb0bc32fcp-4, -0x1.31b3c141d07dp-4, -0x1.53704c21c68e6p-4, -0x1.73e3373de382fp-4, -0x1.92bbfd89cc517p-4, -0x1.afb87be83007cp-4, -0x1.caa39112df62ep-4, -0x1.e353be4466f01p-4, -0x1.f9a9d3bafbe32p-4, -0x1.06c7d8b120664p-3, -0x1.0f7b8fe60081fp-3, -0x1.16ec61c0f8135p-3, -0x1.1d19957768cep-3, -0x1.2204fb037b62fp-3, -0x1.25b28b1f665dbp-3, -0x1.282812742f6eap-3, -0x1.296ce70e1ce49p-3, -0x1.2989a70cd237ep-3, -0x1.2887ff85d32ebp-3, -0x1.26727a976c9d9p-3, -0x1.235453a578b3ap-3, -0x1.1f3950d9e8a9cp-3, -0x1.1a2da124b0e27p-3, -0x1.143dbe22854d9p-3, -0x1.0d7651759ec8ap-3, -0x1.05e41d30240afp-3, -0x1.fb27ce10a5dc1p-4, -0x1.e924cc25eeaf2p-4, -0x1.d5d8658bde02fp-4, -0x1.c15b721abb96dp-4, -0x1.abc6587eecdc6p-4, -0x1.9530f97e92d6fp-4, -0x1.7db29e558c077p-4, -0x1.6561e9a409f05p-4, -0x1.4c54cb6b5d86cp-4, -0x1.32a07669da78cp-4, -0x1.18595878945e4p-4, -0x1.fb26284abd57cp-5, -0x1.c4c0f8a73758fp-5, -0x1.8da722fce7feap-5, -0x1.55faff9a12f42p-5, -0x1.1ddd3e7a747f1p-5, -0x1.cad9d2826b74dp-6, -0x1.598ecaa9cf861p-6, -0x1.d021f39ae2416p-7, -0x1.da5309ca98416p-8, -0x1.52dc56899ac77p-12, 0x1.ae72e604a954ep-8, 0x1.b7f0dd5aaa309p-7, 0x1.4b9f3a3260ba5p-6, 0x1.ba6b7079b7d3cp-6, 0x1.141d055b0ddedp-5, 0x1.4a754e0e1bfa7p-5, 0x1.802f950233e85p-5, 0x1.b53e0c601b02bp-5, 0x1.e9940bf6fc0d1p-5, 0x1.0e92fb022b349p-4, 0x1.27f4a24b875ebp-4, 0x1.40ea2abb140f4p-4, 0x1.596f47302f99cp-4, 0x1.71800db485057p-4, 0x1.89190a9f98eadp-4, 0x1.a0372643a1a31p-4, 0x1.b6d7ac4f098p-4, 0x1.ccf840c645e48p-4, 0x1.e296d9e5db1f8p-4, 0x1.f7b1bf9effe78p-4, 0x1.0623c0df9da68p-3, 0x1.102b7bea7af6ap-3, 0x1.19ef9d761754p-3, 0x1.236fd167e69eep-3, 0x1.2cabe14accb25p-3, 0x1.35a3b2a266c7cp-3, 0x1.3e57457e9e57cp-3, 0x1.46c6b3023804ep-3, 0x1.4ef22c089804ap-3, 0x1.56d9f7cf1cd87p-3, 0x1.5e7e72b4a380bp-3, 0x1.65e00cf69502bp-3, 0x1.6cff49796c111p-3, 0x1.73dcbc9c90886p-3, 0x1.7a790b06e31ddp-3, 0x1.80d4e878e4926p-3, 0x1.86f116a25a963p-3, 0x1.8cce63f5da589p-3, 0x1.926daa83d7ae8p-3, 0x1.97cfceda759a2p-3, 0x1.9cf5beec8ee13p-3, 0x1.a1e0710476fcap-3, 0x1.a690e2c018d89p-3, 0x1.ab08181900f1ep-3, 0x1.af471a78c6eccp-3, 0x1.b34ef7d7ab9bdp-3, 0x1.b720c1e6b00b1p-3, 0x1.babd8d46677fp-3, 0x1.be2670c82c828p-3, 0x1.c15c84bbcb6b8p-3, 0x1.c460e24a4ebd5p-3, 0x1.c734a2dc4ffeap-3, 0x1.c9d8df8d5a97fp-3, 0x1.cc4eb0abf64bap-3, 0x1.ce972d422e513p-3, 0x1.d0b36aab0120ep-3, 0x1.d2a47c2e9fa2ep-3, 0x1.d46b72a94c1e5p-3, 0x1.d6095c37f0d44p-3, 0x1.d77f43ea70e93p-3, 0x1.d8ce317f0b7a6p-3, 0x1.d9f729232fff9p-3, 0x1.dafb2b37d2ff9p-3, 0x1.dbdb3421b1a6cp-3, 0x1.dc983c1bf8b1cp-3, 0x1.dd33370f53e1dp-3, 0x1.ddad1476f50ep-3, 0x1.de06bf449c1e6p-3, 0x1.de411dc8d9d31p-3, 0x1.de5d11aa2d194p-3, 0x1.de5b77d7e592dp-3, 0x1.de3d287e95767p-3, 0x1.de02f70c8f358p-3, 0x1.ddadb230d149dp-3, 0x1.dd3e23d634ff2p-3, 0x1.dcb511303779fp-3, 0x1.dc133ac4fea84p-3, 0x1.db595c6cd38e4p-3, 0x1.da882d621024ap-3, 0x1.d9a06056268e4p-3, 0x1.d8a2a3778e6b7p-3, 0x1.d78fa0805584p-3, 0x1.d667fcd2ccff5p-3, 0x1.d52c598aaf859p-3, 0x1.d3dd538a8354p-3, 0x1.d27b8397aca52p-3, 0x1.d1077e7739b23p-3, 0x1.cf81d4fef1f5dp-3, 0x1.cdeb142b42147p-3, 0x1.cc43c540fb61cp-3, 0x1.ca8c6de75300cp-3, 0x1.c8c5903ab9aa9p-3, 0x1.c6efaae81cbe2p-3, 0x1.c50b394c64bffp-3, 0x1.c318b38bcba87p-3, 0x1.c1188ea7cef47p-3, 0x1.bf0b3c9b74313p-3, 0x1.bcf12c75b52ep-3, 0x1.bacaca6f01761p-3, 0x1.b89880021a496p-3, 0x1.b65ab4069a138p-3, 0x1.b411cac595986p-3, 0x1.b1be260dbf57cp-3, 0x1.af60254e0c0bp-3, 0x1.acf825ae9060ep-3, 0x1.aa868220368fdp-3, 0x1.a80b936d356dp-3, 0x1.a587b05356cb4p-3, 0x1.a2fb2d9dc71b5p-3, 0x1.a0665e324f098p-3, 0x1.9dc9931ab7769p-3, 0x1.9b251b9a34f3bp-3, 0x1.98794549ef27fp-3, 0x1.95c65c29342bdp-3, 0x1.930caa9ff721fp-3, 0x1.904c79889bfb6p-3, 0x1.8d86104ad8a62p-3, 0x1.8ab9b4f485977p-3, 0x1.87e7ac3dc9a44p-3, 0x1.851039852f3fap-3, 0x1.82339edcf3354p-3, 0x1.7f521d2817ea5p-3, 0x1.7c6bf42c63e0ep-3, 0x1.7981628d78c21p-3, 0x1.7692a5c61c9bep-3, 0x1.739ffa36e32cap-3, 0x1.70a99b4208e0ep-3, 0x1.6dafc3590e14p-3, 0x1.6ab2abf3d9ac3p-3, 0x1.67b28d86f29dp-3, 0x1.64af9f8eaf088p-3, 0x1.61aa18a8bbbe8p-3, 0x1.5ea22ea25e9d4p-3, 0x1.5b9816704bbcdp-3, 0x1.588c04209ede6p-3, 0x1.557e2ade02e78p-3, 0x1.526ebd054cddbp-3, 0x1.4f5dec37cc37dp-3, 0x1.4c4be958dc1a9p-3, 0x1.4938e47dc5faap-3, 0x1.46250ce6592c4p-3, 0x1.43109109c1fd2p-3, 0x1.3ffb9eab76867p-3, 0x1.3ce662e2f6318p-3, 0x1.39d10a10a5256p-3, 0x1.36bbbfce8669bp-3, 0x1.33a6aeef1b63ap-3, 0x1.3092018cd5adep-3, 0x1.2d7de11a7913p-3, 0x1.2a6a7664d7c1p-3, 0x1.2757e9860be69p-3, 0x1.244661d8b777bp-3, 0x1.213605f89efdbp-3, 0x1.1e26fbd0469a3p-3, 0x1.1b1968a642839p-3, 0x1.180d711e3c434p-3, 0x1.1503392e2456fp-3, 0x1.11fae412adbd3p-3, 0x1.0ef4944e06be5p-3, 0x1.0bf06bb1d4308p-3, 0x1.08ee8b6b28444p-3, 0x1.05ef140600339p-3, 0x1.02f2256660a39p-3, 0x1.ffefbd7bdc604p-4, 0x1.fa00bd0eb713fp-4, 0x1.f4178516d7deep-4, 0x1.ee344fd60e226p-4, 0x1.e857564bd3575p-4, 0x1.e280d0326d762p-4, 0x1.dcb0f3f0387ap-4, 0x1.d6e7f68a4a753p-4, 0x1.d1260ba32a97ap-4, 0x1.cb6b6586738a8p-4, 0x1.c5b835382137ap-4, 0x1.c00caa7c8271cp-4, 0x1.ba68f3d4a467p-4, 0x1.b4cd3e73fcc39p-4, 0x1.af39b637ed0edp-4, 0x1.a9ae85a7eb222p-4, 0x1.a42bd5fe45eb8p-4, 0x1.9eb1cf33d257ep-4, 0x1.99409807c07afp-4, 0x1.93d855ff693ecp-4, 0x1.8e792d60283e3p-4, 0x1.8923412942a3p-4, 0x1.83d6b312c8383p-4, 0x1.7e93a393297bfp-4, 0x1.795a31e83913dp-4, 0x1.742a7c1fcbf94p-4, 0x1.6f049f1bcdbe9p-4, 0x1.69e8b690fecc8p-4, 0x1.64d6dd02f8639p-4, 0x1.5fcf2bc18ad3ep-4, 0x1.5ad1baea98208p-4, 0x1.55dea170a8cd3p-4, 0x1.50f5f523925f6p-4, 0x1.4c17cab79b5f4p-4, 0x1.474435c8c2509p-4, 0x1.427b48da2e521p-4, 0x1.3dbd15541fe0ep-4, 0x1.3909ab837d9d9p-4, 0x1.34611a9d0bca1p-4, 0x1.2fc370c401712p-4, 0x1.2b30bb11cae92p-4, 0x1.26a9059c7c805p-4, 0x1.222c5b7a727a5p-4, 0x1.1dbac6c33e072p-4, 0x1.1954508f7ebc8p-4, 0x1.14f900f9d28aep-4, 0x1.10a8df2244ff7p-4, 0x1.0c63f1341b2acp-4, 0x1.082a3c6c8cabap-4, 0x1.03fbc520d5406p-4, 0x1.ffb11d8543c71p-5, 0x1.f78137c58accep-5, 0x1.ef67dc65d6a4bp-5, 0x1.e7650d0efa8d8p-5, 0x1.df78c9b58ffc3p-5, 0x1.d7a310a3443cbp-5, 0x1.cfe3de81f736ap-5, 0x1.c83b2e66d2ce6p-5, 0x1.c0a8f9dc31397p-5, 0x1.b92d38e9e4803p-5, 0x1.b1c7e21c10c8dp-5, 0x1.aa78ea896c2ccp-5, 0x1.a34045d989764p-5, 0x1.9c1de64c30bb1p-5, 0x1.9511bcc1db4afp-5, 0x1.8e1bb8c4ad93dp-5, 0x1.873bc8918ffc5p-5, 0x1.8071d92127b9bp-5, 0x1.79bdd630ef505p-5, 0x1.731faa4c51e4cp-5, 0x1.6c973ed578709p-5, 0x1.66247c0d5cd7ap-5, 0x1.5fc7491b0115bp-5, 0x1.597f8c11dfa21p-5, 0x1.534d29f7d9fep-5, 0x1.4d3006cb32e01p-5, 0x1.4728058984a49p-5, 0x1.41350838b2c05p-5, 0x1.3b56eff20289ap-5, 0x1.358d9cee8eeccp-5, 0x1.2fd8ee9348045p-5, 0x1.2a38c37a9e51bp-5, 0x1.24acf97a97a5bp-5, 0x1.1f356da7286dbp-5, 0x1.19d1fc522871p-5, 0x1.1482810b3d00cp-5, 0x1.0f46d6a2e1228p-5, 0x1.0a1ed732f5e6dp-5, 0x1.050a5c2d8fc4cp-5, 0x1.00093e7049e02p-5, 0x1.f636acb02a521p-6, 0x1.ec80f7a168761p-6, 0x1.e2f10cb7dd586p-6, 0x1.d9869a1dd2946p-6, 0x1.d0414d0eee70ep-6, 0x1.c720d1bc56994p-6, 0x1.be24d337974fcp-6, 0x1.b54cfb7369de8p-6, 0x1.ac98f3685c435p-6, 0x1.a408634c46c8ep-6, 0x1.9b9af2cfc8cf8p-6, 0x1.93504973be719p-6, 0x1.8b280ead4b437p-6, 0x1.8321e9e5f6798p-6, 0x1.7b3d826a4fd2ap-6, 0x1.737a7f226ffb4p-6, 0x1.6bd8863ca4afcp-6, 0x1.64573cee2655p-6, 0x1.5cf6475f3c889p-6, 0x1.55b548d1416b8p-6, 0x1.4e93e3fd80001p-6, 0x1.4791bb9997281p-6, 0x1.40ae72e0455a7p-6, 0x1.39e9adf83253ap-6, 0x1.33431217bd50ep-6, 0x1.2cba4555f1742p-6, 0x1.264eee319bf66p-6, 0x1.2000b2ec9fa5ap-6, 0x1.19cf38e74eb89p-6, 0x1.13ba242d9c98dp-6, 0x1.0dc1175f6f9e6p-6, 0x1.07e3b40618d0ap-6, 0x1.02219b4bcfbdap-6, 0x1.f8f4dddd25c82p-7, 0x1.eddba4687038p-7, 0x1.e2f6d5408035ep-7, 0x1.d845c06db07bbp-7, 0x1.cdc7ba64df363p-7, 0x1.c37c1a672ea14p-7, 0x1.b962382c614e5p-7, 0x1.af796962e03a1p-7, 0x1.a5c0ffa6dba7dp-7, 0x1.9c38478157d67p-7, 0x1.92de88ca4ea4ap-7, 0x1.89b3087964f6dp-7, 0x1.80b50b97194c2p-7, 0x1.77e3dab30adecp-7, 0x1.6f3ec51693fbcp-7, 0x1.66c522eab0178p-7, 0x1.5e7655b78dfp-7, 0x1.5651c6fc132a1p-7, 0x1.4e56e507954f7p-7, 0x1.46851eaae5ac7p-7, 0x1.3edbdea7c3412p-7, 0x1.375a87ebe32b5p-7, 0x1.300073908d5e6p-7, 0x1.28ccf14583e3bp-7, 0x1.21bf4a47d6ce8p-7, 0x1.1ad6c6693ed1cp-7, 0x1.1412b22420b27p-7, 0x1.0d72646a50723p-7, 0x1.06f542dad5b26p-7, 0x1.009ac35887f6fp-7, 0x1.f4c4d505688dfp-8, 0x1.e8978e3d315aap-8, 0x1.dcacd65bdca4p-8, 0x1.d103c825c1b1ap-8, 0x1.c59b66daf24c6p-8, 0x1.ba7294ed51a7fp-8, 0x1.af88124f2bbc5p-8, 0x1.a4da832a34e16p-8, 0x1.9a687da4d0ca4p-8, 0x1.90309b9e2dd6cp-8, 0x1.86318c8e8c134p-8, 0x1.7c6a2406a2997p-8, 0x1.72d9622bf85eep-8, 0x1.697e748dcb554p-8, 0x1.6058aead2a8e2p-8, 0x1.57677ad477212p-8, 0x1.4eaa459554bdcp-8, 0x1.4620682748538p-8, 0x1.3dc9170c460f9p-8, 0x1.35a359ca88c48p-8, 0x1.2dae0de5be41cp-8, 0x1.25e7f38514514p-8, 0x1.1e4fbf4c5d823p-8, 0x1.16e42c729822bp-8, 0x1.0fa40bffb3546p-8, 0x1.088e5082e7f6p-8, 0x1.01a2166a2734cp-8, 0x1.f5bd4fd84e09cp-9, 0x1.e886f3b31d4ffp-9, 0x1.dba03e13099b7p-9, 0x1.cf0866b4c60b9p-9, 0x1.c2be87ac2b42dp-9, 0x1.b6c1788be4a7dp-9, 0x1.ab0fc1dd81913p-9, 0x1.9fa7ab25a2075p-9, 0x1.948758a0a1ff3p-9, 0x1.89ace73050fb3p-9, 0x1.7f167949416d8p-9, 0x1.74c234ca1e72dp-9, 0x1.6aae3eb0d3fb2p-9, 0x1.60d8c45fbc20ap-9, 0x1.57401719c80b9p-9, 0x1.4de2cd08590bdp-9, 0x1.44bfd14c65d4fp-9, 0x1.3bd653acb4b8ep-9, 0x1.33259d19285c5p-9, 0x1.2aace17e4dd26p-9, 0x1.226b29a37127bp-9, 0x1.1a5f5eb2a3797p-9, 0x1.12886a5b42cb6p-9, 0x1.0ae552e008f68p-9, 0x1.03753eae413e9p-9, 0x1.f86eb25dfda53p-10, 0x1.ea5546818c849p-10, 0x1.dc9b8fb4fcf8p-10, 0x1.cf3e22c7e7ae5p-10, 0x1.c2391e44b6eaep-10, 0x1.b588bcd50421p-10, 0x1.a929e38d078e8p-10, 0x1.9d1a5ad0f3e6ep-10, 0x1.915899491aeep-10, 0x1.85e359d699377p-10, 0x1.7ab955718b083p-10, 0x1.6fd948ac2cb36p-10, 0x1.654223db927eep-10, 0x1.5af33006f515cp-10, 0x1.50ec0f246ad5p-10, 0x1.472c95c2fd785p-10, 0x1.3db47eb00e91dp-10, 0x1.3482fe14828d9p-10, 0x1.2b964f2f2335dp-10, 0x1.22eb7619640dfp-10, 0x1.1a7e756f47848p-10, 0x1.124b017fe92abp-10, 0x1.0a4d5ff251bfbp-10, 0x1.0282f9b97934bp-10, 0x1.f5d4bda4d48d4p-11, 0x1.e705c964a4e1dp-11, 0x1.d89874703f854p-11, 0x1.ca8c41aa1141cp-11, 0x1.bce092cfc344fp-11, 0x1.af94b8c334891p-11, 0x1.a2a853dc8d18dp-11, 0x1.961b8a805f00cp-11, 0x1.89eeb585b5d99p-11, 0x1.7e21bd4813db3p-11, 0x1.72b37780c4c6ap-11, 0x1.67a114af52a54p-11, 0x1.5ce5d23b1bc6bp-11, 0x1.527b4ff4029c1p-11, 0x1.485a85389cde2p-11, 0x1.3e7cec4bd301cp-11, 0x1.34dda2cae968dp-11, 0x1.2b7a5146b987ep-11, 0x1.225342d3a1ac6p-11, 0x1.196a28bf97913p-11, 0x1.10c012e953566p-11, 0x1.0854490541878p-11, 0x1.002539c42e4aap-11, 0x1.f0646b3a43219p-12, 0x1.e0f74fbb6e25ap-12, 0x1.d203c0d851782p-12, 0x1.c3883d98bcfabp-12, 0x1.b5811e6249a85p-12, 0x1.a7e9d614e2ecbp-12, 0x1.9abe3fd87f6a5p-12, 0x1.8dfab31f9d513p-12, 0x1.819ab9616a4afp-12, 0x1.7597750434e5cp-12, 0x1.69e7344d8030bp-12, 0x1.5e801fb25f84p-12, 0x1.535dbd9e9574dp-12, 0x1.488375254b0b7p-12, 0x1.3df75650deff8p-12, 0x1.33ba86e973568p-12, 0x1.29c8e706e268fp-12, 0x1.201f603e8f2fcp-12, 0x1.16bed01392327p-12, 0x1.0da8c380d77f5p-12, 0x1.04dc18d33347cp-12, 0x1.f8a9255b1be6cp-13, 0x1.e8194c26b0019p-13, 0x1.d8000f118c701p-13, 0x1.c85a8d8c2eab4p-13, 0x1.b92b3929c9237p-13, 0x1.aa761f0b4eaccp-13, 0x1.9c3bf11893bc1p-13, 0x1.8e7643ea082bp-13, 0x1.8115a6966376ap-13, 0x1.740655aae9c69p-13, 0x1.674031bf57e3dp-13, 0x1.5ace2862bca81p-13, 0x1.4ebbb134bd5cdp-13, 0x1.430467419340bp-13, 0x1.379f839cf0304p-13, 0x1.2c8ed8d63c2dep-13, 0x1.21d7fdde504fbp-13, 0x1.1778a5e128cc3p-13, 0x1.0d678bb07f894p-13, 0x1.039bc7dc8492ap-13, 0x1.f42108a661b64p-14, 0x1.e1880c99a3d3fp-14, 0x1.cf6c11277b7d4p-14, 0x1.bdcf4d40b2474p-14, 0x1.acb7a70c4b669p-14, 0x1.9c2c2f2625c59p-14, 0x1.8c2f76ddc1c43p-14, 0x1.7cbaf895b80a3p-14, 0x1.6db8673d4e624p-14, 0x1.5f05f2106c546p-14, 0x1.509e751d18826p-14, 0x1.42a042334e6d3p-14, 0x1.350f81c21cee8p-14, 0x1.27d4dc1beff36p-14, 0x1.1af66a466797ep-14, 0x1.0e859379d0b7fp-14, 0x1.027968a1f2bddp-14, 0x1.ed7e7df5a5b19p-15, 0x1.d69b4c7b05b03p-15, 0x1.c046af989ca62p-15, 0x1.aa82c5a62bbadp-15, 0x1.95500e46509c7p-15, 0x1.80abe561e5e1dp-15, 0x1.6c9274c5c16d7p-15, 0x1.5903287038022p-15, 0x1.4603956e720a5p-15, 0x1.339b349c08b64p-15, 0x1.21ca17d657338p-15, 0x1.1083be7403627p-15, 0x1.ff5df51796b07p-16, 0x1.de6c2d90d9593p-16, 0x1.be5024274c439p-16, 0x1.9f1bdaa50a321p-16, 0x1.80918dbaa812fp-16, 0x1.62dd252aa1dc7p-16, 0x1.4631b59096bb6p-16, 0x1.2a5a8888fbee5p-16, 0x1.0f2c6da211064p-16, 0x1.e944f6cf16da7p-17, 0x1.b58350a16fe05p-17, 0x1.83182e410df0dp-17, 0x1.52014ab9eed3p-17, 0x1.2238efe1e998bp-17, 0x1.e76de7187d788p-18, 0x1.8ce22875c8e4fp-18, 0x1.34bc72fc83c97p-18, 0x1.bdeee0941f535p-19, 0x1.173a25b4784fep-19, 0x1.d5f4c5ad2bd22p-21, -0x1.3af8040a2083fp-22, -0x1.80303f2016e21p-20, -0x1.5489b75d6c378p-19, -0x1.e453647ae7e96p-19, -0x1.38821dadeab6ap-18, -0x1.7d2e32f33a314p-18, -0x1.bfcdd4417270dp-18, -0x1.0016b152d65cdp-17, -0x1.1f5bcdef9bc91p-17, -0x1.3dd5edf9f29bdp-17, -0x1.5b7fb2674e784p-17, -0x1.785318b94417dp-17, -0x1.94509d38882b7p-17, -0x1.af7c35bfc01cp-17, -0x1.c9da993f6d7fdp-17, -0x1.e36fe8e14b9d4p-17, -0x1.fc3fa0e9eaad5p-17, -0x1.0a26bb291a6d7p-16, -0x1.15cf006b855p-16, -0x1.211b28a876233p-16, -0x1.2c0dc68e9ada6p-16, -0x1.36a7ba30bd12ep-16, -0x1.40e16b7bcaea3p-16, -0x1.4abb4f81c80ep-16, -0x1.544a1af27493fp-16, -0x1.5d87bf024f671p-16, -0x1.666df54afcdc3p-16, -0x1.6f0063f82e587p-16, -0x1.774dd8c5de70fp-16, -0x1.7f4c7b3e476b2p-16, -0x1.86f97dcce4e4ap-16, -0x1.8e5fec0b86998p-16, -0x1.957f8352b24adp-16, -0x1.9c5713b8f80f6p-16, -0x1.a2e70f618a45ep-16, -0x1.a930a5dce5ebdp-16, -0x1.af35315ae8a0ep-16, -0x1.b4f5f59514c4bp-16, -0x1.ba7403754c846p-16, -0x1.bfb0409cb515dp-16, -0x1.c4ab985c9859fp-16, -0x1.c967343a09f64p-16, -0x1.cde47492849a6p-16, -0x1.d224cf4cc98a2p-16, -0x1.d62a02da672efp-16, -0x1.d9f2b4cf9b7f2p-16, -0x1.dd78083dcafd9p-16, -0x1.e0c428753a6c1p-16, -0x1.e3e0a533deec3p-16, -0x1.e6c3bba0f82eep-16, -0x1.e964be3943c6ap-16, -0x1.ebd1331459069p-16, -0x1.ee101fc42ee7ap-16, -0x1.f0153d8580644p-16, -0x1.f1e5894ab133ap-16, -0x1.f383f2cbd7a5ep-16, -0x1.f4eff3423607p-16, -0x1.f629d49b66cep-16, -0x1.f73250642d465p-16, -0x1.f80a37b4044a1p-16, -0x1.f8b25a1fd3859p-16, -0x1.f92b7c8bc1249p-16, -0x1.f97654a859c3bp-16, -0x1.f9938c92bdf4cp-16, -0x1.f983d3008f2dcp-16, -0x1.f947ed3cfc493p-16, -0x1.f8e0b04caa1f1p-16, -0x1.f84edb7aee522p-16, -0x1.f7932b2186b95p-16, -0x1.f6aea4d5cd4b5p-16, -0x1.f59ffa37cfc9bp-16, -0x1.f466fe6a9ba6bp-16, -0x1.f30ad6e845bc8p-16, -0x1.f185aee1d16a1p-16, -0x1.efd9d0f9cfe44p-16, -0x1.ee0a37dd00281p-16, -0x1.ec149e2802667p-16, -0x1.e9fc2be132792p-16, -0x1.e7bee768e3dc4p-16, -0x1.e55ef28d713f6p-16, -0x1.e2dd4f08b7d2dp-16, -0x1.e03a1a61fc91cp-16, -0x1.dd75ddb7e6fa9p-16, -0x1.da913d5d1d3eap-16, -0x1.d78cdf4b7039fp-16, -0x1.d469677a62967p-16, -0x1.d12776f0ccfcbp-16, -0x1.cdc7aac35fc9ep-16, -0x1.ca4a9c55512d8p-16, -0x1.c6b0e52ed18bep-16, -0x1.c2fb24f160d57p-16, -0x1.bf2a01f3ed458p-16, -0x1.bb3e1dc1b9925p-16, -0x1.b73802f029aa2p-16, -0x1.b318432e8692p-16, -0x1.aedfc8641ea9p-16, -0x1.aa8e6674b0918p-16, -0x1.a6254e433b305p-16, -0x1.a1a4bfeb5c06cp-16, -0x1.9d0d61d09b54dp-16, -0x1.98603a44502c4p-16, -0x1.939da4483d10ap-16, -0x1.8ec674b2391d5p-16, -0x1.89daadbaa075p-16, -0x1.84dac72e3ecabp-16, -0x1.7fc7945c8bfd7p-16, -0x1.7aa205ab74383p-16, -0x1.756a64c8dddeep-16, -0x1.702133601bc4dp-16, -0x1.6ac7016ee16a6p-16, -0x1.655c5e5e7aaaap-16, -0x1.5fe1d7fe4d819p-16, -0x1.5a57fab2950cbp-16, -0x1.54bf515dd2204p-16, -0x1.4f18652354c84p-16, -0x1.4963bdb076112p-16, -0x1.43a1e29b2bc35p-16, -0x1.3dd35cc2d27e7p-16, -0x1.37f8b5bb17b2bp-16, -0x1.321273b286d12p-16, -0x1.2c2111f72cd26p-16, -0x1.26250c76d134fp-16, -0x1.201f1213880c3p-16, -0x1.1a0f973e56f5ep-16, -0x1.13f6c0185969cp-16, -0x1.0dd530953a7bdp-16, -0x1.07abc6cd067fep-16, -0x1.017ac9192af12p-16, -0x1.f6853e8f6d691p-17, -0x1.ea0790c5f7419p-17, -0x1.dd7daffafcf92p-17, -0x1.d0e8a6e7c219fp-17, -0x1.c4488aec3a71ep-17, -0x1.b79eee4af121ap-17, -0x1.aaece476e179p-17, -0x1.9e331aacd4c81p-17, -0x1.91727134b1f08p-17, -0x1.84abcc3145487p-17, -0x1.77e00c6128619p-17, -0x1.6b100f5b5927ap-17, -0x1.5e3cafdd16727p-17, -0x1.5166c5ca7a3a5p-17, -0x1.448f26049260fp-17, -0x1.37b6a275e9461p-17, -0x1.2ade0ac1d7dc8p-17, -0x1.1e062d08dc241p-17, -0x1.112fd5d0b174ep-17, -0x1.045bceaa926cap-17, -0x1.ef15b2f8de275p-18, -0x1.d57b5ec46f705p-18, -0x1.bbea367b26b6ep-18, -0x1.a2642f9fa2e9cp-18, -0x1.88e9cd5e9378ap-18, -0x1.6f7c7c96f34d4p-18, -0x1.561e9b812aa79p-18, -0x1.3cd11d36b9e8ep-18, -0x1.23954e2ba48abp-18, -0x1.0a6c853c61ce2p-18, -0x1.e2b026b5a0752p-19, -0x1.b0b299636e73dp-19, -0x1.7ee3365a9a947p-19, -0x1.4d44a1669cfd8p-19, -0x1.1bd7f0a6bf185p-19, -0x1.d542320d1b66dp-20, -0x1.734442d2fb709p-20, -0x1.11ba768811366p-20, -0x1.6152db758e94ap-21, -0x1.4056c42408d09p-22, 0x1.ff8a0c6fe6636p-25, 0x1.be20fc54c2d1cp-22, 0x1.9d13b56602aedp-21, 0x1.2cfcf9f60d622p-20, 0x1.8add8b11a5828p-20, 0x1.e827931c40667p-20, 0x1.226b960467e17p-19, 0x1.507441b7aa899p-19, 0x1.7e2bed9c42decp-19, 0x1.ab90c6309a438p-19, 0x1.d8a10a0a915acp-19, 0x1.02ad851c508b7p-18, 0x1.18de8450062d9p-18, 0x1.2ee279ae7667p-18, 0x1.44b909d0107afp-18, 0x1.5a6145b209b9ap-18, 0x1.6fda2bba2fb7p-18, 0x1.852328f2906e5p-18, 0x1.9a3b8606ebc4cp-18, 0x1.af228e6c12db2p-18, 0x1.c3d7950e87ce6p-18, 0x1.d859f35711918p-18, 0x1.eca90574a6bep-18, 0x1.00621588f72aap-17, 0x1.0a555b2fa79d3p-17, 0x1.142e2265a1da8p-17, 0x1.1dec17cd4bdedp-17, 0x1.278eee517c16ep-17, 0x1.31166ae72af67p-17, 0x1.3a824d90bec66p-17, 0x1.43d258a7d1df8p-17, 0x1.4d06511d05014p-17, 0x1.561dfe59fdfadp-17, 0x1.5f192a33ccb12p-17, 0x1.67f7a0e48a70fp-17, 0x1.70b93108daecbp-17, 0x1.795dab974f901p-17, 0x1.81e4e3cb24452p-17, 0x1.8a4eaf0783d06p-17, 0x1.929ae4d45c72ap-17, 0x1.9ac95eeafef8ep-17, 0x1.a2d9f96803aa5p-17, 0x1.aacc935bb597ap-17, 0x1.b2a10e06aac87p-17, 0x1.ba5749e989318p-17, 0x1.c1ef234c4087bp-17, 0x1.c9689c0f0a41p-17, 0x1.d0c3847aed659p-17, 0x1.d7ffcc580a2ecp-17, 0x1.df1d634e27fap-17, 0x1.e61c37f0c6bb8p-17, 0x1.ecfc3af2cde9ep-17, 0x1.f3bd5f0840364p-17, 0x1.fa5f98febfc4p-17, 0x1.00716fd55d793p-16, 0x1.03a395b3d344ap-16, 0x1.06c63b32f2e9ep-16, 0x1.09d95d75601cdp-16, 0x1.0cdcfc8b4ae5dp-16, 0x1.0fd119715013bp-16, 0x1.12b5b22f4abc4p-16, 0x1.158ac98b8bd05p-16, 0x1.185061db690e6p-16, 0x1.1b067e40ddae2p-16, 0x1.1dad22b38a0efp-16, 0x1.204453f8bc7cfp-16, 0x1.22cc179ea77e2p-16, 0x1.254473f8704b3p-16, 0x1.27ad701b2325fp-16, 0x1.2a0713db47a73p-16, }}, 
      {{0x1.394b12da05bf1p-3, 0x1.31dbfb2af0c75p-2, 0x1.baca8d087af19p-2, 0x1.1a56ab1c4a72cp-1, 0x1.4f1b8af897385p-1, 0x1.7b8f0e8c25c37p-1, 0x1.9fe4c2accc481p-1, 0x1.bc8b0673d4c7p-1, 0x1.d2157364e6196p-1, 0x1.e12ca47587275p-1, 0x1.ea824e412f0c8p-1, 0x1.eec8d1aacdf97p-1, 0x1.eead7033ce0f3p-1, 0x1.ead476c9ba6p-1, 0x1.e3d6ddc9c84c6p-1, 0x1.da40fb8a1d649p-1, 0x1.ce91fdb37477p-1, 0x1.c13bef1bca832p-1, 0x1.b2a41e453f6efp-1, 0x1.a323c2f83479dp-1, 0x1.9308ca40746e9p-1, 0x1.8296b6a509b28p-1, 0x1.7207878c3a15bp-1, 0x1.618c9ebbae6eap-1, 0x1.514f9ded635cfp-1, 0x1.417338acfd253p-1, 0x1.3213f85d6ab78p-1, 0x1.2348f15e53982p-1, 0x1.152469075f415p-1, 0x1.07b46caa192f2p-1, 0x1.f606b433b4c34p-2, 0x1.de30b4ed7babbp-2, 0x1.c7efa0513fca2p-2, 0x1.b347722dba1fdp-2, 0x1.a0380c686decbp-2, 0x1.8ebdd2db7c537p-2, 0x1.7ed235f17831fp-2, 0x1.706c2dc51bedp-2, 0x1.6380a7592793cp-2, 0x1.5802e5502ded3p-2, 0x1.4de4d5647ade6p-2, 0x1.45175bbef8c82p-2, 0x1.3d8a9530454e1p-2, 0x1.372e1134fd83dp-2, 0x1.31f10498ca337p-2, 0x1.2dc27579238bap-2, 0x1.2a916154f7314p-2, 0x1.284cddc23d956p-2, 0x1.26e43461217abp-2, 0x1.2646fa843cad9p-2, 0x1.266525017d583p-2, 0x1.272f18a7560f3p-2, 0x1.2895b792e1a43p-2, 0x1.2a8a6bec07dd2p-2, 0x1.2cff3025c2975p-2, 0x1.2fe69533a55b3p-2, 0x1.3333c6df77c07p-2, 0x1.36da8e634fce6p-2, 0x1.3acf53e3d3186p-2, 0x1.3f071e13097f2p-2, 0x1.437791ca229cep-2, 0x1.4816ef3e7af3ap-2, 0x1.4cdc10603ea9cp-2, 0x1.51be6461d8afbp-2, 0x1.56b5eccaf5fe9p-2, 0x1.5bbb389a8a317p-2, 0x1.60c75f4ad4b0ep-2, 0x1.65d3fd2e6e792p-2, 0x1.6adb2bb2727ebp-2, 0x1.6fd77fbf42a7ep-2, 0x1.74c3ffe34a265p-2, 0x1.799c23708b41p-2, 0x1.7e5bc90cfc9b7p-2, 0x1.82ff3412a520ap-2, 0x1.878305d4a1bacp-2, 0x1.8be4386ff3099p-2, 0x1.90201a7b8c26bp-2, 0x1.94344912fb7dbp-2, 0x1.981eac0a51eecp-2, 0x1.9bdd70e309411p-2, 0x1.9f6f06b9129bep-2, 0x1.a2d21a1990daep-2, 0x1.a605910b6142bp-2, 0x1.a9088754e6c45p-2, 0x1.abda4ae39b5dfp-2, 0x1.ae7a5866e37fcp-2, 0x1.b0e8581052facp-2, 0x1.b3241a7c7f873p-2, 0x1.b52d95b9c0afap-2, 0x1.b704e2735b98cp-2, 0x1.b8aa3936d972cp-2, 0x1.ba1defda974cap-2, 0x1.bb6077054b8e9p-2, 0x1.bc7257ce93d91p-2, 0x1.bd5431833445dp-2, 0x1.be06b7814d7ddp-2, 0x1.be8aaf2f117b3p-2, 0x1.bee0ee0dd6c8cp-2, 0x1.bf0a57e049064p-2, 0x1.bf07dcef7dfdbp-2, 0x1.beda78687d94bp-2, 0x1.be832ed23e5cap-2, 0x1.be030c9f53c93p-2, 0x1.bd5b24de4e648p-2, 0x1.bc8c8fff99873p-2, 0x1.bb986ab69f675p-2, 0x1.ba7fd4f0c3121p-2, 0x1.b943f0dc5abcbp-2, 0x1.b7e5e20ab9018p-2, 0x1.b666cc9b93edfp-2, 0x1.b4c7d47b1538cp-2, 0x1.b30a1cb2afc68p-2, 0x1.b12ec6c48e55ep-2, 0x1.af36f2173de2bp-2, 0x1.ad23bb72e0ae5p-2, 0x1.aaf63c8a0c6f6p-2, 0x1.a8af8b8e7c8f9p-2, 0x1.a650bad55c84ap-2, 0x1.a3dad886b64bdp-2, 0x1.a14eee5418835p-2, 0x1.9eae013b2f5bcp-2, 0x1.9bf91150594ecp-2, 0x1.9931198ec2afep-2, 0x1.96570fb1ed20ep-2, 0x1.936be4134485fp-2, 0x1.9070818d56f99p-2, 0x1.8d65cd68428b5p-2, 0x1.8a4ca747a19ffp-2, 0x1.8725e91d26aa6p-2, 0x1.83f267257916ap-2, 0x1.80b2efe57f468p-2, 0x1.7d684c293624p-2, 0x1.7a133f0d29c63p-2, 0x1.76b48609420d7p-2, 0x1.734cd8f8d77b2p-2, 0x1.6fdcea2b76cecp-2, 0x1.6c65667998a04p-2, 0x1.68e6f5541f186p-2, 0x1.656238d7e66f5p-2, 0x1.61d7cde7c24ap-2, 0x1.5e484c429ca71p-2, 0x1.5ab44698624p-2, 0x1.571c4aa4de718p-2, 0x1.5380e14b228ep-2, 0x1.4fe28eace649ep-2, 0x1.4c41d243fa1e6p-2, 0x1.489f270015755p-2, 0x1.44fb036228dfep-2, 0x1.4155d99540a84p-2, 0x1.3db0178ab7c62p-2, 0x1.3a0a2717ff716p-2, 0x1.36646e1147951p-2, 0x1.32bf4e63b94ecp-2, 0x1.2f1b26323cc7ap-2, 0x1.2b784ff139cf5p-2, 0x1.27d7228016ffdp-2, 0x1.2437f143f7bd8p-2, 0x1.209b0c431577p-2, 0x1.1d00c03d65151p-2, 0x1.196956c49003cp-2, 0x1.15d51655fcfecp-2, 0x1.124442740b7aap-2, 0x1.0eb71bbbc0a8fp-2, 0x1.0b2ddffa35979p-2, 0x1.07a8ca44bca52p-2, 0x1.04281310a2aecp-2, 0x1.00abf046d1269p-2, 0x1.fa692aab5f205p-3, 0x1.f384668bf82f8p-3, 0x1.eca9f1a33778ep-3, 0x1.e5da24edbf34ap-3, 0x1.df15550e6d212p-3, 0x1.d85bd26e282ccp-3, 0x1.d1ade965159dcp-3, 0x1.cb0be26314a05p-3, 0x1.c476020c0e421p-3, 0x1.bdec894df919ep-3, 0x1.b76fb57f5ed9dp-3, 0x1.b0ffc086c3ab2p-3, 0x1.aa9ce0fbdb9aap-3, 0x1.a4474a3b82e32p-3, 0x1.9dff2c79a20d1p-3, 0x1.97c4b4ddb7f7ep-3, 0x1.91980da5f5b2ep-3, 0x1.8b795e429e562p-3, 0x1.8568cb65933dep-3, 0x1.7f667710afeddp-3, 0x1.797280ad9d46ep-3, 0x1.738d052c2414bp-3, 0x1.6db61f1b06634p-3, 0x1.67ede6b60c37cp-3, 0x1.623471f0704cbp-3, 0x1.5c89d48640411p-3, 0x1.56ee2015cfdc8p-3, 0x1.51616437fdbd4p-3, 0x1.4be3ae8f132cdp-3, 0x1.46750acea42fep-3, 0x1.411582c63e3b4p-3, 0x1.3bc51e74afb0cp-3, 0x1.3683e41efe4ccp-3, 0x1.3151d861c836dp-3, 0x1.2c2efe39f56acp-3, 0x1.271b570ae3803p-3, 0x1.2216e2aa14564p-3, 0x1.1d219f71aec6p-3, 0x1.183b8a53582b8p-3, 0x1.13649ee4d253p-3, 0x1.0e9cd766614dep-3, 0x1.09e42cc8bb69cp-3, 0x1.053a96b800e6ep-3, 0x1.00a00bab8ccfcp-3, 0x1.f82901eb15c2dp-4, 0x1.ef2fd59b51c6ep-4, 0x1.e65478ae0b7cp-4, 0x1.dd96cf4b1ed9bp-4, 0x1.d4f6bb8db0f22p-4, 0x1.cc741d9dedfa9p-4, 0x1.c40ed3cbd47cfp-4, 0x1.bbc6baa3956dp-4, 0x1.b39bacf9e9f48p-4, 0x1.ab8d83f590ee7p-4, 0x1.a39c171c8cea7p-4, 0x1.9bc73c67e42bap-4, 0x1.940ec85a4385fp-4, 0x1.8c728e13bf3e4p-4, 0x1.84f25f5f74731p-4, 0x1.7d8e0cbd3aaa6p-4, 0x1.7645656be7095p-4, 0x1.6f18377761519p-4, 0x1.68064fca22ad1p-4, 0x1.610f7a3eddfddp-4, 0x1.5a3381af3deafp-4, 0x1.53722fff33ac5p-4, 0x1.4ccb4e26a7e4p-4, 0x1.463ea43bd31f2p-4, 0x1.3fcbf97f63414p-4, 0x1.39731469fc349p-4, 0x1.3333bab9bab6cp-4, 0x1.2d0db17f3118p-4, 0x1.2700bd282b394p-4, 0x1.210ca188df536p-4, 0x1.1b3121e50299p-4, 0x1.156e00f94c258p-4, 0x1.0fc30105db36fp-4, 0x1.0a2fe3d8a823p-4, 0x1.04b46ad8b15b4p-4, 0x1.fea0ae212b193p-5, 0x1.f406d26f76819p-5, 0x1.e99ac373e4422p-5, 0x1.df5c017ca56aap-5, 0x1.d54a0c5d182dp-5, 0x1.cb64637ecc652p-5, 0x1.c1aa85f4adb43p-5, 0x1.b81bf28e42055p-5, 0x1.aeb827e8aa359p-5, 0x1.a57ea47c2e342p-5, 0x1.9c6ee6a72f717p-5, 0x1.93886cb8bf79bp-5, 0x1.8acab4fd118d1p-5, 0x1.82353dcc59ec6p-5, 0x1.79c7859aefca6p-5, 0x1.71810b0882722p-5, 0x1.69614cecbef1bp-5, 0x1.6167ca612ceeap-5, 0x1.599402c984eeap-5, 0x1.51e575dc5a5dap-5, 0x1.4a5ba3ad743b8p-5, 0x1.42f60cb9d0ed8p-5, 0x1.3bb431f403c8p-5, 0x1.349594cf856f2p-5, 0x1.2d99b74a05b0fp-5, 0x1.26c01bf2fd1fep-5, 0x1.200845f250d49p-5, 0x1.1971b90f3bd9fp-5, 0x1.12fbf9b834decp-5, 0x1.0ca68d0baec02p-5, 0x1.0670f8e0ec13fp-5, 0x1.005ac3d0004cp-5, 0x1.f4c6ea71534dep-6, 0x1.e9152a90359b2p-6, 0x1.dd9f59fc9e8b6p-6, 0x1.d2648c66bdaeep-6, 0x1.c763d73a5a41ep-6, 0x1.bc9c51aa86c57p-6, 0x1.b20d14bd15f7fp-6, 0x1.a7b53b54c6798p-6, 0x1.9d93e23a17bebp-6, 0x1.93a828232cf1bp-6, 0x1.89f12dbb90dcfp-6, 0x1.806e15ac7cb8dp-6, 0x1.771e04a59da3p-6, 0x1.6e002165a6b75p-6, 0x1.651394c1a3afap-6, 0x1.5c5789aa80b52p-6, 0x1.53cb2d307d817p-6, 0x1.4b6dae857f47dp-6, 0x1.433e3eff8519ep-6, 0x1.3b3c121cb5d8p-6, 0x1.33665d89bdeecp-6, 0x1.2bbc592a03d89p-6, 0x1.243d3f2000833p-6, 0x1.1ce84bd39af05p-6, 0x1.15bcbdf4c9a3dp-6, 0x1.0eb9d679ce2acp-6, 0x1.07ded89a0db1ap-6, 0x1.012b09c7f6209p-6, 0x1.f53b635a13006p-7, 0x1.e86c345548d41p-7, 0x1.dbe71ec141787p-7, 0x1.cfaabf70fff4dp-7, 0x1.c3b5b7e3709bfp-7, 0x1.b806ae5572a54p-7, 0x1.ac9c4dc57639cp-7, 0x1.a17545e4e818ep-7, 0x1.96904af98ce33p-7, 0x1.8bec15b6e683fp-7, 0x1.8187631b44538p-7, 0x1.7760f45e2ce5dp-7, 0x1.6d778efcd1bedp-7, 0x1.63c9fcd7b27aap-7, 0x1.5a570c57cc49dp-7, 0x1.511d90aa0eb37p-7, 0x1.481c61d40fc1ap-7, 0x1.3f525cab9752cp-7, 0x1.36be62be49eaap-7, 0x1.2e5f5a0a02f1ep-7, 0x1.26342ca60ed83p-7, 0x1.1e3bc87af79acp-7, 0x1.16751f1b2254dp-7, 0x1.0edf25ca0c0f3p-7, 0x1.0778d5b33ac5ep-7, 0x1.00412c4321647p-7, 0x1.f26e5710ac346p-8, 0x1.e4b3b4fb47d37p-8, 0x1.d7508a41a6353p-8, 0x1.ca42f88dd9b49p-8, 0x1.bd892a665f5b9p-8, 0x1.b121520de6b9bp-8, 0x1.a509a857fc4ccp-8, 0x1.99406bc2a7348p-8, 0x1.8dc3e01b11628p-8, 0x1.82924ece4cc0ap-8, 0x1.77aa07d9496aap-8, 0x1.6d09631f177e3p-8, 0x1.62aec1cb9c0f1p-8, 0x1.58988f5dda2b3p-8, 0x1.4ec542052bfe2p-8, 0x1.45335a240a31bp-8, 0x1.3be16100a9e63p-8, 0x1.32cde6e48f54ap-8, 0x1.29f78115947e9p-8, 0x1.215cc8257d4afp-8, 0x1.18fc5707fec64p-8, 0x1.10d4cb35ade09p-8, 0x1.08e4c5e38212dp-8, 0x1.012aee1225641p-8, 0x1.f34be5fbf9e33p-9, 0x1.e4a91cb034e16p-9, 0x1.d66b0b665404bp-9, 0x1.c88f556e937d9p-9, 0x1.bb13b3e72734p-9, 0x1.adf5f0ee3789fp-9, 0x1.a133e149b3061p-9, 0x1.94cb5dddc0149p-9, 0x1.88ba3e6e7e829p-9, 0x1.7cfe56fa34ec6p-9, 0x1.71957877aa40bp-9, 0x1.667d74ffe8027p-9, 0x1.5bb4269698a26p-9, 0x1.5137771421e13p-9, 0x1.470567603c788p-9, 0x1.3d1c1448d1c85p-9, 0x1.3379b7be6e07p-9, 0x1.2a1ca5f9f0125p-9, 0x1.210346f11c1e3p-9, 0x1.182c0d436d09p-9, 0x1.0f956c5c4bfb3p-9, 0x1.073dcff6cd8d6p-9, 0x1.fe472e127b208p-10, 0x1.ee8a26f04b19ap-10, 0x1.df411d974e2cdp-10, 0x1.d068a5a601fbp-10, 0x1.c1fd6851498dcp-10, 0x1.b3fc3871baf17p-10, 0x1.a662218b952f1p-10, 0x1.992c6f2a2a8c3p-10, 0x1.8c58ab4eaff43p-10, 0x1.7fe493eb2b4d4p-10, 0x1.73ce08a7c3585p-10, 0x1.6812f3d909ee9p-10, 0x1.5cb13350605d3p-10, 0x1.51a686b436766p-10, 0x1.46f088388b848p-10, 0x1.3c8cb19181b33p-10, 0x1.32786ae3930cfp-10, 0x1.28b11e6320809p-10, 0x1.1f344b02f6d48p-10, 0x1.15ff92e4ef89cp-10, 0x1.0d10c5355e50bp-10, 0x1.0465e44bf6ce4p-10, 0x1.f7fa4f7961e1ap-11, 0x1.e7a9f03b80204p-11, 0x1.d7d7c48ba401ep-11, 0x1.c881058761c6cp-11, 0x1.b9a2dda8d40b2p-11, 0x1.ab3a45d34190ap-11, 0x1.9d43faa45ec62p-11, 0x1.8fbc8bef9c81dp-11, 0x1.82a07b2807167p-11, 0x1.75ec56d239aa3p-11, 0x1.699cc5a5a765ap-11, 0x1.5dae81608de15p-11, 0x1.521e4e9afbcb1p-11, 0x1.46e901f571926p-11, 0x1.3c0b986242c0dp-11, 0x1.318357156bacbp-11, 0x1.274ddd5a663d1p-11, 0x1.1d69186544231p-11, 0x1.13d31c91e2aecp-11, 0x1.0a89fa4e15dcdp-11, 0x1.018ba800bd5f6p-11, 0x1.f1ac15a071e72p-12, 0x1.e0ce25d06ca31p-12, 0x1.d079a918a6801p-12, 0x1.c0ab15e442666p-12, 0x1.b15efdd878473p-12, 0x1.a291b602d70e7p-12, 0x1.943f06e5b2f66p-12, 0x1.8662189ae49bcp-12, 0x1.78f5b6ba2462ep-12, 0x1.6bf4d54beaaabp-12, 0x1.5f5b130e23cc9p-12, 0x1.5324f00349a41p-12, 0x1.474fa08b03a14p-12, 0x1.3bd8ad2dfa49cp-12, 0x1.30bdad4f5455cp-12, 0x1.25fc42bc3da5dp-12, 0x1.1b923da88f5c6p-12, 0x1.117dbc26c1156p-12, 0x1.07bd2ce887934p-12, 0x1.fc9e607836064p-13, 0x1.ea64aeb41a3d2p-13, 0x1.d8c9947d2fa3ap-13, 0x1.c7c7dd04377fbp-13, 0x1.b7587b1844594p-13, 0x1.a772f0935096ap-13, 0x1.980e74ddf1e2dp-13, 0x1.8923561fd9433p-13, 0x1.7aabd7cc3b4edp-13, 0x1.6ca42d7658945p-13, 0x1.5f09d371367fp-13, 0x1.51dad52bbf091p-13, 0x1.451552d134244p-13, 0x1.38b74af45610cp-13, 0x1.2cbeb0e99e9e7p-13, 0x1.2129bf1f48f7ep-13, 0x1.15f71fc495d1ap-13, 0x1.0b25a47d070a7p-13, 0x1.00b3c56984077p-13, 0x1.ed3e61733d724p-14, 0x1.d9c8edaa4f89dp-14, 0x1.c6fdd56a3ea01p-14, 0x1.b4d1d396644c1p-14, 0x1.a3390b68cfd29p-14, 0x1.9228994d96da1p-14, 0x1.81980e219bbdcp-14, 0x1.7182928230c17p-14, 0x1.61e6e74554309p-14, 0x1.52c5a2070b87p-14, 0x1.441e712d9e03fp-14, 0x1.35eea4367cceap-14, 0x1.28327be733cf4p-14, 0x1.1ae776a60824ep-14, 0x1.0e0c8e08864d8p-14, 0x1.01a09032cb012p-14, 0x1.eb41c32a4a35fp-15, 0x1.d4131f3feddd9p-15, 0x1.bdac6e719d5d3p-15, 0x1.a805c1f4aa86bp-15, 0x1.9318107f533a6p-15, 0x1.7edb8e6df6f3ap-15, 0x1.6b45bc204baeep-15, 0x1.5848f545c3289p-15, 0x1.45d7a6633871ap-15, 0x1.33eab24cfb424p-15, 0x1.22843db9947adp-15, 0x1.11a985e3c67bdp-15, 0x1.015a151d86fcdp-15, 0x1.e31ec80c5eab3p-16, 0x1.c4885cacf412cp-16, 0x1.a6ef9247a6a6cp-16, 0x1.8a5488cc91473p-16, 0x1.6eb11f8d03bdap-16, 0x1.53f877910491fp-16, 0x1.3a1b696633082p-16, 0x1.210e0ab7092cep-16, 0x1.08cac66e4dc64p-16, 0x1.e2a34ecbfc186p-17, 0x1.b548b258d6684p-17, 0x1.8981ff023cf17p-17, 0x1.5f3cd8d72bedcp-17, 0x1.3654cbe0299fep-17, 0x1.0e9d4a5347e47p-17, 0x1.d00410a7b92bp-18, 0x1.852b2eb91348bp-18, 0x1.3cd72a8f31893p-18, 0x1.edddc97097bf8p-19, 0x1.668f7da4aa688p-19, 0x1.c7888c32fd873p-20, 0x1.9668ada5f8366p-21, -0x1.4105cf391b5dfp-23, -0x1.13227be72d689p-20, -0x1.f66fb3910d0fp-20, -0x1.6932662c0c45ap-19, -0x1.d39754d89951ep-19, -0x1.1d395319a7699p-18, -0x1.4ee3665de97a3p-18, -0x1.7ec4abeb3f54fp-18, -0x1.acd609b810a9dp-18, -0x1.d918b86882f15p-18, -0x1.01cf239ecfbccp-17, -0x1.164997dd47687p-17, -0x1.2a1af1b0d5b67p-17, -0x1.3d49101ec92bap-17, -0x1.4fbbdc3635517p-17, -0x1.617222c7db1acp-17, -0x1.7281c965bf4fcp-17, -0x1.82e77f24f5bep-17, -0x1.9296ce196a893p-17, -0x1.a19953c28e698p-17, -0x1.b00035be2818dp-17, -0x1.bdd4a46d8ea67p-17, -0x1.cb1928035aa8bp-17, -0x1.d7ce7ecafa98dp-17, -0x1.e3f614dbe2eb8p-17, -0x1.ef92877e40f6p-17, -0x1.faa6d9a9fcb3p-17, -0x1.029a64f1a0db9p-16, -0x1.079de97634cf4p-16, -0x1.0c5d6a276fc81p-16, -0x1.10d9c02bd564cp-16, -0x1.15161e6f4ed75p-16, -0x1.1917e47aa7c24p-16, -0x1.1ce37b63f5301p-16, -0x1.2076ccd9ecf2bp-16, -0x1.23d102559b78cp-16, -0x1.26f82f7218671p-16, -0x1.29e9268f9a44dp-16, -0x1.2ca02ad3ae3ebp-16, -0x1.2f2276a54a354p-16, -0x1.31745cbdc1965p-16, -0x1.3396dec8bd8b9p-16, -0x1.358a29148f9cbp-16, -0x1.374ea7c758de5p-16, -0x1.38e50debb67d5p-16, -0x1.3a4e3237972d5p-16, -0x1.3b8b027bfe6d4p-16, -0x1.3c9c7dfd7374dp-16, -0x1.3d8394473c184p-16, -0x1.3e40f34380cf2p-16, -0x1.3ed4fe7014641p-16, -0x1.3f3ff4593796bp-16, -0x1.3f82a275da0f9p-16, -0x1.3f9f76dbac3dap-16, -0x1.3f96b01b22b2ap-16, -0x1.3f67eb1cfa443p-16, -0x1.3f1760f7f273dp-16, -0x1.3ea4ffe643431p-16, -0x1.3e0f9b8068d53p-16, -0x1.3d56c71da1988p-16, -0x1.3c7cf843c0ccap-16, -0x1.3b83ded54bc49p-16, -0x1.3a6bcfa18c3d4p-16, -0x1.39351825b03dap-16, -0x1.37e040f68003fp-16, -0x1.366df19026ad1p-16, -0x1.34ded76cfdf8dp-16, -0x1.33339a1a8d875p-16, -0x1.316cdabf9673cp-16, -0x1.2f8b3b727faf7p-16, -0x1.2d8f649661d4fp-16, -0x1.2b7a013f11c81p-16, -0x1.294bbc2a086efp-16, -0x1.270521b3c4c28p-16, -0x1.24a62d77a6ce2p-16, -0x1.222f682efc494p-16, -0x1.1fa2ae90bf1a5p-16, -0x1.1d0013d3c92acp-16, -0x1.1a47a725619ffp-16, -0x1.177a2082ab481p-16, -0x1.1498f15199c2ep-16, -0x1.11a3ebebbccd3p-16, -0x1.0e9b58822fad4p-16, -0x1.0b80661708b85p-16, -0x1.0853861471145p-16, -0x1.05151978a7663p-16, -0x1.01c59ba564c17p-16, -0x1.fccb271b835fep-17, -0x1.f5eb1452ab121p-17, -0x1.eeec0c4a82f6bp-17, -0x1.e7cf13dcb9566p-17, -0x1.e0952806f5439p-17, -0x1.d93f443fa2155p-17, -0x1.d1ce6a5b91384p-17, -0x1.ca43a25bffa2ap-17, -0x1.c29ff618b4f8dp-17, -0x1.bae47772bd2dfp-17, -0x1.b311cee5a8d41p-17, -0x1.ab27e5295c121p-17, -0x1.a328dcec82733p-17, -0x1.9b16cfaa8262fp-17, -0x1.92f13f38c3945p-17, -0x1.8ab7c0a8898b1p-17, -0x1.826cf47aeb5c9p-17, -0x1.7a129940ea71p-17, -0x1.71a7c36ad9568p-17, -0x1.692de2ea66768p-17, -0x1.60a61dafe85d7p-17, -0x1.58111e1612efp-17, -0x1.4f6fa91b830cfp-17, -0x1.46c2912f298aap-17, -0x1.3e0aaa2e02f66p-17, -0x1.3548c5d3a34f6p-17, -0x1.2c7db22a1eed2p-17, -0x1.23aa388667469p-17, -0x1.1acf1dbefd525p-17, -0x1.11ed24b28a369p-17, -0x1.090511b899e9ap-17, -0x1.0017aa4d11d96p-17, -0x1.ee4b5dccd44aap-18, -0x1.dc5fb9425dadp-18, -0x1.ca6df4b8760cdp-18, -0x1.b876d3952b465p-18, -0x1.a67b672839ffdp-18, -0x1.947f573788e5ep-18, -0x1.8281b4bc8c9c9p-18, -0x1.708464dc309fp-18, -0x1.5e899e58c10b2p-18, -0x1.4c9191187c7cep-18, -0x1.3a9e7d8ee0bedp-18, -0x1.28b0a13d288d6p-18, -0x1.16c9cd3117ca2p-18, -0x1.04eb5e0cb4cf7p-18, -0x1.e62ca5fe90b6fp-19, -0x1.c297a01b8234p-19, -0x1.9f19fe0519ebcp-19, -0x1.7bb60b641c054p-19, -0x1.586e0928ca41p-19, -0x1.35442c45472c1p-19, -0x1.123a9c0b2c391p-19, -0x1.dea6e3439e361p-20, -0x1.992177842b973p-20, -0x1.53e90c03acfc7p-20, -0x1.0f01b64ccae14p-20, -0x1.94dee4e6937e4p-21, -0x1.0c6beb41555cdp-21, -0x1.0963959e96b7bp-22, 0x1.2360727d5fc14p-28, 0x1.10f3ab698a884p-22, 0x1.0dddbb2e30c3fp-21, 0x1.926d3ddff5b64p-21, 0x1.0b10c25c5ca3ep-20, 0x1.4c78d750eac12p-20, 0x1.8d6c30dda3b51p-20, 0x1.cde6fd71fd173p-20, 0x1.06f3e16143ecap-19, 0x1.26b5e9f4fbc7dp-19, 0x1.4637ccbd15e15p-19, 0x1.65779eb9fa2bep-19, 0x1.847462f1d2652p-19, 0x1.a32cd811c3ap-19, 0x1.c19fb183f9631p-19, 0x1.dfcbabbf59a0dp-19, 0x1.fdaf8d9106383p-19, 0x1.0da513f484d7bp-18, 0x1.1c4d2b148feb1p-18, 0x1.2acf7f62fe853p-18, 0x1.392b897321d2fp-18, 0x1.4760c5ca07c9cp-18, 0x1.556eb32bd5d5fp-18, 0x1.6354d2e6e5913p-18, 0x1.7112acd2bbaccp-18, 0x1.7ea7d77de1b85p-18, 0x1.8c13ee1f3618cp-18, 0x1.99565b62d0554p-18, 0x1.a66ec24cb9f84p-18, 0x1.b35d21fcd54f3p-18, 0x1.c020fd1daea7dp-18, 0x1.ccb991b729126p-18, 0x1.d926c5a2b0cb8p-18, 0x1.e568601411b81p-18, 0x1.f17e103b36d88p-18, 0x1.fd676f1448e5bp-18, 0x1.0492149cebe35p-17, 0x1.0a5a4088fd4d5p-17, 0x1.100beb716147p-17, 0x1.15a6ecbe205b4p-17, 0x1.1b2b3bb3efd22p-17, 0x1.2098c16b57eebp-17, 0x1.25ef66f1c5b44p-17, 0x1.2b2f176d9781p-17, 0x1.3057c00485007p-17, 0x1.35694fbe1707ap-17, 0x1.3a63b77e63d19p-17, 0x1.3f46ea10d1787p-17, 0x1.4412dc1d573b4p-17, 0x1.48c783dfabc3p-17, 0x1.4d64d8cfa5bf9p-17, 0x1.51ead39bfc9cp-17, 0x1.56596ea63875ep-17, 0x1.5ab0a7c3a86d6p-17, 0x1.5ef080c9edb93p-17, 0x1.6318f5844fe02p-17, 0x1.6729efc06e435p-17, 0x1.6b239f6280645p-17, 0x1.6f060a01d7738p-17, 0x1.72d10636753ep-17, 0x1.7684b097e34aep-17, 0x1.7a2115283e4aep-17, 0x1.7da63e31b3cb6p-17, 0x1.8114375f77fc5p-17, 0x1.846b0be24b1e1p-17, 0x1.87aac2bd65519p-17, 0x1.8ad367e6c027ep-17, 0x1.8de52f2e6be5bp-17, 0x1.90e0030de649fp-17, 0x1.93c3ff6c5b031p-17, 0x1.96913bf8e3c9dp-17, 0x1.9947cd51ec80cp-17, 0x1.9be7c944207c3p-17, 0x1.9e7146d8fac4dp-17, 0x1.a0e45e3911222p-17, 0x1.a34128a06ceb8p-17, 0x1.a587c05880acfp-17, 0x1.a7b840b4fcc8ap-17, 0x1.a9d2c608b130cp-17, 0x1.abd76d85066dap-17, 0x1.adc6552667d93p-17, 0x1.af9f9bb7522acp-17, 0x1.b16360f06fcbap-17, 0x1.b311c61a25933p-17, 0x1.b4aaee09223bcp-17, 0x1.b62ef9c49e65cp-17, 0x1.b79e01d9c6592p-17, 0x1.b8f840b9f5a55p-17, 0x1.ba3dd33a8fc11p-17, 0x1.bb6ed2962e854p-17, 0x1.bc8b6d23476c7p-17, 0x1.bd93c9c2e0485p-17, 0x1.be880f830b035p-17, 0x1.bf68667e5210bp-17, 0x1.c034f7a76c1eep-17, 0x1.c0edec16cd57fp-17, 0x1.c1936d277cf5bp-17, 0x1.c225a15d1c142p-17, 0x1.c2a4bc8cd1c5p-17, 0x1.c310e5b43fc9p-17, 0x1.c36a45ae7dbcp-17, 0x1.c3b10b79954ep-17, 0x1.c3e563d359a45p-17, 0x1.c4077bddc119fp-17, 0x1.c41781338e469p-17, 0x1.c415a1daa1fedp-17, 0x1.c4020c3c9e4d7p-17, 0x1.c3dcef22c786dp-17, 0x1.c3a679b26fb6bp-17, 0x1.c35edb65d6204p-17, 0x1.c30643ff826acp-17, 0x1.c29ce3794fe14p-17, 0x1.c222e9ff29f9p-17, 0x1.c19887fcad582p-17, 0x1.c0fdee3603f6cp-17, 0x1.c0534deeff5c4p-17, 0x1.bf98d8a13f979p-17, 0x1.becebf154cf63p-17, 0x1.bdf5306fdf4fcp-17, 0x1.bd0c6650f8a54p-17, 0x1.bc148b63c35e6p-17, 0x1.bb0dd32035b8dp-17, 0x1.b9f870693e553p-17, 0x1.b8d4955f223cdp-17, 0x1.b7a27446506ecp-17, 0x1.b6623f7b4312dp-17, 0x1.b5142976c26dap-17, 0x1.b3b864c60a77fp-17, 0x1.b24f23ea5530bp-17, 0x1.b0d8996b79f11p-17, 0x1.af54f769bae09p-17, 0x1.adc470fd21028p-17, 0x1.ac27393f3794ep-17, 0x1.aa7d8170d2de9p-17, 0x1.a8c77ca37e3cfp-17, 0x1.a7055d4109eecp-17, 0x1.a53755a0408b9p-17, 0x1.a35d980865f8bp-17, 0x1.a17856ac3639fp-17, 0x1.9f87c3a6e3de3p-17, 0x1.9d8c10f8aa567p-17, 0x1.9b857084f6b3dp-17, 0x1.997414101d1b3p-17, }}, 
      {{0x1.08bc1630e0838p-1, 0x1.25ef005e7d8b6p-1, 0x1.4c8a9aa83594bp-1, 0x1.7713888755bf2p-1, 0x1.a1c9b94fbc29bp-1, 0x1.ca31cf027a0dep-1, 0x1.eebc884811c3p-1, 0x1.0742a6fe8dae8p+0, 0x1.1490f475da3ddp+0, 0x1.1f3f22a20dd3dp+0, 0x1.276098fcbcc16p+0, 0x1.2d1c10336049p+0, 0x1.30a41e2f1e17p+0, 0x1.3231c7fcc1d97p+0, 0x1.32009bf167376p+0, 0x1.304bf46c2d62bp+0, 0x1.2d4d19c78296dp+0, 0x1.293a0adf1d59ap+0, 0x1.2444c0af4eb6fp+0, 0x1.1e9acba9b7bc6p+0, 0x1.18653149d2824p+0, 0x1.11c8769fa667ap+0, 0x1.0ae4c94c99f48p+0, 0x1.03d63c2809947p+0, 0x1.f96a1f3c43037p-1, 0x1.eb2c001ab509cp-1, 0x1.dd152c256cd56p-1, 0x1.cf42ebe404241p-1, 0x1.c1cd58634fd6ep-1, 0x1.b4c7ec5c6bb9ep-1, 0x1.a8420bcf54ecfp-1, 0x1.9c47814f6fac3p-1, 0x1.90e0f0cbd7523p-1, 0x1.86144001b1f5cp-1, 0x1.7be4f507b67b2p-1, 0x1.72548b8617fdcp-1, 0x1.6962c13eaef81p-1, 0x1.610dda8d93736p-1, 0x1.5952df87ee8aep-1, 0x1.522dd258b3513p-1, 0x1.4b99df729ac43p-1, 0x1.45918825b0b51p-1, 0x1.400ec81d83cf9p-1, 0x1.3b0b364355cecp-1, 0x1.3680217669ab9p-1, 0x1.3266a98492b07p-1, 0x1.2eb7d4c381681p-1, 0x1.2b6ca2a1c00b3p-1, 0x1.287e1b8419964p-1, 0x1.25e55e35d9c36p-1, 0x1.239bab2d85202p-1, 0x1.219a6deb82109p-1, 0x1.1fdb449c039d5p-1, 0x1.1e58063d3fbaep-1, 0x1.1d0ac76d97a65p-1, 0x1.1bedde0b03333p-1, 0x1.1afbe3d694dd2p-1, 0x1.1a2fb81bf52ffp-1, 0x1.198480ba24dacp-1, 0x1.18f5aa3efa009p-1, 0x1.187ee7d463eep-1, 0x1.181c322663728p-1, 0x1.17c9c69173cf6p-1, 0x1.1784252ff1124p-1, 0x1.17480f6297521p-1, 0x1.1712858919dccp-1, 0x1.16e0c4b892e1p-1, 0x1.16b044c0da712p-1, 0x1.167eb4e0982c8p-1, 0x1.1649fa6eb3f5dp-1, 0x1.16102ccc2605p-1, 0x1.15cf9451fbbcbp-1, 0x1.1586a65f58b5cp-1, 0x1.153403bad2226p-1, 0x1.14d6758ec85e9p-1, 0x1.146ceaf60550bp-1, 0x1.13f676d74f555p-1, 0x1.13724d3ad8381p-1, 0x1.12dfc163224a6p-1, 0x1.123e4380c8c61p-1, 0x1.118d5ec1daa76p-1, 0x1.10ccb761063fdp-1, 0x1.0ffc08ccaae8ap-1, 0x1.0f1b23eb3018ep-1, 0x1.0e29ed7277c5cp-1, 0x1.0d285c5933bc6p-1, 0x1.0c16785b7ac67p-1, 0x1.0af45894179c9p-1, 0x1.09c222256e696p-1, 0x1.088006f3f18bdp-1, 0x1.072e44704357dp-1, 0x1.05cd227181f7p-1, 0x1.045cf22199ef6p-1, 0x1.02de0cf892e1bp-1, 0x1.0150d3c8cebbfp-1, 0x1.ff6b5bb2aa67fp-2, 0x1.fc1a101914553p-2, 0x1.f8aea82885acep-2, 0x1.f52a0f60884c1p-2, 0x1.f18d37f1fa671p-2, 0x1.edd9196deb457p-2, 0x1.ea0eaf8bc26d3p-2, 0x1.e62ef90aaa803p-2, 0x1.e23af6ad3f659p-2, 0x1.de33aa4bc6af3p-2, 0x1.da1a15fe5f462p-2, 0x1.d5ef3b5ae5a5bp-2, 0x1.d1b41ac29a6aap-2, 0x1.cd69b2c10e3ep-2, 0x1.c910ff77df91ep-2, 0x1.c4aafa16948d4p-2, 0x1.c03898600d94ep-2, 0x1.bbbacc3c6f7e3p-2, 0x1.b7328356962a3p-2, 0x1.b2a0a6c74ad7cp-2, 0x1.ae061acd220fdp-2, 0x1.a963be8e981f2p-2, 0x1.a4ba6be809192p-2, 0x1.a00af743bf623p-2, 0x1.9b562f78c70f3p-2, 0x1.969cddb202877p-2, 0x1.91dfc55ae5ab9p-2, 0x1.8d1fa4107cefcp-2, 0x1.885d31983f7b2p-2, 0x1.83991fd96b4fep-2, 0x1.7ed41ada13e84p-2, 0x1.7a0ec8c1f4dp-2, 0x1.7549c9de9c2b4p-2, 0x1.7085b8aadb10fp-2, 0x1.6bc329dcdbf0ep-2, 0x1.6702ac7564ec2p-2, 0x1.6244c9d083417p-2, 0x1.5d8a05bce04a2p-2, 0x1.58d2de947f1a6p-2, 0x1.541fcd5444f32p-2, 0x1.4f7145b86cdcbp-2, 0x1.4ac7b65b2ea58p-2, 0x1.462388d0724b1p-2, 0x1.418521c3745dcp-2, 0x1.3cece117769afp-2, 0x1.385b2205e7d15p-2, 0x1.33d03b3b84c43p-2, 0x1.2f4c7ef828082p-2, 0x1.2ad03b2e6fa76p-2, 0x1.265bb9a0d99f4p-2, 0x1.21ef3fff9d0a6p-2, 0x1.1d8b1008623e1p-2, 0x1.192f67a478507p-2, 0x1.14dc81056fd7ep-2, 0x1.109292c3294cdp-2, 0x1.0c51cffa77a2cp-2, 0x1.081a6869cadc6p-2, 0x1.03ec888d56af7p-2, 0x1.ff90b378ab6c3p-3, 0x1.f75c048abd61dp-3, 0x1.ef3b4b12450d6p-3, 0x1.e72ec82b12878p-3, 0x1.df36b7818e5cdp-3, 0x1.d7534f8524104p-3, 0x1.cf84c19935e5ep-3, 0x1.c7cb3a4770862p-3, 0x1.c026e17072427p-3, 0x1.b897da78145e2p-3, 0x1.b11e4470c0bp-3, 0x1.a9ba3a48918b5p-3, 0x1.a26bd2f53eacap-3, 0x1.9b33219b87394p-3, 0x1.941035b43a2d2p-3, 0x1.8d031b3317227p-3, 0x1.860bdaaef7311p-3, 0x1.7f2a798647be8p-3, 0x1.785ef9fe962f6p-3, 0x1.71a95b64351adp-3, 0x1.6b099a2dca7d5p-3, 0x1.647fb01f504cbp-3, 0x1.5e0b9466e8649p-3, 0x1.57ad3bb5e0f59p-3, 0x1.5164985d2a533p-3, 0x1.4b319a6d81dacp-3, 0x1.45142fd46589fp-3, 0x1.3f0c447254588p-3, 0x1.3919c22fab34bp-3, 0x1.333c9115e29ffp-3, 0x1.2d74976b42178p-3, 0x1.27c1b9ca939ffp-3, 0x1.2223db3551c8dp-3, 0x1.1c9add24f0fcbp-3, 0x1.17269f9fc2a67p-3, 0x1.11c70150276f7p-3, 0x1.0c7bdf990fe04p-3, 0x1.074516a5b0315p-3, 0x1.0222817730a7fp-3, 0x1.fa27f3e984515p-4, 0x1.f032b1fd68e3dp-4, 0x1.e664ed01fbafcp-4, 0x1.dcbe530317702p-4, 0x1.d33e905670db2p-4, 0x1.c9e54fb2c2b8p-4, 0x1.c0b23a4da2a36p-4, 0x1.b7a4f7fc2fe76p-4, 0x1.aebd2f4ec5227p-4, 0x1.a5fa85a4a8706p-4, 0x1.9d5c9f3cedd0dp-4, 0x1.94e31f4b5b5abp-4, 0x1.8c8da812a729bp-4, 0x1.845bdafe8355ap-4, 0x1.7c4d58b8178a1p-4, 0x1.7461c134dc1a5p-4, 0x1.6c98b3c4b4736p-4, 0x1.64f1cf23ace22p-4, 0x1.5d6cb18f39061p-4, 0x1.5608f8dad368bp-4, 0x1.4ec6428059227p-4, 0x1.47a42bac364f3p-4, 0x1.40a25148c0dp-4, 0x1.39c0500bf76f6p-4, 0x1.32fdc4881a378p-4, 0x1.2c5a4b3c5d58cp-4, 0x1.25d580a2b1cdep-4, 0x1.1f6f013a0bbe4p-4, 0x1.1926698f3ea6ep-4, 0x1.12fb56472a0d5p-4, 0x1.0ced642b2f7d9p-4, 0x1.06fc3036724fdp-4, 0x1.012757a17273bp-4, 0x1.f6dcefd5ef741p-5, 0x1.eba25dbeacc3cp-5, 0x1.e09e353ff94ep-5, 0x1.d5cfb3589347ep-5, 0x1.cb3615d695524p-5, 0x1.c0d09b69dad97p-5, 0x1.b69e83b3797d6p-5, 0x1.ac9f0f52a4a92p-5, 0x1.a2d17ff0bc4c7p-5, 0x1.9935184dcf56bp-5, 0x1.8fc91c4d9e44bp-5, 0x1.868cd10472675p-5, 0x1.7d7f7cc3204c5p-5, 0x1.74a0672249582p-5, 0x1.6beed90cdfbadp-5, 0x1.636a1cc9f0447p-5, 0x1.5b117e058ab2p-5, 0x1.52e449d8bb6cep-5, 0x1.4ae1ced10eb8cp-5, 0x1.43095cf847f35p-5, 0x1.3b5a45dccf703p-5, 0x1.33d3dc9a2d58dp-5, 0x1.2c7575e072d0fp-5, 0x1.253e67f9cc562p-5, 0x1.1e2e0ace7c568p-5, 0x1.1743b7e876c79p-5, 0x1.107eca77dc28dp-5, 0x1.09de9f58c6a5dp-5, 0x1.036295196932dp-5, 0x1.fa1417fe93ecbp-6, 0x1.eda8cc14f9899p-6, 0x1.e1820dee47614p-6, 0x1.d59ea87c8f8e3p-6, 0x1.c9fd6a2ef4b2cp-6, 0x1.be9d24f77dcaap-6, 0x1.b37cae5273588p-6, 0x1.a89adf4cd9fd9p-6, 0x1.9df6948803dc3p-6, 0x1.938eae39da7b3p-6, 0x1.8962102b2f697p-6, 0x1.7f6fa1b64fbb9p-6, 0x1.75b64dc77bac1p-6, 0x1.6c3502df1bab2p-6, 0x1.62eab314573e5p-6, 0x1.59d654164d703p-6, 0x1.50f6df2ae14dep-6, 0x1.484b512b6f965p-6, 0x1.3fd2aa8095292p-6, 0x1.378bef1e844e7p-6, 0x1.2f7626829cfcfp-6, 0x1.27905bb1fab66p-6, 0x1.1fd99d37f8894p-6, 0x1.1850fd23910cp-6, 0x1.10f5910334463p-6, 0x1.09c671df60f23p-6, 0x1.02c2bc34cbbe6p-6, 0x1.f7d31fddee4cbp-7, 0x1.ea7420c6c52cdp-7, 0x1.dd66c89a571d8p-7, 0x1.d0a96b91064afp-7, 0x1.c43a649a99d1ep-7, 0x1.b818155185151p-7, 0x1.ac40e5ecee313p-7, 0x1.a0b345328e715p-7, 0x1.956da86984d45p-7, 0x1.8a6e8b4e2fc0cp-7, 0x1.7fb4700686ca6p-7, 0x1.753ddf1594b27p-7, 0x1.6b09674d458fdp-7, 0x1.61159dbde8af7p-7, 0x1.57611da45b0dfp-7, 0x1.4dea885815ab9p-7, 0x1.44b0853ad1e7bp-7, 0x1.3bb1c1aa9571ap-7, 0x1.32ecf0f5e169dp-7, 0x1.2a60cc508ca5dp-7, 0x1.220c12c729243p-7, 0x1.19ed892f4e79cp-7, 0x1.1203fa13ed3e9p-7, 0x1.0a4e359e9f862p-7, 0x1.02cb117ff4217p-7, 0x1.f6f2d1b3582e3p-8, 0x1.e8b0385a68faep-8, 0x1.dacc229eee587p-8, 0x1.cd4466c1f11fap-8, 0x1.c016e58ebeec7p-8, 0x1.b3418a490b05fp-8, 0x1.a6c24a8f5c617p-8, 0x1.9a97262e5f0dfp-8, 0x1.8ebe26e6a799ap-8, 0x1.8335602bff1ccp-8, 0x1.77faeee81e5p-8, 0x1.6d0cf94b7dc5p-8, 0x1.6269aeb34c925p-8, 0x1.580f47a32fdc3p-8, 0x1.4dfc05cc09d77p-8, 0x1.442e341658188p-8, 0x1.3aa4269cdc2bbp-8, 0x1.315c3a8e1e484p-8, 0x1.2854d5f2f7b66p-8, 0x1.1f8c675a410e6p-8, 0x1.17016578dd569p-8, 0x1.0eb24ed206293p-8, 0x1.069da97a0171dp-8, 0x1.fd8405fdd8abdp-9, 0x1.ee3be0f255f33p-9, 0x1.df601d71b9599p-9, 0x1.d0ee04f609575p-9, 0x1.c2e2f11a8a6c6p-9, 0x1.b53c4b93d5a26p-9, 0x1.a7f78dbe7648cp-9, 0x1.9b123fc9947e9p-9, 0x1.8e89f7a0a24f1p-9, 0x1.825c57cb319b9p-9, 0x1.76870e84da6d7p-9, 0x1.6b07d54321ba9p-9, 0x1.5fdc70c52d6bdp-9, 0x1.5502b1a3f97eep-9, 0x1.4a787536d5e6ep-9, 0x1.403ba6841efdep-9, 0x1.364a3eee1a73ap-9, 0x1.2ca24657f4af1p-9, 0x1.2341d29ec53fcp-9, 0x1.1a27066c571bbp-9, 0x1.11500f97dcb56p-9, 0x1.08bb2568b802cp-9, 0x1.0066871dffc4ap-9, 0x1.f0a0f625d7b16p-10, 0x1.e0ee9d6db00eap-10, 0x1.d1b2aebca754ep-10, 0x1.c2e9e7775cd33p-10, 0x1.b4911b43f0646p-10, 0x1.a6a537367cadap-10, 0x1.992343bd05463p-10, 0x1.8c0864a52c231p-10, 0x1.7f51d7024ee71p-10, 0x1.72fced37f63f6p-10, 0x1.670709e20f9d8p-10, 0x1.5b6d9aa62afep-10, 0x1.502e140eee472p-10, 0x1.4545ef6b334b3p-10, 0x1.3ab2ab4358098p-10, 0x1.3071ce6068cadp-10, 0x1.2680ecbf43a7cp-10, 0x1.1cddad4b0dd81p-10, 0x1.1385cefffe598p-10, 0x1.0a772c31f4a62p-10, 0x1.01afbb19a7aafp-10, 0x1.f25b16bfc300ep-11, 0x1.e1dd81f5e7da4p-11, 0x1.d1e31a886da07p-11, 0x1.c2684f3ac8c0cp-11, 0x1.b3698e677b35dp-11, 0x1.a4e33ea94b2cdp-11, 0x1.96d1be895e8a5p-11, 0x1.89316b69a411cp-11, 0x1.7bfeadfb525e2p-11, 0x1.6f36092e90968p-11, 0x1.62d42828a355dp-11, 0x1.56d5e85f8adb4p-11, 0x1.4b385e10e1d0ep-11, 0x1.3ff8d2560126dp-11, 0x1.3514bafd28ad4p-11, 0x1.2a89ad29c81c6p-11, 0x1.20554cd3c228cp-11, 0x1.16753c6bd8523p-11, 0x1.0ce71091ba688p-11, 0x1.03a84b2c5e4adp-11, 0x1.f56cbe301d882p-12, 0x1.e41d75747e8e9p-12, 0x1.d35dab5a552cbp-12, 0x1.c3287b04231c3p-12, 0x1.b3793e911296ap-12, 0x1.a44b9b6ce81e7p-12, 0x1.959b895c482d2p-12, 0x1.8765542fe0b14p-12, 0x1.79a59543289ebp-12, 0x1.6c5921b5fe016p-12, 0x1.5f7cee4bd998dp-12, 0x1.530deff91d0ccp-12, 0x1.4709040e04f5cp-12, 0x1.3b6ae8f603f6ep-12, 0x1.303048cff7338p-12, 0x1.2555ce29724fcp-12, 0x1.1ad836864749ep-12, 0x1.10b45982374a8p-12, 0x1.06e7248e9589cp-12, 0x1.fadb28e0305dbp-13, 0x1.e8896fa3df58fp-13, 0x1.d6d37e30b39f5p-13, 0x1.c5b423aa77effp-13, 0x1.b526b63f0bccfp-13, 0x1.a5270390ad86fp-13, 0x1.95b11ce5c3c77p-13, 0x1.86c11cca77a05p-13, 0x1.7853085a492cdp-13, 0x1.6a62d9db4b8c3p-13, 0x1.5ceca5c46e2e7p-13, 0x1.4fecbbc8857ap-13, 0x1.435faa574b08fp-13, 0x1.37421c7f0f63cp-13, 0x1.2b909f0e2ef19p-13, 0x1.20476b1fd6f95p-13, 0x1.156258a7eed1ap-13, 0x1.0add0b541980bp-13, 0x1.00b34b1305e45p-13, 0x1.edc2b5881b45fp-14, 0x1.dac83864de413p-14, 0x1.c871e3cfb81a9p-14, 0x1.b6bafd953eb81p-14, 0x1.a59eededa3fcap-14, 0x1.9519367c3d6efp-14, 0x1.85259fcec1346p-14, 0x1.75c0627318ac5p-14, 0x1.66e62af9a88c8p-14, 0x1.5893f165727c2p-14, 0x1.4ac6a44e7853bp-14, 0x1.3d7ab3aa6aa46p-14, 0x1.30ab9ed40e494p-14, 0x1.2453c187fe485p-14, 0x1.186c9990034e1p-14, 0x1.0cef8592ac6f2p-14, 0x1.01d6a6f65da5dp-14, 0x1.ee3adbf16839cp-15, 0x1.d981261ae0132p-15, 0x1.c57b5120f9631p-15, 0x1.b225434e6694ap-15, 0x1.9f7b062487a72p-15, 0x1.8d788240c41bcp-15, 0x1.7c199e6833e3cp-15, 0x1.6b5aa96b2c458p-15, 0x1.5b388c28be174p-15, 0x1.4bb06a8eb8bf7p-15, 0x1.3cbefe6d8b98ap-15, 0x1.2e600bfd8d729p-15, 0x1.208dff4528caep-15, 0x1.1341cb7f8f771p-15, 0x1.0673485144644p-15, 0x1.f434091335619p-16, 0x1.dc5c78b4986b2p-16, 0x1.c553807f467ebp-16, 0x1.af1148132a1cfp-16, 0x1.9992749a319bdp-16, 0x1.84d5f64da60fep-16, 0x1.70d9aa127d09p-16, 0x1.5d988f2b08f3ep-16, 0x1.4b0c6861a21aap-16, 0x1.39308f0bd09ep-16, 0x1.28023a6fc4393p-16, 0x1.177e745bb17f7p-16, 0x1.07a092f05dabp-16, 0x1.f0c4aae3d8848p-17, 0x1.d37a08e3e27d9p-17, 0x1.b755007316667p-17, 0x1.9c4a8dfed4507p-17, 0x1.824ee239b1c2fp-17, 0x1.695308145e4f9p-17, 0x1.5144613e3ebb5p-17, 0x1.3a1082a484329p-17, 0x1.23acdb1f633a1p-17, 0x1.0e1a047d42421p-17, 0x1.f2b8b87c10406p-18, 0x1.cae2f47512ebep-18, 0x1.a49f805cb0126p-18, 0x1.7fde4273a549fp-18, 0x1.5c9a3cc1723fbp-18, 0x1.3ad0409e6f16bp-18, 0x1.1a75b88f2f10ap-18, 0x1.f6f058bff1756p-19, 0x1.bb8548d92232bp-19, 0x1.82885e14c18cfp-19, 0x1.4be6e6fc4124fp-19, 0x1.179b979181b82p-19, 0x1.cb4a24d65389dp-20, 0x1.6bf38b5b81c35p-20, 0x1.10fe2809ea459p-20, 0x1.7415ac0452f3dp-21, 0x1.9aa071dccbc22p-22, 0x1.69dc33149362p-24, -0x1.af8a1f61ea9b6p-23, -0x1.fb7d9168022ddp-22, -0x1.88a41e8ba925ap-21, -0x1.0682ee4bb24e9p-20, -0x1.457938b3ec1fdp-20, -0x1.812b0a75ffdffp-20, -0x1.b9b3633becb79p-20, -0x1.ef4b41d4e2993p-20, -0x1.1113a8781ca2bp-19, -0x1.2934571b2258dp-19, -0x1.4011495e3e4c8p-19, -0x1.55b10d1df156ap-19, -0x1.6a17640a71384p-19, -0x1.7d444d9a2709dp-19, -0x1.8f36a884e05e2p-19, -0x1.9ff212a2f9594p-19, -0x1.af837a82646b3p-19, -0x1.be0706f41df73p-19, -0x1.cba2d732dc708p-19, -0x1.d85ffbdb2dfa4p-19, -0x1.e42572471a983p-19, -0x1.eef4498eb09b7p-19, -0x1.f8e7b96058656p-19, -0x1.00ff2169350bfp-18, -0x1.05160498d0a24p-18, -0x1.08bf132e84805p-18, -0x1.0c050a6ec8dcbp-18, -0x1.0eee19f207f94p-18, -0x1.117ca92f0ea33p-18, -0x1.13b219aa97581p-18, -0x1.159029da92711p-18, -0x1.17193d93c255fp-18, -0x1.184feb05848c8p-18, -0x1.19360ca076fd6p-18, -0x1.19cc3488b26f9p-18, -0x1.1a129be2f56dcp-18, -0x1.1a0b0d193e29cp-18, -0x1.19b9ede2eabd3p-18, -0x1.19260141d6ae5p-18, -0x1.1854e257b4129p-18, -0x1.1744f8cd2d0d1p-18, -0x1.15f6135d934d9p-18, -0x1.146f9b7de7599p-18, -0x1.12aec15ce8521p-18, -0x1.10b01503c8045p-18, -0x1.0e79ff7daf432p-18, -0x1.0c11e31b110cfp-18, -0x1.097977add8585p-18, -0x1.06b18782313e9p-18, -0x1.03bb1fa1f2f88p-18, -0x1.00979707f8678p-18, -0x1.fa90cf6273131p-19, -0x1.f39e41373f1d8p-19, -0x1.ec5abeb6bda3p-19, -0x1.e4c9585b6629fp-19, -0x1.dcec89251a2bep-19, -0x1.d4c6258604c3cp-19, -0x1.cc57ac1112d97p-19, -0x1.c3a3c9e14f3c5p-19, -0x1.bab0a9930f549p-19, -0x1.b17fb7651eef7p-19, -0x1.a810f644b8f42p-19, -0x1.9e6e40350f897p-19, -0x1.94983d0f39984p-19, -0x1.8a8d3e39820bp-19, -0x1.804d1e32f38c7p-19, -0x1.75ddd37f6f7aap-19, -0x1.6b43ad283bb2p-19, -0x1.608011b6a27d2p-19, -0x1.5594520e831bap-19, -0x1.4a823698e6905p-19, -0x1.3f4bc339ab8e8p-19, -0x1.33f3029ff5e2p-19, -0x1.2879ed5d3ba1ep-19, -0x1.1ce2693117ae3p-19, -0x1.112e583845373p-19, -0x1.055fa3ac7f2a9p-19, -0x1.f2f068800c8d8p-20, -0x1.daf3d89299ffep-20, -0x1.c2ccd31ddc117p-20, -0x1.aa7c35e39565fp-20, -0x1.920524311007cp-20, -0x1.797026176f123p-20, -0x1.60be5f22f53c6p-20, -0x1.47f0d4bba291cp-20, -0x1.2f0b3b394fddbp-20, -0x1.16143030d87d3p-20, -0x1.fa175473f3634p-21, -0x1.c7e6ee9c932ddp-21, -0x1.95a20b4a5ddf4p-21, -0x1.634d774c08febp-21, -0x1.30ed67840f7a4p-21, -0x1.fd0da6bf6bfd8p-22, -0x1.983dfa0c09ddfp-22, -0x1.33764a0f7e566p-22, -0x1.9d81a14a148f5p-23, -0x1.a89d8f2f8b112p-24, -0x1.6cdf39dca51e5p-28, 0x1.7a46562be78acp-24, 0x1.853cea5292d0dp-23, 0x1.2669b90765f03p-22, 0x1.89ea0d9016c8ap-22, 0x1.ed1602d96e9b2p-22, 0x1.27f3b7aed28ebp-21, 0x1.592eee33751a8p-21, 0x1.8a3400042d23cp-21, 0x1.bafaa1f772b3cp-21, 0x1.eb844ad7b603p-21, 0x1.0de90823c4b73p-20, 0x1.25ecf0d29b7eep-20, 0x1.3dca835597eeep-20, 0x1.558351f20b5afp-20, 0x1.6d149beb965fbp-20, 0x1.847c2fb54f34ap-20, 0x1.9bb8c65965b8cp-20, 0x1.b2c8ee35de496p-20, 0x1.c9ab23419d233p-20, 0x1.e05de521439fp-20, 0x1.f6dfbd903ef4bp-20, 0x1.0697a17f859ddp-19, 0x1.11a58cfdf14bfp-19, 0x1.1c98fa4f964d2p-19, 0x1.277147088be37p-19, 0x1.322dd2475d193p-19, 0x1.3ccdfd3109df3p-19, 0x1.4751302e0d9a8p-19, 0x1.51b6d91ec8a7fp-19, 0x1.5bfe602f7a193p-19, 0x1.6627869c7cae2p-19, 0x1.7031ed3480d2bp-19, 0x1.7a1c213a466f6p-19, 0x1.83e6a1330c1c1p-19, 0x1.8d90bcae00436p-19, 0x1.9719a59849abep-19, 0x1.a081669185f62p-19, 0x1.a9c73251e5a53p-19, 0x1.b2eb11e0fb0ccp-19, 0x1.bbec6a4594ba4p-19, 0x1.c4cad295f2aa1p-19, 0x1.cd860a7894a11p-19, 0x1.d61dc4732ec0bp-19, 0x1.de91b2a8d9f31p-19, 0x1.e6e18ad449a29p-19, 0x1.ef0d06bfb8df4p-19, 0x1.f713e47fc5e71p-19, 0x1.fef5e6b79015ap-19, 0x1.03596a4f070d5p-18, 0x1.07253c9a76d3cp-18, 0x1.0ade50ea3504fp-18, 0x1.0e848ed903b9bp-18, 0x1.1217e018ca17dp-18, 0x1.15983297e0b73p-18, 0x1.190575be548adp-18, 0x1.1c5f90cb21b95p-18, 0x1.1fa689e64193ap-18, 0x1.22da439e9a603p-18, 0x1.25fabd22d0426p-18, 0x1.2907ec1915e6dp-18, 0x1.2c01ba921d6e4p-18, 0x1.2ee828c95e4f5p-18, 0x1.31bb299be53aap-18, 0x1.347acce39f72p-18, 0x1.372714894a983p-18, 0x1.39bff7e5d1fb3p-18, 0x1.3c456be341d06p-18, 0x1.3eb77c795b59dp-18, 0x1.41162fa3b6718p-18, 0x1.43618ac16a0e4p-18, 0x1.459994819fe6cp-18, 0x1.47be54fcba11dp-18, 0x1.49cfd5a76ec95p-18, 0x1.4bce2157db785p-18, 0x1.4db9444cfa8b4p-18, 0x1.4f914c228c6bbp-18, 0x1.51564787b3343p-18, 0x1.530845ea0dd46p-18, 0x1.54a75781882ep-18, 0x1.56338e0706279p-18, 0x1.57acfe3077e83p-18, 0x1.5913bdcde6ddp-18, 0x1.5a67da08ac0f2p-18, 0x1.5ba96aab34478p-18, 0x1.5cd89878d578cp-18, 0x1.5df5759a51d19p-18, 0x1.5f0008081cb84p-18, 0x1.5ff874749c79dp-18, 0x1.60deda1cb2025p-18, 0x1.61b35404c8446p-18, 0x1.6275f95100fc2p-18, 0x1.6326e4cecbf4cp-18, 0x1.63c64c74bf267p-18, 0x1.64543d7772728p-18, 0x1.64d0d34b274bap-18, 0x1.653c34f677c74p-18, 0x1.6596846a35b23p-18, 0x1.65dfe39a0041p-18, 0x1.66187540ccfb1p-18, 0x1.66405cd24223cp-18, 0x1.6657be6c180e9p-18, 0x1.665ebed29be54p-18, 0x1.665583716cbc2p-18, 0x1.663c32517eadep-18, 0x1.6612f201d28a8p-18, 0x1.65d9e970b53d8p-18, 0x1.65913fe90e118p-18, 0x1.65391d3b5438ep-18, 0x1.64d1aa597effap-18, 0x1.645b1183e65e8p-18, 0x1.63d57ab8686b9p-18, 0x1.6341077c8e0e4p-18, 0x1.629df1fb77065p-18, 0x1.61ec6539a71e6p-18, 0x1.612c7b8e92785p-18, 0x1.605e67d6195dcp-18, 0x1.5f8256e499e6ep-18, 0x1.5e9874c64926cp-18, 0x1.5da0edd2b9775p-18, 0x1.5c9bee03f6c3dp-18, 0x1.5b899fabb53e3p-18, 0x1.5a6a2e9ef654p-18, 0x1.593dd470f0931p-18, 0x1.5804b0d20c39p-18, 0x1.56bef4802167bp-18, 0x1.556cce8621816p-18, 0x1.540e6c9a977d4p-18, 0x1.52a3fc9d91f3cp-18, 0x1.512dac9ab24b3p-18, 0x1.4fabaabd294cap-18, 0x1.4e1e254c1a354p-18, 0x1.4c854aa56b2p-18, 0x1.4ae1493b1674bp-18, 0x1.49324f8da649fp-18, 0x1.47788c2089c0fp-18, 0x1.45b42d71a0b29p-18, 0x1.43e561f9212b5p-18, 0x1.420c5832eeddbp-18, 0x1.40293ed63e09dp-18, 0x1.3e3c44d136e25p-18, 0x1.3c459821157d4p-18, 0x1.3a45638ba32d9p-18, 0x1.383bdd2b4dbbcp-18, 0x1.362930901a219p-18, 0x1.340d87c4a160bp-18, 0x1.31e913b7bc417p-18, 0x1.2fbc02713bed8p-18, 0x1.2d8681b10a96dp-18, 0x1.2b48bf3adbc0ep-18, 0x1.2902e8c471339p-18, 0x1.26b52bb84d699p-18, 0x1.245fb53c03ac6p-18, 0x1.2202b123d80b6p-18, 0x1.1f9e4f721e76fp-18, 0x1.1d32bb6e7c76p-18, 0x1.1ac020a656db3p-18, 0x1.1846ac62bfb03p-18, 0x1.15c68acb382d4p-18, 0x1.133fe7cc3f198p-18, 0x1.10b2ef1ce8251p-18, 0x1.0e1fcc3dcf911p-18, 0x1.0b86aa766b55bp-18, 0x1.08e7b4cdc403p-18, 0x1.0643160b6e127p-18, 0x1.0398f8bb45632p-18, 0x1.00e9871e80278p-18, 0x1.fc69d652cb004p-19, 0x1.f6f69d0204b75p-19, 0x1.f179b5034ac3fp-19, 0x1.ebf37091b562bp-19, 0x1.e66421863eb04p-19, 0x1.e0cc191d70541p-19, 0x1.db2ba760af4a1p-19, 0x1.d5831a8023904p-19, 0x1.cfd2c6f9e90bfp-19, 0x1.ca1af682ccd63p-19, 0x1.c45bf7fd29b95p-19, 0x1.be96192b4b558p-19, 0x1.b8c9a691fbbfcp-19, 0x1.b2f6ec109db43p-19, 0x1.ad1e34dec6a76p-19, 0x1.a73fcb948e7e3p-19, 0x1.a15bfa1c00284p-19, 0x1.9b730996a1e7dp-19, 0x1.9585428029282p-19, 0x1.8f92ec527d7dbp-19, 0x1.899c4e748ef58p-19, 0x1.83a1af9695db9p-19, 0x1.7da3547a309bbp-19, 0x1.77a18261de35dp-19, 0x1.719c7d70d9699p-19, 0x1.6b94890a13d3ap-19, 0x1.6589e7d250eb7p-19, 0x1.5f7cdbb1ee918p-19, 0x1.596da5d100fp-19, 0x1.535c869705cf3p-19, 0x1.4d49bdab87252p-19, 0x1.473589f32ffe5p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.f5d981163279cp-7, -0x1.f57cf96f7e4a1p-6, -0x1.77aa4c81bdd73p-5, -0x1.f40c3abfdb05dp-5, -0x1.37dbadeff09ebp-4, -0x1.753fcf3d06d28p-4, -0x1.b21cfb8f4200cp-4, -0x1.ee5e437206da1p-4, -0x1.14f7af2f4210ep-3, -0x1.325e5c6f71412p-3, -0x1.4f59c025e29dfp-3, -0x1.6be0d626f96dap-3, -0x1.87eb0328ee526p-3, -0x1.a370178e96a76p-3, -0x1.be68515b1d1ecp-3, -0x1.d8cc5d664225ap-3, -0x1.f29557e776df3p-3, -0x1.05de663674711p-2, -0x1.121e5aa8f440ep-2, -0x1.1e07bd633be2ep-2, -0x1.2997f8bbf9badp-2, -0x1.34ccac74a5cccp-2, -0x1.3fa3acc3ba681p-2, -0x1.4a1b0142aedf4p-2, -0x1.5430e3c4aa75p-2, -0x1.5de3bf1a40481p-2, -0x1.67322dc605edep-2, -0x1.701af8a54d33ap-2, -0x1.789d158fefc3ep-2, -0x1.80b7a5f1a7c62p-2, -0x1.8869f55f30c53p-2, -0x1.8fb37829174a8p-2, -0x1.9693c9ede2aa2p-2, -0x1.9d0aac2d091ecp-2, -0x1.a31804dbee629p-2, -0x1.a8bbdcfe0167ep-2, -0x1.adf65f40d7bc4p-2, -0x1.b2c7d69d162d3p-2, -0x1.b730acfcc02b3p-2, -0x1.bb3169e772bep-2, -0x1.becab134f3b6bp-2, -0x1.c1fd41c6675d6p-2, -0x1.c4c9f4465ebdfp-2, -0x1.c731b9efe9adfp-2, -0x1.c9359b5cc1a7ap-2, -0x1.cad6b75a8d7a4p-2, -0x1.cc1641c74316ap-2, -0x1.ccf5827488aecp-2, -0x1.cd75d4120b0bp-2, -0x1.cd98a31ea1f05p-2, -0x1.cd5f6ce01fd84p-2, -0x1.cccbbe61ab8f5p-2, -0x1.cbdf3378797f7p-2, -0x1.ca9b75ceb8acep-2, -0x1.c9023bf4942a8p-2, -0x1.c71548771c2a9p-2, -0x1.c4d668fcf1b93p-2, -0x1.c24775689a4d5p-2, -0x1.bf6a4f0056aeep-2, -0x1.bc40df9b62cedp-2, -0x1.b8cd18d48660ep-2, -0x1.b510f341e2dc2p-2, -0x1.b10e6db1ea37fp-2, -0x1.acc78c6d71a38p-2, -0x1.a83e587ed2248p-2, -0x1.a374defe0fa46p-2, -0x1.9e6d3061fe7fep-2, -0x1.99295fd65ece8p-2, -0x1.93ab8296f0e5dp-2, -0x1.8df5af4f77a93p-2, -0x1.8809fd80adedbp-2, -0x1.81ea84ea2afcp-2, -0x1.7b995cf9323cp-2, -0x1.75189c3c74314p-2, -0x1.6e6a57dcb8deap-2, -0x1.6790a31a7633fp-2, -0x1.608d8ed04d3f3p-2, -0x1.596328fa69badp-2, -0x1.52137c42c69d1p-2, -0x1.4aa08f9246f1ap-2, -0x1.430c65a6a5311p-2, -0x1.3b58fcad2a916p-2, -0x1.33884de22accfp-2, -0x1.2b9c4d352def8p-2, -0x1.2396e8f1cc206p-2, -0x1.1b7a096d18397p-2, -0x1.134790b79f53bp-2, -0x1.0b015a53d8c8dp-2, -0x1.02a93af101d1fp-2, -0x1.f482005493e2ap-3, -0x1.e394e0947edep-3, -0x1.d28e9424c068cp-3, -0x1.c172890d7d804p-3, -0x1.b0441d7b419f1p-3, -0x1.9f069f65f72e9p-3, -0x1.8dbd4c3f7625ap-3, -0x1.7c6b50a965fb4p-3, -0x1.6b13c8324d1a8p-3, -0x1.59b9bd19893a9p-3, -0x1.4860281a07453p-3, -0x1.3709f03b7e188p-3, -0x1.25b9eaa9f2178p-3, -0x1.1472da935208bp-3, -0x1.0337710af2541p-3, -0x1.e41499e55e6dap-4, -0x1.c1dbf5d3040aep-4, -0x1.9fc9ea7ea2659p-4, -0x1.7de347db8ef07p-4, -0x1.5c2cb92bffccdp-4, -0x1.3aaac50599fa1p-4, -0x1.1961cd5edd438p-4, -0x1.f0ac1f4a042cp-5, -0x1.af1749b3d6f13p-5, -0x1.6e0d037397641p-5, -0x1.2d94edd04042ap-5, -0x1.db6cc48ea3ebp-6, -0x1.5cf0e60407d98p-6, -0x1.bf87ad5c64c19p-7, -0x1.8fca82c4f4f3p-8, 0x1.6763d25fd8558p-10, 0x1.1ed59c34a7412p-7, 0x1.06dfa6228685ep-6, 0x1.7cc9e07a67797p-6, 0x1.f11f1e220a822p-6, 0x1.31eac2260e411p-5, 0x1.6a71dd5e2f532p-5, 0x1.a220750ba4ff5p-5, 0x1.d8f25d11ee02ep-5, 0x1.0771d4001a431p-4, 0x1.21f85312dca43p-4, 0x1.3c0af2505067bp-4, 0x1.55a81633cdd1ep-4, 0x1.6ece40a7641fap-4, 0x1.877c1084186b3p-4, 0x1.9fb0411026ecp-4, 0x1.b769a97b6a1abp-4, 0x1.cea73c5a262c4p-4, 0x1.e568071e4bb87p-4, 0x1.fbab318f6de1ap-4, 0x1.08b7fea0c35e5p-3, 0x1.135ae28561d5bp-3, 0x1.1dbdfe3c2950bp-3, 0x1.27e117a14c0ecp-3, 0x1.31c400604f2c8p-3, 0x1.3b6695ad955fp-3, 0x1.44c8bfffb0824p-3, 0x1.4dea72c896212p-3, 0x1.56cbac2ec5e9fp-3, 0x1.5f6c74c66bbd5p-3, 0x1.67ccdf4a87e59p-3, 0x1.6fed08563535bp-3, 0x1.77cd161e1257ep-3, 0x1.7f6d3829d473ap-3, 0x1.86cda70e21131p-3, 0x1.8deea426a2f78p-3, 0x1.94d079507b4ap-3, 0x1.9b7378a5065bdp-3, 0x1.a1d7fc350bb72p-3, 0x1.a7fe65c45fa76p-3, 0x1.ade71e85f71bbp-3, 0x1.b39296d884c13p-3, 0x1.b9014603992cap-3, 0x1.be33a9f55f96dp-3, 0x1.c32a4700ec9c4p-3, 0x1.c7e5a79d341dap-3, 0x1.cc665c24a720ep-3, 0x1.d0acfa9582805p-3, 0x1.d4ba1e52d56fap-3, 0x1.d88e67e6427b7p-3, 0x1.dc2a7cc28c9a7p-3, 0x1.df8f0706e23dcp-3, 0x1.e2bcb542ff009p-3, 0x1.e5b43a3c2154cp-3, 0x1.e8764cb2d6cf1p-3, 0x1.eb03a729a45a8p-3, 0x1.ed5d07ac97843p-3, 0x1.ef832f99b570ep-3, 0x1.f176e36a5d78fp-3, 0x1.f338ea7d90779p-3, 0x1.f4ca0ee331079p-3, 0x1.f62b1d282e9b4p-3, 0x1.f75ce423b5d32p-3, 0x1.f86034c54c908p-3, 0x1.f935e1e3f2652p-3, 0x1.f9dec00e39f18p-3, 0x1.fa5ba55b6be6dp-3, 0x1.faad693da053dp-3, 0x1.fad4e454e276ap-3, 0x1.fad2f0435649p-3, 0x1.faa8678267b06p-3, 0x1.fa562538fa86bp-3, 0x1.f9dd0512a2856p-3, 0x1.f93de317e93a2p-3, 0x1.f8799b8793123p-3, 0x1.f7910ab0f0adep-3, 0x1.f6850ccf33af5p-3, 0x1.f5567de5d0b2fp-3, 0x1.f406399de05e4p-3, 0x1.f2951b248af38p-3, 0x1.f103fd0a759fap-3, 0x1.ef53b92434253p-3, 0x1.ed85286bbfc63p-3, 0x1.eb9922e2e4779p-3, 0x1.e9907f76bc1fbp-3, 0x1.e76c13e41ad78p-3, 0x1.e52cb49cfa428p-3, 0x1.e2d334aedf969p-3, 0x1.e06065aa38cf5p-3, 0x1.ddd5178aabc68p-3, 0x1.db3218a059d3cp-3, 0x1.d878357a12addp-3, 0x1.d5a838d071453p-3, 0x1.d2c2eb71e8c17p-3, 0x1.cfc9142fb46e9p-3, 0x1.ccbb77cbab7bdp-3, 0x1.c99ad8e6f7abcp-3, 0x1.c667f7f1a9acap-3, 0x1.c323931b2796p-3, 0x1.bfce66437043fp-3, 0x1.bc692aed3a991p-3, 0x1.b8f49830d8065p-3, 0x1.b57162afef759p-3, 0x1.b1e03c89fc5adp-3, 0x1.ae41d55191ecep-3, 0x1.aa96da026284fp-3, 0x1.a6dff4f8033aep-3, 0x1.a31dcde569fbbp-3, 0x1.9f5109cd22952p-3, 0x1.9b7a4afa33ad8p-3, 0x1.979a30f9b3a7cp-3, 0x1.93b15895090cfp-3, 0x1.8fc05bcccf731p-3, 0x1.8bc7d1d45ab7fp-3, 0x1.87c84f0de3ffep-3, 0x1.83c2650744525p-3, 0x1.7fb6a2774d8afp-3, 0x1.7ba5933bb2abp-3, 0x1.778fc0577f8bp-3, 0x1.7375aff21aa5dp-3, 0x1.6f57e556c9125p-3, 0x1.6b36e0f4be587p-3, 0x1.6713205fa0626p-3, 0x1.62ed1e508d9bfp-3, 0x1.5ec552a791e75p-3, 0x1.5a9c326d98787p-3, 0x1.56722fd6c1f7dp-3, 0x1.5247ba452a5a6p-3, 0x1.4e1d3e4c1928ep-3, 0x1.49f325b38fe4dp-3, 0x1.45c9d77c376d7p-3, 0x1.41a1b7e3ae262p-3, 0x1.3d7b28692d31cp-3, 0x1.395687d27db95p-3, 0x1.353432314547ap-3, 0x1.311480e89ce92p-3, 0x1.2cf7cab2f3f0fp-3, 0x1.28de63a833d5ep-3, 0x1.24c89d443338fp-3, 0x1.20b6c66d5bf0cp-3, 0x1.1ca92b7b97733p-3, 0x1.18a0163f6f24cp-3, 0x1.149bce0965d44p-3, 0x1.109c97b188a18p-3, 0x1.0ca2b59f23129p-3, 0x1.08ae67d0b27e7p-3, 0x1.04bfebe3f59d1p-3, 0x1.00d77d1e2b977p-3, 0x1.f9eaa8e8ec8d8p-4, 0x1.f2335128b4b73p-4, 0x1.ea895bd8d1b9ap-4, 0x1.e2ed2d69f2b9p-4, 0x1.db5f25f214001p-4, 0x1.d3dfa13e5eba2p-4, 0x1.cc6ef6e539efcp-4, 0x1.c50d7a58877dbp-4, 0x1.bdbb7af7f4668p-4, 0x1.b679442378a38p-4, 0x1.af471d4ddc3cbp-4, 0x1.a8254a0f6699bp-4, 0x1.a1140a388a4dbp-4, 0x1.9a1399e4ab46dp-4, 0x1.9324318ceb52fp-4, 0x1.8c46061af487fp-4, 0x1.857948fbd1becp-4, 0x1.7ebe2832b847bp-4, 0x1.7814ce6bd73fap-4, 0x1.717d630f16b5ep-4, 0x1.6af80a52d0aa3p-4, 0x1.6484e54e770a4p-4, 0x1.5e24120d2bf6fp-4, 0x1.57d5aba042769p-4, 0x1.5199ca31ac53fp-4, 0x1.4b70831647f97p-4, 0x1.4559e8e019b67p-4, 0x1.3f560b70617bbp-4, 0x1.3964f80992828p-4, 0x1.3386b96126897p-4, 0x1.2dbb57b14b3e3p-4, 0x1.2802d8ca6e3aep-4, 0x1.225d40249a916p-4, 0x1.1cca8ef0adb42p-4, 0x1.174ac4295ea08p-4, 0x1.11dddca41d1bp-4, 0x1.0c83d321bb701p-4, 0x1.073ca05ee93cp-4, 0x1.02083b247cf17p-4, 0x1.f9cd30af172c4p-5, 0x1.efaf5612922b6p-5, 0x1.e5b6c90d684eap-5, 0x1.dbe368d01c427p-5, 0x1.d23511402f055p-5, 0x1.c8ab9b162dabfp-5, 0x1.bf46dbfb4b0ap-5, 0x1.b606a6a688695p-5, 0x1.aceacaf96592bp-5, 0x1.a3f3161c1dc9p-5, 0x1.9b1f52996d23ep-5, 0x1.926f4879db1f6p-5, 0x1.89e2bd5e943a3p-5, 0x1.8179749bbeef3p-5, 0x1.79332f52617fep-5, 0x1.710fac89c806cp-5, 0x1.690ea94871271p-5, 0x1.612fe0ac79f5dp-5, 0x1.59730c039ab47p-5, 0x1.51d7e2e29f403p-5, 0x1.4a5e1b3c66d2dp-5, 0x1.430569786c7cdp-5, 0x1.3bcd8088c9ec8p-5, 0x1.34b611ffcd22bp-5, 0x1.2dbece250dbaep-5, 0x1.26e7640a08d1p-5, 0x1.202f819e45fa7p-5, 0x1.1996d3c3000bdp-5, 0x1.131d065e56f29p-5, 0x1.0cc1c46e10f76p-5, 0x1.0684b819dbee2p-5, 0x1.00658ac522bc4p-5, 0x1.f4c7ca40ca86cp-6, 0x1.e8fede74504c3p-6, 0x1.dd6fa11ec1ecfp-6, 0x1.d21960370832p-6, 0x1.c6fb68d02d9c2p-6, 0x1.bc150737a6ea5p-6, 0x1.b1658712caa16p-6, 0x1.a6ec337b63e07p-6, 0x1.9ca8571b70b26p-6, 0x1.92993c480c8fcp-6, 0x1.88be2d1b87112p-6, 0x1.7f16738ebbeefp-6, 0x1.75a1599184318p-6, 0x1.6c5e292277758p-6, 0x1.634c2c65d2579p-6, 0x1.5a6aadbb9ee0bp-6, 0x1.51b8f7d527663p-6, 0x1.493655c9a0279p-6, 0x1.40e2132a204cfp-6, 0x1.38bb7c14ce1f6p-6, 0x1.30c1dd47782fp-6, 0x1.28f484315cc65p-6, 0x1.2152bf045254fp-6, 0x1.19dbdcc544db6p-6, 0x1.128f2d5c090c1p-6, 0x1.0b6c01a285d56p-6, 0x1.0471ab734971ap-6, 0x1.fb3efb6ee5878p-7, 0x1.ede998e7fcf7cp-7, 0x1.e0e1d9acf9e2fp-7, 0x1.d4266a827517bp-7, 0x1.c7b5faadad02cp-7, 0x1.bb8f3c0a77ec6p-7, 0x1.afb0e32038e23p-7, 0x1.a419a735b5866p-7, 0x1.98c84263e348p-7, 0x1.8dbb71a7a3949p-7, 0x1.82f1f4f29d724p-7, 0x1.786a8f3aff097p-7, 0x1.6e24068a5ep-7, 0x1.641d240bab63ep-7, 0x1.5a54b4182a428p-7, 0x1.50c9864398c56p-7, 0x1.477a6d676f8bbp-7, 0x1.3e663fad504c5p-7, 0x1.358bd698b18cdp-7, 0x1.2cea0f0faf12ap-7, 0x1.247fc96311a44p-7, 0x1.1c4be9559be34p-7, 0x1.144d5622b060dp-7, 0x1.0c82fa840ea1fp-7, 0x1.04ebc4b715b36p-7, 0x1.fb0d4d02905c2p-8, 0x1.eca52a683754fp-8, 0x1.de9d136098fe6p-8, 0x1.d0f300d0e6b85p-8, 0x1.c3a4f2c612307p-8, 0x1.b6b0f077ccaf3p-8, 0x1.aa15084a56f6ep-8, 0x1.9dcf4fcf4e758p-8, 0x1.91dde3c56ec7fp-8, 0x1.863ee8174b374p-8, 0x1.7af087d946461p-8, 0x1.6ff0f54624e57p-8, 0x1.653e69bb50506p-8, 0x1.5ad725b3e90a4p-8, 0x1.50b970c2e5d26p-8, 0x1.46e3998cd8864p-8, 0x1.3d53f5c0691efp-8, 0x1.3408e20eb5625p-8, 0x1.2b00c22270d18p-8, 0x1.223a009678b3ep-8, 0x1.19b30eec0a1e1p-8, 0x1.116a65800797fp-8, 0x1.095e837fc0a91p-8, 0x1.018deedd471d7p-8, 0x1.f3ee68864722ep-9, 0x1.e531ce0f359e7p-9, 0x1.d6e3423e99136p-9, 0x1.c900061f450bep-9, 0x1.bb8567c100bb5p-9, 0x1.ae70c21b9180cp-9, 0x1.a1bf7cf0e04bcp-9, 0x1.956f0cae235c9p-9, 0x1.897cf24c9c7f5p-9, 0x1.7de6bb31f281bp-9, 0x1.72aa010f4ed8cp-9, 0x1.67c469c067922p-9, 0x1.5d33a729cc1eep-9, 0x1.52f57716decd4p-9, 0x1.4907a3170c0a8p-9, 0x1.3f68005b01a4fp-9, 0x1.36146f914aadfp-9, 0x1.2d0adcc264d0ep-9, 0x1.24493f2d2ceb5p-9, 0x1.1bcd99225903fp-9, 0x1.1395f7dfdbbcep-9, 0x1.0ba0736c46a5bp-9, 0x1.03eb2e71d54b6p-9, 0x1.f8e8ac3299df7p-10, 0x1.ea7443c9556d2p-10, 0x1.dc75a7140d7b3p-10, 0x1.cee96d9ba3653p-10, 0x1.c1cc42bb985efp-10, 0x1.b51ae556b7ea5p-10, 0x1.a8d2278bcfd04p-10, 0x1.9ceeee6acd6dcp-10, 0x1.916e31aa0fec3p-10, 0x1.864cfb5b1df9dp-10, 0x1.7b8867a0394edp-10, 0x1.711da46212d9fp-10, 0x1.6709f104eecf4p-10, 0x1.5d4a9e1f84517p-10, 0x1.53dd0d30554b5p-10, 0x1.4abeb0550e73bp-10, 0x1.41ed0a010f24dp-10, 0x1.3965acb4b1bb6p-10, 0x1.31263ab55fbf4p-10, 0x1.292c65c522511p-10, 0x1.2175eedba7444p-10, 0x1.1a00a5dfba309p-10, 0x1.12ca69602c466p-10, 0x1.0bd1264eaa678p-10, 0x1.0512d7ba21dfap-10, 0x1.fd1b0d13d616dp-11, 0x1.f07e9273c153dp-11, 0x1.e44c872e09684p-11, 0x1.d8814cf81ae6ap-11, 0x1.cd195f1f26924p-11, 0x1.c2115204b12d6p-11, 0x1.b765d29cc1292p-11, 0x1.ad13a5edccaa9p-11, 0x1.a317a8915b7acp-11, 0x1.996ece35d6b53p-11, 0x1.901621231c333p-11, 0x1.870ac1bf4802bp-11, 0x1.7e49e614b6dd1p-11, 0x1.75d0d95c0c903p-11, 0x1.6d9cfb838cf4bp-11, 0x1.65abc0bbd651fp-11, 0x1.5dfab103b0aa5p-11, 0x1.568767b6f4fe4p-11, 0x1.4f4f931e038afp-11, 0x1.4850f3ff1d46ep-11, 0x1.41895d3130afep-11, 0x1.3af6b3302dbcfp-11, 0x1.3496ebb2f042ap-11, 0x1.2e680d4295559p-11, 0x1.28682ed4b49d8p-11, 0x1.229577648763dp-11, 0x1.1cee1d902d05ep-11, 0x1.1770673607466p-11, 0x1.121aa914bd4fap-11, 0x1.0ceb466b39c1dp-11, 0x1.07e0b09c0276fp-11, 0x1.02f966d0e204ap-11, 0x1.fc67eb41c687bp-12, 0x1.f31ded6d2d6a2p-12, 0x1.ea1220f29563p-12, 0x1.e141eb6f92cc2p-12, 0x1.d8aacaa74549p-12, 0x1.d04a53dc36087p-12, 0x1.c81e332f09dp-12, 0x1.c0242afeb8974p-12, 0x1.b85a134bb36f8p-12, 0x1.b0bdd91e93a4ep-12, 0x1.a94d7df187158p-12, 0x1.a207171d22a0bp-12, 0x1.9ae8cd4657f84p-12, 0x1.93f0dbd01d33dp-12, 0x1.8d1d90526ac7fp-12, 0x1.866d4a108d005p-12, 0x1.7fde797384e8fp-12, 0x1.796f9f876338cp-12, 0x1.731f4d7bd5fep-12, 0x1.6cec24252fe35p-12, 0x1.66d4d383151c5p-12, 0x1.60d81a46c94c2p-12, 0x1.5af4c5601644cp-12, 0x1.5529af888a16cp-12, 0x1.4f75c0d299528p-12, 0x1.49d7ee3cd8d36p-12, 0x1.444f394676656p-12, 0x1.3edaaf8562aa6p-12, 0x1.39796a40b9b6ep-12, 0x1.342a8e0bdf606p-12, 0x1.2eed4a6548cccp-12, 0x1.29c0d9563affdp-12, 0x1.24a47f155014ap-12, 0x1.1f9789abe79cp-12, 0x1.1a99509d93e36p-12, 0x1.15a9349124aap-12, 0x1.10c69efbbb59fp-12, 0x1.0bf101ceedfb3p-12, 0x1.0727d7288554bp-12, 0x1.026aa103d2a07p-12, 0x1.fb71d1dacb5e8p-13, 0x1.f2247f71f7b5ap-13, 0x1.e8ec7a73b6397p-13, 0x1.dfc8fff62359fp-13, 0x1.d6b959f7dec7ep-13, 0x1.cdbcded85315fp-13, 0x1.c4d2f0d7e9c6p-13, 0x1.bbfafd9a8f1bdp-13, 0x1.b3347daae3c6bp-13, 0x1.aa7ef40367f79p-13, 0x1.a1d9ed9c55522p-13, 0x1.994500f95fa67p-13, 0x1.90bfcdbb8998dp-13, 0x1.8849fc38fe6c5p-13, 0x1.7fe33d1410063p-13, 0x1.778b48db1caa3p-13, 0x1.6f41dfa2a4b9cp-13, 0x1.6706c8aa26745p-13, 0x1.5ed9d1fefccf7p-13, 0x1.56bad0262bd34p-13, 0x1.4ea99dc5c72f8p-13, 0x1.46a61b5120613p-13, 0x1.3eb02ebaa8ea6p-13, 0x1.36c7c324e324bp-13, 0x1.2eecc897dc1b6p-13, 0x1.271f33b715159p-13, 0x1.1f5efd7c6070dp-13, 0x1.17ac22f33f492p-13, 0x1.1006a4fa10ebap-13, 0x1.086e87ff9e09dp-13, 0x1.00e3d3c758b38p-13, 0x1.f2cd265b269cp-14, 0x1.e3eda7e0a1932p-14, 0x1.d5294cedb4f93p-14, 0x1.c6803b3ab53c9p-14, 0x1.b7f29d04ce1a4p-14, 0x1.a980a0ae0e2edp-14, 0x1.9b2a785d0d49bp-14, 0x1.8cf059a24222ap-14, 0x1.7ed27d218f7b1p-14, 0x1.70d11e3d9001ep-14, 0x1.62ec7acb10912p-14, 0x1.5524d2c2e371ep-14, 0x1.477a67f708f76p-14, 0x1.39ed7dcbf170fp-14, 0x1.2c7e58f78d1dfp-14, 0x1.1f2d3f3f244d5p-14, 0x1.11fa773793facp-14, 0x1.04e6480f2f4aep-14, 0x1.efe1f2a1153dep-15, 0x1.d635a564321f6p-15, 0x1.bcc837c048dcbp-15, 0x1.a39a38992bf72p-15, 0x1.8aac35ff3a1c5p-15, 0x1.71febcdaff3f3p-15, 0x1.5992589ce9cdcp-15, 0x1.416792ebbf3f4p-15, 0x1.297ef359429efp-15, 0x1.11d8ff1ea0f5ap-15, 0x1.f4ec71b16889bp-16, 0x1.c6ae4096da41bp-16, 0x1.98f86449a1daep-16, 0x1.6bcbcf8e9786ep-16, 0x1.3f296e2d54662p-16, 0x1.13122490bf14ap-16, 0x1.cf0d9ee9d3f4ap-17, 0x1.7910870f9909bp-17, 0x1.242e9a407ccfdp-17, 0x1.a0d2bff069b2ep-18, 0x1.f70937f876c1p-19, 0x1.61d63f4d4b3abp-20, -0x1.215f0a30ab304p-20, -0x1.cdc1be4fd9c23p-19, -0x1.832370ac2d706p-18, -0x1.0e8ea4790c693p-17, -0x1.5a6630d6b2654p-17, -0x1.a5176e62082b6p-17, -0x1.eea1826d546ecp-17, -0x1.1b81d365dc46cp-16, -0x1.3f1e94f4b7f26p-16, -0x1.6226b779ebec5p-16, -0x1.8499f6f578e7fp-16, -0x1.a67819dc4bd08p-16, -0x1.c7c0f10e527a3p-16, -0x1.e87457decda7bp-16, -0x1.04491a0a79f1dp-15, -0x1.140d3af00d619p-15, -0x1.23868beb33e9fp-15, -0x1.32b50f712992cp-15, -0x1.4198cd19d7fe7p-15, -0x1.5031d19aa9a22p-15, -0x1.5e802eba7d594p-15, -0x1.6c83fb4a97e96p-15, -0x1.7a3d531aa264ap-15, -0x1.87ac56e9ff3d5p-15, -0x1.94d12c5ac488p-15, -0x1.a1abfde788f93p-15, -0x1.ae3cfacff7ec5p-15, -0x1.ba84570955801p-15, -0x1.c6824b2e2b9bdp-15, -0x1.d237146f6f185p-15, -0x1.dda2f481b41abp-15, -0x1.e8c6318b2444ap-15, -0x1.f3a1160fad214p-15, -0x1.fe33f0de7c325p-15, -0x1.043f8a7ce922ap-14, -0x1.09416cc3bc657p-14, -0x1.0e1fccdd9e849p-14, -0x1.12dada5fc4424p-14, -0x1.1772c6d1292bdp-14, -0x1.1be7c59f843d3p-14, -0x1.203a0c12ac99ap-14, -0x1.2469d14476p-14, -0x1.28774e1185118p-14, -0x1.2c62bd0f94a5bp-14, -0x1.302c5a82bf47ap-14, -0x1.33d464515ef85p-14, -0x1.375b19f85e9c2p-14, -0x1.3ac0bc80d0363p-14, -0x1.3e058e72eb1fcp-14, -0x1.4129d3ca8e766p-14, -0x1.442dd1ea88d37p-14, -0x1.4711cf9293c48p-14, -0x1.49d614d3801d2p-14, -0x1.4c7aeb02b0a9dp-14, -0x1.4f009caea4e71p-14, -0x1.516775944842p-14, -0x1.53afc2926c40cp-14, -0x1.55d9d19eebce8p-14, -0x1.57e5f1ba434b9p-14, -0x1.59d472e49d548p-14, -0x1.5ba5a612589c6p-14, -0x1.5d59dd218f61fp-14, -0x1.5ef16acebbbb3p-14, -0x1.606ca2a904545p-14, -0x1.61cbd908b2f24p-14, -0x1.630f63031f8dep-14, -0x1.6437965f8f5a2p-14, -0x1.6544c98d8d027p-14, -0x1.6637539a922bfp-14, -0x1.670f8c26d616fp-14, -0x1.67cdcb5b87f5ap-14, -0x1.687269e085c26p-14, -0x1.68fdc0d2e2ca1p-14, -0x1.697029ba9b43dp-14, -0x1.69c9fe8103fbp-14, -0x1.6a0b99665449dp-14, -0x1.6a3554f9b2d4dp-14, -0x1.6a478c0ee107ep-14, -0x1.6a4299b52e12bp-14, -0x1.6a26d92f82ec4p-14, -0x1.69f4a5eb0dcb5p-14, -0x1.69ac5b75c997bp-14, -0x1.694e5576e42ddp-14, -0x1.68daefa5bf0cdp-14, -0x1.685285c270437p-14, -0x1.67b5738d421e7p-14, -0x1.670414bed8ee3p-14, -0x1.663ec5007fb66p-14, -0x1.6565dfe50dcep-14, -0x1.6479c0e09e09bp-14, -0x1.637ac3425d1b3p-14, -0x1.6269422c933d1p-14, -0x1.6145988df4d46p-14, -0x1.6010211b2bd1ap-14, -0x1.5ec936484667dp-14, -0x1.5d713241a580ap-14, -0x1.5c086ee62ac3fp-14, -0x1.5a8f45c20e564p-14, -0x1.5906100761eecp-14, -0x1.576d2688a3081p-14, -0x1.55c4e1b359227p-14, -0x1.540d998b0ed0fp-14, -0x1.5247a5a388664p-14, -0x1.50735d1b3a0b4p-14, -0x1.4e911696b4a1p-14, -0x1.4ca1283c3424fp-14, -0x1.4aa3e7adc9efdp-14, -0x1.4899aa05d6022p-14, -0x1.4682c3d2395a7p-14, -0x1.445f890f97111p-14, -0x1.42304d26319fdp-14, -0x1.3ff562e565ff2p-14, -0x1.3daf1c7fac121p-14, -0x1.3b5dcb873c43bp-14, -0x1.3901c0e9dfabbp-14, -0x1.369b4ceef26dap-14, -0x1.342abf32d011p-14, -0x1.31b066a3a655ep-14, -0x1.2f2c917ea8f3ep-14, -0x1.2c9f8d4df2a66p-14, -0x1.2a09a6e523669p-14, -0x1.276b2a5e97973p-14, -0x1.24c463187397dp-14, -0x1.22159bb4131dp-14, -0x1.1f5f1e11f8db7p-14, -0x1.1ca1334fd6d92p-14, -0x1.19dc23c7d6dc8p-14, -0x1.1710370cc6cc9p-14, -0x1.143db3e9fa6dcp-14, -0x1.1164e060fed9cp-14, -0x1.0e8601a7ea555p-14, -0x1.0ba15c27a3523p-14, -0x1.08b7337b167e1p-14, -0x1.05c7ca6db9ef9p-14, -0x1.02d362fa92077p-14, -0x1.ffb47c9511517p-15, -0x1.f9b939679dc0bp-15, -0x1.f3b57b72fdb7fp-15, -0x1.eda9c0144bdeap-15, -0x1.e79682fed44b7p-15, -0x1.e17c3e3a4023fp-15, -0x1.db5b6a22677fp-15, -0x1.d5347d669bcfp-15, -0x1.cf07ed07d9fdfp-15, -0x1.c8d62c58cbdecp-15, -0x1.c29facfe6260ep-15, -0x1.bc64deed6ffebp-15, -0x1.b626306da76e9p-15, -0x1.afe40e17bd88dp-15, -0x1.a99ee2d6174cbp-15, -0x1.a35717e4747cbp-15, -0x1.9d0d14d167c2ep-15, -0x1.96c13f7fb1a5ep-15, -0x1.9073fc25b5768p-15, -0x1.8a25ad4e19a3ep-15, -0x1.83d6b3d9d16dep-15, -0x1.7d876f0224ca7p-15, -0x1.77383c590b8c9p-15, -0x1.70e977c947552p-15, -0x1.6a9b7b99a9f6fp-15, -0x1.644ea06ddf95bp-15, -0x1.5e033d49547b3p-15, -0x1.57b9a78fe998ap-15, -0x1.517233078300cp-15, -0x1.4b2d31db6e5cfp-15, -0x1.44eaf49d5399p-15, -0x1.3eabca47abc09p-15, -0x1.3870004167f18p-15, -0x1.3237e25ef6353p-15, -0x1.2c03bae4e1cccp-15, -0x1.25d3d2899812ap-15, -0x1.1fa870791dd69p-15, -0x1.1981da5869ee7p-15, -0x1.13605446bb206p-15, -0x1.0d4420dff1d09p-15, -0x1.072d8140d3adep-15, -0x1.011cb50aa0a07p-15, -0x1.f623f4ca8bd63p-16, -0x1.ea1b1c0104b9bp-16, -0x1.de1f5632dea8p-16, -0x1.d23116f7bf54p-16, -0x1.c650cf10aea4ap-16, -0x1.ba7eec693bfb2p-16, -0x1.aebbda1f83d71p-16, -0x1.a308008c122bfp-16, -0x1.9763c5459bb38p-16, -0x1.8bcf8b2a64a7p-16, -0x1.804bb269ba346p-16, -0x1.74d89886e942ep-16, -0x1.6976986057052p-16, -0x1.5e260a378756p-16, -0x1.52e743b7885adp-16, -0x1.47ba97fd1e584p-16, -0x1.3ca0579ec0b0fp-16, -0x1.3198d0b15c641p-16, }}, 
      {{-0x1.b2aaafac0922bp-7, -0x1.b2829a54de5f1p-6, -0x1.45afea27d4c43p-5, -0x1.b1e2ab026b70fp-5, -0x1.0ee2f4b04f618p-4, -0x1.44a31f9ad48aap-4, -0x1.7a284a2afb69fp-4, -0x1.af691563866e2p-4, -0x1.e45c54e24cecfp-4, -0x1.0c7c89df7a937p-3, -0x1.269b4c655b7edp-3, -0x1.4086351c1b7b2p-3, -0x1.5a39285a12212p-3, -0x1.73b02cfc09cb5p-3, -0x1.8ce76d70ca5d7p-3, -0x1.a5db388bd6585p-3, -0x1.be88022462daap-3, -0x1.d6ea63856b9bp-3, -0x1.eeff1bb38f1f2p-3, -0x1.036187c68f9fcp-2, -0x1.0f19a4e442bfbp-2, -0x1.1aa67d6a6a30dp-2, -0x1.2606bc4ffa3bep-2, -0x1.31391f22e1303p-2, -0x1.3c3c75d5738a9p-2, -0x1.470fa2830fd3bp-2, -0x1.51b1992d2cc24p-2, -0x1.5c215f71d5fdp-2, -0x1.665e0c3c9c4b7p-2, -0x1.7066c772cbdf7p-2, -0x1.7a3ac99bad4fap-2, -0x1.83d95b8586e57p-2, -0x1.8d41d5e7f89f9p-2, -0x1.9673a1043c8ffp-2, -0x1.9f6e3443ce34dp-2, -0x1.a83115d5e5ep-2, -0x1.b0bbda4c2d532p-2, -0x1.b90e243702731p-2, -0x1.c127a3c199e06p-2, -0x1.c908164e4610fp-2, -0x1.d0af46131973p-2, -0x1.d81d09b7227fcp-2, -0x1.df5143f066adp-2, -0x1.e64be322c4b5cp-2, -0x1.ed0ce0ffe32a8p-2, -0x1.f3944228461d6p-2, -0x1.f9e215cd9e634p-2, -0x1.fff675566d3cdp-2, -0x1.02e8c201830bp-1, -0x1.05b9b749fc03fp-1, -0x1.086e3578f9abdp-1, -0x1.0b065beb8f8a5p-1, -0x1.0d824e3cfb81bp-1, -0x1.0fe2341cd1398p-1, -0x1.12263925e7453p-1, -0x1.144e8cb606065p-1, -0x1.165b61c651ea6p-1, -0x1.184ceec478b66p-1, -0x1.1a236d6c96a86p-1, -0x1.1bdf1aa3d8b7bp-1, -0x1.1d803653d6aadp-1, -0x1.1f070346a4941p-1, -0x1.2073c70397be7p-1, -0x1.21c6c9acc025p-1, -0x1.230055dd1013bp-1, -0x1.2420b88735aeep-1, -0x1.252840d51fc8bp-1, -0x1.261740082ee56p-1, -0x1.26ee095a10ac5p-1, -0x1.27acf1de4403p-1, -0x1.285450644448ap-1, -0x1.28e47d5a5c5a9p-1, -0x1.295dd2b11e4dbp-1, -0x1.29c0abbf7efbbp-1, -0x1.2a0d65279797p-1, -0x1.2a445cbc08a72p-1, -0x1.2a65f165ff4efp-1, -0x1.2a72830bddbdbp-1, -0x1.2a6a727883464p-1, -0x1.2a4e21433616fp-1, -0x1.2a1df1b82bef4p-1, -0x1.29da46c1b35cp-1, -0x1.298383d1f94e5p-1, -0x1.291a0ccd6ec84p-1, -0x1.289e45f5ca736p-1, -0x1.281093d5a6205p-1, -0x1.27715b2cb9106p-1, -0x1.26c100dcaa6b7p-1, -0x1.25ffe9d67e4dap-1, -0x1.252e7b089a8fap-1, -0x1.244d194d626a7p-1, -0x1.235c295a66c1ap-1, -0x1.225c0fb02c2f2p-1, -0x1.214d308a80a74p-1, -0x1.202fefd1658c1p-1, -0x1.1f04b10a852bcp-1, -0x1.1dcbd74b3848p-1, -0x1.1c85c52b15464p-1, -0x1.1b32dcb70a92dp-1, -0x1.19d37f64fdd5cp-1, -0x1.18680e07f37f1p-1, -0x1.16f0e8c4b64e4p-1, -0x1.156e6f07025a8p-1, -0x1.13e0ff772d026p-1, -0x1.1248f7f0498acp-1, -0x1.10a6b576c758cp-1, -0x1.0efa942f88755p-1, -0x1.0d44ef576b12dp-1, -0x1.0b86213b46f64p-1, -0x1.09be83305b06ep-1, -0x1.07ee6d8d26d6cp-1, -0x1.061637a2af429p-1, -0x1.043637b62c2f2p-1, -0x1.024ec2fb1c16ep-1, -0x1.00602d8db7e8cp-1, -0x1.fcd594db965bap-2, -0x1.f8ddd6f3d1151p-2, -0x1.f4d9c2d5eff09p-2, -0x1.f0c9f7a04245ep-2, -0x1.ecaf1216146e8p-2, -0x1.e889ac98d483p-2, -0x1.e45a5f21dce73p-2, -0x1.e021bf3cdcb93p-2, -0x1.dbe06002d5ca1p-2, -0x1.d796d215b4843p-2, -0x1.d345a39c72cc7p-2, -0x1.ceed603fcab45p-2, -0x1.ca8e91276cac4p-2, -0x1.c629bcf7ba887p-2, -0x1.c1bf67cffdaa6p-2, -0x1.bd5013491a127p-2, -0x1.b8dc3e74b51c6p-2, -0x1.b46465dccf05dp-2, -0x1.afe90383c6e3bp-2, -0x1.ab6a8ee4cc8adp-2, -0x1.a6e97cf4b4fd2p-2, -0x1.a266402330e9fp-2, -0x1.9de1485c614dp-2, -0x1.995b030ac8d98p-2, -0x1.94d3db1991667p-2, -0x1.904c38f724ea2p-2, -0x1.8bc482981925bp-2, -0x1.873d1b7a66f55p-2, -0x1.82b664a8e8e03p-2, -0x1.7e30bcbf246d1p-2, -0x1.79ac7fed533bfp-2, -0x1.752a07fcaef9cp-2, -0x1.70a9ac53f9243p-2, -0x1.6c2bc1fc3f0e3p-2, -0x1.67b09ba5d4de9p-2, -0x1.633889ad84e45p-2, -0x1.5ec3da21f4936p-2, -0x1.5a52d8c9373e7p-2, -0x1.55e5cf268d3ccp-2, -0x1.517d0480528edp-2, -0x1.4d18bde610b37p-2, -0x1.48b93e36bd57ep-2, -0x1.445ec627160fap-2, -0x1.4009944825636p-2, -0x1.3bb9e50de1625p-2, -0x1.376ff2d5ee439p-2, -0x1.332bf5ee77058p-2, -0x1.2eee249d24656p-2, -0x1.2ab6b32629d4fp-2, -0x1.2685d3d367fc4p-2, -0x1.225bb6fba61afp-2, -0x1.1e388b09dc9p-2, -0x1.1a1c7c848ec65p-2, -0x1.1607b61537299p-2, -0x1.11fa608fbefabp-2, -0x1.0df4a2fa03567p-2, -0x1.09f6a29363782p-2, -0x1.060082dc598aap-2, -0x1.0212659e19a17p-2, -0x1.fc58d5e472fb9p-3, -0x1.f49d6294b0a6fp-3, -0x1.ecf2aaefa238ap-3, -0x1.e558e566d10a4p-3, -0x1.ddd0454a00446p-3, -0x1.d658fad69184cp-3, -0x1.cef33346e43dbp-3, -0x1.c79f18e1b433dp-3, -0x1.c05cd3096acabp-3, -0x1.b92c864b72f4cp-3, -0x1.b20e546f73a09p-3, -0x1.ab025c868783ap-3, -0x1.a408bafa626b1p-3, -0x1.9d21899c66b83p-3, -0x1.964cdfb4a5c02p-3, -0x1.8f8ad210cf754p-3, -0x1.88db73130a509p-3, -0x1.823ed2c0b53dfp-3, -0x1.7bb4fed10c811p-3, -0x1.753e02bbbb40ap-3, -0x1.6ed9e7c74ac34p-3, -0x1.6888b517790bdp-3, -0x1.624a6fbb6d275p-3, -0x1.5c1f1abbcf553p-3, -0x1.5606b728bee19p-3, -0x1.50014427a3ef4p-3, -0x1.4a0ebf00e5fcfp-3, -0x1.442f232d73cbfp-3, -0x1.3e626a642e401p-3, -0x1.38a88ca72ac95p-3, -0x1.33018050cc75ap-3, -0x1.2d6d3a20bd58dp-3, -0x1.27ebad48b5d0bp-3, -0x1.227ccb79225cep-3, -0x1.1d2084ed9d7aep-3, -0x1.17d6c8793bc59p-3, -0x1.129f8392b403fp-3, -0x1.0d7aa26055f5ap-3, -0x1.08680fc3da6bdp-3, -0x1.0367b566005d9p-3, -0x1.fcf2f7840a154p-4, -0x1.f33a9461ccec2p-4, -0x1.e9a60de907267p-4, -0x1.e0352e85084dcp-4, -0x1.d6e7be9e2ea25p-4, -0x1.cdbd84af0c387p-4, -0x1.c4b645592288ap-4, -0x1.bbd1c3794ed55p-4, -0x1.b30fc03bd5cefp-4, -0x1.aa6ffb3005aa7p-4, -0x1.a1f2325b9016ap-4, -0x1.9996224d7205dp-4, -0x1.915b86308b3e8p-4, -0x1.894217ddd4fd5p-4, -0x1.81498fee382fcp-4, -0x1.7971a5cc0aa9dp-4, -0x1.71ba0fc42c4ebp-4, -0x1.6a228316cadadp-4, -0x1.62aab407c5cdap-4, -0x1.5b5255eeb9d5cp-4, -0x1.54191b46ae1f6p-4, -0x1.4cfeb5bd689e1p-4, -0x1.4602d64267364p-4, -0x1.3f252d157dc5bp-4, -0x1.386569d51d71ap-4, -0x1.31c33b8c40a6fp-4, -0x1.2b3e50c0019acp-4, -0x1.24d6577cd68c2p-4, -0x1.1e8afd637b82fp-4, -0x1.185befb581fd5p-4, -0x1.1248db618ece7p-4, -0x1.0c516d0f42abep-4, -0x1.0675512acf56cp-4, -0x1.00b433f03a70fp-4, -0x1.f61b82ec9e167p-5, -0x1.eb034b727f044p-5, -0x1.e01f1949ec28fp-5, -0x1.d56e443e2dac9p-5, -0x1.caf024216e741p-5, -0x1.c0a410df884bap-5, -0x1.b689629040841p-5, -0x1.ac9f7188eb289p-5, -0x1.a2e5966d7f5b9p-5, -0x1.995b2a4114683p-5, -0x1.8fff8675d75e9p-5, -0x1.86d204fc6df76p-5, -0x1.7dd20052d478ep-5, -0x1.74fed392b047p-5, -0x1.6c57da7f1a4ap-5, -0x1.63dc7191ec12bp-5, -0x1.5b8bf60886981p-5, -0x1.5365c5f01c672p-5, -0x1.4b69403179fdcp-5, -0x1.4395c49c5de91p-5, -0x1.3beab3f24a7c6p-5, -0x1.34676ff0efbc4p-5, -0x1.2d0b5b5c15ec4p-5, -0x1.25d5da071d267p-5, -0x1.1ec650de0dc41p-5, -0x1.17dc25ee366d1p-5, -0x1.1116c06e6586ap-5, -0x1.0a7588c6b6f87p-5, -0x1.03f7e897fb8dfp-5, -0x1.fb3a95857f2dap-6, -0x1.eeca36dbd4df5p-6, -0x1.e29d901a05d4bp-6, -0x1.d6b37ecc2b8a4p-6, -0x1.cb0ae32e7c60dp-6, -0x1.bfa2a037b3c6bp-6, -0x1.b4799ba2bd162p-6, -0x1.a98ebdf7d26adp-6, -0x1.9ee0f294ca796p-6, -0x1.946f27b4f0e1ap-6, -0x1.8a384e782a5d5p-6, -0x1.803b5ae981a2bp-6, -0x1.7677440521eap-6, -0x1.6ceb03bdc83a7p-6, -0x1.639597019c042p-6, -0x1.5a75fdbe858b2p-6, -0x1.518b3ae5fe9f7p-6, -0x1.48d4547063f6dp-6, -0x1.4050535fc457bp-6, -0x1.37fe43c23a40ap-6, -0x1.2fdd34b3d5ac2p-6, -0x1.27ec385ffe059p-6, -0x1.202a640283e4bp-6, -0x1.1896cfe8314f6p-6, -0x1.1130976ef8df5p-6, -0x1.09f6d905c5341p-6, -0x1.02e8b62bde235p-6, -0x1.f80aa6dffb614p-7, -0x1.ea97b0ddf6f06p-7, -0x1.dd76dfa4599abp-7, -0x1.d0a68e9ae238ep-7, -0x1.c4251f39c002cp-7, -0x1.b7f0f90472e2ep-7, -0x1.ac08898408888p-7, -0x1.a06a4440c71c1p-7, -0x1.9514a2bb5510ap-7, -0x1.8a0624655709p-7, -0x1.7f3d4e99934c4p-7, -0x1.74b8ac938f861p-7, -0x1.6a76cf66d1a51p-7, -0x1.60764df59f3dfp-7, -0x1.56b5c4e751f8cp-7, -0x1.4d33d69e54bcfp-7, -0x1.43ef2b2db3a64p-7, -0x1.3ae6704e51578p-7, -0x1.32185953da94p-7, -0x1.29839f213cdfp-7, -0x1.2127001d00adep-7, -0x1.190140252f5ap-7, -0x1.111128830f8e6p-7, -0x1.095587de93512p-7, -0x1.01cd32318acd3p-7, -0x1.f4ee01754ada8p-8, -0x1.e6a3a3e057c98p-8, -0x1.d8b912e52caa2p-8, -0x1.cb2c1ffdee343p-8, -0x1.bdfaa6c240212p-8, -0x1.b1228ccb95a1ep-8, -0x1.a4a1c198f8304p-8, -0x1.98763e7288927p-8, -0x1.8c9e064cf37bfp-8, -0x1.811725ac84ca1p-8, -0x1.75dfb28828757p-8, -0x1.6af5cc2c27f51p-8, -0x1.60579b1cda672p-8, -0x1.560350f91cb5fp-8, -0x1.4bf7285cb410bp-8, -0x1.423164c2b13c6p-8, -0x1.38b05267ade5p-8, -0x1.2f72462bf1716p-8, -0x1.26759d75c250ap-8, -0x1.1db8be136a277p-8, -0x1.153a161d72d9p-8, -0x1.0cf81bd8de374p-8, -0x1.04f14d994a469p-8, -0x1.fa4863468bd7cp-9, -0x1.eb1eac1d314f5p-9, -0x1.dc62a1517e786p-9, -0x1.ce117daeb3f14p-9, -0x1.c0288af5937b3p-9, -0x1.b2a521a1b8fa5p-9, -0x1.a584a8af721f3p-9, -0x1.98c49561918f6p-9, -0x1.8c626b07be77cp-9, -0x1.805bbac4fa29dp-9, -0x1.74ae23567518bp-9, -0x1.695750dada0f5p-9, -0x1.5e54fc99ed46ep-9, -0x1.53a4eccc7c8e8p-9, -0x1.4944f464e7718p-9, -0x1.3f32f2d7bc321p-9, -0x1.356cd3e5127b5p-9, -0x1.2bf08f624144fp-9, -0x1.22bc2903eeca4p-9, -0x1.19cdb028b75fap-9, -0x1.11233fa4387c8p-9, -0x1.08bafd8ad22adp-9, -0x1.00931afd7f8afp-9, -0x1.f153a7ed41b2dp-10, -0x1.e1fade2ddf59bp-10, -0x1.d3187ae667773p-10, -0x1.c4a934c500da9p-10, -0x1.b6a9d699a31f6p-10, -0x1.a9173ef4bf22ep-10, -0x1.9bee5fc6c426p-10, -0x1.8f2c3e00f4745p-10, -0x1.82cdf1375384ap-10, -0x1.76d0a34379c85p-10, -0x1.6b318fe8dae6ap-10, -0x1.5fee0479f8688p-10, -0x1.55035f7f14528p-10, -0x1.4a6f105d827fcp-10, -0x1.402e9700c0d99p-10, -0x1.363f83840c88dp-10, -0x1.2c9f75ddc946bp-10, -0x1.234c1d8b8e2f4p-10, -0x1.1a43393fe2ec7p-10, -0x1.11829690a142dp-10, -0x1.090811a6e0aedp-10, -0x1.00d194eff0c99p-10, -0x1.f1ba319ed606dp-11, -0x1.e25146a53fdebp-11, -0x1.d3648fc9a0ea2p-11, -0x1.c4f04e0a49822p-11, -0x1.b6f0dbfa50cdap-11, -0x1.a962ad31c2405p-11, -0x1.9c424dbfd9591p-11, -0x1.8f8c619f637dp-11, -0x1.833da42d31df3p-11, -0x1.7752e7a176541p-11, -0x1.6bc9148aad5cap-11, -0x1.609d294b7189fp-11, -0x1.55cc39999817dp-11, -0x1.4b536e00adfdcp-11, -0x1.413003656d9a3p-11, -0x1.375f4a8c837dap-11, -0x1.2ddea7a26c3c7p-11, -0x1.24ab91c64d28fp-11, -0x1.1bc3929671eb3p-11, -0x1.132445bed5dbfp-11, -0x1.0acb588a307e7p-11, -0x1.02b68974a5b54p-11, -0x1.f5c74f80eec13p-12, -0x1.e6a1261aa78bap-12, -0x1.d7f675e17912cp-12, -0x1.c9c33d2263b3fp-12, -0x1.bc0398857dd4ep-12, -0x1.aeb3c24bbc25bp-12, -0x1.a1d0118fd12c7p-12, -0x1.9554f98ba0a5bp-12, -0x1.893f08e056e35p-12, -0x1.7d8ae8e342645p-12, -0x1.72355cedbd805p-12, -0x1.673b41b0d7cacp-12, -0x1.5c998c8c3c1f3p-12, -0x1.524d4ae9219bap-12, -0x1.4853a197f8764p-12, -0x1.3ea9cc31f938cp-12, -0x1.354d1c7e28098p-12, -0x1.2c3af9d8f03d5p-12, -0x1.2370e0a0392ccp-12, -0x1.1aec61a12c489p-12, -0x1.12ab218aae8adp-12, -0x1.0aaad861629ebp-12, -0x1.02e950f842058p-12, -0x1.f6c8d0d5e661p-13, -0x1.e8341b38366fcp-13, -0x1.da10816b85fd8p-13, -0x1.cc5a255a0fba5p-13, -0x1.bf0d4991d4a7ap-13, -0x1.b2265056d90b8p-13, -0x1.a5a1babb539b8p-13, -0x1.997c27bcdac67p-13, -0x1.8db253676cca8p-13, -0x1.824115fc1b23ap-13, -0x1.7725631ffb91bp-13, -0x1.6c5c490cc6c2dp-13, -0x1.61e2efc80a708p-13, -0x1.57b6985fae464p-13, -0x1.4dd49c29e0ae2p-13, -0x1.443a6c0a70862p-13, -0x1.3ae58fbdacf7p-13, -0x1.31d3a524c5e65p-13, -0x1.29025f9a06d11p-13, -0x1.206f8747736fep-13, -0x1.1818f8825a5e5p-13, -0x1.0ffca32a7496ep-13, -0x1.08188a0dac951p-13, -0x1.006ac2504fdf5p-13, -0x1.f1e2e5af97927p-14, -0x1.e355a775f9e64p-14, -0x1.d52a5b69bf5ap-14, -0x1.c75db33679ba1p-14, -0x1.b9ec7fb2ac3c9p-14, -0x1.acd3afdc4bce7p-14, -0x1.a0104fdb8bab6p-14, -0x1.939f880cc1ce8p-14, -0x1.877e9c107207ap-14, -0x1.7baae9e527baap-14, -0x1.7021e901cecd2p-14, -0x1.64e1297b4b1a5p-14, -0x1.59e6532d7e479p-14, -0x1.4f2f24ea44805p-14, -0x1.44b973b15a896p-14, -0x1.3a8329ea51d9ep-14, -0x1.308a46a635512p-14, -0x1.26ccdce52c0f3p-14, -0x1.1d4912e2cffedp-14, -0x1.13fd2167efd7ap-14, -0x1.0ae75320b2853p-14, -0x1.020603f6bf89cp-14, -0x1.f2af40e47dd79p-15, -0x1.e1b54a3b737dp-15, -0x1.d11b3bdfd233fp-15, -0x1.c0de4b73c503ep-15, -0x1.b0fbcb332f4a1p-15, -0x1.a17128df4b5f5p-15, -0x1.923becb6a6bbap-15, -0x1.8359b8733343ap-15, -0x1.74c8464f89a8dp-15, -0x1.66856816a6d99p-15, -0x1.588f063686452p-15, -0x1.4ae31ede54e58p-15, -0x1.3d7fc522b185bp-15, -0x1.3063202a050cep-15, -0x1.238b6a5ddae35p-15, -0x1.16f6f0a42a168p-15, -0x1.0aa4119dc2424p-15, -0x1.fd2279db783eap-16, -0x1.e579e50b0a955p-16, -0x1.ce4b83ea929bp-16, -0x1.b794938bbf44bp-16, -0x1.a1526daa210dp-16, -0x1.8b828772db2bap-16, -0x1.7622705621d87p-16, -0x1.612fd0e278a2p-16, -0x1.4ca869a99e1b3p-16, -0x1.388a1232f8db3p-16, -0x1.24d2b7f24771cp-16, -0x1.11805d4e811bap-16, -0x1.fd22316014404p-17, -0x1.d80627202da5fp-17, -0x1.b3a91331dce04p-17, -0x1.90078f978cf2dp-17, -0x1.6d1e575ca8e8ep-17, -0x1.4aea45082aa7bp-17, -0x1.29685110d49f3p-17, -0x1.0895907170e56p-17, -0x1.d0de6670aef62p-18, -0x1.91e5066a6979ap-18, -0x1.5439c54ec9b07p-18, -0x1.17d7960fe0909p-18, -0x1.b9732f5f94da8p-19, -0x1.45b625c7fcff9p-19, -0x1.a8dddfd6c0396p-20, -0x1.9652e50b130dfp-21, 0x1.b842f4684fedp-25, 0x1.c3eaa7cf95b6bp-21, 0x1.b18058ffd4be9p-20, 0x1.3e3962f34ce87p-19, 0x1.a16de479e33b6p-19, 0x1.01328984e4aep-18, 0x1.30930f44fe271p-18, 0x1.5edc03dd064ffp-18, 0x1.8c10d17b91baap-18, 0x1.b834cd87808b6p-18, 0x1.e34b39db8f1b1p-18, 0x1.06aba2fff63bap-17, 0x1.1b2e0827d91abp-17, 0x1.2f2e538e525c2p-17, 0x1.42ae04d9d2e56p-17, 0x1.55ae94ad71e6bp-17, 0x1.683175215c485p-17, 0x1.7a38123710d9ap-17, 0x1.8bc3d2471cb0bp-17, 0x1.9cd61667a608cp-17, 0x1.ad703ac9a72d2p-17, 0x1.bd939718b1e83p-17, 0x1.cd417ed320998p-17, 0x1.dc7b41943b9ecp-17, 0x1.eb422b6528c5p-17, 0x1.f997850691df4p-17, 0x1.03be4a19fa50bp-16, 0x1.0a794df1754e4p-16, 0x1.10fd6e3ed3688p-16, 0x1.174b4a0cf2386p-16, 0x1.1d637f56bb741p-16, 0x1.2346ab1ed99fdp-16, 0x1.28f569876a956p-16, 0x1.2e7055e43209fp-16, 0x1.33b80acfcac57p-16, 0x1.38cd223d3930fp-16, 0x1.3db03587aa3d6p-16, 0x1.4261dd7fe64dp-16, 0x1.46e2b27b57a2ap-16, 0x1.4b334c5fba368p-16, 0x1.4f5442ae6c6d2p-16, 0x1.53462c8d57b74p-16, 0x1.5709a0d1227e4p-16, 0x1.5a9f3603287c2p-16, 0x1.5e07826a2e083p-16, 0x1.61431c0fdbc59p-16, 0x1.645298c449d7bp-16, 0x1.67368e230b281p-16, 0x1.69ef91964bcc2p-16, 0x1.6c7e3859e101fp-16, 0x1.6ee3177cc435ep-16, 0x1.711ec3e1b3b2ep-16, 0x1.7331d240067c1p-16, 0x1.751cd7243e937p-16, 0x1.76e066ef9385dp-16, 0x1.787d15d59f38bp-16, 0x1.79f377dc75b18p-16, 0x1.7b4420d88b34ep-16, 0x1.7c6fa46c2147p-16, 0x1.7d7696038d595p-16, 0x1.7e5988d1b4123p-16, 0x1.7f190fcbf9827p-16, 0x1.7fb5bda7c9336p-16, 0x1.803024d65e021p-16, 0x1.8088d77f008b6p-16, 0x1.80c0677b4028dp-16, 0x1.80d7665122f33p-16, 0x1.80ce652e5fa9dp-16, 0x1.80a5f4e408bbp-16, 0x1.805ea5dfaa758p-16, 0x1.7ff908275476p-16, 0x1.7f75ab525dc5fp-16, 0x1.7ed51e8491ca5p-16, 0x1.7e17f068724a4p-16, 0x1.7d3eaf2824ap-16, 0x1.7c49e8676dda4p-16, 0x1.7b3a293e1babbp-16, 0x1.7a0ffe32472ap-16, 0x1.78cbf332341c3p-16, 0x1.776e938d598dap-16, 0x1.75f869ee5ea79p-16, 0x1.746a00559aafep-16, 0x1.72c3e012b7d03p-16, 0x1.710691be37992p-16, 0x1.6f329d347b31ap-16, 0x1.6d48898ee692fp-16, 0x1.6b48dd1e0da9fp-16, 0x1.69341d648a14dp-16, 0x1.670acf10bd9f6p-16, 0x1.64cd75f6ed5fbp-16, 0x1.627c950b3531dp-16, 0x1.6018ae5d6a3c8p-16, 0x1.5da24312e3306p-16, 0x1.5b19d36176607p-16, 0x1.587fde89d4486p-16, 0x1.55d4e2d353bafp-16, 0x1.53195d8586f7ap-16, 0x1.504dcae549f24p-16, 0x1.4d72a62e6d07p-16, 0x1.4a886990c9bd9p-16, 0x1.478f8e2ac3808p-16, 0x1.44888c04c3cf5p-16, 0x1.4173da0dc5606p-16, 0x1.3e51ee171f96bp-16, 0x1.3b233cd081865p-16, 0x1.37e839c3e39adp-16, 0x1.34a15751e9a69p-16, 0x1.314f06afce615p-16, 0x1.2df1b7e2123d5p-16, 0x1.2a89d9babd5dcp-16, 0x1.2717d9d5d4627p-16, 0x1.239c24968e508p-16, 0x1.201725240c613p-16, 0x1.1c894567c0b8cp-16, 0x1.18f2ee0ac1dap-16, 0x1.1554867359e92p-16, 0x1.11ae74c237896p-16, 0x1.0e011dd192cedp-16, 0x1.0a4ce5322dd45p-16, 0x1.06922d2a78f56p-16, 0x1.02d156b4709b9p-16, 0x1.fe1582f8544b8p-17, 0x1.f67d97bd6025ep-17, 0x1.eedba5d260a43p-17, 0x1.e73064adff10ap-17, 0x1.df7c89232699cp-17, 0x1.d7c0c55e8302bp-17, 0x1.cffdc8e56ed1bp-17, 0x1.c83440942342ap-17, 0x1.c064d69e87ce1p-17, 0x1.b890328fceb87p-17, 0x1.b0b6f9481658bp-17, 0x1.a8d9ccfcddd3ep-17, 0x1.a0f94d3aacdp-17, 0x1.991616e3d7d78p-17, 0x1.9130c430e6ab2p-17, 0x1.8949ecb340cecp-17, 0x1.816225549072ap-17, 0x1.797a0058f480cp-17, 0x1.71920d6004049p-17, 0x1.69aad966af839p-17, 0x1.61c4eec8658bp-17, 0x1.59e0d542b2c9dp-17, 0x1.51ff11f595a6fp-17, 0x1.4a2027675c2ecp-17, 0x1.42449586172bbp-17, 0x1.3a6cd9acb9743p-17, 0x1.32996ea3f92b1p-17, 0x1.2acacca581bf1p-17, 0x1.23016960cfa1dp-17, 0x1.1b3db7fc7b2afp-17, 0x1.1380291b04be9p-17, 0x1.0bc92ade5f247p-17, 0x1.041928ec20c1cp-17, 0x1.f8e118e19d58p-18, 0x1.e99f784ae3fd6p-18, 0x1.da6e38a56d5fap-18, 0x1.cb4e1daa5a255p-18, 0x1.bc3fe644f8577p-18, 0x1.ad444c9ccb82fp-18, 0x1.9e5c061cf7023p-18, 0x1.8f87c37f065e7p-18, 0x1.80c830d5be0ddp-18, 0x1.721df5972a364p-18, 0x1.6389b4a5fc2d9p-18, 0x1.550c0c5ba5a16p-18, 0x1.46a596953273cp-18, 0x1.3856e8bce2c24p-18, 0x1.2a2093d34416cp-18, 0x1.1c03247e00c95p-18, 0x1.0dff23109fd6ap-18, 0x1.001513989fedcp-18, 0x1.e48aebd603f7bp-19, 0x1.c9218b5c0415fp-19, 0x1.adeef4c79d44ep-19, 0x1.92f40ef19e7f8p-19, 0x1.7831b89e79a5cp-19, 0x1.5da8c894a3c69p-19, 0x1.435a0db3ffbd8p-19, 0x1.29464f1347eddp-19, 0x1.0f6e4c15d2541p-19, 0x1.eba5790581d5fp-20, 0x1.b8e8a14183f0fp-20, 0x1.86a7629f52857p-20, 0x1.54e3003e0065bp-20, 0x1.239caecfe2f1cp-20, 0x1.e5ab2995a0d59p-21, 0x1.851d954764abp-21, 0x1.2592b5f17a9e3p-21, 0x1.8e190b05f6bf2p-22, 0x1.a6338c6c5f31bp-23, 0x1.a2b26d74447cp-26, -0x1.395efbfec0697p-23, -0x1.5173067e31818p-22, -0x1.020e41a6cb9acp-21, -0x1.5a549b6bd4406p-21, -0x1.b18b4a3f1d1a4p-21, -0x1.03d88ff399cdp-20, -0x1.2e6282e874d0ep-20, -0x1.5862fe5ac0e72p-20, -0x1.81d98e1bdf949p-20, -0x1.aac5c93bcc8b4p-20, -0x1.d32751d5c2c9ap-20, -0x1.fafdd4e599e4dp-20, -0x1.112485084a7dcp-19, -0x1.248459b943f5dp-19, -0x1.379e4eb683faap-19, -0x1.4a724f3e84374p-19, -0x1.5d004b8360e28p-19, -0x1.6f48388d637c3p-19, -0x1.814a1028f6782p-19, -0x1.9305d0cfe5d5ep-19, -0x1.a47b7d8c1641cp-19, -0x1.b5ab1de1fd89ep-19, -0x1.c694bdb94cc1dp-19, -0x1.d7386d473f362p-19, -0x1.e79640f49cea4p-19, -0x1.f7ae5147fc4a4p-19, -0x1.03c05d67428bcp-18, -0x1.0b86cf02ecaa5p-18, -0x1.132a8fa2a08e1p-18, -0x1.1aabb352e987fp-18, -0x1.220a4ff7fc174p-18, -0x1.29467d41ab49dp-18, -0x1.3060549f7eae6p-18, -0x1.3757f13692463p-18, -0x1.3e2d6fd845fd7p-18, -0x1.44e0eef76a555p-18, -0x1.4b728e9c1fdcbp-18, -0x1.51e270597ae46p-18, -0x1.5830b745b77ffp-18, -0x1.5e5d87edf2158p-18, -0x1.6469084cf07cbp-18, -0x1.6a535fc018c2dp-18, -0x1.701cb6fe56d35p-18, -0x1.75c5380fdb733p-18, -0x1.7b4d0e429a408p-18, -0x1.80b466209b7dfp-18, -0x1.85fb6d679d148p-18, -0x1.8b22530076c46p-18, -0x1.902946f53405fp-18, -0x1.95107a664f66ep-18, -0x1.99d81f851e124p-18, -0x1.9e806988ae5e3p-18, -0x1.a3098ca50c91dp-18, -0x1.a773be035f445p-18, -0x1.abbf33b9aaabp-18, -0x1.afec24c22ab3cp-18, -0x1.b3fac8f3b7288p-18, -0x1.b7eb58f7afbc5p-18, -0x1.bbbe0e45098efp-18, -0x1.bf73231538654p-18, -0x1.c30ad25e9798dp-18, -0x1.c68557cc48348p-18, -0x1.c9e2efb5b241cp-18, -0x1.cd23d71862377p-18, -0x1.d0484b905caf8p-18, -0x1.d3508b511059dp-18, -0x1.d63cd51c81aeep-18, -0x1.d90d683eda715p-18, -0x1.dbc2848713929p-18, -0x1.de5c6a3efdad9p-18, -0x1.e0db5a24f5d22p-18, -0x1.e33f95664c261p-18, -0x1.e5895d97d99cp-18, -0x1.e7b8f4af9f6a4p-18, -0x1.e9ce9cffa5dd2p-18, }}, 
      {{-0x1.9a99d7601d8afp-1, -0x1.9a8ff0f6d7eb8p-1, -0x1.9a7e8a0739197p-1, -0x1.9a645541e748ep-1, -0x1.9a3f96b493cecp-1, -0x1.9a0e3554ab7fep-1, -0x1.99cdcd6237a43p-1, -0x1.997bc2a24983fp-1, -0x1.991551c346e6fp-1, -0x1.9897a07b61e38p-1, -0x1.97ffcc1f55f54p-1, -0x1.974af690ea5bbp-1, -0x1.9676517cbc3c1p-1, -0x1.957f27ef99b41p-1, -0x1.9462e6571a11fp-1, -0x1.931f210876ae5p-1, -0x1.91b1996ce982fp-1, -0x1.901841f4f0b26p-1, -0x1.8e5140f4488fep-1, -0x1.8c5af287c5ea3p-1, -0x1.8a33e9a4c79fp-1, -0x1.87daf07000376p-1, -0x1.854f07f718632p-1, -0x1.828f676646819p-1, -0x1.7f9b7ad07b3aap-1, -0x1.7c72e19e64ab8p-1, -0x1.79156cb62e0aap-1, -0x1.75831c6bb85dbp-1, -0x1.71bc1e46fdb9ap-1, -0x1.6dc0caac6eb43p-1, -0x1.6991a2716ca7bp-1, -0x1.652f4c6576b55p-1, -0x1.609a92d74471ap-1, -0x1.5bd4611bd2dd2p-1, -0x1.56ddc11c579e2p-1, -0x1.51b7d8ef2163ap-1, -0x1.4c63e87e9f2b5p-1, -0x1.46e3474114b77p-1, -0x1.41376202ecf59p-1, -0x1.3b61b8c519231p-1, -0x1.3563dcb080637p-1, -0x1.2f3f6e1f2872bp-1, -0x1.28f61abb7397ap-1, -0x1.22899bb596944p-1, -0x1.1bfbb40f30cfap-1, -0x1.154e2efcd067ap-1, -0x1.0e82de5d06788p-1, -0x1.079b99449a58fp-1, -0x1.009a3a9f54ffap-1, -0x1.f3013fc9aa60ap-2, -0x1.e4a14fc198446p-2, -0x1.d618631c08258p-2, -0x1.c76a36070e02cp-2, -0x1.b89a80e67dc78p-2, -0x1.a9acf672cf158p-2, -0x1.9aa541f8570e8p-2, -0x1.8b8705b590e83p-2, -0x1.7c55d9572e134p-2, -0x1.6d154890bd2c1p-2, -0x1.5dc8d1d0a9bacp-2, -0x1.4e73e50e735f2p-2, -0x1.3f19e2b1f69d4p-2, -0x1.2fbe1a92ae421p-2, -0x1.2063cb0de037bp-2, -0x1.110e2032ad758p-2, -0x1.01c0330303c3fp-2, -0x1.e4fa119103442p-3, -0x1.c68f24f8ab23ep-3, -0x1.a845588272bfcp-3, -0x1.8a2239dd4eabbp-3, -0x1.6c2b2b58e7378p-3, -0x1.4e65633beb912p-3, -0x1.30d5eb37fddafp-3, -0x1.13819ff9ab82bp-3, -0x1.ecda61a5e66e5p-4, -0x1.b33a3efdfbd6cp-4, -0x1.7a2b7ffb34e16p-4, -0x1.41b6710a58af8p-4, -0x1.09e3031394fabp-4, -0x1.a57197612b317p-5, -0x1.387e0b102de56p-5, -0x1.99f243327c452p-6, -0x1.8bbf9ee172abfp-7, 0x1.645200a50678cp-11, 0x1.b1fb0df597cd3p-7, 0x1.a39b1e4f73862p-6, 0x1.35735bdd77534p-5, 0x1.9766849b40beap-5, 0x1.f79e0c087d69cp-5, 0x1.2b08cced29965p-4, 0x1.595cbc096a8f9p-4, 0x1.86c7480fc0e5bp-4, 0x1.b34533ed09d4dp-4, 0x1.ded38f373d0cbp-4, 0x1.04b7da4a2efc8p-3, 0x1.198ba40b56047p-3, 0x1.2de41ac7aa4dp-3, 0x1.41c0576c6bf77p-3, 0x1.551f950d1d3d2p-3, 0x1.680130020dfe5p-3, 0x1.7a64a5046451ap-3, 0x1.8c49904809e0ap-3, 0x1.9dafac941014dp-3, 0x1.ae96d259e148dp-3, 0x1.befef6cbbcc65p-3, 0x1.cee82af2d1219p-3, 0x1.de529ac562037p-3, 0x1.ed3e8c3d46cb6p-3, 0x1.fbac5e6f20264p-3, 0x1.04ce445143ba5p-2, 0x1.0b87ccb5c8dc6p-2, 0x1.12031ae2ed68ep-2, 0x1.18408c18b3375p-2, 0x1.1e4087e8c7808p-2, 0x1.24037fc71c2dap-2, 0x1.2989ee9bbf212p-2, 0x1.2ed4585609de1p-2, 0x1.33e3498138814p-2, 0x1.38b756da88277p-2, 0x1.3d511ce8e2e94p-2, 0x1.41b13f963986dp-2, 0x1.45d869ca8ac49p-2, 0x1.49c74d08b7415p-2, 0x1.4d7ea10d1eb23p-2, 0x1.50ff236e21c83p-2, 0x1.5449973e876f2p-2, 0x1.575ec4b1d376bp-2, 0x1.5a3f78c298c57p-2, 0x1.5cec84dac9b73p-2, 0x1.5f66be7e0e22dp-2, 0x1.61aefef6267f8p-2, 0x1.63c623015d7d1p-2, 0x1.65ad0a8308ef2p-2, 0x1.6764983624299p-2, 0x1.68edb161fb01ep-2, 0x1.6a493d90f0043p-2, 0x1.6b78264953bd9p-2, 0x1.6c7b56c855e88p-2, 0x1.6d53bbbf07ae9p-2, 0x1.6e0243117284cp-2, 0x1.6e87db97bbb81p-2, 0x1.6ee574e155fbp-2, 0x1.6f1bfefa390a9p-2, 0x1.6f2c6a32212c9p-2, 0x1.6f17a6e5caa75p-2, 0x1.6edea54a29a35p-2, 0x1.6e82553994c9ep-2, 0x1.6e03a602e3826p-2, 0x1.6d63863a7068bp-2, 0x1.6ca2e38d006ddp-2, 0x1.6bc2aa9486b89p-2, 0x1.6ac3c6aeb8f45p-2, 0x1.69a721d576b37p-2, 0x1.686da478f1db4p-2, 0x1.6718355b981acp-2, 0x1.65a7b96fb11b5p-2, 0x1.641d13b6a9f0bp-2, 0x1.6279252209638p-2, 0x1.60bccc75fd404p-2, 0x1.5ee8e62d811b9p-2, 0x1.5cfe4c600f976p-2, 0x1.5afdd6a8d47d2p-2, 0x1.58e85a0f608c8p-2, 0x1.56bea8f1c7404p-2, 0x1.548192f02e029p-2, 0x1.5231e4d9b581ap-2, 0x1.4fd0689abee6ep-2, 0x1.4d5de52c7cab3p-2, 0x1.4adb1e85cbf3dp-2, 0x1.4848d58d49461p-2, 0x1.45a7c80c9adaep-2, 0x1.42f8b0a4e2eecp-2, 0x1.403c46c4599eep-2, 0x1.3d733e9cfe7d1p-2, 0x1.3a9e491c589e7p-2, 0x1.37be13e444441p-2, 0x1.34d34944bcf65p-2, 0x1.31de9036a16eep-2, 0x1.2ee08c5766c43p-2, 0x1.2bd9dde5b0b8p-2, 0x1.28cb21becba4bp-2, 0x1.25b4f15cfc9a1p-2, 0x1.2297e2d69f4dap-2, 0x1.1f7488de0c287p-2, 0x1.1c4b72c23fd76p-2, 0x1.191d2c7035dc2p-2, 0x1.15ea3e74f8518p-2, 0x1.12b32e00573fdp-2, 0x1.0f787ce83f278p-2, 0x1.0c3aa9acb012ap-2, 0x1.08fa2f7c41d42p-2, 0x1.05b786393abb4p-2, 0x1.0273227f29c7ap-2, 0x1.fe5aeb520292ap-3, 0x1.f7cddbaf54061p-3, 0x1.f13febf21934bp-3, 0x1.eab1eb9f05a7ap-3, 0x1.e424a3f36ae0dp-3, 0x1.dd98d7f5abedp-3, 0x1.d70f44867278dp-3, 0x1.d088a07286a08p-3, 0x1.ca059c854b3c8p-3, 0x1.c386e39bd33a8p-3, 0x1.bd0d1ab87f4e9p-3, 0x1.b698e1171eb3p-3, 0x1.b02ad0418bef5p-3, 0x1.a9c37c24b24b3p-3, 0x1.a3637325ff72fp-3, 0x1.9d0b3e392ed3fp-3, 0x1.96bb60f6696aap-3, 0x1.907459b0b59bbp-3, 0x1.8a36a18ca3befp-3, 0x1.8402ac973f45ep-3, 0x1.7dd8e9dd2bdd7p-3, 0x1.77b9c381fd7fp-3, 0x1.71a59ed7a4bbep-3, 0x1.6b9cdc760b6abp-3, 0x1.659fd852bf66bp-3, 0x1.5faee9d8b5f0ap-3, 0x1.59ca64001c413p-3, 0x1.53f2956628fccp-3, 0x1.4e27c864f5918p-3, 0x1.486a432b508c2p-3, 0x1.42ba47d489c4bp-3, 0x1.3d1814802b30fp-3, 0x1.3783e369a2c3p-3, 0x1.31fdeaffd80cbp-3, 0x1.2c865dfc9eb3cp-3, 0x1.271d6b7c1044fp-3, 0x1.21c33f13bf535p-3, 0x1.1c7800e9c2214p-3, 0x1.173bd5cb9857bp-3, 0x1.120edf44dbf6ep-3, 0x1.0cf13bb5c64bdp-3, 0x1.07e306697e5cep-3, 0x1.02e457ac2f0a9p-3, 0x1.fbea89c1d0d39p-4, 0x1.f22bc12e800cfp-4, 0x1.e88c75416c6eep-4, 0x1.df0cc04baf6ebp-4, 0x1.d5acb77646da5p-4, 0x1.cc6c6aeb4053p-4, 0x1.c34be5fe726eap-4, 0x1.ba4b2f5597843p-4, 0x1.b16a490fd2f01p-4, 0x1.a8a930ecaee26p-4, 0x1.a007e072730d6p-4, 0x1.97864d13f329ap-4, 0x1.8f246855ad617p-4, 0x1.86e21ff25c2c6p-4, 0x1.7ebf5dfee083cp-4, 0x1.76bc090d8d0e1p-4, 0x1.6ed80450d18e2p-4, 0x1.67132fbd409a7p-4, 0x1.5f6d682af5975p-4, 0x1.57e6877653eb6p-4, 0x1.507e64a022116p-4, 0x1.4934d3ed021c6p-4, 0x1.4209a704450bfp-4, 0x1.3afcad0e150fap-4, 0x1.340db2d103399p-4, 0x1.2d3c82cee9501p-4, 0x1.2688e5612c69ep-4, 0x1.1ff2a0d45978ep-4, 0x1.1979798324bacp-4, 0x1.131d31f0bf0cdp-4, 0x1.0cdd8ae292e5fp-4, 0x1.06ba43795b3edp-4, 0x1.00b31949a004cp-4, 0x1.f58f90e726ad3p-5, 0x1.e9f01774a29cep-5, 0x1.de87393511016p-5, 0x1.d35466c10e48p-5, 0x1.c8570e7b5f0c8p-5, 0x1.bd8e9cbaaea59p-5, 0x1.b2fa7bf225cadp-5, 0x1.a89a14d8dd334p-5, 0x1.9e6cce90246e4p-5, 0x1.94720ec8b7b4bp-5, 0x1.8aa939e6d0a3fp-5, 0x1.8111b32527b3cp-5, 0x1.77aadcb6d9bbcp-5, 0x1.6e7417e8480d5p-5, 0x1.656cc53ee677dp-5, 0x1.5c94449808cdep-5, 0x1.53e9f546a39c3p-5, 0x1.4b6d363018578p-5, 0x1.431d65e80491cp-5, 0x1.3af9e2cb197bfp-5, 0x1.33020b1900a24p-5, 0x1.2b353d0d54ec8p-5, 0x1.2392d6f7b5dd2p-5, 0x1.1c1a3752ed517p-5, 0x1.14cabcdb42816p-5, 0x1.0da3c6a3e0342p-5, 0x1.06a4b42b720e3p-5, 0x1.ff99cadfd67dfp-6, 0x1.f2377602eb01dp-6, 0x1.e5212c293e93p-6, 0x1.d855b12789e3p-6, 0x1.cbd3ca5f5fcedp-6, 0x1.bf9a3edf02c6dp-6, 0x1.b3a7d77fb67acp-6, 0x1.a7fb5f02b74edp-6, 0x1.9c93a22cce74bp-6, 0x1.916f6fe07c51ep-6, 0x1.868d9936f7d51p-6, 0x1.7becf197b606cp-6, 0x1.718c4eceda3c9p-6, 0x1.676a892258c06p-6, 0x1.5d867b65f623cp-6, 0x1.53df030e15e12p-6, 0x1.4a7300416bfebp-6, 0x1.414155e99f117p-6, 0x1.3848e9c2cd427p-6, 0x1.2f88a46a14b3dp-6, 0x1.26ff716b0fcb2p-6, 0x1.1eac3f4c6673ep-6, 0x1.168dff9b620dfp-6, 0x1.0ea3a6f69a8c8p-6, 0x1.06ec2d17b9f5fp-6, 0x1.fecd19b8d8271p-7, 0x1.f023889cfd16ap-7, 0x1.e1d9a9562be32p-7, 0x1.d3ed84d276bfep-7, 0x1.c65d2a7f26dap-7, 0x1.b926b052b5529p-7, 0x1.ac4832d57c4dfp-7, 0x1.9fbfd528ddf27p-7, 0x1.938bc10d3cd11p-7, 0x1.87aa26e698af3p-7, 0x1.7c193dbff00f6p-7, 0x1.70d7434d90b2fp-7, 0x1.65e27bee1656p-7, 0x1.5b3932aa829c3p-7, 0x1.50d9b9352ed9ap-7, 0x1.46c267e7a43dcp-7, 0x1.3cf19dbfab4d8p-7, 0x1.3365c05b4fae8p-7, 0x1.2a1d3bf3fc271p-7, 0x1.21168358cad3fp-7, 0x1.18500fe80c89bp-7, 0x1.0fc86187e37d2p-7, 0x1.077dfe9e3629bp-7, 0x1.fedee80ff4a25p-8, 0x1.ef36aa1f66b3dp-8, 0x1.e00076c6b1eb7p-8, 0x1.d1398e13780cep-8, 0x1.c2df3cae1daa3p-8, 0x1.b4eedbc2669acp-8, 0x1.a765d0e688f1cp-8, 0x1.9a418e01874e8p-8, 0x1.8d7f91306e0afp-8, 0x1.811d64aadc8cap-8, 0x1.75189ea6a3d6cp-8, 0x1.696ee13a898ep-8, 0x1.5e1dda406e7d3p-8, 0x1.53234336b131ep-8, 0x1.487ce121007adp-8, 0x1.3e2884688d763p-8, 0x1.342408bbc5272p-8, 0x1.2a6d54ed63f8cp-8, 0x1.21025ad316fabp-8, 0x1.17e11723e6815p-8, 0x1.0f079155fa6d2p-8, 0x1.0673db7c278ep-8, 0x1.fc4824468c477p-9, 0x1.ec2cb85e0af69p-9, 0x1.dc91d56d5d528p-9, 0x1.cd73f1c3557efp-9, 0x1.becf9787935b7p-9, 0x1.b0a16472db19bp-9, 0x1.a2e609873b6a2p-9, 0x1.959a4ac81d235p-9, 0x1.88bafef1d5607p-9, 0x1.7c450f31a5654p-9, 0x1.703576dd2704fp-9, 0x1.6489432a10dap-9, 0x1.593d92e63fbd3p-9, 0x1.4e4f962f40714p-9, 0x1.43bc8e2aa3f93p-9, 0x1.3981ccbe24a43p-9, 0x1.2f9cb448276c9p-9, 0x1.260ab7587c63fp-9, 0x1.1cc958695529dp-9, 0x1.13d62998c30eap-9, 0x1.0b2ecc624dfb4p-9, 0x1.02d0f1596d175p-9, 0x1.f574afc793e81p-10, 0x1.e5d19be9273dbp-10, 0x1.d6b45f8fbe6dep-10, 0x1.c818cf3d4c46p-10, 0x1.b9fadaf6ddb36p-10, 0x1.ac568dbed223ep-10, 0x1.9f280d102b1f5p-10, 0x1.926b985b0f401p-10, 0x1.861d8882f7e2ap-10, 0x1.7a3a4f5d74943p-10, 0x1.6ebe77329ff9ap-10, 0x1.63a6a23e968b7p-10, 0x1.58ef8a34cbd34p-10, 0x1.4e95ffc4172fap-10, 0x1.4496ea1cdd057p-10, 0x1.3aef4678113e6p-10, 0x1.319c27a009a67p-10, 0x1.289ab57a8949p-10, 0x1.1fe82c9436586p-10, 0x1.1781ddadda53p-10, 0x1.0f652d4b03b15p-10, 0x1.078f9341df72bp-10, 0x1.fffd349a59792p-11, 0x1.f15fbf3e4a42ep-11, 0x1.e34224ed40603p-11, 0x1.d59fe7698d93ep-11, 0x1.c874aaeb1ba28p-11, 0x1.bbbc3550e9ea8p-11, 0x1.af726d57695bcp-11, 0x1.a39359d1e7623p-11, 0x1.981b20e621a1ep-11, 0x1.8d06074b72023p-11, 0x1.82506f8e4479ep-11, 0x1.77f6d95451368p-11, 0x1.6df5e0a5b2e26p-11, 0x1.644a3d390d37dp-11, 0x1.5af0c1c155f6ap-11, 0x1.51e65b4046a13p-11, 0x1.4928105b64ed9p-11, 0x1.40b300b3b1aeap-11, 0x1.388464406b312p-11, 0x1.30998aae11782p-11, 0x1.28efdabe534fp-11, 0x1.2184d1ac380d4p-11, 0x1.1a56029398b3dp-11, 0x1.136115d9efc42p-11, 0x1.0ca3c89bed1d7p-11, 0x1.061bec1c97bfp-11, 0x1.ff8eca6fdf826p-12, 0x1.f34857b084853p-12, 0x1.e76094dc37d5ep-12, 0x1.dbd3bad6e06cp-12, 0x1.d09e2580fcc03p-12, 0x1.c5bc52b93830ap-12, 0x1.bb2ae161ec3fcp-12, 0x1.b0e6906ca2e71p-12, 0x1.a6ec3dea06eb8p-12, 0x1.9d38e61fdcee2p-12, 0x1.93c9a2a41360bp-12, 0x1.8a9ba97bc996dp-12, 0x1.81ac4c4126a29p-12, 0x1.78f8f74bfe108p-12, 0x1.707f30e075446p-12, 0x1.683c986246953p-12, 0x1.602ee58d32b78p-12, 0x1.5853e7b1868b4p-12, 0x1.50a984f4aa094p-12, 0x1.492db99836ed1p-12, 0x1.41de97430f6ebp-12, 0x1.3aba444f7b359p-12, 0x1.33befb208db0fp-12, 0x1.2ceb0975ea0cap-12, 0x1.263ccfc8d4a78p-12, 0x1.1fb2c0ab2b607p-12, 0x1.194b602b178ep-12, 0x1.13054339eb82ap-12, 0x1.0cdf0f1787be2p-12, 0x1.06d778c2417e6p-12, 0x1.00ed446894adep-12, 0x1.f63e89bf4b1d1p-13, 0x1.ead8b63e2a5cap-13, 0x1.dfa6eb78f05e7p-13, 0x1.d4a720dbe23dfp-13, 0x1.c9d7671bfe9adp-13, 0x1.bf35e74991eb3p-13, 0x1.b4c0e1e3f323cp-13, 0x1.aa76adf74bee5p-13, 0x1.a055b842d1b39p-13, 0x1.965c825f5fecbp-13, 0x1.8c89a1ef80622p-13, 0x1.82dbbfd64a6bp-13, 0x1.7951977241636p-13, 0x1.6fe9f5de766bbp-13, 0x1.66a3b939c8815p-13, 0x1.5d7dcff3bf705p-13, 0x1.5477381dc3a9fp-13, 0x1.4b8efec1775a8p-13, 0x1.42c43f3e08b9fp-13, 0x1.3a1622aa715dcp-13, 0x1.3183df39400fbp-13, 0x1.290cb7a407e71p-13, 0x1.20affa9c88dbdp-13, 0x1.186d023f19e76p-13, 0x1.1043338c63beap-13, 0x1.0831fde614a79p-13, 0x1.0038da91021e9p-13, 0x1.f0ae9874872e8p-14, 0x1.e119bd00df2bfp-14, 0x1.d1b24b02d7722p-14, 0x1.c2777adaca6ccp-14, 0x1.b36894343dd53p-14, 0x1.a484ed393b6bbp-14, 0x1.95cbe9cce8d0ap-14, 0x1.873cfac901987p-14, 0x1.78d79d4866c9fp-14, 0x1.6a9b59f122365p-14, 0x1.5c87c44c31091p-14, 0x1.4e9c7a1f8ca42p-14, 0x1.40d922ccd0548p-14, 0x1.333d6eb8db1aap-14, 0x1.25c916b9ebdafp-14, 0x1.187bdb892dbcdp-14, 0x1.0b558538e415ep-14, 0x1.fcabc5680c7c7p-15, 0x1.e2f9927eb9cd6p-15, 0x1.c9942803429ep-15, 0x1.b07b471e80044p-15, 0x1.97aebaf4db501p-15, 0x1.7f2e57db68c4ep-15, 0x1.66f9fa84bac05p-15, 0x1.4f1187413acaap-15, 0x1.3774e9409c664p-15, 0x1.202411ea93126p-15, 0x1.091ef82a30698p-15, 0x1.e4cb2fa8fa35p-16, 0x1.b7efe20ef7da5p-16, 0x1.8bac0f3eda958p-16, 0x1.5fffc549c9e43p-16, 0x1.34eb178eab51fp-16, 0x1.0a6e1dc08fe24p-16, 0x1.c111e602947c7p-17, 0x1.6e7769e537ffp-17, 0x1.1d0d05c17e4fbp-17, 0x1.99a5f3c7dda26p-18, 0x1.f7261bb5cb9a2p-19, 0x1.7f876236d9ac1p-20, -0x1.cb6992524e639p-21, -0x1.a0b340e563a9ep-19, -0x1.64e3096fd2b1dp-18, -0x1.f70910e2db6c6p-18, -0x1.4365b4533711ap-17, -0x1.8a14e95918ee5p-17, -0x1.cf92116a978b4p-17, -0x1.09ee9018c05eep-16, -0x1.2b7b09f57086ap-16, -0x1.4c6e7b11fb0b4p-16, -0x1.6cc8ee231a28ep-16, -0x1.8c8a7425af7acp-16, -0x1.abb324a33411p-16, -0x1.ca431df0dd1eap-16, -0x1.e83a856a63c2ep-16, -0x1.02ccc3cda56bdp-15, -0x1.11302c3edcb39p-15, -0x1.1f4799ce0cf9dp-15, -0x1.2d132e1af3473p-15, -0x1.3a930eacd9159p-15, -0x1.47c7650019998p-15, -0x1.54b05e9531ebfp-15, -0x1.614e2cf4587e5p-15, -0x1.6da105b44836fp-15, -0x1.79a9227f87856p-15, -0x1.8566c117abe4ap-15, -0x1.90da23569bf3bp-15, -0x1.9c038f2bd5f18p-15, -0x1.a6e34e966cf25p-15, -0x1.b179afa806209p-15, -0x1.bbc7047a4a376p-15, -0x1.c5cba32a1abacp-15, -0x1.cf87e5cce138ap-15, -0x1.d8fc2a6726097p-15, -0x1.e228d2e5719e1p-15, -0x1.eb0e450c458a4p-15, -0x1.f3acea6c8138fp-15, -0x1.fc053053d7435p-15, -0x1.020bc3e06fa3dp-14, -0x1.05f232a9427b2p-14, -0x1.09b6209babe2fp-14, -0x1.0d57cb8d36c29p-14, -0x1.10d77309a5f3ap-14, -0x1.14355849ed30cp-14, -0x1.1771be2a7abcap-14, -0x1.1a8ce920d5e64p-14, -0x1.1d871f3118429p-14, -0x1.2060a7e5642adp-14, -0x1.2319cc4218fbdp-14, -0x1.25b2d6bbfbc55p-14, -0x1.282c132c39ff3p-14, -0x1.2a85cec56dab6p-14, -0x1.2cc05809ceaafp-14, -0x1.2edbfebf4d96fp-14, -0x1.30d913e4584afp-14, -0x1.32b7e9a3fb3ap-14, -0x1.3478d34b2b197p-14, -0x1.361c253cd2ef6p-14, -0x1.37a234e71adbcp-14, -0x1.390b58b67968ep-14, -0x1.3a57e80ad9009p-14, -0x1.3b883b2ca457ep-14, -0x1.3c9cab410d6a3p-14, -0x1.3d95923e80f33p-14, -0x1.3e734ae11d836p-14, -0x1.3f36309e3ddfp-14, -0x1.3fde9f9b6d0fbp-14, -0x1.406cf4a1d5bdap-14, -0x1.40e18d134e3ecp-14, -0x1.413cc6df98e3ep-14, -0x1.417f0078ce709p-14, -0x1.41a898c91a58ep-14, -0x1.41b9ef282d229p-14, -0x1.41b3634ff000cp-14, -0x1.41955551ca5a9p-14, -0x1.4160258d39cedp-14, -0x1.411434a53e191p-14, -0x1.40b1e37647c05p-14, -0x1.4039930c70fc9p-14, -0x1.3faba498d2033p-14, -0x1.3f0879686bba5p-14, -0x1.3e5072daf456dp-14, -0x1.3d83f2593da85p-14, -0x1.3ca3594c3ec86p-14, -0x1.3baf0913d44aep-14, -0x1.3aa762fdddbe6p-14, -0x1.398cc83dec02bp-14, -0x1.385f99e4b4e5p-14, -0x1.372038d775154p-14, -0x1.35cf05c75ce98p-14, -0x1.346c612ab4818p-14, -0x1.32f8ab34b276fp-14, -0x1.317443cd71e69p-14, -0x1.2fdf8a8b5853bp-14, -0x1.2e3adeaabd82bp-14, -0x1.2c869f077e098p-14, -0x1.2ac32a1600a47p-14, -0x1.28f0dddca7cfap-14, -0x1.271017ed9ce83p-14, -0x1.2521355f56dd2p-14, -0x1.232492c7b5a4bp-14, -0x1.211a8c3514b82p-14, -0x1.1f037d2915782p-14, -0x1.1cdfc092f2db5p-14, -0x1.1aafb0c984f17p-14, -0x1.1873a7862d83p-14, -0x1.162bfde0c9e58p-14, -0x1.13d90c4915cf4p-14, -0x1.117b2a8343155p-14, -0x1.0f12afa2a17a2p-14, -0x1.0c9ff205aafd3p-14, -0x1.0a2347512e161p-14, -0x1.079d046cb444bp-14, -0x1.050d7d7f14c42p-14, -0x1.027505e9a179bp-14, -0x1.ffa7e08a7a518p-15, -0x1.fa551cbd9b71ep-15, -0x1.f4f2626740dd3p-15, -0x1.ef8051dd8af45p-15, -0x1.e9ff89cc77f0ep-15, -0x1.e470a72e5f98ep-15, -0x1.ded44548635b6p-15, -0x1.d92afda53886ep-15, -0x1.d375680fbbbcep-15, -0x1.cdb41a8e8a531p-15, -0x1.c7e7a960405afp-15, -0x1.c210a6f7dfbcdp-15, -0x1.bc2fa3f7266b2p-15, -0x1.b6452f2dd026fp-15, -0x1.b051d5958882dp-15, -0x1.aa56224e60c2fp-15, -0x1.a4529e9c8159ep-15, -0x1.9e47d1e69c26dp-15, -0x1.983641b2217b9p-15, -0x1.921e71a2340eap-15, -0x1.8c00e3774baaap-15, -0x1.85de170b9a1fbp-15, -0x1.7fb68a5300d09p-15, -0x1.798ab95a164c3p-15, -0x1.735b1e452341ap-15, -0x1.6d28314f07505p-15, -0x1.66f268c9a06f7p-15, -0x1.60ba391d60483p-15, -0x1.5a8014c947877p-15, -0x1.54446c622dc19p-15, -0x1.4e07ae956d46ap-15, -0x1.47ca482713152p-15, -0x1.418ca3f3bc97dp-15, -0x1.3b4f2af1eaaddp-15, -0x1.3512443172458p-15, -0x1.2ed654de0146dp-15, -0x1.289bc03fec4cdp-15, -0x1.2262e7be982e4p-15, -0x1.1c2c2ae0d91b3p-15, -0x1.15f7e75002f5fp-15, -0x1.0fc678d8b59b7p-15, -0x1.0998396e5f162p-15, -0x1.036d812b1cfdep-15, -0x1.fa8d4ca9a3a84p-16, -0x1.ee47fabc6b826p-16, -0x1.e20bb1d14272cp-16, -0x1.d5d9139107a5p-16, -0x1.c9b0be0e48ed8p-16, -0x1.bd934bca60cabp-16, -0x1.b18153be1e2bp-16, -0x1.a57b695dd154fp-16, -0x1.99821c9ff7ab7p-16, -0x1.8d95fa0372b59p-16, -0x1.81b78a97f35cfp-16, -0x1.75e754030a3e7p-16, -0x1.6a25d88784b12p-16, -0x1.5e73970ec5ceap-16, -0x1.52d10b2df5c03p-16, -0x1.473ead2ccb0d6p-16, -0x1.3bbcf20ff6e7ap-16, -0x1.304c4b9d5b24dp-16, -0x1.24ed28687ecc5p-16, -0x1.199ff3d5d9e1ep-16, -0x1.0e6516255dcb2p-16, -0x1.033cf47be7902p-16, -0x1.f04fe1ce24cc5p-17, -0x1.da4cd4d4f1c23p-17, -0x1.c4717a0c7c41p-17, -0x1.aebe837d025a6p-17, -0x1.99349d4a96546p-17, -0x1.83d46dc59bcc1p-17, -0x1.6e9e957db7be3p-17, -0x1.5993af50313bp-17, -0x1.44b4507a9cb1p-17, -0x1.300108af725cap-17, -0x1.1b7a62285dc5ep-17, -0x1.0720e1b23bb17p-17, -0x1.e5ea0d836651p-18, -0x1.bdee9711f07d2p-18, -0x1.96504a0e4669bp-18, -0x1.6f1006343599cp-18, -0x1.482ea11d1badbp-18, -0x1.21ace67416bbp-18, -0x1.f717300e78aeap-19, -0x1.ab96dbe42752bp-19, -0x1.60da2d9c588fdp-19, -0x1.16e26f936c4a3p-19, -0x1.9b61b334aa4b3p-20, -0x1.0a8d228cabf3ep-20, -0x1.ed25523abc089p-22, 0x1.267b2c68f9ffbp-24, 0x1.3d0824b7189p-21, 0x1.290a0b39a0b12p-20, 0x1.b1f7fffccdd62p-20, 0x1.1ca63a2aa5251p-19, 0x1.5f830647832b9p-19, 0x1.a191c67b3603p-19, 0x1.e2d1ec916b00ap-19, 0x1.11a17ce1e59c5p-18, 0x1.31723f40ef9f6p-18, 0x1.50db0d06fe971p-18, 0x1.6fdbbd247135fp-18, 0x1.8e742db65901bp-18, 0x1.aca443e25b073p-18, 0x1.ca6bebb2c5e21p-18, 0x1.e7cb17f572dcdp-18, 0x1.0260e10ec0006p-17, 0x1.10a7f50eff586p-17, 0x1.1ebacb236a71fp-17, 0x1.2c996990b7d77p-17, 0x1.3a43d9ae8ba71p-17, 0x1.47ba27d2dc17dp-17, 0x1.54fc633f7e195p-17, 0x1.620a9e1291ce2p-17, 0x1.6ee4ed39dfbc3p-17, 0x1.7b8b6862004c6p-17, 0x1.87fe29e73d93bp-17, 0x1.943d4ec156626p-17, 0x1.a048f678759bcp-17, 0x1.ac21431849a63p-17, 0x1.b7c65917f4efcp-17, 0x1.c3385f540f1a5p-17, 0x1.ce777efdb1acdp-17, 0x1.d983e3888ce36p-17, 0x1.e45dbaa00bb3fp-17, 0x1.ef0534155e882p-17, 0x1.f97a81d5be0bdp-17, 0x1.01deebec53734p-16, 0x1.06e7b6091ae94p-16, 0x1.0bd7bb3394fa8p-16, 0x1.10af184f6a6fbp-16, 0x1.156deb2b43832p-16, 0x1.1a14527989d62p-16, 0x1.1ea26dc89de32p-16, 0x1.23185d7f13949p-16, 0x1.277642d2e3969p-16, 0x1.2bbc3fc4ff503p-16, 0x1.2fea771a25954p-16, 0x1.34010c543629cp-16, 0x1.380023ad37c79p-16, 0x1.3be7e2105c5ebp-16, 0x1.3fb86d14ea482p-16, 0x1.4371eaf7cf32ap-16, 0x1.47148296ff827p-16, 0x1.4aa05b6a4e9ccp-16, 0x1.4e159d7f170ebp-16, 0x1.5174717172af3p-16, 0x1.54bd006851053p-16, 0x1.57ef740e8b625p-16, 0x1.5b0bf68e16dcdp-16, 0x1.5e12b28c498c4p-16, }}, 
      {{-0x1.9a9bfbb215caap-1, -0x1.9a98ba9f0a399p-1, -0x1.9a931f9e2c2e7p-1, -0x1.9a8ae6d02ef3cp-1, -0x1.9a7fb4a0f1c85p-1, -0x1.9a7118895ae41p-1, -0x1.9a5e9008cbe28p-1, -0x1.9a4789af84e4ap-1, -0x1.9a2b681dfdf38p-1, -0x1.9a0984e58052ep-1, -0x1.99e1333ca5d2cp-1, -0x1.99b1c27f48be3p-1, -0x1.997a80751a034p-1, -0x1.993abb5cd77c4p-1, -0x1.98f1c3bc299c8p-1, -0x1.989eedf59fa7cp-1, -0x1.984193a753d32p-1, -0x1.97d914d564bb5p-1, -0x1.9764d8e3e8ca9p-1, -0x1.96e44f64348p-1, -0x1.9656f0b963682p-1, -0x1.95bc3e98085fcp-1, -0x1.9513c464d3bc4p-1, -0x1.945d1775cab83p-1, -0x1.9397d7397c3bap-1, -0x1.92c3ad4765ea2p-1, -0x1.91e04d5c7a698p-1, -0x1.90ed75468035p-1, -0x1.8feaecc0bf3b6p-1, -0x1.8ed885443be17p-1, -0x1.8db619cd7eb09p-1, -0x1.8c838e99bap-1, -0x1.8b40d0dce3195p-1, -0x1.89edd67230483p-1, -0x1.888a9d883682ep-1, -0x1.87172c49c5341p-1, -0x1.8593908470f11p-1, -0x1.83ffdf4da5efap-1, -0x1.825c34a6f76dbp-1, -0x1.80a8b3224bb1bp-1, -0x1.7ee583866ac7ap-1, -0x1.7d12d47461e32p-1, -0x1.7b30da0e1b0f1p-1, -0x1.793fcd9e7a4fdp-1, -0x1.773fed433ffd3p-1, -0x1.75317b98e8a05p-1, -0x1.7314bf68b1b17p-1, -0x1.70ea0358e77eep-1, -0x1.6eb1959f95bf2p-1, -0x1.6c6bc7b7aa32cp-1, -0x1.6a18ee189b96fp-1, -0x1.67b95ff096017p-1, -0x1.654d76e137a53p-1, -0x1.62d58ebed56c5p-1, -0x1.605205524c755p-1, -0x1.5dc33a1d537b8p-1, -0x1.5b298e214b481p-1, -0x1.588563a87ccd4p-1, -0x1.55d71e11c2807p-1, -0x1.531f219e887f3p-1, -0x1.505dd3431e712p-1, -0x1.4d9398794609ap-1, -0x1.4ac0d714f6779p-1, -0x1.47e5f51b4087dp-1, -0x1.4503589b4a3dep-1, -0x1.421967894e187p-1, -0x1.3f28879b8feeap-1, -0x1.3c311e293c2f5p-1, -0x1.3933900b1cd67p-1, -0x1.3630417e18e16p-1, -0x1.332796076dfc7p-1, -0x1.3019f05a96571p-1, -0x1.2d07b240cc52ep-1, -0x1.29f13c821ce19p-1, -0x1.26d6eecffbd0ep-1, -0x1.23b927b14bf0cp-1, -0x1.2098446fcc20fp-1, -0x1.1d74a106df276p-1, -0x1.1a4e98139e7afp-1, -0x1.172682c62d02bp-1, -0x1.13fcb8d43d0a1p-1, -0x1.10d1906cbd183p-1, -0x1.0da55e2ca03b7p-1, -0x1.0a787514b621ep-1, -0x1.074b2680886fep-1, -0x1.041dc21e3104ap-1, -0x1.00f095e71f803p-1, -0x1.fb87dc338a0afp-2, -0x1.f5302a68319fbp-2, -0x1.eedaa7ddde758p-2, -0x1.e887e2742e46ep-2, -0x1.e23864726e17dp-2, -0x1.dbecb482bcafp-2, -0x1.d5a555ae864e1p-2, -0x1.cf62c75c4c06cp-2, -0x1.c925854e9d9b4p-2, -0x1.c2ee07a44184p-2, -0x1.bcbcc2d97127bp-2, -0x1.b69227ca21cc3p-2, -0x1.b06ea3b548375p-2, -0x1.aa52a04109ce8p-2, -0x1.a43e837fcee48p-2, -0x1.9e32aff626d05p-2, -0x1.982f84a175022p-2, -0x1.92355cff56cf9p-2, -0x1.8c449115b92c5p-2, -0x1.865d757b911cfp-2, -0x1.80805b622f69ep-2, -0x1.7aad909f210f4p-2, -0x1.74e55fb692bccp-2, -0x1.6f280fe632feep-2, -0x1.6975e530817b6p-2, -0x1.63cf2068897c6p-2, -0x1.5e33ff3dfcce4p-2, -0x1.58a4bc49a29cdp-2, -0x1.53218f1a1a51fp-2, -0x1.4daaac40e461ep-2, -0x1.4840455fac9f6p-2, -0x1.42e28935cc6aep-2, -0x1.3d91a3ae052cfp-2, -0x1.384dbdec61145p-2, -0x1.3316fe5c3fcedp-2, -0x1.2ded88be820bbp-2, -0x1.28d17e37d0425p-2, -0x1.23c2fd5ef7e72p-2, -0x1.1ec2224b59c7bp-2, -0x1.19cf06a363d5ap-2, -0x1.14e9c1ab150fep-2, -0x1.1012685280196p-2, -0x1.0b490d4451553p-2, -0x1.068dc0f44e69p-2, -0x1.01e091adcba2fp-2, -0x1.fa83174432e8p-3, -0x1.f16171edbc40dp-3, -0x1.e85c43a8bf351p-3, -0x1.df7398e76cfe1p-3, -0x1.d6a77a59d3841p-3, -0x1.cdf7ed09db8b8p-3, -0x1.c564f27713ddap-3, -0x1.bcee88b22feafp-3, -0x1.b494aa784f031p-3, -0x1.ac574f4df6249p-3, -0x1.a4366b99bc658p-3, -0x1.9c31f0beac96ep-3, -0x1.9449cd3651968p-3, -0x1.8c7decaa6c6c9p-3, -0x1.84ce380e56d95p-3, -0x1.7d3a95b8019c6p-3, -0x1.75c2e978a2b08p-3, -0x1.6e6714b4f9188p-3, -0x1.6726f67d31adp-3, -0x1.60026ba471506p-3, -0x1.58f94ed7ecc98p-3, -0x1.520b78b5a604cp-3, -0x1.4b38bfe2bee66p-3, -0x1.4480f9215febdp-3, -0x1.3de3f7663b675p-3, -0x1.37618beda56c4p-3, -0x1.30f986503f895p-3, -0x1.2aabb4973a152p-3, -0x1.2477e3502ccd4p-3, -0x1.1e5ddda080a18p-3, -0x1.185d6d5871b37p-3, -0x1.12765b05a2814p-3, -0x1.0ca86e0546647p-3, -0x1.06f36c95defe3p-3, -0x1.01571be88e535p-3, -0x1.f7a6806405bffp-4, -0x1.eccf3975eb6edp-4, -0x1.e227e7e07fef1p-4, -0x1.d7b00ee50d5d9p-4, -0x1.cd67304b087b9p-4, -0x1.c34ccc7dc78b9p-4, -0x1.b96062a970a06p-4, -0x1.afa170d7282b8p-4, -0x1.a60f7408601f8p-4, -0x1.9ca9e8517aab7p-4, -0x1.937048f395fbfp-4, -0x1.8a6210759bbfep-4, -0x1.817eb8bc900acp-4, -0x1.78c5bb232562bp-4, -0x1.7036909090e07p-4, -0x1.67d0b18eaa2ap-4, -0x1.5f93965f52e3p-4, -0x1.577eb7112c417p-4, -0x1.4f918b939a6cfp-4, -0x1.47cb8bca1c852p-4, -0x1.402c2f9ef6512p-4, -0x1.38b2ef1536addp-4, -0x1.315f425a1275dp-4, -0x1.2a30a1d5a304ap-4, -0x1.2326863b00973p-4, -0x1.1c406897c2eadp-4, -0x1.157dc262e6858p-4, -0x1.0ede0d8b1d29bp-4, -0x1.0860c484883a8p-4, -0x1.02056255e581ap-4, -0x1.f796c54a543dbp-5, -0x1.eb6483872dc52p-5, -0x1.df72f9728410bp-5, -0x1.d3c122a03a5a8p-5, -0x1.c84dfc3cf17b1p-5, -0x1.bd18852214f5cp-5, -0x1.b21fbde8e83a8p-5, -0x1.a762a8fcaa483p-5, -0x1.9ce04aabc7f14p-5, -0x1.9297a93827516p-5, -0x1.8887cce695f3ap-5, -0x1.7eafc00d5624dp-5, -0x1.750e8f21dcaf1p-5, -0x1.6ba348c5bb20cp-5, -0x1.626cfdd2be00cp-5, -0x1.596ac1664b9c6p-5, -0x1.509ba8ebfbb02p-5, -0x1.47fecc277b9fdp-5, -0x1.3f93453db7807p-5, -0x1.375830bd5931p-5, -0x1.2f4cada6961fcp-5, -0x1.276fdd725dabfp-5, -0x1.1fc0e418e22a3p-5, -0x1.183ee81788dbdp-5, -0x1.10e912764024p-5, -0x1.09be8ecc45d61p-5, -0x1.02be8b446120dp-5, -0x1.f7d071411ca9ap-6, -0x1.ea75947a5801ep-6, -0x1.dd6aec2746d2ap-6, -0x1.d0aee97937a98p-6, -0x1.c44002e3580afp-6, -0x1.b81cb41d4a9d6p-6, -0x1.ac437e24c7beep-6, -0x1.a0b2e73e7be25p-6, -0x1.95697af60b145p-6, -0x1.8a65ca1d5247fp-6, -0x1.7fa66acaecc1bp-6, -0x1.7529f858006fap-6, -0x1.6aef135d56d1dp-6, -0x1.60f461afd6254p-6, -0x1.57388e5c51acbp-6, -0x1.4dba49a2c0922p-6, -0x1.447848f0e269dp-6, -0x1.3b7146dc54dcbp-6, -0x1.32a4031c25bb9p-6, -0x1.2a0f4281dd427p-6, -0x1.21b1cef210bb8p-6, -0x1.198a775c86a79p-6, -0x1.11980fb3dda4ap-6, -0x1.09d970e4d5bd9p-6, -0x1.024d78cd31947p-6, -0x1.f5e614646b78dp-7, -0x1.e792196dafb81p-7, -0x1.d99cd9a308825p-7, -0x1.cc04378365ceap-7, -0x1.bec61f0a2478bp-7, -0x1.b1e0859904161p-7, -0x1.a55169e17af2ep-7, -0x1.9916d3cda8f23p-7, -0x1.8d2ed468bae11p-7, -0x1.819785c6fd91cp-7, -0x1.764f0aed7ef69p-7, -0x1.6b538fb959641p-7, -0x1.60a348c6ae9a9p-7, -0x1.563c7357431bcp-7, -0x1.4c1d5538f6519p-7, -0x1.42443cabe20a9p-7, -0x1.38af804840d2ep-7, -0x1.2f5d7ee4360adp-7, -0x1.264c9f795e41fp-7, -0x1.1d7b510a31b15p-7, -0x1.14e80a8755f59p-7, -0x1.0c914ab4cfd6cp-7, -0x1.0475980f1c037p-7, -0x1.f927016071302p-8, -0x1.e9d334694c6a2p-8, -0x1.daed0340c5368p-8, -0x1.cc71b687b3b54p-8, -0x1.be5ea541c02dbp-8, -0x1.b0b1349f689aap-8, -0x1.a366d7c80907fp-8, -0x1.967d0fa409a6ep-8, -0x1.89f16aa72b019p-8, -0x1.7dc1849b0d01bp-8, -0x1.71eb0669d69e5p-8, -0x1.666ba5e904f1bp-8, -0x1.5b4125a4aae6p-8, -0x1.506954aabc6cap-8, -0x1.45e20e56c342dp-8, -0x1.3ba93a1dd6b42p-8, -0x1.31bccb5aeae71p-8, -0x1.281ac11b7211ep-8, -0x1.1ec125ec5d63ap-8, -0x1.15ae0fa77ec06p-8, -0x1.0cdf9f4147a94p-8, -0x1.0454009701745p-8, -0x1.f812d47abb3f3p-9, -0x1.e7fc3a9ef4c5cp-9, -0x1.d860ca7cd2098p-9, -0x1.c93d2f4221947p-9, -0x1.ba8e280933249p-9, -0x1.ac50877a9171cp-9, -0x1.9e81336fd20cp-9, -0x1.911d24973a964p-9, -0x1.8421661887ebap-9, -0x1.778b153a9b84ap-9, -0x1.6b57610a57295p-9, -0x1.5f838a026a25ap-9, -0x1.540ce1b436d6cp-9, -0x1.48f0ca71c5df9p-9, -0x1.3e2cb6f8caf54p-9, -0x1.33be2a1ebf34dp-9, -0x1.29a2b67e1fa3fp-9, -0x1.1fd7fe24af376p-9, -0x1.165bb242e3c66p-9, -0x1.0d2b92dc61c54p-9, -0x1.04456e79968b1p-9, -0x1.f74e43b4d9419p-10, -0x1.e69d2f5438b48p-10, -0x1.d67390685d5d2p-10, -0x1.c6cd7234f1c57p-10, -0x1.b7a6fa186fbedp-10, -0x1.a8fc66fcceaecp-10, -0x1.9aca10ca02daep-10, -0x1.8d0c67db4686bp-10, -0x1.7fbff475ee428p-10, -0x1.72e15642cc803p-10, -0x1.666d43c9b8582p-10, -0x1.5a6089ef20f97p-10, -0x1.4eb80b73e4f09p-10, -0x1.4370c0776683cp-10, -0x1.3887b5fb92d4ep-10, -0x1.2dfa0d6afeb11p-10, -0x1.23c4fc214976ep-10, -0x1.19e5caf596ca6p-10, -0x1.1059d5c6d166ap-10, -0x1.071e8b0a8bd7ep-10, -0x1.fc62d6baa0f68p-11, -0x1.eb20122a7dcc5p-11, -0x1.da700fad87329p-11, -0x1.ca4e385607bfdp-11, -0x1.bab61630fbbe6p-11, -0x1.aba3537b10563p-11, -0x1.9d11b9d99431cp-11, -0x1.8efd3196f93dbp-11, -0x1.8161c0e31165cp-11, -0x1.743b8b174f43ep-11, -0x1.6786cffe9b111p-11, -0x1.5b3feb20a7cdfp-11, -0x1.4f63531156b93p-11, -0x1.43ed98c2cc46p-11, -0x1.38db66dbd0da8p-11, -0x1.2e29811121e17p-11, -0x1.23d4c3828713fp-11, -0x1.19da221b138a8p-11, -0x1.1036a7f4d7071p-11, -0x1.06e776bfe9a31p-11, -0x1.fbd38c588cf9ep-12, -0x1.ea75c6ae30da2p-12, -0x1.d9b0607693661p-12, -0x1.c97e464a227dcp-12, -0x1.b9da8c50d3199p-12, -0x1.aac06d35c92fp-12, -0x1.9c2b491ffb73ap-12, -0x1.8e16a4b0c463ap-12, -0x1.807e2808ed82p-12, -0x1.735d9dd27f858p-12, -0x1.66b0f25070799p-12, -0x1.5a74327433df4p-12, -0x1.4ea38af80f48dp-12, -0x1.433b477ea8f9ap-12, -0x1.3837d1b80eb1cp-12, -0x1.2d95b08b8f5c6p-12, -0x1.23518746a721bp-12, -0x1.196814d10aeb6p-12, -0x1.0fd632e57a3p-12, -0x1.0698d54f11aa6p-12, -0x1.fb5a1256ea039p-13, -0x1.ea1fe86215277p-13, -0x1.d97da7f45febbp-13, -0x1.c96dfaaa2d23ep-13, -0x1.b9ebb72e00fefp-13, -0x1.aaf1dfe91ccdbp-13, -0x1.9c7ba1bc78b1fp-13, -0x1.8e8452c04d26p-13, -0x1.8107710ccd323p-13, -0x1.7400a189dd76cp-13, -0x1.676baec798cf8p-13, -0x1.5b4487dcedea6p-13, -0x1.4f873f4f2496dp-13, -0x1.443009ff9e41ap-13, -0x1.393b3e210eabbp-13, -0x1.2ea5523294d42p-13, -0x1.246adc033734p-13, -0x1.1a888fba38439p-13, -0x1.10fb3ee79cc7bp-13, -0x1.07bfd79a0d034p-13, -0x1.fda6c6f584806p-14, -0x1.ec660de29bb1fp-14, -0x1.dbb80094d6c4dp-14, -0x1.cb974dcea98bap-14, -0x1.bbfed4e0c843cp-14, -0x1.ace9a41e0e563p-14, -0x1.9e52f759d80d1p-14, -0x1.9036366f414edp-14, -0x1.828ef3d44ac33p-14, -0x1.7558eb384a484p-14, -0x1.689000282d314p-14, -0x1.5c303cc140e03p-14, -0x1.5035d06855bdep-14, -0x1.449d0e8f7d71fp-14, -0x1.39626d80bbe06p-14, -0x1.2e828533dbd54p-14, -0x1.23fa0e2b59042p-14, -0x1.19c5e05c843bp-14, -0x1.0fe2f21b7684ap-14, -0x1.064e5713415bfp-14, -0x1.fa0a7e830c19p-15, -0x1.e809ebfbd1b82p-15, -0x1.d695c20e0ffc5p-15, -0x1.c5a8ff2cc9763p-15, -0x1.b53ed2f734f85p-15, -0x1.a5529c8141beap-15, -0x1.95dfe8a18993dp-15, -0x1.86e270536ccf7p-15, -0x1.7856172024abdp-15, -0x1.6a36e9988d786p-15, -0x1.5c811bd8fce4ep-15, -0x1.4f31081b53e4p-15, -0x1.42432d502247cp-15, -0x1.35b42dc78496p-15, -0x1.2980cde4a0f4ap-15, -0x1.1da5f2d783d49p-15, -0x1.1220a165067bdp-15, -0x1.06edfcb715febp-15, -0x1.f8168a6cef4a4p-16, -0x1.e2ebaee212dacp-16, -0x1.ce56560c22789p-16, -0x1.ba51a336f6535p-16, -0x1.a6d8ebc1a5891p-16, -0x1.93e7b52797cd6p-16, -0x1.8179b32451a78p-16, -0x1.6f8ac5e03b531p-16, -0x1.5e16f830f1de5p-16, -0x1.4d1a7de6fe392p-16, -0x1.3c91b23048bf7p-16, -0x1.2c7915ff050abp-16, -0x1.1ccd4e83db9ddp-16, -0x1.0d8b23bb980aep-16, -0x1.fd5efdfc32641p-17, -0x1.e06ed345e5f45p-17, -0x1.c440175b70039p-17, -0x1.a8cd550ba9c16p-17, -0x1.8e114f793077ap-17, -0x1.7406ffc1e2fc9p-17, -0x1.5aa992b17a89dp-17, -0x1.41f4668b73f61p-17, -0x1.29e308f59b258p-17, -0x1.127134eb42dc4p-17, -0x1.f735a18018ae7p-18, -0x1.cab7d88a7025ep-18, -0x1.9f617dd5a330ep-18, -0x1.752b4c0bc20dp-18, -0x1.4c0e46412a582p-18, -0x1.2403b4bb28dfp-18, -0x1.fa0a43905e8a7p-19, -0x1.ae18ad86a564dp-19, -0x1.6426b28fe5f1cp-19, -0x1.1c28d0adc58b4p-19, -0x1.ac27e6d9c0f91p-20, -0x1.23baddb6d002bp-20, -0x1.3debe9fc941e4p-21, -0x1.dc559821b9989p-24, 0x1.7fa84cd63d7fep-22, 0x1.b45586fa8d7b5p-21, 0x1.510e85e76a36bp-20, 0x1.c4a68d22ca9a5p-20, 0x1.1a81bba5a7484p-19, 0x1.511aaac3a72a7p-19, 0x1.8625d970fc81fp-19, 0x1.b9aacd6f5e249p-19, 0x1.ebb0d0013ea65p-19, 0x1.0e1f786dbbba8p-18, 0x1.25ae048f2c3cap-18, 0x1.3c875f05bbdbap-18, 0x1.52aec1de867b7p-18, 0x1.68274fd106cb1p-18, 0x1.7cf4156c9d885p-18, 0x1.91180a45a9387p-18, 0x1.a4961211d4a61p-18, 0x1.b770fdab9f274p-18, 0x1.c9ab8c154cb36p-18, 0x1.db486b6a4c7fbp-18, 0x1.ec4a39c2e8f5dp-18, 0x1.fcb386116c2fp-18, 0x1.06436876afa6bp-17, 0x1.0de346ae384a6p-17, 0x1.153a90c2405fap-17, 0x1.1c4a73b180f54p-17, 0x1.231416b95f2c2p-17, 0x1.29989ba77e5cep-17, 0x1.2fd91f21e77b2p-17, 0x1.35d6b8ef85ee8p-17, 0x1.3b927c3a99333p-17, 0x1.410d77d026a24p-17, 0x1.4648b65a50f73p-17, 0x1.4b453e99a582p-17, 0x1.50041397f6145p-17, 0x1.548634d967588p-17, 0x1.58cc9e8ccde68p-17, 0x1.5cd849b6fb50ep-17, 0x1.60aa2c5a45e9ap-17, 0x1.6443399e5895dp-17, 0x1.67a461f1894d9p-17, 0x1.6ace932c941a4p-17, 0x1.6dc2b8afa5fdp-17, 0x1.7081bb7f7ee55p-17, 0x1.730c8260adfb7p-17, 0x1.7563f1ee40077p-17, 0x1.7788ecafdad83p-17, 0x1.797c5330532a5p-17, 0x1.7b3f04129adcp-17, 0x1.7cd1dc1fdf55ap-17, 0x1.7e35b6598604dp-17, 0x1.7f6b6c07dae29p-17, 0x1.8073d4c68fce9p-17, 0x1.814fc6902002ap-17, 0x1.820015c9f0508p-17, 0x1.8285954d18c4dp-17, 0x1.82e1166ef6168p-17, 0x1.831369076ac4fp-17, 0x1.831d5b772d2f8p-17, 0x1.82ffbab034fcbp-17, 0x1.82bb52389fdaep-17, 0x1.8250ec2cbca38p-17, 0x1.81c1514651533p-17, 0x1.810d48db63bf9p-17, 0x1.803598e25712cp-17, 0x1.7f3b05f0dcdbap-17, 0x1.7e1e533f65992p-17, 0x1.7ce042a740d29p-17, 0x1.7b8194a2ddf25p-17, 0x1.7a03084c8ae4ap-17, 0x1.78655b5d53dd4p-17, 0x1.76a94a2c5c2abp-17, 0x1.74cf8facb7b1p-17, 0x1.72d8e569fbcfdp-17, 0x1.70c60388664b5p-17, 0x1.6e97a0bf85a53p-17, 0x1.6c4e72587778dp-17, 0x1.69eb2c2ac451ap-17, 0x1.676e8098c3e42p-17, 0x1.64d9208cef105p-17, 0x1.622bbb75352b5p-17, 0x1.5f66ff40c42e8p-17, 0x1.5c8b985addbdbp-17, 0x1.599a31a7ce5eep-17, 0x1.56937481026fdp-17, 0x1.537808b224475p-17, 0x1.50489472eaf0bp-17, 0x1.4d05bc6635bfep-17, 0x1.49b0239355e34p-17, 0x1.46486b6425b1ep-17, 0x1.42cf33a0682ffp-17, 0x1.3f451a6ad4e2ap-17, 0x1.3baabc3c4cac2p-17, 0x1.3800b3e17324ap-17, 0x1.34479a76f2418p-17, 0x1.30800765c4534p-17, 0x1.2caa905ebe7c3p-17, 0x1.28c7c95a0cf7dp-17, 0x1.24d84491ffc4bp-17, 0x1.20dc92814c765p-17, 0x1.1cd541df61915p-17, 0x1.18c2df9d94622p-17, 0x1.14a5f6e522199p-17, 0x1.107f111473d54p-17, 0x1.0c4eb5bd67373p-17, 0x1.08156aa25cf6ep-17, 0x1.03d3b3b4b7f28p-17, 0x1.ff142627216bdp-18, 0x1.f6721212162f8p-18, 0x1.edc228105397cp-18, 0x1.e5056158f3df3p-18, 0x1.dc3cb374355a7p-18, 0x1.d369103571d77p-18, 0x1.ca8b65ba638dbp-18, 0x1.c1a49e69730b5p-18, 0x1.b8b5a0f08d76dp-18, 0x1.afbf50439a8c7p-18, 0x1.a6c28b9e12289p-18, 0x1.9dc02e8257b2fp-18, 0x1.94b910b7ea124p-18, 0x1.8bae064e06b48p-18, 0x1.829fdf9c40982p-18, 0x1.798f694043de7p-18, 0x1.707d6c20c73b3p-18, 0x1.676aad704cad8p-18, 0x1.5e57eeb08f732p-18, 0x1.5545edb0c8724p-18, 0x1.4c356492b08fcp-18, 0x1.432709cb62148p-18, 0x1.3a1b9026fe41ap-18, 0x1.3113a6ccb1b82p-18, 0x1.280ff940f6aap-18, 0x1.1f112f6d608eap-18, 0x1.1617ed9f54ff4p-18, 0x1.0d24d490000f7p-18, 0x1.04388167a976cp-18, 0x1.f6a71b815dde8p-19, 0x1.e4ed1f5beb80fp-19, 0x1.d344338062cap-19, 0x1.c1ad761bdf9fdp-19, 0x1.b029fe6adb993p-19, 0x1.9ebadcc8236b4p-19, 0x1.8d611ab7ff465p-19, 0x1.7c1dbaf37ae7ap-19, 0x1.6af1b97706dd2p-19, 0x1.59de0b8e8247fp-19, 0x1.48e39fe84972ap-19, 0x1.38035e9e17f46p-19, 0x1.273e294446c14p-19, 0x1.1694daf946c1ap-19, 0x1.0608487188914p-19, 0x1.eb328011447e9p-20, 0x1.ca91139afd11cp-20, 0x1.aa2dcf334f841p-20, 0x1.8a0a2a3cba24cp-20, 0x1.6a278fdffed69p-20, 0x1.4a875f375f1bep-20, 0x1.2b2aeb6a377f3p-20, 0x1.0c137bcee0a86p-20, 0x1.da84981a37e55p-21, 0x1.9d71188304115p-21, 0x1.60eec25509b09p-21, 0x1.24ffc878682e6p-21, 0x1.d34c8f361d8bp-22, 0x1.5dc88cd0df34bp-22, 0x1.d2eed75a403fcp-23, 0x1.d9738b9690bcep-24, 0x1.1f1fce7c8968ap-28, -0x1.b09970c03caf9p-24, -0x1.b710ea742219fp-23, -0x1.49a6ba7457e5dp-22, -0x1.b67e4254e6f2dp-22, -0x1.1106255a97f8fp-21, -0x1.46271c24a425fp-21, -0x1.7aa0cafdce198p-21, -0x1.ae720a335e66ap-21, -0x1.e199c4850d337p-21, -0x1.0a0b7b77fcf0dp-20, -0x1.22f4583347b2ep-20, -0x1.3b8708bbfa27ep-20, -0x1.53c3260ac5bedp-20, -0x1.6ba8519fd1c32p-20, -0x1.8336355ea200bp-20, -0x1.9a6c836856fa8p-20, -0x1.b14af5ee52d7fp-20, -0x1.c7d14f16eb3acp-20, -0x1.ddff58d6efd72p-20, -0x1.f3d4e4ca2341dp-20, -0x1.04a8e607e1d78p-19, -0x1.0f3af792e3d2cp-19, -0x1.19a09ae3d95d5p-19, -0x1.23d9c76238d7ap-19, -0x1.2de677eb10d8fp-19, -0x1.37c6aac312b47p-19, -0x1.417a6184372a1p-19, -0x1.4b01a109d8cbap-19, -0x1.545c71623faf1p-19, -0x1.5d8addbb70d59p-19, -0x1.668cf450e01ebp-19, -0x1.6f62c65c0c2cap-19, -0x1.780c67fdfc16cp-19, -0x1.8089f0331e04ep-19, -0x1.88db78c275995p-19, -0x1.91011e29d7c4cp-19, -0x1.98faff8f56c4ap-19, -0x1.a0c93eb010482p-19, -0x1.a86bffd094df4p-19, -0x1.afe369ac0b70ep-19, -0x1.b72fa561dd6a8p-19, -0x1.be50de672e45fp-19, -0x1.c5474277c00f9p-19, -0x1.cc130184f56d4p-19, -0x1.d2b44da960acap-19, -0x1.d92b5b164d5bap-19, -0x1.df786006c0f43p-19, -0x1.e59b94ae18953p-19, -0x1.eb95332c4b57ap-19, -0x1.f165777a0a773p-19, -0x1.f70c9f5e4678fp-19, -0x1.fc8aea60e2041p-19, -0x1.00f04cdca8174p-18, -0x1.0386f820fe759p-18, -0x1.060999355ecc1p-18, -0x1.08785315ff99ep-18, -0x1.0ad3497bdaa19p-18, -0x1.0d1aa0d5a29b6p-18, -0x1.0f4e7e42437d7p-18, -0x1.116f0789f627dp-18, -0x1.137c63174f29cp-18, -0x1.1576b7f2a351ap-18, -0x1.175e2dba9e8b1p-18, -0x1.1932ec9e43504p-18, -0x1.1af51d5706a4ep-18, -0x1.1ca4e9235da08p-18, -0x1.1e4279bf6349cp-18, -0x1.1fcdf96083c39p-18, -0x1.214792af8182fp-18, -0x1.22af70c35d107p-18, -0x1.2405bf1a878bbp-18, -0x1.254aa996fdadfp-18, -0x1.267e5c78330ebp-18, -0x1.27a1045637009p-18, -0x1.28b2ce1c45dbp-18, -0x1.29b3e7038afa1p-18, -0x1.2aa47c8f1974fp-18, -0x1.2b84bc8619ad1p-18, -0x1.2c54d4ef62536p-18, -0x1.2d14f40d8628cp-18, -0x1.2dc5485960f55p-18, -0x1.2e66007dffd04p-18, -0x1.2ef74b53ae5adp-18, -0x1.2f7957dca9a82p-18, -0x1.2fec553fc5211p-18, -0x1.305072c4d63b4p-18, -0x1.30a5dfd0af33dp-18, -0x1.30eccbe10baa8p-18, -0x1.3125668896506p-18, -0x1.314fdf6b08871p-18, -0x1.316c6639dc6c4p-18, -0x1.317b2aafe74f4p-18, -0x1.317c5c8e76ab7p-18, -0x1.31702b993f11ap-18, -0x1.3156c793853d3p-18, -0x1.3130603c8b3c5p-18, -0x1.30fd254bd8fd4p-18, -0x1.30bd466e90559p-18, -0x1.3070f3447d97ep-18, -0x1.30185b5c54e2fp-18, -0x1.2fb3ae3136df9p-18, -0x1.2f431b27eb6a7p-18, -0x1.2ec6d18ba93dcp-18, -0x1.2e3f008b8885ep-18, -0x1.2dabd737c9f09p-18, -0x1.2d0d847fbb1bcp-18, -0x1.2c64372dcbd49p-18, -0x1.2bb01de6af003p-18, -0x1.2af1672610b07p-18, -0x1.2a28413c9764bp-18, -0x1.2954da4cc681bp-18, -0x1.2877604a3c0d3p-18, -0x1.279000f5fa183p-18, -0x1.269ee9ddfbd02p-18, -0x1.25a4485a0b91bp-18, -0x1.24a0498a19c49p-18, -0x1.23931a53f3c05p-18, -0x1.227ce7621245ep-18, -0x1.215ddd215500dp-18, -0x1.203627bf8e6c3p-18, -0x1.1f05f329cfbadp-18, -0x1.1dcd6b0ab912bp-18, -0x1.1c8cbac92fd03p-18, -0x1.1b440d867720dp-18, -0x1.19f38e1d125fdp-18, -0x1.189b671f31472p-18, -0x1.173bc2d4e9f87p-18, -0x1.15d4cb3c00c9p-18, -0x1.1466aa0609378p-18, -0x1.12f18897105ecp-18, -0x1.117590041b982p-18, -0x1.0ff2e9132472fp-18, -0x1.0e69bc3932759p-18, -0x1.0cda319a9c415p-18, -0x1.0b4471088769bp-18, -0x1.09a8a200b3b53p-18, -0x1.0806ebac59bb6p-18, -0x1.065f74df6ca96p-18, -0x1.04b26417fe53p-18, -0x1.02ffdf7d2e3ebp-18, -0x1.01480cdf160bfp-18, -0x1.ff16236b260d6p-19, -0x1.fb9226405abb2p-19, -0x1.f8046bca05b6p-19, -0x1.f46d3ce05432p-19, -0x1.f0cce1a784b6dp-19, -0x1.ed23a18d02f2ep-19, -0x1.e971c3492bad9p-19, -0x1.e5b78cdcf1cc8p-19, -0x1.e1f543912fa8ep-19, -0x1.de2b2bf533d1cp-19, -0x1.da5989df6cd52p-19, -0x1.d680a06ba4ba7p-19, -0x1.d2a0b1fdbf236p-19, -0x1.ceba003f1c06ep-19, -0x1.cacccc1caf6dbp-19, -0x1.c6d955c899017p-19, -0x1.c2dfdcb8f15f1p-19, -0x1.bee09fa7fbaa2p-19, -0x1.badbdc94788fdp-19, -0x1.b6d1d0c0d2236p-19, }}, 
      {{-0x1.e32b142354525p-17, -0x1.e7f88613be607p-15, -0x1.16ebd41b1d60cp-13, -0x1.faaf61b59649dp-13, -0x1.967473a0a5061p-12, -0x1.2db787805bd06p-11, -0x1.a8cbfac750e8p-11, -0x1.1fb20a467c3f5p-10, -0x1.7a4f6ac0293eep-10, -0x1.e5de8b99272eep-10, -0x1.3204906fbe148p-9, -0x1.7b3d9f4ad8ce8p-9, -0x1.cf6e9a804ba66p-9, -0x1.17b38bddbff0bp-8, -0x1.4df7e3ed830fdp-8, -0x1.8ae43f134a621p-8, -0x1.ced345981b3e2p-8, -0x1.0d0cd931818edp-7, -0x1.3682e4fee33b8p-7, -0x1.63ef788f6b4c7p-7, -0x1.9572afa276dfbp-7, -0x1.cb28f50c61114p-7, -0x1.029579a006086p-6, -0x1.21c6c72375412p-6, -0x1.4330f2ef60a03p-6, -0x1.66daaf4b5168bp-6, -0x1.8cc8d87272472p-6, -0x1.b4fe7ea72617fp-6, -0x1.df7cf268ca8f7p-6, -0x1.0621e938d0d9dp-5, -0x1.1da88d969b3d8p-5, -0x1.36509bb0783a5p-5, -0x1.501788e424afcp-5, -0x1.6afa13b681606p-5, -0x1.86f44d44c8708p-5, -0x1.a401a2e482dc6p-5, -0x1.c21ce7de36796p-5, -0x1.e1405f30ce2cep-5, -0x1.00b2e2a6cbf82p-4, -0x1.11432cdf40eccp-4, -0x1.224d7454ed841p-4, -0x1.33cdea1438f94p-4, -0x1.45c08eb2345dep-4, -0x1.582136bc46965p-4, -0x1.6aeb8f04aa5dbp-4, -0x1.7e1b20c8f6e58p-4, -0x1.91ab55b08dd46p-4, -0x1.a5977ba14e6b3p-4, -0x1.b9dac8698429fp-4, -0x1.ce705d3e7a32p-4, -0x1.e3534a0f87104p-4, -0x1.f87e90add93cbp-4, -0x1.06f693e4c7bbbp-3, -0x1.11ccfee279fe2p-3, -0x1.1cbffdaf82cf9p-3, -0x1.27cd031b4b03ep-3, -0x1.32f18193b49a3p-3, -0x1.3e2aec4176534p-3, -0x1.4976b81319bbbp-3, -0x1.54d25cb7732bep-3, -0x1.603b55886273p-3, -0x1.6baf2266cd2f5p-3, -0x1.772b48888ff3p-3, -0x1.82ad533943ddep-3, -0x1.8e32d48e994e6p-3, -0x1.99b966110a0f6p-3, -0x1.a53ea9598da6ap-3, -0x1.b0c048a4fedp-3, -0x1.bc3bf75dc88dfp-3, -0x1.c7af729c694fp-3, -0x1.d318819f56423p-3, -0x1.de74f63aaa288p-3, -0x1.e9c2ad401bac1p-3, -0x1.f4ff8edf8c27ep-3, -0x1.0014c7804ae55p-2, -0x1.059f56caadf78p-2, -0x1.0b1e7b7375f87p-2, -0x1.109141edb2f62p-2, -0x1.15f6bd1b157aap-2, -0x1.1b4e066921073p-2, -0x1.20963deb8bf5ap-2, -0x1.25ce8a73e8056p-2, -0x1.2af619a69db0dp-2, -0x1.300c200d520b5p-2, -0x1.350fd926c297fp-2, -0x1.3a00877426ec6p-2, -0x1.3edd748424728p-2, -0x1.43a5f0fb656ep-2, -0x1.4859549ade463p-2, -0x1.4cf6fe43cc821p-2, -0x1.517e53f97f4cbp-2, -0x1.55eec2e0f8e6cp-2, -0x1.5a47bf3e72403p-2, -0x1.5e88c470d0919p-2, -0x1.62b154eb1efa9p-2, -0x1.66c0fa2c16b6bp-2, -0x1.6ab744b3c70c2p-2, -0x1.6e93cbf76f70ap-2, -0x1.72562e5397512p-2, -0x1.75fe10fc7a5c5p-2, -0x1.798b1fecd681bp-2, -0x1.7cfd0dd32e1cfp-2, -0x1.805393fd92fafp-2, -0x1.838e724406f7bp-2, -0x1.86ad6ef18decp-2, -0x1.89b056abf630ep-2, -0x1.8c96fc5a7b58ep-2, -0x1.8f61390b44e1fp-2, -0x1.920eebd7e1dbp-2, -0x1.949ff9c8c8f95p-2, -0x1.97144db7f9b17p-2, -0x1.996bd832c802dp-2, -0x1.9ba68f5aeb257p-2, -0x1.9dc46ec6dd9d5p-2, -0x1.9fc57761a3d01p-2, -0x1.a1a9af4a041b1p-2, -0x1.a37121b1497cbp-2, -0x1.a51bdeb997d8ap-2, -0x1.a6a9fb53eb5b4p-2, -0x1.a81b911dcae5p-2, -0x1.a970be3ebf86ep-2, -0x1.aaa9a5459e422p-2, -0x1.abc66d05b44f7p-2, -0x1.acc74073e00cfp-2, -0x1.adac4e83a2e2ap-2, -0x1.ae75ca043e95ap-2, -0x1.af23e97ddd9b2p-2, -0x1.afb6e70edf7aap-2, -0x1.b02f004948604p-2, -0x1.b08c761062615p-2, -0x1.b0cf8c7699bp-2, -0x1.b0f88a9b9c196p-2, -0x1.b107ba8ac3478p-2, -0x1.b0fd6919cff09p-2, -0x1.b0d9e5c803944p-2, -0x1.b09d829d93817p-2, -0x1.b048940b89cfp-2, -0x1.afdb70cc0b7c6p-2, -0x1.af5671c31551cp-2, -0x1.aeb9f1dfaaa8ap-2, -0x1.ae064dfd80ab7p-2, -0x1.ad3be4c7259cp-2, -0x1.ac5b1698ac7aep-2, -0x1.ab644562d98bfp-2, -0x1.aa57d48ed9d57p-2, -0x1.a93628e281a45p-2, -0x1.a7ffa865191e6p-2, -0x1.a6b4ba44b521ap-2, -0x1.a555c6bc20648p-2, -0x1.a3e336f953158p-2, -0x1.a25d750480031p-2, -0x1.a0c4eba7b0435p-2, -0x1.9f1a0656f311fp-2, -0x1.9d5d31192103fp-2, -0x1.9b8ed8713301ep-2, -0x1.99af69482c269p-2, -0x1.97bf50d795a28p-2, -0x1.95befc948f46p-2, -0x1.93aeda1b719ebp-2, -0x1.918f571bff75dp-2, -0x1.8f60e1462d474p-2, -0x1.8d23e63772618p-2, -0x1.8ad8d368acea5p-2, -0x1.8880161c93f26p-2, -0x1.861a1b4eb3a23p-2, -0x1.83a74fa2f5b2bp-2, -0x1.81281f55b4e0bp-2, -0x1.7e9cf62c59989p-2, -0x1.7c063f6679b14p-2, -0x1.796465af8392bp-2, -0x1.76b7d310e724fp-2, -0x1.7400f0e4c7f71p-2, -0x1.714027c928589p-2, -0x1.6e75df939be89p-2, -0x1.6ba27f456e40ap-2, -0x1.68c66d004d908p-2, -0x1.65e20dfb68e52p-2, -0x1.62f5c67909243p-2, -0x1.6001f9bc9f759p-2, -0x1.5d070a0146e6bp-2, -0x1.5a055870b948dp-2, -0x1.56fd451ab4362p-2, -0x1.53ef2eeccc099p-2, -0x1.50db73aaab792p-2, -0x1.4dc26fe6be7f8p-2, -0x1.4aa47efb43bf9p-2, -0x1.4781fb03c856bp-2, -0x1.445b3cd70551bp-2, -0x1.41309c011fa61p-2, -0x1.3e026ebe4c01ap-2, -0x1.3ad109f5cef52p-2, -0x1.379cc1355a5cdp-2, -0x1.3465e6acc8761p-2, -0x1.312ccb2a2bd77p-2, -0x1.2df1be163990fp-2, -0x1.2ab50d7107be5p-2, -0x1.277705cf1f389p-2, -0x1.2437f256e066ap-2, -0x1.20f81cbe32d2ep-2, -0x1.1db7cd4888508p-2, -0x1.1a774ac528b21p-2, -0x1.1736da8dc6826p-2, -0x1.13f6c0855da05p-2, -0x1.10b73f1757578p-2, -0x1.0d789736f0e2bp-2, -0x1.0a3b085ee8bcep-2, -0x1.06fed09166709p-2, -0x1.03c42c5826227p-2, -0x1.008b56c4de29ap-2, -0x1.faa912e3c3938p-3, -0x1.f43ff905f4ed7p-3, -0x1.eddbcd4cf64bbp-3, -0x1.e77cfa2d0feafp-3, -0x1.e123e7352536ap-3, -0x1.dad0f91211ebep-3, -0x1.d4849192655b6p-3, -0x1.ce3f0faa83b38p-3, -0x1.c800cf7913d13p-3, -0x1.c1ca2a4bd3fb5p-3, -0x1.bb9b76a4b6be2p-3, -0x1.b575083f53577p-3, -0x1.af573016a7f04p-3, -0x1.a9423c6b1f911p-3, -0x1.a33678c8e1f9ap-3, -0x1.9d342e0e6814dp-3, -0x1.973ba2734fc0cp-3, -0x1.914d198f6d2a9p-3, -0x1.8b68d4621a9dp-3, -0x1.858f1159ba72ep-3, -0x1.7fc00c5b6f927p-3, -0x1.79fbfecb10d7ep-3, -0x1.74431f933986cp-3, -0x1.6e95a32d9bb3bp-3, -0x1.68f3bbab6c31p-3, -0x1.635d98bdfd18cp-3, -0x1.5dd367bf7aa5ep-3, -0x1.585553bbcddfap-3, -0x1.52e3857999a8p-3, -0x1.4d7e23835937ep-3, -0x1.4825523095792p-3, -0x1.42d933af3686bp-3, -0x1.3d99e80ce6c48p-3, -0x1.38678d40913b7p-3, -0x1.33423f33e7e0ap-3, -0x1.2e2a17ccfe172p-3, -0x1.291f2ef7f5ab1p-3, -0x1.24219ab0acad5p-3, -0x1.1f316f0c7a43fp-3, -0x1.1a4ebe43f526fp-3, -0x1.157998bcbafeap-3, -0x1.10b20d1339842p-3, -0x1.0bf8282483f2ap-3, -0x1.074bf51819843p-3, -0x1.02ad7d69b83fap-3, -0x1.fc3991e63fe0ep-4, -0x1.f333bbebb68fap-4, -0x1.ea498249fcdd9p-4, -0x1.e17aeb5dab86fp-4, -0x1.d8c7fa8d33badp-4, -0x1.d030b05c17a3dp-4, -0x1.c7b50a7e1be77p-4, -0x1.bf5503ea5271bp-4, -0x1.b71094ee10241p-4, -0x1.aee7b33fba0e6p-4, -0x1.a6da52117f4dep-4, -0x1.9ee86223daa05p-4, -0x1.9711d1d8028d2p-4, -0x1.8f568d421cdc8p-4, -0x1.87b67e3b58059p-4, -0x1.80318c73d05cep-4, -0x1.78c79d84472b4p-4, -0x1.717894ffae23cp-4, -0x1.6a4454847e9a2p-4, -0x1.632abbcdde3bcp-4, -0x1.5c2ba8c491a55p-4, -0x1.5546f78fb5f91p-4, -0x1.4e7c82a548ab8p-4, -0x1.47cc22da7272p-4, -0x1.4135af739d6a2p-4, -0x1.3ab8fe344e636p-4, -0x1.3455e36ec473ep-4, -0x1.2e0c32135bdcfp-4, -0x1.27dbbbbfb7efp-4, -0x1.21c450cda87efp-4, -0x1.1bc5c061db1bdp-4, -0x1.15dfd87a41532p-4, -0x1.101265fc4585dp-4, -0x1.0a5d34c2b6076p-4, -0x1.04c00fab73e5dp-4, -0x1.fe758149c29b8p-5, -0x1.f39a21761e646p-5, -0x1.e8ed904954126p-5, -0x1.de6f5c9f4b3d9p-5, -0x1.d41f13db4d843p-5, -0x1.c9fc42005ae14p-5, -0x1.c00671c8f9038p-5, -0x1.b63d2cbe7c976p-5, -0x1.ac9ffb4fdd0c9p-5, -0x1.a32e64e7f3879p-5, -0x1.99e7f00349959p-5, -0x1.90cc22455962p-5, -0x1.87da808d53206p-5, -0x1.7f128f0a658eap-5, -0x1.7673d14f7a153p-5, -0x1.6dfdca6685f08p-5, -0x1.65affce341f3bp-5, -0x1.5d89eaf57e5e9p-5, -0x1.558b167aef97fp-5, -0x1.4db30110796d6p-5, -0x1.46012c230acaap-5, -0x1.3e7518fff95e3p-5, -0x1.370e48e4e48f7p-5, -0x1.2fcc3d0f25c19p-5, -0x1.28ae76cac462bp-5, -0x1.21b47780fdf6ep-5, -0x1.1addc0c64f79fp-5, -0x1.1429d46815325p-5, -0x1.0d983479b60fbp-5, -0x1.07286361635e4p-5, -0x1.00d9e3e465c74p-5, -0x1.f558726603a3bp-6, -0x1.e93dcde7da6afp-6, -0x1.dd62e29ec6202p-6, -0x1.d1c6b9f385e4ap-6, -0x1.c6685e7bb4257p-6, -0x1.bb46dc0d6f605p-6, -0x1.b0613fd2605cep-6, -0x1.a5b69859d82d5p-6, -0x1.9b45f5aa481d7p-6, -0x1.910e6951f4995p-6, -0x1.870f0676f33b5p-6, -0x1.7d46e1e66f135p-6, -0x1.73b5122345748p-6, -0x1.6a58af73dd063p-6, -0x1.6130d3ef69c2bp-6, -0x1.583c9b8a8326ap-6, -0x1.4f7b242306ef9p-6, -0x1.46eb8d8b76273p-6, -0x1.3e8cf995964c4p-6, -0x1.365e8c1c95395p-6, -0x1.2e5f6b0e7b042p-6, -0x1.268ebe751c7dbp-6, -0x1.1eebb07e771c7p-6, -0x1.17756d847b3c5p-6, -0x1.102b241454e41p-6, -0x1.090c04f5325c7p-6, -0x1.0217432e6bbe9p-6, -0x1.f698281ab05a6p-7, -0x1.e9535e54f4581p-7, -0x1.dc5e9cdca698ap-7, -0x1.cfb85c2b6cbebp-7, -0x1.c35f196b42a83p-7, -0x1.b751567d64e8cp-7, -0x1.ab8d9a0040c0ap-7, -0x1.a0126f54bc99ap-7, -0x1.94de66a29ded4p-7, -0x1.89f014dc2481dp-7, -0x1.7f4613c0e207p-7, -0x1.74df01dffb1c7p-7, -0x1.6ab9829979165p-7, -0x1.60d43e1f160f8p-7, -0x1.572de174590fp-7, -0x1.4dc51e6dff717p-7, -0x1.4498abb0da6d5p-7, -0x1.3ba744b00a2eap-7, -0x1.32efa9aaa8d48p-7, -0x1.2a709fa8dd942p-7, -0x1.2228f0785fbdep-7, -0x1.1a176aa8958e4p-7, -0x1.123ae18620588p-7, -0x1.0a922d15e712fp-7, -0x1.031c2a0fb340dp-7, -0x1.f7af73b0b5c0fp-8, -0x1.e98784f70e431p-8, -0x1.dbbe5d49ef078p-8, -0x1.ce51db331c26p-8, -0x1.c13fe65f93aa6p-8, -0x1.b4866f902fafap-8, -0x1.a82370896a1d9p-8, -0x1.9c14ec025bee1p-8, -0x1.9058ed936217fp-8, -0x1.84ed89a3e7c55p-8, -0x1.79d0dd57ef3c1p-8, -0x1.6f010e7cdba7ap-8, -0x1.647c4b75d8eeap-8, -0x1.5a40cb27c0159p-8, -0x1.504ccce47dcfdp-8, -0x1.469e9856461e3p-8, -0x1.3d347d6a08ce5p-8, -0x1.340cd439e6d25p-8, -0x1.2b25fcf71269ep-8, -0x1.227e5fd38993bp-8, -0x1.1a146ceb68115p-8, -0x1.11e69c2e13b39p-8, -0x1.09f36d46f14e7p-8, -0x1.023967862ec92p-8, -0x1.f56e339215b79p-9, -0x1.e6d634c4564f6p-9, -0x1.d8a80e036c276p-9, -0x1.cae1093a5aa64p-9, -0x1.bd7e7eaeddfa4p-9, -0x1.b07dd4d04c7bcp-9, -0x1.a3dc80073f598p-9, -0x1.97980284b2785p-9, -0x1.8badec1098b62p-9, -0x1.801bd9d92cc42p-9, -0x1.74df76418b9b3p-9, -0x1.69f678b0b9563p-9, -0x1.5f5ea56084d56p-9, -0x1.5515cd2c1c01dp-9, -0x1.4b19cd5f53a55p-9, -0x1.41688f85832c6p-9, -0x1.3800093897935p-9, -0x1.2ede3bf07a348p-9, -0x1.260134d27b87bp-9, -0x1.1d670c80fb3ddp-9, -0x1.150de6eb099afp-9, -0x1.0cf3f31cb7549p-9, -0x1.05176b0f20c1bp-9, -0x1.faed26f2112f8p-10, -0x1.ec1f773f6ead3p-10, -0x1.ddc27a4fd18c8p-10, -0x1.cfd2f7ce9d482p-10, -0x1.c24dcb6cc8bfep-10, -0x1.b52fe484b85dfp-10, -0x1.a87645bf2af44p-10, -0x1.9c1e04b8c319ep-10, -0x1.902449a87bd89p-10, -0x1.84864f06776cap-10, -0x1.794161340ee6cp-10, -0x1.6e52de2495f26p-10, -0x1.63b835069ef64p-10, -0x1.596ee5eecee77p-10, -0x1.4f748182f3892p-10, -0x1.45c6a8a5ed57ep-10, -0x1.3c630c251a847p-10, -0x1.33476c662aa2dp-10, -0x1.2a71991619568p-10, -0x1.21df70d8df64p-10, -0x1.198ee0fa89cb2p-10, -0x1.117de520814b9p-10, -0x1.09aa86fceaf77p-10, -0x1.0212de021b02dp-10, -0x1.f56a1e2e861b5p-11, -0x1.e71e989c2571cp-11, -0x1.d93fa9333db62p-11, -0x1.cbc9e70ba5b5dp-11, -0x1.beba01e09d6f5p-11, -0x1.b20cc18498d51p-11, -0x1.a5bf0555f1996p-11, -0x1.99cdc3b73964bp-11, -0x1.8e360987b3ae1p-11, -0x1.82f4f9a027105p-11, -0x1.7807cc4f90e63p-11, -0x1.6d6bcedaeed49p-11, -0x1.631e62ff4002bp-11, -0x1.591cfe74421f7p-11, -0x1.4f652a72d318p-11, -0x1.45f4833cef56ep-11, -0x1.3cc8b7a65ab1ep-11, -0x1.33df88a1415c1p-11, -0x1.2b36c8cb579dap-11, -0x1.22cc5bfd9d168p-11, -0x1.1a9e36ddf6676p-11, -0x1.12aa5e72e790ap-11, -0x1.0aeee7b89a3bdp-11, -0x1.0369f7389cb99p-11, -0x1.f833814623b08p-12, -0x1.e9f90cd43e538p-12, -0x1.dc2132be494p-12, -0x1.cea8b0a2c5103p-12, -0x1.c18c5f5db60e3p-12, -0x1.b4c9324e63b12p-12, -0x1.a85c36a03b8c2p-12, -0x1.9c429296b166p-12, -0x1.907984dfd4173p-12, -0x1.84fe63e4e33ecp-12, -0x1.79ce9d23817a9p-12, -0x1.6ee7b487843fbp-12, -0x1.644743c9953cp-12, -0x1.59eaf9d0db3dp-12, -0x1.4fd09a17973ddp-12, -0x1.45f5fc136d5c8p-12, -0x1.3c590aa07646bp-12, -0x1.32f7c36f9ca0cp-12, -0x1.29d036794ddb5p-12, -0x1.20e085728e2d1p-12, -0x1.1826e343a338dp-12, -0x1.0fa1938536ad3p-12, -0x1.074ee9fcb4fbdp-12, -0x1.fe5a943d492d5p-13, -0x1.ee764d2371f2fp-13, -0x1.deee016db2ee6p-13, -0x1.cfbed0644b294p-13, -0x1.c0e5f4effb1e3p-13, -0x1.b260c4b7cfa32p-13, -0x1.a42caf458bfaep-13, -0x1.96473d2fdae26p-13, -0x1.88ae0f496484cp-13, -0x1.7b5eddd2d4892p-13, -0x1.6e5777b566923p-13, -0x1.6195c1c0c5ebfp-13, -0x1.5517b5ed9b2edp-13, -0x1.48db62a5f2e17p-13, -0x1.3cdeea115976bp-13, -0x1.312081669958cp-13, -0x1.259e7040d8bf2p-13, -0x1.1a570ff8ef7aap-13, -0x1.0f48cb061f5e4p-13, -0x1.04721c60ed974p-13, -0x1.f3a31dd460c32p-14, -0x1.decb79ab2f18ap-14, -0x1.ca5a9e355e6f3p-14, -0x1.b64df9cd85b43p-14, -0x1.a2a3162c90887p-14, -0x1.8f57975c86dd7p-14, -0x1.7c693abc63cd5p-14, -0x1.69d5d6038d272p-14, -0x1.579b564bf7777p-14, -0x1.45b7bf297b0b7p-14, -0x1.342929c3dbfccp-14, -0x1.22edc3f906b74p-14, -0x1.1203cf8685507p-14, -0x1.0169a13733ae5p-14, -0x1.e23b4035f069cp-15, -0x1.c23c8981b9f7p-15, -0x1.a2d430f1e2cb9p-15, -0x1.83ff6937233f4p-15, -0x1.65bb83b36ab02p-15, -0x1.4805ef1f10a0cp-15, -0x1.2adc363686567p-15, -0x1.0e3bfe7c1b40bp-15, -0x1.e4460dfc26ecep-16, -0x1.ad1e4e53e13d7p-16, -0x1.76fc9b4850a16p-16, -0x1.41dcfe6300ed2p-16, -0x1.0dbbab54371a2p-16, -0x1.b529fbaef3b5ep-17, -0x1.50caef83574b6p-17, -0x1.dca6fc3b0d4cap-18, -0x1.1b7a704586852p-18, -0x1.780f7b09dd549p-20, 0x1.6f2265a5620ddp-20, 0x1.11f6649a8f7f5p-18, 0x1.c49080b9ac083p-18, 0x1.39d0c1b0b443ep-17, 0x1.8f99cfee2ee86p-17, 0x1.e3a85650810ebp-17, 0x1.1b008a38aa518p-16, 0x1.435450625956ap-16, 0x1.6ad1b5a159db5p-16, 0x1.917adfdd70b98p-16, 0x1.b751e415347f9p-16, 0x1.dc58c7754b9d7p-16, 0x1.0048c03384484p-15, 0x1.11fefbccd4ae5p-15, 0x1.235004774abe8p-15, 0x1.343cc2383ec98p-15, 0x1.44c617981873fp-15, 0x1.54ece212cbcf4p-15, 0x1.64b1fa7c87fdep-15, 0x1.74163564eb89ap-15, 0x1.831a636fc7086p-15, 0x1.91bf51b4224fbp-15, 0x1.a005ca0e33fdp-15, 0x1.adee9371f7e0bp-15, 0x1.bb7a7234808e4p-15, 0x1.c8aa285852c86p-15, 0x1.d57e75cfcdb18p-15, 0x1.e1f818bf711dap-15, 0x1.ee17cdb6b59a3p-15, 0x1.f9de4feed9ec2p-15, 0x1.02a62cbfc14b2p-14, 0x1.083151c968c66p-14, 0x1.0d90f34ae66f4p-14, 0x1.12c56d3171dd7p-14, 0x1.17cf1b3682544p-14, 0x1.1cae58f4388ecp-14, 0x1.216381f78505fp-14, 0x1.25eef1d02f9eap-14, 0x1.2a510421ff644p-14, 0x1.2e8a14b3603bep-14, 0x1.329a7f7925748p-14, 0x1.3682a0a4dd549p-14, 0x1.3a42d4ada5e8ap-14, 0x1.3ddb785c74583p-14, 0x1.414ce8d4a4b5ap-14, 0x1.4497839cd2c39p-14, 0x1.47bba6a5b90fbp-14, 0x1.4ab9b0504f4d1p-14, 0x1.4d91ff7383143p-14, 0x1.5044f36201eebp-14, 0x1.52d2ebecf3fp-14, 0x1.553c4968e2f42p-14, 0x1.57816caf5a651p-14, 0x1.59a2b721d559bp-14, 0x1.5ba08aab167a7p-14, 0x1.5d7b49bf4e328p-14, 0x1.5f33575cfe632p-14, 0x1.60c9170beee07p-14, 0x1.623cecdd120f9p-14, 0x1.638f3d69c000dp-14, 0x1.64c06dd0c59d6p-14, 0x1.65d0e3b5108abp-14, 0x1.66c1053af4ed9p-14, 0x1.6791390525e4ep-14, 0x1.6841e631a025dp-14, 0x1.68d37455b3979p-14, 0x1.69464b7a44c7ap-14, 0x1.699ad4174ae93p-14, 0x1.69d1770f80735p-14, 0x1.69ea9dac1477cp-14, 0x1.69e6b196f4965p-14, 0x1.69c61cd58e32p-14, 0x1.698949c3b4377p-14, 0x1.6930a30dcc0ffp-14, 0x1.68bc93ab3e7dep-14, 0x1.682d86d7ede57p-14, 0x1.6783e80dd23acp-14, 0x1.66c023009debp-14, 0x1.65e2a39550ffp-14, 0x1.64ebd5dcf8df3p-14, 0x1.63dc260dd5013p-14, 0x1.62b4007c312e6p-14, 0x1.6173d194b259ep-14, 0x1.601c05d496e15p-14, 0x1.5ead09c3f94bdp-14, 0x1.5d2749ee9ead5p-14, 0x1.5b8b32dd0bd5fp-14, 0x1.59d9310d57abdp-14, 0x1.5811b0ed74f06p-14, 0x1.56351ed321cd9p-14, 0x1.5443e6f59f821p-14, 0x1.523e7566b220dp-14, 0x1.5025360c787ccp-14, 0x1.4df8949a4ba8fp-14, 0x1.4bb8fc8a27341p-14, 0x1.4966d9164d8e5p-14, 0x1.4702953245715p-14, 0x1.448c9b84282a8p-14, 0x1.4205565ecf464p-14, 0x1.3f6d2fbb970bap-14, 0x1.3cc4913320cdep-14, 0x1.3a0be3f86b7fep-14, 0x1.374390d1f77b3p-14, 0x1.346c00137415ep-14, 0x1.31859998ff7bcp-14, 0x1.2e90c4bfe6a85p-14, 0x1.2b8de861808c7p-14, 0x1.287d6acde641ap-14, 0x1.255fb1c64fe7cp-14, 0x1.2235227750e79p-14, 0x1.1efe217447e55p-14, 0x1.1bbb12b17e307p-14, 0x1.186c597f570a1p-14, 0x1.1512588552c89p-14, 0x1.11ad71bd3c7f1p-14, 0x1.0e3e066ec5b5cp-14, 0x1.0ac4772a8ec75p-14, 0x1.074123c5c23d3p-14, 0x1.03b46b562544p-14, 0x1.001eac2d66d4bp-14, 0x1.f90087aaec782p-15, 0x1.f1b31e18aa1a1p-15, 0x1.ea55d37feb5cbp-15, 0x1.e2e95e160778fp-15, 0x1.db6e726281befp-15, 0x1.d3e5c337fb767p-15, 0x1.cc5001ad554dep-15, 0x1.c4addd181f7f1p-15, 0x1.bd0003059903ap-15, 0x1.b5471f3563d22p-15, 0x1.ad83db936de66p-15, 0x1.a5b6e032f9ccap-15, 0x1.9de0d3493f0d8p-15, 0x1.960259287de43p-15, 0x1.8e1c143bc9434p-15, 0x1.862ea501e761dp-15, 0x1.7e3aaa09e63bdp-15, 0x1.7640bfef04927p-15, 0x1.6e4181547dbe8p-15, 0x1.663d86e30016ap-15, 0x1.5e35674554e42p-15, 0x1.5629b723aa246p-15, 0x1.4e1b092320af2p-15, 0x1.4609ede2b89f8p-15, 0x1.3df6f3f7baf44p-15, 0x1.35e2a7ecd0185p-15, 0x1.2dcd944014d03p-15, 0x1.25b841612005ap-15, 0x1.1da335af5bcd3p-15, 0x1.158ef5791e74bp-15, 0x1.0d7c02fa6f422p-15, 0x1.056ade5c97d89p-15, 0x1.fab80b68a1d91p-16, 0x1.ea9fea051d19ap-16, 0x1.da8e4c678c738p-16, 0x1.ca84223f73253p-16, 0x1.ba825712e5769p-16, 0x1.aa89d2404327cp-16, 0x1.9a9b76fd8122ep-16, 0x1.8ab82458dc3p-16, 0x1.7ae0b53d69bb5p-16, 0x1.6b1600720c7fcp-16, 0x1.5b58d89c4e787p-16, 0x1.4baa0c441a332p-16, 0x1.3c0a65d573ce5p-16, 0x1.2c7aaba3dbd3ap-16, 0x1.1cfb9fecf770ep-16, 0x1.0d8e00dd1f15p-16, 0x1.fc651126876e2p-17, 0x1.ddd3da4845b43p-17, 0x1.bf69c13f422c3p-17, 0x1.a12822295ebe6p-17, 0x1.8310512f12847p-17, 0x1.65239a8e1a88fp-17, 0x1.476342a240d2bp-17, 0x1.29d085f032776p-17, 0x1.0c6c99322143cp-17, 0x1.de7152c5ae65dp-18, 0x1.a46bb79cc9b46p-18, 0x1.6aca9c3437e94p-18, 0x1.31902ca6839a4p-18, 0x1.f17d0bfe31835p-19, 0x1.80af6ca4ce7f9p-19, 0x1.10bb79af520cbp-19, 0x1.434a283254119p-20, 0x1.9b7ffcd7bb795p-22, -0x1.cf00e846576ecp-22, -0x1.4c8f6fa5ec811p-20, -0x1.11c3634d08077p-19, -0x1.7c4fce3985484p-19, -0x1.e5e9c35ec90f4p-19, -0x1.27471497cb62bp-18, -0x1.5b1d00cef8ebcp-18, -0x1.8e7534e46a58p-18, -0x1.c14e4ce17050ep-18, -0x1.f3a6f2217daep-18, -0x1.12beed9721c5p-17, -0x1.2b68e5cdf412ap-17, -0x1.43d0c9f40aed1p-17, -0x1.5bf608a8bebe3p-17, -0x1.73d816d7e56dcp-17, -0x1.8b766fac0f326p-17, -0x1.a2d09477f6499p-17, -0x1.b9e60ca59fd5fp-17, -0x1.d0b665a14df6cp-17, -0x1.e74132c89f34fp-17, -0x1.fd860d5641b87p-17, -0x1.09c24a27b91b4p-16, -0x1.149e36383bbcap-16, -0x1.1f56a00ce3418p-16, -0x1.29eb5f9bf3c6p-16, -0x1.345c4f9ac957ap-16, -0x1.3ea94d72fcb29p-16, -0x1.48d239399a56cp-16, -0x1.52d6f5a4778c5p-16, -0x1.5cb767ffd6ab5p-16, -0x1.6673782573ad5p-16, -0x1.700b10731e2cbp-16, -0x1.797e1dc05224bp-16, -0x1.82cc8f52a7d1ap-16, -0x1.8bf656d669b13p-16, -0x1.94fb685509c21p-16, -0x1.9ddbba2a16b23p-16, -0x1.a69744f96e1a9p-16, -0x1.af2e03a5aedccp-16, -0x1.b79ff346dc803p-16, -0x1.bfed1320f2b55p-16, -0x1.c8156499c6246p-16, -0x1.d018eb2fbedap-16, -0x1.d7f7ac6f509a4p-16, -0x1.dfb1afe9908d4p-16, -0x1.e746ff2b37b9ep-16, -0x1.eeb7a5b377633p-16, -0x1.f603b0eaa7347p-16, -0x1.fd2b30183d1f5p-16, -0x1.02171a2caaabbp-15, -0x1.0586684befa86p-15, -0x1.08e38cc0b2923p-15, -0x1.0c2e92bece18fp-15, -0x1.0f6786523556ep-15, -0x1.128e745b10b36p-15, -0x1.15a36a8958b4fp-15, -0x1.18a67757c835fp-15, -0x1.1b97aa07f6653p-15, -0x1.1e77129d427e8p-15, -0x1.2144c1d906a75p-15, -0x1.2400c935e717cp-15, -0x1.26ab3ae3eaaa5p-15, -0x1.294429c4143d1p-15, -0x1.2bcba96409675p-15, -0x1.2e41cdf91e42ep-15, -0x1.30a6ac5d054e4p-15, -0x1.32fa5a09c2838p-15, -0x1.353ced155f06cp-15, -0x1.376e7c2deb5f7p-15, -0x1.398f1e954c5e9p-15, -0x1.3b9eec1d431bfp-15, -0x1.3d9dfd239f1a3p-15, }}, 
      {{-0x1.f6ee741408226p-7, -0x1.f5aeae7f270eap-6, -0x1.76bbead1dbc29p-5, -0x1.f0e07c10f3c7fp-5, -0x1.3466e6768f69p-4, -0x1.6f0fd02b31c6dp-4, -0x1.a8426e8adfc61p-4, -0x1.dfdf6d5b6211bp-4, -0x1.0ae809852aaf4p-3, -0x1.2502bd5edd25ap-3, -0x1.3e3bdd0ed77dcp-3, -0x1.56928069c25p-3, -0x1.6e085dabb0afep-3, -0x1.84a15fb71764bp-3, -0x1.9a63433050a3dp-3, -0x1.af553ba128ce2p-3, -0x1.c37fa1344b45dp-3, -0x1.d6eba72b11481p-3, -0x1.e9a31ae439e6fp-3, -0x1.fbb02b177f4a5p-3, -0x1.068e9b64aa564p-2, -0x1.0efa51b38126ep-2, -0x1.17205cb8e5679p-2, -0x1.1f05c38e857c7p-2, -0x1.26af6422cdfc6p-2, -0x1.2e21e99708711p-2, -0x1.3561c4b99d1cap-2, -0x1.3c73265aae54cp-2, -0x1.4359fb3e22da7p-2, -0x1.4a19e9734adb1p-2, -0x1.50b64edf416b8p-2, -0x1.573240cc2d794p-2, -0x1.5d908c5418cd5p-2, -0x1.63d3b782a28bdp-2, -0x1.69fe030ce6435p-2, -0x1.70116c82d374cp-2, -0x1.760fb0e0bc5dbp-2, -0x1.7bfa4f6b14d87p-2, -0x1.81d28cc159297p-2, -0x1.87997617a3007p-2, -0x1.8d4fe488ec451p-2, -0x1.92f6807602b97p-2, -0x1.988dc4e727823p-2, -0x1.9e1602e7eff9dp-2, -0x1.a38f64d67b652p-2, -0x1.a8f9f1a0514d5p-2, -0x1.ae558fe867c45p-2, -0x1.b3a20912b1276p-2, -0x1.b8df0c3283462p-2, -0x1.be0c30d9c516bp-2, -0x1.c328f9c77dd7ap-2, -0x1.c834d774e1ce2p-2, -0x1.cd2f2a80610aep-2, -0x1.d21745f69f93cp-2, -0x1.d6ec71798b49fp-2, -0x1.dbadeb4600927p-2, -0x1.e05aea18a15dep-2, -0x1.e4f29ef2a8de4p-2, -0x1.e97436bfb0e37p-2, -0x1.eddedbdd631e2p-2, -0x1.f231b78631f58p-2, -0x1.f66bf3203a54bp-2, -0x1.fa8cb971789eep-2, -0x1.fe9337ba7bdc3p-2, -0x1.013f4f5c63f3cp-1, -0x1.032711c909b8dp-1, -0x1.05008054c398ep-1, -0x1.06cb3b3013923p-1, -0x1.0886e5e0be556p-1, -0x1.0a33278ecd134p-1, -0x1.0bcfab48c22c6p-1, -0x1.0d5c203f80141p-1, -0x1.0ed839fa63458p-1, -0x1.1043b08404efp-1, -0x1.119e409019c7ap-1, -0x1.12e7ab9adebf2p-1, -0x1.141fb80278068p-1, -0x1.1546311aae335p-1, -0x1.165ae73b659fp-1, -0x1.175dafca2db2ap-1, -0x1.184e653f412bap-1, -0x1.192ce72648f1cp-1, -0x1.19f91a1b33116p-1, -0x1.1ab2e7c36949p-1, -0x1.1b5a3ec3ae304p-1, -0x1.1bef12b2e6052p-1, -0x1.1c715c0a0d512p-1, -0x1.1ce1181198c4bp-1, -0x1.1d3e48cc7970ep-1, -0x1.1d88f4e0fde39p-1, -0x1.1dc1277fc4432p-1, -0x1.1de6f048ec08fp-1, -0x1.1dfa632fbb077p-1, -0x1.1dfb985cdf13cp-1, -0x1.1deaac0f761a6p-1, -0x1.1dc7be7d05865p-1, -0x1.1d92f3b0850adp-1, -0x1.1d4c7368a1c0ep-1, -0x1.1cf468f55710dp-1, -0x1.1c8b031501071p-1, -0x1.1c1073d1015edp-1, -0x1.1b84f05a14806p-1, -0x1.1ae8b0e471492p-1, -0x1.1a3bf083c79e6p-1, -0x1.197eed0739488p-1, -0x1.18b1e6d55d245p-1, -0x1.17d520c864a24p-1, -0x1.16e8e00a72f82p-1, -0x1.15ed6bf235daep-1, -0x1.14e30ddfd31a5p-1, -0x1.13ca111a35acdp-1, -0x1.12a2c2accaa8ep-1, -0x1.116d7145b6181p-1, -0x1.102a6d148fafap-1, -0x1.0eda07a9ae08ap-1, -0x1.0d7c93d60aad3p-1, -0x1.0c12658bc78ddp-1, -0x1.0a9bd1bf5cb0cp-1, -0x1.09192e49755cep-1, -0x1.078ad1c9823edp-1, -0x1.05f113890608ep-1, -0x1.044c4b5fa081fp-1, -0x1.029cd197dc69dp-1, -0x1.00e2fed4c30f4p-1, -0x1.fe3e57f071551p-2, -0x1.faa36414459f9p-2, -0x1.f6f5d440b7a7ep-2, -0x1.f3365a8ee5d8ap-2, -0x1.ef65a8d87444fp-2, -0x1.eb84708c474c4p-2, -0x1.e7936284d661ep-2, -0x1.e3932ee01d1fep-2, -0x1.df8484d925cffp-2, -0x1.db6812a326cfdp-2, -0x1.d73e854639dc9p-2, -0x1.d308887d9dde3p-2, -0x1.cec6c697879afp-2, -0x1.ca79e8567ab8ap-2, -0x1.c62294d42321ap-2, -0x1.c1c17165ae5d2p-2, -0x1.bd5721819737dp-2, -0x1.b8e446a6e9e5ep-2, -0x1.b4698045ec62dp-2, -0x1.afe76baa2e93ep-2, -0x1.ab5ea3e5f64dp-2, -0x1.a6cfc1bf01811p-2, -0x1.a23b5b9c96b24p-2, -0x1.9da20576dd0a6p-2, -0x1.990450c773bedp-2, -0x1.9462cc7b4147ap-2, -0x1.8fbe04e570bb3p-2, -0x1.8b1683b39808cp-2, -0x1.866ccfe2ff25fp-2, -0x1.81c16db6faff1p-2, -0x1.7d14deb05d097p-2, -0x1.7867a185e3af5p-2, -0x1.73ba321db06ap-2, -0x1.6f0d0987aedffp-2, -0x1.6a609df8f019ep-2, -0x1.65b562c7e7c75p-2, -0x1.610bc8698a40ap-2, -0x1.5c643c6f43cc5p-2, -0x1.57bf2985b871cp-2, -0x1.531cf774519f8p-2, -0x1.4e7e0b1d864c7p-2, -0x1.49e2c67fdd21ap-2, -0x1.454b88b79c5e1p-2, -0x1.40b8ae0125b08p-2, -0x1.3c2a8fbbef147p-2, -0x1.37a1846e1ae3ep-2, -0x1.331ddfc89ca6dp-2, -0x1.2e9ff2abefe62p-2, -0x1.2a280b2d4f6a8p-2, -0x1.25b6749c6dc97p-2, -0x1.214b7789a3cfep-2, -0x1.1ce759cc92276p-2, -0x1.188a5e8b2cfa3p-2, -0x1.1434c6412d2e9p-2, -0x1.0fe6cec7ddfebp-2, -0x1.0ba0b35e499p-2, -0x1.0762acb1b210dp-2, -0x1.032cf0e65d852p-2, -0x1.fdff67414e214p-3, -0x1.f5b64c1cad3e5p-3, -0x1.ed7eede06616bp-3, -0x1.e559a5479d88p-3, -0x1.dd46c65b15f55p-3, -0x1.d546a0858cb8bp-3, -0x1.cd597ea8730fbp-3, -0x1.c57fa730f38ebp-3, -0x1.bdb95c2d3b4e9p-3, -0x1.b606db6200ad7p-3, -0x1.ae685e603ed62p-3, -0x1.a6de1a9b1f04bp-3, -0x1.9f68417e04fabp-3, -0x1.98070082bdc0ap-3, -0x1.90ba8147c5473p-3, -0x1.8982e9a69857ep-3, -0x1.82605bca1e469p-3, -0x1.7b52f64506515p-3, -0x1.745ad42833147p-3, -0x1.6d780d191a8e2p-3, -0x1.66aab568164d6p-3, -0x1.5ff2de26a9128p-3, -0x1.5950953daaedep-3, -0x1.52c3e5836122dp-3, -0x1.4c4cd6d16e76p-3, -0x1.45eb6e1aa9f96p-3, -0x1.3f9fad80c6586p-3, -0x1.39699469db3c3p-3, -0x1.33491f95b1fe3p-3, -0x1.2d3e4932ec881p-3, -0x1.274908f3f3e87p-3, -0x1.21695423acd8fp-3, -0x1.1b9f1db9f940fp-3, -0x1.15ea566ff51b3p-3, -0x1.104aecd3fa2f7p-3, -0x1.0ac0cd5d5f2fap-3, -0x1.054be27ff5be1p-3, -0x1.ffd8297e7d20cp-4, -0x1.f5429582be3ccp-4, -0x1.ead6d2c3823bcp-4, -0x1.e094a786ee1ep-4, -0x1.d67bd6c68fe2bp-4, -0x1.cc8c2052ecbadp-4, -0x1.c2c540f66d622p-4, -0x1.b926f297a3589p-4, -0x1.afb0ec5b06a56p-4, -0x1.a662e2c3f2174p-4, -0x1.9d3c87d519d09p-4, -0x1.943d8b304e903p-4, -0x1.8b659a359b428p-4, -0x1.82b46021c7686p-4, -0x1.7a29862c2c08ep-4, -0x1.71c4b3a3e6429p-4, -0x1.69858e0c60fa9p-4, -0x1.616bb9393ac2bp-4, -0x1.5976d76985dafp-4, -0x1.51a689626199ep-4, -0x1.49fa6e88efb22p-4, -0x1.427224fba4cebp-4, -0x1.3b0d49aaf5664p-4, -0x1.33cb787160e2ap-4, -0x1.2cac4c2ada954p-4, -0x1.25af5ecb9077dp-4, -0x1.1ed449761697p-4, -0x1.181aa490f0765p-4, -0x1.118207db7ef07p-4, -0x1.0b0a0a8255eb7p-4, -0x1.04b24332f3b89p-4, -0x1.fcf4905dcb77ap-5, -0x1.f0c35ebca103fp-5, -0x1.e4d01cc3d902fp-5, -0x1.d919f548cdfbep-5, -0x1.cda012d673c0ap-5, -0x1.c2619fcddf921p-5, -0x1.b75dc685c0a43p-5, -0x1.ac93b168b81fep-5, -0x1.a2028b12af977p-5, -0x1.97a97e6d12d74p-5, -0x1.8d87b6ca11a97p-5, -0x1.839c5ffed091dp-5, -0x1.79e6a67ca17cfp-5, -0x1.7065b7694083dp-5, -0x1.6718c0b61e9dfp-5, -0x1.5dfef136b2842p-5, -0x1.551778b5e26a3p-5, -0x1.4c61880a86e97p-5, -0x1.43dc512b071bep-5, -0x1.3b8707401768p-5, -0x1.3360deb69c0bbp-5, -0x1.2b690d50baa85p-5, -0x1.239eca361a75ep-5, -0x1.1c014e03504dp-5, -0x1.148fd2d88fdc6p-5, -0x1.0d4994678eb04p-5, -0x1.062dd000b4234p-5, -0x1.fe77893f04546p-6, -0x1.f0e565ecb01ccp-6, -0x1.e3a3baf2f121ep-6, -0x1.d6b110d2d560bp-6, -0x1.ca0bf3b96046dp-6, -0x1.bdb2f391bbb2fp-6, -0x1.b1a4a41614608p-6, -0x1.a5df9cdf654aap-6, -0x1.9a627973eba97p-6, -0x1.8f2bd954a1d42p-6, -0x1.843a6009831b5p-6, -0x1.798cb52cc929fp-6, -0x1.6f21847517a9ep-6, -0x1.64f77dbea92cbp-6, -0x1.5b0d5513889a4p-6, -0x1.5161c2b2c7aaep-6, -0x1.47f38316dd588p-6, -0x1.3ec156fb0d522p-6, -0x1.35ca0360084ap-6, -0x1.2d0c518fab15dp-6, -0x1.24870f1ff2718p-6, -0x1.1c390df526e8cp-6, -0x1.14212443549c3p-6, -0x1.0c3e2c8f001a2p-6, -0x1.048f05ad3038cp-6, -0x1.fa2525859007ep-7, -0x1.eb8f768680758p-7, -0x1.dd5ad5dd919a8p-7, -0x1.cf85239f8188p-7, -0x1.c20c486f72af3p-7, -0x1.b4ee3577a7546p-7, -0x1.a828e461427f4p-7, -0x1.9bba574b1de2ep-7, -0x1.8fa098bf92f65p-7, -0x1.83d9bba964482p-7, -0x1.7863db47ce152p-7, -0x1.6d3d1b21b448bp-7, -0x1.6263a6f81c588p-7, -0x1.57d5b2b7ca2abp-7, -0x1.4d917a6a43955p-7, -0x1.439542261f27dp-7, -0x1.39df55fea9eedp-7, -0x1.306e09f2ee9afp-7, -0x1.273fb9dc3760ap-7, -0x1.1e52c95bfb394p-7, -0x1.15a5a3c966601p-7, -0x1.0d36bc1e37f3bp-7, -0x1.05048ce361873p-7, -0x1.fa1b303a374dap-8, -0x1.eaa0ce6d482d3p-8, -0x1.db9715db4e685p-8, -0x1.ccfb367a9b2aep-8, -0x1.beca6e920499ap-8, -0x1.b1020a8dd5926p-8, -0x1.a39f64d439f9cp-8, -0x1.969fe59962f96p-8, -0x1.8a0102b2f83a3p-8, -0x1.7dc03f6b7eb42p-8, -0x1.71db2c5538628p-8, -0x1.664f671cb407cp-8, -0x1.5b1a9a5b4fb6bp-8, -0x1.503a7d695d103p-8, -0x1.45acd43030651p-8, -0x1.3b6f6efc08b74p-8, -0x1.31802a4dfad45p-8, -0x1.27dceead9b21ep-8, -0x1.1e83b07ab5c5ep-8, -0x1.15726fbf22f38p-8, -0x1.0ca73800858cdp-8, -0x1.0420201216fe1p-8, -0x1.f7b693cd81037p-9, -0x1.e7adc4c5d1e89p-9, -0x1.d822425dae8e6p-9, -0x1.c9109111e9b95p-9, -0x1.ba754a30c158ap-9, -0x1.ac4d1b7f4bbdfp-9, -0x1.9e94c6df84b5cp-9, -0x1.914921f6d4c8ap-9, -0x1.846715d4e74cbp-9, -0x1.77eb9e9b4d612p-9, -0x1.6bd3cb25a2f41p-9, -0x1.601cbcb27a815p-9, -0x1.54c3a68cbf091p-9, -0x1.49c5cdb60818ap-9, -0x1.3f2088916d0c7p-9, -0x1.34d13e8f10689p-9, -0x1.2ad567d8cadb3p-9, -0x1.212a8cff3ef56p-9, -0x1.17ce46a7efd83p-9, -0x1.0ebe3d3c3d913p-9, -0x1.05f8289906f8bp-9, -0x1.faf39f7eaf0d2p-10, -0x1.ea82110be5e9cp-10, -0x1.da976e9755f77p-10, -0x1.cb2f9d556ee35p-10, -0x1.bc469e59fb5b3p-10, -0x1.add88e02b49a2p-10, -0x1.9fe1a36349819p-10, -0x1.925e2fb3d572p-10, -0x1.854a9dc0c1adcp-10, -0x1.78a3715cebb29p-10, -0x1.6c6546d608a8cp-10, -0x1.608cd26a1eeacp-10, -0x1.5516dfbfdfe3fp-10, -0x1.4a0051609741dp-10, -0x1.3f462034182ddp-10, -0x1.34e55afeb612ap-10, -0x1.2adb25e112e0ap-10, -0x1.2124b9da2ee98p-10, -0x1.17bf644b2fd4fp-10, -0x1.0ea8867d9cf6bp-10, -0x1.05dd952ae7ab8p-10, -0x1.fab8300d27beap-11, -0x1.ea435293de4b6p-11, -0x1.da57ea83b79cap-11, -0x1.caf173bd51117p-11, -0x1.bc0b8c8b9c62ep-11, -0x1.ada1f4cb24a4ep-11, -0x1.9fb08d152add7p-11, -0x1.923355ef1a523p-11, -0x1.85266efd0c764p-11, -0x1.78861638a9bd3p-11, -0x1.6c4ea72b217bcp-11, -0x1.607c9a2bd60cbp-11, -0x1.550c83a1a66a9p-11, -0x1.49fb1348dd6a9p-11, -0x1.3f45137c3b9fap-11, -0x1.34e76881b218ep-11, -0x1.2adf0fda9a305p-11, -0x1.21291f977d541p-11, -0x1.17c2c5af5e9abp-11, -0x1.0ea9475addf41p-11, -0x1.05da0071d77cbp-11, -0x1.faa4c59a9efdep-12, -0x1.ea1feb583efc6p-12, -0x1.da20aa370c344p-12, -0x1.caa262c41d33cp-12, -0x1.bba09cddf5ecap-12, -0x1.ad17069659d8bp-12, -0x1.9f01731d1b75dp-12, -0x1.915bd9b08d5b4p-12, -0x1.84225492f6632p-12, -0x1.77512006dc5ffp-12, -0x1.6ae499521441cp-12, -0x1.5ed93dc435a02p-12, -0x1.532ba9c4f6a24p-12, -0x1.47d897e800f8dp-12, -0x1.3cdce0049ee16p-12, -0x1.32357654cf471p-12, -0x1.27df6a98f7a1dp-12, -0x1.1dd7e740d375p-12, -0x1.141c30996aefp-12, -0x1.0aa9a4015646p-12, -0x1.017db72052e91p-12, -0x1.f12bee495c2bap-13, -0x1.dfe0100c9828cp-13, -0x1.cf134799090ecp-13, -0x1.bec133b55fcf2p-13, -0x1.aee59c7ffabcdp-13, -0x1.9f7c72196778fp-13, -0x1.9081cb56f8ed7p-13, -0x1.81f1e47d88c07p-13, -0x1.73c91e0669435p-13, -0x1.6603fb69cd4cep-13, -0x1.589f21f4b088p-13, -0x1.4b9757a53caf1p-13, -0x1.3ee9820f578cbp-13, -0x1.3292a547d83f7p-13, -0x1.268fe2d95a284p-13, -0x1.1ade78bf4ea05p-13, -0x1.0f7bc067d82b9p-13, -0x1.04652dbf14803p-13, -0x1.f3309c7c4f3e4p-14, -0x1.de259005b228fp-14, -0x1.c9a4b1db791c3p-14, -0x1.b5a9ab8f2e754p-14, -0x1.a23052d7ad77bp-14, -0x1.8f34a7f311426p-14, -0x1.7cb2d418842c5p-14, -0x1.6aa727efdd527p-14, -0x1.590e1a17b9ddep-14, -0x1.47e445bd40fcbp-14, -0x1.372669316e48fp-14, -0x1.26d1649543281p-14, -0x1.16e2388b9782bp-14, -0x1.075604f67c0f1p-14, -0x1.f0540f7ab1192p-15, -0x1.d2b7373ca7059p-15, -0x1.b5d06e15005e4p-15, -0x1.999ad60e657bdp-15, -0x1.7e11c437ccd9ap-15, -0x1.6330be9704e37p-15, -0x1.48f37a1e41db9p-15, -0x1.2f55d8bf07006p-15, -0x1.1653e78747bf1p-15, -0x1.fbd3b9a9fc066p-16, -0x1.cc282d210c77cp-16, -0x1.9d9e30f97d049p-16, -0x1.702f1534cad18p-16, -0x1.43d46f19722c5p-16, -0x1.1888162a19ac5p-16, -0x1.dc884270ccdap-17, -0x1.8a05c71e9f4d6p-17, -0x1.397dd46d79041p-17, -0x1.d5cbe549413b1p-18, -0x1.3c6826644108ap-18, -0x1.4d7a2f087839ap-19, -0x1.4b823117efe3p-22, 0x1.e6e25a20e08f2p-20, 0x1.04a6476951f06p-18, 0x1.8c217cd952ed6p-18, 0x1.081d13a1bc1e8p-17, 0x1.487fd0f1bfa9fp-17, 0x1.87405d27fb24dp-17, 0x1.c465dbc981a68p-17, 0x1.fff7308663b25p-17, 0x1.1cfd813f8e77ep-16, 0x1.393bdfb6f04bbp-16, 0x1.54b9cf5aca079p-16, 0x1.6f7a52220b63bp-16, 0x1.898051a6f4742p-16, 0x1.a2cea083a910ap-16, 0x1.bb67fb956d9bcp-16, 0x1.d34f0b32127bfp-16, 0x1.ea86645538121p-16, 0x1.008844dc4b65ap-15, 0x1.0b77f674a04a4p-15, 0x1.161377a20cd0ep-15, 0x1.205bf1778bb73p-15, 0x1.2a5285e456d2ep-15, 0x1.33f85023d692bp-15, 0x1.3d4e6525bab16p-15, 0x1.4655d3f49da7p-15, 0x1.4f0fa61846e24p-15, 0x1.577cdfef13e0fp-15, 0x1.5f9e81056f5d2p-15, 0x1.6775846930c2cp-15, 0x1.6f02e0f6dd796p-15, 0x1.764789a5a75c1p-15, 0x1.7d446dc75fd9cp-15, 0x1.83fa794ff74e7p-15, 0x1.8a6a951135d55p-15, 0x1.9095a6f7ee68p-15, 0x1.967c923ea9f4ep-15, 0x1.9c2037a5b6b8fp-15, 0x1.a18175a0ea4afp-15, 0x1.a6a12886dbc9ep-15, 0x1.ab802ab91bd08p-15, 0x1.b01f54cded31ap-15, 0x1.b47f7db67fd53p-15, 0x1.b8a17adf9b008p-15, 0x1.bc8620505fcbp-15, 0x1.c02e40c92ff56p-15, 0x1.c39aade03b13cp-15, 0x1.c6cc3819b8303p-15, 0x1.c9c3aefcf0754p-15, 0x1.cc81e12cc1f47p-15, 0x1.cf079c786af73p-15, 0x1.d155adeea6b4ep-15, 0x1.d36ce1ea84972p-15, 0x1.d54e0423c1b1p-15, 0x1.d6f9dfbb90858p-15, 0x1.d8713f470b726p-15, 0x1.d9b4ecd82b006p-15, 0x1.dac5b2059dc6p-15, 0x1.dba457f32c14ap-15, 0x1.dc51a75778778p-15, 0x1.dcce687ec631p-15, 0x1.dd1b6350ddc0ep-15, 0x1.dd395f52d6193p-15, 0x1.dd2923a840bcap-15, 0x1.dceb771511ef8p-15, 0x1.dc811ffa62f95p-15, 0x1.dbeae459b99d7p-15, 0x1.db2989d12a08cp-15, 0x1.da3dd59a2774fp-15, 0x1.d9288c8542a5ap-15, 0x1.d7ea72f6e77b2p-15, 0x1.d6844ce44397dp-15, 0x1.d4f6ddcdfd7e9p-15, 0x1.d342e8ba889c9p-15, 0x1.d16930316212ep-15, 0x1.cf6a76353c09cp-15, 0x1.cd477c3da245p-15, 0x1.cb01033098987p-15, 0x1.c897cb59e73eap-15, 0x1.c60c946613e62p-15, 0x1.c3601d5a58cf2p-15, 0x1.c093248d1835ep-15, 0x1.bda6679da0a35p-15, 0x1.ba9aa36bdb438p-15, 0x1.b7709411ca495p-15, 0x1.b428f4d9a024ap-15, 0x1.b0c480364d39ep-15, 0x1.ad43efba5e557p-15, 0x1.a9a7fc1054b49p-15, 0x1.a5f15cf224cc9p-15, 0x1.a220c921176eap-15, 0x1.9e36f65c37d25p-15, 0x1.9a34995860ad6p-15, 0x1.961a65b839ce3p-15, 0x1.91e90e040f842p-15, 0x1.8da143a0a477ap-15, 0x1.8943b6c7408fp-15, 0x1.84d1167e412b9p-15, 0x1.804a1090ab65bp-15, 0x1.7baf5186b3487p-15, 0x1.7701849ce367fp-15, 0x1.724153bd21dafp-15, 0x1.6d6f67776818cp-15, 0x1.688c66f9f642ap-15, 0x1.6398f80b5fd71p-15, 0x1.5e95bf01c5a95p-15, 0x1.59835ebd06f84p-15, 0x1.5462789fe9b69p-15, 0x1.4f33ac89fc5e5p-15, 0x1.49f798d03e51fp-15, 0x1.44aeda37b125fp-15, 0x1.3f5a0bef75e79p-15, 0x1.39f9c78b4a396p-15, 0x1.348ea4fdb7418p-15, 0x1.2f193a92b1008p-15, 0x1.299a1cea027efp-15, 0x1.2411def35ca33p-15, 0x1.1e8111e925cf4p-15, 0x1.18e8454c2827cp-15, 0x1.134806df81c92p-15, 0x1.0da0e2a3db713p-15, 0x1.07f362d405a47p-15, 0x1.02400fe1d25afp-15, 0x1.f90ee0e33ae5fp-16, 0x1.ed9412af7371fp-16, 0x1.e210bb2a4e8bep-16, 0x1.d685dcaabe929p-16, 0x1.caf475d6ceb67p-16, 0x1.bf5d819eabe0ep-16, 0x1.b3c1f7385e262p-16, 0x1.a822ca1ba6f74p-16, 0x1.9c80e9feabf8ap-16, 0x1.90dd42d372178p-16, 0x1.8538bcc4c93abp-16, 0x1.79943c339efdfp-16, 0x1.6df0a1b5efc27p-16, 0x1.624eca141d044p-16, 0x1.56af8e48f31e4p-16, 0x1.4b13c3802efcdp-16, 0x1.3f7c3b14fa722p-16, 0x1.33e9c2939f709p-16, 0x1.285d23b9eac3p-16, 0x1.1cd72476060d9p-16, 0x1.115886e975c72p-16, 0x1.05e20969285a9p-16, 0x1.f4e8ccff4aa3ep-17, 0x1.de20a9db9a053p-17, 0x1.c76d0f5f9af8dp-17, 0x1.b0cf5bfad0de1p-17, 0x1.9a48e69a44456p-17, 0x1.83dafeb257309p-17, 0x1.6d86ec3fb16cp-17, 0x1.574defd4adb49p-17, 0x1.4131429fef24ap-17, 0x1.2b32167223a5dp-17, 0x1.155195c8babd6p-17, 0x1.ff21c7b5f82a5p-18, 0x1.d3e2393d0ff1bp-18, 0x1.a8e6a9abb86bap-18, 0x1.7e313433e5c7fp-18, 0x1.53c3e5ce3d215p-18, 0x1.29a0bd4bc9331p-18, 0x1.ff9356e9036ebp-19, 0x1.ac812646bcd9fp-19, 0x1.5a0e92add56afp-19, 0x1.083f2aad5a577p-19, 0x1.6e2cc32754b5bp-20, 0x1.9a5e3e92f31dp-21, 0x1.6c5f25e7f2895p-23, -0x1.c2da9a737a1e4p-22, -0x1.0d927193685b7p-20, -0x1.a9019f1d7f794p-20, -0x1.217f42e8a97ep-19, -0x1.6dc1d7b6dc628p-19, -0x1.b945ec3241aadp-19, -0x1.02047bcdf66f8p-18, -0x1.270444fefd5dap-18, -0x1.4ba125fb3d8fap-18, -0x1.6fd9ff2d9ceb3p-18, -0x1.93adbcff7da29p-18, -0x1.b71b57b7e3117p-18, -0x1.da21d353b7d0ep-18, -0x1.fcc03f600d5a1p-18, -0x1.0f7adb6e9ce1dp-17, -0x1.2060b00a1c409p-17, -0x1.31113637b4e85p-17, -0x1.418c0c2df3607p-17, -0x1.51d0d5907588ap-17, -0x1.61df3b5cfbdbbp-17, -0x1.71b6ebd816aecp-17, -0x1.81579a7c2c66p-17, -0x1.90c0ffe46a406p-17, -0x1.9ff2d9b9eb5d5p-17, -0x1.aeeceaa0fc95ap-17, -0x1.bdaefa2732bccp-17, -0x1.cc38d4acded07p-17, -0x1.da8a4b550fa8cp-17, -0x1.e8a333f10452fp-17, -0x1.f68368eb1e28ep-17, -0x1.0215649bb7de6p-16, -0x1.08cc9c1ec197p-16, -0x1.0f674ee2cf012p-16, -0x1.15e572f2afa12p-16, -0x1.1c470076f9472p-16, -0x1.228bf1ab86de2p-16, -0x1.28b442d67f3a3p-16, -0x1.2ebff23dd04d7p-16, -0x1.34af001fb6bf7p-16, -0x1.3a816ea6daef4p-16, -0x1.403741e1c99b2p-16, -0x1.45d07fba79806p-16, -0x1.4b4d2feb3e609p-16, -0x1.50ad5bf696affp-16, -0x1.55f10f1dd3fe2p-16, -0x1.5b1856573ec9p-16, -0x1.602340451f733p-16, -0x1.6511dd2cc7f49p-16, -0x1.69e43eed987dfp-16, -0x1.6e9a78f719edfp-16, -0x1.7334a04124d9cp-16, -0x1.77b2cb4249d3ep-16, -0x1.7c1511e707109p-16, -0x1.805b8d88d7d9p-16, -0x1.848658e643146p-16, -0x1.88959018b935p-16, -0x1.8c89508e174aep-16, -0x1.9061b8fd9f13cp-16, -0x1.941ee9619798dp-16, -0x1.97c102edde889p-16, -0x1.9b48280794075p-16, -0x1.9eb47c3e00abep-16, -0x1.a2062440ce37fp-16, -0x1.a53d45d904a37p-16, -0x1.a85a07e106a1cp-16, -0x1.ab5c923c21589p-16, -0x1.ae450dcf42cd4p-16, -0x1.b113a47883d81p-16, -0x1.b3c881088a113p-16, -0x1.b663cf3a39651p-16, -0x1.b8e5bbabd5e02p-16, -0x1.bb4e73d656257p-16, -0x1.bd9e26079b5edp-16, -0x1.bfd5015a7ce39p-16, -0x1.c1f335afae357p-16, -0x1.c3f8f3a69f393p-16, -0x1.c5e66c96a2551p-16, -0x1.c7bbd288628bp-16, -0x1.c979582e3b81p-16, -0x1.cb1f30de9a839p-16, -0x1.ccad908d23ebep-16, -0x1.ce24abc37685ap-16, -0x1.cf84b79b76f3ap-16, -0x1.d0cde9b9075c9p-16, -0x1.d20078436cf26p-16, -0x1.d31c99def6538p-16, -0x1.d42285a77e6bap-16, -0x1.d512732a9bbdep-16, -0x1.d5ec9a616398dp-16, -0x1.d6b133aa5cd9ap-16, -0x1.d76077c438d7cp-16, -0x1.d7fa9fc83e7d9p-16, -0x1.d87fe524f35a1p-16, -0x1.d8f08198089fep-16, -0x1.d94caf29ae44ep-16, -0x1.d994a8271c5f1p-16, -0x1.d9c8a71d436a3p-16, -0x1.d9e8e6d41eaf3p-16, -0x1.d9f5a2495d552p-16, -0x1.d9ef14ac057d2p-16, -0x1.d9d5795761c77p-16, -0x1.d9a90bcdf273ep-16, -0x1.d96a07b560793p-16, -0x1.d918a8d1a1cdep-16, -0x1.d8b52b00a0d6fp-16, -0x1.d83fca35bfce7p-16, -0x1.d7b8c275fb69dp-16, -0x1.d7204fd3a169fp-16, -0x1.d676ae69d9c5dp-16, -0x1.d5bc1a58ce5c2p-16, -0x1.d4f0cfc1eebebp-16, -0x1.d4150ac3b8c67p-16, -0x1.d32907769ff13p-16, -0x1.d22d01e87b2a7p-16, -0x1.d12136196ce1dp-16, -0x1.d005dff87561ap-16, -0x1.cedb3b5f7cf51p-16, -0x1.cda1841075a41p-16, -0x1.cc58f5b1ddafbp-16, -0x1.cb01cbcbd2e45p-16, -0x1.c99c41c468691p-16, -0x1.c82892dcc933fp-16, -0x1.c6a6fa2e6df2dp-16, -0x1.c517b2a7e6253p-16, -0x1.c37af709db94bp-16, -0x1.c1d101e513714p-16, -0x1.c01a0d96d7957p-16, -0x1.be5654471980dp-16, -0x1.bc860fe5315bcp-16, -0x1.baa97a259d813p-16, -0x1.b8c0cc7fe49f8p-16, -0x1.b6cc402ba3ff4p-16, -0x1.b4cc0e1edb906p-16, -0x1.b2c06f0b75f8ap-16, -0x1.b0a99b5cdb702p-16, -0x1.ae87cb360aa5bp-16, -0x1.ac5b366fe1ea3p-16, -0x1.aa241496a5cd6p-16, -0x1.a7e29ce7e6208p-16, -0x1.a5970651d1063p-16, -0x1.a341877069935p-16, -0x1.a0e2568be8c22p-16, -0x1.9e79a9970d199p-16, -0x1.9c07b62d992b4p-16, -0x1.998cb192ca245p-16, -0x1.9708d0afd0877p-16, -0x1.947c481265017p-16, }}, 
      {{-0x1.c6a89faeea3fep-1, -0x1.c6a44a142b208p-1, -0x1.c6992cb0128dap-1, -0x1.c682d29c307acp-1, -0x1.c65c78806ccd4p-1, -0x1.c621862a0d3ffp-1, -0x1.c5cddac8b03fdp-1, -0x1.c55df8adfff24p-1, -0x1.c4cf1a1ed2a4bp-1, -0x1.c41f364790c58p-1, -0x1.c34cfb878b8p-1, -0x1.c257c2e0857e7p-1, -0x1.c13f7f4bae074p-1, -0x1.c004aaed4c9bfp-1, -0x1.bea8338b8c402p-1, -0x1.bd2b673e66416p-1, -0x1.bb8fe1fd2b5cp-1, -0x1.b9d77c724565ep-1, -0x1.b8043c52274efp-1, -0x1.b6184652f81bbp-1, -0x1.b415d1cc20d9fp-1, -0x1.b1ff1df56c08bp-1, -0x1.afd668b2e6953p-1, -0x1.ad9de6d40545p-1, -0x1.ab57bda8a0ea6p-1, -0x1.a905fdcc74727p-1, -0x1.a6aa9f09554cdp-1, -0x1.a4477d30e9dc4p-1, -0x1.a1de55cff3d86p-1, -0x1.9f70c69ef0749p-1, -0x1.9d004c95e6ee8p-1, -0x1.9a8e438b544b7p-1, -0x1.981be648691f3p-1, -0x1.95aa4efef18fcp-1, -0x1.933a780f61222p-1, -0x1.90cd3d0f814c8p-1, -0x1.8e635c0419096p-1, -0x1.8bfd76c1a7fe8p-1, -0x1.899c1469e4307p-1, -0x1.873fa2fd1b8cap-1, -0x1.84e878f7e782dp-1, -0x1.8296d6f6cadd7p-1, -0x1.804ae95a5de19p-1, -0x1.7e04c9e794834p-1, -0x1.7bc48160796bep-1, -0x1.798a09126d181p-1, -0x1.77554c5795fe7p-1, -0x1.75262a09b0a83p-1, -0x1.72fc75e4eb1a4p-1, -0x1.70d7f9d9d22fdp-1, -0x1.6eb8774db06p-1, -0x1.6c9da848ff5f1p-1, -0x1.6a874093d18efp-1, -0x1.6874eec03e769p-1, -0x1.66665d230c4d4p-1, -0x1.645b32baf0c3bp-1, -0x1.62531406d8f85p-1, -0x1.604da3cbc2077p-1, -0x1.5e4a83cab4e42p-1, -0x1.5c495567886c1p-1, -0x1.5a49ba41137bp-1, -0x1.584b54bb79d95p-1, -0x1.564dc87d46cf9p-1, -0x1.5450bae00386ep-1, -0x1.5253d354fce0bp-1, -0x1.5056bbbee0c5ep-1, -0x1.4e5920c0df1d3p-1, -0x1.4c5ab203f5891p-1, -0x1.4a5b227301d5p-1, -0x1.485a286e3af2cp-1, -0x1.46577df6a0c75p-1, -0x1.4452e0d1f5e55p-1, -0x1.424c12a7cb8c8p-1, -0x1.4042d9181fe95p-1, -0x1.3e36fdcc0fa9cp-1, -0x1.3c284e810e5a8p-1, -0x1.3a169d0f17757p-1, -0x1.3801bf6a421f2p-1, -0x1.35e98fa01e457p-1, -0x1.33cdebd136d29p-1, -0x1.31aeb627182b1p-1, -0x1.2f8bd4c72a22bp-1, -0x1.2d6531c2b19fep-1, -0x1.2b3abb0443285p-1, -0x1.290c623aeaf2ep-1, -0x1.26da1cc34ffc2p-1, -0x1.24a3e38f0cd3dp-1, -0x1.2269b30a7a64cp-1, -0x1.202b8b011f4a4p-1, -0x1.1de96e80f993fp-1, -0x1.1ba363bccf9bcp-1, -0x1.195973edb420ep-1, -0x1.170bab33e575ep-1, -0x1.14ba18772e04dp-1, -0x1.1264cd46e92p-1, -0x1.100bddb9cab16p-1, -0x1.0daf604d88907p-1, -0x1.0b4f6dc6801bfp-1, -0x1.08ec210f7197fp-1, -0x1.0685971967f86p-1, -0x1.041beebbdfc76p-1, -0x1.01af489545596p-1, -0x1.fe7f8dd7aa295p-2, -0x1.f99b1b1de55fep-2, -0x1.f4b18372037ebp-2, -0x1.efc313e39d74dp-2, -0x1.ead01be323715p-2, -0x1.e5d8ed092a747p-2, -0x1.e0dddadf16a46p-2, -0x1.dbdf3aa92ba2dp-2, -0x1.d6dd63321479dp-2, -0x1.d1d8ac97eb7bep-2, -0x1.ccd1701acd87p-2, -0x1.c7c807ecfdeffp-2, -0x1.c2bccf04a3033p-2, -0x1.bdb020ef1bf9bp-2, -0x1.b8a259a5f7dep-2, -0x1.b393d5658c7efp-2, -0x1.ae84f0852de18p-2, -0x1.a976075106a12p-2, -0x1.a46775e58f7e4p-2, -0x1.9f59980ca3753p-2, -0x1.9a4cc91c2d4a9p-2, -0x1.954163d66a279p-2, -0x1.9037c24bbb8d6p-2, -0x1.8b303dbe08a09p-2, -0x1.862b2e85a048ap-2, -0x1.8128ebf79d052p-2, -0x1.7c29cc4dbf088p-2, -0x1.772e248fb8a46p-2, -0x1.7236487de207p-2, -0x1.6d428a7d51375p-2, -0x1.68533b8546089p-2, -0x1.6368ab0debc8fp-2, -0x1.5e8327005ea18p-2, -0x1.59a2fba7f2769p-2, -0x1.54c873a4ada4p-2, -0x1.4ff3d7def0fe8p-2, -0x1.4b256f7c46f02p-2, -0x1.465d7fd546571p-2, -0x1.419c4c6c8d1bdp-2, -0x1.3ce216e6bf94cp-2, -0x1.382f1f0387003p-2, -0x1.3383a29786b9ap-2, -0x1.2edfdd873cb9fp-2, -0x1.2a4409c2c65abp-2, -0x1.25b05f427fadfp-2, -0x1.2125140472dd8p-2, -0x1.1ca25c0a940c6p-2, -0x1.18286959b9e55p-2, -0x1.13b76bf94e70cp-2, -0x1.0f4f91f3b27a1p-2, -0x1.0af1075741ecbp-2, -0x1.069bf637fee16p-2, -0x1.025086b1cc7bap-2, -0x1.fc1dbdd67f81ep-3, -0x1.f3ae4631e1b7cp-3, -0x1.eb52eb02ab2f4p-3, -0x1.e30bed0218e47p-3, -0x1.dad9891f3dbdcp-3, -0x1.d2bbf8895ccf5p-3, -0x1.cab370bb0a68dp-3, -0x1.c2c023860418fp-3, -0x1.bae23f1fc790ep-3, -0x1.b319ee2eb9c93p-3, -0x1.ab6757d7f384bp-3, -0x1.a3ca9fcd91c43p-3, -0x1.9c43e65d8db01p-3, -0x1.94d34880ffd1cp-3, -0x1.8d78dfebdcaffp-3, -0x1.8634c31d04fb2p-3, -0x1.7f07056eb67bdp-3, -0x1.77efb7274a686p-3, -0x1.70eee58a322f4p-3, -0x1.6a049ae93b7ffp-3, -0x1.6330deb6004f9p-3, -0x1.5c73b593881fap-3, -0x1.55cd2168080d4p-3, -0x1.4f3d216eca769p-3, -0x1.48c3b24a23d1p-3, -0x1.4260ce157adap-3, -0x1.3c146c775b557p-3, -0x1.35de82b3870a8p-3, -0x1.2fbf03bd0f8b1p-3, -0x1.29b5e048591dfp-3, -0x1.23c306dd1b045p-3, -0x1.1de663e849c23p-3, -0x1.181fe1cded2bep-3, -0x1.126f68fad5e79p-3, -0x1.0cd4dff6388b5p-3, -0x1.07502b732126ap-3, -0x1.01e12e61c55e4p-3, -0x1.f90f94014a8d7p-4, -0x1.ee87bbdb0086bp-4, -0x1.e42a906c3bd54p-4, -0x1.d9f7cad1b471dp-4, -0x1.cfef214a06494p-4, -0x1.c6104755edbb7p-4, -0x1.bc5aedd818c9ap-4, -0x1.b2cec33476168p-4, -0x1.a96b736f0a837p-4, -0x1.a030a84a3f57dp-4, -0x1.971e0964a979ep-4, -0x1.8e333c5659344p-4, -0x1.856fe4cd887cp-4, -0x1.7cd3a4aacb6e8p-4, -0x1.745e1c1caf251p-4, -0x1.6c0ee9bac3877p-4, -0x1.63e5aaa0188e2p-4, -0x1.5be1fa8525fc7p-4, -0x1.540373d91ea02p-4, -0x1.4c49afdaaddb4p-4, -0x1.44b446b023de6p-4, -0x1.3d42cf7f0550ep-4, -0x1.35f4e0830bf28p-4, -0x1.2eca0f248a51ap-4, -0x1.27c1f00e40d47p-4, -0x1.20dc17429712p-4, -0x1.1a18183043db1p-4, -0x1.137585c66041bp-4, -0x1.0cf3f287e6536p-4, -0x1.0692f09e9d483p-4, -0x1.005211ed7624ep-4, -0x1.f461d044aba26p-5, -0x1.e85e098ea1ba5p-5, -0x1.dc97f2a6b56b6p-5, -0x1.d10eae74cc5acp-5, -0x1.c5c15ff9ff95ep-5, -0x1.baaf2a6eb0b9dp-5, -0x1.afd7315fa27bap-5, -0x1.a53898c9f4322p-5, -0x1.9ad2853625accp-5, -0x1.90a41bd20e3bfp-5, -0x1.86ac8289d6651p-5, -0x1.7ceae01ffc5adp-5, -0x1.735e5c4457f69p-5, -0x1.6a061faa334fcp-5, -0x1.60e1541d72505p-5, -0x1.57ef2496d0a8ap-5, -0x1.4f2ebd4f39a9p-5, -0x1.469f4bd24054ep-5, -0x1.3e3fff0fb7569p-5, -0x1.3610076c76e5ep-5, -0x1.2e0e96d24b5a8p-5, -0x1.263ae0bf120bbp-5, -0x1.1e941a53139e3p-5, -0x1.17197a5e929a5p-5, -0x1.0fca396e99328p-5, -0x1.08a591d90e525p-5, -0x1.01aabfc811418p-5, -0x1.f5b2028940db7p-6, -0x1.e85f2c811dc08p-6, -0x1.db5b813fba438p-6, -0x1.cea58882b2cbep-6, -0x1.c23bce0d5ab3p-6, -0x1.b61ce1b78e8cap-6, -0x1.aa47577b62677p-6, -0x1.9eb9c7819a6e5p-6, -0x1.9372ce2d11cdcp-6, -0x1.88710c24ffad6p-6, -0x1.7db3265e3e225p-6, -0x1.7337c62376f33p-6, -0x1.68fd991c5eff2p-6, -0x1.5f03515403cb9p-6, -0x1.5547a53e1e8f8p-6, -0x1.4bc94fbb81233p-6, -0x1.4287101db8faap-6, -0x1.397faa29c9345p-6, -0x1.30b1e61a194aap-6, -0x1.281c909fa72e4p-6, -0x1.1fbe7ae2723c6p-6, -0x1.17967a813377bp-6, -0x1.0fa3699059df5p-6, -0x1.07e426986d5e8p-6, -0x1.00579493c11bcp-6, -0x1.f1f935d71a2ap-7, -0x1.e3a44ae8eabb5p-7, -0x1.d5ae48d4f85cep-7, -0x1.c81518d8e0bbcp-7, -0x1.bad6aced9fa0dp-7, -0x1.adf0ffbc65f86p-7, -0x1.a16214928cda8p-7, -0x1.9527f7548b408p-7, -0x1.8940bc70189e4p-7, -0x1.7daa80cd944dep-7, -0x1.726369c09e189p-7, -0x1.6769a4f7e6e74p-7, -0x1.5cbb686c6f146p-7, -0x1.5256f2500827fp-7, -0x1.483a88fb486dep-7, -0x1.3e647adae3751p-7, -0x1.34d31e5c82e7ep-7, -0x1.2b84d1db0b0edp-7, -0x1.2277fb8a8780bp-7, -0x1.19ab09637fd44p-7, -0x1.111c710e080f1p-7, -0x1.08caafcc61c28p-7, -0x1.00b44a6538f3cp-7, -0x1.f1af9a1b4164fp-8, -0x1.e26796a5779dbp-8, -0x1.d38dc00658d6dp-8, -0x1.c51f5a307550cp-8, -0x1.b719b73d8f502p-8, -0x1.a97a37401949bp-8, -0x1.9c3e48147742p-8, -0x1.8f636531d21e1p-8, -0x1.82e7177ae11a7p-8, -0x1.76c6f50e3f023p-8, -0x1.6b00a116b85cep-8, -0x1.5f91cb9b75947p-8, -0x1.5478315011f8p-8, -0x1.49b19b64a4f32p-8, -0x1.3f3bdf55b8f9fp-8, -0x1.3514debc55086p-8, -0x1.2b3a871dff18fp-8, -0x1.21aad1bce49ap-8, -0x1.1863c3680efeep-8, -0x1.0f636c4bdf865p-8, -0x1.06a7e7c28097cp-8, -0x1.fc5eb8490b232p-9, -0x1.ebeff533f02bap-9, -0x1.dbfffdd6afa8ap-9, -0x1.cc8b5ea65ba5bp-9, -0x1.bd8eb89f3939ap-9, -0x1.af06c0e89aab5p-9, -0x1.a0f040798c222p-9, -0x1.934813bde2da6p-9, -0x1.860b2a3c1b84p-9, -0x1.7936863c2fc4p-9, -0x1.6cc73c6ec9b8ep-9, -0x1.60ba7395485a3p-9, -0x1.550d642acbddbp-9, -0x1.49bd580df1c0cp-9, -0x1.3ec7aa2b4b27bp-9, -0x1.3429c62928f32p-9, -0x1.29e12813c9396p-9, -0x1.1feb5c0a8062fp-9, -0x1.1645fdee27a9fp-9, -0x1.0ceeb91008935p-9, -0x1.03e347e20e59dp-9, -0x1.f642e74fc0d3bp-10, -0x1.e54e285213e71p-10, -0x1.d4e41ec79ca0ep-10, -0x1.c500b2827c96p-10, -0x1.b59fe6948a312p-10, -0x1.a6bdd8bb7ab2dp-10, -0x1.9856c0cef3b56p-10, -0x1.8a66f0313bba2p-10, -0x1.7cead140cd04ep-10, -0x1.6fdee6cd21c06p-10, -0x1.633fcb8cd9c92p-10, -0x1.570a319654b97p-10, -0x1.4b3ae1da2dd75p-10, -0x1.3fcebba0083cp-10, -0x1.34c2b4056f885p-10, -0x1.2a13d57e30a63p-10, -0x1.1fbf3f575bb53p-10, -0x1.15c2253c38bd2p-10, -0x1.0c19cebd436b8p-10, -0x1.02c396d907ccp-10, -0x1.f379d70f4b9fdp-11, -0x1.e2069a8f2679p-11, -0x1.d1289d590fc36p-11, -0x1.c0db27e1d4004p-11, -0x1.b119a5116ce74p-11, -0x1.a1dfa16d36babp-11, -0x1.9328ca46291b1p-11, -0x1.84f0eceb21899p-11, -0x1.7733f5de5c2a4p-11, -0x1.69edf00f12b32p-11, -0x1.5d1b04170a5c9p-11, -0x1.50b7777bc4b63p-11, -0x1.44bfabf37d09ap-11, -0x1.39301eadf4c47p-11, -0x1.2e0567a0e8a1cp-11, -0x1.233c38d7d7e21p-11, -0x1.18d15dc7332edp-11, -0x1.0ec1baa365c79p-11, -0x1.050a4bbbe2a22p-11, -0x1.f75049b0abb43p-12, -0x1.e530e1349962bp-12, -0x1.d3b0dfc4c1695p-12, -0x1.c2caf26f80c6p-12, -0x1.b279f067076a7p-12, -0x1.a2b8d9dde3bfbp-12, -0x1.9382d6eafa3bp-12, -0x1.84d33672b3d14p-12, -0x1.76a56d170f928p-12, -0x1.68f5142d947ap-12, -0x1.5bbde8bb55e1dp-12, -0x1.4efbca767a7e5p-12, -0x1.42aabacd9be52p-12, -0x1.36c6dbf4cb486p-12, -0x1.2b4c6ff937274p-12, -0x1.2037d7d90f42dp-12, -0x1.158592a125a5ep-12, -0x1.0b323c916d6e8p-12, -0x1.013a8e445ca16p-12, -0x1.ef36b7ba607f3p-13, -0x1.dca328734f24cp-13, -0x1.cab48054df759p-13, -0x1.b965035f6b508p-13, -0x1.a8af2674a6335p-13, -0x1.988d8de427b8fp-13, -0x1.88fb0c0209c1dp-13, -0x1.79f29fc4342c1p-13, -0x1.6b6f736ac7ba2p-13, -0x1.5d6cdb2e8e19ap-13, -0x1.4fe653fbe946fp-13, -0x1.42d78233400f5p-13, -0x1.363c30724f98dp-13, -0x1.2a104e65c9b63p-13, -0x1.1e4fefa475e04p-13, -0x1.12f74a8e4b19p-13, -0x1.0802b737e43c1p-13, -0x1.fadd5caeaac89p-14, -0x1.e66f907b7da65p-14, -0x1.d2b577ad209dcp-14, -0x1.bfa8bb586469ap-14, -0x1.ad433de8ad06ep-14, -0x1.9b7f194ab6461p-14, -0x1.8a569d1b2384ap-14, -0x1.79c44cea0bd5bp-14, -0x1.69c2de86bef7bp-14, -0x1.5a4d38569773cp-14, -0x1.4b5e6fbc3d14cp-14, -0x1.3cf1c7890b3ebp-14, -0x1.2f02ae76cf0efp-14, -0x1.218cbdaf9f08bp-14, -0x1.148bb762e5b7p-14, -0x1.07fb855e8a54ap-14, -0x1.f7b06f6e7856bp-15, -0x1.e03c06f455994p-15, -0x1.c99282caf59e1p-15, -0x1.b3acd960d3e87p-15, -0x1.9e8443af80b2fp-15, -0x1.8a123ae91f024p-15, -0x1.7650763d7925ap-15, -0x1.6338e8a8b595dp-15, -0x1.50c5bed957accp-15, -0x1.3ef15d1fdaf82p-15, -0x1.2db65d743eb77p-15, -0x1.1d0f8d891813dp-15, -0x1.0cf7ecf1bd74p-15, -0x1.fad556a0821a2p-16, -0x1.dcc64d2e27e68p-16, -0x1.bfb9d2b5dda3fp-16, -0x1.a3a752574ae75p-16, -0x1.88868a0492d25p-16, -0x1.6e4f876aecc7cp-16, -0x1.54faa4f7ccd02p-16, -0x1.3c8086fc91ea5p-16, -0x1.24da18ea5241ep-16, -0x1.0e008aa048e2ep-16, -0x1.efda9b9d5e6a5p-17, -0x1.c53426fb1edbcp-17, -0x1.9c01933508ad7p-17, -0x1.74373135ec505p-17, -0x1.4dc9c29305de5p-17, -0x1.28ae7503d678p-17, -0x1.04dade3ebea76p-17, -0x1.c489efbd8acdp-18, -0x1.81c636fa3d98dp-18, -0x1.4157fdb37af6p-18, -0x1.032d60669e53ep-18, -0x1.8e6a4b3ed3dfbp-19, -0x1.1abd6df311641p-19, -0x1.56686a61f50d8p-20, -0x1.fd7ecf2be6affp-22, 0x1.3f6a57706f9c1p-22, 0x1.177f978364576p-20, 0x1.d7c6640631a77p-20, 0x1.487208bff1a37p-19, 0x1.a185e76cc6cddp-19, 0x1.f7377bed142edp-19, 0x1.24cf4a081757cp-18, 0x1.4c69139f66747p-18, 0x1.72742fb5e0593p-18, 0x1.96fb50d65a07ap-18, 0x1.ba08cb4a21102p-18, 0x1.dba6991af0e33p-18, 0x1.fbde5df00444ep-18, 0x1.0d5cb557f982bp-17, 0x1.1c20608e8b2c8p-17, 0x1.2a3e8b9c57c75p-17, 0x1.37bb6d42ccfa7p-17, 0x1.449b198e7df8ap-17, 0x1.50e1836398e8dp-17, 0x1.5c927dee1be34p-17, 0x1.67b1bdfab37e6p-17, 0x1.7242db52d28f5p-17, 0x1.7c4951fcfceeap-17, 0x1.85c88378ca884p-17, 0x1.8ec3b7e046e2cp-17, 0x1.973e1f0aeb61dp-17, 0x1.9f3ad19e61f7p-17, 0x1.a6bcd214ddb0fp-17, 0x1.adc70dacda826p-17, 0x1.b45c5d637c7cdp-17, 0x1.ba7f86d48dce9p-17, 0x1.c0333d1050975p-17, 0x1.c57a216f37305p-17, 0x1.ca56c455ea85bp-17, 0x1.cecba5f5ad742p-17, 0x1.d2db36fa8a05fp-17, 0x1.d687d93930dep-17, 0x1.d9d3e05512677p-17, 0x1.dcc1925e01f8p-17, 0x1.df53285cda1c4p-17, 0x1.e18acee4b8dedp-17, 0x1.e36aa69dcfb45p-17, 0x1.e4f4c4bda55e9p-17, 0x1.e62b338239ae1p-17, 0x1.e70ff2a66da5ap-17, 0x1.e7a4f7cf949dbp-17, 0x1.e7ec2ef806b6dp-17, 0x1.e7e77ac6234b3p-17, 0x1.e798b4f385918p-17, 0x1.e701aea19fafep-17, 0x1.e62430b13d6fep-17, 0x1.e501fc07df3cfp-17, 0x1.e39cc9e545e25p-17, 0x1.e1f64c241186dp-17, 0x1.e0102d7c33973p-17, 0x1.ddec11bfae3e6p-17, 0x1.db8b96193af9ep-17, 0x1.d8f051479922bp-17, 0x1.d61bd3cbc5c8ap-17, 0x1.d30fa819bd838p-17, 0x1.cfcd52c9d877fp-17, 0x1.cc5652c4f59e9p-17, 0x1.c8ac216cf1c4p-17, 0x1.c4d032be9c901p-17, 0x1.c0c3f57e0944fp-17, 0x1.bc88d3517a561p-17, 0x1.b82030e36eeefp-17, 0x1.b38b6dfbd41b3p-17, 0x1.aecbe5a0211a7p-17, 0x1.a9e2ee2eda49dp-17, 0x1.a4d1d973aa0cep-17, 0x1.9f99f4bdca07bp-17, 0x1.9a3c88f45a009p-17, 0x1.94badaaa4095p-17, 0x1.8f162a31b123dp-17, 0x1.894fb3a9002ffp-17, 0x1.8368af0e0824fp-17, 0x1.7d62504aeddf4p-17, 0x1.773dc740e87acp-17, 0x1.70fc3fd6de8d7p-17, 0x1.6a9ee1ff81cdep-17, 0x1.6426d1cd31394p-17, 0x1.5d952f73f5cd5p-17, 0x1.56eb17561eb69p-17, 0x1.5029a2088443dp-17, 0x1.4951e45b25ba3p-17, 0x1.4264ef60729d5p-17, 0x1.3b63d075eeb57p-17, 0x1.344f91452b17cp-17, 0x1.2d2937ccabbe7p-17, 0x1.25f1c662ff4e2p-17, 0x1.1eaa3bbb2e6c8p-17, 0x1.175392e8d0275p-17, 0x1.0feec3630ed86p-17, 0x1.087cc10bf69ep-17, 0x1.00fe7c3041797p-17, 0x1.f2e9c317b152dp-18, 0x1.e3c1b49700cbcp-18, 0x1.d486981bc621cp-18, 0x1.c53a31d4cdd3fp-18, 0x1.b5de3ee405d48p-18, 0x1.a674756131491p-18, 0x1.96fe845e77e01p-18, 0x1.877e13eec0967p-18, 0x1.77f4c527be4bdp-18, 0x1.68643227b6f58p-18, 0x1.58cdee1a1d0a2p-18, 0x1.4933853ebbd27p-18, 0x1.39967cea1ee2ep-18, 0x1.29f8538d854d9p-18, 0x1.1a5a80b760bdfp-18, 0x1.0abe751812ec9p-18, 0x1.f64b351292689p-19, 0x1.d722a82f7b9a8p-19, 0x1.b805fc069bfc3p-19, 0x1.98f7db8520d2bp-19, 0x1.79fae418a10efp-19, 0x1.5b11a5b6e33ebp-19, 0x1.3c3ea2e850e75p-19, 0x1.1d8450db80792p-19, 0x1.fdca2eec3d0f7p-20, 0x1.c0c6a2b8237d9p-20, 0x1.840297fd135adp-20, 0x1.47828f5ddfebfp-20, 0x1.0b4aef49b25d2p-20, 0x1.9ec008516f8dbp-21, 0x1.278c01039ccf7p-21, 0x1.6203f4b97a24fp-22, 0x1.d94f95f1cad09p-24, -0x1.cfa252d32b18bp-24, -0x1.5ca2484063aa5p-22, -0x1.21e5340e11fdfp-21, -0x1.94a945aa1d68cp-21, -0x1.034b2b14d1fc6p-20, -0x1.3bd2c9f30c1ep-20, -0x1.73e82f267a849p-20, -0x1.ab8822b17e52ep-20, -0x1.e2af84b61df59p-20, -0x1.0cada6a822368p-19, -0x1.27c4462d64799p-19, -0x1.429a34a12acfcp-19, -0x1.5d2e115efd093p-19, -0x1.777e8759244edp-19, -0x1.918a4cfc27fcep-19, -0x1.ab5024110bb59p-19, -0x1.c4ced9a731f4ap-19, -0x1.de0545f3c5859p-19, -0x1.f6f24c3b69f0fp-19, -0x1.07ca6d53bc3f5p-18, -0x1.13f5f519fdf97p-18, -0x1.1ffb3f47c5ca3p-18, -0x1.2bd9d2ff7ac86p-18, -0x1.37913c9fff619p-18, -0x1.43210db431e97p-18, -0x1.4e88dce5555f6p-18, -0x1.59c845e86e5a9p-18, -0x1.64dee96dc6c4ep-18, -0x1.6fcc6d15f67e1p-18, -0x1.7a907b5dac2e7p-18, -0x1.852ac38f67614p-18, -0x1.8f9af9b328ecfp-18, -0x1.99e0d67e62c45p-18, -0x1.a3fc174332c58p-18, -0x1.adec7ddbbbb77p-18, -0x1.b7b1d0a01515fp-18, -0x1.c14bda5026bafp-18, -0x1.caba6a070001bp-18, -0x1.d3fd5328d17f4p-18, -0x1.dd146d50bc5bfp-18, -0x1.e5ff94414b572p-18, -0x1.eebea7d2cfa68p-18, -0x1.f7518bdfff12dp-18, -0x1.ffb828394ad1cp-18, -0x1.03f93448baed6p-17, -0x1.08001e3600866p-17, -0x1.0bf0cb86c083dp-17, -0x1.0fcb37b4f2237p-17, -0x1.138f600a191dfp-17, -0x1.173d43956040ap-17, -0x1.1ad4e324022dap-17, -0x1.1e5641395ccaep-17, -0x1.21c1620550751p-17, -0x1.25164b5caa9f8p-17, -0x1.285504b0c15bap-17, -0x1.2b7d97061c30cp-17, -0x1.2e900ced540aap-17, -0x1.318c727928a34p-17, -0x1.3472d53792bd4p-17, -0x1.374344287916ap-17, -0x1.39fdcfb6e02e9p-17, -0x1.3ca289aeed179p-17, -0x1.3f31853696464p-17, -0x1.41aad6c6927d9p-17, -0x1.440e941fab5fdp-17, -0x1.465cd44588ccdp-17, -0x1.4895af74aca3bp-17, -0x1.4ab93f1bc3403p-17, -0x1.4cc79dd342c19p-17, -0x1.4ec0e755dab5ep-17, -0x1.50a53878cf4ddp-17, -0x1.5274af2381707p-17, -0x1.542f6a495b706p-17, -0x1.55d589e0e1a64p-17, -0x1.57672edc3eca1p-17, -0x1.58e47b2339978p-17, -0x1.5a4d918a42d0cp-17, -0x1.5ba295cd109eep-17, -0x1.5ce3ac84a1f73p-17, -0x1.5e10fb235f181p-17, -0x1.5f2aa7eb56941p-17, -0x1.6030d9e834678p-17, -0x1.6123b8ea5c2b3p-17, -0x1.62036d7c8d5c4p-17, -0x1.62d020df63e13p-17, -0x1.6389fd02d4a02p-17, -0x1.64312c7e5d2d7p-17, -0x1.64c5da8b0668ap-17, -0x1.654832fd2921cp-17, -0x1.65b8623ed1454p-17, -0x1.661695484ca81p-17, -0x1.6662f999cff7fp-17, -0x1.669dbd36a3aa9p-17, -0x1.66c70e9e8af5ap-17, -0x1.66df1cc824191p-17, -0x1.66e61719b6941p-17, -0x1.66dc2d655f299p-17, -0x1.66c18fe22ec9cp-17, -0x1.66966f25c6dcdp-17, -0x1.665afc22de3d6p-17, -0x1.660f681f5d1dap-17, -0x1.65b3e4b01cf5ap-17, -0x1.6548a3b5a0524p-17, -0x1.64cdd754ff4ep-17, -0x1.6443b1f2bf78cp-17, -0x1.63aa662f14091p-17, -0x1.630226e09a61fp-17, -0x1.624b270fcd9fbp-17, -0x1.618599f17b0efp-17, -0x1.60b1b2e1e504cp-17, -0x1.5fcfa561a1973p-17, -0x1.5edfa510b7b18p-17, -0x1.5de1e5a989b81p-17, -0x1.5cd69afc8e41dp-17, -0x1.5bbdf8eca5e7ep-17, -0x1.5a98336a3295ep-17, -0x1.59657e7025d19p-17, -0x1.58260e00c12eep-17, -0x1.56da161f7938fp-17, -0x1.5581cacdd59b4p-17, -0x1.541d6008880e2p-17, -0x1.52ad09c33c1f5p-17, -0x1.5130fbe4a7d48p-17, -0x1.4fa96a43942e8p-17, -0x1.4e1688a3cbe0cp-17, -0x1.4c788ab2ec0efp-17, -0x1.4acfa4043f9ccp-17, -0x1.491c080d7cc09p-17, -0x1.475dea23960afp-17, -0x1.45957d7a5c4b2p-17, -0x1.43c2f51df663dp-17, -0x1.41e683f1ff9bfp-17, -0x1.40005cad891fap-17, -0x1.3e10b1d9112abp-17, -0x1.3c17b5cbcf486p-17, -0x1.3a159aaabb014p-17, -0x1.380a9263e3bc7p-17, -0x1.35f6ceac224fp-17, -0x1.33da80fd2b889p-17, -0x1.31b5da936f283p-17, -0x1.2f890c6b60814p-17, -0x1.2d54473fb289bp-17, -0x1.2b17bb87263b9p-17, -0x1.28d3997306c55p-17, -0x1.268810ecb49e2p-17, -0x1.243551938a886p-17, -0x1.21db8abaeb5dp-17, -0x1.1f7aeb67b57dbp-17, -0x1.1d13a2520530ep-17, -0x1.1aa5dddfbbd56p-17, -0x1.1831cc24310d4p-17, -0x1.15b79ade24257p-17, -0x1.1337777706ee2p-17, -0x1.10b18f00a6803p-17, -0x1.0e260e36dce13p-17, -0x1.0b95217a71ffbp-17, -0x1.08fef4d142c11p-17, -0x1.0663b3e487defp-17, -0x1.03c38a007f6ebp-17, -0x1.011ea2126aadbp-17, -0x1.fcea4d50d07e5p-18, -0x1.f78e83df68869p-18, -0x1.f22a3b68da37cp-18, -0x1.ecbdc6c186a48p-18, -0x1.e74977f6143ecp-18, -0x1.e1cda04b40702p-18, -0x1.dc4a903a633d6p-18, -0x1.d6c09771e4022p-18, -0x1.d13004d6f4bd4p-18, -0x1.cb99267e27c7ep-18, -0x1.c5fc49ac98227p-18, -0x1.c059bad6be8f5p-18, -0x1.bab1c59f80538p-18, -0x1.b504b4d7a4492p-18, -0x1.af52d280fbef6p-18, -0x1.a99c67c5a4279p-18, -0x1.a3e1bcfc1ef19p-18, -0x1.9e2319a47269ep-18, -0x1.9860c4696b084p-18, -0x1.929b031ed5a88p-18, -0x1.8cd21ac1e549dp-18, -0x1.87064f7873f5ap-18, -0x1.8137e49180214p-18, -0x1.7b671c84b9191p-18, -0x1.759438f1afc3dp-18, -0x1.6fbf7a9f79896p-18, -0x1.69e9217c81a15p-18, -0x1.64116c9dd37cep-18, -0x1.5e389a44c44a1p-18, -0x1.585ee7d8d82a5p-18, -0x1.528491e8d80d6p-18, -0x1.4ca9d42c35a8p-18, -0x1.46cee983271fcp-18, -0x1.40f40bf4f33cdp-18, -0x1.3b1974b7930a6p-18, -0x1.353f5c29a4e35p-18, -0x1.2f65f9d2b30fep-18, -0x1.298d8465bb239p-18, -0x1.23b631c0de25bp-18, -0x1.1de036ee986f4p-18, -0x1.180bc826a10bbp-18, -0x1.123918cdb0a72p-18, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      48, 0x1.4p+2, 0x1.06c536c228acfp+1, 0x1.0a0474b095d1bp+2, -0x1.576d408a7b312p-4, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.c8f6ba5a285a1p-3, -0x1.42a6dd4f9faffp-1, 0x1.4b2f55ebb41a9p-1, -0x1.003d572013538p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.8bae63997225cp-3, -0x1.227e855d9d1c1p-1, 0x1.37f788fc7f746p-1, -0x1.003443c7af58bp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.54a352ba287fep-3, -0x1.04421f99e9a94p-1, 0x1.24c06a4d8580dp-1, -0x1.002c222877058p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.237325c80b74fp-3, -0x1.cfe336ff8131ep-2, 0x1.1189e7bdafc6ep-1, -0x1.002542e5a637cp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ef76fbd21353p-4, -0x1.9b19d54fc50c2p-2, 0x1.fca7d23f536bfp-2, -0x1.00186877ff134p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.a233feba80b73p-4, -0x1.6a27f4453793bp-2, 0x1.d63dc293b9f5ap-2, -0x1.00223859535c3p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.5e58a2fdf6c78p-4, -0x1.3d0d8e0908ceap-2, 0x1.afd23a1fed74bp-2, -0x1.ffaeb453198aep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.23203d856a649p-4, -0x1.13ca25b2f4095p-2, 0x1.8971ec99b1f07p-2, -0x1.00c889ef36437p-2}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.df8c52dc5b49p-5, -0x1.dcbdf52fe02dfp-3, 0x1.62ed71829d002p-2, -0x1.f2f7d6a4474fcp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.870c7e39eb692p-5, -0x1.997fb01843e01p-3, 0x1.3d8141697e0d8p-2, -0x1.d3e30aff3bc75p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.3b43e41e377e5p-5, -0x1.5d81c7932931p-3, 0x1.1a69d3c98cc4bp-2, -0x1.b746303557a46p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f595baaf77415p-6, -0x1.28519edbe4189p-3, 0x1.f2ef86be4c645p-3, -0x1.9a00972d90297p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.88a0455d92e6ep-6, -0x1.f3002509721d2p-4, 0x1.b56f7011105ddp-3, -0x1.7ce606422d208p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2d3199cb1054cp-6, -0x1.a13a1b847732ep-4, 0x1.7c4cef20bccc3p-3, -0x1.5fc813231dc5ep-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c20152dfd2139p-7, -0x1.5a718fd1a5163p-4, 0x1.478885db78553p-3, -0x1.428ca0b6596cp-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.43e24b6f83441p-7, -0x1.1dc6725690eb9p-4, 0x1.1726a0f351518p-3, -0x1.25ca8db41a0a5p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b84e0007a756p-8, -0x1.d4b4288c16934p-5, 0x1.d62a1763ce06ep-4, -0x1.05d89777abba7p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.0e95170d7ff7fp-8, -0x1.7e86b7c5f5148p-5, 0x1.879c505980e8p-4, -0x1.c56bf26435d07p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.08a8afe7bece5p-9, -0x1.370164f070965p-5, 0x1.4398ebfdac09p-4, -0x1.801e11879f77dp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.41a5ac6053862p-12, -0x1.f8187120c26cep-6, 0x1.09facfc2edb74p-4, -0x1.3a8448479ebc1p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.1ad2ef8341223p-10, -0x1.97239b12606b6p-6, 0x1.b59abd09f89bfp-5, -0x1.ea4589cd78c8ep-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.1fbe75aac82e9p-9, -0x1.46f8e6b0e78ccp-6, 0x1.6c104ec4c017bp-5, -0x1.5e5824d993937p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.94abc8b8f4f7cp-9, -0x1.036a2968fa624p-6, 0x1.3783160a838ep-5, -0x1.ad4759dfec85bp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.f067dc55b20bdp-9, -0x1.90a9eb5a11c69p-7, 0x1.1750ef4ceb6a9p-5, -0x1.f9aef87ac03eap-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.1abf016546906p-8, -0x1.22d566cdae924p-7, 0x1.0dd5a771049cap-5, -0x1.0bac29b542492p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.3273134613264p-8, -0x1.6ecda5400774fp-8, 0x1.0b533d7351971p-5, -0x1.2cccfc4d8c9adp-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.3f84b439eeeaep-8, -0x1.3ae90e77f46efp-9, 0x1.000b8d96cf849p-5, -0x1.d7bebc5829cb8p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.42635efcc1043p-8, 0x1.42701af9825cep-11, 0x1.dcb599da358p-6, -0x1.49ddfd3a3568ep-6}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.3bc5513f2f806p-8, 0x1.ba2f59082c056p-9, 0x1.ab3ab3de4717p-6, -0x1.a53db90fdd27dp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.2ca78ba69f564p-8, 0x1.7b58d2c05c73p-8, 0x1.6c0b0b4f191ep-6, -0x1.0149a15f4a9f9p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.164dd1cd3465p-8, 0x1.fd86e73152a83p-8, 0x1.1edb5ae5b5ee8p-6, -0x1.2d583c20c3ff8p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.f4855483a2e7ap-9, 0x1.2f18320d4cf51p-7, 0x1.88e82b515ca75p-7, -0x1.62dc984d3b247p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.b4aebd103066ep-9, 0x1.4bbd464b709b9p-7, 0x1.67fad312d8bdfp-8, -0x1.595e2e51d7f52p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.7139bce3bb059p-9, 0x1.5360972386e2dp-7, -0x1.b3b18a7aecce8p-11, -0x1.10de0746d603ep-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.2e2b09ee50d03p-9, 0x1.4877dc228db4bp-7, -0x1.7de706d7919d3p-8, -0x1.a3a10cbc712bfp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.dd9b7438c43a8p-10, 0x1.2f14220077edcp-7, -0x1.3cd7073deac1bp-7, -0x1.20647ed3a715ap-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6b4a14135429p-10, 0x1.0b119a41578b4p-7, -0x1.935b93b09ce31p-7, -0x1.3d91aa08a3207p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.08d8ba025d678p-10, 0x1.c0b3d3245a10bp-8, -0x1.c2fe39feb55afp-7, -0x1.bcb26e6b93ac6p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.705cf3f50321cp-11, 0x1.65ab86603f995p-8, -0x1.cb54c5aa53531p-7, 0x1.8d2d685d2517ep-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.e68ad53bdf9cap-12, 0x1.0cc859dd9a17ep-8, -0x1.ad8af77023bep-7, 0x1.e139168abefdep-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.2ff46ac635487p-12, 0x1.7c2f4edf4f761p-9, -0x1.655c00db53e51p-7, 0x1.1f1c79d8671f8p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.64586bad9f348p-13, 0x1.fcef787b0c023p-10, -0x1.0f39dc4d9b5a5p-7, 0x1.dda07bcbf5619p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.80b15722db6d6p-14, 0x1.409cbb2f9954bp-10, -0x1.8f29f9de06b18p-8, 0x1.995ed3c5987e6p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.7309dc56f40ap-15, 0x1.73048a735e54ap-11, -0x1.145a53ef8c25bp-8, 0x1.4dbee35b8cdddp-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, -0x1.2ff46ac63549fp-16, 0x1.7bf84a4a3bad8p-12, -0x1.607552a82a2d6p-9, 0x1.034144a1c04aap-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, -0x1.80b15722db778p-18, 0x1.4072e9979a6a9p-13, -0x1.89cf8627d4029p-10, 0x1.77314f154c442p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, -0x1.2ff46ac6354bfp-20, 0x1.7dc94f3b16a7ap-15, -0x1.5163e09c7fac6p-11, 0x1.9de6c8e20cc93p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, -0x1.2ff46ac636001p-24, 0x1.45142dbb79e54p-18, -0x1.64326d20466cp-13, 0x1.15011dc413455p-8}, 
      }}, 
      -0x1.04b1da425c20cp-4, 0x1.91d729980bc34p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.5ef7c0573fc57p+1, -0x1.5b2f7ca31e793p+1, -0x1.5606098808162p+1, -0x1.4f97196257748p+1, -0x1.480114b40ff8cp+1, -0x1.3f63c193f348fp+1, -0x1.35df439564297p+1, -0x1.2b935d98c2b69p+1, -0x1.209ee58ee3124p+1, -0x1.151f5ebf96f6bp+1, -0x1.0930b22451b92p+1, -0x1.f9d9fc7aa8e6fp+0, -0x1.e0d8f33a5addcp+0, -0x1.c78ac7d86ea94p+0, -0x1.ae18051ec64dfp+0, -0x1.94a54c6c686d2p+0, -0x1.7b536edf79aa4p+0, -0x1.623f91234c69dp+0, -0x1.4983572cbc33bp+0, -0x1.313515c6369fap+0, -0x1.196807e154c36p+0, -0x1.022c8645c44d5p+0, -0x1.d72080a180925p-1, -0x1.ab3ce98ba7145p-1, -0x1.80c0523b9306fp-1, -0x1.57b8be3b8fccap-1, -0x1.303092b86dc21p-1, -0x1.0a2efa60bd1abp-1, -0x1.cb707c456e191p-2, -0x1.859c351eeec47p-2, -0x1.42e02c162c26dp-2, -0x1.03378f3580927p-2, -0x1.8d345a52317c7p-3, -0x1.19f9f3b634509p-3, -0x1.5949e079af75cp-4, -0x1.1458edb2ef28ap-5, 0x1.cd4a578af176fp-7, 0x1.e503f24a3620dp-5, 0x1.a0acb222b96b6p-4, 0x1.223e19fb49cafp-3, 0x1.6f23045b7af98p-3, 0x1.b730e66e937a8p-3, 0x1.fa944813b2477p-3, 0x1.1cbd10a589749p-2, 0x1.3a07cc33866ebp-2, 0x1.5540e3ce65bbp-2, 0x1.6e7ec3ae8ad39p-2, 0x1.85d79fb1ed137p-2, 0x1.9b615eba44dc7p-2, 0x1.af3187b20194dp-2, 0x1.c15d31fe6e9f3p-2, 0x1.d1f8f927b2832p-2, 0x1.e118efdaac889p-2, 0x1.eed09855f1e18p-2, 0x1.fb32dce1ffab4p-2, 0x1.0329049c0e612p-1, 0x1.081fe47edcc62p-1, 0x1.0c86917e6c7d9p-1, 0x1.10653be0d8956p-1, 0x1.13c3c156d6fe6p-1, 0x1.16a9ac60fd19fp-1, 0x1.191e35d9bbe8bp-1, 0x1.1b2844e4c472bp-1, 0x1.1cce712bbbf58p-1, 0x1.1e1703f28740fp-1, 0x1.1f07f9ffb0cdp-1, 0x1.1fa7056f3fb3ep-1, 0x1.1ff9903c2c259p-1, 0x1.2004bda73c70bp-1, 0x1.1fcd6d2f4fad9p-1, 0x1.1f583cdc471b8p-1, 0x1.1ea98b110dbc6p-1, 0x1.1dc579f397c22p-1, 0x1.1caff0ec0b169p-1, 0x1.1b6c9f9a4e14p-1, 0x1.19ff0036a9fe3p-1, 0x1.186a59bc63a5dp-1, 0x1.16b1c201bd941p-1, 0x1.14d8210baa84ap-1, 0x1.12e03219fdfb6p-1, 0x1.10cc8678030c8p-1, 0x1.0e9f8790a8737p-1, 0x1.0c5b7880201fep-1, 0x1.0a0278dabb292p-1, 0x1.079685c144574p-1, 0x1.05197c37e918bp-1, 0x1.028d1b11516d6p-1, 0x1.ffe6076407f7fp-2, 0x1.fa9979a367d23p-2, 0x1.f5376676c84efp-2, 0x1.efc277dbdbf11p-2, 0x1.ea3d2945e2c2ap-2, 0x1.e4a9cba8733a9p-2, 0x1.df0a87f578f8ap-2, 0x1.d961611edca5p-2, 0x1.d3b0360de86b4p-2, 0x1.cdf8c4ba16e58p-2, 0x1.c83cab8105c31p-2, 0x1.c27d6b789b61ep-2, 0x1.bcbc6a187564ap-2, 0x1.b6faf2c6552e6p-2, 0x1.b13a3940692e6p-2, 0x1.ab7b5a4944p-2, 0x1.a5bf5dba2d84bp-2, 0x1.a00737676b401p-2, 0x1.9a53c8e777d2dp-2, 0x1.94a5e254e2eedp-2, 0x1.8efe4449a8eecp-2, 0x1.895d9f8fc0826p-2, 0x1.83c4976607fc7p-2, 0x1.7e33c1fa90d11p-2, 0x1.78aba91ddfec5p-2, 0x1.732ccb7e47cc3p-2, 0x1.6db79d191431cp-2, 0x1.684c87f7b1805p-2, 0x1.62ebed2900b56p-2, 0x1.5d9625116b959p-2, 0x1.584b801aa2ee4p-2, 0x1.530c4768ae799p-2, 0x1.4dd8bcfc1f9f4p-2, 0x1.48b11c8fdedf8p-2, 0x1.43959bd172819p-2, 0x1.3e866aecc1203p-2, 0x1.3983b4c44c77bp-2, 0x1.348d9f6202ee3p-2, 0x1.2fa44c511aaep-2, 0x1.2ac7d8fdad371p-2, 0x1.25f85ed2ddf16p-2, 0x1.2135f39c1aa33p-2, 0x1.1c80a9b689801p-2, 0x1.17d8905ed93b8p-2, 0x1.133db3c7e6facp-2, 0x1.0eb01da2a5f51p-2, 0x1.0a2fd4a93d57ep-2, 0x1.05bcdd7d22a94p-2, 0x1.01573a58dc32bp-2, 0x1.f9fdd6f40e371p-3, 0x1.f167de4e85138p-3, 0x1.e8ec83a10b455p-3, 0x1.e08bbc2f1c351p-3, 0x1.d8457a7825537p-3, 0x1.d019adc14495ap-3, 0x1.c808428aafd46p-3, 0x1.c01122b49aebap-3, 0x1.b83436475c175p-3, 0x1.b07161f330c2dp-3, 0x1.a8c8891119c72p-3, 0x1.a1398ce4e3945p-3, 0x1.99c44cb14edc4p-3, 0x1.9268a614d7c8bp-3, 0x1.8b267509f7f39p-3, 0x1.83fd940a25392p-3, 0x1.7ceddc12655bep-3, 0x1.75f724f612ecdp-3, 0x1.6f19452e36074p-3, 0x1.68541212b8edfp-3, 0x1.61a75fce73014p-3, 0x1.5b13018cb69abp-3, 0x1.5496c9de5591p-3, 0x1.4e328a0311d11p-3, 0x1.47e612a13bbp-3, 0x1.41b13393b0f73p-3, 0x1.3b93bbf4d9009p-3, 0x1.358d7a48ea8bdp-3, 0x1.2f9e3c5f8ea3p-3, 0x1.29c5cf8f2ea8fp-3, 0x1.2404008ad7db8p-3, 0x1.1e589bb3d3688p-3, 0x1.18c36cd9ec50ap-3, 0x1.13443f7153323p-3, 0x1.0ddade77a3983p-3, 0x1.088714bddc348p-3, 0x1.0348ac9d6a33p-3, 0x1.fc3ee0848b08ap-4, 0x1.f2165330912d5p-4, 0x1.e81744998826ep-4, 0x1.de41478934f3fp-4, 0x1.d493eeda03297p-4, 0x1.cb0eccdb6af5ep-4, 0x1.c1b173a315fbap-4, 0x1.b87b75118d587p-4, 0x1.af6c631a3737dp-4, 0x1.a683cf522f888p-4, 0x1.9dc14b6071f36p-4, 0x1.952468ee303f3p-4, 0x1.8cacb9912cc69p-4, 0x1.8459cf07c793dp-4, 0x1.7c2b3b1662f3dp-4, 0x1.74208fa81ba13p-4, 0x1.6c395ed5da4c7p-4, 0x1.64753ad969dcap-4, 0x1.5cd3b64e19f0ep-4, 0x1.555463db4b587p-4, 0x1.4df6d69b1badap-4, 0x1.46baa1ffd56dbp-4, 0x1.3f9f59a8f0e43p-4, 0x1.38a491aa5067cp-4, 0x1.31c9de826f7bdp-4, 0x1.2b0ed515f17acp-4, 0x1.24730adb2143bp-4, 0x1.1df615925aeb6p-4, 0x1.17978b83f9d06p-4, 0x1.115703902647bp-4, 0x1.0b341514d4e7fp-4, 0x1.052e580119fc7p-4, 0x1.fe8ac9ab00da3p-5, 0x1.f2f1a971c55efp-5, 0x1.e79082c7d22f1p-5, 0x1.dc668a3910a55p-5, 0x1.d172f61d7776bp-5, 0x1.c6b4fd5583637p-5, 0x1.bc2bd90382f4ep-5, 0x1.b1d6c32f61d3dp-5, 0x1.a7b4f760ef3dcp-5, 0x1.9dc5b28305dffp-5, 0x1.940833388f228p-5, 0x1.8a7bb969548bp-5, 0x1.811f869f0fc74p-5, 0x1.77f2ddfa0ad16p-5, 0x1.6ef5041f0e999p-5, 0x1.66253f2ddd192p-5, 0x1.5d82d73eb7e9ep-5, 0x1.550d15d0d514p-5, 0x1.4cc345e15bfe8p-5, 0x1.44a4b4581a296p-5, 0x1.3cb0afd30535cp-5, 0x1.34e6887b5c8acp-5, 0x1.2d45903ef0c56p-5, 0x1.25cd1acb928bcp-5, 0x1.1e7c7d938d356p-5, 0x1.17530fb28836ep-5, 0x1.10502a10c24b3p-5, 0x1.0973275a5e48p-5, 0x1.02bb63fe7d5ccp-5, 0x1.f8507cc07be5dp-6, 0x1.eb722d0ef4858p-6, 0x1.deda9c759487p-6, 0x1.d288920263f28p-6, 0x1.c67ad871927ffp-6, 0x1.bab03e1450d92p-6, 0x1.af2794dd2e7dcp-6, 0x1.a3dfb36bf7666p-6, 0x1.98d772e3588e9p-6, 0x1.8e0db07921fefp-6, 0x1.83814c3baf2e7p-6, 0x1.793129c429d7bp-6, 0x1.6f1c304f683bdp-6, 0x1.65414b2a36e6bp-6, 0x1.5b9f69df0ac89p-6, 0x1.52358029228bep-6, 0x1.490284800e1ecp-6, 0x1.40057004264bdp-6, 0x1.373d3fadfd7ccp-6, 0x1.2ea8f2b7f080ep-6, 0x1.26478cc493bd3p-6, 0x1.1e18158f08e75p-6, 0x1.161999e042f0fp-6, 0x1.0e4b29e57fb25p-6, 0x1.06abd8db8d73cp-6, 0x1.fe7577e868af3p-7, 0x1.efedd55477ee4p-7, 0x1.e1beff7af16b2p-7, 0x1.d3e733f59818dp-7, 0x1.c664ba7fecfa5p-7, 0x1.b935e39c5d7bep-7, 0x1.ac59079d8005p-7, 0x1.9fcc827a05fe4p-7, 0x1.938eb2f6a031fp-7, 0x1.879dfbb4eba3cp-7, 0x1.7bf8c5cb82993p-7, 0x1.709d837d6ab59p-7, 0x1.658ab24b06248p-7, 0x1.5abed912837ap-7, 0x1.503884ff2aa25p-7, 0x1.45f6450c59c39p-7, 0x1.3bf6a7c9ff87fp-7, 0x1.32383cf8d9602p-7, 0x1.28b99a179ca7dp-7, 0x1.1f795ffa08af6p-7, 0x1.16763f5d3fbd3p-7, 0x1.0daef5540e4edp-7, 0x1.0522483f3f5e2p-7, 0x1.f99df946ec66ap-8, 0x1.e967a3c52df45p-8, 0x1.d99efe41c0a04p-8, 0x1.ca4174e0921ecp-8, 0x1.bb4c82749282bp-8, 0x1.acbdcc65b311bp-8, 0x1.9e93298e18e07p-8, 0x1.90ca9180b6512p-8, 0x1.836214f39aee6p-8, 0x1.7657b7142f878p-8, 0x1.69a95908334a1p-8, 0x1.5d54b463bb9cdp-8, 0x1.51576cb6c52bbp-8, 0x1.45af3064c888dp-8, 0x1.3a59dc11afa24p-8, 0x1.2f5590f1103c7p-8, 0x1.24a0b3c27b7f6p-8, 0x1.1a39d3377dc22p-8, 0x1.101f7edd8d2b5p-8, 0x1.06501ede723b8p-8, 0x1.f993b92b3346bp-9, 0x1.e71550f3ea9cep-9, 0x1.d520b13cbbc41p-9, 0x1.c3b1af1d87773p-9, 0x1.b2c49db6f5fd9p-9, 0x1.a25678c0682c3p-9, 0x1.9264d913a555dp-9, 0x1.82edb640d8db1p-9, 0x1.73ef09f7508ebp-9, 0x1.656675f90673bp-9, 0x1.5751105ba434cp-9, 0x1.49ab69d826f9cp-9, 0x1.3c71cb2c6c12bp-9, 0x1.2fa089ada68a9p-9, 0x1.2334644f08ee9p-9, 0x1.172a93858c524p-9, 0x1.0b80efdef3a49p-9, 0x1.0035c31ef74a4p-9, 0x1.ea8f16590dc5dp-10, 0x1.d569531d3edb8p-10, 0x1.c0f645e94b08ep-10, 0x1.ad31265042d79p-10, 0x1.9a147da21bd61p-10, 0x1.879aa5922797bp-10, 0x1.75be1614144cep-10, 0x1.64799e774b9b7p-10, 0x1.53c8a228a042ep-10, 0x1.43a7493ffe69cp-10, 0x1.34127fffbce97p-10, 0x1.2507b83c5cdffp-10, 0x1.16842ea1ea4c4p-10, 0x1.0884d457b1a78p-10, 0x1.f60c7d9d37e48p-11, 0x1.dc09cd9baa673p-11, 0x1.c2fa5d7dc72fep-11, 0x1.aad65c4ebea2p-11, 0x1.93953caaf3b6fp-11, 0x1.7d2e6e7583a8fp-11, 0x1.679ab8cd791a5p-11, 0x1.52d49599daa8p-11, 0x1.3ed7bd238cf12p-11, 0x1.2b9fc342c85e3p-11, 0x1.19279db35e4f4p-11, 0x1.076a293908df5p-11, 0x1.ecc5ab44739d3p-12, 0x1.cc1aabba08f09p-12, 0x1.acc9862b6ee88p-12, 0x1.8ec4476d152adp-12, 0x1.71fb8f06945b2p-12, 0x1.5661cb4c4572ap-12, 0x1.3bede2e32e60ep-12, 0x1.229a526af05f2p-12, 0x1.0a621d3a5f275p-12, 0x1.e67d7680de074p-13, 0x1.ba50da5a57118p-13, 0x1.902f34a9b3e2bp-13, 0x1.680a8a284fd5fp-13, 0x1.41d38d808f467p-13, 0x1.1d74f4bc87a48p-13, 0x1.f5ab66c9fb14ep-14, 0x1.b3b917cc5f49ap-14, 0x1.74ef16b88b279p-14, 0x1.393a1960c431fp-14, 0x1.008fa24011fcfp-14, 0x1.95c96330144b5p-15, 0x1.30595baa982d2p-15, 0x1.a16de84ced8fp-16, 0x1.db1f008a4df1cp-17, 0x1.132516366b653p-18, -0x1.6595a1c1b5e6ep-18, -0x1.db640d17bfb61p-17, -0x1.78e699d9d202fp-16, -0x1.fbb1d4af3afb9p-16, -0x1.3b3ae7e90d72cp-15, -0x1.74aef8efa3855p-15, -0x1.aa3f2e058871dp-15, -0x1.dbfb5e399bb1ap-15, -0x1.04fc5f72716dbp-14, -0x1.1a22fa76f1078p-14, -0x1.2d72d5a60bfe2p-14, -0x1.3eecbb5abc6e5p-14, -0x1.4e9d9e9ffa827p-14, -0x1.5ca042faf7eddp-14, -0x1.691933bead75ep-14, -0x1.742ec713b3bd8p-14, -0x1.7e0306b85b235p-14, -0x1.86ade0aae05a3p-14, -0x1.8e3963a1c24b8p-14, -0x1.94a4cc4eb89eep-14, -0x1.99ee3f2db33a5p-14, -0x1.9e1d550203c3bp-14, -0x1.a13d8524dd4d9p-14, -0x1.a3533c5b3b8e5p-14, -0x1.a45fb5078e968p-14, -0x1.a46b3b0bb3facp-14, -0x1.a384c953864bbp-14, -0x1.a1b8f56d92c96p-14, -0x1.9f175db6e35b2p-14, -0x1.9baf991d999fbp-14, -0x1.9797198cc8fdfp-14, -0x1.92e4dd48cb0d4p-14, -0x1.8da3b3cae3214p-14, -0x1.87d0f76d935ep-14, -0x1.816c36ae1ebap-14, -0x1.7a7c17364ba17p-14, -0x1.73049905efc5fp-14, -0x1.6b0ad332c6146p-14, -0x1.6297c71b40353p-14, -0x1.59b5411a50e66p-14, -0x1.50695634896c5p-14, -0x1.46b7f7ba2f968p-14, -0x1.3ca6773d05953p-14, -0x1.323bde50ccc08p-14, -0x1.2782af44561a7p-14, -0x1.1c86f480731a2p-14, -0x1.114c69ebe4026p-14, -0x1.05d3d501cfbbfp-14, -0x1.f44c02a51200ap-15, -0x1.dc96454332c83p-15, -0x1.c48599d0d5319p-15, -0x1.ac1ce7707d69ep-15, -0x1.9369c6e3d5caep-15, -0x1.7a7a52b71fa9fp-15, -0x1.61564ef6a93b8p-15, -0x1.4800b9e09f8c7p-15, -0x1.2e7dfd12b0adap-15, -0x1.14d68153411a9p-15, -0x1.f627647b14b67p-16, -0x1.c28087c78850ep-16, -0x1.8ec86b2fa53cbp-16, -0x1.5afec26e19a92p-16, -0x1.272c4fad00953p-16, -0x1.e6c4740d3c0bfp-17, -0x1.7f516d96762a8p-17, -0x1.18248be26aa9cp-17, -0x1.629139ce845cap-18, -0x1.2b7f01219b0fbp-19, 0x1.b0dc1f9125c51p-21, 0x1.00ebd2c7306b4p-18, 0x1.ca8144eec1d8ep-18, 0x1.495dad36fdfbcp-17, 0x1.acb5d32e52796p-17, 0x1.079f159ce2edp-16, 0x1.3877d007839a3p-16, 0x1.68e5e2ddfac88p-16, 0x1.98dee2431542bp-16, 0x1.c85ce008adb7ap-16, 0x1.f75c39c44a65ep-16, 0x1.12e8f49b5eee1p-15, 0x1.29dc9a9498003p-15, 0x1.4086ad54359cep-15, 0x1.56e2f45a90c6ap-15, 0x1.6cf317169a5a7p-15, 0x1.82b8f5a3c5a0dp-15, 0x1.98316b002f732p-15, 0x1.ad56ee4123822p-15, 0x1.c229d1c3f2a8cp-15, 0x1.d6a7a75f97e9bp-15, 0x1.eac965f91751p-15, 0x1.fe8cf9d1fed1fp-15, 0x1.08feb1dcea843p-14, 0x1.128c264a89c53p-14, 0x1.1befe8ffb96e7p-14, 0x1.2525b0ba7fc3ep-14, 0x1.2e2c029d3e918p-14, 0x1.3705d32b9686fp-14, 0x1.3fb359707a6c4p-14, 0x1.4832ae1ebeedap-14, 0x1.50825ccba818bp-14, 0x1.58a0a42ae78d8p-14, 0x1.608d9cfcc7992p-14, 0x1.684d430faee7dp-14, 0x1.6fe11d10dfe6ap-14, 0x1.77462366aa842p-14, 0x1.7e7e12a31977bp-14, 0x1.858450590a4f5p-14, 0x1.8c5569f9d29cfp-14, 0x1.92fa12f782ef7p-14, 0x1.997532f41182bp-14, 0x1.9fc1d54740912p-14, 0x1.a5de1af9f742dp-14, 0x1.abcdde3961bp-14, 0x1.b191403980a7dp-14, 0x1.b727c93f7688dp-14, 0x1.bc915f1f5d06p-14, 0x1.c1ce3b35bf007p-14, 0x1.c6debbd4443c7p-14, 0x1.cbc2089c5f2e6p-14, 0x1.d079a82629555p-14, 0x1.d5041d0f2298cp-14, 0x1.d961014f6a0c9p-14, 0x1.dd95354257421p-14, 0x1.e19fa222bfd4cp-14, 0x1.e57c7c4e8bfep-14, 0x1.e932323e972c7p-14, 0x1.ecbfcb482b3d8p-14, 0x1.f02199cdc064cp-14, 0x1.f35aa86230aacp-14, 0x1.f66e9b8c1187fp-14, 0x1.f95bc86bf4f5fp-14, 0x1.fc22288a2f2e7p-14, 0x1.fec15178e179bp-14, 0x1.009dd82752ae4p-13, 0x1.01c7a6e53fa1ap-13, 0x1.02deebc79a116p-13, 0x1.03e40733aabc6p-13, 0x1.04d72c4825df8p-13, 0x1.05b8ea6af815cp-13, 0x1.06895ea7583abp-13, 0x1.0748baf9adf19p-13, 0x1.07f643eb6a558p-13, 0x1.088fbc43bd97ap-13, 0x1.091a142338902p-13, 0x1.0997dc41e70cfp-13, 0x1.0a02fc8c80e9bp-13, 0x1.0a5d7066ce792p-13, 0x1.0aa92d7f9d9dep-13, 0x1.0ae6503d0750ep-13, 0x1.0b14a73f230dcp-13, 0x1.0b345d99ddcf9p-13, 0x1.0b4589983d07cp-13, 0x1.0b4866d93e735p-13, 0x1.0b3d949c8057ep-13, 0x1.0b24701536ce3p-13, 0x1.0afe21781f24ep-13, 0x1.0acac918b28bep-13, 0x1.0a8a9efc6c189p-13, 0x1.0a3dc6e4fefa8p-13, 0x1.09e47a1d2cef3p-13, 0x1.097f6ce122574p-13, 0x1.090db7b0129fap-13, 0x1.089120f4eb0cbp-13, 0x1.0808615a773e7p-13, 0x1.07732f4997895p-13, 0x1.06d48bad86076p-13, 0x1.062bcaa5dc2c8p-13, 0x1.05773e5011447p-13, 0x1.04b8eff0599cbp-13, 0x1.03f0f13694c7ap-13, 0x1.031f44d2bed79p-13, 0x1.02440f87fe768p-13, 0x1.015f83a843c82p-13, 0x1.0071e8bb8e692p-13, 0x1.fef6f2f32dbbbp-14, 0x1.fcf8c21d46398p-14, 0x1.fae9c63ab05f2p-14, 0x1.f8cab4a4813f9p-14, 0x1.f69b9051b8283p-14, 0x1.f45cd9623071ep-14, 0x1.f20f8c7c9ef4p-14, 0x1.efb2da5bb5894p-14, 0x1.ed48d7b38dc9fp-14, 0x1.eacff1cf9f6b4p-14, 0x1.e84a6312e3515p-14, 0x1.e5b80b0d1ce98p-14, 0x1.e318614f576b4p-14, 0x1.e06c1c2d27917p-14, 0x1.ddb6321a26c4cp-14, 0x1.daf1c4cb0ee77p-14, 0x1.d823902955b5p-14, 0x1.d54ad8eb59936p-14, 0x1.d267d9eefe09ap-14, 0x1.cf7ad67b57cbap-14, 0x1.cc841c90be462p-14, 0x1.c98415b8aadb7p-14, 0x1.c67b286d423f6p-14, 0x1.c3699bb358514p-14, 0x1.c04fcf1a994dep-14, 0x1.bd2dfada1aa43p-14, 0x1.ba048b46e8547p-14, 0x1.b6d411e7e5aefp-14, 0x1.b39c4f72f380ap-14, 0x1.b05dd2771a05ep-14, 0x1.ad18f48fde9e2p-14, 0x1.a9ce18322d986p-14, 0x1.a67d89ffa4d11p-14, 0x1.a32769fa3a4f8p-14, 0x1.9fcc33b4ccf32p-14, 0x1.9c6c281a620ebp-14, 0x1.99073fac7a427p-14, 0x1.959d84bbb67d4p-14, 0x1.92303b6f81fd3p-14, 0x1.8ebf0ad7319ffp-14, 0x1.8b4a27b3acd83p-14, 0x1.87d1f0d492a0fp-14, 0x1.84577090e0823p-14, 0x1.80d8a0a5f2588p-14, 0x1.7d57c46ac7e4ep-14, 0x1.79d4a20635554p-14, 0x1.765012d6c5e32p-14, 0x1.72c801498009fp-14, 0x1.6f3f01e6ea31cp-14, 0x1.6bb3de2f1caa9p-14, 0x1.6828d333c2c0fp-14, 0x1.649bff6bfc0a8p-14, 0x1.610e41e33f5cep-14, 0x1.5d7fd8c7c982dp-14, 0x1.59f0f43750d5fp-14, 0x1.56616b1cfb267p-14, 0x1.52d27f261ab0ep-14, 0x1.4f43453583391p-14, 0x1.4bb4428887badp-14, 0x1.4825b7dc0a08bp-14, 0x1.4497cadc90789p-14, 0x1.410aa551932cfp-14, 0x1.3d7e5da865ca4p-14, 0x1.39f32507b5b88p-14, 0x1.366935b00e4ccp-14, 0x1.32e0c2b35df89p-14, 0x1.2f59ae0a1ee42p-14, 0x1.2bd3f0966982dp-14, 0x1.2850e35fe1807p-14, 0x1.24cf62a886c71p-14, 0x1.215019c7a66f1p-14, 0x1.1dd2e70b2d6cdp-14, 0x1.1a57f6fc03877p-14, 0x1.16df9d02277c9p-14, 0x1.136a16038ddbep-14, 0x1.0ff6fdd8dfb58p-14, 0x1.0c86c89343d65p-14, 0x1.09197ded9491p-14, 0x1.05af5eb96592fp-14, 0x1.02488f1de7da1p-14, 0x1.fdc936b5bf12cp-15, 0x1.f7088326c1da1p-15, 0x1.f04e8ea1eaab6p-15, 0x1.e99cecc3a395bp-15, 0x1.e2f09cdfd55fdp-15, 0x1.dc4cc1734bcb4p-15, 0x1.d5b07e1417ecbp-15, 0x1.cf1c0aeafabf4p-15, 0x1.c88f941897908p-15, 0x1.c20b2d6461b74p-15, 0x1.bb8ec8babd01ep-15, 0x1.b51b71a4f0fb7p-15, 0x1.aeb056b08ca7ep-15, 0x1.a84dfd83059eap-15, 0x1.a1f473412a0b3p-15, 0x1.9ba3ca55939b4p-15, 0x1.955c50331f6cap-15, 0x1.8f1dfa2b83386p-15, 0x1.88e902dd2086dp-15, 0x1.82bd546f4107ap-15, 0x1.7c9b3a3d4666p-15, 0x1.7682f18dd131ap-15, 0x1.70743b7b7d1b8p-15, 0x1.6a6f37c7a8923p-15, 0x1.64751d079d4eep-15, 0x1.5e8361e9a2388p-15, 0x1.589c4b1c82eddp-15, 0x1.52bf6c9651cd7p-15, 0x1.4ceceb4da1b4ep-15, 0x1.47244c44abc68p-15, 0x1.41668717ab7adp-15, 0x1.3bb300bff5bp-15, 0x1.3609ebbaabf49p-15, 0x1.306a39e2ab53ep-15, 0x1.2ad7427400ee2p-15, 0x1.254e89a09d9afp-15, 0x1.1fcef96dfc1aep-15, 0x1.1a5adc36a2daep-15, 0x1.14f3b6b6bfa68p-15, 0x1.0f9354ca28a25p-15, 0x1.0a40680eca242p-15, 0x1.04f6e041f4a2bp-15, 0x1.ff72451a3ef81p-16, 0x1.f50c2c880cef7p-16, 0x1.eabbf2c12ac8cp-16, 0x1.e081ad934c4cp-16, 0x1.d65d66e1d7321p-16, 0x1.cc4ec2abe8aeep-16, 0x1.c25670d04460ep-16, 0x1.b873e61964c92p-16, 0x1.aea7ccad576bbp-16, 0x1.a4f139b6a037bp-16, 0x1.9b50d1b30bcc3p-16, 0x1.91c66fb27291ap-16, 0x1.8852159c46fd8p-16, 0x1.7ef3cc0d612a9p-16, 0x1.75abaf3f729f8p-16, 0x1.6c78fd24fe83ep-16, 0x1.635c8a1e3bcd4p-16, 0x1.5a5739133e80ap-16, 0x1.516680923bff8p-16, 0x1.488ae3a189e0bp-16, 0x1.3fc6bc752dcacp-16, 0x1.3718052cf8cfp-16, 0x1.2e7eec2e4c2ddp-16, 0x1.25fb80ae348f6p-16, 0x1.1d925b8336898p-16, 0x1.1535ab23d36dbp-16, 0x1.0cf37bfe67c03p-16, 0x1.04c6a866f1fd5p-16, 0x1.f95e3d714d291p-17, 0x1.e94f6a4b20acp-17, 0x1.d98101b5a6ab7p-17, 0x1.c9d28a6f2f7e7p-17, 0x1.ba4dc74ff3fcp-17, 0x1.aaf41473718fp-17, 0x1.9bc3a3bcdc29fp-17, 0x1.8cbe890281178p-17, 0x1.7de285451e1b6p-17, 0x1.6f350f4366ba7p-17, 0x1.60a6f0d9a2088p-17, 0x1.5247891c7f6d9p-17, 0x1.441162290d59fp-17, 0x1.3603f53cfcdd2p-17, 0x1.281b8d8fbeb74p-17, 0x1.1a5e457ccd535p-17, 0x1.0ccfeeb855fp-17, 0x1.fec8a1fb99798p-18, 0x1.e441ea3aad809p-18, 0x1.ca0942bd5b274p-18, 0x1.b0238e0d58a98p-18, 0x1.9689841e3a476p-18, 0x1.7d3fd7901a659p-18, 0x1.64429f91adb5ep-18, 0x1.4b93bcd2aede3p-18, 0x1.3338468bf089cp-18, 0x1.1b1c85f6eb244p-18, 0x1.0354db8febdb2p-18, 0x1.d7b097e150a91p-19, 0x1.a94e46f5879cep-19, 0x1.7b8166e480a51p-19, 0x1.4e4964d83ede3p-19, 0x1.21b7130391fcbp-19, 0x1.eb27231cd6e31p-20, 0x1.942dff6ed5bebp-20, 0x1.3e541dd33b39cp-20, 0x1.d33575eddebffp-21, 0x1.2c0019dd31eaep-21, 0x1.0e06dfded0ea3p-22, -0x1.b682bacb77e4cp-25, -0x1.78b137fed3993p-22, -0x1.5aba94eca6ec8p-21, -0x1.f6f5d1dfe5863p-21, -0x1.4884d4a89a8e4p-20, -0x1.947eb6bb000b7p-20, -0x1.df699a41ca2d6p-20, -0x1.14b60ec3769eep-19, -0x1.390bb4f9639efp-19, -0x1.5cf01a6379cb5p-19, -0x1.80527ff5f9ecdp-19, -0x1.a32b14a63fd26p-19, -0x1.c587a521805d9p-19, -0x1.e76cff5810503p-19, -0x1.0462ae7f9e35ep-18, -0x1.14cd8294b0461p-18, -0x1.24fda4a67ff87p-18, -0x1.34f1407a94a9ep-18, -0x1.44a5688ec08ddp-18, -0x1.541e5766c871bp-18, -0x1.6352fbc775a32p-18, -0x1.7251db7a178b7p-18, -0x1.8112591a5eabdp-18, -0x1.8f98f3b419d9fp-18, -0x1.9debdff6ff4bfp-18, -0x1.abf4aceb6d8b7p-18, -0x1.b9cb8901d3dc1p-18, -0x1.c768649cb906bp-18, -0x1.d4d7a5b1ef7bap-18, -0x1.e1fcb2787448fp-18, -0x1.eef3aaab4aecfp-18, -0x1.fbb1dda152048p-18, -0x1.041ad5f505698p-17, -0x1.0a42dfff7bafp-17, -0x1.105033b438943p-17, -0x1.1642dc9b59023p-17, -0x1.1c1b199c72d37p-17, -0x1.21d93e527ee83p-17, -0x1.277dd7fb5c4eap-17, -0x1.2d0884c516b2p-17, -0x1.327890e42cb14p-17, -0x1.37cdc57a4318cp-17, -0x1.3d0fd937929ffp-17, -0x1.4235b40a26d8dp-17, -0x1.47438e1c1922ap-17, -0x1.4c394892f8d67p-17, -0x1.5115b446073b3p-17, -0x1.55db84a0cc695p-17, -0x1.5a8aacbacf524p-17, -0x1.5f1eda389993fp-17, -0x1.63a116e085cbp-17, -0x1.680a3532a4dd6p-17, -0x1.6c5bbc2a7c78fp-17, -0x1.7097c9b31c5ebp-17, -0x1.74be695452c7fp-17, -0x1.78ce21987d94dp-17, -0x1.7cc868de10871p-17, -0x1.80ad7788b4182p-17, -0x1.847cbdbba71eep-17, -0x1.883a86965c146p-17, -0x1.8bd7cb00b7cb6p-17, -0x1.8f7b62270f5b2p-17, -0x1.92ebfb8d7b544p-17, -0x1.9654b497daf08p-17, -0x1.99a9c350b188fp-17, -0x1.9ceb843abb856p-17, -0x1.a01906f2e3ca7p-17, -0x1.a3331a9e33728p-17, -0x1.a63aba0939f45p-17, -0x1.a930758df8a93p-17, -0x1.ac1282d637d9dp-17, -0x1.aee1dd7bd8aep-17, -0x1.b19d47f2f7ff8p-17, -0x1.b44b14cd8ce51p-17, -0x1.b6e63f6a0ebf3p-17, -0x1.b96d5d3fe2b5dp-17, -0x1.bbe371b5234fdp-17, -0x1.be4f40b3447cfp-17, -0x1.c09ecddeffe79p-17, -0x1.c2e3179b2c63cp-17, -0x1.c51694591cd7ep-17, -0x1.c7328b4f202f2p-17, -0x1.c94c98ecc66cbp-17, -0x1.cb4ebbd55d341p-17, -0x1.cd4201a565b21p-17, -0x1.cf27cfc57ac53p-17, -0x1.d0f53a782a2b3p-17, -0x1.d2bfd73bd3c8bp-17, -0x1.d4759688bb03fp-17, -0x1.d61cbcbbc2c02p-17, -0x1.d7b59764e394ep-17, -0x1.d94170b346a4fp-17, -0x1.daba2c19f5084p-17, -0x1.dc28a1389f2c1p-17, -0x1.dd88bd3890eb1p-17, -0x1.dee422c426ccdp-17, -0x1.e01e64124f8aap-17, -0x1.e1555db0f3ac9p-17, -0x1.e27f9e4b67dacp-17, -0x1.e3978e19d02e8p-17, -0x1.e4aa8af71b6dep-17, -0x1.e5aed9cc1c871p-17, -0x1.e6a48b2386ebap-17, -0x1.e78f363d51a11p-17, -0x1.e86d47af39d16p-17, -0x1.e93ed8fce4479p-17, -0x1.ea04a613df846p-17, -0x1.eabea33f6c976p-17, -0x1.eb7373770fcedp-17, -0x1.ec112fd5b6116p-17, -0x1.eca92e653bcddp-17, -0x1.ed36125816757p-17, -0x1.edb74b906fb72p-17, -0x1.ee2efca07290dp-17, -0x1.ee8c67dcbc5f7p-17, -0x1.eefc6da15585bp-17, -0x1.ef54bcbf12e9bp-17, -0x1.efa3759b8892bp-17, -0x1.efe598175d849p-17, -0x1.f01f652c9ad48p-17, -0x1.f0547a8850768p-17, -0x1.f075618d1fb57p-17, -0x1.f091821713a83p-17, -0x1.f0a53d90dda23p-17, -0x1.f0b03837e5301p-17, -0x1.f0b17b96db5a9p-17, -0x1.f0b16106d2342p-17, -0x1.f097e8dac08bfp-17, -0x1.f082d89123772p-17, -0x1.f05d85b670359p-17, -0x1.f02dc0d4e117bp-17, -0x1.f000a1658e53bp-17, -0x1.efc5b88579793p-17, -0x1.ef839745b8e22p-17, -0x1.ef38cd9e72e38p-17, -0x1.eee745dc5523ep-17, -0x1.ee8caaba1a0b7p-17, -0x1.ee2b1f1b7d71cp-17, -0x1.edc321286554p-17, -0x1.ed524f9e74ebcp-17, -0x1.ecdbba3e2d063p-17, -0x1.ec5d4f7165986p-17, -0x1.ebd8a3de09bcfp-17, -0x1.eb48879dc3f2fp-17, -0x1.eab95438126d1p-17, -0x1.ea2329fa6e369p-17, -0x1.e97d437000992p-17, -0x1.e8da9aef10964p-17, -0x1.e82edfbf26839p-17, -0x1.e77b65be2237ap-17, -0x1.e6c2ebb350c03p-17, -0x1.e60587c44cc2bp-17, -0x1.e54105ea0f194p-17, -0x1.e4730c3024526p-17, -0x1.e3a79c5b13258p-17, -0x1.e2d21b4fa259fp-17, -0x1.e1f7e6b5d0646p-17, -0x1.e11578a08a7e3p-17, -0x1.e032f92a60341p-17, -0x1.df42edb42acc8p-17, -0x1.de56aa416f35fp-17, -0x1.dd664cb64d71bp-17, -0x1.dc6cf98eac75bp-17, -0x1.db6f30c0b8435p-17, -0x1.da6d52cd0c971p-17, -0x1.d965f6bad7705p-17, -0x1.d85b3fc03224dp-17, -0x1.d74be394c3db2p-17, -0x1.d636fbfe279bcp-17, -0x1.d51e26d726ea9p-17, -0x1.d40231125db8bp-17, -0x1.d2e23af598604p-17, -0x1.d1bdda3c24631p-17, -0x1.d095cd3995936p-17, -0x1.cf69755b6b9cfp-17, -0x1.ce36af51cd55fp-17, -0x1.cd048f92f8b9ap-17, -0x1.cbd0115104085p-17, -0x1.ca96067e9c929p-17, -0x1.c956022153d31p-17, -0x1.c8168e361795ap-17, -0x1.c6d15d65dc53bp-17, -0x1.c58f068f4dc52p-17, -0x1.c4418bef9798ap-17, -0x1.c2f22258adc1p-17, -0x1.c1a1eb4040544p-17, -0x1.c04f189136c3ep-17, -0x1.bef7d7cf2cb93p-17, -0x1.bd9f31db3a0b5p-17, -0x1.bc43d52d0cd68p-17, -0x1.bae4f02395389p-17, -0x1.b986a91ea1335p-17, -0x1.b8217043f9fa3p-17, -0x1.b6b432a7c5a64p-17, -0x1.b5534c561fba6p-17, -0x1.b3e91406e5638p-17, -0x1.b27cb9809ffbap-17, -0x1.b10d4f29a0602p-17, -0x1.af9cac11999ccp-17, -0x1.ae2b0b34d9c3ap-17, -0x1.acb52bee60157p-17, -0x1.ab3ee7693bda3p-17, -0x1.a9c6e95cb2ba5p-17, -0x1.a84ad029b75e8p-17, -0x1.a6cecdaaef08dp-17, -0x1.a552035646dd7p-17, -0x1.a3d1e28c005f1p-17, -0x1.a25000be64cb8p-17, -0x1.a0ce3c7d6d0eep-17, -0x1.9f49dc134a3cp-17, -0x1.9dc46ea6d265bp-17, -0x1.9c3d9573d2a9cp-17, -0x1.9ab7a6cc83a81p-17, -0x1.992bdc7e6cefep-17, -0x1.97a0a89e9f71dp-17, -0x1.9614ae545bad4p-17, -0x1.94882eb1b40c2p-17, -0x1.92fa246f635e7p-17, -0x1.916ae1cc94683p-17, -0x1.8fda53bacc789p-17, -0x1.8e492f814c25ap-17, -0x1.8cb731306f66ep-17, -0x1.8b267c5c2be56p-17, -0x1.8990fc6b4810ep-17, -0x1.87fc5e53ff649p-17, -0x1.86665138ef62ep-17, -0x1.84d1414779865p-17, -0x1.833aa42aabfd6p-17, -0x1.81a37ec4125adp-17, -0x1.800bea753cadep-17, -0x1.7e7357d099fe5p-17, -0x1.7cdace3428bccp-17, -0x1.7b42b68826fbfp-17, -0x1.79a7e108c6badp-17, -0x1.7810aa9f99c34p-17, -0x1.7673934a736aep-17, -0x1.74d8f5bd45389p-17, -0x1.733e1df001dddp-17, -0x1.71a2f4764b0cp-17, -0x1.70074a33a2715p-17, -0x1.6e6c58c0a13dp-17, -0x1.6cd0f62330b99p-17, -0x1.6b3643b5290d2p-17, -0x1.6992d80a26083p-17, -0x1.67f76d8bc42e7p-17, -0x1.6661049e559dcp-17, -0x1.64c527fac33a7p-17, -0x1.6326bdc6001c6p-17, -0x1.618cd4ec760e8p-17, -0x1.5ff1fc15abe44p-17, -0x1.5e5657105a8bcp-17, -0x1.5cbb42f3d55dbp-17, -0x1.5b2042468a835p-17, -0x1.598560054d0dbp-17, -0x1.57ea5dd86176ep-17, -0x1.565004c80e987p-17, -0x1.54b612f0ecccfp-17, -0x1.531dabbd95dc3p-17, -0x1.5184b84beeaefp-17, -0x1.4fe9bab3edf89p-17, -0x1.4e512f1fa307p-17, -0x1.4cb8f285c766dp-17, -0x1.4b213503069d4p-17, -0x1.498a19277d965p-17, -0x1.47f3101399d03p-17, }}, 
      {{-0x1.610497b36fd31p+1, -0x1.5fbc01684ca7fp+1, -0x1.5df7638a639dep+1, -0x1.5bbcf94dea762p+1, -0x1.5913c8c42aeffp+1, -0x1.56035a35f579bp+1, -0x1.52937fab7b91dp+1, -0x1.4ecc291d2a944p+1, -0x1.4ab5427f5184bp+1, -0x1.4656998469ea5p+1, -0x1.41b7c97af786dp+1, -0x1.3ce02c0bef22dp+1, -0x1.37d6cdeb98007p+1, -0x1.32a266b5991eap+1, -0x1.2d4953691d5c6p+1, -0x1.27d192fd074f1p+1, -0x1.2240c4b203984p+1, -0x1.1c9c27ca04be3p+1, -0x1.16e89c62923f9p+1, -0x1.112aa54466422p+1, -0x1.0b666a6677e7cp+1, -0x1.059fbc068223ap+1, -0x1.ffb42c5e74e0ap+0, -0x1.f431495122baep+0, -0x1.e8bc8df84b233p+0, -0x1.dd5b297f6f795p+0, -0x1.d211c3d8b87bfp+0, -0x1.c6e4863da4937p+0, -0x1.bbd723c9c18dcp+0, -0x1.b0ece1c9842ddp+0, -0x1.a6289fd2d7013p+0, -0x1.9b8cdf6430d1bp+0, -0x1.911bcb45592e1p+0, -0x1.86d73e650aa7ep+0, -0x1.7cc0ca34f04fbp+0, -0x1.72d9bcdd4947ap+0, -0x1.6923269bbed52p+0, -0x1.5f9ddf18eab5bp+0, -0x1.564a8a49c13fcp+0, -0x1.4d299cdc0138bp+0, -0x1.443b609ab190dp+0, -0x1.3b7ff83b739d3p+0, -0x1.32f7634dc48f5p+0, -0x1.2aa1817eb46e2p+0, -0x1.227e15ec294a3p+0, -0x1.1a8cca15367e7p+0, -0x1.12cd30a87f33ep+0, -0x1.0b3ec80db4ba8p+0, -0x1.03e0fcb5f4475p+0, -0x1.f96656d1da547p-1, -0x1.eb69468fff70ap-1, -0x1.ddc94ea8275bfp-1, -0x1.d084e163940a5p-1, -0x1.c39a5f7e377b5p-1, -0x1.b7081b6a91d7ap-1, -0x1.aacc5bfabc5ccp-1, -0x1.9ee55e65a2eep-1, -0x1.93515903f693cp-1, -0x1.880e7ce1156a9p-1, -0x1.7d1af79688e8fp-1, -0x1.7274f507a2e8ep-1, -0x1.681aa0a78cd72p-1, -0x1.5e0a270058df4p-1, -0x1.5441b6b2638bp-1, -0x1.4abf81707f29dp-1, -0x1.4181bd53e9057p-1, -0x1.3886a516cbcfp-1, -0x1.2fcc79148f65cp-1, -0x1.2751801a3d5dp-1, -0x1.1f1407aeef5e6p-1, -0x1.1712647cd434p-1, -0x1.0f4af30121469p-1, -0x1.07bc176f0ef95p-1, -0x1.00643e5d2c1dfp-1, -0x1.f283b9a6f5e5bp-2, -0x1.e4a6e083cc7dp-2, -0x1.d72efe03443c6p-2, -0x1.ca19308237173p-2, -0x1.bd62a7b856d1p-2, -0x1.b108a5460c7f8p-2, -0x1.a5087c8ec9dddp-2, -0x1.995f9230a1b02p-2, -0x1.8e0b5cee8aa6p-2, -0x1.8309645653429p-2, -0x1.7857416c90a1fp-2, -0x1.6df29dd55cb57p-2, -0x1.63d93428214cp-2, -0x1.5a08cf618439fp-2, -0x1.507f4a5c6075cp-2, -0x1.473a90001cf28p-2, -0x1.3e389a6b327efp-2, -0x1.3577733db9f9dp-2, -0x1.2cf532b70e56bp-2, -0x1.24afff8bdebebp-2, -0x1.1ca60ebb0f072p-2, -0x1.14d5a2e2f23b5p-2, -0x1.0d3d0c3667211p-2, -0x1.05daa7cb1b5a3p-2, -0x1.fd59bedef045fp-3, -0x1.ef6453858f8cdp-3, -0x1.e1d211fd88f4dp-3, -0x1.d4a01665f633ep-3, -0x1.c7cb93b3b7e36p-3, -0x1.bb51d240ccb33p-3, -0x1.af3030e799ae6p-3, -0x1.a36422763dce3p-3, -0x1.97eb2e5402492p-3, -0x1.8cc2ee879c002p-3, -0x1.81e9113c54ec8p-3, -0x1.775b5627db50ep-3, -0x1.6d178eefac45bp-3, -0x1.631b9e679b8f9p-3, -0x1.596577d9693bep-3, -0x1.4ff31f17487acp-3, -0x1.46c2a72b93dcbp-3, -0x1.3dd23262fab9ap-3, -0x1.351ff15f52a3dp-3, -0x1.2caa233bbf88fp-3, -0x1.246f14890657cp-3, -0x1.1c6d1f25fb6bbp-3, -0x1.14a2a9bad5507p-3, -0x1.0d0e27473b283p-3, -0x1.05ae16b228c6ap-3, -0x1.fd02052e256ddp-4, -0x1.ef0b011333c56p-4, -0x1.e174637bd0d9ap-4, -0x1.d43b81309e2e9p-4, -0x1.c75dc51ed71dep-4, -0x1.bad8ad389d0d4p-4, -0x1.aea9ca6f239d6p-4, -0x1.a2cec046c09dap-4, -0x1.97454377c7d93p-4, -0x1.8c0b1aacb4b69p-4, -0x1.811e1cb1f4e43p-4, -0x1.767c307212591p-4, -0x1.6c234c9d3639fp-4, -0x1.621176c6dd9a5p-4, -0x1.5844c32591c1cp-4, -0x1.4ebb536637fap-4, -0x1.457359d4cad9ap-4, -0x1.3c6b1173ce2aap-4, -0x1.33a0c5158871dp-4, -0x1.2b12cb3c06d8cp-4, -0x1.22bf8717d8c5ap-4, -0x1.1aa564f798e09p-4, -0x1.12c2e0398699cp-4, -0x1.0b167ca91b3d5p-4, -0x1.039ec9358f7ccp-4, -0x1.f8b4be68ce059p-5, -0x1.ea8fc3d9a9f14p-5, -0x1.dccbfbc24f0afp-5, -0x1.cf66d4924e869p-5, -0x1.c25dca841f557p-5, -0x1.b5ae6f42d68cep-5, -0x1.a9566317d1f89p-5, -0x1.9d53576f56e69p-5, -0x1.91a310bbfef6p-5, -0x1.86435fb3fd25p-5, -0x1.7b3222d324dcfp-5, -0x1.706d4a447851ep-5, -0x1.65f2d3d01406ap-5, -0x1.5bc0ca7c36c03p-5, -0x1.51d5470d0d01ep-5, -0x1.482e6f47ce1d1p-5, -0x1.3eca758ea52c9p-5, -0x1.35a7987f59bf6p-5, -0x1.2cc422be5b4f3p-5, -0x1.241e6a497e6c8p-5, -0x1.1bb4d0b0835fap-5, -0x1.1385c24b2189cp-5, -0x1.0b8fb64e630c3p-5, -0x1.03d12d79088c6p-5, -0x1.f89168a73a68ep-6, -0x1.e9e9bdf11d8b3p-6, -0x1.dba8989fc7ea5p-6, -0x1.cdcb472c420adp-6, -0x1.c04f305218255p-6, -0x1.b331c1e736778p-6, -0x1.a67081d7ac9e5p-6, -0x1.9a0904eced7adp-6, -0x1.8df8efd268481p-6, -0x1.823df82e34b9cp-6, -0x1.76d5de1863cep-6, -0x1.6bbe7660e7943p-6, -0x1.60f5a2313924fp-6, -0x1.56794f8bc4c5p-6, -0x1.4c477b096b556p-6, -0x1.425e2e58d4c98p-6, -0x1.38bb80032a8a1p-6, -0x1.2f5d92d2554b7p-6, -0x1.2642983686334p-6, -0x1.1d68c964a5efp-6, -0x1.14ce6e4bae0dep-6, -0x1.0c71d803b65bcp-6, -0x1.0451679995a99p-6, -0x1.f8d7004e9320dp-7, -0x1.e97d2f086d98dp-7, -0x1.da9252f521714p-7, -0x1.cc13768d203f3p-7, -0x1.bdfdc390fdc57p-7, -0x1.b04e64106445cp-7, -0x1.a302a0f0ac0c3p-7, -0x1.9617d23059dcap-7, -0x1.898b60c9d6e7ap-7, -0x1.7d5ac6a744dd5p-7, -0x1.71838e7e9ece6p-7, -0x1.660352c7e93p-7, -0x1.5ad7be49a9b25p-7, -0x1.4ffe8add34bf7p-7, -0x1.45757b3b688bdp-7, -0x1.3b3a7811ae56fp-7, -0x1.314b558583af7p-7, -0x1.27a60be572d1ap-7, -0x1.1e489eb2138a1p-7, -0x1.1531168ebffe5p-7, -0x1.0c5d903606c09p-7, -0x1.03cc358fd6555p-7, -0x1.f6f66e9e2c45ep-8, -0x1.e6d1ac3612715p-8, -0x1.d726b52a08182p-8, -0x1.c7f239884385cp-8, -0x1.b930f8abdea9fp-8, -0x1.aadfc99aab493p-8, -0x1.9cfb9aa3d6f07p-8, -0x1.8f816e4f60264p-8, -0x1.826e595b9082ap-8, -0x1.75bf724ffd97cp-8, -0x1.69720af69de65p-8, -0x1.5d8367819c2a5p-8, -0x1.51f0e724a8042p-8, -0x1.46b7fb08ee4b2p-8, -0x1.3bd6276a85b53p-8, -0x1.3148fcaef97f6p-8, -0x1.270e124b19e22p-8, -0x1.1d232b21172eap-8, -0x1.1386028841079p-8, -0x1.0a34699d4364ap-8, -0x1.012c40312b553p-8, -0x1.f0d6e6e8071bdp-9, -0x1.dfdffed43c947p-9, -0x1.cf6fd7f4ebb0ap-9, -0x1.bf82ad1daa4aep-9, -0x1.b014afe34cb7bp-9, -0x1.a1224d5de8186p-9, -0x1.92a7fe2afb6dp-9, -0x1.84a24fcfda766p-9, -0x1.770deb67140bp-9, -0x1.69e7917d0ac1dp-9, -0x1.5d2c15b0ca52ep-9, -0x1.50d86d30c3841p-9, -0x1.44e981d7a4a58p-9, -0x1.395c68bbfc1f1p-9, -0x1.2e2e5f9e71b8ep-9, -0x1.235c96a6e272p-9, -0x1.18e4655779a4ap-9, -0x1.0ec318c5c8617p-9, -0x1.04f633965bd2dp-9, -0x1.f6f64f1dd55fep-10, -0x1.e49f8ae19871p-10, -0x1.d2e2ea5d171ecp-10, -0x1.c1bc073c490dcp-10, -0x1.b1266c9c6134ep-10, -0x1.a11dcef312eaep-10, -0x1.919df5794e973p-10, -0x1.82a2ce72f73f4p-10, -0x1.74285879c6938p-10, -0x1.662ab7874b1d5p-10, -0x1.58a62c0f82c1fp-10, -0x1.4b970a819b6b9p-10, -0x1.3ef9c3534046bp-10, -0x1.32cae6c9fcbc3p-10, -0x1.2707106a33e2cp-10, -0x1.1bab007520f0cp-10, -0x1.10b38a8e07eb3p-10, -0x1.061d954ce177p-10, -0x1.f7cc3c4c323e9p-11, -0x1.e4146ead3d1c3p-11, -0x1.d10e1b223a728p-11, -0x1.beb3bdb45143ap-11, -0x1.ad00106d5faaep-11, -0x1.9bedad560da23p-11, -0x1.8b77b74880222p-11, -0x1.7b992d335bf32p-11, -0x1.6c4d382e9663fp-11, -0x1.5d8f3cb910678p-11, -0x1.4f5af8aad39c2p-11, -0x1.41ab5d2ebd1efp-11, -0x1.347ca3fb7bc87p-11, -0x1.27cb281224611p-11, -0x1.1b920704f58fbp-11, -0x1.0fcdb22ac2b94p-11, -0x1.047a63f23a4fap-11, -0x1.f328e399cadaep-12, -0x1.de30843a8f79ap-12, -0x1.ca04b99e627a1p-12, -0x1.b69ecc5fa443dp-12, -0x1.a3f83df41e5a3p-12, -0x1.920aadbe02562p-12, -0x1.80d0022a63604p-12, -0x1.70423fb4f6eafp-12, -0x1.605b9854470eep-12, -0x1.51166be76b7e6p-12, -0x1.426d4b12408b1p-12, -0x1.345acb9eed2bp-12, -0x1.26d9db859caa2p-12, -0x1.19e58732693eep-12, -0x1.0d78ef3a6e17bp-12, -0x1.018f65f96e2d7p-12, -0x1.ec48d04fc2ba3p-13, -0x1.d6672917ece14p-13, -0x1.c1715bd6eb7e7p-13, -0x1.ad5f10d7bdfd5p-13, -0x1.9a28488fcc6f6p-13, -0x1.87c5234b2f26fp-13, -0x1.762df5d062f14p-13, -0x1.655a77ad9e009p-13, -0x1.554685129888ep-13, -0x1.45e84194d01c3p-13, -0x1.373a0d03f7534p-13, -0x1.2935a50b89112p-13, -0x1.1bd4d0a8950c7p-13, -0x1.0f11885bde862p-13, -0x1.02e5a2cdbf46cp-13, -0x1.ee991b0c4ca1bp-14, -0x1.d87f12bce712ap-14, -0x1.c3731d1732121p-14, -0x1.af6a57eccb8d4p-14, -0x1.9c5b5b94c5f29p-14, -0x1.8a3c95111687ap-14, -0x1.79044c2a94bfdp-14, -0x1.68a90b224dd9ap-14, -0x1.5925e1bfe003dp-14, -0x1.4a6e7624fb3dap-14, -0x1.3c7c08ddf59e7p-14, -0x1.2f46630d69366p-14, -0x1.22c5c7162a722p-14, -0x1.16f2c13a8f61fp-14, -0x1.0bc61e41c2e6ap-14, -0x1.0138fc0edb35dp-14, -0x1.ee885d4eec12cp-15, -0x1.dbc61bc74a26p-15, -0x1.ca1b17b53982cp-15, -0x1.b97d59adc0415p-15, -0x1.a9e108ba06731p-15, -0x1.9b3ad5a40b3ddp-15, -0x1.8d7fae153a102p-15, -0x1.80a4ec1ae8117p-15, -0x1.749da83111e1cp-15, -0x1.6969b149050b9p-15, -0x1.5ef581bede01ap-15, -0x1.553b1ee14e836p-15, -0x1.4c3361ba204aep-15, -0x1.43d4e0086081cp-15, -0x1.3c17badbd75bcp-15, -0x1.34f3ccb6d0843p-15, -0x1.2e625142342b9p-15, -0x1.285babcadd321p-15, -0x1.22d845e2df007p-15, -0x1.1dd1977501fc2p-15, -0x1.19432cb507043p-15, -0x1.1520100c52a7ep-15, -0x1.1169664ec8edfp-15, -0x1.0e16e3e4e2d8ap-15, -0x1.0b23442985cc9p-15, -0x1.08889c71e0727p-15, -0x1.0643b846ac0e7p-15, -0x1.044f059e4c8fep-15, -0x1.02a4ea1702b11p-15, -0x1.01414ea12670cp-15, -0x1.001f91c96029ap-15, -0x1.fe7704eff87f5p-16, -0x1.fd21932bb6dd2p-16, -0x1.fc389e28028f3p-16, -0x1.fbb4e0f64e6f3p-16, -0x1.fb85c98fc6016p-16, -0x1.fbb05d673c51cp-16, -0x1.fc2b966a805f7p-16, -0x1.fcf0b1d6144c5p-16, -0x1.fdfa29eba5e47p-16, -0x1.ff41e3a2fe6efp-16, -0x1.0061d91d62793p-15, -0x1.013c1a111113ep-15, -0x1.022f64eaa3607p-15, -0x1.03362b177aff4p-15, -0x1.04505fe866ac8p-15, -0x1.057a5e74d9a6dp-15, -0x1.06b27d1be5987p-15, -0x1.07f66fd79d4eap-15, -0x1.09450b3d449b6p-15, -0x1.0a9d859bbc899p-15, -0x1.0bfb8ab7a98fbp-15, -0x1.0d5f37e4c9137p-15, -0x1.0ec7677d9dba7p-15, -0x1.103283452c29ap-15, -0x1.119f38d20da29p-15, -0x1.130c5a1fd16e8p-15, -0x1.14782ed5cacd1p-15, -0x1.15dedb2e37347p-15, -0x1.1747dc264a273p-15, -0x1.18aa220711b2cp-15, -0x1.1a064c4423beap-15, -0x1.1b5c24d0bcc2ep-15, -0x1.1caa28d2b4dcap-15, -0x1.1df08b58c1ca9p-15, -0x1.1f2e38a5b1885p-15, -0x1.206288bc76292p-15, -0x1.218c3cc75dec3p-15, -0x1.22ada3fdd735fp-15, -0x1.23c13146d1625p-15, -0x1.24cadef3a7de4p-15, -0x1.25c8d676d1922p-15, -0x1.26b91ffdd56cfp-15, -0x1.279ccaecada0dp-15, -0x1.2873164580dffp-15, -0x1.293c18f62a1b4p-15, -0x1.29f700690c003p-15, -0x1.2aa34e3110174p-15, -0x1.2b426a9a29d9p-15, -0x1.2bd265514bbf4p-15, -0x1.2c537bf7bc7fbp-15, -0x1.2cc5a7da78106p-15, -0x1.2d28c7fe02fa9p-15, -0x1.2d7ce73c43c39p-15, -0x1.2dc2067b58626p-15, -0x1.2df7ab51cc00bp-15, -0x1.2e1ddbc991fbdp-15, -0x1.2e3499cfd7e12p-15, -0x1.2e3c6f8b4f2b7p-15, -0x1.2e354150c0712p-15, -0x1.2e1e91d460f18p-15, -0x1.2df8948d91091p-15, -0x1.2dc36ef0247e3p-15, -0x1.2d7f77bcf9f23p-15, -0x1.2d2c856697a59p-15, -0x1.2ccac388c4fe3p-15, -0x1.2c5ad90442db6p-15, -0x1.2bd8966d1911dp-15, -0x1.2b4d8b2249ef3p-15, -0x1.2ab1f2e481b9ep-15, -0x1.2a070384e4793p-15, -0x1.29500078a11f9p-15, -0x1.288a89fd69862p-15, -0x1.27b81000868c4p-15, -0x1.26d6531f16f9ep-15, -0x1.25e8bbe2cf8cap-15, -0x1.24edb89d20b31p-15, -0x1.23e643d25238ap-15, -0x1.22d2458d4b1c1p-15, -0x1.21b1b8ed7d883p-15, -0x1.208505a03aa4bp-15, -0x1.1f4c6d45b5fa8p-15, -0x1.1e0857618ecd3p-15, -0x1.1cb9406360174p-15, -0x1.1b5dbed88eaf6p-15, -0x1.19f7ffa15d16ep-15, -0x1.18877661686f3p-15, -0x1.170c6486140edp-15, -0x1.1586fba3a1bf8p-15, -0x1.13f83e4247652p-15, -0x1.125f3687c9ce2p-15, -0x1.10bd2401476c4p-15, -0x1.0f10dacca0d7p-15, -0x1.0d5c765b99fcfp-15, -0x1.0b9f1a2835f79p-15, -0x1.09d929c333a3fp-15, -0x1.080b308150c59p-15, -0x1.06342f5fc8996p-15, -0x1.04562a3cb5257p-15, -0x1.0271fba1284dp-15, -0x1.0085574ce3404p-15, -0x1.fd234fbfb127fp-16, -0x1.f92e60853a2d5p-16, -0x1.f52c5b6e3127ap-16, -0x1.f11db7c626b4fp-16, -0x1.ed02dc2581bap-16, -0x1.e8ddc9d91ed63p-16, -0x1.e4abb408d750bp-16, -0x1.e06f12bc569f2p-16, -0x1.dc2836b88ab06p-16, -0x1.d7d8439fd0a0ap-16, -0x1.d37eb1f85c043p-16, -0x1.cf1bed81b4393p-16, -0x1.cab0de70ff1acp-16, -0x1.c63dbdf72ee63p-16, -0x1.c1c2fd7a36c62p-16, -0x1.bd410ae1b54d6p-16, -0x1.b8b8425dfd25bp-16, -0x1.b429cb32e23dep-16, -0x1.af96621defe2ep-16, -0x1.aaf956dca0246p-16, -0x1.a659235bbb3d1p-16, -0x1.a1b450d69f12p-16, -0x1.9d0b6c2840a55p-16, -0x1.985d642701111p-16, -0x1.93accc41d9deep-16, -0x1.8ef8f070c3b5ap-16, -0x1.8a419e5a5ae63p-16, -0x1.8587d81e3a913p-16, -0x1.80cb028402358p-16, -0x1.7c0be0c7a4287p-16, -0x1.774ddedd0f653p-16, -0x1.728cdc7fdd91ep-16, -0x1.6dcafed99d2c7p-16, -0x1.690562c37f3ccp-16, -0x1.644614008c98p-16, -0x1.5f81796c2f2a5p-16, -0x1.5abed26d9a04ep-16, -0x1.55fe7889f645fp-16, -0x1.513cfa9de60dcp-16, -0x1.4c7d0aa8327cfp-16, -0x1.47be831ebf5cdp-16, -0x1.43016453ec54fp-16, -0x1.3e45aa838257cp-16, -0x1.398cab50df62bp-16, -0x1.34d5cb11500bp-16, -0x1.302519f18430ep-16, -0x1.2b70af712798cp-16, -0x1.26c290c9e288ep-16, -0x1.2217e337c8c2fp-16, -0x1.1d709c940951ep-16, -0x1.18ccd8a952388p-16, -0x1.142db3fecafa2p-16, -0x1.0f922d217b8bcp-16, -0x1.0afaae6815c86p-16, -0x1.066a69b41edaep-16, -0x1.01daa8dbd1f77p-16, -0x1.faa30d84823d4p-17, -0x1.f19bbc8ba0ee8p-17, -0x1.e89e7e4a353dp-17, -0x1.dfac58485fdb7p-17, -0x1.d6c466dabb48ap-17, -0x1.cde8660758889p-17, -0x1.c517bf9b32d36p-17, -0x1.bc5481d15574fp-17, -0x1.b39ccfb2efddp-17, -0x1.aaf377f3e93bdp-17, -0x1.a2522f50be296p-17, -0x1.99c3ffe67d5a9p-17, -0x1.913c73757f9bcp-17, -0x1.88c5e66c363aap-17, -0x1.805cee60e90e7p-17, -0x1.7801f6d5ee233p-17, -0x1.6fb518f3ad843p-17, -0x1.67765a212f9f7p-17, -0x1.5f46fe3ca7899p-17, -0x1.5726a22e154ddp-17, -0x1.4f1438a074205p-17, -0x1.470ff3b85a429p-17, -0x1.3f1c956778564p-17, -0x1.3738373291e3ap-17, -0x1.2f6345f15987ep-17, -0x1.279dff104d83ep-17, -0x1.1fe82f5a2834ep-17, -0x1.1844936dae2dbp-17, -0x1.10adc18575fa5p-17, -0x1.0928f2bce5abdp-17, -0x1.01b2fa30a67d9p-17, -0x1.f49d36eb3445ap-18, -0x1.e5f3eff27e9f1p-18, -0x1.d77798c1aa545p-18, -0x1.c9063eb75b8bap-18, -0x1.bac1cefce1f42p-18, -0x1.ac9d6e40432dap-18, -0x1.9e9b98da5cc98p-18, -0x1.90bbc107c3dafp-18, -0x1.82fce4835a48dp-18, -0x1.755feebc3589bp-18, -0x1.67e5d127e25efp-18, -0x1.5a8cc827868a3p-18, -0x1.4d56be2302305p-18, -0x1.4042ac2834c9fp-18, -0x1.3350fc4334524p-18, -0x1.268172b6abec6p-18, -0x1.19d28d9c1d15dp-18, -0x1.0d47898a0d898p-18, -0x1.00ded363d1437p-18, -0x1.e92de222ead05p-19, -0x1.d0e573a29b0bcp-19, -0x1.b8de9030da057p-19, -0x1.a11fc776e7f39p-19, -0x1.89a527acee669p-19, -0x1.726ce69121937p-19, -0x1.5b6aa530ca0e6p-19, -0x1.44c04dee9a0f3p-19, -0x1.2e5b55183d28bp-19, -0x1.1831819e21e37p-19, -0x1.024b75f209ae8p-19, -0x1.d978c1133ebedp-20, -0x1.ae9d2876d143p-20, -0x1.8461223232e81p-20, -0x1.5ab14c0971969p-20, -0x1.31a6802c132c7p-20, -0x1.08dd5ded9138ep-20, -0x1.c170cf0eedd78p-21, -0x1.71fa525e780b9p-21, -0x1.23f8acbeb41ebp-21, -0x1.ada30d2fc363cp-22, -0x1.15429c77bf4d2p-22, -0x1.fb9e1f7fe6acap-24, 0x1.56cc806e28599p-26, 0x1.5020f53e4b0efp-23, 0x1.3809dfabb115p-22, 0x1.c66072c3ab004p-22, 0x1.2962f53ebbfa7p-21, 0x1.6e94c18bca91cp-21, 0x1.b2cb475f7221fp-21, 0x1.f609bf22a7cd4p-21, 0x1.1c298ddac276ap-20, 0x1.3cd36f8d66affp-20, 0x1.5d02ff232f3aap-20, 0x1.7cb1afc4195fcp-20, 0x1.9bf302b46f987p-20, 0x1.baccb1ed1b23p-20, 0x1.d903df49cfb81p-20, 0x1.f6d8f3d298ecfp-20, 0x1.0a19535d3db0cp-19, 0x1.188f89be7af52p-19, 0x1.26ce57678673bp-19, 0x1.34d0936c328b6p-19, 0x1.42946e2b02d9dp-19, 0x1.502622567ad59p-19, 0x1.5d7e862ea6fcdp-19, 0x1.6a9f96005aacbp-19, 0x1.77864b66574bbp-19, 0x1.8433154fd887fp-19, 0x1.90b1ddba9f0b4p-19, 0x1.9cf4f890f24fp-19, 0x1.a903c6a55748dp-19, 0x1.b4d274c995fd4p-19, 0x1.c07e27d7ceca8p-19, 0x1.cbec77693d2c4p-19, 0x1.d727024e4bc3cp-19, 0x1.e22db43fba0dcp-19, 0x1.ed009d476cc6bp-19, 0x1.f7a2114752dd8p-19, 0x1.010aabed9d27p-18, 0x1.06275b63a32f4p-18, 0x1.0b2caa1c72548p-18, 0x1.1019e4773a542p-18, 0x1.14edcc4acd18p-18, 0x1.19ab2748711b4p-18, 0x1.1e4fec94a3e2fp-18, 0x1.22dd7a9774251p-18, 0x1.2753408991f99p-18, 0x1.2bb297f00ebd9p-18, 0x1.2ffaa9244b947p-18, 0x1.342af8255aa1fp-18, 0x1.38459c01ed7d2p-18, 0x1.3c4a944a2ba19p-18, 0x1.4033314d23d5dp-18, 0x1.441075fcb539fp-18, 0x1.47d404fbb3796p-18, 0x1.4b82466a6830ap-18, 0x1.4f1a326e4c0f6p-18, 0x1.529f48870b64fp-18, 0x1.560cd53f0e21dp-18, 0x1.5967032831f3ep-18, 0x1.5cad1d3b2ea8p-18, 0x1.5fe53cbf627bdp-18, 0x1.62fddd0357ea1p-18, 0x1.66067d923096ep-18, 0x1.690045b457fd5p-18, 0x1.6be512412ff35p-18, 0x1.6eaecefc4e9a9p-18, 0x1.717413aded5f7p-18, 0x1.741d0bc56104ep-18, 0x1.76b986ee6cf46p-18, 0x1.793ff0d21e5a9p-18, 0x1.7bb5cf63e1a95p-18, 0x1.7e19d6c878849p-18, 0x1.806c319f33205p-18, 0x1.82ad14449e90bp-18, 0x1.84ddd46ccdbafp-18, 0x1.86fcb90c9dfc5p-18, 0x1.890b99eddb664p-18, 0x1.8b08b0b426963p-18, 0x1.8cf73e889406p-18, 0x1.8ed53ecc386ebp-18, 0x1.90a370403ccf2p-18, 0x1.9261f1b797aafp-18, 0x1.9410ca1a72f62p-18, 0x1.95affa4619cb6p-18, 0x1.974184252ea7dp-18, 0x1.98c3920ef542ap-18, 0x1.9a34c21f5d364p-18, 0x1.9b9a08c1b06d1p-18, 0x1.9cf2c2db09afp-18, 0x1.9e39cc3d3eeddp-18, 0x1.9f73ebb0a8a09p-18, 0x1.a0a0b133047cbp-18, 0x1.a1bff843db39bp-18, 0x1.a2cc25867ea87p-18, 0x1.a3d6b7ea77099p-18, 0x1.a4ce0d0400611p-18, 0x1.a5b8cd2cf6f07p-18, 0x1.a697560217086p-18, 0x1.a7706b35d51e7p-18, 0x1.a82e9c3a146c5p-18, 0x1.a8e7dd4455f1ap-18, 0x1.a996256ef9ed5p-18, 0x1.aa37863ad00b7p-18, 0x1.aace459fdcb66p-18, 0x1.ab58278b0d1fp-18, 0x1.abd7b273d9e03p-18, 0x1.ac46779e72ea5p-18, 0x1.acb612f9b76bap-18, 0x1.ad14c668ba6cep-18, 0x1.ad68a9430fa3p-18, 0x1.adb28033dbb09p-18, 0x1.adf67b8fe3b75p-18, 0x1.ae2c98616a749p-18, 0x1.ae52a3c8843f2p-18, 0x1.ae7486b04e4b1p-18, 0x1.ae8c90f0cda9dp-18, 0x1.ae9bd40ffe3bdp-18, 0x1.aea04fd3da008p-18, 0x1.ae9cd762ae2d9p-18, 0x1.ae8f128274e2dp-18, 0x1.ae79b976d2f9bp-18, 0x1.ae5ae4449637p-18, 0x1.ae31bd12f61d1p-18, 0x1.ae03c9d1133aap-18, 0x1.adcb614f041fcp-18, 0x1.ad8b2a8cd90c4p-18, 0x1.ad429b134eae9p-18, 0x1.acf2547bfae4bp-18, 0x1.ac9a3e077b7a9p-18, 0x1.ac383457a7dddp-18, 0x1.abd371c91fbd9p-18, 0x1.ab6492fbb1a36p-18, 0x1.aaeeab0fd63f1p-18, 0x1.aa71a60fdfeb6p-18, 0x1.a9eda2a2ef35fp-18, 0x1.a962c9380cd16p-18, 0x1.a8cdfbcf2bc59p-18, 0x1.a838fb7986b1cp-18, 0x1.a79a1734a11b9p-18, 0x1.a6f4ef29117bbp-18, 0x1.a6497bb75ac1cp-18, 0x1.a597f5bcd5576p-18, 0x1.a4e07c2540912p-18, 0x1.a425cd918f7edp-18, 0x1.a35fa83f6e7d5p-18, 0x1.a296af129bb71p-18, 0x1.a1c8704ef4c8ep-18, 0x1.a0f397383ca63p-18, 0x1.a01a46547801bp-18, 0x1.9f3d1eb70682ap-18, 0x1.9e58962e8612ep-18, 0x1.9d6e6b657dff8p-18, 0x1.9c8130e5abf8fp-18, 0x1.9b8f5d3e73e67p-18, 0x1.9a986b443d2a4p-18, 0x1.999d589aa492dp-18, 0x1.989b33a705482p-18, 0x1.9796d52f4d74bp-18, 0x1.968d6ce0eeb1ep-18, 0x1.957fb827601c3p-18, 0x1.94715a9e77237p-18, 0x1.93589d970531ep-18, 0x1.923ecbac2b776p-18, 0x1.9120b6f564a79p-18, 0x1.90040f9b29efcp-18, 0x1.8edbef7a31afdp-18, 0x1.8db47adb8ed74p-18, 0x1.8c882d45372a2p-18, 0x1.8b57496b433efp-18, 0x1.8a246d18cf4e1p-18, 0x1.88ee5084d861ep-18, 0x1.87b5037896657p-18, 0x1.86789ce195ac7p-18, 0x1.85393a48b50efp-18, 0x1.83f7181e5de56p-18, 0x1.82b1e330f150cp-18, 0x1.8169820a9f253p-18, 0x1.801da04dcf4bap-18, 0x1.7ed1c9252605ap-18, 0x1.7d81be6847928p-18, 0x1.7c2f788b44573p-18, 0x1.7adaa1e9d5542p-18, 0x1.79831f2e5e249p-18, 0x1.782991f3de612p-18, 0x1.76ceb0f2c10a9p-18, 0x1.756ffc61bb9ccp-18, 0x1.7410f0b63a127p-18, 0x1.72af44e4a56a6p-18, 0x1.714b0a0927964p-18, 0x1.6fe56d12e0364p-18, 0x1.6e7e43528c4dbp-18, 0x1.6d14f4ef64457p-18, 0x1.6baa0585b94dfp-18, 0x1.6a3da14a0100ap-18, 0x1.68cf65caef15fp-18, 0x1.67616bb2f54cbp-18, 0x1.65ecedd573368p-18, 0x1.647f488cc8c9p-18, 0x1.6308a964b00bdp-18, 0x1.6193902ce9dd8p-18, 0x1.601d50dd94eb6p-18, 0x1.5ea614019df31p-18, 0x1.5d2d5d6fe8271p-18, 0x1.5bb382087cd67p-18, 0x1.5a38be76b1994p-18, 0x1.58bdbddb33066p-18, 0x1.57412c7052324p-18, 0x1.55c36ee3416f6p-18, 0x1.54447458edaeep-18, 0x1.52c67802ad002p-18, 0x1.51474257f3aa3p-18, 0x1.4fc6808d8508cp-18, 0x1.4e44bb9ec17aep-18, 0x1.4cc713a28a5e4p-18, 0x1.4b4196f289a57p-18, 0x1.49bf36c92f125p-18, 0x1.483c28823ccd4p-18, 0x1.46b7e018bd58p-18, 0x1.4534034735fd9p-18, 0x1.43afccfdd76ddp-18, 0x1.422be1c75925fp-18, 0x1.40a85310b3191p-18, 0x1.3f213b72dbfedp-18, 0x1.3d9d8cb9915b7p-18, 0x1.3c18430006e82p-18, 0x1.3a92f1e4b6bd9p-18, 0x1.390db2cf27ac9p-18, 0x1.3789b100be23dp-18, 0x1.360262c63da58p-18, 0x1.347d6712e3b08p-18, 0x1.32f83e1686f89p-18, 0x1.3174a87d753b1p-18, 0x1.2fedbd85c413dp-18, 0x1.2e68e69ba853ap-18, 0x1.2ce4fdce64d2p-18, 0x1.2b5f56cbf2891p-18, 0x1.29db5b722ece6p-18, 0x1.2857d1b0cca8ap-18, 0x1.26d3f98953b52p-18, 0x1.2550f51fd290bp-18, 0x1.23ce2ee7bf0f6p-18, 0x1.224ba7fd161dbp-18, 0x1.20c995288c38ap-18, 0x1.1f47f02aaebe9p-18, 0x1.1dc99a12d1b6p-18, 0x1.1c46b6702ff6dp-18, 0x1.1ac68fe8e9c99p-18, 0x1.194732ef2197p-18, 0x1.17c80a0a84168p-18, 0x1.1649f3fa444a7p-18, 0x1.14caf48915688p-18, 0x1.134f060bb29efp-18, 0x1.11d32b403b32cp-18, 0x1.1057f8f964e3ap-18, 0x1.0edc7a8cf9d5ap-18, 0x1.0d62799781a4bp-18, 0x1.0beba0ab1b37cp-18, 0x1.0a708f9bdda41p-18, 0x1.08f880ef916f7p-18, 0x1.0781c5e9f403bp-18, 0x1.060bdfc11998dp-18, 0x1.0496a66872fa6p-18, 0x1.0322472b5b03cp-18, 0x1.01ae62fd5d1p-18, 0x1.003d7563c95abp-18, 0x1.fd944dce312b1p-19, 0x1.fab27672c0aaap-19, 0x1.f7d3a5e7dfbb4p-19, 0x1.f4f58dd99a52ep-19, 0x1.f21a55a550c7fp-19, 0x1.ef404e3ec7cd4p-19, 0x1.ec68e98753707p-19, 0x1.e993a82b03c46p-19, 0x1.e6c004f100d9ep-19, 0x1.e3eefa17b9f84p-19, 0x1.e11f5233bf859p-19, 0x1.de52a214bb0a4p-19, 0x1.db87c1057949p-19, 0x1.d8bef36cd9e2fp-19, 0x1.d5f9ef3cdb4d9p-19, 0x1.d3348be91b6f8p-19, 0x1.d075fd54280bcp-19, 0x1.cdb26bbbb01b9p-19, 0x1.caf648da2e8f1p-19, 0x1.c83bb35d1edcep-19, 0x1.c582de2e73529p-19, 0x1.c2cccfd32f323p-19, 0x1.c01994f173ff7p-19, 0x1.bd683e81a725p-19, 0x1.bab931a29c082p-19, 0x1.b80cf7583b879p-19, 0x1.b5637d45e05bcp-19, 0x1.b2bc75f509fc6p-19, 0x1.b015d10ad04c3p-19, 0x1.ad74d2bb66165p-19, 0x1.aad10444c04afp-19, 0x1.a837fc2e67be7p-19, 0x1.a59d945f91366p-19, 0x1.a305711266d1ep-19, 0x1.a06ff86f7f036p-19, 0x1.9ddd63df21d58p-19, 0x1.9b4ca6bb52591p-19, 0x1.98bfe418c4fa1p-19, 0x1.963570dea175fp-19, 0x1.93ab80ed8423ap-19, 0x1.9125e31a128a8p-19, 0x1.8ea391b8e726ep-19, 0x1.8c239463be711p-19, 0x1.89a5d53296d91p-19, 0x1.872afe3bb0b7ap-19, 0x1.84b2a89fa884fp-19, 0x1.823af26f32506p-19, 0x1.7fc7fab2628f5p-19, 0x1.7d5b04a0b3c2ap-19, 0x1.7aedd4981be52p-19, 0x1.7882698f65324p-19, 0x1.761afd367f501p-19, 0x1.73b47a817e708p-19, 0x1.715514b8fd221p-19, 0x1.6ef4408706ca3p-19, 0x1.6c973bde0a1afp-19, 0x1.6a3d4d9847dafp-19, 0x1.67e642ae7d5f1p-19, 0x1.65918f852a425p-19, 0x1.634020a9d2f14p-19, 0x1.60f156341a8ccp-19, 0x1.5ea4c4e9a70b7p-19, 0x1.5c5bd13a1f866p-19, 0x1.5a1571e8f5ce4p-19, 0x1.57cdeb8c7dc03p-19, 0x1.559082a0b7549p-19, 0x1.535265c31181p-19, 0x1.5117095297c9cp-19, 0x1.4ede65dd77be4p-19, 0x1.4ca8bce207706p-19, 0x1.4a75cd726308ap-19, 0x1.484578e588eaep-19, 0x1.461812fda2b08p-19, 0x1.43eddcf54a7afp-19, 0x1.41c56eddfc43dp-19, 0x1.3fa0567585033p-19, 0x1.3d7eb3959a1e7p-19, 0x1.3b5f4972414d5p-19, 0x1.3941e816a2784p-19, 0x1.3728561287e99p-19, 0x1.351126ca0899ap-19, 0x1.32fcdadfe0113p-19, 0x1.30eb478fb2773p-19, 0x1.2eddb6d4c3d11p-19, 0x1.2cd09fadbb7ap-19, 0x1.2ac70f2ff7e84p-19, 0x1.28c0a3f8e8feap-19, 0x1.26bcd27d6ef17p-19, 0x1.24bc4df77eba3p-19, 0x1.22bdac3c01575p-19, 0x1.20c1ed28d9b7ap-19, 0x1.1ec93ce74d4f4p-19, 0x1.1cd30c95541d9p-19, 0x1.1ae0bc0fe352ap-19, 0x1.18ef9320e0eacp-19, 0x1.1701ab70f70b5p-19, 0x1.1515d7dbe714bp-19, 0x1.132deb57c7e6p-19, 0x1.114823de0c8efp-19, 0x1.0f6514888585ep-19, 0x1.0d84b7433469ap-19, 0x1.0ba707dcb14ddp-19, 0x1.09cc081063a9p-19, 0x1.07f45e3b5edfep-19, 0x1.061de95c483d4p-19, 0x1.044b6f277108dp-19, 0x1.027aab9fe805fp-19, 0x1.00acd16577d0fp-19, 0x1.fdc3a27a24f59p-20, 0x1.fa32baab8ab78p-20, 0x1.f6a6c7213fdacp-20, 0x1.f32103e92d55p-20, 0x1.ef9ff7ea38a96p-20, 0x1.ec2793440f3fbp-20, 0x1.e8ab74758fcd6p-20, 0x1.e537116de83b5p-20, 0x1.e1ce9398b0e29p-20, 0x1.de6740fb8437bp-20, 0x1.db03dda860aa5p-20, 0x1.d7a7df85f3394p-20, 0x1.d45005101c88p-20, 0x1.d0fced5b417acp-20, 0x1.cdaf0d2f41332p-20, 0x1.ca664d86035ep-20, 0x1.c722bd9b892e8p-20, 0x1.c3e38f6063e9p-20, 0x1.c0a9c32f53cf9p-20, 0x1.bd74e0a0049b7p-20, 0x1.ba4598da0ea04p-20, 0x1.b71ee17c9fc9cp-20, 0x1.b3f40dd8e80b4p-20, 0x1.b0d2e4e7de28bp-20, 0x1.adb6c10538bd2p-20, 0x1.aa9f6bff51897p-20, 0x1.a78d02f2a5c3fp-20, 0x1.a47eff88ea713p-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.d00664167f2f2p-4, 0x1.4b666127b5f46p-3, 0x1.9e98479e8c9adp-3, 0x1.dfb4d9fa05bp-3, 0x1.06f6ff33df3ffp-2, 0x1.14a0ae727d407p-2, 0x1.191fa675e2fcfp-2, 0x1.14ef889306e46p-2, 0x1.08aeaacf030bbp-2, 0x1.ea22962b18e4ep-3, 0x1.b5afa1e9f1cc3p-3, 0x1.758edc56373d1p-3, 0x1.2b4930907cc49p-3, 0x1.b0bbc797103edp-4, 0x1.f8f2adceed616p-5, 0x1.e41858e1903d4p-7, -0x1.19382ec3b707bp-5, -0x1.5c89636013282p-4, -0x1.188e182981bc6p-3, -0x1.842f1bbadd641p-3, -0x1.f04578a9887d1p-3, -0x1.2e038babede0cp-2, -0x1.6360888aea817p-2, -0x1.97eb4040bddebp-2, -0x1.cb5f97eed945cp-2, -0x1.fd8319a57c816p-2, -0x1.17121de7dc029p-1, -0x1.2e8cd38ac1eccp-1, -0x1.4520c01a3a0fbp-1, -0x1.5ac05c3b76d3cp-1, -0x1.6f61301f5676cp-1, -0x1.82fb82cd7813dp-1, -0x1.958a0f0f02779p-1, -0x1.a709bab3a8407p-1, -0x1.b779548388686p-1, -0x1.c6d9579a22c51p-1, -0x1.d52bb2604e10fp-1, -0x1.e27394786f9c2p-1, -0x1.eeb540de7491bp-1, -0x1.f9f5e41a7d6f4p-1, -0x1.021db7dc97215p+0, -0x1.06c63d05b35ffp+0, -0x1.0af8100081f1cp+0, -0x1.0eb6f5c3fb6f9p+0, -0x1.1206de1886beap+0, -0x1.14ebd91268f15p+0, -0x1.176a0dd093935p+0, -0x1.1985b21daea25p+0, -0x1.1b4302f54f2e8p+0, -0x1.1ca63e1c0c864p+0, -0x1.1db39c5053511p+0, -0x1.1e6f4c0db7e7dp+0, -0x1.1edd6d881eb84p+0, -0x1.1f020eac861dap+0, -0x1.1ee128027514fp+0, -0x1.1e7e9a6245bdp+0, -0x1.1dde2c05050f4p+0, -0x1.1d038775af768p+0, -0x1.1bf23a306b51fp+0, -0x1.1aadb315f127bp+0, -0x1.1939424275b6bp+0, -0x1.179817fb11c9ep+0, -0x1.15cd4535f06f4p+0, -0x1.13dbbade0460bp+0, -0x1.11c64a5d82785p+0, -0x1.0f8fa5b5eef47p+0, -0x1.0d3a602b7d144p+0, -0x1.0ac8ee587f7c2p+0, -0x1.083da780cb9dbp+0, -0x1.059ac5b72a299p+0, -0x1.02e266abc949p+0, -0x1.00168d02a72e6p+0, -0x1.fa7240abbf805p-1, -0x1.f497ddbb2bb0fp-1, -0x1.eea15beb369a8p-1, -0x1.e891f5f44df1ep-1, -0x1.e26cb8dbecb9bp-1, -0x1.dc348619e6a8fp-1, -0x1.d5ec13ce6ba0ap-1, -0x1.cf95f069ff715p-1, -0x1.c934836ed1408p-1, -0x1.c2ca0f2a9787ep-1, -0x1.bc58b365aa69ep-1, -0x1.b5e26d68d436dp-1, -0x1.af691b2bb00b3p-1, -0x1.a8ee7c02c9fe3p-1, -0x1.a274319a4587ap-1, -0x1.9bfbc3907a738p-1, -0x1.95869e3a20138p-1, -0x1.8f1615c906134p-1, -0x1.88ab663a658f5p-1, -0x1.8247b65ecf4b5p-1, -0x1.7bec178b60462p-1, -0x1.759986ff2c01ap-1, -0x1.6f50ef31b13cfp-1, -0x1.69132944572fp-1, -0x1.62e0fd212a82p-1, -0x1.5cbb231002b31p-1, -0x1.56a2444823dedp-1, -0x1.5096fbfb3b09cp-1, -0x1.4a99d864c086cp-1, -0x1.44ab5aa184fc2p-1, -0x1.3ecbf8839d718p-1, -0x1.38fc1c632b7fep-1, -0x1.333c269e867a5p-1, -0x1.2d8c6d74a4f17p-1, -0x1.27ed3e33ee353p-1, -0x1.225edcc2405aap-1, -0x1.1ce185e5453b1p-1, -0x1.17756e2dc5e4cp-1, -0x1.121ac30305399p-1, -0x1.0cd1ab301048ap-1, -0x1.079a470fe4d93p-1, -0x1.0274b11e02185p-1, -0x1.fac1fccbc5baap-2, -0x1.f0be7d0851748p-2, -0x1.e6def8bafc94bp-2, -0x1.dd237c912aaep-2, -0x1.d38c0c3afd79fp-2, -0x1.ca18a41800e73p-2, -0x1.c0c9389592a2bp-2, -0x1.b79db7582c165p-2, -0x1.ae9607423efd7p-2, -0x1.a5b20950b5712p-2, -0x1.9cf198f863c2dp-2, -0x1.94548c5d4d002p-2, -0x1.8bdab43cfba72p-2, -0x1.8383dd41778b7p-2, -0x1.7b4fcfae31538p-2, -0x1.733e4fcfdd455p-2, -0x1.6b4f1e6b9fe9dp-2, -0x1.6381f8e850d72p-2, -0x1.5bd698c6be9a3p-2, -0x1.544cb615c97e6p-2, -0x1.4ce4052fd28a8p-2, -0x1.459c385bfd7f3p-2, -0x1.3e74ff98af1fcp-2, -0x1.376e08d0de889p-2, -0x1.3086fffc769efp-2, -0x1.29bf902474738p-2, -0x1.231761ab379cdp-2, -0x1.1c8e1c471f54dp-2, -0x1.162366628e1a8p-2, -0x1.0fd6e59a656ebp-2, -0x1.09a83d466bc73p-2, -0x1.039711fd007e4p-2, -0x1.fb460c7bfb424p-3, -0x1.ef9778558a859p-3, -0x1.e421ab3b9bc56p-3, -0x1.d8e3e7c3a29c7p-3, -0x1.cddd701961dd2p-3, -0x1.c30d85b085861p-3, -0x1.b8736a51c065bp-3, -0x1.ae0e5ed682938p-3, -0x1.a3dda4abb5dd3p-3, -0x1.99e07cf0ea4c7p-3, -0x1.90162a229e00bp-3, -0x1.867deecb53e77p-3, -0x1.7d170c49ac63fp-3, -0x1.73e0c678d1a14p-3, -0x1.6ada61947c922p-3, -0x1.62032262d4bdcp-3, -0x1.595a4ecbe2c99p-3, -0x1.50df2d884950cp-3, -0x1.489106931dde1p-3, -0x1.406f22eb70be2p-3, -0x1.3878ccf7d4a46p-3, -0x1.30ad501f86339p-3, -0x1.290bf9586e3e9p-3, -0x1.219416e9d9123p-3, -0x1.1a44f8af1fc1ep-3, -0x1.131def9d0442cp-3, -0x1.0c1e4efd7908bp-3, -0x1.05456ad0053dfp-3, -0x1.fd25320bb5528p-4, -0x1.f00a62491f9c7p-4, -0x1.e3391a982aad9p-4, -0x1.d6b00f49b4a3fp-4, -0x1.ca6dfa753eae7p-4, -0x1.be71994e98b7fp-4, -0x1.b2b9ac8f01edcp-4, -0x1.a744f8248edf9p-4, -0x1.9c12440f1a22dp-4, -0x1.91205bde62902p-4, -0x1.866e0f02b1cdep-4, -0x1.7bfa302e65f6fp-4, -0x1.71c3962e34365p-4, -0x1.67c91b72e7cb3p-4, -0x1.5e099e39b0bb4p-4, -0x1.5484004444dbbp-4, -0x1.4b372828b4d5p-4, -0x1.4221fe6eb3202p-4, -0x1.394370e0a258cp-4, -0x1.309a709c6b558p-4, -0x1.2825f21450f78p-4, -0x1.1fe4ee812a3e6p-4, -0x1.17d6620ddb49p-4, -0x1.0ff94ce06b5e2p-4, -0x1.084cb27c9cca6p-4, -0x1.00cf9bab7c611p-4, -0x1.f302251d6cbafp-5, -0x1.e4c04d1ca9a6p-5, -0x1.d6d7d4ecf2b9fp-5, -0x1.c946e917f7a99p-5, -0x1.bc0bbd716fa7p-5, -0x1.af248d7d39233p-5, -0x1.a28f9b0cd46b7p-5, -0x1.964b2fd76c6fp-5, -0x1.8a559cb56b5a2p-5, -0x1.7ead361b7d532p-5, -0x1.735062776b518p-5, -0x1.683d7f8e3abf2p-5, -0x1.5d72fbbf424dfp-5, -0x1.52ef4aac95a9fp-5, -0x1.48b0e531abe19p-5, -0x1.3eb64c2a257cep-5, -0x1.34fe067aec648p-5, -0x1.2b86a1675d864p-5, -0x1.224eb1b9ea8f4p-5, -0x1.1954cff272d14p-5, -0x1.10979e8c00d55p-5, -0x1.0815c33b71b88p-5, -0x1.ff9bd60308c03p-6, -0x1.ef7d93183e16fp-6, -0x1.dfce30745b31ep-6, -0x1.d08b2c1cff4fbp-6, -0x1.c1b20b3247428p-6, -0x1.b34069e1d8df3p-6, -0x1.a533e6ae46bebp-6, -0x1.978a2e741e426p-6, -0x1.8a40f86ea1f1p-6, -0x1.7d5608c90a0ecp-6, -0x1.70c72c2e2ad17p-6, -0x1.6492367009bf5p-6, -0x1.58b510f952a98p-6, -0x1.4d2da6cdf837cp-6, -0x1.41f9eff4981bp-6, -0x1.3717ee6276a3fp-6, -0x1.2c85ad621f1d4p-6, -0x1.224142af58d17p-6, -0x1.1848cf2e2167cp-6, -0x1.0e9a797e26cefp-6, -0x1.0534767cf95acp-6, -0x1.f82a024d4c939p-7, -0x1.e674be4eddd9ep-7, -0x1.d545bb32d283ep-7, -0x1.c499a5f11c216p-7, -0x1.b46d3f9fd0166p-7, -0x1.a4bd5898444a4p-7, -0x1.9586d37f64319p-7, -0x1.86c69fb1a24a3p-7, -0x1.7879c1ff98811p-7, -0x1.6a9d4d3f5528p-7, -0x1.5d2e61a7e286bp-7, -0x1.502a3328224ap-7, -0x1.438dfd82d8e16p-7, -0x1.37571660eef0fp-7, -0x1.2b82d5cbb509cp-7, -0x1.200ec3d97c11bp-7, -0x1.14f8415bb0953p-7, -0x1.0a3ce0530a9f5p-7, -0x1.ffb46c8b8b837p-8, -0x1.eb9bd4b742855p-8, -0x1.d82b5c2073dbcp-8, -0x1.c55e89a601c6dp-8, -0x1.b330f4fe34cc4p-8, -0x1.a19e53bf6752bp-8, -0x1.90a2713723975p-8, -0x1.80392d7e56461p-8, -0x1.705e801f7a8d2p-8, -0x1.610e7bccc4a04p-8, -0x1.52454e09b539ap-8, -0x1.43ff3b3568071p-8, -0x1.3638a12f76fabp-8, -0x1.28eded4db7b06p-8, -0x1.1c1b9ce8a699bp-8, -0x1.0fbe3eabd10b6p-8, -0x1.03d27758cc38ap-8, -0x1.f0aa096a16813p-9, -0x1.da85804e469f2p-9, -0x1.c5312a6895784p-9, -0x1.b0a71fb79b19ap-9, -0x1.9ce18619ab1d4p-9, -0x1.89da880eba564p-9, -0x1.778c7211dfd14p-9, -0x1.65f1c1b7dfbcdp-9, -0x1.5504b25d4849ep-9, -0x1.44c03ba251e95p-9, -0x1.351f800d38c2p-9, -0x1.261d751032774p-9, -0x1.17b5740738057p-9, -0x1.09e301a2aa355p-9, -0x1.f942e103b73edp-10, -0x1.dfd844a3c60c8p-10, -0x1.c77cebfa141a3p-10, -0x1.b027d9091aa32p-10, -0x1.99d07ca4f2fd8p-10, -0x1.846ed02964a3cp-10, -0x1.6ffb5e6c6941ap-10, -0x1.5c6f11aedb3e8p-10, -0x1.49c2fae75b726p-10, -0x1.37f00ed4b5fa9p-10, -0x1.26ef19026f12p-10, -0x1.16b89a26b9533p-10, -0x1.07452f9a73902p-10, -0x1.f11b6cf25a727p-11, -0x1.d516ed62a90eep-11, -0x1.ba70ad6f6f43dp-11, -0x1.a11d9cc0ad0e8p-11, -0x1.891368e396582p-11, -0x1.7247fe44d9a45p-11, -0x1.5cb0f46aa975ap-11, -0x1.48436c356d3eap-11, -0x1.34f3f6898de1ep-11, -0x1.22b6f77492aep-11, -0x1.1180bb16e0395p-11, -0x1.01480b7abc347p-11, -0x1.e403d7e60917fp-12, -0x1.c74c6001996d8p-12, -0x1.ac5a18f695253p-12, -0x1.931e47ae2c18ap-12, -0x1.7b8a340f1bec8p-12, -0x1.658e4f40c2211p-12, -0x1.511b35102efdp-12, -0x1.3e1f5ede9bc74p-12, -0x1.2c8a6fb3f147bp-12, -0x1.1c4be2a50929cp-12, -0x1.0d54b54e917d1p-12, -0x1.ff2cdad21314p-13, -0x1.e607fe22498a1p-13, -0x1.cf23b105106d6p-13, -0x1.ba6b833b0b037p-13, -0x1.a7c8af0528e6ap-13, -0x1.972628b846c7ep-13, -0x1.886d441b11287p-13, -0x1.7b87fd9506d4ap-13, -0x1.70607e130fc7cp-13, -0x1.66e086e2dceb2p-13, -0x1.5ef176552deacp-13, -0x1.587d46df41b99p-13, -0x1.536f7965e316fp-13, -0x1.4fb7c6925aac3p-13, -0x1.4d4693fc3c1b4p-13, -0x1.4c0cf0bd15fd2p-13, -0x1.4bfb5d3574314p-13, -0x1.4d02804a826c2p-13, -0x1.4f140b0b351b2p-13, -0x1.52211bdbe3107p-13, -0x1.561fc4c8f4bbap-13, -0x1.5afb07cf5372cp-13, -0x1.60a30a9144043p-13, -0x1.670a248bb24a1p-13, -0x1.6e237a42df1fp-13, -0x1.75e4db11e07cep-13, -0x1.7e458e51c5e29p-13, -0x1.873c4df8a22a8p-13, -0x1.90bebf668fe98p-13, -0x1.9ac2e37d22028p-13, -0x1.a53f6ff426a55p-13, -0x1.b02b7c01051bep-13, -0x1.bb79b2ac56316p-13, -0x1.c7204d7979f43p-13, -0x1.d312a93408016p-13, -0x1.df47991626de1p-13, -0x1.ebb84ddaa4466p-13, -0x1.f860876bbd222p-13, -0x1.029d9e958d342p-12, -0x1.092173e5cdd0ep-12, -0x1.0fb99898790a6p-12, -0x1.166393a3a547p-12, -0x1.1d1cbb5f3e1ap-12, -0x1.23e15f6a37bf2p-12, -0x1.2aad1f93e7415p-12, -0x1.317b0d9c207a7p-12, -0x1.38469da3facdbp-12, -0x1.3f0d6e934690ap-12, -0x1.45cdefe869b49p-12, -0x1.4c86de090946ap-12, -0x1.533708586d176p-12, -0x1.59dce489ff2e7p-12, -0x1.60777adccafdbp-12, -0x1.6705d8f6d07cep-12, -0x1.6d87e7fda5d6dp-12, -0x1.73fbb0d16d7e8p-12, -0x1.7a5f4818bd5acp-12, -0x1.80af8521b999p-12, -0x1.86e977a1dc4efp-12, -0x1.8d0a5ab5a4da7p-12, -0x1.93105f7b1b8e5p-12, -0x1.98fa8c7a7dacdp-12, -0x1.9ec904734702cp-12, -0x1.a47ba793abc2bp-12, -0x1.aa11e704365e5p-12, -0x1.af8afa0b25884p-12, -0x1.b4e6941dd58abp-12, -0x1.ba24ad81be4f6p-12, -0x1.bf44b632c51d7p-12, -0x1.c4455105dcd06p-12, -0x1.c9273797393d9p-12, -0x1.cde828a7b183p-12, -0x1.d28783d94ceap-12, -0x1.d7041f5816616p-12, -0x1.db5c90cee23dbp-12, -0x1.df909d3f7d34fp-12, -0x1.e3a09888d019dp-12, -0x1.e78cdd1f11d5bp-12, -0x1.eb553bbcf48c8p-12, -0x1.eefa10d641949p-12, -0x1.f27adf66b545bp-12, -0x1.f5d7d9714b9bep-12, -0x1.f911193b298e9p-12, -0x1.fc253e68da864p-12, -0x1.ff15af3ea27f4p-12, -0x1.00f118019cc74p-11, -0x1.02455bd623e07p-11, -0x1.03878394d05f6p-11, -0x1.04b772243dbb8p-11, -0x1.05d51cf1db5a4p-11, -0x1.06e0eab12c2c6p-11, -0x1.07dabec7f5419p-11, -0x1.08c298c1384ffp-11, -0x1.0998bdec01232p-11, -0x1.0a5d670f4df5fp-11, -0x1.0b10a1e4f1dd3p-11, -0x1.0bb27459e38a8p-11, -0x1.0c4301502060bp-11, -0x1.0cc27ea0156d2p-11, -0x1.0d3137301c06p-11, -0x1.0d8f4b1ec2fa9p-11, -0x1.0ddcc97f350fcp-11, -0x1.0e19d28e95035p-11, -0x1.0e4690815eeb4p-11, -0x1.0e63578ff1c2p-11, -0x1.0e7053900376p-11, -0x1.0e6dae6ec9c7ep-11, -0x1.0e5bb9961d5fdp-11, -0x1.0e3a0b1b96b2fp-11, -0x1.0e09ebcebb5d7p-11, -0x1.0dcab155fe6c8p-11, -0x1.0d7ced67927e8p-11, -0x1.0d209cdefeb19p-11, -0x1.0cb6380c2a061p-11, -0x1.0c3de4e41f49ap-11, -0x1.0bb7b28dd84edp-11, -0x1.0b240aebb4822p-11, -0x1.0a8314d783f3ep-11, -0x1.09d52be25a16ep-11, -0x1.091a7a8e5937dp-11, -0x1.085333c6f9849p-11, -0x1.077f9cddf5954p-11, -0x1.069fe79eea17ep-11, -0x1.05b456cd56da3p-11, -0x1.04bd2ff3c69aep-11, -0x1.03ba6ba7dc9e2p-11, -0x1.02ac9bd52fef1p-11, -0x1.0193e7075de45p-11, -0x1.00708e53887c8p-11, -0x1.fe8577df04279p-12, -0x1.fc159b36daa9p-12, -0x1.f991a4d7dd47fp-12, -0x1.f6f9fb4e07d21p-12, -0x1.f44f073611c4ap-12, -0x1.f191cb91bdbc3p-12, -0x1.eec2873239931p-12, -0x1.ebe1ce78225cdp-12, -0x1.e8efedd0cf105p-12, -0x1.e5ed476922a58p-12, -0x1.e2da088749961p-12, -0x1.dfb7af8460cap-12, -0x1.dc85b629fecddp-12, -0x1.d944c3234a202p-12, -0x1.d5f531696aeadp-12, -0x1.d297731f71244p-12, -0x1.cf2c2f410af88p-12, -0x1.cbb3e884762f5p-12, -0x1.c82f0ad9a6d99p-12, -0x1.c49db7aa4cc79p-12, -0x1.c1006057dc789p-12, -0x1.bd571da544aa6p-12, -0x1.b9a311692c07ap-12, -0x1.b5e48d636128ep-12, -0x1.b21bb5e14c93ap-12, -0x1.ae48da7530be9p-12, -0x1.aa6c96346a1cap-12, -0x1.a68748b410067p-12, -0x1.a29948d310817p-12, -0x1.9ea2f0bc65faep-12, -0x1.9aa47eca35983p-12, -0x1.969efbdc9b105p-12, -0x1.9291861a41effp-12, -0x1.8e7d69ffec979p-12, -0x1.8a62aaa623177p-12, -0x1.864195b59bfbp-12, -0x1.821ad10047cf1p-12, -0x1.7dee908f4d62bp-12, -0x1.79bcf44a0d87ap-12, -0x1.758696e730766p-12, -0x1.714bc35f12fb5p-12, -0x1.6d0c71fc12cd4p-12, -0x1.68c90b1ee27b6p-12, -0x1.6482c3f17294p-12, -0x1.6038e7f322c1dp-12, -0x1.5bec07fb870f9p-12, -0x1.579c4fc614b31p-12, -0x1.534a91247773fp-12, -0x1.4ef636945141ap-12, -0x1.4aa02a14be648p-12, -0x1.4648b5617bdf7p-12, -0x1.41efbd276e4aep-12, -0x1.3d95cb375d888p-12, -0x1.393b10e611959p-12, -0x1.34dfc51e4a61p-12, -0x1.3084045a266f8p-12, -0x1.2c27ee667a30fp-12, -0x1.27cc1e338f358p-12, -0x1.23717e82eb0d1p-12, -0x1.1f1673a8b7458p-12, -0x1.1abc8d04a30e7p-12, -0x1.1663c47cb45ap-12, -0x1.120c5451a87aap-12, -0x1.0db63d629e248p-12, -0x1.09623a4e0d9f1p-12, -0x1.050fdc6253418p-12, -0x1.00bf809f54da2p-12, -0x1.f8e3d85b93fb8p-13, -0x1.f04c0a5e96584p-13, -0x1.e7ba21b62da7dp-13, -0x1.df2e0dd3b6ecfp-13, -0x1.d6a7e120da70dp-13, -0x1.ce282c40df0aap-13, -0x1.c5aef7807e2ddp-13, -0x1.bd3cde411a9b9p-13, -0x1.b4d1dd9a499bfp-13, -0x1.ac6ec221ccf21p-13, -0x1.a4135d3eb1dfdp-13, -0x1.9bbf7d6c919c9p-13, -0x1.93750f5d03946p-13, -0x1.8b33b00bebc5ap-13, -0x1.82f9fc4d3af36p-13, -0x1.7aca36b91f0b8p-13, -0x1.72a3fda9a665cp-13, -0x1.6a878ceb80658p-13, -0x1.6275193fb7fa7p-13, -0x1.5a6cd8bcb052ap-13, -0x1.526f2c9fca97bp-13, -0x1.4a7c091687b86p-13, -0x1.4293d1f87d7bdp-13, -0x1.3ab67b191dfd2p-13, -0x1.32e4c90fddb1bp-13, -0x1.2b1e5f2a25dccp-13, -0x1.236393f11dddp-13, -0x1.1bb4aaac0f8bp-13, -0x1.14119f5ab06a6p-13, -0x1.0c7b170d8ab56p-13, -0x1.04f07eb81de32p-13, -0x1.fae52aab1c098p-14, -0x1.ec02228edb13bp-14, -0x1.dd3952df619dfp-14, -0x1.ce892b4833fb5p-14, -0x1.bff6763fff23ap-14, -0x1.b17889df5936fp-14, -0x1.a317f0f26760bp-14, -0x1.94d2173c4e48dp-14, -0x1.86a73365dac5fp-14, -0x1.78977bfbe93fp-14, -0x1.6aa30852ae681p-14, -0x1.5cca255fda191p-14, -0x1.4f0d193d4d2dap-14, -0x1.416bd76a1a4f3p-14, -0x1.33e6b768d656ap-14, -0x1.267dd37d7e132p-14, -0x1.1930ad70d7a21p-14, -0x1.0c0117c59b912p-14, -0x1.fddad47c9374ap-15, -0x1.e3ed3285c846p-15, -0x1.ca392b07c0834p-15, -0x1.b0be3e909c589p-15, -0x1.977e451e773d9p-15, -0x1.7e77ac5b93054p-15, -0x1.65ac6ef004391p-15, -0x1.4d1b4ffa8b2c3p-15, -0x1.34c4513525bf8p-15, -0x1.1ca5c13e90267p-15, -0x1.04c505dab68f7p-15, -0x1.da3e8f62a5034p-16, -0x1.ab6647572dccap-16, -0x1.7d042e1db274dp-16, -0x1.4f1bfb95d6cddp-16, -0x1.21a3672da2239p-16, -0x1.e944808f4423fp-17, -0x1.902f2f950ee4ep-17, -0x1.3812ddc48849ep-17, -0x1.c1937226128bap-18, -0x1.14f27277f1c13p-18, -0x1.a828bff6e8ef4p-20, 0x1.f68399b9b5509p-21, 0x1.cbd82c38a76f5p-19, 0x1.8b374c75e6cb3p-18, 0x1.1756f7f4b507ep-17, 0x1.6827e1e980be9p-17, 0x1.b819264553a63p-17, 0x1.0387bc6548f61p-16, 0x1.2a93362335265p-16, 0x1.512a7469d994fp-16, 0x1.774e511bb58acp-16, 0x1.9cfee22fab8ebp-16, 0x1.c23c60c79f81ap-16, 0x1.e70757adb096dp-16, 0x1.05affcd94ba75p-15, 0x1.17a329e5f9687p-15, 0x1.295d6a2819057p-15, 0x1.3adfb521569c4p-15, 0x1.4c2d83375db9cp-15, 0x1.5d3b15314bc2ap-15, 0x1.6e14674816a59p-15, 0x1.7eb592a5ec011p-15, 0x1.8f1ffb064d6cp-15, 0x1.9f5399b3bdd5fp-15, 0x1.af4fbbc9cb149p-15, 0x1.bf1049d227e85p-15, 0x1.cea3130d686f9p-15, 0x1.ddfbf8589aafcp-15, 0x1.ed1ef0d3a5242p-15, 0x1.fc0b54a8f0b5cp-15, 0x1.056192c842cadp-14, 0x1.0ca2be944db57p-14, 0x1.13c95bdb020dap-14, 0x1.1ad5d9504d0b1p-14, 0x1.21c74d69b7104p-14, 0x1.28a02bbdbbde4p-14, 0x1.2f5e802fc38cep-14, 0x1.36032949b8ccp-14, 0x1.3c8e3e4a6854ep-14, 0x1.42ffd84d413e8p-14, 0x1.49587d5ca308fp-14, 0x1.4f9820ad384dp-14, 0x1.55be71d1669e1p-14, 0x1.5bcbe4834b50fp-14, 0x1.61c107f93bdd7p-14, 0x1.679da72c75ec5p-14, 0x1.6d6204318d0ebp-14, 0x1.730e56f5d8553p-14, 0x1.78a29b6bcb2bbp-14, 0x1.7e1f2356c2e29p-14, 0x1.8383fa3017bdbp-14, 0x1.88d17c5ad050ep-14, 0x1.8e079516e0013p-14, 0x1.9326a43a07f1bp-14, 0x1.982ed4256d5fbp-14, 0x1.9d1f04fa6940bp-14, 0x1.a1fac523156e5p-14, 0x1.a6bf488e8c096p-14, 0x1.ab6d67dfc913ap-14, 0x1.b005563b36a84p-14, 0x1.b487e0f2ce8dcp-14, 0x1.b8f403aa20de8p-14, 0x1.bd4ad5ed22abfp-14, 0x1.c18c51fefa9cep-14, 0x1.c5ba5e87c348cp-14, 0x1.c9d001b9320fdp-14, 0x1.cdd1c84d74dfdp-14, 0x1.d1c06b4abd5c7p-14, 0x1.d599fd845f1dbp-14, 0x1.d95d1e2da52cap-14, 0x1.dd0f7e1ad898dp-14, 0x1.e0aeb2cb7789fp-14, 0x1.e43580968c098p-14, 0x1.e7aaced7db87ep-14, 0x1.eb0cf9eccab62p-14, 0x1.ee5bd869fbc52p-14, 0x1.f1979247170eep-14, 0x1.f4c05131e7fa3p-14, 0x1.f7d6bbb985548p-14, 0x1.fada2eda2328dp-14, 0x1.fdcb8a23464cep-14, 0x1.00553cf64cb93p-13, 0x1.01bba5dbddd8ep-13, 0x1.0319419785a35p-13, 0x1.046e0df39e0e5p-13, 0x1.05ba1136580d2p-13, 0x1.06fd3f0bc1453p-13, 0x1.08380feb73c3p-13, 0x1.096a650f4bbd3p-13, 0x1.0a944c5679075p-13, 0x1.0bb5859dca84p-13, 0x1.0ccee2410634cp-13, 0x1.0de051a9b41bap-13, 0x1.0ee94ae348e76p-13, 0x1.0fea5b89848cdp-13, 0x1.10e3917e1748ep-13, 0x1.11d4fbf79e67cp-13, 0x1.12bd9033a60d5p-13, 0x1.13a0bc0f91133p-13, 0x1.147b2696bd7a8p-13, 0x1.154e22d70c524p-13, 0x1.1619bfe3c892dp-13, 0x1.16df04f316f0cp-13, 0x1.179b1067c2029p-13, 0x1.1850ef2074643p-13, 0x1.18ffd061eaebfp-13, 0x1.19a79d5c4ee1bp-13, 0x1.1a48933b78e99p-13, 0x1.1ae2988e359d7p-13, 0x1.1b75edba0b608p-13, 0x1.1c02505475d37p-13, 0x1.1c88aa244cee8p-13, 0x1.1d0839960193cp-13, 0x1.1d8149e0c7de4p-13, 0x1.1df40ef037aa8p-13, 0x1.1e610bada7017p-13, 0x1.1ec7c58507da9p-13, 0x1.1f26d574ef124p-13, 0x1.1f80efe2b0c53p-13, 0x1.1fd500d858852p-13, 0x1.20234c19e461dp-13, 0x1.206b7ef52e6c8p-13, 0x1.20ae200bfbc37p-13, 0x1.20eae33c0e67p-13, 0x1.2122391cd78d8p-13, 0x1.2153fb90bc761p-13, 0x1.217fda792e752p-13, 0x1.21a718f6f65d8p-13, 0x1.21c864fb5fd6ap-13, 0x1.21e4b892f7b67p-13, 0x1.21fbc1f8ac5dap-13, 0x1.220dac79d3d32p-13, 0x1.221a886a460c9p-13, 0x1.2222063764b3cp-13, 0x1.2225634a1379p-13, 0x1.222372f6720cep-13, 0x1.221cc2d2ff9dep-13, 0x1.22115ad4b6918p-13, 0x1.22014b5d4bb37p-13, 0x1.21eca5ea35121p-13, 0x1.21d33576ecd59p-13, 0x1.21b5d8a8d7385p-13, 0x1.2193cd9c33008p-13, 0x1.216d70887552ap-13, 0x1.2142ccdfccf13p-13, 0x1.2113f6afd0decp-13, 0x1.20e0f174e64ep-13, 0x1.20a987cbc61d2p-13, 0x1.206ec3783f73fp-13, 0x1.202fbd45d00efp-13, 0x1.1fecd3c7bd38dp-13, 0x1.1fa5d53d03754p-13, 0x1.1f5b3b5d59372p-13, 0x1.1f0db018d830ep-13, 0x1.1ebafde5cc79fp-13, 0x1.1e651fc70cdc1p-13, 0x1.1e0c1a3fd3379p-13, 0x1.1daf84809b03cp-13, 0x1.1d4f616965598p-13, 0x1.1cec59cae5834p-13, 0x1.1c84eb7c24c61p-13, 0x1.1c1ad90db3acfp-13, 0x1.1bad71ede6f91p-13, 0x1.1b3cf1d72fd24p-13, 0x1.1ac9fc5ce95a2p-13, 0x1.1a52781971b82p-13, 0x1.19d8c2058d6fp-13, 0x1.195bfc309ac0cp-13, 0x1.18dd05deb6484p-13, 0x1.185a0ca4117f1p-13, 0x1.17d49f192cedp-13, 0x1.174ca60c91934p-13, 0x1.16c1ba4613c28p-13, 0x1.163443d2152fap-13, 0x1.15a42c93ea7ecp-13, 0x1.151181d7c0bbbp-13, 0x1.147c5033ac2fcp-13, 0x1.13e4a609be8fep-13, 0x1.134a98aa20df6p-13, 0x1.12ae1eb55872cp-13, 0x1.120f26840d103p-13, 0x1.116e5527e02aep-13, 0x1.10cab8f72f378p-13, 0x1.1025180144abcp-13, 0x1.0f7d58af9cffp-13, 0x1.0ed37b35bba1ep-13, 0x1.0e276cbaaf6c8p-13, 0x1.0d796cd24af33p-13, 0x1.0cc984886df94p-13, 0x1.0c17533e056cap-13, 0x1.0b63a5abb04c8p-13, 0x1.0aade40b73fc4p-13, 0x1.09f6473a6dfd6p-13, 0x1.093ce643b4411p-13, 0x1.0881c5992c9c1p-13, 0x1.07c4e88de217cp-13, 0x1.07065ad9a683p-13, 0x1.064629e95866fp-13, 0x1.05846d9729afp-13, 0x1.04c1c83a36142p-13, 0x1.03fbe0987f418p-13, 0x1.033708ff46219p-13, 0x1.026dedc643532p-13, 0x1.01a4a6aec9987p-13, 0x1.00da067a4c526p-13, 0x1.000e1806d90dbp-13, 0x1.fe8148322fef2p-14, 0x1.fce3f4551eee1p-14, 0x1.fb441e84bc03dp-14, 0x1.f9a252bac51d6p-14, 0x1.f7fdb7b8f1b4cp-14, 0x1.f656897c41dcfp-14, 0x1.f4adbd1908014p-14, 0x1.f3023b5db7f67p-14, 0x1.f1550bc41560cp-14, 0x1.efa561f212ce1p-14, 0x1.edf38907a0c9fp-14, 0x1.ec41a39322f2ep-14, 0x1.ea8afe2639ca2p-14, 0x1.e8d3de07ddfb6p-14, 0x1.e71aedcdb07abp-14, 0x1.e55ee0bef53b9p-14, 0x1.e3a3dcaaf6ccbp-14, 0x1.e1e5deb133406p-14, 0x1.e0267dc683c42p-14, 0x1.de65faaa5085bp-14, 0x1.dca2f00a7d222p-14, 0x1.dadfa8f3f22a2p-14, 0x1.d91a8ff2895aap-14, 0x1.d75433141318ep-14, 0x1.d58ca18c5c1d8p-14, 0x1.d3c42692c3bfap-14, 0x1.d1f9e33f533f3p-14, 0x1.d02ef1c37ce73p-14, 0x1.ce6315e29c6bap-14, 0x1.cc9776de64fap-14, 0x1.cac825be7dcb8p-14, 0x1.c8f942fcd40eep-14, 0x1.c72a07c47f787p-14, 0x1.c55850c06cc26p-14, 0x1.c38815548c2aep-14, 0x1.c1b5f9c8beefep-14, 0x1.bfe333ccd51dcp-14, 0x1.be101ae23d60ap-14, 0x1.bc3c51fae1c2ep-14, 0x1.ba67e9314fcep-14, 0x1.b892fbbbdbec8p-14, 0x1.b6bd92cd2aea3p-14, 0x1.b4e9d5a59bf0ap-14, 0x1.b311fcdab2d03p-14, 0x1.b13b503108bb3p-14, 0x1.af64968df70a1p-14, 0x1.ad8d7a6a333aep-14, 0x1.abb63e1ab777ep-14, 0x1.a9dcac5a1002dp-14, 0x1.a806e032c0a6bp-14, 0x1.a62f5c367a73p-14, 0x1.a457c95b3daf5p-14, 0x1.a27f7f46ecc08p-14, 0x1.a0a7ab24355ddp-14, 0x1.9ed11c9b820dap-14, 0x1.9cf7d2a7224cap-14, 0x1.9b2013c89fa4p-14, 0x1.99487e3608563p-14, 0x1.9770ec2f133f8p-14, 0x1.9599a7027db6cp-14, 0x1.93c3ee96914dep-14, 0x1.91eb645abb8dp-14, 0x1.901692c4d4c08p-14, 0x1.8e3e63acaa4a8p-14, 0x1.8c67982f4a869p-14, 0x1.8a92a1839ee5ep-14, 0x1.88bd2eeb51f37p-14, 0x1.86e86c6f7e2b5p-14, 0x1.8513e5d12263ep-14, 0x1.833fe39acc2b8p-14, 0x1.816c31d6f2086p-14, 0x1.7f9916e79fddp-14, 0x1.7dc6c4a45bf43p-14, 0x1.7bf4b5a285786p-14, 0x1.7a23431f57366p-14, 0x1.7852705425934p-14, 0x1.768254db3127ap-14, 0x1.74b2d0663a554p-14, 0x1.72e3f50b57db5p-14, 0x1.71162ced73815p-14, 0x1.6f48c0bd550f3p-14, 0x1.6d7bb97d37f32p-14, 0x1.6bafe466cfb45p-14, 0x1.69e48e2383ebcp-14, 0x1.681a398423b77p-14, 0x1.6650dc9c1658cp-14, 0x1.64881c6fb8308p-14, 0x1.62bfafd1f2363p-14, 0x1.60f94e8a091cdp-14, 0x1.5f33432cdad9p-14, 0x1.5d6e04b65e81dp-14, 0x1.5ba8c6bcefea1p-14, 0x1.59e6993889b3ep-14, 0x1.5822da28d74c5p-14, 0x1.566299a4f00dbp-14, 0x1.54a2ca2d8f756p-14, 0x1.52e3671610e6dp-14, 0x1.51253b75af55cp-14, 0x1.4f687b80e33b4p-14, 0x1.4daba5e787772p-14, 0x1.4bf0dbc103448p-14, 0x1.4a3724cd3e7a8p-14, 0x1.487dd64f3e1e9p-14, 0x1.46c60088e49cbp-14, 0x1.450f73df84c2p-14, 0x1.435a18ada7018p-14, 0x1.41a5b0878ba34p-14, 0x1.3ff295c135d0fp-14, 0x1.3e4085b1cc03dp-14, 0x1.3c8f2b3fd3ea7p-14, 0x1.3adf8622cb944p-14, 0x1.39320842436eep-14, 0x1.3784ee8b1d5cbp-14, 0x1.35d8b282b25e7p-14, 0x1.342e50355bcfdp-14, 0x1.3284b2c83e67p-14, 0x1.30de9deb24b11p-14, 0x1.2f362e33013c7p-14, 0x1.2d9092007f2afp-14, 0x1.2bec78e02649p-14, 0x1.2a49a1af6933fp-14, 0x1.28a7f5301cf76p-14, 0x1.2707c6ce4c532p-14, 0x1.2568e1c1f4bcap-14, 0x1.23cb395619459p-14, 0x1.222f047d69e2fp-14, 0x1.20947af34204bp-14, 0x1.1ef91a7c974d2p-14, 0x1.1d62d248b9083p-14, 0x1.1bcc2e554d13p-14, 0x1.1a36f1fdf4a91p-14, 0x1.18a2f0a99dbeep-14, 0x1.171066f43d4f2p-14, 0x1.157f579b13232p-14, 0x1.13efccf708ff5p-14, 0x1.126195ed40a8fp-14, 0x1.10d50e11e0e4ap-14, 0x1.0f495e8120a22p-14, 0x1.0dbf66afbc6f5p-14, 0x1.0c372a1f3f9bep-14, 0x1.0ab01897e9db2p-14, 0x1.092a4943c9415p-14, 0x1.07a65cecdbf8fp-14, 0x1.0623bf858cc04p-14, 0x1.04a2a002e1a25p-14, 0x1.0322ed5c1bc96p-14, 0x1.01a554fcd0ff6p-14, 0x1.0028085d4378cp-14, 0x1.fd595bde07f9bp-15, 0x1.fa65d148f5bbfp-15, 0x1.f7758c9474185p-15, 0x1.f48841d1c7994p-15, 0x1.f19d70badf70cp-15, 0x1.eeb5e29b80ccdp-15, 0x1.ebd19c7179bc5p-15, 0x1.e8efbbef12f9p-15, 0x1.e612627a547dap-15, 0x1.e33631a1420ebp-15, 0x1.e05db3dd81cd1p-15, 0x1.dd8755483eb76p-15, 0x1.dab5eb8e123f6p-15, 0x1.d7e68b1ca6883p-15, 0x1.d51a41deba2dbp-15, 0x1.d2510dfe5806bp-15, 0x1.cf8ac44de575fp-15, 0x1.ccc7a2e2b3a7bp-15, 0x1.ca0793b22af83p-15, 0x1.c74ab4c533974p-15, 0x1.c4925ce4fc1b7p-15, 0x1.c1d964a5210f2p-15, 0x1.bf2590b4e1846p-15, 0x1.bc74f8358697cp-15, 0x1.b9c71bb13cc5p-15, 0x1.b71c12146d554p-15, 0x1.b474cb3f7d69p-15, 0x1.b1d048c41f609p-15, 0x1.af301ef200f8ep-15, 0x1.ac8c96d93b3dcp-15, 0x1.a9f297fe8fca9p-15, 0x1.a75c259578b7fp-15, 0x1.a4c6ccf3bedf5p-15, 0x1.a233533471c7ap-15, 0x1.9fa4aeadfca3cp-15, 0x1.9d18fa82d9179p-15, 0x1.9a8fc2b270349p-15, 0x1.9809d72b5ec4ap-15, 0x1.9586c68eb8e44p-15, 0x1.9306239fed67p-15, 0x1.908999de53af6p-15, 0x1.8e0f8b4caf74bp-15, 0x1.8b98d5a1f1e48p-15, 0x1.89258d62e1b6ap-15, 0x1.86b517a47b155p-15, 0x1.8445f9d6435dp-15, 0x1.81db1a180530ep-15, 0x1.7f734bf624075p-15, 0x1.7d0e757ac1c06p-15, 0x1.7aaca0e4025e7p-15, 0x1.784d8ef916959p-15, }}, 
      {{-0x1.03beafcb1f3f2p+2, -0x1.f609039b560a6p+1, -0x1.e13ee6a3895d3p+1, -0x1.ca843260336c7p+1, -0x1.b2e5ebd8991a5p+1, -0x1.9b2c0eac38767p+1, -0x1.83e8b2f0a0f11p+1, -0x1.6d83fe75e1ca1p+1, -0x1.5845892fa91e8p+1, -0x1.445bbf9c8bb9dp+1, -0x1.31e1b26a444dp+1, -0x1.20e3aac44cd99p+1, -0x1.1162c7386e8dfp+1, -0x1.0357d5fa6e926p+1, -0x1.ed6b2ad5b38e4p+0, -0x1.d6d4f5938d7afp+0, -0x1.c2c42feeffe9fp+0, -0x1.b10c67a8b2709p+0, -0x1.a17f496610c9ap+0, -0x1.93edf21b2cc6fp+0, -0x1.8829f095c16eap+0, -0x1.7e0606cb6f333p+0, -0x1.7556b788fc849p+0, -0x1.6df2aaa197372p+0, -0x1.67b2f03147f03p+0, -0x1.627329537b9f3p+0, -0x1.5e119c2a7ef4ap+0, -0x1.5a6f37ce89f98p+0, -0x1.576f8b94d6f55p+0, -0x1.54f8b4e9aeb68p+0, -0x1.52f34641e45a8p+0, -0x1.514a2916a1429p+0, -0x1.4fea7c79be1f4p+0, -0x1.4ec371a735091p+0, -0x1.4dc627a7ec21fp+0, -0x1.4ce586b9b732fp+0, -0x1.4c161c2c8cc34p+0, -0x1.4b4df7602e626p+0, -0x1.4a8488157f1f5p+0, -0x1.49b27e675fbep+0, -0x1.48d1aca57a061p+0, -0x1.47dceb1d71f3dp+0, -0x1.46cffdac70386p+0, -0x1.45a77b5f5cbccp+0, -0x1.4460b7c272325p+0, -0x1.42f9adf1eaf8fp+0, -0x1.4170ed4f4b64p+0, -0x1.3fc587c3e56eap+0, -0x1.3df7017c41e16p+0, -0x1.3c0542215af3fp+0, -0x1.39f0873ae58dcp+0, -0x1.37b957ffda48ap+0, -0x1.35607a3642806p+0, -0x1.32e6e838bdb06p+0, -0x1.304dc7ff5ea0ap+0, -0x1.2d96632e08565p+0, -0x1.2ac21fd86a115p+0, -0x1.27d27a40affa7p+0, -0x1.24c8ff3ddb41cp+0, -0x1.21a7473f598efp+0, -0x1.1e6ef20e2c7c9p+0, -0x1.1b21a2efab7aep+0, -0x1.17c0fd79fc303p+0, -0x1.144ea2ae26a2ep+0, -0x1.10cc2ea12e05ap+0, -0x1.0d3b365e4a1f6p+0, -0x1.099d464d48abbp+0, -0x1.05f3e0a0ce22ep+0, -0x1.02407c53790fap+0, -0x1.fd090841fa2p-1, -0x1.f582aba99e274p-1, -0x1.edf0839414733p-1, -0x1.e65514dea2ef8p-1, -0x1.deb2c8492e7d9p-1, -0x1.d70bea0fe9babp-1, -0x1.cf62a9e7c5812p-1, -0x1.c7b91b2cc58f8p-1, -0x1.c01135487b196p-1, -0x1.b86cd3be0b69cp-1, -0x1.b0cdb71c953e3p-1, -0x1.a93585645ca75p-1, -0x1.a1a5caaf29a65p-1, -0x1.9a1ffa22776fbp-1, -0x1.92a56e718a354p-1, -0x1.8b376af22aa96p-1, -0x1.83d71c53d7afap-1, -0x1.7c859968e95f1p-1, -0x1.7543e44c71c59p-1, -0x1.6e12eaeeeb30cp-1, -0x1.66f388351ee52p-1, -0x1.5fe6849a1ccd6p-1, -0x1.58ec974d2e526p-1, -0x1.520666d708368p-1, -0x1.4b3489e38044cp-1, -0x1.44778832864bap-1, -0x1.3dcfdb51154d7p-1, -0x1.373def44da95ep-1, -0x1.30c223609dda4p-1, -0x1.2a5ccae03a35ap-1, -0x1.240e2dafd9a54p-1, -0x1.1dd68904d972dp-1, -0x1.17b60fed56bddp-1, -0x1.11acec019bf7ep-1, -0x1.0bbb3de32996dp-1, -0x1.05e11de6e12b9p-1, -0x1.001e9c7302377p-1, -0x1.f4e78543a5c19p-2, -0x1.e9c1251464ca4p-2, -0x1.deca0ffe70808p-2, -0x1.d40231755aeccp-2, -0x1.c96969ad78532p-2, -0x1.beff8e8ffe8fcp-2, -0x1.b4c46c3a173d8p-2, -0x1.aab7c5d2467c6p-2, -0x1.a0d95632a0262p-2, -0x1.9728d0647405ep-2, -0x1.8da5e06602907p-2, -0x1.84502b9ceeeaep-2, -0x1.7b275151714fp-2, -0x1.722aeb557266fp-2, -0x1.695a8e4eeae29p-2, -0x1.60b5ca4c98848p-2, -0x1.583c2b2538814p-2, -0x1.4fed38db301ffp-2, -0x1.47c877ed20018p-2, -0x1.3fcd69dcb4eb2p-2, -0x1.37fb8d39a1afap-2, -0x1.30525e35e3349p-2, -0x1.28d156cd333e2p-2, -0x1.2177ef19dae85p-2, -0x1.1a459d80312fep-2, -0x1.1339d71c17b29p-2, -0x1.0c540f986d182p-2, -0x1.0593ba0c5d259p-2, -0x1.fdf0910410095p-3, -0x1.f102590445e4ap-3, -0x1.e45bae68f2b34p-3, -0x1.d7fb730af6cbp-3, -0x1.cbe0887664997p-3, -0x1.c009d0cd2ffc3p-3, -0x1.b4762dee6c19cp-3, -0x1.a92482d2cb835p-3, -0x1.9e13b3328474p-3, -0x1.9342a42314f4bp-3, -0x1.88b03b4533f1fp-3, -0x1.7e5b60c8e3e9ap-3, -0x1.7442fdd0ae92ap-3, -0x1.6a65fdabb4abcp-3, -0x1.60c34d8507cb7p-3, -0x1.5759dc998aa59p-3, -0x1.4e289ca5b0a57p-3, -0x1.452e817d1e098p-3, -0x1.3c6a81b0691eap-3, -0x1.33db965ad834cp-3, -0x1.2b80bb2abdb5bp-3, -0x1.2358ee8cfe27ep-3, -0x1.1b633210a18p-3, -0x1.139e8a1733101p-3, -0x1.0c09fd9409351p-3, -0x1.04a496d8c0a69p-3, -0x1.fadac69c81398p-4, -0x1.ecc6e6df01dc9p-4, -0x1.df0bb5a15139dp-4, -0x1.d1a7608e13b1fp-4, -0x1.c4981ba3bc579p-4, -0x1.b7dc216f5e161p-4, -0x1.ab71b2e75094fp-4, -0x1.9f5717b630546p-4, -0x1.938a9debc0cafp-4, -0x1.880a9a3a6062cp-4, -0x1.7cd567da3a5b6p-4, -0x1.71e968a2d5d9fp-4, -0x1.6745054bd5176p-4, -0x1.5ce6ac8773dfcp-4, -0x1.52ccd40528778p-4, -0x1.48f5f7a184f8p-4, -0x1.3f609a4959b4ep-4, -0x1.360b44c5cddcdp-4, -0x1.2cf486a3e95aep-4, -0x1.241af5b3cfb83p-4, -0x1.1b7d2e3153f19p-4, -0x1.1319d2ee0dbeep-4, -0x1.0aef8c529d198p-4, -0x1.02fd09a030bb6p-4, -0x1.f68200278239ep-5, -0x1.e77455aebd15dp-5, -0x1.d8ce96ca94a17p-5, -0x1.ca8e5207c83dfp-5, -0x1.bcb121eaf3f85p-5, -0x1.af34ac96bfe67p-5, -0x1.a216a47eac34dp-5, -0x1.9554c6830d0d2p-5, -0x1.88ecdb4d009efp-5, -0x1.7cdcb70b27514p-5, -0x1.71223836bdae1p-5, -0x1.65bb495651328p-5, -0x1.5aa5de9195842p-5, -0x1.4fdff75587e5dp-5, -0x1.45679d263c86cp-5, -0x1.3b3ae52fa5312p-5, -0x1.3157ecc8438a2p-5, -0x1.27bcdc6cfb457p-5, -0x1.1e67e6a545f01p-5, -0x1.155747632c036p-5, -0x1.0c8944709799fp-5, -0x1.03fc2cc139399p-5, -0x1.f75cb22145bdap-6, -0x1.e73c558f18eadp-6, -0x1.d79418c8f97c9p-6, -0x1.c860e2409d2f9p-6, -0x1.b99fadfeb9d4ep-6, -0x1.ab4d81b159b4ep-6, -0x1.9d677991b19dep-6, -0x1.8feac0a25a4eap-6, -0x1.82d492004ae9bp-6, -0x1.7622392a2046fp-6, -0x1.69d111bd43fa2p-6, -0x1.5dde85e8dd605p-6, -0x1.524810f2977a3p-6, -0x1.470b39041315cp-6, -0x1.3c259711aaeap-6, -0x1.3194d12878079p-6, -0x1.27569ad444e8fp-6, -0x1.1d68b5666a828p-6, -0x1.13c8f05670fbfp-6, -0x1.0a75288f6b0adp-6, -0x1.016b464dca112p-6, -0x1.f15282fbc35d3p-7, -0x1.e05a391c74286p-7, -0x1.cfe9ccea1162ep-7, -0x1.bffd75760db13p-7, -0x1.b091814c4028dp-7, -0x1.a1a2554c9a213p-7, -0x1.932c6aea865ffp-7, -0x1.852c59041e26cp-7, -0x1.779ec592698aep-7, -0x1.6a806da27bf9cp-7, -0x1.5dce2341e7f5bp-7, -0x1.5184cd3883debp-7, -0x1.45a165ccfb6c5p-7, -0x1.3a20fb2e7ad41p-7, -0x1.2f00aeb285438p-7, -0x1.243db59d6b884p-7, -0x1.19d5555f2bf2bp-7, -0x1.0fc4e5693a512p-7, -0x1.0609d028106cdp-7, -0x1.f9432148b6df1p-8, -0x1.e71362fc50824p-8, -0x1.d57f9f5a83c69p-8, -0x1.c483317fe29a8p-8, -0x1.b41990050bab3p-8, -0x1.a43e4e22fc2c7p-8, -0x1.94ed23a0fa63p-8, -0x1.8621df6bf17d6p-8, -0x1.77d870af34bc4p-8, -0x1.6a0cdda3a4541p-8, -0x1.5cbb4fab412dap-8, -0x1.4fe003c3ddeb4p-8, -0x1.437760c3074f6p-8, -0x1.377dcd5d64f15p-8, -0x1.2befd815d1a1ep-8, -0x1.20ca24f910e4dp-8, -0x1.16096db1c36dbp-8, -0x1.0baa87f6c47efp-8, -0x1.01aa5d127a233p-8, -0x1.f00be0698e864p-9, -0x1.dd74ad13ba47fp-9, -0x1.cb8971d9fe399p-9, -0x1.ba44a8680ae3fp-9, -0x1.a9a0f26ad133bp-9, -0x1.999919d8d555cp-9, -0x1.8a2812626ca05p-9, -0x1.7b48f9f51a83dp-9, -0x1.6cf70c3b8a152p-9, -0x1.5f2da850d3a3fp-9, -0x1.51e84c435ac9fp-9, -0x1.4522937a063d4p-9, -0x1.38d8379349936p-9, -0x1.2d0512e8d015cp-9, -0x1.21a536fb5f992p-9, -0x1.16b4bbaf7613bp-9, -0x1.0c2ff673be167p-9, -0x1.0213366d4b09bp-9, -0x1.f0b5ee62a22p-10, -0x1.de0779809038p-10, -0x1.cc14463a85a0ep-10, -0x1.bad59db0557d6p-10, -0x1.aa45539c08229p-10, -0x1.9a5d7718a7e0bp-10, -0x1.8b181fa7c9105p-10, -0x1.7c6fc0da14f8bp-10, -0x1.6e5efc1b0f131p-10, -0x1.60e0656d9a5bp-10, -0x1.53eea1a3a4037p-10, -0x1.47847387d8d52p-10, -0x1.3b9cc32a149e2p-10, -0x1.3032b7a470ad7p-10, -0x1.2541c77ad19a5p-10, -0x1.1ac5abcfa018fp-10, -0x1.10ba5618d733ap-10, -0x1.071bd40e14516p-10, -0x1.fbcc744b80007p-11, -0x1.ea2b1834d034p-11, -0x1.d94ba7f995171p-11, -0x1.c926365421ec9p-11, -0x1.b9b3260d82455p-11, -0x1.aaeb6610f9f44p-11, -0x1.9cc872876cb1dp-11, -0x1.8f444c031786p-11, -0x1.825954349b17ap-11, -0x1.7602173f7333bp-11, -0x1.6a3913634b274p-11, -0x1.5ef8a52796d0fp-11, -0x1.543b046b3481fp-11, -0x1.49fa6a542f5d2p-11, -0x1.403128cff2df6p-11, -0x1.36da5d44d59ap-11, -0x1.2df0e76096e11p-11, -0x1.257089454f4dap-11, -0x1.1d5548ad58753p-11, -0x1.159b66220cf5bp-11, -0x1.0e3f2ff4e8288p-11, -0x1.073cd628e371ep-11, -0x1.00907e6ca6eb4p-11, -0x1.f46c57e164a45p-12, -0x1.e853f7a9f64p-12, -0x1.dcd087ec22de3p-12, -0x1.d1dab8d30699dp-12, -0x1.c76c05c1d3f7dp-12, -0x1.bd7e7f64a1d82p-12, -0x1.b40c6f93d09bfp-12, -0x1.ab10f3fba8b14p-12, -0x1.a2870a871a7cbp-12, -0x1.9a69954ec3337p-12, -0x1.92b3b75631ba9p-12, -0x1.8b607b25c374p-12, -0x1.846b091352c3ep-12, -0x1.7dce95799b6eap-12, -0x1.77864f56e3ffp-12, -0x1.718d8d19ca1ccp-12, -0x1.6bdff29cd924dp-12, -0x1.6679ed5010f5ep-12, -0x1.615816feecbc2p-12, -0x1.5c7732c1532acp-12, -0x1.57d3f86e11b0cp-12, -0x1.536b372376d8p-12, -0x1.4f39f3bf40da9p-12, -0x1.4b3d1efcfd38fp-12, -0x1.477296c881fd7p-12, -0x1.43d686859fdb1p-12, -0x1.4065b4cf65735p-12, -0x1.3d1d556d1a48dp-12, -0x1.39fb13660501cp-12, -0x1.36fcc0b97e12ap-12, -0x1.3420b49c75234p-12, -0x1.3164e6fab5e6ep-12, -0x1.2ec7665beec13p-12, -0x1.2c46534bd105cp-12, -0x1.29dfe6f768c0bp-12, -0x1.2792795df332p-12, -0x1.255bb96c1d489p-12, -0x1.2339d2c72ef9bp-12, -0x1.212a9f89d32afp-12, -0x1.1f2c794a9a8e5p-12, -0x1.1d3e178abc1fep-12, -0x1.1b5ebecae0552p-12, -0x1.198d7799fa6cap-12, -0x1.17c941bbd7868p-12, -0x1.161150eb7818ep-12, -0x1.1464d23186ac3p-12, -0x1.12c2c5e51baa6p-12, -0x1.1129f9c7f6e87p-12, -0x1.0f98ec2b13458p-12, -0x1.0e0e2a203ff95p-12, -0x1.0c884b7b2e9e8p-12, -0x1.0b069eb5a2785p-12, -0x1.09887c40965b3p-12, -0x1.080d9776deb0ap-12, -0x1.0695771c8a18fp-12, -0x1.051fc116145dbp-12, -0x1.03abf571c6a3ep-12, -0x1.0239fa0e35dd3p-12, -0x1.00c9c606ba998p-12, -0x1.feb54057cad64p-13, -0x1.fbd822926baa6p-13, -0x1.f8fa4bf5ef634p-13, -0x1.f619f6f0d76d2p-13, -0x1.f335dc09b4b14p-13, -0x1.f04cd5a38f324p-13, -0x1.ed5e64071a492p-13, -0x1.ea6ae310a259bp-13, -0x1.e7723bbe8dca1p-13, -0x1.e4741e357b60bp-13, -0x1.e1702de3ced38p-13, -0x1.de664ac26411p-13, -0x1.db56723408defp-13, -0x1.d8407f27a7a1p-13, -0x1.d523c32d58445p-13, -0x1.d2008f5c49ed9p-13, -0x1.ced5bca500826p-13, -0x1.cba3455796364p-13, -0x1.c868914b0a902p-13, -0x1.c52526823be8cp-13, -0x1.c1d8ab70a7597p-13, -0x1.be83982f0a9f4p-13, -0x1.bb26243351a32p-13, -0x1.b7c04487579d8p-13, -0x1.b45282f54aafdp-13, -0x1.b0dc403b57d45p-13, -0x1.ad5e093da93c3p-13, -0x1.a9d7c5d9b8e26p-13, -0x1.a6490e5048745p-13, -0x1.a2b2a4a76bb1bp-13, -0x1.9f1464039d8dbp-13, -0x1.9b6e651971d65p-13, -0x1.97c095c2ed9b5p-13, -0x1.940b30a048922p-13, -0x1.904e2faeb8debp-13, -0x1.8c89f41d1417p-13, -0x1.88be848fbf0eap-13, -0x1.84ebfde01d88bp-13, -0x1.8112b4353fdb7p-13, -0x1.7d32e900475eep-13, -0x1.794cbc29fcbb2p-13, -0x1.75605d84045d1p-13, -0x1.716e0ca8abf94p-13, -0x1.6d76152b065d9p-13, -0x1.6978793e36772p-13, -0x1.65758bf2e4718p-13, -0x1.616d943c83843p-13, -0x1.5d60d0053e116p-13, -0x1.594f7fed1ac18p-13, -0x1.5539c72cd2d6ap-13, -0x1.511ffa70d470fp-13, -0x1.4d0251319fb38p-13, -0x1.48e12a507bc5bp-13, -0x1.44bc07d33daeap-13, -0x1.409468472126dp-13, -0x1.3c69accb7d709p-13, -0x1.383c54279f4a9p-13, -0x1.340c6b91eeff9p-13, -0x1.2fda6d9b29374p-13, -0x1.2ba674d11813p-13, -0x1.2770b3f9f9029p-13, -0x1.2339775441cbbp-13, -0x1.1f010dbd9af0bp-13, -0x1.1ac7a758a2f03p-13, -0x1.168d81770f141p-13, -0x1.1252f2d7b41d2p-13, -0x1.0e182981911fcp-13, -0x1.09dd44b424a07p-13, -0x1.05a285e5fbf98p-13, -0x1.0168312cf97c8p-13, -0x1.fa5c895da83b2p-14, -0x1.f1ea8c38bd8ecp-14, -0x1.e97af2d88936dp-14, -0x1.e10defc860c8cp-14, -0x1.d8a3dad0dce69p-14, -0x1.d03cc73df08d5p-14, -0x1.c7d9a626bd34cp-14, -0x1.bf7ab0e482ab2p-14, -0x1.b71ffa8a224p-14, -0x1.aeca323c2ffe4p-14, -0x1.a679f11bf913cp-14, -0x1.9e2fa1b37af3fp-14, -0x1.95eb351e8bcb5p-14, -0x1.8dad2310ccfdbp-14, -0x1.85757801b9fd3p-14, -0x1.7d45a575c636ap-14, -0x1.751cf8d39e68ap-14, -0x1.6cfc066bc74fp-14, -0x1.64e2fdb644944p-14, -0x1.5cd232d8e7e1cp-14, -0x1.54ca2d22c8b3p-14, -0x1.4ccb4a91041e7p-14, -0x1.44d5a18061b29p-14, -0x1.3ce9c9cbac86ap-14, -0x1.35075fa292179p-14, -0x1.2d2f1e947bf9ep-14, -0x1.2560e682b3a56p-14, -0x1.1d9da67ee9d57p-14, -0x1.15e55576b08e2p-14, -0x1.0e38039eaaec9p-14, -0x1.06960e3a6442p-14, -0x1.fdff619495a51p-15, -0x1.eeea379d9d9e1p-15, -0x1.dfed02792be52p-15, -0x1.d107fae83414bp-15, -0x1.c23cc72100584p-15, -0x1.b388f166d247dp-15, -0x1.a4ef85b5925c2p-15, -0x1.966fc437653e3p-15, -0x1.880a2ab15af9cp-15, -0x1.79bedcca8503bp-15, -0x1.6b8e7fd118813p-15, -0x1.5d78ef8ef8ae5p-15, -0x1.4f7f1a1e96b45p-15, -0x1.41a1001c894b9p-15, -0x1.33de5e5e9e4d1p-15, -0x1.2637446cfca99p-15, -0x1.18af031f8c017p-15, -0x1.0b420812dc5bcp-15, -0x1.fbe407251d956p-16, -0x1.e17cfb7206cfbp-16, -0x1.c751a2ec5f0ebp-16, -0x1.ad60032053471p-16, -0x1.93aab8888406cp-16, -0x1.7a31f4f0cb8c2p-16, -0x1.60f3fc8700f78p-16, -0x1.47f1dcd6482bap-16, -0x1.2f2c1e29411bbp-16, -0x1.16a334f979765p-16, -0x1.fcaedf52b5eddp-17, -0x1.cc8ebdefef89cp-17, -0x1.9ce99951bd67ep-17, -0x1.6dc3b2a8f076bp-17, -0x1.3f12664643614p-17, -0x1.10dea6550d12ep-17, -0x1.c64de17d3af52p-18, -0x1.6bd6698f9972fp-18, -0x1.125588e3dc6b9p-18, -0x1.7397cc343e1e6p-19, -0x1.88edcfd8d949ep-20, -0x1.74797b4b478ffp-23, 0x1.27d928d12beep-20, 0x1.3d499f30faf2ap-19, 0x1.e4a4a82c0bb3dp-19, 0x1.450b2274f8f95p-18, 0x1.96ca1ba71ea37p-18, 0x1.e79417ee1f6abp-18, 0x1.1bb1d332516c1p-17, 0x1.431e734b47438p-17, 0x1.6a0f8da6ed188p-17, 0x1.9086a1b05899p-17, 0x1.b682b64ba1062p-17, 0x1.dc046895a4031p-17, 0x1.0084d7a661039p-16, 0x1.12c9da9272619p-16, 0x1.24d4b5950e1edp-16, 0x1.36a16e8711159p-16, 0x1.4831b6395a3f5p-16, 0x1.5985aa83399bcp-16, 0x1.6a9d7dd9acd1bp-16, 0x1.7b795da645afdp-16, 0x1.8c1a0c8a09531p-16, 0x1.9c7e8eab99fc6p-16, 0x1.aca85a6329968p-16, 0x1.bc9676ded5613p-16, 0x1.cc4b1d9a5dd1fp-16, 0x1.dbc4a40ddad56p-16, 0x1.eb03e796a4f21p-16, 0x1.fa0951f8941f9p-16, 0x1.046a83ab7b4d4p-15, 0x1.0bb378b3e8822p-15, 0x1.12e0d08cc75b2p-15, 0x1.19f13c9e445ep-15, 0x1.20e4fb3be79aep-15, 0x1.27bca339d9bddp-15, 0x1.2e797f4e8bdf6p-15, 0x1.3518c36e7d1c4p-15, 0x1.3b9eeb58425cp-15, 0x1.420847bd1ff1p-15, 0x1.48568c944503cp-15, 0x1.4e89c4d6a57e3p-15, 0x1.54a21c050be48p-15, 0x1.5a9fa23f8ec34p-15, 0x1.60829c38aaecbp-15, 0x1.664b647715d59p-15, 0x1.6bf9d73c8434p-15, 0x1.718e675b699efp-15, 0x1.77091987a188dp-15, 0x1.7c6a81a746955p-15, 0x1.81b1ecaba832bp-15, 0x1.86e0457644c86p-15, 0x1.8bf5b19102821p-15, 0x1.90f23f4f0bcfdp-15, 0x1.95d5bf1a3e532p-15, 0x1.9aa1419e70353p-15, 0x1.9f5418095ea98p-15, 0x1.a3ef6031b8bc2p-15, 0x1.a872875866a18p-15, 0x1.acddd3f0116f3p-15, 0x1.b131fdcd7f405p-15, 0x1.b56e712745314p-15, 0x1.b993a0011605bp-15, 0x1.bda222e837788p-15, 0x1.c19a0827e8a2bp-15, 0x1.c57b60193bc3ep-15, 0x1.c946bcc1bb91ap-15, 0x1.ccfb7fb4519cep-15, 0x1.d09a83c2d1977p-15, 0x1.d423a13461b99p-15, 0x1.d797e37421aa3p-15, 0x1.daf6865b2f206p-15, 0x1.de40bb131d15ep-15, 0x1.e1749e3a0efcbp-15, 0x1.e494b279ecb3ap-15, 0x1.e7a0208085d5ep-15, 0x1.ea9741d9c25ddp-15, 0x1.ed7a5699ddba9p-15, 0x1.f04a22a41bcfbp-15, 0x1.f3050cb74ca76p-15, 0x1.f5ad1ea6c634ap-15, 0x1.f841fad27f343p-15, 0x1.fac3b0715a1fp-15, 0x1.fd3283d75b72ep-15, 0x1.ff8eb0d8335e3p-15, 0x1.00ec2d15aa5a5p-14, 0x1.0207db36d9f7dp-14, 0x1.031a928ec3c85p-14, 0x1.04245466a9e31p-14, 0x1.05250c378cd98p-14, 0x1.061da306962b7p-14, 0x1.070c9cbbd7fddp-14, 0x1.07f39d839f4c5p-14, 0x1.08d239f0ca244p-14, 0x1.09a85251b3f2bp-14, 0x1.0a760e299166dp-14, 0x1.0b3bb21f8ef7fp-14, 0x1.0bf8eab668e02p-14, 0x1.0caf16f37a892p-14, 0x1.0d5cce743163ap-14, 0x1.0e02b0750e64p-14, 0x1.0ea10f9c8776p-14, 0x1.0f37d1c4c7ae4p-14, 0x1.0fc6d473db5dep-14, 0x1.104ea4fe9db09p-14, 0x1.10cf267a0e3e4p-14, 0x1.11484e3f008bdp-14, 0x1.11ba6ea17148fp-14, 0x1.12256dc8c093dp-14, 0x1.12897db4f73e9p-14, 0x1.12e6b3e1648c5p-14, 0x1.133d2ca52f33bp-14, 0x1.138cd35caf3aep-14, 0x1.13d5e9fd075ddp-14, 0x1.14187efdd32a6p-14, 0x1.1454b35dc416ap-14, 0x1.148a9e679309cp-14, 0x1.14ba1a7f6e7a4p-14, 0x1.14e3802ae6b9bp-14, 0x1.1506cb67844a7p-14, 0x1.15241a6375f2bp-14, 0x1.153b77a2303fdp-14, 0x1.154d08724d5a2p-14, 0x1.1558ca3287747p-14, 0x1.155eed0095cfp-14, 0x1.155f7099a1fa3p-14, 0x1.155a64bdc0349p-14, 0x1.154fa3cb1f3a6p-14, 0x1.15403ee4c65acp-14, 0x1.152b2b166939dp-14, 0x1.1510e0e9d3559p-14, 0x1.14f18da0fb715p-14, 0x1.14ccf5d0acf7fp-14, 0x1.14a3b737aa601p-14, 0x1.14757499fb0e1p-14, 0x1.144250b1954efp-14, 0x1.140ad8148b20dp-14, 0x1.13cdfeffcdb5bp-14, 0x1.138cca5d2b56p-14, 0x1.13475089039ecp-14, 0x1.12fd5a8cf64a5p-14, 0x1.12ae9b1e59db4p-14, 0x1.125bec2f48d61p-14, 0x1.12057708d475dp-14, 0x1.11a9cec2c5516p-14, 0x1.114ab10b38735p-14, 0x1.10e75d4b38207p-14, 0x1.108019d66093ep-14, 0x1.1014f9a640d02p-14, 0x1.0fa60f19c223cp-14, 0x1.0f3335a4e0891p-14, 0x1.0ebcd9b52335ep-14, 0x1.0e42bc47c3f1bp-14, 0x1.0dc5509d77d37p-14, 0x1.0d44181b15a47p-14, 0x1.0cbf7f2981462p-14, 0x1.0c377d6d64c2cp-14, 0x1.0bac33409fb3p-14, 0x1.0b1dd2ab7dfbp-14, 0x1.0a8c1086880fp-14, 0x1.09f7267afbf78p-14, 0x1.095f30d606568p-14, 0x1.08c47d0ddbf8bp-14, 0x1.082687fcb0522p-14, 0x1.078578f3c76e6p-14, 0x1.06e1efb3cf9a4p-14, 0x1.063b8b2b13c4cp-14, 0x1.0592628675495p-14, 0x1.04e68cce6c52ap-14, 0x1.0437bbc09bfcp-14, 0x1.0387127350fb6p-14, 0x1.02d3831198aaep-14, 0x1.021d816e3c668p-14, 0x1.01651a030c9f8p-14, 0x1.00aaaa8175c6cp-14, 0x1.ffda8fca4a759p-15, 0x1.fe5be8fb81145p-15, 0x1.fcd8bbd88968dp-15, 0x1.fb516b158cf04p-15, 0x1.f9c5d02e32cf4p-15, 0x1.f83637106412dp-15, 0x1.f6a274767af4cp-15, 0x1.f50a8157e9d64p-15, 0x1.f36f563a782cap-15, 0x1.f1d02c72ee1f7p-15, 0x1.f02d63893cdbbp-15, 0x1.ee86ef51727dbp-15, 0x1.ecdd680370a3ap-15, 0x1.eb3077fd77055p-15, 0x1.e97f6047c6957p-15, 0x1.e7cbb84f15269p-15, 0x1.e614e3305a65dp-15, 0x1.e45ada3c33d47p-15, 0x1.e29e364f0972fp-15, 0x1.e0de6f023c18ep-15, 0x1.df1c31a899126p-15, 0x1.dd56e459f22ep-15, 0x1.db8f149c865b7p-15, 0x1.d9c4b88a659p-15, 0x1.d7f80d81ebe48p-15, 0x1.d6290cdc2274ap-15, 0x1.d4576dead0043p-15, 0x1.d283ac6030491p-15, 0x1.d0add36d0c857p-15, 0x1.ced5de3bc53f5p-15, 0x1.ccfba3f0d386cp-15, 0x1.cb1ff7f7cc579p-15, 0x1.c942216450fa8p-15, 0x1.c7628197891e3p-15, 0x1.c581247a775a9p-15, 0x1.c39e1b1578e1fp-15, 0x1.c1b976fe7f266p-15, 0x1.bfd31b90c13ccp-15, 0x1.bdeb9ff6a86cdp-15, 0x1.bc028b2b325eap-15, 0x1.ba181de6175b9p-15, 0x1.b82c636c4c4b7p-15, 0x1.b63f75d996f11p-15, 0x1.b45166d165be8p-15, 0x1.b261ef14771d5p-15, 0x1.b071f2192b117p-15, 0x1.ae80a156a37f3p-15, 0x1.ac8e5fb4e6801p-15, 0x1.aa9b947417e4ep-15, 0x1.a8a7b5b6bf9edp-15, 0x1.a6b348577c684p-15, 0x1.a4bd7affe1298p-15, 0x1.a2c779cf0a5f7p-15, 0x1.a0d11f580bd68p-15, 0x1.9ed9ccac739d6p-15, 0x1.9ce21f39d073cp-15, 0x1.9aea7d3cf4f1fp-15, 0x1.98f1908fef962p-15, 0x1.96f8ae28783c1p-15, 0x1.94ff8104634cep-15, 0x1.93062b8447b79p-15, 0x1.910d05829dc68p-15, 0x1.8f12a50baa40ap-15, 0x1.8d18d6058690fp-15, 0x1.8b1eda9f9ae59p-15, 0x1.89251388a5f0fp-15, 0x1.872a4f88ecf28p-15, 0x1.8530c740093f5p-15, 0x1.8337219043837p-15, 0x1.813d115fa5a8fp-15, 0x1.7f4374bf052dap-15, 0x1.7d4a19ce7227cp-15, 0x1.7b5101896e369p-15, 0x1.795834a24c2bdp-15, 0x1.775fbb4bfde7bp-15, 0x1.7567926f2d0e3p-15, 0x1.736ff14b06547p-15, 0x1.7178bb22b9f93p-15, 0x1.6f81f5d4835d8p-15, 0x1.6d8b89c1ccc33p-15, 0x1.6b95dc4996554p-15, 0x1.69a0b03e06628p-15, 0x1.67ac10d127317p-15, 0x1.65b855ee0ef7fp-15, 0x1.63c50da1faa6dp-15, 0x1.61d274f71a98fp-15, 0x1.5fe09cf06140fp-15, 0x1.5defb7b2c30e3p-15, 0x1.5bff731a7f496p-15, 0x1.5a101b1452e0bp-15, 0x1.58218f82a3345p-15, 0x1.5633ea5b087eep-15, 0x1.54472a458d73cp-15, 0x1.525b628f4bc74p-15, 0x1.50708c6017d56p-15, 0x1.4e8691780afd6p-15, 0x1.4c9e3701b3e7dp-15, 0x1.4ab5d7d7bd2e8p-15, 0x1.48cffcbab7d07p-15, 0x1.46e9a6bc12c7fp-15, 0x1.450518f8f48f3p-15, 0x1.4321a518a6fb3p-15, 0x1.413f4688b5ac8p-15, 0x1.3f5e620867009p-15, 0x1.3d7e8a1713c81p-15, 0x1.3b9fba88432fbp-15, 0x1.39c234f3a9b18p-15, 0x1.37e62616a5b71p-15, 0x1.360b83c5fe97dp-15, 0x1.343202844e236p-15, 0x1.3259835287997p-15, 0x1.30828f536e26cp-15, 0x1.2ead0a68f734cp-15, 0x1.2cd91351068aap-15, 0x1.2b06866651066p-15, 0x1.2934c86c7c56dp-15, 0x1.2764d26db5ac3p-15, 0x1.259654847d54ap-15, 0x1.23c8c09b1ad1cp-15, 0x1.21fd965feb3d8p-15, 0x1.2033866e8a2dbp-15, 0x1.1e6af51050638p-15, 0x1.1ca3efb2c3c2bp-15, 0x1.1ade35b945b68p-15, 0x1.191a5a5301ef1p-15, 0x1.1757e65b67bf3p-15, 0x1.159705148745bp-15, 0x1.13d7b4c988edp-15, 0x1.1219f4e9323b4p-15, 0x1.105df0496c9efp-15, 0x1.0ea371b19e559p-15, 0x1.0cea81dede08cp-15, 0x1.0b33bfc341ba3p-15, 0x1.097dc9dc0f536p-15, 0x1.07c9d9159a3e8p-15, 0x1.0617e378c916dp-15, 0x1.0466bfb475c27p-15, 0x1.02b8249dfe1e3p-15, 0x1.010ae5475ea96p-15, 0x1.febf0e2d3ce2ap-16, 0x1.fb6b4d5a86ba4p-16, 0x1.f81b22aea024ap-16, 0x1.f4ce8e185f0f2p-16, 0x1.f1857421bfab3p-16, 0x1.ee3fc46fa324cp-16, 0x1.eafe91af45741p-16, 0x1.e7be8e22d8379p-16, 0x1.e483d06ec1886p-16, 0x1.e14c014ffb814p-16, 0x1.de18045630862p-16, 0x1.dae76c9c2bee8p-16, 0x1.d7b93198ad187p-16, 0x1.d4917a899f63fp-16, 0x1.d16b4f812c04fp-16, 0x1.ce48b7a7c5a49p-16, 0x1.cb2ac17d47bd6p-16, 0x1.c80faa29dfd8ep-16, 0x1.c4f9308842eedp-16, 0x1.c1e49a95e89c4p-16, 0x1.bed495f1655b3p-16, 0x1.bbc807ee78829p-16, 0x1.b8bf57b748633p-16, 0x1.b5ba1a878a118p-16, 0x1.b2b9c45c55fc7p-16, 0x1.afbb15feab299p-16, 0x1.acc1df8438455p-16, 0x1.a9ca73ccb5574p-16, 0x1.a6d726d62f923p-16, 0x1.a3e891bf2a0cdp-16, 0x1.a0fd44980744cp-16, 0x1.9e159c5810854p-16, 0x1.9b316c3b994dcp-16, 0x1.985127841dc42p-16, 0x1.95749946f8dcp-16, 0x1.929ba407c3bf3p-16, 0x1.8fc613d4bc253p-16, 0x1.8cf49f60492fep-16, 0x1.8a26b8bddd296p-16, 0x1.875c9fa5c4c5dp-16, 0x1.84966eccca737p-16, 0x1.81d395c5376p-16, 0x1.7f1423a8f6921p-16, 0x1.7c58afc5f6a02p-16, 0x1.79a1697c5e57fp-16, 0x1.76ed07a0ab8ebp-16, 0x1.743c90a3d1679p-16, 0x1.71901db4f2d38p-16, 0x1.6ee7154c65753p-16, 0x1.6c41818e14105p-16, 0x1.699ff05b64b61p-16, 0x1.6701b13328636p-16, 0x1.64679e2e4ab71p-16, 0x1.61d0dcf9af9aep-16, 0x1.5f3da6798225bp-16, 0x1.5cadd0d7b4e73p-16, 0x1.5a22a56402691p-16, 0x1.579991dc10cdfp-16, 0x1.5515c8a68149ep-16, 0x1.529529480eccbp-16, 0x1.5017ffce3b92bp-16, 0x1.4d9e30c69e239p-16, 0x1.4b28781436d72p-16, 0x1.48b60ad288e87p-16, 0x1.4646dabe0edd9p-16, 0x1.43dbc52b992c2p-16, 0x1.4174145bd2083p-16, 0x1.3f1004456df38p-16, 0x1.3caf710251745p-16, 0x1.3a5229c25c203p-16, 0x1.37f8f0102e839p-16, 0x1.35a2f215f2a86p-16, 0x1.33508324be2bap-16, 0x1.31017943a51e4p-16, 0x1.2eb612902b5ap-16, 0x1.2c6e64769c669p-16, 0x1.2a2a0253603b8p-16, 0x1.27e9799b6cb9fp-16, 0x1.25abf73ecaecdp-16, 0x1.2371b35abfdc3p-16, 0x1.213c7b198682ep-16, 0x1.1f08724ff482fp-16, 0x1.1cd8de825a4e8p-16, 0x1.1aaca8166e605p-16, 0x1.1883d8ce75fc2p-16, 0x1.165ea5f8761d2p-16, 0x1.143ca0e923312p-16, 0x1.121e0e5a82a97p-16, 0x1.100304e70d7bdp-16, 0x1.0deab3810546fp-16, 0x1.0bd6513927ddbp-16, 0x1.09c4949f5934ep-16, 0x1.07b78a0e5c004p-16, 0x1.05acff22099c2p-16, 0x1.03a5bc86b2f22p-16, 0x1.01a1f8c66fe79p-16, 0x1.ff42e121161b3p-17, 0x1.fb47b5eba93f9p-17, 0x1.f75383bc18701p-17, 0x1.f365ac823ea87p-17, 0x1.ef7f223a8a602p-17, 0x1.eb9e29f0ca9d4p-17, 0x1.e7c3b2f0ba339p-17, 0x1.e3ef49c28cc15p-17, 0x1.e021c4200605p-17, 0x1.dc5b57ff9308fp-17, 0x1.d899cf09015c8p-17, 0x1.d4df425381798p-17, 0x1.d12ab50af0cc3p-17, 0x1.cd7c932798641p-17, 0x1.c9d59801e986bp-17, 0x1.c632d5e8eb8ccp-17, 0x1.c297bb4dbdd24p-17, 0x1.bf0260f53fe7bp-17, 0x1.bb72d8086e1cdp-17, 0x1.b7e9310559f16p-17, 0x1.b4668ccef7dbcp-17, 0x1.b0e99e8d20059p-17, 0x1.ad7286fece32ap-17, 0x1.aa016e724623dp-17, 0x1.a696e490c2252p-17, 0x1.a33089f8b7a93p-17, 0x1.9fd13736b0d61p-17, 0x1.9c77eb263a181p-17, 0x1.9924af84d9ce9p-17, 0x1.95d6e6fffdbfbp-17, 0x1.928ef4adb61ebp-17, 0x1.8f4cbcf9644a5p-17, 0x1.8c106c46ed013p-17, 0x1.88d9b0c747cd4p-17, 0x1.85a8f4d48005bp-17, 0x1.827cf5e732f83p-17, 0x1.7f5805bafc9aep-17, 0x1.7c37af85c19cp-17, 0x1.791d109c6e7acp-17, 0x1.7607c8706a375p-17, 0x1.72f86d6156ba5p-17, 0x1.6feee6f5964b8p-17, 0x1.6ce9e33d4bebfp-17, 0x1.69eabdc7c6e6fp-17, 0x1.66f2ed66033a8p-17, 0x1.63fb576aa24f5p-17, 0x1.610d0ed0e17e2p-17, 0x1.5e24b530deb1p-17, 0x1.5b407af3c42e7p-17, 0x1.5860d5020cd29p-17, 0x1.55875d72df83fp-17, 0x1.52b37ef8df457p-17, 0x1.4fe44b8ec2c71p-17, 0x1.4d19e870737fp-17, 0x1.4a54efb156e91p-17, 0x1.4794f2d863c3bp-17, 0x1.44da8960240bcp-17, 0x1.4224da62856edp-17, 0x1.3f73dfee3ef79p-17, 0x1.3cc873d7301bep-17, 0x1.3a22e9dd5223p-17, 0x1.3780072b649bbp-17, 0x1.34e321e42b1e3p-17, 0x1.324b1d62222a4p-17, 0x1.2fb804e667492p-17, 0x1.2d29be0022e55p-17, 0x1.2aa0a759767b4p-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{0x1.f3bf3e7877a31p-1, 0x1.f202af4112be7p-1, 0x1.ef97a4fdb7b11p-1, 0x1.ec815c314414p-1, 0x1.e8c3db857cd43p-1, 0x1.e463df38b23e5p-1, 0x1.df66c390eaf1ep-1, 0x1.d9d26f1c0d06ap-1, 0x1.d3ad3d533deaap-1, 0x1.ccfdea0f0a641p-1, 0x1.c5cb7e18e7442p-1, 0x1.be1d3d0c2e46ep-1, 0x1.b5fa94a3fadb7p-1, 0x1.ad6b0d833b481p-1, 0x1.a4763d78260fbp-1, 0x1.9b23bb334a695p-1, 0x1.917b13640ac5cp-1, 0x1.8783bf27ece81p-1, 0x1.7d451bb762d06p-1, 0x1.72c663391fefap-1, 0x1.680ea6a46c7c3p-1, 0x1.5d24c89afa1ccp-1, 0x1.520f792350742p-1, 0x1.46d5322dd3672p-1, 0x1.3b7c34cf8b2cbp-1, 0x1.300a871f2bbd3p-1, 0x1.2485f2a230ea2p-1, 0x1.18f40339559e3p-1, 0x1.0d5a067d0d7f6p-1, 0x1.01bd0b7c03d7dp-1, 0x1.ec43c59ddd6bap-2, 0x1.d51a3dec857e6p-2, 0x1.be0629eee81a4p-2, 0x1.a70fba6115f2cp-2, 0x1.903ea8b3925d4p-2, 0x1.799a395c0be0fp-2, 0x1.63293e667b4b7p-2, 0x1.4cf21a3b1fffcp-2, 0x1.36fac28f2f9dbp-2, 0x1.2148c377421aep-2, 0x1.0be14293a9a15p-2, 0x1.ed92049fb7a4fp-3, 0x1.c408ca5deadcap-3, 0x1.9b2ee24051316p-3, 0x1.730ba5ad42a7fp-3, 0x1.4ba5c241fc754p-3, 0x1.2503407a1e936p-3, 0x1.fe531494197d1p-4, 0x1.b43ae34ec34bdp-4, 0x1.6bc66df6a391fp-4, 0x1.24fd1ef742cd1p-4, 0x1.bfcaad9cf2848p-5, 0x1.3908f0905eab5p-5, 0x1.6b7bd1e2e4a47p-6, 0x1.af85672a253d3p-8, -0x1.19658a553a125p-7, -0x1.7e3906b52839p-6, -0x1.34567c6c39172p-5, -0x1.a60688d312109p-5, -0x1.0a16a18cf927fp-4, -0x1.3f6648b145989p-4, -0x1.72f3c90a523a7p-4, -0x1.a4c14493dcfd2p-4, -0x1.d4d167033a4fbp-4, -0x1.0193ae82ce4f6p-3, -0x1.17e365e52fcc8p-3, -0x1.2d59e46c56fe1p-3, -0x1.41f96917ce85dp-3, -0x1.55c46358069eap-3, -0x1.68bd6f678e1fcp-3, -0x1.7ae752c820f1ap-3, -0x1.8c44f8e2f82eap-3, -0x1.9cd96fcbbcba4p-3, -0x1.aca7e52585038p-3, -0x1.bbb3a32935f08p-3, -0x1.ca000dcc9a8ep-3, -0x1.d790a00986f9fp-3, -0x1.e468e9444cf2ap-3, -0x1.f08c8ad0cdb73p-3, -0x1.fbff35956dddfp-3, -0x1.036253e593eep-2, -0x1.0870556d04048p-2, -0x1.0d2b88a89ea1cp-2, -0x1.1195da7d0805ap-2, -0x1.15b13a827447fp-2, -0x1.197f9a27d50dfp-2, -0x1.1d02ebe24a93bp-2, -0x1.203d22687897bp-2, -0x1.23302ff95ae43p-2, -0x1.25de05ae38b37p-2, -0x1.284892d75155fp-2, -0x1.2a71c462e4df6p-2, -0x1.2c5b844e3c0bep-2, -0x1.2e07b92045d14p-2, -0x1.2f78456d785d3p-2, -0x1.30af076494bf4p-2, -0x1.31add863ececep-2, -0x1.32768c96deb79p-2, -0x1.330af29b1efebp-2, -0x1.336cd32d8ac8cp-2, -0x1.339df0de1e639p-2, -0x1.33a007cacc9d8p-2, -0x1.3374cd60da9d7p-2, -0x1.331df0247c2d5p-2, -0x1.329d177e5962fp-2, -0x1.31f3e38ebd00cp-2, -0x1.3123ed0620c8bp-2, -0x1.302ec502cb3cbp-2, -0x1.2f15f4f347603p-2, -0x1.2ddafe7d6a66dp-2, -0x1.2c7f5b69a94adp-2, -0x1.2b047d928ad87p-2, -0x1.296bced7ea86cp-2, -0x1.27b6b115e1e6dp-2, -0x1.25e67e1f1b864p-2, -0x1.23fc87ba56fa4p-2, -0x1.21fa17a2f2177p-2, -0x1.1fe06f8c45a49p-2, -0x1.1db0c9279e1d8p-2, -0x1.1b6c562cb06afp-2, -0x1.1914406456a9ep-2, -0x1.16a9a9b570111p-2, -0x1.142dac33b788cp-2, -0x1.11a15a30745e7p-2, -0x1.0f05be4cd8a9p-2, -0x1.0c5bdb8df0568p-2, -0x1.09a4ad71fcd2bp-2, -0x1.06e1280721216p-2, -0x1.0412380343274p-2, -0x1.0138c2dcfc4eap-2, -0x1.fcab4dcb198eap-3, -0x1.f6d376c75c64ap-3, -0x1.f0eba15e5f769p-3, -0x1.eaf5609a916ebp-3, -0x1.e4f23a1b124ecp-3, -0x1.dee3a64eaa69bp-3, -0x1.d8cb10afadfacp-3, -0x1.d2a9d800b053p-3, -0x1.cc814e89db839p-3, -0x1.c652ba56d8495p-3, -0x1.c01f55751a3f3p-3, -0x1.b9e84e328162bp-3, -0x1.b3aec75c305fap-3, -0x1.ad73d87d79ba4p-3, -0x1.a7388e1edbed6p-3, -0x1.a0fdea04e6a9fp-3, -0x1.9ac4e36efc065p-3, -0x1.948e6755df8a4p-3, -0x1.8e5b58a9f6f17p-3, -0x1.882c9091384p-3, -0x1.8202dea4a9e28p-3, -0x1.7bdf092d70757p-3, -0x1.75c1cd615b3e8p-3, -0x1.6fabdf9ee1464p-3, -0x1.699deba883a16p-3, -0x1.639894df8b3dfp-3, -0x1.5d9c767e22336p-3, -0x1.57aa23d0ad52p-3, -0x1.51c2286e74035p-3, -0x1.4be508717b37fp-3, -0x1.461340ada1755p-3, -0x1.404d46e6e2815p-3, -0x1.3a938a06ce1a6p-3, -0x1.34e6725123aaap-3, -0x1.2f466197975a5p-3, -0x1.29b3b36caeeb6p-3, -0x1.242ebd55c6321p-3, -0x1.1eb7cefc2d192p-3, -0x1.194f325d5aca8p-3, -0x1.13f52bfa440fap-3, -0x1.0ea9fb05bfce1p-3, -0x1.096dd99205ef3p-3, -0x1.0440fcbd46f23p-3, -0x1.fe4729baabfe5p-4, -0x1.f42b9b54dc8f6p-4, -0x1.ea2f9cd217938p-4, -0x1.e0537425b9789p-4, -0x1.d6975efd974b3p-4, -0x1.ccfb9310497dep-4, -0x1.c3803e69b0cefp-4, -0x1.ba2587b5a031ep-4, -0x1.b0eb8e88e5c89p-4, -0x1.a7d26ba873992p-4, -0x1.9eda314ee20cbp-4, -0x1.9602eb702e7cfp-4, -0x1.8d4c9ffbda3afp-4, -0x1.84b74f1d432d3p-4, -0x1.7c42f37a67cfcp-4, -0x1.73ef8270fe213p-4, -0x1.6bbcec51f130ap-4, -0x1.63ab1c9b446bfp-4, -0x1.5bb9fa3063b7cp-4, -0x1.53e96790e9d08p-4, -0x1.4c39430ddbb9cp-4, -0x1.44a966fd6802ep-4, -0x1.3d39a9ed262f1p-4, -0x1.35e9ded2e6ca3p-4, -0x1.2eb9d53c11001p-4, -0x1.27a9597b9b9b4p-4, -0x1.20b834d6a1126p-4, -0x1.19e62daf9ba7bp-4, -0x1.133307b04ad6dp-4, -0x1.0c9e83f24a54cp-4, -0x1.0628612661d92p-4, -0x1.ffa0b77525951p-5, -0x1.f32c5bfdd770fp-5, -0x1.e6f320924b03dp-5, -0x1.daf4722e269c4p-5, -0x1.cf2fba5fd7008p-5, -0x1.c3a45f88d891dp-5, -0x1.b851c51bcee5p-5, -0x1.ad374bd872e7ap-5, -0x1.a25452055b16ep-5, -0x1.97a833a7bf343p-5, -0x1.8d324ab92c90ep-5, -0x1.82f1ef5b43ea1p-5, -0x1.78e6780990515p-5, -0x1.6f0f39c9739d6p-5, -0x1.656b885845959p-5, -0x1.5bfab657a57f9p-5, -0x1.52bc15780d89ap-5, -0x1.49aef6a1b5ca2p-5, -0x1.40d2aa1bcfa09p-5, -0x1.38267fb22135bp-5, -0x1.2fa9c6d911a38p-5, -0x1.275bced0337eep-5, -0x1.1f3be6c3465ep-5, -0x1.17495de9d44efp-5, -0x1.0f8383a561627p-5, -0x1.07e9a79e3aabp-5, -0x1.007b19defa267p-5, -0x1.f26e55dd732bap-6, -0x1.e43a57d4115a9p-6, -0x1.d658dd3559dffp-6, -0x1.c8c88b1c62678p-6, -0x1.bb880856a6738p-6, -0x1.ae95fd8caee6p-6, -0x1.a1f115688b847p-6, -0x1.9597fcba3e1f3p-6, -0x1.8989629a21377p-6, -0x1.7dc3f8895dd7ep-6, -0x1.724672907910ap-6, -0x1.670f875c126d2p-6, -0x1.5c1df057e175fp-6, -0x1.517069c7f72bbp-6, -0x1.4705b2e061092p-6, -0x1.3cdc8ddb3111p-6, -0x1.32f3c00cfde87p-6, -0x1.294a11f7e85aap-6, -0x1.1fde4f5d2eba1p-6, -0x1.16af474d660ap-6, -0x1.0dbbcc375d2a3p-6, -0x1.0502b3f5b32b1p-6, -0x1.f905afb67b458p-7, -0x1.e876297c68edp-7, -0x1.d85496047a418p-7, -0x1.c89ebd42cb471p-7, -0x1.b9526e681744dp-7, -0x1.aa6d7fef75cc7p-7, -0x1.9bedcfaa4049cp-7, -0x1.8dd142ca109dcp-7, -0x1.8015c5e8f3846p-7, -0x1.72b94d0fe8189p-7, -0x1.65b9d3bbc5cd3p-7, -0x1.59155ce087713p-7, -0x1.4cc9f2eb214p-7, -0x1.40d5a7c1dde86p-7, -0x1.353694c36e2b7p-7, -0x1.29eadac49fd0ep-7, -0x1.1ef0a20cd8167p-7, -0x1.14461a516fb8ep-7, -0x1.09e97aafdffacp-7, -0x1.ffb2034dc4512p-8, -0x1.ec25ea1d1bf6ep-8, -0x1.d92b441f112f6p-8, -0x1.c6beba32926dep-8, -0x1.b4dd03aee27bbp-8, -0x1.a382e64ce0ea7p-8, -0x1.92ad360e96eb7p-8, -0x1.8258d52583d52p-8, -0x1.7282b3d75da02p-8, -0x1.6327d061b170ap-8, -0x1.544536dc388cdp-8, -0x1.45d8011a20cb7p-8, -0x1.37dd568a43fb1p-8, -0x1.2a526c165dbcap-8, -0x1.1d3484016ff2fp-8, -0x1.1080edc53490ap-8, -0x1.043505eee12a4p-8, -0x1.f09c6bf65643ap-9, -0x1.d993e8635b422p-9, -0x1.c34b86ff3fe14p-9, -0x1.adbe66a449934p-9, -0x1.98e7bedfdf494p-9, -0x1.84c2dfa56bebep-9, -0x1.714b310022d93p-9, -0x1.5e7c32c4115e8p-9, -0x1.4c517c3ec1dabp-9, -0x1.3ac6bbe75194bp-9, -0x1.29d7b70e183a7p-9, -0x1.1980498c08721p-9, -0x1.09bc6571855e1p-9, -0x1.f510256ab732p-10, -0x1.d7beddc6c15dfp-10, -0x1.bb7d59961d4c3p-10, -0x1.a044285ca7c36p-10, -0x1.860c02dffec29p-10, -0x1.6ccdca854c104p-10, -0x1.548288af1b0cp-10, -0x1.3d236e1b9cd6bp-10, -0x1.26a9d243d58a4p-10, -0x1.110f32bab0ac8p-10, -0x1.f89a651ab3c88p-11, -0x1.d0bb334846a36p-11, -0x1.aa74a8489041bp-11, -0x1.85bae3a55b201p-11, -0x1.62824af0038edp-11, -0x1.40bf888a2cf33p-11, -0x1.20678a722ffeep-11, -0x1.016f811109bc8p-11, -0x1.c799bc169c27cp-12, -0x1.8eeaa629d9d04p-12, -0x1.58bda18db5589p-12, -0x1.24ff0aeff8c4ep-12, -0x1.e73770630c535p-13, -0x1.8901ec4654b8ep-13, -0x1.2f390c92964b5p-13, -0x1.b37272962075fp-14, -0x1.10bf761790609p-14, -0x1.d855b5a66188bp-16, 0x1.ccdadbb50f328p-18, 0x1.50547431d07ebp-15, 0x1.2c3ef748c7bf5p-14, 0x1.a9490df833bf4p-14, 0x1.0fc20c0647e24p-13, 0x1.47951459aba97p-13, 0x1.7c39ea25d128dp-13, 0x1.adcc1c1d8d2cap-13, 0x1.dc668152e496fp-13, 0x1.04119e8252a4dp-12, 0x1.188de12e8ef57p-12, 0x1.2bb46c134bd57p-12, 0x1.3d914e3796b79p-12, 0x1.4e30440f2a54ep-12, 0x1.5d9cb93f638e9p-12, 0x1.6be1ca5bfaa03p-12, 0x1.790a469cb3552p-12, 0x1.8520b18e8e1edp-12, 0x1.902f44bb44888p-12, 0x1.9a3ff14b5119cp-12, 0x1.a35c61a0edc8ap-12, 0x1.ab8dfaeca8dbdp-12, 0x1.b2dddeb989dfdp-12, 0x1.b954ec74625eap-12, 0x1.befbc2ec438adp-12, 0x1.c3dac1cb914d4p-12, 0x1.c7fa0b0ab5abdp-12, 0x1.cb61845c96c2fp-12, 0x1.ce18d89473722p-12, 0x1.d0277904bb8bep-12, 0x1.d1949ed84aecfp-12, 0x1.d2674c662365dp-12, 0x1.d2a64e7caf0f5p-12, 0x1.d2583da91484ep-12, 0x1.d1837f7708fb6p-12, 0x1.d02e47aab2615p-12, 0x1.ce5e997570cd6p-12, 0x1.cc1a48a3ad597p-12, 0x1.c966fac601c94p-12, 0x1.c64a28535c9cp-12, 0x1.c2c91dc68e2p-12, 0x1.bee8fcb5bd7adp-12, 0x1.baaebce35a027p-12, 0x1.b61f2d4b603c3p-12, 0x1.b13ef529ea89dp-12, 0x1.ac1294fd24fep-12, 0x1.a69e6781e47e9p-12, 0x1.a0e6a2a9ff932p-12, 0x1.9aef588f858f3p-12, 0x1.94bc7861162e5p-12, 0x1.8e51cf4a116fep-12, 0x1.87b30955c8e0dp-12, 0x1.80e3b24e17a6fp-12, 0x1.79e7369549e45p-12, 0x1.72c0e3fad3fd7p-12, 0x1.6b73ea8baa476p-12, 0x1.64035d5e5422ep-12, 0x1.5c72335a8e62cp-12, 0x1.54c347fbcb17bp-12, 0x1.4cf95c1072e5ap-12, 0x1.451716746b55p-12, 0x1.3d1f04c7b0626p-12, 0x1.35139c20633a4p-12, 0x1.2cf739b9223f4p-12, 0x1.24cc239b92ef1p-12, 0x1.1c948946b59dep-12, 0x1.145284517ca2p-12, 0x1.0c08190a0fdd1p-12, 0x1.03b737111675bp-12, 0x1.f6c373e249da3p-13, 0x1.e612d3666e1afp-13, 0x1.d55ff6de7a2e7p-13, 0x1.c4ae23b294fbep-13, 0x1.b4007b96de6dcp-13, 0x1.a359fd9931a3dp-13, 0x1.92bd872793d95p-13, 0x1.822dd51200246p-13, 0x1.71ad84832127ap-13, 0x1.613f13f57ed68p-13, 0x1.50e4e422359a8p-13, 0x1.40a138e901b41p-13, 0x1.30763a32a4f47p-13, 0x1.2065f4cf64aap-13, 0x1.10725b4cbe74cp-13, 0x1.009d46ca5d3f2p-13, 0x1.e1d0ef8bebb6ap-14, 0x1.c2ab2dc5623b3p-14, 0x1.a3cc6b598228fp-14, 0x1.85379eaf95784p-14, 0x1.66ef92ed29f53p-14, 0x1.48f6e961856f6p-14, 0x1.2b501ae4882fp-14, 0x1.0dfd792a89a33p-14, 0x1.e202602d6b128p-15, 0x1.a8ba8df909726p-15, 0x1.702743b82a78cp-15, 0x1.384c052e4100bp-15, 0x1.012c143ab3f51p-15, 0x1.9594e636014d8p-16, 0x1.2a53cd51719c1p-16, 0x1.8133e20891d75p-17, 0x1.61afc8f29004p-18, -0x1.c63f87abf7913p-21, -0x1.ccf0476b5e318p-18, -0x1.ad5dd8c1f2b5fp-17, -0x1.38878c27017f2p-16, -0x1.98c3506eaf59bp-16, -0x1.f75ff3d52869fp-16, -0x1.2a2dc46fbdf91p-15, -0x1.57da3b4b4b31fp-15, -0x1.84b4baa486d4fp-15, -0x1.b0bcc5ae67779p-15, -0x1.dbf2051d4f7afp-15, -0x1.032a22d2b0681p-14, -0x1.17f1bb44532abp-14, -0x1.2c4fd415a900ep-14, -0x1.4044855a5249ap-14, -0x1.53cff65e29098p-14, -0x1.66f25cfe4dc19p-14, -0x1.79abfd08097cdp-14, -0x1.8bfd279e0bd3fp-14, -0x1.9de63aa0e3cd6p-14, -0x1.af67a01c7766cp-14, -0x1.c081cdb8ab87fp-14, -0x1.d1354430eae36p-14, -0x1.e1828ecd75ae5p-14, -0x1.f16a42e03eb77p-14, -0x1.00767fa5bd139p-13, -0x1.0805b6019b1dcp-13, -0x1.0f631cccae2cep-13, -0x1.168f10657ecacp-13, -0x1.1d89f1093fcf6p-13, -0x1.2454229d9394ep-13, -0x1.2aee0c7cf8508p-13, -0x1.3158194512b38p-13, -0x1.3792b6a534e54p-13, -0x1.3d9e552f5eb22p-13, -0x1.437b682c054c2p-13, -0x1.492a656cd4ef5p-13, -0x1.4eabc52298ab3p-13, -0x1.540001b4035a3p-13, -0x1.59279796c4c4cp-13, -0x1.5e23052820aaap-13, -0x1.62f2ca8859f9dp-13, -0x1.679769779a201p-13, -0x1.6c116532a3385p-13, -0x1.70614251873bp-13, -0x1.748786a7ff506p-13, -0x1.7884b9265fdcfp-13, -0x1.7c5961bb693a8p-13, -0x1.80060937c3628p-13, -0x1.838b3932787fbp-13, -0x1.86e97bee089edp-13, -0x1.8a215c3eab1d9p-13, -0x1.8d3365718999p-13, -0x1.90202335b09bep-13, -0x1.92e8218466477p-13, -0x1.958bec8b2b066p-13, -0x1.980c10975ee26p-13, -0x1.9a691a0121986p-13, -0x1.9ca395185f512p-13, -0x1.9ebc0e11dd5a8p-13, -0x1.a0b310f5ceb04p-13, -0x1.a289298e41ca5p-13, -0x1.a43ee356a4bd5p-13, -0x1.a5d4c96c1c1fap-13, -0x1.a74b667ee3a55p-13, -0x1.a8a344c365c65p-13, -0x1.a9dcede4a8c4p-13, -0x1.aaf8eaf74bccep-13, -0x1.abf7c46cbf92p-13, -0x1.acda0207952f9p-13, -0x1.ada02acfdfff8p-13, -0x1.ae4ac508dc94fp-13, -0x1.aeda56264cf57p-13, -0x1.af4f62c2b34c4p-13, -0x1.afaa6e95f6004p-13, -0x1.afebfc6ce243dp-13, -0x1.b0148e20dbae4p-13, -0x1.b024a48f9309cp-13, -0x1.b01cbf9405e49p-13, -0x1.affd5dff614f9p-13, -0x1.afc6fd9241632p-13, -0x1.af7a1af6bf076p-13, -0x1.af1731ba497f2p-13, -0x1.ae9ebc48dab94p-13, -0x1.ae1133e7313cp-13, -0x1.ad6f10aea216cp-13, -0x1.acb8c987fa55dp-13, -0x1.abeed4287b17dp-13, -0x1.ab11a50d2ab2p-13, -0x1.aa21af77e2c91p-13, -0x1.a91f656be0503p-13, -0x1.a80b37ab23999p-13, -0x1.a6e595b3c596fp-13, -0x1.a5aeedbd58d0ep-13, -0x1.a467acb727f0bp-13, -0x1.a3103e465043dp-13, -0x1.a1a90cc42199cp-13, -0x1.a032813c9da8bp-13, -0x1.9ead036d2d7cdp-13, -0x1.9d18f9c44b007p-13, -0x1.9b76c96000607p-13, -0x1.99c6d60dcb399p-13, -0x1.98098249f4292p-13, -0x1.963f2f3faab94p-13, -0x1.94683cc8efc2ap-13, -0x1.9285096e5d948p-13, -0x1.9095f267e09a4p-13, -0x1.8e9b539ce9cc5p-13, -0x1.8c9587a545f5cp-13, -0x1.8a84e7c9a21c1p-13, -0x1.8869cc044257fp-13, -0x1.86448b0292a73p-13, -0x1.84157a25afd57p-13, -0x1.81dced83f2006p-13, -0x1.7f9b37ea26f16p-13, -0x1.7d50aadcf4195p-13, -0x1.7afd969ac174cp-13, -0x1.78a24a1cff9bdp-13, -0x1.763f1319ffbc3p-13, -0x1.73d43e06d748bp-13, -0x1.7162161937f3ep-13, -0x1.6ee8e549a2a2dp-13, -0x1.6c68f455142b8p-13, -0x1.69e28abf8223dp-13, -0x1.6755eed5fa03cp-13, -0x1.64c365b0e368fp-13, -0x1.622b333642594p-13, -0x1.5f8d9a1c1f5aep-13, -0x1.5ceadbeafb416p-13, -0x1.5a4339009fc11p-13, -0x1.5796f092096d1p-13, -0x1.54e640ae7f72dp-13, -0x1.52316641ea94ap-13, -0x1.4f789d17ac0b2p-13, -0x1.4cbc1fdd4af82p-13, -0x1.49fc2824fa375p-13, -0x1.4738ee6897c85p-13, -0x1.4472aa0c608f3p-13, -0x1.41a99161cd846p-13, -0x1.3eddd9aa4bf5fp-13, -0x1.3c0fb71a2105bp-13, -0x1.393f5cdb4ef3cp-13, -0x1.366cfd10a5a5cp-13, -0x1.3398c8d85994ap-13, -0x1.30c2f04f20095p-13, -0x1.2deba2931801dp-13, -0x1.2b130dc6acc88p-13, -0x1.28395f13aa154p-13, -0x1.255ec2adfa9d4p-13, -0x1.228363d6c7e9ep-13, -0x1.1fa76cdf608a1p-13, -0x1.1ccb072c20f7ap-13, -0x1.19ee5b37953b3p-13, -0x1.171190953dca3p-13, -0x1.1434cdf47fa0ap-13, -0x1.11583923d44e6p-13, -0x1.0e7bf713943ccp-13, -0x1.0ba02bd8c574cp-13, -0x1.08c4fab05113ap-13, -0x1.05ea8601c48eep-13, -0x1.0310ef623618p-13, -0x1.003857975356dp-13, -0x1.fac1bd3428867p-14, -0x1.f51547337183fp-14, -0x1.ef6b89fd4f42fp-14, -0x1.e9c4c0da75589p-14, -0x1.e421259161209p-14, -0x1.de80f06bba09cp-14, -0x1.d8e4583bfbbfp-14, -0x1.d34b92633253bp-14, -0x1.cdb6d2d687997p-14, -0x1.c8264c248133p-14, -0x1.c29a2f7aa5558p-14, -0x1.bd12acab1bef1p-14, -0x1.b78ff231a1106p-14, -0x1.b2122d3956b79p-14, -0x1.ac9989a1b739p-14, -0x1.a726320417c6fp-14, -0x1.a1b84fb8d2b3p-14, -0x1.9c500adc3c011p-14, -0x1.96ed8a543a16cp-14, -0x1.9190f3d51f76fp-14, -0x1.8c3a6be693cd1p-14, -0x1.86ea15e8e5469p-14, -0x1.81a01419aa47cp-14, -0x1.7c5c879902322p-14, -0x1.771f906e2f891p-14, -0x1.71e94d8c82f8p-14, -0x1.6cb9dcd835c6dp-14, -0x1.67915b2b04886p-14, -0x1.626fe458f676p-14, -0x1.5d559334cce2p-14, -0x1.58428194f9982p-14, -0x1.5336c857a4912p-14, -0x1.4e327f678e823p-14, -0x1.4935bdc0576bp-14, -0x1.44409973045ebp-14, -0x1.3f5327a9f58bdp-14, -0x1.3a6d7cadcfd2p-14, -0x1.358fabe8f4de1p-14, -0x1.30b9c7ec51ba6p-14, -0x1.2bebe27356d1fp-14, -0x1.27260c67b170ep-14, -0x1.226855e5ff7d6p-14, -0x1.1db2ce4144559p-14, -0x1.190584070e665p-14, -0x1.14608503419aap-14, -0x1.0fc3de4419757p-14, -0x1.0b2f9c1dc2dd8p-14, -0x1.06a3ca2e404f8p-14, -0x1.02207360e8488p-14, -0x1.fb4b43e4ec4a2p-15, -0x1.f266bee83ab79p-15, -0x1.e993699edde54p-15, -0x1.e0d154939ff77p-15, -0x1.d8208f0f32d8dp-15, -0x1.cf8127203ba24p-15, -0x1.c6f329a0feedp-15, -0x1.be76a23e47509p-15, -0x1.b60b9b7e62efbp-15, -0x1.adb21ec70e7bp-15, -0x1.a56a3463e8083p-15, -0x1.9d33e38caa6c8p-15, -0x1.950f326bcbac6p-15, -0x1.8cfc262415203p-15, -0x1.84fac2d687426p-15, -0x1.7d0b0ba8cdf77p-15, -0x1.752d02cacc731p-15, -0x1.6d60a97c372ap-15, -0x1.65a60012614ap-15, -0x1.5dfd05fdbd177p-15, -0x1.5665b9cf1f673p-15, -0x1.4ee0193d8c01cp-15, -0x1.476c212b8f73dp-15, -0x1.4009cdabc10ecp-15, -0x1.38b91a06bb9c8p-15, -0x1.317a00bfceeeep-15, -0x1.2a4c7b99ff9dcp-15, -0x1.2330839cb105bp-15, -0x1.1c261118e1e97p-15, -0x1.152d1badf9637p-15, -0x1.0e459a4dc3f3ep-15, -0x1.076f8341c6d55p-15, -0x1.00aacc2f57b44p-15, -0x1.f3eed439015e8p-16, -0x1.e6aaa2e7804b8p-16, -0x1.d988ec117b0aep-16, -0x1.cc899638e3e1dp-16, -0x1.bfac86c1f1427p-16, -0x1.b2f1a1fc761b3p-16, -0x1.a658cb2b765a3p-16, -0x1.99e1e48c6abb3p-16, -0x1.8d8ccf5fb6d53p-16, -0x1.81596bf00b2cp-16, -0x1.75479999d1598p-16, -0x1.695736d256a31p-16, -0x1.5d88212f0894p-16, -0x1.51da356db21d4p-16, -0x1.464d4f794548dp-16, -0x1.3ae14a72897b2p-16, -0x1.2f9600b5fc036p-16, -0x1.246b4be2b7adap-16, -0x1.196104e10a30dp-16, -0x1.0e7703e7d0282p-16, -0x1.03ad2083f33fcp-16, -0x1.f206633b3d1a2p-17, -0x1.dcf21afd207fdp-17, -0x1.c81d13b0edb75p-17, -0x1.b386f7943e264p-17, -0x1.9f2f6fc9ea764p-17, -0x1.8b1624664ed98p-17, -0x1.773abc79cacacp-17, -0x1.639cde1a26553p-17, -0x1.503c2e6f14525p-17, -0x1.3d1851ba22b95p-17, -0x1.2a30eb64e31ecp-17, -0x1.17859e049e42ep-17, -0x1.05160b692271ap-17, -0x1.e5c3a9486fc3fp-18, -0x1.c1d1342688806p-18, -0x1.9e53f6d114686p-18, -0x1.7b4b2f64cc407p-18, -0x1.58b61acc8afbdp-18, -0x1.3693f4ced6d7ap-18, -0x1.14e3f82191a4p-18, -0x1.e74abcf070a34p-19, -0x1.a5aec12beb3e1p-19, -0x1.64f26cb4fdacdp-19, -0x1.25142da5149e3p-19, -0x1.cc24e122afdd5p-20, -0x1.4fd7413df4aa4p-20, -0x1.aa789eadfdc92p-21, -0x1.714372e651ad7p-22, 0x1.aee476e95df3dp-24, 0x1.21089fe2a67b7p-21, 0x1.04747169f3085p-20, 0x1.76c1e1f631857p-20, 0x1.e76fd91461e64p-20, 0x1.2b40c7b916acbp-19, 0x1.61fd1f590729cp-19, 0x1.97ee90a8cf577p-19, 0x1.cd16b934b262bp-19, 0x1.00bb9b610ab78p-18, 0x1.1a88d39d1e9c2p-18, 0x1.33f3d44b7234p-18, 0x1.4cfd6c64f77f8p-18, 0x1.65a66ad760c93p-18, 0x1.7def9e785814ep-18, 0x1.95d9d5feae767p-18, 0x1.ad65dff72d5e3p-18, 0x1.c4948abc64dafp-18, 0x1.db66a46c11562p-18, 0x1.f1dcfae0cbc1ep-18, 0x1.03fc2dd4257b8p-17, 0x1.0edcc9fec123bp-17, 0x1.1990b85defa22p-17, 0x1.24185f2d80a7fp-17, 0x1.2e74247406ed5p-17, 0x1.38a46dfd11483p-17, 0x1.42a9a1584d063p-17, 0x1.4c8423d4d5032p-17, 0x1.56345a7c9ab09p-17, 0x1.5fbaaa12dd39cp-17, 0x1.6917770ffc2eap-17, 0x1.724b259ee95f8p-17, 0x1.7b561999ddefbp-17, 0x1.8438b687546fp-17, 0x1.8cf35f97d27acp-17, 0x1.958677a2a08c5p-17, 0x1.9df261236b3fep-17, 0x1.a6377e37829b1p-17, 0x1.ae56309a6c63bp-17, 0x1.b64ed9a587e4p-17, 0x1.be21da4cee13ap-17, 0x1.c5cf931c2513dp-17, 0x1.cd5864348856fp-17, 0x1.d4bcad4bb68bap-17, 0x1.dbfccda8e681ap-17, 0x1.e3192422c6684p-17, 0x1.ea120f1f916ccp-17, 0x1.f0e7ec90a5dd1p-17, 0x1.f79b19f1ab8acp-17, 0x1.fe2bf446fa81ap-17, 0x1.024d6c0e00268p-16, 0x1.057410c0d1e65p-16, 0x1.088a1606a4807p-16, 0x1.0b8fa96aec0eap-16, 0x1.0e84f83a3bb87p-16, 0x1.116a2f80df93p-16, 0x1.143f7c0a77bf8p-16, 0x1.17050a6164b36p-16, 0x1.19bb06cdb61f2p-16, 0x1.1c619d5530b24p-16, 0x1.1ef8f9bb342ap-16, 0x1.2181477f293dp-16, 0x1.23fab1dc520c2p-16, 0x1.266563ca16843p-16, 0x1.28c187faa90c7p-16, 0x1.2b0f48da96d65p-16, 0x1.2d4ed091ee949p-16, 0x1.2f804902332e8p-16, 0x1.31a3dbc68cbfbp-16, 0x1.33b9b2339eccfp-16, 0x1.35c1f55707488p-16, 0x1.37bccdf741bfbp-16, 0x1.39aa64939103ep-16, 0x1.3b8ae16353abcp-16, 0x1.3d5e6c5618401p-16, 0x1.3f252d1368a1cp-16, 0x1.40df4afa8fabdp-16, 0x1.428ced22b4954p-16, 0x1.442e3a5a0153ep-16, 0x1.45c3592646e6fp-16, 0x1.474c6fc423b9cp-16, 0x1.48c9a42823defp-16, 0x1.4a3b1bfd3bf3dp-16, 0x1.4ba0fca588cccp-16, 0x1.4cfb6b3a5d264p-16, 0x1.4e4a8c8bd41dap-16, 0x1.4f8e85206c4fap-16, 0x1.50c7793677571p-16, 0x1.51f58cc2f0ebfp-16, 0x1.5318e37189b29p-16, 0x1.5431a0a54acdbp-16, 0x1.553fe777cb632p-16, 0x1.5643daba22006p-16, 0x1.573d9cf4a0deap-16, 0x1.582d5066aaa6cp-16, 0x1.5913170712fffp-16, 0x1.59ef128438808p-16, 0x1.5ac1644418229p-16, 0x1.5b8a2d649a5dfp-16, 0x1.5c498ebb77c69p-16, 0x1.5cffa8d61957cp-16, 0x1.5dac9bfa9e05fp-16, 0x1.5e5088272699ep-16, 0x1.5eeb8d12d7a7ep-16, 0x1.5f7dca2d16494p-16, 0x1.60075e9ebdf53p-16, 0x1.608869499beaep-16, 0x1.610108c8b5cf1p-16, 0x1.61715b70a811bp-16, 0x1.61d97f50762cbp-16, 0x1.62399230d2e4bp-16, 0x1.6291b194d3b5dp-16, 0x1.62e1faba44699p-16, 0x1.632a8a9973edap-16, 0x1.636b7de620ad8p-16, 0x1.63a4f10f70a51p-16, 0x1.63d700400eebcp-16, 0x1.6401c75eae216p-16, 0x1.6425620e2de63p-16, 0x1.6441ebae0bfc7p-16, 0x1.64577f5aadc7fp-16, 0x1.646637edbbd18p-16, 0x1.646e2ffdeb037p-16, 0x1.646f81e02fa0ap-16, 0x1.646a47a733a34p-16, 0x1.645e9b246946dp-16, 0x1.644c95e7bea6cp-16, 0x1.6434514067814p-16, 0x1.6415e63d30cd5p-16, 0x1.63f16dac4151fp-16, 0x1.63c7001bdc342p-16, 0x1.6396b5db1239cp-16, 0x1.6360a6f9c3f34p-16, 0x1.6324eb48b812p-16, 0x1.62e39a5a7a108p-16, 0x1.629ccb8352fe5p-16, 0x1.625095d9c1d55p-16, 0x1.61ff10370d08ep-16, 0x1.61a851375f581p-16, 0x1.614c6f3a377e5p-16, 0x1.60eb8062bdf2fp-16, 0x1.60859a985506ep-16, 0x1.601ad386c7ba9p-16, 0x1.5fab409ebe7a3p-16, 0x1.5f36f716382cp-16, 0x1.5ebe0be88d123p-16, 0x1.5e4093d7653a9p-16, 0x1.5dbea36aa67b5p-16, 0x1.5d384ef0e593fp-16, 0x1.5cadaa7fdff49p-16, 0x1.5c1ec9f4f584bp-16, 0x1.5b8bc0f5a322fp-16, 0x1.5af4a2ef74f3ep-16, 0x1.5a598318acd62p-16, 0x1.59ba74709c75p-16, 0x1.591789c089b43p-16, 0x1.5870d59b13c3dp-16, 0x1.57c66a5d66172p-16, 0x1.57185a2f62e86p-16, 0x1.5666b703d4386p-16, 0x1.55b1929915dcfp-16, 0x1.54f8fe7966354p-16, 0x1.543d0bfb574b5p-16, 0x1.537dcc41f44bep-16, 0x1.52bb503d6b955p-16, 0x1.51f5a8ab4128p-16, 0x1.512ce616ebbc3p-16, 0x1.506118da40d84p-16, 0x1.4f92511d81c91p-16, 0x1.4ec09ed7cd7cp-16, 0x1.4dec11cffc451p-16, 0x1.4d14b99c96816p-16, 0x1.4c3aa5a423da3p-16, 0x1.4b5de51de5e63p-16, 0x1.4a7e8711fabfap-16, 0x1.499c9a5a2dfc4p-16, 0x1.48b82da1b5a9cp-16, 0x1.47d14f65d2453p-16, 0x1.46e80df65ed8ep-16, 0x1.45fc77763ae91p-16, 0x1.450e99db6b992p-16, 0x1.441e82ef9e189p-16, 0x1.432c4050a72d6p-16, 0x1.4237df7097617p-16, 0x1.41416d9631e78p-16, 0x1.4048f7ddaf297p-16, 0x1.3f4e8b38acedep-16, 0x1.3e52346eaf54p-16, 0x1.3d54001d7187cp-16, 0x1.3c53fab973b62p-16, 0x1.3b52308e166eap-16, 0x1.3a4eadbe4ec88p-16, 0x1.39497e44b5844p-16, 0x1.3842adf42b565p-16, 0x1.373a4877b5985p-16, 0x1.363059537347ap-16, 0x1.3524ebe4c9b2bp-16, 0x1.34180b6284e5fp-16, 0x1.3309c2dd71277p-16, 0x1.31fa1d408ed83p-16, 0x1.30e92551abf04p-16, 0x1.2fd6e5b16ecd5p-16, 0x1.2ec368dbc01f9p-16, 0x1.2daeb92873873p-16, 0x1.2c98e0cb44b23p-16, 0x1.2b81e9d45bf2dp-16, 0x1.2a69de30780a3p-16, 0x1.2950c7a996c63p-16, 0x1.2836afe713449p-16, 0x1.271ba06dea67fp-16, 0x1.25ffa2a1360f2p-16, 0x1.24e2bfc28cebcp-16, 0x1.23c500f239fe1p-16, 0x1.22a66f2fb4327p-16, 0x1.21871359a8784p-16, 0x1.2066f62e858c1p-16, 0x1.1f46204cdc86ep-16, 0x1.1e249a33b80ep-16, 0x1.1d026c42b6448p-16, 0x1.1bdf9eba62dd4p-16, 0x1.1abc39bc9cb4fp-16, 0x1.1998454d13ecp-16, 0x1.1873c95175daep-16, 0x1.174ecd917899bp-16, 0x1.162959b76c8ebp-16, 0x1.150375508f4bdp-16, 0x1.13dd27cd7cb04p-16, 0x1.12b678821e559p-16, 0x1.118f6ea5fcfccp-16, 0x1.10681154ecc59p-16, 0x1.0f40678f1181bp-16, 0x1.0e1878394677fp-16, 0x1.0cf04a1d5d14bp-16, 0x1.0bc7e3ea384c1p-16, 0x1.0a9f4c34683e9p-16, 0x1.097689764d883p-16, 0x1.084da210567fep-16, 0x1.07249c494b997p-16, 0x1.05fb7e4ea8bf4p-16, 0x1.04d24e34dcbb7p-16, 0x1.03a911f78dac7p-16, 0x1.027fcf79c440cp-16, 0x1.01568c8645c99p-16, 0x1.002d4ecff9d4dp-16, 0x1.fe0837e41f4a3p-17, 0x1.fbb5f2e038eb4p-17, 0x1.f963d96d3045fp-17, 0x1.f711f63622197p-17, 0x1.f4c053b8d58c7p-17, 0x1.f26efc46210e4p-17, 0x1.f01dfa027621fp-17, 0x1.edcd56e67e73dp-17, 0x1.eb7d1cbfba60ap-17, 0x1.e92d5530b4d6fp-17, 0x1.e6de09b17af4dp-17, 0x1.e48f439055f07p-17, 0x1.e2410bf24ccc5p-17, 0x1.dff36bd32e6dbp-17, 0x1.dda66c06a08c6p-17, 0x1.db5a15385f1bep-17, 0x1.d90e6fec94347p-17, 0x1.d6c3848044291p-17, 0x1.d4795b29f4b43p-17, 0x1.d22ffbfa2605dp-17, 0x1.cfe76edb939e2p-17, 0x1.cd9fbb93c017ap-17, 0x1.cb58e9c35fccap-17, 0x1.c91300e7240b1p-17, 0x1.c6ce085785c1ep-17, 0x1.c48a074983bc3p-17, 0x1.c24704cf3b64dp-17, 0x1.c00507d84501cp-17, 0x1.bdc41731cc344p-17, 0x1.bb84398735b44p-17, }}, 
      {{0x1.f4ad39bc57d2ap-1, 0x1.f418b078a1585p-1, 0x1.f34969a0788bp-1, 0x1.f2400da90ec6dp-1, 0x1.f0fd6fee31651p-1, 0x1.ef828b7ac365bp-1, 0x1.edd07f968b8bfp-1, 0x1.ebe88c36b9927p-1, 0x1.e9cc0e686846p-1, 0x1.e77c7cc7399d4p-1, 0x1.e4fb640dc77dep-1, 0x1.e24a63ca08861p-1, 0x1.df6b2b3cccac2p-1, 0x1.dc5f76690f921p-1, 0x1.d9290b55ed6dcp-1, 0x1.d5c9b784806bep-1, 0x1.d2434d99be4cap-1, 0x1.ce97a33b82e75p-1, 0x1.cac88f1f4aedcp-1, 0x1.c6d7e7489f394p-1, 0x1.c2c77f74e1888p-1, 0x1.be9927b1efc48p-1, 0x1.ba4eab1cf21fbp-1, 0x1.b5e9cec6a23aap-1, 0x1.b16c50ba55f26p-1, 0x1.acd7e72529374p-1, 0x1.a82e3f9ab4156p-1, 0x1.a370fe74dd14ep-1, 0x1.9ea1be4c6b343p-1, 0x1.99c20f882685bp-1, 0x1.94d3780075081p-1, 0x1.8fd772b580fc4p-1, 0x1.8acf6f9620a6ap-1, 0x1.85bcd355d0af5p-1, 0x1.80a0f750382c4p-1, 0x1.7b7d2978cc5fp-1, 0x1.7652ac55461d6p-1, 0x1.7122b701b7e4dp-1, 0x1.6bee753d2ce0fp-1, 0x1.66b7077dd5c4p-1, 0x1.617d830bd7ed7p-1, 0x1.5c42f221efb97p-1, 0x1.570854132788ep-1, 0x1.51ce9d74f3962p-1, 0x1.4c96b84d1d7f1p-1, 0x1.47618442e98aap-1, 0x1.422fd6d2ffcbep-1, 0x1.3d027b85a1f3p-1, 0x1.37da3426c7527p-1, 0x1.32b7b8ffc678fp-1, 0x1.2d9bb912354d3p-1, 0x1.2886da53b9f33p-1, 0x1.2379b9ea87007p-1, 0x1.1e74ec6a4b932p-1, 0x1.1978fe115f013p-1, 0x1.14867305fbb4p-1, 0x1.0f9dc79360113p-1, 0x1.0abf7066ae844p-1, 0x1.05ebdacb6d372p-1, 0x1.01236ce7883a3p-1, 0x1.f8cd0bed7a857p-2, 0x1.ef6afd0ab3d08p-2, 0x1.e6215154719ebp-2, 0x1.dcf0a07fd933cp-2, 0x1.d3d9763a15865p-2, 0x1.cadc52970cb36p-2, 0x1.c1f9aa7e29be1p-2, 0x1.b931e8151a814p-2, 0x1.b0856b287cfb8p-2, 0x1.a7f48992682b7p-2, 0x1.9f7f8f9ec8921p-2, 0x1.9726c06d83289p-2, 0x1.8eea5652608ccp-2, 0x1.86ca8332b08e8p-2, 0x1.7ec770e0aa842p-2, 0x1.76e14174851eep-2, 0x1.6f180fa3446d3p-2, 0x1.676bef1342e1dp-2, 0x1.5fdcecae7018bp-2, 0x1.586b0ef24d433p-2, 0x1.5116563da88f9p-2, 0x1.49debd1c1ccfep-2, 0x1.42c4388f59c96p-2, 0x1.3bc6b856391eep-2, 0x1.34e62731a985p-2, 0x1.2e226b277748fp-2, 0x1.277b65c2f37b5p-2, 0x1.20f0f45388439p-2, 0x1.1a82f02941d4ap-2, 0x1.14312ecf4f886p-2, 0x1.0dfb82448ac46p-2, 0x1.07e1b9320d54p-2, 0x1.01e39f1fdabd9p-2, 0x1.f801f94f5ef65p-3, 0x1.ec732f4beb4e6p-3, 0x1.e11a66d1e329bp-3, 0x1.d5f721bc54942p-3, 0x1.cb08dd7c3a7fdp-3, 0x1.c04f136c88031p-3, 0x1.b5c93922eb903p-3, 0x1.ab76c0bd64891p-3, 0x1.a157192cbda8fp-3, 0x1.9769ae7bf9745p-3, 0x1.8dadea14d4c0ap-3, 0x1.8423330163b95p-3, 0x1.7ac8ee2ae587bp-3, 0x1.719e7e95e8204p-3, 0x1.68a3459bc09aep-3, 0x1.5fd6a3217d081p-3, 0x1.5737f5cc5a50bp-3, 0x1.4ec69b33ced7ap-3, 0x1.4681f011435e2p-3, 0x1.3e69506d9029bp-3, 0x1.367c17cc402d6p-3, 0x1.2eb9a154c2ac7p-3, 0x1.272147f986f0fp-3, 0x1.1fb2669d2d2fcp-3, 0x1.186c5835be879p-3, 0x1.114e77ee1d5c6p-3, 0x1.0a582145a1bf4p-3, 0x1.0388b02e0c1bp-3, 0x1.f9bf024f856d9p-4, 0x1.ecb7e2b90f95bp-4, 0x1.dffabd712b602p-4, 0x1.d3865004a4d6dp-4, 0x1.c75959e117436p-4, 0x1.bb729c7eae31dp-4, 0x1.afd0db8750fcbp-4, 0x1.a472dcfb41ad5p-4, 0x1.9957695346961p-4, 0x1.8e7d4ba0925fcp-4, 0x1.83e351aa62453p-4, 0x1.79884c098067p-4, 0x1.6f6b0e41b4f37p-4, 0x1.658a6ed943288p-4, 0x1.5be5476e8233ap-4, 0x1.527a74cbab6fbp-4, 0x1.4948d6f8ecf71p-4, 0x1.404f514cda0a6p-4, 0x1.378cca7b4543ep-4, 0x1.2f002ca29cafcp-4, 0x1.26a86557d4cffp-4, 0x1.1e8465b0f7a5ep-4, 0x1.1693224e6305ap-4, 0x1.0ed39362cb7bep-4, 0x1.0744b4ba0e80ep-4, 0x1.ffcb0b7dcac85p-5, 0x1.f16a12ff0b8fbp-5, 0x1.e3648d627ac95p-5, 0x1.d5b88f6630155p-5, 0x1.c864351f3154fp-5, 0x1.bb65a1fb2be0ep-5, 0x1.aebb00c0867aep-5, 0x1.a262838ce49c1p-5, 0x1.965a63d22fe17p-5, 0x1.8aa0e2523f844p-5, 0x1.7f3447192cff5p-5, 0x1.7412e1766cbf3p-5, 0x1.693b07f4bc1b5p-5, 0x1.5eab1850f6301p-5, 0x1.5461776fe2989p-5, 0x1.4a5c915308978p-5, 0x1.409ad90ca0b78p-5, 0x1.371ac8b2a7b41p-5, 0x1.2ddae1512a3ddp-5, 0x1.24d9aadbd2bfap-5, 0x1.1c15b41ec8fa7p-5, 0x1.138d92aeee054p-5, 0x1.0b3fe2d98210bp-5, 0x1.032b47933cb99p-5, 0x1.f69cd4cdd5d41p-6, 0x1.e74ff6c71e3f5p-6, 0x1.d86d62143c3d1p-6, 0x1.c9f29075aa83bp-6, 0x1.bbdd084471ac7p-6, 0x1.ae2a5c4b8693dp-6, 0x1.a0d82ba09b493p-6, 0x1.93e4217c6c676p-6, 0x1.874bf512a20eep-6, 0x1.7b0d69695078cp-6, 0x1.6f264d3021fb6p-6, 0x1.63947a973c198p-6, 0x1.5855d725eaddp-6, 0x1.4d6853911c588p-6, 0x1.42c9eb91ba616p-6, 0x1.3878a5baef2dfp-6, 0x1.2e72935052067p-6, 0x1.24b5d01c1d1c6p-6, 0x1.1b40824559871p-6, 0x1.1210da26232dap-6, 0x1.09251221fe48dp-6, 0x1.007b6e7c42b46p-6, 0x1.f0247a5d6f9eap-7, 0x1.dfcfab80a4456p-7, 0x1.cff5323844946p-7, 0x1.c091e2d0ff5bp-7, 0x1.b1a2a3bcd709ap-7, 0x1.a3246d427477dp-7, 0x1.9514492cf854p-7, 0x1.876f527c76de9p-7, 0x1.7a32b517049a3p-7, 0x1.6d5bad7a75b8fp-7, 0x1.60e7886ebf623p-7, 0x1.54d3a2b91e016p-7, 0x1.491d68cff121ap-7, 0x1.3dc2568f562p-7, 0x1.32bff6ee92092p-7, 0x1.2813e3b644fefp-7, 0x1.1dbbc5376fbe6p-7, 0x1.13b552034eec4p-7, 0x1.09fe4ea40ed68p-7, 0x1.00948d565efb5p-7, 0x1.eeebdb87c35acp-8, 0x1.dd40b97d023dbp-8, 0x1.cc23a7f94e95dp-8, 0x1.bb90b3acbf461p-8, 0x1.ab840206b89e1p-8, 0x1.9bf9d0b3db8cap-8, 0x1.8cee751db927bp-8, 0x1.7e5e5bec697e9p-8, 0x1.70460889fa74dp-8, 0x1.62a214a7b8e68p-8, 0x1.556f2fc554ed8p-8, 0x1.48aa1eb9e21fcp-8, 0x1.3c4fbb3eafd71p-8, 0x1.305cf37c02824p-8, 0x1.24cec997a0c6fp-8, 0x1.19a2534533523p-8, 0x1.0ed4b95890661p-8, 0x1.04633759bad85p-8, 0x1.f4963635a44d1p-9, 0x1.e113889f84bc7p-9, 0x1.ce39484f79b42p-9, 0x1.bc0279d11a82p-9, 0x1.aa6a431738a9ap-9, 0x1.996beab994731p-9, 0x1.8902d73601ed9p-9, 0x1.792a8e34fef68p-9, 0x1.69deb3d1c3467p-9, 0x1.5b1b09e5b36fap-9, 0x1.4cdb6f572f7c7p-9, 0x1.3f1bdf6bc6bfap-9, 0x1.31d8711da60d6p-9, 0x1.250d56744cc0bp-9, 0x1.18b6dbe0945dfp-9, 0x1.0cd1679bcce7ap-9, 0x1.0159790a04f8ap-9, 0x1.ec97503f0b0cdp-10, 0x1.d749499297a04p-10, 0x1.c2c26cb12dbd3p-10, 0x1.aefc75e2c6dc1p-10, 0x1.9bf14df803344p-10, 0x1.899b0932e5579p-10, 0x1.77f3e6356aa0ep-10, 0x1.66f64cf5c82aap-10, 0x1.569ccdb8554e2p-10, 0x1.46e2200eccfb2p-10, 0x1.37c121dd3036p-10, 0x1.2934d663cf03ap-10, 0x1.1b38654eb910ap-10, 0x1.0dc719ca43e29p-10, 0x1.00dc619cafcfap-10, 0x1.e8e79889ba69fp-11, 0x1.d112143bc7151p-11, 0x1.ba2fd70ed1515p-11, 0x1.a438c025ff0aep-11, 0x1.8f24eb6bfd7eap-11, 0x1.7aecafffdfe4p-11, 0x1.67889eab4b5ddp-11, 0x1.54f1806168a3fp-11, 0x1.432054c6aaee6p-11, 0x1.320e50c0e5edap-11, 0x1.21b4dd101bf82p-11, 0x1.120d94ef63dfep-11, 0x1.031244be01e8ap-11, 0x1.e979d160f0d9p-12, 0x1.ce0f5712c23c9p-12, 0x1.b3d9cab3cb69ep-12, 0x1.9ace34937d8f5p-12, 0x1.82e1f2cd683f3p-12, 0x1.6c0ab6f6b163p-12, 0x1.563e83d9483e1p-12, 0x1.4173ab3d1c00ep-12, 0x1.2da0cbbf5a6f4p-12, 0x1.1abcceb6fe658p-12, 0x1.08bee625e1c7bp-12, 0x1.ef3d156e4dee6p-13, 0x1.cea6f393b8943p-13, 0x1.afab671052717p-13, 0x1.923af21550129p-13, 0x1.7646950e49d43p-13, 0x1.5bbfcb15de204p-13, 0x1.42988681a3d6ep-13, 0x1.2ac32d83373bcp-13, 0x1.143296e0434acp-13, 0x1.fdb40d7e137c8p-14, 0x1.d55a570d319ecp-14, 0x1.af4035a994701p-14, 0x1.8b4e9d0dfc5dp-14, 0x1.696f43af78686p-14, 0x1.498c9d1bff55fp-14, 0x1.2b91d47d68d65p-14, 0x1.0f6ac7429830ep-14, 0x1.ea07ffd6003d9p-15, 0x1.b89561eb43ba5p-15, 0x1.8a595fe5a02b6p-15, 0x1.5f30e16671b18p-15, 0x1.36fa0135e8e24p-15, 0x1.11940423945a3p-15, 0x1.ddbea04f86965p-16, 0x1.9d7ac785d1c88p-16, 0x1.62219b247964cp-16, 0x1.2b7a48413524cp-16, 0x1.f29bf7bd68d61p-17, 0x1.96cfa6d5bbd25p-17, 0x1.43299b55f4ad7p-17, 0x1.ee8ef0578fcd9p-18, 0x1.6594d208cd7c7p-18, 0x1.d55c1a29724bp-19, 0x1.f4a9db122e05p-20, 0x1.c6053b53ec80fp-22, -0x1.c29ed92a3736dp-21, -0x1.031f1478f5a2cp-19, -0x1.7fd4a7b79a8fcp-19, -0x1.e7ec4e173c7a5p-19, -0x1.1e3f755667f35p-18, -0x1.3f4d5f308677dp-18, -0x1.57a1df06b36bcp-18, -0x1.67b9f342c71b7p-18, -0x1.700dc7297c124p-18, -0x1.7110da619ba86p-18, -0x1.6b322784b5386p-18, -0x1.5edc498c7631fp-18, -0x1.4c75a00828b3p-18, -0x1.3460727bddbb1p-18, -0x1.16fb12c1cd11dp-18, -0x1.e93ffc73b47ebp-19, -0x1.9b4bfc74061bep-19, -0x1.44c08edbea53dp-19, -0x1.cc7a6125afae5p-20, -0x1.00b55a7487675p-20, -0x1.3ab58df48e225p-23, 0x1.7d12e15171f57p-21, 0x1.afdef7d784c7ep-20, 0x1.55d4bc926b024p-19, 0x1.d879e7214df49p-19, 0x1.2fb4eca3b2c65p-18, 0x1.751a58a34bf6cp-18, 0x1.bc37cfbbd0bdfp-18, 0x1.026d2e4653598p-17, 0x1.2768b31d5cea2p-17, 0x1.4cf74d992d017p-17, 0x1.7302ee4b659ep-17, 0x1.997695248da7p-17, 0x1.c03e47b90e996p-17, 0x1.e74707e2b9203p-17, 0x1.073f65538d5fcp-16, 0x1.1aea37b1936c9p-16, 0x1.2e9bdb9f412d7p-16, 0x1.424c9e756552cp-16, 0x1.55f5364b30f0ap-16, 0x1.698ebe10037c7p-16, 0x1.7d12b1ca3d403p-16, 0x1.907aeaefe515cp-16, 0x1.a3c19cddd8625p-16, 0x1.b6e1516d38374p-16, 0x1.c9d4e5a4e697bp-16, 0x1.dc9786821aa05p-16, 0x1.ef24addc7e14p-16, 0x1.00bc0fb2f8904p-15, 0x1.09c6f2e0e4971p-15, 0x1.12b127d9f0f5ep-15, 0x1.1b78f6b45e75bp-15, 0x1.241cc6ea3e299p-15, 0x1.2c9b1e129712cp-15, 0x1.34f29ea54d72dp-15, 0x1.3d2206c9fc13ep-15, 0x1.45282f3275785p-15, 0x1.4d0409fc141d5p-15, 0x1.54b4a19cc5bd1p-15, 0x1.5c3917da040a5p-15, 0x1.6390a4c634badp-15, 0x1.6aba95c7fb013p-15, 0x1.71b64ca95cf2ap-15, 0x1.78833eb0d832bp-15, 0x1.7f20f3c0a10adp-15, 0x1.858f057e47585p-15, 0x1.8bcd1e82927b1p-15, 0x1.91daf98fb5cd8p-15, 0x1.97b860cea316dp-15, 0x1.9d652d12e2906p-15, 0x1.a2e14524e2ccdp-15, 0x1.a82c9d14c2ffbp-15, 0x1.ad473590c719p-15, 0x1.b2311b42c7444p-15, 0x1.b6ea66353728ep-15, 0x1.bb73393a9823dp-15, 0x1.bfcbc15d33cc4p-15, 0x1.c3f4355170494p-15, 0x1.c7ecd4efa7817p-15, 0x1.cbb5e8b2c7a2dp-15, 0x1.cf4fc13a419e8p-15, 0x1.d2bab6d1e1ef3p-15, 0x1.d5f728ff1700dp-15, 0x1.d9057e100c54bp-15, 0x1.dbe622b19c48dp-15, 0x1.de998986666d6p-15, 0x1.e1202ac521bb4p-15, 0x1.e37a83d93ebeap-15, 0x1.e5a91706e170ep-15, 0x1.e7ac6b1308c41p-15, 0x1.e9850af05502p-15, 0x1.eb33856ca7c83p-15, 0x1.ecb86ce4c786ep-15, 0x1.ee1456f7dc165p-15, 0x1.ef47dc4129e5ap-15, 0x1.f0539813c816p-15, 0x1.f138283857ff4p-15, 0x1.f1f62cae15783p-15, 0x1.f28e476fb5b2ep-15, 0x1.f3011c3895005p-15, 0x1.f34f504e9ca02p-15, 0x1.f3798a4cc82acp-15, 0x1.f38071f087743p-15, 0x1.f364afea2aa64p-15, 0x1.f326edaf36304p-15, 0x1.f2c7d54db8ad8p-15, 0x1.f24811431e4f8p-15, 0x1.f1a84c54a6379p-15, 0x1.f0e93168c990ep-15, 0x1.f00b6b6394bfep-15, 0x1.ef0fa503c601dp-15, 0x1.edf688c1f8a07p-15, 0x1.ecc0c0b271e3p-15, 0x1.eb6ef6672127fp-15, 0x1.ea01d2d37f2e3p-15, 0x1.e879fe32dbf17p-15, 0x1.e6d81feebd763p-15, 0x1.e51cde87897e3p-15, 0x1.e348df7ded781p-15, 0x1.e15cc73d85a66p-15, 0x1.df593908e5b7fp-15, 0x1.dd3ed6e7a09f8p-15, 0x1.db0e419409cdep-15, 0x1.d8c8186aa2cddp-15, 0x1.d66cf95b543e2p-15, 0x1.d3fd80da59553p-15, 0x1.d17a49d30d192p-15, 0x1.cee3ed9b6e9ecp-15, 0x1.cc3b03e7d533ap-15, 0x1.c98022c058d71p-15, 0x1.c6b3de772200ep-15, 0x1.c3d6c99f2d6c4p-15, 0x1.c0e975035cfbbp-15, 0x1.bdec6f9f3b1f5p-15, 0x1.bae04697f4a27p-15, 0x1.b7c5853569e44p-15, 0x1.b49cb4dd5ea87p-15, 0x1.b1665d0d7b9fap-15, 0x1.ae230356fae16p-15, 0x1.aad32b5a9de4ep-15, 0x1.a77756c5c91dp-15, 0x1.a410054f14257p-15, 0x1.a09db4b3d1d0cp-15, 0x1.9d20e0b6ba9adp-15, 0x1.999a031dcec95p-15, 0x1.960993b13f328p-15, 0x1.9270083b6a5bap-15, 0x1.8ecdd487b33bdp-15, 0x1.8b236a62f8d9ap-15, 0x1.8771399be7b84p-15, 0x1.83b7b0043c4c5p-15, 0x1.7ff739713e903p-15, 0x1.7c303fbd4eb15p-15, 0x1.78632aca0b956p-15, 0x1.74906081c6ab7p-15, 0x1.70b844d9b316ap-15, 0x1.6cdb39d4dbb9fp-15, 0x1.68f99f8649bd7p-15, 0x1.6513d4141bbf6p-15, 0x1.612a33ba8990ep-15, 0x1.5d3d18cf9d888p-15, 0x1.594cdbc6528b9p-15, 0x1.5559d33240c4cp-15, 0x1.516453cbca9d7p-15, 0x1.4d6cb073cbf99p-15, 0x1.49733a37a834ep-15, 0x1.45784055e2d67p-15, 0x1.417c104251392p-15, 0x1.3d7ef5aa67f1ep-15, 0x1.39813a79fd4e5p-15, 0x1.358326e010de9p-15, 0x1.31850153b256fp-15, 0x1.2d870e9888f87p-15, 0x1.298991c41d2aap-15, 0x1.258ccc42c40cdp-15, 0x1.2190fddc89962p-15, 0x1.1d9664ba94d8ep-15, 0x1.199d3d6c42c67p-15, 0x1.15a5c2ec67238p-15, 0x1.11b02ea6612bfp-15, 0x1.0dbcb87b94033p-15, 0x1.09cb96c8cdd9bp-15, 0x1.05dcfe6baf11ep-15, 0x1.01f122c7e3a3fp-15, 0x1.fc106b9958fa6p-16, 0x1.f444cff472a17p-16, 0x1.ec7fd0cdf0a2ep-16, 0x1.e4c1c98a86794p-16, 0x1.dd0b12d1373efp-16, 0x1.d55c02965f0ebp-16, 0x1.cdb4ec262db84p-16, 0x1.c616202f9f8e2p-16, 0x1.be7feccf804a6p-16, 0x1.b6f29d9b13287p-16, 0x1.af6e7baa8ab75p-16, 0x1.a7f3cda4196f2p-16, 0x1.a082d7c63aad5p-16, 0x1.991bdbf22b3f6p-16, 0x1.91bf19b6ddde3p-16, 0x1.8a6cce5b01dfp-16, 0x1.832534e7c53dfp-16, 0x1.7be88632a48bcp-16, 0x1.74b6f8e809a92p-16, 0x1.6d90c1952ad65p-16, 0x1.667612b2c1ee5p-16, 0x1.5f671cae3dcep-16, 0x1.58640df45587ep-16, 0x1.516d12fa954e5p-16, 0x1.4a8256490777dp-16, 0x1.43a40083e1d6p-16, 0x1.3cd2387564c4ep-16, 0x1.360d23170c91ap-16, 0x1.2f54e39b0302fp-16, 0x1.28a99b75327bbp-16, 0x1.220b6a64c75dep-16, 0x1.1b7a6e7cf9adcp-16, 0x1.14f6c42e6843bp-16, 0x1.0e80864f9eb37p-16, 0x1.0817ce25f31cdp-16, 0x1.01bcb36e58748p-16, 0x1.f6de98cb1ec87p-17, 0x1.ea5f5ba1b8f38p-17, 0x1.ddfbd60cf250dp-17, 0x1.d1b42beb2300fp-17, 0x1.c5887e5d19ad1p-17, 0x1.b978ebd5f7411p-17, 0x1.ad85902af506dp-17, 0x1.a1ae84a319769p-17, 0x1.95f3e00704163p-17, 0x1.8a55b6af86615p-17, 0x1.7ed41a94e3ddfp-17, 0x1.736f1b5d768c3p-17, 0x1.6826c66c5edd2p-17, 0x1.5cfb26ef3a587p-17, 0x1.51ec45ed3592dp-17, 0x1.46fa2a5440671p-17, 0x1.3c24d906e5083p-17, 0x1.316c54e9c99e1p-17, 0x1.26d09ef0c7f58p-17, 0x1.1c51b62c052fbp-17, 0x1.11ef97d4f2886p-17, 0x1.07aa3f5ade6afp-17, 0x1.fb034cdeadacbp-18, 0x1.e6eb8a24407d2p-18, 0x1.d30d233b7026bp-18, 0x1.bf6801a522952p-18, 0x1.abfc0bc61bb2fp-18, 0x1.98c924fd86a16p-18, 0x1.85cf2dbbc4fb1p-18, 0x1.730e0397c232fp-18, 0x1.608581652328ap-18, 0x1.4e357f49263cdp-18, 0x1.3c1dd2cfb4f8fp-18, 0x1.2a3e4effc473ep-18, 0x1.1896c46fee7eap-18, 0x1.072701598b2ecp-18, 0x1.ebdda3588814cp-19, 0x1.c9dbfe42a20d8p-19, 0x1.a848a29b85aa8p-19, 0x1.87231b6a2ccdep-19, 0x1.666aefb5f7027p-19, 0x1.461fa2aa7fdb7p-19, 0x1.2640b3b915bcbp-19, 0x1.06cd9ebb98598p-19, 0x1.cf8bb82aa5621p-20, 0x1.9251c1a5b48ffp-20, 0x1.55ec3d963d829p-20, 0x1.1a5a097a9a76ap-20, 0x1.bf33f9c493d97p-21, 0x1.4b55d34bad227p-21, 0x1.b22e709499014p-22, 0x1.a1d6dbec4f622p-23, -0x1.a44b1d71cee1bp-27, -0x1.cfffde0396162p-23, -0x1.bfb271ac55dc3p-22, -0x1.4a1f87f198de9p-21, -0x1.b2d584b89b2cp-21, -0x1.0cfeeb888a023p-20, -0x1.3fcd973f5ad2ap-20, -0x1.71d820e1fc3e8p-20, -0x1.a31fe7423de2fp-20, -0x1.d3a64c73da613p-20, -0x1.01b65acf3b238p-19, -0x1.193a4569ab0fbp-19, -0x1.305f9b702f3a7p-19, -0x1.47271393f62fbp-19, -0x1.5d9165bae98e4p-19, -0x1.739f4aec48fap-19, -0x1.89517d3d6cd38p-19, -0x1.9ea8b7bd3c523p-19, -0x1.b3a5b6634324fp-19, -0x1.c84935fc56303p-19, -0x1.dc93f418e9ccp-19, -0x1.f086aefb7d561p-19, -0x1.021112c4483e8p-18, -0x1.0bb38b9b12ea2p-18, -0x1.152b21fd6ba6cp-18, -0x1.1e78361f579b8p-18, -0x1.279b2865f438ep-18, -0x1.3094595fded16p-18, -0x1.396429be2ee86p-18, -0x1.420afa4d128a1p-18, -0x1.4a892bed9ab8cp-18, -0x1.52df1f8e90437p-18, -0x1.5b0d3625b05f3p-18, -0x1.6313d0aa36bc5p-18, -0x1.6af3500e10538p-18, -0x1.72ac1537ccb77p-18, -0x1.7a3e80fcf28e2p-18, -0x1.81aaf41c7cad4p-18, -0x1.88f1cf39c4bep-18, -0x1.901372d68187dp-18, -0x1.97103f4dd4743p-18, -0x1.9de894cf42084p-18, -0x1.a49cd359cd3eap-18, -0x1.ab2d5ab75bcd7p-18, -0x1.b19a8a77d9482p-18, -0x1.b7e4c1ed52228p-18, -0x1.be0c60276c6d6p-18, -0x1.c411c3eebd1fbp-18, -0x1.c9f54bc17e2aap-18, -0x1.cfb755cf6e1c8p-18, -0x1.d5583ff5ae087p-18, -0x1.dad867bb33957p-18, -0x1.e0382a4d4804bp-18, -0x1.e577e47ce2472p-18, -0x1.ea97f2ba8e1e4p-18, -0x1.ef98b113683adp-18, -0x1.f47a7b2e0959dp-18, -0x1.f93dac477e101p-18, -0x1.fde29f30a29a3p-18, -0x1.0134d7259823p-17, -0x1.036999c398977p-17, -0x1.058fc4307d4a1p-17, -0x1.07a782ef07cd4p-17, -0x1.09b1024541de3p-17, -0x1.0bac6e3bf5103p-17, -0x1.0d99f29d233c8p-17, -0x1.0f79baf2fb9cp-17, -0x1.114bf286fd45bp-17, -0x1.1310c460cb6c3p-17, -0x1.14c85b46062afp-17, -0x1.1672e1b8adc71p-17, -0x1.181081f6880ccp-17, -0x1.19a165f85c4ffp-17, -0x1.1b25b77123775p-17, -0x1.1c9d9fcd6a528p-17, -0x1.1e09483295ad5p-17, -0x1.1f68d97e4232ap-17, -0x1.20bc7c45fd855p-17, -0x1.220458d64953cp-17, -0x1.234097321a129p-17, -0x1.24715f1283f9ep-17, -0x1.2596d7e67e346p-17, -0x1.26b128d1db92cp-17, -0x1.27c078ad47168p-17, -0x1.28c4ee05a545fp-17, -0x1.29beaf1c049bcp-17, -0x1.2aade1e58f1dep-17, -0x1.2b92ac0a94a5cp-17, -0x1.2c6d32e6ae545p-17, -0x1.2d3d9b884c936p-17, -0x1.2e040ab09fbc9p-17, -0x1.2ec0a4d361561p-17, -0x1.2f738e16aa6c4p-17, -0x1.301cea52d4ba9p-17, -0x1.30bcdd12a126p-17, -0x1.31538992a6c26p-17, -0x1.31e112c14ce97p-17, -0x1.32659b3f136efp-17, -0x1.32e1455e87d13p-17, -0x1.33543323d2384p-17, -0x1.33be8644faa2ep-17, -0x1.34206029eb598p-17, -0x1.3479e1ec65b0dp-17, -0x1.34cb2c58b34c8p-17, -0x1.35145fece7505p-17, -0x1.35559cd93b549p-17, -0x1.358f030044p-17, -0x1.35c0b1f6e7601p-17, -0x1.35eac9049e0ccp-17, -0x1.360d6723a2928p-17, -0x1.3628ab00f7362p-17, -0x1.363cb2fcfe6ddp-17, -0x1.36499d2b523d6p-17, -0x1.364f8752d8ad3p-17, -0x1.364e8eee1638fp-17, -0x1.3646d12bea50bp-17, -0x1.36386aef41ab2p-17, -0x1.362378cf50c83p-17, -0x1.360817180fe1cp-17, -0x1.35e661ca5851ap-17, -0x1.35be749c8011dp-17, -0x1.35906afaaf0d4p-17, -0x1.355c6006c59ep-17, -0x1.35226e98ccd0ep-17, -0x1.34e2b13f63c7ep-17, -0x1.349d424001968p-17, -0x1.34523b975d04ep-17, -0x1.3401b6f9c351dp-17, -0x1.33abcdd3644a8p-17, -0x1.3350994900f55p-17, -0x1.32f03237fbdb1p-17, -0x1.328ab136b081p-17, -0x1.32202e94a9e2cp-17, -0x1.31b0c25bd5fd2p-17, -0x1.313c845035633p-17, -0x1.30c38bf05d865p-17, -0x1.3045f075d9b37p-17, -0x1.2fc3c8d5bf5e4p-17, -0x1.2f3d2bc0ed8aap-17, -0x1.2eb22fa50667fp-17, -0x1.2e22eaac410e5p-17, -0x1.2d8f72bdf03ep-17, -0x1.2cf7dd7eff086p-17, -0x1.2c5c405270c94p-17, -0x1.2bbcb059c395p-17, -0x1.2b19427575d12p-17, -0x1.2a720b455936bp-17, -0x1.29c71f293ee53p-17, -0x1.29189241585fep-17, -0x1.2866786e9c4a5p-17, -0x1.27b0e5531c71cp-17, -0x1.26f7ec526c695p-17, -0x1.263ba092d4814p-17, -0x1.257c14fd05652p-17, -0x1.24b95c3cb6ecbp-17, -0x1.23f388c12610ap-17, -0x1.232aacbda551fp-17, -0x1.225eda29ea8c5p-17, -0x1.219022c325ae4p-17, -0x1.20be980bbd90bp-17, -0x1.1fea4b4c09ba9p-17, -0x1.1f134d92b990bp-17, -0x1.1e39afb56ef87p-17, -0x1.1d5d82512518dp-17, -0x1.1c7ed5caba6a6p-17, -0x1.1b9dba4f4e88dp-17, -0x1.1aba3fd4e0953p-17, -0x1.19d4761ad8fbcp-17, -0x1.18ec6caa4d301p-17, -0x1.180232d6976dep-17, -0x1.1715d7bd9262ep-17, -0x1.16276a485e554p-17, -0x1.1536f92c1cc6ap-17, -0x1.144492e9cbd97p-17, -0x1.135045ceffa5ep-17, -0x1.125a1ff6620e5p-17, -0x1.11622f481e1d2p-17, -0x1.1068817a6eb0fp-17, -0x1.0f6d24126b6bap-17, -0x1.0e702463cf7b3p-17, -0x1.0d718f91d9698p-17, -0x1.0c71728f977ddp-17, -0x1.0b6fda208386dp-17, -0x1.0a6cd2d8e3441p-17, -0x1.0968691e4d6afp-17, -0x1.0862a92807e6bp-17, -0x1.075b9effa2a06p-17, -0x1.065356816248cp-17, -0x1.0549db5ca0785p-17, -0x1.043f39144a379p-17, -0x1.03337aff3754dp-17, -0x1.0226ac4894758p-17, -0x1.0118d7f0e9aa4p-17, -0x1.000a08cde3ab4p-17, -0x1.fdf49315cbab6p-18, -0x1.fbd3495328764p-18, -0x1.f9b049047a89fp-18, -0x1.f78ba68848229p-18, -0x1.f56575ecfe32fp-18, -0x1.f33dcaf0bd171p-18, -0x1.f114b90238d1cp-18, -0x1.eeea5341d86acp-18, -0x1.ecbeac8276c2p-18, -0x1.ea91d74a4d2e2p-18, -0x1.e863e5d3cd19ep-18, -0x1.e634ea0e5bf12p-18, -0x1.e404f59f2059p-18, -0x1.e1d419e231681p-18, -0x1.dfa267eb03062p-18, -0x1.dd6ff0855bc88p-18, -0x1.db3cc4360d1fdp-18, -0x1.d908f33bbc3dap-18, -0x1.d6d48d8f6f066p-18, -0x1.d49fa2e657cb5p-18, -0x1.d26a42b1aef51p-18, -0x1.d0347c1f83fb2p-18, -0x1.cdfe5e1bc5fc5p-18, -0x1.cbc7f750ea57ap-18, -0x1.c991562881f9cp-18, -0x1.c75a88ccb8fffp-18, -0x1.c5239d28a51d9p-18, -0x1.c2eca0e8a7524p-18, -0x1.c0b5a17b75f32p-18, -0x1.be7eac12da52cp-18, -0x1.bc47cda467c79p-18, -0x1.ba1112ea318bep-18, -0x1.b7da88639966ep-18, -0x1.b5a43a55cc308p-18, -0x1.b36e34ccbe98fp-18, -0x1.b138839bd40b1p-18, -0x1.af03325e6c31ep-18, -0x1.acce4c7899b58p-18, -0x1.aa99dd17dafc8p-18, -0x1.a865ef33c4cep-18, -0x1.a6328d8e5bab6p-18, -0x1.a3ffc2b5aba92p-18, -0x1.a1cd99039ce8cp-18, -0x1.9f9c1a9ebcc84p-18, -0x1.9d6b517afe21ep-18, -0x1.9b3b475a56625p-18, -0x1.990c05cd3a56p-18, -0x1.96dd9633bb39p-18, -0x1.94b001bdf7b31p-18, -0x1.9283516c5fp-18, -0x1.90578e108b20dp-18, -0x1.8e2cc04dcdcd2p-18, -0x1.8c02f099e6092p-18, -0x1.89da273d8598fp-18, -0x1.87b26c54f7998p-18, -0x1.858bc7d08ee5p-18, -0x1.836641757dab7p-18, -0x1.8141e0de3524p-18, -0x1.7f1ead7b19fbap-18, -0x1.7cfcae92f551ap-18, -0x1.7adbeb437a74ap-18, -0x1.78bc6a821790bp-18, -0x1.769e331c1ap-18, -0x1.74814bb76833ep-18, -0x1.7265bad36e0dfp-18, -0x1.704b86c9281dcp-18, -0x1.6e32b5cbc1941p-18, -0x1.6c1b4de9225c1p-18, -0x1.6a05550a66b88p-18, -0x1.67f0d0f47cedbp-18, -0x1.65ddc748b7194p-18, -0x1.63cc3d854b75ap-18, -0x1.61bc3905a071cp-18, -0x1.5fadbf02cfd61p-18, -0x1.5da0d49444b7dp-18, -0x1.5b957eb01e56p-18, -0x1.598bc22bbfa36p-18, -0x1.5783a3bc3b12ap-18, -0x1.557d27f6b606ep-18, -0x1.5378535107a47p-18, -0x1.51752a2212be5p-18, -0x1.4f73b0a25bb75p-18, -0x1.4d73eaec4baaap-18, -0x1.4b75dcfc9c81ap-18, -0x1.49798ab303dffp-18, -0x1.477ef7d26e396p-18, -0x1.4586280161f9p-18, -0x1.438f1eca9844p-18, -0x1.4199df9d75be7p-18, -0x1.3fa66dce3b8b4p-18, -0x1.3db4cc968540ep-18, -0x1.3bc4ff15ab32dp-18, -0x1.39d708512393bp-18, -0x1.37eaeb35062e2p-18, -0x1.3600aa945a36fp-18, -0x1.341849299b76fp-18, -0x1.3231c996e25b2p-18, -0x1.304d2e66520fap-18, -0x1.2e6a7a0a9c37fp-18, -0x1.2c89aedf38dap-18, -0x1.2aaacf28da86p-18, -0x1.28cddd15b2a62p-18, -0x1.26f2dabde55cep-18, -0x1.2519ca23ec61ep-18, -0x1.2342ad34bf5c3p-18, -0x1.216d85c8689c6p-18, -0x1.1f9a55a23820bp-18, -0x1.1dc91e710c815p-18, -0x1.1bf9e1cfc83fbp-18, -0x1.1a2ca1459bd97p-18, -0x1.18615e463e90ep-18, -0x1.16981a3260da1p-18, -0x1.14d0d657f5472p-18, -0x1.130b93f28ec88p-18, -0x1.1148542b87ep-18, -0x1.0f87181a68f32p-18, -0x1.0dc7e0c527b45p-18, -0x1.0c0aaf208dbf1p-18, -0x1.0a4f841072d0cp-18, -0x1.089660680084ep-18, -0x1.06df44ea19846p-18, -0x1.052a32497299ap-18, -0x1.03772928fe329p-18, -0x1.01c62a1c211fbp-18, -0x1.001735a700b0cp-18, -0x1.fcd4987d95862p-19, -0x1.f97edc93d3da4p-19, -0x1.f62d3840acf99p-19, -0x1.f2dfac17b1844p-19, -0x1.ef9638907f12bp-19, -0x1.ec50de076ee04p-19, -0x1.e90f9cbde4317p-19, -0x1.e5d274dac43b1p-19, -0x1.e299666b1b009p-19, -0x1.df6471629059bp-19, -0x1.dc33959bc70fbp-19, -0x1.d906d2d8e6108p-19, -0x1.d5de28c3f53dap-19, -0x1.d2b996ef762fcp-19, -0x1.cf991cd6d2e48p-19, -0x1.cc7cb9deb3a32p-19, -0x1.c9646d557d3b6p-19, -0x1.c6503673b42bdp-19, -0x1.c340145c97b3bp-19, -0x1.c034061e40f38p-19, -0x1.bd2c0ab24610bp-19, -0x1.ba2820fe21f8ep-19, -0x1.b72847d37585bp-19, -0x1.b42c7df0811efp-19, -0x1.b134c20091ae1p-19, -0x1.ae41129c66a69p-19, -0x1.ab516e4a806c6p-19, -0x1.a865d37f791ap-19, -0x1.a57e409e7d8f3p-19, -0x1.a29ab3f9ae492p-19, -0x1.9fbb2bd25b568p-19, -0x1.9cdfa6597babp-19, -0x1.9a0821affb858p-19, -0x1.97349be702c4p-19, -0x1.946513007ea9fp-19, -0x1.919984ef49a6bp-19, -0x1.8ed1ef9783886p-19, -0x1.8c0e50cef12d4p-19, -0x1.894ea65d67bc4p-19, -0x1.8692edfcf7e14p-19, -0x1.83db255a35482p-19, -0x1.81274a14a0ae7p-19, -0x1.7e7759beee376p-19, -0x1.7bcb51df558c7p-19, -0x1.79232feff349bp-19, -0x1.767ef15ee25aep-19, -0x1.73de938e93071p-19, -0x1.714213d62bc91p-19, -0x1.6ea96f81b9bbbp-19, -0x1.6c14a3d27e6c5p-19, -0x1.6983adff32b94p-19, -0x1.66f68b3452562p-19, -0x1.646d389465019p-19, -0x1.61e7b338292ep-19, -0x1.5f65f82ed89a9p-19, -0x1.5ce8047e7da46p-19, -0x1.5a6dd5242b31p-19, -0x1.57f7671427571p-19, -0x1.5584b73a38097p-19, -0x1.5315c279dd506p-19, -0x1.50aa85ae8f8b5p-19, -0x1.4e42fdac00016p-19, -0x1.4bdf273e494d6p-19, -0x1.497eff2a1442bp-19, -0x1.4722822ce52c1p-19, -0x1.44c9acfd6f61fp-19, -0x1.42747c4bacecfp-19, -0x1.4022ecc10ca3cp-19, -0x1.3dd4fb00995e3p-19, -0x1.3b8aa3a734c1bp-19, -0x1.3943e34bf5cbap-19, -0x1.3700b6803e254p-19, -0x1.34c119cffa20ap-19, -0x1.328509c1b4e5ap-19, -0x1.304c82d6cb2c6p-19, -0x1.2e17818ba2012p-19, -0x1.2be60257d0d89p-19, -0x1.29b801ae4fae4p-19, -0x1.278d7bfdb41f3p-19, -0x1.25666db05aeb3p-19, -0x1.2342d32c802b3p-19, -0x1.2122a8d470e42p-19, -0x1.1f05eb06b7fe5p-19, -0x1.1cec961e4732cp-19, -0x1.1ad6a672a1201p-19, -0x1.18c41857fb4dap-19, -0x1.16b4e81f5d4c6p-19, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.74a924a26733ap-6, 0x1.182426700a9e1p-5, 0x1.76af7d445ed89p-5, 0x1.d625b0a9a0e96p-5, 0x1.1b55b904cb965p-4, 0x1.4c2d472c1646bp-4, 0x1.7da0f99852dap-4, 0x1.afb309b15e528p-4, 0x1.e260c7bd5535cp-4, 0x1.0ad183098b69fp-3, 0x1.24b749381fa44p-3, 0x1.3eda5b47611d3p-3, 0x1.5931dd562c6d8p-3, 0x1.73b3b30266d83p-3, 0x1.8e54bd29272d4p-3, 0x1.a90914224447ap-3, 0x1.c3c43dc88756cp-3, 0x1.de795ee5e1da2p-3, 0x1.f91b67d1d2551p-3, 0x1.09ce9e1d05acfp-2, 0x1.16f8eb1672aeep-2, 0x1.24063249f9504p-2, 0x1.30f032ae8f304p-2, 0x1.3db0ddcda3699p-2, 0x1.4a4260f6b0d7fp-2, 0x1.569f2cbf0a994p-2, 0x1.62c1faf704971p-2, 0x1.6ea5d33cb4524p-2, 0x1.7a460e5312883p-2, 0x1.859e58623ae9ep-2, 0x1.90aab2433bfbp-2, 0x1.9b6771f763fbap-2, 0x1.a5d142685e554p-2, 0x1.afe5228bec4a9p-2, 0x1.b9a064036649cp-2, 0x1.c300a94ccd488p-2, 0x1.cc03e398e5c9ap-2, 0x1.d4a8505799fd2p-2, 0x1.dcec7689efe0fp-2, 0x1.e4cf23e6ec3a2p-2, 0x1.ec4f69df2239ap-2, 0x1.f36c9a8909d9p-2, 0x1.fa26457ee8bd1p-2, 0x1.003e1a5ae361ep-1, 0x1.033734a9ec74bp-1, 0x1.05fe8c45e1561p-1, 0x1.089454409b806p-1, 0x1.0af8d69d599e3p-1, 0x1.0d2c72d1b71d2p-1, 0x1.0f2f9c4ff7034p-1, 0x1.1102d91ba1553p-1, 0x1.12a6c06935aafp-1, 0x1.141bf949867fdp-1, 0x1.1563396124292p-1, 0x1.167d43ac21557p-1, 0x1.176ae74e54edap-1, 0x1.182cfe7029d4bp-1, 0x1.18c46d27f57e2p-1, 0x1.1932206fbe0a6p-1, 0x1.19770d2747e45p-1, 0x1.19942f2238f57p-1, 0x1.198a884218423p-1, 0x1.195b1f9be2407p-1, 0x1.190700a8ecd9cp-1, 0x1.188f3a82cc996p-1, 0x1.17f4df29e8c6bp-1, 0x1.173902d66e99ap-1, 0x1.165cbb534c036p-1, 0x1.15611f62e0762p-1, 0x1.1447462d0a63cp-1, 0x1.131046b641689p-1, 0x1.11bd375f64bafp-1, 0x1.104f2d6decf3fp-1, 0x1.0ec73c9c2d67bp-1, 0x1.0d2676b157a68p-1, 0x1.0b6deb20ed5e2p-1, 0x1.099ea6b1560e9p-1, 0x1.07b9b3294bd45p-1, 0x1.05c01703d6b5fp-1, 0x1.03b2d52a89b6fp-1, 0x1.0192ecb5c178cp-1, 0x1.fec2b16532db9p-2, 0x1.fa3e1fdcb56a1p-2, 0x1.f59a098e3b9dcp-2, 0x1.f0d84a02c9c9dp-2, 0x1.ebfab344db8bfp-2, 0x1.e7030d9e07064p-2, 0x1.e1f3175d21924p-2, 0x1.dccc84a481354p-2, 0x1.d790ff3fe56a4p-2, 0x1.d2422681a3d99p-2, 0x1.cce18f26adb0ap-2, 0x1.c770c341113cbp-2, 0x1.c1f1422893112p-2, 0x1.bc6480710573p-2, 0x1.b6cbe7e60682bp-2, 0x1.b128d78bca8b9p-2, 0x1.ab7ca3a4a5f1fp-2, 0x1.a5c895bb04818p-2, 0x1.a00decaf7d302p-2, 0x1.9a4ddccac36f5p-2, 0x1.94898fd324b08p-2, 0x1.8ec2252552562p-2, 0x1.88f8b1d0399d9p-2, 0x1.832e40b3a7fa2p-2, 0x1.7d63d2a17e4ecp-2, 0x1.779a5e8141535p-2, 0x1.71d2d175c7605p-2, 0x1.6c0e0f04d8871p-2, 0x1.664cf14086e86p-2, 0x1.609048f216d39p-2, 0x1.5ad8ddc6479e8p-2, 0x1.55276e7ad21d8p-2, 0x1.4f7cb10cf1a02p-2, 0x1.49d952e8d98bbp-2, 0x1.443df919e8f4cp-2, 0x1.3eab407b81635p-2, 0x1.3921bdea5fc5bp-2, 0x1.33a1fe7651bf4p-2, 0x1.2e2c879438cfdp-2, 0x1.28c1d750311a8p-2, 0x1.2362647fccd86p-2, 0x1.1e0e9ef44bd65p-2, 0x1.18c6efacb1f59p-2, 0x1.138bb907b374dp-2, 0x1.0e5d56f55b4aap-2, 0x1.093c1f285a6b7p-2, 0x1.04286146f6be5p-2, 0x1.fe44ce3705c33p-3, 0x1.f454e988a945p-3, 0x1.ea8191c65e504p-3, 0x1.e0cb39981cb33p-3, 0x1.d7324966a9a23p-3, 0x1.cdb71fb68774fp-3, 0x1.c45a11818ad34p-3, 0x1.bb1b6a8ee0896p-3, 0x1.b1fb6dc99bc55p-3, 0x1.a8fa5595a1a1bp-3, 0x1.a0185422fe505p-3, 0x1.975593bf897f3p-3, 0x1.8eb23726e1e47p-3, 0x1.862e59d0ac961p-3, 0x1.7dca103d1c936p-3, 0x1.7585683fba966p-3, 0x1.6d60694868c66p-3, 0x1.655b14aaa4ef6p-3, 0x1.5d7565e301545p-3, 0x1.55af52dadea9bp-3, 0x1.4e08cc2a5d8b9p-3, 0x1.4681bd588d97ep-3, 0x1.3f1a0d19de921p-3, 0x1.37d19d8cce49bp-3, 0x1.30a84c74e3188p-3, 0x1.299df373ebefcp-3, 0x1.22b268418cfc9p-3, 0x1.1be57ce12372ep-3, 0x1.1536ffd6007e9p-3, 0x1.0ea6bc55fedeap-3, 0x1.08347a7a7f7cbp-3, 0x1.01dfff6fd1651p-3, 0x1.f7521b460dc46p-4, 0x1.eb1ec9dc8d611p-4, 0x1.df25858732929p-4, 0x1.d365c4ac745f9p-4, 0x1.c7def984fbeeap-4, 0x1.bc90926886a9ep-4, 0x1.b179fa18117dcp-4, 0x1.a69a980542a5ep-4, 0x1.9bf1d0972fef8p-4, 0x1.917f056c8b4bdp-4, 0x1.8741959b4289dp-4, 0x1.7d38ddedacc79p-4, 0x1.7364391d48999p-4, 0x1.69c3000b205d5p-4, 0x1.605489f5e67d1p-4, 0x1.57182cadd45e8p-4, 0x1.4e0d3cc65e1c7p-4, 0x1.45330dc5c9d1cp-4, 0x1.3c88f252b93c9p-4, 0x1.340e3c5fb5082p-4, 0x1.2bc23d54c6ef3p-4, 0x1.23a4463734d4fp-4, 0x1.1bb3a7cf67369p-4, 0x1.13efb2cd0ac97p-4, 0x1.0c57b7e97c0e7p-4, 0x1.04eb08088a0afp-4, 0x1.fb51e8af36203p-5, 0x1.ed219cd68d20bp-5, 0x1.df43d0b6d1867p-5, 0x1.d1b729bb8d37ap-5, 0x1.c47a4ebe8a1efp-5, 0x1.b78be8378b97dp-5, 0x1.aaeaa0696888cp-5, 0x1.9e95238c99e08p-5, 0x1.928a1ff756cb1p-5, 0x1.86c8464356319p-5, 0x1.7b4e4971471cp-5, 0x1.701adf0a19ff2p-5, 0x1.652cbf3e2aca7p-5, 0x1.5a82a50265c15p-5, 0x1.501b4e2b71ab9p-5, 0x1.45f57b86fdfbp-5, 0x1.3c0ff0f33d578p-5, 0x1.32697574a47ddp-5, 0x1.2900d349fad0cp-5, 0x1.1fd4d7fed4e32p-5, 0x1.16e4547c7e9b9p-5, 0x1.0e2e1d196e481p-5, 0x1.05b109a74f0d3p-5, 0x1.fad7eaff542b3p-6, 0x1.eabb7f1e8fab7p-6, 0x1.db0a94c0a2456p-6, 0x1.cbc2f8467a4p-6, 0x1.bce27d6d3ebc6p-6, 0x1.ae66ff5bb9b4cp-6, 0x1.a04e60adaf666p-6, 0x1.92968b7d34be9p-6, 0x1.853d716a2d9b8p-6, 0x1.78410b9fec8a7p-6, 0x1.6b9f5ad927635p-6, 0x1.5f56676241744p-6, 0x1.5364411a0980cp-6, 0x1.47c6ff70fe936p-6, 0x1.3c7cc167284cap-6, 0x1.3183ad889c04fp-6, 0x1.26d9f1e8c0588p-6, 0x1.1c7dc41c5a5f7p-6, 0x1.126d613276deep-6, 0x1.08a70dac48c6cp-6, 0x1.fe522ae7f459dp-7, 0x1.ebe397a523175p-7, 0x1.d9ff16c9d25p-7, 0x1.c8a16c1fa5504p-7, 0x1.b7c769e6e2d25p-7, 0x1.a76df0bb901d4p-7, 0x1.9791ef7949da3p-7, 0x1.8830631db8d93p-7, 0x1.794656a9d135dp-7, 0x1.6ad0e301ef914p-7, 0x1.5ccd2ecceae55p-7, 0x1.4f386e52279b4p-7, 0x1.420fe356c5fp-7, 0x1.3550dcf9fb20ap-7, 0x1.28f8b7909dd11p-7, 0x1.1d04dc801171ap-7, 0x1.1172c2187bf39p-7, 0x1.063feb6e6d589p-7, 0x1.f6d3d06811782p-8, 0x1.e1dca9235dae6p-8, 0x1.cd95b1fc81dd9p-8, 0x1.b9fa542dfa9a9p-8, 0x1.a70610ee41cfdp-8, 0x1.94b4811e5c7b1p-8, 0x1.830154f8062f4p-8, 0x1.71e853bb7b31fp-8, 0x1.61655b5cf8922p-8, 0x1.51746031fdc1ap-8, 0x1.42116c9e801c6p-8, 0x1.3338a0c1e30adp-8, 0x1.24e6322412c3fp-8, 0x1.17166b62933c9p-8, 0x1.09c5abddb757p-8, 0x1.f9e0cecbfe655p-9, 0x1.e1264bd3509bdp-9, 0x1.c9550644f698fp-9, 0x1.b2665c8816ea9p-9, 0x1.9c53d35448b2dp-9, 0x1.8717150f6fab5p-9, 0x1.72a9f12c6a22ep-9, 0x1.5f065b8aadacp-9, 0x1.4c266bd708879p-9, 0x1.3a045ced4a6ecp-9, 0x1.289a8c3b238c3p-9, 0x1.17e379244186ap-9, 0x1.07d9c467ac4cap-9, 0x1.f0f05f0cf36d1p-10, 0x1.d37338577571cp-10, 0x1.b732172bec0f7p-10, 0x1.9c233c03ddbbfp-10, 0x1.823d242e2f396p-10, 0x1.697688aaae9e3p-10, 0x1.51c65d08f60d8p-10, 0x1.3b23ce4a1cc17p-10, 0x1.258641c60352fp-10, 0x1.10e55413b9c3dp-10, 0x1.fa71afea229dcp-11, 0x1.d4f1aa8b52bd1p-11, 0x1.b13b0fda2abe2p-11, 0x1.8f3ebda9989b8p-11, 0x1.6eedf5c29dba9p-11, 0x1.503a5bdd60dcep-11, 0x1.3315f3a13a6c7p-11, 0x1.17731eabe7b7bp-11, 0x1.fa89353e3e5fp-12, 0x1.c8fafe6cdf46bp-12, 0x1.9a2278c56d06fp-12, 0x1.6de730da7164p-12, 0x1.44315c435225ap-12, 0x1.1ce9d5fe535e2p-12, 0x1.eff435c2ba3abp-13, 0x1.aa988c30340a4p-13, 0x1.69961b5e88d4p-13, 0x1.2cc37e5de1fp-13, 0x1.e7f0f10a05f33p-14, 0x1.7e1bddb774a8p-14, 0x1.1bbbc34778ff1p-14, 0x1.810d97e13a1e8p-15, 0x1.b0d4fc5f697dcp-16, 0x1.e81750112d542p-18, -0x1.46c1aa648db8ep-17, -0x1.a865a799bc6d4p-16, -0x1.4b03cb6790e43p-15, -0x1.b69f07cea233dp-15, -0x1.0bbe49479027fp-14, -0x1.37086f436ea65p-14, -0x1.5d666ed3f6e23p-14, -0x1.7f0f0b24ee3c1p-14, -0x1.9c375c17baac9p-14, -0x1.b512d88cbbedap-14, -0x1.c9d3607ba67abp-14, -0x1.daa946decbfaap-14, -0x1.e7c35b681ad17p-14, -0x1.f14ef40c82803p-14, -0x1.f777f6602256ep-14, -0x1.fa68e0c01d0c3p-14, -0x1.fa4ad352a8c8fp-14, -0x1.f74598d8c3514p-14, -0x1.f17faf4d997c9p-14, -0x1.e91e5061ca7b5p-14, -0x1.de4579ca1363cp-14, -0x1.d117f55cd1e25p-14, -0x1.c1b7610baac75p-14, -0x1.b04436b208593p-14, -0x1.9cddd3b5207bfp-14, -0x1.87a2807f339ecp-14, -0x1.70af77d93ddb8p-14, -0x1.5820ee0f6eb6fp-14, -0x1.3e1217fb9d238p-14, -0x1.229d31e0de48bp-14, -0x1.05db8625d2c3p-14, -0x1.cfcae7c9ee1d4p-15, -0x1.91a4eac01d642p-15, -0x1.51724c93d7222p-15, -0x1.0f5e93dc731cdp-15, -0x1.972744dc0922cp-16, -0x1.0c738239825ep-16, -0x1.fbbd59d850affp-18, 0x1.11acc3eb98b6dp-20, 0x1.46c6c4661563ep-17, 0x1.37a5c0b92d19p-16, 0x1.cda001230687bp-16, 0x1.3289762006b8p-15, 0x1.7ee0f32b048bep-15, 0x1.cbb96dcc22d9dp-15, 0x1.0c7b8b3d8f583p-14, 0x1.333fa75e7c173p-14, 0x1.5a1c5004d6f36p-14, 0x1.81055972db7d3p-14, 0x1.a7ef2317f15bap-14, 0x1.cece93576f4c9p-14, 0x1.f59913663efccp-14, 0x1.0e22459ee746fp-13, 0x1.2163aed82c373p-13, 0x1.348c324891074p-13, 0x1.4797767b45229p-13, 0x1.5a8159c91e6a2p-13, 0x1.6d45f091f4e15p-13, 0x1.7fe1838055914p-13, 0x1.92508dd76334ep-13, 0x1.a48fbbcd9b21fp-13, 0x1.b69be8f1aec1fp-13, 0x1.c8721e98fb9c6p-13, 0x1.da0f9259f5531p-13, 0x1.eb71a490020cfp-13, 0x1.fc95dee91a608p-13, 0x1.06bcf97e0ac26p-12, 0x1.0f0ddc74bdc77p-12, 0x1.173c9703cc19p-12, 0x1.1f4839c99f869p-12, 0x1.272fe6b63f9bap-12, 0x1.2ef2d06e5b9bcp-12, 0x1.369039b18825cp-12, 0x1.3e0774c4fc697p-12, 0x1.4557e2e216bc5p-12, 0x1.4c80f3a9f2384p-12, 0x1.5382249bea337p-12, 0x1.5a5b008fd46dbp-12, 0x1.610b1f34ebe6fp-12, 0x1.6792249348bbbp-12, 0x1.6defc09205f5cp-12, 0x1.7423ae7f843f7p-12, 0x1.7a2db49dbd5fp-12, 0x1.800da3b2c54c9p-12, 0x1.85c3569b137f2p-12, 0x1.8b4eb1dfa11bfp-12, 0x1.90afa34fa5fd1p-12, 0x1.95e6219c52a04p-12, 0x1.9af22bf87b571p-12, 0x1.9fd3c9b9d9b14p-12, 0x1.a48b09fe74bf9p-12, 0x1.a91803546c081p-12, 0x1.ad7ad363acea2p-12, 0x1.b1b39e9b337d7p-12, 0x1.b5c28fe096b5p-12, 0x1.b9a7d841bf5a9p-12, 0x1.bd63aea9af1dap-12, 0x1.c0f64f962a9d8p-12, 0x1.c45ffcd1b2d56p-12, 0x1.c7a0fd2ec664dp-12, 0x1.cab99c44b82b8p-12, 0x1.cdaa2a2fb1711p-12, 0x1.d072fb526ddadp-12, 0x1.d3146819aae11p-12, 0x1.d58eccc28af81p-12, 0x1.d7e28920f02b3p-12, 0x1.da100069a2981p-12, 0x1.dc1798fe033afp-12, 0x1.ddf9bc388ecc1p-12, 0x1.dfb6d63ba5209p-12, 0x1.e14f55c29341cp-12, 0x1.e2c3abf309277p-12, 0x1.e4144c317ea53p-12, 0x1.e541abf641addp-12, 0x1.e64c42a3a712p-12, 0x1.e734895f07c4fp-12, 0x1.e7fafaea6bf7cp-12, 0x1.e8a0137f3bdd4p-12, 0x1.e92450aaf73fp-12, 0x1.e988312cfd15fp-12, 0x1.e9cc34d56d10dp-12, 0x1.e9f0dc65b9e59p-12, 0x1.e9f6a971d44f4p-12, 0x1.e9de1e429b34dp-12, 0x1.e9a7bdba61098p-12, 0x1.e9540b3954ce3p-12, 0x1.e8e38a837c57ep-12, 0x1.e856bfa7f5192p-12, 0x1.e7ae2ee8d3e53p-12, 0x1.e6ea5ca4502adp-12, 0x1.e60bcd3ed5c42p-12, 0x1.e513050d7b34fp-12, 0x1.e4008841f9de1p-12, 0x1.e2d4dad7cfe16p-12, 0x1.e190808155dc7p-12, 0x1.e033fc962100bp-12, 0x1.debfd202519cap-12, 0x1.dd34833661181p-12, 0x1.db929217d4b8ep-12, 0x1.d9da7ff2f11ccp-12, 0x1.d80ccd6c24499p-12, 0x1.d629fa731dd67p-12, 0x1.d43286365d131p-12, 0x1.d226ef17615p-12, 0x1.d007b29ee9776p-12, 0x1.cdd54d7289eb2p-12, 0x1.cb903b4a7aaf1p-12, 0x1.c938f6e7ca746p-12, 0x1.c6cffa0be0b66p-12, 0x1.c455bd6f92674p-12, 0x1.c1cab8baea4e8p-12, 0x1.bf2f627dcd2dcp-12, 0x1.bc84302952f14p-12, 0x1.b9c99608c0d9ap-12, 0x1.b700073b5e122p-12, 0x1.b427f5aefd52ep-12, 0x1.b141d21a7818dp-12, 0x1.ae4e0bf892cdep-12, 0x1.ab4d118415e2ap-12, 0x1.a83f4fb301397p-12, 0x1.a5253232ceaf6p-12, 0x1.a1ff2364fae68p-12, 0x1.9ecd8c5c54ac7p-12, 0x1.9b90d4d9917a3p-12, 0x1.98496348f09eep-12, 0x1.94f79cc029a05p-12, 0x1.919be4fc5cdb9p-12, 0x1.8e369e603b17dp-12, 0x1.8ac829f2f2cdfp-12, 0x1.8750e75ed6bb8p-12, 0x1.83d134f041b58p-12, 0x1.80496f9502f05p-12, 0x1.7cb9f2dc23e74p-12, 0x1.792318f57838ap-12, 0x1.75853ab15a182p-12, 0x1.71e0af81245abp-12, 0x1.6e35cd7758becp-12, 0x1.6a84e94823e06p-12, 0x1.66ce564a0702cp-12, 0x1.63126676f5976p-12, 0x1.5f516a6cdb72ep-12, 0x1.5b8bb16ef5c7p-12, 0x1.57c18967302a2p-12, 0x1.53f33ee7c11e8p-12, 0x1.50211d2c4ba79p-12, 0x1.4c4b6e1bd4167p-12, 0x1.48727a4a6f7cp-12, 0x1.449688fb38e8fp-12, 0x1.40b7e0225d32ap-12, 0x1.3cd6c4672c92cp-12, 0x1.38f3792670bbp-12, 0x1.350e40746b177p-12, 0x1.31275b1f60069p-12, 0x1.2d3f08b22b875p-12, 0x1.29558776d573p-12, 0x1.256b1478ef397p-12, 0x1.217feb8864e7cp-12, 0x1.1d94473c33294p-12, 0x1.19a860f53119ep-12, 0x1.15bc70e1063a9p-12, 0x1.11d0adfcec9bcp-12, 0x1.0de54e18d3677p-12, 0x1.09fa85da1d715p-12, 0x1.061088bebba63p-12, 0x1.022789206b0fp-12, 0x1.fc7f706f80c82p-13, 0x1.f4b28c3e5aa26p-13, 0x1.ece8c3ac825a7p-13, 0x1.e5227289a48bep-13, 0x1.dd5ff27c5025p-13, 0x1.d5a19b08c7ffbp-13, 0x1.cde7c196fb669p-13, 0x1.c632b979ad3f2p-13, 0x1.be82d3f47a12p-13, 0x1.b6d860427d80ap-13, 0x1.af33ab9d070b1p-13, 0x1.a79501427af8p-13, 0x1.9ffcaa7c6dfbap-13, 0x1.986aeea693a22p-13, 0x1.90e013354525fp-13, 0x1.895c5bbc13fb3p-13, 0x1.81e009f4655cdp-13, 0x1.7a6b5dc442fe9p-13, 0x1.72fe9544a5899p-13, 0x1.6b99ecc83f002p-13, 0x1.643d9ee1e20d3p-13, 0x1.5ce9e46b10f55p-13, 0x1.559ef48a89d45p-13, 0x1.4e5d04baf3476p-13, 0x1.472448d10930bp-13, 0x1.3ff4f30217d7dp-13, 0x1.38cf33ea8e74ep-13, 0x1.31b33a9427736p-13, 0x1.2aa1347c4fc17p-13, 0x1.23994d9aa023p-13, 0x1.1c9bb066c49a3p-13, 0x1.15a885df05f12p-13, 0x1.0ebff58e5e2b7p-13, 0x1.07e22592509ecp-13, 0x1.010f3aa15b2acp-13, 0x1.f48eb02201848p-14, 0x1.e7153fb73f6d3p-14, 0x1.d9b2654cacd8bp-14, 0x1.cc665f8e0f2dp-14, 0x1.bf316a9459ceep-14, 0x1.b213bff116444p-14, 0x1.a50d96ba369f5p-14, 0x1.981f23952279fp-14, 0x1.8b4898c2278f5p-14, 0x1.7e8a2627a389cp-14, 0x1.71e3f95cea14dp-14, 0x1.65563db524cf2p-14, 0x1.58e11c4a9ad1ap-14, 0x1.4c84bc090675bp-14, 0x1.404141b86200dp-14, 0x1.3416d006f38efp-14, 0x1.280587945e326p-14, 0x1.1c0d86fb50032p-14, 0x1.102eeadbe1438p-14, 0x1.0469cde5a4411p-14, 0x1.f17c91c318a22p-15, 0x1.da58e5771d72ap-15, 0x1.c368c119101bap-15, 0x1.acac4b474f31cp-15, 0x1.9623a71f97fbep-15, 0x1.7fcef452307d9p-15, 0x1.69ae4f33e1c89p-15, 0x1.53c1d0d0a3354p-15, 0x1.3e098efc9b628p-15, 0x1.28859c6702e9bp-15, 0x1.133608aaca37ap-15, 0x1.fc35c0c034e68p-16, 0x1.d2685a5ae758bp-16, 0x1.a903ebb0ff7afp-16, 0x1.80087cacc4118p-16, 0x1.57760fb800b8cp-16, 0x1.2f4ca1ddc1469p-16, 0x1.078c2ae7a9134p-16, 0x1.c0693aff42c5cp-17, 0x1.728bce9960d52p-17, 0x1.257fe2261518fp-17, 0x1.b28a7b43f21efp-18, 0x1.1bb73f73d2f31p-18, 0x1.0d0af812665b9p-19, -0x1.a16eb0c144a32p-23, -0x1.3df89a1bf94bap-19, -0x1.2f4dd33b8dbedp-18, -0x1.be00e123ef70cp-18, -0x1.258b2fef5adf5p-17, -0x1.6b47a40d0423p-17, -0x1.b03650d60b517p-17, -0x1.f457c199fb0f8p-17, -0x1.1bd6446bfba83p-16, -0x1.3d1aa00759b43p-16, -0x1.5df943c4cd816p-16, -0x1.7e7283187e547p-16, -0x1.9e86b4adaafbep-16, -0x1.be36324f2565fp-16, -0x1.dd8158cfe76fep-16, -0x1.fc6887f55dd12p-16, -0x1.0d7611309737fp-15, -0x1.1c8646bcd2c77p-15, -0x1.2b6518ab6db12p-15, -0x1.3a12bc5634305p-15, -0x1.488f685a0520ap-15, -0x1.56db548cc5e52p-15, -0x1.64f6b9f3cd354p-15, -0x1.72e1d2b9d087ep-15, -0x1.809cda2551094p-15, -0x1.8e280c8ec8cbfp-15, -0x1.9b83a757a2746p-15, -0x1.a8afe8e109438p-15, -0x1.b5ad1082d98dep-15, -0x1.c27b5e82b7c01p-15, -0x1.cf1b140be1a7dp-15, -0x1.db8c73264a839p-15, -0x1.e7cfbeada3412p-15, -0x1.f3e53a4aa4a3ap-15, -0x1.ffcd2a6a0edc2p-15, -0x1.05c3ea1a4a33fp-14, -0x1.0b8abec3b12fep-14, -0x1.113b367654c08p-14, -0x1.16d574ca33d9ap-14, -0x1.1c599da663749p-14, -0x1.21c7d53d614ffp-14, -0x1.27204009a89d8p-14, -0x1.2c6302ca5857fp-14, -0x1.3190427fb506dp-14, -0x1.36a82467d843fp-14, -0x1.3baacdfb9704bp-14, -0x1.409864eb65b9ap-14, -0x1.45710f1ba3ab4p-14, -0x1.4a34f2a253d98p-14, -0x1.4ee435c3eda7p-14, -0x1.537efef012acap-14, -0x1.580574bedc3bcp-14, -0x1.5c77bdee1933fp-14, -0x1.60d6015edc314p-14, -0x1.652066126bbd8p-14, -0x1.69571327be1e7p-14, -0x1.6d7a2fd8d627fp-14, -0x1.7189e3783fc25p-14, -0x1.7586556ec52ffp-14, -0x1.796fad38c9b5ap-14, -0x1.7d46126411f8ap-14, -0x1.8109ac8d9954bp-14, -0x1.84baa35f2e453p-14, -0x1.88591e8cb79e4p-14, -0x1.8be545d33bc4dp-14, -0x1.8f5f40f5e9045p-14, -0x1.92c737bc17bfbp-14, -0x1.961d51ef71becp-14, -0x1.9961b759c1c0ep-14, -0x1.9c948fc3c4aa2p-14, -0x1.9fb602f2845a8p-14, -0x1.a2c638a5c737ap-14, -0x1.a5c558964ee5dp-14, -0x1.a8b38a7404723p-14, -0x1.ab90f5e46dfdp-14, -0x1.ae5dc280df933p-14, -0x1.b11a17d4fba7cp-14, -0x1.b3c61d5d36f8dp-14, -0x1.b661fa85416fdp-14, -0x1.b8edd6a61c23ap-14, -0x1.bb69d90532c2bp-14, -0x1.bdd628d32ebc5p-14, -0x1.c032ed29b162dp-14, -0x1.c2804d0a9a5f6p-14, -0x1.c4be6f5e6ec4bp-14, -0x1.c6ed7af353d99p-14, -0x1.c90d967c14b25p-14, -0x1.cb1ee88e5338cp-14, -0x1.cd2197a1a3638p-14, -0x1.cf15ca0e692ep-14, -0x1.d0fba60cba2a7p-14, -0x1.d2d351b352e55p-14, -0x1.d49cf2f68c47fp-14, -0x1.d658afa750fbcp-14, -0x1.d806ad72590fp-14, -0x1.d9a711defd1d6p-14, -0x1.db3a024df5a82p-14, -0x1.dcbfa3f92fda1p-14, -0x1.de381bf2dc22fp-14, -0x1.dfa38f23f7842p-14, -0x1.e102224bddadep-14, -0x1.e253f9ff883d9p-14, -0x1.e3993aa8abc34p-14, -0x1.e4d208858e52p-14, -0x1.e5fe87a78f005p-14, -0x1.e71edbf2c1064p-14, -0x1.e833291d5ba02p-14, -0x1.e93b92aefb1aap-14, -0x1.ea383c0007b37p-14, -0x1.eb294839424e7p-14, -0x1.ec0eda530582p-14, -0x1.ece91514e9b71p-14, -0x1.edb81b1551decp-14, -0x1.ee7c0eb87da7ap-14, -0x1.ef35123014663p-14, -0x1.efe3477ba4fbcp-14, -0x1.f086d0673bbf3p-14, -0x1.f11fce8b116cep-14, -0x1.f1ae634b56e85p-14, -0x1.f232afd7c7596p-14, -0x1.f2acd52b7b228p-14, -0x1.f31cf40c8f9bep-14, -0x1.f3832d0b7dbd6p-14, -0x1.f3dfa082fd4c1p-14, -0x1.f4326e97b3c94p-14, -0x1.f47bb737f9005p-14, -0x1.f4bb9a1b87c3p-14, -0x1.f4f236c34d461p-14, -0x1.f51fac7928472p-14, -0x1.f5441a4fb69bep-14, -0x1.f55f9f2246c8dp-14, -0x1.f57259946683bp-14, -0x1.f57c681150c8ap-14, -0x1.f57de8cd18e46p-14, -0x1.f576f9c3749b2p-14, -0x1.f567b8b7c19p-14, -0x1.f5504334efa74p-14, -0x1.f530b68d8106p-14, -0x1.f5092fdb6f0cep-14, -0x1.f4d9cc0057613p-14, -0x1.f4a2a7a50a6f4p-14, -0x1.f463df397ece3p-14, -0x1.f41d8ef4f37a6p-14, -0x1.f3cfd2d5d69cbp-14, -0x1.f37ac6a1c0236p-14, -0x1.f31e85e578f67p-14, -0x1.f2bb2bf4f1f6p-14, -0x1.f250d3eb5430ap-14, -0x1.f1df98aae9786p-14, -0x1.f16794dd76751p-14, -0x1.f0e8e2f3c1f1fp-14, -0x1.f0639d258f764p-14, -0x1.efd7dd72cde99p-14, -0x1.ef45bda28cf6ep-14, -0x1.eead57433de68p-14, -0x1.ee0ec3aaf0de1p-14, -0x1.ed6a1bf76a7e3p-14, -0x1.ecbf790e37b3ap-14, -0x1.ec0ef39d18004p-14, -0x1.eb58a419a5356p-14, -0x1.ea9ca2c18d19cp-14, -0x1.e9db079accdb8p-14, -0x1.e913ea73cfb09p-14, -0x1.e84762e382a72p-14, -0x1.e7758849991a4p-14, -0x1.e69e71ce93e67p-14, -0x1.e5c236640d12dp-14, -0x1.e4e0ecc4c807ap-14, -0x1.e3faab74e7992p-14, -0x1.e30f88c249e77p-14, -0x1.e21f9ac40ddeep-14, -0x1.e12af75b65fcep-14, -0x1.e031b434286d3p-14, -0x1.df33e6c4037a2p-14, -0x1.de31a44b38e6p-14, -0x1.dd2b01d4be581p-14, -0x1.dc2014367a9c5p-14, -0x1.db10f0118a17fp-14, -0x1.d9fda9d2a7451p-14, -0x1.d8e655b1ed72ep-14, -0x1.d7cb07b35fe19p-14, -0x1.d6abd3a70862p-14, -0x1.d588cd2955028p-14, -0x1.d46207a33c162p-14, -0x1.d337964a89ab3p-14, -0x1.d2098c2217634p-14, -0x1.d0d7fbfa181c5p-14, -0x1.cfa2f8704dfbdp-14, -0x1.ce6a93f04246ep-14, -0x1.cd2ee0b3d91a3p-14, -0x1.cbeff0c2faf1bp-14, -0x1.caadd5f3fef1fp-14, -0x1.c968a1ecd7bedp-14, -0x1.c8206622461eap-14, -0x1.c6d533d8657d1p-14, -0x1.c5871c2316345p-14, -0x1.c4362fe638ff6p-14, -0x1.c2e27fd5d8693p-14, -0x1.c18c1c76e5f35p-14, -0x1.c033161f040abp-14, -0x1.bed77cf4e91cp-14, -0x1.bd7960f0c0daep-14, -0x1.bc18d1dc6b4ebp-14, -0x1.bab5df53c4e16p-14, -0x1.b95098c509738p-14, -0x1.b7e90d70fa312p-14, -0x1.b67f4c6b47da8p-14, -0x1.b513649ad7389p-14, -0x1.b3a564b9fe5cbp-14, -0x1.b2355b56db18cp-14, -0x1.b0c356d3c47cbp-14, -0x1.af4f656749099p-14, -0x1.add9951c6856ap-14, -0x1.ac61f3d3a87d8p-14, -0x1.aae88f42a669ap-14, -0x1.a96d74f475527p-14, -0x1.a7f0b24a1b079p-14, -0x1.a672547acd30ep-14, -0x1.a4f268942926dp-14, -0x1.a370fb7ad6131p-14, -0x1.a1ee19ea8fc03p-14, -0x1.a069d0765c762p-14, -0x1.9ee42b890a2d9p-14, -0x1.9d5d376562156p-14, -0x1.9bd500268868cp-14, -0x1.9a4b91c048a2bp-14, -0x1.98c0f7ff576cap-14, -0x1.97353e89b04b6p-14, -0x1.95a870dedafap-14, -0x1.941a9a583f8a8p-14, -0x1.928bc6296b365p-14, -0x1.90fbff60589b5p-14, -0x1.8f6b50e5e89cp-14, -0x1.8dd9c57df491ap-14, -0x1.8c4767c77c0dap-14, -0x1.8ab4423d9b77bp-14, -0x1.89205f373db1p-14, -0x1.878bc8e78f30bp-14, -0x1.85f6895e480e2p-14, -0x1.8460aa880b1e7p-14, -0x1.82ca362e9c89fp-14, -0x1.813335f9593bcp-14, -0x1.7f9bb36d65e62p-14, -0x1.7e03b7ede9607p-14, -0x1.7c6b4cbc743c5p-14, -0x1.7ad27af934a73p-14, -0x1.79394ba35a376p-14, -0x1.779fc799591d3p-14, -0x1.7605f79928d41p-14, -0x1.746be4409d4e1p-14, -0x1.72d1960db1e4bp-14, -0x1.7137155ecabd4p-14, -0x1.6f9c6a7300ce3p-14, -0x1.6e019d6a717e8p-14, -0x1.6c66b64672e43p-14, -0x1.6acbbcea1b0d6p-14, -0x1.6930b91a22d1cp-14, -0x1.6795b27d652f3p-14, -0x1.65fab09d5addbp-14, -0x1.645fbae61e746p-14, -0x1.62c4d8a6bf18ep-14, -0x1.612a11118211fp-14, -0x1.5f8f6b3c35771p-14, -0x1.5df4ee207ebb9p-14, -0x1.5c5aa09c1c40fp-14, -0x1.5ac089712ea88p-14, -0x1.5926af46704f7p-14, -0x1.578d18a77cd33p-14, -0x1.55f3cc051c5e1p-14, -0x1.545acfb584257p-14, -0x1.52c229f4a5229p-14, -0x1.5129e0e45cb64p-14, -0x1.4f91fa8cc6ce1p-14, -0x1.4dfa7cdc7a99cp-14, -0x1.4c636da8d0147p-14, -0x1.4accd2ae2e615p-14, -0x1.4936b19035689p-14, -0x1.47a10fd9fabb4p-14, -0x1.460bf2fe7a29ep-14, -0x1.44776058ac777p-14, -0x1.42e35d2bbd081p-14, -0x1.414feea367038p-14, -0x1.3fbd19d4426f4p-14, -0x1.3e2ae3bbe7ab6p-14, -0x1.3c99514126925p-14, -0x1.3b0867345928bp-14, -0x1.39782a4f91028p-14, -0x1.37e89f36f155dp-14, -0x1.3659ca78cdc87p-14, -0x1.34cbb08dfd1ffp-14, -0x1.333e55da075f3p-14, -0x1.31b1beab5d9eep-14, -0x1.3025ef3badffdp-14, -0x1.2e9aebb004462p-14, -0x1.2d10b8191386fp-14, -0x1.2b87587363bc3p-14, -0x1.29fed0a7a04f6p-14, -0x1.2877248ac3ep-14, -0x1.26f057de4a865p-14, -0x1.256a6e507c0b2p-14, -0x1.23e56b7c9f3f7p-14, -0x1.226152eb219ep-14, -0x1.20de2811e26a3p-14, -0x1.1f5bee5466071p-14, -0x1.1ddaa903fd994p-14, -0x1.1c5a5b600a388p-14, -0x1.1adb0896360abp-14, -0x1.195cb3c2b3db3p-14, -0x1.17df5ff054b8dp-14, -0x1.16631018c420ap-14, -0x1.14e7c724ccfd4p-14, -0x1.136d87ec8aa62p-14, -0x1.11f4553795306p-14, -0x1.107c31bd315a2p-14, -0x1.0f0520248f692p-14, -0x1.0d8f2304efbc6p-14, -0x1.0c1a3ce5daa47p-14, -0x1.0aa6703f50aafp-14, -0x1.0933bf79fd5f4p-14, -0x1.07c22cef6b0a1p-14, -0x1.0651baea2a212p-14, -0x1.04e26ba602a33p-14, -0x1.0374415024bb9p-14, -0x1.02073e0762c3cp-14, -0x1.009b63dc54643p-14, -0x1.fe6169a306828p-15, -0x1.fb8e65b72b59fp-15, -0x1.f8bdbfc30a79p-15, -0x1.f5ef7b79a5af8p-15, -0x1.f3239c733bed2p-15, -0x1.f05a262dc75b2p-15, -0x1.ed931c0d2e5c3p-15, -0x1.eace815bc9936p-15, -0x1.e80c594a97696p-15, -0x1.e54ca6f1967b8p-15, -0x1.e28f6d502b917p-15, -0x1.dfd4af4d5d102p-15, -0x1.dd1c6fb845e82p-15, -0x1.da66b14832c4bp-15, -0x1.d7b3769d2e328p-15, -0x1.d502c2403afddp-15, -0x1.d25496a3933efp-15, -0x1.cfa8f622fd61fp-15, -0x1.ccffe304355a5p-15, -0x1.ca595f772199cp-15, -0x1.c7b56d962cc64p-15, -0x1.c5140f667cd9bp-15, -0x1.c27546d84a52bp-15, -0x1.bfd915c73e3d4p-15, -0x1.bd3f7dfaa9af1p-15, -0x1.baa88125cf472p-15, -0x1.b81420e824c03p-15, -0x1.b5825ecda0c32p-15, -0x1.b2f33c4f1b75ep-15, -0x1.b066bad27be0cp-15, -0x1.addcdbaaea02ep-15, -0x1.ab55a0192defcp-15, -0x1.a8d1094c0985fp-15, -0x1.a64f18606577bp-15, -0x1.a3cfce6179a58p-15, -0x1.a1532c4927308p-15, -0x1.9ed9330042561p-15, -0x1.9c61e35ed741p-15, -0x1.99ed3e2c68013p-15, -0x1.977b44201489ep-15, -0x1.950bf5e0dfde7p-15, -0x1.929f5406062e4p-15, -0x1.90355f172c073p-15, -0x1.8dce178c9bf1ep-15, -0x1.8b697dcf77713p-15, -0x1.8907923a086f5p-15, -0x1.86a85517f800fp-15, -0x1.844bc6a681ebp-15, -0x1.81f1e7149e6ddp-15, -0x1.7f9ab6835ae63p-15, -0x1.7d4635060b862p-15, -0x1.7af462a274671p-15, -0x1.78a53f51094fap-15, -0x1.7658cafd241abp-15, -0x1.740f05853b7aep-15, -0x1.71c7eebb26b6bp-15, -0x1.6f83866441537p-15, -0x1.6d41cc3990e9ep-15, -0x1.6b02bfe8129c8p-15, -0x1.68c66110f4046p-15, -0x1.668caf49c712fp-15, -0x1.6455aa1c9e2cp-15, -0x1.6221510830898p-15, -0x1.5fefa3802640fp-15, -0x1.5dc0a0ed563b4p-15, -0x1.5b9448adddfcap-15, -0x1.596a9a1566d1p-15, -0x1.5743946d412e1p-15, -0x1.551f36f488ba9p-15, -0x1.52fd80e068669p-15, -0x1.50de715c482cep-15, -0x1.4ec20789e8d15p-15, -0x1.4ca84281a4bacp-15, -0x1.4a9121528c696p-15, -0x1.487ca302a18d3p-15, -0x1.466ac68eef29bp-15, -0x1.445b8aebba959p-15, -0x1.424eef04b3c1fp-15, -0x1.4044f1bd1fbe4p-15, -0x1.3e3d91eff475ep-15, -0x1.3c38ce70010a8p-15, }}, 
      {{0x1.e80fa1ba689f7p-1, 0x1.e701ce59dbaaep-1, 0x1.e5943e83352cp-1, 0x1.e3d091004bc3cp-1, 0x1.e1c10d1ce88b4p-1, 0x1.df7019667a375p-1, 0x1.dce7d96a6b4f6p-1, 0x1.da31e9b667b6ep-1, 0x1.d757332496d39p-1, 0x1.d45fcfec8061ap-1, 0x1.d152fe188a0fep-1, 0x1.ce371bed32ad7p-1, 0x1.cb11ab8d54661p-1, 0x1.c7e75bbede64bp-1, 0x1.c4bc142cdcc9fp-1, 0x1.c19303e44872dp-1, 0x1.be6eb115c6be6p-1, 0x1.bb5109632c87fp-1, 0x1.b83b722f6475cp-1, 0x1.b52ed88cd7af1p-1, 0x1.b22bc083c8a99p-1, 0x1.af325380be79bp-1, 0x1.ac426dccacc7ep-1, 0x1.a95baafdd81b5p-1, 0x1.a67d715a9a8efp-1, 0x1.a3a6fc2ea4da2p-1, 0x1.a0d76518e183ep-1, 0x1.9e0dac5bfb041p-1, 0x1.9b48c03e3bd12p-1, 0x1.98878387308dfp-1, 0x1.95c8d32a74baep-1, 0x1.930b8b2f7f98cp-1, 0x1.904e8ae64e9cep-1, 0x1.8d90b8787be5cp-1, 0x1.8ad103e5d236p-1, 0x1.880e697ac35dep-1, 0x1.8547f3ce6048ap-1, 0x1.827cbd54a5295p-1, 0x1.7fabf1910524dp-1, 0x1.7cd4cdf4505e2p-1, 0x1.79f6a2702518cp-1, 0x1.7710d1c954c0dp-1, 0x1.7422d1b1cb831p-1, 0x1.712c2ab1cb214p-1, 0x1.6e2c77e78de26p-1, 0x1.6b2366a3b5799p-1, 0x1.6810b5e848fe1p-1, 0x1.64f435cf69268p-1, 0x1.61cdc6de58178p-1, 0x1.5e9d5948ed7d8p-1, 0x1.5b62ec2919c91p-1, 0x1.581e8cadab413p-1, 0x1.54d0554327848p-1, 0x1.51786cb92b187p-1, 0x1.4e17056675009p-1, 0x1.4aac5c4d72fa2p-1, 0x1.4738b842e4bdcp-1, 0x1.43bc6917ea3e8p-1, 0x1.4037c6c8a2088p-1, 0x1.3cab30b04298fp-1, 0x1.39170cc379004p-1, 0x1.357bc6d1a4c0ep-1, 0x1.31d9cfcd72e28p-1, 0x1.2e319d1d2ff5bp-1, 0x1.2a83a7f31962ep-1, 0x1.26d06cadd7223p-1, 0x1.23186a4136ef1p-1, 0x1.1f5c21a72f1e9p-1, 0x1.1b9c155920bfp-1, 0x1.17d8c8d143e26p-1, 0x1.1412c0141ea36p-1, 0x1.104a7f41db595p-1, 0x1.0c808a2f4f956p-1, 0x1.08b564067d273p-1, 0x1.04e98eee4d63fp-1, 0x1.011d8bb94d4a3p-1, 0x1.faa3b33641b02p-2, 0x1.f30debc8dd5f3p-2, 0x1.eb7ab789f3da5p-2, 0x1.e3eb082749671p-2, 0x1.dc5fca382a1dp-2, 0x1.d4d9e4e36655ap-2, 0x1.cd5a398f7ba14p-2, 0x1.c5e1a39c58af6p-2, 0x1.be70f82639196p-2, 0x1.b70905d113cd2p-2, 0x1.afaa949c19089p-2, 0x1.a85665bcc1ab8p-2, 0x1.a10d3380fa72dp-2, 0x1.99cfb137ece45p-2, 0x1.929e8b210051ap-2, 0x1.8b7a66609b52ep-2, 0x1.8463e0fa41015p-2, 0x1.7d5b91cfa68cfp-2, 0x1.766208a4637fp-2, 0x1.6f77ce25d7828p-2, 0x1.689d63f6fb5ddp-2, 0x1.61d344bfc2148p-2, 0x1.5b19e43fbb066p-2, 0x1.5471af63aead6p-2, 0x1.4ddb0c5dedda3p-2, 0x1.47565ac10bbe7p-2, 0x1.40e3f39ccbcbep-2, 0x1.3a84299d00fe3p-2, 0x1.3437492a26b5ep-2, 0x1.2dfd988b84136p-2, 0x1.27d7580aa1189p-2, 0x1.21c4c217e3557p-2, 0x1.1bc60b7023f45p-2, 0x1.15db634317ffap-2, 0x1.1004f35a650edp-2, 0x1.0a42e0413c883p-2, 0x1.0495496c5d5bep-2, 0x1.fdf892c4be634p-3, 0x1.f2efebc851606p-3, 0x1.e810c02ae971bp-3, 0x1.dd5b294aa75b1p-3, 0x1.d2cf37ed14d26p-3, 0x1.c86cf48f88b76p-3, 0x1.be345fb6f07cp-3, 0x1.b425723efc198p-3, 0x1.aa401da86d3d8p-3, 0x1.a0844c6687ec5p-3, 0x1.96f1e22b74381p-3, 0x1.8d88bc338ae3cp-3, 0x1.8448b18f6c676p-3, 0x1.7b31936cd604p-3, 0x1.72432d5e23503p-3, 0x1.697d45a062bb1p-3, 0x1.60df9d600874dp-3, 0x1.5869f0fc1908fp-3, 0x1.501bf847d4762p-3, 0x1.47f566cad7353p-3, 0x1.3ff5ebff9f987p-3, 0x1.381d339082f13p-3, 0x1.306ae59302a84p-3, 0x1.28dea6c185ad3p-3, 0x1.217818b3690c3p-3, 0x1.1a36da137da77p-3, 0x1.131a86d4d369ap-3, 0x1.0c22b865f6e2cp-3, 0x1.054f05e28286dp-3, 0x1.fd3e08863be15p-4, 0x1.f0248d17bdb36p-4, 0x1.e350bbf23ab9fp-4, 0x1.d6c1b455602d8p-4, 0x1.ca76929b48b83p-4, 0x1.be6e7088de09dp-4, 0x1.b2a8659b39a52p-4, 0x1.a723875212f8ep-4, 0x1.9bdee97747143p-4, 0x1.90d99e638cf7bp-4, 0x1.8612b74059ad1p-4, 0x1.7b89444706cabp-4, 0x1.713c54fd4ff96p-4, 0x1.672af86f2f663p-4, 0x1.5d543d662a311p-4, 0x1.53b7329e1e42cp-4, 0x1.4a52e6f79ddabp-4, 0x1.412669a7eac64p-4, 0x1.3830ca66a2d93p-4, 0x1.2f71199927815p-4, 0x1.26e6687bd726dp-4, 0x1.1e8fc94922067p-4, 0x1.166c4f5e90dcfp-4, 0x1.0e7b0f5fc4f49p-4, 0x1.06bb1f5788f9cp-4, 0x1.fe572dadf93e8p-5, 0x1.ef971e25db12ap-5, 0x1.e13445fed076dp-5, 0x1.d32cded32e676p-5, 0x1.c57f261fec02fp-5, 0x1.b8295d71de6bcp-5, 0x1.ab29ca8fd7bc7p-5, 0x1.9e7eb7a1d1853p-5, 0x1.9226735536e0cp-5, 0x1.861f50fe6afabp-5, 0x1.7a67a8b7a44d8p-5, 0x1.6efdd77d3f145p-5, 0x1.63e03f4792e6p-5, 0x1.590d47226d9b4p-5, 0x1.4e835b424b11dp-5, 0x1.4440ed175d81ap-5, 0x1.3a44735e7d9bdp-5, 0x1.308c6a301ef45p-5, 0x1.2717530d57d67p-5, 0x1.1de3b4eb13bcfp-5, 0x1.14f01c3b86f3cp-5, 0x1.0c3b1af5f444bp-5, 0x1.03c3489cdf14p-5, 0x1.f70e84856137cp-6, 0x1.e70b5519df2dfp-6, 0x1.d77a536c2ca0dp-6, 0x1.c858db1c2f466p-6, 0x1.b9a452f346e34p-6, 0x1.ab5a2ce08450ep-6, 0x1.9d77e5f29169fp-6, 0x1.8ffb064f8b4fcp-6, 0x1.82e1212ace539p-6, 0x1.7627d4b8e2aa9p-6, 0x1.69ccca2198b19p-6, 0x1.5dcdb57080642p-6, 0x1.52285583bf88ep-6, 0x1.46da73f96f65dp-6, 0x1.3be1e51b97cb7p-6, 0x1.313c87cad85b5p-6, 0x1.26e84567d308bp-6, 0x1.1ce311bb820d2p-6, 0x1.132aeade72fb2p-6, 0x1.09bdd91f06993p-6, 0x1.0099eee6cd727p-6, 0x1.ef7a913e1b8e8p-7, 0x1.de4c1928fad91p-7, 0x1.cda4d5b4977ccp-7, 0x1.bd813a59120bfp-7, 0x1.adddcda3ea57dp-7, 0x1.9eb728fa84c44p-7, 0x1.9009f85bd9afcp-7, 0x1.81d2fa212d282p-7, 0x1.740efebe208e6p-7, 0x1.66bae8800eac3p-7, 0x1.59d3ab4ce7b8p-7, 0x1.4d564c61890dcp-7, 0x1.413fe20fb5a03p-7, 0x1.358d937bc14a4p-7, 0x1.2a3c985a0104bp-7, 0x1.1f4a38ac0b657p-7, 0x1.14b3cc7dde3dfp-7, 0x1.0a76bba30f7b8p-7, 0x1.00907d73e8134p-7, 0x1.edfd31155325bp-8, 0x1.db7d4501ded5dp-8, 0x1.c99c7f5a82f66p-8, 0x1.b85645c1d339fp-8, 0x1.a7a61a4bff908p-8, 0x1.97879afbbd04dp-8, 0x1.87f6813fdfedep-8, 0x1.78eea171aec69p-8, 0x1.6a6bea542dd79p-8, 0x1.5c6a649452413p-8, 0x1.4ee6324a3fdbbp-8, 0x1.41db8e7b8dfcep-8, 0x1.3546cc9eaf022p-8, 0x1.2924581f7ae4fp-8, 0x1.1d70b3e50e1e1p-8, 0x1.122879d8c4d21p-8, 0x1.07485a6e8fecfp-8, 0x1.f99a385d56fc9p-9, 0x1.e56736815a16dp-9, 0x1.d1f191efdc21ep-9, 0x1.bf3356c2b7fafp-9, 0x1.ad26b9a5b79d9p-9, 0x1.9bc616f8168dbp-9, 0x1.8b0bf1f1026dap-9, 0x1.7af2f3c723e38p-9, 0x1.6b75eadb371eap-9, 0x1.5c8fc9e5b24d7p-9, 0x1.4e3ba7278ff73p-9, 0x1.4074bb9e0bb07p-9, 0x1.33366239a2cabp-9, 0x1.267c17182383ep-9, 0x1.1a4176c1f0fdap-9, 0x1.0e823d6a56458p-9, 0x1.033a4632fdd0fp-9, 0x1.f0cb14e4fa363p-10, 0x1.dc0041fca16cep-10, 0x1.c80c7aef1e199p-10, 0x1.b4e85f35d398dp-10, 0x1.a28cc5278b6dep-10, 0x1.90f2b8a4e046fp-10, 0x1.801379cad9254p-10, 0x1.6fe87bab5857p-10, 0x1.606b630bcff93p-10, 0x1.51960529e550ap-10, 0x1.436266864f894p-10, 0x1.35cab9b561be5p-10, 0x1.28c95e3579b77p-10, 0x1.1c58df4b4c98ep-10, 0x1.1073f2e3ed7ffp-10, 0x1.0515787cdfe52p-10, 0x1.f470f022af7dp-11, 0x1.dfb0421aa7f3ep-11, 0x1.cbdf928c18decp-11, 0x1.b8f5d7f013491p-11, 0x1.a6ea5195b728cp-11, 0x1.95b485b30e2dbp-11, 0x1.854c3f81690c2p-11, 0x1.75a98d63794bbp-11, 0x1.66c4bf1641873p-11, 0x1.589663ec2545ep-11, 0x1.4b17491147aeep-11, 0x1.3e4077da20cd4p-11, 0x1.320b341bc8976p-11, 0x1.2670fa8d67d55p-11, 0x1.1b6b7f342e67cp-11, 0x1.10f4abd71d361p-11, 0x1.07069e7c75355p-11, 0x1.fb374fe04224fp-12, 0x1.e95c94a58db76p-12, 0x1.d8726f6431823p-12, 0x1.c86ea15208237p-12, 0x1.b947460ff4418p-12, 0x1.aaf2d10c2d101p-12, 0x1.9d680af3c2722p-12, 0x1.909e0f34b6338p-12, 0x1.848c49900d2dep-12, 0x1.792a73b8ccc51p-12, 0x1.6e70930464c1cp-12, 0x1.6456f62852f9dp-12, 0x1.5ad63306c0e31p-12, 0x1.51e7248aa9604p-12, 0x1.4982e88ee896fp-12, 0x1.41a2ddd50a0a2p-12, 0x1.3a40a2088fc31p-12, 0x1.33560fcf7da38p-12, 0x1.2cdd3ce7b5978p-12, 0x1.26d078523e937p-12, 0x1.212a48879cba1p-12, 0x1.1be569babc4ap-12, 0x1.16fccc26e5345p-12, 0x1.126b9268bda93p-12, 0x1.0e2d0fe4188fdp-12, 0x1.0a3cc73391d95p-12, 0x1.069668a21ef71p-12, 0x1.0335d0b13b0afp-12, 0x1.001706a7974a3p-12, 0x1.fa6c7655527dp-13, 0x1.f51f8dc68447fp-13, 0x1.f0405253f3dap-13, 0x1.ebc80d79d6c3ap-13, 0x1.e7b0510105a13p-13, 0x1.e3f2f48edde71p-13, 0x1.e08a13483cc8bp-13, 0x1.dd7009875e175p-13, 0x1.da9f72a0f9f2p-13, 0x1.d81326b693429p-13, 0x1.d5c6389ee7c1bp-13, 0x1.d3b3f3d8f1be1p-13, 0x1.d1d7da90ba3cp-13, 0x1.d02da3b28e206p-13, 0x1.ceb1390de82bcp-13, 0x1.cd5eb5829c8e8p-13, 0x1.cc32633f8dadap-13, 0x1.cb28ba0d91e5ep-13, 0x1.ca3e5da6bf71ap-13, 0x1.c9701c1c3746dp-13, 0x1.c8baec483dc58p-13, 0x1.c81bec4a229bdp-13, 0x1.c790600f9d041p-13, 0x1.c715afea843dep-13, 0x1.c6a9672ffd297p-13, 0x1.c64932e3851d4p-13, 0x1.c5f2e06d77c87p-13, 0x1.c5a45c5baf0ccp-13, 0x1.c55bb1298741dp-13, 0x1.c5170614d0b77p-13, 0x1.c4d49dfbf018ap-13, 0x1.c492d643f0a28p-13, 0x1.c45025c8610e7p-13, 0x1.c40b1bd53dd89p-13, 0x1.c3c25f2838ba7p-13, 0x1.c374acf886156p-13, 0x1.c320d80a38539p-13, 0x1.c2c5c7c789e62p-13, 0x1.c262776205461p-13, 0x1.c1f5f4fb6f0b4p-13, 0x1.c17f60d657fafp-13, 0x1.c0fdec8d42885p-13, 0x1.c070da4f33712p-13, 0x1.bfd77c2562d19p-13, 0x1.bf31333e232fcp-13, 0x1.be7d6f3d7d7f2p-13, 0x1.bdbbad956cff8p-13, 0x1.bceb78e311208p-13, 0x1.bc0c6851e0058p-13, 0x1.bb1e1f0363de2p-13, 0x1.ba204b7d361efp-13, 0x1.b912a71d8c5f9p-13, 0x1.b7f4f5920694fp-13, 0x1.b6c704556c9d1p-13, 0x1.b588aa3260e8cp-13, 0x1.b439c6c9bafdap-13, 0x1.b2da421d6a193p-13, 0x1.b16a0c1f6d906p-13, 0x1.afe91c4699916p-13, 0x1.ae5771261c434p-13, 0x1.acb51008ca447p-13, 0x1.ab0204917417ap-13, 0x1.a93e605dfb06fp-13, 0x1.a76a3aaeccd43p-13, 0x1.a585b0106ba1p-13, 0x1.a390e20950ee7p-13, 0x1.a18bf6cbe658ep-13, 0x1.9f7718ea20435p-13, 0x1.9d52770cbaf3bp-13, 0x1.9b1e43ae24f08p-13, 0x1.98dab4d7488c9p-13, 0x1.968803dfa8a18p-13, 0x1.94266d2f562abp-13, 0x1.91b630049b3c2p-13, 0x1.8f378e3bebd6bp-13, 0x1.8caacc196a428p-13, 0x1.8a10301599a8fp-13, 0x1.876802ac71921p-13, 0x1.84b28e2dc88e8p-13, 0x1.81f01e90d302bp-13, 0x1.7f2101480fd54p-13, 0x1.7c45851930bafp-13, 0x1.795df9f609852p-13, 0x1.766ab0d68e8e4p-13, 0x1.736bfb95acbb4p-13, 0x1.70622ccfb41ccp-13, 0x1.6d4d97c18a856p-13, 0x1.6a2e902afc2a2p-13, 0x1.67056a3038973p-13, 0x1.63d27a3ee57a7p-13, 0x1.609614f430551p-13, 0x1.5d508f037b19dp-13, 0x1.5a023d1e9feb3p-13, 0x1.56ab73e038101p-13, 0x1.534c87b5de675p-13, 0x1.4fe5ccccab1cap-13, 0x1.4c7796fe68e9cp-13, 0x1.490239bf0fb2ep-13, 0x1.4586080cc7a75p-13, 0x1.420354602c563p-13, 0x1.3e7a709d29c89p-13, 0x1.3aebae0540188p-13, 0x1.37575d2ad7f2ep-13, 0x1.33bdcde4b21ecp-13, 0x1.301f4f42d5d39p-13, 0x1.2c7c2f8410127p-13, 0x1.28d4bc0b9e3c8p-13, 0x1.25294158daf85p-13, 0x1.217a0afe5f7acp-13, 0x1.1dc7639a51a75p-13, 0x1.1a1194cf5b85dp-13, 0x1.1658e73e246dp-13, 0x1.129da27f6431fp-13, 0x1.0ee00d1e66093p-13, 0x1.0b206c941b842p-13, 0x1.075f0542b95efp-13, 0x1.039c1a72125acp-13, 0x1.ffafdc97b55afp-14, 0x1.f82583b18ad4fp-14, 0x1.f099a9fbce8d2p-14, 0x1.e90cccf4f712fp-14, 0x1.e17f67cc4e325p-14, 0x1.d9f1f35f01c0ap-14, 0x1.d264e635483a1p-14, 0x1.cad8b4815b8c2p-14, 0x1.c34dd01e3dd53p-14, 0x1.bbc4a88f83598p-14, 0x1.b43dab0108a73p-14, 0x1.acb94247fd334p-14, 0x1.a537d6e3da25bp-14, 0x1.9db9ceff8ed44p-14, 0x1.963f8e74a4903p-14, 0x1.8ec976cca1b64p-14, 0x1.8757e7442fa5bp-14, 0x1.7feb3cce52e8fp-14, 0x1.7883d21843e04p-14, 0x1.7121ff8cf0f45p-14, 0x1.69c61b593d93cp-14, 0x1.62707970cdb2dp-14, 0x1.5b216b925c344p-14, 0x1.53d9414c9fcfdp-14, 0x1.4c9848042a315p-14, 0x1.455ecaf830c56p-14, 0x1.3e2d1348624bfp-14, 0x1.370367fa9e842p-14, 0x1.2fe20e0152222p-14, 0x1.28c948410e3bdp-14, 0x1.21b957971c17p-14, 0x1.1ab27adfe8f9dp-14, 0x1.13b4eefd8e9fap-14, 0x1.0cc0eede2adc5p-14, 0x1.05d6b382d650cp-14, 0x1.fdece80d0b5e5p-15, 0x1.f040cb495c953p-15, 0x1.e2a97780a86c9p-15, 0x1.d5274fd614546p-15, 0x1.c7bab3d810343p-15, 0x1.ba63ff8e29873p-15, 0x1.ad238b8762b17p-15, 0x1.9ff9ace8e691ep-15, 0x1.92e6b57be557dp-15, 0x1.85eaf3bb84721p-15, 0x1.7906b2e41d323p-15, 0x1.6c3a3b00d0232p-15, 0x1.5f85d0fa321e6p-15, 0x1.52e9b6a435061p-15, 0x1.46662accc9525p-15, 0x1.39fb6949c66f3p-15, 0x1.2da9ab0709254p-15, 0x1.2171261457a47p-15, 0x1.15520db3ef40ep-15, 0x1.094c9267d74bap-15, 0x1.fac1c3ff6409ep-16, 0x1.e31e4f4d8a15dp-16, 0x1.cbaf17e2b8189p-16, 0x1.b47469d4d8aaap-16, 0x1.9d6e8c4123199p-16, 0x1.869dc1679f08dp-16, 0x1.700246c509be7p-16, 0x1.599c552c91a42p-16, 0x1.436c20e1a4853p-16, 0x1.2d71d9b1f2659p-16, 0x1.17adab0e58c49p-16, 0x1.021fbc2340a37p-16, 0x1.d9905fe3dec25p-17, 0x1.af4e4ad215e4cp-17, 0x1.85796ef87bfe1p-17, 0x1.5c11fa77b23d7p-17, 0x1.331813d834299p-17, 0x1.0a8bda3a75dfbp-17, 0x1.c4dacb05a3ebep-18, 0x1.75798d0e63e39p-18, 0x1.26f40e761dcd1p-18, 0x1.b294ab70cc31bp-19, 0x1.18f8b8720229p-19, 0x1.02283a6626e8ap-20, -0x1.51965e2451f96p-23, -0x1.53205132b6194p-20, -0x1.3c509a51f8a02p-19, -0x1.cd5b416559675p-19, -0x1.2e585d4174cb3p-18, -0x1.7528dc0a664b4p-18, -0x1.bb1f80d587628p-18, -0x1.001e5cd91fc62p-17, -0x1.22407f575671cp-17, -0x1.43f668c6e792p-17, -0x1.65405ec0fcd43p-17, -0x1.861eab73b7e37p-17, -0x1.a6919d7eaec1dp-17, -0x1.c69987d17593ep-17, -0x1.e636c18b3af53p-17, -0x1.02b4d2ed8337bp-16, -0x1.121949ef2bf14p-16, -0x1.2148f74136232p-16, -0x1.30440e329d2d8p-16, -0x1.3f0ac3dbccd6cp-16, -0x1.4d9d4f0fefe37p-16, -0x1.5bfbe84e55bcfp-16, -0x1.6a26c9b412769p-16, -0x1.781e2eeeae7a7p-16, -0x1.85e2552d7ff05p-16, -0x1.93737b14de486p-16, -0x1.a0d1e0b0b17bp-16, -0x1.adfdc768578efp-16, -0x1.baf771f13bc65p-16, -0x1.c7bf2442cb467p-16, -0x1.d455238a38bfep-16, -0x1.e0b9b61eb86cap-16, -0x1.eced2375db0a2p-16, -0x1.f8efb4188531p-16, -0x1.0260d8cb97d31p-15, -0x1.0831b33fdd3c4p-15, -0x1.0dea8f29356aap-15, -0x1.138b92bba3a06p-15, -0x1.1914e49a0a9c3p-15, -0x1.1e86abd14a0a1p-15, -0x1.23e10fd368ec3p-15, -0x1.292438729ae89p-15, -0x1.2e504ddcbe47ep-15, -0x1.33657896a7848p-15, -0x1.3863e177cf34dp-15, -0x1.3d4bb1a5e9431p-15, -0x1.421d1290c99b5p-15, -0x1.46d82dedddd7fp-15, -0x1.4b7d2db499c4p-15, -0x1.500c3c1a2b656p-15, -0x1.5485838d9ceacp-15, -0x1.58e92eb413c83p-15, -0x1.5d3768654ba28p-15, -0x1.61705ba7e8e0cp-15, -0x1.659433adcf33fp-15, -0x1.69a31bd0d3fe8p-15, -0x1.6d9d3f8f46948p-15, -0x1.7182ca88cfac3p-15, -0x1.7553e87b1fcfp-15, -0x1.7910c53f08cbap-15, -0x1.7cb98cc5243a3p-15, -0x1.804e6b1320174p-15, -0x1.83cf8c40e07fdp-15, -0x1.873d1c757181ep-15, -0x1.8a9747e46841p-15, -0x1.8dde3acb43bf5p-15, -0x1.9112216ef7148p-15, -0x1.943328191efacp-15, -0x1.97417b15a314dp-15, -0x1.9a3d46b04d7a7p-15, -0x1.9d26b732789aap-15, -0x1.9ffdf8e0c2e25p-15, -0x1.a2c337f8ded8ep-15, -0x1.a576a0af86e84p-15, -0x1.a8185f2e084ccp-15, -0x1.aaa89f90ad662p-15, -0x1.ad278de490598p-15, -0x1.af95562588b9ep-15, -0x1.b1f2243c692bcp-15, -0x1.b43e23fd40ff7p-15, -0x1.b6798125a2d6fp-15, -0x1.b8a4675ac0c8p-15, -0x1.babf0227cdabp-15, -0x1.bcc97cfc6d8cp-15, -0x1.bec4032b10d96p-15, -0x1.c0aebfe7859e5p-15, -0x1.c289de4560beap-15, -0x1.c4558936caffcp-15, -0x1.c611eb8ab26cap-15, -0x1.c7bf2febd6c7dp-15, -0x1.c95d80df65945p-15, -0x1.caed08c38e8ep-15, -0x1.cc6df1ce5ac9p-15, -0x1.cde0660c7f7ep-15, -0x1.cf448f6067f73p-15, -0x1.d09a9780d8cd6p-15, -0x1.d1e2a7f7fd13p-15, -0x1.d31cea224c38cp-15, -0x1.d449872d9623ap-15, -0x1.d568a8180f427p-15, -0x1.d67a75af5345bp-15, -0x1.d77f188f94e06p-15, -0x1.d876b922c2bap-15, -0x1.d9617f9f6b2a3p-15, -0x1.da3f94085af14p-15, -0x1.db111e2ba0a8dp-15, -0x1.dbd645a1c07afp-15, -0x1.dc8f31ccfdd43p-15, -0x1.dd3c09d8c7ab6p-15, -0x1.dddcf4b914efdp-15, -0x1.de721929a5393p-15, -0x1.defb9dad73e7ep-15, -0x1.df79a88e12c6p-15, -0x1.dfec5fdb354b7p-15, -0x1.e053e96a258bfp-15, -0x1.e0b06ad52df96p-15, -0x1.e102097b2ebe7p-15, -0x1.e148ea7f406ebp-15, -0x1.e18532c7f2302p-15, -0x1.e1b706ff3c67p-15, -0x1.e1de8b92023fbp-15, -0x1.e1fbe4af94a95p-15, -0x1.e20f36495ac96p-15, -0x1.e218a41292361p-15, -0x1.e2185180126f4p-15, -0x1.e20e61c7d42bep-15, -0x1.e1faf7e0cacd4p-15, -0x1.e1de3682906c6p-15, -0x1.e1b840252b1ffp-15, -0x1.e1893700de261p-15, -0x1.e1513d0df4916p-15, -0x1.e110740484099p-15, -0x1.e0c6fd5c5336dp-15, -0x1.e074fa4cb3ecfp-15, -0x1.e01a8bcc246a5p-15, -0x1.dfb7d2909031ap-15, -0x1.df4cef0ef87d4p-15, -0x1.deda017b61df6p-15, -0x1.de5f29c8b263cp-15, -0x1.dddc87a8b248ap-15, -0x1.dd523a8c1bd88p-15, -0x1.dcc061a256f62p-15, -0x1.dc271bd98fcfp-15, -0x1.db8687deb2e4fp-15, -0x1.dadec41d612a5p-15, -0x1.da2feebff3402p-15, -0x1.d97a25af8d46cp-15, -0x1.d8bd869415dc6p-15, -0x1.d7fa2ed449918p-15, -0x1.d7303b95ce5d6p-15, -0x1.d65fc9bd1ac22p-15, -0x1.d588f5edb2b02p-15, -0x1.d4abdc8a51ad6p-15, -0x1.d3c899b4c27b4p-15, -0x1.d2df494e19748p-15, -0x1.d1f006f6c352cp-15, -0x1.d0faee0ebd06cp-15, -0x1.d00019b5ada93p-15, -0x1.ceffa4caf8222p-15, -0x1.cdf9a9edeeae6p-15, -0x1.ccee437de42afp-15, -0x1.cbdd8b9a6a0cep-15, -0x1.cac79c23774afp-15, -0x1.c9ac8eb994addp-15, -0x1.c88c7cbe01909p-15, -0x1.c7677f52f3493p-15, -0x1.c63daf5bbfacap-15, -0x1.c50f257cf4d5fp-15, -0x1.c3dbfa1cb958dp-15, -0x1.c2a445630a39cp-15, -0x1.c1681f39c0b1cp-15, -0x1.c0279f4cdd7b6p-15, -0x1.bee2dd0ad6a4cp-15, -0x1.bd99efa4bed5bp-15, -0x1.bc4cee0ea5ddcp-15, -0x1.bafbeeffb1347p-15, -0x1.b9a708f2651ccp-15, -0x1.b84e5224f4446p-15, -0x1.b6f1e09974021p-15, -0x1.b591ca1621824p-15, -0x1.b42e2425b1c3p-15, -0x1.b2c704178f8c4p-15, -0x1.b15c7f00254bap-15, -0x1.afeea9b93559cp-15, -0x1.ae7d98e1f7294p-15, -0x1.ad0960df6f8bep-15, -0x1.ab9215dcf771fp-15, -0x1.aa17cbcc4c7d5p-15, -0x1.a89a9665d68a1p-15, -0x1.a71a89290c906p-15, -0x1.a597b75cc1621p-15, -0x1.a412340f7402bp-15, -0x1.a28a1217ac9c1p-15, -0x1.a0ff64143118p-15, -0x1.9f723c6c5b3cap-15, -0x1.9de2ad50776d9p-15, -0x1.9c50c8ba11c5fp-15, -0x1.9abca06c44475p-15, -0x1.992645f4108f9p-15, -0x1.978dcaa8b427ep-15, -0x1.95f33fabf6571p-15, -0x1.9456b5ea95a8ap-15, -0x1.92b83e1c7b725p-15, -0x1.9117e8c4f85b1p-15, -0x1.8f75c6338407cp-15, -0x1.8dd1e683bc064p-15, -0x1.8c2c599dcd01bp-15, -0x1.8a852f36c205dp-15, -0x1.88dc76d0ee0fdp-15, -0x1.87323fbc3e33p-15, -0x1.85869916a43ebp-15, -0x1.83d991cc5797bp-15, -0x1.822b389828cedp-15, -0x1.807b9c03e9643p-15, -0x1.7ecaca68c2f7bp-15, -0x1.7d18d1ef9046dp-15, -0x1.7b65c091379b2p-15, -0x1.79b1a41700e68p-15, -0x1.77fc8a1af4841p-15, -0x1.764680082f877p-15, -0x1.748f931b56aaep-15, -0x1.72d7d062c3b4fp-15, -0x1.711f44bed96adp-15, -0x1.6f65fce2c5662p-15, -0x1.6dac0554714f8p-15, -0x1.6bf16a6cf2eadp-15, -0x1.6a363858f1b1cp-15, -0x1.687a7b1902567p-15, -0x1.66be3e81fe50fp-15, -0x1.65018e3d783e3p-15, -0x1.634475c9ed3c6p-15, -0x1.6187007b2d0a4p-15, -0x1.5fc9397ab6431p-15, -0x1.5e0b2bc817499p-15, -0x1.5c4ce2393bbep-15, -0x1.5a8e677ad4fap-15, -0x1.58cfc610a4a51p-15, -0x1.57110855e306cp-15, -0x1.5552387d957efp-15, -0x1.53936092e3309p-15, -0x1.51d48a7980bbdp-15, -0x1.5015bfedd21bcp-15, -0x1.4e570a8574a3ep-15, -0x1.4c9873afbc61dp-15, -0x1.4ada04b5b9282p-15, -0x1.491bc6bab0b1ep-15, -0x1.475dc2bc7c4f4p-15, -0x1.45a00193d8e15p-15, -0x1.43e28bf4c6b08p-15, -0x1.42256a6ef6973p-15, -0x1.4068a56debdfdp-15, -0x1.3eac453978ed9p-15, -0x1.3cf051f601e3cp-15, -0x1.3b34d3a4e4692p-15, -0x1.3979d224c1277p-15, -0x1.37bf5531d5de1p-15, -0x1.3605646655a7p-15, -0x1.344c073ab8f3p-15, -0x1.32934506145dep-15, -0x1.30db24fe6be84p-15, -0x1.2f23ae3913867p-15, -0x1.2d6ce7aae35e5p-15, -0x1.2bb6d8288933ep-15, -0x1.2a0186672c58p-15, -0x1.284cf8fc6a0ddp-15, -0x1.2699365eb7e69p-15, -0x1.24e644e5c226dp-15, -0x1.23342acabb0ap-15, -0x1.2182ee28a04b7p-15, -0x1.1fd294fcb6ba8p-15, -0x1.1e232526b1801p-15, -0x1.1c74a468fe23dp-15, -0x1.1ac718692a829p-15, -0x1.191a86b024ef9p-15, -0x1.176ef4aa93093p-15, -0x1.15c467a921b46p-15, -0x1.141ae4e0c70bdp-15, -0x1.1272716b1de31p-15, -0x1.10cb1246ae31ap-15, -0x1.0f24cc5734c57p-15, -0x1.0d7fa465f4538p-15, -0x1.0bdb9f220573bp-15, -0x1.0a38c12091b6fp-15, -0x1.08970edd13c96p-15, -0x1.06f68cb9e565bp-15, -0x1.05573f0048579p-15, -0x1.03b929e0b8448p-15, -0x1.021c5173418p-15, -0x1.0080b9b7c0d12p-15, -0x1.fdcccd2c52affp-16, -0x1.fa9ab7bdd395ep-16, -0x1.f76b3a963a354p-16, -0x1.f43e5cf983db5p-16, -0x1.f11425fe273dp-16, -0x1.edec9c8d962b1p-16, -0x1.eac7c764c95c9p-16, -0x1.e7a5ad14d145p-16, -0x1.e48654035204ap-16, -0x1.e169c26b14f7p-16, -0x1.de4ffe5c8eb9cp-16, -0x1.db390dbe69868p-16, -0x1.d824f64dfc17ep-16, -0x1.d513bd9fd5742p-16, -0x1.d20569204a28fp-16, -0x1.cef9fe13e28aep-16, -0x1.cbf18197bbfc6p-16, -0x1.c8ebf8a27ea54p-16, -0x1.c5e9680473c94p-16, -0x1.c2e9d4681c61ap-16, -0x1.bfed4252aa2b9p-16, -0x1.bcf3b6248abacp-16, -0x1.b9fd3419cf3c5p-16, -0x1.b709c04acddfdp-16, -0x1.b4195eac8b0b4p-16, -0x1.b12c131115971p-16, -0x1.ae41e12817a41p-16, -0x1.ab5acc7f3f173p-16, -0x1.a876d882c2e7dp-16, -0x1.a596087dd2d09p-16, -0x1.a2b85f9b013bcp-16, -0x1.9fdde0e4c215cp-16, -0x1.9d068f45dca6cp-16, -0x1.9a326d89d638p-16, -0x1.97617e5d61c47p-16, -0x1.9493c44ed84e7p-16, -0x1.91c941ce951bdp-16, -0x1.8f01f92f7e9ebp-16, -0x1.8c3deca74a313p-16, -0x1.897d1e4efae82p-16, -0x1.86bf90236d5d4p-16, -0x1.8405440599fa7p-16, -0x1.814e3bbb03396p-16, -0x1.7e9a78ee15797p-16, -0x1.7be9fd2e95f7dp-16, -0x1.793cc9f20cbc3p-16, -0x1.7692e0942e859p-16, -0x1.73ec425741ab9p-16, -0x1.7148f0646d61fp-16, -0x1.6ea8ebcc23a52p-16, -0x1.6c0c3586861bfp-16, -0x1.6972ce73bf716p-16, -0x1.66dcb75c6eb25p-16, -0x1.6449f0f1f972ap-16, -0x1.61ba7bceeba3bp-16, -0x1.5f2e587758db3p-16, -0x1.5ca58759343c6p-16, -0x1.5a2008ccb611bp-16, -0x1.579ddd14a4944p-16, -0x1.551f045ea9ab5p-16, -0x1.52a37ec3c4c65p-16, -0x1.502b4c488482p-16, -0x1.4db66cdd6e6bep-16, -0x1.4b44e05f4e45ap-16, -0x1.48d6a69792f99p-16, -0x1.466bbf3c9dddcp-16, -0x1.440429f20b7b5p-16, -0x1.419fe64911f3cp-16, -0x1.3f3ef3c0c122bp-16, -0x1.3ce151c66b193p-16, -0x1.3a86ffb5e2cefp-16, -0x1.382ffcd9d85dap-16, -0x1.35dc486c16f99p-16, -0x1.338be195d37c5p-16, -0x1.313ec77008a0bp-16, -0x1.2ef4f903ac555p-16, -0x1.2cae754a0d695p-16, -0x1.2a6b3b2d09977p-16, -0x1.282b49876851p-16, -0x1.25ee9f25215bbp-16, -0x1.23b53ac392dc7p-16, -0x1.217f1b11dc229p-16, -0x1.1f4c3eb11c585p-16, -0x1.1d1ca434ace0bp-16, -0x1.1af04a2278883p-16, -0x1.18c72ef327792p-16, -0x1.16a151126d0e2p-16, -0x1.147eaedf5f02dp-16, -0x1.125f46ac93b76p-16, -0x1.104316c075c6cp-16, -0x1.0e2a1d557fd59p-16, -0x1.0c14589a71e47p-16, -0x1.0a01c6b29a178p-16, -0x1.07f265b618724p-16, -0x1.05e633b20cf55p-16, -0x1.03dd2ea8d1fc7p-16, -0x1.01d754924f1c5p-16, -0x1.ffa946b82bea5p-17, -0x1.fbaa31d35311dp-17, -0x1.f7b1662972a3ap-17, -0x1.f3bedf5aad29bp-17, -0x1.efd298f457bb5p-17, -0x1.ebec8e7164a29p-17, -0x1.e80cbb3ad5362p-17, -0x1.e4331aa818f6dp-17, -0x1.e05fa7ff90b4bp-17, -0x1.dc925e76f08efp-17, -0x1.d8cb39338c54ep-17, -0x1.d50a334ac67e7p-17, -0x1.d14f47c29350fp-17, -0x1.cd9a7191c822cp-17, -0x1.c9ebaba0521e8p-17, -0x1.c642f0c7fa428p-17, -0x1.c2a03bd47f517p-17, -0x1.bf038783e7f7bp-17, -0x1.bb6cce86f0527p-17, -0x1.b7dc0b81801c2p-17, -0x1.b451390b0124dp-17, -0x1.b0cc51ae96159p-17, -0x1.ad4d4feb909d2p-17, -0x1.a9d42e35af682p-17, -0x1.a660e6f58ba82p-17, -0x1.a2f37488e5752p-17, -0x1.9f8bd142f3112p-17, -0x1.9c29f76cb76p-17, -0x1.98cde145557dfp-17, -0x1.957789025baffp-17, -0x1.9226e8d01b4cdp-17, -0x1.8edbfad1e3d3ap-17, -0x1.8b96b9225ad4bp-17, -0x1.88571dd3d6bc4p-17, -0x1.851d22f091439p-17, -0x1.81e8c27af995fp-17, -0x1.7eb9f66e06763p-17, -0x1.7b90b8bd65cd4p-17, -0x1.786d0355e2fcdp-17, -0x1.754ed01d9f139p-17, -0x1.723618f43a988p-17, -0x1.6f22d7b31d999p-17, -0x1.6c15062e16326p-17, -0x1.690c9e334a232p-17, -0x1.6609998b2e2adp-17, -0x1.630bf1f925ffp-17, -0x1.6013a13bd7e22p-17, -0x1.5d20a10d3b0cdp-17, -0x1.5a32eb22e40f6p-17, -0x1.574a792e2a4a2p-17, -0x1.546744dc6a388p-17, -0x1.518947d74a9ddp-17, -0x1.4eb07bc4ed167p-17, -0x1.4bdcda482dca9p-17, -0x1.490e5d00d6e16p-17, -0x1.4644fd8bd487ap-17, -0x1.4380b5837151bp-17, -0x1.40c17e7f7fe24p-17, -0x1.3e075215913e9p-17, -0x1.3b5229d929d7fp-17, -0x1.38a1ff5bf74c6p-17, -0x1.35f6cc2e018bcp-17, -0x1.335089ddd074ap-17, -0x1.30af31f89a3c3p-17, -0x1.2e12be0a8bebbp-17, -0x1.2b7b279ee06f1p-17, -0x1.28e8684019f12p-17, -0x1.265a79781df54p-17, -0x1.23d154d051bbbp-17, -0x1.214cf3d1ec66bp-17, -0x1.1ecd5006535b7p-17, -0x1.1c5262f6e9421p-17, -0x1.19dc262d0b929p-17, -0x1.176a9332846e9p-17, -0x1.14fda391e898p-17, -0x1.129550d674b5bp-17, -0x1.1031948c42efdp-17, -0x1.0dd2684069c6ep-17, -0x1.0b77c5811facdp-17, -0x1.0921a5dddc73dp-17, -0x1.06d002e77e585p-17, -0x1.0482d630835c6p-17, -0x1.023a194d171dap-17, -0x1.ffeb8ba6655d5p-18, -0x1.fb6baab59b771p-18, -0x1.f6f482fbc4dc8p-18, -0x1.f28607b14c232p-18, -0x1.ee202c133e3bep-18, -0x1.e9c2e36375f89p-18, -0x1.e56e20e8f2843p-18, -0x1.e121d7effc915p-18, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      29, 0x1.f99999999999ap+1, 0x1.aa5d3eb7f4ee6p+1, 0x1.34e875eea325ep+2, 0x1.11a99184cf332p-6, 
      {{
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.80068d4ac972bp-5, -0x1.9bb2daaf070cep-4, 0x1.56d6ca5eed83fp-3, -0x1.0d08b8a40d973p-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.5a03dc9740dd6p-5, -0x1.5f33ad823e5b4p-4, 0x1.0620f960e970ap-3, -0x1.c03ad1eac8d4ep-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.394ac52e47defp-5, -0x1.317fe29f2ed72p-4, 0x1.85c9e6fb636d2p-4, -0x1.73dbf9c08c7eap-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.1c8150304a86ap-5, -0x1.10193c11e4721p-4, 0x1.163b1c0e6c7adp-4, -0x1.23d828018a15ap-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.028a5e86a3216p-5, -0x1.f14e697d1b2d3p-5, 0x1.7d5aece8b94ep-5, -0x1.a9e0eac509f1bp-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.d50b51c73476fp-6, -0x1.d18f17e11bfefp-5, 0x1.fb2ee68e6ca57p-6, -0x1.0a7a7fb0a6e7ep-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.a79f7f84cd3fp-6, -0x1.bc326cfca34ebp-5, 0x1.5b4bcd246ee7cp-6, -0x1.bcdfb6d6a6ac8p-6}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7c0416ce5aaccp-6, -0x1.ac801d55dc778p-5, 0x1.1890a4eaa2b3fp-6, 0x1.d81816a457b97p-7}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.51e597be03502p-6, -0x1.9d9646f794cecp-5, 0x1.3bf8d9d08fae8p-6, 0x1.031875ff97cf3p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.296491bb47b56p-6, -0x1.8bd85f080948dp-5, 0x1.89b3639d3d39dp-6, 0x1.919bda2195f9cp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.02d7c08966db5p-6, -0x1.76a775129bbdbp-5, 0x1.c5f12abbe0858p-6, 0x1.58c175adf8d72p-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.bd1c52ab85516p-7, -0x1.5eaa08931f432p-5, 0x1.f9a7c92f92a5ap-6, 0x1.0fe5f12eaae21p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.7992f4e6bad94p-7, -0x1.445c9f36022b2p-5, 0x1.113856ae7c8a3p-5, 0x1.96a87ee86c297p-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.3b7c16b5b3bd2p-7, -0x1.2846fdfc1fc08p-5, 0x1.207841d733cbcp-5, 0x1.0b38c563ffba2p-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.0325b954f639ap-7, -0x1.0aede664042cp-5, 0x1.2a7d960af3c93p-5, 0x1.00cd7d27fa51p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.a186609892baep-8, -0x1.d9add1421651bp-6, 0x1.2f4e3d30807abp-5, -0x1.52b79fc701015p-12}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.48da42dd6a09fp-8, -0x1.9d0ebb2b42981p-6, 0x1.2ee89fb3c4c72p-5, -0x1.2b0c307802f8fp-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f886136a07738p-9, -0x1.61095966405cdp-6, 0x1.294d31fe5185bp-5, -0x1.207c80094c742p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.770e93e4e589fp-9, -0x1.26a8750038fc6p-6, 0x1.1e7bb9fdf8416p-5, -0x1.ab66d5ecf9bcep-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.0c7079fe97861p-9, -0x1.ddeda27d464c9p-7, 0x1.0e74ab91e216fp-5, -0x1.1b3db373d0e5ap-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6ec7036e93b3ep-10, -0x1.75fe9cb6941e8p-7, 0x1.f26ce29f31a55p-6, -0x1.60798eb7fbe0dp-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d8d2c0f0b0ce4p-11, -0x1.1798bd0cb316dp-7, 0x1.bd8dda0398aa3p-6, -0x1.a6da01554e83ep-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1b194f9dc6018p-11, -0x1.89a83c88998b6p-8, 0x1.7e2059d0667c8p-6, -0x1.e8f683c72787fp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.348022027f78p-12, -0x1.fef376900750cp-9, 0x1.34c82c7286f52p-6, -0x1.1d7f17c6e5a73p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.29ea1fb00e94cp-13, -0x1.2a2f601913105p-9, 0x1.be44176db751dp-7, -0x1.113a0e885ea11p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.e81a6acdb6694p-15, -0x1.30ee87fb1ad38p-10, 0x1.1a54751be4f1cp-7, -0x1.9d82761a5205ap-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.34e0b7962d701p-16, -0x1.0160c2da22b61p-11, 0x1.3c8dd68e657acp-8, -0x1.2dfd7b19a84efp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e81a6acdb66f1p-19, -0x1.32731071d3324p-13, 0x1.0eb84c979a94cp-9, -0x1.4c08b73ec8997p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.e81a6acdb7801p-23, -0x1.05643ba37ad88p-16, 0x1.1dff7a9488e6p-11, -0x1.bb0c737ed0054p-7}, 
      }}, 
      0x1.9fac737f4b241p-3, -0x1.3fdeccda132b2p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.e3c9e11195947p-3, 0x1.fa1a1bb55deb8p-3, 0x1.0eeaec35014d4p-2, 0x1.26a0201759211p-2, 0x1.4332a20ad8f34p-2, 0x1.63a129f6ac954p-2, 0x1.86f0b4a36588fp-2, 0x1.ac352603b90a9p-2, 0x1.d2966e044d616p-2, 0x1.f95357117c054p-2, 0x1.0fe14e1af1b9dp-1, 0x1.22a959f783275p-1, 0x1.34c46054b0e3p-1, 0x1.45ff7ff9e77f6p-1, 0x1.56317af67918bp-1, 0x1.6539bf4be3252p-1, 0x1.72ff7074be516p-1, 0x1.7f707ae0d83e9p-1, 0x1.8a80b6d3a2b61p-1, 0x1.94291d8655cc4p-1, 0x1.9c67119795815p-1, 0x1.a33bba88eed51p-1, 0x1.a8ab7244c7ceep-1, 0x1.acbd433791e85p-1, 0x1.af7a756056dbp-1, 0x1.b0ee28d53966fp-1, 0x1.b124fc5efea1bp-1, 0x1.b02cbef584332p-1, 0x1.ae142afdf0b39p-1, 0x1.aaeaaa431503p-1, 0x1.a6c0219497f04p-1, 0x1.a1a4c31dcdf8cp-1, 0x1.9ba8e6948bb6p-1, 0x1.94dce68b6af95p-1, 0x1.8d5102534e9ecp-1, 0x1.851543ecd606bp-1, 0x1.7c3969a60787ep-1, 0x1.72ccd306900e7p-1, 0x1.68de70bdbbed5p-1, 0x1.5e7cb74943f89p-1, 0x1.53b59413d67dcp-1, 0x1.489664cb821a1p-1, 0x1.3d2bf0c1591e3p-1, 0x1.31826411bcc2ap-1, 0x1.25a54c67ccdecp-1, 0x1.199f974953da8p-1, 0x1.0d7b918484cb3p-1, 0x1.0142e7ecfbadap-1, 0x1.e9fd51f0093e2p-2, 0x1.d16e8e6d5b49fp-2, 0x1.b8e9398f93022p-2, 0x1.a07bdda723bbdp-2, 0x1.8833e588546eep-2, 0x1.701da38ddd682p-2, 0x1.5844603aa7351p-2, 0x1.40b25f0049e92p-2, 0x1.2970f2038d41cp-2, 0x1.12887a9fde80bp-2, 0x1.f8010615322a6p-3, 0x1.cbbf725faa79dp-3, 0x1.a0581c272a471p-3, 0x1.75d556dab5977p-3, 0x1.4c402c42d15afp-3, 0x1.23a045ed5b4ffp-3, 0x1.f7f854cbc3674p-4, 0x1.aab26a7dedd29p-4, 0x1.5f77760a5723ap-4, 0x1.164e3853a8164p-4, 0x1.9e772fc6f2d99p-5, 0x1.1485d89a98accp-5, 0x1.1d97d4d5682bdp-6, 0x1.a9477ae6c8732p-10, -0x1.c003dde682c93p-7, -0x1.d23382f700066p-6, -0x1.5e06513d6e7d2p-5, -0x1.cecec667041dap-5, -0x1.1dbe80275af34p-4, -0x1.520e3c45ad76ap-4, -0x1.845d0df8aef5fp-4, -0x1.b4b213cfa065ep-4, -0x1.e315039c93864p-4, -0x1.07c70d44e29b1p-3, -0x1.1d13070ddff8ap-3, -0x1.3172ff10eec71p-3, -0x1.44ebb3ce9b746p-3, -0x1.57820c20c8106p-3, -0x1.693b11526dc61p-3, -0x1.7a1be95c4556p-3, -0x1.8a29d16208387p-3, -0x1.996a18696cf15p-3, -0x1.a7e21a5a739dfp-3, -0x1.b5973b67045bep-3, -0x1.c28ee3c54c715p-3, -0x1.cece7bdcffd48p-3, -0x1.da5b68bc3b09cp-3, -0x1.e53b08e27d604p-3, -0x1.ef72b14bbc4bp-3, -0x1.f907aab12be66p-3, -0x1.00ff97819541cp-2, -0x1.052f3391a4db2p-2, -0x1.09153467fbca9p-2, -0x1.0cb41a6c78cf7p-2, -0x1.100e5acaa73ddp-2, -0x1.13265ec8ea128p-2, -0x1.15fe834030ed2p-2, -0x1.1899182d83b43p-2, -0x1.1af860554f295p-2, -0x1.1d1e90fc4ffecp-2, -0x1.1f0dd1af071c4p-2, -0x1.20c83c11b90a2p-2, -0x1.224fdbbf5277bp-2, -0x1.23a6ae32e6ca2p-2, -0x1.24cea2b8d0b94p-2, -0x1.25c99a6c7f5cp-2, -0x1.269968431dd3cp-2, -0x1.273fd11dc93a6p-2, -0x1.27be8be5ddf94p-2, -0x1.281741b77f27p-2, -0x1.284b8e0ef3214p-2, -0x1.285cfefd1507p-2, -0x1.284d1567ff681p-2, -0x1.281d454761c56p-2, -0x1.27cef5e720309p-2, -0x1.276382330fa51p-2, -0x1.26dc38f7ffb7ap-2, -0x1.263a5d2e4ef24p-2, -0x1.257f26485859dp-2, -0x1.24abc077d723fp-2, -0x1.23c14cf8f00fdp-2, -0x1.22c0e264eca2p-2, -0x1.21ab8cfb068b7p-2, -0x1.20824ee8c43bcp-2, -0x1.1f4620a10b7fdp-2, -0x1.1df7f128f835dp-2, -0x1.1c98a65bb510fp-2, -0x1.1b291d40d26c1p-2, -0x1.19aa2a5c7be34p-2, -0x1.181c99f1cbdd8p-2, -0x1.1681304eba09p-2, -0x1.14d8aa1eed75dp-2, -0x1.1323bcadb0af3p-2, -0x1.11631626c1cdap-2, -0x1.0f975de234327p-2, -0x1.0dc134a940e79p-2, -0x1.0be134f05dbd1p-2, -0x1.09f7f3161e22ap-2, -0x1.0805fda521194p-2, -0x1.060bdd8f8f31fp-2, -0x1.040a166281821p-2, -0x1.0201267e9386ep-2, -0x1.ffe30ea3fd514p-3, -0x1.fbb75b1505fc8p-3, -0x1.f7801285f9479p-3, -0x1.f33e0c6cfa8ep-3, -0x1.eef217e163c7fp-3, -0x1.ea9cfbf0020abp-3, -0x1.e63f77ee7621fp-3, -0x1.e1da43d312cfdp-3, -0x1.dd6e1082aaabfp-3, -0x1.d8fb88179f56ep-3, -0x1.d4834e2f2d2afp-3, -0x1.d00600325b94ep-3, -0x1.cb843591d8c03p-3, -0x1.c6fe800190a7cp-3, -0x1.c2756bbddce5bp-3, -0x1.bde97fc9be6d2p-3, -0x1.b95b3e1ca492cp-3, -0x1.b4cb23d0f0526p-3, -0x1.b039a95dbaf09p-3, -0x1.aba742ceed994p-3, -0x1.a7145fecc15d7p-3, -0x1.a2816c5cc43e6p-3, -0x1.9deecfcb680dap-3, -0x1.995cee1d34acp-3, -0x1.94cc27987d9d6p-3, -0x1.903cd9005a165p-3, -0x1.8baf5babafa5p-3, -0x1.872405a7b6bf9p-3, -0x1.829b29e32c554p-3, -0x1.7e15184f8578dp-3, -0x1.79921df0361ecp-3, -0x1.751284e850c3dp-3, -0x1.7096949904f56p-3, -0x1.6c1e91c97c8b9p-3, -0x1.67aabec083b44p-3, -0x1.633b5b4abe672p-3, -0x1.5ed0a4c24ca63p-3, -0x1.5a6ad6292436ep-3, -0x1.560a284c31c23p-3, -0x1.51aed1d8b015ap-3, -0x1.4d59075f78f5ep-3, -0x1.4908fb58185edp-3, -0x1.44bede3362521p-3, -0x1.407ade782c5fbp-3, -0x1.3c3d28d8c653cp-3, -0x1.3805e8394aef5p-3, -0x1.33d545afc5bb2p-3, -0x1.2fab688c13f93p-3, -0x1.2b88766bca762p-3, -0x1.276c9350d31fep-3, -0x1.2357e1aebf444p-3, -0x1.1f4a826c722dbp-3, -0x1.1b4494e3542fcp-3, -0x1.174636e74fbefp-3, -0x1.134f84d9a5b3p-3, -0x1.0f6099bce2ed3p-3, -0x1.0b798f3e18566p-3, -0x1.079a7db2d84ccp-3, -0x1.03c37c16b1e2cp-3, -0x1.ffe94026fdc68p-4, -0x1.f85bfc284eba9p-4, -0x1.f0df52ac662abp-4, -0x1.e97367df6a2d4p-4, -0x1.e2185d96acc6dp-4, -0x1.dace534bc91cbp-4, -0x1.d395662d52d6cp-4, -0x1.cc6db140b54f8p-4, -0x1.c5574d7fdfe2dp-4, -0x1.be5251e292267p-4, -0x1.b75ed357e6401p-4, -0x1.b07ce4c368befp-4, -0x1.a9ac970b0d94cp-4, -0x1.a2edf93213e87p-4, -0x1.9c41187162843p-4, -0x1.95a60041af9b4p-4, -0x1.8f1cba5a15dcdp-4, -0x1.88a54eafd2d58p-4, -0x1.823fc3807591dp-4, -0x1.7bec1d650237ap-4, -0x1.75aa5f64e75b2p-4, -0x1.6f7a8b01258f6p-4, -0x1.695ca03801819p-4, -0x1.63509d88170c8p-4, -0x1.5d567ff8c6055p-4, -0x1.576e4327b6f84p-4, -0x1.5197e156b7ad2p-4, -0x1.4bd35375c9119p-4, -0x1.46209128fdc4fp-4, -0x1.407f90ce0e67fp-4, -0x1.3af0478509438p-4, -0x1.3572a93bf828ep-4, -0x1.3006a8ba5f16dp-4, -0x1.2aac37a99065bp-4, -0x1.25634699e67d8p-4, -0x1.202bc507b29ap-4, -0x1.1b05a162f465p-4, -0x1.15f0c91a7f103p-4, -0x1.10ed28a815c79p-4, -0x1.0bfaab9a087cdp-4, -0x1.07193c98c5391p-4, -0x1.0248c569fbe66p-4, -0x1.fb125de963c28p-5, -0x1.f1b4c291cdd9dp-5, -0x1.e878875575a8dp-5, -0x1.df5d793ca4e52p-5, -0x1.d66363e261853p-5, -0x1.cd8a117f0a567p-5, -0x1.c4d14aed98ca3p-5, -0x1.bc38d7b12b3e4p-5, -0x1.b3c07e005dcefp-5, -0x1.ab6802d7bd7ep-5, -0x1.a32f2a0f8f82cp-5, -0x1.9b15b66f5a66p-5, -0x1.931b69bb3d007p-5, -0x1.8b4004bb108c6p-5, -0x1.8383473efcfd9p-5, -0x1.7be4f0264f6dap-5, -0x1.7464bd6b8a3d7p-5, -0x1.6d026c3513698p-5, -0x1.65bdb8e7506dfp-5, -0x1.5e965f34422a9p-5, -0x1.578c1a2695944p-5, -0x1.509ea4289d505p-5, -0x1.49cdb709e3607p-5, -0x1.43190c0658ecbp-5, -0x1.3c805bd0c2a5fp-5, -0x1.36035e9fd82d2p-5, -0x1.2fa1cc3be6b76p-5, -0x1.295b5c0ad8643p-5, -0x1.232fc5199f129p-5, -0x1.1d1ebe2384306p-5, -0x1.1727fd9904c74p-5, -0x1.114b39a7e9d8ep-5, -0x1.0b88284507ffap-5, -0x1.05de7f371e29cp-5, -0x1.004df420f7646p-5, -0x1.f5ac791276e14p-6, -0x1.eaee1bbf64a72p-6, -0x1.e0603b027ff53p-6, -0x1.d6024179a8d0cp-6, -0x1.cbd399b69bc31p-6, -0x1.c1d3ae5613615p-6, -0x1.b801ea1babe96p-6, -0x1.ae5db80ca877fp-6, -0x1.a4e683827cb3bp-6, -0x1.9b9bb8309d1ap-6, -0x1.927cc21e1c54p-6, -0x1.89890d99778bfp-6, -0x1.80c00730c95c2p-6, -0x1.78211bb847eb5p-6, -0x1.6fabb86432cedp-6, -0x1.675f4af42d996p-6, -0x1.5f3b41e53343bp-6, -0x1.573f0c9b07ab7p-6, -0x1.4f6a1b7252c36p-6, -0x1.47bbdfb3c406p-6, -0x1.4033cb6bf4d81p-6, -0x1.38d15137173fep-6, -0x1.3193e416ea4b6p-6, -0x1.2a7af7689d321p-6, -0x1.2385ff073a33fp-6, -0x1.1cb46f976ddafp-6, -0x1.1605bee9288cep-6, -0x1.0f7964504b807p-6, -0x1.090ed8d451f9fp-6, -0x1.02c59721c3f8cp-6, -0x1.f93a367881dfdp-7, -0x1.ed29c40e42e2dp-7, -0x1.e158d198d2fa9p-7, -0x1.d5c659dedee3dp-7, -0x1.ca7157dc6c85bp-7, -0x1.bf58c7794ee72p-7, -0x1.b47ba6cc406b3p-7, -0x1.a9d8f78e17956p-7, -0x1.9f6fc045acbeep-7, -0x1.953f0cc0ecb46p-7, -0x1.8b45eda1c85afp-7, -0x1.81837710431b8p-7, -0x1.77f6beeda0806p-7, -0x1.6e9edb17cf353p-7, -0x1.657ae05230755p-7, -0x1.5c89e23e7c4f2p-7, -0x1.53caf47f65543p-7, -0x1.4b3d2cbf23037p-7, -0x1.42dfa50651e2cp-7, -0x1.3ab17dac2a23cp-7, -0x1.32b1de3ee2c85p-7, -0x1.2adff50d9477ap-7, -0x1.233af566798fbp-7, -0x1.1bc21504a0be9p-7, -0x1.1474896e85202p-7, -0x1.0d518612384e5p-7, -0x1.06583bb768801p-7, -0x1.ff0fb2f4d6a68p-8, -0x1.f1bf1e18b62cfp-8, -0x1.e4bd1f21be0b5p-8, -0x1.d8082884af01dp-8, -0x1.cb9ebc2c62dbbp-8, -0x1.bf7f6bcf17dafp-8, -0x1.b3a8d63fbfc6cp-8, -0x1.a819a28f3906fp-8, -0x1.9cd07a76275afp-8, -0x1.91cc05af765e5p-8, -0x1.870ae79658e7ep-8, -0x1.7c8bbf9d6581p-8, -0x1.724d2c4ac7ab4p-8, -0x1.684dcfa1dec33p-8, -0x1.5e8c5389d5fdap-8, -0x1.55076cd9d68adp-8, -0x1.4bbddc404f91bp-8, -0x1.42ae6cf1f73b6p-8, -0x1.39d7f1c04e719p-8, -0x1.313941b0a50e7p-8, -0x1.28d1354ca0819p-8, -0x1.209ea59efc3c7p-8, -0x1.18a06d32d4cecp-8, -0x1.10d56aa520edfp-8, -0x1.093c83afc11dap-8, -0x1.01d4a755dd66ep-8, -0x1.f5399c49ecf0ap-9, -0x1.e727f07cff23ep-9, -0x1.d972536b32985p-9, -0x1.cc16ccc40c932p-9, -0x1.bf135ce4d0395p-9, -0x1.b265f9b184d0ap-9, -0x1.a60c90991bacbp-9, -0x1.9a050e2789df2p-9, -0x1.8e4d6a156bffp-9, -0x1.82e3b50eab034p-9, -0x1.77c624165152bp-9, -0x1.6cf3155d84071p-9, -0x1.62690c1b36776p-9, -0x1.5826a40e2d9cfp-9, -0x1.4e2a805ef1f0bp-9, -0x1.44733af0dd74cp-9, -0x1.3aff58247ca4ep-9, -0x1.31cd409aef951p-9, -0x1.28db40ae87edep-9, -0x1.20278d4b391cap-9, -0x1.17b04ee5854a2p-9, -0x1.0f73b336aee8cp-9, -0x1.0770039fb78a7p-9, -0x1.ff47739d0c993p-10, -0x1.f01b1433e1bb7p-10, -0x1.e158bc14e6596p-10, -0x1.d2fe81e6b47e1p-10, -0x1.c50a8f4e2337ap-10, -0x1.b77afbf563aebp-10, -0x1.aa4dbf31d63c4p-10, -0x1.9d80b2b96367ep-10, -0x1.9111963f223a8p-10, -0x1.84fe06e3bdafp-10, -0x1.79436c878e7f2p-10, -0x1.6ddeef7f97599p-10, -0x1.62cd8c9e831a5p-10, -0x1.580c4ca5e9f2dp-10, -0x1.4d9888711b5c3p-10, -0x1.437012e508f24p-10, -0x1.39912dfdb300ap-10, -0x1.2ffa53c851b58p-10, -0x1.26a9fbdcaa73cp-10, -0x1.1d9e86e47484p-10, -0x1.14d6599bc7983p-10, -0x1.0c500a15ba607p-10, -0x1.040a745aacc93p-10, -0x1.f8093ca798e4cp-11, -0x1.e87ae97cf16afp-11, -0x1.d9670940728e1p-11, -0x1.cac9b244a5a88p-11, -0x1.bc9e26eec6dcp-11, -0x1.aedf6644ba72ap-11, -0x1.a188d235651f7p-11, -0x1.94968f89dd09p-11, -0x1.88056bd0825dcp-11, -0x1.7bd26d4388649p-11, -0x1.6ffa7d6618954p-11, -0x1.647a8fd24fca6p-11, -0x1.5950315ea2c1bp-11, -0x1.4e79fe94cef61p-11, -0x1.43f7907cbdfb4p-11, -0x1.39c8e5246ecbp-11, -0x1.2feda9c127ef6p-11, -0x1.2664ca5a6c3b9p-11, -0x1.1d2c5cbb78c4ep-11, -0x1.1441b44514e33p-11, -0x1.0ba174c427311p-11, -0x1.0347babf7f4b5p-11, -0x1.f660f88af615ap-12, -0x1.e6affb3a3af4fp-12, -0x1.d7760914c7346p-12, -0x1.c8ad787ff2a11p-12, -0x1.ba51585500243p-12, -0x1.ac5e13bf48e6ap-12, -0x1.9ed22641b0b27p-12, -0x1.91add902f54ddp-12, -0x1.84f214b3c5937p-12, -0x1.789f2b3bd4789p-12, -0x1.6cb4455a08c09p-12, -0x1.612fa614e4a59p-12, -0x1.560f5ef7807c7p-12, -0x1.4b517c2cb13fap-12, -0x1.40f32d8de5884p-12, -0x1.36efd2dee701p-12, -0x1.2d411f20a3bd1p-12, -0x1.23e03750b4a92p-12, -0x1.1ac6c919422efp-12, -0x1.11efad54b2404p-12, -0x1.095762706f56dp-12, -0x1.00fc6e5d590e8p-12, -0x1.f1be1adbe359p-13, -0x1.e1ffe7837c35fp-13, -0x1.d2bea507bf3cap-13, -0x1.c3f9cd07026cdp-13, -0x1.b5b00cec97d0dp-13, -0x1.a7debf6dd62cdp-13, -0x1.9a82a12b39bafp-13, -0x1.8d99015dee3e9p-13, -0x1.811f6ff5f1e76p-13, -0x1.7512bc2880568p-13, -0x1.696ec462bbadep-13, -0x1.5e2eaad97f54p-13, -0x1.534c53989bfaep-13, -0x1.48bf62acab0fdp-13, -0x1.3e7e369b58839p-13, -0x1.34821cd547289p-13, -0x1.2aca5fef5c6fp-13, -0x1.2159a6e43ff73p-13, -0x1.1830cb5362c21p-13, -0x1.0f4e56b84b558p-13, -0x1.06b1bdfcbf053p-13, -0x1.fcb5cf90f1d68p-14, -0x1.ec8fe999b308dp-14, -0x1.dcecc28f1ebc7p-14, -0x1.cdc7666fff96ap-14, -0x1.bf18a1e16654ep-14, -0x1.b0d892873c1c7p-14, -0x1.a3031dd7f61e4p-14, -0x1.959908f332da3p-14, -0x1.889cde8884e02p-14, -0x1.7c0eb92b0695ep-14, -0x1.6fe815f8a35ebp-14, -0x1.641a117590e88p-14, -0x1.5895f3f8bb942p-14, -0x1.4d5925623e23p-14, -0x1.42688c1133b08p-14, -0x1.37c444231572dp-14, -0x1.2d6a4ea879f4bp-14, -0x1.235ccc60b7f68p-14, -0x1.199bb2932d138p-14, -0x1.1023b52d2945p-14, -0x1.06f23e979eae6p-14, -0x1.fc057a6db2432p-15, -0x1.ea9d2af18af5ep-15, -0x1.d9a199e423f29p-15, -0x1.c90eadda3897p-15, -0x1.b8e4f1cf7911fp-15, -0x1.a92822b0c6e7bp-15, -0x1.99dd1a0eb2297p-15, -0x1.8b07a09d2651ep-15, -0x1.7ca80715ec31p-15, -0x1.6eb2977c99db1p-15, -0x1.610e8fec62966p-15, -0x1.53af7c0e65c16p-15, -0x1.469be1029ac74p-15, -0x1.39d6e82e1997ap-15, -0x1.2d60bd6fcc69bp-15, -0x1.213bea61e8f8p-15, -0x1.156826083ad44p-15, -0x1.09e45ea88c30dp-15, -0x1.fd5365a7510d9p-16, -0x1.e75d55ca09e1dp-16, -0x1.d1dd3b47ce804p-16, -0x1.bcd1d653f3a97p-16, -0x1.a83b366d10825p-16, -0x1.9417ca743706p-16, -0x1.80652ed116e13p-16, -0x1.6d2288d2727dap-16, -0x1.5a51a232e9935p-16, -0x1.47f582f821b63p-16, -0x1.36130412903f4p-16, -0x1.24acd7c604459p-16, -0x1.13abd6fb8218cp-16, -0x1.02f1edf5ffc41p-16, -0x1.e511342d15637p-17, -0x1.c4ec1ee64aa57p-17, -0x1.a56a943304f86p-17, -0x1.86a15284aec9p-17, -0x1.689bf4d2feca3p-17, -0x1.4b41026fae348p-17, -0x1.2e7705016b264p-17, -0x1.12389bce9c1dfp-17, -0x1.ed109f423fca7p-18, -0x1.b6cf57ffde0bep-18, -0x1.81ac3cff54e33p-18, -0x1.4da3036a2570bp-18, -0x1.1aacc78adebf4p-18, -0x1.d181e806ddb72p-19, -0x1.6fb0d443bece6p-19, -0x1.0fe27533e4c5ep-19, -0x1.642ce525e435ep-20, -0x1.593951b711374p-21, 0x1.9edb4f09af0a8p-26, 0x1.6a11d8ef4d713p-21, 0x1.606f35274428ap-20, 0x1.0457e30a9fb01p-19, 0x1.56f9b029956f4p-19, 0x1.a7dbec10dbab8p-19, 0x1.f6a207b2dff51p-19, 0x1.21d474831e737p-18, 0x1.4795b756186e2p-18, 0x1.6c9271e9fed9bp-18, 0x1.90c550e01accfp-18, 0x1.b42d613a64b8dp-18, 0x1.d6cc6f7b4e34fp-18, 0x1.f8a51abb57f2ep-18, 0x1.0cdcec1d8820ap-17, 0x1.1d066ccd7f5f7p-17, 0x1.2cd0559edb3a5p-17, 0x1.3c3c6f51c1f3cp-17, 0x1.4b4ccb0d9c3d9p-17, 0x1.5a02dc70c78bp-17, 0x1.685f95e4ef721p-17, 0x1.7664a38c1455fp-17, 0x1.840ca588f15fcp-17, 0x1.914b1fd16c301p-17, 0x1.9e33fb140e3b8p-17, 0x1.aad6ce3ba310ep-17, 0x1.b72dfc7211a55p-17, 0x1.c321bb816415bp-17, 0x1.cebf5e8d18497p-17, 0x1.da100a91746fcp-17, 0x1.e511eed4e2326p-17, 0x1.efc3b3195c35ep-17, 0x1.fa2571e8dfd4bp-17, 0x1.021beee3511a8p-16, 0x1.06fde9ee287c7p-16, 0x1.0bb919cd096e8p-16, 0x1.104de513c956bp-16, 0x1.14bca35dd4515p-16, 0x1.1905a16fc1beep-16, 0x1.1d2933af30383p-16, 0x1.2127cc090ed87p-16, 0x1.2501f91db61f5p-16, 0x1.28b83c9c9884dp-16, 0x1.2c4aeb8c85da9p-16, 0x1.2fba6c112b753p-16, 0x1.3306689b2c36p-16, 0x1.362cf0192aa61p-16, 0x1.39305ba6a1569p-16, 0x1.3c15695cc476dp-16, 0x1.3ed7a10ed2c8dp-16, 0x1.417659e9aeef5p-16, 0x1.43f4f588efaf3p-16, 0x1.465358f81ad9fp-16, 0x1.4891536e63adap-16, 0x1.4aaf1ae5277cap-16, 0x1.4cad053212a9bp-16, 0x1.4e8b6e0006ce4p-16, 0x1.504ab17632de3p-16, 0x1.51eb2b87104c4p-16, 0x1.536d375636ee9p-16, 0x1.54d12de176fe7p-16, 0x1.56176498d1aabp-16, 0x1.57402e2cb4404p-16, 0x1.584bdfd10f8f3p-16, 0x1.593ad807b3b14p-16, 0x1.5a0d7f31e1579p-16, 0x1.5ac43c5db7545p-16, 0x1.5b5f652f9a327p-16, 0x1.5bdf4c54b589fp-16, 0x1.5c4440b506048p-16, 0x1.5c8e12294e7e7p-16, 0x1.5cbde53a4b9dbp-16, 0x1.5cd3fa02a80dfp-16, 0x1.5cd0441fb428dp-16, 0x1.5cb3412eb082bp-16, 0x1.5c7dc1a701342p-16, 0x1.5c2fe3257f279p-16, 0x1.5bc9e8e257419p-16, 0x1.5b4c2e3752982p-16, 0x1.5ab711e0330b8p-16, 0x1.5a0af2526068ep-16, 0x1.59482db7e511bp-16, 0x1.586f2233c7ba7p-16, 0x1.57802e0187c7bp-16, 0x1.567baf5a1fb37p-16, 0x1.55620419b4a74p-16, 0x1.5433893d5e7abp-16, 0x1.52f09acbf28d6p-16, 0x1.5199950d0e4d4p-16, 0x1.502ed694e106cp-16, 0x1.4eb0c0d564921p-16, 0x1.4d1fb5b251f8fp-16, 0x1.4b7c11e0b9893p-16, 0x1.49c62c328556ep-16, 0x1.47fe6abb4622ep-16, 0x1.4625185650cb5p-16, 0x1.443aa0f43a283p-16, 0x1.423f5f1c1e5dp-16, 0x1.40338dfe90941p-16, 0x1.3e17ae0e389c9p-16, 0x1.3bec333cc5394p-16, 0x1.39b166d295a18p-16, 0x1.37679ac57b1c4p-16, 0x1.350f2b089366bp-16, 0x1.32a873dd68358p-16, 0x1.3033d0b93f0b2p-16, 0x1.2db19c7235e37p-16, 0x1.2b22316ab7743p-16, 0x1.2885e9a07333p-16, 0x1.25dd1eb075c5p-16, 0x1.232829c8beedbp-16, 0x1.206763922a79fp-16, 0x1.1d9b24041622ep-16, 0x1.1ac3c23385cbep-16, 0x1.17e1947640b1dp-16, 0x1.14f4f116c6b8bp-16, 0x1.11fe2ee100f78p-16, 0x1.0efda4c36aa25p-16, 0x1.0bf3a8566649ep-16, 0x1.08e08b43aa468p-16, 0x1.05c49e8ae51bdp-16, 0x1.02a0420ca9759p-16, 0x1.fee7807e28914p-17, 0x1.f87eab3a7fa38p-17, 0x1.f206e11000292p-17, 0x1.eb809af765af4p-17, 0x1.e4ec86d5f5c2p-17, 0x1.de4b6301258bbp-17, 0x1.d79dafbc18182p-17, 0x1.d0e4051f08816p-17, 0x1.ca1efde4c71c4p-17, 0x1.c34f32a57037ap-17, 0x1.bc7539f3f7468p-17, 0x1.b591a89f6a262p-17, 0x1.aea511d11c402p-17, 0x1.a7b0072029929p-17, 0x1.a0b318901b5eep-17, 0x1.99aed486710fep-17, 0x1.92a3c7bdefde7p-17, 0x1.8b927d383c5a1p-17, 0x1.847b7e13be983p-17, 0x1.7d5f51605d825p-17, 0x1.763e7c4a46269p-17, 0x1.6f1982c59351dp-17, 0x1.67f0e7ecae791p-17, 0x1.60c52d9bf5c06p-17, 0x1.5996d331c98d9p-17, 0x1.526652d964f15p-17, 0x1.4b34240e29ae7p-17, 0x1.4400cd7f2d2cfp-17, 0x1.3cccda3fc2c9bp-17, 0x1.359864b9f0b91p-17, 0x1.2e643f5129431p-17, 0x1.2730cb4d30eccp-17, 0x1.1ffe48b518259p-17, 0x1.18cd60712a0cep-17, 0x1.119e6887ed7b4p-17, 0x1.0a71c92a834d3p-17, 0x1.0347ec61438eep-17, 0x1.f84273de1110cp-18, 0x1.e9fc2eebd4cd3p-18, 0x1.dbbdd148ff933p-18, 0x1.cd881e9a50c77p-18, 0x1.bf5bd6d867278p-18, 0x1.b139b664073dep-18, 0x1.a3227608345bp-18, 0x1.9516caf0776d1p-18, 0x1.871766aaa1374p-18, 0x1.7924f728250f6p-18, 0x1.6b4026ab26869p-18, 0x1.5d699ba6044e9p-18, 0x1.4fa1f8b319cd6p-18, 0x1.41e9dd08fc984p-18, 0x1.3441e4f7b320dp-18, 0x1.26aaa9cfd5fcbp-18, 0x1.1924c1734c64ep-18, 0x1.0bb0bceebd7fep-18, 0x1.fc9e4cd888635p-19, 0x1.e2010e3787d3ep-19, 0x1.c78af7acdeb9dp-19, 0x1.ad3d0d8841057p-19, 0x1.93179d6f2837fp-19, 0x1.791cacb998612p-19, 0x1.5f4ca99e69b25p-19, 0x1.45a859a659bb2p-19, 0x1.2c30ff13ca1d9p-19, 0x1.12e74e6952cffp-19, 0x1.f3983fb12a17dp-20, 0x1.c1c08ebba02e5p-20, 0x1.9049232b4776ep-20, 0x1.5f3388d1fd911p-20, 0x1.2e813ea308fefp-20, 0x1.fc676e0bf7b7ap-21, 0x1.9c98afe09b48cp-21, 0x1.3d98f6445fadfp-21, 0x1.bed5ba27389acp-22, 0x1.0421d011d38b3p-22, 0x1.2c6c18956d004p-24, -0x1.b0e7e9508c5a9p-24, }}, 
      {{0x1.deba6f76822b9p-3, 0x1.e642cfa053046p-3, 0x1.f28152690dafep-3, 0x1.018998feb5085p-2, 0x1.0bc273091ff0ep-2, 0x1.17ad459fe7ce2p-2, 0x1.250af939901f8p-2, 0x1.339d74c7b3535p-2, 0x1.432911b237707p-2, 0x1.53758d03b977dp-2, 0x1.644e9ec066a87p-2, 0x1.75844f1d10a11p-2, 0x1.86eb181a904d2p-2, 0x1.985be078cb322p-2, 0x1.a9b3db5830b83p-2, 0x1.bad4559774ad4p-2, 0x1.cba277d07332fp-2, 0x1.dc07020e998a4p-2, 0x1.ebee04f294233p-2, 0x1.fb469ae2c9a7bp-2, 0x1.050151886de38p-1, 0x1.0c0b3fc08778p-1, 0x1.12bc6b633852ap-1, 0x1.19112ce7b4a33p-1, 0x1.1f06c6f584e0cp-1, 0x1.249b4d7dc512p-1, 0x1.29cd8ed5f006ap-1, 0x1.2e9cfebf7146bp-1, 0x1.3309a3374a2a9p-1, 0x1.371402f7c592ap-1, 0x1.3abd157c9f0aap-1, 0x1.3e06347c5ee27p-1, 0x1.40f10eb26fc5ap-1, 0x1.437f9bdf2624p-1, 0x1.45b411e8bbaap-1, 0x1.4790db0019f13p-1, 0x1.49188cb83b5dbp-1, 0x1.4a4ddff9f1a47p-1, 0x1.4b33a9c2bc912p-1, 0x1.4bccd49cc92f8p-1, 0x1.4c1c5ac36d8f8p-1, 0x1.4c2540e11d2abp-1, 0x1.4bea915f65904p-1, 0x1.4b6f583a0b982p-1, 0x1.4ab69f4b59119p-1, 0x1.49c36b083dfc9p-1, 0x1.4898b7a273d31p-1, 0x1.4739768905ab4p-1, 0x1.45a88c3df6077p-1, 0x1.43e8ce7dc7807p-1, 0x1.41fd02a96e4d5p-1, 0x1.3fe7dc78c9e89p-1, 0x1.3dabfce3edcb7p-1, 0x1.3b4bf1472cccfp-1, 0x1.38ca32b49983ap-1, 0x1.3629257707d82p-1, 0x1.336b18b5d8ec9p-1, 0x1.309246435f506p-1, 0x1.2da0d2813cf62p-1, 0x1.2a98cc6cb2671p-1, 0x1.277c2db581d7p-1, 0x1.244cdafd2efd2p-1, 0x1.210ca40f1e66p-1, 0x1.1dbd4442327d7p-1, 0x1.1a6062c3c469bp-1, 0x1.16f79312b735ep-1, 0x1.1384556011984p-1, 0x1.10081717103c1p-1, 0x1.0c84334f7f97fp-1, 0x1.08f9f35607d49p-1, 0x1.056a8f313acaap-1, 0x1.01d72e2b8343fp-1, 0x1.fc81cebfb2d8fp-2, 0x1.f5518481fa549p-2, 0x1.ee1f6e413fee7p-2, 0x1.e6ed5f6fcdc11p-2, 0x1.dfbd0f6a30ac4p-2, 0x1.d8901a9887e02p-2, 0x1.d168038ce5a94p-2, 0x1.ca463416761ccp-2, 0x1.c32bfe45be05fp-2, 0x1.bc1a9d65757bbp-2, 0x1.b51336ee6e101p-2, 0x1.ae16db7bb9a71p-2, 0x1.a72687bfd84ddp-2, 0x1.a04325774369p-2, 0x1.996d8c52df352p-2, 0x1.92a682d5de2fap-2, 0x1.8beebf26127b2p-2, 0x1.8546e7d0a462cp-2, 0x1.7eaf948761bedp-2, 0x1.78294edac2af5p-2, 0x1.71b492f2df6aep-2, 0x1.6b51d04783feap-2, 0x1.65016a555781ap-2, 0x1.5ec3b94cfb20fp-2, 0x1.58990ab99e766p-2, 0x1.5281a21cfeacep-2, 0x1.4c7db980f797p-2, 0x1.468d81ffd8d22p-2, 0x1.40b124454001p-2, 0x1.3ae8c10a07dd1p-2, 0x1.3534718cd23a1p-2, 0x1.2f9448081cad2p-2, 0x1.2a0850261f2cdp-2, 0x1.24908f71c52e2p-2, 0x1.1f2d05c39da83p-2, 0x1.19ddada9e535p-2, 0x1.14a27cca9a848p-2, 0x1.0f7b643f2893bp-2, 0x1.0a6850e9c1eep-2, 0x1.05692bc498f2ep-2, 0x1.007dda2bf669p-2, 0x1.f74c7c46f8701p-3, 0x1.edc46d2fff1e7p-3, 0x1.e4633f3c48842p-3, 0x1.db28a55c819fep-3, 0x1.d2144dbc15441p-3, 0x1.c925e22fe2dc3p-3, 0x1.c05d089faefebp-3, 0x1.b7b9636b12d48p-3, 0x1.af3a91c8ce37bp-3, 0x1.a6e0301fed2a6p-3, 0x1.9ea9d85ba638bp-3, 0x1.969722392d9f6p-3, 0x1.8ea7a38f21bc4p-3, 0x1.86daf0907ab93p-3, 0x1.7f309c09d5e5fp-3, 0x1.77a83799cbcb1p-3, 0x1.704153e613526p-3, 0x1.68fb80cc39c1ep-3, 0x1.61d64d8ed9831p-3, 0x1.5ad149008393dp-3, 0x1.53ec01ab8c0a2p-3, 0x1.4d2605f706315p-3, 0x1.467ee4499d898p-3, 0x1.3ff62b2a9c959p-3, 0x1.398b695f789ddp-3, 0x1.333e2e082dfb5p-3, 0x1.2d0e08b957d93p-3, 0x1.26fa8993f7fadp-3, 0x1.2103415b153c4p-3, 0x1.1b27c187acd36p-3, 0x1.15679c5aebc1cp-3, 0x1.0fc264ee4fb82p-3, 0x1.0a37af41d3798p-3, 0x1.04c7104984d4cp-3, 0x1.fee03bf185738p-4, 0x1.f464de990bc9dp-4, 0x1.ea1b38a85410bp-4, 0x1.e0027c733f54ap-4, 0x1.d619de907006p-4, 0x1.cc6095e506b82p-4, 0x1.c2d5dbae39ffcp-4, 0x1.b978eb8b1f938p-4, 0x1.b04903832e46fp-4, 0x1.a745640bfafd2p-4, 0x1.9e6d500e34175p-4, 0x1.95c00ce93bfe1p-4, 0x1.8d3ce2758e919p-4, 0x1.84e31b060be58p-4, 0x1.7cb203694167p-4, 0x1.74a8eae8d4aeap-4, 0x1.6cc7234897f0cp-4, 0x1.650c00c520fffp-4, 0x1.5d76da11870bap-4, 0x1.5607085464d62p-4, 0x1.4ebbe7244b31p-4, 0x1.4794d4845789p-4, 0x1.409130df7b23bp-4, 0x1.39b05f03e2622p-4, 0x1.32f1c41dc1b9ep-4, 0x1.2c54c7b200e84p-4, 0x1.25d8d3987046bp-4, 0x1.1f7d53f5d7c5ap-4, 0x1.1941b735e5889p-4, 0x1.13256e04ce395p-4, 0x1.0d27eb486dfd1p-4, 0x1.0748a419c5f22p-4, 0x1.01870fbe9e45fp-4, 0x1.f7c54f452b7ep-5, 0x1.ecb5ce9f886bp-5, 0x1.e1de98cf64bb9p-5, 0x1.d73ead3990a4ap-5, 0x1.ccd50f57182dap-5, 0x1.c2a0c6a681cb7p-5, 0x1.b8a0de9cec9d4p-5, 0x1.aed4669877a1ep-5, 0x1.a53a71d33d0e3p-5, 0x1.9bd217555f702p-5, 0x1.929a71e67e1f4p-5, 0x1.89929fffc1516p-5, 0x1.80b9c3be4fbdbp-5, 0x1.780f02d68ee8cp-5, 0x1.6f918686c7edp-5, 0x1.67407b896accfp-5, 0x1.5f1b1207a583p-5, 0x1.57207d8c85575p-5, 0x1.4f4ff4f86922p-5, 0x1.47a8b27468ff9p-5, 0x1.4029f365cff6cp-5, 0x1.38d2f861c62c9p-5, 0x1.31a30520a0ab6p-5, 0x1.2a996071be9b8p-5, 0x1.23b554301559p-5, 0x1.1cf62d366b9d7p-5, 0x1.165b3b541eefcp-5, 0x1.0fe3d14199e9ap-5, 0x1.098f44949b578p-5, 0x1.035cedb4e19f5p-5, 0x1.fa984fa3235e7p-6, 0x1.eeb8a1ae11c46p-6, 0x1.e31992c8fa91cp-6, 0x1.d7b9e98244e59p-6, 0x1.cc9871a29565cp-6, 0x1.c1b3fc184aa0cp-6, 0x1.b70b5ee4c43ccp-6, 0x1.ac9d7509bff79p-6, 0x1.a2691e75b5cd9p-6, 0x1.986d3ff0bf75ep-6, 0x1.8ea8c3087f05p-6, 0x1.851a95fd4942ep-6, 0x1.7bc1abb10f8b3p-6, 0x1.729cfb96857f4p-6, 0x1.69ab819fb0d4p-6, 0x1.60ec3e2bcf8a3p-6, 0x1.585e35f553f6ap-6, 0x1.50007200eb7d1p-6, 0x1.47d1ff8d878bfp-6, 0x1.3fd1f004e75e7p-6, 0x1.37ff58ebd01dep-6, 0x1.305953d1cecaep-6, 0x1.28defe40e88fp-6, 0x1.218f79adf33cdp-6, 0x1.1a69eb69e4ce5p-6, 0x1.136d7c936c126p-6, 0x1.0c995a081b942p-6, 0x1.05ecb45685dfp-6, 0x1.fecd7f5eff3dcp-7, 0x1.f20d67aed5cbp-7, 0x1.e5979830f716bp-7, 0x1.d96a8e6addef6p-7, 0x1.cd84ceb8d539dp-7, 0x1.c1e4e4339b944p-7, 0x1.b6896095bc62p-7, 0x1.ab70dc2149f38p-7, 0x1.a099f58628a3bp-7, 0x1.960351c94ed79p-7, 0x1.8bab9c2c8c195p-7, 0x1.819186167a6c6p-7, 0x1.77b3c6fa537b5p-7, 0x1.6e111c3fcb66fp-7, 0x1.64a8492b568bfp-7, 0x1.5b7816c6fed4cp-7, 0x1.527f53cbff7d1p-7, 0x1.49bcd48cdcae2p-7, 0x1.412f72df85194p-7, 0x1.38d60e0661fa5p-7, 0x1.30af8a9b310fep-7, 0x1.28bad279c5aa8p-7, 0x1.20f6d4aa680fbp-7, 0x1.1962854d69141p-7, 0x1.11fcdd871b529p-7, 0x1.0ac4db6bf0b2ap-7, 0x1.03b981ec82f66p-7, 0x1.f9b3b18331d03p-8, 0x1.ec49d8b106233p-8, 0x1.df339b7f6d987p-8, 0x1.d26f252809a9ap-8, 0x1.c5faa9dc6c19p-8, 0x1.b9d466a1d54e8p-8, 0x1.adfaa12d1af47p-8, 0x1.a26ba7beae1b3p-8, 0x1.9725d0fec8c5p-8, 0x1.8c277bda186abp-8, 0x1.816f0f5f00c85p-8, 0x1.76fafa9bb29cep-8, 0x1.6cc9b47d03c94p-8, 0x1.62d9bbade317ap-8, 0x1.59299676b3855p-8, 0x1.4fb7d29c36ae2p-8, 0x1.4683053f2602ap-8, 0x1.3d89cabcd4dd8p-8, 0x1.34cac6917c2f8p-8, 0x1.2c44a3399fa43p-8, 0x1.23f61212fb266p-8, 0x1.1bddcb3ebfe94p-8, 0x1.13fa8d8431b52p-8, 0x1.0c4b1e3378d6cp-8, 0x1.04ce4908e1d5ap-8, 0x1.fb05c0214138fp-9, 0x1.eccf77165e948p-9, 0x1.def773a44555cp-9, 0x1.d17b7e7aa4922p-9, 0x1.c4596c102f2ap-9, 0x1.b78f1c6d27089p-9, 0x1.ab1a7af63bb4bp-9, 0x1.9ef97e383addp-9, 0x1.932a27b4eb40ap-9, 0x1.87aa83b1449fdp-9, 0x1.7c78a90655e88p-9, 0x1.7192b8f1689b5p-9, 0x1.66f6dee601021p-9, 0x1.5ca3505e95a31p-9, 0x1.52964caccfebep-9, 0x1.48ce1cc9368dap-9, 0x1.3f49132347e01p-9, 0x1.36058b7349ae2p-9, 0x1.2d01ea8ea3377p-9, 0x1.243c9e3f40a16p-9, 0x1.1bb41d1c4b8d2p-9, 0x1.1366e663315e8p-9, 0x1.0b5381d1ffc81p-9, 0x1.03787f7eb758ap-9, 0x1.f7a8ef553f6e5p-10, 0x1.e8cc15291d8f9p-10, 0x1.da57c09737ce2p-10, 0x1.cc495108c1756p-10, 0x1.be9e34e5b2a94p-10, 0x1.b153e95304d1p-10, 0x1.a467f9fa1cc38p-10, 0x1.97d800d3c60e2p-10, 0x1.8ba1a5f0d2bfcp-10, 0x1.7fc29f398591ep-10, 0x1.7438b02107df7p-10, 0x1.6901a94d87e96p-10, 0x1.5e1b683a443d1p-10, 0x1.5383d6dbcfaf2p-10, 0x1.4938eb4f9203p-10, 0x1.3f38a79caea19p-10, 0x1.35811987fe572p-10, 0x1.2c105a773e6e1p-10, 0x1.22e48f5a2fc04p-10, 0x1.19fbe88e3668ep-10, 0x1.1154a1b2916eep-10, 0x1.08ed01665b84p-10, 0x1.00c358f11eb7fp-10, 0x1.f1ac07bab60fcp-11, 0x1.e246cf2229f56p-11, 0x1.d353e5e6fa557p-11, 0x1.c4d03c56bce9dp-11, 0x1.b6b8d4f89e12ap-11, 0x1.a90ac47ed3028p-11, 0x1.9bc331d815324p-11, 0x1.8edf563eea346p-11, 0x1.825c7d289083cp-11, 0x1.763803fd3d547p-11, 0x1.6a6f598b6f8b3p-11, 0x1.5efffd401b59dp-11, 0x1.53e77e41a629bp-11, 0x1.49237a92379f4p-11, 0x1.3eb19e5edd1d5p-11, 0x1.348fa3960f897p-11, 0x1.2abb51d8a7249p-11, 0x1.21327ea4956f5p-11, 0x1.17f30d9e2373ap-11, 0x1.0efaf0c8fef11p-11, 0x1.06482887b86f1p-11, 0x1.fbb186a2274fep-12, 0x1.eb55ba4082d53p-12, 0x1.db793d6c0c9b4p-12, 0x1.cc18798fec091p-12, 0x1.bd2fee7b8893bp-12, 0x1.aebc31382ef21p-12, 0x1.a0b9eb691def6p-12, 0x1.9325db49e4089p-12, 0x1.85fcd42e154e1p-12, 0x1.793bbf2e5aa6bp-12, 0x1.6cdf9b93648bp-12, 0x1.60e57ea59df03p-12, 0x1.554a92cec22c2p-12, 0x1.4a0c16497960dp-12, 0x1.3f2759c821e63p-12, 0x1.3499bf6c1e3afp-12, 0x1.2a60ba2b1a81bp-12, 0x1.2079cd87a13dcp-12, 0x1.16e28d6f1ed1fp-12, 0x1.0d989e2cd2ee4p-12, 0x1.0499b47e97c3bp-12, 0x1.f7c72bac6a767p-13, 0x1.e6e8314366853p-13, 0x1.d692486ebb6a5p-13, 0x1.c6c15ffcda4b6p-13, 0x1.b771838caf71dp-13, 0x1.a89ed78f82a64p-13, 0x1.9a45963ad5a7dp-13, 0x1.8c620eac2fb6ap-13, 0x1.7ef0a66a1a5a2p-13, 0x1.71eddc1df5aa9p-13, 0x1.655649d1e13f2p-13, 0x1.5926a5959db77p-13, 0x1.4d5bc0b1c508p-13, 0x1.41f2867e9143p-13, 0x1.36e7fbd477c0fp-13, 0x1.2c393ef001913p-13, 0x1.21e3869d35fa6p-13, 0x1.17e41f817d5a3p-13, 0x1.0e3867943769bp-13, 0x1.04ddc96452787p-13, 0x1.f7a372f9d222ep-14, 0x1.e6236ed34cebbp-14, 0x1.d536a30c55c98p-14, 0x1.c4d8526595d96p-14, 0x1.b503ea543c2e3p-14, 0x1.a5b502a0f3f56p-14, 0x1.96e75aa5554ffp-14, 0x1.8896d7f9bb542p-14, 0x1.7abf87c8cf4eep-14, 0x1.6d5da05ccb121p-14, 0x1.606d7f184356p-14, 0x1.53eba174ba103p-14, 0x1.47d49b7b34c9ep-14, 0x1.3c25100e63204p-14, 0x1.30d9adfdf9905p-14, 0x1.25ef31f38fc09p-14, 0x1.1b626ae85ca8ep-14, 0x1.11303decc40ccp-14, 0x1.0755a6aea40a4p-14, 0x1.fb9f69cf70737p-15, 0x1.e937150b42409p-15, 0x1.d76cbec376184p-15, 0x1.c63b161d6f532p-15, 0x1.b59d1ca207292p-15, 0x1.a58e267d9063fp-15, 0x1.9609c2d3210f3p-15, 0x1.870b9bb330766p-15, 0x1.788f6537c8c9bp-15, 0x1.6a90e456c2b42p-15, 0x1.5d0bffa07632fp-15, 0x1.4ffcc5f404aeap-15, 0x1.435f6590bc259p-15, 0x1.37301d9a5c834p-15, 0x1.2b6b346126e06p-15, 0x1.200cf3302e8a2p-15, 0x1.1511a60ec2a44p-15, 0x1.0a75a5ba910e5p-15, 0x1.003572f36df44p-15, 0x1.ec9bb0ee38c9dp-16, 0x1.d977ee2c8e753p-16, 0x1.c6fa55329d5dp-16, 0x1.b51db5c47014bp-16, 0x1.a3dcc5164bc54p-16, 0x1.93323c79d9365p-16, 0x1.83191ac88c55p-16, 0x1.738cbe644a7edp-16, 0x1.6488c542da3cep-16, 0x1.5608dc6baa3bp-16, 0x1.4808a66dd7e91p-16, 0x1.3a83ba9da427bp-16, 0x1.2d75ab8c20dbcp-16, 0x1.20da0c282e8c6p-16, 0x1.14ac7b91569b8p-16, 0x1.08e8c588eb2fcp-16, 0x1.fb1624158a5fap-17, 0x1.e51ff72dd252dp-17, 0x1.cfe8cf9f50d3cp-17, 0x1.bb6a814f6a319p-17, 0x1.a79eb7447ea42p-17, 0x1.947f4f06a2e17p-17, 0x1.8206b97eec072p-17, 0x1.702fdd7b379a5p-17, 0x1.5ef5b5682f2fbp-17, 0x1.4e532fc5b6ee7p-17, 0x1.3e435172cd905p-17, 0x1.2ec13bfabc24ap-17, 0x1.1fc80a144030dp-17, 0x1.1152c4b49bb28p-17, 0x1.035c8c0a8bab1p-17, 0x1.ebc18dbf04608p-18, 0x1.d1b6570f80e1cp-18, 0x1.b88f5c4c6ad93p-18, 0x1.a044dd2d159aep-18, 0x1.88cf3ad8ec9cfp-18, 0x1.7226ca3439eaap-18, 0x1.5c442d0628c4p-18, 0x1.47210a25e9d89p-18, 0x1.32b80e5186c91p-18, 0x1.1f03f1cf6991cp-18, 0x1.0bfed955e0384p-18, 0x1.f345a2b6c45p-19, 0x1.cfd4b133e40e4p-19, 0x1.ada0792e96885p-19, 0x1.8c9e94b79dc5dp-19, 0x1.6cc47c69e441bp-19, 0x1.4e07d69117145p-19, 0x1.305f071ef9295p-19, 0x1.13c190b56577dp-19, 0x1.f04f8194f25c9p-20, 0x1.bb1387aa67a7p-20, 0x1.87be04dd19e7ap-20, 0x1.563cad475059ep-20, 0x1.267d6b070c214p-20, 0x1.f0e0911f940e9p-21, 0x1.98122081cfd69p-21, 0x1.427b34fd5484fp-21, 0x1.e009854e59bddp-22, 0x1.412aab5bd380ep-22, 0x1.50550818f2128p-23, 0x1.4db9e955919fcp-26, -0x1.e3c2e0b6d0bc6p-24, -0x1.016812b4aa98ep-22, -0x1.84b52c42d9fb6p-22, -0x1.017ffa53bfecbp-21, -0x1.3e3704aecca9p-21, -0x1.78917d133eb8ap-21, -0x1.b09fdbf0ae36fp-21, -0x1.e671464602d69p-21, -0x1.0d0a7c7bf4761p-20, -0x1.25ce112d98bf8p-20, -0x1.3d8cd04564c44p-20, -0x1.5450311967cf5p-20, -0x1.6a20cf49e043ep-20, -0x1.7f053bc0e9a91p-20, -0x1.9302d02c963bap-20, -0x1.a61f72c9a6572p-20, -0x1.b86120f4be999p-20, -0x1.c9cdb494d68d2p-20, -0x1.da6b6f8273aadp-20, -0x1.ea4085bc900f7p-20, -0x1.f952d61f85b9cp-20, -0x1.03d3eaf91e0b3p-19, -0x1.0aa23f24a4745p-19, -0x1.1116bada4a10bp-19, -0x1.1733a76494ce7p-19, -0x1.1cfb518bbfcf5p-19, -0x1.226ff8e275df5p-19, -0x1.2793b24a16429p-19, -0x1.2c68692331276p-19, -0x1.30f01c2800dfbp-19, -0x1.352d145277473p-19, -0x1.3921bdfa7f7a3p-19, -0x1.3cd06a1b0ee8ap-19, -0x1.403afaae3b56p-19, -0x1.4362ce491f914p-19, -0x1.46496e6b15361p-19, -0x1.48f09b0acfe38p-19, -0x1.4b59f7ba10bf8p-19, -0x1.4d871ee71f1c2p-19, -0x1.4f79afe9d93f9p-19, -0x1.5133375f89acap-19, -0x1.52b528c01501ap-19, -0x1.5400eb2042657p-19, -0x1.5517dc6134c1ap-19, -0x1.55fb4f2c90d2ep-19, -0x1.56ac8d20a9c76p-19, -0x1.572cdd0b8113bp-19, -0x1.577d8531c82cap-19, -0x1.579fc1bb7e53fp-19, -0x1.5794b5dc81dcfp-19, -0x1.575d7c5daae84p-19, -0x1.56fb54115b624p-19, -0x1.566f82095c07bp-19, -0x1.55bb25bf3026fp-19, -0x1.54df614d6bc05p-19, -0x1.53dd2d0659268p-19, -0x1.52b5a42e0a237p-19, -0x1.5169c207f022fp-19, -0x1.4ffa692ad5a6dp-19, -0x1.4e68a1780a95ep-19, -0x1.4cb5628ffbc76p-19, -0x1.4ae1930570dc2p-19, -0x1.48ee185d1a72bp-19, -0x1.46dbd93bb5722p-19, -0x1.44abba4a51f33p-19, -0x1.425e9a929ed99p-19, -0x1.3ff550ee00a9ap-19, -0x1.3d70acc8aa178p-19, -0x1.3ad17af35edfdp-19, -0x1.38188ac67e8dap-19, -0x1.3546acf47e13fp-19, -0x1.325caa9e86c4p-19, -0x1.2f5b41fd84df2p-19, -0x1.2c4334d26b321p-19, -0x1.2915418b55ffp-19, -0x1.25d20f3d03bp-19, -0x1.227a6730f2934p-19, -0x1.1f0f17cfa7554p-19, -0x1.1b90d072c83efp-19, -0x1.1800213030a77p-19, -0x1.145dc02cc7e7ap-19, -0x1.10aa5c6c25aecp-19, -0x1.0ce69764bf5afp-19, -0x1.091311d2add25p-19, -0x1.05306c75632d8p-19, -0x1.013f46fd79f96p-19, -0x1.fa807eb56b71p-20, -0x1.f267e2359f95ep-20, -0x1.ea35e8fafcc1dp-20, -0x1.e1ebbb699980cp-20, -0x1.d98a7a91d817fp-20, -0x1.d113442b78724p-20, -0x1.c887372cebd0ep-20, -0x1.bfe773c52011bp-20, -0x1.b735147c3b09fp-20, -0x1.ae71269b7b106p-20, -0x1.a59caf017e518p-20, -0x1.9cb8afa8295d3p-20, -0x1.93c624347cc8ep-20, -0x1.8ac61b84e86b8p-20, -0x1.81b9ac9f5e48ep-20, -0x1.78a1b8872445bp-20, -0x1.6f7f29fe0ef4bp-20, -0x1.6652fd95f14bcp-20, -0x1.5d1e1c2d028bp-20, -0x1.53e169dc19a2ap-20, -0x1.4a9dca5e100a2p-20, -0x1.41541f484a2fcp-20, -0x1.380545921c0c2p-20, -0x1.2eb216692ce94p-20, -0x1.255b67b3e3fdcp-20, -0x1.1c020bb773f8cp-20, -0x1.12a6d08865d89p-20, -0x1.094a7faf9723bp-20, -0x1.ffdbbc9e15daep-21, -0x1.ed235cad0e1a2p-21, -0x1.da6d5fbfca0c8p-21, -0x1.c7bb42568adcbp-21, -0x1.b50e7976ad2b8p-21, -0x1.a2686d7190e45p-21, -0x1.8fca79f80d663p-21, -0x1.7d35f5ec46f93p-21, -0x1.6aac3631a4fcdp-21, -0x1.582e9552d5ab7p-21, -0x1.45be5b18b00d8p-21, -0x1.335cc3ccb62afp-21, -0x1.210b07563ad47p-21, -0x1.0eca5d13b4b8ep-21, -0x1.f937ddddb0cc2p-22, -0x1.d501c32d9ac74p-22, -0x1.b0f4a82c845b1p-22, -0x1.8d12be26d3b65p-22, -0x1.695e29a0fa7f8p-22, -0x1.45d90298b0498p-22, -0x1.2285547d9fecap-22, -0x1.feca3c84d2d6fp-23, -0x1.b8f4a44e4f651p-23, -0x1.738daaf172398p-23, -0x1.2e99003e48a14p-23, -0x1.d43472aaf5974p-24, -0x1.4c29a6e7b4769p-24, -0x1.8a30dbfb10c8cp-25, -0x1.f83b8220f0dfp-27, 0x1.180b6061e5d14p-26, 0x1.94005554506c9p-25, 0x1.4cea8687b0d52p-24, 0x1.cebc17141dac3p-24, 0x1.27b793cd29137p-23, 0x1.677f0e0085a18p-23, 0x1.a6b1ccaf5febbp-23, 0x1.e54d411e465afp-23, 0x1.11a7749417066p-22, 0x1.305a2bab69219p-22, 0x1.4ebd9d8e01eb4p-22, 0x1.6cd0ac32b72fbp-22, 0x1.8a9243a441d0ap-22, 0x1.a8015aa4e6043p-22, 0x1.c51cf28c365c2p-22, 0x1.e1e416c5f4217p-22, 0x1.fe55dc6ba40ccp-22, 0x1.0d38b145d95f5p-21, 0x1.1b1ae93081221p-21, 0x1.28d12fb0880dcp-21, 0x1.365b2383da81p-21, 0x1.43b8684e1f85dp-21, 0x1.50e8a6a95dc95p-21, 0x1.5deb8c01b198cp-21, 0x1.6ac0ca33c2e88p-21, 0x1.7768174c77aedp-21, 0x1.83e12dac2c32cp-21, 0x1.902bcc6251292p-21, 0x1.9c47b79403b7ap-21, 0x1.a834b823525dep-21, 0x1.b3f29a552a16ep-21, 0x1.bf812e9690ee1p-21, 0x1.cae049cdf2c4dp-21, 0x1.d60fc3ce8848fp-21, 0x1.e10f7ad555c4ap-21, 0x1.ebdf4f73e5b9ap-21, 0x1.f67f25e030ea5p-21, 0x1.007773b0fd03ap-20, 0x1.0597403fb2a23p-20, 0x1.0a9ef0b5da6b7p-20, 0x1.0f8e7f05b05e3p-20, 0x1.1465e6f3eef73p-20, 0x1.192526092fc55p-20, 0x1.1dcc3b8b48777p-20, 0x1.225b287167268p-20, 0x1.26d1ef5cf4b74p-20, 0x1.2b30948f86615p-20, 0x1.2f771dec2f7d5p-20, 0x1.33a592eef2f82p-20, 0x1.37bbfca58693ep-20, 0x1.3bba65ac6ebb2p-20, 0x1.3fa0da255b409p-20, 0x1.436f679a8adcp-20, 0x1.47261ced02477p-20, 0x1.4ac50a566bdcbp-20, 0x1.4e4c41678f971p-20, 0x1.51bbd528ac82ap-20, 0x1.5513da63a4333p-20, 0x1.5854673784f55p-20, 0x1.5b7d91dc5044dp-20, 0x1.5e8f7295098b1p-20, 0x1.618a220d0d624p-20, 0x1.646dbb28c4a31p-20, 0x1.673a5a022071cp-20, 0x1.69f01ab63d9a8p-20, 0x1.6c8f1b484281fp-20, 0x1.6f177a95008d1p-20, 0x1.7189587268229p-20, 0x1.73e4d5b8a9a36p-20, 0x1.762a1439d2ad4p-20, 0x1.785936b957c43p-20, 0x1.7a7260e4dfa57p-20, 0x1.7c75b749ab9bap-20, 0x1.7e635f4d9465bp-20, 0x1.803b7f2a3896ap-20, 0x1.81fe3de7ad49dp-20, 0x1.83abc3567d4b2p-20, 0x1.854438088eee8p-20, 0x1.86c7c54da5657p-20, 0x1.883695307a437p-20, 0x1.8990d2761651bp-20, 0x1.8ad6a88a54de3p-20, 0x1.8c0843719aaa6p-20, 0x1.8d25cfb76cb98p-20, 0x1.8e2f7a70241e7p-20, 0x1.8f2571438ee0cp-20, 0x1.9007e27d0e4b2p-20, 0x1.90d6fced0cf55p-20, 0x1.9192efc78addap-20, 0x1.923bead0e3c13p-20, 0x1.92d21e95039f4p-20, 0x1.9355bb2652562p-20, 0x1.93c6f1de3e025p-20, 0x1.9425f442a12b1p-20, 0x1.9472f3d8efbbap-20, 0x1.94ae22e50f368p-20, 0x1.94d7b3d7fc2b4p-20, 0x1.94efd9721803cp-20, 0x1.94f6c6bedbf9fp-20, 0x1.94ecaf0bb5d11p-20, 0x1.94d1c5e8135ccp-20, 0x1.94a63f1e1b623p-20, 0x1.946a4ea793a49p-20, 0x1.941e28ababf67p-20, 0x1.93c20198a66bap-20, 0x1.93560dee9f461p-20, 0x1.92da82557028fp-20, 0x1.924f93979b99bp-20, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.2a8ff9e469d9dp-7, -0x1.4b19a7adb938ep-6, -0x1.1971eee5a4c6dp-5, -0x1.a94232e4ed97cp-5, -0x1.2a13b5eedda25p-4, -0x1.8b7ac785babaap-4, -0x1.f6968ec5b340ep-4, -0x1.346baa97ecb22p-3, -0x1.6fcd58135645fp-3, -0x1.ac2a18250af55p-3, -0x1.e853948796afdp-3, -0x1.119d673d525c4p-2, -0x1.2df9dbce8369ap-2, -0x1.48db1098d9a2bp-2, -0x1.61ee72e341d26p-2, -0x1.78f1f9919855p-2, -0x1.8db2d5c89effep-2, -0x1.a00bf956bad68p-2, -0x1.afe48fdd94a06p-2, -0x1.bd2e7e0d4cd6ep-2, -0x1.c7e4f3300cc0cp-2, -0x1.d00b141cb8036p-2, -0x1.d5aac311c0fd5p-2, -0x1.d8d3858817304p-2, -0x1.d9998769df64cp-2, -0x1.d814ba3fba93dp-2, -0x1.d4600e7851e8cp-2, -0x1.ce98c4b2be4acp-2, -0x1.c6ddd4f21ce5p-2, -0x1.bd4f69ad14f4dp-2, -0x1.b20e6cb6e88f6p-2, -0x1.a53c240a996abp-2, -0x1.96f9dcacd8bb4p-2, -0x1.8768a205f978cp-2, -0x1.76a900479561bp-2, -0x1.64dad0a0ea269p-2, -0x1.521d0e1db8cc1p-2, -0x1.3e8db23d91142p-2, -0x1.2a49985f3d7c4p-2, -0x1.156c67407512ap-2, -0x1.00107fda920d4p-2, -0x1.d49de1fe70f3dp-3, -0x1.a87ede5770f0dp-3, -0x1.7bf0a006823d5p-3, -0x1.4f1d11ea17974p-3, -0x1.222b61ad7975fp-3, -0x1.ea800ea92b508p-4, -0x1.90f9a29b944bbp-4, -0x1.3801e81ce42efp-4, -0x1.bfa46fb5b4501p-5, -0x1.113e0b96c1e7cp-5, -0x1.94c05e09c9dd8p-7, 0x1.10bc0ce6324e4p-7, 0x1.d5231a71c8c14p-6, 0x1.8db2049e22c2ap-5, 0x1.16a967339af7ep-4, 0x1.649ed1ea494fbp-4, 0x1.b0a1ad3fd7ca8p-4, 0x1.fa9d9b84fea64p-4, 0x1.2140b5837432ap-3, 0x1.441f58d450bb8p-3, 0x1.65e4e907bc597p-3, 0x1.868cc7cecbe11p-3, 0x1.a6138cd366c7cp-3, 0x1.c476d4e666914p-3, 0x1.e1b53fbf6f492p-3, 0x1.fdce505484912p-3, 0x1.0c612cfdcd67ap-2, 0x1.19493a7e6d7d2p-2, 0x1.25a02fecd019p-2, 0x1.31673e656d646p-2, 0x1.3c9fdb1ef914ap-2, 0x1.474bbc0118eb6p-2, 0x1.516ccf0eee8abp-2, 0x1.5b05346d309e9p-2, 0x1.641738e8b3d21p-2, 0x1.6ca5505308f97p-2, 0x1.74b2110074038p-2, 0x1.7c402f46c5db9p-2, 0x1.8352796b538ap-2, 0x1.89ebd3c28ca65p-2, 0x1.900f350fc9aeep-2, 0x1.95bfa32d0d65dp-2, 0x1.9b002ff8f2e0bp-2, 0x1.9fd3f68d2659p-2, 0x1.a43e18a5780f7p-2, 0x1.a841bc327531cp-2, 0x1.abe209040d941p-2, 0x1.af22268ed43aep-2, 0x1.b20539d1c2515p-2, 0x1.b48e63608301ep-2, 0x1.b6c0bda38edf9p-2, 0x1.b89f5b48b5663p-2, 0x1.ba2d45e771b5fp-2, 0x1.bb6d7cd25a615p-2, 0x1.bc62f40611feap-2, 0x1.bd109336b9565p-2, 0x1.bd7934ef3d563p-2, 0x1.bd9fa5c30d155p-2, 0x1.bd86a397d28e5p-2, 0x1.bd30dd04029e8p-2, 0x1.bca0f0cab1f8ap-2, 0x1.bbd96d7655b27p-2, 0x1.badcd10e9d4cap-2, 0x1.b9ad88ea8e327p-2, 0x1.b84df19ab85dp-2, 0x1.b6c056e27b2bfp-2, 0x1.b506f3bfb828bp-2, 0x1.b323f27c64e8fp-2, 0x1.b1196cc381fdcp-2, 0x1.aee96bbc84ea4p-2, 0x1.ac95e82c3bc28p-2, 0x1.aa20ca99536aap-2, 0x1.a78beb77e5f4bp-2, 0x1.a4d9135e2cc1dp-2, 0x1.a209fb3fae049p-2, 0x1.9f204cafdfe6p-2, 0x1.9c1da22f556cdp-2, 0x1.9903877cd382cp-2, 0x1.95d379eb0f9b1p-2, 0x1.928ee8bd97e48p-2, 0x1.8f373583b5d4fp-2, 0x1.8bcdb47569452p-2, 0x1.8853acd31d845p-2, 0x1.84ca593f1218fp-2, 0x1.8132e8184e032p-2, 0x1.7d8e7bd715249p-2, 0x1.79de2b614a231p-2, 0x1.7623026099b0ep-2, 0x1.725e019c5a0ccp-2, 0x1.6e901f4b46462p-2, 0x1.6aba476503d97p-2, 0x1.66dd5bfac668cp-2, 0x1.62fa358933058p-2, 0x1.5f11a3456826ap-2, 0x1.5b246b72516fap-2, 0x1.57334bb31b3bep-2, 0x1.533ef953ebfdbp-2, 0x1.4f482197f87cp-2, 0x1.4b4f6a096ea7dp-2, 0x1.475570bf66efap-2, 0x1.435acca26f228p-2, 0x1.3f600db51a778p-2, 0x1.3b65bd579858ep-2, 0x1.376c5e84f843fp-2, 0x1.33746e110f81ep-2, 0x1.2f7e62e72063dp-2, 0x1.2b8aae4389954p-2, 0x1.2799bbe8fe60bp-2, 0x1.23abf25689b46p-2, 0x1.1fc1b2fddbeb2p-2, 0x1.1bdb5a74712bbp-2, 0x1.17f940a193d1p-2, 0x1.141bb8ee2c2dep-2, 0x1.1043127331595p-2, 0x1.0c6f98232d1p-2, 0x1.08a190f34fdf5p-2, 0x1.04d94005578abp-2, 0x1.0116e4cdd9d9dp-2, 0x1.fab5766ff3dfep-3, 0x1.f349f794ea3e3p-3, 0x1.ebebb796aa56bp-3, 0x1.e49b1abe1263fp-3, 0x1.dd587f4e3c7fbp-3, 0x1.d6243dc633675p-3, 0x1.cefea91d843cdp-3, 0x1.c7e80ef7832d2p-3, 0x1.c0e0b7d6890d6p-3, 0x1.b9e8e753da99p-3, 0x1.b300dc5451563p-3, 0x1.ac28d134f5cb5p-3, 0x1.a560fbf4a299cp-3, 0x1.9ea98e6054d05p-3, 0x1.9802b640b4804p-3, 0x1.916c9d83ef42ap-3, 0x1.8ae76a61a1045p-3, 0x1.84733f7bc85b1p-3, 0x1.7e103c0272a06p-3, 0x1.77be7bdae154cp-3, 0x1.717e17c331d46p-3, 0x1.6b4f256d6fc85p-3, 0x1.6531b797f89e2p-3, 0x1.5f25de2c54a95p-3, 0x1.592ba6629ea25p-3, 0x1.53431adeb14a9p-3, 0x1.4d6c43c3c43c2p-3, 0x1.47a726c7a6349p-3, 0x1.41f3c74dda148p-3, 0x1.3c5226863ddddp-3, 0x1.36c2438528ae7p-3, 0x1.31441b5365cffp-3, 0x1.2bd7a8fe0832ep-3, 0x1.267ce5ac26d75p-3, 0x1.2133c8b800e68p-3, 0x1.1bfc47c4a0999p-3, 0x1.16d656cd790c4p-3, 0x1.11c1e83389dd4p-3, 0x1.0cbeecccc1311p-3, 0x1.07cd53f70ae33p-3, 0x1.02ed0bac70659p-3, 0x1.fc3c01283ae95p-4, 0x1.f2c03c1d6f4c4p-4, 0x1.e9669c80e9e2bp-4, 0x1.e02ef43b17bd9p-4, 0x1.d71912f649c51p-4, 0x1.ce24c64306311p-4, 0x1.c551d9b3f6001p-4, 0x1.bca016ee6317p-4, 0x1.b40f45b7d706bp-4, 0x1.ab9f2c0c859e2p-4, 0x1.a34f8e3fd6d0ep-4, 0x1.9b202f1c7031p-4, 0x1.9310cff8c3d06p-4, 0x1.8b2130c123f83p-4, 0x1.83511002af9d2p-4, 0x1.7ba02b00bb0bp-4, 0x1.740e3dd24e48ap-4, 0x1.6c9b037c5f266p-4, 0x1.65463600ddc1ep-4, 0x1.5e0f8e661e30fp-4, 0x1.56f6c4c0ecedcp-4, 0x1.4ffb9047a56bbp-4, 0x1.491da76ac1b6cp-4, 0x1.425cbfe9c9e98p-4, 0x1.3bb88edf7c3b6p-4, 0x1.3530c8c89121ap-4, 0x1.2ec5218cf7b2ap-4, 0x1.28754c8fbc7b2p-4, 0x1.2240fcc287844p-4, 0x1.1c27e4b65d7a1p-4, 0x1.1629b6a60c678p-4, 0x1.1046247ca3d78p-4, 0x1.0a7cdfdd7b125p-4, 0x1.04cd9a30f6f94p-4, 0x1.fe7009683e76ap-5, 0x1.f377a10cad394p-5, 0x1.e8b15d64c5811p-5, 0x1.de1ca06818debp-5, 0x1.d3b8cbfca3bfap-5, 0x1.c985420a4e721p-5, 0x1.bf81649444705p-5, 0x1.b5ac95d1252dcp-5, 0x1.ac06383bf706ep-5, 0x1.a28dae9db1c0dp-5, 0x1.99425c14e4e64p-5, 0x1.9023a421fb47cp-5, 0x1.8730eaba115a8p-5, 0x1.7e69945c9d389p-5, 0x1.75cd062589d18p-5, 0x1.6d5aa5d81aeccp-5, 0x1.6511d9e44142dp-5, 0x1.5cf2096b98628p-5, 0x1.54fa9c4b2651ep-5, 0x1.4d2afb2ab389ep-5, 0x1.45828f8e536e8p-5, 0x1.3e00c3e4e1cc4p-5, 0x1.36a503906cd48p-5, 0x1.2f6ebae98b648p-5, 0x1.285d5741c89ep-5, 0x1.217046e93daacp-5, 0x1.1aa6f938ec86ep-5, 0x1.1400de9fe1debp-5, 0x1.0d7d68af51db5p-5, 0x1.071c0a228cf53p-5, 0x1.00dc36e248284p-5, 0x1.f57ac80affc88p-6, 0x1.e97e0fa65ac87p-6, 0x1.ddc1338e3a57dp-6, 0x1.d2432533c9d19p-6, 0x1.c702d893de8fep-6, 0x1.bbff4445dd341p-6, 0x1.b13761844c743p-6, 0x1.a6aa2c2f724f7p-6, 0x1.9c56a2cd5b181p-6, 0x1.923bc68b7abc6p-6, 0x1.88589b4441434p-6, 0x1.7eac27886b981p-6, 0x1.753574a91c2f9p-6, 0x1.6bf38ebfce181p-6, 0x1.62e584b262361p-6, 0x1.5a0a6833b95f7p-6, 0x1.51614dc3068cp-6, 0x1.48e94cac26cb8p-6, 0x1.40a17f0a3554dp-6, 0x1.388901cbf7c15p-6, 0x1.309ef4b7f95c4p-6, 0x1.28e27a6e7432cp-6, 0x1.2152b8681e44dp-6, 0x1.19eed6f2c30fbp-6, 0x1.12b6012dd06ccp-6, 0x1.0ba76508fd0eep-6, 0x1.04c233464b9cp-6, 0x1.fc0b3efd315f4p-7, 0x1.eee1c04c656e9p-7, 0x1.e2065d1c4d95bp-7, 0x1.d5778dc02ffd2p-7, 0x1.c933d02907428p-7, 0x1.bd39a7cc13f46p-7, 0x1.b1879d8be5f77p-7, 0x1.a61c3fac9b8eap-7, 0x1.9af621d7fb426p-7, 0x1.9013dd300e6ebp-7, 0x1.85741067b16a1p-7, 0x1.7b155fd478869p-7, 0x1.70f6756e1f1c8p-7, 0x1.671600b4e38bp-7, 0x1.5d72b681fc3ep-7, 0x1.540b50ce0876cp-7, 0x1.4ade8e7f11a18p-7, 0x1.41eb334f8c23bp-7, 0x1.393007d7ea29cp-7, 0x1.30abd9b8663c1p-7, 0x1.285d7bd3e79bbp-7, 0x1.2043c68405931p-7, 0x1.185d97ad8212dp-7, 0x1.10a9d2a550f88p-7, 0x1.09275fe55e1acp-7, 0x1.01d52ca1f394cp-7, 0x1.f56454bbe77b1p-8, 0x1.e77a9d3fe30fap-8, 0x1.d9eb25c551a19p-8, 0x1.ccb3e990d8bc2p-8, 0x1.bfd2ed065b85dp-8, 0x1.b3463e9c0b048p-8, 0x1.a70bf798912edp-8, 0x1.9b223c4d5a792p-8, 0x1.8f873ba36f3dep-8, 0x1.84392e083ff62p-8, 0x1.793653fef1a92p-8, 0x1.6e7cf4bdf7805p-8, 0x1.640b5d457a4b5p-8, 0x1.59dfe03b62942p-8, 0x1.4ff8d69d8dce2p-8, 0x1.4654a11772cd7p-8, 0x1.3cf1a990c3a87p-8, 0x1.33ce6471b6418p-8, 0x1.2ae9512b5a9d3p-8, 0x1.2240f9c814981p-8, 0x1.19d3f1920e824p-8, 0x1.11a0d328b4a95p-8, 0x1.09a63e8cef25ap-8, 0x1.01e2d7b3737fp-8, 0x1.f4aa8c0bfa68ap-9, 0x1.e5f869eb6f911p-9, 0x1.d7acaadb2c93ep-9, 0x1.c9c4bf606ab4ap-9, 0x1.bc3e2a1982788p-9, 0x1.af1681c87f13dp-9, 0x1.a24b715a93f0cp-9, 0x1.95dab5e636183p-9, 0x1.89c21b32b0794p-9, 0x1.7dff77c874992p-9, 0x1.7290a9a77c1dep-9, 0x1.67739483319d2p-9, 0x1.5ca621e3ff3ap-9, 0x1.522642ef9f43ap-9, 0x1.47f1f31d708e2p-9, 0x1.3e073ae03dc36p-9, 0x1.346431693c3acp-9, 0x1.2b06fd05fb81ap-9, 0x1.21edd215bf2bdp-9, 0x1.1916f102f1093p-9, 0x1.1080a3f8840dbp-9, 0x1.08293d1ab1ea7p-9, 0x1.000f15d7c2a33p-9, 0x1.f0611efd7065ep-10, 0x1.e1182997c421dp-10, 0x1.d240375dada92p-10, 0x1.c3d64cd1eccaep-10, 0x1.b5d786be3ea44p-10, 0x1.a84116f3c9999p-10, 0x1.9b103effd4864p-10, 0x1.8e424a6563fcfp-10, 0x1.81d48a102ae4p-10, 0x1.75c4525fde034p-10, 0x1.6a0efc9d9e8c5p-10, 0x1.5eb1ebfbd25a9p-10, 0x1.53aa955be9d6bp-10, 0x1.48f688075e5dap-10, 0x1.3e9374b6764f2p-10, 0x1.347f303f01d1cp-10, 0x1.2ab7b0617b856p-10, 0x1.213b0331576bbp-10, 0x1.18074395b96bp-10, 0x1.0f1a8e3c34255p-10, 0x1.0672f99de2366p-10, 0x1.fc1d2410dc58ap-11, 0x1.ebd6b2b3b5d86p-11, 0x1.dc0e942397332p-11, 0x1.ccc0bc35c62fbp-11, 0x1.bde9338313df6p-11, 0x1.af84333382762p-11, 0x1.a18e3ebf2fd9dp-11, 0x1.940430dc558f4p-11, 0x1.86e33477d9898p-11, 0x1.7a28ac027c447p-11, 0x1.6dd21274bd4a8p-11, 0x1.61dce39b2882fp-11, 0x1.564692ba81cc4p-11, 0x1.4b0c8c0a8828fp-11, 0x1.402c36c61b77p-11, 0x1.35a2ef666b2f1p-11, 0x1.2b6dfb3069201p-11, 0x1.218a80bc9b929p-11, 0x1.17f5936a346e7p-11, 0x1.0eac553ca4816p-11, 0x1.05ac2141814abp-11, 0x1.f9e54c8df8ac6p-12, 0x1.e8fbc230bbca2p-12, 0x1.d897f6867f886p-12, 0x1.c8b64e4299043p-12, 0x1.b9532579c6da7p-12, 0x1.aa6aef0fb262ep-12, 0x1.9bfa6a5b1edap-12, 0x1.8dfebab33a1e7p-12, 0x1.807543a903404p-12, 0x1.735b55fbdc5afp-12, 0x1.66add882f652dp-12, 0x1.5a691d7a45a08p-12, 0x1.4e88fe8c661e9p-12, 0x1.430934424920ap-12, 0x1.37e5bbdf494fbp-12, 0x1.2d1b14040d6e1p-12, 0x1.22a62ffd2110ep-12, 0x1.18843620904d2p-12, 0x1.0eb24c23ac879p-12, 0x1.052dabff9e5b2p-12, 0x1.f7e7ec9636f73p-13, 0x1.e606ebc0c5f69p-13, 0x1.d4b624935f95cp-13, 0x1.c3f3e9a5a16bdp-13, 0x1.b3be394d17b2fp-13, 0x1.a41238c7c225fp-13, 0x1.94ec1ac60e9d6p-13, 0x1.8647361522658p-13, 0x1.781e1c5761b18p-13, 0x1.6a6acc2a1f644p-13, 0x1.5d27274898efbp-13, 0x1.504d7fab3903cp-13, 0x1.43d8d5d630172p-13, 0x1.37c4b78c50212p-13, 0x1.2c0d31e17aa19p-13, 0x1.20af2b49b1a4cp-13, 0x1.15a8c5dc1c42ap-13, 0x1.0af933a04abedp-13, 0x1.00a006994d106p-13, 0x1.ed38ffce34971p-14, 0x1.d9da7aad54b62p-14, 0x1.c720be3e6ee11p-14, 0x1.b507da71c425ap-14, 0x1.a38be14d1b22dp-14, 0x1.92a7f73f6fb93p-14, 0x1.8255458b09834p-14, 0x1.728b285bc2051p-14, 0x1.634074f506d35p-14, 0x1.546cb22af99edp-14, 0x1.4608cd2e9cb4cp-14, 0x1.380fa35103653p-14, 0x1.2a7e6f2d7c0fap-14, 0x1.1d546686bfed8p-14, 0x1.10914a8025317p-14, 0x1.04344ac4d673dp-14, 0x1.f0783677470bdp-15, 0x1.d94e10e027c93p-15, 0x1.c2e55376fcb52p-15, 0x1.ad3882b612edbp-15, 0x1.9842cb58a6e67p-15, 0x1.83ffb10a673d6p-15, 0x1.7069fe4a48f5ep-15, 0x1.5d7b9599d476p-15, 0x1.4b2da7358e7ap-15, 0x1.397818ebd0276p-15, 0x1.285063f54a583p-15, 0x1.17aaa60020051p-15, 0x1.077e41af7eeb8p-15, 0x1.ef927d54bfda9p-16, 0x1.d11ad1c45b112p-16, 0x1.b3953e82540bap-16, 0x1.96fc7590e014dp-16, 0x1.7b4d31feb54bp-16, 0x1.60853c3bfa59fp-16, 0x1.469e90f020ee5p-16, 0x1.2d91c98ce5555p-16, 0x1.15579e0c62f8p-16, 0x1.fbccf30540866p-17, 0x1.ce6866443163cp-17, 0x1.a2759dd7d0cb4p-17, 0x1.77f333ba1d431p-17, 0x1.4ee39e0b8849bp-17, 0x1.274429722ce77p-17, 0x1.0104146de89d3p-17, 0x1.b801b1bed85d4p-18, 0x1.7030c2a043a0ep-18, 0x1.2a850d431a475p-18, 0x1.ce1d56f6e0cb7p-19, 0x1.4b9361a354521p-19, 0x1.9aa4389ecbacap-20, 0x1.4d88c4734faa4p-21, -0x1.122bd131f5ac9p-22, -0x1.2792c53b6ef6fp-20, -0x1.01484985bd779p-19, -0x1.6af1267dc1fd2p-19, -0x1.d1031545fdd12p-19, -0x1.19d777e08aa8ap-18, -0x1.49867c0decd28p-18, -0x1.7791132dae9d3p-18, -0x1.a3f3135dbc56ep-18, -0x1.cea5f6d1b91aep-18, -0x1.f7a5692ab244ap-18, -0x1.0f7a2606202bp-17, -0x1.2257255be591ep-17, -0x1.3484eb17bba43p-17, -0x1.4611e782c8df2p-17, -0x1.56f8d6767c378p-17, -0x1.6737e6362e89fp-17, -0x1.76d079f3b2621p-17, -0x1.85c172c84464p-17, -0x1.940c8588e344p-17, -0x1.a1b450c1a6c79p-17, -0x1.aec159611262bp-17, -0x1.bb3ea1c3a2138p-17, -0x1.c73236788cep-17, -0x1.d29e0a3500b51p-17, -0x1.dd8367a9eab34p-17, -0x1.e7e46bddfe483p-17, -0x1.f1c39bc25e9eep-17, -0x1.fb22b2377bb0dp-17, -0x1.0201089de31e6p-16, -0x1.0630bd369b6f7p-16, -0x1.0a1fe6a86a528p-16, -0x1.0dce802df0e8bp-16, -0x1.1142f67617158p-16, -0x1.148568e694a95p-16, -0x1.17940e76dde15p-16, -0x1.1a6df5a68c73dp-16, -0x1.1d14f91af2c89p-16, -0x1.1f8716fb843aap-16, -0x1.21c37b65988f9p-16, -0x1.23cdeb8cbf7d6p-16, -0x1.25aa20fa95323p-16, -0x1.2759561dd78fdp-16, -0x1.28dbce3a3af58p-16, -0x1.2a31e9595086bp-16, -0x1.2b5c4b54e3164p-16, -0x1.2c5bc8cfc778cp-16, -0x1.2d315dd9d0689p-16, -0x1.2dde201124016p-16, -0x1.2e630d27e8fcap-16, -0x1.2ec0d0ae29d16p-16, -0x1.2ef7f9d6416ebp-16, -0x1.2f09095c0aefep-16, -0x1.2ef2d75c57b66p-16, -0x1.2eb5a8bbebde3p-16, -0x1.2e576bbb12461p-16, -0x1.2dd8adbd84b8fp-16, -0x1.2d3a942de385fp-16, -0x1.2c7bab5da7adcp-16, -0x1.2b99af8b26211p-16, -0x1.2a97f7440e1f6p-16, -0x1.2978cc57b9915p-16, -0x1.283c8cfc87b02p-16, -0x1.26e369f9f62c4p-16, -0x1.256dd7301c2f3p-16, -0x1.23dc7202ae183p-16, -0x1.222fe386b97aep-16, -0x1.2068d152e043ep-16, -0x1.1e87dbf19a4c7p-16, -0x1.1c8da865fac09p-16, -0x1.1a7aea5f4efabp-16, -0x1.18505d39775aap-16, -0x1.160ea88feb12cp-16, -0x1.13b6638953f87p-16, -0x1.11483a1a8855ap-16, -0x1.0ec4020b2f7eap-16, -0x1.0c28bb11a82aep-16, -0x1.0979369562147p-16, -0x1.06b7bfd272a66p-16, -0x1.03e420e637ed5p-16, -0x1.00fc016b94bdp-16, -0x1.fc02cc0c5af99p-17, -0x1.f5eba550ac0e4p-17, -0x1.efb301a960ddbp-17, -0x1.e9596f21466ccp-17, -0x1.e2dfd0b4f225dp-17, -0x1.dc472ac21f093p-17, -0x1.d590894dff446p-17, -0x1.cebcf6837a884p-17, -0x1.c7cd75ec80d1p-17, -0x1.c0c301baa0e88p-17, -0x1.b99e8cbac2029p-17, -0x1.b2610ae18bae1p-17, -0x1.ab0b7b616276dp-17, -0x1.a39ee82ab35e3p-17, -0x1.9c1c529cb4b62p-17, -0x1.9484a500def3cp-17, -0x1.8cd8cedca0b98p-17, -0x1.851966dd0afb3p-17, -0x1.7d4646e9f2c2ep-17, -0x1.75613cea32fffp-17, -0x1.6d6d272c8567fp-17, -0x1.6568b177f8a0bp-17, -0x1.5d54419dc79bp-17, -0x1.55320fdaa865fp-17, -0x1.4d02bc903f9edp-17, -0x1.44c6dbd958bb9p-17, -0x1.3c7f2dd4c7dcap-17, -0x1.342c7e6b38ef5p-17, -0x1.2bcf997aa0ef3p-17, -0x1.23694869f5717p-17, -0x1.1afa51dc2d94p-17, -0x1.128379704a096p-17, -0x1.0a057f189fefep-17, -0x1.01811e9012b1cp-17, -0x1.f1ee1f6469eeep-18, -0x1.e0d011906c125p-18, -0x1.cfa98305ac4cbp-18, -0x1.be7be659348fap-18, -0x1.ad48a771b4093p-18, -0x1.9c111da50948ap-18, -0x1.8ad6989821f0cp-18, -0x1.799a5eecd95f4p-18, -0x1.685d43882da5cp-18, -0x1.57213d4349c6p-18, -0x1.45e774ff61089p-18, -0x1.34b0ce906cc12p-18, -0x1.237e9df73e012p-18, -0x1.12527997665ecp-18, -0x1.012d590f0e327p-18, -0x1.e0209dfa5d75p-19, -0x1.bdf8fae8b424cp-19, -0x1.9be608623d92ep-19, -0x1.79e9fb05eaf4cp-19, -0x1.5806fca4fe0fcp-19, -0x1.363f2cac09036p-19, -0x1.1494a069285dcp-19, -0x1.e612c5d63c578p-20, -0x1.a33ee91c358f5p-20, -0x1.60b1945338d46p-20, -0x1.1e6e9a05d67ebp-20, -0x1.b8f373e649994p-21, -0x1.35ad4f74cb06ap-21, -0x1.662430ec97efp-22, -0x1.8947e3aa6a849p-24, 0x1.401c7cf8306ap-23, 0x1.a0ef4111d34ebp-22, 0x1.5021b0a55cac7p-21, 0x1.ceff5148b2099p-21, 0x1.2684e9f409e2dp-20, 0x1.651d8da44d5c4p-20, 0x1.a346fb18edcf8p-20, 0x1.e0fdd32530f84p-20, 0x1.0f1f777b602aap-19, 0x1.2d83e016b7044p-19, 0x1.4baad78333bffp-19, 0x1.69930af4054fbp-19, 0x1.873b2fbd681c3p-19, 0x1.a4a20512a74bp-19, 0x1.c1c653c1d9564p-19, 0x1.dea6ed9bfeecep-19, 0x1.fb42ad789a66cp-19, 0x1.0bcc3b8b4f2b9p-18, 0x1.19d39b890bcc1p-18, 0x1.27b6f178b1fb5p-18, 0x1.3575bc92391e1p-18, 0x1.430f80ad9fbb6p-18, 0x1.5083c619e9d94p-18, 0x1.5dd21909c71f9p-18, 0x1.6afa09242d0b6p-18, 0x1.77fb29c338e2ep-18, 0x1.84d512f74d0c4p-18, 0x1.91876353d8333p-18, 0x1.9e11bd60df05p-18, 0x1.aa73bc812898fp-18, 0x1.b6ad0f5af4da9p-18, 0x1.c2bd71c1cf47ep-18, 0x1.cea47f117664bp-18, 0x1.da61f9ec4d55fp-18, 0x1.e5f59573edc4fp-18, 0x1.f15f0229a6accp-18, 0x1.fc9e09c70100ap-18, 0x1.03d9385d7011ap-17, 0x1.094dfed40841cp-17, 0x1.0ead3d825336cp-17, 0x1.13f6db81d230bp-17, 0x1.192ac1b5f6852p-17, 0x1.1e48dac30e32fp-17, 0x1.23511302a0968p-17, 0x1.2843587e4c845p-17, 0x1.2d1f9ae57a668p-17, 0x1.31e5cb8e0b0c4p-17, 0x1.3695dd72c3b5ep-17, 0x1.3b2fc52cc409bp-17, 0x1.3fb378f5b96cbp-17, 0x1.4420f09f822e2p-17, 0x1.4878256f02e61p-17, 0x1.4cb912073a215p-17, 0x1.50e3b272168ebp-17, 0x1.54f8044c2dd3dp-17, 0x1.58f60731763d1p-17, 0x1.5cddbc4994c3cp-17, 0x1.60af2361c3a82p-17, 0x1.646a3cbba3dd1p-17, 0x1.680f1bab1245cp-17, 0x1.6b9db70bcbdedp-17, 0x1.6f1618e712d8dp-17, 0x1.7278517ad2c67p-17, 0x1.75c46158f4deep-17, 0x1.78fa572800de6p-17, 0x1.7c1a3f9c45ae5p-17, 0x1.7f2427fdf5474p-17, 0x1.82181ed33a36ep-17, 0x1.84f633d31e102p-17, 0x1.87be77d72746fp-17, 0x1.8a70fcd2d90c3p-17, 0x1.8d0dd5c9e6428p-17, 0x1.8f9516ca76661p-17, 0x1.9206d4e8f5559p-17, 0x1.9463263b9829ap-17, 0x1.96aa21d2ea903p-17, 0x1.98dbdfb607c91p-17, 0x1.9af878dc86346p-17, 0x1.9d00072c1cebcp-17, 0x1.9ef2a574e3f3ap-17, 0x1.a0d06f5ff6474p-17, 0x1.a29981667b884p-17, 0x1.a44df8cad8336p-17, 0x1.a5edf39f08b03p-17, 0x1.a77990d51b915p-17, 0x1.a8f0f0604e6f7p-17, 0x1.aa5432c52de65p-17, 0x1.aba3779a70c8fp-17, 0x1.acdee0debd398p-17, 0x1.ae069774dce1dp-17, 0x1.af1ab5103184ap-17, 0x1.b01b623e6ae72p-17, 0x1.b108c4d5b3eecp-17, 0x1.b1e2fea8d6ba2p-17, 0x1.b2aa36e1ca1c2p-17, 0x1.b35e93c073404p-17, 0x1.b4003bfb8110ep-17, 0x1.b48f56dab2128p-17, 0x1.b50c0c29eeb5dp-17, 0x1.b576843439bf2p-17, 0x1.b5cee7c10c604p-17, 0x1.b615600d4703cp-17, 0x1.b64a16c4294dbp-17, 0x1.b66d35fd681d5p-17, 0x1.b67ee836707e8p-17, 0x1.b67f5850e28cdp-17, 0x1.b66eb18c9cb6fp-17, }}, 
      {{0x1.a32dd0cde27dbp-1, 0x1.c369a812b4b84p-1, 0x1.ed5e94b4969d2p-1, 0x1.0d6379b5aaeacp+0, 0x1.23b91419409ffp+0, 0x1.38582ffb00c63p+0, 0x1.4a72a337580fbp+0, 0x1.599c261f1a63p+0, 0x1.65ad3858d77c7p+0, 0x1.6ead7c2299ecbp+0, 0x1.74c3a959ed679p+0, 0x1.7829d544b4ff7p+0, 0x1.7924fce2fa2f2p+0, 0x1.77fefeeec47p+0, 0x1.750267f5bbf7bp+0, 0x1.7077996d48fap+0, 0x1.6aa2f10ae94abp+0, 0x1.63c3ab5ceb722p+0, 0x1.5c134d45f3ed5p+0, 0x1.53c56cddfe83bp+0, 0x1.4b07bc2c31411p+0, 0x1.42023fce3ed3fp+0, 0x1.38d7a17d8a744p+0, 0x1.2fa592d4415ecp+0, 0x1.2685380e73652p+0, 0x1.1d8b95008434dp+0, 0x1.14c9f84fc4b76p+0, 0x1.0c4e625179aa9p+0, 0x1.0423e5efbb9d8p+0, 0x1.f8a6055a11333p-1, 0x1.e9c3eec5c0536p-1, 0x1.dbaa1b7118be2p-1, 0x1.ce5dbd0fd9fecp-1, 0x1.c1e11f1503a29p-1, 0x1.b6341574575cap-1, 0x1.ab545fad5d3bbp-1, 0x1.a13e010eb7e51p-1, 0x1.97eb8f0ff5774p-1, 0x1.8f5676a22328dp-1, 0x1.8777394434418p-1, 0x1.8045a2a243963p-1, 0x1.79b8f771c378p-1, 0x1.73c81e398eba4p-1, 0x1.6e69c29e24d81p-1, 0x1.699473bf7fb4cp-1, 0x1.653ebe32f34e5p-1, 0x1.615f4209e645cp-1, 0x1.5decc55242c23p-1, 0x1.5ade437d60a42p-1, 0x1.582af9f83abe3p-1, 0x1.55ca725498475p-1, 0x1.53b48a493bbdbp-1, 0x1.51e179be68574p-1, 0x1.5049d750be64p-1, 0x1.4ee69b23b5df7p-1, 0x1.4db120e00a614p-1, 0x1.4ca327ecd243bp-1, 0x1.4bb6d3c75487ap-1, 0x1.4ae6aa1551c53p-1, 0x1.4a2d921368bf9p-1, 0x1.4986d0e693d83p-1, 0x1.48ee089b7ee7p-1, 0x1.485f333e843f9p-1, 0x1.47d6a15e1e7eep-1, 0x1.4750f4d5251b2p-1, 0x1.46cb1e3eef8ccp-1, 0x1.464258a6b264cp-1, 0x1.45b42568b1cc5p-1, 0x1.451e4937ffb6fp-1, 0x1.447ec6f33459ep-1, 0x1.43d3dd35c4415p-1, 0x1.431c018b4849dp-1, 0x1.4255dd8367c5p-1, 0x1.41804ae82f795p-1, 0x1.409a50620a53p-1, 0x1.3fa31e587eda8p-1, 0x1.3e9a0bd31cd35p-1, 0x1.3d7e93ae4000fp-1, 0x1.3c5051e111756p-1, 0x1.3b0f00ea2543bp-1, 0x1.39ba7755524a2p-1, 0x1.3852a55eff88ap-1, 0x1.36d792b96716p-1, 0x1.35495c7489662p-1, 0x1.33a83309f8346p-1, 0x1.31f4588485009p-1, 0x1.302e1ec13a918p-1, 0x1.2e55e5c2b2705p-1, 0x1.2c6c1a170dd54p-1, 0x1.2a71335271d84p-1, 0x1.2865b29f8e539p-1, 0x1.264a216bcba66p-1, 0x1.241f102d84585p-1, 0x1.21e515451282p-1, 0x1.1f9ccbf5b7ad3p-1, 0x1.1d46d37170efap-1, 0x1.1ae3cdf6bda91p-1, 0x1.18745ffc70c81p-1, 0x1.15f92f6b407dbp-1, 0x1.1372e2e6c4b61p-1, 0x1.10e22124d2549p-1, 0x1.0e479055c7caep-1, 0x1.0ba3d59e1add7p-1, 0x1.08f7949fb3f32p-1, 0x1.06436f1319933p-1, 0x1.0388046e99e07p-1, 0x1.00c5f198490cep-1, 0x1.fbfba14442366p-2, 0x1.f660711cc8dc8p-2, 0x1.f0bb7a341e305p-2, 0x1.eb0ddd1bb6268p-2, 0x1.e558b32a938d7p-2, 0x1.df9d0e362b37ap-2, 0x1.d9dbf8572dad1p-2, 0x1.d41673bb7801bp-2, 0x1.ce4d7a833128fp-2, 0x1.c881fea8c2696p-2, 0x1.c2b4e9f534913p-2, 0x1.bce71dfd2c8aep-2, 0x1.b719742534ad6p-2, 0x1.b14cbdaf4c8dap-2, 0x1.ab81c3cc51f96p-2, 0x1.a5b947b1af4cdp-2, 0x1.9ff402b4c174p-2, 0x1.9a32a666c5617p-2, 0x1.9475dcb375d08p-2, 0x1.8ebe480416d8ap-2, 0x1.890c83614e142p-2, 0x1.8361229736153p-2, 0x1.7dbcb25e2f474p-2, 0x1.781fb88231bep-2, 0x1.728ab40adc21dp-2, 0x1.6cfe1d68f5acap-2, 0x1.677a66a30f685p-2, 0x1.61fffb8038d8bp-2, 0x1.5c8f41b7b2479p-2, 0x1.572899214a262p-2, 0x1.51cc5be1572b8p-2, 0x1.4c7ade97a527bp-2, 0x1.473470904995p-2, 0x1.41f95bf0792cfp-2, 0x1.3cc9e5e299561p-2, 0x1.37a64ec468dp-2, 0x1.328ed2537d523p-2, 0x1.2d83a7d6f4b9fp-2, 0x1.288502490c459p-2, 0x1.2393108157e6p-2, 0x1.1eadfd5cd8354p-2, 0x1.19d5efe3eb1bdp-2, 0x1.150b0b7039d23p-2, 0x1.104d6fd2ee931p-2, 0x1.0b9d39786981dp-2, 0x1.06fa818a468e5p-2, 0x1.02655e121cf26p-2, 0x1.fbbbc436ec43dp-3, 0x1.f2c83ba5d9b4ap-3, 0x1.e9f03d4a77d91p-3, 0x1.e133debd5f163p-3, 0x1.d89330906221dp-3, 0x1.d00e3e8530addp-3, 0x1.c7a50fc5dcfa9p-3, 0x1.bf57a71c31f29p-3, 0x1.b7260322df412p-3, 0x1.af101e751dfc4p-3, 0x1.a715efe0e9e3fp-3, 0x1.9f376a9721318p-3, 0x1.97747e55cc2efp-3, 0x1.8fcd1790cf4ebp-3, 0x1.88411f9cc3e62p-3, 0x1.80d07cd8e52b8p-3, 0x1.797b12d4c348dp-3, 0x1.7240c272d9817p-3, 0x1.6b216a0b415eep-3, 0x1.641ce58f69596p-3, 0x1.5d330eacbd765p-3, 0x1.5663bceb8bd9cp-3, 0x1.4faec5caa06f3p-3, 0x1.4913fcdb6d4fcp-3, 0x1.429333e0db181p-3, 0x1.3c2c3aece1dcfp-3, 0x1.35dee078b99e1p-3, 0x1.2faaf179ea47ap-3, 0x1.2990397a394b7p-3, 0x1.238e82b2d2f0ep-3, 0x1.1da59624b85a6p-3, 0x1.17d53bab3bd1dp-3, 0x1.121d3a0cc8cbcp-3, 0x1.0c7d570f49436p-3, 0x1.06f5578f0c535p-3, 0x1.0184ff92d0f8ap-3, 0x1.f85824b5ef68dp-4, 0x1.edd4a4de8e48p-4, 0x1.e37f035e24561p-4, 0x1.d956c2c707bdcp-4, 0x1.cf5b64a16d672p-4, 0x1.c58c6986e415dp-4, 0x1.bbe951393f67p-4, 0x1.b2719aba0dca6p-4, 0x1.a924c465c9bccp-4, 0x1.a0024c1113bcdp-4, 0x1.9709af2323101p-4, 0x1.8e3a6aaa4a15ap-4, 0x1.8593fb6c8b71ep-4, 0x1.7d15ddf9a4b58p-4, 0x1.74bf8ec1ef81cp-4, 0x1.6c908a2f0fc49p-4, 0x1.64884cb873d23p-4, 0x1.5ca652f10792ep-4, 0x1.54ea199239c53p-4, 0x1.4d531d8ab496fp-4, 0x1.45e0dc125c71dp-4, 0x1.3e92d2be83075p-4, 0x1.37687f906960dp-4, 0x1.306160fdc141dp-4, 0x1.297cf5f895d78p-4, 0x1.22babdfbb61a2p-4, 0x1.1c1a391b31b16p-4, 0x1.159ae813a039fp-4, 0x1.0f3c4c540712cp-4, 0x1.08fde80390aeap-4, 0x1.02df3e079c8fcp-4, 0x1.f9bfa41b1833dp-5, 0x1.edfe512e4b20dp-5, 0x1.e2798e0b157cbp-5, 0x1.d730674053e68p-5, 0x1.cc21eb31ad5d3p-5, 0x1.c14d2a20c84p-5, 0x1.b6b1363b9b763p-5, 0x1.ac4d23adb0e37p-5, 0x1.a22008af28f1ep-5, 0x1.9828fd8e353d2p-5, 0x1.8e671cb4cdc6ep-5, 0x1.84d982af0fc2bp-5, 0x1.7b7f4e35054e6p-5, 0x1.7257a03661229p-5, 0x1.69619be464e72p-5, 0x1.609c66b7b28e3p-5, 0x1.580728734aa4ap-5, 0x1.4fa10b27b7525p-5, 0x1.47693b38d7053p-5, 0x1.3f5ee765aaea6p-5, 0x1.378140cf432afp-5, 0x1.2fcf7afc5ebb4p-5, 0x1.2848cbd9da8a4p-5, 0x1.20ec6bba5281bp-5, 0x1.19b995579b67bp-5, 0x1.12af85d6c5327p-5, 0x1.0bcd7cccf7271p-5, 0x1.0512bc427f0dcp-5, 0x1.fcfd11654d3ep-6, 0x1.f02052123d80dp-6, 0x1.e38dcd3e8e70bp-6, 0x1.d7441a76da547p-6, 0x1.cb41d6246bad8p-6, 0x1.bf85a1919cc9p-6, 0x1.b40e22eb3bd0ap-6, 0x1.a8da053ca0bd9p-6, 0x1.9de7f8673b9e2p-6, 0x1.9336b11985ef8p-6, 0x1.88c4e8c8788b1p-6, 0x1.7e915dacc0b41p-6, 0x1.749ad2c221c35p-6, 0x1.6ae00fc5d492p-6, 0x1.615fe13154cd3p-6, 0x1.581918313c7f2p-6, 0x1.4f0a8a9a097f1p-6, 0x1.463312dd8ddffp-6, 0x1.3d919002d7946p-6, 0x1.3524e5a086d64p-6, 0x1.2cebfbd80aa8ep-6, 0x1.24e5bf4f8324dp-6, 0x1.1d1121291af6cp-6, 0x1.156d16f7f59fbp-6, 0x1.0df89ab41a0bdp-6, 0x1.06b2aaaeee1f6p-6, 0x1.ff349312665c5p-7, 0x1.f15cfc54f0369p-7, 0x1.e3dca7719b3d6p-7, 0x1.d6b1b31f5750bp-7, 0x1.c9da466adcf32p-7, 0x1.bd54909f3c3ep-7, 0x1.b11ec92daf3f4p-7, 0x1.a5372f96548dep-7, 0x1.999c0b52cc9a3p-7, 0x1.8e4babc1fff24p-7, 0x1.834468133b3b6p-7, 0x1.78849f2f5625bp-7, 0x1.6e0ab79f90e74p-7, 0x1.63d51f73096dcp-7, 0x1.59e24c250d85ap-7, 0x1.5030ba85e381cp-7, 0x1.46beeea70086dp-7, 0x1.3d8b73c96ef9dp-7, 0x1.3494dc4bf9adbp-7, 0x1.2bd9c195d3312p-7, 0x1.2358c3fc04ab5p-7, 0x1.1b108aa1ba16ep-7, 0x1.12ffc35658ddfp-7, 0x1.0b252275a0983p-7, 0x1.037f62ce0c896p-7, 0x1.f81a8b1f357d9p-8, 0x1.e99b24837deap-8, 0x1.db7e2d7871493p-8, 0x1.cdc14e38767cp-8, 0x1.c0623b6059f1ap-8, 0x1.b35eb5addadadp-8, 0x1.a6b489a926764p-8, 0x1.9a618f45b378ap-8, 0x1.8e63a98cd371bp-8, 0x1.82b8c6630e0c5p-8, 0x1.775ede715e867p-8, 0x1.6c53f52f06f39p-8, 0x1.619618fc0ab7ep-8, 0x1.572363339b354p-8, 0x1.4cf9f81d964b8p-8, 0x1.431806b00c5fcp-8, 0x1.397bc820fb843p-8, 0x1.30237f5a7cdc5p-8, 0x1.270d787055815p-8, 0x1.1e3808396835fp-8, 0x1.15a18c26d4299p-8, 0x1.0d486a5edb88dp-8, 0x1.052b120bd3b4cp-8, 0x1.fa8ff774de4b9p-9, 0x1.eb3b53361c521p-9, 0x1.dc554efeae046p-9, 0x1.cddb1500fe808p-9, 0x1.bfc9e0ae6961ap-9, 0x1.b21efd122c785p-9, 0x1.a4d7c340da753p-9, 0x1.97f199482fb83p-9, 0x1.8b69f1e93b065p-9, 0x1.7f3e4d289bad6p-9, 0x1.736c397daf6c9p-9, 0x1.67f155339e622p-9, 0x1.5ccb4f784afaep-9, 0x1.51f7e8aa60fb9p-9, 0x1.4774f1af86819p-9, 0x1.3d404a6554cd8p-9, 0x1.3357df8aaaec1p-9, 0x1.29b9a8aa6e499p-9, 0x1.2063a6958ee62p-9, 0x1.1753e2d095aebp-9, 0x1.0e887011ea336p-9, 0x1.05ff6b9a12c7bp-9, 0x1.fb6dfddd6d70ap-10, 0x1.eb5ac2c7d8491p-10, 0x1.dbc1b1df40a0cp-10, 0x1.cc9f73f36f516p-10, 0x1.bdf0cc56fee44p-10, 0x1.afb29517ce187p-10, 0x1.a1e1bad414f4p-10, 0x1.947b394789deep-10, 0x1.877c196a6a58fp-10, 0x1.7ae1717887cb7p-10, 0x1.6ea8669a24d83p-10, 0x1.62ce2f6fdf3d5p-10, 0x1.57501689d419ep-10, 0x1.4c2b7befc90b8p-10, 0x1.415dd53f9c89p-10, 0x1.36e4ac61cf4fap-10, 0x1.2cbd9d42d9ca6p-10, 0x1.22e6534b08336p-10, 0x1.195c875cf560dp-10, 0x1.101dfeedf8c32p-10, 0x1.07288c662d4bp-10, 0x1.fcf420f21c9f9p-11, 0x1.ec20f77d9d8f8p-11, 0x1.dbd39f67ee857p-11, 0x1.cc083cfced7bfp-11, 0x1.bcbb12a65d96dp-11, 0x1.ade87bbccd8b1p-11, 0x1.9f8ce6d4bd70dp-11, 0x1.91a4d1237c7efp-11, 0x1.842cc44a0b761p-11, 0x1.772157515d4bp-11, 0x1.6a7f32f8d5efep-11, 0x1.5e43189c38a4p-11, 0x1.5269e9f6d181ap-11, 0x1.46f0af49a21ddp-11, 0x1.3bd499773dbf3p-11, 0x1.3112feb7999b9p-11, 0x1.26a952660681fp-11, 0x1.1c951a3c9e172p-11, 0x1.12d3e40deba74p-11, 0x1.09633e5d5a227p-11, 0x1.0040b4adcfd29p-11, 0x1.eed39e80de5b9p-12, 0x1.ddb82be2d6f9ep-12, 0x1.cd2a2d00e2f9p-12, 0x1.bd24dd1d396b3p-12, 0x1.ada3b0131b4fbp-12, 0x1.9ea268b5b26dcp-12, 0x1.901d231dbaaf7p-12, 0x1.82104cdcf6cf2p-12, 0x1.74788d9bdd7f8p-12, 0x1.6752aa9c01e47p-12, 0x1.5a9b71393259fp-12, 0x1.4e4fae7ca0546p-12, 0x1.426c306bba584p-12, 0x1.36edc7f34435fp-12, 0x1.2bd14421fc219p-12, 0x1.211367e0250efp-12, 0x1.16b0e45bc8014p-12, 0x1.0ca6640874b06p-12, 0x1.02f0a8a9a841bp-12, 0x1.f3195f8add0acp-13, 0x1.e0ef90a417363p-13, 0x1.cf5f17242bdc6p-13, 0x1.be637cbf4c095p-13, 0x1.adf862163814ep-13, 0x1.9e1967fbba60ep-13, 0x1.8ec24b7214cd6p-13, 0x1.7fef148064eeep-13, 0x1.719c2a59474a9p-13, 0x1.63c6342607676p-13, 0x1.5669d1c8e831cp-13, 0x1.498352541bb1bp-13, 0x1.3d0e91a16584ep-13, 0x1.310712a55737dp-13, 0x1.25684b5483aecp-13, 0x1.1a2dfa7d72444p-13, 0x1.0f545821540c7p-13, 0x1.04d8066d0794ap-13, 0x1.f56badb74db39p-14, 0x1.e1d53b54cb741p-14, 0x1.cee6897569625p-14, 0x1.bc9a2553cb89ep-14, 0x1.aaebc8a054b22p-14, 0x1.99d840ea02873p-14, 0x1.895cd402d527cp-14, 0x1.797689777ccdep-14, 0x1.6a21bc5c988a6p-14, 0x1.5b5a090f4729bp-14, 0x1.4d1a637f3a2c3p-14, 0x1.3f5d2c829c124p-14, 0x1.321c5c5d48a68p-14, 0x1.2551e38d9c28ep-14, 0x1.18f81c3d56fe7p-14, 0x1.0d09f93f0e134p-14, 0x1.0182e73b0407p-14, 0x1.ecbd818b2447fp-15, 0x1.d73434a5088edp-15, 0x1.c2652962ede54p-15, 0x1.ae4d71ba7ca23p-15, 0x1.9aeaca7e6e79cp-15, 0x1.883a74308f57ep-15, 0x1.7638ab79b7e2dp-15, 0x1.64e0ebb23d932p-15, 0x1.542e98e65e0e7p-15, 0x1.441d28e1faadp-15, 0x1.34a75d4047f4p-15, 0x1.25c667a1cae82p-15, 0x1.17721213ab5f9p-15, 0x1.09a1cb2585e87p-15, 0x1.f89b472a33cecp-16, 0x1.deddb9c8a25c7p-16, 0x1.c600a498efe2dp-16, 0x1.adfd96ef205d8p-16, 0x1.96d158b6c62a7p-16, 0x1.8079a0583d04ap-16, 0x1.6af34bf4085a9p-16, 0x1.563a7e922d192p-16, 0x1.424abdbf75f33p-16, 0x1.2f1e7c7462a9ap-16, 0x1.1cafbc16e2b18p-16, 0x1.0af918d33e07ep-16, 0x1.f3eb02a83c3fap-17, 0x1.d33eaec229e65p-17, 0x1.b3e091b7204ccp-17, 0x1.95c2fe16fdee4p-17, 0x1.78d65dda404cfp-17, 0x1.5d077ab40fedp-17, 0x1.42413727593a6p-17, 0x1.2873c9845056ap-17, 0x1.0f99e4177f162p-17, 0x1.ef682ca8f0972p-18, 0x1.c17fd9e3e0e97p-18, 0x1.956e30fe07eb8p-18, 0x1.6b29e31587b12p-18, 0x1.42ab574ec2075p-18, 0x1.1be532c5fb56ep-18, 0x1.ed90565db0136p-19, 0x1.a68aa37a3a9dcp-19, 0x1.62947c6a21746p-19, 0x1.21876eee2aa49p-19, 0x1.c6944a19a8c45p-20, 0x1.4fa7869fdc185p-20, 0x1.bc85ccd89753bp-21, 0x1.c943fcdec5527p-22, 0x1.7234adafcb979p-25, -0x1.59c39cb61e7ep-22, -0x1.68538cada3f1dp-21, -0x1.0dbc13fb312e7p-20, -0x1.6319c4aeb6af3p-20, -0x1.b4538f6775c83p-20, -0x1.00c3c38c1ee4cp-19, -0x1.255c74f40ce32p-19, -0x1.47fc3f24063d4p-19, -0x1.68b5bca94dedcp-19, -0x1.87990fd7f2344p-19, -0x1.a4bc5e2eebee9p-19, -0x1.c03bdcbc91548p-19, -0x1.da2e3bd6ce216p-19, -0x1.f2a0b19cc8fd9p-19, -0x1.04cc80982c95cp-18, -0x1.0f8be836b063dp-18, -0x1.198dfb988ec6ap-18, -0x1.22d2f87aaf8dcp-18, -0x1.2b5dcb4f18e65p-18, -0x1.333aa027af768p-18, -0x1.3a7f8dc667d69p-18, -0x1.4138f371380c3p-18, -0x1.47646ddcd2de2p-18, -0x1.4d022c8ecce36p-18, -0x1.5214afbc1efa7p-18, -0x1.569c97c61d314p-18, -0x1.5a9c9fbfee943p-18, -0x1.5e181bfc0d071p-18, -0x1.6116bb6559bdcp-18, -0x1.63a202227b457p-18, -0x1.65bfb72af2593p-18, -0x1.67728795c9b32p-18, -0x1.68bc99d48ef23p-18, -0x1.69a0a8b6ba2aap-18, -0x1.6a21b3fc110bap-18, -0x1.6a421c5608885p-18, -0x1.6a033a081b536p-18, -0x1.6965e873e5947p-18, -0x1.686a57c5de417p-18, -0x1.671183a53238ap-18, -0x1.6565ee29f9e97p-18, -0x1.63748e38d9ad1p-18, -0x1.613b9dbe63223p-18, -0x1.5eba92e98a6aap-18, -0x1.5bf506e04e696p-18, -0x1.58e8d1fa2e524p-18, -0x1.559584ae0763dp-18, -0x1.52017b4aea20ep-18, -0x1.4e32fab058c27p-18, -0x1.4a2c8dbc6d537p-18, -0x1.45ef4ad36b626p-18, -0x1.417c6da12cc1ep-18, -0x1.3cd5904563ba1p-18, -0x1.37fc8f4af1a69p-18, -0x1.32f37c6527296p-18, -0x1.2dbc8a6cce8efp-18, -0x1.2859c397cb3e5p-18, -0x1.22ccb1cdfeb5cp-18, -0x1.1d16af36ecc6ep-18, -0x1.1738fea818285p-18, -0x1.11326692d9e4ep-18, -0x1.0b03c30ad92a1p-18, -0x1.04b65ff7ac1bdp-18, -0x1.fc96ff6d630f7p-19, -0x1.ef8a91d4b4067p-19, -0x1.e243e47607417p-19, -0x1.d4bce3933e8cap-19, -0x1.c7004ea296f45p-19, -0x1.b915b4a1488bep-19, -0x1.aafed62233f55p-19, -0x1.9cbce3ce06e78p-19, -0x1.8e51d14df40e1p-19, -0x1.7fc0083db4a07p-19, -0x1.710a0d9f12b71p-19, -0x1.6232532657bddp-19, -0x1.533b3269c2a03p-19, -0x1.44270b3827005p-19, -0x1.34f8651565dd7p-19, -0x1.25b1dae9220cdp-19, -0x1.1655c4d3145ecp-19, -0x1.06e63fbd8cd01p-19, -0x1.eecb4477830c2p-20, -0x1.cfa7488f5cc3ap-20, -0x1.b05aafbe4fb1fp-20, -0x1.90f755b5fa5bbp-20, -0x1.718bef3f1379ep-20, -0x1.5217841443602p-20, -0x1.328b74d37b42dp-20, -0x1.12f491216859p-20, -0x1.e6b90e04a6461p-21, -0x1.a7899e01c5f4cp-21, -0x1.685e5241ac79bp-21, -0x1.293cb06ee45ffp-21, -0x1.d45600a2f0e9bp-22, -0x1.565f5283d66p-22, -0x1.b143d36d2954cp-23, -0x1.6ca7724c38277p-24, 0x1.0feb16b96bf81p-25, 0x1.3d91db808425ep-23, 0x1.1b2df0882171fp-22, 0x1.972117a71af53p-22, 0x1.094b47cae97c3p-21, 0x1.46c1881747317p-21, 0x1.83ee583fe0d73p-21, 0x1.c0ccb701dfa4ap-21, 0x1.fd5a1e71e97f5p-21, 0x1.1ccc8e80eb3e9p-20, 0x1.3abf66b151897p-20, 0x1.587c7a0078b1p-20, 0x1.760937fa7a35cp-20, 0x1.93653c16ed1f4p-20, 0x1.b089a6db70d56p-20, 0x1.cd7534c8c145bp-20, 0x1.ea26dbbc32938p-20, 0x1.034e7dcd6b478p-19, 0x1.116ae75478b22p-19, 0x1.1f67c9a918febp-19, 0x1.2d444a5cd6d49p-19, 0x1.3aff95e992e86p-19, 0x1.4898e0345452p-19, 0x1.560f65e55b2c7p-19, 0x1.63626da51e1ebp-19, 0x1.7091476a1b04ep-19, 0x1.7d9b478a8a9a8p-19, 0x1.8a7fc03317fd3p-19, 0x1.973e00b4e0073p-19, 0x1.a3d55fb621e72p-19, 0x1.b04549cf6b171p-19, 0x1.bc8d34c7bb694p-19, 0x1.c8aca1c395d38p-19, 0x1.d4a38a5f041acp-19, 0x1.e070b3c13404ep-19, 0x1.ec13bf1b0ea23p-19, 0x1.f78c92f2d4fdp-19, 0x1.016d53b60986bp-18, 0x1.06fe92b1007d5p-18, 0x1.0c79f0440a64cp-18, 0x1.11df48a1c5039p-18, 0x1.172e6f6f00c7ap-18, 0x1.1c67394aa954p-18, 0x1.21897d7b659a6p-18, 0x1.269515e6af16cp-18, 0x1.2b89deee5df61p-18, 0x1.3067b754904c2p-18, 0x1.352e80442f677p-18, 0x1.39de1d72fe35ap-18, 0x1.3e76755a90917p-18, 0x1.42f7713a4d2cdp-18, 0x1.4760fc6441bc9p-18, 0x1.4bb3032030797p-18, 0x1.4fed725d689dp-18, 0x1.541038e716cfap-18, 0x1.581b4a39304dfp-18, 0x1.5c0e9eb86c91fp-18, 0x1.5fea28f8c6b8dp-18, 0x1.63adebbf0e31ap-18, 0x1.6759da72415f6p-18, 0x1.6aedf28778834p-18, 0x1.6e6a43abd7a4ep-18, 0x1.71cebcf37e28ap-18, 0x1.751b543f681aap-18, 0x1.785016ff8c093p-18, 0x1.7b6d100e7219bp-18, 0x1.7e7246abca6a5p-18, 0x1.815fc36541c1dp-18, 0x1.843590a3b035ap-18, 0x1.86f3ba87fb8b9p-18, 0x1.899a4ec87b99fp-18, 0x1.8c295ca05f2b9p-18, 0x1.8ea0f4c4bd91bp-18, 0x1.9101296216c5p-18, 0x1.934a0e1a4fc11p-18, 0x1.957bb80db4a56p-18, 0x1.97963dea24538p-18, 0x1.9999b7cd6ac03p-18, 0x1.9b863ee41cb9p-18, 0x1.9d5bed1edc06p-18, 0x1.9f1add599487fp-18, 0x1.a0c32c066707dp-18, 0x1.a254f85d41624p-18, 0x1.a3d062b20eaa3p-18, 0x1.a535851bc249bp-18, 0x1.a68484c3533adp-18, 0x1.a7bd8dfcca38bp-18, 0x1.a8e0b664c2e71p-18, 0x1.a9ee2b9b87f1p-18, 0x1.aae60f8e4e34ep-18, 0x1.abc8813d2b9f1p-18, 0x1.ac95ae5af4475p-18, 0x1.ad4dbfa8e89cap-18, 0x1.adf0ddd6dc669p-18, 0x1.ae7f328f4ebf7p-18, 0x1.aef8e8687130dp-18, 0x1.af5e2acae010ep-18, 0x1.afaf25e49dfdp-18, 0x1.afec069d01723p-18, 0x1.b014fa8da4715p-18, 0x1.b02a2ffbe7b6ap-18, 0x1.b02bd5d6a5df1p-18, 0x1.b01a1baf76ecap-18, 0x1.aff531bb3089bp-18, 0x1.afbd48d339dbcp-18, 0x1.af7292644fdcp-18, 0x1.af15404bac52dp-18, 0x1.aea584c02593ap-18, 0x1.ae23925da25e5p-18, 0x1.ad8f9c5a1dc66p-18, 0x1.ace9d6f5fd62bp-18, 0x1.ac327700b1e1cp-18, 0x1.ab69aeae1f947p-18, 0x1.aa8faf8cf1467p-18, 0x1.a9a4bed77312fp-18, 0x1.a8a901b9160f4p-18, 0x1.a79cb124889c6p-18, 0x1.a6800b5d0e38dp-18, 0x1.a5533d27fe43dp-18, 0x1.a4168111aad74p-18, 0x1.a2ca0e7e8fe42p-18, 0x1.a16e1c7368845p-18, 0x1.a002e238e8933p-18, 0x1.9e88975051287p-18, 0x1.9cff7367d6aafp-18, 0x1.9b67ae521f3c3p-18, 0x1.99c1800124b69p-18, 0x1.980d2080e5abap-18, 0x1.964ac7f1403aep-18, 0x1.947aae841e8f5p-18, 0x1.929d0c78bee6p-18, 0x1.90b21a184910cp-18, 0x1.8eba0fb179598p-18, 0x1.8cb52597cd3c9p-18, 0x1.8aa39421461e8p-18, 0x1.88859398248d8p-18, 0x1.865b5c3743411p-18, 0x1.8425262290dbbp-18, 0x1.81e32967e40e1p-18, 0x1.7f959e19a200cp-18, 0x1.7d3cbc62f8f6bp-18, 0x1.7ad8bc2d376aap-18, 0x1.7869d3e329513p-18, 0x1.75f03b343aa4fp-18, 0x1.736c2eccd3196p-18, 0x1.70ddde2038a54p-18, 0x1.6e45842d83033p-18, 0x1.6ba358ecec98cp-18, 0x1.68f790870a568p-18, 0x1.664262b486dffp-18, 0x1.638405c7e1dd1p-18, 0x1.60bcafcac7a49p-18, 0x1.5dec969274cc4p-18, 0x1.5b13efb6eb5ecp-18, 0x1.5832f08feaa6ep-18, 0x1.5549ce372793dp-18, 0x1.5258bd7f5c2c4p-18, 0x1.4f5ff2ee6de98p-18, 0x1.4c5fa2c9c99f1p-18, 0x1.4958010448bbfp-18, 0x1.464941429a941p-18, 0x1.433396d8d98bdp-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.b25012fd563f4p-1, -0x1.b2368795c311cp-1, -0x1.b20afed42894p-1, -0x1.b1cc17a4647d5p-1, -0x1.b177fe87d2f1cp-1, -0x1.b10c820d53d11p-1, -0x1.b087280c026c5p-1, -0x1.afe54272f8f8ep-1, -0x1.af2402e7a6aa8p-1, -0x1.ae408cb7e973dp-1, -0x1.ad3804dbf847ep-1, -0x1.ac079feb72653p-1, -0x1.aaacae0468d2dp-1, -0x1.a924a4b60a968p-1, -0x1.a76d270cf65f1p-1, -0x1.a5840be6b6f81p-1, -0x1.a36762b612b05p-1, -0x1.a11576e34a613p-1, -0x1.9e8cd1f336256p-1, -0x1.9bcc3c9e99a03p-1, -0x1.98d2bf00be218p-1, -0x1.959fa00183938p-1, -0x1.9232641bef70dp-1, -0x1.8e8acb9f070d3p-1, -0x1.8aa8d08380648p-1, -0x1.868ca3edb3c21p-1, -0x1.8236ab703df14p-1, -0x1.7da77e2100572p-1, -0x1.78dfe18f9d3cap-1, -0x1.73e0c6aa44bf4p-1, -0x1.6eab469b8f686p-1, -0x1.69409faa536bep-1, -0x1.63a23222be6dep-1, -0x1.5dd17d4e94612p-1, -0x1.57d01c813f531p-1, -0x1.519fc43b4cd51p-1, -0x1.4b423f6811aa8p-1, -0x1.44b96cb76cd85p-1, -0x1.3e073c1502746p-1, -0x1.372dac3dc0df7p-1, -0x1.302ec87415913p-1, -0x1.290ca652ddc6cp-1, -0x1.21c963beda58p-1, -0x1.1a6724f633403p-1, -0x1.12e812bd6bdd6p-1, -0x1.0b4e58a90ddc4p-1, -0x1.039c23832cb73p-1, -0x1.f7a73f97c0c2ap-2, -0x1.e7edf0a77db35p-2, -0x1.d810a9deb930ep-2, -0x1.c813b285aa635p-2, -0x1.b7fb4748be22ap-2, -0x1.a7cb9829d8a8bp-2, -0x1.9788c69bca9f9p-2, -0x1.8736e3c6057d9p-2, -0x1.76d9eeeebec07p-2, -0x1.6675d409aef42p-2, -0x1.560e6a69ab0a9p-2, -0x1.45a77393649d7p-2, -0x1.35449a2faca3ap-2, -0x1.24e9711ba31cfp-2, -0x1.1499729543795p-2, -0x1.0457ff82d9388p-2, -0x1.e850bda7d402p-3, -0x1.c81b79f46c6e6p-3, -0x1.a81656f2ea268p-3, -0x1.88474119172f3p-3, -0x1.68b3edbdf72e2p-3, -0x1.4961dab2b403ap-3, -0x1.2a564dff56294p-3, -0x1.0b9655c0ffe54p-3, -0x1.da4d904f452e2p-4, -0x1.9e188722143efp-4, -0x1.62965d7eac673p-4, -0x1.27cf7251f2aep-4, -0x1.db976d81a0d8bp-5, -0x1.69255e470ae37p-5, -0x1.f0add0a63745p-6, -0x1.1272d08ba5eb3p-6, -0x1.bd968d77abdbfp-9, 0x1.3ef5684525486p-7, 0x1.72ffe02063b79p-6, 0x1.216430c0156a6p-5, 0x1.8760b808d73c7p-5, 0x1.eb6ce2434d186p-5, 0x1.26c0641bd8e26p-4, 0x1.56ca9d7d806adp-4, 0x1.85d1dfd7ac46bp-4, 0x1.b3d34595a4e13p-4, 0x1.e0cc3ec5e6f03p-4, 0x1.065d476d128cp-3, 0x1.1bce253000a83p-3, 0x1.30b7ea5a00ccbp-3, 0x1.4519eed8193f3p-3, 0x1.58f3afabee15bp-3, 0x1.6c44cdc0c35e9p-3, 0x1.7f0d0cc0453b8p-3, 0x1.914c51e7973b5p-3, 0x1.a302a2dd4b0a7p-3, 0x1.b43024889209bp-3, 0x1.c4d519ea465dbp-3, 0x1.d4f1e2f80e507p-3, 0x1.e486fb7a1fb7fp-3, 0x1.f394f9ebdacd7p-3, 0x1.010e472fd5a43p-2, 0x1.080f40b334e64p-2, 0x1.0ecdd97d4436fp-2, 0x1.154a8cb7a30e6p-2, 0x1.1b85e0321578p-2, 0x1.218063de74baap-2, 0x1.273ab14ef8c66p-2, 0x1.2cb56b36e0206p-2, 0x1.31f13ced90aeep-2, 0x1.36eed9f43e284p-2, 0x1.3baefd7e22744p-2, 0x1.403269fb56f3ap-2, 0x1.4479e8a653f63p-2, 0x1.48864914200b3p-2, 0x1.4c5860c737877p-2, 0x1.4ff10ac52b61p-2, 0x1.5351272f01ecep-2, 0x1.56799adc52e76p-2, 0x1.596b4ef928e4p-2, 0x1.5c2730a69e076p-2, 0x1.5eae309e39c3p-2, 0x1.610142d809dafp-2, 0x1.63215e33724fcp-2, 0x1.650f7c22b49d7p-2, 0x1.66cc9859203bfp-2, 0x1.6859b07bf1383p-2, 0x1.69b7c3d5cfb3dp-2, 0x1.6ae7d30ce69e9p-2, 0x1.6beadfdb96801p-2, 0x1.6cc1eccbaa5e8p-2, 0x1.6d6dfcf4155c4p-2, 0x1.6df013b929a65p-2, 0x1.6e49348f3b837p-2, 0x1.6e7a62bfb0825p-2, 0x1.6e84a130668d4p-2, 0x1.6e68f22d6f5d5p-2, 0x1.6e285735138ccp-2, 0x1.6dc3d0c611684p-2, 0x1.6d3c5e300d61ap-2, 0x1.6c92fd662a76ep-2, 0x1.6bc8aad3bd5c5p-2, 0x1.6ade61330e88dp-2, 0x1.69d5196623abcp-2, 0x1.68adca5180451p-2, 0x1.676968b8d2d2bp-2, 0x1.6608e71d886a2p-2, 0x1.648d359f31a26p-2, 0x1.62f741ddb70bfp-2, 0x1.6147f6dd48fb1p-2, 0x1.5f803cec06afdp-2, 0x1.5da0f9894bb45p-2, 0x1.5bab0f4e9d493p-2, 0x1.599f5dda24f6ap-2, 0x1.577ec1bab59f1p-2, 0x1.554a145d490a4p-2, 0x1.53022bfbf2d6p-2, 0x1.50a7db8e302a1p-2, 0x1.4e3bf2ba9a58ap-2, 0x1.4bbf3dc9e43a4p-2, 0x1.4932859b1ec0ep-2, 0x1.46968f9936aecp-2, 0x1.43ec1db1a3f7bp-2, 0x1.4133ee4c3eecp-2, 0x1.3e6ebc44302f3p-2, 0x1.3b9d3ee1f5c25p-2, 0x1.38c029d66c6b4p-2, 0x1.35d82d36dad61p-2, 0x1.32e5f579f2902p-2, 0x1.2fea2b75b8595p-2, 0x1.2ce5745e566fap-2, 0x1.29d871c5c2d66p-2, 0x1.26c3c19c3aec6p-2, 0x1.23a7fe3183289p-2, 0x1.2085be36ecc0bp-2, 0x1.1d5d94c20ec04p-2, 0x1.1a301150305d5p-2, 0x1.16fdbfca5b4f3p-2, 0x1.13c7288a0dca7p-2, 0x1.108cd05e86dcap-2, 0x1.0d4f3892a065ep-2, 0x1.0a0edef33720cp-2, 0x1.06cc3dd610732p-2, 0x1.0387cc2143bfbp-2, 0x1.0041fd5310586p-2, 0x1.f9f683144ffc5p-3, 0x1.f3680b1cc0943p-3, 0x1.ecd965b388cffp-3, 0x1.e64b5f440f255p-3, 0x1.dfbebdc48d758p-3, 0x1.d93440ca40c15p-3, 0x1.d2aca19e2f474p-3, 0x1.cc2893526e2d4p-3, 0x1.c5a8c2d7f4c77p-3, 0x1.bf2dd714df956p-3, 0x1.b8b870fb22f52p-3, 0x1.b2492b9f9cd59p-3, 0x1.abe09c51872a9p-3, 0x1.a57f52b235258p-3, 0x1.9f25d8cd1cf46p-3, 0x1.98d4b3301ff4ep-3, 0x1.928c61040cf4fp-3, 0x1.8c4d5c254f5p-3, 0x1.8618193ccbc92p-3, 0x1.7fed07d8db4dap-3, 0x1.79cc928662be5p-3, 0x1.73b71ee9fd31ep-3, 0x1.6dad0dd936ed5p-3, 0x1.67aebb73ce84ep-3, 0x1.61bc7f3cf43aap-3, 0x1.5bd6ac348c004p-3, 0x1.55fd90f06328fp-3, 0x1.503177b552c09p-3, 0x1.4a72a6905ada3p-3, 0x1.44c15f6f9648bp-3, 0x1.3f1de03b1e82ep-3, 0x1.398862edc710ep-3, 0x1.34011dadb94f2p-3, 0x1.2e8842e4de0e2p-3, 0x1.291e01592787ep-3, 0x1.23c28444a147p-3, 0x1.1e75f36d508edp-3, 0x1.1938733cdb96p-3, 0x1.140a24d7fcdc2p-3, 0x1.0eeb2635b567bp-3, 0x1.09db92363decdp-3, 0x1.04db80b9c089bp-3, 0x1.ffd60d6d84ef2p-4, 0x1.f6146ca0a91ep-4, 0x1.ec723dd7deb64p-4, 0x1.e2ef9a8e2333ap-4, 0x1.d98c9719181acp-4, 0x1.d04942d306d5dp-4, 0x1.c725a844447abp-4, 0x1.be21cd4c038d1p-4, 0x1.b53db3486ecb3p-4, 0x1.ac79573e357b9p-4, 0x1.a3d4b1ff67ce4p-4, 0x1.9b4fb851afa35p-4, 0x1.92ea5b13e3c5ep-4, 0x1.8aa48762ea874p-4, 0x1.827e26bdfbbc4p-4, 0x1.7a771f2a310bep-4, 0x1.728f53556cd4dp-4, 0x1.6ac6a2b894d82p-4, 0x1.631ce9b922c69p-4, 0x1.5b9201ca01b73p-4, 0x1.5425c18bc8022p-4, 0x1.4cd7fcec3d7e2p-4, 0x1.45a885453b24bp-4, 0x1.3e97297ada702p-4, 0x1.37a3b618ff01fp-4, 0x1.30cdf5703110fp-4, 0x1.2a15afb1d16bfp-4, 0x1.237aab0ba4c63p-4, 0x1.1cfcabc2b8c57p-4, 0x1.169b744d9db68p-4, 0x1.1056c56e0382ep-4, 0x1.0a2e5e49ab208p-4, 0x1.0421fc82bb422p-4, 0x1.fc62b89edef9ap-5, 0x1.f0b871225f375p-5, 0x1.e54495d600b46p-5, 0x1.da0697aebf48cp-5, 0x1.cefde57b0504ep-5, 0x1.c429ec0bfa438p-5, 0x1.b98a165da77ffp-5, 0x1.af1dcdbdec752p-5, 0x1.a4e479f254f76p-5, 0x1.9add815ccf0d3p-5, 0x1.9108491f3e0eep-5, 0x1.8764353df9394p-5, 0x1.7df0a8c1355a2p-5, 0x1.74ad05d5636fap-5, 0x1.6b98adea75ce2p-5, 0x1.62b301d22d93ep-5, 0x1.59fb61dd5cb52p-5, 0x1.51712df82c77bp-5, 0x1.4913c5c565e5bp-5, 0x1.40e288b8cc683p-5, 0x1.38dcd6307fa0dp-5, 0x1.31020d8d77822p-5, 0x1.29518e4b12359p-5, 0x1.21cab815c2957p-5, 0x1.1a6ceae0e157dp-5, 0x1.133786fba2527p-5, 0x1.0c29ed25304dcp-5, 0x1.05437e9ffcc6bp-5, 0x1.fd073a8888a52p-6, 0x1.efd357238354ap-6, 0x1.e2ea1981586cfp-6, 0x1.d64a49a3c91dp-6, 0x1.c9f2b13cebf21p-6, 0x1.bde21bccbae3ap-6, 0x1.b21756bd2c6bap-6, 0x1.a691317d034a7p-6, 0x1.9b4e7d9949b6p-6, 0x1.904e0ed5795abp-6, 0x1.858ebb42681ccp-6, 0x1.7b0f5b53f3f6fp-6, 0x1.70cec9f585313p-6, 0x1.66cbe49d641d1p-6, 0x1.5d058b5ee529fp-6, 0x1.537aa0fb909b7p-6, 0x1.4a2a0af3198dbp-6, 0x1.4112b19265b8ep-6, 0x1.38338001842c4p-6, 0x1.2f8b6450af27fp-6, 0x1.27194f845a7c1p-6, 0x1.1edc35a04a35ep-6, 0x1.16d30db1d901cp-6, 0x1.0efcd1d94a5fap-6, 0x1.07587f52571abp-6, 0x1.ffca2cf7afbddp-7, 0x1.f14335bd7b8cbp-7, 0x1.e31a26686453ap-7, 0x1.d54d12d5fef88p-7, 0x1.c7da15589744dp-7, 0x1.babf4ebf29ff8p-7, 0x1.adfae65c3341ap-7, 0x1.a18b0a0b02352p-7, 0x1.956dee33fe9cap-7, 0x1.89a1cdcf985d8p-7, 0x1.7e24ea682ba28p-7, 0x1.72f58c1ac313fp-7, 0x1.68120196c365fp-7, 0x1.5d78a01ca2059p-7, 0x1.5327c37b91c69p-7, 0x1.491dce0e39476p-7, 0x1.3f5928b6a32c6p-7, 0x1.35d842d92510ep-7, 0x1.2c9992569f219p-7, 0x1.239b9385d704fp-7, 0x1.1adcc92c0be61p-7, 0x1.125bbc74e5d67p-7, 0x1.0a16fce9afa22p-7, 0x1.020d2067db3b6p-7, 0x1.f479862dee50cp-8, 0x1.e5490ebc26876p-8, 0x1.d6862bb0ebf9bp-8, 0x1.c82e3a93ba223p-8, 0x1.ba3ea5249720bp-8, 0x1.acb4e142800f2p-8, 0x1.9f8e70d10dc48p-8, 0x1.92c8e19d6f4dep-8, 0x1.8661cd421962bp-8, 0x1.7a56d90a4c79dp-8, 0x1.6ea5b5d47939fp-8, 0x1.634c1ff43b5dap-8, 0x1.5847df13913ebp-8, 0x1.4d96c613adc4ap-8, 0x1.4336b2ed2d43ep-8, 0x1.39258e8fc0ffbp-8, 0x1.2f614cc183b33p-8, 0x1.25e7ebfdd7099p-8, 0x1.1cb77553edc5ap-8, 0x1.13cdfc4502078p-8, 0x1.0b299ea249fdcp-8, 0x1.02c8846a908b2p-8, 0x1.f551bf4f1b7e2p-9, 0x1.e591d8968dd11p-9, 0x1.d64de01a01329p-9, 0x1.c782748c5b22ap-9, 0x1.b92c479eb4025p-9, 0x1.ab481db993592p-9, 0x1.9dd2cdb662b56p-9, 0x1.90c94098bc852p-9, 0x1.84287147a85bap-9, 0x1.77ed6c46dfa82p-9, 0x1.6c154f703b857p-9, 0x1.609d49ad55336p-9, 0x1.55829ab0faa7fp-9, 0x1.4ac292b149c1ep-9, 0x1.405a9221890ep-9, 0x1.3648096c90aa1p-9, 0x1.2c8878afaf00cp-9, 0x1.23196f75565a8p-9, 0x1.19f88c70bda02p-9, 0x1.11237d398cefbp-9, 0x1.0897fe08180edp-9, 0x1.0053d971fda0dp-9, 0x1.f0a9d04e6cc9bp-10, 0x1.e132215f8e48ap-10, 0x1.d23c8e5381c3dp-10, 0x1.c3c51a106092dp-10, 0x1.b5c7e1a427c1bp-10, 0x1.a8411bc4dac77p-10, 0x1.9b2d185119138p-10, 0x1.8e883fd210a34p-10, 0x1.824f12ff03a97p-10, 0x1.767e2a41d90c7p-10, 0x1.6b12353d056b5p-10, 0x1.6007fa52b1a31p-10, 0x1.555c562dbc761p-10, 0x1.4b0c3b4b75f89p-10, 0x1.4114b187253bdp-10, 0x1.3772d5a6abf3p-10, 0x1.2e23d8e9107c3p-10, 0x1.25250095efd84p-10, 0x1.1c73a58efb2ecp-10, 0x1.140d33e26be3p-10, 0x1.0bef2a5f586dp-10, 0x1.04171a2b3bc61p-10, 0x1.f9054cb1ff9eap-11, 0x1.ea5f07037cf5dp-11, 0x1.dc36eebde7624p-11, 0x1.ce88b0cbdc598p-11, 0x1.c1501aca7c134p-11, 0x1.b4891a4655cbbp-11, 0x1.a82fbbfc92841p-11, 0x1.9c402b1d6152p-11, 0x1.90b6b0939ccd7p-11, 0x1.858fb24d1d347p-11, 0x1.7ac7b287accf3p-11, 0x1.705b4f20e07e4p-11, 0x1.664740e81b212p-11, 0x1.5c885af3efdfep-11, 0x1.531b89fb87bb3p-11, 0x1.49fdd3b0e9a34p-11, 0x1.412c561fbaecfp-11, 0x1.38a4470ee6318p-11, 0x1.3062f363d28d2p-11, 0x1.2865be89faafcp-11, 0x1.20aa21dce04f5p-11, 0x1.192dac1481246p-11, 0x1.11ee00b4aa36p-11, 0x1.0ae8d7802a9dbp-11, 0x1.041bfbecf4c24p-11, 0x1.fb0a99383753fp-12, 0x1.ee4575a9aebc5p-12, 0x1.e1e494019307bp-12, 0x1.d5e41e5947998p-12, 0x1.ca4061145f6eep-12, 0x1.bef5c9eb18e1ep-12, 0x1.b400e6f9b4debp-12, 0x1.a95e65d4a5096p-12, 0x1.9f0b12a277dd4p-12, 0x1.9503d738f3f34p-12, 0x1.8b45ba41391e2p-12, 0x1.81cdde5f5db0ep-12, 0x1.7899815f93b35p-12, 0x1.6fa5fb67236c6p-12, 0x1.66f0be2aeb9abp-12, 0x1.5e77542a51eedp-12, 0x1.56375fedde86p-12, 0x1.4e2e9b4bcbdcap-12, 0x1.465ad6af3ba5p-12, 0x1.3eb9f86491d1ep-12, 0x1.3749fbea1a0fp-12, 0x1.3008f14523c99p-12, 0x1.28f4fc5ac76b7p-12, 0x1.220c544c3f9f4p-12, 0x1.1b4d42d8fa3f6p-12, 0x1.14b623c27e184p-12, 0x1.0e456434a6cdfp-12, 0x1.07f9823469646p-12, 0x1.01d10c0d07832p-12, 0x1.f7953f8afb013p-13, 0x1.ebc9d52f2cd69p-13, 0x1.e03d50d65d26fp-13, 0x1.d4ed46a847f6cp-13, 0x1.c9d766289a673p-13, 0x1.bef97942af21ep-13, 0x1.b451635870e9p-13, 0x1.a9dd205977f0bp-13, 0x1.9f9ac3e3c315bp-13, 0x1.958878635473ap-13, 0x1.8ba47e3e89bp-13, 0x1.81ed2b045f29p-13, 0x1.7860e8a45383cp-13, 0x1.6efe34a71d184p-13, 0x1.65c39f7028766p-13, 0x1.5cafcb8653b2bp-13, 0x1.53c16cdd0be14p-13, 0x1.4af748256bb38p-13, 0x1.42503225666c7p-13, 0x1.39cb0f1236b36p-13, 0x1.3166d1f0331aap-13, 0x1.29227bf8068d9p-13, 0x1.20fd1c0084b04p-13, 0x1.18f5cdec70da2p-13, 0x1.110bba1c57336p-13, 0x1.093e14e6ba374p-13, 0x1.018c1e141e19fp-13, 0x1.f3ea40b95137ep-14, 0x1.e4f0e1d80a15cp-14, 0x1.d62addd4e33ccp-14, 0x1.c797060d0af4bp-14, 0x1.b9343e0b0242cp-14, 0x1.ab017aabbeba9p-14, 0x1.9cfdc14d90875p-14, 0x1.8f2827037f1bap-14, 0x1.817fcfcffafb5p-14, 0x1.7403ede736f28p-14, 0x1.66b3c0fa50856p-14, 0x1.598e9582e5009p-14, 0x1.4c93c4195eab7p-14, 0x1.3fc2b0d1a3e2bp-14, 0x1.331aca99c659p-14, 0x1.269b8aa42405ep-14, 0x1.1a4473d0b016ep-14, 0x1.0e15122237bacp-14, 0x1.020cfa3529df8p-14, 0x1.ec579174b4634p-15, 0x1.d4e243f2cb2ep-15, 0x1.bdb962b0d6248p-15, 0x1.a6dc51cd917eep-15, 0x1.904a81d6af8a4p-15, 0x1.7a036ef629309p-15, 0x1.6406a0210bafbp-15, 0x1.4e53a652c3828p-15, 0x1.38ea1bce0365dp-15, 0x1.23c9a364b63e7p-15, 0x1.0ef1e7d23c058p-15, 0x1.f4c5361b1855ap-16, 0x1.cc36eb597987bp-16, 0x1.a4386c9031eb3p-16, 0x1.7cc941e4e1bep-16, 0x1.55e8fd4864199p-16, 0x1.2f97397d60642p-16, 0x1.09d39910754a4p-16, 0x1.c93b8aec64ff9p-17, 0x1.7feadc39fd045p-17, 0x1.37b48f24f0f1cp-17, 0x1.e1302ae4b3ad8p-18, 0x1.5529d035dcf15p-18, 0x1.96aa1716037cfp-19, 0x1.0ec38b618bbcfp-20, -0x1.070e77bea6406p-20, -0x1.8a12ce23e2076p-19, -0x1.462167953c0e9p-18, -0x1.c50c8f4f37286p-18, -0x1.20e5e883849e8p-17, -0x1.5e3012175516dp-17, -0x1.9a654366d8199p-17, -0x1.d585ff9dc4c7p-17, -0x1.07c967684bc1bp-16, -0x1.24461f586bc52p-16, -0x1.4039719cb674fp-16, -0x1.5ba3abac1184bp-16, -0x1.76851ec37602ap-16, -0x1.90de201ceaa16p-16, -0x1.aaaf09397c74bp-16, -0x1.c3f83817c0e52p-16, -0x1.dcba0f66a2a49p-16, -0x1.f4f4f6b4e72ap-16, -0x1.0654ad48a244fp-15, -0x1.11ebd65f1ead3p-15, -0x1.1d4032262aa16p-15, -0x1.2851fedbc56dap-15, -0x1.33217d7e1f55bp-15, -0x1.3daef1d62b588p-15, -0x1.47faa28427e9cp-15, -0x1.5204d9020d856p-15, -0x1.5bcde1a8f0117p-15, -0x1.65560bb5548dcp-15, -0x1.6e9da949b0f33p-15, -0x1.77a50f6f6f9bdp-15, -0x1.806c9614b1aecp-15, -0x1.88f498071789fp-15, -0x1.913d72f6d458dp-15, -0x1.9947876d83867p-15, -0x1.a11338cac8c4cp-15, -0x1.a8a0ed3b6d30ep-15, -0x1.aff10db1d9961p-15, -0x1.b70405e0be0ddp-15, -0x1.bdda442de66cep-15, -0x1.c47439a91e7a8p-15, -0x1.cad259ffb9117p-15, -0x1.d0f51b7333209p-15, -0x1.d6dcf6cbf27a1p-15, -0x1.dc8a674c1ddaap-15, -0x1.e1fdeaa030ep-15, -0x1.e73800d2832a3p-15, -0x1.ec392c3cd6b86p-15, -0x1.f101f179000d5p-15, -0x1.f592d7507d96p-15, -0x1.f9ec66ab999cdp-15, -0x1.fe0f2a845a17dp-15, -0x1.00fdd7e9d3d7ap-14, -0x1.02d942c0e6f19p-14, -0x1.049a1e29cb731p-14, -0x1.0640b36c78d01p-14, -0x1.07cd4caed6ffbp-14, -0x1.094034eb5be78p-14, -0x1.0a99b7e840a3cp-14, -0x1.0bda222e29652p-14, -0x1.0d01c0ffd0b7cp-14, -0x1.0e10e2509824p-14, -0x1.0f07d4bc49414p-14, -0x1.0fe6e77ccda07p-14, -0x1.10ae6a61ccbdep-14, -0x1.115eadc832b5fp-14, -0x1.11f80291004f9p-14, -0x1.127aba184ee7ep-14, -0x1.12e7262c6128cp-14, -0x1.133d9903d2ecfp-14, -0x1.137e6536c88e5p-14, -0x1.13a9ddb510eb7p-14, -0x1.13c055bdb9fbp-14, -0x1.13c220d6c70ffp-14, -0x1.13af92c42bc2fp-14, -0x1.1388ff7fedf05p-14, -0x1.134ebb320b8a7p-14, -0x1.13011a27b7447p-14, -0x1.12a070cb15ae2p-14, -0x1.122d139c1d6d4p-14, -0x1.11a757287779dp-14, -0x1.110f9003bc21cp-14, -0x1.106612c009938p-14, -0x1.0fab33e5cae2cp-14, -0x1.0edf47ecd0199p-14, -0x1.0e02a3355c60ep-14, -0x1.0d159a00c6466p-14, -0x1.0c18806ac9fcep-14, -0x1.0b0baa6268248p-14, -0x1.09ef6ba3363e8p-14, -0x1.08c417af1c1d9p-14, -0x1.078a01c7e3948p-14, -0x1.06417ce8b02f7p-14, -0x1.04eadbbf8a8fdp-14, -0x1.038670a855b12p-14, -0x1.02148da6a9e44p-14, -0x1.0095845fc2b5bp-14, -0x1.fe134c2b6a17dp-15, -0x1.fae2874229fd7p-15, -0x1.f7995ad88b152p-15, -0x1.f43866dc8eeccp-15, -0x1.f0c04a4bd97cep-15, -0x1.ed31a32aa81cap-15, -0x1.e98d0e788182cp-15, -0x1.e5d3282960ef7p-15, -0x1.e2048b1b550c7p-15, -0x1.de21d10f21d19p-15, -0x1.da2b929ff3e67p-15, -0x1.d622673a98701p-15, -0x1.d206e5163f064p-15, -0x1.cdd9a12eee86cp-15, -0x1.c99b2f3b8ccdcp-15, -0x1.c54c21a97817p-15, -0x1.c0ed0994ac397p-15, -0x1.bc7e76c25e63ap-15, -0x1.b800f799f3ab6p-15, -0x1.b375192028f15p-15, -0x1.aedb66f290278p-15, -0x1.aa346b4063ee7p-15, -0x1.a580aec6e8337p-15, -0x1.a0c0b8cc6a724p-15, -0x1.9bf50f1b56245p-15, -0x1.971e35fed46bcp-15, -0x1.923cb03f17cc4p-15, -0x1.8d50ff1c02b7p-15, -0x1.885ba24b4f902p-15, -0x1.835d17f50e7c4p-15, -0x1.7e55dcb01e228p-15, -0x1.79466b7f716f9p-15, -0x1.742f3dcfd9926p-15, -0x1.6f10cb75f5cdep-15, -0x1.69eb8aaa43065p-15, -0x1.64bff0097e79cp-15, -0x1.5f8e6e9224cbdp-15, -0x1.5a5777a2335d6p-15, -0x1.551b7af63c4f3p-15, -0x1.4fdae6a8cf2fcp-15, -0x1.4a96273022e76p-15, -0x1.454da75e09783p-15, -0x1.4001d06070fap-15, -0x1.3ab309bf0e9aap-15, -0x1.3561b95c2976p-15, -0x1.300e43747d66bp-15, -0x1.2ab90a9f24afep-15, -0x1.25626fcd4cb04p-15, -0x1.200ad24b544fep-15, -0x1.1ab28fc11e81ap-15, -0x1.155a0432a824bp-15, -0x1.10018a001b1cap-15, -0x1.0aa979e8c7f79p-15, -0x1.05522b0a1badbp-15, -0x1.fff7e5c3ca444p-16, -0x1.f54e4a9ffdfecp-16, -0x1.eaa8292ce2723p-16, -0x1.e00622b822b04p-16, -0x1.d568d55ba488cp-16, -0x1.cad0dc029c74ep-16, -0x1.c03ece6b1d828p-16, -0x1.b5b3412c7b989p-16, -0x1.ab2ec5b95d165p-16, -0x1.a0b1ea66e569fp-16, -0x1.963d3a6d2578dp-16, -0x1.8bd13df0c6cdbp-16, -0x1.816e7a05bd2ffp-16, -0x1.771570b2ebc89p-16, -0x1.6cc6a0face58ep-16, -0x1.628286df046fp-16, -0x1.58499b6577548p-16, -0x1.4e1c54a088c58p-16, -0x1.43fb25b2f6c6bp-16, -0x1.39e67ed669256p-16, -0x1.2fdecd614456cp-16, -0x1.25e47bce6654cp-16, -0x1.1bf7f1c236ef3p-16, -0x1.121994113df15p-16, -0x1.0849c4c8df148p-16, -0x1.fd11c66826411p-17, -0x1.e9ae97c3acdf2p-17, -0x1.d66ab15cde754p-17, -0x1.c346c18ec857p-17, -0x1.b043716d6d7b1p-17, -0x1.9d6164cbd2472p-17, -0x1.8aa13a4eaa4ep-17, -0x1.78038b7dd8d9cp-17, -0x1.6588eccaaf291p-17, -0x1.5331eda7bb106p-17, -0x1.40ff18949f292p-17, -0x1.2ef0f32aff8f3p-17, -0x1.1d07fe2ffed14p-17, -0x1.0b44b5a336d3fp-17, -0x1.f34f219daed3dp-18, -0x1.d06204a946215p-18, -0x1.adc2f07c3b59ap-18, -0x1.8b72b81d3533fp-18, -0x1.697225a600129p-18, -0x1.47c1fa58ff123p-18, -0x1.2662eec4834d3p-18, -0x1.0555b2e8e592fp-18, -0x1.c935dca4a138bp-19, -0x1.8866807164dc1p-19, -0x1.483e7f3494849p-19, -0x1.08bef6d2d7515p-19, -0x1.93d1ea6bb0c82p-20, -0x1.177af127fada5p-20, -0x1.38f5bf18daa9cp-21, -0x1.169ba6c245dffp-23, 0x1.55e6b68e3542cp-22, 0x1.98d607fff6e99p-21, 0x1.41ff2729458d9p-20, 0x1.b634cc86c7e55p-20, 0x1.148562ca1e119p-19, 0x1.4d3fff9bf480bp-19, 0x1.8549c0a5f03a1p-19, 0x1.bca23718200f2p-19, 0x1.f349013422b2bp-19, 0x1.149ee5059c43ap-18, 0x1.2f40249876d3ap-18, 0x1.498821468e212p-18, 0x1.6376c316a072p-18, 0x1.7d0bf7f7cc61bp-18, }}, 
      {{-0x1.b255b051961c5p-1, -0x1.b24d39061b8b6p-1, -0x1.b23eeb4871e7dp-1, -0x1.b22a7f0ad976bp-1, -0x1.b20f9381dcb3cp-1, -0x1.b1edb25ff54eep-1, -0x1.b1c4534a9b6fp-1, -0x1.b192df5ab94d9p-1, -0x1.b158b487f38bbp-1, -0x1.b11528e85a255p-1, -0x1.b0c78db5e5405p-1, -0x1.b06f3210e9e72p-1, -0x1.b00b657b0f324p-1, -0x1.af9b7a097a75p-1, -0x1.af1ec64f396fep-1, -0x1.ae94a7028cf84p-1, -0x1.adfc8060d34dp-1, -0x1.ad55bf5582fc5p-1, -0x1.ac9fda690ed36p-1, -0x1.abda527cb6317p-1, -0x1.ab04b35849b5bp-1, -0x1.aa1e940ec9112p-1, -0x1.a927973e941b2p-1, -0x1.a81f6b319b702p-1, -0x1.a705c9e1bd1bbp-1, -0x1.a5da78e51d3aep-1, -0x1.a49d494601122p-1, -0x1.a34e17495b1a8p-1, -0x1.a1ecca26e5d7dp-1, -0x1.a07953b5619bdp-1, -0x1.9ef3b00d3e612p-1, -0x1.9d5be523b79a8p-1, -0x1.9bb202602687fp-1, -0x1.99f6202d1d0abp-1, -0x1.98285f869d2a1p-1, -0x1.9648e9869ac4cp-1, -0x1.9457eef0c2c7bp-1, -0x1.9255a7be65cd2p-1, -0x1.904252ab38b1dp-1, -0x1.8e1e34c388249p-1, -0x1.8be998f45d689p-1, -0x1.89a4cf9dfc4e3p-1, -0x1.87502e29105d7p-1, -0x1.84ec0e9eca11ep-1, -0x1.8278cf4422e83p-1, -0x1.7ff6d2386d303p-1, -0x1.7d667d174dc2dp-1, -0x1.7ac8389e301acp-1, -0x1.781c7055438b2p-1, -0x1.7563923c01ccbp-1, -0x1.729e0e793fc2dp-1, -0x1.6fcc570ec2178p-1, -0x1.6ceedf904ae83p-1, -0x1.6a061cde15f4ap-1, -0x1.671284e2ae6cfp-1, -0x1.64148e5414b0cp-1, -0x1.610cb07817d9dp-1, -0x1.5dfb62ebd4576p-1, -0x1.5ae11d6e419b2p-1, -0x1.57be57adb51eep-1, -0x1.5493891847d86p-1, -0x1.516128af04616p-1, -0x1.4e27acdbc9988p-1, -0x1.4ae78b49c63e7p-1, -0x1.47a138c07a6d4p-1, -0x1.4455290126f22p-1, -0x1.4103cea692912p-1, -0x1.3dad9b070efd5p-1, -0x1.3a52fe18a9821p-1, -0x1.36f466576f663p-1, -0x1.339240adb1947p-1, -0x1.302cf85e3316dp-1, -0x1.2cc4f6f02e289p-1, -0x1.295aa41d19724p-1, -0x1.25ee65c01e09ap-1, -0x1.22809fc7298aep-1, -0x1.1f11b4258684dp-1, -0x1.1ba202c7f0027p-1, -0x1.1831e98a08a8ep-1, -0x1.14c1c42d263e7p-1, -0x1.1151ec5064d8ap-1, -0x1.0de2b969e9f29p-1, -0x1.0a7480c150612p-1, -0x1.0707956b2879bp-1, -0x1.039c48457ec96p-1, -0x1.0032e7f55e95bp-1, -0x1.f99781ca7a7b5p-2, -0x1.f2ce3a888ee4ap-2, -0x1.ec0a8a0cfa47bp-2, -0x1.e54cfbcb2bf86p-2, -0x1.de9616c53b609p-2, -0x1.d7e65d9082acdp-2, -0x1.d13e4e5b7bda7p-2, -0x1.ca9e62f4d526cp-2, -0x1.c40710d3a0ba1p-2, -0x1.bd78c920910c1p-2, -0x1.b6f3f8c02c01fp-2, -0x1.b079085de8078p-2, -0x1.aa085c781cb37p-2, -0x1.a3a2556cb6b1cp-2, -0x1.9d474f86a7096p-2, -0x1.96f7a30bf2e97p-2, -0x1.90b3a44c5f979p-2, -0x1.8a7ba3b0a9c9ap-2, -0x1.844fedca38245p-2, -0x1.7e30cb6340f4bp-2, -0x1.781e818f542fbp-2, -0x1.721951bc43909p-2, -0x1.6c2179c35499ep-2, -0x1.663733fabe3c4p-2, -0x1.605ab7475d065p-2, -0x1.5a8c372e9f9fep-2, -0x1.54cbe3e898373p-2, -0x1.4f19ea723430bp-2, -0x1.4976749f8b97bp-2, -0x1.43e1a92e43779p-2, -0x1.3e5babd7ff99dp-2, -0x1.38e49d64d4446p-2, -0x1.337c9bbdbcce6p-2, -0x1.2e23c1ff07a62p-2, -0x1.28da288ab9fcfp-2, -0x1.239fe51adec64p-2, -0x1.1e750ad3c41fdp-2, -0x1.1959aa561c93ap-2, -0x1.144dd1d100afep-2, -0x1.0f518d13d0f41p-2, -0x1.0a64e59ff25bep-2, -0x1.0587e2ba5e0e6p-2, -0x1.00ba897d09779p-2, -0x1.f7f9b9d034f98p-3, -0x1.ee9dbbe5df6aep-3, -0x1.e5611739dd2ddp-3, -0x1.dc43c5fc3fd92p-3, -0x1.d345beaf1e5dap-3, -0x1.ca66f446ea257p-3, -0x1.c1a7564a3f616p-3, -0x1.b906d0f147633p-3, -0x1.b0854d4490dep-3, -0x1.a822b13b732a3p-3, -0x1.9fdedfd9e228bp-3, -0x1.97b9b94dce0aep-3, -0x1.8fb31b0bea0c9p-3, -0x1.87cadfebfff44p-3, -0x1.8000e044ab663p-3, -0x1.7854f20690664p-3, -0x1.70c6e8d70d072p-3, -0x1.6956962a5bb92p-3, -0x1.6203c95d28dc6p-3, -0x1.5ace4fcd9f1b1p-3, -0x1.53b5f4f3ec4d7p-3, -0x1.4cba827a361dp-3, -0x1.45dbc054048dcp-3, -0x1.3f1974d526d4bp-3, -0x1.387364c8062ap-3, -0x1.31e95383782f2p-3, -0x1.2b7b030004981p-3, -0x1.252833eca19c8p-3, -0x1.1ef0a5c2ef1b9p-3, -0x1.18d416dae7a67p-3, -0x1.12d2447e111e5p-3, -0x1.0ceaeafa24fbep-3, -0x1.071dc5b33e527p-3, -0x1.016a8f35813edp-3, -0x1.f7a2028c90241p-4, -0x1.eca1a9e99ad84p-4, -0x1.e1d38554c476ep-4, -0x1.d737047444dc7p-4, -0x1.cccb95e0694ecp-4, -0x1.c290a7412baf3p-4, -0x1.b885a56acfdd4p-4, -0x1.aea9fc79a8b74p-4, -0x1.a4fd17ecf6a61p-4, -0x1.9b7e62c0dc2e5p-4, -0x1.922d47878e00fp-4, -0x1.890930818dfc5p-4, -0x1.801187b5293d1p-4, -0x1.7745b70519663p-4, -0x1.6ea528465ca85p-4, -0x1.662f4555445adp-4, -0x1.5de37829be5f7p-4, -0x1.55c12aeade979p-4, -0x1.4dc7c801a7032p-4, -0x1.45f6ba2b1b337p-4, -0x1.3e4d6c8999cafp-4, -0x1.36cb4ab5863ep-4, -0x1.2f6fc0cd432f2p-4, -0x1.283a3b848306ep-4, -0x1.212a2832f199p-4, -0x1.1a3ef4e23bc36p-4, -0x1.1378105b7560ep-4, -0x1.0cd4ea33e73cfp-4, -0x1.0654f2d94318fp-4, -0x1.ffef373a86c7fp-5, -0x1.f378ad81777efp-5, -0x1.e7452efc3825bp-5, -0x1.db53a426d3bfdp-5, -0x1.cfa2f7976a3e7p-5, -0x1.c432161010949p-5, -0x1.b8ffee8fb972bp-5, -0x1.ae0b72622108fp-5, -0x1.a353952ecd0cap-5, -0x1.98d74d0720a7ep-5, -0x1.8e9592738dd27p-5, -0x1.848d607fea69bp-5, -0x1.7abdb4c6ef033p-5, -0x1.71258f7ce627bp-5, -0x1.67c3f3798f7dbp-5, -0x1.5e97e64142d78p-5, -0x1.55a0700d5218dp-5, -0x1.4cdc9bd3b426p-5, -0x1.444b774e01aa3p-5, -0x1.3bec12ffbb9c1p-5, -0x1.33bd823bf8b54p-5, -0x1.2bbedb2a63b1fp-5, -0x1.23ef36cba8f49p-5, -0x1.1c4db0fd42abp-5, -0x1.14d9687cbf9a2p-5, -0x1.0d917eea71903p-5, -0x1.067518cb9cd36p-5, -0x1.ff06bb1840e95p-6, -0x1.f176eeff45922p-6, -0x1.e43927c4857c8p-6, -0x1.d74bc5b1af12ap-6, -0x1.caad2ee17bf92p-6, -0x1.be5bcf3e72fddp-6, -0x1.b2561880e0114p-6, -0x1.a69a822bff7a9p-6, -0x1.9b27898a72c9dp-6, -0x1.8ffbb1a9f392cp-6, -0x1.85158356671e9p-6, -0x1.7a738d14363c2p-6, -0x1.7014631a1c8b4p-6, -0x1.65f69f4a4d7ddp-6, -0x1.5c18e12b0f6c8p-6, -0x1.5279cddecc0aep-6, -0x1.4918101b9a749p-6, -0x1.3ff258224f7cap-6, -0x1.37075bb50f543p-6, -0x1.2e55d60d7b436p-6, -0x1.25dc87d265a66p-6, -0x1.1d9a370d2df3fp-6, -0x1.158daf1eaefd7p-6, -0x1.0db5c0b3e6d0cp-6, -0x1.061141ba37ddp-6, -0x1.fd3e1aa6c0687p-7, -0x1.eebc079257ad9p-7, -0x1.e09a1501bba01p-7, -0x1.d2d617dcaa21ap-7, -0x1.c56def0df3658p-7, -0x1.b85f8368e548p-7, -0x1.aba8c78e4fe92p-7, -0x1.9f47b7d116dfdp-7, -0x1.933a5a1a999c7p-7, -0x1.877ebdce9a51p-7, -0x1.7c12fbaf01aa1p-7, -0x1.70f535bf4f7f1p-7, -0x1.66239727de78ap-7, -0x1.5b9c5418eb334p-7, -0x1.515da9ad78329p-7, -0x1.4765ddce0753ap-7, -0x1.3db33f133bbeap-7, -0x1.344424a857f57p-7, -0x1.2b16ee2da971fp-7, -0x1.222a039af324bp-7, -0x1.197bd521c2fa9p-7, -0x1.110adb0fc059bp-7, -0x1.08d595b107007p-7, -0x1.00da8d3283711p-7, -0x1.f230a3089c315p-8, -0x1.e31af47848996p-8, -0x1.d4714cefd95dp-8, -0x1.c630f9809e3ep-8, -0x1.b85755d6d1203p-8, -0x1.aae1cbff391p-8, -0x1.9dcdd42d10d72p-8, -0x1.9118f4802a5dfp-8, -0x1.84c0c0cb682dep-8, -0x1.78c2da5b914fp-8, -0x1.6d1cefbe6ceb9p-8, -0x1.61ccbc8a4739cp-8, -0x1.56d00925d26fdp-8, -0x1.4c24aa908031p-8, -0x1.41c8822b37ddap-8, -0x1.37b97d816e8ecp-8, -0x1.2df59612e2e3fp-8, -0x1.247ad11d9ee6dp-8, -0x1.1b473f68903dcp-8, -0x1.1258fd0e99f73p-8, -0x1.09ae314a26af4p-8, -0x1.01450e4140f92p-8, -0x1.f237a1a45f965p-9, -0x1.e26180c143402p-9, -0x1.d3045d46b3d65p-9, -0x1.c41ceee4fe8a3p-9, -0x1.b5a8012cc9348p-9, -0x1.a7a2732dd65f7p-9, -0x1.9a09371707f31p-9, -0x1.8cd951d760e56p-9, -0x1.800fdac04f1d3p-9, -0x1.73a9fb291500ep-9, -0x1.67a4ee1377d65p-9, -0x1.5bfdffd1831c9p-9, -0x1.50b28dac91479p-9, -0x1.45c0058d76675p-9, -0x1.3b23e5a5f9c38p-9, -0x1.30dbbc1b6ce1cp-9, -0x1.26e526b286cddp-9, -0x1.1d3dd27c6a4f8p-9, -0x1.13e37b84e7608p-9, -0x1.0ad3ec81e8b02p-9, -0x1.020cfe842f8bp-9, -0x1.f31931524a98p-10, -0x1.e2a15f9be8dfep-10, -0x1.d2ae8c879c8d7p-10, -0x1.c33cd70ab8441p-10, -0x1.b44877dacfa73p-10, -0x1.a5cdc0dd5e30fp-10, -0x1.97c91c99f56d8p-10, -0x1.8a370dae7d831p-10, -0x1.7d142e45d6d5fp-10, -0x1.705d2f9100d15p-10, -0x1.640ed9423eb7fp-10, -0x1.5826090af4434p-10, -0x1.4c9fb21b52216p-10, -0x1.4178dca47112ep-10, -0x1.36aea55cb9e07p-10, -0x1.2c3e3d065f9d9p-10, -0x1.2224e7f81dc1ap-10, -0x1.185ffda83e987p-10, -0x1.0eece83997d9dp-10, -0x1.05c9240aa5096p-10, -0x1.f9e47e8dc0c53p-11, -0x1.e8cbb2f46643dp-11, -0x1.d843464c5f6b3p-11, -0x1.c846bab3bd641p-11, -0x1.b8d1b295fa5c8p-11, -0x1.a9dfefe2f526bp-11, -0x1.9b6d534a13039p-11, -0x1.8d75db78ba03ap-11, -0x1.7ff5a45d16484p-11, -0x1.72e8e66c883eep-11, -0x1.664bf5ede629fp-11, -0x1.5a1b4247334d3p-11, -0x1.4e53554ef7f6dp-11, -0x1.42f0d2a174b9bp-11, -0x1.37f076f943db4p-11, -0x1.2d4f178b60d95p-11, -0x1.2309a1670833bp-11, -0x1.191d18d836b19p-11, -0x1.0f8698ce34b51p-11, -0x1.06435244fb23fp-11, -0x1.faa1176440d2p-12, -0x1.e95740e9990fap-12, -0x1.d8a40091e21c3p-12, -0x1.c8825d7b49d41p-12, -0x1.b8ed855c5518p-12, -0x1.a9e0cb7c68fe1p-12, -0x1.9b57a7b2701c2p-12, -0x1.8d4db56913ea1p-12, -0x1.7fbeb2a87750ep-12, -0x1.72a67f263327fp-12, -0x1.66011b59f972bp-12, -0x1.59caa797bdd98p-12, -0x1.4dff632fda41ap-12, -0x1.429bab93b12b2p-12, -0x1.379bfb7fb05a4p-12, -0x1.2cfcea2ac72cap-12, -0x1.22bb2a7a4e892p-12, -0x1.18d38a3abc0bfp-12, -0x1.0f42f15d5029cp-12, -0x1.0606613a4b8dcp-12, -0x1.fa35e7af8551ep-13, -0x1.e8fbb66a356c1p-13, -0x1.d858c135d8603p-13, -0x1.c847c7de1be05p-13, -0x1.b8c3b619f8911p-13, -0x1.a9c7a243f3fa2p-13, -0x1.9b4ecc1b7484cp-13, -0x1.8d549b8e89e8ep-13, -0x1.7fd49f89dddbfp-13, -0x1.72ca8cd1c8d2bp-13, -0x1.66323ce30b1f4p-13, -0x1.5a07acd96f455p-13, -0x1.4e46fc5eb018bp-13, -0x1.42ec6c9fb340dp-13, -0x1.37f45f49c145fp-13, -0x1.2d5b558d2a863p-13, -0x1.231def27ea9b1p-13, -0x1.1938e975f89b3p-13, -0x1.0fa91e883beaep-13, -0x1.066b8440d68bp-13, -0x1.fafa56eda06d8p-14, -0x1.e9b67e3c60d39p-14, -0x1.d90606eeeb36bp-14, -0x1.c8e3aa876a0dep-14, -0x1.b94a51fc60bfbp-14, -0x1.aa351439df1b4p-14, -0x1.9b9f34a80c791p-14, -0x1.8d8421c0cf169p-14, -0x1.7fdf73ab4ef69p-14, -0x1.72aceae487deap-14, -0x1.65e86ef11e06p-14, -0x1.598e0d16f36a4p-14, -0x1.4d99f72165f5fp-14, -0x1.4208822f7da5ep-14, -0x1.36d625874746ep-14, -0x1.2bff7975e8bffp-14, -0x1.218136338c95p-14, -0x1.175832d43a1eep-14, -0x1.0d81643d23277p-14, -0x1.03f9dc236fa9fp-14, -0x1.f57d9023137e6p-15, -0x1.e39ae0ec4d1a2p-15, -0x1.d2466f6d4976ap-15, -0x1.c17b329867975p-15, -0x1.b13451c7991f3p-15, -0x1.a16d23116406bp-15, -0x1.922129a7976cap-15, -0x1.834c1441c8bb4p-15, -0x1.74e9bb94ca4cep-15, -0x1.66f620d9f57fbp-15, -0x1.596d6c5af1638p-15, -0x1.4c4bec0f63de4p-15, -0x1.3f8e1240433f2p-15, -0x1.33307439d76c8p-15, -0x1.272fc906b1be8p-15, -0x1.1b88e836ce18fp-15, -0x1.1038c8acb053bp-15, -0x1.053c7f7864f4cp-15, -0x1.f5227d7735a41p-16, -0x1.e068a92660e6cp-16, -0x1.cc46541a1d796p-16, -0x1.b8b68449ecaa4p-16, -0x1.a5b4719363a13p-16, -0x1.933b83da6af7fp-16, -0x1.8147513366cp-16, -0x1.6fd39c1ccd73ap-16, -0x1.5edc51d0c44b9p-16, -0x1.4e5d889918254p-16, -0x1.3e537e3a5f4f6p-16, -0x1.2eba9666cf8d1p-16, -0x1.1f8f59418abffp-16, -0x1.10ce71edb49edp-16, -0x1.0274ad2f9914ap-16, -0x1.e8fdf0226811dp-17, -0x1.cdd4bd2e6c944p-17, -0x1.b368150e439d7p-17, -0x1.99b2845c2a1f2p-17, -0x1.80aece749dde8p-17, -0x1.6857eb36e2436p-17, -0x1.50a904d81d46ap-17, -0x1.399d75cfa0338p-17, -0x1.2330c6da8cc21p-17, -0x1.0d5ead08f1ecp-17, -0x1.f0460fbc179e8p-18, -0x1.c6f3bf1a495dfp-18, -0x1.9ebec67b4f808p-18, -0x1.779fceb79aceap-18, -0x1.518fc81027b5bp-18, -0x1.2c87e702efcedp-18, -0x1.0881a1602acdep-18, -0x1.caed56dfcbe56p-19, -0x1.86c1ea7393bbp-19, -0x1.44754fb241d26p-19, -0x1.03fc45edb1f2p-19, -0x1.8a97e9b4c9a51p-20, -0x1.10b3cf74df35ap-20, -0x1.347023b900bd5p-21, -0x1.3889db5d9304ap-23, 0x1.234df0a35cb26p-22, 0x1.6b106f629abacp-21, 0x1.1f1e7c2d09f43p-20, 0x1.85a73803246b3p-20, 0x1.e932ca1c57721p-20, 0x1.24e88444433c3p-19, 0x1.53c8a3550c4ddp-19, 0x1.81412dd49b15ap-19, 0x1.ad59541e9cc9bp-19, 0x1.d8180e1cb5733p-19, 0x1.00c20f05f8acbp-18, 0x1.14d2097cd82d6p-18, 0x1.283f25a40e353p-18, 0x1.3b0c7b7ba7c02p-18, 0x1.4d3d0cf9e7dffp-18, 0x1.5ed3c7189abfp-18, 0x1.6fd382d42dfbbp-18, 0x1.803f062b6f528p-18, 0x1.9019051082d1ap-18, 0x1.9f642244fcb6dp-18, 0x1.ae22f035dde7ap-18, 0x1.bc57f1c92759cp-18, 0x1.ca059b1f20da5p-18, 0x1.d72e524ec700dp-18, 0x1.e3d4701253515p-18, 0x1.effa407366b21p-18, 0x1.fba20362ccdbcp-18, 0x1.0366f6aa80a2ap-17, 0x1.08c013e82886fp-17, 0x1.0ddd68fc2c5b9p-17, 0x1.12c00084ff2cp-17, 0x1.1768e06c06c13p-17, 0x1.1bd90a1ee88a2p-17, 0x1.20117ac6355b1p-17, 0x1.24132b77c43e1p-17, 0x1.27df11684132ap-17, 0x1.2b761e178ea4dp-17, 0x1.2ed93f7b51383p-17, 0x1.320960292d9bfp-17, 0x1.3507677caf188p-17, 0x1.37d439b9fcb23p-17, 0x1.3a70b830e8cc6p-17, 0x1.3cddc15a7fc93p-17, 0x1.3f1c30f8c181p-17, 0x1.412ce03085fbap-17, 0x1.4310a5a3a95a6p-17, 0x1.44c855897b29ep-17, 0x1.4654c1c3953d7p-17, 0x1.47b6b9f20831dp-17, 0x1.48ef0b8804994p-17, 0x1.49fe81df3d283p-17, 0x1.4ae5e6454878p-17, 0x1.4ba6000c965afp-17, 0x1.4c3f949a724fp-17, 0x1.4cb367734aca2p-17, 0x1.4d023a45f61ffp-17, 0x1.4d2cccf7a6375p-17, 0x1.4d33ddad0632cp-17, 0x1.4d1828d32967p-17, 0x1.4cda692693ee8p-17, 0x1.4c7b57ba48db5p-17, 0x1.4bfbac00a4b7p-17, 0x1.4b5c1bcf99fa4p-17, 0x1.4a9d5b640cb27p-17, 0x1.49c01d69dae2dp-17, 0x1.48c512fc7bc3dp-17, 0x1.47acebac48b73p-17, 0x1.4678557f4ca99p-17, 0x1.4527fcf5f4689p-17, 0x1.43bc8d0b3f7d7p-17, 0x1.4236af36adea5p-17, 0x1.40970b6cec86ep-17, 0x1.3ede4820aa6f5p-17, 0x1.3d0d0a43b7f39p-17, 0x1.3b23f547099dfp-17, 0x1.3923ab196fc3p-17, 0x1.370ccc297c076p-17, 0x1.34dff762b8bap-17, 0x1.329dca2dd30d6p-17, 0x1.3046e06fa5f4p-17, 0x1.2ddbd487dbc87p-17, 0x1.2b5d3f5068b4cp-17, 0x1.28cbb81b2b409p-17, 0x1.2627d4b1ba056p-17, 0x1.23722952a0383p-17, 0x1.20ab48b076ca7p-17, 0x1.1dd3c3f024a59p-17, 0x1.1aec2aa81effp-17, 0x1.17f50adca8d0ep-17, 0x1.14eef100b0c9fp-17, 0x1.11da67f1aa4f9p-17, 0x1.0eb7f8f77444dp-17, 0x1.0b882bc1f38b7p-17, 0x1.084b866823598p-17, 0x1.05028d658afa6p-17, 0x1.01adc3998fb72p-17, 0x1.fc9b548b9ee44p-18, 0x1.f5c58218dd713p-18, 0x1.eedb0bdb6481ep-18, 0x1.e7dcea92037ebp-18, 0x1.e0cc13b3d269p-18, 0x1.d9a9796fcc1c3p-18, 0x1.d2760aa979b7fp-18, 0x1.cb32b2f6aa181p-18, 0x1.c3e05a9ea5c3ap-18, 0x1.bc7fe69828afbp-18, 0x1.b512388921f8dp-18, 0x1.ad982ec448314p-18, 0x1.a612a448b47f7p-18, 0x1.9e8270c24b3e9p-18, 0x1.96e868878acf6p-18, 0x1.8f455c983201bp-18, 0x1.879a1a9efe428p-18, 0x1.7fe76cf41a2fep-18, 0x1.782e1a9a058a7p-18, 0x1.706ee73f4e7d3p-18, 0x1.68aa933f370f1p-18, 0x1.60e1dba2b4828p-18, 0x1.59157a213e483p-18, 0x1.5146252426546p-18, 0x1.49748fc855926p-18, 0x1.41a169de5a978p-18, 0x1.39cd5fee8fc45p-18, 0x1.31f91b3b8d4dep-18, 0x1.2a2541c20a667p-18, 0x1.2252763d23132p-18, 0x1.1a81582a7cdbep-18, 0x1.12b283cef0ef1p-18, 0x1.0ae692367e4bcp-18, 0x1.031e193a741acp-18, 0x1.f6b357073753bp-19, 0x1.e733b11d9792ep-19, 0x1.d7be5963ba076p-19, 0x1.c854623e3d883p-19, 0x1.b8f6d7db3a849p-19, 0x1.a9a6c03226312p-19, 0x1.9a651b144ff43p-19, 0x1.8b32e235311dp-19, 0x1.7c11093208c05p-19, 0x1.6d007d9f5387fp-19, 0x1.5e02271440bb4p-19, 0x1.4f16e73af1694p-19, 0x1.403f99d551871p-19, 0x1.317d14cc8d575p-19, 0x1.22d0283cae38fp-19, 0x1.14399e7feacaep-19, 0x1.05ba3c3d4675p-19, 0x1.eea580e973703p-20, 0x1.d207c923b2021p-20, 0x1.b59cb8e98009ap-20, 0x1.9965ad0153979p-20, 0x1.7d63f756197d1p-20, 0x1.6198df0e99925p-20, 0x1.4605a0adf3e38p-20, 0x1.2aab6e2b6cba4p-20, 0x1.0f8b6f1d57f53p-20, 0x1.e94d81a3c7ba4p-21, 0x1.b3fcecc9b5967p-21, 0x1.7f2731d058c01p-21, 0x1.4ace4efa1c3fdp-21, 0x1.16f42ee68be52p-21, 0x1.c73551a3745c8p-22, 0x1.618701a9a80c1p-22, 0x1.f9c1a0e4f992fp-23, 0x1.328bf66f84438p-23, 0x1.b5ccd3e5b6946p-25, -0x1.560aec57a0e9cp-25, -0x1.165038e22cf16p-23, -0x1.d4efea07ed688p-23, -0x1.48ae5ce301086p-22, -0x1.a5c8ebd338834p-22, -0x1.00e2ad9f04d2ep-21, -0x1.2e50c2f102906p-21, -0x1.5b2db38fed5e7p-21, -0x1.87788d43ab413p-21, -0x1.b3306db038431p-21, -0x1.de54820d1f1e3p-21, -0x1.0472037590918p-20, -0x1.196f23ecfc1bp-20, -0x1.2e214f9d462e8p-20, -0x1.42883b0084006p-20, -0x1.56a3a1b3b7c0ep-20, -0x1.6a73465d51ec2p-20, -0x1.7df6f2891aedep-20, -0x1.912e7688f5505p-20, -0x1.a419a9546aefcp-20, -0x1.b6b86861237aep-20, -0x1.c90a978c0cd4bp-20, -0x1.db1020f869759p-20, -0x1.ecc8f4ecf844p-20, -0x1.fe3509b659461p-20, -0x1.07aa2dc3e2b82p-19, -0x1.1013762f2cf65p-19, -0x1.185661eedb607p-19, -0x1.2072f796612cbp-19, -0x1.2869406f48199p-19, -0x1.30394869b41bfp-19, -0x1.37e31e0b7aba3p-19, -0x1.3f66d263e2867p-19, -0x1.46c478fb6360ep-19, -0x1.4dfc27c43b70ap-19, -0x1.550df70d864adp-19, -0x1.5bfa01700b31cp-19, -0x1.62c063c43fe6fp-19, -0x1.69613d14557eap-19, -0x1.6fdcae8b5175bp-19, -0x1.7632db68d9da1p-19, -0x1.7c63e8f30d15dp-19, -0x1.826ffe696b8aep-19, -0x1.885744f6b8971p-19, -0x1.8e19e7a1a16bep-19, -0x1.93b813408d406p-19, -0x1.9931f66d41b32p-19, -0x1.9e87c176c0ec7p-19, -0x1.a3b9a656e2f1ep-19, -0x1.a8c7d8a30dc9ap-19, -0x1.adb28d8173264p-19, -0x1.b279fb9a9a5e7p-19, -0x1.b71e5b0fc8b45p-19, -0x1.bb9fe56a58ad2p-19, -0x1.bffed5935f66p-19, -0x1.c43b67c8b93fap-19, -0x1.c855d98e79e5dp-19, -0x1.cc4e69a4b172ap-19, -0x1.d02557fc5c47fp-19, -0x1.d3dae5acd2e1dp-19, -0x1.d76f54e76ff36p-19, -0x1.dae2e8ebf0229p-19, -0x1.de35e5ff73a5cp-19, -0x1.e16891613a3b4p-19, -0x1.e47b313f5305ap-19, -0x1.e76e0caf23462p-19, -0x1.ea416ba13b2aap-19, -0x1.ecf596d796e1cp-19, -0x1.ef8ad7dbfac6fp-19, -0x1.f20178f749297p-19, -0x1.f459c5253dbdep-19, -0x1.f694080da9edep-19, -0x1.f8b08dfaacb2dp-19, -0x1.faafa3d09d177p-19, -0x1.fc919702b202p-19, -0x1.fe56b58d043e8p-19, -0x1.ffff4dea9f25dp-19, -0x1.00c5d786df5aep-18, -0x1.017e142b7998ep-18, -0x1.022884c65a024p-18, -0x1.02c5516a8233bp-18, -0x1.0354a255ff697p-18, -0x1.03d69fee612acp-18, -0x1.044b72bda4b03p-18, -0x1.04b3436dbea27p-18, -0x1.050e3ac5683dp-18, -0x1.055c81a41804ap-18, -0x1.059e40ff7c6e7p-18, -0x1.05d3a1df0f6a9p-18, -0x1.05fccd5962ed6p-18, -0x1.0619ec90d6b9ep-18, -0x1.062b28b0673fap-18, -0x1.0630aae886d92p-18, -0x1.062a9c6c01fdep-18, -0x1.0619266d6eab7p-18, -0x1.05fc721ba1e9dp-18, -0x1.05d4a89f74cf3p-18, -0x1.05a1f3188a6e5p-18, -0x1.05647a9b1b7cp-18, -0x1.051c682d211edp-18, -0x1.04c9e4c364a72p-18, -0x1.046d193f6ae8bp-18, -0x1.04062e6d329dcp-18, -0x1.03954d00303bap-18, -0x1.031a9d916adf9p-18, -0x1.0296489d55367p-18, -0x1.02087681433cfp-18, -0x1.01714f7971d88p-18, -0x1.00d0fb9eeafc8p-18, -0x1.0027a2e5e8575p-18, -0x1.feeada3559b59p-19, -0x1.fd7503c229cd2p-19, -0x1.fbee1163b4eb2p-19, -0x1.fa5651b23fb73p-19, -0x1.f8ae12e7eff11p-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.e37282f9dec5fp-12, -0x1.e677a4de23d83p-11, -0x1.70e6928d5db66p-10, -0x1.f4147b4ad6af6p-10, -0x1.3fbca57c0ef81p-9, -0x1.8b204f086e05fp-9, -0x1.ddff38e3d45abp-9, -0x1.1d264c3dec241p-8, -0x1.510c2b6b3515p-8, -0x1.8bc1189997123p-8, -0x1.ce56a4a33ecd9p-8, -0x1.0ced2a20c402ap-7, -0x1.37a8413f30328p-7, -0x1.67d7fc09cfc47p-7, -0x1.9def1f1dda643p-7, -0x1.da5655007ff5dp-7, -0x1.0eb585afe2288p-6, -0x1.33bf50a159712p-6, -0x1.5c6aef2b164b3p-6, -0x1.88d4557d497cp-6, -0x1.b91100501e0b9p-6, -0x1.ed30051d11833p-6, -0x1.129d1b3f71eb1p-5, -0x1.30992c8e401e8p-5, -0x1.508ab2ead8fe5p-5, -0x1.726d6b1fa613dp-5, -0x1.963a7c69bb2fdp-5, -0x1.bbe8a547a908fp-5, -0x1.e36c6a03b2bffp-5, -0x1.065c2211a5ae9p-4, -0x1.1bde6903f5998p-4, -0x1.3234831600197p-4, -0x1.49552ac11d6fep-4, -0x1.6136724ad36dbp-4, -0x1.79cdd98f12161p-4, -0x1.931062e78c7dp-4, -0x1.acf2a71ae9fa1p-4, -0x1.c768e8452ed63p-4, -0x1.e26723b044d4fp-4, -0x1.fde12298375e5p-4, -0x1.0ce544ed2db7dp-3, -0x1.1b0b7448f2e54p-3, -0x1.295ce2d34ecbep-3, -0x1.37d3562a39097p-3, -0x1.46689bda14c22p-3, -0x1.55168ea724022p-3, -0x1.63d71b6125cd7p-3, -0x1.72a44546561bdp-3, -0x1.817829fb36817p-3, -0x1.904d051c96f81p-3, -0x1.9f1d337144a7ap-3, -0x1.ade335c0c9d26p-3, -0x1.bc99b3547e0ecp-3, -0x1.cb3b7c28064e2p-3, -0x1.d9c38ace480a8p-3, -0x1.e82d060f9019ep-3, -0x1.f673424595e92p-3, -0x1.0248e13cddddfp-2, -0x1.09421ca4e9f8bp-2, -0x1.102344cbb6e69p-2, -0x1.16ea6382bd82ap-2, -0x1.1d959b2405fc6p-2, -0x1.242326a4c3ceap-2, -0x1.2a9159945b0fp-2, -0x1.30dea0095dfdfp-2, -0x1.37097e7e01e84p-2, -0x1.3d10919d6c84ap-2, -0x1.42f28e03322a5p-2, -0x1.48ae3fee42dccp-2, -0x1.4e428ae87ae92p-2, -0x1.53ae6963ea67ap-2, -0x1.58f0ec4eef4dp-2, -0x1.5e093aa01461ep-2, -0x1.62f690daa8c59p-2, -0x1.67b8408cf27dbp-2, -0x1.6c4dafc8cb371p-2, -0x1.70b658977036ap-2, -0x1.74f1c8693c6f4p-2, -0x1.78ff9f81fbc7p-2, -0x1.7cdf906278f59p-2, -0x1.80915f2fdc63ep-2, -0x1.8414e11969ac6p-2, -0x1.8769fbbd1c986p-2, -0x1.8a90a48ba1a01p-2, -0x1.8d88e02c1771ap-2, -0x1.9052c1dfff86cp-2, -0x1.92ee6ae7c4b3fp-2, -0x1.955c09e82274cp-2, -0x1.979bda50cbf5ap-2, -0x1.99ae23c48dc8bp-2, -0x1.9b93398337af9p-2, -0x1.9d4b79d585016p-2, -0x1.9ed74d7b3aa77p-2, -0x1.a037271bab126p-2, -0x1.a16b82b8d086ap-2, -0x1.a274e5251baaap-2, -0x1.a353db7c1ecb4p-2, -0x1.a408fa9e303acp-2, -0x1.a494deaf1ff01p-2, -0x1.a4f82a9810abap-2, -0x1.a533878c8cd2bp-2, -0x1.a547a492e03d8p-2, -0x1.a535360fc88fdp-2, -0x1.a4fcf5557b3a6p-2, -0x1.a49fa036139e9p-2, -0x1.a41df8996088p-2, -0x1.a378c4161bfb8p-2, -0x1.a2b0cb8e8650cp-2, -0x1.a1c6dad064279p-2, -0x1.a0bbc0385c238p-2, -0x1.9f904c58ab31cp-2, -0x1.9e4551a328c11p-2, -0x1.9cdba4169765cp-2, -0x1.9b5418ef2bed6p-2, -0x1.99af865a4df5ep-2, -0x1.97eec32d7a483p-2, -0x1.9612a6a0421fbp-2, -0x1.941c080954e66p-2, -0x1.920bbe9e87a3cp-2, -0x1.8fe2a137cced8p-2, -0x1.8da18615091e9p-2, -0x1.8b4942a6b997bp-2, -0x1.88daab595a5ecp-2, -0x1.865693637ab74p-2, -0x1.83bdcc9670df5p-2, -0x1.8111273199973p-2, -0x1.7e5171b816b18p-2, -0x1.7b7f78c8faa54p-2, -0x1.789c06f9c9607p-2, -0x1.75a7e4b348341p-2, -0x1.72a3d81084a83p-2, -0x1.6f90a4c00263bp-2, -0x1.6c6f0be70052p-2, -0x1.693fcc06c3df3p-2, -0x1.6603a0e3da065p-2, -0x1.62bb436f3ecb6p-2, -0x1.5f6769b15605dp-2, -0x1.5c08c6b6ae721p-2, -0x1.58a00a7e75873p-2, -0x1.552de1ea91f3bp-2, -0x1.51b2f6b158004p-2, -0x1.4e2fef50bf374p-2, -0x1.4aa56f03171e2p-2, -0x1.471415b5202cep-2, -0x1.437c7ffd85eebp-2, -0x1.3fdf4715a21cap-2, -0x1.3c3d00d3844b9p-2, -0x1.38963fa52bb41p-2, -0x1.34eb928ce25f8p-2, -0x1.313d851eb8d7ap-2, -0x1.2d8c9f7f09b7fp-2, -0x1.29d96661fe88ep-2, -0x1.26245b0c0a743p-2, -0x1.226dfb534d311p-2, -0x1.1eb6c1a1d40a6p-2, -0x1.1aff24f8aee0ep-2, -0x1.174798f3cc691p-2, -0x1.13908dce9386ap-2, -0x1.0fda706932bcp-2, -0x1.0c25aa4e987c8p-2, -0x1.0872a1bb0b25p-2, -0x1.04c1b9a35a015p-2, -0x1.011351bc9b7f8p-2, -0x1.facf8d08e3eeep-3, -0x1.f37ee29399d2bp-3, -0x1.ec35506c4035p-3, -0x1.e4f37cae0c041p-3, -0x1.ddba075097861p-3, -0x1.d6898a3cb0623p-3, -0x1.cf629961d4b3ep-3, -0x1.c845c2cc52d91p-3, -0x1.c1338ebbfd063p-3, -0x1.ba2c7fbb5e279p-3, -0x1.b33112b771d36p-3, -0x1.ac41bf17c162p-3, -0x1.a55ef6d6e8d31p-3, -0x1.9e89269b7569bp-3, -0x1.97c0b5d10b89p-3, -0x1.910606c1d4b12p-3, -0x1.8a5976b024055p-3, -0x1.83bb5df04dd6bp-3, -0x1.7d2c1002a33f4p-3, -0x1.76abdbad8e486p-3, -0x1.703b0b17c08a9p-3, -0x1.69d9e3e278ab5p-3, -0x1.6388a743c0d21p-3, -0x1.5d479220bdd33p-3, -0x1.5716dd27e85d6p-3, -0x1.50f6bceb3fff8p-3, -0x1.4ae761fa6ad3ap-3, -0x1.44e8f8fcb823ap-3, -0x1.3efbaacb0362fp-3, -0x1.391f9c89777e8p-3, -0x1.3354efc1246e8p-3, -0x1.2d9bc279670b5p-3, -0x1.27f42f511ddddp-3, -0x1.225e4d97a928fp-3, -0x1.1cda3165ad60bp-3, -0x1.1767ebb59ab1cp-3, -0x1.12078a7be9c5ap-3, -0x1.0cb918bf21fc6p-3, -0x1.077c9eaf850e1p-3, -0x1.025221be817ecp-3, -0x1.fa73496b8faafp-4, -0x1.f0664f9c34acbp-4, -0x1.e67d518b8ed3fp-4, -0x1.dcb845ed9498cp-4, -0x1.d3171ed93ae68p-4, -0x1.c999c9f35f6d9p-4, -0x1.c040309901473p-4, -0x1.b70a3808cb6f3p-4, -0x1.adf7c18bdf7dp-4, -0x1.a508aa9de41fap-4, -0x1.9c3ccd1460295p-4, -0x1.9393ff455660cp-4, -0x1.8b0e142d16a96p-4, -0x1.82aadb93631d7p-4, -0x1.7a6a222fc4decp-4, -0x1.724bb1cd26f35p-4, -0x1.6a4f516cae09ap-4, -0x1.6274c567ce31dp-4, -0x1.5abbcf91a0223p-4, -0x1.53242f5775244p-4, -0x1.4bada1e0a9abbp-4, -0x1.4457e22db90d7p-4, -0x1.3d22a9368f2bcp-4, -0x1.360dae081fa81p-4, -0x1.2f18a5e13d26ep-4, -0x1.2843444eb3cfcp-4, -0x1.218d3b46acd81p-4, -0x1.1af63b43532dap-4, -0x1.147df35cc6f9fp-4, -0x1.0e24116255f75p-4, -0x1.07e841f30244cp-4, -0x1.01ca3095567cdp-4, -0x1.f7930f9d114b9p-5, -0x1.ebcbe271e228cp-5, -0x1.e03e2b33a6496p-5, -0x1.d4e939ecfad5dp-5, -0x1.c9cc5d51852d5p-5, -0x1.bee6e2e597d47p-5, -0x1.b438172493b1bp-5, -0x1.a9bf45a60b38cp-5, -0x1.9f7bb941a5685p-5, -0x1.956cbc31cb826p-5, -0x1.8b91983528e36p-5, -0x1.81e996aefc429p-5, -0x1.787400c63ef06p-5, -0x1.6f301f83b1e6p-5, -0x1.661d3beec8eaap-5, -0x1.5d3a9f2981859p-5, -0x1.5487928b23476p-5, -0x1.4c035fba02656p-5, -0x1.43ad50c428db7p-5, -0x1.3b84b0370d22p-5, -0x1.3388c93644e12p-5, -0x1.2bb8e79149cadp-5, -0x1.241457d84289ap-5, -0x1.1c9a676fea817p-5, -0x1.154a64a48ff07p-5, -0x1.0e239ebc31efcp-5, -0x1.07256607c0717p-5, -0x1.004f0bf38a30cp-5, -0x1.f33fc62db348cp-6, -0x1.e62e7e858f40cp-6, -0x1.d968eb207e2d4p-6, -0x1.ccedb8daa28ap-6, -0x1.c0bb9753776a7p-6, -0x1.b4d1390582f71p-6, -0x1.a92d535ca371dp-6, -0x1.9dce9ecaffe6ap-6, -0x1.92b3d6dca87fcp-6, -0x1.87dbba49ee3a7p-6, -0x1.7d450b0884fc6p-6, -0x1.72ee8e5b6ded6p-6, -0x1.68d70ce1b11efp-6, -0x1.5efd52a401f25p-6, -0x1.55602f214464fp-6, -0x1.4bfe755a0424bp-6, -0x1.42d6fbdae4769p-6, -0x1.39e89cc60c747p-6, -0x1.313235dbaffffp-6, -0x1.28b2a88197292p-6, -0x1.2068d9c9c249ep-6, -0x1.1853b2783dd7ap-6, -0x1.10721f08166eap-6, -0x1.08c30faf7c92ap-6, -0x1.014578632c8d9p-6, -0x1.f3f0a1b20d6ebp-7, -0x1.e5b529140a60dp-7, -0x1.d7d68566d657fp-7, -0x1.ca52bcaeae9bbp-7, -0x1.bd27dc7953427p-7, -0x1.b053f9dcb9a4cp-7, -0x1.a3d5317461ca1p-7, -0x1.97a9a75db58a6p-7, -0x1.8bcf8733445cbp-7, -0x1.80450406e9e4ap-7, -0x1.7508585b0db0bp-7, -0x1.6a17c61ae16c1p-7, -0x1.5f719691cec59p-7, -0x1.55141a61ec3bep-7, -0x1.4afda979b98bap-7, -0x1.412ca309079aap-7, -0x1.379f6d7531bacp-7, -0x1.2e54764c8fec6p-7, -0x1.254a3239600cfp-7, -0x1.1c7f1cf3ec855p-7, -0x1.13f1b9342cb4fp-7, -0x1.0ba090a2d6efep-7, -0x1.038a33c9eec1cp-7, -0x1.f75a7409a48ccp-8, -0x1.e81082df99dabp-8, -0x1.d933ddae91fb3p-8, -0x1.cac1db4d09174p-8, -0x1.bcb7dfac00facp-8, -0x1.af135bb301debp-8, -0x1.a1d1cd1bb086p-8, -0x1.94f0be4c9ba8fp-8, -0x1.886dc6336937dp-8, -0x1.7c46881ee2672p-8, -0x1.7078b398239e8p-8, -0x1.6502043bd0582p-8, -0x1.59e041929b95cp-8, -0x1.4f113ee988467p-8, -0x1.4492db2a10e77p-8, -0x1.3a6300b1e1eecp-8, -0x1.307fa52a70be5p-8, -0x1.26e6c960912eep-8, -0x1.1d96791bafa08p-8, -0x1.148ccaf4f82eap-8, -0x1.0bc7e02e95417p-8, -0x1.0345e48ac596bp-8, -0x1.f60a1c45c11dfp-9, -0x1.e6073a7d5c27ep-9, -0x1.d67fb856e7cefp-9, -0x1.c7703e264df47p-9, -0x1.b8d587a7db14dp-9, -0x1.aaac63aedc11p-9, -0x1.9cf1b3d5006f6p-9, -0x1.8fa26c29f4e89p-9, -0x1.82bb92e374bc9p-9, -0x1.763a400d6018ap-9, -0x1.6a1b9d3a9a568p-9, -0x1.5e5ce53646ce5p-9, -0x1.52fb63b59d186p-9, -0x1.47f4750a27b3cp-9, -0x1.3d4585d4f9d03p-9, -0x1.32ec12b9c350fp-9, -0x1.28e5a8132ac1cp-9, -0x1.1f2fe1a76bfabp-9, -0x1.15c86a5de4543p-9, -0x1.0cacfbf527a7p-9, -0x1.03db5eb9e2c66p-9, -0x1.f6a2d27d41b0fp-10, -0x1.e61a0027a1b87p-10, -0x1.d6182b01ee789p-10, -0x1.c699527d39118p-10, -0x1.b7999061fbb16p-10, -0x1.a9151846c9db6p-10, -0x1.9b0837099b37bp-10, -0x1.8d6f5249af82bp-10, -0x1.8046e7e32cf69p-10, -0x1.738b8d6d39b6fp-10, -0x1.6739efb92a35p-10, -0x1.5b4ed25390569p-10, -0x1.4fc70f070f38dp-10, -0x1.449f95614ec35p-10, -0x1.39d56a38f10efp-10, -0x1.2f65a7359e9acp-10, -0x1.254d7a59e800dp-10, -0x1.1b8a258eed67cp-10, -0x1.1218fe31ad4b2p-10, -0x1.08f76ca231c56p-10, -0x1.0022ebd4c4377p-10, -0x1.ef3211c8f2069p-11, -0x1.deaec54ea7812p-11, -0x1.ceb752891887dp-11, -0x1.bf473b99f63abp-11, -0x1.b05a23a877653p-11, -0x1.a1ebce189e31ap-11, -0x1.93f81dc67fc92p-11, -0x1.867b144343f35p-11, -0x1.7970d1168041p-11, -0x1.6cd591029313cp-11, -0x1.60a5ad4d4aa6ep-11, -0x1.54dd9b0ac92d6p-11, -0x1.4979ea6c75375p-11, -0x1.3e77461365206p-11, -0x1.33d272658ce2cp-11, -0x1.29884ce669336p-11, -0x1.1f95cb9289282p-11, -0x1.15f7fc3e5b0f1p-11, -0x1.0cac03f92c0e9p-11, -0x1.03af1e71d362fp-11, -0x1.f5fd3abdf4675p-12, -0x1.e52fcfd78673p-12, -0x1.d4f0f44a62b2cp-12, -0x1.c53bc8d8ef4cep-12, -0x1.b60b95d4c5487p-12, -0x1.a75bca0ebda81p-12, -0x1.9927f9cbf2bcp-12, -0x1.8b6bddbefa504p-12, -0x1.7e235208573c6p-12, -0x1.714a553c9e901p-12, -0x1.64dd076ea32cfp-12, -0x1.58d7a9405eb3fp-12, -0x1.4d369af6d31bep-12, -0x1.41f65b969a5abp-12, -0x1.37138803b32cp-12, -0x1.2c8ada25fae66p-12, -0x1.22592813af98cp-12, -0x1.187b6341743c2p-12, -0x1.0eee97b4eda06p-12, -0x1.05afeb3f2fd88p-12, -0x1.f979396ed2b45p-13, -0x1.e824067d2b9ffp-13, -0x1.d75b1b0d39bd2p-13, -0x1.c71982387adfdp-13, -0x1.b75a736cf624p-13, -0x1.a81951184890fp-13, -0x1.9951a7537fffbp-13, -0x1.8aff2a9eb2ed8p-13, -0x1.7d1db69f804cap-13, -0x1.6fa94ce88744cp-13, -0x1.629e13cb968aep-13, -0x1.55f85532b486bp-13, -0x1.49b47d7d613b4p-13, -0x1.3dcf1a68fdab1p-13, -0x1.3244da01345f3p-13, -0x1.271289933368bp-13, -0x1.1c3514ab57b7dp-13, -0x1.11a98418502bcp-13, -0x1.076cfcf3d278bp-13, -0x1.faf97f6d38899p-14, -0x1.e7ac4e9c43d29p-14, -0x1.d4ed5072f5c4bp-14, -0x1.c2b79f5effa71p-14, -0x1.b106858e2fcafp-14, -0x1.9fd57b514b685p-14, -0x1.8f202584ad1f2p-14, -0x1.7ee25406e1fe1p-14, -0x1.6f180039e2354p-14, -0x1.5fbd4b9477a7cp-14, -0x1.50ce7e35a137p-14, -0x1.4248058690956p-14, -0x1.342672eaa7297p-14, -0x1.26667a7190fe8p-14, -0x1.1904f199eb12dp-14, -0x1.0bfece19f0664p-14, -0x1.fea2495d9c3d3p-15, -0x1.e5f24ff3d2148p-15, -0x1.cde84ecde6868p-15, -0x1.b67f1c31f7e55p-15, -0x1.9fb1c3b911754p-15, -0x1.897b84537baa2p-15, -0x1.73d7ce51c2ff3p-15, -0x1.5ec24178e72c6p-15, -0x1.4a36ab3c12841p-15, -0x1.363104e54696fp-15, -0x1.22ad71e3f752ap-15, -0x1.0fa83e2106ca4p-15, -0x1.fa3bb8d277be3p-16, -0x1.d615c9ad61a62p-16, -0x1.b2d826a07bd27p-16, -0x1.907c8c3a35af6p-16, -0x1.6efcf8e49bc0ap-16, -0x1.4e53aa2de85fep-16, -0x1.2e7b1a3bb59a7p-16, -0x1.0f6dfd2470abdp-16, -0x1.e24e7d14c0037p-17, -0x1.a743fe682d498p-17, -0x1.6db325ab82738p-17, -0x1.3592fb8f31553p-17, -0x1.fdb5cba99d115p-18, -0x1.930546a7a10c8p-18, -0x1.2b048fbd0bfcap-18, -0x1.8b48e1d8f1cb6p-19, -0x1.8b593d954e6ccp-20, -0x1.461222de0e9fp-25, 0x1.6d1e28b8a464cp-20, 0x1.6d635e54883eap-19, 0x1.0fbebd7c9a2fep-18, 0x1.667aadca40558p-18, 0x1.baf104699f085p-18, 0x1.06966b6fe055ap-17, 0x1.2e9c68aabea4ep-17, 0x1.558f9dedecec6p-17, 0x1.7b74ffac4fcbfp-17, 0x1.a051551f0fb1p-17, 0x1.c4293aa376cb4p-17, 0x1.e70123e398cd2p-17, 0x1.046eaefcd9f13p-16, 0x1.14e108b07d024p-16, 0x1.24d9a1fe63354p-16, 0x1.345a6d7392022p-16, 0x1.43654e1e64ffbp-16, 0x1.51fc186478f09p-16, 0x1.602092d685e94p-16, 0x1.6dd476f57f687p-16, 0x1.7b1971ed9f54cp-16, 0x1.87f1255177771p-16, 0x1.945d27c344718p-16, 0x1.a05f059a36b08p-16, 0x1.abf8417ae1ed3p-16, 0x1.b72a54f1ad04ap-16, 0x1.c1f6b0fe41235p-16, 0x1.cc5ebe9f35783p-16, 0x1.d663df4e58f4bp-16, 0x1.e0076d78f6598p-16, 0x1.e94abcfb80e09p-16, 0x1.f22f1b86bfe69p-16, 0x1.fab5d10d15d63p-16, 0x1.0170101208bdap-15, 0x1.0557a3302671ap-15, 0x1.09123e5795be7p-15, 0x1.0ca07bd25e936p-15, 0x1.1002f3e6e2f6fp-15, 0x1.133a3cfbedf6dp-15, 0x1.1646ebbeb8d62p-15, 0x1.1929933c5974ap-15, 0x1.1be2c506ccb9fp-15, 0x1.1e73114e420a4p-15, 0x1.20db06fc7407cp-15, 0x1.231b33cc9239ep-15, 0x1.25342463bf809p-15, 0x1.272664666920dp-15, 0x1.28f27e8b7a2cbp-15, 0x1.2a98fcadce014p-15, 0x1.2c1a67ddf3d43p-15, 0x1.2d77487356f97p-15, 0x1.2eb0261a2a225p-15, 0x1.2fc587dc407f5p-15, 0x1.30b7f43388549p-15, 0x1.3187f10ffcd52p-15, 0x1.323603e37ce12p-15, 0x1.32c2b1a887001p-15, 0x1.332e7eeb7ccb4p-15, 0x1.3379efd17b5e4p-15, 0x1.33a5881d635fp-15, 0x1.33b1cb34f41d6p-15, 0x1.339f3c243545fp-15, 0x1.336e5da2a62f3p-15, 0x1.331fb216486e8p-15, 0x1.32b3bb9240ec8p-15, 0x1.322afbdcecb2dp-15, 0x1.3185f46e71ca5p-15, 0x1.30c526704f8a4p-15, 0x1.2fe912bf541dbp-15, 0x1.2ef239e809622p-15, 0x1.2de11c291cfedp-15, 0x1.2cb6396f1245ep-15, 0x1.2b721154abc51p-15, 0x1.2a15231dd86ebp-15, 0x1.289fedb677fd8p-15, 0x1.2712efb03ee1dp-15, 0x1.256ea73f07be6p-15, 0x1.23b39233a9267p-15, 0x1.21e22dfb088c3p-15, 0x1.1ffaf797c6c2p-15, 0x1.1dfe6b9eecfa8p-15, 0x1.1bed0633e8856p-15, 0x1.19c74302f0812p-15, 0x1.178d9d3e44694p-15, 0x1.15408f9786164p-15, 0x1.12e0943cab322p-15, 0x1.106e24d0f5386p-15, 0x1.0de9ba6820eadp-15, 0x1.0b53cd83afae9p-15, 0x1.08acd60b7c1c5p-15, 0x1.05f54b491736p-15, 0x1.032da3e2ee216p-15, 0x1.005655d66c1d5p-15, 0x1.fadface513449p-16, 0x1.f4f534a73ca8bp-16, 0x1.eeee2abaa9b5ap-16, 0x1.e8cb756cf1b6cp-16, 0x1.e28df984ddc34p-16, 0x1.dc369a3bcc1bcp-16, 0x1.d5c6392faf4dp-16, 0x1.cf3db6596aef4p-16, 0x1.c89df0056b18p-16, 0x1.c1e7c2cb391bep-16, 0x1.bb1c097ff6a18p-16, 0x1.b43b9d2f76c76p-16, 0x1.ad4755126b547p-16, 0x1.a640068427fbfp-16, 0x1.9f2684faeb447p-16, 0x1.97fba1ffd6b9dp-16, 0x1.90c02d2842716p-16, 0x1.8974f40aa5f7cp-16, 0x1.821ac2377b6cp-16, 0x1.7ab261338ae3dp-16, 0x1.733c986c3d78ep-16, 0x1.6bba2d32b4997p-16, 0x1.642be2b6b61dp-16, 0x1.5c927a0032391p-16, 0x1.54eeb1e500485p-16, 0x1.4d4147073ab2bp-16, 0x1.458af3cb79ce8p-16, 0x1.3dcc705462cedp-16, 0x1.3606727dc590cp-16, 0x1.2e39add71b28dp-16, 0x1.2666d3a2e0e01p-16, 0x1.1e8e92cc303bfp-16, 0x1.16b197e4cba24p-16, 0x1.0ed08d2224b32p-16, 0x1.06ec1a56b92bp-16, 0x1.fe09c9e016b25p-17, 0x1.ee371fe831c5ep-17, 0x1.de617801fff19p-17, 0x1.ce8a0e88fe64ap-17, 0x1.beb21afcc6d41p-17, 0x1.aedacff862a9dp-17, 0x1.9f055b2c3521ep-17, 0x1.8f32e55cfda61p-17, 0x1.7f64926034d21p-17, 0x1.6f9b8120fdc81p-17, 0x1.5fd8cb96e09d2p-17, 0x1.501d86c5065a3p-17, 0x1.406ac2ba9ad66p-17, 0x1.30c18a910ba75p-17, 0x1.2122e46c2b948p-17, 0x1.118fd17917433p-17, 0x1.02094df648afdp-17, 0x1.e520a2626fc2dp-18, 0x1.c64b9b0332901p-18, 0x1.a79560aeb3688p-18, 0x1.88ffc4678044bp-18, 0x1.6a8c8d5d29ebp-18, 0x1.4c3d78f1c9fe4p-18, 0x1.2e143ac5992b7p-18, 0x1.10127ccb334fap-18, 0x1.e473be77a127cp-19, 0x1.a917f15ba1e78p-19, 0x1.6e14ac2bf4e46p-19, 0x1.336cf5b0b3ecp-19, 0x1.f2478349ada8ep-20, 0x1.7e77e1943a414p-20, 0x1.0b70a229adfc1p-20, 0x1.326e771d15358p-21, 0x1.3e87f6ca752c7p-23, -0x1.22f39f12622bep-22, -0x1.70dae1be45894p-21, -0x1.273bb9a31fb52p-20, -0x1.9523038763e7bp-20, -0x1.010f5a0bb784p-19, -0x1.37152a3175e92p-19, -0x1.6ca0c87be0e55p-19, -0x1.a1b01cccf5fd4p-19, -0x1.d6412071cf145p-19, -0x1.0528ef01baf34p-18, -0x1.1ef0389fd2296p-18, -0x1.3875836d87f72p-18, -0x1.51b7ee2f934bbp-18, -0x1.6ab69ff4489ffp-18, -0x1.8370c80e2d8efp-18, -0x1.9be59dfa33d16p-18, -0x1.b4146143b2529p-18, -0x1.cbfc597345c7cp-18, -0x1.e39cd5f9bc271p-18, -0x1.faf52e1cd638p-18, -0x1.0902606cc5d9cp-17, -0x1.14657a639ee0dp-17, -0x1.1fa39c0492a2cp-17, -0x1.2abc801c7e04bp-17, -0x1.35afe525646e5p-17, -0x1.407d8d3bc5ab4p-17, -0x1.4b253e12d1691p-17, -0x1.55a6c0e66d68fp-17, -0x1.6001e272c19c5p-17, -0x1.6a3672e03188ap-17, -0x1.744445be26a33p-17, -0x1.7e2b31f7b8afp-17, -0x1.87eb11c1be3a4p-17, -0x1.9183c2918b5d6p-17, -0x1.9af5250fd82bcp-17, -0x1.a43f1d0f48afp-17, -0x1.ad61917d2cd27p-17, -0x1.b65c6c52c7c67p-17, -0x1.bf2f9a8bb9b86p-17, -0x1.c7db0c17a9354p-17, -0x1.d05eb3cfe771dp-17, -0x1.d8ba876cae3fbp-17, -0x1.e0ee7f73f0379p-17, -0x1.e8fa972fe5071p-17, -0x1.f0decca179b51p-17, -0x1.f89b20762759ep-17, -0x1.0017cafaa0876p-16, -0x1.03ce197ca9d8ap-16, -0x1.07707ff27e0bp-16, -0x1.0aff03c91a497p-16, -0x1.0e79aba39598fp-16, -0x1.11e07f558caap-16, -0x1.153387ddf907bp-16, -0x1.1872cf5feeba6p-16, -0x1.1b9e611b679acp-16, -0x1.1eb64969cfe4fp-16, -0x1.21ba95b5e5eafp-16, -0x1.24ab54766ead8p-16, -0x1.2788952a57c9bp-16, -0x1.2a526850a4dc4p-16, -0x1.2d08df6274488p-16, -0x1.2fac0cce410c9p-16, -0x1.323c03f2d3e13p-16, -0x1.34b8d917153bdp-16, -0x1.3722a16653fbcp-16, -0x1.397972e9a3bd1p-16, -0x1.3bbd6484bfe38p-16, -0x1.3dee8decd0d5ep-16, -0x1.400d07a52bba1p-16, -0x1.4218eaf9cf91dp-16, -0x1.441251fa0940ap-16, -0x1.45f9577264de2p-16, -0x1.47ce16e771702p-16, -0x1.4990ac917c869p-16, -0x1.4b4135562ba3fp-16, -0x1.4cdfcec401ce2p-16, -0x1.4e6c970ddea25p-16, -0x1.4fe7ad057fc45p-16, -0x1.51513015cdb46p-16, -0x1.52a9403e476e5p-16, -0x1.53effe0fb4751p-16, -0x1.55258aa4f24f2p-16, -0x1.564a079ffa285p-16, -0x1.575d9723b26efp-16, -0x1.58605bd0c375bp-16, -0x1.595278c12b6d3p-16, -0x1.5a341181510dcp-16, -0x1.5b054a0e8668p-16, -0x1.5bc646d0e3e05p-16, -0x1.5c772c96d3832p-16, -0x1.5d1820921d228p-16, -0x1.5da9485288ebp-16, -0x1.5e2ac9c1fcfefp-16, -0x1.5e9ccb2058c6p-16, -0x1.5eff72ff89e2ep-16, -0x1.5f52e83fb1027p-16, -0x1.5f97520ac7d99p-16, -0x1.5fccd7d0aa92bp-16, -0x1.5ff3a1441bfe4p-16, -0x1.600bd65634ccep-16, -0x1.60159f32f474ap-16, -0x1.6011243dab2ddp-16, -0x1.5ffe8e0d64a7ep-16, -0x1.5fde05683059cp-16, -0x1.5fafb342cbc2bp-16, -0x1.5f73c0b9bb8f8p-16, -0x1.5f2a5710195c7p-16, -0x1.5ed39faada948p-16, }}, 
      {{-0x1.db081cd49428bp-1, -0x1.daf9878aa9b9ap-1, -0x1.dadcf211e2299p-1, -0x1.daad8da2867b3p-1, -0x1.da6652d591d3p-1, -0x1.da028830226e5p-1, -0x1.d97e131c586b3p-1, -0x1.d8d5a339183c6p-1, -0x1.d806c3a70ba0fp-1, -0x1.d70fdacf25ff4p-1, -0x1.d5f01ec73bfcep-1, -0x1.d4a782be34e87p-1, -0x1.d336a092debf3p-1, -0x1.d19ea0c8512dfp-1, -0x1.cfe1225abf991p-1, -0x1.ce002376f3735p-1, -0x1.cbfdebb923667p-1, -0x1.c9dcf85457b5cp-1, -0x1.c79fea53474b5p-1, -0x1.c54977019809fp-1, -0x1.c2dc5a74f9a94p-1, -0x1.c05b4c1ddcce1p-1, -0x1.bdc8f53d92bdep-1, -0x1.bb27e919d543fp-1, -0x1.b87a9ec2ee535p-1, -0x1.b5c36c4117bbap-1, -0x1.b30482fe8b5bcp-1, -0x1.b03fed45a0adbp-1, -0x1.ad778cace6ec5p-1, -0x1.aaad194e105bcp-1, -0x1.a7e221a7b0731p-1, -0x1.a5180b0ceb56dp-1, -0x1.a25012895de4dp-1, -0x1.9f8b4e227415ap-1, -0x1.9ccaae623dfddp-1, -0x1.9a0f001a63b02p-1, -0x1.9758ee50414d6p-1, -0x1.94a9044559e0ep-1, -0x1.91ffaf91481c2p-1, -0x1.8f5d424407dc2p-1, -0x1.8cc1f50902bd6p-1, -0x1.8a2de944a10bfp-1, -0x1.87a12b274be29p-1, -0x1.851bb3b1d8e7ap-1, -0x1.829d6aa831ccep-1, -0x1.8026286fd0104p-1, -0x1.7db5b7d84aa1p-1, -0x1.7b4bd7ccba4b9p-1, -0x1.78e83ced30531p-1, -0x1.768a930fdcedbp-1, -0x1.74327ea9d2f24p-1, -0x1.71df9e1f94ea7p-1, -0x1.6f918afdd2035p-1, -0x1.6d47db1ade7f4p-1, -0x1.6b0221a196437p-1, -0x1.68bff00672b7p-1, -0x1.6680d6e7ad6fbp-1, -0x1.644466d955e89p-1, -0x1.620a311e4cd05p-1, -0x1.5fd1c84f19afbp-1, -0x1.5d9ac0ef8d3cbp-1, -0x1.5b64b1f42de6fp-1, -0x1.592f353857ee8p-1, -0x1.56f9e7e608a09p-1, -0x1.54c46ad036919p-1, -0x1.528e62c09adebp-1, -0x1.505778b9c7957p-1, -0x1.4e1f5a2e594e4p-1, -0x1.4be5b92e12773p-1, -0x1.49aa4c899ddc7p-1, -0x1.476ccfedb3ca8p-1, -0x1.452d03f64df8cp-1, -0x1.42eaae3a966bbp-1, -0x1.40a599522a234p-1, -0x1.3e5d94d44984ap-1, -0x1.3c127551841c6p-1, -0x1.39c4144861b08p-1, -0x1.377250158d3b5p-1, -0x1.351d0bdff14cep-1, -0x1.32c42f813ad0dp-1, -0x1.3067a76b267d6p-1, -0x1.2e076489fe4d7p-1, -0x1.2ba35c249e89ep-1, -0x1.293b87ba5a2p-1, -0x1.26cfe4df0d6fbp-1, -0x1.24607515a6987p-1, -0x1.21ed3da96c0eap-1, -0x1.1f7647863df23p-1, -0x1.1cfb9f100b1bbp-1, -0x1.1a7d53f9b5af3p-1, -0x1.17fb791b91de8p-1, -0x1.15762449b2508p-1, -0x1.12ed6e2a2755dp-1, -0x1.1061720b5b5d7p-1, -0x1.0dd24dbaab012p-1, -0x1.0b40215b5b682p-1, -0x1.08ab0f3e099c6p-1, -0x1.06133bb8acfd2p-1, -0x1.0378ccff433cbp-1, -0x1.00dbeafd3a5d5p-1, -0x1.fc797e5f56bc1p-2, -0x1.f736e900e6027p-2, -0x1.f1f06e4472c77p-2, -0x1.eca668dae5e51p-2, -0x1.e759357cc401p-2, -0x1.e20932a84e1efp-2, -0x1.dcb6c061bf98ap-2, -0x1.d7623ff5c2fe9p-2, -0x1.d20c13be15867p-2, -0x1.ccb49ee86e92ep-2, -0x1.c75c453fa1a94p-2, -0x1.c2036af706b44p-2, -0x1.bcaa747820a8ep-2, -0x1.b751c6328450ap-2, -0x1.b1f9c46df7be5p-2, -0x1.aca2d31ecdf29p-2, -0x1.a74d55bc6bc65p-2, -0x1.a1f9af19f9305p-2, -0x1.9ca8414131b21p-2, -0x1.97596d4f487f6p-2, -0x1.920d9353df7d3p-2, -0x1.8cc51231f644cp-2, -0x1.87804782d7c3ep-2, -0x1.823f8f7aecf7dp-2, -0x1.7d0344d06cd85p-2, -0x1.77cbc0a3dee4dp-2, -0x1.72995a6a5ebbcp-2, -0x1.6d6c67d998613p-2, -0x1.68453cd56a4b4p-2, -0x1.63242b5f2316ep-2, -0x1.5e0983864b0f1p-2, -0x1.58f5935aef6a8p-2, -0x1.53e8a6e15be39p-2, -0x1.4ee3080739e0dp-2, -0x1.49e4fe9a02b3ep-2, -0x1.44eed03ebd04ep-2, -0x1.4000c06af280bp-2, -0x1.3b1b105ed5df4p-2, -0x1.363dff208578p-2, -0x1.3169c978643b6p-2, -0x1.2c9ea9ee76994p-2, -0x1.27dcd8c8beee1p-2, -0x1.23248c0a80654p-2, -0x1.1e75f7746a12dp-2, -0x1.19d14c85967a6p-2, -0x1.1536ba7d55652p-2, -0x1.10a66e5db6cb3p-2, -0x1.0c2092eec92d6p-2, -0x1.07a550c285a84p-2, -0x1.0334ce3958992p-2, -0x1.fd9e5f0e8781ap-3, -0x1.f4e92d7315e0fp-3, -0x1.ec4a4779ccd37p-3, -0x1.e3c1e8c85b80ap-3, -0x1.db5048deeb0bdp-3, -0x1.d2f59b272b44bp-3, -0x1.cab20f042621cp-3, -0x1.c285cfe2bec21p-3, -0x1.ba71054ada319p-3, -0x1.b273d2f11950dp-3, -0x1.aa8e58c91e982p-3, -0x1.a2c0b3184a9ap-3, -0x1.9b0afa88e2f44p-3, -0x1.936d443da1eddp-3, -0x1.8be7a1e591b9ap-3, -0x1.847a21d03b4a2p-3, -0x1.7d24cf0207477p-3, -0x1.75e7b148e5646p-3, -0x1.6ec2cd5108cfbp-3, -0x1.67b624b9dc0f8p-3, -0x1.60c1b62afcc78p-3, -0x1.59e57d6951e25p-3, -0x1.5321736c237dbp-3, -0x1.4c758e72373c3p-3, -0x1.45e1c216e831p-3, -0x1.3f65ff6727ed5p-3, -0x1.390234f67884p-3, -0x1.32b64ef3c35e3p-3, -0x1.2c82373e13ea3p-3, -0x1.2665d5792d58cp-3, -0x1.20610f21f9a63p-3, -0x1.1a73c7a2bf777p-3, -0x1.149de06735a86p-3, -0x1.0edf38f04f9afp-3, -0x1.0937aee7d9255p-3, -0x1.03a71e33d32b1p-3, -0x1.fc5ac2130e692p-4, -0x1.f194a000be6b8p-4, -0x1.e6fb8448ea695p-4, -0x1.dc8f1a11a2436p-4, -0x1.d24f09b2c96fap-4, -0x1.c83af8d9695b4p-4, -0x1.be528aaa60315p-4, -0x1.b4955fe4714d3p-4, -0x1.ab031701b2117p-4, -0x1.a19b4c584c19bp-4, -0x1.985d9a3a8c28fp-4, -0x1.8f499916542bbp-4, -0x1.865edf93d1579p-4, -0x1.7d9d02b3882d7p-4, -0x1.750395ebb1164p-4, -0x1.6c922b44e0543p-4, -0x1.64485375ff15cp-4, -0x1.5c259dff91458p-4, -0x1.5429994648f73p-4, -0x1.4c53d2ace9349p-4, -0x1.44a3d6ad77761p-4, -0x1.3d1930f1bb131p-4, -0x1.35b36c6b0e888p-4, -0x1.2e721369820ecp-4, -0x1.2754afb24f518p-4, -0x1.205aca95a0c0ep-4, -0x1.1983ed03b0868p-4, -0x1.12cf9fa13ae68p-4, -0x1.0c3d6adb4c244p-4, -0x1.05ccd6fa6529bp-4, -0x1.fefad86a00e58p-5, -0x1.f29d6582e442ap-5, -0x1.e68065ce542f3p-5, -0x1.daa2ea1eaf7afp-5, -0x1.cf0403a9e7557p-5, -0x1.c3a2c4285c4ecp-5, -0x1.b87e3df296f5fp-5, -0x1.ad95841dd02p-5, -0x1.a2e7aa975c89fp-5, -0x1.9873c63ef6eap-5, -0x1.8e38ecfff2fdap-5, -0x1.843635e960f7dp-5, -0x1.7a6ab9451a467p-5, -0x1.70d590add26c4p-5, -0x1.6775d72416d2cp-5, -0x1.5e4aa922600f6p-5, -0x1.555324b01d631p-5, -0x1.4c8e6973d8027p-5, -0x1.43fb98c464a66p-5, -0x1.3b99d5b92c30dp-5, -0x1.3368453997b7p-5, -0x1.2b660e0b9b02ap-5, -0x1.239258e16aeaap-5, -0x1.1bec506662ac3p-5, -0x1.1473214b19ae5p-5, -0x1.0d25fa50b4f02p-5, -0x1.06040c537a795p-5, -0x1.fe1914a945d83p-6, -0x1.f07d5306eb156p-6, -0x1.e333428b6e41bp-6, -0x1.d639567ed14f3p-6, -0x1.c98e06b3bcdd4p-6, -0x1.bd2fcf946f124p-6, -0x1.b11d322e6e8p-6, -0x1.a554b43d0c568p-6, -0x1.99d4e032b74c3p-6, -0x1.8e9c454147589p-6, -0x1.83a977611cf52p-6, -0x1.78fb0f5745db8p-6, -0x1.6e8faaba97c44p-6, -0x1.6465ebf7dd4e4p-6, -0x1.5a7c7a550428cp-6, -0x1.50d201f37336p-6, -0x1.476533d17b46dp-6, -0x1.3e34c5caf4065p-6, -0x1.353f729907339p-6, -0x1.2c83f9d13a56cp-6, -0x1.24011fe3bb2c7p-6, -0x1.1bb5ae18f89f7p-6, -0x1.13a0728e7e787p-6, -0x1.0bc04033417fep-6, -0x1.0413eec33997dp-6, -0x1.f934b584ca7cap-7, -0x1.eaa4caee8d529p-7, -0x1.dc75e9c98ef42p-7, -0x1.cea5e78746d12p-7, -0x1.c132a2f697a5ep-7, -0x1.b41a0434b403cp-7, -0x1.a759fc9d17d1ap-7, -0x1.9af086b8a9101p-7, -0x1.8edba62c1a9efp-7, -0x1.831967a573758p-7, -0x1.77a7e0c90214fp-7, -0x1.6c85301d8117ep-7, -0x1.61af7cf7b1d62p-7, -0x1.5724f76563425p-7, -0x1.4ce3d817d855fp-7, -0x1.42ea604db3a17p-7, -0x1.3936d9bc6f2b5p-7, -0x1.2fc796795d4p-7, -0x1.269af0e23ac66p-7, -0x1.1daf4b856956ap-7, -0x1.15031109c99d6p-7, -0x1.0c94b4164cfbdp-7, -0x1.0462af3934af5p-7, -0x1.f8d7099e2fa9ep-8, -0x1.e95b7dd33df3fp-8, -0x1.da4fde6c4d3e7p-8, -0x1.cbb15dc81f5f4p-8, -0x1.bd7d3d161853fp-8, -0x1.afb0cc2271206p-8, -0x1.a24969222406ep-8, -0x1.9544807ecc5dap-8, -0x1.889f8ca2532a2p-8, -0x1.7c5815c2997b5p-8, -0x1.706bb1ad00b5dp-8, -0x1.64d80391f48f7p-8, -0x1.599abbd077942p-8, -0x1.4eb197c1d2494p-8, -0x1.441a61853b902p-8, -0x1.39d2efcbd0b04p-8, -0x1.2fd925a477fdbp-8, -0x1.262af248136fap-8, -0x1.1cc650e5e7013p-8, -0x1.13a948703a771p-8, -0x1.0ad1eb69437b3p-8, -0x1.023e57b044ec1p-8, -0x1.f3d96c9e21ef7p-9, -0x1.e3b6768f8dc66p-9, -0x1.d4104ac60872ap-9, -0x1.c4e37bfcb6704p-9, -0x1.b62cb1b6b196ap-9, -0x1.a7e8a7dd70dp-9, -0x1.9a142e601610dp-9, -0x1.8cac28d3f4be7p-9, -0x1.7fad8e157c4a7p-9, -0x1.731567eaa46d3p-9, -0x1.66e0d2a5c966ap-9, -0x1.5b0cfcc996771p-9, -0x1.4f9726ae27175p-9, -0x1.447ca226e0d64p-9, -0x1.39bad22974335p-9, -0x1.2f4f2a761eea8p-9, -0x1.25372f40a0248p-9, -0x1.1b7074da4b32p-9, -0x1.11f89f5d5f19p-9, -0x1.08cd62595545p-9, -0x1.ffd9010059f56p-10, -0x1.eea796aa7f783p-10, -0x1.de0245b9753d4p-10, -0x1.cde4ea98875c9p-10, -0x1.be4b7d7a2ebc2p-10, -0x1.af3211bdab37ep-10, -0x1.a094d55781821p-10, -0x1.9270103c1b123p-10, -0x1.84c023ccd273ep-10, -0x1.77818a46a38bp-10, -0x1.6ab0d633b20cbp-10, -0x1.5e4ab1deeb46dp-10, -0x1.524bdec9ef1e5p-10, -0x1.46b135253863ep-10, -0x1.3b77a34ae551bp-10, -0x1.309c2d3ad1ce7p-10, -0x1.261bec19ced38p-10, -0x1.1bf40db298ceap-10, -0x1.1221d3f93a623p-10, -0x1.08a294908713ap-10, -0x1.fee770a3de2f5p-11, -0x1.ed2575af21c1ep-11, -0x1.dbfa540fab121p-11, -0x1.cb614b478554fp-11, -0x1.bb55bdaea4bcap-11, -0x1.abd32f97ad8a7p-11, -0x1.9cd54678ab7b1p-11, -0x1.8e57c818ee0ddp-11, -0x1.805699c1b765dp-11, -0x1.72cdbf730df74p-11, -0x1.65b95b1d8f06ep-11, -0x1.5915abdf525e7p-11, -0x1.4cdf0d450870bp-11, -0x1.4111f68f12881p-11, -0x1.35aaf9faa655ap-11, -0x1.2aa6c40e14f15p-11, -0x1.20021ae8f9a7p-11, -0x1.15b9dd986379fp-11, -0x1.0bcb036e76514p-11, -0x1.02329b5da0668p-11, -0x1.f1db96af147b8p-12, -0x1.dff39f5f10d0ep-12, -0x1.cea7f500769e2p-12, -0x1.bdf36628be102p-12, -0x1.add0eaa694ec7p-12, -0x1.9e3ba2627167fp-12, -0x1.8f2ed443395fbp-12, -0x1.80a5ed1b2c02cp-12, -0x1.729c7e9b73325p-12, -0x1.650e3e4c379a5p-12, -0x1.57f7048b99c0cp-12, -0x1.4b52cb9234d02p-12, -0x1.3f1dae7e9b0f8p-12, -0x1.3353e86583e9dp-12, -0x1.27f1d3683ff16p-12, -0x1.1cf3e7d0c9892p-12, -0x1.1256bb3333269p-12, -0x1.0816ff94541a6p-12, -0x1.fc63052b0daa2p-13, -0x1.e946594b68364p-13, -0x1.d6d20070f10b5p-13, -0x1.c5003201c5fefp-13, -0x1.b3cb566320cf7p-13, -0x1.a32e0585bae79p-13, -0x1.932305779d23ep-13, -0x1.83a5490211473p-13, -0x1.74afee4dcbe85p-13, -0x1.663e3d931fbbep-13, -0x1.584ba7d1b9501p-13, -0x1.4ad3c5901f91bp-13, -0x1.3dd255a49ea59p-13, -0x1.31433c06e8098p-13, -0x1.252280a7d8445p-13, -0x1.196c4e52d6a63p-13, -0x1.0e1cf19467669p-13, -0x1.0330d7abeef1dp-13, -0x1.f1491b04ddac3p-14, -0x1.dce97d50f2527p-14, -0x1.c93c68b7e8ddbp-14, -0x1.b63ba92b8d05p-14, -0x1.a3e1423672bdbp-14, -0x1.92276d33fd126p-14, -0x1.8108978a7dfcbp-14, -0x1.707f60fbc7941p-14, -0x1.608699ffa494cp-14, -0x1.511942272fccep-14, -0x1.4232868d8cf87p-14, -0x1.33cdc0584b155p-14, -0x1.25e6733ae4923p-14, -0x1.18784c0c70367p-14, -0x1.0b7f1f6407e4ap-14, -0x1.fdedd07d0aaaap-15, -0x1.e5b78d65b087ep-15, -0x1.ce53fd5d1f4c2p-15, -0x1.b7bbed728794bp-15, -0x1.a1e86d88b73b7p-15, -0x1.8cd2ce0b77f23p-15, -0x1.78749dac164a7p-15, -0x1.64c7a7378b62dp-15, -0x1.51c5ef7bfb8e5p-15, -0x1.3f69b339a6d84p-15, -0x1.2dad652f226f5p-15, -0x1.1c8bac2b87865p-15, -0x1.0bff61324f0ffp-15, -0x1.f8071b65d3993p-16, -0x1.d926d390bbf72p-16, -0x1.bb54b518ad94p-16, -0x1.9e87e0e451a5ep-16, -0x1.82b7cb6759d39p-16, -0x1.67dc3992eefeap-16, -0x1.4ded3de7084ebp-16, -0x1.34e3358eecc2ep-16, -0x1.1cb6c59ed5f14p-16, -0x1.0560d86c197b1p-16, -0x1.ddb535e201ca2p-17, -0x1.b23af4a662c79p-17, -0x1.884642ea7dcc1p-17, -0x1.5fcaed3af4dbdp-17, -0x1.38bd326f79dddp-17, -0x1.1311bf53a1475p-17, -0x1.dd7b54dfa6892p-18, -0x1.976cdfe10a8b3p-18, -0x1.53e3db94518ebp-18, -0x1.12ccbfd01363fp-18, -0x1.a82971ea229b5p-19, -0x1.2f53423c2002ap-19, -0x1.75e7e437af3e7p-20, -0x1.2ba70e28d4b77p-21, 0x1.075e9dbaa2c8bp-22, 0x1.11586c64bf813p-20, 0x1.d8eb554b9e5e1p-20, 0x1.4c65674e98b69p-19, 0x1.a8979c958966cp-19, 0x1.0093bfed180bbp-18, 0x1.2b17aac08ff59p-18, 0x1.53e43d3921b94p-18, 0x1.7b05b6e4c90eep-18, 0x1.a087ecd618a2ap-18, 0x1.c4764e0afb82ap-18, 0x1.e6dbe77b84e1p-18, 0x1.03e1b41df2bd6p-17, 0x1.139b92a6c62e1p-17, 0x1.22a08e9d3f01dp-17, 0x1.30f57de25ee71p-17, 0x1.3e9f0ea60130cp-17, 0x1.4ba1c9071523ep-17, 0x1.580210a91f4ebp-17, 0x1.63c42638d3187p-17, 0x1.6eec28e17ba7ep-17, 0x1.797e17ab28b98p-17, 0x1.837dd2d794e43p-17, 0x1.8cef1d28ec249p-17, 0x1.95d59d1b2c77p-17, 0x1.9e34de0c1e671p-17, 0x1.a6105164f8338p-17, 0x1.ad6b4faf05c6p-17, 0x1.b44919940833p-17, 0x1.baacd8e3fcba1p-17, 0x1.c099a183503c1p-17, 0x1.c6127257698cbp-17, 0x1.cb1a361cd3302p-17, 0x1.cfb3c440e8607p-17, 0x1.d3e1e1ac49325p-17, 0x1.d7a74185e1d96p-17, 0x1.db0685e3bbcbbp-17, 0x1.de0240859d625p-17, 0x1.e09cf37ac3eadp-17, 0x1.e2d911bf4bb3ep-17, 0x1.e4b8ffd93d4e9p-17, 0x1.e63f1468ea744p-17, 0x1.e76d98b76f585p-17, 0x1.e846c936334e4p-17, 0x1.e8ccd5ff5fdfcp-17, 0x1.e901e35023bc6p-17, 0x1.e8e809fcf564ap-17, 0x1.e88157d82946ap-17, 0x1.e7cfd01cfbcd7p-17, 0x1.e6d56bd64fd83p-17, 0x1.e5941a35dc672p-17, 0x1.e40dc0eecc459p-17, 0x1.e2443c8b25c12p-17, 0x1.e03960bc9330fp-17, 0x1.ddeef8aac13c6p-17, 0x1.db66c7320ca3fp-17, 0x1.d8a287304d021p-17, 0x1.d5a3ebc26de07p-17, 0x1.d26ca0859249ap-17, 0x1.cefe49c88f11bp-17, 0x1.cb5a84cc6e701p-17, 0x1.c782e7f38b8e6p-17, 0x1.c37902f224cadp-17, 0x1.bf3e5efb620d7p-17, 0x1.bad47eefc7b97p-17, 0x1.b63cdf8a32ec2p-17, 0x1.b178f780e22afp-17, 0x1.ac8a37aa3afd8p-17, 0x1.a7720b21e8e3p-17, 0x1.a231d769ea524p-17, 0x1.9ccafc8965ea5p-17, 0x1.973ed525b4b0fp-17, 0x1.918eb6a4fb63fp-17, 0x1.8bbbf14268dbbp-17, 0x1.85c7d02829c04p-17, 0x1.7fb399831f73cp-17, 0x1.79808e9bf1853p-17, 0x1.732febed8df96p-17, 0x1.6cc2e9341e6ecp-17, 0x1.663ab97f77e31p-17, 0x1.5f988b43ba6c5p-17, 0x1.58dd886996264p-17, 0x1.520ad65ee0d4ep-17, 0x1.4b2196213aad5p-17, 0x1.4422e44ec7b5dp-17, 0x1.3d0fd931d6aaep-17, 0x1.35e988ca1e5c6p-17, 0x1.2eb102da1cd87p-17, 0x1.276752ed8964fp-17, 0x1.200d806b9491bp-17, 0x1.18a48e996cb3cp-17, 0x1.112d7ca6a1df9p-17, 0x1.09a945b25c8f4p-17, 0x1.0218e0d4b7ad5p-17, 0x1.f4fa824d788e1p-18, 0x1.e5aeab97b36c8p-18, 0x1.d65013e946a69p-18, 0x1.c6e089d25203ap-18, 0x1.b761d41b2fa22p-18, 0x1.a7d5b1d0addcep-18, 0x1.983dda5061f94p-18, 0x1.889bfd53f0827p-18, 0x1.78f1c302a1b77p-18, 0x1.6940cbf5d40d9p-18, 0x1.598ab146dcea9p-18, 0x1.49d10497eac83p-18, 0x1.3a15501bdd03ep-18, 0x1.2a5916a7e0f2ap-18, 0x1.1a9dd3bb3c6e7p-18, 0x1.0ae4fb8749ae3p-18, 0x1.f65ff5f5f976bp-19, 0x1.d7006f9b68f3bp-19, 0x1.b7ae210ea04c8p-19, 0x1.986bb917bc9aep-19, 0x1.793bd84d9f136p-19, 0x1.5a21112f07fbcp-19, 0x1.3b1de82f17c0cp-19, 0x1.1c34d3d0d9a73p-19, 0x1.fad0796c01775p-20, 0x1.bd74fb68ae4dep-20, 0x1.805bc7df3ee26p-20, 0x1.43895defc1939p-20, 0x1.070221aad48bep-20, 0x1.9594b87b6c92p-21, 0x1.1dcc78565265cp-21, 0x1.4d6755c6a0493p-22, 0x1.82921b819f42ap-24, -0x1.153ffbadd0ec5p-23, -0x1.745721b6b1f6ep-22, -0x1.2e391a8936becp-21, -0x1.a1717734d8fe8p-21, -0x1.09e6da5f49ecbp-20, -0x1.42a389afd76c7p-20, -0x1.7aeb82957f8cep-20, -0x1.b2bb96cdb84bep-20, -0x1.ea10b08517782p-20, -0x1.1073e91e58636p-19, -0x1.2b9f0b3f2ad7ap-19, -0x1.468857d8e6e9p-19, -0x1.612e73ec83233p-19, -0x1.7b90102f8043bp-19, -0x1.95abe8eb8ea29p-19, -0x1.af80c5d5c39d1p-19, -0x1.c90d7a0091141p-19, -0x1.e250e3b5df036p-19, -0x1.fb49ec596cbdbp-19, -0x1.09fbc426bbe78p-18, -0x1.162c5b678c75ap-18, -0x1.223640ec56e8p-18, -0x1.2e18fefc7296cp-18, -0x1.39d4251ec6363p-18, -0x1.45674807c87a1p-18, -0x1.50d2018821d8p-18, -0x1.5c13f07ec5bf3p-18, -0x1.672cb8c6599bap-18, -0x1.721c0326f624ep-18, -0x1.7ce17d3ee1a57p-18, -0x1.877cd977324b5p-18, -0x1.91edcef16df2ap-18, -0x1.9c34197748f7p-18, -0x1.a64f7969eb194p-18, -0x1.b03fb3afb478bp-18, -0x1.ba0491a49dcd1p-18, -0x1.c39de1068a6cp-18, -0x1.cd0b73e3680d8p-18, -0x1.d64d208c4fbecp-18, -0x1.df62c17fff357p-18, -0x1.e84c355b9fef5p-18, -0x1.f1095ec946149p-18, -0x1.f99a246f04134p-18, -0x1.00ff386e8882ap-17, -0x1.051b193c66e67p-17, -0x1.0920adb8ba793p-17, -0x1.0d0ff0d4fb013p-17, -0x1.10e8df559a1fap-17, -0x1.14ab77c8eab37p-17, -0x1.1857ba7dec6bcp-17, -0x1.1beda97c49be3p-17, -0x1.1f6d487b83e34p-17, -0x1.22d69cd97a87bp-17, -0x1.2629ad93be04ap-17, -0x1.2966833dfbaf3p-17, -0x1.2c8d27f969acfp-17, -0x1.2f9da76cef236p-17, -0x1.32980ebc8664cp-17, -0x1.357c6c8140a96p-17, -0x1.384ad0bfb721ap-17, -0x1.3b034ce0ae386p-17, -0x1.3da5f3a9543edp-17, -0x1.4032d9323174bp-17, -0x1.42aa12dfb519dp-17, -0x1.450bb75a4970ep-17, -0x1.4757de85729eap-17, -0x1.498ea1790919cp-17, -0x1.4bb01a77ed2c8p-17, -0x1.4dbc64e984b24p-17, -0x1.4fb39d5103c15p-17, -0x1.5195e146f73c3p-17, -0x1.53634f702806bp-17, -0x1.551c0776c192ap-17, -0x1.56c02a03afc43p-17, -0x1.584fd8b502e5cp-17, -0x1.59cb3618fa008p-17, -0x1.5b3265a4f57d1p-17, -0x1.5c858baf3bc88p-17, -0x1.5dc4cd6792371p-17, -0x1.5ef050d02c5eep-17, -0x1.60083cb6e2108p-17, -0x1.610cb8ad9457cp-17, -0x1.61fded04a4d5p-17, -0x1.62dc02c30163fp-17, -0x1.63a7239f8df5dp-17, -0x1.645f79fb9d5b8p-17, -0x1.650530db26b76p-17, -0x1.659873dffc83p-17, -0x1.66196f40e8fabp-17, -0x1.66884fc657834p-17, -0x1.66e542c1b9246p-17, -0x1.6730760850e92p-17, -0x1.676a17eee9b74p-17, -0x1.67925740c77f2p-17, -0x1.67a9633bd05e1p-17, -0x1.67af6b8ade7f2p-17, -0x1.67a4a03f0a40bp-17, -0x1.678931ca93675p-17, -0x1.675d50fb73d88p-17, -0x1.67212ef696ap-17, -0x1.66d4fd318f9cbp-17, -0x1.6678ed6d328dep-17, -0x1.660d31b155e39p-17, -0x1.6591fc4775535p-17, -0x1.65077fb5f5d63p-17, -0x1.646deeb9eea08p-17, -0x1.63c57c43fdc38p-17, -0x1.630e5b72a142fp-17, -0x1.6248bf8cc9cf9p-17, -0x1.6174dc00dbb1cp-17, -0x1.6092e45c26005p-17, -0x1.5fa30c479a6f6p-17, -0x1.5ea5878508448p-17, -0x1.5d9a89e952d56p-17, -0x1.5c8247582e948p-17, -0x1.5b5cf3c128235p-17, -0x1.5a2ac31b48de9p-17, -0x1.58ebe9616f8fcp-17, -0x1.57a09a8de51fp-17, -0x1.56490a9639545p-17, -0x1.54e56d68dfcabp-17, -0x1.5375f6e988a1dp-17, -0x1.51fadaecbdd58p-17, -0x1.50744d34811cp-17, -0x1.4ee2816d7eeccp-17, -0x1.4d45ab2b1351dp-17, -0x1.4b9dfde52a973p-17, -0x1.49ebacf5b52c1p-17, -0x1.482eeb939c5cep-17, -0x1.4667ecd07e1e5p-17, -0x1.4496e39669b57p-17, -0x1.42bc02a4aafb4p-17, -0x1.40d77c8cb0937p-17, -0x1.3ee983afd4af8p-17, -0x1.3cf24a3d0f569p-17, -0x1.3af2022e7233cp-17, -0x1.38e8dd4634d87p-17, -0x1.36d70d0bf607ap-17, -0x1.34bcc2ca44c69p-17, -0x1.329a2f8f207a9p-17, -0x1.306f84265607ep-17, -0x1.2e3cf1191a5c6p-17, -0x1.2c02a6aafce64p-17, -0x1.29c0d4d87e234p-17, -0x1.2777ab5532761p-17, -0x1.2527598b3a1b3p-17, -0x1.22d00e9785633p-17, -0x1.2071f9483e6fep-17, -0x1.1e0d481b88428p-17, -0x1.1ba2293df8787p-17, -0x1.1930ca88ab239p-17, -0x1.16b959800df3ep-17, -0x1.143c03525eb51p-17, -0x1.11b8f4d6acf1dp-17, -0x1.0f305a8b1f5fap-17, -0x1.0ca26093a0311p-17, -0x1.0a0f32b8525a7p-17, -0x1.0776fc63a84c6p-17, -0x1.04d9e8a4d690cp-17, -0x1.0238222aed8eap-17, -0x1.ff23a68a13ecfp-18, -0x1.f9ce4bc1fe1f8p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      40, 0x1.3333333333333p+2, 0x1.1de9a7d92fc43p+1, 0x1.13ca72f5e16dp+2, -0x1.36e6db18e79dp-5, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ae292c6b8dcfp-4, -0x1.4704eb739bfdp-2, 0x1.6d3af403a6aa4p-2, -0x1.4928800f89d2ep-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7053b6859ddfbp-4, -0x1.23bb042b9f5bbp-2, 0x1.548b1d9c15ed8p-2, -0x1.3fb89f90efb2p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.394e704fe389dp-4, -0x1.02e0097ce09fep-2, 0x1.3c90780ad0c03p-2, -0x1.37b2a69c60a71p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.089e7cc1dcc59p-4, -0x1.c8c670b25d579p-3, 0x1.252fdebf164d3p-2, -0x1.2f4bb64593d4bp-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.bb9861d5c241ap-5, -0x1.9069981311ac1p-3, 0x1.0e709779de6a3p-2, -0x1.26febbedbf4fbp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.70c627e44375cp-5, -0x1.5c8977594743cp-3, 0x1.f0a15f9013553p-3, -0x1.1eaae0fc3e29ep-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.2fe3be2d528d4p-5, -0x1.2d0621665cd6p-3, 0x1.c5a1576a3d353p-3, -0x1.165892727b73cp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f029f6bd702cep-6, -0x1.01bf9ee06ff63p-3, 0x1.9be0db0c444a5p-3, -0x1.0e06f2e36aba9p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.910834abdf872p-6, -0x1.b52bf96d5a43cp-4, 0x1.735fd036f447ap-3, -0x1.05b10b01cf879p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.40c3744050dfbp-6, -0x1.6ed281de8c85ep-4, 0x1.4c1edb5d1526ap-3, -0x1.fad72adf6edcp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.fb9377e9106b5p-7, -0x1.303311d69171fp-4, 0x1.261b84f2b9a32p-3, -0x1.e9d13de41ec5cp-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8d2bb5435faebp-7, -0x1.f21a6e253a5fep-5, 0x1.015f06b4d0edcp-3, -0x1.da9673a65d65bp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.335ecf00b0c08p-7, -0x1.9246095b8e9b1p-5, 0x1.bb8de27713d93p-4, -0x1.bf62b3a6a5f5cp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d6adbc8fc7a41p-8, -0x1.40460528cd1f8p-5, 0x1.787247847af3fp-4, -0x1.9835fcf29a878p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.64cf892404713p-8, -0x1.f636fcfaedb42p-6, 0x1.3b36fb2ce3c64p-4, -0x1.72d46bd318ea9p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.0c3c128d5129fp-8, -0x1.8340f7e7a0249p-6, 0x1.03971e33a009bp-4, -0x1.4cf7ce72fd3a9p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.9100cecbe4d7ap-9, -0x1.25681d89a00adp-6, 0x1.a34a4b44c0e7bp-5, -0x1.273c3c80c11c4p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.2b3b2c267060cp-9, -0x1.b4cfba32ac978p-7, 0x1.4ab8391e2092bp-5, -0x1.017789179ee3ap-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.c022b315f729fp-10, -0x1.3ff8baefb8741p-7, 0x1.faf5866148359p-6, -0x1.b76ca0386e36cp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.52aae5e0a7a3ap-10, -0x1.cf8668743beb1p-8, 0x1.7721bcb6c0bf3p-6, -0x1.6be09dc1952a5p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.038327c6ba526p-10, -0x1.4f4e11f430175p-8, 0x1.09f7f3c97a662p-6, -0x1.2073e86f708fcp-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.93df5e1c49874p-11, -0x1.ec730c215dafep-9, 0x1.66dd8f5017a81p-7, -0x1.a9271e14f82a9p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3e09625213eep-11, -0x1.7669920cd3c16p-9, 0x1.cea3a62d3404bp-8, -0x1.14c4f1983d91p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.f6998ad6e9391p-12, -0x1.2a7d9e07cd0b6p-9, 0x1.2893e2050f132p-8, -0x1.cf3fd03121fbep-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8a23ddface868p-12, -0x1.ec3f6f942c1ebp-10, 0x1.c62e38c82d8e7p-9, -0x1.364ed2d44f997p-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.3076bedc5b039p-12, -0x1.9610f94e0a9aap-10, 0x1.97a265f5219dfp-9, -0x1.6d951b030d5d2p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.ce134c9da960fp-13, -0x1.4a05ee474d0aep-10, 0x1.60cc084e46038p-9, -0x1.4044f5f927a34p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.57899720f5366p-13, -0x1.08448f06e74f6p-10, 0x1.30c1b035b343ep-9, -0x1.2de89f676765fp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f2d564f16d63p-14, -0x1.9fb0b364639e4p-11, 0x1.0378651963c19p-9, -0x1.14537c2db4aa3p-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6035b52953f7cp-14, -0x1.403120990b608p-11, 0x1.b40af1beaae9fp-10, -0x1.f95b7a374e91fp-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e120c878a91fbp-15, -0x1.e1209f0b52301p-12, 0x1.683d39032bedfp-10, -0x1.c9067425eb35ap-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3bab09e0c73d7p-15, -0x1.5ebe15f6b5c12p-12, 0x1.23af7463e23f9p-10, -0x1.98f8c57a636e5p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.8a23ddface8cap-16, -0x1.ecacd06c8943bp-13, 0x1.ccade0bca6a92p-11, -0x1.68d74124b01abp-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.ce134c9da971ap-17, -0x1.4a0dc73ce0874p-13, 0x1.606d4d31a507fp-11, -0x1.38bdbc11d7ba9p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.f2d564f16d858p-18, -0x1.9fb1ec68a8d79p-14, 0x1.029ac7f917839p-11, -0x1.08980f9db5fe4p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.e120c878a964p-19, -0x1.e1200d3fa9aa3p-15, 0x1.6673ecf9f508bp-12, -0x1.b13602d7cbe53p-11}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8a23ddfaceffep-20, -0x1.ecb24e18f1f9cp-16, 0x1.c8faa50c0955dp-13, -0x1.500f432423ad8p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.f2d564f16fcp-22, -0x1.9f88fc0704d57p-17, 0x1.feafc6531b083p-14, -0x1.e693a85815ecep-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.8a23ddfad8001p-24, -0x1.ef0e91f60f559p-19, 0x1.b57b29094ef69p-15, -0x1.0c578b2b5bb5fp-12}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.8a23ddfb2p-28, -0x1.a59048d83e0f9p-22, 0x1.cde20821ea0fep-17, -0x1.671e6cfdd1fafp-12}, 
      }}, 
      0x1.51eb9e65c1bap-8, -0x1.046b0d014d738p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.8fa833eecf489p-2, -0x1.8bca96b030735p-2, -0x1.86d525701bb4dp-2, -0x1.819c1a59e6698p-2, -0x1.7cb4154abb835p-2, -0x1.7881d7e1d4393p-2, -0x1.754635a7f6a88p-2, -0x1.73272ac0db75fp-2, -0x1.7236cf21e1c79p-2, -0x1.7278a8cd13ad3p-2, -0x1.73e5bbd894196p-2, -0x1.766fa17486e8bp-2, -0x1.7a02e2b50ac91p-2, -0x1.7e88c5324454ep-2, -0x1.83e8a9cfd1fedp-2, -0x1.8a091590bd358p-2, -0x1.90d077306adfap-2, -0x1.9825b818ffa6bp-2, -0x1.9ff0a44bae564p-2, -0x1.a81a327390eddp-2, -0x1.b08cb35f51801p-2, -0x1.b933eea18c1a3p-2, -0x1.c1fd30e14e716p-2, -0x1.cad74f6184707p-2, -0x1.d3b2a392c8a9fp-2, -0x1.dc8100de19378p-2, -0x1.e535a6477350dp-2, -0x1.edc52d4cad005p-2, -0x1.f62576f70de47p-2, -0x1.fe4d97e048162p-2, -0x1.031ae1dcb4b6fp-1, -0x1.06eb9c68231e8p-1, -0x1.0a9615e75f012p-1, -0x1.0e17da0445cbcp-1, -0x1.116edc3138eccp-1, -0x1.14996e9b36b6ep-1, -0x1.17963989b975bp-1, -0x1.1a64336f6eaebp-1, -0x1.1d02999129522p-1, -0x1.1f70e98002075p-1, -0x1.21aedb4a7f99ap-1, -0x1.23bc5c5b3c308p-1, -0x1.25998af1bda2fp-1, -0x1.2746b1f42edd4p-1, -0x1.28c444d6ccabep-1, -0x1.2a12db9aca79ap-1, -0x1.2b332ea5ef23ep-1, -0x1.2c2612b21b72ep-1, -0x1.2cec74d30116cp-1, -0x1.2d8756cbc9175p-1, -0x1.2df7cbab40bp-1, -0x1.2e3ef4c567c0dp-1, -0x1.2e5dfefee8e92p-1, -0x1.2e56206e228c5p-1, -0x1.2e28962d41894p-1, -0x1.2dd6a27caa64ap-1, -0x1.2d618b0bebedfp-1, -0x1.2cca9776057edp-1, -0x1.2c130fe497e6fp-1, -0x1.2b3c3be1e3b94p-1, -0x1.2a47613786ba4p-1, -0x1.2935c30b5bb87p-1, -0x1.2808a0fb30352p-1, -0x1.26c13664b3f0ep-1, -0x1.2560b9c108239p-1, -0x1.23e85c1792194p-1, -0x1.2259488191dcap-1, -0x1.20b4a3bb91b57p-1, -0x1.1efb8bd94b079p-1, -0x1.1d2f17f3f2513p-1, -0x1.1b505801c0e2fp-1, -0x1.1960549b273d9p-1, -0x1.17600ed8d4601p-1, -0x1.15508037abb9bp-1, -0x1.13329a957ab87p-1, -0x1.11074830c634ep-1, -0x1.0ecf6baa5ca5bp-1, -0x1.0c8be008ff591p-1, -0x1.0a3d78bbfd6b8p-1, -0x1.07e501ba76066p-1, -0x1.05833f93b8277p-1, -0x1.0318efa2205d1p-1, -0x1.00a6c826b7bcp-1, -0x1.fc5af0cbe55ep-2, -0x1.f75b5189a1109p-2, -0x1.f24ff5d3d1606p-2, -0x1.ed3a13d06e8e7p-2, -0x1.e81ad4e61b86ap-2, -0x1.e2f356271664cp-2, -0x1.ddc4a8b48134ap-2, -0x1.d88fd2137dde9p-2, -0x1.d355cc74c29cbp-2, -0x1.ce1786fa33596p-2, -0x1.c8d5e60068e1bp-2, -0x1.c391c37925ee7p-2, -0x1.be4bef51a5119p-2, -0x1.b9052fd0ab88bp-2, -0x1.b3be421297f9p-2, -0x1.ae77da5d67855p-2, -0x1.a932a475d068ap-2, -0x1.a3ef43ecd1d21p-2, -0x1.9eae54596dc58p-2, -0x1.9970699a7dfb4p-2, -0x1.943610163eee1p-2, -0x1.8effccfc0f9ebp-2, -0x1.89ce1e92ac15p-2, -0x1.84a17c8591419p-2, -0x1.7f7a5832b9454p-2, -0x1.7a591cf8d8258p-2, -0x1.753e307fd3a37p-2, -0x1.7029f2f7e60ddp-2, -0x1.6b1cbf55e932fp-2, -0x1.6616eb867d1eep-2, -0x1.6118c89db0ba9p-2, -0x1.5c22a3054da6bp-2, -0x1.5734c2a3a305fp-2, -0x1.524f6b12b4e44p-2, -0x1.4d72dbc22f322p-2, -0x1.489f5022a2549p-2, -0x1.43d4ffe027e09p-2, -0x1.3f141f040bb2cp-2, -0x1.3a5cde24b8b9bp-2, -0x1.35af6a8f42ff8p-2, -0x1.310bee6ef0e3p-2, -0x1.2c7290f3a5203p-2, -0x1.27e37672578f7p-2, -0x1.235ec086171d2p-2, -0x1.1ee48e2d5241fp-2, -0x1.1a74fbe55c3e1p-2, -0x1.161023c3bcbd4p-2, -0x1.11b61d8f8fc15p-2, -0x1.0d66fed8031d7p-2, -0x1.0922db0c32078p-2, -0x1.04e9c390e4244p-2, -0x1.00bbc7d5de9fbp-2, -0x1.f931ead6824b7p-3, -0x1.f102b02ca28fp-3, -0x1.e8e9f3c85e264p-3, -0x1.e0e7c67c723c7p-3, -0x1.d8fc35f637915p-3, -0x1.d1274ce2994f3p-3, -0x1.c969130e55ef7p-3, -0x1.c1c18d85da163p-3, -0x1.ba30beb36e2dep-3, -0x1.b2b6a67b3495p-3, -0x1.ab534256d2788p-3, -0x1.a4068d6abf2a3p-3, -0x1.9cd080a6bf134p-3, -0x1.95b112dbbfc7p-3, -0x1.8ea838bf6baf9p-3, -0x1.87b5e51d1c166p-3, -0x1.80da08d922edap-3, -0x1.7a149306efe56p-3, -0x1.736570fd2f692p-3, -0x1.6ccc8e6743707p-3, -0x1.6649d556a8f4ep-3, -0x1.5fdd2e54914ep-3, -0x1.598680716925cp-3, -0x1.5345b1556f395p-3, -0x1.4d1aa54f9cf92p-3, -0x1.47053f649550fp-3, -0x1.4105615d855d6p-3, -0x1.3b1aebd5ee4aep-3, -0x1.3545be4887defp-3, -0x1.2f85b71d1e926p-3, -0x1.29dab3b594e39p-3, -0x1.24449079481f3p-3, -0x1.1ec328e0c5349p-3, -0x1.19565782c21d4p-3, -0x1.13fdf61ded25bp-3, -0x1.0eb9dda45378ap-3, -0x1.0989e64572606p-3, -0x1.046de7791ba35p-3, -0x1.fecb701231a38p-4, -0x1.f4e25c343483ep-4, -0x1.eb203e6afcdc6p-4, -0x1.e184c0a597d6dp-4, -0x1.d80f8bc0d579dp-4, -0x1.cec04796db0cbp-4, -0x1.c5969b106f0b7p-4, -0x1.bc922c36846fbp-4, -0x1.b3b2a04201db4p-4, -0x1.aaf79ba90f70ep-4, -0x1.a260c22f40831p-4, -0x1.99edb6f41c533p-4, -0x1.919e1c84050afp-4, -0x1.897194e0cdb43p-4, -0x1.8167c1934fb5ep-4, -0x1.798043b6f055ap-4, -0x1.71babc08272d9p-4, -0x1.6a16caeae5f0dp-4, -0x1.6294107ea81b7p-4, -0x1.5b322cb0e8623p-4, -0x1.53f0bf2978a11p-4, -0x1.4ccf67793a415p-4, -0x1.45cdc5153bf2fp-4, -0x1.3eeb776123c4ep-4, -0x1.38281db85dd05p-4, -0x1.3183577f0b767p-4, -0x1.2afcc4233ece4p-4, -0x1.2494032b3a8edp-4, -0x1.1e48b43ccbe54p-4, -0x1.181a772b472bap-4, -0x1.1208ebf599379p-4, -0x1.0c13b2d669ff8p-4, -0x1.063a6c490e89cp-4, -0x1.007cb913b0b24p-4, -0x1.f5b4749d2cb63p-5, -0x1.eaa522d17cc5fp-5, -0x1.dfcac05dc564bp-5, -0x1.d52491a625436p-5, -0x1.cab1dbea11d03p-5, -0x1.c071e550f631cp-5, -0x1.b663f4f1755d4p-5, -0x1.ac8752def0ef1p-5, -0x1.a2db482c6fe8ap-5, -0x1.995f1f0525574p-5, -0x1.901222b4565fcp-5, -0x1.86f39fae2773bp-5, -0x1.7e02e3941266bp-5, -0x1.753f3d3bd73e7p-5, -0x1.6ca7fcbb21045p-5, -0x1.643c7375bf009p-5, -0x1.5bfbf425f507bp-5, -0x1.53e5d2e2050e9p-5, -0x1.4bf9651d8bd7dp-5, -0x1.443601ae76679p-5, -0x1.3c9b00d5eb04p-5, -0x1.3527bc4b5770bp-5, -0x1.2ddb8f45fa061p-5, -0x1.26b5d67e591cp-5, -0x1.1fb5f0334c31dp-5, -0x1.18db3c27f0091p-5, -0x1.12251ba94f2fcp-5, -0x1.0b92f19450e97p-5, -0x1.0524225bf0ec9p-5, -0x1.fdb0281cf17cap-6, -0x1.f15c5cb1d848p-6, -0x1.e54bb517fc794p-6, -0x1.d97d073c8d20ep-6, -0x1.cdef2c5d2a2e1p-6, -0x1.c2a100fdecdcap-6, -0x1.b79164e5fd05cp-6, -0x1.acbf3b19e7878p-6, -0x1.a22969e7c4916p-6, -0x1.97cedb007a875p-6, -0x1.8dae7b9471e98p-6, -0x1.83c73c672dea5p-6, -0x1.7a1811a3ae522p-6, -0x1.709ff30d30ccep-6, -0x1.675ddb4794003p-6, -0x1.5e50c844183c1p-6, -0x1.5577bb0b8dfb9p-6, -0x1.4cd1b7e1f5af4p-6, -0x1.445dc6b68685p-6, -0x1.3c1af3479a31cp-6, -0x1.34084d1d3e74dp-6, -0x1.2c24e756eb21ep-6, -0x1.246fd841f80c8p-6, -0x1.1ce838f6fa9ddp-6, -0x1.158d252a304b7p-6, -0x1.0e5dbb50691dep-6, -0x1.07591d108d466p-6, -0x1.007e6fd4b3db4p-6, -0x1.f399ba70d428ap-7, -0x1.e6872624a4659p-7, -0x1.d9c386102c82cp-7, -0x1.cd4d43965522ep-7, -0x1.c122cc9280cdep-7, -0x1.b5429268875cap-7, -0x1.a9ab0a3f752ep-7, -0x1.9e5aae6bce1ecp-7, -0x1.9350007fb5735p-7, -0x1.88898b1fb079dp-7, -0x1.7e05e2c629034p-7, -0x1.73c3a4f114696p-7, -0x1.69c175eb056ddp-7, -0x1.5ffdfe0152018p-7, -0x1.5677e75a17826p-7, -0x1.4d2ddd6d9f281p-7, -0x1.441e8e615ef4ep-7, -0x1.3b48adb8068e9p-7, -0x1.32aaf72c9fdcp-7, -0x1.2a44309170598p-7, -0x1.221329feca057p-7, -0x1.1a16bc28c9b7dp-7, -0x1.124dc56ccc3aap-7, -0x1.0ab726bb48849p-7, -0x1.0351c1c5df368p-7, -0x1.f838f28a7ff17p-8, -0x1.ea2c65ef6f14dp-8, -0x1.dc7bb413f4fccp-8, -0x1.cf24c0d0e4065p-8, -0x1.c2257e00b4c42p-8, -0x1.b57beab51f846p-8, -0x1.a92612ba7d60fp-8, -0x1.9d220e24dd0cp-8, -0x1.916e0027a653dp-8, -0x1.860815eb13fdfp-8, -0x1.7aee868b7da9bp-8, -0x1.701f93eba4b04p-8, -0x1.6599893a151bcp-8, -0x1.5b5ab4a4808e9p-8, -0x1.51615ecdc7f39p-8, -0x1.47abc770d3c93p-8, -0x1.3e382d44794efp-8, -0x1.3504de7e05adcp-8, -0x1.2c1047b710b5ap-8, -0x1.2358f7eb03aacp-8, -0x1.1add992e037dcp-8, -0x1.129ce51e3be5fp-8, -0x1.0a959a4cb2f26p-8, -0x1.02c6712fc6dbep-8, -0x1.f65c1bf2f2ca9p-9, -0x1.e795e986ce3dp-9, -0x1.d9371a5d1e263p-9, -0x1.cb3c79ecd13bap-9, -0x1.bda31d794c71ep-9, -0x1.b0689940221ecp-9, -0x1.a38af85555ccap-9, -0x1.970880a883f49p-9, -0x1.8adf705d98469p-9, -0x1.7f0ddb931c12fp-9, -0x1.7391abcb6f107p-9, -0x1.6868a56ecf5fbp-9, -0x1.5d905fe522749p-9, -0x1.53064150c0169p-9, -0x1.48c7a0f70f10ap-9, -0x1.3ed210fd6930ap-9, -0x1.35239eec21c0cp-9, -0x1.2bbad67c1a3b4p-9, -0x1.229682c82f4f2p-9, -0x1.19b55ac2164edp-9, -0x1.1115ceab8d972p-9, -0x1.08b6117043b4p-9, -0x1.00944e6cded17p-9, -0x1.f15dacf6b07afp-10, -0x1.e208282770cdap-10, -0x1.d324b61fa1509p-10, -0x1.c4afb251ba861p-10, -0x1.b6a575c3f6a71p-10, -0x1.a902acf9503ccp-10, -0x1.9bc482afb7516p-10, -0x1.8ee8a6b6b9464p-10, -0x1.826d162dc3144p-10, -0x1.764fa373e9534p-10, -0x1.6a8db308fe98p-10, -0x1.5f24a16c73d5ep-10, -0x1.54125cf10b6ddp-10, -0x1.495550c7a6412p-10, -0x1.3eeba07d7f7f4p-10, -0x1.34d2a2dca1958p-10, -0x1.2b070fd4c7ffep-10, -0x1.21856c2877a59p-10, -0x1.184a60683f707p-10, -0x1.0f53624281985p-10, -0x1.069f52fdef78bp-10, -0x1.fc5bbfa96fc5ep-11, -0x1.ebfc551e732a6p-11, -0x1.dc1d3f79738cp-11, -0x1.ccbbb963baa9p-11, -0x1.bdd5768a560d9p-11, -0x1.af67055dd4929p-11, -0x1.a16b5671d44f7p-11, -0x1.93dcafe2ba69cp-11, -0x1.86b5d372be673p-11, -0x1.79f238e747fbap-11, -0x1.6d8d1973f33f5p-11, -0x1.61828dc57cf18p-11, -0x1.55d28e79ede7dp-11, -0x1.4a7f24106101dp-11, -0x1.3f87f62f46271p-11, -0x1.34eb4efdd6a87p-11, -0x1.2aa86b4281eecp-11, -0x1.20bcb598a56e7p-11, -0x1.1721fbc90008ap-11, -0x1.0dd181c996304p-11, -0x1.04c6dfa552475p-11, -0x1.f7ffc5233f2e2p-12, -0x1.e6f7492e2efdp-12, -0x1.d6720022a3c21p-12, -0x1.c6689d31d4235p-12, -0x1.b6d61bfa8c2d9p-12, -0x1.a7bf922d3fd43p-12, -0x1.9927f436a6d42p-12, -0x1.8b0bfadda5fp-12, -0x1.7d6bf4646e744p-12, -0x1.70462bd60d561p-12, -0x1.638fa3b1aee46p-12, -0x1.573af566b8222p-12, -0x1.4b3f7506b6c86p-12, -0x1.3f9a45a8f823bp-12, -0x1.344bbe7f366a8p-12, -0x1.2954dd1aeafddp-12, -0x1.1eb65db523a82p-12, -0x1.146ba511f0711p-12, -0x1.0a6e21ce36501p-12, -0x1.00c24cfc9aebep-12, -0x1.eed3d75dae66ep-13, -0x1.dcbf15c9d14a5p-13, -0x1.cb484d700b49dp-13, -0x1.ba6c0f0113f58p-13, -0x1.aa1c7b1d95497p-13, -0x1.9a4e009d5c81dp-13, -0x1.8af6bdf5a0c76p-13, -0x1.7c0e06443f1p-13, -0x1.6d91960657ce8p-13, -0x1.5f840e90a9fbap-13, -0x1.51e571109b0fap-13, -0x1.44b6d154e5589p-13, -0x1.37f5a0468cc52p-13, -0x1.2b9a80087002fp-13, -0x1.1fa9e3bda057bp-13, -0x1.1417dd8281416p-13, -0x1.08e14bbd778f8p-13, -0x1.fc1298ab368dcp-14, -0x1.e711497ecaa97p-14, -0x1.d2bb81e6e0639p-14, -0x1.bf133d1073587p-14, -0x1.ac0f61943c8cfp-14, -0x1.999b2ee3d1714p-14, -0x1.87a87298da547p-14, -0x1.763ba3224a8e6p-14, -0x1.6557582a1a1dap-14, -0x1.54f73a16217dap-14, -0x1.452b77ca7215fp-14, -0x1.35eed020759fep-14, -0x1.272d641f7eb75p-14, -0x1.18d38110acbccp-14, -0x1.0ae7d3d0ff7b8p-14, -0x1.faddb76414c18p-15, -0x1.e0b570060885bp-15, -0x1.c758a76c748cbp-15, -0x1.aed4f2552c3cdp-15, -0x1.9731e8c9c85f2p-15, -0x1.8066a123757a8p-15, -0x1.6a4d480c1219p-15, -0x1.54c5f091cd099p-15, -0x1.3fe0cf34fc065p-15, -0x1.2ba635416ce27p-15, -0x1.18051856649a3p-15, -0x1.0526de5128653p-15, -0x1.e605746e185a9p-16, -0x1.c2ad9a819a0e7p-16, -0x1.a0426ed832a7fp-16, -0x1.7f0cb9a688ffdp-16, -0x1.5edd84b6758b5p-16, -0x1.3fa1ed82cad7fp-16, -0x1.216010b0aefdfp-16, -0x1.041afdaf663fdp-16, -0x1.cfb1b240af975p-17, -0x1.994d5d60dac65p-17, -0x1.64fe9c628cc29p-17, -0x1.32485bea520a2p-17, -0x1.00eea26b0db6fp-17, -0x1.a28581da783d1p-18, -0x1.462dbf1c20babp-18, -0x1.da396662ab24p-19, -0x1.2fbfbb651a9efp-19, -0x1.158bd16f4be0dp-20, 0x1.61ba9c49c44ecp-23, 0x1.61709afaeaddp-20, 0x1.45f81d0a529b5p-19, 0x1.d64ad6aee9028p-19, 0x1.30caa4812296bp-18, 0x1.73f4ed954d3cap-18, 0x1.b4b615de303e4p-18, 0x1.f31ee7b1d3467p-18, 0x1.1797ae9727ce2p-17, 0x1.3460bbf8be234p-17, 0x1.4fe5c38974a55p-17, 0x1.6a76500b90382p-17, 0x1.841329552697bp-17, 0x1.9cc0b5bfaef82p-17, 0x1.b4591517d588p-17, 0x1.caebcff26cfbfp-17, 0x1.e084931cf8d17p-17, 0x1.f5678e0d6652cp-17, 0x1.04a4668a1f5adp-16, 0x1.0e2a2d87c9446p-16, 0x1.17467148c0a67p-16, 0x1.1ff86b61614ecp-16, 0x1.284222ec93357p-16, 0x1.3026b8db168d8p-16, 0x1.37a8aca4b54a8p-16, 0x1.3ecb33e828b09p-16, 0x1.4591bcff37a6bp-16, 0x1.4bfebbbfa3938p-16, 0x1.520cc845a1e11p-16, 0x1.57b359b301a4p-16, 0x1.5d0ac45b582c3p-16, 0x1.621b0a64e9155p-16, 0x1.66d03401e6cbfp-16, 0x1.6b353aed25042p-16, 0x1.6f4d35328a053p-16, 0x1.731d2cfc3367cp-16, 0x1.769f15a329353p-16, 0x1.79db33672b1b9p-16, 0x1.7ccffc5c9c6a7p-16, 0x1.7f7eb39f597d3p-16, 0x1.81e91224d4a32p-16, 0x1.8410b342451f2p-16, 0x1.85f721262cd6cp-16, 0x1.879dedece9063p-16, 0x1.8906acdb4887cp-16, 0x1.8a33007de5e7p-16, 0x1.8b24ed2184f7ap-16, 0x1.8bdef22a4956p-16, 0x1.8c5f99a5b09e3p-16, 0x1.8c9e81c6d9318p-16, 0x1.8cae8eaa9af6ep-16, 0x1.8c8a1f701952p-16, 0x1.8c2fdb2e11f26p-16, 0x1.8ba4e5a86ee31p-16, 0x1.8ae6e9907ec79p-16, 0x1.89fb3aa1b987ep-16, 0x1.88e0110f23de5p-16, 0x1.8796db5d33506p-16, 0x1.8620ac6503747p-16, 0x1.847eaa374b9fdp-16, 0x1.82b1e77aa78e5p-16, 0x1.80bb6c90ddce2p-16, 0x1.7e9c44a611561p-16, 0x1.7c557bf0b7d8bp-16, 0x1.79e814bb1a8e7p-16, 0x1.775506523dc4ap-16, 0x1.749d5427d4967p-16, 0x1.71c2228d6c0d4p-16, 0x1.6ec4831533037p-16, 0x1.6ba5a991a191ep-16, 0x1.68632be3d0352p-16, 0x1.650268e2abed4p-16, 0x1.61817d10722f1p-16, 0x1.5de16dcc98134p-16, 0x1.5a257d6eeb279p-16, 0x1.564d25b53f67ap-16, 0x1.5258f40a17ed6p-16, 0x1.4e49b316fdbfep-16, 0x1.4a20360a85886p-16, 0x1.45dd883c3af6ap-16, 0x1.418258dab1358p-16, 0x1.3d0f74382be1fp-16, 0x1.3885a4bf32a39p-16, 0x1.33e5b6acc1898p-16, 0x1.2f305f03dcf5fp-16, 0x1.2a666589a498ep-16, 0x1.25888f60b65c3p-16, 0x1.2097992873db9p-16, 0x1.1b942ef071923p-16, 0x1.167f022230b06p-16, 0x1.1158dd984cc26p-16, 0x1.0c227a88d8c74p-16, 0x1.06dd4a9e238ebp-16, 0x1.01882e6b09714p-16, 0x1.f848aeebd7c1bp-17, 0x1.ed667a06c9074p-17, 0x1.e26b4d42521e3p-17, 0x1.d7577b8958211p-17, 0x1.cc2c4996f9442p-17, 0x1.c0eb0806fd193p-17, 0x1.b59505705028bp-17, 0x1.aa2b78825a08fp-17, 0x1.9eaf9a5fb10b5p-17, 0x1.9322a21b4456bp-17, 0x1.8785c05d333f2p-17, 0x1.7bda213b6d2d8p-17, 0x1.7020ecd2db0b1p-17, 0x1.645b4829cd444p-17, 0x1.588a5511a288ap-17, 0x1.4caf28a8ab902p-17, 0x1.40cadb80f905bp-17, 0x1.34de872add341p-17, 0x1.28eb371a06d06p-17, 0x1.1cf2358ad0e7cp-17, 0x1.10f3eb0ef073ep-17, 0x1.04f1fcee6a959p-17, 0x1.f1da3f9e37013p-18, 0x1.d9cdcaf5027dfp-18, 0x1.c1be96f915ef4p-18, 0x1.a9ae4f0cf2335p-18, 0x1.91a15e0ccec5fp-18, 0x1.79983b237dcf5p-18, 0x1.6194af74ac8f2p-18, 0x1.4998925d49ce6p-18, 0x1.31a5acbf826bcp-18, 0x1.19bdbcdb2784ap-18, 0x1.01e27a276014ap-18, 0x1.d42a9907a78f5p-19, 0x1.a4b09b3dc8cacp-19, 0x1.755a7def606cap-19, 0x1.462a254475efcp-19, 0x1.1723496adf78p-19, 0x1.d091f329f6a9fp-20, 0x1.733c5c3517176p-20, 0x1.164b9804dceadp-20, 0x1.738bde5a38216p-21, 0x1.76c040aa6bb12p-22, 0x1.083f89f1c01a1p-27, -0x1.64506da0954cbp-22, -0x1.677012e2bcd2p-21, -0x1.0dd66c8443bbep-20, -0x1.6769e1981d051p-20, -0x1.c06dab916ec52p-20, -0x1.0c6ea65d91bcfp-19, -0x1.3855a0e907907p-19, -0x1.63f401fa4f3d3p-19, -0x1.8f40c3e704265p-19, -0x1.ba37e40bc85bap-19, -0x1.e4d9b88ed5d63p-19, -0x1.0792131f1898bp-18, -0x1.1c8b1a355360dp-18, -0x1.315502cbf8d0ap-18, -0x1.45f0e64469b8bp-18, -0x1.5a5d0fb42758cp-18, -0x1.6e98a44fa1ff7p-18, -0x1.82a2c551a9918p-18, -0x1.967a823fab99ep-18, -0x1.aa1f24413d025p-18, -0x1.bd8feaeb7db8cp-18, -0x1.d0cbe9ea0053p-18, -0x1.e3d26dc1ac8ffp-18, -0x1.f6a2c51775b16p-18, -0x1.049e20c384b1bp-17, -0x1.0dcf14be4224fp-17, -0x1.16e3edabb6474p-17, -0x1.1fdc5f9c845f6p-17, -0x1.28b81bc49b4d1p-17, -0x1.3176d89d78b3ap-17, -0x1.3a184f093a103p-17, -0x1.429c3c6e00428p-17, -0x1.4b025ecce2524p-17, -0x1.534a7d06d80adp-17, -0x1.5b745bc5e7882p-17, -0x1.63800b886348ep-17, -0x1.6b6c24be2ac84p-17, -0x1.733a6edcef841p-17, -0x1.7ae91588cf091p-17, -0x1.8278a7432957bp-17, -0x1.89e8d54847d6p-17, -0x1.91396f3a6437bp-17, -0x1.986a3787685dcp-17, -0x1.9f7bd1c4dafa1p-17, -0x1.a66c9180b0a4fp-17, -0x1.ad3deeb115fddp-17, -0x1.b3eef88aae039p-17, -0x1.ba7fc42137a4ap-17, -0x1.c0f04132cf4b1p-17, -0x1.c7405d8a8796ap-17, -0x1.cd7009250823ep-17, -0x1.d37f3373bb1c3p-17, -0x1.d96dd00499b58p-17, -0x1.df3bec68b8806p-17, -0x1.e4e9637e70914p-17, -0x1.ea7640d7b3a54p-17, -0x1.efe28090ec95ap-17, -0x1.f52e22a439617p-17, -0x1.fa592d5e05143p-17, -0x1.ff637a1a3a546p-17, -0x1.0226c0f0d44e9p-16, -0x1.048b66fd5f6fp-16, -0x1.06dfd4a909e7ap-16, -0x1.092419207dc7fp-16, -0x1.0b57fe3913bc5p-16, -0x1.0d7bea2502df9p-16, -0x1.0f8fa873a1065p-16, -0x1.1192bd6d32796p-16, -0x1.1386f747e6de7p-16, -0x1.156a869d82ab6p-16, -0x1.173e329439d86p-16, -0x1.1901fa2b9ae25p-16, -0x1.1ab5ec03bb671p-16, -0x1.1c5a1980b3161p-16, -0x1.1deeaeb1d893fp-16, -0x1.1f73574587edep-16, -0x1.20e8921041912p-16, -0x1.224e41e4a1387p-16, -0x1.23a47ad3f6dc9p-16, -0x1.24eb73e64d46dp-16, -0x1.262316a210281p-16, -0x1.274b88878494ep-16, -0x1.2864d934ac0b5p-16, -0x1.296f251a2110fp-16, -0x1.2a6a81806e6bep-16, -0x1.2b5705720cc95p-16, -0x1.2c34c94360fc3p-16, -0x1.2d03e5a24f46p-16, -0x1.2dc473791f24cp-16, -0x1.2e768c11747b1p-16, -0x1.2f1a4bc54918ap-16, -0x1.2fafcc0c34ff6p-16, -0x1.303727bbdbbcap-16, -0x1.30b07b32fa571p-16, -0x1.311be2b7b79a5p-16, -0x1.31797af143748p-16, -0x1.31c9610e4b789p-16, -0x1.320bb2bd4a40fp-16, -0x1.32408e7ed513ep-16, -0x1.326812545ef6bp-16, -0x1.3282645c01205p-16, -0x1.328f8e3304762p-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.79ee8662f6a51p-1, 0x1.79ee313fd5869p-1, 0x1.79ede585c66a8p-1, 0x1.79edeb320c76p-1, 0x1.79ee89a19bc0fp-1, 0x1.79effddc15c32p-1, 0x1.79f274610922bp-1, 0x1.79f6058845f74p-1, 0x1.79fab3c17eef2p-1, 0x1.7a006b2c45feep-1, 0x1.7a07022317f84p-1, 0x1.7a0e3a6d8e437p-1, 0x1.7a15c2e0ebe2cp-1, 0x1.7a1d3944a97ddp-1, 0x1.7a242c5b9bae7p-1, 0x1.7a2a1dfa8ebbdp-1, 0x1.7a2e851b8e6fp-1, 0x1.7a30cfe1d3ce6p-1, 0x1.7a306586022afp-1, 0x1.7a2ca82522bcep-1, 0x1.7a24f66eebea8p-1, 0x1.7a18ad3179394p-1, 0x1.7a0728c1ce54dp-1, 0x1.79efc6415e1fbp-1, 0x1.79d1e4c17733fp-1, 0x1.79ace645e8eaep-1, 0x1.798030a8898d4p-1, 0x1.794b2e5f6e8bfp-1, 0x1.790d4f27d2499p-1, 0x1.78c608979fb15p-1, 0x1.7874d697a62e6p-1, 0x1.78193bc8692fep-1, 0x1.77b2c1d36db21p-1, 0x1.7740f9aad245bp-1, 0x1.76c37bb8e5363p-1, 0x1.7639e801543e5p-1, 0x1.75a3e63570078p-1, 0x1.750125bce93a7p-1, 0x1.74515db44a2bap-1, 0x1.73944ce25e94fp-1, 0x1.72c9b9a597668p-1, 0x1.71f171da6adebp-1, 0x1.710b4abb94bacp-1, 0x1.701720bd07305p-1, 0x1.6f14d7624842ap-1, 0x1.6e045910ea0eep-1, 0x1.6ce596dfb5ca7p-1, 0x1.6bb8886315bebp-1, 0x1.6a7d2b773d97p-1, 0x1.693384087fd37p-1, 0x1.67db9bda37bc8p-1, 0x1.6675824ca2383p-1, 0x1.65014c21f6a56p-1, 0x1.637f13430930cp-1, 0x1.61eef683b90b2p-1, 0x1.60511967610b8p-1, 0x1.5ea5a3e582cf9p-1, 0x1.5cecc22ed4d0ap-1, 0x1.5b26a472e1632p-1, 0x1.59537ea6556a1p-1, 0x1.5773884a225dap-1, 0x1.5586fc3389a2bp-1, 0x1.538e18552fc4ep-1, 0x1.51891d8945a4ep-1, 0x1.4f784f5cdcf09p-1, 0x1.4d5bf3dc77f24p-1, 0x1.4b345361db87ap-1, 0x1.4901b8633582p-1, 0x1.46c46f4399a1ap-1, 0x1.447cc624dea17p-1, 0x1.422b0cbae10bp-1, 0x1.3fcf94202bd24p-1, 0x1.3d6aaeac0edbbp-1, 0x1.3afcafca1db6bp-1, 0x1.3885ebd31c097p-1, 0x1.3606b7e754d48p-1, 0x1.337f69ca59075p-1, 0x1.30f057c025d8ap-1, 0x1.2e59d86bad28bp-1, 0x1.2bbc42aebd134p-1, 0x1.2917ed8b42f36p-1, 0x1.266d3005e25f8p-1, 0x1.23bc6109ddb21p-1, 0x1.2105d74e48a53p-1, 0x1.1e49e93c7f495p-1, 0x1.1b88ecd7da85ap-1, 0x1.18c337a69bfaep-1, 0x1.15f91e9c0b8f6p-1, 0x1.132af603bc4fcp-1, 0x1.1059116df6002p-1, 0x1.0d83c39d37eebp-1, 0x1.0aab5e74cff8bp-1, 0x1.07d032e87eb88p-1, 0x1.04f290ed1fd8ep-1, 0x1.0212c76a4f834p-1, 0x1.fe62485a0df4dp-2, 0x1.f89be7b64d65ap-2, 0x1.f2d303cfcff4cp-2, 0x1.ed0831125cf7fp-2, 0x1.e73c015b64bbdp-2, 0x1.e16f03e7f771dp-2, 0x1.dba1c5444efb3p-2, 0x1.d5d4cf3ce0914p-2, 0x1.d008a8d0e5951p-2, 0x1.ca3dd62650879p-2, 0x1.c474d87f1c221p-2, 0x1.beae2e2fed85ap-2, 0x1.b8ea5297f6279p-2, 0x1.b329be1a0d8f9p-2, 0x1.ad6ce616f3f4fp-2, 0x1.a7b43ce8b0f89p-2, 0x1.a20031df05affp-2, 0x1.9c51313ce14bap-2, 0x1.96a7a436d14eep-2, 0x1.9103f0f25ed56p-2, 0x1.8b667a86539fep-2, 0x1.85cfa0fbcf987p-2, 0x1.803fc150387b3p-2, 0x1.7ab73577e1c6ep-2, 0x1.7536546178d3bp-2, 0x1.6fbd71fa1d521p-2, 0x1.6a4cdf322078cp-2, 0x1.64e4ea0266ed4p-2, 0x1.5f85dd725bcedp-2, 0x1.5a30019e7392dp-2, 0x1.54e39bbf34236p-2, 0x1.4fa0ee30b893fp-2, 0x1.4a68387aa8813p-2, 0x1.4539b758a23acp-2, 0x1.4015a4c3045d2p-2, 0x1.3afc37f81bb1bp-2, 0x1.35eda585a8244p-2, 0x1.30ea1f52b0e21p-2, 0x1.2bf1d4a9a965dp-2, 0x1.2704f242d5d8ap-2, 0x1.2223a24ef16b1p-2, 0x1.1d4e0c8211607p-2, 0x1.1884561eb4849p-2, 0x1.13c6a2010aee1p-2, 0x1.0f1510aa600e2p-2, 0x1.0a6fc04cabe4ep-2, 0x1.05d6ccd646f47p-2, 0x1.014a4ffdb5f3ep-2, 0x1.f994c29b1e082p-3, 0x1.f0ae2c60e47e3p-3, 0x1.e7e103fa1e103p-3, 0x1.df2d6c0471807p-3, 0x1.d6938325fd1f4p-3, 0x1.ce136425946f7p-3, 0x1.c5ad260301502p-3, 0x1.bd60dc0f3a97cp-3, 0x1.b52e960493a63p-3, 0x1.ad16601edc215p-3, 0x1.a51843336710bp-3, 0x1.9d3444c8fb1a5p-3, 0x1.956a672f9c0bcp-3, 0x1.8dbaa998391ebp-3, 0x1.8625082c2919dp-3, 0x1.7ea97c247dfcp-3, 0x1.7747fbe12683dp-3, 0x1.70007affd92dep-3, 0x1.68d2ea72cc2f1p-3, 0x1.61bf389728d29p-3, 0x1.5ac5514b468c2p-3, 0x1.53e51e04a4123p-3, 0x1.4d1e85e59bdbcp-3, 0x1.46716dd2cc17ep-3, 0x1.3fddb8883e6e8p-3, 0x1.396346ae3df41p-3, 0x1.3301f6ede4fc1p-3, 0x1.2cb9a605567a7p-3, 0x1.268a2edba9fd4p-3, 0x1.20736a94887bdp-3, 0x1.1a7530a36dab4p-3, 0x1.148f56de9a295p-3, 0x1.0ec1b191b59afp-3, 0x1.090c139009e18p-3, 0x1.036e4e4679b3cp-3, 0x1.fbd0639a241dfp-4, 0x1.f0f319f08e6dep-4, 0x1.e6445ad3b704cp-4, 0x1.dbc3bf42d011cp-4, 0x1.d170de191e3adp-4, 0x1.c74b4c2da4d9bp-4, 0x1.bd529c72224d1p-4, 0x1.b38660115a9b2p-4, 0x1.a9e6268ca2532p-4, 0x1.a0717dd8c9582p-4, 0x1.9727f27a4b049p-4, 0x1.8e090fa0beb97p-4, 0x1.85145f41b14ffp-4, 0x1.7c496a32bb449p-4, 0x1.73a7b842f049fp-4, 0x1.6b2ed0539f1bcp-4, 0x1.62de3870659f7p-4, 0x1.5ab575e69ae66p-4, 0x1.52b40d5c0eb89p-4, 0x1.4ad982e521d2p-4, 0x1.43255a1a39d04p-4, 0x1.3b97162c8ee17p-4, 0x1.342e39fa584ddp-4, 0x1.2cea482258bdap-4, 0x1.25cac316cc2bp-4, 0x1.1ecf2d2fb96ep-4, 0x1.17f708bcaa8f5p-4, 0x1.1141d815cb85cp-4, 0x1.0aaf1dac752dbp-4, 0x1.043e5c1b23c6bp-4, 0x1.fbde2c69b7e6cp-5, 0x1.ef819e2805a06p-5, 0x1.e36614514fc9ep-5, 0x1.d78a968c899fdp-5, 0x1.cbee2d61f03dap-5, 0x1.c08fe2546f47ep-5, 0x1.b56ebffa0463ap-5, 0x1.aa89d21321d5bp-5, 0x1.9fe025a113cd4p-5, 0x1.9570c8fb71dbbp-5, 0x1.8b3acbe49d4b8p-5, 0x1.813d3f9d5415fp-5, 0x1.777736f75bfbp-5, 0x1.6de7c66748e6p-5, 0x1.648e04156c593p-5, 0x1.5b6907ede3509p-5, 0x1.5277ebafda895p-5, 0x1.49b9cafbfb75bp-5, 0x1.412dc36214dc8p-5, 0x1.38d2f46dfeca2p-5, 0x1.30a87fb3b91f7p-5, 0x1.28ad88dad8728p-5, 0x1.20e135a9321f3p-5, 0x1.1942ae0ce02a1p-5, 0x1.11d11c2591b24p-5, 0x1.0a8bac4d36055p-5, 0x1.03718d20068eap-5, 0x1.f903df07d6d0ap-6, 0x1.eb780d5e957cap-6, 0x1.de3e105e81cb9p-6, 0x1.d15457da8d96cp-6, 0x1.c4b9586893c38p-6, 0x1.b86b8b6a7a9e4p-6, 0x1.ac696f1644786p-6, 0x1.a0b1867d2ccd5p-6, 0x1.95425991c1bdcp-6, 0x1.8a1a752d08a94p-6, 0x1.7f386b12ca0b2p-6, 0x1.749ad1f4ed627p-6, 0x1.6a404575ffe25p-6, 0x1.6027662aecf43p-6, 0x1.564ed99be9f3fp-6, 0x1.4cb54a449c2fap-6, 0x1.4359679380e87p-6, 0x1.3a39e5e8ae8d7p-6, 0x1.31557e93d5271p-6, 0x1.28aaefd1a33e6p-6, 0x1.2038fcc8834a5p-6, 0x1.17fe6d84ca44p-6, 0x1.0ffa0ef43ca3ap-6, 0x1.082ab2e120aabp-6, 0x1.008f2fecb1a4dp-6, 0x1.f24cc31247f5cp-7, 0x1.e3de4fe6363fep-7, 0x1.d5d0d0556eb37p-7, 0x1.c82217d85ed9cp-7, 0x1.bad0034ff79d8p-7, 0x1.add878f53363fp-7, 0x1.a1396847f1dabp-7, 0x1.94f0c9fd02134p-7, 0x1.88fc9feb87f44p-7, 0x1.7d5af4f9ba30dp-7, 0x1.7209dd091653cp-7, 0x1.670774e1e4de1p-7, 0x1.5c51e21e4e37dp-7, 0x1.51e75314dbd9dp-7, 0x1.47c5fec291527p-7, 0x1.3dec24b4833fcp-7, 0x1.34580cf114eb4p-7, 0x1.2b0807e0cb801p-7, 0x1.21fa6e36ce14p-7, 0x1.192da0d908f17p-7, 0x1.10a008c80b7f6p-7, 0x1.08501706a95cdp-7, 0x1.003c4481509cbp-7, 0x1.f0c623ea45938p-8, 0x1.e1860fade148p-8, 0x1.d2b56c73f41bep-8, 0x1.c451696d10ccfp-8, 0x1.b65744a0da515p-8, 0x1.a8c44ababef25p-8, 0x1.9b95d6d694703p-8, 0x1.8ec9524cfe637p-8, 0x1.825c347fcb54p-8, 0x1.764c02a62c18cp-8, 0x1.6a964f990954fp-8, 0x1.5f38bb9f22a33p-8, 0x1.5430f4396bac5p-8, 0x1.497cb3ef61a51p-8, 0x1.3f19c21b6aedfp-8, 0x1.3505f2b76efe6p-8, 0x1.2b3f262984448p-8, 0x1.21c34910dba98p-8, 0x1.18905412cd04cp-8, 0x1.0fa44ba82403fp-8, 0x1.06fd3feaa5a7p-8, 0x1.fd3298c5d4eb3p-9, 0x1.eced2facd11bp-9, 0x1.dd26a82be864ep-9, 0x1.cddb7b98c7183p-9, 0x1.bf08389b4b08ap-9, 0x1.b0a982cc605ep-9, 0x1.a2bc1255a5ac7p-9, 0x1.953cb391d125p-9, 0x1.882846add91d4p-9, 0x1.7b7bbf4b07e7dp-9, 0x1.6f342421c6a1dp-9, 0x1.634e8ea575a7bp-9, 0x1.57c82aa903512p-9, 0x1.4c9e3604b45b1p-9, 0x1.41ce003c8e737p-9, 0x1.3754ea27b7a6ap-9, 0x1.2d30659928223p-9, 0x1.235df508e8248p-9, 0x1.19db2b3ec6893p-9, 0x1.10a5aafdb718p-9, 0x1.07bb26b041dbbp-9, 0x1.fe32c02c66b48p-10, 0x1.ed7c4fe6336e8p-10, 0x1.dd4ebb7bd2c55p-10, 0x1.cda5dea3c673p-10, 0x1.be7db1407f5d4p-10, 0x1.afd246c5f0fc9p-10, 0x1.a19fcda1ab077p-10, 0x1.93e28ea4cbfe7p-10, 0x1.8696ec700cc62p-10, 0x1.79b962e294f2ep-10, 0x1.6d46868a3cff3p-10, 0x1.613b041629bdbp-10, 0x1.55939fcc06d3fp-10, 0x1.4a4d34febb82ap-10, 0x1.3f64b587d85cep-10, 0x1.34d7294300c6ap-10, 0x1.2aa1ad8ba14c6p-10, 0x1.20c174bc5f54ap-10, 0x1.1733c5b0fd122p-10, 0x1.0df5fb4a5563bp-10, 0x1.050583f47a373p-10, 0x1.f8bfc25dbdd56p-11, 0x1.e8054e2ddbd91p-11, 0x1.d7d6f7e7f9793p-11, 0x1.c8302f8c095d7p-11, 0x1.b90c87abf14f9p-11, 0x1.aa67b490d5eeap-11, 0x1.9c3d8b641282cp-11, 0x1.8e8a015c92a8ep-11, 0x1.81492af046e9dp-11, 0x1.74773b0881889p-11, 0x1.6810823b278e6p-11, 0x1.5c116e07a5281p-11, 0x1.507688178c1d7p-11, 0x1.453c7582d279ap-11, 0x1.3a5ff618aceaep-11, 0x1.2fdde3ab0dcd6p-11, 0x1.25b3315ddf6c6p-11, 0x1.1bdceafaaf326p-11, 0x1.1258344732e2p-11, 0x1.0922485f9a5c3p-11, 0x1.00387914619dbp-11, 0x1.ef305c97d26bcp-12, 0x1.de7dcacd86551p-12, 0x1.ce54614f2da44p-12, 0x1.beaf6d3d12582p-12, 0x1.af8a632f93223p-12, 0x1.a0e0de1aa2bccp-12, 0x1.92ae9e37d2248p-12, 0x1.84ef87f6e782cp-12, 0x1.779fa2f3e18ddp-12, 0x1.6abb18f2d1a72p-12, 0x1.5e3e34e2406aap-12, 0x1.522561e448d02p-12, 0x1.466d2a5b762cp-12, 0x1.3b1236fecfa72p-12, 0x1.30114df4036b8p-12, 0x1.256751ed6ac03p-12, 0x1.1b11414e41aaap-12, 0x1.110c3553d8a11p-12, 0x1.07556144e2ca1p-12, 0x1.fbd42349ecaf8p-13, 0x1.e98f56db2608dp-13, 0x1.d7d75698a03a3p-13, 0x1.c6a749cb10a28p-13, 0x1.b5fa8437e16d9p-13, 0x1.a5cc84b8dfc0fp-13, 0x1.9618f3dda1b1cp-13, 0x1.86dba297965p-13, 0x1.781088ec8e1e6p-13, 0x1.69b3c4b27438p-13, 0x1.5bc198566b17cp-13, 0x1.4e3669a7f61a2p-13, 0x1.410ec0af701bdp-13, 0x1.344746899ed76p-13, 0x1.27dcc44de755bp-13, 0x1.1bcc21fbbf27p-13, 0x1.1012656e17078p-13, 0x1.04acb1579c2p-13, 0x1.f330888d7dedfp-14, 0x1.dda4ef5d96d75p-14, 0x1.c8b17df35485fp-14, 0x1.b4514d3c02ccfp-14, 0x1.a07fa67ea8827p-14, 0x1.8d3801a58aea8p-14, 0x1.7a7603933f476p-14, 0x1.68357c864f8e7p-14, 0x1.5672668ac0fdep-14, 0x1.4528e3f1bc4b1p-14, 0x1.34553ddc1b0aep-14, 0x1.23f3e2c63e677p-14, 0x1.140165288a5bcp-14, 0x1.047a7a1ff0d8ep-14, 0x1.eab7f03c96ddcp-15, 0x1.cd45ab4cfc62ep-15, 0x1.b098502cfe62ep-15, 0x1.94aa44e7750ddp-15, 0x1.7976288fe35fdp-15, 0x1.5ef6d1054ec5dp-15, 0x1.452748c8577f9p-15, 0x1.2c02cce940c8ap-15, 0x1.1384cb0557b62p-15, 0x1.f751be9c92b36p-16, 0x1.c8d5a551cf61cp-16, 0x1.9b8d31be0f5e3p-16, 0x1.6f709dab4759cp-16, 0x1.447871b6f160ap-16, 0x1.1a9d82050f3b7p-16, 0x1.e3b1d6147be09p-17, 0x1.94481d0dc1a74p-17, 0x1.46f12110cce54p-17, 0x1.f74152263f6f9p-18, 0x1.6495eae3724dep-18, 0x1.ab92ea434ee1cp-19, 0x1.2b18de11d4e67p-20, -0x1.e4459b7f62199p-21, -0x1.806ecdc5511bfp-19, -0x1.40593cd96d966p-18, -0x1.bd00d6f39deb5p-18, -0x1.1b2013882dc43p-17, -0x1.56143bbffccp-17, -0x1.8f653964a2e72p-17, -0x1.c71b15af2b97fp-17, -0x1.fd3d91680c332p-17, -0x1.18ea143689fe6p-16, -0x1.32730a8cc88f9p-16, -0x1.4b3d29bc8d394p-16, -0x1.634bd22fc6b09p-16, -0x1.7aa248315f09cp-16, -0x1.9143b56066779p-16, -0x1.a7332a05caa73p-16, -0x1.bc739e669f025p-16, -0x1.d107f40cf9e51p-16, -0x1.e4f2f6ec8265ep-16, -0x1.f8375e9955637p-16, -0x1.056be7acd4dfcp-15, -0x1.0e6b6d9abc4c7p-15, -0x1.171b81793cb4fp-15, -0x1.1f7d5b882340dp-15, -0x1.27922c58bc1d7p-15, -0x1.2f5b1d3927229p-15, -0x1.36d950a47514ep-15, -0x1.3e0de2a6afd5fp-15, -0x1.44f9e939c6c41p-15, -0x1.4b9e74a6a8135p-15, -0x1.51fc8fd938a9dp-15, -0x1.581540b5a40fap-15, -0x1.5de988630bd57p-15, -0x1.637a639a70ed4p-15, -0x1.68c8caeb8959ep-15, -0x1.6dd5b2fce8a13p-15, -0x1.72a20ccf01782p-15, -0x1.772ec5f7359abp-15, -0x1.7b7cc8d704b08p-15, -0x1.7f8cfcd1ae832p-15, -0x1.8360467e60577p-15, -0x1.86f787d802d42p-15, -0x1.8a53a0670298ap-15, -0x1.8d756d6cf9d01p-15, -0x1.905dca0a616cdp-15, -0x1.930d8f62f40b2p-15, -0x1.958594be33d61p-15, -0x1.97c6afa8727cfp-15, -0x1.99d1b410e5469p-15, -0x1.9ba77461b5a15p-15, -0x1.9d48c19ba6feep-15, -0x1.9eb66b6bb8d0ap-15, -0x1.9ff14042293cfp-15, -0x1.a0fa0d6306124p-15, -0x1.a1d19ef9f9ab7p-15, -0x1.a278c029b6408p-15, -0x1.a2f03b1b71c99p-15, -0x1.a338d90991572p-15, -0x1.a353624e55cbp-15, -0x1.a3409e6d19daep-15, -0x1.a301541ab5bddp-15, -0x1.a29649463ac27p-15, -0x1.a200431fa6474p-15, -0x1.a140061e0d97dp-15, -0x1.a05656031f66ap-15, -0x1.9f43f5df94267p-15, -0x1.9e09a815f1492p-15, -0x1.9ca82e5daeda2p-15, -0x1.9b2049c2427f8p-15, -0x1.9972baa4bee3ap-15, -0x1.97a040bced179p-15, -0x1.95a99b16327fdp-15, -0x1.938f880ea8ce2p-15, -0x1.9152c5556168ep-15, -0x1.8ef40fe819c9ep-15, -0x1.8c7424108c6cbp-15, -0x1.89d3bd5e730fbp-15, -0x1.871396a5dfb9dp-15, -0x1.843469f9c8f8dp-15, -0x1.8136f0a8b1d62p-15, -0x1.7e1be334ead0ap-15, -0x1.7ae3f9522f2c3p-15, -0x1.778fe9df03449p-15, -0x1.74206add9ff16p-15, -0x1.7096316e7d54p-15, -0x1.6cf1f1ca500d3p-15, -0x1.69345f3d46beap-15, -0x1.655e2c1dd5c27p-15, -0x1.617009c6f7645p-15, -0x1.5d6aa89174f2bp-15, -0x1.594eb7cd77de4p-15, -0x1.551ce5bb648b3p-15, -0x1.50d5df83ccc03p-15, -0x1.4c7a5133285fbp-15, -0x1.480ae5b0707bdp-15, -0x1.438846b6a888ep-15, -0x1.3ef31ccd8943ep-15, -0x1.3a4c0f4359848p-15, -0x1.3593c42721da4p-15, -0x1.30cae04002415p-15, -0x1.2bf207071114fp-15, -0x1.2709daa0c1ab7p-15, -0x1.2212fbd607925p-15, -0x1.1d0e0a0eaf47ep-15, -0x1.17fba34a13f01p-15, -0x1.12dc641a1ba03p-15, -0x1.0db0e79c91023p-15, -0x1.0879c7742cfcap-15, -0x1.03379bc3dbc52p-15, -0x1.fbd5f64fdd0c6p-16, -0x1.f128f566aecf5p-16, -0x1.e6695bcf0137ep-16, -0x1.db984d61cb1dbp-16, -0x1.d0b6eac117c39p-16, -0x1.c5c6514fcd516p-16, -0x1.bac79b27774cbp-16, -0x1.afbbdf12a8541p-16, -0x1.a4a4307fba5e5p-16, -0x1.99819f7c87745p-16, -0x1.8e5538abaf93ap-16, -0x1.8320053d472edp-16, -0x1.77e30ae818adfp-16, -0x1.6c9f4be3b856ap-16, -0x1.6155c6e31b59fp-16, -0x1.5607770c7bd97p-16, -0x1.4ab553f4b846fp-16, -0x1.3f605199b23d9p-16, -0x1.3409605ba59fap-16, -0x1.28b16cfc3397ep-16, -0x1.1d59609922b9cp-16, -0x1.120220a7c8773p-16, -0x1.06ac8ef27a201p-16, -0x1.f6b31329e3a64p-17, -0x1.e013d5f19c313p-17, -0x1.c97d13a8d0927p-17, -0x1.b2f072534d448p-17, -0x1.9c6f908abb7d5p-17, -0x1.85fc0576d6a08p-17, -0x1.6f9760d03e43bp-17, -0x1.59432adbeb2bdp-17, -0x1.4300e46ae763bp-17, -0x1.2cd206dbf65d5p-17, -0x1.16b804222bdp-17, -0x1.00b446bf67ae6p-17, -0x1.d59063917f28ap-18, -0x1.a9ea41d6766fcp-18, -0x1.7e78d0d80bf9cp-18, -0x1.533eaa593723dp-18, -0x1.283e5965f07a4p-18, -0x1.faf4b4c7c0dbfp-19, -0x1.a5ea3627828e1p-19, -0x1.5161f53f9471p-19, -0x1.fac126baa03cbp-20, -0x1.53d529a3796e8p-20, -0x1.5c11847e2b30cp-21, -0x1.2c90c80099a02p-25, 0x1.341e5b22dae0dp-21, 0x1.3c4a354dc11ddp-20, 0x1.dd44a565f5052p-20, 0x1.3e7b6537c4e0ap-19, 0x1.8dac946381a09p-19, 0x1.dc323e1bf87f4p-19, 0x1.15046de5e4df9p-18, 0x1.3b96810a9756p-18, 0x1.61cdb06339a39p-18, 0x1.87a8614ae25fp-18, 0x1.ad250675eed61p-18, 0x1.d2421fdc042edp-18, 0x1.f6fe3a9532108p-18, 0x1.0dabf8605db71p-17, 0x1.1fa6f4adc8954p-17, 0x1.316f6c1935f21p-17, 0x1.4304beddaa488p-17, 0x1.5466537a2a05bp-17, 0x1.659396a593631p-17, 0x1.768bfb3c25b0ap-17, 0x1.874efa3133cc7p-17, 0x1.97dc1276a6428p-17, 0x1.a832c8f2defdap-17, 0x1.b852a86e5accdp-17, 0x1.c83b4182b9c1fp-17, 0x1.d7ec2a8a0e2d3p-17, 0x1.e764ff8bcb6f5p-17, 0x1.f6a5622c5e74cp-17, 0x1.02d67ccbff541p-16, 0x1.0a3db9383a77fp-16, 0x1.11883f606dddep-16, 0x1.18b5eaf21ad4ap-16, 0x1.1fc69a3b843e5p-16, 0x1.26ba2e221c9b3p-16, 0x1.2d908a199d6a6p-16, 0x1.34499419fd96bp-16, 0x1.3ae53493ab4bbp-16, 0x1.41635669e50a9p-16, 0x1.47c3e6e6a15a1p-16, 0x1.4e06d5b305125p-16, 0x1.542c14cd2c64ap-16, 0x1.5a33987e46087p-16, 0x1.601d575170f68p-16, 0x1.65e94a0955292p-16, 0x1.6b976b96241fep-16, 0x1.7127b90e7cb2dp-16, 0x1.769a31a3aaabp-16, 0x1.7beed698755bcp-16, 0x1.8125ab388b51dp-16, 0x1.863eb4ce4ccc3p-16, 0x1.8b39fa9a36b2ap-16, 0x1.901785c6ac01ap-16, 0x1.94d761606aa59p-16, 0x1.99799a4db931dp-16, 0x1.9dfe3f43c76c8p-16, 0x1.a26560be0adc1p-16, 0x1.a6af10f53c37p-16, 0x1.aadb63d50227bp-16, 0x1.aeea6ef3b4e4dp-16, 0x1.b2dc49871d549p-16, 0x1.b6b10c5de2811p-16, 0x1.ba68d1d501334p-16, 0x1.be03b5cf5af1p-16, 0x1.c181d5abd40c1p-16, 0x1.c4e3503d34c53p-16, 0x1.c82845c1fee87p-16, 0x1.cb50d7d974fefp-16, 0x1.ce5d297c4c69ep-16, 0x1.d14d5ef3045e4p-16, 0x1.d4219dce705e2p-16, 0x1.d6da0cde88fb6p-16, 0x1.d976d42a07ce5p-16, 0x1.dbf81ce62ea84p-16, 0x1.de5e116db4707p-16, 0x1.e0a8dd39f2771p-16, 0x1.e2d8acd85cc87p-16, 0x1.e4edade3bf5a7p-16, 0x1.e6e80efd4304dp-16, 0x1.e8c7ffc235d0fp-16, 0x1.ea8db0c6509a2p-16, 0x1.ec3953896e11dp-16, 0x1.edcb1a72fc22ap-16, 0x1.ef4338c791cf3p-16, 0x1.f0a1e2a1f371ep-16, 0x1.f1e74ced6b1a2p-16, 0x1.f313ad5b659f8p-16, 0x1.f4273a5e532eep-16, 0x1.f5222b22adb43p-16, 0x1.f604b7862a2bap-16, 0x1.f6cf1811a377fp-16, 0x1.f78185f20d56ep-16, 0x1.f81c3af26fca6p-16, 0x1.f89f71733bb87p-16, 0x1.f90b64646df5bp-16, 0x1.f9604f4021479p-16, 0x1.f99e6e02ad801p-16, 0x1.f9c5fd24ffda8p-16, 0x1.f9d7399529c7bp-16, 0x1.f9d260b1d3099p-16, 0x1.f9b7b0430dac4p-16, 0x1.f9876672f61d4p-16, 0x1.f941c1cbd7971p-16, 0x1.f8e7012e0cf02p-16, 0x1.f87763cb5301fp-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      42, 0x1.2p+2, 0x1.8764fac7a2c49p+1, 0x1.00a00a821f376p+2, -0x1.b70cfbc96b029p-6, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.28157bdc1db98p-7, -0x1.c0cc688563732p-4, 0x1.57149d9114a8ap-3, -0x1.332f5ed54077ep-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.03f60d30c3ef2p-8, -0x1.7e7c7affbb52p-4, 0x1.400aa9a77c9f8p-3, -0x1.31599ea15487ep-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.50904e1b00dabp-12, -0x1.40c49ebce264p-4, 0x1.2923f0f4fcaefp-3, -0x1.2fca33a41a5a3p-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.fcf8d7283b99ep-9, -0x1.079e4eef09a7p-4, 0x1.125b2d157ab53p-3, -0x1.2e2812ed6531dp-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.bc095b6176894p-8, -0x1.a606d3cc3e9ep-5, 0x1.f7638a87596f2p-4, -0x1.2c8a73e5e73f3p-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.28a808154fb48p-7, -0x1.45db6559be47dp-5, 0x1.ca4ec5f1a9f2cp-4, -0x1.2aed83db0b2abp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.60f5e69b38c66p-7, -0x1.dd5bd91445b68p-6, 0x1.9d77f22a6845bp-4, -0x1.2949562e6e3a5p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.88b96e98dd007p-7, -0x1.40e3d465fb78fp-6, 0x1.70e0253d0af06p-4, -0x1.27c1700c341fcp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.a1bb49179ce51p-7, -0x1.6c6cbfcf100bcp-7, 0x1.4483213b36523p-4, -0x1.25cfa9622b7eap-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.adc1a2d3d2ed2p-7, -0x1.e9c65725b140cp-9, 0x1.1870c7d2e2fefp-4, -0x1.25691d4cfba9ep-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.ae902c3cd38a9p-7, 0x1.513768efca00bp-9, 0x1.d8dba07514181p-5, -0x1.1ab43396f1bf3p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.a5e6efa518dd5p-7, 0x1.007c2bcd3df5p-7, 0x1.840bf761652bp-5, -0x1.05b0eba4beb3p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.9575855423485p-7, 0x1.8c00951865387p-7, 0x1.358a17165f28cp-5, -0x1.e471c03302181p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.7ece47985a122p-7, 0x1.f948e2cde4d1fp-7, 0x1.d9bedaea3db15p-6, -0x1.bcaddab2752bap-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.636528f737158p-7, 0x1.2558c2bbb1b3cp-6, 0x1.54577fb4b4237p-6, -0x1.9522b60c4b306p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.448fb42d46c13p-7, 0x1.414dca368a44bp-6, 0x1.b59a2bc86e5dfp-7, -0x1.6d885c66a24d6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.23850c2e2817ap-7, 0x1.51b373f9e6f3cp-6, 0x1.b490b57c19f66p-8, -0x1.45f215e49442cp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.015dec248caffp-7, 0x1.57b9d6e7a7efep-6, 0x1.6b71a681a6d86p-11, -0x1.1e5ab7d399fe7p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.be294ee47168fp-8, 0x1.5490fe6d86f3p-6, -0x1.2a31dafa83ee7p-8, -0x1.ed8749b5684b5p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.7b0a536005c6dp-8, 0x1.4968f90a623a5p-6, -0x1.2927ea007adb7p-7, -0x1.9e58fa20d224p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.3ad9ed5ba91f9p-8, 0x1.3771d46cac6ep-6, -0x1.a575cea3ed19p-7, -0x1.4f2abae744485p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.fdaca9caa67ecp-9, 0x1.1fdb9e7361fb6p-6, -0x1.05015027da648p-6, -0x1.fff8c7c8a211p-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.9001e4f242378p-9, 0x1.03d6650bc3dbp-6, -0x1.2b672bf08025ap-6, -0x1.619cb757fbf4ap-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.2e3cbe02a9a33p-9, 0x1.c9246b72ee1d1p-7, -0x1.45ec867d7fd7ep-6, -0x1.867cc049f3a26p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.b2d98f595692bp-10, 0x1.867e3f3097ca2p-7, -0x1.54913419df612p-6, -0x1.2744333220da9p-10}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.244feafac00bep-10, 0x1.421a579a02ec6p-7, -0x1.5755d7c7f149ap-6, 0x1.e634099d731a9p-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.622a6f78ac01p-11, 0x1.fcb1e701c199ap-8, -0x1.4e38113363eddp-6, 0x1.178c4c6d97809p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.61bb80a5cd8ap-12, 0x1.7b33570871a9bp-8, -0x1.3940beab2bc46p-6, 0x1.b744e2825e6cep-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.8af108607c8p-14, 0x1.047d090b0d183p-8, -0x1.184ec747cb15dp-6, 0x1.284743924ef72p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.0cb493168a2p-14, 0x1.3a81e23c7c74p-9, -0x1.d7bb60b07e7aap-7, 0x1.80ed52c12a0ep-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3ca3ea3e2884p-13, 0x1.29d2062beab1cp-10, -0x1.6440fb102510cp-7, 0x1.8970119421dp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.811016be1a9abp-13, 0x1.e03d2ea4ef2a6p-13, -0x1.dc71eb9435d63p-8, 0x1.41cea72f02efap-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.781bad4163d6ep-13, -0x1.6fb99b989575bp-12, -0x1.1b5c54119a7a5p-8, 0x1.0631043b9d101p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.40dca04109837p-13, -0x1.5ba005cc11417p-11, -0x1.f82edfb7575e9p-10, 0x1.8ea52e36e630fp-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.e8e27577d0ec5p-14, -0x1.909fd0d5aaf25p-11, -0x1.9cf0ea8a98c5bp-14, 0x1.12e716794098dp-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4c00406d6a1d6p-14, -0x1.74cc377835bdbp-11, 0x1.30130c4f3d96ap-10, 0x1.2b5f1214d4986p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8ae132efecf6p-15, -0x1.2605434864596p-11, 0x1.e3b27d8ef057bp-10, 0x1.c5f0fdda77b3ap-11}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8e88a6e0f3c1fp-16, -0x1.83c0cb6a1768bp-12, 0x1.02df1519430f4p-9, -0x1.ac511298d5428p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.48a25ad59c6ebp-17, -0x1.9cb5befb8b32dp-13, 0x1.853f716b12f18p-10, -0x1.298e86c66f7bcp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.9fed7af659ff1p-19, -0x1.59735b1ba87bbp-14, 0x1.a56d744e6ce9ap-11, -0x1.8c9389e9d011bp-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.48a25ad59c668p-21, -0x1.9df29120ee671p-16, 0x1.6ef6a98446836p-12, -0x1.c323d42cd2d32p-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.48a25ad59c541p-25, -0x1.5ad31501f7845p-19, 0x1.811e4272534a9p-14, -0x1.3664333b81636p-9}, 
      }}, 
      0x1.2c057b738edbap-5, -0x1.d484643fc2814p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.0a56752ca7d3cp-1, -0x1.9f436c914dc5bp-3, -0x1.05727c9f37e92p-1, -0x1.1958cc49f00e2p-4, 0x1.2858793dd97f6p-2, 0x1.2858793dd97f6p-2, 0x1.2858793dd97f6p-2, 0, 3, 2}, 
    {{
      {{-0x1.37e6f70370737p-2, -0x1.36d9d513e57cfp-2, -0x1.351d15afe10d9p-2, -0x1.32b62778ef79bp-2, -0x1.2fac2ef6183f1p-2, -0x1.2c07b2332a794p-2, -0x1.27d245c964f6cp-2, -0x1.23164001ddcd9p-2, -0x1.1dde74a1a9c3p-2, -0x1.1835fa763157fp-2, -0x1.1227fac5c2195p-2, -0x1.0bbf8a04732f9p-2, -0x1.050788b5b5c75p-2, -0x1.fc1518324f08ap-3, -0x1.eda5981e600e5p-3, -0x1.ded42d2627549p-3, -0x1.cfb38df3abcd4p-3, -0x1.c05580d362655p-3, -0x1.b0cad63cb98c2p-3, -0x1.a1236748f0c97p-3, -0x1.916e178d2db63p-3, -0x1.81b8d971bf3a7p-3, -0x1.7210b42370014p-3, -0x1.6281ca6707d8cp-3, -0x1.531761f8302e2p-3, -0x1.43dbeafb207bcp-3, -0x1.34d90767b5625p-3, -0x1.2617925b17215p-3, -0x1.179fa7087f7a3p-3, -0x1.0978a799968f8p-3, -0x1.f752876e7a54cp-4, -0x1.dc6efe0a043a7p-4, -0x1.c2516e45b9b48p-4, -0x1.a903539655a6dp-4, -0x1.908cf55fe2609p-4, -0x1.78f572fc7fc94p-4, -0x1.6242cf058e997p-4, -0x1.4c79fb04d7b86p-4, -0x1.379ee326f0f71p-4, -0x1.23b479df14d2cp-4, -0x1.10bcc3e1a304ap-4, -0x1.fd71c79afc4d8p-5, -0x1.db524ceb25274p-5, -0x1.bb1a1c8b896p-5, -0x1.9cc6bf75392edp-5, -0x1.805459e57845ep-5, -0x1.65bdc3340141bp-5, -0x1.4cfc9da44f6c4p-5, -0x1.36096d0c9f816p-5, -0x1.20dbada7c16f9p-5, -0x1.0d69ea6c85b65p-5, -0x1.f753a68238fe9p-6, -0x1.d720a481a52c4p-6, -0x1.ba233ff63b907p-6, -0x1.a042b124fc5ep-6, -0x1.89651d3b3c304p-6, -0x1.756fbca86aa08p-6, -0x1.6447003938edap-6, -0x1.55ceb36c7f8b5p-6, -0x1.49ea1df17eda3p-6, -0x1.407c23accf836p-6, -0x1.396762fd18098p-6, -0x1.348e516c9883p-6, -0x1.31d3567da9a53p-6, -0x1.3118e512fe9e8p-6, -0x1.324192e154f45p-6, -0x1.35302ec66c022p-6, -0x1.39c7d466c661p-6, -0x1.3febfdddc08f5p-6, -0x1.47809706ac49cp-6, -0x1.506a0810294ep-6, -0x1.5a8d493bb8396p-6, -0x1.65cfe7f2f4e8cp-6, -0x1.72181657cab74p-6, -0x1.7f4cb58fae9b4p-6, -0x1.8d554ffe8c7b2p-6, -0x1.9c1a3abdb3295p-6, -0x1.ab8477f669835p-6, -0x1.bb7dd50135e5dp-6, -0x1.cbf0f0589917dp-6, -0x1.dcc90e6e23abp-6, -0x1.edf2677f61bcbp-6, -0x1.ff59e1213112cp-6, -0x1.08768ecc58277p-5, -0x1.114d5d18ba009p-5, -0x1.1a28ed0e5cd1ep-5, -0x1.230141097bf8bp-5, -0x1.2bcec92107b0ap-5, -0x1.348a32ecd66e7p-5, -0x1.3d2ca4551cc9ap-5, -0x1.45af9dba9cd94p-5, -0x1.4e0ce1c4b4aeap-5, -0x1.563ea3486d2e9p-5, -0x1.5e3f641a18657p-5, -0x1.6609ed289f4c1p-5, -0x1.6d9968056e772p-5, -0x1.74e9490fff8fp-5, -0x1.7bf54d0bcb4d8p-5, -0x1.82b9834e64091p-5, -0x1.893243dc79e28p-5, -0x1.8f5c2dd68f816p-5, -0x1.953429b91ef7cp-5, -0x1.9ab765c69905ap-5, -0x1.9fe3548a4897bp-5, -0x1.a4b5ac3a4d32p-5, -0x1.a92c6515792bbp-5, -0x1.ad45b81a0e7bap-5, -0x1.b1001debee928p-5, -0x1.b45a4da778576p-5, -0x1.b7533bbe2ab14p-5, -0x1.b9ea18d83304dp-5, -0x1.bc1e509f592eap-5, -0x1.bdef886ddd4d5p-5, -0x1.bf5d9de2a951p-5, -0x1.c068a549a6272p-5, -0x1.c110e7d63a8f2p-5, -0x1.c156e1bce86cep-5, -0x1.c13b402ac702fp-5, -0x1.c0bedf1cb67a3p-5, -0x1.bfe2c727d6976p-5, -0x1.bea82b3b79b39p-5, -0x1.bd10665bf0b5cp-5, -0x1.bb1cf95fc40dcp-5, -0x1.b8cf88b84df31p-5, -0x1.b629da4274bd5p-5, -0x1.b32dd31de9ae4p-5, -0x1.afdd75907f40dp-5, -0x1.ac3adef505546p-5, -0x1.a84845ae0c93ap-5, -0x1.a407f71ba44e6p-5, -0x1.9f7c55983abe2p-5, -0x1.9aa7d67d92d7p-5, -0x1.958d003098f5dp-5, -0x1.902e6836116e6p-5, -0x1.8a8eb155420dap-5, -0x1.84b089c5ba067p-5, -0x1.7e96a967acf48p-5, -0x1.7843d00f6ed49p-5, -0x1.71bac3e3886f9p-5, -0x1.6afe4fceaef2fp-5, -0x1.641142086cd3ap-5, -0x1.5cf66aacc407ap-5, -0x1.55b09a69af235p-5, -0x1.4e42a145b4cb7p-5, -0x1.46af4d784a58ap-5, -0x1.3ef96a4bbc0d8p-5, -0x1.3723beeac50c7p-5, -0x1.2f310d977158cp-5, -0x1.272412a61c412p-5, -0x1.1eff83b75b3f6p-5, -0x1.16c60e9b6b525p-5, -0x1.0e7a58a269963p-5, -0x1.061efde7dd7bdp-5, -0x1.fb6d2122fd724p-6, -0x1.ea873017a711bp-6, -0x1.d99120dc598c3p-6, -0x1.c88fd3d41343p-6, -0x1.b788104798502p-6, -0x1.a67e8350cb32dp-6, -0x1.9577bf0150b9dp-6, -0x1.8478398c908a1p-6, -0x1.73844c210befap-6, -0x1.62a0325d7d778p-6, -0x1.51d009e7168f6p-6, -0x1.4117d1833497p-6, -0x1.307b6891cfff5p-6, -0x1.1ffe8edeec88p-6, -0x1.0fa4e44ef2a16p-6, -0x1.fee3d0b0c11a5p-7, -0x1.ded1f3ab5394ep-7, -0x1.bf1aae3c5d5acp-7, -0x1.9fc43bb899d52p-7, -0x1.80d4958edf573p-7, -0x1.6251738097ac5p-7, -0x1.44404c323acp-7, -0x1.26a65527d6001p-7, -0x1.098882a3fdd0ep-7, -0x1.d9d71080df42p-8, -0x1.a1a7b38e52104p-8, -0x1.6a8b56fdaf46cp-8, -0x1.3489e4b3d2f4cp-8, -0x1.ff5593284aeccp-9, -0x1.97e9ef5950367p-9, -0x1.32ddced736848p-9, -0x1.a07a61d65ca24p-10, -0x1.c04c9c67b8f58p-11, -0x1.269da4c079e9bp-13, 0x1.22d5c62cd532bp-11, 0x1.4284b60687d25p-10, 0x1.ee6abead67002p-10, 0x1.4a87d4b7088ap-9, 0x1.9b33e56841554p-9, 0x1.e9348c896f8cp-9, 0x1.1a42c92f45949p-8, 0x1.3e91c351dfc4bp-8, 0x1.6185dd45008f8p-8, 0x1.831e1e2c380f2p-8, 0x1.a359e9f2e630cp-8, 0x1.c238fede0be5ap-8, 0x1.dfbb72618c7ecp-8, 0x1.fbe1ae3788bffp-8, 0x1.0b5637216df1p-7, 0x1.180e5f4b119p-7, 0x1.2419fc6763a18p-7, 0x1.2f79e0768b5d8p-7, 0x1.3a2f013e5d608p-7, 0x1.443a773214e28p-7, 0x1.4d9d7c6cc9f6fp-7, 0x1.56596b70a6d57p-7, 0x1.5e6fbdaf3a2eep-7, 0x1.65e20a1ef5711p-7, 0x1.6cb2040ba57f4p-7, 0x1.72e17a0e5597bp-7, 0x1.787254f90ebccp-7, 0x1.7d66969824c79p-7, 0x1.81c05856a1209p-7, 0x1.8581c9ef22957p-7, 0x1.88ad304c9158p-7, 0x1.8b44e499e656fp-7, 0x1.8d4b5355f8c9cp-7, 0x1.8ec2fb36b6c34p-7, 0x1.8fae6bd474c3fp-7, 0x1.90104456b240bp-7, 0x1.8feb326a78184p-7, 0x1.8f41f18bd95cp-7, 0x1.8e174a5ff7d98p-7, 0x1.8c6e11c9bb461p-7, 0x1.8a492775a4c78p-7, 0x1.87ab7456a1c38p-7, 0x1.8497e9df6028cp-7, 0x1.811181b40b0b9p-7, 0x1.7d1b3d2ea3f8dp-7, 0x1.78b8247c40f7ep-7, 0x1.73eb453b88b53p-7, 0x1.6eb7b10e3db6bp-7, 0x1.69207cb92f634p-7, 0x1.6328bff07a63fp-7, 0x1.5cd3954d58c6bp-7, 0x1.562419bfc3347p-7, 0x1.4f1d6b462bc5fp-7, 0x1.47c2a76516693p-7, 0x1.4016ea1be09bcp-7, 0x1.381d4daecb9cap-7, 0x1.2fd8eae88f4ebp-7, 0x1.274cd90e897e1p-7, 0x1.1e7c2d04944fcp-7, 0x1.1569f7d22cf4ap-7, 0x1.0c19454670785p-7, 0x1.028d1b63e82a4p-7, 0x1.f190f53dfd09cp-8, 0x1.dd9cbca76a17cp-8, 0x1.c943795b677bep-8, 0x1.b48b0b60f047ep-8, 0x1.9f794385c65f2p-8, 0x1.8a13e1080ad55p-8, 0x1.746090f0b27f3p-8, 0x1.5e64eefca5658p-8, 0x1.482686d26769dp-8, 0x1.31aad413abeefp-8, 0x1.1af740b9e1ad4p-8, 0x1.041122724b4e2p-8, 0x1.d9fb70cf48728p-9, 0x1.ab845529dcb85p-9, 0x1.7cc715581c546p-9, 0x1.4dcdab1cd468bp-9, 0x1.1ea1e7fed9cfep-9, 0x1.de9ae72b23a4fp-10, 0x1.7fb38ead987b4p-10, 0x1.20a05457305dcp-10, 0x1.82e6b8a01cc9cp-11, 0x1.88f98a9c8e201p-12, 0x1.896084f0b4c72p-17, -0x1.6ffa2f04d3acep-12, -0x1.75c9c54540c55p-11, -0x1.1990026f979d7p-10, -0x1.77f0115d4a702p-10, -0x1.d5f5a385db7fdp-10, -0x1.19c8de88776a8p-9, -0x1.485ae79fea26dp-9, -0x1.76a9d9419cd18p-9, -0x1.a4aed0a1753ffp-9, -0x1.d2631b30fc83cp-9, -0x1.ffc03820d4b98p-9, -0x1.165fed9a99db4p-8, -0x1.2cadf7a6b2aaep-8, -0x1.42c74b9d83614p-8, -0x1.58a916408cc6bp-8, -0x1.6e509e5644e27p-8, -0x1.83bb4350ae2d5p-8, -0x1.98e67c925455fp-8, -0x1.adcfd998ac947p-8, -0x1.c27502d7304f5p-8, -0x1.d6d3bab5e1379p-8, -0x1.eae9de1bdbdb3p-8, -0x1.feb564306d157p-8, -0x1.091a2eb20dd77p-7, -0x1.12b27913e7fddp-7, -0x1.1c22b0eb014b6p-7, -0x1.256a0117ef9dbp-7, -0x1.2e879fc14322p-7, -0x1.377ace9c692b5p-7, -0x1.4042db36b01adp-7, -0x1.48df1f0c38a1ep-7, -0x1.514eff5441ad6p-7, -0x1.5991ec8cdf771p-7, -0x1.61a761eae4396p-7, -0x1.698ee4dbbd848p-7, -0x1.714804bb12762p-7, -0x1.78d25ac53c2cbp-7, -0x1.802d8a3467756p-7, -0x1.8759406630a63p-7, -0x1.8e5534e64b1bep-7, -0x1.9521294836dc5p-7, -0x1.9bbce8cf58a9dp-7, -0x1.a22847f7b93cap-7, -0x1.a86323fcc86c2p-7, -0x1.ae6d62796e7dep-7, -0x1.b446f13040b2ep-7, -0x1.b9efc5fa9dd32p-7, -0x1.bf67decef12d8p-7, -0x1.c4af41c82e078p-7, -0x1.c9c5fd1a2d9c5p-7, -0x1.ceac26e6ad37bp-7, -0x1.d361dcf20b3fdp-7, -0x1.d7e74440f2e68p-7, -0x1.dc3c88af0f4d9p-7, -0x1.e061dc8eecfbep-7, -0x1.e457785ea0627p-7, -0x1.e81d9a960c27ep-7, -0x1.ebb4878cb33cbp-7, -0x1.ef1c8970dc2b9p-7, -0x1.f255f0469c36fp-7, -0x1.f56111e3db004p-7, -0x1.f83e49de461eap-7, -0x1.faedf96159389p-7, -0x1.fd7086e778821p-7, -0x1.ffc65dd66c6ffp-7, -0x1.00f7f702ed25p-6, -0x1.01f6d59f0c3e6p-6, -0x1.02e006616c7fap-6, -0x1.03b3c6804d638p-6, -0x1.047254b815ad6p-6, -0x1.051bf15c8716bp-6, -0x1.05b0de84fb73ep-6, -0x1.0631604685958p-6, -0x1.069dbce748c18p-6, -0x1.06f63ce6df2b2p-6, -0x1.073b2acb7ceacp-6, -0x1.076cd302ada88p-6, -0x1.078b82fb8d43fp-6, -0x1.079788d48db93p-6, -0x1.0791328124c08p-6, -0x1.0778cd73cb89dp-6, -0x1.074ea6a37226p-6, -0x1.07130af222833p-6, -0x1.06c647f419ea1p-6, -0x1.0668ace98b704p-6, -0x1.05fa8ba6b3996p-6, -0x1.057c391e86c6cp-6, -0x1.04ee0d51556edp-6, -0x1.045062815d9c8p-6, -0x1.03a393bf14b0bp-6, -0x1.02e7fb114f365p-6, -0x1.021defa616f5p-6, -0x1.0145c48981135p-6, -0x1.005fc850bd71p-6, -0x1.fed88bed7b832p-7, -0x1.fcd70dbe2be3fp-7, -0x1.fabbab44aee13p-7, -0x1.f88702052aa92p-7, -0x1.f639bc856d7e7p-7, -0x1.f3d4944d46056p-7, -0x1.f158503fd6a7ap-7, -0x1.eec5bf24923ap-7, -0x1.ec1daf2d92d22p-7, -0x1.e960e42d6c61ap-7, -0x1.e6900ec2590c3p-7, -0x1.e3abc6ce0d62dp-7, -0x1.e0b48b0e1d008p-7, -0x1.ddaac69e2f4f4p-7, -0x1.da8edbcf92843p-7, -0x1.d761325f996f2p-7, -0x1.d422460466a06p-7, -0x1.d0d2b1d470b15p-7, -0x1.cd73356447b46p-7, -0x1.ca04b19a52f9bp-7, -0x1.c6881cf8c5d4ep-7, -0x1.c2fe711ea5ec5p-7, -0x1.bf68950c85fccp-7, -0x1.bbc748da3e356p-7, -0x1.b81b17ac9fed1p-7, -0x1.b46453be503bap-7, -0x1.b0a31e5bbc1afp-7, -0x1.acd77b29735cp-7, -0x1.a9016b78cebd9p-7, -0x1.a5210c5f8458ep-7, -0x1.a136b13a9da0fp-7, -0x1.9d42f483e8a13p-7, -0x1.9946ba7b235e6p-7, -0x1.954323dbbf984p-7, -0x1.9139722f39e47p-7, -0x1.8d2ae291b9b3p-7, -0x1.8918862d1d615p-7, -0x1.850320a6347bap-7, -0x1.80eb13e4425c7p-7, -0x1.7cd05e1b4924cp-7, -0x1.78b2ab62192c7p-7, -0x1.7491782aa681ep-7, -0x1.706c3e822a3b8p-7, -0x1.6c42a5b75d31ap-7, -0x1.6814ab45ab803p-7, -0x1.63e2bccbf09dp-7, -0x1.5fadbd47cad38p-7, -0x1.5b76f37f0d2a1p-7, -0x1.573fe3e50b9cbp-7, -0x1.530a1c972f4b6p-7, -0x1.4ed6fd49b083fp-7, -0x1.4aa7863ed976ep-7, -0x1.467c3826e8ec4p-7, -0x1.42550b3de21e6p-7, -0x1.3e317f189f48ap-7, -0x1.3a10bfaa44b22p-7, -0x1.35f1d84aa5a57p-7, -0x1.31d3eb87577f1p-7, -0x1.2db666449143fp-7, -0x1.299925d154e8bp-7, -0x1.257c8ab941dep-7, -0x1.216175142942ap-7, -0x1.1d492aa2c1037p-7, -0x1.19352adbcaf3cp-7, -0x1.1526f89425e9bp-7, -0x1.111fe34ab74f3p-7, -0x1.0d20da6d8bbcep-7, -0x1.092a5310bf25fp-7, -0x1.053c44daaa891p-7, -0x1.01563ccad56efp-7, -0x1.faeeffb457e61p-8, -0x1.f33e6cf327e27p-8, -0x1.eb9932033bba8p-8, -0x1.e3fe292a95da4p-8, -0x1.dc6cc40ddfae1p-8, -0x1.d4e51949675dcp-8, -0x1.cd67d512e1ebcp-8, -0x1.c5f615cfaacfp-8, -0x1.be91408200049p-8, -0x1.b73ad6acbe311p-8, -0x1.aff4517d19fd2p-8, -0x1.a8bf017d7c3f9p-8, -0x1.a19bf1a0a0bbep-8, -0x1.9a8bcfa801a75p-8, -0x1.938ee049ef486p-8, -0x1.8ca507cc1c0b8p-8, -0x1.85cdecc7c16dcp-8, -0x1.7f0930bdd36c7p-8, -0x1.7856abc35df3cp-8, -0x1.71b68e62e8ebap-8, -0x1.6b2950d600194p-8, -0x1.64af6c267b90dp-8, -0x1.5e48f805c86e3p-8, -0x1.57f55e38f0306p-8, -0x1.51b352f158049p-8, -0x1.4b8124c5b2b19p-8, -0x1.455d4b76db7a3p-8, -0x1.3f46f89f2f8d5p-8, -0x1.393e658ed958ap-8, -0x1.3344b5f33e811p-8, -0x1.2d5b7d536ebd1p-8, -0x1.27842af599a93p-8, -0x1.21bfb313565a5p-8, -0x1.1c0ea9dfc944bp-8, -0x1.1671bb5891609p-8, -0x1.10ea28e5278dfp-8, -0x1.0b79e9b457b98p-8, -0x1.06233d2701c65p-8, -0x1.00e7cdc04582dp-8, -0x1.f78f81ab51583p-9, -0x1.ed8240229dd1ap-9, -0x1.e39fdb59b23cap-9, -0x1.d9ddf4cefbf87p-9, -0x1.d03297aa19e0fp-9, -0x1.c697340a096dep-9, -0x1.bd0a84eced931p-9, -0x1.b3905db0546b4p-9, -0x1.aa2f54a610fe1p-9, -0x1.a0ed84fa68983p-9, -0x1.97ce4befe3395p-9, -0x1.8ed24a0bb54cp-9, -0x1.85f965dc3ab61p-9, -0x1.7d4540db3b85ap-9, -0x1.74ba6db9a5d11p-9, -0x1.6c5fa7b05cd33p-9, -0x1.643b83676dc4fp-9, -0x1.5c51d71b41fdfp-9, -0x1.54a204961edap-9, -0x1.4d2690ae4d7b6p-9, -0x1.45d5d0c30678fp-9, -0x1.3ea383a26ef19p-9, -0x1.378376463593bp-9, -0x1.306cf3e992d02p-9, -0x1.295dabed55df5p-9, -0x1.225a1e6c386dfp-9, -0x1.1b6ab51517c3p-9, -0x1.149711c6b5d6ep-9, -0x1.0de2ae1186c93p-9, -0x1.074cdd6405067p-9, -0x1.00d38ec11f1b9p-9, -0x1.f4ecf9fda63bbp-10, -0x1.e871aafedebb9p-10, -0x1.dc40fe93f4a6p-10, -0x1.d066d8bdf1e5p-10, -0x1.c4e9896e9e657p-10, -0x1.b9c7e7892514dp-10, -0x1.aefba822fae9dp-10, -0x1.a47c8da2ee658p-10, -0x1.9a4133ea4b706p-10, -0x1.903dbbfcfa6bbp-10, -0x1.86638295fa788p-10, -0x1.7ca461d3a1da8p-10, -0x1.72f8483ae987dp-10, -0x1.6960e174c2756p-10, -0x1.5fe7d464ce736p-10, -0x1.569876834a22dp-10, -0x1.4d79d4626f1c3p-10, -0x1.448cee79d13f6p-10, -0x1.3bcedd9ad574p-10, -0x1.333d4fe81a574p-10, -0x1.2adb526aef3eep-10, -0x1.22b165f0ac449p-10, -0x1.1ac6e0d91a295p-10, -0x1.131ba3497616cp-10, -0x1.0ba8ddaa666cep-10, -0x1.04668bd778b83p-10, -0x1.fa9fca8f05d76p-11, -0x1.ecc93c11b68aap-11, -0x1.df4f1bf9deba1p-11, -0x1.d2373d08b0bf5p-11, -0x1.c580d931533e1p-11, -0x1.b92108c143f8ep-11, -0x1.ad03e3c241f29p-11, -0x1.a112b37bddd33p-11, -0x1.954015d053d72p-11, -0x1.8992ffdf66781p-11, -0x1.7e22a83ca37c9p-11, -0x1.73020616258ccp-11, -0x1.682f03f9a7271p-11, -0x1.5d9cee1cb3c7p-11, -0x1.534e61dcb3913p-11, -0x1.4955158a979abp-11, -0x1.3fb8006879b43p-11, -0x1.3669e3e08664bp-11, -0x1.2d57b2e9fd376p-11, -0x1.2475b7fd8b4f9p-11, -0x1.1bc08f9455e59p-11, -0x1.1338e99107161p-11, -0x1.0ae1b224be524p-11, -0x1.02c1be469b61bp-11, -0x1.f5c9ca97d3dfdp-12, -0x1.e6b0b66f180f1p-12, -0x1.d8460541364f7p-12, -0x1.ca79ec96c0d48p-12, -0x1.bd12bebd011cap-12, -0x1.afc2952a3e343p-12, -0x1.a271398b5d092p-12, -0x1.955ed2eaf6255p-12, -0x1.88cdd8fd317fcp-12, -0x1.7cac192a53b35p-12, -0x1.70cc329afab26p-12, -0x1.6542d9d86e47ep-12, -0x1.5a3bf7f751417p-12, -0x1.4faff22249ebfp-12, -0x1.4577615f74de2p-12, -0x1.3b7775fd65feep-12, -0x1.31aa7989581cp-12, -0x1.2814e50b3cdecp-12, -0x1.1ebbae4d41559p-12, -0x1.15a009e80412fp-12, -0x1.0cc005ef90de2p-12, -0x1.041b9ed913506p-12, -0x1.f77686b36898dp-13, -0x1.e760cfe915532p-13, -0x1.d818ff16b783dp-13, -0x1.c9ae109ed7c1ap-13, -0x1.bc07110964d17p-13, -0x1.aebbc834463dcp-13, -0x1.a157dad895338p-13, -0x1.94175a142a349p-13, -0x1.877f8228f84e8p-13, -0x1.7b5aec27550ap-13, -0x1.6f574e8b312a8p-13, -0x1.63cdc4d5938ddp-13, -0x1.58fbc404eafcbp-13, -0x1.4ea77d408eb4ap-13, -0x1.44970a5107608p-13, -0x1.3abd65de0a96bp-13, -0x1.3122020b3c84fp-13, -0x1.27cd0d0811aeap-13, -0x1.1ec2ac301f8f2p-13, -0x1.1603e8729e019p-13, -0x1.0d8f9928fab97p-13, -0x1.05624e80221c5p-13, -0x1.faee7b4d9eeb6p-14, -0x1.eb984a940d90cp-14, -0x1.dccb9812b6949p-14, -0x1.ce9bf6fa587efp-14, -0x1.c114db0a86019p-14, -0x1.b4431da3f9c41p-14, -0x1.a8475045acb0dp-14, -0x1.9cdaee034a10ap-14, -0x1.9176256b85838p-14, -0x1.867218ae06342p-14, -0x1.7bbf8ad1ec63bp-14, -0x1.71012251c0094p-14, -0x1.66f1275d81144p-14, -0x1.5db4a15aae007p-14, -0x1.54d1babe12426p-14, -0x1.4c195c3901bedp-14, -0x1.43970decb11eep-14, -0x1.3b5b0ea52cbdp-14, -0x1.336c723a8121cp-14, -0x1.2bcb423690729p-14, -0x1.247471fbb986p-14, -0x1.1d64bc9e8e2d1p-14, -0x1.169a0e19b1ce2p-14, -0x1.1013388a73391p-14, -0x1.09ce4202a8d58p-14, -0x1.03c6d7e223ef3p-14, -0x1.fbee0da36e871p-15, -0x1.f0b586ad4e924p-15, -0x1.e5e27a65a97c2p-15, -0x1.db6a413864d96p-15, -0x1.d14d969c2c8fbp-15, -0x1.c805974f89939p-15, -0x1.bfcbb5a09e6a3p-15, -0x1.b7a40bfe71ba4p-15, -0x1.af59d449dc3fdp-15, -0x1.a6ca11fcb34dp-15, -0x1.9ee88313fa9f7p-15, -0x1.97dfc51effb31p-15, -0x1.91036e308b114p-15, -0x1.8a362c7eb9e85p-15, -0x1.839289935badfp-15, -0x1.7d2933c266549p-15, -0x1.76fea4420f2d7p-15, -0x1.7111701b89e8cp-15, -0x1.6b5ddbdfe78fap-15, -0x1.65df886248718p-15, -0x1.60927163f2685p-15, -0x1.5b73aeee2edbdp-15, -0x1.5681e0aa2bfe6p-15, -0x1.51bcc754b8abep-15, -0x1.4d23a9ee8118dp-15, -0x1.48b33052fd9dap-15, -0x1.4464baa0efe75p-15, -0x1.4031410d93b91p-15, -0x1.3c15f40533175p-15, -0x1.3810f7b1cfbe1p-15, -0x1.3418cd054c598p-15, -0x1.30455e4979599p-15, -0x1.2cf4936b41319p-15, -0x1.29ca5899a18ccp-15, -0x1.2640b1b922041p-15, -0x1.22b0490b6d352p-15, -0x1.1f90ff57ad6bap-15, -0x1.1c82d70009f4fp-15, -0x1.1969c81f34c0ep-15, -0x1.1656091808fcep-15, -0x1.134fe176e47b2p-15, -0x1.1058bf5420839p-15, -0x1.0d6fda27f59c2p-15, -0x1.0a93e759ccbdap-15, -0x1.07c38788bbc78p-15, -0x1.04fd5eef52656p-15, -0x1.02402420c72fcp-15, -0x1.ff156908294eep-16, -0x1.f9b8614c2722ap-16, -0x1.f46834782684cp-16, -0x1.ef24a559a6a78p-16, -0x1.e9ed8cc07bd93p-16, -0x1.e4c19cb609401p-16, -0x1.df9d901d1d6f2p-16, -0x1.da7ce9c8a31a8p-16, -0x1.d55ca48bbd52p-16, -0x1.d03e3099ffe68p-16, -0x1.cb2387a76fae8p-16, -0x1.c6034c13427eap-16, -0x1.c0e5a632f5256p-16, -0x1.bc0e62676d2d2p-16, -0x1.b707673e8e57dp-16, -0x1.b1de24ed3e228p-16, -0x1.acf1bd3eac9a6p-16, -0x1.a7f399f79f686p-16, -0x1.a2e469bb27cfbp-16, -0x1.9dd0f33e24f52p-16, -0x1.98bc255902c0fp-16, -0x1.93a5cac21f988p-16, -0x1.8e8d4039a03cdp-16, -0x1.8971fc3d78352p-16, -0x1.845394cb612a1p-16, -0x1.7f31b283c38f7p-16, -0x1.7a0c08a659619p-16, -0x1.74e2541ba5c85p-16, -0x1.6fb45e5b7741fp-16, -0x1.6a8202ea38257p-16, -0x1.654b396f62e24p-16, -0x1.6010215d08653p-16, -0x1.5ad0fc1bda193p-16, -0x1.558e00d605ecbp-16, -0x1.504720378c7c1p-16, -0x1.4afbf3480d682p-16, -0x1.45abe9728fff5p-16, -0x1.4056c77e4be3fp-16, -0x1.3afd9aeb72a72p-16, -0x1.35a26b1b9aa2fp-16, -0x1.30438e2db105ap-16, -0x1.2ada95eef5c3p-16, -0x1.2576b80aec245p-16, -0x1.200d35fd97a08p-16, -0x1.1aa79c64a108dp-16, -0x1.153fa00f244a1p-16, -0x1.0fcf2435d6b5cp-16, -0x1.0a5be98ac388fp-16, -0x1.04e767b2a2a3bp-16, -0x1.fee3a42d157bdp-17, -0x1.f3f691062c2f5p-17, -0x1.e907f95ef1943p-17, -0x1.de185c7e286e8p-17, -0x1.d3284983a367bp-17, -0x1.c8385728dd313p-17, -0x1.bd491f02ec956p-17, -0x1.b25b3beaaa74ep-17, -0x1.a76f4a50f4ef7p-17, -0x1.9c85e8e667a1p-17, -0x1.919fb975b2b52p-17, -0x1.86bd636fa8a47p-17, -0x1.7bdf98b7a684p-17, -0x1.71071728c8f08p-17, -0x1.66349cdca38cp-17, -0x1.5b68d2d8c74e5p-17, -0x1.50a44474e1e6bp-17, -0x1.45e76860119e5p-17, -0x1.3b32b15cefe86p-17, -0x1.3086d2cf247fdp-17, -0x1.25e53c970bab4p-17, -0x1.1b4f635644cfap-17, -0x1.10c416432a4p-17, -0x1.063f13d0ec9d4p-17, -0x1.f7912f9497e78p-18, -0x1.e2cd984e4883bp-18, -0x1.ce225fd163fa6p-18, -0x1.b98b71c2af52ap-18, -0x1.a511c06164318p-18, -0x1.90b78a80b7cfcp-18, -0x1.7c7db8ae25de3p-18, -0x1.68653ba4ca2f7p-18, -0x1.546f199df3696p-18, -0x1.409c61befab64p-18, -0x1.2cee24c348b06p-18, -0x1.196571358ce0ap-18, -0x1.06035128aec2fp-18, -0x1.e591912b8e0bep-19, -0x1.bf6da963a30e8p-19, -0x1.999cd843d0aabp-19, -0x1.7420fec3c201p-19, -0x1.4efbf1d49df2fp-19, -0x1.2a2f7a80ef958p-19, -0x1.05bd5831d4683p-19, -0x1.c34e8af4071f6p-20, -0x1.7bddf50296c03p-20, -0x1.352c44e9d7fe7p-20, -0x1.de79231210097p-21, -0x1.542354fbdb7d2p-21, -0x1.96b8ad91f9294p-22, -0x1.10a405adb2955p-23, 0x1.05c6908b58ab3p-23, 0x1.8ad86d1a462bap-22, 0x1.47bd765f45182p-21, 0x1.c8621b7e78a98p-21, 0x1.23b46c6fd6c6cp-20, 0x1.626e7bef85f2cp-20, 0x1.a02b6be81b818p-20, 0x1.dd0ff69b37ac1p-20, 0x1.0c90cf008b102p-19, 0x1.2a295387e91ecp-19, 0x1.475055474231dp-19, 0x1.64054966755b3p-19, 0x1.804797334914ep-19, 0x1.9c16a0cdd9551p-19, 0x1.b771cd53c747p-19, 0x1.d2588d0f3e2b6p-19, 0x1.ecca5b0641661p-19, 0x1.03635ec6a050bp-18, 0x1.1026a365f7305p-18, 0x1.1caeca9e8b207p-18, 0x1.28fba9fa1c8d4p-18, 0x1.350d1d1f2bd59p-18, 0x1.40e3058f24763p-18, 0x1.4c7d4a7114d32p-18, 0x1.57dbd88e75039p-18, 0x1.62fea23cf5cc3p-18, 0x1.6de59edf0dcf7p-18, 0x1.7890c9df5c49ep-18, 0x1.8300225b0a048p-18, 0x1.8d33ad2b18e5p-18, 0x1.972b77874e2f8p-18, 0x1.a0e79646047cp-18, 0x1.aa6823fc93153p-18, 0x1.b3ad420608d12p-18, 0x1.bcb715aefe4a5p-18, 0x1.c585b167eba78p-18, 0x1.ce1911bb5fe4ep-18, 0x1.d67162dfa5d8fp-18, 0x1.de8f4a75c418p-18, 0x1.e674b77ebf61dp-18, 0x1.ee1d07a616e44p-18, 0x1.f58b41e4407f4p-18, 0x1.fcc10192c94a6p-18, 0x1.01dea06f7f4p-17, 0x1.054020e359fb2p-17, 0x1.08852f2ee582bp-17, 0x1.0badf6c513b28p-17, 0x1.0ebaa3379e9e4p-17, 0x1.11ab613226081p-17, 0x1.14805eca37cc7p-17, 0x1.1739cb94d33fap-17, 0x1.19d7d8a4c20d9p-17, 0x1.1c5ab882f6bf6p-17, 0x1.1ec29f274e417p-17, 0x1.210fc1f941707p-17, 0x1.234257cdfaacdp-17, 0x1.255a98da42d46p-17, 0x1.2758be9cafa4fp-17, 0x1.293d03ca5d84cp-17, 0x1.2b07a4461a0dfp-17, 0x1.2cb8dd1a44cdfp-17, 0x1.2e50ec6d7f6bap-17, 0x1.2fd0115fb819bp-17, 0x1.31368bd1e5da4p-17, 0x1.32849c5e3aeap-17, 0x1.33ba84c323489p-17, 0x1.34d8883125543p-17, 0x1.35deeaebccbb1p-17, 0x1.36cdf1f768a92p-17, 0x1.37a5e373bce19p-17, 0x1.3867068692fe2p-17, 0x1.39119fbb9c55bp-17, 0x1.39a5ef3fad059p-17, 0x1.3a243c1cb8975p-17, 0x1.3a8cd707dc33ep-17, 0x1.3ae050a7ed9d1p-17, 0x1.3b1e721d33b61p-17, 0x1.3b477920c782ep-17, 0x1.3b5c3cccbb5b6p-17, 0x1.3b5cbdebf9db2p-17, 0x1.3b4945a60f02fp-17, 0x1.3b2221b21799dp-17, 0x1.3ae79eb9d910cp-17, 0x1.3a9a090b62087p-17, 0x1.3a39acf4859c8p-17, 0x1.39c6d6df2c86fp-17, 0x1.3941d355c49bep-17, 0x1.38aaeefe64107p-17, 0x1.38027694d59b4p-17, 0x1.3748b6e287b7p-17, 0x1.367dfcb7a4a1bp-17, 0x1.35a294e6a8eddp-17, 0x1.34b6cc40890aep-17, 0x1.33baef8edf434p-17, 0x1.32af4b8b10842p-17, 0x1.31942cd3d6b45p-17, 0x1.3069dfe796793p-17, 0x1.2f30b11fda669p-17, 0x1.2de8ecac4117fp-17, 0x1.2c92de8db7ab6p-17, 0x1.2b2ed288cb9cdp-17, 0x1.29bd1413a09a4p-17, 0x1.283dee51c0025p-17, 0x1.26b1ac31c7f11p-17, 0x1.2518987d17fe5p-17, 0x1.2372fdb36e113p-17, 0x1.21c125f17b934p-17, 0x1.20035b0cfbebep-17, 0x1.1e39e6a88c466p-17, 0x1.1c65119610811p-17, 0x1.1a8522a7efde3p-17, 0x1.189a613a475edp-17, 0x1.16a515ead6a4dp-17, 0x1.14a58eaf6ee1p-17, 0x1.129c213fe5c7dp-17, 0x1.1088cf720e6dp-17, 0x1.0e6c26f5a52f3p-17, 0x1.0c46572b74247p-17, 0x1.0a17a123132c8p-17, 0x1.07e049d37a108p-17, 0x1.05a09533b43fep-17, 0x1.0358c6741fbebp-17, 0x1.01092021a547ap-17, 0x1.fd63c85e486afp-18, 0x1.f8a6a7eb3f3e3p-18, 0x1.f3db6068312ap-18, 0x1.ef02721bd6aap-18, }}, 
      {{-0x1.37f74852687b7p-2, -0x1.371a96a2d28cep-2, -0x1.35ace8b48d569p-2, -0x1.33b156a1cdc6fp-2, -0x1.312c005e6f3cbp-2, -0x1.2e21e6684ccdap-2, -0x1.2a98c1cb40791p-2, -0x1.2696dda48f455p-2, -0x1.2222f37c0a546p-2, -0x1.1d440b3291eeep-2, -0x1.18015ed9b93eap-2, -0x1.1262427d02846p-2, -0x1.0c6e0fa96e40dp-2, -0x1.062c14687726cp-2, -0x1.ff470ac635b55p-3, -0x1.f1b6e518ee31ap-3, -0x1.e3b57cc0e95f9p-3, -0x1.d5502dae268a9p-3, -0x1.c693e0df24abp-3, -0x1.b78d05685c1d1p-3, -0x1.a8478b4ebcd6fp-3, -0x1.98cee04ed928cp-3, -0x1.892df02e7b2e2p-3, -0x1.796f22ebb7fdbp-3, -0x1.699c5ee1cab0ep-3, -0x1.59bf09d2ea00cp-3, -0x1.49e00b450382cp-3, -0x1.3a07cf08094a2p-3, -0x1.2a3e47c658b5p-3, -0x1.1a8af21c703d5p-3, -0x1.0af4d73dbd653p-3, -0x1.f705216404569p-4, -0x1.d8749512cfba3p-4, -0x1.ba438d8482763p-4, -0x1.9c7cc0500be06p-4, -0x1.7f2a1b44d59dap-4, -0x1.6254c9888235p-4, -0x1.460539a63da04p-4, -0x1.2a432371e81c2p-4, -0x1.0f158db1ed926p-4, -0x1.e905a87e2b643p-5, -0x1.b5215add09791p-5, -0x1.8288607245b23p-5, -0x1.5143b30d3bdb5p-5, -0x1.215b24d4262ep-5, -0x1.e5aad670ab91ap-6, -0x1.8b70555349daep-6, -0x1.341004ea191fdp-6, -0x1.bf225f409ep-7, -0x1.1bf2854711349p-7, -0x1.fa5f2489e5833p-9, 0x1.8e9e78f64e1fdp-11, 0x1.5523a4fec1b24p-8, 0x1.366245cfef732p-7, 0x1.bc606af0b9a9bp-7, 0x1.1e4a0e9d7a48dp-6, 0x1.5b83dfaf5878ep-6, 0x1.95e408b402adap-6, 0x1.cd7204704eb51p-6, 0x1.011b2a48ed424p-5, 0x1.1a1d3723c0d2fp-5, 0x1.31c453b35a5ep-5, 0x1.481612095f769p-5, 0x1.5d18627a23f26p-5, 0x1.70d18b015b9d6p-5, 0x1.83481eec33aebp-5, 0x1.9482f6d15d4ccp-5, 0x1.a48928ed44e65p-5, 0x1.b36201c5fefddp-5, 0x1.c114fd0305d1p-5, 0x1.cda9bec340dd8p-5, 0x1.d9280d3ae5076p-5, 0x1.e397ca9645ee3p-5, 0x1.ed00ef6b0f8cp-5, 0x1.f56b853bb6d0bp-5, 0x1.fcdfa16f75e19p-5, 0x1.01b2b040074b2p-4, 0x1.048270b34bd6cp-4, 0x1.06e320f3cbbb7p-4, 0x1.08d8cd4644faap-4, 0x1.0a677db9bbdbdp-4, 0x1.0b9334901c9f3p-4, 0x1.0c5fec66be724p-4, 0x1.0cd1971c3df78p-4, 0x1.0cec1c50f4788p-4, 0x1.0cb3584689456p-4, 0x1.0c2b1b5ae1f4bp-4, 0x1.0b5728bebc5b4p-4, 0x1.0a3b35c83c389p-4, 0x1.08dae93d9710bp-4, 0x1.0739da0520328p-4, 0x1.055b8eaabd468p-4, 0x1.03437cca8bcdap-4, 0x1.00f5085c48564p-4, 0x1.fce70743113c6p-5, 0x1.f7845db2b2a94p-5, 0x1.f1c86fa12322ep-5, 0x1.ebb97344468cbp-5, 0x1.e55d788d795b7p-5, 0x1.deba683649c8p-5, 0x1.d7d6031bb414ep-5, 0x1.d0b5e1bcf030cp-5, 0x1.c95f73f8a5675p-5, 0x1.c1d80114310a7p-5, 0x1.ba24a7ea95e8dp-5, 0x1.b24a5f2d90cefp-5, 0x1.aa4df5a592802p-5, 0x1.a234125f9dcb5p-5, 0x1.9a0134c33e5b8p-5, 0x1.91b9b4951e892p-5, 0x1.8961c1f080cc6p-5, 0x1.80fd654491feap-5, 0x1.78907f62d26fap-5, 0x1.701ec9a8480fp-5, 0x1.67abd645d9f0ep-5, 0x1.5f3b10a7efe97p-5, 0x1.56cfbdf934427p-5, 0x1.4e6cfdb9026edp-5, 0x1.4615ca5d3053bp-5, 0x1.3dccf9f7a2a72p-5, 0x1.35953ed960f4fp-5, 0x1.2d71282ede78cp-5, 0x1.2563229474d9bp-5, 0x1.1d6d78a402d8bp-5, 0x1.1592537e1326ap-5, 0x1.0dd3bb524d533p-5, 0x1.063397eb6849fp-5, 0x1.fd67628454efdp-6, 0x1.eeab60345a2ecp-6, 0x1.e0363d548190fp-6, 0x1.d20ad2a238b31p-6, 0x1.c42bbeaae7065p-6, 0x1.b69b675fb059ap-6, 0x1.a95bfbb8a3131p-6, 0x1.9c6f75627ae78p-6, 0x1.8fd79a71833e1p-6, 0x1.8395ff14885bap-6, 0x1.77ac07443459dp-6, 0x1.6c1ae86b3eca9p-6, 0x1.60e3ab055f43cp-6, 0x1.56072c3457d3fp-6, 0x1.4b861f4a7df86p-6, 0x1.41610f4c21ed7p-6, 0x1.379860694242dp-6, 0x1.2e2c516f70431p-6, 0x1.251cfd3753621p-6, 0x1.1c6a5c0f6daedp-6, 0x1.141445226327p-6, 0x1.0c1a6fdc446a5p-6, 0x1.047c754f6af33p-6, 0x1.fa73a32d3519ep-7, 0x1.eca3ca6ab2c7cp-7, 0x1.df87ecefe8b1p-7, 0x1.d31e659b61d3ap-7, 0x1.c765603d36aaep-7, 0x1.bc5adc3fd7742p-7, 0x1.b1fcaf3fbeec6p-7, 0x1.a848878fdd63fp-7, 0x1.9f3beeb76af83p-7, 0x1.96d44be072b5ap-7, 0x1.8f0ee62937d29p-7, 0x1.87e8e6e772ecap-7, 0x1.815f5be535c17p-7, 0x1.7b6f397f20589p-7, 0x1.76155ca9d35bcp-7, 0x1.714e8cf25c189p-7, 0x1.6d177e71e93f9p-7, 0x1.696cd3a02d8a8p-7, 0x1.664b1f14b1e45p-7, 0x1.63aee54a81ec2p-7, 0x1.61949e51fbe9bp-7, 0x1.5ff8b761d189cp-7, 0x1.5ed7945f85fddp-7, 0x1.5e2d916cbe602p-7, 0x1.5df704605f654p-7, 0x1.5e303e1f57b0cp-7, 0x1.5ed58bf0d0311p-7, 0x1.5fe338d8b32eep-7, 0x1.61558eddefc74p-7, 0x1.6328d83019d06p-7, 0x1.65596047158dep-7, 0x1.67e3750ac488ep-7, 0x1.6ac367ea5a47fp-7, 0x1.6df58ed24b38ep-7, 0x1.71764516e59ap-7, 0x1.7541ec67aaec8p-7, 0x1.7954edba174eep-7, 0x1.7dabba150081bp-7, 0x1.8242cb48f6719p-7, 0x1.8716a4ae1c17ap-7, 0x1.8c23d3e2aeddap-7, 0x1.9166f1723a845p-7, 0x1.96dca163290acp-7, 0x1.9c8193c1bd1e1p-7, 0x1.a25285311b76cp-7, 0x1.a84c3f7196335p-7, 0x1.ae6b99ce35616p-7, 0x1.b4ad797ce0cb8p-7, 0x1.bb0ed202347dep-7, 0x1.c18ca5959a41ep-7, 0x1.c8240575bf1e3p-7, 0x1.ced2122a0ffd3p-7, 0x1.d593fbc0e5ad6p-7, 0x1.dc67020e93789p-7, 0x1.e34874e9727cep-7, 0x1.ea35b455f76a6p-7, 0x1.f12c30a7a4e89p-7, 0x1.f8296aa1740fep-7, 0x1.ff2af39700839p-7, 0x1.031736c2d4c7p-6, 0x1.0698c59066106p-6, 0x1.0a1907ec09f3fp-6, 0x1.0d96e7f00c52ap-6, 0x1.1111581d3aebep-6, 0x1.14875359fff71p-6, 0x1.17f7dceb5c378p-6, 0x1.1b62006c60d9ep-6, 0x1.1ec4d1c84e445p-6, 0x1.221f6d35621e4p-6, 0x1.2570f72a9e4cfp-6, 0x1.28b89c4eabcbp-6, 0x1.2bf5916446ff1p-6, 0x1.2f27133a3aa45p-6, 0x1.324c66a02f14cp-6, 0x1.3564d856013c2p-6, 0x1.386fbcf5c0df8p-6, 0x1.3b6c70d739eep-6, 0x1.3e5a57f575a93p-6, 0x1.4138ddda505b7p-6, 0x1.4407758c6fbf5p-6, 0x1.46c599782665p-6, 0x1.4972cb4fee82ep-6, 0x1.4c0e93e91b186p-6, 0x1.4e98831c86d17p-6, 0x1.51102fae37f27p-6, 0x1.537537372f79fp-6, 0x1.55c73e09e266bp-6, 0x1.5805ef0e59e4ap-6, 0x1.5a30fb9a8862dp-6, 0x1.5c481b4e82619p-6, 0x1.5e4b0bf826058p-6, 0x1.6039917a7b75ep-6, 0x1.621375b164e15p-6, 0x1.63d8884d79b4cp-6, 0x1.65889eaa74bdep-6, 0x1.672393a75f08cp-6, 0x1.68a94785988cap-6, 0x1.6a199fcdef12ep-6, 0x1.6b748735b51cep-6, 0x1.6cb9ed7e0a9acp-6, 0x1.6de9c74c4500ep-6, 0x1.6f040dff22deap-6, 0x1.7008bf8ac98fcp-6, 0x1.70f7de588eb91p-6, 0x1.71d1712c2c08fp-6, 0x1.72958308a7acp-6, 0x1.7344230e9ac2bp-6, 0x1.73dd645524178p-6, 0x1.74615dc1c15bfp-6, 0x1.74d029e418139p-6, 0x1.7529e6d80c0dp-6, 0x1.756eb62bd93d5p-6, 0x1.759ebcc5a9507p-6, 0x1.75ba22c48ff48p-6, 0x1.75c1135cb9cdcp-6, 0x1.75b3bcb1e017ap-6, 0x1.75924fb47b41ep-6, 0x1.755d000430ab8p-6, 0x1.751403d6d34d4p-6, 0x1.74b793e08162fp-6, 0x1.7447eb39215a2p-6, 0x1.73c5473dbfee1p-6, 0x1.732fe76f1daf4p-6, 0x1.72880d50c0d6ep-6, 0x1.71cdfc4ba03a3p-6, 0x1.7101f9955e5cep-6, 0x1.70244c1a8e172p-6, 0x1.6f353c68fabf8p-6, 0x1.6e35149776501p-6, 0x1.6d24202a768f8p-6, 0x1.6c02abf707cb8p-6, 0x1.6ad10606b3c0fp-6, 0x1.698f7d7e98cbp-6, 0x1.683e628a34f08p-6, 0x1.66de0648afe39p-6, 0x1.656ebaba5e015p-6, 0x1.63f0d2ac83c5cp-6, 0x1.6264a1a2bf98fp-6, 0x1.60ca7bbf0664bp-6, 0x1.5f22b5aa230dcp-6, 0x1.5d6da47e68ep-6, 0x1.5bab9db573c64p-6, 0x1.59dcf7184b4fap-6, 0x1.580206b07e1b4p-6, 0x1.561b22b87f453p-6, 0x1.5428a18a8aa6ap-6, 0x1.522ad98e01213p-6, 0x1.50222124328cap-6, 0x1.4e0ece96f5432p-6, 0x1.4bf138099a253p-6, 0x1.49c9b36a7b6cdp-6, 0x1.479896672a1e9p-6, 0x1.455e3661629edp-6, 0x1.431ae862f52c7p-6, 0x1.40cf0110b9795p-6, 0x1.3e7ad49cc1735p-6, 0x1.3c1eb6b893cb2p-6, 0x1.39bafa885cc51p-6, 0x1.374ff297a42dcp-6, 0x1.34ddf0cfa1c7bp-6, 0x1.3265466eb7dcfp-6, 0x1.2fe644006c7a6p-6, 0x1.2d6139551b993p-6, 0x1.2ad675792177ap-6, 0x1.284646ab9ab0ep-6, 0x1.25b0fa552f96ap-6, 0x1.2316dcff84e8cp-6, 0x1.20783a4dbb787p-6, 0x1.1dd55cf6207d9p-6, 0x1.1b2e8ebcc6d79p-6, 0x1.1884186e95d31p-6, 0x1.15d641dc4a8fbp-6, 0x1.132551d51d37dp-6, 0x1.10718e211ba0fp-6, 0x1.0dbb3b7b6d673p-6, 0x1.0b029d8d1c541p-6, 0x1.0847f6e8b852p-6, 0x1.058b890716f64p-6, 0x1.02cd9445154b2p-6, 0x1.000e57e1f24ep-6, 0x1.fa9c23fb70679p-7, 0x1.f519ff2e83834p-7, 0x1.ef96b912f809fp-7, 0x1.ea12c7104d22bp-7, 0x1.e48e9c388e155p-7, 0x1.df0aa94252d7ep-7, 0x1.d9875c84d601dp-7, 0x1.d40521f6f778p-7, 0x1.ce84633139e54p-7, 0x1.c9058771db388p-7, 0x1.c388f3a16a653p-7, 0x1.be0f0a566b11ep-7, 0x1.b8982bd66f11cp-7, 0x1.b324b6143c1bbp-7, 0x1.adb504ab8371ep-7, 0x1.a84970dba06e8p-7, 0x1.a2e251838876fp-7, 0x1.9d7ffb20e9cdcp-7, 0x1.9822bfd356387p-7, 0x1.92caef6498941p-7, 0x1.8d78d75390661p-7, 0x1.882cc2e0c1b61p-7, 0x1.82e6fb18f41a8p-7, 0x1.7da7c6dc0c4f3p-7, 0x1.786f6adee245bp-7, 0x1.733e29a8bb29p-7, 0x1.6e14438e2deap-7, 0x1.68f1f6ac5f0e1p-7, 0x1.63d77ee7a0d6cp-7, 0x1.5ec515ef7974bp-7, 0x1.59baf348bc60ap-7, 0x1.54b94c5c5ca3cp-7, 0x1.4fc0548866d12p-7, 0x1.4ad03d2fbfbep-7, 0x1.45e935c5cdf93p-7, 0x1.410b6bd48b409p-7, 0x1.3c370afd59b8ep-7, 0x1.376c3cf6b420bp-7, 0x1.32ab2989d404fp-7, 0x1.2df3f69370747p-7, 0x1.2946c8095f025p-7, 0x1.24a3c0055210ep-7, 0x1.200afed2ba94ep-7, 0x1.1b7ca2fcc0ed5p-7, 0x1.16f8c95902562p-7, 0x1.127f8d0d27a48p-7, 0x1.0e11078f72dc9p-7, 0x1.09ad50a4ce872p-7, 0x1.05547e60c780ap-7, 0x1.0106a52c0ce9ep-7, 0x1.f987afa8e7acap-8, 0x1.f1184f4d2403cp-8, 0x1.e8bf4919f8221p-8, 0x1.e07cba5c07361p-8, 0x1.d850bdfef55ap-8, 0x1.d03b6c921c4a9p-8, 0x1.c83cdc2408765p-8, 0x1.c0551ffa2e4adp-8, 0x1.b884483717abdp-8, 0x1.b0ca618aaeb3dp-8, 0x1.a927750b22c3ep-8, 0x1.a19b884eb23a3p-8, 0x1.9a269dd074b1ep-8, 0x1.92c8b597231b1p-8, 0x1.8b81ce015cfefp-8, 0x1.8451e48cb98b1p-8, 0x1.7d38f66740adcp-8, 0x1.763700a11b808p-8, 0x1.6f4bffe54a49fp-8, 0x1.6877efbaa380ep-8, 0x1.61bac96d4d1e6p-8, 0x1.5b1482dc7c8c4p-8, 0x1.54850d798942ap-8, 0x1.4e0c55c2a2221p-8, 0x1.47aa436c3bb5ap-8, 0x1.415eba435e393p-8, 0x1.3b299ba4bec98p-8, 0x1.350ac83efdfccp-8, 0x1.2f0221c487518p-8, 0x1.290f8c35ec973p-8, 0x1.2332ee8283cb8p-8, 0x1.1d6c325a40c1p-8, 0x1.17bb432b1dddbp-8, 0x1.12200c65a3f57p-8, 0x1.0c9a774a09adep-8, 0x1.072a68a6d50a7p-8, 0x1.01cfbf0da4d6cp-8, 0x1.f914a3ffa3cc5p-9, 0x1.eeb3e4c936e47p-9, 0x1.e47cd8856a67bp-9, 0x1.da6f12ae5cae4p-9, 0x1.d08a27c77bf9ap-9, 0x1.c6cdb21b4a0fap-9, 0x1.bd3954c1135a9p-9, 0x1.b3ccbcb7e11e7p-9, 0x1.aa87a05c64b8p-9, 0x1.a169bd98b86efp-9, 0x1.9872d6f64b7b7p-9, 0x1.8fa2af8a9ace2p-9, 0x1.86f905de9e703p-9, 0x1.7e758e846bf7dp-9, 0x1.7617efbaa9419p-9, 0x1.6ddfbfbbd2052p-9, 0x1.65cc86bd9dc98p-9, 0x1.5dddc44ded40bp-9, 0x1.5612f64f7033dp-9, 0x1.4e6b9f2c97f9cp-9, 0x1.46e749651d413p-9, 0x1.3f858806983dap-9, 0x1.3845f525bbe26p-9, 0x1.3128302b2df83p-9, 0x1.2a2bdd3d45df2p-9, 0x1.2350a5aa38e7ap-9, 0x1.1c9637fd03fa4p-9, 0x1.15fc46247d52bp-9, 0x1.0f8281155d3f3p-9, 0x1.0928931292a35p-9, 0x1.02ee1b1fe8b51p-9, 0x1.f9a558193cac2p-10, 0x1.edab9fad28872p-10, 0x1.e1ee1b9fb8a01p-10, 0x1.d66be0d79942fp-10, 0x1.cb240fc53d7ecp-10, 0x1.c015d1823d0cp-10, 0x1.b5404fac480a4p-10, 0x1.aaa2acc7fb6c3p-10, 0x1.a03c028b1a04p-10, 0x1.960b67e5e095ep-10, 0x1.8c0ffbdfedfc4p-10, 0x1.8248ef25b9c88p-10, 0x1.78b586a74a401p-10, 0x1.6f5515e45b471p-10, 0x1.6626f4cdeeb5ep-10, 0x1.5d2a77c39cbeep-10, 0x1.545eee23a685fp-10, 0x1.4bc3a6ac9620ep-10, 0x1.4357f4a7160f7p-10, 0x1.3b1b30c8e08a7p-10, 0x1.330cb47fbc735p-10, 0x1.2b2bd22578aa2p-10, 0x1.2377cd8f8aa31p-10, 0x1.1befd74b859d4p-10, 0x1.14930c2d9609p-10, 0x1.0d607ade348e1p-10, 0x1.06572f5804ff7p-10, 0x1.feec80328721cp-11, 0x1.f179abdfabc86p-11, 0x1.e4545492425d5p-11, 0x1.d77affaa071dp-11, 0x1.caec3e185902bp-11, 0x1.bea6ba6b38b2cp-11, 0x1.b2a954418cb83p-11, 0x1.a6f32fe87467fp-11, 0x1.9b83a45fd3b77p-11, 0x1.905a0b1e7d486p-11, 0x1.85758e879b09p-11, 0x1.7ad51568cc5f5p-11, 0x1.707750a6f5b43p-11, 0x1.665ad5b8f6343p-11, 0x1.5c7e2e9fff6b9p-11, 0x1.52dfdc30605c1p-11, 0x1.497e580ecdc48p-11, 0x1.40581f68a7861p-11, 0x1.376bbe4a718e4p-11, 0x1.2eb7cb8817dbcp-11, 0x1.263ad334117a3p-11, 0x1.1df346e95acadp-11, 0x1.15df9349e8da3p-11, 0x1.0dfe5ef07c553p-11, 0x1.064ecac0a117fp-11, 0x1.fda0f4fd33a14p-12, 0x1.ef06a205f355fp-12, 0x1.e0ce14f40662fp-12, 0x1.d2f5f935a1197p-12, 0x1.c57c412c6525bp-12, 0x1.b85e93384984fp-12, 0x1.ab9aa288463d2p-12, 0x1.9f2e4587004a9p-12, 0x1.93176a0f3c20dp-12, 0x1.87540ec63a6f8p-12, 0x1.7be244ad7eb1dp-12, 0x1.70c0298ae43d1p-12, 0x1.65ebd1df884d4p-12, 0x1.5b6322c957fe7p-12, 0x1.5123a9cb9fb29p-12, 0x1.472a9a936b279p-12, 0x1.3d752484a06a2p-12, 0x1.3401161c22cb4p-12, 0x1.2acd5a2b21653p-12, 0x1.21d9c79c89777p-12, 0x1.19264c7efb2f2p-12, 0x1.10b228431891ep-12, 0x1.087bdcea08afep-12, 0x1.0081b70b2755ap-12, 0x1.f1846ed563dc4p-13, 0x1.e277fc1a3a1d7p-13, 0x1.d3db170ecaeeap-13, 0x1.c5aa868cd6dfp-13, 0x1.b7e34c618d207p-13, 0x1.aa82fcd65a1bfp-13, 0x1.9d87a213c81d7p-13, 0x1.90ef3e698e9aap-13, 0x1.84b75082e701bp-13, 0x1.78dcb7142b625p-13, 0x1.6d5bf00a2457cp-13, 0x1.62316bbe3c468p-13, 0x1.5759e2e1cdbc1p-13, 0x1.4cd2ce2f9df14p-13, 0x1.429ab1f0b17adp-13, 0x1.38b09e741b5f8p-13, 0x1.2f1320a970a3p-13, 0x1.25bfe0f199842p-13, 0x1.1cb47d6326bafp-13, 0x1.13ef6f679e03dp-13, 0x1.0b6fb14dfe49cp-13, 0x1.0333c59b154d1p-13, 0x1.f672ffdf78924p-14, 0x1.e6fcf72112442p-14, 0x1.d801083410162p-14, 0x1.c97bac9ddca99p-14, 0x1.bb6a6c5a226a9p-14, 0x1.adcb5af9379d9p-14, 0x1.a09c167527ec9p-14, 0x1.93d91272c0157p-14, 0x1.877de361e41p-14, 0x1.7b866de6b65b1p-14, 0x1.6fefe8d10850bp-14, 0x1.64b89b624e48cp-14, 0x1.59de9acf143b5p-14, 0x1.4f5ee7e577a95p-14, 0x1.4535698c562a7p-14, 0x1.3b5d6183b348fp-14, 0x1.31d2e431ebe2cp-14, 0x1.28949be960614p-14, 0x1.1fa2dfdc0994bp-14, 0x1.16fcae03f6c0bp-14, 0x1.0e9f0c667bc8cp-14, 0x1.0686fb6f577d9p-14, 0x1.fd64436f3d93ap-15, 0x1.ee3c6dcc6672p-15, 0x1.df9219187f4edp-15, 0x1.d161aafa1bd46p-15, 0x1.c3a8262a6a741p-15, 0x1.b662a4df99d03p-15, 0x1.a98dd063f526ep-15, 0x1.9d2581a1e46d1p-15, 0x1.9124f6284b0edp-15, 0x1.8588031ed3e49p-15, 0x1.7a4ca2553691bp-15, 0x1.6f72e12c34718p-15, 0x1.64fa1960bdd45p-15, 0x1.5ade09e86f755p-15, 0x1.511764affb111p-15, 0x1.479e9332c3801p-15, 0x1.3e6ee0b473171p-15, 0x1.3589257647aap-15, 0x1.2cefb26ceb987p-15, 0x1.249fb520d11e9p-15, 0x1.1c93e8b2b6876p-15, 0x1.14c9bebacc429p-15, 0x1.0d3fab32b36d2p-15, 0x1.05f36fd43ba93p-15, 0x1.fdc5f8b086f17p-16, 0x1.f0192f0854777p-16, 0x1.e2dcd914905a8p-16, 0x1.d60cc97e5e13bp-16, 0x1.c9a4ab6fc5958p-16, 0x1.bda07ae771918p-16, 0x1.b1fc9e50a619cp-16, 0x1.a6b59bfdb6321p-16, 0x1.9bc808f01a491p-16, 0x1.91313718511b9p-16, 0x1.86eff07eee14ap-16, 0x1.7d03990150eep-16, 0x1.7369590944b5cp-16, 0x1.6a1abcf99d5edp-16, 0x1.611109c084b48p-16, 0x1.58484be21a6bp-16, 0x1.4fbfd0c764c16p-16, 0x1.4779115de6ca1p-16, 0x1.3f7070e6ced5cp-16, 0x1.37a02d03543f8p-16, 0x1.3007b44664d65p-16, 0x1.28a5cd95c5acbp-16, 0x1.2177ac988395ep-16, 0x1.1a7b93ad5b7f8p-16, 0x1.13b05d8566c6dp-16, 0x1.0d14a5dbfcb04p-16, 0x1.06a693833e4a8p-16, 0x1.0063f9bbacf17p-16, 0x1.f49542113ef7p-17, 0x1.e8b1322f1092fp-17, 0x1.dd18d890bbaeep-17, 0x1.d1ca2027e964cp-17, 0x1.c6c3299690dcp-17, 0x1.bc01a3fa66e7dp-17, 0x1.b182b530af11dp-17, 0x1.a7439ef27c536p-17, 0x1.9d425a469f344p-17, 0x1.937c7b0b1f70ep-17, 0x1.89ee11f3002e5p-17, 0x1.80956091d7811p-17, 0x1.7772d81422bd8p-17, 0x1.6e829101c8dd6p-17, 0x1.65c0c9ef475d4p-17, 0x1.5d29b87d8c1e3p-17, 0x1.54beb5872c5b9p-17, 0x1.4c7f2f8edae83p-17, 0x1.4467d7005297dp-17, 0x1.3c774387fc5fap-17, 0x1.34acc47432a6p-17, 0x1.2d077dff77c5p-17, 0x1.2586550ae2b41p-17, 0x1.1e27f768a429cp-17, 0x1.16eaea0a226p-17, 0x1.0fcda66120055p-17, 0x1.08cec3d2d487fp-17, 0x1.01ed20b233d2p-17, 0x1.f64ff39f2b2e2p-18, 0x1.e8fdb311f840ap-18, 0x1.dbe2a10249bbfp-18, 0x1.cefd2faf6b059p-18, 0x1.c24add0d984a8p-18, 0x1.b5c8e919fac5cp-18, 0x1.a975a3a7526d6p-18, 0x1.9d5092bddfcffp-18, 0x1.9158e875c5797p-18, 0x1.858e5a13f68b2p-18, 0x1.79f26fd1f3029p-18, 0x1.6e80a455884d9p-18, 0x1.633345c0da5f7p-18, 0x1.580bbc6352ed5p-18, 0x1.4d0cd326e1d1fp-18, 0x1.42337838a1d1bp-18, 0x1.377e5924dcffcp-18, 0x1.2ced4a6a23415p-18, 0x1.227feeb119073p-18, 0x1.1835c488cd1a2p-18, 0x1.0e0e41cbaafcp-18, 0x1.0408d58ca1406p-18, 0x1.f449c84a1c977p-19, 0x1.e0c393f53304p-19, 0x1.cd7dcccde0ba4p-19, 0x1.ba7753d587eb9p-19, 0x1.a7af4850b86p-19, 0x1.95251eb64e287p-19, 0x1.82d89e6abb4f7p-19, 0x1.70c9a552d891dp-19, 0x1.5ef7bcd68e89cp-19, 0x1.4d61dcde0ef6dp-19, 0x1.3c06ae0935798p-19, 0x1.2ae534304cd24p-19, 0x1.19fd7575da21fp-19, 0x1.09503677b2958p-19, 0x1.f1bb200104ee1p-20, 0x1.d14a05d00dc3bp-20, 0x1.b14e491feb72dp-20, 0x1.91bffbf29623fp-20, 0x1.729fbd441445cp-20, 0x1.53f2df9e85628p-20, 0x1.35b50dcb00802p-20, 0x1.17e61994a8efap-20, 0x1.f50cd912a8085p-21, 0x1.bb2bd44922784p-21, 0x1.8228a937f41a7p-21, 0x1.4a02e5d004837p-21, 0x1.12ba267c86ca3p-21, 0x1.b89c0d51ceeb8p-22, 0x1.4d7c25b503cc2p-22, 0x1.c8271dddf98eap-23, 0x1.f184dfb680d9dp-24, 0x1.66422c400b637p-26, -0x1.3792070770a98p-24, -0x1.60f27ae0a827p-23, -0x1.115a3074462c3p-22, -0x1.708727ccdac4ap-22, -0x1.ce001ba2dae4fp-22, -0x1.14e2e79479389p-21, -0x1.41ecf02fab555p-21, -0x1.6e1f19d9cce28p-21, -0x1.997a0dd514245p-21, -0x1.c3fd9a5e15e89p-21, -0x1.eda8bea575547p-21, -0x1.0b3dc6f28a041p-20, -0x1.1f3c05a2f9808p-20, -0x1.32ceeccfb101p-20, -0x1.45f753337e2a5p-20, -0x1.58b4d072d8811p-20, -0x1.6b07e9b806d4bp-20, -0x1.7cf1339d633bdp-20, -0x1.8e70a9054a71ep-20, -0x1.9f8686f028346p-20, -0x1.b0332049129dbp-20, -0x1.c076ccc607e19p-20, -0x1.d051e69d73199p-20, -0x1.dfc4cb055e3aep-20, -0x1.eecfdb7fa757ep-20, -0x1.fd737f514f56bp-20, -0x1.05d81241068acp-19, -0x1.0cc31fcd11591p-19, -0x1.137b2541c6dd4p-19, -0x1.1a0061c8c9675p-19, -0x1.20531674e7e1bp-19, -0x1.267385ce57aa7p-19, -0x1.2c61f2fb22421p-19, -0x1.321ea17a20c59p-19, -0x1.37a9d73f55c2cp-19, -0x1.3d03e0563954fp-19, -0x1.422d0fca248a7p-19, -0x1.4725bcdfd512dp-19, -0x1.4bee404740e34p-19, -0x1.5086ef651bc4p-19, -0x1.54f0142ef53d9p-19, -0x1.5929f8c63925bp-19, -0x1.5d350675851ccp-19, -0x1.6111ba7997e7cp-19, -0x1.64c05cdf88e2fp-19, -0x1.684139af9d031p-19, -0x1.6b94d341a89ccp-19, -0x1.6ebb98c401873p-19, -0x1.71b5e56f3bc72p-19, -0x1.74842241d400bp-19, -0x1.7726bc6665d02p-19, -0x1.799e22b58d305p-19, -0x1.7beac5902e2f1p-19, -0x1.7e0d16db3e5e8p-19, -0x1.800589fb27168p-19, -0x1.81d493da668e4p-19, -0x1.837aaaf8c41fap-19, -0x1.84f84782389d2p-19, -0x1.864de34925f7cp-19, -0x1.877bf99e9de71p-19, -0x1.88830727976d5p-19, -0x1.896389ac71561p-19, -0x1.8a1e004100dfp-19, -0x1.8ab2eacc93daep-19, -0x1.8b22ca02a7d7cp-19, -0x1.8b6e1f2591064p-19, -0x1.8b956c7e13353p-19, -0x1.8b993616f2b1dp-19, -0x1.8b7a01cb623d7p-19, -0x1.8b3856926a52ep-19, -0x1.8ad4bc1ab7879p-19, -0x1.8a4fba261370cp-19, -0x1.89a9d5f86e368p-19, -0x1.88e392d28f0afp-19, -0x1.87fd79b9a761dp-19, -0x1.86f81ad03ee47p-19, -0x1.85d403de277abp-19, -0x1.8491a91809p-19, -0x1.8331a5e4a80efp-19, -0x1.81b48829f9e93p-19, -0x1.801ad580869dbp-19, -0x1.7e65187ba9fep-19, -0x1.7c93dc4a54af6p-19, -0x1.7aa7ac0d1206cp-19, -0x1.78a112ce33ae1p-19, -0x1.76809b7fca405p-19, -0x1.7446d0f118917p-19, -0x1.71f43dc2826d9p-19, -0x1.6f896c5b42bfbp-19, -0x1.6d06e6e5d2f5cp-19, -0x1.6a6d375145752p-19, -0x1.67bce74bc79d4p-19, -0x1.64f6802e74b13p-19, -0x1.621a8ae9bb2dp-19, -0x1.5f298ff20d9ecp-19, -0x1.5c241737f45b5p-19, -0x1.590aa820ecfeap-19, -0x1.55ddc973c3125p-19, -0x1.529e0139e2edep-19, -0x1.4f4bd4b10dc36p-19, -0x1.4be7c8745535ap-19, -0x1.487260b1e3884p-19, -0x1.44ec210c2a2ecp-19, -0x1.41558c54c5a45p-19, -0x1.3daf2486481e6p-19, -0x1.39f96ab20b347p-19, -0x1.3634de3998a63p-19, -0x1.3261fcc3dbecp-19, -0x1.2e8144bb34b5ep-19, -0x1.2a933522788dbp-19, -0x1.26984d4042bacp-19, -0x1.2290ff7323fedp-19, -0x1.1e7dca94ab5d6p-19, -0x1.1a5f29feba3efp-19, -0x1.16359362cb89ap-19, -0x1.12017d8dd5efcp-19, -0x1.0dc35e4be84efp-19, -0x1.097baa34b340fp-19, -0x1.052ad4b14278ep-19, -0x1.00d14ff4da88ap-19, -0x1.f8df19f389268p-20, -0x1.f00bf705bb93bp-20, -0x1.e72a14232b416p-20, -0x1.de3a4bc4bbb2ep-20, -0x1.d53d75d4eb29p-20, -0x1.cc3467b35dfbcp-20, -0x1.c31ff433f5b61p-20, -0x1.ba00eb8cd578bp-20, -0x1.b0d81b56c1ab2p-20, -0x1.a7a64e829e37ap-20, -0x1.9e6c4d4743a8bp-20, -0x1.952add29b98cp-20, -0x1.8be2c0fa062e2p-20, -0x1.8294b8c620486p-20, -0x1.794181c66eda6p-20, -0x1.6fe9d65af648cp-20, -0x1.668e6e3495a9ep-20, -0x1.5d2ffe72c6f99p-20, -0x1.53cf397ca2411p-20, -0x1.4a6cceddfd5e3p-20, -0x1.41096b546ff47p-20, -0x1.37a5b8dae66f3p-20, -0x1.2e425e2927765p-20, -0x1.24dffe812741fp-20, -0x1.1b7f3b693981dp-20, -0x1.1220b462cff15p-20, -0x1.08c5073008c13p-20, -0x1.fed9922a6b7ffp-21, -0x1.ec311f1b284e3p-21, -0x1.d991e367125c7p-21, -0x1.c6fcfd9105a72p-21, -0x1.b473893da9861p-21, -0x1.a1f69a55771bp-21, -0x1.8f87421d81467p-21, -0x1.7d268bb70066ep-21, -0x1.6ad57c6ebe58dp-21, -0x1.5895140f34603p-21, -0x1.46664ced7e08fp-21, -0x1.344a1be6f3ccep-21, -0x1.2241706d8d9c1p-21, -0x1.104d3486d5c58p-21, -0x1.fcdc99a948f5ep-22, -0x1.d94b314736c26p-22, -0x1.b5e7e3e0b6112p-22, -0x1.92b45af141e5ep-22, -0x1.6fb235798814cp-22, -0x1.4ce308071ffc1p-22, -0x1.2a485cc3a2a5bp-22, -0x1.07e3b38caf142p-22, -0x1.cb6d04111282dp-23, -0x1.87846780a6b4fp-23, -0x1.441054559763fp-23, -0x1.01137949f8d02p-23, -0x1.7d20e235f6896p-24, -0x1.f2270c626857cp-25, -0x1.d80f1c22cc016p-26, 0x1.813340edcc11cp-29, 0x1.1a1ffb92c9decp-25, 0x1.0d0af7e382b14p-24, 0x1.8bf6301ddfff6p-24, 0x1.04e6bfd6d7668p-23, 0x1.434671fc00832p-23, 0x1.81183ddca48b2p-23, 0x1.be5a421860c03p-23, 0x1.fb0aaea63d619p-23, 0x1.1b93e1dbd7f01p-22, 0x1.3957f27b1d2bfp-22, 0x1.56d0b45942d2ep-22, 0x1.73fd6585fe5a4p-22, 0x1.90dd4aa994124p-22, 0x1.ad6fb04b717ap-22, 0x1.c9b3eb31dc382p-22, 0x1.e5a958343842cp-22, 0x1.00a7ae045e7c2p-21, 0x1.0e52b199c0fe1p-21, 0x1.1bd570f6ae7efp-21, 0x1.292fa9ff7f2fbp-21, 0x1.36611e5dd6251p-21, }}, 
      {{-0x1.3828526d09554p-2, -0x1.37de395ec19d9p-2, -0x1.37632a232a81ap-2, -0x1.36b7c7b7cbadbp-2, -0x1.35dcedfec1227p-2, -0x1.34d3ab5ca004fp-2, -0x1.339d3a09eb33ap-2, -0x1.323af96fc42ep-2, -0x1.30ae67c9b8e31p-2, -0x1.2ef91c31804b2p-2, -0x1.2d1cc12a459f6p-2, -0x1.2b1b0fb5c674ap-2, -0x1.28f5caf54a417p-2, -0x1.26aebc518c8b9p-2, -0x1.2447b0238afd2p-2, -0x1.21c272d13d891p-2, -0x1.1f20ce570ea28p-2, -0x1.1c648827e05f5p-2, -0x1.198f5f6ca4605p-2, -0x1.16a30b9ae6adbp-2, -0x1.13a13b3997ad3p-2, -0x1.108b92d02d857p-2, -0x1.0d63ac845ae47p-2, -0x1.0a2b171c05f6ep-2, -0x1.06e355ec496b6p-2, -0x1.038de05a17879p-2, -0x1.002c21bb6f896p-2, -0x1.f97ef2a4ea442p-3, -0x1.f292742ba0edap-3, -0x1.eb9555b62741fp-3, -0x1.e48a0c7bfe80ap-3, -0x1.dd72f62c4369cp-3, -0x1.d652584d48521p-3, -0x1.cf2a60f81c73bp-3, -0x1.c7fd26ff8a9e1p-3, -0x1.c0ccaad56f9cdp-3, -0x1.b99ad659443dfp-3, -0x1.b2697d632ea07p-3, -0x1.ab3a5e3e2f5a1p-3, -0x1.a40f21f6f3b3fp-3, -0x1.9ce95d12bc268p-3, -0x1.95ca8faf4d323p-3, -0x1.8eb4266549657p-3, -0x1.87a77a170fd3ep-3, -0x1.80a5d0ff01469p-3, -0x1.79b05ec23cbe7p-3, -0x1.72c84503fa611p-3, -0x1.6bee9419e5489p-3, -0x1.65244b401aa45p-3, -0x1.5e6a591c7398p-3, -0x1.57c19c3855247p-3, -0x1.512ae3a1e143ep-3, -0x1.4aa6ef58c49f5p-3, -0x1.4436707f1c471p-3, -0x1.3dda0a42a6243p-3, -0x1.379251fb0d5ddp-3, -0x1.315fcfc1346cbp-3, -0x1.2b42ff10219bdp-3, -0x1.253c4f11fc706p-3, -0x1.1f4c23184d591p-3, -0x1.1972d3178727ap-3, -0x1.13b0ac1bc911bp-3, -0x1.0e05f0bb1cd1cp-3, -0x1.0872d9843e233p-3, -0x1.02f7956b776b9p-3, -0x1.fb2894826bd9cp-4, -0x1.f0922a59d4b83p-4, -0x1.e62c15f5a2f33p-4, -0x1.dbf670fe8fa02p-4, -0x1.d1f146386f258p-4, -0x1.c81c9206a62bp-4, -0x1.be7843405c83p-4, -0x1.b5043c1c260c9p-4, -0x1.abc052cb743a1p-4, -0x1.a2ac5220da5c5p-4, -0x1.99c7fa3f50bfp-4, -0x1.911301410c333p-4, -0x1.888d13d8df32dp-4, -0x1.8035d5f0d2b4bp-4, -0x1.780ce345ab94ap-4, -0x1.7011cffa6475dp-4, -0x1.6844291f4ad0cp-4, -0x1.60a3752e9c717p-4, -0x1.592f34830741bp-4, -0x1.51e6e1cddc059p-4, -0x1.4ac9f28f8c7edp-4, -0x1.43d7d78e3dbp-4, -0x1.3d0ffd4547b5cp-4, -0x1.3671cc4cf4e09p-4, -0x1.2ffca9b820983p-4, -0x1.29aff75d61efep-4, -0x1.238b1415030cbp-4, -0x1.1d8d5c0b2624bp-4, -0x1.17b629174c7cap-4, -0x1.1204d30b733c1p-4, -0x1.0c78b00f6f2ebp-4, -0x1.071114f485d68p-4, -0x1.01cd556fd2076p-4, -0x1.f9598894c170bp-5, -0x1.ef5d671f4562bp-5, -0x1.e5a4e975c0083p-5, -0x1.dc2eb1cc1d69p-5, -0x1.d2f961f907e62p-5, -0x1.ca039be395007p-5, -0x1.c14c01f594308p-5, -0x1.b8d1378c7d8c2p-5, -0x1.b091e162c3e93p-5, -0x1.a88ca5ece3da2p-5, -0x1.a0c02da7fc36ep-5, -0x1.992b235a96f8ap-5, -0x1.91cc344a39fb5p-5, -0x1.8aa21069b7c6p-5, -0x1.83ab6a844e496p-5, -0x1.7ce6f869092c6p-5, -0x1.765373188c2cap-5, -0x1.6fef96f61b7f1p-5, -0x1.69ba23fb48147p-5, -0x1.63b1ddecca741p-5, -0x1.5dd58c8e6eaf6p-5, -0x1.5823fbd3f668dp-5, -0x1.529bfc0d13d33p-5, -0x1.4d3c620b231a1p-5, -0x1.4804074004ebbp-5, -0x1.42f1c9d62d255p-5, -0x1.3e048cc28f37fp-5, -0x1.393b37d203ee3p-5, -0x1.3494b7b41ce54p-5, -0x1.300ffe04cfc58p-5, -0x1.2bac0153d9c57p-5, -0x1.2767bd287a913p-5, -0x1.23423203aefb2p-5, -0x1.1f3a656474c16p-5, -0x1.1b4f61ceada47p-5, -0x1.178036d46a381p-5, -0x1.13cbf91fa1124p-5, -0x1.1031c278727f1p-5, -0x1.0cb0b1c78ed2bp-5, -0x1.0947eb170f257p-5, -0x1.05f6979276626p-5, -0x1.02bbe5852086fp-5, -0x1.ff2e10acf6d69p-6, -0x1.f90e7107a2f5ap-6, -0x1.f317672fb211p-6, -0x1.ed477840a4f53p-6, -0x1.e79d3343fc48bp-6, -0x1.e217311685a0ep-6, -0x1.dcb4144bab1fbp-6, -0x1.d772890f3c84bp-6, -0x1.d25145063e6f5p-6, -0x1.cd4f072f0f564p-6, -0x1.c86a97c128925p-6, -0x1.c3a2c80ca44d7p-6, -0x1.bef67259b1256p-6, -0x1.ba6479c7ceebfp-6, -0x1.b5ebca2cf2c59p-6, -0x1.b18b57f46ca76p-6, -0x1.ad421ffd7863ep-6, -0x1.a90f2779587f7p-6, -0x1.a4f17bc8fb81p-6, -0x1.a0e8325a07dabp-6, -0x1.9cf268833192p-6, -0x1.990f435ff518p-6, -0x1.953defabac0efp-6, -0x1.917da19bf65ddp-6, -0x1.8dcd94ba7e995p-6, -0x1.8a2d0bbe5be94p-6, -0x1.869b506503566p-6, -0x1.8317b34ad1a7bp-6, -0x1.7fa18bc366194p-6, -0x1.7c3837b1f4a25p-6, -0x1.78db1b6194b5dp-6, -0x1.7589a15d86294p-6, -0x1.72433a49acfeep-6, -0x1.6f075cbb6fb3dp-6, -0x1.6bd58512c61c6p-6, -0x1.68ad35538f529p-6, -0x1.658df4ff5bc09p-6, -0x1.627750efc49c7p-6, -0x1.5f68db311cc15p-6, -0x1.5c622add7fd4ep-6, -0x1.5962dbf8666b4p-6, -0x1.566a8f4aca6cdp-6, -0x1.5378ea3fc4849p-6, -0x1.508d96c17be3cp-6, -0x1.4da84316bb62ap-6, -0x1.4ac8a1c159bd2p-6, -0x1.47ee695d61364p-6, -0x1.4519548097a35p-6, -0x1.4249219a023e7p-6, -0x1.3f7d92d16db19p-6, -0x1.3cb66de7595a5p-6, -0x1.39f37c15d8d7ap-6, -0x1.373489f2b94a3p-6, -0x1.347967529faf7p-6, -0x1.31c1e72c587edp-6, -0x1.2f0ddf7c2692fp-6, -0x1.2c5d29273541bp-6, -0x1.29af9fdfaae59p-6, -0x1.2705220992068p-6, -0x1.245d90a07e658p-6, -0x1.21b8cf1dbb4p-6, -0x1.1f16c35f04e82p-6, -0x1.1c77558d8c3fcp-6, -0x1.19da70061190fp-6, -0x1.173fff4128ea8p-6, -0x1.14a7f1bc3572bp-6, -0x1.121237e2d0631p-6, -0x1.0f7ec3f8da5p-6, -0x1.0ced8a0523baap-6, -0x1.0a5e7fbca25f8p-6, -0x1.07d19c6e1edabp-6, -0x1.0546d8ee7123ep-6, -0x1.02be2f8552ee4p-6, -0x1.00379bdac89e8p-6, -0x1.fb6635c9f9e93p-7, -0x1.f66155ad3827p-7, -0x1.f160961b5bce2p-7, -0x1.ec63f806154a9p-7, -0x1.e76b7e74a5cd5p-7, -0x1.e2772e64b0aafp-7, -0x1.dd870eabbe0e8p-7, -0x1.d89b27d9fa554p-7, -0x1.d3b3841e32133p-7, -0x1.ced02f295676fp-7, -0x1.c9f1361595e19p-7, -0x1.c516a74ba2a66p-7, -0x1.c0409269ed699p-7, -0x1.bb6f082c9673ep-7, -0x1.b6a21a568d9cbp-7, -0x1.b1d9db9b6387ap-7, -0x1.ad165f89d7799p-7, -0x1.a857ba76ec488p-7, -0x1.a39e0169b87aap-7, -0x1.9ee94a0830e7bp-7, -0x1.9a39aa84de635p-7, -0x1.958f398d5b3f8p-7, -0x1.90ea0e39459f6p-7, -0x1.8c4a3ff9ac3b5p-7, -0x1.87afe6891fcdfp-7, -0x1.831b19dc9d3e3p-7, -0x1.7e8bf2155bc7ap-7, -0x1.7a0287733e64bp-7, -0x1.757ef247bb701p-7, -0x1.71014ae9212a7p-7, -0x1.6c89a9a651dfap-7, -0x1.681826bb3f737p-7, -0x1.63acda4618427p-7, -0x1.5f47dc3d2f31ap-7, -0x1.5ae9446554548p-7, -0x1.56912a485d6d2p-7, -0x1.523fa52c0b4f5p-7, -0x1.4df4cc0ad9083p-7, -0x1.49b0b58944e48p-7, -0x1.457377f065e55p-7, -0x1.413d29278a119p-7, -0x1.3d0ddeacb979ap-7, -0x1.38e5ad8ed7d85p-7, -0x1.34c4aa67b7002p-7, -0x1.30aae9568de92p-7, -0x1.2c987dfaeb2ccp-7, -0x1.288d7b7035c9cp-7, -0x1.2489f44990012p-7, -0x1.208dfa8e03615p-7, -0x1.1c999fb4dc879p-7, -0x1.18acf4a239436p-7, -0x1.14c809a3ed48p-7, -0x1.10eaee6ecd0a8p-7, -0x1.0d15b21c71f09p-7, -0x1.0948632946d69p-7, -0x1.05830f72ca103p-7, -0x1.01c5c435e70e2p-7, -0x1.fc211c1b09dc6p-8, -0x1.f4c6f1e2962e5p-8, -0x1.ed7d206975629p-8, -0x1.e643bd0d0c603p-8, -0x1.df1adbe05259ap-8, -0x1.d8028fab867e1p-8, -0x1.d0fae9ec207dbp-8, -0x1.ca03fad53476cp-8, -0x1.c31dd14fdda2cp-8, -0x1.bc487afc09008p-8, -0x1.b58404318a4c5p-8, -0x1.aed07801b1e36p-8, -0x1.a82de03947233p-8, -0x1.a19c4562f0d7dp-8, -0x1.9b1baec9d00c3p-8, -0x1.94ac227c4242cp-8, -0x1.8e4da54eb5698p-8, -0x1.88003ade99ec5p-8, -0x1.81c3e59591037p-8, -0x1.7b98a6ace0d0dp-8, -0x1.757e7e313e9dfp-8, -0x1.6f756b06e63adp-8, -0x1.697d6aedd7ebbp-8, -0x1.63967a8629c39p-8, -0x1.5dc095544399cp-8, -0x1.57fbb5c570d95p-8, -0x1.5247d5361e6ffp-8, -0x1.4ca4ebf4c22e6p-8, -0x1.4712f14363705p-8, -0x1.4191db61af64bp-8, -0x1.3c219f91c2082p-8, -0x1.36c2321badaep-8, -0x1.3173865309937p-8, -0x1.2c358e9c69ed9p-8, -0x1.27083c72b7e1ep-8, -0x1.21eb806c6fe09p-8, -0x1.1cdf4a4110f93p-8, -0x1.17e388ce7eacep-8, -0x1.12f82a1e9b537p-8, -0x1.0e1d1b6cd07d9p-8, -0x1.0952492bb8d54p-8, -0x1.04979f0aae68ep-8, -0x1.ffda0ff6aa9b1p-9, -0x1.f6a4dc6e46e13p-9, -0x1.ed8f7689cb31fp-9, -0x1.e499affc92f27p-9, -0x1.dbc3592adfd6dp-9, -0x1.d30c413515fe8p-9, -0x1.ca743602d64ap-9, -0x1.c1fb044e17906p-9, -0x1.b9a077addde01p-9, -0x1.b1645aa0ea6f5p-9, -0x1.a9467698252d2p-9, -0x1.a14694010e349p-9, -0x1.99647a50275dep-9, -0x1.919ff00b961bep-9, -0x1.89f8bad5d24b2p-9, -0x1.826e9f7863147p-9, -0x1.7b0161ee81ea4p-9, -0x1.73b0c56f5cb2p-9, -0x1.6c7c8c77ff8afp-9, -0x1.656478d4b53ap-9, -0x1.5e684baa0870cp-9, -0x1.5787c57d91db2p-9, -0x1.50c2a63ee5b31p-9, -0x1.4a18ad509b391p-9, -0x1.43899991d518p-9, -0x1.3d152967fd92cp-9, -0x1.36bb1ac89b775p-9, -0x1.307b2b42e0b39p-9, -0x1.2a551808ad4cep-9, -0x1.24489df6bf3d8p-9, -0x1.1e55799c345d5p-9, -0x1.187b67414983ap-9, -0x1.12ba22ee0f864p-9, -0x1.0d116871350d3p-9, -0x1.0780f367875bap-9, -0x1.02087f4406971p-9, -0x1.f94f8eb132becp-10, -0x1.eebd0dbde1a05p-10, -0x1.e458f201a1257p-10, -0x1.da22b1bee9435p-10, -0x1.d019c333406c1p-10, -0x1.c63d9ca0bca0ap-10, -0x1.bc8db455eaaefp-10, -0x1.b30980b58aa71p-10, -0x1.a9b0783fd661p-10, -0x1.a082119e91d4ap-10, -0x1.977dc3b435342p-10, -0x1.8ea305ada64c5p-10, -0x1.85f14f14639c5p-10, -0x1.7d6817defdf4ap-10, -0x1.7506d87d6a1c5p-10, -0x1.6ccd09dfb26fcp-10, -0x1.64ba257746651p-10, -0x1.5ccda534a812ep-10, -0x1.55070384a49e3p-10, -0x1.4d65bb508925dp-10, -0x1.45e94804fbc86p-10, -0x1.3e9125a06f5a1p-10, -0x1.375cd0c8f61b2p-10, -0x1.304bc6e61501p-10, -0x1.295d863a0801cp-10, -0x1.22918df4c1f75p-10, -0x1.1be75e3cdb534p-10, -0x1.155e782c0e86cp-10, -0x1.0ef65dc0c7ae8p-10, -0x1.08ae91c91fe56p-10, -0x1.028697ce1b3fp-10, -0x1.f8fbe80c60f8cp-11, -0x1.ed2856aa953f3p-11, -0x1.e19186b9f03d1p-11, -0x1.d63685367c6a2p-11, -0x1.cb16612578d69p-11, -0x1.c0302be6edb64p-11, -0x1.b582f975d5e82p-11, -0x1.ab0de0872789p-11, -0x1.a0cffa7f37d4ep-11, -0x1.96c8633f369dap-11, -0x1.8cf638d6714e5p-11, -0x1.83589b2b42612p-11, -0x1.79eeabb1c8472p-11, -0x1.70b78d4502ep-11, -0x1.67b2642e99d7bp-11, -0x1.5ede565f3ee9cp-11, -0x1.563a8bccb6851p-11, -0x1.4dc62ee1d04ebp-11, -0x1.45806ce638002p-11, -0x1.3d6876455e831p-11, -0x1.357d7ea390dbbp-11, -0x1.2dbebcbad3fe8p-11, -0x1.262b6a08a0a15p-11, -0x1.1ec2c25f8a676p-11, -0x1.17840377522d1p-11, -0x1.106e6c95a4679p-11, -0x1.09813e638875p-11, -0x1.02bbbaf8e4e4fp-11, -0x1.f83a4c3760596p-12, -0x1.eb498b4b95d62p-12, -0x1.dea3c3f6d42d3p-12, -0x1.d2478cf0db864p-12, -0x1.c6338375c1807p-12, -0x1.ba664b6e00cb2p-12, -0x1.aede8f1ae658fp-12, -0x1.a39afe5732c48p-12, -0x1.989a4d99f551p-12, -0x1.8ddb34fca2aep-12, -0x1.835c6f847759bp-12, -0x1.791cbad88dc13p-12, -0x1.6f1ad76dbd544p-12, -0x1.65558910b9a1bp-12, -0x1.5bcb97a4bbe7bp-12, -0x1.527bcfebafbc2p-12, -0x1.49650437e742bp-12, -0x1.40860cef7e4f2p-12, -0x1.37ddc8cf581a6p-12, -0x1.2f6b1cd7c0cbep-12, -0x1.272cf3d2b1777p-12, -0x1.1f223d7490fc1p-12, -0x1.1749ed3baa39cp-12, -0x1.0fa2f953b1b61p-12, -0x1.082c59d36061ap-12, -0x1.00e508952b0f1p-12, -0x1.f398036feadcbp-13, -0x1.e5c0892ee7d9p-13, -0x1.d841a9c37afdfp-13, -0x1.cb1976e85a11fp-13, -0x1.be460da037485p-13, -0x1.b1c596620703ap-13, -0x1.a59644d7e6b6ep-13, -0x1.99b6577e42c79p-13, -0x1.8e24172beeeb3p-13, -0x1.82ddd6473aeefp-13, -0x1.77e1ef6179608p-13, -0x1.6d2ec333b5853p-13, -0x1.62c2b66a7b008p-13, -0x1.589c2fffa223fp-13, -0x1.4eb998d79955dp-13, -0x1.45195ce5ecb95p-13, -0x1.3bb9ed7472b5p-13, -0x1.3299c3aca2837p-13, -0x1.29b76277f54bp-13, -0x1.211157338bf99p-13, -0x1.18a63954310b7p-13, -0x1.1074a9904f0cbp-13, -0x1.087b51349221ep-13, -0x1.00b8e1ed03004p-13, -0x1.f2582b872241bp-14, -0x1.e3a75d8126d32p-14, -0x1.d55ceb750cd7ap-14, -0x1.c77670d250adbp-14, -0x1.b9f18ed2474f6p-14, -0x1.accbea286a73ap-14, -0x1.a0032b74a3e68p-14, -0x1.93950223bedd3p-14, -0x1.877f28347b828p-14, -0x1.7bbf651c7977bp-14, -0x1.70538ed1014f2p-14, -0x1.6539892345c35p-14, -0x1.5a6f446b825d8p-14, -0x1.4ff2bca5cf097p-14, -0x1.45c1f9bd24836p-14, -0x1.3bdb1111ecf07p-14, -0x1.323c2766cf101p-14, -0x1.28e371af96267p-14, -0x1.1fcf33572ee29p-14, -0x1.16fdb9de3ae2fp-14, -0x1.0e6d579301518p-14, -0x1.061c604050e81p-14, -0x1.fc1253b7a718fp-15, -0x1.ec64218de4658p-15, -0x1.dd2af9a9c3568p-15, -0x1.ce63c78d2d005p-15, -0x1.c00b8f981d8abp-15, -0x1.b21f66b77e2c8p-15, -0x1.a49c6a8700726p-15, -0x1.977fbe6e7405bp-15, -0x1.8ac68e72bfb7bp-15, -0x1.7e6e157e4849bp-15, -0x1.7273a451ee773p-15, -0x1.66d4a70ccea52p-15, -0x1.5b8ea78e4d777p-15, -0x1.509f4af344d89p-15, -0x1.4604497db095ap-15, -0x1.3bbb6327cc18p-15, -0x1.31c2567e4425bp-15, -0x1.2816dfc390ee7p-15, -0x1.1eb6c1f66a854p-15, -0x1.159fd4799591fp-15, -0x1.0cd00c41aa98ap-15, -0x1.04457a53ac654p-15, -0x1.f7fc820082e4bp-16, -0x1.e7f10e8aabc6ap-16, -0x1.d864e2e13ae01p-16, -0x1.c95442612ffddp-16, -0x1.babb75dca1e9p-16, -0x1.ac96daab78bf5p-16, -0x1.9ee2f1514c59ap-16, -0x1.919c67474dec6p-16, -0x1.84c017f4591b9p-16, -0x1.784b03ebf35b9p-16, -0x1.6c3a41e9c6bbep-16, -0x1.608aef6fc2131p-16, -0x1.553a26ce9f67ap-16, -0x1.4a44ff4203364p-16, -0x1.3fa8997d3ba92p-16, -0x1.3562347eed0e2p-16, -0x1.2b6f3de63b352p-16, -0x1.21cd5098db602p-16, -0x1.187a21dc48404p-16, -0x1.0f736c3228bf1p-16, -0x1.06b6e701c38d5p-16, -0x1.fc8496334593fp-17, -0x1.ec26b1d79113p-17, -0x1.dc4fb45c0500cp-17, -0x1.ccfb474939045p-17, -0x1.be2539b02b97ep-17, -0x1.afc994ea976b1p-17, -0x1.a1e4a47a80c1ep-17, -0x1.9472e632657f4p-17, -0x1.8770e9c3f1463p-17, -0x1.7adb344ced2bep-17, -0x1.6eae3a233c10cp-17, -0x1.62e67046d379p-17, -0x1.578067bae34a7p-17, -0x1.4c78e506c2c2fp-17, -0x1.41ccec9731342p-17, -0x1.3779bcce75c63p-17, -0x1.2d7cb1df6e2cbp-17, -0x1.23d323328bf1bp-17, -0x1.1a7a57e640c54p-17, -0x1.116f9b9759cd1p-17, -0x1.08b0590752e41p-17, -0x1.003a1d3b0c82bp-17, -0x1.f0150f8635ff4p-18, -0x1.e03e82c945fcfp-18, -0x1.d0ec0447ee00dp-18, -0x1.c21939ac20257p-18, -0x1.b3c20b0a5340dp-18, -0x1.a5e29ac41a24dp-18, -0x1.9877280138db1p-18, -0x1.8b7be8fadf3cep-18, -0x1.7eecf5a6b1691p-18, -0x1.72c65721cce37p-18, -0x1.670437dec1c57p-18, -0x1.5ba313f35aba9p-18, -0x1.509fc4ffa77adp-18, -0x1.45f7635168808p-18, -0x1.3ba718ab1d07cp-18, -0x1.31ac01f88da4cp-18, -0x1.2803287675adep-18, -0x1.1ea996882a422p-18, -0x1.159c7e3d802dcp-18, -0x1.0cd947bb50c96p-18, -0x1.045d7944d1c5ep-18, -0x1.f84d497ff6932p-19, -0x1.e864e177b6f74p-19, -0x1.d8fd4584949fbp-19, -0x1.ca1238513cd51p-19, -0x1.bb9fa42bcee47p-19, -0x1.ada18eb53b661p-19, -0x1.a014108c16dccp-19, -0x1.92f34e7862e9dp-19, -0x1.863b731650649p-19, -0x1.79e8ac59dca08p-19, -0x1.6df737a865fdep-19, -0x1.626385cefbe3p-19, -0x1.572a6628e96cep-19, -0x1.4c4909fe744cep-19, -0x1.41bcc6a788843p-19, -0x1.3782cb28a41c9p-19, -0x1.2d9819c95ee72p-19, -0x1.23f9bd05d6d38p-19, -0x1.1aa4f84c375d3p-19, -0x1.1197581f0a92fp-19, -0x1.08ce8bd7edbb5p-19, -0x1.004833f67f5ddp-19, -0x1.f003e4fbff621p-20, -0x1.dff32cfef186bp-20, -0x1.d05a4399db523p-20, -0x1.c1356fe5f7a29p-20, -0x1.b2811ac208ad6p-20, -0x1.a439b29c1670ap-20, -0x1.965b9c8fd1c95p-20, -0x1.88e338b1de369p-20, -0x1.7bccf64923ccep-20, -0x1.6f156bcf6e412p-20, -0x1.62b962e770d9dp-20, -0x1.56b5d386fce01p-20, -0x1.4b07dded92d88p-20, -0x1.3facd27f33965p-20, -0x1.34a23825ab5b6p-20, -0x1.29e5b343e611p-20, -0x1.1f74d2527f314p-20, -0x1.154cf93eb80b1p-20, -0x1.0b6b98846003ap-20, -0x1.01ce721f3ef68p-20, -0x1.f0e72b388e12cp-21, -0x1.deb23728a8403p-21, -0x1.ccf9e8c4f50a2p-21, -0x1.bbba2526b5d1bp-21, -0x1.aaef3cf985491p-21, -0x1.9a95d540988cfp-21, -0x1.8aaacca8b1994p-21, -0x1.7b2b308ce350cp-21, -0x1.6c1424c83f857p-21, -0x1.5d62cc1ce5558p-21, -0x1.4f143c93f4313p-21, -0x1.4125850dc598bp-21, -0x1.3393c2b3abfdfp-21, -0x1.265c3c675c4ep-21, -0x1.197c754a50379p-21, -0x1.0cf22ad44583ap-21, -0x1.00bb3f9a35405p-21, -0x1.e9ab44b4fbc11p-22, -0x1.d27e839f81d4ep-22, -0x1.bbec2461af53bp-22, -0x1.a5f035e17e3bep-22, -0x1.9086e65c8fa4fp-22, -0x1.7bac67c8e6ce3p-22, -0x1.675d31f4efb93p-22, -0x1.5396312b0021ap-22, -0x1.40544dab54ffcp-22, -0x1.2d9441d5ad36bp-22, -0x1.1b52d65582e29p-22, -0x1.098d278d7c048p-22, -0x1.f080f92c0512ep-23, -0x1.ced46a8dcd18ep-23, -0x1.ae0fb446af489p-23, -0x1.8e2e259f2994p-23, -0x1.6f2b338eb31ecp-23, -0x1.510260fcb36dp-23, -0x1.33af2c60c2493p-23, -0x1.172d0e8d53951p-23, -0x1.f6ef1b5bbbe4ap-24, -0x1.c114b61391e7ep-24, -0x1.8cc2db77e22e4p-24, -0x1.59f21e64d64abp-24, -0x1.289ba02a23dcbp-24, -0x1.f1718a9373eb3p-25, -0x1.9485ae4d74c9cp-25, -0x1.3a65b64248b92p-25, -0x1.c60738a55eff2p-26, -0x1.1ca462dd40e85p-26, -0x1.e22b5c1c15116p-28, 0x1.32e47cd8b12fep-29, 0x1.8050f978d8694p-27, 0x1.54eefe011243fp-26, 0x1.e4c76d7eefd86p-26, 0x1.37e484fe22491p-25, 0x1.7b04723020862p-25, 0x1.bbcd7e46a84d2p-25, 0x1.fa49d80c44b45p-25, 0x1.1b41ac172d85cp-24, 0x1.3841c2f1acc9ep-24, 0x1.5429d62ab36fdp-24, 0x1.6efe7020d605ap-24, 0x1.88c4074822d93p-24, 0x1.a17f08d4c212ep-24, 0x1.b933dfc27296bp-24, 0x1.cfe6f38c0283ep-24, 0x1.e59c9f59a4268p-24, 0x1.fa5927ed252b9p-24, 0x1.07105a1250a94p-23, 0x1.107ba45d0a2ddp-23, 0x1.1970651f7fabep-23, 0x1.21f085e6efba7p-23, 0x1.29fdf38fdc85dp-23, 0x1.319aa47bc6f52p-23, 0x1.38c890f378328p-23, 0x1.3f89a3dbb13a4p-23, 0x1.45dfb04704ebp-23, 0x1.4bcc7684bcap-23, 0x1.5151b82b6e819p-23, 0x1.567142946df55p-23, 0x1.5b2ce4da48ea3p-23, 0x1.5f866f7249328p-23, 0x1.637f9dd5f072dp-23, 0x1.671a211129567p-23, 0x1.6a57b2f5eb3c2p-23, 0x1.6d3a05c96b903p-23, 0x1.6fc2c7a74b236p-23, 0x1.71f3a363147cep-23, 0x1.73ce3ffc50e2ep-23, 0x1.755440a6a925bp-23, 0x1.7687456cdaef6p-23, 0x1.7768ec2096499p-23, 0x1.77fad10865e8ap-23, 0x1.783e8ed6f5452p-23, 0x1.7835bdf7d7ddfp-23, 0x1.77e1f3b6d73fap-23, 0x1.7744c1b832463p-23, 0x1.765fb59ba25b4p-23, 0x1.753458a1f9b61p-23, 0x1.73c4301d427d8p-23, 0x1.7210bf62a52c2p-23, 0x1.701b89e3442f3p-23, 0x1.6de6134b3bb0cp-23, 0x1.6b71dd33154d6p-23, 0x1.68c0649359b8ep-23, 0x1.65d3203fe6b26p-23, 0x1.62ab81754aeabp-23, 0x1.5f4af98859ef7p-23, 0x1.5bb2fcc1660ap-23, 0x1.57e4fb7070f27p-23, 0x1.53e261f72212ap-23, 0x1.4fac97c2a8a5cp-23, 0x1.4b4502ef1fe11p-23, 0x1.46ad073f9c873p-23, 0x1.41e6051fb43acp-23, 0x1.3cf15a75bb8f6p-23, 0x1.37d06259208afp-23, 0x1.328474fa7169fp-23, 0x1.2d0ee78cb5e41p-23, 0x1.27710c3d2a685p-23, 0x1.21ac32536ba9ap-23, 0x1.1bc1a6453f2cap-23, 0x1.15b2b1c6bdce5p-23, 0x1.0f809bb6c4662p-23, 0x1.092ca7f16881bp-23, 0x1.02b8172a9639ap-23, 0x1.f8484db9d3bb8p-24, 0x1.eae42268f4521p-24, 0x1.dd4619e84b78dp-24, 0x1.cf709ace44c99p-24, 0x1.c16605348ab06p-24, 0x1.b328b37064425p-24, 0x1.a4bafa365e59cp-24, 0x1.961f27d90da92p-24, 0x1.875783a8e7bc8p-24, 0x1.78664d5a4cec5p-24, 0x1.694dbc4a95064p-24, 0x1.5a1000bb3e198p-24, 0x1.4aaf4671880c8p-24, 0x1.3b2db341914c1p-24, 0x1.2b8d63eacee83p-24, 0x1.1bd06dadb45e9p-24, 0x1.0bf8dfbe276cp-24, 0x1.f81183de14a32p-25, 0x1.d8042919ab925p-25, 0x1.b7cda1bb9b4e7p-25, 0x1.9771d1e0f2f81p-25, 0x1.76f48f1702dbep-25, 0x1.5659a01b176dp-25, 0x1.35a4bcfad964ep-25, 0x1.14d98edec0241p-25, 0x1.e7f76045c6fc7p-26, 0x1.a61d58c648dcdp-26, 0x1.642c00f4c5d38p-26, 0x1.222a3527192c6p-26, 0x1.c03d68343c557p-27, 0x1.3c203d28592e8p-27, 0x1.7013e2b4bc8bbp-28, 0x1.a03a459c98166p-30, -0x1.3f6caf7d2a7aep-29, -0x1.a72236d94497p-28, -0x1.570e6f0b19d2cp-27, -0x1.da47497f2d6bfp-27, -0x1.2e97ff3fd526ap-26, -0x1.6fde866363493p-26, -0x1.b0f18b82917eap-26, -0x1.f1cb721dc88bfp-26, -0x1.19335f41af2e1p-25, -0x1.395f1f344d21fp-25, -0x1.59669a2690199p-25, -0x1.79479ef9af263p-25, -0x1.98fff00a56da5p-25, -0x1.b88d1879d8521p-25, -0x1.d7ec8688c200ap-25, -0x1.f71bbdcfad2f3p-25, -0x1.0b0c36e7d38bap-24, -0x1.1a70344247d93p-24, -0x1.29b8ca5c0748ep-24, -0x1.38e4f401f8e71p-24, -0x1.47f3b2f5ae56fp-24, -0x1.56e41027c26cbp-24, -0x1.65b51bbcea59fp-24, -0x1.7465ecc2f7998p-24, -0x1.82f5a0d04830ep-24, -0x1.91635bbfad68bp-24, -0x1.9fae479815f6dp-24, -0x1.add59483143f7p-24, -0x1.bbd878e42bd31p-24, -0x1.c9b63172ee58fp-24, -0x1.d76e014a3a561p-24, -0x1.e4ff31efa81d1p-24, -0x1.f2691349a3393p-24, -0x1.ffaafb94cd398p-24, -0x1.066223ab403bp-23, -0x1.0cda2ca8f9255p-23, -0x1.133d4d3d890c4p-23, -0x1.198b3cead4eeep-23, -0x1.1fc3b62bd276dp-23, -0x1.25e6766cefaeep-23, -0x1.2bf33e0c98c02p-23, -0x1.31e9d0509abd6p-23, -0x1.37c9f35e5c4f9p-23, -0x1.3d9370370cf4cp-23, -0x1.434612b1c4aacp-23, -0x1.48e1a9523556ep-23, -0x1.4e660547db3f2p-23, -0x1.53d2fa7975c2fp-23, -0x1.59285f93f3ad6p-23, -0x1.5e660dbdc42ebp-23, -0x1.638be0b4fde6ap-23, -0x1.6899b6ccf0504p-23, -0x1.6d8f70d2c69bdp-23, -0x1.726cf209e9a76p-23, -0x1.7732202137713p-23, -0x1.7bdee332c7239p-23, -0x1.807325ad6bda9p-23, -0x1.84eed447bd262p-23, -0x1.8951de081eedbp-23, -0x1.8d9c3430a5dfdp-23, -0x1.91cdca38f3c8ep-23, -0x1.95e695bfee817p-23, -0x1.99e68e84f904p-23, -0x1.9dcdae62626a3p-23, -0x1.a19bf12b3c529p-23, -0x1.a55154c0e5887p-23, -0x1.a8edd90d1db0ep-23, -0x1.ac717fd7c2476p-23, -0x1.afdc4cd27cd4dp-23, -0x1.b32e458d545c8p-23, -0x1.b667716b53ff4p-23, -0x1.b987d998d198p-23, -0x1.bc8f89024e605p-23, -0x1.bf7e8c4bf8fd7p-23, -0x1.c254f1c409884p-23, -0x1.c512c95bf6f26p-23, -0x1.c7b824a0a3b53p-23, -0x1.ca4516b1c082ap-23, -0x1.ccb9b43665ff3p-23, -0x1.cf16135888c44p-23, -0x1.d15a4bbc98053p-23, -0x1.d386766e32719p-23, -0x1.d59aaddc907b5p-23, -0x1.d7970dd66707cp-23, -0x1.d97bb3825c0fdp-23, -0x1.db48bc874826ap-23, -0x1.dcfe485e56e62p-23, -0x1.de9c7a0a9b73ap-23, -0x1.e02373f10793p-23, -0x1.e1935613bbac2p-23, -0x1.e2ec46060bd8ap-23, -0x1.e42e699d2e0ddp-23, -0x1.e559e74ad9a8dp-23, -0x1.e66ee686c39f1p-23, -0x1.e76d8fca2e2c4p-23, -0x1.e8560c88b161ap-23, -0x1.e928872438133p-23, -0x1.e9e52ae4f7082p-23, -0x1.ea8c23f24623bp-23, -0x1.eb1d9f4b22db5p-23, -0x1.eb99cabc210c4p-23, -0x1.ec00d4d9c7867p-23, -0x1.ec52ecf7e4e7cp-23, -0x1.ec9043223b934p-23, -0x1.ecb90817eaa2ap-23, -0x1.eccd6d4344ce1p-23, -0x1.eccda4b202a3fp-23, -0x1.ecb9e110bfc4ep-23, -0x1.ec9255a34e4f5p-23, -0x1.ec5736424673ep-23, -0x1.ec08b756e839dp-23, -0x1.eba70dd747f96p-23, -0x1.eb326f46742cep-23, -0x1.eaab11a107463p-23, -0x1.ea112bd645e4ep-23, -0x1.e964f44005cccp-23, -0x1.e8a6a31d9e4e8p-23, -0x1.e7d6700cd1c03p-23, -0x1.e6f4932d8ad25p-23, -0x1.e601449a27cf6p-23, -0x1.e4fcbc5175485p-23, -0x1.e3e73238a5ad5p-23, -0x1.e2c0de43fca55p-23, -0x1.e189f8b6f1949p-23, -0x1.e042ba59659bbp-23, -0x1.deeb5c92f95dfp-23, -0x1.dd841956063e4p-23, -0x1.dc0d2af35d4ep-23, -0x1.da86cbe7ebcb6p-23, -0x1.d8f136bd26d7fp-23, -0x1.d74ca5f85ee53p-23, -0x1.d5995414dbaf3p-23, -0x1.d3d77b86c48fep-23, -0x1.d20756bfb4c98p-23, -0x1.d029202ef866ap-23, }}, 
      {{0x1.b6f01b20282a7p-7, 0x1.afa379f48428ap-6, 0x1.3af0864fb4de7p-5, 0x1.944ef14f751cdp-5, 0x1.e1be73da4e206p-5, 0x1.10d65cfedcdf5p-4, 0x1.298ceeb7e94cfp-4, 0x1.3ac42ff0d3d27p-4, 0x1.4475175f460bdp-4, 0x1.46c673937d885p-4, 0x1.420360a322d4ep-4, 0x1.369291f39684dp-4, 0x1.24ee8e29dfd9ap-4, 0x1.0d9f3012ea5fbp-4, 0x1.e2682b2fada69p-5, 0x1.a080768e685f1p-5, 0x1.56acff0cf12cp-5, 0x1.060dc007d552bp-5, 0x1.5f71aef370eb8p-6, 0x1.52ddfe1beaf94p-7, -0x1.3f82986448bb4p-10, -0x1.ade0662b9a7f8p-7, -0x1.9dc7d081323e5p-6, -0x1.33783b44d2496p-5, -0x1.987f046efcb42p-5, -0x1.fd52f9949fdbdp-5, -0x1.30af76c7eae69p-4, -0x1.620e83fcc36c9p-4, -0x1.928af4ca42149p-4, -0x1.c1efe39ed2ba9p-4, -0x1.f00ec1a8dfca1p-4, -0x1.0e5f72911abcp-3, -0x1.23ee8dc300b31p-3, -0x1.38a5a0313f5b2p-3, -0x1.4c77ecea381a4p-3, -0x1.5f5add6631a5bp-3, -0x1.7145d5c1aae76p-3, -0x1.82320bd76677dp-3, -0x1.921a612b79126p-3, -0x1.a0fb3f7ee75efp-3, -0x1.aed277ccaaf81p-3, -0x1.bb9f2396c1672p-3, -0x1.c76188306b114p-3, -0x1.d21afbfd3a79dp-3, -0x1.dbcdcd49c0622p-3, -0x1.e47d2ac438d88p-3, -0x1.ec2d0d54efba6p-3, -0x1.f2e223407282bp-3, -0x1.f8a1bc8b09f64p-3, -0x1.fd71b876fe4c5p-3, -0x1.00ac3a0a8e702p-2, -0x1.022e5ceb17183p-2, -0x1.0342d90c14a93p-2, -0x1.03ed6a530643dp-2, -0x1.0431ed875668dp-2, -0x1.041459f430b1fp-2, -0x1.0398bb701d21ap-2, -0x1.02c32ccb2d8b3p-2, -0x1.0197d2a4e5f2p-2, -0x1.001ad6a067ac5p-2, -0x1.fca0c5ec1859fp-3, -0x1.f8793cbfa96ecp-3, -0x1.f3c750b8f04a2p-3, -0x1.ee932b8e89ceep-3, -0x1.e8e4db81d6652p-3, -0x1.e2c44dcb7cc64p-3, -0x1.dc39499dd8c7p-3, -0x1.d54b6bb84f419p-3, -0x1.ce0222895c16dp-3, -0x1.c664aabb8777fp-3, -0x1.be7a0c77aedp-3, -0x1.b64918b804185p-3, -0x1.add86797b65dbp-3, -0x1.a52e567d365d3p-3, -0x1.9c5106ccd2e7dp-3, -0x1.93465ddd7c8ffp-3, -0x1.8a1402c4e4fa6p-3, -0x1.80bf60652342ap-3, -0x1.774da3b42b82ep-3, -0x1.6dc3bbc7b78ddp-3, -0x1.64265dcbb1816p-3, -0x1.5a79ffc0e5117p-3, -0x1.50c2df1bb93a1p-3, -0x1.470500a53af7ep-3, -0x1.3d442c1820d07p-3, -0x1.3383f7cad7aefp-3, -0x1.29c7c19047ceap-3, -0x1.2012b06b8e9fbp-3, -0x1.1667bf4b88aecp-3, -0x1.0cc9b2c73842ep-3, -0x1.033b206ff42d7p-3, -0x1.f37cea625549ep-4, -0x1.e0abda02ddc2cp-4, -0x1.ce073671a2991p-4, -0x1.bb92db04f3274p-4, -0x1.a9524f04e6b1cp-4, -0x1.9748d1d46339ep-4, -0x1.85795e662d69cp-4, -0x1.73e6a90cd3566p-4, -0x1.62932650b10bp-4, -0x1.51810dd70ab1fp-4, -0x1.40b25b7563e57p-4, -0x1.3028d2bbdbf43p-4, -0x1.1fe6016a74847p-4, -0x1.0feb417077764p-4, -0x1.0039bb3065cedp-4, -0x1.e1a4cf3b4483bp-5, -0x1.c36c248f3aa4cp-5, -0x1.a5cab68e2e15ep-5, -0x1.88c1726094671p-5, -0x1.6c50f60b8ff5p-5, -0x1.507994144f61ep-5, -0x1.353b572e5b448p-5, -0x1.1a9605fbf479dp-5, -0x1.0089269b40a2ep-5, -0x1.ce2804684a4c6p-6, -0x1.9c6b515216c09p-6, -0x1.6bd9e855e1243p-6, -0x1.3c71197b2e253p-6, -0x1.0e2dd7bc5d5edp-6, -0x1.c219808c8c728p-7, -0x1.6a1442e1eca31p-7, -0x1.1444038c33f4bp-7, -0x1.81409c3b292c7p-8, -0x1.bc80e85e08b41p-9, -0x1.fba77d5b1d6c9p-11, 0x1.6cd514fb6a0f3p-10, 0x1.e3a43503a2566p-9, 0x1.847605265be5ep-8, 0x1.099af4b2021b1p-7, 0x1.4f1382af3e5a3p-7, 0x1.92af6ea40ba55p-7, 0x1.d479948f4bc41p-7, 0x1.0a3e70d2abd38p-6, 0x1.296226031be2bp-6, 0x1.47ad658b434bep-6, 0x1.6525a83bea533p-6, 0x1.81d060b74e14ap-6, 0x1.9db2f84d4de6dp-6, 0x1.b8d2cc1a7a29p-6, 0x1.d3352a73d776bp-6, 0x1.ecdf50771b15dp-6, 0x1.02eb33e29bfbp-5, 0x1.0f0fc2407f408p-5, 0x1.1adfd1c1a1a95p-5, 0x1.265dd45a88237p-5, 0x1.318c2eb6db369p-5, 0x1.3c6d37aecb39dp-5, 0x1.470337aacafe1p-5, 0x1.5150684088686p-5, 0x1.5b56f3a3abc6cp-5, 0x1.6518f45b45d37p-5, 0x1.6e98750bd2ef5p-5, 0x1.77d7704256c77p-5, 0x1.80d7d03e690ecp-5, 0x1.899b6ee3afe98p-5, 0x1.922415bb28329p-5, 0x1.9a737de1da3b6p-5, 0x1.a28b501736365p-5, 0x1.aa6d24d2b0409p-5, 0x1.b21a8495302dep-5, 0x1.b994e7b9cd46cp-5, 0x1.c0ddb6ccd88bbp-5, 0x1.c7f64af80ff4cp-5, 0x1.cedfee00d8eb1p-5, 0x1.d59bda9255b71p-5, 0x1.dc2b3ca3b89ecp-5, 0x1.e28f31cc616f8p-5, 0x1.e8c8c97be6838p-5, 0x1.eed905571334bp-5, 0x1.f4c0d9b370fbfp-5, 0x1.fa812defdd874p-5, 0x1.000d6e5e5f10dp-4, 0x1.02c75a47b15ebp-4, 0x1.056ebc133eda8p-4, 0x1.0803ef73f1e0ep-4, 0x1.0a874a99e891cp-4, 0x1.0cf91e70396p-4, 0x1.0f59b6e07a345p-4, 0x1.11a95b03e7104p-4, 0x1.13e84d4f25a35p-4, 0x1.1616cbcf54d47p-4, 0x1.1835106cd09f8p-4, 0x1.1a43511d5e7d2p-4, 0x1.1c41c00eb47c9p-4, 0x1.1e308bdf1398ap-4, 0x1.200fdfddd9dcfp-4, 0x1.21dfe43e7a58dp-4, 0x1.23a0be3fd992ep-4, 0x1.2552905cbba13p-4, 0x1.26f57a87921cap-4, 0x1.28899a5e7caa1p-4, 0x1.2a0f0b505de59p-4, 0x1.2b85e6c323499p-4, 0x1.2cee444692bc5p-4, 0x1.2e4839c80b697p-4, 0x1.2f93dbb891521p-4, 0x1.30d13d2a899d3p-4, 0x1.32006ff6e9328p-4, 0x1.332184eb3a91p-4, 0x1.34348bf2a0796p-4, 0x1.353994323942dp-4, 0x1.3630ac21c5e05p-4, 0x1.3719e1abbf247p-4, 0x1.37f54252d0e28p-4, 0x1.38c2db51f71cbp-4, 0x1.3982b9b304621p-4, 0x1.3a34ea6223865p-4, 0x1.3ad97a45a590ap-4, 0x1.3b70765981f35p-4, 0x1.3bf9ebc88019bp-4, 0x1.3c75e7ff823cdp-4, 0x1.3ce478bcaf74ap-4, 0x1.3d45ac1e2c245p-4, 0x1.3d9990b27d5c7p-4, 0x1.3de0358a6ff8ep-4, 0x1.3e19aa4a8769fp-4, 0x1.3e45ff38dba1bp-4, 0x1.3e654545833dep-4, 0x1.3e778e0fa81eep-4, 0x1.3e7cebecde6d4p-4, 0x1.3e7571f6423ecp-4, 0x1.3e613417c85bap-4, 0x1.3e4047197e811p-4, 0x1.3e12c09ea5736p-4, 0x1.3dd8b7200f22ap-4, 0x1.3d9241ec77824p-4, 0x1.3d3f793543b56p-4, 0x1.3ce0761ece0bap-4, 0x1.3c7552c40d8e8p-4, 0x1.3bfe2a2bcf331p-4, 0x1.3b7b183b0ac3ap-4, 0x1.3aec39b0c32b1p-4, 0x1.3a51ac3104538p-4, 0x1.39ab8e54b42a9p-4, 0x1.38f9ffad65d02p-4, 0x1.383d20b6ae88ap-4, 0x1.377512bf8dc7dp-4, 0x1.36a1f7de39856p-4, 0x1.35c3f2f73539ap-4, 0x1.34db27ce8ad14p-4, 0x1.33e7bb1012025p-4, 0x1.32e9d242f0ce7p-4, 0x1.31e193ae5cbc9p-4, 0x1.30cf26427bc81p-4, 0x1.2fb2b194d492dp-4, 0x1.2e8c5deee1e03p-4, 0x1.2d5c545dc1781p-4, 0x1.2c22beb0d93c4p-4, 0x1.2adfc7631af55p-4, 0x1.2993997bb2af4p-4, 0x1.283e6079bc747p-4, 0x1.26e0485590f8ep-4, 0x1.25797d914bfecp-4, 0x1.240a2d4615c97p-4, 0x1.2292851eb068p-4, 0x1.2112b33dfcb3bp-4, 0x1.1f8ae61efd531p-4, 0x1.1dfb4c805f997p-4, 0x1.1c641564d8f08p-4, 0x1.1ac57022576c5p-4, 0x1.191f8c6fa49c5p-4, 0x1.17729a61b7194p-4, 0x1.15beca55c3cbdp-4, 0x1.14044cd23e9e9p-4, 0x1.1243526ed1182p-4, 0x1.107c0bce39d6fp-4, 0x1.0eaea9a8bc4a9p-4, 0x1.0cdb5cdafdb72p-4, 0x1.0b02566aea4d3p-4, 0x1.0923c77b4905ap-4, 0x1.073fe131f2dep-4, 0x1.0556d49cb7c93p-4, 0x1.0368d2a161553p-4, 0x1.01760bfe07fe1p-4, 0x1.fefd62a99d087p-5, 0x1.fb05e66f1adbdp-5, 0x1.f706045186521p-5, 0x1.f2fe1d1c021edp-5, 0x1.eeee91317cdf6p-5, 0x1.ead7c05f29edep-5, 0x1.e6ba09c2bc4f7p-5, 0x1.e295cbcb4ab2bp-5, 0x1.de6b644cbcbfbp-5, 0x1.da3b309404791p-5, 0x1.d6058d6b61a75p-5, 0x1.d1cad70795543p-5, 0x1.cd8b68e3ea64cp-5, 0x1.c9479d9b73f53p-5, 0x1.c4ffcecebc985p-5, 0x1.c0b4551dd3902p-5, 0x1.bc6588341ce67p-5, 0x1.b813beda620f5p-5, 0x1.b3bf4f01a940cp-5, 0x1.af688dbdf946ap-5, 0x1.ab0fcf30d9f88p-5, 0x1.a6b5666b6132dp-5, 0x1.a259a55327426p-5, 0x1.9dfcdc9372d97p-5, 0x1.999f5b9da78a4p-5, 0x1.954170b52afc9p-5, 0x1.90e368fd8478fp-5, 0x1.8c859081ca461p-5, 0x1.882832302b92fp-5, 0x1.83cb97ca2d857p-5, 0x1.7f7009cf5a7bap-5, 0x1.7b15cf6a0bf98p-5, 0x1.76bd2e64d5768p-5, 0x1.72666b2ab7bc7p-5, 0x1.6e11c8cfe4f62p-5, 0x1.69bf891d6f01ap-5, 0x1.656fec99baeccp-5, 0x1.612332897b786p-5, 0x1.5cd998e861fdbp-5, 0x1.58935c5c3eb5ap-5, 0x1.5450b827532c8p-5, 0x1.5011e61eac50bp-5, 0x1.4bd71ea767558p-5, 0x1.47a098bb0114fp-5, 0x1.436e89f034282p-5, 0x1.3f412684c2083p-5, 0x1.3b18a1648387fp-5, 0x1.36f52c2b7c76ep-5, 0x1.32d6f722a55eep-5, 0x1.2ebe31390218p-5, 0x1.2aab07fbc975fp-5, 0x1.269da79076b8fp-5, 0x1.22963ab2ce8c1p-5, 0x1.1e94eab767d23p-5, 0x1.1a99df9214ffdp-5, 0x1.16a53fdead16ep-5, 0x1.12b730ea5e8fap-5, 0x1.0ecfd6bbb6d0ep-5, 0x1.0aef5417f757ap-5, 0x1.0715ca84dca5dp-5, 0x1.03435a46eee64p-5, 0x1.fef044ba353bcp-6, 0x1.f76880f5f41d6p-6, 0x1.efefa207050d3p-6, 0x1.e885de0c554ccp-6, 0x1.e12b6880a339fp-6, 0x1.d9e072490768cp-6, 0x1.d2a529cf77b3cp-6, 0x1.cb79bb26962bep-6, 0x1.c45e5030cbc0bp-6, 0x1.bd5310c21903ep-6, 0x1.b65822b28e3c7p-6, 0x1.af6da9db411fap-6, 0x1.a893c806253e9p-6, 0x1.a1ca9cba5d4b4p-6, 0x1.9b124515715cap-6, 0x1.946adb9ab454cp-6, 0x1.8dd478239af85p-6, 0x1.874f2ff4a15d9p-6, 0x1.80db15f9eef85p-6, 0x1.7a783b262630bp-6, 0x1.7426aee0f41a4p-6, 0x1.6de67f6b3a1ebp-6, 0x1.67b7ba1ced4aep-6, 0x1.619a6b66dfb47p-6, 0x1.5b8e9e8faf34ap-6, 0x1.55945d34eba39p-6, 0x1.4fabaeabccdcep-6, 0x1.49d4976a6f99ep-6, 0x1.440f18a70863cp-6, 0x1.3e5b30532e284p-6, 0x1.38b8d985e2f86p-6, 0x1.33280d4c3c3dcp-6, 0x1.2da8c3bb95a9fp-6, 0x1.283af5095ef6cp-6, 0x1.22de9a6255382p-6, 0x1.1d93ae420b15p-6, 0x1.185a2c23be94cp-6, 0x1.13320f8b78d73p-6, 0x1.0e1b529146ce5p-6, 0x1.0915ec3e44043p-6, 0x1.0421cf2135041p-6, 0x1.fe7dd0fe9a1e9p-7, 0x1.f4da40d61c66fp-7, 0x1.eb58b5b58d5dp-7, 0x1.e1f8f3388cc37p-7, 0x1.d8babd927e5abp-7, 0x1.cf9dde6c41fd8p-7, 0x1.c6a2288f51094p-7, 0x1.bdc779602f3dp-7, 0x1.b50db794b4d2fp-7, 0x1.ac74cf2b950ddp-7, 0x1.a3fcab5112495p-7, 0x1.9ba52f69efeb6p-7, 0x1.936e30cde8302p-7, 0x1.8b5772b4afd08p-7, 0x1.8360a5785404ep-7, 0x1.7b8969a4fcebdp-7, 0x1.73d1567d0a7c4p-7, 0x1.6c3802ccfa56p-7, 0x1.64bd0e53494a5p-7, 0x1.5d6029bf9bfd3p-7, 0x1.56211b75bc599p-7, 0x1.4effbfd2b715ep-7, 0x1.47fc0493f24bap-7, 0x1.4115e008513a7p-7, 0x1.3a4d45a86c71dp-7, 0x1.33a21a5cd205p-7, 0x1.2d142ae9fc659p-7, 0x1.26a326a01e1e3p-7, 0x1.204e9f9910beap-7, 0x1.1a1610b023a0cp-7, 0x1.13f8e83616483p-7, 0x1.0df6956e9a16ap-7, 0x1.080e965069b31p-7, 0x1.024082e60f995p-7, 0x1.f91828178eec7p-8, 0x1.ede24825b0f07p-8, 0x1.e2df51db9afbdp-8, 0x1.d80f51936ad2cp-8, 0x1.cd7256462ec26p-8, 0x1.c308526989cd8p-8, 0x1.b8d101b102bdbp-8, 0x1.aecbd8efce222p-8, 0x1.a4f80331173b1p-8, 0x1.9b546c52695a4p-8, 0x1.91dfd6c100f2cp-8, 0x1.8898f80f6e155p-8, 0x1.7f7e97334eeb7p-8, 0x1.768fa74d26b69p-8, 0x1.6dcb5aaaa5cedp-8, 0x1.65312b0664728p-8, 0x1.5cc0d5b90fe7cp-8, 0x1.547a4c7cc3623p-8, 0x1.4c5d9d59dbc71p-8, 0x1.446ad6091c52p-8, 0x1.3ca1e816c594ep-8, 0x1.350292f31793cp-8, 0x1.2d8c57fea6b74p-8, 0x1.263e7abfbd206p-8, 0x1.1f180c0746491p-8, 0x1.1817fc6f2fddap-8, 0x1.113d32b37e838p-8, 0x1.0a86a202dd799p-8, 0x1.03f35be8a526dp-8, 0x1.fb0535429b55ap-9, 0x1.ee678683e0ebcp-9, 0x1.e20cc1c6568f1p-9, 0x1.d5f436501a735p-9, 0x1.ca1d563cdd17ap-9, 0x1.be87a1b670c68p-9, 0x1.b3329565fd01cp-9, 0x1.a81d9b9b2d0e2p-9, 0x1.9d47ff73954d2p-9, 0x1.92b0e2d587ddcp-9, 0x1.88573a188ecd7p-9, 0x1.7e39d12deefa3p-9, 0x1.74575c96ffe5p-9, 0x1.6aae93c0a8753p-9, 0x1.613e4bf6a67adp-9, 0x1.580586efb4e31p-9, 0x1.4f036a539e283p-9, 0x1.46371f95e9897p-9, 0x1.3d9fa8d9b9226p-9, 0x1.353bc0aaf9682p-9, 0x1.2d09d8b169889p-9, 0x1.25083e306bfc8p-9, 0x1.1d355822ce4e2p-9, 0x1.158fe3f3fd213p-9, 0x1.0e1713d3a4419p-9, 0x1.06ca7efba3d8cp-9, 0x1.ff53d782a79a6p-10, 0x1.f16a2227d7edap-10, 0x1.e3d6e704aa8bfp-10, 0x1.d698e415244f5p-10, 0x1.c9aef03482261p-10, 0x1.bd186019a3be4p-10, 0x1.b0d51cac0a0ebp-10, 0x1.a4e546ff7a39ap-10, 0x1.994886dc540b8p-10, 0x1.8dfd50622468ep-10, 0x1.8300771587d1p-10, 0x1.784d4a7a90c4p-10, 0x1.6dde4807ba7e5p-10, 0x1.63ae357aa5421p-10, 0x1.59b94209d0e35p-10, 0x1.4ffdb32288e11p-10, 0x1.467bc0a55d495p-10, 0x1.3d34a655cf86ep-10, 0x1.34296847c79b5p-10, 0x1.2b59ffffefe03p-10, 0x1.22c565c592966p-10, 0x1.1a6a54428602p-10, 0x1.12482dedebddap-10, 0x1.0a5f6746dbaaap-10, 0x1.02b13640dd0d9p-10, 0x1.f67d72ff284b1p-11, 0x1.e8101b27544edp-11, 0x1.da177501ddcacp-11, 0x1.cc8d3847b993bp-11, 0x1.bf685a1dec60dp-11, 0x1.b29e400d1ba8ap-11, 0x1.a6249caaec7d2p-11, 0x1.99f3c13b02c7p-11, 0x1.8e0879fc886abp-11, 0x1.8264316e57015p-11, 0x1.770ade60ff3b3p-11, 0x1.6bffd8f8444d8p-11, 0x1.6143aab14caap-11, 0x1.56d4267bec137p-11, 0x1.4cae465d11101p-11, 0x1.42d03e938825ap-11, 0x1.393a81bbdc729p-11, 0x1.2fef3884db812p-11, 0x1.26f080b884603p-11, 0x1.1e3ea56dc58a1p-11, 0x1.15d796dfb0036p-11, 0x1.0db7b8e234da2p-11, 0x1.05daecd1117fdp-11, 0x1.fc79ad6c87806p-12, 0x1.edb0f28e2fe9ap-12, 0x1.df50465f42d3ap-12, 0x1.d14cd30323e19p-12, 0x1.c39f94da12f2p-12, 0x1.b64765cf3fb52p-12, 0x1.a947d1b3c94d9p-12, 0x1.9ca550517056p-12, 0x1.9061caa407711p-12, 0x1.847ba3c071b22p-12, 0x1.78ef08df4002ep-12, 0x1.6db8919554539p-12, 0x1.62d7f24d30246p-12, 0x1.584fec102c824p-12, 0x1.4e2281749a4f7p-12, 0x1.444d8239ac367p-12, 0x1.3acb1dfe14a01p-12, 0x1.3195034ed8216p-12, 0x1.28a6ce0a5ebaap-12, 0x1.1ffea3aacc9d4p-12, 0x1.179c6325aa9b1p-12, 0x1.0f7ff3bae4723p-12, 0x1.07a77ec425c26p-12, 0x1.000e908acc2ddp-12, 0x1.f15cf11f16278p-13, 0x1.e2fff36552637p-13, 0x1.d4fcdf0de77ecp-13, 0x1.c754ff5751a07p-13, 0x1.ba11b23cb8dcfp-13, 0x1.ad39dcf9d4526p-13, 0x1.a0c9c58568303p-13, 0x1.94b8a4ab4e864p-13, 0x1.89056e6d737d2p-13, 0x1.7db6646de15fep-13, 0x1.72cc6fbf59b3dp-13, 0x1.683ed0d39c596p-13, 0x1.5e024000db0f3p-13, 0x1.540f2fd65efbfp-13, 0x1.4a622a2c48ae1p-13, 0x1.40f9be754df4ap-13, 0x1.37d594c45c69fp-13, 0x1.2ef717aa9ba61p-13, 0x1.2661d52c4f129p-13, 0x1.1e19cb795b732p-13, 0x1.16200d1a022fp-13, 0x1.0e6f321169c2ep-13, 0x1.06f8ebaea0d35p-13, 0x1.ff560eb1eb44dp-14, 0x1.f0feb02ef173dp-14, 0x1.e3050e1a4d39p-14, 0x1.d5828175a0e34p-14, 0x1.c86c526f4e941p-14, 0x1.bbad0255ab7afp-14, 0x1.af4ae958ed91cp-14, 0x1.a355951ea0f5ep-14, 0x1.97c738f932409p-14, 0x1.8c8d6b9cb1e36p-14, 0x1.819b4ffc7cb19p-14, 0x1.76ecbf195cd35p-14, 0x1.6c81b04e8602fp-14, 0x1.625a501d690ffp-14, 0x1.58755f1684884p-14, 0x1.4ed0798dc579p-14, 0x1.456a0473d5d21p-14, 0x1.3c43885756045p-14, 0x1.3361c829bff6dp-14, 0x1.2ac964c5a386fp-14, 0x1.227b5494b2ef5p-14, 0x1.1a715cb34684dp-14, 0x1.1297249eb3a7ap-14, 0x1.0ad6b1fae98a8p-14, 0x1.0339e1c1bd12cp-14, 0x1.f7ae2fca68be2p-15, 0x1.e947278fb1d91p-15, 0x1.db20003473c13p-15, 0x1.cd55ce066e927p-15, 0x1.bffb3ce3af78cp-15, 0x1.b2fa099b28a53p-15, 0x1.a63c94096b697p-15, 0x1.99bcd97ece29fp-15, 0x1.8d7bd1bf7003bp-15, 0x1.817ab24de784dp-15, 0x1.75b95a26ddb99p-15, 0x1.6a36a6a92f5adp-15, 0x1.5ef0c809e59dfp-15, 0x1.53e5442f3594ap-15, 0x1.491149154cae2p-15, 0x1.3e72e35333489p-15, 0x1.340a55ab0f17dp-15, 0x1.29d96b0e8c273p-15, 0x1.1fe0b6edbaab6p-15, 0x1.16211cb23114ep-15, 0x1.0c9e72c37f068p-15, 0x1.034ceaf5dda77p-15, 0x1.f42e9073dfeafp-16, 0x1.e21433b791b7ep-16, 0x1.d044d56cd7dd8p-16, 0x1.bea407d3878b3p-16, 0x1.ad66d46cf4a06p-16, 0x1.9c96101e0bd7ap-16, 0x1.8c0d063ad4baap-16, 0x1.7bbd1fdc6976dp-16, 0x1.6ba8b173e076dp-16, 0x1.5bd35f51fd112p-16, 0x1.4c3e3438e2114p-16, 0x1.3ce8491027caap-16, 0x1.2dcfe756f23a5p-16, 0x1.1ef3561df920bp-16, 0x1.10513c4f7d795p-16, 0x1.01e88b89ca98bp-16, 0x1.e7701746f5881p-17, 0x1.cb7be57c4b295p-17, 0x1.aff031eb5c599p-17, 0x1.94c9d05086f12p-17, 0x1.7a07609e80052p-17, 0x1.5fa531bd74233p-17, 0x1.45a2b03c15068p-17, 0x1.2c1ee31a34fcap-17, 0x1.1327c7110829ep-17, 0x1.f4f55b5853a57p-18, 0x1.c4130932cc802p-18, 0x1.9395c3b815d53p-18, 0x1.63fb571c15eafp-18, 0x1.3558d80d454fdp-18, 0x1.075424f93a1afp-18, 0x1.b3bb0d0ee8134p-19, 0x1.5a048c348d01ep-19, 0x1.0195475404edep-19, 0x1.54e2789cd1f76p-20, 0x1.52599bfd0500fp-21, 0x1.b2f5b7eb11a7dp-37, -0x1.4d56a265beac5p-21, -0x1.4ae0b5ff5c7e9p-20, -0x1.eca5c37abd02p-20, -0x1.45feab70c1fb3p-19, -0x1.9473c428f1d16p-19, -0x1.e1b29414a1bd4p-19, -0x1.16df24102df76p-18, -0x1.3c4ed5a6a0f2ep-18, -0x1.612c0ddb3d06fp-18, -0x1.857833b270895p-18, -0x1.a9340cc0b1843p-18, -0x1.cc6476225752bp-18, -0x1.eefc534c8d128p-18, -0x1.08641371189bcp-17, -0x1.18fc965a9dd4ep-17, -0x1.296c80d4f3eeap-17, -0x1.399bc6d93a436p-17, -0x1.4968cc3eda697p-17, -0x1.58ede3f51a7b4p-17, -0x1.6832ebfc059d5p-17, -0x1.773349e38d71cp-17, -0x1.85ec84435094bp-17, -0x1.945e0c1f04e9bp-17, -0x1.a287f5d828bdp-17, -0x1.b06a802c7d936p-17, -0x1.be05f6ba224f1p-17, -0x1.cb5aab5494cacp-17, -0x1.d868f07f19679p-17, -0x1.e53110e108b29p-17, -0x1.f1b34360138c5p-17, -0x1.fdef9e063931dp-17, -0x1.04f309f59e0cbp-16, -0x1.0acb49b78d8f2p-16, -0x1.1080a23228fa6p-16, -0x1.16135b0198dd1p-16, -0x1.1b83e053fa921p-16, -0x1.20d2819c7e1fdp-16, -0x1.25ff22ececf68p-16, -0x1.2b09914702f25p-16, -0x1.2ff2a884083c8p-16, -0x1.34b9b8e7dec87p-16, -0x1.3958556cc101p-16, -0x1.3dd9ca42b6439p-16, -0x1.423d0d037fb0ep-16, -0x1.4678b2a51089ep-16, -0x1.4a9493d6d69e6p-16, -0x1.4e90cb357b95dp-16, -0x1.526c281f1ce8p-16, -0x1.5626755177722p-16, -0x1.59bfd28509a8ep-16, -0x1.5d386dcb0fe6fp-16, -0x1.6090753769b51p-16, -0x1.63c8165685373p-16, -0x1.66df7fbebcfadp-16, -0x1.69d6e1f524b31p-16, -0x1.6cae6f4344558p-16, -0x1.6f665af0bdd6p-16, -0x1.71fed820f89fdp-16, -0x1.747817ebddf6cp-16, -0x1.76d247029c2c6p-16, -0x1.790d8e15dabcep-16, -0x1.7b2a190410f0bp-16, -0x1.7d2821aba8ac8p-16, -0x1.7f07f3e874917p-16, -0x1.80c9e65f47134p-16, -0x1.826e451fb7a81p-16, -0x1.83f526bc544adp-16, -0x1.855e7344f3de4p-16, -0x1.86aaad23cdf2ep-16, -0x1.87db349d7367p-16, -0x1.88edd26fc59adp-16, -0x1.89e49b3ff6574p-16, -0x1.8abe2e8657547p-16, -0x1.8b7beae07fc5cp-16, -0x1.8c1f41a9becb9p-16, -0x1.8ca7809e0a6a1p-16, -0x1.8d14b5677759ap-16, -0x1.8d672a3326bedp-16, -0x1.8d9f2eb896d7ap-16, -0x1.8dbd10e100413p-16, -0x1.8dc11d3fea003p-16, -0x1.8daba01bef33p-16, -0x1.8d7ce6396d95p-16, -0x1.8d353d532cfaep-16, -0x1.8cd4f43436366p-16, -0x1.8c5c5a89624d8p-16, -0x1.8bcbc0ab4bd17p-16, -0x1.8b2377692d476p-16, -0x1.8a63cf9104df3p-16, -0x1.898d191c75a72p-16, -0x1.889fa2c995caap-16, -0x1.879bbbb813441p-16, -0x1.8681b6a7ac07cp-16, -0x1.8551eb6c6c055p-16, -0x1.840cb595e234ap-16, -0x1.82b271e87c833p-16, -0x1.8143743255a7dp-16, -0x1.7fbff3f2d80c2p-16, -0x1.7e2826091672dp-16, -0x1.7c7ca39cd3c29p-16, -0x1.7abe7f7527298p-16, -0x1.78ecf4eabf922p-16, -0x1.77077e111a41bp-16, -0x1.750fcd9d5b1f5p-16, -0x1.7306a70ed1533p-16, -0x1.70ebca9cd655dp-16, -0x1.6ebf79ef856d1p-16, -0x1.6c8211268f609p-16, -0x1.6a33eba08cbd2p-16, -0x1.67d562bfddc02p-16, -0x1.6566cecbdcbdfp-16, -0x1.62e88774cfd99p-16, -0x1.605ae4157511bp-16, -0x1.5dbe3bdbb8aa2p-16, -0x1.5b12e5e4f5974p-16, -0x1.585939456de6bp-16, -0x1.55918cf7146cep-16, -0x1.52bc37c4c6eb6p-16, -0x1.4fd9903e06317p-16, -0x1.4ce9ecaabecf5p-16, -0x1.49eda2e9c9832p-16, -0x1.46e508263d9f6p-16, -0x1.43d070b02c49bp-16, -0x1.40b0307e7452cp-16, -0x1.3d849c20e398ep-16, -0x1.3a4e08ef2af53p-16, -0x1.370ccc82782c3p-16, -0x1.33c13c8eb0b76p-16, -0x1.306bad1dcd3bbp-16, -0x1.2d0c697d08b22p-16, -0x1.29a3b5b5f0c26p-16, -0x1.2631e7c4e2d8bp-16, -0x1.22b78e06cac78p-16, -0x1.1f352b5e31dcbp-16, -0x1.1ba9d174cf7d4p-16, -0x1.1816c678f8dc9p-16, -0x1.147c88c73f629p-16, -0x1.10db19b592a01p-16, -0x1.0d32c1ed32eb5p-16, -0x1.0983d14fb6006p-16, -0x1.05ce95c6ac657p-16, -0x1.02135baeae5c9p-16, -0x1.fca4dcb000be9p-17, -0x1.f518307590b8dp-17, -0x1.ed814613af20cp-17, -0x1.e5e0af70aa149p-17, -0x1.de36fcfec1f7ep-17, -0x1.d684bdc7d6672p-17, -0x1.ceca7f709fffp-17, -0x1.c708ce2e8b67dp-17, -0x1.bf4034b8709b6p-17, -0x1.b7713c3c66bb9p-17, -0x1.af9c6c5f9e9a2p-17, -0x1.a7c24b3991186p-17, -0x1.9fe35d3ac9acdp-17, -0x1.980024fd9e26fp-17, -0x1.90192337bf925p-17, -0x1.882ed72153781p-17, -0x1.8041bef0aef27p-17, -0x1.785257b47dcfep-17, -0x1.70611cfaac582p-17, -0x1.686e8904d4bf2p-17, -0x1.607b143e1c28dp-17, -0x1.58873105191adp-17, -0x1.50934b463f577p-17, -0x1.489fd5576a991p-17, -0x1.40ad5553bc36dp-17, -0x1.38bc8a8ff3dd4p-17, -0x1.30ccfe962a441p-17, -0x1.28dfa05bfac8dp-17, -0x1.20f51785f6abbp-17, -0x1.190d902075dffp-17, -0x1.11296f5400a09p-17, -0x1.09491c2d7235ep-17, -0x1.016cfac5cb0e1p-17, -0x1.f32ad9d3c8722p-18, -0x1.e385a4f49134bp-18, -0x1.d3eb131a526fap-18, -0x1.c45bdcf1191d9p-18, -0x1.b4d8b7b4e4adfp-18, -0x1.a5625531ae396p-18, -0x1.95f963cba3c2ap-18, -0x1.869e8e86bb235p-18, -0x1.77527d0dc74ddp-18, -0x1.6815d3b1f0d5ap-18, -0x1.58e9336a57f86p-18, -0x1.49cd39d293413p-18, -0x1.3ac2812fa0495p-18, -0x1.2bc9a076276f8p-18, -0x1.1ce32b4cbc4d6p-18, -0x1.0e0fb20502f8cp-18, -0x1.fe9f831211cd1p-19, -0x1.e147c6c74865ap-19, -0x1.c4193bffee8fap-19, -0x1.a714e9ad52b38p-19, -0x1.8a3bd08a9befdp-19, -0x1.6d8eeae543ba9p-19, -0x1.510f2d0c83766p-19, -0x1.34bd85479056bp-19, -0x1.189ad8560a972p-19, -0x1.f950002c96754p-20, -0x1.c1cbacfd0dbc2p-20, -0x1.8aaa702769875p-20, -0x1.53ee700c17c3ap-20, -0x1.1d98443469e2ap-20, -0x1.cf52c02649336p-21, -0x1.644888bb935aep-21, -0x1.f42749e769361p-22, -0x1.216da2d8972d3p-22, -0x1.41a61bf5166f6p-24, 0x1.fb7f61a7d8aabp-24, 0x1.4c697b94b0554p-22, 0x1.0c174886e239dp-21, 0x1.71153a2b7289dp-21, 0x1.d52c5683b45f9p-21, 0x1.1c2d3b9572591p-20, 0x1.4d4ec5a9ac266p-20, 0x1.7df9cbbc1c83ep-20, 0x1.ae2d5a920b673p-20, 0x1.dde88959a1cacp-20, 0x1.06953cc508af6p-19, 0x1.1df92b5d65436p-19, 0x1.351fab4cdaadep-19, 0x1.4c085c5f94c75p-19, 0x1.62b2e34786fd5p-19, 0x1.791ee990b6265p-19, 0x1.8f4c1d8e8b577p-19, 0x1.a53a324bf21d3p-19, 0x1.bae8df7e1b786p-19, 0x1.d057e17abb7c8p-19, 0x1.e586f92546d12p-19, 0x1.fa75ebd1b714ep-19, 0x1.07924198d095ep-18, 0x1.11c946a4d5fe8p-18, 0x1.1bdfee400386dp-18, 0x1.25d6239f9b65fp-18, 0x1.2fabd42299405p-18, 0x1.3960ef378f2d7p-18, 0x1.42f5669c38eeep-18, 0x1.4c692dd5aebe8p-18, 0x1.55bc3a18f2e8bp-18, 0x1.5eee817b423fp-18, 0x1.67fffac36c1ddp-18, 0x1.70f0ac819a195p-18, 0x1.79c0877004dd8p-18, 0x1.826f8dff1f52dp-18, 0x1.8afdc13396967p-18, 0x1.936b231eda17bp-18, 0x1.9bb7b79ca36dep-18, 0x1.a3e3843f6cf91p-18, 0x1.abee90410dc5ep-18, 0x1.b3d8e47b6045ep-18, 0x1.bba28b5d35549p-18, 0x1.c34b90e32a34cp-18, 0x1.cad40292fa1a5p-18, }}, 
      {{0x1.7d341b3ddf1aap-7, 0x1.7a02a3ff2a0c5p-6, 0x1.179e7312ba48bp-5, 0x1.6dd0e3b84436p-5, 0x1.be7845f069922p-5, 0x1.04550f5c7ae0bp-4, 0x1.25d87d5d6cbbfp-4, 0x1.4384a72a58357p-4, 0x1.5d2e7e04882a1p-4, 0x1.72bf13abb18fep-4, 0x1.8430e4ac0124ep-4, 0x1.918d2c30edb31p-4, 0x1.9ae95c7b98c6bp-4, 0x1.a064cc638e7a2p-4, 0x1.a226a2e94e51ep-4, 0x1.a05c027e5222p-4, 0x1.9b3672e51e75cp-4, 0x1.92ea84e878751p-4, 0x1.87aeaa39c520bp-4, 0x1.79ba3ce45482ap-4, 0x1.6944b2132ad5ap-4, 0x1.5684f391af779p-4, 0x1.41b0daa03a126p-4, 0x1.2afcc8fd5a72bp-4, 0x1.129b59e2984e8p-4, 0x1.f17a50cde705p-5, 0x1.bb214e2654d6cp-5, 0x1.82840bd071b18p-5, 0x1.47f648360218ap-5, 0x1.0bc71623a6fa3p-5, 0x1.9c81c3f1255cep-6, 0x1.1f53030eac0fdp-6, 0x1.410937cbc8bf3p-7, 0x1.048431a4c8af8p-9, -0x1.805edfa05eb21p-8, -0x1.c21576e812937p-7, -0x1.61e6f0ce0c525p-6, -0x1.e2523e7a363a7p-6, -0x1.30fcd77d5fbcdp-5, -0x1.70488d5b12567p-5, -0x1.aee969ad10175p-5, -0x1.ecbfa81510a4ap-5, -0x1.14d7373f17abfp-4, -0x1.32cdd2aee9765p-4, -0x1.5037e8cb922f3p-4, -0x1.6d0af7a812d4fp-4, -0x1.893da72044666p-4, -0x1.a4c7b7b07728fp-4, -0x1.bfa1f1db9b4a5p-4, -0x1.d9c6164648ac1p-4, -0x1.f32ece72de1c3p-4, -0x1.05ebcf101e4bbp-3, -0x1.11de6a9f91b14p-3, -0x1.1d6dc13be5f31p-3, -0x1.2898b32b58252p-3, -0x1.335e737946394p-3, -0x1.3dbe8215385cap-3, -0x1.47b8a63682db1p-3, -0x1.514ce8fc7aa3bp-3, -0x1.5a7b905104d1ap-3, -0x1.63451a098079bp-3, -0x1.6baa37438c249p-3, -0x1.73abc7fc36676p-3, -0x1.7b4ad6dfd9e0fp-3, -0x1.8288955141408p-3, -0x1.896657a7054a8p-3, -0x1.8fe5919d93c1cp-3, -0x1.9607d2faf54cbp-3, -0x1.9bcec4636affdp-3, -0x1.a13c245d83b56p-3, -0x1.a651c4832e1f1p-3, -0x1.ab1186e1f6ff5p-3, -0x1.af7d5b87f32f8p-3, -0x1.b3973e3b71aa7p-3, -0x1.b76134558f61ap-3, -0x1.badd4ac32d304p-3, -0x1.be0d9428480e7p-3, -0x1.c0f42727b4545p-3, -0x1.c3931cdbeb916p-3, -0x1.c5ec8f65d7e43p-3, -0x1.c80298a3f6cfep-3, -0x1.c9d750fb521f1p-3, -0x1.cb6cce25199c4p-3, -0x1.ccc52233a802p-3, -0x1.cde25a9b8363p-3, -0x1.cec67f669f00ep-3, -0x1.cf73929c6a18ep-3, -0x1.cfeb8f8c38895p-3, -0x1.d0306a404bf7dp-3, -0x1.d0440ef52ea2ep-3, -0x1.d02861745206ap-3, -0x1.cfdf3cad9b8d9p-3, -0x1.cf6a725ac6b22p-3, -0x1.cecbcaaae685ap-3, -0x1.ce0504236f87bp-3, -0x1.cd17d379e0169p-3, -0x1.cc05e36739941p-3, -0x1.cad0d487e00c6p-3, -0x1.c97a3d2e68b6p-3, -0x1.c803a93688fd3p-3, -0x1.c66e99e7a19fap-3, -0x1.c4bc85e3a5bd3p-3, -0x1.c2eed927bd922p-3, -0x1.c106f51f04bbcp-3, -0x1.bf0630c109a23p-3, -0x1.bcedd8b69d9a5p-3, -0x1.babf2f7f1a058p-3, -0x1.b87b6d91e94ddp-3, -0x1.b623c17ac0e3dp-3, -0x1.b3b94ff08b5bcp-3, -0x1.b13d33e9876b9p-3, -0x1.aeb07eafe8365p-3, -0x1.ac1437f9b3103p-3, -0x1.a9695e066a0adp-3, -0x1.a6b0e5c425191p-3, -0x1.a3ebbafbd6f25p-3, -0x1.a11ac083b9568p-3, -0x1.9e3ed07681bcep-3, -0x1.9b58bc6d0303dp-3, -0x1.98694db80bd24p-3, -0x1.95714598f87a9p-3, -0x1.92715d77f321bp-3, -0x1.8f6a4716f2e7fp-3, -0x1.8c5cacc1c073dp-3, -0x1.8949317bb26c3p-3, -0x1.8630712bd2b1p-3, -0x1.831300c849198p-3, -0x1.7ff16e8232639p-3, -0x1.7ccc41f2bad55p-3, -0x1.79a3fc49e8c21p-3, -0x1.7679187f412b6p-3, -0x1.734c0b8465476p-3, -0x1.701d447946684p-3, -0x1.6ced2ce168cefp-3, -0x1.69bc28d99e1ecp-3, -0x1.668a974dd5ce1p-3, -0x1.6358d22e51e66p-3, -0x1.60272ea3a7064p-3, -0x1.5cf5fd411c54ep-3, -0x1.59c58a3539447p-3, -0x1.56961d7861789p-3, -0x1.5367faf9654eap-3, -0x1.503b62c81a623p-3, -0x1.4d10913e434c7p-3, -0x1.49e7bf26e649dp-3, -0x1.46c121e44b113p-3, -0x1.439ceb94e0f3bp-3, -0x1.407b4b371fbdep-3, -0x1.3d5c6cccaf006p-3, -0x1.3a40797cf7cf8p-3, -0x1.372797b6edf6p-3, -0x1.3411eb524480ap-3, -0x1.30ff95b02fefbp-3, -0x1.2df0b5db4ba13p-3, -0x1.2ae568a6be98p-3, -0x1.27ddc8ccc5739p-3, -0x1.24d9ef0c38eb8p-3, -0x1.21d9f244e7779p-3, -0x1.1edde7932ad09p-3, -0x1.1be5e26a80feap-3, -0x1.18f1f4ae8fe79p-3, -0x1.16022ecb166c9p-3, -0x1.13169fcb455cep-3, -0x1.102f556f625b6p-3, -0x1.0d4c5c4126322p-3, -0x1.0a6dbfa769768p-3, -0x1.079389f8f0e13p-3, -0x1.04bdc48db5bd3p-3, -0x1.01ec77cf3103cp-3, -0x1.fe3f5690ae9ap-4, -0x1.f8aecb6959149p-4, -0x1.f3275a1bfc1fbp-4, -0x1.eda90d33001a1p-4, -0x1.e833ede9b49b5p-4, -0x1.e2c80444a95dap-4, -0x1.dd6557279daaap-4, -0x1.d80bec6a9cad7p-4, -0x1.d2bbc8ef37ac1p-4, -0x1.cd74f0b44ed26p-4, -0x1.c83766e769763p-4, -0x1.c3032df561f49p-4, -0x1.bdd8479b643e6p-4, -0x1.b8b6b4f6ba498p-4, -0x1.b39e769255b9fp-4, -0x1.ae8f8c7374d85p-4, -0x1.a989f6268fa91p-4, -0x1.a48db2cbc2d48p-4, -0x1.9f9ac1211cb8cp-4, -0x1.9ab11f8ba6c8fp-4, -0x1.95d0cc20acd95p-4, -0x1.90f9c4aefcdabp-4, -0x1.8c2c06c6bce3bp-4, -0x1.87678fbf93fadp-4, -0x1.82ac5cbe95a72p-4, -0x1.7dfa6abc8cdb2p-4, -0x1.7951b68bab2e9p-4, -0x1.74b23cdbc2f67p-4, -0x1.701bfa3db7efcp-4, -0x1.6b8eeb2729ca3p-4, -0x1.670b0bf62f3cap-4, -0x1.629058f434245p-4, -0x1.5e1ece57d7acdp-4, -0x1.59b6684684cd8p-4, -0x1.555722d671b13p-4, -0x1.5100fa1052102p-4, -0x1.4cb3e9f04b8adp-4, -0x1.486fee665c3a3p-4, -0x1.44350356e2523p-4, -0x1.4003249b50cddp-4, -0x1.3bda4e0288cd7p-4, -0x1.37ba7b508dc45p-4, -0x1.33a3a83e0a803p-4, -0x1.2f95d07824207p-4, -0x1.2b90efa07582dp-4, -0x1.2795014c92b64p-4, -0x1.23a20104f6306p-4, -0x1.1fb7ea43e3484p-4, -0x1.1bd6b874ca2b4p-4, -0x1.17fe66f3ef8d6p-4, -0x1.142ef10da7196p-4, -0x1.106851fcd962bp-4, -0x1.0caa84e967e31p-4, -0x1.08f584e72b40dp-4, -0x1.05494cf56529ap-4, -0x1.01a5d7fe4d725p-4, -0x1.fc1641ab3c611p-5, -0x1.f4f2446d6f5eap-5, -0x1.eddfad861df64p-5, -0x1.e6de7202eb62p-5, -0x1.dfee86bba46ffp-5, -0x1.d90fe050dde7ap-5, -0x1.d2427328d7f75p-5, -0x1.cb86336bb647ap-5, -0x1.c4db1500c42a9p-5, -0x1.be410b8d91abp-5, -0x1.b7b80a75dbf9dp-5, -0x1.b14004da8a792p-5, -0x1.aad8ed96f9f43p-5, -0x1.a482b73d8870cp-5, -0x1.9e3d541526117p-5, -0x1.9808b618b6c18p-5, -0x1.91e4cef789d4fp-5, -0x1.8bd1901540b3cp-5, -0x1.85ceea88213fdp-5, -0x1.7fdccf164fcf8p-5, -0x1.79fb2e33790b9p-5, -0x1.7429f8001c07bp-5, -0x1.6e691c4a4ef0dp-5, -0x1.68b88a8eb719fp-5, -0x1.631831f862fc3p-5, -0x1.5d88015f36a67p-5, -0x1.5807e7461e1edp-5, -0x1.5297d1d98cd1dp-5, -0x1.4d37aef030a94p-5, -0x1.47e76c0c8b97dp-5, -0x1.42a6f65e30f6p-5, -0x1.3d763ac217d74p-5, -0x1.385525c1bae9dp-5, -0x1.3343a391f3bacp-5, -0x1.2e41a012ab8c4p-5, -0x1.294f06cfe87e1p-5, -0x1.246bc303c99dep-5, -0x1.1f97bf98780fp-5, -0x1.1ad2e72930ae7p-5, -0x1.161d240249b48p-5, -0x1.11766020d08a4p-5, -0x1.0cde8532a4e15p-5, -0x1.08557c97ae535p-5, -0x1.03db2f6404128p-5, -0x1.fedf0cc4bdafdp-6, -0x1.f624d42c01167p-6, -0x1.ed87857785a85p-6, -0x1.e506f094ec338p-6, -0x1.dca2e4e698f0ap-6, -0x1.d45b3145d6fb2p-6, -0x1.cc2fa406cacfap-6, -0x1.c4200afd9c86ap-6, -0x1.bc2c3383a2c35p-6, -0x1.b453ea7b7f6bp-6, -0x1.ac96fc53c1c6ap-6, -0x1.a4f53508b58a2p-6, -0x1.9d6e602655bep-6, -0x1.960248cb5bf3ep-6, -0x1.8eb0b9adac821p-6, -0x1.87797d1fb4d0cp-6, -0x1.805c5d15c6d6ap-6, -0x1.7959232aa883dp-6, -0x1.726f98a301f58p-6, -0x1.6b9f866ff7da7p-6, -0x1.64e8b531c8a78p-6, -0x1.5e4aed3b0989ep-6, -0x1.57c5f694ef72fp-6, -0x1.515999046ca89p-6, -0x1.4b059c0f88bd1p-6, -0x1.44c9c7024c28ap-6, -0x1.3ea5e0f2da308p-6, -0x1.3899b0c4c72d7p-6, -0x1.32a4fd2c43e61p-6, -0x1.2cc78cb10e80bp-6, -0x1.270125b1df4ebp-6, -0x1.21518e69654ap-6, -0x1.1bb88cf325b8p-6, -0x1.1635e75035cd6p-6, -0x1.10c9636bc7fc5p-6, -0x1.0b72c71f14996p-6, -0x1.0631d834b3a6fp-6, -0x1.01065c6bb9684p-6, -0x1.f7e032f5f1e85p-7, -0x1.edddaa29350a2p-7, -0x1.e404a9d466869p-7, -0x1.da54bd623056ep-7, -0x1.d0cd704d6d2c8p-7, -0x1.c76e4e295264ap-7, -0x1.be36e2a8aef3ap-7, -0x1.b526b9a46ae98p-7, -0x1.ac3d5f21884c6p-7, -0x1.a37a5f57363ebp-7, -0x1.9add46b5264aep-7, -0x1.9265a1ea89297p-7, -0x1.8a12fded4f14ep-7, -0x1.81e4e8017ea1ep-7, -0x1.79daedc031859p-7, -0x1.71f49d1e0606cp-7, -0x1.6a318470d270fp-7, -0x1.6291327506e5dp-7, -0x1.5b133652b7edap-7, -0x1.53b71fa30a231p-7, -0x1.4c7c7e75c10e4p-7, -0x1.4562e357484cfp-7, -0x1.3e69df56d4a7ep-7, -0x1.3791040c4abf7p-7, -0x1.30d7e39dc2c8dp-7, -0x1.2a3e10c4508c7p-7, -0x1.23c31ed02432p-7, -0x1.1d66a1ac4b595p-7, -0x1.17282de25318ap-7, -0x1.1107589e1577bp-7, -0x1.0b03b7b227c7cp-7, -0x1.051ce19c9c291p-7, -0x1.fea4db1863a4ap-8, -0x1.f347e6cabb08ap-8, -0x1.e822178dc59e3p-8, -0x1.dd32a01b2dfd7p-8, -0x1.d278b4ae89a57p-8, -0x1.c7f38b0960073p-8, -0x1.bda25a766fa0dp-8, -0x1.b3845bcccda96p-8, -0x1.a998c97453006p-8, -0x1.9fdedf6b3ba4bp-8, -0x1.9655db4d96e1cp-8, -0x1.8cfcfc5ddb614p-8, -0x1.83d3838d4c82cp-8, -0x1.7ad8b383aafebp-8, -0x1.720bd0a495079p-8, -0x1.696c2112bbea9p-8, -0x1.60f8ecb0a4968p-8, -0x1.58b17d20102d1p-8, -0x1.50951dc1121bp-8, -0x1.48a31bb22f565p-8, -0x1.40dac5d22cd53p-8, -0x1.393b6cc424ab6p-8, -0x1.31c462f51e2fbp-8, -0x1.2a74fca2778bcp-8, -0x1.234c8fdfaf22ep-8, -0x1.1c4a749aa138bp-8, -0x1.156e049d8520bp-8, -0x1.0eb69b8ec3de6p-8, -0x1.082396ef3e3a7p-8, -0x1.01b456181ee0fp-8, -0x1.f6d0747213536p-9, -0x1.ea7d4caed6c9cp-9, -0x1.de6dfe9dc09eep-9, -0x1.d2a157a489a69p-9, -0x1.c71628d95321ep-9, -0x1.bbcb470276558p-9, -0x1.b0bf8a941319ep-9, -0x1.a5f1cfab61e5bp-9, -0x1.9b60f60a51489p-9, -0x1.910be11578af6p-9, -0x1.86f177d6ddb5ap-9, -0x1.7d10a5063334fp-9, -0x1.736857150ec51p-9, -0x1.69f7803ba4c6cp-9, -0x1.60bd16804e3dcp-9, -0x1.57b813b4ff2cp-9, -0x1.4ee77566f57abp-9, -0x1.464a3cc08f8ecp-9, -0x1.3ddf6e61a64bap-9, -0x1.35a6123649e21p-9, -0x1.2d9d335669f2p-9, -0x1.25c3dff7c068ap-9, -0x1.1e192979121e2p-9, -0x1.169c248679c28p-9, -0x1.0f4be9512bb6dp-9, -0x1.082793cd97a38p-9, -0x1.012e43e8cce56p-9, -0x1.f4be3b4885b94p-10, -0x1.e772921942149p-10, -0x1.da77e40c6287p-10, -0x1.cdcc8fe70bd29p-10, -0x1.c16efa8a86454p-10, -0x1.b55d8e11b71f4p-10, -0x1.a996b921dfb6bp-10, -0x1.9e18ee9b6da41p-10, -0x1.92e2a5c4e78a6p-10, -0x1.87f25aed8c5dep-10, -0x1.7d46906648145p-10, -0x1.72ddcf9976238p-10, -0x1.68b6aa03d8726p-10, -0x1.5ecfb9d7291c9p-10, -0x1.5527a222b0403p-10, -0x1.4bbd0e724324fp-10, -0x1.428eb1eb36868p-10, -0x1.399b4602486a3p-10, -0x1.30e188faeec84p-10, -0x1.28603c75306e7p-10, -0x1.201624594c35p-10, -0x1.1802066b08a0ep-10, -0x1.1022aaaa8693fp-10, -0x1.0876dc72a1254p-10, -0x1.00fd6c0c7b9dep-10, -0x1.f36a609c1b834p-11, -0x1.e53a0fbfea206p-11, -0x1.d767b3dd34a96p-11, -0x1.c9f12c805e842p-11, -0x1.bcd469993a231p-11, -0x1.b00f69f646acep-11, -0x1.a3a0392fcba59p-11, -0x1.9784ed0955291p-11, -0x1.8bbba262d742p-11, -0x1.80427a22c3159p-11, -0x1.751796da2f889p-11, -0x1.6a391bfd22cefp-11, -0x1.5fa52f2853936p-11, -0x1.5559fb2b88885p-11, -0x1.4b55b3cfb7bd6p-11, -0x1.419698ffd7e4bp-11, -0x1.381af86060ce3p-11, -0x1.2ee12d2d4ad8fp-11, -0x1.25e79f08bb262p-11, -0x1.1d2cc0c44c58ep-11, -0x1.14af0fd6aa91ep-11, -0x1.0c6d14636548cp-11, -0x1.0465611ad9688p-11, -0x1.f92d243b13d46p-12, -0x1.e9fe95385dd3ep-12, -0x1.db3c63b2aeaedp-12, -0x1.cce3e1b1d1b31p-12, -0x1.bef263dc0d9f9p-12, -0x1.b16544e5ac5b1p-12, -0x1.a439eb8d588cbp-12, -0x1.976dcff43cb27p-12, -0x1.8afe7d99f55cfp-12, -0x1.7ee9914465d3ep-12, -0x1.732cb47917a9ap-12, -0x1.67c5997b1d391p-12, -0x1.5cb1fa648345bp-12, -0x1.51ef9c1bb1f3ep-12, -0x1.477c538fe4aa9p-12, -0x1.3d560a32689bdp-12, -0x1.337abf012d1cap-12, -0x1.29e88391f0fccp-12, -0x1.209d7710f4b38p-12, -0x1.1797c2482a5ecp-12, -0x1.0ed596b18ea1ep-12, -0x1.0655301ebcf84p-12, -0x1.fc29ad2e2361bp-13, -0x1.ec25bc5f07a14p-13, -0x1.dc9b48d692b4dp-13, -0x1.cd8718d4fe417p-13, -0x1.bee5f6edcc974p-13, -0x1.b0b4adc7c5444p-13, -0x1.a2f007c37e79fp-13, -0x1.9594d3e774e25p-13, -0x1.889feff3de7f3p-13, -0x1.7c0e53e25c303p-13, -0x1.6fdd18a2c3378p-13, -0x1.640976aca06f8p-13, -0x1.5890bfc1b1d0dp-13, -0x1.4d705bf3875a7p-13, -0x1.42a5cf2705628p-13, -0x1.382ec374d5896p-13, -0x1.2e090dcca6f3ep-13, -0x1.2432a466d7d6ap-13, -0x1.1aa98968bbc7cp-13, -0x1.116bb659ad7d6p-13, -0x1.087714a5bb307p-13, -0x1.ff93089dedc31p-14, -0x1.eec1ce43884b2p-14, -0x1.de764d74ddf58p-14, -0x1.ceac691fde2cp-14, -0x1.bf601400e0806p-14, -0x1.b08d58820bdaep-14, -0x1.a23061dc99b79p-14, -0x1.944579b0e848p-14, -0x1.86c8f8838bff4p-14, -0x1.79b73b08bc3f7p-14, -0x1.6d0cb37f72bd2p-14, -0x1.60c618bdf36ecp-14, -0x1.54e0935cc68c3p-14, -0x1.4959bec2f7722p-14, -0x1.3e2f718877857p-14, -0x1.335f7005894a7p-14, -0x1.28e73f40b3186p-14, -0x1.1ec43040c48e5p-14, -0x1.14f38adcb7182p-14, -0x1.0b72ae32410fp-14, -0x1.023f16b8a62f2p-14, -0x1.f2acaeee01a9p-15, -0x1.e16c2ba7862e4p-15, -0x1.d0b812f5d006fp-15, -0x1.c08bf589c8348p-15, -0x1.b0e378117e351p-15, -0x1.a1ba3b200b0afp-15, -0x1.930bc17d5e169p-15, -0x1.84d36ffa7fb28p-15, -0x1.770cc7ad68cfbp-15, -0x1.69b3d1ac22ap-15, -0x1.5cc56cedbdc02p-15, -0x1.503f2666168f9p-15, -0x1.441ea6fbd1d88p-15, -0x1.3861324a01485p-15, -0x1.2d03a22d9c324p-15, -0x1.2202c3d2d4c39p-15, -0x1.175b9c9242ee1p-15, -0x1.0d0b5a3ee223dp-15, -0x1.030f28e6e207dp-15, -0x1.f2c865a376b6cp-16, -0x1.e00f87bebbe13p-16, -0x1.cdeec6a0c1d8bp-16, -0x1.bc6194e23b4d6p-16, -0x1.ab637e55d86aap-16, -0x1.9aefe0df80daep-16, -0x1.8b01de7e758ccp-16, -0x1.7b9482c60650bp-16, -0x1.6ca2f0a05b074p-16, -0x1.5e289076d3d6dp-16, -0x1.502152de29162p-16, -0x1.4289d9f69140cp-16, -0x1.355f2de2ded3p-16, -0x1.289e21c585d55p-16, -0x1.1c431ff05e31ep-16, -0x1.104aa76f2992dp-16, -0x1.04b1c93b775dcp-16, -0x1.f2ebddf2f5cap-17, -0x1.dd289decc89a1p-17, -0x1.c813a2c0d31c2p-17, -0x1.b3a6a7e58ca65p-17, -0x1.9fdbc396c559ep-17, -0x1.8cada7e3d6279p-17, -0x1.7a17b6b44d66p-17, -0x1.6815bb23e7312p-17, -0x1.56a36472e81e5p-17, -0x1.45bbec4c853a7p-17, -0x1.355a401dfb534p-17, -0x1.257998a37a2b2p-17, -0x1.1615f28e1ac5p-17, -0x1.072be29d57f24p-17, -0x1.f16fe3d3605e8p-18, -0x1.d56c6b2579528p-18, -0x1.ba44ae42dde9ep-18, -0x1.9fefa93b39229p-18, -0x1.86656fe5c4aa7p-18, -0x1.6da0cdedebf96p-18, -0x1.559e438ab5393p-18, -0x1.3e5913b859c77p-18, -0x1.27cac06fece7dp-18, -0x1.11ecf1e74d89dp-18, -0x1.f97426364b6bdp-19, -0x1.d05980e69f12bp-19, -0x1.a87fa34539689p-19, -0x1.81dd375a3dd86p-19, -0x1.5c69b99709483p-19, -0x1.381cfa99d3808p-19, -0x1.14eea42d37deep-19, -0x1.e5abcf0629725p-20, -0x1.a3935a240c341p-20, -0x1.63832e47d9858p-20, -0x1.256e85c072723p-20, -0x1.d2988fdd501b5p-21, -0x1.5e24a777df7ecp-21, -0x1.dac3608b630c5p-22, -0x1.004e07fd14a92p-22, -0x1.64c3f72e5e718p-25, 0x1.413239cd7c62fp-23, 0x1.675d438e8e32bp-22, 0x1.13e04c89bfeedp-21, 0x1.70f837c1bd00fp-21, 0x1.cb1436deff224p-21, 0x1.11246b5000558p-20, 0x1.3b538f71b23f6p-20, 0x1.6420f9d143992p-20, 0x1.8b95996521599p-20, 0x1.b1b9964ea0c1fp-20, 0x1.d69503ecd43dep-20, 0x1.fa301dc301b06p-20, 0x1.0e4983d3b3155p-19, 0x1.1ee2be5d1c4ddp-19, 0x1.2ee761ea4689dp-19, 0x1.3e5af421e2fep-19, 0x1.4d40e2d40ae4bp-19, 0x1.5b9c46cc80bf7p-19, 0x1.696fa4aae74ddp-19, 0x1.76bd3e0367bd5p-19, 0x1.83880cf869998p-19, 0x1.8fd436996793fp-19, 0x1.9ba5df8f1d0a5p-19, 0x1.a7002763f971ep-19, 0x1.b1e506ccb2cc5p-19, 0x1.bc55ae97797f4p-19, 0x1.c654fd96e55e6p-19, 0x1.cfe67b2c26c4fp-19, 0x1.d90be40c12fc4p-19, 0x1.e1c7282a16c42p-19, 0x1.ea1ab51846b87p-19, 0x1.f208947bcdfbcp-19, 0x1.f99294974bb4fp-19, 0x1.005d4785f0333p-18, 0x1.03c13cefcd815p-18, 0x1.06f62e643567ep-18, 0x1.09fd1d68ed3f9p-18, 0x1.0cd6fce2ca925p-18, 0x1.0f84a9a2847c7p-18, 0x1.1206ed355133ap-18, 0x1.145e8a582e31cp-18, 0x1.168c499f13404p-18, 0x1.1890fb114350cp-18, 0x1.1a6d699df520dp-18, 0x1.1c224fc616eb9p-18, 0x1.1db06db2ae74cp-18, 0x1.1f189eb4ab7c9p-18, 0x1.205b916c4c3fbp-18, 0x1.2179c8e0c13ep-18, 0x1.22741a4b04faap-18, 0x1.234b55b6e0cd3p-18, 0x1.24004a41a929ep-18, 0x1.2493632a228adp-18, 0x1.25052f279e58p-18, 0x1.25566fe5d3a1dp-18, 0x1.2587c122bb07cp-18, 0x1.2599af8582d72p-18, 0x1.258cc9ab377a5p-18, 0x1.2561a1d958f04p-18, 0x1.2518cda33d70dp-18, 0x1.24b2e50b83813p-18, 0x1.2430805fa8f84p-18, 0x1.2392350422b7fp-18, 0x1.22d8922c2bed9p-18, 0x1.22041ede1c6f5p-18, 0x1.21155b1b3effp-18, 0x1.200cc564559b6p-18, 0x1.1eeae235a5a65p-18, 0x1.1db03f1cdf1e7p-18, 0x1.1c5d6be5061bp-18, 0x1.1af2ed700a0aap-18, 0x1.19713bbfc4797p-18, 0x1.17d8d130d8983p-18, 0x1.162a2254ef3dbp-18, 0x1.146590b7bb501p-18, 0x1.128bba56ec93ep-18, 0x1.109d49ca56a9ep-18, 0x1.0e9aa18f7a8e2p-18, 0x1.0c8414657258ep-18, 0x1.0a5a30759427ap-18, 0x1.081d71c89e722p-18, 0x1.05ce47c6a7d67p-18, 0x1.036d23189d137p-18, 0x1.00fa7535e85b6p-18, 0x1.fced5ecd651ecp-19, 0x1.f7c485bd990f6p-19, 0x1.f27b4222b4ae8p-19, 0x1.ed12773a134b1p-19, 0x1.e78b0772b67e5p-19, 0x1.e1e5d2c2b735bp-19, 0x1.dc23b4f306cep-19, 0x1.d6458425341d9p-19, 0x1.d04c10a3aa73cp-19, 0x1.ca3827ef7b8bap-19, 0x1.c40a9ac2547a7p-19, 0x1.bdc440f40374cp-19, 0x1.b765f659ee3eep-19, 0x1.b0f0915a5b898p-19, 0x1.aa64d911a5b7ap-19, 0x1.a3c387f13cadcp-19, 0x1.9d0d5f80fba2dp-19, 0x1.964328ef16c46p-19, 0x1.8f659db4b43fcp-19, 0x1.8875b670c9bdbp-19, 0x1.81742e97e1978p-19, 0x1.7a619c51919a2p-19, 0x1.733edaf57d5bdp-19, 0x1.6c0ca65bc939p-19, 0x1.64cbb405c4aafp-19, 0x1.5d7cbb9f1e0a3p-19, 0x1.56207419204c8p-19, 0x1.4eb7927fc1d1ap-19, 0x1.4742c9eed9698p-19, 0x1.3fc2cbebb15c3p-19, 0x1.383848b872fadp-19, 0x1.30a3ef5c5bd27p-19, 0x1.29066d5a9e434p-19, 0x1.21606e4665539p-19, 0x1.19b29b643f9bp-19, 0x1.11fd9b3fe26b4p-19, 0x1.0a4211328c51dp-19, 0x1.02809d810950dp-19, 0x1.f573bd9b9e3a4p-20, 0x1.e5dce85214a27p-20, 0x1.d63dfaddf97d3p-20, 0x1.c698330dd4df6p-20, 0x1.b6ecc75cea6c7p-20, 0x1.a73cdf64812cfp-20, 0x1.978993740a56ep-20, 0x1.87d403eff6cb9p-20, 0x1.781d661fc8231p-20, 0x1.6866ceb6dd609p-20, 0x1.58b1668fc4a9dp-20, 0x1.48fe3247267b3p-20, 0x1.394e498768ed6p-20, 0x1.29a2c1ce327bcp-20, 0x1.19fc9bff703e7p-20, 0x1.0a5cdb07c4a9ep-20, 0x1.f588fef7e0f3dp-21, 0x1.d6690b9013ef8p-21, 0x1.b75bcbc0ab256p-21, 0x1.986326957bc97p-21, 0x1.7980fa9cedadep-21, 0x1.5ab71e5923ccap-21, 0x1.3c076096a368ep-21, 0x1.1d73886205b6cp-21, 0x1.fdfaa9379daa7p-22, 0x1.c14cf73130a76p-22, 0x1.84e155f2251efp-22, 0x1.48bb0e908564cp-22, 0x1.0cdd56d246bbp-22, 0x1.a296a16297193p-23, 0x1.2c101a4b40f38p-23, 0x1.6c5a45769d84cp-24, 0x1.03cec39cfd76ap-25, -0x1.9cb303a230cdfp-26, -0x1.4ed6b3d79f7a1p-24, -0x1.1a85b44234252p-23, -0x1.8ce02f6efe076p-23, -0x1.fe75b474c7d7bp-23, -0x1.37a07ed634709p-22, -0x1.6f9e58edfa24ap-22, -0x1.a732177ef8baap-22, -0x1.de5979919ecaep-22, -0x1.0a8902af8f6cbp-21, -0x1.25acb6a061c7bp-21, -0x1.4096c977f59c6p-21, -0x1.5b462bb67771ap-21, -0x1.75b9d4124b016p-21, -0x1.8ff0c129c38edp-21, -0x1.a9e9f99142fffp-21, -0x1.c3a48bc005cf3p-21, -0x1.dd1f8dfdf0169p-21, -0x1.f65a1e41f44e2p-21, -0x1.07a9b10403cfbp-20, -0x1.14054312b6bdfp-20, -0x1.203f5f565791ap-20, -0x1.2c57a37ae666ep-20, -0x1.384db0d667cd4p-20, -0x1.44212c733302ap-20, -0x1.4fd1bedf32ba7p-20, -0x1.5b5f146a4e4d3p-20, -0x1.66c8dd0c136f9p-20, -0x1.720ecc772e46fp-20, -0x1.7d3099d025af1p-20, -0x1.882dff494dec5p-20, -0x1.9306ba09f6eb8p-20, -0x1.9dba8a75adc82p-20, -0x1.a849344e623fdp-20, -0x1.b2b27ee44c043p-20, -0x1.bcf6361a048efp-20, -0x1.c7142a019b365p-20, -0x1.d10c2b3aa7068p-20, -0x1.dade0a8f9edbep-20, -0x1.e4899d854a4f6p-20, -0x1.ee0ec8f2de928p-20, -0x1.f76d62cd52849p-20, -0x1.0052a51d2b5fp-19, -0x1.04db3298a9187p-19, -0x1.09504d26a1442p-19, -0x1.0db1e95fab332p-19, -0x1.11fffd44647cdp-19, -0x1.163a80358ac55p-19, -0x1.1a616aed90405p-19, -0x1.1e74b77e58594p-19, -0x1.2274614ee1e8fp-19, -0x1.26606518f5749p-19, -0x1.2a38c0e24f9eap-19, -0x1.2dfd73f3f0973p-19, -0x1.31ae7ed383141p-19, -0x1.354be33f65bebp-19, -0x1.38d5a42b05566p-19, -0x1.3c4bc5babc9cep-19, -0x1.3fae4d3d1260cp-19, -0x1.42fd4124ae452p-19, -0x1.4638a905bef18p-19, -0x1.49608d94ee97cp-19, -0x1.4c74f8a36d88dp-19, -0x1.4f75f50dd923ep-19, -0x1.52638eaab25c7p-19, -0x1.553dd24a15ab7p-19, -0x1.5804cdbd2e917p-19, -0x1.5ab88fd05143p-19, -0x1.5d5928482aa8ep-19, -0x1.5fe6a805a36dep-19, -0x1.626120ffeeb74p-19, -0x1.64c8a5b69aabap-19, -0x1.671d4936fad5cp-19, -0x1.695f1f26cecep-19, -0x1.6b8e3e8390367p-19, -0x1.6daabc401144ep-19, -0x1.6fb4aea399976p-19, -0x1.71ac2db02feeep-19, -0x1.739151b3b6484p-19, -0x1.756433b2dc494p-19, -0x1.7724ed6ee4b8cp-19, -0x1.78d3995c900d7p-19, -0x1.7a7052a17a8bbp-19, -0x1.7bfb350ea8a95p-19, -0x1.7d745d1a81988p-19, -0x1.7edbe7dd8b69ep-19, -0x1.8031f30d81c96p-19, -0x1.81769cf8396dcp-19, -0x1.82aa047e4f123p-19, -0x1.83cc490eafc3ap-19, -0x1.84dd8aa266eeap-19, -0x1.85dde9b863c77p-19, -0x1.86cd87521898dp-19, -0x1.87ac84ee558ep-19, -0x1.887b04853f1a4p-19, -0x1.893928838ecbp-19, -0x1.89e713c738ee8p-19, -0x1.8a84e99c34d05p-19, -0x1.8b12cdb8462a9p-19, -0x1.8b90e4340ecd8p-19, -0x1.8bff5184e163ep-19, -0x1.8c5e3a7bb96e3p-19, -0x1.8cadc442caf41p-19, -0x1.8cee1459050ddp-19, -0x1.8d1f508cfe8cep-19, -0x1.8d419f03298e3p-19, -0x1.8d5526341d5e4p-19, -0x1.8d5a0cca5bb15p-19, -0x1.8d5079a4e13a2p-19, -0x1.8d3893cdac7e9p-19, -0x1.8d1282f052438p-19, -0x1.8cde6ec310452p-19, -0x1.8c9c7eda67b67p-19, -0x1.8c4cdb30c05edp-19, -0x1.8befabf35020dp-19, -0x1.8b8519c05451dp-19, -0x1.8b0d4d00368f4p-19, -0x1.8a886e5170b5cp-19, -0x1.89f6a67c0bcabp-19, -0x1.89581e6579674p-19, -0x1.88acff0d5ffe6p-19, -0x1.87f5718ae0c49p-19, -0x1.87319f09a9b63p-19, -0x1.8661b0c70d618p-19, -0x1.8585d00f47a7ap-19, -0x1.849e263af12e7p-19, -0x1.83aadcaba473fp-19, -0x1.82ac1cc9f0a5cp-19, -0x1.81a2100232029p-19, -0x1.808cdfc2621b7p-19, -0x1.7f6cb5781f6cdp-19, -0x1.7e41ba8cfad21p-19, -0x1.7d0c1864e7751p-19, -0x1.7bcbf85bd72e4p-19, -0x1.7a8183c2a67f3p-19, -0x1.792ce3dd87e57p-19, -0x1.77ce41e1603dfp-19, -0x1.7665c6f0f88p-19, -0x1.74f39c1aa6385p-19, -0x1.7377ea581558dp-19, -0x1.71f2da7c78febp-19, -0x1.7064956577a1ap-19, -0x1.6ecd43a27e0dep-19, -0x1.6d2d0dc736897p-19, -0x1.6b841c402628dp-19, -0x1.69d2975c5c2a4p-19, -0x1.6818a74ac9bcep-19, -0x1.6656741b484abp-19, -0x1.648c25b962633p-19, -0x1.62b9e3f5e3f62p-19, -0x1.60dfd65c93d9fp-19, -0x1.5efe2458bb24ap-19, -0x1.5d14f520c5edfp-19, -0x1.5b246fb8c85eep-19, -0x1.592cbaf46d4bfp-19, -0x1.572dfd770095bp-19, -0x1.55285db2d1c8dp-19, -0x1.531c01e7a535p-19, -0x1.5109102110435p-19, -0x1.4eefae351098bp-19, -0x1.4cd001c28f9f3p-19, }}, 
      {{-0x1.040e601f51e35p+1, -0x1.fbc83b1729121p+0, -0x1.e865ddfcee737p+0, -0x1.cf44592b4dad7p+0, -0x1.b1c5e9288cfd4p+0, -0x1.9140a2e25c298p+0, -0x1.6eec32c0bfe53p+0, -0x1.4bd87249f2497p+0, -0x1.28e9d38200725p+0, -0x1.06d99a2140934p+0, -0x1.cc70d731bd31ep-1, -0x1.8ee4a1155d204p-1, -0x1.55a674f0c9133p-1, -0x1.2117e104d7afbp-1, -0x1.e2da379b12a69p-2, -0x1.8d6b6fd945975p-2, -0x1.41c8a6f0c722cp-2, -0x1.ff5491479d51fp-3, -0x1.8d4e8004e6893p-3, -0x1.2c7cc2f2f5224p-3, -0x1.b778967fdd8afp-4, -0x1.33abee0b901f7p-4, -0x1.962333c978c7fp-5, -0x1.ec911a13a57d2p-6, -0x1.059ff3bdfc91cp-6, -0x1.b73ce9cbf3139p-8, -0x1.be3abdeff4144p-10, -0x1.c78ef3a368783p-12, -0x1.3a46c0a7a31f4p-9, -0x1.d2f67648bbefbp-8, -0x1.d0d366de666efp-7, -0x1.7bccd4cfe5d05p-6, -0x1.147b2c083dcfcp-5, -0x1.7540343042e53p-5, -0x1.ddc4fc51cc23ep-5, -0x1.25ebf82481ae9p-4, -0x1.5ec15dfc030cp-4, -0x1.98833d7cd250fp-4, -0x1.d26bf19ecf3c6p-4, -0x1.05e6df60d6bb9p-3, -0x1.22087e75abd2fp-3, -0x1.3d592a336363bp-3, -0x1.57a08821622f8p-3, -0x1.70aec3fb0e2fbp-3, -0x1.885bd0b35cec9p-3, -0x1.9e86b56cc186cp-3, -0x1.b314e64d5ab37p-3, -0x1.c5f1a8ba6d6b2p-3, -0x1.d70d826442155p-3, -0x1.e65db2aa30d3cp-3, -0x1.f3dbb5b8ebecp-3, -0x1.ff84d0d441e7bp-3, -0x1.04acd39cab1bbp-2, -0x1.08aeeb88687e1p-2, -0x1.0bcbcf0112ed2p-2, -0x1.0e07c26ac3158p-2, -0x1.0f6808e385067p-2, -0x1.0ff2c08cf7283p-2, -0x1.0faec1c112e0bp-2, -0x1.0ea38105b6d49p-2, -0x1.0cd8f3925970cp-2, -0x1.0a57763eefabbp-2, -0x1.0727b6b1a5229p-2, -0x1.03529eaacfcc4p-2, -0x1.fdc28291ba7d3p-3, -0x1.f3b99448e9524p-3, -0x1.e89cdc4e02359p-3, -0x1.dc7ebbf418459p-3, -0x1.cf7173f56dd1ep-3, -0x1.c1870f1b3c52bp-3, -0x1.b2d14f9483222p-3, -0x1.a3619e8897d67p-3, -0x1.9348fe2437a96p-3, -0x1.8297fd72ad702p-3, -0x1.715eae2dcfc22p-3, -0x1.5fac9cd471371p-3, -0x1.4d90c8f85e2bp-3, -0x1.3b19a141b8519p-3, -0x1.2854fe5c02cffp-3, -0x1.15501fff9bb04p-3, -0x1.0217ad64549c1p-3, -0x1.dd6f615602bb3p-4, -0x1.b67735c3efedcp-4, -0x1.8f5c8880369f3p-4, -0x1.6833d3743cd61p-4, -0x1.41106d861163p-4, -0x1.1a04833525b6bp-4, -0x1.e64239eb97787p-5, -0x1.98ec69c4af6b3p-5, -0x1.4c255714bdf9p-5, -0x1.0008b33dc82c3p-5, -0x1.696082adebd22p-6, -0x1.a8cf1917360cdp-7, -0x1.05498eb649985p-8, 0x1.3eda54c84c449p-8, 0x1.bd1cfb5fa4baap-7, 0x1.6b13b27d85cd4p-6, 0x1.f527a70cf2b9ap-6, 0x1.3e5769952cf7p-5, 0x1.80c83fec4d5eap-5, 0x1.c1db51aa31bcep-5, 0x1.00c3711d6da04p-4, 0x1.1fe1358fc698bp-4, 0x1.3e43461b3518bp-4, 0x1.5be67e9c113e5p-4, 0x1.78c83fa41bb9p-4, 0x1.94e6677ce4ab5p-4, 0x1.b03f4b4d0e035p-4, 0x1.cad1b08f50208p-4, 0x1.e49cc6969514ap-4, 0x1.fda0202a894eap-4, 0x1.0aedd6c3139abp-3, 0x1.16a7db3e575d2p-3, 0x1.21fe6a5f79055p-3, 0x1.2cf1f740aa1cep-3, 0x1.378318abe3ed2p-3, 0x1.41b28691f9d81p-3, 0x1.4b8117a2e4a2ep-3, 0x1.54efbf00d72f9p-3, 0x1.5dff89f5c57ebp-3, 0x1.66b19db92e009p-3, 0x1.6f073550fa9edp-3, 0x1.77019f7bdd7eep-3, 0x1.7ea23ca4f91bdp-3, 0x1.85ea7cf33d8bfp-3, 0x1.8cdbde71a706cp-3, 0x1.9377eb45ccde1p-3, 0x1.99c037fe973ep-3, 0x1.9fb66203eb03ep-3, 0x1.a55c0e1f0d7eap-3, 0x1.aab2e7167e499p-3, 0x1.afbc9c6514db9p-3, 0x1.b47ae10e0d45dp-3, 0x1.b8ef6a84cb44bp-3, 0x1.bd1befa61701bp-3, 0x1.c10227c73eb4bp-3, 0x1.c4a3c9da27ba6p-3, 0x1.c8028ba0b47bap-3, 0x1.cb2020ecca04ep-3, 0x1.cdfe3af099aecp-3, 0x1.d09e87a052e0dp-3, 0x1.d302b11ed4759p-3, 0x1.d52c5d357e4abp-3, 0x1.d71d2cdaf19a8p-3, 0x1.d8d6bbc58c508p-3, 0x1.da5aa009d2601p-3, 0x1.dbaa69c5279f7p-3, 0x1.dcc7a2cff050cp-3, 0x1.ddb3ce7bb3e6dp-3, 0x1.de70695f0d2e3p-3, 0x1.defee926487d1p-3, 0x1.df60bc6a58c4ap-3, 0x1.df974a95f661dp-3, 0x1.dfa3f3cfde4f2p-3, 0x1.df8810e6be95ap-3, 0x1.df44f348cec72p-3, 0x1.dedbe501d7188p-3, 0x1.de4e28b6a2054p-3, 0x1.dd9cf9a7f1a79p-3, 0x1.dcc98bc2dc6afp-3, 0x1.dbd50ba4afe36p-3, 0x1.dac09eaab9b9ap-3, 0x1.d98d6305caf8bp-3, 0x1.d83c6fcf36775p-3, 0x1.d6ced51dea866p-3, 0x1.d5459c1a6bde5p-3, 0x1.d3a1c71fa6c56p-3, 0x1.d1e451d7ea907p-3, 0x1.d00e3153c3eb6p-3, 0x1.ce2054296014p-3, 0x1.cc1ba29af7c38p-3, 0x1.ca00feb619c89p-3, 0x1.c7d1446f2c4dp-3, 0x1.c58d49c63cf83p-3, 0x1.c335deeff9652p-3, 0x1.c0cbce765c382p-3, 0x1.be4fdd56a6d4bp-3, 0x1.bbc2cb27e163bp-3, 0x1.b9255243f5971p-3, 0x1.b67827e8b9ddcp-3, 0x1.b3bbfc563eaa5p-3, 0x1.b0f17af41e1fdp-3, 0x1.ae194a79353bfp-3, 0x1.ab340d0c1278dp-3, 0x1.a842605faa0e7p-3, 0x1.a544ddd56d6e8p-3, 0x1.a23c1aa2976d3p-3, 0x1.9f28a7ef9e703p-3, 0x1.9c0b12f25ce61p-3, 0x1.98e3e50b5db3dp-3, 0x1.95b3a3e7904b8p-3, 0x1.927ad19eabefbp-3, 0x1.8f39eccb32699p-3, 0x1.8bf170a25afe7p-3, 0x1.88a1d510891ecp-3, 0x1.854b8ed60dd9ap-3, 0x1.81ef0f9e64a8dp-3, 0x1.7e8cc613bea86p-3, 0x1.7b251df4f588cp-3, 0x1.77b8802e8f1c9p-3, 0x1.744752f1cc67dp-3, 0x1.70d1f9c6d17aep-3, 0x1.6d58d59d149e3p-3, 0x1.69dc44de2562dp-3, 0x1.665ca3822c629p-3, 0x1.62da4b225431fp-3, 0x1.5f559307c0132p-3, 0x1.5bced0392f217p-3, 0x1.58465589ea381p-3, 0x1.54bc73a99af21p-3, 0x1.5131793338affp-3, 0x1.4da5b2b9f6905p-3, 0x1.4a196ad4ce0afp-3, 0x1.468cea29b51b8p-3, 0x1.43007778fce1bp-3, 0x1.3f7457a8f31bfp-3, 0x1.3be8cdd174ad2p-3, 0x1.385e1b468d5d8p-3, 0x1.34d47fa15a85dp-3, 0x1.314c38c778c68p-3, 0x1.2dc582f2cc586p-3, 0x1.2a4098bb04b02p-3, 0x1.26bdb320239d9p-3, 0x1.233d099369a41p-3, 0x1.1fbed1fd0be3ep-3, 0x1.1c4340c010c84p-3, 0x1.18ca88bfd8333p-3, 0x1.1554db690a798p-3, 0x1.11e268bbcb111p-3, 0x1.0e735f534b394p-3, 0x1.0b07ec68e0bfep-3, 0x1.07a03bd539de6p-3, 0x1.043c7814400fep-3, 0x1.00dcca4d8f6d4p-3, 0x1.fb02b4bd77a73p-4, 0x1.f4549dc525416p-4, 0x1.edaf9a661ca2p-4, 0x1.e713f2d15ebf6p-4, 0x1.e081ecb897a87p-4, 0x1.d9f9cb5c79872p-4, 0x1.d37bcfa15dcccp-4, 0x1.cd08381ff818cp-4, 0x1.c69f412b23009p-4, 0x1.c04124cd2cb03p-4, 0x1.b9ee1ac67e1b5p-4, 0x1.b3a6589630417p-4, 0x1.ad6a118c76e22p-4, 0x1.a73976de7ca18p-4, 0x1.a114b7b213769p-4, 0x1.9afc011e9092p-4, 0x1.94ef7e2886229p-4, 0x1.8eef57c2858c9p-4, 0x1.88fbb4d8399b9p-4, 0x1.8314ba61909e3p-4, 0x1.7d3a8b74f6bap-4, 0x1.776d4950f36bp-4, 0x1.71ad135c0ca9ep-4, 0x1.6bfa07210b7d8p-4, 0x1.6654405017eaep-4, 0x1.60bbd8c964ac5p-4, 0x1.5b30e8af0132bp-4, 0x1.55b3867679ddcp-4, 0x1.5043c6f36ae52p-4, 0x1.4ae1bd595d71ep-4, 0x1.458d7b3934ca9p-4, 0x1.40471081328c4p-4, 0x1.3b0e8b849089ap-4, 0x1.35e3f90a5c936p-4, 0x1.30c7645e8db5cp-4, 0x1.2bb8d75f277f3p-4, 0x1.26b85a8223a1ap-4, 0x1.21c5f4d59034fp-4, 0x1.1ce1abfec42c1p-4, 0x1.180b843dcab86p-4, 0x1.134380774ff36p-4, 0x1.0e89a243334bp-4, 0x1.09dde9fb46ca5p-4, 0x1.054056c5f15p-4, 0x1.00b0e69b1f42ep-4, 0x1.f85f2c8a90ad8p-5, 0x1.ef78c2c4a662ep-5, 0x1.e6ae84cfec13ep-5, 0x1.de006559f31d1p-5, 0x1.d56e54ebcd4dcp-5, 0x1.ccf84203ddf09p-5, 0x1.c49e1929e5c94p-5, 0x1.bc5fc4faa29fcp-5, 0x1.b43d2e2d0408bp-5, 0x1.ac363b95ec484p-5, 0x1.a44ad22fe2a5p-5, 0x1.9c7ad52979526p-5, 0x1.94c625f9a1e97p-5, 0x1.8d2ca47602deep-5, 0x1.85ae2ee6dab0ap-5, 0x1.7e4aa21568faap-5, 0x1.7701d954ca733p-5, 0x1.6fd3ae87c3961p-5, 0x1.68bffa271ebc4p-5, 0x1.61c6934b90addp-5, 0x1.5ae74fbc27586p-5, 0x1.542204000bfafp-5, 0x1.4d768370d100dp-5, 0x1.46e4a04a7f309p-5, 0x1.406c2bb7e9015p-5, 0x1.3a0cf5db5f2fp-5, 0x1.33c6cdd574daep-5, 0x1.2d9981cc1e18p-5, 0x1.2784def3ee11fp-5, 0x1.2188b19c2c1b3p-5, 0x1.1ba4c53d10133p-5, 0x1.15d8e4869d7a4p-5, 0x1.1024d96e601f6p-5, 0x1.0a886d3aecb49p-5, 0x1.0503688ce811cp-5, 0x1.ff2b26cc8b8ccp-6, 0x1.f47d6a620573ap-6, 0x1.e9fd298d2d828p-6, 0x1.dfa9f0f1ec831p-6, 0x1.d5834c3a3c76fp-6, 0x1.cb88c62d474f3p-6, 0x1.c1b9e8c6c443ep-6, 0x1.b8163d4cb05dfp-6, 0x1.ae9d4c623cc2cp-6, 0x1.a54e9e178b508p-6, 0x1.9c29b9f6dcccap-6, 0x1.932e27104da28p-6, 0x1.8a5b6c058f1dcp-6, 0x1.81b10f16bfbeep-6, 0x1.792e96310e5e1p-6, 0x1.70d386ff3bcfdp-6, 0x1.689f66fba044ep-6, 0x1.6091bb82f5b2ap-6, 0x1.58aa09e6cfe67p-6, 0x1.50e7d77e81628p-6, 0x1.494aa9b56d943p-6, 0x1.41d2061602a7p-6, 0x1.3a7d725158235p-6, 0x1.334c744446299p-6, 0x1.2c3e91fb5e45fp-6, 0x1.255351b7e0303p-6, 0x1.1e8a39f7be736p-6, 0x1.17e2d1826acc9p-6, 0x1.115c9f7ac93fp-6, 0x1.0af72b75268a4p-6, 0x1.04b1fd8e77f45p-6, 0x1.fd193d01c371cp-7, 0x1.f10d2f6592b4bp-7, 0x1.e53ee67aabb57p-7, 0x1.d9ad77c3e6547p-7, 0x1.ce57fa0a18f62p-7, 0x1.c33d852c9329cp-7, 0x1.b85d3212d6b5ap-7, 0x1.adb61aa502d1ep-7, 0x1.a34759e25fcd8p-7, 0x1.99100c1a0a46ap-7, 0x1.8f0f4f3ca62a6p-7, 0x1.85444337fc9b6p-7, 0x1.7bae0a47aecd5p-7, 0x1.724bc925a4fddp-7, 0x1.691ca70a3fb66p-7, 0x1.601fcd776c689p-7, 0x1.575467d7898f4p-7, 0x1.4eb9a3065ccb2p-7, 0x1.464eace40f588p-7, 0x1.3e12b4138ad9p-7, 0x1.3604e7fefb17bp-7, 0x1.2e24792da45d8p-7, 0x1.267099e1f7f15p-7, 0x1.1ee87ee2569c9p-7, 0x1.178b603f6032bp-7, 0x1.105879e52b83ep-7, 0x1.094f0bcc300f7p-7, 0x1.026e59b1a9b0ap-7, 0x1.f76b54b68a535p-8, 0x1.ea488d0fe2961p-8, 0x1.dd72ef91ffbb4p-8, 0x1.d0e90f162eaadp-8, 0x1.c4a97d260543cp-8, 0x1.b8b2ca39a2584p-8, 0x1.ad038750efbbcp-8, 0x1.a19a48ac8d7c5p-8, 0x1.9675a91dbce9ep-8, 0x1.8b944d332f8e3p-8, 0x1.80f4e57df4c32p-8, 0x1.76962f4e2955ep-8, 0x1.6c76f394aad25p-8, 0x1.629603ff4882ep-8, 0x1.58f236d196edbp-8, 0x1.4f8a62521090cp-8, 0x1.465d58ceae0cp-8, 0x1.3d69e62bee585p-8, 0x1.34aecfa988dd6p-8, 0x1.2c2ad613bb8b7p-8, 0x1.23dcba10f80eep-8, 0x1.1bc341bf69d3cp-8, 0x1.13dd3e7fb51a3p-8, 0x1.0c2991aeb06dcp-8, 0x1.04a72f3709958p-8, 0x1.faaa3a946612bp-9, 0x1.ec64e242ce23p-9, 0x1.de7c92949cf7dp-9, 0x1.d0ef8d21f11cap-9, 0x1.c3bc09e78703p-9, 0x1.b6e02c34dd087p-9, 0x1.aa59fd08188a9p-9, 0x1.9e276c297d87p-9, 0x1.924657f71c944p-9, 0x1.86b49a7763c3fp-9, 0x1.7b701939bb00bp-9, 0x1.7076d4fe35977p-9, 0x1.65c6f61f9c4d7p-9, 0x1.5b5ed3488728ep-9, 0x1.513cf100ec66p-9, 0x1.475ff9f1b8beap-9, 0x1.3dc6b126e7292p-9, 0x1.346fe0d75eafap-9, 0x1.2b5a4904e1ac2p-9, 0x1.22849160224a9p-9, 0x1.19ed4130c1224p-9, 0x1.1192beb5c841fp-9, 0x1.097355de6c076p-9, 0x1.018d44cb1abbdp-9, 0x1.f3bd972245c9fp-10, 0x1.e4cc78b6ef685p-10, 0x1.d644125aa85e5p-10, 0x1.c8219a2dad658p-10, 0x1.ba629eee3e5e3p-10, 0x1.ad0501b3d9b36p-10, 0x1.a006e409e330cp-10, 0x1.93668d8c9c549p-10, 0x1.87224dc495a2dp-10, 0x1.7b385fc6c7d77p-10, 0x1.6fa6d4b16d6dbp-10, 0x1.646b88d688214p-10, 0x1.5984258f60b65p-10, 0x1.4eee2de303feep-10, 0x1.44a711c80c8fcp-10, 0x1.3aac449adff6dp-10, 0x1.30fb5311fe9b4p-10, 0x1.2791f42eeda36p-10, 0x1.1e6e1204cfc4cp-10, 0x1.158dca49e0e8dp-10, 0x1.0cef6855457p-10, 0x1.04915af89de4fp-10, 0x1.f8e4525c5680ap-11, 0x1.e920cfdad2351p-11, 0x1.d9d563c7536cp-11, 0x1.caff4157a2692p-11, 0x1.bc9b8e2229c51p-11, 0x1.aea75958986a8p-11, 0x1.a11f9849c25cdp-11, 0x1.94012b9850b6bp-11, 0x1.8748ef0f6899ep-11, 0x1.7af3d18f09c57p-11, 0x1.6efeeccc83837p-11, 0x1.636791366aad3p-11, 0x1.582b3cf099b77p-11, 0x1.4d477e2b78e2fp-11, 0x1.42b9cce19052cp-11, 0x1.387f6f71e8d48p-11, 0x1.2e957b322c933p-11, 0x1.24f8f5b500c03p-11, 0x1.1ba70ae3d35a5p-11, 0x1.129d3ff05a84ap-11, 0x1.09d98a9445216p-11, 0x1.015a4095a0466p-11, 0x1.f23bcfba4113dp-12, 0x1.e24602535731ap-12, 0x1.d2cfd6f16b8f5p-12, 0x1.c3d5df69722f2p-12, 0x1.b554d48eba77ap-12, 0x1.a749e70b07fc5p-12, 0x1.99b2cddbbd8bp-12, 0x1.8c8d78a93423p-12, 0x1.7fd780e3f02f3p-12, 0x1.738d9913595dbp-12, 0x1.67ab3e6e3d3eap-12, 0x1.5c2ad8f8cb422p-12, 0x1.51064e6b20bdp-12, 0x1.4637dff38802bp-12, 0x1.3bbb04accb847p-12, 0x1.318ce32b0316p-12, 0x1.27ac291b8fc6p-12, 0x1.1e184ca219eecp-12, 0x1.14d09bd4600f8p-12, 0x1.0bd3a2c878b81p-12, 0x1.031f3901806e7p-12, 0x1.f5622c09a1f18p-13, 0x1.e50ef14bd71bfp-13, 0x1.d542de6c3a191p-13, 0x1.c5fd2e57b40dcp-13, 0x1.b73cfc4b70d5fp-13, 0x1.a8fff83fc3245p-13, 0x1.9b41a46220c7dp-13, 0x1.8dfb468dd4a54p-13, 0x1.812463c7eb17dp-13, 0x1.74b3a33216f4ap-13, 0x1.68a01b1fdf1a8p-13, 0x1.5ce2df77423f5p-13, 0x1.5178315b80446p-13, 0x1.465f7cd9d6d08p-13, 0x1.3b99e02cf44c4p-13, 0x1.312808577ac01p-13, 0x1.2708c6b82f93cp-13, 0x1.1d392fef3366fp-13, 0x1.13b5de9184549p-13, 0x1.0a7c4c3d0e0fdp-13, 0x1.018b70b111a3dp-13, 0x1.f1c6bd60df9ccp-14, 0x1.e1083d87d5fdcp-14, 0x1.d0d922a56e1f2p-14, 0x1.c1344831c0fa7p-14, 0x1.b212bef844b29p-14, 0x1.a36d2626abc4cp-14, 0x1.953c0598db2b3p-14, 0x1.87775534591cfp-14, 0x1.7a166770af027p-14, 0x1.6d1113ef63f91p-14, 0x1.60619ffdbb17bp-14, 0x1.5405e15b853d6p-14, 0x1.47fe79b572537p-14, 0x1.3c4c954bacbep-14, 0x1.30efe42119247p-14, 0x1.25e612c328fd9p-14, 0x1.1b2b9657749fbp-14, 0x1.10bd34c51e60dp-14, 0x1.0699892edb078p-14, 0x1.f981d529c839p-15, 0x1.e6667f582a9fep-15, 0x1.d3dc3600153ebp-15, 0x1.c1da432463d35p-15, 0x1.b057a1056ca63p-15, 0x1.9f4d9fb5e94e9p-15, 0x1.8eb877e9dc86dp-15, 0x1.7e9651be27b8fp-15, 0x1.6ee568574196ap-15, 0x1.5fa22b26e4788p-15, 0x1.50c66169f1b37p-15, 0x1.4249a206e9125p-15, 0x1.342326e8b4669p-15, 0x1.264d0e9faf357p-15, 0x1.18c6fedb8987bp-15, 0x1.0b94a8992f8bep-15, 0x1.fd70b7770776dp-16, 0x1.e45e24af6e7cbp-16, 0x1.cbe6cd79b17c1p-16, 0x1.b407c062dc2acp-16, 0x1.9cc5268b576efp-16, 0x1.861de1f25589ep-16, 0x1.7007a7bf1569bp-16, 0x1.5a760d4bdafc6p-16, 0x1.456078ae3d5p-16, 0x1.30c25a677345dp-16, 0x1.1c9925d38fa5p-16, 0x1.08e363704f1f4p-16, 0x1.eb426c7def984p-17, 0x1.c5a93628f7055p-17, 0x1.a0ffab03ac7a8p-17, 0x1.7d4500171392ep-17, 0x1.5a6d1d6052d86p-17, 0x1.385cd5d7c660dp-17, 0x1.16f31bc6f1ea8p-17, 0x1.ec48ca6d1c55p-18, 0x1.ac0a9dfd9826fp-18, 0x1.6d5362bd04933p-18, 0x1.300d5dcd570fp-18, 0x1.e823ba5729db2p-19, 0x1.72d2494abdf3cp-19, 0x1.00541b884fc5cp-19, 0x1.21204c0cdc033p-20, 0x1.1a2c4dd26cb07p-22, -0x1.1ee44b20e919ep-21, -0x1.60f8931a05cf4p-20, -0x1.17076c9f13407p-19, -0x1.7b5d2223bf434p-19, -0x1.dd8463fe8bc38p-19, -0x1.1ec3bf048e4e3p-18, -0x1.4db71c0d441e6p-18, -0x1.7b9b8263463c6p-18, -0x1.a86b8c15e0fap-18, -0x1.d42234c96f9e4p-18, -0x1.febfde13ab76cp-18, -0x1.1427a2881283bp-17, -0x1.2877a0d65f4cdp-17, -0x1.3c60214875f9ep-17, -0x1.4fda63c8ffc2ap-17, -0x1.62d71a5a1144fp-17, -0x1.755e84c3af88ep-17, -0x1.877bc3197b15dp-17, -0x1.992525c5a747cp-17, -0x1.aa54e82116126p-17, -0x1.bb1352d6d16bp-17, -0x1.cb683cce337dap-17, -0x1.db5613711700fp-17, -0x1.eadce94d7b3dp-17, -0x1.f9fcc25163ccep-17, -0x1.045b0c69e1decp-16, -0x1.0b84df5f8ca9dp-16, -0x1.127c5fa972e75p-16, -0x1.19422da20bbcbp-16, -0x1.1fd6f64c3a3a9p-16, -0x1.263b43111a8c4p-16, -0x1.2c6f46849c5bap-16, -0x1.3272f964287bbp-16, -0x1.3846854435808p-16, -0x1.3dea0607a9fb2p-16, -0x1.435d28a4936c4p-16, -0x1.48a1fb612edaap-16, -0x1.4dbbeb8a28839p-16, -0x1.52a95535b616cp-16, -0x1.576ae54d7eae4p-16, -0x1.5c02e9ef08d6fp-16, -0x1.606dc4e14100ep-16, -0x1.64ab203262b7cp-16, -0x1.68bdeadda7175p-16, -0x1.6ca7735b3d3f2p-16, -0x1.7067d21daea7dp-16, -0x1.73ff0aa05a961p-16, -0x1.776d51cb5aafbp-16, -0x1.7ab3010bd9e25p-16, -0x1.7dd081756b851p-16, -0x1.80c63d6bd0335p-16, -0x1.839499ed7b41fp-16, -0x1.863bf80c66927p-16, -0x1.88bcbcba65b15p-16, -0x1.8b175790a4105p-16, -0x1.8d4c3f2a9c832p-16, -0x1.8f5be13956c3p-16, -0x1.91469d425f7fap-16, -0x1.930ce791d4de4p-16, -0x1.94af1af3e19e7p-16, -0x1.962c8a624146p-16, -0x1.97851c509de68p-16, -0x1.98bb59f75c225p-16, -0x1.99d01164d7bc5p-16, -0x1.9ac3eb22e245bp-16, -0x1.9b9538df0751cp-16, -0x1.9c4401dd61009p-16, -0x1.9cd21adcd85a4p-16, -0x1.9d4024568fe99p-16, -0x1.9d8e478dd021p-16, -0x1.9dbcc391e08fbp-16, -0x1.9dcbf23e7f3e6p-16, -0x1.9dbc3ad0b2ac8p-16, -0x1.9d8e0a55cde0fp-16, -0x1.9d41d00c5f85bp-16, -0x1.9cd7fb12bbac6p-16, -0x1.9c50f87c18153p-16, -0x1.9bad321bd1f96p-16, -0x1.9aed0f3e83833p-16, -0x1.9a10f86564f8bp-16, -0x1.99195ca0da20dp-16, -0x1.9806b3a8d10d7p-16, -0x1.96d97763d1b68p-16, -0x1.9592187004135p-16, -0x1.943104b16755p-16, -0x1.92b6bc06d691cp-16, -0x1.912371632edffp-16, -0x1.8f76afbdd62d1p-16, -0x1.8db1b6b8014ecp-16, -0x1.8bd63757c168bp-16, -0x1.89e3cea6ec91p-16, -0x1.87d9bd210ff04p-16, -0x1.85b957c7f7038p-16, -0x1.8383534c4c495p-16, -0x1.8137f3fa7fbc8p-16, -0x1.7ed79059719bap-16, -0x1.7c628ffa22c87p-16, -0x1.79d9602bc0e2p-16, -0x1.773c6fc9e8e2bp-16, -0x1.748c2e3e3e972p-16, -0x1.71c90b42fa71bp-16, -0x1.6ef3769849a1ep-16, -0x1.6c0bdf8acb896p-16, -0x1.6912b44bd52c5p-16, -0x1.66086130e7a2dp-16, -0x1.62ed506e52f22p-16, -0x1.5fc1eb61c5c4p-16, -0x1.5c869d9458f72p-16, -0x1.593bd7349278p-16, -0x1.55e20becac7f3p-16, -0x1.5279aca990027p-16, -0x1.4f031f80ed132p-16, -0x1.4b7ec68b753fep-16, -0x1.47ed1c4428b8ap-16, -0x1.444e77c3ee7e4p-16, -0x1.40a2a1eb6cb09p-16, -0x1.3ceb132f34ad1p-16, -0x1.39281b2980ddap-16, -0x1.35592d3875dabp-16, -0x1.317f72bdbdb9p-16, -0x1.2d9b5283516d7p-16, -0x1.29ad0f2a3cb2ep-16, -0x1.25b503517c51ep-16, -0x1.21b3916a4f2abp-16, -0x1.1da91c866cdefp-16, -0x1.199606d500112p-16, -0x1.157ab199956b8p-16, -0x1.11577d637b838p-16, -0x1.0d2cca295202dp-16, -0x1.08faf73715198p-16, -0x1.04c2630342b92p-16, -0x1.00836af3e3f4ep-16, -0x1.f87cd603e41d5p-17, -0x1.efe77a853d783p-17, -0x1.e74773b6ec672p-17, -0x1.de9d70552432fp-17, -0x1.d5ea21707ea7ep-17, -0x1.cd2e3c2edea6cp-17, -0x1.c46a7790718d4p-17, -0x1.bb9f85408f898p-17, -0x1.b2ce027548d73p-17, -0x1.a9f6780b9709ap-17, -0x1.a1199dfdefaa5p-17, -0x1.983879a2bc9bfp-17, -0x1.8f52dc6f5496fp-17, -0x1.866a0069ed759p-17, -0x1.7d7deeebd9169p-17, -0x1.748fa21035d53p-17, -0x1.6ba0208cd97c3p-17, -0x1.62afa90df69c6p-17, -0x1.59beba6407efp-17, -0x1.50cde6d7a8f7p-17, -0x1.47ddc05e85e0dp-17, -0x1.3eeed5cad87fap-17, -0x1.3601b2e52fc47p-17, -0x1.2d16e0d0da944p-17, -0x1.242ee669dce4cp-17, -0x1.1b4a4885acb1dp-17, -0x1.126989fe4677p-17, -0x1.098d2b97d6c1bp-17, -0x1.00b5abdf6d0f1p-17, -0x1.efc70e16aebd4p-18, -0x1.de2e6d747529p-18, -0x1.cca262e17f54p-18, -0x1.bb23d49ffda13p-18, -0x1.a9b3a4088498ap-18, -0x1.9852b1a39d436p-18, -0x1.8701df37fedbap-18, -0x1.75c20e4d00b26p-18, -0x1.64941d3d33c1fp-18, -0x1.5378db472a7f1p-18, -0x1.4270f0834b4e2p-18, -0x1.317cfa859efd3p-18, -0x1.209e08bb194cfp-18, -0x1.0fd5bc76f04abp-18, -0x1.fe470cfa20e54p-19, -0x1.dd0e145a3e591p-19, -0x1.bc052e96005b8p-19, -0x1.9b2eca1f198b4p-19, -0x1.7a8ac8a4cc682p-19, -0x1.5a1a3c36a1102p-19, -0x1.39de705efb792p-19, -0x1.19d8a6c0547c6p-19, -0x1.f414279cedb62p-20, -0x1.b4e7c1f4d0d3dp-20, -0x1.762e5c1fb27f3p-20, -0x1.37ea23effc034p-20, -0x1.f43a6d37c32d3p-21, -0x1.7993436672afep-21, -0x1.ffc58e47ca99ep-22, -0x1.0e59acf1a584dp-22, -0x1.eea603eca5ee5p-26, 0x1.9d0231f924228p-23, 0x1.b9e1bef05f077p-22, 0x1.5198693d01102p-21, 0x1.c533ee05f16a5p-21, 0x1.1be02baa155d3p-20, 0x1.549d566308d42p-20, 0x1.8cd0037a82255p-20, 0x1.c476c632bd32ap-20, 0x1.fb903c0079f8ap-20, 0x1.190d86a774a04p-19, 0x1.340afc2e4da3ep-19, 0x1.4ebfff4f31e2ep-19, 0x1.692c2dc53ee8cp-19, 0x1.834ef0eb02361p-19, 0x1.9d2702d79655fp-19, 0x1.b6b34592785a9p-19, 0x1.cff73e9006ba2p-19, 0x1.e8ef6c6976d99p-19, 0x1.00cd66d3f5eaep-18, 0x1.0cfcfbac09a13p-18, 0x1.19064f20e5818p-18, 0x1.24e9320a229d1p-18, 0x1.30a57a6b457dbp-18, 0x1.3c3b02b8e97c5p-18, 0x1.47a9a8fb0382fp-18, 0x1.52f14e6794cf1p-18, 0x1.5e11d7368bc6p-18, 0x1.690b2a83c2e74p-18, 0x1.73dd323801b1dp-18, 0x1.7e87daf1d6a02p-18, 0x1.890b13f444275p-18, 0x1.9366cf1e093dp-18, 0x1.9d9b00e9048adp-18, 0x1.a7a7a06180693p-18, 0x1.b18ca719de2c8p-18, 0x1.bb4a111ed6bf8p-18, 0x1.c4dfdcfdf0377p-18, 0x1.ce4e0bdafe29ep-18, 0x1.d794a16aece5ap-18, 0x1.e0b3a39791b8ep-18, 0x1.e9ab1a180e40cp-18, 0x1.f27b0e823a2eap-18, 0x1.fb238c822c88ep-18, 0x1.01d250d2bc04cp-17, 0x1.05ff2edbf9842p-17, 0x1.0a186aeb9ed62p-17, 0x1.0e1e124a51f6ap-17, 0x1.121030351cc03p-17, 0x1.15eec901df9fcp-17, 0x1.19b9cc9dd493p-17, 0x1.1d719c84a1a1fp-17, 0x1.211617513cf1dp-17, 0x1.24a736d5a8756p-17, 0x1.282521a190571p-17, 0x1.2b8fe9c23ac7ap-17, 0x1.2ee7a0d30f119p-17, 0x1.322c59b1d2c34p-17, 0x1.355e283c06e9dp-17, 0x1.387d2126f30efp-17, 0x1.3b8959eeb8665p-17, 0x1.3e82e8cda5b55p-17, 0x1.4169e4b5171d3p-17, 0x1.443e654885c8ep-17, 0x1.470082d821dbcp-17, 0x1.49b0565b41b96p-17, 0x1.4c4df96ad1df8p-17, 0x1.4ed9863db53aep-17, 0x1.515317a494efap-17, 0x1.53bac9058938cp-17, 0x1.5610b657d7e4ep-17, 0x1.5854fc1ea3bf3p-17, 0x1.5a87b7656c987p-17, 0x1.5ca905bcabb45p-17, 0x1.5eb90538999d8p-17, 0x1.60b7d46c370d2p-17, 0x1.62a5925d762cap-17, 0x1.64825e7c80cd1p-17, 0x1.664e58a5e6205p-17, 0x1.6809a1226b2acp-17, 0x1.69b4589c8c746p-17, 0x1.6b4ea01ee1dd7p-17, 0x1.6cd899473f293p-17, 0x1.6e526654ddeddp-17, 0x1.6fbc297b2f6cep-17, 0x1.711604bd71c36p-17, 0x1.726016ccfa97ap-17, 0x1.739a8a5703c78p-17, 0x1.74c58319d8f9p-17, 0x1.75e11d0aa8e17p-17, 0x1.76ed803d6aafdp-17, 0x1.77ead0f75791ap-17, 0x1.78d9337afd99p-17, 0x1.79b8cc6144ac6p-17, 0x1.7a89c07ea1333p-17, 0x1.7b4c34db355b5p-17, 0x1.7c004eaf40d8dp-17, 0x1.7ca6335f0c109p-17, 0x1.7d3e0877d3c8ap-17, 0x1.7dc7f3acc1d17p-17, 0x1.7e441ad3966b5p-17, 0x1.7eb2a3e240e73p-17, 0x1.7f13b4eb63943p-17, 0x1.7f67741c036f1p-17, 0x1.7fae07b83ff17p-17, 0x1.7fe796197d40ep-17, 0x1.801445aae81c3p-17, 0x1.80343ce722a98p-17, 0x1.8047a255ea0f3p-17, 0x1.804e9c898b0d9p-17, 0x1.8049521c3e184p-17, 0x1.8037e9adeb334p-17, 0x1.801a89e1e3b8ep-17, 0x1.7ff1595ca918dp-17, 0x1.7fbc7ec123795p-17, 0x1.7f7c20ae9240ep-17, 0x1.7f3065be5445fp-17, 0x1.7ed9748494bf4p-17, 0x1.7e77738501c12p-17, 0x1.7e0a893f83cdap-17, 0x1.7d92dc2190bf3p-17, 0x1.7d10928d4db91p-17, 0x1.7c83d2cfc0aafp-17, 0x1.7becc31f66961p-17, 0x1.7b4b89906b38cp-17, 0x1.7aa04c149aa4ep-17, 0x1.79eb311995f0dp-17, 0x1.792c5df30739cp-17, 0x1.7863f88574551p-17, 0x1.77922674001d7p-17, 0x1.76b70d3bdef29p-17, 0x1.75d2d23a2ea31p-17, 0x1.74e59aa9bbbabp-17, 0x1.73ef8ba135c7dp-17, 0x1.72f0ca11df91cp-17, 0x1.71e97ac5ca934p-17, 0x1.70d9c25e88a17p-17, 0x1.6fc1c55498ec8p-17, }}, 
      {{-0x1.0578089091633p+1, -0x1.036032cfccdbep+1, -0x1.00038dd344ddcp+1, -0x1.f710aeb941067p+0, -0x1.ec32491b24b36p+0, -0x1.dfc2d27c70ab6p+0, -0x1.d216726e19038p+0, -0x1.c37bc43dba1c8p+0, -0x1.b43a3959ae7cdp+0, -0x1.a4914f91cc05ap+0, -0x1.94b85aa887278p+0, -0x1.84deb21baebe2p+0, -0x1.752c2078dcef9p+0, -0x1.65c17a567578bp+0, -0x1.56b94a5c1cec3p+0, -0x1.482883db4567bp+0, -0x1.3a1f33095f54cp+0, -0x1.2ca9241ca2b13p+0, -0x1.1fce7dd15d5fep+0, -0x1.13944e0e497a9p+0, -0x1.07fd086e63ae2p+0, -0x1.fa11ee0be4327p-1, -0x1.e56d3c0b5f65ep-1, -0x1.d2062573ff934p-1, -0x1.bfd48e3645dc2p-1, -0x1.aece956962feep-1, -0x1.9ee9042f98314p-1, -0x1.9017aba5217adp-1, -0x1.824db3c069a6bp-1, -0x1.757ddd21e3b01p-1, -0x1.699ab7594bb4ap-1, -0x1.5e96cd717a77ap-1, -0x1.5464c9b7405e3p-1, -0x1.4af792737fa7ap-1, -0x1.4242606440feap-1, -0x1.3a38d020201cdp-1, -0x1.32ceeef45dab4p-1, -0x1.2bf9443e3b79dp-1, -0x1.25acd7c046bep-1, -0x1.1fdf35786725cp-1, -0x1.1a866f820441bp-1, -0x1.15991e3e780f8p-1, -0x1.110e5f4b59e91p-1, -0x1.0cddd3484ea6ep-1, -0x1.08ff9af9b9bf8p-1, -0x1.056c53a86918fp-1, -0x1.021d131b95dfbp-1, -0x1.fe16c68298ce3p-2, -0x1.f8627b0f743a2p-2, -0x1.f3120c3817fe4p-2, -0x1.ee1b0e2766cb4p-2, -0x1.e973d72a32e7fp-2, -0x1.e51375fe632a5p-2, -0x1.e0f1a82f28a79p-2, -0x1.dd06d0d065f76p-2, -0x1.d94bef3a49ecap-2, -0x1.d5ba9626d2c52p-2, -0x1.d24ce31a1b5dbp-2, -0x1.cefd75fed8c92p-2, -0x1.cbc7691e821e4p-2, -0x1.c8a6496c3e81p-2, -0x1.c5960f20eb44p-2, -0x1.c29316a99d105p-2, -0x1.bf9a19e8464f4p-2, -0x1.bca829c61bec9p-2, -0x1.b9baa819b77e7p-2, -0x1.b6cf41de38e62p-2, -0x1.b3e3e9ac3c5f9p-2, -0x1.b0f6d283e2117p-2, -0x1.ae066ae9646dap-2, -0x1.ab115836ebac1p-2, -0x1.a816723e9d087p-2, -0x1.a514bf33539ap-2, -0x1.a20b6fc6b742dp-2, -0x1.9ef9db850ced1p-2, -0x1.9bdf7d6c8292ep-2, -0x1.98bbf0bb38c64p-2, -0x1.958eedf354841p-2, -0x1.925848161f023p-2, -0x1.8f17ea0ed5963p-2, -0x1.8bcdd44c724fep-2, -0x1.887a1a82abfe5p-2, -0x1.851ce18dd1684p-2, -0x1.81b65d831b196p-2, -0x1.7e46cfe3eadb3p-2, -0x1.7ace85fa7bb47p-2, -0x1.774dd75fdadb8p-2, -0x1.73c5249532422p-2, -0x1.7034d5bca41abp-2, -0x1.6c9d5967fa147p-2, -0x1.68ff2372dec36p-2, -0x1.655aabffa5b38p-2, -0x1.61b06e8e17e29p-2, -0x1.5e00e9289b682p-2, -0x1.5a4c9bafa1ca4p-2, -0x1.569407349f7ap-2, -0x1.52d7ad60237c8p-2, -0x1.4f180fe3f7e8dp-2, -0x1.4b55aff3bc05cp-2, -0x1.47910dc86dc2bp-2, -0x1.43caa832e972fp-2, -0x1.4002fc3c8b5ddp-2, -0x1.3c3a84d76dd0bp-2, -0x1.3871ba9d72c98p-2, -0x1.34a9139b373c7p-2, -0x1.30e103240c346p-2, -0x1.2d19f9abda324p-2, -0x1.295464a4ba876p-2, -0x1.2590ae5f382edp-2, -0x1.21cf3decc63dcp-2, -0x1.1e10770520adp-2, -0x1.1a54b9efb55b4p-2, -0x1.169c6371d2658p-2, -0x1.12e7ccc2681bp-2, -0x1.0f374b83ba776p-2, -0x1.0b8b31c2a3237p-2, -0x1.07e3cdfaa58e7p-2, -0x1.04416b1e140a8p-2, -0x1.00a450a11a6d1p-2, -0x1.fa19850d18b8bp-3, -0x1.f2f602db80ab7p-3, -0x1.ebde9541cbb28p-3, -0x1.e4d3b046b567bp-3, -0x1.ddd5c17ff7c79p-3, -0x1.d6e5302f4b183p-3, -0x1.d0025d602c9b3p-3, -0x1.c92da406feeefp-3, -0x1.c267592236af5p-3, -0x1.bbafcbddc5792p-3, -0x1.b50745b8796c9p-3, -0x1.ae6e0aab8c1e6p-3, -0x1.a7e45954a5939p-3, -0x1.a16a6b2216962p-3, -0x1.9b007480ab2d1p-3, -0x1.94a6a50a60e69p-3, -0x1.8e5d27b511b24p-3, -0x1.882423008bd6dp-3, -0x1.81fbb923ebe85p-3, -0x1.7be4083a1591p-3, -0x1.75dd2a6d0851ep-3, -0x1.6fe7361fe987dp-3, -0x1.6a023e178d2bcp-3, -0x1.642e51a1a15e9p-3, -0x1.5e6b7cba9804fp-3, -0x1.58b9c8326efefp-3, -0x1.531939d06f9cfp-3, -0x1.4d89d4760a41fp-3, -0x1.480b9840de0a9p-3, -0x1.429e82ac132b1p-3, -0x1.3d428eb111b1cp-3, -0x1.37f7b4e77cee6p-3, -0x1.32bdeba477e3fp-3, -0x1.2d9527196163bp-3, -0x1.287d5971a7f07p-3, -0x1.237672efd2716p-3, -0x1.1e806209c59f4p-3, -0x1.199b1384186d8p-3, -0x1.14c6728c48d24p-3, -0x1.100268d22aa48p-3, -0x1.0b4edea04b13ap-3, -0x1.06abbaf31f60bp-3, -0x1.0218e38f3b8bp-3, -0x1.fb2c7a2d4ddadp-4, -0x1.f247563a4aea2p-4, -0x1.e98220768f67cp-4, -0x1.e0dc9c418d42p-4, -0x1.d8568b4c39e9fp-4, -0x1.cfefadb9fabdap-4, -0x1.c7a7c23fd9a4bp-4, -0x1.bf7e8642ca6c4p-4, -0x1.b773b5f477a94p-4, -0x1.af870c6e1331p-4, -0x1.a7b843c9ebab9p-4, -0x1.a007153c71e43p-4, -0x1.9873392bd4c22p-4, -0x1.90fc6745e97f1p-4, -0x1.89a256951f289p-4, -0x1.8264bd950a565p-4, -0x1.7b435245c4eep-4, -0x1.743dca3db23efp-4, -0x1.6d53daba6e12fp-4, -0x1.668538b172639p-4, -0x1.5fd198dfcda0fp-4, -0x1.5938afd862f64p-4, -0x1.52ba32114f5b9p-4, -0x1.4c55d3f120bcep-4, -0x1.460b49db7711cp-4, -0x1.3fda483c64663p-4, -0x1.39c28392cb29bp-4, -0x1.33c3b07a67dffp-4, -0x1.2ddd83b58a6c7p-4, -0x1.280fb235f538ep-4, -0x1.2259f124dc3c7p-4, -0x1.1cbbf5ea89ef9p-4, -0x1.17357635e2d44p-4, -0x1.11c6280352ed7p-4, -0x1.0c6dc1a2d8a0ap-4, -0x1.072bf9bd81188p-4, -0x1.0200875acd41p-4, -0x1.f9d643cbe5c24p-5, -0x1.efd702651e69p-5, -0x1.e602bb017c03fp-5, -0x1.dc58df01e3137p-5, -0x1.d2d8e0af705p-5, -0x1.c982334294c07p-5, -0x1.c0544ae93530dp-5, -0x1.b74e9ccc0c043p-5, -0x1.ae709f13e452bp-5, -0x1.a5b9c8eeb82dbp-5, -0x1.9d29929443353p-5, -0x1.94bf7549d2f5bp-5, -0x1.8c7aeb65a8715p-5, -0x1.845b705268c9fp-5, -0x1.7c608092770cap-5, -0x1.748999c2c5d39p-5, -0x1.6cd63a9cf5d0bp-5, -0x1.6545e2f932e7cp-5, -0x1.5dd813d0422f8p-5, -0x1.568c4f3da56a1p-5, -0x1.4f621881413b3p-5, -0x1.4858f400585f8p-5, -0x1.417067462e3a1p-5, -0x1.3aa7f904e4d7ap-5, -0x1.33ff3116c69c1p-5, -0x1.2d75987f2932dp-5, -0x1.270ab96ad44c2p-5, -0x1.20be1f2fc6268p-5, -0x1.1a8f564d0b18bp-5, -0x1.147dec6b01d3bp-5, -0x1.0e89705be061cp-5, -0x1.08b1721bd9181p-5, -0x1.02f582d095f19p-5, -0x1.faaa699091e8p-6, -0x1.efa036f1f39acp-6, -0x1.e4cb97008db21p-6, -0x1.da2bb546ca3f6p-6, -0x1.cfbfbf9d7c5aap-6, -0x1.c586e629e2aa2p-6, -0x1.bb805b5aeebbfp-6, -0x1.b1ab53e6e01c8p-6, -0x1.a80706c9e2622p-6, -0x1.9e92ad45265dfp-6, -0x1.954d82dda78f4p-6, -0x1.8c36c559c6864p-6, -0x1.834db4be13bp-6, -0x1.7a91934a20776p-6, -0x1.7201a5760fcddp-6, -0x1.699d31f0ed244p-6, -0x1.6163819f10c2dp-6, -0x1.5953df97ca5acp-6, -0x1.516d992224c8cp-6, -0x1.49affdb10040ep-6, -0x1.421a5ee00fc4ep-6, -0x1.3aac1070efefep-6, -0x1.33646848fb0c5p-6, -0x1.2c42be6f2433fp-6, -0x1.25466d08ff53fp-6, -0x1.1e6ed0571458ep-6, -0x1.17bb46b0e876dp-6, -0x1.112b30815be2fp-6, -0x1.0abdf0439395ep-6, -0x1.0472ea805d7f4p-6, -0x1.fc930b96daa17p-7, -0x1.f082558060dfdp-7, -0x1.e4b287fbeb022p-7, -0x1.d9227c47a939p-7, -0x1.cdd10f996483bp-7, -0x1.c2bd231781e9dp-7, -0x1.b7e59bd2b4393p-7, -0x1.ad4962bfe1d6p-7, -0x1.a2e764b171241p-7, -0x1.98be924fab4fcp-7, -0x1.8ecde0106dc2fp-7, -0x1.8514462ebe0bep-7, -0x1.7b90c0a2ccf2ap-7, -0x1.72424f1a9e389p-7, -0x1.6927f4f334a27p-7, -0x1.6040b9319c3c3p-7, -0x1.578ba67b8b0e5p-7, -0x1.4f07cb0f3b637p-7, -0x1.46b438baddc41p-7, -0x1.3e9004d40280cp-7, -0x1.369a482f5f6b4p-7, -0x1.2ed21f190b134p-7, -0x1.2736a94d270ebp-7, -0x1.1fc709f060e08p-7, -0x1.1882678838547p-7, -0x1.1167ebf2b5e0ap-7, -0x1.0a76c45dc8c9ap-7, -0x1.03ae213e91b61p-7, -0x1.fa1a6c91d0bd7p-8, -0x1.ed2674ce6b5f5p-8, -0x1.e07ecf6531013p-8, -0x1.d421f6d6439ccp-8, -0x1.c80e6bdfd8b92p-8, -0x1.bc42b56dc17c7p-8, -0x1.b0bd60885eaedp-8, -0x1.a57d0042ef3bap-8, -0x1.9a802daaa5b35p-8, -0x1.8fc587b69f8bap-8, -0x1.854bb33668d38p-8, -0x1.7b115ac2091ffp-8, -0x1.71152eaa72b42p-8, -0x1.6755e4e92f73p-8, -0x1.5dd2390fcba9fp-8, -0x1.5488ec36e7ea7p-8, -0x1.4b78c4ed38074p-8, -0x1.42a08f26a618fp-8, -0x1.39ff1c2ba3ac2p-8, -0x1.31934288e795ep-8, -0x1.295bddff56d8ep-8, -0x1.2157cf73fd059p-8, -0x1.1985fcdff7a82p-8, -0x1.11e551402d133p-8, -0x1.0a74bc84ec5e3p-8, -0x1.0333338173361p-8, -0x1.f83f5fb7374d6p-9, -0x1.ea725ff76f8a1p-9, -0x1.dcfd6df941b88p-9, -0x1.cfde9937f0d9fp-9, -0x1.c313fa5501122p-9, -0x1.b69bb2f8d53bdp-9, -0x1.aa73edb36301p-9, -0x1.9e9adddc70bbap-9, -0x1.930ebf74459d6p-9, -0x1.87cdd7044473p-9, -0x1.7cd671801d46dp-9, -0x1.7226e4276577fp-9, -0x1.67bd8c6799a73p-9, -0x1.5d98cfbe7b66dp-9, -0x1.53b71b9c60476p-9, -0x1.4a16e5468324cp-9, -0x1.40b6a9b92c5afp-9, -0x1.3794ed89966d3p-9, -0x1.2eb03cc8205c9p-9, -0x1.26072ae2b9fb1p-9, -0x1.1d985287c946bp-9, -0x1.15625589fc359p-9, -0x1.0d63dcc4938a8p-9, -0x1.059b980050eb1p-9, -0x1.fc107bb0f2735p-10, -0x1.ed51173fc5848p-10, -0x1.def68a8b36832p-10, -0x1.d0fe6a72512f6p-10, -0x1.c366589d4665ap-10, -0x1.b62c0345ac361p-10, -0x1.a94d24ff67ff7p-10, -0x1.9cc784837dccap-10, -0x1.9098f47cb2f25p-10, -0x1.84bf53561cb1p-10, -0x1.79388b0b71335p-10, -0x1.6e0290f9bba05p-10, -0x1.631b65b01ed17p-10, -0x1.588114bf8f718p-10, -0x1.4e31b48998aa3p-10, -0x1.442b660dcbabp-10, -0x1.3a6c54b6e962fp-10, -0x1.30f2b62883915p-10, -0x1.27bcca0e356b5p-10, -0x1.1ec8d9ecbd02ap-10, -0x1.161538f58c4e9p-10, -0x1.0da043dc76a2bp-10, -0x1.056860ae80db5p-10, -0x1.fad7fd52a3f43p-11, -0x1.eb532c2467ec9p-11, -0x1.dc3f501851914p-11, -0x1.cd997cda966c2p-11, -0x1.bf5ed726f5578p-11, -0x1.b18c9472ba061p-11, -0x1.a41ffa97e5802p-11, -0x1.97165f8270228p-11, -0x1.8a6d28dff1745p-11, -0x1.7e21cbd0eb458p-11, -0x1.7231cc9b87ad5p-11, -0x1.669abe5e27be1p-11, -0x1.5b5a42c36de0ep-11, -0x1.506e09b6f0a08p-11, -0x1.45d3d11d5d017p-11, -0x1.3b896490984c2p-11, -0x1.318c9d20c59cdp-11, -0x1.27db6119fa4ffp-11, -0x1.1e73a3cc272e1p-11, -0x1.1553655224b2p-11, -0x1.0c78b253d19efp-11, -0x1.03e1a3c0019d8p-11, -0x1.f718bcfa71d4bp-12, -0x1.e6ee2624d6c32p-12, -0x1.d73ffa99592f4p-12, -0x1.c80ac7cfed8d7p-12, -0x1.b94b3086a7944p-12, -0x1.aafdec4ba6138p-12, -0x1.9d1fc72fecde4p-12, -0x1.8fada19e59e4cp-12, -0x1.82a4704ac55a6p-12, -0x1.76013c23da901p-12, -0x1.69c122316ab6dp-12, -0x1.5de1534983321p-12, -0x1.525f138efe5bap-12, -0x1.4737b9b7f14b3p-12, -0x1.3c68ae26d0e6ap-12, -0x1.31ef69efbb489p-12, -0x1.27c975e91b52ep-12, -0x1.1df469ebf5dbep-12, -0x1.146dec5eb80cep-12, -0x1.0b33b21655c41p-12, -0x1.02437e864a8d1p-12, -0x1.f3364846d933cp-13, -0x1.e27109a2bfcf6p-13, -0x1.d233246156f27p-13, -0x1.c2789b570a833p-13, -0x1.b33d905d0e9c6p-13, -0x1.a47e4311ba0bap-13, -0x1.96370efe8387bp-13, -0x1.8864695039563p-13, -0x1.7b02de67029e7p-13, -0x1.6e0f0f9615978p-13, -0x1.6185b173951cfp-13, -0x1.55638b0997d5p-13, -0x1.49a576096646ap-13, -0x1.3e485fdefbebap-13, -0x1.33494b4097a5ep-13, -0x1.28a551b328866p-13, -0x1.1e59a48dba956p-13, -0x1.14638d3acefe5p-13, -0x1.0ac06cbb086aap-13, -0x1.016dba9558169p-13, -0x1.f0d206d0f572dp-14, -0x1.df5fce6fbbc8p-14, -0x1.ce802efac98ep-14, -0x1.be2eaa2034b7p-14, -0x1.ae66dc3b12b93p-14, -0x1.9f24793ecdd8ap-14, -0x1.90634b8119e44p-14, -0x1.821f34d10f712p-14, -0x1.7454316d40f75p-14, -0x1.66fe5b9d9f4b9p-14, -0x1.5a19ee741c70bp-14, -0x1.4da346b8967c3p-14, -0x1.4196e1ec93689p-14, -0x1.35f15c36b72dbp-14, -0x1.2aaf6e6234ad2p-14, -0x1.1fcdecb372d28p-14, -0x1.1549c665b36dp-14, -0x1.0b20050336bcbp-14, -0x1.014dcab99a4f3p-14, -0x1.efa09ed4325b6p-15, -0x1.dd49ba56836f8p-15, -0x1.cb919b29fe6cdp-15, -0x1.ba731204b4fcp-15, -0x1.a9e90ffcc8ea5p-15, -0x1.99eeabbf9732cp-15, -0x1.8a7f25e0ca234p-15, -0x1.7b95e9a344cadp-15, -0x1.6d2e89b8b549ep-15, -0x1.5f44bacf0fp-15, -0x1.51d44eeb658ccp-15, -0x1.44d93409dbe4bp-15, -0x1.384f769659e65p-15, -0x1.2c3346091e1d4p-15, -0x1.2080f89f977c7p-15, -0x1.15350bae0fcc5p-15, -0x1.0a4c201a48f34p-15, -0x1.ff85e9eb0d6acp-16, -0x1.eb2cc6479fe1dp-16, -0x1.d786b7baa06abp-16, -0x1.c48dd2fa2f039p-16, -0x1.b23c60c752227p-16, -0x1.a08cdbe742f89p-16, -0x1.8f79ead5cdff7p-16, -0x1.7efe57c3f77afp-16, -0x1.6f1509b335186p-16, -0x1.5fb90031fb67ep-16, -0x1.50e5529ba7985p-16, -0x1.429533f460674p-16, -0x1.34c3fb39a3bdap-16, -0x1.276d2cd76b735p-16, -0x1.1a8c7fe112c73p-16, -0x1.0e1ddc3cbf0cfp-16, -0x1.021d54c1b3083p-16, -0x1.ed0e484a7d84ep-17, -0x1.d6af61ae17affp-17, -0x1.c11728ad61db5p-17, -0x1.ac3f3a27a0fb9p-17, -0x1.982188a0867d5p-17, -0x1.84b835bf4d009p-17, -0x1.71fd6f89e275bp-17, -0x1.5feb651467c4cp-17, -0x1.4e7c52c238f54p-17, -0x1.3daa94b4dc2f8p-17, -0x1.2d70af47f7356p-17, -0x1.1dc94d2c790afp-17, -0x1.0eaf3dc138f73p-17, -0x1.001d7a43d530ap-17, -0x1.e41e5912395bfp-18, -0x1.c8ff5a134c7bcp-18, -0x1.aed4ee17f2666p-18, -0x1.95964195c4a0dp-18, -0x1.7d3ad1c01d01cp-18, -0x1.65bab1f7b33d1p-18, -0x1.4f0eca10edc6cp-18, -0x1.3930cee75ef76p-18, -0x1.241ae705bf0b2p-18, -0x1.0fc7342fabc8cp-18, -0x1.f85f26b57ed55p-19, -0x1.d29b658d59a5dp-19, -0x1.ae36a87a9f5fbp-19, -0x1.8b24f75f6dac7p-19, -0x1.695ae89b2d163p-19, -0x1.48cd8546ce321p-19, -0x1.297237775946p-19, -0x1.0b3ec755bea74p-19, -0x1.dc52ad0b52602p-20, -0x1.a4509db2319bp-20, -0x1.6e6485351a8d5p-20, -0x1.3a7b95166a9ecp-20, -0x1.08830c92563d1p-20, -0x1.b0d1aa6c70a43p-21, -0x1.54393a4a5b785p-21, -0x1.f642584711513p-22, -0x1.4ae3d30ae551fp-22, -0x1.4c52fe7293298p-23, -0x1.f89d3555e0f28p-28, 0x1.204b5e29fd3a2p-23, 0x1.2222d68f4e3e7p-22, 0x1.ae45ac5e3dc6dp-22, 0x1.1a5e2ec4bf3a5p-21, 0x1.5ada32a7c8d74p-21, 0x1.98ad4eaf814e3p-21, 0x1.d3ecf4be17e1ep-21, 0x1.065691be7ce52p-20, 0x1.21804c71a554dp-20, 0x1.3b7cc3a99012bp-20, 0x1.54551df18fb3ap-20, 0x1.6c129d8a7568bp-20, 0x1.82be74a6600f8p-20, 0x1.986193e4055afp-20, 0x1.ad0479be767bep-20, 0x1.c0aee9426c216p-20, 0x1.d367bdacd8aa7p-20, 0x1.e5354482d71ecp-20, 0x1.f61def0a0eecp-20, 0x1.031444b87e5e5p-19, 0x1.0aadd554be6a6p-19, 0x1.11de965c3dfd5p-19, 0x1.18a93a9441eafp-19, 0x1.1f108982e61ddp-19, 0x1.25176c2ac2085p-19, 0x1.2ac0c691da04cp-19, 0x1.300f5a34cb121p-19, 0x1.3505b5fe9b0c7p-19, 0x1.39a63210090e8p-19, 0x1.3df3030217542p-19, 0x1.41ee5c96c6794p-19, 0x1.459a882e3d53bp-19, 0x1.48f9d99a56e46p-19, 0x1.4c0e895017a11p-19, 0x1.4eda9850bf9ep-19, 0x1.515fddebaec56p-19, 0x1.53a0316500655p-19, 0x1.559d8201a754fp-19, 0x1.5759d25b5be8ep-19, 0x1.58d7271530b03p-19, 0x1.5a175a310f096p-19, 0x1.5b1beb6179646p-19, 0x1.5be6239d6610fp-19, 0x1.5c7770da0c9d8p-19, 0x1.5cd1733b7fa82p-19, 0x1.5cf5c1828dfffp-19, 0x1.5ce5d75ed8fdcp-19, 0x1.5ca3273a0d61fp-19, 0x1.5c2f18f07e8c4p-19, 0x1.5b8b0233490cap-19, 0x1.5ab8292d12ff6p-19, 0x1.59b7cbee9a266p-19, 0x1.588b275b96fdcp-19, 0x1.57337b8ef91a9p-19, 0x1.55b20934726d1p-19, 0x1.540803f5ce4dp-19, 0x1.52368245d426ap-19, 0x1.503e80667b554p-19, 0x1.4e2100511ce7dp-19, 0x1.4bdf2789b9506p-19, 0x1.497a359b40a0ep-19, 0x1.46f36500b0887p-19, 0x1.444bca69891abp-19, 0x1.41843b3d504c5p-19, 0x1.3e9d7c2e4299ep-19, 0x1.3b98857debc62p-19, 0x1.387663b6328e5p-19, 0x1.3538033cf634p-19, 0x1.31de43bdbd91ap-19, 0x1.2e6a09179ba4dp-19, 0x1.2adc31e4202fp-19, 0x1.273595bff8bp-19, 0x1.2377099f84a37p-19, 0x1.1fa1614ed1519p-19, 0x1.1bb56e08c7784p-19, 0x1.17b3fcbe1c803p-19, 0x1.139dd5f25c5bdp-19, 0x1.0f73bf0d1392bp-19, 0x1.0b367a97e28cdp-19, 0x1.06e6c58bca094p-19, 0x1.028554a1bb737p-19, 0x1.fc25affb11c1cp-20, 0x1.f3200c269c317p-20, 0x1.e9fb407fff2dbp-20, 0x1.e0b8cb4c021ffp-20, 0x1.d75a10a0b19aap-20, 0x1.cde05828c8e85p-20, 0x1.c44cd53735406p-20, 0x1.baa0dc22bef52p-20, 0x1.b0ddcb825209cp-20, 0x1.a704d7ce0e5b9p-20, 0x1.9d1736c0417acp-20, 0x1.93162522aa69ep-20, 0x1.8902d3e730ccfp-20, 0x1.7ede6b98bc37ep-20, 0x1.74aa1226070bbp-20, 0x1.6a66ec2e2da52p-20, 0x1.60161c204c5abp-20, 0x1.55b8c077ed335p-20, 0x1.4b4ff1e07ef83p-20, 0x1.40dcc21afacafp-20, 0x1.36603c7426b66p-20, 0x1.2bdb67b07a12fp-20, 0x1.214f47ed14ee8p-20, 0x1.16bcded1c6b36p-20, 0x1.0c2529a43626dp-20, 0x1.01891f9c15659p-20, 0x1.edd36a959a153p-21, 0x1.d88fbfa415e89p-21, 0x1.c34913fc6414fp-21, 0x1.ae01291fbbeafp-21, 0x1.98b9d24defbp-21, 0x1.8374d9f41091fp-21, 0x1.6e340322022e3p-21, 0x1.58f8ebf61370ap-21, 0x1.43c5362ade316p-21, 0x1.2e9a8b95ca115p-21, 0x1.197a839484e57p-21, 0x1.0466a9e36d686p-21, 0x1.dec107795977dp-22, 0x1.b4d320d6a4b82p-22, 0x1.8b069280b90e6p-22, 0x1.615e42c3d8369p-22, 0x1.37dd0a5c29b77p-22, 0x1.0e85b27c41bep-22, 0x1.cab5e56531365p-23, 0x1.78bedf312c33bp-23, 0x1.272b76e7f4675p-23, 0x1.ac0166782bf1ep-24, 0x1.0a870d600fc9cp-24, 0x1.a7c69f7dca9d1p-26, -0x1.ada9a3c9d557ap-27, -0x1.a8c885a0c3861p-25, -0x1.7212951815ca7p-24, -0x1.075bb70581a88p-23, -0x1.55252a47e4237p-23, -0x1.a2619a818e65ap-23, -0x1.ef0ccc1a61c5fp-23, -0x1.1d91461454e37p-22, -0x1.434f8e60c89bep-22, -0x1.68bf77ab26121p-22, -0x1.8ddf21a91f487p-22, -0x1.b2acc45d88831p-22, -0x1.d726ace8f6eb4p-22, -0x1.fb4b3482540d1p-22, -0x1.0f8c60508cf8p-21, -0x1.2146e1badf6a1p-21, -0x1.32d45dc4d6d7p-21, -0x1.4434199cc4f59p-21, -0x1.556560488a59cp-21, -0x1.666782c9a3982p-21, -0x1.7739d85cedb7ep-21, -0x1.87dbbeca98a15p-21, -0x1.984c9ab225bedp-21, -0x1.a88bd79d0ac6ep-21, -0x1.b898e769a9b77p-21, -0x1.c873410031e5cp-21, -0x1.d81a5f5d3cc2p-21, -0x1.e78dc21cef471p-21, -0x1.f6ccef73a270ep-21, -0x1.02ebbb2e5cc9ep-20, -0x1.0a5677114650ap-20, -0x1.11a678f3a5e3cp-20, -0x1.18db9007204f1p-20, -0x1.1ff58f9cca7b7p-20, -0x1.26f4467c3efa5p-20, -0x1.2dd78c8b995dep-20, -0x1.349f4084b0148p-20, -0x1.3b4b3b9be770ep-20, -0x1.41db5cf01d5e4p-20, -0x1.484f86b95a02cp-20, -0x1.4ea79d3e40a11p-20, -0x1.54e387225b22ap-20, -0x1.5b032d7ee989bp-20, -0x1.61067bd780827p-20, -0x1.66ed5fffb0cbbp-20, -0x1.6cb7c9fdaec74p-20, -0x1.7265abfb93cfap-20, -0x1.77f6fa4ba57e9p-20, -0x1.7d6bab731a4f8p-20, -0x1.82c3b834ccf75p-20, -0x1.87ff1b9eef942p-20, -0x1.8d1dd3194936bp-20, -0x1.921fde5e32c9ap-20, -0x1.97053f2c595c7p-20, -0x1.9bcdf8cc899d3p-20, -0x1.a07a0febcc518p-20, -0x1.a5098ae5c923fp-20, -0x1.a97c724312054p-20, -0x1.add2d1772bd91p-20, -0x1.b20cb6f8ebc41p-20, -0x1.b62a31f6438dbp-20, -0x1.ba2b50d34c337p-20, -0x1.be10264a0834p-20, -0x1.c1d8c47b81ec5p-20, -0x1.c5854260c9218p-20, -0x1.c915b640c52cdp-20, -0x1.cc8a37afaad1ap-20, -0x1.cfe2e18223244p-20, -0x1.d31fcf70449b5p-20, -0x1.d6411e7a56869p-20, -0x1.d946ed13491bcp-20, -0x1.dc315b1f20c9fp-20, -0x1.df0089ea81097p-20, -0x1.e1b49c1b647f1p-20, -0x1.e44db59d90272p-20, -0x1.e6cbfb90dbbd7p-20, -0x1.e92f94426ce65p-20, -0x1.eb78a72caa7fap-20, -0x1.eda75cf75bc1dp-20, -0x1.efbbdf74f47f6p-20, -0x1.f1b659a130e4p-20, -0x1.f396f7a7694f7p-20, -0x1.f55de6e15fa81p-20, -0x1.f70b55b372c84p-20, -0x1.f89f734824527p-20, -0x1.fa1a6f7297e75p-20, -0x1.fb7c7ace56b3ep-20, -0x1.fcc5c6e4fdefdp-20, -0x1.fdf6866d05709p-20, -0x1.ff0eedc6f0927p-20, -0x1.0007992ddf286p-19, -0x1.007bc453bb30dp-19, -0x1.00e4125983a1fp-19, -0x1.01409f39bd1d8p-19, -0x1.019187545c18fp-19, -0x1.01d6e5c6ef6c6p-19, -0x1.0210d6957578ap-19, -0x1.023f76c5e48a1p-19, -0x1.0262e34c089e3p-19, -0x1.027b394f7e0efp-19, -0x1.0288963c7304dp-19, -0x1.028b17c1be0c6p-19, -0x1.0282dbcd51024p-19, -0x1.0270008902771p-19, -0x1.0252a456aebfdp-19, -0x1.022ae5cb4049bp-19, -0x1.01f8e3a9b1031p-19, -0x1.01bcbcdf56147p-19, -0x1.017690825c7eap-19, -0x1.01267dd09e7f6p-19, -0x1.00cca42ef4e6cp-19, -0x1.0069232157c86p-19, -0x1.fff834a2988ep-20, -0x1.ff0b530fcc15bp-20, -0x1.fe0be15f42369p-20, -0x1.fcfa1f94e6342p-20, -0x1.fbd64dcb470e9p-20, -0x1.faa0ac2e1a194p-20, -0x1.f9597b0cd5b2cp-20, -0x1.f800fae00c17bp-20, -0x1.f6976c44e016ap-20, -0x1.f51d10149774p-20, -0x1.f392272605eafp-20, -0x1.f1f6f1884a0ffp-20, -0x1.f04baecf34a0fp-20, -0x1.ee909f670d88p-20, -0x1.ecc606ce9236ap-20, -0x1.eaec2439275e2p-20, -0x1.e90337f00fca7p-20, -0x1.e70b82dcaaf1dp-20, -0x1.e5054539def57p-20, -0x1.e2f0bf1e23fb3p-20, -0x1.e0ce3093a588p-20, -0x1.de9dd995f8d0ap-20, -0x1.dc5ffa09e81a7p-20, -0x1.da14d1b3b2a7ep-20, -0x1.d7bca02e30ecep-20, -0x1.d557a4e29da0cp-20, -0x1.d2e61f02effbp-20, -0x1.d0684d8579e81p-20, -0x1.cdde6f2226733p-20, -0x1.cb48c250ce0a6p-20, -0x1.c8a7854825403p-20, -0x1.c5faf5fbeb044p-20, -0x1.c343521a846fap-20, -0x1.c080d70a20a9bp-20, -0x1.bdb3c1e71b025p-20, -0x1.badc4f82d17dcp-20, -0x1.b7fabc61e0e24p-20, -0x1.b50f44b49f576p-20, -0x1.b21a244f6fd22p-20, -0x1.af1b96aa523fp-20, -0x1.ac13d6e475c71p-20, -0x1.a9031fc1cc89ap-20, -0x1.a5e9aba9aad18p-20, -0x1.a2c7b4b63be87p-20, -0x1.9f9d74b1182dp-20, -0x1.9c6b24d81fc12p-20, -0x1.9930fde07377cp-20, -0x1.95ef37fc38922p-20, -0x1.92a60c02a780ep-20, -0x1.8f55b129be994p-20, -0x1.8bfe5e763988ap-20, -0x1.88a04ae3cd88p-20, -0x1.853baccce88adp-20, -0x1.81d0ba17d4fa5p-20, -0x1.7e5fa839d787dp-20, -0x1.7ae8ac34f3538p-20, -0x1.776bfa970356ep-20, -0x1.73e9c7783b9f7p-20, -0x1.70624678f4606p-20, -0x1.6cd5aac1f16dcp-20, -0x1.694427029f719p-20, -0x1.65aded706949fp-20, -0x1.62132fc5f1bbap-20, -0x1.5e741f41a282cp-20, -0x1.5ad0eca460482p-20, -0x1.5729c831f264bp-20, -0x1.537ee1b0afdebp-20, -0x1.4fd06867b23eap-20, -0x1.4c1e8b1e828cbp-20, -0x1.4869781c8ef6cp-20, -0x1.44b15d296ffd8p-20, -0x1.40f6678c62b72p-20, -0x1.3d38c40b468e4p-20, -0x1.39789ee9da6ap-20, -0x1.35b623e880c74p-20, -0x1.31f17e44e933ap-20, -0x1.2e2ad8bab4047p-20, -0x1.2a625d828a99dp-20, -0x1.26983651dc804p-20, -0x1.22cc8c5d3943dp-20, -0x1.1eff885878ca4p-20, -0x1.1b31526ea6fbdp-20, -0x1.17621243b9df2p-20, -0x1.1391eef2989eep-20, -0x1.0fc10f2fcecbdp-20, -0x1.0bef992435433p-20, -0x1.081db25a7b8c3p-20, -0x1.044b7fd9ca39p-20, -0x1.0079263467f8ep-20, -0x1.f94d934607e7p-21, -0x1.f1a91b4b5fab6p-21, -0x1.ea052a89940e1p-21, -0x1.e2620618a1a1ep-21, -0x1.dabff20d0db57p-21, -0x1.d31f317789dc3p-21, -0x1.cb8006671030cp-21, -0x1.c3e2b1e8b922ap-21, -0x1.bc47740961e41p-21, -0x1.b4ae8bd5bbdd8p-21, -0x1.ad18375ca3f71p-21, -0x1.a584b3ae409fcp-21, -0x1.9df43cde60783p-21, -0x1.96670e04c9ep-21, -0x1.8edd613f7a094p-21, -0x1.87576fb26640dp-21, -0x1.7fd57188b5103p-21, -0x1.78579df622435p-21, -0x1.70de2b38f5954p-21, -0x1.69694e9b99e6p-21, -0x1.61f93c756687bp-21, -0x1.5a8e282c59812p-21, -0x1.532844372dd16p-21, -0x1.4bc7c21fbdcb3p-21, -0x1.446cd287107adp-21, -0x1.3d17a518deac6p-21, -0x1.35c868bce4557p-21, -0x1.2e7f4b4696c24p-21, -0x1.273c79c1c03dbp-21, -0x1.20002047755d9p-21, -0x1.18ca6a0306751p-21, -0x1.119b812e0978ep-21, -0x1.0a738f125b818p-21, -0x1.0352bc10767efp-21, -0x1.f8725f5aadcf2p-22, -0x1.ea4e212dba1acp-22, -0x1.dc3909677761fp-22, -0x1.ce33623f2926p-22, -0x1.c03d744fda9e1p-22, -0x1.b2578691a01a2p-22, -0x1.a481de527f638p-22, -0x1.96bcbf3676324p-22, -0x1.89086b39ddaf2p-22, -0x1.7b6522b66a322p-22, -0x1.6dd32468a5ac3p-22, -0x1.6052ad77ce09bp-22, }}, 
      {{-0x1.4cf7938774aa3p-12, -0x1.327167507073ap-10, -0x1.2f8567fafd28bp-9, -0x1.c6ab0b6914effp-9, -0x1.1ca09f900bec5p-8, -0x1.331cd66a1d29dp-8, -0x1.1967014218057p-8, -0x1.8b2df43db6389p-9, -0x1.899bcfb1f3656p-11, 0x1.4e29accf434ccp-9, 0x1.c3d1cc39ea73ap-8, 0x1.91a2eb4881332p-7, 0x1.3076c1e180583p-6, 0x1.a6a496f780cd5p-6, 0x1.14ecf8d0e4459p-5, 0x1.5c353716ba82dp-5, 0x1.a8485d04beef1p-5, 0x1.f83ee5c018385p-5, 0x1.25994655667ebp-4, 0x1.50218aac7033ep-4, 0x1.7b4cf7df65051p-4, 0x1.a6b670e0eec13p-4, 0x1.d1ffedcda6a6dp-4, 0x1.fcd30ccd9077fp-4, 0x1.1370acef103ecp-3, 0x1.27f22e5633372p-3, 0x1.3bcebd0cfc1ccp-3, 0x1.4eeada965c288p-3, 0x1.612eac9396fbep-3, 0x1.7285ca29f0ff8p-3, 0x1.82df04dc7df0ap-3, 0x1.922c2f16f382ap-3, 0x1.a061e24b18c2dp-3, 0x1.ad7745c265f4ap-3, 0x1.b965d72933e6ep-3, 0x1.c4293560218f6p-3, 0x1.cdbeee163d91p-3, 0x1.d6264e468d9a7p-3, 0x1.dd6035b95b369p-3, 0x1.e36eed864a8ep-3, 0x1.e856017773988p-3, 0x1.ec1a1c3daf8a1p-3, 0x1.eec0e638263f4p-3, 0x1.f050e6c5bf9b3p-3, 0x1.f0d167cd5f7c5p-3, 0x1.f04a5b7c0958bp-3, 0x1.eec443f821973p-3, 0x1.ec481cec95546p-3, 0x1.e8df46d703ac1p-3, 0x1.e49373ec885fcp-3, 0x1.df6e9680412fap-3, 0x1.d97ad0cfc1dd4p-3, 0x1.d2c26625ad08ep-3, 0x1.cb4fad3e7e05bp-3, 0x1.c32d03cb5e277p-3, 0x1.ba64c31d9f21fp-3, 0x1.b10135d2e9e5fp-3, 0x1.a70c8e7bb8a21p-3, 0x1.9c90df34b458p-3, 0x1.9198121c08656p-3, 0x1.862be299875afp-3, 0x1.7a55d76e1849cp-3, 0x1.6e1f3d7e8128ep-3, 0x1.6191234f08f5ep-3, 0x1.54b4552532262p-3, 0x1.479159c3f053fp-3, 0x1.3a306fb9b7935p-3, 0x1.2c998b39a33dcp-3, 0x1.1ed45474a139ep-3, 0x1.10e8265c90036p-3, 0x1.02dc0df37b2b4p-3, 0x1.e96d938ffbd06p-4, 0x1.ccfd9438fb2d7p-4, 0x1.b07462255f77fp-4, 0x1.93dda6722e34p-4, 0x1.774471da7f993p-4, 0x1.5ab33cd9e6742p-4, 0x1.3e33ed3af94e9p-4, 0x1.21cfd6d6d267ep-4, 0x1.058fbe98fdf65p-4, 0x1.d2f7c53ee3ff3p-5, 0x1.9b37ec6df2ebcp-5, 0x1.63ee5b03ab63ep-5, 0x1.2d288020fe754p-5, 0x1.ede597057af0ap-6, 0x1.82b1a3efd1deap-6, 0x1.18ca7e6d14393p-6, 0x1.60877dabfadeep-7, 0x1.24be075d9852ep-8, -0x1.c61c5fac458a1p-10, -0x1.00c23ef0824e5p-7, -0x1.c581bff6b220fp-7, -0x1.4374d0c964f9fp-6, -0x1.a271fa2b1e985p-6, -0x1.ffae8c7e5ad08p-6, -0x1.2d90f8b116c5ep-5, -0x1.5a6251fb808d2p-5, -0x1.864810a5e8b57p-5, -0x1.b13f74377e99fp-5, -0x1.db4630fa9a6e8p-5, -0x1.022d34b5f1e27p-4, -0x1.163d552cefc63p-4, -0x1.29d2f1e64a1a5p-4, -0x1.3cedb1d8f68eep-4, -0x1.4f8d68a5edd73p-4, -0x1.61b214298651ep-4, -0x1.735bda3a81517p-4, -0x1.848b067746039p-4, -0x1.95400827a7b47p-4, -0x1.a57b7028f6265p-4, -0x1.b53deedd5a55ap-4, -0x1.c4885237879ep-4, -0x1.d35b83d70ad6fp-4, -0x1.e1b8872c42f7dp-4, -0x1.efa077b8bbd55p-4, -0x1.fd14876498e09p-4, -0x1.050afe6bffe1cp-3, -0x1.0b5318f24bc7ep-3, -0x1.1163490024a98p-3, -0x1.173c4c5f56923p-3, -0x1.1cdee82681eeap-3, -0x1.224be7fdbbd09p-3, -0x1.27841d652a9dp-3, -0x1.2c885efb8937fp-3, -0x1.315987cb5907ap-3, -0x1.35f876a0495a3p-3, -0x1.3a660d615a048p-3, -0x1.3ea330722d445p-3, -0x1.42b0c6203df63p-3, -0x1.468fb61a8287cp-3, -0x1.4a40e8f0f29dap-3, -0x1.4dc5479e43cdap-3, -0x1.511dbb1d8e32p-3, -0x1.544b2c08c20f9p-3, -0x1.574e823e20c53p-3, -0x1.5a28a48da762ap-3, -0x1.5cda786e79dc3p-3, -0x1.5f64e1ba63264p-3, -0x1.61c8c26d51aa2p-3, -0x1.6406fa69fce71p-3, -0x1.66206744bd02cp-3, -0x1.6815e4119a8b8p-3, -0x1.69e84935d4dfap-3, -0x1.6b986c3e89d6fp-3, -0x1.6d271fbae3e6ap-3, -0x1.6e95331aaaa6fp-3, -0x1.6fe372913f673p-3, -0x1.7112a6fbaa5ecp-3, -0x1.722395cab40bdp-3, -0x1.731700f3e695dp-3, -0x1.73eda6e29b80dp-3, -0x1.74a8426cc03bcp-3, -0x1.75478ace800fap-3, -0x1.75cc33a739ab1p-3, -0x1.7636ecf67d79dp-3, -0x1.7688631f95e1ep-3, -0x1.76c13eefa87c9p-3, -0x1.76e225a0d92bap-3, -0x1.76ebb8e2150ddp-3, -0x1.76de96e3bcbbfp-3, -0x1.76bb5a6212c78p-3, -0x1.76829aabdb9dbp-3, -0x1.7634ebb2461e9p-3, -0x1.75d2de19c537dp-3, -0x1.755cff432756fp-3, -0x1.74d3d958d006fp-3, -0x1.7437f36228c4dp-3, -0x1.7389d15355b11p-3, -0x1.72c9f41859414p-3, -0x1.71f8d9a6091f6p-3, -0x1.7116fd0f17217p-3, -0x1.7024d6932cee1p-3, -0x1.6f22dbab84a21p-3, -0x1.6e117f1e38385p-3, -0x1.6cf13113d65ccp-3, -0x1.6bc25f267c4ebp-3, -0x1.6a85746f7668ap-3, -0x1.693ad99b34045p-3, -0x1.67e2f4fe9ebb8p-3, -0x1.667e2aa64ceb5p-3, -0x1.650cdc643211p-3, -0x1.638f69e2e4848p-3, -0x1.620630ba422a1p-3, -0x1.60718c7e62bebp-3, -0x1.5ed1d6cc4215ep-3, -0x1.5d27675b07a7ap-3, -0x1.5b72940f9006p-3, -0x1.59b3b10b3794ap-3, -0x1.57eb10b6df711p-3, -0x1.561903d101354p-3, -0x1.543dd97f4d9a6p-3, -0x1.5259df5d6ae02p-3, -0x1.506d6186c5d81p-3, -0x1.4e78aaa0e43e1p-3, -0x1.4c7c03e9ca489p-3, -0x1.4a77b5467392bp-3, -0x1.486c054cb1592p-3, -0x1.4659394a6a73cp-3, -0x1.443f954f5c8bdp-3, -0x1.421f5c39adb81p-3, -0x1.3ff8cfc0c56a4p-3, -0x1.3dcc307c0bfc6p-3, -0x1.3b99bde8a17bp-3, -0x1.3961b6718f83bp-3, -0x1.372457799cf3ap-3, -0x1.34e1dd6366439p-3, -0x1.329a83968957ep-3, -0x1.304e848410adep-3, -0x1.2dfe19ac4ff91p-3, -0x1.2ba97ba5d6b4cp-3, -0x1.2950e2239cccap-3, -0x1.26f483f99e2b6p-3, -0x1.24949720659aap-3, -0x1.223150b881a6bp-3, -0x1.1fcae50e6a183p-3, -0x1.1d61879ed7c7cp-3, -0x1.1af56b1b3dde6p-3, -0x1.1886c16d85f7dp-3, -0x1.1615bbba2edbp-3, -0x1.13a28a6133d02p-3, -0x1.112d5cff9089p-3, -0x1.0eb66272d7714p-3, -0x1.0c3dc8dde41aep-3, -0x1.09c3bdabf5882p-3, -0x1.07486d90698f8p-3, -0x1.04cc0484e3a0ap-3, -0x1.024eadc97b63p-3, -0x1.ffa127d1aa68ep-4, -0x1.faa3c17b51255p-4, -0x1.f5a57aea3e128p-4, -0x1.f0a6a518e37dap-4, -0x1.eba78f999ca61p-4, -0x1.e6a88895175bdp-4, -0x1.e1a9dcd36b721p-4, -0x1.dcabd7c910a1bp-4, -0x1.d7aec39c849dap-4, -0x1.d2b2e91fd1e37p-4, -0x1.cdb88fc49ab1p-4, -0x1.c8bffd96ce6b8p-4, -0x1.c3c977446843p-4, -0x1.bed5402c6f924p-4, -0x1.b9e39a68c808dp-4, -0x1.b4f4c6ca72e49p-4, -0x1.b00904cc0c528p-4, -0x1.ab209286b9547p-4, -0x1.a63bacb3fd774p-4, -0x1.a15a8ebbfd33ep-4, -0x1.9c7d72c4fb369p-4, -0x1.97a491b811212p-4, -0x1.92d02337da867p-4, -0x1.8e005d914b32dp-4, -0x1.893575b39c714p-4, -0x1.846f9f369b4dep-4, -0x1.7faf0c6b49b7ep-4, -0x1.7af3ee6adep-4, -0x1.763e7519aa1dep-4, -0x1.718ecf1cd8d27p-4, -0x1.6ce529cbb0a8ep-4, -0x1.6841b1284da7ap-4, -0x1.63a48fe625eeap-4, -0x1.5f0def7a98bbp-4, -0x1.5a7df82cc4b27p-4, -0x1.55f4d11adf80ep-4, -0x1.5172a032db21ap-4, -0x1.4cf78a24ea75dp-4, -0x1.4883b25a7e0d9p-4, -0x1.44173af9037dcp-4, -0x1.3fb244efbe336p-4, -0x1.3b54f008c1f3dp-4, -0x1.36ff5af38b943p-4, -0x1.32b1a34437e4ep-4, -0x1.2e6be569cc55bp-4, -0x1.2a2e3ca3737f2p-4, -0x1.25f8c2fcfb3aap-4, -0x1.21cb91562146cp-4, -0x1.1da6bf7183d21p-4, -0x1.198a6403b3183p-4, -0x1.157694bb35afdp-4, -0x1.116b663eef861p-4, -0x1.0d68ec25fd31dp-4, -0x1.096f38efb493p-4, -0x1.057e5e02173cfp-4, -0x1.01966bb11c4a6p-4, -0x1.fb6ee2985a03cp-5, -0x1.f3c2fa57ffe52p-5, -0x1.ec29397639404p-5, -0x1.e4a1b8ed60c0cp-5, -0x1.dd2c8fd2f5a4ep-5, -0x1.d5c9d34b567a7p-5, -0x1.ce7996858733cp-5, -0x1.c73beac47cac2p-5, -0x1.c010df742b9b7p-5, -0x1.b8f88242df2cep-5, -0x1.b1f2df35a7278p-5, -0x1.ab0000b1dc189p-5, -0x1.a41fef7b8242fp-5, -0x1.9d52b2adad1c7p-5, -0x1.96984fb4a1a2cp-5, -0x1.8ff0ca4fea581p-5, -0x1.895c249ea2db1p-5, -0x1.82da5f333e952p-5, -0x1.7c6b7928cf449p-5, -0x1.760f70339d25cp-5, -0x1.6fc640a97efe8p-5, -0x1.698fe58263bp-5, -0x1.636c5854b0feap-5, -0x1.5d5b9152fead5p-5, -0x1.575d874f5dfd1p-5, -0x1.51722fc5bd436p-5, -0x1.4b997eebf40aap-5, -0x1.45d367c39135p-5, -0x1.401fdc294219p-5, -0x1.3a7eccdeea725p-5, -0x1.34f0298fe1d1fp-5, -0x1.2f73e0d13677dp-5, -0x1.2a09e0213f323p-5, -0x1.24b213e9c7a1dp-5, -0x1.1f6c6786b88e2p-5, -0x1.1a38c55157bcep-5, -0x1.151716ae4dcebp-5, -0x1.1007441be9aep-5, -0x1.0b09353e2e949p-5, -0x1.061cd0e73758ep-5, -0x1.0141fd1bcc888p-5, -0x1.f8f13e2b02611p-6, -0x1.ef8136886c7dcp-6, -0x1.e633aaa24f347p-6, -0x1.dd08604906ddbp-6, -0x1.d3ff1bdbd8305p-6, -0x1.cb17a05e2a219p-6, -0x1.c251af8e6492ap-6, -0x1.b9ad09fbfeb48p-6, -0x1.b1296f1a56ceap-6, -0x1.a8c69d4f14a48p-6, -0x1.a08451fc31372p-6, -0x1.9862498667822p-6, -0x1.90603f59ce751p-6, -0x1.887dedee9dd94p-6, -0x1.80bb0ecf57483p-6, -0x1.79175aa1f2601p-6, -0x1.71928934a9d6bp-6, -0x1.6a2c518eefd1p-6, -0x1.62e46a0620a7dp-6, -0x1.5bba88548d364p-6, -0x1.54ae61b0527eap-6, -0x1.4dbfaadf0107dp-6, -0x1.46ee1842d86a2p-6, -0x1.40395ddfee05bp-6, -0x1.39a12f5a7da59p-6, -0x1.33253febaa033p-6, -0x1.2cc54257b5c1ap-6, -0x1.2680e8e41e279p-6, -0x1.2057e558f98fp-6, -0x1.1a49e91017157p-6, -0x1.1456a5135f0eep-6, -0x1.0e7dca476b5d4p-6, -0x1.08bf099b467d5p-6, -0x1.031a14332d626p-6, -0x1.fb1d3707be99dp-7, -0x1.f038a2acaffbbp-7, -0x1.e585cf623952fp-7, -0x1.db0421557eb1bp-7, -0x1.d0b2fc610d2bdp-7, -0x1.c691c3a1c32d6p-7, -0x1.bc9fd93664dc2p-7, -0x1.b2dc9e463a925p-7, -0x1.a947735c4538p-7, -0x1.9fdfb90f69dc4p-7, -0x1.96a4d0da960ebp-7, -0x1.8d961df61ca99p-7, -0x1.84b305fd1ee9ep-7, -0x1.7bfaf12f98a37p-7, -0x1.736d4a3501b9fp-7, -0x1.6b097d60065a9p-7, -0x1.62cef794cf779p-7, -0x1.5abd250f61737p-7, -0x1.52d370572029ap-7, -0x1.4b1141ab3e2c9p-7, -0x1.4375ff1df0befp-7, -0x1.3c010d6f60abdp-7, -0x1.34b1d18c5277p-7, -0x1.2d87b2686ddc5p-7, -0x1.26821acf255p-7, -0x1.1fa07abc6a3b2p-7, -0x1.18e247e0401b1p-7, -0x1.1246fd190b431p-7, -0x1.0bce18e9ae87cp-7, -0x1.05771b2f09e12p-7, -0x1.fe830515e1b1p-8, -0x1.f259942ecf287p-8, -0x1.e670cfdfc9b49p-8, -0x1.dac799f343d65p-8, -0x1.cf5ccc24dc68bp-8, -0x1.c42f3d02c5ae6p-8, -0x1.b93dc67295489p-8, -0x1.ae874c904a133p-8, -0x1.a40ac371093ddp-8, -0x1.99c7327919a87p-8, -0x1.8fbbb461e0cd6p-8, -0x1.85e773b4ea8efp-8, -0x1.7c49a441ec597p-8, -0x1.72e17ac47563ap-8, -0x1.69ae246619e1cp-8, -0x1.60aebfe57cef5p-8, -0x1.57e259e435d05p-8, -0x1.4f47ed3f74bcdp-8, -0x1.46de67858122p-8, -0x1.3ea4b0c469702p-8, -0x1.3699b54217fc5p-8, -0x1.2ebc6f481888bp-8, -0x1.270bef22447cep-8, -0x1.1f875fb85728ap-8, -0x1.182e06c24cfbap-8, -0x1.10ff4063f7724p-8, -0x1.09fa76e066b4fp-8, -0x1.031f17e69a36cp-8, -0x1.f8d9130d07e76p-9, -0x1.ebc441fd4443ep-9, -0x1.defe3a6940ad1p-9, -0x1.d2854bc6734e4p-9, -0x1.c6579f1173588p-9, -0x1.ba7346635adc2p-9, -0x1.aed651260bdbfp-9, -0x1.a37ee13825cb9p-9, -0x1.986b3d6ca47a5p-9, -0x1.8d99de6e490f1p-9, -0x1.8309740480098p-9, -0x1.78b8e1eaea65bp-9, -0x1.6ea734c43147bp-9, -0x1.64d391098d30dp-9, -0x1.5b3d1f0015be5p-9, -0x1.51e2f769ac5b7p-9, -0x1.48c414991cd71p-9, -0x1.3fdf4a9ea7b38p-9, -0x1.3733479af76fdp-9, -0x1.2ebe9b88c2652p-9, -0x1.267fc55f0e8f7p-9, -0x1.1e75429e50f65p-9, -0x1.169d9e4728602p-9, -0x1.0ef77cb43b48bp-9, -0x1.0781a28fa092p-9, -0x1.003af62ee75a7p-9, -0x1.f244f7f3fa88fp-10, -0x1.e46e9f529ac15p-10, -0x1.d6f138f9de56bp-10, -0x1.c9cb2c04de4edp-10, -0x1.bcfae400de323p-10, -0x1.b07ec6c24defbp-10, -0x1.a4552bbf67d7fp-10, -0x1.987c557b8c89dp-10, -0x1.8cf26edf91decp-10, -0x1.81b58eefd4f12p-10, -0x1.76c3c446da25ap-10, -0x1.6c1b269beb92fp-10, -0x1.61b9e877c5d61p-10, -0x1.579e608c4070dp-10, -0x1.4dc703cfa7b87p-10, -0x1.4432501cb14c2p-10, -0x1.3adeafd2af2c1p-10, -0x1.31ca64cb03aeap-10, -0x1.28f387b6da0b8p-10, -0x1.205820206404dp-10, -0x1.17f64ce048106p-10, -0x1.0fcc6b5026cedp-10, -0x1.07d92a6b9c4bbp-10, -0x1.001b7fef352acp-10, -0x1.f12509b121ae1p-11, -0x1.e27a995ae5da4p-11, -0x1.d4359dcacc375p-11, -0x1.c653deaa2b5cap-11, -0x1.b8d33cef0fb07p-11, -0x1.abb1f37c9f49cp-11, -0x1.9eeea4b229ab8p-11, -0x1.92881e92c9fd5p-11, -0x1.867ce8c94a0d9p-11, -0x1.7acace0637d8fp-11, -0x1.6f6e97d176003p-11, -0x1.6464229bbc9dap-11, -0x1.59a6d0a8698d4p-11, -0x1.4f323e4c163e7p-11, -0x1.4502f8f40c2ap-11, -0x1.3b16eac58bd41p-11, -0x1.316d41502c93bp-11, -0x1.2805d4424891cp-11, -0x1.1ee05cd0bc968p-11, -0x1.15fbf0d9be675p-11, -0x1.0d5709c9c68e6p-11, -0x1.04f000929c85cp-11, -0x1.f98b3b93b9714p-12, -0x1.e9aeb6ac7fc67p-12, -0x1.da4a615e1f0aep-12, -0x1.cb5e1502dd704p-12, -0x1.bce8709f3b531p-12, -0x1.aee62493a07cep-12, -0x1.a151d8981ab41p-12, -0x1.94248c3a67f19p-12, -0x1.8756583019f5dp-12, -0x1.7adf9755102b7p-12, -0x1.6eba5592cbdbp-12, -0x1.62e3730592acbp-12, -0x1.575ab446a5cbfp-12, -0x1.4c21762831475p-12, -0x1.4138b760a2b12p-12, -0x1.369fc0eac883cp-12, -0x1.2c5437db78482p-12, -0x1.225344fa3300cp-12, -0x1.189ada76060d2p-12, -0x1.0f2a51319d385p-12, -0x1.060213055d7dbp-12, -0x1.fa450eeed5e8p-13, -0x1.e915fd2215d44p-13, -0x1.d872bfc3a49b5p-13, -0x1.c855538eb713cp-13, -0x1.b8b727692fa44p-13, -0x1.a99170ab4fe0ep-13, -0x1.9adcb2fbb7994p-13, -0x1.8c90abd9911bcp-13, -0x1.7ea582bc7e355p-13, -0x1.7115c074004bap-13, -0x1.63df8448f64aep-13, -0x1.5703c7de7340fp-13, -0x1.4a8415ef70561p-13, -0x1.3e60746690dbap-13, -0x1.3296d48bc6678p-13, -0x1.2723dfe09169fp-13, -0x1.1c048a4c57811p-13, -0x1.1137ab684db9fp-13, -0x1.06bdf17ddd60dp-13, -0x1.f92f3db41496dp-14, -0x1.e584fd6709ab3p-14, -0x1.d2747f13e4d07p-14, -0x1.bff49c1f1a641p-14, -0x1.adfe88c0fbc29p-14, -0x1.9c8e881c33537p-14, -0x1.8ba2f256f4a4p-14, -0x1.7b3a342881206p-14, -0x1.6b50b9f4aed7bp-14, -0x1.5bdfee650aeb6p-14, -0x1.4cdeb0c8ec17p-14, -0x1.3e4351981efeep-14, -0x1.30073d35b0e78p-14, -0x1.222a19036aa68p-14, -0x1.14b044973c522p-14, -0x1.079cb1cbd5c57p-14, -0x1.f5d8554da632ap-15, -0x1.dd312904908c4p-15, -0x1.c540b83046e43p-15, -0x1.ae0c5f9dbfb5p-15, -0x1.97935374ca666p-15, -0x1.81c9ad8f18684p-15, -0x1.6ca0b6705ea68p-15, -0x1.580e1eaa6f1e9p-15, -0x1.440c61c812caap-15, -0x1.30985d0f536f5p-15, -0x1.1db03bda0d724p-15, -0x1.0b5439518a6bap-15, -0x1.f30e19c3bb825p-16, -0x1.d097e7278ce0cp-16, -0x1.af45ae73ff659p-16, -0x1.8f0886e96d5a8p-16, -0x1.6fbd5dcbcfbc7p-16, -0x1.51387eb78a548p-16, -0x1.3369ce96a1d3dp-16, -0x1.166c1bc603c91p-16, -0x1.f4b455e4537cdp-17, -0x1.be4ba124e9414p-17, -0x1.89698ccb5718ap-17, -0x1.5618c3fc4daep-17, -0x1.2478c47828ce2p-17, -0x1.e8f1b142fc73cp-18, -0x1.8bd81723832b8p-18, -0x1.316453dff02c6p-18, -0x1.b2fb259df25a9p-19, -0x1.083b6e5bd661fp-19, -0x1.89fda695d10a7p-21, 0x1.f27bfa18b3bb3p-22, 0x1.b4a39c17c4032p-20, 0x1.71a0a84d5d0dfp-19, 0x1.021c6d0fcf5c7p-18, 0x1.48fd1f82b73c7p-18, 0x1.8d62f85799079p-18, 0x1.cf4edf4edc6c3p-18, 0x1.0770cf78e595ap-17, 0x1.263d28105e73ap-17, 0x1.443f55946b5d1p-17, 0x1.616386a0e81bcp-17, 0x1.7d7a57880bb1ap-17, 0x1.989db032f0f1bp-17, 0x1.b2f16af72fa56p-17, 0x1.cc5780a9c7be2p-17, 0x1.e4bd77d38c631p-17, 0x1.fc3dcb7be8c7p-17, 0x1.09790ebdd5567p-16, 0x1.14716b9e9fc8cp-16, 0x1.1f085a9137fd7p-16, 0x1.293e1641cefe7p-16, 0x1.3313924c3e2ecp-16, 0x1.3c8a4bf1aa777p-16, 0x1.45a41b7f661f4p-16, 0x1.4e63324dfea25p-16, 0x1.56c9ed9b9d97cp-16, 0x1.5eda2e7a05b87p-16, 0x1.6694a179a777p-16, 0x1.6df91f08fc928p-16, 0x1.750827c67a743p-16, 0x1.7bc210d7613cap-16, 0x1.82259a1f91418p-16, 0x1.8839e53a4f968p-16, 0x1.8e0b12fdeebccp-16, 0x1.93932913bbca9p-16, 0x1.98d47b104bf7dp-16, 0x1.9dd7545de0ep-16, 0x1.a28e5558bd782p-16, 0x1.a6f7ecfc900e7p-16, 0x1.ab1e97f114826p-16, 0x1.af06ea8652eddp-16, 0x1.b2b0fcc4545aep-16, 0x1.b61c8f344ec4cp-16, 0x1.b94a125bedd88p-16, 0x1.bc3a792838b8dp-16, 0x1.beeeebdfa62bfp-16, 0x1.c168925ad3c57p-16, 0x1.c3a87aa53fabap-16, 0x1.c5af9ece60523p-16, 0x1.c77f0322873ddp-16, 0x1.c917d0a5373f8p-16, 0x1.ca7b4733ab75p-16, 0x1.cbaa7fb9c0c84p-16, 0x1.cca6573539b5dp-16, 0x1.cd6ff5bb07ec4p-16, 0x1.ce081b8f3f126p-16, 0x1.ce6b83ded4959p-16, 0x1.ce991f2415677p-16, 0x1.ce9a171290d33p-16, 0x1.ce70d98b69682p-16, 0x1.ce1f384d9572bp-16, 0x1.cd9df0c3a264ep-16, 0x1.ccec64634dc32p-16, 0x1.cc10e6911565fp-16, 0x1.cb0d1974dceb6p-16, 0x1.c9e0d0276ffe3p-16, 0x1.c88c2fb8595a9p-16, 0x1.c70fc0fac07ccp-16, 0x1.c56c3bd6441dap-16, 0x1.c3a269bd193e7p-16, 0x1.c1b317eb1e3e5p-16, 0x1.bf9f0f30ab663p-16, 0x1.bd670da65c777p-16, 0x1.bb0bc324ecde9p-16, 0x1.b88dd486d6315p-16, 0x1.b5ede8f19569cp-16, 0x1.b32cbbc2ac1e5p-16, 0x1.b04b226791669p-16, 0x1.ad49f511f476dp-16, 0x1.aa29e8833806p-16, 0x1.a6eba7a3727f6p-16, 0x1.a39019a177aafp-16, 0x1.a01718182d124p-16, 0x1.9c7e45f9df462p-16, 0x1.98c9206cf5301p-16, 0x1.94fc7e5ad65aap-16, 0x1.91162e465a327p-16, 0x1.8d12f355de01bp-16, 0x1.88f66c9cc19c8p-16, 0x1.84c21579e6c3ap-16, 0x1.8075fd93dcc98p-16, 0x1.7c127302f94b8p-16, 0x1.7797fadd02ffbp-16, 0x1.73072bad0821ep-16, 0x1.6e609fa3895dfp-16, 0x1.69a4f134bd8c6p-16, 0x1.64d4ba536d477p-16, 0x1.5ff093d945f69p-16, 0x1.5af9149d96f4fp-16, 0x1.55eed0367deedp-16, 0x1.50d2559fd0fd5p-16, 0x1.4ba42f103cad6p-16, 0x1.4664e5304c673p-16, 0x1.4115059494ff3p-16, 0x1.3bb52766c1256p-16, 0x1.3645e80d7bfd5p-16, 0x1.30c7dd7bb43cp-16, 0x1.2b3b860536b17p-16, 0x1.25a15a5440372p-16, 0x1.1ffa0a3fdb28cp-16, 0x1.1a45f17b327fdp-16, 0x1.14843bae93bd3p-16, 0x1.0eb7bd2c1caadp-16, 0x1.08e0b98d8221fp-16, 0x1.02fdbe75d9e61p-16, 0x1.fa21c4183fc71p-17, 0x1.ee35435670c4dp-17, 0x1.e2366cfd480fdp-17, 0x1.d62617c5510d5p-17, 0x1.ca053a3c28286p-17, 0x1.bdd4cdedd5fa7p-17, 0x1.b195c99127d71p-17, 0x1.a54920cd5641cp-17, 0x1.98efc4d5c8293p-17, 0x1.8c8aa4c281f55p-17, 0x1.801aad7e19324p-17, 0x1.73a0c970fe1bep-17, 0x1.671de012c8ceap-17, 0x1.5a92d52ba5f6cp-17, 0x1.4e0087e8ca91dp-17, 0x1.4167d307f596p-17, 0x1.34c98f9cf1cb6p-17, 0x1.2826993320b26p-17, 0x1.1b7fcf42a79bep-17, 0x1.0ed6126055ff7p-17, 0x1.022a3c0838584p-17, 0x1.eafa1c98927e3p-18, 0x1.d19e6d67e54a6p-18, 0x1.b843359bba97ep-18, 0x1.9eeae24b3b2b8p-18, 0x1.85951f3f12709p-18, 0x1.6c44d6fdf3be2p-18, 0x1.52fa4e8c4709bp-18, 0x1.39b7d99099698p-18, 0x1.207fd201e68ap-18, 0x1.0752eee83fb3ep-18, 0x1.dc64e540d5e36p-19, 0x1.aa3f8e4361d97p-19, 0x1.7838a91d786c7p-19, 0x1.4652f75d0c339p-19, 0x1.14912c946c38bp-19, 0x1.c5ebe0124802ap-20, 0x1.6307bba569c37p-20, 0x1.007b0f2ee8759p-20, 0x1.3c95d309798cbp-21, 0x1.e3e223b70311ap-23, -0x1.275fdde6acf41p-23, -0x1.0bd211b680fb2p-21, -0x1.ccec582e16445p-21, -0x1.468ec85f5e83cp-20, -0x1.a62e5b5e795acp-20, -0x1.02a83c5147baep-19, -0x1.31f8600d8e078p-19, -0x1.61056cde2d26fp-19, -0x1.8fcd3cb1a94fcp-19, -0x1.be4db318b56b2p-19, -0x1.ec84cc05dc1e9p-19, -0x1.0d385bde49239p-18, -0x1.2407daa08d9b4p-18, -0x1.3aafbe9631d47p-18, -0x1.512e91cf882c8p-18, -0x1.6784390c6f64ap-18, -0x1.7db0704341553p-18, -0x1.93b15e434aba6p-18, -0x1.a985dc962aea8p-18, -0x1.bf2d84e19b443p-18, -0x1.d4a7989bcdeb5p-18, -0x1.e9f34b6853198p-18, -0x1.ff0fd6ae4db1bp-18, -0x1.09fe3d370f15bp-17, -0x1.145c3e49514fcp-17, -0x1.1ea1944347814p-17, -0x1.28cde77bf485fp-17, -0x1.32e0e2d862f3fp-17, -0x1.3cda33bc47eaep-17, -0x1.46b98a00e905fp-17, -0x1.507e97f448823p-17, -0x1.5a29125ad503cp-17, -0x1.63b8b06f5e0e4p-17, -0x1.6d2d2bdec15bbp-17, -0x1.768640cddfe35p-17, -0x1.7fc3adefaf2a6p-17, -0x1.88e5348b26cc9p-17, -0x1.91ea9846b918ap-17, -0x1.9ad39ecc6f246p-17, -0x1.a3a00fb214672p-17, -0x1.ac4fb4a2916dap-17, -0x1.b4e25966cb1b2p-17, -0x1.bd57cc7d97acdp-17, -0x1.c5afe19071208p-17, -0x1.cdea70e4aeb5fp-17, -0x1.d6074e79d38acp-17, -0x1.de063c95c5cabp-17, -0x1.e5e7039293cep-17, -0x1.eda9eee539f7cp-17, -0x1.f54e86608faa1p-17, -0x1.fcd499c8a55c4p-17, -0x1.021e1334e2ebbp-16, -0x1.05c2893cc4849p-16, -0x1.0957a1bd8c0f7p-16, -0x1.0cdd50b711a8ap-16, -0x1.10538b516c999p-16, -0x1.13ba47c26e14bp-16, -0x1.17117d40ff43ap-16, -0x1.1a5923fdf54p-16, -0x1.1d913520611f1p-16, -0x1.20b9aac09bbb4p-16, -0x1.23d27fe31fc4ep-16, -0x1.26dbb0755b826p-16, -0x1.29d5394b4fecdp-16, -0x1.2cbf181d0d36dp-16, -0x1.2f994b8450789p-16, -0x1.3263d2f898a51p-16, -0x1.351eaecc1ae05p-16, -0x1.37c9e02aaf3cfp-16, -0x1.3a65691a7506ap-16, -0x1.3cf14c79bfb1bp-16, -0x1.3f6d8df2340fp-16, -0x1.41da31eac3d45p-16, -0x1.44373d87dc728p-16, -0x1.4684b6afc56b1p-16, -0x1.48c2a401eb927p-16, -0x1.4af10ce0275c1p-16, -0x1.4d0ff9c786b37p-16, -0x1.4f1f745527fa5p-16, -0x1.511f86294d03bp-16, -0x1.531037c15c5cap-16, -0x1.54f18d459b62cp-16, -0x1.56c3a5c83ac1p-16, -0x1.5886826988e5ep-16, -0x1.5a3a2ae146f79p-16, -0x1.5bdeb1e77e0b7p-16, -0x1.5d7425d0c5e66p-16, -0x1.5efa953ee989fp-16, -0x1.60720f8767b27p-16, -0x1.61daa4a141098p-16, -0x1.6334651a58b1fp-16, -0x1.647f62116c15fp-16, -0x1.65bbad322723fp-16, -0x1.66e958b172e98p-16, -0x1.6808774a86bc2p-16, -0x1.69191c3b70793p-16, -0x1.6a1b5b41c5209p-16, -0x1.6b0f489788eabp-16, -0x1.6bf4f8f08e441p-16, -0x1.6ccc81772aba5p-16, -0x1.6d95f7c9ffe44p-16, -0x1.6e5171f89887ap-16, -0x1.6eff0680b1f69p-16, -0x1.6f9ecc4b0d16bp-16, -0x1.7030daa947dc5p-16, -0x1.70b54953ae1f6p-16, -0x1.712c306659e65p-16, -0x1.7195a85c32372p-16, -0x1.71f1ca0a484d2p-16, -0x1.7240ae9f00259p-16, -0x1.72826fa05b1bbp-16, -0x1.72b726e7a96d8p-16, -0x1.72deee9edc3efp-16, -0x1.72f9e15161214p-16, -0x1.730819f05c611p-16, -0x1.7309b395bf0abp-16, -0x1.72fec974c5fb3p-16, -0x1.72e775c181877p-16, -0x1.72c3d6fc48fd6p-16, -0x1.72940979e6276p-16, -0x1.725826de06b05p-16, -0x1.72104d3c2881dp-16, -0x1.71bc9974a38dfp-16, -0x1.715d288ab4c18p-16, -0x1.70f217bb80011p-16, -0x1.707b847902017p-16, -0x1.6ff98c6590ccbp-16, -0x1.6f6c4d50ba7a3p-16, -0x1.6ed3e5350bed9p-16, -0x1.6e307235bfcdep-16, -0x1.6d82129c1d811p-16, -0x1.6cc8e4d5a63dp-16, -0x1.6c0507724389ap-16, -0x1.6b369921c5f0bp-16, -0x1.6a5db8b120aa9p-16, -0x1.697a85094b8c9p-16, -0x1.688d1d2c8af53p-16, -0x1.6795a034bf73fp-16, -0x1.66942d51dba1ap-16, -0x1.6588e3c6f03dap-16, -0x1.6473e2e8d7596p-16, -0x1.63554a1c5a344p-16, -0x1.622d38d41867dp-16, -0x1.60fbce8f0ce18p-16, -0x1.5fc12ad68e46fp-16, -0x1.5e7d6d3c0ff11p-16, -0x1.5d30b557a34b9p-16, -0x1.5bdb22c65ffcbp-16, -0x1.5a7cd528ad104p-16, -0x1.5915ec2156c8p-16, -0x1.57a68751d03dcp-16, -0x1.562ec65b7cb0ep-16, -0x1.54aec8df1f692p-16, -0x1.5326ae76ab2a9p-16, -0x1.519696b2661aap-16, -0x1.4ffea10fe5bfp-16, -0x1.4e5eecf5c646p-16, -0x1.4cb79a594cd17p-16, -0x1.4b08c81e9b435p-16, -0x1.495295cbe35f5p-16, -0x1.479522b5708a3p-16, -0x1.45d08e1702041p-16, -0x1.4404f71bbc5fcp-16, -0x1.42327cdc4ea69p-16, -0x1.40593e5d91fbbp-16, -0x1.3e795a8f340edp-16, -0x1.3c92f049e092ap-16, -0x1.3aa61e4e73dfep-16, -0x1.38b30344c68dp-16, }}, 
      {{0x1.cf2ec93c0a35fp-4, 0x1.ad83ac49ac0b9p-3, 0x1.206c93271b592p-2, 0x1.4e43d44a25a93p-2, 0x1.6143cc60cea37p-2, 0x1.5c5c8c26eca23p-2, 0x1.436ff477acb92p-2, 0x1.1aad5dc4e08a1p-2, 0x1.cc5759f484459p-3, 0x1.535ab490df505p-3, 0x1.a20324d265ff2p-4, 0x1.2b9a9e06512f3p-5, -0x1.d2f3356f4d23bp-6, -0x1.76564a8ded16bp-4, -0x1.34bb4e9d44664p-3, -0x1.a50dcefdd9468p-3, -0x1.0564368699f5cp-2, -0x1.328e2a433453cp-2, -0x1.59d64c5012e11p-2, -0x1.7b3baa1dc7af4p-2, -0x1.96e0d506acee2p-2, -0x1.ad034af33ef33p-2, -0x1.bdf42ff0c71cap-2, -0x1.ca123a7613a3cp-2, -0x1.d1c4b2794d7c2p-2, -0x1.d57763e7940cep-2, -0x1.d59765d2c1147p-2, -0x1.d290989d2d805p-2, -0x1.cccbbf060eb53p-2, -0x1.c4ad18483bee4p-2, -0x1.ba93643a6bb4ap-2, -0x1.aed73d48e67c2p-2, -0x1.a1cab6fcfd38cp-2, -0x1.93b93277d06a3p-2, -0x1.84e75cad7086bp-2, -0x1.75934c4c0e299p-2, -0x1.65f4b70db9fdbp-2, -0x1.563d37c537832p-2, -0x1.46989fc90828fp-2, -0x1.372d4f7d7d257p-2, -0x1.281c92acbc486p-2, -0x1.1982fe1f9cf52p-2, -0x1.0b78cc8c8bb8ap-2, -0x1.fc2472e68a893p-3, -0x1.e2bfb1ccde6a7p-3, -0x1.caddd728f43d7p-3, -0x1.b4935d43a9198p-3, -0x1.9fef4e2b11a65p-3, -0x1.8cfbd1788b80cp-3, -0x1.7bbeb10017bfdp-3, -0x1.6c39d4890732dp-3, -0x1.5e6bb4c995a2fp-3, -0x1.524fc5f0556bp-3, -0x1.47deda1290edep-3, -0x1.3f0f7bddd386fp-3, -0x1.37d641ed77064p-3, -0x1.32261b2a18c56p-3, -0x1.2df0949576f9bp-3, -0x1.2b2618e4fa358p-3, -0x1.29b62a4d1bb0fp-3, -0x1.298f96da5d175p-3, -0x1.2aa0a7b0bfe5ap-3, -0x1.2cd74b8c88067p-3, -0x1.30213cd1ba4efp-3, -0x1.346c237ed7f7dp-3, -0x1.39a5b34be3922p-3, -0x1.3fbbc63d8b9d1p-3, -0x1.469c73f229372p-3, -0x1.4e3625e337358p-3, -0x1.5677a8e2a545ep-3, -0x1.5f503bf873d7dp-3, -0x1.68af9d039030ep-3, -0x1.7286130e5ba3ap-3, -0x1.7cc476d5e0ac7p-3, -0x1.875c397d47529p-3, -0x1.923f694bab5f8p-3, -0x1.9d60b5d7bad0ap-3, -0x1.a8b3717282e84p-3, -0x1.b42b92fbf5f16p-3, -0x1.bfbdb616a867ep-3, -0x1.cb5f18e59466dp-3, -0x1.d7059cf1700f3p-3, -0x1.e2a7c22eb7082p-3, -0x1.ee3ca4794187ap-3, -0x1.f9bbfac25978bp-3, -0x1.028f070a497e8p-2, -0x1.082ddcd17aa19p-2, -0x1.0db733162cdd8p-2, -0x1.1328001a707bdp-2, -0x1.187d7cafe48efp-2, -0x1.1db52002f52f1p-2, -0x1.22cc9b99dd771p-2, -0x1.27c1db911caf4p-2, -0x1.2c930208b5f1ep-2, -0x1.313e6430686d8p-2, -0x1.35c28988162e4p-2, -0x1.3a1e27f47e8e4p-2, -0x1.3e50212f1d566p-2, -0x1.425781186d914p-2, -0x1.46337aaab917ap-2, -0x1.49e365a1adacdp-2, -0x1.4d66bc8009544p-2, -0x1.50bd1a4ac3e26p-2, -0x1.53e6388aed979p-2, -0x1.56e1ed74edaecp-2, -0x1.59b02a1893512p-2, -0x1.5c50f8a566849p-2, -0x1.5ec47abab0917p-2, -0x1.610ae7c982ebfp-2, -0x1.63248b814932bp-2, -0x1.6511c446b6513p-2, -0x1.66d301c0f0aa7p-2, -0x1.6868c37715af5p-2, -0x1.69d3977bc5c86p-2, -0x1.6b14192fbedd5p-2, -0x1.6c2af016c8f0ep-2, -0x1.6d18ceb7ea0d2p-2, -0x1.6dde718de0e63p-2, -0x1.6e7c9e067b5b2p-2, -0x1.6ef42188cfb4p-2, -0x1.6f45d0843cd5dp-2, -0x1.6f72858b6fc6ep-2, -0x1.6f7b207700b23p-2, -0x1.6f60858e99d08p-2, -0x1.6f239cbdbb657p-2, -0x1.6ec550d46e9efp-2, -0x1.6e468ed12573bp-2, -0x1.6da84535ebf0bp-2, -0x1.6ceb636bc6cafp-2, -0x1.6c10d932674dp-2, -0x1.6b19961a530a4p-2, -0x1.6a06890af056p-2, -0x1.68d89fd4eaba8p-2, -0x1.6790c6ce4236fp-2, -0x1.662fe876a4fdcp-2, -0x1.64b6ed24b0434p-2, -0x1.6326babb942d6p-2, -0x1.6180346778a22p-2, -0x1.5fc43a5f53d43p-2, -0x1.5df3a9acd7096p-2, -0x1.5c0f5bfac60d4p-2, -0x1.5a182767dc8f3p-2, -0x1.580ede5e293c9p-2, -0x1.55f44f6fd31e6p-2, -0x1.53c9453849434p-2, -0x1.518e86420bc48p-2, -0x1.4f44d4f12f239p-2, -0x1.4cecef70f74c6p-2, -0x1.4a878fa5d1056p-2, -0x1.48156b2459b68p-2, -0x1.4597332a79284p-2, -0x1.430d949b1bb84p-2, -0x1.407937fec7712p-2, -0x1.3ddac18627d5p-2, -0x1.3b32d10d7913ap-2, -0x1.38820223e50aep-2, -0x1.35c8ec1506ea5p-2, -0x1.330821f1b4cdp-2, -0x1.3040329b551d6p-2, -0x1.2d71a8d2787c1p-2, -0x1.2a9d0b4419856p-2, -0x1.27c2dc96a67f2p-2, -0x1.24e39b7abbb95p-2, -0x1.21ffc2bcab521p-2, -0x1.1f17c95383be2p-2, -0x1.1c2c22717c50fp-2, -0x1.193d3d9799f6bp-2, -0x1.164b86a7fdc31p-2, -0x1.135765f635c4ap-2, -0x1.1061405a16fecp-2, -0x1.0d6977449a664p-2, -0x1.0a7068d24cdd7p-2, -0x1.07766fdc883e8p-2, -0x1.047be40d74012p-2, -0x1.018119f5153b6p-2, -0x1.fd0cc6374e9d3p-3, -0x1.f7181c26323a5p-3, -0x1.f124cd1609c84p-3, -0x1.eb336aca7c1bep-3, -0x1.e544818f7edffp-3, -0x1.df58985b60df8p-3, -0x1.d97030f4ee90bp-3, -0x1.d38bc81a97783p-3, -0x1.cdabd5a4d30d1p-3, -0x1.c7d0cca6037edp-3, -0x1.c1fb1b8d7d535p-3, -0x1.bc2b2c4c19157p-3, -0x1.b6616474e3ef4p-3, -0x1.b09e255a57dccp-3, -0x1.aae1cc2d5396fp-3, -0x1.a52cb21e6d074p-3, -0x1.9f7f2c7cebd65p-3, -0x1.99d98cd1ab7c1p-3, -0x1.943c20f9c09ecp-3, -0x1.8ea73343a4f48p-3, -0x1.891b0a8c429a4p-3, -0x1.8397ea5867576p-3, -0x1.7e1e12ebd9d53p-3, -0x1.78adc161b60ccp-3, -0x1.73472fc659eep-3, -0x1.6dea952fedc8bp-3, -0x1.689825d3cc43bp-3, -0x1.6350131ac9d17p-3, -0x1.5e128bb6ae3e8p-3, -0x1.58dfbbb87a526p-3, -0x1.53b7cca53334ep-3, -0x1.4e9ae58888f2dp-3, -0x1.49892b06a1fd4p-3, -0x1.4482bf6e72843p-3, -0x1.3f87c2cc6842dp-3, -0x1.3a9852fc53e65p-3, -0x1.35b48bba097c2p-3, -0x1.30dc86b131497p-3, -0x1.2c105b8ca9cdbp-3, -0x1.27502005d9f04p-3, -0x1.229be7f3e6273p-3, -0x1.1df3c55ac511dp-3, -0x1.1957c879bb06cp-3, -0x1.14c7ffd8ba654p-3, -0x1.10447854b9618p-3, -0x1.0bcd3d2bf7fb7p-3, -0x1.0762580b24805p-3, -0x1.0303d11b04de2p-3, -0x1.fd635e1a51976p-4, -0x1.f4d7ee4d30fabp-4, -0x1.ec655a9290e5dp-4, -0x1.e40ba7fc6fd5ap-4, -0x1.dbcad902eb834p-4, -0x1.d3a2ed9d8c933p-4, -0x1.cb93e3596e4dfp-4, -0x1.c39db56a12f33p-4, -0x1.bbc05cb798086p-4, -0x1.b3fbcfef9a80fp-4, -0x1.ac50039b04bedp-4, -0x1.a4bcea35ccac2p-4, -0x1.9d4274432612ep-4, -0x1.95e0905b6e165p-4, -0x1.8e972b36d770ep-4, -0x1.87662fba73b11p-4, -0x1.804d870af502ep-4, -0x1.794d18a2d2bdfp-4, -0x1.7264ca6610c74p-4, -0x1.6b9480afb9bf5p-4, -0x1.64dc1e5a52abcp-4, -0x1.5e3b84c8b1d99p-4, -0x1.57b293f40d85p-4, -0x1.51412a7f4248cp-4, -0x1.4ae725cabcfacp-4, -0x1.44a46203ba33dp-4, -0x1.3e78ba2d3fda1p-4, -0x1.386408260f341p-4, -0x1.326624b0ea214p-4, -0x1.2c7ee7826c472p-4, -0x1.26ae2752f6ef5p-4, -0x1.20f3b9efff71cp-4, -0x1.1b4f744874a92p-4, -0x1.15c12a739f664p-4, -0x1.1048afb5bf398p-4, -0x1.0ae5d68708fb4p-4, -0x1.0598709f98d8ap-4, -0x1.00604f071215cp-4, -0x1.f67a8447e70a1p-5, -0x1.ec5e338ddde1ep-5, -0x1.e26b4a62b8fa4p-5, -0x1.d8a166320ce26p-5, -0x1.cf00235a4f4a9p-5, -0x1.c5871d3e78d1ap-5, -0x1.bc35ee5f1e09dp-5, -0x1.b30c307588121p-5, -0x1.aa097c8a40eefp-5, -0x1.a12d6b038787ep-5, -0x1.987793ad38298p-5, -0x1.8fe78dbf4668ap-5, -0x1.877cefe85d3cep-5, -0x1.7f37505f0b4a9p-5, -0x1.771644f78437cp-5, -0x1.6f1963394c8bcp-5, -0x1.674040703131dp-5, -0x1.5f8a71b6e8fc1p-5, -0x1.57f78bfd3961p-5, -0x1.5087240d9fba8p-5, -0x1.4938ce965aa4bp-5, -0x1.420c20374d05dp-5, -0x1.3b00ad9329fd5p-5, -0x1.34160b60a61aap-5, -0x1.2d4bce784926fp-5, -0x1.26a18bdda1094p-5, -0x1.2016d8c4c450ap-5, -0x1.19ab4a96cd915p-5, -0x1.135e76f8245fcp-5, -0x1.0d2ff3d20fe81p-5, -0x1.071f575f1a732p-5, -0x1.012c38384da7ap-5, -0x1.f6ac5ac1dffa2p-6, -0x1.eb399c9e4bec1p-6, -0x1.dfff65e2fe717p-6, -0x1.d4fce76560d06p-6, -0x1.ca3152facb3d4p-6, -0x1.bf9bdb836dc9fp-6, -0x1.b53bb4f99f3bfp-6, -0x1.ab10148421c12p-6, -0x1.a1183088abe6bp-6, -0x1.975340bbcc9d8p-6, -0x1.8dc07e2c86e63p-6, -0x1.845f234bf82dbp-6, -0x1.7b2e6bf28f32dp-6, -0x1.722d95656bbb3p-6, -0x1.695bde5daa29cp-6, -0x1.60b887123895cp-6, -0x1.5842d143baf17p-6, -0x1.4ffa0048b9145p-6, -0x1.47dd59186ad07p-6, -0x1.3fec2252f37ep-6, -0x1.3825a446e42b8p-6, -0x1.308928f4af72dp-6, -0x1.2915fc116b459p-6, -0x1.21cb6b0a267fep-6, -0x1.1aa8c5089fbbp-6, -0x1.13ad5af968a34p-6, -0x1.0cd87f92cc391p-6, -0x1.0629875ba42f1p-6, -0x1.ff3f916240219p-7, -0x1.f275379604b17p-7, -0x1.e5f2b57c148dp-7, -0x1.d9b6c2fa383fap-7, -0x1.cdc01bb32e137p-7, -0x1.c20d7f0763d7cp-7, -0x1.b69db0169e7f7p-7, -0x1.ab6f75c343bd3p-7, -0x1.a0819ab726a71p-7, -0x1.95d2ed69493bdp-7, -0x1.8b624023e87fdp-7, -0x1.812e6909c9328p-7, -0x1.77364219a6022p-7, -0x1.6d78a92f3f2b8p-7, -0x1.63f480014eee9p-7, -0x1.5aa8ac1cb4798p-7, -0x1.519416ddb7dfdp-7, -0x1.48b5ad68565f2p-7, -0x1.400c60a19811bp-7, -0x1.3797252b4e57bp-7, -0x1.2f54f363a1b3fp-7, -0x1.2744c7688cf1fp-7, -0x1.1f65a11e52f49p-7, -0x1.17b68436be318p-7, -0x1.1036783608366p-7, -0x1.08e488724f2c3p-7, -0x1.01bfc40bb2f66p-7, -0x1.f58e7bb8c516cp-8, -0x1.e7f418c541b25p-8, -0x1.daae935122bb8p-8, -0x1.cdbc265d89b6fp-8, -0x1.c11b13bdf4463p-8, -0x1.b4c9a4151e2c7p-8, -0x1.a8c626eb506f2p-8, -0x1.9d0ef2d7d929dp-8, -0x1.91a265b1dd0bfp-8, -0x1.867ee4b7cb3adp-8, -0x1.7ba2dc9cf6e26p-8, -0x1.710cc1710996fp-8, -0x1.66bb0e5e595d8p-8, -0x1.5cac454651834p-8, -0x1.52deee4e031eep-8, -0x1.49519773ca8d7p-8, -0x1.4002d447cce0ap-8, -0x1.36f13ddb8b328p-8, -0x1.2e1b72f08718cp-8, -0x1.2580185dfc24dp-8, -0x1.1d1dd9965823dp-8, -0x1.14f369291ce95p-8, -0x1.0cff811a6768ap-8, -0x1.0540e2efa61eap-8, -0x1.fb6caebfdfd98p-9, -0x1.ecbd5b58411e3p-9, -0x1.de71757348acp-9, -0x1.d086b03c09e39p-9, -0x1.c2fac6a2d1dbcp-9, -0x1.b5cb7a76f6e89p-9, -0x1.a8f69478ca46bp-9, -0x1.9c79e57153d88p-9, -0x1.90534820069b2p-9, -0x1.8480a3942d35dp-9, -0x1.78ffed6554a86p-9, -0x1.6dcf2b371494p-9, -0x1.62ec7312d6c9fp-9, -0x1.5855ea5dcacb5p-9, -0x1.4e09c37f79cap-9, -0x1.44063a9edc127p-9, -0x1.3a4992189af75p-9, -0x1.30d20f70604b6p-9, -0x1.279df96eff09bp-9, -0x1.1eab97e882badp-9, -0x1.15f9354cb4e8ap-9, -0x1.0d8521c131b95p-9, -0x1.054db729399fep-9, -0x1.faa2ba865ef69p-10, -0x1.eb1d19e41ac6ep-10, -0x1.dc07a3d37d9d8p-10, -0x1.cd5f9485e7dfcp-10, -0x1.bf2247ccc2a52p-10, -0x1.b14d306ded8efp-10, -0x1.a3ddcd8e01f44p-10, -0x1.96d1a048644dp-10, -0x1.8a262395af293p-10, -0x1.7dd8c834f702ep-10, -0x1.71e6f57e90ff3p-10, -0x1.664e0f043139ep-10, -0x1.5b0b7deaff829p-10, -0x1.501cbc2d9ad13p-10, -0x1.457f5f94a0107p-10, -0x1.3b31223fabd3fp-10, -0x1.312fe704037d1p-10, -0x1.2779b8a7a7efcp-10, -0x1.1e0cc3f10d7fep-10, -0x1.14e74d857adf3p-10, -0x1.0c07a56e3727dp-10, -0x1.036c1aa53b2a5p-10, -0x1.f625e227f0327p-11, -0x1.e5f4b7d6e6a79p-11, -0x1.d640fa9b92798p-11, -0x1.c706d640a1945p-11, -0x1.b8426fb9c3229p-11, -0x1.a9effb23365b1p-11, -0x1.9c0bd20447b2dp-11, -0x1.8e928606b5e1dp-11, -0x1.8180ed2451d2cp-11, -0x1.74d425715c03bp-11, -0x1.6889900083229p-11, -0x1.5c9ec3c86732ep-11, -0x1.51117acc2a212p-11, -0x1.45df7cda7c56p-11, -0x1.3b068bbfb7e2ap-11, -0x1.3084548a4ebb7p-11, -0x1.26566865b4428p-11, -0x1.1c7a3dd0514d4p-11, -0x1.12ed392b2fd09p-11, -0x1.09acba46674cp-11, -0x1.00b62bdc23ae9p-11, -0x1.f00e23f3df192p-12, -0x1.df3a29cf533dep-12, -0x1.ceec0de0b5ba5p-12, -0x1.bf1fc926e2466p-12, -0x1.afd19ff3851b5p-12, -0x1.a0fe1336f28c9p-12, -0x1.92a1d07d76a04p-12, -0x1.84b9a3a742c5ap-12, -0x1.77426b50bdd93p-12, -0x1.6a390f64c7c1bp-12, -0x1.5d9a793684437p-12, -0x1.51638d8767c03p-12, -0x1.45912a29b0dd9p-12, -0x1.3a2029751108cp-12, -0x1.2f0d6cb881383p-12, -0x1.2455ebe1a8b1fp-12, -0x1.19f6c4d953d63p-12, -0x1.0fed42e59ffbp-12, -0x1.0636d8397b509p-12, -0x1.f9a21411efd15p-13, -0x1.e772ae5a0c7e6p-13, -0x1.d5da4c455de75p-13, -0x1.c4d38afd0fd24p-13, -0x1.b459036d34649p-13, -0x1.a4659095dba1cp-13, -0x1.94f49119fb8e6p-13, -0x1.8602043756fe9p-13, -0x1.778a72e8c66cfp-13, -0x1.698ab08019c0ap-13, -0x1.5bff94d9475f4p-13, -0x1.4ee5d71f23544p-13, -0x1.423a1ce49b9a6p-13, -0x1.35f92fa4735c7p-13, -0x1.2a20304d6bb14p-13, -0x1.1eac9fb86befbp-13, -0x1.139c2bf7f8c99p-13, -0x1.08ec5461864eap-13, -0x1.fd341a9ae140ep-14, -0x1.e9431df635b3ap-14, -0x1.d5fcd6ab6cdd6p-14, -0x1.c357d921d55ecp-14, -0x1.b14b450d2319cp-14, -0x1.9fcfd98669086p-14, -0x1.8ee08bd89d2f1p-14, -0x1.7e7a4fe3c6b41p-14, -0x1.6e9b22e484bcdp-14, -0x1.5f40d95833286p-14, -0x1.50685cc39b9c1p-14, -0x1.420dbe0214076p-14, -0x1.342cf1735d38ep-14, -0x1.26c2a10778b84p-14, -0x1.19cc853147167p-14, -0x1.0d4912370727ep-14, -0x1.0136b00ccbb91p-14, -0x1.eb25d7121f38ap-15, -0x1.d4b3fd846d32p-15, -0x1.bf0d949ce0b9cp-15, -0x1.aa26485609eecp-15, -0x1.95f0cc4c06ceap-15, -0x1.826079e6b59cfp-15, -0x1.6f6b3c0af5d1dp-15, -0x1.5d0b0182671d4p-15, -0x1.4b3db25013026p-15, -0x1.3a0357713e61p-15, -0x1.295b74ac2739p-15, -0x1.19434bc748fa5p-15, -0x1.09b6067b68725p-15, -0x1.f55c8b4a509dep-16, -0x1.d84f90747743bp-16, -0x1.bc40568801641p-16, -0x1.a12cdac2899f7p-16, -0x1.87130e4538304p-16, -0x1.6dee1ecc50926p-16, -0x1.55b5c627554abp-16, -0x1.3e5fa64ab33bap-16, -0x1.27e0ede64c95dp-16, -0x1.122ec5ae0b463p-16, -0x1.fa7b7d14a7f5fp-17, -0x1.d20372c80e497p-17, -0x1.aadea206957b2p-17, -0x1.84fc49698d325p-17, -0x1.60545e19c2402p-17, -0x1.3ce5a069d9cd4p-17, -0x1.1ab0255b354fep-17, -0x1.f360f675d55ffp-18, -0x1.b3bcde648e065p-18, -0x1.765dfb5d40d25p-18, -0x1.3b2ff8623f6d9p-18, -0x1.02276406ea599p-18, -0x1.96824fef0c225p-19, -0x1.2cf05b287545ap-19, -0x1.8ef1b533a9848p-20, -0x1.97a727f9910ffp-21, -0x1.020102d879339p-24, 0x1.48f0ba3637888p-21, 0x1.5229405a6c03fp-20, 0x1.f91382f7daf8p-20, 0x1.4cab838d9412fp-19, 0x1.99921b04c3b4cp-19, 0x1.e361f9dd9722fp-19, 0x1.1524c44c099e2p-18, 0x1.373c488439c2p-18, 0x1.580887c95ed7bp-18, 0x1.778d81af5f65ap-18, 0x1.95c5be64414dfp-18, 0x1.b2aef951beaccp-18, 0x1.ce534ee7ee8efp-18, 0x1.e8c24d70b39b9p-18, 0x1.01012994309b6p-17, 0x1.0d08bc6b9c89ap-17, 0x1.1879f730d4341p-17, 0x1.235c38683da7fp-17, 0x1.2db80c10ec26fp-17, 0x1.3793be94e51a4p-17, 0x1.40f33ffbfda03p-17, 0x1.49d952b3ba37fp-17, 0x1.524815ad965c9p-17, 0x1.5a40b8333d112p-17, 0x1.61c3569b4697p-17, 0x1.68cfe2d0a11e8p-17, 0x1.6f67d2ce86ab2p-17, 0x1.758fd3628819dp-17, 0x1.7b50d6bfcca79p-17, 0x1.80b56f3968a2p-17, 0x1.85c2038c64e4bp-17, 0x1.8a71d2cc4dfbep-17, 0x1.8ec057e0ba589p-17, 0x1.92b1c4f8e76d5p-17, 0x1.964cad9bcf80dp-17, 0x1.9990fb0ea2328p-17, 0x1.9c7c8713ce0fep-17, 0x1.9f1228d59c709p-17, 0x1.a1578079ad3acp-17, 0x1.a350c739eb88ap-17, 0x1.a5002be48dedbp-17, 0x1.a666ebac1f0abp-17, 0x1.a78635ba677d6p-17, 0x1.a85f84d09045bp-17, 0x1.a8f48cc3441fdp-17, 0x1.a946d1ac1ffa8p-17, 0x1.a9572e59e1c73p-17, 0x1.a925d705d3cd5p-17, 0x1.a8b30cf5d5f18p-17, 0x1.a7ffd126e9a0cp-17, 0x1.a70e92d302216p-17, 0x1.a5e485ef0c81ap-17, 0x1.a4870ec5fa33ap-17, 0x1.a2f53165f862ep-17, 0x1.a12b9670fec7ep-17, 0x1.9f2d6838c5facp-17, 0x1.9cfe972ca9739p-17, 0x1.9a9d55c485a45p-17, 0x1.9808eb699a507p-17, 0x1.954479b04df3ep-17, 0x1.9252fe1a21c32p-17, 0x1.8f35f6c6dbe3p-17, 0x1.8bee3a9f95a82p-17, 0x1.887c9ac5e1307p-17, 0x1.84e206c0841ccp-17, 0x1.811f83d9eaa89p-17, 0x1.7d3624c035f0cp-17, 0x1.79270858f4e91p-17, 0x1.74f35209ee484p-17, 0x1.709c0f93c0e27p-17, 0x1.6c221d8d4d6eep-17, 0x1.67863760a6e35p-17, 0x1.62c930ebbe833p-17, 0x1.5debd4accd1c6p-17, 0x1.58eeaf93504aep-17, 0x1.53d392f62b0f9p-17, 0x1.4e9d0816a197ep-17, 0x1.494adf498fef7p-17, 0x1.43de241179a72p-17, 0x1.3e58bcf986ef6p-17, 0x1.38b967d86ba25p-17, 0x1.3300a140f4294p-17, 0x1.2d309e911f89ap-17, 0x1.274ab4758a07dp-17, 0x1.214f91108100dp-17, 0x1.1b3fd56f07c03p-17, 0x1.151c3a8750aap-17, 0x1.0ee58a35c3805p-17, 0x1.089c9421f110dp-17, 0x1.02422639ccd6ep-17, 0x1.f7ae1267a1bd9p-18, 0x1.eab802b90fa02p-18, 0x1.dda3a545db58ep-18, 0x1.d072880cc598cp-18, 0x1.c3263b4bbe73bp-18, 0x1.b5c0410e5cbfbp-18, 0x1.a84207f03d9c7p-18, 0x1.9aad0ef335368p-18, 0x1.8d02b5e34f85ap-18, 0x1.7f434b6c3c03cp-18, 0x1.716fb24dad78ep-18, 0x1.638b74c134d6ep-18, 0x1.5598529bd4718p-18, 0x1.4797dfa8ac27dp-18, 0x1.3989518a6dep-18, 0x1.2b6d953cc9f1ep-18, 0x1.1d476024aa243p-18, 0x1.0f182c00cb197p-18, 0x1.00e0f6feee56ep-18, 0x1.e545a1af7999dp-19, 0x1.c8bdbec478eb1p-19, 0x1.ac2ca1f89e3e4p-19, 0x1.8f94a9e2f0febp-19, 0x1.72f82fc93d74dp-19, 0x1.5659832d23894p-19, 0x1.39bae63e71f4cp-19, 0x1.1d1e8bb5bd51cp-19, 0x1.0086985e40e5ap-19, 0x1.c7ea54808aec9p-20, 0x1.8ed8c54a285e8p-20, 0x1.55dcd380a2be6p-20, 0x1.1cfac4ae7d83dp-20, 0x1.c86d5204e3c28p-21, 0x1.5728e9d98eaep-21, 0x1.cc6138699ac13p-22, 0x1.d62947195df19p-23, 0x1.4dbe6644541cdp-27, -0x1.aaefba8d08962p-23, -0x1.b47bc876ac92p-22, -0x1.494de41634fe5p-21, -0x1.b7ed95b9b20d1p-21, -0x1.1307c1ff05f33p-20, -0x1.49d57f79f307ep-20, -0x1.805d54f693d6cp-20, -0x1.b69c60d92ad9ap-20, -0x1.ec8f93c1caccbp-20, -0x1.1119ecf4448b9p-19, -0x1.2bc3152397081p-19, -0x1.4641c512c44ap-19, -0x1.609486ebd9e68p-19, -0x1.7ab9ecccbd4ebp-19, -0x1.94b0917dc9a09p-19, -0x1.ae7719769543cp-19, -0x1.c80c34097d9acp-19, -0x1.e16e9bb34d015p-19, -0x1.fa9d13d0802f1p-19, -0x1.09cb31c23dbf3p-18, -0x1.162ca8cc4d0a5p-18, -0x1.2272533ea162ep-18, -0x1.2e9b9b516ec27p-18, -0x1.3aa7f7da769f9p-18, -0x1.4696e6642d18p-18, -0x1.5267d3a0633fcp-18, -0x1.5e1a4d661729bp-18, -0x1.69ae5a2ef0b04p-18, -0x1.75229eeba6a19p-18, -0x1.8076ba54b834ap-18, -0x1.8bab01e3cee4p-18, -0x1.96be672d8f734p-18, -0x1.a1b07efbfe2e6p-18, -0x1.ac80fe7e58d7dp-18, -0x1.b72f8a4fc7ed9p-18, -0x1.c1bbc3bdaeffep-18, -0x1.cc254e9a2afbp-18, -0x1.d66bd26a93e47p-18, -0x1.e08efa64a888p-18, -0x1.ea8e75366d518p-18, -0x1.f469f4e43d09ep-18, -0x1.fe212eccc24a9p-18, -0x1.03d9eddefcef7p-17, -0x1.0890dc0b3fe0ap-17, -0x1.0d354200e8e2fp-17, -0x1.11c701e363557p-17, -0x1.1645ffe184db6p-17, -0x1.1ab221bd92aabp-17, -0x1.1f0b4e07ea8b8p-17, -0x1.23516bc5df7fep-17, -0x1.278462dc29c51p-17, -0x1.2ba41d6971406p-17, -0x1.2fb08aa0f911ap-17, -0x1.33a99eb55e377p-17, -0x1.378f45f68d29ap-17, -0x1.3b615f2b0dd8fp-17, -0x1.3f2004b8fc029p-17, -0x1.42cb0d8046791p-17, -0x1.46628b33cd44p-17, -0x1.49e662f29aaep-17, -0x1.4d5678a0d7543p-17, -0x1.50b2d6d3a94e6p-17, -0x1.53fb7cef7674p-17, -0x1.5730679b947dbp-17, -0x1.5a519478b8474p-17, -0x1.5d5f02a26fdf3p-17, -0x1.6058b2a48030cp-17, -0x1.633ea6622b79ep-17, -0x1.6610e0ff604e4p-17, -0x1.68cf66cf390c8p-17, -0x1.6b7a3d4c8657dp-17, -0x1.6e116b1992906p-17, -0x1.7094f800dd2d2p-17, -0x1.7304ecf53a703p-17, -0x1.75615418d884bp-17, -0x1.77aa38d012b5p-17, -0x1.79dfa7c9460f5p-17, -0x1.7c01aecbfb674p-17, -0x1.7e105c53baf47p-17, -0x1.800bbf5b6de01p-17, -0x1.81f3e77c295e8p-17, -0x1.83c8e52d1f4a3p-17, -0x1.858acad4582e5p-17, -0x1.8739aeef57b79p-17, -0x1.88d5a9709a355p-17, -0x1.8a5ec877b2a7ep-17, -0x1.8bd50d77d0d9ap-17, -0x1.8d38ad1239254p-17, -0x1.8e89d7a681e41p-17, -0x1.8fc8803e129cap-17, -0x1.90f4b3b72f1fep-17, -0x1.920e9cb9fbef8p-17, -0x1.931658929f0c6p-17, -0x1.940c0253b8038p-17, -0x1.94efb5daf62bdp-17, -0x1.95c18ff23f97fp-17, -0x1.9681ae326836ep-17, -0x1.97302eef6df1bp-17, -0x1.97cd312b7348ep-17, -0x1.9858d48c002c2p-17, -0x1.98d33950b3c09p-17, -0x1.993c804cd3b36p-17, -0x1.9994cae44200fp-17, -0x1.99dc3b09b6fe8p-17, -0x1.9a12f33aed5e5p-17, -0x1.9a39167cae7f5p-17, -0x1.9a4ec85ae2478p-17, -0x1.9a542ced6adaap-17, -0x1.9a4968d985af8p-17, -0x1.9a2ea139a0b22p-17, -0x1.9a03fb74d4dacp-17, -0x1.99c99d3316a49p-17, -0x1.997fac6c228b9p-17, -0x1.99264f692631p-17, -0x1.98bdacfe74295p-17, -0x1.9845ed87d0174p-17, -0x1.97bf3ab03e886p-17, -0x1.9729bbdb91076p-17, -0x1.968590c5d5905p-17, -0x1.95d2daf472bdep-17, -0x1.9511efd59a6a5p-17, -0x1.9442d620f703bp-17, -0x1.9365b09044792p-17, -0x1.927ab39165c09p-17, -0x1.918209b84c815p-17, -0x1.907bdcb4ac52ep-17, -0x1.8f68569859848p-17, -0x1.8e47a1c492bap-17, -0x1.8d19e8d3d1571p-17, -0x1.8bdf568ee36d8p-17, -0x1.8a9815e6dff13p-17, -0x1.894451efc3894p-17, -0x1.87e435dc1f331p-17, -0x1.8677ecf92ea8bp-17, -0x1.84ffa2ab1e55ap-17, -0x1.837b8269f707cp-17, -0x1.81ebb7bfb10f9p-17, -0x1.80506e458a95cp-17, -0x1.7ea9d1a0e200bp-17, -0x1.7cf80d8051343p-17, -0x1.7b3b4d9a694ebp-17, -0x1.7973bdada4403p-17, -0x1.77a1897e51016p-17, -0x1.75c4dcccc7f8ap-17, -0x1.73dde34b2aa3cp-17, -0x1.71ecc89ce073p-17, -0x1.6ff1b859a272ap-17, -0x1.6decde080e05dp-17, -0x1.6bde65238b3a9p-17, -0x1.69c6795e27618p-17, -0x1.67a546a1ea9bep-17, -0x1.657af83eb0374p-17, -0x1.6347b81517675p-17, -0x1.610bac49f166bp-17, -0x1.5ec70e16b9f45p-17, -0x1.5c7a00216bfeep-17, -0x1.5a24a96f80cd5p-17, -0x1.57c7385ba5466p-17, -0x1.5561d77a246b6p-17, -0x1.52f4b102353c2p-17, -0x1.507fef16f17c4p-17, -0x1.4e03bbbb59eb5p-17, -0x1.4b8040ca9a453p-17, -0x1.48f5a7f3ea0c1p-17, -0x1.46641ab82ac7fp-17, -0x1.43cbc268356p-17, -0x1.412cc822de87ap-17, -0x1.3e8754d3ae046p-17, -0x1.3bdb913126d75p-17, -0x1.3929a5baa7ec1p-17, -0x1.3671bab77a46p-17, -0x1.33b3f8354fc7bp-17, -0x1.30f086075e333p-17, -0x1.2e278bc50f3b7p-17, -0x1.2b5930c86a416p-17, -0x1.28859c2c95202p-17, -0x1.25acf4cd4f974p-17, -0x1.22cf61464985fp-17, -0x1.1fed07f142b9fp-17, -0x1.1d060ee442177p-17, -0x1.1a1a9bef92877p-17, -0x1.172ad49db3676p-17, -0x1.1436de3329d7dp-17, -0x1.113eddac9041fp-17, -0x1.0e42f7bdd6abbp-17, -0x1.0b4350dac62bbp-17, -0x1.08400d38c2435p-17, -0x1.053950b1ef1c1p-17, -0x1.022f3ebf3cefcp-17, -0x1.fe43f3e4891b1p-18, -0x1.f8234d06b1c2bp-18, -0x1.f1fcce517953p-18, -0x1.ebd0b9e4b7f02p-18, -0x1.e59f55355c752p-18, -0x1.df68e3c13f2efp-18, -0x1.d92da85516927p-18, -0x1.d2ede5222e55dp-18, -0x1.cca9dbbb511cdp-18, -0x1.c661cd11b4293p-18, -0x1.c015f97306bbfp-18, -0x1.b9c6a088a089fp-18, -0x1.b3740156e0538p-18, -0x1.ad1e5a3bbc65cp-18, -0x1.a6c5e8ef0bd09p-18, -0x1.a06aea823e581p-18, -0x1.9a0d9b5f1fb05p-18, -0x1.93ae3745e92dp-18, -0x1.8d4cf94f2970dp-18, -0x1.86ea1bea00c57p-18, -0x1.8085d8dbd751cp-18, -0x1.7a20694112f9ep-18, -0x1.73ba058ad7c61p-18, -0x1.6d52e58016893p-18, -0x1.66eb403d7a6dfp-18, -0x1.60834c3524f15p-18, -0x1.5a1b3f2e5c9adp-18, -0x1.53b34e45c1278p-18, -0x1.4d4badec71a36p-18, -0x1.46e491e8e72dap-18, -0x1.407e2d571386p-18, -0x1.3a18b2a886ceep-18, -0x1.33b453a4eea95p-18, -0x1.2d514168899a5p-18, -0x1.26efac66649ebp-18, -0x1.208fc468a212fp-18, -0x1.1a31b88e76eb5p-18, -0x1.13d5b74c6bd82p-18, -0x1.0d7bee6a8c5bp-18, -0x1.07248b03bf50dp-18, -0x1.00cfb9bdd0754p-18, -0x1.f4fb4c7dc179fp-19, -0x1.e85cf784069b2p-19, -0x1.dbc4c99ed5f93p-19, -0x1.cf33168bd686cp-19, -0x1.c2a830be9b4a5p-19, -0x1.b62469606adfap-19, -0x1.a9a810523eca3p-19, -0x1.9d33742e194c7p-19, -0x1.90c6e245d59c4p-19, -0x1.8462a6a5a3256p-19, -0x1.78070c1734a74p-19, }}, 
      {{-0x1.7c7a20299c55cp+1, -0x1.68e602c3078aep+1, -0x1.505e14eb6c554p+1, -0x1.36b50a7b61626p+1, -0x1.1e29fa6cb94e2p+1, -0x1.07f29e4d02cb3p+1, -0x1.e93218c9de961p+0, -0x1.c87654bd2b667p+0, -0x1.ad6b202072755p+0, -0x1.9780b62c5c78cp+0, -0x1.8604a74e63443p+0, -0x1.783ab0d13ccacp+0, -0x1.6d6c49b0bd1a6p+0, -0x1.64f1bc68e629fp+0, -0x1.5e36e1cfbffb9p+0, -0x1.58bcece452212p+0, -0x1.541a5398b1ae9p+0, -0x1.4ff98fd604ec2p+0, -0x1.4c173b8250daep+0, -0x1.483fe0b673f32p+0, -0x1.444db91aff6cbp+0, -0x1.402680b3ecd82p+0, -0x1.3bb970e8751cdp+0, -0x1.36fd6e7b60dcp+0, -0x1.31ef6ec873754p+0, -0x1.2c9114987e34ep+0, -0x1.26e78250905afp+0, -0x1.20fa5d981ddaep+0, -0x1.1ad2ff9e6217fp+0, -0x1.147bccc1960b4p+0, -0x1.0dffae57f927dp+0, -0x1.0769a99b23fa1p+0, -0x1.00c48f1b28d04p+0, -0x1.f4357d3795197p-1, -0x1.e6ebf776ff58fp-1, -0x1.d9bea0828f59fp-1, -0x1.ccbdf2c1bd285p-1, -0x1.bff8bb5fe40e6p-1, -0x1.b37c13c90a996p-1, -0x1.a753659067707p-1, -0x1.9b88762915496p-1, -0x1.902378543316dp-1, -0x1.852b2192c56dfp-1, -0x1.7aa4c24004122p-1, -0x1.70945f45232a2p-1, -0x1.66fccc9134325p-1, -0x1.5ddfc7b36654p-1, -0x1.553e121c4fabfp-1, -0x1.4d178aaa429a1p-1, -0x1.456b463eb8cddp-1, -0x1.3e37a72dd4528p-1, -0x1.377a7368c26fcp-1, -0x1.3130e94f9c83p-1, -0x1.2b57d32118be3p-1, -0x1.25eb99061b92dp-1, -0x1.20e851bb77581p-1, -0x1.1c49d1e22e919p-1, -0x1.180bba005e19dp-1, -0x1.1429833f8f6cp-1, -0x1.109e8af75d6eep-1, -0x1.0d661d13bfb19p-1, -0x1.0a7b7d67009d7p-1, -0x1.07d9eff84bcbfp-1, -0x1.057cc05e7879fp-1, -0x1.035f4838487b9p-1, -0x1.017cf4d184bbcp-1, -0x1.ffa298099434fp-2, -0x1.fcafe0d1a95b2p-2, -0x1.fa1949adf8581p-2, -0x1.f7d69eb463dfbp-2, -0x1.f5dff7206c377p-2, -0x1.f42db921ef22dp-2, -0x1.f2b89cba5dea4p-2, -0x1.f179add71ee65p-2, -0x1.f06a4dacb543p-2, -0x1.ef84334d93032p-2, -0x1.eec16bf50d3cap-2, -0x1.ee1c5a57dd9c7p-2, -0x1.ed8fb60702bf6p-2, -0x1.ed168a3d6b81bp-2, -0x1.ecac33d3d1ad7p-2, -0x1.ec4c60387425cp-2, -0x1.ebf30a6d5397p-2, -0x1.eb9c78dad90a3p-2, -0x1.eb453bb5fa236p-2, -0x1.eaea28b14a80cp-2, -0x1.ea8859c120539p-2, -0x1.ea1d2a502a484p-2, -0x1.e9a632bd57135p-2, -0x1.e92147a3b24dp-2, -0x1.e88c75da859ffp-2, -0x1.e7e5fea69cd22p-2, -0x1.e72c56db7c579p-2, -0x1.e65e22c3edbe8p-2, -0x1.e57a33342afd2p-2, -0x1.e47f842817ab2p-2, -0x1.e36d393f7dadfp-2, -0x1.e2429b31ac70ap-2, -0x1.e0ff15e51fc8p-2, -0x1.dfa2359fd2b2fp-2, -0x1.de2ba4c0acb7bp-2, -0x1.dc9b29c604d92p-2, -0x1.daf0a52c73bd2p-2, -0x1.d92c0f8b92256p-2, -0x1.d74d77d68e2b2p-2, -0x1.d55501aa97fd3p-2, -0x1.d342e3b41a62p-2, -0x1.d117662245e0cp-2, -0x1.ced2e12bf975ep-2, -0x1.cc75bba32350ep-2, -0x1.ca0069955dd3p-2, -0x1.c7736b0164b49p-2, -0x1.c4cf4a9f6eb2p-2, -0x1.c2149cba3fd7fp-2, -0x1.bf43fe1dbc67p-2, -0x1.bc5e1318c9cd9p-2, -0x1.b963868d30eb5p-2, -0x1.b655090eff5e2p-2, -0x1.b33350127431fp-2, -0x1.afff15233ef26p-2, -0x1.acb91524d5bd1p-2, -0x1.a9620f9dadef3p-2, -0x1.a5fac60af488ep-2, -0x1.a283fb3bbc32fp-2, -0x1.9efe72b64beap-2, -0x1.9b6af02843f41p-2, -0x1.97ca36e012226p-2, -0x1.941d09509e094p-2, -0x1.906428a0cfde9p-2, -0x1.8ca054460805p-2, -0x1.88d249a8261b7p-2, -0x1.84fac3cf77848p-2, -0x1.811a7b1ca83c6p-2, -0x1.7d322508faa8cp-2, -0x1.794273ed97cd6p-2, -0x1.754c16d1d91c3p-2, -0x1.714fb9401c2adp-2, -0x1.6d4e03200baa8p-2, -0x1.69479895523bcp-2, -0x1.653d19e2dabd6p-2, -0x1.612f2352c5ac5p-2, -0x1.5d1e4d21ec77bp-2, -0x1.590b2b6ed4e23p-2, -0x1.54f64e2c8739p-2, -0x1.50e0411894623p-2, -0x1.4cc98bb4832b6p-2, -0x1.48b2b142a2a5dp-2, -0x1.449c30c52dcf6p-2, -0x1.408685006c0c8p-2, -0x1.3c72248046f69p-2, -0x1.385f819f6b8c4p-2, -0x1.344f0a903aefap-2, -0x1.30412968dd591p-2, -0x1.2c36443096f92p-2, -0x1.282ebcedb030ep-2, -0x1.242af1b5d2b53p-2, -0x1.202b3cbfa5ff2p-2, -0x1.1c2ff473d9b7dp-2, -0x1.18396b7fa66a9p-2, -0x1.1447f0e921baap-2, -0x1.105bd022a58a2p-2, -0x1.0c75511dcfc6ep-2, -0x1.0894b8609ba85p-2, -0x1.04ba471ac14b1p-2, -0x1.00e63b3952f18p-2, -0x1.fa319ef6064b6p-3, -0x1.f2a4770c4c5d9p-3, -0x1.eb2567fb46923p-3, -0x1.e3b4d528fb559p-3, -0x1.dc531c455e9b5p-3, -0x1.d5009575f86d6p-3, -0x1.cdbd937e3018fp-3, -0x1.c68a63e5b6376p-3, -0x1.bf674f21ce106p-3, -0x1.b85498bf67745p-3, -0x1.b1527f89837dbp-3, -0x1.aa613dae2fccep-3, -0x1.a38108e6013e7p-3, -0x1.9cb2129bc98fdp-3, -0x1.95f48810ba398p-3, -0x1.8f48927f1335bp-3, -0x1.88ae573ecaac3p-3, -0x1.8225f7ea5df62p-3, -0x1.7baf928060c2ap-3, -0x1.754b418338481p-3, -0x1.6ef91c1a3e37dp-3, -0x1.68b93633633d1p-3, -0x1.628ba0a21fde5p-3, -0x1.5c70693c0915p-3, -0x1.56679af60094dp-3, -0x1.50713e0267af2p-3, -0x1.4a8d57ed8d35bp-3, -0x1.44bbebb771ab9p-3, -0x1.3efcf9ed023dcp-3, -0x1.395080c27d0a7p-3, -0x1.33b67c2d5ea94p-3, -0x1.2e2ee5fbf60c7p-3, -0x1.28b9b5eb514ap-3, -0x1.2356e1bd9311cp-3, -0x1.1e065d50d864fp-3, -0x1.18c81ab50bdcfp-3, -0x1.139c0a3faa103p-3, -0x1.0e821a9ea68acp-3, -0x1.097a38ebb50d7p-3, -0x1.048450bfb0b54p-3, -0x1.ff409889f4bf3p-4, -0x1.f59c2890b9a6p-4, -0x1.ec1b20928e488p-4, -0x1.e2bd4d1421909p-4, -0x1.d9827840565b4p-4, -0x1.d06a6a0746d3p-4, -0x1.c774e83b8ab54p-4, -0x1.bea1b6ae284dep-4, -0x1.b5f09749ad10bp-4, -0x1.ad614a2cad258p-4, -0x1.a4f38dc3bb7e2p-4, -0x1.9ca71ee2cfe93p-4, -0x1.947bb8ddc546bp-4, -0x1.8c71159f42c49p-4, -0x1.8486edbe28ef9p-4, -0x1.7cbcf8927aa7p-4, -0x1.7512ec4ace669p-4, -0x1.6d887e02053bp-4, -0x1.661d61d3b50b4p-4, -0x1.5ed14aee29ecep-4, -0x1.57a3eba2adbacp-4, -0x1.5094f5763310ep-4, -0x1.49a4193398c65p-4, -0x1.42d106fe64264p-4, -0x1.3c1b6e639fa45p-4, -0x1.3582fe67a6d8ap-4, -0x1.2f0765924c17dp-4, -0x1.28a851fbff982p-4, -0x1.2265715d3fe12p-4, -0x1.1c3e711ed18d3p-4, -0x1.1632fe67f4a5dp-4, -0x1.1042c62932215p-4, -0x1.0a6d75252eb94p-4, -0x1.04b2b7fa6de2bp-4, -0x1.fe24765f6e2a8p-5, -0x1.f3175684017b2p-5, -0x1.e83d696207375p-5, -0x1.dd960810ed99cp-5, -0x1.d3208bcd173ccp-5, -0x1.c8dc4e04b63fep-5, -0x1.bec8a8696a368p-5, -0x1.b4e4f506a7e9cp-5, -0x1.ab308e5880195p-5, -0x1.a1aacf5d83c8ap-5, -0x1.985313a221fe8p-5, -0x1.8f28b748acc6fp-5, -0x1.862b17133553bp-5, -0x1.7d5990728e1e7p-5, -0x1.74b38198f0b9cp-5, -0x1.6c38498bd5734p-5, -0x1.63e74830cc031p-5, -0x1.5bbfde54b74c3p-5, -0x1.53c16db0842ffp-5, -0x1.4beb58efe15d8p-5, -0x1.443d03bc6bcf4p-5, -0x1.3cb5d2cc26a6dp-5, -0x1.35552bef7c1c7p-5, -0x1.2e1a761b3bc08p-5, -0x1.2705196dc5103p-5, -0x1.20147f316baa9p-5, -0x1.194811dfbf84dp-5, -0x1.129f3d283a2b9p-5, -0x1.0c196dfa3c50ap-5, -0x1.05b6128fd222ap-5, -0x1.fee934ec64ccep-6, -0x1.f2a8ed24a0b03p-6, -0x1.e6aa324461ea1p-6, -0x1.daebeb7ae15e7p-6, -0x1.cf6d02af03458p-6, -0x1.c42c6489a32eep-6, -0x1.b9290083cac68p-6, -0x1.ae61c8f4a7db8p-6, -0x1.a3d5b31aed5bbp-6, -0x1.9983b72036f93p-6, -0x1.8f6ad0180f5b2p-6, -0x1.8589fbfe4a9bap-6, -0x1.7be03bb83f6b7p-6, -0x1.726c931a30a2p-6, -0x1.692e08ef7c1dcp-6, -0x1.6023a702b8c15p-6, -0x1.574c7a2293fa7p-6, -0x1.4ea792226c91dp-6, -0x1.463401d77620dp-6, -0x1.3df0df14ca17cp-6, -0x1.35dd42a8fa62bp-6, -0x1.2df8485e695f5p-6, -0x1.26410efe12b31p-6, -0x1.1eb6b852f8163p-6, -0x1.1758692c295a6p-6, -0x1.1025495bf36bdp-6, -0x1.091c83b44c1e2p-6, -0x1.023d46018de7ep-6, -0x1.f70d820a6e48p-7, -0x1.e9f050e420677p-7, -0x1.dd2165d4593c2p-7, -0x1.d09f33fc612bep-7, -0x1.c468345955cf9p-7, -0x1.b87ae5c08a7ep-7, -0x1.acd5ccd81aee8p-7, -0x1.a177740c1aeacp-7, -0x1.965e6b8191a47p-7, -0x1.8b894909b1904p-7, -0x1.80f6a8169e898p-7, -0x1.76a529b2722b9p-7, -0x1.6c937478136b3p-7, -0x1.62c0348c42422p-7, -0x1.592a1b958b495p-7, -0x1.4fcfe0b216734p-7, -0x1.46b0406b2a9ddp-7, -0x1.3dc9fca712639p-7, -0x1.351bdc9a6ae5dp-7, -0x1.2ca4acba12e4p-7, -0x1.24633eae5da95p-7, -0x1.1c56694788f7ep-7, -0x1.147d0872f237dp-7, -0x1.0cd5fd3061be2p-7, -0x1.05602d868190bp-7, -0x1.fc3508ec66756p-8, -0x1.ee07e3d8d6efbp-8, -0x1.e036d5666f57ep-8, -0x1.d2bfd0c448a32p-8, -0x1.c5a0d29dab967p-8, -0x1.b8d7e0fc55b1cp-8, -0x1.ac630b2c6648fp-8, -0x1.a04069a1dabf2p-8, -0x1.946e1ddf28bc6p-8, -0x1.88ea525c57e53p-8, -0x1.7db33a6de0be7p-8, -0x1.72c7122a29c09p-8, -0x1.68241e4d75013p-8, -0x1.5dc8ac1b865d3p-8, -0x1.53b3113f57b4fp-8, -0x1.49e1aba99edbp-8, -0x1.4052e16ef06e1p-8, -0x1.370520a71f13fp-8, -0x1.2df6df4ef9d8ap-8, -0x1.25269b2d976f8p-8, -0x1.1c92d9bd12307p-8, -0x1.143a2815fb53bp-8, -0x1.0c1b1adbc27f1p-8, -0x1.04344e276f83ep-8, -0x1.f908cadc68d57p-9, -0x1.ea1416c4de783p-9, -0x1.db87e39d4fab8p-9, -0x1.cd61a2d8326ddp-9, -0x1.bf9ed37029e01p-9, -0x1.b23d0198212cfp-9, -0x1.a539c6798372fp-9, -0x1.9892c805fe9e8p-9, -0x1.8c45b8de06d2dp-9, -0x1.80505846d07cfp-9, -0x1.74b072264f31dp-9, -0x1.6963def7f3f1p-9, -0x1.5e6883ad4d88dp-9, -0x1.53bc51710e8cap-9, -0x1.495d454ab43f7p-9, -0x1.3f4967a8d60f2p-9, -0x1.357ecbe07da13p-9, -0x1.2bfb8fb554ce8p-9, -0x1.22bddafe5373bp-9, -0x1.19c3df7668416p-9, -0x1.110bd8beb6f1bp-9, -0x1.08940c8b76268p-9, -0x1.005acae8ea96bp-9, -0x1.f0bcdcf9cbe99p-10, -0x1.e13ab94df8ecdp-10, -0x1.d22c0ace1cdcap-10, -0x1.c38dc5fac2f9fp-10, -0x1.b55cf290fc876p-10, -0x1.a796a9ec51d09p-10, -0x1.9a381556b2e1dp-10, -0x1.8d3e6c98ae274p-10, -0x1.80a6f51792b54p-10, -0x1.746f01b263fd2p-10, -0x1.6893f365483d3p-10, -0x1.5d133a8d04b22p-10, -0x1.51ea587806c53p-10, -0x1.4716e0da22bd3p-10, -0x1.3c967ab4a199bp-10, -0x1.3266e05c7c794p-10, -0x1.2885de7696327p-10, -0x1.1ef151fcbbd63p-10, -0x1.15a7259acb3a5p-10, -0x1.0ca54edef5748p-10, -0x1.03e9cbcdfe8dep-10, -0x1.f6e542bb82c93p-11, -0x1.e67bb65b9f1b9p-11, -0x1.d693192763d2p-11, -0x1.c727a58c5b15cp-11, -0x1.b835af626e2a3p-11, -0x1.a9b9a9a3648dcp-11, -0x1.9bb02adb3d7d9p-11, -0x1.8e15ef2f4892dp-11, -0x1.80e7d7503c286p-11, -0x1.7422e44a2798cp-11, -0x1.67c430d3cc151p-11, -0x1.5bc8e94dc1de4p-11, -0x1.502e43faca314p-11, -0x1.44f17afa4019ap-11, -0x1.3a0fc939ff03fp-11, -0x1.2f866afc311e7p-11, -0x1.2552a1d0344bbp-11, -0x1.1b71bb2d9468dp-11, -0x1.11e1185994e3ap-11, -0x1.089e36016e02cp-11, -0x1.ff4d640300c5dp-12, -0x1.edf09c4783a36p-12, -0x1.dd21de5c6ab5ap-12, -0x1.ccdd30905916bp-12, -0x1.bd1ec6e7d99d1p-12, -0x1.ade2f0e8a0f39p-12, -0x1.9f2607a4d770cp-12, -0x1.90e45f6de6748p-12, -0x1.831a3fd1222b9p-12, -0x1.75c3e32670de7p-12, -0x1.68dd7d5df7773p-12, -0x1.5c6348531bd1bp-12, -0x1.505193093f7abp-12, -0x1.44a4d0eb50de4p-12, -0x1.3959a6688ae0dp-12, -0x1.2e6cf0e28c9p-12, -0x1.23dbc8b3dae08p-12, -0x1.19a37d06d6822p-12, -0x1.0fc18a30c7235p-12, -0x1.06338c312872ep-12, -0x1.f9ee5f582c536p-13, -0x1.e814481cb473fp-13, -0x1.d6d422aa28efap-13, -0x1.c62926501c40bp-13, -0x1.b60e737a45f77p-13, -0x1.a67f1f7f7c2bep-13, -0x1.9776471ae475p-13, -0x1.88ef234f8fe91p-13, -0x1.7ae51c9dc0f6cp-13, -0x1.6d53d9407a54ep-13, -0x1.6037445695965p-13, -0x1.538b8d6d3a9d8p-13, -0x1.474d21abe3a55p-13, -0x1.3b78a1490defbp-13, -0x1.300ad435686b6p-13, -0x1.2500a00975bbp-13, -0x1.1a56ffd8fe0a1p-13, -0x1.100afd91a0a12p-13, -0x1.0619ac784693ep-13, -0x1.f9004a0b02e1p-14, -0x1.e6770672e94e7p-14, -0x1.d491d1a2e8c0ap-14, -0x1.c34b082c397c5p-14, -0x1.b29d340a7fea5p-14, -0x1.a283205a2191ep-14, -0x1.92f7e2588b5d1p-14, -0x1.83f6d01ee080ap-14, -0x1.757b65c3590cfp-14, -0x1.6781239f3636fp-14, -0x1.5a03768cf51d8p-14, -0x1.4cfdb88410659p-14, -0x1.406b4d0ef7ce8p-14, -0x1.3447ceea88218p-14, -0x1.288f3a2014e27p-14, -0x1.1d3dfdf2cbb57p-14, -0x1.1250ecfb87763p-14, -0x1.07c51321b494dp-14, -0x1.fb2f0fa0b1a89p-15, -0x1.e78aab47db554p-15, -0x1.d49708368be2bp-15, -0x1.c24e73ebb3d76p-15, -0x1.b0abbc041956dp-15, -0x1.9faa37e5fdc3fp-15, -0x1.8f45867aec6a4p-15, -0x1.7f7917b54857bp-15, -0x1.703fb6d6fd411p-15, -0x1.61934cde38f1p-15, -0x1.536cfdd599df2p-15, -0x1.45c5a29633d86p-15, -0x1.38967ce84fccep-15, -0x1.2bd9e5deff875p-15, -0x1.1f8bab3be4207p-15, -0x1.13a8e946238bp-15, -0x1.082f6d0388275p-15, -0x1.fa39e2b2065f6p-16, -0x1.e4dd48e79a0ffp-16, -0x1.d042685312fa7p-16, -0x1.bc628a2dda27fp-16, -0x1.a937ecdf2e59fp-16, -0x1.96be3172dfe9ep-16, -0x1.84f1f14c6f949p-16, -0x1.73cfc21d4ec03p-16, -0x1.635333e563925p-16, -0x1.53763dc735a75p-16, -0x1.4431386840c55p-16, -0x1.357b4294f8cf5p-16, -0x1.274af3cf0e0f4p-16, -0x1.19975da1ffc1ap-16, -0x1.0c593aec1c9b2p-16, -0x1.ff17a33fb5272p-17, -0x1.e659ce879529bp-17, -0x1.ce7731ecea77fp-17, -0x1.b76d6e8cfcc9ap-17, -0x1.a1376a765af9dp-17, -0x1.8bcd890d0c694p-17, -0x1.772798bbe4b3ep-17, -0x1.633ed94011b6cp-17, -0x1.500ee3274f95bp-17, -0x1.3d950b72e3f76p-17, -0x1.2bceaa760049ap-17, -0x1.1ab77513c76bbp-17, -0x1.0a491448718fp-17, -0x1.f4f7f6b3f7249p-18, -0x1.d690d01dba05dp-18, -0x1.b94d494f5930fp-18, -0x1.9d1d5f38d6cf2p-18, -0x1.81f05bc5bb4b4p-18, -0x1.67b68c203719cp-18, -0x1.4e6400f5a8da2p-18, -0x1.35f2221cfb107p-18, -0x1.1e5e7bc6a00dcp-18, -0x1.07a76fa728478p-18, -0x1.e39297fe5e832p-19, -0x1.b97b29c2a79cap-19, -0x1.90f863b13ba62p-19, -0x1.69fb3cd4951ecp-19, -0x1.447a16f15bac8p-19, -0x1.207063c6b6d85p-19, -0x1.fbb0f1c606bbap-20, -0x1.b94c8ce0771b2p-20, -0x1.7991146bb23c7p-20, -0x1.3c5ba05906125p-20, -0x1.01903f389920bp-20, -0x1.9236e9f59540ap-21, -0x1.25dedb999f577p-21, -0x1.7bfb234998c29p-22, -0x1.69bb89dcd2ec9p-23, 0x1.3fd698a7556aap-27, 0x1.822a273234bd4p-23, 0x1.70e26fc76f2e8p-22, 0x1.0ce1665001894p-21, 0x1.5dea753f05ec4p-21, 0x1.ab8586a74b2fap-21, 0x1.f5b314497bac8p-21, 0x1.1e481e5ca93ap-20, 0x1.40234381ddcbap-20, 0x1.6074f32f88162p-20, 0x1.7f3d7c4ad0955p-20, 0x1.9c842bb1f64fbp-20, 0x1.b85c676d59a1dp-20, 0x1.d2dc280b8cf57p-20, 0x1.ec141183fcba8p-20, 0x1.02079dc595829p-19, 0x1.0d6af9cd28771p-19, 0x1.18377f0b55cc5p-19, 0x1.226f743fe1bd7p-19, 0x1.2c13dd7e9a5fdp-19, 0x1.35258887266dfp-19, 0x1.3da6f9f03a69p-19, 0x1.459e5b17ed1a4p-19, 0x1.4d16a8b2acc4p-19, 0x1.541ca85aa919ep-19, 0x1.5ab608cc6109p-19, 0x1.60de08931d2b9p-19, 0x1.66902c0815dcfp-19, 0x1.6bd1da0a7690bp-19, 0x1.70ab22cd89ddbp-19, 0x1.751c82ba67d6p-19, 0x1.79241fb680039p-19, 0x1.7cc5bf0d8bf79p-19, 0x1.80084188ef3cfp-19, 0x1.82f0e99d278a4p-19, 0x1.8582a685eb62bp-19, 0x1.87bf530951fbp-19, 0x1.89a8b63c4847cp-19, 0x1.8b40e809682bp-19, 0x1.8c8a3c0267027p-19, 0x1.8d86cbd4c9ccfp-19, 0x1.8e37efe56002bp-19, 0x1.8e9e43af22d37p-19, 0x1.8eba6f5f448adp-19, 0x1.8e8deec70510ap-19, 0x1.8e1bd14f100e7p-19, 0x1.8d6a3218fbcc3p-19, 0x1.8c7f5816cf397p-19, 0x1.8b5a74e8f1061p-19, 0x1.89f820654234ap-19, 0x1.885c2247c6e48p-19, 0x1.868b16cbbc51bp-19, 0x1.8483435532bc5p-19, 0x1.82441ec3757e1p-19, 0x1.7fd158f48672ap-19, 0x1.7d2e7487a4bf9p-19, 0x1.7a5d4b9138cfcp-19, 0x1.775efe8964171p-19, 0x1.7434a58b80875p-19, 0x1.70df77c3ae255p-19, 0x1.6d60c1d6466f5p-19, 0x1.69b9dca69b01ep-19, 0x1.65ec2c067dac8p-19, 0x1.61f9164f89041p-19, 0x1.5de1e81d65f6fp-19, 0x1.59a7b6d050b1fp-19, 0x1.554b7239aab5bp-19, 0x1.50ce22ee55c5dp-19, 0x1.4c30c5bd7df11p-19, 0x1.477413b819b53p-19, 0x1.429a1fe6cbe55p-19, 0x1.3da5be96aecdep-19, 0x1.3896d7f6e0ef5p-19, 0x1.336ea40c91aa1p-19, 0x1.2e2f418f45f0fp-19, 0x1.28d7716c8094ap-19, 0x1.2367d07169f37p-19, 0x1.1de2cc90cf612p-19, 0x1.1849e24d3aadep-19, 0x1.129ddc3ee6c6ep-19, 0x1.0cdf760db398ep-19, 0x1.070f8360bfe3ep-19, 0x1.012ee84651d72p-19, 0x1.f67d1ae5c926p-20, 0x1.ea7eb0c36e11ep-20, 0x1.de644f81ee1b4p-20, 0x1.d22fa8b2394ecp-20, 0x1.c5e26a8de27edp-20, 0x1.b97e47087053p-20, 0x1.ad04efb30da4ap-20, 0x1.a07804d8fef1fp-20, 0x1.93d91056bdf33p-20, 0x1.8729aa6a60f43p-20, 0x1.7a6b48c4927dbp-20, 0x1.6d9e490d6c8ffp-20, 0x1.60c3a03902ab2p-20, 0x1.53def21c63446p-20, 0x1.46f20b5edb75bp-20, 0x1.39fe88bab52fbp-20, 0x1.2d03a4319f907p-20, 0x1.200253bd44631p-20, 0x1.12fd5371b7252p-20, 0x1.05f61f30ba783p-20, 0x1.f1db6bb237686p-21, 0x1.d7ca4d033b2bbp-21, 0x1.bdbb2953dfbedp-21, 0x1.a3b054f8884c2p-21, 0x1.89ac226c9bcb6p-21, 0x1.6fb0db4ce89e6p-21, 0x1.55c0bc1fdf1acp-21, 0x1.3bddf119c51cbp-21, 0x1.220a9445efaefp-21, 0x1.0848af37e9302p-21, 0x1.dd3483e46b2a6p-22, 0x1.aa02989fddd51p-22, 0x1.76ffa28b9d34fp-22, 0x1.442f964b55d08p-22, 0x1.11962fe712bcdp-22, 0x1.be6e17af3ebfdp-23, 0x1.5a2bdd6b96214p-23, 0x1.ecd5e85be2462p-24, 0x1.2657fbf7aa77fp-24, 0x1.83da02ed15152p-26, -0x1.8cc2dd1a20cd4p-26, -0x1.261c93fa7baf4p-24, -0x1.e7d0bcd5a1868p-24, -0x1.541a9ed9203a1p-23, -0x1.b39d853587841p-23, -0x1.09364d92133fep-22, -0x1.384189bc6bfe5p-22, -0x1.66edeb386f94ep-22, -0x1.9538e6a33690bp-22, -0x1.c31ffecfe17b2p-22, -0x1.f0a0c7e503e6dp-22, -0x1.0edc73f5aef35p-21, -0x1.25330bb4297a4p-21, -0x1.3b531134f2ec7p-21, -0x1.513b75084e47ep-21, -0x1.66eb332e33d45p-21, -0x1.7c61533ad87b8p-21, -0x1.919ce64e55014p-21, -0x1.a69d02c36b8c4p-21, -0x1.bb60c0bd482b7p-21, -0x1.cfe73be2a6b2bp-21, -0x1.e42f9bf708f23p-21, -0x1.f8391fad0051cp-21, -0x1.0601893927751p-20, -0x1.0fc652aebff53p-20, -0x1.196aa167a5facp-20, -0x1.22ee8edb70594p-20, -0x1.2c5110f8173f7p-20, -0x1.3591edcdeae5dp-20, -0x1.3eb18121b8ae6p-20, -0x1.47af03ac7c961p-20, -0x1.508a35133fae9p-20, -0x1.5942efe50bcfdp-20, -0x1.61d901bfee056p-20, -0x1.6a4c36392f94dp-20, -0x1.729c5b9692075p-20, -0x1.7ac943bb9a986p-20, -0x1.82d2c421cfba7p-20, -0x1.8ab8b5a400fd1p-20, -0x1.927af45d894ffp-20, -0x1.9a195fa6d9915p-20, -0x1.a193da1d6363cp-20, -0x1.a8ea49b74087cp-20, -0x1.b01c97ebf841dp-20, -0x1.b72ab1e66dcb3p-20, -0x1.be14887b3062ap-20, -0x1.c4da0f67cf02ep-20, -0x1.cb7b3c1f18a5ap-20, -0x1.d1f8053c0ec33p-20, -0x1.d850632448366p-20, -0x1.de8452140fef8p-20, -0x1.e493d6719054bp-20, -0x1.ea7efc952488ep-20, -0x1.f045c51f04e1fp-20, -0x1.f5e81c88e65c3p-20, -0x1.fb664a4dec72bp-20, -0x1.006017ba047e1p-19, -0x1.02fb0343fa7c2p-19, -0x1.0583e3672672dp-19, -0x1.07fab3153bf74p-19, -0x1.0a5f8a8b178edp-19, -0x1.0cb279a57a3a5p-19, -0x1.0ef38e480d5fdp-19, -0x1.1122d72928102p-19, -0x1.1340642f3fd8p-19, -0x1.154c46669519bp-19, -0x1.17468fecd8ffbp-19, -0x1.192f53dcf854p-19, -0x1.1b06a63fc4a68p-19, -0x1.1ccc9c04e1a31p-19, -0x1.1e814affb6cfap-19, -0x1.2024c9e5e00fap-19, -0x1.21b7304df814bp-19, -0x1.233896b198d7dp-19, -0x1.24a9167958ad5p-19, -0x1.2608ca00897f8p-19, -0x1.2757cc6f4ca21p-19, -0x1.2896396e25be3p-19, -0x1.29c42cfe7a8bep-19, -0x1.2ae1c38fbe211p-19, -0x1.2bef1a2ca0c7ep-19, -0x1.2cec4f3f7d3e4p-19, -0x1.2dd98420ab6dfp-19, -0x1.2eb6db2887f53p-19, -0x1.2f846f8156a3dp-19, -0x1.3042532283b0fp-19, -0x1.30f0bcfe1d0c2p-19, -0x1.318fe0c859992p-19, -0x1.321fc5d977307p-19, -0x1.32a0862e1b053p-19, -0x1.3312512371ab8p-19, -0x1.33754c59bd468p-19, -0x1.33c99bbf02215p-19, -0x1.340f63ba812ccp-19, -0x1.3446c942cb0a7p-19, -0x1.346ff1c779b3dp-19, -0x1.348b0321b8308p-19, -0x1.3498238a12ae5p-19, -0x1.3497798f56af2p-19, -0x1.34892c0ec2b78p-19, -0x1.346d622e7df17p-19, -0x1.3444435a6f663p-19, -0x1.340df74219c74p-19, -0x1.33caa5d4b594p-19, -0x1.337a773dcaa51p-19, -0x1.331d93e4405d5p-19, -0x1.32b4246cbaf2dp-19, -0x1.323e51b9e9412p-19, -0x1.31bc44da7ff29p-19, -0x1.312e26ebb2f2ap-19, -0x1.3094211062db1p-19, -0x1.2fee5c7b50e5bp-19, -0x1.2f3d026f56433p-19, -0x1.2e803c678f973p-19, -0x1.2db834c81d1a5p-19, -0x1.2ce516b50064cp-19, -0x1.2c070b8c01b36p-19, -0x1.2b1e37228f84dp-19, -0x1.2a2abe6806f57p-19, -0x1.292cea6f22eeap-19, -0x1.2824cd04f8769p-19, -0x1.27128b6a96a87p-19, -0x1.25f657100c7b6p-19, -0x1.24d05a534728ep-19, -0x1.23a0bec49466ep-19, -0x1.2267ae0a158dep-19, -0x1.212551d222e3fp-19, -0x1.1fd9d3c3a93efp-19, -0x1.1e855d763ce08p-19, -0x1.1d28186de6efbp-19, -0x1.1bc22e16d0f09p-19, -0x1.1a53c7c240e2bp-19, -0x1.18dd0ea3e8622p-19, -0x1.175e2bcf18b0bp-19, -0x1.15d74834538e6p-19, -0x1.14488ca006ad8p-19, -0x1.12b221b879eddp-19, -0x1.11142ffbc7f8cp-19, -0x1.0f6edfbdec316p-19, -0x1.0dc25927ae946p-19, -0x1.0c0ec43698c47p-19, -0x1.0a5448bb888ffp-19, -0x1.08930e541126p-19, -0x1.06cb3c6367d8bp-19, -0x1.04fcfa1217721p-19, -0x1.03286e50531c3p-19, -0x1.014dbfd269e0cp-19, -0x1.feda2a298e0fdp-20, -0x1.fb0d29128c801p-20, -0x1.f734c92fd4b54p-20, -0x1.f351561e7c1bdp-20, -0x1.ef63192709d68p-20, -0x1.eb6a561e5aa86p-20, -0x1.e7676a7c41402p-20, -0x1.e35a94927b2d4p-20, -0x1.df44184f9c613p-20, -0x1.db24433fa3223p-20, -0x1.d6fb5d6da4989p-20, -0x1.d2c9ae09ad966p-20, -0x1.ce8f7bcca1c72p-20, -0x1.ca4d0ce8bb54fp-20, -0x1.c602a6ff6fc07p-20, -0x1.c1b08f1c75e67p-20, -0x1.bd5709b2c6275p-20, -0x1.b8f65a9b566ecp-20, -0x1.b48ec512b9753p-20, -0x1.b0208bb866487p-20, -0x1.ababf08d2f266p-20, -0x1.a73134f0c512fp-20, -0x1.a2b099a0fbeb4p-20, -0x1.9e2a5eb8fe547p-20, -0x1.999ec3b06f38p-20, -0x1.950e075a84557p-20, -0x1.907867e481b96p-20, -0x1.8bde22d4a9a6bp-20, -0x1.873f750a7bffbp-20, -0x1.829c9abe984cp-20, -0x1.7df5cf80de1b7p-20, -0x1.794b4e36c3983p-20, -0x1.749d511975e94p-20, -0x1.6fec11b6976ep-20, -0x1.6b37c8f15daacp-20, -0x1.6680af0034002p-20, -0x1.61c6fb6d0d869p-20, -0x1.5d0ae5214676ap-20, -0x1.584ca26918732p-20, -0x1.538c68cdc1627p-20, -0x1.4eca6d0e55ac8p-20, -0x1.4a06e26dcf265p-20, -0x1.4541fe1d8060bp-20, -0x1.407bf3056905bp-20, -0x1.3bb4f1956d4bep-20, -0x1.36ed2c333502ap-20, -0x1.3224d3b1fdd35p-20, -0x1.2d5c182ccbff2p-20, -0x1.28932915df32cp-20, -0x1.23ca3535b72fdp-20, -0x1.1f016aaa1f62p-20, -0x1.1a38f6e5ac96ep-20, -0x1.157106b006c7bp-20, -0x1.10a9c62657c76p-20, -0x1.0be360bb751c8p-20, -0x1.071e01390094dp-20, -0x1.0259d1bfa387dp-20, -0x1.fb2df78f77179p-21, -0x1.f1ab50421682dp-21, -0x1.e82bfde910248p-21, -0x1.deb04f88eb42cp-21, -0x1.d53892da3f858p-21, -0x1.cbc5144b67d82p-21, -0x1.c2561f00cd5a2p-21, -0x1.b8ebfcd721602p-21, -0x1.af86f6654c49ap-21, -0x1.a62752feb0802p-21, -0x1.9ccd58b38dd8bp-21, -0x1.93794c535edcfp-21, -0x1.8a2b716dea43fp-21, -0x1.80e40a55a760dp-21, -0x1.77a35821ffbfbp-21, -0x1.6e699ab0ed823p-21, -0x1.653710a979dc2p-21, -0x1.5c0bf77b760e3p-21, -0x1.52e88b64abcbfp-21, -0x1.49cd077310c77p-21, -0x1.40b9a582e18b8p-21, -0x1.37ae9e41685fap-21, -0x1.2eac292b5c9dbp-21, -0x1.25b27c8e4940ep-21, -0x1.1cc1cdd7d98ap-21, -0x1.13da50d795c1p-21, -0x1.0afc388dfb612p-21, -0x1.0227b6cadd382p-21, -0x1.f2b9f878d650bp-22, -0x1.e13870ed30d2ap-22, -0x1.cfcb33e854ee1p-22, -0x1.be729c32f5519p-22, -0x1.ad2f026e59e22p-22, -0x1.9c00bd16d69c7p-22, -0x1.8ae8208933162p-22, -0x1.79e57f0abfc15p-22, }}, 
      {{0x1.ffdfe1318d7ep-1, 0x1.ff7f9328284d6p-1, 0x1.fedf40e98c5c4p-1, 0x1.fdff31c0fcdfp-1, 0x1.fcdfc8a8798fbp-1, 0x1.fb818380e899ep-1, 0x1.f9e4fa216cca8p-1, 0x1.f80add4602c97p-1, 0x1.f5f3f564f216ap-1, 0x1.f3a12171e0f5p-1, 0x1.f1135594858f2p-1, 0x1.ee4b99d81f0dap-1, 0x1.eb4b08d81ba2fp-1, 0x1.e812ce6d956f9p-1, 0x1.e4a42660add71p-1, 0x1.e1005b202fa88p-1, 0x1.dd28c48161d32p-1, 0x1.d91ec6897a1dp-1, 0x1.d4e3d041bf6eep-1, 0x1.d0795a97123bp-1, 0x1.cbe0e7454fc2ep-1, 0x1.c71bffceccedfp-1, 0x1.c22c347ff5396p-1, 0x1.bd131b7efd0b6p-1, 0x1.b7d24fe778925p-1, 0x1.b26b70f196513p-1, 0x1.ace02124ae2f1p-1, 0x1.a7320594cc326p-1, 0x1.a162c52ad2691p-1, 0x1.9b7407f6cf79dp-1, 0x1.9567768c1ccb8p-1, 0x1.8f3eb966d6f8dp-1, 0x1.88fb785a4620ep-1, 0x1.829f5a07c1f95p-1, 0x1.7c2c035da76bp-1, 0x1.75a3171ded287p-1, 0x1.6f06356bee1fep-1, 0x1.6856fb60fd606p-1, 0x1.619702a75b6e3p-1, 0x1.5ac7e11b27a63p-1, 0x1.53eb2870f0739p-1, 0x1.4d0265e18390bp-1, 0x1.460f21daa8c7bp-1, 0x1.3f12dfb47809dp-1, 0x1.380f1d6afd03dp-1, 0x1.3105535be6e0dp-1, 0x1.29f6f40804ad9p-1, 0x1.22e56bd856497p-1, 0x1.1bd220e681842p-1, 0x1.14be72c87fa4fp-1, 0x1.0dabba5f5e32dp-1, 0x1.069b49a8f2701p-1, 0x1.ff1cd728cdd37p-2, 0x1.f10cc7b313a19p-2, 0x1.e308dda59c12fp-2, 0x1.d51382b3da42ap-2, 0x1.c72f114e43a1dp-2, 0x1.b95dd465e1d7p-2, 0x1.aba20734f83c1p-2, 0x1.9dfdd50caee9cp-2, 0x1.90735927bf59cp-2, 0x1.83049e821f1b7p-2, 0x1.75b39fb59bda2p-2, 0x1.688246db6e6c7p-2, 0x1.5b726d72b4a6ap-2, 0x1.4e85dc4bd2611p-2, 0x1.41be4b78aeb37p-2, 0x1.351d6241c185cp-2, 0x1.28a4b71fe8394p-2, 0x1.1c55cfbaecbfp-2, 0x1.103220ecb33b5p-2, 0x1.043b0ec8f606p-2, 0x1.f0e3d952efacep-3, 0x1.d9affa7d2c3e1p-3, 0x1.c2dce5483615cp-3, 0x1.ac6cdcf465f3p-3, 0x1.96620404c733cp-3, 0x1.80be5c80bbe36p-3, 0x1.6b83c83d1c93p-3, 0x1.56b4092c74fc9p-3, 0x1.4250c1b612abdp-3, 0x1.2e5b7513a0308p-3, 0x1.1ad587b4de056p-3, 0x1.07c03fa93f1ccp-3, 0x1.ea398a1df2bd3p-4, 0x1.c5d8450e93c1p-4, 0x1.a25e8b5f08587p-4, 0x1.7fcdff3d37d57p-4, 0x1.5e280acda8531p-4, 0x1.3d6de1367e82p-4, 0x1.1da07fb1708e8p-4, 0x1.fd815d481cfdbp-5, 0x1.c19e057b81aaep-5, 0x1.8797bc35bb72p-5, 0x1.4f6ee2d888c3cp-5, 0x1.19237a45cbd83p-5, 0x1.c96a4a7ad8d3cp-6, 0x1.6446558201e2ep-6, 0x1.02d8f0f83fda7p-6, 0x1.4a3e94c246d86p-7, 0x1.2c57992a8970ap-8, -0x1.68eb5a1b5f1c1p-11, -0x1.77f4de982cd0fp-8, -0x1.5a22126722a61p-7, -0x1.f1117bbad36cfp-7, -0x1.406ad48a5b5cdp-6, -0x1.84be57c4ca28fp-6, -0x1.c58ad8dffc866p-6, -0x1.016c359196d89p-5, -0x1.1e57cf7d93f9ep-5, -0x1.398cbe99e2ffbp-5, -0x1.530fc11cfc7ebp-5, -0x1.6ae5ccb3a0f49p-5, -0x1.81140c2bc009p-5, -0x1.959fdd24d98dcp-5, -0x1.a88ecdc62e171p-5, -0x1.b9e69a7b20484p-5, -0x1.c9ad2bb5f10d6p-5, -0x1.d7e893b93b081p-5, -0x1.e49f0c6858d11p-5, -0x1.efd6f51ef01b5p-5, -0x1.f996d08fd78f1p-5, -0x1.00f2a155c7d3bp-4, -0x1.0464874734a7cp-4, -0x1.07248a3b4be9ep-4, -0x1.093627e11d67cp-4, -0x1.0a9cea7acb7dbp-4, -0x1.0b5c67e4ccd46p-4, -0x1.0b7840a15644cp-4, -0x1.0af41ee80bd99p-4, -0x1.09d3b5b9f34c8p-4, -0x1.081abff9beb0fp-4, -0x1.05ccff8874c06p-4, -0x1.02ee3c667b2e7p-4, -0x1.ff0487b22c095p-5, -0x1.f719cf28a834fp-5, -0x1.ee23f9d2f8638p-5, -0x1.e42ab7f3f0da7p-5, -0x1.d935bddd9998p-5, -0x1.cd4cc2691b843p-5, -0x1.c0777d77e084ep-5, -0x1.b2bda67dc12acp-5, -0x1.a426f31469d47p-5, -0x1.94bb1597dac95p-5, -0x1.8481bbcc2787fp-5, -0x1.73828d8c4de15p-5, -0x1.61c52b82556e3p-5, -0x1.4f512de889a12p-5, -0x1.3c2e2353ed121p-5, -0x1.28638f87d35cbp-5, -0x1.13f8ea52a246dp-5, -0x1.fdeb3ce767b12p-6, -0x1.d2c21114b86eep-6, -0x1.a684ec1be7e78p-6, -0x1.7942489e0f02p-6, -0x1.4b087f02f1aap-6, -0x1.1be5c39f4fdf7p-6, -0x1.d7d049d9fc732p-7, -0x1.763b13a9b48b1p-7, -0x1.13276014d1043p-7, -0x1.5d60a9e3edd7cp-8, -0x1.23c2fe1292d72p-9, 0x1.dfcee62f5e08ep-11, 0x1.0bfd424b4d9d5p-8, 0x1.ddf54be212245p-8, 0x1.58d7ad3951d61p-7, 0x1.c37ccd11cca15p-7, 0x1.1768c1b216f64p-6, 0x1.4d5edc038aea4p-6, 0x1.8394df5a21201p-6, 0x1.b9ff2c6f4b4e8p-6, 0x1.f0925bb43d451p-6, 0x1.13a19f0ecf7cfp-5, 0x1.2f036eefd728p-5, 0x1.4a693f8d9e209p-5, 0x1.65cdd03ddfe8fp-5, 0x1.812bfde34c12cp-5, 0x1.9c7ec32deda49p-5, 0x1.b7c138d469646p-5, 0x1.d2ee95c644495p-5, 0x1.ee022f573b398p-5, 0x1.047bbcb1f311ep-4, 0x1.11e50337d6913p-4, 0x1.1f3ac3de288d1p-4, 0x1.2c7ae6ad82aedp-4, 0x1.39a3631bb168ap-4, 0x1.46b2400e1e803p-4, 0x1.53a593d94505dp-4, 0x1.607b843d3a551p-4, 0x1.6d32465f6e6c7p-4, 0x1.79c81ec19d73fp-4, 0x1.863b61361ae8fp-4, 0x1.928a70d18238bp-4, 0x1.9eb3bfd9d7842p-4, 0x1.aab5cfb33adc7p-4, 0x1.b68f30ca3013p-4, 0x1.c23e827b9bd6ep-4, 0x1.cdc272fa84b8cp-4, 0x1.d919bf33afd63p-4, 0x1.e44332af119acp-4, 0x1.ef3da76f5ab82p-4, 0x1.fa0805cf7fe8dp-4, 0x1.0250a22f35fe2p-3, 0x1.078433dc6ef7dp-3, 0x1.0c9e4130d6901p-3, 0x1.119e5a4c1f68bp-3, 0x1.16841616ca68fp-3, 0x1.1b4f122bde795p-3, 0x1.1ffef2c1f3d82p-3, 0x1.2493629391447p-3, 0x1.290c12c6de83fp-3, 0x1.2d68bad4c5c66p-3, 0x1.31a9186f7dbdep-3, 0x1.35ccef6888bcbp-3, 0x1.39d409963a708p-3, 0x1.3dbe36b8c0b5cp-3, 0x1.418b4c5eb9309p-3, 0x1.453b25c96a89fp-3, 0x1.48cda3d096c28p-3, 0x1.4c42acc5f9147p-3, 0x1.4f9a2c5871262p-3, 0x1.52d41376f34dbp-3, 0x1.55f058332a8c4p-3, 0x1.58eef5a3e945cp-3, 0x1.5bcfebc76ee09p-3, 0x1.5e933f65797e1p-3, 0x1.6138f9f13ff44p-3, 0x1.63c1296b46d57p-3, 0x1.662be04328465p-3, 0x1.687935394b1dcp-3, 0x1.6aa9434092fa9p-3, 0x1.6cbc29600cd58p-3, 0x1.6eb20a94a53f7p-3, 0x1.708b0db2e305dp-3, 0x1.72475d48b7d46p-3, 0x1.73e7277f64314p-3, 0x1.756a9dfd7419ap-3, 0x1.76d1f5c8e5d73p-3, 0x1.781d67296895bp-3, 0x1.794d2d8ad2628p-3, 0x1.7a61875fbce04p-3, 0x1.7b5ab6045c086p-3, 0x1.7c38fda1862ebp-3, 0x1.7cfca50ffd1c3p-3, 0x1.7da5f5bbfa03dp-3, 0x1.7e353b88f6282p-3, 0x1.7eaac4b5c38d1p-3, 0x1.7f06e1c0e882bp-3, 0x1.7f49e54d55c9fp-3, 0x1.7f74240762366p-3, 0x1.7f85f48a22abep-3, 0x1.7f7faf451d973p-3, 0x1.7f61ae624e717p-3, 0x1.7f2c4dac8e6bep-3, 0x1.7edfea765f9fap-3, 0x1.7e7ce3811032fp-3, 0x1.7e0398e44b72cp-3, 0x1.7d746bf60bad7p-3, 0x1.7ccfbf32f9202p-3, 0x1.7c15f62729a5ap-3, 0x1.7b4775575aa9dp-3, 0x1.7a64a22a83f3ap-3, 0x1.796de2d3ef41ap-3, 0x1.78639e3daa7ffp-3, 0x1.77463bf379896p-3, 0x1.7616240e3175ep-3, 0x1.74d3bf1f88056p-3, 0x1.737f761e55634p-3, 0x1.7219b2534bc86p-3, 0x1.70a2dd4620956p-3, 0x1.6f1b60ab28a74p-3, 0x1.6d83a6516d2ddp-3, 0x1.6bdc181131192p-3, 0x1.6a251fbaef089p-3, 0x1.685f2706c7d12p-3, 0x1.668a97846a661p-3, 0x1.64a7da8b6a96cp-3, 0x1.62b7592c12f19p-3, 0x1.60b97c20a0344p-3, 0x1.5eaeabbefb663p-3, 0x1.5c974feae024p-3, 0x1.5a73d00873821p-3, 0x1.584492ef4d489p-3, 0x1.5609feddfa92p-3, 0x1.53c4796dde885p-3, 0x1.51746787938e5p-3, 0x1.4f1a2d57aeedp-3, 0x1.4cb62e43f6da9p-3, 0x1.4a48cce0fe89fp-3, 0x1.47d26ae83818bp-3, 0x1.4553692e5e732p-3, 0x1.42cc279a5a5cfp-3, 0x1.403d051c8051bp-3, 0x1.3da65fa639b51p-3, 0x1.3b08942212495p-3, 0x1.3863fe6c282a5p-3, 0x1.35b8f94afe4c7p-3, 0x1.3307de68a610bp-3, 0x1.3051064c5a505p-3, 0x1.2d94c854628ap-3, 0x1.2ad37ab05b363p-3, 0x1.280d725bdedd7p-3, 0x1.25430319758d1p-3, 0x1.22747f6deebadp-3, 0x1.1fa2389bfe01cp-3, 0x1.1ccc7ea03b45p-3, 0x1.19f3a02d69309p-3, 0x1.1717eaa90ca6cp-3, 0x1.1439aa285d04cp-3, 0x1.1159296d71fa2p-3, 0x1.0e76b1e4c955cp-3, 0x1.0b928ba30a65bp-3, 0x1.08acfd631ce77p-3, 0x1.05c64c847ae67p-3, 0x1.02debd09ce40fp-3, 0x1.ffed232f977dap-4, 0x1.fa1c16e8a204fp-4, 0x1.f44ad50b839ccp-4, 0x1.ee79daa545bb3p-4, 0x1.e8a9a202d84c8p-4, 0x1.e2daa2b12f9b2p-4, 0x1.dd0d517ddf1fdp-4, 0x1.d7422077fff62p-4, 0x1.d1797ef1acdaep-4, 0x1.cbb3d981b9f99p-4, 0x1.c5f19a05f0abcp-4, 0x1.c03327a596dd3p-4, 0x1.ba78e6d45ab72p-4, 0x1.b4c339559b883p-4, 0x1.af127e3ff7488p-4, 0x1.a96712014a772p-4, 0x1.a3c14e62df778p-4, 0x1.9e218a8df9692p-4, 0x1.98881b10b0a06p-4, 0x1.92f551e309b3ep-4, 0x1.8d697e6c4c93bp-4, 0x1.87e4ed88b41cap-4, 0x1.8267e98f3ccfcp-4, 0x1.7cf2ba57cb259p-4, 0x1.7785a54173a7bp-4, 0x1.7220ed3908e2cp-4, 0x1.6cc4d2bfd49ep-4, 0x1.677193f283eb5p-4, 0x1.62276c9041a8p-4, 0x1.5ce69601faafcp-4, 0x1.57af4761c949fp-4, 0x1.5281b58290cb5p-4, 0x1.4d5e12f7ad9fcp-4, 0x1.4844901cd25dp-4, 0x1.43355b1e05346p-4, 0x1.3e309fffad667p-4, 0x1.393688a6ce743p-4, 0x1.34473ce14b3adp-4, 0x1.2f62e26e496e5p-4, 0x1.2a899d06a56fdp-4, 0x1.25bb8e657a05fp-4, 0x1.20f8d650b8f79p-4, 0x1.1c4192a1d322bp-4, 0x1.1795df4e66e7fp-4, 0x1.12f5d67104c0cp-4, 0x1.0e619051f213bp-4, 0x1.09d9236ffafcp-4, 0x1.055ca489443ecp-4, 0x1.00ec26a427fb4p-4, 0x1.f90f7630180b5p-5, 0x1.f05ee32c8329ep-5, 0x1.e7c6b065c0078p-5, 0x1.df46f6db3f7c3p-5, 0x1.d6dfcc755b97bp-5, 0x1.ce91441701e0cp-5, 0x1.c65b6daf49861p-5, 0x1.be3e564af744p-5, 0x1.b63a0825ff2d9p-5, 0x1.ae4e8abcdeb36p-5, 0x1.a67be2ddf75e8p-5, 0x1.9ec212babd36dp-5, 0x1.972119f8dc02bp-5, 0x1.8f98f5c3324ecp-5, 0x1.8829a0dabfca9p-5, 0x1.80d313a75cc27p-5, 0x1.799544486cacp-5, 0x1.727026a554e28p-5, 0x1.6b63ac7ddac27p-5, 0x1.646fc57a5ab69p-5, 0x1.5d945f3bd61b3p-5, 0x1.56d1656bda12bp-5, 0x1.5026c1cc3464ep-5, 0x1.49945c468c915p-5, 0x1.431a1afbbde82p-5, 0x1.3cb7e2530d0a4p-5, 0x1.366d950935a8p-5, 0x1.303b143f33a3ep-5, 0x1.2a203f88f7726p-5, 0x1.241cf4fbc8d9fp-5, 0x1.1e31113c970c6p-5, 0x1.185c6f8df5b7dp-5, 0x1.129ee9de0af62p-5, 0x1.0cf858d4232a8p-5, 0x1.076893de296cap-5, 0x1.01ef713de1adcp-5, 0x1.f9198c2bd19f9p-6, 0x1.ee80cced0d492p-6, 0x1.e4144ad48d27dp-6, 0x1.d9d3aa049f08p-6, 0x1.cfbe8cc529684p-6, 0x1.c5d4939b8aff9p-6, 0x1.bc155d61f544ep-6, 0x1.b280875e96685p-6, 0x1.a915ad5a0aeedp-6, 0x1.9fd469b5856acp-6, 0x1.96bc558087b9cp-6, 0x1.8dcd088e1d98bp-6, 0x1.85061989b07adp-6, 0x1.7c671e0b5c027p-6, 0x1.73efaaabf5c64p-6, 0x1.6b9f531876c25p-6, 0x1.6375aa251760bp-6, 0x1.5b7241dffb9fep-6, 0x1.5394aba354984p-6, 0x1.4bdc7827354e7p-6, 0x1.44493792efe47p-6, 0x1.3cda798dfa77p-6, 0x1.358fcd5072de4p-6, 0x1.2e68c1b342bbap-6, 0x1.2764e53fbf3bdp-6, 0x1.2083c63eef7b4p-6, 0x1.19c4f2c86e498p-6, 0x1.1327f8d0e0f7p-6, 0x1.0cac6637f3b17p-6, 0x1.0651c8d61fb17p-6, 0x1.0017ae89d5302p-6, 0x1.f3fb4a88d0484p-7, 0x1.e806762d21408p-7, 0x1.dc4ffc7900796p-7, 0x1.d0d6fa5352c7ap-7, 0x1.c59a8d28293fdp-7, 0x1.ba99d2fed53acp-7, 0x1.afd3ea8f1f64fp-7, 0x1.a547f355e5663p-7, 0x1.9af50da8fdc3bp-7, 0x1.90da5aca55512p-7, 0x1.86f6fcfa814dap-7, 0x1.7d4a178a856ecp-7, 0x1.73d2ceecf97a8p-7, 0x1.6a9048c69b1b5p-7, 0x1.6181abfe17db4p-7, 0x1.58a620cb5e164p-7, 0x1.4ffcd0c632bdep-7, 0x1.4784e6f42b99cp-7, 0x1.3f3d8fd619fa6p-7, 0x1.3725f974f5115p-7, 0x1.2f3d536decd21p-7, 0x1.2782cefe2f8e5p-7, 0x1.1ff59f0e204d8p-7, 0x1.1894f83bb41fbp-7, 0x1.116010e4a67c1p-7, 0x1.0a56212fe4a63p-7, 0x1.037663169f916p-7, 0x1.f98024d99b042p-8, 0x1.ec64d9d2388c7p-8, 0x1.df99645903cabp-8, 0x1.d31c4792a13f2p-8, 0x1.c6ec0a937f2f4p-8, 0x1.bb07386c4250cp-8, 0x1.af6c603539599p-8, 0x1.a41a1518b75dfp-8, 0x1.990eee5d138c4p-8, 0x1.8e49876d65c6ap-8, 0x1.83c87fe1af769p-8, 0x1.798a7b861c286p-8, 0x1.6f8e2261db6aap-8, 0x1.65d220bc9e353p-8, 0x1.5c5527241721bp-8, 0x1.5315ea702535bp-8, 0x1.4a1323c68874bp-8, 0x1.414b909e67b9p-8, 0x1.38bdf2c23d48p-8, 0x1.3069105214c01p-8, 0x1.284bb3c49e18ap-8, 0x1.2064abe7cd82bp-8, 0x1.18b2cbe10439ap-8, 0x1.1134eb2c8b179p-8, 0x1.09e9e59ca3e48p-8, 0x1.02d09b57f95cdp-8, 0x1.f7cfe1af1f699p-9, 0x1.ea5d9dc8f7f32p-9, 0x1.dd484529988d9p-9, 0x1.d08dba8fed579p-9, 0x1.c42be946b398ep-9, 0x1.b820c51b4c91ep-9, 0x1.ac6a4a55446f4p-9, 0x1.a1067dab3e262p-9, 0x1.95f36c38fb097p-9, 0x1.8b2f2b734c22cp-9, 0x1.80b7d91c3093ap-9, 0x1.768b9b35a1a2p-9, 0x1.6ca89ff457735p-9, 0x1.630d1db1768e1p-9, 0x1.59b752dc06308p-9, 0x1.50a585e9cea7ep-9, 0x1.47d60547579a1p-9, 0x1.3f472747d95c6p-9, 0x1.36f74a144f5cfp-9, 0x1.2ee4d39a9f602p-9, 0x1.270e317b6dd9p-9, 0x1.1f71d8f8bfbb2p-9, 0x1.180e46e3607ccp-9, 0x1.10e1ff87e112cp-9, 0x1.09eb8e9bd7aafp-9, 0x1.0329872a3144dp-9, 0x1.f93506ff5d477p-10, 0x1.ec7a4a2dc0ac3p-10, 0x1.e0202907dcc54p-10, 0x1.d42402c00984bp-10, 0x1.c8834469e2c9ap-10, 0x1.bd3b68cfab888p-10, 0x1.b249f848ad266p-10, 0x1.a7ac888ecf8b9p-10, 0x1.9d60bc92cc4d8p-10, 0x1.9364445312e56p-10, 0x1.89b4dcae9db22p-10, 0x1.80504f3a930cep-10, 0x1.773472165d6d5p-10, 0x1.6e5f27bf6a9bap-10, 0x1.65ce5ee5ac89dp-10, 0x1.5d80123f6dea6p-10, 0x1.5572485d12822p-10, 0x1.4da3137d95c1dp-10, 0x1.46109161a6b62p-10, 0x1.3eb8eb1fda117p-10, 0x1.379a54f87a414p-10, 0x1.30b30e29b2b63p-10, 0x1.2a0160c335308p-10, 0x1.2383a17a45821p-10, 0x1.1d382f7e79747p-10, 0x1.171d744d9e42fp-10, 0x1.1131e388c631p-10, 0x1.0b73fac7bb2c3p-10, 0x1.05e2416ff6f1p-10, 0x1.007b4887689fcp-10, 0x1.f67b551639a7cp-11, 0x1.ec50168910f45p-11, 0x1.e2722f3e4bafp-11, 0x1.d8df0afcdce5dp-11, 0x1.cf9427292d87dp-11, 0x1.c68f1271a0565p-11, 0x1.bdcd6c7c834dfp-11, 0x1.b54ce596828ap-11, 0x1.ad0b3e612dd8ap-11, 0x1.a50647849069p-11, 0x1.9d3be15c94914p-11, 0x1.95a9fbad75121p-11, 0x1.8e4e9553879a2p-11, 0x1.8727bbf6e192fp-11, 0x1.80338bbd7af92p-11, 0x1.79702f01531f5p-11, 0x1.72dbde030a318p-11, 0x1.6c74dea139caap-11, 0x1.6639840e80b9p-11, 0x1.60282e892776ap-11, 0x1.5a3f4b12c83bcp-11, 0x1.547d532a1aee2p-11, 0x1.4ee0cc843adbbp-11, 0x1.496848c79a8cbp-11, 0x1.4412654800d95p-11, 0x1.3eddcac1fd161p-11, 0x1.39c92d19c0393p-11, 0x1.34d34b17e33fp-11, 0x1.2ffaee2a07661p-11, 0x1.2b3eea21adc02p-11, 0x1.269e1cf61e2a6p-11, 0x1.22176e856d174p-11, 0x1.1da9d057d2b2p-11, 0x1.19543d62a0f44p-11, 0x1.1515b9cdb4113p-11, 0x1.10ed52b820189p-11, 0x1.0cda1dff2c58bp-11, 0x1.08db3a051ba2ep-11, 0x1.04efcd79cd375p-11, 0x1.0117072335617p-11, 0x1.faa03b506df0bp-12, 0x1.f3349eb42d371p-12, 0x1.ebe9c4045eb75p-12, 0x1.e4be455889571p-12, 0x1.ddb0caec740acp-12, 0x1.d6c00ab9f4dfep-12, 0x1.cfeac8192e8b7p-12, 0x1.c92fd360d35ffp-12, 0x1.c28e0986ed917p-12, 0x1.bc0453c6116e2p-12, 0x1.b591a741fdabfp-12, 0x1.af3504aef1b79p-12, 0x1.a8ed77fb4f484p-12, 0x1.a2ba17f94d10dp-12, 0x1.9c9a060b957cdp-12, 0x1.968c6dd3252f3p-12, 0x1.909084df5aa71p-12, 0x1.8aa58a5e3614cp-12, 0x1.84cac6cf86948p-12, 0x1.7eff8bb9dfa0ep-12, 0x1.7943335f78p-12, 0x1.73952075f9b19p-12, 0x1.6df4bde048e9ep-12, 0x1.68617e6817b5fp-12, 0x1.62dadc7b28ad4p-12, 0x1.5d6059e7c8538p-12, 0x1.57f17f9c473ecp-12, 0x1.528ddd67d638cp-12, 0x1.4d3509bc1f13bp-12, 0x1.47e6a17025cf3p-12, 0x1.42a24786674cfp-12, 0x1.3d67a4f22aa8ep-12, 0x1.3836685e88509p-12, 0x1.330e45f8ab10cp-12, 0x1.2deef738d07bp-12, 0x1.28d83aaf1cd38p-12, 0x1.23c9d3cf0474dp-12, 0x1.1ec38abeafeaap-12, 0x1.19c52c255a636p-12, 0x1.14ce88fc50856p-12, 0x1.0fdf76611d74ep-12, 0x1.0af7cd682c0bap-12, 0x1.06176af141642p-12, 0x1.013e2f7cd906ap-12, 0x1.f8d7fe04c0077p-13, 0x1.ef41819075f26p-13, 0x1.e5b8be787fab2p-13, 0x1.dc3d8f9b5b06p-13, 0x1.d2cfd590fae53p-13, 0x1.c96f7661b9933p-13, 0x1.c01c5d3f8290ep-13, 0x1.b6d67a44a68c9p-13, 0x1.ad9dc22f189dp-13, 0x1.a4722e21b7d2dp-13, 0x1.9b53bb666aa81p-13, 0x1.92426b314d27fp-13, 0x1.893e4267100a9p-13, 0x1.8047496331fc6p-13, 0x1.775d8bc2339bbp-13, 0x1.6e81182c3873ep-13, 0x1.65b20022212ccp-13, 0x1.5cf057cb418d1p-13, 0x1.543c35c65b41fp-13, 0x1.4b95b2f9c97bfp-13, 0x1.42fcea679f27bp-13, 0x1.3a71f901c43fcp-13, 0x1.31f4fd80d1ae8p-13, 0x1.2986183bb5259p-13, 0x1.21256b00c641p-13, 0x1.18d318ef2a07p-13, 0x1.108f46543bedbp-13, 0x1.085a18885ea81p-13, 0x1.0033b5ccddde5p-13, 0x1.f0388a588e99dp-14, 0x1.e027dcb88acddp-14, 0x1.d035b33dc8e48p-14, 0x1.c0625f4bd7efep-14, 0x1.b0ae32f191a81p-14, 0x1.a11980b186d4p-14, 0x1.91a49b52f75c8p-14, 0x1.824fd5b0bcb7ap-14, 0x1.731b828a7a8c8p-14, 0x1.6407f45af31d7p-14, 0x1.55157d2bfd828p-14, 0x1.46446e6fbdbf7p-14, 0x1.379518d9f83adp-14, 0x1.2907cc3ce1d2bp-14, 0x1.1a9cd7678b081p-14, 0x1.0c548804464c8p-14, 0x1.fc5e54f2c2a8cp-15, 0x1.e05a139a2fa8ep-15, 0x1.c49cdf13283c4p-15, 0x1.a9274743c74ccp-15, 0x1.8df9d8b73021p-15, 0x1.73151c6db6bb3p-15, 0x1.587997b197315p-15, 0x1.3e27cbeea6aabp-15, 0x1.2420368aa7f09p-15, 0x1.0a6350c4b43d9p-15, 0x1.e1e31f278cf39p-16, 0x1.af96c71428f97p-16, 0x1.7de27176136p-16, 0x1.4cc6ed380515ap-16, 0x1.1c44ffe449b5bp-16, 0x1.d8bacae9cfcfbp-17, 0x1.7a21a065a901p-17, 0x1.1cbfd120913e7p-17, 0x1.812d3420ce009p-18, 0x1.969c908162e22p-19, 0x1.7e507d1ab958ap-22, -0x1.321919a096d83p-19, -0x1.47849e6e7906ap-18, -0x1.f3817f12d75cep-18, -0x1.4e80d522aff8bp-17, -0x1.a201e2884a521p-17, -0x1.f4434f1344f35p-17, -0x1.22a24b6f01825p-16, -0x1.4a82a56baa0d2p-16, -0x1.71c28857e9eefp-16, -0x1.9861d1678ccd5p-16, -0x1.be60681de71ccp-16, -0x1.e3be3e4605cf4p-16, -0x1.043da7ee9b9bcp-15, -0x1.164bd186bbc96p-15, -0x1.2809a408d9e14p-15, -0x1.39772c9696e36p-15, -0x1.4a947d4724061p-15, -0x1.5b61ad1de04f5p-15, -0x1.6bded7fcb7e9fp-15, -0x1.7c0c1e97b8f6ep-15, -0x1.8be9a665d1abep-15, -0x1.9b7799957c5dep-15, -0x1.aab626fb881ap-15, -0x1.b9a5820490acap-15, -0x1.c845e2a2bfdb4p-15, -0x1.d697853fd69d5p-15, -0x1.e49aaaa7919c6p-15, -0x1.f24f97f988fddp-15, -0x1.ffb6969606589p-15, -0x1.0667fa05a38e6p-14, -0x1.0cce0100e5888p-14, -0x1.130d8b156f79fp-14, -0x1.1926c515a2e5ap-14, -0x1.1f19ddc46d074p-14, -0x1.24e705c93e5c7p-14, -0x1.2a8e6fa818a3ep-14, -0x1.30104fb61aa88p-14, -0x1.356cdc0e72bcbp-14, -0x1.3aa44c88ed035p-14, -0x1.3fb6daae7f3bcp-14, -0x1.44a4c1af7e0e2p-14, -0x1.496e3e5970853p-14, -0x1.4e138f08c359fp-14, -0x1.5294f3a1ddc6bp-14, -0x1.56f2ad8506b0bp-14, -0x1.5b2cff83563bfp-14, -0x1.5f442dd376bbdp-14, -0x1.63387e07e2765p-14, -0x1.670a3703962adp-14, -0x1.6ab9a0ee80f24p-14, -0x1.6e47052ab9045p-14, -0x1.71b2ae4aa4391p-14, -0x1.74fce8059b6e4p-14, -0x1.7825ff2e45d5bp-14, -0x1.7b2e41a66f2b7p-14, -0x1.7e15fe552e986p-14, -0x1.80dd851ca4bc8p-14, -0x1.838526cf3fc4bp-14, -0x1.860d3524d276bp-14, -0x1.887602b1939c1p-14, -0x1.8abfe2da86512p-14, -0x1.8ceb29ccb2b94p-14, -0x1.8ef82c71fc30dp-14, -0x1.90e74066cdb03p-14, -0x1.92b8bbf1ce428p-14, -0x1.946cf5f9fac16p-14, -0x1.960445fb8b854p-14, -0x1.977f03ff7ee28p-14, -0x1.98dd8891dbca3p-14, -0x1.9a202cb96f702p-14, -0x1.9b4749ed20544p-14, -0x1.9c533a0c2386bp-14, -0x1.9d4457546c232p-14, -0x1.9e1afc59e0f53p-14, -0x1.9ed783fde6c78p-14, -0x1.9f7a49662ca58p-14, -0x1.a003a7f553276p-14, -0x1.a073fb4237582p-14, -0x1.a0cb9f0f4fcd6p-14, -0x1.a10aef440b56p-14, -0x1.a13247e3adfd4p-14, -0x1.a1420505d563cp-14, -0x1.a13a82ceb284ap-14, -0x1.a11c1d690cddp-14, -0x1.a0e730fd27b81p-14, -0x1.a09c19aa0df3cp-14, -0x1.a03b337fc1a78p-14, -0x1.9fc4da77247bfp-14, -0x1.9f396a6b14995p-14, -0x1.9e993f12884f6p-14, -0x1.9de4b3f9deb69p-14, -0x1.9d1c247c4a434p-14, -0x1.9c3febbe22a63p-14, -0x1.9b5064a6c86d9p-14, -0x1.9a4de9daa1b0bp-14, -0x1.9938d5b522fb4p-14, -0x1.981182439168dp-14, -0x1.96d8493fc51cbp-14, -0x1.958d840a5edap-14, -0x1.94318ba5471c1p-14, -0x1.92c4b8af5b764p-14, -0x1.9147635fb48d4p-14, -0x1.8fb9e37fedb2fp-14, -0x1.8e1c9067f05c1p-14, -0x1.8c6fc0f965275p-14, -0x1.8ab3cb9bc8d29p-14, -0x1.88e9063834ceap-14, -0x1.870fc634757b8p-14, -0x1.8528606f66a1cp-14, -0x1.8333293d6c06ep-14, -0x1.813074644c046p-14, -0x1.7f20951807f23p-14, -0x1.7d03ddf731c7cp-14, -0x1.7adaa107c3717p-14, -0x1.78a52fb3506aap-14, -0x1.7663dac464b8fp-14, -0x1.7416f26320cf2p-14, -0x1.71bec61304fafp-14, -0x1.6f5ba4af83e9ap-14, -0x1.6ceddc69c3d16p-14, -0x1.6a75bac5e03dap-14, -0x1.67f38c98a3a75p-14, -0x1.65679e056b342p-14, -0x1.62d23a7b866afp-14, -0x1.6033acb45f674p-14, -0x1.5d8c3eb120fcep-14, -0x1.5adc39b957facp-14, -0x1.5823e659401e3p-14, -0x1.55638c5f451acp-14, -0x1.529b72db2b265p-14, -0x1.4fcbe01c84ffap-14, -0x1.4cf519b0cb05p-14, -0x1.4a1764623ec1fp-14, -0x1.47330437799f8p-14, -0x1.44483c7107243p-14, -0x1.41574f89704d7p-14, -0x1.3e607f33c9b97p-14, -0x1.3b640c5aa5fa8p-14, -0x1.3862372009b32p-14, -0x1.355b3edbf0be6p-14, -0x1.324f621c4642ap-14, -0x1.2f3edea3d95c3p-14, -0x1.2c29f16a54a5ep-14, -0x1.2910d69bda0ffp-14, -0x1.25f3c9984361fp-14, -0x1.22d304f37403ap-14, -0x1.1faec274a75ep-14, -0x1.1c873b16a7143p-14, -0x1.195ca707e0a1ap-14, -0x1.162f3daa4462bp-14, -0x1.12ff359319fc6p-14, -0x1.0fccc48c08458p-14, -0x1.0c981f924eefep-14, -0x1.09617ad730194p-14, -0x1.062909c12c43bp-14, -0x1.02eefeeb963ffp-14, -0x1.ff67184e089dp-15, -0x1.f8edc4f4c60c6p-15, -0x1.f2726445d8a44p-15, -0x1.ebf5552a1bb29p-15, -0x1.e576f4fa57d1cp-15, -0x1.def79f80bea73p-15, -0x1.d877aef8e0705p-15, -0x1.d1f77c13e4277p-15, -0x1.cb775df856e01p-15, -0x1.c4f7aa4398bfbp-15, -0x1.be78b50ca4ebap-15, -0x1.b7fad0e72d698p-15, -0x1.b17e4ee439a5bp-15, -0x1.ab037e938955dp-15, -0x1.a48aae061ad3fp-15, -0x1.9e1429d1ed16dp-15, -0x1.97a03d135991dp-15, -0x1.912f316db541ep-15, -0x1.8ac14f115aacp-15, -0x1.8456dcbaeb45fp-15, -0x1.7df01fb6ef33dp-15, -0x1.778d5be532028p-15, -0x1.712ed3bb19745p-15, -0x1.6ad4c845230c1p-15, -0x1.647f792ba68bdp-15, -0x1.5e2f24b3127c4p-15, -0x1.57e407c050459p-15, -0x1.519e5ddd0dfbcp-15, -0x1.4b5e613886547p-15, -0x1.45244aaa9ce33p-15, -0x1.3ef051b7f62d9p-15, -0x1.38c2ac94152e5p-15, -0x1.329b902440724p-15, -0x1.2c7b30043292dp-15, -0x1.2661be8801523p-15, -0x1.204f6cbe2d6ddp-15, -0x1.1a446a752bfdap-15, -0x1.1440e63e59fa2p-15, -0x1.0e450d6eb4b48p-15, -0x1.08510c24655edp-15, -0x1.02650d49d83dep-15, -0x1.f9027530377d2p-16, -0x1.ed4b79361a26ep-16, -0x1.e1a57567527a4p-16, -0x1.d610b638a95a9p-16, -0x1.ca8d85d95e848p-16, -0x1.bf1c2c367db76p-16, -0x1.b3bcef03d0b31p-16, -0x1.a87011c262a12p-16, -0x1.9d35d5c698215p-16, -0x1.920e7a3ffd719p-16, -0x1.86fa3c3f7b4cap-16, -0x1.7bf956bd401fdp-16, -0x1.710c02a20cd36p-16, }}, 
      {{0x1.ffe5b7ef271cp-1, 0x1.ff96e7bae9bc9p-1, 0x1.ff13a750ec0c1p-1, 0x1.fe5c1e67092e7p-1, 0x1.fd70843c4206ep-1, 0x1.fc511f4454bc1p-1, 0x1.fafe44c0ed456p-1, 0x1.f978584b6ceb5p-1, 0x1.f7bfcb5224216p-1, 0x1.f5d51c8ba913ap-1, 0x1.f3b8d762b1518p-1, 0x1.f16b935c976a5p-1, 0x1.eeedf37c685ap-1, 0x1.ec40a5a4204f9p-1, 0x1.e96461f579b7p-1, 0x1.e659ea337fc2ap-1, 0x1.e3220925dd97fp-1, 0x1.dfbd91febf37cp-1, 0x1.dc2d5fc3e4368p-1, 0x1.d87254bb6aa27p-1, 0x1.d48d59dcb7af7p-1, 0x1.d07f5e45c416p-1, 0x1.cc4956b5031f8p-1, 0x1.c7ec3d0802f09p-1, 0x1.c3690fbed8c3p-1, 0x1.bec0d1845f36ep-1, 0x1.b9f488bb3f79ap-1, 0x1.b5053f0fbb5d5p-1, 0x1.aff4010e214ap-1, 0x1.aac1ddbdd78f5p-1, 0x1.a56fe640de531p-1, 0x1.9fff2d77a9c4p-1, 0x1.9a70c7a936701p-1, 0x1.94c5ca2f30295p-1, 0x1.8eff4b260a7d4p-1, 0x1.891e6120e3616p-1, 0x1.832422e10b5c7p-1, 0x1.7d11a7110a44bp-1, 0x1.76e80402ff27p-1, 0x1.70a84f722eb21p-1, 0x1.6a539e47a125ap-1, 0x1.63eb0461a4396p-1, 0x1.5d6f945e12a48p-1, 0x1.56e25f673a90cp-1, 0x1.5044750341551p-1, 0x1.4996e2e5e6c65p-1, 0x1.42dab4c48599dp-1, 0x1.3c10f42c35cb9p-1, 0x1.353aa859f5fd2p-1, 0x1.2e58d614bfdeep-1, 0x1.276c7f8970fdep-1, 0x1.2076a4287382bp-1, 0x1.197840850f591p-1, 0x1.12724e36530b3p-1, 0x1.0b65c3b98441dp-1, 0x1.0453945607dcap-1, 0x1.fa796005663d3p-2, 0x1.ec440698f7323p-2, 0x1.de08ee7cf7702p-2, 0x1.cfc9e2967c994p-2, 0x1.c188a66e9b93cp-2, 0x1.b346f609fa9dep-2, 0x1.a50685c2c8e88p-2, 0x1.96c90225120c3p-2, 0x1.88900fcd641b5p-2, 0x1.7a5d4b49bdc47p-2, 0x1.6c3248fcba663p-2, 0x1.5e109502f900ep-2, 0x1.4ff9b31ab2264p-2, 0x1.41ef1e8d772f7p-2, 0x1.33f24a1c18f68p-2, 0x1.26049feca40bcp-2, 0x1.1827817a78ffcp-2, 0x1.0a5c47886eb98p-2, 0x1.f9488429f94bcp-3, 0x1.de0170a0c9ac1p-3, 0x1.c2e5d129ab626p-3, 0x1.a7f810c0ef956p-3, 0x1.8d3a88a2c52a7p-3, 0x1.72af8046d9e87p-3, 0x1.58592d5f9e3b8p-3, 0x1.3e39b3dd191fdp-3, 0x1.245325f3300f2p-3, 0x1.0aa7842355bd5p-3, 0x1.e2717a9301bap-4, 0x1.b0115d58a654ap-4, 0x1.7e324820b444p-4, 0x1.4cd7af9c9e2edp-4, 0x1.1c04e5d87290fp-4, 0x1.d77a34e56cf8dp-5, 0x1.7806b5b337acap-5, 0x1.19b5251aba1e7p-5, 0x1.79162d9e2bdb9p-6, 0x1.82376f3859d92p-7, 0x1.70a0c0500acd9p-11, -0x1.4f48986282fc7p-7, -0x1.585725736e26bp-6, -0x1.0345761bb5beep-5, -0x1.591bc2b71fa46p-5, -0x1.adaaa97ba087p-5, -0x1.00774c81045c8p-4, -0x1.29721e5c0fe9ap-4, -0x1.51c43e036fb67p-4, -0x1.796c3cb9adea2p-4, -0x1.a068c8dd671abp-4, -0x1.c6b8ad7506c85p-4, -0x1.ec5ad1b875d81p-4, -0x1.08a71c4c6bf33p-3, -0x1.1ac90023461c4p-3, -0x1.2c92b0dad221ep-3, -0x1.3e03d8106f1b4p-3, -0x1.4f1c2c45b4f11p-3, -0x1.5fdb70a0c5afbp-3, -0x1.704174ac2110cp-3, -0x1.804e14160bd36p-3, -0x1.9001366fa1c21p-3, -0x1.9f5aceeb95eb2p-3, -0x1.ae5adc1cbfd3fp-3, -0x1.bd0167b47689cp-3, -0x1.cb4e8640d3111p-3, -0x1.d94256eae21e6p-3, -0x1.e6dd0334cde4fp-3, -0x1.f41ebeb8189b3p-3, -0x1.0083e371f4bc5p-2, -0x1.06cc315dbd1f7p-2, -0x1.0ce8714a57ee5p-2, -0x1.12d8cfeb75ae5p-2, -0x1.189d7e5d0d147p-2, -0x1.1e36b20306562p-2, -0x1.23a4a46912053p-2, -0x1.28e79322ab044p-2, -0x1.2dffbfab49beap-2, -0x1.32ed6f46cfaaep-2, -0x1.37b0eae227944p-2, -0x1.3c4a7ef424588p-2, -0x1.40ba7b5e9ef9bp-2, -0x1.4501334fd638ap-2, -0x1.491efd2415df9p-2, -0x1.4d143247a3f9fp-2, -0x1.50e12f18fa22ep-2, -0x1.548652cb4e6e6p-2, -0x1.5803ff4967871p-2, -0x1.5b5a9918c68f4p-2, -0x1.5e8a873d26c52p-2, -0x1.6194331c4d31fp-2, -0x1.64780862383a4p-2, -0x1.673674e5a32ecp-2, -0x1.69cfe88ce78a4p-2, -0x1.6c44d5333e81ep-2, -0x1.6e95ae8e5afabp-2, -0x1.70c2ea1469f9ep-2, -0x1.72ccfee270512p-2, -0x1.74b465a30d733p-2, -0x1.767998759f7afp-2, -0x1.781d12d5ce8c5p-2, -0x1.799f51837e3f6p-2, -0x1.7b00d26b21fecp-2, -0x1.7c42148e7d986p-2, -0x1.7d6397edcb65cp-2, -0x1.7e65dd714b21p-2, -0x1.7f4966d33c09dp-2, -0x1.800eb68a40274p-2, -0x1.80b64fb429174p-2, -0x1.8140b60132614p-2, -0x1.81ae6d9fa393ap-2, -0x1.81fffb27e2176p-2, -0x1.8235e388eaceap-2, -0x1.8250abf539a75p-2, -0x1.8250d9d01dcecp-2, -0x1.8236f29b77e3fp-2, -0x1.82037be5e68dep-2, -0x1.81b6fb395d0ffp-2, -0x1.8151f60a26803p-2, -0x1.80d4f1a6559f2p-2, -0x1.804073259e3d1p-2, -0x1.7f94ff599b41bp-2, -0x1.7ed31abe7e40bp-2, -0x1.7dfb496c2b3fap-2, -0x1.7d0e0f07bcb81p-2, -0x1.7c0beeb572e8dp-2, -0x1.7af56b0b08c06p-2, -0x1.79cb060275d93p-2, -0x1.788d40ed159dap-2, -0x1.773c9c6734044p-2, -0x1.75d9984c04bb2p-2, -0x1.7464b3a9fdb83p-2, -0x1.72de6cb794be6p-2, -0x1.714740c8658f5p-2, -0x1.6f9fac42b78d1p-2, -0x1.6de82a9568833p-2, -0x1.6c21362e351e1p-2, -0x1.6a4b48706537ap-2, -0x1.6866d9abd805p-2, -0x1.66746114698bep-2, -0x1.647454b9bdbp-2, -0x1.6267297f5e606p-2, -0x1.604d53153cb93p-2, -0x1.5e2743f086264p-2, -0x1.5bf56d44d7333p-2, -0x1.59b83efdc33ddp-2, -0x1.577027b8b2cc2p-2, -0x1.551d94bf16542p-2, -0x1.52c0f200f0182p-2, -0x1.505aaa0fad2d5p-2, -0x1.4deb261951a22p-2, -0x1.4b72cde3f35dap-2, -0x1.48f207c9850b1p-2, -0x1.466938b3ed8b4p-2, -0x1.43d8c4196b7c7p-2, -0x1.41410bf943162p-2, -0x1.3ea270d8b4253p-2, -0x1.3bfd51c03badap-2, -0x1.39520c3916334p-2, -0x1.36a0fc4b0be51p-2, -0x1.33ea7c7a7cff5p-2, -0x1.312ee5c6b1773p-2, -0x1.2e6e8fa86a9fcp-2, -0x1.2ba9d010afbd4p-2, -0x1.28e0fb67dde31p-2, -0x1.2614648cef3cp-2, -0x1.23445cd500557p-2, -0x1.2071340b0cd56p-2, -0x1.1d9b386fe5cd5p-2, -0x1.1ac2b6ba5b821p-2, -0x1.17e7fa17a061p-2, -0x1.150b4c2bdbe4bp-2, -0x1.122cf512f1d06p-2, -0x1.0f4d3b61787a2p-2, -0x1.0c6c6425df769p-2, -0x1.098ab2e9c552fp-2, -0x1.06a869b376365p-2, -0x1.03c5c90797d02p-2, -0x1.00e30feaff7e7p-2, -0x1.fc00f7c960f4cp-3, -0x1.f63c91fffc2a7p-3, -0x1.f079639db05adp-3, -0x1.eab7ded8705fbp-3, -0x1.e4f872fd62903p-3, -0x1.df3b8c764b048p-3, -0x1.d98194cf2b814p-3, -0x1.d3caf2bc29c1fp-3, -0x1.ce180a1fb0b1bp-3, -0x1.c8693c10c2054p-3, -0x1.c2bee6e188ecap-3, -0x1.bd1966261a814p-3, -0x1.b77912bb67772p-3, -0x1.b1de42ce5ff0cp-3, -0x1.ac4949e3418b8p-3, -0x1.a6ba78dd132ap-3, -0x1.a1321e0540686p-3, -0x1.9bb085136652dp-3, -0x1.9635f7353c41fp-3, -0x1.90c2bb169f052p-3, -0x1.8b5714e9be5afp-3, -0x1.85f3466f63eb9p-3, -0x1.80978eff59edfp-3, -0x1.7b442b90e4459p-3, -0x1.75f956c35a2c2p-3, -0x1.70b748e6cc2b4p-3, -0x1.6b7e3804c2b7dp-3, -0x1.664e57e90d833p-3, -0x1.6127da2a9ffebp-3, -0x1.5c0aee3482198p-3, -0x1.56f7c14ec5656p-3, -0x1.51ee7ea7892e7p-3, -0x1.4cef4f5c0840cp-3, -0x1.47fa5a81acd5bp-3, -0x1.430fc52f28e75p-3, -0x1.3e2fb285966e8p-3, -0x1.395a43b994fd9p-3, -0x1.348f981c70261p-3, -0x1.2fcfcd253ed64p-3, -0x1.2b1afe7a0396ap-3, -0x1.267145f8ce8aap-3, -0x1.21d2bbc0d4e2cp-3, -0x1.1d3f763b876d9p-3, -0x1.18b78a259f7bep-3, -0x1.143b0a9829212p-3, -0x1.0fca09117f613p-3, -0x1.0b64957e4316ep-3, -0x1.070abe424589fp-3, -0x1.02bc9041633p-3, -0x1.fcf42dd0b7937p-4, -0x1.f486b86b20395p-4, -0x1.ec30d1837bd5ep-4, -0x1.e3f287913f899p-4, -0x1.dbcbe663146dfp-4, -0x1.d3bcf72fd45efp-4, -0x1.cbc5c0a77a74cp-4, -0x1.c3e64703e0784p-4, -0x1.bc1e8c195928ep-4, -0x1.b46e8f672c9a4p-4, -0x1.acd64e27d6feep-4, -0x1.a555c3613094ap-4, -0x1.9dece7f4644efp-4, -0x1.969bb2adb8965p-4, -0x1.8f62185429f14p-4, -0x1.88400bb8d9dep-4, -0x1.81357dc650a44p-4, -0x1.7a425d8f886fep-4, -0x1.7366985ed18b2p-4, -0x1.6ca219c47a14p-4, -0x1.65f4cba54e1d4p-4, -0x1.5f5e9648ddc09p-4, -0x1.58df6067932adp-4, -0x1.52770f3894c22p-4, -0x1.4c25867f72df5p-4, -0x1.45eaa899a1fc1p-4, -0x1.3fc6568bbbb3fp-4, -0x1.39b8700e90a02p-4, -0x1.33c0d39c00252p-4, -0x1.2ddf5e7b9bd3ep-4, -0x1.2813eccf13ba5p-4, -0x1.225e599e70bdfp-4, -0x1.1cbe7ee41082dp-4, -0x1.1734359873c17p-4, -0x1.11bf55bdcede1p-4, -0x1.0c5fb66b69f16p-4, -0x1.07152dd8c63c2p-4, -0x1.01df91688ce51p-4, -0x1.f97d6b66950a3p-5, -0x1.ef64dd23e4cf9p-5, -0x1.e5751e505b731p-5, -0x1.dbadd3dcddcaap-5, -0x1.d20ea177ae103p-5, -0x1.c897299fc1f84p-5, -0x1.bf470db7ad791p-5, -0x1.b61dee182d83dp-5, -0x1.ad1b6a2239b51p-5, -0x1.a43f2050bd011p-5, -0x1.9b88ae49da9e4p-5, -0x1.92f7b0efd1d43p-5, -0x1.8a8bc4717b0cfp-5, -0x1.8244845a5888ep-5, -0x1.7a218ba24a891p-5, -0x1.722274bcdc62ep-5, -0x1.6a46d9a82a7c6p-5, -0x1.628e53fb67e0fp-5, -0x1.5af87cf50b85ep-5, -0x1.5384ed888f149p-5, -0x1.4c333e6bd2936p-5, -0x1.450308242bf88p-5, -0x1.3df3e3130d2ddp-5, -0x1.370567824ef54p-5, -0x1.30372db02a85ep-5, -0x1.2988cddad0fefp-5, -0x1.22f9e04baa316p-5, -0x1.1c89fd623fab3p-5, -0x1.1638bd9ecfcd9p-5, -0x1.1005b9ac8b097p-5, -0x1.09f08a6b7d045p-5, -0x1.03f8c8fa2855ap-5, -0x1.fc3c1d7d87f1ep-6, -0x1.f0bfeae06b17fp-6, -0x1.e57c2e3d7053dp-6, -0x1.da701c786c71ap-6, -0x1.cf9aeb48a05c2p-6, -0x1.c4fbd14841a65p-6, -0x1.ba92060369addp-6, -0x1.b05cc20671aadp-6, -0x1.a65b3eebb6c17p-6, -0x1.9c8cb768f1b47p-6, -0x1.92f0675bd0995p-6, -0x1.89858bd63ccf4p-6, -0x1.804b632a01ed5p-6, -0x1.77412cf3f3369p-6, -0x1.6e662a269fc25p-6, -0x1.65b99d14700e8p-6, -0x1.5d3ac9796058ep-6, -0x1.54e8f48442a42p-6, -0x1.4cc364df7c71cp-6, -0x1.44c962b957696p-6, -0x1.3cfa37cbe169bp-6, -0x1.35552f6472861p-6, -0x1.2dd9966a96cd2p-6, -0x1.2686bb66cc6dap-6, -0x1.1f5bee88a3875p-6, -0x1.185881ac9f5b1p-6, -0x1.117bc861a6e3bp-6, -0x1.0ac517ee15071p-6, -0x1.0433c75470d1ap-6, -0x1.fb8e5eaf7f50fp-7, -0x1.eefd54ff1f6a6p-7, -0x1.e2b32a37453b8p-7, -0x1.d6ae9a8e835e2p-7, -0x1.caee65d8866e3p-7, -0x1.bf714f8b7843fp-7, -0x1.b4361ec4e7551p-7, -0x1.a93b9e4de4d42p-7, -0x1.9e809c9ec7559p-7, -0x1.9403ebe2259bdp-7, -0x1.89c461f775e8cp-7, -0x1.7fc0d875127f5p-7, -0x1.75f82ca9c3b41p-7, -0x1.6c693f9dc011ap-7, -0x1.6312f61333748p-7, -0x1.59f4388669436p-7, -0x1.510bf32d6179ap-7, -0x1.485915f70b9ebp-7, -0x1.3fda948a025fdp-7, -0x1.378f66430e06p-7, -0x1.2f768632f7901p-7, -0x1.278ef31c3f82bp-7, -0x1.1fd7af70687fp-7, -0x1.184fc14cc7432p-7, -0x1.10f6327710cdfp-7, -0x1.09ca10599f77dp-7, -0x1.02ca6bff6b7b4p-7, -0x1.f7ecb41f2f184p-8, -0x1.ea99e591896d3p-8, -0x1.dd9aa3f86066ep-8, -0x1.d0ed2e10d7873p-8, -0x1.c48fc9a7f18acp-8, -0x1.b880c38f08055p-8, -0x1.acbe6f90023ffp-8, -0x1.a1472860f388fp-8, -0x1.96194f975aa76p-8, -0x1.8b334d9b085d3p-8, -0x1.8093919898fadp-8, -0x1.7638917370f8ep-8, -0x1.6c20c9b7adbfep-8, -0x1.624abd8b77f77p-8, -0x1.58b4f6a034e66p-8, -0x1.4f5e0523419b3p-8, -0x1.46447faeb2dd1p-8, -0x1.3d67033969fa2p-8, -0x1.34c4330770cbfp-8, -0x1.2c5ab89980a91p-8, -0x1.2429439cee1a5p-8, -0x1.1c2e89dae7757p-8, -0x1.14694727e8622p-8, -0x1.0cd83d52a7f3dp-8, -0x1.057a34132c337p-8, -0x1.fc9bf1f333152p-9, -0x1.eea4beb9abfccp-9, -0x1.e10c80926656dp-9, -0x1.d3d0f4dd98839p-9, -0x1.c6efe4206122fp-9, -0x1.ba6721e0b2325p-9, -0x1.ae348c829b725p-9, -0x1.a2560d2422611p-9, -0x1.96c99779f6515p-9, -0x1.8b8d29abb47a5p-9, -0x1.809ecc30013fcp-9, -0x1.75fc91a8f439ap-9, -0x1.6ba496c01d37fp-9, -0x1.61950202e2c81p-9, -0x1.57cc03bf02817p-9, -0x1.4e47d5de78327p-9, -0x1.4506bbc41d23ap-9, -0x1.3c0702284a2afp-9, -0x1.3346fef5134a5p-9, -0x1.2ac511234fa7bp-9, -0x1.227fa09738d03p-9, -0x1.1a751dfd5efc2p-9, -0x1.12a402a7e6826p-9, -0x1.0b0ad06ba925dp-9, -0x1.03a8117dbc274p-9, -0x1.f8f4b0a24c63p-10, -0x1.eb007ee8f11eap-10, -0x1.dd70d2e04d508p-10, -0x1.d043014944c31p-10, -0x1.c3746e51a1c23p-10, -0x1.b7028d51a9c3ap-10, -0x1.aaeae08a3dacap-10, -0x1.9f2af8e2f596ap-10, -0x1.93c075a94d0b1p-10, -0x1.88a90450589c5p-10, -0x1.7de2603067395p-10, -0x1.736a52483e765p-10, -0x1.693eb0fdc1165p-10, -0x1.5f5d5fe01342dp-10, -0x1.55c44f6a0fd44p-10, -0x1.4c717cc5144c3p-10, -0x1.4362f18c9f5a3p-10, -0x1.3a96c39335e4p-10, -0x1.320b14a642d8p-10, -0x1.29be12549f0b1p-10, -0x1.21adf5b44c2bfp-10, -0x1.19d9032932ac4p-10, -0x1.123d8a2d1c0a1p-10, -0x1.0ad9e517686aep-10, -0x1.03ac78e6848cep-10, -0x1.f9676a11bfa0ap-11, -0x1.ebdc264eee08dp-11, -0x1.deb42de177f3ep-11, -0x1.d1ec9bc88a8adp-11, -0x1.c5829e3d63d17p-11, -0x1.b973764e7d979p-11, -0x1.adbc777a1b3dap-11, -0x1.a25b074b41246p-11, -0x1.974c9cf7b84d1p-11, -0x1.8c8ec1004813cp-11, -0x1.821f0cd048d44p-11, -0x1.77fb2a613da8cp-11, -0x1.6e20d3dde41eep-11, -0x1.648dd34763494p-11, -0x1.5b40021bd9dedp-11, -0x1.523548fdfa1e8p-11, -0x1.496b9f5ea227bp-11, -0x1.40e10b26932bfp-11, -0x1.3893a063945a8p-11, -0x1.308180f4b54adp-11, -0x1.28a8dc39ca5c9p-11, -0x1.2107eec25ac75p-11, -0x1.199d01ffbd24ap-11, -0x1.12666bf7d97b2p-11, -0x1.0b628ef81a5a8p-11, -0x1.048fd94b8f5e1p-11, -0x1.fbd989e2a43a8p-12, -0x1.eeefaea862573p-12, -0x1.e25f4207c96cp-12, -0x1.d6257adeda137p-12, -0x1.ca3fa540df1f1p-12, -0x1.beab21f1b094fp-12, -0x1.b36565dfd264p-12, -0x1.a86bf9a4ea324p-12, -0x1.9dbc7906a95b5p-12, -0x1.93549278e0a01p-12, -0x1.893206a5515bcp-12, -0x1.7f52a7f2bfc59p-12, -0x1.75b45a0f7f8f1p-12, -0x1.6c55117f18b11p-12, -0x1.6332d32833d41p-12, -0x1.5a4bb3e754347p-12, -0x1.519dd82227f2p-12, -0x1.4927735c5e62ep-12, -0x1.40e6c7d0df57ep-12, -0x1.38da260b77069p-12, -0x1.30ffec84a8494p-12, -0x1.295687404109dp-12, -0x1.21dc6f6e45a6cp-12, -0x1.1a902b0d5057dp-12, -0x1.13704c8e0431p-12, -0x1.0c7b727add0aap-12, -0x1.05b0471f0e043p-12, -0x1.fe1b00655486ep-13, -0x1.f123bd08dc535p-13, -0x1.e4785b54c0dfbp-13, -0x1.d816875f71815p-13, -0x1.cbfc018fac038p-13, -0x1.c0269e02b964ap-13, -0x1.b49443f64ed1ap-13, -0x1.a942ed37730efp-13, -0x1.9e30a5937cb5ap-13, -0x1.935b8a4c3ce36p-13, -0x1.88c1c9910a507p-13, -0x1.7e61a1f9830c7p-13, -0x1.74396204a21d4p-13, -0x1.6a476799b7011p-13, -0x1.608a1f8cdab3ap-13, -0x1.5700052774222p-13, -0x1.4da7a1b2167f3p-13, -0x1.447f8c03103fep-13, -0x1.3b86680d51776p-13, -0x1.32bae675a1304p-13, -0x1.2a1bc427fe01ep-13, -0x1.21a7c9f00aab8p-13, -0x1.195dcc1486b6p-13, -0x1.113ca9f5f63bcp-13, -0x1.09434daecfb4p-13, -0x1.0170abb65d7e5p-13, -0x1.f387850e3f4d1p-14, -0x1.e477348bfd3dep-14, -0x1.d5ae88dc33d9cp-14, -0x1.c72bb6f81670fp-14, -0x1.b8ed053c378b4p-14, -0x1.aaf0cac8b4ce1p-14, -0x1.9d356eeac6b8dp-14, -0x1.8fb9688568e64p-14, -0x1.827b3d827859ep-14, -0x1.75798245bb138p-14, -0x1.68b2d92445f7fp-14, -0x1.5c25f1e0f2522p-14, -0x1.4fd1892adb0bap-14, -0x1.43b4681fdf6a9p-14, -0x1.37cd63d5844bfp-14, -0x1.2c1b5ce069d55p-14, -0x1.209d3ee4c2a2cp-14, -0x1.15520026b0a75p-14, -0x1.0a38a11ec438p-14, -0x1.fea05825f241fp-15, -0x1.e92f6964f0787p-15, -0x1.d41caf631862ap-15, -0x1.bf6674da8108cp-15, -0x1.ab0b151ed693ep-15, -0x1.9708fb6bb0fe5p-15, -0x1.835ea239710eep-15, -0x1.700a929700f8dp-15, -0x1.5d0b63894aab1p-15, -0x1.4a5fb97254a7p-15, -0x1.38064578987bep-15, -0x1.25fdc4f826aa2p-15, -0x1.144500f4f7023p-15, -0x1.02dacd94e1567p-15, -0x1.e37c1338de13fp-16, -0x1.c1db3be2edb29p-16, -0x1.a0d0fa43cbf0ap-16, -0x1.805b45db2bdep-16, -0x1.607827acd13fcp-16, -0x1.4125b96993b16p-16, -0x1.2262249627142p-16, -0x1.042ba1c528556p-16, -0x1.cd00efb17a8fap-17, -0x1.92bdf681a6247p-17, -0x1.598b1a94e5089p-17, -0x1.216536e37a4b3p-17, -0x1.d4927af965c63p-18, -0x1.68686c87ca922p-18, -0x1.fc8cf6e9ffe23p-19, -0x1.2c4e0f94adc74p-19, -0x1.8024b22085fdep-21, 0x1.a1318da7e287bp-21, 0x1.2cbd102af536dp-19, 0x1.ed530c5545c1bp-19, 0x1.550c28657ac58p-18, 0x1.b18b5026ac69bp-18, 0x1.0615e2bffba04p-17, 0x1.32791c592a2acp-17, 0x1.5df1a1ecf2298p-17, 0x1.8881b62e15415p-17, 0x1.b22b922234371p-17, 0x1.daf165d813b03p-17, 0x1.016aac7f5a5b7p-16, 0x1.14ecc5c76a2f3p-16, 0x1.28000b29a0118p-16, 0x1.3aa585bbc58ecp-16, 0x1.4cde3b871c7dep-16, 0x1.5eab2fc761185p-16, 0x1.700d63232c8d9p-16, 0x1.8105d3eb2bb4ep-16, 0x1.91957e47a09adp-16, 0x1.a1bd5c6ef16d1p-16, 0x1.b17e66d4ae6cp-16, 0x1.c0d994524571ap-16, 0x1.cfcfda55edf1cp-16, 0x1.de622d04271c5p-16, 0x1.ec917f60ce1c6p-16, 0x1.fa5ec36e5a539p-16, 0x1.03e57528364a7p-15, 0x1.0a6b72321ae8dp-15, 0x1.10c1d0b08e874p-15, 0x1.16e90836f3426p-15, 0x1.1ce1901dbfc25p-15, 0x1.22abdf8c34daap-15, 0x1.28486d81b7a7fp-15, 0x1.2db7b0df936ffp-15, 0x1.32fa20705d248p-15, 0x1.381032ef149bep-15, 0x1.3cfa5f0eca024p-15, 0x1.41b91b7e6fac4p-15, 0x1.464cdef033835p-15, 0x1.4ab6201b6903ap-15, 0x1.4ef555c256577p-15, 0x1.530af6b34e15ep-15, 0x1.56f779ccc2a7fp-15, 0x1.5abb55fee1bb2p-15, 0x1.5e57024c83d8fp-15, 0x1.61caf5cca7c95p-15, 0x1.6517a7ab16243p-15, 0x1.683d8f2742e42p-15, 0x1.6b3d23956da13p-15, 0x1.6e16dc5c3ff55p-15, 0x1.70cb30f53e9ddp-15, 0x1.735a98ea3f85ep-15, 0x1.75c58bd3917p-15, 0x1.780c8155d6295p-15, 0x1.7a2ff1204b58cp-15, 0x1.7c3052e83b29ep-15, 0x1.7e0e1e67f99ccp-15, 0x1.7fc9cb5af1324p-15, 0x1.8163d17a004c5p-15, 0x1.82dca877622e7p-15, 0x1.8434c7fbd1724p-15, 0x1.856ca7a169a9p-15, 0x1.8684beefef7aap-15, 0x1.877d8558cffc9p-15, 0x1.88577231f6703p-15, 0x1.8912fcb1b5fc2p-15, 0x1.89b09be9de1b3p-15, 0x1.8a30c6c330523p-15, 0x1.8a93f3f79e9c5p-15, 0x1.8ada9a0e9e587p-15, 0x1.8b052f56f1411p-15, 0x1.8b1429e28b2fp-15, 0x1.8b07ff811a618p-15, 0x1.8ae125ba40267p-15, 0x1.8aa011c98280dp-15, 0x1.8a453897b9f97p-15, 0x1.89d10eb7740a9p-15, 0x1.8944085e82165p-15, 0x1.889e99613e1c7p-15, 0x1.87e1352de905cp-15, 0x1.870c4ec724de7p-15, 0x1.862058be17286p-15, 0x1.851dc52e4fb23p-15, 0x1.840505b833546p-15, 0x1.82d68b7c7efbcp-15, 0x1.8192c716aad56p-15, 0x1.803a2898a4793p-15, 0x1.7ecd1f8569357p-15, 0x1.7d4c1acd5338ap-15, 0x1.7bb788c7b189bp-15, 0x1.7a0fd72fb4ccfp-15, 0x1.7855731f46cffp-15, 0x1.7688c90ad713ap-15, 0x1.74aa44bc6242bp-15, 0x1.72ba514fefff3p-15, 0x1.70b9592f004fp-15, 0x1.6ea7c60bfe701p-15, 0x1.6c8600deb5478p-15, 0x1.6a5471e082f71p-15, 0x1.6813808841814p-15, 0x1.65c39386a42a4p-15, 0x1.636510c228092p-15, 0x1.60f85d54aadb9p-15, 0x1.5e7ddd8723bfap-15, 0x1.5bf5f4ce3d773p-15, 0x1.596105c750822p-15, 0x1.56bf723579aedp-15, 0x1.54119afe2ef63p-15, 0x1.5157e026d1fcbp-15, 0x1.4e92a0d194ea8p-15, 0x1.4bc23b3ac1fbap-15, 0x1.48e70cb65fa87p-15, 0x1.460171ad5b069p-15, 0x1.4311c59b8bc7dp-15, 0x1.4018630d2089bp-15, 0x1.3d15a39d2aa89p-15, 0x1.3a09dff2d6ad8p-15, 0x1.36f56fbfab075p-15, 0x1.33d8a9bdf1465p-15, 0x1.30b3e3ae271b8p-15, 0x1.2d87725677996p-15, 0x1.2a53a98080253p-15, 0x1.2718dbf8440cfp-15, 0x1.23d75b8a7f10fp-15, 0x1.208f7903bd5cfp-15, 0x1.1d41842f61221p-15, 0x1.19edcbd5fbf87p-15, 0x1.16949dbcc53ep-15, 0x1.133646a50f041p-15, 0x1.0fd3124b4a387p-15, 0x1.0c6b4b662f8d6p-15, 0x1.08ff3ba636ed4p-15, 0x1.058f2bb57c18dp-15, 0x1.021b6337481e3p-15, 0x1.fd48518ef0731p-16, 0x1.f65383f51653cp-16, 0x1.ef58e6bb0ff11p-16, 0x1.e85900eb92be3p-16, 0x1.e15457825095fp-16, 0x1.da4b6d6d3a8c5p-16, 0x1.d33ec38c18729p-16, 0x1.cc2ed8b064cfdp-16, 0x1.c51c299f384ffp-16, 0x1.be0731116c5a1p-16, 0x1.b6f067b592bf2p-16, 0x1.afd8442fff181p-16, 0x1.a8bf3b1cbc4b2p-16, 0x1.a1a5bf110620ep-16, 0x1.9a8c409cd64dap-16, 0x1.93732e4ce29c7p-16, 0x1.8c5af4ac3356fp-16, 0x1.8543fe45a1e52p-16, 0x1.7e2eb3a673562p-16, 0x1.771b7b61824d9p-16, 0x1.700aba10672b6p-16, 0x1.68fcd255dbd1p-16, 0x1.61f224e0b48edp-16, 0x1.5aeb106f05067p-16, 0x1.53e7f1d0425ccp-16, 0x1.4ce923e738bf8p-16, 0x1.45eeffaedf2fp-16, 0x1.3ef9dc3c7bd98p-16, 0x1.380a0ec30cb99p-16, 0x1.311fea95eb7cap-16, 0x1.2a3bc12c9de4p-16, 0x1.235de2266c811p-16, 0x1.1c869b4d9600ep-16, 0x1.15b6389b226f3p-16, 0x1.0eed0439eee06p-16, 0x1.082b468afb341p-16, 0x1.01714628ce607p-16, 0x1.f57e8fd65290dp-17, 0x1.e82b1dd6f3ed9p-17, 0x1.dae8b910cc343p-17, 0x1.cdb7e0d42ead3p-17, 0x1.c099110c4e126p-17, 0x1.b38cc245ca0f7p-17, 0x1.a69369b9d1dadp-17, 0x1.99ad795549088p-17, 0x1.8cdb5fc1cdb41p-17, 0x1.801d886c6e5b9p-17, 0x1.73745b908016ep-17, 0x1.66e03e3fc6d29p-17, 0x1.5a61926b2da7dp-17, 0x1.4df8b6e9dc1e4p-17, 0x1.41a60785105fcp-17, 0x1.3569dcff1ad3p-17, 0x1.29448d1d0f31fp-17, 0x1.1d366aafa98ebp-17, 0x1.113fc59cd734cp-17, 0x1.0560eae7733c1p-17, 0x1.f334497580a5dp-18, 0x1.dbd774e21ce86p-18, 0x1.c4abe13d5ec5p-18, 0x1.adb212374ea02p-18, 0x1.96ea86166f72ep-18, 0x1.8055b5cb9e0f6p-18, 0x1.69f415041fc43p-18, 0x1.53c6123d9f06fp-18, 0x1.3dcc16d905953p-18, 0x1.2806872beb203p-18, 0x1.1275c2920801ep-18, 0x1.fa3447021fc8bp-19, 0x1.cfe7ff36e6c5ap-19, 0x1.a6074f873d85bp-19, 0x1.7c92d0587114fp-19, 0x1.538b10d96f02fp-19, 0x1.2af097245bdfbp-19, 0x1.02c3e066b32ffp-19, 0x1.b60ac206be157p-20, 0x1.676b096e0de7ep-20, 0x1.19a95d7d9f319p-20, 0x1.998ce7e9305f4p-21, 0x1.0185e437c07e7p-21, 0x1.acfb68c26d7cfp-23, -0x1.4a395cfb86744p-24, -0x1.781683e730cb3p-22, -0x1.4d0c9c2af0c2bp-21, -0x1.dc4a8bb516fbbp-21, -0x1.34e23fc9f2ff1p-20, -0x1.7abd01e5df352p-20, -0x1.bfb56070aceb6p-20, -0x1.01e59ecee0f64p-19, -0x1.237f44aaa69d5p-19, -0x1.44a7a0799918p-19, -0x1.655eb77da1dfbp-19, -0x1.85a49569ccf45p-19, -0x1.a5794c467a25cp-19, -0x1.c4dcf44df0c5fp-19, -0x1.e3cfabcc5e6c5p-19, -0x1.0128cb7de815p-18, -0x1.10316ff4b50ebp-18, -0x1.1f01db282bbd3p-18, -0x1.2d9a27bda04a4p-18, -0x1.3bfa7313efadfp-18, -0x1.4a22dd3342894p-18, -0x1.581388bbe63efp-18, -0x1.65cc9ad864717p-18, -0x1.734e3b2edd6bfp-18, -0x1.809893d23fab2p-18, -0x1.8dabd13000721p-18, -0x1.9a8822062d4eep-18, -0x1.a72db752d8c72p-18, -0x1.b39cc444ba8e9p-18, -0x1.bfd57e2cbfd6ap-18, -0x1.cbd81c726015fp-18, -0x1.d7a4d883b65b5p-18, -0x1.e33bedc896b8fp-18, -0x1.ee9d9993cebd6p-18, -0x1.f9ca1b1622a8fp-18, -0x1.0260d9a95d10fp-17, -0x1.07c2528757967p-17, -0x1.0d099a63a3044p-17, -0x1.1236d4513a4cdp-17, -0x1.174a2432591ccp-17, -0x1.1c43aeb1197eep-17, -0x1.212399395d1c6p-17, -0x1.25ea09f3bdc91p-17, -0x1.2a9727bf0884p-17, -0x1.2f2b1a295327ep-17, -0x1.33a6096b1b155p-17, -0x1.38081e61b6a36p-17, -0x1.3c518288fd3b9p-17, -0x1.40825ff55edcbp-17, -0x1.449ae14f6276cp-17, -0x1.489b31cdfcb1bp-17, -0x1.4c837d303a57fp-17, -0x1.5053efb83eddap-17, -0x1.540cb626d9f02p-17, -0x1.57adfdb6028e1p-17, -0x1.5b37f41336058p-17, -0x1.5eaac75aff3edp-17, -0x1.6206a614cc49p-17, -0x1.654bbf2c25c35p-17, -0x1.687a41ec82f81p-17, -0x1.6b925dfe8ee79p-17, -0x1.6e9443617df52p-17, -0x1.71802266942fep-17, -0x1.74562bae4d8a8p-17, -0x1.77169021fe792p-17, -0x1.79c180f0b41a5p-17, -0x1.7c572f8aee61ap-17, -0x1.7ed7cd9dcd065p-17, -0x1.81438d0fce871p-17, -0x1.839a9ffc6d819p-17, -0x1.85dd38af7ea16p-17, -0x1.880b89a305c7ap-17, }}, 
      {{0x1.fff73d38f6db6p-1, 0x1.ffdcf67d3dcc4p-1, 0x1.ffb1309718258p-1, 0x1.ff73f37c09295p-1, 0x1.ff254a43b07eap-1, 0x1.fec5431b77e9bp-1, 0x1.fe53ef376680cp-1, 0x1.fdd162c07e139p-1, 0x1.fd3db4c0fe418p-1, 0x1.fc98ff0ee6bc7p-1, 0x1.fbe35e350f5eep-1, 0x1.fb1cf15b1c71fp-1, 0x1.fa45da2c9b727p-1, 0x1.f95e3cbf7f87p-1, 0x1.f8663f7a385ep-1, 0x1.f75e0af99281bp-1, 0x1.f645c9f6899a6p-1, 0x1.f51da92c31566p-1, 0x1.f3e5d73dd46a9p-1, 0x1.f29e849d624cep-1, 0x1.f147e372416d3p-1, 0x1.efe2278097bd5p-1, 0x1.ee6d86111729cp-1, 0x1.ecea35d95a53dp-1, 0x1.eb586ee4d907cp-1, 0x1.e9b86a7e7b07p-1, 0x1.e80a631acdfd1p-1, 0x1.e64e9442e1b4p-1, 0x1.e4853a7fcbd92p-1, 0x1.e2ae9346d31aap-1, 0x1.e0cadce641652p-1, 0x1.deda5672ddea6p-1, 0x1.dcdd3fb608c8ep-1, 0x1.dad3d91c79a5ep-1, 0x1.d8be63a59d0ccp-1, 0x1.d69d20d38c654p-1, 0x1.d470529b9c8cp-1, 0x1.d2383b5782d55p-1, 0x1.cff51db706cbep-1, 0x1.cda73cb2411d6p-1, 0x1.cb4edb7c6072dp-1, 0x1.c8ec3d76f2e2ap-1, 0x1.c67fa625aabffp-1, 0x1.c4095922a0521p-1, 0x1.c1899a1307367p-1, 0x1.bf00ac9c55032p-1, 0x1.bc6ed459d5a41p-1, 0x1.b9d454d2a6daep-1, 0x1.b731717019ffbp-1, 0x1.b4866d74756abp-1, 0x1.b1d38bf212009p-1, 0x1.af190fc2d2784p-1, 0x1.ac573b7ff0d33p-1, 0x1.a98e517a1c1a7p-1, 0x1.a6be93b1e6cfp-1, 0x1.a3e843d0808fdp-1, 0x1.a10ba320b888fp-1, 0x1.9e28f28846091p-1, 0x1.9b40728156cc6p-1, 0x1.985263145bf39p-1, 0x1.955f03d218f38p-1, 0x1.926693cdede44p-1, 0x1.8f6951985e819p-1, 0x1.8c677b39d290dp-1, 0x1.89614e2d8d07bp-1, 0x1.8657075cdd08ep-1, 0x1.8348e31a7fb25p-1, 0x1.80371d1e3a36ap-1, 0x1.7d21f080a33e5p-1, 0x1.7a0997b7202e6p-1, 0x1.76ee4c901227p-1, 0x1.73d0482f3281dp-1, 0x1.70afc30a1f793p-1, 0x1.6d8cf4e514596p-1, 0x1.6a6814cfd16a1p-1, 0x1.67415922aeb96p-1, 0x1.6418f77bdae19p-1, 0x1.60ef24bcc478ap-1, 0x1.5dc41507ae609p-1, 0x1.5a97fbbd6cff4p-1, 0x1.576b0b7b4ccd4p-1, 0x1.543d761920099p-1, 0x1.510f6ca7758c5p-1, 0x1.4de11f6df56bdp-1, 0x1.4ab2bde9e33d2p-1, 0x1.478476ccc6cefp-1, 0x1.445677fb392e2p-1, 0x1.4128ee8bd5ba4p-1, 0x1.3dfc06c64e30dp-1, 0x1.3acfec22a2208p-1, 0x1.37a4c94877586p-1, 0x1.347ac80e94344p-1, 0x1.3152117a78eb5p-1, 0x1.2e2acdc01a831p-1, 0x1.2b052441bb025p-1, 0x1.27e13b8fdf8bcp-1, 0x1.24bf396964d13p-1, 0x1.219f42bbaf74fp-1, 0x1.1e817ba2f7767p-1, 0x1.1b66076aaf1cap-1, 0x1.184d088e04439p-1, 0x1.1536a0b879a17p-1, 0x1.1222f0c699ffdp-1, 0x1.0f1218c6c1a9p-1, 0x1.0c0437f9ff96ep-1, 0x1.08f96cd50c659p-1, 0x1.05f1d50156d4p-1, 0x1.02ed8d5e232d7p-1, 0x1.ffd9640382b26p-2, 0x1.f9debc75a5802p-2, 0x1.f3eb59234716cp-2, 0x1.edff6d932d9adp-2, 0x1.e81b2bc54098cp-2, 0x1.e23ec435a11b2p-2, 0x1.dc6a65dfdec84p-2, 0x1.d69e3e424a06bp-2, 0x1.d0da796160f5dp-2, 0x1.cb1f41cb57aa6p-2, 0x1.c56cc09bb90d3p-2, 0x1.bfc31d7f1fe91p-2, 0x1.ba227eb704a56p-2, 0x1.b48b091da330cp-2, 0x1.aefce029efdfbp-2, 0x1.a97825f3a47bdp-2, 0x1.a3fcfb375cb7ap-2, 0x1.9e8b7f5abf63dp-2, 0x1.9923d070be826p-2, 0x1.93c60b3dded4ap-2, 0x1.8e724b3c8f3e1p-2, 0x1.8928aaa18dc98p-2, 0x1.83e9426055eaap-2, 0x1.7eb42a2f986cap-2, 0x1.7989788dbed03p-2, 0x1.746942c577047p-2, 0x1.6f539cf244671p-2, 0x1.6a489a0519201p-2, 0x1.65484bc8f5a53p-2, 0x1.6052c2e78df53p-2, 0x1.5b680eedf0252p-2, 0x1.56883e5131159p-2, 0x1.51b35e731caccp-2, 0x1.4ce97ba6e610cp-2, 0x1.482aa135daf58p-2, 0x1.4376d964167a9p-2, 0x1.3ece2d75355a8p-2, 0x1.3a30a5b10a8adp-2, 0x1.359e49684f057p-2, 0x1.31171ef956d97p-2, 0x1.2c9b2bd4bbad3p-2, 0x1.282a74820c178p-2, 0x1.23c4fca4737e7p-2, 0x1.1f6ac6ff60a45p-2, 0x1.1b1bd57b252b9p-2, 0x1.16d82929958adp-2, 0x1.129fc24a9d212p-2, 0x1.0e72a050d4ee5p-2, 0x1.0a50c1e60d187p-2, 0x1.063a24efd43fcp-2, 0x1.022ec693f8a8fp-2, 0x1.fc5d4679ff776p-3, 0x1.f4736d3d2dcfp-3, 0x1.ec9ff7740045ep-3, 0x1.e4e2d9c4e353bp-3, 0x1.dd3c0782e0e88p-3, 0x1.d5ab72b643c39p-3, 0x1.ce310c2523eacp-3, 0x1.c6ccc35be975ap-3, 0x1.bf7e86b5b7985p-3, 0x1.b8464364bf0d5p-3, 0x1.b123e57a8a575p-3, 0x1.aa1757f026d3ap-3, 0x1.a32084ae45e1ep-3, 0x1.9c3f54953e61ap-3, 0x1.9573af84ff3b5p-3, 0x1.8ebd7c64eccd9p-3, 0x1.881ca12ba2343p-3, 0x1.819102e6a016cp-3, 0x1.7b1a85c1e65aap-3, 0x1.74b90d0f72908p-3, 0x1.6e6c7b4ea945cp-3, 0x1.6834b233a5d34p-3, 0x1.621192ae76d28p-3, 0x1.5c02fcf23caaap-3, 0x1.5608d07c33e1fp-3, 0x1.5022ec1aa50c9p-3, 0x1.4a512df3ba575p-3, 0x1.4493738c41b8bp-3, 0x1.3ee999ce52fc2p-3, 0x1.39537d0fd7042p-3, 0x1.33d0f91900f91p-3, 0x1.2e61e92aa60bcp-3, 0x1.290628047e58bp-3, 0x1.23bd8feb4b688p-3, 0x1.1e87faaee6f01p-3, 0x1.196541b0356b2p-3, 0x1.14553de700f7p-3, 0x1.0f57c7e7bb8c3p-3, 0x1.0a6cb7e925124p-3, 0x1.0593e5c9d46cdp-3, 0x1.00cd2915b4381p-3, 0x1.f830b216a713cp-4, 0x1.eeea9942584bp-4, 0x1.e5c7b51593ca6p-4, 0x1.dcc7b27ba4f3dp-4, 0x1.d3ea3dedfe2fbp-4, 0x1.cb2f037deeb39p-4, 0x1.c295aede18f3bp-4, 0x1.ba1deb6bd5bafp-4, 0x1.b1c76438410e9p-4, 0x1.a991c411357b2p-4, 0x1.a17cb589ff3fbp-4, 0x1.9987e303e83fp-4, 0x1.91b2f6b69307bp-4, 0x1.89fd9ab82143ap-4, 0x1.826779052b88p-4, 0x1.7af03b888b0e5p-4, 0x1.73978c22f14a4p-4, 0x1.6c5d14b24fa55p-4, 0x1.65407f19136cfp-4, 0x1.5e4175452f9d2p-4, 0x1.575fa136faddp-4, 0x1.509aad07df0a7p-4, 0x1.49f242f0da803p-4, 0x1.43660d50d6166p-4, 0x1.3cf5b6b2cd0a8p-4, 0x1.36a0e9d3cb09ap-4, 0x1.306751a8b9d9p-4, 0x1.2a4899640cb1ap-4, 0x1.24446c7b36d3cp-4, 0x1.1e5a76abfe654p-4, 0x1.188a6401a4bc8p-4, 0x1.12d3e0d9e3ebdp-4, 0x1.0d3699e9c4b7fp-4, 0x1.07b23c424dad1p-4, 0x1.02467555052b6p-4, 0x1.f9e5e5f0ad8bep-5, 0x1.ef6ec6d78ca3cp-5, 0x1.e526eab8090c5p-5, 0x1.db0dafcdba829p-5, 0x1.d122753dfab24p-5, 0x1.c7649b1f3125ep-5, 0x1.bdd3827fcefe7p-5, 0x1.b46e8d6d0cbecp-5, 0x1.ab351ef95ccadp-5, 0x1.a2269b429a5a2p-5, 0x1.99426777f69dep-5, 0x1.9087e9dfa41bfp-5, 0x1.87f689dc403e6p-5, 0x1.7f8daff1fc25cp-5, 0x1.774cc5cb89ab1p-5, 0x1.6f33363ec9c13p-5, 0x1.67406d5137a1ep-5, 0x1.5f73d83c28b4ep-5, 0x1.57cce570c184dp-5, 0x1.504b049bb9188p-5, 0x1.48eda6a8e677p-5, 0x1.41b43dc69477fp-5, 0x1.3a9e3d689d481p-5, 0x1.33ab1a4b58312p-5, 0x1.2cda4a764d52fp-5, 0x1.262b453eb8cf3p-5, 0x1.1f9d8349e3085p-5, 0x1.19307e8f3a999p-5, 0x1.12e3b25a4efe7p-5, 0x1.0cb69b4c92951p-5, 0x1.06a8b75ef3cfdp-5, 0x1.00b985e347415p-5, 0x1.f5d10f0b1b8aap-6, 0x1.ea6a7c9a0e957p-6, 0x1.df3e5b3a48626p-6, 0x1.d44bb46c998fcp-6, 0x1.c991946cfddb5p-6, 0x1.bf0f0a33980dbp-6, 0x1.b4c32775553c3p-6, 0x1.aaad00a45a8edp-6, 0x1.a0cbacf018f49p-6, 0x1.971e46452ee11p-6, 0x1.8da3e94cfca2cp-6, 0x1.845bb56d0289ap-6, 0x1.7b44ccc5f30e9p-6, 0x1.725e54329959dp-6, 0x1.69a77346769a4p-6, 0x1.611f544c35246p-6, 0x1.58c52443d1aep-6, 0x1.509812e0aa805p-6, 0x1.4897528738d0fp-6, 0x1.40c2184ab9374p-6, 0x1.39179bea9147cp-6, 0x1.319717cf8826ep-6, 0x1.2a3fc908d91b6p-6, 0x1.2310ef491917cp-6, 0x1.1c09cce2ec6a2p-6, 0x1.1529a6c59cc15p-6, 0x1.0e6fc4797f581p-6, 0x1.07db701c449bfp-6, 0x1.016bf65d10f0fp-6, 0x1.f6414cf10922ep-7, 0x1.e9f1a469353c2p-7, 0x1.dde79bb8cb645p-7, 0x1.d221e0776eb8ep-7, 0x1.c69f253548cfcp-7, 0x1.bb5e2171db66dp-7, 0x1.b05d9192ad7b7p-7, 0x1.a59c36d9adcaap-7, 0x1.9b18d75b77c39p-7, 0x1.90d23df56fa98p-7, 0x1.86c73a439c8fep-7, 0x1.7cf6a09682574p-7, 0x1.735f49e89ec64p-7, 0x1.6a0013d40160ap-7, 0x1.60d7e0878a93fp-7, 0x1.57e596bc2f1d4p-7, 0x1.4f2821aa16d71p-7, 0x1.469e70fd924b3p-7, 0x1.3e4778cc0aeb1p-7, 0x1.36223188ccdcdp-7, 0x1.2e2d97f9c4652p-7, 0x1.2668ad2c25a5p-7, 0x1.1ed27668ff5f9p-7, 0x1.1769fd29c1a48p-7, 0x1.102e4f0cba358p-7, 0x1.091e7dc972185p-7, 0x1.02399f2523cabp-7, 0x1.f6fd99cdee1bfp-8, 0x1.e9da4998cdd68p-8, 0x1.dd0790faf67dap-8, 0x1.d083bb02249cap-8, 0x1.c44d1a6248a49p-8, 0x1.b862095decc7bp-8, 0x1.acc0e9aece9fbp-8, 0x1.a168246e36f6cp-8, 0x1.965629fd92dd4p-8, 0x1.8b8971eef684p-8, 0x1.81007aed96cb7p-8, 0x1.76b9caa66fdcbp-8, 0x1.6cb3edb0f554dp-8, 0x1.62ed77779fdp-8, 0x1.59650220cd7efp-8, 0x1.50192e779147ap-8, 0x1.4708a3d49b842p-8, 0x1.3e3210073674fp-8, 0x1.3594273e6b83bp-8, 0x1.2d2da3f224ddbp-8, 0x1.24fd46cc8b91ep-8, 0x1.1d01d69363b74p-8, 0x1.153a2011ab909p-8, 0x1.0da4f6012a14dp-8, 0x1.064130f44f6p-8, 0x1.fe1b5e8037ccap-9, 0x1.f012a9cc56cabp-9, 0x1.e26616fdf8254p-9, 0x1.d51384487be6dp-9, 0x1.c818dab6b07eep-9, 0x1.bb740e0035ea3p-9, 0x1.af231c5f2dfa1p-9, 0x1.a3240e66410dap-9, 0x1.9774f6d6e2f7ap-9, 0x1.8c13f278132dfp-9, 0x1.80ff27ed6ce92p-9, 0x1.7634c78e7f52ep-9, 0x1.6bb30b3e976bap-9, 0x1.61783644f2a5bp-9, 0x1.578295251a08bp-9, 0x1.4dd07d77e366dp-9, 0x1.44604dc4ab6dfp-9, 0x1.3b306d5af6bdbp-9, 0x1.323f4c2c89c5cp-9, 0x1.298b62a7c6729p-9, 0x1.2113319279e11p-9, 0x1.18d541e5399f7p-9, 0x1.10d024a6dda41p-9, 0x1.090272c89cf5ap-9, 0x1.016acd025e1dfp-9, 0x1.f40fb75f9a69ap-10, 0x1.e5b09d5a93e7p-10, 0x1.d7b5ba6bae17cp-10, 0x1.ca1c8b81f49a6p-10, 0x1.bce29bc29b197p-10, 0x1.b0058446bddd2p-10, 0x1.a382ebda026b6p-10, 0x1.975886b9f78e6p-10, 0x1.8b84165650e88p-10, 0x1.800369120dd83p-10, 0x1.74d45a055c626p-10, 0x1.69f4d0c04d87bp-10, 0x1.5f62c10e59e46p-10, 0x1.551c2abab9fb7p-10, 0x1.4b1f1955a9d1fp-10, 0x1.4169a3fa59edep-10, 0x1.37f9ed15cba53p-10, 0x1.2ece222e420adp-10, 0x1.25e47babe63b5p-10, 0x1.1d3b3ca1d33e3p-10, 0x1.14d0b2983ec18p-10, 0x1.0ca335572b31ep-10, 0x1.04b126b210bb2p-10, 0x1.f9f1e4a87f37bp-11, 0x1.eaf21b1c10cfap-11, 0x1.dc5fee4578066p-11, 0x1.ce386e2e6ee82p-11, 0x1.c078bd0355afbp-11, 0x1.b31e0eb305983p-11, 0x1.a625a8913368fp-11, 0x1.998ce0fa02725p-11, 0x1.8d511ef6bfe0cp-11, 0x1.816fd9e44df59p-11, 0x1.75e6991b3a301p-11, 0x1.6ab2f39926cf9p-11, 0x1.5fd28fab5a318p-11, 0x1.5543229b3459bp-11, 0x1.4b02705ba9af6p-11, 0x1.410e4b38405d3p-11, 0x1.37649385b6d4ep-11, 0x1.2e03375392086p-11, 0x1.24e8321f536d3p-11, 0x1.1c118c88f5bc4p-11, 0x1.137d5c08c5255p-11, 0x1.0b29c2a652c99p-11, 0x1.0314eeb121903p-11, 0x1.f67a34f4332dep-12, 0x1.e741181d6505ep-12, 0x1.d87b29ea0b818p-12, 0x1.ca2523d2ddc5dp-12, 0x1.bc3bd539f2bb4p-12, 0x1.aebc22eb4eb9ap-12, 0x1.a1a3069e37d01p-12, 0x1.94ed8e7a9b48cp-12, 0x1.8898dc9f1f35bp-12, 0x1.7ca226ab1663p-12, 0x1.7106b54938311p-12, 0x1.65c3e3bde69c2p-12, 0x1.5ad71f76c67c6p-12, 0x1.503de79cd2c7ep-12, 0x1.45f5cca8d85fbp-12, 0x1.3bfc6ff96ad01p-12, 0x1.324f836bbfb5ep-12, 0x1.28ecc8f5b4472p-12, 0x1.1fd212430f851p-12, 0x1.16fd405312582p-12, 0x1.0e6c4319f29f3p-12, 0x1.061d1922a1747p-12, 0x1.fc1b9e66c4f34p-13, 0x1.ec78ffe86a864p-13, 0x1.dd4ea72d4fe6dp-13, 0x1.ce98ff0020427p-13, 0x1.c0548be9df5c2p-13, 0x1.b27deb8d677dp-13, 0x1.a511d4062fc3ep-13, 0x1.980d13497271p-13, 0x1.8b6c8e8beaa2ep-13, 0x1.7f2d41aaaab4dp-13, 0x1.734c3e966f6cap-13, 0x1.67c6acc363dddp-13, 0x1.5c99c89ae31bbp-13, 0x1.51c2e2f0d60e6p-13, 0x1.473f607c81494p-13, 0x1.3d0cb95385d47p-13, 0x1.332878685a123p-13, 0x1.29903b0bff4e2p-13, 0x1.2041b0710ade8p-13, 0x1.173a9933b0ff2p-13, 0x1.0e78c6e2c4ab2p-13, 0x1.05fa1b8c2eac4p-13, 0x1.fb791297b9f0bp-14, 0x1.eb7c23bb1e7cep-14, 0x1.dbf98c6152bbep-14, 0x1.cced8bfde4ba6p-14, 0x1.be547ecbbd30fp-14, 0x1.b02add035ca25p-14, 0x1.a26d3a17b7a06p-14, 0x1.951843f513f0dp-14, 0x1.8828c2477c8b7p-14, 0x1.7b9b95c3140f1p-14, 0x1.6f6db77266948p-14, 0x1.639c38083b008p-14, 0x1.58243f3660792p-14, 0x1.4d030b06f5f73p-14, 0x1.4235ef3c683b9p-14, 0x1.37ba54b2c5afp-14, 0x1.2d8db8c61680cp-14, 0x1.23adacbd1ad9ap-14, 0x1.1a17d5363b1bap-14, 0x1.10c9e99a794d5p-14, 0x1.07c1b390f7509p-14, 0x1.fdfa1cf08d377p-15, 0x1.ecf3cdc4ff629p-15, 0x1.dc6c7428bea0bp-15, 0x1.cc602b0fdfdbcp-15, 0x1.bccb2ce503b65p-15, 0x1.ada9d29c29042p-15, 0x1.9ef892c8f085ep-15, 0x1.90b400be7e223p-15, 0x1.82d8cbb3fbd33p-15, 0x1.7563bdec1b462p-15, 0x1.6851bbe71db5fp-15, 0x1.5b9fc396efec2p-15, 0x1.4f4aeb99c66bcp-15, 0x1.43506279b67a6p-15, 0x1.37ad6df2214dfp-15, 0x1.2c5f6a38de528p-15, 0x1.2163c94d4a516p-15, 0x1.16b8124caf551p-15, 0x1.0c59e0ca2ebf8p-15, 0x1.0246e42c4f691p-15, 0x1.f0f9be1aef6a2p-16, 0x1.ddf34d44cfd46p-16, 0x1.cb76444ac2d84p-16, 0x1.b97e9484d5e31p-16, 0x1.a80851161a45bp-16, 0x1.970faddaa6e6bp-16, 0x1.8690fe5b0005ap-16, 0x1.7688b4c767cf2p-16, 0x1.66f360fde90efp-16, 0x1.57cdaf928f9bbp-16, 0x1.491468e405748p-16, 0x1.3ac47031ed2fap-16, 0x1.2cdac2be847adp-16, 0x1.1f5476f525ecap-16, 0x1.122ebb953be73p-16, 0x1.0566d6e5fc662p-16, 0x1.f1f44bdeaf67ep-17, 0x1.d9cc376f95858p-17, 0x1.c25081149de2dp-17, 0x1.ab7c627df10afp-17, 0x1.954b3d1961dcap-17, 0x1.7fb898bc093d9p-17, 0x1.6ac02252c0027p-17, 0x1.565daaa3b4807p-17, 0x1.428d25183bcd8p-17, 0x1.2f4aa68ab5d23p-17, 0x1.1c926423dcac1p-17, 0x1.0a60b24109398p-17, 0x1.f16406c568adp-18, 0x1.cf05ce3c8bd3ap-18, 0x1.ada0123fa2378p-18, 0x1.8d2c605c808f4p-18, 0x1.6da47a7a729b9p-18, 0x1.4f0254fe102f5p-18, 0x1.3140150b7dea5p-18, 0x1.14580ecf1c534p-18, 0x1.f08987b134a56p-19, 0x1.ba01c2ff41af4p-19, 0x1.850e7ea6b20dep-19, 0x1.51a5bb46cfc33p-19, 0x1.1fbdc80b1d683p-19, 0x1.de9a7fc5e208fp-20, 0x1.80960da9ae897p-20, 0x1.255c8eb2a3fb5p-20, 0x1.99b9bf948e4ccp-21, 0x1.dc1983016731p-22, 0x1.1e477daa5dc6cp-23, -0x1.6758dbbad97f8p-23, -0x1.ec93ce68cf1d9p-22, -0x1.8de6b4db88e3ap-21, -0x1.1064a4abff075p-20, -0x1.5786be0ba147bp-20, -0x1.9c672ce97cea5p-20, -0x1.df13162620dap-20, -0x1.0fcba04d00032p-19, -0x1.2f000c41d8e19p-19, -0x1.4d2cd969cc226p-19, -0x1.6a57e833f1804p-19, -0x1.8686f083f28dfp-19, -0x1.a1bf8334fee16p-19, -0x1.bc070b762d78ep-19, -0x1.d562d03a30bc9p-19, -0x1.edd7f57d8a542p-19, -0x1.02b5becb6b574p-18, -0x1.0e1125314a09ap-18, -0x1.19008f3e29d6dp-18, -0x1.23864f2ced21dp-18, -0x1.2da4a8b26a03ep-18, -0x1.375dd180d1607p-18, -0x1.40b3f1c8ae507p-18, -0x1.49a924b7c3117p-18, -0x1.523f78ef988bap-18, -0x1.5a78f0f397caap-18, -0x1.6257839eff4f6p-18, -0x1.69dd1c86e661ep-18, -0x1.710b9c6419a3cp-18, -0x1.77e4d9741cb48p-18, -0x1.7e6a9fd273b9cp-18, -0x1.849eb1d5b47f4p-18, -0x1.8a82c865dbadcp-18, -0x1.9018934e651dp-18, -0x1.9561b98cd9a8cp-18, -0x1.9a5fd99d59177p-18, -0x1.9f1489c3f7c53p-18, -0x1.a38158513e49ap-18, -0x1.a7a7cbe645f72p-18, -0x1.ab8963b12754bp-18, -0x1.af2797adaf4b8p-18, -0x1.b283d8df9b4a3p-18, -0x1.b59f918a688fdp-18, -0x1.b87c256689a68p-18, -0x1.bb1af1d65a26bp-18, -0x1.bd7d4e15f3e4fp-18, -0x1.bfa48b6a3af0bp-18, -0x1.c191f54ed1fd7p-18, -0x1.c346d19f8c255p-18, -0x1.c4c460c13c658p-18, -0x1.c60bddcbc50a8p-18, -0x1.c71e7eadef36cp-18, -0x1.c7fd744f415c2p-18, -0x1.c8a9eab688c8dp-18, -0x1.c9250927276dp-18, -0x1.c96ff2416537ep-18, -0x1.c98bc41fd9d32p-18, -0x1.c9799873bfa56p-18, -0x1.c93a84a036bebp-18, -0x1.c8cf99d352423p-18, -0x1.c839e52079597p-18, -0x1.c77a6f96885f5p-18, -0x1.c6923e5652e36p-18, -0x1.c58252a8c51efp-18, -0x1.c44baa130bdb2p-18, -0x1.c2ef3e689b4cap-18, -0x1.c16e05dffd929p-18, -0x1.bfc8f321311c1p-18, -0x1.be00f559cc3c2p-18, -0x1.bc16f84be06e7p-18, -0x1.ba0be45c4600dp-18, -0x1.b7e09ea270e1dp-18, -0x1.b59608f50e3fep-18, -0x1.b32d01f9a653ap-18, -0x1.b0a6652e85aabp-18, -0x1.ae030af7bc7c8p-18, -0x1.ab43c8ab3b28cp-18, -0x1.a869709b8749cp-18, -0x1.a574d220fcab5p-18, -0x1.a266b9a628552p-18, -0x1.9f3ff0af6a2bp-18, -0x1.9c013de4e085ep-18, -0x1.98ab651bf2aa7p-18, -0x1.953f275db1e67p-18, -0x1.91bd42f103ff2p-18, -0x1.8e267360bfb4fp-18, -0x1.8a7b71843fa37p-18, -0x1.86bcf3858e0bbp-18, -0x1.82ebace98e7fbp-18, -0x1.7f084e951b50ep-18, -0x1.7b1386d45c3f6p-18, -0x1.770e01607046cp-18, -0x1.72f86765b0c0ep-18, -0x1.6ed35f8931678p-18, -0x1.6a9f8dee3b6f5p-18, -0x1.665d943c44dcep-18, -0x1.620e11a2fbd7bp-18, -0x1.5db1a2e052763p-18, -0x1.5948e24605a9ep-18, -0x1.54d467bcb6bfp-18, -0x1.5054c8caf9201p-18, -0x1.4bca98970d581p-18, -0x1.473667edeed65p-18, -0x1.4298c5468a406p-18, -0x1.3df23cc688bb1p-18, -0x1.39435845fd46fp-18, -0x1.348c9f54a2c01p-18, -0x1.2fce973d8128bp-18, -0x1.2b09c30b64347p-18, -0x1.263ea38c4b403p-18, -0x1.216db7561d8bdp-18, -0x1.1c977acaa1606p-18, -0x1.17bc681ba9afp-18, -0x1.12dcf74e987b6p-18, -0x1.0df99e401eaa1p-18, -0x1.0912d0a8e21b1p-18, -0x1.042900220a1d4p-18, -0x1.fe79384e2d5fep-19, -0x1.f49c2437f979cp-19, -0x1.eabb9aa125c87p-19, -0x1.e0d86e088dd5dp-19, -0x1.d6f36cd2e097cp-19, -0x1.cd0d615547193p-19, -0x1.c32711db4c885p-19, -0x1.b94140afd3602p-19, -0x1.af5cac252eefcp-19, -0x1.a57a0e9c40645p-19, -0x1.9b9a1e8d4df8cp-19, -0x1.91bd8e901625cp-19, -0x1.87e50d65030ccp-19, -0x1.7e1145fc24ec1p-19, -0x1.7442df7e1c53bp-19, -0x1.6a7a7d53b3b3bp-19, -0x1.60b8bf2f1763fp-19, -0x1.56fe4113ed70cp-19, -0x1.4d4b9b5f15c89p-19, -0x1.43a162d051858p-19, -0x1.3a002891828dap-19, -0x1.30687a411ae52p-19, -0x1.26dae1f905d65p-19, -0x1.1d57e657e1b48p-19, -0x1.13e00a8afc762p-19, -0x1.0a73ce563148dp-19, -0x1.0113ae1b911c3p-19, -0x1.ef8045cb288bp-20, -0x1.dcf344e0b8a76p-20, -0x1.ca813e6335b99p-20, -0x1.b82b10c310c2fp-20, -0x1.a5f19408cc3d5p-20, -0x1.93d599e60ed41p-20, -0x1.81d7edcb4cf2p-20, -0x1.6ff954f45cdd1p-20, -0x1.5e3a8e7e6a0d9p-20, -0x1.4c9c537bc8572p-20, -0x1.3b1f57034be97p-20, -0x1.29c44642ab8a5p-20, -0x1.188bc89344b47p-20, -0x1.07767f8a66bf2p-20, -0x1.ed0a0e18ea573p-21, -0x1.cb6feabed1ff8p-21, -0x1.aa1fb67c015ccp-21, -0x1.891a87d3ab4adp-21, -0x1.68616a7b1074ep-21, -0x1.47f55f7e2e56ap-21, -0x1.27d75d6b8f8ccp-21, -0x1.08085074f7957p-21, -0x1.d112352531a1fp-22, -0x1.92b5275662b2p-22, -0x1.54fb136cb9739p-22, -0x1.17e581c8739c4p-22, -0x1.b6ebcf05accf3p-23, -0x1.3f5b4d7181545p-23, -0x1.92383b4cbd319p-24, -0x1.50c2e6b10823fp-25, 0x1.f6488be2b1fb4p-27, 0x1.2342ef03e96e6p-24, 0x1.0284039e55856p-23, 0x1.720a408d04bd9p-23, 0x1.e03263be88e03p-23, 0x1.267d6205a6b08p-22, 0x1.5c30ec8f43a22p-22, 0x1.91331d744056ap-22, 0x1.c58350853eb6cp-22, 0x1.f920f126f5181p-22, 0x1.1605bd0380d61p-21, 0x1.2f213a6cc224cp-21, 0x1.47e2bd089622ap-21, 0x1.604a184bea2b3p-21, 0x1.785726c5aa1cap-21, 0x1.9009c9f953cbcp-21, 0x1.a761ea3d921a7p-21, 0x1.be5f769b8be8dp-21, 0x1.d50264ac925c4p-21, 0x1.eb4ab079665c8p-21, 0x1.009c2e2b3e4d9p-20, 0x1.0b65b861a538bp-20, 0x1.1601fe2518942p-20, 0x1.207109af47018p-20, 0x1.2ab2e81f039f5p-20, 0x1.34c7a96769f53p-20, 0x1.3eaf60404d571p-20, 0x1.486a22141bd86p-20, 0x1.51f806f1c7f59p-20, 0x1.5b59297d74086p-20, 0x1.648da6e0ef9e8p-20, 0x1.6d959ebcb3a2bp-20, 0x1.7671331797176p-20, 0x1.7f2088500cf72p-20, 0x1.87a3c50e56805p-20, 0x1.8ffb1234d4bbep-20, 0x1.98269ad10a6a6p-20, 0x1.a0268c0d9b94ep-20, 0x1.a7fb15243cf9ep-20, 0x1.afa4674fc4ea3p-20, 0x1.b722b5bd14ffp-20, 0x1.be76357cf963p-20, 0x1.c59f1d7718327p-20, 0x1.cc9da65d0b839p-20, 0x1.d3720a9cf6d8cp-20, 0x1.da1c865392395p-20, 0x1.e09d573f1d06dp-20, 0x1.e6f4bcb3a052cp-20, 0x1.ed22f78c3f30ap-20, 0x1.f3284a20cada7p-20, 0x1.f904f8378e5f9p-20, 0x1.feb946fa1906p-20, 0x1.0222be744d051p-19, 0x1.04d4f0e734106p-19, 0x1.07735f5aae081p-19, 0x1.09fe2eece49ddp-19, 0x1.0c758550651fdp-19, 0x1.0ed988c62282p-19, 0x1.112a6017f19ep-19, 0x1.13683292d505fp-19, 0x1.15932801d6a6ep-19, 0x1.17ab68a895e73p-19, 0x1.19b11d3df60c8p-19, 0x1.1ba46ee6f3d58p-19, 0x1.1d858731f0188p-19, 0x1.1f549011517b3p-19, 0x1.2111b3d6f6d81p-19, 0x1.22bd1d2e8c4bp-19, 0x1.2456f719475ffp-19, 0x1.25df6ce978998p-19, 0x1.2756aa3dc309cp-19, 0x1.28bcdafc8bd6p-19, 0x1.2a122b4fb4aafp-19, 0x1.2b56c7a0060fep-19, 0x1.2c8adc9115abp-19, 0x1.2dae96fcbe6a3p-19, 0x1.2ec223ef6302cp-19, 0x1.2fc5b0a3b359bp-19, 0x1.30b96a7f04579p-19, 0x1.319d7f0c9308dp-19, 0x1.32721bfa814fdp-19, 0x1.33376f157fa17p-19, 0x1.33eda64569727p-19, 0x1.3494ef8987235p-19, 0x1.352d78f520a0ep-19, 0x1.35b770ac357cdp-19, 0x1.363304dfd4c1ep-19, 0x1.36a063cab39d4p-19, 0x1.36ffbbae390d6p-19, 0x1.37513aceff374p-19, 0x1.37950f71f187fp-19, 0x1.37cb67d95d938p-19, 0x1.37f47241ae0f9p-19, 0x1.38105cde5a439p-19, 0x1.381f55d74e869p-19, 0x1.38218b4677e83p-19, 0x1.38172b34b30c7p-19, 0x1.3800639696b73p-19, 0x1.37dd624a8c1c5p-19, 0x1.37ae55168000ap-19, 0x1.377369a51acbfp-19, 0x1.372ccd82fc10ap-19, 0x1.36daae1ce8c4p-19, 0x1.367d38bd9f88ep-19, 0x1.36149a8aec70bp-19, 0x1.35a10083e3e27p-19, 0x1.3522977f31ae5p-19, 0x1.34998c288e3b2p-19, 0x1.34060afe951fp-19, 0x1.33684051375dap-19, 0x1.32c0583ff11eap-19, 0x1.320e7eb7be40bp-19, 0x1.3152df70f467fp-19, 0x1.308da5ee54563p-19, 0x1.2fbefd7ad6b76p-19, 0x1.2ee7112843d7dp-19, 0x1.2e060bcd96e51p-19, 0x1.2d1c18057d6e5p-19, 0x1.2c29602ce144dp-19, 0x1.2b2e0e61725c5p-19, 0x1.2a2a4c802b7bap-19, 0x1.291e442459c7dp-19, 0x1.280a1ea6322cbp-19, 0x1.26ee05193d432p-19, 0x1.25ca204bb70fap-19, 0x1.249e98c5156d6p-19, 0x1.236b96c4d5f46p-19, 0x1.223142419a46p-19, 0x1.20efc2e8a2e3p-19, 0x1.1fa7401c11914p-19, 0x1.1e57e0f2202c4p-19, 0x1.1d01cc346799bp-19, 0x1.1ba5285f4f18ep-19, 0x1.1a421ba0fc2b5p-19, 0x1.18d8cbd80e08fp-19, 0x1.17695e93edc0bp-19, 0x1.15f3f9133ab2dp-19, 0x1.1478c0437fa04p-19, 0x1.12f7d8c03ffap-19, 0x1.117166d339989p-19, 0x1.0fe58e72e9ffdp-19, 0x1.0e54734268533p-19, 0x1.0cbe3890d2e9cp-19, 0x1.0b230159429fdp-19, 0x1.0982f041d6fefp-19, 0x1.07de279b8a6e6p-19, 0x1.0634c9618f0fap-19, 0x1.0486f7398333ep-19, 0x1.02d4d272e38c6p-19, 0x1.011e7c06bdebfp-19, 0x1.fec8292e6f494p-20, 0x1.fb4b78df7be82p-20, 0x1.f7c727097ac1fp-20, 0x1.f43b72e648208p-20, 0x1.f0a89b0164f24p-20, 0x1.ed0edd373519dp-20, 0x1.e96e76b4a4592p-20, 0x1.e5c7a3f76244fp-20, 0x1.e21aa0ceb6686p-20, 0x1.de67a859d7fe7p-20, 0x1.daaef50838e26p-20, 0x1.d6f0c09a16d48p-20, 0x1.d32d442115f81p-20, 0x1.cf64b7fed7f5ep-20, 0x1.cb9753e664d9ap-20, 0x1.c7c54edc67057p-20, 0x1.c3eedf36ca59ap-20, 0x1.c0143a9d74ac7p-20, 0x1.bc35960a32304p-20, 0x1.b85325c956dc7p-20, 0x1.b46d1d7a8f1b2p-20, 0x1.b083b0107b7b8p-20, 0x1.ac970fd1ce9e1p-20, 0x1.a8a76e597a2bdp-20, 0x1.a4b4fc9780ab1p-20, }}, 
      {{0x1.544372f998b2ap-7, 0x1.545c17e1ec502p-6, 0x1.fec66d5e7af3ap-6, 0x1.54bac23f2388bp-5, 0x1.aa3d4ddb957a3p-5, 0x1.fff14c898fbfp-5, 0x1.2aed5d9611b5bp-4, 0x1.55fd7877b27b4p-4, 0x1.8128438ab1abep-4, 0x1.ac6baa653224ep-4, 0x1.d7c43dd029d4bp-4, 0x1.0196a05fe3fbcp-3, 0x1.17505d48aaad4p-3, 0x1.2d0bc6a11065cp-3, 0x1.42c4c73e813c8p-3, 0x1.5876d14261e7dp-3, 0x1.6e1cec14625fap-3, 0x1.83b1c28a79a16p-3, 0x1.992fb0f7abc21p-3, 0x1.ae90d2e95f802p-3, 0x1.c3cf1067f761p-3, 0x1.d8e42a9aadab1p-3, 0x1.edc9c7b80cda2p-3, 0x1.013cbf1a2a1cdp-2, 0x1.0b766f92ac29ap-2, 0x1.158ebfec4961fp-2, 0x1.1f82814df78b2p-2, 0x1.294e8f5e69995p-2, 0x1.32efd3e186eeap-2, 0x1.3c6349f764e85p-2, 0x1.45a60100d7b3dp-2, 0x1.4eb51f2e05281p-2, 0x1.578de3bb8248ep-2, 0x1.602da8e2afa2cp-2, 0x1.6891e581f404p-2, 0x1.70b82e817d002p-2, 0x1.789e37f90de3ap-2, 0x1.8041d61b5f942p-2, 0x1.87a0fdeb61b6dp-2, 0x1.8eb9c5bfa910bp-2, 0x1.958a659825d15p-2, 0x1.9c11374a244abp-2, 0x1.a24cb6866fecap-2, 0x1.a83b80bd52e45p-2, 0x1.addc54e3f94bap-2, 0x1.b32e131e9c856p-2, 0x1.b82fbc52ae168p-2, 0x1.bce071a3fece9p-2, 0x1.c13f73dfc1297p-2, 0x1.c54c22d80289dp-2, 0x1.c905fcb20d238p-2, 0x1.cc6c9d29f32c2p-2, 0x1.cf7fbccd44919p-2, 0x1.d23f302ed3001p-2, 0x1.d4aae7151dac9p-2, 0x1.d6c2eba4ec50ap-2, 0x1.d8876189527c9p-2, 0x1.d9f8851a4b265p-2, 0x1.db16aa82d9841p-2, 0x1.dbe23ce78561bp-2, 0x1.dc5bbd8de2dc8p-2, 0x1.dc83c305b86b4p-2, 0x1.dc5af85432063p-2, 0x1.dbe21c218707fp-2, 0x1.db19ffe94f086p-2, 0x1.da03872dc10fep-2, 0x1.d89fa6adfd3fbp-2, 0x1.d6ef639f75294p-2, 0x1.d4f3d2ea80e7ep-2, 0x1.d2ae186a20fcep-2, 0x1.d01f662ee8f89p-2, 0x1.cd48fbc5062f3p-2, 0x1.ca2c257d5c517p-2, 0x1.c6ca3bb99f47ap-2, 0x1.c324a23b61839p-2, 0x1.bf3cc77604507p-2, 0x1.bb1423e379dafp-2, 0x1.b6ac395bcadecp-2, 0x1.b206926f5c03ap-2, 0x1.ad24c1c3dced9p-2, 0x1.a8086173e6461p-2, 0x1.a2b312713ca1ap-2, 0x1.9d267be9b8b18p-2, 0x1.97644aaed8477p-2, 0x1.916e309ff90b1p-2, 0x1.8b45e41747708p-2, 0x1.84ed1f5966558p-2, 0x1.7e65a007ddc8p-2, 0x1.77b126965bf67p-2, 0x1.70d175c2d3468p-2, 0x1.69c852108b91ep-2, 0x1.629781462aed3p-2, 0x1.5b40c9eed05d7p-2, 0x1.53c5f2de4a99dp-2, 0x1.4c28c2b87ce09p-2, 0x1.446aff7bff12ep-2, 0x1.3c8e6e100dc11p-2, 0x1.3494d1d5d051ap-2, 0x1.2c7fec3d09ecbp-2, 0x1.24517c5c3df9bp-2, 0x1.1c0b3e8c51dacp-2, 0x1.13aeec07b9f9bp-2, 0x1.0b3e3a8d33e7bp-2, 0x1.02badc061c85ap-2, 0x1.f44cfc60b6539p-3, 0x1.e3059497e95a7p-3, 0x1.d1a2c9986df86p-3, 0x1.c027da1919fccp-3, 0x1.ae97fa11d6e5ap-3, 0x1.9cf65233be348p-3, 0x1.8b45ff685dfd4p-3, 0x1.798a12581dc43p-3, 0x1.67c58ef7b9fe7p-3, 0x1.55fb6c1cbd939p-3, 0x1.442e9318defd4p-3, 0x1.3261df5c37579p-3, 0x1.20981e1e2cae7p-3, 0x1.0ed40e0cfa6b7p-3, 0x1.fa30be0764244p-4, 0x1.d6cf638d3ad57p-4, 0x1.b3892f8bb50f8p-4, 0x1.906325cc163cbp-4, 0x1.6d622a9df5378p-4, 0x1.4a8b02801df93p-4, 0x1.27e251d4bc457p-4, 0x1.056c9ca08218bp-4, 0x1.c65c8ca8efbafp-5, 0x1.8257234441203p-5, 0x1.3ed140b34ecc6p-5, 0x1.f7a5cd46d776dp-6, 0x1.72c7a962ab1eap-6, 0x1.de2e2176ae274p-7, 0x1.b289e8965e5c8p-8, -0x1.488278921791bp-10, -0x1.28b6ca5a9522dp-7, -0x1.12ca52e900cbap-6, -0x1.8fc8879a27a4fp-6, -0x1.05a50e1a1d898p-5, -0x1.42a1d57f85345p-5, -0x1.7ed5275dcf292p-5, -0x1.ba39d0d83dbb7p-5, -0x1.f4cade4f39ac8p-5, -0x1.1741cd67cd643p-4, -0x1.33afc7bbae02cp-4, -0x1.4fad41682d716p-4, -0x1.6b383c10c86c2p-4, -0x1.864ed75bb9ce6p-4, -0x1.a0ef5091f17e6p-4, -0x1.bb18023b1d3ffp-4, -0x1.d4c763b5ff118p-4, -0x1.edfc08cd50ef5p-4, -0x1.035a50a4b16cep-3, -0x1.0f77fc3f69efbp-3, -0x1.1b567a6d34243p-3, -0x1.26f54bb53256cp-3, -0x1.3253fdb2c5f1ep-3, -0x1.3d722ad7f256dp-3, -0x1.484f7a2ed1562p-3, -0x1.52eb9f1a1e9p-3, -0x1.5d465914f41f1p-3, -0x1.675f7371dadbcp-3, -0x1.7136c51931bd7p-3, -0x1.7acc304714cefp-3, -0x1.841fa248c2d61p-3, -0x1.8d311339a8612p-3, -0x1.960085c014a0dp-3, -0x1.9e8e06c9b7b9ap-3, -0x1.a6d9ad47e8c8bp-3, -0x1.aee399ebdc143p-3, -0x1.b6abf6e2c09aap-3, -0x1.be32f791ead33p-3, -0x1.c578d8530ade6p-3, -0x1.cc7dde3085e5p-3, -0x1.d34256a1fc53ep-3, -0x1.d9c6974906a07p-3, -0x1.e00afdae4218dp-3, -0x1.e60feefea7972p-3, -0x1.ebd5d7c943d76p-3, -0x1.f15d2bbd5ce05p-3, -0x1.f6a66569047dep-3, -0x1.fbb205f82ead1p-3, -0x1.00404a7a258bdp-2, -0x1.0289500237d95p-2, -0x1.04b45d570ea53p-2, -0x1.06c1bf0b52f4dp-2, -0x1.08b1c4629bdd7p-2, -0x1.0a84bf32cf70bp-2, -0x1.0c3b03c5db9e3p-2, -0x1.0dd4e8bbd1298p-2, -0x1.0f52c6ed5e7ffp-2, -0x1.10b4f94eafb6cp-2, -0x1.11fbdcd2b8167p-2, -0x1.1327d04ee2907p-2, -0x1.1439345f325bp-2, -0x1.15306b4ad09f7p-2, -0x1.160dd8e90abfbp-2, -0x1.16d1e286c5987p-2, -0x1.177ceecc638d6p-2, -0x1.180f65a42154dp-2, -0x1.1889b020ec96dp-2, -0x1.18ec3865b14b2p-2, -0x1.1937698d22addp-2, -0x1.196baf9200391p-2, -0x1.19897737d869p-2, -0x1.19912df444e13p-2, -0x1.198341d8a9a2dp-2, -0x1.1960217c6fd86p-2, -0x1.19283be7c17dep-2, -0x1.18dc007ec424p-2, -0x1.187bdeed5500cp-2, -0x1.180847134176bp-2, -0x1.1781a8f106a15p-2, -0x1.16e8749508f34p-2, -0x1.163d1a0952d87p-2, -0x1.15800941cfd04p-2, -0x1.14b1b20b07829p-2, -0x1.13d283f95860cp-2, -0x1.12e2ee58b2414p-2, -0x1.11e3601ccd02bp-2, -0x1.10d447d1de48dp-2, -0x1.0fb6138dcacf1p-2, -0x1.0e8930e1d746fp-2, -0x1.0d4e0cccce32dp-2, -0x1.0c0513ada77eap-2, -0x1.0aaeb136a201fp-2, -0x1.094b5060dcfd5p-2, -0x1.07db5b6061be1p-2, -0x1.065f3b98a7866p-2, -0x1.04d759918aafap-2, -0x1.03441cecb8595p-2, -0x1.01a5ec5b8b1f9p-2, -0x1.fffa5b2ab1b22p-3, -0x1.fc948a9c62b9dp-3, -0x1.f91b2e5c0e8cfp-3, -0x1.f58f0b9095444p-3, -0x1.f1f0e527d427p-3, -0x1.ee417bc77b121p-3, -0x1.ea818dbeb88p-3, -0x1.e6b1d6f8aa988p-3, -0x1.e2d310ef98cd3p-3, -0x1.dee5f2a0f9887p-3, -0x1.daeb30823174ap-3, -0x1.d6e37c7616eb3p-3, -0x1.d2cf85c32c587p-3, -0x1.ceaff90a951ap-3, -0x1.ca85803fbc0b7p-3, -0x1.c650c2a0a75b8p-3, -0x1.c21264aeffd18p-3, -0x1.bdcb0829bbaf3p-3, -0x1.b97b4c0768c73p-3, -0x1.b523cc71268p-3, -0x1.b0c522be2d75p-3, -0x1.ac5fe56ffb939p-3, -0x1.a7f4a82f0eb84p-3, -0x1.a383fbc835b4bp-3, -0x1.9f0e6e2a6fd59p-3, -0x1.9a948a65521b7p-3, -0x1.9616d8a7f5abap-3, -0x1.9195de406e988p-3, -0x1.8d121d9bb7a5ep-3, -0x1.888c1646203cdp-3, -0x1.840444ec311e7p-3, -0x1.7f7b235c04512p-3, -0x1.7af128870b017p-3, -0x1.7666c88448601p-3, -0x1.71dc7492e719p-3, -0x1.6d529b1d466b6p-3, -0x1.68c9a7bc582ep-3, -0x1.6442033b68613p-3, -0x1.5fbc139c3cb6cp-3, -0x1.5b383c1b87aa2p-3, -0x1.56b6dd35b46fap-3, -0x1.523854ac03d03p-3, -0x1.4dbcfd89f2075p-3, -0x1.4945302ae845fp-3, -0x1.44d1424039db9p-3, -0x1.406186d75c4dap-3, -0x1.3bf64e6067905p-3, -0x1.378fe6b4ce8aap-3, -0x1.332e9b1e544b7p-3, -0x1.2ed2b45e398bp-3, -0x1.2a7c78b49a8c7p-3, -0x1.262c2be800e58p-3, -0x1.21e20f4d27692p-3, -0x1.1d9e61cede9ep-3, -0x1.19615ff6289f4p-3, -0x1.152b43f272041p-3, -0x1.10fc45a1ed159p-3, -0x1.0cd49a9a18ff7p-3, -0x1.08b4763058d5fp-3, -0x1.049c0982b14fap-3, -0x1.008b8380a0018p-3, -0x1.f90621e7fdd7cp-4, -0x1.f105b9141d751p-4, -0x1.e9161db9058f9p-4, -0x1.e1379cf54b80dp-4, -0x1.d96a7fe523434p-4, -0x1.d1af0bb4cbe8bp-4, -0x1.ca0581b3329b4p-4, -0x1.c26e1f64894c8p-4, -0x1.bae91e94fd1p-4, -0x1.b376b56b6ab2dp-4, -0x1.ac17167c24eb4p-4, -0x1.a4ca70dbaff9dp-4, -0x1.9d90f03180cf7p-4, -0x1.966abccabe22bp-4, -0x1.8f57fbacf39f5p-4, -0x1.8858cea8b703p-4, -0x1.816d546c495b2p-4, -0x1.7a95a8962137p-4, -0x1.73d1e3c7636f5p-4, -0x1.6d221bb64758ap-4, -0x1.66866340600b2p-4, -0x1.5ffeca7ccf531p-4, -0x1.598b5ece56acfp-4, -0x1.532c2af54db18p-4, -0x1.4ce137217308fp-4, -0x1.46aa89039d869p-4, -0x1.408823df4718p-4, -0x1.3a7a089bec99cp-4, -0x1.348035d64be6p-4, -0x1.2e9aa7f170fa4p-4, -0x1.28c959279b2eap-4, -0x1.230c419af0d0dp-4, -0x1.1d635766074a9p-4, -0x1.17ce8eac39801p-4, -0x1.124dd9a9c9ed9p-4, -0x1.0ce128c3d7085p-4, -0x1.07886a9816188p-4, -0x1.02438c0c5d2b2p-4, -0x1.fa24f0bbe970fp-5, -0x1.efea32616528cp-5, -0x1.e5d6ad3bbe12dp-5, -0x1.dbea2e85bca1cp-5, -0x1.d224809f45f54p-5, -0x1.c8856b29cd41dp-5, -0x1.bf0cb3244e4c6p-5, -0x1.b5ba1b06d2bc2p-5, -0x1.ac8d62dd82f5bp-5, -0x1.a38648633ea2fp-5, -0x1.9aa4871bb5db6p-5, -0x1.91e7d86d19ce7p-5, -0x1.894ff3b945f72p-5, -0x1.80dc8e7672bd9p-5, -0x1.788d5c4776ce1p-5, -0x1.70620f13836fdp-5, -0x1.685a571d6dcf2p-5, -0x1.6075e31a7ff25p-5, -0x1.58b46048c618p-5, -0x1.51157a84f395fp-5, -0x1.4998dc5fb938dp-5, -0x1.423e2f32ba2dbp-5, -0x1.3b051b34f4e39p-5, -0x1.33ed478ebc631p-5, -0x1.2cf65a6d3e3fcp-5, -0x1.261ff9158b467p-5, -0x1.1f69c7f72d1f4p-5, -0x1.18d36abe43f45p-5, -0x1.125c8465386eap-5, -0x1.0c04b745eda0ep-5, -0x1.05cba52a8a72ap-5, -0x1.ff61debba164ep-6, -0x1.f3686d75efe83p-6, -0x1.e7aa377a57ccep-6, -0x1.dc267d1d1b825p-6, -0x1.d0dc7e2d9ea03p-6, -0x1.c5cb7a12bcea9p-6, -0x1.baf2afe64fa39p-6, -0x1.b0515e8fdb892p-6, -0x1.a5e6c4de801f3p-6, -0x1.9bb221a1fd5a8p-6, -0x1.91b2b3c300edcp-6, -0x1.87e7ba5aa3ffcp-6, -0x1.7e5074c92fd07p-6, -0x1.74ec22cc034b6p-6, -0x1.6bba0492e36cdp-6, -0x1.62b95ad45fe97p-6, -0x1.59e966e19aea9p-6, -0x1.51496ab96192bp-6, -0x1.48d8a91a6de19p-6, -0x1.4096659517a2dp-6, -0x1.3881e49c448d8p-6, -0x1.309a6b95b95a8p-6, -0x1.28df40e9bc57dp-6, -0x1.214fac1213516p-6, -0x1.19eaf5a865f72p-6, -0x1.12b06773ecd14p-6, -0x1.0b9f4c76accdap-6, -0x1.04b6f0f9e8237p-6, -0x1.fbed45344e22ep-7, -0x1.eebb60a52161p-7, -0x1.e1d6d50f7683bp-7, -0x1.d53e4623f6065p-7, -0x1.c8f05a8e3be0dp-7, -0x1.bcebbc073b32bp-7, -0x1.b12f1766a8d3ap-7, -0x1.a5b91cb376a2cp-7, -0x1.9a887f33203fep-7, -0x1.8f9bf57849416p-7, -0x1.84f2397025ca8p-7, -0x1.7a8a086f3d0fdp-7, -0x1.7062233d017e7p-7, -0x1.66794e1ed51d1p-7, -0x1.5cce50e20dc9p-7, -0x1.535ff6e51c7d2p-7, -0x1.4a2d0f2012c0ap-7, -0x1.41346c2c28c9p-7, -0x1.3874e44ac82eep-7, -0x1.2fed516ba5d5bp-7, -0x1.279c91321fa8ap-7, -0x1.1f8184fa25f4p-7, -0x1.179b11dc33614p-7, -0x1.0fe820b0ca397p-7, -0x1.08679e133f57bp-7, -0x1.01187a63efa51p-7, -0x1.f3f35393b26fep-8, -0x1.e61448672ccf3p-8, -0x1.d891caafe5f57p-8, -0x1.cb69d96b7b6bbp-8, -0x1.be9a7b267e8ebp-8, -0x1.b221bdfa73fdfp-8, -0x1.a5fdb78a740b1p-8, -0x1.9a2c84ff4575cp-8, -0x1.8eac4b0262e6dp-8, -0x1.837b35b82c784p-8, -0x1.789778b937c6cp-8, -0x1.6dff4f0af2e84p-8, -0x1.63b0fb1767541p-8, -0x1.59aac6a43149fp-8, -0x1.4feb02c912743p-8, -0x1.467007e576e29p-8, -0x1.3d383595788afp-8, -0x1.3441f2a66858dp-8, -0x1.2b8bad0a8c03p-8, -0x1.2313d9cc65f18p-8, -0x1.1ad8f50172a6fp-8, -0x1.12d981bc5bad8p-8, -0x1.0b1409fec37f4p-8, -0x1.03871eaa6ebc7p-8, -0x1.f862aee47d51cp-9, -0x1.ea22a594f419ap-9, -0x1.dc4b6bb1f8608p-9, -0x1.ceda58c99d502p-9, -0x1.c1ccd18afc59ap-9, -0x1.b52047a447745p-9, -0x1.a8d239a01b653p-9, -0x1.9ce032c283c65p-9, -0x1.9147cae545487p-9, -0x1.8606a653b2dc5p-9, -0x1.7b1a75a5f10eap-9, -0x1.7080f59c750f7p-9, -0x1.6637eef9f017fp-9, -0x1.5c3d365e33124p-9, -0x1.528eac20040a7p-9, -0x1.492a3c269ced4p-9, -0x1.400dddc377674p-9, -0x1.3737938b4c69bp-9, -0x1.2ea56b2f56ad5p-9, -0x1.26557d5649c5ap-9, -0x1.1e45ed74eaa0dp-9, -0x1.1674e9a7018ap-9, -0x1.0ee0aa87eeb88p-9, -0x1.0787730b23d94p-9, -0x1.00679054d3139p-9, -0x1.f2feb32538b9fp-10, -0x1.e59a5fa7c8389p-10, -0x1.d89efbc55c2d1p-10, -0x1.cc097038aaeb7p-10, -0x1.bfd6b89463567p-10, -0x1.b403e2f533cb1p-10, -0x1.a88e0fb3ec11ep-10, -0x1.9d72711779086p-10, -0x1.92ae4b08182a3p-10, -0x1.883ef2c2075f2p-10, -0x1.7e21ce8871962p-10, -0x1.7454555ab37a5p-10, -0x1.6ad40ea6c8d41p-10, -0x1.619e91ff6a8a8p-10, -0x1.58b186d0add76p-10, -0x1.500aa4159d6dbp-10, -0x1.47a7b00ef99ccp-10, -0x1.3f867ff9ba86ap-10, -0x1.37a4f7c6bb936p-10, -0x1.300109d2854a7p-10, -0x1.2898b69e0dbecp-10, -0x1.216a0c8850066p-10, -0x1.1a732788141c6p-10, -0x1.13b230e6401fp-10, -0x1.0d255ef9f4eb3p-10, -0x1.06caf4e3e3702p-10, -0x1.00a1424bca43p-10, -0x1.f54d463a5d033p-11, -0x1.e9b2fe8cd7241p-11, -0x1.de7094ee0d0c5p-11, -0x1.d38307c02675ap-11, -0x1.c8e76be8ac0cbp-11, -0x1.be9aec53b8347p-11, -0x1.b49ac977c122p-11, -0x1.aae458dbf0381p-11, -0x1.a175049f67662p-11, -0x1.984a4b022c847p-11, -0x1.8f61bdf02bf0cp-11, -0x1.86b9028d475b8p-11, -0x1.7e4dd0c3c4cafp-11, -0x1.761df2d2db1e2p-11, -0x1.6e2744e1336bcp-11, -0x1.6667b48f5a9ddp-11, -0x1.5edd408bba6a6p-11, -0x1.5785f829b91dbp-11, -0x1.505ffaf8fab87p-11, -0x1.4969785f3d09ap-11, -0x1.42a0af3325d97p-11, -0x1.3c03ed596e976p-11, -0x1.35918f62ddd7dp-11, -0x1.2f48002d1b88p-11, -0x1.2925b8836b759p-11, -0x1.23293ec2c814cp-11, -0x1.1d51267ec861fp-11, -0x1.179c102755d5cp-11, -0x1.1208a8b236c6ep-11, -0x1.0c95a9438b421p-11, -0x1.0741d6d9cbad7p-11, -0x1.020c01faa3a49p-11, -0x1.f9e60cc22b324p-12, -0x1.efeb955babcd2p-12, -0x1.e62680318bcf8p-12, -0x1.dc94c4477c3b8p-12, -0x1.d3346c9f3ea89p-12, -0x1.ca0397a401733p-12, -0x1.c1007699b13bcp-12, -0x1.b8294d0efaff5p-12, -0x1.af7c7052fccabp-12, -0x1.a6f846ec2c468p-12, -0x1.9e9b481399416p-12, -0x1.9663fb32585e1p-12, -0x1.8e50f761b3f9ap-12, -0x1.8660e2eedf15dp-12, -0x1.7e9272df47b0fp-12, -0x1.76e46a7b99d6p-12, -0x1.6f559ad84c2bcp-12, -0x1.67e4e2651b61dp-12, -0x1.60912c7cfc0fep-12, -0x1.595970f8def5ep-12, -0x1.523cb3c5663bcp-12, -0x1.4b3a047abfaf3p-12, -0x1.44507df73334cp-12, -0x1.3d7f45fbd05c2p-12, -0x1.36c58ccbdc506p-12, -0x1.30228cce4c00cp-12, -0x1.29958a326147ap-12, -0x1.231dd2941b7bp-12, -0x1.1cbabca6a82adp-12, -0x1.166ba7ddc19a3p-12, -0x1.102ffc1b2f1e6p-12, -0x1.0a07295d3b626p-12, -0x1.03f0a7703557ap-12, -0x1.fbd7eb4337473p-13, -0x1.eff134e96d4bap-13, -0x1.e42c46b53eae4p-13, -0x1.d88848d5c05e8p-13, -0x1.cd04703d0713p-13, -0x1.c19ffe1aa9f8ep-13, -0x1.b65a3f592aae9p-13, -0x1.ab328c1ef05f9p-13, -0x1.a028475497786p-13, -0x1.953ade2bae55ep-13, -0x1.8a69c7ac4f44p-13, -0x1.7fb4844277d42p-13, -0x1.751a9d52db225p-13, -0x1.6a9ba4cea162p-13, -0x1.603734ceea67cp-13, -0x1.55ecef2e97bf9p-13, -0x1.4bbc7d2b3b38cp-13, -0x1.41a58f06a87a1p-13, -0x1.37a7dbacd08fep-13, -0x1.2dc3205b2b989p-13, -0x1.23f7204c39facp-13, -0x1.1a43a46488ea3p-13, -0x1.10a87ae397857p-13, -0x1.07257716c82a8p-13, -0x1.fb74e21e3d8b4p-14, -0x1.e8ce8ab172c0bp-14, -0x1.d657a96e5ec92p-14, -0x1.c41007bf44012p-14, -0x1.b1f7767573ba5p-14, -0x1.a00dcd49f8ff7p-14, -0x1.8e52ea6628bdep-14, -0x1.7cc6b1efd00d8p-14, -0x1.6b690d992247bp-14, -0x1.5a39ec35b6b62p-14, -0x1.4939415324eb7p-14, -0x1.386704d53241dp-14, -0x1.27c332987fe15p-14, -0x1.174dca13a2bb3p-14, -0x1.0706ce00ed8edp-14, -0x1.eddc881302b51p-15, -0x1.ce0868e825f4bp-15, -0x1.ae9153b0bdd37p-15, -0x1.8f7761a6fc67p-15, -0x1.70baaf83f651p-15, -0x1.525b5cf742d7bp-15, -0x1.34598c22b9799p-15, -0x1.16b5612179041p-15, -0x1.f2de032230d9cp-16, -0x1.b90d2840be7bcp-16, -0x1.7ff880488f8a4p-16, -0x1.47a05a643811cp-16, -0x1.1005057dd1e3p-16, -0x1.b24d9f0c69d9dp-17, -0x1.460c099151c94p-17, -0x1.b68bbd22e3ffbp-18, -0x1.c7eeb105d31e7p-19, -0x1.45bf3c0d05ef8p-22, 0x1.708ae5537a123p-19, 0x1.81ebee655f2d5p-18, 0x1.244b5384866b6p-17, 0x1.86226d016a845p-17, 0x1.e67aee1780799p-17, 0x1.22aa46da078e4p-16, 0x1.51578803226f8p-16, 0x1.7f45238f7075p-16, 0x1.ac7309c9eb41ep-16, 0x1.d8e1328b37926p-16, 0x1.0247cebc54623p-15, 0x1.17bf29239c646p-15, 0x1.2cd6b076e5bb2p-15, 0x1.418e70ed91a14p-15, 0x1.55e67b10a66dep-15, 0x1.69dee3cdb69c1p-15, 0x1.7d77c4890cd44p-15, 0x1.90b13b2f3a27cp-15, 0x1.a38b6a3d92f67p-15, 0x1.b60678d13501ap-15, 0x1.c82292ae0837p-15, 0x1.d9dfe84464e2fp-15, 0x1.eb3eaeb83dea2p-15, 0x1.fc3f1fe16aa5ep-15, 0x1.0670bd27faaf6p-14, 0x1.0e9300a51b5b6p-14, 0x1.16867e6544d5ep-14, 0x1.1e4b5cbe07489p-14, 0x1.25e1c45b5c96ep-14, 0x1.2d49e03b8f34dp-14, 0x1.3483ddac907d2p-14, 0x1.3b8fec4705bd8p-14, 0x1.426e3de933925p-14, 0x1.491f06b1bc968p-14, 0x1.4fa27cf8d27ebp-14, 0x1.55f8d94a0f759p-14, 0x1.5c22565dbcd5ap-14, 0x1.621f3110d376ap-14, 0x1.67efa85ce0f58p-14, 0x1.6d93fd505f8f5p-14, 0x1.730c730577658p-14, 0x1.78594e98c5b49p-14, 0x1.7d7ad72048121p-14, 0x1.827155a1c1757p-14, 0x1.873d150888d52p-14, 0x1.8bde621baf7f1p-14, 0x1.90558b72c1505p-14, 0x1.94a2e16b8a508p-14, 0x1.98c6b61f8b3cep-14, 0x1.9cc15d57f19c2p-14, 0x1.a0932c836cd8p-14, 0x1.a43c7aaa42c7cp-14, 0x1.a7bda062c74efp-14, 0x1.ab16f7c5e8295p-14, 0x1.ae48dc6336d45p-14, 0x1.b153ab34d9cadp-14, 0x1.b437c294653cep-14, 0x1.b6f5822e88bd7p-14, 0x1.b98d4af6df2a6p-14, 0x1.bbff7f1c2c77ap-14, 0x1.be4c81fc3c00dp-14, 0x1.c074b817c0a76p-14, 0x1.c27887063fc07p-14, 0x1.c458556a2ca59p-14, 0x1.c6148ae51816cp-14, 0x1.c7ad900b5fb5bp-14, 0x1.c923ce585f346p-14, 0x1.ca77b022914ep-14, 0x1.cba9a08f617bep-14, 0x1.ccba0b8841ed3p-14, 0x1.cda95dae0824p-14, 0x1.ce78044e372abp-14, 0x1.cf266d56e17fbp-14, 0x1.cfb5074b976b2p-14, 0x1.d024413a34e7ap-14, 0x1.d0748aaef7cc1p-14, 0x1.d0a653aa3616cp-14, 0x1.d0ba0c9548a93p-14, 0x1.d0b0263789d4p-14, 0x1.d08911aba3272p-14, 0x1.d045405549248p-14, 0x1.cfe523d665087p-14, 0x1.cf692e052a8f4p-14, 0x1.ced1d0e1b5084p-14, 0x1.ce1f7e8c20b56p-14, 0x1.cd52a93aefd48p-14, 0x1.cc6bc331566f7p-14, 0x1.cb6b3eb557567p-14, 0x1.ca518e06ef514p-14, 0x1.c91f235671268p-14, 0x1.c7d470bbb9ce9p-14, 0x1.c671e82d7ddf9p-14, 0x1.c4f7fb787dc04p-14, 0x1.c3671c36c844ep-14, 0x1.c1bfbbc7be0cbp-14, 0x1.c0024b47f0d83p-14, 0x1.be2f3b88bc9dfp-14, 0x1.bc46fd08b196ap-14, 0x1.ba49ffec01e3ep-14, 0x1.b838b3f51a72bp-14, 0x1.b613887d19a3fp-14, 0x1.b3daec6cc2417p-14, 0x1.b18f4e3607926p-14, 0x1.af311bcc896b2p-14, 0x1.acc0c29f49b09p-14, 0x1.aa3eaf928b4a7p-14, 0x1.a7ab4ef90ef3ep-14, 0x1.a5070c8e944f3p-14, 0x1.a252537184c8p-14, 0x1.9f8d8e1da20bep-14, 0x1.9cb92665f10ecp-14, 0x1.99d5856fbfe1fp-14, 0x1.96e313ad5efc1p-14, 0x1.93e238d90c394p-14, 0x1.90d35befef26p-14, 0x1.8db6e32dd9d48p-14, 0x1.8a8d340832994p-14, 0x1.8756b329d5a97p-14, 0x1.8413c46efbf25p-14, 0x1.80c4cae09a78ap-14, 0x1.7d6a28b13e5d2p-14, 0x1.7a043f38dca4ep-14, 0x1.76936ef145942p-14, 0x1.731817728df1fp-14, 0x1.6f92977036881p-14, 0x1.6c034cb5ceddap-14, 0x1.686a94239fe04p-14, 0x1.64c8c9ac35062p-14, 0x1.611e4851adc74p-14, 0x1.5d6b6a230b4d3p-14, 0x1.59b0883988f2ap-14, 0x1.55edfab6bb18fp-14, 0x1.522418c225155p-14, 0x1.4e5338878004cp-14, 0x1.4a7baf343eb53p-14, 0x1.469dd0f650c62p-14, 0x1.42b9f0fa58e99p-14, 0x1.3ed06169e2106p-14, 0x1.3ae1736a7c9d4p-14, 0x1.36ed771c55beap-14, 0x1.32f4bb98a97ebp-14, 0x1.2ef78ef10a4bap-14, 0x1.2af63e2e6749ap-14, 0x1.26f115503bb7ap-14, 0x1.22e85f4be2b78p-14, 0x1.1edc660be40ffp-14, 0x1.1acd726f724ap-14, 0x1.16bbcc49f8a96p-14, 0x1.12a7ba632de83p-14, 0x1.0e9182766c80bp-14, 0x1.0a796932d0941p-14, 0x1.065fb23af93a5p-14, 0x1.0244a025832f8p-14, 0x1.fc50e8f9f0de9p-15, 0x1.f416df80347dap-15, 0x1.ebdba2c3faea6p-15, 0x1.e39faf95ad87bp-15, 0x1.db6380b0b4618p-15, 0x1.d3278ebc9328fp-15, 0x1.caec504d91d27p-15, 0x1.c2b239e78144ep-15, 0x1.ba79bdfe70efep-15, 0x1.b2434cf87d0b4p-15, 0x1.aa0f5530180fp-15, 0x1.a1de42f576975p-15, 0x1.99b080913e1a3p-15, 0x1.91867646cb20ep-15, 0x1.89608a56738b3p-15, 0x1.813f20ff9661dp-15, 0x1.79229c83af6d4p-15, 0x1.710b5d2932983p-15, 0x1.68f9c13e14748p-15, 0x1.60ee251ad5885p-15, 0x1.58e8e3259d19fp-15, 0x1.50ea53d56f5d2p-15, 0x1.48f2cdb561771p-15, 0x1.4102a56721a6ap-15, 0x1.391a2da78b49p-15, 0x1.3139b751e326bp-15, 0x1.296191630a631p-15, 0x1.219208fce6056p-15, 0x1.19cb696af3b5ep-15, 0x1.120dfc25561fdp-15, 0x1.0a5a08d50f9bep-15, 0x1.02afd5579384ap-15, 0x1.f61f4b86b022bp-16, 0x1.e6f378d633b05p-16, 0x1.d7dcb3c4ed557p-16, 0x1.c8db7a03c798p-16, 0x1.b9f045d6a456bp-16, 0x1.ab1b8e1ae9903p-16, 0x1.9c5dc651d758p-16, 0x1.8db75ea82ac24p-16, 0x1.7f28c3ff33e91p-16, 0x1.70b25ff6948e5p-16, 0x1.625498f38f71fp-16, 0x1.540fd22a74165p-16, 0x1.45e46ba771094p-16, 0x1.37d2c2579f19dp-16, 0x1.29db30138c9fap-16, 0x1.1bfe0ba7311adp-16, 0x1.0e3ba8da656b5p-16, 0x1.0094587a77365p-16, 0x1.e610d0c87d739p-17, 0x1.cb30471a964ecp-17, 0x1.b087a41931a6ap-17, 0x1.9617724738d4dp-17, 0x1.7be03690c5b69p-17, 0x1.61e2705dc3725p-17, 0x1.481e99a451b3cp-17, 0x1.2e9526fa07acep-17, 0x1.154687a93d5eap-17, 0x1.f8664b83ffd39p-18, 0x1.c6b6cc59ea1dp-18, 0x1.957f517dd29a5p-18, 0x1.64c09098a38f8p-18, 0x1.347b357166354p-18, 0x1.04afe2178aa37p-18, 0x1.aabe5e0fa2e65p-19, 0x1.4d1356a310c6bp-19, 0x1.e0bf72ee48fap-20, 0x1.2948ff94541d7p-20, 0x1.cf14871733ep-22, -0x1.fe53dadd11a3cp-23, -0x1.e2c89f14f1a4fp-21, -0x1.a106f4c90ff6p-20, -0x1.27589364ff7e9p-19, -0x1.7d30e132af54bp-19, -0x1.d20be285c70aap-19, -0x1.12f4930c3dcdcp-18, -0x1.3c64252f9a09p-18, -0x1.65547ea3b64bdp-18, -0x1.8dc57df5254aep-18, -0x1.b5b7092267d6dp-18, -0x1.dd290d7f6a4aep-18, -0x1.020dbfc79060fp-17, -0x1.15472d6ece2d7p-17, -0x1.2840d0f14c47p-17, -0x1.3afaaeefba488p-17, -0x1.4d74cf5de96dp-17, -0x1.5faf3d71343e1p-17, -0x1.71aa07923f741p-17, -0x1.83653f4c83503p-17, -0x1.94e0f93be6122p-17, -0x1.a61d4cfc42265p-17, -0x1.b71a551b9fa68p-17, -0x1.c7d82f093583p-17, -0x1.d856fb0594fdfp-17, -0x1.e896dc13db70bp-17, -0x1.f897f7e7e9b26p-17, -0x1.042d3b6cea711p-16, -0x1.0bef41ea798c3p-16, -0x1.13922624e7dd1p-16, -0x1.1b16000e60464p-16, -0x1.227ae8cdf263cp-16, -0x1.29c0fab5c637bp-16, -0x1.30e8513cba9fp-16, -0x1.37f108f84275fp-16, -0x1.3edb3f9468524p-16, -0x1.45a713cc8cdep-16, -0x1.4c54a564b5503p-16, -0x1.52e41522e061p-16, -0x1.595584c818f3dp-16, -0x1.5fa91709a1409p-16, -0x1.65deef8ae08b5p-16, -0x1.6bf732d63ab7fp-16, -0x1.71f20656d8892p-16, -0x1.77cf905205f38p-16, -0x1.7d8ff7e13e189p-16, -0x1.833364ebe68ep-16, -0x1.88ba00208eb44p-16, -0x1.8e23f2ef46a26p-16, -0x1.93716784977adp-16, -0x1.98a288c1fd51dp-16, -0x1.9db7823805e54p-16, -0x1.a2b0802298babp-16, -0x1.a78daf619ad17p-16, -0x1.ac4f3d72ddcaep-16, -0x1.b0f5586e15e3fp-16, -0x1.b5802efe6c296p-16, -0x1.b9eff05d73ea9p-16, -0x1.be44cc4e110a7p-16, -0x1.c27ef3166951cp-16, -0x1.c69e957bd27aep-16, -0x1.caa3e4bd0c4b7p-16, -0x1.ce8f128d2068cp-16, -0x1.d260510f7ae7bp-16, }}, 
      {{0x1.26a9abc5eeac6p-7, 0x1.26b4640d8cc66p-6, 0x1.ba2900359088dp-6, 0x1.26de20d42f89cp-5, 0x1.70bb585781499p-5, 0x1.baafc1b1cca34p-5, 0x1.025f1a2494bc9p-4, 0x1.2774580ecaba9p-4, 0x1.4c98282c7a173p-4, 0x1.71caa1c35cf6ep-4, 0x1.970b645e7717dp-4, 0x1.bc59988001384p-4, 0x1.e1b3f21966443p-4, 0x1.038c5a3c298a9p-3, 0x1.1642dbaf70b5p-3, 0x1.28fc36827bdbcp-3, 0x1.3bb6f4641953ep-3, 0x1.4e71732bc2081p-3, 0x1.6129e897462c7p-3, 0x1.73de661da8bdcp-3, 0x1.868cdcc7840d8p-3, 0x1.9933210017754p-3, 0x1.abceee5478d48p-3, 0x1.be5deb189bd56p-3, 0x1.d0ddabebcbc5bp-3, 0x1.e34bb717a0fbdp-3, 0x1.f5a587c614a4dp-3, 0x1.03f448861e96ap-2, 0x1.0d09206424703p-2, 0x1.161001290a012p-2, 0x1.1f07a07f19d89p-2, 0x1.27eeb539f859ep-2, 0x1.30c3f86b7342dp-2, 0x1.39862662b473dp-2, 0x1.4233ff96733a1p-2, 0x1.4acc497ae52f7p-2, 0x1.534dcf443346ap-2, 0x1.5bb7629645af5p-2, 0x1.6407dc22be129p-2, 0x1.6c3e1c360237ap-2, 0x1.74590b3438ae7p-2, 0x1.7c579a070c5f5p-2, 0x1.8438c27d25cep-2, 0x1.8bfb879c2937cp-2, 0x1.939ef5e61c0b9p-2, 0x1.9b222392ff1fcp-2, 0x1.a28430bf72f3ap-2, 0x1.a9c447912e199p-2, 0x1.b0e19c5205fb2p-2, 0x1.b7db6d824a99ap-2, 0x1.beb103e32a7e3p-2, 0x1.c561b279c437fp-2, 0x1.cbecd68b94719p-2, 0x1.d251d794d7eadp-2, 0x1.d890273970b53p-2, 0x1.dea74130e27a9p-2, 0x1.e496ab2de2449p-2, 0x1.ea5df4c1f327ap-2, 0x1.effcb73d822afp-2, 0x1.f572958ce9a93p-2, 0x1.fabf3c12bd5cep-2, 0x1.ffe2607fb2a77p-2, 0x1.026de0d43e147p-1, 0x1.04d593acedf9p-1, 0x1.072831159ae14p-1, 0x1.0965a5a7ead6p-1, 0x1.0b8de2339259ep-1, 0x1.0da0dba5ffadap-1, 0x1.0f9e8af1a866fp-1, 0x1.1186ecf51189ap-1, 0x1.135a02619dcb5p-1, 0x1.1517cfa2363d1p-1, 0x1.16c05cc1d65e3p-1, 0x1.1853b5520a549p-1, 0x1.19d1e85166c4cp-1, 0x1.1b3b081206615p-1, 0x1.1c8f2a2012089p-1, 0x1.1dce67285b5bp-1, 0x1.1ef8dadf117dp-1, 0x1.200ea3e693175p-1, 0x1.210fe3b66316ep-1, 0x1.21fcbe8244583p-1, 0x1.22d55b218115ap-1, 0x1.2399e2f65fa2bp-1, 0x1.244a81d5c8a14p-1, 0x1.24e765ef22368p-1, 0x1.2570bfb4618fep-1, 0x1.25e6c1c255cdep-1, 0x1.2649a0c92f9fdp-1, 0x1.26999375471b1p-1, 0x1.26d6d2582076bp-1, 0x1.270197d1b725dp-1, 0x1.271a1ffa0a08cp-1, 0x1.2720a88af1111p-1, 0x1.271570ca3be78p-1, 0x1.26f8b9741ae57p-1, 0x1.26cac4a5d738bp-1, 0x1.268bd5c8d78e3p-1, 0x1.263c317df8f52p-1, 0x1.25dc1d8938e74p-1, 0x1.256be0bdb585p-1, 0x1.24ebc2ea04addp-1, 0x1.245c0cc4e29ddp-1, 0x1.23bd07da3b963p-1, 0x1.230efe7892514p-1, 0x1.22523b9ec1b98p-1, 0x1.21870aea1f2a3p-1, 0x1.20adb884fb767p-1, 0x1.1fc69115871e3p-1, 0x1.1ed1e1ad15f2bp-1, 0x1.1dcff7b7c9349p-1, 0x1.1cc120ec9b54cp-1, 0x1.1ba5ab3dd3106p-1, 0x1.1a7de4c9d9813p-1, 0x1.194a1bcc794aep-1, 0x1.180a9e90819e7p-1, 0x1.16bfbb61d25afp-1, 0x1.1569c07fccac4p-1, 0x1.1408fc102da8ap-1, 0x1.129dbc124d34ap-1, 0x1.11284e52c4eabp-1, 0x1.0fa9005f7dec5p-1, 0x1.0e201f7c23a33p-1, 0x1.0c8df896fcc35p-1, 0x1.0af2d83e293c5p-1, 0x1.094f0a954358p-1, 0x1.07a2db4b66714p-1, 0x1.05ee959196345p-1, 0x1.0432841187f2ap-1, 0x1.026ef0e4ccf0cp-1, 0x1.00a4258c5b7bap-1, 0x1.fda4d5d0ee6acp-2, 0x1.f9f41261e8d87p-2, 0x1.f6368fdbb23e4p-2, 0x1.f26cdbe0ae24p-2, 0x1.ee9782983c90cp-2, 0x1.eab70ea210ae6p-2, 0x1.e6cc090a2e1d4p-2, 0x1.e2d6f93d96336p-2, 0x1.ded864ff90eccp-2, 0x1.dad0d05fa0808p-2, 0x1.d6c0bdb00ee46p-2, 0x1.d2a8ad7d1772p-2, 0x1.ce891e84aa09ep-2, 0x1.ca628daec0aacp-2, 0x1.c6357606485ecp-2, 0x1.c20250b29522dp-2, 0x1.bdc994f1644dcp-2, 0x1.b98bb8116043fp-2, 0x1.b5492d6d2d64p-2, 0x1.b1026666efe4ep-2, 0x1.acb7d2645686cp-2, 0x1.a869decb15dadp-2, 0x1.a418f6fddf91p-2, 0x1.9fc58459c7495p-2, 0x1.9b6fee3418dcep-2, 0x1.971899d89ad83p-2, 0x1.92bfea88345b2p-2, 0x1.8e664177fe483p-2, 0x1.8a0bfdd0b05f8p-2, 0x1.85b17cae6f8c9p-2, 0x1.81571920f7adcp-2, 0x1.7cfd2c2c1c00ep-2, 0x1.78a40cc89ce1fp-2, 0x1.744c0fe550a94p-2, 0x1.6ff5886899107p-2, 0x1.6ba0c7322832p-2, 0x1.674e1b1d0b067p-2, 0x1.62fdd101fc725p-2, 0x1.5eb033b9fa4d1p-2, 0x1.5a658c211db2p-2, 0x1.561e2119adcffp-2, 0x1.51da378f712c5p-2, 0x1.4d9a127b36c17p-2, 0x1.495df2e694541p-2, 0x1.452617efda007p-2, 0x1.40f2bece37094p-2, 0x1.3cc422d60db5fp-2, 0x1.389a7d7d72bb4p-2, 0x1.34760660d89ebp-2, 0x1.3056f347e1ce3p-2, 0x1.2c3d782a5b2ep-2, 0x1.2829c73557a27p-2, 0x1.241c10d06faa8p-2, 0x1.201483a31f531p-2, 0x1.1c134c9a4444fp-2, 0x1.181896edb4036p-2, 0x1.14248c25f084p-2, 0x1.10375421f2525p-2, 0x1.0c51151d0a03dp-2, 0x1.0871f3b4d6571p-2, 0x1.049a12ef4e1d7p-2, 0x1.00c99440d9fa5p-2, 0x1.fa012f24ff731p-3, 0x1.f27e769036914p-3, 0x1.eb0b388d471fp-3, 0x1.e3a7abf4fab87p-3, 0x1.dc5404bba9cf2p-3, 0x1.d51073fe04b12p-3, 0x1.cddd280de71d8p-3, 0x1.c6ba4c7f3e521p-3, 0x1.bfa80a34f0db9p-3, 0x1.b8a6876dd0f39p-3, 0x1.b1b5e7d19344cp-3, 0x1.aad64c7dcbd72p-3, 0x1.a407d412e06e4p-3, 0x1.9d4a9ac10656dp-3, 0x1.969eba553221p-3, 0x1.90044a46067a5p-3, 0x1.897b5fc0b7976p-3, 0x1.83040db5eb196p-3, 0x1.7c9e64e682d76p-3, 0x1.764a73f065038p-3, 0x1.7008475b2bafbp-3, 0x1.69d7e9a4cc676p-3, 0x1.63b9634e2728ap-3, 0x1.5dacbae786686p-3, 0x1.57b1f51d0676cp-3, 0x1.51c914c2ea69ap-3, 0x1.4bf21ae1d947fp-3, 0x1.462d06c2fd4c8p-3, 0x1.4079d5fc11917p-3, 0x1.3ad8847b4e4edp-3, 0x1.35490c933ab58p-3, 0x1.2fcb670665489p-3, 0x1.2a5f8b12f9067p-3, 0x1.25056e7e34aafp-3, 0x1.1fbd059fcb12p-3, 0x1.1a86436d11773p-3, 0x1.156119841ec1cp-3, 0x1.104d7836bd126p-3, 0x1.0b4b4e953e4abp-3, 0x1.065a8a7928ffbp-3, 0x1.017b188fc6a22p-3, 0x1.f959c8c910a0cp-4, 0x1.efdfb0d696385p-4, 0x1.e687bc14e5f16p-4, 0x1.dd51bb49ca3bp-4, 0x1.d43d7d47a795p-4, 0x1.cb4acf00da0a5p-4, 0x1.c2797b9ab730dp-4, 0x1.b9c94c8049ca6p-4, 0x1.b13a0974bc79bp-4, 0x1.a8cb78a571c7fp-4, 0x1.a07d5ebbd409fp-4, 0x1.984f7eeecc13ep-4, 0x1.90419b13f1e8cp-4, 0x1.885373b065a0cp-4, 0x1.8084c8095b6f3p-4, 0x1.78d5563457c9ep-4, 0x1.7144db271995bp-4, 0x1.69d312c732b26p-4, 0x1.627fb7f95649bp-4, 0x1.5b4a84b04f27cp-4, 0x1.543331fbac03ep-4, 0x1.4d397816191a2p-4, 0x1.465d0e736d6b7p-4, 0x1.3f9dabce64407p-4, 0x1.38fb06360d236p-4, 0x1.3274d31ae92b3p-4, 0x1.2c0ac75bbe091p-4, 0x1.25bc97521a463p-4, 0x1.1f89f6de89a3p-4, 0x1.1972997483183p-4, 0x1.1376322607532p-4, 0x1.0d9473aef3ba4p-4, 0x1.07cd10800b8dfp-4, 0x1.021fbac9b9432p-4, 0x1.f918490d06ad6p-5, 0x1.ee23ff0a752c5p-5, 0x1.e361fae5c25p-5, 0x1.d8d19fc88f63p-5, 0x1.ce7250bed26fbp-5, 0x1.c44370c8f76cp-5, 0x1.ba4462ed82bb4p-5, 0x1.b0748a4a247c5p-5, 0x1.a6d34a244a03cp-5, 0x1.9d6005f92c72ep-5, 0x1.941a218d5670ap-5, 0x1.8b0100fbb1343p-5, 0x1.821408c40c901p-5, 0x1.79529dd92ea89p-5, 0x1.70bc25ae67773p-5, 0x1.68500644a4955p-5, 0x1.600da6371bd3fp-5, 0x1.57f46cc76e5d6p-5, 0x1.5003c1e968448p-5, 0x1.483b0e4e46b19p-5, 0x1.4099bb6f8dd18p-5, 0x1.391f339971b37p-5, 0x1.31cae1f4d75abp-5, 0x1.2a9c3290e7bp-5, 0x1.2392926c3aa83p-5, 0x1.1cad6f7d9cbb7p-5, 0x1.15ec38bc75b72p-5, 0x1.0f4e5e28c17p-5, 0x1.08d350d2b5c42p-5, 0x1.027a82e202952p-5, 0x1.f886cf3969bd6p-6, 0x1.ec5ae6db8b6cap-6, 0x1.e07037d6932e2p-6, 0x1.d4c5afb89eea8p-6, 0x1.c95a3e7ccf03ep-6, 0x1.be2cd695afe7p-6, 0x1.b33c6cf70278p-6, 0x1.a887f91ee792ap-6, 0x1.9e0e751e72d73p-6, 0x1.93cedda1a578ep-6, 0x1.89c831f6d0581p-6, 0x1.7ff974157557p-6, 0x1.7661a8a48ffb1p-6, 0x1.6cffd7005a769p-6, 0x1.63d3093f9571dp-6, 0x1.5ada4c383eddap-6, 0x1.5214af83e2bdcp-6, 0x1.4981458357786p-6, 0x1.411f236216ed6p-6, 0x1.38ed611923724p-6, 0x1.30eb19716ed7ap-6, 0x1.29176a05e75cdp-6, 0x1.217173450a326p-6, 0x1.19f858721b358p-6, 0x1.12ab3fa5fcf88p-6, 0x1.0b8951cf96177p-6, 0x1.0491bab3f0e2bp-6, 0x1.fb8751dbe026dp-7, 0x1.ee3c9bdb6c30dp-7, 0x1.e141bbef6baa3p-7, 0x1.d4952046dddecp-7, 0x1.c8353cb3c8e5fp-7, 0x1.bc208aa778668p-7, 0x1.b055892e3dafcp-7, 0x1.a4d2bceaa8b76p-7, 0x1.9996b01013fb9p-7, 0x1.8e9ff25ce5ce7p-7, 0x1.83ed191434007p-7, 0x1.797cbef6e06fep-7, 0x1.6f4d843c720a3p-7, 0x1.655e0e8b57364p-7, 0x1.5bad08f0d2659p-7, 0x1.523923d87d17dp-7, 0x1.490115036588ep-7, 0x1.4003977ee39d6p-7, 0x1.373f6b9af2607p-7, 0x1.2eb356e05f4a3p-7, 0x1.265e240697491p-7, 0x1.1e3ea2e91778cp-7, 0x1.1653a87cbd56bp-7, 0x1.0e9c0ec4b20d3p-7, 0x1.0716b4c724356p-7, 0x1.ff84fd039a7aap-8, 0x1.f13ca9bc55578p-8, 0x1.e3524b4b27d72p-8, 0x1.d5c3c6ea1be49p-8, 0x1.c88f0b621a0d8p-8, 0x1.bbb210f1dd826p-8, 0x1.af2ad934ab01ap-8, 0x1.a2f76f08be045p-8, 0x1.9715e67592735p-8, 0x1.8b845c91b703ep-8, 0x1.8040f7688b086p-8, 0x1.7549e5dfd7612p-8, 0x1.6a9d5f9d03c91p-8, 0x1.6039a4ea5a354p-8, 0x1.561cfe9c1c53p-8, 0x1.4c45bdf55ad11p-8, 0x1.42b23c8ce0ed7p-8, 0x1.3960dc31d56b6p-8, 0x1.305006d07eb8fp-8, 0x1.277e2e56e3553p-8, 0x1.1ee9cc995a72fp-8, 0x1.1691633726bdep-8, 0x1.0e737b7ef6f23p-8, 0x1.068ea653a7796p-8, 0x1.fdc2f8214a581p-9, 0x1.eed538dd9e0a1p-9, 0x1.e0515cd1ef23p-9, 0x1.d234c04191c9bp-9, 0x1.c47ccd8738e42p-9, 0x1.b726fcdeb7ce6p-9, 0x1.aa30d42f27257p-9, 0x1.9d97e6d51e668p-9, 0x1.9159d56d44cfep-9, 0x1.85744d9f28106p-9, 0x1.79e509e8330d4p-9, 0x1.6ea9d167180f9p-9, 0x1.63c077a76acbcp-9, 0x1.5926dc6dc7b58p-9, 0x1.4edaeb83f913dp-9, 0x1.44da9c85e74ep-9, 0x1.3b23f2ae6ad34p-9, 0x1.31b4fca4f8fep-9, 0x1.288bd44b5debp-9, 0x1.1fa69e8c2a747p-9, 0x1.17038b293821fp-9, 0x1.0ea0d48aeb5f9p-9, 0x1.067cbf8fc093cp-9, 0x1.fd2b36b895d9bp-10, 0x1.edd3825790ba7p-10, 0x1.deef2841dce56p-10, 0x1.d07b022f2c377p-10, 0x1.c273fcecd23a6p-10, 0x1.b4d71802d98ap-10, 0x1.a7a1655a036a1p-10, 0x1.9ad008e24c36dp-10, 0x1.8e60383ad4befp-10, 0x1.824f3a5add354p-10, 0x1.769a673baed37p-10, 0x1.6b3f27838bd2p-10, 0x1.603af43182cfbp-10, 0x1.558b564ac2265p-10, 0x1.4b2de6887fdeep-10, 0x1.41204d0747ae7p-10, 0x1.376040f725a07p-10, 0x1.2deb884cfc3e5p-10, 0x1.24bff774fd322p-10, 0x1.1bdb7105e8124p-10, 0x1.133be575d21d3p-10, 0x1.0adf52cf97f84p-10, 0x1.02c3c4698a3b7p-10, 0x1.f5cea53aa71abp-11, 0x1.e6904501466f8p-11, 0x1.d7c8cb3e5988bp-11, 0x1.c974b36afd132p-11, 0x1.bb9090da5e537p-11, 0x1.ae190e337ca14p-11, 0x1.a10aecedf3c1dp-11, 0x1.946304cfbf14fp-11, 0x1.881e436e31504p-11, 0x1.7c39abb01c394p-11, 0x1.70b25552c183fp-11, 0x1.65856c702eaeep-11, 0x1.5ab031081982fp-11, 0x1.502ff68aa0eeep-11, 0x1.46022364df1c9p-11, 0x1.3c24308fd0ecap-11, 0x1.3293a920f12bap-11, 0x1.294e29dd33c37p-11, 0x1.205160cd1bf9bp-11, 0x1.179b0cd3f6931p-11, 0x1.0f28fd47ca21cp-11, 0x1.06f9118c197b3p-11, 0x1.fe12715c21e39p-12, 0x1.eeaee205400c3p-12, 0x1.dfc38f8d04fbbp-12, 0x1.d14cb17fe53cep-12, 0x1.c3469bc4adecp-12, 0x1.b5adbde797e48p-12, 0x1.a87ea2682a9c1p-12, 0x1.9bb5ee0b2d856p-12, 0x1.8f505f3040651p-12, 0x1.834acd29c0b91p-12, 0x1.77a22799c2dd2p-12, 0x1.6c5375d0bbfacp-12, 0x1.615bd630501f5p-12, 0x1.56b87d917ab4cp-12, 0x1.4c66b6ad2ac77p-12, 0x1.4263e188c8e6p-12, 0x1.38ad72e59b8aap-12, 0x1.2f40f3b29c9d9p-12, 0x1.261c0082a8427p-12, 0x1.1d3c490474c25p-12, 0x1.149f8f7de6331p-12, 0x1.0c43a84a52abdp-12, 0x1.0426795bc56fcp-12, 0x1.f88bf37cfa4eap-13, 0x1.e940623f76f5cp-13, 0x1.da666eaee49f6p-13, 0x1.cbfa67e791184p-13, 0x1.bdf8bb9095853p-13, 0x1.b05df4fd3e572p-13, 0x1.a326bc558eb3bp-13, 0x1.964fd5c284085p-13, 0x1.89d6209fbad18p-13, 0x1.7db696b18162ap-13, 0x1.71ee4b615db3cp-13, 0x1.667a6afbf0a9ap-13, 0x1.5b5839f6ff6eep-13, 0x1.50851439ce60cp-13, 0x1.45fe6c6a12854p-13, 0x1.3bc1cb3ee56f5p-13, 0x1.31ccced5f5189p-13, 0x1.281d2a0e64313p-13, 0x1.1eb0a3e68b3a2p-13, 0x1.158516de92d07p-13, 0x1.0c98705f4fd78p-13, 0x1.03e8b024160b5p-13, 0x1.f6e7cf51396a2p-14, 0x1.e6707337e703ap-14, 0x1.d667b2aa2d2acp-14, 0x1.c6ca14984f1fap-14, 0x1.b7943f2e80066p-14, 0x1.a8c2f6d5f0bc4p-14, 0x1.9a531d395e13p-14, 0x1.8c41b0557db6ep-14, 0x1.7e8bc98c26c2fp-14, 0x1.712e9cbe632a8p-14, 0x1.6427776d65a5ap-14, 0x1.5773bfe198335p-14, 0x1.4b10f4570d9cfp-14, 0x1.3efcaa2fd3896p-14, 0x1.33348d2d776fbp-14, 0x1.27b65eae464cfp-14, 0x1.1c7ff4f149f3cp-14, 0x1.118f3a5d824cep-14, 0x1.06e22cd1478acp-14, 0x1.f8edb9eb412f3p-15, 0x1.e496db29007f7p-15, 0x1.d0bc25eef0189p-15, 0x1.bd5a2492c0873p-15, 0x1.aa6d81f91d0bap-15, 0x1.97f3086a15769p-15, 0x1.85e7a071f1c23p-15, 0x1.74484fc68b47p-15, 0x1.63123839c6b46p-15, 0x1.524296aecc991p-15, 0x1.41d6c21d1e096p-15, 0x1.31cc2a9938c46p-15, 0x1.22205860b5434p-15, 0x1.12d0eaf570422p-15, 0x1.03db9839ff084p-15, 0x1.ea7c572f1cbebp-16, 0x1.cded0a584e0c5p-16, 0x1.b20531f78f815p-16, 0x1.96c0dc5b16f3dp-16, 0x1.7c1c3c959a67ep-16, 0x1.6213a90a637adp-16, 0x1.48a39a082bfdfp-16, 0x1.2fc8a8705a38p-16, 0x1.177f8c652a7dp-16, 0x1.ff8a380e234c7p-17, 0x1.d12c947ec8aa9p-17, 0x1.a3e04b2216e96p-17, 0x1.779fade7a923cp-17, 0x1.4c654177c3e7bp-17, 0x1.222bbb11532bfp-17, 0x1.f1dbfd0992c25p-18, 0x1.a14e3861073f6p-18, 0x1.52a49e47a664ep-18, 0x1.05d5f68668f3cp-18, 0x1.75b2ae209bee1p-19, 0x1.c69882572c187p-20, 0x1.519fd9ab17a3dp-21, -0x1.b852ca01ff3bp-22, -0x1.7e34a5020f886p-20, -0x1.43d71d5afbf61p-19, -0x1.c54f6ace352d7p-19, -0x1.21c8bd1cc9617p-18, -0x1.5f558f45c0ce3p-18, -0x1.9b54e1a6dbb71p-18, -0x1.d5cd38bb5fb13p-18, -0x1.076274fe33b3ap-17, -0x1.23210f0eb5e3ep-17, -0x1.3e2569943be66p-17, -0x1.58726f44d633dp-17, -0x1.720af78215f6dp-17, -0x1.8af1c7409e407p-17, -0x1.a32991f8253ccp-17, -0x1.bab4fa794b5c8p-17, -0x1.d19693c11fbb9p-17, -0x1.e7d0e1c220749p-17, -0x1.fd665a256932ap-17, -0x1.092cb27fd02fap-16, -0x1.13562ec1b3a9bp-16, -0x1.1d30c95131f76p-16, -0x1.26bda3d9c78cep-16, -0x1.2ffdda833a7ddp-16, -0x1.38f2843caacedp-16, -0x1.419cb2fed1369p-16, -0x1.49fd7410433f1p-16, -0x1.5215d0418514fp-16, -0x1.59e6cc2a5a8e3p-16, -0x1.61716860a330dp-16, -0x1.68b6a1ad4e649p-16, -0x1.6fb771406bf16p-16, -0x1.7674cce0ade09p-16, -0x1.7cefa7183af0cp-16, -0x1.8328ef611f097p-16, -0x1.8921924c9f1e4p-16, -0x1.8eda79a94d228p-16, -0x1.94548ca83f7dcp-16, -0x1.9990affd664cfp-16, -0x1.9e8fc5ffb620ep-16, -0x1.a352aec8810bbp-16, -0x1.a7da484e5bbb3p-16, -0x1.ac276e7f9b88fp-16, -0x1.b03afb5b6ace7p-16, -0x1.b415c7086b0c6p-16, -0x1.b7b8a7e9fa4edp-16, -0x1.bb2472b49fad1p-16, -0x1.be59fa7f2edfcp-16, -0x1.c15a10d4db126p-16, -0x1.c42585c4707bep-16, -0x1.c6bd27efb08d1p-16, -0x1.c921c497be902p-16, -0x1.cb5427aa34e57p-16, -0x1.cd551bcb5f95fp-16, -0x1.cf256a606e406p-16, -0x1.d0c5db991f46fp-16, -0x1.d23736776fb3dp-16, -0x1.d37a40d5f366ep-16, -0x1.d48fbf706ad74p-16, -0x1.d57875e7b9a59p-16, -0x1.d63526c6dad2ap-16, -0x1.d6c693883866ap-16, -0x1.d72d7c9800ccap-16, -0x1.d76aa157cbf7ep-16, -0x1.d77ec0205ade4p-16, -0x1.d76a9643d22a3p-16, -0x1.d72ee00e25989p-16, -0x1.d6cc58c638339p-16, -0x1.d643baae8cdd5p-16, -0x1.d595bf0495c52p-16, -0x1.d4c31e000c82ep-16, -0x1.d3cc8ed2ab791p-16, -0x1.d2b2c7a63796ep-16, -0x1.d1767d9ad8a58p-16, -0x1.d01864c5e7098p-16, -0x1.ce99302e86befp-16, -0x1.ccf991cca78b8p-16, -0x1.cb3a3a855b864p-16, -0x1.c95bda2833317p-16, -0x1.c75f1f6c7cc12p-16, -0x1.c544b7ed626e9p-16, -0x1.c30d5027c1c9dp-16, -0x1.c0b9937589a83p-16, -0x1.be4a2c0a82861p-16, -0x1.bbbfc2f0b14ecp-16, -0x1.b91b0004bfe7dp-16, -0x1.b65c89f1412f2p-16, -0x1.b385062c3626cp-16, -0x1.b09518f1e8bebp-16, -0x1.ad8d65417c021p-16, -0x1.aa6e8cd918d3ep-16, -0x1.a739303144a8dp-16, -0x1.a3edee798a349p-16, -0x1.a08d6594372e9p-16, -0x1.9d183212bda8ap-16, -0x1.998eef3157e35p-16, -0x1.95f236d396516p-16, -0x1.9242a18040ab8p-16, -0x1.8e80c65db0cb5p-16, -0x1.8aad3b2e2650ep-16, -0x1.86c8944c388cap-16, -0x1.82d364a73b709p-16, -0x1.7ece3dbfb008cp-16, -0x1.7ab9afa436a85p-16, -0x1.769648edc2227p-16, -0x1.726496bcecafp-16, -0x1.6e2524b6c6c8cp-16, -0x1.69d87d01cdacdp-16, -0x1.657f28433a7bbp-16, -0x1.6119ad9bea4ffp-16, -0x1.5ca892a5f626p-16, -0x1.582c5b723aeabp-16, -0x1.53a58a85b64cep-16, -0x1.4f14a0d76c78ap-16, -0x1.4a7a1dce9698dp-16, -0x1.45d67f401d34dp-16, -0x1.412a416d03395p-16, -0x1.3c75df00832f8p-16, -0x1.37b9d10e3fe83p-16, -0x1.32f68f114c9b5p-16, -0x1.2e2c8eea69d31p-16, -0x1.295c44dec0713p-16, -0x1.248623969e253p-16, -0x1.1faa9c1cd90eap-16, -0x1.1aca1dde15d4ep-16, -0x1.15e516a749bf1p-16, -0x1.10fbf2a5de033p-16, -0x1.0c0f1c675442ap-16, -0x1.071efcd85d12bp-16, -0x1.022bfb44a362ap-16, -0x1.fa6cfaaec4b98p-17, -0x1.f07dce35b1c67p-17, -0x1.e68b35f0e545bp-17, -0x1.dc95f372d1867p-17, -0x1.d29ec50d79b6fp-17, -0x1.c8a665d42800cp-17, -0x1.bead8d9c80cb5p-17, -0x1.b4b4f10004f65p-17, -0x1.aabd415e1a1b7p-17, -0x1.a0c72cde1fc83p-17, -0x1.96d35e70198c2p-17, -0x1.8ce27dd128b01p-17, -0x1.82f52f8d0fe1dp-17, -0x1.790c1501098b1p-17, -0x1.6f27cc5ee6376p-17, -0x1.6548f0afd5f32p-17, -0x1.5b7019d8e4e47p-17, -0x1.519ddc9dc8fcdp-17, -0x1.47d2caa4b2ee1p-17, -0x1.3e0f727aeecabp-17, -0x1.34545f98e901bp-17, -0x1.2aa21a656f359p-17, -0x1.20f9283b028fp-17, -0x1.175a0b6d33b67p-17, -0x1.0dc5434c0ce34p-17, -0x1.043b4c29b3bb1p-17, -0x1.f5793ebf38289p-18, -0x1.e29366a6fcf63p-18, -0x1.cfc5f6faa768dp-18, -0x1.bd11d0d89155dp-18, -0x1.aa77cf98e5cb6p-18, -0x1.97f8c8db96d4dp-18, -0x1.85958c916516cp-18, -0x1.734ee507ec28ep-18, -0x1.612596f84da74p-18, -0x1.4f1a61924a483p-18, -0x1.3d2dfe88cfeafp-18, -0x1.2b61221ebb3ep-18, -0x1.19b47b34c3b76p-18, -0x1.0828b3569ef08p-18, -0x1.ed7cdd8fae1afp-19, -0x1.caec99237fdc7p-19, -0x1.a8a1cd25ad5bcp-19, -0x1.869da317dd975p-19, -0x1.64e13a590e4f7p-19, -0x1.436da84574672p-19, -0x1.2243f851a2dadp-19, -0x1.01652c2a50092p-19, -0x1.c1a4779b82baep-20, -0x1.81182b59b4aa2p-20, -0x1.41273d8756c1p-20, -0x1.01d36578cb14ep-20, -0x1.863c9028141ecp-21, -0x1.0a12f021058f2p-21, -0x1.1e59d8c74df53p-22, -0x1.58d6310c3c3dfp-25, 0x1.8b23c2b91b065p-23, 0x1.b3a6ec5b4afeep-22, 0x1.4f8fb6c1b1f75p-21, 0x1.c3fb5d4186c7cp-21, 0x1.1b8a1ac714bfcp-20, 0x1.546c160e37dadp-20, 0x1.8ca2a6b87ceadp-20, 0x1.c42ce2d8d1ae6p-20, 0x1.fb09f00f9e982p-20, 0x1.189c81a72e2ebp-19, 0x1.335cb04e1ba6dp-19, 0x1.4dc52d6aa21efp-19, 0x1.67d5a9b7441d8p-19, 0x1.818ddd1cc1487p-19, 0x1.9aed8694e495p-19, 0x1.b3f46c0a04ccbp-19, 0x1.cca25a3827941p-19, 0x1.e4f7248fb7f8ap-19, 0x1.fcf2a518ea813p-19, 0x1.0a4a5e2985327p-18, 0x1.15eea88be18bcp-18, 0x1.2166283ef1c29p-18, 0x1.2cb0d6dd2045p-18, 0x1.37ceb1007f025p-18, 0x1.42bfb634d9b8cp-18, 0x1.4d83e8e959946p-18, 0x1.581b4e61c154bp-18, 0x1.6285eea7fec36p-18, 0x1.6cc3d47d313d1p-18, 0x1.76d50d4b9841bp-18, 0x1.80b9a918e5741p-18, 0x1.8a71ba77bc7c1p-18, 0x1.93fd567979cf2p-18, 0x1.9d5c94a0afa35p-18, 0x1.a68f8ed2bee3dp-18, 0x1.af96614b32a76p-18, 0x1.b8712a8cd649dp-18, 0x1.c1200b543c2b6p-18, 0x1.c9a3268b3c509p-18, 0x1.d1faa13bef49fp-18, 0x1.da26a282fa704p-18, 0x1.e2275381dd92p-18, 0x1.e9fcdf529c3c1p-18, 0x1.f1a772fc09dbcp-18, 0x1.f9273d6344703p-18, 0x1.003e37a02a6b2p-17, 0x1.03d39d88d2867p-17, 0x1.0753ea87b49b8p-17, 0x1.0abf398fd7c04p-17, 0x1.0e15a66514b26p-17, 0x1.11574d962a2e7p-17, 0x1.14844c769c638p-17, 0x1.179cc1198177cp-17, 0x1.1aa0ca4b6c5edp-17, 0x1.1d90878cbf727p-17, 0x1.206c190bf3a97p-17, 0x1.23339fa035fc8p-17, 0x1.25e73cc3eb48ep-17, 0x1.2887128f3861p-17, 0x1.2b1343b2a6a64p-17, 0x1.2d8bf372336c6p-17, 0x1.2ff1459fb8c47p-17, 0x1.32435e95e6f86p-17, 0x1.34826333035f8p-17, 0x1.36ae78d4574e7p-17, 0x1.38c7c55113613p-17, 0x1.3ace6ef57a40cp-17, 0x1.3cc29c7dfa42p-17, 0x1.3ea47512b646cp-17, 0x1.407420429d7d1p-17, 0x1.4231c5ff1d52cp-17, 0x1.43dd8e975a10bp-17, 0x1.4577a2b402626p-17, 0x1.47002b52b376ep-17, 0x1.487751c2152b1p-17, 0x1.49dd3f9d217c9p-17, 0x1.4b321ec75574ap-17, 0x1.4c76196860a84p-17, 0x1.4da959e826009p-17, 0x1.4ecc0aeb0a9f4p-17, 0x1.4fde574dcad72p-17, 0x1.50e06a21e1b59p-17, 0x1.51d26ea9b2b86p-17, 0x1.52b490549589fp-17, 0x1.5386fabb9ba61p-17, 0x1.5449d99de0657p-17, 0x1.54fd58dcfa2efp-17, 0x1.55a1a479baec5p-17, 0x1.5636e8909fc9fp-17, 0x1.56bd515684b3ap-17, 0x1.57350b158a40fp-17, 0x1.579e4229f46dbp-17, 0x1.57f922ff00ac9p-17, 0x1.5845da0ba7cc6p-17, 0x1.588493cfd77b9p-17, 0x1.58b57cd1a0435p-17, 0x1.58d8c19a1a04p-17, 0x1.58ee8eb2aec33p-17, 0x1.58f710a2824cdp-17, 0x1.58f273eb91c53p-17, 0x1.58e0e5081b4a9p-17, 0x1.58c29067fe60ep-17, 0x1.5897a26e8b567p-17, 0x1.5860476fc28abp-17, 0x1.581cabade2f87p-17, 0x1.57ccfb572b30dp-17, 0x1.57716283bcecdp-17, 0x1.570a0d33510fcp-17, 0x1.5697274ac34fcp-17, 0x1.5618dc923982dp-17, 0x1.558f58b2ed3ffp-17, 0x1.54fac7353efefp-17, 0x1.545b537eb39acp-17, 0x1.53b128d011889p-17, 0x1.52fc724379bb7p-17, 0x1.523d5acaa771dp-17, 0x1.51740d2cfaaffp-17, 0x1.50a0b405f776ap-17, 0x1.4fc379c3813d4p-17, 0x1.4edc88a42abe8p-17, 0x1.4dec0ab5e1483p-17, 0x1.4cf229d426c47p-17, 0x1.4bef0fa687924p-17, 0x1.4ae2e59f5fc64p-17, 0x1.49cdd4fa8e1d8p-17, 0x1.48b006bbbf527p-17, 0x1.4789a3ad3158ep-17, 0x1.465ad45e7b80cp-17, 0x1.4523c1239be9fp-17, 0x1.43e492138908bp-17, 0x1.429d6f06cd644p-17, 0x1.414e7f96f1b65p-17, 0x1.3ff7eb1cfb438p-17, 0x1.3e99d8b0a1aa3p-17, 0x1.3d346f270e154p-17, 0x1.3bc7d51264a11p-17, 0x1.3a5430c068518p-17, 0x1.38d9a839cad14p-17, 0x1.375861412500bp-17, 0x1.35d081529d2cdp-17, 0x1.34422da2ba014p-17, 0x1.32ad8b1d88a1p-17, 0x1.3112be6614513p-17, 0x1.2f71ebd5e6361p-17, 0x1.2dcb377c4e95ep-17, 0x1.2c1ec51da1924p-17, 0x1.2a6cb8329ffadp-17, 0x1.28b533e819322p-17, 0x1.26f85b1e54dd3p-17, 0x1.25365068798d5p-17, 0x1.236f360c3b53p-17, 0x1.21a32e015d5a6p-17, 0x1.1fd259f12ae21p-17, 0x1.1dfcdb36520ccp-17, 0x1.1c22d2dcb9387p-17, 0x1.1a4461a0af2e4p-17, 0x1.1861a7eea8fc6p-17, 0x1.167ac5e352f73p-17, 0x1.148fdb4b3d486p-17, 0x1.12a107a240936p-17, 0x1.10ae6a13a64fap-17, 0x1.0eb8217a4ba8fp-17, 0x1.0cbe4c5fd9e5ep-17, 0x1.0ac108fcd2145p-17, 0x1.08c07538a8b4ap-17, 0x1.06bcaea96dac2p-17, 0x1.04b5d293f32e2p-17, 0x1.02abfdeb8d75ap-17, 0x1.009f4d52347ep-17, 0x1.fd1fba30cd3a7p-18, 0x1.f8fb927abcd34p-18, }}, 
      {{0x1.ffb92681e7194p-1, 0x1.fee5e743b5bd6p-1, 0x1.fd8a084b743d2p-1, 0x1.fbab7430a3385p-1, 0x1.f951ce116db93p-1, 0x1.f685ffea7d741p-1, 0x1.f351ce1a0253ep-1, 0x1.efbf75edaa297p-1, 0x1.ebd959f034398p-1, 0x1.e7a9bcaf435a5p-1, 0x1.e33a89817be6cp-1, 0x1.de952a2aeb6d6p-1, 0x1.d9c267eae066fp-1, 0x1.d4ca56627f74fp-1, 0x1.cfb446c91a734p-1, 0x1.ca86c1fc1647p-1, 0x1.c547881af1511p-1, 0x1.bffb9486abb8ap-1, 0x1.baa72542ec0cp-1, 0x1.b54dc4dc8bb7p-1, 0x1.aff2561bac9ebp-1, 0x1.aa9720e6762d6p-1, 0x1.a53ddfd511e52p-1, 0x1.9fe7ce0f843f9p-1, 0x1.9a95b522b2efap-1, 0x1.9547fa8bbfdffp-1, 0x1.8ffeacc7eef3bp-1, 0x1.8ab98fc415cd3p-1, 0x1.8578289136636p-1, 0x1.8039c84cbb4e4p-1, 0x1.7afd963213108p-1, 0x1.75c298d14475fp-1, 0x1.7087be6ad6315p-1, 0x1.6b4be47511485p-1, 0x1.660dde518e756p-1, 0x1.60cc7b3c1a486p-1, 0x1.5b868b7d89d8cp-1, 0x1.563ae4ee28c32p-1, 0x1.50e866d400429p-1, 0x1.4b8dfd298c14cp-1, 0x1.462aa35969effp-1, 0x1.40bd667b6aeddp-1, 0x1.3b45671f06f48p-1, 0x1.35c1daaeb934ep-1, 0x1.30320c7738653p-1, 0x1.2a955e5cd8ab5p-1, 0x1.24eb4948b575fp-1, 0x1.1f335d5691266p-1, 0x1.196d41cba1e9p-1, 0x1.1398b4ddd6428p-1, 0x1.0db58b52674cdp-1, 0x1.07c3aff9f5cacp-1, 0x1.01c3230fc45b7p-1, 0x1.f767f3022bc89p-2, 0x1.eb2cb8425517p-2, 0x1.ded50d9ba6db7p-2, 0x1.d2618f103f99cp-2, 0x1.c5d2fb0874fa7p-2, 0x1.b92a3066533bbp-2, 0x1.ac682c9196ba7p-2, 0x1.9f8e09802bc2ap-2, 0x1.929cfbbeb4872p-2, 0x1.8596507c175b7p-2, 0x1.787b6b9a90b2dp-2, 0x1.6b4dc5c87c496p-2, 0x1.5e0eeaa28b828p-2, 0x1.50c076e0ea40ep-2, 0x1.4364169084542p-2, 0x1.35fb835959da1p-2, 0x1.288882d2a4f9ap-2, 0x1.1b0ce4e568428p-2, 0x1.0d8a823dc6e29p-2, 0x1.00033acb772e7p-2, 0x1.e4f1e8a2ee236p-3, 0x1.c9db320a328aap-3, 0x1.aec62c78cf903p-3, 0x1.93b6b657923efp-3, 0x1.78b0af65924fbp-3, 0x1.5db7f66faa253p-3, 0x1.42d0672570deap-3, 0x1.27fdd80b2fea6p-3, 0x1.0d44188843d93p-3, 0x1.e54dde22d008ap-4, 0x1.b0542edc5fd23p-4, 0x1.7ba282324c4efp-4, 0x1.47401b739ff15p-4, 0x1.13341f6ff4cbcp-4, 0x1.bf0b239e53ad4p-5, 0x1.5876a531b753ep-5, 0x1.e5706fa8e0c94p-6, 0x1.1bb9ff632fd5ep-6, 0x1.4f8e680e0df0fp-8, -0x1.c7e73c1eeef37p-8, -0x1.35c5ffcd687bfp-6, -0x1.f76977b64f38ep-6, -0x1.5b66bb64c8027p-5, -0x1.b9ee012ef5886p-5, -0x1.0b9ffa4f59fe2p-4, -0x1.39a931d0269a8p-4, -0x1.670dc2199e85ap-4, -0x1.93c8fadb8e945p-4, -0x1.bfd660fdf98f7p-4, -0x1.eb31af0c3443ap-4, -0x1.0aeb6ac21b4aap-3, -0x1.1fe0fd85a329dp-3, -0x1.3477be4495b8dp-3, -0x1.48adf6959a28cp-3, -0x1.5c820b27ff12ap-3, -0x1.6ff27bae9f075p-3, -0x1.82fde2c055becp-3, -0x1.95a2f5ae802c6p-3, -0x1.a7e084521a5cep-3, -0x1.b9b578cfff0e1p-3, -0x1.cb20d754bd1d8p-3, -0x1.dc21bdc8930e3p-3, -0x1.ecb7637bfdb95p-3, -0x1.fce118cd59b3p-3, -0x1.064f2364038d7p-2, -0x1.0df7375ec26a4p-2, -0x1.156894ec788d5p-2, -0x1.1ca31456af21dp-2, -0x1.23a6995faeacp-2, -0x1.2a73130514e67p-2, -0x1.31087b406c01bp-2, -0x1.3766d6c5f0948p-2, -0x1.3d8e34c1b85e7p-2, -0x1.437eae9362543p-2, -0x1.493867887e23p-2, -0x1.4ebb8c95d08dap-2, -0x1.5408540fa3b1cp-2, -0x1.591efd61403dp-2, -0x1.5dffd0c3bcdep-2, -0x1.62ab1ef4439c8p-2, -0x1.672140e9ec51fp-2, -0x1.6b62978b53672p-2, -0x1.6f6f8b6407ab2p-2, -0x1.73488c59ecbacp-2, -0x1.76ee1162ae1e9p-2, -0x1.7a609839648c3p-2, -0x1.7da0a5147aecbp-2, -0x1.80aec25bf6c91p-2, -0x1.838b806034d1ep-2, -0x1.863775113294ap-2, -0x1.88b33bb676853p-2, -0x1.8aff74a7ae1bep-2, -0x1.8d1cc5060de76p-2, -0x1.8f0bd6768ed7bp-2, -0x1.90cd56dd0cb72p-2, -0x1.9261f8185cafbp-2, -0x1.93ca6fbf69f0bp-2, -0x1.950776df5e9bap-2, -0x1.9619c9baeb01ep-2, -0x1.9702278ab7822p-2, -0x1.97c1523f0096bp-2, -0x1.98580e4273812p-2, -0x1.98c7223e4c054p-2, -0x1.990f56dfb9cb3p-2, -0x1.9931769e99b9bp-2, -0x1.992e4d8581f6dp-2, -0x1.9906a8fb2c6ecp-2, -0x1.98bb578d40514p-2, -0x1.984d28bc7d29dp-2, -0x1.97bcecca4e9b8p-2, -0x1.970b7487c76e6p-2, -0x1.9639912608c65p-2, -0x1.95481408111b9p-2, -0x1.9437ce95fd848p-2, -0x1.93099211b08f1p-2, -0x1.91be2f6cebdb8p-2, -0x1.90567720cd843p-2, -0x1.8ed33906bef59p-2, -0x1.8d354432c55fcp-2, -0x1.8b7d66cf3cff7p-2, -0x1.89ac6df9f19b1p-2, -0x1.87c325a29f333p-2, -0x1.85c2586ac8ddbp-2, -0x1.83aacf86ed466p-2, -0x1.817d52a10f97fp-2, -0x1.7f3aa7bc91492p-2, -0x1.7ce3931b5bec3p-2, -0x1.7a78d7244f926p-2, -0x1.77fb344af784bp-2, -0x1.756b68f87e492p-2, -0x1.72ca3175d7479p-2, -0x1.701847d722735p-2, -0x1.6d5663e83781bp-2, -0x1.6a853b1a5e646p-2, -0x1.67a580732a7ap-2, -0x1.64b7e47c708a1p-2, -0x1.61bd153554073p-2, -0x1.5eb5be0465703p-2, -0x1.5ba287aaccf8dp-2, -0x1.5884183874b93p-2, -0x1.555b13013507ep-2, -0x1.52281892f71dep-2, -0x1.4eebc6acc5aa8p-2, -0x1.4ba6b836cca76p-2, -0x1.4859853b3a5b2p-2, -0x1.4504c2dffe75cp-2, -0x1.41a90361603dbp-2, -0x1.3e46d60d66157p-2, -0x1.3adec74006e03p-2, -0x1.377160601ffe2p-2, -0x1.33ff27dd2714cp-2, -0x1.3088a12d96c1ap-2, -0x1.2d0e4cce05f2ap-2, -0x1.2990a840f2ae3p-2, -0x1.26102e0f296e3p-2, -0x1.228d55c8d0869p-2, -0x1.1f08940709853p-2, -0x1.1b825a6e2495fp-2, -0x1.17fb17b063b6dp-2, -0x1.1473379142bf6p-2, -0x1.10eb22e93fd3bp-2, -0x1.0d633faa212f9p-2, -0x1.09dbf0e3b140bp-2, -0x1.065596c8e9954p-2, -0x1.02d08eb58b4d9p-2, -0x1.fe9a66683889bp-3, -0x1.f797b8088c9aap-3, -0x1.f099bc432049fp-3, -0x1.e9a11794e2e8bp-3, -0x1.e2ae690f694b2p-3, -0x1.dbc24a68526f8p-3, -0x1.d4dd50093b842p-3, -0x1.ce0009203e07dp-3, -0x1.c72affb0ebb22p-3, -0x1.c05eb8a5c2ddep-3, -0x1.b99bb3e212a94p-3, -0x1.b2e26c5448a3bp-3, -0x1.ac335808912a5p-3, -0x1.a58ee83be233ap-3, -0x1.9ef5896f456fbp-3, -0x1.9867a37b72742p-3, -0x1.91e599a4aae06p-3, -0x1.8b6fcaaecb48cp-3, -0x1.850690f1962f5p-3, -0x1.7eaa426d29359p-3, -0x1.785b30de99e36p-3, -0x1.7219a9d4b59c6p-3, -0x1.6be5f6c4d875p-3, -0x1.65c05d1fdf4bap-3, -0x1.5fa91e6727f44p-3, -0x1.59a07841986e5p-3, -0x1.53a6a490b42d1p-3, -0x1.4dbbd985acf9dp-3, -0x1.47e049b67051ep-3, -0x1.42142432b220ap-3, -0x1.3c579498e41fdp-3, -0x1.36aac32b238bp-3, -0x1.310dd4e40f129p-3, -0x1.2b80eb8b842e7p-3, -0x1.260425cb4672ep-3, -0x1.20979f4380313p-3, -0x1.1b3b709f26f35p-3, -0x1.15efafa83b053p-3, -0x1.10b46f5bd85fdp-3, -0x1.0b89bffe22a3p-3, -0x1.066faf2e03514p-3, -0x1.016647f8b7ab6p-3, -0x1.f8db25da4e422p-4, -0x1.ef0b2c5e1484ep-4, -0x1.e55cab13bb96cp-4, -0x1.dbcfa50729301p-4, -0x1.d26418de29a43p-4, -0x1.c91a00fcf29c4p-4, -0x1.bff153aa2727dp-4, -0x1.b6ea03325ee5bp-4, -0x1.ae03fe0b23f4fp-4, -0x1.a53f2ef582112p-4, -0x1.9c9b7d1ff597dp-4, -0x1.9418cc47e807bp-4, -0x1.8bb6fcda9b02bp-4, -0x1.8375ec1583961p-4, -0x1.7b557426210a1p-4, -0x1.73556c49409fap-4, -0x1.6b75a8e9b3dd3p-4, -0x1.63b5fbbe7720ep-4, -0x1.5c1633e847105p-4, -0x1.54961e0ea4046p-4, -0x1.4d35847c44d93p-4, -0x1.45f42f3af6d97p-4, -0x1.3ed1e42eec86ap-4, -0x1.37ce673177ba4p-4, -0x1.30e97a2b33582p-4, -0x1.2a22dd2d9b29fp-4, -0x1.237a4e8c0fc7dp-4, -0x1.1cef8af44bd45p-4, -0x1.16824d864815dp-4, -0x1.10324feb8de63p-4, -0x1.09ff4a6df9bb2p-4, -0x1.03e8f40df394fp-4, -0x1.fbde0530269aap-5, -0x1.f02255747fcd1p-5, -0x1.e49e40307792p-5, -0x1.d9512abf569a2p-5, -0x1.ce3a78b726908p-5, -0x1.c3598c0e9290ap-5, -0x1.b8adc541caa26p-5, -0x1.ae36837652aa4p-5, -0x1.a3f3249dcf71cp-5, -0x1.99e30597cc82cp-5, -0x1.9005825283a08p-5, -0x1.8659f5eaa3c2p-5, -0x1.7cdfbaca24931p-5, -0x1.73962ac615f16p-5, -0x1.6a7c9f3b8f4a9p-5, -0x1.6192712b9b508p-5, -0x1.58d6f95644422p-5, -0x1.50499054b2b5cp-5, -0x1.47e98eb26c436p-5, -0x1.3fb64d05a9436p-5, -0x1.37af2406d22bp-5, -0x1.2fd36ca72648cp-5, -0x1.2822802685e5dp-5, -0x1.209bb8286fa1ap-5, -0x1.193e6ec82c745p-5, -0x1.1209feac3540fp-5, -0x1.0afdc318d4132p-5, -0x1.04191801f67aep-5, -0x1.fab6b438a8696p-6, -0x1.ed87cddb9434cp-6, -0x1.e0a439ba20d45p-6, -0x1.d40ab68151b53p-6, -0x1.c7ba04da65267p-6, -0x1.bbb0e7860fc76p-6, -0x1.afee23766a69bp-6, -0x1.a4707fe7a7841p-6, -0x1.9936c6777a63dp-6, -0x1.8e3fc33b51e53p-6, -0x1.838a44d55fa93p-6, -0x1.79151c887439bp-6, -0x1.6edf1e4aca25ap-6, -0x1.64e720d79aca7p-6, -0x1.5b2bfdbfc10afp-6, -0x1.51ac91793e54cp-6, -0x1.4867bb6dbbfb9p-6, -0x1.3f5c5e081ebcep-6, -0x1.36895ec115e56p-6, -0x1.2deda62ac0d74p-6, -0x1.25881ffb6af06p-6, -0x1.1d57bb177238fp-6, -0x1.155b699a45268p-6, -0x1.0d9220de89bfp-6, -0x1.05fad9858d122p-6, -0x1.fd291efbb3ed5p-7, -0x1.eebc841216e69p-7, -0x1.e0ade781f6642p-7, -0x1.d2fb55382fd72p-7, -0x1.c5a2dfe2778p-7, -0x1.b8a2a0f553a78p-7, -0x1.abf8b8b1218dep-7, -0x1.9fa34e25a294ap-7, -0x1.93a08f3480d2ap-7, -0x1.87eeb092a94aep-7, -0x1.7c8bedc87fff1p-7, -0x1.717689310b6c5p-7, -0x1.66accbf816091p-7, -0x1.5c2d06176bc48p-7, -0x1.51f58e5300dd4p-7, -0x1.4804c2345246dp-7, -0x1.3e590604dd481p-7, -0x1.34f0c4c7ad0d5p-7, -0x1.2bca703249566p-7, -0x1.22e480a4bee4ep-7, -0x1.1a3d7520f64efp-7, -0x1.11d3d341649b4p-7, -0x1.09a6272efd4e8p-7, -0x1.01b30396945b5p-7, -0x1.f3f2033b5bf7ep-8, -0x1.e4ed81ad4522ap-8, -0x1.d655ce689381dp-8, -0x1.c82841fa42d7ap-8, -0x1.ba62417bfa0aap-8, -0x1.ad013e784d889p-8, -0x1.a002b6ce87803p-8, -0x1.936434952487bp-8, -0x1.87234dfbea154p-8, -0x1.7b3da52d4f053p-8, -0x1.6fb0e82ecd764p-8, -0x1.647ad0c10fc67p-8, -0x1.5999243f46cc7p-8, -0x1.4f09b37e0ab06p-8, -0x1.44ca5aa9c033ap-8, -0x1.3ad90124821f5p-8, -0x1.31339963ac675p-8, -0x1.27d820cce6632p-8, -0x1.1ec49f9327654p-8, -0x1.15f72892fba3fp-8, -0x1.0d6dd92ee61efp-8, -0x1.0526d92b5c596p-8, -0x1.fa40b51504ebfp-9, -0x1.eab132cfc5149p-9, -0x1.db9bb7a7c66a3p-9, -0x1.ccfce35e32a9bp-9, -0x1.bed1690b283a5p-9, -0x1.b1160ed4684d3p-9, -0x1.a3c7ada3720e6p-9, -0x1.96e330dc2341bp-9, -0x1.8a659612e3c76p-9, -0x1.7e4becc3664f4p-9, -0x1.72935606f0934p-9, -0x1.6739044b6c8b4p-9, -0x1.5c3a3b0a4b77p-9, -0x1.51944e7f9b92fp-9, -0x1.4744a361baddp-9, -0x1.3d48ae98d45e2p-9, -0x1.339df4f76e7c2p-9, -0x1.2a420af2bb5e9p-9, -0x1.2132945b62eccp-9, -0x1.186d4417327a8p-9, -0x1.0fefdbdabb918p-9, -0x1.07b82be3c2754p-9, -0x1.ff8825680b32ap-10, -0x1.f022f9998a1d1p-10, -0x1.e13cc8d522de1p-10, -0x1.d2d1a283b1029p-10, -0x1.c4ddb07867047p-10, -0x1.b75d366be2389p-10, -0x1.aa4c917921be6p-10, -0x1.9da8379bf57d6p-10, -0x1.916cb72ff79e6p-10, -0x1.8596b6719f13p-10, -0x1.7a22f300869cp-10, -0x1.6f0e4162fa52bp-10, -0x1.64558c8aff7f8p-10, -0x1.59f5d55d09687p-10, -0x1.4fec3237fc841p-10, -0x1.4635ce7e74ce6p-10, -0x1.3ccfea2249334p-10, -0x1.33b7d930c79e3p-10, -0x1.2aeb0360de2f7p-10, -0x1.2266e3a2f82a4p-10, -0x1.1a2907b1fd5ep-10, -0x1.122f0fa651d9p-10, -0x1.0a76ad8a03584p-10, -0x1.02fda4eef803fp-10, -0x1.f783950cb2df6p-11, -0x1.e982077353bd6p-11, -0x1.dbf28c8b49927p-11, -0x1.ced12faccc76ep-11, -0x1.c21a1b4ac9537p-11, -0x1.b5c99831de302p-11, -0x1.a9dc0cca773ffp-11, -0x1.9e4dfc5e13a51p-11, -0x1.931c065f9026ep-11, -0x1.8842e5b7182d9p-11, -0x1.7dbf7010951fdp-11, -0x1.738e952db19p-11, -0x1.69ad5e3a88812p-11, -0x1.6018ed262ebcep-11, -0x1.56ce7bfd074d3p-11, -0x1.4dcb5c4771072p-11, -0x1.450cf66af818ep-11, -0x1.3c90c90df2639p-11, -0x1.3454687f555f1p-11, -0x1.2c557e202c597p-11, -0x1.2491c7d0fa56dp-11, -0x1.1d071761bc8e2p-11, -0x1.15b3520445e74p-11, -0x1.0e946fc249c0ep-11, -0x1.07a87af5d22dep-11, -0x1.00ed8fc440f8fp-11, -0x1.f4c3b7390e78ap-12, -0x1.e80739701ddbbp-12, -0x1.dba2433b895a4p-12, -0x1.cf9191511f8b5p-12, -0x1.c3d1ff20225cep-12, -0x1.b86085e814432p-12, -0x1.ad3a3bd4103bfp-12, -0x1.a25c531ca08cep-12, -0x1.97c4192ce922dp-12, -0x1.8d6ef5ce73cccp-12, -0x1.835a6a5850184p-12, -0x1.798410e3bf2a2p-12, -0x1.6fe99b867661dp-12, -0x1.6688d38f8260ap-12, -0x1.5d5f98cac1901p-12, -0x1.546be0c7c2807p-12, -0x1.4babb6252e028p-12, -0x1.431d37e14e72dp-12, -0x1.3abe98ae4e2eep-12, -0x1.328e1e4abcddp-12, -0x1.2a8a20de7f8ecp-12, -0x1.22b10a5b51c4dp-12, -0x1.1b0155e2761c3p-12, -0x1.13798f2d3c828p-12, -0x1.0c1851f9bafap-12, -0x1.04dc497be2ce8p-12, -0x1.fb885fa37c5fap-13, -0x1.ed9d9af7dd88ep-13, -0x1.dff5f1b194be9p-13, -0x1.d28f2b493f6cap-13, -0x1.c56728f74b2e6p-13, -0x1.b87be4c254dd8p-13, -0x1.abcb7091ca66dp-13, -0x1.9f53f547d99d7p-13, -0x1.9313b1e19a3acp-13, -0x1.8708fa9e3e9b1p-13, -0x1.7b32382c61ee3p-13, -0x1.6f8de6dca7645p-13, -0x1.641a95da65b1cp-13, -0x1.58d6e66c0ac08p-13, -0x1.4dc18b366afacp-13, -0x1.42d947874b905p-13, -0x1.381ceea5638cep-13, -0x1.2d8b632573601p-13, -0x1.23239644040bcp-13, -0x1.18e48745bf2c5p-13, -0x1.0ecd42db319a5p-13, -0x1.04dce28ac2ea6p-13, -0x1.f625183c801f4p-14, -0x1.e2dae22ca3ccap-14, -0x1.cfd99c42f2bdp-14, -0x1.bd1fd5305b98ep-14, -0x1.aaac2ff9b23aep-14, -0x1.987d630153ff7p-14, -0x1.8692371896fe8p-14, -0x1.74e98697e0e4ep-14, -0x1.63823c826abfcp-14, -0x1.525b53acdb4e1p-14, -0x1.4173d5ee2efccp-14, -0x1.30cadb5991b2ap-14, -0x1.205f897b1beb5p-14, -0x1.1031129f59121p-14, -0x1.003eb51f699f8p-14, -0x1.e10f7567bf81ap-15, -0x1.c216ef9f3e3b4p-15, -0x1.a39295ff38967p-15, -0x1.858138a0cfd44p-15, -0x1.67e1b9756d30bp-15, -0x1.4ab30b2ae4e17p-15, -0x1.2df430196d563p-15, -0x1.11a4393ec03dap-15, -0x1.eb848a81e5494p-16, -0x1.b49afefc31a3ep-16, -0x1.7e8a3e48bfa5fp-16, -0x1.4950cca8d53a1p-16, -0x1.14ed429ea586dp-16, -0x1.c2bc969e123fep-17, -0x1.5d45460bf2a8ep-17, -0x1.f2e456efd61dep-18, -0x1.2e81f6e7e27d9p-18, -0x1.b57c2442200e1p-20, 0x1.42229a882033p-20, 0x1.0b392223c0f0ep-18, 0x1.c2b64de47814cp-18, 0x1.3b81f692e7b88p-17, 0x1.9412d30b15387p-17, 0x1.eb0f82e1591bp-17, 0x1.203ce0f6111d3p-16, 0x1.4a29a186609afp-16, 0x1.734ed8f0bed2ep-16, 0x1.9bad5a2850bffp-16, 0x1.c345f605bdfafp-16, 0x1.ea197bfb380bdp-16, 0x1.08145d5d01617p-15, 0x1.1aba406b23f3fp-15, 0x1.2cfeceab26b43p-15, 0x1.3ee270210c871p-15, 0x1.50658d9241f92p-15, 0x1.618890c2e1a93p-15, 0x1.724be4ad8df35p-15, 0x1.82aff5b8cf0f7p-15, 0x1.92b531e6e8893p-15, 0x1.a25c0902b5c9dp-15, 0x1.b1a4ecc9f296p-15, 0x1.c0905112658a5p-15, 0x1.cf1eabec1710bp-15, 0x1.dd5075c0969dfp-15, 0x1.eb26296ee55d7p-15, 0x1.f8a044657d5bep-15, 0x1.02dfa35c34a9fp-14, 0x1.0941d99a78087p-14, 0x1.0f7707b935a38p-14, 0x1.157f71f075a58p-14, 0x1.1b5b5deaeeab1p-14, 0x1.210b12cb1e5dap-14, 0x1.268ed92f21097p-14, 0x1.2be6fb3392397p-14, 0x1.3113c47560305p-14, 0x1.3615821354435p-14, 0x1.3aec82ad45aafp-14, 0x1.3f991664ea7a8p-14, 0x1.441b8edb27d6p-14, 0x1.48743f2e20edep-14, 0x1.4ca37bf66ff77p-14, 0x1.50a99b432bd28p-14, 0x1.5486f4967a5fdp-14, 0x1.583be0dfca9abp-14, 0x1.5bc8ba7750caep-14, 0x1.5f2ddd17817c1p-14, 0x1.626ba5d6a8612p-14, 0x1.6582732043f35p-14, 0x1.6872a4adf699ep-14, 0x1.6b3c9b7f584f9p-14, 0x1.6de0b9d238b11p-14, 0x1.705f6319f030dp-14, 0x1.72b8fbf6e04fcp-14, 0x1.74edea2d2a41p-14, 0x1.76fe949be0f3dp-14, 0x1.78eb633345f04p-14, 0x1.7ab4beeaf039fp-14, 0x1.7c5b11b7d2972p-14, 0x1.7ddec68228ap-14, 0x1.7f40491b41372p-14, 0x1.8080063335033p-14, 0x1.819e6b4dfda94p-14, 0x1.829be6b97145p-14, 0x1.8378e7820d13ap-14, 0x1.8435dd680a568p-14, 0x1.84d338d50cb19p-14, 0x1.85516ad11e03cp-14, 0x1.85b0e4f7b50edp-14, 0x1.85f2196cdc8bcp-14, 0x1.86157ad2173bep-14, 0x1.861b7c3bee36ap-14, 0x1.86049126a624p-14, 0x1.85d12d6c0c973p-14, 0x1.8581c538579efp-14, 0x1.8516ccff7056bp-14, 0x1.8490b9728f6ffp-14, 0x1.83efff7587675p-14, 0x1.8335141462da7p-14, 0x1.82606c791680fp-14, 0x1.81727de168d3cp-14, 0x1.806bbd949797dp-14, 0x1.7f4ca0d9b8661p-14, 0x1.7e159ced513d7p-14, 0x1.7cc726f834fb9p-14, 0x1.7b61b4056345p-14, 0x1.79e5b8f935279p-14, 0x1.7853aa876c63bp-14, 0x1.76abfd2a6fbbp-14, 0x1.74ef251a566cep-14, 0x1.731d96439e502p-14, 0x1.7137c43f25a46p-14, 0x1.6f3e224943592p-14, 0x1.6d312339a6924p-14, 0x1.6b11397b3096bp-14, 0x1.68ded703eb07ap-14, 0x1.669a6d4ceccc3p-14, 0x1.64446d4b6f12dp-14, 0x1.61dd4768b4667p-14, 0x1.5f656b7b29936p-14, 0x1.5cdd48bf586e3p-14, 0x1.5a454dd0a93ebp-14, 0x1.579de8a30b791p-14, 0x1.54e7867c44ee5p-14, 0x1.522293edd3cfp-14, 0x1.4f4f7cce7b778p-14, 0x1.4c6eac349d57cp-14, 0x1.49808c7030ef6p-14, 0x1.46858705609efp-14, 0x1.437e04a71419bp-14, 0x1.406a6d318e1d2p-14, 0x1.3d4b27a57a92p-14, 0x1.3a209a2389021p-14, 0x1.36eb29e6e92a8p-14, 0x1.33ab3b419c78ap-14, 0x1.30613197b6c96p-14, 0x1.2d0d6f5b01e11p-14, 0x1.29b05607db6b6p-14, 0x1.264a46207024dp-14, 0x1.22db9f29ffa32p-14, 0x1.1f64bfa8998f4p-14, 0x1.1be6051c9f376p-14, 0x1.185fcbff1f7e5p-14, 0x1.14d26fbef01f9p-14, 0x1.113e4abe439c6p-14, 0x1.0da3b64fb1bf5p-14, 0x1.0a030ab40365dp-14, 0x1.065c9f17ab3ecp-14, 0x1.02b0c9909b4e8p-14, 0x1.fdffbe39666c9p-15, 0x1.f694673e430e9p-15, 0x1.ef2033bed3cdp-15, 0x1.e7a3c70f444c5p-15, 0x1.e01fc24549d9p-15, 0x1.d894c43711f23p-15, 0x1.d10369774aa2dp-15, 0x1.c96c4c547649ep-15, 0x1.c1d004d6cad8ep-15, 0x1.ba2f28bdd76d7p-15, 0x1.b28a4b8125b99p-15, 0x1.aae1fe4d099a6p-15, 0x1.a336d003abb4fp-15, 0x1.9b894d3bb5597p-15, 0x1.93da003fb5f36p-15, 0x1.8c29710ee4829p-15, 0x1.8478255d1ff7ap-15, 0x1.7cc6a0925ac3dp-15, 0x1.751563ccf148fp-15, 0x1.6d64ede129f29p-15, 0x1.65b5bb5a6b0efp-15, 0x1.5e08467c749ecp-15, 0x1.565d0745a68e9p-15, 0x1.4eb4736eccd53p-15, 0x1.470efe6e9b86ap-15, 0x1.3f6d197afcd08p-15, 0x1.37cf338a9390dp-15, 0x1.3035b957f23cp-15, 0x1.28a11563dcc38p-15, 0x1.2111aff6e298p-15, 0x1.1987ef25d469ep-15, 0x1.120436d32a49ep-15, 0x1.0a86e8b2b6dbp-15, 0x1.0310644c9beddp-15, 0x1.f7420e0247c6fp-16, 0x1.e8725816284ebp-16, 0x1.d9b259089a2e2p-16, 0x1.cb02bed1ac11p-16, 0x1.bc64333685a7ep-16, 0x1.add75bcf34c39p-16, 0x1.9f5cda1030288p-16, 0x1.90f54b5374c85p-16, 0x1.82a148de0db09p-16, 0x1.746167eaaa206p-16, 0x1.663639b34dc1dp-16, 0x1.58204b7753d02p-16, 0x1.4a2026871a99cp-16, 0x1.3c36504bd0377p-16, 0x1.2e634a52589eap-16, 0x1.20a7925262992p-16, 0x1.1303a23ae43ecp-16, 0x1.0577f03a2ab03p-16, 0x1.f009dd900c809p-17, 0x1.d556195f4eb3fp-17, 0x1.bad56a36c956dp-17, 0x1.a0889f390b685p-17, 0x1.8670806e726f2p-17, 0x1.6c8dced9b98fcp-17, 0x1.52e1448a1a0f1p-17, 0x1.396b94b4dd9bfp-17, 0x1.202d6bc7bbec7p-17, 0x1.07276f7eb6722p-17, 0x1.dcb47df1cdb2fp-18, 0x1.ab8ce5a22e92ep-18, 0x1.7ad93a621fe87p-18, 0x1.4a9a93cc39551p-18, 0x1.1ad1fcf1d9dadp-18, 0x1.d700e90f22367p-19, 0x1.794dda227f55ep-19, 0x1.1c8c9a0e93d2bp-19, 0x1.817dbc2de41f3p-20, 0x1.9799107daceb5p-21, 0x1.808a6150005c4p-24, -0x1.339613d80801ap-21, -0x1.49abd402e5899p-20, -0x1.f79730645bc82p-20, -0x1.51c5614cbc4dbp-19, -0x1.a6c22c5c187bap-19, -0x1.fac0f55c608p-19, -0x1.26e06676a4115p-18, -0x1.4fe06bf9a3ec2p-18, -0x1.786027a0d3c33p-18, -0x1.a05f3f9fd49ecp-18, -0x1.c7dd63cb018afp-18, -0x1.eeda4d6d0a47ap-18, -0x1.0aaadf8dd41fcp-17, -0x1.1da7c2465eed4p-17, -0x1.3063b93486804p-17, -0x1.42deb312a985cp-17, -0x1.5518a2eb2dbc3p-17, -0x1.6711800568492p-17, -0x1.78c945cd85e18p-17, -0x1.8a3ff3c25cbb6p-17, -0x1.9b758d5fce881p-17, -0x1.ac6a1a0b146bfp-17, -0x1.bd1da4fd2f61dp-17, -0x1.cd903d2f5b1c5p-17, -0x1.ddc1f5479513ep-17, -0x1.edb2e3851dd18p-17, -0x1.fd6321aaa595dp-17, -0x1.0669667637c99p-16, -0x1.0e0102ee2a32cp-16, -0x1.1578782b38bd9p-16, -0x1.1ccfd9b763237p-16, -0x1.24073caeb776cp-16, -0x1.2b1eb7b627f09p-16, -0x1.321662f227193p-16, -0x1.38ee57fd8130fp-16, -0x1.3fa6b1e05eaadp-16, -0x1.463f8d06b5d16p-16, -0x1.4cb9073817052p-16, -0x1.53133f8ea4682p-16, -0x1.594e566dc3a49p-16, -0x1.5f6a6d7a07b62p-16, -0x1.6567a790433f2p-16, -0x1.6b4628bde090dp-16, -0x1.7106163745a01p-16, -0x1.76a796500dc9cp-16, -0x1.7c2ad073542aep-16, -0x1.818fed1b82077p-16, -0x1.86d715c98750fp-16, -0x1.8c0074fdd5881p-16, -0x1.910c362fd359bp-16, -0x1.95fa85c6f7ed7p-16, -0x1.9acb911294facp-16, -0x1.9f7f8642cd57ep-16, -0x1.a4169460ea20cp-16, -0x1.a890eb47f399ap-16, -0x1.aceebb9d679cdp-16, -0x1.b13036cacf696p-16, -0x1.b5558ef5f2338p-16, -0x1.b95ef6fa75098p-16, -0x1.bd4ca262ec0ccp-16, -0x1.c11ec561b657dp-16, -0x1.c4d594cae98c7p-16, -0x1.c871460dc50c3p-16, -0x1.cbf20f2e28127p-16, -0x1.cf5826be3af79p-16, -0x1.d2a3c3d80fcfp-16, -0x1.d5d51e179a351p-16, -0x1.d8ec6d94f9fb5p-16, -0x1.dbe9eadea3f6ap-16, -0x1.decdcef2bbfeep-16, -0x1.e1985339d7f12p-16, -0x1.e449b1818066cp-16, -0x1.e6e223f685781p-16, -0x1.e961e51f8f4d9p-16, -0x1.ebc92fd7a77cbp-16, -0x1.ee183f490ec62p-16, -0x1.f04f4ee815b5bp-16, -0x1.f26e9a6dd4d5cp-16, -0x1.f4765dd35a565p-16, -0x1.f666d54cd7b44p-16, -0x1.f8403d44c6028p-16, -0x1.fa02d256e855ap-16, -0x1.fbaed14bfd48p-16, -0x1.fd44771557ff6p-16, -0x1.fec400c7db63p-16, -0x1.0016d5cc01c4dp-15, -0x1.00c0da6ab20aap-15, -0x1.01602cf38072p-15, -0x1.01f4ec2335365p-15, -0x1.027f36be1a59ap-15, -0x1.02ff2b8e0e68bp-15, -0x1.0374e96069d96p-15, -0x1.03e08f0416da7p-15, -0x1.04423b47cccd7p-15, -0x1.049a0cf86389p-15, -0x1.04e822ded1935p-15, -0x1.052c9bbea762p-15, -0x1.056796542332fp-15, -0x1.05993152b4391p-15, -0x1.05c18b6340e61p-15, -0x1.05e0c322ba4d8p-15, -0x1.05f6f720844c9p-15, -0x1.060445dcbfcap-15, -0x1.0608cdc70e60ep-15, -0x1.0604ad3d2d54dp-15, -0x1.05f8028966034p-15, -0x1.05e2ebe1317cdp-15, -0x1.05c58763f781ap-15, -0x1.059ff319c1f54p-15, -0x1.05724cf1fac5ep-15, -0x1.053cb2c21ab18p-15, -0x1.04ff4244a019fp-15, -0x1.04ba1917d420ap-15, -0x1.046d54bc9414ep-15, -0x1.04191295587edp-15, -0x1.03bd6fe50509cp-15, -0x1.035a89ce09236p-15, -0x1.02f07d512235dp-15, -0x1.027f674c9dc8p-15, -0x1.0207647b3b6cbp-15, -0x1.01889173755f1p-15, -0x1.01030aa66a5e5p-15, -0x1.0076ec5f00d2cp-15, -0x1.ffc8a5826d3e2p-16, -0x1.fe96b3928b6c6p-16, -0x1.fd583a958522p-16, -0x1.fc0d71dff4d2ep-16, -0x1.fab6907252366p-16, -0x1.f953ccf7b8d45p-16, -0x1.f7e55dc4455d7p-16, -0x1.f66b78d3e64e7p-16, -0x1.f4e653c9520b8p-16, -0x1.f35623ec9a43dp-16, -0x1.f1bb1e29f336cp-16, -0x1.f0157710bdfc8p-16, -0x1.ee6562d264b07p-16, -0x1.ecab154182456p-16, -0x1.eae6c1d0959d4p-16, -0x1.e9189b9181461p-16, -0x1.e740d53426ca7p-16, -0x1.e55fa105e5b5fp-16, -0x1.e37530f0d28acp-16, -0x1.e181b67ab6f3bp-16, -0x1.df8562c48822ep-16, -0x1.dd806689974b3p-16, -0x1.db72f21f2cbebp-16, -0x1.d95d3573b7afap-16, -0x1.d73f600e018bep-16, -0x1.d519a10d11e24p-16, -0x1.d2ec27278db2ap-16, -0x1.d0b720ab126afp-16, -0x1.ce7abb7bce237p-16, -0x1.cc37251489b5cp-16, }}, 
      {{0x1.ffe85e6a8a5dap-1, 0x1.ffa1bcaab23ep-1, 0x1.ff2cdebf92f51p-1, 0x1.fe8afcd3e2872p-1, 0x1.fdbdb232f467cp-1, 0x1.fcc6ea9d88edfp-1, 0x1.fba8cfa8c2ecdp-1, 0x1.fa65b72c34b76p-1, 0x1.f9001352ac394p-1, 0x1.f77a6495114c1p-1, 0x1.f5d72db47d996p-1, 0x1.f418e9a8c67bap-1, 0x1.f2420365656cep-1, 0x1.f054cf4bf878ap-1, 0x1.ee53861ea8fcdp-1, 0x1.ec404143a6819p-1, 0x1.ea1cf82c201a5p-1, 0x1.e7eb7eb3db01cp-1, 0x1.e5ad8451f7d31p-1, 0x1.e36493f754e1ap-1, 0x1.e112147ad8a62p-1, 0x1.deb74977c0afcp-1, 0x1.dc555485a452ap-1, 0x1.d9ed36b527635p-1, 0x1.d77fd23f5e0a5p-1, 0x1.d50dec5899d91p-1, 0x1.d2982f19bfc98p-1, 0x1.d01f2b7567bdbp-1, 0x1.cda35b2fed61dp-1, 0x1.cb2522d333c95p-1, 0x1.c8a4d39851da4p-1, 0x1.c622ad428dbbfp-1, 0x1.c39edfe824c1fp-1, 0x1.c1198da63c4b5p-1, 0x1.be92cc3e1bf9p-1, 0x1.bc0aa69a75e4ap-1, 0x1.b9811e3c0b62ep-1, 0x1.b6f62c8d69ebap-1, 0x1.b469c41ddd312p-1, 0x1.b1dbd1c3f8afbp-1, 0x1.af4c3da8585e5p-1, 0x1.acbaec3966fb5p-1, 0x1.aa27bf091a51p-1, 0x1.a7929595aa773p-1, 0x1.a4fb4dfe630bap-1, 0x1.a261c5a5adca1p-1, 0x1.9fc5d9c17fd37p-1, 0x1.9d2767db555dap-1, 0x1.9a864e40dba6ap-1, 0x1.97e26c666a8ecp-1, 0x1.953ba33c63262p-1, 0x1.9291d5787e23bp-1, 0x1.8fe4e7d40760dp-1, 0x1.8d34c13ffb8b4p-1, 0x1.8a814b0fec86dp-1, 0x1.87ca711c82e7bp-1, 0x1.851021de6a907p-1, 0x1.82524e8260f9cp-1, 0x1.7f90eaf71d323p-1, 0x1.7ccbedf5ad468p-1, 0x1.7a035104e5a5cp-1, 0x1.773710786a2dbp-1, 0x1.74672b6bd30f7p-1, 0x1.7193a3ba61a7p-1, 0x1.6ebc7df3b33a5p-1, 0x1.6be1c14dd146ep-1, 0x1.69037794fbf3bp-1, 0x1.6621ad197ee95p-1, 0x1.633c709bd9cc1p-1, 0x1.6053d33782edep-1, 0x1.5d67e84c7d9d5p-1, 0x1.5a78c567fd05ep-1, 0x1.5786822c45c54p-1, 0x1.54913837f7fd3p-1, 0x1.5199030cee4dap-1, 0x1.4e9dfff6d1296p-1, 0x1.4ba04df181b4dp-1, 0x1.48a00d8f77e2ep-1, 0x1.459d60e02d53cp-1, 0x1.42986b56abd32p-1, 0x1.3f9151b0517e3p-1, 0x1.3c8839dbe1a91p-1, 0x1.397d4ae0e9fcbp-1, 0x1.3670acc7923c5p-1, 0x1.33628880dadf5p-1, 0x1.305307cf59031p-1, 0x1.2d425530792a1p-1, 0x1.2a309bc64ba35p-1, 0x1.271e0741e7943p-1, 0x1.240ac3ce62e16p-1, 0x1.20f6fdfc69becp-1, 0x1.1de2e2ae73ea2p-1, 0x1.1ace9f059f0c1p-1, 0x1.17ba604f2cebep-1, 0x1.14a653f2a73a5p-1, 0x1.1192a760ab5d8p-1, 0x1.0e7f88025d5c9p-1, 0x1.0b6d232982248p-1, 0x1.085ba6013fd36p-1, 0x1.054b3d7f83d1ep-1, 0x1.023c16570dda5p-1, 0x1.fe5cb9d43a923p-2, 0x1.f8447a7b7d08dp-2, 0x1.f22fc5db7397bp-2, 0x1.ec1ef242354a3p-2, 0x1.e61254feac1b6p-2, 0x1.e00a424c0723p-2, 0x1.da070d3e5b591p-2, 0x1.d40907b06860ap-2, 0x1.ce108232765bfp-2, 0x1.c81dcbfa4e1b3p-2, 0x1.c23132d441f92p-2, 0x1.bc4b03153f7aep-2, 0x1.b66b878de5bd6p-2, 0x1.b093097e97042p-2, 0x1.aac1d08c83359p-2, 0x1.a4f822b79cc1ep-2, 0x1.9f3644517b792p-2, 0x1.997c77f51c29bp-2, 0x1.93cafe7f7b444p-2, 0x1.8e22170905af1p-2, 0x1.8881fedfd226ap-2, 0x1.82eaf182a39bap-2, 0x1.7d5d289ca91f6p-2, 0x1.77d8dc01f3034p-2, 0x1.725e41ac9eed8p-2, 0x1.6ced8dbaaa2d2p-2, 0x1.6786f26c688aap-2, 0x1.622aa0239b9f8p-2, 0x1.5cd8c5631b516p-2, 0x1.57918ecf16784p-2, 0x1.5255272dd938dp-2, 0x1.4d23b769174f9p-2, 0x1.47fd668fb8faep-2, 0x1.42e259d81c72p-2, 0x1.3dd2b4a2cb774p-2, 0x1.38ce987d9d8c3p-2, 0x1.33d6252743b35p-2, 0x1.2ee9789332504p-2, 0x1.2a08aeedec39fp-2, 0x1.2533e2a1a07cp-2, 0x1.206b2c5b200e1p-2, 0x1.1baea30f1acabp-2, 0x1.16fe5bffac718p-2, 0x1.125a6ac225ea6p-2, 0x1.0dc2e1451c05bp-2, 0x1.0937cfd6af697p-2, 0x1.04b9452b0863cp-2, 0x1.00474e630b08fp-2, 0x1.f7c3ee266952fp-3, 0x1.ef1292954a841p-3, 0x1.e67a9b34a64aap-3, 0x1.ddfc1638b6767p-3, 0x1.d5970ef6f1ab7p-3, 0x1.cd4b8df522a01p-3, 0x1.c51998f8beb0cp-3, 0x1.bd0133166083dp-3, 0x1.b5025cc16b235p-3, 0x1.ad1d13dbc85cp-3, 0x1.a55153c5c5e51p-3, 0x1.9d9f156e05e25p-3, 0x1.96064f61766f3p-3, 0x1.8e86f5db60ea6p-3, 0x1.8720fad56f93dp-3, 0x1.7fd44e17c21f3p-3, 0x1.78a0dd48efcd3p-3, 0x1.718693fe0fadbp-3, 0x1.6a855bcaa75efp-3, 0x1.639d1c509648ap-3, 0x1.5ccdbb4fe12c5p-3, 0x1.56171cb674088p-3, 0x1.4f7922afbb864p-3, 0x1.48f3adb42e90ap-3, 0x1.42869c98abf1bp-3, 0x1.3c31cc9dbf4e8p-3, 0x1.35f5197eb6a2fp-3, 0x1.2fd05d8098f5p-3, 0x1.29c37180eca6p-3, 0x1.23ce2d0451ca4p-3, 0x1.1df06644f246cp-3, 0x1.1829f240bd292p-3, 0x1.127aa4c770bcbp-3, 0x1.0ce25088719b8p-3, 0x1.0760c720707d7p-3, 0x1.01f5d926d0b1ep-3, 0x1.f942ac75c1b8ap-4, 0x1.eec61a21a1aedp-4, 0x1.e47596fcf02ffp-4, 0x1.da50bd0fb5f1ep-4, 0x1.d05724d6e86ddp-4, 0x1.c688655c86f97p-4, 0x1.bce4144f4586bp-4, 0x1.b369c619b1bp-4, 0x1.aa190df8de61fp-4, 0x1.a0f17e1297e42p-4, 0x1.97f2a78b19ecap-4, 0x1.8f1c1a9a45cdfp-4, 0x1.866d66a059ce2p-4, 0x1.7de61a3a3137dp-4, 0x1.7585c35500d39p-4, 0x1.6d4bef4199781p-4, 0x1.65382ac72b69p-4, 0x1.5d4a02358ebd7p-4, 0x1.558101770dd11p-4, 0x1.4ddcb421b4e9bp-4, 0x1.465ca58828205p-4, 0x1.3f0060c9fc626p-4, 0x1.37c770e39a0dep-4, 0x1.30b160bda4ef5p-4, 0x1.29bdbb3bee61ap-4, 0x1.22ec0b4bf271p-4, 0x1.1c3bdbf2db413p-4, 0x1.15acb85b189c3p-4, 0x1.0f3e2be17ce35p-4, 0x1.08efc221eeddp-4, 0x1.02c10703a8fc8p-4, 0x1.f9630d8a18f05p-5, 0x1.ed819c0e0abc3p-5, 0x1.e1dcd3b00e157p-5, 0x1.d673cf7d360b8p-5, 0x1.cb45ab87194dep-5, 0x1.c05184f75389fp-5, 0x1.b5967a2246ad6p-5, 0x1.ab13aa9911d8fp-5, 0x1.a0c8373ac6764p-5, 0x1.96b34244e05cp-5, 0x1.8cd3ef6301024p-5, 0x1.832963bdf9623p-5, 0x1.79b2c60a146ebp-5, 0x1.706f3e94bdf12p-5, 0x1.675df75172719p-5, 0x1.5e7e1be6106f8p-5, 0x1.55ced9b679af5p-5, 0x1.4d4f5fef9bd41p-5, 0x1.44fedf91d55e2p-5, 0x1.3cdc8b7ac2aa8p-5, 0x1.34e7986e73a73p-5, 0x1.2d1f3d200e1b8p-5, 0x1.2582b239e27f6p-5, 0x1.1e113264f2ad9p-5, 0x1.16c9fa4feea9cp-5, 0x1.0fac48b5b1543p-5, 0x1.08b75e6338d2ap-5, 0x1.01ea7e3d21b73p-5, 0x1.f689da8949cc2p-6, 0x1.e98be5384d4c8p-6, 0x1.dcd9af168f79p-6, 0x1.d071cf051aa5cp-6, 0x1.c452e03d34173p-6, 0x1.b87b8255fb0c5p-6, 0x1.acea59493e885p-6, 0x1.a19e0d777c7b9p-6, 0x1.96954bab3dabcp-6, 0x1.8bcec51b9d184p-6, 0x1.81492f6e2898bp-6, 0x1.770344b80f729p-6, 0x1.6cfbc37eb29aep-6, 0x1.63316eb780d2ep-6, 0x1.59a30dc74607dp-6, 0x1.504f6c80e0975p-6, 0x1.47355b2362195p-6, 0x1.3e53ae57aa76ap-6, 0x1.35a93f2d6fed8p-6, 0x1.2d34eb17d7332p-6, 0x1.24f593e988b28p-6, 0x1.1cea1fd04889cp-6, 0x1.1511795024456p-6, 0x1.0d6a8f3e34f1ap-6, 0x1.05f454baefe12p-6, 0x1.fd5b82583ac0ap-7, 0x1.ef2ba06cd6f9bp-7, 0x1.e157036d4aa4cp-7, 0x1.d3dbb375343d9p-7, 0x1.c6b7c0f351b7p-7, 0x1.b9e9449a0dc24p-7, 0x1.ad6e5f4f686bdp-7, 0x1.a1453a1c5e3dfp-7, 0x1.956c061bd4f26p-7, 0x1.89e0fc68ed544p-7, 0x1.7ea25e0cfc77dp-7, 0x1.73ae73ed06482p-7, 0x1.69038eb6d428ap-7, 0x1.5ea006cdb7252p-7, 0x1.54823c36ce489p-7, 0x1.4aa8968529c4bp-7, 0x1.411184c56649bp-7, 0x1.37bb7d69379ebp-7, 0x1.2ea4fe328c58dp-7, 0x1.25cc8c1e85f1ep-7, 0x1.1d30b3502c306p-7, 0x1.14d006faff7d5p-7, 0x1.0ca9214d537e3p-7, 0x1.04baa35a7ec25p-7, 0x1.fa066a09e5971p-8, 0x1.eb0309d05e6e2p-8, 0x1.dc6890852c284p-8, 0x1.ce3475be69a8ep-8, 0x1.c0643dfeeae73p-8, 0x1.b2f57a89808edp-8, 0x1.a5e5c9343406ep-8, 0x1.9932d43b75f68p-8, 0x1.8cda521537f4dp-8, 0x1.80da054429202p-8, 0x1.752fbc2ad0ee6p-8, 0x1.69d950dee4414p-8, 0x1.5ed4a8fc8cf7cp-8, 0x1.541fb579e9cb4p-8, 0x1.49b8727a9d173p-8, 0x1.3f9ce72381e98p-8, 0x1.35cb256e9644ep-8, 0x1.2c4149ff192e9p-8, 0x1.22fd7bf5c9f21p-8, 0x1.19fdecc575a5cp-8, 0x1.1140d807bc6a2p-8, 0x1.08c4835219a74p-8, 0x1.00873e0b29169p-8, 0x1.f10ec28083dbbp-9, 0x1.e1869ef6c517p-9, 0x1.d272e932bb6f1p-9, 0x1.c3d08b40c98fcp-9, 0x1.b59c812dd0ec8p-9, 0x1.a7d3d8b59bbf1p-9, 0x1.9a73b0f232e62p-9, 0x1.8d793a0b81739p-9, 0x1.80e1b4e83c7ddp-9, 0x1.74aa72df36765p-9, 0x1.68d0d569a3723p-9, 0x1.5d524dd6278b6p-9, 0x1.522c5cfca65a3p-9, 0x1.475c92f3050f7p-9, 0x1.3ce08ec2a5359p-9, 0x1.32b5fe1ec48fap-9, 0x1.28da9d1bd92c5p-9, 0x1.1f4c35e780f76p-9, 0x1.1608a081aecb7p-9, 0x1.0d0dc27674949p-9, 0x1.04598e98c7f58p-9, 0x1.f7d4097c743e7p-10, 0x1.e77a62f70c481p-10, 0x1.d7a25bc41535cp-10, 0x1.c8483e7c4c42p-10, 0x1.b9686dad1efedp-10, 0x1.aaff63591dfbfp-10, 0x1.9d09b079fbbedp-10, 0x1.8f83fc84e1949p-10, 0x1.826b04f048d38p-10, 0x1.75bb9cbb8fb76p-10, 0x1.6972abf8a50b5p-10, 0x1.5d8d2f574a468p-10, 0x1.520837b25dd3ap-10, 0x1.46e0e99ebe0bcp-10, 0x1.3c147cfc24988p-10, 0x1.31a03c879a8a1p-10, 0x1.2781856fde125p-10, 0x1.1db5c6eba5a2bp-10, 0x1.143a81d16898dp-10, 0x1.0b0d4831066d9p-10, 0x1.022bbcef2807ep-10, 0x1.f32726c511278p-11, 0x1.e2851de560dc8p-11, 0x1.d26d057103413p-11, 0x1.c2daa2413a05cp-11, 0x1.b3c9d71e4e6cbp-11, 0x1.a536a40afcf7dp-11, 0x1.971d25930dfbap-11, 0x1.8979941ce1e6fp-11, 0x1.7c48433ebe9bap-11, 0x1.6f85a116c1e5bp-11, 0x1.632e35a684595p-11, 0x1.573ea2319d6edp-11, 0x1.4bb3a09f37eb3p-11, 0x1.408a02dee8942p-11, 0x1.35beb25053a9ap-11, 0x1.2b4eaf2e39d26p-11, 0x1.21370ffbc4971p-11, 0x1.177500f5af68bp-11, 0x1.0e05c3857161ep-11, 0x1.04e6adb7e7edep-11, 0x1.f82a536d3779bp-12, 0x1.e71d6a871c091p-12, 0x1.d6a1c2705e8b3p-12, 0x1.c6b2a20d9109ap-12, 0x1.b74b747d2fa35p-12, 0x1.a867c82571be8p-12, 0x1.9a034dc6a7dc6p-12, 0x1.8c19d7935db49p-12, 0x1.7ea7584cf4ad9p-12, 0x1.71a7e265f0995p-12, 0x1.6517a7281f2f2p-12, 0x1.58f2f5e089a79p-12, 0x1.4d363b0f705fcp-12, 0x1.41ddff9d6748cp-12, 0x1.36e6e814a2a5ap-12, 0x1.2c4db3df29976p-12, 0x1.220f3c88fc9d9p-12, 0x1.18287506f29b1p-12, 0x1.0e966901f00bbp-12, 0x1.05563c25f2351p-12, 0x1.f8ca52eb3befbp-13, 0x1.e7810542d7548p-13, 0x1.d6cb5ec6e7b19p-13, 0x1.c6a459bd01974p-13, 0x1.b7071a02b486p-13, 0x1.a7eeebdbdc622p-13, 0x1.995742c76c3b3p-13, 0x1.8b3bb85c553b9p-13, 0x1.7d980b2d4832bp-13, 0x1.70681db3b69acp-13, 0x1.63a7f541645ccp-13, 0x1.5753b8f8759b7p-13, 0x1.4b67b0cae0e7ap-13, 0x1.3fe0447faebe9p-13, 0x1.34b9fabf0285p-13, 0x1.29f17823dcfadp-13, 0x1.1f837e54a3ab4p-13, 0x1.156ceb20dc86ep-13, 0x1.0baab7a55467ep-13, 0x1.0239f77602a8ap-13, 0x1.f22faf99f454p-14, 0x1.e0833d7ea78acp-14, 0x1.cf6954ef58c5cp-14, 0x1.bedce0ea47f76p-14, 0x1.aed8f9a07b6cdp-14, 0x1.9f58e308b47e2p-14, 0x1.90580b7ce9ef4p-14, 0x1.81d20a6073468p-14, 0x1.73c29ed0ff8b9p-14, 0x1.6625ae5f30c04p-14, 0x1.58f743d1b4646p-14, 0x1.4c338deff2785p-14, 0x1.3fd6de5652c78p-14, 0x1.33dda8524eeap-14, 0x1.28447fc6e9368p-14, 0x1.1d08181933f8dp-14, 0x1.12254324eae99p-14, 0x1.0798f037c13cap-14, 0x1.fac0562b4d159p-15, 0x1.e6f0360750021p-15, 0x1.d3bc03b1b71d5p-15, 0x1.c11e7630f9506p-15, 0x1.af1276216106cp-15, 0x1.9d931c026815ep-15, 0x1.8c9bae9083df2p-15, 0x1.7c27a12b3a08dp-15, 0x1.6c329246df49p-15, 0x1.5cb849eba964cp-15, 0x1.4db4b83fa2eeap-15, 0x1.3f23f41c175e1p-15, 0x1.310239ae50f28p-15, 0x1.234be9232e3f1p-15, 0x1.15fd855d1144fp-15, 0x1.0913b2b397a34p-15, 0x1.f9166b7d6a49ep-16, 0x1.e0c1e45426b86p-16, 0x1.c923d325395ddp-16, 0x1.b23674dc03a81p-16, 0x1.9bf43df31b247p-16, 0x1.8657d865baa3p-16, 0x1.715c21b2bdfbp-16, 0x1.5cfc28ecfb1bp-16, 0x1.49332ce030aadp-16, 0x1.35fc9a42f3946p-16, 0x1.235409f79b0dep-16, 0x1.11353f5d0634ap-16, 0x1.ff384d5cc1c4cp-17, 0x1.dd09a6dc52be1p-17, 0x1.bbd6fdc2f601ap-17, 0x1.9b990d325e4b8p-17, 0x1.7c48d60a68db2p-17, 0x1.5ddf9c2b99bfbp-17, 0x1.4056e3d1a4752p-17, 0x1.23a86f05b6e21p-17, 0x1.07ce3b270e25bp-17, 0x1.d984fd1281d05p-18, 0x1.a4ff4c55b933ep-18, 0x1.7200a6ff5339cp-18, 0x1.407eb495b9791p-18, 0x1.106f7d280ed63p-18, 0x1.c392caa8326b5p-19, 0x1.690654e56602bp-19, 0x1.1127bddf626fap-19, 0x1.77cb9af28a7e9p-20, 0x1.a4bf9f361b2ccp-21, 0x1.8f6069c69bd47p-23, -0x1.a6ba681b414a4p-22, -0x1.008e017c4dca4p-20, -0x1.92cefdadc382cp-20, -0x1.1046b3cd57568p-19, -0x1.54f213b8660e2p-19, -0x1.97769f836347ap-19, -0x1.d7e0e9ea80d77p-19, -0x1.0b1e8e22b71c5p-18, -0x1.294b7d90d16e9p-18, -0x1.467cf558dd6bep-18, -0x1.62b8798212235p-18, -0x1.7e03620a0acd5p-18, -0x1.9862dcdb5393ap-18, -0x1.b1dbefac1d574p-18, -0x1.ca7379c8d2c95p-18, -0x1.e22e35c9863e4p-18, -0x1.f910bb3d35ef8p-18, -0x1.078fc01b9a0a9p-17, -0x1.122f6d694b80ap-17, -0x1.1c698151b10cfp-17, -0x1.2640090db0cf1p-17, -0x1.2fb503ec1b25fp-17, -0x1.38ca63f3e27ccp-17, -0x1.41820e7efdfe2p-17, -0x1.49dddccd0cd8cp-17, -0x1.51df9c8e9d10ep-17, -0x1.5989106d10799p-17, -0x1.60dbf089ed389p-17, -0x1.67d9eaf9590f6p-17, -0x1.6e84a4360082dp-17, -0x1.74ddb78f8a41dp-17, -0x1.7ae6b7957769cp-17, -0x1.80a12e78f0a88p-17, -0x1.860e9e6d6edp-17, -0x1.8b3082033dad7p-17, -0x1.90084c7e2dc68p-17, -0x1.94976a26c6151p-17, -0x1.98df409827ce5p-17, -0x1.9ce12f0995451p-17, -0x1.a09e8e93f994ap-17, -0x1.a418b2742f4f1p-17, -0x1.a750e84855d6ep-17, -0x1.aa48784d7a4e9p-17, -0x1.ad00a5950873ap-17, -0x1.af7aae3b65caep-17, -0x1.b1b7cb987cadbp-17, -0x1.b3b9327026327p-17, -0x1.b580131d4f291p-17, -0x1.b70d99bace38cp-17, -0x1.b862ee4d2938dp-17, -0x1.b98134e506288p-17, -0x1.ba698dc384b3p-17, -0x1.bb1d1579e5c8dp-17, -0x1.bb9ce508289b6p-17, -0x1.bbea11f99b04bp-17, -0x1.bc05ae7f47bcap-17, -0x1.bbf0c98864f23p-17, -0x1.bbac6eda94c73p-17, -0x1.bb39a7268e571p-17, -0x1.ba99781cb401fp-17, -0x1.b9cce47f0a238p-17, -0x1.b8d4ec34a75fap-17, -0x1.b7b28c56ab9afp-17, -0x1.b666bf40ee1d4p-17, -0x1.b4f27c9f31117p-17, -0x1.b356b97941c3ap-17, -0x1.b194683fc5ceep-17, -0x1.afac78d520225p-17, -0x1.ad9fd8985883ep-17, -0x1.ab6f726d735a2p-17, -0x1.a91c2ec5a28c3p-17, -0x1.a6a6f3a60401ep-17, -0x1.a410a4af2422ep-17, -0x1.a15a232129bb6p-17, -0x1.9e844de3ac118p-17, -0x1.9b900187cc72p-17, -0x1.987e184e0ca9ap-17, -0x1.954f6a299cfa1p-17, -0x1.9204ccc349802p-17, -0x1.8e9f137c4ac6ep-17, -0x1.8b1f0f7144794p-17, -0x1.87858f7b516fep-17, -0x1.83d3603318008p-17, -0x1.80094bf0b45fep-17, -0x1.7c281acec44b9p-17, -0x1.783092a899deep-17, -0x1.7423771de4524p-17, -0x1.7001899185aa2p-17, -0x1.6bcb8929f1d47p-17, -0x1.678232d1f6fa8p-17, -0x1.63264138d03d4p-17, -0x1.5eb86cd15a817p-17, -0x1.5a396bd291d11p-17, -0x1.55a9f23747db5p-17, -0x1.510ab1bdac578p-17, -0x1.4c5c59e718fe1p-17, -0x1.479f97f77b5ddp-17, -0x1.42d516f569c17p-17, -0x1.3dfd7fa9917c1p-17, -0x1.3919789e40294p-17, -0x1.3429a61f2cc44p-17, -0x1.2f2eaa3904f12p-17, -0x1.2a2924b9273c1p-17, -0x1.2519b32d1f3c1p-17, -0x1.2000f0e38a6d8p-17, -0x1.1adf76ea5c774p-17, -0x1.15b5dc1071896p-17, -0x1.1084b4e469aa5p-17, -0x1.0b4c93b59f01fp-17, -0x1.060e08938a595p-17, -0x1.00c9a14ebedffp-17, -0x1.f6ffd2f22024ep-18, -0x1.ec62d4cb40db9p-18, -0x1.e1bd56542916dp-18, -0x1.d710613e5aaa5p-18, -0x1.cc5cfac28e8c7p-18, -0x1.c1a423a399e0bp-18, -0x1.b6e6d83080e34p-18, -0x1.ac2610453728ep-18, -0x1.a162bf4ee97d7p-18, -0x1.969dd44e4185cp-18, -0x1.8bd839d97f4cp-18, -0x1.8112d62154632p-18, -0x1.764e8af2fc965p-18, -0x1.6b8c35bd97dep-18, -0x1.60ccaf9559c7fp-18, -0x1.5610cd376fe4ap-18, -0x1.4b595f0f35b15p-18, -0x1.40a7313ae357fp-18, -0x1.35fb0b8fd00f2p-18, -0x1.2b55b1a03466ep-18, -0x1.20b7e2c096f9ep-18, -0x1.16225a0d75132p-18, -0x1.0b95ce70b4d94p-18, -0x1.0112f2a89bb98p-18, -0x1.ed34ea9d0d204p-19, -0x1.d85a01b77a9aap-19, -0x1.c3967763d171p-19, -0x1.aeeb90423a2a7p-19, -0x1.9a5a88ddd342cp-19, -0x1.85e495bc40821p-19, -0x1.718ae36d984bdp-19, -0x1.5d4e96993441dp-19, -0x1.4930cc1054a21p-19, -0x1.353298dd8a265p-19, -0x1.21550a5600a89p-19, -0x1.0d9926279aa9bp-19, -0x1.f3ffd4dd0d643p-20, -0x1.cd149b84c4c79p-20, -0x1.a6727e94ba61cp-20, -0x1.801b4d9fc421p-20, -0x1.5a10c99bbb41ap-20, -0x1.3454a50da9503p-20, -0x1.0ee8842dea0c9p-20, -0x1.d39bfa1984316p-21, -0x1.8a0d2f76e84c9p-21, -0x1.41279ce6401f8p-21, -0x1.f1dc36dfcbdcdp-22, -0x1.62c6d2233959dp-22, -0x1.aa28a40badfbap-23, -0x1.2327204a0d1c9p-24, 0x1.084fb9969f8eap-24, 0x1.97004f53f0827p-23, 0x1.53766ceea891dp-22, 0x1.d9f279b397038p-22, 0x1.2f781d8938b2dp-21, 0x1.7135e78da9f2p-21, 0x1.b230c212b3493p-21, 0x1.f266ec165daa1p-21, 0x1.18eb5e08cfd5cp-20, 0x1.383f4fce0bc79p-20, 0x1.572e8d9126a8cp-20, 0x1.75b864c28a853p-20, 0x1.93dc2ddfb1556p-20, 0x1.b1994c4e0fd6ep-20, 0x1.ceef2e2977cfbp-20, 0x1.ebdd4c18fd719p-20, 0x1.043194952be5bp-19, 0x1.1240294dadc26p-19, 0x1.201a2fdbcb009p-19, 0x1.2dbf78d429a69p-19, 0x1.3b2fd9a62d808p-19, 0x1.486b2c840294ep-19, 0x1.5571504ebd4d7p-19, 0x1.624228809d4fep-19, 0x1.6edd9d1693d63p-19, 0x1.7b439a7a3d523p-19, 0x1.8774116dbeb6fp-19, 0x1.936ef6f767f5dp-19, 0x1.9f344449debc3p-19, 0x1.aac3f6b002a7bp-19, 0x1.b61e0f7914598p-19, 0x1.c14293e25f8c7p-19, 0x1.cc318d02a3ec7p-19, 0x1.d6eb07b639482p-19, 0x1.e16f1488abd11p-19, 0x1.ebbdc7a1e6034p-19, 0x1.f5d738b02d2a9p-19, 0x1.ffbb82d4cbe4bp-19, 0x1.04b56248c4a3ep-18, 0x1.09728fd886a29p-18, 0x1.0e155c9b6cfeep-18, 0x1.129ddca493b59p-18, 0x1.170c258f4938ap-18, 0x1.1b604e758fc97p-18, 0x1.1f9a6fe5aa681p-18, 0x1.23baa3d964315p-18, 0x1.27c105ac8ffe4p-18, 0x1.2badb21337e37p-18, 0x1.2f80c7107143fp-18, 0x1.333a63ee03971p-18, 0x1.36daa932afd38p-18, 0x1.3a61b898dec0bp-18, 0x1.3dcfb506cc521p-18, 0x1.4124c28502171p-18, 0x1.44610635bb6b9p-18, 0x1.4784a64cad192p-18, 0x1.4a8fca063153cp-18, 0x1.4d82999ebf39bp-18, 0x1.505d3e4b88e71p-18, 0x1.531fe230acaebp-18, 0x1.55cab05a8708bp-18, 0x1.585dd4b578787p-18, 0x1.5ad97c05aee9p-18, 0x1.5d3dd3df60057p-18, 0x1.5f8b0a9f731cep-18, 0x1.61c14f63ba0a2p-18, 0x1.63e0d20395e7ap-18, 0x1.65e9c3084ece2p-18, 0x1.67dc53a657a2ep-18, 0x1.69b8b5b5e136ep-18, 0x1.6b7f1bab69129p-18, 0x1.6d2fb89130dc6p-18, 0x1.6ecac000d36eap-18, 0x1.7050661ba414ep-18, 0x1.71c0df84deb3dp-18, 0x1.731c615a9b764p-18, 0x1.7463212fbc16bp-18, 0x1.7595550515bc8p-18, 0x1.76b333444ea77p-18, 0x1.77bcf2b89c8a8p-18, 0x1.78b2ca89505bep-18, 0x1.7994f2340a3bdp-18, 0x1.7a63a186b9c39p-18, 0x1.7b1f1099c382ep-18, 0x1.7bc777cadeab6p-18, 0x1.7c5d0fb760069p-18, 0x1.7ce01136b3531p-18, 0x1.7d50b555944ebp-18, 0x1.7daf35504bd66p-18, 0x1.7dfbca8deefdap-18, 0x1.7e36ae9b36f62p-18, 0x1.7e601b25fd41fp-18, 0x1.7e7849f80001cp-18, 0x1.7e7f74f27988cp-18, 0x1.7e75d6097152cp-18, 0x1.7e5ba73f587edp-18, 0x1.7e3122a081ae8p-18, 0x1.7df6823ecda41p-18, 0x1.7dac002daea36p-18, 0x1.7d51d67df9aaap-18, 0x1.7ce83f39bf2acp-18, 0x1.7c6f74605a825p-18, 0x1.7be7afe2e8157p-18, 0x1.7b512ba01ad9bp-18, 0x1.7aac2160eaec3p-18, 0x1.79f8cad4edaeep-18, 0x1.7937618eb890bp-18, 0x1.78681f0073addp-18, 0x1.778b3c78cf034p-18, 0x1.76a0f31f89881p-18, 0x1.75a97bf25ad9p-18, 0x1.74a50fc1da034p-18, 0x1.7393e72eb4b8dp-18, 0x1.72763aa6a10fp-18, 0x1.714c42618240cp-18, 0x1.7016365ea888dp-18, 0x1.6ed44e623b5b3p-18, 0x1.6d86c1f29cb34p-18, 0x1.6c2dc855d0211p-18, 0x1.6ac9988f43d68p-18, 0x1.695a695d425eep-18, 0x1.67e0713685c5ap-18, 0x1.665be6484d4edp-18, 0x1.64ccfe74198b9p-18, 0x1.6333ef4d80a51p-18, 0x1.6190ee183920ap-18, 0x1.5fe42fc650742p-18, 0x1.5e2de8f612e9fp-18, 0x1.5c6e4df031c75p-18, 0x1.5aa592a62d2e9p-18, 0x1.58d3eab0aeba5p-18, 0x1.56f9894db3632p-18, 0x1.5516a15f191fp-18, 0x1.532b656947e35p-18, 0x1.513807919af2ep-18, 0x1.4f3cb99cfbc04p-18, 0x1.4d39acee80d87p-18, 0x1.4b2f1286372cdp-18, 0x1.491d1afff5292p-18, 0x1.4703f6924eefep-18, 0x1.44e3d50d615e4p-18, 0x1.42bce5d9bd0f1p-18, 0x1.408f57f758921p-18, 0x1.3e5b59fcab477p-18, 0x1.3c211a15feb4ap-18, 0x1.39e0c604540d7p-18, 0x1.379a8b1c98227p-18, 0x1.354e96470e13bp-18, 0x1.32fd13feae7b8p-18, 0x1.30a630503fb1ap-18, 0x1.2e4a16d9cd75ep-18, 0x1.2be8f2ca05837p-18, 0x1.2982eedfdac0dp-18, 0x1.2718356a176f7p-18, 0x1.24a8f046cf128p-18, 0x1.223548e2d4154p-18, 0x1.1fbd683990048p-18, 0x1.1d4176d4972e6p-18, 0x1.1ac19ccb72bcap-18, 0x1.183e01c3459f9p-18, 0x1.15b6cceeb6f02p-18, 0x1.132c250dbe0e8p-18, 0x1.109e306d8aff1p-18, 0x1.0e0d14e861dp-18, 0x1.0b78f7e55085ap-18, 0x1.08e1fe58736a2p-18, 0x1.06484cc2ad488p-18, 0x1.03ac0731f461cp-18, 0x1.010d514162471p-18, 0x1.fcd89c32113bdp-19, 0x1.f79240dc26d92p-19, 0x1.f247d50644e85p-19, 0x1.ecf99c50a7b58p-19, 0x1.e7a7d976b1445p-19, 0x1.e252ce4f87d7p-19, 0x1.dcfabbcf036eap-19, 0x1.d79fe205da2e9p-19, 0x1.d2428022400ap-19, 0x1.cce2d4703778ep-19, 0x1.c7811c5aa3dc9p-19, 0x1.c21d946b816afp-19, 0x1.bcb8784d45f96p-19, 0x1.b75202cbe05c2p-19, 0x1.b1ea6dd4d9d5ap-19, 0x1.ac81f27836e85p-19, 0x1.a718c8e9c642fp-19, 0x1.a1af288229ecfp-19, 0x1.9c4547bf8fbdbp-19, 0x1.96db5c46a8aa1p-19, 0x1.91719ae3b0359p-19, 0x1.8c08378c25706p-19, 0x1.869f655faaa22p-19, 0x1.813756a89d797p-19, 0x1.7bd03cddbf525p-19, 0x1.766a48a3234a1p-19, 0x1.7105a9cb5bbcdp-19, 0x1.6ba28f596bc16p-19, 0x1.664127817540fp-19, 0x1.60e19faa56dd1p-19, 0x1.5b84246ed281dp-19, 0x1.5628e19ead0d9p-19, 0x1.50d002407f849p-19, 0x1.4b79b092e2408p-19, 0x1.4626160de7187p-19, 0x1.40d55b64a31a2p-19, 0x1.3b87a8867a94bp-19, 0x1.363d24a0d0dd2p-19, 0x1.30f5f6203f052p-19, 0x1.2bb242b287a55p-19, 0x1.26722f477a913p-19, 0x1.2135e01286a22p-19, 0x1.1bfd788c8a57dp-19, 0x1.16c91b75ee42bp-19, 0x1.1198ead79a028p-19, 0x1.0c6d08045357p-19, 0x1.0745939ac98d1p-19, 0x1.0222ad86c54a3p-19, 0x1.fa08ea06904dcp-20, 0x1.efd61136ee99bp-20, 0x1.e5ad0c5a537fap-20, 0x1.db8e15d368dd3p-20, 0x1.d17966b003767p-20, 0x1.c76f36abf13b2p-20, 0x1.bd6fbc359a7acp-20, 0x1.b37b2c6f87949p-20, 0x1.a991bb341cbd2p-20, 0x1.9fb39b18e964p-20, 0x1.95e0fd726ae45p-20, 0x1.8c1a1258300dbp-20, 0x1.825f08a6bd5e5p-20, 0x1.78b00e032d1d2p-20, 0x1.6f0d4edee8d0dp-20, 0x1.6576f67ae50c6p-20, 0x1.5bed2eeaf6988p-20, 0x1.52702119254e8p-20, 0x1.48fff4c8eecfap-20, 0x1.3f9cd09a58cfdp-20, 0x1.3646da0e0a3e5p-20, 0x1.2cfe3589172f7p-20, 0x1.23c30656a4864p-20, 0x1.1a956eabfecf1p-20, 0x1.11758fac41442p-20, 0x1.0863896b52ffap-20, 0x1.febef5e216fb1p-21, 0x1.ecd30478dbe41p-21, 0x1.db037890c0ca7p-21, 0x1.c9508a1af958ap-21, 0x1.b7ba6f0a35f61p-21, 0x1.a6415b5b7f1cfp-21, 0x1.94e5811aa5ac2p-21, 0x1.83a71069cfa91p-21, 0x1.72863787aa703p-21, 0x1.618322d5de61fp-21, 0x1.509dfcdef95cfp-21, 0x1.3fd6ee5ec2089p-21, }}, 
      {{-0x1.c6522dfc38c0ep-16, -0x1.c71e9b53b4c44p-14, -0x1.00afdd8ced009p-12, -0x1.c9d1504ddb578p-12, -0x1.66eb537a207bep-11, -0x1.034b7c145d678p-10, -0x1.61f6cffe9c763p-10, -0x1.cf5519c5b307dp-10, -0x1.258cd1a3f099cp-9, -0x1.6a64a918622e7p-9, -0x1.b5dc488e48261p-9, -0x1.03c2c3c4827dfp-8, -0x1.2f6d415cb7fb3p-8, -0x1.5d9f6de1d8621p-8, -0x1.8e00b93288017p-8, -0x1.c02f3b951362ap-8, -0x1.f3c0ddd96d806p-8, -0x1.14224a12355e4p-7, -0x1.2ea1d08d5fd9bp-7, -0x1.49216c6f9160bp-7, -0x1.6361ee7b30c3fp-7, -0x1.7d2325d1296b8p-7, -0x1.96246f4e1c71bp-7, -0x1.ae253b22ba7b4p-7, -0x1.c4e587b56ca65p-7, -0x1.da26514845be8p-7, -0x1.eda9f637ae7d5p-7, -0x1.ff348fec6f92cp-7, -0x1.07462068c7e5ap-6, -0x1.0dbcbbe2bfb3ap-6, -0x1.12e394cc52b3p-6, -0x1.16a1809e19a54p-6, -0x1.18dec3a63ed57p-6, -0x1.198520d24896dp-6, -0x1.187fe5d350fe5p-6, -0x1.15bbf3efd9d28p-6, -0x1.1127c5d29fe5fp-6, -0x1.0ab372a1a2be6p-6, -0x1.0250aea3e927fp-6, -0x1.efe5936fb9e35p-7, -0x1.d71d57af347aap-7, -0x1.ba359fc819821p-7, -0x1.991e79d74ecfdp-7, -0x1.73cafc3b1978p-7, -0x1.4a31332c99852p-7, -0x1.1c4a0c60209fep-7, -0x1.d42281f2bbb65p-8, -0x1.670a7c351fb9ep-8, -0x1.e29c31400f6f9p-9, -0x1.cbd1b09e79e0cp-10, 0x1.3f6a4bec748dfp-12, 0x1.46c536ead0c75p-9, 0x1.3b3a95333867ep-8, 0x1.db658153ca683p-8, 0x1.41e32bd915857p-7, 0x1.9a1e2766dc71dp-7, 0x1.f65188c098bfcp-7, 0x1.2b34bd06a369dp-6, 0x1.5d284a2a5476dp-6, 0x1.90f7fc980006p-6, 0x1.c697b5faa2327p-6, 0x1.fdfab5285e417p-6, 0x1.1b89d110d2911p-5, 0x1.38ea4cdf77ffcp-5, 0x1.57179c853a411p-5, 0x1.760a5421e0c98p-5, 0x1.95bad2c639d15p-5, 0x1.b621479eae3f4p-5, 0x1.d735b6f232895p-5, 0x1.f8effef5da902p-5, 0x1.0da3ee3ac8f7ap-4, 0x1.1f1a77a94f3d5p-4, 0x1.30d75f6c5547p-4, 0x1.42d65ef519302p-4, 0x1.55132782a00c4p-4, 0x1.67896410ac159p-4, 0x1.7a34bb33c97d7p-4, 0x1.8d10d0e2ebc7ep-4, 0x1.a019482f09a58p-4, 0x1.b349c4e9386dcp-4, 0x1.c69ded37a30cp-4, 0x1.da116b19dcfafp-4, 0x1.ed9feddce2664p-4, 0x1.00a295bf92669p-3, 0x1.0a7e71028b6c3p-3, 0x1.14616c5f2c68fp-3, 0x1.1e4970be0698fp-3, 0x1.28346cdc39959p-3, 0x1.322055d80c113p-3, 0x1.3c0b27b6779d7p-3, 0x1.45f2e5e1bc987p-3, 0x1.4fd59ba11decp-3, 0x1.59b15c89e8adcp-3, 0x1.638444e9d3117p-3, 0x1.6d4c7a2ae14a5p-3, 0x1.77082b30dd8e4p-3, 0x1.80b590b07e7ecp-3, 0x1.8a52ed8060084p-3, 0x1.93de8ee3df6ecp-3, 0x1.9d56cccffcd48p-3, 0x1.a6ba0a2a5f431p-3, 0x1.b006b50290524p-3, 0x1.b93b46c599a5bp-3, 0x1.c256446c14f7fp-3, 0x1.cb563ea2dff42p-3, 0x1.d439d1ee81f28p-3, 0x1.dcffa6c9769adp-3, 0x1.e5a671bd70c7fp-3, 0x1.ee2cf377c449cp-3, 0x1.f691f8d91b784p-3, 0x1.fed45b009137fp-3, 0x1.03797fa931aaep-2, 0x1.07766bbd2fc3fp-2, 0x1.0b6070b51640bp-2, 0x1.0f3713a9d10dbp-2, 0x1.12f9dfcfa49b7p-2, 0x1.16a8666f9e412p-2, 0x1.1a423edf42b3dp-2, 0x1.1dc706768f3dfp-2, 0x1.213660846a4d7p-2, 0x1.248ff641882e5p-2, 0x1.27d376c1e6b1ap-2, 0x1.2b0096e4ec0fdp-2, 0x1.2e1711443bf15p-2, 0x1.3116a62159eb5p-2, 0x1.33ff1b522a28p-2, 0x1.36d03c2c63234p-2, 0x1.3989d97001a33p-2, 0x1.3c2bc930d4e95p-2, 0x1.3eb5e6bf31302p-2, 0x1.4128128fd7d8fp-2, 0x1.438232232d0a4p-2, 0x1.45c42febc2a99p-2, 0x1.47edfb344e3c7p-2, 0x1.49ff880516e44p-2, 0x1.4bf8cf08e914ep-2, 0x1.4dd9cd71a19fap-2, 0x1.4fa284dc571b5p-2, 0x1.5152fb3539687p-2, 0x1.52eb3a9b28a4fp-2, 0x1.546b514316774p-2, 0x1.55d3515b3c4p-2, 0x1.572350ee2fdeap-2, 0x1.585b69c5e208p-2, 0x1.597bb94e927f6p-2, 0x1.5a846079bdb6cp-2, 0x1.5b7583a1156d7p-2, 0x1.5c4f4a6985a01p-2, 0x1.5d11dfa652892p-2, 0x1.5dbd713c5338ap-2, 0x1.5e52300555f3ap-2, 0x1.5ed04fb3ad09dp-2, 0x1.5f3806b5f3867p-2, 0x1.5f898e1b07f94p-2, 0x1.5fc5217648576p-2, 0x1.5feafec412071p-2, 0x1.5ffb664e899c1p-2, 0x1.5ff69a92b14d7p-2, 0x1.5fdce025d21a1p-2, 0x1.5fae7d9b38ee5p-2, 0x1.5f6bbb6a4fb48p-2, 0x1.5f14e3d5116fep-2, 0x1.5eaa42cedce66p-2, 0x1.5e2c25e3ae342p-2, 0x1.5d9adc1fb8b0ap-2, 0x1.5cf6b5f76ad1cp-2, 0x1.5c40052fdb2c1p-2, 0x1.5b771cc7a1a3dp-2, 0x1.5a9c50e0194bp-2, 0x1.59aff6a715e9ep-2, 0x1.58b26441085cdp-2, 0x1.57a3f0b38dd1p-2, 0x1.5684f3d079458p-2, 0x1.5555c62148ccbp-2, 0x1.5416c0d3103b4p-2, 0x1.52c83da2d7f2fp-2, 0x1.516a96ca6e06dp-2, 0x1.4ffe26edad3d8p-2, 0x1.4e834908351aep-2, 0x1.4cfa585b991a5p-2, 0x1.4b63b05e02b21p-2, 0x1.49bfaca94772fp-2, 0x1.480ea8ea71814p-2, 0x1.465100d1bdecp-2, 0x1.448710030886ap-2, 0x1.42b13206b1966p-2, 0x1.40cfc23aec2c8p-2, 0x1.3ee31bc58571bp-2, 0x1.3ceb9986149f4p-2, 0x1.3ae99608a226dp-2, 0x1.38dd6b78b4e41p-2, 0x1.36c77394d2885p-2, 0x1.34a807a26ae5ap-2, 0x1.327f80622e8a5p-2, 0x1.304e3604ce78ap-2, 0x1.2e14802028f1ap-2, 0x1.2bd2b5a4d8c37p-2, 0x1.29892cd4321b1p-2, 0x1.27383b369f369p-2, 0x1.24e0359263906p-2, 0x1.22816fe2c6d68p-2, 0x1.201c3d4f9847bp-2, 0x1.1db0f0251cf07p-2, 0x1.1b3fd9cc556d3p-2, 0x1.18c94ac3a54f6p-2, 0x1.164d9297d66e2p-2, 0x1.13ccffdd75efp-2, 0x1.1147e02a8cc9bp-2, 0x1.0ebe8010af604p-2, 0x1.0c312b1763bbep-2, 0x1.09a02bb6db599p-2, 0x1.070bcb5305ce2p-2, 0x1.04745236ee2e2p-2, 0x1.01da07906ffbfp-2, 0x1.fe7a62d86befdp-3, 0x1.f93c296411fa1p-3, 0x1.f3f9ea42d5e57p-3, 0x1.eeb42a9cf6637p-3, 0x1.e96b6d3e47d56p-3, 0x1.e42032911f5b1p-3, 0x1.ded2f899c4769p-3, 0x1.d9843af2712e4p-3, 0x1.d43472c7d45e3p-3, 0x1.cee416d612b32p-3, 0x1.c9939b664d58dp-3, 0x1.c443724c9e86dp-3, 0x1.bef40ae68f6fap-3, 0x1.b9a5d21a05d07p-3, 0x1.b4593254a2186p-3, 0x1.af0e938b88dfp-3, 0x1.a9c65b3ba1585p-3, 0x1.a480ec6a33a91p-3, 0x1.9f3ea7a5f36c2p-3, 0x1.99ffeb08630f8p-3, 0x1.94c51237a605ap-3, 0x1.8f8e7668a05e7p-3, 0x1.8a5c6e617aa73p-3, 0x1.852f4e7c73323p-3, 0x1.800768ab0c9b5p-3, 0x1.7ae50c79838c5p-3, 0x1.75c8871299d36p-3, 0x1.70b22343a99aep-3, 0x1.6ba22980f8d68p-3, 0x1.6698dfea62e52p-3, 0x1.61968a5032925p-3, 0x1.5c9b6a384439ap-3, 0x1.57a7bee36900ap-3, 0x1.52bbc552f6ed6p-3, 0x1.4dd7b84e9d98dp-3, 0x1.48fbd06a697fdp-3, 0x1.4428440cfa586p-3, 0x1.3f5d4775e481p-3, 0x1.3a9b0cc449da6p-3, 0x1.35e1c3fd940d9p-3, 0x1.31319b1459ec4p-3, 0x1.2c8abdef6b851p-3, 0x1.27ed56710166ap-3, 0x1.23598c7e09cb5p-3, 0x1.1ecf860599d5p-3, 0x1.1a4f67087a0d4p-3, 0x1.15d951a0c6402p-3, 0x1.116d6609b247ap-3, 0x1.0d0bc2a759665p-3, 0x1.08b4840ea7233p-3, 0x1.0467c50d54615p-3, 0x1.00259eb1ef059p-3, 0x1.f7dc50a7e9ebfp-4, 0x1.ef82ef37ec45bp-4, 0x1.e73f411793d39p-4, 0x1.df116b0d856c8p-4, 0x1.d6f98eb3df6a1p-4, 0x1.cef7ca88c4192p-4, 0x1.c70c39fef07aap-4, 0x1.bf36f58e48764p-4, 0x1.b77812c47829dp-4, 0x1.afcfa45588e7cp-4, 0x1.a83dba2c70ee9p-4, 0x1.a0c2617b9c16fp-4, 0x1.995da4cd71b13p-4, 0x1.920f8c14c5cdap-4, 0x1.8ad81cbd3dda4p-4, 0x1.83b759bba4e4p-4, 0x1.7cad439e2b15dp-4, 0x1.75b9d89c8cc4p-4, 0x1.6edd14a826d12p-4, 0x1.6816f17be86b9p-4, 0x1.616766ac30624p-4, 0x1.5ace69b687d1ap-4, 0x1.544bee113bebp-4, 0x1.4ddfe53ad7b7p-4, 0x1.478a3ec9799bp-4, 0x1.414ae87a03385p-4, 0x1.3b21ce3f231f3p-4, 0x1.350eda5034cffp-4, 0x1.2f11f537f89fcp-4, 0x1.292b05e31ffcdp-4, 0x1.2359f1aeabf53p-4, 0x1.1d9e9c7624af2p-4, 0x1.17f8e8a197887p-4, 0x1.1268b7337124bp-4, 0x1.0cede7d61ea96p-4, 0x1.078858e9840d1p-4, 0x1.0237e7903c377p-4, 0x1.f9f8df7949c36p-5, 0x1.efab987b80226p-5, 0x1.e587ad97a78dcp-5, 0x1.db8cd029bff9ap-5, 0x1.d1baaf91b90b2p-5, 0x1.c810f94b7b232p-5, 0x1.be8f59068cd72p-5, 0x1.b53578bd48e0fp-5, 0x1.ac0300cba5edep-5, 0x1.a2f79805915bfp-5, 0x1.9a12e3ccd8515p-5, 0x1.91548826ab7f6p-5, 0x1.88bc27d0a6585p-5, 0x1.8049645572581p-5, 0x1.77fbde20f799ep-5, 0x1.6fd334941de5p-5, 0x1.67cf0618204d5p-5, 0x1.5feef03170965p-5, 0x1.58328f922ab3fp-5, 0x1.5099802c24049p-5, 0x1.49235d427a786p-5, 0x1.41cfc17ace943p-5, 0x1.3a9e46edf7c04p-5, 0x1.338e87386371dp-5, 0x1.2ca01b89f8214p-5, 0x1.25d29cb596ca8p-5, 0x1.1f25a34030c2dp-5, 0x1.1898c76f7299ap-5, 0x1.122ba15808ef9p-5, 0x1.0bddc8eb81618p-5, 0x1.05aed605b8c03p-5, 0x1.ff3cc0f3ef4e2p-6, 0x1.f358003f38becp-6, 0x1.e7ae99bcc262fp-6, 0x1.dc3fbd749d3c7p-6, 0x1.d10a9bbe77e79p-6, 0x1.c60e6557fd36cp-6, 0x1.bb4a4b7a61cf9p-6, 0x1.b0bd7fef43f8p-6, 0x1.a6673524cf81bp-6, 0x1.9c469e412a0b4p-6, 0x1.925aef3534426p-6, 0x1.88a35cce991e6p-6, 0x1.7f1f1cc91fcefp-6, 0x1.75cd65df7ce53p-6, 0x1.6cad6fdb48a41p-6, 0x1.63be73a471b91p-6, 0x1.5affab501039p-6, 0x1.5270522e7e228p-6, 0x1.4a0fa4d8f78b6p-6, 0x1.41dce13e79ff4p-6, 0x1.39d746b0377f7p-6, 0x1.31fe15ed577acp-6, 0x1.2a50912e2ff56p-6, 0x1.22cdfc2ef4104p-6, 0x1.1b759c39db754p-6, 0x1.1446b830b1c39p-6, 0x1.0d409895f8368p-6, 0x1.0662879571689p-6, 0x1.ff57a218627cbp-7, 0x1.f23785207b434p-7, 0x1.e56356ef547cp-7, 0x1.d8d9b9be7eda4p-7, 0x1.cc9953615cdfdp-7, 0x1.c0a0cd50a3171p-7, 0x1.b4eed4b505325p-7, 0x1.a9821a711448bp-7, 0x1.9e59532a34dbbp-7, 0x1.93733750d6dd6p-7, 0x1.88ce8327e1a58p-7, 0x1.7e69f6cb72ca9p-7, 0x1.74445636bd358p-7, 0x1.6a5c69495b786p-7, 0x1.60b0fbcbbe268p-7, 0x1.5740dd73282d4p-7, 0x1.4e0ae1e4e6249p-7, 0x1.450de0b8cf15fp-7, 0x1.3c48b57b5680ep-7, 0x1.33ba3faedb73ap-7, 0x1.2b6162cc8808bp-7, 0x1.233d06448a66bp-7, 0x1.1b4c157dccb17p-7, 0x1.138d7fd52d313p-7, 0x1.0c00389c1b85fp-7, 0x1.04a33716ef588p-7, 0x1.faeaecf50b631p-8, 0x1.ecebebd34e4a4p-8, 0x1.df4770e39923bp-8, 0x1.d1fb8a0f3eaa5p-8, 0x1.c5064d05f7151p-8, 0x1.b865d7354d25ap-8, 0x1.ac184dbefeb05p-8, 0x1.a01bdd6f0311dp-8, 0x1.946ebab0ac3d8p-8, 0x1.890f2183224a4p-8, 0x1.7dfb556d74095p-8, 0x1.7331a171b1529p-8, 0x1.68b057ffeb6bep-8, 0x1.5e75d2e824f82p-8, 0x1.5480734c3df63p-8, 0x1.4acea19125211p-8, 0x1.415ecd4f761a2p-8, 0x1.382f6d43eda2ep-8, 0x1.2f3eff3f377c9p-8, 0x1.268c081587a51p-8, 0x1.1e15138dc3d4fp-8, 0x1.15d8b45022c9p-8, 0x1.0dd583d4e7fap-8, 0x1.060a225262758p-8, 0x1.fcea6d55c4497p-9, 0x1.ee2adcb4b775fp-9, 0x1.dfd2fac798ed8p-9, 0x1.d1e03c7ce0031p-9, 0x1.c450238533f92p-9, 0x1.b7203e2d4c25p-9, 0x1.aa4e2736eaf2bp-9, 0x1.9dd785b1d8e94p-9, 0x1.91ba0cd4bba72p-9, 0x1.85f37bd533194p-9, 0x1.7a819dc043415p-9, 0x1.6f62495246137p-9, 0x1.649360cedc34p-9, 0x1.5a12d1d899973p-9, 0x1.4fde9548c1541p-9, 0x1.45f4af06d8ee9p-9, 0x1.3c532de0224d5p-9, 0x1.32f82b5f49792p-9, 0x1.29e1cba3de92cp-9, 0x1.210e3d39df8afp-9, 0x1.187bb8f15d711p-9, 0x1.102881b63575p-9, 0x1.0812e467bc66bp-9, 0x1.003937b0cb99cp-9, 0x1.f133b7bf56e2ap-10, 0x1.e266757caa5d9p-10, 0x1.d4078ed550ba4p-10, 0x1.c613fc5e33ab4p-10, 0x1.b888c8b66c966p-10, 0x1.ab6310399c915p-10, 0x1.9ea000b1e2696p-10, 0x1.923cd90ad3a1p-10, 0x1.8636e904b2395p-10, 0x1.7a8b90e835fa1p-10, 0x1.6f38413b11bf7p-10, 0x1.643a7a74e9602p-10, 0x1.598fccb4df91p-10, 0x1.4f35d777ad263p-10, 0x1.452a494ed76ep-10, 0x1.3b6adf977294cp-10, 0x1.31f56633235ddp-10, 0x1.28c7b7407ebbcp-10, 0x1.1fdfbad4ab6a7p-10, 0x1.173b66b5e817bp-10, 0x1.0ed8be162db1bp-10, 0x1.06b5d14f5504fp-10, 0x1.fda17b3ef4538p-11, 0x1.ee4f59cc2d5b6p-11, 0x1.df71aac4e405cp-11, 0x1.d104f2e492a91p-11, 0x1.c305cea2ebd84p-11, 0x1.b570f1b4cdd6fp-11, 0x1.a843268efae4p-11, 0x1.9b794de9c59c2p-11, 0x1.8f105e4750039p-11, 0x1.8305637b0068bp-11, 0x1.77557e324b6c5p-11, 0x1.6bfde37fa3b3fp-11, 0x1.60fbdc66ca78p-11, 0x1.564cc56adac58p-11, 0x1.4bee0e1e2c0d6p-11, 0x1.41dd38b3c3b8bp-11, 0x1.3817d991cdf8fp-11, 0x1.2e9b96e7dd115p-11, 0x1.256628436f7f6p-11, 0x1.1c75562982729p-11, 0x1.13c6f9af89571p-11, 0x1.0b58fc16d80e1p-11, 0x1.0329566a36a39p-11, 0x1.f66c223889b7ap-12, 0x1.e6fa874fd9594p-12, 0x1.d7fa286453454p-12, 0x1.c9676e5b0ab34p-12, 0x1.bb3ede0029308p-12, 0x1.ad7d1752e047fp-12, 0x1.a01ed4d658636p-12, 0x1.9320eae7a1659p-12, 0x1.8680471280c9bp-12, 0x1.7a39ef6d52343p-12, 0x1.6e4b01f51fdcfp-12, 0x1.62b0b3ef67d4ep-12, 0x1.5768514c391e6p-12, 0x1.4c6f3c0e0716ep-12, 0x1.41c2ebb2acdedp-12, 0x1.3760ec9fd3b2bp-12, 0x1.2d46df91fbe86p-12, 0x1.2372790fa2697p-12, 0x1.19e180dda16e8p-12, 0x1.1091d17795666p-12, 0x1.0781578aec28ep-12, 0x1.fd5c22e86123cp-13, 0x1.ec2c1d7ff4b62p-13, 0x1.db6edf5964294p-13, 0x1.cb20c9634980fp-13, 0x1.bb3e5c0e1b8d4p-13, 0x1.abc43660c8265p-13, 0x1.9caf1515a4368p-13, 0x1.8dfbd1ba3d74fp-13, 0x1.7fa761d51c8afp-13, 0x1.71aed60e43146p-13, 0x1.640f595fef38dp-13, 0x1.56c630494126cp-13, 0x1.49d0b808784f8p-13, 0x1.3d2c65d63d0ddp-13, 0x1.30d6c628f80bbp-13, 0x1.24cd7bfbff70ap-13, 0x1.190e4017aaa69p-13, 0x1.0d96e063bf21dp-13, 0x1.02653f383b3b4p-13, 0x1.eeeea56db5a51p-14, 0x1.d996484d65f02p-14, 0x1.c4bd9ea7672bep-14, 0x1.b06103e77d14fp-14, 0x1.9c7cf61ca14a8p-14, 0x1.890e14d0795ecp-14, 0x1.76111fe6ca701p-14, 0x1.6382f68516ca2p-14, 0x1.51609600a5b84p-14, 0x1.3fa718d37064ap-14, 0x1.2e53b59bb9b37p-14, 0x1.1d63be1d095c5p-14, 0x1.0cd49e4cbf6d2p-14, 0x1.f947b6c34060bp-15, 0x1.d99e25d7e981p-15, 0x1.baa7f3eb1b28ap-15, 0x1.9c60b84660c9dp-15, 0x1.7ec435c78a614p-15, 0x1.61ce593b0e79p-15, 0x1.457b37ce18eebp-15, 0x1.29c70d87fe51dp-15, 0x1.0eae3bcb8ce83p-15, 0x1.e85a8fd4709dfp-16, 0x1.b481b37888fccp-16, 0x1.81cb7491a6bd8p-16, 0x1.5031a4e84744bp-16, 0x1.1fae5377526ep-16, 0x1.e07793e2f258cp-17, 0x1.83a914c9225c2p-17, 0x1.28e699b4ac15ap-17, 0x1.a04bf49eff557p-18, 0x1.e575c5d0a1f05p-19, 0x1.241cc7e942d8ep-20, -0x1.7384d25636fb3p-20, -0x1.fe1f726e3e797p-19, -0x1.9d951ddda0324p-18, -0x1.1c40c2c4ca915p-17, -0x1.67f23d9db289p-17, -0x1.b1e67c74c544fp-17, -0x1.fa24b7116e8dep-17, -0x1.2059f19b11e91p-16, -0x1.42cd5bdbbfe4p-16, -0x1.646fd7bed75f1p-16, -0x1.8544862a1942ep-16, -0x1.a54e6ce226831p-16, -0x1.c49077d59019p-16, -0x1.e30d7a716f96p-16, -0x1.0064186a5df8cp-15, -0x1.0ee1a08574ad2p-15, -0x1.1d009e12d6df3p-15, -0x1.2ac24fb1d74e9p-15, -0x1.3827ea9b1032ap-15, -0x1.45329b251b776p-15, -0x1.51e38540bf4eap-15, -0x1.5e3bc4f187438p-15, -0x1.6a3c6ec0ecca9p-15, -0x1.75e6902df1bbfp-15, -0x1.813b3015cd1a1p-15, -0x1.8c3b4f1905cc1p-15, -0x1.96e7e7fdaac12p-15, -0x1.a141f00b8228fp-15, -0x1.ab4a57630f23dp-15, -0x1.b502095650cc4p-15, -0x1.be69ecb5c473fp-15, -0x1.c782e42060718p-15, -0x1.d04dce4c0d849p-15, -0x1.d8cb864bd0452p-15, -0x1.e0fce3d27f263p-15, -0x1.e8e2bb72b4dd8p-15, -0x1.f07ddeda1c0a6p-15, -0x1.f7cf1d0b94821p-15, -0x1.fed74293ad5e5p-15, -0x1.02cb8cdf747ccp-14, -0x1.0607b563e5db6p-14, -0x1.09207e0363e85p-14, -0x1.0c16490e32e33p-14, -0x1.0ee9780cdb562p-14, -0x1.119a6bd411753p-14, -0x1.1429849631566p-14, -0x1.169721f3e2729p-14, -0x1.18e3a30d6057ep-14, -0x1.1b0f668f954ddp-14, -0x1.1d1acac2edc98p-14, -0x1.1f062d9835d2p-14, -0x1.20d1ecb40dedp-14, -0x1.227e657a7fbffp-14, -0x1.240bf518b26d8p-14, -0x1.257af88ed9516p-14, -0x1.26cbccb80a158p-14, -0x1.27fece526ed4ep-14, -0x1.29145a069094cp-14, -0x1.2a0ccc6dbdad4p-14, -0x1.2ae882174dfcp-14, -0x1.2ba7d78e94bf5p-14, -0x1.2c4b295e8f19ap-14, -0x1.2cd2d41646b9ep-14, -0x1.2d3f344c2acd5p-14, -0x1.2d90a6a038adep-14, -0x1.2dc787bfcb5d5p-14, -0x1.2de43465de2c3p-14, -0x1.2de7095d5f8fep-14, -0x1.2dd06381fe518p-14, -0x1.2da09fc05ff57p-14, -0x1.2d581b17219dcp-14, -0x1.2cf73295886ebp-14, -0x1.2c7e435be86b4p-14, -0x1.2bedaa9a2f05p-14, -0x1.2b45c58ed0c02p-14, -0x1.2a86f1850bb44p-14, -0x1.29b18bd421c08p-14, -0x1.28c5f1dbe7d1cp-14, -0x1.27c4810389e9fp-14, -0x1.26ad96b6dd51p-14, -0x1.258190630e4d7p-14, -0x1.2440cb74801b7p-14, -0x1.22eba55329946p-14, -0x1.21827b5fdaf24p-14, -0x1.2005aaf04ad7ap-14, -0x1.1e75914ba8786p-14, -0x1.1cd28ba718ae6p-14, -0x1.1b1cf721eef62p-14, -0x1.195530c14e611p-14, -0x1.177b956cc912bp-14, -0x1.159081e9da1b1p-14, -0x1.139452d7b0be8p-14, -0x1.118764ab6a2aep-14, -0x1.0f6a13ab04eedp-14, -0x1.0d3cbbe9993e2p-14, -0x1.0affb942c717p-14, -0x1.08b36756720b3p-14, -0x1.0658218405c86p-14, -0x1.03ee42e645846p-14, -0x1.0176264e95625p-14, -0x1.fde04c8148ccep-15, -0x1.f8b939dbbd243p-15, -0x1.f377c86201ba3p-15, -0x1.ee1cab1392efep-15, -0x1.e8a894312f51dp-15, -0x1.e31c3532f8897p-15, -0x1.dd783ec0fdd5dp-15, -0x1.d7bd60a9d3859p-15, -0x1.d1ec49da60493p-15, -0x1.cc05a85592be8p-15, -0x1.c60a292b4e4d4p-15, -0x1.bffa787086a8ep-15, -0x1.b9d7413727136p-15, -0x1.b3a12d8664a29p-15, -0x1.ad58e651c7935p-15, -0x1.a6ff137288e3cp-15, -0x1.a0945b9f99a7bp-15, -0x1.9a196465d145cp-15, -0x1.938ed2208c1e1p-15, -0x1.8cf547f349fe5p-15, -0x1.864d67c20dbb7p-15, -0x1.7f97d22a51977p-15, -0x1.78d5267cc5c69p-15, -0x1.720602b660ef8p-15, -0x1.6b2b037a6c26fp-15, -0x1.6444c40c28f47p-15, -0x1.5d53de48cba6ap-15, -0x1.5658eaa1b962dp-15, -0x1.4f54801776075p-15, -0x1.48473432639a7p-15, -0x1.41319aff647c2p-15, -0x1.3a14470a4cfacp-15, -0x1.32efc958514e1p-15, -0x1.2bc4b163f8afp-15, -0x1.24938d17b2977p-15, -0x1.1d5ce8ca922cp-15, -0x1.16214f3bab72p-15, -0x1.0ee1498e2506ap-15, -0x1.079d5f4568763p-15, -0x1.00561641a11ddp-15, -0x1.f217e577bb7abp-16, -0x1.e37eee868d784p-16, -0x1.d4e2497493f68p-16, -0x1.c642f4a5fed52p-16, -0x1.b7a1eb19eeb09p-16, -0x1.a90024657ae78p-16, -0x1.9a5e94ae7c8a3p-16, -0x1.8bbe2ca780b96p-16, -0x1.7d1fd98be07d4p-16, -0x1.6e84851c623e5p-16, -0x1.5fed159c0397ap-16, -0x1.515a6dcc71bcep-16, -0x1.42cd6ceae3273p-16, -0x1.3446eeafaa0e5p-16, -0x1.25c7cb4b5118cp-16, -0x1.1750d764e8216p-16, -0x1.08e2e4183cd07p-16, -0x1.f4fd7deb30a04p-17, -0x1.d84a64013cb29p-17, -0x1.bbae075ff1c97p-17, -0x1.9f29eddb8882cp-17, -0x1.82bf963056e33p-17, -0x1.667078023622cp-17, -0x1.4a3e03dcace5dp-17, -0x1.2e29a33746cd7p-17, -0x1.1234b877151b5p-17, -0x1.ecc13de9a15fep-18, -0x1.b55d55f9aadbap-18, -0x1.7e4053aacb4cfp-18, -0x1.476cc383f4baep-18, -0x1.10e524134dfaep-18, -0x1.b557cbef5fcacp-19, -0x1.4986d7e5365f1p-19, -0x1.bcb82bbeb6a0dp-20, -0x1.cf7050b35a766p-21, -0x1.4168b5e78b102p-24, 0x1.7c47f829b4b92p-21, 0x1.8eeef538ff96dp-20, 0x1.2f210ea77a6ep-19, 0x1.960ab3aecc93ap-19, 0x1.fc307df779a56p-19, 0x1.30c74e2c9ac77p-18, 0x1.6310ac0e8486bp-18, 0x1.94f28a665274dp-18, 0x1.c66b2802c72e6p-18, 0x1.f778d0a6f58b5p-18, 0x1.140cee79335fep-17, 0x1.2c265924d3427p-17, 0x1.4407e15fd01d3p-17, 0x1.5bb0c67dec137p-17, 0x1.73204e0ee731p-17, 0x1.8a55c3d268659p-17, 0x1.a15079aa3773ep-17, 0x1.b80fc78ec87ccp-17, 0x1.ce930b7edd20dp-17, 0x1.e4d9a97310ac2p-17, 0x1.fae30b4fe208p-17, 0x1.0857506a7f322p-16, 0x1.131defc7b4b61p-16, 0x1.1dc521660305p-16, 0x1.284ca5c3dc9edp-16, 0x1.32b4403033ff3p-16, 0x1.3cfbb6c30ebd5p-16, 0x1.4722d2552c50cp-16, 0x1.51295e784d87ap-16, 0x1.5b0f296fbb65ap-16, 0x1.64d404285c28bp-16, 0x1.6e77c22fef69fp-16, 0x1.77fa39adfee8ep-16, 0x1.815b435b4e8dap-16, 0x1.8a9aba79bfb5dp-16, 0x1.93b87ccb55207p-16, 0x1.9cb46a8ab9145p-16, 0x1.a58e6662f0659p-16, 0x1.ae465567725cdp-16, 0x1.b6dc1f0b48bd1p-16, 0x1.bf4fad1893f2ep-16, 0x1.c7a0eba7c734ep-16, 0x1.cfcfc9189fcb9p-16, 0x1.d7dc36081b7e8p-16, 0x1.dfc6254955eb3p-16, 0x1.e78d8bdcd19ddp-16, 0x1.ef3260e7545bfp-16, 0x1.f6b49daa14a8dp-16, 0x1.fe143d7a19353p-16, 0x1.02a89edbab01bp-15, 0x1.0635cee23caedp-15, 0x1.09b1af7faba9bp-15, 0x1.0d1c425bd3277p-15, 0x1.10758a136a588p-15, 0x1.13bd8a3395807p-15, 0x1.16f44735e1b32p-15, 0x1.1a19c67c5294ep-15, 0x1.1d2e0e4ccd422p-15, 0x1.203125cd21042p-15, 0x1.232314ff1ca31p-15, 0x1.2603e4bc45522p-15, 0x1.28d39eb18b724p-15, 0x1.2b924d5b28682p-15, 0x1.2e3ffc00db32dp-15, 0x1.30dcb6b1ccbdcp-15, 0x1.33688a4075472p-15, 0x1.35e3843ea2336p-15, 0x1.384db2f96022dp-15, 0x1.3aa72575034abp-15, 0x1.3cefeb69685eep-15, 0x1.3f28153dc8515p-15, 0x1.414fb4051d9edp-15, 0x1.4366d979ec875p-15, 0x1.456d97faacad9p-15, 0x1.47640285f1815p-15, 0x1.494a2cb69c075p-15, 0x1.4b202abfe4472p-15, 0x1.4ce61169c73e5p-15, 0x1.4e9bf60d833c7p-15, 0x1.5041ee9194592p-15, 0x1.51d8116661cf9p-15, 0x1.535e75828a143p-15, 0x1.54d5325efe45cp-15, 0x1.563c5ff3e423ep-15, 0x1.579416b4df425p-15, 0x1.58dc6f8d82961p-15, 0x1.5a1583de371bp-15, 0x1.5b3f6d7868345p-15, 0x1.5c5a469b4e376p-15, 0x1.5d6629f09d959p-15, 0x1.5e633289211fbp-15, 0x1.5f517bd99ff3p-15, 0x1.603121b76500cp-15, 0x1.6102405517a6bp-15, 0x1.61c4f43fcd901p-15, 0x1.62795a5b92f61p-15, 0x1.631f8fe075a89p-15, 0x1.63b7b257a3e82p-15, 0x1.6441df98156f3p-15, 0x1.64be35c3ba827p-15, 0x1.652cd3444b2b2p-15, 0x1.658dd6c8ec179p-15, 0x1.65e15f42d3ae3p-15, 0x1.66278be27c5bbp-15, 0x1.66607c14c481fp-15, 0x1.668c4f8093b49p-15, 0x1.66ab2603ed53p-15, 0x1.66bd1fb0d72dep-15, 0x1.66c25ccb39da4p-15, 0x1.66bafdc60ead4p-15, 0x1.66a72340d1739p-15, 0x1.6686ee04c972ep-15, 0x1.665a7f02d41ebp-15, 0x1.6621f750b6637p-15, 0x1.65dd7826d2195p-15, 0x1.658d22dd7a8dap-15, 0x1.653118eaf2047p-15, 0x1.64c97be0ccaadp-15, 0x1.64566d69baeffp-15, 0x1.63d80f478ef46p-15, 0x1.634e8350a9368p-15, 0x1.62b9eb6dca7c3p-15, 0x1.621a69982e846p-15, 0x1.61701fd768bfbp-15, 0x1.60bb303f1ecf7p-15, 0x1.5ffbbced1a35p-15, 0x1.5f31e8073f578p-15, 0x1.5e5dd3b9ccf55p-15, 0x1.5d7fa23521718p-15, 0x1.5c9775abe10c9p-15, 0x1.5ba5705177a08p-15, 0x1.5aa9b457ad4b2p-15, 0x1.59a463ed5365fp-15, 0x1.5895a13c3a1b5p-15, 0x1.577d8e67c6abfp-15, 0x1.565c4d8ad6479p-15, 0x1.553200b68fc53p-15, 0x1.53fec9f031964p-15, 0x1.52c2cb3015ef3p-15, 0x1.517e265fff314p-15, 0x1.5030fd58fa66bp-15, 0x1.4edb71e26877p-15, 0x1.4d7da5b0ad488p-15, 0x1.4c17ba6375ad3p-15, 0x1.4aa9d18452576p-15, 0x1.49340c8564756p-15, 0x1.47b68cc007c8p-15, 0x1.463173739a9fcp-15, 0x1.44a4e1c4136ap-15, 0x1.4310f8b8c9c31p-15, 0x1.4175d93b4c813p-15, 0x1.3fd3a416191f2p-15, 0x1.3e2a79f380e8ep-15, 0x1.3c7a7b5cb4b5p-15, 0x1.3ac3c8b87ed56p-15, 0x1.39068249d5c1fp-15, 0x1.3742c82f7b8a4p-15, 0x1.3578ba62b2baap-15, 0x1.33a878b5cf962p-15, 0x1.31d222d3ca337p-15, 0x1.2ff5d83f8df23p-15, 0x1.2e13b8525fd57p-15, 0x1.2c2be23b1f334p-15, 0x1.2a3e74fdc0667p-15, 0x1.284b8f7238d38p-15, 0x1.26535043d47e2p-15, 0x1.2455d5f02df1ap-15, 0x1.22533ec68f5e3p-15, 0x1.204ba8e74493dp-15, 0x1.1e3f3242da414p-15, }}, 
      {{0x1.e89133ed2d2d1p-8, 0x1.ea5c560b2d47cp-7, 0x1.71dd3b20b43cdp-6, 0x1.f0b75fdfab08fp-6, 0x1.3901d033de9bdp-5, 0x1.7ae6d53efb779p-5, 0x1.bdf6f33fdccc2p-5, 0x1.0104e1426a727p-4, 0x1.2373bad47f65ep-4, 0x1.4626e33b426ccp-4, 0x1.68fa2c5f8297dp-4, 0x1.8bc83b373459dp-4, 0x1.ae6c0f4ddf007p-4, 0x1.d0c237639b01fp-4, 0x1.f2a9ba6f94fe1p-4, 0x1.0a025f0b0d81bp-3, 0x1.1a5c7a15282e3p-3, 0x1.2a57ec4e42325p-3, 0x1.39eb6448c905bp-3, 0x1.490f7d4182ec4p-3, 0x1.57beaf2ab7d74p-3, 0x1.65f535af6b7abp-3, 0x1.73b0f0b7f7004p-3, 0x1.80f1408eb9829p-3, 0x1.8db6df63cf6p-3, 0x1.9a03b99a51d09p-3, 0x1.a5dac600117e2p-3, 0x1.b13fded180c5cp-3, 0x1.bc379c35bf0b4p-3, 0x1.c6c730b184265p-3, 0x1.d0f447e9d2ebap-3, 0x1.dac4e7f0567abp-3, 0x1.e43f5539f4366p-3, 0x1.ed69f94baaa22p-3, 0x1.f64b4c19d5e72p-3, 0x1.fee9c0094b2bp-3, 0x1.03a5d83c3b595p-2, 0x1.07bba957c8a36p-2, 0x1.0bb954892fcep-2, 0x1.0fa1bc356c4c1p-2, 0x1.13779f9130289p-2, 0x1.173d971f703cp-2, 0x1.1af611fca69f3p-2, 0x1.1ea353e231aa7p-2, 0x1.224773cdecc26p-2, 0x1.25e45b3b2f222p-2, 0x1.297bc5db73353p-2, 0x1.2d0f41be1dd46p-2, 0x1.30a02fd815dacp-2, 0x1.342fc4dd2511cp-2, 0x1.37bf0a5e4c3bep-2, 0x1.3b4ee02170aebp-2, 0x1.3edffda7eb506p-2, 0x1.4272f3da9732dp-2, 0x1.46082ed30a4ebp-2, 0x1.499ff7ba95351p-2, 0x1.4d3a76b8882d9p-2, 0x1.50d7b4ea1032cp-2, 0x1.54779e5ebd906p-2, 0x1.581a04156c23cp-2, 0x1.5bbe9df5edb36p-2, 0x1.5f650cc459e0ep-2, 0x1.630cdc0b6b293p-2, 0x1.66b583fbbd0a2p-2, 0x1.6a5e6b3e25dc6p-2, 0x1.6e06e8b7bcb56p-2, 0x1.71ae453e6d70cp-2, 0x1.7553bd3d362f4p-2, 0x1.78f6824770d76p-2, 0x1.7c95bc9ab8e23p-2, 0x1.80308c8f2320fp-2, 0x1.83c60bf5ab54cp-2, 0x1.87554f64ddc18p-2, 0x1.8add6773ce534p-2, 0x1.8e5d61e396f33p-2, 0x1.91d44ab7a36b5p-2, 0x1.95412d3d175e5p-2, 0x1.98a31501ba85ep-2, 0x1.9bf90ebacc694p-2, 0x1.9f42291c3d55p-2, 0x1.a27d75a0ba167p-2, 0x1.a5aa094314245p-2, 0x1.a8c6fd298077bp-2, 0x1.abd36f432ed3dp-2, 0x1.aece82d8c406dp-2, 0x1.b1b761103409fp-2, 0x1.b48d396484cap-2, 0x1.b74f4211fa743p-2, 0x1.b9fcb8772a9f5p-2, 0x1.bc94e16b7ab3bp-2, 0x1.bf17098b84b61p-2, 0x1.c182857bd9359p-2, 0x1.c3d6b2229911p-2, 0x1.c612f4d85cf15p-2, 0x1.c836bb90d78c3p-2, 0x1.ca417cfba3455p-2, 0x1.cc32b89dab54fp-2, 0x1.ce09f6e38e215p-2, 0x1.cfc6c92d6c05dp-2, 0x1.d168c9d475364p-2, 0x1.d2ef9c2aa3d12p-2, 0x1.d45aec74f37d9p-2, 0x1.d5aa6fe074436p-2, 0x1.d6dde47290214p-2, 0x1.d7f510f4ccd52p-2, 0x1.d8efc4dc6631bp-2, 0x1.d9cdd82e04bc2p-2, 0x1.da8f2b5ddb56bp-2, 0x1.db33a72c779ccp-2, 0x1.dbbb3c8084b71p-2, 0x1.dc25e43dc5434p-2, 0x1.dc739f197ecdbp-2, 0x1.dca4756c98d58p-2, 0x1.dcb87703a736bp-2, 0x1.dcafbaed128dp-2, 0x1.dc8a5f459c236p-2, 0x1.dc48890367372p-2, 0x1.dbea63bfbe88ap-2, 0x1.db70217fc0023p-2, 0x1.dad9fa7c1b50fp-2, 0x1.da282ce80ef9ep-2, 0x1.d95afcb7c6aap-2, 0x1.d872b36646bc9p-2, 0x1.d76f9fbb01fe4p-2, 0x1.d652158f40612p-2, 0x1.d51a6d937337cp-2, 0x1.d3c905149631bp-2, 0x1.d25e3dc1b9af6p-2, 0x1.d0da7d71cdbc5p-2, 0x1.cf3e2de9cdcbbp-2, 0x1.cd89bca359871p-2, 0x1.cbbd9a93dd6d9p-2, 0x1.c9da3bf451dd9p-2, 0x1.c7e01809afc1bp-2, 0x1.c5cfa8ee248e3p-2, 0x1.c3a96b5b14f45p-2, 0x1.c16dde7406eb4p-2, 0x1.bf1d8392714d7p-2, 0x1.bcb8de128c4e9p-2, 0x1.ba407321256d5p-2, 0x1.b7b4c98a81e03p-2, 0x1.b516698a5aec8p-2, 0x1.b265dc9cfdd45p-2, 0x1.afa3ad518d999p-2, 0x1.acd0671d7b413p-2, 0x1.a9ec96312bcbcp-2, 0x1.a6f8c74dd7c1ep-2, 0x1.a3f5879cabcffp-2, 0x1.a0e364871f71ap-2, 0x1.9dc2eb90973a2p-2, 0x1.9a94aa314202dp-2, 0x1.97592db23ea31p-2, 0x1.9411030b05ca4p-2, 0x1.90bcb6c01407bp-2, 0x1.8d5cd4c2df6f5p-2, 0x1.89f1e85306625p-2, 0x1.867c7be0c3ccap-2, 0x1.82fd18f0a1cd7p-2, 0x1.7f7448006664bp-2, 0x1.7be2906d39b5dp-2, 0x1.7848785b01082p-2, 0x1.74a6849ceb717p-2, 0x1.70fd389f2d16ap-2, 0x1.6d4d1651e2dap-2, 0x1.69969e151a10fp-2, 0x1.65da4ea5fafp-2, 0x1.6218a50d09cdp-2, 0x1.5e521c8d80f93p-2, 0x1.5a872e95bad9p-2, 0x1.56b852b0a44e4p-2, 0x1.52e5fe7837044p-2, 0x1.4f10a588f09f4p-2, 0x1.4b38b97642d9ep-2, 0x1.475ea9bff90b8p-2, 0x1.4382e3c8888a3p-2, 0x1.3fa5d2cc47814p-2, 0x1.3bc7dfd985d76p-2, 0x1.37e971c97ee77p-2, 0x1.340aed3a1fa68p-2, 0x1.302cb48898db7p-2, 0x1.2c4f27ccbac4cp-2, 0x1.2872a4d5100eep-2, 0x1.24978723b264p-2, 0x1.20be27ebd50f8p-2, 0x1.1ce6de0ffb989p-2, 0x1.1911fe20d9af8p-2, 0x1.153fda5cd1e09p-2, 0x1.1170c2b0130b4p-2, 0x1.0da504b548befp-2, 0x1.09dcebb6da16cp-2, 0x1.0618c0b0b38fap-2, 0x1.0258ca5295b0cp-2, 0x1.fd3a9a05b6a87p-3, 0x1.f5cd15c37e153p-3, 0x1.ee69879a1f86fp-3, 0x1.e7106ac89ee83p-3, 0x1.dfc2361a7e82ap-3, 0x1.d87f5bf192ad9p-3, 0x1.d1484a508ff6fp-3, 0x1.ca1d6ae65122fp-3, 0x1.c2ff2319b638ap-3, 0x1.bbedd4162c718p-3, 0x1.b4e9dad8c1233p-3, 0x1.adf3903dbec2bp-3, 0x1.a70b490ed07bep-3, 0x1.a031561191fa4p-3, 0x1.996604169a572p-3, 0x1.92a99c08e606ap-3, 0x1.8bfc62fda2687p-3, 0x1.855e9a444dc93p-3, 0x1.7ed07f772a133p-3, 0x1.78524c8bf1777p-3, 0x1.71e437e4d418bp-3, 0x1.6b867461a454ep-3, 0x1.653931713fc02p-3, 0x1.5efc9b231ed3dp-3, 0x1.58d0da390c323p-3, 0x1.52b61438f9d2ep-3, 0x1.4cac6b7ef6ba6p-3, 0x1.46b3ff4f2f401p-3, 0x1.40ccebe80514p-3, 0x1.3af74a942e4ep-3, 0x1.353331bcd63f8p-3, 0x1.2f80b4fbc38cp-3, 0x1.29dfe52d76572p-3, 0x1.2450d0833e883p-3, 0x1.1ed38295477f2p-3, 0x1.196804748dcccp-3, 0x1.140e5cbcc433bp-3, 0x1.0ec68fa61e468p-3, 0x1.09909f1700a22p-3, 0x1.046c8ab5909cep-3, 0x1.feb49ff24510dp-4, 0x1.f4b3d477027ffp-4, 0x1.ead6a594250e3p-4, 0x1.e11d01ed928b1p-4, 0x1.d786d451e05b2p-4, 0x1.ce1403db86417p-4, 0x1.c4c47411b3eb3p-4, 0x1.bb980508b7a71p-4, 0x1.b28e9381fb8eap-4, 0x1.a9a7f90b93dbcp-4, 0x1.a0e40c1f68f66p-4, 0x1.9842a041d9b3dp-4, 0x1.8fc3861feb689p-4, 0x1.87668bad0dc9bp-4, 0x1.7f2b7c40512fep-4, 0x1.771220b128bfp-4, 0x1.6f1a3f73aa5e9p-4, 0x1.67439cb44c845p-4, 0x1.5f8dfa7322dd7p-4, 0x1.57f9189e91edbp-4, 0x1.5084b52d872e7p-4, 0x1.49308c391f847p-4, 0x1.41fc5815cf659p-4, 0x1.3ae7d16bff501p-4, 0x1.33f2af5024508p-4, 0x1.2d1ca75a4a631p-4, 0x1.26656dbd1f1c7p-4, 0x1.1fccb55c6c113p-4, 0x1.19522fe311582p-4, 0x1.12f58dd871ba6p-4, 0x1.0cb67eb55a98ap-4, 0x1.0694b0f8672acp-4, 0x1.008fd239dc1d5p-4, 0x1.f54f1e7df8d9ep-5, 0x1.e9b72819bc05cp-5, 0x1.de5717f56ec53p-5, 0x1.d32e438759d6dp-5, 0x1.c83bff3038e4ap-5, 0x1.bd7f9e5cd1edbp-5, 0x1.b2f873a68fb5ep-5, 0x1.a8a5d0f3220cbp-5, 0x1.9e8707932281fp-5, 0x1.949b685fca349p-5, 0x1.8ae243d7ae859p-5, 0x1.815aea3a9539ep-5, 0x1.7804aba458a6cp-5, 0x1.6eded826e8942p-5, 0x1.65e8bfe35cebfp-5, 0x1.5d21b32230612p-5, 0x1.5489026a98808p-5, 0x1.4c1dfe990721bp-5, 0x1.43dff8f4caa9dp-5, 0x1.3bce4344ec16bp-5, 0x1.33e82fe42b279p-5, 0x1.2c2d11d43def7p-5, 0x1.249c3cd040d0dp-5, 0x1.1d35055e65aa1p-5, 0x1.15f6c0e0df078p-5, 0x1.0ee0c5a6118fdp-5, 0x1.07f26af810f15p-5, 0x1.012b092b5d67dp-5, 0x1.f513f35a003c4p-6, 0x1.e81d2e1fd3d46p-6, 0x1.db707a336c57p-6, 0x1.cf0c919d84a16p-6, 0x1.c2f030fb4bf41p-6, 0x1.b71a179416bfbp-6, 0x1.ab89076de45f7p-6, 0x1.a03bc560b63e7p-6, 0x1.95311928bbeb9p-6, 0x1.8a67cd776f8d9p-6, 0x1.7fdeb0038fb85p-6, 0x1.759491981b394p-6, 0x1.6b8846222f32p-6, 0x1.61b8a4be056cfp-6, 0x1.582487c2df8dap-6, 0x1.4ecaccce0a096p-6, 0x1.45aa54ccfbd5cp-6, 0x1.3cc204068e937p-6, 0x1.3410c223563f3p-6, 0x1.2b957a35273p-6, 0x1.234f1abdd0b77p-6, 0x1.1b3c95b50bb0ap-6, 0x1.135ce08da4ba7p-6, 0x1.0baef439ed608p-6, 0x1.0431cd2f7d57bp-6, 0x1.f9c8d6d484cdp-7, 0x1.eb8ba4ddb2b08p-7, 0x1.ddaa1298b7368p-7, 0x1.d022353af5ae1p-7, 0x1.c2f229123777cp-7, 0x1.b618118477f33p-7, 0x1.a992190ee8937p-7, 0x1.9d5e7143ae70ap-7, 0x1.917b52c6b098bp-7, 0x1.85e6fd496ead4p-7, 0x1.7a9fb785e5704p-7, 0x1.6fa3cf388de96p-7, 0x1.64f1991988085p-7, 0x1.5a8770d4de773p-7, 0x1.5063b90231065p-7, 0x1.4684db1b59522p-7, 0x1.3ce94772a4baep-7, 0x1.338f75282a826p-7, 0x1.2a75e21e8efb4p-7, 0x1.219b12ef35328p-7, 0x1.18fd92ddc7da9p-7, 0x1.109bf3cb42484p-7, 0x1.0874ce286879ep-7, 0x1.0086c0e7d5d91p-7, 0x1.f1a0e2df0930fp-8, 0x1.e2a11713b301bp-8, 0x1.d40b82acd19ddp-8, 0x1.c5dd9674857a1p-8, 0x1.b814cf9fb7f8bp-8, 0x1.aaaeb7ad7ce4bp-8, 0x1.9da8e44581db9p-8, 0x1.9100f7164be53p-8, 0x1.84b49db296addp-8, 0x1.78c1916e722acp-8, 0x1.6d25973bc4073p-8, 0x1.61de7f8673374p-8, 0x1.56ea261053ee7p-8, 0x1.4c4671cc88d11p-8, 0x1.41f154bab7651p-8, 0x1.37e8cbc1f7447p-8, 0x1.2e2ade8b9abfcp-8, 0x1.24b59f5d9c05fp-8, 0x1.1b872af50bfcbp-8, 0x1.129da8605186ap-8, 0x1.09f748d938601p-8, 0x1.0192479f21323p-8, 0x1.f2d9d3a204b9bp-9, 0x1.e30afc8eca2edp-9, 0x1.d3b4badcf34cdp-9, 0x1.c4d3d240370bep-9, 0x1.b66518fbf2167p-9, 0x1.a86577979fb4dp-9, 0x1.9ad1e8935bbb3p-9, 0x1.8da7781cc78b1p-9, 0x1.80e343c42d922p-9, 0x1.74827a320aadcp-9, 0x1.68825adcaa223p-9, 0x1.5ce035be9f5f7p-9, 0x1.51996b0d1dfebp-9, 0x1.46ab6aef337ecp-9, 0x1.3c13b5357226cp-9, 0x1.31cfd911b65efp-9, 0x1.27dd74cff25ecp-9, 0x1.1e3a358f45daap-9, 0x1.14e3d6fbb9835p-9, 0x1.0bd823089af5ep-9, 0x1.0314f1ab67a93p-9, 0x1.f530512ee1021p-10, 0x1.e4bf75f3fb76dp-10, 0x1.d4d3526efeca4p-10, 0x1.c5680151d48dfp-10, 0x1.b679b6b45ffabp-10, 0x1.a804bf92a17dep-10, 0x1.9a05814c21ea9p-10, 0x1.8c78792538caep-10, 0x1.7f5a3bc994b45p-10, 0x1.72a774d032a6ap-10, 0x1.665ce6411a07p-10, 0x1.5a77681cc112fp-10, 0x1.4ef3e7e4972e7p-10, 0x1.43cf6825b382cp-10, 0x1.390700047a2fcp-10, 0x1.2e97daca8af4ap-10, 0x1.247f37759e8ap-10, 0x1.1aba6848a8f25p-10, 0x1.1146d25e436dap-10, 0x1.0821ed3c8b19bp-10, 0x1.fe9284d63f6f4p-11, 0x1.ed74da14511bp-11, 0x1.dce632d75e0bap-11, 0x1.cce2095c317fcp-11, 0x1.bd63f8b063176p-11, 0x1.ae67bbeead911p-11, 0x1.9fe92d7d8022fp-11, 0x1.91e4465162ae4p-11, 0x1.84551d324a475p-11, 0x1.7737e6047a906p-11, 0x1.6a88f113feafap-11, 0x1.5e44aa63c3d0dp-11, 0x1.52679900004c1p-11, 0x1.46ee5e530ed4fp-11, 0x1.3bd5b57e0f014p-11, 0x1.311a72b4a20ccp-11, 0x1.26b9829aeb007p-11, 0x1.1cafe9a787fc8p-11, 0x1.12fac388159b3p-11, 0x1.09974288d8b1fp-11, 0x1.0082aeff2f6a7p-11, 0x1.ef74cd6e54286p-12, 0x1.de77b8c7e9f9fp-12, 0x1.ce092e25cc19ap-12, 0x1.be246343f693dp-12, 0x1.aec4b47106278p-12, 0x1.9fe5a385dbc86p-12, 0x1.9182d6e290371p-12, 0x1.839818709e042p-12, 0x1.762154aae0f7cp-12, 0x1.691a99aa28dcp-12, 0x1.5c8016381a5edp-12, 0x1.504e18e646902p-12, 0x1.44810f2a703c7p-12, 0x1.39158480838aep-12, 0x1.2e082190ae9abp-12, 0x1.2355ab5ae4556p-12, 0x1.18fb02671c86p-12, 0x1.0ef521fa491a5p-12, 0x1.05411f4f94eb2p-12, 0x1.f7b851ad5096cp-13, 0x1.e5870aed1b2c9p-13, 0x1.d3e927a92002ep-13, 0x1.c2d9933ffeaaap-13, 0x1.b25365c396779p-13, 0x1.a251e2a1dbaf9p-13, 0x1.92d07753f2b4ap-13, 0x1.83caba181217cp-13, 0x1.753c68b1e532ap-13, 0x1.6721673282e8ap-13, 0x1.5975beca1415bp-13, 0x1.4c359c9e8853cp-13, 0x1.3f5d50ab9e8e3p-13, 0x1.32e94caa0e71cp-13, 0x1.26d622fca97b2p-13, 0x1.1b2085a659d6p-13, 0x1.0fc5454622c3ap-13, 0x1.04c1501995d38p-13, 0x1.f423620d2f9cbp-14, 0x1.df671d57a0fbep-14, 0x1.cb4854ed15f1ap-14, 0x1.b7c1bf7fa39ep-14, 0x1.a4ce45dfbf378p-14, 0x1.9269014dd441dp-14, 0x1.808d39d731f64p-14, 0x1.6f3664c0cc26p-14, 0x1.5e6022fae262bp-14, 0x1.4e063fa20a658p-14, 0x1.3e24ae88eb6aep-14, 0x1.2eb78acdd7812p-14, 0x1.1fbb157c1c0eep-14, 0x1.112bb4333ad64p-14, 0x1.0305efdcecb25p-14, 0x1.ea8ce6d3433bep-15, 0x1.cfd4152ea17a5p-15, 0x1.b5db4185c825p-15, 0x1.9c9c7f826304bp-15, 0x1.84121d824626ap-15, 0x1.6c36a26cb2655p-15, 0x1.5504cb992d942p-15, 0x1.3e778ac766d57p-15, 0x1.288a042619cfep-15, 0x1.13378c68fe15ep-15, 0x1.fcf74de2ba2d6p-16, 0x1.d4a408031173cp-16, 0x1.ad6cfe032b43bp-16, 0x1.874a399f7d8dbp-16, 0x1.6234144484d02p-16, 0x1.3e2333e4c4ac5p-16, 0x1.1b1087f3b38e2p-16, 0x1.f1ea8ce31ac6dp-17, 0x1.af95d226e5fcep-17, 0x1.6f16550131a3dp-17, 0x1.30600759c7bf4p-17, 0x1.e6cea52430ff5p-18, 0x1.70422510c1f55p-18, 0x1.fa0a433ee630dp-19, 0x1.1a06005e2d2b1p-19, 0x1.013f7aef12d69p-21, -0x1.267c8648cdd7fp-20, -0x1.60c91609d777ap-19, -0x1.1439f502f834dp-18, -0x1.75305efbe75dp-18, -0x1.d35827295353fp-18, -0x1.176088dd67c4dp-17, -0x1.43bd27dfe1f3fp-17, -0x1.6ec942e5b65ep-17, -0x1.988be92b6f01ep-17, -0x1.c10be9f5c6171p-17, -0x1.e84fd7835780cp-17, -0x1.072f04f51e0ap-16, -0x1.199e50e5e80cfp-16, -0x1.2b78c57da552p-16, -0x1.3cc13f7f49893p-16, -0x1.4d7a83be4cee1p-16, -0x1.5da74048a472cp-16, -0x1.6d4a0d83584dp-16, -0x1.7c656f3b0fe3dp-16, -0x1.8afbd5ab40616p-16, -0x1.990f9e7925696p-16, -0x1.a6a315a2bd998p-16, -0x1.b3b87668d5b42p-16, -0x1.c051ec26c7553p-16, -0x1.cc7193282f64cp-16, -0x1.d819797003b4cp-16, -0x1.e34b9f7c02c0ep-16, -0x1.ee09f8f8a338p-16, -0x1.f8566d71a21cap-16, -0x1.01196c7d16118p-15, -0x1.05d08664f913bp-15, -0x1.0a5167ebaef72p-15, -0x1.0e9cefb330485p-15, -0x1.12b3f7c90cc3ap-15, -0x1.169755e767453p-15, -0x1.1a47dbb3a7e49p-15, -0x1.1dc656f887507p-15, -0x1.211391deb4654p-15, -0x1.24305321068a2p-15, -0x1.271d5e3eecf7cp-15, -0x1.29db73ab900bep-15, -0x1.2c6b50fbaa62bp-15, -0x1.2ecdb10e58d4dp-15, -0x1.31034c35cf132p-15, -0x1.330cd85cd5b8ep-15, -0x1.34eb092991033p-15, -0x1.369e90201ed1bp-15, -0x1.38281cc055b2ap-15, -0x1.39885ca3f0049p-15, -0x1.3abffb996ee7bp-15, -0x1.3bcfa3bdd7e88p-15, -0x1.3cb7fd949099bp-15, -0x1.3d79b01dc48fep-15, -0x1.3e1560eaa3675p-15, -0x1.3e8bb4310c263p-15, -0x1.3edd4cdc83c9dp-15, -0x1.3f0acc9f375b1p-15, -0x1.3f14d400e138p-15, -0x1.3efc026c64b3dp-15, -0x1.3ec0f63c60e6dp-15, -0x1.3e644cc6ea9ap-15, -0x1.3de6a26756707p-15, -0x1.3d489288b7363p-15, -0x1.3c8ab7ad00893p-15, -0x1.3badab75bd642p-15, -0x1.3ab206a91e461p-15, -0x1.399861392cca6p-15, -0x1.3861524859e95p-15, -0x1.370d702d50dedp-15, -0x1.359d5077482bbp-15, -0x1.341187f075edp-15, -0x1.326aaaa03155ep-15, -0x1.30a94bcd01113p-15, -0x1.2ecdfdfdcb568p-15, -0x1.2cd952fa22a82p-15, -0x1.2acbdbcae8507p-15, -0x1.28a628b9846c2p-15, -0x1.2668c94fad59ap-15, -0x1.24144c560a9a7p-15, -0x1.21a93fd30a81bp-15, -0x1.1f2831091450ap-15, -0x1.1c91ac743f772p-15, -0x1.19e63dc81ea57p-15, -0x1.17266fecb9e5bp-15, -0x1.1452ccfcef332p-15, -0x1.116bde41d3a6p-15, -0x1.0e722c3105454p-15, -0x1.0b663e67efbc2p-15, -0x1.08489ba916cccp-15, -0x1.0519c9d7f1fbfp-15, -0x1.01da4df579dccp-15, -0x1.fd15583831fcep-16, -0x1.f656cef6c8935p-16, -0x1.ef7a04a8d3367p-16, -0x1.e87ffbeb1bebap-16, -0x1.e169b56c2b302p-16, -0x1.da382fe4c9cc9p-16, -0x1.d2ec680f77533p-16, -0x1.cb87589f4fc84p-16, -0x1.c409fa3847904p-16, -0x1.bc7543669a014p-16, -0x1.b4ca2895a7d62p-16, -0x1.ad099c099fb9cp-16, -0x1.a5348dd534927p-16, -0x1.9d4bebd3a80c3p-16, -0x1.9550a19f4d893p-16, -0x1.8d43988a09cbfp-16, -0x1.8525b7961ab04p-16, -0x1.7cf7e36ea033bp-16, -0x1.74bafe5fb45c9p-16, -0x1.6c6fe84fa63d6p-16, -0x1.64177eb7d5232p-16, -0x1.5bb29c9e1bdfbp-16, -0x1.53421a8e0bce3p-16, -0x1.4ac6ce92eeb79p-16, -0x1.42418c321518fp-16, -0x1.39b32463883eap-16, -0x1.311c658e082a9p-16, -0x1.287e1b8073451p-16, -0x1.1fd90f6cdc3c9p-16, -0x1.172e07e404c72p-16, -0x1.0e7dc8d06d05ep-16, -0x1.05c91371cd8dfp-16, -0x1.fa214cb2f5d13p-17, -0x1.e8aa7acb7fcf7p-17, -0x1.d72f237e6967ep-17, -0x1.c5b0b3a7e18d5p-17, -0x1.b43092ad1ede2p-17, -0x1.a2b022720b208p-17, -0x1.9130bf5722812p-17, -0x1.7fb3c0345cc62p-17, -0x1.6e3a76527ea94p-17, -0x1.5cc62d6b92e68p-17, -0x1.4b582ba5baca3p-17, -0x1.39f1b19039bafp-17, -0x1.2893fa22b0823p-17, -0x1.17403abaee215p-17, -0x1.05f7a31aabc19p-17, -0x1.e976bad470c52p-18, -0x1.c7191c69cc04ep-18, -0x1.a4d8a8d69daaep-18, -0x1.82b792c88de86p-18, -0x1.60b801baac456p-18, -0x1.3edc11fbfa3f1p-18, -0x1.1d25d4b18c52ep-18, -0x1.f72e9fbb5da1bp-19, -0x1.b464fccacfc35p-19, -0x1.71f2a033836ddp-19, -0x1.2fdb537946bfcp-19, -0x1.dc459430611fp-20, -0x1.59994333d6dc1p-20, -0x1.af71868e4a12cp-21, -0x1.5aabe08f3ea18p-22, 0x1.4c4b2e7a2435ep-23, 0x1.51bb92cff89ebp-21, 0x1.274bd066f8f4dp-20, 0x1.a4cd4345b635p-20, 0x1.10ae0a86c7682p-19, 0x1.4e7931793f06dp-19, 0x1.8bc53a19c0b5p-19, 0x1.c88f5ce029b7ap-19, 0x1.026a7381ae9b1p-18, 0x1.20499d24a10a9p-18, 0x1.3de3e673e97c5p-18, 0x1.5b3814afae5f7p-18, 0x1.7844f725ccda9p-18, 0x1.9509671f34dadp-18, 0x1.b18447ca621c5p-18, 0x1.cdb48627ddbf3p-18, 0x1.e99918f19651dp-18, 0x1.0298804174fe6p-17, 0x1.103da363a2b17p-17, 0x1.1dbb7f8ed3449p-17, 0x1.2b11a32109f46p-17, 0x1.383fa11c11381p-17, 0x1.45451116a2708p-17, 0x1.52218f32566c3p-17, 0x1.5ed4bc0d57267p-17, 0x1.6b5e3cb60df5fp-17, 0x1.77bdbaa017b8fp-17, 0x1.83f2e39367493p-17, 0x1.8ffd69a2ca956p-17, 0x1.9bdd031c28d8bp-17, 0x1.a7916a7c2464ep-17, 0x1.b31a5e60f41a2p-17, 0x1.be77a17baaca8p-17, 0x1.c9a8fa826532dp-17, 0x1.d4ae3424423cdp-17, 0x1.df871cf8d03eap-17, 0x1.ea338773e1361p-17, 0x1.f4b349d75f67p-17, 0x1.ff063e2510af6p-17, 0x1.04962107844ffp-16, 0x1.09929b762b2a3p-16, 0x1.0e7880d40ce4ep-16, 0x1.1347c55a0c15p-16, 0x1.18005efdd4b89p-16, 0x1.1ca24569d2f7fp-16, 0x1.212d71f62d4fbp-16, 0x1.25a1dfa28e40ep-16, 0x1.29ff8b0d685ebp-16, 0x1.2e46726df8333p-16, 0x1.3276958ce5c79p-16, 0x1.368ff5bd0e869p-16, 0x1.3a9295d3d9aaap-16, 0x1.3e7e7a2328d79p-16, 0x1.4253a87139f6ap-16, 0x1.461227f24662fp-16, 0x1.49ba0140dc632p-16, 0x1.4d4b3e577d9dep-16, 0x1.50c5ea892034cp-16, 0x1.542a1279bf018p-16, 0x1.5777c41867baap-16, 0x1.5aaf0e97f2d25p-16, 0x1.5dd0026776282p-16, 0x1.60dab12c6dd72p-16, 0x1.63cf2dbb00115p-16, 0x1.66ad8c0fd3c88p-16, 0x1.6975e148ac72bp-16, 0x1.6c28439ec1ae9p-16, 0x1.6ec4ca5ee92e3p-16, 0x1.714b8de38dccbp-16, 0x1.73bca78e31e87p-16, 0x1.761831c0bc6a9p-16, 0x1.785e47d6a78abp-16, 0x1.7a8f061f4fcdep-16, 0x1.7caa89d7117f4p-16, 0x1.7eb0f120eabeap-16, 0x1.80a25b00cf8a8p-16, 0x1.827ee75496394p-16, 0x1.8446b6ce570a5p-16, 0x1.85f9eaee47da7p-16, 0x1.8798a5fcce9b3p-16, 0x1.89230b040e7c4p-16, 0x1.8a993dca5c623p-16, 0x1.8bfb62cc5e56dp-16, 0x1.8d499f374378bp-16, 0x1.8e8418e2c18d9p-16, 0x1.8faaf64b88082p-16, 0x1.90be5e8df559bp-16, 0x1.91be796016ad2p-16, 0x1.92ab6f0c8cc75p-16, 0x1.9385686cada06p-16, 0x1.944c8ee3b7163p-16, 0x1.95010c5901188p-16, 0x1.95a30b331c2e8p-16, 0x1.9632b652baa9bp-16, 0x1.96b0390d33864p-16, 0x1.971bbf27b7471p-16, 0x1.977574d29e0a1p-16, 0x1.97bd86a41cd93p-16, 0x1.97f421939a3b7p-16, 0x1.981972f4e5f22p-16, 0x1.982da873c72f1p-16, 0x1.9830f00f28caep-16, 0x1.982378148efbp-16, 0x1.98056f1bba6d4p-16, 0x1.97d70401fe48fp-16, 0x1.979865e64491fp-16, 0x1.9749c4248607cp-16, 0x1.96eb4e51d3935p-16, 0x1.967d343802087p-16, 0x1.95ffa5d18b392p-16, 0x1.9572d345b9417p-16, 0x1.94d6ece4c5939p-16, 0x1.942c2323c2b0dp-16, 0x1.9372a698fcc86p-16, 0x1.92aaa7f8456fbp-16, 0x1.91d4580f2e10ap-16, 0x1.90efe7c150bfep-16, 0x1.8ffd88051a104p-16, 0x1.8efd69e03a432p-16, 0x1.8defbe63fc898p-16, 0x1.8cd4b6aa2a0e5p-16, 0x1.8bac83d1f9fa7p-16, 0x1.8a7756fc85876p-16, 0x1.89356149c2194p-16, 0x1.87e6d3d553b73p-16, 0x1.868bdfb3b037fp-16, 0x1.8524b5ef20906p-16, 0x1.83b18784eecf4p-16, 0x1.8232856285af5p-16, 0x1.80a7e062a175p-16, 0x1.7f11c94a85d72p-16, 0x1.7d7070c7706edp-16, 0x1.7bc4076c42a3ap-16, 0x1.7a0cbdae98985p-16, 0x1.784ac3e45cc03p-16, 0x1.767e4a419dbf9p-16, 0x1.74a780d63910bp-16, 0x1.72c6978b388dap-16, 0x1.70dbbe20d4fe5p-16, 0x1.6ee7242c21754p-16, 0x1.6ce8f91514592p-16, 0x1.6ae16c14767ep-16, 0x1.68d0ac31d1858p-16, 0x1.66b6e8415ef7fp-16, 0x1.64944ee23f6bap-16, 0x1.62690e7c8952cp-16, 0x1.6035553f8baa1p-16, 0x1.5df9511ffc7b6p-16, 0x1.5bb52fd6529b3p-16, 0x1.59691edd3f1bbp-16, 0x1.57154b6fe1925p-16, 0x1.54b9e2884524cp-16, 0x1.525710ddc5cecp-16, 0x1.4fed02e3d4c4ep-16, 0x1.4d7be4c845f35p-16, 0x1.4b03e2723f9c7p-16, 0x1.48852780e0792p-16, 0x1.45ffdf49c56adp-16, 0x1.437434d7cd26cp-16, 0x1.40e252ea192p-16, 0x1.3e4a63f2d7aefp-16, 0x1.3bac9216064afp-16, 0x1.39090728749ep-16, 0x1.365fecaeeba0bp-16, 0x1.33b16bdd2978bp-16, 0x1.30fdad94d1189p-16, 0x1.2e44da646900ep-16, 0x1.2b871a86be29fp-16, 0x1.28c495e1c0e75p-16, 0x1.25fd74061ddcep-16, 0x1.2331dc2e87b08p-16, 0x1.2061f53e99b0fp-16, 0x1.1d8de5c24c0b2p-16, 0x1.1ab5d3ed6fecfp-16, 0x1.17d9e59b1609p-16, 0x1.14fa404cf1818p-16, 0x1.1217092ac0958p-16, 0x1.0f306501b4969p-16, 0x1.0c46784445f41p-16, 0x1.09596709c3d29p-16, 0x1.0669550d86ae5p-16, 0x1.037665aedd9f1p-16, 0x1.0080bbf08f861p-16, 0x1.fb10f4f10c0d7p-17, 0x1.f51b871f90f6cp-17, 0x1.ef217243f02f8p-17, 0x1.e922f97a7606bp-17, 0x1.e3205f23da2c4p-17, 0x1.dd19e4e4a85ebp-17, 0x1.d70fcba568c56p-17, 0x1.d10253921ccb7p-17, 0x1.caf1bc1a18368p-17, 0x1.c4de43eff9f21p-17, 0x1.bec829095b5bp-17, 0x1.b8afa89f0fa8fp-17, 0x1.b294ff2cb948ep-17, 0x1.ac78687134828p-17, 0x1.a65a1f6e46c3ap-17, 0x1.a03a5e68b8914p-17, 0x1.9a195ee8d2e8dp-17, 0x1.93f759babcedp-17, 0x1.8dd486ee538b5p-17, 0x1.87b11dd787294p-17, 0x1.818d550eb4fep-17, 0x1.7b696270d24e8p-17, 0x1.75457b2051923p-17, 0x1.6f21d384ea3e6p-17, 0x1.68fe9f4cb4aebp-17, 0x1.62dc116bed9d8p-17, 0x1.5cba5c1e3eb95p-17, 0x1.5699b0e6d442bp-17, 0x1.507a409154edp-17, 0x1.4a5c3b3244bb7p-17, 0x1.443fd02755da3p-17, 0x1.3e252e186010dp-17, 0x1.380c82f83c885p-17, 0x1.31f5fc05c0d8p-17, 0x1.2be1c5cbe9643p-17, 0x1.25d00c22eb9e3p-17, 0x1.1fc0fa30e4d46p-17, 0x1.19b4ba6ad88f1p-17, 0x1.13ab769594d7fp-17, 0x1.0da557c679f84p-17, 0x1.07a2866459901p-17, 0x1.01a32a283b979p-17, 0x1.f74ed43d6f0e3p-18, 0x1.eb5ed9521b97ep-18, 0x1.df76aefaefd29p-18, 0x1.d3969f50ecc4bp-18, 0x1.c7bef31c3a1dap-18, 0x1.bbeff1d57b2f6p-18, 0x1.b029e1a818e8p-18, 0x1.a46d07743a822p-18, 0x1.98b9a6d23cb19p-18, 0x1.8d100213a6a21p-18, 0x1.81705a44fdc3ap-18, 0x1.75daef315ef9ep-18, 0x1.6a4fff63b8c79p-18, 0x1.5ecfc8299e7a3p-18, 0x1.535a85958b382p-18, 0x1.47f07280e9f85p-18, 0x1.3c91c88e8e2c7p-18, 0x1.313ec02e14288p-18, }}, 
      {{0x1.ffd29fb085a8dp-1, 0x1.ff4e4c2465655p-1, 0x1.fe7c0bf20179bp-1, 0x1.fd66e85ff4ab8p-1, 0x1.fc19f55130cd6p-1, 0x1.fa9f3d2d1b6f7p-1, 0x1.f8ff3f67fc526p-1, 0x1.f740ca3eb5eb9p-1, 0x1.f5690a66f73dap-1, 0x1.f37bb8198fef4p-1, 0x1.f17b519309371p-1, 0x1.ef695917f9178p-1, 0x1.ed46908b93af2p-1, 0x1.eb132f4f30ea1p-1, 0x1.e8cf10dc0580ap-1, 0x1.e679dba079871p-1, 0x1.e4132054fe6eep-1, 0x1.e19a725d869a6p-1, 0x1.df0f79fdf9b0bp-1, 0x1.dc72013a68127p-1, 0x1.d9c1fc3afafe3p-1, 0x1.d6ff8dff7e271p-1, 0x1.d42b0a1c25d4ap-1, 0x1.d144f424153e9p-1, 0x1.ce4dfd5076893p-1, 0x1.cb4700dde4e86p-1, 0x1.c830ff8639422p-1, 0x1.c50d1a6af67bbp-1, 0x1.c1dc8db4ae67dp-1, 0x1.bea0ab1dd4ecfp-1, 0x1.bb5ad493736cbp-1, 0x1.b80c770bfaacp-1, 0x1.b4b705abd4c1p-1, 0x1.b15bf54826da4p-1, 0x1.adfcb852599bdp-1, 0x1.aa9abb32326f3p-1, 0x1.a7376110794eep-1, 0x1.a3d4011129fbfp-1, 0x1.a071e3f9eb3bbp-1, 0x1.9d12423fce096p-1, 0x1.99b642762539p-1, 0x1.965ef8177788dp-1, 0x1.930d62a114156p-1, 0x1.8fc26cf996dcep-1, 0x1.8c7eed1aafd48p-1, 0x1.8943a3f69b71cp-1, 0x1.86113d920e382p-1, 0x1.82e8514ba323dp-1, 0x1.7fc9624a5352bp-1, 0x1.7cb4e00ceb76ap-1, 0x1.79ab2714f3d2p-1, 0x1.76ac81a7f32ap-1, 0x1.73b928a27bacfp-1, 0x1.70d14458dc8edp-1, 0x1.6df4ed81cceecp-1, 0x1.6b242e27d0927p-1, 0x1.685f029e778d2p-1, 0x1.65a55a78ff815p-1, 0x1.62f719802e17ap-1, 0x1.605418a58ebcep-1, 0x1.5dbc26f287d36p-1, 0x1.5b2f0a71f5237p-1, 0x1.58ac81133ad09p-1, 0x1.56344185ef6f2p-1, 0x1.53c5fc0d6b89ep-1, 0x1.51615b4bbbfa4p-1, 0x1.4f0605038e9dep-1, 0x1.4cb39ad0d7712p-1, 0x1.4a69bad80447p-1, 0x1.4828006babc45p-1, 0x1.45ee04a8bbcb5p-1, 0x1.43bb5f093613dp-1, 0x1.418fa5ed9d76ap-1, 0x1.3f6a6f1d41381p-1, 0x1.3d4b503d99c77p-1, 0x1.3b31df40f566dp-1, 0x1.391db2ccbb198p-1, 0x1.370e629788053p-1, 0x1.350387bf76a75p-1, 0x1.32fcbd18dfeafp-1, 0x1.30f99f75e1538p-1, 0x1.2ef9cde6ffc21p-1, 0x1.2cfce9f533cc3p-1, 0x1.2b0297d5b3ddap-1, 0x1.290a7e97c9fcbp-1, 0x1.2714484d07a8fp-1, 0x1.251fa22c21b63p-1, 0x1.232c3caec5498p-1, 0x1.2139cbaaab044p-1, 0x1.1f48066634e49p-1, 0x1.1d56a7a8d8622p-1, 0x1.1b656dc79e731p-1, 0x1.19741aadf5106p-1, 0x1.178273e313192p-1, 0x1.1590428c2de8fp-1, 0x1.139d536bb682bp-1, 0x1.11a976ddd8cdcp-1, 0x1.0fb480d271e43p-1, 0x1.0dbe48c4b006cp-1, 0x1.0bc6a9b08c5e7p-1, 0x1.09cd820650772p-1, 0x1.07d2b39c4deeep-1, 0x1.05d6239ef9631p-1, 0x1.03d7ba7f8b5aep-1, 0x1.01d763e14e8b2p-1, 0x1.ffaa1d0b8612ep-2, 0x1.fba1586f66785p-2, 0x1.f794636abd312p-2, 0x1.f3832d33b09ebp-2, 0x1.ef6daa8b69e6ap-2, 0x1.eb53d58e4924dp-2, 0x1.e735ad832352fp-2, 0x1.e31336a9b883fp-2, 0x1.deec7a0896598p-2, 0x1.dac1853a85ed1p-2, 0x1.d6926a3bb74fcp-2, 0x1.d25f3f36cabc5p-2, 0x1.ce281e51d8774p-2, 0x1.c9ed257b9da0bp-2, 0x1.c5ae7638e1c2p-2, 0x1.c16c35723cacdp-2, 0x1.bd268b424a4dcp-2, 0x1.b8dda2c46d6e9p-2, 0x1.b491a9e431ae1p-2, 0x1.b042d12d5f96ep-2, 0x1.abf14b9cdb762p-2, 0x1.a79d4e7253c8ep-2, 0x1.a3471102daf4fp-2, 0x1.9eeecc8c7124p-2, 0x1.9a94bc0a885e3p-2, 0x1.96391c0b971fdp-2, 0x1.91dc2a87b888bp-2, 0x1.8d7e26b866754p-2, 0x1.891f50f154fcbp-2, 0x1.84bfea7a72d71p-2, 0x1.8060356b14d56p-2, 0x1.7c0074864f7e9p-2, 0x1.77a0eb188337ep-2, 0x1.7341dcd617e43p-2, 0x1.6ee38dbb744b4p-2, 0x1.6a8641ee2091bp-2, 0x1.662a3d9f271c7p-2, 0x1.61cfc4eea1d74p-2, 0x1.5d771bd07f4d1p-2, 0x1.592085f27423fp-2, 0x1.54cc46a31c0f7p-2, 0x1.507aa0ba4807cp-2, 0x1.4c2bd6826de49p-2, 0x1.47e029a34298cp-2, 0x1.4397db0d6d069p-2, 0x1.3f532ae75b192p-2, 0x1.3b12587b23962p-2, 0x1.36d5a22582bb6p-2, 0x1.329d4545d9069p-2, 0x1.2e697e2f37962p-2, 0x1.2a3a881a66cacp-2, 0x1.26109d18e95adp-2, 0x1.21ebf608f53fcp-2, 0x1.1dccca8a562d1p-2, 0x1.19b350f43a716p-2, 0x1.159fbe4bdfb4p-2, 0x1.1192463c1c7adp-2, 0x1.0d8b1b0db7131p-2, 0x1.098a6da092aa6p-2, 0x1.05906d659d098p-2, 0x1.019d48597d626p-2, 0x1.fb6255fffcf2bp-3, 0x1.f39880c05418bp-3, 0x1.ebdd640224c6fp-3, 0x1.e4314fce7d388p-3, 0x1.dc949125735d7p-3, 0x1.d50771fb725c9p-3, 0x1.cd8a3937acfe9p-3, 0x1.c61d2ab3a6eep-3, 0x1.bec0873bd14ap-3, 0x1.b7748c912107p-3, 0x1.b039756b9b9a5p-3, 0x1.a90f797dcbdd7p-3, 0x1.a1f6cd79181f1p-3, 0x1.9aefa312e445cp-3, 0x1.93fa290a7b9fp-3, 0x1.8d168b2fbd12bp-3, 0x1.8644f26a6e76bp-3, 0x1.7f8584c23e0c4p-3, 0x1.78d865675ecd3p-3, 0x1.723db4bbb5db4p-3, 0x1.6bb5905c93cc1p-3, 0x1.6540132cebbc8p-3, 0x1.5edd556002e71p-3, 0x1.588d6c848e2cap-3, 0x1.52506b9033037p-3, 0x1.4c2662eb64c13p-3, 0x1.460f607d9f22ep-3, 0x1.400b6fb9e3adfp-3, 0x1.3a1a99ab82b6fp-3, 0x1.343ce50321faep-3, 0x1.2e725623f9c19p-3, 0x1.28baef314423ap-3, 0x1.2316b01bd84afp-3, 0x1.1d8596afe47cfp-3, 0x1.18079ea2cc349p-3, 0x1.129cc1a11a787p-3, 0x1.0d44f75c894c2p-3, 0x1.0800359a17355p-3, 0x1.02ce704022e89p-3, 0x1.fb5f32c916b88p-4, 0x1.f14742b5a4fe6p-4, 0x1.e754ed8468fefp-4, 0x1.dd880d2778dc8p-4, 0x1.d3e0786089501p-4, 0x1.ca5e02dcdb204p-4, 0x1.c1007d50ee8a7p-4, 0x1.b7c7b59418c3ap-4, 0x1.aeb376bbcf961p-4, 0x1.a5c38936cc88fp-4, 0x1.9cf7b2e7db967p-4, 0x1.944fb74073b2ep-4, 0x1.8bcb575aeffa8p-4, 0x1.836a52148b794p-4, 0x1.7b2c6426fac91p-4, 0x1.73114841b0b73p-4, 0x1.6b18b722c49e9p-4, 0x1.634267af7bb21p-4, 0x1.5b8e0f0c6b2fcp-4, 0x1.53fb60b536d48p-4, 0x1.4c8a0e93e4e0dp-4, 0x1.4539c917c6ce5p-4, 0x1.3e0a3f4bf81c8p-4, 0x1.36fb1eed66b94p-4, 0x1.300c14807424dp-4, 0x1.293ccb661a8fp-4, 0x1.228cedf0a6ff8p-4, 0x1.1bfc2577f82adp-4, 0x1.158a1a6d4bcfep-4, 0x1.0f36746e96643p-4, 0x1.0900da595ff4dp-4, 0x1.02e8f25d2f07fp-4, 0x1.f9dcc41af21cp-5, 0x1.ee219ce63c5e4p-5, 0x1.e29fb83ad92ecp-5, 0x1.d7565e655a078p-5, 0x1.cc44d70070c5p-5, 0x1.c16a691436e91p-5, 0x1.b6c65b3481091p-5, 0x1.ac57f39e4a5f1p-5, 0x1.a21e785441496p-5, 0x1.98192f3a6488ep-5, 0x1.8e475e30c222p-5, 0x1.84a84b2d545b9p-5, 0x1.7b3b3c54fe43ap-5, 0x1.71ff7813b13a3p-5, 0x1.68f44533aa449p-5, 0x1.6018eaf3ef9f9p-5, 0x1.576cb11de3497p-5, 0x1.4eeee01a12f9ep-5, 0x1.469ec104322ecp-5, 0x1.3e7b9dbe52009p-5, 0x1.3684c103430b5p-5, 0x1.2eb9767845a96p-5, 0x1.27190abde7c66p-5, 0x1.1fa2cb8033218p-5, 0x1.185607861956bp-5, 0x1.11320ec028f37p-5, 0x1.0a363256978bfp-5, 0x1.0361c4b698601p-5, 0x1.f968333e06db7p-6, 0x1.ec590c58b98ebp-6, 0x1.df94c1c863f1fp-6, 0x1.d31a037fb44ecp-6, 0x1.c6e7846d311e1p-6, 0x1.bafbfa8e4c9f3p-6, 0x1.af561f014ec6ap-6, 0x1.a3f4ae161df4cp-6, 0x1.98d6675de6761p-6, 0x1.8dfa0db9b804cp-6, 0x1.835e676809d08p-6, 0x1.79023e11461ffp-6, 0x1.6ee45ed34e0f6p-6, 0x1.65039a4c102cp-6, 0x1.5b5ec4a323225p-6, 0x1.51f4b5927f3f9p-6, 0x1.48c4486e582dp-6, 0x1.3fcc5c2c1b1ddp-6, 0x1.370bd3688c83fp-6, 0x1.2e81946d319f2p-6, 0x1.262c8934d8decp-6, 0x1.1e0b9f6f72571p-6, 0x1.161dc8852fd8ep-6, 0x1.0e61f998e6566p-6, 0x1.06d72b89ced6dp-6, 0x1.fef8b5e92c2c7p-7, 0x1.f0a11067a9b43p-7, 0x1.e2a56ebfcfaap-7, 0x1.d503e09c72cabp-7, 0x1.c7ba7d1fe541dp-7, 0x1.bac762e055cb9p-7, 0x1.ae28b7e329111p-7, 0x1.a1dca99749066p-7, 0x1.95e16cce89405p-7, 0x1.8a353db62e551p-7, 0x1.7ed65fce8b9d5p-7, 0x1.73c31de1cb08fp-7, 0x1.68f9c9f9fb2e4p-7, 0x1.5e78bd564a3dcp-7, 0x1.543e585fa1eddp-7, 0x1.4a49029c74833p-7, 0x1.40972aa4101d6p-7, 0x1.372746112fcafp-7, 0x1.2df7d174070e7p-7, 0x1.25075043cb7cfp-7, 0x1.1c544ccfb1c3bp-7, 0x1.13dd582f69574p-7, 0x1.0ba10a332d08fp-7, 0x1.039e015368edfp-7, 0x1.f7a5c53fe4719p-8, 0x1.e87cb35dc655fp-8, 0x1.d9be311637f1bp-8, 0x1.cb67af44ffadfp-8, 0x1.bd76ab67b58c1p-8, 0x1.afe8af78f23d3p-8, 0x1.a2bb51cb30d1cp-8, 0x1.95ec34e30d28p-8, 0x1.897907514ff7bp-8, 0x1.7d5f838c4e9aep-8, 0x1.719d6fc94e7fap-8, 0x1.66309dd567f6fp-8, 0x1.5b16eaee3899ep-8, 0x1.504e3f9a6394fp-8, 0x1.45d48f81e2f1p-8, 0x1.3ba7d946312dp-8, 0x1.31c6265a5c0a3p-8, 0x1.282d8adaf3e17p-8, 0x1.1edc256614964p-8, 0x1.15d01ef32e5bap-8, 0x1.0d07aaab0bd69p-8, 0x1.048105bfb708cp-8, 0x1.f874ee88fb85ap-9, 0x1.e864a00c27d7p-9, 0x1.d8cdd4c579a29p-9, 0x1.c9ad544545d98p-9, 0x1.bafff8a098b3p-9, 0x1.acc2ae22a0176p-9, 0x1.9ef272fe4dc75p-9, 0x1.918c57004a036p-9, 0x1.848d7b41ab3bep-9, 0x1.77f311daf53f4p-9, 0x1.6bba5d9783eebp-9, 0x1.5fe0b1a9c6ccfp-9, 0x1.5463715fb4496p-9, 0x1.49400fd8423fdp-9, 0x1.3e740fb918746p-9, 0x1.33fd02e52d3f7p-9, 0x1.29d88a33da21ep-9, 0x1.20045528bef3ep-9, 0x1.167e21ac6e9c9p-9, 0x1.0d43bbc59c247p-9, 0x1.0452fd5328f55p-9, 0x1.f7539b8dd660cp-10, 0x1.e68c43c2aca47p-10, 0x1.d64bf6db6a29cp-10, 0x1.c68ed1feb3c86p-10, 0x1.b7510b5f2554p-10, 0x1.a88ef1b8acc14p-10, 0x1.9a44ebcfeb342p-10, 0x1.8c6f77f2f3165p-10, 0x1.7f0b2b7bb444fp-10, 0x1.7214b2544a219p-10, 0x1.6588ce7cc5105p-10, 0x1.59645792d4b89p-10, 0x1.4da43a5b1f3d6p-10, 0x1.4245784c3129cp-10, 0x1.3745271b4bde5p-10, 0x1.2ca0704ae5784p-10, 0x1.225490bae9f3ep-10, 0x1.185ed83a7d5ddp-10, 0x1.0ebca91be4956p-10, 0x1.056b77c9ae5ffp-10, 0x1.f8d194bbe5ad1p-11, 0x1.e764707681d7fp-11, 0x1.d68ad34dc2a35p-11, 0x1.c6402eca8cb11p-11, 0x1.b68014afe5f02p-11, 0x1.a746363a32c54p-11, 0x1.988e6361e12d2p-11, 0x1.8a548a213ef89p-11, 0x1.7c94b5bdda615p-11, 0x1.6f4b0e14db0e2p-11, 0x1.6273d6eb509fbp-11, 0x1.560b6f40bd6c3p-11, 0x1.4a0e50a5a4bap-11, 0x1.3e790e950b1b2p-11, 0x1.334855d0f5f88p-11, 0x1.2878ebc263004p-11, 0x1.1e07addc17956p-11, 0x1.13f191006e15dp-11, 0x1.0a33a0ea64be2p-11, 0x1.00caff99bfc87p-11, 0x1.ef69c983935a7p-12, 0x1.dddd3a76e0f6cp-12, 0x1.cceb14f388261p-12, 0x1.bc8e4403d72bep-12, 0x1.acc1d9cab0c06p-12, 0x1.9d810e7e9945ap-12, 0x1.8ec73f69c782bp-12, 0x1.808fedef354b6p-12, 0x1.72d6be95fd584p-12, 0x1.659778190559dp-12, 0x1.58ce027cf454dp-12, 0x1.4c76662a91263p-12, 0x1.408ccb0df62a2p-12, 0x1.350d77bba2633p-12, 0x1.29f4d099afadbp-12, 0x1.1f3f570e44c59p-12, 0x1.14e9a8b29c7bfp-12, 0x1.0af07e8b0ea61p-12, 0x1.0150ac430c8eep-12, 0x1.f00e3edc6a66p-13, 0x1.de21bd9bd69ebp-13, 0x1.ccd6133562ea5p-13, 0x1.bc25ada4ef42fp-13, 0x1.ac0b291634f91p-13, 0x1.9c814e90a534fp-13, 0x1.8d8312ad38003p-13, 0x1.7f0b945344c01p-13, 0x1.71161b7d965fp-13, 0x1.639e1806fb4bp-13, 0x1.569f207e95bd7p-13, 0x1.4a14f1039d08p-13, 0x1.3dfb6a280b806p-13, 0x1.324e8fdb53dcap-13, 0x1.270a885b2b01cp-13, 0x1.1c2b9b2bd05a7p-13, 0x1.11ae3016c933p-13, 0x1.078ece3031549p-13, 0x1.fb9435c5c8da5p-14, 0x1.e8b9b2048a095p-14, 0x1.d687cfc6c319ap-14, 0x1.c4f884f654f63p-14, 0x1.b405fd058476bp-14, 0x1.a3aa974473b37p-14, 0x1.93e0e540b326ep-14, 0x1.84a3a930afad3p-14, 0x1.75edd46a37f22p-14, 0x1.67ba85e39a1ep-14, 0x1.5a0508be4b8aep-14, 0x1.4cc8d2dce5ep-14, 0x1.4001838313451p-14, 0x1.33aae1fe8230ap-14, 0x1.27c0dc5a71482p-14, 0x1.1c3f861b910e7p-14, 0x1.112317060d681p-14, 0x1.0667e9eadce9fp-14, 0x1.f814f6ffab3d4p-15, 0x1.e40ed27def764p-15, 0x1.d0b6e09bbd256p-15, 0x1.be06d8ddc8374p-15, 0x1.abf8adefb8d52p-15, 0x1.9a868ba46bd81p-15, 0x1.89aad504dae92p-15, 0x1.7960226ba6941p-15, 0x1.69a13fb201e83p-15, 0x1.5a692a68e0912p-15, 0x1.4bb3101f639b1p-15, 0x1.3d7a4cb762d3p-15, 0x1.2fba68c768572p-15, 0x1.226f180782038p-15, 0x1.159437cbde68dp-15, 0x1.0925cd8bfbdb9p-15, 0x1.fa400ae86cf1cp-16, 0x1.e2fe62049a591p-16, 0x1.cc7f8b5dd26fp-16, 0x1.b6bcb73fb882ap-16, 0x1.a1af58cdd6333p-16, 0x1.8d512391ea9dp-16, 0x1.799c09202f74ap-16, 0x1.668a36d12e77bp-16, 0x1.5416138785633p-16, 0x1.423a3d90078bbp-16, 0x1.30f1888e47c2dp-16, 0x1.2036fb7bf1d82p-16, 0x1.1005cebb2908ap-16, 0x1.00596a36f1626p-16, 0x1.e25ac727c7b3p-17, 0x1.c4faf8e082dc8p-17, 0x1.a88b41678791p-17, 0x1.8d03c9dbe68e6p-17, 0x1.725d09857effp-17, 0x1.588fc2c731117p-17, 0x1.3f950031617e5p-17, 0x1.276611a9027cfp-17, 0x1.0ffc89ab606d2p-17, 0x1.f2a4754ce7023p-18, 0x1.c6c268dd4c75dp-18, 0x1.9c47838ad6631p-18, 0x1.7328cbfbfd171p-18, 0x1.4b5bb56196618p-18, 0x1.24d61b0e625d2p-18, 0x1.ff1c7864090b2p-19, 0x1.b6f56f86342ecp-19, 0x1.7125111e9f455p-19, 0x1.2d9a02cedf668p-19, 0x1.d88725dbc62a4p-20, 0x1.5a23630acb3a3p-20, 0x1.bfd3a5f2923a6p-21, 0x1.a6f2d0900d36dp-22, -0x1.1013db5dbe129p-25, -0x1.dba6ed8424935p-22, -0x1.c33264e1275b4p-21, -0x1.48a89bcd24f63p-20, -0x1.ac30a0bfa6f2p-20, -0x1.06248337d12dap-19, -0x1.34845be50bd2dp-19, -0x1.6142e784bdeafp-19, -0x1.8c6acf6e0208cp-19, -0x1.b6065d92ca28cp-19, -0x1.de1f80be66136p-19, -0x1.025fe849cc95dp-18, -0x1.14f848bc4f122p-18, -0x1.26dd5c2203a98p-18, -0x1.381376e9f61edp-18, -0x1.489ec93b98496p-18, -0x1.588360990b6a1p-18, -0x1.67c5296e087acp-18, -0x1.7667f090f54f6p-18, -0x1.846f64b2c4b11p-18, -0x1.91df17bb19376p-18, -0x1.9eba801e64682p-18, -0x1.ab04fa1791649p-18, -0x1.b6c1c8e0421cbp-18, -0x1.c1f417d2daea3p-18, -0x1.cc9efb86b7671p-18, -0x1.d6c572d6936b9p-18, -0x1.e06a67e1a834cp-18, -0x1.e990b1005ca36p-18, -0x1.f23b11a91fcd7p-18, -0x1.fa6c3b51347ebp-18, -0x1.0113671ec7fedp-17, -0x1.04b6ad258086p-17, -0x1.08212fd67f70bp-17, -0x1.0b5427d2a7802p-17, -0x1.0e50c6972ea86p-17, -0x1.111836d110fa4p-17, -0x1.13ab9ca9a9d11p-17, -0x1.160c161199a04p-17, -0x1.183abb066f57bp-17, -0x1.1a389dd728c1ap-17, -0x1.1c06cb61164c6p-17, -0x1.1da64b4d3491bp-17, -0x1.1f18204884d3fp-17, -0x1.205d483922e92p-17, -0x1.2176bc72ce593p-17, -0x1.226571e50386ep-17, -0x1.232a5949894acp-17, -0x1.23c65f4e7a51dp-17, -0x1.243a6cbf1654dp-17, -0x1.248766a9a939bp-17, -0x1.24ae2e841349cp-17, -0x1.24afa24c78aaap-17, -0x1.248c9ca9f26c8p-17, -0x1.2445f509448f6p-17, -0x1.23dc7fb9d3959p-17, -0x1.23510e07d913ap-17, -0x1.22a46e54a4bf8p-17, -0x1.21d76c2daaf72p-17, -0x1.20ead062939dcp-17, -0x1.1fdf61184e9b2p-17, -0x1.1eb5e1ddc4cfcp-17, -0x1.1d6f13bb513bp-17, -0x1.1c0bb544f8b1ap-17, -0x1.1a8c82a74224p-17, -0x1.18f235b79251dp-17, -0x1.173d86006d07ap-17, -0x1.156f28cd2d99ep-17, -0x1.1387d13644f75p-17, -0x1.1188302adbe75p-17, -0x1.0f70f47a46bb7p-17, -0x1.0d42cadd3b77dp-17, -0x1.0afe5dfdebc93p-17, -0x1.08a4567f1d288p-17, -0x1.06355b0387c1ap-17, -0x1.03b2103349eafp-17, -0x1.011b18c2537d8p-17, -0x1.fce22aea9137fp-18, -0x1.f7694a4cadda4p-18, -0x1.f1ccc993282c2p-18, -0x1.ec0ddee0fb625p-18, -0x1.e62dbc9b0e7f1p-18, -0x1.e02d916da7eeap-18, -0x1.da0e885533b52p-18, -0x1.d3d1c89f1a29dp-18, -0x1.cd7875f26bea9p-18, -0x1.c703b0507a0b3p-18, -0x1.c074941a78ad6p-18, -0x1.b9cc3a1379b61p-18, -0x1.b30bb7646f311p-18, -0x1.ac341d9de80e2p-18, -0x1.a5467ab9c0c37p-18, -0x1.9e43d91e1ffa4p-18, -0x1.972d3f9ee0937p-18, -0x1.9003b17e8fdfbp-18, -0x1.88c82e712fc96p-18, -0x1.817bb29c94818p-18, -0x1.7a1f369981453p-18, -0x1.72b3af751543fp-18, -0x1.6b3a0eb16d9bfp-18, -0x1.63b3424614523p-18, -0x1.5c2034a2f93fep-18, -0x1.5481ccaf19a31p-18, -0x1.4cd8edcbb74e5p-18, -0x1.452677d3ec48cp-18, -0x1.3d6b471dc793bp-18, -0x1.35a8347c0fab6p-18, -0x1.2dde153fa308fp-18, -0x1.260dbb38109b3p-18, -0x1.1e37f4b540a11p-18, -0x1.165d8c88f7c13p-18, -0x1.0e7f4a08aa42ep-18, -0x1.069df10ee4eb1p-18, -0x1.fd7483fc0584p-19, -0x1.eda9f384204b8p-19, -0x1.dddda3a3dc627p-19, -0x1.ce110066740ebp-19, -0x1.be456ef6f1bf1p-19, -0x1.ae7c4da6667f7p-19, -0x1.9eb6f3f1f49e1p-19, -0x1.8ef6b288d9bc9p-19, -0x1.7f3cd351f72d7p-19, -0x1.6f8a9973e9c09p-19, -0x1.5fe1415a5dab6p-19, -0x1.504200bfcb269p-19, -0x1.40ae06b13c941p-19, -0x1.31267b9c2c576p-19, -0x1.21ac815102667p-19, -0x1.1241330f33f39p-19, -0x1.02e5a58e4deb6p-19, -0x1.e735ce07eb989p-20, -0x1.c8c3fe653abadp-20, -0x1.aa77dee23bee2p-20, -0x1.8c5365697a5ecp-20, -0x1.6e587b3ae76eep-20, -0x1.5088fcffc73d1p-20, -0x1.32e6badf21c07p-20, -0x1.1573789cac701p-20, -0x1.f061db504dfbdp-21, -0x1.b6418a746d22fp-21, -0x1.7c893cdbd2297p-21, -0x1.433c18af00473p-21, -0x1.0a5d2c45b7112p-21, -0x1.a3dedca8f6665p-22, -0x1.33eb7c5026c29p-22, -0x1.89cb8f684b23cp-23, -0x1.5b4c8470ac31bp-24, 0x1.64742b8fb1eadp-26, 0x1.04c8b82e0dba4p-23, 0x1.dafe9fb4970e4p-23, 0x1.57936f08df23ep-22, 0x1.c09c364b2d828p-22, 0x1.144aa6b38cffdp-21, 0x1.47bd4371adf68p-21, 0x1.7aa3efb44b365p-21, 0x1.acfcbea819e98p-21, 0x1.dec5d81b3ee0fp-21, 0x1.07febc149e9c8p-20, 0x1.2050f785d3571p-20, 0x1.3858d0667ca59p-20, 0x1.5015828866039p-20, 0x1.6786536312e59p-20, 0x1.7eaa91f659f32p-20, 0x1.958196a856a24p-20, 0x1.ac0ac32107eaep-20, 0x1.c245822a0386p-20, 0x1.d831478bf68cap-20, 0x1.edcd8fee6b297p-20, 0x1.018cf059c2a2fp-19, 0x1.0c0ae3e9e3111p-19, 0x1.16606de08125bp-19, 0x1.208d5d9fa3f8cp-19, 0x1.2a9186a16c4a9p-19, 0x1.346cc06894bc1p-19, 0x1.3e1ee66c5e159p-19, 0x1.47a7d8099b002p-19, 0x1.5107786ff62c9p-19, 0x1.5a3dae9141995p-19, 0x1.634a65114135p-19, 0x1.6c2d8a3197b9p-19, 0x1.74e70fc42275ep-19, 0x1.7d76eb1706766p-19, 0x1.85dd14e50fdbap-19, 0x1.8e198944a57b3p-19, 0x1.962c479632228p-19, 0x1.9e155272eaaa8p-19, 0x1.a5d4af9ddd265p-19, 0x1.ad6a67f081747p-19, 0x1.b4d6874bc0ef1p-19, 0x1.bc191c8732189p-19, 0x1.c332396082f93p-19, 0x1.ca21f269fea23p-19, 0x1.d0e85efc7dc1fp-19, 0x1.d7859924df859p-19, 0x1.ddf9bd94b6347p-19, 0x1.e444eb9376a74p-19, 0x1.ea6744ecc82edp-19, 0x1.f060ede11c6ecp-19, 0x1.f6320d180d78dp-19, 0x1.fbdacb8d9f57bp-19, 0x1.00adaa427d32dp-18, 0x1.0359eabc61df4p-18, 0x1.05f23f062a1acp-18, 0x1.0876bffd9dbe2p-18, 0x1.0ae787865e158p-18, 0x1.0d44b08168e85p-18, 0x1.0f8e56c6a781ep-18, 0x1.11c4971d11b16p-18, 0x1.13e78f343b616p-18, 0x1.15f75d9ce23d2p-18, 0x1.17f421c188972p-18, 0x1.19ddfbe0792e4p-18, 0x1.1bb50d0498d7ep-18, 0x1.1d7976fe12689p-18, 0x1.1f2b5c5ca6da7p-18, 0x1.20cae06869ecbp-18, 0x1.2258271b9c676p-18, 0x1.23d3551bc540ep-18, 0x1.253c8fb45355ap-18, 0x1.2693fccf45db6p-18, 0x1.27d9c2ef7dae2p-18, 0x1.290e092b07b29p-18, 0x1.2a30f724a2a59p-18, 0x1.2b42b505b2bc6p-18, 0x1.2c436b79120ep-18, 0x1.2d3343a4c154dp-18, 0x1.2e12672446347p-18, 0x1.2ee10003d41efp-18, 0x1.2f9f38b9d677ep-18, 0x1.304d3c21fd842p-18, 0x1.30eb35780b5e1p-18, 0x1.317950528e76ap-18, 0x1.31f7b89d695c7p-18, 0x1.32669a9520863p-18, 0x1.32c622c1dbbb9p-18, 0x1.33167df28eb16p-18, 0x1.3357d937df10cp-18, 0x1.338a61df81884p-18, 0x1.33ae456fe58d2p-18, 0x1.33c3b1a36652fp-18, 0x1.33cad46416d4ep-18, 0x1.33c3dbc6ef0e8p-18, 0x1.33aef607f5679p-18, 0x1.338c5185a99b7p-18, 0x1.335c1cbd240e8p-18, 0x1.331e86460e847p-18, 0x1.32d3bcce6eb86p-18, 0x1.327bef16f78ffp-18, 0x1.32174bef5c08bp-18, 0x1.31a602323af5bp-18, 0x1.312840c197f92p-18, 0x1.309e3683412ep-18, 0x1.3008125da618p-18, 0x1.2f66033429202p-18, 0x1.2eb837e3bd28ep-18, 0x1.2dfedf3fbda5ap-18, 0x1.2d3a280e98dd9p-18, 0x1.2c6a4106edc3p-18, 0x1.2b8f58cc49863p-18, 0x1.2aa99dec6c566p-18, 0x1.29b93edc5b67bp-18, 0x1.28be69f550634p-18, 0x1.27b94d7232534p-18, 0x1.26aa176ce39d3p-18, 0x1.2590f5db7f43ep-18, 0x1.246e168dfecabp-18, 0x1.2341a72bdb31fp-18, 0x1.220bd5314a836p-18, 0x1.20cccded0dc54p-18, 0x1.1f84be7e4c79ep-18, 0x1.1e33d3d253dfcp-18, 0x1.1cda3aa23ed94p-18, 0x1.1b781f710674ap-18, 0x1.1a0dae89c52edp-18, 0x1.189b13fd68a7bp-18, 0x1.17207ba0e88p-18, 0x1.159e110b37769p-18, 0x1.1413ff93bf733p-18, 0x1.1282725098ae4p-18, 0x1.10e99415072c6p-18, 0x1.0f498f6fbd6d8p-18, 0x1.0da28ea93ac79p-18, 0x1.0bf4bbc25188p-18, 0x1.0a404072c3463p-18, 0x1.088546280f5d9p-18, 0x1.06c3f603c577p-18, 0x1.04fc78da5650cp-18, 0x1.032ef732198f9p-18, 0x1.015b9942126bap-18, 0x1.ff050de0edf1ap-19, 0x1.fb47cfa3bae9ap-19, 0x1.f77fc650219c1p-19, 0x1.f3ad3fc279951p-19, 0x1.efd0892e15cf3p-19, 0x1.ebe9ef1b2ee64p-19, 0x1.e7f9bd651fb8fp-19, 0x1.e4003f38e57c7p-19, 0x1.dffdbf139f3ccp-19, 0x1.dbf286c113b41p-19, 0x1.d7dedf5a38dcep-19, 0x1.d3c311440c38dp-19, 0x1.cf9f642ec752dp-19, 0x1.cb741f143aee4p-19, 0x1.c7418836c5dacp-19, 0x1.c307e520521fep-19, 0x1.bec77aa1bf1b6p-19, 0x1.ba808cd18304ap-19, 0x1.b6335f0bbf198p-19, 0x1.b1e033f13c363p-19, 0x1.ad874d6678b83p-19, 0x1.a928ec9329183p-19, 0x1.a4c551e1f59f8p-19, 0x1.a05cbd001ab66p-19, 0x1.9bef6cdcb5093p-19, 0x1.977d9fa883d9ep-19, 0x1.930792d627421p-19, 0x1.8e8d8319bec6ep-19, 0x1.8a0fac68a2719p-19, 0x1.858e49f909756p-19, 0x1.8109964275685p-19, 0x1.7c81cafd38a13p-19, 0x1.77f7212341b51p-19, 0x1.7369d0f0405c1p-19, 0x1.6eda11e12450dp-19, 0x1.6a481ab486ce5p-19, 0x1.65b4216b4edadp-19, 0x1.611e5b48c16bap-19, 0x1.5c86fcd307227p-19, 0x1.57ee39d3720dap-19, 0x1.53544556cc0e8p-19, 0x1.4eb951ae429edp-19, 0x1.4a1d907005eb5p-19, 0x1.4581327740c1cp-19, 0x1.40e467e50c689p-19, 0x1.3c476020e9ad8p-19, 0x1.37aa49d966573p-19, 0x1.330d530569c37p-19, 0x1.2e70a8e45dd5p-19, 0x1.29d477ff52a3fp-19, 0x1.2538ec29896aep-19, 0x1.209e3081375f3p-19, 0x1.1c046f70ad6a4p-19, 0x1.176bd2af20c55p-19, 0x1.12d483419a348p-19, 0x1.0e3ea97bf15d6p-19, 0x1.09aa6d01b6d1ap-19, 0x1.0517f4c78ba14p-19, 0x1.008767139b906p-19, 0x1.f7f1d2fe31f4ep-20, 0x1.eed941edfd05ap-20, 0x1.e5c5637a33f7ap-20, 0x1.dcb67ed3006f9p-20, 0x1.d3acd9d789cd5p-20, 0x1.caa8b917b10bbp-20, 0x1.c1aa5fd699d8dp-20, 0x1.b8b2100caf189p-20, 0x1.afc00a6a50e13p-20, 0x1.a6d48e5ac7a58p-20, 0x1.9defda05c0abbp-20, 0x1.95122a52c1305p-20, 0x1.8c3bbaeaa8a12p-20, 0x1.836cc63b4d41bp-20, 0x1.7aa585799ea76p-20, 0x1.71e630a46877p-20, 0x1.692efe86ab11p-20, 0x1.608024ba200d1p-20, 0x1.57d9d7a9ebac8p-20, 0x1.4f3c4a9577ce4p-20, 0x1.46a7af93f735fp-20, 0x1.3e1c3795de8d7p-20, 0x1.359a126821583p-20, 0x1.2d216eb6bc327p-20, 0x1.24b27a0fa922bp-20, 0x1.1c4d60e5cf4dbp-20, 0x1.13f24e939420dp-20, 0x1.0ba16d5d8d588p-20, 0x1.035ae675083fap-20, 0x1.f63dc3f74121fp-21, 0x1.e5db0e0c37fc6p-21, 0x1.d58df73c3ec03p-21, 0x1.c556c98bb860cp-21, 0x1.b535ccf5be4e6p-21, 0x1.a52b4770b44b1p-21, 0x1.95377cf53738ep-21, 0x1.855aaf826f71fp-21, 0x1.75951f25b8bfcp-21, 0x1.65e709ff2595dp-21, 0x1.5650ac46273p-21, 0x1.46d240512b651p-21, 0x1.376bfe99bcbap-21, 0x1.281e1dc2b8082p-21, 0x1.18e8d29e619f9p-21, 0x1.09cc5033259c6p-21, 0x1.f5918f8285effp-22, 0x1.d7bcd194818b7p-22, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      36, 0x1.4cccccccccccdp+2, 0x1.136654cec12d2p+1, 0x1.4a4ee8ac3cc5bp+2, -0x1.e358fe08808cp-7, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.9eaeaeebd8712p-4, -0x1.ff1aa2b043c05p-3, 0x1.12eaf558d8c05p-2, -0x1.0e3e2ea30b27cp-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.6e40e9ed1d5ddp-4, -0x1.ca25b5cf1400dp-3, 0x1.fd4c96e6096dbp-3, -0x1.0416d54178d45p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.42eb99993880fp-4, -0x1.992b05c22a5e3p-3, 0x1.d6492a1c374dep-3, -0x1.f6e9bf52dc22dp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1c4ac53595387p-4, -0x1.6c0680aa36f18p-3, 0x1.b0913bc2cd31ep-3, -0x1.e4d5297d093b3p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.f3fbc8813f637p-5, -0x1.429637f6e2231p-3, 0x1.8c34723fd2e6fp-3, -0x1.d2f876aafcd34p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b74fbce389d6fp-5, -0x1.1cb7aa6ca9842p-3, 0x1.692e9c8c998a6p-3, -0x1.c10ce26fa3cb2p-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.81de1772e565dp-5, -0x1.f490fc5b7b4f9p-4, 0x1.4780d85dd3a7cp-3, -0x1.af24f0d5b6e4cp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.52fa68822f4c4p-5, -0x1.b64c9d215bf3bp-4, 0x1.272adfe765f03p-3, -0x1.9d3d561f5d3a4p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.29ff20d646654p-5, -0x1.7e5d7579b6fc1p-4, 0x1.082caca50bbf3p-3, -0x1.8b50bd395423ap-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.064d91a60b2b3p-5, -0x1.4c7ebac403fc4p-4, 0x1.d50d3ce7e478bp-4, -0x1.7977c62e6afa8p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.ce9bd934bf73cp-6, -0x1.206bbe7b41243p-4, 0x1.9c6e78c7546d1p-4, -0x1.675545e6c0ac8p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.98de879c4f963p-6, -0x1.f3bed5373968p-5, 0x1.668814b18452cp-4, -0x1.564548b6ef87bp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6a4f139c91735p-6, -0x1.b12c5601fc229p-5, 0x1.3330e362e065p-4, -0x1.3e0cc6368e387p-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.41e78aa025acap-6, -0x1.7881784dbf786p-5, 0x1.037bc5a77e432p-4, -0x1.1eabbde7d632fp-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.1eb4940f903a3p-6, -0x1.48e8bb4d2ab64p-5, 0x1.b0f738bca2aa9p-5, -0x1.005d3a2a2aafp-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.ffb3c5fc8babp-7, -0x1.21753f75d0d7ep-5, 0x1.640e741662a8p-5, -0x1.c38a4f9171fe2p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.c9253b2efd53cp-7, -0x1.013d28eda0cb1p-5, 0x1.20534e8d5e5bcp-5, -0x1.868196cab8954p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.9862ba3c6c9c8p-7, -0x1.ceab9a2afbb95p-6, 0x1.cb7fbcaab88b4p-6, -0x1.496e4b5adb0d7p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.6c405bda5794ep-7, -0x1.a5a971643bea7p-6, 0x1.68ab72dc43a11p-6, -0x1.0c5dde93696d3p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.43c11eedc327ep-7, -0x1.859ed37bf0559p-6, 0x1.1828e349a400bp-6, -0x1.9e9913a6c6325p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.1e16e88b3b1f6p-7, -0x1.6cb6c3f15875ap-6, 0x1.b3f0a71472f02p-7, -0x1.2477ec9aa0f17p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f54507eda447cp-8, -0x1.591c45aeec3d5p-6, 0x1.5c33134c75db8p-7, -0x1.54a5175fdb361p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b1e745484374cp-8, -0x1.48fa5667f072fp-6, 0x1.291a4fcae1c6dp-7, -0x1.81e47e5d01da8p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.7191b86c948b4p-8, -0x1.3a7c09413e0adp-6, 0x1.1aa1be40fe81dp-7, 0x1.284b194f07p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.341f5cffe60ccp-8, -0x1.2bcc20d090812p-6, 0x1.30da935a1f082p-7, 0x1.8718311a5ba98p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.f391f60d28683p-9, -0x1.1b168c768501fp-6, 0x1.6b849ab7acc8fp-7, 0x1.4024202378cb8p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.864a4dc811fb9p-9, -0x1.0682d8f74f4d9p-6, 0x1.cb8f7128b76bdp-7, 0x1.b117562c19c96p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.225082b57838p-9, -0x1.d891e17bce7p-7, 0x1.26be6be7c5fa5p-6, 0x1.26bf8e8749205p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9491de30cbf6fp-10, -0x1.94c7546d3bb06p-7, 0x1.7f2b16a9f583cp-6, 0x1.c6fed9b0921c9p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.02e523234b841p-10, -0x1.4151ede897c1ap-7, 0x1.c36aea8471d48p-6, 0x1.8a5a20ff665c9p-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.28f233ef3d361p-11, -0x1.cd55673a72e5bp-8, 0x1.c71d5c6d3d30ap-6, -0x1.5b6c46b065867p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.26dd423aaa8efp-12, -0x1.21b5ddfa71f3p-8, 0x1.930051d2c78fep-6, -0x1.88be878af6ba3p-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.e52b434532a7p-14, -0x1.30262e9a61dc3p-9, 0x1.1d2d8f8f7d8bbp-6, -0x1.ae37072d95d9ep-5}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.33056091ca0fap-15, -0x1.fe87bf4399ca1p-11, 0x1.383a1ad06dfc2p-7, -0x1.271fdd6d0bdc9p-5}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.e52b434532ae8p-18, -0x1.3140f30d3b2e8p-12, 0x1.0e4df8b79a8a8p-8, -0x1.4c0ee3f0475aep-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.e52b434532b81p-22, -0x1.013c04c1e9985p-15, 0x1.1c47596a8baa1p-10, -0x1.c48188a08d2f3p-6}, 
      }}, 
      0x1.b1604340af81cp-2, -0x1.50e2d3b82175p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.a2839042d8c2ap-2, -0x1.18896dd26b724p+0, -0x1.de69ad42c3c9fp-7, 0x1.1de69ad42c3cap-1, 0x1.1de69ad42c3cap-1, 0x1.1de69ad42c3cap-1, 0, 5, 2}, 
    {{
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      {{-0x1.d0a8df7fd2cd5p+1, -0x1.cc98e1017c596p+1, -0x1.c5fc17981e6a4p+1, -0x1.bd04ea5909d5ep+1, -0x1.b1ee6c84623c3p+1, -0x1.a4f8393c31ed9p+1, -0x1.96637be9ab7c5p+1, -0x1.8670d1161567bp+1, -0x1.755ec4ee32a39p+1, -0x1.6368c68c4fc37p+1, -0x1.50c6731a4a158p+1, -0x1.3dab23ca3a39ap+1, -0x1.2a45aefd35b45p+1, -0x1.16c050ae315a4p+1, -0x1.0340b0d7b2985p+1, -0x1.dfd0010fa29cep+0, -0x1.b9a64fc2f163dp+0, -0x1.943600a469fep+0, -0x1.6fa92e4bb4d8ep+0, -0x1.4c22eacf61ea9p+0, -0x1.29bfd525392a5p+0, -0x1.0896b00896153p+0, -0x1.d171ee3b31ff8p-1, -0x1.9466df712bf4ap-1, -0x1.5a1d665d76467p-1, -0x1.229f61fc60181p-1, -0x1.dbe09fd98a929p-2, -0x1.781c5b9803354p-2, -0x1.19e494e775eabp-2, -0x1.82480a7d8d338p-3, -0x1.b6fb2b0b6a0c5p-4, -0x1.f93907f16dcbdp-6, 0x1.4c1b004ec638fp-5, 0x1.b6bcd2317ed2fp-4, 0x1.5a379b062301cp-3, 0x1.cfee20c881b3cp-3, 0x1.1e705148ade8p-2, 0x1.50b7d26616affp-2, 0x1.7efe543cb1d1ap-2, 0x1.a974b3f4101dep-2, 0x1.d04b960a0722bp-2, 0x1.f3b31bedfa2f2p-2, 0x1.09ed51bf964fdp-1, 0x1.187847d5b05aep-1, 0x1.25910cd167597p-1, 0x1.314d9516e680fp-1, 0x1.3bc31d52a8725p-1, 0x1.45061e7a7ed24p-1, 0x1.4d2a44fc36fcp-1, 0x1.54426abea9a97p-1, 0x1.5a60939c4bb01p-1, 0x1.5f95ec03a44c6p-1, 0x1.63f2c9702f539p-1, 0x1.6786ac742e5d8p-1, 0x1.6a604411e137cp-1, 0x1.6c8d7228c0eaep-1, 0x1.6e1b50c1d0ecdp-1, 0x1.6f16380c922e1p-1, 0x1.6f89c4e47663cp-1, 0x1.6f80dfbc6455cp-1, 0x1.6f05c3d2c1352p-1, 0x1.6e220694c402ep-1, 0x1.6cde9f1b66e3fp-1, 0x1.6b43edaf61e6p-1, 0x1.6959c3443e41dp-1, 0x1.672768dd2cc98p-1, 0x1.64b3a6d05d771p-1, 0x1.6204cbdf95903p-1, 0x1.5f20b41eb76cp-1, 0x1.5c0ccfa252433p-1, 0x1.58ce28f1d53fcp-1, 0x1.55696b3a385fp-1, 0x1.51e2e83eccb71p-1, 0x1.4e3e9e06fa527p-1, 0x1.4a803c483c974p-1, 0x1.46ab298c5587p-1, 0x1.42c2881470571p-1, 0x1.3ec93a79b12adp-1, 0x1.3ac1e80d52a13p-1, 0x1.36af00f8ae73ap-1, 0x1.3292c220ce0eap-1, 0x1.2e6f38cd4d7c7p-1, 0x1.2a4646179acbbp-1, 0x1.2619a221817e1p-1, 0x1.21eadf196333dp-1, 0x1.1dbb6c0a0af66p-1, 0x1.198c977d8c246p-1, 0x1.155f91f070632p-1, 0x1.1135701ca2f6bp-1, 0x1.0d0f2d1a4ccd4p-1, 0x1.08edac5b7f6e4p-1, 0x1.04d1bb84e93a5p-1, 0x1.00bc14227faadp-1, 0x1.f95aba81fddedp-2, 0x1.f14c59c8cd195p-2, 0x1.e94e12d17f731p-2, 0x1.e160d588c6e58p-2, 0x1.d9857768f32e7p-2, 0x1.d1bcb5a849e27p-2, 0x1.ca073734ea502p-2, 0x1.c2658e962435cp-2, 0x1.bad83b9e135eap-2, 0x1.b35facff8533ep-2, 0x1.abfc41c6a8be9p-2, 0x1.a4ae4aabbb8bap-2, 0x1.9d760b55dd5ccp-2, 0x1.9653bb7d59f33p-2, 0x1.8f4787f6ed78dp-2, 0x1.885193b01f679p-2, 0x1.8171f88ec6712p-2, 0x1.7aa8c843e8c1fp-2, 0x1.73f60d0e0c8ccp-2, 0x1.6d59ca65f03dbp-2, 0x1.66d3fda3aeb36p-2, 0x1.60649e92f926ap-2, 0x1.5a0b9ff884278p-2, 0x1.53c8f01273738p-2, 0x1.4d9c7908abf31p-2, 0x1.4786215322877p-2, 0x1.4185cc1d843b8p-2, 0x1.3b9b599bf4113p-2, 0x1.35c6a75819909p-2, 0x1.3007907e8fa7cp-2, 0x1.2a5dee1f47aadp-2, 0x1.24c99765a9be8p-2, 0x1.1f4a61d4472d6p-2, 0x1.19e021776a4bdp-2, 0x1.148aa90c81c96p-2, 0x1.0f49ca2df1074p-2, 0x1.0a1d557cc45a5p-2, 0x1.05051abd32485p-2, 0x1.0000e8f319404p-2, 0x1.f6211d07c3bd7p-3, 0x1.ec67b29df7cf4p-3, 0x1.e2d52d7cae3e2p-3, 0x1.d96927ba68aa1p-3, 0x1.d0233adf8a4c8p-3, 0x1.c702ffffb7e2cp-3, 0x1.be080fceeeb8bp-3, 0x1.b53202c54f8c5p-3, 0x1.ac80713dee033p-3, 0x1.a3f2f382afb6cp-3, 0x1.9b8921d9fbb08p-3, 0x1.934294a191ebdp-3, 0x1.8b1ee462e4621p-3, 0x1.831da9d7da2dbp-3, 0x1.7b3e7df25b29cp-3, 0x1.7380f9efaba9ep-3, 0x1.6be4b7675ec71p-3, 0x1.6469504cdf8f5p-3, 0x1.5d0e5ef1af68p-3, 0x1.55d37e124977fp-3, 0x1.4eb848e2b0bf5p-3, 0x1.47bc5b0fd8bb3p-3, 0x1.40df50bdf7449p-3, 0x1.3a20c68f36ec6p-3, 0x1.338059ae7f31ep-3, 0x1.2cfda7d320d06p-3, 0x1.26984f3df9e97p-3, 0x1.204feeba5732cp-3, 0x1.1a2425a56450fp-3, 0x1.141493f481d7ap-3, 0x1.0e20da34d917fp-3, 0x1.08489988d9223p-3, 0x1.028b73aa75284p-3, 0x1.f9d215e25f72ap-4, 0x1.eec204ab65a8p-4, 0x1.e3e5fae1938dap-4, 0x1.d93d40f3a5731p-4, 0x1.cec7209156844p-4, 0x1.c482e4b41afe5p-4, 0x1.ba6fd9a4917cfp-4, 0x1.b08d4cfa5a841p-4, 0x1.a6da8d9a8aea4p-4, 0x1.9d56ebb963a72p-4, 0x1.9401b8df4f5e6p-4, 0x1.8ada47eddfeb5p-4, 0x1.81dfed22be9fp-4, 0x1.7911fe18b3139p-4, 0x1.706fd1c7d27f6p-4, 0x1.67f8c08613d4fp-4, 0x1.5fac2409b614ep-4, 0x1.5789576e442eap-4, 0x1.4f8fb73a38707p-4, 0x1.47bea1616b4b6p-4, 0x1.40157542abc5dp-4, 0x1.389393a41e439p-4, 0x1.31385eb4b856cp-4, 0x1.2a033a14dba43p-4, 0x1.22f38ae00b7d4p-4, 0x1.1c08b7af18c97p-4, 0x1.15422890aa1b6p-4, 0x1.0e9f470062b23p-4, 0x1.081f7de7eeee7p-4, 0x1.01c239ac319f9p-4, 0x1.f70dd07834af7p-5, 0x1.ead9f226ae6c7p-5, 0x1.dee7ba5b7b53dp-5, 0x1.d3360def19332p-5, 0x1.c7c3d49680404p-5, 0x1.bc8ff9037ff68p-5, 0x1.b199690fd3474p-5, 0x1.a6df15cbcb202p-5, 0x1.9c5ff3614aa54p-5, 0x1.921af8e449ef8p-5, 0x1.880f203d5b158p-5, 0x1.7e3b6644ee0bdp-5, 0x1.749ecaf9d5949p-5, 0x1.6b3851a330a3fp-5, 0x1.620700be4fe4p-5, 0x1.5909e1c6eb501p-5, 0x1.5040010a6c069p-5, 0x1.47a86dadfdad6p-5, 0x1.3f4239e22b3aep-5, 0x1.370c7b15e1a41p-5, 0x1.2f0649face058p-5, 0x1.272ec256801e6p-5, 0x1.1f8502c9e89c7p-5, 0x1.18082cc154052p-5, 0x1.10b76499ab6e9p-5, 0x1.0991d1d56c8ebp-5, 0x1.02969f2b679adp-5, 0x1.f789f4b72d5efp-6, 0x1.ea3827dd3cfbp-6, 0x1.dd363e3d5a39cp-6, 0x1.d082a40fff14p-6, 0x1.c41bcbf70d6dfp-6, 0x1.b8002f4513983p-6, 0x1.ac2e4d7950c23p-6, 0x1.a0a4ab2bfacb4p-6, 0x1.9561d13f9b42cp-6, 0x1.8a644d2610129p-6, 0x1.7faab24771da9p-6, 0x1.75339b9d62cdbp-6, 0x1.6afdac2a356f7p-6, 0x1.61078d901c739p-6, 0x1.574fed667f273p-6, 0x1.4dd57b1304709p-6, 0x1.4496e7eccc907p-6, 0x1.3b92ea115f36cp-6, 0x1.32c8405ec560bp-6, 0x1.2a35b4da7742fp-6, 0x1.21da1b69014e8p-6, 0x1.19b44cf8eda82p-6, 0x1.11c321cd58fcap-6, 0x1.0a056eabf612bp-6, 0x1.027a075b1146dp-6, 0x1.f63f8b4d8aeefp-7, 0x1.e7eb21f663754p-7, 0x1.d9f4c34ad1782p-7, 0x1.cc5a79d4138cdp-7, 0x1.bf1a56acfeb4bp-7, 0x1.b2325d19623c5p-7, 0x1.a5a079998c23p-7, 0x1.99628b726d1dp-7, 0x1.8d767d21b9d6p-7, 0x1.81da5ebf5ac4ap-7, 0x1.768c72c40eaacp-7, 0x1.6b8b242b020c6p-7, 0x1.60d4e93ff1ec1p-7, 0x1.566821dce0b27p-7, 0x1.4c4303be54323p-7, 0x1.4263a12bf5f68p-7, 0x1.38c808650f254p-7, 0x1.2f6e6c5fa6682p-7, 0x1.2655414c7be4ap-7, 0x1.1d7b3cc4f118bp-7, 0x1.14df37e50a3efp-7, 0x1.0c80014e7345p-7, 0x1.045c35f7da3e8p-7, 0x1.f8e46a290663cp-8, 0x1.e9806c91976f4p-8, 0x1.da88f028fc9p-8, 0x1.cbfadf7653869p-8, 0x1.bdd3c5df1d7ddp-8, 0x1.b011bd8975c47p-8, 0x1.a2b320f858a48p-8, 0x1.95b625677a54fp-8, 0x1.89188c7ba3cc8p-8, 0x1.7cd790d8c1959p-8, 0x1.70f0166cec3f4p-8, 0x1.655f070db856ap-8, 0x1.5a21adecaa192p-8, 0x1.4f35e6ecdc014p-8, 0x1.449a119be053bp-8, 0x1.3a4cd65ce1b0fp-8, 0x1.304cdac75b00dp-8, 0x1.269880b2cfecbp-8, 0x1.1d2dc66a9172p-8, 0x1.140a56cddb1f4p-8, 0x1.0b2bc364378p-8, 0x1.028fc5e52379ap-8, 0x1.f468c05af4ac6p-9, 0x1.e42fa57210986p-9, 0x1.d47112571cec6p-9, 0x1.c52a2eb3371bp-9, 0x1.b65870233ce68p-9, 0x1.a7f9653fd20d3p-9, 0x1.9a0a68af6fabap-9, 0x1.8c88942ebdddp-9, 0x1.7f71001a08731p-9, 0x1.72c0df191b5dap-9, 0x1.66751daee61dap-9, 0x1.5a89ea54bd521p-9, 0x1.4efaf1a8ff46ap-9, 0x1.43c465bdbcdfdp-9, 0x1.38e3d84538ceep-9, 0x1.2e5803f0d292cp-9, 0x1.241fe8ffbbe17p-9, 0x1.1a3a613ae5efep-9, 0x1.10a66ebe1bb8fp-9, 0x1.076345e4a6385p-9, 0x1.fcde900029fd6p-10, 0x1.eb8d6d1977ceep-10, 0x1.dac7af74a913p-10, 0x1.ca8222226fe29p-10, 0x1.bab6673c209f8p-10, 0x1.ab636a052e2cp-10, 0x1.9c89d8063ddc6p-10, 0x1.8e296d1efc42bp-10, 0x1.8041db811a68ap-10, 0x1.72d4843f3826bp-10, 0x1.65e304695b306p-10, 0x1.596ad79d385dep-10, 0x1.4d627b6af8ccp-10, 0x1.41bbf4352f5a5p-10, 0x1.366ba374aa7fap-10, 0x1.2b6d768724a94p-10, 0x1.20c34e678aaa7p-10, 0x1.166f325f6a0bep-10, 0x1.0c70d40231756p-10, 0x1.02c84038a02a9p-10, 0x1.f2f08ed5487d7p-11, 0x1.e108902f36d1fp-11, 0x1.cfd6b6e263fc3p-11, 0x1.bf4bf7082d51bp-11, 0x1.af50426d6ec02p-11, 0x1.9fcd1b27fddadp-11, 0x1.90b83a05bad24p-11, 0x1.821488153fa9p-11, 0x1.73e7d04b4ea51p-11, 0x1.66328a57855a8p-11, 0x1.58f2f1fb3889dp-11, 0x1.4c2c03a7d8d4ap-11, 0x1.3fe462c3986ffp-11, 0x1.341d50684464p-11, 0x1.28cf6612b6c5ap-11, 0x1.1def02b93dcep-11, 0x1.136ee8523c616p-11, 0x1.0941e0449d895p-11, 0x1.febf920608352p-12, 0x1.eb9281bd2d6b7p-12, 0x1.d90653a51a3bbp-12, 0x1.c71d7d95ba1fdp-12, 0x1.b5d3ea1972976p-12, 0x1.a52e902620694p-12, 0x1.953544a88c276p-12, 0x1.85df9a89aa516p-12, 0x1.771d8c9dbdd61p-12, 0x1.68e836188498dp-12, 0x1.5b3f232b137ep-12, 0x1.4e1a52be4e28p-12, 0x1.416457447568ep-12, 0x1.350ab3975e95bp-12, 0x1.2913a0b95afd9p-12, 0x1.1d8c4c6843d45p-12, 0x1.126faa7dce01p-12, 0x1.07bd0016b48eap-12, 0x1.faf83425c80d7p-13, 0x1.e746bc3c7d2e7p-13, 0x1.d4442b56b9f5p-13, 0x1.c1e422e0c86ap-13, 0x1.b03234ac92719p-13, 0x1.9f431b038b779p-13, 0x1.8f184f16a0b5ep-13, 0x1.7f868c179ee51p-13, 0x1.705ae681283d3p-13, 0x1.61aaef8fc9576p-13, 0x1.5391d12d860fdp-13, 0x1.45f9b9c0daddcp-13, 0x1.38efac912ed96p-13, 0x1.2c784d9a9d673p-13, 0x1.2075370eef4bfp-13, 0x1.14d4556306cadp-13, 0x1.09936c3bc1f0dp-13, 0x1.fd6f996d321c7p-14, 0x1.e89f2bf157b61p-14, 0x1.d4d319a205563p-14, 0x1.c1fed0b03c3c9p-14, 0x1.afc4c453353aap-14, 0x1.9e008a2f923bbp-14, 0x1.8cf982af8a7c5p-14, 0x1.7c89e854d2918p-14, 0x1.6cc6b8a460dbbp-14, 0x1.5dc5c9ed883c9p-14, 0x1.4f50a23d2375dp-14, 0x1.4150e4e44859fp-14, 0x1.33c9c007c9aeep-14, 0x1.26bcdbd0fd65cp-14, 0x1.1a2a1c65bcd67p-14, 0x1.0e19707e7b039p-14, 0x1.0297aa1ae94bbp-14, 0x1.ef5a92349c619p-15, 0x1.da71d650612edp-15, 0x1.c618fa8f2b571p-15, 0x1.b28e7e8d6e003p-15, 0x1.9f96c20404d07p-15, 0x1.8d943fa3c633cp-15, 0x1.7c6974d43351dp-15, 0x1.6bcc5555a24f5p-15, 0x1.5bbc697d3e4dap-15, 0x1.4c433b2fdbd0dp-15, 0x1.3d623771aafb6p-15, 0x1.2f14358583c0fp-15, 0x1.21529620d26fbp-15, 0x1.141c2213f3719p-15, 0x1.07723dc02a5cbp-15, 0x1.f6e34a653074dp-16, 0x1.e01fe71421104p-16, 0x1.ca07aa1a72424p-16, 0x1.b47bd3a34ef7p-16, 0x1.9fea1b7cc95c5p-16, 0x1.8c7d73657501bp-16, 0x1.79b183f3b1ab1p-16, 0x1.678820b750c2cp-16, 0x1.561078bcba2a4p-16, 0x1.454b00990ab92p-16, 0x1.353453f9140e8p-16, 0x1.25c70f1f54f09p-16, 0x1.16f82be93e06ap-16, 0x1.08bb01ac524cep-16, 0x1.f60b57a87ebb7p-17, 0x1.dbb9f6e520188p-17, 0x1.c337a1bc53a35p-17, 0x1.abbcddd65a2d5p-17, 0x1.94850360ceebcp-17, 0x1.7e7b4a323e87p-17, 0x1.69b0e51474ba5p-17, 0x1.5587f5e65d216p-17, 0x1.421da84cc9318p-17, 0x1.2f8118716cefep-17, 0x1.1dace9e934b41p-17, 0x1.0c99109cff101p-17, 0x1.f88114fa4fca7p-18, 0x1.d93c2e2f83a98p-18, 0x1.bb4a78d21dcb6p-18, 0x1.9e8b0ded41264p-18, 0x1.82ea17547123bp-18, 0x1.6852c3c950859p-18, 0x1.4f7ece2c90ad2p-18, }}, 
      {{-0x1.d192409101483p+1, -0x1.d03388bcd0dd9p+1, -0x1.cdf3a9216c3acp+1, -0x1.caddbee10802ap+1, -0x1.c6ff35d4ed445p+1, -0x1.c266f12352176p+1, -0x1.bd24a848b2cdep+1, -0x1.b7486c1c07438p+1, -0x1.b0e24a40392cdp+1, -0x1.aa0207d974abep+1, -0x1.a2b6ee312e24ap+1, -0x1.9b0fa54ce3a63p+1, -0x1.931a1976472eap+1, -0x1.8ae36968ff555p+1, -0x1.8277db5e7b72fp+1, -0x1.79e2d7914a8d6p+1, -0x1.712ee719f2e64p+1, -0x1.6865b63e27f46p+1, -0x1.5f901975224cbp+1, -0x1.56b61484b4f67p+1, -0x1.4ddee334bb8a8p+1, -0x1.4511032b7076dp+1, -0x1.3c523e9643671p+1, -0x1.33a7b750e06dep+1, -0x1.2b15f2482bcf8p+1, -0x1.22a0e2e140323p+1, -0x1.1a4bf635ad5d3p+1, -0x1.121a1dfd6aadcp+1, -0x1.0a0ddb055b122p+1, -0x1.02294719b6f35p+1, -0x1.f4dc3cadbf29dp+0, -0x1.e5bb8fb123475p+0, -0x1.d6f2bb8a43cf7p+0, -0x1.c883697e6259fp+0, -0x1.ba6ec596ac15p+0, -0x1.acb58b67541efp+0, -0x1.9f5811eafd129p+0, -0x1.925656847aa0cp+0, -0x1.85b0072b6c99p+0, -0x1.79648bc95fd75p+0, -0x1.6d730ed3dc795p+0, -0x1.61da85308c762p+0, -0x1.5699b56c87441p+0, -0x1.4baf3e4ec2f07p+0, -0x1.41199ccfa06ddp+0, -0x1.36d73181f1b09p+0, -0x1.2ce64579b09cap+0, -0x1.23450ebabc318p+0, -0x1.19f1b437cdd2p+0, -0x1.10ea5168ed3b6p+0, -0x1.082cf980a20b6p+0, -0x1.ff6f748e9fff7p-1, -0x1.ef113d48c06a1p-1, -0x1.df3b61b8b9858p-1, -0x1.cfe9f9154c22bp-1, -0x1.c11920b94c749p-1, -0x1.b2c4ff279e42bp-1, -0x1.a4e9c6a6c0f2bp-1, -0x1.9783b77d2a355p-1, -0x1.8a8f21d75a989p-1, -0x1.7e08676016cf9p-1, -0x1.71ebfc92bb167p-1, -0x1.663669cefb5c4p-1, -0x1.5ae44c34d5eap-1, -0x1.4ff2564ecb3a3p-1, -0x1.455d508fe6b41p-1, -0x1.3b2219aaa007ap-1, -0x1.313da6c51abcep-1, -0x1.27ad038ee3456p-1, -0x1.1e6d523bf0b12p-1, -0x1.157bcb685b4cap-1, -0x1.0cd5bde7e3fadp-1, -0x1.04788e8421179p-1, -0x1.f8c36f57ca811p-2, -0x1.e91d922c51094p-2, -0x1.d9faceb5127a2p-2, -0x1.cb5697027178fp-2, -0x1.bd2c8517f4f5dp-2, -0x1.af7859f34c99fp-2, -0x1.a235fc8af134ap-2, -0x1.956178c6a37e8p-2, -0x1.88f6fe73bb7f6p-2, -0x1.7cf2e03719e78p-2, -0x1.7151927e32f35p-2, -0x1.660faa708823dp-2, -0x1.5b29dce2b14f1p-2, -0x1.509cfd4bfab6fp-2, -0x1.4665fcbf697fep-2, -0x1.3c81e8e8d44p-2, -0x1.32edeb0ebc7fp-2, -0x1.29a747194ac93p-2, -0x1.20ab5a9ef4cbep-2, -0x1.17f79bf6f9059p-2, -0x1.0f8999521cab3p-2, -0x1.075ef7d9a75cfp-2, -0x1.feeae5a9e1564p-3, -0x1.ef95b5aad57f1p-3, -0x1.e0ba29d291e8ep-3, -0x1.d25433a993a6ap-3, -0x1.c45feaa3ebb97p-3, -0x1.b6d98aae08b72p-3, -0x1.a9bd72c61e5d2p-3, -0x1.9d0823a24abb7p-3, -0x1.90b63e6347b47p-3, -0x1.84c48352ffef6p-3, -0x1.792fd0af5e52cp-3, -0x1.6df521808950bp-3, -0x1.63118c7a5eebep-3, -0x1.588242e926e69p-3, -0x1.4e448fa8ae296p-3, -0x1.4455d625da55p-3, -0x1.3ab3916a54bddp-3, -0x1.315b5331a691fp-3, -0x1.284ac307ef818p-3, -0x1.1f7f9d71861b8p-3, -0x1.16f7b31b41a9cp-3, -0x1.0eb0e8134a5c2p-3, -0x1.06a93309ed94ap-3, -0x1.fdbd3934490dbp-4, -0x1.ee9e7d33950e4p-4, -0x1.dff286e1ad42ep-4, -0x1.d1b5caef11488p-4, -0x1.c3e4dcb6a7eb8p-4, -0x1.b67c6d1424ad1p-4, -0x1.a97949468c8b3p-4, -0x1.9cd859dec6b1fp-4, -0x1.9096a1b953272p-4, -0x1.84b13d027c45bp-4, -0x1.7925604547fd8p-4, -0x1.6df05784488bap-4, -0x1.630f855b94d42p-4, -0x1.5880622c07dacp-4, -0x1.4e407b4f77225p-4, -0x1.444d7254ed86cp-4, -0x1.3aa4fc44bd897p-4, -0x1.3144e0ec9a347p-4, -0x1.282afa32f7e24p-4, -0x1.1f55337112b71p-4, -0x1.16c188d3c1d8bp-4, -0x1.0e6e06c3013b8p-4, -0x1.0658c94f70535p-4, -0x1.fcfff74adc186p-5, -0x1.edc3af0bf9f0dp-5, -0x1.def9498a82832p-5, -0x1.d09d719bdde6cp-5, -0x1.c2acec52db62cp-5, -0x1.b5249819be1a8p-5, -0x1.a8016bd5a3522p-5, -0x1.9b40761236e4ap-5, -0x1.8ededc3546bb6p-5, -0x1.82d9d9ba7173p-5, -0x1.772ebf76bff8bp-5, -0x1.6bdaf2e34cd0cp-5, -0x1.60dbed6e75164p-5, -0x1.562f3bd3b98c5p-5, -0x1.4bd27d7a4c3d6p-5, -0x1.41c363d9b3b72p-5, -0x1.37ffb1e3eda65p-5, -0x1.2e853b750373fp-5, -0x1.2551e4c82d093p-5, -0x1.1c63a1f23dd2cp-5, -0x1.13b87660d0ae7p-5, -0x1.0b4e745de501fp-5, -0x1.0323bc98048c7p-5, -0x1.f66cfb5ddc2bp-6, -0x1.e709e788dcd56p-6, -0x1.d81ad0220b045p-6, -0x1.c99c60f86439p-6, -0x1.bb8b5e70e1207p-6, -0x1.ade4a4c5c3ae2p-6, -0x1.a0a5274ca35b6p-6, -0x1.93c9efc2ae544p-6, -0x1.87501d9ed661fp-6, -0x1.7b34e56a0451bp-6, -0x1.6f75901d35b0cp-6, -0x1.640f7a852c348p-6, -0x1.590014ab32f4dp-6, -0x1.4e44e142c836ap-6, -0x1.43db751c0eed4p-6, -0x1.39c1769b13e7ep-6, -0x1.2ff49d33b07dap-6, -0x1.2672b0e9b861dp-6, -0x1.1d3989d5361d2p-6, -0x1.14470faa7c776p-6, -0x1.0b99394616ac1p-6, -0x1.032e0c3c77bf3p-6, -0x1.f60738dac3d14p-7, -0x1.e63017357b37dp-7, -0x1.d6d3120564dcap-7, -0x1.c7eca1f97c9bdp-7, -0x1.b9795933a58d9p-7, -0x1.ab75e28ed31ffp-7, -0x1.9ddf00eb62e43p-7, -0x1.90b18e8133a98p-7, -0x1.83ea7c36e8edfp-7, -0x1.7786d0fdcdea5p-7, -0x1.6b83a9324cf56p-7, -0x1.5fde36012de96p-7, -0x1.5493bcd214951p-7, -0x1.49a196b6f608p-7, -0x1.3f052fdfe3ba6p-7, -0x1.34bc07124579p-7, -0x1.2ac3ad23694f1p-7, -0x1.2119c476c47e4p-7, -0x1.17bc0080a74f6p-7, -0x1.0ea8254d816e1p-7, -0x1.05dc070cfa814p-7, -0x1.faab133f9f999p-8, -0x1.ea25404fdcf7cp-8, -0x1.da2299362d293p-8, -0x1.ca9f3eb201e66p-8, -0x1.bb976d8b61cfap-8, -0x1.ad077dcf29ffep-8, -0x1.9eebe2108810dp-8, -0x1.914126ada1dd4p-8, -0x1.8403f1171cc28p-8, -0x1.7730ff1c56371p-8, -0x1.6ac5263e89acap-8, -0x1.5ebd530b75423p-8, -0x1.5316887da65eep-8, -0x1.47cddf5fc701bp-8, -0x1.3ce085b16ef11p-8, -0x1.324bbe0e9bd4fp-8, -0x1.280cdf1c6d049p-8, -0x1.1e2152fceb4ddp-8, -0x1.148696c8d77ffp-8, -0x1.0b3a3a0c31e4ep-8, -0x1.0239de42af26ap-8, -0x1.f3066ca8e3c6bp-9, -0x1.e2280c2dd4837p-9, -0x1.d1d443abedad5p-9, -0x1.c206dbcc56d38p-9, -0x1.b2bbbc770952fp-9, -0x1.a3eeebfaabfcdp-9, -0x1.959c8e26726p-9, -0x1.87c0e35c8ddd4p-9, -0x1.7a5847b193a28p-9, -0x1.6d5f322cef38fp-9, -0x1.60d2342da5113p-9, -0x1.54adf8deb0e18p-9, -0x1.48ef449852acap-9, -0x1.3d92f41542f31p-9, -0x1.3295fb821c98fp-9, -0x1.27f5658f06214p-9, -0x1.1dae52b6e08d2p-9, -0x1.13bdf8d6e38fap-9, -0x1.0a21a3005d06dp-9, -0x1.00d6b14414683p-9, -0x1.efb53062742fdp-10, -0x1.de55bfd780937p-10, -0x1.cd8a460623994p-10, -0x1.bd4e1ace19704p-10, -0x1.ad9cb7ae6df6ep-10, -0x1.9e71b7cebfe08p-10, -0x1.8fc8d8b5ade8ep-10, -0x1.819dfab454f34p-10, -0x1.73ed20228d1bap-10, -0x1.66b26b2927138p-10, -0x1.59ea1ab75df45p-10, -0x1.4d9087db382f8p-10, -0x1.41a2249eb32c7p-10, -0x1.361b7cbd29069p-10, -0x1.2af93774b9882p-10, -0x1.2038190d3b683p-10, -0x1.15d502c9f8ff9p-10, -0x1.0bccf0c9297dep-10, -0x1.021cf66e5497bp-10, -0x1.f18475a5c57cbp-11, -0x1.df73edb2059bep-11, -0x1.ce02eb50b795p-11, -0x1.bd2c2e0101c48p-11, -0x1.aceaa39c250fdp-11, -0x1.9d396ad1c9d74p-11, -0x1.8e13d14e72b79p-11, -0x1.7f754de3e3b0ep-11, -0x1.715978cb079b8p-11, -0x1.63bc053563b94p-11, -0x1.5698bf19d28dap-11, -0x1.49eb8de740875p-11, -0x1.3db079c909ff1p-11, -0x1.31e3afeacd71ep-11, -0x1.26818398f297ap-11, -0x1.1b866c47ac886p-11, -0x1.10ef0162c94c8p-11, -0x1.06b7f4d2b9984p-11, -0x1.f9bc1bcfd2ecp-12, -0x1.e6bc4e5bf7c16p-12, -0x1.d46a608041d6p-12, -0x1.c2c062d6ef22cp-12, -0x1.b1b89b1942caep-12, -0x1.a14d824c28adfp-12, -0x1.9179c1ad2cb7cp-12, -0x1.823831d64a053p-12, -0x1.7383d9f2ae9bbp-12, -0x1.6557ebd395cd1p-12, -0x1.57afbeff1d182p-12, -0x1.4a86cf9b31d0fp-12, -0x1.3dd8c0a97d9a4p-12, -0x1.31a15afc2e119p-12, -0x1.25dc85cf7343fp-12, -0x1.1a863f3d41033p-12, -0x1.0f9a9ca693166p-12, -0x1.0515d2af15304p-12, -0x1.f5e879bb7d095p-13, -0x1.e264bfd3d1bd1p-13, -0x1.cf99d290a94bdp-13, -0x1.bd815d0a444e1p-13, -0x1.ac155176ab237p-13, -0x1.9b4fd1b27714fp-13, -0x1.8b2b13c2d3268p-13, -0x1.7ba1543f5f50dp-13, -0x1.6cacdced4d3b8p-13, -0x1.5e481752bbdb6p-13, -0x1.506d9f39dd72dp-13, -0x1.431852d3e86c1p-13, -0x1.3643664414891p-13, -0x1.29ea70dd7e1cbp-13, -0x1.1e095a4749499p-13, -0x1.129c2914a73d6p-13, -0x1.079edceedb64fp-13, -0x1.fa1adb5075dacp-14, -0x1.e5c7b15e46b2ap-14, -0x1.d23c4b3da6224p-14, -0x1.bf70cd4068625p-14, -0x1.ad5d818b2f1ep-14, -0x1.9bfb13a495312p-14, -0x1.8b42f4029f904p-14, -0x1.7b2f801f842c5p-14, -0x1.6bbb92285b25cp-14, -0x1.5ce1de43278c3p-14, -0x1.4e9cd50d44a79p-14, -0x1.40e6f6dd26f71p-14, -0x1.33baf7c62795p-14, -0x1.271396ee18155p-14, -0x1.1aeb7981fd71p-14, -0x1.0f3d2d911557cp-14, -0x1.04036362b5a96p-14, -0x1.f272d639fe396p-15, -0x1.ddb712be7a1f4p-15, -0x1.c9cd0fd0a8cafp-15, -0x1.b6adde8483213p-15, -0x1.a451da8a6b0aap-15, -0x1.92b197e90101ep-15, -0x1.81c6416649c49p-15, -0x1.7189357d63932p-15, -0x1.61f3a10a533bcp-15, -0x1.52fe67fe9b614p-15, -0x1.44a24e3a3dc7ep-15, -0x1.36d86c04da0c5p-15, -0x1.299af63977f95p-15, -0x1.1ce56abd3f7c9p-15, -0x1.10b378f95d4cap-15, -0x1.05003ac0bba93p-15, -0x1.f38d8229fffa1p-16, -0x1.de0503e0d12fbp-16, -0x1.c95e515540f6p-16, -0x1.b590f140fa22ep-16, -0x1.a29454fe30672p-16, -0x1.905fa6c049258p-16, -0x1.7eea2038d1357p-16, -0x1.6e2b7c6a968bcp-16, -0x1.5e1c419d4e7e4p-16, -0x1.4eb5d1d213dcap-16, -0x1.3ff1b680a637cp-16, -0x1.31c97c9ada5efp-16, -0x1.24378bcdee28cp-16, -0x1.17369015e85c9p-16, -0x1.0ac0c39be7d0cp-16, -0x1.fda10e38ab814p-17, -0x1.e6c131c84d3bep-17, -0x1.d0d79027a8a29p-17, -0x1.bbd9b44bee745p-17, -0x1.a7be22895bcb4p-17, -0x1.947ca82d96642p-17, -0x1.820c93db9dccdp-17, -0x1.7063be86ec2c1p-17, -0x1.5f7810af85fa2p-17, -0x1.4f4281cfa40e3p-17, -0x1.3fbe15607b48ap-17, -0x1.30e3fdc766ea9p-17, -0x1.22acc04342d9p-17, -0x1.15116f211e109p-17, -0x1.080b987b924b2p-17, -0x1.f72a8c65e3526p-18, -0x1.df510897120ddp-18, -0x1.c87fbf778f99fp-18, -0x1.b2ae810688532p-18, -0x1.9dd4b42011931p-18, -0x1.89e50fc64b4b4p-18, -0x1.76d07f5d822a4p-18, -0x1.648d977eeea4ep-18, -0x1.53184763319adp-18, -0x1.42686a93800a6p-18, -0x1.32751790332a3p-18, -0x1.2336832a85757p-18, -0x1.14a48c2320b1cp-18, -0x1.06b7f0ceb0f1p-18, -0x1.f2d429f607f69p-19, -0x1.d9690e20bcc8fp-19, -0x1.c122e1b3ca766p-19, -0x1.a9f8cd07242bap-19, -0x1.93e1182fd762ap-19, -0x1.7ecbdeab64f7dp-19, -0x1.6aa81b635feb4p-19, -0x1.576c48685a9f8p-19, -0x1.4513364a9040dp-19, -0x1.339160cfb6515p-19, -0x1.22de9b903a394p-19, -0x1.12f26efd5c97ap-19, -0x1.03c3b40bfab31p-19, -0x1.ea9447481f076p-20, -0x1.cefc099608bf4p-20, -0x1.b4b0de2aba41ep-20, -0x1.9ba5e674a720dp-20, -0x1.83ced9e8476dcp-20, -0x1.6d209634cf766p-20, -0x1.578e02b22b122p-20, -0x1.4306dcf0041fcp-20, -0x1.2f7e79efc2c15p-20, -0x1.1cead3911b213p-20, -0x1.0b3fced2baec3p-20, -0x1.f4e80a5f1b401p-21, -0x1.d4ffc20e96edp-21, -0x1.b6b24d354ea5dp-21, -0x1.99ee38bb24cfap-21, -0x1.7ea1843789b42p-21, -0x1.64baf76d3cd49p-21, -0x1.4c2c1127b1fp-21, -0x1.34e7f5323107ap-21, -0x1.1ee0b4175eacdp-21, -0x1.0a077ecaf932fp-21, -0x1.ec9e0abeed084p-22, -0x1.c7537cca8393fp-22, -0x1.a41c6ba50d66cp-22, -0x1.82dca677a46e7p-22, -0x1.63726c4688139p-22, -0x1.45cf7b2a26c0cp-22, -0x1.29e36390efabfp-22, -0x1.0f97fe6b8752ep-22, -0x1.edb91026edc4ep-23, -0x1.bf3d3327d778fp-23, -0x1.93968663ea19ep-23, -0x1.6aa2e4a67c279p-23, -0x1.4445f083d5131p-23, -0x1.2065923d4921p-23, -0x1.fdc6ebc7da515p-24, -0x1.bf3c7bed6738fp-24, -0x1.84f6793b52c93p-24, -0x1.4ec94e7b6a5ecp-24, -0x1.1c941aa15b7aep-24, }}, 
      std::vector<double>(450, 0.0), 
      {{0x1.2e863f8546829p-3, 0x1.25d3b10b08858p-2, 0x1.a5d52a32fda13p-2, 0x1.09e267c6aed15p-1, 0x1.36eab6bdcc1b6p-1, 0x1.59b9c6e1fa557p-1, 0x1.727484d5502b1p-1, 0x1.818c240831401p-1, 0x1.87a491e53ba34p-1, 0x1.85817aed2413ep-1, 0x1.7bf837799e78dp-1, 0x1.6be5674f1df79p-1, 0x1.562555c9f58bap-1, 0x1.3b8e7bfa96ce3p-1, 0x1.1ceda14a0f135p-1, 0x1.f6067498977bbp-2, 0x1.ad03782d6b61p-2, 0x1.60195742c3d83p-2, 0x1.10707a2743aaap-2, 0x1.7e258077394b9p-3, 0x1.b3b0ee651f478p-4, 0x1.acc63cad0b79dp-6, -0x1.b4c31c98ffd04p-5, -0x1.0d4e18e643f3dp-3, -0x1.a9b7fd7a4b179p-3, -0x1.20c92980cb46ep-2, -0x1.6a1413289bc59p-2, -0x1.b073f2b1dc4a5p-2, -0x1.f3afd83b9ef88p-2, -0x1.19ce759c432fcp-1, -0x1.380e62903e96cp-1, -0x1.548df4af6e0f9p-1, -0x1.6f482c2f10cfap-1, -0x1.883c2134f449dp-1, -0x1.9f6c6e10dd0a2p-1, -0x1.b4dea819dcd28p-1, -0x1.c89ae6d004bb2p-1, -0x1.daab588acdfc8p-1, -0x1.eb1be31aa355ap-1, -0x1.f9f9cf170477fp-1, -0x1.03a9be5f39321p+0, -0x1.099c10b90e95ap+0, -0x1.0edbc67ada0aep+0, -0x1.1370fadd2024ap+0, -0x1.1763e5ce1b89fp+0, -0x1.1abcc84b0e4a4p+0, -0x1.1d83db7a10c9ap+0, -0x1.1fc1424a5d5d6p+0, -0x1.217cfd6029199p+0, -0x1.22bee1119574cp+0, -0x1.238e8d3c52dfap+0, -0x1.23f366bf92aaap+0, -0x1.23f49269822d5p+0, -0x1.2398f12b0c867p+0, -0x1.22e71d682b67dp+0, -0x1.21e5693e45cdcp+0, -0x1.2099dd9d553f1p+0, -0x1.1f0a3a14600f2p+0, -0x1.1d3bf535080bfp+0, -0x1.1b343d7581ffcp+0, -0x1.18f7fa7b1402bp+0, -0x1.168bceba38102p+0, -0x1.13f4195b7d64p+0, -0x1.1134f856c3109p+0, -0x1.0e524ab7c0957p+0, -0x1.0b4fb300da6a6p+0, -0x1.083099a28eb34p+0, -0x1.04f82f7f16c3ap+0, -0x1.01a970732626dp+0, -0x1.fc8e4bbbb10fcp-1, -0x1.f5a7d2456b5cbp-1, -0x1.eea44c436eef2p-1, -0x1.e7883b43c5421p-1, -0x1.e057cf57a2fa8p-1, -0x1.d916eba3ecbbcp-1, -0x1.d1c92aca0494ep-1, -0x1.ca71e3267223ap-1, -0x1.c3142ae38a00ep-1, -0x1.bbb2dbdf6ab12p-1, -0x1.b450976424418p-1, -0x1.acefc9b2e9c3ep-1, -0x1.a592ad616a2a3p-1, -0x1.9e3b4e8b70c44p-1, -0x1.96eb8dd814de7p-1, -0x1.8fa523556b383p-1, -0x1.8869a129fbfa4p-1, -0x1.813a761fb12d5p-1, -0x1.7a18f00774ebep-1, -0x1.73063df92a82dp-1, -0x1.6c0372702b9fdp-1, -0x1.651185465fb2dp-1, -0x1.5e3155908e685p-1, -0x1.5763ab5ae9f95p-1, -0x1.50a9394ba4b15p-1, -0x1.4a029e27c509dp-1, -0x1.4370664157c94p-1, -0x1.3cf30ccbc4df6p-1, -0x1.368afd1a3c16ap-1, -0x1.303893ca01e66p-1, -0x1.29fc1fd66778p-1, -0x1.23d5e39d343d9p-1, -0x1.1dc615cef723cp-1, -0x1.17cce2500a6c3p-1, -0x1.11ea6b0b1df55p-1, -0x1.0c1ec8b30d499p-1, -0x1.066a0b79ee58ap-1, -0x1.00cc3bb9fdb35p-1, -0x1.f68ab5254b232p-2, -0x1.ebaac4f88e46bp-2, -0x1.e0f88f9f543ffp-2, -0x1.d673f28a86f68p-2, -0x1.cc1cc0d78bb59p-2, -0x1.c1f2c429da30ap-2, -0x1.b7f5bd78cc3b5p-2, -0x1.ae2565cd4bbcfp-2, -0x1.a4816ef0b0349p-2, -0x1.9b098412d1c29p-2, -0x1.91bd4a61a0336p-2, -0x1.889c61955fdp-2, -0x1.7fa664769f225p-2, -0x1.76dae957820bdp-2, -0x1.6e3982839d035p-2, -0x1.65c1beac0e078p-2, -0x1.5d7329490d915p-2, -0x1.554d4af27312bp-2, -0x1.4d4fa9b681a71p-2, -0x1.4579c96962c22p-2, -0x1.3dcb2beaecda6p-2, -0x1.3643516b1d25p-2, -0x1.2ee1b8ab908a6p-2, -0x1.27a5df378c511p-2, -0x1.208f4198738d6p-2, -0x1.199d5b8aec7cdp-2, -0x1.12cfa82de5188p-2, -0x1.0c25a22aa7ba2p-2, -0x1.059ec3dd83868p-2, -0x1.fe750efb8d5dp-3, -0x1.f1f0ce7dc103cp-3, -0x1.e5afbadba3da5p-3, -0x1.d9b0c920e9ff6p-3, -0x1.cdf2ef05cf63fp-3, -0x1.c275231df5aa7p-3, -0x1.b7365d03b1ddfp-3, -0x1.ac35958736d7bp-3, -0x1.a171c6d9c189ep-3, -0x1.96e9ecaeea917p-3, -0x1.8c9d045bbdcc3p-3, -0x1.828a0cf95f722p-3, -0x1.78b00784feb15p-3, -0x1.6f0df6f7b452fp-3, -0x1.65a2e05bce8dp-3, -0x1.5c6dcae540ca1p-3, -0x1.536dc00957352p-3, -0x1.4aa1cb90314c1p-3, -0x1.4208fba2a29d5p-3, -0x1.39a260d9f74f5p-3, -0x1.316d0e5103628p-3, -0x1.296819b178757p-3, -0x1.21929b3ce7392p-3, -0x1.19ebadd521b03p-3, -0x1.12726f079103ep-3, -0x1.0b25ff16eb4a7p-3, -0x1.040581019bffep-3, -0x1.fa20350ba22abp-4, -0x1.ec89e84cbd3fbp-4, -0x1.df467261b2106p-4, -0x1.d2542f8519ea6p-4, -0x1.c5b18194faeffp-4, -0x1.b95cd0145e797p-4, -0x1.ad54882e3778bp-4, -0x1.a1971cb9b1814p-4, -0x1.9623063d1a299p-4, -0x1.8af6c2ecf8a6ap-4, -0x1.8010d6a8d0531p-4, -0x1.756fcaf80d151p-4, -0x1.6b122f07cc5f7p-4, -0x1.60f697a88aeep-4, -0x1.571b9f4a6a651p-4, -0x1.4d7fe5f7480a4p-4, -0x1.4422114b34d67p-4, -0x1.3b00cc6c6e57dp-4, -0x1.321ac80419168p-4, -0x1.296eba38211e4p-4, -0x1.20fb5ea4c534dp-4, -0x1.18bf76538be5ap-4, -0x1.10b9c7af20bap-4, -0x1.08e91e766f398p-4, -0x1.014c4bb22cae6p-4, -0x1.f3c44b5b5818bp-5, -0x1.e5530fdf4cd1fp-5, -0x1.d742a65d49e1p-5, -0x1.c990da80a4707p-5, -0x1.bc3b82105da2dp-5, -0x1.af407cd62aa0dp-5, -0x1.a29db490cf249p-5, -0x1.96511ce72c298p-5, -0x1.8a58b34eaeed4p-5, -0x1.7eb27ee2b93b8p-5, -0x1.735c9039278e4p-5, -0x1.68550144299acp-5, -0x1.5d99f5455cf79p-5, -0x1.532998c5404b3p-5, -0x1.4902217c8ce93p-5, -0x1.3f21ce28ae2bep-5, -0x1.3586e657f03e8p-5, -0x1.2c2fba425b402p-5, -0x1.231aa2b96f8c5p-5, -0x1.1a4601241607fp-5, -0x1.11b03f708149dp-5, -0x1.0957cfeda333cp-5, -0x1.013b2d139c9cp-5, -0x1.f2b1b2a3f2151p-6, -0x1.e35ebdeb37ca6p-6, -0x1.d47aa046bf57fp-6, -0x1.c6028da3f1f1ap-6, -0x1.b7f3c95cbdc4cp-6, -0x1.aa4ba5d26cdcbp-6, -0x1.9d0784013dd0fp-6, -0x1.9024d339acb4ep-6, -0x1.83a11109bc85ep-6, -0x1.7779c933d8559p-6, -0x1.6bac95831a6fdp-6, -0x1.60371d6cabe9ep-6, -0x1.5517159fa8bdfp-6, -0x1.4a4a3fbaf64e7p-6, -0x1.3fce6a429eb8bp-6, -0x1.35a170b2347fep-6, -0x1.2bc13b6596483p-6, -0x1.222bbf297d3d2p-6, -0x1.18defc8f8b4ecp-6, -0x1.0fd8ff64551f3p-6, -0x1.0717de9be2c15p-6, -0x1.fd337976614e3p-7, -0x1.ecb990a97fddp-7, -0x1.dcbe780be00d8p-7, -0x1.cd3ebb530d82fp-7, -0x1.be36fa0d4e308p-7, -0x1.afa3e57b21753p-7, -0x1.a182405d9a1b6p-7, -0x1.93cee10393e7ap-7, -0x1.8686b43ebb574p-7, -0x1.79a6befa027b4p-7, -0x1.6d2c1cbd0b386p-7, -0x1.6113fb4b4cdf8p-7, -0x1.555b95a25150fp-7, -0x1.4a00316dd8531p-7, -0x1.3eff20dc16c17p-7, -0x1.3455c81447c45p-7, -0x1.2a01a308320f9p-7, -0x1.200047a4f9934p-7, -0x1.164f623630667p-7, -0x1.0cecad3c5b54dp-7, -0x1.03d5e9038b946p-7, -0x1.f611afee5881dp-8, -0x1.e50684b407d6p-8, -0x1.d485ff9fddd37p-8, -0x1.c48c02ef678fcp-8, -0x1.b514acf08aec7p-8, -0x1.a61c4f32e4318p-8, -0x1.979f56d239f9dp-8, -0x1.899a31af08b83p-8, -0x1.7c093f1ce1eadp-8, -0x1.6ee8d53741873p-8, -0x1.6235592d24212p-8, -0x1.55eb5e37331b9p-8, -0x1.4a07ba92a3267p-8, -0x1.3e87867318d23p-8, -0x1.3368041aaf324p-8, -0x1.28a67c3a108b8p-8, -0x1.1e402028cfb9dp-8, -0x1.1432011ca5b6dp-8, -0x1.0a79214c82fb4p-8, -0x1.011296dab597fp-8, -0x1.eff75e57e77ecp-9, -0x1.de640206a3984p-9, -0x1.cd66c90911e5bp-9, -0x1.bcfbaa30cb48cp-9, -0x1.ad1e96af25c03p-9, -0x1.9dcb408a2b868p-9, -0x1.8efd0d4e0fbap-9, -0x1.80af3a67d5a53p-9, -0x1.72dd2108cd09bp-9, -0x1.658277e59761ep-9, -0x1.589b73ccf6d18p-9, -0x1.4c24bc1ac6383p-9, -0x1.401b3e751698ap-9, -0x1.347bf7586f7edp-9, -0x1.2943c358a1253p-9, -0x1.1e6f48e52c8eep-9, -0x1.13fb047b8c055p-9, -0x1.09e372496bcddp-9, -0x1.00253c490bb4p-9, -0x1.ed7a9fd6a6d43p-10, -0x1.db51ac869c22p-10, -0x1.c9ca4aabeaa69p-10, -0x1.b8df7a4299a91p-10, -0x1.a88c8bda82142p-10, -0x1.98ccfa7285902p-10, -0x1.899c3596b0d41p-10, -0x1.7af59878ddc12p-10, -0x1.6cd495a446885p-10, -0x1.5f34c96d0c5a1p-10, -0x1.5211b787b1f61p-10, -0x1.456679da37ecap-10, -0x1.392dea8ec075p-10, -0x1.2d63565ff6f65p-10, -0x1.22030d4e7fb5fp-10, -0x1.170a39d10c4a6p-10, -0x1.0c7645452d4e3p-10, -0x1.02448ecff81cbp-10, -0x1.f0e53f6c746f3p-11, -0x1.ddfc6259052d8p-11, -0x1.cbc8fdee2938p-11, -0x1.ba42dc39c9994p-11, -0x1.a95f53df5fe5cp-11, -0x1.991412251f45cp-11, -0x1.895a1895af2d8p-11, -0x1.7a2df9e86dd9bp-11, -0x1.6b8d827166494p-11, -0x1.5d75f3dea3f9p-11, -0x1.4fe49c86220fcp-11, -0x1.42d7f1ec8d319p-11, -0x1.364e9e7c34a88p-11, -0x1.2a44b7056a75p-11, -0x1.1eb1f2455f0acp-11, -0x1.138b52f141391p-11, -0x1.08c78546d9ef8p-11, -0x1.fcc43a3178c46p-12, -0x1.e8b503938ddd3p-12, -0x1.d560788d69af9p-12, -0x1.c2c2d1ceec40fp-12, -0x1.b0d8d3df633e8p-12, -0x1.9fa2c9affdfc7p-12, -0x1.8f21ba4603895p-12, -0x1.7f51706c29252p-12, -0x1.7025aa29e1937p-12, -0x1.618cd0f467cbdp-12, -0x1.5376855b69c5dp-12, -0x1.45da17ea43f9fp-12, -0x1.38b702a128948p-12, -0x1.2c0e8ac661f1dp-12, -0x1.1fdec4948f618p-12, -0x1.14247b69d743bp-12, -0x1.08df67d4727aep-12, -0x1.fc22f683c65a6p-13, -0x1.e772e658b17a9p-13, -0x1.d3a1e7346846p-13, -0x1.c09e758edf5c1p-13, -0x1.ae556be7cf18p-13, -0x1.9cb3f7355fa57p-13, -0x1.8bad84651e2ecp-13, -0x1.7b3ff45003c73p-13, -0x1.6b6e36f4f0decp-13, -0x1.5c36ff8846588p-13, -0x1.4d9544ec7c24fp-13, -0x1.3f895418351f9p-13, -0x1.32152a7aaf1d3p-13, -0x1.2531727c0bd17p-13, -0x1.18d29f198e296p-13, -0x1.0cf287d0f664ap-13, -0x1.018ecae24a6a2p-13, -0x1.ed419ace1cf47p-14, -0x1.d834f47d0e5a4p-14, -0x1.c3df348f7533p-14, -0x1.b044103eee19cp-14, -0x1.9d6f0760da216p-14, -0x1.8b5728d69ea2ep-14, -0x1.79f87d99d4a75p-14, -0x1.69589e4368dc9p-14, -0x1.5969de69d0458p-14, -0x1.4a16f453422a9p-14, -0x1.3b5678e6e828ep-14, -0x1.2d2c4852a793dp-14, -0x1.1fa138e39b206p-14, -0x1.12b3953ee7221p-14, -0x1.0649793de2e85p-14, -0x1.f48a7cb7d38c8p-15, -0x1.dd615a6855aabp-15, -0x1.c730e4cb1af31p-15, -0x1.b1ddced1ca4fap-15, -0x1.9d725de6c40c7p-15, -0x1.89efdaf9081b9p-15, -0x1.773277bf02048p-15, -0x1.6523ec1fe22edp-15, -0x1.53bef3d055d8dp-15, -0x1.430651fc6c3efp-15, -0x1.3305f8d7ad776p-15, -0x1.23ca695c75ceap-15, -0x1.154a338a81db8p-15, -0x1.075230c952413p-15, -0x1.f39ab650c95eap-16, -0x1.d9bca82c8c14ap-16, -0x1.c0dee4cc1edbcp-16, -0x1.a912bf68645f7p-16, -0x1.926a353ae8adep-16, -0x1.7ca9b55ed242bp-16, -0x1.67b6f90d05505p-16, -0x1.5391d7100941dp-16, -0x1.4038ab3d8052dp-16, -0x1.2da81b575681fp-16, -0x1.1be4deec09298p-16, -0x1.0af88479e3c52p-16, -0x1.f5d09d1684b01p-17, -0x1.d720527053eb5p-17, -0x1.b97fef95045e7p-17, -0x1.9d2802a966493p-17, -0x1.81d950eea5b66p-17, -0x1.67ef49e67225cp-17, -0x1.4f48150a51a7ap-17, -0x1.379759541b315p-17, -0x1.20d8ab0488941p-17, -0x1.0b11515daec43p-17, -0x1.ec7d8b0b56724p-18, -0x1.c4b095caf43fap-18, -0x1.9ea7d15636c44p-18, -0x1.7a59da0251c43p-18, -0x1.57c277b245b97p-18, -0x1.37110c08658c7p-18, -0x1.182afcbf9beedp-18, -0x1.f5012512c9d23p-19, -0x1.bbdff53d116a1p-19, -0x1.85b4134f5ff46p-19, -0x1.52c12cf506d94p-19, -0x1.2207780462948p-19, -0x1.e701b9ca0f5b6p-20, -0x1.8e7fc7f01bc83p-20, -0x1.3a781c5cd746fp-20, -0x1.d597fdf1ae80dp-21, -0x1.3eabf09d44677p-21, -0x1.5f73c28e0902p-22, -0x1.422e0ce2ef973p-24, 0x1.605b9cb52f47cp-23, 0x1.a2afa4c29532ep-22, 0x1.4113ebe1e9b7ep-21, 0x1.aa32dd39b0bcep-21, 0x1.07c416e4492d9p-20, 0x1.36f5bf2edad3dp-20, 0x1.629e7656f809dp-20, 0x1.8be11bf5b9886p-20, 0x1.b2962739165ccp-20, 0x1.d6aee80c60372p-20, 0x1.f8404fcf57ebp-20, 0x1.0bb1d3f53181bp-19, 0x1.1a165130504c5p-19, 0x1.275786a83ba8ep-19, 0x1.338560b818acap-19, 0x1.3eb2f62dab1c6p-19, 0x1.48ed90a80fa22p-19, 0x1.5242b823a6374p-19, 0x1.5a6826342ae0fp-19, }}, 
      {{-0x1.6251aceb745dep+2, -0x1.5857c4ff25cafp+2, -0x1.4a6b79f4d49c2p+2, -0x1.3a2216e6db823p+2, -0x1.28a627d62d0c5p+2, -0x1.16d068ea62c2ep+2, -0x1.053b3572c31aap+2, -0x1.e8a311069da26p+1, -0x1.c8b50ab85c402p+1, -0x1.ab04a57040af3p+1, -0x1.8fc1d23235544p+1, -0x1.76fe9e9824d35p+1, -0x1.60b745e1a405fp+1, -0x1.4cd8683ca2d7cp+1, -0x1.3b43d4298ccecp+1, -0x1.2bd433f5684c6p+1, -0x1.1e5fddec7523p+1, -0x1.12baf77aae93cp+1, -0x1.08b9107db03ddp+1, -0x1.002e53c78561ep+1, -0x1.f1e0c74431b45p+0, -0x1.e5ade8a960fffp+0, -0x1.db7865f9d068ep+0, -0x1.d2fa0856cc44dp+0, -0x1.cbf246dba9234p+0, -0x1.c6265648e51a6p+0, -0x1.c16115274ac4ep+0, -0x1.bd72ddd9ec89bp+0, -0x1.ba314621bd8cp+0, -0x1.b776d206aaafbp+0, -0x1.b5229f05be703p+0, -0x1.b3180b436b7b6p+0, -0x1.b13e5b536a1c5p+0, -0x1.af80610d407eep+0, -0x1.adcc25460a2b2p+0, -0x1.ac12957211b69p+0, -0x1.aa4735f93e3p+0, -0x1.a85fd9c453efdp+0, -0x1.a6545f18775d3p+0, -0x1.a41e71af2546cp+0, -0x1.a1b951e844b89p+0, -0x1.9f21a0e1d52cp+0, -0x1.9c553136a417p+0, -0x1.9952dc21ed11bp+0, -0x1.961a5ac6609f6p+0, -0x1.92ac235b0e65bp+0, -0x1.8f094a044f9b4p+0, -0x1.8b33651c26f54p+0, -0x1.872c74a6752c9p+0, -0x1.82f6ccb3e1d89p+0, -0x1.7e950270c769fp+0, -0x1.7a09dba348636p+0, -0x1.7558405f130c1p+0, -0x1.70832eb53d5c1p+0, -0x1.6b8db02e7de43p+0, -0x1.667ad0df687c1p+0, -0x1.614d97e582698p+0, -0x1.5c090126edbeep+0, -0x1.56aff82c90b4ep+0, -0x1.514553f4bc8f5p+0, -0x1.4bcbd39efab6dp+0, -0x1.46461bd54249dp+0, -0x1.40b6b4d974e54p+0, -0x1.3b2009213024ap+0, -0x1.3584646b14395p+0, -0x1.2fe5f33bcc821p+0, -0x1.2a46c2b39bf83p+0, -0x1.24a8c0ae1bad1p+0, -0x1.1f0dbc1e47861p+0, -0x1.1977659dcc8a9p+0, -0x1.13e750250391ep+0, -0x1.0e5ef1e38309ap+0, -0x1.08dfa531f5295p+0, -0x1.036aa99728a93p+0, -0x1.fc0249b5b1f78p-1, -0x1.f148484385b9ep-1, -0x1.e6a93a1e021ccp-1, -0x1.dc26ddcf12046p-1, -0x1.d1c2c769e9b2bp-1, -0x1.c77e62cad111ap-1, -0x1.bd5af5cd8d5p-1, -0x1.b359a27605766p-1, -0x1.a97b690ae73b8p-1, -0x1.9fc12a1fa034ep-1, -0x1.962ba88b51116p-1, -0x1.8cbb8b4c5b6f6p-1, -0x1.83715f58afe86p-1, -0x1.7a4d99593bd2fp-1, -0x1.715097512d40ap-1, -0x1.687aa230cfa4bp-1, -0x1.5fcbef53e5a71p-1, -0x1.5744a1ecf3fdep-1, -0x1.4ee4cc5c115e6p-1, -0x1.46ac717452486p-1, -0x1.3e9b85ad81cddp-1, -0x1.36b1f0458c61ep-1, -0x1.2eef8c504ea97p-1, -0x1.275429b72cfa2p-1, -0x1.1fdf8e29fe428p-1, -0x1.189175ffcf3dbp-1, -0x1.1169950b13621p-1, -0x1.0a67975f5fc1cp-1, -0x1.038b220ae1b64p-1, -0x1.f9a7a78861fc5p-2, -0x1.ec828b16d2a42p-2, -0x1.dfa616846cd8ap-2, -0x1.d3116871dc246p-2, -0x1.c6c397632ea38p-2, -0x1.babbb2b60423ep-2, -0x1.aef8c384b9f42p-2, -0x1.a379cd7ace2e3p-2, -0x1.983dcf9a81152p-2, -0x1.8d43c4f2cd311p-2, -0x1.828aa54a01abbp-2, -0x1.781165bb1c75fp-2, -0x1.6dd6f946a3f8ap-2, -0x1.63da515aa3607p-2, -0x1.5a1a5e4ef75d1p-2, -0x1.50960fd78bd1cp-2, -0x1.474c556fd5927p-2, -0x1.3e3c1ebc48118p-2, -0x1.35645be347613p-2, -0x1.2cc3fde13b5cbp-2, -0x1.2459f6d478dd8p-2, -0x1.1c253a4161becp-2, -0x1.1424bd530d5a4p-2, -0x1.0c57771618ce2p-2, -0x1.04bc60abfefd5p-2, -0x1.faa4eaf6a9085p-3, -0x1.ec3166b9ba261p-3, -0x1.de1c3583f81e6p-3, -0x1.d0635dae53789p-3, -0x1.c304eb4a80d1ap-3, -0x1.b5fef05cccaf5p-3, -0x1.a94f850b620b3p-3, -0x1.9cf4c7cb75ab3p-3, -0x1.90ecdd8b9f506p-3, -0x1.8535f1d51389bp-3, -0x1.79ce36e68daeap-3, -0x1.6eb3e5cec780ap-3, -0x1.63e53e83d21d1p-3, -0x1.596087f2e0ac8p-3, -0x1.4f24100c2065ep-3, -0x1.452e2bced0c87p-3, -0x1.3b7d375280e04p-3, -0x1.320f95ca6722ap-3, -0x1.28e3b185e55efp-3, -0x1.1ff7fbf18c3afp-3, -0x1.174aed964655p-3, -0x1.0edb0613df0c8p-3, -0x1.06a6cc191620ap-3, -0x1.fd599ab87ad1dp-4, -0x1.edd73d262f5a3p-4, -0x1.dec3b6ced45f2p-4, -0x1.d01c4cd1fdd06p-4, -0x1.c1de51ffca671p-4, -0x1.b40726be1dbacp-4, -0x1.a69438e9ae7edp-4, -0x1.998303b1acf26p-4, -0x1.8cd10f74e986dp-4, -0x1.807bf19c043edp-4, -0x1.74814c76f7f5ep-4, -0x1.68decf14e1aafp-4, -0x1.5d923519633ccp-4, -0x1.52994692d3183p-4, -0x1.47f1d7d1bc16ep-4, -0x1.3d99c93e6667fp-4, -0x1.338f072d31e29p-4, -0x1.29cf89b09d06ep-4, -0x1.2059546c4e6ccp-4, -0x1.172a766938ba6p-4, -0x1.0e4109e8b87b5p-4, -0x1.059b3436ffeecp-4, -0x1.fa6e4af967e7cp-5, -0x1.ea2631204363bp-5, -0x1.da5aa58edb0fep-5, -0x1.cb084796fccdfp-5, -0x1.bc2bcad566524p-5, -0x1.adc1f6d63a3c5p-5, -0x1.9fc7a6b812e15p-5, -0x1.9239c8cf33b2cp-5, -0x1.85155e4b42bdap-5, -0x1.78577adf7a6d3p-5, -0x1.6bfd446b815f7p-5, -0x1.6003f2a2db583p-5, -0x1.5468ceb212d8fp-5, -0x1.492932e40ad51p-5, -0x1.3e428a4bc3509p-5, -0x1.33b250728aef1p-5, -0x1.2976110725bedp-5, -0x1.1f8b6789cd3cdp-5, -0x1.15effef463d97p-5, -0x1.0ca19163320ffp-5, -0x1.039de7c40b14cp-5, -0x1.f5c5b318b8b16p-6, -0x1.e4dc98e120722p-6, -0x1.d47c682cb7d81p-6, -0x1.c4a12381e45dap-6, -0x1.b546e7fb25ae4p-6, -0x1.a669ecaf7f65ep-6, -0x1.9806822dc95edp-6, -0x1.8a1911fec1a9p-6, -0x1.7c9e1e1b708a3p-6, -0x1.6f92405226da6p-6, -0x1.62f229a67f2eep-6, -0x1.56baa1c015dc7p-6, -0x1.4ae8867191cadp-6, -0x1.3f78cb4d1f04bp-6, -0x1.34687930e11acp-6, -0x1.29b4adbf3389p-6, -0x1.1f5a9ac9a8edep-6, -0x1.155785c42080cp-6, -0x1.0ba8c750422abp-6, -0x1.024bcade0775dp-6, -0x1.f27c1c9a48855p-7, -0x1.e0fa42f93c5fbp-7, -0x1.d00d4b9034c04p-7, -0x1.bfb09b07f954cp-7, -0x1.afdfb719cf919p-7, -0x1.a09645de5371ep-7, -0x1.91d00d2b7c933p-7, -0x1.8388f1d6eb548p-7, -0x1.75bcf6ce32ccep-7, -0x1.68683c2562138p-7, -0x1.5b86fe4a62f06p-7, -0x1.4f159574d315fp-7, -0x1.4310752fbbe5p-7, -0x1.37742bc5eef34p-7, -0x1.2c3d61603d4c6p-7, -0x1.2168d6f31eef8p-7, -0x1.16f3655859cd1p-7, -0x1.0cd9fcc40b6bfp-7, -0x1.0319a4b2fa3b2p-7, -0x1.f35ef7cc7d74fp-8, -0x1.e1316fdeebf15p-8, -0x1.cfa5482dafa0cp-8, -0x1.beb53faf81a0cp-8, -0x1.ae5c3b3314ad4p-8, -0x1.9e95447cf07adp-8, -0x1.8f5b8b4d09ad5p-8, -0x1.80aa671e69d9p-8, -0x1.727d57b8ebe42p-8, -0x1.64d0033987462p-8, -0x1.579e31bedd5e2p-8, -0x1.4ae3c8ad06a9cp-8, -0x1.3e9cc80b13626p-8, -0x1.32c54b7e96c51p-8, -0x1.27598e366e71cp-8, -0x1.1c55ef08e3cc4p-8, -0x1.11b6f18f03cdfp-8, -0x1.07793a902a889p-8, -0x1.fb3311b5126dcp-9, -0x1.e8295c1d55781p-9, -0x1.d5cf16ade2f07p-9, -0x1.c41e2819247c7p-9, -0x1.b310a9d005bf5p-9, -0x1.a2a0f6fbbd8dap-9, -0x1.92c9b2709df48p-9, -0x1.8385be7c061e4p-9, -0x1.74d0293c40ebep-9, -0x1.66a416fbef656p-9, -0x1.58fcb5e08f5ap-9, -0x1.4bd541ccac6d7p-9, -0x1.3f2916c8b0a7fp-9, -0x1.32f3c829ea58cp-9, -0x1.27312f9f1a105p-9, -0x1.1bdd6b22153c9p-9, -0x1.10f4c994b795p-9, -0x1.0673aee0caf31p-9, -0x1.f8acfa2095268p-10, -0x1.e5331b50d7541p-10, -0x1.d2727d337ab34p-10, -0x1.c0641874d8a18p-10, -0x1.af01561d530acp-10, -0x1.9e442881ebcb7p-10, -0x1.8e26fd0b94204p-10, -0x1.7ea48d9b9f258p-10, -0x1.6fb7a71cbd81ap-10, -0x1.615afede536e1p-10, -0x1.5389291e6c612p-10, -0x1.463cb3f6962f8p-10, -0x1.397058ada6792p-10, -0x1.2d1f2a8a5e0edp-10, -0x1.2144acce40c88p-10, -0x1.15dcc87d8e3ep-10, -0x1.0ae3aadfe8014p-10, -0x1.00559ca3bf30dp-10, -0x1.ec5dc000214cfp-11, -0x1.d8d741ce064a2p-11, -0x1.c60ffbd19b8c7p-11, -0x1.b4004b6d56b2p-11, -0x1.a2a0ee813481p-11, -0x1.91eb20241bf1bp-11, -0x1.81d88b8b7e6f2p-11, -0x1.726335a17d2a4p-11, -0x1.63857759411e8p-11, -0x1.5539f9e8eea6ep-11, -0x1.477b9b0396711p-11, -0x1.3a4546b01387p-11, -0x1.2d91f0b7299e8p-11, -0x1.215cb2414356fp-11, -0x1.15a0d5b04eb88p-11, -0x1.0a59a8826ad52p-11, -0x1.ff048816cb801p-12, -0x1.ea2b55469154bp-12, -0x1.d61e80762f733p-12, -0x1.c2d65439a182cp-12, -0x1.b04c60dfec50cp-12, -0x1.9e7aa714f47e9p-12, -0x1.8d5b345192978p-12, -0x1.7ce867f0f9044p-12, -0x1.6d1cf96cc35e9p-12, -0x1.5df311d122f1ap-12, -0x1.4f632f9b54b9cp-12, -0x1.416453389226cp-12, -0x1.33edd8040ec8cp-12, -0x1.26f9663c58365p-12, -0x1.1a83116a4d5c9p-12, -0x1.0e87c9e4d78a8p-12, -0x1.030434e11a3d4p-12, -0x1.efea1dddb038ap-13, -0x1.daafc1ea9af54p-13, -0x1.c654c37612758p-13, -0x1.b2d159af8842p-13, -0x1.a0184ca1d4121p-13, -0x1.8e1926fd96d04p-13, -0x1.7cc5c88d5d0bbp-13, -0x1.6c1673ce4e328p-13, -0x1.5c08599c5a1c6p-13, -0x1.4c98e3c18567fp-13, -0x1.3dc3c25d1055p-13, -0x1.2f850fbc918ep-13, -0x1.21db27ffccc17p-13, -0x1.14c4e5b8f24b5p-13, -0x1.083df08d860efp-13, -0x1.f87a1cb72285dp-14, -0x1.e16bc288d0f68p-14, -0x1.cb39e8965e011p-14, -0x1.b5d752d99a272p-14, -0x1.a140e0f62a839p-14, -0x1.8d75afdaae6adp-14, -0x1.7a710b29da70ep-14, -0x1.682cc737445c7p-14, -0x1.56a65448ff0cdp-14, -0x1.45ddd855d7c3p-14, -0x1.35cfab64706a5p-14, -0x1.2672255fdfdf4p-14, -0x1.17b8e9e615303p-14, -0x1.0996d0ba36741p-14, -0x1.f7fe1ccf42cd1p-15, -0x1.ddd15add70904p-15, -0x1.c4a1ec54a9e2p-15, -0x1.ac706291624f5p-15, -0x1.953864d80f317p-15, -0x1.7ef156fd05b69p-15, -0x1.6998e791d5943p-15, -0x1.552ec26984b44p-15, -0x1.41a7e179d46ffp-15, -0x1.2ef49223b1317p-15, -0x1.1d0b7ff276825p-15, -0x1.0be7c2ec7acaep-15, -0x1.f6ff72ba28747p-16, -0x1.d782d7ea4a3a9p-16, -0x1.b93a73d80f6abp-16, -0x1.9c270d40828d2p-16, -0x1.80522086c249dp-16, -0x1.65ae3bbcf5277p-16, -0x1.4c33a5280a0fap-16, -0x1.33e55757a4859p-16, -0x1.1cb0f49fb8456p-16, -0x1.067bf8a250e3ep-16, -0x1.e2728a934b798p-17, -0x1.b9d4d612e27bcp-17, -0x1.932cc09eb486cp-17, -0x1.6e7117d0d7908p-17, -0x1.4b645bc244be3p-17, -0x1.29c1b62d1227ap-17, -0x1.099a1adfb112ep-17, -0x1.d608d9c0a876p-18, -0x1.9bbde541a47ddp-18, -0x1.6460e57c50a14p-18, -0x1.2fec123c60301p-18, -0x1.fc162abca014p-19, -0x1.9d0e72486ec31p-19, -0x1.429c8e35783edp-19, -0x1.d97c31215b5p-20, -0x1.372dd38b7d142p-20, -0x1.3d32859c31375p-21, -0x1.ea563a01a256p-25, 0x1.e1a6316f22dbdp-22, 0x1.f2c25c7452441p-21, 0x1.728e4be42998bp-20, 0x1.e4bb9e277fc13p-20, 0x1.27dcccd566164p-19, 0x1.59ab77b9436ffp-19, 0x1.884ed26bb72e2p-19, 0x1.b406ebac3f8fcp-19, 0x1.dcde7a193b9fbp-19, 0x1.01719033cfb08p-18, 0x1.1312edc865a7dp-18, 0x1.2353bf3f4214bp-18, 0x1.322fa6950048p-18, 0x1.3fa68e02e0716p-18, 0x1.4be12d115777fp-18, 0x1.5713a2a6f2fp-18, 0x1.612699155068dp-18, 0x1.6a3d7aae8c5cap-18, 0x1.72300ca33dc7p-18, 0x1.791365ee1cefcp-18, 0x1.7f10e1e73298cp-18, 0x1.842eb560a83dfp-18, 0x1.886e6261125fp-18, 0x1.8bd52b8e71eaap-18, 0x1.8e6b3fbe49a01p-18, 0x1.90394f4e329c8p-18, 0x1.9145757aa81d8p-18, 0x1.919483be744e1p-18, 0x1.911f1cc8d0bacp-18, 0x1.8fef5b99263fcp-18, 0x1.8e2a95ddcd46cp-18, 0x1.8bdc12ae0530ep-18, 0x1.88f0b33202355p-18, 0x1.85642f22f4bccp-18, 0x1.8157874940446p-18, 0x1.7cceacf2fc982p-18, 0x1.77cab69f5ae1bp-18, 0x1.724fcf0c70314p-18, 0x1.6c62dede10d36p-18, 0x1.66092344af66bp-18, 0x1.5f48e43de27f3p-18, 0x1.58289cb321052p-18, 0x1.50ae197d770e2p-18, 0x1.48dc1a13a8eb3p-18, 0x1.40a44b30517dp-18, 0x1.381e43d117cd9p-18, 0x1.2f60bca8a4b9fp-18, 0x1.2657f3191de58p-18, 0x1.1d05b7bbf0598p-18, 0x1.137ca052c3afbp-18, 0x1.09bcfd52767f7p-18, 0x1.ff90ecc17400fp-19, 0x1.eb4535babbdd6p-19, 0x1.d69e52ece3a38p-19, 0x1.c1a30c4d5f04ep-19, 0x1.ac5a12a91b4a3p-19, 0x1.96cb45c8b67cap-19, 0x1.80ff13fa21c28p-19, 0x1.6afc901adbef5p-19, 0x1.54cabe841493bp-19, 0x1.3e5de752caddep-19, }}, 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      {{0x1.ff8b08c9341c8p-1, 0x1.fe2cfdf0926b4p-1, 0x1.fbe866ec7e55cp-1, 0x1.f8c15feb83cffp-1, 0x1.f4bd77cea5168p-1, 0x1.efe38825d4a24p-1, 0x1.ea3b8a40ec95ap-1, 0x1.e3ce6b946bc03p-1, 0x1.dca5e30969d35p-1, 0x1.d4cc484d7a1e8p-1, 0x1.cc4c6dd35964fp-1, 0x1.c3317dea9aff8p-1, 0x1.b986db1de661ap-1, 0x1.af5803e07b41cp-1, 0x1.a4b07978d4c2dp-1, 0x1.999baa049663ap-1, 0x1.8e24dd66f2796p-1, 0x1.825724eca6282p-1, 0x1.763d4d6e07e1ep-1, 0x1.69e1d3b76e0aap-1, 0x1.5d4edb0184b2dp-1, 0x1.508e2545892b2p-1, 0x1.43a90d3c47ed3p-1, 0x1.36a881d9f5eecp-1, 0x1.2995031c49c5ap-1, 0x1.1c76a00386fc6p-1, 0x1.0f54f59256fa6p-1, 0x1.02372eb352ec3p-1, 0x1.ea4809cbfb6ebp-2, 0x1.d043832f32b1ep-2, 0x1.b66c801d803c7p-2, 0x1.9ccddfa60415ep-2, 0x1.8371aef7d7b31p-2, 0x1.6a612fa9cdab2p-2, 0x1.51a4de8a72541p-2, 0x1.39447ada659a5p-2, 0x1.21470dd6571b3p-2, 0x1.09b2f278f1d9dp-2, 0x1.e51bbabf910f6p-3, 0x1.b7b9c981cd431p-3, 0x1.8b4910c1fd1d8p-3, 0x1.5fd172f8cf9fep-3, 0x1.3559c52e0ba9ap-3, 0x1.0be7de522f9e9p-3, 0x1.c7014c8203065p-4, 0x1.785048be8e88bp-4, 0x1.2bc31b90eb545p-4, 0x1.c2bd4c0e43b9ap-5, 0x1.324cb4e26bc79p-5, 0x1.4c71570e3ced6p-6, 0x1.e82efd565304ep-9, -0x1.93542798b0c93p-7, -0x1.c7a3d91c0fc98p-6, -0x1.5e7857f99d6cp-5, -0x1.d4ceb8d89c6cbp-5, -0x1.236e915535d1ap-4, -0x1.5a5695df1895cp-4, -0x1.8f24e596ea0acp-4, -0x1.c1df9c625ae6dp-4, -0x1.f28d6760d86bdp-4, -0x1.109abb58c1d99p-3, -0x1.26efb80a8f491p-3, -0x1.3c49b13160544p-3, -0x1.50acdce30b0afp-3, -0x1.641d9a5ee8e3bp-3, -0x1.76a06ce8a2593p-3, -0x1.8839f6f9f87b4p-3, -0x1.98eef5c720636p-3, -0x1.a8c43d11688fap-3, -0x1.b7beb343ef18cp-3, -0x1.c5e34dd66480dp-3, -0x1.d3370df1f3dddp-3, -0x1.dfbefd5489af1p-3, -0x1.eb802b6efc8fep-3, -0x1.f67faaba906cp-3, -0x1.00614721565d1p-2, -0x1.0526f3afc5e47p-2, -0x1.099361cf8a3ccp-2, -0x1.0da9156c7d54bp-2, -0x1.116a8eb5bd69dp-2, -0x1.14da494f273c9p-2, -0x1.17fabb94a884cp-2, -0x1.1ace55ee5b49bp-2, -0x1.1d57823453b9dp-2, -0x1.1f98a32122bbep-2, -0x1.219413d21a04ep-2, -0x1.234c275471d5p-2, -0x1.24c3283e75577p-2, -0x1.25fb5853efb9bp-2, -0x1.26f6f03518079p-2, -0x1.27b81f174afeap-2, -0x1.28410a86e984ap-2, -0x1.2893ce31bc1ccp-2, -0x1.28b27bb945d14p-2, -0x1.289f1a8c78f49p-2, -0x1.285ba7c84e2eap-2, -0x1.27ea161eb9749p-2, -0x1.274c4dc38da58p-2, -0x1.26842c5ede35fp-2, -0x1.25938504786f5p-2, -0x1.247c203012316p-2, -0x1.233fbbc5d0f71p-2, -0x1.21e00b16d8a3fp-2, -0x1.205eb6e98b752p-2, -0x1.1ebd5d8531336p-2, -0x1.1cfd92c0c1eadp-2, -0x1.1b20e0148b26cp-2, -0x1.1928c4ae78472p-2, -0x1.1716b588be9a9p-2, -0x1.14ec1d82b6438p-2, -0x1.12aa5d7bb1498p-2, -0x1.1052cc6f9b2f3p-2, -0x1.0de6b79536d3dp-2, -0x1.0b67627dd30b7p-2, -0x1.08d6073647c03p-2, -0x1.0633d66922196p-2, -0x1.0381f781ce67ep-2, -0x1.00c188d0b2a47p-2, -0x1.fbe73f601402dp-3, -0x1.f6329152e374bp-3, -0x1.f0670f3817b8cp-3, -0x1.ea86afc6327dep-3, -0x1.e49358f9fe792p-3, -0x1.de8ee0653a0dfp-3, -0x1.d87b0b7dbc399p-3, -0x1.d2598fecfc02dp-3, -0x1.cc2c13dfce736p-3, -0x1.c5f42e5642789p-3, -0x1.bfb367737be3ap-3, -0x1.b96b38cd778adp-3, -0x1.b31d0dbca36fbp-3, -0x1.acca43ab27bb2p-3, -0x1.a6742a63e251ap-3, -0x1.a01c0460ef2dp-3, -0x1.99c30719b8345p-3, -0x1.936a5b5075b3ap-3, -0x1.8d131d5f1ccf7p-3, -0x1.86be5d83a191dp-3, -0x1.806d202b8acc9p-3, -0x1.7a205e3ec7fddp-3, -0x1.73d90569c22b6p-3, -0x1.6d97f866a18ddp-3, -0x1.675e0f45b754ep-3, -0x1.612c17b50d467p-3, -0x1.5b02d547134f5p-3, -0x1.54e301b86156cp-3, -0x1.4ecd4d348b943p-3, -0x1.48c25e9a017b2p-3, -0x1.42c2d3bcfc855p-3, -0x1.3ccf41a96b80cp-3, -0x1.36e834e3ea369p-3, -0x1.310e31a9ae8ccp-3, -0x1.2b41b42f7bd8bp-3, -0x1.258330df8babbp-3, -0x1.1fd31496794c7p-3, -0x1.1a31c4df19de9p-3, -0x1.149fa02d57367p-3, -0x1.0f1cfe17fbc1fp-3, -0x1.09aa2f9179323p-3, -0x1.04477f1fa11b7p-3, -0x1.fdea6224aeea2p-4, -0x1.f36707727c323p-4, -0x1.e9055f3099e41p-4, -0x1.dec5cf36e275cp-4, -0x1.d4a8b2922a102p-4, -0x1.caae59e75f49p-4, -0x1.c0d70bd481b69p-4, -0x1.b723054fabedap-4, -0x1.ad927a03fa61ap-4, -0x1.a42594ac903ebp-4, -0x1.9adc776d7763p-4, -0x1.91b73c2a9f5f8p-4, -0x1.88b5f4dcd7f78p-4, -0x1.7fd8abe4d1524p-4, -0x1.771f645c3376ap-4, -0x1.6e8a1a64c1478p-4, -0x1.6618c375964eap-4, -0x1.5dcb4ea67c2bep-4, -0x1.55a1a4f96317bp-4, -0x1.4d9ba9a1fbe3ap-4, -0x1.45b93a4b7e616p-4, -0x1.3dfa2f5c9b7bcp-4, -0x1.365e5c39a69e7p-4, -0x1.2ee58f84f47cbp-4, -0x1.278f935d7da45p-4, -0x1.205c2d9bbf95bp-4, -0x1.194b200cedcb2p-4, -0x1.125c28ac6e775p-4, -0x1.0b8f01dbafd1cp-4, -0x1.04e3629857875p-4, -0x1.fcb1fd61ab41bp-5, -0x1.efdf0deebff5fp-5, -0x1.e34d52e6b1893p-5, -0x1.d6fc232260c21p-5, -0x1.caead0a175e06p-5, -0x1.bf18a8e41b6f1p-5, -0x1.b384f541c2293p-5, -0x1.a82efb3d05de4p-5, -0x1.9d15fcd4ba603p-5, -0x1.923938d232c51p-5, -0x1.8797eb14cc24cp-5, -0x1.7d314cdac9e2dp-5, -0x1.730495079578dp-5, -0x1.6910f86767061p-5, -0x1.5f55a9f068f1ap-5, -0x1.55d1db0167dc7p-5, -0x1.4c84bb9e11586p-5, -0x1.436d7aa8db6fep-5, -0x1.3a8b461a94a23p-5, -0x1.31dd4b37bb4b9p-5, -0x1.2962b6c394612p-5, -0x1.211ab5312185fp-5, -0x1.190472d1fa568p-5, -0x1.111f1c03137aep-5, -0x1.0969dd578ab5dp-5, -0x1.01e3e3c1795b9p-5, -0x1.f518b971c1c57p-6, -0x1.e6c4ecc17ddc2p-6, -0x1.d8cabf549d978p-6, -0x1.cb2890ed14b42p-6, -0x1.bddcc36bf2335p-6, -0x1.b0e5bb0d9b8ep-6, -0x1.a441dea2e012ap-6, -0x1.97ef97c6d92b4p-6, -0x1.8bed5311c982p-6, -0x1.80398048fff1cp-6, -0x1.74d2928be87aap-6, -0x1.69b7007e4599cp-6, -0x1.5ee5446fc8335p-6, -0x1.545bdc810a478p-6, -0x1.4a194ac5f868ep-6, -0x1.401c1565dc9f4p-6, -0x1.3662c6b9018fdp-6, -0x1.2cebed6416bbep-6, -0x1.23b61c715cdfdp-6, -0x1.1abfeb67b696ep-6, -0x1.1207f65facc06p-6, -0x1.098cde167f465p-6, -0x1.014d47ff47e6ep-6, -0x1.f28fbca4a18fbp-7, -0x1.e2f6a03548ea8p-7, -0x1.d3cca283e9b14p-7, -0x1.c50f3535bac4dp-7, -0x1.b6bbd3d32f3bfp-7, -0x1.a8d003d66bc87p-7, -0x1.9b4954b6dc0e3p-7, -0x1.8e255ff206e18p-7, -0x1.8161c911d2af5p-7, -0x1.74fc3db03a0f6p-7, -0x1.68f27578a7638p-7, -0x1.5d42322705963p-7, -0x1.51e93f84a4f09p-7, -0x1.46e573631367ap-7, -0x1.3c34ad94f86eep-7, -0x1.31d4d7e517a0ep-7, -0x1.27c3e60b8b475p-7, -0x1.1dffd5a14f1a6p-7, -0x1.1486ae123d6acp-7, -0x1.0b56808d8b613p-7, -0x1.026d67f4c9f3dp-7, -0x1.f39311935977dp-8, -0x1.e2d22234fbcbdp-8, -0x1.d29470dad499bp-8, -0x1.c2d67f556718cp-8, -0x1.b394e20bbdf2fp-8, -0x1.a4cc3fcbd1a7dp-8, -0x1.96795199366c8p-8, -0x1.8898e27a106a8p-8, -0x1.7b27cf4294714p-8, -0x1.6e23065f15649p-8, -0x1.6187879cc2262p-8, -0x1.555263f155478p-8, -0x1.4980bd41903d7p-8, -0x1.3e0fc626cc62fp-8, -0x1.32fcc1b3b06f8p-8, -0x1.28450338299ebp-8, -0x1.1de5ee04b4a43p-8, -0x1.13dcf52cf42a8p-8, -0x1.0a279b49f83a3p-8, -0x1.00c3723be8d89p-8, -0x1.ef5c35d711ed5p-9, -0x1.ddca8a168e30ep-9, -0x1.cccd5db06eef3p-9, -0x1.bc6049b5bae8cp-9, -0x1.ac7f034fdd1a3p-9, -0x1.9d255b4227da8p-9, -0x1.8e4f3d6b52585p-9, -0x1.7ff8b0475f5cdp-9, -0x1.721dd47197c27p-9, -0x1.64bae4272eee4p-9, -0x1.57cc32ca49ce1p-9, -0x1.4b4e2c65a8875p-9, -0x1.3f3d5530eb85dp-9, -0x1.33964915c34abp-9, -0x1.2855bb35bf8bep-9, -0x1.1d7875716295cp-9, -0x1.12fb57efda2f2p-9, -0x1.08db58a7d4369p-9, -0x1.fe2b05d300dc5p-10, -0x1.eb4dedd358a09p-10, -0x1.d919d29c50704p-10, -0x1.c7894576b910cp-10, -0x1.b696fec6095c1p-10, -0x1.a63ddd28fb8b6p-10, -0x1.9678e49c829cap-10, -0x1.87433da1c0b57p-10, -0x1.789834671aa91p-10, -0x1.6a7337f3720efp-10, -0x1.5ccfd95503985p-10, -0x1.4fa9cad2f8b2cp-10, -0x1.42fcdf220f8cfp-10, -0x1.36c5089cb02ebp-10, -0x1.2afe587d75d14p-10, -0x1.1fa4fe1d4ef44p-10, -0x1.14b54634944d4p-10, -0x1.0a2b9a1f59009p-10, -0x1.00047f24e7c04p-10, -0x1.ec792b85907b9p-11, -0x1.d9a131f444024p-11, -0x1.c77abb42242a9p-11, -0x1.b5ffa36d89914p-11, -0x1.a529f775e329dp-11, -0x1.94f3f411583f6p-11, -0x1.8558046828a82p-11, -0x1.7650c0d6585c6p-11, -0x1.67d8edb41e3cbp-11, -0x1.59eb7a240cc3bp-11, -0x1.4c837ee7dbe6dp-11, -0x1.3f9c3d3b8d702p-11, -0x1.33311db61e74fp-11, -0x1.273daf30634f1p-11, -0x1.1bbda5b21da31p-11, -0x1.10acd96506ddep-11, -0x1.0607458d7805ep-11, -0x1.f7920f13457aap-12, -0x1.e3dcbbac00eb1p-12, -0x1.d0e74e2dd17a9p-12, -0x1.beaac2520b137p-12, -0x1.ad20506cb95edp-12, -0x1.9c416ba2b46cp-12, -0x1.8c07c02a6ebc7p-12, -0x1.7c6d3197ce388p-12, -0x1.6d6bd9310615ep-12, -0x1.5efe044f4d11p-12, -0x1.511e32c95ece8p-12, -0x1.43c71567b5062p-12, -0x1.36f38c6380d44p-12, -0x1.2a9ea5ef48776p-12, -0x1.1ec39cc79f695p-12, -0x1.135dd6cedcc58p-12, -0x1.0868e3b180356p-12, -0x1.fbc0f7276ea96p-13, -0x1.e780fb8ef9cb3p-13, -0x1.d409df1976072p-13, -0x1.c153f5b1655aep-13, -0x1.af57da4b6b05ep-13, -0x1.9e0e6c97f357fp-13, -0x1.8d70cec45c123p-13, -0x1.7d78634c3be12p-13, -0x1.6e1ecad92c688p-13, -0x1.5f5de234259acp-13, -0x1.512fc043df872p-13, -0x1.438eb4184e6fep-13, -0x1.367543085e03p-13, -0x1.29de26da30d31p-13, -0x1.1dc44bfaf6e71p-13, -0x1.1222cfc36a61p-13, -0x1.06f4fec9ae7b3p-13, -0x1.f86ca67fd2a6cp-14, -0x1.e3c4e6bb5972p-14, -0x1.cfea5fb1122b4p-14, -0x1.bcd504cbe4aebp-14, -0x1.aa7d1892eac03p-14, -0x1.98db29df94142p-14, -0x1.87e81125e00b3p-14, -0x1.779cedd2f6635p-14, -0x1.67f323c1ea43bp-14, -0x1.58e458c26286dp-14, -0x1.4a6a723874407p-14, -0x1.3c7f92c92fc84p-14, -0x1.2f1e181e9d49p-14, -0x1.224098becb91fp-14, -0x1.15e1e1f0b1d67p-14, -0x1.09fcf5b619eebp-14, -0x1.fd1a11a7157a3p-15, -0x1.e71b01d73a386p-15, -0x1.d1f3e55425875p-15, -0x1.bd9c3ff74ee14p-15, -0x1.aa0becb16dc6fp-15, -0x1.973b1a3a6a57bp-15, -0x1.852247dc0d2f6p-15, -0x1.73ba425c39521p-15, -0x1.62fc20fcc5322p-15, -0x1.52e1429cb338bp-15, -0x1.43634aef45941p-15, -0x1.347c1fca89d2ep-15, -0x1.2625e691826dfp-15, -0x1.185b01b40db02p-15, -0x1.0b160e434b7e4p-15, -0x1.fca3c33ce5992p-16, -0x1.e4130e6c92771p-16, -0x1.cc707cc298e0bp-16, -0x1.b5b2f08ca6dabp-16, -0x1.9fd1abb89aa11p-16, -0x1.8ac44bf3eceaap-16, -0x1.7682c6efb07f2p-16, -0x1.630566cf2031p-16, -0x1.5044c6a616419p-16, -0x1.3e39cf3546a59p-16, -0x1.2cddb3adadf69p-16, -0x1.1c29ee99c8aeep-16, -0x1.0c183eeda4815p-16, -0x1.f9454a54e51fdp-17, -0x1.db86c1390146cp-17, -0x1.bee9d98915115p-17, -0x1.a363fd7dddff6p-17, -0x1.88eb05bc03358p-17, -0x1.6f7534a87da67p-17, -0x1.56f931e599d3ap-17, -0x1.3f6e05fbc4b45p-17, -0x1.28cb16455b38cp-17, -0x1.130820e576c8bp-17, -0x1.fc3a71ebef46bp-18, -0x1.d40585ed1d498p-18, -0x1.ad62e2493a44dp-18, -0x1.8844806725674p-18, -0x1.649ce81d2e135p-18, -0x1.425f297ba9a9bp-18, -0x1.217ed6d3e5a4fp-18, -0x1.01efff1d83d7cp-18, -0x1.c74e50e462f6dp-19, -0x1.8d329587029dfp-19, -0x1.5577962195e46p-19, -0x1.2008ecc989929p-19, -0x1.d9a5f57e60605p-20, -0x1.7785bf2ae2968p-20, -0x1.198ce1a87067p-20, -0x1.7f30c7b730aap-21, -0x1.a61a64b413645p-22, -0x1.737130a0c9186p-24, 0x1.bbab6d1be3a84p-23, 0x1.053a0ad5a837cp-21, 0x1.94b9765224091p-21, 0x1.0ed08c65d291p-20, 0x1.5013791dddeacp-20, 0x1.8e3f8e8c9cda5p-20, 0x1.c96df22ded16cp-20, 0x1.00db75e7ec43dp-19, 0x1.1b98f776b849dp-19, 0x1.34fad22f42f6ap-19, }}, 
      {{0x1.ffd9007c1f7cdp-1, 0x1.ff642dca02238p-1, 0x1.fea20a27a21a7p-1, 0x1.fd936aa8bde7ep-1, 0x1.fc39720d25f8bp-1, 0x1.fa958a88b5cb5p-1, 0x1.f8a95eeb21e52p-1, 0x1.f676d37c3d54p-1, 0x1.f3fffecc52816p-1, 0x1.f14722a73a306p-1, 0x1.ee4ea54b4d3a7p-1, 0x1.eb190afab7c29p-1, 0x1.e7a8eff57b3edp-1, 0x1.e40102e42e3f3p-1, 0x1.e023ffb6dd3dcp-1, 0x1.dc14aaf804fd8p-1, 0x1.d7d5cd912a12bp-1, 0x1.d36a30fce578dp-1, 0x1.ced49be120032p-1, 0x1.ca17cf0b83e4ep-1, 0x1.c53682c9db127p-1, 0x1.c0336497e30ecp-1, 0x1.bb11151c3363fp-1, 0x1.b5d2266df61b8p-1, 0x1.b0791a9d6ee63p-1, 0x1.ab0862798eb8ap-1, 0x1.a5825c8d2aeb6p-1, 0x1.9fe9544eb18e5p-1, 0x1.9a3f817d939dbp-1, 0x1.948707a8e7e35p-1, 0x1.8ec1f5db19219p-1, 0x1.88f24666bd5a4p-1, 0x1.8319ded101dc8p-1, 0x1.7d3a8fd65637bp-1, 0x1.7756158642d3ap-1, 0x1.716e17739c89fp-1, 0x1.6b8428f6784f3p-1, 0x1.6599c97d7e73ap-1, 0x1.5fb064ec6f971p-1, 0x1.59c95405df1ddp-1, 0x1.53e5dcde51d75p-1, 0x1.4e0733571c61bp-1, 0x1.482e799f89099p-1, 0x1.425cc0bae6681p-1, 0x1.3c93090a51099p-1, 0x1.36d242d9229a1p-1, 0x1.311b4eeb0c1d8p-1, 0x1.2b6eff0b088b2p-1, 0x1.25ce169a608f6p-1, 0x1.20394b1f19361p-1, 0x1.1ab144d13a975p-1, 0x1.15369f266be85p-1, 0x1.0fc9e95b7bd2bp-1, 0x1.0a6ba6fb71ad3p-1, 0x1.051c5063de943p-1, 0x1.ffb8a68c546aep-2, 0x1.f558264b4df4ap-2, 0x1.eb17d3a4863d1p-2, 0x1.e0f84fbf6e83p-2, 0x1.d6fa2a32308e9p-2, 0x1.cd1de1e17cecbp-2, 0x1.c363e5d8eb73p-2, 0x1.b9cc961beb699p-2, 0x1.b058446f41268p-2, 0x1.a707351b1e4ep-2, 0x1.9dd99fa5e8f1ep-2, 0x1.94cfaf87c86e1p-2, 0x1.8be984d7173e1p-2, 0x1.832734eddf9cp-2, 0x1.7a88cb08868adp-2, 0x1.720e48ddcff31p-2, 0x1.69b7a7306bc48p-2, 0x1.6184d65a36c45p-2, 0x1.5975bed15cc5ap-2, 0x1.518a41a794988p-2, 0x1.49c239039e24dp-2, 0x1.421d789539aafp-2, 0x1.3a9bce03c3451p-2, 0x1.333d0157ae778p-2, 0x1.2c00d55f02ce4p-2, 0x1.24e7080d1718ap-2, 0x1.1def52d5b188p-2, 0x1.17196b03bed34p-2, 0x1.1065020bc865ep-2, 0x1.09d1c5da5d0f1p-2, 0x1.035f611e8cbcdp-2, 0x1.fa1af72152cc4p-3, 0x1.edb7746ae0a71p-3, 0x1.e1937f3b89595p-3, 0x1.d5ae584639703p-3, 0x1.ca073c4198ecbp-3, 0x1.be9d645499a43p-3, 0x1.b370067d3f00cp-3, 0x1.a87e55f1e824fp-3, 0x1.9dc7837d559d7p-3, 0x1.934abdd5aad91p-3, 0x1.890731ee9d887p-3, 0x1.7efc0b47123b6p-3, 0x1.752874325f68bp-3, 0x1.6b8b961d584c9p-3, 0x1.622499cf65fc8p-3, 0x1.58f2a7a7d2c12p-3, 0x1.4ff4e7d76f4a8p-3, 0x1.472a8296d2d7p-3, 0x1.3e92a05940da7p-3, 0x1.362c69fc7c462p-3, 0x1.2df708f5905cbp-3, 0x1.25f1a77ad10a7p-3, 0x1.1e1b70ab1aabep-3, 0x1.167390b283672p-3, 0x1.0ef934ec9ce01p-3, 0x1.07ab8c0458c11p-3, 0x1.0089c611c23aep-3, 0x1.f326296b2001dp-4, 0x1.e58d5665773bap-4, 0x1.d8477d0c69fd9p-4, 0x1.cb530af97ecfcp-4, 0x1.beae718e37c2bp-4, 0x1.b258261928fp-4, 0x1.a64ea1f7e3fb1p-4, 0x1.9a9062b6124a5p-4, 0x1.8f1bea29a3ef9p-4, 0x1.83efbe8c7ab06p-4, 0x1.790a6a937b04ap-4, 0x1.6e6a7d834d1a1p-4, 0x1.640e8b42d8c74p-4, 0x1.59f52c6ba1e3fp-4, 0x1.501cfe582102p-4, 0x1.4684a3303423cp-4, 0x1.3d2ac1f3c30fap-4, 0x1.340e0683ad6adp-4, 0x1.2b2d21a91f485p-4, 0x1.2286c91b5e1dap-4, 0x1.1a19b78428271p-4, 0x1.11e4ac82b7785p-4, 0x1.09e66cad7f3e8p-4, 0x1.021dc192b4cb7p-4, 0x1.f512f36f6ba82p-5, 0x1.e650d12ebd6a6p-5, 0x1.d7f2cd3ebd49ap-5, 0x1.c9f6a25937dc1p-5, 0x1.bc5a150d6910cp-5, 0x1.af1af3b555bfbp-5, 0x1.a2371669963cbp-5, 0x1.95ac5ef3abf53p-5, 0x1.8978b8befa072p-5, 0x1.7d9a18c87a7fap-5, 0x1.720e7d8d3f083p-5, 0x1.66d3eef7dbf9ep-5, 0x1.5be87e4cc8bcbp-5, 0x1.514a4615cd62cp-5, 0x1.46f76a0c8d519p-5, 0x1.3cee170441a2p-5, 0x1.332c82d2b1fb8p-5, 0x1.29b0ec387b0ddp-5, 0x1.20799ac8b3e51p-5, 0x1.1784decffe0f8p-5, 0x1.0ed1113b0bd7p-5, 0x1.065c937cb0f6ep-5, 0x1.fc4b9ee6fa31ap-6, 0x1.ec566e9df22a8p-6, 0x1.dcd68ae91171ep-6, 0x1.cdc8f8c7fe454p-6, 0x1.bf2acd37da388p-6, 0x1.b0f92cfb6ce9cp-6, 0x1.a3314c62e7431p-6, 0x1.95d06f135197ap-6, 0x1.88d3e7cdb9031p-6, 0x1.7c391836274e3p-6, 0x1.6ffd709a72032p-6, 0x1.641e6fb8ef784p-6, 0x1.5899a28727a25p-6, 0x1.4d6ca3f87b0c7p-6, 0x1.42951cc4dc1bdp-6, 0x1.3810c32f9c07bp-6, 0x1.2ddd5ace5b005p-6, 0x1.23f8b45021263p-6, 0x1.1a60ad44af18fp-6, 0x1.11132fe40400fp-6, 0x1.080e32d631b51p-6, 0x1.fe9f71f6f14dcp-7, 0x1.edaba26973517p-7, 0x1.dd3d2c587f53p-7, 0x1.cd505c3de32bfp-7, 0x1.bde1954bc9436p-7, 0x1.aeed5100c286cp-7, 0x1.a0701ebcb028cp-7, 0x1.9266a3569ca07p-7, 0x1.84cd98b3979e6p-7, 0x1.77a1cd5e7a383p-7, 0x1.6ae02420d9aaep-7, 0x1.5e85939ce68d2p-7, 0x1.528f25e8792f3p-7, 0x1.46f9f82936307p-7, 0x1.3bc33a31d914cp-7, 0x1.30e82e20a10d4p-7, 0x1.266627fef5353p-7, 0x1.1c3a8d62329b5p-7, 0x1.1262d50db8808p-7, 0x1.08dc869627d13p-7, 0x1.ff4a740bc5518p-8, 0x1.ed752f059652ap-8, 0x1.dc34adea8864cp-8, 0x1.cb847f60edd26p-8, 0x1.bb605037b5a73p-8, 0x1.abc3eabc12c4dp-8, 0x1.9cab3611af6d4p-8, 0x1.8e12358d6b02ap-8, 0x1.7ff50812b717bp-8, 0x1.724fe7737f8e5p-8, 0x1.651f27d2a4cbcp-8, 0x1.585f37090bf55p-8, 0x1.4c0c9c0d3d0ap-8, 0x1.4023f65d9162dp-8, 0x1.34a1fd6cef39p-8, 0x1.298380120ed08p-8, 0x1.1ec563f94b885p-8, 0x1.1464a518f34d8p-8, 0x1.0a5e552821ab2p-8, 0x1.00af9b180cdabp-8, 0x1.eeab651fa65eap-9, 0x1.dc9bd6d57a137p-9, 0x1.cb2b5271dc878p-9, 0x1.ba54c58504948p-9, 0x1.aa13431a21db2p-9, 0x1.9a6202c71d5a1p-9, 0x1.8b3c5fc122706p-9, 0x1.7c9dd7f5c0701p-9, 0x1.6e820b28aaf2dp-9, 0x1.60e4ba1628b42p-9, 0x1.53c1c599d64ddp-9, 0x1.47152dda11d9p-9, 0x1.3adb1177b830ep-9, 0x1.2f0facc239795p-9, 0x1.23af58f01b6d1p-9, 0x1.18b68b5b9623p-9, 0x1.0e21d4c380359p-9, 0x1.03ede0905cb1dp-9, 0x1.f42ee83ae2f4ep-10, 0x1.e136dc0be7415p-10, 0x1.ceed8aec4b56dp-10, 0x1.bd4d1300c458ep-10, 0x1.ac4fc0ec07ff6p-10, 0x1.9bf00e882fe22p-10, 0x1.8c28a1a78a69bp-10, 0x1.7cf44adcf109dp-10, 0x1.6e4e044b2d8dfp-10, 0x1.6030f07b915e9p-10, 0x1.5298593b9e187p-10, 0x1.457fae818069ap-10, 0x1.38e285575431ap-10, 0x1.2cbc96ccfabap-10, 0x1.2109bef0b1303p-10, 0x1.15c5fbcdde056p-10, 0x1.0aed6c723dbbdp-10, 0x1.007c4ff941df1p-10, 0x1.ecde093b070f7p-11, 0x1.d9840da044e9cp-11, 0x1.c6e3e0ac20cc1p-11, 0x1.b4f6eed5f1c1cp-11, 0x1.a3b6dbd3d108ap-11, 0x1.931d80f6bb8e1p-11, 0x1.8324eb919c547p-11, 0x1.73c75b6aebfc2p-11, 0x1.64ff4138a57d2p-11, 0x1.56c73d263cfa4p-11, 0x1.491a1d64f7ecap-11, 0x1.3bf2dcc59631ap-11, 0x1.2f4ca15b8df46p-11, 0x1.2322bb29c715bp-11, 0x1.1770a2d86748p-11, 0x1.0c31f8739a292p-11, 0x1.01628232d284p-11, 0x1.edfc5691c1357p-12, 0x1.da02057861859p-12, 0x1.c6ce748eb4cecp-12, 0x1.b45a4a8319aa2p-12, 0x1.a29e6f1d9007ap-12, 0x1.9194092f5c853p-12, 0x1.81347c91869c7p-12, 0x1.7179683228a55p-12, 0x1.625ca42faf997p-12, 0x1.53d84001c53cbp-12, 0x1.45e680afce9a4p-12, 0x1.3881df14cea4cp-12, 0x1.2ba50630672cfp-12, 0x1.1f4ad1838179ep-12, 0x1.136e4b79f77e6p-12, 0x1.080aabdfba5aap-12, 0x1.fa36acc3c81dap-13, 0x1.e537b23695f61p-13, 0x1.d10fd65735f49p-13, 0x1.bdb6d6b2d42b9p-13, 0x1.ab24bd7dedb47p-13, 0x1.9951df01a6504p-13, 0x1.8836d71e323e7p-13, 0x1.77cc86dfb8dcp-13, 0x1.680c12257bcb5p-13, 0x1.58eedd5ca1ee8p-13, 0x1.4a6e8b4bf43fp-13, 0x1.3c84faf277681p-13, 0x1.2f2c4575ae7bdp-13, 0x1.225ebc1ffbdbp-13, 0x1.1616e6703955cp-13, 0x1.0a4f803808024p-13, 0x1.fe06ef943d808p-14, 0x1.e85bd86f1b631p-14, 0x1.d3945732dc48fp-14, 0x1.bfa762d53d59bp-14, 0x1.ac8c49db3aa2fp-14, 0x1.9a3aaf40d9b7ap-14, 0x1.88aa877bce3e3p-14, 0x1.77d415937b4efp-14, 0x1.67afe852f7d7bp-14, 0x1.5836d7926721bp-14, 0x1.49620196bf9cbp-14, 0x1.3b2ac888900c7p-14, 0x1.2d8ad0017f8adp-14, 0x1.207bfaa9dfd93p-14, 0x1.13f867eeb8eb8p-14, 0x1.07fa71c9d318ap-14, 0x1.f8f9553906c5ap-15, 0x1.e2f3b63e946dbp-15, 0x1.cdda00c323406p-15, 0x1.b9a293b12a772p-15, 0x1.a6442f0693ad4p-15, 0x1.93b5f0367d1c7p-15, 0x1.81ef4eae0088dp-15, 0x1.70e8187a6ef16p-15, 0x1.60986f0874fc6p-15, 0x1.50f8c3fe7a9a9p-15, 0x1.4201d63927f88p-15, 0x1.33acaedd7e5f9p-15, 0x1.25f29e876e65fp-15, 0x1.18cd3a9536029p-15, 0x1.0c365a864f59cp-15, 0x1.002815707cbe9p-15, 0x1.e9397f24c6f19p-16, 0x1.d31dcfed41966p-16, 0x1.bdf2ac5e5c75dp-16, 0x1.a9ae104e25346p-16, 0x1.9646600e414ddp-16, 0x1.83b26453606a4p-16, 0x1.71e9464e70514p-16, 0x1.60e28be4a2737p-16, 0x1.5096140aa217ep-16, 0x1.40fc13457c7d7p-16, 0x1.320d104e66c26p-16, 0x1.23c1e0cafdfc9p-16, 0x1.1613a62dae559p-16, 0x1.08fbcab27312cp-16, 0x1.f8e7fcebc8ca3p-17, 0x1.e0ec6954b40a2p-17, 0x1.c9f941d4e13cp-17, 0x1.b403694468853p-17, 0x1.9f003918ca76fp-17, 0x1.8ae57c9f8cdcep-17, 0x1.77a96c618df3fp-17, 0x1.6542a9b120634p-17, 0x1.53a83a67822c5p-17, 0x1.42d184d12d29dp-17, 0x1.32b64bb6c09b1p-17, 0x1.234eaa8d8a85fp-17, 0x1.149311d75fabbp-17, 0x1.067c439fdc809p-17, 0x1.f206a03ae3b15p-18, 0x1.d84324f006813p-18, 0x1.bfa15b5f95c4cp-18, 0x1.a815133a85ce1p-18, 0x1.9192a020ce118p-18, 0x1.7c0ed423df481p-18, 0x1.677efa7c2ede8p-18, 0x1.53d8d271b96d7p-18, 0x1.41128a80eabcfp-18, 0x1.2f22bbb0cfed6p-18, 0x1.1e00650ed8216p-18, 0x1.0da2e75d5c57cp-18, 0x1.fc0401dbfded6p-19, 0x1.de2b936562edfp-19, 0x1.c1ad5eccd31fcp-19, 0x1.a67ae3d4e6c8ep-19, 0x1.8c863f985e52ep-19, 0x1.73c225c85253ep-19, 0x1.5c21da3a33ac4p-19, 0x1.45992ab2a14cfp-19, 0x1.301c6908ddc2bp-19, 0x1.1ba06574f3912p-19, 0x1.081a691eedd8ap-19, 0x1.eb0061e2e9748p-20, 0x1.c78fd13aa29ccp-20, 0x1.a5d04b9f69861p-20, 0x1.85afc7304d14bp-20, 0x1.671cfc06efc26p-20, 0x1.4a075bede9372p-20, 0x1.2e5f0a432a3b4p-20, 0x1.1414d443d69ffp-20, 0x1.f6345396c0fc3p-21, 0x1.c6c22c5e087ddp-21, 0x1.99b873101143dp-21, 0x1.6efd8457d0e69p-21, 0x1.4678cd17a800dp-21, 0x1.2012bea0d1879p-21, 0x1.f76986a53069bp-22, 0x1.b292678dc7679p-22, 0x1.7176995f04b53p-22, 0x1.33ee49672be44p-22, 0x1.f3a68c9b0a31ap-23, 0x1.8601db207abf9p-23, 0x1.1ea83519290eep-23, 0x1.7aac57bf28abfp-24, 0x1.872c2ea0323e4p-25, 0x1.7917a78fefffbp-28, -0x1.13b1585f22a6dp-25, -0x1.211ac2484a8bep-24, -0x1.aea2984d36f8bp-24, -0x1.196ccf0c3de93p-23, -0x1.571288e5d9107p-23, -0x1.907316d066b3ap-23, -0x1.c5bd2a0a6d034p-23, -0x1.f71d9d0f24abp-23, -0x1.125fc386531bfp-22, -0x1.276627c5f0a31p-22, -0x1.3ab5e03297757p-22, -0x1.4c620b96a5fb6p-22, -0x1.5c7d0b2538521p-22, -0x1.6b188a327262p-22, -0x1.784585cd74578p-22, -0x1.8414541ae8464p-22, -0x1.8e94ab2f0431dp-22, -0x1.97d5a7888dbe5p-22, -0x1.9fe5d28e58724p-22, -0x1.a6d32882ca9b7p-22, -0x1.acab1e33bf2a5p-22, -0x1.b17aa6a3cf36ap-22, -0x1.b54e381709f8bp-22, -0x1.b831d12997078p-22, -0x1.ba30fd9f07d98p-22, -0x1.bb56dad5fdc7fp-22, -0x1.bbae1c356bd95p-22, -0x1.bb410f48208d2p-22, -0x1.ba199fd3463acp-22, -0x1.b8415b85261f2p-22, -0x1.b5c175a71c257p-22, -0x1.b2a2ca86b2df5p-22, -0x1.aeede2d14b05p-22, -0x1.aaaaf6b96a6d4p-22, -0x1.a5e1f0f1508f9p-22, -0x1.a09a719fea555p-22, -0x1.9adbd10d59196p-22, -0x1.94ad2261681f3p-22, }}, 
      std::vector<double>(450, 0.0), 
      {{0x1.040a6b61b2488p-7, 0x1.0547f9c3e74a8p-6, 0x1.8af1b4763d554p-6, 0x1.0a04d0f555063p-5, 0x1.50b64dab37a78p-5, 0x1.99e4989417685p-5, 0x1.e5cf7145e4a9fp-5, 0x1.1a4fe0a127623p-4, 0x1.433484961a915p-4, 0x1.6d95a1728c8bap-4, 0x1.996a825294374p-4, 0x1.c6a2df9264bbap-4, 0x1.f527fde93de57p-4, 0x1.126ee21ab4fd5p-3, 0x1.2ad1e0e74e513p-3, 0x1.43ab10c866542p-3, 0x1.5ce743c7508e2p-3, 0x1.76726c4d96f0dp-3, 0x1.9037f5de6c2e4p-3, 0x1.aa23131aca7dep-3, 0x1.c41f0198f4b51p-3, 0x1.de174436d8e4ap-3, 0x1.f7f7d49f814cdp-3, 0x1.08d6a66128439p-2, 0x1.1592847d19e05p-2, 0x1.2226a1cee65ap-2, 0x1.2e8a955497a7bp-2, 0x1.3ab67813e33c6p-2, 0x1.46a2eafce0622p-2, 0x1.52491ac26cc5ep-2, 0x1.5da2c1ea7a1d6p-2, 0x1.68aa2952cf9dfp-2, 0x1.735a276177781p-2, 0x1.7dae1e12f41ffp-2, 0x1.87a1f81386a2ep-2, 0x1.9132250c5c31dp-2, 0x1.9a5b95493c7a4p-2, 0x1.a31bb4d788a16p-2, 0x1.ab70663baca69p-2, 0x1.b357fcd6ec4fp-2, 0x1.bad137145ed89p-2, 0x1.c1db38711fd29p-2, 0x1.c87583713dbf7p-2, 0x1.ce9ff39083073p-2, 0x1.d45ab73c29f02p-2, 0x1.d9a649e0913cap-2, 0x1.de836e144d7ccp-2, 0x1.e2f327e8643a6p-2, 0x1.e6f6b76407001p-2, 0x1.ea8f9330f2901p-2, 0x1.edbf637c65d9p-2, 0x1.f087fd0fb3315p-2, 0x1.f2eb5ca280747p-2, 0x1.f4eba2681335fp-2, 0x1.f68b0dd853af7p-2, 0x1.f7cbf9b49b85fp-2, 0x1.f8b0d847f2b86p-2, 0x1.f93c2fe1e72c5p-2, 0x1.f970978ad7bc4p-2, 0x1.f950b3f0431aap-2, 0x1.f8df34876dba7p-2, 0x1.f81ed0e487447p-2, 0x1.f71246444b44fp-2, 0x1.f5bc55460cddp-2, 0x1.f41fbfd3ff5b1p-2, 0x1.f23f473787e5cp-2, 0x1.f01daa5766985p-2, 0x1.edbda41d78ad8p-2, 0x1.eb21ea01eb53fp-2, 0x1.e84d2ab9b6573p-2, 0x1.e5420d064054dp-2, 0x1.e2032ea42d709p-2, 0x1.de932357518fap-2, 0x1.daf47411e8ea5p-2, 0x1.d7299e35421f9p-2, 0x1.d33512ea176e8p-2, 0x1.cf19368eee3abp-2, 0x1.cad8603aeca44p-2, 0x1.c674d9539c733p-2, 0x1.c1f0dd3434e61p-2, 0x1.bd4e98e51457cp-2, 0x1.b8902ae21fe11p-2, 0x1.b3b7a2eee1db6p-2, 0x1.aec701f73bc1dp-2, 0x1.a9c039fbafdfbp-2, 0x1.a4a52e0833702p-2, 0x1.9f77b234b05c5p-2, 0x1.9a398bae4f413p-2, 0x1.94ec70c8be8d7p-2, 0x1.8f920916bb5acp-2, 0x1.8a2bed8926d0dp-2, 0x1.84bba894000f8p-2, 0x1.7f42b658aedacp-2, 0x1.79c284d50ad1p-2, 0x1.743c74169c8cfp-2, 0x1.6eb1d6719ae9dp-2, 0x1.6923f0bb37c8fp-2, 0x1.6393fa86cdf3cp-2, 0x1.5e031e658e77ep-2, 0x1.58727a2857b9fp-2, 0x1.52e31f235eb9ap-2, 0x1.4d5612735d1f8p-2, 0x1.47cc4d44028cap-2, 0x1.4246bd17633d4p-2, 0x1.3cc6440e266dep-2, 0x1.374bb93045e2p-2, 0x1.31d7e8b621dcbp-2, 0x1.2c6b9451c0a37p-2, 0x1.270773781185ap-2, 0x1.21ac33aa04ca6p-2, 0x1.1c5a78bd5e91cp-2, 0x1.1712dd251ca34p-2, 0x1.11d5f23957db5p-2, 0x1.0ca4407e82de1p-2, 0x1.077e47ebf0f3cp-2, 0x1.026480318e2f9p-2, 0x1.faaeb1f96cd17p-3, 0x1.f0ae74783037cp-3, 0x1.e6c908c52f8bbp-3, 0x1.dcff2152443fcp-3, 0x1.d351629ec55efp-3, 0x1.c9c063b6b102bp-3, 0x1.c04caeaf6e0eap-3, 0x1.b6f6c1222e1d8p-3, 0x1.adbf0ca3ce311p-3, 0x1.a4a5f73a3626dp-3, 0x1.9babdbcf360e5p-3, 0x1.92d10aa0c45bbp-3, 0x1.8a15c9aeb1315p-3, 0x1.817a5525ba841p-3, 0x1.78fedfc80baadp-3, 0x1.70a393531a43ap-3, 0x1.686890e2f58cfp-3, 0x1.604df152f0721p-3, 0x1.5853c59bc6d68p-3, 0x1.507a172f29046p-3, 0x1.48c0e850c41c1p-3, 0x1.4128346cbeb94p-3, 0x1.39aff06bc5f41p-3, 0x1.32580b049681bp-3, 0x1.2b206d0b21a03p-3, 0x1.2408f9bd49671p-3, 0x1.1d118f0d40cd1p-3, 0x1.163a05e99c953p-3, 0x1.0f82328315228p-3, 0x1.08e9e49011d46p-3, 0x1.0270e78df6e15p-3, 0x1.f82e06009e644p-4, 0x1.ebb7f55ba8028p-4, 0x1.df7f1db6c96a8p-4, 0x1.d382f909da6b1p-4, 0x1.c7c2fb28aa375p-4, 0x1.bc3e922cf4cb7p-4, 0x1.b0f526dc7f27p-4, 0x1.a5e61d0b82d49p-4, 0x1.9b10d3fb76d07p-4, 0x1.9074a6b6424dp-4, 0x1.8610ec6604409p-4, 0x1.7be4f8a970cbap-4, 0x1.71f01be4e8e1ap-4, 0x1.6831a3905a73fp-4, 0x1.5ea8da8202a23p-4, 0x1.555509362548cp-4, 0x1.4c357613ceb03p-4, 0x1.434965aeb5e28p-4, 0x1.3a901b0652a5bp-4, 0x1.3208d7c23c37fp-4, 0x1.29b2dc6be3cd9p-4, 0x1.218d68a5c019dp-4, 0x1.1997bb5ffba78p-4, 0x1.11d1130ab8a7p-4, 0x1.0a38adc5ffa7cp-4, 0x1.02cdc98f669cdp-4, 0x1.f71f48db108b9p-5, 0x1.e8faf932b03ebp-5, 0x1.db2d214accc69p-5, 0x1.cdb43f464cc5cp-5, 0x1.c08ed28c898ffp-5, 0x1.b3bb5c0c3ea8p-5, 0x1.a7385e7ae12cp-5, 0x1.9b045e90706c6p-5, 0x1.8f1de33fee1fep-5, 0x1.838375ec91e84p-5, 0x1.7833a29bd2315p-5, 0x1.6d2cf8246e0acp-5, 0x1.626e085a7cea1p-5, 0x1.57f56838b6a53p-5, 0x1.4dc1b006f9a02p-5, 0x1.43d17b7e36f1p-5, 0x1.3a2369e9d3402p-5, 0x1.30b61e46a0488p-5, 0x1.27883f5f776a7p-5, 0x1.1e9877e798249p-5, 0x1.15e57692de28p-5, 0x1.0d6dee2be1adbp-5, 0x1.053095a818ea5p-5, 0x1.fa5850741f7e6p-6, 0x1.eabecac3941c1p-6, 0x1.db9221f6c10d2p-6, 0x1.cccfe697e6095p-6, 0x1.be75b219ea248p-6, 0x1.b08126ebeca73p-6, 0x1.a2eff089da67bp-6, 0x1.95bfc38a2cedcp-6, 0x1.88ee5da8fa164p-6, 0x1.7c7985d06d8afp-6, 0x1.705f0c1ed4df3p-6, 0x1.649cc9ea460f7p-6, 0x1.5930a1c218ae1p-6, 0x1.4e187f6e3a307p-6, 0x1.435257ec7d05ep-6, 0x1.38dc296c016f4p-6, 0x1.2eb3fb46cc7f3p-6, 0x1.24d7ddf9a3c7ap-6, 0x1.1b45eb1a4caadp-6, 0x1.11fc454c4033cp-6, 0x1.08f91833e945cp-6, 0x1.003a98688510cp-6, 0x1.ef7e06c97734bp-7, 0x1.df093eec01168p-7, 0x1.cf1377559bb0cp-7, 0x1.bf995f7fa3399p-7, 0x1.b097b81840111p-7, 0x1.a20b52d8d8687p-7, 0x1.93f1125ae153bp-7, 0x1.8645e9eb083d4p-7, 0x1.7906dd5ae05b7p-7, 0x1.6c3100d12ee5cp-7, 0x1.5fc1789901aabp-7, 0x1.53b578ef916eep-7, 0x1.480a45d11d1dcp-7, 0x1.3cbd32c4d018bp-7, 0x1.31cba2a7c9bc5p-7, 0x1.2733077766e6dp-7, 0x1.1cf0e21ad9be3p-7, 0x1.1302c22c20092p-7, 0x1.096645c07fcb4p-7, 0x1.001919308fa17p-7, 0x1.ee31edbfb032p-8, 0x1.dcc74e086262ap-8, 0x1.cbedfed9b41d4p-8, 0x1.bba1c692d903dp-8, 0x1.abde85e15a7aep-8, 0x1.9ca0374e9fdd2p-8, 0x1.8de2eecd6c459p-8, 0x1.7fa2d94789f2bp-8, 0x1.71dc3c2b901f2p-8, 0x1.648b74faf7f23p-8, 0x1.57acf8d8a12fep-8, 0x1.4b3d5417b9b47p-8, 0x1.3f3929cb39d7p-8, 0x1.339d3355ea6fep-8, 0x1.28663ffb3c4ap-8, 0x1.1d913470c0052p-8, 0x1.131b0a7076fc4p-8, 0x1.0900d04c05a2dp-8, 0x1.fe7f5101971f5p-9, 0x1.eba99299f00a7p-9, 0x1.d97af88b5cbfep-9, 0x1.c7ee3bdc3daf3p-9, 0x1.b6fe3a9fabffap-9, 0x1.a6a5f7284312ap-9, 0x1.96e0973d5304fp-9, 0x1.87a9635278cd1p-9, 0x1.78fbc5c1a979ep-9, 0x1.6ad34a07bd845p-9, 0x1.5d2b9c03cc24dp-9, 0x1.50008738cddf3p-9, 0x1.434df6121db5dp-9, 0x1.370ff12a9a859p-9, 0x1.2b429e968d234p-9, 0x1.1fe24130569a9p-9, 0x1.14eb37e7c1f75p-9, 0x1.0a59fd1438a5bp-9, 0x1.002b25c9b8c33p-9, 0x1.ecb6c26179529p-10, 0x1.d9ceefc1aa6bep-10, 0x1.c798967c2caf2p-10, 0x1.b60da9b2d561dp-10, 0x1.a5284ba74efbp-10, 0x1.94e2cc8754e9cp-10, 0x1.8537a93dfd048p-10, 0x1.76218a4b10765p-10, 0x1.679b429fb9429p-10, 0x1.599fce80ed16p-10, 0x1.4c2a526fb0698p-10, 0x1.3f361a1636e4p-10, 0x1.32be973b14598p-10, 0x1.26bf60b975d29p-10, 0x1.1b34317f22019p-10, 0x1.1018e78fcaeefp-10, 0x1.0569830d5fe88p-10, 0x1.f6444a8bd45ep-11, 0x1.e27e1f8d10d4ap-11, 0x1.cf7946e6eb0bp-11, 0x1.bd2ebf4b74fa8p-11, 0x1.ab97c29a4d56cp-11, 0x1.9aadc42f4e0ap-11, 0x1.8a6a6f3aecda5p-11, 0x1.7ac7a5244dc47p-11, 0x1.6bbf7bf579a96p-11, 0x1.5d4c3cd0649d3p-11, 0x1.4f68626d0debep-11, 0x1.420e97a17d494p-11, 0x1.3539b5f24a0d3p-11, 0x1.28e4c42c76783p-11, 0x1.1d0af5084a1c4p-11, 0x1.11a7a5d389b46p-11, 0x1.06b65d258d0d2p-11, 0x1.f865933598846p-12, 0x1.e4318131ee0d9p-12, 0x1.d0c87a37cfe4dp-12, 0x1.be22bd11a018ap-12, 0x1.ac38cf14dad5p-12, 0x1.9b0379e8d1f54p-12, 0x1.8a7bc95c756a2p-12, 0x1.7a9b094b1108ep-12, 0x1.6b5ac390bf9e5p-12, 0x1.5cb4be09806ebp-12, 0x1.4ea2f8a154316p-12, 0x1.411fab7079eecp-12, 0x1.342544e50f1a4p-12, 0x1.27ae67faf826bp-12, 0x1.1bb5ea7f5b913p-12, 0x1.1036d35fb2fefp-12, 0x1.052c59073ae4fp-12, 0x1.f523bf8cca5eep-13, 0x1.e0c5f08db7dd5p-13, 0x1.cd36bc18088aep-13, 0x1.ba6debf9dbd81p-13, 0x1.a86399f1e0c47p-13, 0x1.97102cf1c6d1ep-13, 0x1.866c5671bcc2p-13, 0x1.76710fd9ba62dp-13, 0x1.6717980062f9bp-13, 0x1.585970bbf3794p-13, 0x1.4a305c8259eb1p-13, 0x1.3c965c2275e5bp-13, 0x1.2f85ac8a12e9fp-13, 0x1.22f8c49ff2a81p-13, 0x1.16ea532e93fe6p-13, 0x1.0b553ce0f3befp-13, 0x1.00349a4b516bp-13, 0x1.eb076c0f99c7cp-14, 0x1.d67c15c2743d2p-14, 0x1.c2be8417e2667p-14, 0x1.afc662de80429p-14, 0x1.9d8bb3f9c243bp-14, 0x1.8c06cc279afdp-14, 0x1.7b304fe445ff5p-14, 0x1.6b01306aa68a6p-14, 0x1.5b72a8c9d1832p-14, 0x1.4c7e3b155be97p-14, 0x1.3e1dadb00919fp-14, 0x1.304b08ac7ab3ep-14, 0x1.2300933fc13ccp-14, 0x1.1638d1500d1dcp-14, 0x1.09ee811835566p-14, 0x1.fc3931bab34a7p-15, 0x1.e57c89740775fp-15, 0x1.cf9dc8ff0a508p-15, 0x1.ba941350ddf2ap-15, 0x1.a656eab2008d9p-15, 0x1.92de2cf2e72d4p-15, 0x1.80220fba39ae9p-15, 0x1.6e1b1cf63d8c8p-15, 0x1.5cc22f703da17p-15, 0x1.4c106f80aa3e5p-15, 0x1.3bff4fe1b96b2p-15, 0x1.2c888a9815f23p-15, 0x1.1da61e04b7c35p-15, 0x1.0f524a0bbc322p-15, 0x1.01878d54f6d43p-15, 0x1.e881455b4ab3p-16, 0x1.cef0fcfc13044p-16, 0x1.b65498b37701fp-16, 0x1.9ea2d9489d229p-16, 0x1.87d2e49e34e76p-16, 0x1.71dc4166273e1p-16, 0x1.5cb6d2e9f88e3p-16, 0x1.485ad50c9c4abp-16, 0x1.34c0d87578b37p-16, 0x1.21e1beda2183p-16, 0x1.0fb6b76fe6c39p-16, 0x1.fc7276fb7057fp-17, 0x1.dac6163a50be7p-17, 0x1.ba5c542976888p-17, 0x1.9b29b99e3acd9p-17, 0x1.7d234af821ad5p-17, 0x1.603e8291f7f7dp-17, 0x1.44714b7414d58p-17, 0x1.29b1fc340355fp-17, 0x1.0ff7520e41133p-17, 0x1.ee70d88bcddeap-18, 0x1.bed98f421d80cp-18, 0x1.9118743aed0f5p-18, 0x1.651dddb60a6b7p-18, 0x1.3adac457d8fa2p-18, 0x1.1240bba1b19fp-18, 0x1.d683d56dfc616p-19, 0x1.8ba20b118686bp-19, 0x1.43c28c84dde73p-19, 0x1.fd999bd9ef0cdp-20, 0x1.79526ea587b24p-20, 0x1.f50464bc7fbd2p-21, 0x1.01fa859c361b2p-21, 0x1.93343e5c02d64p-25, -0x1.8b4471ee1c70ap-22, -0x1.9ad3cb04b7924p-21, -0x1.3356392f0c331p-20, -0x1.94ba3c19adb41p-20, -0x1.f1b8c79d6a214p-20, -0x1.2539bcc8399e2p-19, -0x1.4f8561b5353edp-19, -0x1.77cefc07b6041p-19, -0x1.9e25acfb5971p-19, -0x1.c29813dc8a87ap-19, -0x1.e534541f183edp-19, -0x1.03040da096045p-18, -0x1.129053314ff46p-18, -0x1.214563b210893p-18, -0x1.2f297503ba86fp-18, -0x1.3c428c5358a01p-18, -0x1.489680493a11bp-18, -0x1.542afb4c6be51p-18, -0x1.5f057d717bbdcp-18, -0x1.692b5e69670a3p-18, -0x1.72a1cf571f1ep-18, -0x1.7b6ddc8ab66f9p-18, -0x1.83946f1980a54p-18, -0x1.8b1a4e72392f7p-18, -0x1.920421d893cbp-18, -0x1.985671b20c8adp-18, -0x1.9e15a8ed66a59p-18, -0x1.a346162efebe9p-18, -0x1.a7ebed0147a16p-18, -0x1.ac0b46edb9807p-18, -0x1.afa824873b073p-18, -0x1.b2c66e64da82ap-18, -0x1.b569f60a11365p-18, -0x1.b79676d47b755p-18, -0x1.b94f96c11ea13p-18, -0x1.ba98e73579a28p-18, -0x1.bb75e5bc5164fp-18, -0x1.bbe9fcb9d5fdcp-18, -0x1.bbf8840672ec5p-18, -0x1.bba4c19542cbp-18, -0x1.baf1ea039734cp-18, -0x1.b9e3211ad5d67p-18, -0x1.b87b7a5de274cp-18, }}, 
      {{0x1.ffb4a1fd728e6p-1, 0x1.fed62db9ceddp-1, 0x1.fd6e145e5a8b3p-1, 0x1.fb89544649cfdp-1, 0x1.f936ca0df2885p-1, 0x1.f685fb437452ep-1, 0x1.f3863de8af3ebp-1, 0x1.f046263f80a2ap-1, 0x1.ecd32953eb55p-1, 0x1.e93966a720462p-1, 0x1.e5838e782db6fp-1, 0x1.e1badc96eb6fap-1, 0x1.dde72196921ccp-1, 0x1.da0ed5b32c888p-1, 0x1.d63731e6502d5p-1, 0x1.d2644c8df733p-1, 0x1.ce9937ba56811p-1, 0x1.cad81fc053d06p-1, 0x1.c7226916d79d1p-1, 0x1.c378ccd49d162p-1, 0x1.bfdb736017c5fp-1, 0x1.bc4a0d0fafa0fp-1, 0x1.b8c3e899b35ecp-1, 0x1.b548074b5c043p-1, 0x1.b1d52f0f6e4e8p-1, 0x1.ae69fa58eda8p-1, 0x1.ab04e60e477e4p-1, 0x1.a7a45d9652abfp-1, 0x1.a446c52b44b46p-1, 0x1.a0ea8298d6122p-1, 0x1.9d8e048ac8e65p-1, 0x1.9a2fc8901812dp-1, 0x1.96ce5ff5a2b01p-1, 0x1.9368739947fap-1, 0x1.8ffcc6d4579e3p-1, 0x1.8c8a399a02c0cp-1, 0x1.890fc9e439421p-1, 0x1.858c948724994p-1, 0x1.81ffd5814504dp-1, 0x1.7e68e7dc1915fp-1, 0x1.7ac7452f45867p-1, 0x1.771a84d6475dbp-1, 0x1.73625ae707e13p-1, 0x1.6f9e96f600bcbp-1, 0x1.6bcf22b327a49p-1, 0x1.67f40069727ebp-1, 0x1.640d496988737p-1, 0x1.601b2c670afadp-1, 0x1.5c1debcedf5e6p-1, 0x1.5815dc1be7915p-1, 0x1.5403622ecf626p-1, 0x1.4fe6f1acc3036p-1, 0x1.4bc10b68466ecp-1, 0x1.47923bd6c1284p-1, 0x1.435b1994d282ap-1, 0x1.3f1c43fb06c57p-1, 0x1.3ad661c423b51p-1, 0x1.368a1fc5de0bfp-1, 0x1.32382fbc8a939p-1, 0x1.2de1472a09c11p-1, 0x1.29861e480167p-1, 0x1.25276f0d3e018p-1, 0x1.20c5f445f4958p-1, 0x1.1c6268be73013p-1, 0x1.17fd867fbe522p-1, 0x1.1398061d7c2e9p-1, 0x1.0f329e147d8cfp-1, 0x1.0ace02392e7f4p-1, 0x1.066ae3352a6d4p-1, 0x1.0209ee1328e68p-1, 0x1.fb5797b0f79e7p-2, 0x1.f2a242569e33ep-2, 0x1.e9f51c09c534dp-2, 0x1.e1515adde7443p-2, 0x1.d8b82a9729c5ep-2, 0x1.d02aac4d6b701p-2, 0x1.c7a9f621434d8p-2, 0x1.bf3713018bf27p-2, 0x1.b6d302802b524p-2, 0x1.ae7eb8b4d1c12p-2, 0x1.a63b1e2c7a11ap-2, 0x1.9e090fe48b2cep-2, 0x1.95e95f5085a05p-2, 0x1.8ddcd2693a163p-2, 0x1.85e423c4918ccp-2, 0x1.7e0002b5076fep-2, 0x1.7631136fffd72p-2, 0x1.6e77ef3a2ba2p-2, 0x1.66d524994cbb5p-2, 0x1.5f49378aa31bbp-2, 0x1.57d4a1bd6d74bp-2, 0x1.5077d2d0e2439p-2, 0x1.493330951eac7p-2, 0x1.4207174e8ea74p-2, 0x1.3af3d9fb58a03p-2, 0x1.33f9c29a66f31p-2, 0x1.2d191273ae803p-2, 0x1.265202615983cp-2, 0x1.1fa4c3198b79ep-2, 0x1.19117d7871faap-2, 0x1.129852ca63a87p-2, 0x1.0c395d15d1614p-2, 0x1.05f4af64d6aep-2, 0x1.ff94ac1c72ffap-3, 0x1.f374adfb57dd5p-3, 0x1.e78963f665e34p-3, 0x1.dbd2c1e308a94p-3, 0x1.d050b066990b9p-3, 0x1.c5030d7e72187p-3, 0x1.b9e9ad0566d8ap-3, 0x1.af0459368053p-3, 0x1.a452d32cca9dfp-3, 0x1.99d4d36031dfep-3, 0x1.8f8a0a1f4262bp-3, 0x1.85722005c591fp-3, 0x1.7b8cb6702cef9p-3, 0x1.71d967ebbcec4p-3, 0x1.6857c8a3725cfp-3, 0x1.5f0766c99c63ep-3, 0x1.55e7cafe2d72ap-3, 0x1.4cf878b1c0bf7p-3, 0x1.4438ee855a583p-3, 0x1.3ba8a6a6dd6b9p-3, 0x1.3347172a4ec67p-3, 0x1.2b13b25fe1c3ap-3, 0x1.230de726d4f41p-3, 0x1.1b35213d36403p-3, 0x1.1388c98c92e7ep-3, 0x1.0c0846739ed0cp-3, 0x1.04b2fc0ce134dp-3, 0x1.fb1098e4fea7bp-4, 0x1.ed0f2ffe43432p-4, 0x1.df607b182d40bp-4, 0x1.d2033559634cap-4, 0x1.c4f617ce0c2f7p-4, 0x1.b837d9d408bdbp-4, 0x1.abc7318217f3ep-4, 0x1.9fa2d40a12fedp-4, 0x1.93c97616523e5p-4, 0x1.8839cc226a699p-4, 0x1.7cf28acf5dfa7p-4, 0x1.71f2673369394p-4, 0x1.67381725864a5p-4, 0x1.5cc25184d20dep-4, 0x1.528fce7beaf9ep-4, 0x1.489f47c07427p-4, 0x1.3eef78ced74d9p-4, 0x1.357f1f2269c3dp-4, 0x1.2c4cfa6a12918p-4, 0x1.2357ccb993e7dp-4, 0x1.1a9e5ab7947c8p-4, 0x1.121f6bc888cdep-4, 0x1.09d9ca369a0a2p-4, 0x1.01cc4356aa43cp-4, 0x1.f3eb4f55194cep-5, 0x1.e4a996012d935p-5, 0x1.d5d109213eb84p-5, 0x1.c75f5e2d0fc88p-5, 0x1.b95251d4dbce2p-5, 0x1.aba7a82d31265p-5, 0x1.9e5d2cd67e285p-5, 0x1.9170b320838cfp-5, 0x1.84e01629cf691p-5, 0x1.78a938fb7a70ap-5, 0x1.6cca06a14ff87p-5, 0x1.6140723e8b481p-5, 0x1.560a771f5476p-5, 0x1.4b2618c726521p-5, 0x1.409162fc473cp-5, 0x1.364a69d07437dp-5, 0x1.2c4f49a6ea39dp-5, 0x1.229e2737ef71cp-5, 0x1.19352f91fa7d9p-5, 0x1.10129818a1bb3p-5, 0x1.07349e8168e56p-5, 0x1.fd33119d26a8cp-6, 0x1.ec7f4a902ec4fp-6, 0x1.dc4a94e595c3fp-6, 0x1.cc91ae0bd2b89p-6, 0x1.bd5163be20811p-6, 0x1.ae8693e98532cp-6, 0x1.a02e2c8f2a03fp-6, 0x1.92452ba42a6a6p-6, 0x1.84c89eef09915p-6, 0x1.77b5a3e2f7ae1p-6, 0x1.6b09677919278p-6, 0x1.5ec12607e77e3p-6, 0x1.52da2b18e0bbep-6, 0x1.4751d13ca67d3p-6, 0x1.3c2581dda3cdfp-6, 0x1.3152b5117223dp-6, 0x1.26d6f1690264ap-6, 0x1.1cafcbbfb9d15p-6, 0x1.12dae709a118ap-6, 0x1.0955f420b1877p-6, 0x1.001eb1916656bp-6, 0x1.ee65d6cd5b10cp-7, 0x1.dd20f5ea85c41p-7, 0x1.cc6a8d4d30672p-7, 0x1.bc3e8386b4cbdp-7, 0x1.ac98d87b49d21p-7, 0x1.9d75a4f5f40b4p-7, 0x1.8ed11a3c2e977p-7, 0x1.80a781a1577dcp-7, 0x1.72f53c1a05809p-7, 0x1.65b6c1cf77467p-7, 0x1.58e8a1b330f4fp-7, 0x1.4c878112bcfa8p-7, 0x1.40901b2bf21f7p-7, 0x1.34ff40c19baf6p-7, 0x1.29d1d7b0a0041p-7, 0x1.1f04da85dede4p-7, 0x1.14955814b467fp-7, 0x1.0a80730e3d4e7p-7, 0x1.00c361997620cp-7, 0x1.eeb6d9d885849p-8, 0x1.dc8be1cabcb86p-8, 0x1.cb00b74e972ffp-8, 0x1.ba105a68c006dp-8, 0x1.a9b5ee17aabd3p-8, 0x1.99ecb78fffdabp-8, 0x1.8ab01d7b68269p-8, 0x1.7bfba739c1252p-8, 0x1.6dcafc24b41aep-8, 0x1.6019e2d5db34ep-8, 0x1.52e4406f77a81p-8, 0x1.462617e7c2e8ap-8, 0x1.39db8956d6314p-8, 0x1.2e00d1473f265p-8, 0x1.22924809623bfp-8, 0x1.178c61096afa2p-8, 0x1.0cebaa2814257p-8, 0x1.02accb1624e5ep-8, 0x1.f199096575afdp-9, 0x1.de8f60d8a8bc9p-9, 0x1.cc367f491ad11p-9, 0x1.ba88762d80725p-9, 0x1.a97f8482c8e74p-9, 0x1.991615a43ddddp-9, 0x1.8946c0294558p-9, 0x1.7a0c44c89d574p-9, 0x1.6b618d411c88fp-9, 0x1.5d41ab47c9caep-9, 0x1.4fa7d77b622bfp-9, 0x1.428f705d43476p-9, 0x1.35f3f94fc26c4p-9, 0x1.29d119999c1fap-9, 0x1.1e229b6eb174fp-9, 0x1.12e46afe0c7a4p-9, 0x1.0812958500f0ep-9, 0x1.fb5290ce9936ap-10, 0x1.e749a09875039p-10, 0x1.d4033081d2885p-10, 0x1.c17851bec24f1p-10, 0x1.afa24ef4e99dfp-10, 0x1.9e7aaa9cf203bp-10, 0x1.8dfb1d6d5ef03p-10, 0x1.7e1d94ced5bc8p-10, 0x1.6edc31597bce5p-10, 0x1.6031455b382cfp-10, 0x1.521753670c535p-10, 0x1.44890ced2d8b3p-10, 0x1.378150dbc3ce5p-10, 0x1.2afb2a48103f8p-10, 0x1.1ef1cf1fe6f78p-10, 0x1.13609ee35b7fap-10, 0x1.08432166eec9fp-10, 0x1.fb2a0b39fdcb2p-11, 0x1.e6a440cec2fcbp-11, 0x1.d2ecd6e10b95cp-11, 0x1.bffc08188129cp-11, 0x1.adca543fd6369p-11, 0x1.9c507e2318d02p-11, 0x1.8b87897c7a5b5p-11, 0x1.7b68b8eedae65p-11, 0x1.6bed8c0e82a19p-11, 0x1.5d0fbd768ae46p-11, 0x1.4ec940eb98de5p-11, 0x1.4114418b5964ep-11, 0x1.33eb20088dacap-11, 0x1.274870f3f98c2p-11, 0x1.1b26fb105a9fep-11, 0x1.0f81b5b2d3fbcp-11, 0x1.0453c72e719a6p-11, 0x1.f3310696722d6p-12, 0x1.de96d39163af2p-12, 0x1.cad049d43a47ep-12, 0x1.b7d5101c298b2p-12, 0x1.a59d1c9fd407dp-12, 0x1.9420b267060a9p-12, 0x1.83585eb650fcep-12, 0x1.733cf68c7f389p-12, 0x1.63c79433c80bdp-12, 0x1.54f194e4f15bdp-12, 0x1.46b4967c228c4p-12, 0x1.390a7540b5f07p-12, 0x1.2bed49bbaf081p-12, 0x1.1f5766a015589p-12, 0x1.134356c326511p-12, 0x1.07abdb2456908p-12, 0x1.f917d20b0411cp-13, 0x1.e3bd502255eadp-13, 0x1.cf3ee11de95bep-13, 0x1.bb93934ed8514p-13, 0x1.a8b2cf69a1491p-13, 0x1.969455447a3ep-13, 0x1.853038afe2f17p-13, 0x1.747ede65bd9d4p-13, 0x1.6478f91525a1bp-13, 0x1.55178683e8bap-13, 0x1.4653ccc8b33e1p-13, 0x1.3827579e84116p-13, 0x1.2a8bf5c985b9ep-13, 0x1.1d7bb69564481p-13, 0x1.10f0e7675493p-13, 0x1.04e61164dccd7p-13, 0x1.f2abee5db07cfp-14, 0x1.dc7725636a0adp-14, 0x1.c7242607b853fp-14, 0x1.b2a9b4b578028p-14, 0x1.9efef81f452d8p-14, 0x1.8c1b756c22a86p-14, 0x1.79f70c88ed696p-14, 0x1.6889f49796badp-14, 0x1.57ccb87b7283ep-14, 0x1.47b83389fd58bp-14, 0x1.38458e546d607p-14, 0x1.296e3b906470ap-14, 0x1.1b2bf51fb523p-14, 0x1.0d78b92e906cdp-14, 0x1.004ec76ba4f04p-14, 0x1.e7513cbde1746p-15, 0x1.cf01f1a86a63fp-15, 0x1.b7a596bf60583p-15, 0x1.a13283f7d18efp-15, 0x1.8b9f7b798d742p-15, 0x1.76e3a526b48b8p-15, 0x1.62f68a5ee9c01p-15, 0x1.4fd011de6a699p-15, 0x1.3d687bca8266ep-15, 0x1.2bb85de3d409cp-15, 0x1.1ab89fe0d6295p-15, 0x1.0a6277e1afabdp-15, 0x1.f55ece219cebcp-16, 0x1.d7326cc48e93ap-16, 0x1.ba33e6e0c2aep-16, 0x1.9e57dafaec21cp-16, 0x1.839365254a527p-16, 0x1.69dc196d69b1ap-16, 0x1.5127fe880d83ap-16, 0x1.396d88bc0846ap-16, 0x1.22a394f4e55e9p-16, 0x1.0cc1640eb448cp-16, 0x1.ef7d2cb10651fp-17, 0x1.c7264e84cabb7p-17, 0x1.a06ed25adb576p-17, 0x1.7b4802ed2701cp-17, 0x1.57a3c95620ee3p-17, 0x1.3574a5bacd5b9p-17, 0x1.14ada84eed89cp-17, 0x1.ea84d55aac1d7p-18, 0x1.ae4e12e61e484p-18, 0x1.74a03c14e6fe8p-18, 0x1.3d6571bf5783ep-18, 0x1.0888b7840d35ap-18, 0x1.abebd21772441p-19, 0x1.4b335fa5b0c09p-19, 0x1.dd85e5917456ap-20, 0x1.2cedb82cf01e6p-20, 0x1.08b33e2da904dp-21, -0x1.c785888b79647p-24, -0x1.6b8f39e0d2fcbp-21, -0x1.47d136f8da87dp-20, -0x1.d2cfe74da1bccp-20, -0x1.2b7e215e2501bp-19, -0x1.6a4666745dda1p-19, -0x1.a5db09108816dp-19, -0x1.de555fd79f007p-19, -0x1.09e6eeabc8529p-18, -0x1.232e0d9f2661bp-18, -0x1.3b0b726017011p-18, -0x1.518a2040ee702p-18, -0x1.66b4bd08fb0e9p-18, -0x1.7a95957a9daebp-18, -0x1.8d36a1a1a9f6dp-18, -0x1.9ea188d0a2485p-18, -0x1.aedfa57d15584p-18, -0x1.bdfa08ee0bfa8p-18, -0x1.cbf97ea972336p-18, -0x1.d8e68fba1b645p-18, -0x1.e4c985c7bc274p-18, -0x1.efaa6e111b523p-18, -0x1.f9911c34ff74bp-18, -0x1.014296636e80bp-17, -0x1.054703e9fc256p-17, -0x1.08d9719e2b847p-17, -0x1.0bfd6273ae7b7p-17, -0x1.0eb6426d2fcdfp-17, -0x1.1107679b8c80fp-17, -0x1.12f4130d9b206p-17, -0x1.147f71aecb89ep-17, -0x1.15ac9d1ad7914p-17, -0x1.167e9c67a1b32p-17, -0x1.16f864def477p-17, -0x1.171cdaadda91bp-17, -0x1.16eed18d867e9p-17, -0x1.16710d5bcbf4ap-17, -0x1.15a642b48d56dp-17, -0x1.1491177490383p-17, -0x1.1334233c1dd89p-17, -0x1.1191efeb3489bp-17, -0x1.0facfa0feb60cp-17, -0x1.0d87b15004b55p-17, -0x1.0b2478d08dfd7p-17, -0x1.0885a78c91d48p-17, -0x1.05ad88b3e0a82p-17, -0x1.029e5bf914ebdp-17, -0x1.feb4abb9978a7p-18, -0x1.f7c73feb4ac1fp-18, -0x1.f078b269f9508p-18, -0x1.e8cd2c42e34b8p-18, -0x1.e0c8c227a7e04p-18, -0x1.d86f74dbfba66p-18, -0x1.cfc53191c509ep-18, -0x1.c6cdd2559b09ap-18, -0x1.bd8d1e5e918b7p-18, -0x1.b406ca62a7c14p-18, -0x1.aa3e78e4242e8p-18, -0x1.a037ba7cbce66p-18, -0x1.95f60e1ba683bp-18, -0x1.8b7ce14a4e9bcp-18, -0x1.80cf906b9b5f7p-18, -0x1.75f166e75c65cp-18, -0x1.6ae59f6b70d6p-18, -0x1.5faf6418d81cbp-18, -0x1.5451ceb32fc49p-18, -0x1.48cfe8cc615bdp-18, -0x1.3d2cabf0b2101p-18, -0x1.316b01cd180f3p-18, -0x1.258dc4549978ep-18, -0x1.1997bded9f5f1p-18, -0x1.0d8ba98a1924fp-18, -0x1.016c32cd1e4ebp-18, -0x1.ea77ec5eb98ddp-19, -0x1.d1fb023cd0892p-19, -0x1.b966a42c40631p-19, -0x1.a0bfb18c592b8p-19, -0x1.880aec59b032p-19, -0x1.6f4cf96283615p-19, -0x1.568a60912828bp-19, }}, 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
    }}, 
    {
      29, 0x1.dc28f5c28f5c3p+1, 0x1.530a07545811cp+1, 0x1.c409e10e6cebcp+0, -0x1.ec8b9ea3b07d3p-9, 
      {{
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.35ec1f6623bedp-7, -0x1.1ec3eeaaa7da4p-5, 0x1.7bc8b0e92568ep-5, -0x1.7f7e49e1f3c76p-6}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.004570853209fp-7, -0x1.f4733bc9044a5p-6, 0x1.5f059e91ccb9cp-5, -0x1.7f95a204f179cp-6}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.a347f747262bap-8, -0x1.b11f645392eadp-6, 0x1.4240cc04a104p-5, -0x1.7f384178f96e8p-6}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.52e8f8ab130c9p-8, -0x1.738bd07e6f76bp-6, 0x1.2582fa4ec181ep-5, -0x1.80966b85cdfc8p-6}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.0e475c5eb0033p-8, -0x1.3bba6d519b967p-6, 0x1.08aae57185424p-5, -0x1.765fd3527d6bep-6}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.a87a81c130b97p-9, -0x1.099a3f1852846p-6, 0x1.d92dd196aae7dp-6, -0x1.60944383a861bp-6}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.47593970deff5p-9, -0x1.b9dba215c419p-7, 0x1.a44ac7761e727p-6, -0x1.4c84de5fbf8e2p-6}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.ee19bca74c0a5p-10, -0x1.6ac98ce36b1f8p-7, 0x1.726a0c815b507p-6, -0x1.37fe759fb7cf2p-6}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.6b2d9e29c2ae7p-10, -0x1.256265c06c417p-7, 0x1.439d7adc99577p-6, -0x1.2397f0a54427ep-6}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.022f950819cb3p-10, -0x1.d2120a89b9618p-8, 0x1.17e049f70251bp-6, -0x1.0f28e0309b427p-6}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.5f3fbe5314028p-11, -0x1.6a413b5b94272p-8, 0x1.de6783df6fa97p-7, -0x1.f57833be6a3dbp-7}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.c0f5eaf632d51p-12, -0x1.121892663a4acp-8, 0x1.932f15b612ec6p-7, -0x1.cc9d6cf5f1d2ap-7}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.041898ef7044ap-12, -0x1.90bca1f16778ap-9, 0x1.4e1778912ea6ep-7, -0x1.a3c2fa7da1f74p-7}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.f366064730099p-14, -0x1.17b169def0b4fp-9, 0x1.0f209fcb2327bp-7, -0x1.7ae870ea5df98p-7}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.092d07f1a68f8p-15, -0x1.6d37f44827175p-10, 0x1.ac951db65d51cp-8, -0x1.520def72c696dp-7}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.81b0b896383e1p-16, -0x1.ac233f72963ep-11, 0x1.472a8913ee8b4p-8, -0x1.293364a769088p-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.b82c2d10411bp-15, -0x1.942340d8fb369p-12, 0x1.dc0308f69e106p-9, -0x1.0058f70f77689p-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.0aef371f047ap-14, -0x1.536811535b74ep-14, 0x1.42340e53bcd24p-9, -0x1.aefc3bfb4ffdep-8}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.05938d564e0ap-14, 0x1.e4c5705eb16e3p-14, 0x1.81d0c57716712p-10, -0x1.5d49ab3fa8d86p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.c166242c0a38p-15, 0x1.d3357efa37e75p-13, 0x1.607c57082f135p-11, -0x1.0b8b6bd7fc523p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.5a2373844aecp-15, 0x1.0fff0ba244873p-12, 0x1.f6ea26b66b1f4p-15, -0x1.73f18b705d57ap-9}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.de1dd0ea791p-16, 0x1.ffeea3a9b12bdp-13, -0x1.7f77c8e33c3b1p-12, -0x1.9f0da495aaca2p-10}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.2400b36d4c8p-16, 0x1.9a55dd215851ep-13, -0x1.3c3ffc381e268p-11, -0x1.7ed4d16115b41p-12}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.33de53e0d73ffp-17, 0x1.1617cc245254dp-13, -0x1.58f658b8ffc76p-11, 0x1.030c6a4ea3f98p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.10e2f70c06bc8p-18, 0x1.374d49951eeb4p-14, -0x1.0b3f6c07ce967p-11, 0x1.7930bef5af453p-10}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.852d4e14810c6p-20, 0x1.1d887a8bea2abp-15, -0x1.342e657c34043p-12, 0x1.0153c2bdd5e2fp-10}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.827d058e8efd4p-22, 0x1.92fc9395e403bp-17, -0x1.3391e147cdc31p-13, 0x1.62181318a2991p-11}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.66023a945976p-25, 0x1.435c2d5f287f7p-19, -0x1.7c7424174a6cfp-15, 0x1.1fec0ae2af724p-12}, 
        {0x1.d99999999999ap+1, 0x1.dc28f5c28f5c3p+1, -0x1.315f9f413ep-32, -0x1.1ebdae337d4cp-24, -0x1.1793eb6d58a8p-18, 0x1.02abdd78b20ebp-9}, 
      }}, 
      -0x1.fc16a8519ffa5p-4, 0x1.258ac56b0e763p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.55d45e94d0e9ep-1, 0x1.634c4870546fap-1, 0x1.75af886f569c4p-1, 0x1.8953e360584c5p-1, 0x1.9b2897475071ap-1, 0x1.a8f54ac10a2e7p-1, 0x1.b15868103a00bp-1, 0x1.b3a8deab0e6cep-1, 0x1.afced8d736d3dp-1, 0x1.a61cec11c99bdp-1, 0x1.972dd92459068p-1, 0x1.83c83993e44e6p-1, 0x1.6cc82c4cb64cdp-1, 0x1.530e749534142p-1, 0x1.377444fb3ee84p-1, 0x1.1ac2ead7e2f3p-1, 0x1.fb5d350cc38b6p-2, 0x1.c1a75c9895bccp-2, 0x1.896b7dcf47701p-2, 0x1.538027d12f1dp-2, 0x1.208e0090d3e3bp-2, 0x1.e227513d516fep-3, 0x1.8ad486c708a22p-3, 0x1.3b947e791e209p-3, 0x1.e9404fc3e2d0bp-4, 0x1.6c03197c90e2ep-4, 0x1.fe70ab3f2c85cp-5, 0x1.44d20b95ab744p-5, 0x1.53b6971012cb7p-6, 0x1.5f9fc5e772514p-8, -0x1.b58a8194dddf5p-8, -0x1.000ac90b35bdfp-6, -0x1.641b99a0fac68p-6, -0x1.9db11c37cd57dp-6, -0x1.b0e474bd436d5p-6, -0x1.a1bc054db00ap-6, -0x1.741f1050485d3p-6, -0x1.2bcc5bffd63afp-6, -0x1.98a6c41ca1ed2p-7, -0x1.643e7df34af1dp-8, 0x1.56d2d37e396d8p-9, 0x1.78fccc99c2f39p-7, 0x1.592922fab7484p-6, 0x1.fe5f622f7a4dbp-6, 0x1.54ee70f716254p-5, 0x1.acc93eab15edp-5, 0x1.02e8fe6c985e2p-4, 0x1.2f99637a73588p-4, 0x1.5c164f2cdf9e3p-4, 0x1.880b0553b9c1ep-4, 0x1.b32cda9b9b9fcp-4, 0x1.dd3a82e0f430dp-4, 0x1.02fdb13a1371ep-3, 0x1.169f72094fb1fp-3, 0x1.296dea70eb295p-3, 0x1.3b57e3adc329p-3, 0x1.4c4f3ee83a3fcp-3, 0x1.5c48ae75bb0d9p-3, 0x1.6b3b73369ab5fp-3, 0x1.79211e17f825fp-3, 0x1.85f555afc39fcp-3, 0x1.91b59fdbd168fp-3, 0x1.9c612f40a99fbp-3, 0x1.a5f8b47e54333p-3, 0x1.ae7e32ec9a361p-3, 0x1.b5f4d8ac3b299p-3, 0x1.bc60d9dcb2b79p-3, 0x1.c1c74ec695c1ap-3, 0x1.c62e14c808e83p-3, 0x1.c99bb1de0c4c2p-3, 0x1.cc173a96bed75p-3, 0x1.cda83a4e4ca67p-3, 0x1.ce569d89fd53p-3, 0x1.ce2a9e4e948e3p-3, 0x1.cd2cb25647f5p-3, 0x1.cb657af7a0268p-3, 0x1.c8ddb6b4553cap-3, 0x1.c59e343682569p-3, 0x1.c1afc6c1f6d24p-3, 0x1.bd1b3bda12ae6p-3, 0x1.b7e9522b23048p-3, 0x1.b222b174dc8e8p-3, 0x1.abcfe38ec845ep-3, 0x1.a4f94e3c840efp-3, 0x1.9da72dfb5ae1ap-3, 0x1.95e1916e637a4p-3, 0x1.8db055ae377bdp-3, 0x1.851b2308d1e5ap-3, 0x1.7c296a88626ebp-3, 0x1.72e263d8c698fp-3, 0x1.694d0bc600401p-3, 0x1.5f70230f59404p-3, 0x1.55522dad51fa7p-3, 0x1.4af9727535995p-3, 0x1.406bfadfa0d7ap-3, 0x1.35af93526199ep-3, 0x1.2ac9cb8c31526p-3, 0x1.1fbff73be8362p-3, 0x1.14972e963f025p-3, 0x1.09544fce6b33ep-3, 0x1.fbf7ff1363228p-4, 0x1.e525556540a2fp-4, 0x1.ce390e643f7e2p-4, 0x1.b73b2b854e302p-4, 0x1.a03346489055cp-4, 0x1.8928934ca273bp-4, 0x1.7221e54fe4db1p-4, 0x1.5b25b0577a553p-4, 0x1.443a0c755d9aap-4, 0x1.2d64ba06cddedp-4, 0x1.16ab22d3ec9eap-4, 0x1.00125f0dfd2d4p-4, 0x1.d33e6f11b8aaep-5, 0x1.a6ac51ec360aep-5, 0x1.7a76cc4a839d7p-5, 0x1.4ea5b8a480d83p-5, 0x1.234068f905236p-5, 0x1.f09b5d9fe9b53p-6, 0x1.9ba7bfbcf13e4p-6, 0x1.47b1b324e2a72p-6, 0x1.e988243b96805p-7, 0x1.45d1b777b6c1fp-7, 0x1.48a5078684162p-8, 0x1.46d6ac0dc78b9p-13, -0x1.2f88d3c0149e7p-8, -0x1.323edbb347c08p-7, -0x1.ca47623deaa9ep-7, -0x1.2fe9593110d5ap-6, -0x1.796b59a9193b8p-6, -0x1.c1a53d30b621p-6, -0x1.04498e0d9bf4bp-5, -0x1.2718ca4d20defp-5, -0x1.493ee30027d8fp-5, -0x1.6abaa3b5d8436p-5, -0x1.8b8b12ef483dbp-5, -0x1.abaf6c6909991p-5, -0x1.cb27207034011p-5, -0x1.e9f1d05286e0fp-5, -0x1.0407a5d9fc47p-4, -0x1.12bfc6d6a7f5ep-4, -0x1.21215da325f9bp-4, -0x1.2f2c8fe38312fp-4, -0x1.3ce1962d835f4p-4, -0x1.4a40b9bb7a8efp-4, -0x1.574a54662618ap-4, -0x1.63fecf5207487p-4, -0x1.705ea1fc5ab9ap-4, -0x1.7c6a513f38c11p-4, -0x1.88226e62e1e9bp-4, -0x1.938796b26b7aap-4, -0x1.9e9a724115328p-4, -0x1.a95bb37d84e52p-4, -0x1.b3cc160f5d064p-4, -0x1.bdec5e6354736p-4, -0x1.c7bd593ff464p-4, -0x1.d13fdad36f4f5p-4, -0x1.da74be1e596a8p-4, -0x1.e35ce469cebbfp-4, -0x1.ebf934c8c064ap-4, -0x1.f44a9b87bbe78p-4, -0x1.fc5209df3428cp-4, -0x1.02083a845f806p-3, -0x1.05c36b1e7d74fp-3, -0x1.095b1502f2e4ep-3, -0x1.0ccfb7ef06895p-3, -0x1.1021d5031c7c9p-3, -0x1.1351ee6fa68dbp-3, -0x1.166087550cb33p-3, -0x1.194e23a04ad3cp-3, -0x1.1c1b47e18271dp-3, -0x1.1ec879215ce07p-3, -0x1.21563cb93c1c1p-3, -0x1.23c51832288dp-3, -0x1.261591415de6ep-3, -0x1.28482d7756af1p-3, -0x1.2a5d7257f92b1p-3, -0x1.2c55e5123d718p-3, -0x1.2e320a723cd72p-3, -0x1.2ff266e85785p-3, -0x1.31977e55c3d74p-3, -0x1.3321d3fb4a534p-3, -0x1.3491ea6791e8dp-3, -0x1.35e843663f4dcp-3, -0x1.37255fef67ea3p-3, -0x1.3849c0173ed25p-3, -0x1.3955e2feb485ep-3, -0x1.3a4a46c53651fp-3, -0x1.3b27687b114d8p-3, -0x1.3bedc42549c0bp-3, -0x1.3c9dd49657d97p-3, -0x1.3d381378b08dp-3, -0x1.3dbcf94cea9aep-3, -0x1.3e2cfd3e08291p-3, -0x1.3e889548b84d7p-3, -0x1.3ed03618b2d5p-3, -0x1.3f0453039d2a8p-3, -0x1.3f255e0b6863bp-3, -0x1.3f33c7db5f6d9p-3, -0x1.3f2fffc0e009bp-3, -0x1.3f1a73a3e0c63p-3, -0x1.3ef39003f1f9p-3, -0x1.3ebbbffa0b8b5p-3, -0x1.3e736d3a19adcp-3, -0x1.3e1b000f8fdfdp-3, -0x1.3db2df5629d77p-3, -0x1.3d3b7076f7eb7p-3, -0x1.3cb51775b4d6ep-3, -0x1.3c2036df5695cp-3, -0x1.3b7d2fdd3637cp-3, -0x1.3acc6233e30c6p-3, -0x1.3a0e2c234defap-3, -0x1.3942ea8dfbdf6p-3, -0x1.386af8ed4cc14p-3, -0x1.3786b152af3f7p-3, -0x1.36966c6b60704p-3, -0x1.359a817fb5c1ep-3, -0x1.349346736d057p-3, -0x1.33810fc9285bfp-3, -0x1.326430a7a5754p-3, -0x1.313cfadd8988p-3, -0x1.300bbee2944d4p-3, -0x1.2ed0cbd82bdc8p-3, -0x1.2d8c6f8babc42p-3, -0x1.2c3ef67ad9e46p-3, -0x1.2ae8abd8c1523p-3, -0x1.2989d9909fc4cp-3, -0x1.2822c84785a3bp-3, -0x1.26b3bf6446cdep-3, -0x1.253d05092d658p-3, -0x1.23bede19018f6p-3, -0x1.22398e4cb6065p-3, -0x1.20ad5817bc9cfp-3, -0x1.1f1a7cc28db3fp-3, -0x1.1d813c6c887ebp-3, -0x1.1be1d60695101p-3, -0x1.1a3c87594bbb7p-3, -0x1.18918d0a0ca9fp-3, -0x1.16e1229ec68aep-3, -0x1.152b82810b966p-3, -0x1.1370e600d05cp-3, -0x1.11b18557a93bap-3, -0x1.0fed97acf63dfp-3, -0x1.0e255319a6407p-3, -0x1.0c58ecaae50dep-3, -0x1.0a889866029abp-3, -0x1.08b4894caf93ep-3, -0x1.06dcf15ee7505p-3, -0x1.0502019da8776p-3, -0x1.0323ea0fa226ap-3, -0x1.0142d9c4fd468p-3, -0x1.febdfdb3d9747p-4, -0x1.faf10cf2d4d93p-4, -0x1.f71f39c6d7c57p-4, -0x1.f348dad57c7a5p-4, -0x1.ef6e44f11ce97p-4, -0x1.eb8fcb38da6dp-4, -0x1.e7adbef63fed8p-4, -0x1.e3c86fba2aeap-4, -0x1.dfe02b6b954f2p-4, -0x1.dbf53e3da926cp-4, -0x1.d807f2b7c0535p-4, -0x1.d41891be7c024p-4, -0x1.d027629a3c182p-4, -0x1.cc34aafc7b62p-4, -0x1.c840af05d123bp-4, -0x1.c44bb14caee2fp-4, -0x1.c055f2e2acc32p-4, -0x1.bc5fb3580733fp-4, -0x1.b86930bfaea43p-4, -0x1.b472a7b60fdbp-4, -0x1.b07c53695307ep-4, -0x1.ac866da00b7bp-4, -0x1.a8912ebd06408p-4, -0x1.a49ccdc1a042ep-4, -0x1.a0a9805161e21p-4, -0x1.9cb77ab8c90efp-4, -0x1.98c6eff5ee0a3p-4, -0x1.94d811bfb70dap-4, -0x1.90eb108956dbfp-4, -0x1.8d001b82ffd7bp-4, -0x1.8917609b52a21p-4, -0x1.85310c8765939p-4, -0x1.814d4acbb878p-4, -0x1.7d6c45bc37e61p-4, -0x1.798e2691f433ap-4, -0x1.75b3156277ca7p-4, -0x1.71db3914138ebp-4, -0x1.6e06b774dc83ap-4, -0x1.6a35b5395438p-4, -0x1.66685600a961p-4, -0x1.629ebc5fac0c2p-4, -0x1.5ed909e79056ep-4, -0x1.5b175f27cb5bep-4, -0x1.5759dbadd78f4p-4, -0x1.53a09e05e9c51p-4, -0x1.4febc3be11a29p-4, -0x1.4c3b696b91f0dp-4, -0x1.488faab1b8438p-4, -0x1.44e8a2494379fp-4, -0x1.41466a06aa43dp-4, -0x1.3da91add9e9dep-4, -0x1.3a10cce210f47p-4, -0x1.367d9748b7f2dp-4, -0x1.32ef9068fa1a8p-4, -0x1.2f66cdc0b2b2p-4, -0x1.2be363f92b70fp-4, -0x1.286566ec45529p-4, -0x1.24ece9a964029p-4, -0x1.2179fe79fdcecp-4, -0x1.1e0cb6e5b2638p-4, -0x1.1aa523b56eef2p-4, -0x1.174354f588a12p-4, -0x1.13e759f770125p-4, -0x1.10914153ce949p-4, -0x1.0d4118ed97836p-4, -0x1.09f6edf6cf464p-4, -0x1.06b2ccf5c69bbp-4, -0x1.0374c1c491e86p-4, -0x1.003cd79842542p-4, -0x1.fa16320dd9f43p-5, -0x1.f3bf1ffda8673p-5, -0x1.ed748ba4d56a8p-5, -0x1.e736867e0fb49p-5, -0x1.e10520d53cb39p-5, -0x1.dae069cbcdea1p-5, -0x1.d4c86f5ddd711p-5, -0x1.cebd3e6749c5ap-5, -0x1.c8bee2aa3eccdp-5, -0x1.c2cd66d6c0bf5p-5, -0x1.bce8d491cab5fp-5, -0x1.b711347aa20ecp-5, -0x1.b1468e2e85041p-5, -0x1.ab88e84c7c183p-5, -0x1.a5d8487b5c584p-5, -0x1.a034b371bea5ap-5, -0x1.9a9e2cfd9a1c2p-5, -0x1.9514b8095b4c7p-5, -0x1.8f98569e97f6p-5, -0x1.8a2909e80a629p-5, -0x1.84c6d234bedcep-5, -0x1.7f71aefd0bf4bp-5, -0x1.7a299ee99ca3cp-5, -0x1.74ee9fdaccc77p-5, -0x1.6fc0aeef392e3p-5, -0x1.6a9fc88814f4ep-5, -0x1.658be84be6c02p-5, -0x1.60850928ccecfp-5, -0x1.5b8b2558419e3p-5, -0x1.569e3665164fcp-5, -0x1.51be35326baf9p-5, -0x1.4ceb1a019b3fap-5, -0x1.4824dc75ed4fep-5, -0x1.436b7396a37bap-5, -0x1.3ebed5d0d3a64p-5, -0x1.3a1ef8fa85f6ep-5, -0x1.358bd257fbec9p-5, -0x1.310556a0c9018p-5, -0x1.2c8b7a043b61bp-5, -0x1.281e3033bfdb6p-5, -0x1.23bd6c63e9c1p-5, -0x1.1f69214b2015ep-5, -0x1.1b214129df14bp-5, -0x1.16e5bdcb52a4ep-5, -0x1.12b6888626a5ap-5, -0x1.0e9392415e795p-5, -0x1.0a7ccb7a22273p-5, -0x1.06722449370c6p-5, -0x1.02738c6736f64p-5, -0x1.fd01e65e74b9p-6, -0x1.f5348f4157408p-6, -0x1.ed7ef0c2af092p-6, -0x1.e5e0e780f75cbp-6, -0x1.de5a4f759e9b7p-6, -0x1.d6eb03fe2d839p-6, -0x1.cf92dfe49f963p-6, -0x1.c851bd65c2f18p-6, -0x1.c1277634d2d93p-6, -0x1.ba13e37d135f1p-6, -0x1.b316dde4d284p-6, -0x1.ac303d911891bp-6, -0x1.a55fda2ce4e93p-6, -0x1.9ea58af1b7aa8p-6, -0x1.980126b3508fep-6, -0x1.917283ebb9c85p-6, -0x1.8af978c618462p-6, -0x1.8495db256226bp-6, -0x1.7e4780a4e2492p-6, -0x1.780e3e92ef1dcp-6, -0x1.71e9e9e8d7eadp-6, -0x1.6bda574415c4p-6, -0x1.65df5ae4d5e23p-6, -0x1.5ff8c8b4131e9p-6, -0x1.5a26745190e75p-6, -0x1.54683127b817ap-6, -0x1.4ebdd2819748ap-6, -0x1.49272b9e85418p-6, -0x1.43a40fbfa667fp-6, -0x1.3e34522c8605p-6, -0x1.38d7c62e3268ep-6, -0x1.338e3f014ded2p-6, -0x1.2e578fc19b855p-6, -0x1.29338b578ae4bp-6, -0x1.2422046cb8f78p-6, -0x1.1f22cd5f4ba14p-6, -0x1.1a35b85209d34p-6, -0x1.155a974c82956p-6, -0x1.10913c515197fp-6, -0x1.0bd97983d2fafp-6, -0x1.07332148f3ecdp-6, -0x1.029e0655799e7p-6, -0x1.fc33f7570fe27p-7, -0x1.f34da90f4328bp-7, -0x1.ea88c881a6a21p-7, -0x1.e1e4fc46e8bf1p-7, -0x1.d961eaa059efdp-7, -0x1.d0ff3951ad88bp-7, -0x1.c8bc8da4e808p-7, -0x1.c0998c9e515f3p-7, -0x1.b895db5aca183p-7, -0x1.b0b11f87175e1p-7, -0x1.a8eaffd56f7adp-7, -0x1.a1432452da5f2p-7, -0x1.99b9368221c5cp-7, -0x1.924ce12cedb35p-7, -0x1.8afdcfec5dafbp-7, -0x1.83cbae7cf5f0dp-7, -0x1.7cb6280184791p-7, -0x1.75bce661cadbfp-7, -0x1.6edf91f10267p-7, -0x1.681dd17c1502ep-7, -0x1.61774acc312afp-7, -0x1.5aeba391bce87p-7, -0x1.547a8294b0e9p-7, -0x1.4e2390f40c3c3p-7, -0x1.47e67b32a1eb9p-7, -0x1.41c2f1d3ce7b6p-7, -0x1.3bb8a9591ff42p-7, -0x1.35c759896612dp-7, -0x1.2feebc115de22p-7, -0x1.2a2e8aada4a44p-7, -0x1.24867d2b3721dp-7, -0x1.1ef647a0d9b18p-7, -0x1.197d993cb51afp-7, -0x1.141c1bf17f238p-7, -0x1.0ed1752a71891p-7, -0x1.099d477f6c4b4p-7, -0x1.047f35328457dp-7, -0x1.feedc62f57b0bp-8, -0x1.f507f6d83e74p-8, -0x1.eb4c6037854c6p-8, -0x1.e1ba77ff2d2fbp-8, -0x1.d851c5aba3c31p-8, -0x1.cf11dfdd1ade3p-8, -0x1.c5fa66b4522d7p-8, -0x1.bd0afcb494324p-8, -0x1.b4433f76302acp-8, -0x1.aba2bff15a8ecp-8, -0x1.a328fcf703af6p-8, -0x1.9ad560a71e85ap-8, -0x1.92a740e9db007p-8, -0x1.8a9de33dd70a6p-8, -0x1.82b8837087471p-8, -0x1.7af65c4f21c3cp-8, -0x1.7356b10d9236fp-8, -0x1.6bd8d5fcb74fbp-8, -0x1.647c37377258dp-8, -0x1.5d405c330ad12p-8, -0x1.5624e7911ffedp-8, -0x1.4f2993248d193p-8, -0x1.484e28b2fea7bp-8, -0x1.41927881442f1p-8, -0x1.3af64f107fed7p-8, -0x1.34796b8c3ad79p-8, -0x1.2e1b7844e76ccp-8, -0x1.27dc0639a216bp-8, -0x1.21ba8c3e2edd3p-8, -0x1.1bb669c75e648p-8, -0x1.15ceecf2ed535p-8, -0x1.10035af71cddcp-8, -0x1.0a52f9dcf8597p-8, -0x1.04bd1a3a623ddp-8, -0x1.fe823f382c753p-9, -0x1.f3bd0ceefaa67p-9, -0x1.e929cda578ca6p-9, -0x1.dec7e69ec7fc8p-9, -0x1.d496e9ab85746p-9, -0x1.ca96874d86be7p-9, -0x1.c0c67df51045fp-9, -0x1.b72688e506889p-9, -0x1.adb6510a2bb64p-9, -0x1.a475617934e9dp-9, -0x1.9b63208757136p-9, -0x1.927ecdcbec6b2p-9, -0x1.89c784d5759e4p-9, -0x1.813c43feee2efp-9, -0x1.78dbf6720a8aep-9, -0x1.70a5801fc568bp-9, -0x1.6897ca2ac2407p-9, -0x1.60b1ce3c0653fp-9, -0x1.58f29f6100da4p-9, -0x1.51596f798d5a5p-9, -0x1.49e590c446732p-9, -0x1.429673a9f0f62p-9, -0x1.3b6ba16d5db9fp-9, -0x1.3464b4b8fee5cp-9, -0x1.2d81511dcce96p-9, -0x1.26c11aec212d1p-9, -0x1.2023b0dea840cp-9, -0x1.19a8a61f736b6p-9, -0x1.134f7f71dc483p-9, -0x1.0d17b46bf839dp-9, -0x1.0700b01b472c8p-9, -0x1.0109d4e99f425p-9, -0x1.f66502c313af1p-10, -0x1.eaf425efdd73cp-10, -0x1.dfbfcdc1ff927p-10, -0x1.d4c6b27c30923p-10, -0x1.ca0787ce83f28p-10, -0x1.bf80fd579ffb2p-10, -0x1.b531c4db78796p-10, -0x1.ab189e2febdc2p-10, -0x1.a134659e1ef6ep-10, -0x1.97841f4c80855p-10, -0x1.8e06fa656e786p-10, -0x1.84bc4936239d2p-10, -0x1.7ba36f9782503p-10, -0x1.72bbcd0628465p-10, -0x1.6a04aa2d8da48p-10, -0x1.617d310964a6bp-10, -0x1.592472f70319fp-10, -0x1.50f97a5c944e6p-10, -0x1.48fb604c9f4fdp-10, -0x1.41295c29de249p-10, -0x1.3982c5115be61p-10, -0x1.3207024a6a4e8p-10, -0x1.2ab56f41e5b2dp-10, -0x1.238d3dda85ffep-10, -0x1.1c8d644ac5829p-10, -0x1.15b4a0c5dc404p-10, -0x1.0f0195516bbcp-10, -0x1.0872f464f37fep-10, -0x1.0207af38eb8bfp-10, -0x1.f77e29079203cp-11, -0x1.eb31a663e9df8p-11, -0x1.df29be182fe4p-11, -0x1.d36682614fecbp-11, -0x1.c7e7ccbf3197fp-11, -0x1.bcacfa8648929p-11, -0x1.b1b4ddf11c554p-11, -0x1.a6fde0c317f9fp-11, -0x1.9c8642abbf68dp-11, -0x1.924c5752fd305p-11, -0x1.884eadb8d12d1p-11, -0x1.7e8c16570fd4fp-11, -0x1.7503893eb986cp-11, -0x1.6bb3f6779bcbap-11, -0x1.629c108d4f50fp-11, -0x1.59ba23c3ad4cap-11, -0x1.510c0bc36c367p-11, -0x1.488f544f72e3dp-11, -0x1.40418586e9fdcp-11, -0x1.38208a27c9c7fp-11, -0x1.302b0ceafaf4bp-11, -0x1.2860a4a291c3ep-11, -0x1.20c1b5d412a03p-11, -0x1.194f134cbff89p-11, -0x1.12098ad887a79p-11, -0x1.0af18684fa904p-11, -0x1.0406e99d3bc27p-11, -0x1.fa9259102bbd3p-12, -0x1.ed6f077c783ddp-12, -0x1.e0a218750892dp-12, -0x1.d429c38e2b3f9p-12, -0x1.c804244e377d7p-12, -0x1.bc2ef655b8768p-12, -0x1.b0a759ecc2cd4p-12, -0x1.a569d6841558fp-12, -0x1.9a72a99e80b57p-12, -0x1.8fbe344b5d001p-12, -0x1.85494231eee8bp-12, -0x1.7b1108f0defefp-12, -0x1.7112fd40222e8p-12, -0x1.674cbe582c669p-12, -0x1.5dbc434d02005p-12, -0x1.546039e16aab6p-12, -0x1.4b3850bb61a31p-12, -0x1.4245268f7a867p-12, -0x1.3987d7902c3f7p-12, -0x1.31016e5b17badp-12, -0x1.28b2886f1804dp-12, -0x1.209b40ddc183p-12, -0x1.18bb415230951p-12, -0x1.1111e849ce57dp-12, -0x1.099e88e9ce42dp-12, -0x1.0260a30a8a585p-12, -0x1.f6af9717e06e3p-13, -0x1.e90665ce13afp-13, -0x1.dbc2397afd649p-13, -0x1.cedd652ed6e61p-13, -0x1.c250abc40fbf1p-13, -0x1.b61491106ab14p-13, -0x1.aa22c748ebb01p-13, -0x1.9e77289fe9358p-13, -0x1.930fd66ee4a52p-13, -0x1.87ec715732fc3p-13, -0x1.7d0cd08abc99fp-13, -0x1.726fe86664dd7p-13, -0x1.68138005f834ep-13, -0x1.5df4e31988b13p-13, -0x1.541215213391p-13, -0x1.4a6ab17dc6823p-13, -0x1.40fffbac0d11ap-13, -0x1.37d42802cea76p-13, -0x1.2ee90d083ce9ep-13, -0x1.263eca7c854bfp-13, -0x1.1dd38e259c28dp-13, -0x1.15a4f2792fa84p-13, -0x1.0db18d7b1a96p-13, -0x1.05f8f156c5772p-13, -0x1.fcf4ddb096d6fp-14, -0x1.ee68962416a19p-14, -0x1.e0481ebdfd513p-14, -0x1.d28e591341de3p-14, -0x1.c53654e1c45f4p-14, -0x1.b83ae6a8dc6aap-14, -0x1.ab967f8cb45dcp-14, -0x1.9f43dd16594cdp-14, -0x1.933f35051c416p-14, -0x1.878729e706143p-14, -0x1.7c1ca15ec1a1cp-14, -0x1.71010d5b4c51ap-14, -0x1.66342fd95ef53p-14, -0x1.5bb1ad349a12dp-14, -0x1.51715b07009efp-14, -0x1.476b880bdaa8dp-14, -0x1.3d9e8f8798c61p-14, -0x1.3410afc030cfap-14, -0x1.2acaf2924e784p-14, -0x1.21d0cf9ec0382p-14, -0x1.191d379b346dp-14, -0x1.10a876f305d01p-14, -0x1.086f2dba5562ep-14, -0x1.0071f57fc3dbp-14, -0x1.f160e8a047b42p-15, -0x1.e24eaf2d81d53p-15, -0x1.d3a485ae77acep-15, -0x1.c55c381e432bbp-15, -0x1.b77384f58e84ap-15, -0x1.a9eb28ea0534dp-15, -0x1.9cc510b1c7ddcp-15, -0x1.900276077cd98p-15, -0x1.83a25fe0f01f6p-15, -0x1.77a0cc6ee81d3p-15, -0x1.6bf697968b3d4p-15, -0x1.609aff0df6d6bp-15, -0x1.55880b0d3301fp-15, -0x1.4abf8743a3545p-15, -0x1.4049d99562fb4p-15, -0x1.362b4371952b1p-15, -0x1.2c57fc1df0696p-15, -0x1.22b919cb494e7p-15, -0x1.1944ee93ef25cp-15, -0x1.100c26e32b9c9p-15, -0x1.0724d8b3a5b06p-15, -0x1.fd1e2edd29d54p-16, -0x1.ec70a7475b908p-16, -0x1.dc2907c597162p-16, -0x1.cc4eed8d7f6c8p-16, -0x1.bcee1faa0397cp-16, -0x1.ae020ec475f5ap-16, -0x1.9f7d4a7fc0a7p-16, -0x1.91556f19b79b1p-16, -0x1.8385c63b5131ep-16, -0x1.760ccdf3cbb0cp-16, -0x1.68ea3bf7281d1p-16, -0x1.5c1edbc62490dp-16, -0x1.4fad2491ab71ep-16, -0x1.4398e8507ff0dp-16, -0x1.37e58da618bdep-16, -0x1.2c93ad7f299fcp-16, -0x1.219e32d52931fp-16, -0x1.16f6d85abfdeep-16, -0x1.0c898e9c14723p-16, -0x1.024e8512aac77p-16, -0x1.f0ac956f9b5b3p-17, -0x1.dd6c4671a1491p-17, -0x1.cad6de585cb5p-17, -0x1.b8bb6cec8cfd8p-17, -0x1.a6f4bc583ec0dp-17, -0x1.958f2e4a725ebp-17, -0x1.84b45fb8745bp-17, -0x1.746c578531bap-17, -0x1.6488b16cecfa3p-17, -0x1.54e9120f56815p-17, -0x1.45a60c04f4de4p-17, -0x1.36db6a2627dccp-17, -0x1.2881f5d915c71p-17, -0x1.1a84e1a8bff14p-17, -0x1.0cd8fad7ccdfap-17, -0x1.fef81c7a61d8ep-18, -0x1.e4dce6d24042fp-18, -0x1.cb5fa07034324p-18, -0x1.b27d0bdbd8023p-18, -0x1.9a30e560e1a13p-18, -0x1.82787a479881fp-18, -0x1.6b547e8cc9531p-18, -0x1.54c82556da1fap-18, -0x1.3ed63c46190f9p-18, -0x1.2980e0c856daep-18, -0x1.14c8b05e39d95p-18, -0x1.009b5e368ab8ap-18, -0x1.d998e65c85943p-19, -0x1.b29f159a7f75bp-19, -0x1.8c97339b46b36p-19, -0x1.677e549f4832dp-19, -0x1.4307912d9cc0ap-19, -0x1.1f6bbd3349d9fp-19, -0x1.fa22293e3ee9bp-20, -0x1.b77c081be1384p-20, -0x1.75fd289573e6dp-20, -0x1.359f5eb66f382p-20, -0x1.ecb557b2bca51p-21, -0x1.6fe766b53e2c9p-21, -0x1.ebd09f35694dfp-22, -0x1.fdb40c993ccadp-23, -0x1.79cd357aa5258p-26, 0x1.9643e4224608ep-23, 0x1.a9af41c9f87d7p-22, 0x1.41fe10b522864p-21, 0x1.acfd13ccea1e9p-21, 0x1.0aeb6b82afe03p-20, 0x1.3e4a928e4a9f5p-20, 0x1.70a386d3a08c3p-20, 0x1.a1ff54836a354p-20, 0x1.d266e43e97402p-20, 0x1.00f09549fe897p-19, 0x1.183996913f3cfp-19, 0x1.2f11678cbd641p-19, 0x1.4579b8889c58bp-19, 0x1.5b68cdfbc3e2ap-19, 0x1.70cf369f48188p-19, 0x1.85c43f9c5abecp-19, 0x1.9a6c1873f4275p-19, 0x1.aec2662dc61fp-19, 0x1.c2d41700299c3p-19, 0x1.d68f189ed574cp-19, 0x1.e9d41577bb78ep-19, 0x1.fcb7c20f1aaa5p-19, 0x1.07a429e03457ap-18, 0x1.10bb3dfbb4e73p-18, 0x1.19a2cd6f87eacp-18, 0x1.226a339457c4p-18, 0x1.2b14881c3ef4fp-18, 0x1.33a0a214edae9p-18, 0x1.3c013514a5fbp-18, 0x1.443394ed5e1d1p-18, 0x1.4c4158bf25aaep-18, 0x1.542eaf605ca69p-18, 0x1.5bfcc0d5ce145p-18, 0x1.63aa757a53dfep-18, 0x1.6b36e7caa117fp-18, 0x1.72a1892e81dd3p-18, 0x1.79ea4e2e03afcp-18, 0x1.8113de739f0dep-18, 0x1.881f1d1a6581ep-18, 0x1.8f0c53c5cf205p-18, 0x1.95dc04b3a6a01p-18, 0x1.9c8eba7c0998ep-18, 0x1.a324f8762953ep-18, 0x1.a99f6ba074ee5p-18, 0x1.affe773a4c116p-18, 0x1.b6403743fdfa3p-18, 0x1.bc62413e08674p-18, 0x1.c2698e2cf7d7cp-18, 0x1.c85aa7ed66f2bp-18, 0x1.ce34b5821ead6p-18, 0x1.d3f27c3aaa56dp-18, 0x1.d9946c9f41029p-18, 0x1.df1def881fee9p-18, 0x1.e48f933893cffp-18, 0x1.e9e91faa03485p-18, 0x1.ef2ab6a79b72ap-18, 0x1.f45465f99a6eap-18, 0x1.f96530a768c25p-18, 0x1.fe5cfefef37d6p-18, 0x1.019f634aef792p-17, 0x1.04058db6c0ecp-17, 0x1.065fe18ffe1ep-17, 0x1.08ae6d3cefa5fp-17, 0x1.0af1dff0f7b7p-17, 0x1.0d2a571c221d2p-17, 0x1.0f57d000513acp-17, 0x1.117a55e5c1ccap-17, 0x1.1391fc0ae1f5p-17, 0x1.159ed775acbacp-17, 0x1.17a0fcd44ae2cp-17, 0x1.19987ffff93a6p-17, 0x1.1b8573f9ee5f4p-17, 0x1.1d67eaf424f6ap-17, 0x1.1f3ff64ffd9eap-17, 0x1.210da753b89fdp-17, 0x1.22d10e7fe5c34p-17, 0x1.248a3b7873ea8p-17, 0x1.26393d627c17dp-17, 0x1.27de23d85df48p-17, 0x1.29790085a4936p-17, 0x1.2b09df1717aa1p-17, 0x1.2c90c906ab72ap-17, 0x1.2e0dd1f4e9e1p-17, 0x1.2f8108ac4bba2p-17, 0x1.30ea77b87f115p-17, 0x1.324a2bd810fcep-17, 0x1.33a031763146fp-17, 0x1.34ec94378732ep-17, 0x1.362f5fc925d59p-17, 0x1.3768a1169a1e6p-17, 0x1.389866dd5e35ep-17, 0x1.39bebf6534575p-17, 0x1.3adbb4229e477p-17, 0x1.3bef51917ed8cp-17, 0x1.3cf9b9c455d2dp-17, 0x1.3dfad68587146p-17, 0x1.3ef2965c83e9p-17, 0x1.3fe1280522c6fp-17, 0x1.40c6f5251e59ap-17, 0x1.41a49b623cefbp-17, 0x1.42793052b807p-17, 0x1.43444710700eep-17, 0x1.44054c5f1b875p-17, 0x1.44bd693e4bdfp-17, 0x1.456d2962dd7p-17, 0x1.46145000833f9p-17, 0x1.46b2c13f95debp-17, 0x1.47487fda3ef0ep-17, 0x1.47d5967ff513p-17, 0x1.485a122f5259ep-17, 0x1.48d601d750421p-17, 0x1.494972cfca7bbp-17, 0x1.49b469b42e738p-17, 0x1.4a16f0eb35a6ep-17, 0x1.4a713bb3d6601p-17, 0x1.4ac3280ea633fp-17, 0x1.4b0cdb58a1381p-17, 0x1.4b4e6f634ace8p-17, 0x1.4b87cf1d36389p-17, 0x1.4bb9110cf91eep-17, 0x1.4be249789bdd6p-17, 0x1.4c03874867b51p-17, 0x1.4c1cd7cddd21bp-17, 0x1.4c2e47f5f239dp-17, }}, 
      {{0x1.527dfaa09336ep-1, 0x1.573f69c479c6cp-1, 0x1.5e4012f7b501dp-1, 0x1.66941c2868f89p-1, 0x1.6f5e2072574ccp-1, 0x1.77e34475655b1p-1, 0x1.7f91d9ff442d7p-1, 0x1.8600c5af0c8d8p-1, 0x1.8aeb4db4c95fdp-1, 0x1.8e2b77074eb11p-1, 0x1.8fb41f7ba0855p-1, 0x1.8f8b6f2877f9ap-1, 0x1.8dc5e79f536c1p-1, 0x1.8a822a9aa61bfp-1, 0x1.85e579844237cp-1, 0x1.8018e1f9cd623p-1, 0x1.7947050c022acp-1, 0x1.719a64af11854p-1, 0x1.693c22c533ff3p-1, 0x1.60531e499397p-1, 0x1.57035cd893db2p-1, 0x1.4d6db0d122a33p-1, 0x1.43af8e677e2abp-1, 0x1.39e30426dd13ep-1, 0x1.301ecd6d17894p-1, 0x1.26767754394f4p-1, 0x1.1cfa9207bd244p-1, 0x1.13b8e9d2c9af9p-1, 0x1.0abcc45102d99p-1, 0x1.020f1ee08e8eap-1, 0x1.f36dd8e368a12p-2, 0x1.e372a2882a801p-2, 0x1.d433b6fd343dp-2, 0x1.c5b570393327ep-2, 0x1.b7f9c7c0d0135p-2, 0x1.ab00b01ebd1dcp-2, 0x1.9ec865df87d69p-2, 0x1.934db8587d66dp-2, 0x1.888c4a9840bcep-2, 0x1.7e7ecce6fbf1fp-2, 0x1.751f2f5077863p-2, 0x1.6c66cdc69c53bp-2, 0x1.644e96710e3bfp-2, 0x1.5ccf2ab9203adp-2, 0x1.55e0fb992700cp-2, 0x1.4f7c61aee2083p-2, 0x1.4999b189eba41p-2, 0x1.44314ca74a90dp-2, 0x1.3f3baf8213039p-2, 0x1.3ab17d1729294p-2, 0x1.368b88307e9c7p-2, 0x1.32c2dac330f87p-2, 0x1.2f50bba3b503dp-2, 0x1.2c2eb2cbcb566p-2, 0x1.29568c6715fd9p-2, 0x1.26c25ad4f9886p-2, 0x1.246c77c8bcab2p-2, 0x1.224f84abadd8ap-2, 0x1.20666a6095064p-2, 0x1.1eac58839684ap-2, 0x1.1d1cc43e2013dp-2, 0x1.1bb366c3420c3p-2, 0x1.1a6c3b861ceb6p-2, 0x1.19437e39826dcp-2, 0x1.1835a8a5c47e2p-2, 0x1.173f705fcdc24p-2, 0x1.165dc46ae4a87p-2, 0x1.158dcacd1841ap-2, 0x1.14ccde1d046bep-2, 0x1.14188b0e8e8c7p-2, 0x1.136e8e03528bcp-2, 0x1.12ccd0a289d93p-2, 0x1.1231677bb47dfp-2, 0x1.119a8fb680a33p-2, 0x1.1106acd20fb5ep-2, 0x1.1074467534cf6p-2, 0x1.0fe20650e191fp-2, 0x1.0f4eb615cd508p-2, 0x1.0eb93d7dc5c68p-2, 0x1.0e20a0695f04ap-2, 0x1.0d83fd11da1a5p-2, 0x1.0ce28a4fb77b3p-2, 0x1.0c3b95f5662e6p-2, 0x1.0b8e833e4c0abp-2, 0x1.0adac95161144p-2, 0x1.0a1ff1d76e434p-2, 0x1.095d97a3f1ed6p-2, 0x1.08936570bc4cep-2, 0x1.07c114ab070ap-2, 0x1.06e66c52156a2p-2, 0x1.06033fe647a05p-2, 0x1.05176e6815d36p-2, 0x1.0422e166967eep-2, 0x1.03258c1c8223ap-2, 0x1.021f6a9b66e0ap-2, 0x1.01108103daba6p-2, 0x1.fff1b59620ce4p-3, 0x1.fdb11419b6d28p-3, 0x1.fb5f4dcb698bfp-3, 0x1.f8fc9dbf6c988p-3, 0x1.f68948bd02717p-3, 0x1.f4059c4193e56p-3, 0x1.f171ed83c792fp-3, 0x1.eece9890c0f8bp-3, 0x1.ec1bff7c214f4p-3, 0x1.e95a899a3a302p-3, 0x1.e68aa2c419321p-3, 0x1.e3acbabb3d1f9p-3, 0x1.e0c14480dcbfdp-3, 0x1.ddc8b5dc975a3p-3, 0x1.dac386b4475adp-3, 0x1.d7b230b8d4bdep-3, 0x1.d4952ee0658e1p-3, 0x1.d16cfd104acd3p-3, 0x1.ce3a17a22c2dfp-3, 0x1.cafcfb372076dp-3, 0x1.c7b624432f3c2p-3, 0x1.c4660eef19972p-3, 0x1.c10d36b6ad7eap-3, 0x1.bdac1630b8b62p-3, 0x1.ba4326f6ebb49p-3, 0x1.b6d2e14d0ec75p-3, 0x1.b35bbc2809c06p-3, 0x1.afde2cd6efb0cp-3, 0x1.ac5aa703f28efp-3, 0x1.a8d19c743c07fp-3, 0x1.a5437d1e51e8dp-3, 0x1.a1b0b6d86d539p-3, 0x1.9e19b585dbbeep-3, 0x1.9a7ee2c8c86a7p-3, 0x1.96e0a61708a51p-3, 0x1.933f64ae18affp-3, 0x1.8f9b81664a1e7p-3, 0x1.8bf55ce882afdp-3, 0x1.884d555fcf39bp-3, 0x1.84a3c6c1adc24p-3, 0x1.80f90a84d6c8bp-3, 0x1.7d4d77c5994bfp-3, 0x1.79a1634250cb7p-3, 0x1.75f51f5dba882p-3, 0x1.7248fbffe173bp-3, 0x1.6e9d46dc9a7e8p-3, 0x1.6af24b243f208p-3, 0x1.674851e2ecff5p-3, 0x1.639fa1b6f118ep-3, 0x1.5ff87efd5cb1ep-3, 0x1.5c532bd66513dp-3, 0x1.58afe829ceba7p-3, 0x1.550ef1b703a85p-3, 0x1.517083fe66dc4p-3, 0x1.4dd4d878c14bbp-3, 0x1.4a3c26734cc5ep-3, 0x1.46a6a33fe2b71p-3, 0x1.4314822e0c39ep-3, 0x1.3f85f4812ca68p-3, 0x1.3bfb29958bc28p-3, 0x1.38744ee0f4159p-3, 0x1.34f18ffb80786p-3, 0x1.317316ac06fd4p-3, 0x1.2df90af8bb204p-3, 0x1.2a83931026a31p-3, 0x1.2712d3899f058p-3, 0x1.23a6ef3a64e05p-3, 0x1.2040076713b6fp-3, 0x1.1cde3bc8c258p-3, 0x1.1981aa749da36p-3, 0x1.162a7008b948cp-3, 0x1.12d8a7ad28601p-3, 0x1.0f8c6b1bf2965p-3, 0x1.0c45d2aaf0a7ep-3, 0x1.0904f5558cb5ep-3, 0x1.05c9e8c977f23p-3, 0x1.0294c1728c507p-3, 0x1.fecb24c8767f1p-4, 0x1.f878db45a162dp-4, 0x1.f232c7c722d16p-4, 0x1.ebf9099d5012p-4, 0x1.e5cbbdf75ce34p-4, 0x1.dfaaffabf2e6bp-4, 0x1.d996e792f48a4p-4, 0x1.d38f8c8595a9fp-4, 0x1.cd950369106cp-4, 0x1.c7a75f3ea83c3p-4, 0x1.c1c6b1334dc6bp-4, 0x1.bbf308aec0c4dp-4, 0x1.b62c736249feap-4, 0x1.b072fd5bd2669p-4, 0x1.aac6b11acaa4bp-4, 0x1.a527976757922p-4, 0x1.9f95b7b9a5d55p-4, 0x1.9a1118087d957p-4, 0x1.9499bcc6e54e4p-4, 0x1.8f2fa966e1f04p-4, 0x1.89d2dfc5ffce1p-4, 0x1.8483608c45e95p-4, 0x1.7f412b39869bbp-4, 0x1.7a0c3e2576a33p-4, 0x1.74e49689ec7a6p-4, 0x1.6fca308e24fp-4, 0x1.6abd07517d77ap-4, 0x1.65bd14f598c55p-4, 0x1.60ca52a80b41p-4, 0x1.5be4b8abae1bfp-4, 0x1.570c3e6257e83p-4, 0x1.5240da5b41fb7p-4, 0x1.4d82825c639c4p-4, 0x1.48d12b3c91e5fp-4, 0x1.442cc947c5f33p-4, 0x1.3f954ffa5d4afp-4, 0x1.3b0ab2024e9e8p-4, 0x1.368ce1c13d821p-4, 0x1.321bd0b37aa7bp-4, 0x1.2db76fbdb1e6ep-4, 0x1.295faf406734dp-4, 0x1.25147f1223b41p-4, 0x1.20d5ce844f899p-4, 0x1.1ca38c69ea33fp-4, 0x1.187da71df1f5cp-4, 0x1.14640c897836fp-4, 0x1.1056aa297d40cp-4, 0x1.0c556d148fa24p-4, 0x1.0860420034debp-4, 0x1.04771546118b9p-4, 0x1.0099d2e8dd891p-4, 0x1.f990cd3356879p-5, 0x1.f2057780a3625p-5, 0x1.ea917b0467356p-5, 0x1.e334ad472e6e3p-5, 0x1.dbeee380f89ecp-5, 0x1.d4bff2992e49ap-5, 0x1.cda7ae6eee27bp-5, 0x1.c6a5eb419472fp-5, 0x1.bfba7cab2fbe7p-5, 0x1.b8e535af81b08p-5, 0x1.b225e922d016p-5, 0x1.ab7c6997b002ep-5, 0x1.a4e8895b3fa8ap-5, 0x1.9e6a1a7b52d13p-5, 0x1.9800eecd2dd9fp-5, 0x1.91acd7f3b60dcp-5, 0x1.8b6da765332a7p-5, 0x1.85432e70d1374p-5, 0x1.7f2d3e43ea0ffp-5, 0x1.792ba7ef218c2p-5, 0x1.733e3c6b50655p-5, 0x1.6d64cc9e372acp-5, 0x1.679f295f02c41p-5, 0x1.61ed237a96e62p-5, 0x1.5c4e8bb7b71bp-5, 0x1.56c332dc2451bp-5, 0x1.514ae9b66ba04p-5, 0x1.4be58121552b2p-5, 0x1.4692c9d2c8113p-5, 0x1.415294b57e343p-5, 0x1.3c24b2ee8e811p-5, 0x1.3708f520c7926p-5, 0x1.31ff2cacb8f63p-5, 0x1.2d072afe212e8p-5, 0x1.2820c1449c854p-5, 0x1.234bc0eb9c14ap-5, 0x1.1e87fb90033ebp-5, 0x1.19d542f3eadccp-5, 0x1.153368ffa97b1p-5, 0x1.10a23fc4e3418p-5, 0x1.0c21998127286p-5, 0x1.07b148a0278cep-5, 0x1.03511fbde4b23p-5, 0x1.fe01e351d973bp-6, 0x1.f58122c8c97p-6, 0x1.ed1fa45351dd8p-6, 0x1.e4dd0ed35ab44p-6, 0x1.dcb9099d21cd8p-6, 0x1.d4b33c7b12a4fp-6, 0x1.cccb4fb1c148ep-6, 0x1.c500ec02faf72p-6, 0x1.bd53baaf84404p-6, 0x1.b5c36578376ep-6, 0x1.ae4f969fecdf4p-6, 0x1.a6f7f8efcbd24p-6, 0x1.9fbc37c0fdb4ap-6, 0x1.989bff066f864p-6, 0x1.9196fb17fcfa3p-6, 0x1.8aacd8ba5bc93p-6, 0x1.83dd45ecea2e4p-6, 0x1.7d27f068922dfp-6, 0x1.768c86843fdd8p-6, 0x1.700ab8411a80dp-6, 0x1.69a2356a214efp-6, 0x1.6352ae35f027cp-6, 0x1.5d1bd3ac59fa4p-6, 0x1.56fd577a6552fp-6, 0x1.50f6ebe29d1ep-6, 0x1.4b0843bebc7f7p-6, 0x1.453112842ca5cp-6, 0x1.3f710c47be495p-6, 0x1.39c7e5bfc079ep-6, 0x1.3435544492fc5p-6, 0x1.2eb90dcfc3b46p-6, 0x1.2952c8fa1781ap-6, 0x1.24023cf9d6aabp-6, 0x1.1ec721a2cc287p-6, 0x1.19a12f6845ef8p-6, 0x1.14901f5fcce24p-6, 0x1.0f93ab4322fd5p-6, 0x1.0aab8d7102bebp-6, 0x1.05d780ecd6abp-6, 0x1.0117415df2dcdp-6, 0x1.f8d5161cf87e9p-7, 0x1.efa235d3cb0dbp-7, 0x1.e6955cf6fa1b1p-7, 0x1.ddae07dbc194bp-7, 0x1.d4ebb41806c53p-7, 0x1.cc4de0875200bp-7, 0x1.c3d40d5432705p-7, 0x1.bb7dbc021f202p-7, 0x1.b34a6f368718ep-7, 0x1.ab39aa72b958ep-7, 0x1.a34af3707ba76p-7, 0x1.9b7dd0cb90c13p-7, 0x1.93d1c8eeb19a7p-7, 0x1.8c4665c751fc1p-7, 0x1.84db322e2d1b4p-7, 0x1.7d8fb8f81b29ap-7, 0x1.766386868af6ap-7, 0x1.6f5628b6b7d02p-7, 0x1.68672ea7f8848p-7, 0x1.619628b18cb46p-7, 0x1.5ae2a8612d7f8p-7, 0x1.544c4078347fap-7, 0x1.4dd284e89f93fp-7, 0x1.47750ad42fd75p-7, 0x1.4133688de72a3p-7, 0x1.3b0d359b02019p-7, 0x1.35020ab0b6616p-7, 0x1.2f1181aefd86fp-7, 0x1.293b359bdf9edp-7, 0x1.237ec2a2150d3p-7, 0x1.1ddbc612e69fcp-7, 0x1.1851de6887a13p-7, 0x1.12e0ab4674245p-7, 0x1.0d87cd76f9f3p-7, 0x1.0846e6e5c7f56p-7, 0x1.031d9a9a59914p-7, 0x1.fc171967c0901p-8, 0x1.f220c4d1ee96dp-8, 0x1.e85784131aca6p-8, 0x1.debaa60271fb2p-8, 0x1.d5497baccad77p-8, 0x1.cc03584a30d09p-8, 0x1.c2e7912f82208p-8, 0x1.b9f57dc455096p-8, 0x1.b12c7782350d3p-8, 0x1.a88bd9fec0c7dp-8, 0x1.a01302fd6d297p-8, 0x1.97c1525b10e73p-8, 0x1.8f962966e8983p-8, 0x1.8790eb9bff8d9p-8, 0x1.7fb100557526dp-8, 0x1.77f5ce11eae6p-8, 0x1.705ebd542be25p-8, 0x1.68eb3c565cc7ap-8, 0x1.619ab8d9f6f0ap-8, 0x1.5a6ca171ececfp-8, 0x1.53606773aad2p-8, 0x1.4c757e6f29bbcp-8, 0x1.45ab5bd2138c4p-8, 0x1.3f0176d242ad7p-8, 0x1.3877486a0284bp-8, 0x1.320c4b5afac4p-8, 0x1.2bbffc3445a87p-8, 0x1.2591d95733543p-8, 0x1.1f8162f724a64p-8, 0x1.198e1b13707b7p-8, 0x1.13b7856ce19f3p-8, 0x1.0dfd2779f3dc3p-8, 0x1.085e885d36341p-8, 0x1.02db30e052537p-8, 0x1.fae556e8bf358p-9, 0x1.f049086070cd8p-9, 0x1.e5e091a59915p-9, 0x1.dbab1182a520fp-9, 0x1.d1a7aa106735ap-9, 0x1.c7d580a8efc5ep-9, 0x1.be33bdd4e9e2ap-9, 0x1.b4c18d32995d4p-9, 0x1.ab7e1d5f10ed7p-9, 0x1.a2689feb46055p-9, 0x1.9980495e8cf3ap-9, 0x1.90c4513f52acep-9, 0x1.8833f2190e724p-9, 0x1.7fce6978b387ep-9, 0x1.7792f7ded96f8p-9, 0x1.6f80e0aa770e6p-9, 0x1.67976a031b385p-9, 0x1.5fd5dcc892977p-9, 0x1.583b848c62867p-9, 0x1.50c7af94e7e41p-9, 0x1.4979aeead7968p-9, 0x1.4250d66b19b27p-9, 0x1.3b4c7c881e88ap-9, 0x1.346bf924b2b94p-9, 0x1.2daea71b778d6p-9, 0x1.2713e75e80843p-9, 0x1.209b18684fa26p-9, 0x1.1a439b3cdff11p-9, 0x1.140cda2db114bp-9, 0x1.0df63d726ea58p-9, 0x1.07ff2d46f266bp-9, 0x1.022715bed9166p-9, 0x1.f8dacbbf56ec8p-10, 0x1.eda31e12e8c03p-10, 0x1.e2a609cfa14f7p-10, 0x1.d7e27ae155b06p-10, 0x1.cd5761af9891ap-10, 0x1.c303b2f8863d8p-10, 0x1.b8e667af0b334p-10, 0x1.aefe7ce67d1a7p-10, 0x1.a54af3cccb72dp-10, 0x1.9bcad1abe23c9p-10, 0x1.927d1fe8cc2b2p-10, 0x1.8960ebfc11358p-10, 0x1.80754762fad27p-10, 0x1.77b9478e51f06p-10, 0x1.6f2c05d3828b1p-10, 0x1.66cc9f634c23ep-10, 0x1.5e9a3543f6f26p-10, 0x1.5693ec48a31d2p-10, 0x1.4eb8ecfd4280cp-10, 0x1.470863865cf79p-10, 0x1.3f817f7ecfd73p-10, 0x1.382373e3e07d1p-10, 0x1.30ed7717b8707p-10, 0x1.29dec2f47508ap-10, 0x1.22f694e051adbp-10, 0x1.1c342dda09409p-10, 0x1.1596d26bec76fp-10, 0x1.0f1dca749a6b8p-10, 0x1.08c860f85d933p-10, 0x1.0295e3e2cc1cfp-10, 0x1.f90b47b9f6555p-11, 0x1.ed2de88b10c09p-11, 0x1.e19256556c649p-11, 0x1.d63742b75e558p-11, 0x1.cb1b650ed0a34p-11, 0x1.c03d7ab90484fp-11, 0x1.b59c474c029ap-11, 0x1.ab3694c8f0299p-11, 0x1.a10b33ce27cf8p-11, 0x1.9718fbc6c60a7p-11, 0x1.8d5eca483a98bp-11, 0x1.83db7f162e4acp-11, 0x1.7a8dfcbd41935p-11, 0x1.717538543339p-11, 0x1.6890218d18c18p-11, 0x1.5fdda0ec62e96p-11, 0x1.575cbdbd3a283p-11, 0x1.4f0c785ea8bb4p-11, 0x1.46ebc764218f2p-11, 0x1.3ef9aae9fa5bp-11, 0x1.37352ae986598p-11, 0x1.2f9d54c831789p-11, 0x1.28313b768f3aep-11, 0x1.20eff7d63bf6ap-11, 0x1.19d8a8c5d5157p-11, 0x1.12ea72d4e5b69p-11, 0x1.0c247fbafab7bp-11, 0x1.0585fdadba7d7p-11, 0x1.fe1c3d5b1a76p-12, 0x1.f1782fb5ff5fp-12, 0x1.e51e41cc5dfabp-12, 0x1.d90ce75268dccp-12, 0x1.cd4297fa8a1b9p-12, 0x1.c1bdcfa1cee74p-12, 0x1.b67d0ef486defp-12, 0x1.ab7edc683735fp-12, 0x1.a0c1c55d5648bp-12, 0x1.96445f3834312p-12, 0x1.8c05484f2f50cp-12, 0x1.820328959ff06p-12, 0x1.783cb1f6070d4p-12, 0x1.6eb0a04bb3331p-12, 0x1.655db8e503742p-12, 0x1.5c42c97ec7093p-12, 0x1.535ea6c6a9ca4p-12, 0x1.4ab02aa5b25cep-12, 0x1.423632b626c31p-12, 0x1.39ef9f412bfd8p-12, 0x1.31db52f2b647fp-12, 0x1.29f83338241b1p-12, 0x1.2245290f1f27ep-12, 0x1.1ac121f77be1dp-12, 0x1.136b10c0581dcp-12, 0x1.0c41ee04ae692p-12, 0x1.0544b857742a5p-12, 0x1.fce4e866f5f5ap-13, 0x1.ef9457ee46252p-13, 0x1.e295dfc085afbp-13, 0x1.d5e7ac5f99eedp-13, 0x1.c987f6812f4e8p-13, 0x1.bd7502e6bad16p-13, 0x1.b1ad21a918db9p-13, 0x1.a62ead0ddb7adp-13, 0x1.9af8085a175fp-13, 0x1.90079f252d68ep-13, 0x1.855be2c3a0c7dp-13, 0x1.7af33c7ef0299p-13, 0x1.70cc0ec189e75p-13, 0x1.66e4f486d47a1p-13, 0x1.5d3c742d055ccp-13, 0x1.53d0fa36402c8p-13, 0x1.4aa15a0c2de86p-13, 0x1.41ac3e224921p-13, 0x1.38f0313873075p-13, 0x1.306bdd4b1883p-13, 0x1.281dfcdb9f31ep-13, 0x1.200550163872fp-13, 0x1.18209c3c35ad1p-13, 0x1.106eaca05f0ap-13, 0x1.08ee5349d9e54p-13, 0x1.019e692696d0ep-13, 0x1.f4fb9bb7971e5p-14, 0x1.e716ceaeaaadap-14, 0x1.d98c42b3ff45fp-14, 0x1.cc59da5f3a2cap-14, 0x1.bf7d8351478c1p-14, 0x1.b2f5367d415e4p-14, 0x1.a6bef86d85f63p-14, 0x1.9ad8d93da86b6p-14, 0x1.8f40f42d20ac9p-14, 0x1.83f56ee5d6bb6p-14, 0x1.78f478a96526cp-14, 0x1.6e3c49a4cfacp-14, 0x1.63cb22a14d202p-14, 0x1.599f4d28fcd3dp-14, 0x1.4fb71c0249ecap-14, 0x1.4610ebaee154cp-14, 0x1.3cab229d6b6d3p-14, 0x1.338430f439d28p-14, 0x1.2a9a903e48a41p-14, 0x1.21ecc36cbaccdp-14, 0x1.1979577880261p-14, 0x1.113ee4653c0a7p-14, 0x1.093c0de0f2595p-14, 0x1.016f828c19f7fp-14, 0x1.f3aff2f74899ep-15, 0x1.e4e85d0f8f6ap-15, 0x1.d685bde72a266p-15, 0x1.c8859032b79d7p-15, 0x1.bae5518c1200ep-15, 0x1.ada288cf4d0d8p-15, 0x1.a0bacc80649e7p-15, 0x1.942bc6550df0bp-15, 0x1.87f333679f40bp-15, 0x1.7c0ee29cdaa83p-15, 0x1.707cb2d350f8p-15, 0x1.653a913f28c71p-15, 0x1.5a46775667d93p-15, 0x1.4f9e68504c133p-15, 0x1.45406fa42f5c5p-15, 0x1.3b2aa2db639ecp-15, 0x1.315b28111646ep-15, 0x1.27d040325de72p-15, 0x1.1e88512d7b1a5p-15, 0x1.1581e31370863p-15, 0x1.0cbb6a53d923bp-15, 0x1.04331d27abd9cp-15, 0x1.f7cf8c5b56f8bp-16, 0x1.e7afed1bd520dp-16, 0x1.d8034ee412ad8p-16, 0x1.c8c7f4dab4927p-16, 0x1.b9fa956f47e05p-16, 0x1.ab97285414356p-16, 0x1.9d9a991096784p-16, 0x1.900236777ecb4p-16, 0x1.82cb663a757d9p-16, 0x1.75f399693dc2bp-16, 0x1.69784ec645481p-16, 0x1.5d570f578e41p-16, 0x1.518d6b4b6ac1cp-16, 0x1.4618f7689542ap-16, 0x1.3af74e686d3bp-16, 0x1.30261a6e53b4bp-16, 0x1.25a326d4d6154p-16, 0x1.1b6c731e2c82fp-16, 0x1.11803b13ef5a9p-16, 0x1.07dceb543cedap-16, 0x1.fd0208a8f3f0cp-17, 0x1.ead5f1e872666p-17, 0x1.d93231ec44f08p-17, 0x1.c813201513d1p-17, 0x1.b774e9a9556d6p-17, 0x1.a753b6bb6fed9p-17, 0x1.97abc38b8b964p-17, 0x1.88796e4b5eafbp-17, 0x1.79b941963542p-17, 0x1.6b67fc45af717p-17, 0x1.5d828eaed92b8p-17, 0x1.500608660256p-17, 0x1.42ef7dac6edbcp-17, 0x1.363bf499a7d0bp-17, 0x1.29e86743348b2p-17, 0x1.1df1d9bc04a84p-17, 0x1.125574487829cp-17, 0x1.071091287c9fap-17, 0x1.f84177db72fdap-18, 0x1.e3075c002c1cep-18, 0x1.ce6ea147b6039p-18, 0x1.ba7379e662261p-18, 0x1.a712580296cd9p-18, 0x1.9447adae6b299p-18, 0x1.820fb249ee9c8p-18, 0x1.7066596e65c9cp-18, 0x1.5f477f836d5f6p-18, 0x1.4eaf1d10d4981p-18, 0x1.3e99510fc210ap-18, 0x1.2f024a10789f9p-18, 0x1.1fe63ce8fa632p-18, 0x1.11417b816a1a6p-18, 0x1.0310917335252p-18, 0x1.eaa0965b88e47p-19, 0x1.cffb483f44ff5p-19, 0x1.b62b49d3cd12fp-19, 0x1.9d2a7a33314d3p-19, 0x1.84f25ca1612fdp-19, 0x1.6d7c52454fbc5p-19, 0x1.56c228a2d7ep-19, 0x1.40bd5387ea519p-19, 0x1.2b63b51e2daffp-19, 0x1.16afe5df8eaedp-19, 0x1.02a3b28330144p-19, 0x1.de6c9e821566cp-20, 0x1.b8d88dcc13e9cp-20, 0x1.948471e71b37ap-20, 0x1.7158d9939958fp-20, 0x1.4f4ad88e09dc1p-20, 0x1.2e539b741e7eap-20, 0x1.0e6c09ad014e7p-20, 0x1.df1a722811254p-21, 0x1.a3609248fa262p-21, 0x1.699b87d845b8p-21, 0x1.31bb7b3f53cbdp-21, 0x1.f7624b648ef7p-22, 0x1.8edd41f3974a9p-22, 0x1.29ce30a92843ep-22, 0x1.903916f54f2d1p-23, 0x1.a6c15153fc8b7p-24, 0x1.ce37105d53c71p-27, -0x1.26dd04a2e0f16p-24, -0x1.3dc5baf5c03f8p-23, -0x1.e2537ebbbd688p-23, -0x1.40a4ddf46a654p-22, -0x1.8d6cd67938ddap-22, -0x1.d7984a54096f9p-22, -0x1.0f9d2b285497cp-21, -0x1.3231842e8fcbbp-21, -0x1.539103e054388p-21, -0x1.73c470c535762p-21, -0x1.92d54c85741a2p-21, -0x1.b0ccfc30bfd07p-21, -0x1.cdb4e7dbeac3ep-21, -0x1.e996ce7abc8d1p-21, -0x1.023dab25e69b9p-20, -0x1.0f343884a468cp-20, -0x1.1bb1620699f67p-20, -0x1.27b85225de309p-20, -0x1.334d4693e76d5p-20, -0x1.3e7472d1cf014p-20, -0x1.49314a6427a46p-20, -0x1.5386db706b517p-20, -0x1.5d783b62c331bp-20, -0x1.67087d99ae47bp-20, -0x1.703a8da78bce3p-20, -0x1.7911288bb87e1p-20, -0x1.818ee14fde79fp-20, -0x1.89b619f8eb9fdp-20, -0x1.9188f3a3427a7p-20, -0x1.990950567afd8p-20, -0x1.a039054b30de8p-20, -0x1.a71a363a603b3p-20, -0x1.adaf9116f6e87p-20, -0x1.b3fc2013d6c09p-20, -0x1.ba02d2235089ap-20, -0x1.bfc6149a286c5p-20, -0x1.c54799afbdd35p-20, -0x1.ca88800f9f389p-20, -0x1.cf8a14e5a4e64p-20, -0x1.d44e7fc80edep-20, -0x1.d8d86d78c146ep-20, -0x1.dd29eb4f05034p-20, -0x1.e1435e6b42259p-20, -0x1.e5241247e0dedp-20, -0x1.e8cff3465817dp-20, -0x1.ec537712eecffp-20, -0x1.efab0e233e1d9p-20, -0x1.f2d4086f4328bp-20, -0x1.f5cc33d31becbp-20, -0x1.f888fa1d104a1p-20, -0x1.fb19460d57da6p-20, -0x1.fd83c2ca6ae06p-20, -0x1.ffc74238b697dp-20, -0x1.00f19d7590f6p-19, -0x1.01ec21129f699p-19, -0x1.02d3acd087427p-19, -0x1.03a8cb2edf928p-19, -0x1.046bfadb3d15fp-19, -0x1.051da5fc064d1p-19, -0x1.05be2aad187d8p-19, -0x1.064df274fc52dp-19, -0x1.06cd82e2b08c3p-19, -0x1.073d71f49d39bp-19, -0x1.079e4d4f7af81p-19, -0x1.07f0868ea08a9p-19, -0x1.08345da9e91b3p-19, -0x1.0869fe72c0a76p-19, -0x1.0891d60f25a08p-19, -0x1.08ac8ee38e959p-19, -0x1.08bab5886adfcp-19, -0x1.08bcada09df9cp-19, -0x1.08b2e29579beap-19, -0x1.089dbbe40bc3cp-19, -0x1.087d7ab420247p-19, -0x1.08525385d322ap-19, -0x1.081c6d1457c07p-19, -0x1.07dbbe5f69209p-19, -0x1.07904a0267d12p-19, -0x1.073a43eb766f3p-19, -0x1.06d9fb683af8dp-19, -0x1.066fcb8989c34p-19, -0x1.05fc1213d54bdp-19, -0x1.057f249096f57p-19, -0x1.04f948d81a399p-19, -0x1.046ab55c1bfdap-19, -0x1.03d3978ddc5f1p-19, -0x1.03341b4a52dfp-19, -0x1.028c7109df3b3p-19, -0x1.01dccea8a8a2dp-19, -0x1.01256c74909bap-19, -0x1.006685619b8dcp-19, -0x1.ff40ae173c753p-20, -0x1.fda634cc6ecacp-20, -0x1.fbfdf84cd18fap-20, -0x1.fa484f71de2aap-20, -0x1.f885953506f92p-20, -0x1.f6b6187db1779p-20, -0x1.f4da31c92a646p-20, -0x1.f2f21f28c888p-20, -0x1.f0fe1214bd9a3p-20, -0x1.eefe59cbb6b5dp-20, -0x1.ecf340bd4af2ep-20, -0x1.eadcfb7c0b3f9p-20, -0x1.e8bbcb160dafdp-20, -0x1.e690063de1453p-20, -0x1.e459f0bb64951p-20, -0x1.e219b32d0e9a1p-20, -0x1.dfcf2a1c12053p-20, -0x1.dd79b29d97946p-20, -0x1.db18462647972p-20, -0x1.d8ad407a2d37cp-20, -0x1.d6425f0d2a081p-20, -0x1.d3d3b9d642f21p-20, -0x1.d15b2f3606263p-20, -0x1.ced2d3db0af12p-20, -0x1.cc37507077467p-20, -0x1.c996706c45157p-20, -0x1.c6f20279b39d8p-20, -0x1.c44798c1766f2p-20, -0x1.c196545aabf46p-20, -0x1.bede499a8c79bp-20, -0x1.bc1fcf9ead078p-20, -0x1.b95b3e9ba4716p-20, -0x1.b690d2a1ef68dp-20, -0x1.b3c098881d62bp-20, -0x1.b0ea6ed144bc3p-20, -0x1.ae0e20818caeap-20, -0x1.ab2b79a1e585ep-20, -0x1.a8425dc7a775p-20, -0x1.a552d920ece95p-20, -0x1.a25d28b1a04b1p-20, -0x1.9f61a540a88aep-20, -0x1.9c60a5d91392bp-20, -0x1.995a7097df863p-20, -0x1.964f35dbf17bep-20, -0x1.933f1465aa25bp-20, -0x1.902a22e4187a8p-20, -0x1.8d107cd54252ep-20, -0x1.89f24aa713523p-20, -0x1.86cfbac5d2da8p-20, -0x1.83a8fd3d66d19p-20, -0x1.807e45134b0ebp-20, -0x1.7d4fc2f0c64f1p-20, -0x1.7a1da04bad697p-20, -0x1.76e8008d6fcdap-20, -0x1.73af02b0938c5p-20, -0x1.7072c2b9d3871p-20, -0x1.6d335b09974e5p-20, -0x1.69f0e55a1b1a3p-20, -0x1.66ab7b5b82494p-20, -0x1.636336fbc2615p-20, -0x1.601832a00c811p-20, -0x1.5cca898619174p-20, -0x1.597a55b14eb8ep-20, -0x1.5627b2391029dp-20, -0x1.52d2bae749722p-20, -0x1.4f7b8a5396a56p-20, -0x1.4c223ae868098p-20, -0x1.48c6e6f0d9046p-20, -0x1.4569a81de3663p-20, -0x1.420a978201138p-20, -0x1.3ea9cd9e54dbep-20, -0x1.3b47622bdb6b9p-20, -0x1.37e36bf5b4bb2p-20, -0x1.347e00d2ed074p-20, -0x1.311735e8b9fcp-20, -0x1.2daf20679708fp-20, -0x1.2a45d6c295137p-20, -0x1.26db728d4c42bp-20, -0x1.2370130e51314p-20, -0x1.2003e00fb7127p-20, -0x1.1c970b84192d6p-20, -0x1.1929ce36a9a59p-20, -0x1.15bc55c63383cp-20, -0x1.124e8fac645dcp-20, -0x1.0edfd90464a25p-20, -0x1.0b6fcd6e68f86p-20, -0x1.08037c44ab34dp-20, -0x1.04a117a769528p-20, -0x1.013e5dc9f7329p-20, -0x1.fbac8ba14c025p-21, -0x1.f4c4e1cdde29ap-21, -0x1.eddca0a2782p-21, -0x1.e6fe25d2fe9c6p-21, -0x1.e023f2262ap-21, -0x1.d94b36b32aa3ep-21, -0x1.d2738e6e82dbap-21, -0x1.cb9d1f6bc3bb6p-21, -0x1.c4c813a331b49p-21, -0x1.bdf48dea4fd11p-21, -0x1.b722b525498bdp-21, -0x1.b052ba1af7413p-21, -0x1.a984d796c1eadp-21, -0x1.a2b94f5fcad9bp-21, -0x1.9bf05ab47ab15p-21, -0x1.952a325a4cfccp-21, -0x1.8e6704ad9d4f4p-21, -0x1.87a6f85038c42p-21, -0x1.80ea2f3b7dbf8p-21, -0x1.7a30c7faa1542p-21, -0x1.737adf48cb16cp-21, -0x1.6cc891462b45bp-21, -0x1.6619fa31c2df5p-21, }}, 
      std::vector<double>(850, 0.0), 
      {{-0x1.07d03be455fa1p-8, -0x1.1705bce1ef9f4p-6, -0x1.3d3182e10f6adp-5, -0x1.08fef65718807p-4, -0x1.700f5c7a2a9f4p-4, -0x1.c21a67dc966fdp-4, -0x1.f2baf1bfc4846p-4, -0x1.faf3358c50356p-4, -0x1.d86baf06614c9p-4, -0x1.8c67c07f3c55ap-4, -0x1.1ab91bfab908cp-4, -0x1.11a517e652411p-5, 0x1.17d1b152fc782p-7, 0x1.c42524076ecf6p-5, 0x1.ae0105c8321fp-4, 0x1.4060777511affp-3, 0x1.aa773c9307016p-3, 0x1.09782c8eedb0dp-2, 0x1.3becc7387d5edp-2, 0x1.6bd0d48cae2e9p-2, 0x1.98899c7197b8bp-2, 0x1.c1a6589689893p-2, 0x1.e6db8cf47ff26p-2, 0x1.03ff0b64b4a7fp-1, 0x1.127f20dd4a9c3p-1, 0x1.1ef18c88d4c1dp-1, 0x1.29630a754a4dfp-1, 0x1.31e79a0f042fbp-1, 0x1.3898c491ddf86p-1, 0x1.3d941c1b8393dp-1, 0x1.40f9f143b95eep-1, 0x1.42ec3bb27955dp-1, 0x1.438db160bf729p-1, 0x1.4301086689b7cp-1, 0x1.41685ede85235p-1, 0x1.3ee4c408d144dp-1, 0x1.3b95de2077972p-1, 0x1.3799a8c47de77p-1, 0x1.330c4813621ffp-1, 0x1.2e07ecddcc88ep-1, 0x1.28a4c6c34725fp-1, 0x1.22f9018385046p-1, 0x1.1d18cb32e7ddp-1, 0x1.171661522c9b3p-1, 0x1.110223134c397p-1, 0x1.0aeaa75c51ab8p-1, 0x1.04dcd55a65c3ep-1, 0x1.fdc7fd63e20f7p-2, 0x1.f213f512c440cp-2, 0x1.e6ae81a671fa5p-2, 0x1.dba60abb84a71p-2, 0x1.d106a496b3f95p-2, 0x1.c6da435ac65eep-2, 0x1.bd28ec1ef3aabp-2, 0x1.b3f8e39ffb32dp-2, 0x1.ab4eda5ed95afp-2, 0x1.a32e1612f95b4p-2, 0x1.9b9898657220ep-2, 0x1.948f42f6b6ecbp-2, 0x1.8e11f8ba84bf7p-2, 0x1.881fbcbd96082p-2, 0x1.82b6ce6ee3da3p-2, 0x1.7dd4c38b1976cp-2, 0x1.79769fcb65075p-2, 0x1.7598ea7a2e7dep-2, 0x1.7237c2115a8cfp-2, 0x1.6f4eee03dc51p-2, 0x1.6cd9eed3ec14fp-2, 0x1.6ad40c9699f31p-2, 0x1.693864004e4f5p-2, 0x1.6801f219e1545p-2, 0x1.672b9eb5323dp-2, 0x1.66b045bcd45ecp-2, 0x1.668abf758666dp-2, 0x1.66b5e7c54d4ddp-2, 0x1.672ca499dc5ccp-2, 0x1.67e9eb798e814p-2, 0x1.68e8c65b7fd05p-2, 0x1.6a2457cb1cd83p-2, 0x1.6b97de74c1261p-2, 0x1.6d3eb81b101e2p-2, 0x1.6f146412deac9p-2, 0x1.711485400c21bp-2, 0x1.733ae3b3e6989p-2, 0x1.75836ddf93e1fp-2, 0x1.77ea398115684p-2, 0x1.7a6b84325252p-2, 0x1.7d03b3c8d723fp-2, 0x1.7faf5666230f3p-2, 0x1.826b22648ce03p-2, 0x1.8533f60b1fbb9p-2, 0x1.8806d71a3f1d2p-2, 0x1.8ae0f24250dc3p-2, 0x1.8dbf9a633b4cep-2, 0x1.90a047d2ca132p-2, 0x1.9380976e53a34p-2, 0x1.965e49b3da8d2p-2, 0x1.993741c3febb3p-2, 0x1.9c098443202fep-2, 0x1.9ed3366a03adfp-2, 0x1.a1929cc7de5p-2, 0x1.a4461a3ae1ee7p-2, 0x1.a6ec2ece8f763p-2, 0x1.a983768f54d2fp-2, 0x1.ac0aa8799eedcp-2, 0x1.ae80955b1ac31p-2, 0x1.b0e426a8dab18p-2, 0x1.b3345d8248216p-2, 0x1.b570518f62f24p-2, 0x1.b7972ffd0a02ep-2, 0x1.b9a83a73ce771p-2, 0x1.bba2c6260ec87p-2, 0x1.bd863ac7a5827p-2, 0x1.bf5211b8b0aa2p-2, 0x1.c105d506a949bp-2, 0x1.c2a11e99a429dp-2, 0x1.c423975cc002ap-2, 0x1.c58cf67761d81p-2, 0x1.c6dd00762bf3p-2, 0x1.c813868b5fd37p-2, 0x1.c93065f2fd654p-2, 0x1.ca33871b28658p-2, 0x1.cb1cdd18ce826p-2, 0x1.cbec64fcd20fep-2, 0x1.cca225393f30dp-2, 0x1.cd3e2d0136674p-2, 0x1.cdc093d87e00cp-2, 0x1.ce2978f6611d9p-2, 0x1.ce7902d00b2fcp-2, 0x1.ceaf5e92a752cp-2, 0x1.ceccbfc0fe00cp-2, 0x1.ced15fba64eafp-2, 0x1.cebd7d43588d4p-2, 0x1.ce915c3aeb572p-2, 0x1.ce4d45281d1b4p-2, 0x1.cdf184e932ac6p-2, 0x1.cd7e6c49c38cfp-2, 0x1.ccf44fc29806fp-2, 0x1.cc53872808bb8p-2, 0x1.cb9c6d5732406p-2, 0x1.cacf5fe8dc03p-2, 0x1.c9ecbf04fd4cep-2, 0x1.c8f4ed0d740adp-2, 0x1.c7e84e6fc4612p-2, 0x1.c6c7495a82fddp-2, 0x1.c592459656d97p-2, 0x1.c449ac51633c4p-2, 0x1.c2ede7e8114dp-2, 0x1.c17f63b866e7ap-2, 0x1.bffe8bf58f96dp-2, 0x1.be6bcd89becdep-2, 0x1.bcc795e1a329dp-2, 0x1.bb1252cd56c67p-2, 0x1.b94c725ddb20cp-2, 0x1.b77662c3a7da6p-2, 0x1.b590923372759p-2, 0x1.b39b6ec3cac34p-2, 0x1.b1976652338c5p-2, 0x1.af84e66d67097p-2, 0x1.ad645c3f72e63p-2, 0x1.ab36346e887a5p-2, 0x1.a8fadb0fe1f5dp-2, 0x1.a6b2bb8be6812p-2, 0x1.a45e409561146p-2, 0x1.a1fdd417663e7p-2, 0x1.9f91df1cfec04p-2, 0x1.9d1ac9c79aad1p-2, 0x1.9a98fb40e030dp-2, 0x1.980cd9af7e313p-2, 0x1.9576ca2b318cp-2, 0x1.92d730b032998p-2, 0x1.902e7014f46b2p-2, 0x1.8d7cea022b392p-2, 0x1.8ac2fee6cf6d6p-2, 0x1.88010dfa74366p-2, 0x1.8537752964ca1p-2, 0x1.82669116d0c06p-2, 0x1.7f8ebd15b8144p-2, 0x1.7cb0531ef9fd6p-2, 0x1.79cbabd2a4828p-2, 0x1.76e11e71c138p-2, 0x1.73f100da22cebp-2, 0x1.70fba783bf568p-2, 0x1.6e01657e6d056p-2, 0x1.6b028c6fd90c9p-2, 0x1.67ff6c9197ef3p-2, 0x1.64f854b0316b1p-2, 0x1.61ed922ae0b32p-2, 0x1.5edf70eed936ap-2, 0x1.5bce3b7d210b2p-2, 0x1.58ba3ae69e40bp-2, 0x1.55a3b6cbd55a3p-2, 0x1.528af56610947p-2, 0x1.4f703b7c4c0a6p-2, 0x1.4c53cc69a2228p-2, 0x1.4935ea1f2d96p-2, 0x1.4616d525ee8b2p-2, 0x1.42f6cca0dbab4p-2, 0x1.3fd60e4e21dfbp-2, 0x1.3cb4d6886803bp-2, 0x1.3993604921829p-2, 0x1.3671e52c15428p-2, 0x1.33509d72e966ap-2, 0x1.302fc0078ccb3p-2, 0x1.2d0f827e4abedp-2, 0x1.29f0191853486p-2, 0x1.26d1b6c485761p-2, 0x1.23b48d2986c75p-2, 0x1.2098cca475cd5p-2, 0x1.1d7ea44b2cf3bp-2, 0x1.1a6641f6bd4f5p-2, 0x1.174fd23c99134p-2, 0x1.143b80777b12dp-2, 0x1.112976cc7a60fp-2, 0x1.0e19de2dc7cd3p-2, 0x1.0b0cde5db9a9ep-2, 0x1.08029df236917p-2, 0x1.04fb4258c194bp-2, 0x1.01f6efdae4162p-2, 0x1.fdeb9344bc116p-3, 0x1.f7efe3798e7c8p-3, 0x1.f1fb123e1404bp-3, 0x1.ec0d5f52725f5p-3, 0x1.e62708559a5fp-3, 0x1.e04848cdf87bbp-3, 0x1.da715a32030d4p-3, 0x1.d4a273f006203p-3, 0x1.cedbcb7167f86p-3, 0x1.c91d94289eebp-3, 0x1.c367ff9923e7fp-3, 0x1.bdbb3d54a5982p-3, 0x1.b8177b17e3531p-3, 0x1.b27ce4c277bbap-3, 0x1.aceba45ecfaf8p-3, 0x1.a763e22fa0964p-3, 0x1.a1e5c4b67cd51p-3, 0x1.9c7170bb5a26cp-3, 0x1.97070954888b2p-3, 0x1.91a6afee69e0fp-3, 0x1.8c508452f1352p-3, 0x1.8704a4b13d558p-3, 0x1.81c32da56c914p-3, 0x1.7c8c3a406eb64p-3, 0x1.775fe40f78f09p-3, 0x1.723e4323a929ap-3, 0x1.6d276e19944aep-3, 0x1.681b7a2055d69p-3, 0x1.631a7b00bba6bp-3, 0x1.5e248324ebef4p-3, 0x1.5939a39ff543bp-3, 0x1.5459ec3563e3p-3, 0x1.4f856b6062e8p-3, 0x1.4abc2e57c4f3p-3, 0x1.45fe41199168ap-3, 0x1.414bae71ffcfap-3, 0x1.3ca47ff8020cap-3, 0x1.3808be2597234p-3, 0x1.33787054e06c3p-3, 0x1.2ef39cc2c51f9p-3, 0x1.2a7a489be9fa4p-3, 0x1.260c780254aep-3, 0x1.21aa2e12f4ee7p-3, 0x1.1d536cec1e818p-3, 0x1.190835b4302bbp-3, 0x1.14c888a00b1dp-3, 0x1.109464f9350bp-3, 0x1.0c6bc923d7fdp-3, 0x1.084eb2a4e547dp-3, 0x1.043d1e281aa0ep-3, 0x1.00370785ea2abp-3, 0x1.f878d3928932p-4, 0x1.f09a7e6af62a1p-4, 0x1.e8d302985e68ep-4, 0x1.e12251a660ef3p-4, 0x1.d9885bb3f049ap-4, 0x1.d2050f7d96d64p-4, 0x1.ca985a6774ac7p-4, 0x1.c3422887ca408p-4, 0x1.bc0264b2529edp-4, 0x1.b4d8f8843875fp-4, 0x1.adc5cc6f67856p-4, 0x1.a6c8c7c172df4p-4, 0x1.9fe1d0ac6d054p-4, 0x1.9910cc59ec321p-4, 0x1.92559ee09f5f7p-4, 0x1.8bb02b5a2ca2fp-4, 0x1.852053fbb1ac2p-4, 0x1.7ea5fa0712bc1p-4, 0x1.7840fddc3e54ep-4, 0x1.71f13f064bbfap-4, 0x1.6bb69c40878bfp-4, 0x1.6590f37d3ee6fp-4, 0x1.5f8021ee43ce5p-4, 0x1.5984040e25ef7p-4, 0x1.539c75a9690fap-4, 0x1.4dc951e73fc8fp-4, 0x1.480a735189af5p-4, 0x1.425fb3dc02c16p-4, 0x1.3cc8eceaba7adp-4, 0x1.3745f7585f734p-4, 0x1.31d6ab7cf2c82p-4, 0x1.2c7ae1352198ep-4, 0x1.27326fe9f64bdp-4, 0x1.21fd2e986757dp-4, 0x1.1cdaf3d886e22p-4, 0x1.17cb95e4186ccp-4, 0x1.12ceea9cb31e5p-4, 0x1.0de4c79169f1fp-4, 0x1.090d020415c99p-4, 0x1.04476eee90e5ep-4, 0x1.ff27c61069086p-5, 0x1.f5e465979f62cp-5, 0x1.ecc464fbd981ap-5, 0x1.e3c76c66440ap-5, 0x1.daed23ac1037bp-5, 0x1.d235325612228p-5, 0x1.c99f3fa6b0b53p-5, 0x1.c12af2b3bd654p-5, 0x1.b8d7f25e73c38p-5, 0x1.b0a5e54e8ab7fp-5, 0x1.a8947229bcc09p-5, 0x1.a0a33f7bec49bp-5, 0x1.98d1f3b4271f4p-5, 0x1.91203541a491dp-5, 0x1.898daa9c2fcd3p-5, 0x1.8219fa49c5d4ep-5, 0x1.7ac4cae5bf52ep-5, 0x1.738dc3275b04dp-5, 0x1.6c7489e7bb115p-5, 0x1.6578c627e52e7p-5, 0x1.5e9a1f1744f6bp-5, 0x1.57d83c1ae208bp-5, 0x1.5132c4d497353p-5, 0x1.4aa961299b293p-5, 0x1.443bb94843b6p-5, 0x1.3de975ad62b62p-5, 0x1.37b23f29bd556p-5, 0x1.3195bee7bfdddp-5, 0x1.2b939e70e25a2p-5, 0x1.25ab87b2a025cp-5, 0x1.1fdd2502d7d83p-5, 0x1.1a282123b930dp-5, 0x1.148c2747aa90bp-5, 0x1.0f08e3157b82cp-5, 0x1.099e00ad0ff27p-5, 0x1.044b2cac43533p-5, 0x1.fe20286702639p-6, 0x1.f3d8c9d32ea83p-6, 0x1.e9bf99fcc90bap-6, 0x1.dfd3f65a06e7ap-6, 0x1.d6153d7c576dep-6, 0x1.cc82cf16382d3p-6, 0x1.c31c0c0270788p-6, 0x1.b9e0564b9b9d7p-6, 0x1.b0cf113180dcdp-6, 0x1.a7e7a1266551bp-6, 0x1.9f296bdc60d41p-6, 0x1.9693d85e55908p-6, 0x1.8e264ed96e9d3p-6, 0x1.85e038c441ab8p-6, 0x1.7dc10111054a6p-6, 0x1.75c813e51f37ap-6, 0x1.6df4deacba258p-6, 0x1.6646d0361645dp-6, 0x1.5ebd58ad609c1p-6, 0x1.5757e999f6d1ep-6, 0x1.5015f5df0152ep-6, 0x1.48f6f1bd5dc4ep-6, 0x1.41fa52d69d58bp-6, 0x1.3b1f903071958p-6, 0x1.34662237c12e6p-6, 0x1.2dcd82c2ca12p-6, 0x1.27552d12164cap-6, 0x1.20fc9dd043bcap-6, 0x1.1ac353113a1d7p-6, 0x1.14a8cc514d5dap-6, 0x1.0eac8a74cdbc9p-6, 0x1.08ce0fc8720bep-6, 0x1.030ce001e3b83p-6, 0x1.fad10081f6e3ap-7, 0x1.efc0ee225f97ep-7, 0x1.e4e898d69ce57p-7, 0x1.da47136cf02ep-7, 0x1.cfdb7390207dcp-7, 0x1.c5a4d1c4e3abdp-7, 0x1.bba2496545c9ap-7, 0x1.b1d2f89ae4cc9p-7, 0x1.a8360059a1083p-7, 0x1.9eca8459f4fd8p-7, 0x1.958fab1438331p-7, 0x1.8c849dbc8114fp-7, 0x1.83a88840b156fp-7, 0x1.7afa99487a2cfp-7, 0x1.727a02382a0e4p-7, 0x1.6a25f734b0178p-7, 0x1.61fdaf280a62dp-7, 0x1.5a0063c2ef0efp-7, 0x1.522d517ad2ffbp-7, 0x1.4a83b78253b07p-7, 0x1.4302d7b92a3bdp-7, 0x1.3ba9f68e90145p-7, 0x1.34785b048a514p-7, 0x1.2d6d4ecadc7e2p-7, 0x1.26881dcf67dbap-7, 0x1.1fc8167b627dep-7, 0x1.192c8a0d417a9p-7, 0x1.12b4cc155d842p-7, 0x1.0c60329a45284p-7, 0x1.062e1650379e4p-7, 0x1.001dd28f08313p-7, 0x1.f45d8a85e219ap-8, 0x1.e8c09db4ef42cp-8, 0x1.dd63a45ca5f9dp-8, 0x1.d24568ccfa694p-8, 0x1.c764b9c506983p-8, 0x1.bcc06a553016ep-8, 0x1.b25751daa7128p-8, 0x1.a8284c151b7e7p-8, 0x1.9e3239509a853p-8, 0x1.9473fe9750aecp-8, 0x1.8aec85dcd223ep-8, 0x1.819abe13428a2p-8, 0x1.787d9b2028f2ep-8, 0x1.6f9415abe81cfp-8, 0x1.66dd2acfb35b4p-8, 0x1.5e57dbade3b67p-8, 0x1.56032d06900adp-8, 0x1.4dde26ddc8da8p-8, 0x1.45e7d4483bc2bp-8, 0x1.3e1f436d5e453p-8, 0x1.368385c59bc1fp-8, 0x1.2f13b08cea884p-8, 0x1.27cedd555b54bp-8, 0x1.20b42a9b4ebbcp-8, 0x1.19c2bc390d796p-8, 0x1.12f9bb9b1cf5bp-8, 0x1.0c58579da3008p-8, 0x1.05ddc412aae09p-8, 0x1.ff1271f0e95dap-9, 0x1.f2b3e2fefb619p-9, 0x1.e69e561097c6dp-9, 0x1.dad048892943cp-9, 0x1.cf48395021543p-9, 0x1.c404a8928fb42p-9, 0x1.b904187ea99f4p-9, 0x1.ae450eeb39c48p-9, 0x1.a3c617af9c1adp-9, 0x1.9985c74f3a9abp-9, 0x1.8f82bd83b676dp-9, 0x1.85bba725010b3p-9, 0x1.7c2f3eeca532ap-9, 0x1.72dc4d36655ecp-9, 0x1.69c1a73916d85p-9, 0x1.60de2b2e61cafp-9, 0x1.5830bcce1049bp-9, 0x1.4fb8438409f71p-9, 0x1.4773a53feb054p-9, 0x1.3f61c3daa2ac3p-9, 0x1.37817ce0ce8f6p-9, 0x1.2fd1a9d418fdfp-9, 0x1.285121df1b334p-9, 0x1.20febce64f732p-9, 0x1.19d95769fb28ep-9, 0x1.12dfd69e8f9a9p-9, 0x1.0c112c1e142b6p-9, 0x1.056c589f7df2dp-9, 0x1.fde0da87af8f2p-10, 0x1.f13916761ced3p-10, 0x1.e4dfc3877f2afp-10, 0x1.d8d35594b175ep-10, 0x1.cd124d47a577ap-10, 0x1.c19b2f07967ap-10, 0x1.b66c7aa9e0a72p-10, 0x1.ab84a50d684a6p-10, 0x1.a0e214722472fp-10, 0x1.96831ff79151dp-10, 0x1.8c66123684771p-10, 0x1.82892e8fbead5p-10, 0x1.78eab86b06cf5p-10, 0x1.6f88fb6eaff14p-10, 0x1.66625392327c6p-10, 0x1.5d7533f07de1fp-10, 0x1.54c02b65819d5p-10, 0x1.4c41e652ac8aep-10, 0x1.43f92d583d0f7p-10, 0x1.3be4e14bdbc59p-10, 0x1.3403f5225b863p-10, 0x1.2c5566c906319p-10, 0x1.24d837fb20129p-10, 0x1.1d8b67fcc26e7p-10, 0x1.166deee5a92b1p-10, 0x1.0f7ebad60a79ap-10, 0x1.08bcaf3039605p-10, 0x1.0226a5bea95fep-10, 0x1.f776e3026c0f4p-11, 0x1.eaf3c59551eddp-11, 0x1.dec1982955dbdp-11, 0x1.d2de0dfdf1266p-11, 0x1.c746f19a8603fp-11, 0x1.bbfa2bb7f5f72p-11, 0x1.b0f5c757847dcp-11, 0x1.a637f2b5b50efp-11, 0x1.9bbefd3bb83cep-11, 0x1.918952f8b7044p-11, 0x1.87957646f451p-11, 0x1.7de1f81243cf2p-11, 0x1.746d70f944588p-11, 0x1.6b367e85bff27p-11, 0x1.623bbabc5c78fp-11, 0x1.597bb94cb99eap-11, 0x1.50f50ddd146a9p-11, 0x1.48a64649b14e4p-11, 0x1.408dee0dc18e6p-11, 0x1.38aa94b3686b5p-11, 0x1.30facf58da403p-11, 0x1.297d38dab1127p-11, 0x1.2230713d6b999p-11, 0x1.1b131d02819f6p-11, 0x1.1423e5c30d2c2p-11, 0x1.0d617d073d857p-11, 0x1.06caa12d398p-11, 0x1.005e22f44e48dp-11, 0x1.f435d3079a335p-12, 0x1.e7ffe5ede2666p-12, 0x1.dc18a11568069p-12, 0x1.d07e3e4a06051p-12, 0x1.c52efcd77397fp-12, 0x1.ba2912d49a1eep-12, 0x1.af6aa6cbf4ab3p-12, 0x1.a4f1d3fcfedcfp-12, 0x1.9abcb72baa1d2p-12, 0x1.90c97e34919cfp-12, 0x1.8716731132719p-12, 0x1.7da1fc7b5c457p-12, 0x1.746a92802b0a9p-12, 0x1.6b6eaaa100187p-12, 0x1.62aca383b9779p-12, 0x1.5a22b9a6ce1b8p-12, 0x1.51cf0c095c0c2p-12, 0x1.49afb1ca35cddp-12, 0x1.41c2dabcd08f6p-12, 0x1.3a06efbcbb8ccp-12, 0x1.327aa692a05d5p-12, 0x1.2b1d013bf249fp-12, 0x1.23ed381ba5601p-12, 0x1.1cea96e70545fp-12, 0x1.1614594e90589p-12, 0x1.0f6993d4c4043p-12, 0x1.08e92f402a657p-12, 0x1.0291f4e33ab8ap-12, 0x1.f8c54790585bbp-13, 0x1.ecb40a59205c1p-13, 0x1.e0edf21ee520dp-13, 0x1.d570ef61869cap-13, 0x1.ca3b117df5a2ap-13, 0x1.bf4a67a1ad36ap-13, 0x1.b49cdf0d2b7afp-13, 0x1.aa302adb6610bp-13, 0x1.a001c0cbde507p-13, 0x1.960ef2a39c5f3p-13, 0x1.8c55234ba3544p-13, 0x1.82d20ac90bd96p-13, 0x1.7983f14d0f74cp-13, 0x1.7069c6f0a9004p-13, 0x1.678307d2cfc3fp-13, 0x1.5ecf77e01114ep-13, 0x1.564edfed11ff6p-13, 0x1.4e00c8bc04f8fp-13, 0x1.45e46284d5005p-13, 0x1.3df8ac281fb96p-13, 0x1.363c75cc69746p-13, 0x1.2eae7fead64f1p-13, 0x1.274d91423f0dfp-13, 0x1.201869d4b124p-13, 0x1.190dac2907f21p-13, 0x1.122bcb029d83fp-13, 0x1.0b710d2d42715p-13, 0x1.04dba882c298ap-13, 0x1.fcd3cbdf470c4p-14, 0x1.f03470d300825p-14, 0x1.e3d67a0ceac79p-14, 0x1.d7b75bec71103p-14, 0x1.cbd4b8a709ed7p-14, 0x1.c02c7b4c11fdap-14, 0x1.b4bd0ef139983p-14, 0x1.a985871bbafd8p-14, 0x1.9e859004d768dp-14, 0x1.93bd2512f57a4p-14, 0x1.892c3940124e3p-14, 0x1.7ed28134a3fdap-14, 0x1.74af67c77dfd5p-14, 0x1.6ac217d644849p-14, 0x1.610991ae48423p-14, 0x1.5784cfe78bb07p-14, 0x1.4e32e7ee4133fp-14, 0x1.4512fba1b1474p-14, 0x1.3c23f2d716b1p-14, 0x1.33642eee3edfdp-14, 0x1.2ad1759f31c8p-14, 0x1.226924ec99b9cp-14, 0x1.1a2896227a94dp-14, 0x1.120d859cd624p-14, 0x1.0a16573f0069p-14, 0x1.02421bf006d56p-14, 0x1.f520abaaac5d7p-15, 0x1.e60131b37a864p-15, 0x1.d72473b19171ep-15, 0x1.c8887530ea848p-15, 0x1.ba2aff9a3dc14p-15, 0x1.ac0a584a56979p-15, 0x1.9e25c0c5db1cp-15, 0x1.907d781693f11p-15, 0x1.8312477b56806p-15, 0x1.75e4bd3288535p-15, 0x1.68f469af4f35ap-15, 0x1.5c3fc3e477221p-15, 0x1.4fc4f1a8b5829p-15, 0x1.4382a3eeba62p-15, 0x1.3778141b0e3fcp-15, 0x1.2ba459131419cp-15, 0x1.2006025ffaa4bp-15, 0x1.149b4babf2c62p-15, 0x1.09627650f00f6p-15, 0x1.fcb3bfdf1a40bp-16, 0x1.e6ffc618b5c0fp-16, 0x1.d1a593c10f889p-16, 0x1.bca1eacbba6d6p-16, 0x1.a7f239036a99ep-16, 0x1.93953fda07978p-16, 0x1.7f8b09c617a05p-16, 0x1.6bd39b524de3dp-16, 0x1.586e5f978d093p-16, 0x1.4558728e80a27p-16, 0x1.328ce35aa86d5p-16, 0x1.20075d837f7b6p-16, 0x1.0dc6e45823b71p-16, 0x1.f79d0cd593073p-17, 0x1.d44531a9a6e4p-17, 0x1.b188ebd098bb3p-17, 0x1.8f6243ed45626p-17, 0x1.6dc8ba43c00e2p-17, 0x1.4cb82bd219effp-17, 0x1.2c304dd260f47p-17, 0x1.0c2fdc50a8e8fp-17, 0x1.d965a4a94ca1fp-18, 0x1.9b68cb9193c13p-18, 0x1.5e625e40cfc85p-18, 0x1.224f6f1cc777fp-18, 0x1.ce5fb7bd7d75bp-19, 0x1.5a091fbd7d54cp-19, 0x1.cf37449018fb4p-20, 0x1.dc4fa1a02754dp-21, 0x1.0d289b2f844c6p-24, -0x1.91ca5a4af98bp-21, -0x1.9f2236804b2f9p-20, -0x1.38ff0c4739986p-19, -0x1.a0bb5fb69c7c3p-19, -0x1.035c90a655789p-18, -0x1.35796f187c994p-18, -0x1.66bffbfbc30f2p-18, -0x1.97457c6353bf4p-18, -0x1.c712aea57796cp-18, -0x1.f618ba5f16794p-18, -0x1.122259f50346p-17, -0x1.28cbd3db3250dp-17, -0x1.3f115543d884fp-17, -0x1.54f85baa4df47p-17, -0x1.6a7fa95f10ba8p-17, -0x1.7fa54a610ff31p-17, -0x1.946ab0a500b14p-17, -0x1.a8d2f876cb42cp-17, -0x1.bce07b07378a7p-17, -0x1.d094600e5cdacp-17, -0x1.e3ef2e72f6f8ap-17, -0x1.f6f138667b738p-17, -0x1.04cd528beaaa9p-16, -0x1.0df5aa66cb1a8p-16, -0x1.16f1773460926p-16, -0x1.1fc09818b66aep-16, -0x1.28632df227398p-16, -0x1.30d9dd26d0b08p-16, -0x1.3926204a2fbf2p-16, -0x1.4149fb4d89e7p-16, -0x1.494656e802a6ap-16, -0x1.5119e11590a0fp-16, -0x1.58c2d411d4d93p-16, -0x1.6041979ec2496p-16, -0x1.679899df6afecp-16, -0x1.6ec9ba386328bp-16, -0x1.75d482ddf5fc1p-16, -0x1.7cb73b22e618dp-16, -0x1.8371d7d74888dp-16, -0x1.8a06b7e5b44f9p-16, -0x1.9077432e6f9fbp-16, -0x1.96c28e8b95b6ep-16, -0x1.9ce7af8b96f61p-16, -0x1.a2e704dc8e72ap-16, -0x1.a8c1bd130216ap-16, -0x1.ae7881f2fcf22p-16, -0x1.b40b8c4070f49p-16, -0x1.b97b03778a151p-16, -0x1.bec71c64ba50bp-16, -0x1.c3f01a029b3a7p-16, -0x1.c8f644facfe0bp-16, -0x1.cdd9e090d8c1p-16, -0x1.d29b237676aaep-16, -0x1.d73a3b88a0e0bp-16, -0x1.dbb759141b3e1p-16, -0x1.e012afdd0276dp-16, -0x1.e44c797c9f175p-16, -0x1.e8653610910dbp-16, -0x1.ec5dc74a097a7p-16, -0x1.f0369628f0524p-16, -0x1.f3ef4ba848a75p-16, -0x1.f78828baaab03p-16, -0x1.fb01f51dde213p-16, -0x1.fe5c7b9a78f1p-16, -0x1.00cb9fa39ace2p-15, -0x1.02597bcf107fdp-15, -0x1.03d85bd80ca6dp-15, -0x1.05485fee32fa1p-15, -0x1.06a9a48d5c564p-15, -0x1.07fc5373b0d77p-15, -0x1.0940575a02d5ep-15, -0x1.0a75b964e212cp-15, -0x1.0b9cb7a53a8c5p-15, -0x1.0cb586fe463b2p-15, -0x1.0dc04a562efc9p-15, -0x1.0ebd207af3024p-15, -0x1.0fac29d0d7b39p-15, -0x1.108d884ff4418p-15, -0x1.11615e9352b9ep-15, -0x1.1227cf4afe76ap-15, -0x1.12e0fd0a9729ep-15, -0x1.138d0a57b9db4p-15, -0x1.142c19b89b9ccp-15, -0x1.14be4db756c7ap-15, -0x1.1543c8fbee8bfp-15, -0x1.15bcae545c822p-15, -0x1.162920929ff6cp-15, -0x1.16894280ce4ffp-15, -0x1.16dd372cec69fp-15, -0x1.17252156150fcp-15, -0x1.176122af9c231p-15, -0x1.17915ce02e2c4p-15, -0x1.17b5f1736f4a6p-15, -0x1.17cf01de4446cp-15, -0x1.17dcaf328d7f5p-15, -0x1.17df1aec2953cp-15, -0x1.17d66c78ebacfp-15, -0x1.17c2cbdaae19ap-15, -0x1.17a4533521578p-15, -0x1.177b1bc4a6a6ep-15, -0x1.1747418d7893dp-15, -0x1.1708f597a78a4p-15, -0x1.16c062f19ff98p-15, -0x1.166d9c9160a45p-15, -0x1.1610c130056c1p-15, -0x1.15aa0813a4096p-15, -0x1.15398b4c400a6p-15, -0x1.14bf5f4243449p-15, -0x1.143b98292cb98p-15, -0x1.13ae4f96c550fp-15, -0x1.1317c5f71a15fp-15, -0x1.12781fd082039p-15, -0x1.11cf775f3323ap-15, -0x1.111dea3cfead7p-15, -0x1.106398890ca6cp-15, -0x1.0fa0a321ac79cp-15, -0x1.0ed529e2afd5ap-15, -0x1.0e014da0e1e02p-15, -0x1.0d253a272fa4ep-15, -0x1.0c411d4ed5a2cp-15, -0x1.0b54fed6520f3p-15, -0x1.0a60e87f93b58p-15, -0x1.0964ff831618cp-15, -0x1.08617f8b5fb39p-15, -0x1.07568780ae164p-15, -0x1.0644274e20014p-15, -0x1.052a7d9a62a4dp-15, -0x1.0409acf1168b1p-15, -0x1.02e1d54bdc497p-15, -0x1.01b3166d36dc3p-15, -0x1.007d98c321773p-15, -0x1.fe8302a45423ep-16, -0x1.fbfdac8359f39p-16, -0x1.f96b581e7591cp-16, -0x1.f6cc7878b9177p-16, -0x1.f4215822e6725p-16, -0x1.f16a133057799p-16, -0x1.eea6dfbd11f34p-16, -0x1.ebd7fe7a3edb2p-16, -0x1.e8fdade591906p-16, -0x1.e6182a15070fdp-16, -0x1.e327adf43e91p-16, -0x1.e02c73c8b4055p-16, -0x1.dd26b534bc9fep-16, -0x1.da16ab1b9f0b6p-16, -0x1.d6fc8db3cc6c3p-16, -0x1.d3d894edb69e5p-16, -0x1.d0aaf8eed160ap-16, -0x1.cd73f2432fec9p-16, -0x1.ca33b850dbf53p-16, -0x1.c6ea7fe1234dfp-16, -0x1.c3988399f18f5p-16, -0x1.c03e0edf73d4ep-16, -0x1.bcdb4551d0668p-16, -0x1.b9703c30fb902p-16, -0x1.b5fd4ecd7a44ep-16, -0x1.b282b88b3eea9p-16, -0x1.af009a95bca9dp-16, -0x1.ab77297873a6ap-16, -0x1.a7e69bf2e4b3fp-16, -0x1.a44f263409e88p-16, -0x1.a0b0fb4cf9e5fp-16, -0x1.9d0c4e397838bp-16, -0x1.996151f421b5ep-16, -0x1.95b0385ef337ep-16, -0x1.91f93139101a7p-16, -0x1.8e3c6f108f64bp-16, -0x1.8a7a2cb38ba03p-16, -0x1.86b28ca1b7e64p-16, -0x1.82e5b8eb67044p-16, -0x1.7f13ee6a04fe4p-16, -0x1.7b3d6a19489f5p-16, -0x1.776276fc6b7e8p-16, -0x1.738310e875ee5p-16, -0x1.6f9f4c35dde71p-16, -0x1.6bb735047f253p-16, -0x1.67cb31dfda276p-16, -0x1.63db8940d0d87p-16, -0x1.5fe85895e54b6p-16, -0x1.5bf1c392f341p-16, -0x1.57f7f3905790ap-16, -0x1.53fb12e226bbcp-16, -0x1.4ffb4bbe5b6dp-16, -0x1.4bf8c8411c4dep-16, -0x1.47f3b1c970888p-16, -0x1.43ec2f8da19e4p-16, -0x1.3fe2698afe1b6p-16, -0x1.3bd68f994e003p-16, -0x1.37c8bfcba8e3fp-16, -0x1.33b92632aeb8fp-16, -0x1.2fa7ec00317dbp-16, -0x1.2b95306825e49p-16, -0x1.27811aef40addp-16, -0x1.236bd227f6f3fp-16, -0x1.1f557b155f9efp-16, -0x1.1b3e39f3adb1bp-16, -0x1.1726327a36d63p-16, }}, 
      {{0x1.422647cfe5b0ep+0, 0x1.5cda898fbb339p+0, 0x1.735fb34e8fe12p+0, 0x1.8028ceec37af2p+0, 0x1.829537714c43bp+0, 0x1.7c3546f8a009bp+0, 0x1.6f5901a3239f3p+0, 0x1.5e55c3bab06c8p+0, 0x1.4b31812cd8d69p+0, 0x1.378512bafd87p+0, 0x1.247aec42bfbd3p+0, 0x1.12db2dfa26156p+0, 0x1.031cc8d284e3p+0, 0x1.eaeeb4daa0129p-1, 0x1.d3e738f0a774dp-1, 0x1.c0f2f9292e418p-1, 0x1.b1b73a051d7bp-1, 0x1.a5c0b0f27a28fp-1, 0x1.9c911d8050648p-1, 0x1.95a920d6ce8a3p-1, 0x1.908f03f846f33p-1, 0x1.8cd3113b3310ap-1, 0x1.8a121217b804ep-1, 0x1.87f66c3b50e75p-1, 0x1.863842c462e38p-1, 0x1.849cec2956e4p-1, 0x1.82f5fae2ae914p-1, 0x1.812007451f6a6p-1, 0x1.7f015c30a9445p-1, 0x1.7c889dd4c99f2p-1, 0x1.79ab7abf481fep-1, 0x1.766571a89e329p-1, 0x1.72b6b235f5aa3p-1, 0x1.6ea31c4f9f242p-1, 0x1.6a315f4bab821p-1, 0x1.656a3840be552p-1, 0x1.6057cdd363868p-1, 0x1.5b05274420639p-1, 0x1.557dbc1933761p-1, 0x1.4fcd198b127b3p-1, 0x1.49fe9ae8dd225p-1, 0x1.441d3259186ecp-1, 0x1.3e333f8e031f7p-1, 0x1.384a723718649p-1, 0x1.326bb62ff2b01p-1, 0x1.2c9f27a7ed7e4p-1, 0x1.26ec0db994df6p-1, 0x1.2158da217753dp-1, 0x1.1beb2cf61e922p-1, 0x1.16a7db6f1000fp-1, 0x1.1192f8f03abb5p-1, 0x1.0cafe1b229edap-1, 0x1.0801467dba01ep-1, 0x1.0389390c561c7p-1, 0x1.fe9271680daa5p-2, 0x1.f6847e328969ap-2, 0x1.eee9995fb7ebfp-2, 0x1.e7c1e9c22f747p-2, 0x1.e10cd37005e7ap-2, 0x1.dac90dfb09323p-2, 0x1.d4f4b96aae671p-2, 0x1.cf8d71e5f15abp-2, 0x1.ca90620512f9fp-2, 0x1.c5fa53ca75b92p-2, 0x1.c1c7c0479cc78p-2, 0x1.bdf4ddf7eb9c1p-2, 0x1.ba7daddccd0fp-2, 0x1.b75e07699fa48p-2, 0x1.b491a34f4744cp-2, 0x1.b2142535dbfa8p-2, 0x1.afe124771d1d3p-2, 0x1.adf433e77b926p-2, 0x1.ac48e8bf9609dp-2, 0x1.aadae0b5bbcb9p-2, 0x1.a9a5c754d97cap-2, 0x1.a8a55aa3d5d07p-2, 0x1.a7d56f2513fe4p-2, 0x1.a731f3441514dp-2, 0x1.a6b6f234267a7p-2, 0x1.a6609657551f2p-2, 0x1.a62b2b2d3bd29p-2, 0x1.a6131ee1701f4p-2, 0x1.a61503750d60fp-2, 0x1.a62d8f9d9ddc6p-2, 0x1.a6599f4ea34efp-2, 0x1.a696340cb58fbp-2, 0x1.a6e074f73a185p-2, 0x1.a735aead5204bp-2, 0x1.a79352f5eff33p-2, 0x1.a7f6f84ca0851p-2, 0x1.a85e5943ae09dp-2, 0x1.a8c753ca1d16cp-2, 0x1.a92fe85fc25a8p-2, 0x1.a996392480d45p-2, 0x1.a9f888ebfce5ep-2, 0x1.aa553a2d40c62p-2, 0x1.aaaacdf7f5004p-2, 0x1.aaf7e2dc72ae5p-2, 0x1.ab3b33c396e97p-2, 0x1.ab7396dbee5bap-2, 0x1.ab9ffc673c0efp-2, 0x1.abbf6d9d24083p-2, 0x1.abd10b8e21873p-2, 0x1.abd40df825c9dp-2, 0x1.abc7c23680aa9p-2, 0x1.abab8a29f1fa3p-2, 0x1.ab7edb1f76b6ap-2, 0x1.ab413cd4017d4p-2, 0x1.aaf2486980e65p-2, 0x1.aa91a769648acp-2, 0x1.aa1f12da06219p-2, 0x1.a99a524efa274p-2, 0x1.a9033b0128d6p-2, 0x1.a859af01d5eefp-2, 0x1.a79d9c5fe30a3p-2, 0x1.a6cefc5daed03p-2, 0x1.a5edd2b951456p-2, 0x1.a4fa2cf2640b3p-2, 0x1.a3f421937f49cp-2, 0x1.a2dbcf907148cp-2, 0x1.a1b15dace426dp-2, 0x1.a074f9d62a44dp-2, 0x1.9f26d89c328c4p-2, 0x1.9dc734ab41be9p-2, 0x1.9c564e43ad268p-2, 0x1.9ad46abbd8af4p-2, 0x1.9941d416f0fb2p-2, 0x1.979ed890adc49p-2, 0x1.95ebca3225885p-2, 0x1.9428fe7120657p-2, 0x1.9256cdd990083p-2, 0x1.907593af9659bp-2, 0x1.8e85ad989a06p-2, 0x1.8c877b568c8a1p-2, 0x1.8a7b5e7b78a78p-2, 0x1.8861ba2201489p-2, 0x1.863af2a930c66p-2, 0x1.84076d7e8b70ep-2, 0x1.81c790e38bdp-2, 0x1.7f7bc3b3184b8p-2, 0x1.7d246d2ee4531p-2, 0x1.7ac1f4d8050cep-2, 0x1.7854c23e534d9p-2, 0x1.75dd3cd79eac6p-2, 0x1.735bcbd7066a5p-2, 0x1.70d0d60f3c6d7p-2, 0x1.6e3cc1d1551b4p-2, 0x1.6b9ff4caeb3cdp-2, 0x1.68fad3ea34baap-2, 0x1.664dc345e3c14p-2, 0x1.6399260814fdap-2, 0x1.60dd5e53d0819p-2, 0x1.5e1acd3126964p-2, 0x1.5b51d27be0433p-2, 0x1.5882ccd3ce218p-2, 0x1.55ae198d44ec4p-2, 0x1.52d414a0ee19dp-2, 0x1.4ff5189f8175p-2, 0x1.4d117ea88c3d8p-2, 0x1.4a299e613bcd9p-2, 0x1.473dcde8b90cp-2, 0x1.444e61d193879p-2, 0x1.415bad19b4faep-2, 0x1.3e6601278abdfp-2, 0x1.3b6dadc4edc0dp-2, 0x1.38730118b7dfbp-2, 0x1.357647a455908p-2, 0x1.3277cc419ad9fp-2, 0x1.2f77d821fd6a5p-2, 0x1.2c76b2cd5c545p-2, 0x1.2974a220976b9p-2, 0x1.2671ea4d51412p-2, 0x1.236ecddb139c2p-2, 0x1.206b8da809127p-2, 0x1.1d6868ecb6f8bp-2, 0x1.1a659d3a99949p-2, 0x1.1763668040208p-2, 0x1.1461ff0bdddccp-2, 0x1.11619f8d9928cp-2, 0x1.0e627f1c1c123p-2, 0x1.0b64d33774209p-2, 0x1.0868cfccd580ep-2, 0x1.056ea73b07f5cp-2, 0x1.02768a56e1d9fp-2, 0x1.ff0150dfa18aep-3, 0x1.f91a5ea91e1cep-3, 0x1.f33896b0a63c5p-3, 0x1.ed5c4eb06b7e3p-3, 0x1.e785d97e98bbcp-3, 0x1.e1b5871aa4515p-3, 0x1.dbeba4b6ad0dfp-3, 0x1.d6287cc30934ap-3, 0x1.d06c56fda87f1p-3, 0x1.cab778777c9f3p-3, 0x1.c50a23a1d990ap-3, 0x1.bf64985aa04b3p-3, 0x1.b9c713f924d03p-3, 0x1.b431d15a7421dp-3, 0x1.aea508ec22a1cp-3, 0x1.a920f0b6d6b58p-3, 0x1.a3a5bc6a2b583p-3, 0x1.9e339d69efe01p-3, 0x1.98cac2db34c08p-3, 0x1.936b59af87dc7p-3, 0x1.8e158caf4ec97p-3, 0x1.88c98484dd4fep-3, 0x1.838767c785c22p-3, 0x1.7e4f5b0b7fd1bp-3, 0x1.792180eb3af07p-3, 0x1.73fdfa1198e98p-3, 0x1.6ee4e547d76adp-3, 0x1.69d65f7be2807p-3, 0x1.64d283cec20f7p-3, 0x1.5fd96ba0c8edcp-3, 0x1.5aeb2e9bc7909p-3, 0x1.5607e2bcd44bdp-3, 0x1.512f9c5e74533p-3, 0x1.4c626e437588bp-3, 0x1.47a069a222034p-3, 0x1.42e99e2ed7e49p-3, 0x1.3e3e1a25b1ee4p-3, 0x1.399dea53cf54dp-3, 0x1.35091a20fc547p-3, 0x1.307fb399bd4a8p-3, 0x1.2c01bf79580bdp-3, 0x1.278f45336ae24p-3, 0x1.23284afcd803dp-3, 0x1.1eccd5d356793p-3, 0x1.1a7ce987e33f6p-3, 0x1.163888c7a3f37p-3, 0x1.11ffb521f8362p-3, 0x1.0dd26f164efa9p-3, 0x1.09b0b6182ac9cp-3, 0x1.059a889736999p-3, 0x1.018fe4089bb34p-3, 0x1.fb2189dd4a242p-4, 0x1.f33a4dc0f889ap-4, 0x1.eb6a0923ab318p-4, 0x1.e3b0afb4a3004p-4, 0x1.dc0e3379428ebp-4, 0x1.d48284db39ac6p-4, 0x1.cd0d92b67ddd5p-4, 0x1.c5af4a674f283p-4, 0x1.be6797d819b59p-4, 0x1.b736658e7b881p-4, 0x1.b01b9cb7bf3a1p-4, 0x1.a9172535b77dp-4, 0x1.a228e5ab52787p-4, 0x1.9b50c388979fcp-4, 0x1.948ea316afbcdp-4, 0x1.8de26783ef708p-4, 0x1.874bf2ef3ecbep-4, 0x1.80cb26718be39p-4, 0x1.7a5fe22b1b78dp-4, 0x1.740a054e1b886p-4, 0x1.6dc96e238a517p-4, 0x1.679dfa1ee0b0ap-4, 0x1.618785e2d732dp-4, 0x1.5b85ed4921614p-4, 0x1.55990b6f35e6ep-4, 0x1.4fc0babefb942p-4, 0x1.49fcd4f746012p-4, 0x1.444d3334c45ccp-4, 0x1.3eb1adfaf1a3ep-4, 0x1.392a1d3c9e1b8p-4, 0x1.33b658640ad77p-4, 0x1.2e56365ad0203p-4, 0x1.29098d91c8988p-4, 0x1.23d03408c823fp-4, 0x1.1ea9ff55f6ca8p-4, 0x1.1996c4acebc16p-4, 0x1.149658e5cdba1p-4, 0x1.0fa890847bd03p-4, 0x1.0acd3fbf8562cp-4, 0x1.06043a86aaa6dp-4, 0x1.014d5488cdac6p-4, 0x1.f950c2734bfcap-5, 0x1.f02a67af5379cp-5, 0x1.e7273ee4b110ap-5, 0x1.de46ede16743bp-5, 0x1.d5891a2e8c52ep-5, 0x1.cced6918ebd02p-5, 0x1.c4737fba26dd2p-5, 0x1.bc1b030758025p-5, 0x1.b3e397cf8a868p-5, 0x1.abcce2ccffb3bp-5, 0x1.a3d688b75cacep-5, 0x1.9c002e4008285p-5, 0x1.9449781f6926bp-5, 0x1.8cb20b1ee6436p-5, 0x1.85398c1e36485p-5, 0x1.7ddfa019e6622p-5, 0x1.76a3ec334ef2bp-5, 0x1.6f8615b91d386p-5, 0x1.6885c22fa1d96p-5, 0x1.61a2975873072p-5, 0x1.5adc3b39266b3p-5, 0x1.543254211c2c2p-5, 0x1.4da488ae80583p-5, 0x1.47327fd31f45fp-5, 0x1.40dbe0d9b6ddp-5, 0x1.3aa0536bf8d8cp-5, 0x1.347f7f98c8db5p-5, 0x1.2e790dda2dccep-5, 0x1.288ca71ab67ep-5, 0x1.22b9f4ba2c9c3p-5, 0x1.1d00a091ccda5p-5, 0x1.176054f807d3ep-5, 0x1.11d8bcc3d149dp-5, 0x1.0c69834fe0f34p-5, 0x1.0712547e30e05p-5, 0x1.01d2dcbbfdb1ep-5, 0x1.f955920c14bd5p-6, 0x1.ef338dd99547bp-6, 0x1.e53f0930195d4p-6, 0x1.db776192110c6p-6, 0x1.d1dbf5b797005p-6, 0x1.c86c259cc09adp-6, 0x1.bf27527c1406p-6, 0x1.b60cdecb61c76p-6, 0x1.ad1c2e5a67588p-6, 0x1.a454a643d089bp-6, 0x1.9bb5aceb0b982p-6, 0x1.933eaa0be29aep-6, 0x1.8aef06beb0279p-6, 0x1.82c62d7ab8f9p-6, 0x1.7ac38a18fa669p-6, 0x1.72e689d5f044fp-6, 0x1.6b2e9b52c91d3p-6, 0x1.639b2e96b304bp-6, 0x1.5c2bb510c8326p-6, 0x1.54dfa19ac14f6p-6, 0x1.4db6687b77ef1p-6, 0x1.46af7f687a794p-6, 0x1.3fca5d86b5c12p-6, 0x1.39067b6ae9d52p-6, 0x1.3263531a92ea8p-6, 0x1.2be0600d5acd2p-6, 0x1.257d1f2e48293p-6, 0x1.1f390edc5fb08p-6, 0x1.1913aeea738c8p-6, 0x1.130c809e49396p-6, 0x1.0d2306afbbdd2p-6, 0x1.0756c5483b80dp-6, 0x1.01a7420312bb1p-6, 0x1.f82807dc127a3p-7, 0x1.ed39271395203p-7, 0x1.e280f592d747bp-7, 0x1.d7fe8a212c4dfp-7, 0x1.cdb0fe6266316p-7, 0x1.c3976ed2ee551p-7, 0x1.b9b0fac593f5ep-7, 0x1.affcc462f15adp-7, 0x1.a679f0a8fb3dfp-7, 0x1.9d27a768a3a09p-7, 0x1.9405133deaf3bp-7, 0x1.8b11619110164p-7, 0x1.824bc29dfdb22p-7, 0x1.79b3694d86d5bp-7, 0x1.71478b46d2ec6p-7, 0x1.69076106247fbp-7, 0x1.60f225ae3ee62p-7, 0x1.5907170f1168ap-7, 0x1.514575af302a5p-7, 0x1.49ac84c2ace1ap-7, 0x1.423b8a222ec15p-7, 0x1.3af1ce4409aebp-7, 0x1.33ce9c36d4fa1p-7, 0x1.2cd1419dc20f4p-7, 0x1.25f90eadc24fcp-7, 0x1.1f45562a5c494p-7, 0x1.18b56d616ee77p-7, 0x1.1248ac258fbcep-7, 0x1.0bfe6cc72c379p-7, 0x1.05d60c0d2c2abp-7, 0x1.ff9dd25b9bd19p-8, 0x1.f3d0cb906ddd8p-8, 0x1.e843cbbe9502dp-8, 0x1.dcf59fa8ab04ap-8, 0x1.d1e518c5adaddp-8, 0x1.c7110d383a9ddp-8, 0x1.bc7857c72f6e6p-8, 0x1.b219d7d3ba031p-8, 0x1.a7f4714d7e3c6p-8, 0x1.9e070ca440a8ep-8, 0x1.945096b84dcc6p-8, 0x1.8ad000caf51afp-8, 0x1.8184407089839p-8, 0x1.786c4f829144cp-8, 0x1.6f872c128ee03p-8, 0x1.66d3d85cafe14p-8, 0x1.5e515abbc80f5p-8, 0x1.55febd9ec4654p-8, 0x1.4ddb0f80bfe29p-8, 0x1.45e562e2dc691p-8, 0x1.3e1cce47400e5p-8, 0x1.36806c2a4bd88p-8, 0x1.2f0f5af8a2338p-8, 0x1.27c8bd001fbep-8, 0x1.20abb85a21577p-8, 0x1.19b776cd25c8ep-8, 0x1.12eb25c2856bp-8, 0x1.0c45f64a3c1cp-8, 0x1.05c71ccedfd9p-8, 0x1.fedba2629b7f4p-9, 0x1.f2729de6dd2ccp-9, 0x1.e651a9ce060dcp-9, 0x1.da774a7f30c58p-9, 0x1.cee20b5c6909bp-9, 0x1.c3907ead3b6fbp-9, 0x1.b8813d7ea59d3p-9, 0x1.adb2e77840043p-9, 0x1.a32422a463857p-9, 0x1.98d39b31e8535p-9, 0x1.8ec0033ad7783p-9, 0x1.84e8129a88545p-9, 0x1.7b4a86da8f474p-9, 0x1.71e623378cdb5p-9, 0x1.68b9b0b85f351p-9, 0x1.5fc3fe4cf4f18p-9, 0x1.5703e0e85a6abp-9, 0x1.4e783388c7cdep-9, 0x1.461fd7253c07fp-9, 0x1.3df9b27c5255ep-9, 0x1.3604b1c75a385p-9, 0x1.2e3fc65afb20ap-9, 0x1.26a9e6438d3cap-9, 0x1.1f420bee323eap-9, 0x1.180735f015e11p-9, 0x1.10f866f990a43p-9, 0x1.0a14a5fc3c695p-9, 0x1.035afe7ea261ap-9, 0x1.f9950218be811p-10, 0x1.ecc487519ec4cp-10, 0x1.e042c44f04ab3p-10, 0x1.d40dfc9f9fe52p-10, 0x1.c8247f6cd59d8p-10, 0x1.bc84a6a2835a7p-10, 0x1.b12cd5913eecbp-10, 0x1.a61b7744b418ap-10, 0x1.9b4efcd1102ap-10, 0x1.90c5dbd7f9a5dp-10, 0x1.867e8d91a0637p-10, 0x1.7c778e8d53329p-10, 0x1.72af5f3cb717dp-10, 0x1.6924853df2db8p-10, 0x1.5fd58d347826bp-10, 0x1.56c10ce41ab18p-10, 0x1.4de5a52ff42cap-10, 0x1.454203968cca5p-10, 0x1.3cd4e2c9d396ep-10, 0x1.349d0a6a00f43p-10, 0x1.2c994e250aa7dp-10, 0x1.24c88aca70a32p-10, 0x1.1d29a36b5ed15p-10, 0x1.15bb7f6405fdfp-10, 0x1.0e7d0691a0dbap-10, 0x1.076d1f4565953p-10, 0x1.008aaddf5bbd6p-10, 0x1.f3a92a1784a4fp-11, 0x1.e6936e59479a8p-11, 0x1.d9d1f19ca274p-11, 0x1.cd628775f7d98p-11, 0x1.c1431466cfe6ep-11, 0x1.b57193a00c6a9p-11, 0x1.a9ec1b2d904d9p-11, 0x1.9eb0dddd3e3fep-11, 0x1.93be2a826a767p-11, 0x1.8912689ed9df7p-11, 0x1.7eac12e1545e8p-11, 0x1.7489b042aeeb5p-11, 0x1.6aa9ccc198457p-11, 0x1.610af2c6d884fp-11, 0x1.57aba619de477p-11, 0x1.4e8a6107ed895p-11, 0x1.45a5940d53c95p-11, 0x1.3cfba7f142388p-11, 0x1.348b01fe8aea1p-11, 0x1.2c5209b9d0356p-11, 0x1.244f2f4f3f81p-11, 0x1.1c80f1d619b77p-11, 0x1.14e5e48acfad1p-11, 0x1.0d7cb241c06c7p-11, 0x1.06441e9671edfp-11, 0x1.fe760970e0b3ep-12, 0x1.f0c0a830a42b4p-12, 0x1.e36617141c02ap-12, 0x1.d6646749ef0bp-12, 0x1.c9b9b261ee448p-12, 0x1.bd6410a34f0bap-12, 0x1.b16191de28f6dp-12, 0x1.a5b03939830a1p-12, 0x1.9a4dfc1f3577fp-12, 0x1.8f38c41b4fdf7p-12, 0x1.846e7337c547ap-12, 0x1.79ecea6076552p-12, 0x1.6fb210bda0039p-12, 0x1.65bbdb4b4f8e5p-12, 0x1.5c0853910226ap-12, 0x1.52959cb1020dap-12, 0x1.4961f6417199fp-12, 0x1.406bbcba6d8dbp-12, 0x1.37b1679e10364p-12, 0x1.2f3185cd0a9b9p-12, 0x1.26eab8926b19ep-12, 0x1.1edbaddcb0d2dp-12, 0x1.17031b18726dp-12, 0x1.0f5fba94b41ddp-12, 0x1.07f04600156f4p-12, 0x1.00b3748bedabdp-12, 0x1.f34ffcd45b3ebp-13, 0x1.e5993405fad41p-13, 0x1.d83ffd0ad4d7p-13, 0x1.cb41d004b332dp-13, 0x1.be9c31382f9ffp-13, 0x1.b24cb1409b0f4p-13, 0x1.a650ebd767e8p-13, 0x1.9aa68667b6c1ap-13, 0x1.8f4b308507471p-13, 0x1.843ca7bc56beep-13, 0x1.7978be7e3ca32p-13, 0x1.6efd640f6ee99p-13, 0x1.64c8aa546fe63p-13, 0x1.5ad8c6987316cp-13, 0x1.512c0c048ba25p-13, 0x1.47c0e0d3a8ca6p-13, 0x1.3e95b17f586a4p-13, 0x1.35a8e641cd6p-13, 0x1.2cf8deb80e205p-13, 0x1.2483f535d19ep-13, 0x1.1c48883d02c66p-13, 0x1.144505d713ae3p-13, 0x1.0c77f37985ffep-13, 0x1.04dfee46b4d6cp-13, 0x1.faf74501fe8eep-14, 0x1.ec9379bb175ebp-14, 0x1.de91b70db906fp-14, 0x1.d0ef0b3fd9d0bp-14, 0x1.c3a85c8b4f476p-14, 0x1.b6ba878c50ad9p-14, 0x1.aa228d8801f89p-14, 0x1.9dddc2805eb23p-14, 0x1.91e9e9ad48be8p-14, 0x1.864534a539e21p-14, 0x1.7aee247f9909ap-14, 0x1.6fe358182da2dp-14, 0x1.65235a010c60fp-14, 0x1.5aac7fe7483aep-14, 0x1.507ce48cb15a1p-14, 0x1.469279ba00c25p-14, 0x1.3ceb26b5243fdp-14, 0x1.3384e58183096p-14, 0x1.2a5dd49b387c3p-14, 0x1.217438d32a251p-14, 0x1.18c6707aa809ap-14, 0x1.1052dd19c7f03p-14, 0x1.0817cb4a1d302p-14, 0x1.0013614323808p-14, 0x1.f0873828c079bp-15, 0x1.e14cc195e0a63p-15, 0x1.d27341e166cbcp-15, 0x1.c3f712fe4cea6p-15, 0x1.b5d557a4ea537p-15, 0x1.a80c1ca410211p-15, 0x1.9a9a336d55241p-15, 0x1.8d7ed4804e364p-15, 0x1.80b93f3eb41dp-15, 0x1.74485d01e2bd1p-15, 0x1.682aa0fe5f6ep-15, 0x1.5c5e36eea3a1cp-15, 0x1.50e11055d4434p-15, 0x1.45b10f4f4f012p-15, 0x1.3acc22063d4ebp-15, 0x1.3030320787f4fp-15, 0x1.25db070cb7046p-15, 0x1.1bca2c7fe803ep-15, 0x1.11faf74bd269p-15, 0x1.086aa99bf9fe2p-15, 0x1.fe2d46620188cp-16, 0x1.ebf8ff7fde2fbp-16, 0x1.da342c29c2516p-16, 0x1.c8dacadf81bbfp-16, 0x1.b7e918d808ep-16, 0x1.a75bb5ed39262p-16, 0x1.972fef51ce239p-16, 0x1.8763f6b11ba3bp-16, 0x1.77f6cda300f88p-16, 0x1.68e7e30155693p-16, 0x1.5a369cc325d28p-16, 0x1.4be20eb9a3b86p-16, 0x1.3de8ea9cc3fdcp-16, 0x1.30498ddc2c48ap-16, 0x1.23021fd1ff29ep-16, 0x1.1610c46c732bdp-16, 0x1.0973c85731592p-16, 0x1.fa531c2a794e2p-17, 0x1.e26060aa749b8p-17, 0x1.cb0a38d68b71p-17, 0x1.b449ec55fd1d6p-17, 0x1.9e17b99957dabp-17, 0x1.886bdbd9c8212p-17, 0x1.733f9c73ff657p-17, 0x1.5e8e055d0719fp-17, 0x1.4a53ec9a7e8ep-17, 0x1.368f54bd80729p-17, 0x1.233e71faa3efap-17, 0x1.105ed81f6108p-17, 0x1.fbda8f65ee824p-18, 0x1.d7cc72e763c86p-18, 0x1.b48d8e7368aedp-18, 0x1.921a9dcfed5cap-18, 0x1.7072e7014e07bp-18, 0x1.4f971384f0e1p-18, 0x1.2f87397ac3026p-18, 0x1.1040ed3168f5cp-18, 0x1.e37dfeb775f09p-19, 0x1.a7f700ec64822p-19, 0x1.6de3e55fb2047p-19, 0x1.353e7e86eb07cp-19, 0x1.fbfff5017b427p-20, 0x1.903db098d2c26p-20, 0x1.271fd53fac829p-20, 0x1.812087e5591d5p-21, 0x1.71e828613c49cp-22, -0x1.4df4726d39614p-26, -0x1.926b349dcfa1ap-22, -0x1.83869fbb9c73p-21, -0x1.1cc20fe624dc4p-20, -0x1.75a0f23e77f27p-20, -0x1.cc6364544c69fp-20, -0x1.108642fb202fdp-19, -0x1.39d15efbf2d51p-19, -0x1.621bdc81e4c13p-19, -0x1.89738b01d2569p-19, -0x1.afe4d5ee2eb5ap-19, -0x1.d573f3cd46871p-19, -0x1.fa1b1c76454e9p-19, -0x1.0ee8ad50aaf1dp-18, -0x1.204a8228d88ebp-18, -0x1.3137847df4a3bp-18, -0x1.41b5af6468338p-18, -0x1.51c8462481afep-18, -0x1.61702a1d126cfp-18, -0x1.70aed4571aebep-18, -0x1.7f876f290d78dp-18, -0x1.8dfd9dfa1e791p-18, -0x1.9c14290bb9931p-18, -0x1.a9cca4f1e552ep-18, -0x1.b727c7cbe7ea9p-18, -0x1.c425f2be3d05p-18, -0x1.d0c7b7f623921p-18, -0x1.dd0e40330cd75p-18, -0x1.e8fb81f29de11p-18, -0x1.f492495edb43cp-18, -0x1.ffd5d338e9fap-18, -0x1.05644e871c24dp-17, -0x1.0ab585857ad24p-17, -0x1.0fdddca71acf5p-17, -0x1.14dd33445e222p-17, -0x1.19b58dbe9c2c4p-17, -0x1.1e6a59a14dcb5p-17, -0x1.22fd26355c133p-17, -0x1.276c04a3544eep-17, -0x1.2bb46d31dbb4fp-17, -0x1.2fd6cb4bb379dp-17, -0x1.33d5e5f26ec7dp-17, -0x1.37b39aaf7e481p-17, -0x1.3b6fc8c73911cp-17, -0x1.3f0a1977cfc5p-17, -0x1.428336e56f461p-17, -0x1.45dc488769967p-17, -0x1.49163acd1be49p-17, -0x1.4c319dbff8142p-17, -0x1.4f2ecf4c3ad6dp-17, -0x1.520e1b67e69c3p-17, -0x1.54cfbff44f4fap-17, -0x1.5773e5fc9dd35p-17, -0x1.59faa6e20489dp-17, -0x1.5c64245d443ddp-17, -0x1.5eb0a76a31877p-17, -0x1.60e0c5445f59cp-17, -0x1.62f58d8bae1e2p-17, -0x1.64f05bd6ef9f3p-17, -0x1.66d1e47811ee8p-17, -0x1.689991c98b4bep-17, -0x1.6a468d57dc0c6p-17, -0x1.6bd9418c8f04dp-17, -0x1.6d533f9cdea12p-17, -0x1.6eb5c50774c3cp-17, -0x1.7000bae403194p-17, -0x1.713352b7312b6p-17, -0x1.724db08d1ffep-17, -0x1.7351548fde047p-17, -0x1.743f354f0e7a5p-17, -0x1.7516f56fe9e1bp-17, -0x1.75d8378914276p-17, -0x1.76835d3c16b5cp-17, -0x1.771933de66ad9p-17, -0x1.779a3eb77b0dap-17, -0x1.7806c34c6d645p-17, -0x1.785efc8bd3ad6p-17, -0x1.78a32be84c14p-17, -0x1.78d39a16faa4ep-17, -0x1.78f0925a3fcebp-17, -0x1.78fa5c4392a84p-17, -0x1.78f137aeb38cfp-17, -0x1.78d55ee8e9b48p-17, -0x1.78a70d1409e9p-17, -0x1.78667ec0efbbfp-17, -0x1.7813f350ab12p-17, -0x1.77afd1458033fp-17, -0x1.773ab52c37edcp-17, -0x1.76b4f7128ac8ep-17, -0x1.761e831d8a538p-17, -0x1.75779a94faac5p-17, -0x1.74c0ca0f89d2cp-17, -0x1.73fa107a6e455p-17, -0x1.7323445a63501p-17, -0x1.723ce7ca0d1cap-17, -0x1.7147aed8d7f81p-17, -0x1.7043d65900fd8p-17, -0x1.6f3195116df3fp-17, -0x1.6e112f3588eadp-17, -0x1.6ce2a1a4d268bp-17, -0x1.6ba60b61f8b8ep-17, -0x1.6a5bc76ad40cep-17, -0x1.6904276dfceffp-17, -0x1.679f698a85b64p-17, -0x1.662dc728121ffp-17, -0x1.64af7aaa1a6ap-17, -0x1.6324bf1024fd5p-17, -0x1.618dceeaba829p-17, -0x1.5feae4068b671p-17, -0x1.5e3c3794b8be4p-17, -0x1.5c820287bd078p-17, -0x1.5abc7dbfd56d1p-17, -0x1.58ebe1fc3dap-17, -0x1.571067d240bc8p-17, -0x1.552a479069793p-17, -0x1.5339b8ff48937p-17, -0x1.513ef34a7fcaep-17, -0x1.4f3a2d597a942p-17, -0x1.4d2b9d341582ap-17, -0x1.4b1377387db9fp-17, -0x1.48f1ef495ae6p-17, -0x1.46c738c8cde79p-17, -0x1.4493869f19b5fp-17, -0x1.42570ae1537efp-17, -0x1.4011f7c5d2304p-17, -0x1.3dc4861a69aabp-17, -0x1.3b6eeefff1527p-17, -0x1.39115b0c40004p-17, -0x1.36abf16cb7e21p-17, -0x1.343edc3a815eap-17, -0x1.31ca5dd2bb1b9p-17, -0x1.2f4eb185a24f6p-17, -0x1.2ccbf66f37929p-17, -0x1.2a425784b17dap-17, -0x1.27b217e2cb32dp-17, -0x1.251b5e97add08p-17, -0x1.227e4d96c7b07p-17, -0x1.1fdb06fe9ec2p-17, -0x1.1d31b2225b0a9p-17, -0x1.1a8298583444bp-17, -0x1.17cde91bccf21p-17, -0x1.1513cac97c3d4p-17, -0x1.125466c784794p-17, -0x1.0f8fe8cac160dp-17, -0x1.0cc67d082c8fcp-17, -0x1.09f84dd0ad24ap-17, -0x1.0725858d4c075p-17, -0x1.044e5b7748d32p-17, -0x1.01730939303cap-17, -0x1.fd272cb2fc541p-18, -0x1.f76015730ec46p-18, -0x1.f19124996e4a7p-18, -0x1.ebbaf41a564f7p-18, -0x1.e5ddd34fdfc7fp-18, -0x1.dff9e5f9a8725p-18, -0x1.da0f77bc0fbbep-18, -0x1.d41edeb78461ep-18, -0x1.ce2868802f336p-18, -0x1.c82c6138b9d76p-18, -0x1.c22b2f177b328p-18, -0x1.bc252da380f1bp-18, -0x1.b61a599541822p-18, -0x1.b00adbafb325p-18, -0x1.a9f74e3e69e36p-18, -0x1.a3e00d05a8c57p-18, -0x1.9dc52bd4f34b4p-18, -0x1.97a6e5e4962bfp-18, -0x1.9185862857083p-18, -0x1.8b6153ca2dacdp-18, -0x1.853a91fdbedddp-18, -0x1.7f118206a3b2ap-18, -0x1.78e6640b627b5p-18, -0x1.72b976fa4dd79p-18, -0x1.6c8af8215677ep-18, -0x1.665b231a01311p-18, -0x1.602a327c08c06p-18, -0x1.59f8611eb9f38p-18, -0x1.53c5eae550a41p-18, -0x1.4d9309eed2f54p-18, -0x1.475ff2d6c86f5p-18, -0x1.412ce53f5f583p-18, -0x1.3afa472d8c383p-18, -0x1.34c82a957e093p-18, -0x1.2e96769fc7b84p-18, -0x1.2865b8bf736dcp-18, -0x1.22363aae814f3p-18, -0x1.1c07fea44e69ap-18, -0x1.15db36d8127c8p-18, -0x1.0fb01d35e8294p-18, -0x1.0986e5a78426ep-18, -0x1.035fc18d302e4p-18, -0x1.fa75c57b59fc7p-19, -0x1.ee30f763efc86p-19, -0x1.e1f1777addefp-19, -0x1.d5b796f7b8b9fp-19, -0x1.c983bc758b883p-19, -0x1.bd568b578f334p-19, -0x1.b13005edde5b6p-19, -0x1.a510720bc1467p-19, -0x1.98f8910183001p-19, -0x1.8ce8942f787edp-19, -0x1.80e0eaca5f0e2p-19, -0x1.74e18d664439cp-19, -0x1.68ea9d136c907p-19, -0x1.5cfc2e1b5f62ap-19, -0x1.5116f1067d347p-19, -0x1.453b5eceee793p-19, -0x1.3969ac76b6513p-19, -0x1.2da218c70f089p-19, -0x1.21e4e95048f3ep-19, -0x1.1632632f364f3p-19, -0x1.0a8acbe2e8525p-19, -0x1.fddcd708c1f5ap-20, -0x1.e6bb0d01817dap-20, -0x1.cfb09cdb238b9p-20, -0x1.b8bdfa23817f1p-20, -0x1.a1e439bed2f18p-20, -0x1.8b231e046f9c5p-20, -0x1.747b80371960ap-20, -0x1.5dee08c7dd9b6p-20, -0x1.477a9ecc33aacp-20, -0x1.3121d677f2d8cp-20, -0x1.1ae437ce90a15p-20, -0x1.04c232091d58ep-20, -0x1.dd7856a448c77p-21, -0x1.b1a50bbae996fp-21, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.c93d8ef615a69p-1, -0x1.c8f7275dfdbafp-1, -0x1.c87f9ade73d96p-1, -0x1.c7d44763981a7p-1, -0x1.c6f272656c7ebp-1, -0x1.c5d7c2620e98p-1, -0x1.c482944ba2e48p-1, -0x1.c2f22d76dcd4ap-1, -0x1.c126cf69c0914p-1, -0x1.bf21b47f721d3p-1, -0x1.bce4fc314a823p-1, -0x1.ba738ce829998p-1, -0x1.b7d0f00dedfedp-1, -0x1.b5012bf4a1c6ep-1, -0x1.b2089e2c67e0fp-1, -0x1.aeebd8124e623p-1, -0x1.abaf7ebe81bdap-1, -0x1.a8582efa4f5cbp-1, -0x1.a4ea658782878p-1, -0x1.a16a6bbd392a9p-1, -0x1.9ddc484d412a1p-1, -0x1.9a43b3e44b704p-1, -0x1.96a411432d3abp-1, -0x1.93006865314fbp-1, -0x1.8f5b64449114fp-1, -0x1.8bb752d0968acp-1, -0x1.881626af0cb62p-1, -0x1.84797a6b0d4ccp-1, -0x1.80e294bd06383p-1, -0x1.7d526da217901p-1, -0x1.79c9b40337f32p-1, -0x1.7648d3b652c42p-1, -0x1.72cffbacba34bp-1, -0x1.6f5f242a87333p-1, -0x1.6bf614e9d3f97p-1, -0x1.68946b1324ebp-1, -0x1.65399ef9d2cffp-1, -0x1.61e5098fe3b63p-1, -0x1.5e95e988ac0f4p-1, -0x1.5b4b6824aefd8p-1, -0x1.58049da3d500dp-1, -0x1.54c0955d10944p-1, -0x1.517e517c3206ap-1, -0x1.4e3cce67d7cd1p-1, -0x1.4afb05d26222ap-1, -0x1.47b7f1797384dp-1, -0x1.44728d98060d3p-1, -0x1.4129db0f5f2fep-1, -0x1.3ddce14b61f1p-1, -0x1.3a8aafe6c86e7p-1, -0x1.37326013ca862p-1, -0x1.33d315cda6749p-1, -0x1.306c00d7610b7p-1, -0x1.2cfc5d8be9c9p-1, -0x1.29837583a51a2p-1, -0x1.2600a0132d943p-1, -0x1.227342a6e948bp-1, -0x1.1edad0fedd168p-1, -0x1.1b36cd4df662cp-1, -0x1.1786c83fc72a3p-1, -0x1.13ca60e78c83ep-1, -0x1.1001449b157cep-1, -0x1.0c2b2ebbfe578p-1, -0x1.0847e8717f3ap-1, -0x1.04574854e0b38p-1, -0x1.0059321284df7p-1, -0x1.f89b2c02878c9p-2, -0x1.f068e16376142p-2, -0x1.e81b94ee0d67ep-2, -0x1.dfb36dd47d29ep-2, -0x1.d730a8d3d2e64p-2, -0x1.ce93972d0b4b7p-2, -0x1.c5dc9d9a416c1p-2, -0x1.bd0c3341c25dap-2, -0x1.b422e0a89ea81p-2, -0x1.ab213ea61ff7cp-2, -0x1.a207f5595d87cp-2, -0x1.98d7bb220c41cp-2, -0x1.8f91539d76c22p-2, -0x1.86358ea87681cp-2, -0x1.7cc5476717eabp-2, -0x1.734163528b307p-2, -0x1.69aad14dd677cp-2, -0x1.600288c1b5f01p-2, -0x1.564988bff908bp-2, -0x1.4c80d72e9c174p-2, -0x1.42a97ffacbba8p-2, -0x1.38c49453f287bp-2, -0x1.2ed329eedcdfbp-2, -0x1.24d65a50fc2a8p-2, -0x1.1acf4223c26e9p-2, -0x1.10bf009002e9ep-2, -0x1.06a6b6a146867p-2, -0x1.f90f0d61dbcd2p-3, -0x1.e4c527b2055f8p-3, -0x1.d07202dd1590ap-3, -0x1.bc17e506596bp-3, -0x1.a7b912dbf4011p-3, -0x1.9357ceb64967cp-3, -0x1.7ef657c4d570ep-3, -0x1.6a96e947ff533p-3, -0x1.563bb9d779a69p-3, -0x1.41e6fab4a9e43p-3, -0x1.2d9ad728ba2c1p-3, -0x1.195973edc7b32p-3, -0x1.0524eea2ced9bp-3, -0x1.e1feba939ae9ap-4, -0x1.b9d59b9f6c464p-4, -0x1.91d28b3b871c9p-4, -0x1.69f982676efc3p-4, -0x1.424e679543fadp-4, -0x1.1ad50dff88655p-4, -0x1.e7226a1cb741ap-5, -0x1.990d0f96b8741p-5, -0x1.4b7138c70322cp-5, -0x1.fcabced8b36ddp-6, -0x1.6383e3c3121ccp-6, -0x1.96f009b1c2ef9p-7, -0x1.a4a96a38be00fp-9, 0x1.846008b9c620ep-8, 0x1.eb06881e060b1p-7, 0x1.88a0aee8d85c9p-6, 0x1.0d325af481935p-5, 0x1.556214a8a1ed3p-5, 0x1.9cda1b66eadb3p-5, 0x1.e39534d66ce5bp-5, 0x1.14c72abe4c26ep-4, 0x1.3760505ea535bp-4, 0x1.5993b4670486cp-4, 0x1.7b5f174eb4962p-4, 0x1.9cc050d78c1c4p-4, 0x1.bdb54ff6ae9d9p-4, 0x1.de3c1ab859fep-4, 0x1.fe52ce1ee9e6cp-4, 0x1.0efbcefec8726p-3, 0x1.1e946a676b5d5p-3, 0x1.2df269c39de34p-3, 0x1.3d1508b21ea61p-3, 0x1.4bfb8ddbea835p-3, 0x1.5aa54ad86c248p-3, 0x1.69119c102421ep-3, 0x1.773fe89de7a08p-3, 0x1.852fa22ed190fp-3, 0x1.92e044e0ee797p-3, 0x1.a0515720cc231p-3, 0x1.ad826985eb674p-3, 0x1.ba7316ae39f07p-3, 0x1.c723031895b0cp-3, 0x1.d391dcfe76338p-3, 0x1.dfbf5c2ccb9fbp-3, 0x1.ebab41dc16efbp-3, 0x1.f7555887dbe9fp-3, 0x1.015eb9e2b6dddp-2, 0x1.06f1b80d12951p-2, 0x1.0c6399688b9c4p-2, 0x1.11b454e825b0dp-2, 0x1.16e3e5b6c422p-2, 0x1.1bf24b215c415p-2, 0x1.20df8880fe7b9p-2, 0x1.25aba524b68aep-2, 0x1.2a56ac3b4cdf8p-2, 0x1.2ee0acbce8cedp-2, 0x1.3349b9549e871p-2, 0x1.3791e849e5431p-2, 0x1.3bb9536a0360fp-2, 0x1.3fc017f16cd5dp-2, 0x1.43a656751efe8p-2, 0x1.476c32cbf7998p-2, 0x1.4b11d3f80df4p-2, 0x1.4e97641012af9p-2, 0x1.51fd1028b9a5cp-2, 0x1.5543083e2fab3p-2, 0x1.58697f1da0285p-2, 0x1.5b70aa4ed12p-2, 0x1.5e58c1fdd29p-2, 0x1.612200e4cd7c6p-2, 0x1.63cca435eaba1p-2, 0x1.6658eb855dca7p-2, 0x1.68c718b393566p-2, 0x1.6b176fd781f78p-2, 0x1.6d4a372928be5p-2, 0x1.6f5fb6ec354e5p-2, 0x1.7158395ada5a1p-2, 0x1.73340a90d52f1p-2, 0x1.74f37876a726dp-2, 0x1.7696d2ad02fddp-2, 0x1.781e6a7872056p-2, 0x1.798a92ad32116p-2, 0x1.7adb9f9b50f8dp-2, 0x1.7c11e6fb0143p-2, 0x1.7d2dbfd931aeap-2, 0x1.7e2f8284647dep-2, 0x1.7f178879c618p-2, 0x1.7fe62c528d8dbp-2, 0x1.809bc9b19e351p-2, 0x1.8138bd317085p-2, 0x1.81bd645247068p-2, 0x1.822a1d68a6908p-2, 0x1.827f478c1fe0ep-2, 0x1.82bd42865f938p-2, 0x1.82e46ec28e95ap-2, 0x1.82f52d3cfd5d6p-2, 0x1.82efdf73207e9p-2, 0x1.82d4e753daa71p-2, 0x1.82a4a7301788p-2, 0x1.825f81abb5e9p-2, 0x1.8205d9aec62cdp-2, 0x1.8198125715cd2p-2, 0x1.81168eea117a6p-2, 0x1.8081b2c6f514dp-2, 0x1.7fd9e15954ebfp-2, 0x1.7f1f7e0bf0e29p-2, 0x1.7e52ec3be22b7p-2, 0x1.7d748f2c18302p-2, 0x1.7c84c9f92908ap-2, 0x1.7b83ff8d74a13p-2, 0x1.7a7292959cc27p-2, 0x1.7950e5754d24ap-2, 0x1.781f5a3c57132p-2, 0x1.76de529c1d8c1p-2, 0x1.758e2fdd57227p-2, 0x1.742f52d61bf6dp-2, 0x1.72c21be047b0bp-2, 0x1.7146ead02aa1dp-2, 0x1.6fbe1eeb8c46bp-2, 0x1.6e2816e0fb2f3p-2, 0x1.6c8530bf6c10ep-2, 0x1.6ad5c9ee2641cp-2, 0x1.691a3f24feec4p-2, 0x1.6752ec64de264p-2, 0x1.65802cf090ffap-2, 0x1.63a25b45e7a6ep-2, 0x1.61b9d11719ebbp-2, 0x1.5fc6e74478b97p-2, 0x1.5dc9f5d6649dbp-2, 0x1.5bc353f78d513p-2, 0x1.59b357ef756bap-2, 0x1.579a571d3c769p-2, 0x1.5578a5f2ae0c7p-2, 0x1.534e97ef912ep-2, 0x1.511c7f9d3ca41p-2, 0x1.4ee2ae8a6964ep-2, 0x1.4ca1754748b4p-2, 0x1.4a592361d36f1p-2, 0x1.480a07625b52ep-2, 0x1.45b46ec8572fdp-2, 0x1.4358a60768bb4p-2, 0x1.40f6f8849f833p-2, 0x1.3e8fb093f34c1p-2, 0x1.3c231775f2c4fp-2, 0x1.39b17555b03ecp-2, 0x1.373b1146dbb07p-2, 0x1.34c0314416c8dp-2, 0x1.32411a2d780f8p-2, 0x1.2fbe0fc7410acp-2, 0x1.2d3754b8c6f89p-2, 0x1.2aad2a8b84df9p-2, 0x1.281fd1aa62d73p-2, 0x1.258f89612636ep-2, 0x1.22fc8fdc0ea13p-2, 0x1.206722279aa41p-2, 0x1.1dcf7c307b68ap-2, 0x1.1b35d8c3ab20fp-2, 0x1.189a718eae1f8p-2, 0x1.15fd7f1ff63cap-2, 0x1.135f38e76dd0bp-2, 0x1.10bfd53724fcdp-2, 0x1.0e1f89442292dp-2, 0x1.0b7e892752756p-2, 0x1.08dd07de9a3adp-2, 0x1.063b374e06716p-2, 0x1.039948411b127p-2, 0x1.00f76a6c3d07cp-2, 0x1.fcab98dc7411fp-3, 0x1.f76937a3d3159p-3, 0x1.f2280a1fcf42bp-3, 0x1.ece86720d3aa1p-3, 0x1.e7aaa35a568d5p-3, 0x1.e26f1166dbe02p-3, 0x1.dd3601cc2748dp-3, 0x1.d7ffc2ff9312ap-3, 0x1.d2cca16a96a01p-3, 0x1.cd9ce76f69026p-3, 0x1.c870dd6dcdca2p-3, 0x1.c348c9c80182p-3, 0x1.be24f0e7ca3a6p-3, 0x1.b90595439ef2dp-3, 0x1.b3eaf763f4d75p-3, 0x1.aed555e8a199p-3, 0x1.a9c4ed8e5baf5p-3, 0x1.a4b9f9344ed45p-3, 0x1.9fb4b1e1ca036p-3, 0x1.9ab54ecc0293bp-3, 0x1.95bc055be728ap-3, 0x1.90c9093407bdep-3, 0x1.8bdc8c36910e1p-3, 0x1.86f6be8b4f025p-3, 0x1.8217cea5c6e1fp-3, 0x1.7d3fe94b5506ep-3, 0x1.786f39995dec2p-3, 0x1.73a5e90b8563fp-3, 0x1.6ee41f81eb15ep-3, 0x1.6a2a034775f06p-3, 0x1.6577b91824008p-3, 0x1.60cd642759682p-3, 0x1.5c2b26263c864p-3, 0x1.57911f4a113e1p-3, 0x1.52ff6e52943dbp-3, 0x1.4e7630905d4edp-3, 0x1.49f581eb3b7ebp-3, 0x1.457d7ce894caep-3, 0x1.410e3ab1c6afbp-3, 0x1.3ca7d31a7a654p-3, 0x1.384a5ca702ca7p-3, 0x1.33f5ec92ab5aep-3, 0x1.2faa96d608e83p-3, 0x1.2b686e2d442a4p-3, 0x1.272f841e58e07p-3, 0x1.22ffe8ff5411bp-3, 0x1.1ed9abfc86dd6p-3, 0x1.1abcdb1eb3234p-3, 0x1.16a983512e7f8p-3, 0x1.129fb067fb98bp-3, 0x1.0e9f6d25d7ff4p-3, 0x1.0aa8c34241408p-3, 0x1.06bbbb6f712e8p-3, 0x1.02d85d6047ae8p-3, 0x1.fdfd5f9c5e81cp-4, 0x1.f65d70fddc5d3p-4, 0x1.eed0f894ea271p-4, 0x1.e757fe41298f2p-4, 0x1.dff2881d53731p-4, 0x1.d8a09a8a8081ap-4, 0x1.d162383b45e27p-4, 0x1.ca37623eb0719p-4, 0x1.c320180b31e7bp-4, 0x1.bc1c5789674e6p-4, 0x1.b52c1d1eb8c0ep-4, 0x1.ae4f63b7e5d27p-4, 0x1.a78624d36d038p-4, 0x1.a0d0588bc8fdbp-4, 0x1.9a2df5a1a3428p-4, 0x1.939ef185ccf82p-4, 0x1.8d23406320d89p-4, 0x1.86bad5284845fp-4, 0x1.8065a19154ebdp-4, 0x1.7a2396313c4a9p-4, 0x1.73f4a27b2e51cp-4, 0x1.6dd8b4cbcae75p-4, 0x1.67cfba7235d54p-4, 0x1.61d99fb9018cap-4, 0x1.5bf64feefea41p-4, 0x1.5625b56fdf2e4p-4, 0x1.5067b9acbd098p-4, 0x1.4abc45347c4bfp-4, 0x1.45233fbc06747p-4, 0x1.3f9c9026645c7p-4, 0x1.3a281c8cb4188p-4, 0x1.34c5ca45fdc6dp-4, 0x1.2f757deee0f51p-4, 0x1.2a371b712099fp-4, 0x1.250a860b0f371p-4, 0x1.1fefa056cf597p-4, 0x1.1ae64c517a987p-4, 0x1.15ee6b62212c6p-4, 0x1.1107de60a655bp-4, 0x1.0c32859c7dce3p-4, 0x1.076e40e34069cp-4, 0x1.02baef87259f3p-4, 0x1.fc30e0cab52d8p-5, 0x1.f30d43d863ap-5, 0x1.ea0ac4426e524p-5, 0x1.e1291d4e3ef7cp-5, 0x1.d868098739921p-5, 0x1.cfc742ca0d856p-5, 0x1.c746824fe5408p-5, 0x1.bee580b935d71p-5, 0x1.b6a3f61865718p-5, 0x1.ae8199fc30a5cp-5, 0x1.a67e2379c429fp-5, 0x1.9e994936a708p-5, 0x1.96d2c17261434p-5, 0x1.8f2a420fe6ad8p-5, 0x1.879f809ecda9cp-5, 0x1.803232643e285p-5, 0x1.78e20c63b2e52p-5, 0x1.71aec36774481p-5, 0x1.6a980c08ed45ap-5, 0x1.639d9ab8b2d6fp-5, 0x1.5cbf23c667358p-5, 0x1.55fc5b6857c5cp-5, 0x1.4f54f5c2eead4p-5, 0x1.48c8a6efeb0ebp-5, 0x1.425723056a7aap-5, 0x1.3c001e1cb5277p-5, 0x1.35c34c58dd7a5p-5, 0x1.2fa061ed34495p-5, 0x1.299713237c604p-5, 0x1.23a71461fcf2ap-5, 0x1.1dd01a3156212p-5, 0x1.1811d94238ff5p-5, 0x1.126c0672d8865p-5, 0x1.0cde56d4456bcp-5, 0x1.07687faf93153p-5, 0x1.020a368acb497p-5, 0x1.f986625b7cb1ap-6, 0x1.ef264b4d49a74p-6, 0x1.e4f3949d405c1p-6, 0x1.daedab9c0dee7p-6, 0x1.d113fe4116217p-6, 0x1.c765fb328563ap-6, 0x1.bde311ccf948p-6, 0x1.b48ab22af7094p-6, 0x1.ab5c4d2c030cdp-6, 0x1.a257547b7d4abp-6, 0x1.997b3a9731b5p-6, 0x1.90c772d59bec4p-6, 0x1.883b716bf849p-6, 0x1.7fd6ab73fc3bap-6, 0x1.779896f156604p-6, 0x1.6f80aad6fe055p-6, 0x1.678e5f0c21954p-6, 0x1.5fc12c70f8279p-6, 0x1.58188ce341701p-6, 0x1.5093fb429ac2p-6, 0x1.4932f37485f6ep-6, 0x1.41f4f26854e3fp-6, 0x1.3ad9761abcd96p-6, 0x1.33dffd9950185p-6, 0x1.2d080905b46f2p-6, 0x1.26511998ab646p-6, 0x1.1fbab1a4e37e6p-6, 0x1.194454999e9dbp-6, 0x1.12ed870529e6ep-6, 0x1.0cb5ce971b43ap-6, 0x1.069cb222758ecp-6, 0x1.00a1b99f887edp-6, 0x1.f588dc5b8a9bp-7, 0x1.ea08b42a7ddd6p-7, 0x1.dec211906841cp-7, 0x1.d3b40dc87c062p-7, 0x1.c8ddc46711098p-7, 0x1.be3e535b807d3p-7, 0x1.b3d4daf1e3081p-7, 0x1.a9a07dd474d76p-7, 0x1.9fa0610caf18ap-7, 0x1.95d3ac043e438p-7, 0x1.8c398885a122ep-7, 0x1.82d122bc80163p-7, 0x1.7999a935c937bp-7, 0x1.70924cdfc8491p-7, 0x1.67ba410994557p-7, 0x1.5f10bb62cc23cp-7, 0x1.5694f3fab3a03p-7, 0x1.4e46253f4603bp-7, 0x1.46238bfc2a6d2p-7, 0x1.3e2c675944222p-7, 0x1.365ff8d94798bp-7, 0x1.2ebd84580bab2p-7, 0x1.27445008985e8p-7, 0x1.1ff3a473410ebp-7, 0x1.18cacc7367e9ep-7, 0x1.11c915352370dp-7, 0x1.0aedce32cedb7p-7, 0x1.0438493272cd2p-7, 0x1.fb4fb485dc47ap-8, 0x1.ee77af724ba16p-8, 0x1.e1e7345a0ace7p-8, 0x1.d59cf8ec8de8dp-8, 0x1.c997b7529c848p-8, 0x1.bdd62e2779c8dp-8, 0x1.b2572071f76dbp-8, 0x1.a719559d72346p-8, 0x1.9c1b99726c23cp-8, 0x1.915cbc0ed95d2p-8, 0x1.86db91df021f6p-8, 0x1.7c96f394ef8dep-8, 0x1.728dbe210003ap-8, 0x1.68bed2a97cf2ap-8, 0x1.5f2916823b754p-8, 0x1.55cb73246b512p-8, 0x1.4ca4d625cfab6p-8, 0x1.43b43130420bfp-8, 0x1.3af879f8b78f4p-8, 0x1.3270aa366aaf6p-8, 0x1.2a1bbf9a02846p-8, 0x1.21f8bbc458114p-8, 0x1.1a06a43d24337p-8, 0x1.1244826a2412ep-8, 0x1.0ab1638563fdap-8, 0x1.034c5894243acp-8, 0x1.f828ecba410a3p-9, 0x1.ea11aabebb036p-9, 0x1.dc51239088a2dp-9, 0x1.cee596d4a8533p-9, 0x1.c1cd4b6697616p-9, 0x1.b5068f4526302p-9, 0x1.a88fb77ef91adp-9, 0x1.9c67201f2baf8p-9, 0x1.908b2c19c1cep-9, 0x1.84fa4537f670bp-9, 0x1.79b2dc0519724p-9, 0x1.6eb367ba7bd1bp-9, 0x1.63fa662c6a2e8p-9, 0x1.59865bb5dfa0ap-9, 0x1.4f55d325a4cc1p-9, 0x1.45675daa9ab85p-9, 0x1.3bb992bfcd5c9p-9, 0x1.324b10196c6b2p-9, 0x1.291a79912afd1p-9, 0x1.20267912d8aa3p-9, 0x1.176dbe88f3df5p-9, 0x1.0eeeffc97ab13p-9, 0x1.06a8f88274c14p-9, 0x1.fd34d44e72516p-10, 0x1.ed8437b9699ep-10, 0x1.de3db4cda679p-10, 0x1.cf5ef02b37f9bp-10, 0x1.c0e5996383298p-10, 0x1.b2cf6ad55589fp-10, 0x1.a51a2986468dfp-10, 0x1.97c3a4fe3c428p-10, 0x1.8ac9b72256d88p-10, 0x1.7e2a440fed122p-10, 0x1.71e339f87880cp-10, 0x1.65f290fd37741p-10, 0x1.5a564b0ae0ecep-10, 0x1.4f0c73b65282fp-10, 0x1.44132018ae2d1p-10, 0x1.39686eac04c6cp-10, 0x1.2f0a872860486p-10, 0x1.24f79a61671fcp-10, 0x1.1b2de223786c3p-10, 0x1.11aba11156184p-10, 0x1.086f2282a5ffp-10, 0x1.feed74c385811p-11, 0x1.ed818a167d05ap-11, 0x1.dc974e56b4faap-11, 0x1.cc2b9b3e4aef3p-11, 0x1.bc3b5aa485a46p-11, 0x1.acc3863f6519ep-11, 0x1.9dc12763cbaadp-11, 0x1.8f3156c581c97p-11, 0x1.81113c3925856p-11, 0x1.735e0e767378p-11, 0x1.661512da94de4p-11, 0x1.59339d2bce545p-11, 0x1.4cb70f5d46362p-11, 0x1.409cd9535869bp-11, 0x1.34e278a9f420ep-11, 0x1.29857878564acp-11, 0x1.1e837119ce4cbp-11, 0x1.13da07f36f0e1p-11, 0x1.0986ef3ca059fp-11, 0x1.ff0fcb8cdd64dp-12, 0x1.ebb56d8ca2733p-12, 0x1.d8fa733c66222p-12, 0x1.c6daa34f72538p-12, 0x1.b551dbfdc26f8p-12, 0x1.a45c129be8e47p-12, 0x1.93f553328a5d7p-12, 0x1.8419c018d3e22p-12, 0x1.74c5918f74046p-12, 0x1.65f5155c474c3p-12, 0x1.57a4ae69b98c2p-12, 0x1.49d0d462e6f21p-12, 0x1.3c761356bad2dp-12, 0x1.2f910b562f69ap-12, 0x1.231e7019bcdd5p-12, 0x1.171b08a2cca73p-12, 0x1.0b83aee2ce21ap-12, 0x1.00554f5fcdd3ep-12, 0x1.eb19d1bacec3ep-13, 0x1.d64f180900935p-13, 0x1.c244b61c264d6p-13, 0x1.aef512da9ec06p-13, 0x1.9c5ab6fa5d645p-13, 0x1.8a704c59b3a3ep-13, 0x1.79309d5e64a27p-13, 0x1.689694542c7e9p-13, 0x1.589d3ad061ap-13, 0x1.493fb91400b2cp-13, 0x1.3a795576a95c8p-13, 0x1.2c4573c9ce0d4p-13, 0x1.1e9f94c9e67ap-13, 0x1.11835586bfc68p-13, 0x1.04ec6ed6aa1b4p-13, 0x1.f1ad698f9ab52p-14, 0x1.da7c2c258263p-14, 0x1.c43d37242f25p-14, 0x1.aee8cf768787ap-14, 0x1.9a776c2f88e34p-14, 0x1.86e1b585b5d82p-14, 0x1.742083cfa843p-14, 0x1.622cde8651dbep-14, 0x1.50fffb492c683p-14, 0x1.40933ceb2f6b1p-14, 0x1.30e0327c83977p-14, 0x1.21e0965e62988p-14, 0x1.138e4d5a4b7a4p-14, 0x1.05e365b96a688p-14, 0x1.f1b42cc31a742p-15, 0x1.d8d97bf39d15cp-15, 0x1.c12bc413d09p-15, 0x1.aaa05c51ba063p-15, 0x1.952ce64990399p-15, 0x1.80c74c6983e8cp-15, 0x1.6d65c05a2bb25p-15, 0x1.5afeb96d06ed8p-15, 0x1.4988f30ac84ffp-15, 0x1.38fb6b3965795p-15, 0x1.294d611948537p-15, 0x1.1a76536e3f67fp-15, 0x1.0c6dff3538832p-15, 0x1.fe58bc69b70d9p-16, 0x1.e5534b4233ebap-16, 0x1.cdbc897184627p-16, 0x1.b785c6ef2048bp-16, 0x1.a2a0c27d5685ep-16, 0x1.8effa721ffa9fp-16, 0x1.7c95099d37656p-16, 0x1.6b53e5e96cdfep-16, 0x1.5b2f9cd9e1ed8p-16, 0x1.4c1bf1a9e8bd8p-16, 0x1.3e0d07a9b1bfap-16, 0x1.30f75ff5494c8p-16, 0x1.24cfd73327a76p-16, 0x1.198ba35ba494ap-16, 0x1.0f205192b81ebp-16, 0x1.0583c40797992p-16, 0x1.f9585fa6d6a9ep-17, 0x1.e92036031318dp-17, 0x1.da4cb4fc9fc02p-17, 0x1.cccc204d1321ep-17, 0x1.c08d51b980c31p-17, 0x1.b57fb54cfddbdp-17, 0x1.ab93459af7c9dp-17, 0x1.a2b88823a502dp-17, 0x1.9ae089cf079a3p-17, 0x1.93fcdb68463f9p-17, 0x1.8dff8e40bb1f9p-17, 0x1.88db30cad7a7fp-17, 0x1.8482cb63a95bcp-17, 0x1.80e9dd15d126fp-17, 0x1.7e04587b4d00bp-17, 0x1.7bc6a0a803fc3p-17, 0x1.7a25862dfc8fdp-17, 0x1.791644217d3dep-17, 0x1.788e7d509e7cep-17, 0x1.78843955f8c0fp-17, 0x1.78ede1e2c46d4p-17, 0x1.79c2400b204a6p-17, 0x1.7af879a1baa7dp-17, 0x1.7c880ea72ff6ap-17, 0x1.7e68d6c0c0a6bp-17, 0x1.8092febbd8854p-17, 0x1.82ff061f9c03fp-17, 0x1.85a5bce049617p-17, 0x1.888040ff2c685p-17, 0x1.8b87fc51f75b9p-17, 0x1.8eb6a24928556p-17, 0x1.92062dcaede25p-17, 0x1.9570df1458418p-17, 0x1.98f139a4a4133p-17, 0x1.9c820247d6277p-17, 0x1.a01e3d0cdf457p-17, 0x1.a3c12b6724596p-17, 0x1.a7664a4c48444p-17, 0x1.ab0950559454ep-17, 0x1.aea62c0009447p-17, 0x1.b23901e4ab68bp-17, 0x1.b5be2b0c505e1p-17, 0x1.b93233389f1fbp-17, 0x1.bc91d74f21f97p-17, 0x1.bfda03be76791p-17, 0x1.c307d2f10a394p-17, 0x1.c6188bca19746p-17, 0x1.c909a02ecc63fp-17, 0x1.cbd8ab915ce18p-17, 0x1.ce83718d57b0bp-17, 0x1.d107dc88e4bc1p-17, 0x1.d363fc6319076p-17, 0x1.d59605205d327p-17, 0x1.d79c4da885874p-17, 0x1.d9754e8f444e6p-17, 0x1.db1fa0d5889cfp-17, 0x1.dc99fcc6d9199p-17, 0x1.dde338d3d5885p-17, 0x1.defa487045b49p-17, 0x1.dfde3b02f546ep-17, 0x1.e08e3ad4c8ba2p-17, 0x1.e1098c06290dp-17, 0x1.e14f8b9ada1e5p-17, 0x1.e15fae72ef69cp-17, 0x1.e139805f81a5ap-17, 0x1.e0dca3362e877p-17, 0x1.e048cdef6d4f8p-17, 0x1.df7dcbbd0bcddp-17, 0x1.de7b7b3a3196p-17, 0x1.dd41cd96e2478p-17, 0x1.dbd0c5c538d33p-17, 0x1.da2877b89f3ccp-17, 0x1.d84907a46c276p-17, 0x1.d632a93856fbfp-17, 0x1.d3e59ef303232p-17, 0x1.d16239699554p-17, 0x1.cea8d69dc6684p-17, 0x1.cbb9e156a7101p-17, 0x1.c895d07e3ae94p-17, 0x1.c53d2682f76cep-17, 0x1.c1b070c237bc2p-17, 0x1.bdf046f062fedp-17, 0x1.b9fd4a8ba3ccap-17, 0x1.b5d8264c53991p-17, 0x1.b1818da2c1f9ap-17, 0x1.acfa3c340e21fp-17, 0x1.a842f55829407p-17, 0x1.a35c83a06bbadp-17, 0x1.9e47b86652a53p-17, 0x1.99056b4f8997fp-17, 0x1.939679e2eab67p-17, 0x1.8dfbc71d07182p-17, 0x1.88363b0a1b06p-17, 0x1.8246c259f94ddp-17, 0x1.7c2e4e094104fp-17, 0x1.75edd2fe3c4a1p-17, 0x1.6f8649aaefc4fp-17, 0x1.68f8adba315d3p-17, 0x1.6245fdbc3327p-17, 0x1.5b6f3acf14db3p-17, 0x1.54756855cbedp-17, 0x1.4d598bab7fb24p-17, 0x1.461cabd5d9a34p-17, 0x1.3ebfd147e3056p-17, 0x1.37440596abd22p-17, 0x1.2faa533a1c86p-17, 0x1.27f3c54ca8b6fp-17, 0x1.2021675622f78p-17, 0x1.1834450b17a9p-17, 0x1.102d6a15087fdp-17, 0x1.080de1e04ef28p-17, 0x1.ffad6ed6221bcp-18, 0x1.ef11ea23622a9p-18, 0x1.de4b48b57c0ccp-18, 0x1.cd5b9ba5e1199p-18, 0x1.bc44f1b952a55p-18, 0x1.ab095713402e9p-18, 0x1.99aad4e28f653p-18, 0x1.882b711db4fddp-18, 0x1.768d2e377ee8p-18, 0x1.64d20ad53e71dp-18, 0x1.52fc0198ba0dcp-18, 0x1.410d08e100b6fp-18, 0x1.2f071288af57cp-18, 0x1.1cec0bb0f4f44p-18, 0x1.0abddc92ad014p-18, 0x1.f0fcd09c9e404p-19, 0x1.cc5f196c26aap-19, 0x1.a7a644470c2a6p-19, 0x1.82d5f69b57be6p-19, 0x1.5df1ca4c29394p-19, 0x1.38fd4d683b9f8p-19, 0x1.13fc01d8d3fd5p-19, 0x1.dde2ba6b862bfp-20, 0x1.93c190e4a0969p-20, 0x1.499b3f7e24761p-20, 0x1.feecc920e37bep-21, 0x1.6ab3082bb3acp-21, 0x1.ad2c1d26dc262p-22, 0x1.0a89e37aef7c9p-23, -0x1.446d4be79b1a2p-23, -0x1.c92e4c3aa5ff6p-22, -0x1.77c50943be0aep-21, -0x1.054c9e746456dp-20, -0x1.4e841cec3a044p-20, -0x1.978358b6070a8p-20, -0x1.e044c6df6300ap-20, -0x1.14617c7fca0eap-19, -0x1.387c4e9ca27cfp-19, -0x1.5c703f2fe9b03p-19, -0x1.803ac1f5b2414p-19, -0x1.a3d958fdee601p-19, -0x1.c74994bceefaap-19, -0x1.ea8913f712e87p-19, -0x1.06cac1e4b51c5p-18, -0x1.18364fd0d3cefp-18, -0x1.29861896741e6p-18, -0x1.3ab9082b4a023p-18, -0x1.4bce119a8fe94p-18, -0x1.5cc42f05c00f1p-18, -0x1.6d9a6191d606p-18, -0x1.7e4fb163e7af1p-18, -0x1.8ee32d9a87022p-18, -0x1.9f53ec43de86fp-18, -0x1.afa10a4c1eebbp-18, -0x1.bfc9ab79b31b5p-18, -0x1.cfccfa597aa08p-18, -0x1.dfaa2838cf24cp-18, -0x1.ef606d147f42dp-18, -0x1.feef078d58571p-18, -0x1.072a9e6bede7p-17, -0x1.0ec92c5683473p-17, -0x1.1652d69d5524p-17, -0x1.1dc7498c62d2p-17, -0x1.2526349897ce4p-17, -0x1.2c6f4a5acc24fp-17, -0x1.33a2408611318p-17, -0x1.3abecfdccfdfcp-17, -0x1.41c4b42b2cb53p-17, -0x1.48b3ac3d5ff39p-17, -0x1.4f8b79d620e7p-17, -0x1.564be1a4cec38p-17, -0x1.5cf4ab3bceb0dp-17, -0x1.6385a1079126dp-17, -0x1.69fe9046755fbp-17, -0x1.705f48fd82b73p-17, -0x1.76a79ded2c20ap-17, -0x1.7cd76489ea7a4p-17, -0x1.82ee74f0f19a4p-17, -0x1.88eca9df25d11p-17, -0x1.8ed1e0a6105f3p-17, -0x1.949df922e643p-17, -0x1.9a50d5b343092p-17, -0x1.9fea5b2b1f39ap-17, -0x1.a56a70cac1012p-17, -0x1.aad1003447f91p-17, -0x1.b01df561dd39dp-17, -0x1.b5513e9c118b9p-17, -0x1.ba6acc6d5e0a8p-17, -0x1.bf6a9199f4b79p-17, -0x1.c4508315b292ep-17, -0x1.c91c97f7db569p-17, -0x1.cdcec9726f881p-17, -0x1.d26712c6d8dedp-17, -0x1.d6e5713d7b6c4p-17, -0x1.db49e419bc47p-17, -0x1.df946c91408d6p-17, -0x1.e3c50dc1eb06ep-17, -0x1.e7dbcca6a3ed3p-17, -0x1.ebd8b00d36d94p-17, -0x1.efbbc08ddb456p-17, -0x1.f385088157a74p-17, -0x1.f73493f560045p-17, -0x1.faca70a484c65p-17, -0x1.fe46adebbba14p-17, -0x1.00d4ae609fbbfp-16, -0x1.027947d51a51ep-16, -0x1.04112d5922d1fp-16, -0x1.059c69b0cfa6ep-16, -0x1.071b0859b982cp-16, }}, 
      {{-0x1.c94d0c68c82e4p-1, -0x1.c935b3a062ec4p-1, -0x1.c90e53ce6033fp-1, -0x1.c8d656b96891cp-1, -0x1.c88d12c791e31p-1, -0x1.c831e1a82469p-1, -0x1.c7c43262249f7p-1, -0x1.c7439643c54ccp-1, -0x1.c6afc90271e93p-1, -0x1.c608b4be353c8p-1, -0x1.c54e72bbbec13p-1, -0x1.c48149a3b8ccap-1, -0x1.c3a1a9ff70c31p-1, -0x1.c2b0298d7032bp-1, -0x1.c1ad7deaad866p-1, -0x1.c09a76f183d6ap-1, -0x1.bf77f917d79fbp-1, -0x1.be46f801df851p-1, -0x1.bd08716ec6a5fp-1, -0x1.bbbd68975293dp-1, -0x1.ba66e20c76adep-1, -0x1.b905e01bd9f4fp-1, -0x1.b79b5fba607ep-1, -0x1.b62855f072b9p-1, -0x1.b4adadc0b2bbfp-1, -0x1.b32c467fdb0c9p-1, -0x1.b1a4f2934c896p-1, -0x1.b018768b5741p-1, -0x1.ae87888e34b0cp-1, -0x1.acf2d008ffa7ap-1, -0x1.ab5ae59c7c2e1p-1, -0x1.a9c0533c3cbe1p-1, -0x1.a82394777bbcfp-1, -0x1.a68516e3d9346p-1, -0x1.a4e53aa30d4cap-1, -0x1.a34452fd6745bp-1, -0x1.a1a2a70bc90eap-1, -0x1.a000726c81114p-1, -0x1.9e5de5ff15aeap-1, -0x1.9cbb28a3addcbp-1, -0x1.9b1857fb5539fp-1, -0x1.99758926cc0eap-1, -0x1.97d2c9820a375p-1, -0x1.96301f5af22cp-1, -0x1.948d8aa20c24bp-1, -0x1.92eb05945d2ffp-1, -0x1.9148855db4dd4p-1, -0x1.8fa5fab2f7369p-1, -0x1.8e03526414186p-1, -0x1.8c6075e5864c7p-1, -0x1.8abd4bd14a93p-1, -0x1.8919b85f5b22dp-1, -0x1.87759dd5cf4abp-1, -0x1.85d0dcf0ccb93p-1, -0x1.842b5542871cdp-1, -0x1.8284e58b90843p-1, -0x1.80dd6c0bc7072p-1, -0x1.7f34c6cc30a28p-1, -0x1.7d8ad3e21831p-1, -0x1.7bdf71abc222p-1, -0x1.7a327f0711905p-1, -0x1.7883db8270654p-1, -0x1.76d3678856754p-1, -0x1.75210485bf67fp-1, -0x1.736c950be4862p-1, -0x1.71b5fced8cac6p-1, -0x1.6ffd21583bd4p-1, -0x1.6e41e8e9915dbp-1, -0x1.6c843bc11c5c6p-1, -0x1.6ac4038eea0bfp-1, -0x1.69012b9f0ffcap-1, -0x1.673ba0e273411p-1, -0x1.657351f5047bep-1, -0x1.63a82f21abf24p-1, -0x1.61da2a6419526p-1, -0x1.60093768a9c05p-1, -0x1.5e354b8a93016p-1, -0x1.5c5e5dd08068ap-1, -0x1.5a8466e7c9fc2p-1, -0x1.58a7611e6c4d4p-1, -0x1.56c7485be7b8ep-1, -0x1.54e41a1924868p-1, -0x1.52fdd5577caaep-1, -0x1.51147a970a66dp-1, -0x1.4f280bcc51c16p-1, -0x1.4d388c5561e2dp-1, -0x1.4b4600ee813a4p-1, -0x1.49506fa67c66fp-1, -0x1.4757dfd2a8d26p-1, -0x1.455c5a02ad753p-1, -0x1.435de7f420827p-1, -0x1.415c94860a3e8p-1, -0x1.3f586bac57c88p-1, -0x1.3d517a634d02dp-1, -0x1.3b47cea2fb52p-1, -0x1.393b7752cc25ep-1, -0x1.372c843d24243p-1, -0x1.351b060327879p-1, -0x1.33070e10a72cfp-1, -0x1.30f0ae903c078p-1, -0x1.2ed7fa5f940ebp-1, -0x1.2cbd0503f9e35p-1, -0x1.2a9fe29f14876p-1, -0x1.2880a7e3e89eap-1, -0x1.265f6a0c1a1cap-1, -0x1.243c3ecd728f7p-1, -0x1.22173c4fab95ap-1, -0x1.1ff0792282562p-1, -0x1.1dc80c3411c74p-1, -0x1.1b9e0cc776d88p-1, -0x1.1972926bbd2e4p-1, -0x1.1745b4f3154f7p-1, -0x1.15178c6a555f5p-1, -0x1.12e83110c1c05p-1, -0x1.10b7bb501ef02p-1, -0x1.0e8643b50bbdcp-1, -0x1.0c53e2e7a1dd4p-1, -0x1.0a20b1a45dbb8p-1, -0x1.07ecc8b54b96fp-1, -0x1.05b840eb77a9dp-1, -0x1.03833318a2b88p-1, -0x1.014db8093827dp-1, -0x1.fe2fd0fd05eefp-2, -0x1.f9c3ba524818cp-2, -0x1.f5575d4787b46p-2, -0x1.f0eaeadc05026p-2, -0x1.ec7e93cf3ffddp-2, -0x1.e8128897c05e6p-2, -0x1.e3a6f95a48eaep-2, -0x1.df3c15e17a0ffp-2, -0x1.dad20d95dc431p-2, -0x1.d6690f7653117p-2, -0x1.d2014a10ef9efp-2, -0x1.cd9aeb7c2a7fep-2, -0x1.c936215075888p-2, -0x1.c4d318a229885p-2, -0x1.c071fdfbd141bp-2, -0x1.bc12fd58c3fcfp-2, -0x1.b7b6422015de5p-2, -0x1.b35bf71fd7d66p-2, -0x1.af044688a64c9p-2, -0x1.aaaf59e9805abp-2, -0x1.a65d5a2bece1p-2, -0x1.a20e6f905e0ep-2, -0x1.9dc2c1aae1ddbp-2, -0x1.997a77600c35cp-2, -0x1.9535b6e2267f4p-2, -0x1.90f4a5ae99bebp-2, -0x1.8cb7688b932a7p-2, -0x1.887e2385e4211p-2, -0x1.8448f9ef18a8bp-2, -0x1.80180e5bc0f28p-2, -0x1.7beb82a1f1682p-2, -0x1.77c377d7f318fp-2, -0x1.73a00e5322566p-2, -0x1.6f8165a6fc5e8p-2, -0x1.6b679ca45ba58p-2, -0x1.6752d158d9f21p-2, -0x1.6343210e6036cp-2, -0x1.5f38a84adaec8p-2, -0x1.5b3382d016732p-2, -0x1.5733cb9bbe2fbp-2, -0x1.53399ce7810ddp-2, -0x1.4f451029553a7p-2, -0x1.4b563e13df7e8p-2, -0x1.476d3e96f56d6p-2, -0x1.438a28e04333bp-2, -0x1.3fad135c0995cp-2, -0x1.3bd613b5f7336p-2, -0x1.38053eda21e63p-2, -0x1.343aa8f611473p-2, -0x1.30766579e78d3p-2, -0x1.2cb887199ea5dp-2, -0x1.29011fce5d0f3p-2, -0x1.255040d7dcb9p-2, -0x1.21a5fabdea873p-2, -0x1.1e025d51f3e74p-2, -0x1.1a6577b0ab443p-2, -0x1.16cf5843ba1dp-2, -0x1.13400cc38523p-2, -0x1.0fb7a239009e4p-2, -0x1.0c3624ff92039p-2, -0x1.08bba0c7000e3p-2, -0x1.0548209570ebdp-2, -0x1.01dbaec973684p-2, -0x1.fcecaa38262d7p-3, -0x1.f6303945f51e3p-3, -0x1.ef821ba53a48fp-3, -0x1.e8e26100d3b0ep-3, -0x1.e25117ca137b1p-3, -0x1.dbce4d3d4823p-3, -0x1.d55a0d6653a31p-3, -0x1.cef4632556d7ep-3, -0x1.c89d5833622b5p-3, -0x1.c254f52735332p-3, -0x1.bc1b417a08ddbp-3, -0x1.b5f0438c60a87p-3, -0x1.afd400aae9e92p-3, -0x1.a9c67d1358738p-3, -0x1.a3c7bbf954d66p-3, -0x1.9dd7bf8b65523p-3, -0x1.97f688f7e31f5p-3, -0x1.92241871efb52p-3, -0x1.8c606d366af19p-3, -0x1.86ab8590eda75p-3, -0x1.81055ee0c50c6p-3, -0x1.7b6df59deb85cp-3, -0x1.75e5455e0172dp-3, -0x1.706b48d947bb2p-3, -0x1.6afff9ef9433ep-3, -0x1.65a351ad4362p-3, -0x1.605548502879bp-3, -0x1.5b15d54c78172p-3, -0x1.55e4ef51acce7p-3, -0x1.50c28c4f6837cp-3, -0x1.4baea17a4cf0fp-3, -0x1.46a92350d1967p-3, -0x1.41b205a00af02p-3, -0x1.3cc93b88737adp-3, -0x1.37eeb782a3fd4p-3, -0x1.33226b64097a4p-3, -0x1.2e6448638b4ccp-3, -0x1.29b43f1e2ea15p-3, -0x1.25123f9baa197p-3, -0x1.207e3952f5098p-3, -0x1.1bf81b2ec27bbp-3, -0x1.177fd391fa7p-3, -0x1.1315505c2428bp-3, -0x1.0eb87eedc2639p-3, -0x1.0a694c2ca5e6bp-3, -0x1.0627a48831186p-3, -0x1.01f373fd956f6p-3, -0x1.fb994c37f246cp-4, -0x1.f3664c1130edfp-4, -0x1.eb4dbd05ae5ap-4, -0x1.e34f73d084509p-4, -0x1.db6b44710b387p-4, -0x1.d3a10232a6d03p-4, -0x1.cbf07fb47a436p-4, -0x1.c4598ef0fc95dp-4, -0x1.bcdc014572ab4p-4, -0x1.b577a779445d5p-4, -0x1.ae2c51c547037p-4, -0x1.a6f9cfdacc2abp-4, -0x1.9fdff0eab5947p-4, -0x1.98de83ac4a941p-4, -0x1.91f556640907ap-4, -0x1.8b2436ea480abp-4, -0x1.846af2b1c2638p-4, -0x1.7dc956ce046f9p-4, -0x1.773f2ff9b8767p-4, -0x1.70cc4a9cd29e4p-4, -0x1.6a7072d2a6885p-4, -0x1.642b746fd6edfp-4, -0x1.5dfd1b0828eaap-4, -0x1.57e531f43ba7dp-4, -0x1.51e384571fa96p-4, -0x1.4bf7dd23d0329p-4, -0x1.462207228f76cp-4, -0x1.4061ccf623d3ep-4, -0x1.3ab6f920f9411p-4, -0x1.3521560a244e7p-4, -0x1.2fa0ae024579dp-4, -0x1.2a34cb48546ap-4, -0x1.24dd780e49ea4p-4, -0x1.1f9a7e7daf27cp-4, -0x1.1a6ba8bc0dcc5p-4, -0x1.1550c0ef490dp-4, -0x1.10499141d4f23p-4, -0x1.0b55e3e6d476fp-4, -0x1.0675831e1ceb8p-4, -0x1.01a839381b6f5p-4, -0x1.f9dba1334447dp-5, -0x1.f08c277f2fa4ep-5, -0x1.e7619a851f47p-5, -0x1.de5b8fb489636p-5, -0x1.d5799cc1f9f61p-5, -0x1.ccbb57ada383cp-5, -0x1.c42056c9bfa7ep-5, -0x1.bba830c0b9cdbp-5, -0x1.b3527c9b2d94p-5, -0x1.ab1ed1c5af027p-5, -0x1.a30cc81669ed8p-5, -0x1.9b1bf7d2874dbp-5, -0x1.934bf9b373455p-5, -0x1.8b9c66ebe1b5ap-5, -0x1.840cd92cb8702p-5, -0x1.7c9ceaa9c0686p-5, -0x1.754c361e2f7dbp-5, -0x1.6e1a56d104e1bp-5, -0x1.6706e899419b4p-5, -0x1.601187e1eb8eap-5, -0x1.5939d1adf351ep-5, -0x1.527f639be5ee1p-5, -0x1.4be1dbe985a5cp-5, -0x1.4560d9772a702p-5, -0x1.3efbfbcb091e5p-5, -0x1.38b2e31453196p-5, -0x1.3285302e28082p-5, -0x1.2c7284a26fe3p-5, -0x1.267a82ac87fddp-5, -0x1.209ccd3bd1cffp-5, -0x1.1ad907f620a97p-5, -0x1.152ed73a00b47p-5, -0x1.0f9de020e0684p-5, -0x1.0a25c8811e312p-5, -0x1.04c636efeb84ep-5, -0x1.fefda58642619p-6, -0x1.f49e8825c6333p-6, -0x1.ea6e67766ea14p-6, -0x1.e06c96baeb824p-6, -0x1.d6986ac341498p-6, -0x1.ccf139ef403c3p-6, -0x1.c3765c30c62b9p-6, -0x1.ba272b0dccd0dp-6, -0x1.b10301a244ca1p-6, -0x1.a8093ca1bf558p-6, -0x1.9f393a58e6cabp-6, -0x1.96925aaec7ed8p-6, -0x1.8e13ff25ee38ap-6, -0x1.85bd8add553aep-6, -0x1.7d8e629123c57p-6, -0x1.7585ec9b541a4p-6, -0x1.6da390f4101bp-6, -0x1.65e6b9320c0fap-6, -0x1.5e4ed08a9789bp-6, -0x1.56db43d1a251ap-6, -0x1.4f8b817990114p-6, -0x1.485ef992e3e31p-6, -0x1.41551dcbdd195p-6, -0x1.3a6d616fd781ep-6, -0x1.33a73966a066ep-6, -0x1.2d021c33a860ap-6, -0x1.267d81f50601fp-6, -0x1.2018e46272e2dp-6, -0x1.19d3becc24145p-6, -0x1.13ad8e197205ep-6, -0x1.0da5d0c78af96p-6, -0x1.07bc06e7ed2aep-6, -0x1.01efb21ed887cp-6, -0x1.f880ab4342dc9p-7, -0x1.ed5aec69de0cp-7, -0x1.e26d3455c1edp-7, -0x1.d7b692c242d4ep-7, -0x1.cd361a7dc825p-7, -0x1.c2eae165a4513p-7, -0x1.b8d40061b3322p-7, -0x1.aef0935ff2b6cp-7, -0x1.a53fb94fe34ap-7, -0x1.9bc0941dc509ap-7, -0x1.927248add3943p-7, -0x1.8953fed733079p-7, -0x1.8064e15eeb11fp-7, -0x1.77a41df2a6e6bp-7, -0x1.6f10e5237da54p-7, -0x1.66aa6a607e3b5p-7, -0x1.5e6fe3f135a62p-7, -0x1.56608af0190ddp-7, -0x1.4e7b9b44ea3fdp-7, -0x1.46c0539eeed7bp-7, -0x1.3f2df56f229f2p-7, -0x1.37c3c4e26254ap-7, -0x1.308108db6aacdp-7, -0x1.29650aece2965p-7, -0x1.226f17534ac02p-7, -0x1.1b9e7ceedc187p-7, -0x1.14f28d3d67b3bp-7, -0x1.0e6a9c541ab23p-7, -0x1.080600d941052p-7, -0x1.01c413fe041eep-7, -0x1.f74862f0275e6p-8, -0x1.eb4b6ef6a2ee5p-8, -0x1.df900d66ce9b8p-8, -0x1.d415047af48adp-8, -0x1.c8d91f4341339p-8, -0x1.bddb2d9920f15p-8, -0x1.b31a0412305fep-8, -0x1.a8947bf3666aep-8, -0x1.9e49732421efcp-8, -0x1.9437cc213957dp-8, -0x1.8a5e6df00298ep-8, -0x1.80bc44115a5dfp-8, -0x1.77503e74be9bcp-8, -0x1.6e19516b57b14p-8, -0x1.6516759b069a2p-8, -0x1.5c46a7f18012ep-8, -0x1.53a8e9976415p-8, -0x1.4b3c3fe36a6f1p-8, -0x1.42ffb44d83d27p-8, -0x1.3af254621dc84p-8, -0x1.331331b5429f2p-8, -0x1.2b6161d6011f4p-8, -0x1.23dbfe41a975fp-8, -0x1.1c8224573f542p-8, -0x1.1552f54ad2b76p-8, -0x1.0e4d9619106ebp-8, -0x1.07712f7aba21fp-8, -0x1.00bcedd849b28p-8, -0x1.f460027b3ceb3p-9, -0x1.e7933a9b448a8p-9, -0x1.db11f26c77f1ap-9, -0x1.ceda9f4804815p-9, -0x1.c2ebbd6c8b875p-9, -0x1.b743cfe63a6a3p-9, -0x1.abe16076d3a21p-9, -0x1.a0c2ff7e0dd2cp-9, -0x1.95e743e224706p-9, -0x1.8b4ccaf88e1b7p-9, -0x1.80f2386ebf5f8p-9, -0x1.76d636333b21dp-9, -0x1.6cf7745ec7174p-9, -0x1.6354a91dc050ep-9, -0x1.59ec9099c1692p-9, -0x1.50bdece34a615p-9, -0x1.47c785dbb9901p-9, -0x1.3f08291f7468fp-9, -0x1.367ea9f02007dp-9, -0x1.2e29e11f2fdd8p-9, -0x1.2608acf8a3a67p-9, -0x1.1e19f12dd764ep-9, -0x1.165c96c0acdcfp-9, -0x1.0ecf8beed1378p-9, -0x1.0771c41d45a18p-9, -0x1.004237c3f83fbp-9, -0x1.f27fc8b3a6b3ap-10, -0x1.e4d398815e80bp-10, -0x1.d77ded639d5c2p-10, -0x1.ca7cdf546ae4cp-10, -0x1.bdce8faf19f07p-10, -0x1.b1712909db8fbp-10, -0x1.a562df104ae3cp-10, -0x1.99a1ee5de9313p-10, -0x1.8e2c9c595a7a8p-10, -0x1.8301370fec696p-10, -0x1.781e151166676p-10, -0x1.6d81954c9a3dap-10, -0x1.632a1eebedf34p-10, -0x1.59162132e1dfcp-10, -0x1.4f44135b34c8bp-10, -0x1.45b274736868p-10, -0x1.3c5fcb3cd0da5p-10, -0x1.334aa60a985ecp-10, -0x1.2a719aa102247p-10, -0x1.21d34614fac73p-10, -0x1.196e4cac58709p-10, -0x1.114159be1677bp-10, -0x1.094b1f935ccb5p-10, -0x1.018a5748eef04p-10, -0x1.f3fb81611e227p-11, -0x1.e548446675d67p-11, -0x1.d6f8916782aa8p-11, -0x1.c90a0ee2da596p-11, -0x1.bb7a6fd707a07p-11, -0x1.ae47738992b1p-11, -0x1.a16ee54f226ecp-11, -0x1.94ee9c5493ccep-11, -0x1.88c47b6855a05p-11, -0x1.7cee70c507599p-11, -0x1.716a75dca1c85p-11, -0x1.66368f241edf1p-11, -0x1.5b50cbe08506p-11, -0x1.50b745f40b6c6p-11, -0x1.466821ac4c91dp-11, -0x1.3c618d91166fp-11, -0x1.32a1c23419195p-11, -0x1.29270201237cep-11, -0x1.1fef990f19dcdp-11, -0x1.16f9dcf1ccd46p-11, -0x1.0e442c8c2d91cp-11, -0x1.05ccefe3b7b01p-11, -0x1.fb252fe7a7b9ep-12, -0x1.eb273d0532a4ep-12, -0x1.db9d0beba1affp-12, -0x1.cc83b251a7877p-12, -0x1.bdd856859b395p-12, -0x1.af982f1c7ff0ep-12, -0x1.a1c082a052b26p-12, -0x1.944ea741f6ee4p-12, -0x1.8740028aaee2cp-12, -0x1.7a92090f3492ep-12, -0x1.6e423e24d2cc9p-12, -0x1.624e33967c616p-12, -0x1.56b3895c84365p-12, -0x1.4b6fed5407695p-12, -0x1.40811af87c748p-12, -0x1.35e4db1e72c29p-12, -0x1.2b9903af11372p-12, -0x1.219b77648d508p-12, -0x1.17ea258899c9bp-12, -0x1.0e8309b322b33p-12, -0x1.05642b8a50819p-12, -0x1.f9173d07f2808p-13, -0x1.e7ef035027a71p-13, -0x1.d74bfea6d0f3p-13, -0x1.c72a99f935f39p-13, -0x1.b78755f27c944p-13, -0x1.a85ec88879584p-13, -0x1.99ad9c8b42a61p-13, -0x1.8b709135487b6p-13, -0x1.7da479be7ca77p-13, -0x1.70463cf09b413p-13, -0x1.6352d4bef6edfp-13, -0x1.56c74ddd949eep-13, -0x1.4aa0c75ceef47p-13, -0x1.3edc7244d30cap-13, -0x1.3377913328b88p-13, -0x1.286f77fc277bbp-13, -0x1.1dc18b4aa9459p-13, -0x1.136b40446df8ep-13, -0x1.096a1c2ed5d85p-13, -0x1.ff77682ac93acp-14, -0x1.ecbb58e41e0d8p-14, -0x1.da9b71aeebfd5p-14, -0x1.c91337379f30cp-14, -0x1.b81e4b0dc68fdp-14, -0x1.a7b86aff7c16cp-14, -0x1.97dd707b3d4b5p-14, -0x1.88894ff38c2eep-14, -0x1.79b8184372725p-14, -0x1.6b65f21a2f12ep-14, -0x1.5d8f1f6607777p-14, -0x1.502ffac359866p-14, -0x1.4344f6ef57bdep-14, -0x1.36ca9e3b4e06dp-14, -0x1.2abd92056ed2dp-14, -0x1.1f1a8a3244563p-14, -0x1.13de54a87f955p-14, -0x1.0905d4d166452p-14, -0x1.fd1c0634273dp-15, -0x1.e8e7d8ee24ab7p-15, -0x1.d56963d6d3fd3p-15, -0x1.c29b1024feb85p-15, -0x1.b0776d566c7cep-15, -0x1.9ef93049cfddp-15, -0x1.8e1b32614332cp-15, -0x1.7dd870a442507p-15, -0x1.6e2c0aed4cd22p-15, -0x1.5f114311feb25p-15, -0x1.50837c1a44ecap-15, -0x1.427e3971ffbeep-15, -0x1.34fd1e266ab93p-15, -0x1.27fbec238a91fp-15, -0x1.1b768375b9e61p-15, -0x1.0f68e190475efp-15, -0x1.03cf20983320cp-15, -0x1.f14aed62e246bp-16, -0x1.dbd06aa1ba355p-16, -0x1.c72791242521ep-16, -0x1.b3496d1fdc9efp-16, -0x1.a02f3d826a5ecp-16, -0x1.8dd272b093a56p-16, -0x1.7c2cad4daefcbp-16, -0x1.6b37bd0846c0cp-16, -0x1.5aed9f70e159bp-16, -0x1.4b487ecf44583p-16, -0x1.3c42b10a3509ep-16, -0x1.2dd6b689a08b5p-16, -0x1.1fff3925c884ap-16, -0x1.12b70b1a39128p-16, -0x1.05f925ff51f32p-16, -0x1.f38153910be3bp-17, -0x1.dc11b790573e7p-17, -0x1.c59a4b7730437p-17, -0x1.b01229b1d79fdp-17, -0x1.9b70b1ce17588p-17, -0x1.87ad86a95d0ffp-17, -0x1.74c08cb3468e1p-17, -0x1.62a1e8342d819p-17, -0x1.5149fba261c5cp-17, -0x1.40b165fa98416p-17, -0x1.30d1012afb1d5p-17, -0x1.21a1e08009e48p-17, -0x1.131d4f1cf322ep-17, -0x1.053cce7f6a41dp-17, -0x1.eff42a12b017bp-18, -0x1.d69e1924080f7p-18, -0x1.be6ba20610ec3p-18, -0x1.a7515df7f6998p-18, -0x1.914444fbd10adp-18, -0x1.7c39ab402c124p-18, -0x1.68273e9468085p-18, -0x1.550303f35996fp-18, -0x1.42c3551dd237fp-18, -0x1.315ede322d766p-18, -0x1.20cc9b6999a7dp-18, -0x1.1103d6d2d339dp-18, -0x1.01fc2623bf1c4p-18, -0x1.e75ad12f6953bp-19, -0x1.cc1f89a6cb16dp-19, -0x1.b2374dbdec1a5p-19, -0x1.99937c58c1479p-19, -0x1.8225f7446d403p-19, -0x1.6be11f72a2fdfp-19, -0x1.56b7d1458f183p-19, -0x1.429d60fdaa88ap-19, -0x1.2f85972d8c8e1p-19, -0x1.1d64ad5333b63p-19, -0x1.0c2f4a7ee5448p-19, -0x1.f7b5003228758p-20, -0x1.d8b78d5db9984p-20, -0x1.bb51f5c6f3c0bp-20, -0x1.9f70b4c7a8da9p-20, -0x1.850101f4fc3ddp-20, -0x1.6bf0cb5dad549p-20, -0x1.542eb00de7e78p-20, -0x1.3da9fa79b3b3cp-20, -0x1.28529b498d149p-20, -0x1.1419243853454p-20, -0x1.00eec3094be27p-20, -0x1.dd8a7926a79b3p-21, -0x1.bb1dd02e80a3p-21, -0x1.9a7d550abe065p-21, -0x1.7b8fe40cdadfap-21, -0x1.5e3d631b77972p-21, -0x1.426eb927a0636p-21, -0x1.280dc5e8953c3p-21, -0x1.0f05599e22febp-21, -0x1.ee825aa805b0cp-22, -0x1.c15bb62eae7a2p-22, -0x1.9671ad3a36e34p-22, -0x1.6da0cbb6da7f3p-22, -0x1.46c734145e6c1p-22, -0x1.21c491a74f825p-22, -0x1.fcf415f4da4d3p-23, -0x1.b9946a020f3aap-23, -0x1.79320d1519a97p-23, -0x1.3b97978c91de7p-23, -0x1.009234eba8f4ap-23, -0x1.8fe3199cc98fep-24, -0x1.230f58a5aded6p-24, -0x1.74a3be92dc8a5p-25, -0x1.555f6c36f8005p-26, 0x1.85a77cd226892p-29, 0x1.aa1f2a195e07bp-26, 0x1.8bfc7338ba6a1p-25, 0x1.1ed31bc2297ccp-24, 0x1.7545529cd1543p-24, 0x1.c990318fb56p-24, 0x1.0df5d0605e4c3p-23, 0x1.36461f7cb7aaap-23, 0x1.5dd1c0ca7e2a9p-23, 0x1.84afea72f4c84p-23, 0x1.aaf65cee75f03p-23, 0x1.d0b972560e57p-23, 0x1.f60c2caee4b9bp-23, 0x1.0d8021da2cb24p-22, 0x1.1fd3192ecf6f9p-22, 0x1.3206a226ffa44p-22, 0x1.4421d100c837fp-22, 0x1.562b2eb466bc6p-22, 0x1.6828beff54e05p-22, 0x1.7a2005fda711bp-22, 0x1.8c160de80013p-22, 0x1.9e0f6c58399f7p-22, 0x1.b010478c9d0bbp-22, 0x1.c21c5b9d324bep-22, 0x1.d436ff433d36bp-22, 0x1.e663287cac08dp-22, 0x1.f8a371512e61p-22, 0x1.057d0e1362abap-21, 0x1.0eb48bfe51a82p-21, 0x1.17f9025aab912p-21, 0x1.214b1b6cdae2ap-21, 0x1.2aab5dde24053p-21, 0x1.341a2e7d97349p-21, 0x1.3d97d222f347ep-21, 0x1.47246f52eba2dp-21, 0x1.50c00ff72b686p-21, 0x1.5a6aa30a2ab76p-21, 0x1.6423fe075ab13p-21, 0x1.6debde7a95148p-21, 0x1.77c1eb791e86fp-21, 0x1.81a5b70886492p-21, 0x1.8b96bf5e022eep-21, 0x1.9594703e4327fp-21, 0x1.9f9e2438aa74bp-21, 0x1.a9b325da26f43p-21, 0x1.b3d2b0ce024efp-21, 0x1.bdfbf2fdd0c5p-21, 0x1.c82e0d9f0b365p-21, 0x1.d2681639fa761p-21, 0x1.dca9179c0e75fp-21, 0x1.e6f012d29b688p-21, 0x1.f13c00156fd26p-21, 0x1.fb8bcf93d49aep-21, 0x1.02ef352eb294fp-20, 0x1.0819599044e14p-20, 0x1.0d43c37480a85p-20, 0x1.126ddef644b2p-20, 0x1.17971612e99c4p-20, 0x1.1cbed1076be1cp-20, 0x1.21e476a10ecb6p-20, 0x1.27076c866b21fp-20, 0x1.2c271784abc86p-20, 0x1.3142dbd816b03p-20, 0x1.365a1d6aad5ffp-20, 0x1.3b6c40147b847p-20, 0x1.4078a7de61eb5p-20, 0x1.457eb9356b82bp-20, 0x1.4a7dd924130dp-20, 0x1.4f756d87316acp-20, 0x1.5464dd3e7430ap-20, 0x1.594b9056a2fa2p-20, 0x1.5e28f03fbbc36p-20, 0x1.62fc67ea4da75p-20, 0x1.67c563f617eabp-20, 0x1.6c8352d7c777bp-20, 0x1.7135a4f761b2cp-20, 0x1.75dbccd215c42p-20, 0x1.7a753f198966p-20, 0x1.7f0172d01ca0bp-20, 0x1.837fe162067b4p-20, 0x1.87f006bda59b1p-20, 0x1.8c51616d60f3dp-20, 0x1.90a372ab9c5fdp-20, 0x1.94e5be731af3ep-20, 0x1.9917cb917f332p-20, 0x1.9d3923bc5b45ep-20, 0x1.a1495398a2c0cp-20, 0x1.a547eace7a589p-20, 0x1.a9347c12f10a8p-20, 0x1.ad0e9d31e2c62p-20, 0x1.b0d5e7142bff7p-20, 0x1.b489f5d225468p-20, 0x1.b82a68b0249c4p-20, 0x1.bbb6e2270514cp-20, 0x1.bf2f07ed0867p-20, 0x1.c29282f653709p-20, 0x1.c5e0ff77c3661p-20, 0x1.c91a2cea6592ap-20, 0x1.cc3dbe0b6aa99p-20, 0x1.cf4b68db0b27fp-20, 0x1.d242e6a118645p-20, 0x1.d523f3e49f955p-20, 0x1.d7ee506f09f25p-20, 0x1.daa1bf4561151p-20, 0x1.dd3e06a94b777p-20, 0x1.dfc2f010be766p-20, 0x1.e23048242351p-20, 0x1.e485deb677da4p-20, 0x1.e6c386c2d0e81p-20, 0x1.e8e91662d881ep-20, 0x1.eaf666c70eda9p-20, 0x1.eceb5433e05f9p-20, 0x1.eec7bdf7e1092p-20, 0x1.f08b866216a76p-20, 0x1.f23692ba015dbp-20, 0x1.f3c8cb38f961fp-20, 0x1.f5421afd7970fp-20, 0x1.f6a27003fa45fp-20, 0x1.f7e9bb1d07df1p-20, 0x1.f917efe1ba025p-20, 0x1.fa2d04a9d87f4p-20, 0x1.fb28f28281b7bp-20, 0x1.fc0bb52286524p-20, 0x1.fcd54ade396c9p-20, 0x1.fd85b49ce4766p-20, 0x1.fe1cf5ce50f55p-20, 0x1.fe9b145ec1109p-20, 0x1.ff0018ab6cb31p-20, 0x1.ff4c0d75643ccp-20, 0x1.ff7effd75bfd5p-20, 0x1.ff98ff3998117p-20, 0x1.ff9a1d431b469p-20, 0x1.ff826dd28043ap-20, 0x1.ff5206ee65948p-20, 0x1.ff0900b875405p-20, 0x1.fea775640b523p-20, 0x1.fe2d81285eeb9p-20, 0x1.fd9b4233a6ad5p-20, 0x1.fcf0d89f2aa0ap-20, 0x1.fc2e6664ca854p-20, 0x1.fb540f50b70e4p-20, 0x1.fa61f8f4ddc65p-20, 0x1.f9584a9dd97c4p-20, 0x1.f8372d46f8a4dp-20, 0x1.f6fecb8d200bfp-20, 0x1.f5af51a35257p-20, 0x1.f448ed474fbd8p-20, 0x1.f2cbcdb60b187p-20, 0x1.f138239db622ap-20, 0x1.ef8e21129f72bp-20, 0x1.edcdf9849f6c3p-20, 0x1.ebf7e1b21574cp-20, 0x1.ea0c0f9e503bbp-20, 0x1.e80aba85a3182p-20, 0x1.e5f41ad08cc04p-20, 0x1.e3c86a09a0bdfp-20, 0x1.e187e2d1efd03p-20, 0x1.df32c0d7963dcp-20, 0x1.dcc940c92ea41p-20, 0x1.da4ba04b763fp-20, 0x1.d7ba1def92997p-20, 0x1.d514f92945f29p-20, 0x1.d25c724309391p-20, 0x1.cf90ca53f6a7p-20, 0x1.ccb243358518ap-20, 0x1.c9c11f7a92e3p-20, 0x1.c6bda265e2dcp-20, 0x1.c3a80fdff6d1ap-20, 0x1.c080ac6c9f11ap-20, 0x1.bd47bd227d273p-20, 0x1.b9fd87a257549p-20, 0x1.b6a2520dfb0f5p-20, 0x1.b33662fdb6a01p-20, 0x1.afba01794f1dep-20, 0x1.ac2d74ef50723p-20, 0x1.a891052c2e178p-20, 0x1.a4e4fa526d03ep-20, 0x1.a1299cd124261p-20, 0x1.9d5f355d67fa7p-20, 0x1.99860ce9115bfp-20, 0x1.959e6c9c5f494p-20, 0x1.91a89dce7e32p-20, 0x1.8da4e9fd3d6ffp-20, 0x1.89939ac58b0cap-20, 0x1.8574f9dd35cedp-20, 0x1.8149510c14c95p-20, 0x1.7d10ea23327a4p-20, 0x1.78cc0ef887d2ap-20, 0x1.747b096076c83p-20, 0x1.701e2326c73c6p-20, 0x1.6bb5a60866ba9p-20, 0x1.6741dbac43fp-20, 0x1.62c30d9f1e73ep-20, 0x1.5e39854bcc5dbp-20, 0x1.59a58bf6f79b5p-20, 0x1.55076aba83a7dp-20, 0x1.505f6a7eae2fbp-20, 0x1.4badd3f44341bp-20, 0x1.46f2ef909b34fp-20, 0x1.422f0588e4b47p-20, 0x1.3d625dccbaef4p-20, 0x1.388d4000eb0d9p-20, 0x1.33aff37b1a783p-20, 0x1.2ecabf3f45d1fp-20, 0x1.29dde9fa2b589p-20, 0x1.24e9b9fc66d1ep-20, 0x1.1fee7536de206p-20, 0x1.1aec613648698p-20, 0x1.15e3c31fb091ep-20, 0x1.10d4dfaddf767p-20, 0x1.0bbffb2c9b5c7p-20, 0x1.06a55975d52dp-20, 0x1.01853deda0b5bp-20, 0x1.f8bfd6fe00036p-21, 0x1.ee6b49331da97p-21, 0x1.e40d565c03638p-21, 0x1.d9a68156014f8p-21, 0x1.cf374bf670476p-21, }}, 
      std::vector<double>(850, 0.0), 
      {{-0x1.4c6cd2d859934p-7, -0x1.4c7d84dfe9d92p-6, -0x1.f2f9a4500ac74p-6, -0x1.4cf0ec8f5fd87p-5, -0x1.a0ba61bf16c23p-5, -0x1.f4f6030dc9937p-5, -0x1.24dc837f1217p-4, -0x1.4f86d64117a14p-4, -0x1.7a78cc8929d57p-4, -0x1.a5aad48d32188p-4, -0x1.d10f6a23b111dp-4, -0x1.fc93e4a8800b5p-4, -0x1.1410bc8271b02p-3, -0x1.29cf2858022bep-3, -0x1.3f774f63dc553p-3, -0x1.54fad1cdb0829p-3, -0x1.6a4b4a6e9d0aap-3, -0x1.7f5ab2972523ap-3, -0x1.941bb4839755dp-3, -0x1.a881eca9e4b07p-3, -0x1.bc821ad2819b1p-3, -0x1.d012446971b41p-3, -0x1.e329c9b7eed8cp-3, -0x1.f5c16fd24764dp-3, -0x1.03e9b0821f6abp-2, -0x1.0cad92b90a185p-2, -0x1.152acac1eadfap-2, -0x1.1d6063c4c768ap-2, -0x1.254dfcee19f5ep-2, -0x1.2cf3bd4a30078p-2, -0x1.345246e31122bp-2, -0x1.3b6aa98503011p-2, -0x1.423e557bbdf0cp-2, -0x1.48cf0e8a442d6p-2, -0x1.4f1edf50fe15bp-2, -0x1.55300d4957f0ap-2, -0x1.5b050d7372543p-2, -0x1.60a079c965667p-2, -0x1.660507842d712p-2, -0x1.6b357e3806851p-2, -0x1.7034afc924ac9p-2, -0x1.750571359a987p-2, -0x1.79aa942e51139p-2, -0x1.7e26e176880c3p-2, -0x1.827d13ffba646p-2, -0x1.86afd4b68d63bp-2, -0x1.8ac1b6f4cf454p-2, -0x1.8eb5358c12f03p-2, -0x1.928cb05c79fdcp-2, -0x1.964a6a6b5890dp-2, -0x1.99f0886daf731p-2, -0x1.9d810fbaec93ep-2, -0x1.a0fde59ceb3e9p-2, -0x1.a468cef2c90ebp-2, -0x1.a7c3701cca062p-2, -0x1.ab0f4d28240d5p-2, -0x1.ae4dca324b37ep-2, -0x1.b1802bfbf2f93p-2, -0x1.b4a798a49c7eap-2, -0x1.b7c51888373edp-2, -0x1.bad99738ef35dp-2, -0x1.bde5e48fc837ap-2, -0x1.c0eab5cf4b207p-2, -0x1.c3e8a6d3eadb8p-2, -0x1.c6e03b4e60b8dp-2, -0x1.c9d1e0048f948p-2, -0x1.ccbdec1602947p-2, -0x1.cfa4a2415d5a8p-2, -0x1.d28632288c08dp-2, -0x1.d562b991abafdp-2, -0x1.d83a45a312924p-2, -0x1.db0cd418fbdp-2, -0x1.ddda5473b432ep-2, -0x1.e0a2a91d4977fp-2, -0x1.e365a885ec0dcp-2, -0x1.e6231e366b8c5p-2, -0x1.e8dacbd84d7a9p-2, -0x1.eb8c6a3324381p-2, -0x1.ee37aa1eef118p-2, -0x1.f0dc356b57f57p-2, -0x1.f379afbbcd77ap-2, -0x1.f60fb758767f2p-2, -0x1.f89de5f41d879p-2, -0x1.fb23d16734e27p-2, -0x1.fda10c6029a03p-2, -0x1.000a9384a0082p-1, -0x1.013fd7d21d072p-1, -0x1.0270198e0b93bp-1, -0x1.039b1ec69ea96p-1, -0x1.04c0ad622cb23p-1, -0x1.05e08b5a2ae6bp-1, -0x1.06fa7ef1dd9acp-1, -0x1.080e4ee8eb6e5p-1, -0x1.091bc2a9ffcc6p-1, -0x1.0a22a275ace2p-1, -0x1.0b22b789b54a7p-1, -0x1.0c1bcc44ed993p-1, -0x1.0d0dac47dffb6p-1, -0x1.0df824925bef4p-1, -0x1.0edb039e1c4c3p-1, -0x1.0fb61976acf12p-1, -0x1.108937ceb4d4p-1, -0x1.11543212cd907p-1, -0x1.1216dd7a0939ep-1, -0x1.12d111144eaf5p-1, -0x1.1382a5d6a85e1p-1, -0x1.142b76a5ab462p-1, -0x1.14cb605e11bd3p-1, -0x1.156241dba7d83p-1, -0x1.15effbfea9cf2p-1, -0x1.167471afa8255p-1, -0x1.16ef87e2133bbp-1, -0x1.176125957f3aep-1, -0x1.17c933d5bd5d9p-1, -0x1.18279db9ddf39p-1, -0x1.187c50622e403p-1, -0x1.18c73af549bb2p-1, -0x1.19084e9c4e186p-1, -0x1.193f7e7e45399p-1, -0x1.196cbfbad4343p-1, -0x1.1990096440cc1p-1, -0x1.19a95478db3dep-1, -0x1.19b89bdbd7c72p-1, -0x1.19bddc4daa9e9p-1, -0x1.19b91463eba27p-1, -0x1.19aa4480d2e52p-1, -0x1.19916eca54e82p-1, -0x1.196e9720eb46fp-1, -0x1.1941c3161113fp-1, -0x1.190af9e27d747p-1, -0x1.18ca445c23163p-1, -0x1.187facebfe62p-1, -0x1.182b3f83b69aap-1, -0x1.17cd09931c3c4p-1, -0x1.176519fd8698dp-1, -0x1.16f3810f1acd7p-1, -0x1.16785071ff25cp-1, -0x1.15f39b237fc35p-1, -0x1.156575692ab2p-1, -0x1.14cdf4c5e562ep-1, -0x1.142d2fef0492bp-1, -0x1.13833ec1634f7p-1, -0x1.12d03a3682c8fp-1, -0x1.12143c59b2ee3p-1, -0x1.114f603d4873cp-1, -0x1.1081c1efe0edep-1, -0x1.0fab7e71bb5dap-1, -0x1.0eccb3aa228d9p-1, -0x1.0de5805cf081p-1, -0x1.0cf6042029da7p-1, -0x1.0bfe5f51b3356p-1, -0x1.0afeb30d24a07p-1, -0x1.09f72121b9e6p-1, -0x1.08e7cc08627f7p-1, -0x1.07d0d6d9f40e9p-1, -0x1.06b265457c81cp-1, -0x1.058c9b86ba42ep-1, -0x1.045f9e5cb7958p-1, -0x1.032b93008a3ep-1, -0x1.01f09f1c3bd6ap-1, -0x1.00aee8c1d7f82p-1, -0x1.fecd2cc5445e4p-2, -0x1.fc2f9d8ce85fbp-2, -0x1.f98572068cf4ep-2, -0x1.f6cef8e9c129cp-2, -0x1.f40c81696b5fdp-2, -0x1.f13e5b23d233dp-2, -0x1.ee64d612fffcp-2, -0x1.eb80427d7ab8ap-2, -0x1.e890f0e74f234p-2, -0x1.e59732037b9ecp-2, -0x1.e29356a5a9e17p-2, -0x1.df85afb444faap-2, -0x1.dc6e8e1ae89fbp-2, -0x1.d94e42bd22b87p-2, -0x1.d6251e6995ac4p-2, -0x1.d2f371cd69694p-2, -0x1.cfb98d681eeffp-2, -0x1.cc77c17fb145fp-2, -0x1.c92e5e15164a4p-2, -0x1.c5ddb2d912a8p-2, -0x1.c2860f2165c05p-2, -0x1.bf27c1de4edadp-2, -0x1.bbc3199064957p-2, -0x1.b858643ec4ba4p-2, -0x1.b4e7ef6d9ab97p-2, -0x1.b1720814f69ffp-2, -0x1.adf6fa97fce46p-2, -0x1.aa7712bc65cf5p-2, -0x1.a6f29ba25387dp-2, -0x1.a369dfbc77ba4p-2, -0x1.9fdd28c88a2c5p-2, -0x1.9c4cbfc810adcp-2, -0x1.98b8ecf978664p-2, -0x1.9521f7d179e82p-2, -0x1.918826f4cf0fdp-2, -0x1.8debc03233381p-2, -0x1.8a4d087cb0d58p-2, -0x1.86ac43e639d62p-2, -0x1.8309b59a86d0dp-2, -0x1.7f659fda44ed1p-2, -0x1.7bc043f685542p-2, -0x1.7819e24c77d5cp-2, -0x1.7472ba4168d8p-2, -0x1.70cb0a3f03723p-2, -0x1.6d230fafd7b34p-2, -0x1.697b06fc22e0ep-2, -0x1.65d32b86d548cp-2, -0x1.622bb7aadd8fdp-2, -0x1.5e84e4b8ad9dbp-2, -0x1.5adeeaf3fcab4p-2, -0x1.573a0191c7c45p-2, -0x1.53965eb68a94dp-2, -0x1.4ff43774b2b4ep-2, -0x1.4c53bfcb482bfp-2, -0x1.48b52aa4d0e3p-2, -0x1.4518a9d664e87p-2, -0x1.417e6e1efaff4p-2, -0x1.3de6a726e35c4p-2, -0x1.3a51837f779aep-2, -0x1.36bf30a2f86fp-2, -0x1.332fdaf49984cp-2, -0x1.2fa3adc0bce09p-2, -0x1.2c1ad33d5a395p-2, -0x1.2895748a8de88p-2, -0x1.2513b9b355971p-2, -0x1.2195c9ae708a9p-2, -0x1.1e1bca5f6becbp-2, -0x1.1aa5e097d00fbp-2, -0x1.173430187314bp-2, -0x1.13c6db92f0f3ep-2, -0x1.105e04ab424e9p-2, -0x1.0cf9cbf9751e2p-2, -0x1.099a510b849dp-2, -0x1.063fb2674e371p-2, -0x1.02ea0d8ca4615p-2, -0x1.ff32fdeef96dap-3, -0x1.f89c444470106p-3, -0x1.f210231006181p-3, -0x1.eb8ecd4ea205p-3, -0x1.e5187408d6e96p-3, -0x1.dead465831a67p-3, -0x1.d84d716cadbe3p-3, -0x1.d1f9209251ba4p-3, -0x1.cbb07d36f2469p-3, -0x1.c573aef013349p-3, -0x1.bf42db80f1d58p-3, -0x1.b91e26e0a4713p-3, -0x1.b305b3405b298p-3, -0x1.acf9a111bde4ep-3, -0x1.a6fa0f0d5f555p-3, -0x1.a1071a3946dd8p-3, -0x1.9b20ddef91559p-3, -0x1.954773e52609ep-3, -0x1.8f7af43078ec5p-3, -0x1.89bb755061e19p-3, -0x1.84090c32fbf91p-3, -0x1.7e63cc3c9b83cp-3, -0x1.78cbc74ebee37p-3, -0x1.73410dcf1b805p-3, -0x1.6dc3aeaea2d38p-3, -0x1.6853b77098285p-3, -0x1.62f13431a57c2p-3, -0x1.5d9c2faef3e2fp-3, -0x1.5854b34d4bd6fp-3, -0x1.531ac72031217p-3, -0x1.4dee71f0fec4dp-3, -0x1.48cfb94602e56p-3, -0x1.43bea16998f0cp-3, -0x1.3ebb2d713cbb4p-3, -0x1.39c55f449af9fp-3, -0x1.34dd37a49b948p-3, -0x1.3002b632640c7p-3, -0x1.2b35d97650371p-3, -0x1.26769ee6e8546p-3, -0x1.21c502efc2091p-3, -0x1.1d2100f864ddfp-3, -0x1.188a936b161dap-3, -0x1.1401b3bb9f6bbp-3, -0x1.0f865a6e06677p-3, -0x1.0b187f1d37fe1p-3, -0x1.06b81881a225cp-3, -0x1.02651c77bf855p-3, -0x1.fc3f000d28501p-4, -0x1.f3ce6ecc34b84p-4, -0x1.eb786c0b386f5p-4, -0x1.e33cdd23f70a6p-4, -0x1.db1ba5f7d73c5p-4, -0x1.d314a8fc28cc4p-4, -0x1.cb27c746459b6p-4, -0x1.c354e09792ff4p-4, -0x1.bb9bd369555fcp-4, -0x1.b3fc7cf8599bbp-4, -0x1.ac76b9507ec34p-4, -0x1.a50a63580b0b9p-4, -0x1.9db754dae117ep-4, -0x1.967d669584005p-4, -0x1.8f5c703ff099ap-4, -0x1.885448984f53fp-4, -0x1.8164c56d78b6ep-4, -0x1.7a8dbba94bc61p-4, -0x1.73ceff5adb0e1p-4, -0x1.6d2863c06b6d2p-4, -0x1.6699bb5144971p-4, -0x1.6022d7c75a8b8p-4, -0x1.59c38a28c136fp-4, -0x1.537ba2d0fa9b3p-4, -0x1.4d4af17a1578p-4, -0x1.473145459b65ep-4, -0x1.412e6cc5572edp-4, -0x1.3b423603ea3eep-4, -0x1.356c6e8d3727ep-4, -0x1.2face3769e0e1p-4, -0x1.2a0361670c38p-4, -0x1.246fb49ee10cap-4, -0x1.1ef1a8ffa3097p-4, -0x1.19890a138b8efp-4, -0x1.1435a314e5d0dp-4, -0x1.0ef73ef541cb2p-4, -0x1.09cda8647c4a3p-4, -0x1.04b8a9d79b527p-4, -0x1.ff701b1efbb0fp-5, -0x1.f5973b3ed0941p-5, -0x1.ebe647e6b6de5p-5, -0x1.e25cd4ac9c2eap-5, -0x1.d8fa74f0623cdp-5, -0x1.cfbebbe7ad8a2p-5, -0x1.c6a93ca94ebd1p-5, -0x1.bdb98a386706ep-5, -0x1.b4ef378f3a8ecp-5, -0x1.ac49d7a9b1959p-5, -0x1.a3c8fd8f91d3fp-5, -0x1.9b6c3c5e6a6fap-5, -0x1.9333275328af6p-5, -0x1.8b1d51d376dap-5, -0x1.832a4f76c4875p-5, -0x1.7b59b40f007b6p-5, -0x1.73ab13b11d065p-5, -0x1.6c1e02bd3e8b6p-5, -0x1.64b215e6ac747p-5, -0x1.5d66e23b7b13bp-5, -0x1.563bfd2bf2ab6p-5, -0x1.4f30fc91b5b85p-5, -0x1.484576b6a1ebfp-5, -0x1.4179025b76651p-5, -0x1.3acb36be3bfb2p-5, -0x1.343baba062f2cp-5, -0x1.2dc9f94cbb0c6p-5, -0x1.2775b89d16c79p-5, -0x1.213e82ffc46d8p-5, -0x1.1b23f27cce1c7p-5, -0x1.1525a1baf4dc3p-5, -0x1.0f432c04817a7p-5, -0x1.097c2d4bd5041p-5, -0x1.03d0422fd1d6p-5, -0x1.fc7e10000240ap-6, -0x1.f19039811dca8p-6, -0x1.e6d63e5c20f96p-6, -0x1.dc4f5d824272ep-6, -0x1.d1fad763867c8p-6, -0x1.c7d7edf53992ep-6, -0x1.bde5e4b807c8fp-6, -0x1.b42400bdb3bf1p-6, -0x1.aa9188ae83b79p-6, -0x1.a12dc4ce54986p-6, -0x1.97f7ff0155aaep-6, -0x1.8eef82d07be13p-6, -0x1.86139d6d98382p-6, -0x1.7d639db732fd6p-6, -0x1.74ded43c11fp-6, -0x1.6c84933e769a3p-6, -0x1.64542eb712c85p-6, -0x1.5c4cfc57ba25ep-6, -0x1.546e538ddadbp-6, -0x1.4cb78d849b634p-6, -0x1.45280526d8bap-6, -0x1.3dbf1720c2b7p-6, -0x1.367c21e15dadp-6, -0x1.2f5e859bbad9ep-6, -0x1.2865a447f0195p-6, -0x1.2190e1a3e55ebp-6, -0x1.1adfa333e38e7p-6, -0x1.14515042fb3b1p-6, -0x1.0de551e32e29ap-6, -0x1.079b12ed67941p-6, -0x1.01720001540d3p-6, -0x1.f6d30f09e1d2cp-7, -0x1.eb0233482503ep-7, -0x1.df70509f3b88ap-7, -0x1.d41c4e796e66dp-7, -0x1.c90517c751739p-7, -0x1.be299afd87ee9p-7, -0x1.b388ca12090adp-7, -0x1.a9219a7949ba1p-7, -0x1.9ef30522e6663p-7, -0x1.94fc06765684p-7, -0x1.8b3b9e4f1bdbcp-7, -0x1.81b0cff8db4cbp-7, -0x1.785aa22b3ead2p-7, -0x1.6f381f0572be6p-7, -0x1.66485409b8d4dp-7, -0x1.5d8a52186789fp-7, -0x1.54fd2d6b0e9dep-7, -0x1.4c9ffd8f4c08ap-7, -0x1.4471dd6158b4cp-7, -0x1.3c71eb0691b4ep-7, -0x1.349f47e7c5f19p-7, -0x1.2cf918ab63542p-7, -0x1.257e852f80e65p-7, -0x1.1e2eb883a9c18p-7, -0x1.1708e0e2bafdp-7, -0x1.100c2fac7164cp-7, -0x1.0937d95ef362bp-7, -0x1.028b159035308p-7, -0x1.f80a3dce92ab6p-8, -0x1.eb4a662b31e05p-8, -0x1.ded5259fdd57ep-8, -0x1.d2a9038f277cap-8, -0x1.c6c48d46680b5p-8, -0x1.bb2655ef7eb07p-8, -0x1.afccf6828a649p-8, -0x1.a4b70db746fd5p-8, -0x1.99e33ff68654cp-8, -0x1.8f50374b650a3p-8, -0x1.84fca35486ddp-8, -0x1.7ae7393523bdbp-8, -0x1.710eb3861eb86p-8, -0x1.6771d246e5b51p-8, -0x1.5e0f5ace6382ap-8, -0x1.54e617bbd7b52p-8, -0x1.4bf4d8e7af13cp-8, -0x1.433a73543a889p-8, -0x1.3ab5c11e7a0b5p-8, -0x1.3265a16ede439p-8, -0x1.2a48f869e9832p-8, -0x1.225eaf210d8d8p-8, -0x1.1aa5b3834348bp-8, -0x1.131cf84de9ecfp-8, -0x1.0bc374fd5d4d5p-8, -0x1.049825bde9935p-8, -0x1.fb3416b8dab45p-9, -0x1.ed90566eb1598p-9, -0x1.e0431e5ee5c01p-9, -0x1.d34a8b319c0dap-9, -0x1.c6a4c25787eeap-9, -0x1.ba4ff1ebe190bp-9, -0x1.ae4a50969e2aep-9, -0x1.a2921d6ecd1d1p-9, -0x1.97259fdceedeap-9, -0x1.8c03277d7aa5fp-9, -0x1.81290c03d9288p-9, -0x1.7695ad1cd17ddp-9, -0x1.6c477252187d6p-9, -0x1.623ccaed31999p-9, -0x1.58742ddae9f99p-9, -0x1.4eec198f090e6p-9, -0x1.45a313e7de412p-9, -0x1.3c97aa1275d2ap-9, -0x1.33c8706eac853p-9, -0x1.2b3402736bce3p-9, -0x1.22d902938a69p-9, -0x1.1ab61a22656c1p-9, -0x1.12c9f938f656ep-9, -0x1.0b13569b0a57p-9, -0x1.0390ef9cd7004p-9, -0x1.f883101111a72p-10, -0x1.ea47d408ad42p-10, -0x1.dc6dcbf1591d4p-10, -0x1.cef2a4ecfe2f6p-10, -0x1.c1d4183c34e9fp-10, -0x1.b50feb0bd8c88p-10, -0x1.a8a3ee436f8acp-10, -0x1.9c8dfe5408e6fp-10, -0x1.90cc0307a4385p-10, -0x1.855bef5084293p-10, -0x1.7a3bc11a9a4b7p-10, -0x1.6f69811b06ab7p-10, -0x1.64e342a292c03p-10, -0x1.5aa7236f067e6p-10, -0x1.50b34b7d84e1fp-10, -0x1.4705ecddd066dp-10, -0x1.3d9d43857c5e3p-10, -0x1.347795241dd73p-10, -0x1.2b9330f77da8cp-10, -0x1.22ee6fa0a8485p-10, -0x1.1a87b2f9da4ddp-10, -0x1.125d65ec27296p-10, -0x1.0a6dfc45f8056p-10, -0x1.02b7f292c0645p-10, -0x1.f6739be3d6797p-11, -0x1.e7e437df0e20bp-11, -0x1.d9bee4b910ce1p-11, -0x1.cc00de50c0d9p-11, -0x1.bea77074785e6p-11, -0x1.b1aff69755d74p-11, -0x1.a517db862321fp-11, -0x1.98dc991deebp-11, -0x1.8cfbb8039f54fp-11, -0x1.8172cf5c7531ap-11, -0x1.763f8487371d2p-11, -0x1.6b5f8ad6eff88p-11, -0x1.60d0a34ec5432p-11, -0x1.56909c5dbe5e7p-11, -0x1.4c9d519d1e05ap-11, -0x1.42f4ab8da6592p-11, -0x1.39949f5809238p-11, -0x1.307b2e8d1216ep-11, -0x1.27a666e665e15p-11, -0x1.1f1462097ba42p-11, -0x1.16c3454a7fe57p-11, -0x1.0eb14170c566dp-11, -0x1.06dc927b57c3p-11, -0x1.fe86fecec956ep-12, -0x1.efc8b3edcdcdep-12, -0x1.e17afcf1c11d3p-12, -0x1.d39aa722bfd9p-12, -0x1.c62494073e6bap-12, -0x1.b915b8f979e13p-12, -0x1.ac6b1ebc03ebp-12, -0x1.a021e114ba403p-12, -0x1.94372e64f345ap-12, -0x1.88a847464ab48p-12, -0x1.7d727e27dbb1dp-12, -0x1.729336ecf2f1bp-12, -0x1.6807e68e8786ap-12, -0x1.5dce12bd531d9p-12, -0x1.53e351858d835p-12, -0x1.4a4548f4d301dp-12, -0x1.40f1aec106f0cp-12, -0x1.37e647f0c0ca9p-12, -0x1.2f20e885ba36cp-12, -0x1.269f7328f5883p-12, -0x1.1e5fd8d74a76bp-12, -0x1.16601890583c7p-12, -0x1.0e9e3f0673e72p-12, -0x1.0718665025adcp-12, -0x1.ff996b3792ed1p-13, -0x1.f172c1c4d602cp-13, -0x1.e3b9513f5fe9bp-13, -0x1.d669b30dc15b3p-13, -0x1.c980987964c17p-13, -0x1.bcfaca2195126p-13, -0x1.b0d52770c8baap-13, -0x1.a50ca615e6591p-13, -0x1.999e517fc0ee1p-13, -0x1.8e874a5b1c9p-13, -0x1.83c4c61263776p-13, -0x1.79540e50e35ebp-13, -0x1.6f328087c9a31p-13, -0x1.655d8d769eb65p-13, -0x1.5bd2b8b2e062dp-13, -0x1.528f983694629p-13, -0x1.4991d3ed2f1f6p-13, -0x1.40d7254565a7p-13, -0x1.385d56c2b6aabp-13, -0x1.302243941858bp-13, -0x1.2823d72a5d409p-13, -0x1.20600cd138407p-13, -0x1.18d4ef4b956ep-13, -0x1.118098703cdb7p-13, -0x1.0a6130c94254ep-13, -0x1.0374ef35c6b1ap-13, -0x1.f974311acbc65p-14, -0x1.ec5dfe89a583cp-14, -0x1.dfa4062d2162fp-14, -0x1.d343215404a8dp-14, -0x1.c7384280a7e49p-14, -0x1.bb8074bdc581fp-14, -0x1.b018daff88a9cp-14, -0x1.a4feaf7fa284fp-14, -0x1.9a2f43253ba42p-14, -0x1.8fa7fce8a3b77p-14, -0x1.8566593fa5708p-14, -0x1.7b67e98a8ee5dp-14, -0x1.71aa538526ce4p-14, -0x1.682b50b9eece2p-14, -0x1.5ee8adfa0dc81p-14, -0x1.55e04ad64669ap-14, -0x1.4d10191c5f25bp-14, -0x1.44761c572ecdfp-14, -0x1.3c1069518770ap-14, -0x1.33dd259ac54eep-14, -0x1.2bda8711cdf62p-14, -0x1.2406d36c0d6ddp-14, -0x1.1c605fc7713efp-14, -0x1.14e5903714a7ap-14, -0x1.0d94d7582aa7dp-14, -0x1.066cb5e6f3f11p-14, -0x1.fed774ad4af6ap-15, -0x1.f12100d6647dp-15, -0x1.e3b361af20292p-15, -0x1.d68c01b58259fp-15, -0x1.c9a863c586928p-15, -0x1.bd06225e68cb2p-15, -0x1.b0a2eeeeed079p-15, -0x1.a47c91249f7e3p-15, -0x1.9890e6405bd44p-15, -0x1.8cdde06e7ffb6p-15, -0x1.81618623394c4p-15, -0x1.7619f17baad2cp-15, -0x1.6b054fa1fe1e2p-15, -0x1.6021e0340de12p-15, -0x1.556df4b1fc458p-15, -0x1.4ae7efeaa6551p-15, -0x1.408e45719c02cp-15, -0x1.365f79131b7ap-15, -0x1.2c5a1e5064944p-15, -0x1.227cd7dcd1056p-15, -0x1.18c6571f77e7p-15, -0x1.0f355bb580ba2p-15, -0x1.05c8b2fbd4276p-15, -0x1.f8fe6f2fbd31dp-16, -0x1.e6afa20c604dbp-16, -0x1.d4a2e6555a4d4p-16, -0x1.c2d63bc6aa9a2p-16, -0x1.b147b9407c268p-16, -0x1.9ff58bf613eep-16, -0x1.8eddf6a9c872cp-16, -0x1.7dff50e6c89e7p-16, -0x1.6d58064662ea1p-16, -0x1.5ce695b584013p-16, -0x1.4ca990c322577p-16, -0x1.3c9f9af235ab6p-16, -0x1.2cc7690e0f6bep-16, -0x1.1d1fc08687c23p-16, -0x1.0da776d07edafp-16, -0x1.fcbae19468a87p-17, -0x1.de814446d2921p-17, -0x1.c0a01997bdbb9p-17, -0x1.a31580ca9d6aep-17, -0x1.85dfb364e35c1p-17, -0x1.68fd0435ce406p-17, -0x1.4c6bde3e84ae2p-17, -0x1.302ac3bcb83c1p-17, -0x1.14384d368a474p-17, -0x1.f1265109745adp-18, -0x1.ba742fe44b806p-18, -0x1.8457e2afe10a4p-18, -0x1.4ecf3a85aea2cp-18, -0x1.19d82c458a7c6p-18, -0x1.cae19df6cf538p-19, -0x1.632eb491c4bfep-19, -0x1.f92893e36430ap-20, -0x1.2e1e8dd93d00fp-20, -0x1.94e666e48d8aep-22, 0x1.862e68dbeac1ap-22, 0x1.2635f9709c91ap-20, 0x1.e8ca0e3704c58p-20, 0x1.54a6033ded93p-19, 0x1.b3dfdc670c908p-19, 0x1.090a2a3806e1cp-18, 0x1.37a282fc9fdc5p-18, 0x1.65b9b35148a53p-18, 0x1.93506488d1fa6p-18, 0x1.c0672f792d7dbp-18, 0x1.ecfe9d7ec3d36p-18, 0x1.0c8b94b3387adp-17, 0x1.2258a0250a8e4p-17, 0x1.37e6a1421cc0fp-17, 0x1.4d35c23a7ae92p-17, 0x1.624627ab7f6fdp-17, 0x1.7717f108a2d3p-17, 0x1.8bab38f21c86cp-17, 0x1.a000159ad612ap-17, 0x1.b416991a48bbbp-17, 0x1.c7eed1c8fff74p-17, 0x1.db88ca8c6687p-17, 0x1.eee48b28fff03p-17, 0x1.01010c47b2d65p-16, 0x1.0a70ba9111ee7p-16, 0x1.13c1507eebf07p-16, 0x1.1cf2cd1d2096dp-16, 0x1.26052e97b7164p-16, 0x1.2ef87257197e1p-16, 0x1.37cc951d7617cp-16, 0x1.408193252cd37p-16, 0x1.4917683a2a3b1p-16, 0x1.518e0fd3884a2p-16, 0x1.59e5852dcaeaep-16, 0x1.621dc35ffc482p-16, 0x1.6a36c57387ae8p-16, 0x1.723086781e94ep-16, 0x1.7a0b019953076p-16, 0x1.81c6323249868p-16, 0x1.896213dd16a6bp-16, 0x1.90dea287cc406p-16, 0x1.983bda8200865p-16, 0x1.9f79b88d79463p-16, 0x1.a69839ed0381p-16, 0x1.ad975c7181733p-16, 0x1.b4771e86e97bp-16, 0x1.bb377f424131fp-16, 0x1.c1d87e69ed496p-16, 0x1.c85a1c830cac8p-16, 0x1.cebc5adad8bd4p-16, 0x1.d4ff3b8fcca49p-16, 0x1.db22c19934c9dp-16, 0x1.e126f0d20fd9ap-16, 0x1.e70bcdfdf99e4p-16, 0x1.ecd15ed08977ap-16, 0x1.f277a9f54319cp-16, 0x1.f7feb7135208bp-16, 0x1.fd668ed2a0659p-16, 0x1.01579d71af3cap-15, 0x1.03ec62ff29b42p-15, 0x1.06719df5937bbp-15, 0x1.08e754c1a0fcap-15, 0x1.0b4d8e5a5534cp-15, 0x1.0da45241a7cdep-15, 0x1.0feba886781ddp-15, 0x1.122399c45c828p-15, 0x1.144c2f2516338p-15, 0x1.16657260626b8p-15, 0x1.186f6dbcfc035p-15, 0x1.1a6a2c1014b29p-15, 0x1.1c55b8bd137d5p-15, 0x1.1e321fb61f69cp-15, 0x1.1fff6d7bac358p-15, 0x1.21bdaf1b0b8fcp-15, 0x1.236cf22f18f4dp-15, 0x1.250d44dea1d56p-15, 0x1.269eb5dbf589dp-15, 0x1.2821546343635p-15, 0x1.2995303ad61e2p-15, 0x1.2afa59b05c2a8p-15, 0x1.2c50e198441a8p-15, 0x1.2d98d94cd32a6p-15, 0x1.2ed252ac030e8p-15, 0x1.2ffd6015e4571p-15, 0x1.311a146ba68eep-15, 0x1.3228830d4a716p-15, 0x1.3328bfd7e551cp-15, 0x1.341adf24612b7p-15, 0x1.34fef5c496cd2p-15, 0x1.35d51901ffdc1p-15, 0x1.369d5e9b96cadp-15, 0x1.3757dcc3ed38p-15, 0x1.3804aa1e6f2bap-15, 0x1.38a3ddbdcae21p-15, 0x1.39358f219bcd1p-15, 0x1.39b9d63436017p-15, 0x1.3a30cb480a3d8p-15, 0x1.3a9a87156befcp-15, 0x1.3af722b8c071p-15, 0x1.3b46b7af85baap-15, 0x1.3b895fd656c17p-15, 0x1.3bbf35660c1c7p-15, 0x1.3be852f1dbc15p-15, 0x1.3c04d36453d6ep-15, 0x1.3c14d1fd54f96p-15, 0x1.3c186a4fa2edfp-15, 0x1.3c0fb83e0267cp-15, 0x1.3bfad7f8f43f5p-15, 0x1.3bd9e5fc8309ap-15, 0x1.3bacff0d5a04cp-15, 0x1.3b74403661af6p-15, 0x1.3b2fc6c62316ep-15, 0x1.3adfb04cc1bf4p-15, 0x1.3a841a9924374p-15, 0x1.3a1d23b68aecp-15, 0x1.39aae9ea0d684p-15, 0x1.392d8bb010021p-15, 0x1.38a527ba214cbp-15, 0x1.3811dcec194e5p-15, 0x1.3773ca5a2eca1p-15, 0x1.36cb0f462de0dp-15, 0x1.3617cb1d0d743p-15, 0x1.355a1d74bb4cdp-15, 0x1.34922609cdf34p-15, 0x1.33c004bcec512p-15, 0x1.32e3d990a220fp-15, 0x1.31fdc4a7345d4p-15, 0x1.310de6400ea5cp-15, 0x1.30145eb57f8b5p-15, 0x1.2f114e7abe5b1p-15, 0x1.2e04d619a76b1p-15, 0x1.2cef16303e07cp-15, 0x1.2bd02f6ebae58p-15, 0x1.2aa84295a2db4p-15, 0x1.297770735ad43p-15, 0x1.283dd9e215778p-15, 0x1.26fb9fc59705cp-15, 0x1.25b0e3098e5ep-15, 0x1.245dc49f53cf8p-15, 0x1.2302657c1ed0bp-15, 0x1.219ee696f90e3p-15, 0x1.203368e6bb915p-15, 0x1.1ec00d60257a3p-15, 0x1.1d44f4f404061p-15, 0x1.1bc2408db6744p-15, 0x1.1a381110dad48p-15, 0x1.18a68757a6bp-15, 0x1.170dc4316a367p-15, 0x1.156de860e4389p-15, 0x1.13c7149a1d139p-15, 0x1.121969811b3a8p-15, 0x1.106507a806e9p-15, 0x1.0eaa0f8dc96abp-15, 0x1.0ce8a19c7cd33p-15, 0x1.0b20de27d7642p-15, 0x1.0952e56b87d06p-15, 0x1.077ed789e3492p-15, 0x1.05a4d48a5ef08p-15, 0x1.03c4fc584c4f7p-15, 0x1.01df6ec1353d9p-15, 0x1.ffe896e77b9eap-16, 0x1.fc0763fce2bdbp-16, 0x1.f81b839c49dfbp-16, 0x1.f4253459c8924p-16, 0x1.f024b4812bd5ap-16, 0x1.ec1a42140097ap-16, 0x1.e8061ac69cef2p-16, 0x1.e3e87bfe88438p-16, 0x1.dfc1a2d01e043p-16, 0x1.db91cbfc2fa78p-16, 0x1.d75933edb0bfdp-16, 0x1.d31816b814546p-16, 0x1.ceceb015622aap-16, 0x1.ca7d3b63bbf2bp-16, 0x1.c623f3a3d1ae6p-16, 0x1.c1c313775b244p-16, 0x1.bd5ad51f5359cp-16, 0x1.b8eb7279e3598p-16, 0x1.b47525008e8bbp-16, 0x1.aff825c71e02fp-16, 0x1.ab74ad7971513p-16, 0x1.a6eaf45abcb24p-16, 0x1.a25b32443d949p-16, 0x1.9dc59ea2e3ccep-16, 0x1.992a70765ec0bp-16, 0x1.9489de501b6f1p-16, 0x1.8fe41e51d88c2p-16, 0x1.8b39662c887p-16, 0x1.8689eb1efb88fp-16, 0x1.81d5e1f4af8dcp-16, 0x1.7d1d7f0557e02p-16, 0x1.7860f633ce9cbp-16, 0x1.73a07aec7928ap-16, 0x1.6edc4024d70fbp-16, 0x1.6a14785a6058ap-16, 0x1.65495591cf36fp-16, 0x1.607b0956c821ap-16, 0x1.5ba9c4ba94d8ap-16, 0x1.56d5b853c48e8p-16, 0x1.51ff143d6e656p-16, 0x1.4d26081642ec9p-16, 0x1.484ac3006c6bcp-16, 0x1.436d73a0eb50ep-16, 0x1.3e8e481ef9d2cp-16, 0x1.39ad6e23d5e61p-16, }}, 
      {{-0x1.aa50ab21618fep-1, -0x1.aa223849371e8p-1, -0x1.a9ce1a2b03c93p-1, -0x1.a95036c88efecp-1, -0x1.a8a738a9cbb6ap-1, -0x1.a7d477e0eb78p-1, -0x1.a6db5de568286p-1, -0x1.a5c0a778c8293p-1, -0x1.a489b47075ceep-1, -0x1.a33bf996367fdp-1, -0x1.a1dc99b229803p-1, -0x1.a070230a902cdp-1, -0x1.9efa6b3eae415p-1, -0x1.9d7e827b1bdb3p-1, -0x1.9bfeb76d3534dp-1, -0x1.9a7ca6568f22fp-1, -0x1.98f94ec5f0085p-1, -0x1.97752c925282dp-1, -0x1.95f051a5a49d9p-1, -0x1.946a7ee95a271p-1, -0x1.92e33b40333f7p-1, -0x1.9159e7ec49138p-1, -0x1.8fcdd2151f99fp-1, -0x1.8e3e415d7920ap-1, -0x1.8caa83a17fbc9p-1, -0x1.8b11f61035408p-1, -0x1.89740be2a2369p-1, -0x1.87d052fae882dp-1, -0x1.862676b770846p-1, -0x1.847641449c2a2p-1, -0x1.82bf9bb31018p-1, -0x1.81028d12c14e2p-1, -0x1.7f3f38cc32b11p-1, -0x1.7d75dc6a46938p-1, -0x1.7ba6cd000787p-1, -0x1.79d2744f202cp-1, -0x1.77f94dcd839ecp-1, -0x1.761be3a322b19p-1, -0x1.743acbb382671p-1, -0x1.7256a4c29a85ap-1, -0x1.707013c090fcep-1, -0x1.6e87c144a44edp-1, -0x1.6c9e573cda92bp-1, -0x1.6ab47ed5c76e4p-1, -0x1.68cade9bdf131p-1, -0x1.66e218d6539c2p-1, -0x1.64faca1a553fcp-1, -0x1.63158814a1d4fp-1, -0x1.6132e086b164fp-1, -0x1.5f535874545a1p-1, -0x1.5d776b7e48079p-1, -0x1.5b9f8b661f217p-1, -0x1.59cc1fb7c7bb2p-1, -0x1.57fd8594fe506p-1, -0x1.56340f9f1128bp-1, -0x1.547005fb78613p-1, -0x1.52b1a66ff158bp-1, -0x1.50f92492fdb6dp-1, -0x1.4f46aa0dd5c2ep-1, -0x1.4d9a56ed1edabp-1, -0x1.4bf441fdddfa1p-1, -0x1.4a54793465f7ap-1, -0x1.48bb021b2d83dp-1, -0x1.4727da47aa73ep-1, -0x1.459af7d38c5a3p-1, -0x1.441449d8d2f47p-1, -0x1.4293b8ef706cdp-1, -0x1.411927ab50521p-1, -0x1.3fa47319be40fp-1, -0x1.3e35733d4bb8fp-1, -0x1.3ccbfb877aa2ep-1, -0x1.3b67db4f82fdcp-1, -0x1.3a08de45b45ebp-1, -0x1.38aecce2fb334p-1, -0x1.37596cd439bafp-1, -0x1.3608816125548p-1, -0x1.34bbcbce7b7cap-1, -0x1.33730bbb61a01p-1, -0x1.322dff79de9bfp-1, -0x1.30ec64625da51p-1, -0x1.2fadf7223b3f9p-1, -0x1.2e72740562379p-1, -0x1.2d39973b0a692p-1, -0x1.2c031d15acb37p-1, -0x1.2acec24648736p-1, -0x1.299c44131bf3fp-1, -0x1.286b6089f1e8fp-1, -0x1.273bd6ae2bc25p-1, -0x1.260d66a2b0a4bp-1, -0x1.24dfd1cff087dp-1, -0x1.23b2db0620a3bp-1, -0x1.2286469be469ep-1, -0x1.2159da898e953p-1, -0x1.202d5e8124f8cp-1, -0x1.1f009c035818ap-1, -0x1.1dd35e719935p-1, -0x1.1ca5731d7a8a5p-1, -0x1.1b76a95583c7bp-1, -0x1.1a46d26fa75e5p-1, -0x1.1915c1d17c82ap-1, -0x1.17e34cf669d9fp-1, -0x1.16af4b73e209bp-1, -0x1.157996fbd9bc6p-1, -0x1.14420b5d97705p-1, -0x1.13088684ff965p-1, -0x1.11cce8787bc9dp-1, -0x1.108f13559a996p-1, -0x1.0f4eeb4c85c82p-1, -0x1.0e0c569a69339p-1, -0x1.0cc73d82e36e6p-1, -0x1.0b7f8a4896b7dp-1, -0x1.0a352924f603ap-1, -0x1.08e8083f5bb63p-1, -0x1.079817a3843e8p-1, -0x1.064549377bf3bp-1, -0x1.04ef90b111cd5p-1, -0x1.0396e38ae01dap-1, -0x1.023b38f8fa414p-1, -0x1.00dc89dd4ab46p-1, -0x1.fef5a17766badp-2, -0x1.fc2c135bec682p-2, -0x1.f95c64aeee6b3p-2, -0x1.f68693b1b7332p-2, -0x1.f3aaa1872dfdep-2, -0x1.f0c8921ace02ep-2, -0x1.ede06c079a18ap-2, -0x1.eaf2387f0e284p-2, -0x1.e7fe033023893p-2, -0x1.e503da2e74279p-2, -0x1.e203cdd980d85p-2, -0x1.defdf0c42d56bp-2, -0x1.dbf2579c733a5p-2, -0x1.d8e119135a6b6p-2, -0x1.d5ca4dc53a97fp-2, -0x1.d2ae10224c45p-2, -0x1.cf8c7c578e4fdp-2, -0x1.cc65b0380b50ap-2, -0x1.c939cb267a77bp-2, -0x1.c608edff45921p-2, -0x1.c2d33b02f74a6p-2, -0x1.bf98d5c10f01cp-2, -0x1.bc59e3034a164p-2, -0x1.b91688b950ff4p-2, -0x1.b5ceede4deae2p-2, -0x1.b2833a8653aeep-2, -0x1.af339789c0e9bp-2, -0x1.abe02eb461a9ep-2, -0x1.a8892a928f77bp-2, -0x1.a52eb66627db9p-2, -0x1.a1d0fe15678e5p-2, -0x1.9e702e1a3e2bap-2, -0x1.9b0c737211292p-2, -0x1.97a5fb8dfad46p-2, -0x1.943cf4437662ep-2, -0x1.90d18bbd84136p-2, -0x1.8d63f06e416a8p-2, -0x1.89f45100eda14p-2, -0x1.8682dc4c6623cp-2, -0x1.830fc1460d0ecp-2, -0x1.7f9b2ef522e77p-2, -0x1.7c2554668dd68p-2, -0x1.78ae60a1098edp-2, -0x1.75368299c67abp-2, -0x1.71bde92972752p-2, -0x1.6e44c301a6ac4p-2, -0x1.6acb3ea2bff1bp-2, -0x1.67518a521bc21p-2, -0x1.63d7d410b8418p-2, -0x1.605e499236bc8p-2, -0x1.5ce5183440ac3p-2, -0x1.596c6cf649f88p-2, -0x1.55f47471b2393p-2, -0x1.527d5ad24090fp-2, -0x1.4f074bcefb73p-2, -0x1.4b9272a358d05p-2, -0x1.481efa08c2b54p-2, -0x1.44ad0c3074bedp-2, -0x1.413cd2bdaaecdp-2, -0x1.3dce76c024049p-2, -0x1.3a6220aeef984p-2, -0x1.36f7f86391d28p-2, -0x1.339025156d9fp-2, -0x1.302acd557c3c4p-2, -0x1.2cc8170a4dce4p-2, -0x1.2968276c52831p-2, -0x1.260b230267725p-2, -0x1.22b12d9ea8f95p-2, -0x1.1f5a6a5b87f1ap-2, -0x1.1c06fb991cea3p-2, -0x1.18b702fabeab2p-2, -0x1.156aa164d256bp-2, -0x1.1221f6fad83b6p-2, -0x1.0edd231db476fp-2, -0x1.0b9c446a2beefp-2, -0x1.085f78b79ca9p-2, -0x1.0526dd16e7d69p-2, -0x1.01f28dd190a61p-2, -0x1.fd854cd218aefp-3, -0x1.f72e832c85621p-3, -0x1.f0e0f2927be78p-3, -0x1.ea9ccd520e77cp-3, -0x1.e46244275b14p-3, -0x1.de31863cf0ae9p-3, -0x1.d80ac12c829bp-3, -0x1.d1ee20ffef8f4p-3, -0x1.cbdbd0328c5f1p-3, -0x1.c5d3f7b2ba5d9p-3, -0x1.bfd6bee3c4fd8p-3, -0x1.b9e44ba00089ap-3, -0x1.b3fcc23b258dfp-3, -0x1.ae204584f0dd7p-3, -0x1.a84ef6cbf3f86p-3, -0x1.a288f5e0a92d6p-3, -0x1.9cce6118b1128p-3, -0x1.971f555248494p-3, -0x1.917bedf7f1286p-3, -0x1.8be4450441767p-3, -0x1.86587305e6accp-3, -0x1.80d88f23c9049p-3, -0x1.7b64af215b5f7p-3, -0x1.75fce7630e5fcp-3, -0x1.70a14af2e249ep-3, -0x1.6b51eb851eb85p-3, -0x1.660ed97d22f0dp-3, -0x1.60d823f255e4p-3, -0x1.5badd8b52b499p-3, -0x1.5690045449477p-3, -0x1.517eb221b6e5ap-3, -0x1.4c79ec382bee3p-3, -0x1.4781bb806a7aap-3, -0x1.429627b6acbc3p-3, -0x1.3db737701e338p-3, -0x1.38e4f02069239p-3, -0x1.341f561f45c6fp-3, -0x1.2f666cae1bfd9p-3, -0x1.2aba35fda79eap-3, -0x1.261ab333a91a2p-3, -0x1.2187e470953a4p-3, -0x1.1d01c8d54e90ep-3, -0x1.18885e88dfc6dp-3, -0x1.141ba2be37acfp-3, -0x1.0fbb91b9e2aa6p-3, -0x1.0b6826d7cc14ap-3, -0x1.07215c90f256ap-3, -0x1.02e72c811e9c1p-3, -0x1.fd731ed931f08p-4, -0x1.f530fa8bab068p-4, -0x1.ed07da662c105p-4, -0x1.e4f7ab282578bp-4, -0x1.dd00580f166e2p-4, -0x1.d521cae1b256bp-4, -0x1.cd5bebfaea1e5p-4, -0x1.c5aea254e3edp-4, -0x1.be19d393ddc16p-4, -0x1.b69d6410f05ffp-4, -0x1.af3936e4c26ep-4, -0x1.a7ed2df221286p-4, -0x1.a0b929f077adcp-4, -0x1.999d0a762da7fp-4, -0x1.9298ae02e6a46p-4, -0x1.8babf209a5cecp-4, -0x1.84d6b2fad178fp-4, -0x1.7e18cc4e11b28p-4, -0x1.7772188c147bfp-4, -0x1.70e271582bfaap-4, -0x1.6a69af79cb99dp-4, -0x1.6407aae5dfb3p-4, -0x1.5dbc3ac8069a1p-4, -0x1.5787358b9f70bp-4, -0x1.516870e4b8141p-4, -0x1.4b5fc1d8d4b11p-4, -0x1.456cfcc790fdbp-4, -0x1.3f8ff5731d637p-4, -0x1.39c87f0893df2p-4, -0x1.34166c2827c32p-4, -0x1.2e798eed2d89dp-4, -0x1.28f1b8f5fdb6bp-4, -0x1.237ebb6baf142p-4, -0x1.1e206709aaf19p-4, -0x1.18d68c2518eafp-4, -0x1.13a0fab424b0ep-4, -0x1.0e7f82551be16p-4, -0x1.0971f2556776p-4, -0x1.047819b85693fp-4, -0x1.ff238e7b9d967p-5, -0x1.f57d92d18d02p-5, -0x1.ebfddd0b4cbd9p-5, -0x1.e2a40960f7926p-5, -0x1.d96fb3b60ff46p-5, -0x1.d06077a54fc0fp-5, -0x1.c775f08c2fddp-5, -0x1.beafb9962210dp-5, -0x1.b60d6dc77e309p-5, -0x1.ad8ea8082b02ap-5, -0x1.a533032df909ep-5, -0x1.9cfa1a06b36d1p-5, -0x1.94e38761efc6cp-5, -0x1.8ceee61a90e79p-5, -0x1.851bd120011d6p-5, -0x1.7d69e37f2ff67p-5, -0x1.75d8b86b408p-5, -0x1.6e67eb45fb5adp-5, -0x1.671717a7f9bcep-5, -0x1.5fe5d9688d999p-5, -0x1.58d3cca56ceb8p-5, -0x1.51e08dca14dd7p-5, -0x1.4b0bb996f3f39p-5, -0x1.4454ed2856481p-5, -0x1.3dbbc5fd0a012p-5, -0x1.373fe1fcd4a14p-5, -0x1.30e0df7ea2ad6p-5, -0x1.2a9e5d4e80153p-5, -0x1.2477fab357f6fp-5, -0x1.1e6d577477839p-5, -0x1.187e13dedffbap-5, -0x1.12a9d0ca57eecp-5, -0x1.0cf02f9e4f71ap-5, -0x1.0750d2568c093p-5, -0x1.01cb5b87a082p-5, -0x1.f8bedcc663891p-6, -0x1.ee195d7819055p-6, -0x1.e3a5821405e8ap-6, -0x1.d96294db5032p-6, -0x1.cf4fe167952c3p-6, -0x1.c56cb4b1a4c21p-6, -0x1.bbb85d17cb882p-6, -0x1.b2322a63d44b6p-6, -0x1.a8d96dd0a937ep-6, -0x1.9fad7a0fa6e3cp-6, -0x1.96ada34d9f21cp-6, -0x1.8dd93f3783298p-6, -0x1.852fa4feca321p-6, -0x1.7cb02d5d8c0cfp-6, -0x1.745a329a3f921p-6, -0x1.6c2d108b49e66p-6, -0x1.6428249a3b6d7p-6, -0x1.5c4acdc6bbce6p-6, -0x1.54946ca94f451p-6, -0x1.4d046375bda83p-6, -0x1.459a15fd51527p-6, -0x1.3e54e9b0c6884p-6, -0x1.373445a20d1fcp-6, -0x1.30379285c5e69p-6, -0x1.295e3ab489d92p-6, -0x1.22a7aa2bff631p-6, -0x1.1c134e8fb8bcep-6, -0x1.15a09729d023fp-6, -0x1.0f4ef4eb71c6ap-6, -0x1.091dda6d108b3p-6, -0x1.030cbbee85ba1p-6, -0x1.fa361eadf65b6p-7, -0x1.ee90986949e7cp-7, -0x1.e327d778ae185p-7, -0x1.d7fad191d3c7fp-7, -0x1.cd087fb50c636p-7, -0x1.c24fde2b7108fp-7, -0x1.b7cfec84d594bp-7, -0x1.ad87ad9568a42p-7, -0x1.a37627732257dp-7, -0x1.999a6372d3614p-7, -0x1.8ff36e2510e1ap-7, -0x1.86805752d01p-7, -0x1.7d4031f9c82c2p-7, -0x1.74321448aba05p-7, -0x1.6b55179b1d95ep-7, -0x1.62a858756f3e1p-7, -0x1.5a2af6803f8cap-7, -0x1.51dc1483cc22bp-7, -0x1.49bad86336f6ep-7, -0x1.41c66b1788941p-7, -0x1.39fdf8aa972e3p-7, -0x1.3260b031b8609p-7, -0x1.2aedc3c854f18p-7, -0x1.23a4688a67565p-7, -0x1.1c83d68eb1dfbp-7, -0x1.158b48e108e2dp-7, -0x1.0eb9fd7c4774fp-7, -0x1.080f3544552dcp-7, -0x1.018a34000092p-7, -0x1.f65480a560c94p-8, -0x1.e9dd476c2f929p-8, -0x1.ddad54e77aba2p-8, -0x1.d1c3473d04575p-8, -0x1.c61dc2180e929p-8, -0x1.babb6e9c06333p-8, -0x1.af9afb571bb93p-8, -0x1.a4bb1c349db2ap-8, -0x1.9a1a8a6f70567p-8, -0x1.8fb804842404p-8, -0x1.85924e233be3fp-8, -0x1.7ba830231a773p-8, -0x1.71f878721cdeep-8, -0x1.6881fa0876cfcp-8, -0x1.5f438cda2702ap-8, -0x1.563c0dc8ad6fap-8, -0x1.4d6a5e94f08bap-8, -0x1.44cd65d0f4ec1p-8, -0x1.3c640ed1984b4p-8, -0x1.342d49a05bc08p-8, -0x1.2c280aecfabccp-8, -0x1.24534bff4e07cp-8, -0x1.1cae0aa8d1015p-8, -0x1.153749367efdp-8, -0x1.0dee0e62939fbp-8, -0x1.06d1654636692p-8, -0x1.ffc0ba96addep-9, -0x1.f234143cf0fa4p-9, -0x1.e4fb074135f69p-9, -0x1.d813cbb243b56p-9, -0x1.cb7ca1cf67643p-9, -0x1.bf33d1ecb91efp-9, -0x1.b337ac570d426p-9, -0x1.a78689384f93bp-9, -0x1.9c1ec87bd5672p-9, -0x1.90fed1b2f2c38p-9, -0x1.862513f9a72b1p-9, -0x1.7b9005db4f74dp-9, -0x1.713e2537cc2ecp-9, -0x1.672df72887e81p-9, -0x1.5d5e07e5c97c5p-9, -0x1.53cceaac4e6c7p-9, -0x1.4a7939a2d3344p-9, -0x1.416195c008d6ap-9, -0x1.3884a6b0924adp-9, -0x1.2fe11abd55cb6p-9, -0x1.2775a6b1df085p-9, -0x1.1f4105c31e3cp-9, -0x1.1741f9762fb28p-9, -0x1.0f7749877c425p-9, -0x1.07dfc3d205aebp-9, -0x1.007a3c36f336cp-9, -0x1.f28b190a8217cp-10, -0x1.e48128c385121p-10, -0x1.d6d4725eabe86p-10, -0x1.c982cbee83d07p-10, -0x1.bc8a16a3ef074p-10, -0x1.afe83e9fc1f2fp-10, -0x1.a39b3ac53e129p-10, -0x1.97a10c8c81ab8p-10, -0x1.8bf7bfd619f1ep-10, -0x1.809d6abe5f269p-10, -0x1.75902d71f570ap-10, -0x1.6ace32024936p-10, -0x1.6055ac3ac9bbp-10, -0x1.5624d9769338ep-10, -0x1.4c3a00767f691p-10, -0x1.42937137d831bp-10, -0x1.392f84cb898c6p-10, -0x1.300c9d2da8fdfp-10, -0x1.2729251d878b2p-10, -0x1.1e838ff68d363p-10, -0x1.161a5988e1d2p-10, -0x1.0dec05f37cff2p-10, -0x1.05f7217df244p-10, -0x1.fc7480e611a5p-11, -0x1.ed67fdf7e6223p-11, -0x1.dec601f73918p-11, -0x1.d08be3d5d37bcp-11, -0x1.c2b7096a57471p-11, -0x1.b544e729ee213p-11, -0x1.a832ffe3c44d1p-11, -0x1.9b7ee47c9f101p-11, -0x1.8f2633abbec9bp-11, -0x1.832699b8ab748p-11, -0x1.777dd03a21d59p-11, -0x1.6c299dd5705c4p-11, -0x1.6127d5ff5630fp-11, -0x1.567658bd891fep-11, -0x1.4c131268f8aa1p-11, -0x1.41fbfb7166e99p-11, -0x1.382f182178945p-11, -0x1.2eaa7863eee85p-11, -0x1.256c3789c9fb5p-11, -0x1.1c727c113914p-11, -0x1.13bb776d091d9p-11, -0x1.0b4565ce42736p-11, -0x1.030e8dec81f7ep-11, -0x1.f62a81a2b278ep-12, -0x1.e6afb3462707cp-12, -0x1.d7a97ae17bcccp-12, -0x1.c914b5fed1d26p-12, -0x1.baee552f485dbp-12, -0x1.ad335ba888fc7p-12, -0x1.9fe0dee2f70e5p-12, -0x1.92f4063a181bcp-12, -0x1.866a0a8f2c6cdp-12, -0x1.7a4035ebee5adp-12, -0x1.6e73e3276bdp-12, -0x1.63027d8da34b7p-12, -0x1.57e9808668b24p-12, -0x1.4d26773fc5d77p-12, -0x1.42b6fc585528ap-12, -0x1.3898b98c8e426p-12, -0x1.2ec96763c74e3p-12, -0x1.2546cce0754abp-12, -0x1.1c0ebf307c176p-12, -0x1.131f215f6cfe9p-12, -0x1.0a75e40a1e398p-12, -0x1.02110513aa4aep-12, -0x1.f3dd1eb6df353p-13, -0x1.e41934e980d35p-13, -0x1.d4d294c036faap-13, -0x1.c6059e89a38d3p-13, -0x1.b7aeca5a42622p-13, -0x1.a9caa783e9d7ap-13, -0x1.9c55dc136e402p-13, -0x1.8f4d244ea3e29p-13, -0x1.82ad523404b73p-13, -0x1.76734cff20058p-13, -0x1.6a9c10ad76185p-13, -0x1.5f24ad86c0582p-13, -0x1.540a47a61f151p-13, -0x1.494a16872d4f9p-13, -0x1.3ee16493ef617p-13, -0x1.34cd8eb677e94p-13, -0x1.2b0c03ea66e16p-13, -0x1.219a44d2dfb9dp-13, -0x1.1875e35205764p-13, -0x1.0f9c82202c084p-13, -0x1.070bd4694b256p-13, -0x1.fd833ad0b7c5fp-14, -0x1.ed77600e7b17ap-14, -0x1.ddefdcff5fc41p-14, -0x1.cee893fb60862p-14, -0x1.c05d8489fd7bap-14, -0x1.b24acaaedf3ebp-14, -0x1.a4ac9e3a432cp-14, -0x1.977f521dffd24p-14, -0x1.8abf53c539873p-14, -0x1.7e692a6f1dca8p-14, -0x1.7279768e218eap-14, -0x1.66ecf12affad8p-14, -0x1.5bc06b48d5f87p-14, -0x1.50f0cd4e5cafep-14, -0x1.467b16714f213p-14, -0x1.3c5c5c2516dfbp-14, -0x1.3291c98e15ff1p-14, -0x1.29189ef3d36a8p-14, -0x1.1fee313cbad05p-14, -0x1.170fe965515c7p-14, -0x1.0e7b44002356p-14, -0x1.062dd0b5d7911p-14, -0x1.fc4a638f27764p-15, -0x1.ecbe372b1637p-15, -0x1.ddb2a84ee3d37p-15, -0x1.cf23657013a1bp-15, -0x1.c10c3e84adbcp-15, -0x1.b3692424c67afp-15, -0x1.a63626afa8903p-15, -0x1.996f7577bce86p-15, -0x1.8d115dedfa92bp-15, -0x1.81184ad9a3381p-15, -0x1.7580c38e48bc6p-15, -0x1.6a476b2a4f0ep-15, -0x1.5f68ffd64f226p-15, -0x1.54e25a0d1cad6p-15, -0x1.4ab06be4dfd36p-15, -0x1.40d0405c1ddccp-15, -0x1.373efaadf696p-15, -0x1.2df9d5a6dc2fp-15, -0x1.24fe22fecf12cp-15, -0x1.1c494ab7ef128p-15, -0x1.13d8ca8071946p-15, -0x1.0baa3517070eap-15, -0x1.03bb31b6bd3e4p-15, -0x1.f812f700936e6p-16, -0x1.e925c1dbd514p-16, -0x1.daaa86866aa57p-16, -0x1.cc9d2c0fdafdp-16, -0x1.bef9bcfd1d37bp-16, -0x1.b1bc664b872aep-16, -0x1.a4e1766c0d65dp-16, -0x1.98655c4e6e0ebp-16, -0x1.8c44a66df0b68p-16, -0x1.807c01e5b4336p-16, -0x1.75083988c66p-16, -0x1.69e6350316c9fp-16, -0x1.5f12f7fc3d073p-16, -0x1.548ba142ea6b3p-16, -0x1.4a4d69fc87a0bp-16, -0x1.4055a4da0ffa9p-16, -0x1.36a1bd50fdffp-16, -0x1.2d2f36de1b55fp-16, -0x1.23fbac431247bp-16, -0x1.1b04ced5ade4cp-16, -0x1.124865c810044p-16, -0x1.09c44d7d84e14p-16, -0x1.017676e050c2cp-16, -0x1.f2b9cd79ca494p-17, -0x1.e2eb6a40068e9p-17, -0x1.d37e19796c8a3p-17, -0x1.c46e54a1c287fp-17, -0x1.b5b8b82760a19p-17, -0x1.a75a02459f8e1p-17, -0x1.994f11eea5ca2p-17, -0x1.8b94e5b7b49fp-17, -0x1.7e289acfec439p-17, -0x1.71076bfd3cef2p-17, -0x1.642eb09feca0cp-17, -0x1.579bdbbe7ec6dp-17, -0x1.4b4c7b177ec4fp-17, -0x1.3f3e3636cf321p-17, -0x1.336ecd983e072p-17, -0x1.27dc19c8ad0e5p-17, -0x1.1c840a93e7822p-17, -0x1.1164a63238432p-17, -0x1.067c0881cf03ap-17, -0x1.f790c485472f6p-18, -0x1.e28ff0b30f35p-18, -0x1.cdf24629a5526p-18, -0x1.b9b49af943d33p-18, -0x1.a5d3e94431411p-18, -0x1.924d4deea21c3p-18, -0x1.7f1e0757c30b2p-18, -0x1.6c43741714b19p-18, -0x1.59bb11cd2c958p-18, -0x1.47827bf280c8ap-18, -0x1.35976ab8d7839p-18, -0x1.23f7b1eedbd47p-18, -0x1.12a13fee5ebaap-18, -0x1.01921c93120e7p-18, -0x1.e190d074222b6p-19, -0x1.c084b590ab6afp-19, -0x1.9ffc856f7897cp-19, -0x1.7ff50856c5179p-19, -0x1.606b302172044p-19, -0x1.415c1680bbaf9p-19, -0x1.22c4fb55c0f3dp-19, -0x1.04a34316b9c64p-19, -0x1.cde8ea8536568p-20, -0x1.936c75978518cp-20, -0x1.59ccb983599bp-20, -0x1.2105859681167p-20, -0x1.d225c7551f4e6p-21, -0x1.63e22b157ee49p-21, -0x1.ee72492bd563bp-22, -0x1.18480fa3fdb8ap-22, -0x1.14e44dca191cdp-24, 0x1.158d11982ad4ap-23, 0x1.57c1f29fde52p-22, 0x1.10e1d81c30b73p-21, 0x1.746ad4852db0cp-21, 0x1.d68096a5a0595p-21, 0x1.1b93bf8bd706dp-20, 0x1.4b31d54744a2dp-20, 0x1.7a1c7ab7754bep-20, 0x1.a8557fa8171d3p-20, 0x1.d5de9720579c2p-20, 0x1.015cac7f14419p-19, 0x1.1773a1c7809cp-19, 0x1.2d34de819b78p-19, 0x1.42a10a6d3c776p-19, 0x1.57b8c2a84ebc1p-19, 0x1.6c7c9a52dc12ep-19, 0x1.80ed1b3055f3dp-19, 0x1.950ac64d2a653p-19, 0x1.a8d61490b2ad5p-19, 0x1.bc4f7746abac4p-19, 0x1.cf7758b84ed98p-19, 0x1.e24e1ca3698bap-19, 0x1.f4d420bf37006p-19, 0x1.0384de9e09261p-18, 0x1.0c77a29603711p-18, 0x1.1542838071bb9p-18, 0x1.1de5a675817bbp-18, 0x1.26612ea5655cep-18, 0x1.2eb53d8448e5fp-18, 0x1.36e1f2fc00a81p-18, 0x1.3ee76d98471aap-18, 0x1.46c5caaffd148p-18, 0x1.4e7d268edf945p-18, 0x1.560d9c9ad51cbp-18, 0x1.5d77477b59cd5p-18, 0x1.64ba4139cd017p-18, 0x1.6bd6a361f9705p-18, 0x1.72cc872463452p-18, 0x1.799c05721a4a8p-18, 0x1.80453718c0d66p-18, 0x1.86c834df94624p-18, 0x1.8d25179d50be5p-18, 0x1.935bf85257f28p-18, 0x1.996cf03cfc28p-18, 0x1.9f5818f0aa49dp-18, 0x1.a51d8c69b15cdp-18, 0x1.aabd651c76794p-18, 0x1.b037be0c78821p-18, 0x1.b58cb2d723c4fp-18, 0x1.babc5fc5d7f7bp-18, 0x1.bfc6e1daf15a5p-18, 0x1.c4ac56deebc92p-18, 0x1.c96cdd6be59afp-18, 0x1.ce0894fb184e3p-18, 0x1.d27f9deaf7a4dp-18, 0x1.d6d2198bb42b4p-18, 0x1.db002a26527efp-18, 0x1.df09f304b7935p-18, 0x1.e2ef9876b7b71p-18, 0x1.e6b13fdbcbfd2p-18, 0x1.ea4f0fa4d5512p-18, 0x1.edc92f5a1f9e1p-18, 0x1.f11fc7a0c794dp-18, 0x1.f453023bf31d9p-18, 0x1.f7630a0f084a8p-18, 0x1.fa500b2460069p-18, 0x1.fd1a32a8f90b6p-18, 0x1.ffc1aef17c85ap-18, 0x1.012357bcc4649p-17, 0x1.0254b2726ffa9p-17, 0x1.0375007e8b885p-17, 0x1.04845b59acb43p-17, 0x1.0582dd0e2b72bp-17, 0x1.0670a038aacap-17, 0x1.074dc0060f69bp-17, 0x1.081a583376963p-17, 0x1.08d6850c30ee3p-17, 0x1.09826367f768dp-17, 0x1.0a1e10aa29c9bp-17, 0x1.0aa9aabfcdb9p-17, 0x1.0b25501c92607p-17, 0x1.0b911fba73c0bp-17, 0x1.0bed3916a4a77p-17, 0x1.0c39bc2fa7b8p-17, 0x1.0c76c981fc46bp-17, 0x1.0ca48207bc7dfp-17, 0x1.0cc30733bf595p-17, 0x1.0cd27aefecc49p-17, 0x1.0cd2ff9b5cb26p-17, 0x1.0cc4b80682d6ap-17, 0x1.0ca7c77067023p-17, 0x1.0c7c51847059ep-17, 0x1.0c427a56a2a55p-17, 0x1.0bfa6660c867p-17, 0x1.0ba43a8050f36p-17, 0x1.0b401bf1c4ffcp-17, 0x1.0ace304e6a127p-17, 0x1.0a4e9d893567ap-17, 0x1.09c189eb950bdp-17, 0x1.09271c1194f52p-17, 0x1.087f7ae768826p-17, 0x1.07cacda5f7eb3p-17, 0x1.07093bcfa8c6dp-17, 0x1.063aed2cce849p-17, 0x1.056009c826476p-17, 0x1.0478b9ec899c1p-17, 0x1.03852620e5bedp-17, 0x1.028577255fa51p-17, 0x1.0179d5ef8f922p-17, 0x1.00626ba7c801ap-17, 0x1.fe7ec34a8f729p-18, 0x1.fc21c2d6da7cap-18, 0x1.f9ae294d1e6cep-18, 0x1.f7244a50e74d2p-18, 0x1.f48479caa564dp-18, 0x1.f1cf0be1ffacfp-18, 0x1.ef0454f66f4b3p-18, 0x1.ec24a99984303p-18, 0x1.e9305e881e858p-18, 0x1.e627c8a5edc1dp-18, 0x1.e30b3cf650732p-18, 0x1.dfdb109690cb2p-18, 0x1.dc9798b7b2c76p-18, 0x1.d9412a98c9878p-18, 0x1.d5d81b81b9e04p-18, 0x1.d25cc0bc578afp-18, 0x1.cecf6f905ddb2p-18, 0x1.cb307d3d0c538p-18, 0x1.c7803ef37d235p-18, 0x1.c3bf09d19a73fp-18, 0x1.bfed32dd04ba5p-18, 0x1.bc0b0efd41239p-18, 0x1.b818f2f709641p-18, 0x1.b4173367ff8aap-18, 0x1.b00624c03540dp-18, 0x1.abe61b3e04395p-18, 0x1.a7b76ae97b64dp-18, 0x1.a37a678fca232p-18, 0x1.9f2f64bdf7053p-18, 0x1.9ad6b5bcc29b9p-18, 0x1.9670ad8d0a87cp-18, 0x1.91fd9ee2ba2dfp-18, 0x1.8d7ddc209f19bp-18, 0x1.88f1b7536ab0ep-18, 0x1.8459822f1b459p-18, 0x1.7fb58e0a2da17p-18, 0x1.7b062bda7e9ffp-18, 0x1.764bac313cf97p-18, 0x1.71865f36b0f9dp-18, 0x1.6cb694a70acaap-18, 0x1.67dc9bced5a8dp-18, 0x1.62f8c38835baep-18, 0x1.5e0b5a368c094p-18, 0x1.5914adc3a67ecp-18, 0x1.54150b9d3f75ep-18, 0x1.4f0cc0b1f788ep-18, 0x1.49fc196d3f94fp-18, 0x1.44e361b5763abp-18, 0x1.3fc2e4e8734a1p-18, 0x1.3a9aedd990823p-18, 0x1.356bc6cf18b0dp-18, 0x1.3035b97f6a704p-18, 0x1.2af90f0e73621p-18, 0x1.25b6100ba39abp-18, 0x1.206d046f8a94dp-18, 0x1.1b1e339a01611p-18, 0x1.15c9e44f63952p-18, 0x1.10705cb71ef02p-18, 0x1.0b11e25a621ffp-18, 0x1.05aeba21331a5p-18, 0x1.004728510a485p-18, 0x1.f5b6e11638d4dp-19, 0x1.ead7ab961e42dp-19, 0x1.dff134c954b1bp-19, 0x1.d504000727eefp-19, 0x1.ca108f52cd7dap-19, 0x1.bf17635886c0cp-19, 0x1.b418fb6ac16acp-19, 0x1.a915d5803da3dp-19, 0x1.9e0e6e32e6506p-19, 0x1.930340bbd709ap-19, 0x1.87f4c6f264d02p-19, 0x1.7ce3794b169aap-19, 0x1.71cfced611d05p-19, 0x1.66ba3d3ca30f4p-19, 0x1.5ba338bf77ec3p-19, 0x1.508b34367f3ddp-19, 0x1.4572a10e66efbp-19, 0x1.3a59ef493276cp-19, 0x1.2f418d7dc9416p-19, 0x1.2429e8d5221afp-19, 0x1.19136d0a1ad18p-19, 0x1.0dfe846a22d8p-19, 0x1.02eb97d3af3e9p-19, 0x1.efb61d6cf0c26p-20, 0x1.d99a9e25c80cdp-20, 0x1.c3857af376048p-20, 0x1.ad777a1a03ec4p-20, 0x1.97715f0050046p-20, 0x1.8173ea2e4e359p-20, 0x1.6b7fd94e2160bp-20, 0x1.5595e72c7e85ep-20, 0x1.3fb6cbba2128ep-20, 0x1.29e33c0ebc2cep-20, 0x1.141bea675e3cdp-20, 0x1.fcc30c5416e0ap-21, 0x1.d16977cc1f75ep-21, 0x1.a62c6aaa8b8d5p-21, 0x1.7b0d32be976f1p-21, 0x1.500d183685024p-21, 0x1.252d5da2fc082p-21, 0x1.f4de7ffb0f658p-22, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      38, 0x1.9p+2, 0x1.9882b26fa254dp+0, -0x1.015508c8418ffp-3, -0x1.b100cdb9020d1p-13, 
      {{
        {0x1.17ae147ae147bp+2, 0x1.199999999999ap+2, 0x1.44c06f5455131p-11, -0x1.597b09c4041d8p-10, 0x1.13a63c6cc8277p-10, -0x1.850b7474c81bep-12}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.308386fbb0049p-11, -0x1.49344a798c7d9p-10, 0x1.0ae5569acb54cp-10, -0x1.7bc2a05ff781p-12}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.10e772dee485cp-11, -0x1.2f3a0ac14a0fep-10, 0x1.f94f4794ca8p-11, -0x1.711968a9d586cp-12}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.e7a4ac9b6f27bp-12, -0x1.16a73ee4687f3p-10, 0x1.dda092ee74161p-11, -0x1.66c553b320f4p-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.b24181df7768bp-12, -0x1.fee3a767b907cp-11, 0x1.c2b82ca76b371p-11, -0x1.5c5a6ed9d8f13p-12}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.816083f73f7eep-12, -0x1.d31fa7d5e0b91p-11, 0x1.a897cabd7af1ep-11, -0x1.51f5a6cb7547cp-12}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.54bed06e5dbfap-12, -0x1.a9ee8481c5d36p-11, 0x1.8f3ef7d49ef28p-11, -0x1.478f3b741e8p-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2c1b83eea1286p-12, -0x1.833c4725960bcp-11, 0x1.76add35f1ca9p-11, -0x1.3d294075a2998p-12}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0737ba4011594p-12, -0x1.5ef4f854d607cp-11, 0x1.5ee454efe3aa6p-11, -0x1.32c3275cb3412p-12}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.cbad1c91dd323p-13, -0x1.3d04a0f1fea8p-11, 0x1.47e27ec8efd26p-11, -0x1.285d1654b5b4fp-12}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.8f7a341b63a8bp-13, -0x1.1d5749ca60f4cp-11, 0x1.31a8504f6231bp-11, -0x1.1df703236b323p-12}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.5964ed6219382p-13, -0x1.ffb1f761f2461p-12, 0x1.1c35c9acba273p-11, -0x1.1390f0865debfp-12}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.28ff78e7d2518p-13, -0x1.c8eb7eee7d1bdp-12, 0x1.078aead5d9826p-11, -0x1.092addc19eb03p-12}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.fbc00ad5a95bfp-14, -0x1.96333bde21848p-12, 0x1.e74f679b74d0dp-12, -0x1.fd89960ef75efp-13}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.af417fcbaea4bp-14, -0x1.67613fd466c3bp-12, 0x1.c118492722438p-12, -0x1.e8bd7095148adp-13}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.6bbfa720051ep-14, -0x1.3c4d9c74e3187p-12, 0x1.9c707a4f271fbp-12, -0x1.d3f14b1c9c302p-13}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.307ed3b9dffbap-14, -0x1.14d0636328ba1p-12, 0x1.7957fb1368351p-12, -0x1.bf2525a3cbc2dp-13}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.f996a9f2aa1b6p-15, -0x1.e1834c8595d23p-13, 0x1.57cecb73ec203p-12, -0x1.aa59002b28dc3p-13}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.9ff2ed6eb96c1p-15, -0x1.9ff2ed6eb9769p-13, 0x1.37d4eb70af764p-12, -0x1.958cdab24744bp-13}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.52cb028ba3d61p-15, -0x1.649fccc8e26dp-13, 0x1.196a5b09b6eacp-12, -0x1.80c0b539a73b5p-13}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.10e772dee47ebp-15, -0x1.2f3a0ddb36c73p-13, 0x1.f91e347dfb266p-13, -0x1.6bf48fc0e17c1p-13}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b24181df775b8p-16, -0x1.fee3a7d9b994fp-14, 0x1.c28652210c862p-13, -0x1.57286a4839898p-13}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.54bed06e5db3p-16, -0x1.a9ee8489f561cp-14, 0x1.8f0d0efc9d7e7p-13, -0x1.425c44cf0df1ap-13}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.0737ba40114bcp-16, -0x1.5ef4f8556bda6p-14, 0x1.5eb26b10c1cdap-13, -0x1.2d901f5805ca1p-13}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.8f7a341b638b9p-17, -0x1.1d5749ca6e23ep-14, 0x1.3176665d2755dp-13, -0x1.18c3f9d8e457ap-13}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.28ff78e7d235p-17, -0x1.c8eb7eee6cff7p-15, 0x1.075900e30515bp-13, -0x1.03f7d4780dad8p-13}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.af417fcbae68p-18, -0x1.67613fd4a8cfp-15, 0x1.c0b4753b9fa9ap-14, -0x1.de575d4c3c67cp-14}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.307ed3b9dfbep-18, -0x1.14d0636232be5p-15, 0x1.78f4273cfd009p-14, -0x1.b4bf14f480cf6p-14}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.9ff2ed6eb8f4p-19, -0x1.9ff2ed75e56ebp-16, 0x1.3771174b83482p-14, -0x1.8b26c04ea4e16p-14}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.10e772dee3f3fp-19, -0x1.2f3a0dc0734eap-16, 0x1.f8568e7f6eb38p-15, -0x1.618e9994aea8ep-14}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.54bed06e5c97ep-20, -0x1.a9ee8551ba937p-17, 0x1.8e45606c6d814p-15, -0x1.37f5c779ae351p-14}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.8f7a341b61cp-21, -0x1.1d5746e0dbc78p-17, 0x1.30aed7c7ec6fep-15, -0x1.0e5f74f7343a2p-14}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.af417fcba9cp-22, -0x1.676155915cd6dp-18, 0x1.bf246961ecbd7p-16, -0x1.c97f9ee53239ep-15}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.9ff2ed6eafp-23, -0x1.9ff24b2d543c9p-19, 0x1.35e4868390dfdp-16, -0x1.7685ecbda9a86p-15}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.54bed06e50001p-24, -0x1.a9f33fa131138p-20, 0x1.8b124bc888c23p-17, -0x1.22887d15477cep-15}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.af417fcb4c001p-26, -0x1.673df02039056p-21, 0x1.b980ce445555dp-18, -0x1.a4a8d51201155p-16}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.54bed06d2p-28, -0x1.abfda713ab0ep-23, 0x1.7a37033fdc8a2p-19, -0x1.cffa844f369d8p-17}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.54bed05ffffffp-32, -0x1.6c7429cf4c39dp-26, 0x1.8f4f9c41558p-21, -0x1.3677f059d5a9dp-16}, 
      }}, 
      0x1.24244ff618a52p-12, -0x1.c24726435eb7fp-10
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.cdb5d25142318p-2, 0x1.d97e91302d42p-2, 0x1.ec4636c046f1cp-2, 0x1.02843cd6ed641p-1, 0x1.1151dd108f52cp-1, 0x1.21f8993bcef94p-1, 0x1.33ea5738fa357p-1, 0x1.46a3207e4d18ap-1, 0x1.59abe0959a8p-1, 0x1.6c9bbf5315596p-1, 0x1.7f18764b26d53p-1, 0x1.90d5eaa7bcff7p-1, 0x1.a195532edd664p-1, 0x1.b1241f2dad0b6p-1, 0x1.bf5ac142a06e4p-1, 0x1.cc1b74ef604fcp-1, 0x1.d7510da779a5dp-1, 0x1.e0edd83061afbp-1, 0x1.e8ea93048fac7p-1, 0x1.ef457f8ab287bp-1, 0x1.f4018c0a03b27p-1, 0x1.f72595246b6fbp-1, 0x1.f8bbbd0747f27p-1, 0x1.f8d0d66640887p-1, 0x1.f773e16199ac8p-1, 0x1.f4b5989fc65cbp-1, 0x1.f0a80cf1ba3b9p-1, 0x1.eb5e4dea4ff12p-1, 0x1.e4ec1ddfd4c67p-1, 0x1.dd65afe8b5938p-1, 0x1.d4df6e905b9dcp-1, 0x1.cb6dca3ba9088p-1, 0x1.c1250e5eb251ap-1, 0x1.b6193cc5ada0ep-1, 0x1.aa5dee5b01419p-1, 0x1.9e0638d1bb7b3p-1, 0x1.912498c5fe8b8p-1, 0x1.83cadfda1f911p-1, 0x1.760a266c716e1p-1, 0x1.67f2c08ba4ba3p-1, 0x1.599435cc17e33p-1, 0x1.4afd3babedd4ap-1, 0x1.3c3bb2571d54cp-1, 0x1.2d5ca3509c055p-1, 0x1.1e6c420351964p-1, 0x1.0f75edd8e3a94p-1, 0x1.0084357af45a9p-1, 0x1.e341b7887b1e7p-2, 0x1.c5a9b915ed9dbp-2, 0x1.a850e855951a1p-2, 0x1.8b46494a94f8bp-2, 0x1.6e977f6b0f63ep-2, 0x1.5250d645befd4p-2, 0x1.367d5aecc8782p-2, 0x1.1b26e0b0d03ffp-2, 0x1.005620b75239fp-2, 0x1.cc2570510939cp-3, 0x1.98c69e9d5a503p-3, 0x1.669b1e5a7d5b5p-3, 0x1.35aca00c42fafp-3, 0x1.06030fa0140d8p-3, 0x1.af49eb0203235p-4, 0x1.552eac92b194fp-4, 0x1.fb78063b17affp-5, 0x1.51ee2769d8c7fp-5, 0x1.5b8b7ccb3ad2dp-6, 0x1.e01ad89380a8cp-10, -0x1.14c46e4b9bd47p-6, -0x1.1e684c9b11508p-5, -0x1.ad1956eb0667cp-5, -0x1.1b3ffa84d2e99p-4, -0x1.5d549fcd999c8p-4, -0x1.9cd2450080d8dp-4, -0x1.d9c19477fd2dap-4, -0x1.0a160f68a5fd4p-3, -0x1.260e214822599p-3, -0x1.40ce8b0d0df79p-3, -0x1.5a5d29bb3889dp-3, -0x1.72c0227d1bfacp-3, -0x1.89fdd93f2bb2p-3, -0x1.a01ce76f941c3p-3, -0x1.b524132089ca1p-3, -0x1.c91a469d57fe6p-3, -0x1.dc0688ba2533fp-3, -0x1.edeff5ba89361p-3, -0x1.feddb8d8c4136p-3, -0x1.076b8319e02b6p-2, -0x1.0ef18a872b908p-2, -0x1.16048d30bdbcfp-2, -0x1.1ca821d6bbde2p-2, -0x1.22dfd91ffca9ep-2, -0x1.28af3b729227cp-2, -0x1.2e19c70fb0a7ep-2, -0x1.3322ee760be0ap-2, -0x1.37ce16fb7e46fp-2, -0x1.3c1e97a05a726p-2, -0x1.4017b80d2cff8p-2, -0x1.43bcafacf12bcp-2, -0x1.4710a4eaea122p-2, -0x1.4a16ac8181ee1p-2, -0x1.4cd1c8e36f4cbp-2, -0x1.4f44e9bf8ccefp-2, -0x1.5172eb9a132b2p-2, -0x1.535e97843ecd9p-2, -0x1.550aa2ed25022p-2, -0x1.5679af8bf63a3p-2, -0x1.57ae4b5ec9bedp-2, -0x1.58aaf0c0207c4p-2, -0x1.59720689a4ef9p-2, -0x1.5a05e04218022p-2, -0x1.5a68be5c9315ep-2, -0x1.5a9cce6dbf68ep-2, -0x1.5aa42b81b3145p-2, -0x1.5a80de5ff9501p-2, -0x1.5a34dddcf46f9p-2, -0x1.59c20f33d20d2p-2, -0x1.592a465cbfff9p-2, -0x1.586f466ece38cp-2, -0x1.5792c20902fb9p-2, -0x1.56965bafa7551p-2, -0x1.557ba63ce4be6p-2, -0x1.5444255476e0ep-2, -0x1.52f14dc3fefe1p-2, -0x1.51848607bf3e8p-2, -0x1.4fff26a807b5fp-2, -0x1.4e627ab7a7921p-2, -0x1.4cafc042ccc6dp-2, -0x1.4ae828bab05f3p-2, -0x1.490cd95c70b74p-2, -0x1.471eebb279c4ep-2, -0x1.451f6de80fe9bp-2, -0x1.430f633746f7ap-2, -0x1.40efc455aa83ap-2, -0x1.3ec17fcec79a8p-2, -0x1.3c857a690235p-2, -0x1.3a3c8f7dcb6d9p-2, -0x1.37e791622f22p-2, -0x1.358749b3e444ap-2, -0x1.331c79b1f64cbp-2, -0x1.30a7da975a5ap-2, -0x1.2e2a1defca7a6p-2, -0x1.2ba3edd75831cp-2, -0x1.2915ed5567365p-2, -0x1.2680b8a92c9fp-2, -0x1.23e4e587409b5p-2, -0x1.21430361fbe79p-2, -0x1.1e9b9bb16fa75p-2, -0x1.1bef3231a3859p-2, -0x1.193e451b0cc36p-2, -0x1.16894d6281f2ap-2, -0x1.13d0bef2843efp-2, -0x1.111508df5d581p-2, -0x1.0e56959bb56c7p-2, -0x1.0b95cb2ab51a1p-2, -0x1.08d30b4e9260bp-2, -0x1.060eb3b76a1bp-2, -0x1.03491e2f4d067p-2, -0x1.0082a0c0f25cdp-2, -0x1.fb771bbff38aep-3, -0x1.f5e869221f9e5p-3, -0x1.f059c11937abp-3, -0x1.eacbb4bf232f3p-3, -0x1.e53ecf1bca1f5p-3, -0x1.dfb39561accfp-3, -0x1.da2a872a00b51p-3, -0x1.d4a41eae2c485p-3, -0x1.cf20d100b8c3ap-3, -0x1.c9a10e3a6da87p-3, -0x1.c42541a7a9d48p-3, -0x1.beadd203ec7f4p-3, -0x1.b93b21a84443ep-3, -0x1.b3cd8ea9c23acp-3, -0x1.ae6572fad6faap-3, -0x1.a90324a085969p-3, -0x1.a3a6f5e22d38fp-3, -0x1.9e513560038b1p-3, -0x1.99022e261bfbdp-3, -0x1.93ba27d337d08p-3, -0x1.8e7966cad8b13p-3, -0x1.89402c5177213p-3, -0x1.840eb695cc149p-3, -0x1.7ee540c722e17p-3, -0x1.79c4033b449e3p-3, -0x1.74ab338f591cbp-3, -0x1.6f9b04bf9d194p-3, -0x1.6a93a72e3b4aap-3, -0x1.659548b68247p-3, -0x1.60a014cd8c529p-3, -0x1.5bb43497065fp-3, -0x1.56d1cefa48d88p-3, -0x1.51f908ae0e3c5p-3, -0x1.4d2a0448bb90bp-3, -0x1.4864e251150dep-3, -0x1.43a9c14ebb5cfp-3, -0x1.3ef8bddf77695p-3, -0x1.3a51f2cc1d85cp-3, -0x1.35b579122c549p-3, -0x1.312367e71933fp-3, -0x1.2c9bd4c352833p-3, -0x1.281ed3799ddb4p-3, -0x1.23ac764fd8c39p-3, -0x1.1f44ce0a19c02p-3, -0x1.1ae7e9e8a5d43p-3, -0x1.1695d7a80058p-3, -0x1.124ea391e8a36p-3, -0x1.0e125898a9308p-3, -0x1.09e1006b3699bp-3, -0x1.05baa376a6501p-3, -0x1.019f48dde097ep-3, -0x1.fb1decf807b83p-4, -0x1.f31361f36f137p-4, -0x1.eb1ef7d0c8a6dp-4, -0x1.e340b3a0936cdp-4, -0x1.db7898589b77ep-4, -0x1.d3c6a6c1a45a5p-4, -0x1.cc2add7f68e15p-4, -0x1.c4a5393b3b838p-4, -0x1.bd35b4d551414p-4, -0x1.b5dc497b1395bp-4, -0x1.ae98ee9d6ab03p-4, -0x1.a76b99dfeae3p-4, -0x1.a0543f1f336f3p-4, -0x1.9952d09382337p-4, -0x1.92673efb5c601p-4, -0x1.8b9179b30036cp-4, -0x1.84d16eb0d975dp-4, -0x1.7e270a7799911p-4, -0x1.779238160a4e6p-4, -0x1.7112e13e5c838p-4, -0x1.6aa8ee6931d08p-4, -0x1.645446ef95f14p-4, -0x1.5e14d110b6963p-4, -0x1.57ea71e9efcc6p-4, -0x1.51d50d72171a6p-4, -0x1.4bd486843cda4p-4, -0x1.45e8bef813bd5p-4, -0x1.401197bb5cac7p-4, -0x1.3a4ef0e04ded7p-4, -0x1.34a0a99eb4b4cp-4, -0x1.2f06a04fb45d3p-4, -0x1.2980b26f5e8bap-4, -0x1.240ebca9744b3p-4, -0x1.1eb09aecfb78ep-4, -0x1.1966287dd19d6p-4, -0x1.142f3ffe474ffp-4, -0x1.0f0bbb70cf0bdp-4, -0x1.09fb743774ac3p-4, -0x1.04fe4317ad6ffp-4, -0x1.00140044f8413p-4, -0x1.f67906deba439p-5, -0x1.ecef47a0f9d4ep-5, -0x1.e38a70672b8b8p-5, -0x1.da4a2df143bf1p-5, -0x1.d12e2c2baf912p-5, -0x1.c8361636ea665p-5, -0x1.bf61967755f43p-5, -0x1.b6b056aa7b2adp-5, -0x1.ae21fffb8e2dp-5, -0x1.a5b63b124a191p-5, -0x1.9d6cb01b4f68cp-5, -0x1.954506cd1748cp-5, -0x1.8d3ee66e2399p-5, -0x1.8559f5dfd59p-5, -0x1.7d95dbad92587p-5, -0x1.75f23e1d1e5bap-5, -0x1.6e6ec33cc53f4p-5, -0x1.670b10ed67fc1p-5, -0x1.5fc6cce8db4f7p-5, -0x1.58a19cc70b466p-5, -0x1.519b260484f65p-5, -0x1.4ab30e0bdd738p-5, -0x1.43e8fa418405fp-5, -0x1.3d3c900fed633p-5, -0x1.36ad74f23b2c6p-5, -0x1.303b4e7cb4579p-5, -0x1.29e5c2634d807p-5, -0x1.23ac767f29b01p-5, -0x1.1d8f10d41c33cp-5, -0x1.178d37972117cp-5, -0x1.11a69135bff64p-5, -0x1.0bdac45dad673p-5, -0x1.0629780414d3bp-5, -0x1.0092536c91b7ap-5, -0x1.f629fc60278d5p-6, -0x1.eb624087d7c29p-6, -0x1.e0ccc40176446p-6, -0x1.d668d851affebp-6, -0x1.cc35cfdb46e22p-6, -0x1.c232fde625e35p-6, -0x1.b85fb6a2fceb7p-6, -0x1.aebb4f2ce2d64p-6, -0x1.a5451d8c6f341p-6, -0x1.9bfc78bfb2478p-6, -0x1.92e0b8c9616p-6, -0x1.89f136c658809p-6, -0x1.812d4d059990ap-6, -0x1.7894571d17c18p-6, -0x1.7025b1f4ed314p-6, -0x1.67e0bbc4d657p-6, -0x1.5fc4d4041c083p-6, -0x1.57d15b51c9c2ep-6, -0x1.5005b35f71b0fp-6, -0x1.48613ee9ec54ap-6, -0x1.40e361c890d9bp-6, -0x1.398b81145e84ap-6, -0x1.3259035f99b3fp-6, -0x1.2b4b50edfca79p-6, -0x1.2461d3d99f35ap-6, -0x1.1d9bf813c9e62p-6, -0x1.16f92b3b0eefap-6, -0x1.1078dc4ef2b49p-6, -0x1.0a1a7b5751ce3p-6, -0x1.03dd7920386a4p-6, -0x1.fb828e4f8ccc9p-7, -0x1.ef8aafa106406p-7, -0x1.e3d23da74ec1p-7, -0x1.d85823adf0905p-7, -0x1.cd1b51ee9e1ap-7, -0x1.c21abe2944c1p-7, -0x1.b7556373c54eep-7, -0x1.acca4130147cfp-7, -0x1.a2785961e940dp-7, -0x1.985eaede6e23bp-7, -0x1.8e7c43f12d759p-7, -0x1.84d01a01126fp-7, -0x1.7b59327c98d4bp-7, -0x1.721690efab249p-7, -0x1.69073dbbdf936p-7, -0x1.602a48a1a048cp-7, -0x1.577eca3c46adbp-7, -0x1.4f03e3ce19a88p-7, -0x1.46b8bd3295967p-7, -0x1.3e9c81630ad89p-7, -0x1.36ae5a7e0aed5p-7, -0x1.2eed6e863bda6p-7, -0x1.2758ddf77de95p-7, -0x1.1fefc4d9dd01dp-7, -0x1.18b13e447f011p-7, -0x1.119c697d5b833p-7, -0x1.0ab06f4c67705p-7, -0x1.03ec85e4e5dafp-7, -0x1.fa9fe41bacb6cp-8, -0x1.edb409d322d57p-8, -0x1.e1142d6ac4eacp-8, -0x1.d4beff97d4c05p-8, -0x1.c8b323a9a346ap-8, -0x1.bcef264a1c9a2p-8, -0x1.b1717ba2f7dbcp-8, -0x1.a63885f90dbbdp-8, -0x1.9b42a3787c6cbp-8, -0x1.908e3fbc0b12cp-8, -0x1.8619e45d25ad4p-8, -0x1.7be443ccceca5p-8, -0x1.71ec3b0be4dd6p-8, -0x1.6830c93c703b2p-8, -0x1.5eb0fed70db3fp-8, -0x1.556be8be4b36bp-8, -0x1.4c607cb8aac71p-8, -0x1.438d8ca063e5bp-8, -0x1.3af1c3e72f1a4p-8, -0x1.328bb05fa2f51p-8, -0x1.2a59d4506aaafp-8, -0x1.225abd6170309p-8, -0x1.1a8d1a92ef2bfp-8, -0x1.12efcb81c67f4p-8, -0x1.0b81e4d519266p-8, -0x1.0442a878910d3p-8, -0x1.fa62e6fa423aep-9, -0x1.ec9b4c886e3bp-9, -0x1.df2d19fa73ec4p-9, -0x1.d2169caff9f03p-9, -0x1.c555c8f8eb5ccp-9, -0x1.b8e843804fd81p-9, -0x1.accb7f85d0dedp-9, -0x1.a0fcea82c8e1cp-9, -0x1.957a1abc5f775p-9, -0x1.8a40f5646954ap-9, -0x1.7f4fc2e52acf2p-9, -0x1.74a52cb0c3887p-9, -0x1.6a402628b3e61p-9, -0x1.601fc7b3238eap-9, -0x1.564325e768224p-9, -0x1.4ca92e589ac28p-9, -0x1.435090cdcb9c3p-9, -0x1.3a37b8459837dp-9, -0x1.315cd41c3600dp-9, -0x1.28bdef370f98bp-9, -0x1.205910907f12cp-9, -0x1.182c5d9527368p-9, -0x1.103634cc2514ep-9, -0x1.087538925c0b7p-9, -0x1.00e847670b632p-9, -0x1.f31cce2b97698p-10, -0x1.e4cd5a4440076p-10, -0x1.d6e05b52481b5p-10, -0x1.c953e6f2880f8p-10, -0x1.bc25fb057d9dep-10, -0x1.af547834467b8p-10, -0x1.a2dd197fcf164p-10, -0x1.96bd7236d3c55p-10, -0x1.8af2fef8fda8fp-10, -0x1.7f7b4b3ca5462p-10, -0x1.74541a5ca75eep-10, -0x1.697b7941b232ep-10, -0x1.5eefa764a7f65p-10, -0x1.54aedf9429c06p-10, -0x1.4ab721d348c18p-10, -0x1.410624da5344ep-10, -0x1.37997fa0f2576p-10, -0x1.2e6ef5c92869dp-10, -0x1.2584b6e6860b7p-10, -0x1.1cd966691e288p-10, -0x1.146be8ec340f8p-10, -0x1.0c3b1ff3a0bf2p-10, -0x1.0445c9e0194ecp-10, -0x1.f9153518cc226p-11, -0x1.ea10db279164ap-11, -0x1.db7cb6a55e49fp-11, -0x1.cd571fe2f5138p-11, -0x1.bf9de4833a444p-11, -0x1.b24d998b0883fp-11, -0x1.a561645f9a90ap-11, -0x1.98d37a52a6a96p-11, -0x1.8c9e3670d4446p-11, -0x1.80bd452130e56p-11, -0x1.752e406dd59dap-11, -0x1.69f05cbd07e83p-11, -0x1.5f03600110034p-11, -0x1.5466a749a1c4p-11, -0x1.4a18ed3d5f539p-11, -0x1.4018d49f95176p-11, -0x1.36658f2fa7fb6p-11, -0x1.2cfef42fe305fp-11, -0x1.23e4e0b64c31cp-11, -0x1.1b1642185c67ap-11, -0x1.12905b91f5cb9p-11, -0x1.0a4eb14d4eac2p-11, -0x1.024bad03d2b7p-11, -0x1.f50388db60cc6p-12, -0x1.e5d96fc42bb1cp-12, -0x1.d714b90d33d0cp-12, -0x1.c8b4f215fd3c9p-12, -0x1.babb72ba14535p-12, -0x1.ad28d802dfd8fp-12, -0x1.9ffbead4328c8p-12, -0x1.93328b3d9fd88p-12, -0x1.86cb67e689e65p-12, -0x1.7ac6da9775d76p-12, -0x1.6f2641d118522p-12, -0x1.63ea3d6fa5b32p-12, -0x1.5910e5bf48e79p-12, -0x1.4e9531d0c518ep-12, -0x1.446fca83ec5b5p-12, -0x1.3a987c25fde5ap-12, -0x1.3107a3854a12cp-12, -0x1.27b7859ff8a36p-12, -0x1.1ea5389393db8p-12, -0x1.15d062d2421afp-12, -0x1.0d39d3910564ap-12, -0x1.04e1fbcde0b85p-12, -0x1.f99092c495366p-13, -0x1.e9d71310405bbp-13, -0x1.da956d823979fp-13, -0x1.cbcb5fd949befp-13, -0x1.bd7ac618d1a38p-13, -0x1.afa56ee43cbbap-13, -0x1.a24995ebb8c54p-13, -0x1.9560f60907905p-13, -0x1.88e3440c226b5p-13, -0x1.7cc8cb6c6f05ep-13, -0x1.710aea60b3245p-13, -0x1.65a3676615b7ap-13, -0x1.5a8c95ce37928p-13, -0x1.4fc23acf0d365p-13, -0x1.45417c3a22f52p-13, -0x1.3b0848d73e343p-13, -0x1.31160b8803669p-13, -0x1.276bf7f9ef5bap-13, -0x1.1e0ac3cb8e102p-13, -0x1.14f0c907cb783p-13, -0x1.0c1c5cf50a7dbp-13, -0x1.038e92fbeb70ap-13, -0x1.f690f56613065p-14, -0x1.e68e2b081e141p-14, -0x1.d708ee14e4ac9p-14, -0x1.c7f6ecb7047b4p-14, -0x1.b952f7364c66p-14, -0x1.ab1c52d6ce6afp-14, -0x1.9d53e4a007261p-14, -0x1.8ff8815983802p-14, -0x1.830492957838dp-14, -0x1.766e856894fp-14, -0x1.6a2a86ff8a64fp-14, -0x1.5e2f55f934b02p-14, -0x1.527eb571da25fp-14, -0x1.4722aba77c5c4p-14, -0x1.3c1d5d3d2d3cep-14, -0x1.3166dc4c42a7ep-14, -0x1.26fd577097b2dp-14, -0x1.1ce6a525f1924p-14, -0x1.132186334d2dbp-14, -0x1.09a4353482344p-14, -0x1.0065d7c30153ap-14, -0x1.eec4a5896465fp-15, -0x1.dd311189ba7aep-15, -0x1.cc11b5342a3bp-15, -0x1.bb6ac2f9fe7e1p-15, -0x1.ab4353cd5d728p-15, -0x1.9ba01e112661ap-15, -0x1.8c7ce3890f5c1p-15, -0x1.7dc945f98e6e2p-15, -0x1.6f6a1aa2340f3p-15, -0x1.614d8b83317bdp-15, -0x1.53844afc1ff4fp-15, -0x1.462398dbc12c2p-15, -0x1.391e2e7f37a49p-15, -0x1.2c66c720e3e43p-15, -0x1.200bd1991faa5p-15, -0x1.14136f3743214p-15, -0x1.086f4ffd7a6p-15, -0x1.fa23386287d82p-16, -0x1.e3eabed883ff5p-16, -0x1.ce34ea62099c5p-16, -0x1.b9024fcd4449ap-16, -0x1.a4517b88cc1c3p-16, -0x1.9020d0056995dp-16, -0x1.7c72299c7d4d5p-16, -0x1.694b62aca24dcp-16, -0x1.56b1bf9793da4p-16, -0x1.44a6ef7a24e6ap-16, -0x1.3322fc91bdb16p-16, -0x1.2202b0a6213fep-16, -0x1.112bcc3d7d21ap-16, -0x1.00b9d75124451p-16, -0x1.e168bea0f5afbp-17, -0x1.c20d8414c1f72p-17, -0x1.a37b9cc9d7aabp-17, -0x1.85cd3065c0b2fp-17, -0x1.68e9b53f86766p-17, -0x1.4cb09c5b2f0a4p-17, -0x1.3114b1a6f28d9p-17, -0x1.1615caab00c8bp-17, -0x1.f76c5032eb7d5p-18, -0x1.c3ec188099f03p-18, -0x1.91a6158b5120dp-18, -0x1.6091e69ca167cp-18, -0x1.30a768a8f979dp-18, -0x1.01e246e812bebp-18, -0x1.a88073b989319p-19, -0x1.4f7e07451673fp-19, }}, 
      {{0x1.cb07c893649bcp-2, 0x1.cf03583f15b4dp-2, 0x1.d5778ff7ec628p-2, 0x1.de2a6a8ee09bp-2, 0x1.e8d8956126fcp-2, 0x1.f53a7999a49p-2, 0x1.0183e79be1177p-1, 0x1.08fd0b41b2ac9p-1, 0x1.10e71ce96b7f8p-1, 0x1.1922c97e0bab9p-1, 0x1.21934361ea053p-1, 0x1.2a1e68e72e635p-1, 0x1.32acccb4b451ep-1, 0x1.3b29a898c07a4p-1, 0x1.4382c1c8ec829p-1, 0x1.4ba843d87d36bp-1, 0x1.538c967a97ba3p-1, 0x1.5b2430d6dbbadp-1, 0x1.62656c768d6fcp-1, 0x1.6948592104f3bp-1, 0x1.6fc6928a858bbp-1, 0x1.75db185eaa60ap-1, 0x1.7b8228e7d82b8p-1, 0x1.80b91e7d70386p-1, 0x1.857e4f9f38dc9p-1, 0x1.89d0f1ba53e73p-1, 0x1.8db0fe70ecd45p-1, 0x1.911f1b3418416p-1, 0x1.941c8311aeac2p-1, 0x1.96aaf29084f5dp-1, 0x1.98cc95666bcf7p-1, 0x1.9a83f5ee856cdp-1, 0x1.9bd3ee3cbde7ap-1, 0x1.9cbf9a9203d74p-1, 0x1.9d4a4d53a7fcdp-1, 0x1.9d7784080e4d2p-1, 0x1.9d4add9ba2a69p-1, 0x1.9cc8119b55171p-1, 0x1.9bf2e8650e814p-1, 0x1.9acf3434a666ap-1, 0x1.9960cafb5c359p-1, 0x1.97ab80f1208a9p-1, 0x1.95b323cf7d045p-1, 0x1.937b76a7dab4ap-1, 0x1.91082e509de0bp-1, 0x1.8e5cee32b0de7p-1, 0x1.8b7d45d15a0afp-1, 0x1.886cae6b4e437p-1, 0x1.852e893fb544p-1, 0x1.81c61e0a5c1cap-1, 0x1.7e3699dae4cd4p-1, 0x1.7a830e321cddbp-1, 0x1.76ae706123feep-1, 0x1.72bb99233025ap-1, 0x1.6ead44677f875p-1, 0x1.6a86114a8b31bp-1, 0x1.66488231562d6p-1, 0x1.61f6fd0a9cfffp-1, 0x1.5d93cba724f32p-1, 0x1.59211c2d5a0e3p-1, 0x1.54a101a864dfdp-1, 0x1.50157499a47e1p-1, 0x1.4b8053a04658fp-1, 0x1.46e36410082f8p-1, 0x1.424052b4c462fp-1, 0x1.3d98b48a4f9e1p-1, 0x1.38ee078af4f3cp-1, 0x1.3441b367417e7p-1, 0x1.2f950a4372c64p-1, 0x1.2ae9497da4dbfp-1, 0x1.263f9a7ffd691p-1, 0x1.21991395feab8p-1, 0x1.1cf6b8b54d731p-1, 0x1.18597c384d26ep-1, 0x1.13c23f91f6f65p-1, 0x1.0f31d406516e6p-1, 0x1.0aa8fb6bb9cc6p-1, 0x1.062868ef8ea0dp-1, 0x1.01b0c1d3bfdb5p-1, 0x1.fa853c39882dep-2, 0x1.f1bd12629d34ep-2, 0x1.e90a04de2e9c9p-2, 0x1.e06cfb727a2cfp-2, 0x1.d7e6c812c2861p-2, 0x1.cf78280ba94b4p-2, 0x1.c721c52f6d27ep-2, 0x1.bee436f93a9b2p-2, 0x1.b6c0039eb1448p-2, 0x1.aeb5a10be5839p-2, 0x1.a6c575cabe47bp-2, 0x1.9eefd9da4a9e9p-2, 0x1.9735177d6aaecp-2, 0x1.8f956c055a0c6p-2, 0x1.8811089b869cep-2, 0x1.80a8130a30188p-2, 0x1.795aa681c4cdp-2, 0x1.7228d456e868p-2, 0x1.6b12a4b6b2f36p-2, 0x1.6418174e61b98p-2, 0x1.5d3923e62c399p-2, 0x1.5675baf01b45fp-2, 0x1.4fcdc60c7df42p-2, 0x1.4941288677e42p-2, 0x1.42cfbfca36023p-2, 0x1.3c7963d6dc2c8p-2, 0x1.363de7ac9a9p-2, 0x1.301d19b729a0cp-2, 0x1.2a16c434b65c3p-2, 0x1.242aad9823271p-2, 0x1.1e5898e669d2ep-2, 0x1.18a0460e5f09cp-2, 0x1.1301723a9adf6p-2, 0x1.0d7bd81d02962p-2, 0x1.080f3034ed68p-2, 0x1.02bb310f95993p-2, 0x1.faff1f07458e2p-3, 0x1.f0b7fdd0b7067p-3, 0x1.e6a062928e6dbp-3, 0x1.dcb7af2afe788p-3, 0x1.d2fd439abd30fp-3, 0x1.c9707e5a6f0d1p-3, 0x1.c010bca793a03p-3, 0x1.b6dd5ad2b279cp-3, 0x1.add5b482c6d72p-3, 0x1.a4f924fa22ecfp-3, 0x1.9c47074f8cc4cp-3, 0x1.93beb6aa0cb7bp-3, 0x1.8b5f8e7300dbap-3, 0x1.8328ea88c436ap-3, 0x1.7b1a27653e997p-3, 0x1.7332a24b88799p-3, 0x1.6b71b968195cdp-3, 0x1.63d6cbf1cc03dp-3, 0x1.5c613a4a87fadp-3, 0x1.551066135a6f8p-3, 0x1.4de3b24a7fbc5p-3, 0x1.46da835d350fep-3, 0x1.3ff43f3c00c26p-3, 0x1.39304d6a0e303p-3, 0x1.328e17100e4c9p-3, 0x1.2c0d07046c238p-3, 0x1.25ac89db8e483p-3, 0x1.1f6c0def9abffp-3, 0x1.194b036a89246p-3, 0x1.1348dc4d5105ep-3, 0x1.0d650c758e3dp-3, 0x1.079f09a4818f5p-3, 0x1.01f64b818d85bp-3, 0x1.f8d4973c739d3p-4, 0x1.edf50af02541ep-4, 0x1.e34cecf470282p-4, 0x1.d8db3bfbd2343p-4, 0x1.ce9efa952a2eep-4, 0x1.c4972f28f815ep-4, 0x1.bac2e3f716ce6p-4, 0x1.b1212713fab2dp-4, 0x1.a7b10a62331cdp-4, 0x1.9e71a38c600a9p-4, 0x1.95620bff1ba1p-4, 0x1.8c8160e1ee9eep-4, 0x1.83cec30ea8fa7p-4, 0x1.7b49570876c41p-4, 0x1.72f044f2324a8p-4, 0x1.6ac2b887972eap-4, 0x1.62bfe10f265c3p-4, 0x1.5ae6f1531b311p-4, 0x1.53371f94df27fp-4, 0x1.4bafa5836e48p-4, 0x1.444fc02f4db29p-4, 0x1.3d16afff6a0dbp-4, 0x1.3603b8a66a658p-4, 0x1.2f162116fbde6p-4, 0x1.284d33778677ap-4, 0x1.21a83d16b2f8fp-4, 0x1.1b268e60771adp-4, 0x1.14c77ad35aae6p-4, 0x1.0e8a58f2a4c59p-4, 0x1.086e823b25888p-4, 0x1.02735318b75afp-4, 0x1.f93055b53d94cp-5, 0x1.edb8d74ea9324p-5, 0x1.e27ef4e1bf08ep-5, 0x1.d7817dd3ee96ap-5, 0x1.ccbf46f6f414ap-5, 0x1.c2372a716061ep-5, 0x1.b7e807a70901p-5, 0x1.add0c3254e6fp-5, 0x1.a3f0468b26722p-5, 0x1.9a4580790eeb2p-5, 0x1.90cf6475f64a5p-5, 0x1.878ceadcd0da7p-5, 0x1.7e7d10c7cf1e5p-5, 0x1.759ed7fc760fbp-5, 0x1.6cf146d7ea636p-5, 0x1.6473683aa3199p-5, 0x1.5c244b744c9c6p-5, 0x1.540304314d27ap-5, 0x1.4c0eaa6889eep-5, 0x1.44465a48640b1p-5, 0x1.3ca93423aae78p-5, 0x1.35365c5f06975p-5, 0x1.2decfb611ca15p-5, 0x1.26cc3d80c290cp-5, 0x1.1fd352f415399p-5, 0x1.19016fbcd31dp-5, 0x1.1255cb99988e9p-5, 0x1.0bcfa1f600424p-5, 0x1.056e31dab1e9bp-5, 0x1.fe617bba2e30ep-6, 0x1.f22d181e16779p-6, 0x1.e63dcbded32acp-6, 0x1.da9230b77827p-6, 0x1.cf28e70417e01p-6, 0x1.c40095a4311b8p-6, 0x1.b917e9dcb973ep-6, 0x1.ae6d973b27ffap-6, 0x1.a400577a2f546p-6, 0x1.99ceea671b801p-6, 0x1.8fd815c8881c1p-6, 0x1.861aa54422e6fp-6, 0x1.7c956a445aa9cp-6, 0x1.73473bdae9ccfp-6, 0x1.6a2ef6aa13d07p-6, 0x1.614b7ccde4df6p-6, 0x1.589bb5c49036dp-6, 0x1.501e8e56238c8p-6, 0x1.47d2f87bfa6d3p-6, 0x1.3fb7eb48d9c8ep-6, 0x1.37cc62d28073dp-6, 0x1.300f601c92925p-6, 0x1.287fe903d04fbp-6, 0x1.211d0828c2a95p-6, 0x1.19e5ccd9aaef2p-6, 0x1.12d94afcaec7dp-6, 0x1.0bf69afb1e637p-6, 0x1.053cd9ae19d18p-6, 0x1.fd565097b8d2cp-7, 0x1.f08158a93206bp-7, 0x1.e3f91efd49bc2p-7, 0x1.d7bbff4781d45p-7, 0x1.cbc85d5d382b7p-7, 0x1.c01ca50efb1efp-7, 0x1.b4b74a050b8a5p-7, 0x1.a996c79f70272p-7, 0x1.9eb9a0d3a61f6p-7, 0x1.941e6009d2f6dp-7, 0x1.89c396fa2ebfp-7, 0x1.7fa7de8b632dep-7, 0x1.75c9d6b23de1bp-7, 0x1.6c282652aec8ep-7, 0x1.62c17b2148045p-7, 0x1.59948984b990cp-7, 0x1.50a00c773503ap-7, 0x1.47e2c567dc89bp-7, 0x1.3f5b7c1cde294p-7, 0x1.3708fe9692897p-7, 0x1.2eea20f3936c2p-7, 0x1.26fdbd555ba7dp-7, 0x1.1f42b3c525c2dp-7, 0x1.17b7ea18c8956p-7, 0x1.105c4bd7beb52p-7, 0x1.092eca2049bdep-7, 0x1.022e5b8cffdc7p-7, 0x1.f6b3f83961375p-8, 0x1.e9615a3593402p-8, 0x1.dc62ea0b199ap-8, 0x1.cfb6beea3a5b5p-8, 0x1.c35afa09a23a5p-8, 0x1.b74dc6777d1c5p-8, 0x1.ab8d58eac7381p-8, 0x1.a017ef95e15afp-8, 0x1.94ebd1fa45203p-8, 0x1.8a0750bd2160bp-8, 0x1.7f68c57c83ee9p-8, 0x1.750e92a5094d3p-8, 0x1.6af72347fe1f8p-8, 0x1.6120eaf22dfafp-8, 0x1.578a65836ecfbp-8, 0x1.4e321706f863dp-8, 0x1.45168b8c79cc7p-8, 0x1.3c365701c806cp-8, 0x1.3390150d1995cp-8, 0x1.2b2268e7c3e26p-8, 0x1.22ebfd397b7eap-8, 0x1.1aeb83f4703d8p-8, 0x1.131fb631f187p-8, 0x1.0b87541000ccap-8, 0x1.0421248f517c9p-8, 0x1.f9d7eae3995eap-9, 0x1.ebcd36323e809p-9, 0x1.de1fe0ca7a669p-9, 0x1.d0cdad28e3f7dp-9, 0x1.c3d46a4abc62ep-9, 0x1.b731f36ea20a3p-9, 0x1.aae42fd497bdp-9, 0x1.9ee91284e346cp-9, 0x1.933e9a1824fe9p-9, 0x1.87e2d07daaba2p-9, 0x1.7cd3cac13603ap-9, 0x1.720fa8d0e5373p-9, 0x1.6794954403ff1p-9, 0x1.5d60c5243e9d7p-9, 0x1.537277ba7a94dp-9, 0x1.49c7f65cbd87bp-9, 0x1.405f943b1a257p-9, 0x1.3737ae2f39df8p-9, 0x1.2e4eaa8eeeee2p-9, 0x1.25a2f8fbad21fp-9, 0x1.1d33122e0a965p-9, 0x1.14fd77c0806c3p-9, 0x1.0d00b3fb353b4p-9, 0x1.053b59a587a05p-9, 0x1.fb5807b541151p-10, 0x1.eca2abca6a82p-10, 0x1.de53f63b64cdp-10, 0x1.d0694d90ff84ep-10, 0x1.c2e027e10e0bdp-10, 0x1.b5b60a770cf7ep-10, 0x1.a8e889701a9b1p-10, 0x1.9c75474f69216p-10, 0x1.9059f4953ff58p-10, 0x1.84944f628dd6cp-10, 0x1.79222331877e4p-10, 0x1.6e0148a40ff95p-10, 0x1.632fa564c2536p-10, 0x1.58ab2c0f54a15p-10, 0x1.4e71dc0b09f23p-10, 0x1.4481c148f8dc6p-10, 0x1.3ad8f3e974347p-10, 0x1.317597cb8066p-10, 0x1.2855dc0fa616dp-10, 0x1.1f77faa25435bp-10, 0x1.16da37e23f43cp-10, 0x1.0e7ae26cdb698p-10, 0x1.065853156821fp-10, 0x1.fce1d9e9fc338p-11, 0x1.ed863b041480fp-11, 0x1.de9ab928f97a8p-11, 0x1.d01c5884536a1p-11, 0x1.c208311509a56p-11, 0x1.b45b6dad2606dp-11, 0x1.a7134ac16f24ap-11, 0x1.9a2d154108d92p-11, 0x1.8da629b06b38cp-11, 0x1.817bf3b264e5fp-11, 0x1.75abee0e0072cp-11, 0x1.6a33a30fc52dbp-11, 0x1.5f10ad1e380abp-11, 0x1.5440b745ba684p-11, 0x1.49c17d5793c2fp-11, 0x1.3f90cba9d623dp-11, 0x1.35ac7e4b1246bp-11, 0x1.2c127fcfc0ab2p-11, 0x1.22c0c7f013bbfp-11, 0x1.19b55a3cc6247p-11, 0x1.10ee4530154ebp-11, 0x1.0869a1cc306c9p-11, 0x1.002593d115239p-11, 0x1.f04094cd92907p-12, 0x1.e0b001f0d3605p-12, 0x1.d195ffe3621adp-12, 0x1.c2ef3a3bfae57p-12, 0x1.b4b8770f5b66p-12, 0x1.a6ee95b253018p-12, 0x1.998e8caa32a93p-12, 0x1.8c956713b8ebcp-12, 0x1.800041edb67c4p-12, 0x1.73cc49f423879p-12, 0x1.67f6ba3d12b4cp-12, 0x1.5c7cdc53315ep-12, 0x1.515c093982b5ap-12, 0x1.4691ab3c32c8cp-12, 0x1.3c1b3fa6a1ad7p-12, 0x1.31f657cbd8c5dp-12, 0x1.28209920d5614p-12, 0x1.1e97bc8fd318dp-12, 0x1.15598d549d39fp-12, 0x1.0c63e79b84fd5p-12, 0x1.03b4b6e82a64ep-12, 0x1.f693e8855e0a1p-13, 0x1.e64348c7ddb4ep-13, 0x1.d673acbef469ap-13, 0x1.c72146a7a94a6p-13, 0x1.b8485e9060b94p-13, 0x1.a9e5557694f88p-13, 0x1.9bf4a7f529ffep-13, 0x1.8e72eefe7c752p-13, 0x1.815cde83094ecp-13, 0x1.74af434483605p-13, 0x1.6867016baef4p-13, 0x1.5c8114863ff45p-13, 0x1.50fa9027c372dp-13, 0x1.45d09fb27290fp-13, 0x1.3b00846968c36p-13, 0x1.308792581bc1fp-13, 0x1.26632dc05a7dcp-13, 0x1.1c90ca88996acp-13, 0x1.130deda198aep-13, 0x1.09d82ec92525ap-13, 0x1.00ed38ab6051bp-13, 0x1.f0958d6e5db39p-14, 0x1.dfdd43ab71f26p-14, 0x1.cfad3c707cbbp-14, 0x1.c00137ad56b4ap-14, 0x1.b0d512d192b9p-14, 0x1.a224cfdecb866p-14, 0x1.93ec9918a4b4fp-14, 0x1.8628bf82712ep-14, 0x1.78d5b66bdb539p-14, 0x1.6bf00fb75ff48p-14, 0x1.5f747a52c5d3cp-14, 0x1.535fc24f8f7f8p-14, 0x1.47aecec826345p-14, 0x1.3c5e9b59ca24cp-14, 0x1.316c30c99ce9cp-14, 0x1.26d4a0adc5b5fp-14, 0x1.1c95047e22824p-14, 0x1.12aa80108de2dp-14, 0x1.09124704d5b9bp-14, 0x1.ff9347023e9e9p-15, 0x1.ed9bf6384a098p-15, 0x1.dc399f3feeac3p-15, 0x1.cb677aef77c5ap-15, 0x1.bb20f8958d917p-15, 0x1.ab61c63dc314cp-15, 0x1.9c25d98f637a4p-15, 0x1.8d695e6bd9e5cp-15, 0x1.7f289e52772bep-15, 0x1.715fdfbf0a967p-15, 0x1.640b5ce43bc4ep-15, 0x1.57274f994f09ep-15, 0x1.4ab0018b32e17p-15, 0x1.3ea1d2d97d1c8p-15, 0x1.32f93937b9cb2p-15, 0x1.27b2c0c74435fp-15, 0x1.1ccb10060cab4p-15, 0x1.123ee93442a3ap-15, 0x1.080b29a0320f5p-15, 0x1.fc59a298a4733p-16, 0x1.e942311c8c41dp-16, 0x1.d6cb081fa98bfp-16, 0x1.c4efb8e35ab9p-16, 0x1.b3ac078b0077ep-16, 0x1.a2fb8cfdff6ddp-16, 0x1.92d99a403bf9dp-16, 0x1.83416783529e2p-16, 0x1.742e5329e12ffp-16, 0x1.659bf80dbd5bdp-16, 0x1.57861b89d7a52p-16, 0x1.49e8954f65e0cp-16, 0x1.3cbf45f399d4ap-16, 0x1.300619c629653p-16, 0x1.23b90ddde6307p-16, 0x1.17d435ff3dfc2p-16, 0x1.0c53d1853536p-16, 0x1.013478e25b4dfp-16, 0x1.ece68c471bd9cp-17, 0x1.d81b8219b7987p-17, 0x1.c4030fa5ab142p-17, 0x1.b097fb6ac58fdp-17, 0x1.9dd4911762599p-17, 0x1.8bb318db02209p-17, 0x1.7a2e317ef188bp-17, 0x1.6940cb4fc1353p-17, 0x1.58e605c0f0009p-17, 0x1.4919230c6395ap-17, 0x1.39d57d83c17e1p-17, 0x1.2b1671aed1b64p-17, 0x1.1cd752f057f51p-17, 0x1.0f13789a58505p-17, 0x1.01c65a8a74b27p-17, 0x1.e9d76f0d4ce6ep-18, 0x1.d0ff8e5e770f2p-18, 0x1.b8fea9ec5bdfep-18, 0x1.a1cf0a96ae5b6p-18, 0x1.8b6abb9570d45p-18, 0x1.75cb2f5422c6fp-18, 0x1.60e9e241560c5p-18, 0x1.4cc0f3b3e295ap-18, 0x1.394ad926a63bap-18, 0x1.2681d8ee28cfap-18, 0x1.146025d9f8107p-18, 0x1.02e044013a19fp-18, 0x1.e3fa43ccc831bp-19, 0x1.c363ca1d08d65p-19, 0x1.a3f34ddc6e909p-19, 0x1.859ec657faaa9p-19, 0x1.685c5a65af3e1p-19, 0x1.4c22df3a74e43p-19, 0x1.30e9e271619cfp-19, 0x1.16a966e98b5cap-19, 0x1.fab370c4fe7eap-20, 0x1.c9e644cda5bcdp-20, 0x1.9adb6c94f79b4p-20, 0x1.6d843d3befe4dp-20, 0x1.41d52d1d194bep-20, 0x1.17c3f440b22b8p-20, 0x1.de88d902c72f5p-21, 0x1.9091ee52efc75p-21, 0x1.4588c813d0e8fp-21, 0x1.faa9ca4ae43d8p-22, 0x1.6fbfb9db8ad05p-22, 0x1.d4559ea546dfbp-23, 0x1.a71064468e41cp-24, -0x1.19ca7a1614bdap-26, -0x1.10409b99c94bap-23, -0x1.f3d8a01dd8986p-23, -0x1.672105ded0b9ap-22, -0x1.cfde6cdb6bf2fp-22, -0x1.1a2508e5458cep-21, -0x1.4a46e993a25ep-21, -0x1.78695ecb99025p-21, -0x1.a49dbf6d30be5p-21, -0x1.ceef35ea1ab93p-21, -0x1.f7664540639f1p-21, -0x1.0f07d90c281d9p-20, -0x1.217d8525079cap-20, -0x1.331b276faef1bp-20, -0x1.43e76bfe78f16p-20, -0x1.53e9026bd4d1bp-20, -0x1.63260c947c2fcp-20, -0x1.71a3fd845018p-20, -0x1.7f67e890a15ecp-20, -0x1.8c76df6c30521p-20, -0x1.98d6178996f1fp-20, -0x1.a48aa441e79bfp-20, -0x1.af990506c4b41p-20, -0x1.ba053e651f614p-20, -0x1.c3d3c73c492aap-20, -0x1.cd0a27b7885cdp-20, -0x1.d5ae41f545b84p-20, -0x1.ddc5674f285ddp-20, -0x1.e55372ac0fac9p-20, -0x1.ec5ad0515011dp-20, -0x1.f2debe6f4605bp-20, -0x1.f8e3702b6bd3ep-20, -0x1.fe6c90bdfecfdp-20, -0x1.01bed4e5de61bp-19, -0x1.040d3aea87b38p-19, -0x1.0623435809cbdp-19, -0x1.08028f5db8873p-19, -0x1.09aca121cd1c5p-19, -0x1.0b22e759117fbp-19, -0x1.0c66c8b5735eep-19, -0x1.0d79ad9a5073ap-19, -0x1.0e5cffe620849p-19, -0x1.0f122031f48f3p-19, -0x1.0f9a5ad9a8118p-19, -0x1.0ff6f1219f5dp-19, -0x1.102937aa4192ep-19, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.7a6bf1327d8d8p-3, 0x1.6fc192246e0edp-2, 0x1.087b077fce2aap-1, 0x1.4ea4bc073bb91p-1, 0x1.89aae5780f008p-1, 0x1.b991d1bcc8ca8p-1, 0x1.ded55e606cc84p-1, 0x1.fa3c673d359f3p-1, 0x1.065c5eaf0167ep+0, 0x1.0ba7e71ef4dc8p+0, 0x1.0d85319da8f9cp+0, 0x1.0c74e6488a26p+0, 0x1.08f07bc5d8aa5p+0, 0x1.03682b3d93735p+0, 0x1.f883cad92431ap-1, 0x1.e7b1f6649f46p-1, 0x1.d4fc7fb1cc00cp-1, 0x1.c0f0f4fd8808ap-1, 0x1.ac0a0f62df176p-1, 0x1.96b12a5d38153p-1, 0x1.813fd0eb9b69fp-1, 0x1.6c014bac4c34ap-1, 0x1.5734228ea968ap-1, 0x1.430b89e38b00bp-1, 0x1.2fb0b61bf2cc5p-1, 0x1.1d4413f3cc914p-1, 0x1.0bde6471ac63p-1, 0x1.f7237aa43673ep-2, 0x1.d8d4de894c51ap-2, 0x1.bcdfa7b5c46a4p-2, 0x1.a34a0a74177fep-2, 0x1.8c1303406ac8p-2, 0x1.7733795f09c48p-2, 0x1.649f40902c9f7p-2, 0x1.5445fd28a9407p-2, 0x1.4613ed74f30afp-2, 0x1.39f29b1a05de9p-2, 0x1.2fc976d4916b3p-2, 0x1.277e60c529fd7p-2, 0x1.20f61f4498c7ep-2, 0x1.1c14c605afa06p-2, 0x1.18be0f1c28e59p-2, 0x1.16d5a76d27e11p-2, 0x1.163f6fc780a3p-2, 0x1.16dfb3de87825p-2, 0x1.189b584ab274bp-2, 0x1.1b580060e0b1cp-2, 0x1.1efc2d0bcb4c3p-2, 0x1.236f55229a9b8p-2, 0x1.2899f835f7829p-2, 0x1.2e65aca7e1ea5p-2, 0x1.34bd28b2b7c64p-2, 0x1.3b8c493f62cacp-2, 0x1.42c012d95185dp-2, 0x1.4a46b3d75a9fbp-2, 0x1.520f7e7b32dabp-2, 0x1.5a0ae89f5c7c3p-2, 0x1.622a7ff7b6dedp-2, 0x1.6a60e901b5ca2p-2, 0x1.72a1ce78e2199p-2, 0x1.7ae1e039c4fd6p-2, 0x1.8316c028db771p-2, 0x1.8b36ff5009d8dp-2, 0x1.933a0bf9a1e7dp-2, 0x1.9b182a864f4a1p-2, 0x1.a2ca68422a8bfp-2, 0x1.aa4a8fb7aa2a5p-2, 0x1.b1931f00c2a3fp-2, 0x1.b89f3ad180ee1p-2, 0x1.bf6aa560e5302p-2, 0x1.c5f1b372994dep-2, 0x1.cc314308cc2bcp-2, 0x1.d226b20977625p-2, 0x1.d7cfd5396245ep-2, 0x1.dd2aefadbca55p-2, 0x1.e236aabab4014p-2, 0x1.e6f20e6d84f09p-2, 0x1.eb5c7a70e6305p-2, 0x1.ef759f4925f7bp-2, 0x1.f33d77c0d0a92p-2, 0x1.f6b4428679ec6p-2, 0x1.f9da7c0959e1cp-2, 0x1.fcb0d8a21c1bbp-2, 0x1.ff383f198ae1fp-2, 0x1.00b8e1c581f33p-1, 0x1.01af514b506a6p-1, 0x1.02801e6f924bcp-1, 0x1.032c095d392bep-1, 0x1.03b3e00ebcd86p-1, 0x1.04187c5e2d277p-1, 0x1.045ac233deadfp-1, 0x1.047b9dd92d1ddp-1, 0x1.047c026cea408p-1, 0x1.045ce87e72216p-1, 0x1.041f4cc8304d7p-1, 0x1.03c42f0b15732p-1, 0x1.034c91023276ap-1, 0x1.02b9756e5c9c1p-1, 0x1.020bdf365924p-1, 0x1.0144d098ad7adp-1, 0x1.00654a6fdfd4ap-1, 0x1.fedc97129eb36p-2, 0x1.fcc1a01a48c31p-2, 0x1.fa7ba1efa752dp-2, 0x1.f80c874bbd039p-2, 0x1.f57632dd7e3d4p-2, 0x1.f2ba7e9d10a09p-2, 0x1.efdb3b3b4bef7p-2, 0x1.ecda2fa741426p-2, 0x1.e9b918a6d4f2fp-2, 0x1.e679a88a7b3d8p-2, 0x1.e31d86d1ec98ap-2, 0x1.dfa650145fb0dp-2, 0x1.dc1595c3547cbp-2, 0x1.d86cde0b62b4dp-2, 0x1.d4ada3cb56b78p-2, 0x1.d0d95681287fdp-2, 0x1.ccf15a4babf95p-2, 0x1.c8f70806c4653p-2, 0x1.c4ebad469718bp-2, 0x1.c0d08c76059fep-2, 0x1.bca6dd0fb7417p-2, 0x1.b86fcba07da43p-2, 0x1.b42c7a155a89cp-2, 0x1.afddffcda505fp-2, 0x1.ab8569e886e27p-2, 0x1.a723bb6bd9001p-2, 0x1.a2b9ed862ec03p-2, 0x1.9e48efb5b7adp-2, 0x1.99d1a82815196p-2, 0x1.9554f3d2f8167p-2, 0x1.90d3a6c331435p-2, 0x1.8c4e8c5bd5614p-2, 0x1.87c667867d3dfp-2, 0x1.833bf3093a723p-2, 0x1.7eafe1a88bae9p-2, 0x1.7a22de7b3566p-2, 0x1.75958d1c3e5c3p-2, 0x1.710889eb3fbb9p-2, 0x1.6c7c6a417787bp-2, 0x1.67f1bcbf0aa0fp-2, 0x1.6369096d5c767p-2, 0x1.5ee2d2071483bp-2, 0x1.5a5f922ea3132p-2, 0x1.55dfbf9fef136p-2, 0x1.5163ca68d905dp-2, 0x1.4cec1d1ba2dd4p-2, 0x1.48791d045c284p-2, 0x1.440b2a5575ad8p-2, 0x1.3fa2a05afcd6p-2, 0x1.3b3fd5a803b6ap-2, 0x1.36e31c4274ebp-2, 0x1.328cc1cf18b36p-2, 0x1.2e3d0fbc73d6cp-2, 0x1.29f44b6983e9cp-2, 0x1.25b2b64cff85fp-2, 0x1.21788e1d5d4c1p-2, 0x1.1d460cf37ac04p-2, 0x1.191b696dbac67p-2, 0x1.14f8d6d30404p-2, 0x1.10de8532fabaep-2, 0x1.0ccca1853ea26p-2, 0x1.08c355c9d9187p-2, 0x1.04c2c922f2cf1p-2, 0x1.00cb1ff429d56p-2, 0x1.f9b8f7f7ab9a4p-3, 0x1.f1edf8e1f1a8fp-3, 0x1.ea357c30f5431p-3, 0x1.e28fb6b94b091p-3, 0x1.dafcd8cfb3b2fp-3, 0x1.d37d0e7a58dd6p-3, 0x1.cc107f94d1fbap-3, 0x1.c4b74ff47b16ap-3, 0x1.bd719f97c5e6fp-3, 0x1.b63f8ad53ae2dp-3, 0x1.af212a7a29e96p-3, 0x1.a81693e7bd844p-3, 0x1.a11fd936b271p-3, 0x1.9a3d096252a9bp-3, 0x1.936e306b18bc5p-3, 0x1.8cb3576d75d7ap-3, 0x1.860c84bb0be29p-3, 0x1.7f79bbfc41071p-3, 0x1.78fafe52199b6p-3, 0x1.72904a71a44b1p-3, 0x1.6c399cb89c257p-3, 0x1.65f6ef425d599p-3, 0x1.5fc83a053285cp-3, 0x1.59ad72e8d0e0ep-3, 0x1.53a68de267ffap-3, 0x1.4db37d06e7979p-3, 0x1.47d4309defe6fp-3, 0x1.420897340f8d9p-3, 0x1.3c509daef25fep-3, 0x1.36ac2f6491e27p-3, 0x1.311b36311e8f1p-3, 0x1.2b9d9a860f286p-3, 0x1.26334374c15bap-3, 0x1.20dc16bca0dcep-3, 0x1.1b97f8e0788p-3, 0x1.1666cd3da394fp-3, 0x1.1148761a986ap-3, 0x1.0c3cd4ae39dcdp-3, 0x1.0743c9264357dp-3, 0x1.025d32b817deep-3, 0x1.fb11df6bbcc1ep-4, 0x1.f18dbb425b07ep-4, 0x1.e82db266c4e9ep-4, 0x1.def17cbfbb1p-4, 0x1.d5d8d0b5b4cddp-4, 0x1.cce36353d0115p-4, 0x1.c410e86ffdc77p-4, 0x1.bb6112c6aab6fp-4, 0x1.b2d39402ecf8cp-4, 0x1.aa681cbffe332p-4, 0x1.a21e5c9636c4p-4, 0x1.99f60238feab1p-4, 0x1.91eebb995d5a3p-4, 0x1.8a0835fb9781fp-4, 0x1.82421dfc96575p-4, 0x1.7a9c1f9202d87p-4, 0x1.7315e615d30bep-4, 0x1.6baf1c5d0c2e7p-4, 0x1.64676cd39a86cp-4, 0x1.5d3e81901b6afp-4, 0x1.5634045aa160fp-4, 0x1.4f479ead7493ep-4, 0x1.4878f9badb36p-4, 0x1.41c7be7d1842bp-4, 0x1.3b3395cc1e66bp-4, 0x1.34bc286fc9cd4p-4, 0x1.2e611f2917697p-4, 0x1.282222b491cabp-4, 0x1.21fedbcd24533p-4, 0x1.1bf6f334fe6adp-4, 0x1.160a11c4518c5p-4, 0x1.1037e078d2c58p-4, 0x1.0a800880dd5a6p-4, 0x1.04e23340cbcb7p-4, 0x1.febc14a9e00dcp-5, 0x1.f3e66f2affd7dp-5, 0x1.e942ca3ec938ep-5, 0x1.ded07abef0c9ap-5, 0x1.d48ed6391cfabp-5, 0x1.ca7d32fd6a409p-5, 0x1.c09ae8263229ap-5, 0x1.b6e74d9d3ca19p-5, 0x1.ad61bc238db68p-5, 0x1.a4098d5dfc7c5p-5, 0x1.9ade1be485c14p-5, 0x1.91dec35073576p-5, 0x1.890ae04686511p-5, 0x1.8061d07d356dfp-5, 0x1.77e2f2c1449d8p-5, 0x1.6f8da6fbb27f9p-5, 0x1.67614e3a4b317p-5, 0x1.5f5d4ab9e3c7cp-5, 0x1.5780ffefff31ep-5, 0x1.4fcbd2922d83ep-5, 0x1.483d289ada5c3p-5, 0x1.40d4694cb6dedp-5, 0x1.3990fd3678212p-5, 0x1.32724e381f4cap-5, 0x1.2b77c7890290fp-5, 0x1.24a0d5be0a29p-5, 0x1.1dece6cf950f2p-5, 0x1.175b6a1d700f4p-5, 0x1.10ebd070c369cp-5, 0x1.0a9d8bfdbc8e6p-5, 0x1.04701065afd24p-5, 0x1.fcc5a57418648p-6, 0x1.f0ea92ffee883p-6, 0x1.e54dd967ac4f5p-6, 0x1.d9ee6b98330eap-6, 0x1.cecb3f7653a56p-6, 0x1.c3e34de115d8ep-6, 0x1.b93592b2fa9e3p-6, 0x1.aec10cc2cc64ep-6, 0x1.a484bde4abe6p-6, 0x1.9a7faaeb53d65p-6, 0x1.90b0dba94e85ap-6, 0x1.87175af1e7f08p-6, 0x1.7db2369a11be7p-6, 0x1.74807f797179dp-6, 0x1.6b81496bb0ec2p-6, 0x1.62b3ab5167be4p-6, 0x1.5a16bf0ffe9e1p-6, 0x1.51a9a18fe308dp-6, 0x1.496b72b89c898p-6, 0x1.415b556b26a53p-6, 0x1.39786f7bb2c81p-6, 0x1.31c1e9ac4456dp-6, 0x1.2a36efa9bfbdp-6, 0x1.22d6b00d4d152p-6, 0x1.1ba05c60c2485p-6, 0x1.149329233c52ep-6, 0x1.0dae4dcb73febp-6, 0x1.06f104c514035p-6, 0x1.005a8b671f0b7p-6, 0x1.f3d443c7d80b9p-7, 0x1.e73e166bb31c9p-7, 0x1.daf11a1bbfb2p-7, 0x1.ceebdf9328664p-7, 0x1.c32cfce8c17d3p-7, 0x1.b7b30da884137p-7, 0x1.ac7cb2fbc9493p-7, 0x1.a18893d06ec4fp-7, 0x1.96d55ceb6a387p-7, 0x1.8c61c0d75ed03p-7, 0x1.822c77a9c8e25p-7, 0x1.78343ea7dd48ap-7, 0x1.6e77d7e1f2a43p-7, 0x1.64f609e4bb167p-7, 0x1.5bad9f9d2c923p-7, 0x1.529d687f23e32p-7, 0x1.49c438e903b82p-7, 0x1.4120eaa7544a3p-7, 0x1.38b25d6a62b55p-7, 0x1.307776fcb30ccp-7, 0x1.286f2317532eep-7, 0x1.209852cdb7eddp-7, 0x1.18f1fbaed1faap-7, 0x1.117b16d7dd68fp-7, 0x1.0a32a043ce357p-7, 0x1.03179698f1e8p-7, 0x1.f851f72915a74p-8, 0x1.eacbaa07c53bap-8, 0x1.dd9a5c0f2c51bp-8, 0x1.d0bc30757b21bp-8, 0x1.c42f58a877927p-8, 0x1.b7f213ed59e5ep-8, 0x1.ac02ad3c9233dp-8, 0x1.a05f77c7b1f9dp-8, 0x1.9506cb139958p-8, 0x1.89f6ffcfc4d01p-8, 0x1.7f2e6e783e64bp-8, 0x1.74ab705c14363p-8, 0x1.6a6c62f25efcbp-8, 0x1.606facad1a5b7p-8, 0x1.56b3c1edc4f54p-8, 0x1.4d3728934902cp-8, 0x1.43f878e0d0559p-8, 0x1.3af65b2eb02ebp-8, 0x1.322f82c3d0688p-8, 0x1.29a2a718ddf32p-8, 0x1.214e7d591d247p-8, 0x1.1931b40556be5p-8, 0x1.114af21e6a8afp-8, 0x1.0998da4e0a9f4p-8, 0x1.021a116781767p-8, 0x1.f59a8d33852adp-9, 0x1.e76276307672fp-9, 0x1.d9898e062d4a6p-9, 0x1.cc0db3fbf9419p-9, 0x1.beecee0d6258p-9, 0x1.b22558dd8a4ccp-9, 0x1.a5b513f6152ccp-9, 0x1.999a2f81eb09ap-9, 0x1.8dd2a06f7c59p-9, 0x1.825c3e4623c89p-9, 0x1.7734cb769b221p-9, 0x1.6c5a0635a663bp-9, 0x1.61c9bdb0391e9p-9, 0x1.5781e62e5e7c2p-9, 0x1.4d80a6db49c3bp-9, 0x1.43c45d725ea6ap-9, 0x1.3a4b96a93b961p-9, 0x1.3114fd2797ac9p-9, 0x1.281f4361d3a0ap-9, 0x1.1f690df014d36p-9, 0x1.16f0e3bac2702p-9, 0x1.0eb527ab9becep-9, 0x1.06b41d230c82ep-9, 0x1.fdd7ebc4ed29ap-10, 0x1.eeb5cbf07b143p-10, 0x1.dffe71b295f58p-10, 0x1.d1aec4f71d0edp-10, 0x1.c3c410767a1e3p-10, 0x1.b63bff0c96a41p-10, 0x1.a914863c6eeb1p-10, 0x1.9c4bc46bb142cp-10, 0x1.8fdfdbd38925cp-10, 0x1.83ced2b40c8a9p-10, 0x1.78167edb7fee4p-10, 0x1.6cb47f76e0b46p-10, 0x1.61a64567d4e9bp-10, 0x1.56e9282098c5dp-10, 0x1.4c7a82bc63d88p-10, 0x1.4257d2771bbap-10, 0x1.387ece0296829p-10, 0x1.2eed6e8a1c317p-10, 0x1.25a1e866b463ep-10, 0x1.1c9a986d6ffadp-10, 0x1.13d5ef189d86p-10, 0x1.0b5261894b5a8p-10, 0x1.030e6292de593p-10, 0x1.f610c08ccb7e5p-11, 0x1.e67d8262cf07dp-11, 0x1.d75fc0be77068p-11, 0x1.c8b418b8050dfp-11, 0x1.ba771d6892a7p-11, 0x1.aca578b13a2b7p-11, 0x1.9f3c0e89a9807p-11, 0x1.92380b5d021bcp-11, 0x1.8596cef54ce5ep-11, 0x1.7955bc07dc7c5p-11, 0x1.6d7209cc040d2p-11, 0x1.61e8b8c45f6cap-11, 0x1.56b6b80964341p-11, 0x1.4bd927e1d69aep-11, 0x1.414d8f2f97be6p-11, 0x1.3711e07dfc663p-11, 0x1.2d244c8be766ep-11, 0x1.23830732d2577p-11, 0x1.1a2c2c3cdff6dp-11, 0x1.111dd4f061749p-11, 0x1.085642f093f93p-11, 0x1.ffa7e27c0c543p-12, 0x1.ef2ae04c46869p-12, 0x1.df3231bb3eadfp-12, 0x1.cfb98864868edp-12, 0x1.c0bb69aad7c18p-12, 0x1.b2319eb8c4a97p-12, 0x1.a416221feee4dp-12, 0x1.96641c7e21ddp-12, 0x1.891864a490485p-12, 0x1.7c3133f15fbeep-12, 0x1.6fad43d125baap-12, 0x1.638afac1bda19p-12, 0x1.57c83e0e43283p-12, 0x1.4c62e799fcb81p-12, 0x1.4159510f09aap-12, 0x1.36aa649683e72p-12, 0x1.2c5515e4977c3p-12, 0x1.22579603a8ea6p-12, 0x1.18aebad82d10fp-12, 0x1.0f55f0d4f7255p-12, 0x1.0647c59e3858dp-12, 0x1.fafdb8f99a889p-13, 0x1.e9edea409884ep-13, 0x1.d95b20c4be70dp-13, 0x1.c9439f6d280ccp-13, 0x1.b9a729b47f469p-13, 0x1.aa84ee513c585p-13, 0x1.9bdaa262ab565p-13, 0x1.8da545f12a982p-13, 0x1.7fe28c92db3f6p-13, 0x1.72918f093060dp-13, 0x1.65b23f8a36e7bp-13, 0x1.5943f8e4ce22p-13, 0x1.4d440f5aea213p-13, 0x1.41ad5b7c04e8dp-13, 0x1.3678e9b17681bp-13, 0x1.2b9f2408b40e1p-13, 0x1.2118f511e08e8p-13, 0x1.16e0da37f90bap-13, 0x1.0cf39e6355179p-13, 0x1.035025194440fp-13, 0x1.f3ec8fa3c9434p-14, 0x1.e1cb33e106201p-14, 0x1.d039c692b68bbp-14, 0x1.bf34dd6b6b12ap-14, 0x1.aeb961f4ee5b3p-14, 0x1.9ec5b59624991p-14, 0x1.8f59f09c4f99ep-14, 0x1.8076225d67289p-14, 0x1.72178a189698ep-14, 0x1.6437e71071b4p-14, 0x1.56cf76c02a471p-14, 0x1.49d7037190d8cp-14, 0x1.3d483f33c048dp-14, 0x1.311d37151959dp-14, 0x1.25506ce84d865p-14, 0x1.19dd8bae16a99p-14, 0x1.0ec15d2dec588p-14, 0x1.03f956e9d099p-14, 0x1.f308489efcd18p-15, 0x1.dec3b381dafd6p-15, 0x1.cb2451ddbcb09p-15, 0x1.b825e54e119f5p-15, 0x1.a5c43c4ce4dbap-15, 0x1.93ff70b7254ccp-15, 0x1.82d7955abbfcap-15, 0x1.724680a15519p-15, 0x1.62419a9f45ccdp-15, 0x1.52bf90cc37719p-15, 0x1.43bb160b5e8fp-15, 0x1.353257f1c66a1p-15, 0x1.2724cdbc0a07ap-15, 0x1.199060c7be10bp-15, 0x1.0c6f9e5c3f91ap-15, 0x1.ff741d7ae0656p-16, 0x1.e6cb1a2af245ap-16, 0x1.ced3fcfd1903fp-16, 0x1.b78f898cdfe13p-16, 0x1.a10b21916fecep-16, 0x1.8b481c75657dcp-16, 0x1.763891b7afe33p-16, 0x1.61d7f97801176p-16, 0x1.4e2d67b04a738p-16, 0x1.3b3535ccecbfp-16, 0x1.28def1270277ep-16, 0x1.171ba9410bfdp-16, 0x1.05e3ac1fe309dp-16, 0x1.ea67aa45b03b3p-17, 0x1.ca1691aedcfbfp-17, 0x1.aad79b9c224aep-17, 0x1.8cb2c51b37dfbp-17, 0x1.6fac7e566792ep-17, 0x1.53bbcce862c29p-17, 0x1.38c596c9a58f3p-17, 0x1.1e9eaa7135409p-17, 0x1.052a021d0c5b5p-17, 0x1.d8fcf9ddf70a9p-18, 0x1.a9739387915c5p-18, 0x1.7b8be9d1fdf59p-18, 0x1.4f1a3fde783a4p-18, 0x1.24459acbd9f7p-18, 0x1.f63886bbc5913p-19, 0x1.a6df70206945p-19, 0x1.5a261ec27dfdfp-19, 0x1.0fe80306c73e4p-19, 0x1.903ae1038faaep-20, 0x1.0582f1e04bfeep-20, 0x1.fe4a2e80874afp-22, -0x1.ac9ec944c3539p-28, -0x1.f8eef6cf3114cp-22, -0x1.ec07d30af8b39p-21, -0x1.68f1a1c25f36bp-20, -0x1.d706c8928b411p-20, -0x1.203f35445a548p-19, -0x1.531a654153522p-19, -0x1.8468049457558p-19, -0x1.b3db4cf0b06a8p-19, -0x1.e162c1581f546p-19, -0x1.06a0465d4087dp-18, -0x1.1ba9c61d2c565p-18, -0x1.2fbcd19801319p-18, -0x1.42ede678debeap-18, -0x1.55576974e2386p-18, -0x1.670554e8aa0ddp-18, -0x1.77f9e80a47891p-18, -0x1.883587efc908cp-18, -0x1.97ba071968e3ep-18, -0x1.a68b2adc2843cp-18, -0x1.b4adfef79cba6p-18, -0x1.c2276e6ed01a9p-18, -0x1.cefaedd11335ap-18, -0x1.db2b218796a91p-18, -0x1.e6baa7864df2p-18, }}, 
      {{0x1.23c28d662f89ep+0, 0x1.356620111925bp+0, 0x1.4bfb76680552fp+0, 0x1.63f5bc862d428p+0, 0x1.7b04df706badbp+0, 0x1.8fba18c34f151p+0, 0x1.a14563e9be8fcp+0, 0x1.af458e64e2922p+0, 0x1.b9a58e7d6d2e3p+0, 0x1.c082ff4694c7p+0, 0x1.c41b829a294fcp+0, 0x1.c4bf69f744618p+0, 0x1.c2c8488d1ebccp+0, 0x1.be9267cd6e268p+0, 0x1.b8785bec931b9p+0, 0x1.b0d026467089fp+0, 0x1.a7e977b71b28dp+0, 0x1.9e0cc05f57751p+0, 0x1.937acf4064ep+0, 0x1.886cd420dac71p+0, 0x1.7d14a25bb632ap+0, 0x1.719d1c741b3ebp+0, 0x1.662ab7306903cp+0, 0x1.5adc081edafe1p+0, 0x1.4fca5726b634ap+0, 0x1.450a2d8614f33p+0, 0x1.3aabde9c5acf9p+0, 0x1.30bc0854a6602p+0, 0x1.27440a0cd02cfp+0, 0x1.1e4a718d449a8p+0, 0x1.15d35e1d17375p+0, 0x1.0de0da05fd33bp+0, 0x1.06732b0558fcep+0, 0x1.ff12347b903b3p-1, 0x1.f240688d43c14p-1, 0x1.e66a03f2c42e2p-1, 0x1.db867533a808p-1, 0x1.d18bdfe04b7f1p-1, 0x1.c86f69c7c4e1cp-1, 0x1.c0257e3e42922p-1, 0x1.b8a2086d868dfp-1, 0x1.b1d8a593e5ce6p-1, 0x1.abbcd00df78adp-1, 0x1.a64203e802e4bp-1, 0x1.a15bdda788026p-1, 0x1.9cfe33fdddfa9p-1, 0x1.991d2ce070519p-1, 0x1.95ad4ea7678cap-1, 0x1.92a38d9a10403p-1, 0x1.8ff556593d089p-1, 0x1.8d9895abfb1dap-1, 0x1.8b83bdb25b25p-1, 0x1.89adc980a304fp-1, 0x1.880e3e3e482e9p-1, 0x1.869d2be4a25efp-1, 0x1.85532b1fd0d69p-1, 0x1.84295c53054p-1, 0x1.831962d9f845p-1, 0x1.821d633afa396p-1, 0x1.812ffc5aecdbbp-1, 0x1.804c4563312d7p-1, 0x1.7f6dc5cb266c7p-1, 0x1.7e90728b163ffp-1, 0x1.7db0a655c5361p-1, 0x1.7ccb1d6a301fp-1, 0x1.7bdcef5d3bb3cp-1, 0x1.7ae389773e446p-1, 0x1.79dca9af6baa2p-1, 0x1.78c658a59c61dp-1, 0x1.779ee4fa5a70dp-1, 0x1.7664de2278b0fp-1, 0x1.75170fdbfb538p-1, 0x1.73b47da96a679p-1, 0x1.723c5e74b7b6ap-1, 0x1.70ae186a44d4fp-1, 0x1.6f093d1a2ebd6p-1, 0x1.6d4d85e45e2b2p-1, 0x1.6b7ad0a127b92p-1, 0x1.69911c77031eap-1, 0x1.679086c901cddp-1, 0x1.6579483d28d74p-1, 0x1.634bb1e378fbp-1, 0x1.61082a88dbf5ap-1, 0x1.5eaf2c3e6df16p-1, 0x1.5c414216d41adp-1, 0x1.59bf060e3bc65p-1, 0x1.57291f1a451b8p-1, 0x1.54803f508e6adp-1, 0x1.51c522267f1abp-1, 0x1.4ef88ac80b34ep-1, 0x1.4c1b4288531cap-1, 0x1.492e17762a874p-1, 0x1.4631db1168772p-1, 0x1.4327612735aedp-1, 0x1.400f7eceed2c7p-1, 0x1.3ceb098656349p-1, 0x1.39bad66467ef7p-1, 0x1.367fb96147ea5p-1, 0x1.333a84ad8ceacp-1, 0x1.2fec0817cc7ebp-1, 0x1.2c95107f99cc9p-1, 0x1.2936675727be8p-1, 0x1.25d0d233d8a44p-1, 0x1.2265126d2dacep-1, 0x1.1ef3e4cccaeaep-1, 0x1.1b7e014c5eb97p-1, 0x1.18041ae0ed304p-1, 0x1.1486df52e0e15p-1, 0x1.1106f71fc14fbp-1, 0x1.0d850563f062ep-1, 0x1.0a01a7cc15571p-1, 0x1.067d768b5f7c9p-1, 0x1.02f9045671467p-1, 0x1.fee9bcc5ec98ap-2, 0x1.f7e318d4dfe7fp-2, 0x1.f0df2161bbcf7p-2, 0x1.e9ded01d8993p-2, 0x1.e2e313fe6ece9p-2, 0x1.dbecd161f400dp-2, 0x1.d4fce23436afdp-2, 0x1.ce14161fb3e58p-2, 0x1.c73332c09f4efp-2, 0x1.c05af3da66b5cp-2, 0x1.b98c0b9654664p-2, 0x1.b2c722bebe03ep-2, 0x1.ac0cd8ff6474dp-2, 0x1.a55dc5288f88p-2, 0x1.9eba756f5fce4p-2, 0x1.98236faf7be49p-2, 0x1.919931b09adddp-2, 0x1.8b1c31661a4fdp-2, 0x1.84acdd305c02ep-2, 0x1.7e4b9c1f4576fp-2, 0x1.77f8ce3221956p-2, 0x1.71b4cc961db54p-2, 0x1.6b7fe9e43dd7p-2, 0x1.655a7261ad2bdp-2, 0x1.5f44ac39f0069p-2, 0x1.593ed7b962541p-2, 0x1.53492f8a46b41p-2, 0x1.4d63e8ede90ep-2, 0x1.478f33f122f53p-2, 0x1.41cb3ba5c8912p-2, 0x1.3c182658fc1ecp-2, 0x1.367615c43bae1p-2, 0x1.30e527408d27cp-2, 0x1.2b6573f9161bfp-2, 0x1.25f711195c2d8p-2, 0x1.209a0ffa890bcp-2, 0x1.1b4e7e514b6d8p-2, 0x1.161466584bf61p-2, 0x1.10ebcef91cdf2p-2, 0x1.0bd4bbf53826cp-2, 0x1.06cf2e0c45168p-2, 0x1.01db23208f8ebp-2, 0x1.f9f12cb78e033p-3, 0x1.f04f00a391deap-3, 0x1.e6cfae4173895p-3, 0x1.dd731d2290c67p-3, 0x1.d439306ca4e74p-3, 0x1.cb21c71384dedp-3, 0x1.c22cbc111492cp-3, 0x1.b959e69dec189p-3, 0x1.b0a91a657058ap-3, 0x1.a81a27b6a72ecp-3, 0x1.9facdbb5cb4c1p-3, 0x1.9761008d695ap-3, 0x1.8f365d98a5cf5p-3, 0x1.872cb78bfdfbcp-3, 0x1.7f43d0a1aad38p-3, 0x1.777b68c44f708p-3, 0x1.6fd33db19b88bp-3, 0x1.684b0b1b5f6dfp-3, 0x1.60e28acdd9f05p-3, 0x1.599974d5c447fp-3, 0x1.526f7f9e25176p-3, 0x1.4b64600a996e7p-3, 0x1.4477c99637991p-3, 0x1.3da96e74efa5ap-3, 0x1.36f8ffaf327d4p-3, 0x1.30662d37f207ap-3, 0x1.29f0a6044946dp-3, 0x1.239818267b6eap-3, 0x1.1d5c30e70badep-3, 0x1.173c9cd986d13p-3, 0x1.113907efa168ap-3, 0x1.0b511d8ddffd9p-3, 0x1.058488a06b44p-3, 0x1.ffa5e75a081f2p-4, 0x1.f47811c912ab5p-4, 0x1.e97ee4690df66p-4, 0x1.deb9b2b050204p-4, 0x1.d427cfccd9c01p-4, 0x1.c9c88ebe6a1fep-4, 0x1.bf9b4274d46dbp-4, 0x1.b59f3df10d932p-4, 0x1.abd3d46036bb6p-4, 0x1.a238592dea203p-4, 0x1.98cc2015715a5p-4, 0x1.8f8e7d3ad323ep-4, 0x1.867ec54911aa9p-4, 0x1.7d9c4d8a2b55ep-4, 0x1.74e66bf3c2bb6p-4, 0x1.6c5c772fd27ep-4, 0x1.63fdc6ad88ab8p-4, 0x1.5bc9b2bae4c04p-4, 0x1.53bf949cb3805p-4, 0x1.4bdec69ae577fp-4, 0x1.4426a403f2fb2p-4, 0x1.3c9689335baap-4, 0x1.352dd3a2cb56cp-4, 0x1.2debe2007ef6dp-4, 0x1.26d0143f3e1dap-4, 0x1.1fd9cb9acfd6fp-4, 0x1.19086a97792c6p-4, 0x1.125b550754967p-4, 0x1.0bd1f01932de8p-4, 0x1.056ba26a11d2ep-4, 0x1.fe4fa81edc8a8p-5, 0x1.f20bdd300250ep-5, 0x1.e60aba12a7ef2p-5, 0x1.da4b17c5c24ffp-5, 0x1.cecbd2519860fp-5, 0x1.c38bc8e16dc19p-5, 0x1.b889ddd256cdap-5, 0x1.adc4f6b285e09p-5, 0x1.a33bfc3a2f3f8p-5, 0x1.98edda4b5fee3p-5, 0x1.8ed97ffe04ab9p-5, 0x1.84fddfb18f43dp-5, 0x1.7b59ef18a31fdp-5, 0x1.71eca739121abp-5, 0x1.68b504643192p-5, 0x1.5fb20631263f1p-5, 0x1.56e2af7fa440ep-5, 0x1.4e4606817292ap-5, 0x1.45db14c33e3bep-5, 0x1.3da0e72e3db67p-5, 0x1.35968e022e515p-5, 0x1.2dbb1cccb9a65p-5, 0x1.260daa64959cbp-5, 0x1.1e8d50eade9fap-5, 0x1.17392dcf7cd0ep-5, 0x1.101061d33913ap-5, 0x1.0912110471ae1p-5, 0x1.023d62b734977p-5, 0x1.f72302f8fbbf7p-6, 0x1.ea1b3638dd8cdp-6, 0x1.dd61c12907419p-6, 0x1.d0f50c2ef3a16p-6, 0x1.c4d3861733719p-6, 0x1.b8fba40aad5a3p-6, 0x1.ad6be17ddda04p-6, 0x1.a222c01e6e42p-6, 0x1.971ec7c465626p-6, 0x1.8c5e86688390cp-6, 0x1.81e0901da6022p-6, 0x1.77a37f08d1645p-6, 0x1.6da5f3550c45fp-6, 0x1.63e69322afb4p-6, 0x1.5a640a74b1ee7p-6, 0x1.511d0b1eec53p-6, 0x1.48104cb7ad01ep-6, 0x1.3f3c8c8c077d4p-6, 0x1.36a08d94cedffp-6, 0x1.2e3b1869e7c16p-6, 0x1.260afb32babeep-6, 0x1.1e0f09941b679p-6, 0x1.16461c9d7e883p-6, 0x1.0eaf12b73c922p-6, 0x1.0748cf92d71b1p-6, 0x1.00123c1ce493fp-6, 0x1.f2148cde9b3fep-7, 0x1.e45fc38529aabp-7, 0x1.d7040cbb493aep-7, 0x1.c9ff6308888aep-7, 0x1.bd4fcaca15c1dp-7, 0x1.b0f3520f19288p-7, 0x1.a4e81076dec5p-7, 0x1.992c2710b70fcp-7, 0x1.8dbdc03c9b494p-7, 0x1.829b0f8b981bap-7, 0x1.77c2519f99339p-7, 0x1.6d31cc0aaf261p-7, 0x1.62e7cd2e5f306p-7, 0x1.58e2ac1b0272ap-7, 0x1.4f20c86f52341p-7, 0x1.45a08a37d9459p-7, 0x1.3c6061cd92015p-7, 0x1.335ec7b38ddb3p-7, 0x1.2a9a3c73edde7p-7, 0x1.2211487d7058ep-7, 0x1.19c27c02f519bp-7, 0x1.11ac6ede2e29fp-7, 0x1.09cdc07516d2bp-7, 0x1.022517a0ed621p-7, 0x1.f5624528c24e3p-8, 0x1.e6e12d7d32df5p-8, 0x1.d8c461524faap-8, 0x1.cb0967a20d40cp-8, 0x1.bdadd4f9d6f8p-8, 0x1.b0af4b29c92f2p-8, 0x1.a40b78ffb5db3p-8, 0x1.97c01a142ac87p-8, 0x1.8bcaf6aad69b1p-8, 0x1.8029e39fe77f3p-8, 0x1.74dac25657219p-8, 0x1.69db8097b690bp-8, 0x1.5f2a185946c77p-8, 0x1.54c48f61d82bep-8, 0x1.4aa8f6d75dbdbp-8, 0x1.40d56ac58f08bp-8, 0x1.374811b5648a3p-8, 0x1.2dff1c6b8365fp-8, 0x1.24f8c5d96f9ebp-8, 0x1.1c33533d57376p-8, 0x1.13ad145a558ebp-8, 0x1.0b6463a6f4128p-8, 0x1.0357a64d4b76dp-8, 0x1.f70a97c72f518p-9, 0x1.e7d79bb2f9f0dp-9, 0x1.d9135d5ff3737p-9, 0x1.cabaf25243ae1p-9, 0x1.bccb7f4aa1a2ap-9, 0x1.af4237b96ebbbp-9, 0x1.a21c5e164f593p-9, 0x1.9557450010c8bp-9, 0x1.88f050c2cd09cp-9, 0x1.7ce4f8b2d3895p-9, 0x1.7132c7c7164adp-9, 0x1.65d75c0c9bd5ep-9, 0x1.5ad064e179e43p-9, 0x1.501ba0482dba9p-9, 0x1.45b6d7fa9665bp-9, 0x1.3b9fdf0a5fe84p-9, 0x1.31d490c4af7dbp-9, 0x1.2852d13c99becp-9, 0x1.1f188f65fc734p-9, 0x1.1623c829bc8bap-9, 0x1.0d72898496c3dp-9, 0x1.0502f4a710afcp-9, 0x1.f9a67c8a98c1ep-10, 0x1.e9c359807e03ap-10, 0x1.da5928e738012p-10, 0x1.cb64a60df1229p-10, 0x1.bce295fa14093p-10, 0x1.aecfc17d4d86fp-10, 0x1.a128f407eb05fp-10, 0x1.93eaffb67d39dp-10, 0x1.8712c5a69a246p-10, 0x1.7a9d40553bf5cp-10, 0x1.6e878d18bf512p-10, 0x1.62cef1e196435p-10, 0x1.5770dd531655bp-10, 0x1.4c6ae0c8417f1p-10, 0x1.41baa587b3f1bp-10, 0x1.375ddfd3e2b86p-10, 0x1.2d52432d6f551p-10, 0x1.23957adb7a786p-10, 0x1.1a2528b43ca9bp-10, 0x1.10feea7db0171p-10, 0x1.082064872c33cp-10, 0x1.ff0e9d821c1d1p-11, 0x1.ee6301d04c6b4p-11, 0x1.de39f5066d406p-11, 0x1.ce8fc8f31fe99p-11, 0x1.bf611764a4375p-11, 0x1.b0aaac05e92cap-11, 0x1.a269686b1b1bfp-11, 0x1.949a294c12dc1p-11, 0x1.8739b369743bdp-11, 0x1.7a44ac6346975p-11, 0x1.6db7a0b570d65p-11, 0x1.618f14f51d987p-11, 0x1.55c79de723d29p-11, 0x1.4a5df981828c8p-11, 0x1.3f4f22a782dedp-11, 0x1.34985ab9181ecp-11, 0x1.2a3726c215b54p-11, 0x1.2029417f93fbep-11, 0x1.166c866398d9ap-11, 0x1.0cfedb1ac4d0bp-11, 0x1.03de1cb12bbc4p-11, 0x1.f61027a6cdcp-12, 0x1.e4f4e35f65a3ep-12, 0x1.d465aaaba9dcap-12, 0x1.c45db05c48b4p-12, 0x1.b4d83dd998068p-12, 0x1.a5d0d60553d3p-12, 0x1.97434f53b7887p-12, 0x1.892bdcfa5c589p-12, 0x1.7b87050f69e2ep-12, 0x1.6e51897743eeap-12, 0x1.61884e82c09f4p-12, 0x1.552848a5f8e9ap-12, 0x1.492e7401fd1f8p-12, 0x1.3d97d1b3a3038p-12, 0x1.3261652d666efp-12, 0x1.27883030c087dp-12, 0x1.1d0931e1407a9p-12, 0x1.12e16f0e93e09p-12, 0x1.090e043ea4e34p-12, 0x1.ff18722279bc8p-13, 0x1.ecb310044a3b9p-13, 0x1.dae724f338b7ap-13, 0x1.c9b00b38041f8p-13, 0x1.b9090025bb212p-13, 0x1.a8ed16287cf13p-13, 0x1.99575c1fec93ap-13, 0x1.8a4325157c24ap-13, 0x1.7bac421354103p-13, 0x1.6d8f076c180fep-13, 0x1.5fe81b0ac9d75p-13, 0x1.52b43398bd8c3p-13, 0x1.45effa25864f5p-13, 0x1.3998208bf2fdep-13, 0x1.2da98f2a6eafep-13, 0x1.22217729364p-13, 0x1.16fd2c3e613b2p-13, 0x1.0c39d3c7a58c6p-13, 0x1.01d4178700efdp-13, 0x1.ef901e4cdba53p-14, 0x1.dc22f711a1944p-14, 0x1.c95886fec6343p-14, 0x1.b729eeeb8290fp-14, 0x1.a592264ebb79cp-14, 0x1.948da8f9ecfd4p-14, 0x1.841987da7b462p-14, 0x1.74328b19e4494p-14, 0x1.64d500cef5423p-14, 0x1.55fd36a360478p-14, 0x1.47a80984fc69p-14, 0x1.39d2f675836aep-14, 0x1.2c7b8f654212cp-14, 0x1.1f9eaa27afda4p-14, 0x1.1337c63ff441p-14, 0x1.074101bff7d2fp-14, 0x1.f76754ec7e971p-15, 0x1.e11270c86c975p-15, 0x1.cb78ace655b45p-15, 0x1.b6930848509ep-15, 0x1.a25ddddec62f9p-15, 0x1.8ed718e74800ep-15, 0x1.7bfc1ac50d487p-15, 0x1.69c8d718ebc97p-15, 0x1.58389a53e7113p-15, 0x1.474771847a60cp-15, 0x1.36f2d8e0fca66p-15, 0x1.27392f06b0201p-15, 0x1.181846f2e0401p-15, 0x1.098bfcfbd409bp-15, 0x1.f71b89dc727a8p-16, 0x1.dc2ab93f8b0ebp-16, 0x1.c233f27aab6c5p-16, 0x1.a926d58b189adp-16, 0x1.90f64eb7e76acp-16, 0x1.7999f12054efbp-16, 0x1.630d77a65380fp-16, 0x1.4d4e7f54bc6b6p-16, 0x1.385a21258e389p-16, 0x1.242bf926a3352p-16, 0x1.10bec6156da42p-16, 0x1.fc1b52a7a9a2fp-17, 0x1.d82a70cc1b863p-17, 0x1.b5a76e322eecfp-17, 0x1.948edc8dcaeffp-17, 0x1.74d80b089324bp-17, 0x1.5673b35e48be2p-17, 0x1.394fc6a7aff5ep-17, 0x1.1d5b5d697a22ap-17, 0x1.02876fa31496ap-17, 0x1.d18bae2c00b7cp-18, 0x1.a0130b291927bp-18, 0x1.708f9e559aa68p-18, 0x1.42f07d7511bb2p-18, 0x1.1727489eb6775p-18, 0x1.da543c311a006p-19, 0x1.89e8e87317d81p-19, 0x1.3d01086b2ef2dp-19, 0x1.e707b5bfb899ep-20, 0x1.5ab1cb053b61ap-20, 0x1.a9deec4d232bp-21, 0x1.56c136e2a3151p-22, -0x1.1a4bbbbb7dd5dp-23, -0x1.2cb76e7f88278p-21, -0x1.03da6304e1172p-20, -0x1.6bfb707d01bfcp-20, -0x1.cedb19339362dp-20, -0x1.1646007d26a75p-19, -0x1.4295e2be13235p-19, -0x1.6c77e640e7bb4p-19, -0x1.94113c28bdc2p-19, -0x1.b98caa54ab0f8p-19, -0x1.dd0d5e0ebc286p-19, -0x1.fe980476e370dp-19, -0x1.0f0d50a42989cp-18, -0x1.1dcc541573761p-18, -0x1.2b985eba9ed29p-18, -0x1.387859e9a37e2p-18, -0x1.4468c23483286p-18, -0x1.4f6f8e11a3ea4p-18, -0x1.599dff051bf66p-18, -0x1.6303e36c3a264p-18, -0x1.6baa84278b2f5p-18, -0x1.73971203a690fp-18, -0x1.7accb03f1e965p-18, -0x1.814c2d96c8573p-18, -0x1.871465a3ebc56p-18, -0x1.8c25c114dcf53p-18, -0x1.908680f9537c6p-18, -0x1.9444b8f65ee7p-18, -0x1.97754cff7239ap-18, -0x1.9a26d0ea1d8bbp-18, -0x1.9c5157e2cb1cdp-18, -0x1.9dea0ebe96fa6p-18, -0x1.9efc71f8fdbafp-18, -0x1.9f93e50a6598ap-18, -0x1.9fa9e9981899ap-18, -0x1.9f3d54de1dbb8p-18, -0x1.9e5a01f7d7574p-18, -0x1.9d0b5c8f1f7aap-18, -0x1.9b570a1607ea5p-18, -0x1.993f90c02462ep-18, -0x1.96c72615e880ep-18, -0x1.93f09a7e16629p-18, -0x1.90bec03b8c6a9p-18, -0x1.8d334480265efp-18, -0x1.894e88705667bp-18, -0x1.8511180289d26p-18, -0x1.807ca06424b26p-18, -0x1.7b95cc18bb82dp-18, -0x1.7669a64ebb5b3p-18, -0x1.710249e3d72fdp-18, -0x1.6b590d910faa6p-18, -0x1.656d83d679ad7p-18, -0x1.5f47f7c4f584ap-18, -0x1.58e6459a7ad9fp-18, -0x1.524634ac7414dp-18, -0x1.4b6d5d868a639p-18, -0x1.44628012b3542p-18, -0x1.3d2950fa3bb8bp-18, -0x1.35c37bc1372d5p-18, -0x1.2e32464443b62p-18, -0x1.26773d0a3fba5p-18, -0x1.1e944d9ed75cp-18, -0x1.168ba2b969c42p-18, -0x1.0e5f5a799ececp-18, -0x1.06114041695d8p-18, -0x1.fb45dd5927cadp-19, -0x1.ea2bf40c10431p-19, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.c3af61c599cd7p-1, -0x1.c3873b7e6dccp-1, -0x1.c3434dfc2d207p-1, -0x1.c2e226ef2689ap-1, -0x1.c261df302e44fp-1, -0x1.c1c03250c873ap-1, -0x1.c0fa96c7d6244p-1, -0x1.c00e555e3bdb2p-1, -0x1.bef89efcce9a1p-1, -0x1.bdb6a0578d644p-1, -0x1.bc459332b563ep-1, -0x1.baa2cd2b8cefp-1, -0x1.b8cbcc0ddac7ep-1, -0x1.b6be3fd3a9ce8p-1, -0x1.b478127a177b1p-1, -0x1.b1f76ddd6f642p-1, -0x1.af3abfd2698a2p-1, -0x1.ac40bcb30ff09p-1, -0x1.a90860947fd61p-1, -0x1.a590ef581c265p-1, -0x1.a1d9f3c73b37fp-1, -0x1.9de33de456868p-1, -0x1.99ace09885a8dp-1, -0x1.95372edfbdda1p-1, -0x1.9082b89226007p-1, -0x1.8b9046e4cfacbp-1, -0x1.8660d8b8723a7p-1, -0x1.80f59ec95aa8ap-1, -0x1.7b4ff7d0b17e4p-1, -0x1.75716ca474313p-1, -0x1.6f5bac610e561p-1, -0x1.691088a566508p-1, -0x1.6291f1e84f34bp-1, -0x1.5be1f3ecc26bep-1, -0x1.5502b258ee29dp-1, -0x1.4df66572fa7aap-1, -0x1.46bf570580e0cp-1, -0x1.3f5fdf6ce1251p-1, -0x1.37da62ce02f0dp-1, -0x1.30314e768826dp-1, -0x1.2867166614117p-1, -0x1.207e32fff0df5p-1, -0x1.18791ee424d78p-1, -0x1.105a54eed3adcp-1, -0x1.08244e5ca7d3ep-1, -0x1.ffb30225d7b65p-2, -0x1.eef8bc13c47b9p-2, -0x1.de1e9fafd8a6bp-2, -0x1.cd2972b81141bp-2, -0x1.bc1de90c5c909p-2, -0x1.ab00a2782fcb8p-2, -0x1.99d628b21f6c6p-2, -0x1.88a2ed8eae817p-2, -0x1.776b4963aa6f8p-2, -0x1.663379996892p-2, -0x1.54ff9f67663d8p-2, -0x1.43d3beb9cdde4p-2, -0x1.32b3bd3d89bf6p-2, -0x1.21a36190a1403p-2, -0x1.10a65294a60bdp-2, -0x1.ff802dc245c0dp-3, -0x1.dde828a801efap-3, -0x1.bc8b1f7bea963p-3, -0x1.9b6f59523b8ep-3, -0x1.7a9ada7005b29p-3, -0x1.5a136436a2d0ep-3, -0x1.39de75394452cp-3, -0x1.1a01497994d4cp-3, -0x1.f501b590d2781p-4, -0x1.b6c3c28f5033fp-4, -0x1.7951a8157b829p-4, -0x1.3cb3d3a600beep-4, -0x1.00f233cb26a07p-4, -0x1.8c2873e1d3c89p-5, -0x1.1841b8d205374p-5, -0x1.4c7a625269102p-6, -0x1.b13752fbdc5e3p-8, 0x1.bfafb453b855bp-8, 0x1.481e600788caep-6, 0x1.0e1b5eb5a1026p-5, 0x1.7611f825d283p-5, 0x1.dbeb453756e18p-5, 0x1.1fd02e475fd6bp-4, 0x1.50958e6fc3a24p-4, 0x1.804313939d835p-4, 0x1.aed66c6d85509p-4, 0x1.dc4da3060564bp-4, 0x1.04538ce17ef01p-3, 0x1.19f0c43b1c2a4p-3, 0x1.2efdfcb6618e7p-3, 0x1.437ae34063e3fp-3, 0x1.57674b1789fdp-3, 0x1.6ac32c58fbba8p-3, 0x1.7d8ea2912d1c6p-3, 0x1.8fc9eb5030e37p-3, 0x1.a17564c247c28p-3, 0x1.b2918c4d1a11ap-3, 0x1.c31efd320c9bp-3, 0x1.d31e6f3613e6cp-3, 0x1.e290b54f4478dp-3, 0x1.f176bc587fe28p-3, 0x1.ffd189cb744f3p-3, 0x1.06d11d4090c8p-2, 0x1.0d7500bc925fcp-2, 0x1.13d51353f03c7p-2, 0x1.19f202e5d7b06p-2, 0x1.1fcc86a49bf01p-2, 0x1.25655e877cd72p-2, 0x1.2abd52c0104efp-2, 0x1.2fd5333354ed7p-2, 0x1.34add6f673f66p-2, 0x1.39481bcf2c24ap-2, 0x1.3da4e5b7eee95p-2, 0x1.41c51e67a04bbp-2, 0x1.45a9b4dd02349p-2, 0x1.49539cedbc32bp-2, 0x1.4cc3ced8fa6f8p-2, 0x1.4ffb46dd9f6f9p-2, 0x1.52fb04d3f462cp-2, 0x1.55c40bcade2cfp-2, 0x1.585761a8777c3p-2, 0x1.5ab60ece15a5p-2, 0x1.5ce11dbf9e508p-2, 0x1.5ed99ace27d5bp-2, 0x1.60a093c5d1539p-2, 0x1.6237179ec6acp-2, 0x1.639e3631616c4p-2, 0x1.64d6ffed5185ep-2, 0x1.65e28593c9e32p-2, 0x1.66c1d7f4919cdp-2, 0x1.677607adf79f1p-2, 0x1.680024ef8d77cp-2, 0x1.68613f3fa4082p-2, 0x1.689a65436adf4p-2, 0x1.68aca489b3ffep-2, 0x1.6899095839538p-2, 0x1.68609e7b62074p-2, 0x1.68046d186e518p-2, 0x1.67857c81ff113p-2, 0x1.66e4d20ee2d96p-2, 0x1.662370f3215f2p-2, 0x1.65425a1b2ca8ep-2, 0x1.64428c092baf3p-2, 0x1.632502b4528dcp-2, 0x1.61eab76a32b94p-2, 0x1.6094a0b1f91b9p-2, 0x1.5f23b23184f9ep-2, 0x1.5d98dc9454917p-2, 0x1.5bf50d742981ep-2, 0x1.5a392f436505ep-2, 0x1.5866293902773p-2, 0x1.567cdf3e2d7b4p-2, 0x1.547e31dd5ac64p-2, 0x1.526afe32dffp-2, 0x1.50441ddef6906p-2, 0x1.4e0a66f924eb4p-2, 0x1.4bbeac04f46c3p-2, 0x1.4961bbe7f8958p-2, 0x1.46f461e10aadbp-2, 0x1.44776580be201p-2, 0x1.41eb8aa2f1dbdp-2, 0x1.3f51916983179p-2, 0x1.3caa363809b89p-2, 0x1.39f631b09ada5p-2, 0x1.373638b185957p-2, 0x1.346afc53ff07ap-2, 0x1.319529ebb22d2p-2, 0x1.2eb56b072c82bp-2, 0x1.2bcc65711dc22p-2, 0x1.28dabb325c374p-2, 0x1.25e10a94afdf3p-2, 0x1.22dfee264adp-2, 0x1.1fd7fcbdf9e7cp-2, 0x1.1cc9c97ff19dp-2, 0x1.19b5e3e3409d9p-2, 0x1.169cd7b7d23e6p-2, 0x1.137f2d2d004bap-2, 0x1.105d68d8aef2p-2, 0x1.0d380bbedfd82p-2, 0x1.0a0f9359c5337p-2, 0x1.06e479a2417eep-2, 0x1.03b73518d0bf2p-2, 0x1.008838ced921bp-2, 0x1.faafe8e0a9c6bp-3, 0x1.f44da89bb126p-3, 0x1.edea82cdc911fp-3, 0x1.e78742e90f77ap-3, 0x1.e124ade88adccp-3, 0x1.dac382667629p-3, 0x1.d46478b30bf9cp-3, 0x1.ce0842ebb3992p-3, 0x1.c7af8d129944fp-3, 0x1.c15afd269ca94p-3, 0x1.bb0b333b9128ap-3, 0x1.b4c0c992c6455p-3, 0x1.ae7c54b3cd9cep-3, 0x1.a83e63857d952p-3, 0x1.a2077f671b9e9p-3, 0x1.9bd82c49b5f62p-3, 0x1.95b0e8c998ab9p-3, 0x1.8f922e47e1718p-3, 0x1.897c710423425p-3, 0x1.8370203615744p-3, 0x1.7d6da6274e3dbp-3, 0x1.7775684cfb75ep-3, 0x1.7187c76191a9cp-3, 0x1.6ba51f7e7a4edp-3, 0x1.65cdc835ab17ep-3, 0x1.600214ab2c92dp-3, 0x1.5a4253ae82dfp-3, 0x1.548ecfd400655p-3, 0x1.4ee7cf8df01aap-3, 0x1.494d95459d73ap-3, 0x1.43c05f74305e9p-3, 0x1.3e4068bb5e21fp-3, 0x1.38cde7fde737dp-3, 0x1.33691077e3056p-3, 0x1.2e1211d6d5098p-3, 0x1.28c9185182b5fp-3, 0x1.238e4cbf9563cp-3, 0x1.1e61d4b0f5e86p-3, 0x1.1943d284e632fp-3, 0x1.14346580e1bc5p-3, 0x1.0f33a9e725208p-3, 0x1.0a41b90d04759p-3, 0x1.055ea970e1c22p-3, 0x1.008a8ecfeb281p-3, 0x1.f78af476fceccp-4, 0x1.ee1ef45c903c1p-4, 0x1.e4d135421b6c8p-4, 0x1.dba1ca3e4d65ep-4, 0x1.d290c1b554acfp-4, 0x1.c99e25808614cp-4, 0x1.c0c9fb156c249p-4, 0x1.b81443ac24cfap-4, 0x1.af7cfc6519cebp-4, 0x1.a7041e6e0e555p-4, 0x1.9ea99f268221ap-4, 0x1.966d70436d3f4p-4, 0x1.8e4f7ff24bb0dp-4, 0x1.864fb8fb7ba48p-4, 0x1.7e6e02e3f72b6p-4, 0x1.76aa420e5b349p-4, 0x1.6f0457db4686dp-4, 0x1.677c22c90b179p-4, 0x1.60117e92b6d9dp-4, 0x1.58c4444e70522p-4, 0x1.51944a8b2a75cp-4, 0x1.4a81656db1696p-4, 0x1.438b66cd0a513p-4, 0x1.3cb21e4e33649p-4, 0x1.35f5597f38a8ap-4, 0x1.2f54e3f1a72bbp-4, 0x1.28d087545c786p-4, 0x1.22680b8cb42f6p-4, 0x1.1c1b36cf155d7p-4, 0x1.15e9cdb6e1233p-4, 0x1.0fd3935dc38f5p-4, 0x1.09d849726d2dfp-4, 0x1.03f7b04eaabecp-4, 0x1.fc630e19dbcacp-5, 0x1.f10b173a73f5ep-5, 0x1.e5e6f5b2fd5f4p-5, 0x1.daf62132bf332p-5, 0x1.d0380f8adc4c3p-5, 0x1.c5ac34d3a2597p-5, 0x1.bb520390c7a2ep-5, 0x1.b128ecd48f542p-5, 0x1.a7306061e1ac8p-5, 0x1.9d67cccd56abap-5, 0x1.93ce9f9d3557bp-5, 0x1.8a64456878d9fp-5, 0x1.812829f4ce141p-5, 0x1.7819b8539a366p-5, 0x1.6f385afe09a3ap-5, 0x1.66837bf02f399p-5, 0x1.5dfa84c337837p-5, 0x1.559cdec6aa35p-5, 0x1.4d69f318d39d2p-5, 0x1.45612abe44d2dp-5, 0x1.3d81eeb87df68p-5, 0x1.35cba81bba6fbp-5, 0x1.2e3dc023f2278p-5, 0x1.26d7a049074d6p-5, 0x1.1f98b2522e5fdp-5, 0x1.1880606887ac8p-5, 0x1.118e152901812p-5, 0x1.0ac13bb5798cep-5, 0x1.04193fc524d56p-5, 0x1.fb2b1b6884f3p-6, 0x1.ee6b25263ba66p-6, 0x1.e1f17868d3a74p-6, 0x1.d5bcf275d6c9ep-6, 0x1.c9cc724d14157p-6, 0x1.be1ed8c16a527p-6, 0x1.b2b3089070aep-6, 0x1.a787e678e6ed5p-6, 0x1.9c9c594ff4ee9p-6, 0x1.91ef4a155434fp-6, 0x1.877fa40664346p-6, 0x1.7d4c54b023069p-6, 0x1.73544c0025fc2p-6, 0x1.69967c5484aa7p-6, 0x1.6011da8ad6d4cp-6, 0x1.56c55e0e366a1p-6, 0x1.4db000e450d9cp-6, 0x1.44d0bfb9a4988p-6, 0x1.3c2699ecc4223p-6, 0x1.33b09198d8e0ep-6, 0x1.2b6dab9f47b56p-6, 0x1.235cefb090788p-6, 0x1.1b7d685464ee8p-6, 0x1.13ce22f0feeb7p-6, 0x1.0c4e2fd1c73fcp-6, 0x1.04fca22d400ep-6, 0x1.fbb120548f4cdp-7, 0x1.edc225c96397bp-7, 0x1.e02a8ce291f34p-7, 0x1.d2e893c25496cp-7, 0x1.c5fa7e8914342p-7, 0x1.b95e9759e733ap-7, 0x1.ad132e5ddcb82p-7, 0x1.a11699c6623cfp-7, 0x1.956735ce7a9d3p-7, 0x1.8a0364bb1f2ffp-7, 0x1.7ee98eda9b1e4p-7, 0x1.741822830b2ccp-7, 0x1.698d94100bd2p-7, 0x1.5f485ddf7f159p-7, 0x1.5547004d95d84p-7, 0x1.4b8801b019b57p-7, 0x1.4209ee50e0204p-7, 0x1.38cb5867c1178p-7, 0x1.2fcad813ab8afp-7, 0x1.27070b5344cd3p-7, 0x1.1e7e95fcd7f4ep-7, 0x1.163021b5ab47p-7, 0x1.0e1a5de8db78p-7, 0x1.063bffbdae8c8p-7, 0x1.fd27841ab5647p-8, 0x1.ee40cab0c9e62p-8, 0x1.dfc15f772cfd3p-8, 0x1.d1a6d9c8cf36cp-8, 0x1.c3eedc0a36706p-8, 0x1.b69713910a1edp-8, 0x1.a99d388abe676p-8, 0x1.9cff0de2adfb3p-8, 0x1.90ba6127c3a3ap-8, 0x1.84cd0a7120498p-8, 0x1.7934ec42ba835p-8, 0x1.6deff371248e5p-8, 0x1.62fc17050cc1fp-8, 0x1.5857581e32f6ap-8, 0x1.4dffc1d620d8p-8, 0x1.43f3692271e8p-8, 0x1.3a306cb6be579p-8, 0x1.30b4f4e64efb2p-8, 0x1.277f33858738cp-8, 0x1.1e8d63cb1812ap-8, 0x1.15ddca310237dp-8, 0x1.0d6eb45575bdbp-8, 0x1.053e78db711c3p-8, 0x1.fa96ee968538ap-9, 0x1.eb282fe638b41p-9, 0x1.dc2d978ec3d03p-9, 0x1.cda41885fe7acp-9, 0x1.bf88b68fa07c5p-9, 0x1.b1d885fda8f49p-9, 0x1.a490ab7114175p-9, 0x1.97ae5b9a93b9bp-9, 0x1.8b2edafb498ffp-9, 0x1.7f0f7da5b2652p-9, 0x1.734da6fec48d6p-9, 0x1.67e6c97f5ae7ap-9, 0x1.5cd866758b0b3p-9, 0x1.52200dc6a9694p-9, 0x1.47bb5db126059p-9, 0x1.3da8028ef9dd8p-9, 0x1.33e3b6989bfa8p-9, 0x1.2a6c41a7cd6cp-9, 0x1.213f78fb57534p-9, 0x1.185b3efad9423p-9, 0x1.0fbd82fb2e792p-9, 0x1.076441032d375p-9, 0x1.fe9b0321c0679p-10, 0x1.eeeeb2beb4ad5p-10, 0x1.dfbfd259a2c01p-10, 0x1.d10abb0349ffep-10, 0x1.c2cbdceed4ddcp-10, 0x1.b4ffbf01fef8ep-10, 0x1.a7a2fe65a991fp-10, 0x1.9ab24e17be639p-10, 0x1.8e2a767e7522cp-10, 0x1.820854fca2b6p-10, 0x1.7648db872f687p-10, 0x1.6ae9103bc07c7p-10, 0x1.5fe60cf90132ap-10, 0x1.553cfef79ed5ep-10, 0x1.4aeb2664de9b1p-10, 0x1.40edd5fe2b336p-10, 0x1.374272ae65db7p-10, 0x1.2de6732bf9117p-10, 0x1.24d75f98c0cbdp-10, 0x1.1c12d122cf5cdp-10, 0x1.139671a6de2ddp-10, 0x1.0b5ffb53bcee9p-10, 0x1.036d384f3416bp-10, 0x1.f77804b888a4ap-11, 0x1.e894850592f9dp-11, 0x1.da2be170481f4p-11, 0x1.cc3a271345c8fp-11, 0x1.bebb7f8fa9248p-11, 0x1.b1ac306769686p-11, 0x1.a5089a58bcc4cp-11, 0x1.98cd38be1a2dep-11, 0x1.8cf6a0eebad2dp-11, 0x1.818181a330a41p-11, 0x1.766aa25c81176p-11, 0x1.6baee2cd0dfd7p-11, 0x1.614b3a4471989p-11, 0x1.573cb71ede4b4p-11, 0x1.4d807e3526b62p-11, 0x1.4413ca50b7179p-11, 0x1.3af3eba207e02p-11, 0x1.321e473859b75p-11, 0x1.2990567d4a6fcp-11, 0x1.2147a6b26a0b4p-11, 0x1.1941d870e858fp-11, 0x1.117c9f2bcbc54p-11, 0x1.09f5c0b573033p-11, 0x1.02ab14c5e1d25p-11, 0x1.f7350908a9936p-12, 0x1.e98414270446p-12, 0x1.dc3f603d98b93p-12, 0x1.cf6322d6a8a7ep-12, 0x1.c2ebb0d453278p-12, 0x1.b6d57d9a63146p-12, 0x1.ab1d1a3c72ba7p-12, 0x1.9fbf34aff6643p-12, 0x1.94b897037451fp-12, 0x1.8a0626981b546p-12, 0x1.7fa4e361b4fffp-12, 0x1.7591e7293f05dp-12, 0x1.6bca64d48237fp-12, 0x1.624ba7b0aed22p-12, 0x1.591312c1e5c4fp-12, 0x1.501e2016638bcp-12, 0x1.476a601cddc3cp-12, 0x1.3ef578fff4f39p-12, 0x1.36bd2603d7ecp-12, 0x1.2ebf36e85cd2ap-12, 0x1.26f98f4ea44bfp-12, 0x1.1f6a2622c0d1ap-12, 0x1.180f05084c559p-12, 0x1.10e647ca0e6b9p-12, 0x1.09ee1bcea1ec9p-12, 0x1.0324bf8e8930ep-12, 0x1.f911041bf2023p-13, 0x1.ec2f84b8cf9b7p-13, 0x1.dfa1de24c8e7fp-13, 0x1.d3650bad9807ep-13, 0x1.c77625ca6d744p-13, 0x1.bbd26130263fcp-13, 0x1.b0770de9d9d51p-13, 0x1.a561967880754p-13, 0x1.9a8f7ef918715p-13, 0x1.8ffe644d968f2p-13, 0x1.85abfb4cc30c9p-13, 0x1.7b960ffa820fp-13, 0x1.71ba84bedfeb6p-13, 0x1.681751a832b3p-13, 0x1.5eaa83aec390bp-13, 0x1.55723c00ebacdp-13, 0x1.4c6caf4f9a74bp-13, 0x1.4398252270edfp-13, 0x1.3af2f7327fccep-13, 0x1.327b90c48f8bep-13, 0x1.2a306e0b02f75p-13, 0x1.22101b8c7a993p-13, 0x1.1a19358d6757ep-13, 0x1.124a677e4b0ap-13, 0x1.0aa26b6e907b1p-13, 0x1.0320098356f1cp-13, 0x1.f7842ee34ed34p-14, 0x1.e90eeff84cd25p-14, 0x1.dade34ec94598p-14, 0x1.cceff495cb98bp-14, 0x1.bf423d07c60bap-14, 0x1.b1d332af58fc1p-14, 0x1.a4a10f75a725cp-14, 0x1.97aa21e4f56d4p-14, 0x1.8aeccc58a0bf4p-14, 0x1.7e67843125879p-14, 0x1.7218d110900e8p-14, 0x1.65ff4c1abe7a8p-14, 0x1.5a199f3bef4a2p-14, 0x1.4e6684763422p-14, 0x1.42e4c536797a7p-14, 0x1.379339a9d4ea2p-14, 0x1.2c70c81c14285p-14, 0x1.217c645c2931ep-14, 0x1.16b50f2234f2p-14, 0x1.0c19d57f60952p-14, 0x1.01a9d04d676a7p-14, 0x1.eec84750614d5p-15, 0x1.da8ffcd237502p-15, 0x1.c6a9334b0c059p-15, 0x1.b31270682977ep-15, 0x1.9fca4c6dc083ep-15, 0x1.8ccf7150430dfp-15, 0x1.7a2099d3d642bp-15, 0x1.67bc90baf4b5ep-15, 0x1.55a22ff61b7a2p-15, 0x1.43d05fde9e256p-15, 0x1.32461676f8ac9p-15, 0x1.210256b039d9dp-15, 0x1.10042fc1331e5p-15, 0x1.fe9578eaa1ec7p-16, 0x1.ddaa4516e8fd9p-16, 0x1.bd4524287e30cp-16, 0x1.9d6489c73938fp-16, 0x1.7e06fbecc8eacp-16, 0x1.5f2b11db09d6ep-16, 0x1.40cf730636e23p-16, 0x1.22f2d6201e39cp-16, 0x1.05940019ed639p-16, 0x1.d163866c45117p-17, 0x1.9895fc55bd8fap-17, 0x1.60bd36a072209p-17, 0x1.29d71f93a331p-17, 0x1.e7c36b07a599ep-18, 0x1.7db612a489e1bp-18, 0x1.15827a3d2cb8ep-18, 0x1.5e4a0b4ce3a01p-19, 0x1.2a68d75a36cc6p-20, -0x1.82159a2b36487p-22, -0x1.e443d30c8039dp-20, -0x1.b06fa2d5d46c7p-19, -0x1.359911819a703p-18, -0x1.9137c4e839aa8p-18, -0x1.eb16eb55b2efbp-18, -0x1.219cbb0f22e35p-17, -0x1.4cd124fd8684fp-17, -0x1.772a20576d6b8p-17, -0x1.a0a9152def2b6p-17, -0x1.c94f678f4cc6dp-17, -0x1.f11e782fa2d03p-17, -0x1.0c0bd28523ccep-16, -0x1.1f1e24feb5ed3p-16, -0x1.31c6e0a37afe2p-16, }}, 
      {{-0x1.c3b83d1067e15p-1, -0x1.c3aae82eb2f9dp-1, -0x1.c3947bb9f8ae3p-1, -0x1.c374abf2819bap-1, -0x1.c34b1392147p-1, -0x1.c3173789883b4p-1, -0x1.c2d88af78b95dp-1, -0x1.c28e7322cfbc3p-1, -0x1.c2384b52469eep-1, -0x1.c1d5686a7b90ep-1, -0x1.c1651c40559f3p-1, -0x1.c0e6b8986bac7p-1, -0x1.c05991cf0f9d7p-1, -0x1.bfbd0128dffd4p-1, -0x1.bf1066ce34078p-1, -0x1.be532b75832c8p-1, -0x1.bd84c1c201478p-1, -0x1.bca4a75c65df9p-1, -0x1.bbb265cc22db2p-1, -0x1.baad931769e24p-1, -0x1.b995d23043867p-1, -0x1.b86ad334c4f5bp-1, -0x1.b72c5388185f3p-1, -0x1.b5da1dc9af641p-1, -0x1.b47409af8d999p-1, -0x1.b2f9fbc8288ap-1, -0x1.b16be527efc38p-1, -0x1.afc9c3062432dp-1, -0x1.ae139e4c40e19p-1, -0x1.ac498b1ad23edp-1, -0x1.aa6ba8464589fp-1, -0x1.a87a1ecde271bp-1, -0x1.a675214ed7befp-1, -0x1.a45ceb74fca36p-1, -0x1.a231c16aaf184p-1, -0x1.9ff3ef48fd00cp-1, -0x1.9da3c88914f4bp-1, -0x1.9b41a777d38f9p-1, -0x1.98cdecac1c884p-1, -0x1.9648fe8085ecfp-1, -0x1.93b34890cc0bp-1, -0x1.910d3b3b62aafp-1, -0x1.8e574b276562ap-1, -0x1.8b91f0cf17249p-1, -0x1.88bda80f12b2ap-1, -0x1.85daefba3ff68p-1, -0x1.82ea49329467ep-1, -0x1.7fec3806a15cep-1, -0x1.7ce14193e7084p-1, -0x1.79c9ecaddbde5p-1, -0x1.76a6c14999a72p-1, -0x1.7378482e144dep-1, -0x1.703f0aa8c358bp-1, -0x1.6cfb92469d7bcp-1, -0x1.69ae68914a931p-1, -0x1.665816d06944bp-1, -0x1.62f925cec6a59p-1, -0x1.5f921da366ac9p-1, -0x1.5c23857e3a7d7p-1, -0x1.58ade37860b2bp-1, -0x1.5531bc67ce022p-1, -0x1.51af93b63bed5p-1, -0x1.4e27eb3b3a17p-1, -0x1.4a9b431940cffp-1, -0x1.470a199da683ep-1, -0x1.4374eb2351f97p-1, -0x1.3fdc31f81055bp-1, -0x1.3c406644697f5p-1, -0x1.38a1fdf5d9986p-1, -0x1.35016cab4fe47p-1, -0x1.315f23a3d56a7p-1, -0x1.2dbb91af42e9dp-1, -0x1.2a172320e6795p-1, -0x1.267241c404cadp-1, -0x1.22cd54d215c2cp-1, -0x1.1f28c0eaaa91fp-1, -0x1.1b84e80ce083ap-1, -0x1.17e229924dceap-1, -0x1.1440e22b4f1fdp-1, -0x1.10a16bdca40d7p-1, -0x1.0d041dfe4243fp-1, -0x1.09694d3b5076ep-1, -0x1.05d14b9330e68p-1, -0x1.023c685b900a9p-1, -0x1.fd55e086be61dp-2, -0x1.f63a5aad6095ep-2, -0x1.ef26ce06beacbp-2, -0x1.e81bc43cf77f7p-2, -0x1.e119c1d4c98a3p-2, -0x1.da21463b0c4f3p-2, -0x1.d332cbd35e07bp-2, -0x1.cc4ec807deee9p-2, -0x1.c575ab59ee44ap-2, -0x1.bea7e173c56ecp-2, -0x1.b7e5d13aea24bp-2, -0x1.b12fdce357952p-2, -0x1.aa8662034f1acp-2, -0x1.a3e9b9a7c11d5p-2, -0x1.9d5a386937402p-2, -0x1.96d82e81346edp-2, -0x1.9063e7dff61c3p-2, -0x1.89fdac428ec96p-2, -0x1.83a5bf4944472p-2, -0x1.7d5c608e2a38bp-2, -0x1.7721cbbbecf6ep-2, -0x1.70f638a4bbad9p-2, -0x1.6ad9db594b8a9p-2, -0x1.64cce43fec844p-2, -0x1.5ecf802b9e1ffp-2, -0x1.58e1d87322056p-2, -0x1.5304130803236p-2, -0x1.4d36528d87b73p-2, -0x1.4778b66f8880fp-2, -0x1.41cb5af92619dp-2, -0x1.3c2e596b56b57p-2, -0x1.36a1c8134777fp-2, -0x1.3125ba6089e5ep-2, -0x1.2bba40fb0a5aep-2, -0x1.265f69d8cc721p-2, -0x1.2115405363b3bp-2, -0x1.1bdbcd3d2f214p-2, -0x1.16b316f648aa7p-2, -0x1.119b21812c82ap-2, -0x1.0c93ee971702fp-2, -0x1.079d7dbc112f5p-2, -0x1.02b7cc52ab6e5p-2, -0x1.fbc5ab5ed30d4p-3, -0x1.f23d2657ad4e2p-3, -0x1.e8d5f8728d7efp-3, -0x1.df900ce67a807p-3, -0x1.d66b4b6300929p-3, -0x1.cd6798339fdccp-3, -0x1.c484d4628a28ap-3, -0x1.bbc2dddaae0d5p-3, -0x1.b3218f890ce78p-3, -0x1.aaa0c17d59dc6p-3, -0x1.a2404909e8f01p-3, -0x1.99fff8e2e3a29p-3, -0x1.91dfa13cccbeep-3, -0x1.89df0fea4ef7ap-3, -0x1.81fe107958126p-3, -0x1.7a3c6c4f8508ap-3, -0x1.7299eac5d3ae8p-3, -0x1.6b165143b2801p-3, -0x1.63b163595432ap-3, -0x1.5c6ae2d9616c6p-3, -0x1.55428ff1f62a9p-3, -0x1.4e382944f8e87p-3, -0x1.474b6bffd0ce3p-3, -0x1.407c13f266ad2p-3, -0x1.39c9dba593f7ap-3, -0x1.33347c70e2ae8p-3, -0x1.2cbbae8fb35fbp-3, -0x1.265f2935c5b1fp-3, -0x1.201ea2a32701cp-3, -0x1.19f9d037846c8p-3, -0x1.13f06684ead7bp-3, -0x1.0e021961efacdp-3, -0x1.082e9bfb4e9b9p-3, -0x1.0275a0e4ed6ccp-3, -0x1.f9adb454c0957p-4, -0x1.eea3f2bdb2c3bp-4, -0x1.e3cd5f5933af3p-4, -0x1.d9295bc7a8844p-4, -0x1.ceb749123446p-4, -0x1.c47687c674034p-4, -0x1.ba6678115d61fp-4, -0x1.b08679d9170bp-4, -0x1.a6d5ecd5e1d52p-4, -0x1.9d5430aa20c18p-4, -0x1.9400a4f97022bp-4, -0x1.8adaa97ee29dfp-4, -0x1.81e19e225de0ap-4, -0x1.7914e30d2385dp-4, -0x1.7073d8bd85d22p-4, -0x1.67fde019cf239p-4, -0x1.5fb25a8262687p-4, -0x1.5790a9e315dadp-4, -0x1.4f9830c3d016ap-4, -0x1.47c852586a5b9p-4, -0x1.4020728fde236p-4, -0x1.389ff622bfa12p-4, -0x1.314642a10dc8ap-4, -0x1.2a12be7f58ec9p-4, -0x1.2304d1234647bp-4, -0x1.1c1be2ef736fep-4, -0x1.15575d4ec0342p-4, -0x1.0eb6aabeffc7cp-4, -0x1.083936db1924fp-4, -0x1.01de6e64964c5p-4, -0x1.f74b7e9959e07p-5, -0x1.eb1d3179784afp-5, -0x1.df30d63c93a9fp-5, -0x1.d385504503607p-5, -0x1.c81985926f312p-5, -0x1.bcec5ecee79c5p-5, -0x1.b1fcc75b14f81p-5, -0x1.a749ad5988851p-5, -0x1.9cd201b9319c8p-5, -0x1.9294b83f0292ep-5, -0x1.8890c78ec821ap-5, -0x1.7ec529333e3ep-5, -0x1.7530d9a562b8fp-5, -0x1.6bd2d85313059p-5, -0x1.62aa27a4f6e8fp-5, -0x1.59b5cd03bdb4cp-5, -0x1.50f4d0dcb7e62p-5, -0x1.48663ea5d053dp-5, -0x1.400924e0e707fp-5, -0x1.37dc951e9d9a6p-5, -0x1.2fdfa4009079ap-5, -0x1.2811693b03d03p-5, -0x1.2070ff9612cedp-5, -0x1.18fd84ee5780ep-5, -0x1.11b61a351d1c9p-5, -0x1.0a99e37017e2p-5, -0x1.03a807b8b2051p-5, -0x1.f9bf6275ca5d4p-6, -0x1.ec801a6760241p-6, -0x1.df9097de4f77ep-6, -0x1.d2ef418c53c35p-6, -0x1.c69a84376061ep-6, -0x1.ba90d2b3a3fe9p-6, -0x1.aed0a5dcdf8adp-6, -0x1.a3587c8f1e2d5p-6, -0x1.9826db9ed74dcp-6, -0x1.8d3a4dd07ef6ep-6, -0x1.829163cf93561p-6, -0x1.782ab4251c155p-6, -0x1.6e04db2dbebfcp-6, -0x1.641e7b0f4cbe6p-6, -0x1.5a763badf3bdfp-6, -0x1.510acaa0f7dc3p-6, -0x1.47dadb2713c34p-6, -0x1.3ee5261a7b2d7p-6, -0x1.362869e4813a4p-6, -0x1.2da36a70f2c41p-6, -0x1.2554f12121e54p-6, -0x1.1d3bccbeac87fp-6, -0x1.1556d16dfdfeap-6, -0x1.0da4d8a091fdp-6, -0x1.0624c10702151p-6, -0x1.fdaadd05be444p-7, -0x1.ef6b9430b011fp-7, -0x1.e18983bf62a5ap-7, -0x1.d40291ed3e73dp-7, -0x1.c6d4aee2e3f1ap-7, -0x1.b9fdd49846472p-7, -0x1.ad7c06b69bc89p-7, -0x1.a14d527a0540bp-7, -0x1.956fce932457fp-7, -0x1.89e19b0865fb7p-7, -0x1.7ea0e11767824p-7, -0x1.73abd31601bfcp-7, -0x1.6900ac537a15ap-7, -0x1.5e9db0f97599ap-7, -0x1.54812ded1673cp-7, -0x1.4aa978afe0f0bp-7, -0x1.4114ef40cd55ep-7, -0x1.37c1f7fd48f5ep-7, -0x1.2eaf01824d5d3p-7, -0x1.25da828d8080fp-7, -0x1.1d42f9de65656p-7, -0x1.14e6ee17b1a3p-7, -0x1.0cc4eda0b4605p-7, -0x1.04db8e86d70c1p-7, -0x1.fa52dcbe9be3p-8, -0x1.eb5a6451cf3e7p-8, -0x1.dccb0c5bfbe1p-8, -0x1.cea23bcd3bacp-8, -0x1.c0dd67b5b57edp-8, -0x1.b37a130a9bdc3p-8, -0x1.a675ce6b9b4ep-8, -0x1.99ce37e8b17f6p-8, -0x1.8d80fac87ad5bp-8, -0x1.818bcf4ee757fp-8, -0x1.75ec7a8472c09p-8, -0x1.6aa0cdfddb80ap-8, -0x1.5fa6a7a44e93ep-8, -0x1.54fbf17e1bd84p-8, -0x1.4a9ea177ecffdp-8, -0x1.408cb92e93f27p-8, -0x1.36c445b9542fdp-8, -0x1.2d435f74b22dap-8, -0x1.240829cdf7221p-8, -0x1.1b10d30f1f347p-8, -0x1.125b942b7240ap-8, -0x1.09e6b08cacb7ep-8, -0x1.01b075e0bfa8cp-8, -0x1.f36e77d0560d1p-9, -0x1.e3f2c889dd0e8p-9, -0x1.d4eab49435e5fp-9, -0x1.c6532597eb114p-9, -0x1.b82917e194ed7p-9, -0x1.aa699a0490d06p-9, -0x1.9d11cc7f05f6ap-9, -0x1.901ee15f38d5dp-9, -0x1.838e1be9f909p-9, -0x1.775cd04264f25p-9, -0x1.6b886312e02c2p-9, -0x1.600e49375bbf2p-9, -0x1.54ec0768c1f38p-9, -0x1.4a1f31e9b0878p-9, -0x1.3fa56c345e627p-9, -0x1.357c68a9d78e3p-9, -0x1.2ba1e8425f0cbp-9, -0x1.2213ba3f14efcp-9, -0x1.18cfbbdcceafap-9, -0x1.0fd3d8082911ap-9, -0x1.071e0712cbbd5p-9, -0x1.fd589cd3e1082p-10, -0x1.ecf9809c14a6ap-10, -0x1.dd1af7174b6dfp-10, -0x1.cdb9566af3d4ap-10, -0x1.bed10cbf3206ep-10, -0x1.b05e9fb7affd7p-10, -0x1.a25eabeeae09ep-10, -0x1.94cde47282032p-10, -0x1.87a91245267d1p-10, -0x1.7aed13de11387p-10, -0x1.6e96dcae77111p-10, -0x1.62a374a77ad11p-10, -0x1.570ff7c2f8cccp-10, -0x1.4bd9958e08781p-10, -0x1.40fd90b5e039p-10, -0x1.36793e96d9092p-10, -0x1.2c4a06cd701fdp-10, -0x1.226d62c96cec1p-10, -0x1.18e0dd633a025p-10, -0x1.0fa212730606cp-10, -0x1.06aeae69f4a45p-10, -0x1.fc08dbdabbf77p-11, -0x1.eb423ae81c0a8p-11, -0x1.db0531ca590bcp-11, -0x1.cb4d96731a38ap-11, -0x1.bc175c3cb5105p-11, -0x1.ad5e9333ad35dp-11, -0x1.9f1f676417d7p-11, -0x1.9156202a15028p-11, -0x1.83ff1f864667fp-11, -0x1.7716e175abf6dp-11, -0x1.6a99fb4d0776bp-11, -0x1.5e851b176e255p-11, -0x1.52d506f83cd33p-11, -0x1.47869c908e3e6p-11, -0x1.3c96d067e093bp-11, -0x1.3202ad57d43fap-11, -0x1.27c753fb7b2cbp-11, -0x1.1de1fa210464p-11, -0x1.144fea3f1cdp-11, -0x1.0b0e82ecf75dap-11, -0x1.021b365d7c624p-11, -0x1.f2e713ba9a5f5p-12, -0x1.e22a2aa7660fp-12, -0x1.d1fb058cef41p-12, -0x1.c2551bc039104p-12, -0x1.b33406f218269p-12, -0x1.a493824726747p-12, -0x1.966f6974b9166p-12, -0x1.88c3b7e2d7f32p-12, -0x1.7b8c87d3e55d9p-12, -0x1.6ec611907592p-12, -0x1.626caa981caa8p-12, -0x1.567cc4d7b5a54p-12, -0x1.4af2ede3a8a29p-12, -0x1.3fcbce370fbbap-12, -0x1.35042877c6275p-12, -0x1.2a98d8be78645p-12, -0x1.2086d3e308b9p-12, -0x1.16cb26cd60ce4p-12, -0x1.0d62f5ca63d5ep-12, -0x1.044b7be504636p-12, -0x1.f704148705d68p-13, -0x1.e6080f115274p-13, -0x1.d59dde716e715p-13, -0x1.c5c0a244849b5p-13, -0x1.b66ba194bb1f2p-13, -0x1.a79a49b9b5b73p-13, -0x1.99482d40c2832p-13, -0x1.8b7102da560f8p-13, -0x1.7e10a44fd8aa9p-13, -0x1.71230d803fea4p-13, -0x1.64a45b61ff7d1p-13, -0x1.5890cb0c41918p-13, -0x1.4ce4b8c5cfb4fp-13, -0x1.419c9f1b3a46ep-13, -0x1.36b515f9b3499p-13, -0x1.2c2ad1d11ec52p-13, -0x1.21faa2bb36e86p-13, -0x1.182173a898785p-13, -0x1.0e9c49928f38cp-13, -0x1.056842b37794p-13, -0x1.f9052b861cb9ep-14, -0x1.e7d12272ec7c2p-14, -0x1.d72f352c54b7ap-14, -0x1.c71a5b5805cedp-14, -0x1.b78db7e6aaafbp-14, -0x1.a88497bd2116fp-14, -0x1.99fa706b22088p-14, -0x1.8beadee6e8c3cp-14, -0x1.7e51a654d6a69p-14, -0x1.712aaed721916p-14, -0x1.647204646786dp-14, -0x1.5823d5a7e2a9bp-14, -0x1.4c3c72ea5f7b6p-14, -0x1.40b84cffd9ad2p-14, -0x1.3593f4407ffe6p-14, -0x1.2acc1784e7fabp-14, -0x1.205d832e1afbp-14, -0x1.164520316e7d9p-14, -0x1.0c7ff32cd7397p-14, -0x1.030b1b81080b1p-14, -0x1.f3c7a4e89c87cp-15, -0x1.e20ed4b0b496ep-15, -0x1.d0e69b7368aa2p-15, -0x1.c049fd234fe4ap-15, -0x1.b0342b032136bp-15, -0x1.a0a0822550cb5p-15, -0x1.918a89f5c8b0ap-15, -0x1.82edf2cf5ab2cp-15, -0x1.74c6949f7f762p-15, -0x1.67106d8dde05cp-15, -0x1.59c7a0b43073p-15, -0x1.4ce874dab3d43p-15, -0x1.406f5342251d6p-15, -0x1.3458c675a444fp-15, -0x1.28a179278d54ap-15, -0x1.1d4635137b035p-15, -0x1.1243e1ecf4436p-15, -0x1.0797845627619p-15, -0x1.fa7c79b7411f3p-16, -0x1.e66a8df6019bfp-16, -0x1.d2f3f05fd13eap-16, -0x1.c0137e10e9729p-16, -0x1.adc44487315fap-16, -0x1.9c017fe817afap-16, -0x1.8ac6995399571p-16, -0x1.7a0f254da83a1p-16, -0x1.69d6e2295e43fp-16, -0x1.5a19b68947c4fp-16, -0x1.4ad3afe686f9ep-16, -0x1.3c010126cfe47p-16, -0x1.2d9e013ceb182p-16, -0x1.1fa729da0c215p-16, -0x1.12191621c9a9ap-16, -0x1.04f0816d19e1ep-16, -0x1.f0548c39c52dap-17, -0x1.d786b8da8ab04p-17, -0x1.bf71b2b367642p-17, -0x1.a80fdb0efdc76p-17, -0x1.915bc87111362p-17, -0x1.7b504492b40d6p-17, -0x1.65e84a74d09dcp-17, -0x1.511f047a8df8p-17, -0x1.3cefca95251fap-17, -0x1.2956208a2a115p-17, -0x1.164db44051b7dp-17, -0x1.03d25c1838d74p-17, -0x1.e3c02ac22ec15p-18, -0x1.c0e60590f18fap-18, -0x1.9f0ed5cff201ep-18, -0x1.7e336db4dbe1dp-18, -0x1.5e4ce1c2b07c6p-18, -0x1.3f54861e90fb3p-18, -0x1.2143ec088e624p-18, -0x1.0414df7a92b1dp-18, -0x1.cf82c975cd431p-19, -0x1.98876c3b3bc4cp-19, -0x1.632c83b8c0fe1p-19, -0x1.2f674fd7948a5p-19, -0x1.fa5ae001e1cc7p-20, -0x1.98e9be6355b26p-20, -0x1.3a67e084f1cbcp-20, -0x1.bd8528f9789cbp-21, -0x1.0bcf93ba694b4p-21, -0x1.7e305a1cb8f9cp-23, 0x1.1d9c42ed42fffp-23, 0x1.d2550f4bd5a57p-22, 0x1.85dde30bb67a5p-21, 0x1.0ecfd9576930bp-20, 0x1.5846c5ef47696p-20, 0x1.9f620a1c3a358p-20, 0x1.e42f85bff86c3p-20, 0x1.135e55633ac9p-19, 0x1.338b40dde9cb7p-19, 0x1.52a4d7142ea9cp-19, 0x1.70b139782302cp-19, 0x1.8db65b3c3bae4p-19, 0x1.a9ba033f030c4p-19, 0x1.c4c1cdf505028p-19, 0x1.ded32f371e6ap-19, 0x1.f7f373f94102fp-19, 0x1.0813e1fb2331cp-18, 0x1.13ba919f4dbbp-18, 0x1.1ef039e205563p-18, 0x1.29b73b5fd5a8ep-18, 0x1.3411e70f2920ap-18, 0x1.3e027ee8d95c3p-18, 0x1.478b368de5346p-18, 0x1.50ae33de68f85p-18, 0x1.596d8f9007fcap-18, 0x1.61cb55bacbb49p-18, 0x1.69c98660e1095p-18, 0x1.716a15ed33db9p-18, 0x1.78aeedb041acdp-18, 0x1.7f99ec530a322p-18, 0x1.862ce6456c3f5p-18, 0x1.8c69a62bfaa68p-18, 0x1.9251ed44a8eap-18, 0x1.97e773c5ab41ep-18, 0x1.9d2be93b7f9cp-18, 0x1.a220f4dd33f12p-18, 0x1.a6c835e355b09p-18, 0x1.ab2343d422e03p-18, 0x1.af33aecefebc5p-18, 0x1.b2faffd4b29cep-18, 0x1.b67ab9087a2e4p-18, 0x1.b9b455ee9b08cp-18, 0x1.bca94bac6c101p-18, 0x1.bf5b09443c2bdp-18, 0x1.c1caf7c6c1e6p-18, 0x1.c3fa7a89c500ep-18, 0x1.c5eaef58f59cp-18, 0x1.c79daea392816p-18, 0x1.c9140ba6d157dp-18, 0x1.ca4f5499d8ea3p-18, 0x1.cb50d2d34624bp-18, 0x1.cc19caee72d03p-18, 0x1.ccab7cec3a83cp-18, 0x1.cd072453a5fp-18, 0x1.cd2df8553f407p-18, 0x1.cd212be53d723p-18, 0x1.cce1edd441098p-18, 0x1.cc7168ef080fbp-18, 0x1.cbd0c4116d18bp-18, 0x1.cb0122404ede3p-18, 0x1.ca03a2bb5bba7p-18, 0x1.c8d96115bb0e6p-18, 0x1.c783754562f42p-18, 0x1.c602f3b5b9983p-18, 0x1.c458ed573b56ap-18, 0x1.c2866faeeefb1p-18, 0x1.c08c84e65b213p-18, 0x1.be6c33d873178p-18, 0x1.bc26801c879bp-18, 0x1.b9bc6a15629b2p-18, 0x1.b72eeef91d04bp-18, 0x1.b47f08dc635e8p-18, 0x1.b1adaebc2601fp-18, 0x1.aebbd48621e46p-18, }}, 
      std::vector<double>(550, 0.0), 
      {{-0x1.ddefbddf4e074p-7, -0x1.dc739f53fe26ep-6, -0x1.6387d213697cp-5, -0x1.d6c852e800e0fp-5, -0x1.23baf25052625p-4, -0x1.5a925b086d765p-4, -0x1.8fc11c8e51285p-4, -0x1.c329d70deaa64p-4, -0x1.f4ba03b79ded1p-4, -0x1.12345d6458183p-3, -0x1.291ab4a5a3ac2p-3, -0x1.3f13447cd2695p-3, -0x1.5424331ff7141p-3, -0x1.6855fde44cef8p-3, -0x1.7bb2f3e4ae2bdp-3, -0x1.8e46be83afd0dp-3, -0x1.a01df7fdec5e2p-3, -0x1.b145cfb9f4096p-3, -0x1.c1cbbbaa7a68ap-3, -0x1.d1bd35df91c63p-3, -0x1.e1278544568ecp-3, -0x1.f017907822205p-3, -0x1.fe99b9b066dfp-3, -0x1.065ce14ba02c8p-2, -0x1.0d415b939a1b1p-2, -0x1.13ff6f4a9751fp-2, -0x1.1a9bd8b61a756p-2, -0x1.211aea0917556p-2, -0x1.27808a8067aebp-2, -0x1.2dd03708a2d44p-2, -0x1.340d0425f6dp-2, -0x1.3a39a0df5b4dap-2, -0x1.40585a7698acp-2, -0x1.466b20be019a4p-2, -0x1.4c738ae37003fp-2, -0x1.5272dc8e1e34fp-2, -0x1.586a0b3245dfdp-2, -0x1.5e59c3822747p-2, -0x1.64426ee8423c3p-2, -0x1.6a2438fa15f85p-2, -0x1.6fff14d5efbccp-2, -0x1.75d2c260e3dedp-2, -0x1.7b9ed35c6ee51p-2, -0x1.8162b04d24fb6p-2, -0x1.871d9d2d7dfb1p-2, -0x1.8ccebde934082p-2, -0x1.92751a9ed01e1p-2, -0x1.980fa3a5ff6cep-2, -0x1.9d9d355a0ecbbp-2, -0x1.a31c9ba89ac4ep-2, -0x1.a88c956506b05p-2, -0x1.adebd761b91p-2, -0x1.b3390f5076df8p-2, -0x1.b872e66b7de44p-2, -0x1.bd9803e923df5p-2, -0x1.c2a70f3bfb708p-2, -0x1.c79eb2218998dp-2, -0x1.cc7d9a81b754ep-2, -0x1.d1427c2125819p-2, -0x1.d5ec1228a24eep-2, -0x1.da792083e9869p-2, -0x1.dee87519e30b4p-2, -0x1.e338e8e087833p-2, -0x1.e76960ce811cap-2, -0x1.eb78ceac9f372p-2, -0x1.ef6631c91335dp-2, -0x1.f330978e7190ep-2, -0x1.f6d71c004f812p-2, -0x1.fa58ea1f4cd36p-2, -0x1.fdb53c364b5e1p-2, -0x1.0075ae093abcap-1, -0x1.01fd5193daa5p-1, -0x1.03713d518eda6p-1, -0x1.04d12db65cbd2p-1, -0x1.061ce70d125fp-1, -0x1.075435699fd3p-1, -0x1.0876ec951dc9cp-1, -0x1.0984e7f4188d5p-1, -0x1.0a7e0a67af2cep-1, -0x1.0b623e2a0be34p-1, -0x1.0c3174a6b88f7p-1, -0x1.0ceba64f466fp-1, -0x1.0d90d26cb6d5dp-1, -0x1.0e20feee14288p-1, -0x1.0e9c3834996f9p-1, -0x1.0f0290ddc82bfp-1, -0x1.0f54218bc3115p-1, -0x1.0f9108ac3b0dap-1, -0x1.0fb96a3e3e391p-1, -0x1.0fcd6f9729fdap-1, -0x1.0fcd472704da4p-1, -0x1.0fb9243c75da7p-1, -0x1.0f913ec8971bep-1, -0x1.0f55d322cf95fp-1, -0x1.0f0721cce52cep-1, -0x1.0ea56f37722a2p-1, -0x1.0e310386e0d8cp-1, -0x1.0daa2a59126f9p-1, -0x1.0d11328bd082bp-1, -0x1.0c666e0424424p-1, -0x1.0baa3176abb49p-1, -0x1.0adcd43106705p-1, -0x1.09feafe46939ep-1, -0x1.091020716c4e9p-1, -0x1.081183b523fb6p-1, -0x1.070339578cbb3p-1, -0x1.05e5a29b59272p-1, -0x1.04b9222f28531p-1, -0x1.037e1c002c7fap-1, -0x1.0234f50e4731dp-1, -0x1.00de13419f851p-1, -0x1.fef3ba8367361p-2, -0x1.fc11749bd2a8ep-2, -0x1.f916242f3610fp-2, -0x1.f602993b44d8fp-2, -0x1.f2d7a412bb6e6p-2, -0x1.ef96151a5d1d9p-2, -0x1.ec3ebc88d68efp-2, -0x1.e8d26a2988dbep-2, -0x1.e551ed22265afp-2, -0x1.e1be13bb1ef1dp-2, -0x1.de17ab2acd68dp-2, -0x1.da5f7f63596fdp-2, -0x1.d6965ae33d2dp-2, -0x1.d2bd0688682e2p-2, -0x1.ced44965e7fb6p-2, -0x1.cadce89c0b4e1p-2, -0x1.c6d7a732f247dp-2, -0x1.c2c545f775aep-2, -0x1.bea6835a59483p-2, -0x1.ba7c1b51b7cb1p-2, -0x1.b646c73c98094p-2, -0x1.b2073dc895ddcp-2, -0x1.adbe32d996741p-2, -0x1.a96c577371103p-2, -0x1.a51259a57a4d8p-2, -0x1.a0b0e477e5f5p-2, -0x1.9c489fdaec10dp-2, -0x1.97da3097a2495p-2, -0x1.9366384273fe4p-2, -0x1.8eed552f32835p-2, -0x1.8a702266a23c3p-2, -0x1.85ef379d8263cp-2, -0x1.816b292cf1981p-2, -0x1.7ce4880c2ba49p-2, -0x1.785be1cb8a1e2p-2, -0x1.73d1c090c137p-2, -0x1.6f46ab1441ecp-2, -0x1.6abb249fb9a0fp-2, -0x1.662fad0d9e05p-2, -0x1.61a4c0c9bf873p-2, -0x1.5d1ad8d2c7163p-2, -0x1.58926abca554cp-2, -0x1.540be8b3d4e8ap-2, -0x1.4f87c1817369dp-2, -0x1.4b0660901b64ap-2, -0x1.46882df175c1fp-2, -0x1.420d8e647ff1ep-2, -0x1.3d96e35c6f18cp-2, -0x1.39248b0834a55p-2, -0x1.34b6e05a8badep-2, -0x1.304e3b12930a2p-2, -0x1.2beaefc4e3741p-2, -0x1.278d4fe51a346p-2, -0x1.2335a9cfd0714p-2, -0x1.1ee448d4f8f65p-2, -0x1.1a99754296d3bp-2, -0x1.1655746fcdb5cp-2, -0x1.121888c83c1f9p-2, -0x1.0de2f1d79ea7ap-2, -0x1.09b4ec55b2897p-2, -0x1.058eb23252b55p-2, -0x1.01707aa1c855dp-2, -0x1.fab4f4528dbd8p-3, -0x1.f299c557274efp-3, -0x1.ea8fc6eb97ba5p-3, -0x1.e29752989c2acp-3, -0x1.dab0bcef684c4p-3, -0x1.d2dc55a3cfa45p-3, -0x1.cb1a67a6878b3p-3, -0x1.c36b393f7b9e3p-3, -0x1.bbcf0c2839106p-3, -0x1.b4461da65595fp-3, -0x1.acd0a6a5de393p-3, -0x1.a56edbd3b65b9p-3, -0x1.9e20edb7ec275p-3, -0x1.96e708cff5422p-3, -0x1.8fc155a8d3bf7p-3, -0x1.88aff8f916218p-3, -0x1.81b313bab268bp-3, -0x1.7acac344b6ea3p-3, -0x1.73f72164cba6fp-3, -0x1.6d3844787c388p-3, -0x1.668e3f864c158p-3, -0x1.5ff9225691a9cp-3, -0x1.5978f98c078b2p-3, -0x1.530dcebc2481cp-3, -0x1.4cb7a88728cbbp-3, -0x1.46768aafe25fp-3, -0x1.404a763323c4p-3, -0x1.3a33695ef02acp-3, -0x1.34315fe9522e8p-3, -0x1.2e445306e36f1p-3, -0x1.286c3980fdf5dp-3, -0x1.22a907cb97681p-3, -0x1.1cfab01ac19f2p-3, -0x1.17612277d7b09p-3, -0x1.11dc4cd649536p-3, -0x1.0c6c1b2810f3p-3, -0x1.07107771c9003p-3, -0x1.01c949de65c7p-3, -0x1.f92cf1a51b456p-4, -0x1.eeefd1ff35f9bp-4, -0x1.e4dafaec6b41bp-4, -0x1.daee2f712128bp-4, -0x1.d1292f9898ea3p-4, -0x1.c78bb897e79bcp-4, -0x1.be1584f0361efp-4, -0x1.b4c64c904314ap-4, -0x1.ab9dc4f51fc7bp-4, -0x1.a29ba14a3b69dp-4, -0x1.99bf9288a4003p-4, -0x1.910947959088ap-4, -0x1.88786d60301cbp-4, -0x1.800caefec0039p-4, -0x1.77c5b5cae44b9p-4, -0x1.6fa3297d4cc65p-4, -0x1.67a4b048a2017p-4, -0x1.5fc9eef3bdec7p-4, -0x1.581288f3332bap-4, -0x1.507e20821f63bp-4, -0x1.490c56ba5449cp-4, -0x1.41bccbabce7d2p-4, -0x1.3a8f1e73829dep-4, -0x1.3382ed51836fdp-4, -0x1.2c97d5be7d2cp-4, -0x1.25cd74808fd9bp-4, -0x1.1f2365bf84775p-4, -0x1.1899451864284p-4, -0x1.122eadb07000ap-4, -0x1.0be33a477e01p-4, -0x1.05b68549bd5f4p-4, -0x1.ff5051c1c8cabp-5, -0x1.f36f7e099513dp-5, -0x1.e7c9c316de398p-5, -0x1.dc5e5470e997ep-5, -0x1.d12c659819ce3p-5, -0x1.c6332a22b70edp-5, -0x1.bb71d5d8a7cf1p-5, -0x1.b0e79cce1d02bp-5, -0x1.a693b37d40a8cp-5, -0x1.9c754ededc772p-5, -0x1.928ba48212ad1p-5, -0x1.88d5eaa3160dp-5, -0x1.7f535840fb61fp-5, -0x1.760325329c76fp-5, -0x1.6ce48a3a98d34p-5, -0x1.63f6c11a70b51p-5, -0x1.5b3904a4d01b9p-5, -0x1.52aa90cef686dp-5, -0x1.4a4aa2c159af2p-5, -0x1.421878e7757b2p-5, -0x1.3a1352fed585bp-5, -0x1.323a7225604abp-5, -0x1.2a8d18e6e3a05p-5, -0x1.230a8b49e6b71p-5, -0x1.1bb20edbcb78fp-5, -0x1.1482eabc3ffcep-5, -0x1.0d7c67a804fb1p-5, -0x1.069dd00310a63p-5, -0x1.ffccdfc41b1cep-6, -0x1.f2ab2a2682582p-6, -0x1.e5d51e4db09bdp-6, -0x1.d9495eed392e7p-6, -0x1.cd06925a40d69p-6, -0x1.c10b6298b5e38p-6, -0x1.b5567d678324p-6, -0x1.a9e6944bb1d5cp-6, -0x1.9eba5c9a99829p-6, -0x1.93d08f8311d65p-6, -0x1.8927ea15bc3cfp-6, -0x1.7ebf2d4c61104p-6, -0x1.74951e1078f63p-6, -0x1.6aa88540cf702p-6, -0x1.60f82fb6676b1p-6, -0x1.5782ee4885ab8p-6, -0x1.4e4795d0065fcp-6, -0x1.4544ff29f61c3p-6, -0x1.3c7a07396ef5p-6, -0x1.33e58ee8d0edep-6, -0x1.2b867b2a4c9a8p-6, -0x1.235bb4f7d50bbp-6, -0x1.1b6429526e7bp-6, -0x1.139ec940f0edfp-6, -0x1.0c0a89ce31717p-6, -0x1.04a66406b0e4bp-6, -0x1.fae2a9eb8046cp-7, -0x1.ecd4bb4441319p-7, -0x1.df2106146e19cp-7, -0x1.d1c59c3f91da3p-7, -0x1.c4c0978691fc3p-7, -0x1.b810197d7d718p-7, -0x1.abb24b8090a55p-7, -0x1.9fa55ea8731bcp-7, -0x1.93e78bbdde7bap-7, -0x1.8877132c65d19p-7, -0x1.7d523cf4da4f4p-7, -0x1.7277589edfc05p-7, -0x1.67e4bd2a03bd2p-7, -0x1.5d98c8fe579c5p-7, -0x1.5391e1dc70fccp-7, -0x1.49ce74cd06632p-7, -0x1.404cf61001c72p-7, -0x1.370be10b3eafcp-7, -0x1.2e09b838d5537p-7, -0x1.2545051507019p-7, -0x1.1cbc580bd97adp-7, -0x1.146e48666beb3p-7, -0x1.0c597437ea807p-7, -0x1.047c804a48948p-7, -0x1.f9ac30157c168p-8, -0x1.eac9daec0a27ep-8, -0x1.dc4f7208f0c6dp-8, -0x1.ce3a732bbccb9p-8, -0x1.c08868ba5e76p-8, -0x1.b336e9983ca5cp-8, -0x1.a64398fd1760bp-8, -0x1.99ac264bbf905p-8, -0x1.8d6e4ce893137p-8, -0x1.8187d40fdd397p-8, -0x1.75f68eac0c75cp-8, -0x1.6ab85b2bd0256p-8, -0x1.5fcb23584db26p-8, -0x1.552cdc2b11e02p-8, -0x1.4adb85a4467fp-8, -0x1.40d52aa0c21efp-8, -0x1.3717e0b01f5cbp-8, -0x1.2da1c7eb0e72p-8, -0x1.24710ac99d34dp-8, -0x1.1b83ddf9aeef8p-8, -0x1.12d8803592576p-8, -0x1.0a6d3a1ad841p-8, -0x1.02405e012db48p-8, -0x1.f4a08fa2f5f09p-9, -0x1.e536b9baa2d81p-9, -0x1.d640176cf2f4p-9, -0x1.c7b9980d831b7p-9, -0x1.b9a03cd075a25p-9, -0x1.abf1187ace8ep-9, -0x1.9ea94f141bed5p-9, -0x1.91c6159846293p-9, -0x1.8544b1aa2eef7p-9, -0x1.79227946dfaadp-9, -0x1.6d5cd27989f62p-9, -0x1.61f133102d014p-9, -0x1.56dd2050c571fp-9, -0x1.4c1e2eaf6a45ep-9, -0x1.41b201851296dp-9, -0x1.37964ac7365b7p-9, -0x1.2dc8cac012fa3p-9, -0x1.24474fc7e5de1p-9, -0x1.1b0fb5fec80c5p-9, -0x1.121fe70752b3bp-9, -0x1.0975d9c259d41p-9, -0x1.010f920b30429p-9, -0x1.f1d640e9cb415p-10, -0x1.e20d4410dac5cp-10, -0x1.d2c08006dc547p-10, -0x1.c3ec5f3031265p-10, -0x1.b58d635b8f1c4p-10, -0x1.a7a02544ec271p-10, -0x1.9a21541a3bcfp-10, -0x1.8d0db501e4f56p-10, -0x1.806222a32dbcbp-10, -0x1.741b8cafe852ep-10, -0x1.6836f77064b1ep-10, -0x1.5cb17b50a6a2dp-10, -0x1.5188446fa62c6p-10, -0x1.46b8923080862p-10, -0x1.3c3fb6ccbce4ep-10, -0x1.321b16e8f6e42p-10, -0x1.2848292affdcbp-10, -0x1.1ec475d1b2d3ep-10, -0x1.158d964e87664p-10, -0x1.0ca134e0c3073p-10, -0x1.03fd0c328c799p-10, -0x1.f73dcdeefb46cp-11, -0x1.e7093f1a6913cp-11, -0x1.d7583f3a2c6c5p-11, -0x1.c826bf8067529p-11, -0x1.b970ce48f0f49p-11, -0x1.ab3296673e285p-11, -0x1.9d685e77885efp-11, -0x1.900e8833449e1p-11, -0x1.83218fc8823f3p-11, -0x1.769e0b349821fp-11, -0x1.6a80a9a2357d3p-11, -0x1.5ec632ca0c8aep-11, -0x1.536b8656f05cdp-11, -0x1.486d9b4c7593dp-11, -0x1.3dc97f7161ac1p-11, -0x1.337c56bc2c222p-11, -0x1.29835ac32df91p-11, -0x1.1fdbda2f5e7f5p-11, -0x1.16833831e9e37p-11, -0x1.0d76ebfc95345p-11, -0x1.04b4803d015e9p-11, -0x1.f87325350e3ddp-12, -0x1.e807a66e97205p-12, -0x1.d82208665e5bbp-12, -0x1.c8bdf2642fcc9p-12, -0x1.b9d72dc8e8dc4p-12, -0x1.ab69a525644fbp-12, -0x1.9d7163551ff34p-12, -0x1.8fea929ff4b8ep-12, -0x1.82d17bde006fbp-12, -0x1.762285a291442p-12, -0x1.69da336b8268bp-12, -0x1.5df524d4595cfp-12, -0x1.527014cea1ba7p-12, -0x1.4747d8dfa7817p-12, -0x1.3c796060a2f1dp-12, -0x1.3201b3c505e5fp-12, -0x1.27ddf3e505311p-12, -0x1.1e0b594adf341p-12, -0x1.1487338616035p-12, -0x1.0b4ee881fbd42p-12, -0x1.025ff3e045637p-12, -0x1.f36fccaee9b1bp-13, -0x1.e2a8ca2c28ccbp-13, -0x1.d2665250db6cdp-13, -0x1.c2a3fdc541e57p-13, -0x1.b35d8a9e50e57p-13, -0x1.a48edb3e884edp-13, -0x1.9633f54149cddp-13, -0x1.8849006b170aep-13, -0x1.7aca45a1bc483p-13, -0x1.6db42deae41bdp-13, -0x1.61034170a0155p-13, -0x1.54b4268dd1328p-13, -0x1.48c3a0de541a2p-13, -0x1.3d2e90584eb43p-13, -0x1.31f1f069d53f9p-13, -0x1.270ad71d2cc23p-13, -0x1.1c767441b51ffp-13, -0x1.1232109c4e203p-13, -0x1.083b0d1c28a78p-13, -0x1.fd1dc429c8da8p-14, -0x1.ea563cff61a84p-14, -0x1.d81ace7e56d6dp-14, -0x1.c666ecd374ee9p-14, -0x1.b536353193585p-14, -0x1.a4846c7b1db11p-14, -0x1.944d7df2c1374p-14, -0x1.848d79f6348c8p-14, -0x1.754094c4bef7bp-14, -0x1.66632549fcd7p-14, -0x1.57f1a3f3b58edp-14, -0x1.49e8a995061d3p-14, -0x1.3c44ee46fd09fp-14, -0x1.2f03485b36994p-14, -0x1.2220ab520ded3p-14, -0x1.159a26d9e8dbep-14, -0x1.096ce5d4b4506p-14, -0x1.fb2c5acc2ecbfp-15, -0x1.e426b8130d5c2p-15, -0x1.cdc3d158e19bbp-15, -0x1.b7fec3a2b0d3cp-15, -0x1.a2d2d97857148p-15, -0x1.8e3b893e46baap-15, -0x1.7a3473a5d64a7p-15, -0x1.66b96224fe6a6p-15, -0x1.53c6457f653eap-15, -0x1.4157345420bcp-15, -0x1.2f6869bb712a8p-15, -0x1.1df643f43ff68p-15, -0x1.0cfd43111e9afp-15, -0x1.f8f40f6efd1b2p-16, -0x1.d8d2a3d1ee222p-16, -0x1.b98fffab04d86p-16, -0x1.9b26196e5da4ap-16, -0x1.7d8f1f70c2d7ap-16, -0x1.60c575c6056c8p-16, -0x1.44c3b42fe888fp-16, -0x1.2984a41df40dp-16, -0x1.0f033ec2d54e5p-16, -0x1.ea75567bfaf93p-17, -0x1.b84c798a54d06p-17, -0x1.8782e1d7149a5p-17, -0x1.580fdbefebd01p-17, -0x1.29eb028471e71p-17, -0x1.fa18769621ec9p-18, -0x1.a2d767f717d21p-18, -0x1.4e03bed5f1315p-18, -0x1.f71dcaf2f1affp-19, -0x1.56d58aa1a0b75p-19, -0x1.7627070d768cep-20, -0x1.1deb33f81498ap-22, 0x1.bd18edb1bd14fp-21, 0x1.fc1ff4a1cac81p-20, 0x1.88b7a042d8607p-19, 0x1.07aa190ad5524p-18, 0x1.48fdfbc970d4ep-18, 0x1.886241cd92571p-18, 0x1.c5e15dd84fe05p-18, 0x1.00c2b7d9eda2bp-17, 0x1.1dac23e7dcc4ep-17, 0x1.39b1b554df4fp-17, 0x1.54d80a03196bep-17, 0x1.6f239d0f6f51ep-17, 0x1.8898c85a133b7p-17, 0x1.a13bc5f4869d3p-17, 0x1.b910b1880ea0bp-17, 0x1.d01b89aeb0d02p-17, 0x1.e660313965312p-17, 0x1.fbe27071d2faep-17, 0x1.0852fb1acaf45p-16, 0x1.12572c9379b9fp-16, 0x1.1bff8c5e4c562p-16, 0x1.254dcf27f2d75p-16, 0x1.2e439f06be796p-16, 0x1.36e29bfa6830dp-16, 0x1.3f2c5c5b00ba9p-16, 0x1.47226d4a92fa6p-16, 0x1.4ec6531ac518bp-16, 0x1.561989b505068p-16, 0x1.5d1d84fc30df2p-16, 0x1.63d3b1260229fp-16, 0x1.6a3d7310189d2p-16, 0x1.705c289603f61p-16, 0x1.763128e1bf669p-16, 0x1.7bbdc4b65adc2p-16, 0x1.810346b4bbc96p-16, 0x1.8602f3a487ab1p-16, 0x1.8abe0ab26220ep-16, 0x1.8f35c5af35a2bp-16, 0x1.936b5946c6075p-16, 0x1.975ff53ad6b36p-16, 0x1.9b14c497df621p-16, 0x1.9e8aede6492e3p-16, 0x1.a1c393585a0bdp-16, 0x1.a4bfd2f60a4ffp-16, 0x1.a780c6c96f609p-16, 0x1.aa078506632e1p-16, 0x1.ac55202d1ccc7p-16, 0x1.ae6aa73090c87p-16, 0x1.b04925975dbb4p-16, 0x1.b1f1a3999f837p-16, 0x1.b36526404ca5bp-16, 0x1.b4a4af7beca08p-16, }}, 
      {{-0x1.e81b76313aa26p-1, -0x1.e8030f749cfecp-1, -0x1.e7d5b9d47f711p-1, -0x1.e78e5216c6544p-1, -0x1.e72798114e8b6p-1, -0x1.e69cc1a8b49b2p-1, -0x1.e5e9cf5454e07p-1, -0x1.e50bb58c8ed8bp-1, -0x1.e400691fcae9dp-1, -0x1.e2c6d87701a83p-1, -0x1.e15ed8f06c4dp-1, -0x1.dfc90d5d3ceb4p-1, -0x1.de06c9281359dp-1, -0x1.dc19f28deb628p-1, -0x1.da04e585b538fp-1, -0x1.d7ca585eb4edfp-1, -0x1.d56d42b3b2486p-1, -0x1.d2f0c705dcee9p-1, -0x1.d0581f1da9217p-1, -0x1.cda68b2bf18b7p-1, -0x1.cadf438dbb834p-1, -0x1.c8056d05edfe5p-1, -0x1.c51c0f378d0f4p-1, -0x1.c2260d26f151bp-1, -0x1.bf261f87790e7p-1, -0x1.bc1ed09c81c6ep-1, -0x1.b9127977333fbp-1, -0x1.b603405e58794p-1, -0x1.b2f31831ace22p-1, -0x1.afe3c09e79233p-1, -0x1.acd6c6ffca07bp-1, -0x1.a9cd87c8e2134p-1, -0x1.a6c9305ca3aefp-1, -0x1.a3cac13887b2ep-1, -0x1.a0d3105d3d9fap-1, -0x1.9de2cbe247183p-1, -0x1.9afa7ca4bdfe2p-1, -0x1.981a89040a772p-1, -0x1.954337a18d31fp-1, -0x1.9274b21a437dep-1, -0x1.8faf07b31dfa2p-1, -0x1.8cf22ff248bcfp-1, -0x1.8a3e0d20e5511p-1, -0x1.87926eb1d3065p-1, -0x1.84ef138b0c431p-1, -0x1.8253ac2fe92cap-1, -0x1.7fbfdccb3d902p-1, -0x1.7d333f18d0878p-1, -0x1.7aad642e1fffp-1, -0x1.782dd622ba6ffp-1, -0x1.75b41998c8f5fp-1, -0x1.733faf2693d7dp-1, -0x1.70d014a2056e9p-1, -0x1.6e64c64f44e64p-1, -0x1.6bfd3ff3a3bd5p-1, -0x1.6998fdce26c49p-1, -0x1.67377d76fb4bp-1, -0x1.64d83ea733af2p-1, -0x1.627ac3ea245d4p-1, -0x1.601e9339b765p-1, -0x1.5dc336870a662p-1, -0x1.5b683c309eed2p-1, -0x1.590d3767620abp-1, -0x1.56b1c083bf3bep-1, -0x1.5455754bec8f8p-1, -0x1.51f7f92c8e918p-1, -0x1.4f98f564c7be5p-1, -0x1.4d381926bb5fep-1, -0x1.4ad519ad7a56dp-1, -0x1.486fb2494b0c3p-1, -0x1.4607a46329537p-1, -0x1.439cb77854331p-1, -0x1.412eb90eb1b1ep-1, -0x1.3ebd7ca2c15f5p-1, -0x1.3c48db8fd1402p-1, -0x1.39d0b4f31a7dep-1, -0x1.3754ed8a5c0a2p-1, -0x1.34d56f8e884d5p-1, -0x1.32522a8b09d3p-1, -0x1.2fcb13321b30cp-1, -0x1.2d40232ea6459p-1, -0x1.2ab158f418525p-1, -0x1.281eb78c890b5p-1, -0x1.2588466593da2p-1, -0x1.22ee111c358d7p-1, -0x1.20502747fb36ep-1, -0x1.1dae9c45c70a3p-1, -0x1.1b0987026ec17p-1, -0x1.186101c56883ep-1, -0x1.15b529fbbf457p-1, -0x1.130620037b092p-1, -0x1.105406f7a9023p-1, -0x1.0d9f047d28853p-1, -0x1.0ae740905d54cp-1, -0x1.082ce553e95ffp-1, -0x1.05701ee080a28p-1, -0x1.02b11b15f42f6p-1, -0x1.ffe012db07917p-2, -0x1.fa5a359b108cdp-2, -0x1.f4d102bd04e65p-2, -0x1.ef44e0c335602p-2, -0x1.e9b6381133e4bp-2, -0x1.e425729ec3357p-2, -0x1.de92fbadd1ef7p-2, -0x1.d8ff3f837dd07p-2, -0x1.d36aab242d511p-2, -0x1.cdd5ac12b260fp-2, -0x1.c840b0127dbfbp-2, -0x1.c2ac24ecd6311p-2, -0x1.bd1878390c834p-2, -0x1.b7861727a47cbp-2, -0x1.b1f56e5069e51p-2, -0x1.ac66e98359095p-2, -0x1.a6daf39c5c0b7p-2, -0x1.a151f659bea68p-2, -0x1.9bcc5a35538fp-2, -0x1.964a8640325f7p-2, -0x1.90cce000fd599p-2, -0x1.8b53cb54a0087p-2, -0x1.85dfaa516cd13p-2, -0x1.8070dd2c8f541p-2, -0x1.7b07c221b2a1dp-2, -0x1.75a4b55cd66f1p-2, -0x1.704810e631d8dp-2, -0x1.6af22c9017d9dp-2, -0x1.65a35de6c773bp-2, -0x1.605bf822103c6p-2, -0x1.5b1c4c18bccc8p-2, -0x1.55e4a835ac3p-2, -0x1.50b5586e876f1p-2, -0x1.4b8ea63c00476p-2, -0x1.4670d89388ce3p-2, -0x1.415c33e26cad4p-2, -0x1.3c50fa0a3f38cp-2, -0x1.374f6a5e8861p-2, -0x1.3257c1a3a5f1ep-2, -0x1.2d6a3a0ec4f9fp-2, -0x1.28870b46f2e8dp-2, -0x1.23ae6a6725d91p-2, -0x1.1ee08a013c767p-2, -0x1.1a1d9a21d8087p-2, -0x1.1565c8550fc0ep-2, -0x1.10b93fabe58d6p-2, -0x1.0c1828c273308p-2, -0x1.0782a9c6c4a32p-2, -0x1.02f8e6804b838p-2, -0x1.fcf600afdb87fp-3, -0x1.f4122cc120c15p-3, -0x1.eb468ac053f62p-3, -0x1.e2934fb278bfcp-3, -0x1.d9f8ac2978e2p-3, -0x1.d176cc58a8705p-3, -0x1.c90dd829f73c6p-3, -0x1.c0bdf353b2855p-3, -0x1.b8873d6ed6081p-3, -0x1.b069d20dc77dcp-3, -0x1.a865c8d384745p-3, -0x1.a07b358b2112cp-3, -0x1.98aa283f90c12p-3, -0x1.90f2ad53ac633p-3, -0x1.8954cd9a6ffccp-3, -0x1.81d08e6f4f359p-3, -0x1.7a65f1ceafaf3p-3, -0x1.7314f66e6c272p-3, -0x1.6bdd97d65bfeap-3, -0x1.64bfce78dd664p-3, -0x1.5dbb8fcb43635p-3, -0x1.56d0ce5e41324p-3, -0x1.4fff79f627eb5p-3, -0x1.49477fa309c3dp-3, -0x1.42a8c9d8ab2c5p-3, -0x1.3c2340864a977p-3, -0x1.35b6c92e24855p-3, -0x1.2f6346fcc56c8p-3, -0x1.29289ae01543dp-3, -0x1.2306a39e19298p-3, -0x1.1cfd3deb714f6p-3, -0x1.170c44817e0fcp-3, -0x1.113390343c008p-3, -0x1.0b72f807c48b6p-3, -0x1.05ca514574ce2p-3, -0x1.00396f90bd656p-3, -0x1.f58049f71f67ap-4, -0x1.eabc8434df5c9p-4, -0x1.e0272c303bba2p-4, -0x1.d5bfdd91c2f83p-4, -0x1.cb86317ade6c4p-4, -0x1.c179beaacca45p-4, -0x1.b79a19a2cdeddp-4, -0x1.ade6d4c983085p-4, -0x1.a45f808d7fc66p-4, -0x1.9b03ab8700056p-4, -0x1.91d2e298d4cc1p-4, -0x1.88ccb1107a6f8p-4, -0x1.7ff0a0c55c236p-4, -0x1.773e3a3746322p-4, -0x1.6eb504ac0708dp-4, -0x1.6654864c3e363p-4, -0x1.5e1c443f5e1ccp-4, -0x1.560bc2c6dc4bfp-4, -0x1.4e228558991f2p-4, -0x1.46600eb8784d8p-4, -0x1.3ec3e11132af3p-4, -0x1.374d7e0c610a7p-4, -0x1.2ffc66e9c0439p-4, -0x1.28d01c95b3aecp-4, -0x1.21c81fbf07ce3p-4, -0x1.1ae3f0ebf62fbp-4, -0x1.1423108e6e494p-4, -0x1.0d84ff17a6d92p-4, -0x1.07093d0af9e59p-4, -0x1.00af4b100aa8ap-4, -0x1.f4ed540884d82p-5, -0x1.e8bdb61732db4p-5, -0x1.dccebf41779b2p-5, -0x1.d11f734908bf8p-5, -0x1.c5aed6d9ad08bp-5, -0x1.ba7befa5ad038p-5, -0x1.af85c4810d699p-5, -0x1.a4cb5d7b905d7p-5, -0x1.9a4bc3f991eadp-5, -0x1.900602cbb53cep-5, -0x1.85f926457cedap-5, -0x1.7c243c52bfa82p-5, -0x1.7286548c13259p-5, -0x1.691e804a267d6p-5, -0x1.5febd2b817094p-5, -0x1.56ed60e4cbd48p-5, -0x1.4e2241d3508c8p-5, -0x1.45898e8a46d1fp-5, -0x1.3d22622265d2p-5, -0x1.34ebd9d419c01p-5, -0x1.2ce51504416d1p-5, -0x1.250d355013d6ap-5, -0x1.1d635e983679ep-5, -0x1.15e6b70b024d7p-5, -0x1.0e96672e06835p-5, -0x1.077199e6ca7c2p-5, -0x1.00777c82d430fp-5, -0x1.f34e7d7df92b3p-6, -0x1.e600259c23e43p-6, -0x1.d9025abda6379p-6, -0x1.cc538b4290f77p-6, -0x1.bff22a96fb63dp-6, -0x1.b3dcb13b3e025p-6, -0x1.a8119ccb16176p-6, -0x1.9c8f7003a02c1p-6, -0x1.9154b2c842f36p-6, -0x1.865ff2269686ap-6, -0x1.7bafc05948adp-6, -0x1.7142b4ca0fc5ep-6, -0x1.67176c12a6b3ep-6, -0x1.5d2c87fd02584p-6, -0x1.5380af8288517p-6, -0x1.4a128eca97366p-6, -0x1.40e0d7282fbfcp-6, -0x1.37ea3f16ee05bp-6, -0x1.2f2d82373e68ep-6, -0x1.26a96149f20b2p-6, -0x1.1e5ca22b1e6eep-6, -0x1.16460fcc69504p-6, -0x1.0e647a2eb2a57p-6, -0x1.06b6b65b312dap-6, -0x1.fe773cb816d2cp-7, -0x1.efe42268cd4d3p-7, -0x1.e1b1e5aff02dcp-7, -0x1.d3de58445747cp-7, -0x1.c6675599a646fp-7, -0x1.b94ac2ccd0f2cp-7, -0x1.ac868e8fecb55p-7, -0x1.a018b115458bap-7, -0x1.93ff2bf9b7c7bp-7, -0x1.88380a2e6f027p-7, -0x1.7cc15fe20606p-7, -0x1.71994a69253c9p-7, -0x1.66bdf02687b87p-7, -0x1.5c2d80729545ep-7, -0x1.51e6338287ad6p-7, -0x1.47e64a4f20c7p-7, -0x1.3e2c0e7b057edp-7, -0x1.34b5d238bc1afp-7, -0x1.2b81f0306acp-7, -0x1.228ecb653ddbfp-7, -0x1.19dacf1a8a96cp-7, -0x1.11646eb8ce13dp-7, -0x1.092a25b26e37p-7, -0x1.012a77684b1f7p-7, -0x1.f2c7de1c6f2b7p-8, -0x1.e3aa3f1e934b3p-8, -0x1.d4f946e43cd23p-8, -0x1.c6b2397a04347p-8, -0x1.b8d269b426269p-8, -0x1.ab5738f6a5076p-8, -0x1.9e3e16fd92d1bp-8, -0x1.918481a5230a9p-8, -0x1.852804b20ce81p-8, -0x1.79263999e355ep-8, -0x1.6d7cc74b840ebp-8, -0x1.622961f7c9232p-8, -0x1.5729cada5c47dp-8, -0x1.4c7bd002d93bp-8, -0x1.421d4c1e162aep-8, -0x1.380c263fbc9bap-8, -0x1.2e4651ac29cc7p-8, -0x1.24c9cda2b350bp-8, -0x1.1b94a5282d876p-8, -0x1.12a4eed1f734ep-8, -0x1.09f8cc91341eap-8, -0x1.018e6b7e8f9b2p-8, -0x1.f2c8074cd42e6p-9, -0x1.e2efafaae953ap-9, -0x1.d3906acb99754p-9, -0x1.c4a6e818f4581p-9, -0x1.b62feb4efe173p-9, -0x1.a8284c18a6b01p-9, -0x1.9a8cf5adef4cfp-9, -0x1.8d5ae672f92f1p-9, -0x1.808f2f986f5f4p-9, -0x1.7426f4bca2d3ep-9, -0x1.681f6b8dd333ap-9, -0x1.5c75db6ddfe26p-9, -0x1.51279d16b3f41p-9, -0x1.46321a4050749p-9, -0x1.3b92cd479a978p-9, -0x1.314740d65b068p-9, -0x1.274d0f8ca729bp-9, -0x1.1da1e3ab36502p-9, -0x1.144376bf014c3p-9, -0x1.0b2f914e4c09ap-9, -0x1.02640a868d81dp-9, -0x1.f3bd8fd7203e1p-10, -0x1.e33b7a0ffb958p-10, -0x1.d33dd63df105ap-10, -0x1.c3c0c1bdabf41p-10, -0x1.b4c0742ad4b4cp-10, -0x1.a6393eca4a04cp-10, -0x1.98278bf6ba81p-10, -0x1.8a87de905c60ep-10, -0x1.7d56d16e2d004p-10, -0x1.709116d223e4dp-10, -0x1.643377dfa1b82p-10, -0x1.583ad41466a5ep-10, -0x1.4ca420c342152p-10, -0x1.416c68919bf62p-10, -0x1.3690caf73103bp-10, -0x1.2c0e7bc0187c7p-10, -0x1.21e2c29103905p-10, -0x1.180afa6e325c3p-10, -0x1.0e849143b629cp-10, -0x1.054d0770c3fc7p-10, -0x1.f8c3dea9aa9a5p-11, -0x1.e781d9be331e4p-11, -0x1.d6cf6a3ffe5e8p-11, -0x1.c6a81bba16e54p-11, -0x1.b7079a4dbd47bp-11, -0x1.a7e9b1e177cbbp-11, -0x1.994a4d555f39dp-11, -0x1.8b2575bb5d2aap-11, -0x1.7d7751934510ep-11, -0x1.703c240ac9215p-11, -0x1.63704c4249ff2p-11, -0x1.571044946f19dp-11, -0x1.4b18a1e197fbdp-11, -0x1.3f8612e011651p-11, -0x1.34555f6f3f3a8p-11, -0x1.298367eeac74ep-11, -0x1.1f0d2498e1152p-11, -0x1.14efa4e203bfdp-11, -0x1.0b280ed9779afp-11, -0x1.01b39e8efee48p-11, -0x1.f11f4af761aefp-12, -0x1.df7313dc41f0bp-12, -0x1.ce5d8cf388562p-12, -0x1.bdd9d2d3b0f5fp-12, -0x1.ade3286f0761fp-12, -0x1.9e74f605d1177p-12, -0x1.8f8ac81e277f7p-12, -0x1.81204e82aec9bp-12, -0x1.73315b48458e8p-12, -0x1.65b9e1d74c13p-12, -0x1.58b5f5fc834e7p-12, -0x1.4c21caffe6b5ap-12, -0x1.3ff9b2bfc771dp-12, -0x1.343a1cd1ed2cap-12, -0x1.28df95a9ca999p-12, -0x1.1de6c5c521dcdp-12, -0x1.134c70dcaa6b1p-12, -0x1.090d751a6af98p-12, -0x1.fe4d94aa5af45p-13, -0x1.eb2b02a14f9bap-13, -0x1.d8ad8604eeb2fp-13, -0x1.c6cf9fb6d460bp-13, -0x1.b58bfe2b54e1cp-13, -0x1.a4dd7c10c733ep-13, -0x1.94bf1efcd22f4p-13, -0x1.852c16237a6a7p-13, -0x1.761fb918e89d7p-13, -0x1.679586980768cp-13, -0x1.59892353cb313p-13, -0x1.4bf658cdd3fa7p-13, -0x1.3ed91437d629ap-13, -0x1.322d655bb7268p-13, -0x1.25ef7d8a16b3ep-13, -0x1.1a1bae916e0ap-13, -0x1.0eae69bcae5f4p-13, -0x1.03a43ed74c5afp-13, -0x1.f1f3b6735a15ap-14, -0x1.dd5811b3c8108p-14, -0x1.c96f5accdf515p-14, -0x1.b63392cab6283p-14, -0x1.a39eeeb27d858p-14, -0x1.91abd5dac2f37p-14, -0x1.8054e0511375fp-14, -0x1.6f94d54623a0bp-14, -0x1.5f66a98c78edp-14, -0x1.4fc57e186ac5fp-14, -0x1.40ac9e93dbeffp-14, -0x1.32177ffaae435p-14, -0x1.2401bf3e4f27bp-14, -0x1.16671ff4fa8e6p-14, -0x1.09438b1695f25p-14, -0x1.f9261b77f4344p-15, -0x1.e0a3afdc45afdp-15, -0x1.c8f876f5797e4p-15, -0x1.b21d55a153ccbp-15, -0x1.9c0b6fd2eb6b6p-15, -0x1.86bc2672ee585p-15, -0x1.7229154b33c41p-15, -0x1.5e4c1108094abp-15, -0x1.4b1f254bb3c79p-15, -0x1.389c92c828a2ap-15, -0x1.26becd6ea7ca4p-15, -0x1.15807aabd95bap-15, -0x1.04dc6fadc0fc8p-15, -0x1.e99b5f831bc6cp-16, -0x1.ca9ed56b0c63cp-16, -0x1.acb9f69423ed5p-16, -0x1.8fe3cb6766bc5p-16, -0x1.7413ac471af1p-16, -0x1.59413ec0fcefbp-16, -0x1.3f6472cdb456ap-16, -0x1.2675802dcc30cp-16, -0x1.0e6ce3d9d7005p-16, -0x1.ee86bb1f39f04p-17, -0x1.c1e3dacdca66ep-17, -0x1.96e3a3059d3b3p-17, -0x1.6d7907b27b885p-17, -0x1.4597700893245p-17, -0x1.1f32b260681b4p-17, -0x1.f47e204e78a32p-18, -0x1.ad6263df86a7cp-18, -0x1.68fc4764b58adp-18, -0x1.2736a2583dd2bp-18, -0x1.cffa0963a2f91p-19, -0x1.56776012fbb98p-19, -0x1.c37e448d83957p-20, -0x1.c6b1cc65861adp-21, -0x1.86ecb5ab1b34dp-25, 0x1.8456319dc5da8p-21, 0x1.88112529190aep-20, 0x1.22dd8c718a3acp-19, 0x1.7db39637fc515p-19, 0x1.d4a8c5ae1744ap-19, 0x1.13ed1a14e7d0ep-18, 0x1.3bb204035e4bbp-18, 0x1.61b0becee8ddep-18, 0x1.85f6782a3a392p-18, 0x1.a88ff1894bbbp-18, 0x1.c989841cde07bp-18, 0x1.e8ef24e823d4ep-18, 0x1.0366343c48c3ep-17, 0x1.1196434dae8bbp-17, 0x1.1f0d2ee40afb2p-17, 0x1.2bd03b4fa4e5cp-17, 0x1.37e48391e5377p-17, 0x1.434efae3ab179p-17, 0x1.4e146e4498d09p-17, 0x1.583985eba6c36p-17, 0x1.61c2c6a80c59fp-17, 0x1.6ab49339f9afp-17, 0x1.73132d9d43f3dp-17, 0x1.7ae2b8471a92ap-17, 0x1.82273750d8f7ap-17, 0x1.88e491a1d4f09p-17, 0x1.8f1e920763032p-17, 0x1.94d8e840f2b93p-17, 0x1.9a1729fe8cc87p-17, 0x1.9edcd3e05d473p-17, 0x1.a32d4a655d4e8p-17, 0x1.a70bdac8a019fp-17, 0x1.aa7bbbe3cf72fp-17, 0x1.ad800efdca4a5p-17, 0x1.b01be0982e9d9p-17, 0x1.b2522929fbf8ep-17, 0x1.b425cdddd7848p-17, 0x1.b599a1434098ap-17, 0x1.b6b063f9feb2bp-17, 0x1.b76cc54df76c8p-17, 0x1.b7d163dbce174p-17, 0x1.b7e0ce244c4b4p-17, 0x1.b79d831829b4fp-17, 0x1.b709f2a44cf0bp-17, 0x1.b6287e333d635p-17, 0x1.b4fb792d482b1p-17, 0x1.b385296bf9078p-17, 0x1.b1c7c7ae93c89p-17, 0x1.afc580094bb3cp-17, 0x1.ad80724fd767bp-17, 0x1.aafab2742c8ffp-17, 0x1.a83648e954c2p-17, 0x1.a5353302b21a5p-17, 0x1.a1f9634634604p-17, 0x1.9e84c1c153361p-17, 0x1.9ad92c59df465p-17, 0x1.96f8771b06a9bp-17, 0x1.92e46c8077f52p-17, 0x1.8e9ecdb3d465cp-17, 0x1.8a2952d6608eep-17, 0x1.8585ab3e28b35p-17, 0x1.80b57db5e014dp-17, 0x1.7bba68af6b9d6p-17, 0x1.769602836c274p-17, 0x1.7149d9a2457adp-17, 0x1.6bd774c58a2dep-17, 0x1.6640531f46c19p-17, 0x1.6085ec8a098aep-17, 0x1.5aa9b1b846508p-17, 0x1.54ad0c58918b8p-17, 0x1.4e915f3de5af5p-17, 0x1.48580687c999ep-17, 0x1.420257c710d98p-17, 0x1.3b91a220d4d4ap-17, 0x1.35072e6c4161ep-17, 0x1.2e643f588ca13p-17, 0x1.27aa118722c17p-17, 0x1.20d9dba98df9dp-17, 0x1.19f4ce9b1b463p-17, 0x1.12fc157e876f4p-17, 0x1.0bf0d5d9c76a1p-17, 0x1.04d42faaa6212p-17, 0x1.fb4e7afdb92bfp-18, 0x1.ecd62914e8f35p-18, 0x1.de41897b8979bp-18, 0x1.cf92b1b774259p-18, 0x1.c0cbad15963b1p-18, 0x1.b1ee7cd5ff06dp-18, 0x1.a2fd1850bba9dp-18, 0x1.93f96d139d5a6p-18, 0x1.84e55f08f1a1ep-18, 0x1.75c2c891e3067p-18, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      34, 0x1.0eb851eb851ecp+2, 0x1.ae61caeb6859ep-6, 0x1.d9d503ee83ab3p+0, -0x1.74800c6eb83ecp+2, 
      {{
        {0x1.4b851eb851eb8p+1, 0x1.4cccccccccccdp+1, 0x1.0342c693ccea6p-3, -0x1.3fee25228bb2ep-3, 0x1.0cee1c9a1a07fp-9, 0x1.899abdd6c49b2p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.000fe312c0eb5p-3, -0x1.3fd112cd2675cp-3, 0x1.c9dc3a48ded21p-9, 0x1.865078a49de8bp-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.e033de703f862p-4, -0x1.3e5e941587186p-3, 0x1.5ca756f4fcd8ep-7, 0x1.82d598942f5d6p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c07fb154ad5c4p-4, -0x1.3b770d55a381cp-3, 0x1.22608c73bfd5dp-6, 0x1.7f01894420d95p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.a128603cd88e5p-4, -0x1.371e0099fbed4p-3, 0x1.954768d4fce37p-6, 0x1.7ccf9f9b5d49fp-5}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.8252b69ae2e76p-4, -0x1.315652082682ep-3, 0x1.03c2d92832d63p-5, 0x1.66467de920a7p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.6422efeddd36bp-4, -0x1.2a2be086de4c9p-3, 0x1.39809f3e5e22cp-5, 0x1.45e03aec0263bp-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.46bb48c880829p-4, -0x1.21b90a83e819ep-3, 0x1.6a6241ae91b19p-5, 0x1.275e07b2370ebp-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.2a3b11a3658c8p-4, -0x1.181c0223873c4p-3, 0x1.96b05c6fb38d9p-5, 0x1.085a2045197e1p-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.0ebea35daf0d4p-4, -0x1.0d724f7286b2dp-3, 0x1.be577ae077605p-5, 0x1.d2f1f3c3cc408p-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e8bebe7a13655p-5, -0x1.01d9a8112185dp-3, 0x1.e15cd38f26b1dp-5, 0x1.951d0714bdc24p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.b6675ddb58414p-5, -0x1.eadf6ad295dfdp-4, 0x1.ffbf00e3e8209p-5, 0x1.574d17f468793p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.869e0904ade31p-5, -0x1.d0a448554ab65p-4, 0x1.0cbf3157eb2e6p-4, 0x1.197bd281f7be1p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.5983b4e8a969fp-5, -0x1.b53d4048bc7d7p-4, 0x1.174d6fa331459p-4, 0x1.b755d1921e2f9p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2f336746f3e29p-5, -0x1.98e5aac38f6p-4, 0x1.1f8a3ec45509ap-4, 0x1.3bb3ccf8a8f75p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.07c236ac4a443p-5, -0x1.7bd8dfbc2c791p-4, 0x1.25759dcf65017p-4, 0x1.8023ab1481007p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.c67e94e4fae41p-6, -0x1.5e5237319fe94p-4, 0x1.290f8d0396371p-4, 0x1.11bf6a5ecc567p-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.8367b580e4789p-6, -0x1.408d0920a4cd6p-4, 0x1.2a580c5007f91p-4, -0x1.b990fbabdba81p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.4646611442bb9p-6, -0x1.22c4ad86973d7p-4, 0x1.294f1bb907421p-4, -0x1.65a83328667ecp-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.0f154b212efccp-6, -0x1.05347c60a07b9p-4, 0x1.25f4bb3e3fe5bp-4, -0x1.2e761451bbf68p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.bb869187d4c3dp-7, -0x1.d02f9b5828382p-5, 0x1.2048eadcb792bp-4, -0x1.aa180c82d8383p-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.6466a165bbd1ap-7, -0x1.9753f2cb9e78p-5, 0x1.184baaa0a9eb3p-4, -0x1.12dd07235e2d2p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.1878f67d34d05p-7, -0x1.604caf18bd28cp-5, 0x1.0dfcfa5c232ffp-4, -0x1.50adf625dabbfp-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.aea809476234p-8, -0x1.2b9080300da93p-5, 0x1.015cdabab7c8dp-4, -0x1.8e7f27dcdfe08p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.40ed05c5e377cp-8, -0x1.f32c2c61f4c4ap-6, 0x1.e4d6927811fa8p-5, -0x1.cc4f60a1516c3p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.cd1dade41dbb9p-9, -0x1.95a84117f3b47p-6, 0x1.c2509e6bf8ac2p-5, -0x1.05119d3da9d58p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3c57ef614a768p-9, -0x1.3f82a27ce1f4cp-6, 0x1.9b2793a2b8cbep-5, -0x1.23f4c478e95c9p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.98cda53c1b11fp-10, -0x1.e3514303fbe05p-7, 0x1.6f5c762a2f649p-5, -0x1.42f131f063e03p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e7259c1998481p-11, -0x1.5a0fac49ae78bp-7, 0x1.3eeb7b79539c4p-5, -0x1.618f4c288ea1ep-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.027f235e480cp-11, -0x1.ca333ced0e233p-8, 0x1.09e2c9a6716a9p-5, -0x1.818d6d220cd07p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.cab21200df0ffp-13, -0x1.0c9fe4b6be6a7p-8, 0x1.a01b25c2abca3p-6, -0x1.9c69c6552d556p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.29b4b7f2a92p-14, -0x1.fbb5341e5815fp-10, 0x1.2461d0a91e311p-6, -0x1.ca6d37e0d49e5p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.8a9967221c002p-17, -0x1.2bd676b463aa3p-11, 0x1.35b54c9823324p-7, -0x1.adb02670c5906p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.0eb851eb851ecp+2, 0x1.fe26eb67b4a31p-23, -0x1.51c1d35e12a7fp-16, 0x1.9f29ac3d654afp-10, -0x1.cb575f4855a06p-4}, 
      }}, 
      0x1.db4cef6752467p+1, -0x1.5600191b2effp+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.0e4e1de172b6cp-8, -0x1.01e946f214909p-7, -0x1.63eaadc7e531bp-7, -0x1.a377fd2e9ab4ep-7, -0x1.ba7ec2a6c176p-7, -0x1.a60b75b47177ap-7, -0x1.658237d6bc6dbp-7, -0x1.f40ed220baf0dp-8, -0x1.985acbd6ed7a1p-9, 0x1.4b429749d7557p-9, 0x1.2c77b5e5f3bd9p-7, 0x1.111a221f53a1cp-6, 0x1.9791d5739deep-6, 0x1.13960134a0f43p-5, 0x1.5ebebc9a8317cp-5, 0x1.ac19ac41109b8p-5, 0x1.fa8e54e27e2dap-5, 0x1.248c742a71427p-4, 0x1.4b66913e388dp-4, 0x1.716c2ace59bd2p-4, 0x1.96414b9bccac7p-4, 0x1.b9978174ee68cp-4, 0x1.db2d8c3f74f9bp-4, 0x1.facea7cacd032p-4, 0x1.0c28c38e77ddbp-3, 0x1.19cb8f1fff0adp-3, 0x1.2644abf7a5b92p-3, 0x1.318ce894d4586p-3, 0x1.3ba05765d009cp-3, 0x1.447dcc53ce2b6p-3, 0x1.4c266fddd9cb5p-3, 0x1.529d6705ff54dp-3, 0x1.57e78d87b2e77p-3, 0x1.5c0b3e951075dp-3, 0x1.5f102801cd5d7p-3, 0x1.60ff242855212p-3, 0x1.61e21777938d9p-3, 0x1.61c3cf67bd528p-3, 0x1.60afe1f3456cdp-3, 0x1.5eb28c6caa4fap-3, 0x1.5bd8925e65069p-3, 0x1.582f1c7a8a655p-3, 0x1.53c398683a84p-3, 0x1.4ea399fd6bc31p-3, 0x1.48dcbe8896d36p-3, 0x1.427c929817971p-3, 0x1.3b907a961bdcdp-3, 0x1.34259e4e6057ap-3, 0x1.2c48d76470d1ep-3, 0x1.2406a28eeca31p-3, 0x1.1b6b13716d4a5p-3, 0x1.1281cac396c32p-3, 0x1.0955eea2f2d87p-3, 0x1.ffe44865ce153p-4, 0x1.ecc117a3b3583p-4, 0x1.d9557996e2cccp-4, 0x1.c5b38a5128689p-4, 0x1.b1ec4dc626a19p-4, 0x1.9e0fb26b4f9eap-4, 0x1.8a2c924e5e358p-4, 0x1.7650b2d80387dp-4, 0x1.6288d2bb52789p-4, 0x1.4ee0a319f85ffp-4, 0x1.3b62de812275fp-4, 0x1.281941f312627p-4, 0x1.150ca1d3227f6p-4, 0x1.0244ee921f071p-4, 0x1.df9284dff77d8p-5, 0x1.bb3fdb9b6188cp-5, 0x1.979d06970af6cp-5, 0x1.74b3c3f11fba5p-5, 0x1.528c8675700bap-5, 0x1.312e893667a2bp-5, 0x1.109fe8cdcd78p-5, 0x1.e1cb741e3fa39p-6, 0x1.a4083dc92e309p-6, 0x1.67fcb4fb53c27p-6, 0x1.2dadc595d5e0cp-6, 0x1.ea3dc2a398554p-7, 0x1.7ca43aca91672p-7, 0x1.12909c880c49ap-7, 0x1.58048879a4cdfp-8, 0x1.23d9cebdf414bp-9, -0x1.6977e8faab167p-11, -0x1.cab7ee4f77dc7p-9, -0x1.96aa07e8d11c2p-8, -0x1.20960b81894d5p-7, -0x1.727bd8a922e6ap-7, -0x1.c112669834d4ep-7, -0x1.0633651a6fc4ep-6, -0x1.2a438c5fe9bf9p-6, -0x1.4cc128088629fp-6, -0x1.6db4200a297c4p-6, -0x1.8d24ba7fb20b4p-6, -0x1.ab1b9159be0dcp-6, -0x1.c7a188685b1b5p-6, -0x1.e2bfc3cf82bdap-6, -0x1.fc7f9efb514p-6, -0x1.0a7551ee28a57p-5, -0x1.1605414487c85p-5, -0x1.20f4849a547cbp-5, -0x1.2b480e2b29347p-5, -0x1.3504d78cfd8a3p-5, -0x1.3e2fde07f9cbbp-5, -0x1.46ce1f0103adep-5, -0x1.4ee4948c5761bp-5, -0x1.56783222be8b7p-5, -0x1.5d8de1727610bp-5, -0x1.642a7f709554fp-5, -0x1.6a52d981e2fd5p-5, -0x1.700baafac1b09p-5, -0x1.75599ab0e06b8p-5, -0x1.7a4138f2290cbp-5, -0x1.7ec6fda5113dbp-5, -0x1.82ef4696ebec9p-5, -0x1.86be5645cbfb3p-5, -0x1.8a38529409bbfp-5, -0x1.8d61440172fd4p-5, -0x1.903d15027c2f7p-5, -0x1.92cf916c0828bp-5, -0x1.951c666c50477p-5, -0x1.9727224be33a2p-5, -0x1.98f3349c37ecep-5, -0x1.9a83eea2c370ap-5, -0x1.9bdc838338a87p-5, -0x1.9d000905e2b93p-5, -0x1.9df1783877541p-5, -0x1.9eb3adf8d9e8ap-5, -0x1.9f496c1351b17p-5, -0x1.9fb559f13f5f8p-5, -0x1.9ffa05645b662p-5, -0x1.a019e3e86b72ep-5, -0x1.a017534534e0ap-5, -0x1.9ff49a6d29bb4p-5, -0x1.9fb3eac2e94e4p-5, -0x1.9f57609efe0e4p-5, -0x1.9ee1041713f02p-5, -0x1.9e52ca38b76fbp-5, -0x1.9dae95700b31dp-5, -0x1.9cf6361315d78p-5, -0x1.9c2b6b8b486a8p-5, -0x1.9b4fe4ada382dp-5, -0x1.9a653fece67efp-5, -0x1.996d0c6120965p-5, -0x1.9868ca37ed1c1p-5, -0x1.9759ea8a1373ap-5, -0x1.9641d0137979fp-5, -0x1.9521cfe081168p-5, -0x1.93fb30f96cbbfp-5, -0x1.92cf2c8ea6c0cp-5, -0x1.919eeed5c55d2p-5, -0x1.906b96f3c467dp-5, -0x1.8f36368d58a0bp-5, -0x1.8dffd26c4b105p-5, -0x1.8cc9630865766p-5, -0x1.8b93d3ee346a6p-5, -0x1.8a60039ac3423p-5, -0x1.892ec4600a416p-5, -0x1.8800dc8896d54p-5, -0x1.86d7058fa98a8p-5, -0x1.85b1ec4f08855p-5, -0x1.849232002de95p-5, -0x1.83786c2a4dbb8p-5, -0x1.826523cfa54c2p-5, -0x1.8158d5c75cbcfp-5, -0x1.8053f3e2fe152p-5, -0x1.7f56e4eb00043p-5, -0x1.7e6203bfc3b8cp-5, -0x1.7d759fa17430cp-5, -0x1.7c91fd8712115p-5, -0x1.7bb7587ac3efep-5, -0x1.7ae5e0b83fbfcp-5, -0x1.7a1dbb8f296bep-5, -0x1.795f04c44a52fp-5, -0x1.78a9cf9bf292dp-5, -0x1.77fe264833149p-5, -0x1.775c092bb4f22p-5, -0x1.76c36fbbbf91fp-5, -0x1.76344a314c03dp-5, -0x1.75ae81e8aebbep-5, -0x1.7531f85d0fba1p-5, -0x1.74be86e249b6p-5, -0x1.7454002b235a1p-5, -0x1.73f231ec01a32p-5, -0x1.7398e4b4945cfp-5, -0x1.7347dab7d12ap-5, -0x1.72fecfd7470f3p-5, -0x1.72bd7b7d06bd6p-5, -0x1.7283923087607p-5, -0x1.7250c529b073fp-5, -0x1.7224c0e9d633p-5, -0x1.71ff2d454c8a6p-5, -0x1.71dfaf54db2b3p-5, -0x1.71c5eb28a373fp-5, -0x1.71b18364f094ep-5, -0x1.71a217a8255bbp-5, -0x1.7197442e10157p-5, -0x1.7190a38c9a4bdp-5, -0x1.718dd0acbb18cp-5, -0x1.718e66da44a6ap-5, -0x1.719200235439bp-5, -0x1.719834478de06p-5, -0x1.71a099c5a4dfep-5, -0x1.71aac7fcfd4efp-5, -0x1.71b65813552bcp-5, -0x1.71c2e3d0e7e24p-5, -0x1.71d003f4bb582p-5, -0x1.71dd500fd8969p-5, -0x1.71ea60327b6fap-5, -0x1.71f6cea204164p-5, -0x1.720237d945ee9p-5, -0x1.720c3901e4c5bp-5, -0x1.72146ea3feaep-5, -0x1.721a750093ecap-5, -0x1.721de9beed281p-5, -0x1.721e6d2f4e8dcp-5, -0x1.721ba1f188a55p-5, -0x1.72152b7eabe62p-5, -0x1.720aad1783f22p-5, -0x1.71fbca25dc9f2p-5, -0x1.71e827ab2be2bp-5, -0x1.71cf6d4de0e59p-5, -0x1.71b14512a319p-5, -0x1.718d5a25b7a51p-5, -0x1.716357deae6b9p-5, -0x1.7132e9de6dafdp-5, -0x1.70fbbd235b746p-5, -0x1.70bd8109be68ap-5, -0x1.7077e75471146p-5, -0x1.702aa3544c32fp-5, -0x1.6fd568fd50ecp-5, -0x1.6f77ecab64f96p-5, -0x1.6f11e3c04addap-5, -0x1.6ea3058b74131p-5, -0x1.6e2b0baf08601p-5, -0x1.6da9b1be0fd81p-5, -0x1.6d1eb481d2b3cp-5, -0x1.6c89d1833a09bp-5, -0x1.6beac72ce09abp-5, -0x1.6b41556761a75p-5, -0x1.6a8d3e3058f38p-5, -0x1.69ce45b2f2ed5p-5, -0x1.690431e29e468p-5, -0x1.682ec9ffb4712p-5, -0x1.674dd6671c3eep-5, -0x1.666120c96dd8ep-5, -0x1.656874a2b885ap-5, -0x1.64639f9df6c6ep-5, -0x1.6352719ba1918p-5, -0x1.6234bc65aea4bp-5, -0x1.610a535fc2bb5p-5, -0x1.5fd30b74eef3ap-5, -0x1.5e8ebb4b0e9dep-5, -0x1.5d3d3b9afc36ap-5, -0x1.5bde677a28dfcp-5, -0x1.5a721c677f9d6p-5, -0x1.58f83a191f98cp-5, -0x1.5770a23ef0eeap-5, -0x1.55db3871f43f8p-5, -0x1.5437e25cdef6ap-5, -0x1.528688022d567p-5, -0x1.50c713f9f13c1p-5, -0x1.4ef97389beaaap-5, -0x1.4d1d968b6a505p-5, -0x1.4b336f37da946p-5, -0x1.493af2033ce09p-5, -0x1.473415aa039b5p-5, -0x1.451ed3671db02p-5, -0x1.42fb2731b252fp-5, -0x1.40c90fe20d485p-5, -0x1.3e888f2fe98e1p-5, -0x1.3c39a98e8d4eep-5, -0x1.39dc65fc45cd9p-5, -0x1.3770cde5c29e2p-5, -0x1.34f6ed335403ap-5, -0x1.326ed2797885bp-5, -0x1.2fd88f2e65f48p-5, -0x1.2d3437c55e869p-5, -0x1.2a81e3a37e605p-5, -0x1.27c1acf7f8633p-5, -0x1.24f3b08c360dep-5, -0x1.22180da2add91p-5, -0x1.1f2ee5f605e86p-5, -0x1.1c385dd9cd167p-5, -0x1.19349c689209p-5, -0x1.1623cba123d52p-5, -0x1.1306185d824afp-5, -0x1.0fdbb2268e2a3p-5, -0x1.0ca4cafb0ebfap-5, -0x1.09619722cc91bp-5, -0x1.06124d1cf3cb4p-5, -0x1.02b725add3ba1p-5, -0x1.fea0b805070bcp-6, -0x1.f7bc5ba794a13p-6, -0x1.f0c1b6db170bp-6, -0x1.e9b14f181d247p-6, -0x1.e28bae3013fa9p-6, -0x1.db5161bd6663bp-6, -0x1.d402fac631243p-6, -0x1.cca10daa25a1cp-6, -0x1.c52c325154c2ap-6, -0x1.bda5047a795a6p-6, -0x1.b60c23f98d03ep-6, -0x1.ae6234b85159dp-6, -0x1.a6a7de5f17419p-6, -0x1.9eddcbb4df0cap-6, -0x1.9704a9eeb6ecfp-6, -0x1.8f1d283317a79p-6, -0x1.8727f77906978p-6, -0x1.7f25cab9af037p-6, -0x1.7717574967bd3p-6, -0x1.6efd5522fbb8dp-6, -0x1.66d87ef8715bbp-6, -0x1.5ea991f05e8c3p-6, -0x1.56714d157e5cep-6, -0x1.4e30709e8765dp-6, -0x1.45e7bd4a27713p-6, -0x1.3d97f406f85f6p-6, -0x1.3541d5faf48d8p-6, -0x1.2ce624cf3e16ep-6, -0x1.2485a308dcad2p-6, -0x1.1c211439b7321p-6, -0x1.13b93cea9bd86p-6, -0x1.0b4ee23b95b5p-6, -0x1.02e2c9509448cp-6, -0x1.f4eb6d634885ap-7, -0x1.e410db95cce46p-7, -0x1.d337615de103bp-7, -0x1.c2608048dd1d5p-7, -0x1.b18db7cd8e22cp-7, -0x1.a0c085d6614afp-7, -0x1.8ffa66fb8f811p-7, -0x1.7f3cd6435c115p-7, -0x1.6e894c72bc6f8p-7, -0x1.5de13f223c6c6p-7, -0x1.4d461fd5d62c8p-7, -0x1.3cb95b4e7895p-7, -0x1.2c3c5933df32ep-7, -0x1.1bd07c1982e58p-7, -0x1.0b7721c339013p-7, -0x1.f66346ef49bb4p-8, -0x1.d602ac50ffa03p-8, -0x1.b5cf149b1c8dbp-8, -0x1.95cb16e84c0b6p-8, -0x1.75f93f488baf4p-8, -0x1.565c0d92e7ac7p-8, -0x1.36f5f48798551p-8, -0x1.17c9595fcefcap-8, -0x1.f1b1277eba013p-9, -0x1.b44bdbc2b617p-9, -0x1.776749a530237p-9, -0x1.3b07d122bb62dp-9, -0x1.fe636fd5e5cd3p-10, -0x1.87d25153f93cfp-10, -0x1.126463d66f6dbp-10, -0x1.3c4313703d5d8p-11, -0x1.588b4478a55dp-13, 0x1.1b125ff384aecp-12, 0x1.6eb29cd98f639p-11, 0x1.26a5cf0b81de2p-10, 0x1.94a36b6b3404cp-10, 0x1.00a5d911ed46fp-9, 0x1.364c3779ecf2dp-9, 0x1.6b41d59b8adbap-9, 0x1.9f83d74547e3dp-9, 0x1.d30f7fbe0171dp-9, 0x1.02f11907be708p-8, 0x1.1bfcb89c41b92p-8, 0x1.34a9701b5b0f9p-8, 0x1.4cf620f3c768dp-8, 0x1.64e1bc62d79fbp-8, 0x1.7c6b434d39eeap-8, 0x1.9391c61c5929fp-8, 0x1.aa5464a7f371ap-8, 0x1.c0b24e2aa9ba9p-8, 0x1.d6aac13ad5b6ep-8, 0x1.ec3d0bbd64cd7p-8, 0x1.00b4456877816p-7, 0x1.0b165556e6dcbp-7, 0x1.1544734071e1fp-7, 0x1.1f3e6420de02p-7, 0x1.2903f44382751p-7, 0x1.3294f72b74f3p-7, 0x1.3bf14779eefe2p-7, 0x1.4518c6d3016dp-7, 0x1.4e0b5dc1f4ebcp-7, 0x1.56c8fb9e8ad2fp-7, 0x1.5f51967365f73p-7, 0x1.67a52ae4ea64ep-7, 0x1.6fc3bc16bfccap-7, 0x1.77ad538fcd87ep-7, 0x1.7f62011c71706p-7, 0x1.86e1daaffb8a2p-7, 0x1.8e2cfc4553c09p-7, 0x1.954387bf45925p-7, 0x1.9c25a4c7555f8p-7, 0x1.a2d380ab563f4p-7, 0x1.a94d4e3918e15p-7, 0x1.af934599718d3p-7, 0x1.b5a5a42bfef0bp-7, 0x1.bb84ac64b61b1p-7, 0x1.c130a5ac05586p-7, 0x1.c6a9dc3fe213ep-7, 0x1.cbf0a1140ee2bp-7, 0x1.d10549b013ddp-7, 0x1.d5e83009fb6e5p-7, 0x1.da99b25ec5ad9p-7, 0x1.df1a3309b8622p-7, 0x1.e36a185cb79eap-7, 0x1.e789cc7b7760fp-7, 0x1.eb79bd3a2f19bp-7, 0x1.ef3a5bffb72f8p-7, 0x1.f2cc1da97b28dp-7, 0x1.f62f7a6f02491p-7, 0x1.f964edc258ca1p-7, 0x1.fc6cf62c83c5fp-7, 0x1.ff4815253961p-7, 0x1.00fb67735dc8ep-6, 0x1.023cd5207b28ap-6, 0x1.0368983794b52p-6, 0x1.047ef679ab4e8p-6, 0x1.058036bcea0b1p-6, 0x1.066ca0e229a66p-6, 0x1.07447dccc1a04p-6, 0x1.0808175a5efd4p-6, 0x1.08b7b858680b3p-6, 0x1.0953ac7528b03p-6, 0x1.09dc402c7658ep-6, 0x1.0a51c0b0fceafp-6, 0x1.0ab47bd470d6bp-6, 0x1.0b04bff1e6083p-6, 0x1.0b42dbdc92601p-6, 0x1.0b6f1ed3cd675p-6, 0x1.0b89d87bc6d51p-6, 0x1.0b9358d8045e6p-6, 0x1.0b8bf044b690ep-6, 0x1.0b73ef6c201b9p-6, 0x1.0b4ba736e0f04p-6, 0x1.0b1368b837ad3p-6, 0x1.0acb8519709fdp-6, 0x1.0a744d88db9c5p-6, 0x1.0a0e13305da36p-6, 0x1.099927359d375p-6, 0x1.0915dac2bf62p-6, 0x1.08847f12b839bp-6, 0x1.07e56579e34f6p-6, 0x1.0738df6241bdfp-6, 0x1.067f3e34beab7p-6, 0x1.05b8d32e24f25p-6, 0x1.04e5ef2255c9ep-6, 0x1.0406e2396b934p-6, 0x1.031bfbb4d991bp-6, 0x1.022589cd37efp-6, 0x1.0123d9b5a815p-6, 0x1.001737cb23d7ep-6, 0x1.fdffdfd6668ffp-7, 0x1.fbbc9bc540998p-7, 0x1.f9653bb688487p-7, 0x1.f6fa595742f15p-7, 0x1.f47c8fd98e462p-7, 0x1.f1ec7b88da28ep-7, 0x1.ef4ab8c08ee81p-7, 0x1.ec97e2648569ep-7, 0x1.e9d4901d00963p-7, 0x1.e70154afd7ea5p-7, 0x1.e41ebcd996b24p-7, 0x1.e12d4ef71b5cdp-7, 0x1.de2d8bb3f9696p-7, 0x1.db1fefbcd8e97p-7, 0x1.d804f640a772fp-7, 0x1.d4dd1bd6981b8p-7, 0x1.d1a8e13b7eba2p-7, 0x1.ce68cd4c248ap-7, 0x1.cb1d6db68e602p-7, 0x1.c7c7560d8979dp-7, 0x1.c4671d35c99b4p-7, 0x1.c0fd59790b737p-7, 0x1.bd8a9bda22dedp-7, 0x1.ba0f6b79a7a85p-7, 0x1.b68c41eb70206p-7, 0x1.b301894215ecdp-7, 0x1.af6f9c575a594p-7, 0x1.abd6c97d8b26p-7, 0x1.a837575f1bf79p-7, 0x1.a4918b6c2c618p-7, 0x1.a0e5b0e0bcf71p-7, 0x1.9d341f395dbd4p-7, 0x1.997d3ee4be3e2p-7, 0x1.95c18b301c539p-7, 0x1.920190d3965ap-7, 0x1.8e3de91565254p-7, 0x1.8a77321bdddbp-7, 0x1.86ae059516d7bp-7, 0x1.82e2ef35b5302p-7, 0x1.7f1664a31dadcp-7, 0x1.7b48c0250110dp-7, 0x1.777a3f073ebcep-7, 0x1.73ab04021d5edp-7, 0x1.6fdb1d685061dp-7, 0x1.6c0a8e5184cb1p-7, 0x1.6839598d22461p-7, 0x1.64678cdbfb8cbp-7, 0x1.60954accc78aep-7, 0x1.5cc2d1a714ab9p-7, 0x1.58f07e20217d1p-7, 0x1.551ec927f1f29p-7, 0x1.514e40e61ac0bp-7, 0x1.4d7f7ddb08ca5p-7, 0x1.49b315db9d956p-7, 0x1.45e98f11b5188p-7, 0x1.422355318540dp-7, 0x1.3e60b2a713cf3p-7, 0x1.3aa1ceb9b2781p-7, 0x1.36e6b0b9f4d7dp-7, 0x1.332f477a5645fp-7, 0x1.2f7b73c081ef8p-7, 0x1.2bcb141c6eb96p-7, 0x1.281e109821908p-7, 0x1.247464df4e7ecp-7, 0x1.20ce27b85cc93p-7, 0x1.1d2b8ee398206p-7, 0x1.198ceebb24f15p-7, 0x1.15f2b54fff5fep-7, 0x1.125d614945e6ep-7, 0x1.0ecd757560397p-7, 0x1.0b436aaccf5f3p-7, 0x1.07bfa230e5eeap-7, 0x1.04425ae53fa4ep-7, 0x1.00cbab7ceb15ap-7, 0x1.fab705cae2031p-8, 0x1.f3e35e07400a9p-8, 0x1.ed1bd0f94682bp-8, 0x1.e65fc261cc7cap-8, 0x1.dfaea535eebc6p-8, 0x1.d9081339c2be7p-8, 0x1.d26bdc90ba1bfp-8, 0x1.cbda0ed940c4bp-8, 0x1.c552f55e7a14ep-8, 0x1.bed714a5e3efbp-8, 0x1.b867230aab529p-8, 0x1.b203fec3a7f62p-8, 0x1.abaea079ae70ep-8, 0x1.a568093c04e4bp-8, 0x1.9f312b87cee58p-8, 0x1.990ad100ebf05p-8, 0x1.92f580b6e4726p-8, 0x1.8cf16b65a39ecp-8, 0x1.86fe633aef26cp-8, 0x1.811be2d85001ep-8, 0x1.7b4923c9a414dp-8, 0x1.758540638e7bdp-8, 0x1.6fcf595480656p-8, 0x1.6a26b5a2c5009p-8, 0x1.648ad5523c0c3p-8, 0x1.5efb734a38c99p-8, 0x1.597879124886dp-8, 0x1.5401ec0cdc80ep-8, 0x1.4e97dddfc0589p-8, 0x1.493a678b69f75p-8, 0x1.43e9b11fd073dp-8, 0x1.3ea60171a2e6ap-8, 0x1.396fcc916450fp-8, 0x1.3447b73554b5p-8, 0x1.2f2e8930cc53p-8, 0x1.2a250ff8c5062p-8, 0x1.252bf9264544ap-8, 0x1.2043b0d0eab68p-8, 0x1.1b6c4ebe28f8bp-8, 0x1.16a5984a1b7a1p-8, 0x1.11ef1601eed6dp-8, 0x1.0d48360ced47p-8, 0x1.08b071759e729p-8, 0x1.04276a4d03386p-8, 0x1.ff59f53dea5c7p-9, 0x1.f6825f4294bb6p-9, 0x1.edc862d187f05p-9, 0x1.e52c3b0362c6bp-9, 0x1.dcadc0f017844p-9, 0x1.d44c39abc0301p-9, 0x1.cc0656219c201p-9, 0x1.c3da6adef1e75p-9, 0x1.bbc6d068bfddap-9, 0x1.b3ca4bb9906b2p-9, 0x1.abe459518ececp-9, 0x1.a4153e8772d95p-9, 0x1.9c5dda09f69b1p-9, 0x1.94bf464a71383p-9, 0x1.8d3a73b753977p-9, 0x1.85cfe30d5c2b8p-9, 0x1.7e7f97519ae2ap-9, 0x1.77493c5817024p-9, 0x1.702c694294852p-9, 0x1.6928e0c4946f3p-9, 0x1.623eba2aaab1dp-9, 0x1.5b6e6c652b8d5p-9, 0x1.54b8be9d7e342p-9, 0x1.4e1ea63427bc3p-9, 0x1.47a11b0bf957ap-9, 0x1.4140ea39b1e8ep-9, 0x1.3afe8c561027cp-9, 0x1.34da01a09f14bp-9, 0x1.2ed2b6be8be6cp-9, 0x1.28e779a1dba69p-9, 0x1.2316894b89af9p-9, 0x1.1d5dc62956e18p-9, 0x1.17bafc56fa619p-9, 0x1.122c34a820bc8p-9, 0x1.0caff44afbd22p-9, 0x1.0745573474e3cp-9, 0x1.01ebfeb391df6p-9, 0x1.f947c128b323ep-10, 0x1.eeda254afc129p-10, 0x1.e48f5abf2e14p-10, 0x1.da679a7905642p-10, 0x1.d0634aef575cbp-10, 0x1.c68324e8b48fap-10, 0x1.bcc848291531ap-10, 0x1.b3343dcb1f61ep-10, 0x1.a9c8dd0468c38p-10, 0x1.a08805117872dp-10, 0x1.97733f6336d52p-10, 0x1.8e8b851724f09p-10, 0x1.85d15b3a29254p-10, 0x1.7d4538e09e828p-10, 0x1.74e7e70b5fa23p-10, 0x1.6cba80cea43c4p-10, 0x1.64bdf4a109802p-10, 0x1.5cf23c5f6030fp-10, 0x1.5555b642dc0e6p-10, 0x1.4de4f8d5fa269p-10, 0x1.469b32290452p-10, 0x1.3f72d9c05058dp-10, 0x1.38666f473aec9p-10, 0x1.317129235a673p-10, 0x1.2a8f9442ebef4p-10, 0x1.23c01378bff99p-10, 0x1.1d030facc2e6ep-10, 0x1.165ab2dffc031p-10, 0x1.0fca2c1914515p-10, 0x1.0954a4047673fp-10, 0x1.02fc3f5ab7552p-10, 0x1.f98360657e512p-11, 0x1.ed493958f0aeap-11, 0x1.e14911e0aa55p-11, 0x1.d5831ce1f808bp-11, 0x1.c9f8e823d352p-11, 0x1.beacb3639a7c5p-11, 0x1.b3a0c644af757p-11, 0x1.a8d70bdd42bb9p-11, 0x1.9e50b1d2b5985p-11, 0x1.940db3a19bf42p-11, 0x1.8a0ca7e149279p-11, 0x1.804b232ff0ae1p-11, 0x1.76c6897df89d3p-11, 0x1.6d7cbb1199adep-11, 0x1.646c1a321713dp-11, 0x1.5b92dd2b5044ep-11, 0x1.52ee1567bc4d8p-11, 0x1.4a78eeb6d6938p-11, 0x1.422c778db115fp-11, 0x1.3a00323227e14p-11, 0x1.31ebda23c0d33p-11, 0x1.29ea696d0c7bfp-11, 0x1.21fcfbbcfd4f9p-11, 0x1.1a2b1c6b3b96dp-11, 0x1.127f4c652a4a2p-11, 0x1.0b017855931bfp-11, 0x1.03b2f82649c32p-11, 0x1.f91dda2b8ab7cp-12, 0x1.eb1dc140e8a59p-12, 0x1.dd607f50a4a59p-12, 0x1.cfecd4f3c3dcap-12, 0x1.c2cff1e2881cfp-12, 0x1.b613e18b641d9p-12, 0x1.a9b997ae30f8dp-12, 0x1.9db9987b825eep-12, 0x1.9208c23496d0bp-12, 0x1.869d2a443a99bp-12, 0x1.7b70af7bf248fp-12, 0x1.7081261686f2cp-12, 0x1.65cf2a1bb5d58p-12, 0x1.5b5c99e653923p-12, 0x1.512b2deb3f5efp-12, 0x1.473b422c0c4d3p-12, 0x1.3d8af6d354c5fp-12, 0x1.341614f71cbb7p-12, 0x1.2ad72a86879bp-12, 0x1.21c9d0bcd3ff1p-12, 0x1.18ed0ddaaf6bcp-12, 0x1.1043af91434b6p-12, 0x1.07d0e0a58c10ep-12, 0x1.ff2543cebf658p-13, 0x1.eeffc7291356cp-13, 0x1.df1ce56044e09p-13, 0x1.cf78eb525881p-13, 0x1.c0275f0e9023cp-13, 0x1.b144a3991e80cp-13, 0x1.a2df137f61d98p-13, 0x1.94ed6f8a7ecf4p-13, 0x1.875c470c28832p-13, 0x1.7a21c2e0b4a18p-13, 0x1.6d406706a6212p-13, 0x1.60bae0ef4798fp-13, 0x1.548c8505f7769p-13, 0x1.48acca76cba15p-13, 0x1.3d15528bfe4e2p-13, 0x1.31c4453493a87p-13, 0x1.26bba2ec977cp-13, 0x1.1bffc9da7f708p-13, 0x1.1195cb853d815p-13, 0x1.078124c1faf86p-13, 0x1.fb81c37db196ep-14, 0x1.e89a4529579f3p-14, 0x1.d62d9e03e8d0bp-14, 0x1.c4185a7318895p-14, 0x1.b2457b96215c8p-14, 0x1.a0bea0e15faf8p-14, 0x1.8fa5b94d8352ap-14, 0x1.7f1960e8260dcp-14, 0x1.6f1c87e4c15b8p-14, 0x1.5f9c1df2b2829p-14, 0x1.508f2ea29f45cp-14, 0x1.42077671cbe68p-14, 0x1.341a0b668af9cp-14, 0x1.26bf519e03cb7p-14, 0x1.19cf13bc52a43p-14, 0x1.0d1dd868b74a2p-14, 0x1.00a2aaf26b559p-14, 0x1.e8efb4cf08256p-15, 0x1.d160e30d7dbdbp-15, 0x1.ba794410248a1p-15, 0x1.a4091f2ad3ba8p-15, 0x1.8e1e0efef6c8bp-15, 0x1.78f0000416009p-15, 0x1.64993dbf9ea79p-15, 0x1.5109c4978371dp-15, 0x1.3e2cea2dfeeabp-15, 0x1.2c00f4a45cfe3p-15, 0x1.1a915223a8f09p-15, 0x1.09e37256c4309p-15, 0x1.f3c1ff425079dp-16, 0x1.d49b520a3af45p-16, 0x1.b5d57538216e6p-16, 0x1.977785b9cf14fp-16, 0x1.7a0e1be4389a5p-16, 0x1.5df183c542d68p-16, 0x1.42dc309ebd37bp-16, 0x1.287927fa8c8bdp-16, 0x1.0ef683c799768p-16, 0x1.ed50ced792dc7p-17, 0x1.bf0ef43f0a29cp-17, 0x1.92a0a3274efcp-17, 0x1.679ed0373556ep-17, 0x1.3de8cd330ff0bp-17, 0x1.15866315ad473p-17, 0x1.dd0fc35bcd39bp-18, 0x1.91e80bd90fdbap-18, 0x1.498a8536bb3b9p-18, 0x1.03f72eeb21191p-18, 0x1.82d9709d382eap-19, 0x1.04819d6f6243bp-19, 0x1.18b21601f0adbp-20, 0x1.864f7bb294e74p-23, -0x1.608da268ce809p-21, -0x1.886a4b8e24dd3p-20, -0x1.2bd16cd974b9ap-19, -0x1.8f8fb39931466p-19, -0x1.edbfa703de06p-19, -0x1.22313d2afb8bbp-18, -0x1.4a706c8c8d884p-18, -0x1.718825755fb9ep-18, -0x1.9813089f1881fp-18, -0x1.bcd7578477987p-18, -0x1.df9396d7fc7e9p-18, -0x1.00a8031dac758p-17, -0x1.10dd810cbbdd7p-17, -0x1.1fdb8ff24b339p-17, -0x1.2dadffe2a81d5p-17, -0x1.3ab125dd32f06p-17, -0x1.471699a2dd5a7p-17, -0x1.52e3df4d44889p-17, -0x1.5e114dafa0fe6p-17, -0x1.6899109f56bb1p-17, -0x1.7279e46003a9bp-17, -0x1.7bb5fe75990a2p-17, -0x1.845199487defbp-17, -0x1.8c51e441207ebp-17, -0x1.93bc60f22fbe4p-17, -0x1.9a96afaa63fd3p-17, -0x1.a0e6d03bda43dp-17, -0x1.a6b392b906acap-17, -0x1.ac04724528b58p-17, -0x1.b0e012f6e6a06p-17, -0x1.b549f26449619p-17, -0x1.b94227fd53b4ap-17, -0x1.bcc9af30ea1ecp-17, -0x1.bfe36b17c2f2ep-17, -0x1.c281b2fddbbb6p-17, -0x1.c480f33566ff8p-17, -0x1.c5ed03f23c9e9p-17, }}, 
      {{-0x1.d7a3d24549214p-9, -0x1.cd03f7a08f903p-8, -0x1.4c4d92713430fp-7, -0x1.a271666aae088p-7, -0x1.e53aa51741017p-7, -0x1.0912f093e18fp-6, -0x1.13d9644a7f294p-6, -0x1.12992e1ad49ffp-6, -0x1.054f073e918aap-6, -0x1.d8776967d4d94p-7, -0x1.8fad012f17c63p-7, -0x1.31827a204c184p-7, -0x1.7ef69430ffee3p-8, -0x1.da40d3669c3f8p-10, 0x1.652401fa6a30fp-9, 0x1.f8b3694f490ddp-8, 0x1.ac0635862d053p-7, 0x1.333708e376c1ap-6, 0x1.94ddba28785e1p-6, 0x1.fa1480d1152b9p-6, 0x1.3101a5dcfaeadp-5, 0x1.65ef3ebf5d51cp-5, 0x1.9b74201f5c25ap-5, 0x1.d138aed1a44b4p-5, 0x1.03766995e013fp-4, 0x1.1e23fcf2fe81fp-4, 0x1.388475cd632a1p-4, 0x1.527ac257136b9p-4, 0x1.6bed2ae45f91ep-4, 0x1.84c51c33a5398p-4, 0x1.9ceeee3f5183fp-4, 0x1.b459ab4fe4a79p-4, 0x1.caf6d91671116p-4, 0x1.e0ba45116160bp-4, 0x1.f599d4e2b8f5ap-4, 0x1.04c6ad3ffada1p-3, 0x1.0e4736103c502p-3, 0x1.174c1fb18cffdp-3, 0x1.1fd3c3989a9ep-3, 0x1.27dd29f0923b6p-3, 0x1.2f67fa9aadff5p-3, 0x1.36746eeffbadep-3, 0x1.3d034435d5e73p-3, 0x1.4315aea2efd6dp-3, 0x1.48ad4d0260d7ep-3, 0x1.4dcc1ceb507a9p-3, 0x1.52746f8a85ddep-3, 0x1.56a8df0b6e963p-3, 0x1.5a6c44a76ba0fp-3, 0x1.5dc1af5bcd12dp-3, 0x1.60ac5b3eb34dbp-3, 0x1.632fa96fd87ccp-3, 0x1.654f18aff1ebap-3, 0x1.670e3eac303eap-3, 0x1.6870c1dd9a22ep-3, 0x1.697a53dc3f055p-3, 0x1.6a2eac1d3bf64p-3, 0x1.6a91834e99cd3p-3, 0x1.6aa68f5b9f06cp-3, 0x1.6a717fdffb966p-3, 0x1.69f5fad04ca86p-3, 0x1.6937993b8d125p-3, 0x1.6839e4970a565p-3, 0x1.67005486654dp-3, 0x1.658e4d543b0c2p-3, 0x1.63e71e5dbf48p-3, 0x1.620e00a5136d5p-3, 0x1.60061547ad9f7p-3, 0x1.5dd2645cec975p-3, 0x1.5b75dc411bfa2p-3, 0x1.58f35157e7077p-3, 0x1.564d7e03bfd06p-3, 0x1.538702a991addp-3, 0x1.50a2659dfbf1ap-3, 0x1.4da213134d3b6p-3, 0x1.4a885d1f728dcp-3, 0x1.47577bf68ca56p-3, 0x1.44118e60e4f5bp-3, 0x1.40b89a600601ap-3, 0x1.3d4e8dec86569p-3, 0x1.39d53fb598864p-3, 0x1.364e6fd333c67p-3, 0x1.32bbc866d394cp-3, 0x1.2f1ede2e89a1bp-3, 0x1.2b793114b53bbp-3, 0x1.27cc2cc2e072ep-3, 0x1.2419293f69d9fp-3, 0x1.20616b967fb55p-3, 0x1.1ca6268c5328fp-3, 0x1.18e87b5428ec1p-3, 0x1.15297a469b48bp-3, 0x1.116a23926200fp-3, 0x1.0dab67e41ee96p-3, 0x1.09ee2903c691ap-3, 0x1.06333a6812f17p-3, 0x1.027b61c199fep-3, 0x1.fd8eaeff9cec2p-4, 0x1.f62f8ea47e87dp-4, 0x1.eedaa14f8ff9dp-4, 0x1.e7910e5a2830bp-4, 0x1.e053e695ee18fp-4, 0x1.d924254918405p-4, 0x1.d202b12976d99p-4, 0x1.caf05d550b782p-4, 0x1.c3edea45ebbbp-4, 0x1.bcfc06c0b7f22p-4, 0x1.b61b50bb05b7bp-4, 0x1.af4c5639cc913p-4, 0x1.a88f96284c38p-4, 0x1.a1e5812370317p-4, 0x1.9b4e7a402118cp-4, 0x1.94cad7c7dadbap-4, 0x1.8e5ae3efea4abp-4, 0x1.87fedd89e6e35p-4, 0x1.81b6f8ae6f4d6p-4, 0x1.7b835f641b48ap-4, 0x1.7564323ee8ab5p-4, 0x1.6f5988fce9638p-4, 0x1.6963731c0b0b8p-4, 0x1.6381f8699e4d9p-4, 0x1.5db5198e7eaeap-4, 0x1.57fcd0914d822p-4, 0x1.52591154f7f14p-4, 0x1.4cc9ca10db0c3p-4, 0x1.474ee3bee425bp-4, 0x1.41e8428802b3bp-4, 0x1.3c95c62761aa9p-4, 0x1.37574a45cf355p-4, 0x1.322ca6d46b5b7p-4, 0x1.2d15b05cd6643p-4, 0x1.2812384c22ep-4, 0x1.23220d3dc42ddp-4, 0x1.1e44fb3bb6b88p-4, 0x1.197acbfb8ecc5p-4, 0x1.14c3471c5fa16p-4, 0x1.101e325a2a68p-4, 0x1.0b8b51bf02747p-4, 0x1.070a67d669d2bp-4, 0x1.029b35d70138cp-4, 0x1.fc7af7928c4cap-5, 0x1.f3e1f16449cd4p-5, 0x1.eb6ad56b5aa48p-5, 0x1.e3151e69a16a6p-5, 0x1.dae045e059769p-5, 0x1.d2cbc44c8c7b6p-5, 0x1.cad71154c3913p-5, 0x1.c301a3ff548edp-5, 0x1.bb4af2e953b1bp-5, 0x1.b3b2746cc1218p-5, 0x1.ac379ec7dfc2fp-5, 0x1.a4d9e84e146dap-5, 0x1.9d98c78d78464p-5, 0x1.9673b36af82b9p-5, 0x1.8f6a2348b48aap-5, 0x1.887b8f2da322ap-5, 0x1.81a76fdf0bf62p-5, 0x1.7aed3ef9df883p-5, 0x1.744c77168a5efp-5, 0x1.6dc493e77250cp-5, 0x1.6755124be5de1p-5, 0x1.60fd70678525ap-5, 0x1.5abd2dc181692p-5, 0x1.5493cb5c7a1dbp-5, 0x1.4e80cbc52fe35p-5, 0x1.4883b3263bb7dp-5, 0x1.429c0761d0de2p-5, 0x1.3cc950259b79p-5, 0x1.370b16f57d7f8p-5, 0x1.3160e7399e737p-5, 0x1.2bca4e528680cp-5, 0x1.2646dbaa002fdp-5, 0x1.20d620bb4a165p-5, 0x1.1b77b119e90afp-5, 0x1.162b227e9f707p-5, 0x1.10f00cd646873p-5, 0x1.0bc60a4920b32p-5, 0x1.06acb73b35aa4p-5, 0x1.01a3b24ffb107p-5, 0x1.f95538ea2e1a2p-6, 0x1.ef8231d6371c7p-6, 0x1.e5cd9a8758b41p-6, 0x1.dc36c2b69cb43p-6, 0x1.d2bcfeb6024f1p-6, 0x1.c95fa781ea0e2p-6, 0x1.c01e1ac55d768p-6, 0x1.b6f7bac582447p-6, 0x1.adebee4b7ea94p-6, 0x1.a4fa20a5991a4p-6, 0x1.9c21c1b41d502p-6, 0x1.936245e225cd2p-6, 0x1.8abb2604669dap-6, 0x1.822bdf3bc05ecp-6, 0x1.79b3f2f33dd91p-6, 0x1.7152e6e93a941p-6, 0x1.6908452259f31p-6, 0x1.60d39bc1574c9p-6, 0x1.58b47ce20a80cp-6, 0x1.50aa7e912e8adp-6, 0x1.48b53ad3822a5p-6, 0x1.40d44f9a842d2p-6, 0x1.39075e9c0b3acp-6, 0x1.314e0d25d8d57p-6, 0x1.29a8040ab704cp-6, 0x1.2214efa678336p-6, 0x1.1a947fda8bcbap-6, 0x1.132667ee50386p-6, 0x1.0bca5e5fadea5p-6, 0x1.04801cc216df1p-6, 0x1.fa8ebf70d4ab2p-7, 0x1.ec3fcdf32e70bp-7, 0x1.de12ea827760dp-7, 0x1.d007a05029f17p-7, 0x1.c21d7ff1c9b0ap-7, 0x1.b4541f3278cdap-7, 0x1.a6ab191201ce1p-7, 0x1.99220dc6b1d75p-7, 0x1.8bb8a29740fafp-7, 0x1.7e6e818dc472ap-7, 0x1.7143592b674c8p-7, 0x1.6436dc433f285p-7, 0x1.5748c1faee104p-7, 0x1.4a78c5cbdc519p-7, 0x1.3dc6a76187f39p-7, 0x1.31322a568c5bbp-7, 0x1.24bb15f09c4a8p-7, 0x1.186134fbddd8p-7, 0x1.0c2455c8c7b03p-7, 0x1.00044a3033602p-7, 0x1.e801cefc5306ap-8, 0x1.d0340c7c328e7p-8, 0x1.b89f03fd002cep-8, 0x1.a14272503f27bp-8, 0x1.8a1e19e6e906p-8, 0x1.7331c2da26c8fp-8, 0x1.5c7d3adbae10cp-8, 0x1.460054f206d0ep-8, 0x1.2fbae913e04f3p-8, 0x1.19acd3cdbb27bp-8, 0x1.03d5f6126bd52p-8, 0x1.dc6c6a657dd68p-9, 0x1.b19af5b69277dp-9, 0x1.873769e5d82bp-9, 0x1.5d41aaa643fe1p-9, 0x1.33b9a2e234111p-9, 0x1.0a9f4431309cap-9, 0x1.c3e50d1d9616bp-10, 0x1.7366d089c5cefp-10, 0x1.23c3dba84a17ap-10, 0x1.a9f886ae3e0efp-11, 0x1.0e204eaa49603p-11, 0x1.cffd8939eacabp-13, -0x1.234ecc80ef37cp-14, -0x1.7635dea8dc161p-12, -0x1.5013590da3bfap-11, -0x1.e35280e6cac2ap-11, -0x1.3a6be10bbb1dbp-10, -0x1.8251353a4512p-10, -0x1.c958de21124f5p-10, -0x1.07c13bf2c43b6p-9, -0x1.2a66cd1cb54dp-9, -0x1.4c9cec5921cebp-9, -0x1.6e63618947389p-9, -0x1.8fb9f2dc7b69fp-9, -0x1.b0a065231c52p-9, -0x1.d1167c395efa7p-9, -0x1.f11bfb6e78a33p-9, -0x1.085852ecf53b3p-8, -0x1.17ea1f4d06324p-8, -0x1.2743448362825p-8, -0x1.3663a474310f1p-8, -0x1.454b215e18186p-8, -0x1.53f99e05319cap-8, -0x1.626efde1cfe28p-8, -0x1.70ab254bf5ddap-8, -0x1.7eadf99df44c3p-8, -0x1.8c77614e9aba9p-8, -0x1.9a0744075489dp-8, -0x1.a75d8abb63605p-8, -0x1.b47a1fc2ebba9p-8, -0x1.c15ceefa0b9ffp-8, -0x1.ce05e5e110297p-8, -0x1.da74f3baa7a7dp-8, -0x1.e6aa09a539eafp-8, -0x1.f2a51aaf01568p-8, -0x1.fe661be78e378p-8, -0x1.04f68238d37e5p-7, -0x1.0a9ce6cbc3395p-7, -0x1.10263970b7ed5p-7, -0x1.159279168916p-7, -0x1.1ae1a5e22ba33p-7, -0x1.2013c1397c163p-7, -0x1.2528cdcd66a1cp-7, -0x1.2a20cfa35e3dfp-7, -0x1.2efbcc1e9bb87p-7, -0x1.33b9ca08fa88dp-7, -0x1.385ad19c1e678p-7, -0x1.3cdeec89e2c7ep-7, -0x1.41462603f92f2p-7, -0x1.45908ac2b7f51p-7, -0x1.49be290b74a0ap-7, -0x1.4dcf10b6e42e3p-7, -0x1.51c3533769bdbp-7, -0x1.559b039e89fc2p-7, -0x1.595636a12b2e8p-7, -0x1.5cf5029a68959p-7, -0x1.60777f8cf94f5p-7, -0x1.63ddc7235ec87p-7, -0x1.6727f4af26bdbp-7, -0x1.6a5625281116dp-7, -0x1.6d68772b8059bp-7, -0x1.705f0afc902e8p-7, -0x1.733a028408b57p-7, -0x1.75f9814f5b917p-7, -0x1.789dac8e3e4aep-7, -0x1.7b26ab0f06a0fp-7, -0x1.7d94a53a3527dp-7, -0x1.7fe7c50dbc59ap-7, -0x1.822036183dcccp-7, -0x1.843e2574ab574p-7, -0x1.8641c1c669ac2p-7, -0x1.882b3b3602864p-7, -0x1.89fac36dce61ep-7, -0x1.8bb08d95c9b2p-7, -0x1.8d4cce4e92c23p-7, -0x1.8ecfbbab47153p-7, -0x1.90398d2aeec45p-7, -0x1.918a7bb1acc26p-7, -0x1.92c2c181da02fp-7, -0x1.93e29a3516c6ep-7, -0x1.94ea42b53fc3bp-7, -0x1.95d9f93607f42p-7, -0x1.96b1fd2d47ad7p-7, -0x1.97728f4ca5eb8p-7, -0x1.981bf179631a6p-7, -0x1.98ae66c3a2668p-7, -0x1.992a335ce2c13p-7, -0x1.998f9c8e1b02cp-7, -0x1.99dee8ad721ffp-7, -0x1.9a185f1402a1bp-7, -0x1.9a3c4813be7bdp-7, -0x1.9a4aeced49092p-7, -0x1.9a4497c618ce8p-7, -0x1.9a29939ed0218p-7, -0x1.99fa2c495c1a9p-7, -0x1.99b6ae5eae331p-7, -0x1.995f6733e6559p-7, -0x1.98f4a4cf054dcp-7, -0x1.9876b5db614bap-7, -0x1.97e5e99e41cf3p-7, -0x1.97428febe959bp-7, -0x1.968cf91cef585p-7, -0x1.95c57604093cdp-7, -0x1.94ec57e3f124ap-7, -0x1.9401f065727fdp-7, -0x1.9306918d68a48p-7, -0x1.91fa8db283af7p-7, -0x1.90de377304f23p-7, -0x1.8fb1e1aa1d16p-7, -0x1.8e75df6571a76p-7, -0x1.8d2a83dac467ap-7, -0x1.8bd0225e1ab16p-7, -0x1.8a670e58080c2p-7, -0x1.88ef9b3c8f562p-7, -0x1.876a1c81d84e1p-7, -0x1.85d6e59741ff5p-7, -0x1.843649db7ee3cp-7, -0x1.82889c9447c1p-7, -0x1.80ce30e53899ep-7, -0x1.7f0759c5fdb3cp-7, -0x1.7d3469fa1b8ffp-7, -0x1.7b55b407e96b5p-7, -0x1.796b8a3001f5cp-7, -0x1.77763e64edbddp-7, -0x1.75762242e9c1ap-7, -0x1.736b870862253p-7, -0x1.7156bd8cecb1cp-7, -0x1.6f38163c19ae4p-7, -0x1.6d0fe10b8085ep-7, -0x1.6ade6d74b0db3p-7, -0x1.68a40a6dc25a2p-7, -0x1.6661066250e89p-7, -0x1.6415af2caa193p-7, -0x1.61c2520f496dfp-7, -0x1.5f673bae77ca6p-7, -0x1.5d04b80a13b57p-7, -0x1.5a9b12779788ep-7, -0x1.582a959c4f79ep-7, -0x1.55b38b67ec84cp-7, -0x1.53363d0f2b0cep-7, -0x1.50b2f306d38edp-7, -0x1.4e29f4fedd198p-7, -0x1.4b9b89ddc97b3p-7, -0x1.4907f7bc4394p-7, -0x1.466f83e0dfff7p-7, -0x1.43d272bc1da2cp-7, -0x1.413107e47f491p-7, -0x1.3e8b8612cd7edp-7, -0x1.3be22f1e80f69p-7, -0x1.393543fa5b823p-7, -0x1.368504b15ab39p-7, -0x1.33d1b063fc1cep-7, -0x1.311b8545e6c29p-7, -0x1.2e62c09bdc9b4p-7, -0x1.2ba79eb9beec2p-7, -0x1.28ea5b00b2979p-7, -0x1.262b2fdd12996p-7, -0x1.236a56c445a9cp-7, -0x1.20a8083276bd8p-7, -0x1.1de47ba881e1ap-7, -0x1.1b1fe7aa468f6p-7, -0x1.185a81bd9f39ep-7, -0x1.15947e6a260e7p-7, -0x1.12ce1139a97cp-7, -0x1.10076cb92b139p-7, -0x1.0d40c279c55bp-7, -0x1.0a7a43112e8cp-7, -0x1.07b41e1940ab7p-7, -0x1.04ee822e7e63bp-7, -0x1.02299cedbd4ebp-7, -0x1.fecb35e335d05p-8, -0x1.f9454fa0e63eep-8, -0x1.f3c1dc37c1624p-8, -0x1.ee412ec47369cp-8, -0x1.e8c3986497027p-8, -0x1.e3496841828c6p-8, -0x1.ddd2eb9c94af6p-8, -0x1.d8606dd9ee6cbp-8, -0x1.d2f2388755ff8p-8, -0x1.cd88935cb65f6p-8, -0x1.c823c4364df75p-8, -0x1.c2c40f0992ap-8, -0x1.bd69b5d804fd6p-8, -0x1.b814f8a3d0132p-8, -0x1.b2c6156aa82fbp-8, -0x1.ad7d4829c2c44p-8, -0x1.a83acaec46712p-8, -0x1.a2fed5e2cbd48p-8, -0x1.9dc99f80271edp-8, -0x1.989b5c9614187p-8, -0x1.9374406ba5109p-8, -0x1.8e547cc878c8ep-8, -0x1.893c41f1f373cp-8, -0x1.842bbe9a94635p-8, -0x1.7f231fc77dcf1p-8, -0x1.7a2290b21634ep-8, -0x1.752a3aade2dfcp-8, -0x1.703a45198d16bp-8, -0x1.6b52d56354f63p-8, -0x1.66740f1a3c1bp-8, -0x1.619e1418845c9p-8, -0x1.5cd104b2b242fp-8, -0x1.580cffeb48b52p-8, -0x1.5352239ec007ap-8, -0x1.4ea08c9f75b43p-8, -0x1.49f856bc45c32p-8, -0x1.45599cb078799p-8, -0x1.40c47800987fcp-8, -0x1.3c3900cbdc385p-8, -0x1.37b74d9c1001dp-8, -0x1.333f733f04ea7p-8, -0x1.2ed184b2561c3p-8, -0x1.2a6d93271ff7cp-8, -0x1.2613ae1ecbe8cp-8, -0x1.21c3e399ed248p-8, -0x1.1d7e40632ceebp-8, -0x1.1942d0369ef52p-8, -0x1.15119e1330c1fp-8, -0x1.10eab453080fcp-8, -0x1.0cce1cbccd438p-8, -0x1.08bbe0790c6p-8, -0x1.04b407f2c246ap-8, -0x1.00b69aaa37129p-8, -0x1.f9873e06b9322p-9, -0x1.f1b6343310844p-9, -0x1.e9fa1f4089efp-9, -0x1.e25303ae0d205p-9, -0x1.dac0e323596ccp-9, -0x1.d343bca85e226p-9, -0x1.cbdb8cfa5662ap-9, -0x1.c4884ef0d53fdp-9, -0x1.bd49fbe2e61dcp-9, -0x1.b6208bfdd584p-9, -0x1.af0bf6854219cp-9, -0x1.a80c31f5c9cep-9, -0x1.a121340c13d88p-9, -0x1.9a4af1b6c76a4p-9, -0x1.93895efa5aa93p-9, -0x1.8cdc6ecdbca4ep-9, -0x1.864412f32111p-9, -0x1.7fc03bcfd29cdp-9, -0x1.7950d843f6a7bp-9, -0x1.72f5d58430975p-9, -0x1.6caf1efa2e88bp-9, -0x1.667c9e3286a9cp-9, -0x1.605e3adddad55p-9, -0x1.5a53dae893ee4p-9, -0x1.545d62a8139e7p-9, -0x1.4e7ab51853531p-9, -0x1.48abb4235dcc3p-9, -0x1.42f040ec54b6ap-9, -0x1.3d483c1a33483p-9, -0x1.37b3861ff3827p-9, -0x1.3231ff7f0f7e9p-9, -0x1.2cc388fe10371p-9, -0x1.276803c88be3cp-9, -0x1.221f516ba5323p-9, -0x1.1ce953a45ecb8p-9, -0x1.17c5ebfdc24f8p-9, -0x1.12b4fb4995654p-9, -0x1.0db6610bd928ap-9, -0x1.08c9faf9f01cep-9, -0x1.03efa4adb7d07p-9, -0x1.fe4e6f4335bdep-10, -0x1.f4e116f0bde59p-10, -0x1.eb96ecffaae51p-10, -0x1.e26f9c9ddaf24p-10, -0x1.d96ad0beab8a7p-10, -0x1.d088350b22567p-10, -0x1.c7c7767ee5a8cp-10, -0x1.bf2843b5eb431p-10, -0x1.b6aa4d058f981p-10, -0x1.ae4d44796d667p-10, -0x1.a610ddbb54ad9p-10, -0x1.9df4cdd5dd3c2p-10, -0x1.95f8cab182c7ap-10, -0x1.8e1c8a3130c22p-10, -0x1.865fc0f09608bp-10, -0x1.7ec220d5d9301p-10, -0x1.774357d3f6e6bp-10, -0x1.6fe30f4cb59ep-10, -0x1.68a0ec67670afp-10, -0x1.617c916ef2852p-10, -0x1.5a759ff3ab575p-10, -0x1.538bbb26f702cp-10, -0x1.4cbe89ce158eap-10, -0x1.460db74af2374p-10, -0x1.3f78f3882ab7ep-10, -0x1.38fff1f0c2567p-10, -0x1.32a267e37b3a5p-10, -0x1.2c600b2b6dd5ap-10, -0x1.263890ef5f9afp-10, -0x1.202bad49c6367p-10, -0x1.1a39136e4edb6p-10, -0x1.14607601de65ep-10, -0x1.0ea1873418142p-10, -0x1.08fbf847dc924p-10, -0x1.036f7885aea06p-10, -0x1.fbf767decb944p-11, -0x1.f140a49bfcb8p-11, -0x1.e6b9ee6951cd5p-11, -0x1.dc628698ff49ep-11, -0x1.d239ad70c47b6p-11, -0x1.c83ea861ef416p-11, -0x1.be70c67f003fdp-11, -0x1.b4cf643337df6p-11, -0x1.ab59ead8ab7aep-11, -0x1.a20fce58068adp-11, -0x1.98f0894b7dc5p-11, -0x1.8ffb993b29a94p-11, -0x1.87307bff1cc1ap-11, -0x1.7e8eae9ff02a8p-11, -0x1.7615ad60c5728p-11, -0x1.6dc4f43b60cb8p-11, -0x1.659bff15f1e5ep-11, -0x1.5d9a494724c14p-11, -0x1.55bf4c67a7e86p-11, -0x1.4e0a7eca10294p-11, -0x1.467b521c982ap-11, -0x1.3f1132a9d2b16p-11, -0x1.37cb87822288dp-11, -0x1.30a9b3a32a5d5p-11, -0x1.29ab18071e1ep-11, -0x1.22cf1651d5f05p-11, -0x1.1c15138ecdd36p-11, -0x1.157c7a36a1ef9p-11, -0x1.0f04babc26cefp-11, -0x1.08ad4a61cc232p-11, -0x1.0275a0fa75a97p-11, -0x1.f8ba6df711cc1p-12, -0x1.ecc70abcde199p-12, -0x1.e1100fe716cap-12, -0x1.d59482bd52035p-12, -0x1.ca537d87455b1p-12, -0x1.bf4c31ee25932p-12, -0x1.b47de40a47e1dp-12, -0x1.a9e7df33f972ep-12, -0x1.9f8968c8fa9f7p-12, -0x1.9561b654d169fp-12, -0x1.8b6feb13fca5p-12, -0x1.81b31d59e25d8p-12, -0x1.782a60a6ef583p-12, -0x1.6ed4cf4cc68c4p-12, -0x1.65b18f45aff1bp-12, -0x1.5cbfd0d9d0a62p-12, -0x1.53fec8f153259p-12, -0x1.4b6daaa84b47ep-12, -0x1.430ba326cbdc3p-12, -0x1.3ad7d89580653p-12, -0x1.32d16ad133e1ep-12, -0x1.2af773a255b6cp-12, -0x1.234905617591ep-12, -0x1.1bc5296377d8ep-12, -0x1.146ae18d0ed0ap-12, -0x1.0d3930110f7bp-12, -0x1.062f251b07339p-12, -0x1.fe97db5dc02d3p-13, -0x1.f11db935d929cp-13, -0x1.e3eed02ca7d8bp-13, -0x1.d70a37da95d44p-13, -0x1.ca6f0bfa33ba7p-13, -0x1.be1c4ac771e37p-13, -0x1.b210c65271347p-13, -0x1.a64b2c5b602e9p-13, -0x1.9aca1d4d5073p-13, -0x1.8f8c452a58efp-13, -0x1.84906b4586871p-13, -0x1.79d574f6a7a43p-13, -0x1.6f5a5e4ad1de6p-13, -0x1.651e2e06484cep-13, -0x1.5b1fe911b89d4p-13, -0x1.515e87bd13424p-13, -0x1.47d8eee283bcap-13, -0x1.3e8dee5a52dabp-13, -0x1.357c442878304p-13, -0x1.2ca2a04440c8fp-13, -0x1.23ffa6a699be7p-13, -0x1.1b91ecd251418p-13, -0x1.1357f7cedb5e1p-13, -0x1.0b5043c01be95p-13, -0x1.0379589aafd2fp-13, -0x1.f7a3cfb5c3e35p-14, -0x1.e8b1c92a704f4p-14, -0x1.da1b0cc746f56p-14, -0x1.cbde6572877d8p-14, -0x1.bdfaafe74e66bp-14, -0x1.b06e9c6daa0f6p-14, -0x1.a3389b264b779p-14, -0x1.9656f598c6e5dp-14, -0x1.89c7fb7e6bb62p-14, -0x1.7d8a1f74ba026p-14, -0x1.719bf19683ff5p-14, -0x1.65fc0437f9151p-14, -0x1.5aa8d7832a206p-14, -0x1.4fa0ddf36f94ep-14, -0x1.44e292f024622p-14, -0x1.3a6c8e21c3dabp-14, -0x1.303d82cb6ba2fp-14, -0x1.265429ab91a8ap-14, -0x1.1caf211eb6e31p-14, -0x1.134cd43f800e9p-14, -0x1.0a2b762fb3e6ap-14, -0x1.01491508840a6p-14, -0x1.f147791d2c974p-15, -0x1.e073329414944p-15, -0x1.d012199177656p-15, -0x1.c0215826e3e2bp-15, -0x1.b09e5a85a3335p-15, -0x1.a186a402f6259p-15, -0x1.92d7b7f3d7fedp-15, -0x1.848f1b5a6d829p-15, -0x1.76aa5fc7b4f0dp-15, -0x1.69272a6e6097fp-15, -0x1.5c033dbc5adf9p-15, -0x1.4f3c8fbda2775p-15, -0x1.42d161bab6a5cp-15, -0x1.36c03bfde7e8fp-15, -0x1.2b07bfdd7f884p-15, -0x1.1fa669334748bp-15, -0x1.149a6e9058053p-15, -0x1.09e1d5b659477p-15, -0x1.fef53d965697ep-16, -0x1.eac5ac0dbe93fp-16, -0x1.d73105fd3a81p-16, -0x1.c43329258596ap-16, -0x1.b1c7cd384ec0ap-16, -0x1.9feacb2ab0806p-16, -0x1.8e9857aa2619fp-16, -0x1.7dcd183dbedcdp-16, -0x1.6d86022181fb2p-16, -0x1.5dc01868b6745p-16, -0x1.4e782d82c8cdbp-16, -0x1.3faac5cc7e0eap-16, -0x1.315426c293fe3p-16, -0x1.23708abc2722p-16, -0x1.15fc67b4bfe8dp-16, -0x1.08f4b33f31329p-16, -0x1.f8ae0d14d8505p-17, -0x1.e042f3d4e283ap-17, -0x1.c8a4743be9fafp-17, -0x1.b1ce106ad26dcp-17, -0x1.9bb9ddd1caa4ap-17, -0x1.8660b848c7569p-17, -0x1.71bb4f5b1e34ep-17, -0x1.5dc3b1883b709p-17, -0x1.4a765723ae159p-17, -0x1.37d1a57007ef9p-17, -0x1.25d40d0b9763cp-17, -0x1.147a3599ea9f2p-17, -0x1.03beaa8a09359p-17, -0x1.e73645342fd73p-18, -0x1.c81418becb843p-18, -0x1.aa0e21a509555p-18, -0x1.8d1d48ef4b257p-18, -0x1.713b1ddded96cp-18, -0x1.56617cfc9c72p-18, -0x1.3c8a4bf73a532p-18, -0x1.23af0a9402f91p-18, -0x1.0bc888526c3a6p-18, -0x1.e99dfc509d8bbp-19, -0x1.bd74c8b23a818p-19, -0x1.930570ba0a5fbp-19, -0x1.6a405fb76b78ep-19, -0x1.43170ea06bdaap-19, -0x1.1d7c868c49669p-19, -0x1.f2ca0debe7a2p-20, -0x1.ad8a58f6e28a2p-20, -0x1.6b248ad3b2935p-20, -0x1.2b8850139c30bp-20, -0x1.dd57ff73a617p-21, -0x1.690e9463474d5p-21, -0x1.f42b45240f1f3p-22, -0x1.20751ab8fa97p-22, -0x1.59f7b91472622p-24, 0x1.a8e40d06a51b9p-24, 0x1.2223c72f8dcfep-22, 0x1.d1a6afd4cfec3p-22, 0x1.3c847d8119571p-21, 0x1.8c35fafe5151ep-21, 0x1.d7ef04d60da5fp-21, 0x1.0fe0557568bccp-20, 0x1.31e74be2aa7bp-20, 0x1.52210dc61f32bp-20, 0x1.709d4eb0bef87p-20, 0x1.8d680fb6008a7p-20, 0x1.a88f541eb183dp-20, 0x1.c2236d55c030cp-20, 0x1.da330ebb67fe9p-20, 0x1.f0c9b3b98a133p-20, 0x1.02f907f2a5b78p-19, 0x1.0cdcaf9d4965fp-19, 0x1.16182ce40a628p-19, 0x1.1eb4dcd53000ep-19, 0x1.26bb675d056bbp-19, 0x1.2e314a3eb47dap-19, 0x1.35184610bb10ep-19, 0x1.3b71b250515b7p-19, 0x1.4141f7e371e7fp-19, 0x1.468f9d60e3f39p-19, 0x1.4b6062e1c6fe3p-19, 0x1.4fb920a9f19dep-19, 0x1.539eecad64077p-19, 0x1.5716da09ab023p-19, 0x1.5a254a0e44b93p-19, 0x1.5ccddca3e043dp-19, 0x1.5f13c133e024fp-19, 0x1.60fa1f8220e4fp-19, 0x1.62848f232c3fbp-19, 0x1.63b7676f11734p-19, 0x1.64976d7c81933p-19, 0x1.6528db52fad88p-19, 0x1.656ed4d2cab23p-19, 0x1.656c3f5d732c4p-19, 0x1.6524900f1f00bp-19, 0x1.649ac834cf4b2p-19, 0x1.63d1051db5797p-19, 0x1.62c9fc76457aep-19, 0x1.6188f103a37e1p-19, 0x1.60109093434e9p-19, 0x1.5e64059e8d0fdp-19, 0x1.5c87df585ea5ap-19, 0x1.5a805fcf4e4fp-19, 0x1.584f16e704a8fp-19, 0x1.55f397dd9af08p-19, 0x1.536f2b7f549bep-19, 0x1.50c53dbdf8d52p-19, 0x1.4df863ba69d1dp-19, 0x1.4b0a2ff334397p-19, 0x1.47fcc1ccc07fbp-19, 0x1.44d27b2aa28ccp-19, 0x1.418d5d761adf7p-19, 0x1.3e2f148cfb0e4p-19, 0x1.3ab92a41e3f49p-19, 0x1.372d1ef7b74c1p-19, 0x1.338c7042c46acp-19, 0x1.2fd899d8cc0efp-19, 0x1.2c13140b958e4p-19, 0x1.283d4fc4d01d5p-19, 0x1.2458b1567bff5p-19, 0x1.20668df33b1e5p-19, 0x1.1c682feca8bbdp-19, 0x1.185edf8495c4dp-19, 0x1.144be3bb3f5ddp-19, 0x1.10306e4d1781ap-19, 0x1.0c0d7bd0f332bp-19, 0x1.07e3d013c0c6cp-19, 0x1.03b4385806c68p-19, 0x1.feffcc72e9a6p-20, 0x1.f691427e43b94p-20, 0x1.ee1cde8699dd4p-20, 0x1.e5a5df6cec6d6p-20, }}, 
      {{-0x1.259087229e03cp+0, -0x1.191d3abc90ba7p+0, -0x1.05f71b7e439c9p+0, -0x1.dba86efc89b77p-1, -0x1.a4d53327d0b27p-1, -0x1.6a8cbe788b7d7p-1, -0x1.2f6d3cb281cb2p-1, -0x1.eb1f8c593b727p-2, -0x1.7d199169262efp-2, -0x1.17114da201752p-2, -0x1.750f29a96caf4p-3, -0x1.a15fa68defd04p-4, -0x1.06c58b1b6a2a3p-5, 0x1.c06a6552948b4p-6, 0x1.3a913fd339518p-4, 0x1.de5914f1ff7aap-4, 0x1.2f30e570d8bacp-3, 0x1.5efc69b9a503ap-3, 0x1.804d889c9cb32p-3, 0x1.94e8586361c67p-3, 0x1.9e88df1897ee2p-3, 0x1.9ed910d63c6edp-3, 0x1.9769deb2598c2p-3, 0x1.89aebf6f3567ap-3, 0x1.76fb2bbecaee6p-3, 0x1.60819ab1ad154p-3, 0x1.47539d614b37dp-3, 0x1.2c62ca21ee2cep-3, 0x1.108237134b051p-3, 0x1.e8d0a2bcae258p-4, 0x1.b161d4698ebf3p-4, 0x1.7bbeb871c3a6bp-4, 0x1.48c167dc9291cp-4, 0x1.191b985434ca5p-4, 0x1.dab551fc5c6c6p-5, 0x1.8bd6ee3a2c1a4p-5, 0x1.463be84ba478dp-5, 0x1.0a50f6747d1d3p-5, 0x1.b0ab99db6b206p-6, 0x1.60c59a50c8b4ap-6, 0x1.24dc7e37f5e5ep-6, 0x1.f9446e29f8747p-7, 0x1.cf2db61daa533p-7, 0x1.ca2146c44c641p-7, 0x1.e886639615b8cp-7, 0x1.1446280d5c9e3p-6, 0x1.441b1bdb54f65p-6, 0x1.82b2f0f4ae2dp-6, 0x1.cef2a2fb71d51p-6, 0x1.13dbc3e72676cp-5, 0x1.45ed89487807cp-5, 0x1.7d1b0fda9ae66p-5, 0x1.b8d1e8ff6ff28p-5, 0x1.f882059771958p-5, 0x1.1dcf60f1a5c88p-4, 0x1.40cfe3491078fp-4, 0x1.6500dfa81dc2bp-4, 0x1.8a237764f0a39p-4, 0x1.affbd24a919f2p-4, 0x1.d651477b2d49cp-4, 0x1.fcee8069afadp-4, 0x1.11d0c07e6a96cp-3, 0x1.251ddd61bf725p-3, 0x1.3848ff3e28e1fp-3, 0x1.4b3e40eb991dbp-3, 0x1.5deb635c87f75p-3, 0x1.703fc630daf1p-3, 0x1.822c59444e7cp-3, 0x1.93a38ebe07bb6p-3, 0x1.a4994a9d6e135p-3, 0x1.b502d4668471ap-3, 0x1.c4d6c4ae0b904p-3, 0x1.d40cf54cb0872p-3, 0x1.e29e6ee5b7995p-3, 0x1.f0855711a7a4dp-3, 0x1.fdbcded196bfcp-3, 0x1.0520989e4c08bp-2, 0x1.0b07b18472c7dp-2, 0x1.1092b14715bdep-2, 0x1.15c0f42242726p-2, 0x1.1a9233ce4988cp-2, 0x1.1f06801275959p-2, 0x1.231e378527c9bp-2, 0x1.26da007f7e50cp-2, 0x1.2a3ac2543d7a9p-2, 0x1.2d419ed06497ep-2, 0x1.2fefec0e06734p-2, 0x1.32472e9c63173p-2, 0x1.344913fb88e25p-2, 0x1.35f76d6d89985p-2, 0x1.37542b17db5fep-2, 0x1.386157752490fp-2, 0x1.39211315eedc9p-2, 0x1.399590acfc69fp-2, 0x1.39c11169a4007p-2, 0x1.39a5e19c43c41p-2, 0x1.394655a45d739p-2, 0x1.38a4c72787ba9p-2, 0x1.37c3928bc49c3p-2, 0x1.36a514b44bf33p-2, 0x1.354ba8fc59933p-2, 0x1.33b9a76a73caap-2, 0x1.31f16319c6f1bp-2, 0x1.2ff528d497834p-2, 0x1.2dc73dd9b485p-2, 0x1.2b69decbdf49p-2, 0x1.28df3ec5a29p-2, 0x1.2629868c5d669p-2, 0x1.234ad3e57cce4p-2, 0x1.204539025680cp-2, 0x1.1d1abc0b4c1bcp-2, 0x1.19cd56bbb9628p-2, 0x1.165ef61a18f95p-2, 0x1.12d17a406a1e3p-2, 0x1.0f26b633fd3b6p-2, 0x1.0b606fd809073p-2, 0x1.07805fe08f3f3p-2, 0x1.038831de75524p-2, 0x1.fef308a61e4f9p-3, 0x1.f6abd18e3061cp-3, 0x1.ee3dc7f0917d9p-3, 0x1.e5abdbfc13fe8p-3, 0x1.dcf8e4fa8cfdap-3, 0x1.d427a1c897faep-3, 0x1.cb3ab936679d5p-3, 0x1.c234ba9336014p-3, 0x1.b9181e2c1fe52p-3, 0x1.afe745bffe72fp-3, 0x1.a6a47d1bacc2fp-3, 0x1.9d51fa9823476p-3, 0x1.93f1df9c1e189p-3, 0x1.8a86393ebdbefp-3, 0x1.811100c25a977p-3, 0x1.77941c1c87483p-3, 0x1.6e115e9a8ac4dp-3, 0x1.648a8957e911ap-3, 0x1.5b014bc3616bcp-3, 0x1.51774442d021ep-3, 0x1.47ee00a5b4d5ep-3, 0x1.3e66fe9db343fp-3, 0x1.34e3ac5ea59ecp-3, 0x1.2b656910273f8p-3, 0x1.21ed8532a65b3p-3, 0x1.187d433549d8dp-3, 0x1.0f15d7ec72294p-3, 0x1.05b86ae274945p-3, 0x1.f8cc2db0a4887p-4, 0x1.e63fd48c08012p-4, 0x1.d3cdcf40ec20fp-4, 0x1.c1780b6f7ab65p-4, 0x1.af40607792136p-4, 0x1.9d289018ba62cp-4, 0x1.8b3246e3504aap-4, 0x1.795f1d1a43f53p-4, 0x1.67b0978865ce3p-4, 0x1.562827d8267fcp-4, 0x1.44c72d13eed1ep-4, 0x1.338ef48c89353p-4, 0x1.2280ba6df068fp-4, 0x1.119da9f39e201p-4, 0x1.00e6ddf7050fp-4, 0x1.e0bac3895e149p-5, 0x1.c0046306e2a56p-5, 0x1.9fac74ac5ff3p-5, 0x1.7fb4b5cac5504p-5, 0x1.601ec841e8cfp-5, 0x1.40ec332afc50bp-5, 0x1.221e62fce284p-5, 0x1.03b6aa69441efp-5, 0x1.cb6c8781d973fp-6, 0x1.903ca3637957p-6, 0x1.55dfbeb3f89c5p-6, 0x1.1c57c1902b168p-6, 0x1.c74cd0b775b3ap-7, 0x1.579a8b6b04b29p-7, 0x1.d3370b86b567fp-8, 0x1.f548ffe4fa291p-9, 0x1.2c0eb10d23117p-11, -0x1.585a4a180f666p-9, -0x1.7a6534b9680f6p-8, -0x1.2291d61fa0b83p-7, -0x1.8633370d065e3p-7, -0x1.e815f2571cf7bp-7, -0x1.241cbe48c3bb2p-6, -0x1.534ec3f53c0a4p-6, -0x1.81a1028f1f9p-6, -0x1.af1391847d4b8p-6, -0x1.dba6a541f32c8p-6, -0x1.03ad46663fc7bp-5, -0x1.1917d89458386p-5, -0x1.2e134b20a0b2ap-5, -0x1.429fed6a6a644p-5, -0x1.56be1b1a2b302p-5, -0x1.6a6e3ad48426fp-5, -0x1.7db0bdf661b94p-5, -0x1.90862132e9067p-5, -0x1.a2eeecb85a4aap-5, -0x1.b4ebb3193697bp-5, -0x1.c67d0fda64ee2p-5, -0x1.d7a3a704ab515p-5, -0x1.e86025cfa8d75p-5, -0x1.f8b343179bda7p-5, -0x1.044edf46f567dp-4, -0x1.0c102f964403cp-4, -0x1.139df93105355p-4, -0x1.1af8a6451c23cp-4, -0x1.2220a4dcec588p-4, -0x1.291666c20dab9p-4, -0x1.2fda60cafe2bap-4, -0x1.366d0a323acf7p-4, -0x1.3ccedc8928da9p-4, -0x1.43005425e2219p-4, -0x1.4901f06429e09p-4, -0x1.4ed4334640f5fp-4, -0x1.5477a0b3b065fp-4, -0x1.59ecbe00828f1p-4, -0x1.5f3412162d607p-4, -0x1.644e25e9cfa41p-4, -0x1.693b849f340a3p-4, -0x1.6dfcbb11af2b8p-4, -0x1.7292571add4a7p-4, -0x1.76fce7339af84p-4, -0x1.7b3cfaad6bd5ap-4, -0x1.7f532228ef1adp-4, -0x1.833fefb7c70c6p-4, -0x1.8703f66ea0bcp-4, -0x1.8a9fc9b59b994p-4, -0x1.8e13fce4418e3p-4, -0x1.9161236d1f20ap-4, -0x1.9487d1546e832p-4, -0x1.97889b6cac53bp-4, -0x1.9a64170f136bp-4, -0x1.9d1ad97c07c2fp-4, -0x1.9fad775c730d9p-4, -0x1.a21c84bff8253p-4, -0x1.a4689584364c4p-4, -0x1.a6923db7b8a5cp-4, -0x1.a89a119607ef8p-4, -0x1.aa80a513d35bep-4, -0x1.ac468b4c6fca3p-4, -0x1.adec56399e633p-4, -0x1.af7296e1ae3bap-4, -0x1.b0d9ddc6b001p-4, -0x1.b222bb308c1cbp-4, -0x1.b34dbf1010df4p-4, -0x1.b45b788a6ef3dp-4, -0x1.b54c757c208eep-4, -0x1.b6214247317c4p-4, -0x1.b6da6a07c4d41p-4, -0x1.b77876fc23117p-4, -0x1.b7fbf2caccd31p-4, -0x1.b8656670075aap-4, -0x1.b8b559ddc727ap-4, -0x1.b8ec538c22929p-4, -0x1.b90ad841459cap-4, -0x1.b9116b308a66dp-4, -0x1.b9008e538fb46p-4, -0x1.b8d8c2b9fc2acp-4, -0x1.b89a8898aff3dp-4, -0x1.b8465f0f13412p-4, -0x1.b7dcc3c7d07d8p-4, -0x1.b75e32aed6cb5p-4, -0x1.b6cb25e8033d6p-4, -0x1.b6241607600afp-4, -0x1.b5697a627e316p-4, -0x1.b49bc946111dep-4, -0x1.b3bb77f0d3943p-4, -0x1.b2c8fa590cbb3p-4, -0x1.b1c4c2dfc85d3p-4, -0x1.b0af421e0034fp-4, -0x1.af88e6e7aac78p-4, -0x1.ae521e7fa64a4p-4, -0x1.ad0b54db672dcp-4, -0x1.abb4f4cf96b91p-4, -0x1.aa4f680fc21d5p-4, -0x1.a8db17045da27p-4, -0x1.a758688f5df74p-4, -0x1.a5c7c1e045fdcp-4, -0x1.a429866f8c1e1p-4, -0x1.a27e18224119bp-4, -0x1.a0c5d7807ed0ep-4, -0x1.9f0123e1cb0d9p-4, -0x1.9d305b7b8eab2p-4, -0x1.9b53db4e0c8d7p-4, -0x1.996bfefb7a681p-4, -0x1.9779209f19dfcp-4, -0x1.957b98ba7e24cp-4, -0x1.9373be4303d6fp-4, -0x1.9161e6c78526fp-4, -0x1.8f46669a40d91p-4, -0x1.8d2190ec44254p-4, -0x1.8af3b7d12ab87p-4, -0x1.88bd2c2ca4b1ep-4, -0x1.867e3d93f8a1bp-4, -0x1.84373a3320c4bp-4, -0x1.81e86ec429ca7p-4, -0x1.7f92269e57cc5p-4, -0x1.7d34abd558199p-4, -0x1.7ad0475916f91p-4, -0x1.786541095c1e5p-4, -0x1.75f3dfb83dd32p-4, -0x1.737c691d82831p-4, -0x1.70ff21c1e1a75p-4, -0x1.6e7c4cebfaea4p-4, -0x1.6bf42c99208eep-4, -0x1.696701873066cp-4, -0x1.66d50b4bc4a7bp-4, -0x1.643e886de5fdap-4, -0x1.61a3b677731d8p-4, -0x1.5f04d1f9c62d8p-4, -0x1.5c6216874ffe3p-4, -0x1.59bbbea6ef354p-4, -0x1.571203c6b4939p-4, -0x1.54651e33f41d8p-4, -0x1.51b5451d5daabp-4, -0x1.4f02ae9ffc1bep-4, -0x1.4c4d8fda6e6afp-4, -0x1.49961cfe0fbb5p-4, -0x1.46dc8957c4bc4p-4, -0x1.4421074f921b5p-4, -0x1.4163c8627bd22p-4, -0x1.3ea4fd1afac2ap-4, -0x1.3be4d50b26152p-4, -0x1.39237ecab8098p-4, -0x1.366127fa4f21ep-4, -0x1.339dfd4c34a7fp-4, -0x1.30da2a9062141p-4, -0x1.2e15dabf6ee96p-4, -0x1.2b51380056ce8p-4, -0x1.288c6ba8787f2p-4, -0x1.25c79e387d72p-4, -0x1.2302f75974b07p-4, -0x1.203e9ddc0c383p-4, -0x1.1d7ab7b9c6415p-4, -0x1.1ab76a178cc5bp-4, -0x1.17f4d94966404p-4, -0x1.153328d75a3d8p-4, -0x1.12727b82f412fp-4, -0x1.0fb2f34bd0e19p-4, -0x1.0cf4b171e2049p-4, -0x1.0a37d6759a1a3p-4, -0x1.077c8217dbc67p-4, -0x1.04c2d35b3a3a9p-4, -0x1.020ae886ccc62p-4, -0x1.fea9be52dde69p-5, -0x1.f941a838578adp-5, -0x1.f3ddc706fc27ap-5, -0x1.ee7e51a03ed7cp-5, -0x1.e9237d8107c3fp-5, -0x1.e3cd7ec6687efp-5, -0x1.de7c8832ea7dbp-5, -0x1.d930cb332a1ebp-5, -0x1.d3ea77e20cb63p-5, -0x1.cea9bd0da9b1ep-5, -0x1.c96ec83d592bdp-5, -0x1.c439c5b7e4f8ep-5, -0x1.bf0ae08804b9bp-5, -0x1.b9e2427e279a6p-5, -0x1.b4c0143008a84p-5, -0x1.afa47cf8497d5p-5, -0x1.aa8fa2f830bd9p-5, -0x1.a581ab1c3a362p-5, -0x1.a07ab92267efcp-5, -0x1.9b7aefa060f1ep-5, -0x1.96827008d2ba1p-5, -0x1.91915ab020abep-5, -0x1.8ca7ced0ed8p-5, -0x1.87c5ea9075e8ap-5, -0x1.82ebcb0228fdep-5, -0x1.7e198c29e99dbp-5, -0x1.794f48fd0f9e9p-5, -0x1.748d1b62f9796p-5, -0x1.6fd31c369004cp-5, -0x1.6b216349cad31p-5, -0x1.6678076aed6d4p-5, -0x1.61d71e6a379a8p-5, -0x1.5d3ebd1f3cfe2p-5, -0x1.58aef76ce8d4p-5, -0x1.5427e045268c1p-5, -0x1.4fa989ac55452p-5, -0x1.4b3404bcd8d5ap-5, -0x1.46c761aa9f927p-5, -0x1.4263afc635076p-5, -0x1.3e08fd7f24c49p-5, -0x1.39b75865f4abep-5, -0x1.356ecd2e3e34ep-5, -0x1.312f67b1b2b8dp-5, -0x1.2cf932f42d9c1p-5, -0x1.28cc39286254ep-5, -0x1.24a883b45ba76p-5, -0x1.208e1b358232p-5, -0x1.1c7d078417a64p-5, -0x1.18754fb67c85fp-5, -0x1.1476fa24936e7p-5, -0x1.10820c6b3b9d4p-5, -0x1.0c968b6fc1f42p-5, -0x1.08b47b631578ep-5, -0x1.04dbdfc494644p-5, -0x1.010cbb6489ac4p-5, -0x1.fa8e20cd8e1cbp-6, -0x1.f315c08b5858dp-6, -0x1.ebb057abbeaeap-6, -0x1.e45de694b7b32p-6, -0x1.dd1e6c70ec1b2p-6, -0x1.d5f1e736f0bap-6, -0x1.ced853af7e3f4p-6, -0x1.c7d1ad7b60794p-6, -0x1.c0ddef1918308p-6, -0x1.b9fd11eb19eeap-6, -0x1.b32f0e3e6e959p-6, -0x1.ac73db51af717p-6, -0x1.a5cb6f5bf0b2cp-6, -0x1.9f35bf934e51bp-6, -0x1.98b2c032d8802p-6, -0x1.9242647ffc852p-6, -0x1.8be49ecfe30a6p-6, -0x1.8599608cbeeddp-6, -0x1.7f609a3b648ecp-6, -0x1.793a3b80e8241p-6, -0x1.732633286d54bp-6, -0x1.6d246f2944ebep-6, -0x1.6734dcada1d89p-6, -0x1.61576819bf78p-6, -0x1.5b8bfd132e93ep-6, -0x1.55d28687cb1f3p-6, -0x1.502aeeb3e8b17p-6, -0x1.4a951f27690d6p-6, -0x1.451100c9c036fp-6, -0x1.3f9e7bdd44654p-6, -0x1.3a3d780250368p-6, -0x1.34eddc3b3f08bp-6, -0x1.2faf8ef176d5ap-6, -0x1.2a8275fbc04f5p-6, -0x1.256676a57a891p-6, -0x1.205b75b597bdap-6, -0x1.1b61577512f95p-6, -0x1.1677ffb3ea7b4p-6, -0x1.119f51cd166c5p-6, -0x1.0cd730a99f1d8p-6, -0x1.081f7ec3cf6afp-6, -0x1.03781e2b0e99cp-6, -0x1.fdc1e112d1bbcp-7, -0x1.f4b3ae54d8eb8p-7, -0x1.ebc566066d879p-7, -0x1.e2f6c974ab8ebp-7, -0x1.da47995ca2f62p-7, -0x1.d1b795f2a610ap-7, -0x1.c9467ee392e17p-7, -0x1.c0f4134e9f97dp-7, -0x1.b8c011bcbbcb5p-7, -0x1.b0aa38174d0e9p-7, -0x1.a8b243a447b2dp-7, -0x1.a0d7f10c8c85ap-7, -0x1.991afc6ec854fp-7, -0x1.917b217f75ac5p-7, -0x1.89f81bb261533p-7, -0x1.8291a6668a8f4p-7, -0x1.7b477d0c67e12p-7, -0x1.74195b3cb1fe6p-7, -0x1.6d06fcb9574bp-7, -0x1.66101d560acddp-7, -0x1.5f3478cab2755p-7, -0x1.5873ca789ca05p-7, -0x1.51cdcd2eedcd2p-7, -0x1.4b423afe1baep-7, -0x1.44d0cd2513b19p-7, -0x1.3e793c26c80fap-7, -0x1.383b4004ce0fep-7, -0x1.3216909d3d62dp-7, -0x1.2c0ae61cb149cp-7, -0x1.2617f970fc9efp-7, -0x1.203d84a612e46p-7, -0x1.1a7b43185f08cp-7, -0x1.14d0f16daf448p-7, -0x1.0f3e4d4f912e1p-7, -0x1.09c314eee0636p-7, -0x1.045f0663345acp-7, -0x1.fe23be0577ef4p-8, -0x1.f3b6b5a3c90a8p-8, -0x1.e976685223532p-8, -0x1.df62474ba32c8p-8, -0x1.d579c0e3610d6p-8, -0x1.cbbc41b3a3e9dp-8, -0x1.c229364a1438ep-8, -0x1.b8c00d133b7dfp-8, -0x1.af803838cebe7p-8, -0x1.a6692f1f85b32p-8, -0x1.9d7a6f3c9325ep-8, -0x1.94b37c101e408p-8, -0x1.8c13de356908dp-8, -0x1.839b21a4b9c1ep-8, -0x1.7b48d3684a24dp-8, -0x1.731c7f246cff4p-8, -0x1.6b15acdcb0f4cp-8, -0x1.6333df565a99ap-8, -0x1.5b76935e70d6dp-8, -0x1.53dd401282e5bp-8, -0x1.4c67582422d06p-8, -0x1.45144bea1d8bp-8, -0x1.3de38bf6debccp-8, -0x1.36d48bda1bab9p-8, -0x1.2fe6c4a99e953p-8, -0x1.2919b6f0bf308p-8, -0x1.226cebb4ca15fp-8, -0x1.1bdff4596260bp-8, -0x1.1572695b4a2b7p-8, -0x1.0f23e809e548cp-8, -0x1.08f40f98a06dap-8, -0x1.02e27e03d9113p-8, -0x1.f9dd9aa08ef37p-9, -0x1.ee31233605001p-9, -0x1.e2beb08e0b4ccp-9, -0x1.d78550bd246afp-9, -0x1.cc84081071e16p-9, -0x1.c1b9d58a9f82p-9, -0x1.b725b8375675ep-9, -0x1.acc6b496a35efp-9, -0x1.a29bd978317a1p-9, -0x1.98a443c1f89bbp-9, -0x1.8edf20bccb5cbp-9, -0x1.854bae9c550e2p-9, -0x1.7be93b1a8fd52p-9, -0x1.72b7202d1e2fdp-9, -0x1.69b4bf1c434fep-9, -0x1.60e17a8da354p-9, -0x1.583cb059ac973p-9, -0x1.4fc5b42963401p-9, -0x1.477bcbd263cep-9, -0x1.3f5e2e26dd042p-9, -0x1.376c047b1badcp-9, -0x1.2fa46e96f85a8p-9, -0x1.2806884632ff8p-9, -0x1.20916f6e25a28p-9, -0x1.1944498fe1c16p-9, -0x1.121e47eb34933p-9, -0x1.0b1ea9f44acd9p-9, -0x1.0444be4283d2ap-9, -0x1.fb1fc4c481db7p-10, -0x1.edff03df42938p-10, -0x1.e1262a4c1d1b1p-10, -0x1.d4943d96867b4p-10, -0x1.c848526b4d88fp-10, -0x1.bc41848755cefp-10, -0x1.b07eecd1e3ff1p-10, -0x1.a4ff96c34a62p-10, -0x1.99c276f356ab5p-10, -0x1.8ec664edce485p-10, -0x1.840a1a089aaf8p-10, -0x1.798c35ee2b178p-10, -0x1.6f4b4825b0666p-10, -0x1.6545dc7fb83e8p-10, -0x1.5b7a876d0757cp-10, -0x1.51e7ef51fc9e5p-10, -0x1.488cd0cc2f784p-10, -0x1.3f67fde58db94p-10, -0x1.367859b49362fp-10, -0x1.2dbcd366ea08cp-10, -0x1.2534638133f8dp-10, -0x1.1cde0cdc39c9dp-10, -0x1.14b8e0de8149fp-10, -0x1.0cc4049925ee7p-10, -0x1.04feb39fd4bbap-10, -0x1.fad07c20a737ap-11, -0x1.ec00021a6192dp-11, -0x1.dd8ab6690975bp-11, -0x1.cf6f40b624ee2p-11, -0x1.c1ac2090db68dp-11, -0x1.b43fa65789e28p-11, -0x1.a727f908c59acp-11, -0x1.9a6326595e561p-11, -0x1.8def37be1323p-11, -0x1.81ca466b76dcap-11, -0x1.75f2893a9adcdp-11, -0x1.6a66592fff1f2p-11, -0x1.5f242bab03128p-11, -0x1.542a83ffef3e8p-11, -0x1.4977e11c58a6ep-11, -0x1.3f0aadec322bep-11, -0x1.34e13b239b9cdp-11, -0x1.2af9c62a80b87p-11, -0x1.21528bf36470ep-11, -0x1.17e9e19255ca2p-11, -0x1.0ebe49b6b65acp-11, -0x1.05ce7ee38ff04p-11, -0x1.fa32dc72e37f2p-12, -0x1.e93c48e973d8ap-12, -0x1.d8b7688ad0c4cp-12, -0x1.c8a23fa27dad6p-12, -0x1.b8fa9afbe4be5p-12, -0x1.a9be156ce0669p-12, -0x1.9aea3237260bdp-12, -0x1.8c7c7df1e2bf9p-12, -0x1.7e72a897f8072p-12, -0x1.70ca91e37c0efp-12, -0x1.638247ffc8898p-12, -0x1.5697fc8970a13p-12, -0x1.4a09f4ab327d6p-12, -0x1.3dd678964d0bdp-12, -0x1.31fbc54b8e6b5p-12, -0x1.267801ce99844p-12, -0x1.1b49377f6ec06p-12, -0x1.106d4dc19763bp-12, -0x1.05e20aba5837ap-12, -0x1.f74a371566533p-13, -0x1.e36848b501bdp-13, -0x1.d019a9eb5d805p-13, -0x1.bd59f8d01fbdap-13, -0x1.ab252bffed2aap-13, -0x1.997797ead8ed2p-13, -0x1.884dded9dab8ap-13, -0x1.77a4d4b76bca8p-13, -0x1.67796695c4721p-13, -0x1.57c892b73a861p-13, -0x1.488f71326c704p-13, -0x1.39cb42942b58cp-13, -0x1.2b7979c4bc175p-13, -0x1.1d97bd2e3b566p-13, -0x1.1023de45ca1bfp-13, -0x1.031bc57cf8c61p-13, -0x1.ecfaa910a3aa9p-14, -0x1.d48c982fe396dp-14, -0x1.bce890f3650d7p-14, -0x1.a609ba80804a7p-14, -0x1.8feb81d4d789p-14, -0x1.7a89d485f3209p-14, -0x1.65e10f38bd661p-14, -0x1.51ed9d303b8d7p-14, -0x1.3eab773790745p-14, -0x1.2c15c3a8313d6p-14, -0x1.1a26c2d472498p-14, -0x1.08d8077774aedp-14, -0x1.f045b330f584dp-15, -0x1.d0014654b90bbp-15, -0x1.b0d6b06d1d41cp-15, -0x1.92bba05a3a988p-15, -0x1.75a7efe9386d7p-15, -0x1.599586b7e9c45p-15, -0x1.3e7fbd213876p-15, -0x1.2462797b96407p-15, -0x1.0b3958b7d8528p-15, -0x1.e5fe5c7b5adf8p-16, -0x1.b75c0c8a33a03p-16, -0x1.8a7f1f2e8c9e4p-16, -0x1.5f5b1d74716fdp-16, -0x1.35e413f70528dp-16, -0x1.0e0e6fe988d9fp-16, -0x1.cf9dd32f0a268p-17, -0x1.863572845a0eap-17, -0x1.3fcf9102f29b8p-17, -0x1.f8b205dee6109p-18, -0x1.777d222f84782p-18, -0x1.f7b037ad16b99p-19, -0x1.0b30c124b54f6p-19, -0x1.4923b30493356p-22, 0x1.5d979d42d038cp-20, 0x1.7cf5e7c9bc45cp-19, 0x1.20d775b528afbp-18, 0x1.7ea61c1f31e5cp-18, 0x1.d81227b846699p-18, 0x1.16a3c8ab3a784p-17, 0x1.3f391648a948ep-17, 0x1.65dd567c7d2d9p-17, 0x1.8aa117c96a3acp-17, 0x1.ad8febb20cc07p-17, 0x1.ceb1fadb59926p-17, 0x1.ee0fcb7f8640ap-17, 0x1.05dab791e272ap-16, 0x1.13d955bd4a5fep-16, 0x1.210c2a7236ddep-16, 0x1.2d7ab892257e5p-16, 0x1.392b4915f280bp-16, 0x1.4423a85cc979p-16, 0x1.4e69e28cef793p-16, 0x1.58044dbce39dap-16, 0x1.60f92e62eaf0fp-16, 0x1.694e84e59f067p-16, 0x1.710a1f232502p-16, 0x1.7831bae02ef59p-16, 0x1.7ecb1067a8346p-16, 0x1.84dbc1496c47fp-16, 0x1.8a6937be4cf99p-16, 0x1.8f78833ef294ep-16, 0x1.940e39cf2366ep-16, 0x1.982e65dcac43ep-16, 0x1.9bdc8ed1f116fp-16, 0x1.9f1bebc92c3bep-16, 0x1.a1efbf51bab35p-16, 0x1.a45bc27a3103ep-16, 0x1.a6646ee967102p-16, 0x1.a80eeb2d506e1p-16, 0x1.a9605baad02d2p-16, 0x1.aa5cafc661ce2p-16, 0x1.ab05cebf93f03p-16, 0x1.ab5c70c7f4aa9p-16, 0x1.ab629fc8d0f4p-16, 0x1.ab1d97618031ap-16, 0x1.aa949fabc1ebep-16, 0x1.a9cd814171a2fp-16, 0x1.a8ca36bca0d95p-16, 0x1.a78a9b46281f2p-16, 0x1.a610169ba3c2bp-16, 0x1.a45eb8ba34ca2p-16, 0x1.a27b07a3a5e15p-16, 0x1.a067f7f116095p-16, 0x1.9e2716468bf6bp-16, 0x1.9bb9b95268348p-16, 0x1.9921c9314f054p-16, 0x1.9661e4f590d84p-16, 0x1.937d39ee276a2p-16, 0x1.90772e82826a6p-16, 0x1.8d52d318d91dfp-16, 0x1.8a1226a3a890fp-16, 0x1.86b570d6cc91fp-16, 0x1.833b2582e0edap-16, 0x1.7fa0fe1ba820ep-16, 0x1.7be665da13768p-16, 0x1.780e7fb1630b8p-16, 0x1.741f6eb634a04p-16, 0x1.701efa1ecd593p-16, 0x1.6c0f88279cecp-16, 0x1.67f0b6b46dca7p-16, 0x1.63c32f3254d2bp-16, 0x1.5f8aaa59f5334p-16, 0x1.5b4b34d8491f2p-16, 0x1.570559b4e1f5dp-16, 0x1.52b56ea18edb1p-16, 0x1.4e57076abab5p-16, 0x1.49ea3fbc0621cp-16, 0x1.45747cc28b696p-16, 0x1.40fa4d1dbf02ap-16, 0x1.3c7a7b3452f6ep-16, 0x1.37f1d53de1f79p-16, 0x1.336227a7df692p-16, 0x1.2ed17ee596edp-16, 0x1.2a43cf4e4bf02p-16, 0x1.25b92c528c2a4p-16, 0x1.2130f00ba9393p-16, 0x1.1cac0eb8e07ep-16, 0x1.182caeafe714p-16, 0x1.13b45083be1b1p-16, 0x1.0f4198f0a3429p-16, 0x1.0acf41bce28bcp-16, 0x1.0657c1cdaa7d7p-16, 0x1.01dc5fb740abbp-16, 0x1.faca7df67e06ep-17, 0x1.f1ef94608a701p-17, 0x1.e9227bc3b16cdp-17, 0x1.e05bfe73d41d3p-17, 0x1.d7a258d46b5e4p-17, 0x1.ceffa5ee9370cp-17, 0x1.c67484b862a2fp-17, 0x1.bdfb546aa3acep-17, 0x1.b5900ad45e183p-17, 0x1.ad3235dc49648p-17, 0x1.a4e3763da574cp-17, 0x1.9ca5d7274975bp-17, 0x1.947ac8c125a32p-17, 0x1.8c62de2f344e7p-17, 0x1.845ed00bb1c6fp-17, 0x1.7c7145c782baap-17, 0x1.749e0d30816a5p-17, 0x1.6ce47ab044b51p-17, 0x1.653dbfcde5be1p-17, 0x1.5da758a61af7bp-17, 0x1.56267c4918f6bp-17, 0x1.4ebbf0c7a899ep-17, 0x1.4765852d309f6p-17, 0x1.402b90b31217ap-17, 0x1.39189e4335341p-17, 0x1.3227277732b47p-17, 0x1.2b4567381302fp-17, 0x1.246e06de9c9b8p-17, 0x1.1dad81f3c84a9p-17, 0x1.1706ebb9a2c9ep-17, 0x1.1070c9ce97109p-17, 0x1.09eece2793d2ep-17, 0x1.038c69a9c9e79p-17, 0x1.fa927c068692bp-18, 0x1.ee3d82905b612p-18, 0x1.e21347f2e3658p-18, 0x1.d613d775c735ep-18, 0x1.ca41311fed6f8p-18, 0x1.be9cff6b1ad6bp-18, 0x1.b3282bf6f617p-18, 0x1.a7e30a6ca046p-18, 0x1.9ccd938c83ca1p-18, 0x1.91e7929aa1fb6p-18, 0x1.8730c16095a88p-18, 0x1.7ca8ce60a12aap-18, 0x1.724f49474f544p-18, 0x1.68238413d3a79p-18, 0x1.5e249646504f4p-18, 0x1.5451b186968e3p-18, 0x1.4aaaab2132e67p-18, 0x1.413016c1dcb73p-18, 0x1.37e2599d74adap-18, 0x1.2ec15cb65db3dp-18, 0x1.25d06f20b3d78p-18, 0x1.1d178b96ecdb1p-18, 0x1.1494514e5b6f2p-18, }}, 
      {{-0x1.28740970ed66ap+0, -0x1.2433b0cd2aefap+0, -0x1.1d77970626b8ep+0, -0x1.14a5f4b095b83p+0, -0x1.0a2c01082f3c3p+0, -0x1.fce83a53d81eap-1, -0x1.e3c072cf5820ep-1, -0x1.c98dfdbe5f7a7p-1, -0x1.aee57c46a4b24p-1, -0x1.9442efebca0f5p-1, -0x1.7a0b1c2e5c69cp-1, -0x1.608da080f7805p-1, -0x1.4807658a10f1fp-1, -0x1.30a51c9ea2f06p-1, -0x1.1a85a8bbe6b74p-1, -0x1.05bc5ace91b19p-1, -0x1.e4a5ef7a167b8p-2, -0x1.c0970a8ebbc1ap-2, -0x1.9f43bbf4ead08p-2, -0x1.809a1c48e3f2p-2, -0x1.6480fb05893a6p-2, -0x1.4ad9d4290ed4cp-2, -0x1.338271ca52457p-2, -0x1.1e5643726c8e8p-2, -0x1.0b2f74c7efa94p-2, -0x1.f3cf98ced8fb7p-3, -0x1.d4b2b675d8c22p-3, -0x1.b8be07a2bc119p-3, -0x1.9fa9c0820deaap-3, -0x1.89311941ff55ep-3, -0x1.7512b5e96e347p-3, -0x1.6310e9f5e99a1p-3, -0x1.52f1def8c81bdp-3, -0x1.447fa44fe22bp-3, -0x1.37882d122711dp-3, -0x1.2bdd4046abb7ep-3, -0x1.21545ed738aedp-3, -0x1.17c6a1eecfb91p-3, -0x1.0f1093f3bfb94p-3, -0x1.071205d7f1bdep-3, -0x1.ff5bc439a9c0ep-4, -0x1.f193fd357cc03p-4, -0x1.e49ddbd0457f7p-4, -0x1.d84fa1eddcfep-4, -0x1.cc8452f125442p-4, -0x1.c11b5ac4d796ap-4, -0x1.b5f837a5afe6bp-4, -0x1.ab02272ffd6ccp-4, -0x1.a023d6ff12b5bp-4, -0x1.954b19137f77ap-4, -0x1.8a689c0d4a478p-4, -0x1.7f6fa7450cc9cp-4, -0x1.7455dae974017p-4, -0x1.6912f43ee40cbp-4, -0x1.5da095cdcb814p-4, -0x1.51fa1324f4c64p-4, -0x1.461c401c091c6p-4, -0x1.3a0543e0fa7e9p-4, -0x1.2db46ff1433d9p-4, -0x1.212a1a674cce5p-4, -0x1.14677b0c7477fp-4, -0x1.076e8adab523dp-4, -0x1.f483cd1f1388p-5, -0x1.d9c968ce253d1p-5, -0x1.beb519e7d9732p-5, -0x1.a34ecbc595ed9p-5, -0x1.879efcf01a9dbp-5, -0x1.6bae9aff2af12p-5, -0x1.4f86e2a410897p-5, -0x1.3331441de5952p-5, -0x1.16b74be30e6f4p-5, -0x1.f4451cc854bbep-6, -0x1.baf92c110ae47p-6, -0x1.819da57c3b97ep-6, -0x1.4845168b412ebp-6, -0x1.0f01a0e9a7787p-6, -0x1.abc9cad7238a9p-7, -0x1.39ffe6e3283bcp-7, -0x1.918cf065e5433p-8, -0x1.60f443028c5e7p-9, 0x1.77e1d3b5bd835p-11, 0x1.0c9c9761d1f0fp-8, 0x1.e8305514e7fc3p-8, 0x1.60c1e6f2146ecp-7, 0x1.cc332fe5dee7ap-7, 0x1.1b2a9bf32d05fp-6, 0x1.4f8959f167842p-6, 0x1.832bebb01d81fp-6, 0x1.b6092732d46cbp-6, 0x1.e8189ac72e40bp-6, 0x1.0ca9442d603e9p-5, 0x1.24d7f02a14c4ep-5, 0x1.3c951e0cc5cc6p-5, 0x1.53ddec311954ep-5, 0x1.6aafc7b23195ep-5, 0x1.8108697470aebp-5, 0x1.96e5d323cd004p-5, 0x1.ac464c276c16fp-5, 0x1.c1285e8bf7b05p-5, 0x1.d58ad3e5eaeecp-5, 0x1.e96cb22f615f6p-5, 0x1.fccd38a51399p-5, 0x1.07d5ee53e146bp-4, 0x1.11042353878c1p-4, 0x1.19f1278e08d7p-4, 0x1.229cfdcc1340cp-4, 0x1.2b07bdf60e352p-4, 0x1.333193b62c387p-4, 0x1.3b1abd29768b8p-4, 0x1.42c3899f6512ep-4, 0x1.4a2c5868f4ee3p-4, 0x1.515597b657fe4p-4, 0x1.583fc38131744p-4, 0x1.5eeb6483f2d6cp-4, 0x1.65590f3ce7b27p-4, 0x1.6b8962fb414f1p-4, 0x1.717d08f871539p-4, 0x1.7734b37a14944p-4, 0x1.7cb11cff1b6ebp-4, 0x1.81f30777b9d4dp-4, 0x1.86fb3b85d7d9dp-4, 0x1.8bca87ca5e72dp-4, 0x1.9061c03b2922cp-4, 0x1.94c1bd8305636p-4, 0x1.98eb5c6e0aabp-4, 0x1.9cdf7d5c9c2e8p-4, 0x1.a09f03c14f2e2p-4, 0x1.a42ad5a8d79a6p-4, 0x1.a783db47089c4p-4, 0x1.aaaafe8e6b5e3p-4, 0x1.ada12aced9a46p-4, 0x1.b0674c57aeb49p-4, 0x1.b2fe5023ae053p-4, 0x1.b5672389f1ab7p-4, 0x1.b7a2b3f114889p-4, 0x1.b9b1ee8b1327bp-4, 0x1.bb95c01554ef2p-4, 0x1.bd4f1499f0384p-4, 0x1.beded738b2524p-4, 0x1.c045f1f47f585p-4, 0x1.c1854d80fa287p-4, 0x1.c29dd11695b45p-4, 0x1.c390624be115dp-4, 0x1.c45de4ee7badep-4, 0x1.c5073ae0416c2p-4, 0x1.c58d43faaf2e7p-4, 0x1.c5f0ddf21eaap-4, 0x1.c632e43aa343ep-4, 0x1.c6542ff2e3312p-4, 0x1.c65597d09dd67p-4, 0x1.c637f00c547fp-4, 0x1.c5fc0a511eeb2p-4, 0x1.c5a2b5b060129p-4, 0x1.c52cbe944fd53p-4, 0x1.c49aeeb349b43p-4, 0x1.c3ee0d07a8258p-4, 0x1.c326ddc8a98bbp-4, 0x1.c2462261c7983p-4, 0x1.c14c996c3a97cp-4, 0x1.c03afeabd73e2p-4, 0x1.bf120b0b7693cp-4, 0x1.bdd274986b1e3p-4, 0x1.bc7cee8064cb2p-4, 0x1.bb122911860cfp-4, 0x1.b992d1b9aea7bp-4, 0x1.b7ff930554248p-4, 0x1.b65914a06bcb8p-4, 0x1.b49ffb58984ffp-4, 0x1.b2d4e91f1bacp-4, 0x1.b0f87d0a79d28p-4, 0x1.af0b53592a4cp-4, 0x1.ad0e057566d26p-4, 0x1.ab0129f93075p-4, 0x1.a8e554b243263p-4, 0x1.a6bb16a621e8ep-4, 0x1.a482fe16a1a8bp-4, 0x1.a23d96876c1eap-4, 0x1.9feb68c3e8becp-4, 0x1.9d8cfae498e89p-4, 0x1.9b22d053f730cp-4, 0x1.98ad69d4680bep-4, 0x1.962d458787544p-4, 0x1.93a2def5334fap-4, 0x1.910eaf110e2bcp-4, 0x1.8e712c3ff2d01p-4, 0x1.8bcaca5f620dcp-4, 0x1.891bface2433ep-4, 0x1.86652c7380c48p-4, 0x1.83a6cbc496c68p-4, 0x1.80e142ca77a99p-4, 0x1.7e14f92acb23ap-4, 0x1.7b4254311a88ap-4, 0x1.7869b6d5ec5a4p-4, 0x1.758b81c41129fp-4, 0x1.72a8135f29a02p-4, 0x1.6fbfc7cce1feap-4, 0x1.6cd2f8fe9a888p-4, 0x1.69e1feb8b561dp-4, 0x1.66ed2e97e9405p-4, 0x1.63f4dc17ad95cp-4, 0x1.60f9589b617dbp-4, 0x1.5dfaf3784c48p-4, 0x1.5af9f9fd86556p-4, 0x1.57f6b7798bfe5p-4, 0x1.54f1754014e9p-4, 0x1.51ea7ab279732p-4, 0x1.4ee20d49c28b1p-4, 0x1.4bd8709f99e6ep-4, 0x1.48cde6747e3d7p-4, 0x1.45c2aeb53abbbp-4, 0x1.42b70781c3123p-4, 0x1.3fab2d3687985p-4, 0x1.3c9f5a7647932p-4, 0x1.3993c831cf7edp-4, 0x1.3688adad80b36p-4, 0x1.337e4086c7449p-4, 0x1.3074b4bba3df1p-4, 0x1.2d6c3cb42be6ap-4, 0x1.2a65094bc79ccp-4, 0x1.275f49d843a88p-4, 0x1.245b2c2ef4fc4p-4, 0x1.2158dcaa1cc36p-4, 0x1.1e58863068ecfp-4, 0x1.1b5a523e24c58p-4, 0x1.185e68ee2062ep-4, 0x1.1564f10073892p-4, 0x1.126e0fdf68bd4p-4, 0x1.0f79e9a474213p-4, 0x1.0c88a11f0f812p-4, 0x1.099a57dd5bbabp-4, 0x1.06af2e34c9876p-4, 0x1.03c74348f995cp-4, 0x1.00e2b5109ed06p-4, 0x1.fc0340b3c0162p-5, 0x1.f64841a02c623p-5, 0x1.f094a206dcd15p-5, 0x1.eae894e28aebcp-5, 0x1.e5444b16d077p-5, 0x1.dfa7f37abc4e6p-5, 0x1.da13bae0e9b0cp-5, 0x1.d487cc20639fdp-5, 0x1.cf045020cf0bdp-5, 0x1.c9896de95f969p-5, 0x1.c4174aafd9b5ep-5, 0x1.beae09e4c49cp-5, 0x1.b94dcd3c39899p-5, 0x1.b3f6b4b525894p-5, 0x1.aea8dea1cf92ap-5, 0x1.a96467b34ab17p-5, 0x1.a4296b0711a0ap-5, 0x1.9ef80234560b6p-5, 0x1.99d04556d56e9p-5, 0x1.94b24b16b9dd5p-5, 0x1.8f9e28af1f80ap-5, 0x1.8a93f1f57bf97p-5, 0x1.8593b96358b9bp-5, 0x1.809d902212946p-5, 0x1.7bb18616c5fb6p-5, 0x1.76cfa9ec7070ap-5, 0x1.71f8091b98ff2p-5, 0x1.6d2aaff050bb4p-5, 0x1.6867a9903aa6ap-5, 0x1.63af00022bb7dp-5, 0x1.5f00bc37a0f17p-5, 0x1.5a5ce6171b955p-5, 0x1.55c38485edc9ap-5, 0x1.51349d7008037p-5, 0x1.4cb035ce12dc8p-5, 0x1.483651aa91361p-5, 0x1.43c6f4276e5fdp-5, 0x1.3f621f84e3ff3p-5, 0x1.3b07d529ac1bp-5, 0x1.36b815abaa6c8p-5, 0x1.3272e0d7e2f53p-5, 0x1.2e3835b8fd077p-5, 0x1.2a08129c68942p-5, 0x1.25e27516cd371p-5, 0x1.21c75a08b3ab2p-5, 0x1.1db6bda41a466p-5, 0x1.19b09b7300751p-5, 0x1.15b4ee5e5e928p-5, 0x1.11c3b0b4c0df4p-5, 0x1.0ddcdc2ff00b6p-5, 0x1.0a0069f99238ep-5, 0x1.062e52af0fc1cp-5, 0x1.02668e6563efdp-5, 0x1.fd52295aabb38p-6, 0x1.f5ebb930c746p-6, 0x1.ee99b97c597e7p-6, 0x1.e75c1683cab7bp-6, 0x1.e032bbaea5bacp-6, 0x1.d91d938e3cd73p-6, 0x1.d21c87e5065d2p-6, 0x1.cb2f81ad25fb9p-6, 0x1.c456691eeadc4p-6, 0x1.bd9125b7d8605p-6, 0x1.b6df9e427c56cp-6, 0x1.b041b8decb9a6p-6, 0x1.a9b75b0a72b98p-6, 0x1.a34069a889b14p-6, 0x1.9cdcc9087c4b5p-6, 0x1.968c5cec1d448p-6, 0x1.904f088d1d3aap-6, 0x1.8a24aea24c1fep-6, 0x1.840d3164fa58dp-6, 0x1.7e087296c2b35p-6, 0x1.78165387b4c5dp-6, 0x1.7236b51c8e14fp-6, 0x1.6c6977d4b6b58p-6, 0x1.66ae7bcfcca29p-6, 0x1.6105a0d2afb6p-6, 0x1.5b6ec64c2142cp-6, 0x1.55e9cb5908e83p-6, 0x1.50768ec894ce5p-6, 0x1.4b14ef206ce1fp-6, 0x1.45c4caa125657p-6, 0x1.4085ff4adff37p-6, 0x1.3b586ae1e9b07p-6, 0x1.363beaf32ff86p-6, 0x1.31305cd86c915p-6, 0x1.2c359dbc07faap-6, 0x1.274b8a9cb82ecp-6, 0x1.22720050d635fp-6, 0x1.1da8db899de85p-6, 0x1.18eff8d64eb9cp-6, 0x1.144734a77bab6p-6, 0x1.0fae6b526d88ep-6, 0x1.0b2579149068p-6, 0x1.06ac3a16c17dap-6, 0x1.02428a7079c3ap-6, 0x1.fbd08c555d774p-7, 0x1.f33a92857fb8cp-7, 0x1.eac2df59f2125p-7, 0x1.e2692aae38258p-7, 0x1.da2d2c5571ec6p-7, 0x1.d20e9c1f0acefp-7, 0x1.ca0d31db7f3dp-7, 0x1.c228a5613e6e1p-7, 0x1.ba60ae917f763p-7, 0x1.b2b5055d0578p-7, 0x1.ab2561c88dfc7p-7, 0x1.a3b17bf121bd1p-7, 0x1.9c590c101f0fap-7, 0x1.951bca7f363eep-7, 0x1.8df96fbc04c77p-7, 0x1.86f1b46b9036p-7, 0x1.8004515da20f9p-7, 0x1.7930ff901876bp-7, 0x1.727778324ebe8p-7, 0x1.6bd774a88e6e6p-7, 0x1.6550ae8f847fbp-7, 0x1.5ee2dfbf7475p-7, 0x1.588dc24f6738fp-7, 0x1.5251109812362p-7, 0x1.4c2c8536b5fdcp-7, 0x1.461fdb0fc1658p-7, 0x1.402acd51615dbp-7, 0x1.3a4d1775d8e86p-7, 0x1.34867545c9046p-7, 0x1.2ed6a2da76e8bp-7, 0x1.293d5ca0209aap-7, 0x1.23ba5f584faf4p-7, 0x1.1e4d681c2d999p-7, 0x1.18f6345eaf703p-7, 0x1.13b481ee9389bp-7, 0x1.0e880ef87b3e6p-7, 0x1.09709a0889cdbp-7, 0x1.046de20c2f076p-7, 0x1.feff4ca7f1ffp-8, 0x1.f54b4d29faef7p-8, 0x1.ebbf45d4c829p-8, 0x1.e25ab7ad9d94fp-8, 0x1.d91d248b93cbep-8, 0x1.d0060f1a66f8ep-8, 0x1.c714fadd35f9p-8, 0x1.be496c31e5dd4p-8, 0x1.b5a2e8523da42p-8, 0x1.ad20f557bbbb1p-8, 0x1.a4c31a3cf58dcp-8, 0x1.9c88dedfce6a8p-8, 0x1.9471cc038aefp-8, 0x1.8c7d6b52c0256p-8, 0x1.84ab476106f57p-8, 0x1.7cfaebac7bcb5p-8, 0x1.756be49f5359ep-8, 0x1.6dfdbf9149a65p-8, 0x1.66b00ac904f88p-8, 0x1.5f82557d7b9c3p-8, 0x1.58742fd745a61p-8, 0x1.51852af1d5f43p-8, 0x1.4ab4d8dc8aa52p-8, 0x1.4402cc9bb205fp-8, 0x1.3d6e9a295a944p-8, 0x1.36f7d6762f1bbp-8, 0x1.309e176a1c378p-8, 0x1.2a60f3e507901p-8, 0x1.244003bf34e7bp-8, 0x1.1e3adfc9c6bcdp-8, 0x1.185121cf09718p-8, 0x1.12826492bd528p-8, 0x1.0cce43d26a785p-8, 0x1.07345c45a01c7p-8, 0x1.01b44b9e3d38p-8, 0x1.f89b61112fd7ap-9, 0x1.ee005556ef2e9p-9, 0x1.e396b54fe2322p-9, 0x1.d95dc43247a28p-9, 0x1.cf54c727a1481p-9, 0x1.c57b054c1532cp-9, 0x1.bbcfc7ada6716p-9, 0x1.b252594ba6a44p-9, 0x1.a90207164f88ap-9, 0x1.9fde1fee417dbp-9, 0x1.96e5f4a3ffca3p-9, 0x1.8e18d7f7198fdp-9, 0x1.85761e94de37fp-9, 0x1.7cfd1f167b908p-9, 0x1.74ad31fec387dp-9, 0x1.6c85b1b780c05p-9, 0x1.6485fa8ed1561p-9, 0x1.5cad6ab4c9b35p-9, 0x1.54fb6239b3e41p-9, 0x1.4d6f430d1ab48p-9, 0x1.460870fd4b06dp-9, 0x1.3ec651b73b9e4p-9, 0x1.37a84cc636fd9p-9, 0x1.30adcb92a2f72p-9, 0x1.29d6395fa6518p-9, 0x1.232103476b33bp-9, 0x1.1c8d98363613cp-9, 0x1.161b68e4d182dp-9, 0x1.0fc9e7d31a9f4p-9, 0x1.099889436f457p-9, 0x1.0386c337a1402p-9, 0x1.fb281adf5688cp-10, 0x1.ef7fc2d4791cfp-10, 0x1.e41374cc10cccp-10, 0x1.d8e22ac6f1716p-10, 0x1.cdeae24a77e77p-10, 0x1.c32c9c5dee665p-10, 0x1.b8a65d82ec309p-10, 0x1.ae572da88ed6dp-10, 0x1.a43e181aab075p-10, 0x1.9a5a2b6f193a4p-10, 0x1.90aa7973d4e92p-10, 0x1.872e17208b1abp-10, 0x1.7de41c8e31a9fp-10, 0x1.74cba4f1b18eep-10, 0x1.6be3cea57b147p-10, 0x1.632bbb2b1a0afp-10, 0x1.5aa28f373e3e8p-10, 0x1.524772b7febfp-10, 0x1.4a1990d6cdc6ap-10, 0x1.421817f32e446p-10, 0x1.3a423995eadebp-10, 0x1.32972a5d53481p-10, 0x1.2b1621e520106p-10, 0x1.23be5aad65849p-10, 0x1.1c8f1203b7411p-10, 0x1.158787f224169p-10, 0x1.0ea6ff35d23e5p-10, 0x1.07ecbd3dc1d8ap-10, 0x1.01580a30a1323p-10, 0x1.f5d061f5f0264p-11, 0x1.e938fe952472p-11, 0x1.dce88b73be603p-11, 0x1.d0ddaf64cbefdp-11, 0x1.c51716f73e202p-11, 0x1.b9937457ba573p-11, 0x1.ae517f2ce3d96p-11, 0x1.a34ff468c5cep-11, 0x1.988d961608013p-11, 0x1.8e092b274c768p-11, 0x1.83c17f4e2d851p-11, 0x1.79b562dd7dcdfp-11, 0x1.6fe3aab95e81p-11, 0x1.664b3053fbf21p-11, 0x1.5cead1b5b53d7p-11, 0x1.53c1718b8e69cp-11, 0x1.4acdf7370c2ccp-11, 0x1.420f4edc7ede8p-11, 0x1.3984696bc3771p-11, 0x1.312c3c9bd99aap-11, 0x1.2905c2de5a558p-11, 0x1.210ffb4b23f9ap-11, 0x1.1949e9845bc49p-11, 0x1.11b2959682c3ep-11, 0x1.0a490bd641ef8p-11, 0x1.030c5cbf0c692p-11, 0x1.f7f739a3d4141p-12, 0x1.ea2bc8ebc08cap-12, 0x1.dcb49fba0e6ebp-12, 0x1.cf8ffdde25fc4p-12, 0x1.c2bc2a777fc4ap-12, 0x1.b63773eb34352p-12, 0x1.aa002fe98721ap-12, 0x1.9e14bb7fd1c8ap-12, 0x1.92737b2fa5829p-12, 0x1.871adb03848bap-12, 0x1.7c094e9d8c376p-12, 0x1.713d513c07e06p-12, 0x1.66b565b3641e7p-12, 0x1.5c70165c0782cp-12, 0x1.526bf4f42c534p-12, 0x1.48a79a71364aep-12, 0x1.3f21a6bf9f971p-12, 0x1.35d8c0705a962p-12, 0x1.2ccb9458c9247p-12, 0x1.23f8d52f76cc3p-12, 0x1.1b5f3b34a406bp-12, 0x1.12fd83f60975fp-12, 0x1.0ad2723926f45p-12, 0x1.02dcce0e04de4p-12, 0x1.f636ca0637e28p-13, 0x1.e71a14d153d81p-13, 0x1.d8612f2528e1p-13, 0x1.ca09d802d79c5p-13, 0x1.bc11dae4824c3p-13, 0x1.ae770f9965e3cp-13, 0x1.a13759f5af1fdp-13, 0x1.9450a9690b8ddp-13, 0x1.87c0f88b1a4ccp-13, 0x1.7b864ca3f5e8ap-13, 0x1.6f9eb52e5d348p-13, 0x1.64084b47618f1p-13, 0x1.58c1310a1911bp-13, 0x1.4dc790df106fap-13, 0x1.43199cdfc7564p-13, 0x1.38b58e70e2fecp-13, 0x1.2e99a63d52497p-13, 0x1.24c42c9e61efbp-13, 0x1.1b33726155d9p-13, 0x1.11e5d1b6e3b4ep-13, 0x1.08d9af0609b85p-13, 0x1.000d7964ddbcap-13, 0x1.eeff551f2e39fp-14, 0x1.de5d8cc5947bep-14, 0x1.ce32b3ff39289p-14, 0x1.be7bf5a6ee132p-14, 0x1.af368b7a7ad67p-14, 0x1.a05fbcea33fc6p-14, 0x1.91f4de79977a2p-14, 0x1.83f3518a52308p-14, 0x1.765884400e176p-14, 0x1.6921f136289f3p-14, 0x1.5c4d1eda098dbp-14, 0x1.4fd79e880a90ap-14, 0x1.43bf0bb6e2a52p-14, 0x1.38010b9ed7eb8p-14, 0x1.2c9b4dae42fedp-14, 0x1.218b8cd2f28dap-14, 0x1.16cf9189a09e4p-14, 0x1.0c6532a763a7dp-14, 0x1.024a58b6088d6p-14, 0x1.f0f9f7a0e8cfcp-15, 0x1.ddf64847a207cp-15, 0x1.cb85cfe92621cp-15, 0x1.b9a4d3d037fccp-15, 0x1.a84faf07d13fcp-15, 0x1.9782d06e2b339p-15, 0x1.873ab9c89c90bp-15, 0x1.7773ff72e357ap-15, 0x1.682b482748fcbp-15, 0x1.595d4c844868dp-15, 0x1.4b06d63514cefp-15, 0x1.3d24bee96f9e3p-15, 0x1.2fb3ef56f7eap-15, 0x1.22b15e92f9735p-15, 0x1.161a11daaf73ep-15, 0x1.09eb1ce2b1783p-15, 0x1.fc43451a5c5c9p-16, 0x1.e575abf61f739p-16, 0x1.cf67f774c6475p-16, 0x1.ba14d58990e8bp-16, 0x1.a57719c6af29ep-16, 0x1.9189bc55f0e6ep-16, 0x1.7e47d732b3c4cp-16, 0x1.6baca2c373927p-16, 0x1.59b373754c3c7p-16, 0x1.4857b9b88cdc8p-16, 0x1.37950471a76f8p-16, 0x1.276704544c23fp-16, 0x1.17c98de9b5528p-16, 0x1.08b8985ff3b4ap-16, 0x1.f46071b576ffbp-17, 0x1.d859373e2f188p-17, 0x1.bd53fbea145ffp-17, 0x1.a349563aff4a1p-17, 0x1.8a31faa847073p-17, 0x1.7206c40840df6p-17, 0x1.5ac0bd6de2e68p-17, 0x1.44592873ab126p-17, 0x1.2ec97cf19bd4bp-17, 0x1.1a0b62e78df47p-17, 0x1.0618a9df795c4p-17, 0x1.e5d683b153f93p-18, 0x1.c0fa6ff90ed6cp-18, 0x1.9d916daf84c3ap-18, 0x1.7b900fdbcdcb7p-18, 0x1.5aeb288ef8a78p-18, 0x1.3b97c672fd591p-18, 0x1.1d8b320dcc2b5p-18, 0x1.00baf0619f4ccp-18, 0x1.ca399cc1a288ap-19, 0x1.954de585362cbp-19, 0x1.629fda8b09688p-19, 0x1.321d7318acb2dp-19, 0x1.03b562569bcfep-19, 0x1.aeadcdff26c57p-20, 0x1.59e32da334aabp-20, 0x1.08ea80d32da53p-20, 0x1.7747b6e4279efp-21, 0x1.c7bff7ffb8363p-22, 0x1.5d84d15a47201p-23, -0x1.7377f1c9331fdp-24, -0x1.5b9165690679p-22, -0x1.26e1f88acc0bdp-21, -0x1.99ef3906e94c9p-21, -0x1.0391cbc1d1456p-20, -0x1.37589d7a196abp-20, -0x1.6864bc3ff02cbp-20, -0x1.96ce6c72c0a67p-20, -0x1.c2ad7d449e3a4p-20, -0x1.ec1937fce5251p-20, -0x1.09941ad16d0b9p-19, -0x1.1bf84083ae154p-19, -0x1.2d43d05e638d4p-19, -0x1.3d8147f1b809p-19, -0x1.4cbae787d89f4p-19, -0x1.5afa9f0bb7e31p-19, -0x1.6849f71894bd5p-19, -0x1.74b202b26d3abp-19, -0x1.803b64e65149cp-19, -0x1.8aee68950ae44p-19, -0x1.94d31c375bae2p-19, -0x1.9df161a46c15ap-19, -0x1.a650ed3b02c4bp-19, -0x1.adf938e77cc3ap-19, -0x1.b4f1761b8adb6p-19, -0x1.bb4090fab39cfp-19, -0x1.c0ed39d48e82bp-19, -0x1.c5fdf2ec9b2a8p-19, -0x1.ca7917844ebb7p-19, -0x1.ce64da23450b5p-19, -0x1.d1c73f663ea28p-19, -0x1.d4a61b948f8b4p-19, -0x1.d707155af9a43p-19, -0x1.d8efac5fdceaep-19, -0x1.da653f6d518ep-19, -0x1.db6d0e4bba2f4p-19, -0x1.dc0c35848b463p-19, -0x1.dc47a608d8c7dp-19, -0x1.dc241d814f8f3p-19, -0x1.dba6240a2edfdp-19, -0x1.dad21125b2803p-19, -0x1.d9ac156790836p-19, -0x1.d83843ba238acp-19, -0x1.d67a95862356fp-19, -0x1.d476e8cd3519bp-19, -0x1.d230fb7caa322p-19, -0x1.cfac677cad25ap-19, -0x1.ccec9fd67d11dp-19, -0x1.c9f4eda548b24p-19, -0x1.c6c86e44232cfp-19, -0x1.c36a17a33adfep-19, -0x1.bfdcc44877e02p-19, -0x1.bc2341159e3e7p-19, -0x1.b840532d78e81p-19, -0x1.b436b25f3066p-19, -0x1.b008fddd2f091p-19, -0x1.abb9b6d306c4bp-19, -0x1.a74b3e57039cap-19, -0x1.a2bfdc39f1a9fp-19, -0x1.9e19c2a67bd17p-19, -0x1.995b0a20e19a8p-19, -0x1.9485bdfd6d9ap-19, -0x1.8f9bd51ae8396p-19, -0x1.8a9f355348657p-19, -0x1.8591b30781073p-19, -0x1.80750d78beeefp-19, -0x1.7b4aeb137147fp-19, -0x1.7614d731b73dap-19, -0x1.70d4432ecf82ap-19, -0x1.6b8a8bcea0242p-19, -0x1.6639027b755c3p-19, -0x1.60e0f55801f78p-19, -0x1.5b83ba8ee3c4cp-19, -0x1.5622a8233fcaep-19, -0x1.50bf0a602897ap-19, -0x1.4b5a13ee892c7p-19, -0x1.45f4d52f9c0a2p-19, -0x1.40903e551a90cp-19, -0x1.3b2d29eb7c973p-19, -0x1.35cc6c3f66305p-19, -0x1.306ee2537117fp-19, -0x1.2b157689e57edp-19, -0x1.25c113faceebap-19, -0x1.2072902a8c5cfp-19, -0x1.1b2a9e7d7054ap-19, -0x1.15e9d895648eep-19, -0x1.10b0d1b3bef88p-19, -0x1.0b8021eabd48dp-19, -0x1.065863de8090cp-19, -0x1.013a2e7b96ca1p-19, -0x1.f84c227aea393p-20, -0x1.ee39224caf6f9p-20, -0x1.e43c4a428fe01p-20, -0x1.da56680cb3115p-20, -0x1.d0882c79b2751p-20, -0x1.c6d23323d1271p-20, -0x1.bd3509007c069p-20, -0x1.b3b1318f497ddp-20, -0x1.aa472eaa8f25ap-20, -0x1.a0f781ad7c27cp-20, -0x1.97c2aa3748ad9p-20, -0x1.8ea91ded6795dp-20, -0x1.85ab4ca4aac42p-20, -0x1.7cc9b48f65394p-20, -0x1.7404ec5fa199bp-20, -0x1.6b5d8ab298954p-20, -0x1.62d3fb179609bp-20, -0x1.5a686999ada7fp-20, -0x1.521ad03e88195p-20, -0x1.49eb11acd9687p-20, -0x1.41d9194ef948bp-20, -0x1.39e4c65400c65p-20, -0x1.320e2b3ce9c72p-20, -0x1.2a559484735c4p-20, -0x1.22bb56caf39f2p-20, -0x1.1b3fae7e6cd2cp-20, -0x1.13e2952748e12p-20, -0x1.0ca3e33f88268p-20, -0x1.058383fedd287p-20, -0x1.fd02e8cf405b3p-21, -0x1.ef3b406ac003p-21, -0x1.e1afbcb3b1b1bp-21, -0x1.d46016b1abc66p-21, -0x1.c74c2a143f65ep-21, -0x1.ba73d1c1c0cafp-21, -0x1.add6b5e6a95bep-21, -0x1.a1743d97aff13p-21, -0x1.954ba3a34bb13p-21, -0x1.895c2bcfe9d41p-21, -0x1.7da56dae4bfe2p-21, -0x1.72276750920bbp-21, -0x1.66e219247939dp-21, -0x1.5bd51d0e8ded6p-21, -0x1.50ffc46f7b7eep-21, -0x1.4661711d4786ep-21, -0x1.3bf999ecc4b68p-21, -0x1.31c7a81ac93bfp-21, -0x1.27caff4823b8fp-21, -0x1.1e03129b73785p-21, -0x1.146f66e12a335p-21, -0x1.0b0f8969e22cfp-21, -0x1.01e301f8b533dp-21, -0x1.f1d284fb3fa02p-22, -0x1.e04333eeba8bcp-22, -0x1.cf167996db718p-22, -0x1.be4ad368fdf3dp-22, -0x1.addf0938166b4p-22, -0x1.9dd1f90b398bfp-22, -0x1.8e225c243219p-22, -0x1.7ecef49cccedp-22, -0x1.6fd6c9e0c5689p-22, -0x1.6138a535cf281p-22, -0x1.52f30f92c8973p-22, -0x1.4504b5ca4941dp-22, -0x1.376c1ae390a6ep-22, -0x1.2a27465b24bc9p-22, -0x1.1d3451ee0ee9fp-22, -0x1.109240d7e23a2p-22, -0x1.0440c2f1aa42ep-22, -0x1.f07dcfe9bb4a1p-23, -0x1.d915f0495452p-23, -0x1.c247007ffea25p-23, -0x1.ac0ec2f68f81ap-23, -0x1.966a8b802bf48p-23, -0x1.815775a41ab79p-23, -0x1.6cd2d94fdf4f2p-23, -0x1.58da44a2efd17p-23, -0x1.456b586075b6ep-23, -0x1.3283b61f4302dp-23, -0x1.2020fb0624803p-23, -0x1.0e40bf04f3d3fp-23, -0x1.f9c12dae0b1fcp-24, -0x1.d7fc320d5846ap-24, -0x1.b72dc7ae12b5ep-24, -0x1.97513f695afa9p-24, -0x1.7861f35c1a3e2p-24, -0x1.5a5b3118cbe27p-24, -0x1.3d38344bf521fp-24, -0x1.20f44e6481137p-24, -0x1.058b2b180c25ap-24, -0x1.d5f1bf6f1baf3p-25, -0x1.a272d0c8650b6p-25, -0x1.7090208bf645bp-25, -0x1.40373a2f56f91p-25, -0x1.117713270d729p-25, -0x1.c85c90376fddbp-26, }}, 
      {{0x1.aab22e53d172fp-14, 0x1.a18940cc8207ap-12, 0x1.8a8800013d09ep-11, 0x1.ea4dd22a3a405p-11, 0x1.8004321b07883p-11, -0x1.8da70d84f16bfp-18, -0x1.652f43fa373dcp-10, -0x1.b8e480016d05fp-9, -0x1.88c4769808f9p-8, -0x1.2d9770fdc9053p-7, -0x1.a7a2637ae318ep-7, -0x1.17f1c7c74ddbp-6, -0x1.61c2b4fa14231p-6, -0x1.afd01e8fa10cfp-6, -0x1.00546c93aaf67p-5, -0x1.2972e5443effep-5, -0x1.529774463c694p-5, -0x1.7b1f9f5eb625fp-5, -0x1.a274637935671p-5, -0x1.c80c206d2750bp-5, -0x1.eb6c67086be06p-5, -0x1.0615ba498c636p-4, -0x1.14f89476ad4d5p-4, -0x1.223bab73b2ecfp-4, -0x1.2dc4b3e272d8p-4, -0x1.3781b125bf39bp-4, -0x1.3f683bea61f3fp-4, -0x1.4574a1678dd2p-4, -0x1.49a8f129336d6p-4, -0x1.4c0c0d07d2816p-4, -0x1.4ca8c9792d996p-4, -0x1.4b8d27a2de462p-4, -0x1.48c9ad317e9bdp-4, -0x1.4470d9e3cab6ep-4, -0x1.3e96b7d7517fbp-4, -0x1.375081e675aa5p-4, -0x1.2eb45b00557e3p-4, -0x1.24d9119b88207p-4, -0x1.19d5eb28b0405p-4, -0x1.0dc2749f1d2b3p-4, -0x1.00b6561bd1a4p-4, -0x1.e5925150d03e7p-5, -0x1.c8249bda2159p-5, -0x1.a951941b2ee31p-5, -0x1.894640a2325a3p-5, -0x1.682e66777b178p-5, -0x1.46345155ef9aap-5, -0x1.2380a4d89ea29p-5, -0x1.003a3702b25a6p-5, -0x1.b90be83a925a6p-6, -0x1.710d972f4c8ep-6, -0x1.28bb4a1ee5452p-6, -0x1.c0a5723784b56p-7, -0x1.301b0fc820386p-7, -0x1.408557b815a1ap-8, -0x1.17f9ed0cada7ap-11, 0x1.ef4988e22f71dp-9, 0x1.075f1913e1231p-7, 0x1.90d973491860bp-7, 0x1.0bfda6b98ae58p-6, 0x1.4e429d40ab4efp-6, 0x1.8f1f0eaab4865p-6, 0x1.ce798c05864a2p-6, 0x1.061dc37f5a791p-5, 0x1.2428a8bdd26e6p-5, 0x1.4154f3223c6a6p-5, 0x1.5d9b69b8ae387p-5, 0x1.78f6098251ab8p-5, 0x1.935ff3aa934dfp-5, 0x1.acd55ce3e4ee8p-5, 0x1.c5537ecb53118p-5, 0x1.dcd88581a6f0ep-5, 0x1.f36380c55174fp-5, 0x1.047a28b343715p-4, 0x1.0ec5cbbd7f1c5p-4, 0x1.1895509e12ce5p-4, 0x1.21e9ad258d2cbp-4, 0x1.2ac41e3fb5fcbp-4, 0x1.332620c8e7683p-4, 0x1.3b116ac26e171p-4, 0x1.4287e4c501c18p-4, 0x1.498ba398afeafp-4, 0x1.501ee206e453ap-4, 0x1.5643faf37f348p-4, 0x1.5bfd63e486cf1p-4, 0x1.614da80bf7446p-4, 0x1.663763e2b8487p-4, 0x1.6abd415775927p-4, 0x1.6ee1f4819d135p-4, 0x1.72a838d047edcp-4, 0x1.7612ce9a6bcf4p-4, 0x1.79247900a1bacp-4, 0x1.7bdffc14e63eap-4, 0x1.7e481b36f8879p-4, 0x1.805f97a59dfbdp-4, 0x1.82292f3c12178p-4, 0x1.83a79b57935fep-4, 0x1.84dd8fe5355b3p-4, 0x1.85cdba8e2b167p-4, 0x1.867ac1ff999f7p-4, 0x1.86e74548c45bbp-4, 0x1.8715db4686dccp-4, 0x1.87091218cc9d6p-4, 0x1.86c36e9e6cd05p-4, 0x1.86476bf005843p-4, 0x1.85977adadbe14p-4, 0x1.84b6015ac595bp-4, 0x1.83a55a0cd3565p-4, 0x1.8267d3a6e8072p-4, 0x1.80ffb065f0512p-4, 0x1.7f6f25880b63ap-4, 0x1.7db85abfb9388p-4, 0x1.7bdd69b5bb4a5p-4, 0x1.79e05d92ee551p-4, 0x1.77c3328afa5d4p-4, 0x1.7587d587a72ddp-4, 0x1.733023ccc757ep-4, 0x1.70bdeabb09df9p-4, 0x1.6e32e7a32a5f3p-4, 0x1.6b90c79bb538bp-4, 0x1.68d9278294a3fp-4, 0x1.660d93f8229e8p-4, 0x1.632f897672087p-4, 0x1.60407485f2418p-4, 0x1.5d41b1e5490bcp-4, 0x1.5a348ede465b5p-4, 0x1.571a499e2fd58p-4, 0x1.53f411898e4f8p-4, 0x1.50c307be6eea5p-4, 0x1.4d883f823714ap-4, 0x1.4a44beb6af06cp-4, 0x1.46f97e770b6c5p-4, 0x1.43a76b8ee8adcp-4, 0x1.404f67000fe38p-4, 0x1.3cf246ab3093cp-4, 0x1.3990d5c615b8ap-4, 0x1.362bd56099876p-4, 0x1.32c3fd0e2652ep-4, 0x1.2f59fb544291ep-4, 0x1.2bee761e3d717p-4, 0x1.28820b5f25547p-4, 0x1.25155177b0af6p-4, 0x1.21a8d78a78f38p-4, 0x1.1e3d260bafb09p-4, 0x1.1ad2bf24a7749p-4, 0x1.176a1ee3bce43p-4, 0x1.1403bba8a1607p-4, 0x1.10a0068c2291fp-4, 0x1.0d3f6b77d00e1p-4, 0x1.09e2515c5c911p-4, 0x1.06891a980bacp-4, 0x1.03342512c5c29p-4, 0x1.ffc794747a98cp-5, 0x1.f930be93d27a3p-5, 0x1.f2a46b0ea88b5p-5, 0x1.ec23344c8d862p-5, 0x1.e5adac954fc7ep-5, 0x1.df445ea62706cp-5, 0x1.d8e7cdd1879cep-5, 0x1.d29875933e72dp-5, 0x1.cc56c9ac2d34bp-5, 0x1.c62336b021a58p-5, 0x1.bffe21f2f23c3p-5, 0x1.b9e7e90820497p-5, 0x1.b3e0e1ea2cadbp-5, 0x1.ade95b8f78f82p-5, 0x1.a8019dd6ba12p-5, 0x1.a229e8fafe04dp-5, 0x1.9c6275ac4f208p-5, 0x1.96ab75bcca205p-5, 0x1.9105144353facp-5, 0x1.8b6f75116d45dp-5, 0x1.85eab495d18e3p-5, 0x1.8076e89259fcdp-5, 0x1.7b1420a5fdf76p-5, 0x1.75c265f7f08e2p-5, 0x1.7081bac9f0e45p-5, 0x1.6b521aee77d28p-5, 0x1.66337cb70e87p-5, 0x1.6125d13027e92p-5, 0x1.5c290397db267p-5, 0x1.573cf93929bb3p-5, 0x1.526192494f14ap-5, 0x1.4d96aadf49619p-5, 0x1.48dc1af23301ap-5, 0x1.4431b5b9af5acp-5, 0x1.3f9749be48f45p-5, 0x1.3b0ca1f2d0abdp-5, 0x1.369186b149658p-5, 0x1.3225bd9869d32p-5, 0x1.2dc908d524faap-5, 0x1.297b27385c0ffp-5, 0x1.253bd5661fb87p-5, 0x1.210acee98443p-5, 0x1.1ce7ce19706d9p-5, 0x1.18d28b465cb21p-5, 0x1.14cabc98cafdcp-5, 0x1.10d01724e622bp-5, 0x1.0ce2502589b3bp-5, 0x1.09011d1fef2dp-5, 0x1.052c330bb3d31p-5, 0x1.016345c9a5e5fp-5, 0x1.fb4c11a25e6e6p-6, 0x1.f3e860fb4428ap-6, 0x1.ec9ae54bd1055p-6, 0x1.e5630c0c549adp-6, 0x1.de4042b27c5dbp-6, 0x1.d731f6a3e400ep-6, 0x1.d037973e7dadp-6, 0x1.c95097e790419p-6, 0x1.c27c701dfcbdbp-6, 0x1.bbba99c784ac9p-6, 0x1.b50a8fbcd546p-6, 0x1.ae6bce4033babp-6, 0x1.a7ddd4f59b5e8p-6, 0x1.a160285926ecbp-6, 0x1.9af25155bd57p-6, 0x1.9493db92c97d1p-6, 0x1.8e44543846eecp-6, 0x1.88034a5d95312p-6, 0x1.81d050a93006ap-6, 0x1.7baafe799ddc9p-6, 0x1.7592ef827d285p-6, 0x1.6f87c255052e2p-6, 0x1.6989172dfe5eep-6, 0x1.63969009ab26dp-6, 0x1.5dafd1cfa6997p-6, 0x1.57d4856316632p-6, 0x1.52045792d4d81p-6, 0x1.4c3ef805798c6p-6, 0x1.468418119ae4ap-6, 0x1.40d36a61614cdp-6, 0x1.3b2ca38f8166bp-6, 0x1.358f7b170d3fep-6, 0x1.2ffbabab8b644p-6, 0x1.2a70f2ac054afp-6, 0x1.24ef0f2fab12ep-6, 0x1.1f75c1609c608p-6, 0x1.1a04ca86da733p-6, 0x1.149beda0b93e4p-6, 0x1.0f3aeff6112b5p-6, 0x1.09e1991bdb0b5p-6, 0x1.048fb2678beb7p-6, 0x1.fe8a0c8f0a003p-7, 0x1.f402bfe04257dp-7, 0x1.e98917009790bp-7, 0x1.df1cace682b05p-7, 0x1.d4bd1ffe0ce76p-7, 0x1.ca6a121773146p-7, 0x1.c023279a4c28fp-7, 0x1.b5e806aa76aefp-7, 0x1.abb856d3a4b05p-7, 0x1.a193c153609c8p-7, 0x1.9779f1bf0a271p-7, 0x1.8d6a9693f1cc5p-7, 0x1.8365614714b96p-7, 0x1.796a05c93f3c2p-7, 0x1.6f7839ed64a21p-7, 0x1.658fb52ba49e9p-7, 0x1.5bb030e0e0fd4p-7, 0x1.51d968d3de9fbp-7, 0x1.480b1bb28014cp-7, 0x1.3e450b46020d3p-7, 0x1.3486fc40de027p-7, 0x1.2ad0b5ceaf722p-7, 0x1.212201452661bp-7, 0x1.177aaa39a2c5bp-7, 0x1.0dda7eee417a7p-7, 0x1.044150d22bd4dp-7, 0x1.f55de9a7bf58ep-8, 0x1.e24686d227da5p-8, 0x1.cf3c30a55c2bap-8, 0x1.bc3ea48ccb416p-8, 0x1.a94da580f194ep-8, 0x1.9668fc55af1bbp-8, 0x1.8390789830878p-8, 0x1.70c3f17ed694dp-8, 0x1.5e03466da7f47p-8, 0x1.4b4e5ee2db784p-8, 0x1.38a529f7bc711p-8, 0x1.26079dc975661p-8, 0x1.1375b7232ea24p-8, 0x1.00ef79ad8fe5p-8, 0x1.dce9e145b367ep-9, 0x1.b80c5f5ad5156p-9, 0x1.9346a6e5be055p-9, 0x1.6e9902f488e6bp-9, 0x1.4a03cf0d925e7p-9, 0x1.2587759c8cd56p-9, 0x1.01246ee891cedp-9, 0x1.b9b68209ee7afp-10, 0x1.715901907ed5dp-10, 0x1.2931a6bd75b3ap-10, 0x1.c283be9559bd5p-11, 0x1.331679b3ca706p-11, 0x1.483dca12dd108p-12, 0x1.5a0a0b51518dap-15, -0x1.e18208257acadp-13, -0x1.05e0855f6817ap-11, -0x1.92db3dd0b75c6p-11, -0x1.0fa6265983d07p-10, -0x1.55978c855b9f6p-10, -0x1.9b3f6537ee3ffp-10, -0x1.e09b24919b596p-10, -0x1.12d4112af8838p-9, -0x1.3531cfd0378e2p-9, -0x1.5765666554e24p-9, -0x1.796d6685a3f8p-9, -0x1.9b485b44c3791p-9, -0x1.bcf4c7ba390e5p-9, -0x1.de7124f43ca89p-9, -0x1.ffbbe05eb0ff6p-9, -0x1.1069adb8b433cp-8, -0x1.20daf683580d1p-8, -0x1.3130f20ca202fp-8, -0x1.416ac58ab35ep-8, -0x1.5187954ad9f2fp-8, -0x1.6186854996d62p-8, -0x1.7166b8e40d902p-8, -0x1.812751f0494b7p-8, -0x1.90c76fc89dfecp-8, -0x1.a0462ecb8f771p-8, -0x1.afa2a896dd1cbp-8, -0x1.bedbf4fbc1153p-8, -0x1.cdf12b685cbf5p-8, -0x1.dce1645d3196p-8, -0x1.ebabba80ad11dp-8, -0x1.fa4f4b05635c1p-8, -0x1.04659aad53dfbp-7, -0x1.0b8f4d368f822p-7, -0x1.12a44df5b9ef4p-7, -0x1.19a42dfcb6e05p-7, -0x1.208e7ec030c86p-7, -0x1.2762d28546f21p-7, -0x1.2e20bcf1c8d2p-7, -0x1.34c7d395d6d0ap-7, -0x1.3b57ae4c0e9f4p-7, -0x1.41cfe75ea940dp-7, -0x1.48301b73e73c3p-7, -0x1.4e77e956c3af6p-7, -0x1.54a6f1bc48626p-7, -0x1.5abcd727448d7p-7, -0x1.60b93dfd8f96cp-7, -0x1.669bcccba38f9p-7, -0x1.6c642ca1b00f9p-7, -0x1.7212096d106afp-7, -0x1.77a51237cdb14p-7, -0x1.7d1cf94487eb2p-7, -0x1.8279740ac5c14p-7, -0x1.87ba3b20c1818p-7, -0x1.8cdf0a221dc9fp-7, -0x1.91e79fa145eaep-7, -0x1.96d3bd2bb2064p-7, -0x1.9ba327636ab04p-7, -0x1.a055a627e75bep-7, -0x1.a4eb04c2ffa55p-7, -0x1.a963120d47b28p-7, -0x1.adbda081c5a34p-7, -0x1.b1fa864006f6dp-7, -0x1.b6199d0292873p-7, -0x1.ba1ac211d7347p-7, -0x1.bdfdd63b60184p-7, -0x1.c1c2bdd04bdd6p-7, -0x1.c56960aae574fp-7, -0x1.c8f1aa3815f4fp-7, -0x1.cc5b89821e627p-7, -0x1.cfa6f1390f0cbp-7, -0x1.d2d3d7b77c43cp-7, -0x1.d5e237015b05p-7, -0x1.d8d20cbd7904dp-7, -0x1.dba35a2a3d31bp-7, -0x1.de56241125ecbp-7, -0x1.e0ea72bb3ef55p-7, -0x1.e36051e859d59p-7, -0x1.e5b7d0c8eb408p-7, -0x1.e7f101f8dd53p-7, -0x1.ea0bfb790bd66p-7, -0x1.ec08d6a6d8278p-7, -0x1.ede7b030cc2b7p-7, -0x1.efa8a809cf592p-7, -0x1.f14be15aedd8bp-7, -0x1.f2d18274c1572p-7, -0x1.f439b4c029edep-7, -0x1.f584a4ae490bcp-7, -0x1.f6b281a7d64bep-7, -0x1.f7c37dfc4a13fp-7, -0x1.f8b7ced102911p-7, -0x1.f98fac10bff6fp-7, -0x1.fa4b505b157c9p-7, -0x1.faeaf8f354a52p-7, -0x1.fb6ee5aedae98p-7, -0x1.fbd758e2bd87cp-7, -0x1.fc2497513e701p-7, -0x1.fc56e816be4e8p-7, -0x1.fc6e9496953fep-7, -0x1.fc6be86735f92p-7, -0x1.fc4f313dc86b1p-7, -0x1.fc18bed904fecp-7, -0x1.fbc8e2ebd7869p-7, -0x1.fb5ff1088ab31p-7, -0x1.fade3e8cc101dp-7, -0x1.fa44228eaa551p-7, -0x1.f991f5cabb063p-7, -0x1.f8c81291077d1p-7, -0x1.f7e6d4b1c43a8p-7, -0x1.f6ee99683360ap-7, -0x1.f5dfbf447cfa5p-7, -0x1.f4baa615045ffp-7, -0x1.f37faed02e32fp-7, -0x1.f22f3b7fb773dp-7, -0x1.f0c9af2e0e49p-7, -0x1.ef4f6dd595f22p-7, -0x1.edc0dc51492b6p-7, -0x1.ec1e604d55872p-7, -0x1.ea68603659bfep-7, -0x1.e89f432692deep-7, -0x1.e6c370d08bd71p-7, -0x1.e4d55167b6537p-7, -0x1.e2d54d889cc82p-7, -0x1.e0c3ce2264e07p-7, -0x1.dea13c637b2a1p-7, -0x1.dc6e01aa7ea75p-7, -0x1.da2a877b399dap-7, -0x1.d7d7377632ab7p-7, -0x1.d5747b5085a5ap-7, -0x1.d302bcc98547dp-7, -0x1.d082659c3924ep-7, -0x1.cdf3df6c7cbap-7, -0x1.cb5793b0b31e5p-7, -0x1.c8adeb9a74eddp-7, -0x1.c5f750014b26cp-7, -0x1.c3342951cbb57p-7, -0x1.c064df81ffe44p-7, -0x1.bd89da0a9ba87p-7, -0x1.baa37fe23267p-7, -0x1.b7b23777756f2p-7, -0x1.b4b666a7b6d97p-7, -0x1.b1b072b08c0efp-7, -0x1.aea0c01d60446p-7, -0x1.ab87b2b44bc65p-7, -0x1.a865ad667ca87p-7, -0x1.a53b124839db4p-7, -0x1.a2084292a2b7cp-7, -0x1.9ecd9eae2f151p-7, -0x1.9b8b864102e75p-7, -0x1.98425839f6d96p-7, -0x1.94f272cf9558p-7, -0x1.919c336c749c6p-7, -0x1.8e3ff687623e1p-7, -0x1.8ade1769bd771p-7, -0x1.8776efef4f13ap-7, -0x1.840ad84d864c7p-7, -0x1.809a26f279b6ap-7, -0x1.7d25308886b95p-7, -0x1.79ac48251346fp-7, -0x1.762fbf9e6605bp-7, -0x1.72afe7f9cde1fp-7, -0x1.6f2d11da23b26p-7, -0x1.6ba78dd2424p-7, -0x1.681fac807ab44p-7, -0x1.6495be61466bdp-7, -0x1.610a135595503p-7, -0x1.5d7cf9eb6d71fp-7, -0x1.59eebe87e1b56p-7, -0x1.565faa9cc3d59p-7, -0x1.52d0041aa27d9p-7, -0x1.4f400d43cf8c9p-7, -0x1.4bb004fc078a9p-7, -0x1.48202793cddc5p-7, -0x1.4490aff78c51ap-7, -0x1.4101d9108e52fp-7, -0x1.3d73df15920f2p-7, -0x1.39e70081cc5ecp-7, -0x1.365b7e731eaa9p-7, -0x1.32d19c46bed02p-7, -0x1.2f499e6f958b5p-7, -0x1.2bc3c8a9141d8p-7, -0x1.28405bce7d5ep-7, -0x1.24bf93b71c13fp-7, -0x1.2141a57ffe31p-7, -0x1.1dc6be9f3dca2p-7, -0x1.1a4f04ffe85dp-7, -0x1.16da983b9867p-7, -0x1.136993d6d6ef4p-7, -0x1.0ffc12369d49fp-7, -0x1.0c922fde312dbp-7, -0x1.092c0e6c1758cp-7, -0x1.05c9d6c9dfe7ap-7, -0x1.026bba183cc83p-7, -0x1.fe23e2204cb86p-8, -0x1.f77973a9817e5p-8, -0x1.f0d8a8f5e2133p-8, -0x1.ea41fd9a11e4cp-8, -0x1.e3b5dff4558b3p-8, -0x1.dd34a9d30a6b9p-8, -0x1.d6be9b9f71816p-8, -0x1.d053dae06c3b1p-8, -0x1.c9f474629419dp-8, -0x1.c3a061c9ef21dp-8, -0x1.bd5791d5b1fcep-8, -0x1.b719f23e0c4b7p-8, -0x1.b0e779d080a9ep-8, -0x1.aac03151499c2p-8, -0x1.a4a439b935181p-8, -0x1.9e93ceafdaf22p-8, -0x1.988f44a6a279dp-8, -0x1.929702ab8d4f7p-8, -0x1.8cab78cefc8e8p-8, -0x1.86cd14a1beb4dp-8, -0x1.80fc35b64cf85p-8, -0x1.7b39241436f45p-8, -0x1.75840a2bae134p-8, -0x1.6fdcf328a4054p-8, -0x1.6a43cdb69f553p-8, -0x1.64b8728af6c3ap-8, -0x1.5f3aad89b2015p-8, -0x1.59ca48209127fp-8, -0x1.5467137946f1ep-8, -0x1.4f10f14d4ad6cp-8, -0x1.49c7da5ca283cp-8, -0x1.448be1c029366p-8, -0x1.3f5d34907ffb4p-8, -0x1.3a3c15b001608p-8, -0x1.3528d5fb97c6ap-8, -0x1.3023c9b51ef27p-8, -0x1.2b2d3c8c835f7p-8, -0x1.2645661e2c797p-8, -0x1.216c60e6b5527p-8, -0x1.1ca2256dddb42p-8, -0x1.17e68abb21726p-8, -0x1.13394c1fb620dp-8, -0x1.0e9a133e96385p-8, -0x1.0a0884515778ep-8, -0x1.05844a478db16p-8, -0x1.010d20a95a6a4p-8, -0x1.f945b401014ecp-9, -0x1.f08ac53772d6ap-9, -0x1.e7e980af179bcp-9, -0x1.df6220db080b1p-9, -0x1.d6f5081f79781p-9, -0x1.cea2b8143bf8ap-9, -0x1.c66bc63820567p-9, -0x1.be50cd23f2d47p-9, -0x1.b65259fa6064ap-9, -0x1.ae70d7586f87ep-9, -0x1.a6ac78d9f695ap-9, -0x1.9f052b9110f2ep-9, -0x1.977a8fe620ac5p-9, -0x1.900bffdcc6ddp-9, -0x1.88b8a1e08abc4p-9, -0x1.817f84c13a6e2p-9, -0x1.7a5fbe8e3764ap-9, -0x1.735886b84fa7ap-9, -0x1.6c69452981ba9p-9, -0x1.6591937c921dbp-9, -0x1.5ed1327f1cf92p-9, -0x1.5827fa331590dp-9, -0x1.5195cc437e3fp-9, -0x1.4b1a8f1ede365p-9, -0x1.44b6336eb9abcp-9, -0x1.3e68c05511f02p-9, -0x1.38325f107a352p-9, -0x1.32135e1ffa5a1p-9, -0x1.2c0c27135b88bp-9, -0x1.261d27b2411edp-9, -0x1.2046b4b313caap-9, -0x1.1a88ef64f7c44p-9, -0x1.14e3b708cbdbp-9, -0x1.0f56aa8dd6622p-9, -0x1.09e139e151a3ap-9, -0x1.0482c155128e6p-9, -0x1.fe754e68d197fp-10, -0x1.f410e725f555dp-10, -0x1.e9d7b803f6897p-10, -0x1.dfc97f3ceba81p-10, -0x1.d5e6278f51275p-10, -0x1.cc2d8d175fb1bp-10, -0x1.c29f407b5f53dp-10, -0x1.b93a5f1c35e91p-10, -0x1.affd922c1e005p-10, -0x1.a6e73970ed818p-10, -0x1.9df5b5d1c2658p-10, -0x1.9527baa6246dbp-10, -0x1.8c7c88ab9682bp-10, -0x1.83f3fca23057p-10, -0x1.7b8e6be3c9999p-10, -0x1.734c5d228abc8p-10, -0x1.6b2e3a48f7aa2p-10, -0x1.63341a6a1eaecp-10, -0x1.5b5db6056ae55p-10, -0x1.53aa83836deecp-10, -0x1.4c19e95a2d11fp-10, -0x1.44ab6edce2cep-10, -0x1.3d5edb9d8f444p-10, -0x1.363440128ce6bp-10, -0x1.2f2bea05921afp-10, -0x1.28464aaf89819p-10, -0x1.2183d54a12a38p-10, -0x1.1ae4dc67b2a39p-10, -0x1.1469724c355eep-10, -0x1.0e114e1b16df2p-10, -0x1.07dbb7f4c3f61p-10, -0x1.01c7817c7519ap-10, -0x1.f7a62517795eap-11, -0x1.ebf91c6b9ef0fp-11, -0x1.e08415f814c92p-11, -0x1.d5439fbb89466p-11, -0x1.ca350849ce2ap-11, -0x1.bf56864de0134p-11, -0x1.b4a71e3163f7fp-11, -0x1.aa2658785879dp-11, -0x1.9fd3f21a80e0cp-11, -0x1.95afae82acaf5p-11, -0x1.8bb956a70ea9p-11, -0x1.81f0d21b5e513p-11, -0x1.7856406c9c954p-11, -0x1.6eea07c72aac7p-11, -0x1.65acd7834e022p-11, -0x1.5c9f964a74117p-11, -0x1.53c3317c7f3b4p-11, -0x1.4b185a84a5ce5p-11, -0x1.429f5bea53b48p-11, -0x1.3a582b48da29bp-11, -0x1.3242afd0df58cp-11, -0x1.2a5f0558a00afp-11, -0x1.22ad7d16af2abp-11, -0x1.1b2e46705164ep-11, -0x1.13e0e5890a89fp-11, -0x1.0cc3c1b60feap-11, -0x1.05d40a20c712cp-11, -0x1.fe1bf5ea938d4p-12, -0x1.f0dab5baf742fp-12, -0x1.e3dbff58f8a96p-12, -0x1.d7188cbc71089p-12, -0x1.ca8b002b669c8p-12, -0x1.be309123d5bcp-12, -0x1.b2094bdc2ad0ep-12, -0x1.a617ae18c7897p-12, -0x1.9a5f9e262f698p-12, -0x1.8ee4f3d2e07b1p-12, -0x1.83aa166cff6ffp-12, -0x1.78af649f3af6ep-12, -0x1.6df3c7a190e36p-12, -0x1.6375fd4b1c9b6p-12, -0x1.593598dc6a19p-12, -0x1.4f3322314efd9p-12, -0x1.456f9a8fa2106p-12, -0x1.3bec00ba7613bp-12, -0x1.32a9098f99211p-12, -0x1.29a6e15620265p-12, -0x1.20e4e3b2af7bfp-12, -0x1.186180d40a8fdp-12, -0x1.101a85220be1dp-12, -0x1.080da743e1b5ep-12, -0x1.0038fa5b05147p-12, -0x1.f135dd2ddb208p-13, -0x1.e263b4b5ddc1bp-13, -0x1.d3f6a7d0e3d0fp-13, -0x1.c5e767f3cc7c2p-13, -0x1.b82becbf201b7p-13, -0x1.aab83f0e1d836p-13, -0x1.9d80d0e434e94p-13, -0x1.907e6ad2bfae4p-13, -0x1.83b1e1804691bp-13, -0x1.772469cfad0cfp-13, -0x1.6ae305bb21bccp-13, -0x1.5ef74d118a2dap-13, -0x1.53623f205e8p-13, -0x1.481cc690690c8p-13, -0x1.3d1dc3202c9bp-13, -0x1.32612b6c16ef7p-13, -0x1.27eab3f9eb719p-13, -0x1.1dc235c82e816p-13, -0x1.13ed71ce98228p-13, -0x1.0a6c3f91eadb2p-13, -0x1.01390db2044cfp-13, -0x1.f09810a0322f2p-14, -0x1.df3c79699019fp-14, -0x1.ce566e6c7e768p-14, -0x1.bde226a467e27p-14, -0x1.addf6200a524ep-14, -0x1.9e4f6c36f3655p-14, -0x1.8f334ce4cac99p-14, -0x1.808a3f8e8cd0ep-14, -0x1.7250a48d9cdd7p-14, -0x1.647ff2e213b11p-14, -0x1.57103309082acp-14, -0x1.49fae5df3e0dap-14, -0x1.3d3dfa49b3399p-14, -0x1.30dc2b97fdacfp-14, -0x1.24d8b02e29bf5p-14, -0x1.19305672adbdap-14, -0x1.0dd727e4f413cp-14, -0x1.02bfb85f21eeap-14, -0x1.efcdb9715feaep-15, -0x1.daaf6f76c77a4p-15, -0x1.c645bf8320921p-15, -0x1.b2a07bcc1475dp-15, -0x1.9fb268ff19b0dp-15, -0x1.8d61f172f4da3p-15, -0x1.7ba19a47d11b4p-15, -0x1.6a735842faccap-15, -0x1.59d96e80b3ap-15, -0x1.49cd1120a118ep-15, -0x1.3a429911746c2p-15, -0x1.2b30ebeeb617cp-15, -0x1.1c946f152d5a8p-15, -0x1.0e6e3d3100ecap-15, -0x1.00c256472620ap-15, -0x1.e72b200b66d9dp-16, -0x1.cdd59b9f09d42p-16, -0x1.b57f305d41bb1p-16, -0x1.9e127a34a7bc1p-16, -0x1.87693bb8dd5a5p-16, -0x1.71579aeb7360ap-16, -0x1.5bc38180c437cp-16, -0x1.46b71fdbeecb9p-16, -0x1.3258a5f133d1cp-16, -0x1.1ec988c992ec4p-16, -0x1.0c0aaf2a15c2bp-16, -0x1.f407d8a3166c9p-17, -0x1.d1528081f0ce4p-17, -0x1.b01a685498b68p-17, -0x1.908b5ccd1113dp-17, -0x1.728fc4d32f795p-17, -0x1.55c918b7ef14ep-17, -0x1.39d2708d880f1p-17, -0x1.1e9534e56df47p-17, -0x1.044a45311483p-17, -0x1.d633cd65c3dc6p-18, -0x1.a5bb485435cffp-18, -0x1.76b993967ba1ap-18, -0x1.49478b4e2ccf1p-18, -0x1.1dddc4b4c4021p-18, -0x1.e9652eea703dcp-19, -0x1.9b3ab4336c12ap-19, -0x1.50d55c49c74c4p-19, -0x1.0a22362df0a96p-19, -0x1.8e90145e5f59bp-20, -0x1.10a548bf1272cp-20, -0x1.33501dcf7b87p-21, -0x1.3bab8f37aa833p-23, 0x1.207890402b57dp-22, 0x1.69ebbeff0f3f5p-21, 0x1.1cbad271c7d8ap-20, 0x1.7e05d8819d00fp-20, 0x1.da157e6246744p-20, 0x1.192f969ecf0e4p-19, 0x1.43149db8795dp-19, 0x1.6a10dd2f89295p-19, 0x1.8e3d8a3de35c6p-19, 0x1.b02f08713c54bp-19, 0x1.d055dc658e822p-19, 0x1.eed8af63950ap-19, 0x1.05da56702634dp-18, 0x1.136f546d9c06p-18, 0x1.202ab390f4aebp-18, 0x1.2c121510c4a31p-18, 0x1.3728557f186edp-18, 0x1.4160915b00961p-18, 0x1.4aa7fe8681c6ep-18, 0x1.5312c2eff5259p-18, 0x1.5ae263b83cb14p-18, 0x1.6231f6276810fp-18, 0x1.68e2122b00bdap-18, 0x1.6ef5076a8010ep-18, 0x1.74802dedceae4p-18, 0x1.794fea35305a8p-18, 0x1.7d26c43c335fcp-18, 0x1.8033de2e67b17p-18, 0x1.82f25adb94b16p-18, 0x1.8589184727d83p-18, 0x1.87ad22f8413bbp-18, 0x1.8950e58b405dep-18, 0x1.8ab4a2a09cfaap-18, 0x1.8bc515d25f919p-18, 0x1.8c40b956c01fdp-18, 0x1.8c2fd0930a923p-18, 0x1.8bbf155dc929ep-18, 0x1.8b0661360d6a3p-18, 0x1.8a09160a2a6a6p-18, 0x1.88c4c1c84e94ep-18, 0x1.8737f5afaa3bfp-18, 0x1.8563664379a09p-18, 0x1.834955966f92dp-18, 0x1.80ecdd6fc2cc8p-18, 0x1.7e516e249f3ep-18, 0x1.7b7a847992dep-18, 0x1.786b9622c04b9p-18, 0x1.752833a29a2f3p-18, 0x1.71b43c90349f7p-18, 0x1.6e13cdc989cbap-18, 0x1.6a4a984837ed8p-18, 0x1.665ae75abe4d4p-18, 0x1.62459064c9fd8p-18, 0x1.5e0bc130213f2p-18, 0x1.59af3e354ac2p-18, 0x1.552a975cc93c6p-18, 0x1.50700542a0772p-18, 0x1.4b868d83474fbp-18, }}, 
      {{0x1.aeee5bd054ca6p-5, 0x1.765581ff12456p-4, 0x1.c581817423697p-4, 0x1.c3d70ba31e359p-4, 0x1.7b8116a6deb38p-4, 0x1.f70c40f6c7b8dp-5, 0x1.50236514dc621p-6, -0x1.af1b6137b323p-6, -0x1.36b17b9cbb311p-4, -0x1.00ef0016fd184p-3, -0x1.626cf184bf1c5p-3, -0x1.bcb6f852da5f3p-3, -0x1.06d64ff3dfafap-2, -0x1.2a00a919a5a8fp-2, -0x1.478aa86b760f1p-2, -0x1.5f68a482ef012p-2, -0x1.71c305060b386p-2, -0x1.7ee857a4adb32p-2, -0x1.87419961aba65p-2, -0x1.8b488efdb80bdp-2, -0x1.8b7ffbd818dabp-2, -0x1.886d81ba84f1ap-2, -0x1.8294f20486ca8p-2, -0x1.7a74d92ea67e2p-2, -0x1.70841052079c1p-2, -0x1.653024a76e3fbp-2, -0x1.58dc6a26ffe65p-2, -0x1.4be193f052af3p-2, -0x1.3e8db28fe1706p-2, -0x1.31247d679040ap-2, -0x1.23dfd1308389ep-2, -0x1.16f051cfaff47p-2, -0x1.0a7e216586bf7p-2, -0x1.fd534364bb4ccp-3, -0x1.e7186f3f27cd4p-3, -0x1.d272160466a89p-3, -0x1.bf7b7d1218cf3p-3, -0x1.ae463a7daa33ap-3, -0x1.9edb784d47aa8p-3, -0x1.913d1e8725806p-3, -0x1.8566e3db0814ep-3, -0x1.7b4f456265c82p-3, -0x1.72e8667194f37p-3, -0x1.6c20d9bcacc22p-3, -0x1.66e4553ec005fp-3, -0x1.631c52608a239p-3, -0x1.60b09bdbb8a96p-3, -0x1.5f87cad573e0ep-3, -0x1.5f87b49aea9e3p-3, -0x1.6095ca5068e25p-3, -0x1.62976bc13ac6ep-3, -0x1.65722e790fbb3p-3, -0x1.690c1a424dea4p-3, -0x1.6d4bdc3d43808p-3, -0x1.7218f122c58bdp-3, -0x1.775bc7bc6d8e8p-3, -0x1.7cfddbebb4bdp-3, -0x1.82e9cbd4f29bfp-3, -0x1.890b67d2e7a11p-3, -0x1.8f4fbcd1489cbp-3, -0x1.95a51bb2e5d3p-3, -0x1.9bfb19305ceeep-3, -0x1.a2428fb72b2bfp-3, -0x1.a86d989fc678ep-3, -0x1.ae6f8a278593fp-3, -0x1.b43ced2a8810ep-3, -0x1.b9cb74d89dffdp-3, -0x1.bf11f27c44483p-3, -0x1.c40849774031ep-3, -0x1.c8a7623f98e16p-3, -0x1.cce91e94d2d76p-3, -0x1.d0c84babbe53dp-3, -0x1.d44095917d37dp-3, -0x1.d74e79067c99bp-3, -0x1.d9ef35a4fc141p-3, -0x1.dc20c04cf9abbp-3, -0x1.dde1b5f4716bep-3, -0x1.df314f38412fp-3, -0x1.e00f5473627ddp-3, -0x1.e07c12443878ap-3, -0x1.e0784e5b88948p-3, -0x1.e0053c805b90dp-3, -0x1.df2473d36c8f7p-3, -0x1.ddd7e4616dee4p-3, -0x1.dc21cd230bf82p-3, -0x1.da04b27e8c356p-3, -0x1.d78355592b302p-3, -0x1.d4a0aabf0ab44p-3, -0x1.d15fd419392ddp-3, -0x1.cdc417ef1277cp-3, -0x1.c9d0db2440f8ap-3, -0x1.c5899aaceeac3p-3, -0x1.c0f1e5b2ea72cp-3, -0x1.bc0d5824cb917p-3, -0x1.b6df95b3ad2dfp-3, -0x1.b16c453ba5183p-3, -0x1.abb70c98e51a3p-3, -0x1.a5c38ceafe65dp-3, -0x1.9f955f3f70b42p-3, -0x1.993011a37eee9p-3, -0x1.929724964e03dp-3, -0x1.8bce08d242c67p-3, -0x1.84d81d6999b1bp-3, -0x1.7db8ae2cc849bp-3, -0x1.7672f2512b7e6p-3, -0x1.6f0a0b54ce633p-3, -0x1.67810417692c1p-3, -0x1.5fdad01ef35e6p-3, -0x1.581a4b0d74919p-3, -0x1.5042383700172p-3, -0x1.48554261fadd5p-3, -0x1.4055fba2a5e64p-3, -0x1.3846dd59c9df7p-3, -0x1.302a484e600dfp-3, -0x1.280284da1aebcp-3, -0x1.1fd1c3397a54dp-3, -0x1.179a1be053accp-3, -0x1.0f5d8fe830ae6p-3, -0x1.071e098df6bb5p-3, -0x1.fdbab95f44cedp-4, -0x1.ed3a8ec57b1fap-4, -0x1.dcbee508e0fd3p-4, -0x1.cc4ae4a58f0ebp-4, -0x1.bbe18e230841p-4, -0x1.ab85bb3fe4056p-4, -0x1.9b3a203fc310fp-4, -0x1.8b014d316924fp-4, -0x1.7addaf1c4a8fep-4, -0x1.6ad191533a35cp-4, -0x1.5adf1ea8ac977p-4, -0x1.4b086297fca11p-4, -0x1.3b4f4a8f6cdcp-4, -0x1.2bb5a70d9a626p-4, -0x1.1c3d2cbec6a78p-4, -0x1.0ce775b817ccap-4, -0x1.fb6c04f9b85dep-5, -0x1.dd54760c861ep-5, -0x1.bf8adfd95b5ebp-5, -0x1.a211b6ac4219ap-5, -0x1.84eb43bd84b0ap-5, -0x1.6819a7599667cp-5, -0x1.4b9eda9acb80cp-5, -0x1.2f7cb0ef44b43p-5, -0x1.13b4da091fec2p-5, -0x1.f091c70c0e3a2p-6, -0x1.ba747459081fcp-6, -0x1.8514571d5a412p-6, -0x1.5073cf5a37c08p-6, -0x1.1c95040bcb12p-6, -0x1.d2f3cb3f40f37p-7, -0x1.6e48623cf8a88p-7, -0x1.0b2ae4a681eaep-7, -0x1.533c15b5f885p-8, -0x1.2690cd2c9ab4ep-9, 0x1.4c0988435c969p-11, 0x1.c63a85947b1p-9, 0x1.9988fe7f7aeddp-8, 0x1.266113fd9256ap-7, 0x1.7e63880bad2ep-7, 0x1.d4cb48aefdf08p-7, 0x1.14cc025c4e658p-6, 0x1.3e64d40484711p-6, 0x1.67302c954941p-6, 0x1.8f2e3c1498823p-6, 0x1.b65f4dc72323p-6, 0x1.dcc3c63db40dbp-6, 0x1.012e11329082bp-5, 0x1.13947b93ea915p-5, 0x1.2595781f99efcp-5, 0x1.3731673f11accp-5, 0x1.4868b36f43b0bp-5, 0x1.593bd122b4c06p-5, 0x1.69ab3e680d508p-5, 0x1.79b78234ff12ep-5, 0x1.89612bd3625e9p-5, 0x1.98a8d2b71031fp-5, 0x1.a78f16647bc68p-5, 0x1.b6149dffcc029p-5, 0x1.c43a17a7d9d26p-5, 0x1.d2003813c6089p-5, 0x1.df67ba8f85e3dp-5, 0x1.ec7160eb4273cp-5, 0x1.f91df3014dedfp-5, 0x1.02b71f097f906p-4, 0x1.08b18a4248a12p-4, 0x1.0e7ea70121178p-4, 0x1.141ee3be75f9ep-4, 0x1.1992b14f4606dp-4, 0x1.1eda828ecbf0cp-4, 0x1.23f6cc4941ad9p-4, 0x1.28e80561cea57p-4, 0x1.2daea6d7e9dedp-4, 0x1.324b2b7a2d43fp-4, 0x1.36be0f88b33a1p-4, 0x1.3b07d0a43a365p-4, 0x1.3f28ee0232785p-4, 0x1.4321e87f9d8ecp-4, 0x1.46f3425658d22p-4, 0x1.4a9d7eb534c6ap-4, 0x1.4e2121a3b0eacp-4, 0x1.517eb03a31117p-4, 0x1.54b6b0cbf4946p-4, 0x1.57c9aab0d8fdcp-4, 0x1.5ab825d5ee69fp-4, 0x1.5d82aa83d604dp-4, 0x1.6029c187d1312p-4, 0x1.62adf476206bbp-4, 0x1.650fcd9eeff5ap-4, 0x1.674fd7aab7bc4p-4, 0x1.696e9d3b9bf67p-4, 0x1.6b6ca8eab889fp-4, 0x1.6d4a858e2a4bfp-4, 0x1.6f08be64ac96ap-4, 0x1.70a7dee2ac6c1p-4, 0x1.722872455ec78p-4, 0x1.738b03503d7dfp-4, 0x1.74d01c6978a5ep-4, 0x1.75f847e3d6b7dp-4, 0x1.77041017b8d0dp-4, 0x1.77f3ff21ba5fp-4, 0x1.78c89e7a7520bp-4, 0x1.798276c2b6703p-4, 0x1.7a220fe876a18p-4, 0x1.7aa7f16f6ae24p-4, 0x1.7b14a288961d7p-4, 0x1.7b68a9d656ca5p-4, 0x1.7ba48d0a4000cp-4, 0x1.7bc8d0ae3cc0dp-4, 0x1.7bd5f84059e05p-4, 0x1.7bcc8679e4b91p-4, 0x1.7bacfd758119dp-4, 0x1.7b77de89ad44p-4, 0x1.7b2da9f0b7b0ep-4, 0x1.7acede8319366p-4, 0x1.7a5bf9b886fp-4, 0x1.79d577e4b83f7p-4, 0x1.793bd4722141bp-4, 0x1.788f89e2e31e4p-4, 0x1.77d11192baf11p-4, 0x1.7700e3674c701p-4, 0x1.761f75a9b18ep-4, 0x1.752d3d220ffb1p-4, 0x1.742aad57b403ep-4, 0x1.731838bcfff5p-4, 0x1.71f650a275ddcp-4, 0x1.70c564f944fbap-4, 0x1.6f85e410bdfbap-4, 0x1.6e383a7ceacb1p-4, 0x1.6cdcd335315dcp-4, 0x1.6b7417cf6e8aap-4, 0x1.69fe70a8e3f3fp-4, 0x1.687c44df440dp-4, 0x1.66edfa1f9253cp-4, 0x1.6553f46c676afp-4, 0x1.63ae9601e3f88p-4, 0x1.61fe3f687ae0ep-4, 0x1.60434fa703fffp-4, 0x1.5e7e24702053ap-4, 0x1.5caf1a2d5ebbbp-4, 0x1.5ad68be32200ap-4, 0x1.58f4d30107126p-4, 0x1.570a473d6a656p-4, 0x1.55173e92f1cbep-4, 0x1.531c0d60a83b6p-4, 0x1.511906977416ap-4, 0x1.4f0e7bd925159p-4, 0x1.4cfcbd78f1009p-4, 0x1.4ae41a602a2e8p-4, 0x1.48c4dfe97b2c4p-4, 0x1.469f59c9860cep-4, 0x1.4473d2135754dp-4, 0x1.4242915614beap-4, 0x1.400bdec2b9fadp-4, 0x1.3dd000460286p-4, 0x1.3b8f3a8b4ea4dp-4, 0x1.3949d0ea58869p-4, 0x1.3700054c2d9dap-4, 0x1.34b2181825963p-4, 0x1.32604834d4952p-4, 0x1.300ad31d46acep-4, 0x1.2db1f4ff7bef6p-4, 0x1.2b55e8d59b4f1p-4, 0x1.28f6e86ff356dp-4, 0x1.26952c6e422dp-4, 0x1.2430ec2e588efp-4, 0x1.21ca5dbb2d366p-4, 0x1.1f61b5c738881p-4, 0x1.1cf727b6d829cp-4, 0x1.1a8ae5b65e19dp-4, 0x1.181d20d1a8152p-4, 0x1.15ae090400166p-4, 0x1.133dcd3c1a176p-4, 0x1.10cc9b555618fp-4, 0x1.0e5aa00bbabcp-4, 0x1.0be806f26ea0cp-4, 0x1.0974fa739dd65p-4, 0x1.0701a3dbf0c21p-4, 0x1.048e2b6d4279dp-4, 0x1.021ab870bb406p-4, 0x1.ff4ee2842d097p-5, 0x1.fa68f6a4472eap-5, 0x1.f583f6445ca9p-5, 0x1.f0a028789b656p-5, 0x1.ebbdd25b26911p-5, 0x1.e6dd370d7cc7ap-5, 0x1.e1fe97ca9f939p-5, 0x1.dd223404e724dp-5, 0x1.d848498415b62p-5, 0x1.d37114791a5c2p-5, 0x1.ce9ccf83fd77ap-5, 0x1.c9cbb3af0388fp-5, 0x1.c4fdf8652ac7bp-5, 0x1.c033d36a68a04p-5, 0x1.bb6d78db364c3p-5, 0x1.b6ab1b36e7641p-5, 0x1.b1eceb73fa791p-5, 0x1.ad331918963c1p-5, 0x1.a87dd24ea1724p-5, 0x1.a3cd43edcf491p-5, 0x1.9f21997bc33a1p-5, 0x1.9a7afd270ffa5p-5, 0x1.95d997c25f3bp-5, 0x1.913d90c36263ap-5, 0x1.8ca70e4757c8fp-5, 0x1.8816351d52779p-5, 0x1.838b28d5262b4p-5, 0x1.7f060bcfa890bp-5, 0x1.7a86ff4bdb3bp-5, 0x1.760e236d9127bp-5, 0x1.719b973de2266p-5, 0x1.6d2f78a8fcd2cp-5, 0x1.68c9e47d4890ep-5, 0x1.646af66e07af6p-5, 0x1.6012c91942714p-5, 0x1.5bc1760fa44ep-5, 0x1.577715dd2c4cap-5, 0x1.5333c011cfa5ep-5, 0x1.4ef78b4936a5dp-5, 0x1.4ac28d304f0b7p-5, 0x1.4694da8826d07p-5, 0x1.426e8726e8c8bp-5, 0x1.3e4fa5f944ec1p-5, 0x1.3a384905de2ffp-5, 0x1.36288172f0f57p-5, 0x1.32205f8ce5333p-5, 0x1.2e1ff2cc31684p-5, 0x1.2a2749d9ce3aap-5, 0x1.263672928cbebp-5, 0x1.224d7a0a395efp-5, 0x1.1e6c6c8ef38b8p-5, 0x1.1a9355ac9bedap-5, 0x1.16c240301f6c2p-5, 0x1.12f9362af8051p-5, 0x1.0f3840f758a6p-5, 0x1.0b7f693d14e76p-5, 0x1.07ceb6f6ae127p-5, 0x1.04263175892e7p-5, 0x1.0085df64d2398p-5, 0x1.f9db8d964f4cbp-6, 0x1.f2bbda180f25ap-6, 0x1.ebacadd3dec24p-6, 0x1.e4ae1113255cfp-6, 0x1.ddc00aebb38ffp-6, 0x1.d6e2a147c7fdap-6, 0x1.d015d8edad3b6p-6, 0x1.c959b586db2f3p-6, 0x1.c2ae39a6e50e9p-6, 0x1.bc1366d21e2e9p-6, 0x1.b5893d8363fb1p-6, 0x1.af0fbd30bef92p-6, 0x1.a8a6e44ede599p-6, 0x1.a24eb0543052fp-6, 0x1.9c071dbca4c6bp-6, 0x1.95d0280eff97bp-6, 0x1.8fa9c9e3788d6p-6, 0x1.8993fceaa2494p-6, 0x1.838eb9f424337p-6, 0x1.7d99f8f436557p-6, 0x1.77b5b108e0b17p-6, 0x1.71e1d87ef2d25p-6, 0x1.6c1e64d6faa7cp-6, 0x1.666b4aca2eb7ap-6, 0x1.60c87e4ef5171p-6, 0x1.5b35f29ce5649p-6, 0x1.55b39a3072179p-6, 0x1.504166ce9f2f5p-6, 0x1.4adf498957356p-6, 0x1.458d32c477ea6p-6, 0x1.404b123b48801p-6, 0x1.3b18d705ba586p-6, 0x1.35f66f9d53372p-6, 0x1.30e3c9e1a086cp-6, 0x1.2be0d31c7e48ap-6, 0x1.26ed780669fb9p-6, 0x1.2209a4cad4cdep-6, 0x1.1d35450c62d04p-6, 0x1.187043e8f8319p-6, 0x1.13ba8bfd6d1d2p-6, 0x1.0f1407690c1d9p-6, 0x1.0a7c9fd121635p-6, 0x1.05f43e64c5db5p-6, 0x1.017acbe137027p-6, 0x1.fa20612c9b5edp-7, 0x1.f168a8d5cc2b4p-7, 0x1.e8ce3dc1e3dccp-7, 0x1.e050ee322d0c6p-7, 0x1.d7f087ac4c663p-7, 0x1.cfacd700e08bcp-7, 0x1.c785a852928e8p-7, 0x1.bf7ac71d7972ap-7, 0x1.b78bfe3ecdea9p-7, 0x1.afb917fca24b4p-7, 0x1.a801de0d5151ap-7, 0x1.a066199e75474p-7, 0x1.98e5935b34dc7p-7, 0x1.918013725befcp-7, 0x1.8a35619c0255dp-7, 0x1.8305451f5738ep-7, 0x1.7bef84d843a81p-7, 0x1.74f3e73d6cda1p-7, 0x1.6e12326683d7dp-7, 0x1.674a2c13467b5p-7, 0x1.609b99b2ef9d1p-7, 0x1.5a06406bcd41ep-7, 0x1.5389e52264c89p-7, 0x1.4d264c7fc5655p-7, 0x1.46db3af6b9f5ap-7, 0x1.40a874c7e2c36p-7, 0x1.3a8dbe052688dp-7, 0x1.348ada94e75ccp-7, 0x1.2e9f8e36077ccp-7, 0x1.28cb9c84d25ecp-7, 0x1.230ec9010aa2p-7, 0x1.1d68d714c7729p-7, 0x1.17d98a1b0e5f3p-7, 0x1.1260a5660455bp-7, 0x1.0cfdec43997b8p-7, 0x1.07b122014c3ecp-7, 0x1.027a09eeecaf2p-7, 0x1.fab0cec2fbe92p-8, 0x1.f097fb6d4b46dp-8, 0x1.e6a920b383ad5p-8, 0x1.dce3c59487a9ap-8, 0x1.d34771468de33p-8, 0x1.c9d3ab45f5a43p-8, 0x1.c087fb619dd86p-8, 0x1.b763e9c17c362p-8, 0x1.ae66fee72f9c4p-8, 0x1.a590c3a6cc69p-8, 0x1.9ce0c11d2875ap-8, 0x1.945680a51d5bdp-8, 0x1.8bf18bd1e1659p-8, 0x1.83b16c737435p-8, 0x1.7b95aca735f15p-8, 0x1.739dd6f58365fp-8, 0x1.6bc97678c448p-8, 0x1.6418170720af9p-8, 0x1.5c894556fc6e5p-8, 0x1.551c8f14b92b4p-8, 0x1.4dd182e36ec09p-8, 0x1.46a7b046089cdp-8, 0x1.3f9ea772abba8p-8, 0x1.38b5f919100c8p-8, 0x1.31ed36273f3ep-8, 0x1.2b43ef9d5dbe9p-8, 0x1.24b9b6769458cp-8, 0x1.1e4e1bbc24e97p-8, 0x1.1800b0b8c8e2fp-8, 0x1.11d1074f1c637p-8, 0x1.0bbeb26383103p-8, 0x1.05c946475f8d3p-8, 0x1.ffe0b220f7d06p-9, 0x1.f4670591b8b31p-9, 0x1.e924bad1bac05p-9, 0x1.de19092ce1c23p-9, 0x1.d3432a6199d59p-9, 0x1.c8a25972b7b86p-9, 0x1.be35d16a46a25p-9, 0x1.b3fccc46baaa4p-9, 0x1.a9f6824be0e45p-9, 0x1.a02229df5d6dfp-9, 0x1.967ef803af69ap-9, 0x1.8d0c2169a4627p-9, 0x1.83c8dbf5d29ddp-9, 0x1.7ab46081983a6p-9, 0x1.71cdec90f4273p-9, 0x1.6914c3b0a707ep-9, 0x1.6088303a66ba1p-9, 0x1.58278350cd705p-9, 0x1.4ff214046af62p-9, 0x1.47e73dbc18858p-9, 0x1.40065e1b5be5ep-9, 0x1.384ed2bf13623p-9, 0x1.30bff7308b60fp-9, 0x1.295923670a22ap-9, 0x1.2219ab178a40bp-9, 0x1.1b00ddef36547p-9, 0x1.140e08b10c39bp-9, 0x1.0d40770dba4b4p-9, 0x1.069775f3ce6ecp-9, 0x1.00125606e50acp-9, 0x1.f360dbc78d343p-10, 0x1.e6e237b5b4a8p-10, 0x1.daa78db15b408p-10, 0x1.ceafbc9a90b5fp-10, 0x1.c2f9b215cbc77p-10, 0x1.b784667fb6958p-10, 0x1.ac4ed7b678c7dp-10, 0x1.a1580393866fbp-10, 0x1.969ee304470b5p-10, 0x1.8c22669221b57p-10, 0x1.81e174e11448ep-10, 0x1.77daeb4c1ce1cp-10, 0x1.6e0da066141e6p-10, 0x1.647867dc06b49p-10, 0x1.5b1a1712038e3p-10, 0x1.51f189d339b8cp-10, 0x1.48fda680dae42p-10, 0x1.403d614cfe143p-10, 0x1.37afbe2b70a86p-10, 0x1.2f53d13a6e093p-10, 0x1.2728bd855b7d8p-10, 0x1.1f2db22a3a0e9p-10, 0x1.1761e6227536bp-10, 0x1.0fc4932d34893p-10, 0x1.0854f09234668p-10, 0x1.01122e9357a7cp-10, 0x1.f3f6e6b7256e7p-11, 0x1.e61fb404c1dbfp-11, 0x1.d89ce7b26ab4ep-11, 0x1.cb6c97846bb5fp-11, 0x1.be8cd5c303ae8p-11, 0x1.b1fbbb7296ca8p-11, 0x1.a5b77184d5e9ap-11, 0x1.99be37a90740fp-11, 0x1.8e0e6836b1b15p-11, 0x1.82a67976ef095p-11, 0x1.7784fd04dc261p-11, 0x1.6ca89dfd388dep-11, 0x1.62101e530c2aap-11, 0x1.57ba532cd34cbp-11, 0x1.4da61fe6a26cep-11, 0x1.43d26f73f3f6ap-11, 0x1.3a3e2c596d6e5p-11, 0x1.30e83823fb74bp-11, 0x1.27cf63da687dcp-11, 0x1.1ef26b1e9d69cp-11, 0x1.164ff3630315dp-11, 0x1.0de68fc1c807p-11, 0x1.05b4c8dd31c8dp-11, 0x1.fb724e1e3a9ebp-12, 0x1.ebe478ecd8351p-12, 0x1.dcbd5916144a2p-12, 0x1.cdfa5ec9df945p-12, 0x1.bf9921f5622f5p-12, 0x1.b1975a87f2b77p-12, 0x1.a3f2d7c8be7b8p-12, 0x1.96a97b2c395fp-12, 0x1.89b93943ed1ebp-12, 0x1.7d202010430a5p-12, 0x1.70dc5efdad098p-12, 0x1.64ec4b7ee0d7bp-12, 0x1.594e5e259f8b2p-12, 0x1.4e0126f966ca6p-12, 0x1.43033b6b46718p-12, 0x1.385323128356dp-12, 0x1.2def491f33ebbp-12, 0x1.23d5f6d3159f8p-12, 0x1.1a05582ca45b8p-12, 0x1.107b88ab35904p-12, 0x1.0736a3f29958ap-12, 0x1.fc69ab16adf63p-13, 0x1.eae8c77dff84cp-13, 0x1.d9e7660655f3dp-13, 0x1.c962827443e8p-13, 0x1.b95734669b2e3p-13, 0x1.a9c292226f6e4p-13, 0x1.9aa197a804039p-13, 0x1.8bf11c6b35bap-13, 0x1.7daddd83a97a3p-13, 0x1.6fd49a7cf9104p-13, 0x1.62623b447d249p-13, 0x1.5553f1862d86p-13, 0x1.48a748ded5579p-13, 0x1.3c5a1f61c444p-13, 0x1.306a88d9062bap-13, 0x1.24d6a79e33584p-13, 0x1.199c8a08d8546p-13, 0x1.0eba18e78c87p-13, 0x1.042d1b3974e7cp-13, 0x1.f3e693a8318c8p-14, 0x1.e014d03c5fbcfp-14, 0x1.cce0af64f86e4p-14, 0x1.ba46435bfc88ap-14, 0x1.a841eb490c2aep-14, 0x1.96d0426631ab2p-14, 0x1.85ee07a2f2b7fp-14, 0x1.7598043fdafe4p-14, 0x1.65caf5fcfd958p-14, 0x1.56837ea4cf2fap-14, 0x1.47be189619a05p-14, 0x1.39771070a0c79p-14, 0x1.2baa866e721a8p-14, 0x1.1e547ae92d6ddp-14, 0x1.1170e6913ed0bp-14, 0x1.04fbd9843105dp-14, 0x1.f1e331d439b32p-15, 0x1.da9d65524fe58p-15, 0x1.c42002e63f9fdp-15, 0x1.ae6541967b3dep-15, 0x1.9967af59e3ab9p-15, 0x1.85220b484fbf3p-15, 0x1.718f37af681d1p-15, 0x1.5eaa447193c5dp-15, 0x1.4c6e82723a354p-15, 0x1.3ad790ac9168bp-15, 0x1.29e15d5c8156dp-15, 0x1.19881a174b33ep-15, 0x1.09c81fc6ad7d4p-15, 0x1.f53b898f25945p-16, 0x1.d80a6ee2aaacfp-16, 0x1.bbf4f161314a9p-16, 0x1.a0f304e1baa53p-16, 0x1.86fd09a06615fp-16, 0x1.6e0c1dfdc9c7fp-16, 0x1.561a068ffbd9fp-16, 0x1.3f20a734ddbb9p-16, 0x1.29194f3979e3p-16, 0x1.13fc35f0ee3efp-16, 0x1.ff80c40989c12p-17, 0x1.d8b7f4ec61f2cp-17, 0x1.b389a29fde08ap-17, 0x1.8fe1f3ff5af91p-17, 0x1.6daeb00fe7312p-17, 0x1.4ce0311c17e2ap-17, 0x1.2d69eb8cab46bp-17, 0x1.0f424296fcf77p-17, 0x1.e4c3570c0033fp-18, 0x1.ad82deac159bbp-18, 0x1.78b4f8b3f2ceep-18, 0x1.46496348f1535p-18, 0x1.162dc54e6b4c7p-18, 0x1.d09db5563661bp-19, 0x1.793379832e54ep-19, 0x1.25f8c38061947p-19, 0x1.ad95a60d3cc2cp-20, 0x1.170fda04e6d3bp-20, 0x1.103f642048029p-21, 0x1.117c12b1e0aa2p-29, -0x1.ffb9d60ffb58dp-22, -0x1.f2fe436365523p-21, -0x1.6c64a4e290681p-20, -0x1.d8dcd01d0e34p-20, -0x1.1f93347611a8bp-19, -0x1.4fbfbc8c39d1cp-19, -0x1.7d12569763e47p-19, -0x1.a7a8e1a507149p-19, -0x1.cfa1272e4ef38p-19, -0x1.f51927c4302f5p-19, -0x1.0c179a6d95fb4p-18, -0x1.1c80aee50f8d5p-18, -0x1.2bd5bddddabc6p-18, -0x1.3a222428e133ap-18, -0x1.476de94174cfep-18, -0x1.53beca792659ep-18, -0x1.5f1ab517b51d1p-18, -0x1.6989dadf3f11dp-18, -0x1.7316cbbfdede5p-18, -0x1.7bccb98a2fcacp-18, -0x1.83b5981e81969p-18, -0x1.8ad9b2f204262p-18, -0x1.9140a682cc281p-18, -0x1.96f2595bc94ffp-18, -0x1.9bf708ec32ddap-18, -0x1.a056d12c3fa41p-18, -0x1.a419659d44dcep-18, -0x1.a746291bf9e47p-18, -0x1.a9e45b628224bp-18, -0x1.abfb293930f8fp-18, -0x1.ad9198d3e8c59p-18, -0x1.aeae618056d15p-18, -0x1.af57bee229f25p-18, -0x1.af934997ce1f7p-18, -0x1.af65dff76cdddp-18, -0x1.aed3b1b3351d2p-18, -0x1.ade082ab85927p-18, -0x1.ac9020f89de4ap-18, -0x1.aae6eec942ec1p-18, -0x1.a8ea3e2352a43p-18, -0x1.a6a034cc29f86p-18, -0x1.a40eee9b95d16p-18, -0x1.a13b000b80be7p-18, -0x1.9e2672a48e202p-18, -0x1.9ad1d25771e73p-18, -0x1.973f43ea254fcp-18, -0x1.9374d45ae7368p-18, -0x1.8f7b0f102c83dp-18, -0x1.8b58a0409a007p-18, -0x1.870f821fc8c28p-18, -0x1.829f13888e3b4p-18, -0x1.7e089d346fff1p-18, -0x1.7950ac4a73dcbp-18, -0x1.747c5cd0e375p-18, -0x1.6f8ed90cde13dp-18, -0x1.6a898aa502fbfp-18, -0x1.656d928c54843p-18, -0x1.603cbfb14ec0ap-18, -0x1.5af9be86ac5dcp-18, -0x1.55a7e66a43c5fp-18, -0x1.504acf7d54e03p-18, -0x1.4ae5a3fc2812ap-18, -0x1.457a409306848p-18, -0x1.400873f471576p-18, -0x1.3a8de77d27673p-18, -0x1.3507784246491p-18, -0x1.2f741692458cp-18, -0x1.29d71765eb47fp-18, -0x1.243740d020d4ap-18, -0x1.1e9acedec5c4ap-18, -0x1.190400342e5eap-18, -0x1.1371e4a6aaa5ep-18, -0x1.0de4cf477a465p-18, -0x1.0860915fc5554p-18, -0x1.02e94b001f5cap-18, -0x1.fafe334acb9c3p-19, -0x1.f03acd4a6bc5ep-19, -0x1.e57d9a476371cp-19, -0x1.dac612a1a6275p-19, -0x1.d01f9a4fac6f9p-19, -0x1.c593a44b52062p-19, -0x1.bb1e99e0a43ap-19, -0x1.b0b863ea5b1d3p-19, -0x1.a6642a023e52p-19, -0x1.9c2eacf94b8ecp-19, -0x1.921fff6c66bafp-19, -0x1.88377bcd0a9dp-19, -0x1.7e72d196098c8p-19, -0x1.74d334a5c1823p-19, -0x1.6b5c72ec80986p-19, -0x1.6210e2e1e74f8p-19, -0x1.58ec949506ff6p-19, -0x1.4fe328278e4ccp-19, -0x1.46e7fa9b60e29p-19, -0x1.3dfd6bdfa85cep-19, -0x1.353481233a915p-19, -0x1.2c980015693c5p-19, -0x1.24211cc9f72d2p-19, -0x1.1bc78667e2ad8p-19, -0x1.139141097d5c5p-19, -0x1.0b882e520bbe5p-19, -0x1.03ac1e15c2f06p-19, -0x1.f7ecec666df1dp-20, -0x1.e8c4cdb0cd588p-20, -0x1.d9ddc84c54076p-20, -0x1.cb3a00f500ee7p-20, -0x1.bcdc690d3e623p-20, -0x1.aec6af84be331p-20, -0x1.a0f8c14e642d4p-20, -0x1.9372d3b715111p-20, -0x1.8638fc3ed99c2p-20, -0x1.7951a5016b75p-20, -0x1.6cba526f7c9e5p-20, -0x1.6064525d69008p-20, -0x1.5449963b07dc3p-20, -0x1.4873834f238dp-20, -0x1.3ce28a0754851p-20, -0x1.3191164f367dfp-20, -0x1.268ea07336e78p-20, -0x1.1bef0addef682p-20, -0x1.11a62e16d1881p-20, -0x1.078fe0bafbba4p-20, -0x1.fb41cc046a75ep-21, -0x1.e7e14748c5f93p-21, -0x1.d507c963138ccp-21, -0x1.c28f7ff5cfb57p-21, -0x1.b0858035a7fbbp-21, -0x1.9f130035b6653p-21, -0x1.8e341896d5e9bp-21, -0x1.7dce850f0bfa8p-21, -0x1.6dd49e3a8d242p-21, -0x1.5e451b7530036p-21, -0x1.4f22261aa046dp-21, -0x1.406d2ca70b165p-21, -0x1.3226329b17e35p-21, -0x1.244c2d9962cbdp-21, -0x1.16dd79e7b1ef1p-21, -0x1.09d831a6f2f69p-21, -0x1.fa74c053d5205p-22, -0x1.e2041533c7a7ap-22, -0x1.ca5a132b1afe9p-22, -0x1.b371a3417202bp-22, -0x1.9d44f62fe4edep-22, -0x1.87ceae4aba80cp-22, -0x1.730bafc6c3faep-22, -0x1.5efb66d1dfap-22, -0x1.4b9ca98fcc6e4p-22, -0x1.38ed0448a9904p-22, -0x1.26f65dcf007f7p-22, -0x1.15cef130266a4p-22, -0x1.056b8b8b5424fp-22, }}, 
      {{-0x1.3838901d9dd99p+0, -0x1.19ebf81d4a04cp+0, -0x1.ec2bc702f94dep-1, -0x1.a5bbcfbfa1d6ap-1, -0x1.66af2fb2ad659p-1, -0x1.31779e8335847p-1, -0x1.06655fcfd87bcp-1, -0x1.c94acc27a8b72p-2, -0x1.95baca716a498p-2, -0x1.6f1179dc4cf11p-2, -0x1.525a8918ff33dp-2, -0x1.3cedd26dce18fp-2, -0x1.2c87b117114c5p-2, -0x1.1f4edeccc2fafp-2, -0x1.13cfd3ec9cfddp-2, -0x1.08f2ae94bb14ap-2, -0x1.fbdd76f818862p-3, -0x1.e47af4ac5a5b6p-3, -0x1.cb1c53ee83c41p-3, -0x1.af74d475eb6p-3, -0x1.91786d6b81047p-3, -0x1.714a9fedbe6d9p-3, -0x1.4f30197ad1b92p-3, -0x1.2b82f654d7611p-3, -0x1.06a960f6b5dc3p-3, -0x1.c21c87517f758p-4, -0x1.763780880de14p-4, -0x1.2a6e4ad1c0289p-4, -0x1.bef878349c7f5p-5, -0x1.2c137c8acea7ap-5, -0x1.3aa8f4243d9b8p-6, -0x1.3b696d94ad4e9p-9, 0x1.bfda5e9d5cf82p-7, 0x1.da1b2aa4a8033p-6, 0x1.631099570bb3dp-5, 0x1.d1a68bf1abeffp-5, 0x1.1c4bd43ab05d6p-4, 0x1.4be4fa62bc024p-4, 0x1.779ed966e0f6ap-4, 0x1.9f84f3359b856p-4, 0x1.c3ac8121f30fap-4, 0x1.e432e3ed45fb7p-4, 0x1.009e189b650bcp-3, 0x1.0d78f0242bd1p-3, 0x1.18c0cb7283f5ep-3, 0x1.228e0ae2de44bp-3, 0x1.2afa21e26bf0fp-3, 0x1.321f2b1d539dcp-3, 0x1.38178a5ea347ep-3, 0x1.3cfd9b2da1438p-3, 0x1.40eb6b36e373dp-3, 0x1.43fa7f83ea7f6p-3, 0x1.4643a37ca545bp-3, 0x1.47dec09d408f6p-3, 0x1.48e2be2872816p-3, 0x1.4965681e320a6p-3, 0x1.497b5ca0dedc3p-3, 0x1.4937fef3e9e9ep-3, 0x1.48ad6eb722cdfp-3, 0x1.47ec8426e3925p-3, 0x1.4704cef8dcebdp-3, 0x1.46049b07f334fp-3, 0x1.44f8f441def65p-3, 0x1.43edb065a40f7p-3, 0x1.42ed760af8b4fp-3, 0x1.4201c91ae7ee9p-3, 0x1.4133163c4f5f6p-3, 0x1.4088c0f11b9e1p-3, 0x1.400931633c7bep-3, 0x1.3fb9e2d7d3e8ap-3, 0x1.3f9f70f4edaeap-3, 0x1.3fbda64fbf05cp-3, 0x1.401789e4b03p-3, 0x1.40af6d710e6ccp-3, 0x1.4186fb5cdcf74p-3, 0x1.429f4438fd383p-3, 0x1.43f8cbb61c2f3p-3, 0x1.459394d5575dap-3, 0x1.476f2d7ccc8fdp-3, 0x1.498ab98374a21p-3, 0x1.4be4fd50df9bbp-3, 0x1.4e7c682149353p-3, 0x1.514f1de8f9a63p-3, 0x1.545b00ce22865p-3, 0x1.579dba25c1a6fp-3, 0x1.5b14c2e79a229p-3, 0x1.5ebd6b913cdc9p-3, 0x1.6294e37571787p-3, 0x1.66983f7f5daa2p-3, 0x1.6ac4806dad96ep-3, 0x1.6f169891c92f2p-3, 0x1.738b711a2ee6ap-3, 0x1.781feeedcce3p-3, 0x1.7cd0f71f94343p-3, 0x1.819b72f9802dcp-3, 0x1.867c53a344c31p-3, 0x1.8b7095656f166p-3, 0x1.9075428917047p-3, 0x1.958775da08d81p-3, 0x1.9aa45ccd47697p-3, 0x1.9fc93951990e3p-3, 0x1.a4f3635245c86p-3, 0x1.aa2049f1092d4p-3, 0x1.af4d747ede06fp-3, 0x1.b478833cd2e1cp-3, 0x1.b99f2fe8da326p-3, 0x1.bebf4e1d440a1p-3, 0x1.c3d6cb8b04431p-3, 0x1.c8e3b00ca1263p-3, 0x1.cde41d9cf8c9ap-3, 0x1.d2d6502cbe8a2p-3, 0x1.d7b89d61148fp-3, 0x1.dc8974360695bp-3, 0x1.e1475c8b422c3p-3, 0x1.e5f0f6a0f5481p-3, 0x1.ea84fa7ab4c77p-3, 0x1.ef02373cd903cp-3, 0x1.f36792786ec61p-3, 0x1.f7b4076cb3948p-3, 0x1.fbe6a648c5e59p-3, 0x1.fffe935f31bbap-3, 0x1.01fd832f8559cp-2, 0x1.03eda4c526b61p-2, 0x1.05cf5c73cf9bep-2, 0x1.07a260c03a281p-2, 0x1.0966704c8ece5p-2, 0x1.0b1b5176e1097p-2, 0x1.0cc0d1fd7159p-2, 0x1.0e56c69f7bae5p-2, 0x1.0fdd0ac3ab7cp-2, 0x1.1153802270da7p-2, 0x1.12ba0e6d500dap-2, 0x1.1410a2fdb0cb6p-2, 0x1.155730860dc07p-2, 0x1.168daec06628bp-2, 0x1.17b41a257c85ap-2, 0x1.18ca73a61b6bbp-2, 0x1.19d0c06134972p-2, 0x1.1ac70963662c5p-2, 0x1.1bad5b69bacd5p-2, 0x1.1c83c6a0132e1p-2, 0x1.1d4a5e683c3afp-2, 0x1.1e013926cfd4ap-2, 0x1.1ea8700aa0b9ap-2, 0x1.1f401eda1acd6p-2, 0x1.1fc863c9a543ep-2, 0x1.20415f4cf6057p-2, 0x1.20ab33e95fc16p-2, 0x1.2106061374851p-2, 0x1.2151fc0b4332fp-2, 0x1.218f3db3904e7p-2, 0x1.21bdf472b91fap-2, 0x1.21de4b1940df4p-2, 0x1.21f06dc0b7e0cp-2, 0x1.21f489acb19eep-2, 0x1.21eacd36e6d54p-2, 0x1.21d367b913ef9p-2, 0x1.21ae897006c58p-2, 0x1.217c636658806p-2, 0x1.213d276702bb7p-2, 0x1.20f107e965071p-2, 0x1.209837f9923e3p-2, 0x1.2032eb2a1ca8ep-2, 0x1.1fc1558a7d3ccp-2, 0x1.1f43ab9612ddfp-2, 0x1.1eba2221415b4p-2, 0x1.1e24ee4f3a5aap-2, 0x1.1d84458b357p-2, 0x1.1cd85d7b7e2ffp-2, 0x1.1c216bf263199p-2, 0x1.1b5fa6e56b1b2p-2, 0x1.1a9344687ff65p-2, 0x1.19bc7aa5a5f36p-2, 0x1.18db7fd17d25ep-2, 0x1.17f08a22380d6p-2, 0x1.16fbcfcae13d4p-2, 0x1.15fd86f74fap-2, 0x1.14f5e5c542685p-2, 0x1.13e5223b5974p-2, 0x1.12cb7242006c9p-2, 0x1.11a90ba0d4083p-2, 0x1.107e23fd3fff4p-2, 0x1.0f4af0d4a5128p-2, 0x1.0e0fa772ab2f5p-2, 0x1.0ccc7ceb2ba5ap-2, 0x1.0b81a61b3899ap-2, 0x1.0a2f57aa294b8p-2, 0x1.08d5c6027f8p-2, 0x1.07752546928cap-2, 0x1.060da94c37138p-2, 0x1.049f85a180d58p-2, 0x1.032aed8f1efc5p-2, 0x1.01b0140f80085p-2, 0x1.002f2bc1f650ep-2, 0x1.fd50cdcf26594p-3, 0x1.fa37eed5278f2p-3, 0x1.f7141dc4a87ecp-3, 0x1.f3e5bd13e72a1p-3, 0x1.f0ad2e6399602p-3, 0x1.ed6ad276c64dcp-3, 0x1.ea1f0943f489dp-3, 0x1.e6ca32031b895p-3, 0x1.e36cab1f21e9bp-3, 0x1.e006d215ed789p-3, 0x1.dc9903687fe42p-3, 0x1.d9239aa9304f9p-3, 0x1.d5a6f2913598dp-3, 0x1.d22364fddc1a4p-3, 0x1.ce994ad2840a1p-3, 0x1.cb08fbdd44449p-3, 0x1.c772ced91392bp-3, 0x1.c3d719865031ep-3, 0x1.c03630b9434c2p-3, 0x1.bc906849aba41p-3, 0x1.b8e612f0d75bp-3, 0x1.b5378237539ffp-3, 0x1.b1850682337efp-3, 0x1.adceef2dee6c6p-3, 0x1.aa158a96f588cp-3, 0x1.a6592603ad54ep-3, 0x1.a29a0d8315165p-3, 0x1.9ed88bdf3d2ep-3, 0x1.9b14eaae53b7bp-3, 0x1.974f726e70937p-3, 0x1.93886a8e675b5p-3, 0x1.8fc0195911fb1p-3, 0x1.8bf6c3d4bdfe2p-3, 0x1.882cadb3da623p-3, 0x1.846219637a2e1p-3, 0x1.80974828277c9p-3, 0x1.7ccc7a2d392f1p-3, 0x1.7901ee78049f4p-3, 0x1.7537e2c99924fp-3, 0x1.716e9388d42dcp-3, 0x1.6da63bc7389bdp-3, 0x1.69df155b4b223p-3, 0x1.661958f9012c5p-3, 0x1.62553e33c9981p-3, 0x1.5e92fb69178cep-3, 0x1.5ad2c5a54ba4fp-3, 0x1.5714d099215e4p-3, 0x1.53594ea824801p-3, 0x1.4fa071045ad6ep-3, 0x1.4bea67c190f83p-3, 0x1.483761d29d367p-3, 0x1.44878cf45a2dbp-3, 0x1.40db15974f8b5p-3, 0x1.3d3226d9a7b3ap-3, 0x1.398cea96a0b8ep-3, 0x1.35eb898071f89p-3, 0x1.324e2b32cccdap-3, 0x1.2eb4f632d2029p-3, 0x1.2b200fdec796ep-3, 0x1.278f9c5ae9021p-3, 0x1.2403be89eeee8p-3, 0x1.207c9817c4161p-3, 0x1.1cfa499005d21p-3, 0x1.197cf2726ebe7p-3, 0x1.1604b139e571ap-3, 0x1.1291a35467a54p-3, 0x1.0f23e5138cee9p-3, 0x1.0bbb91a1790a9p-3, 0x1.0858c3031dc57p-3, 0x1.04fb9227b59e1p-3, 0x1.01a416fd3b9b6p-3, 0x1.fca4d0fe58adep-4, 0x1.f60d3972de09ap-4, 0x1.ef8191813f369p-4, 0x1.e902014d6cb5ap-4, 0x1.e28eaee9d7b7cp-4, 0x1.dc27be60ae81ep-4, 0x1.d5cd51d05be7ap-4, 0x1.cf7f898e0bd97p-4, 0x1.c93e843eee47cp-4, 0x1.c30a5edfcb8e3p-4, 0x1.bce334bc77fb7p-4, 0x1.b6c91f6082854p-4, 0x1.b0bc368dedd64p-4, 0x1.aabc904313f49p-4, 0x1.a4ca40cff3d5ap-4, 0x1.9ee55af29d7fp-4, 0x1.990defef96322p-4, 0x1.93440f9edf057p-4, 0x1.8d87c86c36bp-4, 0x1.87d9274f22c73p-4, 0x1.823837c2e4678p-4, 0x1.7ca503c68b616p-4, 0x1.771f93e8ebf7bp-4, 0x1.71a7ef5d91dap-4, 0x1.6c3e1c1349ad6p-4, 0x1.66e21ec56ae39p-4, 0x1.6193fb0471ecp-4, 0x1.5c53b336785b1p-4, 0x1.572148930eb31p-4, 0x1.51fcbb2012181p-4, 0x1.4ce609b4b6106p-4, 0x1.47dd3204e56e5p-4, 0x1.42e230b274682p-4, 0x1.3df5015ed1597p-4, 0x1.39159eb8b3b86p-4, 0x1.34440283edb8ap-4, 0x1.2f80259bdca49p-4, 0x1.2ac9fff29c9e7p-4, 0x1.262188903d9c9p-4, 0x1.2186b5957c6a4p-4, 0x1.1cf97c44031fdp-4, 0x1.1879d10b503ebp-4, 0x1.1407a796d74b3p-4, 0x1.0fa2f2d9d6597p-4, 0x1.0b4ba5173e35dp-4, 0x1.0701afe5f2ff3p-4, 0x1.02c5043299c6p-4, 0x1.fd2b24810ee55p-5, 0x1.f4e6935762cc8p-5, 0x1.ecbc32dac5cadp-5, 0x1.e4abdfc8c9de8p-5, 0x1.dcb575bee1358p-5, 0x1.d4d8cf4eee1c9p-5, 0x1.cd15c60f71f4cp-5, 0x1.c56c32a65d27dp-5, 0x1.bddbecd0091dep-5, 0x1.b664cb645b6e6p-5, 0x1.af06a45b9e1fdp-5, 0x1.a7c14cd46b65fp-5, 0x1.a094991c0af3ep-5, 0x1.99805cba2f6f2p-5, 0x1.92846a7f5d0ddp-5, 0x1.8ba0949373be8p-5, 0x1.84d4ac81d9ad3p-5, 0x1.7e2083426281ep-5, 0x1.7783e9400d85cp-5, 0x1.70feae5f2b6f1p-5, 0x1.6a90a203b0dc8p-5, 0x1.64399317b84fep-5, 0x1.5df950122e61bp-5, 0x1.57cfa6fdfc9edp-5, 0x1.51bc65824bc2cp-5, 0x1.4bbf58ebc075bp-5, 0x1.45d84e35a2edfp-5, 0x1.40071211e0c78p-5, 0x1.3a4b70efa4cf6p-5, 0x1.34a5370140a52p-5, 0x1.2f1430423931ep-5, 0x1.2998287d99237p-5, 0x1.2430eb53fb46bp-5, 0x1.1ede4440dea0dp-5, 0x1.199ffe9f42de8p-5, 0x1.1475e5ae54994p-5, 0x1.0f5fc496ad07bp-5, 0x1.0a5d667044c5dp-5, 0x1.056e964889cb2p-5, 0x1.00931f27ecdep-5, 0x1.f795982e01174p-6, 0x1.ee2ad046b3b35p-6, 0x1.e4e57cc8fe152p-6, 0x1.dbc5340141cdep-6, 0x1.d2c98c6178c44p-6, 0x1.c9f21c87d7338p-6, 0x1.c13e7b443b909p-6, 0x1.b8ae3f9da08b1p-6, 0x1.b04100d8cd1f9p-6, 0x1.a7f6568061b1ap-6, 0x1.9fcdd86d95113p-6, 0x1.97c71ed0662c3p-6, 0x1.8fe1c236f44ebp-6, 0x1.881d5b941fbabp-6, 0x1.80798445d5197p-6, 0x1.78f5d61b05e43p-6, 0x1.7191eb5922234p-6, 0x1.6a4d5ec0a7247p-6, 0x1.6327cb90cc4fdp-6, 0x1.5c20cd8ad1b0bp-6, 0x1.553800f5b758ap-6, 0x1.4e6d02a2c3a3ep-6, 0x1.47bf6ff2df6acp-6, 0x1.412ee6dbfe289p-6, 0x1.3abb05edfcea9p-6, 0x1.34636c56bfbcp-6, 0x1.2e27b9e5d3ebfp-6, 0x1.28078f0fcca9cp-6, 0x1.22028cf1a325ap-6, 0x1.1c185553c510fp-6, 0x1.16488aace5319p-6, 0x1.1092d0242ad04p-6, 0x1.0af6c99304444p-6, 0x1.05741b87040dp-6, 0x1.000a6b43f9078p-6, 0x1.f572bd8d29931p-7, 0x1.eb01398e634d2p-7, 0x1.e0bf9978d31f5p-7, 0x1.d6ad2dba5dfa8p-7, 0x1.ccc948454d07fp-7, 0x1.c3133c9317338p-7, 0x1.b98a5fa787989p-7, 0x1.b02e08135b6b2p-7, 0x1.a6fd8df701a7bp-7, 0x1.9df84b049cc48p-7, 0x1.951d9a81969c3p-7, 0x1.8c6cd947a362ap-7, 0x1.83e565c59d32p-7, 0x1.7b86a000c9255p-7, 0x1.734fe9966e136p-7, 0x1.6b40a5bdcc665p-7, 0x1.63583949c7223p-7, 0x1.5b960aa9f4ecfp-7, 0x1.53f981eb2f9bfp-7, 0x1.4c8208b7c13cfp-7, 0x1.452f0a5750f26p-7, 0x1.3dfff3af056e5p-7, 0x1.36f433418c43fp-7, 0x1.300b392f37bdbp-7, 0x1.29447735e954dp-7, 0x1.229f60b08c464p-7, 0x1.1c1b6a9648184p-7, 0x1.15b80b797990ep-7, 0x1.0f74bb866d0b3p-7, 0x1.0950f48246d22p-7, 0x1.034c31c9eeffdp-7, 0x1.facbe0a1b72cfp-8, 0x1.ef3b5d3fb6098p-8, 0x1.e3e5d9a7a5206p-8, 0x1.d8ca5938fc4f3p-8, 0x1.cde7e276bd96p-8, 0x1.c33d7f04ee8b4p-8, 0x1.b8ca3ba5ff3bap-8, 0x1.ae8d28377aa49p-8, 0x1.a48557adc4d55p-8, 0x1.9ab1e00f03b41p-8, 0x1.9111da6d88419p-8, 0x1.87a462e1e1ba9p-8, 0x1.7e6898856db2fp-8, 0x1.755d9d6d9a154p-8, 0x1.6c8296a7ffdefp-8, 0x1.63d6ac370db19p-8, 0x1.5b59090e2f814p-8, 0x1.5308db0e0d104p-8, 0x1.4ae552ff20cb3p-8, 0x1.42eda48c2e476p-8, 0x1.3b21063b9f8ecp-8, 0x1.337eb1694851dp-8, 0x1.2c05e24041dd3p-8, 0x1.24b5d7b5ec14bp-8, 0x1.1d8dd38561448p-8, 0x1.168d1a2bb13cp-8, 0x1.0fb2f2e3be652p-8, 0x1.08fea7a17eebcp-8, 0x1.026f850b37fb2p-8, 0x1.f809b4e29740fp-9, 0x1.eb7bf388258f5p-9, 0x1.df346f120985bp-9, 0x1.d331d5a05513dp-9, 0x1.c772da55cecf9p-9, 0x1.bbf6354c1d491p-9, 0x1.b0baa38e45fa9p-9, 0x1.a5bee71a7395p-9, 0x1.9b01c6e865317p-9, 0x1.90820ef04bd8ap-9, 0x1.863e902e114e5p-9, 0x1.7c36209b44136p-9, 0x1.72679b1ce3dbdp-9, 0x1.68d1df646a194p-9, 0x1.5f73d1c4f5f73p-9, 0x1.564c5b02e5d3ap-9, 0x1.4d5a68241519dp-9, 0x1.449cea4a7bcc1p-9, 0x1.3c12d69c09531p-9, 0x1.33bb2642bef36p-9, 0x1.2b94d67ed032bp-9, 0x1.239ee8cb20ffcp-9, 0x1.1bd8630acd931p-9, 0x1.14404fb4c52aep-9, 0x1.0cd5bdf1f6d83p-9, 0x1.0597c1a39e585p-9, 0x1.fd0ae695ab6acp-10, 0x1.ef3bdf9f13945p-10, 0x1.e1c0b05a496ap-10, 0x1.d497a21c24d09p-10, 0x1.c7bf04cf1bb41p-10, 0x1.bb352e4848abbp-10, 0x1.aef879d9ea51dp-10, 0x1.a3074836414e7p-10, 0x1.975fffaa495abp-10, 0x1.8c010ca83c588p-10, 0x1.80e8e28ba771ap-10, 0x1.7615fc772e581p-10, 0x1.6b86de22fd03ap-10, 0x1.613a1474334dep-10, 0x1.572e35ba29db4p-10, 0x1.4d61e17ca6aaep-10, 0x1.43d3bfd6cbd01p-10, 0x1.3a828071bdf87p-10, 0x1.316cd9419c32ep-10, 0x1.2891853712821p-10, 0x1.1fef431908a36p-10, 0x1.1784d4b3e5b94p-10, 0x1.0f50fe7c8b827p-10, 0x1.075287b2fc315p-10, 0x1.ff1075f6859dp-11, 0x1.efe1cea5b5f36p-11, 0x1.e116c27afa84ap-11, 0x1.d2ad07f8dc951p-11, 0x1.c4a2654186f2p-11, 0x1.b6f4b197c27e3p-11, 0x1.a9a1d5f7cd3e7p-11, 0x1.9ca7cc9bdb4dfp-11, 0x1.90049f6fdc853p-11, 0x1.83b665a1ebaf8p-11, 0x1.77bb40aaf4443p-11, 0x1.6c115946d5b9ap-11, 0x1.60b6dcd7642e5p-11, 0x1.55a9fb9b7f1eep-11, 0x1.4ae8e7f7aa788p-11, 0x1.4071d6da95114p-11, 0x1.36430115e64ebp-11, 0x1.2c5aa55fe7d3cp-11, 0x1.22b70aa4446fdp-11, 0x1.1956824cec6c6p-11, 0x1.10376a383ec68p-11, 0x1.07582e25c27c7p-11, 0x1.fd6e90e1162f1p-12, 0x1.eca683f96536ep-12, 0x1.dc5562974bb14p-12, 0x1.cc7871819e056p-12, 0x1.bd0d087bf0d61p-12, 0x1.ae108cb70aa05p-12, 0x1.9f806b3c19876p-12, 0x1.915a142ea6c51p-12, 0x1.839af7b47461p-12, 0x1.7640850c136e5p-12, 0x1.69482bfacb509p-12, 0x1.5caf603ae30b5p-12, 0x1.50739e2c30029p-12, 0x1.44926fce8b00dp-12, 0x1.3909711b48cc6p-12, 0x1.2dd6531d8e6cfp-12, 0x1.22f6dd93639c2p-12, 0x1.1868ef485ddfcp-12, 0x1.0e2a7d88947a3p-12, 0x1.04399301f7292p-12, 0x1.f5289c711322p-13, 0x1.e271beecf6711p-13, 0x1.d04b0c08fd093p-13, 0x1.beb1192277ebcp-13, 0x1.ada089db8f877p-13, 0x1.9d16073f21d32p-13, 0x1.8d0e381530879p-13, 0x1.7d85bc141db01p-13, 0x1.6e792b3503582p-13, 0x1.5fe51990c4057p-13, 0x1.51c61f065bb81p-13, 0x1.4418e0e2dbb8ep-13, 0x1.36da1b287a45bp-13, 0x1.2a06a73d8e8fcp-13, 0x1.1d9b7e8068d8ep-13, 0x1.1195b90a33a9cp-13, 0x1.05f289cdc58p-13, 0x1.f55e74febf092p-14, 0x1.df9252add4e35p-14, 0x1.ca7b935a8b86p-14, 0x1.b6154dd9431aep-14, 0x1.a25acfe17506p-14, 0x1.8f47a0ecaff7p-14, 0x1.7cd77da9d0c2fp-14, 0x1.6b064b4c69bcep-14, 0x1.59d00565e2737p-14, 0x1.4930ab5d541b8p-14, 0x1.392432fa100bep-14, 0x1.29a683be344ebp-14, 0x1.1ab37bb1e409bp-14, 0x1.0c46fb5e1d223p-14, 0x1.fcb9e9b038be6p-15, 0x1.e1e2f318a0f41p-15, 0x1.c801867ce8de2p-15, 0x1.af0e6c6382b72p-15, 0x1.9702b81f072abp-15, 0x1.7fd7b238c18aap-15, 0x1.6986be50652ap-15, 0x1.540945e77b6fap-15, 0x1.3f58b0e43697ap-15, 0x1.2b6e7033677ebp-15, 0x1.184417f6b7da1p-15, 0x1.05d3801c32634p-15, 0x1.e82dbe607135bp-16, 0x1.c611a9b8bc8c3p-16, 0x1.a548bec18555bp-16, 0x1.85c97e9fa8f47p-16, 0x1.678aa7bce35a8p-16, 0x1.4a82fa031b9p-16, 0x1.2ea91b19b42p-16, 0x1.13f3a00fc75c9p-16, 0x1.f4b2626b7e542p-17, 0x1.c3a169422ead3p-17, 0x1.94a2dc01651bbp-17, 0x1.67a61792adf05p-17, 0x1.3c9b453b590a5p-17, 0x1.137339b8f89a8p-17, 0x1.d83e9359a9824p-18, 0x1.8d223cbc24b5p-18, 0x1.4575243814d8fp-18, 0x1.011b2cfa5e964p-18, 0x1.7ff08c8bb45c7p-19, 0x1.03e0b3ea78d27p-19, 0x1.1b9d4c53bf41dp-20, 0x1.d828c6e3489d1p-23, -0x1.34ea264e7803fp-21, -0x1.653be1f376389p-20, -0x1.12dac0b480c87p-19, -0x1.6e216f1a0049dp-19, -0x1.c49fcdff2c939p-19, -0x1.0b40b144e672cp-18, -0x1.31f7f6e0bf973p-18, -0x1.5689eea705044p-18, -0x1.790a371c22a1dp-18, -0x1.998bc34860349p-18, -0x1.b820bc40fdc1fp-18, -0x1.d4da6fa5d1c25p-18, -0x1.efc9534e40399p-18, -0x1.047e8fe601d75p-17, -0x1.1042828d6bd9ep-17, -0x1.1b37f8fc5c348p-17, -0x1.256666fac82a5p-17, -0x1.2ed53da9f6513p-17, -0x1.378bc9c99d4f8p-17, -0x1.3f9102c7c07a1p-17, -0x1.46eb6cddbd421p-17, -0x1.4da1269aeba24p-17, -0x1.53b820b4786efp-17, -0x1.59366504ec258p-17, -0x1.5e2248f45cd68p-17, -0x1.628276338b52fp-17, -0x1.665dcbbfb1164p-17, -0x1.69bb29c593f58p-17, -0x1.6ca139007e363p-17, -0x1.6f1634f9a17c3p-17, -0x1.711fbfc1d8977p-17, -0x1.72c2cd10f09fep-17, -0x1.7403b137834ecp-17, -0x1.74e65035b5e5bp-17, -0x1.756e5a4d028a6p-17, -0x1.759f7f662db6dp-17, -0x1.757d87cd20891p-17, -0x1.750c4d279abfep-17, -0x1.744fa05837d73p-17, -0x1.734b341716fefp-17, -0x1.72029a43834fp-17, -0x1.70794aeaa96cp-17, -0x1.6eb2a388758a3p-17, -0x1.6cb1db87c7f68p-17, -0x1.6a79fb50a5ad7p-17, -0x1.680de1dc3a25ep-17, -0x1.657055fe07048p-17, -0x1.62a4169e0a1bcp-17, -0x1.5fabe03bda518p-17, -0x1.5c8a6890f0ad8p-17, -0x1.5942578416781p-17, -0x1.55d642d4ee18bp-17, -0x1.5248ac77a0ec5p-17, -0x1.4e9c018a9451ap-17, -0x1.4ad299ea1c0f5p-17, -0x1.46eeb8bf3705ep-17, -0x1.42f288dd6a20bp-17, -0x1.3ee00e09bf764p-17, -0x1.3ab9114f40a3fp-17, -0x1.367f1ef49e122p-17, -0x1.3233a4d1e444fp-17, -0x1.2dd81eebd51acp-17, -0x1.296e2c86f124fp-17, -0x1.24f77a84e15e3p-17, -0x1.207598a1255b4p-17, -0x1.1be9e4f12fa32p-17, -0x1.1755a1f862f7ep-17, -0x1.12ba1baf1876dp-17, -0x1.0e18b00b20636p-17, -0x1.0972b48e4262ap-17, -0x1.04c95a4592d33p-17, -0x1.001da97c63cbbp-17, -0x1.f6e125a051afdp-18, -0x1.ed8603048e161p-18, -0x1.e42bc80dd7089p-18, -0x1.dad454a478edep-18, -0x1.d1817d0c08c57p-18, -0x1.c834f92084e54p-18, -0x1.bef055c0c1208p-18, -0x1.b5b4eaab9c63dp-18, -0x1.ac83d8e7cabfdp-18, -0x1.a35e177d1a8dep-18, -0x1.9a449083c7154p-18, -0x1.913847826f7bbp-18, -0x1.883a77d43caecp-18, -0x1.7f4c91146704bp-18, -0x1.766ffa6aa922dp-18, -0x1.6da5aca2aadd2p-18, -0x1.64edf88a4885ap-18, -0x1.5c48dcb8431bp-18, -0x1.53b6cef043dbcp-18, -0x1.4b393a32aebe3p-18, -0x1.42d20ff191df4p-18, -0x1.3a82b86df2caep-18, -0x1.324b75dfaf541p-18, -0x1.2a2bf021163adp-18, -0x1.2224408b7e089p-18, -0x1.1a3536552dcd5p-18, -0x1.125fb4a63f57dp-18, -0x1.0aa42ac72f831p-18, -0x1.0302a90dd307fp-18, -0x1.f6f66caaf770fp-19, -0x1.e81c04c41db71p-19, -0x1.d976d730a0af2p-19, -0x1.cb07e2b53f00ep-19, -0x1.bcd0390e67154p-19, -0x1.aed0b51060abep-19, -0x1.a1099cca88976p-19, -0x1.937a516c80d4bp-19, -0x1.862146ef7a057p-19, -0x1.78fc97ed20cdbp-19, -0x1.6c0b3e7245848p-19, -0x1.5f4e0fcfddfbap-19, -0x1.52c7548116786p-19, -0x1.467916118a21dp-19, -0x1.3a63a6bddca83p-19, -0x1.2e85fa56fad9bp-19, -0x1.22df8dc887a0dp-19, -0x1.17715cbbb98e6p-19, -0x1.0c3c8480fe39ep-19, -0x1.01406b2ece254p-19, -0x1.ecf4f67158b3bp-20, -0x1.d7cfa34d941ap-20, -0x1.c30f60f43f978p-20, -0x1.aeb782fe4bdep-20, -0x1.9aca7becbebcdp-20, -0x1.87458ea7de2d1p-20, -0x1.74245895f862fp-20, -0x1.6166ed82fadafp-20, -0x1.4f10fd3c4ae3ep-20, -0x1.3d24425cd15ffp-20, -0x1.2b9f17b916b3fp-20, -0x1.1a7f4390f38e4p-20, -0x1.09c3ee89848aap-20, -0x1.f2da81ec24eb8p-21, -0x1.d2f5aabd9e99p-21, -0x1.b3d3d7683d525p-21, -0x1.9569395a55d7cp-21, -0x1.77a9d13c18de6p-21, -0x1.5a94d6489a69ap-21, -0x1.3e34728ddd207p-21, -0x1.228e2c0f7a1d7p-21, -0x1.079a6f08e7288p-21, -0x1.daa108c7a7b3cp-22, -0x1.a764cc9956961p-22, -0x1.7589e9e0384d3p-22, -0x1.450b27167958p-22, -0x1.15d9c5389ca8fp-22, -0x1.cfd377301deeep-23, -0x1.76695028f93aep-23, -0x1.1f6eaf5fd369fp-23, -0x1.95bcd9b0103e3p-24, -0x1.e2c67202c6a67p-25, -0x1.46f7508ca5f26p-26, 0x1.2513426067e4cp-26, 0x1.bf560f8e5ab2bp-25, 0x1.71750ceee94bfp-24, 0x1.febcd5e5b24f4p-24, 0x1.43df0cd24f6a9p-23, 0x1.864da3bd20b3cp-23, 0x1.c6a5db43db642p-23, 0x1.0277de852a942p-22, 0x1.209d97af9dca5p-22, 0x1.3dbdc9a28f2fep-22, 0x1.59cf7d8f0cb7fp-22, 0x1.74df3b154b9f9p-22, 0x1.8f093f73ef07p-22, 0x1.a858fa15beec9p-22, 0x1.c0c2c7e27248ap-22, 0x1.d84765c6b7582p-22, 0x1.eef75124b8529p-22, 0x1.02690bbf1980ep-21, 0x1.0ce6f06718dbfp-21, 0x1.16f7e0bc0ca6p-21, 0x1.20a216536798ep-21, 0x1.29e9abbc99ca2p-21, 0x1.32d0a6fec455cp-21, 0x1.3b5874f6268ddp-21, 0x1.43829ab4fec5fp-21, 0x1.4b50d2ad4cbcfp-21, 0x1.52c4fd568db34p-21, 0x1.59e10e2cf2d72p-21, 0x1.60a6fdb0b72bap-21, 0x1.6718c137e10c8p-21, 0x1.6d38493839582p-21, 0x1.7307867efdbd4p-21, 0x1.788871e11f02p-21, 0x1.7dbd0a9bb9192p-21, 0x1.82a7404114d1ap-21, 0x1.8748d10d5a6bbp-21, 0x1.8ba345d5dcce2p-21, 0x1.8fb82d9acd2c3p-21, 0x1.93892a74922f9p-21, 0x1.9716eea575f9fp-21, 0x1.9a613f5fb6aaap-21, 0x1.9d6a451493608p-21, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.0f24edf762c15p-11, -0x1.0fb526332c52ap-10, -0x1.98e885ba66081p-10, -0x1.11c53e1ccf71bp-9, -0x1.57e288d3df967p-9, -0x1.9ec1f7c252dd6p-9, -0x1.e638d6389eca1p-9, -0x1.16fe9f9d5aa59p-8, -0x1.3ad44820cbe9bp-8, -0x1.5e5cea6fddd74p-8, -0x1.814be0ea3ca1bp-8, -0x1.a349314d50dbap-8, -0x1.c3f26dce7e0a9p-8, -0x1.e2dbd003ed3bfp-8, -0x1.ff91a89b690ffp-8, -0x1.0ccd12a6a281ap-7, -0x1.183bac8be57b2p-7, -0x1.21d4b2ef7a1b8p-7, -0x1.295851400da49p-7, -0x1.2e87cdbdaa41dp-7, -0x1.312669f7bccd6p-7, -0x1.30fa1b22f9cbdp-7, -0x1.2dcc16c9dd297p-7, -0x1.2769348c934fcp-7, -0x1.1da228db71f1p-7, -0x1.104b9eb8ec9d5p-7, -0x1.fe7c6f57381dep-8, -0x1.d4acf28d68bdcp-8, -0x1.a2e95e83a583ap-8, -0x1.68f99066f99b6p-8, -0x1.26ac63ab934dp-8, -0x1.b7aee1c644e86p-9, -0x1.10adaf10531edp-9, -0x1.6068a851586d4p-11, 0x1.c8e8b507b5ee1p-11, 0x1.4e71707d6ba6bp-9, 0x1.1e50aeedb0208p-8, 0x1.9e69ab67d0735p-8, 0x1.13c11646e32adp-7, 0x1.5cc93e72ddc22p-7, 0x1.aa465a3ac2cf2p-7, 0x1.fc2e60f4565dcp-7, 0x1.293a1f566ee8dp-6, 0x1.5683f199943a8p-6, 0x1.85eb2ba0d6308p-6, 0x1.b764ebf644666p-6, 0x1.eae4fc14223b6p-6, 0x1.102ef1fea8d4bp-5, 0x1.2be0802bcc52dp-5, 0x1.487f4d501e161p-5, 0x1.66030182ac41p-5, 0x1.8462d5b39d604p-5, 0x1.a395a181c076fp-5, 0x1.c391e9277bcb3p-5, 0x1.e44deb45bcd79p-5, 0x1.02dfd72c3885fp-4, 0x1.13ee86d37eaf6p-4, 0x1.254de2c50e1bcp-4, 0x1.36f8bf740144ap-4, 0x1.48e9ece7a518p-4, 0x1.5b1c3b9022418p-4, 0x1.6d8a809d8876ap-4, 0x1.802f99d77bdffp-4, 0x1.930670f67a097p-4, 0x1.a609fe81ff6dep-4, 0x1.b9354c38b643bp-4, 0x1.cc8377097d92dp-4, 0x1.dfefb0a520063p-4, 0x1.f37540b1896fdp-4, 0x1.0387c2d3dfa6ep-3, 0x1.0d5cfab3111edp-3, 0x1.17380ec04ba29p-3, 0x1.2116d1abfc41fp-3, 0x1.2af72200eedbbp-3, 0x1.34d6ea04b0d43p-3, 0x1.3eb41f887847dp-3, 0x1.488cc3ae4a17bp-3, 0x1.525ee2a5be999p-3, 0x1.5c289363711f6p-3, 0x1.65e7f755ca32cp-3, 0x1.6f9b3a19755f5p-3, 0x1.7940912f8b45bp-3, 0x1.82d63bb71006ap-3, 0x1.8c5a822b2c054p-3, 0x1.95cbb6272ecdep-3, 0x1.9f283231258f2p-3, 0x1.a86e598b96482p-3, 0x1.b19c980ec06e6p-3, 0x1.bab16209703b3p-3, 0x1.c3ab342979bf2p-3, 0x1.cc88936b8e51ep-3, 0x1.d5480d12308fbp-3, 0x1.dde836a3580e9p-3, 0x1.e667adec372dbp-3, 0x1.eec5190a99c79p-3, 0x1.f6ff267b38494p-3, 0x1.ff148d2c51e6ap-3, 0x1.03820649f0c26p-2, 0x1.076636645a512p-2, 0x1.0b363f4edfe04p-2, 0x1.0ef18ddf7a091p-2, 0x1.129793677cee6p-2, 0x1.1627c5c29435fp-2, 0x1.19a19f65976dap-2, 0x1.1d049f6cec16ap-2, 0x1.205049aa3c2aep-2, 0x1.238426b14004cp-2, 0x1.269fc3e372c3p-2, 0x1.29a2b37a7c60fp-2, 0x1.2c8c8c91355e4p-2, 0x1.2f5ceb2b1e93ep-2, 0x1.3213703a38fa2p-2, 0x1.34afc1a32e6d9p-2, 0x1.37318a3fbc0c1p-2, 0x1.399879df5b887p-2, 0x1.3be445462a917p-2, 0x1.3e14a62a14b44p-2, 0x1.40295b2e4ab73p-2, 0x1.422227dd126c9p-2, 0x1.43fed4a000951p-2, 0x1.45bf2eb6ae693p-2, 0x1.4763082c067e6p-2, 0x1.48ea37ca3b118p-2, 0x1.4a54990d80182p-2, 0x1.4ba20c15a773p-2, 0x1.4cd27596b8526p-2, 0x1.4de5bec89df25p-2, 0x1.4edbd55607a17p-2, 0x1.4fb4ab4a9a9eap-2, 0x1.507037008ae8dp-2, 0x1.510e730db8089p-2, 0x1.518f5e3069f95p-2, 0x1.51f2fb3bbb635p-2, 0x1.52395103d5a7ep-2, 0x1.52626a4a04e7bp-2, 0x1.526e55a8c5002p-2, 0x1.525d257fcb73ep-2, 0x1.522eefe02913cp-2, 0x1.51e3ce78875cdp-2, 0x1.517bde8197f95p-2, 0x1.50f740aab2e07p-2, 0x1.50561906ba642p-2, 0x1.4f988ef940559p-2, 0x1.4ebecd23f65f1p-2, 0x1.4dc90154709c5p-2, 0x1.4cb75c722f719p-2, 0x1.4b8a126d04deap-2, 0x1.4a415a2bc4245p-2, 0x1.48dd6d7b4338cp-2, 0x1.475e88fda850fp-2, 0x1.45c4ec1a03104p-2, 0x1.4410d8ec2972ap-2, 0x1.42429434d55d9p-2, 0x1.405a654a02671p-2, 0x1.3e5896077bfdbp-2, 0x1.3c3d72bf9f766p-2, 0x1.3a094a2c48c2dp-2, 0x1.37bc6d5fdf43dp-2, 0x1.35572fb685599p-2, 0x1.32d9e6c75a6cdp-2, 0x1.3044ea55d133ap-2, 0x1.2d9894430d6fbp-2, 0x1.2ad5407f4bca2p-2, 0x1.27fb4cfb43f84p-2, 0x1.250b199989fe7p-2, 0x1.2205081fdf9e3p-2, 0x1.1ee97c287cf85p-2, 0x1.1bb8db1340fe9p-2, 0x1.18738bf6ce1a9p-2, 0x1.1519f7918d535p-2, 0x1.11ac883a93f9dp-2, 0x1.0e2ba9d26afe7p-2, 0x1.0a97c9b3b69aap-2, 0x1.06f156a3bcff4p-2, 0x1.0338c0c2c9d31p-2, 0x1.fedcf2f8dde5dp-3, 0x1.f725e6ef4b0fp-3, 0x1.ef4d450d9371bp-3, 0x1.e753f72eeacb2p-3, 0x1.df3ae94480ed6p-3, 0x1.d7030934b884p-3, 0x1.cead46ba2f3a5p-3, 0x1.c63a93428f581p-3, 0x1.bdabe1cd35635p-3, 0x1.b50226c9a7243p-3, 0x1.ac3e57f5f125ap-3, 0x1.a3616c3ce1079p-3, 0x1.9a6c5b942ffbap-3, 0x1.91601eda9e4dcp-3, 0x1.883dafb6045ecp-3, 0x1.7f0608716f0e2p-3, 0x1.75ba23db39804p-3, 0x1.6c5afd2341486p-3, 0x1.62e98fb933331p-3, 0x1.5966d72af3559p-3, 0x1.4fd3cf033740bp-3, 0x1.463172a8498a7p-3, 0x1.3c80bd3b0f50dp-3, 0x1.32c2a97646e8ep-3, 0x1.28f8318e185bfp-3, 0x1.1f224f0feee66p-3, 0x1.1541fac2aed23p-3, 0x1.0b582c874cf54p-3, 0x1.0165db39c60f8p-3, 0x1.eed7f92511052p-4, 0x1.dad70a10a288ep-4, 0x1.c6cacf64f9dbp-4, 0x1.b2b52c57c9446p-4, 0x1.9e9800ec653aep-4, 0x1.8a7529bb91502p-4, 0x1.764e7fbc6fed7p-4, 0x1.6225d80e92929p-4, 0x1.4dfd03c53c5bfp-4, 0x1.39d5cfb3e8957p-4, 0x1.25b2043c06657p-4, 0x1.1193651c0b56ap-4, 0x1.faf7627f8e967p-5, 0x1.d2d9452433b9fp-5, 0x1.aacfdb9ff4c73p-5, 0x1.82de84b9cd5f7p-5, 0x1.5b089431579f4p-5, 0x1.3351526d51c42p-5, 0x1.0bbbfc2cc979bp-5, 0x1.c897847692abbp-6, 0x1.7a07924fa0721p-6, 0x1.2bce51fd6adp-6, 0x1.bbe3b419b2cf6p-7, 0x1.20f04dfcd664dp-7, 0x1.0d9c6b2d9984bp-8, -0x1.277071e8aa9dep-11, -0x1.55a822006c776p-8, -0x1.423dc89526eabp-7, -0x1.d8a946d57d67fp-7, -0x1.3705eef329045p-6, -0x1.812d8ce52091cp-6, -0x1.cac6608318501p-6, -0x1.09e5b54ec8b81p-5, -0x1.2e1be4ed288d2p-5, -0x1.52035d7b10aafp-5, -0x1.7599cc8071024p-5, -0x1.98dceeca1ed58p-5, -0x1.bbca90828a854p-5, -0x1.de608d479d657p-5, -0x1.004e681f13598p-4, -0x1.113eaa1146b65p-4, -0x1.220011ab7a657p-4, -0x1.3291abf76b427p-4, -0x1.42f28ddc0fc46p-4, -0x1.5321d420ef532p-4, -0x1.631ea37031de3p-4, -0x1.72e8285796812p-4, -0x1.827d974829cdbp-4, -0x1.91de2c94d7e0bp-4, -0x1.a1092c6fe8826p-4, -0x1.affde2e751cadp-4, -0x1.bebba3dffc34ep-4, -0x1.cd41cb0fe8a4ep-4, -0x1.db8fbbf75e07ep-4, -0x1.e9a4e1d90077ep-4, -0x1.f780afb0f3d7p-4, -0x1.0291501579826p-3, -0x1.09451acbc3d37p-3, -0x1.0fdb7cf024121p-3, -0x1.16543f3d94f09p-3, -0x1.1caf2e2e7aebp-3, -0x1.22ec19f5709d8p-3, -0x1.290ad675a7cb4p-3, -0x1.2f0b3b3add531p-3, -0x1.34ed2370efe69p-3, -0x1.3ab06ddb0fd7ap-3, -0x1.4054fcca8b809p-3, -0x1.45dab615481bdp-3, -0x1.4b41830be0024p-3, -0x1.5089506f62cbbp-3, -0x1.55b20e66cb8b6p-3, -0x1.5abbb074229c1p-3, -0x1.5fa62d695588ap-3, -0x1.64717f5cc34efp-3, -0x1.691da39d7ddebp-3, -0x1.6daa9aa750a9ap-3, -0x1.7218681681b56p-3, -0x1.7667129b50b63p-3, -0x1.7a96a3ed4324p-3, -0x1.7ea728be35616p-3, -0x1.8298b0ad33965p-3, -0x1.866b4e392933dp-3, -0x1.8a1f16b3590d5p-3, -0x1.8db42231addc9p-3, -0x1.912a8b80dfac2p-3, -0x1.9482701675315p-3, -0x1.97bbf002a0346p-3, -0x1.9ad72de1f88c3p-3, -0x1.9dd44ecf1d97bp-3, -0x1.a0b37a54364a1p-3, -0x1.a374da5c5ddd7p-3, -0x1.a6189b24f9a6cp-3, -0x1.a89eeb2efaae6p-3, -0x1.ab07fb301135fp-3, -0x1.ad53fe03cf87cp-3, -0x1.af83289cc69dfp-3, -0x1.b195b1f594b6cp-3, -0x1.b38bd301edc08p-3, -0x1.b565c69fa82b8p-3, -0x1.b723c987bc8a2p-3, -0x1.b8c61a3f5263p-3, -0x1.ba4cf908c518p-3, -0x1.bbb8a7d4ba655p-3, -0x1.bd096a3331d6dp-3, -0x1.be3f8544b0634p-3, -0x1.bf5b3fab6963dp-3, -0x1.c05ce17c7ae61p-3, -0x1.c144b4313ffabp-3, -0x1.c2130298aaef9p-3, -0x1.c2c818c8be526p-3, -0x1.c36444101244bp-3, -0x1.c3e7d2e77c1d3p-3, -0x1.c45314e3c882p-3, -0x1.c4a65aa7944cbp-3, -0x1.c4e1f5d54355ap-3, -0x1.c506390115283p-3, -0x1.c51377a3579e9p-3, -0x1.c50a060ac2d55p-3, -0x1.c4ea394ef3072p-3, -0x1.c4b4674309fd3p-3, -0x1.c468e66871ecfp-3, -0x1.c4080de1d278dp-3, -0x1.c3923566255b7p-3, -0x1.c307b533f8d08p-3, -0x1.c268e604dd16cp-3, -0x1.c1b6210100917p-3, -0x1.c0efbfb2f7e43p-3, -0x1.c0161bfbb3cc1p-3, -0x1.bf299006a597dp-3, -0x1.be2a763e1ccc4p-3, -0x1.bd19293fc7f83p-3, -0x1.bbf603d172396p-3, -0x1.bac160d5f4a79p-3, -0x1.b97b9b424d92p-3, -0x1.b8250e1303628p-3, -0x1.b6be1441a0216p-3, -0x1.b54708ba7d05p-3, -0x1.b3c04652b1308p-3, -0x1.b22a27be40a89p-3, -0x1.b08507867ba8ep-3, -0x1.aed140009c6ep-3, -0x1.ad0f2b4496408p-3, -0x1.ab3f23241ccc7p-3, -0x1.a9618121e7485p-3, -0x1.a7769e6927823p-3, -0x1.a57ed3c53a195p-3, -0x1.a37a799991a6ap-3, -0x1.a169e7d9d4ea2p-3, -0x1.9f4d76023b6bbp-3, -0x1.9d257b101d204p-3, -0x1.9af24d7abcfe6p-3, -0x1.98b4432c4cbf7p-3, -0x1.966bb17b23a4ep-3, -0x1.9418ed2335742p-3, -0x1.91bc4a3fb56d1p-3, -0x1.8f561c44fcfbep-3, -0x1.8ce6b5fa9d841p-3, -0x1.8a6e6975b6c7fp-3, -0x1.87ed88136f9e3p-3, -0x1.85646273bcf02p-3, -0x1.82d348744943dp-3, -0x1.803a892b9e3ecp-3, -0x1.7d9a72e47da81p-3, -0x1.7af353196d6f4p-3, -0x1.784576707b1d5p-3, -0x1.759128b7332b8p-3, -0x1.72d6b4dec373bp-3, -0x1.701664f855ecbp-3, -0x1.6d5082319f4b7p-3, -0x1.6a8554d197dddp-3, -0x1.67b5243567692p-3, -0x1.64e036cd7d03cp-3, -0x1.6206d21ae01bcp-3, -0x1.5f293aaca58dap-3, -0x1.5c47b41d90b62p-3, -0x1.59628111edb0bp-3, -0x1.5679e335897e4p-3, -0x1.538e1b39dfd3bp-3, -0x1.509f68d46a554p-3, -0x1.4dae0abd24991p-3, -0x1.4aba3ead2c4ecp-3, -0x1.47c4415d97f0fp-3, -0x1.44cc4e8665362p-3, -0x1.41d2a0dd9b675p-3, -0x1.3ed772168d613p-3, -0x1.3bdafae13fa59p-3, -0x1.38dd72e9f7c47p-3, -0x1.35df10d8e7eabp-3, -0x1.32e00a5203c82p-3, -0x1.2fe093f4f19b9p-3, -0x1.2ce0e15d2658ap-3, -0x1.29e125220d3cbp-3, -0x1.26e190d76c156p-3, -0x1.23e2550dc949dp-3, -0x1.20e3a1530243ep-3, -0x1.1de5a432f99a4p-3, -0x1.1ae88b385b373p-3, -0x1.17ec82ed87341p-3, -0x1.14f1b6dd8c891p-3, -0x1.11f851954449ap-3, -0x1.0f007ca481fcap-3, -0x1.0c0a609f5d769p-3, -0x1.0916251f94745p-3, -0x1.0623f0c5ff8f2p-3, -0x1.0333e93c2356fp-3, -0x1.00463335ccdbbp-3, -0x1.fab5e4e59bc22p-4, -0x1.f4e4938181fa9p-4, -0x1.ef18b5f9d035ap-4, -0x1.e9528e2c37618p-4, -0x1.e3925c1d8c976p-4, -0x1.ddd85dfdf3318p-4, -0x1.d824d02d0fad3p-4, -0x1.d277ed3e7115fp-4, -0x1.ccd1edfdffb77p-4, -0x1.c733097497cbp-4, -0x1.c19b74ecb77e7p-4, -0x1.bc0b63f7475ecp-4, -0x1.b683087079a16p-4, -0x1.b1029284bb04ep-4, -0x1.ab8a30b5be153p-4, -0x1.a61a0fdfa0d35p-4, -0x1.a0b25b3e0ed81p-4, -0x1.9b533c718868bp-4, -0x1.95fcdb84b7f83p-4, -0x1.90af5ef1c82fcp-4, -0x1.8b6aeba7d72b5p-4, -0x1.862fa5106f846p-4, -0x1.80fdad1508edp-4, -0x1.7bd524249d603p-4, -0x1.76b629393f60fp-4, -0x1.71a0d9ddb8d73p-4, -0x1.6c9552333589ep-4, -0x1.6793acf6f5dd6p-4, -0x1.629c0387fa017p-4, -0x1.5dae6decc2c26p-4, -0x1.58cb02d906be6p-4, -0x1.53f1d7b3787dap-4, -0x1.4f23009b82ddfp-4, -0x1.4a5e906f0c009p-4, -0x1.45a498d035c16p-4, -0x1.40f52a2b201dbp-4, -0x1.3c5053bba9ab5p-4, -0x1.37b6239330975p-4, -0x1.3326a69e469f5p-4, -0x1.2ea1e8aa6dd76p-4, -0x1.2a27f46bceed2p-4, -0x1.25b8d382de2d5p-4, -0x1.21548e820faa8p-4, -0x1.1cfb2cf37647fp-4, -0x1.18acb55e5cf56p-4, -0x1.14692d4ce180cp-4, -0x1.103099517fbfdp-4, -0x1.0c02fd0c9636ep-4, -0x1.07e05b31e73b5p-4, -0x1.03c8b58e03913p-4, -0x1.ff781a177d121p-5, -0x1.f774c3730cfd9p-5, -0x1.ef87659d761eap-5, -0x1.e7affd61f0cb9p-5, -0x1.dfee85f2ad25p-5, -0x1.d842f8f32e3a7p-5, -0x1.d0ad4e82a0f58p-5, -0x1.c92d7d4612a76p-5, -0x1.c1c37a727d5cdp-5, -0x1.ba6f39d6da2ddp-5, -0x1.b330ade5f6aecp-5, -0x1.ac07c7c04abb7p-5, -0x1.a4f4773da409fp-5, -0x1.9df6aaf6b5f1p-5, -0x1.970e504e892adp-5, -0x1.903b537bec4afp-5, -0x1.897d9f928c996p-5, -0x1.82d51e8c2cd4ep-5, -0x1.7c41b9519ca0ap-5, -0x1.75c357c38f396p-5, -0x1.6f59e0c36df15p-5, -0x1.69053a3be71ecp-5, -0x1.62c54929868ap-5, -0x1.5c99f1a305bafp-5, -0x1.568316e193d51p-5, -0x1.50809b4908566p-5, -0x1.4a92606fd6826p-5, -0x1.44b84726ec642p-5, -0x1.3ef22f818efffp-5, -0x1.393ff8dce6a6ep-5, -0x1.33a181e78e1aap-5, -0x1.2e16a8a8e8b1ep-5, -0x1.289f4a887f85fp-5, -0x1.233b4454fbc26p-5, -0x1.1dea724b4c956p-5, -0x1.18acb01d74d02p-5, -0x1.1381d8f9555c8p-5, -0x1.0e69c78f43461p-5, -0x1.0964561893e92p-5, -0x1.04715e5dfee8dp-5, -0x1.ff21737b9e7b9p-6, -0x1.f584826433cadp-6, -0x1.ec0b9aad64239p-6, -0x1.e2b66cde2ebc8p-6, -0x1.d984a8d8468dep-6, -0x1.d075fde387fdcp-6, -0x1.c78a1ab90d702p-6, -0x1.bec0ad8dba9fap-6, -0x1.b619641d0c379p-6, -0x1.ad93ebb35b65ap-6, -0x1.a52ff137f0ddbp-6, -0x1.9ced2136e2625p-6, -0x1.94cb27eabf0bep-6, -0x1.8cc9b145e17c5p-6, -0x1.84e868fbcb398p-6, -0x1.7d26fa89e0ff1p-6, -0x1.758511404ba6fp-6, -0x1.6e02584a898e8p-6, -0x1.669e7ab77994p-6, -0x1.5f592381ccd07p-6, -0x1.5831fd979d797p-6, -0x1.5128b3e239216p-6, -0x1.4a3cf14d9abebp-6, -0x1.436e60cf87d0cp-6, -0x1.3cbcad6ecbc6ap-6, -0x1.36278249f840cp-6, -0x1.2fae8a9e08789p-6, -0x1.295171cce6662p-6, -0x1.230fe363adcp-6, -0x1.1ce98b20ad8a1p-6, -0x1.16de14f956a4p-6, -0x1.10ed2d2007dd2p-6, -0x1.0b1680097c70cp-6, -0x1.0559ba721b8cap-6, -0x1.ff6d12c6954eap-7, -0x1.f45934707b517p-7, -0x1.e97735462622cp-7, -0x1.dec671621de8cp-7, -0x1.d446459f4b0e6p-7, -0x1.c9f60fa0b5414p-7, -0x1.bfd52dda54dfbp-7, -0x1.b5e2ff992aa07p-7, -0x1.ac1ee50ab99a6p-7, -0x1.a2883f44a47b6p-7, -0x1.991e704bcc152p-7, -0x1.8fe0db1b20825p-7, -0x1.86cee3aa3cd0dp-7, -0x1.7de7eef3acd22p-7, -0x1.752b62faeb254p-7, -0x1.6c98a6d245eb9p-7, -0x1.642f229ff76bbp-7, -0x1.5bee3fa3e1f5bp-7, -0x1.53d5683c243b4p-7, -0x1.4be407ea1193ap-7, -0x1.44198b565e9acp-7, -0x1.3c756055d0223p-7, -0x1.34f6f5ecdb7f3p-7, -0x1.2d9dbc5397111p-7, -0x1.266924f947474p-7, -0x1.1f58a287bd35cp-7, -0x1.186ba8e66899ep-7, -0x1.11a1ad3d48cc8p-7, -0x1.0afa25f7ad01ep-7, -0x1.04748ac699578p-7, -0x1.fc20a946e47fp-8, -0x1.ef99fba32cf19p-8, -0x1.e35403c1eef5fp-8, -0x1.d74dbb5e69888p-8, -0x1.cb861ed3b4662p-8, -0x1.bffc2d1e7e773p-8, -0x1.b4aee7e071996p-8, -0x1.a99d5361e0ff9p-8, -0x1.9ec67693f6841p-8, -0x1.94295b121c5a8p-8, -0x1.89c50d2387f89p-8, -0x1.7f989bbbc4da9p-8, -0x1.75a3187c0d51dp-8, -0x1.6be397b317da6p-8, -0x1.6259305dd7a27p-8, -0x1.5902fc26f44e6p-8, -0x1.4fe01766ca88fp-8, -0x1.46efa122857c2p-8, -0x1.3e30bb0bf9194p-8, -0x1.35a2897f9b0fp-8, -0x1.2d44338447f54p-8, -0x1.2514e2c8fa1d6p-8, -0x1.1d13c3a3a6cebp-8, -0x1.1540050f3fae1p-8, -0x1.0d98d8a975f0ap-8, -0x1.061d72b092f31p-8, -0x1.fd9a14027be9cp-9, -0x1.ef4db02731e1fp-9, -0x1.e15431f143b97p-9, -0x1.d3ac16ae79d95p-9, -0x1.c653e0d249589p-9, -0x1.b94a17ef306ffp-9, -0x1.ac8d48b073324p-9, -0x1.a01c04d25464dp-9, -0x1.93f4e31b3d08ep-9, -0x1.88167f546dacbp-9, -0x1.7c7f7a41da617p-9, -0x1.712e799a13a33p-9, -0x1.662227fe7a206p-9, -0x1.5b5934f214ea1p-9, -0x1.50d254d1cbfccp-9, -0x1.468c40cac0568p-9, -0x1.3c85b6d1ad339p-9, -0x1.32bd7999cce14p-9, -0x1.2932508b9117ep-9, -0x1.1fe307ba39f97p-9, -0x1.16ce6fdb5c75dp-9, -0x1.0df35e3c68f5ep-9, -0x1.0550acb8987c2p-9, -0x1.f9ca735f18728p-10, -0x1.e95fcff4a45ap-10, -0x1.d95f3dc390fd7p-10, -0x1.c9c6942732387p-10, -0x1.ba93b330e913ep-10, -0x1.abc4839172217p-10, -0x1.9d56f684f3869p-10, -0x1.8f4905bced792p-10, -0x1.8198b34a42608p-10, -0x1.74440988f06fbp-10, -0x1.67491b08b95e4p-10, -0x1.5aa60277a9c4p-10, -0x1.4e58e28c80ed6p-10, -0x1.425fe5f094f5dp-10, -0x1.36b93f29572dbp-10, -0x1.2b632882ae6c9p-10, -0x1.205be3f8b4e36p-10, -0x1.15a1bb205c74ap-10, -0x1.0b32ff12fd85ep-10, -0x1.010e0856af92p-10, -0x1.ee626d90acf16p-11, -0x1.db35e30b6adcep-11, -0x1.c8934daf08214p-11, -0x1.b67798343578bp-11, -0x1.a4dfbb4f7786cp-11, -0x1.93c8bd8612a81p-11, -0x1.832fb2ff80e5ep-11, -0x1.7311bd5bd478bp-11, -0x1.636c0b85d170cp-11, -0x1.543bd987ea692p-11, -0x1.457e7060a4c8p-11, -0x1.373125d69a248p-11, -0x1.29515c4cd3bf8p-11, -0x1.1bdc8298fc621p-11, -0x1.0ed013d5d07e6p-11, -0x1.0229973c3d74bp-11, -0x1.ebcd3fe9f636ep-12, -0x1.d40999e04fdcep-12, -0x1.bd039173f58bbp-12, -0x1.a6b692a4bd24ep-12, -0x1.911e2005092acp-12, -0x1.7c35d267a1649p-12, -0x1.67f9588c8d816p-12, -0x1.546476ce6e484p-12, -0x1.417306d4d31a9p-12, -0x1.2f20f74180ad1p-12, -0x1.1d6a4b6033a9bp-12, -0x1.0c4b1ad7b4a2fp-12, -0x1.f77f22bbaac07p-13, -0x1.d787dcc8d7db6p-13, -0x1.b8a9099de0fb8p-13, -0x1.9adb754d1409cp-13, -0x1.7e18119617518p-13, -0x1.6257f553a692ap-13, -0x1.47945be7390dap-13, -0x1.2dc6a49e859a3p-13, -0x1.14e85226e394dp-13, -0x1.f9e613f0965d5p-14, -0x1.cbc1278fdcca5p-14, -0x1.9f55b1ea40adcp-14, -0x1.7497c806fadafp-14, -0x1.4b7bc00f8d9dfp-14, -0x1.23f63047485acp-14, -0x1.fbf7dbdeefc24p-15, -0x1.b304187df1474p-15, -0x1.6cfbb6aaec405p-15, -0x1.29c9ce588b3a9p-15, -0x1.d2b3da6b35f0dp-16, -0x1.57302939c0fbap-16, -0x1.c1c2de4145effp-17, -0x1.be85c643415c2p-18, -0x1.a568b6db66972p-23, 0x1.911be31f09adp-18, 0x1.8e6f4195e7f41p-17, 0x1.25aa0a3aee261p-16, 0x1.7fc04c7825886p-16, 0x1.d59bb63b60879p-16, 0x1.13ae68a2b2369p-15, 0x1.3a91b2f53222ap-15, 0x1.5f873f4d4d0ffp-15, 0x1.829e35ba3b4d2p-15, 0x1.a3e562d2d8d14p-15, 0x1.c36b396598191p-15, 0x1.e13dd42f9e851p-15, 0x1.fd6af77f1f316p-15, 0x1.0c00096d5672bp-14, 0x1.1885214b2c90ep-14, 0x1.244b28b90ac2p-14, 0x1.2f585d1347119p-14, 0x1.39b2d479d207p-14, 0x1.43607e8e679a9p-14, 0x1.4c67253c7efa7p-14, 0x1.54cc6d70380d4p-14, 0x1.5c95d7d59703ap-14, 0x1.63c8c18b8e612p-14, 0x1.6a6a64e09cf58p-14, 0x1.707fd9fb889b3p-14, 0x1.760e17923cc64p-14, 0x1.7b19f3939293bp-14, 0x1.7fa823d59ca69p-14, 0x1.83bd3eb9d4ba9p-14, 0x1.875dbbd39701bp-14, 0x1.8a8df48daad9fp-14, 0x1.8d5224c46304cp-14, 0x1.8fae6b67b00e6p-14, 0x1.91a6cb1599262p-14, 0x1.933f2ab0742dcp-14, 0x1.947b55fb5249cp-14, 0x1.955efe2582de9p-14, 0x1.95edba63c8268p-14, 0x1.962b0879a28c9p-14, 0x1.961a4d4838da3p-14, 0x1.95bed5560031fp-14, 0x1.951bd55b88e3ap-14, 0x1.94346ac4fe242p-14, 0x1.930b9c374a31dp-14, 0x1.91a45a1226e23p-14, 0x1.90017eed07884p-14, 0x1.8e25d0133830fp-14, 0x1.8c13fe02da3dep-14, 0x1.89cea4dd7ab65p-14, 0x1.87584ce546f01p-14, 0x1.84b36aef435e9p-14, 0x1.81e260d627c1cp-14, 0x1.7ee77de6820dfp-14, 0x1.7bc4ff516cc6p-14, 0x1.787d10984260dp-14, 0x1.7511cbf3ca2ddp-14, 0x1.71853ab9eba3dp-14, 0x1.6dd955ccc69cap-14, 0x1.6a1005f8d9b2p-14, 0x1.662b245770c89p-14, 0x1.622c7ab1750efp-14, 0x1.5e15c3dd6174ep-14, 0x1.59e8ac1b4bb37p-14, 0x1.55a6d17045cc8p-14, 0x1.5151c3fff2e92p-14, 0x1.4ceb066655dep-14, 0x1.48740e0aec5a8p-14, 0x1.43ee4377046a1p-14, 0x1.3f5b02a6e614bp-14, 0x1.3abb9b5eb624p-14, 0x1.36115173325bfp-14, 0x1.315d5d1c199a3p-14, 0x1.2ca0eb3fded32p-14, 0x1.27dd1dbfc543cp-14, 0x1.23130bbed3fffp-14, 0x1.1e43c1ea00cb7p-14, 0x1.197042bf72ec3p-14, 0x1.149986d492a8dp-14, 0x1.0fc07d16fda7cp-14, 0x1.0ae60b0deef53p-14, 0x1.060b0d1e71d89p-14, 0x1.013056c7d65c4p-14, 0x1.f8ad65c6f0f29p-15, 0x1.eefdc7c1c8e96p-15, 0x1.e5534800411f3p-15, 0x1.dbaf4b1d4514dp-15, 0x1.d21326398834p-15, 0x1.c8801f6fe88b7p-15, 0x1.bef76e3c2a074p-15, 0x1.b57a3bece928p-15, 0x1.ac09a4081f7f9p-15, 0x1.a2a6b4b0d4a8fp-15, 0x1.99526f0d858ep-15, 0x1.900dc7a3f81d1p-15, 0x1.86d9a6c1ca28fp-15, 0x1.7db6e8cda6628p-15, 0x1.74a65ea83fca9p-15, 0x1.6ba8ce0827348p-15, 0x1.62bef1cbeb84dp-15, 0x1.59e97a5109c2cp-15, 0x1.51290dc73b9efp-15, 0x1.487e488015a94p-15, 0x1.3fe9bd3f566ddp-15, 0x1.376bf586e5494p-15, 0x1.2f0571e47b199p-15, 0x1.26b6aa3624b32p-15, 0x1.1e800df6bbd8cp-15, 0x1.166204860b3bap-15, 0x1.0e5ced6745248p-15, 0x1.06712087bece6p-15, 0x1.fd3ddd00859bdp-16, 0x1.edcd41a3c1818p-16, 0x1.de90f44b775a9p-16, 0x1.cf896d131ef3p-16, 0x1.c0b7175341c94p-16, }}, 
      {{-0x1.d578543318236p-12, -0x1.d5f64720cccedp-11, -0x1.6111bd888d20dp-10, -0x1.d7d2ba4bd15fcp-10, -0x1.27afea8d769fep-9, -0x1.63e3ca9ba019ap-9, -0x1.a0818e13051dcp-9, -0x1.dd7ad3fe91a54p-9, -0x1.0d5b4c222a8f4p-8, -0x1.2c08e0ec460cep-8, -0x1.4aafde2f38576p-8, -0x1.693583cc380f7p-8, -0x1.877adf0896244p-8, -0x1.a55d100c96e9fp-8, -0x1.c2b5990355333p-8, -0x1.df5abc208bdbdp-8, -0x1.fb1fea54f0765p-8, -0x1.0aeb20886ce79p-7, -0x1.17a68973024fep-7, -0x1.23a93ab472052p-7, -0x1.2ed9e72b89048p-7, -0x1.391f2d41145cep-7, -0x1.425fd50349ad8p-7, -0x1.4a830750fc043p-7, -0x1.51707d2b59c52p-7, -0x1.5710a6e2e2265p-7, -0x1.5b4ccb589d2b2p-7, -0x1.5e0f1ff09518p-7, -0x1.5f42da158ee1dp-7, -0x1.5ed43b53bfd92p-7, -0x1.5cb0991ab552cp-7, -0x1.58c6612e3e01p-7, -0x1.53051bb5c029fp-7, -0x1.4b5d6bb7901c9p-7, -0x1.41c10ea6db0c8p-7, -0x1.3622db8236497p-7, -0x1.2876c1d9ae7e9p-7, -0x1.18b1c8efcd8f1p-7, -0x1.06ca0f0a91512p-7, -0x1.e56d91e1d4e46p-8, -0x1.b8e082fcd9daap-8, -0x1.87dfb2556ee46p-8, -0x1.52600ab4c3eddp-8, -0x1.18589e9adca4dp-8, -0x1.b38549ffd7f54p-9, -0x1.2d32e95addde6p-9, -0x1.3b69f7c0deae2p-10, -0x1.42a1398e02b5ap-15, 0x1.3992d36924764p-10, 0x1.47bfc7bb7431bp-9, 0x1.fbcdb2ce918a8p-9, 0x1.5c72472d60722p-8, 0x1.bf79138dd545bp-8, 0x1.137836734bf18p-7, 0x1.4965ef28c849ap-7, 0x1.817eb2c3b84cbp-7, 0x1.bbbac4d58e5b2p-7, 0x1.f811b95e7f4b6p-7, 0x1.1b3d405da6a22p-6, 0x1.3b75b9d42a082p-6, 0x1.5cad2f9e7ab5p-6, 0x1.7ede486240e42p-6, 0x1.a20370ae57ae7p-6, 0x1.c616e0a239086p-6, 0x1.eb12a1649626cp-6, 0x1.08784930cb257p-5, 0x1.1bd537256a399p-5, 0x1.2f9ce7ea40a01p-5, 0x1.43cc1b164dfc2p-5, 0x1.585f8495153a4p-5, 0x1.6d53ce99f8feep-5, 0x1.82a59b6f57db8p-5, 0x1.98518722085e5p-5, 0x1.ae54290a1b19cp-5, 0x1.c4aa15322ae7ep-5, 0x1.db4fdd9eaa08dp-5, 0x1.f2421376e5acdp-5, 0x1.04bea408c8b38p-4, 0x1.107f06f3638edp-4, 0x1.1c607cb4b8f37p-4, 0x1.286150e51970dp-4, 0x1.347fd0d2cfcd2p-4, 0x1.40ba4bcff6cfbp-4, 0x1.4d0f1377ea556p-4, 0x1.597c7bed461aep-4, 0x1.6600dc1140f25p-4, 0x1.729a8db5401e4p-4, 0x1.7f47edc75b027p-4, 0x1.8c075c7a7ff76p-4, 0x1.98d73d6ae37ep-4, 0x1.a5b5f7bf41489p-4, 0x1.b2a1f6477c2fcp-4, 0x1.bf99a7991102ep-4, 0x1.cc9b7e29b99d1p-4, 0x1.d9a5f068a23cep-4, 0x1.e6b778d67dd1bp-4, 0x1.f3ce961ca5c09p-4, 0x1.0074e591ce8bfp-3, 0x1.0703cf947c797p-3, 0x1.0d934eea75cfep-3, 0x1.1422aba7bcc98p-3, 0x1.1ab1302ab944ep-3, 0x1.213e2926984f4p-3, 0x1.27c8e5ad8ea8p-3, 0x1.2e50b73b0b6edp-3, 0x1.34d4f1bdbed6ep-3, 0x1.3b54eba18676cp-3, 0x1.41cffdd934a65p-3, 0x1.484583e81cee5p-3, 0x1.4eb4dbeb763eap-3, 0x1.551d66a37341cp-3, 0x1.5b7e877c18b7bp-3, 0x1.61d7a495c040ep-3, 0x1.682826cd41707p-3, 0x1.6e6f79c3bda1cp-3, 0x1.74ad0be5ff9cap-3, 0x1.7ae04e7369c14p-3, 0x1.8108b58472bc2p-3, 0x1.8725b810a7148p-3, 0x1.8d36cff422646p-3, 0x1.933b79f48ba85p-3, 0x1.993335c58a1ap-3, 0x1.9f1d860cae2f4p-3, 0x1.a4f9f064cc196p-3, 0x1.aac7fd60d3354p-3, 0x1.b087388e11b4dp-3, 0x1.b6373075f457ap-3, 0x1.bbd7769f3a481p-3, 0x1.c1679f8e9fcp-3, 0x1.c6e742c70d88cp-3, 0x1.cc55fac93c9efp-3, 0x1.d1b36512eb021p-3, 0x1.d6ff221d890e4p-3, 0x1.dc38d55c8451cp-3, 0x1.e160253b13b86p-3, 0x1.e674bb19a67a6p-3, 0x1.eb76434ae6d9cp-3, 0x1.f0646d1064e99p-3, 0x1.f53eea96ded13p-3, 0x1.fa0570f23f2cbp-3, 0x1.feb7b8194539p-3, 0x1.01aabd7073513p-2, 0x1.03ef3b7bb6cbbp-2, 0x1.0629366fabc38p-2, 0x1.08588ff4fc785p-2, 0x1.0a7d2b18f4736p-2, 0x1.0c96ec4aa2efep-2, 0x1.0ea5b957dee9bp-2, 0x1.10a9796a3d8a9p-2, 0x1.12a21503f37aap-2, 0x1.148f75fca3478p-2, 0x1.1671877e213d8p-2, 0x1.1848360124c7cp-2, 0x1.1a136f49efb31p-2, 0x1.1bd32264ea71cp-2, 0x1.1d873fa334f02p-2, 0x1.1f2fb8972f7ecp-2, 0x1.20cc8010f8bdap-2, 0x1.225d8a1ae8028p-2, 0x1.23e2cbf5fda21p-2, 0x1.255c3c164bbeap-2, 0x1.26c9d21f5dc58p-2, 0x1.282b86e0939b9p-2, 0x1.298154517efccp-2, 0x1.2acb358e32583p-2, 0x1.2c0926d393a1bp-2, 0x1.2d3b257ba3b3ep-2, 0x1.2e612ff9c4d0dp-2, 0x1.2f7b45d6f7e6dp-2, 0x1.308967ae19645p-2, 0x1.318b9728145e8p-2, 0x1.3281d6f815b8dp-2, 0x1.336c2ad7b36b6p-2, 0x1.344a9783151c3p-2, 0x1.351d22b511486p-2, 0x1.35e3d32349fd2p-2, 0x1.369eb07a3f023p-2, 0x1.374dc3595eb33p-2, 0x1.37f1154f0b68bp-2, 0x1.3888b0d4a152ep-2, 0x1.3914a14a70737p-2, 0x1.3994f2f3b383dp-2, 0x1.3a09b2f280b32p-2, 0x1.3a72ef43b198p-2, 0x1.3ad0b6bac8efep-2, 0x1.3b2318fdcf21bp-2, 0x1.3b6a26812a5a9p-2, 0x1.3ba5f0836ddfp-2, 0x1.3bd689092b8eap-2, 0x1.3bfc02d8b3604p-2, 0x1.3c167175d9e6cp-2, 0x1.3c25e91db0531p-2, 0x1.3c2a7ec23d571p-2, 0x1.3c2448062fe01p-2, 0x1.3c135b388a57bp-2, 0x1.3bf7cf504ec59p-2, 0x1.3bd1bbe824583p-2, 0x1.3ba13939fb2bcp-2, 0x1.3b66601aa9072p-2, 0x1.3b2149f58aef8p-2, 0x1.3ad210c81c9ecp-2, 0x1.3a78cf1d94cfap-2, 0x1.3a15a00a7cb41p-2, 0x1.39a89f2846faap-2, 0x1.3931e890e7449p-2, 0x1.38b198da6b5e6p-2, 0x1.3827cd1290123p-2, 0x1.3794a2ba5d747p-2, 0x1.36f837c1c08ccp-2, 0x1.3652aa8328841p-2, 0x1.35a419bf27c72p-2, 0x1.34eca498152a2p-2, 0x1.342c6a8db4f6p-2, 0x1.33638b78e1153p-2, 0x1.329227873b5d6p-2, 0x1.31b85f36e20cep-2, 0x1.30d65352298e9p-2, 0x1.2fec24eb5cd6ep-2, 0x1.2ef9f55887de2p-2, 0x1.2dffe62f42fc9p-2, 0x1.2cfe19408a966p-2, 0x1.2bf4b0949e41ep-2, 0x1.2ae3ce66e7d8bp-2, 0x1.29cb9521e8b08p-2, 0x1.28ac275b3639p-2, 0x1.2785a7cf7be0ep-2, 0x1.2658395e87f94p-2, 0x1.2523ff076408bp-2, 0x1.23e91be478fep-2, 0x1.22a7b327b9fc4p-2, 0x1.215fe816e28p-2, 0x1.2011de07ba3d1p-2, 0x1.1ebdb85c67efcp-2, 0x1.1d639a7fd00e3p-2, 0x1.1c03a7e2011c3p-2, 0x1.1a9e03f4ada0cp-2, 0x1.1932d227b26cfp-2, 0x1.17c235e5ab659p-2, 0x1.164c5290957efp-2, 0x1.14d14b7e816ecp-2, 0x1.135143f6515cfp-2, 0x1.11cc5f2c882c2p-2, 0x1.1042c04025f3ap-2, 0x1.0eb48a37944efp-2, 0x1.0d21dffda2115p-2, 0x1.0b8ae45e8c2c1p-2, 0x1.09efba0519ed8p-2, 0x1.08508377c672dp-2, 0x1.06ad6315f97ddp-2, 0x1.05067b1551017p-2, 0x1.035bed7efa832p-2, 0x1.01addc2d1d336p-2, 0x1.fff8d190a34f4p-3, 0x1.fc8f698a5b9ffp-3, 0x1.f91fc2c3b8b7fp-3, 0x1.f5aa1f4790b54p-3, 0x1.f22ec0aaadda7p-3, 0x1.eeade807619edp-3, 0x1.eb27d5f93f539p-3, 0x1.e79cca98ebe5cp-3, 0x1.e40d057817d83p-3, 0x1.e078c59d95638p-3, 0x1.dce049818f21fp-3, 0x1.d943cf09e1ea3p-3, 0x1.d5a39386910d6p-3, 0x1.d1ffd3ae6149cp-3, 0x1.ce58cb9b8b7c2p-3, 0x1.caaeb6c89a6c6p-3, 0x1.c701d00d5db4fp-3, 0x1.c352519c019d2p-3, 0x1.bfa074fe44dabp-3, 0x1.bbec7312ca796p-3, 0x1.b836840a9195ap-3, 0x1.b47edf6683f51p-3, 0x1.b0c5bbf52a72ep-3, 0x1.ad0b4fd075a63p-3, 0x1.a94fd05bb0c22p-3, 0x1.a5937241844ap-3, 0x1.a1d6697222ff7p-3, 0x1.9e18e9218b0a4p-3, 0x1.9a5b23c5e5eadp-3, 0x1.969d4b1608165p-3, 0x1.92df900804cdfp-3, 0x1.8f2222cfe8aacp-3, 0x1.8b6532de83fdep-3, 0x1.87a8eee05860cp-3, 0x1.83ed84bc9c422p-3, 0x1.803321945b7aap-3, 0x1.7c79f1c1aebf8p-3, 0x1.78c220d70d792p-3, 0x1.750bd99ebd818p-3, 0x1.7157461a5398fp-3, 0x1.6da48f824f1ffp-3, 0x1.69f3de45d114bp-3, 0x1.66455a0a64a96p-3, 0x1.629929abe31dfp-3, 0x1.5eef733c6cb6cp-3, 0x1.5b485c047b359p-3, 0x1.57a40882fee03p-3, 0x1.54029c6d9eb6ep-3, 0x1.50643ab104fadp-3, 0x1.4cc9057145372p-3, 0x1.49311e0a4f7b3p-3, 0x1.459ca5107eda4p-3, 0x1.420bba5131972p-3, 0x1.3e7e7cd382bd6p-3, 0x1.3af50ad90116bp-3, 0x1.376f81de8db58p-3, 0x1.33edfe9d3c41dp-3, 0x1.30709d0b47813p-3, 0x1.2cf7785d1d9edp-3, 0x1.2982ab0670d91p-3, 0x1.26124ebb60d08p-3, 0x1.22a67c71ad83ap-3, 0x1.1f3f4c61fda4ap-3, 0x1.1bdcd6092bf8dp-3, 0x1.187f3029a8f29p-3, 0x1.152670cce6da3p-3, 0x1.11d2ad44d246bp-3, 0x1.0e83fa2d56068p-3, 0x1.0b3a6b6df1804p-3, 0x1.07f6143b4e32fp-3, 0x1.04b70718eeb81p-3, 0x1.017d55dad79dap-3, 0x1.fc92234eac502p-4, 0x1.f63495f17c914p-4, 0x1.efe2233e7d221p-4, 0x1.e99ae9856bd35p-4, 0x1.e35f05c9296dcp-4, 0x1.dd2e93c38d94dp-4, 0x1.d709ade941b28p-4, 0x1.d0f06d6db4846p-4, 0x1.cae2ea4716744p-4, 0x1.c4e13b326241ap-4, 0x1.beeb75b76af1fp-4, 0x1.b901ae2d12376p-4, 0x1.b323f7bd5ba82p-4, 0x1.ad526469aa2ebp-4, 0x1.a78d050f09ca4p-4, 0x1.a1d3e96a67b8p-4, 0x1.9c27201ce4ff4p-4, 0x1.9686b6b031f6fp-4, 0x1.90f2b99adfc3bp-4, 0x1.8b6b3444cda19p-4, 0x1.85f0310b83017p-4, 0x1.8081b946a3aeep-4, 0x1.7b1fd54c58876p-4, 0x1.75ca8c75c2922p-4, 0x1.7081e5237007ep-4, 0x1.6b45e4c1ccc73p-4, 0x1.66168fcda054cp-4, 0x1.60f3e9d87f5e5p-4, 0x1.5bddf58d430b7p-4, 0x1.56d4b4b4842d6p-4, 0x1.51d828390d75ep-4, 0x1.4ce8502c518cep-4, 0x1.48052bcadb2bp-4, 0x1.432eb980be9c4p-4, 0x1.3e64f6ee0574bp-4, 0x1.39a7e0eb16932p-4, 0x1.34f7738d1df6fp-4, 0x1.3053aa2a6cd84p-4, 0x1.2bbc7f5ed0403p-4, 0x1.2731ed0fefb8ep-4, 0x1.22b3ec719794fp-4, 0x1.1e42760a0553cp-4, 0x1.19dd81b62d567p-4, 0x1.158506adf7f59p-4, 0x1.1138fb8872cdep-4, 0x1.0cf9564008bc8p-4, 0x1.08c60c369fa43p-4, 0x1.049f1239bb7a4p-4, 0x1.00845c868fbbap-4, 0x1.f8ebbd9c2cac3p-5, 0x1.f0e718720d73bp-5, 0x1.e8faaed7b5fc8p-5, 0x1.e126651578caap-5, 0x1.d96a1e7ad5301p-5, 0x1.d1c5bd662dd95p-5, 0x1.ca39234c7ce25p-5, 0x1.c2c430c0d2cbap-5, 0x1.bb66c57bdab5ap-5, 0x1.b420c0633f4c6p-5, 0x1.acf1ff90f76b8p-5, 0x1.a5da605a7f0eep-5, 0x1.9ed9bf57fa723p-5, 0x1.97eff86b392c8p-5, 0x1.911ce6c6b18dcp-5, 0x1.8a6064f458cd7p-5, 0x1.83ba4cdc6785p-5, 0x1.7d2a77cbfc096p-5, 0x1.76b0be7bb831bp-5, 0x1.704cf916337c9p-5, 0x1.69feff3e613fcp-5, 0x1.63c6a815d34dap-5, 0x1.5da3ca42ef96fp-5, 0x1.57963bf6ffcbcp-5, 0x1.519dd2f433448p-5, 0x1.4bba6493835cap-5, 0x1.45ebc5ca7119p-5, 0x1.4031cb30cd5d2p-5, 0x1.3a8c4906357a4p-5, 0x1.34fb1337a5357p-5, 0x1.2f7dfd64d56e8p-5, 0x1.2a14dae5849d2p-5, 0x1.24bf7ecea59e1p-5, 0x1.1f7dbbf77bdaep-5, 0x1.1a4f64fe9e769p-5, 0x1.15344c4ed2a9cp-5, 0x1.102c4423e4b66p-5, 0x1.0b371e8f4ff41p-5, 0x1.0654ad7cdb995p-5, 0x1.0184c2b72100bp-5, 0x1.f98e5fd7de315p-6, 0x1.f0378d61338aap-6, 0x1.e704b10c662f7p-6, 0x1.ddf56dbb538f2p-6, 0x1.d509663790b92p-6, 0x1.cc403d3a61a63p-6, 0x1.c39995744eb18p-6, 0x1.bb151194a7c69p-6, 0x1.b2b25450d7b47p-6, 0x1.aa71006b7dcep-6, 0x1.a250b8bb56fbcp-6, 0x1.9a5120321ad78p-6, 0x1.9271d9e2ec699p-6, 0x1.8ab28908e21efp-6, 0x1.8312d10d29d2fp-6, 0x1.7b92558d2d8d1p-6, 0x1.7430ba605ee08p-6, 0x1.6ceda39e051c2p-6, 0x1.65c8b5a2bec72p-6, 0x1.5ec19515e7ab7p-6, 0x1.57d7e6eed9956p-6, 0x1.510b5079eba0dp-6, 0x1.4a5b775d701f4p-6, 0x1.43c8019e5bef2p-6, 0x1.3d5095a50187ep-6, 0x1.36f4da414e0ffp-6, 0x1.30b476af5055ap-6, 0x1.2a8f129b2c029p-6, 0x1.2484562531656p-6, 0x1.1e93e9e5b3cb8p-6, 0x1.18bd76f0b9257p-6, 0x1.1300a6d99c4ddp-6, 0x1.0d5d23b661335p-6, 0x1.07d2982313915p-6, 0x1.0260af44fcd82p-6, 0x1.fa0e299b17f26p-7, 0x1.ef8ae9faaa4p-7, 0x1.e536f94daf6f2p-7, 0x1.db11b262373e9p-7, 0x1.d11a71348a73ep-7, 0x1.c75092f3f77fp-7, 0x1.bdb3760754864p-7, 0x1.b4427a11800a3p-7, 0x1.aafcfff565b02p-7, 0x1.a1e269d9f7ca5p-7, 0x1.98f21b2de5527p-7, 0x1.902b78aaffab6p-7, 0x1.878de8599c2a9p-7, 0x1.7f18d193931cap-7, 0x1.76cb9d072b168p-7, 0x1.6ea5b4b9b846ep-7, 0x1.66a6840a22722p-7, 0x1.5ecd77b3340b5p-7, 0x1.5719fdcda5bfap-7, 0x1.4f8b85d227306p-7, 0x1.4821809b00f11p-7, 0x1.40db6065d5e7p-7, 0x1.39b898d4de65ep-7, 0x1.32b89ef0546a4p-7, 0x1.2bdae92772c1ep-7, 0x1.251eef517af54p-7, 0x1.1e842aae6c84ep-7, 0x1.180a15e7c39cbp-7, 0x1.11b02d10d5f6bp-7, 0x1.0b75eda75d9fbp-7, 0x1.055ad693999d9p-7, 0x1.febcd050c38f8p-8, 0x1.f30048466c3c2p-8, 0x1.e77f1b57e78b2p-8, 0x1.dc3852a988d9fp-8, 0x1.d12afa3312cccp-8, 0x1.c65620beca4dbp-8, 0x1.bbb8d7e861dc6p-8, 0x1.b152341b6dcdp-8, 0x1.a7214c91a3e47p-8, 0x1.9d253b5124868p-8, 0x1.935d1d2a67012p-8, 0x1.89c811b5d4c72p-8, 0x1.80653b51898a3p-8, 0x1.7733bf1ed1779p-8, 0x1.6e32c4ff0ca53p-8, 0x1.65617791047e1p-8, 0x1.5cbf042dbce34p-8, 0x1.544a9ae52fe91p-8, 0x1.4c036e7b067bp-8, 0x1.43e8b462ea8b8p-8, 0x1.3bf9a4bcfb09ap-8, 0x1.34357a51cc7p-8, 0x1.2c9b728eca6f2p-8, 0x1.252acd81d6d01p-8, 0x1.1de2cdd5704acp-8, 0x1.16c2b8cc1f4e7p-8, 0x1.0fc9d63c3ed4ep-8, 0x1.08f7708ba12e1p-8, 0x1.024ad4aaac481p-8, 0x1.f786a41fd46e1p-9, 0x1.eac075668855bp-9, 0x1.de41c6121b17ap-9, 0x1.d20943fa648c8p-9, 0x1.c615a1dc8baeep-9, 0x1.ba6597508715bp-9, 0x1.aef7e0bf5c456p-9, 0x1.a3cb3f583da57p-9, 0x1.98de7906659dcp-9, 0x1.8e3058667b7a4p-9, 0x1.83bfacbb8d5a1p-9, 0x1.798b49e4b8118p-9, 0x1.6f920851fb60bp-9, 0x1.65d2c4f92a508p-9, 0x1.5c4c614b39923p-9, 0x1.52fdc328b7f38p-9, 0x1.49e5d4d6fee87p-9, 0x1.410384f4e4fb3p-9, 0x1.3855c66f2eeeap-9, 0x1.2fdb90759f117p-9, 0x1.2793de6f76b3cp-9, 0x1.1f7dafefe7da1p-9, 0x1.179808aabb4a9p-9, 0x1.0fe1f06914709p-9, 0x1.085a72fdedc18p-9, 0x1.0100a03a5103dp-9, 0x1.f3a717c494f81p-10, 0x1.e5a49b41c0ed5p-10, 0x1.d7f801facb314p-10, 0x1.ca9f8a9e36cf8p-10, 0x1.bd997b6506f61p-10, 0x1.b0e421fa86a0cp-10, 0x1.a47dd366577bep-10, 0x1.9864ebf55e4b5p-10, 0x1.8c97cf22d8fa5p-10, 0x1.8114e7819f74p-10, 0x1.75daa6a5c42fap-10, 0x1.6ae7850d9efd9p-10, 0x1.603a020ba5df7p-10, 0x1.55d0a3afe74bfp-10, 0x1.4ba9f6b1aabb2p-10, 0x1.41c48e592f98bp-10, 0x1.381f046995debp-10, 0x1.2eb7f90aee189p-10, 0x1.258e12b3ee334p-10, 0x1.1c9ffe14e84f6p-10, 0x1.13ec6e0100574p-10, 0x1.0b721b59f31cp-10, 0x1.032fc4f97b351p-10, 0x1.f6485f399a07dp-11, 0x1.e69c4b9de6548p-11, 0x1.d758efa88844bp-11, 0x1.c87bf72a679ap-11, 0x1.ba031912cdf2fp-11, 0x1.abec1747393f1p-11, 0x1.9e34be79d8609p-11, 0x1.90dae601bc6d8p-11, 0x1.83dc6fb1fa261p-11, 0x1.773747b222246p-11, 0x1.6ae96456a7b5bp-11, 0x1.5ef0c5f9a31f4p-11, 0x1.534b76d3d5de4p-11, 0x1.47f78ad65d317p-11, 0x1.3cf31f84986d1p-11, 0x1.323c5bce11c9bp-11, 0x1.27d16fe93b8a8p-11, 0x1.1db0952e6dc45p-11, 0x1.13d80df2e1377p-11, 0x1.0a462564471c7p-11, 0x1.00f92f64ff77ep-11, 0x1.efdf10d090735p-12, 0x1.de4f2a9e06e8ep-12, 0x1.cd3f8689233f8p-12, 0x1.bcad0f39199d9p-12, 0x1.ac94bf61fd3f8p-12, 0x1.9cf3a17f34d7p-12, 0x1.8dc6cf91f1482p-12, 0x1.7f0b72de6bda5p-12, 0x1.70bec3aac417fp-12, 0x1.62de08ff45107p-12, 0x1.556698645079ap-12, 0x1.4855d5a58448cp-12, 0x1.3ba93292821cap-12, 0x1.2f5e2ec122fecp-12, 0x1.23725750b8e8ep-12, 0x1.17e346ade234ep-12, 0x1.0caea4579b744p-12, 0x1.01d224a3b3343p-12, 0x1.ee97110ba7923p-13, 0x1.da313aaaba378p-13, 0x1.c66e792cb2b25p-13, 0x1.b34a97817511bp-13, 0x1.a0c1781437663p-13, 0x1.8ecf145dedbcdp-13, 0x1.7d6f7c7b1a64ep-13, 0x1.6c9ed6c095659p-13, 0x1.5c595f5751af7p-13, 0x1.4c9b67d0a02a4p-13, 0x1.3d6156c417a2cp-13, 0x1.2ea7a76c68332p-13, 0x1.206ae943cb96bp-13, 0x1.12a7bfa1642f1p-13, 0x1.055ae15ce037ap-13, 0x1.f10230db6c58p-14, 0x1.d82e831e394cfp-14, 0x1.c03497c907e57p-14, 0x1.a90e713e5c1c2p-14, 0x1.92b6354cee553p-14, 0x1.7d262c7b75089p-14, 0x1.6858c163c6d2fp-14, 0x1.5448800164d98p-14, 0x1.40f01511000cfp-14, 0x1.2e4a4d6756a81p-14, 0x1.1c52154f2562bp-14, 0x1.0b0277eeebaaap-14, 0x1.f4ad3d47d4126p-15, 0x1.d493a0da9991cp-15, 0x1.b5aee2a586f9dp-15, 0x1.97f6039c09b54p-15, 0x1.7b603c6f7cdd9p-15, 0x1.5fe4fc6fd647ep-15, 0x1.457be86df5dcap-15, 0x1.2c1cd99f50f97p-15, 0x1.13bfdc8d34cb6p-15, 0x1.f8ba600a87d41p-16, 0x1.cbda881cf0f11p-16, 0x1.a0d171c2f56f4p-16, 0x1.7790bbdb11ee2p-16, 0x1.500a619e92cfp-16, 0x1.2a30b8c4694a6p-16, 0x1.05f66f9089bd8p-16, 0x1.c69d15d65898ep-17, 0x1.8458c92155e9ep-17, 0x1.4507527f304cap-17, 0x1.0890adda01ff8p-17, 0x1.9dbaec119a14bp-18, 0x1.2fadc2b800f0fp-18, 0x1.8d9af903efd52p-19, 0x1.8bbb7facd1ccap-20, 0x1.f3eb284f0322fp-25, -0x1.59c26886b83cp-20, -0x1.5884a9cb08c78p-19, -0x1.fb685aee5b5d5p-19, -0x1.4aebed1baa8c9p-18, -0x1.940e59018e3b5p-18, -0x1.d93f37e9bb003p-18, -0x1.0d50ac117f057p-17, -0x1.2c2b4a7bed366p-17, -0x1.493fee2be2726p-17, -0x1.649e9a12deb58p-17, -0x1.7e56dfc482de7p-17, -0x1.9677e22269543p-17, -0x1.ad1057dd4fff4p-17, -0x1.c22e8df1ad99dp-17, -0x1.d5e06a2c9c0b3p-17, -0x1.e8336d913dc1dp-17, -0x1.f934b6addb3d1p-17, -0x1.047881fdeb676p-16, -0x1.0bba5b0ce75a3p-16, -0x1.1265e90054317p-16, -0x1.188101a8fe449p-16, -0x1.1e114f289e405p-16, -0x1.231c510e45e8cp-16, -0x1.27a75d5a3dd4bp-16, -0x1.2bb7a180a6d41p-16, -0x1.2f52235c62ebcp-16, -0x1.327bc234938fp-16, -0x1.353937a7c44d7p-16, -0x1.378f189d2cd42p-16, -0x1.3981d629e344p-16, -0x1.3b15be74f2ap-16, -0x1.3c4efd9b7fa47p-16, -0x1.3d319e85f08d6p-16, -0x1.3dc18bbf8652ep-16, -0x1.3e02904924fd1p-16, -0x1.3df858641090bp-16, -0x1.3da6725f45f4ap-16, -0x1.3d104f55f7339p-16, -0x1.3c3943f7c7d0cp-16, -0x1.3b248938a2709p-16, -0x1.39d53d17dab64p-16, -0x1.384e634716b25p-16, -0x1.3692e5e2a33e1p-16, -0x1.34a5961c648f6p-16, -0x1.32892ce149ac9p-16, -0x1.30404b83d5f58p-16, -0x1.2dcd7c5868f4bp-16, -0x1.2b3333533fe72p-16, -0x1.2873cea5690ccp-16, -0x1.2591975344da7p-16, -0x1.228ec1c58fd0ap-16, -0x1.1f6d6e5b24103p-16, -0x1.1c2fa9f55faf1p-16, -0x1.18d76e82e4c9bp-16, -0x1.1566a383d79ccp-16, -0x1.11df1e8e351e1p-16, -0x1.0e42a3cf9fa04p-16, -0x1.0a92e6879d6fdp-16, -0x1.06d18987118bfp-16, -0x1.03001fa29b888p-16, -0x1.fe40585567f1bp-17, -0x1.f66646b9f0ad3p-17, -0x1.ee74d5a689b81p-17, -0x1.e66eb3df8b2d3p-17, -0x1.de56749244455p-17, -0x1.d62e90209409ap-17, -0x1.cdf964f164f2bp-17, -0x1.c5b9382ffe73ep-17, -0x1.bd70368b9a439p-17, -0x1.b52074f7e1a97p-17, -0x1.accbf1639dc16p-17, -0x1.a474936a3b52dp-17, -0x1.9c1c2d06819fbp-17, -0x1.93c47b33fc8a6p-17, -0x1.8b6f269d98caap-17, -0x1.831dc43e249c4p-17, -0x1.7ad1d5fb1555ap-17, -0x1.728ccb3dfd34ap-17, -0x1.6a50018d5b701p-17, -0x1.621cc51fd98b6p-17, -0x1.59f4516797338p-17, -0x1.51d7d19f9289ep-17, -0x1.49c86151779a7p-17, -0x1.41c70cd6d3cd4p-17, -0x1.39d4d1e1d93e7p-17, -0x1.31f29feea9c7fp-17, -0x1.2a2158c72725p-17, -0x1.2261d0f3bd49cp-17, -0x1.1ab4d03242542p-17, -0x1.131b11e3e279ep-17, -0x1.0b95457deacf6p-17, -0x1.04240eee85401p-17, -0x1.f9900e160453cp-18, -0x1.eb0377d9db0b9p-18, -0x1.dca362b5b837bp-18, -0x1.ce70c24c801ccp-18, -0x1.c06c770b89457p-18, -0x1.b2974ee36e1a7p-18, -0x1.a4f205f5b0a34p-18, -0x1.977d474059c4ap-18, -0x1.8a39ad41b4dddp-18, -0x1.7d27c29a0dcecp-18, -0x1.704802a992efdp-18, -0x1.639ada26e993ap-18, -0x1.5720a7b6ce4d2p-18, -0x1.4ad9bc74584e3p-18, -0x1.3ec65c87c61d9p-18, -0x1.32e6bf9d736f9p-18, -0x1.273b1176ccca7p-18, -0x1.1bc3726274036p-18, -0x1.107ff7bdad308p-18, -0x1.0570ac675e38fp-18, -0x1.f52b226c47237p-19, -0x1.dfdd3ad3c9439p-19, -0x1.caf77e399e339p-19, -0x1.b679b74a528bbp-19, -0x1.a263a003793dcp-19, -0x1.8eb4e27c12dc3p-19, -0x1.7b6d199e8a60bp-19, -0x1.688bd1efc7c2fp-19, -0x1.56108a3bc2c57p-19, -0x1.43fab44312d2cp-19, -0x1.3249b56d56d2fp-19, -0x1.20fce768a6a02p-19, -0x1.101398cd2240bp-19, -0x1.ff1a1b5206fbep-20, -0x1.ded10056c4bc2p-20, -0x1.bf4a42409042ap-20, -0x1.a0843119d8d18p-20, -0x1.827d0c5a94dbep-20, -0x1.653303ecc4c3ep-20, -0x1.48a4393a943d8p-20, -0x1.2ccec000b05a2p-20, -0x1.11b09f4c94664p-20, -0x1.ee8fa4c6d468p-21, -0x1.bb249316ed098p-21, -0x1.891bd5dbcf32dp-21, -0x1.587126cb3ab65p-21, -0x1.29202e58ff628p-21, -0x1.f6490ad7b7651p-22, -0x1.9cf36d2b097b7p-22, -0x1.46367f0b1babp-22, -0x1.e412494cf4236p-23, -0x1.40c45b37d982p-23, -0x1.44e15dc8a3f2bp-24, -0x1.2093f8e9d2e23p-28, 0x1.1725238d9f284p-24, 0x1.1b67bc5438912p-23, 0x1.a68dc9183a1ebp-23, 0x1.168bd7f2bf9c4p-22, 0x1.578c39b52ba17p-22, 0x1.96518ecda2ba1p-22, }}, 
      {{-0x1.31d5e77532885p-3, -0x1.33baedbddd691p-3, -0x1.36d28d73ae344p-3, -0x1.3b05c85cffa6ap-3, -0x1.4037db72a732p-3, -0x1.464870f75c0cp-3, -0x1.4d158da20ac94p-3, -0x1.547d22ca9b8dbp-3, -0x1.5c5e460488dabp-3, -0x1.649a181c49ef1p-3, -0x1.6d1467bcc61b6p-3, -0x1.75b41b2c61306p-3, -0x1.7e636ae3dc3e5p-3, -0x1.870ff5408253ap-3, -0x1.8faab2843f117p-3, -0x1.9827cfa5e9235p-3, -0x1.a07e75f535a1fp-3, -0x1.a8a88520030a1p-3, -0x1.b0a244a1980f1p-3, -0x1.b86a110786ccap-3, -0x1.c00008c612719p-3, -0x1.c765bb99090b7p-3, -0x1.ce9ddeb11e97ap-3, -0x1.d5ac073c45283p-3, -0x1.dc946c39154b8p-3, -0x1.e35bafff6fffdp-3, -0x1.ea06b17d8f034p-3, -0x1.f09a64d7ffa58p-3, -0x1.f71bb2e34ac07p-3, -0x1.fd8f5ecb6682cp-3, -0x1.01fcf8963804fp-2, -0x1.052fd3ee98f74p-2, -0x1.086234d9b8d32p-2, -0x1.0b95decc1c088p-2, -0x1.0ecc622a6ecdap-2, -0x1.12071a4b00c51p-2, -0x1.15472c5b2ae2ap-2, -0x1.188d86fb70418p-2, -0x1.1bdae26e18b8fp-2, -0x1.1f2fc13be2bbcp-2, -0x1.228c7138f5b67p-2, -0x1.25f10cd9a15aap-2, -0x1.295d7cca9cd71p-2, -0x1.2cd179c3a158dp-2, -0x1.304c8e8d6a2e6p-2, -0x1.33ce1a35abe4ep-2, -0x1.3755526c5bd0fp-2, -0x1.3ae146062648cp-2, -0x1.3e70df9fec1cbp-2, -0x1.4202e85f146cbp-2, -0x1.45960aca313e8p-2, -0x1.4928d5b536c61p-2, -0x1.4cb9bf3c2ffd8p-2, -0x1.504727c72745cp-2, -0x1.53cf5d11d9adbp-2, -0x1.57509d31aa7ffp-2, -0x1.5ac9199472fd7p-2, -0x1.5e36f9f2d91c2p-2, -0x1.61985f312a616p-2, -0x1.64eb6629fddd8p-2, -0x1.682e2a5e4f90ap-2, -0x1.6b5ec887396e5p-2, -0x1.6e7b6105ea36bp-2, -0x1.71821a2f05cb9p-2, -0x1.7471226f21386p-2, -0x1.7746b2469098cp-2, -0x1.7a010e1b48e11p-2, -0x1.7c9e87e0171b8p-2, -0x1.7f1d8090e1e34p-2, -0x1.817c698421faap-2, -0x1.83b9c59222ae8p-2, -0x1.85d42a12ecf6ep-2, -0x1.87ca3fb4272f5p-2, -0x1.899ac32858336p-2, -0x1.8b4485b15b3a4p-2, -0x1.8cc66d87e2f29p-2, -0x1.8e1f76221b32ep-2, -0x1.8f4eb05b9d82fp-2, -0x1.90534280e93ebp-2, -0x1.912c6840b17f2p-2, -0x1.91d97285415fdp-2, -0x1.9259c73843f65p-2, -0x1.92ace0f325228p-2, -0x1.92d24e9e42202p-2, -0x1.92c9b300fa0ddp-2, -0x1.9292c444aaa93p-2, -0x1.922d4b6c84835p-2, -0x1.919923c400121p-2, -0x1.90d63a45b1257p-2, -0x1.8fe48cfc08177p-2, -0x1.8ec42a5d77de5p-2, -0x1.8d7530a560685p-2, -0x1.8bf7cd2aeeeb8p-2, -0x1.8a4c3bb718a13p-2, -0x1.8872c5daac5ffp-2, -0x1.866bc2455e76p-2, -0x1.8437941e97c03p-2, -0x1.81d6aa60b85b5p-2, -0x1.7f497f3760d44p-2, -0x1.7c9097614a9ebp-2, -0x1.79ac81960d0f3p-2, -0x1.769dd5f0331f7p-2, -0x1.7365355bdf1e9p-2, -0x1.7003490a2fc29p-2, -0x1.6c78c1e993066p-2, -0x1.68c6582317fbap-2, -0x1.64ecca9cc9ad9p-2, -0x1.60ecde811a1efp-2, -0x1.5cc75ecb4e6e7p-2, -0x1.587d1bd8dd2d6p-2, -0x1.540eeaffa5d7dp-2, -0x1.4f7da628e3856p-2, -0x1.4aca2b70b5705p-2, -0x1.45f55cca16a04p-2, -0x1.41001fa71cb0fp-2, -0x1.3beb5ca5472ddp-2, -0x1.36b7ff3dbc51cp-2, -0x1.3166f5793ae03p-2, -0x1.2bf92fa79045ep-2, -0x1.266fa01a66962p-2, -0x1.20cb3ae3360d2p-2, -0x1.1b0cf5942a291p-2, -0x1.1535c703d2c2ap-2, -0x1.0f46a71366a8p-2, -0x1.09408e777a42bp-2, -0x1.03247682f9e67p-2, -0x1.f9e6b1e87ce4ep-3, -0x1.ed5c5f8837727p-3, -0x1.e0abe9ed85b84p-3, -0x1.d3d744dcb1dffp-3, -0x1.c6e0637e42bf4p-3, -0x1.b9c9380a45f47p-3, -0x1.ac93b376554d5p-3, -0x1.9f41c5262c5e3p-3, -0x1.91d55a9ea24e3p-3, -0x1.84505f3ae2e7bp-3, -0x1.76b4bbe3c118ep-3, -0x1.690456c9041cbp-3, -0x1.5b41131c9f75fp-3, -0x1.4d6cd0cfae27dp-3, -0x1.3f896c512b033p-3, -0x1.3198be4e4f2aep-3, -0x1.239c9b748b5e6p-3, -0x1.1596d435125fp-3, -0x1.07893489e65c2p-3, -0x1.f2eb0778dd5b1p-4, -0x1.d6bb085b0dd0fp-4, -0x1.ba85e63e0e9c9p-4, -0x1.9e4f10fda40a3p-4, -0x1.8219ed669788ep-4, -0x1.65e9d4d2ce63ap-4, -0x1.49c214c8424a5p-4, -0x1.2da5ee9b13caep-4, -0x1.11989712b361ep-4, -0x1.eb3a6c243e677p-5, -0x1.b36dcc86b5cd1p-5, -0x1.7bd1698c22826p-5, -0x1.446b41c2fecc4p-5, -0x1.0d41377360b3fp-5, -0x1.acb220203f7cdp-6, -0x1.3f70e75daec94p-6, -0x1.a593b21af8d91p-7, -0x1.9b1f33b44b99fp-8, 0x1.22a8b759695c6p-12, 0x1.bc8c6a6ba2c5dp-8, 0x1.b1eefb9a7b10cp-7, 0x1.41fdefe9f2fa1p-6, 0x1.aa2cd50714c77p-6, 0x1.08bd693c81e1fp-5, 0x1.3bef67b0e9fecp-5, 0x1.6ea7fa98f6315p-5, 0x1.a0e2d80cfed17p-5, 0x1.d29bd7b72f305p-5, 0x1.01e7797eee3fp-4, 0x1.1a3c22935293ap-4, 0x1.324a05b92cafcp-4, 0x1.4a0f5298d6114p-4, 0x1.618a49e96ba09p-4, 0x1.78b93d741eb06p-4, 0x1.8f9a90140604fp-4, 0x1.a62cb5b29022ep-4, 0x1.bc6e33408c2a8p-4, 0x1.d25d9eabefc61p-4, 0x1.e7f99ed24ff71p-4, 0x1.fd40eb7036ce5p-4, 0x1.09192686ac6fbp-3, 0x1.13664e72db492p-3, 0x1.1d876267ef0ddp-3, 0x1.277bdf9016562p-3, 0x1.31434b44ae216p-3, 0x1.3add32fd2019fp-3, 0x1.44492c3c7b659p-3, 0x1.4d86d47dbbb06p-3, 0x1.5695d11edfdf3p-3, 0x1.5f75cf4acdc67p-3, 0x1.682683e20e54cp-3, 0x1.70a7ab6279f06p-3, 0x1.78f909cdd3462p-3, 0x1.811a6a8f692a3p-3, 0x1.890ba060c3f0bp-3, 0x1.90cc852d66298p-3, 0x1.985cf9f5bf871p-3, 0x1.9fbce6b145a13p-3, 0x1.a6ec3a2fd15c7p-3, 0x1.adeae9fa471e3p-3, 0x1.b4b8f232945cp-3, 0x1.bb5655730c33p-3, 0x1.c1c31cad37423p-3, 0x1.c7ff57081cf0fp-3, 0x1.ce0b19be0e0abp-3, 0x1.d3e67ffa05cd8p-3, 0x1.d991aab4a08a2p-3, 0x1.df0cc090c0758p-3, 0x1.e457edb7e0ad7p-3, 0x1.e97363b622bf5p-3, 0x1.ee5f595624c52p-3, 0x1.f31c0a7cad492p-3, 0x1.f7a9b804296cfp-3, 0x1.fc08a798135p-3, 0x1.001c91c824c16p-2, 0x1.021dbd662bc28p-2, 0x1.040800476003ap-2, 0x1.05db862c2a9f3p-2, 0x1.07987ce1cc20bp-2, 0x1.093f14301b275p-2, 0x1.0acf7dc753bf4p-2, 0x1.0c49ed2dfa149p-2, 0x1.0dae97aed394cp-2, 0x1.0efdb446fb546p-2, 0x1.10377b9418c2cp-2, 0x1.115c27c2af6fdp-2, 0x1.126bf47c9ec17p-2, 0x1.13671ed7beb07p-2, 0x1.144de544ab943p-2, 0x1.1520877dc08d4p-2, 0x1.15df46763c98cp-2, 0x1.168a64499e9dbp-2, 0x1.1722242b3089dp-2, 0x1.17a6ca55cc7b8p-2, 0x1.18189bfbd956bp-2, 0x1.1877df377f347p-2, 0x1.18c4dafb1b985p-2, 0x1.18ffd701edf0ap-2, 0x1.19291bc108b3bp-2, 0x1.1940f2587e4c6p-2, 0x1.1947a484d2a36p-2, 0x1.193d7c90ae3p-2, 0x1.1922c546d6866p-2, 0x1.18f7c9e4694e8p-2, 0x1.18bcd60b5f5cap-2, 0x1.187235b556271p-2, 0x1.18183526a07ccp-2, 0x1.17af20e19cb8p-2, 0x1.1737459a593adp-2, 0x1.16b0f02a7ae39p-2, 0x1.161c6d8572ac2p-2, 0x1.157a0aacf854fp-2, 0x1.14ca14a5d278ep-2, 0x1.140cd86ce6505p-2, 0x1.1342a2ec92a9dp-2, 0x1.126bc0f25140fp-2, 0x1.11887f24a8207p-2, 0x1.109929f95e4e8p-2, 0x1.0f9e0dabff332p-2, 0x1.0e977634a0d7bp-2, 0x1.0d85af3efaa2cp-2, 0x1.0c690421be0c2p-2, 0x1.0b41bfd63b677p-2, 0x1.0a102cf04ad98p-2, 0x1.08d495967ec1p-2, 0x1.078f437a9d5ddp-2, 0x1.06407fd25a3fp-2, 0x1.04e893505d178p-2, 0x1.0387c61d86265p-2, 0x1.021e5fd27b9ffp-2, 0x1.00aca77174ab4p-2, 0x1.fe65c6c094961p-3, 0x1.fb62b2c591decp-3, 0x1.f8509d2a80132p-3, 0x1.f5300eceab972p-3, 0x1.f2018f2e26668p-3, 0x1.eec5a45868819p-3, 0x1.eb7cd2e75f2eep-3, 0x1.e8279df6f924bp-3, 0x1.e4c6871d26cdbp-3, 0x1.e15a0e62522eep-3, 0x1.dde2b23a3db68p-3, 0x1.da60ef7d5ff3dp-3, 0x1.d6d54162a00f7p-3, 0x1.d34021798822bp-3, 0x1.cfa207a4d9317p-3, 0x1.cbfb6a158992fp-3, 0x1.c84cbd4625debp-3, 0x1.c49673f698c37p-3, 0x1.c0d8ff284ad43p-3, 0x1.bd14ce1aae866p-3, 0x1.b94a4e4818b68p-3, 0x1.b579eb62fc924p-3, 0x1.b1a40f538059fp-3, 0x1.adc922355f89ap-3, 0x1.a9e98a562a3f2p-3, 0x1.a605ac33ccc13p-3, 0x1.a21dea7b6e1b2p-3, 0x1.9e32a60895f86p-3, 0x1.9a443de49f064p-3, 0x1.96530f46741a9p-3, 0x1.925f75928f523p-3, 0x1.8e69ca5b45b6cp-3, 0x1.8a726561496dp-3, 0x1.86799c94794b9p-3, 0x1.827fc414e456fp-3, 0x1.7e852e340f36p-3, 0x1.7a8a2b7671f25p-3, 0x1.768f0a952ee49p-3, 0x1.72941880010c4p-3, 0x1.6e99a05f5823bp-3, 0x1.6a9feb96b2476p-3, 0x1.66a741c71d325p-3, 0x1.62afe8d1e99dp-3, 0x1.5eba24db8a988p-3, 0x1.5ac6384ea3871p-3, 0x1.56d463df3781ep-3, 0x1.52e4e68e0ae2bp-3, 0x1.4ef7fdac21d33p-3, 0x1.4b0de4de6672bp-3, 0x1.4726d6217148ep-3, 0x1.434309cd74e89p-3, 0x1.3f62b69a4313ep-3, 0x1.3b8611a3734ep-3, 0x1.37ad4e6ca7547p-3, 0x1.33d89ee5e5964p-3, 0x1.3008337011933p-3, 0x1.2c3c3ae174f13p-3, 0x1.2874e28a675b3p-3, 0x1.24b2563a0391fp-3, 0x1.20f4c042f7c0fp-3, 0x1.1d3c49805e9f7p-3, 0x1.1989195ab0516p-3, 0x1.15db55ccbf988p-3, 0x1.12332368c89d8p-3, 0x1.0e90a55d87a36p-3, 0x1.0af3fd7b5dce1p-3, 0x1.075d4c3985bep-3, 0x1.03ccb0bb46697p-3, 0x1.004248d53a30dp-3, 0x1.f97c62252a247p-4, 0x1.f2810974ec97cp-4, 0x1.eb92bbaa77824p-4, 0x1.e4b1aa63ba941p-4, 0x1.ddde04d68e438p-4, 0x1.d717f7db787f7p-4, 0x1.d05fadf865104p-4, 0x1.c9b54f6b7154p-4, 0x1.c3190235ad6b5p-4, 0x1.bc8aea25d65d7p-4, 0x1.b60b28e321d3bp-4, 0x1.af99ddf7e3213p-4, 0x1.a93726dc4e325p-4, 0x1.a2e31f011ad24p-4, 0x1.9c9ddfda246b1p-4, 0x1.966780e9069cp-4, 0x1.904017c79ff2cp-4, 0x1.8a27b832960d6p-4, 0x1.841e7413c1482p-4, 0x1.7e245b8c8f9fcp-4, 0x1.78397d0053df1p-4, 0x1.725de51e83bcdp-4, 0x1.6c919eece3805p-4, 0x1.66d4b3d19e4c2p-4, 0x1.61272b9d4d85bp-4, 0x1.5b890c94e443ap-4, 0x1.55fa5b7b8ca97p-4, 0x1.507b1b9c65993p-4, 0x1.4b0b4ed43521ep-4, 0x1.45aaf59af386cp-4, 0x1.405a0f0d4cc6p-4, 0x1.3b1898f5fd2e4p-4, 0x1.35e68fd7195ebp-4, 0x1.30c3eef33d1f1p-4, 0x1.2bb0b05699ac2p-4, 0x1.26acccdfed7f4p-4, 0x1.21b83c495c98dp-4, 0x1.1cd2f5312eee5p-4, 0x1.17fced22722b5p-4, 0x1.1336189d7b6e3p-4, 0x1.0e7e6b204ded2p-4, 0x1.09d5d72ee1f0ap-4, 0x1.053c4e5b52a63p-4, 0x1.00b1c14de5c5ap-4, 0x1.f86c3f99f7a2p-5, 0x1.ef92b189bbb31p-5, 0x1.e6d6b49eda03fp-5, 0x1.de38237767242p-5, 0x1.d5b6d72ab0f7cp-5, 0x1.cd52a757deaf9p-5, 0x1.c50b6a3459ddcp-5, 0x1.bce0f499f89p-5, 0x1.b4d31a14e2735p-5, 0x1.ace1acf1407cdp-5, 0x1.a50c7e48a363cp-5, 0x1.9d535e0f37cb2p-5, 0x1.95b61b20adb7cp-5, 0x1.8e34834cee69cp-5, 0x1.86ce63648e4ebp-5, 0x1.7f838744ff9e7p-5, 0x1.7853b9e487bf9p-5, 0x1.713ec55dfc062p-5, 0x1.6a4472fc3b3edp-5, 0x1.63648b456e947p-5, 0x1.5c9ed60605d94p-5, 0x1.55f31a5b87213p-5, 0x1.4f611ebf109aap-5, 0x1.48e8a90fad5d1p-5, 0x1.42897e9c65f6bp-5, 0x1.3c43642e1aca4p-5, 0x1.36161e1124b98p-5, 0x1.3001701eb8f11p-5, 0x1.2a051dc617ed5p-5, 0x1.2420ea158109ap-5, 0x1.1e5497c2ecb51p-5, 0x1.189fe93496ce1p-5, 0x1.1302a089478c6p-5, 0x1.0d7c7fa06e536p-5, 0x1.080d482204396p-5, 0x1.02b4bb863a7bep-5, 0x1.fae53639dbaf8p-6, 0x1.f08d5029ea947p-6, 0x1.e661470657b69p-6, 0x1.dc609cd2ae72dp-6, 0x1.d28ad3799dffdp-6, 0x1.c8df6cda05218p-6, 0x1.bf5dead37828cp-6, 0x1.b605cf5286eacp-6, 0x1.acd69c5c9929bp-6, 0x1.a3cfd41b62254p-6, 0x1.9af0f8e8136cap-6, 0x1.92398d56175dp-6, 0x1.89a9143d91373p-6, 0x1.813f10c5642dp-6, 0x1.78fb066d10ea2p-6, 0x1.70dc7916087c7p-6, 0x1.68e2ed0ce1ae5p-6, 0x1.610de71216c08p-6, 0x1.595cec62869fcp-6, 0x1.51cf82bf9e243p-6, 0x1.4a6530773821cp-6, 0x1.431d7c6b30c54p-6, 0x1.3bf7ee18b5631p-6, 0x1.34f40d9f3d04ap-6, 0x1.2e1163c73bff2p-6, 0x1.274f7a08ac9e2p-6, 0x1.20adda911a8bbp-6, 0x1.1a2c1049ad857p-6, 0x1.13c9a6dcbff4dp-6, 0x1.0d862abb45ae3p-6, 0x1.07612921fde92p-6, 0x1.015a301e4c8e2p-6, 0x1.f6e19d25f18e6p-7, 0x1.eb4928792e3e7p-7, 0x1.dfea236b6e399p-7, 0x1.d4c3b0f5eda74p-7, 0x1.c9d4f5dd7055bp-7, 0x1.bf1d18b96fc23p-7, 0x1.b49b41fad0185p-7, 0x1.aa4e9bf244f8bp-7, 0x1.a03652d6102e2p-7, 0x1.965194c7bd91ep-7, 0x1.8c9f91d9306c4p-7, 0x1.831f7c11690ecp-7, 0x1.79d0877109b08p-7, 0x1.70b1e9f660da2p-7, 0x1.67c2dba126698p-7, 0x1.5f029675f39f6p-7, 0x1.567056815ce1fp-7, 0x1.4e0b59da9817ap-7, 0x1.45d2e0a644ecbp-7, 0x1.3dc62d1843077p-7, 0x1.35e48375e6881p-7, 0x1.2e2d2a176b942p-7, 0x1.269f6969535e7p-7, 0x1.1f3a8bed9298bp-7, 0x1.17fdde3c5513ap-7, 0x1.10e8af04a1245p-7, 0x1.09fa4f0ca62c7p-7, 0x1.03321131d31eap-7, 0x1.f91e94d1ca438p-8, 0x1.ec22a37ad49dfp-8, 0x1.df6f00a2671ap-8, 0x1.d30262b797cfap-8, 0x1.c6db845299971p-8, 0x1.baf92432e3b82p-8, 0x1.af5a053c383e2p-8, 0x1.a3fcee7402ae7p-8, 0x1.98e0aafdc1945p-8, 0x1.8e040a17933c3p-8, 0x1.8365df162a6ffp-8, 0x1.790501608a577p-8, 0x1.6ee04c6b858c9p-8, 0x1.64f69fb4f5b0bp-8, 0x1.5b46debe74102p-8, 0x1.51cff1081bd7ap-8, 0x1.4890c20b04cb6p-8, 0x1.3f8841332c2f9p-8, 0x1.36b561d9b14aep-8, 0x1.2e171b3e29b0ep-8, 0x1.25ac688078ff8p-8, 0x1.1d744899fee1cp-8, 0x1.156dbe569a92p-8, 0x1.0d97d04dbc6e8p-8, 0x1.05f188db18fb7p-8, 0x1.fcf3ec2eaa453p-9, 0x1.ee6053a0b5442p-9, 0x1.e026730371b98p-9, 0x1.d2447c99987ebp-9, 0x1.c4b8a9e1d0ec4p-9, 0x1.b7813b85f9dddp-9, 0x1.aa9c794b2d0d2p-9, 0x1.9e08b2015bf78p-9, 0x1.91c43b71b4e39p-9, 0x1.85cd724ea2db3p-9, 0x1.7a22ba21f3146p-9, 0x1.6ec27d3bd706fp-9, 0x1.63ab2ca171fb1p-9, 0x1.58db3ffb07735p-9, 0x1.4e51358280499p-9, 0x1.440b91f19258p-9, 0x1.3a08e06fce3d1p-9, 0x1.3047b280be02dp-9, 0x1.26c69ff1bfa8ap-9, 0x1.1d8446c7b8d46p-9, 0x1.147f4b2d1ef5ap-9, 0x1.0bb6575fd7ffep-9, 0x1.03281b9eb6f15p-9, 0x1.f5a69c2ea9573p-10, 0x1.e56d55a77787cp-10, 0x1.d5a1e75025449p-10, 0x1.c641e041005b3p-10, 0x1.b74adadcbae41p-10, 0x1.a8ba7cad769bbp-10, 0x1.9a8e763ea8f62p-10, 0x1.8cc482f985776p-10, 0x1.7f5a69009d61ap-10, 0x1.724df90b2f73bp-10, 0x1.659d0e412bcbfp-10, 0x1.59458e1755115p-10, 0x1.4d45682b13ecbp-10, 0x1.419a961ebc38fp-10, 0x1.36431b75d8f54p-10, 0x1.2b3d0571be04cp-10, 0x1.20866aee88455p-10, 0x1.161d6c3f0e4eep-10, 0x1.0c00330afc43fp-10, 0x1.022cf22b746e6p-10, 0x1.f143cb11b7264p-11, 0x1.debaa3f00f118p-11, 0x1.ccbb0a31c193dp-11, 0x1.bb41aa6783256p-11, 0x1.aa4b4230b2dacp-11, 0x1.99d49ff839c8bp-11, 0x1.89daa2b2669b9p-11, 0x1.7a5a399ae794ep-11, 0x1.6b5063f39d284p-11, 0x1.5cba30c425051p-11, 0x1.4e94be9937dc7p-11, 0x1.40dd3b45fe6efp-11, 0x1.3390e3a3e29d7p-11, 0x1.26ad0355126e2p-11, 0x1.1a2ef485b02bcp-11, 0x1.0e141faf6ee44p-11, 0x1.0259fb5c418fbp-11, 0x1.edfc17d56390ap-12, 0x1.d7fbc6a3705d3p-12, 0x1.c2ae41cd6f877p-12, 0x1.ae0ee2452b381p-12, 0x1.9a191ad0c0862p-12, 0x1.86c8779825312p-12, 0x1.74189db531d1ep-12, 0x1.62054ac32ed84p-12, 0x1.508a547102d29p-12, 0x1.3fa3a813a2e96p-12, 0x1.2f4d4a3be0711p-12, 0x1.1f83564a1cc18p-12, 0x1.1041fe06cd3c5p-12, 0x1.01858938d4eedp-12, 0x1.e694aa82a83d8p-13, 0x1.cb19a966fc0ep-13, 0x1.b0931de5b2faep-13, 0x1.96fa3fa05ddbap-13, 0x1.7e486e4d3035ep-13, 0x1.667730f998afdp-13, 0x1.4f80354c671d8p-13, 0x1.395d4ec91d98cp-13, 0x1.24087617471eap-13, 0x1.0f7bc84e76ba9p-13, 0x1.f7630c7fcb9d7p-14, 0x1.d148278d3d328p-14, 0x1.ac9bee33ff03dp-14, 0x1.8953b03e15f96p-14, 0x1.6764ff809b818p-14, 0x1.46c5ae8f38255p-14, 0x1.276bcf6e45807p-14, 0x1.094db2510f049p-14, 0x1.d8c3c8b7d1694p-15, 0x1.a13e5cc535355p-15, 0x1.6bf927763c277p-15, 0x1.38e2a20bc1888p-15, 0x1.07e9b6031acf2p-15, 0x1.b1fb759dbb893p-16, 0x1.581ce7148a8fep-16, 0x1.02181971541d9p-16, 0x1.5f9c6866c2b51p-17, 0x1.8484a3bb9b605p-18, 0x1.5f3af135dc91cp-20, -0x1.8eb602aff8f9cp-19, -0x1.d967baea5e22p-18, -0x1.6f61d829b2bacp-17, -0x1.ebec25d83a6c1p-17, -0x1.31430c32b4c9ep-16, -0x1.69b0d34025d76p-16, -0x1.9f57b97a3cd3p-16, -0x1.d24f6a228a41p-16, -0x1.015776ff7234bp-15, -0x1.18465770a2fc2p-15, -0x1.2dff3da53ec55p-15, -0x1.428cc4e85b43dp-15, -0x1.55f93e4bb27bap-15, -0x1.684eb24b2d51cp-15, -0x1.7996e27b8a961p-15, -0x1.89db4b1fb6a1dp-15, -0x1.992524c41a38bp-15, -0x1.a77d65cc1257ep-15, -0x1.b4ecc3fa8f8bfp-15, -0x1.c17bb5ef45941p-15, -0x1.cd3274a022c7p-15, -0x1.d818fcccee796p-15, -0x1.e23710637bb6cp-15, -0x1.eb9437f0823f7p-15, -0x1.f437c3f090288p-15, -0x1.fc28ce2d636b8p-15, -0x1.01b71d856ff46p-14, -0x1.05075d679ddb3p-14, -0x1.08086573c3afbp-14, -0x1.0abd5b9390628p-14, -0x1.0d294d7c66417p-14, -0x1.0f4f3148a4736p-14, -0x1.1131e60d77fc5p-14, -0x1.12d4346acd456p-14, -0x1.1438cf1da3f99p-14, -0x1.15625387ab4a3p-14, -0x1.16534a3d28541p-14, -0x1.170e2788a024ap-14, -0x1.17954bf142d4ap-14, -0x1.17eb04b947443p-14, -0x1.18118c5cb8dfp-14, -0x1.180b0b0e16c01p-14, -0x1.17d9972f0a7e2p-14, -0x1.177f35c78c59dp-14, -0x1.16fddaf966c65p-14, -0x1.16576a70dac8p-14, -0x1.158db7d64eef8p-14, -0x1.14a287384ecc9p-14, -0x1.13978d75cea75p-14, -0x1.126e70a9e844p-14, -0x1.1128c88d8cff2p-14, -0x1.0fc81edd52551p-14, -0x1.0e4defb9851f1p-14, -0x1.0cbbaa070636ep-14, -0x1.0b12afca1c634p-14, -0x1.095456827fb79p-14, -0x1.0781e7852bb1ep-14, -0x1.059ca0525d3p-14, -0x1.03a5b2e9a355fp-14, -0x1.019e461f1b504p-14, -0x1.ff0eebd42f7ccp-15, -0x1.fac4a76c79a08p-15, -0x1.f65fcd5cf9ea4p-15, -0x1.f1e2581765e22p-15, -0x1.ed4e2eb93374fp-15, -0x1.e8a5259a33221p-15, -0x1.e3e8fedf906b8p-15, -0x1.df1b6afcaaebbp-15, -0x1.da3e093ead22cp-15, -0x1.d552684e5b435p-15, -0x1.d05a06ae5c32dp-15, -0x1.cb56533b44e54p-15, -0x1.c648ad9fc84c5p-15, -0x1.c13266d0c5a56p-15, -0x1.bc14c17c3d93ap-15, -0x1.b6f0f27ce102cp-15, -0x1.b1c82146af754p-15, -0x1.ac9b685419e82p-15, -0x1.a76bd58bc2ecbp-15, -0x1.a23a6aa8e1377p-15, -0x1.9d081d9dcef3dp-15, -0x1.97d5d8f450588p-15, -0x1.92a47c2a41566p-15, -0x1.8d74dc121ed43p-15, -0x1.8847c32680711p-15, -0x1.831df1e7397e4p-15, -0x1.7df81f29bf876p-15, -0x1.78d6f86e3e16bp-15, -0x1.73bb222eeb0f6p-15, -0x1.6ea5382fad2d1p-15, -0x1.6995cdc678385p-15, -0x1.648d6e2b97183p-15, -0x1.5f8c9cbc93e9ap-15, -0x1.5a93d54644e87p-15, -0x1.55a38c4578bfap-15, -0x1.50bc2f2df8258p-15, -0x1.4bde24a54a0a7p-15, -0x1.4709ccc6cd92fp-15, -0x1.423f815d84985p-15, -0x1.3d7f9621bfd7p-15, -0x1.38ca58f14bd35p-15, -0x1.34201206a91bcp-15, -0x1.2f8104336ed4bp-15, -0x1.2aed6d1027652p-15, -0x1.26658532cd5fp-15, -0x1.21e980603d7ecp-15, -0x1.1d798dbb55788p-15, -0x1.1915d7f66e409p-15, -0x1.14be857e171bcp-15, -0x1.1073b8a8cd8bep-15, -0x1.0c358fdd602abp-15, -0x1.080425c1814fbp-15, -0x1.03df915e2ea24p-15, -0x1.ff8fcc928e7efp-16, -0x1.f77a699469bd6p-16, -0x1.ef7f14018f74bp-16, -0x1.e79de00be671dp-16, -0x1.dfd6dc2137a14p-16, -0x1.d82a112d6fb2ap-16, -0x1.d09782d8474f7p-16, -0x1.c91f2fc7ded13p-16, -0x1.c1c111db90d96p-16, -0x1.ba7d1e67f7e1bp-16, -0x1.b353466e56c53p-16, -0x1.ac4376d4ee5bep-16, -0x1.a54d989c2b522p-16, -0x1.9e7191114b7b1p-16, -0x1.97af41ffdf4e3p-16, -0x1.910689e219de7p-16, -0x1.8a774411f61b9p-16, -0x1.840148f0b5f19p-16, -0x1.7da46e179fc68p-16, -0x1.7760867de8a34p-16, -0x1.713562a3ccf06p-16, -0x1.6b22d0b77c419p-16, -0x1.65289cbae53a4p-16, -0x1.5f4690a8aab77p-16, -0x1.597c749687ce8p-16, -0x1.53ca0ed6e21cep-16, -0x1.4e2f241aad836p-16, -0x1.48ab778d717c3p-16, -0x1.433ecaf5e7234p-16, -0x1.3de8ded2480b3p-16, -0x1.38a97272a4abap-16, -0x1.33804415291f2p-16, -0x1.2e6d10ff465e1p-16, -0x1.296f9595fe416p-16, -0x1.24878d759bcddp-16, -0x1.1fb4b388ee1d9p-16, -0x1.1af6c21e19091p-16, -0x1.164d72fcc4bb8p-16, -0x1.11b87f779b5b1p-16, -0x1.0d37a081f1261p-16, -0x1.08ca8ec13f393p-16, -0x1.0471029ebf7c2p-16, -0x1.002ab456f29b4p-16, -0x1.f7eeb816b751cp-17, -0x1.efad63a2c2277p-17, -0x1.e790db8046025p-17, -0x1.df988ffba2c78p-17, -0x1.d7c3f19db2a7bp-17, -0x1.d012714160f04p-17, -0x1.c883802e730b6p-17, -0x1.c116902dab804p-17, -0x1.b9cb13a044fe5p-17, -0x1.b2a07d934b9aap-17, -0x1.ab9641d4094f7p-17, -0x1.a4abd5003f62ap-17, -0x1.9de0ac9abe217p-17, -0x1.97343f18320e8p-17, -0x1.90a603f142f3p-17, -0x1.8a3573b0b97c4p-17, -0x1.83e207fe25e48p-17, -0x1.7dab3bafc6cfbp-17, -0x1.77908ad1f34acp-17, -0x1.719172b55bcacp-17, -0x1.6bad71f54869cp-17, -0x1.65e40886dd4dfp-17, -0x1.6034b7be4e49fp-17, -0x1.5a9f0258090e4p-17, -0x1.55226c7ff9b08p-17, -0x1.4fbe7bd9bcfcap-17, -0x1.4a72b78562f34p-17, -0x1.453ea827bceb4p-17, -0x1.4021d7ebfe34fp-17, -0x1.3b1bd28b198f8p-17, -0x1.362c254f754b7p-17, }}, 
      {{-0x1.316904248e729p-3, -0x1.320b8f4b53cb9p-3, -0x1.33170de05bd3cp-3, -0x1.3486b4bca98cbp-3, -0x1.365457d42ecb1p-3, -0x1.3878c9a59329cp-3, -0x1.3aec34b2b50dbp-3, -0x1.3da669e94659dp-3, -0x1.409f225c95725p-3, -0x1.43ce349782cefp-3, -0x1.472bbea5ecffap-3, -0x1.4ab046354c5a1p-3, -0x1.4e54d024ae878p-3, -0x1.5212f0bba40bbp-3, -0x1.55e4d59cd7fadp-3, -0x1.59c54a6bd64a2p-3, -0x1.5dafb907511aep-3, -0x1.61a02627424dfp-3, -0x1.65932b1e6ecbap-3, -0x1.6985ed6ed338cp-3, -0x1.6d7614cf4692dp-3, -0x1.7161c02e4fbfbp-3, -0x1.75477a2a66b56p-3, -0x1.79262d642fe11p-3, -0x1.7cfd18fbb0d33p-3, -0x1.80cbc5772dca1p-3, -0x1.8491fa419eb77p-3, -0x1.884fb3e00e469p-3, -0x1.8c051af0ad78p-3, -0x1.8fb27bfc3d671p-3, -0x1.9358401a4354ep-3, -0x1.96f6e66284f4fp-3, -0x1.9a8efe21d299fp-3, -0x1.9e2121c551d44p-3, -0x1.a1adf26dcc151p-3, -0x1.a536141bd5db8p-3, -0x1.a8ba2a659f6dbp-3, -0x1.ac3ad5a7e73ffp-3, -0x1.afb8b0a445ec2p-3, -0x1.b3344e80573aep-3, -0x1.b6ae391a6520fp-3, -0x1.ba26efa980cd6p-3, -0x1.bd9ee5a02aa06p-3, -0x1.c11681c9cc2bp-3, -0x1.c48e1d9c4e56p-3, -0x1.c80604b7fb63fp-3, -0x1.cb7e74909b619p-3, -0x1.cef79c3b75d59p-3, -0x1.d2719c5e54f62p-3, -0x1.d5ec873c344cdp-3, -0x1.d96860dc8ccdbp-3, -0x1.dce51f4a81567p-3, -0x1.e062aae96b3a6p-3, -0x1.e3e0dedc71998p-3, -0x1.e75f897efdd75p-3, -0x1.eade6cebf3bfap-3, -0x1.ee5d3f91bc5f4p-3, -0x1.f1dbacd13fc77p-3, -0x1.f55955a5f724ap-3, -0x1.f8d5d15570114p-3, -0x1.fc50ae24832dap-3, -0x1.ffc97210bcb92p-3, -0x1.019fcdc63cb5fp-2, -0x1.0359511e2705fp-2, -0x1.0510fbda346dp-2, -0x1.06c6841a6467bp-2, -0x1.08799db18bd71p-2, -0x1.0a29fa809cb43p-2, -0x1.0bd74acfce2a3p-2, -0x1.0d813da540d0fp-2, -0x1.0f278118c6a0cp-2, -0x1.10c9c2a47d433p-2, -0x1.1267af71fe0ecp-2, -0x1.1400f4a3eb622p-2, -0x1.15953f9bb2e8cp-2, -0x1.17243e3b651e2p-2, -0x1.18ad9f238d647p-2, -0x1.1a3111ecf8a6p-2, -0x1.1bae475e718aap-2, -0x1.1d24f19e6c8a8p-2, -0x1.1e94c460adfa7p-2, -0x1.1ffd751003249p-2, -0x1.215ebaf41dd18p-2, -0x1.22b84f53ab534p-2, -0x1.2409ed92cb939p-2, -0x1.2553534e067e6p-2, -0x1.26944071e3672p-2, -0x1.27cc774f4c327p-2, -0x1.28fbbcacdfe31p-2, -0x1.2a21d7d5655b6p-2, -0x1.2b3e92a37ee03p-2, -0x1.2c51b98acf2dp-2, -0x1.2d5b1b9eba534p-2, -0x1.2e5a8a96e675p-2, -0x1.2f4fdad1ae0cap-2, -0x1.303ae354a28c6p-2, -0x1.311b7dcb4d11fp-2, -0x1.31f186845371ep-2, -0x1.32bcdc6d1dc08p-2, -0x1.337d610c2af71p-2, -0x1.3432f87a2c041p-2, -0x1.34dd895a0aa9p-2, -0x1.357cfccff7db1p-2, -0x1.36113e779dcbdp-2, -0x1.369a3c5991c0bp-2, -0x1.3717e6e01bb53p-2, -0x1.378a30cb6d4c1p-2, -0x1.37f10f255bd83p-2, -0x1.384c7934b45cdp-2, -0x1.389c68703564dp-2, -0x1.38e0d87147522p-2, -0x1.3919c6e67b0fdp-2, -0x1.39473385e4432p-2, -0x1.39691fff5361cp-2, -0x1.397f8fee85a9fp-2, -0x1.398a88cd4778ep-2, -0x1.398a11e59fdd7p-2, -0x1.397e344404f64p-2, -0x1.3966faa9a2587p-2, -0x1.3944717eb7a69p-2, -0x1.3916a6c516619p-2, -0x1.38ddaa0ac2e8ep-2, -0x1.38998c5cb8391p-2, -0x1.384a6039db2a6p-2, -0x1.37f0398615443p-2, -0x1.378b2d7da3761p-2, -0x1.371b52a8905bap-2, -0x1.36a0c0ce673bdp-2, -0x1.361b90ea13748p-2, -0x1.358bdd1df9f34p-2, -0x1.34f1c0a8430fep-2, -0x1.344d57d75aefp-2, -0x1.339ebffea5cb7p-2, -0x1.32e6176b6a573p-2, -0x1.32237d59ed5f2p-2, -0x1.315711eac2352p-2, -0x1.3080f6184efffp-2, -0x1.2fa14bac82bddp-2, -0x1.2eb83536bb376p-2, -0x1.2dc5d601ddf6cp-2, -0x1.2cca520a9f6dp-2, -0x1.2bc5cdf5fa784p-2, -0x1.2ab86f07d4553p-2, -0x1.29a25b19d0f1fp-2, -0x1.2883b8924f465p-2, -0x1.275cae5b959c7p-2, -0x1.262d63db27a17p-2, -0x1.24f600e9439a8p-2, -0x1.23b6adc88f8aap-2, -0x1.226f931de7541p-2, -0x1.2120d9e85978ep-2, -0x1.1fcaab7948ccap-2, -0x1.1e6d316cb317cp-2, -0x1.1d0895a1a4976p-2, -0x1.1b9d0232c9649p-2, -0x1.1a2aa16f2b483p-2, -0x1.18b19dd3124c5p-2, -0x1.17322201080cfp-2, -0x1.15ac58bb03ef8p-2, -0x1.14206cdbb9a8p-2, -0x1.128e89500a0c8p-2, -0x1.10f6d9109b0d3p-2, -0x1.0f59871b92db5p-2, -0x1.0db6be6e739c3p-2, -0x1.0c0eaa001eb0ep-2, -0x1.0a6174baf8191p-2, -0x1.08af4977308a6p-2, -0x1.06f852f52ddf5p-2, -0x1.053cbbd81b1cap-2, -0x1.037caea09900fp-2, -0x1.01b855a79316cp-2, -0x1.ffdfb6326b82fp-3, -0x1.fc46d1e010b73p-3, -0x1.f8a651e055e8cp-3, -0x1.f4fe894567702p-3, -0x1.f14fcaa266f92p-3, -0x1.ed9a6802b14ddp-3, -0x1.e9deb2e16e047p-3, -0x1.e61cfc216125dp-3, -0x1.e255940507985p-3, -0x1.de88ca26ed983p-3, -0x1.dab6ed7253799p-3, -0x1.d6e04c1c0e3ap-3, -0x1.d305339bb3b84p-3, -0x1.cf25f0a5039cbp-3, -0x1.cb42cf2194de6p-3, -0x1.c75c1a2ac7e3dp-3, -0x1.c3721c03f8da1p-3, -0x1.bf851e14f241cp-3, -0x1.bb9568e4a4f9bp-3, -0x1.b7a344141ebcap-3, -0x1.b3aef659bb8edp-3, -0x1.afb8c57ca02d2p-3, -0x1.abc0f6506cc76p-3, -0x1.a7c7ccb12b8bap-3, -0x1.a3cd8b7f8751bp-3, -0x1.9fd2749d32a79p-3, -0x1.9bd6c8e98ff58p-3, -0x1.97dac83e99d8p-3, -0x1.93deb16dfa183p-3, -0x1.8fe2c23e6540ap-3, -0x1.8be737692a178p-3, -0x1.87ec4c97f4fe4p-3, -0x1.83f23c62d2a68p-3, -0x1.7ff9404e61658p-3, -0x1.7c0190ca382f5p-3, -0x1.780b652f86becp-3, -0x1.7416f3bfe0d74p-3, -0x1.702471a441d27p-3, -0x1.6c3412ec3c282p-3, -0x1.68460a8d5a38ep-3, -0x1.645a8a62b13bcp-3, -0x1.6071c32c9aep-3, -0x1.5c8be4909f4f3p-3, -0x1.58a91d198b2b2p-3, -0x1.54c99a37afc3bp-3, -0x1.50ed8841459b2p-3, -0x1.4d15127302cfep-3, -0x1.494062f0cccadp-3, -0x1.456fa2c6988c4p-3, -0x1.41a2f9e968e0cp-3, -0x1.3dda8f3870a6dp-3, -0x1.3a16887e602dep-3, -0x1.36570a72c50e5p-3, -0x1.329c38bb951b7p-3, -0x1.2ee635eed81e6p-3, -0x1.2b35239465cc6p-3, -0x1.27892227ca713p-3, -0x1.23e2511a4439fp-3, -0x1.2040ced4d8407p-3, -0x1.1ca4b8ba81f9ap-3, -0x1.190e2b2a816d3p-3, -0x1.157d4182b31a7p-3, -0x1.11f216220f723p-3, -0x1.0e6cc26b2c12dp-3, -0x1.0aed5ec6e65c2p-3, -0x1.077402a70e02dp-3, -0x1.0400c4892cab3p-3, -0x1.0093b9f95f1b4p-3, -0x1.fa59ef2a6caf9p-4, -0x1.f399221d6648ap-4, -0x1.ece5325e8a105p-4, -0x1.e63e43b5bcdf6p-4, -0x1.dfa478262a3c2p-4, -0x1.d917eff48e0a2p-4, -0x1.d298c9ada4ecfp-4, -0x1.cc27222ca73a1p-4, -0x1.c5c314a1dc8b3p-4, -0x1.bf6cba993497ep-4, -0x1.b9242c00fdf71p-4, -0x1.b2e97f309ce0ep-4, -0x1.acbcc8ef58cf1p-4, -0x1.a69e1c7b2f643p-4, -0x1.a08d8b8fb1e18p-4, -0x1.9a8b266ce6212p-4, -0x1.9496fbde316a7p-4, -0x1.8eb11941504b1p-4, -0x1.88d98a8d421f4p-4, -0x1.83105a594361ap-4, -0x1.7d5591e3c475ap-4, -0x1.77a9391962081p-4, -0x1.720b569bdc339p-4, -0x1.6c7befc90be34p-4, -0x1.66fb08c1d4297p-4, -0x1.6188a4711098ap-4, -0x1.5c24c4927edcap-4, -0x1.56cf69b99ea69p-4, -0x1.5188935891995p-4, -0x1.4c503fc6eb5fdp-4, -0x1.47266c487f20fp-4, -0x1.420b151420cfp-4, -0x1.3cfe355a5b628p-4, -0x1.37ffc74c1f29fp-4, -0x1.330fc4216044ap-4, -0x1.2e2e241fab9d8p-4, -0x1.295adea0add2fp-4, -0x1.2495ea18acbfdp-4, -0x1.1fdf3c1cf0219p-4, -0x1.1b36c96a21178p-4, -0x1.169c85ea931e9p-4, -0x1.121064bc81f6cp-4, -0x1.0d9258383d3ddp-4, -0x1.092251f64433ep-4, -0x1.04c042d54d727p-4, -0x1.006c1b0041f8dp-4, -0x1.f84b93e83dc5ap-5, -0x1.efda7d0b9815ep-5, -0x1.e784cdcfb5d88p-5, -0x1.df4a616067d95p-5, -0x1.d72b11bb5f8c7p-5, -0x1.cf26b7bb3fc02p-5, -0x1.c73d2b227c662p-5, -0x1.bf6e42a61896ap-5, -0x1.b7b9d3f838979p-5, -0x1.b01fb3d2910fbp-5, -0x1.a89fb600a117ep-5, -0x1.a139ad69cf18ep-5, -0x1.99ed6c1b5683bp-5, -0x1.92bac35206bdcp-5, -0x1.8ba18383e0a0bp-5, -0x1.84a17c6983c62p-5, -0x1.7dba7d0772a93p-5, -0x1.76ec53b72d433p-5, -0x1.7036ce302115bp-5, -0x1.6999b99068a73p-5, -0x1.6314e2656c62ap-5, -0x1.5ca814b44b862p-5, -0x1.56531c0226cf6p-5, -0x1.5015c35c34448p-5, -0x1.49efd55fb5c97p-5, -0x1.43e11c41b81d9p-5, -0x1.3de961d6b44b5p-5, -0x1.38086f99fec7dp-5, -0x1.323e0eb50e75ep-5, -0x1.2c8a08069e5dbp-5, -0x1.26ec2429a201p-5, -0x1.21642b7c10852p-5, -0x1.1bf1e6258c535p-5, -0x1.16951c1dd91d8p-5, -0x1.114d953335628p-5, -0x1.0c1b191083bf2p-5, -0x1.06fd6f434de4ep-5, -0x1.01f45f41a67e3p-5, -0x1.f9ff60dfb454ep-6, -0x1.f03e544c0ce17p-6, -0x1.e6a5276afcc52p-6, -0x1.dd3368dc284d4p-6, -0x1.d3e8a7466fe23p-6, -0x1.cac47161e2ac5p-6, -0x1.c1c6560177856p-6, -0x1.b8ede41c6419bp-6, -0x1.b03aaad74a84fp-6, -0x1.a7ac398d11155p-6, -0x1.9f421fd76f779p-6, -0x1.96fbed9749387p-6, -0x1.8ed932fcbc46dp-6, -0x1.86d9808ee646bp-6, -0x1.7efc673374694p-6, -0x1.77417835ece6bp-6, -0x1.6fa8454ebd5bbp-6, -0x1.683060aa05995p-6, -0x1.60d95cee2b917p-6, -0x1.59a2cd4228e51p-6, -0x1.528c4553ab692p-6, -0x1.4b95595cede4ep-6, -0x1.44bd9e2a63c6bp-6, -0x1.3e04a9201c5ecp-6, -0x1.376a103f0451ap-6, -0x1.30ed6a29dddd6p-6, -0x1.2a8e4e2a09439p-6, -0x1.244c543425cbdp-6, -0x1.1e2714ec677b1p-6, -0x1.181e29aace883p-6, -0x1.12312c7f24694p-6, -0x1.0c5fb834cc8aep-6, -0x1.06a9685663c69p-6, -0x1.010dd9312c799p-6, -0x1.f7194fb0b1aabp-7, -0x1.ec4ae4503e01bp-7, -0x1.e1afad914a3b4p-7, -0x1.d746ea6181ef5p-7, -0x1.cd0fdb51263c3p-7, -0x1.c309c297e713ep-7, -0x1.b933e41974c4p-7, -0x1.af8d8569be73ap-7, -0x1.a615edd0e33a2p-7, -0x1.9ccc664eedba7p-7, -0x1.93b0399f23609p-7, -0x1.8ac0b43b2f076p-7, -0x1.81fd245df18c1p-7, -0x1.7964da061fb73p-7, -0x1.70f726f88fed8p-7, -0x1.68b35ec249f3ap-7, -0x1.6098d6ba721bp-7, -0x1.58a6e603c978p-7, -0x1.50dce58e2877bp-7, -0x1.493a3017915p-7, -0x1.41be222d2f6fep-7, -0x1.3a681a2c0acbfp-7, -0x1.333778419212fp-7, -0x1.2c2b9e6bee8edp-7, -0x1.2543f07a218e9p-7, -0x1.1e7fd40c02021p-7, -0x1.17deb091fb508p-7, -0x1.115fef4ca84bcp-7, -0x1.0b02fb4c3f222p-7, -0x1.04c7416fd533ep-7, -0x1.fd5860c8fb81fp-8, -0x1.f1627148705a8p-8, -0x1.e5ab98e98cf7p-8, -0x1.da32bfcc95016p-8, -0x1.cef6d1a3b3537p-8, -0x1.c3f6bdafae61ep-8, -0x1.b93176bc81ea4p-8, -0x1.aea5f31d92bc1p-8, -0x1.a4532ca9cf5e1p-8, -0x1.9a3820b7721fdp-8, -0x1.9053d0179e4c1p-8, -0x1.86a53f11cb40dp-8, -0x1.7d2b755ee0ff2p-8, -0x1.73e57e24581bep-8, -0x1.6ad267eee137ap-8, -0x1.61f144ad1b61bp-8, -0x1.594129aa15004p-8, -0x1.50c12f878539dp-8, -0x1.48707237f08a5p-8, -0x1.404e10f8b9146p-8, -0x1.38592e4bf345ep-8, -0x1.3090eff21e9f5p-8, -0x1.28f47ee3be644p-8, -0x1.2183074adaef2p-8, -0x1.1a3bb87c5e6dap-8, -0x1.131dc4f15c80ap-8, -0x1.0c2862403664dp-8, -0x1.055ac915b1e0fp-8, -0x1.fd686a5bfaaf8p-9, -0x1.f067ca9b0f52bp-9, -0x1.e3b23673c2bbdp-9, -0x1.d7463764f8a43p-9, -0x1.cb225cd2af5e4p-9, -0x1.bf453bf754f54p-9, -0x1.b3ad6fd4e3711p-9, -0x1.a8599926046c3p-9, -0x1.9d485e4ee3085p-9, -0x1.92786b4e359eap-9, -0x1.87e871adf2fedp-9, -0x1.7d9728743667ap-9, -0x1.73834c13c33bap-9, -0x1.69ab9e5cdae71p-9, -0x1.600ee66db431fp-9, -0x1.56abf0a32ecedp-9, -0x1.4d818e894f2dfp-9, -0x1.448e96cbd7968p-9, -0x1.3bd1e526ce1cp-9, -0x1.334a5a56f901ap-9, -0x1.2af6dc0a8af71p-9, -0x1.22d654d181a63p-9, -0x1.1ae7b40e6c658p-9, -0x1.1329ede6d2167p-9, -0x1.0b9bfb33fe9a1p-9, -0x1.043cd9738a761p-9, -0x1.fa1715703a0d6p-10, -0x1.ec0e2b3459ffep-10, -0x1.de5d0a517d5d2p-10, -0x1.d101d1b4b0874p-10, -0x1.c3faa8fb97d02p-10, -0x1.b745c0567d387p-10, -0x1.aae1506a8e98dp-10, -0x1.9ecb9a33d71d8p-10, -0x1.9302e6e7bc7c2p-10, -0x1.878587d7aa537p-10, -0x1.7c51d65391a1fp-10, -0x1.7166338d081d8p-10, -0x1.66c1087a23fc5p-10, -0x1.5c60c5b8da59dp-10, -0x1.5243e37271de7p-10, -0x1.4868e13f1cd0ap-10, -0x1.3ece4609e0d4dp-10, -0x1.35729ff4acd78p-10, -0x1.2c54843c7497ep-10, -0x1.23728f1de793p-10, -0x1.1acb63ba0e08cp-10, -0x1.125dabfb34d1ep-10, -0x1.0a28187a1ba2dp-10, -0x1.022960636aea9p-10, -0x1.f4c082baa6ecbp-11, -0x1.e596fedacd363p-11, -0x1.d6d3c9bd8b79fp-11, -0x1.c8748450dce0cp-11, -0x1.ba76dba8002dbp-11, -0x1.acd888c8e4918p-11, -0x1.9f97507a8b43fp-11, -0x1.92b10313d2b83p-11, -0x1.86237c4ac7cd6p-11, -0x1.79eca304372c4p-11, -0x1.6e0a6924752a3p-11, -0x1.627acb5f81f83p-11, -0x1.573bd10b1cc35p-11, -0x1.4c4b8bf03f107p-11, -0x1.41a8181d7ad8dp-11, -0x1.374f9bba28b81p-11, -0x1.2d4046d99cdb7p-11, -0x1.2378534f87e1bp-11, -0x1.19f6048403833p-11, -0x1.10b7a748f62d3p-11, -0x1.07bb91af8a344p-11, -0x1.fe0045bcdcacp-12, -0x1.ed0785d06f916p-12, -0x1.dc89c5458ae3ep-12, -0x1.cc83f6fdc709cp-12, -0x1.bcf31ec0feedbp-12, -0x1.add450eeec682p-12, -0x1.9f24b231ae652p-12, -0x1.90e17731352bdp-12, -0x1.8307e44844e09p-12, -0x1.75954d3995bf3p-12, -0x1.688714e6c99c9p-12, -0x1.5bdaad088a311p-12, -0x1.4f8d95e6abe47p-12, -0x1.439d5e122f54ep-12, -0x1.3807a21fcbc72p-12, -0x1.2cca0c644edcep-12, -0x1.21e254b078569p-12, -0x1.174e400fbb204p-12, -0x1.0d0ba08608ebfp-12, -0x1.031854d00e727p-12, -0x1.f2e49047d466cp-13, -0x1.e02ee3e510151p-13, -0x1.ce0bab54c11b3p-13, -0x1.bc7704f60e424p-13, -0x1.ab6d2633240e2p-13, -0x1.9aea5b0c3e1b8p-13, -0x1.8aeb05a4015c5p-13, -0x1.7b6b9dce3ad1fp-13, -0x1.6c68b0a06c58bp-13, -0x1.5ddee003057d3p-13, -0x1.4fcae24635c15p-13, -0x1.422981b74e183p-13, -0x1.34f79c37c4515p-13, -0x1.283222d6ba872p-13, -0x1.1bd6196bc2b54p-13, -0x1.0fe096336af86p-13, -0x1.044ec16d282fdp-13, -0x1.f23ba9f6b2e63p-14, -0x1.dc963809606e9p-14, -0x1.c7a7e52f9a681p-14, -0x1.b36b8a9dbe2d1p-14, -0x1.9fdc21eeb939dp-14, -0x1.8cf4c4714a42cp-14, -0x1.7ab0aa7bb1b5p-14, -0x1.690b2ac1053adp-14, -0x1.57ffb9aae6cf4p-14, -0x1.4789e8b5c2e4ep-14, -0x1.37a565cd33a94p-14, -0x1.284dfab04417cp-14, -0x1.197f8c544f717p-14, -0x1.0b361a4d9a005p-14, -0x1.fadb7c6fef70dp-15, -0x1.e045564ab87bbp-15, -0x1.c6a25a1786c24p-15, -0x1.adeb507207cd1p-15, -0x1.9619318e2ecap-15, -0x1.7f25242759b81p-15, -0x1.69087c732d02fp-15, -0x1.53bcbb1e9f9bbp-15, -0x1.3f3b8c478c128p-15, -0x1.2b7ec683ad65cp-15, -0x1.188069e70bb37p-15, -0x1.063a9f10e1856p-15, -0x1.e94f6c7bd0846p-16, -0x1.c7844cbb2ed96p-16, -0x1.a709185ae468ap-16, -0x1.87d352b1011cbp-16, -0x1.69d8c7369b1bbp-16, -0x1.4d0f87d3645c7p-16, -0x1.316deb3f4b102p-16, -0x1.16ea8b5970819p-16, -0x1.faf887366a473p-17, -0x1.ca345f0617a52p-17, -0x1.9b77522532b4dp-17, -0x1.6eb08e9c34d0dp-17, -0x1.43cfb98bfec18p-17, -0x1.1ac4ec52503d5p-17, -0x1.e7016378d345cp-18, -0x1.9be8068a460b5p-18, -0x1.54208ccf84e51p-18, -0x1.0f8e93edbc36bp-18, -0x1.9c2d0e42479acp-19, -0x1.1f3b34379da18p-19, -0x1.502710b503978p-20, -0x1.b41bb50f0d52fp-22, 0x1.ad3107d07c197p-22, 0x1.3931e78c8bc4ap-20, 0x1.fd06aae2c690ep-20, 0x1.5b9240eaa2229p-19, 0x1.b3f16108e4e81p-19, 0x1.03e58c88db78dp-18, 0x1.2ba446814df35p-18, 0x1.5148d4dbd516ep-18, 0x1.74e6966e6559dp-18, 0x1.96905655f62a6p-18, 0x1.b6584fc865d4cp-18, 0x1.d45031c59ff5ep-18, 0x1.f08922c34ee09p-18, 0x1.0589e216fac5bp-17, 0x1.12001af88670ap-17, 0x1.1daf0ce7141ap-17, 0x1.289e4b579dafcp-17, 0x1.32d52df8e669cp-17, 0x1.3c5ad2409c1ffp-17, 0x1.45361cfbe4467p-17, 0x1.4d6dbbcfa66e3p-17, 0x1.550826b8273dcp-17, 0x1.5c0ba1730845ep-17, 0x1.627e3ced88a09p-17, 0x1.6865d8a31cff6p-17, 0x1.6dc823f40b2a5p-17, 0x1.72aa9f77c38cdp-17, 0x1.77129e4380d7bp-17, 0x1.7b0547296c588p-17, 0x1.7e8795f4df012p-17, 0x1.819e5c9998baap-17, 0x1.844e4459e494cp-17, 0x1.869bcef14515bp-17, 0x1.888b57a8ba33p-17, 0x1.8a21146fe5e1fp-17, 0x1.8b6116eaac0fdp-17, 0x1.8c4f4d7622e7bp-17, 0x1.8cef842c05303p-17, 0x1.8d4565de86c87p-17, 0x1.8d547d086c57ep-17, 0x1.8d2034bfd26c1p-17, 0x1.8cabd99c937e5p-17, 0x1.8bfa9a9e51bep-17, 0x1.8b0f8a03ff016p-17, 0x1.89ed9e27aedeap-17, 0x1.8897b24fb5244p-17, 0x1.87108778f314bp-17, 0x1.855ac523e2799p-17, 0x1.8378fa1208b97p-17, 0x1.816d9d059bf9ap-17, 0x1.7f3b0d7ab9044p-17, 0x1.7ce394586c9fep-17, 0x1.7a6964a3dda98p-17, 0x1.77ce9c273e704p-17, 0x1.7515441c11c9dp-17, 0x1.723f51c896008p-17, 0x1.6f4ea720e126dp-17, 0x1.6c45135e3a756p-17, 0x1.692453968384p-17, 0x1.65ee134afa74dp-17, 0x1.62a3ecf888717p-17, 0x1.5f476aa021922p-17, 0x1.5bda064bd10d3p-17, 0x1.585d2a9451304p-17, 0x1.54d2331ab86fp-17, 0x1.513a6d0a1959ap-17, 0x1.4d97178b81678p-17, 0x1.49e9643c4fd98p-17, 0x1.4632779e51672p-17, 0x1.427369889adf3p-17, 0x1.3ead458feb232p-17, 0x1.3ae10b71e47cp-17, 0x1.370faf794fce9p-17, 0x1.333a1adfa92c8p-17, 0x1.2f612c2f3ca86p-17, 0x1.2b85b79db0615p-17, 0x1.27a88768f3c48p-17, 0x1.23ca5c2caf7bp-17, 0x1.1febed3a3c6bfp-17, 0x1.1c0de8e97430bp-17, 0x1.1830f4eb0bd6ap-17, 0x1.1455ae9527487p-17, 0x1.107cab2f5a4c1p-17, 0x1.0ca6783d1a289p-17, 0x1.08d39bc50b917p-17, 0x1.05049495e08c5p-17, 0x1.0139da8ad6817p-17, 0x1.fae7bd9804fc4p-18, 0x1.f366181cb0deap-18, 0x1.ebef8da11efd8p-18, 0x1.e484db2cd43f9p-18, 0x1.dd26b2485e379p-18, 0x1.d5d5b969c65b7p-18, 0x1.ce928c636f326p-18, 0x1.c75dbccbb712ap-18, 0x1.c037d265620a5p-18, 0x1.b9214b7fafbd8p-18, 0x1.b21a9d579d9abp-18, 0x1.ab243475c8149p-18, 0x1.a43e75062abb1p-18, 0x1.9d69bb307db4ep-18, 0x1.96a65b6c242aep-18, 0x1.8ff4a2d184a3ep-18, 0x1.8954d768c5d4bp-18, 0x1.82c73876383f4p-18, 0x1.7c4bfec51a6cp-18, 0x1.75e35cef08d81p-18, 0x1.6f8d7f9e4a676p-18, 0x1.694a8dd5b0715p-18, 0x1.631aa92c8a723p-18, 0x1.5cfdee0edaaaep-18, 0x1.56f473fb4923ep-18, 0x1.50fe4db9cefe2p-18, 0x1.4b1b89998ca2cp-18, 0x1.454c31a0a9e55p-18, 0x1.3f904bc5ff28p-18, 0x1.39e7da20d4581p-18, 0x1.3452db19fcac4p-18, 0x1.2ed1499e24335p-18, 0x1.29631d4710036p-18, 0x1.24084a8aad1a6p-18, 0x1.1ec0c2e49dcc1p-18, 0x1.198c74ff3b1bdp-18, 0x1.146b4cd9ccb79p-18, 0x1.0f5d33eee792p-18, 0x1.0a62115a43945p-18, 0x1.0579c9f9a44dap-18, 0x1.00a440915cd63p-18, 0x1.f7c2abd4a8a41p-19, 0x1.ee61d1e795ab4p-19, 0x1.e525adbef07b3p-19, 0x1.dc0df680ecd2ap-19, 0x1.d31a604772aebp-19, 0x1.ca4a9c5f228bfp-19, 0x1.c19e597371b0bp-19, 0x1.b91543c3d469ap-19, 0x1.b0af05518fdd1p-19, 0x1.a86b460e3dfdap-19, 0x1.a049ac058104dp-19, 0x1.9849db8885d24p-19, 0x1.906b7755dfdaep-19, 0x1.88ae20c0518abp-19, 0x1.811177d241385p-19, 0x1.79951b703b68p-19, 0x1.7238a97fcfee3p-19, 0x1.6afbbf0167abbp-19, 0x1.63ddf8317a324p-19, 0x1.5cdef0a80a6bp-19, 0x1.55fe43703e2b3p-19, 0x1.4f3b8b276b986p-19, 0x1.48966212feaap-19, 0x1.420e623cecbe4p-19, 0x1.3ba32584ced1ep-19, 0x1.355445bcb0bdcp-19, 0x1.2f215cb8742b8p-19, 0x1.290a046490913p-19, 0x1.230dd6d7c7e72p-19, 0x1.1d2c6e670fb91p-19, 0x1.176565b3ac194p-19, 0x1.11b857bd260dep-19, 0x1.0c24dfeffcf92p-19, 0x1.06aa9a31ace62p-19, 0x1.014922f2376f3p-19, 0x1.f8002e6a30a72p-20, 0x1.ed9e2941b89bap-20, 0x1.e36b730d8ea13p-20, 0x1.d96749e009b68p-20, 0x1.cf90ed4c5f37fp-20, 0x1.c5e79e79ca3fcp-20, 0x1.bc6aa0338072ap-20, 0x1.b31936faaa287p-20, 0x1.a9f2a915753fdp-20, 0x1.a0f63e9a833bdp-20, 0x1.9823417e7d529p-20, 0x1.8f78fda0ff01ep-20, 0x1.86f6c0d649737p-20, 0x1.7e9bdaf0f11ddp-20, 0x1.76679dca925d5p-20, 0x1.6e595d4b64aafp-20, 0x1.66706f7318b66p-20, 0x1.5eac2c5bd02c8p-20, 0x1.570bee45ff1fcp-20, 0x1.4f8f11978b361p-20, 0x1.4834f4e2ca259p-20, 0x1.40fcf8ea4b504p-20, 0x1.39e680a11e17ap-20, 0x1.32f0f12f6e747p-20, 0x1.2c1bb1f4cc576p-20, 0x1.25662c86caddep-20, 0x1.1ecfccb4b1b75p-20, 0x1.18580085f526ep-20, 0x1.11fe383a16e26p-20, 0x1.0bc1e649ff06bp-20, 0x1.05a27f624330cp-20, 0x1.ff3ef4ccaabffp-21, 0x1.f370a0db73749p-21, 0x1.e7d8f9825892fp-21, 0x1.dc76f9ad943acp-21, 0x1.d149a0a2364c2p-21, 0x1.c64ff1f67ce5ep-21, 0x1.bb88f589a93a8p-21, 0x1.b0f3b77bb492bp-21, 0x1.a68f482a982afp-21, 0x1.9c5abc2399d6p-21, 0x1.92552c1f22b01p-21, 0x1.887db4f3abba4p-21, 0x1.7ed3778ed71e3p-21, 0x1.755598e9798efp-21, 0x1.6c0341ffd5f4fp-21, 0x1.62db9fc401c33p-21, 0x1.59dde3167acb9p-21, 0x1.510940b5bc62ep-21, 0x1.485cf1372b374p-21, 0x1.3fd830fae1204p-21, 0x1.377a401b34a83p-21, 0x1.2f426268244b7p-21, 0x1.272fdf55956c9p-21, 0x1.1f4201f25a8e7p-21, 0x1.177818d74ef38p-21, 0x1.0fd1761ed70dap-21, 0x1.084d6f55832f9p-21, 0x1.00eb5d7096b9ep-21, 0x1.f355397cb0f59p-22, 0x1.e51519b50642fp-22, 0x1.d71521429f31p-22, 0x1.c9541c4619728p-22, 0x1.bbd0dd28abb14p-22, 0x1.ae8a3c865ca43p-22, 0x1.a17f19164902bp-22, }}, 
      {{-0x1.58b92b9fcf3dp-16, -0x1.58f5539345726p-14, -0x1.84156ddb68a86p-13, -0x1.58a357813420ep-12, -0x1.0cd087805f2afp-11, -0x1.826f0a00d45f2p-11, -0x1.06ad87ac31c94p-10, -0x1.57073e05181ecp-10, -0x1.b2a461b8fc4ecp-10, -0x1.0cffe29ccdeffp-9, -0x1.46d39952dba6p-9, -0x1.871a95105526ep-9, -0x1.ce2692de69c2cp-9, -0x1.0e267af767d02p-8, -0x1.38f33f56ccc4ep-8, -0x1.67a78abb08ea8p-8, -0x1.9a72a7d6e9f9dp-8, -0x1.d184c10483ffp-8, -0x1.068716b048edbp-7, -0x1.269f46da62bebp-7, -0x1.4921e6819f9cap-7, -0x1.6e248d7379288p-7, -0x1.95bafa1e069fp-7, -0x1.bff6a528be7dfp-7, -0x1.ece669c9e15c5p-7, -0x1.0e4b22d3b7674p-6, -0x1.2787985aa6e79p-6, -0x1.422b85d2dfd1bp-6, -0x1.5e3851181304ep-6, -0x1.7badded41e6cbp-6, -0x1.9a8aa207cfa95p-6, -0x1.bacbafeae3a0bp-6, -0x1.dc6cd667d1ff6p-6, -0x1.ff68b3b7b9f25p-6, -0x1.11dc66f7bf5a3p-5, -0x1.24aad4cfbeb88p-5, -0x1.381b6f7a216dfp-5, -0x1.4c299685a0672p-5, -0x1.60d045b424743p-5, -0x1.760a1cd2d062ep-5, -0x1.8bd166cc0573ep-5, -0x1.a2202019f1d99p-5, -0x1.b8effcc477c5ep-5, -0x1.d03a6e151155dp-5, -0x1.e7f8a8277fa8p-5, -0x1.0011d3bbe2964p-4, -0x1.0c5a1b4327e1fp-4, -0x1.18d179d13ff14p-4, -0x1.25742b71cfb8dp-4, -0x1.323e5c283f224p-4, -0x1.3f2c2b17901a1p-4, -0x1.4c39adb858dadp-4, -0x1.5962f314ee92fp-4, -0x1.66a407027be8ep-4, -0x1.73f8f54d37f46p-4, -0x1.815dcccdd7b15p-4, -0x1.8ecea25ef0dfp-4, -0x1.9c4793a9c14bdp-4, -0x1.a9c4c9c331734p-4, -0x1.b7427b9328177p-4, -0x1.c4bcf001e10a6p-4, -0x1.d2307fe854727p-4, -0x1.df9997c263fafp-4, -0x1.ecf4b922baf1bp-4, -0x1.fa3e7be99df9bp-4, -0x1.03b9c7a06333ep-3, -0x1.0a485d2fc593dp-3, -0x1.10c96e8d84cfcp-3, -0x1.173b7823435d2p-3, -0x1.1d9d02f462197p-3, -0x1.23eca4a576cd9p-3, -0x1.2a28ff73045a2p-3, -0x1.3050c219c2c69p-3, -0x1.3662a7b2c9cecp-3, -0x1.3c5d7785c8f9p-3, -0x1.424004d33f1p-3, -0x1.48092e988dbfcp-3, -0x1.4db7df4fa2e67p-3, -0x1.534b0cab895e2p-3, -0x1.58c1b75350ecap-3, -0x1.5e1aea9c5297ap-3, -0x1.6355bc44c342p-3, -0x1.68714c2f66cc5p-3, -0x1.6d6cc420f074cp-3, -0x1.7247577fa6e0fp-3, -0x1.7700431593f25p-3, -0x1.7b96ccd59bdefp-3, -0x1.800a43a394314p-3, -0x1.8459ff1f83238p-3, -0x1.88855f74004e9p-3, -0x1.8c8bcd27b94f6p-3, -0x1.906cb8f201c12p-3, -0x1.94279b924e023p-3, -0x1.97bbf5aa704bfp-3, -0x1.9b294f9b7873bp-3, -0x1.9e6f3964f0d7fp-3, -0x1.a18d4a8650e38p-3, -0x1.a48321e270616p-3, -0x1.a75065a4b0dbep-3, -0x1.a9f4c327c0e16p-3, -0x1.ac6feedda3dd4p-3, -0x1.aec1a438ddf7bp-3, -0x1.b0e9a59684a8dp-3, -0x1.b2e7bc2902bc6p-3, -0x1.b4bbb7e362ea3p-3, -0x1.b6656f64edfe2p-3, -0x1.b7e4bfe4fce66p-3, -0x1.b9398d1ecd64ep-3, -0x1.ba63c13d3fe22p-3, -0x1.bb634cc65dd5bp-3, -0x1.bc38268685951p-3, -0x1.bce24b7b3aa81p-3, -0x1.bd61bebd6a415p-3, -0x1.bdb6896b2f4acp-3, -0x1.bde0ba90fd647p-3, -0x1.bde067122cae3p-3, -0x1.bdb5a990e73c6p-3, -0x1.bd60a2556f6d2p-3, -0x1.bce17734ca8c2p-3, -0x1.bc385376cd222p-3, -0x1.bb6567bb9540ep-3, -0x1.ba68e9e079d45p-3, -0x1.b94314e47a68bp-3, -0x1.b7f428cc3bb64p-3, -0x1.b67c6a85a6efdp-3, -0x1.b4dc23cb2e77cp-3, -0x1.b313a306d09c5p-3, -0x1.b1233b34ead4bp-3, -0x1.af0b43c6e80bfp-3, -0x1.accc1885dd54ep-3, -0x1.aa6619752318cp-3, -0x1.a7d9aab502819p-3, -0x1.a52734657b84bp-3, -0x1.a24f22893c308p-3, -0x1.9f51e4e8c93b6p-3, -0x1.9c2feef5f319ap-3, -0x1.98e9b7af95d7bp-3, -0x1.957fb985b5503p-3, -0x1.91f2723df5be1p-3, -0x1.8e4262d88241cp-3, -0x1.8a700f75588eep-3, -0x1.867bff3a0611p-3, -0x1.8266bc37d84c4p-3, -0x1.7e30d3528239dp-3, -0x1.79dad4272b327p-3, -0x1.756550f3f3b78p-3, -0x1.70d0de7fe82e9p-3, -0x1.6c1e1403545fbp-3, -0x1.674d8b1083248p-3, -0x1.625fdf7cd8b07p-3, -0x1.5d55af4a414b3p-3, -0x1.582f9a90ef342p-3, -0x1.52ee436969739p-3, -0x1.4d924dd6ccce3p-3, -0x1.481c5fb14eb1dp-3, -0x1.428d2090ea5a2p-3, -0x1.3ce539b834a9cp-3, -0x1.372555ff4fadcp-3, -0x1.314e21beefb8ap-3, -0x1.2b604abb73d72p-3, -0x1.255c800ffc835p-3, -0x1.1f4372198a414p-3, -0x1.1915d26208e2cp-3, -0x1.12d4538b5745ep-3, -0x1.0c7fa93a320c3p-3, -0x1.0618880110403p-3, -0x1.ff3f4a95a63a5p-4, -0x1.f22b6e8acc061p-4, -0x1.e4f6e99861584p-4, -0x1.d7a32aa4cfecbp-4, -0x1.ca31a19a6ff0dp-4, -0x1.bca3bf3b8ec63p-4, -0x1.aefaf4f62153fp-4, -0x1.a138b4b73e0c6p-4, -0x1.935e70be35502p-4, -0x1.856d9b6f80a64p-4, -0x1.7767a72761623p-4, -0x1.694e060c575adp-4, -0x1.5b2229e1687bp-4, -0x1.4ce583d838796p-4, -0x1.3e9984631f814p-4, -0x1.303f9b071e8d9p-4, -0x1.21d9362ddf60ap-4, -0x1.1367c2f7bc92fp-4, -0x1.04ecad0de4bap-4, -0x1.ecd2bce943985p-5, -0x1.cfbe7ebbbeffep-5, -0x1.b29f6bf7d87f2p-5, -0x1.95784ca9301cep-5, -0x1.784be429658f1p-5, -0x1.5b1cf0c7eedd4p-5, -0x1.3dee2b730ed11p-5, -0x1.20c24761c861p-5, -0x1.039bf1bf3198fp-5, -0x1.ccfba2ae281e2p-6, -0x1.92d50c87ffac5p-6, -0x1.58c9533e02443p-6, -0x1.1edd9a61e328ap-6, -0x1.ca2dec96991f5p-7, -0x1.56f4d703c5dbdp-7, -0x1.c833b8acc623dp-8, -0x1.c69b0be5ecd8bp-9, 0x1.6b466d03e4e99p-17, 0x1.c78587b7bcdbp-9, 0x1.c5c72708326c3p-8, 0x1.535831da8fccep-7, 0x1.c3362f541707fp-7, 0x1.193a530eece95p-6, 0x1.50856c852e761p-6, 0x1.87781a30fe962p-6, 0x1.be0e27549a3eap-6, 0x1.f44374ae45e46p-6, 0x1.1509fc688dc1cp-5, 0x1.2fbde03c3731dp-5, 0x1.4a3b776aff25fp-5, 0x1.6480deed711d6p-5, 0x1.7e8c3f3d86e35p-5, 0x1.985bcc75d4b9dp-5, 0x1.b1edc66e049bbp-5, 0x1.cb4078d4ba44dp-5, 0x1.e4523b46d6266p-5, 0x1.fd2171643421bp-5, 0x1.0ad64570df508p-4, 0x1.16f901cc89fd8p-4, 0x1.22f831cad5097p-4, 0x1.2ed31f8fb70cap-4, 0x1.3a891b618282p-4, 0x1.46197babdce18p-4, 0x1.51839d017c968p-4, 0x1.5cc6e21cccf52p-4, 0x1.67e2b3df7c67fp-4, 0x1.72d68150da18bp-4, 0x1.7da1bf9b43fd3p-4, 0x1.8843ea087353ep-4, 0x1.92bc81fccd072p-4, 0x1.9d0b0ef1c248cp-4, 0x1.a72f1e6f2ebfbp-4, 0x1.b1284403d776cp-4, 0x1.baf6193cf9a9bp-4, 0x1.c4983d9d07debp-4, 0x1.ce0e56918e175p-4, 0x1.d7580f6844a7bp-4, 0x1.e075194366d22p-4, 0x1.e9652b0d3d502p-4, 0x1.f228016b037e1p-4, 0x1.fabd5eaf0b034p-4, 0x1.0192856524176p-3, 0x1.05af699e9f1eep-3, 0x1.09b545841ddaep-3, 0x1.0da4054d90706p-3, 0x1.117b97e249419p-3, 0x1.153beed04f09p-3, 0x1.18e4fe43794d7p-3, 0x1.1c76bcfc49fb1p-3, 0x1.1ff12446969c9p-3, 0x1.23542feff5c3cp-3, 0x1.269fde3e02394p-3, 0x1.29d42fe46965ep-3, 0x1.2cf127fad3e8cp-3, 0x1.2ff6cbf2a151fp-3, 0x1.32e5238c818e4p-3, 0x1.35bc38cdece6cp-3, 0x1.387c17f6746b1p-3, 0x1.3b24cf7500c3fp-3, 0x1.3db66fdcea521p-3, 0x1.40310bdb04fc3p-3, 0x1.4294b82a88ce5p-3, 0x1.44e18b89f5517p-3, 0x1.47179eafd8bdep-3, 0x1.49370c3f8bbdfp-3, 0x1.4b3ff0bde3842p-3, 0x1.4d326a85d32a3p-3, 0x1.4f0e99bd0a6d2p-3, 0x1.50d4a04889db3p-3, 0x1.5284a1c1329b7p-3, 0x1.541ec36852b0ep-3, 0x1.55a32c1c3684cp-3, 0x1.5712044cab7cdp-3, 0x1.586b75ef988eap-3, 0x1.59afac7587df8p-3, 0x1.5aded4be43bdcp-3, 0x1.5bf91d0d72b94p-3, 0x1.5cfeb4ff3e49fp-3, 0x1.5defcd7d0241ep-3, 0x1.5ecc98b207af6p-3, 0x1.5f954a004c0edp-3, 0x1.604a15f559334p-3, 0x1.60eb323f22765p-3, 0x1.6178d5a0ffcffp-3, 0x1.61f337e8a9cf2p-3, 0x1.625a91e358c28p-3, 0x1.62af1d52eae98p-3, 0x1.62f114e324289p-3, 0x1.6320b41eff547p-3, 0x1.633e37661c849p-3, 0x1.6349dbe240fcfp-3, 0x1.6343df7cf17bcp-3, 0x1.632c80d52608bp-3, 0x1.6303ff3512e12p-3, 0x1.62ca9a881817bp-3, 0x1.62809350ba002p-3, 0x1.62262a9ec9fbcp-3, 0x1.61bba205a0dd6p-3, 0x1.61413b9274928p-3, 0x1.60b739c2d641cp-3, 0x1.601ddf7b482a3p-3, 0x1.5f756ffdf5cfdp-3, 0x1.5ebe2ee1892fcp-3, 0x1.5df86008286ap-3, 0x1.5d2447968a4a6p-3, 0x1.5c4229eb36cc2p-3, 0x1.5b524b95e3c3dp-3, 0x1.5a54f14ef679fp-3, 0x1.594a5fef26b33p-3, 0x1.5832dc674cd22p-3, 0x1.570eabb847b8ap-3, 0x1.55de12eb130a8p-3, 0x1.54a15708fc398p-3, 0x1.5358bd13fba1p-3, 0x1.520489ff3b602p-3, 0x1.50a502a7bc1aep-3, 0x1.4f3a6bcd1eadcp-3, 0x1.4dc50a0a9b9e1p-3, 0x1.4c4521d01cd8dp-3, 0x1.4abaf75b7f05fp-3, 0x1.4926ceb1f60bcp-3, 0x1.4788eb99a2d37p-3, 0x1.45e1919341af7p-3, 0x1.443103d40f4a6p-3, 0x1.4277853fc8dafp-3, 0x1.40b55862da14fp-3, 0x1.3eeabf6cb2af7p-3, 0x1.3d17fc2a3f1a7p-3, 0x1.3b3d500090b3ap-3, 0x1.395afbe7a221ap-3, 0x1.377140654dd1fp-3, 0x1.35805d8865e3dp-3, 0x1.338892e3f64c4p-3, 0x1.318a1f8aab09cp-3, 0x1.2f85420a5fafap-3, 0x1.2d7a3867d686fp-3, 0x1.2b69401a94a07p-3, 0x1.29529608e3b94p-3, 0x1.27367684001b3p-3, 0x1.25151d4464642p-3, 0x1.22eec56640687p-3, 0x1.20c3a96616c82p-3, 0x1.1e94031d794e5p-3, 0x1.1c600bbff5b0ep-3, 0x1.1a27fbd8168bap-3, 0x1.17ec0b449ca6dp-3, 0x1.15ac7135cb97bp-3, 0x1.1369642ae17aep-3, 0x1.112319efb4819p-3, 0x1.0ed9c79a6ca4p-3, 0x1.0c8da18966ac4p-3, 0x1.0a3edb6134474p-3, 0x1.07eda80abf451p-3, 0x1.059a39b191cb4p-3, 0x1.0344c1c239cb5p-3, 0x1.00ed70e8d16abp-3, 0x1.fd28ee1f48e3fp-4, 0x1.f87406bbeacd4p-4, 0x1.f3bc886dcba6ep-4, 0x1.ef02ce70eca2dp-4, 0x1.ea4732754e37bp-4, 0x1.e58a0c9d7b2cbp-4, 0x1.e0cbb37d318d5p-4, 0x1.dc0c7c1857428p-4, 0x1.d74cb9e226f7cp-4, 0x1.d28cbebc90041p-4, 0x1.cdccdaf7bd073p-4, 0x1.c90d5d51f0ba8p-4, 0x1.c44e92f770d4ap-4, 0x1.bf90c782c39c1p-4, 0x1.bad444fcff117p-4, 0x1.b61953de6ac86p-4, 0x1.b1603b0f2e117p-4, 0x1.aca93fe840fd4p-4, 0x1.a7f4a6348ea2p-4, 0x1.a342b03227361p-4, 0x1.9e939e93bc0dap-4, 0x1.99e7b0822ef28p-4, 0x1.953f239e5750fp-4, 0x1.909a3402df241p-4, 0x1.8bf91c4655e47p-4, 0x1.875c157d59fbbp-4, 0x1.82c3573cee5f5p-4, 0x1.7e2f179cee9b8p-4, 0x1.799f8b3aa7cf2p-4, 0x1.7514e53b85b5cp-4, 0x1.708f574fed9c8p-4, 0x1.6c0f11b62e9fbp-4, 0x1.6794433d8e0edp-4, 0x1.631f1949734d3p-4, 0x1.5eafbfd4a73aap-4, 0x1.5a466174b6435p-4, 0x1.55e3275d6055dp-4, 0x1.5186396428b0fp-4, 0x1.4d2fbe03f41ep-4, 0x1.48dfda60c29dp-4, 0x1.4496b24b7723bp-4, 0x1.40546845b5e15p-4, 0x1.3c191d85d635fp-4, 0x1.37e4f1fadf659p-4, 0x1.33b80450992c2p-4, 0x1.2f9271f3a7ed6p-4, 0x1.2b745715c0ff9p-4, 0x1.275dceb1dd061p-4, 0x1.234ef290812acp-4, 0x1.1f47db4c0f613p-4, 0x1.1b48a0551ffc7p-4, 0x1.175157f6eabffp-4, 0x1.1362175bb077cp-4, 0x1.0f7af29130e14p-4, 0x1.0b9bfc8d287e4p-4, 0x1.07c54731cf76ap-4, 0x1.03f6e3526362p-4, 0x1.0030e0b7b3b5p-4, 0x1.f8e69c495ba8ap-5, 0x1.f17c72b5eba57p-5, 0x1.ea235e3eec11cp-5, 0x1.e2db767df32aap-5, 0x1.dba4d125810fp-5, 0x1.d47f820a3a61p-5, 0x1.cd6b9b2c0bae6p-5, 0x1.c6692cbf62aap-5, 0x1.bf7845364b3efp-5, 0x1.b898f149a0582p-5, 0x1.b1cb3c0226d7p-5, 0x1.ab0f2ec1a8e5p-5, 0x1.a464d14c0601bp-5, 0x1.9dcc29d03d70fp-5, 0x1.97453cf16d659p-5, 0x1.90d00dcfc2b21p-5, 0x1.8a6c9e1168d25p-5, 0x1.841aedeb5ddp-5, 0x1.7ddafc2a4b146p-5, 0x1.77acc63b334cap-5, 0x1.71904834372d3p-5, 0x1.6b857cdd256e5p-5, 0x1.658c5db814a29p-5, 0x1.5fa4e309dcaeep-5, 0x1.59cf03e2817b4p-5, 0x1.540ab62590f91p-5, 0x1.4e57ee926016bp-5, 0x1.48b6a0cc3ff55p-5, 0x1.4326bf62a2efcp-5, 0x1.3da83bd913897p-5, 0x1.383b06af2ff0ap-5, 0x1.32df0f6886e47p-5, 0x1.2d944494516b4p-5, 0x1.285a93d52b212p-5, 0x1.2331e9e8a7574p-5, 0x1.1e1a32aec303ap-5, 0x1.191359315981cp-5, 0x1.141d47ab65409p-5, 0x1.0f37e79039c0fp-5, 0x1.0a632192a2229p-5, 0x1.059eddabd46ap-5, 0x1.00eb0322684bbp-5, 0x1.f88ef12238b45p-6, 0x1.ef6847db13ef2p-6, 0x1.e661d51d8097p-6, 0x1.dd7b6267878e9p-6, 0x1.d4b4b813d92f8p-6, 0x1.cc0d9d666d53ap-6, 0x1.c385d898ddb42p-6, 0x1.bb1d2ee6825bap-6, 0x1.b2d364987578p-6, 0x1.aaa83d113c64dp-6, 0x1.a29b7ad8597d8p-6, 0x1.9aacdfa59c7ep-6, 0x1.92dc2c6c365f1p-6, 0x1.8b292165937e7p-6, 0x1.83937e1c32f72p-6, 0x1.7c1b0175e2754p-6, 0x1.74bf69be37f6cp-6, 0x1.6d8074b084707p-6, 0x1.665ddf81a9996p-6, 0x1.5f5766e9cdefp-6, 0x1.586cc72dbadfbp-6, 0x1.519dbc282e4b3p-6, 0x1.4aea0152c97e6p-6, 0x1.445151cee6d9fp-6, 0x1.3dd3686e4e669p-6, 0x1.376fffbb91becp-6, 0x1.3126d2023987p-6, 0x1.2af79956eb28ep-6, 0x1.24e20f9f26683p-6, 0x1.1ee5ee98f2154p-6, 0x1.1902efe2474d2p-6, 0x1.1338cd0070104p-6, 0x1.0d873f66e5116p-6, 0x1.07ee007e62692p-6, 0x1.026cc9ab81234p-6, 0x1.fa06a8aa86dbdp-7, 0x1.ef62b3d6ce294p-7, 0x1.e4ed27d926c81p-7, 0x1.daa577d8aa2ecp-7, 0x1.d08b1731bfbbfp-7, 0x1.c69d79819a203p-7, 0x1.bcdc12b0f3f8bp-7, 0x1.b34656feda7c2p-7, 0x1.a9dbbb0aaee71p-7, 0x1.a09bb3de56599p-7, 0x1.9785b6f7e9a27p-7, 0x1.8e993a52af7d9p-7, 0x1.85d5b470670abp-7, 0x1.7d3a9c61eac98p-7, 0x1.74c769cf8bcfcp-7, 0x1.6c7b95012538p-7, 0x1.645696e6011f5p-7, 0x1.5c57e91c33b64p-7, 0x1.547f05f81819ap-7, 0x1.4ccb688af73e7p-7, 0x1.453c8ca9f04ffp-7, 0x1.3dd1eef466c06p-7, 0x1.368b0cd9d933p-7, 0x1.2f6764a03e613p-7, 0x1.286675694aa2bp-7, 0x1.2187bf37f5ebp-7, 0x1.1acac2f5b1fa1p-7, 0x1.142f02771cf6bp-7, 0x1.0db40080ede07p-7, 0x1.075940cc49022p-7, 0x1.011e480ae53f3p-7, 0x1.f60537d660816p-8, 0x1.ea0b86380ad78p-8, 0x1.de4e8aa05c7ap-8, 0x1.d2cd56839a7f5p-8, 0x1.c786fd6b3efffp-8, 0x1.bc7a94fbc15d8p-8, 0x1.b1a734f9ead9ep-8, 0x1.a70bf7506722cp-8, 0x1.9ca7f8141ead8p-8, 0x1.927a5589534b2p-8, 0x1.88823026a31dcp-8, 0x1.7ebeaa9a20abcp-8, 0x1.752ee9cb8a0bap-8, 0x1.6bd214e00bd12p-8, 0x1.62a7553cf9fb9p-8, 0x1.59add689fc283p-8, 0x1.50e4c6b36bddap-8, 0x1.484b55ec30cdcp-8, 0x1.3fe0b6af461d3p-8, 0x1.37a41dc1164a7p-8, 0x1.2f94c23084e46p-8, 0x1.27b1dd57ada95p-8, 0x1.1ffaaadc9e4cfp-8, 0x1.186e68b11acc4p-8, 0x1.110c571349688p-8, 0x1.09d3b88d0c056p-8, 0x1.02c3d1f3e71bdp-8, 0x1.f7b7d4cfd9823p-9, 0x1.ea3696a711291p-9, 0x1.dd0280d3d8c94p-9, 0x1.d01a2f4c12932p-9, 0x1.c37c4292235dap-9, 0x1.b7275fb1e5d6bp-9, 0x1.ab1a303cc857ep-9, 0x1.9f53624604a05p-9, 0x1.93d1a85e54637p-9, 0x1.8893b98f218d3p-9, 0x1.7d9851566b3b1p-9, 0x1.72de2fa05a7b9p-9, 0x1.686418c319348p-9, 0x1.5e28d577c0409p-9, 0x1.542b32d592f59p-9, 0x1.4a6a024a9840fp-9, 0x1.40e4199600d2p-9, 0x1.379852c0d98bcp-9, 0x1.2e858c1760174p-9, 0x1.25aaa821b8b5fp-9, 0x1.1d068d9cc39a3p-9, 0x1.14982772041f1p-9, 0x1.0c5e64b09ab8ap-9, 0x1.04583884a990fp-9, 0x1.f909345f98db4p-10, 0x1.e9c50a00cb5p-10, 0x1.dae1f09326f06p-10, 0x1.cc5deeb49244fp-10, 0x1.be3712eaf6db1p-10, 0x1.b06b73900aa21p-10, 0x1.a2f92ec20f4c2p-10, 0x1.95de6a4fe71b3p-10, 0x1.891953a7f37f6p-10, 0x1.7ca81fc5892b7p-10, 0x1.70890b1dcb0a6p-10, 0x1.64ba598d3b997p-10, 0x1.593a56454f63p-10, 0x1.4e0753b8b5961p-10, 0x1.431fab8875689p-10, 0x1.3881be709c03ap-10, 0x1.2e2bf434f5b1dp-10, 0x1.241cbb8d50d5p-10, 0x1.1a528a1285e5p-10, 0x1.10cbdc2a08813p-10, 0x1.078734f2c6e66p-10, 0x1.fd063c6354f6dp-11, 0x1.eb7c507b1f226p-11, 0x1.da6dd3d68922dp-11, 0x1.c9d800f4a4bffp-11, 0x1.b9b81f00c8e1bp-11, 0x1.aa0b81acebdcbp-11, 0x1.9acf890834579p-11, 0x1.8c01a15852355p-11, 0x1.7d9f42f25b6d5p-11, 0x1.6fa5f21374de2p-11, 0x1.62133eb7ac9bfp-11, 0x1.54e4c475303cep-11, 0x1.48182a53a5edcp-11, 0x1.3bab22a4fce74p-11, 0x1.2f9b6adfe48c8p-11, 0x1.23e6cb774e087p-11, 0x1.188b17b56b6eap-11, 0x1.0d862d93b092ap-11, 0x1.02d5f5964212ep-11, 0x1.f0f0c54872228p-12, 0x1.dcd6e3c65e208p-12, 0x1.c95a552199d2p-12, 0x1.b6773bba03791p-12, 0x1.a429cd8c953d1p-12, 0x1.926e53e600076p-12, 0x1.81412b1a1b846p-12, 0x1.709ec23bd597ap-12, 0x1.60839ad458f3fp-12, 0x1.50ec489a836a5p-12, 0x1.41d5712c8375fp-12, 0x1.333bcbc909b2cp-12, 0x1.251c210609ad6p-12, 0x1.17734a8f7bd64p-12, 0x1.0a3e32dec0733p-12, 0x1.faf3a9edfbf6fp-13, 0x1.e24678439d70ap-13, 0x1.ca6f0758e2e51p-13, 0x1.b367ad460c74dp-13, 0x1.9d2adf1ebf55bp-13, 0x1.87b33071bd936p-13, 0x1.72fb52c25f087p-13, 0x1.5efe150d1867ap-13, 0x1.4bb66344930c2p-13, 0x1.391f45d6409f5p-13, 0x1.2733e12d0ea82p-13, 0x1.15ef7535ed949p-13, 0x1.054d5ce5a506dp-13, 0x1.ea921b8637177p-14, 0x1.cbbc2ed65f9a8p-14, 0x1.ae104645661ecp-14, 0x1.9185e6b580f83p-14, 0x1.7614c6823d0a4p-14, 0x1.5bb4cc99bf4e5p-14, 0x1.425e0fa0edaf5p-14, 0x1.2a08d512b4f9bp-14, 0x1.12ad9066e3d89p-14, 0x1.f889c46d52e19p-15, 0x1.cd8f2ecc036d1p-15, 0x1.a45d50af46434p-15, 0x1.7ce6702df473dp-15, 0x1.571d27181b7e7p-15, 0x1.32f461621846fp-15, 0x1.105f5b9b14c37p-15, 0x1.dea342ab5d32p-16, 0x1.9f7e17501e114p-16, 0x1.63377f65d708p-16, 0x1.29b85a34e550fp-16, 0x1.e5d4326d1880cp-17, 0x1.7d6d7a6a6a671p-17, 0x1.1a11a6c5dd1e6p-17, 0x1.772dca9541b75p-18, 0x1.8751c64d3a405p-19, 0x1.9451f4edc6348p-22, -0x1.1095e5e23ea44p-19, -0x1.2152c9bb4ef94p-18, -0x1.b21bea1df5ecfp-18, -0x1.1d76f8fda8084p-17, -0x1.5e07512c4f149p-17, -0x1.9ae0f489e3df7p-17, -0x1.d424f556a0b67p-17, -0x1.04f9c2ff8cd6p-16, -0x1.1e35fedb7d19p-16, -0x1.35d66e90486p-16, -0x1.4be9e97bab241p-16, -0x1.607ee03a11675p-16, -0x1.73a35ee288dadp-16, -0x1.85650f360d787p-16, -0x1.95d13abfac5eep-16, -0x1.a4f4cce59a7a2p-16, -0x1.b2dc5507a36cbp-16, -0x1.bf94087e5508ap-16, -0x1.cb27c49f57ec6p-16, -0x1.d5a310b27eac8p-16, -0x1.df111fda01542p-16, -0x1.e77cd302b4721p-16, -0x1.eef0bab8c190bp-16, -0x1.f57718f8ba883p-16, -0x1.fb19e300bf8d1p-16, -0x1.ffe2c3164be1bp-16, -0x1.01ed8d1f3798fp-15, -0x1.038600f7c83e4p-15, -0x1.04bf26e115b61p-15, -0x1.059d46893ef11p-15, -0x1.0624864cca1c3p-15, -0x1.0658ec01e8a89p-15, -0x1.063e5dbf60f4dp-15, -0x1.05d8a29e85304p-15, -0x1.052b637beb638p-15, -0x1.043a2bb0a0d02p-15, -0x1.030869cdad453p-15, -0x1.0199704a81ee6p-15, -0x1.ffe0ec7464577p-16, -0x1.fc212feee4b8bp-16, -0x1.f7f9afa0792dfp-16, -0x1.f3703d5633356p-16, -0x1.ee8a795602eb3p-16, -0x1.e94dd3a1646c8p-16, -0x1.e3bf8d271426cp-16, -0x1.dde4b8ffc048bp-16, -0x1.d7c23d9553a9p-16, -0x1.d15cd5ccb44c4p-16, -0x1.cab9122d1ede4p-16, -0x1.c3db59f08f509p-16, -0x1.bcc7ec20788d2p-16, -0x1.b582e0a6e9df4p-16, -0x1.ae10295160a0ep-16, -0x1.a67392d62a5a9p-16, -0x1.9eb0c5dce6b96p-16, -0x1.96cb47ee5fd6p-16, -0x1.8ec67c6cb81adp-16, -0x1.86a5a5857bcc9p-16, -0x1.7e6be5165debbp-16, -0x1.761c3d91af31bp-16, -0x1.6db992e67dcd4p-16, -0x1.6546ab4d3517fp-16, -0x1.5cc6302b0d902p-16, -0x1.543aaede527c5p-16, -0x1.4ba6998e60e0bp-16, -0x1.430c47ebd9243p-16, -0x1.3a6df7fe3f4ccp-16, -0x1.31cdcedf39262p-16, -0x1.292dd973fa32dp-16, -0x1.20900d1f49f02p-16, -0x1.17f6487ed1736p-16, -0x1.0f625416c022ap-16, -0x1.06d5e2f63b07ep-16, -0x1.fca526c7b4dd1p-17, -0x1.ebb3defa9f07p-17, -0x1.dadadbae5bfap-17, -0x1.ca1ce4283a3d5p-17, -0x1.b97c9affcc2e9p-17, -0x1.a8fc7f4aefa3ap-17, -0x1.989eedb2252dcp-17, -0x1.88662190f4debp-17, -0x1.785436078c07bp-17, -0x1.686b270d234a9p-17, -0x1.58acd261f34e9p-17, -0x1.491af898d5efcp-17, -0x1.39b73e1427823p-17, -0x1.2a832bf61e0fep-17, -0x1.1b80310947307p-17, -0x1.0cafa2a3d9073p-17, -0x1.fc257b1b317cep-18, -0x1.df554dbef7b5fp-18, -0x1.c2f0d99290078p-18, -0x1.a6fa0ed523dfcp-18, -0x1.8b72b33831e7dp-18, -0x1.705c6363f1f78p-18, -0x1.55b8947f763edp-18, -0x1.3b8895a3114dbp-18, -0x1.21cd913959d44p-18, -0x1.08888e6ebef01p-18, -0x1.df74e4fed40c6p-19, -0x1.aec804174499fp-19, -0x1.7f0bc4969105ep-19, -0x1.504134c85f67ep-19, -0x1.226929276a3efp-19, -0x1.eb087d4f10b54p-20, -0x1.9325ba2d2eacbp-20, -0x1.3d2a7262372dep-20, -0x1.d22d5bffbbac7p-21, -0x1.2dd42e78d0d42p-21, -0x1.1a8ffaef9cb0fp-22, 0x1.ef2809bb5461p-26, 0x1.50e46fdc8e4bfp-22, 0x1.3da632785d94cp-21, 0x1.cf190da60fe1bp-21, 0x1.2e679aa32896bp-20, 0x1.7366ce0c88a3bp-20, 0x1.b68cdac54ccc4p-20, 0x1.f7dcb771b13b8p-20, 0x1.1bacca73a1b56p-19, 0x1.3a836d742e5ccp-19, 0x1.58741294a0cc4p-19, 0x1.7580a055e633p-19, 0x1.91ab147f0b28fp-19, 0x1.acf582bcb62d5p-19, 0x1.c762137c10183p-19, 0x1.e0f30294ab9c7p-19, 0x1.f9aa9e15bb1cdp-19, 0x1.08c5a292e88afp-18, }}, 
      {{0x1.9c6e4747e67edp-8, 0x1.9d3a301d5caf8p-7, 0x1.36cb0056136fbp-6, 0x1.9fbe68faf8472p-6, 0x1.04b1b12b184b1p-5, 0x1.39c02a3491462p-5, 0x1.6edffaed3b832p-5, 0x1.a3dda39e9e8ecp-5, 0x1.d8813136794edp-5, 0x1.0648edf1f8ddfp-4, 0x1.1fec6df1ad87ap-4, 0x1.3911c411b722ap-4, 0x1.51a26bcfb97d1p-4, 0x1.698b2e95966bcp-4, 0x1.80bc69512547dp-4, 0x1.972a22f47d7e5p-4, 0x1.accbfc356aa88p-4, 0x1.c19d005026315p-4, 0x1.d59b5e20e3131p-4, 0x1.e8c81072a81acp-4, 0x1.fb267bd18286cp-4, 0x1.065e03bd997dap-3, 0x1.0ec7db1c03a08p-3, 0x1.16d4e180e078p-3, 0x1.1e89a23a71b26p-3, 0x1.25eaec9403d18p-3, 0x1.2cfdaf1b38364p-3, 0x1.33c6d84be21edp-3, 0x1.3a4b3ca50a4d6p-3, 0x1.408f81ef93bbcp-3, 0x1.46980f546179fp-3, 0x1.4c6901c3b813cp-3, 0x1.5206241fd9fe2p-3, 0x1.5772ea97503b5p-3, 0x1.5cb2709e04a36p-3, 0x1.61c778fce4fep-3, 0x1.66b46f7c810f9p-3, 0x1.6b7b6bbe315ep-3, 0x1.701e34e7a5b76p-3, 0x1.749e45d4eebf3p-3, 0x1.78fcd194a66b2p-3, 0x1.7d3ac8000cffp-3, 0x1.8158da4d82997p-3, 0x1.85577f86627bap-3, 0x1.8936f8d245cd9p-3, 0x1.8cf755908765fp-3, 0x1.9098773e56f0cp-3, 0x1.941a152b73234p-3, 0x1.977bc0021f818p-3, 0x1.9abce52861d3p-3, 0x1.9ddcd2011bb9dp-3, 0x1.a0dab7137c3e6p-3, 0x1.a3b5ab1e8ff05p-3, 0x1.a66cae1deccd6p-3, 0x1.a8feac431acbbp-3, 0x1.ab6a80e64310cp-3, 0x1.adaef96f66e2ep-3, 0x1.afcad8382b86ep-3, 0x1.b1bcd76551f1ep-3, 0x1.b383abb5e6b02p-3, 0x1.b51e0745bb3e6p-3, 0x1.b68a9c3fe371cp-3, 0x1.b7c81f7de296dp-3, 0x1.b8d54b0fbc502p-3, 0x1.b9b0e0a94bdb6p-3, 0x1.ba59abf1364fbp-3, 0x1.bace84ae148abp-3, 0x1.bb0e50cec42fbp-3, 0x1.bb18064b19ep-3, 0x1.baeaacdac1bap-3, 0x1.ba855f807402dp-3, 0x1.b9e74de83b28ep-3, 0x1.b90fbd97f1dcdp-3, 0x1.b7fe0af1bc8ecp-3, 0x1.b6b1aa0891a9fp-3, 0x1.b52a2747807b3p-3, 0x1.b36727ecb334p-3, 0x1.b1686a59912a3p-3, 0x1.af2dc639bd875p-3, 0x1.acb72c82f5dc4p-3, 0x1.aa04a7500d37ap-3, 0x1.a716599977cb2p-3, 0x1.a3ec7ece001afp-3, 0x1.a0876a4e56734p-3, 0x1.9ce786ce44014p-3, 0x1.990d559e4bccep-3, 0x1.94f96de08bbd7p-3, 0x1.90ac7bab972f8p-3, 0x1.8c273f1e1013dp-3, 0x1.876a8b65940e6p-3, 0x1.827745bb85db8p-3, 0x1.7d4e645a1f1adp-3, 0x1.77f0ed6c09c32p-3, 0x1.725ff5f8a8c47p-3, 0x1.6c9ca0cf099cep-3, 0x1.66a81d714847dp-3, 0x1.6083a702237c4p-3, 0x1.5a3083362ba0dp-3, 0x1.53b00149f438cp-3, 0x1.4d0378fe773fap-3, 0x1.462c499caa6cep-3, 0x1.3f2bd9013841dp-3, 0x1.380392b113d9p-3, 0x1.30b4e6f78245fp-3, 0x1.29414a0e28045p-3, 0x1.21aa334f60d5bp-3, 0x1.19f11c73410cp-3, 0x1.121780d74ad06p-3, 0x1.0a1edcd108a73p-3, 0x1.0208ad0b6bc54p-3, 0x1.f3acdbddde2e3p-4, 0x1.e313362884912p-4, 0x1.d2475d829e204p-4, 0x1.c14c42e0abc7p-4, 0x1.b024d2c1862d4p-4, 0x1.9ed3f462ea49ep-4, 0x1.8d5c8907ffb9dp-4, 0x1.7bc16b511647fp-4, 0x1.6a056ea3ca5cbp-4, 0x1.582b5ea294965p-4, 0x1.4635feb2f6885p-4, 0x1.34280991439cfp-4, 0x1.220430f1351ap-4, 0x1.0fcd1d2a4ae6ap-4, 0x1.fb0ad9de4bed8p-5, 0x1.d65f6a1de032ep-5, 0x1.b19d007ff73p-5, 0x1.8cc89de5aa86cp-5, 0x1.67e72e59b6894p-5, 0x1.42fd88d38d584p-5, 0x1.1e106f0684581p-5, 0x1.f2491a77f41fp-6, 0x1.a87cf46e30f19p-6, 0x1.5ec56e41e23f3p-6, 0x1.152b5ef7d9d9fp-6, 0x1.976ee475f08a9p-7, 0x1.04e450b4090e4p-7, 0x1.cb1eb27384831p-9, -0x1.ed6b46b61ce42p-11, -0x1.5fcdaad012a41p-8, -0x1.40590f93105b9p-7, -0x1.d01e12263dbe2p-7, -0x1.2f93710f8681cp-6, -0x1.76b26d000864fp-6, -0x1.bd64d4c837782p-6, -0x1.01d1d566effeep-5, -0x1.24b40dec8d757p-5, -0x1.4755bf7ab4eeap-5, -0x1.69b3aaa9f69f6p-5, -0x1.8bcaa51782679p-5, -0x1.ad979957ba4ecp-5, -0x1.cf1786e9a08dbp-5, -0x1.f047822b07cfap-5, -0x1.08925a26d19cap-4, -0x1.18d62da6613e9p-4, -0x1.28ede4f1e4082p-4, -0x1.38d833c2971b9p-4, -0x1.4893d82901da3p-4, -0x1.581f9a88e333ep-4, -0x1.677a4d95346d2p-4, -0x1.76a2ce4c350bp-4, -0x1.859803f36fe2bp-4, -0x1.9458e01393a6cp-4, -0x1.a2e45e74240c9p-4, -0x1.b1398516d5183p-4, -0x1.bf5764328d90bp-4, -0x1.cd3d162df7a2cp-4, -0x1.dae9bf997cae6p-4, -0x1.e85c8f28b6fb7p-4, -0x1.f594bdab2c78fp-4, -0x1.0148c7022239ep-3, -0x1.07a926913d03dp-3, -0x1.0deb28facd04p-3, -0x1.140e7eb210be8p-3, -0x1.1a12dd1fccc3p-3, -0x1.1ff7fe9bf065ap-3, -0x1.25bda266b5a6p-3, -0x1.2b638ca12ff33p-3, -0x1.30e986453f3f5p-3, -0x1.364f5d1cfabbbp-3, -0x1.3b94e3b9700f1p-3, -0x1.40b9f168d4ee6p-3, -0x1.45be622c0b6c3p-3, -0x1.4aa216ab9363bp-3, -0x1.4f64f42bd5a4ap-3, -0x1.5406e480cc647p-3, -0x1.5887d60112a3p-3, -0x1.5ce7bb7852964p-3, -0x1.61268c1916a3bp-3, -0x1.6544436e022d2p-3, -0x1.6940e14a72316p-3, -0x1.6d1c69ba8be96p-3, -0x1.70d6e4f2b6bd4p-3, -0x1.74705f3e91681p-3, -0x1.77e8e8ef55f81p-3, -0x1.7b409649c1c91p-3, -0x1.7e777f737b5p-3, -0x1.818dc060058d2p-3, -0x1.848378bd33f31p-3, -0x1.8758cbdf3e6d5p-3, -0x1.8a0de0ac67733p-3, -0x1.8ca2e1883f969p-3, -0x1.8f17fc3e903bbp-3, -0x1.916d61edf2c09p-3, -0x1.93a346f2187a5p-3, -0x1.95b9e2cdca91fp-3, -0x1.97b17014a9aa5p-3, -0x1.998a2c54b45a9p-3, -0x1.9b4457ff98e06p-3, -0x1.9ce03653dbb9ap-3, -0x1.9e5e0d45d4e59p-3, -0x1.9fbe256891e28p-3, -0x1.a100c9d699c22p-3, -0x1.a226481aa32c2p-3, -0x1.a32ef0183c4d1p-3, -0x1.a41b13f46bbc4p-3, -0x1.a4eb07fe51619p-3, -0x1.a59f2297d1e93p-3, -0x1.a637bc1e477fp-3, -0x1.a6b52ed347a58p-3, -0x1.a717d6c583709p-3, -0x1.a76011b9bcdcep-3, -0x1.a78e3f13e57ep-3, -0x1.a7a2bfc05e99fp-3, -0x1.a79df61d6b67ap-3, -0x1.a78045e4cca53p-3, -0x1.a74a141593981p-3, -0x1.a6fbc6de3543dp-3, -0x1.a695c586ce015p-3, -0x1.a618785bb27e3p-3, -0x1.a584489841d37p-3, -0x1.a4d9a051fdfa4p-3, -0x1.a418ea63f0c7ep-3, -0x1.a342925a67fdep-3, -0x1.a257045ef6d7fp-3, -0x1.a156ad24d85b7p-3, -0x1.a041f9d59fefcp-3, -0x1.9f1957fe4c7bp-3, -0x1.9ddd357cb1b27p-3, -0x1.9c8e006d44d01p-3, -0x1.9b2c2719421f4p-3, -0x1.99b817e53f9c2p-3, -0x1.9832414017888p-3, -0x1.969b11923f327p-3, -0x1.94f2f72d84a43p-3, -0x1.933a603d2b543p-3, -0x1.9171bab67c0f7p-3, -0x1.8f997449b4c45p-3, -0x1.8db1fa536803ap-3, -0x1.8bbbb9ce3fe65p-3, -0x1.89b71f45351p-3, -0x1.87a496c624afcp-3, -0x1.85848bd4d7fa1p-3, -0x1.8357695e77d35p-3, -0x1.811d99ad63dffp-3, -0x1.7ed7865d7b0cap-3, -0x1.7c859850c93e7p-3, -0x1.7a2837a49e9p-3, -0x1.77bfcba713a1ep-3, -0x1.754cbaccef8d1p-3, -0x1.72cf6aa7f844bp-3, -0x1.70483fddac856p-3, -0x1.6db79e1e5da4ep-3, -0x1.6b1de81cb12d5p-3, -0x1.687b7f85833a3p-3, -0x1.65d0c4f83343ap-3, -0x1.631e17ff447a9p-3, -0x1.6063d7096a557p-3, -0x1.5da25f62eed58p-3, -0x1.5ada0d2f73659p-3, -0x1.580b3b64151e2p-3, -0x1.553643c1e115p-3, -0x1.525b7ed0ab30dp-3, -0x1.4f7b43da36ca8p-3, -0x1.4c95e8e5b663bp-3, -0x1.49abc2b3a0afp-3, -0x1.46bd24b9d685ap-3, -0x1.43ca612019c8fp-3, -0x1.40d3c8bcd8b5bp-3, -0x1.3dd9ab123c10dp-3, -0x1.3adc564b8c68ap-3, -0x1.37dc173ada30bp-3, -0x1.34d93956f2632p-3, -0x1.31d406b996dddp-3, -0x1.2eccc81dfdfe8p-3, -0x1.2bc3c4df9437bp-3, -0x1.28b942f8febcep-3, -0x1.25ad870360274p-3, -0x1.22a0d435d8ea6p-3, -0x1.1f936c65447acp-3, -0x1.1c8590042fa0cp-3, -0x1.19777e230d3f5p-3, -0x1.1669747098d84p-3, -0x1.135baf3a74e0ap-3, -0x1.104e696dfcfacp-3, -0x1.0d41dc9947afcp-3, -0x1.0a3640ec57a95p-3, -0x1.072bcd3a7aa85p-3, -0x1.0422b6fbdfe5fp-3, -0x1.011b324f4553dp-3, -0x1.fc2ae3f7cda7ap-4, -0x1.f6234ee6fe11p-4, -0x1.f02005a8fb996p-4, -0x1.ea2165d8be6e6p-4, -0x1.e427ca7446541p-4, -0x1.de338be1d0218p-4, -0x1.d844fff556e37p-4, -0x1.d25c79f640f97p-4, -0x1.cc7a4aa551cf4p-4, -0x1.c69ec042d928ep-4, -0x1.c0ca26950ae4cp-4, -0x1.bafcc6ee9612ep-4, -0x1.b536e8355f3b6p-4, -0x1.af78cee9712ep-4, -0x1.a9c2bd2c1b8efp-4, -0x1.a414f2c72a04fp-4, -0x1.9e6fad3451f05p-4, -0x1.98d327a4b83c2p-4, -0x1.933f9b08a1c1dp-4, -0x1.8db53e1735f8ap-4, -0x1.8834455668597p-4, -0x1.82bce322f7921p-4, -0x1.7d4f47b8863bep-4, -0x1.77eba139c5294p-4, -0x1.72921bb8b7629p-4, -0x1.6d42e13f04bd2p-4, -0x1.67fe19d659fe2p-4, -0x1.62c3eb90ddec4p-4, -0x1.5d947a91a87e6p-4, -0x1.586fe9154e723p-4, -0x1.5356577a6d69ep-4, -0x1.4e47e44a42c4ep-4, -0x1.4944ac41481a4p-4, -0x1.444cca57d093ap-4, -0x1.3f6057caaa81ap-4, -0x1.3a7f6c23c1a3cp-4, -0x1.35aa1d42bdec5p-4, -0x1.30e07f65a2f7dp-4, -0x1.2c22a5316a3dbp-4, -0x1.27709fba9a704p-4, -0x1.22ca7e8dd2e67p-4, -0x1.1e304fb858406p-4, -0x1.19a21fd092458p-4, -0x1.151ff9fe80421p-4, -0x1.10a9e80425d4cp-4, -0x1.0c3ff245eae43p-4, -0x1.07e21fd2ecfadp-4, -0x1.0390766d4370ap-4, -0x1.fe95f5246f3e1p-5, -0x1.f6235f04d753p-5, -0x1.edc92e93deaa6p-5, -0x1.e58765908fb6ep-5, -0x1.dd5e0370c1bb8p-5, -0x1.d54d0570dccb7p-5, -0x1.cd5466a379327p-5, -0x1.c5742000cfb77p-5, -0x1.bdac287603dfap-5, -0x1.b5fc74f44614fp-5, -0x1.ae64f87fcc486p-5, -0x1.a6e5a43e96dbap-5, -0x1.9f7e67870f8bp-5, -0x1.982f2fee7a3fcp-5, -0x1.90f7e9572fb37p-5, -0x1.89d87dfeb1056p-5, -0x1.82d0d68b87f13p-5, -0x1.7be0da1af50fcp-5, -0x1.75086e4e6e98p-5, -0x1.6e477758e9a4cp-5, -0x1.679dd80bf238ap-5, -0x1.610b71e497a12p-5, -0x1.5a9025181768p-5, -0x1.542bd0a0629f4p-5, -0x1.4dde524861617p-5, -0x1.47a786b8148b2p-5, -0x1.418749806ac0dp-5, -0x1.3b7d7526fa5d1p-5, -0x1.3589e33171218p-5, -0x1.2fac6c30db71cp-5, -0x1.29e4e7ccb7d56p-5, -0x1.24332ccdcacb6p-5, -0x1.1e971128c80a5p-5, -0x1.19106a08c04adp-5, -0x1.139f0bd95f91ep-5, -0x1.0e42ca50f54ccp-5, -0x1.08fb787a447a8p-5, -0x1.03c8e8be24b0cp-5, -0x1.fd55d9d9d16fdp-6, -0x1.f342ac8f3962ap-6, -0x1.e957eb1202c7cp-6, -0x1.df9535dcc3c57p-6, -0x1.d5fa2c805ac74p-6, -0x1.cc866db4c8cd6p-6, -0x1.c33997699a6fap-6, -0x1.ba1346d5ff40cp-6, -0x1.b113188869908p-6, -0x1.a838a875d9bd3p-6, -0x1.9f839208c91cap-6, -0x1.96f3702fa93bep-6, -0x1.8e87dd6b10158p-6, -0x1.864073db7a061p-6, -0x1.7e1ccd4ebfc18p-6, -0x1.761c834d16c3ep-6, -0x1.6e3f2f25cd80ep-6, -0x1.668469fba50e3p-6, -0x1.5eebccd0cbcf7p-6, -0x1.5774f09284646p-6, -0x1.501f6e2478da1p-6, -0x1.48eade6bb74e6p-6, -0x1.41d6da5955e98p-6, -0x1.3ae2faf4bcc4cp-6, -0x1.340ed965b61dcp-6, -0x1.2d5a0efe0ea69p-6, -0x1.26c43542fb6e2p-6, -0x1.204ce5f62aa31p-6, -0x1.19f3bb1e814d8p-6, -0x1.13b84f1096e38p-6, -0x1.0d9a3c76dbb7ep-6, -0x1.07991e59817c7p-6, -0x1.01b490260d36cp-6, -0x1.f7d85b6d53beap-7, -0x1.ec7f26b277592p-7, -0x1.e15cbbac399f1p-7, -0x1.d67054ed4f0dp-7, -0x1.cbb92e16ec98dp-7, -0x1.c13683e4c9668p-7, -0x1.b6e7943893c08p-7, -0x1.accb9e2507c46p-7, -0x1.a2e1e1f869d7cp-7, -0x1.9929a146a43a2p-7, -0x1.8fa21ef2d671cp-7, -0x1.864a9f38893dap-7, -0x1.7d2267b4610dp-7, -0x1.7428bf6c62b0cp-7, -0x1.6b5ceed7e0ca3p-7, -0x1.62be3fe6dde63p-7, -0x1.5a4bfe0929a1bp-7, -0x1.52057634f9834p-7, -0x1.49e9f6ed45504p-7, -0x1.41f8d0478f2fap-7, -0x1.3a3153f1917bap-7, -0x1.3292d53644d0bp-7, -0x1.2b1ca902d268ap-7, -0x1.23ce25eb03b72p-7, -0x1.1ca6a42d6c5bap-7, -0x1.15a57db73ea62p-7, -0x1.0eca0e27d02b6p-7, -0x1.0813b2d3d2e9ep-7, -0x1.0181cac843fb1p-7, -0x1.f6276d9a0a883p-8, -0x1.e991b2ce5f96p-8, -0x1.dd412db68211cp-8, -0x1.d134aa5d7e98p-8, -0x1.c56af853e112ep-8, -0x1.b9e2eab21e90cp-8, -0x1.ae9b581aace9cp-8, -0x1.a3931abbc7147p-8, -0x1.98c910507212fp-8, -0x1.8e3c1a215e214p-8, -0x1.83eb1d0534ad2p-8, -0x1.79d501604fff4p-8, -0x1.6ff8b3247b0e2p-8, -0x1.665521cfe2febp-8, -0x1.5ce9406bd6d2ep-8, -0x1.53b4058b2d4d8p-8, -0x1.4ab46b485dfefp-8, -0x1.41e96f42fe613p-8, -0x1.3952129d51888p-8, -0x1.30ed59f94214bp-8, -0x1.28ba4d750de3p-8, -0x1.20b7f8a7ddc37p-8, -0x1.18e56a9ddf5c9p-8, -0x1.1141b5d4294c6p-8, -0x1.09cbf0347a216p-8, -0x1.02833310967ffp-8, -0x1.f6cd363aa36c4p-9, -0x1.e8ea90dbc13dep-9, -0x1.db5cbcdc41acbp-9, -0x1.ce2207bb02fd6p-9, -0x1.c138c5924b2b2p-9, -0x1.b49f510c10818p-9, -0x1.a8540b562a923p-9, -0x1.9c555c15b5202p-9, -0x1.90a1b15a898f7p-9, -0x1.85377f9207912p-9, -0x1.7a154179cceb6p-9, -0x1.6f3978126b918p-9, -0x1.64a2aa91454fp-9, -0x1.5a4f665262f22p-9, -0x1.503e3ecaa227ap-9, -0x1.466dcd78b1187p-9, -0x1.3cdcb1d6c72d8p-9, -0x1.3389914b592ebp-9, -0x1.2a73171a76d42p-9, -0x1.2197f45631352p-9, -0x1.18f6dfcf8fa42p-9, -0x1.108e9606e77aap-9, -0x1.085dd91c4a697p-9, -0x1.006370bfcfa1fp-9, -0x1.f13c5443b69c7p-10, -0x1.e219afc61eb01p-10, -0x1.d35ca408c84f9p-10, -0x1.c502ebae80866p-10, -0x1.b70a4bda444b2p-10, -0x1.a970940fa026fp-10, -0x1.9c339e117969ep-10, -0x1.8f514dc275b3ap-10, -0x1.82c791044d83dp-10, -0x1.76945f96fac36p-10, -0x1.6ab5baf8ae95ap-10, -0x1.5f29ae45382d3p-10, -0x1.53ee4e15af2ep-10, -0x1.4901b85fd8419p-10, -0x1.3e6214560103p-10, -0x1.340d9246985ep-10, -0x1.2a026b7c6c6f2p-10, -0x1.203ee21dd36b7p-10, -0x1.16c1410d46f46p-10, -0x1.0d87dbc9a4386p-10, -0x1.04910e4da82bep-10, -0x1.f7b679e2acda2p-11, -0x1.e6c9a89396c8ap-11, -0x1.d65892148f3ep-11, -0x1.c6602fca34596p-11, -0x1.b6dd8ad8c9dccp-11, -0x1.a7cdbbe75310ap-11, -0x1.992deae25341ep-11, -0x1.8afb4ebef2e83p-11, -0x1.7d332d3eff38p-11, -0x1.6fd2dab4ecdcdp-11, -0x1.62d7b9c80988fp-11, -0x1.563f3b39e6f8dp-11, -0x1.4a06ddac3fc91p-11, -0x1.3e2c2d6668c81p-11, -0x1.32acc41bf7e69p-11, -0x1.278648b3e1271p-11, -0x1.1cb66f0fc17d5p-11, -0x1.123af7d47b723p-11, -0x1.0811b0318a919p-11, -0x1.fc70e357e3b72p-12, -0x1.e95a43cc502f2p-12, -0x1.d6db64d665435p-12, -0x1.c4f040f2e6dd4p-12, -0x1.b394e99adba8dp-12, -0x1.a2c586dc24eb6p-12, -0x1.927e56f252b49p-12, -0x1.82bbade06a5ap-12, -0x1.7379f50c6b414p-12, -0x1.64b5aadb626e1p-12, -0x1.566b624f4c95p-12, -0x1.4897c2a63a304p-12, -0x1.3b3786f873c69p-12, -0x1.2e477ddbda779p-12, -0x1.21c48904b61abp-12, -0x1.15ab9ce9f3d2ap-12, -0x1.09f9c068df525p-12, -0x1.fd5818d887275p-13, -0x1.e77f5724c83f1p-13, -0x1.d263b3ab8a365p-13, -0x1.bdffc86d129cap-13, -0x1.aa4e50ca253d1p-13, -0x1.974a28db235dp-13, -0x1.84ee4cca19477p-13, -0x1.7335d82f9c6c2p-13, -0x1.621c0570613d5p-13, -0x1.519c2d207dea9p-13, -0x1.41b1c563aa17p-13, -0x1.32586155e3ae1p-13, -0x1.238bb07060292p-13, -0x1.15477df6c2869p-13, -0x1.0787b06189af3p-13, -0x1.f490919cbe1eap-14, -0x1.db0ac4df00cefp-14, -0x1.c2766401d6624p-14, -0x1.aacc0a7944a8ap-14, -0x1.940484a6543bap-14, -0x1.7e18cec9a1b3ep-14, -0x1.690213fe31f0ep-14, -0x1.54b9ad32b3377p-14, -0x1.4139202d07a84p-14, -0x1.2e7a1e8d7aafp-14, -0x1.1c7684dabc4cep-14, -0x1.0b28598ccdcf2p-14, -0x1.f5139842bab56p-15, -0x1.d52a685c326bp-15, -0x1.b68a20feab21fp-15, -0x1.99280c6177ef5p-15, -0x1.7cf9bfa6b3a82p-15, -0x1.61f51924a9d1p-15, -0x1.48103eb60ea0fp-15, -0x1.2f419c184f4d4p-15, -0x1.177fe14fd0397p-15, -0x1.00c2010f0ed34p-15, -0x1.d5fe5e534d922p-16, -0x1.ac5dbe1eacdp-16, -0x1.84918492f801fp-16, -0x1.5e898e080ea6fp-16, -0x1.3a362d3dd638bp-16, -0x1.1788287f959e8p-16, -0x1.ece16dc20587bp-17, -0x1.adc2fb12e8b74p-17, -0x1.71991a03b2ce5p-17, -0x1.3848bd33aaa22p-17, -0x1.01b7a3b4c45d4p-17, -0x1.9b98a7e8b200fp-18, -0x1.38dc2dc06d80fp-18, -0x1.b613cc0c9ca2cp-19, -0x1.03e69f254f146p-19, -0x1.6b5a8e866983p-21, 0x1.15ce6328cc79ep-21, 0x1.ba99b6ec2ad02p-20, 0x1.6d074df9a71bep-19, 0x1.f4f28f6dd9591p-19, 0x1.3aade28a0f6e2p-18, 0x1.7746d562ab72dp-18, 0x1.b0685171d94efp-18, 0x1.e63563070bf6bp-18, 0x1.0c67fca033bb7p-17, 0x1.242c76c0cb02ap-17, 0x1.3a780575c31f6p-17, 0x1.4f5a0ab711453p-17, 0x1.62e168704d954p-17, 0x1.751c83f07064cp-17, 0x1.8619493e388dap-17, 0x1.95e52e6f53c57p-17, 0x1.a48d36dab6af6p-17, 0x1.b21df63f873eep-17, 0x1.bea393d03c239p-17, 0x1.ca29cd3ddbe96p-17, 0x1.d4bbf99ecb853p-17, 0x1.de650c51ea0b4p-17, 0x1.e72f97ceb97adp-17, 0x1.ef25d05ea541ap-17, 0x1.f6518ecb038f9p-17, 0x1.fcbc52f8b6becp-17, 0x1.0137a33a05c14p-16, 0x1.03b99f7612bd6p-16, 0x1.05e860568eb7bp-16, 0x1.07c8007a65a1bp-16, 0x1.095c74242b653p-16, 0x1.0aa98a5be610cp-16, 0x1.0bb2ee06296f1p-16, 0x1.0c7c26fb39d24p-16, 0x1.0d089b13a5c21p-16, 0x1.0d5b8f2cd2d1p-16, 0x1.0d78282966799p-16, 0x1.0d616bec12283p-16, 0x1.0d1a424831a9ep-16, 0x1.0ca575f17b18fp-16, 0x1.0c05b55f03799p-16, 0x1.0b3d93b2f541cp-16, 0x1.0a4f898fcc4cfp-16, 0x1.093df5f449d33p-16, 0x1.080b1f0666a81p-16, 0x1.06b932e0381d3p-16, 0x1.054a4855313fdp-16, 0x1.03c05fb3dc7cap-16, 0x1.021d6381c827dp-16, 0x1.006329309d768p-16, 0x1.fd26e3a020d8ap-17, 0x1.f95fd579cbfacp-17, 0x1.f5745c8b9c0ddp-17, 0x1.f167889f4ecd4p-17, 0x1.ed3c45f1cad36p-17, 0x1.e8f55e6184834p-17, 0x1.e4957a9d61c57p-17, 0x1.e01f234a0329p-17, 0x1.db94c22128229p-17, 0x1.d6f8a3039d7f6p-17, 0x1.d24cf50559b2p-17, 0x1.cd93cb79963d4p-17, 0x1.c8cf1eede8d78p-17, 0x1.c400ce1e8b521p-17, 0x1.bf2a9eebe08e3p-17, 0x1.ba4e3f3ef4d7ep-17, 0x1.b56d45edf1483p-17, 0x1.b08933947be2bp-17, 0x1.aba3736fa39fp-17, 0x1.a6bd5c28d360ep-17, 0x1.a1d8309d7cbdfp-17, 0x1.9cf520a857bb1p-17, 0x1.981549d61d8ap-17, 0x1.9339b821a32f1p-17, 0x1.8e6366a5bf58ap-17, 0x1.89934049148fdp-17, 0x1.84ca2066b8b0fp-17, 0x1.8008d36cb039bp-17, 0x1.7b50177c7d617p-17, 0x1.76a09d00615b9p-17, 0x1.71fb073ea5329p-17, 0x1.6d5feceab7cbdp-17, 0x1.68cfd8ae37dd1p-17, 0x1.644b49aca91cfp-17, 0x1.5fd2b40849aebp-17, 0x1.5b66815e75d31p-17, 0x1.5707113d4473fp-17, 0x1.52b4b999ea90dp-17, 0x1.4e6fc74549932p-17, 0x1.4a387e53e0039p-17, 0x1.460f1a8c9fa83p-17, 0x1.41f3cfcb8e361p-17, 0x1.3de6ca663104p-17, 0x1.39e82f8abc53cp-17, 0x1.35f81d9a30451p-17, 0x1.3216ac80e7737p-17, 0x1.2e43ee104a21bp-17, 0x1.2a7fee4dd5429p-17, 0x1.26cab3c43525ep-17, 0x1.23243fce2a69p-17, 0x1.1f8c8ee434626p-17, 0x1.1c0398ddc0845p-17, 0x1.1889513aedc6bp-17, 0x1.151da7647af32p-17, 0x1.11c086ec82e1cp-17, 0x1.0e71d7cb160aap-17, 0x1.0b317e96b6c07p-17, 0x1.07ff5cc3773dap-17, 0x1.04db50d23128dp-17, 0x1.01c536880090ap-17, 0x1.fd79ce40479cap-18, 0x1.f78472f5f27fcp-18, 0x1.f1aa049cadc57p-18, 0x1.ebea289f5c22fp-18, 0x1.e64480c0ac6c2p-18, 0x1.e0b8ab66df30cp-18, 0x1.db4643f0c86b7p-18, 0x1.d5ece2f85e882p-18, 0x1.d0ac1e9ff0f17p-18, 0x1.cb838ad391627p-18, 0x1.c672b98fdaa3bp-18, 0x1.c1793b166d8e3p-18, 0x1.bc969e303f81fp-18, 0x1.b7ca70660103p-18, 0x1.b3143e2f5c287p-18, 0x1.ae73932d9a3e6p-18, 0x1.a9e7fa580d4fp-18, 0x1.a570fe2ed4715p-18, 0x1.a10e28e20beeap-18, 0x1.9cbf047ed70d4p-18, 0x1.98831b16a6b13p-18, 0x1.9459f6e3f1215p-18, 0x1.9043226c9699cp-18, 0x1.8c3e28a6e44b9p-18, 0x1.884a9517e5d41p-18, 0x1.8467f3eee4b08p-18, 0x1.8095d22539eb6p-18, 0x1.7cd3bd9596241p-18, 0x1.79214517cd195p-18, 0x1.757df895f2456p-18, 0x1.71e96921949a3p-18, 0x1.6e6329097c85ep-18, 0x1.6aeacbec39688p-18, 0x1.677fe6c9d6006p-18, 0x1.64221015ef692p-18, 0x1.60d0dfc33b25bp-18, 0x1.5d8bef53a56e8p-18, 0x1.5a52d9e65e054p-18, 0x1.57253c3dc72e2p-18, 0x1.5402b4cf94921p-18, 0x1.50eae3cc7fe44p-18, 0x1.4ddd6b2944acfp-18, 0x1.4ad9eea4c4954p-18, 0x1.47e013d11559ep-18, 0x1.44ef8217b632fp-18, 0x1.4207e2c00037ap-18, 0x1.3f28e0f0bcc5fp-18, 0x1.3c5229b6493b2p-18, 0x1.39836c06cc114p-18, 0x1.36bc58c19f483p-18, 0x1.33fca2b0cf745p-18, 0x1.3143fe8bbda07p-18, 0x1.2e9222f73eb89p-18, 0x1.2be6c8855d481p-18, 0x1.2941a9b11fbefp-18, 0x1.26a282e3cac5p-18, 0x1.2409126d04835p-18, 0x1.2175188537b08p-18, 0x1.1ee65748b182bp-18, 0x1.1c5c92b57a4d2p-18, 0x1.19d790a7303c8p-18, 0x1.175718d42dd3ep-18, 0x1.14daf4ca07831p-18, 0x1.1262efe83ef2fp-18, 0x1.0feed75a8bf71p-18, 0x1.0d7e7a15e7a9p-18, 0x1.0b11a8d35f1fap-18, 0x1.08a83607d674p-18, 0x1.0641f5e2b3c75p-18, 0x1.03debe4484ee9p-18, 0x1.017e66bb2ae33p-18, 0x1.fe4190f0aab34p-19, 0x1.f98b7c9f65fcap-19, 0x1.f4da495a7006ep-19, 0x1.f02db320056e6p-19, 0x1.eb857905af278p-19, 0x1.e6e15d29e9498p-19, 0x1.e24124a645c96p-19, 0x1.dda4978598cd4p-19, 0x1.d90b80aeabee9p-19, 0x1.d475add898c56p-19, 0x1.cfe2ef7dcababp-19, }}, 
      {{-0x1.51f5797494573p-3, -0x1.531947b8f883p-3, -0x1.54dfbed36692ap-3, -0x1.57290cd7e1be2p-3, -0x1.59d7e27bd1de4p-3, -0x1.5cd43b54d3b19p-3, -0x1.600bf7c28f468p-3, -0x1.63725e3b88d7ep-3, -0x1.66ff2cced1532p-3, -0x1.6aad955d29dabp-3, -0x1.6e7b4e3bcba49p-3, -0x1.7267c5ff61565p-3, -0x1.76737c333a61ap-3, -0x1.7a9f7bac51045p-3, -0x1.7eecf1f73042p-3, -0x1.835cdfbd3e502p-3, -0x1.87efdeb8265afp-3, -0x1.8ca5fa629dfd5p-3, -0x1.917e98ed4bb57p-3, -0x1.96787220e8ac5p-3, -0x1.9b9191dc7fa84p-3, -0x1.a0c763def2408p-3, -0x1.a616c69530cfbp-3, -0x1.ab7c22c299791p-3, -0x1.b0f38607ae292p-3, -0x1.b678be89f3ddap-3, -0x1.bc077648d2163p-3, -0x1.c19b4cf912c76p-3, -0x1.c72fef8d82aaap-3, -0x1.ccc12cdb284dep-3, -0x1.d24b070735331p-3, -0x1.d7c9c1a27eeb2p-3, -0x1.dd39ec815654bp-3, -0x1.e2986b7ef576bp-3, -0x1.e7e27b725d8a4p-3, -0x1.ed15b4a890c89p-3, -0x1.f2300b3ebee23p-3, -0x1.f72fcdb824556p-3, -0x1.fc13a227f8ab7p-3, -0x1.006d4120ac827p-2, -0x1.02c1db4b5a6aap-2, -0x1.050768a470adap-2, -0x1.073dd42dffdfcp-2, -0x1.096527ef842e3p-2, -0x1.0b7d8a04d5665p-2, -0x1.0d8739b61f7b8p-2, -0x1.0f828ca32c369p-2, -0x1.116fec09571a6p-2, -0x1.134fd229011a6p-2, -0x1.1522c7cd6a158p-2, -0x1.16e961f84d4a3p-2, -0x1.18a43fb187935p-2, -0x1.1a5407fa38ed9p-2, -0x1.1bf967e264d35p-2, -0x1.1d9510bfb2e91p-2, -0x1.1f27b683ea6a3p-2, -0x1.20b20e31b3d24p-2, -0x1.2234cc6e42ae1p-2, -0x1.23b0a42eb5e94p-2, -0x1.2526458014af7p-2, -0x1.26965c69032cfp-2, -0x1.28018fe468657p-2, -0x1.296880f465093p-2, -0x1.2acbc9cd0782bp-2, -0x1.2c2bfd16502a6p-2, -0x1.2d89a5450767cp-2, -0x1.2ee5440a01782p-2, -0x1.303f51d7591cdp-2, -0x1.31983d7b23d7fp-2, -0x1.32f06bcf1761dp-2, -0x1.3448377c7fcdfp-2, -0x1.359ff0d3d8384p-2, -0x1.36f7ddb73ddbap-2, -0x1.38503996e21dbp-2, -0x1.39a9357e8ef0bp-2, -0x1.3b02f8333539ap-2, -0x1.3c5d9e5f77a1p-2, -0x1.3db93ace09606p-2, -0x1.3f15d6b0b9f0ep-2, -0x1.407371f2f3249p-2, -0x1.41d203966e546p-2, -0x1.43317a18e4da1p-2, -0x1.4491bbe1800f5p-2, -0x1.45f2a7b4cad6fp-2, -0x1.4754152df92eep-2, -0x1.48b5d53c5490cp-2, -0x1.4a17b2a3b79dap-2, -0x1.4b79727f000bap-2, -0x1.4cdad4c37ad2cp-2, -0x1.4e3b94c452fdap-2, -0x1.4f9b69b52a4adp-2, -0x1.50fa072b00991p-2, -0x1.52571d9abe27bp-2, -0x1.53b25ad4a54f7p-2, -0x1.550b6a7c243f4p-2, -0x1.5661f67b791d8p-2, -0x1.57b5a772bb7c3p-2, -0x1.59062521e7badp-2, -0x1.5a5316cda272bp-2, -0x1.5b9c239e6e6fbp-2, -0x1.5ce0f2fa2cc1p-2, -0x1.5e212cd7c4214p-2, -0x1.5f5c7a0cd867dp-2, -0x1.6092849594a71p-2, -0x1.61c2f7d684014p-2, -0x1.62ed80d890845p-2, -0x1.6411ce7f37e12p-2, -0x1.652f91b9226a7p-2, -0x1.66467dab3ce65p-2, -0x1.675647d68360fp-2, -0x1.685ea838ba21fp-2, -0x1.695f59684363cp-2, -0x1.6a5818ab54a57p-2, -0x1.6b48a60ac7689p-2, -0x1.6c30c460cad72p-2, -0x1.6d103963b455ep-2, -0x1.6de6cdad340e6p-2, -0x1.6eb44cbe3592dp-2, -0x1.6f7884ffa86b1p-2, -0x1.703347c079fdap-2, -0x1.70e46930fb52ep-2, -0x1.718bc05bfb44ap-2, -0x1.7229271dca502p-2, -0x1.72bc7a196993ap-2, -0x1.734598ac18dc7p-2, -0x1.73c464df831acp-2, -0x1.7438c35ab0d04p-2, -0x1.74a29b51fd9afp-2, -0x1.7501d6763791ap-2, -0x1.755660e314dbbp-2, -0x1.75a0290d2a2fp-2, -0x1.75df1faf824e2p-2, -0x1.761337b9004f1p-2, -0x1.763c6639a318fp-2, -0x1.765aa24fccd6fp-2, -0x1.766de515a30c1p-2, -0x1.7676298ea5303p-2, -0x1.76736c9582a25p-2, -0x1.7665acca4eb88p-2, -0x1.764cea811835fp-2, -0x1.762927b0f54c8p-2, -0x1.75fa67e38d67bp-2, -0x1.75c0b0252e624p-2, -0x1.757c06f56b64bp-2, -0x1.752c7438537f3p-2, -0x1.74d201283f1dfp-2, -0x1.746cb84836fb2p-2, -0x1.73fca556f3ae6p-2, -0x1.7381d5427d51fp-2, -0x1.72fc561c5d2c9p-2, -0x1.726c370e6b0bfp-2, -0x1.71d188502ae09p-2, -0x1.712c5b1cb9bap-2, -0x1.707cc1a9462e7p-2, -0x1.6fc2cf1c0d233p-2, -0x1.6efe9783d4cf6p-2, -0x1.6e302fcfe120ap-2, -0x1.6d57adc85bcbbp-2, -0x1.6c75280727ac3p-2, -0x1.6b88b5f116a96p-2, -0x1.6a926faf81addp-2, -0x1.69926e2a3510cp-2, -0x1.6888cb01ad7b2p-2, -0x1.6775a0899d5e3p-2, -0x1.665909c3b6957p-2, -0x1.6533225aae872p-2, -0x1.6404069d785d2p-2, -0x1.62cbd37aaac88p-2, -0x1.618aa67c1625ap-2, -0x1.60409dc27574bp-2, -0x1.5eedd80145954p-2, -0x1.5d92747aac572p-2, -0x1.5c2e92fb7c921p-2, -0x1.5ac253d741474p-2, -0x1.594dd7e45aca8p-2, -0x1.57d140781e1eep-2, -0x1.564caf62fb5c5p-2, -0x1.54c046eca2534p-2, -0x1.532c29d0256d8p-2, -0x1.51907b38189a7p-2, -0x1.4fed5ebaa68d8p-2, -0x1.4e42f8559e128p-2, -0x1.4c916c6a74632p-2, -0x1.4ad8dfba3abb1p-2, -0x1.4919776184f8bp-2, -0x1.475358d4430b3p-2, -0x1.4586a9d98afccp-2, -0x1.43b3908752b6dp-2, -0x1.41da333e19f07p-2, -0x1.3ffab8a48529ap-2, -0x1.3e1547a2e69dcp-2, -0x1.3c2a075eba74dp-2, -0x1.3a391f36123fp-2, -0x1.3842b6baf5709p-2, -0x1.3646f5aeae849p-2, -0x1.344603fd12d7ep-2, -0x1.324009b7baaf7p-2, -0x1.30352f113001dp-2, -0x1.2e259c5816377p-2, -0x1.2c1179f2483ep-2, -0x1.29f8f057f0e3cp-2, -0x1.27dc280ea170fp-2, -0x1.25bb49a45fe5cp-2, -0x1.23967daab92dap-2, -0x1.216decb1ce7c1p-2, -0x1.1f41bf4369424p-2, -0x1.1d121dde0c816p-2, -0x1.1adf30f0103a4p-2, -0x1.18a920d2bff0fp-2, -0x1.167015c5818c3p-2, -0x1.143437e90884bp-2, -0x1.11f5af3a8ecc7p-2, -0x1.0fb4a38f1e6c5p-2, -0x1.0d713c8ee8539p-2, -0x1.0b2ba1b0a939fp-2, -0x1.08e3fa351fa8fp-2, -0x1.069a6d22947dfp-2, -0x1.044f214077a72p-2, -0x1.02023d130e78ap-2, -0x1.ff67cdae7624fp-3, -0x1.fac888fcaf23bp-3, -0x1.f626f754582bep-3, -0x1.f1836351f4a38p-3, -0x1.ecde16e34d2bp-3, -0x1.e8375b3fedaaep-3, -0x1.e38f78e1e479p-3, -0x1.dee6b77eb0fdp-3, -0x1.da3d5e0070c95p-3, -0x1.d593b27f45dffp-3, -0x1.d0e9fa3af7e72p-3, -0x1.cc407994d674dp-3, -0x1.c7977409d1e39p-3, -0x1.c2ef2c2cd8c32p-3, -0x1.be47e3a171fb1p-3, -0x1.b9a1db169641bp-3, -0x1.b4fd5241c725ep-3, -0x1.b05a87da6c778p-3, -0x1.abb9b9956adc1p-3, -0x1.a71b2420fd3d5p-3, -0x1.a27f0320d3b55p-3, -0x1.9de5912a665f9p-3, -0x1.994f07c196739p-3, -0x1.94bb9f558344ep-3, -0x1.902b8f3da5a18p-3, -0x1.8b9f0db7253e5p-3, -0x1.87164fe26d785p-3, -0x1.829189c1040e6p-3, -0x1.7e10ee3392dfap-3, -0x1.7994aef83807dp-3, -0x1.751cfca90900bp-3, -0x1.70aa06bad7bb4p-3, -0x1.6c3bfb7c2577p-3, -0x1.67d308145bf6fp-3, -0x1.636f588331d11p-3, -0x1.5f1117a04b6e8p-3, -0x1.5ab86f1b0e2fcp-3, -0x1.5665877aad9e2p-3, -0x1.5218881e5cadep-3, -0x1.4dd1973dc47d9p-3, -0x1.4990d9e99659fp-3, -0x1.4556740c5ed9p-3, -0x1.4122886b7a621p-3, -0x1.3cf538a83935bp-3, -0x1.38cea5413132bp-3, -0x1.34aeed93b8115p-3, -0x1.30962fdd7fed2p-3, -0x1.2c84893e626c8p-3, -0x1.287a15ba51bb7p-3, -0x1.2476f03b63e9ep-3, -0x1.207b32940c06ep-3, -0x1.1c86f5816d9fap-3, -0x1.189a50add52fap-3, -0x1.14b55ab34af4ep-3, -0x1.10d8291e43ab6p-3, -0x1.0d02d0707012ap-3, -0x1.09356423a898ap-3, -0x1.056ff6ace7f8cp-3, -0x1.01b2997f6acc6p-3, -0x1.fbfaba1fc1669p-4, -0x1.f4a0a1af5aa19p-4, -0x1.ed5706b093aa4p-4, -0x1.e61e043d579bp-4, -0x1.def5b38d93b8bp-4, -0x1.d7de2bfe4ef67p-4, -0x1.d0d78318ed73cp-4, -0x1.c9e1cc9a8ad9dp-4, -0x1.c2fd1a7b6b978p-4, -0x1.bc297cf694d0dp-4, -0x1.b567029160ca2p-4, -0x1.aeb5b8234657cp-4, -0x1.a815a8dd93fc9p-4, -0x1.a186de5351bd4p-4, -0x1.9b09608124b55p-4, -0x1.949d35d5400b3p-4, -0x1.8e42633761264p-4, -0x1.87f8ec10d5bf8p-4, -0x1.81c0d25484ef3p-4, -0x1.7b9a168700ac9p-4, -0x1.7584b7c694d6ep-4, -0x1.6f80b3d35d483p-4, -0x1.698e07175862ep-4, -0x1.63acacae7918bp-4, -0x1.5ddc9e6eb5f3dp-4, -0x1.581dd4f0119d7p-4, -0x1.52704794a0943p-4, -0x1.4cd3ec9084ae6p-4, -0x1.4748b8f1e1925p-4, -0x1.41cea0a8c8bdbp-4, -0x1.3c65968f17794p-4, -0x1.370d8c704ba77p-4, -0x1.31c673114a7f5p-4, -0x1.2c903a3818543p-4, -0x1.276ad0b3840c3p-4, -0x1.22562462be88dp-4, -0x1.1d52223ce5ec6p-4, -0x1.185eb65879d33p-4, -0x1.137bcbf2c2e2bp-4, -0x1.0ea94d77226b1p-4, -0x1.09e724864f09ap-4, -0x1.053539fd80c17p-4, -0x1.009375fd811b1p-4, -0x1.f8037fe353008p-5, -0x1.eefffd2d99a9ap-5, -0x1.e61c3004091fcp-5, -0x1.dd57e34ed9895p-5, -0x1.d4b2e0c182c42p-5, -0x1.cc2cf0e7d6df5p-5, -0x1.c3c5db32db7ebp-5, -0x1.bb7d660579053p-5, -0x1.b35356c0f9e52p-5, -0x1.ab4771d14c5edp-5, -0x1.a3597ab91cd5fp-5, -0x1.9b89341db3fdap-5, -0x1.93d65fd29e7acp-5, -0x1.8c40bee52a4ddp-5, -0x1.84c811a7a6504p-5, -0x1.7d6c17bc67fdbp-5, -0x1.762c9020aae35p-5, -0x1.6f09393729577p-5, -0x1.6801d0d28b517p-5, -0x1.6116143f99cc7p-5, -0x1.5a45c04f3d08ap-5, -0x1.53909160449dbp-5, -0x1.4cf64368f95ep-5, -0x1.467692007b276p-5, -0x1.40113867eafb1p-5, -0x1.39c5f193534a5p-5, -0x1.33947832703e5p-5, -0x1.2d7c86b92f85ap-5, -0x1.277dd7680209dp-5, -0x1.21982454025e5p-5, -0x1.1bcb276ed5853p-5, -0x1.16169a8e67765p-5, -0x1.107a37746905dp-5, -0x1.0af5b7d5a662ap-5, -0x1.0588d5612001ep-5, -0x1.003349c6f78ffp-5, -0x1.f5e99d7e4d641p-6, -0x1.eb9a3c201edc6p-6, -0x1.e177e32999c7bp-6, -0x1.d7820686be265p-6, -0x1.cdb81a6545d78p-6, -0x1.c419934037d3bp-6, -0x1.baa5e5eb1f37dp-6, -0x1.b15c879ce83e8p-6, -0x1.a83cedfa5d858p-6, -0x1.9f468f20551a9p-6, -0x1.9678e1ad78e83p-6, -0x1.8dd35ccbc5f2ap-6, -0x1.85557839b01b3p-6, -0x1.7cfeac52ef54ep-6, -0x1.74ce7218fbedp-6, -0x1.6cc4433b3b4f6p-6, -0x1.64df9a1ee17f1p-6, -0x1.5d1ff1e66f573p-6, -0x1.5584c6790475dp-6, -0x1.4e0d94893e748p-6, -0x1.46b9d99bf0b7cp-6, -0x1.3f89140e80c46p-6, -0x1.387ac31cf7496p-6, -0x1.318e66e7d60d5p-6, -0x1.2ac380799da4p-6, -0x1.241991cc1da87p-6, -0x1.1d901dcd72a27p-6, -0x1.1726a864c8d02p-6, -0x1.10dcb676e80bep-6, -0x1.0ab1cdea6d5dcp-6, -0x1.04a575abdff54p-6, -0x1.fd6e6b62e3642p-7, -0x1.f1cd2dfd3bca9p-7, -0x1.e666474ee5dbfp-7, -0x1.db38cda789391p-7, -0x1.d043d9840d402p-7, -0x1.c586859427e8p-7, -0x1.baffeebf370e5p-7, -0x1.b0af342908e1bp-7, -0x1.a6937735fb6a2p-7, -0x1.9cabdb8ee25ccp-7, -0x1.92f78724879bap-7, -0x1.8975a232c4f7fp-7, -0x1.8025574362d85p-7, -0x1.7705d3306fc3ap-7, -0x1.6e1645266f1b5p-7, -0x1.6555dea639057p-7, -0x1.5cc3d38657742p-7, -0x1.545f59f44f792p-7, -0x1.4c27aa7586ac9p-7, -0x1.441bffe7db743p-7, -0x1.3c3b97820a581p-7, -0x1.3485b0d3af8eep-7, -0x1.2cf98dc52fa15p-7, -0x1.25967297407d7p-7, -0x1.1e5ba5e23f082p-7, -0x1.17487095496ddp-7, -0x1.105c1df522fc8p-7, -0x1.0995fb9ae11a5p-7, -0x1.02f559724dc9p-7, -0x1.f8f3137077546p-8, -0x1.ec43c1f10a055p-8, -0x1.dfdb6c17d30c9p-8, -0x1.d3b8c42b927acp-8, -0x1.c7da810331ce9p-8, -0x1.bc3f5e008af3p-8, -0x1.b0e61b0aaf74p-8, -0x1.a5cd7c880140dp-8, -0x1.9af44b57f595ap-8, -0x1.905954cc964f1p-8, -0x1.85fb6aa3a3426p-8, -0x1.7bd962ff964fbp-8, -0x1.71f218604da9ep-8, -0x1.6844699b8efe1p-8, -0x1.5ecf39d537029p-8, -0x1.5591707748a6cp-8, -0x1.4c89f929c830cp-8, -0x1.43b7c3ca4591ep-8, -0x1.3b19c46373667p-8, -0x1.32aef3244a8d8p-8, -0x1.2a764c5750effp-8, -0x1.226ed0596816dp-8, -0x1.1a978390c4923p-8, -0x1.12ef6e637f7b3p-8, -0x1.0b759d2e46ec5p-8, -0x1.0429203aba505p-8, -0x1.fa12176b9274p-9, -0x1.ec28ef4be3ba1p-9, -0x1.de94ffc2d0549p-9, -0x1.d15488083e2b9p-9, -0x1.c465cecba5fa1p-9, -0x1.b7c7221fd70a6p-9, -0x1.ab76d766989aap-9, -0x1.9f734b3c89bf2p-9, -0x1.93bae164360ap-9, -0x1.884c04b1eeac1p-9, -0x1.7d2526f6d3da8p-9, -0x1.7244c0ec34e6bp-9, -0x1.67a9521edca18p-9, -0x1.5d5160da1760fp-9, -0x1.533b7a130fb6cp-9, -0x1.49663153d6b65p-9, -0x1.3fd020a671db6p-9, -0x1.3677e8803f129p-9, -0x1.2d5c2face67a7p-9, -0x1.247ba33998b43p-9, -0x1.1bd4f6603e917p-9, -0x1.1366e272d14a5p-9, -0x1.0b3026c681b95p-9, -0x1.032f889f2f87dp-9, -0x1.f6c7a6359dcdcp-10, -0x1.e797ae3995ceap-10, -0x1.d8ccd67384e8bp-10, -0x1.ca64d7461fa6ap-10, -0x1.bc5d7424fdb9dp-10, -0x1.aeb47b6c7ca57p-10, -0x1.a167c6399f081p-10, -0x1.94753841abb8dp-10, -0x1.87dabfab82ddfp-10, -0x1.7b9654e6ef59bp-10, -0x1.6fa5fa8682fc8p-10, -0x1.6407bd1820f24p-10, -0x1.58b9b2fe55191p-10, -0x1.4db9fc4a29721p-10, -0x1.4306c294e1ad2p-10, -0x1.389e38da60b6ep-10, -0x1.2e7e9b53517adp-10, -0x1.24a62f5030d2fp-10, -0x1.1b1343146bbbfp-10, -0x1.11c42db1bed6dp-10, -0x1.08b74ee3bc31dp-10, -0x1.ffd61dd8afef4p-11, -0x1.eebbbcdf9da5cp-11, -0x1.de1c6ca3c0748p-11, -0x1.cdf52f24f7ffbp-11, -0x1.be431656f4faep-11, -0x1.af0343dc73b0cp-11, -0x1.a032e8c3f2a44p-11, -0x1.91cf454419ef9p-11, -0x1.83d5a879cb52cp-11, -0x1.76437026c7c7bp-11, -0x1.691608708a00dp-11, -0x1.5c4aeba01a67cp-11, -0x1.4fdfa1e2d3d37p-11, -0x1.43d1c10c19dccp-11, -0x1.381eec56b79a9p-11, -0x1.2cc4d428a795bp-11, -0x1.21c135d5a6cacp-11, -0x1.1711db64679b9p-11, -0x1.0cb49b535a3dep-11, -0x1.02a7585e4b503p-11, -0x1.f1d0028ac7054p-12, -0x1.dee92128570fdp-12, -0x1.cc9618d3aa5dbp-12, -0x1.bad30c83b89bep-12, -0x1.a99c357b4751cp-12, -0x1.98ede2ddbf4d1p-12, -0x1.88c479457359bp-12, -0x1.791c725a2112p-12, -0x1.69f25c6b1bc89p-12, -0x1.5b42da098d101p-12, -0x1.4d0aa1a39cbf9p-12, -0x1.3f467d22dbedfp-12, -0x1.31f3498a652b4p-12, -0x1.250df697a5387p-12, -0x1.189386638ae0bp-12, -0x1.0c810d05d1013p-12, -0x1.00d3b03967e55p-12, -0x1.eb114e057abcp-13, -0x1.d53a72ace0f8ep-13, -0x1.c01d7f85abbfbp-13, -0x1.abb546323e7a2p-13, -0x1.97fcb8320a3a2p-13, -0x1.84eee63b125c4p-13, -0x1.7286ff96d00e2p-13, -0x1.60c051802325ap-13, -0x1.4f964684b946dp-13, -0x1.3f0465e98cc5cp-13, -0x1.2f0653111dc8cp-13, -0x1.1f97cce4ec95cp-13, -0x1.10b4ad404dbf8p-13, -0x1.0258e86064fa7p-13, -0x1.e90118a5200bdp-14, -0x1.ce4f80d226219p-14, -0x1.b49589603ac54p-14, -0x1.9bcbe2cb208d2p-14, -0x1.83eb6ce654b87p-14, -0x1.6ced35d8032bap-14, -0x1.56ca79151de6p-14, -0x1.417c9e64fb49p-14, -0x1.2cfd38e74fadp-14, -0x1.194606207db2cp-14, -0x1.0650ed0a928eap-14, -0x1.e82ffa4c36d54p-15, -0x1.c52adb2d68af1p-15, -0x1.a387387a5ea94p-15, -0x1.833a19b561de1p-15, -0x1.6438d06697cb2p-15, -0x1.4678f67550592p-15, -0x1.29f06c7b740c2p-15, -0x1.0e95582e2e963p-15, -0x1.e8bc458ae1cb9p-16, -0x1.b682eedec70e2p-16, -0x1.866c83923b272p-16, -0x1.586758c1080ep-16, -0x1.2c623e7be51a5p-16, -0x1.024c7ce6ba39p-16, -0x1.b42ba2d4436a8p-17, -0x1.675cd7dc6ab27p-17, -0x1.1e0dd84ab60b9p-17, -0x1.b0417b9832824p-18, -0x1.2af0ee43a0f6dp-18, -0x1.57e30c333a224p-19, -0x1.9862b499aca35p-21, 0x1.ffa005380556dp-21, 0x1.5a86ba8cc47c4p-19, 0x1.151423c42debbp-18, 0x1.77974890a8005p-18, 0x1.d4fc5910885f2p-18, 0x1.16b8c236d9c9ap-17, 0x1.4091d21f01218p-17, 0x1.681f227b2e4b5p-17, 0x1.8d75d71b33c1bp-17, 0x1.b0aa756613af7p-17, 0x1.d1d0e85d7b3b1p-17, 0x1.f0fc8476cfdcp-17, 0x1.072005b65b5d7p-16, 0x1.14d6d7f5eed64p-16, 0x1.21ab8ca2ad9e3p-16, 0x1.2da6b377b6c32p-16, 0x1.38d09a000d431p-16, 0x1.43314d4fee087p-16, 0x1.4cd09ba863d87p-16, 0x1.55b6161a4a6bcp-16, 0x1.5de9121d6ba75p-16, 0x1.6570ab209b517p-16, 0x1.6c53c409d306ap-16, 0x1.729908b89d0cap-16, 0x1.7846ef76a6b3p-16, 0x1.7d63ba62b18c3p-16, 0x1.81f578d72aa4p-16, 0x1.860208c3503dbp-16, 0x1.898f17fd39f45p-16, 0x1.8ca22590fc1abp-16, 0x1.8f4083014fbe1p-16, 0x1.916f558314bap-16, 0x1.9333973789c66p-16, 0x1.949218537b43dp-16, 0x1.958f804a2707cp-16, 0x1.96304eed82257p-16, 0x1.9678dd8360706p-16, 0x1.966d5fdab3c68p-16, 0x1.9611e5570bff4p-16, 0x1.956a59f4aab25p-16, 0x1.947a8748ce89cp-16, 0x1.9346157933803p-16, 0x1.91d08c32365cap-16, 0x1.901d539018fcdp-16, 0x1.8e2fb5081b631p-16, 0x1.8c0adc49db821p-16, 0x1.89b1d819a2f21p-16, 0x1.87279b2c0246bp-16, 0x1.846efcf12eab6p-16, 0x1.818aba64b3068p-16, 0x1.7e7d76d43653bp-16, 0x1.7b49bc9eb3f74p-16, 0x1.77f1fdf57e5bp-16, 0x1.74789591ac5fep-16, 0x1.70dfc76a97e83p-16, 0x1.6d29c1617ef62p-16, 0x1.69589befd155ap-16, 0x1.656e5aca43e65p-16, 0x1.616ced85541cp-16, 0x1.5d563031316a8p-16, 0x1.592bebf59d53bp-16, 0x1.54efd7a5cc4d9p-16, 0x1.50a3985280b18p-16, 0x1.4c48c1d8ff589p-16, 0x1.47e0d76af392fp-16, 0x1.436d4c19366e5p-16, 0x1.3eef8352c2d8fp-16, 0x1.3a68d166bca34p-16, 0x1.35da7bff30184p-16, 0x1.3145ba9a356abp-16, 0x1.2cabb6ff37815p-16, 0x1.280d8db2c7a9ep-16, 0x1.236c4e63de084p-16, 0x1.1ec8fc58f3d52p-16, 0x1.1a248ed9aa2f4p-16, 0x1.157ff193b2c13p-16, 0x1.10dc0500585eep-16, 0x1.0c399ec2c31c6p-16, 0x1.07998a084334bp-16, 0x1.02fc87e254565p-16, 0x1.fcc69f417b84p-17, 0x1.f39d1e4d7af5dp-17, 0x1.ea7dd67d97c98p-17, 0x1.e169ffd9528d3p-17, 0x1.d862c178c0b72p-17, 0x1.cf69321edc101p-17, 0x1.c67e58cec9b99p-17, 0x1.bda32d5b2f58cp-17, 0x1.b4d898f647edep-17, 0x1.ac1f76b77eafcp-17, 0x1.a378941f98f83p-17, 0x1.9ae4b19dc5547p-17, 0x1.92648308159cfp-17, 0x1.89f8b0173ceadp-17, 0x1.81a1d4da8470cp-17, 0x1.7960822c2534ap-17, 0x1.71353e1ce3ae6p-17, 0x1.692084614d551p-17, 0x1.6122c6b9e693bp-17, 0x1.593c6d574b1d4p-17, 0x1.516dd73aef006p-17, 0x1.49b75a9868a42p-17, 0x1.4219452e9648fp-17, 0x1.3a93dca2260ffp-17, 0x1.33275ed1c3ab4p-17, 0x1.2bd4022c3bb84p-17, 0x1.2499f5ff7c4c2p-17, 0x1.1d7962c5b9c72p-17, 0x1.16726a7490867p-17, 0x1.0f8528c1f5182p-17, 0x1.08b1b36df5315p-17, 0x1.01f81a85fde12p-17, 0x1.f6b0d14f7851ep-18, 0x1.e9a54683b3069p-18, 0x1.dccd959f707bp-18, 0x1.d029b630186ccp-18, 0x1.c3b996c82ce1cp-18, 0x1.b77d1d7382733p-18, 0x1.ab742820b5fa4p-18, 0x1.9f9e8d0be7fp-18, 0x1.93fc1b20e45a1p-18, 0x1.888c9a5e71dd1p-18, 0x1.7d4fcc349d9b8p-18, 0x1.72456bdda75b5p-18, 0x1.676d2eb435043p-18, 0x1.5cc6c48ca63f2p-18, 0x1.5251d80070df6p-18, 0x1.480e0ec1c8b11p-18, 0x1.3dfb09e34c37bp-18, 0x1.341866230525cp-18, 0x1.2a65bc2f6a009p-18, 0x1.20e2a0ec77fa1p-18, 0x1.178ea5b0a8058p-18, 0x1.0e695888ee3ap-18, 0x1.05724470553bdp-18, 0x1.f951e31aeb309p-19, 0x1.e819cacd08365p-19, 0x1.d73b463543c4fp-19, 0x1.c6b557213ad97p-19, 0x1.b686fb5918c2cp-19, 0x1.a6af2cf8aecd3p-19, 0x1.972ce2cde0697p-19, 0x1.87ff10ad0576ep-19, 0x1.7924a7c3e1f5ep-19, 0x1.6a9c96ef6ad8p-19, 0x1.5c65cb00c67cbp-19, 0x1.4e7f2f0bb75cap-19, 0x1.40e7acabeb7fep-19, 0x1.339e2c45da98ep-19, 0x1.26a1954b76f3cp-19, 0x1.19f0ce748e4f7p-19, 0x1.0d8abdfeaa54p-19, 0x1.016e49dd8602p-19, 0x1.eb34aff2d34p-20, 0x1.d41b9cb66c9a5p-20, 0x1.bd8f26be9409p-20, 0x1.a78d1bc6bd63dp-20, 0x1.92134ae8dcee7p-20, 0x1.7d1f84e6bfd38p-20, 0x1.68af9c82866ffp-20, 0x1.54c166c613f7ap-20, 0x1.4152bb47ab372p-20, 0x1.2e6174707305fp-20, 0x1.1beb6fba4f58bp-20, 0x1.09ee8dee598bp-20, 0x1.f0d166b473feap-21, 0x1.ceaf900e90ae7p-21, 0x1.ad736fd82269bp-21, 0x1.8d18e63b1a407p-21, 0x1.6d9bdbef03b47p-21, 0x1.4ef8428d4bce7p-21, 0x1.312a14e947a8dp-21, 0x1.142d57467ee78p-21, 0x1.effc2f57b6aa6p-22, 0x1.b930dc2b99a57p-22, 0x1.83f0f96f49139p-22, 0x1.5034e0585796ep-22, 0x1.1df4ff4e8a845p-22, 0x1.da53b4882cc6bp-23, 0x1.7b98160cbcb3ap-23, 0x1.1fa8830c47519p-23, 0x1.8ced108d9802bp-24, 0x1.bfcf7ea54d02cp-25, 0x1.c1270e010d8abp-27, -0x1.a9dd731418ce8p-26, -0x1.08087440ef0d8p-24, -0x1.a0a97f804d0b4p-24, -0x1.1a3a9dcd4f8a3p-23, -0x1.61c303dc99bbfp-23, -0x1.a6faf2644d31ep-23, -0x1.e9ef3aa06cbc8p-23, -0x1.15563f43acfa1p-22, -0x1.349f9859101f3p-22, -0x1.52d9ca438a06dp-22, -0x1.700adf0c72d2p-22, -0x1.8c38c92394e3dp-22, -0x1.a7696372c6dbp-22, -0x1.c1a2716b86c72p-22, -0x1.dae99f168b1d7p-22, -0x1.f344812b11c8ap-22, -0x1.055c4a96ba047p-21, -0x1.10a5a0c541cd4p-21, -0x1.1b80ead969c93p-21, -0x1.25f0c521aab4bp-21, -0x1.2ff7c092193fbp-21, -0x1.399862d9c9826p-21, -0x1.42d5267534361p-21, -0x1.4bb07ac5ac0bap-21, -0x1.542cc4289fd17p-21, -0x1.5c4c5c0cf55fap-21, -0x1.64119107cfca5p-21, -0x1.6b7ea6f54c6dfp-21, -0x1.7295d70bf18f3p-21, -0x1.79594ff88c2c9p-21, -0x1.7fcb35fcf14bp-21, -0x1.85eda30355fd7p-21, -0x1.8bc2a6c2816c4p-21, -0x1.914c46d4c6cf5p-21, -0x1.968c7ed9a64aep-21, -0x1.9b85408ce1a8fp-21, -0x1.a03873e933872p-21, -0x1.a4a7f744a19ap-21, -0x1.a8d59f70be215p-21, -0x1.acc337d46c3b3p-21, -0x1.b0728290a71cp-21, -0x1.b3e53899b0456p-21, -0x1.b71d09da8f8afp-21, -0x1.ba1b9d526a964p-21, -0x1.bce29133480bbp-21, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      44, 0x1.cc28f5c28f5c3p+2, 0x1.6535984a4c789p+0, 0x1.680fe2c9b97p+1, -0x1.e1d98c6fc0f18p-9, 
      {{
        {0x1.428f5c28f5c29p+2, 0x1.4333333333333p+2, 0x1.696345465243fp-7, -0x1.502cb442fbf49p-6, 0x1.d514b89ed799cp-7, -0x1.248c505907dfep-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.62b6070d56c95p-7, -0x1.4b81794ed11dap-6, 0x1.d0b15622a0715p-7, -0x1.1e4b18a69abf2p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.42b44d84e4bb3p-7, -0x1.34ced3ed65dd4p-6, 0x1.bb38811621a32p-7, -0x1.175e4a1d648d5p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.24ea02ea9d7c2p-7, -0x1.1f2bb30d4e73p-6, 0x1.a644a1ed86e4fp-7, -0x1.10a55de7cc8ecp-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.093c54a880fd2p-7, -0x1.0a9189b110918p-6, 0x1.91d1d47c245a5p-7, -0x1.09de8ab5155c6p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.df222cd6d5363p-8, -0x1.edf3ba2ccb57cp-7, 0x1.7de123ae8f8d1p-7, -0x1.031b71232780ep-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.af9d844622435p-8, -0x1.c8bc5b30e8f9fp-7, 0x1.6a7247ff1fcap-7, -0x1.f8aeb0164ad76p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.83b8f0040d958p-8, -0x1.a56ff9c2f59e2p-7, 0x1.57855497e362p-7, -0x1.eb2706d58d755p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.5b43fcfb727bfp-8, -0x1.84019883d9dcdp-7, 0x1.451a445647ad4p-7, -0x1.dd9f38e3be139p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.360f849ce3241p-8, -0x1.64643a449c2cp-7, 0x1.3331189a8a263p-7, -0x1.d01774c6e2ad1p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.13edacdea895bp-8, -0x1.468ae1c95e767p-7, 0x1.21c9d106480c9p-7, -0x1.c28fae0780016p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.e963d079856a2p-9, -0x1.2a6891d9b704bp-7, 0x1.10e46db2ccd96p-7, -0x1.b507e7fcf2c5ap-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.b061eb71d0868p-9, -0x1.0ff04d3c4f262p-7, 0x1.0080ee99508bap-7, -0x1.a78021c1e770fp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.7c81c1b50db9bp-9, -0x1.ee2a2d701f5fap-8, 0x1.e13ea7774954bp-8, -0x1.99f85b93d63b5p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.4d72035d85f7ep-9, -0x1.bf93e227a0d84p-8, 0x1.c27f3a3299439p-8, -0x1.8c7095625c4aap-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.22e3f990efeb6p-9, -0x1.9403be2cdb771p-8, 0x1.a4c39564d257cp-8, -0x1.7ee8cf31a89a4p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.f9170d00dfedcp-10, -0x1.6b5fc70d8576cp-8, 0x1.880bb90de5b2ap-8, -0x1.71610900f1702p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.b43e4ad1306fp-10, -0x1.458e025755cccp-8, 0x1.6c57a52dd3972p-8, -0x1.63d942d00faa1p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.76afd522d0ff6p-10, -0x1.227475980341fp-8, 0x1.51a759c49f36cp-8, -0x1.56517c9f51601p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.3fe3069c9cbc3p-10, -0x1.01f9265d449a1p-8, 0x1.37fad6d245e94p-8, -0x1.48c9b66e768bdp-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.0f546bfc4a2e5p-10, -0x1.c8043469a13b4p-9, 0x1.1f521c56c9d21p-8, -0x1.3b41f03dc375dp-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.c90b882cd6a58p-11, -0x1.90eaad58bc411p-9, 0x1.07ad2a5227f62p-8, -0x1.2dba2a0ce73b9p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.7dfbffacdb27p-11, -0x1.5e71c2a347eabp-9, 0x1.e2180188c6d6cp-9, -0x1.203263dc0f997p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.3c92847d339c2p-11, -0x1.30657f64b1964p-9, 0x1.b6dd3f5af7b23p-9, -0x1.12aa9dab71f7bp-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.03f1c0d028a84p-11, -0x1.0691eeb8671cdp-9, 0x1.8daa0e1ad9cd3p-9, -0x1.0522d77a6a65cp-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.a68d860b737dp-12, -0x1.c1863773abf14p-10, 0x1.667e6dc87d0aep-9, -0x1.ef3622939e95dp-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.5391fb573a9p-12, -0x1.7d8a2308d7531p-10, 0x1.415a5e63d1264p-9, -0x1.d4269631d5dfp-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.0d748efa8103cp-12, -0x1.40c7b6672be64p-10, 0x1.1e3ddfece11cp-9, -0x1.b91709d0554b2p-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.a59b6d8f1e3fp-13, -0x1.0ad707c584a28p-10, 0x1.fa51e4c74f056p-10, -0x1.9e077d6e74424p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.449561d835ec2p-13, -0x1.b6a05ab578a65p-11, 0x1.bc372b90572edp-10, -0x1.82f7f10e8dd7ep-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.eab60fc52118p-14, -0x1.63967abb61a97p-11, 0x1.822b94348eb5p-10, -0x1.67e864a538f7cp-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.6b33faeea2f4p-14, -0x1.1bc09c0a636a7p-11, 0x1.4c2f1eb55fc35p-10, -0x1.4cd8d86276202p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.0652e22cee66p-14, -0x1.bc9dd62119d5p-12, 0x1.1a41cb0d013ebp-10, -0x1.31c94b8ca4666p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.702887db6f98p-15, -0x1.54e328749923ep-12, 0x1.d8c732a3045d3p-11, -0x1.16b9c0dc8f248p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.f3330031ab901p-16, -0x1.fd630fe86c538p-13, 0x1.85291260d96c3p-11, -0x1.f7545c5484cfdp-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.44905f48a7a01p-16, -0x1.70d29aafbd2efp-13, 0x1.39a937ba924d5p-11, -0x1.c13572b1dae05p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.90a96fae75803p-17, -0x1.00d5a3feed11dp-13, 0x1.ec8f3372fc8b1p-12, -0x1.8b15aa0fe9f22p-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.cee069be9a8p-18, -0x1.5459b3602c1f2p-14, 0x1.7608b3a1698fbp-12, -0x1.54f921a646456p-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.e9f8ead8518p-19, -0x1.a663ef909b92bp-15, 0x1.0fbdf655ee12ep-12, -0x1.1ed0775c3ebfdp-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.cbadc99600fffp-20, -0x1.ded43432fc7e1p-16, 0x1.73653ea7b6803p-13, -0x1.d1aa28b37bc97p-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.691f3c300ap-21, -0x1.db2f411e4edbbp-17, 0x1.cf6464e3bc554p-14, -0x1.64616c3893b86p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.a9ce508ed0001p-23, -0x1.7c011effe0419p-18, 0x1.f320ae5061022p-15, -0x1.f80bf6016ddc1p-13}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.22e3f9904p-25, -0x1.96b1a0c239316p-20, 0x1.8966356bd7cb4p-16, -0x1.028ea66bfccp-13}, 
        {0x1.c99999999999ap+2, 0x1.cc28f5c28f5c3p+2, 0x1.6b33fae800001p-30, -0x1.97851731a3c39p-24, 0x1.4c85b6dc3b8p-18, -0x1.d221386d899f4p-13}, 
      }}, 
      0x1.52f90d0b21114p-8, -0x1.659814a55d3d8p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.6cf9d309aa547p+0, -0x1.6a20cc004048bp+0, -0x1.657ce15c0bd3ap+0, -0x1.5f32ebc32b4bbp+0, -0x1.57709a03a6429p+0, -0x1.4e68e477b2d46p+0, -0x1.445102c910267p+0, -0x1.395dfe1acc4f1p+0, -0x1.2dc2dbc26d6dap+0, -0x1.21af4f83f0091p+0, -0x1.154ee01e37d43p+0, -0x1.08c869660e5fbp+0, -0x1.f87bd1a308c07p-1, -0x1.df99066da1a8ep-1, -0x1.c719698a2c89cp-1, -0x1.af253cd3c6b87p-1, -0x1.97dccb6b1c047p-1, -0x1.81593cfabef97p-1, -0x1.6bad6e6847c56p-1, -0x1.56e6c6ca33342p-1, -0x1.430e0122af863p-1, -0x1.3027e699379bdp-1, -0x1.1e35f765b049cp-1, -0x1.0d37017dc672ap-1, -0x1.fa4f4afcdd081p-2, -0x1.dc0595e53374ap-2, -0x1.bf840a517dce6p-2, -0x1.a4bbd37b098fap-2, -0x1.8b9cb3d24dd87p-2, -0x1.74157f56fc69p-2, -0x1.5e147fe68741cp-2, -0x1.4987c616a991ep-2, -0x1.365d691c56034p-2, -0x1.2483b81509996p-2, -0x1.13e95f000937dp-2, -0x1.047d818bf6753p-2, -0x1.ec5f9aea8498ep-3, -0x1.d1e10c069a2b6p-3, -0x1.b961149179d31p-3, -0x1.a2c2af37b9c45p-3, -0x1.8dea127593f9fp-3, -0x1.7abcab753a103p-3, -0x1.692115d4ae46p-3, -0x1.58ff11c56539ep-3, -0x1.4a3f79944ae32p-3, -0x1.3ccc36fe56091p-3, -0x1.30903852ed085p-3, -0x1.257765742a50bp-3, -0x1.1b6e94fe44841p-3, -0x1.126381f0edcep-3, -0x1.0a44c2102917ap-3, -0x1.0301bcfafb317p-3, -0x1.f91547a9479c6p-4, -0x1.eda0d2c0883e9p-4, -0x1.e389751210c3bp-4, -0x1.dab3eec47088fp-4, -0x1.d30659650aef4p-4, -0x1.cc681c2e3d2c5p-4, -0x1.c6c1e167cb86fp-4, -0x1.c1fd8cb422873p-4, -0x1.be0632061bb5dp-4, -0x1.bac80cfa35c4ap-4, -0x1.b830785df8e78p-4, -0x1.b62de5bce51bcp-4, -0x1.b4afd4df26da6p-4, -0x1.b3a6cb2e49256p-4, -0x1.b3044b0507145p-4, -0x1.b2bacaeba7449p-4, -0x1.b2bdaccc59519p-4, -0x1.b301352398b69p-4, -0x1.b37a82320baddp-4, -0x1.b41f833b16db9p-4, -0x1.b4e6efc461fc6p-4, -0x1.b5c83eef03bd1p-4, -0x1.b6bb9edc9f187p-4, -0x1.b7b9ec265cea5p-4, -0x1.b8bca981eaffap-4, -0x1.b9bdf75f915fcp-4, -0x1.bab88be205393p-4, -0x1.bba7aaadc2021p-4, -0x1.bc871d49b1456p-4, -0x1.bd532b228040cp-4, -0x1.be0892622f746p-4, -0x1.bea4804a8096dp-4, -0x1.bf248a4c99193p-4, -0x1.bf86a72bf4582p-4, -0x1.bfc927fd23ff1p-4, -0x1.bfeab2110017ap-4, -0x1.bfea38ba43b1dp-4, -0x1.bfc6f64ae665p-4, -0x1.bf8068747cac1p-4, -0x1.bf1647fd6b31ep-4, -0x1.be88856609eabp-4, -0x1.bdd743e4e2b15p-4, -0x1.bd02d260c1e09p-4, -0x1.bc0ba99e04832p-4, -0x1.baf266cac91edp-4, -0x1.b9b7c5963df3cp-4, -0x1.b85c9fca8a089p-4, -0x1.b6e1e7c5cab41p-4, -0x1.b548a28959555p-4, -0x1.b391eab2f1e61p-4, -0x1.b1bee892bb6d2p-4, -0x1.afd0cde33baa4p-4, -0x1.adc8db1a93a96p-4, -0x1.aba8553ae7773p-4, -0x1.a9708433e49e3p-4, -0x1.a722b83d227d1p-4, -0x1.a4c03f9214c95p-4, -0x1.a24a66ccb32c3p-4, -0x1.9fc27d2091767p-4, -0x1.9d29cb9527c86p-4, -0x1.9a819620c827ep-4, -0x1.97cb1ee68cbd2p-4, -0x1.95079f7a32bc9p-4, -0x1.923849c4e2a8cp-4, -0x1.8f5e4a87b6bbbp-4, -0x1.8c7ac4aa4d4e6p-4, -0x1.898ed1cfe83e3p-4, -0x1.869b843abc5ap-4, -0x1.83a1e37ede5b6p-4, -0x1.80a2ed09041edp-4, -0x1.7d9f95e5681dep-4, -0x1.7a98c82060256p-4, -0x1.778f62fd0e6d7p-4, -0x1.74843d3200e3p-4, -0x1.717822edbf2d8p-4, -0x1.6e6bd51a4ea85p-4, -0x1.6b600c02aac71p-4, -0x1.685576acca532p-4, -0x1.654cb8eed190ap-4, -0x1.62466d6aba683p-4, -0x1.5f4326d823492p-4, -0x1.5c436e03fc228p-4, -0x1.5947c1cd37daap-4, -0x1.56509975b474dp-4, -0x1.535e646abd611p-4, -0x1.507188aa97d1bp-4, -0x1.4d8a63c729422p-4, -0x1.4aa94caa17349p-4, -0x1.47ce92e38f3c4p-4, -0x1.44fa7d93335cbp-4, -0x1.422d4c9facd5bp-4, -0x1.3f673a23d2814p-4, -0x1.3ca879bfcc1ap-4, -0x1.39f137b9921cp-4, -0x1.37419a17ee6fep-4, -0x1.3499c1f20e3a5p-4, -0x1.31f9caf982512p-4, -0x1.2f61caa883004p-4, -0x1.2cd1d107af4fcp-4, -0x1.2a49e9f57b8f6p-4, -0x1.27ca1d180aee3p-4, -0x1.25526d16d12bep-4, -0x1.22e2d7de0093ep-4, -0x1.207b57ca12fc4p-4, -0x1.1e1be417f9042p-4, -0x1.1bc47057da0b1p-4, -0x1.1974ec2cc45dfp-4, -0x1.172d44191c8fdp-4, -0x1.14ed624deea35p-4, -0x1.12b52e981508ap-4, -0x1.10848de8e530bp-4, -0x1.0e5b6282fbe62p-4, -0x1.0c398cc4c7746p-4, -0x1.0a1eeb9bc3fdcp-4, -0x1.080b5c52ca39p-4, -0x1.05feba48814acp-4, -0x1.03f8df39b27b6p-4, -0x1.01f9a3e2fdbdp-4, -0x1.0000e04c1b93dp-4, -0x1.fc1cd739fc0c6p-5, -0x1.f84437d19a3e2p-5, -0x1.f4778cd9add0cp-5, -0x1.f0b6801e9365p-5, -0x1.ed00bb3a569bbp-5, -0x1.e955e7603f60fp-5, -0x1.e5b5ad034a1e1p-5, -0x1.e21fb41a04b67p-5, -0x1.de93a4da9b8cp-5, -0x1.db1128328ebb8p-5, -0x1.d797e7c18ff9dp-5, -0x1.d4278d90b2f3ep-5, -0x1.d0bfc40f305d3p-5, -0x1.cd603688754fep-5, -0x1.ca08919aaaa75p-5, -0x1.c6b8835cc820cp-5, -0x1.c36fbb3849a36p-5, -0x1.c02de9b7e18fcp-5, -0x1.bcf2c0ac4a4a9p-5, -0x1.b9bdf38d589b1p-5, -0x1.b68f37b8e4f6cp-5, -0x1.b366447712175p-5, -0x1.b042d2d2d460ep-5, -0x1.ad249d7d41255p-5, -0x1.aa0b60f2bf887p-5, -0x1.a6f6dbb951005p-5, -0x1.a3e6ce80270dbp-5, -0x1.a0dafc1d8e8b4p-5, -0x1.9dd3297206ff2p-5, -0x1.9acf1d4f0f8cfp-5, -0x1.97cea08860f84p-5, -0x1.94d17e18b0c2p-5, -0x1.91d7833515acbp-5, -0x1.8ee07f4ca7ae4p-5, -0x1.8bec43f46fb98p-5, -0x1.88faa4cb6bda3p-5, -0x1.860b7776d0c8dp-5, -0x1.831e93b59dee1p-5, -0x1.8033d36d8e591p-5, -0x1.7d4b12aa4e159p-5, -0x1.7a642f9119779p-5, -0x1.777f0a48b0e61p-5, -0x1.749b84e631353p-5, -0x1.71b9836eb0b7p-5, -0x1.6ed8ebdecc9d1p-5, -0x1.6bf9a6290e5e7p-5, -0x1.691b9c2d19958p-5, -0x1.663eb9a8307b3p-5, -0x1.6362ec1f80fe2p-5, -0x1.608822d0a9f1dp-5, -0x1.5dae4eafce201p-5, -0x1.5ad56266b374ap-5, -0x1.57fd524c914c1p-5, -0x1.55261459b77d3p-5, -0x1.524fa01857c9dp-5, -0x1.4f79ee928c1b8p-5, -0x1.4ca4fa440669bp-5, -0x1.49d0bf13d8a1dp-5, -0x1.46fd3a4e85bebp-5, -0x1.442a6a9a5b8e5p-5, -0x1.41584fe9b2d98p-5, -0x1.3e86eb6e48ab4p-5, -0x1.3bb63f8c3d85bp-5, -0x1.38e64fcc801c7p-5, -0x1.361720d1a5c4ap-5, -0x1.3348b84e3ff01p-5, -0x1.307b1cf90e8b8p-5, -0x1.2dae5680b1959p-5, -0x1.2ae26d8172922p-5, -0x1.28176b7bd73e3p-5, -0x1.254d5ac8927cap-5, -0x1.2284468a58797p-5, -0x1.1fbc3aa13a0dbp-5, -0x1.1cf543a06e32bp-5, -0x1.1a2f6ec522fcap-5, -0x1.176ac9ee20fcdp-5, -0x1.14a76393787d8p-5, -0x1.11e54abc47164p-5, -0x1.0f248ef1e822ep-5, -0x1.0c6540326e451p-5, -0x1.09a76ee652cdap-5, -0x1.06eb2bd9a1c78p-5, -0x1.04308836197b6p-5, -0x1.0177957be9c21p-5, -0x1.fd80caf153e1dp-6, -0x1.f816147979fp-6, -0x1.f2af2c20c43b5p-6, -0x1.ed4c36d3d9d7ap-6, -0x1.e7ed59cd517f1p-6, -0x1.e292ba8c3742p-6, -0x1.dd3c7eca5cbb2p-6, -0x1.d7eacc6eaceb9p-6, -0x1.d29dc97bd6c6ep-6, -0x1.cd559bfe2bad4p-6, -0x1.c81269fbfc247p-6, -0x1.c2d459695c6eep-6, -0x1.bd9b901ec444dp-6, -0x1.b86833d0f23f5p-6, -0x1.b33a6a0806b6p-6, -0x1.ae12581426005p-6, -0x1.a8f022ffc10e6p-6, -0x1.a3d3ef820bc04p-6, -0x1.9ebde1f43d7afp-6, -0x1.99ae1e49ea176p-6, -0x1.94a4c80b4d078p-6, -0x1.8fa2024f98006p-6, -0x1.8aa5efb56dafep-6, -0x1.85b0b25a1dad9p-6, -0x1.80c26bcff12afp-6, -0x1.7bdb3d153655dp-6, -0x1.76fb468cda052p-6, -0x1.7222a7f997909p-6, -0x1.6d51807a9963fp-6, -0x1.6887ee8885f0dp-6, -0x1.63c60ff12f989p-6, -0x1.5f0c01d1e9ab4p-6, -0x1.5a59e0910c685p-6, -0x1.55afc7d7f58c1p-6, -0x1.510dd28e95bfp-6, -0x1.4c741ad86bef8p-6, -0x1.47e2ba13002e5p-6, -0x1.4359c8d4e43e4p-6, -0x1.3ed95eec4f836p-6, -0x1.3a61935cd9c3ep-6, -0x1.35f27c5c686f8p-6, -0x1.318c2f4ff315dp-6, -0x1.2d2ec0c89a31ep-6, -0x1.28da4482258b7p-6, -0x1.248ecd62b61acp-6, -0x1.204c6d7b09969p-6, -0x1.1c13360766305p-6, -0x1.17e3376fd934fp-6, -0x1.13bc814800299p-6, -0x1.0f9f224e4fb9cp-6, -0x1.0b8b286b7dd4cp-6, -0x1.0780a0b1fbfa3p-6, -0x1.037f975e590a2p-6, -0x1.ff102fb0cd69dp-7, -0x1.f7345969c2343p-7, -0x1.ef6bbf6f4377p-7, -0x1.e7b673aad32dep-7, -0x1.e014866af5642p-7, -0x1.d8860665d96p-7, -0x1.d10b00bb6acf1p-7, -0x1.c9a380f79434ap-7, -0x1.c24f9115cee43p-7, -0x1.bb0f3984ad5aep-7, -0x1.b3e2812b6ceb4p-7, -0x1.acc96d6f1ddbap-7, -0x1.a5c40238d1493p-7, -0x1.9ed241fb15b8p-7, -0x1.97f42db773a1fp-7, -0x1.9129c50365bb7p-7, -0x1.8a73060d08085p-7, -0x1.83cfeda02f16fp-7, -0x1.7d40772c1cdaep-7, -0x1.76c49cc9260cap-7, -0x1.705c573f780c9p-7, -0x1.6a079e0dd3834p-7, -0x1.63c6677014579p-7, -0x1.5d98a8655b59bp-7, -0x1.577e54b5df439p-7, -0x1.51775ef85b358p-7, -0x1.4b83b897b6e67p-7, -0x1.45a351d905aa3p-7, -0x1.3fd619e3338f6p-7, -0x1.3a1bfec762d5ap-7, -0x1.3474ed8ab802fp-7, -0x1.2ee0d22fe31eep-7, -0x1.295f97c016485p-7, -0x1.23f12851b7e44p-7, -0x1.1e956d0c97d1ep-7, -0x1.194c4e2b419c2p-7, -0x1.1415b2fafb355p-7, -0x1.0ef181dc135b1p-7, -0x1.09dfa044b716dp-7, -0x1.04dff2c8d49f2p-7, -0x1.ffe4ba4fc3097p-8, -0x1.f62d84bf4b0ebp-8, -0x1.ec9a098395bep-8, -0x1.e32a0c1079ae2p-8, -0x1.d9dd4ec732cd9p-8, -0x1.d0b392ff628a2p-8, -0x1.c7ac98f980f2dp-8, -0x1.bec81fbcd829bp-8, -0x1.b605e4eb7e6a2p-8, -0x1.ad65a49a54491p-8, -0x1.a4e7193e09e2dp-8, -0x1.9c89fbbb50233p-8, -0x1.944e039efc9a5p-8, -0x1.8c32e77af1474p-8, -0x1.84385d56ea3c7p-8, -0x1.7c5e1b1c9f483p-8, -0x1.74a3d6e347effp-8, -0x1.6d0947039426ap-8, -0x1.658e21e753484p-8, -0x1.5e321d9abc21ep-8, -0x1.56f4ef35d591ep-8, -0x1.4fd64a439b98dp-8, -0x1.48d5e0523e83dp-8, -0x1.41f360d35f64dp-8, -0x1.3b2e79629e523p-8, -0x1.3486d67108928p-8, -0x1.2dfc24389c485p-8, -0x1.278e0fc62c69ep-8, -0x1.213c47da14ab6p-8, -0x1.1b067d64f8cd3p-8, -0x1.14ec6376f95cap-8, -0x1.0eedae9a9c83dp-8, -0x1.090a13b4057bp-8, -0x1.034146a37f576p-8, -0x1.fb25f1f8426dep-9, -0x1.effdb245fea0dp-9, -0x1.e509242e47195p-9, -0x1.da4798028ebep-9, -0x1.cfb85af263216p-9, -0x1.c55aba8610ce3p-9, -0x1.bb2e084de789fp-9, -0x1.b1319cee9740ap-9, -0x1.a764d9cf43858p-9, -0x1.9dc728f87dc0dp-9, -0x1.9457fb15370e2p-9, -0x1.8b16c3fabee95p-9, -0x1.8202f6736cfe2p-9, -0x1.791c003b9ea3cp-9, -0x1.7061471b1e9aep-9, -0x1.67d227c8d8a15p-9, -0x1.5f6df6e6786ebp-9, -0x1.573403e5de5acp-9, -0x1.4f239d3f3b265p-9, -0x1.473c150c29ce4p-9, -0x1.3f7cc506e6693p-9, -0x1.37e5110931b12p-9, -0x1.307467873a8a1p-9, -0x1.292a3ff279c8dp-9, -0x1.22061774e76acp-9, -0x1.1b076ccb94a8p-9, -0x1.142dbc34c4935p-9, -0x1.0d787c540dd0fp-9, -0x1.06e71caaa4e0bp-9, -0x1.007905e594ceep-9, -0x1.f45b37b881336p-10, -0x1.e8088184c8427p-10, -0x1.dbf8b19f2283ap-10, -0x1.d02a9b0165613p-10, -0x1.c49d1f6fb6821p-10, -0x1.b94f304c8dcb2p-10, -0x1.ae3fcbfeefc52p-10, -0x1.a36df8a226e77p-10, -0x1.98d8bd9c82848p-10, -0x1.8e7f1dfd3294cp-10, -0x1.8460152dc1e02p-10, -0x1.7a7a96c0472d5p-10, -0x1.70cd912ce7ebcp-10, -0x1.6757f299fe0e4p-10, -0x1.5e18ae67eed09p-10, -0x1.550ec242b7d6ap-10, -0x1.4c3939b217f11p-10, -0x1.43972f6c49ac2p-10, -0x1.3b27cc01e077p-10, -0x1.32ea41e19ce5ep-10, -0x1.2addc71aee526p-10, -0x1.23018e0e56868p-10, -0x1.1b54befb8c25bp-10, -0x1.13d6737863f99p-10, -0x1.0c85b5aa857efp-10, -0x1.05618385f0b5bp-10, -0x1.fcd1aa4cba08ap-11, -0x1.ef3549ed087e3p-11, -0x1.e1ebf0002a55fp-11, -0x1.d4f3c9cf10aap-11, -0x1.c84b30a0379p-11, -0x1.bbf0ab745c5e2p-11, -0x1.afe2e90f2b7acp-11, -0x1.a420b38361533p-11, -0x1.98a8e04c7efd6p-11, -0x1.8d7a40e8e291ep-11, -0x1.8293975647f7dp-11, -0x1.77f3904022f0cp-11, -0x1.6d98c2d09117dp-11, -0x1.6381b4912b6d7p-11, -0x1.59acdf04a3346p-11, -0x1.5018b4e3fcd4bp-11, -0x1.46c3a659d63ccp-11, -0x1.3dac25486d2f1p-11, -0x1.34d0aae58a51ep-11, -0x1.2c2fbee1f3cdp-11, -0x1.23c7fd7e5d83p-11, -0x1.1b9819044974ep-11, -0x1.139ed4d2e0dafp-11, -0x1.0bdafc2b9318bp-11, -0x1.044b5a3fabf7ap-11, -0x1.f9dd71c8054f6p-12, -0x1.eb87cf0a579b2p-12, -0x1.dd938dff0b602p-12, -0x1.cffea842db341p-12, -0x1.c2c7569c2e6f5p-12, -0x1.b5ec06d3e763fp-12, -0x1.a96b45736d46fp-12, -0x1.9d43a63f25317p-12, -0x1.9173b41f948b7p-12, -0x1.85f9e7ef22088p-12, -0x1.7ad49cdd1187ap-12, -0x1.7001f969e24f2p-12, -0x1.657fce955ed5dp-12, -0x1.5b4b7bf0ea6dp-12, -0x1.5161ed603008ap-12, -0x1.47bfc102bb755p-12, -0x1.3e619317e7986p-12, -0x1.35445b3fba3bdp-12, -0x1.2c65bc1f7d859p-12, -0x1.23c4251692a7dp-12, -0x1.1b5eb8530f2d6p-12, -0x1.1335014dffd2ep-12, -0x1.0b469eb604a43p-12, -0x1.0393096d82c62p-12, -0x1.f8332c3850bc6p-13, -0x1.e9b34d7edac4p-13, -0x1.dba5b90b845c9p-13, -0x1.ce0a2e16d5cbbp-13, -0x1.c0e05ead111efp-13, -0x1.b4270d88363p-13, -0x1.a7db339a6eec6p-13, -0x1.9bf7916e4d955p-13, -0x1.9074ebed0e01p-13, -0x1.854af75956466p-13, -0x1.7a71b5c9ae6a1p-13, -0x1.6fe2e1dba884ep-13, -0x1.659ae68d8705cp-13, -0x1.5b98f49921ce2p-13, -0x1.51de167a687f5p-13, -0x1.486ba753539f1p-13, -0x1.3f41f93dce8fbp-13, -0x1.365fea8b92697p-13, -0x1.2dc3929399a15p-13, -0x1.256b70fe28144p-13, -0x1.1d573e097939fp-13, -0x1.1587d5638b50dp-13, -0x1.0dfe57956325cp-13, -0x1.06bb0d714f04fp-13, -0x1.ff7957f3a8f5dp-14, -0x1.f2008bf5d11dcp-14, -0x1.e503711b3a01fp-14, -0x1.d8782468bc1e7p-14, -0x1.cc53ad9e00b62p-14, -0x1.c08adb00333d1p-14, -0x1.b51412345ca0ep-14, -0x1.a9e98c3e51dep-14, -0x1.9f0a66db111cap-14, -0x1.94795ee8a038ep-14, -0x1.8a39c9f56adafp-14, -0x1.804cd8991e03ap-14, -0x1.76b0d3bbe4b22p-14, -0x1.6d625cd005c0bp-14, -0x1.645e96985645p-14, -0x1.5ba4ee490b083p-14, -0x1.5337217b0a76p-14, -0x1.4b16f62e75e96p-14, -0x1.43437fb0f4958p-14, -0x1.3bb89ae7cb784p-14, -0x1.3470d5424dd02p-14, -0x1.2d67b0bf1f5cfp-14, -0x1.269a9de435b93p-14, -0x1.20086ad6376c6p-14, -0x1.19afbf8dff181p-14, -0x1.138dacc3b6172p-14, -0x1.0d9d445af69a8p-14, -0x1.07d8734419c83p-14, -0x1.0239c149a30f4p-14, -0x1.f97cdc4223c09p-15, -0x1.eecf289105576p-15, -0x1.e471750f98902p-15, -0x1.da6873bbe6585p-15, -0x1.d0b11d135385bp-15, -0x1.c744558841944p-15, -0x1.be2088587f961p-15, -0x1.b54ae908ad6b9p-15, -0x1.acc5cb1dfc8cfp-15, -0x1.a48af3e4bbbe2p-15, -0x1.9c9021fc1418dp-15, -0x1.94cd3d22f7cfbp-15, -0x1.8d3e03f6df808p-15, -0x1.85e0d8b6ced02p-15, -0x1.7eb5e0aa9f99ep-15, -0x1.77bf2a044b774p-15, -0x1.71006731da3bfp-15, -0x1.6a7d022135e47p-15, -0x1.64351206403aep-15, -0x1.5e224f7e3f75dp-15, -0x1.5836bdde58caep-15, -0x1.52629ce4f9273p-15, -0x1.4ca1e8e1a6dc3p-15, -0x1.470047de60a12p-15, -0x1.418910ba10252p-15, -0x1.3c3897cf7b3c8p-15, -0x1.370585992f89ap-15, -0x1.31f17585504a5p-15, -0x1.2d03ccdc7a289p-15, -0x1.283bd17889aa4p-15, -0x1.239192f3e9df6p-15, -0x1.1efe26ff9ae41p-15, -0x1.1a7eb94e95032p-15, -0x1.161304c92bca9p-15, -0x1.11bb4503d6316p-15, -0x1.0d77372770194p-15, -0x1.0946444533ca9p-15, -0x1.05287c343a349p-15, -0x1.011f7b2b10ab5p-15, -0x1.fa5c2c1c12f98p-16, -0x1.f2ad8e6309ep-16, -0x1.eb3379d6bec08p-16, -0x1.e3e42db02f214p-16, -0x1.dcaaaccf62e59p-16, -0x1.d578c221d621p-16, -0x1.ce57d58984786p-16, -0x1.c756417077257p-16, -0x1.c0701223d72cep-16, -0x1.b99d88feaacd7p-16, -0x1.b2e48c7e47db6p-16, -0x1.ac4cd94bdd4fap-16, -0x1.a5d238eb0bb07p-16, -0x1.9f6af4d555c5dp-16, -0x1.9911c7b70462bp-16, -0x1.92c62dff61b49p-16, -0x1.8c892b6b6e67fp-16, -0x1.865b831e61d73p-16, -0x1.803d4ff59a433p-16, -0x1.7a2e13b4cffep-16, -0x1.742cf9e63bbcep-16, -0x1.6e3961ebc9663p-16, -0x1.685378dcb8d1bp-16, -0x1.627c3afcbac7ap-16, -0x1.5cb4d4666f2b9p-16, -0x1.56fee65d3153ap-16, -0x1.515bc2306f94p-16, -0x1.4bc6f4c4b17cap-16, -0x1.463ba9b3a4c6cp-16, -0x1.40bb7e07ef40ep-16, -0x1.3b3fe39f3d76cp-16, -0x1.35c8498f67ec9p-16, -0x1.305da97b22166p-16, -0x1.2afd47f145fe2p-16, -0x1.25a8225207844p-16, -0x1.205fd3b4e23ffp-16, -0x1.1b1ff0d5ccfc4p-16, -0x1.15e60a57f4835p-16, -0x1.10b293adedfcbp-16, -0x1.0b86786ad312ap-16, -0x1.06623935e2d1cp-16, -0x1.0145fcc0c0defp-16, -0x1.f8638339e198bp-17, -0x1.ee4ae7c5a1d65p-17, -0x1.e441db86516efp-17, -0x1.da47f9f99b92p-17, -0x1.d05cfbfa37c65p-17, -0x1.c680e7dbc7351p-17, -0x1.bcb38dc17dccep-17, -0x1.b2f440571fd8p-17, -0x1.a946374307685p-17, -0x1.9fb05bf758c05p-17, -0x1.962afaec8bf0fp-17, -0x1.8cb186d10806ap-17, -0x1.8349ba696b31fp-17, -0x1.79ed6059da40fp-17, -0x1.70a3a8f27fd5ap-17, -0x1.67679878e672ap-17, -0x1.5e33ff14272dap-17, -0x1.5515e307b6378p-17, -0x1.4c0a386e57c39p-17, -0x1.430bc09fbb3c6p-17, -0x1.3a1af4537e863p-17, -0x1.313959562daabp-17, -0x1.2867c8ecbb956p-17, -0x1.1fa69c239ea9cp-17, -0x1.16f5fd9696927p-17, -0x1.0e5615c8ddda5p-17, -0x1.05c716f118d2cp-17, -0x1.fa925c72cf4e8p-18, -0x1.e9b8d3c1efa74p-18, -0x1.d901672297c17p-18, -0x1.c86bf5ff3ec2ep-18, -0x1.b7f8d9f437fbep-18, -0x1.a7a834fd79435p-18, -0x1.9778c7e3b850dp-18, -0x1.876de84c1c2bap-18, -0x1.7794869daac08p-18, -0x1.67e1dd2af7b42p-18, -0x1.58441313e9c63p-18, -0x1.48c675a0f9c28p-18, -0x1.39873c71720bep-18, -0x1.2a708cdd23c4cp-18, -0x1.1b6eada171942p-18, -0x1.0c8dd18aacb81p-18, -0x1.fbbe1c4ec0c87p-19, -0x1.deb062e4a1bf9p-19, -0x1.c1eac45fcf54p-19, -0x1.a571bfab9ea4p-19, -0x1.894869ad858a8p-19, -0x1.6d6ff89f9a965p-19, -0x1.51e8ef591b698p-19, -0x1.36b3a87dceee9p-19, -0x1.1bd0877d7f006p-19, -0x1.01400ae23eb9p-19, -0x1.ce05897c10c32p-20, -0x1.9a325e695c655p-20, -0x1.6706e6aa552e1p-20, -0x1.3482c1b03697ep-20, -0x1.02a589632106cp-20, -0x1.a2e01758af407p-21, -0x1.41c8dd19f7619p-21, -0x1.c409ee2c54facp-22, -0x1.0719369a2a55cp-22, -0x1.3407bcb684f0fp-24, 0x1.a841252a85f05p-24, 0x1.1f01ec1ee7859p-22, 0x1.d13f05fd7ea41p-22, 0x1.4040c42be34e9p-21, 0x1.96716b3169706p-21, 0x1.eb4c8f9e75f18p-21, 0x1.1f85366e64eb2p-20, 0x1.48a137790f52bp-20, 0x1.710a94563900ep-20, 0x1.98ce447fdb74ep-20, 0x1.bfe6c86c02c77p-20, 0x1.e65191fadd819p-20, 0x1.06072ac761e57p-19, 0x1.188eade694be3p-19, 0x1.2abf81f942f9bp-19, 0x1.3c99d57a4b714p-19, 0x1.4e1dd3793fc7fp-19, 0x1.5f4ba18db06ap-19, 0x1.7023605bdece4p-19, 0x1.80a5367c3e058p-19, 0x1.90d1643a4f034p-19, 0x1.a0a84d73f1125p-19, 0x1.b02a6bfbbf35ap-19, 0x1.bf58298d448f2p-19, 0x1.ce3199e51cf1dp-19, 0x1.dcb66cb87d3b8p-19, 0x1.eae7165b780f5p-19, 0x1.f8c6173dbc11bp-19, 0x1.032898489803ap-18, 0x1.09c3e585a96edp-18, 0x1.103741b9a8fc4p-18, 0x1.167f9cb63dd35p-18, 0x1.1ca0b74d63f2ep-18, 0x1.229a792aacbb5p-18, 0x1.286a5254cc094p-18, 0x1.2e135e20feecfp-18, 0x1.3392ede83c385p-18, 0x1.38eb9ccacc32ep-18, 0x1.3e1dbe31f5898p-18, 0x1.4328f47b1f648p-18, 0x1.480d6aeac3a2ap-18, 0x1.4ccb6ebdcaa96p-18, 0x1.51635075fd5a7p-18, 0x1.55d56001f88efp-18, 0x1.5a21ed27a1d97p-18, 0x1.5e494800fdeebp-18, 0x1.624bc0c938beap-18, 0x1.6629a91dd5cc7p-18, 0x1.69e3513ecd784p-18, 0x1.6d790b1cb7808p-18, 0x1.70eb2ce24d592p-18, 0x1.743a116f0144fp-18, 0x1.776616c478cep-18, 0x1.7a6f9b4fee31cp-18, 0x1.7d56f4f73a1bfp-18, 0x1.801c6394b3c12p-18, 0x1.82c029cf3b9aap-18, 0x1.8542e12e341cp-18, 0x1.87a5764aa56d3p-18, 0x1.89e7610f30539p-18, 0x1.8c0894f0ca67cp-18, 0x1.8e0a0aed8501ap-18, 0x1.8feca0c2406d1p-18, 0x1.91b06ba99015bp-18, 0x1.93562e401164dp-18, 0x1.94dd8f9d7ffeap-18, 0x1.9646690c284edp-18, 0x1.979200dd08215p-18, 0x1.98c1059024418p-18, 0x1.99d376c4f0ee2p-18, 0x1.9ac9a953f9003p-18, 0x1.9ba4047086599p-18, 0x1.9c62ef29beaa1p-18, 0x1.9d06cf7df4ccap-18, 0x1.9d900ae5e717ep-18, 0x1.9dff069f0f267p-18, 0x1.9e5427d709fbcp-18, 0x1.9e8fd3abbae4bp-18, 0x1.9eb26f25bb083p-18, 0x1.9ebc5f0ed2506p-18, 0x1.9eae07e11d2f4p-18, 0x1.9e87cdeafaa07p-18, 0x1.9e49e97cfa706p-18, 0x1.9df542d93f124p-18, 0x1.9d89c7d7579f3p-18, 0x1.9d07fb45c2c02p-18, 0x1.9c704674c798p-18, 0x1.9bc30732e3143p-18, 0x1.9b0098f2a3125p-18, 0x1.9a2966340d361p-18, 0x1.993e0197767aap-18, 0x1.983ed05d57bf7p-18, 0x1.972b7fe7361bfp-18, 0x1.96051b5140bc3p-18, 0x1.94cc04d9333dep-18, 0x1.93807376e887p-18, 0x1.9222e00f2f9e4p-18, 0x1.90b3d4ea801d1p-18, 0x1.8f3311bba138dp-18, 0x1.8da1592e5c428p-18, 0x1.8bff43e4f4384p-18, 0x1.8a4cad6009fa8p-18, 0x1.888ab437e5cbfp-18, 0x1.86b8fc1d84489p-18, 0x1.84d82b9df3316p-18, 0x1.82e898ac414a9p-18, 0x1.80ea9da682045p-18, 0x1.7ede94f151b24p-18, 0x1.7cc4d85ab4b0ep-18, 0x1.7a9dc0c86113ap-18, 0x1.7869a6c599a77p-18, 0x1.7628e1eff8b0fp-18, 0x1.73dbc93acd9c8p-18, 0x1.7182b2ce5f413p-18, 0x1.6f1df402963ddp-18, 0x1.6cade173db9c8p-18, 0x1.6a32cf1c22c75p-18, 0x1.67ad1047591dfp-18, 0x1.651cf77cd213cp-18, 0x1.6282d67cc954fp-18, 0x1.5fdefe2007093p-18, 0x1.5d31bd7a64e02p-18, 0x1.5a7b61dfe853fp-18, 0x1.57bc39b05dda8p-18, 0x1.54f4975d3973ap-18, 0x1.5224d98fd6e1dp-18, 0x1.4f4d19e8e6b48p-18, 0x1.4c6dbd9d3f386p-18, 0x1.49871d9596ed2p-18, 0x1.469975054f8c1p-18, 0x1.43a50fe85957p-18, 0x1.40aa445709cd5p-18, 0x1.3da92c199c6efp-18, 0x1.3aa22e30543ap-18, 0x1.37959224bee04p-18, 0x1.3483936b96b58p-18, 0x1.316c74d81a34cp-18, 0x1.2e507803f2801p-18, 0x1.2b2fe26dbdce3p-18, 0x1.280af00fe49e1p-18, 0x1.24e1e2551b223p-18, 0x1.21b4f8e03434dp-18, 0x1.1e84744500abfp-18, 0x1.1b5043d555409p-18, 0x1.1819d4fd35c03p-18, 0x1.14df6b064b844p-18, 0x1.11a2bc75e965p-18, 0x1.0e638db017136p-18, 0x1.0b2221f595c4ep-18, 0x1.07deae85df626p-18, 0x1.04996954d41edp-18, 0x1.015281cf4bdb8p-18, 0x1.fc147db3fd926p-19, 0x1.f5818583aa23p-19, 0x1.eeec8ce0383fap-19, 0x1.e855f721187e3p-19, 0x1.e1be27f31bf6dp-19, 0x1.db2580398dcaap-19, 0x1.d48c5fd767273p-19, 0x1.cdf322ab57d9p-19, 0x1.c75a25c3494d9p-19, 0x1.c0c1c3c5eeae5p-19, 0x1.ba2a5929c8c3ap-19, 0x1.b394310209672p-19, 0x1.acffa903ee3f2p-19, 0x1.a66d157eb832p-19, }}, 
      {{-0x1.6d26527e7a25bp+0, -0x1.6acf07a644e5ep+0, -0x1.66f7929ae88dbp+0, -0x1.61b549c23acbap+0, -0x1.5b2358a17db77p+0, -0x1.536101dae9548p+0, -0x1.4a90094d73b5bp+0, -0x1.40d358c5e52d6p+0, -0x1.364de3f7a7d87p+0, -0x1.2b21c922d3362p+0, -0x1.1f6fa8690ede5p+0, -0x1.13562aa778c19p+0, -0x1.06f1b09ad0663p+0, -0x1.f4b846e047cccp-1, -0x1.db59c0bde2c5fp-1, -0x1.c1f172e05c532p-1, -0x1.a8a40c922d3b8p-1, -0x1.8f918135bdb4fp-1, -0x1.76d551211fb86p-1, -0x1.5e86dc71875cep-1, -0x1.46b9bb0bdf1fp-1, -0x1.2f7e16150b523p-1, -0x1.18e100310b08ep-1, -0x1.02eccab105eacp-1, -0x1.db52acfb3f33cp-2, -0x1.b238bff68ac4dp-2, -0x1.8a938adba2dcdp-2, -0x1.64678f1d7b717p-2, -0x1.3fb68875c8b75p-2, -0x1.1c7fd6a9ae0ep-2, -0x1.f581b7f148f64p-3, -0x1.b4eaa1e2ab594p-3, -0x1.772f1d176f1dap-3, -0x1.3c419de1cba4dp-3, -0x1.0412cb7412818p-3, -0x1.9d23c3566fc2dp-4, -0x1.375a0a8e40e38p-4, -0x1.ad462c86ff785p-5, -0x1.eb61a2018e4a9p-6, -0x1.1e960f9491e4fp-7, 0x1.74ac3cfb6a127p-7, 0x1.f22108df26affp-6, 0x1.8c5a4c0d4ff8bp-5, 0x1.0baba62bab0adp-4, 0x1.4d2ac953b8c0cp-4, 0x1.8ad1094ad9619p-4, 0x1.c4c4394c3f301p-4, 0x1.fb297263cbf57p-4, 0x1.171282488712ap-3, 0x1.2eed35a827a7cp-3, 0x1.453622556a19cp-3, 0x1.59fe253c2c73fp-3, 0x1.6d55a6dbf4784p-3, 0x1.7f4c99ecb8765p-3, 0x1.8ff27ad58bf3ap-3, 0x1.9f564fc3d64efp-3, 0x1.ad86a9349d4d1p-3, 0x1.ba91a2ce67c33p-3, 0x1.c684e478b820fp-3, 0x1.d16da3a85af98p-3, 0x1.db58a4dc7d5c7p-3, 0x1.e4523d4816243p-3, 0x1.ec6654a1e7eb9p-3, 0x1.f3a06713dc919p-3, 0x1.fa0b8742ac741p-3, 0x1.ffb260672c39p-3, 0x1.024f9c3a17dc1p-2, 0x1.046df922b87e8p-2, 0x1.063907ea7ed52p-2, 0x1.07b55a3ac9bd2p-2, 0x1.08e75388c6e0dp-2, 0x1.09d32a36b1fc6p-2, 0x1.0a7ce8b669dddp-2, 0x1.0ae86ead84764p-2, 0x1.0b1972197f81dp-2, 0x1.0b13807463f99p-2, 0x1.0ad9ffd8dda99p-2, 0x1.0a70302517e0dp-2, 0x1.09d92c1ce4edcp-2, 0x1.0917ea891c3e3p-2, 0x1.082f3f56434c1p-2, 0x1.0721dcaf31651p-2, 0x1.05f25416e4bep-2, 0x1.04a3177d2278ep-2, 0x1.03367a5207c05p-2, 0x1.01aeb29362caap-2, 0x1.000dd9d86292ep-2, 0x1.fcabdcadb2847p-3, 0x1.f911a7cc75e09p-3, 0x1.f550a9f75f117p-3, 0x1.f16c474bb4badp-3, 0x1.ed67b4fc190c3p-3, 0x1.e945fb38dbd41p-3, 0x1.e509f70250d52p-3, 0x1.e0b65bf338d96p-3, 0x1.dc4db60a8020dp-3, 0x1.d7d26b54f0b1bp-3, 0x1.d346bd9d0eae1p-3, 0x1.ceaccc079c764p-3, 0x1.ca06949d204fcp-3, 0x1.c555f5d27c8e2p-3, 0x1.c09cb006ccb6ap-3, 0x1.bbdc66e6519f4p-3, 0x1.b716a2d5da312p-3, 0x1.b24cd25506a4dp-3, 0x1.ad804b359ecap-3, 0x1.a8b24befc4253p-3, 0x1.a3e3fcdbb6fa9p-3, 0x1.9f16713fdb47fp-3, 0x1.9a4aa886fad98p-3, 0x1.95818f4bb68f1p-3, 0x1.90bc0044f8ac2p-3, 0x1.8bfac55ad6669p-3, 0x1.873e988c3577ep-3, 0x1.828824c18e77dp-3, 0x1.7dd806c253702p-3, 0x1.792ecdfecdc99p-3, 0x1.748cfd4c4d9e2p-3, 0x1.6ff30bbac6278p-3, 0x1.6b616546b546dp-3, 0x1.66d86b7c1c448p-3, 0x1.6258762c0d7d3p-3, 0x1.5de1d407af137p-3, 0x1.5974cb28c1552p-3, 0x1.551199a88569dp-3, 0x1.50b87627c7b1ep-3, 0x1.4c699040f733ap-3, 0x1.4825110317c99p-3, 0x1.43eb1b6af578dp-3, 0x1.3fbbccc6758ccp-3, 0x1.3b973d166910fp-3, 0x1.377d7f7877a73p-3, 0x1.336ea2827a95p-3, 0x1.2f6ab090b34f7p-3, 0x1.2b71b01b45859p-3, 0x1.2783a40a9188ep-3, 0x1.23a08bfb03644p-3, 0x1.1fc8647cd4e3fp-3, 0x1.1bfb275a5ec98p-3, 0x1.1838cbd7e2be6p-3, 0x1.148146e688baep-3, 0x1.10d48b571eda4p-3, 0x1.0d328a1130219p-3, 0x1.099b32436e319p-3, 0x1.060e718a74261p-3, 0x1.028c3417bffe4p-3, 0x1.fe28c9b93d631p-4, 0x1.f74ddb5ebf6d2p-4, 0x1.f0876ed2f3a77p-4, 0x1.e9d55408ebd32p-4, 0x1.e3375974ec6b9p-4, 0x1.dcad4c48065a7p-4, 0x1.d636f89e4f78cp-4, 0x1.cfd429a867c1bp-4, 0x1.c984a9da53adp-4, 0x1.c348431a4bfaep-4, 0x1.bd1ebee5558adp-4, 0x1.b707e66bfe693p-4, 0x1.b10382b0cd631p-4, 0x1.ab115caaadf3dp-4, 0x1.a5313d62725a4p-4, 0x1.9f62ee077a0cdp-4, 0x1.99a6380177101p-4, 0x1.93fae505c8e97p-4, 0x1.8e60bf2de4bafp-4, 0x1.88d791081aa2bp-4, 0x1.835f25a267449p-4, 0x1.7df7489463cbap-4, 0x1.789fc60c7ea6ep-4, 0x1.73586add72056p-4, 0x1.6e21048706501p-4, 0x1.68f9613a55c23p-4, 0x1.63e14fddbb904p-4, 0x1.5ed8a013f89d6p-4, 0x1.59df22436507ep-4, 0x1.54f4a79990539p-4, 0x1.5019020b5aeb7p-4, 0x1.4b4c0454d7b2ep-4, 0x1.468d81fb74979p-4, 0x1.41dd4f50e17c9p-4, 0x1.3d3b417387536p-4, 0x1.38a72e4c5f306p-4, 0x1.3420ec8c4bc27p-4, 0x1.2fa853aa36115p-4, 0x1.2b3d3be2a3fp-4, 0x1.26df7e36a3ca3p-4, 0x1.228ef468e9111p-4, 0x1.1e4b78f95ef12p-4, 0x1.1a14e720b12eap-4, 0x1.15eb1acd78ee7p-4, 0x1.11cdf0a20f63dp-4, 0x1.0dbd45f14028ep-4, 0x1.09b8f8b9a4e3ep-4, 0x1.05c0e7a04f6c1p-4, 0x1.01d4f1ec075a5p-4, 0x1.fbe9ef03b8b9p-5, 0x1.f441b1c34e3cdp-5, 0x1.ecb0ee43964afp-5, 0x1.e53767d4ae009p-5, 0x1.ddd4e2df984d2p-5, 0x1.d68924dc94d59p-5, 0x1.cf53f44b4acc8p-5, 0x1.c83518aaac02fp-5, 0x1.c12c5a71645c5p-5, 0x1.ba398304868bfp-5, 0x1.b35c5cadbebb4p-5, 0x1.ac94b29241136p-5, 0x1.a5e250aa6d1e9p-5, 0x1.9f4503bafdb1bp-5, 0x1.98bc994d95edep-5, 0x1.9248dfa8c9432p-5, 0x1.8be9a5c7da9e1p-5, 0x1.859ebb5279d33p-5, 0x1.7f67f0954aff9p-5, 0x1.7945167b767f8p-5, 0x1.7335fe884eb5fp-5, 0x1.6d3a7ad0b78dp-5, 0x1.67525df4971c3p-5, 0x1.617d7b18589a9p-5, 0x1.5bbba5de6577p-5, 0x1.560cb2611bb1bp-5, 0x1.5070752d8c0efp-5, 0x1.4ae6c33e68d7cp-5, 0x1.456f71f70bd2fp-5, 0x1.400a571e8ff2cp-5, 0x1.3ab748dac82cep-5, 0x1.35761dab2a023p-5, 0x1.3046ac643872cp-5, 0x1.2b28cc2bb88d1p-5, 0x1.261c54752c01ap-5, 0x1.21211cfe385c8p-5, 0x1.1c36fdcaf651fp-5, 0x1.175dcf22502c5p-5, 0x1.1295698a84d16p-5, 0x1.0ddda5c611848p-5, 0x1.09365cd12378bp-5, 0x1.049f67df3bb34p-5, 0x1.0018a058ae568p-5, 0x1.f743bfb03b675p-6, 0x1.ee7600505a9d5p-6, 0x1.e5c7b68303de8p-6, 0x1.dd389691d93dfp-6, 0x1.d4c8551b7c3afp-6, 0x1.cc76a7108211bp-6, 0x1.c44341b078ef2p-6, 0x1.bc2dda870b66cp-6, 0x1.b436276995348p-6, 0x1.ac5bde753e64ep-6, 0x1.a49eb60d4f7dfp-6, 0x1.9cfe64d974c4p-6, 0x1.957aa1c3f7a4dp-6, 0x1.8e1323f84d47bp-6, 0x1.86c7a2e1f8db6p-6, 0x1.7f97d62bf883dp-6, 0x1.788375c001bap-6, 0x1.718a39c63fdacp-6, 0x1.6aabdaa516ee4p-6, 0x1.63e81100a936bp-6, 0x1.5d3e95ba674dap-6, 0x1.56af21f0fdd84p-6, 0x1.50396f00b3d28p-6, 0x1.49dd36840071ep-6, 0x1.439a32542db2bp-6, 0x1.3d701c89e7313p-6, 0x1.375eaf7dba3bfp-6, 0x1.3165a5c8a073ep-6, 0x1.2b84ba44a25a1p-6, 0x1.25bba80db714fp-6, 0x1.200a2a82e4f3cp-6, 0x1.1a6ffd478cde3p-6, 0x1.14ecdc44a6491p-6, 0x1.0f8083a9de51p-6, 0x1.0a2aafeeb1344p-6, 0x1.04eb1dd36bdfp-6, 0x1.ff8314c4f8915p-7, 0x1.f55b65e3f59fdp-7, 0x1.eb5eaa49b8ab7p-7, 0x1.e18c5dd956e6bp-7, 0x1.d7e3fd15fadd9p-7, 0x1.ce650525bc124p-7, 0x1.c50ef3d460159p-7, 0x1.bbe147960682ep-7, 0x1.b2db7f8a12e89p-7, 0x1.a9fd1b7e43ba2p-7, 0x1.a1459bf1d4842p-7, 0x1.98b48218accaep-7, 0x1.90494fde6077ep-7, 0x1.880387e91f638p-7, 0x1.7fe2ad9c77d58p-7, 0x1.77e6451c2b516p-7, 0x1.700dd34eee466p-7, 0x1.6858dde14aee7p-7, 0x1.60c6eb4889cf1p-7, 0x1.595782c5a4131p-7, 0x1.520a2c67ecb66p-7, 0x1.4ade710ff79dcp-7, 0x1.43d3da71de6a1p-7, 0x1.3ce9f317c920ap-7, 0x1.362046645d5acp-7, 0x1.2f76609515409p-7, 0x1.28ebcec4a6faap-7, 0x1.22801eed766a6p-7, 0x1.1c32dfebd1669p-7, 0x1.1603a18028987p-7, 0x1.0ff1f45119c1ep-7, 0x1.09fd69ed67dd2p-7, 0x1.042594cdc5122p-7, 0x1.fcd410ad3e21ap-8, 0x1.f194b1b3b7087p-8, 0x1.e68c37311a1f4p-8, 0x1.dbb9cd892a987p-8, 0x1.d11ca304863bep-8, 0x1.c6b3e7d37912cp-8, 0x1.bc7ece10c85a1p-8, 0x1.b27c89c418681p-8, 0x1.a8ac50e43473dp-8, 0x1.9f0d5b592099ap-8, 0x1.959ee2fe170b4p-8, 0x1.8c6023a3524d8p-8, 0x1.83505b0fd2ad6p-8, 0x1.7a6ec902f2ba6p-8, 0x1.71baaf35d9facp-8, 0x1.6933515cc1bdbp-8, 0x1.60d7f5280c54bp-8, 0x1.58a7e24515a5fp-8, 0x1.50a2625ee9d9fp-8, 0x1.48c6c11ea50f1p-8, 0x1.41144c2bc5422p-8, 0x1.398a532c41ab7p-8, 0x1.322827c49450ap-8, 0x1.2aed1d979a35fp-8, 0x1.23d88a467227dp-8, 0x1.1ce9c5703f161p-8, 0x1.162028b1d9d3ep-8, 0x1.0f7b0fa563e16p-8, 0x1.08f9d7e1a6b3p-8, 0x1.029be0f920c78p-8, 0x1.f8c118f1b9f6fp-9, 0x1.ec8e7bcdd331ap-9, 0x1.e09eb5814dbc3p-9, 0x1.d4f094f17c87ep-9, 0x1.c982eceb451d3p-9, 0x1.be54941f277b9p-9, 0x1.b364651e72075p-9, 0x1.a8b13e587ba8p-9, 0x1.9e3a0217ea4ap-9, 0x1.93fd967f8c292p-9, 0x1.89fae5868dda9p-9, 0x1.8030dcf37c66fp-9, 0x1.769e6e5652832p-9, 0x1.6d428f018fc61p-9, 0x1.641c3802dd97bp-9, 0x1.5b2a661bea2a7p-9, 0x1.526c19bbd933cp-9, 0x1.49e056f9c5ac7p-9, 0x1.418625904c26ep-9, 0x1.395c90d9a1e25p-9, 0x1.3162a7cbf62d6p-9, 0x1.29977cf517c1cp-9, 0x1.21fa26750a38ap-9, 0x1.1a89bdf6f4b8ap-9, 0x1.134560a89bf6fp-9, 0x1.0c2c2f30d703cp-9, 0x1.053d4da57999ep-9, 0x1.fcefc702fe57ap-10, 0x1.efb6373833de6p-10, 0x1.e2cc484182f9fp-10, 0x1.d6305d111c4aap-10, 0x1.c9e0df28f3e53p-10, 0x1.bddc3e9077d8p-10, 0x1.b220f1ca3c8e4p-10, 0x1.a6ad75c9407d7p-10, 0x1.9b804de4f011bp-10, 0x1.909803cb8122fp-10, 0x1.85f3277251829p-10, 0x1.7b904f03fd30ap-10, 0x1.716e16cc0291bp-10, 0x1.678b21201d2ccp-10, 0x1.5de61644a5e3ep-10, 0x1.547da457a94d1p-10, 0x1.4b507f318ae75p-10, 0x1.425d60521dfc7p-10, 0x1.39a306cf5cd7fp-10, 0x1.31203748cdf24p-10, 0x1.28d3bbe5034e2p-10, 0x1.20bc6453dd2efp-10, 0x1.18d905d103fa2p-10, 0x1.11287b249a1bfp-10, 0x1.09a9a49bbb3e4p-10, 0x1.025b67f57edf5p-10, 0x1.f6796085dda19p-11, 0x1.e898db77f644p-11, 0x1.db132b1c786d1p-11, 0x1.cde64359a620ep-11, 0x1.c1102151c16cbp-11, 0x1.b48ecb32a619p-11, 0x1.a8605029ab222p-11, 0x1.9c82c87ad7de1p-11, 0x1.90f455afded99p-11, 0x1.85b322ce08ed2p-11, 0x1.7abd647f3e8f7p-11, 0x1.7011591b4a872p-11, 0x1.65ad4885ea061p-11, 0x1.5b8f83df1138ap-11, 0x1.51b6650f1ec77p-11, 0x1.48204e41ac707p-11, 0x1.3ecba968205c6p-11, 0x1.35b6e7db316a1p-11, 0x1.2ce0822aabe2bp-11, 0x1.2446f81ec6663p-11, 0x1.1be8d0e076322p-11, 0x1.13c49b3577aa7p-11, 0x1.0bd8edba18ac3p-11, 0x1.042467063ac73p-11, 0x1.f94b5b6eb748cp-12, 0x1.eab6e0594da6bp-12, 0x1.dc88c8fc60236p-12, 0x1.cebe8fa772bcp-12, 0x1.c155bc0eb5496p-12, 0x1.b44be25029c5ap-12, 0x1.a79ea246a8da7p-12, 0x1.9b4ba74d6680cp-12, 0x1.8f50a8825d58p-12, 0x1.83ab696696f1fp-12, 0x1.7859ba95254ffp-12, 0x1.6d597a3bf7dc4p-12, 0x1.62a8941f69244p-12, 0x1.58450122d6365p-12, 0x1.4e2cc68078bacp-12, 0x1.445df4eea7648p-12, 0x1.3ad6a7db88f9ep-12, 0x1.319504c978672p-12, 0x1.28973ab9eaefep-12, 0x1.1fdb819d2cdd4p-12, 0x1.176019de574c8p-12, 0x1.0f234c48abee9p-12, 0x1.07236a73e3e4fp-12, 0x1.febd9f73dc2cep-13, 0x1.efa7c4cc8c9b4p-13, 0x1.e1022949db56ap-13, 0x1.d2c9c984e69acp-13, 0x1.c4fbb936f4177p-13, 0x1.b79520ddbe838p-13, 0x1.aa933b07a6756p-13, 0x1.9df3521f2d79fp-13, 0x1.91b2bf213eb7bp-13, 0x1.85cee911479aap-13, 0x1.7a4544a7203bap-13, 0x1.6f1353c1637ep-13, 0x1.6436a4a2c4ed8p-13, 0x1.59acd16df39cep-13, 0x1.4f73806b63068p-13, 0x1.4588652ccf4c5p-13, 0x1.3be9423d4f6cfp-13, 0x1.3293ea5481b79p-13, 0x1.298641119b79p-13, 0x1.20be3a2e15ab9p-13, 0x1.1839d895d2392p-13, 0x1.0ff72d4b035a5p-13, 0x1.07f456ae3bbfdp-13, 0x1.002f8041a789ap-13, 0x1.f14dc5433f83dp-14, 0x1.e2b186a371adep-14, 0x1.d486e836a3f26p-14, 0x1.c6caa425dd704p-14, 0x1.b979894d5e93cp-14, 0x1.ac907a248c2d5p-14, 0x1.a00c6c5779c2dp-14, 0x1.93ea6818e8a29p-14, 0x1.882786579ef0dp-14, 0x1.7cc0ede895f6p-14, 0x1.71b3d15876eb7p-14, 0x1.66fd6eb3fa0f7p-14, 0x1.5c9b118407e55p-14, 0x1.528a15f869594p-14, 0x1.48c7ec0e50237p-14, 0x1.3f5219f51df79p-14, 0x1.36263d6df5e4cp-14, 0x1.2d420c105c844p-14, 0x1.24a352cf201b8p-14, 0x1.1c47f57acbae3p-14, 0x1.142def2a78292p-14, 0x1.0c53512cc085fp-14, 0x1.04b64383a19eap-14, 0x1.faa9fcbf96b8bp-15, 0x1.ec5b89058469cp-15, 0x1.de7db67decd36p-15, 0x1.d10d0bc186c6dp-15, 0x1.c4060bacff4d9p-15, 0x1.b7653d428e921p-15, 0x1.ab2735786c262p-15, 0x1.9f489e2b3f6dap-15, 0x1.93c63a02dced6p-15, 0x1.889ce51157d73p-15, 0x1.7dc993e969cd5p-15, 0x1.73495184e79d5p-15, 0x1.69193f90c6ed2p-15, 0x1.5f369da375195p-15, 0x1.559ed837b309bp-15, 0x1.4c4f982b65433p-15, 0x1.4346c5f2d3db4p-15, 0x1.3a82784e71989p-15, 0x1.3200d41bdbce6p-15, 0x1.29bfeec40b2edp-15, 0x1.21bdc37f1260cp-15, 0x1.19f83dad6fe42p-15, 0x1.126d4c175ac9fp-15, 0x1.0b1aee8b21d46p-15, 0x1.03ff38eeb3465p-15, 0x1.fa30a11acd527p-16, 0x1.ecc8d2dec4848p-16, 0x1.dfc38c0ac851fp-16, 0x1.d31d561ac0845p-16, 0x1.c6d2d026f605ep-16, 0x1.bae083e7e1fa9p-16, 0x1.af42f97ff21fp-16, 0x1.a3f6da3f540eap-16, 0x1.98f92ee3c6c5dp-16, 0x1.8e478d5447a3ep-16, 0x1.83e007c569c52p-16, 0x1.79c0db2492e97p-16, 0x1.6fe817b7ace17p-16, 0x1.6653864b74f9p-16, 0x1.5d00d074f4b3ap-16, 0x1.53edb3c3e366cp-16, 0x1.4b180e4119a35p-16, 0x1.427dcd436673bp-16, 0x1.3a1ce5dac986ep-16, 0x1.31f3632128907p-16, 0x1.29ff75b362194p-16, 0x1.223f7018a614p-16, 0x1.1ab1b0d3c4ef2p-16, 0x1.13548b2e5bad6p-16, 0x1.0c263e6853103p-16, 0x1.0524fc9baa7dcp-16, 0x1.fc9df2e21b267p-17, 0x1.ef45048f58d29p-17, 0x1.e23c432cfd80ep-17, 0x1.d581684090ad2p-17, 0x1.c912965416286p-17, 0x1.bcedd29eaa60ap-17, 0x1.b110c083b07b2p-17, 0x1.a578ed2f9d19fp-17, 0x1.9a243fdbeb783p-17, 0x1.8f10f2cc23414p-17, 0x1.843d326fbcbc9p-17, 0x1.79a6eec2c5d98p-17, 0x1.6f4c02518716cp-17, 0x1.652a662a8e917p-17, 0x1.5b4052b1ac32ep-17, 0x1.518c4782315ffp-17, 0x1.480cee4eb111fp-17, 0x1.3ec0e4a09650cp-17, 0x1.35a697b2aad4ap-17, 0x1.2cbc554b6d6f4p-17, 0x1.2400846bee008p-17, 0x1.1b71ce79b47a9p-17, 0x1.130f1020dbd39p-17, 0x1.0ad729368ab9bp-17, 0x1.02c8e05a9d03cp-17, 0x1.f5c5bd80cf339p-18, 0x1.e6476b16c1f99p-18, 0x1.d7143779f12dp-18, 0x1.c82a7faa2406bp-18, 0x1.b989590307516p-18, 0x1.ab2f8a13d8089p-18, 0x1.9d1b29a3690ddp-18, 0x1.8f4a3107f6f7ep-18, 0x1.81bad383e4d04p-18, 0x1.746b6006c72c2p-18, 0x1.675a415537bf2p-18, 0x1.5a8618724564ap-18, 0x1.4dedb6e0f6d2ep-18, 0x1.418ffdc0b6333p-18, 0x1.356bba8c04d1ep-18, 0x1.297f95eccff46p-18, 0x1.1dca29da8b042p-18, 0x1.124a40dda595ap-18, 0x1.06ff0d4303878p-18, 0x1.f7d0119b479f5p-19, 0x1.e209020fdad1bp-19, 0x1.cca6748b1b773p-19, 0x1.b7a5154d0b4fp-19, 0x1.a3018d7dbd303p-19, 0x1.8eb9ad1ad3e49p-19, 0x1.7acce3fa36da4p-19, 0x1.673b00c6a2fc5p-19, 0x1.5402bf8013ec6p-19, 0x1.4122228c1707ap-19, 0x1.2e977b874dcbbp-19, 0x1.1c61842f5106ap-19, 0x1.0a7efd2bb6b32p-19, 0x1.f1dd52112ccbep-20, 0x1.cf5ecc8109c2ap-20, 0x1.ad804268d10d7p-20, 0x1.8c3f8965e0989p-20, 0x1.6b9a7284706e7p-20, 0x1.4b8ee45e0ef89p-20, 0x1.2c1abe277b8d9p-20, 0x1.0d3bfdc4d02b1p-20, 0x1.dde1b5317f9c7p-21, 0x1.a26fea18c367dp-21, 0x1.682069abefcd6p-21, 0x1.2ef07aa89c385p-21, 0x1.edb819a8be1b7p-22, 0x1.7fbc4cbb8bb5ep-22, 0x1.13e34bcf72ee5p-22, 0x1.544b5c5b5431ep-23, 0x1.09feb6531a29bp-24, -0x1.18a0e805ba22ap-25, -0x1.0d35bd7df0d8dp-23, -0x1.d03249f96ea56p-23, -0x1.4796380f8b032p-22, -0x1.a51767e2a7b3cp-22, -0x1.005067ba85535p-21, -0x1.2d1bbf58154b8p-21, -0x1.58f02414d4bd7p-21, -0x1.83cfe06883526p-21, -0x1.adbd5ca3f05ap-21, -0x1.d6bb1e882d9d2p-21, -0x1.fecba5273ca8dp-21, -0x1.12f8ac5d73fe5p-20, -0x1.26173e6cbe6a1p-20, -0x1.38c2a18ef0bd9p-20, -0x1.4afbe89bb9cdbp-20, -0x1.5cc41daa869ebp-20, -0x1.6e1c3e56a92dfp-20, -0x1.7f05511a78e48p-20, -0x1.8f80a24f31accp-20, -0x1.9f8f42a133ad7p-20, -0x1.af323ae0a891fp-20, -0x1.be6a9c6c41474p-20, -0x1.cd39be61cfad2p-20, -0x1.dba0b6212b0f1p-20, -0x1.e9a0a4b835d2fp-20, -0x1.f73a554f0d02cp-20, -0x1.0237870b5a313p-19, -0x1.08a021a5cb4c9p-19, -0x1.0ed6f9884944bp-19, -0x1.14dce3e9acb43p-19, -0x1.1ab2549608e55p-19, -0x1.2057cad2e7e15p-19, -0x1.25cdc47920af7p-19, -0x1.2b14c5d987096p-19, -0x1.302d567dce9bbp-19, -0x1.3517fd2a3b929p-19, -0x1.39d53de223e92p-19, -0x1.3e65994d15ef8p-19, -0x1.42c98f9bae267p-19, -0x1.4701a43eaf8d5p-19, -0x1.4b0e5ee5148c1p-19, -0x1.4ef048977db0dp-19, -0x1.52a7dd16325dep-19, -0x1.56359b917a3ecp-19, -0x1.599a0a3ed01f4p-19, -0x1.5cd5aea95d9b9p-19, -0x1.5fe8f48a41c02p-19, -0x1.62d4735cf14d4p-19, -0x1.6598d6c27dc74p-19, -0x1.68366f1098624p-19, -0x1.6aadc950f7e6cp-19, -0x1.6cff8d40521b2p-19, -0x1.6f2c30eed057ap-19, -0x1.713438972eadbp-19, -0x1.73180f8d0b9e3p-19, -0x1.74d84487a668ap-19, -0x1.76755fa305253p-19, -0x1.77efdfed7dedap-19, -0x1.79484683f1d4p-19, -0x1.7a7f1805d1644p-19, -0x1.7b94d6a71d755p-19, -0x1.7c8a078be2eccp-19, -0x1.7d5f2cb25d532p-19, -0x1.7e14c75be582dp-19, -0x1.7eab5793bac61p-19, -0x1.7f235dd5997fcp-19, -0x1.7f7d5d1d327d9p-19, -0x1.7fb9dad519f8bp-19, -0x1.7fd95b88a014ep-19, -0x1.7fdc5e728a38dp-19, -0x1.7fc35c7a22ad9p-19, -0x1.7f8ecfc031731p-19, -0x1.7f3f3b0fd5a83p-19, -0x1.7ed51fc8b0f98p-19, -0x1.7e50fdf205c7bp-19, -0x1.7db36107f2e92p-19, -0x1.7cfcb889dda42p-19, -0x1.7c2d788c97d38p-19, -0x1.7b4621e0f11dcp-19, -0x1.7a473a4cbb592p-19, -0x1.7931492c067d6p-19, -0x1.7804b1663f162p-19, -0x1.76c1f24e96416p-19, -0x1.756989e2b54fdp-19, -0x1.73fbedf1327c8p-19, -0x1.72799527d7607p-19, -0x1.70e2f6bcd5444p-19, -0x1.6f3889f3d385ap-19, -0x1.6d7ac5294a96fp-19, -0x1.6baa1cf4fd846p-19, -0x1.69c7052a576efp-19, -0x1.67d1f0d16060fp-19, -0x1.65cb51c332dbbp-19, -0x1.63b39906f42d4p-19, -0x1.618b379ac85f3p-19, -0x1.5f529eb71adccp-19, -0x1.5d0a3f08c0d76p-19, -0x1.5ab2876928b25p-19, -0x1.584be381ed15dp-19, -0x1.55d6bba91db08p-19, -0x1.5353791c4dda1p-19, -0x1.50c28a6c5aef6p-19, -0x1.4e245a8e6cea1p-19, -0x1.4b7951ce1dcfep-19, -0x1.48c1d9693cebfp-19, -0x1.45fe4fc75ddafp-19, -0x1.432f20592a4e8p-19, -0x1.4054af20f26ecp-19, -0x1.3d6f5b8b630bap-19, -0x1.3a7f8da28f28dp-19, -0x1.3785a0abe81d3p-19, -0x1.3481f857fd14dp-19, -0x1.3174f369d8eecp-19, -0x1.2e5eee404778cp-19, -0x1.2b40452ee008ep-19, -0x1.2819551663b45p-19, -0x1.24ea78ce2529p-19, -0x1.21b4092045fc9p-19, -0x1.1e765e2c144d8p-19, -0x1.1b31cf1bc7a9bp-19, -0x1.17e6b2fe0ea8cp-19, -0x1.14955ca85de9ap-19, -0x1.113e20b4a8aep-19, -0x1.0de153ac30562p-19, -0x1.0a7f4306c29c1p-19, -0x1.071843138a7e9p-19, -0x1.03aca215e376ap-19, -0x1.003cae9952405p-19, -0x1.f9916ae54407ap-20, -0x1.f2a201c2de65cp-20, -0x1.ebabb54926236p-20, -0x1.e4af1b1a5429fp-20, -0x1.ddacc7fb7c546p-20, -0x1.d6a547dd29121p-20, -0x1.cf992500ccde9p-20, -0x1.c888ea01252eep-20, -0x1.c1751ebbaf37p-20, -0x1.ba5e47fabfef6p-20, -0x1.b344eb7168fdep-20, -0x1.ac29879ea0a71p-20, -0x1.a50c98d92d7aep-20, -0x1.9dee9e39abf7p-20, -0x1.96d012ac78c51p-20, -0x1.8fb16c9653694p-20, -0x1.8893214cc8c74p-20, -0x1.8175a42f54ebp-20, -0x1.7a59666d1b13ep-20, -0x1.733ed7045da92p-20, -0x1.6c2662c2a56cep-20, -0x1.651074590edbp-20, -0x1.5dfd73ea5005dp-20, -0x1.56edc7d75c2fcp-20, -0x1.4fe1d41ff5388p-20, -0x1.48d9fb59021cfp-20, -0x1.41d69d59abedbp-20, -0x1.3ad817b452f98p-20, -0x1.33df098b84ed9p-20, -0x1.2ceb08e893a4cp-20, -0x1.25fd21081b53fp-20, -0x1.1f157d595ee4ep-20, -0x1.1834683342d09p-20, -0x1.115a32fc929b5p-20, -0x1.0a872cabf2a02p-20, -0x1.03bba30f45c54p-20, -0x1.f9efc540c4ab5p-21, -0x1.ec786bed92207p-21, -0x1.df11c895c26e8p-21, -0x1.d1bc63f9df531p-21, -0x1.c478c95b7adb3p-21, -0x1.b7477a62c9af4p-21, -0x1.aa28f6c5eacebp-21, -0x1.9d1dbd67453bp-21, -0x1.9026462d8ec3ep-21, -0x1.8342e632abc8bp-21, -0x1.7673e9ddad8c8p-21, -0x1.69bd064441e13p-21, -0x1.5d16d01f6810bp-21, -0x1.508930e7188f2p-21, -0x1.44119a3300c83p-21, -0x1.37b0acd74a275p-21, -0x1.2b66ce8bcc6c5p-21, -0x1.1f345ebf351b7p-21, -0x1.1319b73dff97fp-21, -0x1.0717215b67482p-21, -0x1.f659f3e44a10bp-22, -0x1.deb714d987feep-22, -0x1.c7463cc5df1e6p-22, -0x1.b007fbd1db0d8p-22, -0x1.98fcdc17410aep-22, -0x1.822561d511e51p-22, -0x1.6b820b9d66692p-22, -0x1.5513526091dep-22, -0x1.3ed9a96f0a656p-22, -0x1.28d57e87d8539p-22, -0x1.130739e91fb6ap-22, -0x1.fade7c6bc4fdcp-23, -0x1.d01bd13c769f2p-23, -0x1.a5c72377479eep-23, -0x1.7be11b14754f8p-23, -0x1.526a56c5b1278p-23, -0x1.2963638a80dfdp-23, -0x1.00ccccc568d55p-23, -0x1.b14e26302842dp-24, -0x1.61e55462318b5p-24, -0x1.136000f6de189p-24, -0x1.8b7dea9ac444ap-25, -0x1.e40b70326124dp-26, -0x1.6962f3f1b7e2fp-27, 0x1.dc3f50aeaad5cp-28, 0x1.9f36acb02267p-26, 0x1.61e01567238e5p-25, 0x1.f25413890a766p-25, 0x1.407e4ca2f3ff5p-24, 0x1.86e94fa471a17p-24, 0x1.cc6c1c5f1cb25p-24, 0x1.08835d2c17157p-23, 0x1.2a5cb42afbe17p-23, 0x1.4bbd78fc83b62p-23, 0x1.6cb771073e4a7p-23, 0x1.8d2dd9f7ed144p-23, 0x1.ad363f4629454p-23, 0x1.ccca2aeea675dp-23, 0x1.ebea62b7446d7p-23, 0x1.054b74c94f814p-22, 0x1.1467f208aea1bp-22, 0x1.234a3722af9fep-22, 0x1.31f3ffde98506p-22, 0x1.4063cd0b2313p-22, 0x1.4e9a3b1c1f593p-22, 0x1.5c97858525bc1p-22, 0x1.6a5bcf410ec29p-22, 0x1.77e73fe107d88p-22, 0x1.8539f02a82daep-22, 0x1.92542f30424b1p-22, 0x1.9f3617e9cb157p-22, 0x1.abdfe83e864f7p-22, 0x1.b851d799f6eefp-22, 0x1.c48c1d0258177p-22, 0x1.d08ef279d7ecp-22, 0x1.dc5a955cf4f3bp-22, }}, 
      {{-0x1.6dac7621fc9e6p+0, -0x1.6ce3c4438a4cep+0, -0x1.6b9866b0dc7eep+0, -0x1.69ceca7beafa6p+0, -0x1.678cb469cb614p+0, -0x1.64d8f5f720486p+0, -0x1.61bb2580887c7p+0, -0x1.5e3b5d1e1adc3p+0, -0x1.5a6201cf016a4p+0, -0x1.5637935c352c8p+0, -0x1.51c484a75b2c8p+0, -0x1.4d111bbff6276p+0, -0x1.482558f33a629p+0, -0x1.4308e4002d9ecp+0, -0x1.3dc2fe9b4d5a7p+0, -0x1.385a7b73dd998p+0, -0x1.32d5b8f844395p+0, -0x1.2d3a9f273661fp+0, -0x1.278e9fcfa25b5p+0, -0x1.21d6b8b5890bp+0, -0x1.1c1777254e2dp+0, -0x1.1654fc914bacp+0, -0x1.109303e699bebp+0, -0x1.0ad4e75684599p+0, -0x1.051da660c65dcp+0, -0x1.fedfd7ef3e935p-1, -0x1.f39c294049b9cp-1, -0x1.e87468f11c0bfp-1, -0x1.dd6c3a2438052p-1, -0x1.d286c61c5f1cp-1, -0x1.c7c6c6ee77b32p-1, -0x1.bd2e9198e0b66p-1, -0x1.b2c01f702594cp-1, -0x1.a87d16ec69bdap-1, -0x1.9e66d3d8cf527p-1, -0x1.947e6ed5f972fp-1, -0x1.8ac4c43b16649p-1, -0x1.813a7a6eae193p-1, -0x1.77e007b818765p-1, -0x1.6eb5b77fd781ap-1, -0x1.65bbaf0a7b8d7p-1, -0x1.5cf1f1c763e39p-1, -0x1.5458654050b8ep-1, -0x1.4beed4a70d8a6p-1, -0x1.43b4f4006dfa8p-1, -0x1.3baa62f783f61p-1, -0x1.33ceaf6916824p-1, -0x1.2c2157b2918fcp-1, -0x1.24a1ccc8463b2p-1, -0x1.1d4f7413d4f5ep-1, -0x1.1629a91d76f27p-1, -0x1.0f2fbf05f0befp-1, -0x1.086101d838989p-1, -0x1.01bcb7b8e874dp-1, -0x1.f68443ef42707p-2, -0x1.e9e0fc09fc0d9p-2, -0x1.dd8e0c9dd7b2dp-2, -0x1.d189e60a745d4p-2, -0x1.c5d2f5910f76p-2, -0x1.ba67a68bbc505p-2, -0x1.af4663829a293p-2, -0x1.a46d9723258d7p-2, -0x1.99dbad1d0f09fp-2, -0x1.8f8f12e75acbap-2, -0x1.858638701372p-2, -0x1.7bbf90b874bep-2, -0x1.7239925f4eb69p-2, -0x1.68f2b81b23daap-2, -0x1.5fe9812585d75p-2, -0x1.571c7199060cap-2, -0x1.4e8a12c30cf79p-2, -0x1.4630f36ac15f6p-2, -0x1.3e0fa80e176e9p-2, -0x1.3624cb15f8ba7p-2, -0x1.2e6efd0257e3ep-2, -0x1.26ece48ef3174p-2, -0x1.1f9d2ed16b3a6p-2, -0x1.187e8f514a974p-2, -0x1.118fc01a89f46p-2, -0x1.0acf81cb179a1p-2, -0x1.043c9b9bd857p-2, -0x1.fbabb6cb1ac3ep-3, -0x1.ef342b43ffb71p-3, -0x1.e3104ad37502dp-3, -0x1.d73dd8dd4b251p-3, -0x1.cbbaa5e75f1dfp-3, -0x1.c0848f83ae875p-3, -0x1.b5998035863b1p-3, -0x1.aaf76f528ecdep-3, -0x1.a09c60dffa994p-3, -0x1.9686656cb7642p-3, -0x1.8cb399e8c97dp-3, -0x1.8322277a5b3fbp-3, -0x1.79d04350b4ec5p-3, -0x1.70bc2e74f7de8p-3, -0x1.67e4359915a5dp-3, -0x1.5f46b0e4bd826p-3, -0x1.56e203c07cf7ap-3, -0x1.4eb49c9f7fa53p-3, -0x1.46bcf4c819812p-3, -0x1.3ef9901b7c342p-3, -0x1.3768fcdd737f6p-3, -0x1.3009d37bb49p-3, -0x1.28dab6558d336p-3, -0x1.21da51842189ep-3, -0x1.1b075aa22e95bp-3, -0x1.14609094811ap-3, -0x1.0de4bb5254bbap-3, -0x1.0792abad130a5p-3, -0x1.01693b18de9b8p-3, -0x1.f6ce96e97e4cbp-4, -0x1.eb178da5d70e8p-4, -0x1.dfab3e84a29bcp-4, -0x1.d4879d308ec8ep-4, -0x1.c9aaac76d24a4p-4, -0x1.bf127ddfa450ep-4, -0x1.b4bd314863297p-4, -0x1.aaa8f47ffa1edp-4, -0x1.a0d402e63f587p-4, -0x1.973ca50c5da67p-4, -0x1.8de130574166cp-4, -0x1.84c006a43c3cdp-4, -0x1.7bd795ee9458p-4, -0x1.732657f6a886p-4, -0x1.6aaad1eb3ae83p-4, -0x1.626394140aca1p-4, -0x1.5a4f397e18331p-4, -0x1.526c67aa490ap-4, -0x1.4ab9ce3e18b5dp-4, -0x1.433626b5e744ap-4, -0x1.3be03419e48cfp-4, -0x1.34b6c2b52792ep-4, -0x1.2db8a7ce9ea06p-4, -0x1.26e4c1640764ap-4, -0x1.2039f5e720888p-4, -0x1.19b733fca52fep-4, -0x1.135b723cd90ddp-4, -0x1.0d25aef5f760cp-4, -0x1.0714eff06e7eap-4, -0x1.01284234856d6p-4, -0x1.f6bd73a2fcb49p-5, -0x1.eb6ee34ce434bp-5, -0x1.e06316596413ep-5, -0x1.d5985c8720e6dp-5, -0x1.cb0d11fb2c594p-5, -0x1.c0bf9edef0e8ap-5, -0x1.b6ae76ffbe33ap-5, -0x1.acd8197403cf9p-5, -0x1.a33b103f973bap-5, -0x1.99d5effd8b25ap-5, -0x1.90a7578be3c88p-5, -0x1.87adefb9dac71p-5, -0x1.7ee86af8a6e64p-5, -0x1.7655850ef239ep-5, -0x1.6df402ceb0a8p-5, -0x1.65c2b1cd45851p-5, -0x1.5dc0681de7bfdp-5, -0x1.55ec040e2d09cp-5, -0x1.4e446be4cc85dp-5, -0x1.46c88da26e105p-5, -0x1.3f775ec469a09p-5, -0x1.384fdc09755b9p-5, -0x1.3151093830662p-5, -0x1.2a79f0e7939cdp-5, -0x1.23c9a449206ecp-5, -0x1.1d3f3af4c23fcp-5, -0x1.16d9d2b656b47p-5, -0x1.10988f5cdc353p-5, -0x1.0a7a9a8b3a572p-5, -0x1.047f238a97256p-5, -0x1.fd4abe3c40a3ap-6, -0x1.f1d90eb081ce3p-6, -0x1.e6a7b6e28eb9bp-6, -0x1.dbb53f3eba2d4p-6, -0x1.d10039dff30d4p-6, -0x1.c6874244bde96p-6, -0x1.bc48fd070356fp-6, -0x1.b24417960ae94p-6, -0x1.a87747f30e71cp-6, -0x1.9ee14c6f390eap-6, -0x1.9580eb6c918a6p-6, -0x1.8c54f322af1dep-6, -0x1.835c396145cd9p-6, -0x1.7a959b57ab0aap-6, -0x1.71fffd5df6b1p-6, -0x1.699a4abf7fa41p-6, -0x1.61637587260a3p-6, -0x1.595a764d5af7p-6, -0x1.517e4c07c95f7p-6, -0x1.49cdfbdaa5442p-6, -0x1.424890eb87bc6p-6, -0x1.3aed1c35ca84dp-6, -0x1.33bab46032813p-6, -0x1.2cb075940baefp-6, -0x1.25cd8155b51e7p-6, -0x1.1f10fe5e4ed7ap-6, -0x1.187a1876d9e25p-6, -0x1.1208005460e54p-6, -0x1.0bb9eb755e211p-6, -0x1.058f14004bc94p-6, -0x1.ff0d714634efp-7, -0x1.f34038e728202p-7, -0x1.e7b50da432017p-7, -0x1.dc6a8695ebd55p-7, -0x1.d15f42f527733p-7, -0x1.c691e9e483acep-7, -0x1.bc012a39728efp-7, -0x1.b1abba4a47607p-7, -0x1.a79057bb7f9a6p-7, -0x1.9dadc74fa156ap-7, -0x1.9402d4b860418p-7, -0x1.8a8e52693a504p-7, -0x1.814f196b896bfp-7, -0x1.78440933f0bb5p-7, -0x1.6f6c07791feaep-7, -0x1.66c6000be5693p-7, -0x1.5e50e4b0655f7p-7, -0x1.560bacf899fdp-7, -0x1.4df5561fd3e7dp-7, -0x1.460ce2e77b69ep-7, -0x1.3e515b74ce873p-7, -0x1.36c1cd2fa1e3ep-7, -0x1.2f5d4aa235ef7p-7, -0x1.2822eb59f1769p-7, -0x1.2111cbc90d92cp-7, -0x1.1a290d291e226p-7, -0x1.1367d55e7682cp-7, -0x1.0ccd4edc66515p-7, -0x1.0658a88a4a215p-7, -0x1.000915a95f886p-7, -0x1.f3bb9b76aee5cp-8, -0x1.e7ac18d33a11bp-8, -0x1.dbe222da98b59p-8, -0x1.d05c40efae4cbp-8, -0x1.c5190238a5d2ep-8, -0x1.ba16fd72d7ceap-8, -0x1.af54d0c7d94f7p-8, -0x1.a4d121a3be03bp-8, -0x1.9a8a9c8c65fc8p-8, -0x1.907ff4f9f65f8p-8, -0x1.86afe5305b869p-8, -0x1.7d192e19d4458p-8, -0x1.73ba972274e31p-8, -0x1.6a92ee149e638p-8, -0x1.61a106f65d7a9p-8, -0x1.58e3bbe7ab3cp-8, -0x1.5059ed0192124p-8, -0x1.4802803628a15p-8, -0x1.3fdc613159939p-8, -0x1.37e6813a73871p-8, -0x1.301fd7167ce38p-8, -0x1.28875eeb328afp-8, -0x1.211c1a22cbda9p-8, -0x1.19dd0f4f74a4dp-8, -0x1.12c94a11b8ad7p-8, -0x1.0bdfdafe982b9p-8, -0x1.051fd784dd2d3p-8, -0x1.fd10b3a7a8f5ap-9, -0x1.f03101866e13cp-9, -0x1.e39edf76b0c9dp-9, -0x1.d7589d3b87658p-9, -0x1.cb5c935cc432ap-9, -0x1.bfa922fa603c7p-9, -0x1.b43cb5a0cbbcfp-9, -0x1.a915bd1e47b2ep-9, -0x1.9e32b3592ac7ep-9, -0x1.93921a270b556p-9, -0x1.89327b24da5adp-9, -0x1.7f12678fd970dp-9, -0x1.7530781f6e898p-9, -0x1.6b8b4cdfc13a7p-9, -0x1.62218d0d0efb5p-9, -0x1.58f1e6ef10d92p-9, -0x1.4ffb0fb87a7f4p-9, -0x1.473bc362f128p-9, -0x1.3eb2c4899fe45p-9, -0x1.365edc4f7536dp-9, -0x1.2e3eda3a56abcp-9, -0x1.265194145c9dcp-9, -0x1.1e95e5ccf1444p-9, -0x1.170ab15a6cbb9p-9, -0x1.0faede9c490c3p-9, -0x1.08815b3df6129p-9, -0x1.01811a9a3a23ep-9, -0x1.f55a2b3e58c48p-10, -0x1.e808956567d81p-10, -0x1.db0b7b2f29d03p-10, -0x1.ce60eea5fab91p-10, -0x1.c2070c251dfd5p-10, -0x1.b5fbfa25e81fp-10, -0x1.aa3de90dc75e5p-10, -0x1.9ecb12fd5195fp-10, -0x1.93a1bba043084p-10, -0x1.88c02ffe35d2dp-10, -0x1.7e24c64d185cap-10, -0x1.73cdddc27186ap-10, -0x1.69b9de6834d62p-10, -0x1.5fe738f06a01cp-10, -0x1.5654668a1c21dp-10, -0x1.4cffe8b7a7084p-10, -0x1.43e8492554884p-10, -0x1.3b0c19807a195p-10, -0x1.3269f34ffc828p-10, -0x1.2a0077cd19549p-10, -0x1.21ce4fbd12b24p-10, -0x1.19d22b4b78b8ap-10, -0x1.120ac1e5282d1p-10, -0x1.0a76d21401d04p-10, -0x1.0315215b3225bp-10, -0x1.f7c8f8288228p-11, -0x1.e9c76a9944a57p-11, -0x1.dc234d47fcc2p-11, -0x1.ceda60562db85p-11, -0x1.c1ea70864d5f2p-11, -0x1.b55156fc02711p-11, -0x1.a90cf8fd46b59p-11, -0x1.9d1b47b4c3849p-11, -0x1.917a3ff54ebe2p-11, -0x1.8627e9fe71b28p-11, -0x1.7b22594214c5fp-11, -0x1.7067ac2b34577p-11, -0x1.65f60be59dca9p-11, -0x1.5bcbac26bac8ap-11, -0x1.51e6caf73d029p-11, -0x1.4845b07dc7f41p-11, -0x1.3ee6aecaa0fc4p-11, -0x1.35c821a49bd6bp-11, -0x1.2ce86e56bf0e1p-11, -0x1.2446037e740a7p-11, -0x1.1bdf58daa4eaap-11, -0x1.13b2ef1be85adp-11, -0x1.0bbf4fb5c3f74p-11, -0x1.04030cb0c1e73p-11, -0x1.f8f980fac4099p-12, -0x1.ea561b8f9c7fbp-12, -0x1.dc193e98e95ffp-12, -0x1.ce404f5a6c89ap-12, -0x1.c0c8c28eef162p-12, -0x1.b3b01c153ea98p-12, -0x1.a6f3ee9f1bf5bp-12, -0x1.9a91db624e3acp-12, -0x1.8e8791c87eadbp-12, -0x1.82d2cf24c6964p-12, -0x1.77715e67f7d13p-12, -0x1.6c6117d79adfbp-12, -0x1.619fe0c6498b7p-12, -0x1.572bab4d0dd95p-12, -0x1.4d0276061501ap-12, -0x1.43224bc7fe3bap-12, -0x1.3989436238a6cp-12, -0x1.30357f5a87499p-12, -0x1.27252dab8f3abp-12, -0x1.1e5687852417dp-12, -0x1.15c7d10e03883p-12, -0x1.0d77592783be9p-12, -0x1.05637932fe096p-12, -0x1.fb1529b2647a6p-13, -0x1.ebd633a4189a8p-13, -0x1.dd06ff55bc0b4p-13, -0x1.cea48f1aabd97p-13, -0x1.c0abf81387d5cp-13, -0x1.b31a61c3589e8p-13, -0x1.a5ed05a3f8821p-13, -0x1.99212ebccd0dfp-13, -0x1.8cb4393ddp-13, -0x1.80a3921eb7dbdp-13, -0x1.74ecb6c1d976ap-13, -0x1.698d34995bfd3p-13, -0x1.5e82a8ce5442fp-13, -0x1.53cabfe7f2fc4p-13, -0x1.496335727304ap-13, -0x1.3f49d3a59627dp-13, -0x1.357c730b5f29fp-13, -0x1.2bf8fa27e4d69p-13, -0x1.22bd5d2323c4ep-13, -0x1.19c79d77287f4p-13, -0x1.1115c9a206723p-13, -0x1.08a5fcd9b0bdap-13, -0x1.00765ece168b4p-13, -0x1.f10a46a15a4f3p-14, -0x1.e1a114411dca2p-14, -0x1.d2adbd37ae3b8p-14, -0x1.c42cef2b4bd2bp-14, -0x1.b61b6dabb8bc4p-14, -0x1.a87611e6870bdp-14, -0x1.9b39ca39eb92fp-14, -0x1.8e639986bd51p-14, -0x1.81f096b8151ebp-14, -0x1.75ddec4ea9e99p-14, -0x1.6a28d7efa95eep-14, -0x1.5ecea9f648d83p-14, -0x1.53ccc5072d5b3p-14, -0x1.49209da2eb08fp-14, -0x1.3ec7b9b6c035ap-14, -0x1.34bfb0282e87dp-14, -0x1.2b062861826c4p-14, -0x1.2198d9e6c795ap-14, -0x1.18758bf4421bcp-14, -0x1.0f9a151e5ed96p-14, -0x1.07045af56f7bbp-14, -0x1.fd64a35d5a94p-15, -0x1.ed43f79f290efp-15, -0x1.dda2d3b19c517p-15, -0x1.ce7d73daab88bp-15, -0x1.bfd02eea186f6p-15, -0x1.b1977579e4d4ap-15, -0x1.a3cfd12f1484fp-15, -0x1.9675e40281731p-15, -0x1.89866799237bp-15, -0x1.7cfe2cae9f90ep-15, -0x1.70da1a91e5ca4p-15, -0x1.65172eae14c18p-15, -0x1.59b27c191023cp-15, -0x1.4ea92b20352dfp-15, -0x1.43f878a75b2c2p-15, -0x1.399db64f032b3p-15, -0x1.2f96489daab41p-15, -0x1.25dfa7c0b6a18p-15, -0x1.1c775e2f39447p-15, -0x1.135b081a2ef99p-15, -0x1.0a8852d6196dcp-15, -0x1.01fcfc61dda1cp-15, -0x1.f36da612be68ep-16, -0x1.e3676a382b352p-16, -0x1.d3e3215ae1cfbp-16, -0x1.c4dcc6b471dd1p-16, -0x1.b65073ff462d6p-16, -0x1.a83a60b68dc04p-16, -0x1.9a96e13f3a937p-16, -0x1.8d6265ccbadf5p-16, -0x1.809979896880cp-16, -0x1.7438c18cdeda8p-16, -0x1.683cfbe69141ep-16, -0x1.5ca2feb55a8e3p-16, -0x1.5167b753448d5p-16, -0x1.468829a87d2b1p-16, -0x1.3c016fb7dc17ep-16, -0x1.31d0b96ffeb5bp-16, -0x1.27f34ca58e714p-16, -0x1.1e6684f3db741p-16, -0x1.1527d35536e05p-16, -0x1.0c34bd7cdd3adp-16, -0x1.038add031005dp-16, -0x1.f64fbcebfe9f7p-17, -0x1.e61300d9fa2cap-17, -0x1.d65b256dad3cbp-17, -0x1.c723eb5a2a87ep-17, -0x1.b8693333752f9p-17, -0x1.aa26fc7ce2819p-17, -0x1.9c5964be9ac95p-17, -0x1.8efca6edf0ae5p-17, -0x1.820d1b0667a77p-17, -0x1.758735df74224p-17, -0x1.696789bf6b04cp-17, -0x1.5daac6d5ea153p-17, -0x1.524db7523b5a2p-17, -0x1.474d4319c412ap-17, -0x1.3ca66bebd687fp-17, -0x1.32564c57fb405p-17, -0x1.285a1674348d4p-17, -0x1.1eaf12a13c0c1p-17, -0x1.15529e7fb161ap-17, -0x1.0c422c09ef013p-17, -0x1.037b40c98607bp-17, -0x1.f5f6ea6240021p-18, -0x1.e580e85b759aep-18, -0x1.d58ff5e99c277p-18, -0x1.c61fb211ad1b5p-18, -0x1.b72be0a428a6ep-18, -0x1.a8b06956895bcp-18, -0x1.9aa957b6f3391p-18, -0x1.8d12d9c794b74p-18, -0x1.7fe93f10fffa6p-18, -0x1.7328f7a1564d6p-18, -0x1.66ce93175427ap-18, -0x1.5ad6bf8261241p-18, -0x1.4f3e47d83d5dap-18, -0x1.440212256238ap-18, -0x1.391f1da5d1109p-18, -0x1.2e92812a73df8p-18, -0x1.24596a7ecc62fp-18, -0x1.1a711aa297b02p-18, -0x1.10d6f1b47d65ap-18, -0x1.07885ab84a6cfp-18, -0x1.fd05c3c9c4b06p-19, -0x1.eb8848d8cfeddp-19, -0x1.da93a7c9f0764p-19, -0x1.ca2368628efb9p-19, -0x1.ba3335772c984p-19, -0x1.aabedd9dacaa7p-19, -0x1.9bc254a294a85p-19, -0x1.8d39b7b85753dp-19, -0x1.7f2148d77d70fp-19, -0x1.717571aa5b90ep-19, -0x1.6432bd314f4f3p-19, -0x1.5755d34950b94p-19, -0x1.4adb7479ad98bp-19, -0x1.3ec0784251ec8p-19, -0x1.3301ce9825eep-19, -0x1.279c8369453d6p-19, -0x1.1c8dc18b73f4fp-19, -0x1.11d2d2a098012p-19, -0x1.07691b5670dcep-19, -0x1.fa9c2b7c8cc6dp-20, -0x1.e6fe990a1df1dp-20, -0x1.d3f4b226151cep-20, -0x1.c179c97bb67f3p-20, -0x1.af8957869f58ap-20, -0x1.9e1f00ebd5873p-20, -0x1.8d36991712a68p-20, -0x1.7ccc25f13cb01p-20, -0x1.6cdbbe27f191bp-20, -0x1.5d61f395d8fe2p-20, -0x1.4e5afb337fb24p-20, -0x1.3fc372f32a1d6p-20, -0x1.3197f7380fc49p-20, -0x1.23d53d04b1cb5p-20, -0x1.16781a0fcba25p-20, -0x1.097d8baf5b1a7p-20, -0x1.f9c56c8aa6326p-21, -0x1.e149bcc8a094bp-21, -0x1.c982bc7a68f35p-21, -0x1.b26b3dfa4db2bp-21, -0x1.9bfe2fa2354e6p-21, -0x1.86369fbb60d3p-21, -0x1.710fc00ddd81ep-21, -0x1.5c84e925cc244p-21, -0x1.4891a039b7561p-21, -0x1.35319e2f9af48p-21, -0x1.2260d19b4a53p-21, -0x1.101b575b702cp-21, -0x1.fcbad8cb25fafp-22, -0x1.da46c0a818d91p-22, -0x1.b8d321f4d471dp-22, -0x1.9858dfd472cfp-22, -0x1.78d116c2d95a4p-22, -0x1.5a352de9e1168p-22, -0x1.3c7eea4f1d324p-22, -0x1.1fa868f3e1d1p-22, -0x1.03ac06326a007p-22, -0x1.d108791ecf7bap-23, -0x1.9c57297f429f4p-23, -0x1.6939657ca0f18p-23, -0x1.37a4cdca2772cp-23, -0x1.078f7b1bc28a1p-23, -0x1.b1df94812192bp-24, -0x1.5778b61c09446p-24, -0x1.ffb040c40c853p-25, -0x1.55d899cd561cbp-25, -0x1.6291f8c96414ap-26, -0x1.1e16bb5fad721p-29, 0x1.10fa2e9ac4901p-26, 0x1.1df13eb4df63dp-25, 0x1.ae99d0227f8e5p-25, 0x1.1d4a83eecf2abp-24, 0x1.60fffd004d336p-24, 0x1.a27b3a4cd3c0ep-24, 0x1.e1c96775d48c5p-24, 0x1.0f7b8800fd24cp-23, 0x1.2d083bde569c1p-23, 0x1.4990acffa2f07p-23, 0x1.651af3056a3ecp-23, 0x1.7face4131b0c3p-23, 0x1.994c3397bbf43p-23, 0x1.b1fe53e988c4bp-23, 0x1.c9c887ff4426ap-23, 0x1.e0aff67da998cp-23, 0x1.f6b9a89d58e3dp-23, 0x1.05f5412268a01p-22, 0x1.1023a09e676b2p-22, 0x1.19ea40897f1bp-22, 0x1.234b5fe5b45fap-22, 0x1.2c4931665a058p-22, 0x1.34e5de3e5c8fp-22, 0x1.3d2388ccc4216p-22, 0x1.45044d7bb57fep-22, 0x1.4c8a3f92e8768p-22, 0x1.53b761d037786p-22, 0x1.5a8da0e7a2658p-22, 0x1.610ecf9992363p-22, 0x1.673cbbf27e4d5p-22, 0x1.6d192f6f2a428p-22, 0x1.72a5f53cd1f69p-22, 0x1.77e4d28c91daep-22, 0x1.7cd77ee913d5dp-22, 0x1.817fa1bd4ca97p-22, 0x1.85ded75a506a2p-22, 0x1.89f6b70e4ee02p-22, 0x1.8dc8d27c8f419p-22, 0x1.9156b17ca77a4p-22, 0x1.94a1d403c9dcbp-22, 0x1.97abb48663d16p-22, 0x1.9a75becffd45fp-22, 0x1.9d01561fe6cf9p-22, 0x1.9f4fdf5059922p-22, 0x1.a162bd05c68cap-22, 0x1.a33b55ef493cp-22, 0x1.a4daec686a70bp-22, 0x1.a642e5038be76p-22, 0x1.a7748196beeb5p-22, 0x1.a87104e1a85cep-22, 0x1.a939a947a5763p-22, 0x1.a9cfa2a96f2a7p-22, 0x1.aa34227dd05eep-22, 0x1.aa6859d2fd72p-22, 0x1.aa6d755643342p-22, 0x1.aa449b4f9d157p-22, 0x1.a9eeec6b4d9adp-22, 0x1.a96d83cc2e252p-22, 0x1.a8c1786a08db6p-22, 0x1.a7ebdd930218ep-22, 0x1.a6edc31a82a3cp-22, 0x1.a5c834c84d6dep-22, 0x1.a47c38ae5b61cp-22, 0x1.a30acf9537233p-22, 0x1.a174f651f9c47p-22, 0x1.9fbba68a58372p-22, 0x1.9ddfd745a49a8p-22, 0x1.9be27d0ee6c4ep-22, 0x1.99c48b596a71cp-22, 0x1.9786ec0037f91p-22, 0x1.952a8e3d937f8p-22, 0x1.92b0567a0a705p-22, 0x1.901927688a103p-22, 0x1.8d65dfe1e2906p-22, 0x1.8a975b430d64fp-22, 0x1.87ae71be05214p-22, 0x1.84abf8c082d6ep-22, 0x1.8190a61f71de3p-22, 0x1.7e5da28aa5acbp-22, 0x1.7b1360fc6fc5p-22, 0x1.77b2cb4d33802p-22, 0x1.743ca53c7d10fp-22, 0x1.70b1b42d86a71p-22, 0x1.6d12b863f51dcp-22, 0x1.69606f57108bep-22, 0x1.659b97cb2432cp-22, 0x1.61c3c158cf1e9p-22, 0x1.5ddd00a22d4e6p-22, 0x1.59e4a9f990e59p-22, 0x1.55dc92a1e58f6p-22, 0x1.51c56852211eep-22, 0x1.4d9fcdbfbcf2bp-22, 0x1.496c694627bbfp-22, 0x1.452be1a11753cp-22, 0x1.40deda032f173p-22, 0x1.3c85f1e1ef358p-22, 0x1.3821c6350a338p-22, 0x1.33b2f0e8b1dbfp-22, 0x1.2f3a096f0e26ap-22, 0x1.2ab7a4282ee6fp-22, 0x1.262c5aa20c052p-22, 0x1.2198ad1f80d6ap-22, 0x1.1cfd376309353p-22, 0x1.185a7eefa6cc4p-22, 0x1.13b10ce64e3eep-22, 0x1.0f0166e79439dp-22, 0x1.0a4c0e7f8e52ep-22, 0x1.059181be7db0dp-22, 0x1.00d35cd9e686ep-22, 0x1.f81fcd1687337p-23, 0x1.ee8f977dd323cp-23, 0x1.e4fae5e271d78p-23, 0x1.db60c37e9f117p-23, 0x1.d1c1d0440d598p-23, 0x1.c81f0babf98dap-23, 0x1.be795883474f3p-23, 0x1.b4d19065ef2e2p-23, 0x1.ab28853b88d67p-23, 0x1.a17f0e3e5b40ep-23, 0x1.97d5eb6072a6dp-23, 0x1.8e2deed7c64e4p-23, 0x1.8487d821114bdp-23, 0x1.7ae466a5d7e11p-23, 0x1.71445518930e7p-23, 0x1.67a859fabfd1fp-23, 0x1.5e1127e3d5819p-23, 0x1.547f6d7f41491p-23, 0x1.4af3d53805f2fp-23, 0x1.416f04edddbddp-23, 0x1.37f19d43224f3p-23, 0x1.2e7c3ba4b956fp-23, 0x1.250f7fe5b843bp-23, 0x1.1bac205fb26c9p-23, 0x1.1252a3f48a107p-23, 0x1.09031f7177ffcp-23, 0x1.ff7d1c28898c4p-24, 0x1.ed0b1ea445457p-24, 0x1.dab10ce1e829cp-24, 0x1.c86fdfec7dff7p-24, 0x1.b64887ca098cbp-24, 0x1.a43c013050ff6p-24, 0x1.924b33fea418dp-24, 0x1.807704b1864a8p-24, 0x1.6ec04fde6d172p-24, 0x1.5d27ea12a9e1ep-24, 0x1.4baea1cc227d4p-24, 0x1.3a554661ea4c3p-24, 0x1.291c9f4594a89p-24, 0x1.180560cecbd7p-24, 0x1.07103cf67925ap-24, 0x1.ec7bc91f8b67fp-25, 0x1.cb1e0378ed51ap-25, 0x1.aa086f2f23d77p-25, 0x1.893c46065884dp-25, 0x1.68bab61985fa4p-25, 0x1.4884e1c45809fp-25, 0x1.289bdf571e499p-25, 0x1.0900b904e5e6p-25, 0x1.d368da9f23338p-26, 0x1.956fe06757fcdp-26, 0x1.5818577c1fec5p-26, 0x1.1b63f99bdec47p-26, 0x1.bea8aca341bf2p-27, 0x1.47d6178b8258cp-27, 0x1.a4a71763ccabp-28, 0x1.78908ea519d4fp-29, -0x1.4b6493592cbc8p-31, -0x1.0c71fc2457f06p-28, -0x1.ecc329fbcbf68p-28, -0x1.652dc2f19fe68p-27, -0x1.d29b757d9a8c4p-27, -0x1.1f546346515f1p-26, -0x1.54aa039141b83p-26, -0x1.894dd299c84e7p-26, -0x1.bd3edc94e85bbp-26, -0x1.f07c6a07502d1p-26, -0x1.1182fd8d7b7cep-25, -0x1.2a6d859ff515ap-25, -0x1.42fd8dcda342p-25, -0x1.5b32b5eee07b9p-25, -0x1.730d2a2b2d996p-25, -0x1.8a8c915c9e09bp-25, -0x1.a1b0954097681p-25, -0x1.b87976cc132f6p-25, -0x1.cee6dfadf197ep-25, -0x1.e4f8debc8e87ep-25, -0x1.faaf6a82f4684p-25, -0x1.080541821d1cp-24, -0x1.128520fc52b59p-24, -0x1.1cd75934e7d43p-24, -0x1.26fbef0adb55fp-24, -0x1.30f2f223ab67p-24, -0x1.3abc749b6c9c4p-24, -0x1.44588a95f1239p-24, -0x1.4dc74aec4eec6p-24, -0x1.5708cf45d12e1p-24, -0x1.601d33f451e0ep-24, -0x1.690497e6a0793p-24, -0x1.71bf1cc07de72p-24, -0x1.7a4ce6b7b998ep-24, -0x1.82ae1c6ef22cp-24, -0x1.8ae2e6f495928p-24, -0x1.92eb71b5bf85ep-24, -0x1.9ac7ea65548bbp-24, -0x1.a27880ee620d1p-24, -0x1.a9fd6762b0fdep-24, -0x1.b156d1e9fb964p-24, -0x1.b884f6b4143a5p-24, -0x1.bf880e206af66p-24, -0x1.c66052189e5acp-24, -0x1.cd0e0002404ccp-24, -0x1.d39155c5656fep-24, -0x1.d9ea8ee95cee9p-24, -0x1.e019ec2f465b4p-24, -0x1.e61fabea1c181p-24, -0x1.ebf68cece1ce2p-24, -0x1.f1aeeae4d01dp-24, -0x1.f73a46251cdeep-24, -0x1.fc9c76dc14d96p-24, -0x1.00eb3afac480ap-23, -0x1.0374478f9f838p-23, -0x1.05e98805ff136p-23, -0x1.084b23fed44bcp-23, -0x1.0a99441a32ab5p-23, -0x1.0cd40eaec2ce9p-23, -0x1.0efbaca42c46dp-23, -0x1.1110411cefc58p-23, -0x1.131200aca2c84p-23, -0x1.150112697821fp-23, -0x1.16dda402104c5p-23, -0x1.18a7e10c5d539p-23, -0x1.1a5ff6c5b9694p-23, -0x1.1c064fc6e5ce3p-23, -0x1.1d9bc4218543dp-23, -0x1.1f17ace4ccf2cp-23, -0x1.208eb6a1a48d7p-23, -0x1.21ed8a13b1032p-23, -0x1.233bfe532b236p-23, -0x1.24799c9f25e0ep-23, -0x1.25a67d0eef4f5p-23, -0x1.26c2c69bdaa59p-23, -0x1.27cea51d052c1p-23, -0x1.28ca5199da5a6p-23, -0x1.29b5ef886f42bp-23, -0x1.2a91b2952d769p-23, -0x1.2b5dc96fdf195p-23, -0x1.2c1a6367c31afp-23, -0x1.2cc7aff4447acp-23, -0x1.2d65dea8b02ffp-23, -0x1.2df51f2e91b41p-23, -0x1.2e75a141c10dbp-23, -0x1.2ee794aca659ap-23, -0x1.2f4b2944c2814p-23, -0x1.2fa08ee72a1aap-23, -0x1.2fe7f5750f0bp-23, -0x1.30218ccfc9f49p-23, -0x1.304d84d4ad396p-23, -0x1.306c0d5a7182cp-23, -0x1.307d562f0d464p-23, -0x1.30818f15a095bp-23, -0x1.3078e7c12948dp-23, -0x1.30638fdd92ab4p-23, -0x1.3041b6d6e6129p-23, -0x1.30138c4432755p-23, -0x1.2fd93f7c934dap-23, -0x1.2f92ffd6335afp-23, -0x1.2f40fcb8ae656p-23, -0x1.2ee3661505896p-23, -0x1.2e7a6d5269fc5p-23, -0x1.2e0631cdfa06dp-23, -0x1.2d86beab01cap-23, -0x1.2cfce1bbf4c1bp-23, -0x1.2c681a53ff5a4p-23, -0x1.2bc8db554e0b4p-23, -0x1.2b1f64e73ce54p-23, -0x1.2a6c1229fe025p-23, -0x1.29aa2ff4e7114p-23, -0x1.28ed0fb6844c1p-23, -0x1.28156baa6601cp-23, -0x1.273b1ea4797eep-23, -0x1.2657119d85f9ep-23, -0x1.256a1fb848b42p-23, -0x1.247450bae5b0ep-23, -0x1.2375c6d322083p-23, -0x1.226e2a3ab5a33p-23, -0x1.215f25c7e18e1p-23, -0x1.2047687fa366dp-23, -0x1.1f2793c43b455p-23, -0x1.1dffd46995eccp-23, -0x1.1cd05b786ddp-23, -0x1.1b994e1e7d201p-23, -0x1.1a5ace4f670bcp-23, -0x1.1915109645e21p-23, -0x1.17c835a3242e7p-23, -0x1.167469dc0d435p-23, -0x1.1519d6002f28ep-23, -0x1.13b8a0e29ac95p-23, -0x1.1250f1afb668dp-23, -0x1.10e2efb1668c2p-23, }}, 
      {{0x1.3a4940539d42fp-2, 0x1.32aa11ed23ca6p-1, 0x1.ba29afd08d6d9p-1, 0x1.177e3cd7eb217p+0, 0x1.4721b8a34f0f2p+0, 0x1.6b5964cdd1a71p+0, 0x1.8422f1ca18f3dp+0, 0x1.91f840f33534p+0, 0x1.95ab73c20c1d7p+0, 0x1.904853d2c450fp+0, 0x1.82fb686f40ee5p+0, 0x1.6efe5638d8c72p+0, 0x1.5588e7db8c592p+0, 0x1.37c611281adebp+0, 0x1.16cc47a36bd5fp+0, 0x1.e7313e4273d24p-1, 0x1.9e1844bb0ae9ap-1, 0x1.53d5c8f14811fp-1, 0x1.09b8be3643a96p-1, 0x1.81b2dc7c7655ap-2, 0x1.e8750d592837dp-3, 0x1.b1da90692d336p-4, -0x1.47d8bc2ecc48p-6, -0x1.1b9f99cdb1625p-3, -0x1.fdda92e1048e2p-3, -0x1.67798531422b6p-2, -0x1.c7460779b6be3p-2, -0x1.0f256493242ep-1, -0x1.364fb2b357bfcp-1, -0x1.593a82d738b28p-1, -0x1.78087ffff72b6p-1, -0x1.92e40faa27e0dp-1, -0x1.a9fd471fdf0b9p-1, -0x1.bd882d44f417dp-1, -0x1.cdbb433e9f392p-1, -0x1.dace4d6a07823p-1, -0x1.e4f9559135341p-1, -0x1.ec73df58436f2p-1, -0x1.f174482bcd65fp-1, -0x1.f42f4c62dfec3p-1, -0x1.f4d7abd37f25dp-1, -0x1.f39de8bcd559p-1, -0x1.f0b01c7ae606cp-1, -0x1.ec39ddf31374ep-1, -0x1.e664362bfc062p-1, -0x1.df55a016bd2b9p-1, -0x1.d7321119a2735p-1, -0x1.ce1b0855e2e24p-1, -0x1.c42fa2ef0607ep-1, -0x1.b98cb3de50148p-1, -0x1.ae4cde227a8f7p-1, -0x1.a288b05ff9edap-1, -0x1.9656c13e9c714p-1, -0x1.89cbcbf92dbb5p-1, -0x1.7cfaccae394b5p-1, -0x1.6ff51c157c03ap-1, -0x1.62ca8a4f4505ap-1, -0x1.558978984f9cap-1, -0x1.483ef1c2c8197p-1, -0x1.3af6c16459d9ep-1, -0x1.2dbb89bb07f82p-1, -0x1.2096d853120bp-1, -0x1.13913979e5393p-1, -0x1.06b24a9153b16p-1, -0x1.f40196a2532f8p-2, -0x1.db055c0d686bap-2, -0x1.c27a4dc2dfd76p-2, -0x1.aa6974ae7321bp-2, -0x1.92da955cd8b25p-2, -0x1.7bd4496e2b00ap-2, -0x1.655c177e3bc4bp-2, -0x1.4f7689959bd4p-2, -0x1.3a2742380284fp-2, -0x1.25711021a7cbep-2, -0x1.115600c2e7a53p-2, -0x1.fbaee324a097ap-3, -0x1.d5ec40683e731p-3, -0x1.b1647342c7a5cp-3, -0x1.8e16d06c64472p-3, -0x1.6c01c1cc8c207p-3, -0x1.4b22ded344773p-3, -0x1.2b7703614c5e1p-3, -0x1.0cfa64caf3548p-3, -0x1.df514b218ab93p-4, -0x1.a6f9cef8d74cdp-4, -0x1.70e3b8ddb0ef6p-4, -0x1.3d03abdfd2fa1p-4, -0x1.0b4da7054fff3p-4, -0x1.b76a3e77293edp-5, -0x1.5c5a313f2ab77p-5, -0x1.055075dfa24bep-5, -0x1.64639f23add56p-6, -0x1.8b8a5f4090df3p-7, -0x1.746dfb9e7e08bp-9, 0x1.85eb73cb0c56ep-8, 0x1.d519db93374a9p-7, 0x1.6ce0a53044804p-6, 0x1.e8adebd28af7ap-6, 0x1.2f1620c773605p-5, 0x1.66c94c1817767p-5, 0x1.9b8b93ecd5cf4p-5, 0x1.cd77b3ec5778fp-5, 0x1.fca7f4be73d13p-5, 0x1.149b0e7f89636p-4, 0x1.299dbb50da0efp-4, 0x1.3d685d7771f6bp-4, 0x1.500705d248db8p-4, 0x1.61857dcd27053p-4, 0x1.71ef3e35da79cp-4, 0x1.814f6ed8c8814p-4, 0x1.8fb0eacdb4251p-4, 0x1.9d1e395ca193cp-4, 0x1.a9a18f38d74ep-4, 0x1.b544d291133eep-4, 0x1.c0119659a9de3p-4, 0x1.ca111c0715a07p-4, 0x1.d34c576deaa6dp-4, 0x1.dbcbec4b0d775p-4, 0x1.e398301e80ad7p-4, 0x1.eab92dbb8adc2p-4, 0x1.f136a452f0197p-4, 0x1.f718096fdc728p-4, 0x1.fc648c734733ap-4, 0x1.00918b2d79f96p-3, 0x1.02ad25c6d2139p-3, 0x1.048847ce1a9e1p-3, 0x1.062602d1545ddp-3, 0x1.078948ae2e0cap-3, 0x1.08b4ed8805069p-3, 0x1.09aba87f2d688p-3, 0x1.0a7013cc36a4cp-3, 0x1.0b04ae5e8bb97p-3, 0x1.0b6bdd43d0a5dp-3, 0x1.0ba7ebbf918fcp-3, 0x1.0bbb0c1860cdp-3, 0x1.0ba7594666baep-3, 0x1.0b6ed7ac92ecdp-3, 0x1.0b137546cb006p-3, 0x1.0a970ac351bcap-3, 0x1.09fb5cdc07f92p-3, 0x1.09421cccbb52ep-3, 0x1.086ce89de612fp-3, 0x1.077d4c32c4decp-3, 0x1.0674c266db9d4p-3, 0x1.0554b57063a17p-3, 0x1.041e7f292df0ap-3, 0x1.02d369f9a5e53p-3, 0x1.0174b1d285079p-3, 0x1.0003848ddebd9p-3, 0x1.fd020457cda44p-4, 0x1.f9dc7b1955f4cp-4, 0x1.f6987a9d64f6dp-4, 0x1.f337f87dc1c3bp-4, 0x1.efbcd3158c40ap-4, 0x1.ec28d27d32defp-4, 0x1.e87daa0ad0fbcp-4, 0x1.e4bcf95c6fccep-4, 0x1.e0e84cc32c1d3p-4, 0x1.dd011dd179a4dp-4, 0x1.d908d47ea191cp-4, 0x1.d500c845bd427p-4, 0x1.d0ea40bbcd5dap-4, 0x1.ccc675e64ffap-4, 0x1.c89690e73c94ep-4, 0x1.c45bacf8c6cdfp-4, 0x1.c016d832e01aap-4, 0x1.bbc913f2fa379p-4, 0x1.b77355319e39bp-4, 0x1.b316851f20048p-4, 0x1.aeb381e917322p-4, 0x1.aa4b1f4f26283p-4, 0x1.a5de26f645953p-4, 0x1.a16d58b12d535p-4, 0x1.9cf96afeeaf96p-4, 0x1.98830ba5f75f5p-4, 0x1.940ae02a72ad6p-4, 0x1.8f918614e5a09p-4, 0x1.8b17932d577a9p-4, 0x1.869d95d8ebaa8p-4, 0x1.8224158f8cb95p-4, 0x1.7dab933d5be61p-4, 0x1.79348984fb9fcp-4, 0x1.74bf6cf0b7eafp-4, 0x1.704cac2f62b93p-4, 0x1.6bdcb068b7a4bp-4, 0x1.676fdd8fdeb36p-4, 0x1.630692a28f832p-4, 0x1.5ea129d4da262p-4, 0x1.5a3ff8b77cf02p-4, 0x1.55e3506ea12a8p-4, 0x1.518b7df41207cp-4, 0x1.4d38ca500d549p-4, 0x1.48eb7ac31c94cp-4, 0x1.44a3d0e559755p-4, 0x1.40620ac728c7bp-4, 0x1.3c26631db8eb7p-4, 0x1.37f1117212b1ep-4, 0x1.33c24a47ecc68p-4, 0x1.2f9a3f3d07e0cp-4, 0x1.2b791f2312725p-4, 0x1.275f1618f455fp-4, 0x1.234c4daa017cdp-4, 0x1.1f40ecef3cb9ap-4, 0x1.1b3d18acbe91ep-4, 0x1.1740f36afc86cp-4, 0x1.134c9d8b80999p-4, 0x1.0f60355ae5dfbp-4, 0x1.0b7bd725e0997p-4, 0x1.079f9d51ba1d7p-4, 0x1.03cba0731a3d4p-4, 0x1.ffffeec34558cp-5, 0x1.f8796e916fc94p-5, 0x1.f103e76b03d0ep-5, 0x1.e99f7d4a21778p-5, 0x1.e24c512a898b7p-5, 0x1.db0a812c6cc68p-5, 0x1.d3da28b365a8dp-5, 0x1.ccbb6081de1fep-5, 0x1.c5ae3ed0bfe74p-5, 0x1.beb2d763da3f4p-5, 0x1.b7c93b9f5742dp-5, 0x1.b0f17aa155587p-5, 0x1.aa2ba15b8373cp-5, 0x1.a377baa95686dp-5, 0x1.9cd5cf62cea34p-5, 0x1.9645e66cf13b8p-5, 0x1.8fc804c986cd4p-5, 0x1.895c2da8cc845p-5, 0x1.8302627d87f64p-5, 0x1.7cbaa30f89c3fp-5, 0x1.7684ed8a2d334p-5, 0x1.70613e88c3173p-5, 0x1.6a4f9123dc7e5p-5, 0x1.644fdf000784ap-5, 0x1.5e62205cea70fp-5, 0x1.58864c235fbbep-5, 0x1.52bc57f1402d9p-5, 0x1.4d043822f6dcfp-5, 0x1.475ddfdd872f7p-5, 0x1.41c9411af388p-5, 0x1.3c464cb7f4addp-5, 0x1.36d4f280044d2p-5, 0x1.317521364ec38p-5, 0x1.2c26c69cb310cp-5, 0x1.26e9cf7b50ec8p-5, 0x1.21be27a9ea1bap-5, 0x1.1ca3ba1b6efb3p-5, 0x1.179a70e9a78b3p-5, 0x1.12a2355e713abp-5, 0x1.0dbaeff9f6ff8p-5, 0x1.08e488772af0bp-5, 0x1.041ee5d1d0fb1p-5, 0x1.fed3dc9e29b19p-6, 0x1.f58b0f10193cp-6, 0x1.ec632ce6e137cp-6, 0x1.e35bfeda0d426p-6, 0x1.da754c74ce748p-6, 0x1.d1aedc1d5f991p-6, 0x1.c908731e40dcap-6, 0x1.c081d5b45320cp-6, 0x1.b81ac72097b17p-6, 0x1.afd309b98017fp-6, 0x1.a7aa5ef84d8b7p-6, 0x1.9fa0878194f6ep-6, 0x1.97b5432b3816p-6, 0x1.8fe85103a7e59p-6, 0x1.88396f5c81935p-6, 0x1.80a85bd8ab391p-6, 0x1.7934d37b527a6p-6, 0x1.71de92b4d670ap-6, 0x1.6aa5556bfae96p-6, 0x1.6388d703c6115p-6, 0x1.5c88d260af9bep-6, 0x1.55a501efc2d51p-6, 0x1.4edd1fb0d63c5p-6, 0x1.4830e54300a16p-6, 0x1.41a00bf09970bp-6, 0x1.3b2a4cb942915p-6, 0x1.34cf6058f776ep-6, 0x1.2e8eff4ce7233p-6, 0x1.2868e1d8341fcp-6, 0x1.225cc00a166a5p-6, 0x1.1c6a51c66684fp-6, 0x1.16914ecf966ffp-6, 0x1.10d16ed0bad3cp-6, 0x1.0b2a6965e6ebp-6, 0x1.059bf622508bbp-6, 0x1.0025cc94ba46fp-6, 0x1.f58f4896c795fp-7, 0x1.eb0269b1c4fa2p-7, 0x1.e0a46bb4ce947p-7, 0x1.d674bdfec02d5p-7, 0x1.cc72d0230576bp-7, 0x1.c29e11f821bcdp-7, 0x1.b8f5f3a33e33ap-7, 0x1.af79e5a0b0cd7p-7, 0x1.a62958cafbd17p-7, 0x1.9d03be6185abbp-7, 0x1.9408881123fc9p-7, 0x1.8b3727feaf62ep-7, 0x1.828f10d2b0bf6p-7, 0x1.7a0fb5c58ff31p-7, 0x1.71b88aaa182e1p-7, 0x1.698903f6208dp-7, 0x1.618096c8fc227p-7, 0x1.599eb8f111438p-7, 0x1.51e2e0f12d473p-7, 0x1.4a4c8606dca28p-7, 0x1.42db2031fef98p-7, 0x1.3b8e283d1f606p-7, 0x1.346517c636de4p-7, 0x1.2d5f69465ee47p-7, 0x1.267c98186bfc7p-7, 0x1.1fbc207e307f5p-7, 0x1.191d7fa494184p-7, 0x1.12a033a760af8p-7, 0x1.0c43bb9573adep-7, 0x1.060797753d5c9p-7, 0x1.ffd6909481aa6p-8, 0x1.f3dca034fa92p-8, 0x1.e82063e7ecc62p-8, 0x1.dca0e3e2cc5bap-8, 0x1.d15d2a7c7440bp-8, 0x1.c65444336c54cp-8, 0x1.bb853fb2eb3f5p-8, 0x1.b0ef2dd7b7573p-8, 0x1.a69121b5697e4p-8, 0x1.9c6a309be8006p-8, 0x1.9279721dc889dp-8, 0x1.88be001681b39p-8, 0x1.7f36f6aff485bp-8, 0x1.75e37466ea4a1p-8, 0x1.6cc29a0e4443dp-8, 0x1.63d38ad119cdfp-8, 0x1.5b156c3466736p-8, 0x1.52876618c7823p-8, 0x1.4a28a2bd845a8p-8, 0x1.41f84ec44c023p-8, 0x1.39f5993641adbp-8, 0x1.321fb3887c8b4p-8, 0x1.2a75d19f97761p-8, 0x1.22f729d11a5f8p-8, 0x1.1ba2f4e18aea6p-8, 0x1.14786e002772fp-8, 0x1.0d76d2c0d2809p-8, 0x1.069d63163d43fp-8, 0x1.ffd6c29cc25d8p-9, 0x1.f2c0242628035p-9, 0x1.e5f578debb98p-9, 0x1.d97553b205fecp-9, 0x1.cd3e4c7716b2ap-9, 0x1.c14f000379879p-9, 0x1.b5a6103360563p-9, 0x1.aa4223e11d8d3p-9, 0x1.9f21e6ca8e20ep-9, 0x1.944409674eaep-9, 0x1.89a740b82ab9bp-9, 0x1.7f4a461b69308p-9, 0x1.752bd73226028p-9, 0x1.6b4ab5e0b6e78p-9, 0x1.61a5a86c5e033p-9, 0x1.583b79b1fb058p-9, 0x1.4f0af96894e87p-9, 0x1.4612fc5d14c86p-9, 0x1.3d525c94006b1p-9, 0x1.34c7f941d4df2p-9, 0x1.2c72b693f2d6fp-9, 0x1.24517d5017f87p-9, 0x1.1c633a5c4f7c8p-9, 0x1.14a6de4a60c46p-9, 0x1.0d1b5d032d192p-9, 0x1.05bfadaae00a3p-9, 0x1.fd259592ad045p-10, 0x1.ef276564ab133p-10, 0x1.e182d02f4a782p-10, 0x1.d435e54476bedp-10, 0x1.c73ebed4020acp-10, 0x1.ba9b8251249c7p-10, 0x1.ae4a602103851p-10, 0x1.a24992957fb57p-10, 0x1.96975c583e40bp-10, 0x1.8b32069fc096ap-10, 0x1.8017df8ef34d6p-10, 0x1.7547392743675p-10, 0x1.6abe690ca58d1p-10, 0x1.607bc9365fda6p-10, 0x1.567db96c14b57p-10, 0x1.4cc2a139e7052p-10, 0x1.4348f1e92854dp-10, 0x1.3a0f28034f223p-10, 0x1.3113cbfbba999p-10, 0x1.285571cd16c8bp-10, 0x1.1fd2b79330755p-10, 0x1.178a4366e638cp-10, 0x1.0f7ac0ef7ef84p-10, 0x1.07a2df2e1bc09p-10, 0x1.00014efe2d31fp-10, 0x1.f1298536adc79p-11, 0x1.e2b7dc8adf465p-11, 0x1.d4ab13b171539p-11, 0x1.c700a5f4866ep-11, 0x1.b9b61ead751e2p-11, 0x1.acc91cdbed8f8p-11, 0x1.a0375502aec13p-11, 0x1.93fe90e2016ccp-11, 0x1.881cad27f957cp-11, 0x1.7c8f95aaa628bp-11, 0x1.7155410f1e196p-11, 0x1.666bacd38584p-11, 0x1.5bd0da8ce1de3p-11, 0x1.5182ced41853fp-11, 0x1.477f91f774f44p-11, 0x1.3dc53226ecefbp-11, 0x1.3451c6832d3edp-11, 0x1.2b23724e244f5p-11, 0x1.2238676986a3ep-11, 0x1.198ee79341ce5p-11, 0x1.112543e2116b2p-11, 0x1.08f9dac187b56p-11, 0x1.010b14e02fa64p-11, 0x1.f2aec3e636f0dp-12, 0x1.e3ba6c691500ep-12, 0x1.d536128aba62bp-12, 0x1.c71ead522569fp-12, 0x1.b9713f317621ep-12, 0x1.ac2adb2cf1243p-12, 0x1.9f48aa25a4075p-12, 0x1.92c7ef13fb6e8p-12, 0x1.86a609530d684p-12, 0x1.7ae07478c0c72p-12, 0x1.6f74c59f8f211p-12, 0x1.6460a64e2fc64p-12, 0x1.59a1cdc59189ep-12, 0x1.4f35f9d800fabp-12, 0x1.451ae89634867p-12, 0x1.3b4e54e8a9c7dp-12, 0x1.31cdf69227bd1p-12, 0x1.289785a979aeep-12, 0x1.1fa8c0c505cc2p-12, 0x1.16ff744b9c6b1p-12, 0x1.0e99817438817p-12, 0x1.0674e3bb494p-12, 0x1.fd1f67baf431bp-13, 0x1.edd04f7ad03d6p-13, 0x1.def91e3fac80ap-13, 0x1.d0969bd80decap-13, 0x1.c2a5aaa18522bp-13, 0x1.b5233ae075279p-13, 0x1.a80c41a2db139p-13, 0x1.9b5db45f8e5ap-13, 0x1.8f1488ef78322p-13, 0x1.832db884aed12p-13, 0x1.77a643bc79b9cp-13, 0x1.6c7b36077ae4dp-13, 0x1.61a9a7f8c24c2p-13, 0x1.572ec16a924d4p-13, 0x1.4d07bbb4e8af5p-13, 0x1.4331e5590dfbep-13, 0x1.39aaa4d144277p-13, 0x1.306f78ad6d217p-13, 0x1.277df4439dbbap-13, 0x1.1ed3baf78778p-13, 0x1.166e7df0addf9p-13, 0x1.0e4bff278108bp-13, 0x1.066a1958761a3p-13, 0x1.fd8d920aaa967p-14, 0x1.eec0635fe09e7p-14, 0x1.e06938b5f3de9p-14, 0x1.d284dfba1d5b9p-14, 0x1.c5104d0f2aa59p-14, 0x1.b8088a6dbffaep-14, 0x1.ab6aabb904503p-14, 0x1.9f33c72611503p-14, 0x1.9360e7ebf75f6p-14, 0x1.87eef635cc42bp-14, 0x1.7cda991c7c749p-14, 0x1.7220212120e1ep-14, 0x1.67bb8c3c9eeaep-14, 0x1.5da8ad1e03f6bp-14, 0x1.53e3701b95655p-14, 0x1.4a6829f568316p-14, 0x1.4133d6a88f4ccp-14, 0x1.38442b9140999p-14, 0x1.2f9776315d77cp-14, 0x1.272c5737654a6p-14, 0x1.1f017c620ad42p-14, 0x1.171577032620cp-14, 0x1.0f66c3ae946edp-14, 0x1.07f3f4b001c4ap-14, 0x1.00bbd6d7a01eap-14, 0x1.f37ad7536bf4bp-15, 0x1.e5ef62aad88bap-15, 0x1.d8d29f9cbdaf2p-15, 0x1.cc209df2d0237p-15, 0x1.bfd3ef3a375ccp-15, 0x1.b3e5e12ad2dfdp-15, 0x1.a84f2b9f334f5p-15, 0x1.9d08e77f8fa93p-15, 0x1.920d87d7c5f68p-15, 0x1.87597ccbe5bb7p-15, 0x1.7ceb332922b8ap-15, 0x1.72c26020e33a2p-15, 0x1.68dee839b3faep-15, 0x1.5f3ff55dcdf8p-15, 0x1.55e3bb1445d06p-15, 0x1.4cc7f6e4910a5p-15, 0x1.43eabd0dc9c13p-15, 0x1.3b4afa6bffdbfp-15, 0x1.32e85a6c6d472p-15, 0x1.2ac2ad55b2c06p-15, 0x1.22d931cce016ap-15, 0x1.1b2a29bfbbb4p-15, 0x1.13b2e27a738bcp-15, 0x1.0c7007069b0f4p-15, 0x1.055de106e73cap-15, 0x1.fcf0fcaa49635p-16, 0x1.ef77db7512b59p-16, 0x1.e2498ecc5bc87p-16, 0x1.d561a9cb1731fp-16, 0x1.c8beb9d42f04cp-16, 0x1.bc6177c9092ap-16, 0x1.b04af6bcb2fecp-16, 0x1.a47b09984c813p-16, 0x1.98efd90edbb58p-16, 0x1.8da6a40427bc3p-16, 0x1.829d0179829adp-16, 0x1.77d1e3b019efep-16, 0x1.6d458da50503ep-16, 0x1.62f839ad106f9p-16, 0x1.58e896361b1a4p-16, 0x1.4f1395a51784fp-16, 0x1.45759099a372bp-16, 0x1.3c0b8624fc1a8p-16, 0x1.32d398bba41a2p-16, 0x1.29ccb3976dafep-16, 0x1.20f5b3a0a9153p-16, 0x1.184ca28195f7p-16, 0x1.0fce83d7d2327p-16, 0x1.0777cbf218f3dp-16, 0x1.fe8a9b3e256f9p-17, 0x1.ee6aaa7e8250ep-17, 0x1.de906f89456c9p-17, 0x1.ceff09abf8b3dp-17, 0x1.bfb84a10d67efp-17, 0x1.b0ba120e261e7p-17, 0x1.a2005140695cdp-17, 0x1.9389ce471d3dp-17, 0x1.85589c9e80ee3p-17, 0x1.776d5415824d6p-17, 0x1.69c4709c4506p-17, 0x1.5c58a139c074ap-17, 0x1.4f25be033694ep-17, 0x1.422985664197bp-17, 0x1.3562ff52dfdd5p-17, 0x1.28d20a1de43b4p-17, 0x1.1c775e980dad5p-17, 0x1.1054634f15f9bp-17, 0x1.046a4a13d7dbcp-17, 0x1.f1717d8f6daf8p-18, 0x1.da7948f4c82e3p-18, 0x1.c3df4041c2e52p-18, 0x1.ad959d28d6c04p-18, 0x1.97990e32adc3bp-18, 0x1.81f37ad6a981bp-18, 0x1.6cae19f364ab7p-18, 0x1.57c56799e5d81p-18, 0x1.43315a89d5edbp-18, 0x1.2ef3104f502a9p-18, 0x1.1b10505d27296p-18, 0x1.0788348b6773p-18, 0x1.e8a819ae5b11p-19, 0x1.c2dc2d1c417c8p-19, 0x1.9da7d0bf2b2d3p-19, 0x1.790a55848cc0cp-19, 0x1.5503dded56a81p-19, 0x1.3193d01b65b5ap-19, 0x1.0eb91b1b78816p-19, 0x1.d8e752ca40691p-20, 0x1.958b3353f8039p-20, 0x1.53654fe6e8e3p-20, 0x1.127bc75f8fd56p-20, 0x1.a59bc19f2d334p-21, 0x1.289840aec6c18p-21, 0x1.5b5dd393b4b5dp-22, 0x1.a5bc03ff5fef6p-24, -0x1.08cd8c0b82ddcp-23, -0x1.6dd6385971cc8p-22, -0x1.297bcb6482168p-21, -0x1.99fbebb877cfp-21, -0x1.042eb1e97cb5p-20, -0x1.3a46486fdd345p-20, -0x1.6f4b05ade3bf4p-20, -0x1.a34aecbf9618cp-20, -0x1.d64e0423fe9fcp-20, -0x1.042ae3b9f9015p-19, -0x1.1cb0caffcd619p-19, -0x1.34b89644cc782p-19, -0x1.4c429c50cd681p-19, -0x1.634f9ded0cdap-19, -0x1.79e096b4923e6p-19, -0x1.8ff66196c5f44p-19, -0x1.a5915cc636d37p-19, -0x1.bab171ea9732fp-19, -0x1.cf567794abd75p-19, -0x1.e37ff935a649fp-19, -0x1.f72dc14d51673p-19, -0x1.0531a38761a86p-18, -0x1.0e9210d5608b6p-18, -0x1.17b7ebe0993c7p-18, -0x1.20a571872f31fp-18, -0x1.295b0f1c22026p-18, -0x1.31d673f8fdf2bp-18, -0x1.3a18d9299ff9bp-18, -0x1.4222465b70428p-18, -0x1.49f29008ef569p-18, -0x1.518b5d7748b9fp-18, -0x1.58edc6723a2cfp-18, -0x1.601a0a63be5d2p-18, -0x1.671045dc2cbd1p-18, -0x1.6dd0b5ff0ced8p-18, -0x1.745bb40b2b3c5p-18, -0x1.7ab1a78b46b42p-18, -0x1.80d2ffaae44eep-18, -0x1.86c0328d1c903p-18, -0x1.8c79bb1b8f28p-18, -0x1.92001131e525fp-18, -0x1.9753a37274a93p-18, -0x1.9c74e9da4c88ap-18, -0x1.a1646e0ae8eb1p-18, -0x1.a62235b19de86p-18, -0x1.aaadcea321e8bp-18, -0x1.af08bdd5c1067p-18, -0x1.b3341895db9fcp-18, -0x1.b72f958a373fbp-18, -0x1.bafc7cd57ea4dp-18, -0x1.be9a5e8c1d0ddp-18, -0x1.c20a624c096a6p-18, -0x1.c54dbd9ded37p-18, -0x1.c8632292fd128p-18, -0x1.cb4b95c2273efp-18, -0x1.ce0840b0a2b0bp-18, -0x1.d099986cd908ep-18, -0x1.d2ffefe59f9cfp-18, -0x1.d53bb19bac762p-18, -0x1.d74d59dde0c86p-18, -0x1.d9356c0c777cdp-18, -0x1.daf46ca1a4c47p-18, -0x1.dc8adf7ac9343p-18, -0x1.ddf94974b8d1p-18, -0x1.df4033daa8163p-18, -0x1.e0602d62b3704p-18, -0x1.e159c4db2101fp-18, -0x1.e22d81fa09ae4p-18, -0x1.e2dbf061abc6ap-18, -0x1.e365b3a422ebdp-18, -0x1.e3cb2380712dfp-18, -0x1.e40bf30dbe967p-18, -0x1.e429631daa69cp-18, -0x1.e42536470dc6ap-18, -0x1.e3ff40ffebcp-18, -0x1.e3b5fea14777fp-18, -0x1.e34b798d865e7p-18, -0x1.e2c1a0a1e9902p-18, -0x1.e21830fca24f3p-18, -0x1.e14e89e448947p-18, -0x1.e065ee612929p-18, -0x1.df5f30ed49a39p-18, -0x1.de3ab8d3892c1p-18, -0x1.dcf8f9a0881d6p-18, -0x1.db9a7733aeba9p-18, -0x1.da1fbb7c44719p-18, -0x1.d889516c2c531p-18, -0x1.d6d7c341fe309p-18, -0x1.d50b99928aeep-18, -0x1.d3255b51de0fap-18, -0x1.d1258f72e3725p-18, -0x1.cf0cbf85da248p-18, -0x1.ccdb78938439ap-18, -0x1.ca9247c901529p-18, -0x1.c831b38a54caep-18, -0x1.c5ba39734456p-18, -0x1.c32c619c391dep-18, -0x1.c088c8a164132p-18, -0x1.bdcf9c2d85d3dp-18, -0x1.bb012076a692p-18, -0x1.b81f223efcb01p-18, -0x1.b529552902b53p-18, -0x1.b21fca43efa2fp-18, -0x1.af0328055148bp-18, -0x1.abd44791c069ep-18, -0x1.a8945715a1f43p-18, -0x1.a54290228676fp-18, -0x1.a1dfd4d80fe11p-18, -0x1.9e6cf1d33bf2cp-18, -0x1.9aea3fefd1faep-18, -0x1.9758292b515aap-18, -0x1.93b72467f5ba2p-18, -0x1.9007aaf9fe976p-18, -0x1.8c4a358881081p-18, -0x1.887f3b5e58392p-18, -0x1.84a7324957d79p-18, -0x1.80c28e5db6194p-18, -0x1.7cd1c1ca03561p-18, -0x1.78d53d749a701p-18, -0x1.74cd727f4ee74p-18, -0x1.70bad34eb0512p-18, -0x1.6c9dd2c42d9bp-18, -0x1.6876e180ef034p-18, -0x1.644668820bc64p-18, -0x1.600cc6bacbb43p-18, -0x1.5bca65dfe0a0dp-18, -0x1.577fd6f0546a9p-18, -0x1.532d562cb4075p-18, -0x1.4ed334f335837p-18, -0x1.4a7229d9c27a2p-18, -0x1.460a1057e096dp-18, -0x1.419bdfe9081adp-18, -0x1.3d27f00eac178p-18, -0x1.38ae262c74772p-18, -0x1.342f5eedf30a1p-18, -0x1.2fab76c346cp-18, -0x1.2b233168190e1p-18, -0x1.2696ecb2acd31p-18, -0x1.2206e67457857p-18, -0x1.1d73727768aacp-18, -0x1.18dce8d59f634p-18, -0x1.1443a0affd399p-18, -0x1.0fa7ef7f3d4a8p-18, -0x1.0b0a292844cdcp-18, -0x1.066aa00d33817p-18, -0x1.01c9a4b2b2b4fp-18, -0x1.fa4f0f0a480f3p-19, -0x1.f1092b2de5d74p-19, -0x1.e7c235eecad52p-19, -0x1.de7ac721b87d5p-19, -0x1.d53375cb3a667p-19, -0x1.cbecd78b8d9d8p-19, -0x1.c2a77f34a446ap-19, -0x1.b963f84fa377fp-19, -0x1.b022bfedebe7ap-19, -0x1.a6e44ea18c416p-19, -0x1.9da9479a11534p-19, -0x1.94727d78650b9p-19, -0x1.8b3ffb7e2d6d9p-19, -0x1.8211fded119cap-19, -0x1.78e94f2cfd222p-19, -0x1.6fc6b2e1b8159p-19, -0x1.66aa76cbc17f4p-19, -0x1.5d95491ba1641p-19, -0x1.54872ac5044ffp-19, -0x1.4b8038471fff1p-19, -0x1.4281669e7199dp-19, -0x1.398b4d0a489c5p-19, -0x1.309e17341439cp-19, -0x1.27ba2155b8a29p-19, -0x1.1edfd02204699p-19, -0x1.160f85b92e599p-19, -0x1.0d49a125008fep-19, -0x1.048e7eb3676ecp-19, -0x1.f7bcf053aa0dp-20, -0x1.e673c9d9b0d5p-20, -0x1.d54233fa25ca1p-20, -0x1.c428d42cc8f9ep-20, -0x1.b3284b4288b4fp-20, -0x1.a24134f7d59c6p-20, -0x1.91742855de35ap-20, -0x1.80c17fdbad9d4p-20, -0x1.702a7503829b7p-20, -0x1.5faefb0185af8p-20, -0x1.4f4fbf099234ep-20, -0x1.3f0d4c65dee88p-20, -0x1.2ee817c721727p-20, -0x1.1ee08ed7e2becp-20, -0x1.0ef732fa87cb3p-20, -0x1.fe598168a6486p-21, -0x1.df035a557341bp-21, -0x1.bfea9a1953517p-21, -0x1.a111fe3143791p-21, -0x1.827a6fb12e2d3p-21, -0x1.64241f1edf73fp-21, -0x1.461011b7db9b7p-21, -0x1.283f7e8dc5dd7p-21, -0x1.0ab10fc39941cp-21, -0x1.dacd50e89e638p-22, -0x1.a0c364613ed56p-22, -0x1.6740afbeb5adfp-22, -0x1.2e4ea345b68cfp-22, -0x1.ebccb14bba002p-23, -0x1.7c17efd3dba1fp-23, -0x1.0d80661e53121p-23, -0x1.400f9d740d5bdp-24, -0x1.9d7ed17ea3f5fp-26, 0x1.bc2ef3ec523e8p-26, 0x1.432fb85dfd316p-24, 0x1.0a84b5d5568d4p-23, 0x1.724b1b712386ep-23, 0x1.d8e9d46e9eb6bp-23, 0x1.1f2fe010d7c79p-22, 0x1.5155eabb62318p-22, 0x1.82e690b852d77p-22, 0x1.b3e162b92343p-22, 0x1.e445fbaf2248ap-22, 0x1.0a0a0093cbb5cp-21, 0x1.21a591706da35p-21, 0x1.38f58dd77d12bp-21, 0x1.4ff9db3a91d1bp-21, 0x1.66b266b8e030dp-21, 0x1.7d1f1c71490d7p-21, 0x1.933fde4ab3223p-21, 0x1.a9146b94445e2p-21, 0x1.be9d583c952f3p-21, 0x1.d3da51db704d3p-21, 0x1.e8cb3016921f5p-21, 0x1.fd7024f7ca779p-21, 0x1.08e498f16c573p-20, 0x1.12eb1e365bff5p-20, 0x1.1ccbedd6f1b39p-20, 0x1.2686e36ed3af9p-20, 0x1.301c091d5a112p-20, 0x1.398b7b200325fp-20, 0x1.42d54d17703abp-20, 0x1.4bf996acd873ap-20, 0x1.54f859b293af4p-20, 0x1.5dd1c32a7accdp-20, 0x1.6685e4292bbbdp-20, 0x1.6f14d718e9cb7p-20, 0x1.777eb88ff073dp-20, 0x1.7fc3a9534c2b2p-20, 0x1.87e3b13af4384p-20, 0x1.8fdf2a188defp-20, 0x1.97b60152f0399p-20, 0x1.9f686d3e94e1bp-20, 0x1.a6f692398845ep-20, 0x1.ae60971805ebap-20, 0x1.b5a6a41bc589dp-20, 0x1.bcc8f137e8b41p-20, 0x1.c3c77e4d67c97p-20, 0x1.caa2a05497d21p-20, 0x1.d15a772d1a4afp-20, 0x1.d7ef326272c45p-20, 0x1.de60ffdfca5ep-20, 0x1.e4b01064c53d9p-20, 0x1.eadc951633ea7p-20, 0x1.f0e6c18462bbfp-20, 0x1.f6cec86da0c3ep-20, 0x1.fc94de1cd91c5p-20, 0x1.011c9af2b1a8cp-19, 0x1.03de0618413c6p-19, 0x1.068ec9d8ec081p-19, 0x1.092f02104c72bp-19, }}, 
      {{0x1.11517e9c40ff8p-2, 0x1.0df69c2b08456p-1, 0x1.8cf013b160748p-1, 0x1.019724fccebd5p+0, 0x1.3774c3e0b9c48p+0, 0x1.6778d08d3baa8p+0, 0x1.914e2ff91b7a2p+0, 0x1.b4d80b6f2b1b8p+0, 0x1.d226ef43e25b7p+0, 0x1.e96ea7e8bf06fp+0, 0x1.fafd45e4a0defp+0, 0x1.0399b46114ad4p+1, 0x1.073ee5a0061f6p+1, 0x1.08a7fc7d1c4fap+1, 0x1.0810077e25bdcp+1, 0x1.05b1b41d69dfp+1, 0x1.01c60b8d700dap+1, 0x1.f9070d217e30ap+0, 0x1.ec3ad36da5cadp+0, 0x1.dd86b9655aa6ap+0, 0x1.cd4261edd052ep+0, 0x1.bbbd9a9db3bfdp+0, 0x1.a9406b0f1118cp+0, 0x1.960b4d42f2d19p+0, 0x1.825782ce7bd64p+0, 0x1.6e577d33493bp+0, 0x1.5a3752221f47bp+0, 0x1.461d3633f998cp+0, 0x1.3229f9ecab5dbp+0, 0x1.1e7985d202789p+0, 0x1.0b235339f1d64p+0, 0x1.f075c0171f35ep-1, 0x1.cba0387da688dp-1, 0x1.a7dfa0c8ceaccp-1, 0x1.8547f9832e66p-1, 0x1.63e8619d6a5f8p-1, 0x1.43cbb64bd6ea9p-1, 0x1.24f924165d67bp-1, 0x1.0774a99d2b11fp-1, 0x1.d67f19b3ef899p-2, 0x1.a0b1878b8746dp-2, 0x1.6d7aa2831b2a7p-2, 0x1.3cd12e49c9092p-2, 0x1.0ea93cd54acbp-2, 0x1.c5e959e284f5fp-3, 0x1.7347319adc2d3p-3, 0x1.25496c386f95bp-3, 0x1.b796a4ea34758p-4, 0x1.2d4d3352155d6p-4, 0x1.56cf7b5364c5bp-5, 0x1.8cb0fea73e0b8p-7, -0x1.01e1d43461e9dp-6, -0x1.5629c59e1347bp-5, -0x1.0e8f9e99cde4ep-4, -0x1.6b38467c5207bp-4, -0x1.c15d495b83348p-4, -0x1.08a5cf5ede08ap-3, -0x1.2da7461e4b539p-3, -0x1.4fd7bb5b39654p-3, -0x1.6f5adecf97d55p-3, -0x1.8c534f841443bp-3, -0x1.a6e29192acbe2p-3, -0x1.bf29071df3788p-3, -0x1.d545ec036995ap-3, -0x1.e95753dee4bfp-3, -0x1.fb7a2a02a7298p-3, -0x1.05e5198a0cbp-2, -0x1.0d3108047d2fdp-2, -0x1.13ada124d8778p-2, -0x1.196718632b291p-2, -0x1.1e6916e9941e3p-2, -0x1.22bebed348133p-2, -0x1.2672aeac11631p-2, -0x1.298f05225ad0fp-2, -0x1.2c1d64df0c2dcp-2, -0x1.2e26f878d94fbp-2, -0x1.2fb47679abb2cp-2, -0x1.30ce256df15fbp-2, -0x1.317bdff7c1e89p-2, -0x1.31c518deed10dp-2, -0x1.31b0df1ab7dbdp-2, -0x1.3145e1cf1a771p-2, -0x1.308a743c4a438p-2, -0x1.2f84919afa2e6p-2, -0x1.2e39e0e56a6c1p-2, -0x1.2cafb888765e9p-2, -0x1.2aeb21fdab2cap-2, -0x1.28f0dd4a70d9cp-2, -0x1.26c5646688a6fp-2, -0x1.246cee85cap-2, -0x1.21eb7349bc27dp-2, -0x1.1f44add4bb799p-2, -0x1.1c7c1fc592b3ep-2, -0x1.19951415549b1p-2, -0x1.1692a1d9a957dp-2, -0x1.1377aeee39b36p-2, -0x1.1046f27df281dp-2, -0x1.0d02f774858c3p-2, -0x1.09ae1ed3fc935p-2, -0x1.064aa1ef2d91p-2, -0x1.02da948c5a71ap-2, -0x1.febfcde41d5a8p-3, -0x1.f7b8cfb0d5c98p-3, -0x1.f0a38c907987dp-3, -0x1.e98326ce7ffb4p-3, -0x1.e25a884acdd93p-3, -0x1.db2c65bf8833ap-3, -0x1.d3fb41d94109fp-3, -0x1.ccc97012e4c6dp-3, -0x1.c59917873cc55p-3, -0x1.be6c358e4f85dp-3, -0x1.b744a02a67e71p-3, -0x1.b02408700f595p-3, -0x1.a90bfcbc16f1ep-3, -0x1.a1fdeac5e1eb9p-3, -0x1.9afb21ae1fffcp-3, -0x1.9404d3e19bb3p-3, -0x1.8d1c18df2a284p-3, -0x1.8641eef7b74d4p-3, -0x1.7f773ce8c76a3p-3, -0x1.78bcd35c16a1ap-3, -0x1.72136e5ef87f4p-3, -0x1.6b7bb6bb15ce8p-3, -0x1.64f643353f8d8p-3, -0x1.5e8399c395bd1p-3, -0x1.582430adc329ap-3, -0x1.51d86f9502997p-3, -0x1.4ba0b0732b50ep-3, -0x1.457d408d08cc2p-3, -0x1.3f6e614f99ab3p-3, -0x1.39744921f7e83p-3, -0x1.338f2430e94b4p-3, -0x1.2dbf152affc9p-3, -0x1.280435edf00ap-3, -0x1.225e982e73212p-3, -0x1.1cce4617cb48cp-3, -0x1.175342dc8b1bp-3, -0x1.11ed8b3e2cb5ep-3, -0x1.0c9d16104a02bp-3, -0x1.0761d4b295f68p-3, -0x1.023bb37f46d0bp-3, -0x1.fa553466b1f01p-4, -0x1.f05cd8a5dc41bp-4, -0x1.e68e130bc139ap-4, -0x1.dce89bd75c1b9p-4, -0x1.d36c24d5898fap-4, -0x1.ca1859fa349dcp-4, -0x1.c0ece1ed7d076p-4, -0x1.b7e95e8be4398p-4, -0x1.af0d6d5ebd5d7p-4, -0x1.a658a810b46a8p-4, -0x1.9dcaa4da5901dp-4, -0x1.9562f6e413bd7p-4, -0x1.8d212ea10780dp-4, -0x1.8504da26a5213p-4, -0x1.7d0d857f780bap-4, -0x1.753abaf5f113fp-4, -0x1.6d8c0358133d9p-4, -0x1.6600e637a6b43p-4, -0x1.5e98ea27f7335p-4, -0x1.575394f64d753p-4, -0x1.50306bdc178f5p-4, -0x1.492ef3ace7ecap-4, -0x1.424eb102aa014p-4, -0x1.3b8f2867499e3p-4, -0x1.34efde79f1076p-4, -0x1.2e70581007a9cp-4, -0x1.28101a5396133p-4, -0x1.21ceaae07288fp-4, -0x1.1bab8fdf8e0d7p-4, -0x1.15a6501f041acp-4, -0x1.0fbe73270b266p-4, -0x1.09f3814d24044p-4, -0x1.044503c6bc32ep-4, -0x1.fd650974f3445p-5, -0x1.f2771e9e2b354p-5, -0x1.e7bf5f6ffc5e3p-5, -0x1.dd3ce681a1abbp-5, -0x1.d2eed0b0ced1p-5, -0x1.c8d43d360845dp-5, -0x1.beec4db5b748bp-5, -0x1.b536264e36c53p-5, -0x1.abb0eda417e26p-5, -0x1.a25bcced1364p-5, -0x1.9935effa4091bp-5, -0x1.903e8540b3fa4p-5, -0x1.8774bde016e54p-5, -0x1.7ed7cda730c25p-5, -0x1.7666eb173f8cbp-5, -0x1.6e214f672b96cp-5, -0x1.660636863a359p-5, -0x1.5e14df1d4dedfp-5, -0x1.564c8a8e96f0cp-5, -0x1.4eac7cf433f6cp-5, -0x1.4733fd1e8668fp-5, -0x1.3fe25492819c4p-5, -0x1.38b6cf874c977p-5, -0x1.31b0bce2e8a19p-5, -0x1.2acf6e362b695p-5, -0x1.241237b82ee6p-5, -0x1.1d78704175ed2p-5, -0x1.17017146fd6dfp-5, -0x1.10ac96d4fcc0bp-5, -0x1.0a793f89588d9p-5, -0x1.0466cc8d98728p-5, -0x1.fce94320bd66p-6, -0x1.f144497d9a83fp-6, -0x1.e5dd7d7bae2fbp-6, -0x1.dab3b54782c48p-6, -0x1.cfc5cbe2a4be2p-6, -0x1.c512a11558f41p-6, -0x1.ba99195ff80ebp-6, -0x1.b0581dec212cp-6, -0x1.a64e9c7e1fe28p-6, -0x1.9c7b87666f1e8p-6, -0x1.92ddd572f0b3ap-6, -0x1.897481dfef73cp-6, -0x1.803e8c4934f95p-6, -0x1.773af89b1bedcp-6, -0x1.6e68cf038a625p-6, -0x1.65c71be2d16cp-6, -0x1.5d54efbcbd4cep-6, -0x1.55115f29d7941p-6, -0x1.4cfb82c8dbe7dp-6, -0x1.451277302b677p-6, -0x1.3d555cdf119bbp-6, -0x1.35c3582ee7a04p-6, -0x1.2e5b9144731d6p-6, -0x1.271d3401cd118p-6, -0x1.20076ff885d32p-6, -0x1.1919785bc4da2p-6, -0x1.125283f239633p-6, -0x1.0bb1cd080a5f4p-6, -0x1.053691610233p-6, -0x1.fdc0245639f55p-7, -0x1.f15b27e306582p-7, -0x1.e53cbd1ef8f5ep-7, -0x1.d9637a46b496dp-7, -0x1.cdcdfc029307ap-7, -0x1.c27ae54cddeadp-7, -0x1.b768df58cdfb1p-7, -0x1.ac96997a170a9p-7, -0x1.a202c90cbd30bp-7, -0x1.97ac295cc999dp-7, -0x1.8d917b8e11a28p-7, -0x1.83b186843a76cp-7, -0x1.7a0b16cb750fcp-7, -0x1.709cfe81e1ab1p-7, -0x1.67661541572efp-7, -0x1.5e6538092bf69p-7, -0x1.55994927e819ap-7, -0x1.4d01302539d9ap-7, -0x1.449bd9ac3bd41p-7, -0x1.3c683776a106fp-7, -0x1.346540381969fp-7, -0x1.2c91ef8a29ee2p-7, -0x1.24ed45d804125p-7, -0x1.1d76484a5b5a8p-7, -0x1.162c00b35c46cp-7, -0x1.0f0d7d7b1d965p-7, -0x1.0819d18ca3597p-7, -0x1.015014435a7afp-7, -0x1.f55ec2b1b3a1ep-8, -0x1.e86db1a54bfa8p-8, -0x1.dbcb3de017162p-8, -0x1.cf75b83024c2dp-8, -0x1.c36b798f96002p-8, -0x1.b7aae3021bbfcp-8, -0x1.ac325d735be56p-8, -0x1.a1005995f93f5p-8, -0x1.96134fc2e02e1p-8, -0x1.8b69bfd8a4beap-8, -0x1.8102311b1cb9bp-8, -0x1.76db321342094p-8, -0x1.6cf3586feb0ap-8, -0x1.634940e76e755p-8, -0x1.59db8f196a79ep-8, -0x1.50a8ed718d199p-8, -0x1.47b00d0a5384bp-8, -0x1.3eefa58ffea92p-8, -0x1.36667523c5652p-8, -0x1.2e13403f67d69p-8, -0x1.25f4d19968bcp-8, -0x1.1e09fa09d9c3cp-8, -0x1.1651906fc2aabp-8, -0x1.0eca7196e41dep-8, -0x1.0773801dbc317p-8, -0x1.004ba45bc99c9p-8, -0x1.f2a3988fe0585p-9, -0x1.e509d6bea1c9bp-9, -0x1.d7c7f51915b62p-9, -0x1.cadbf01f0c7dbp-9, -0x1.be43cecb6d80bp-9, -0x1.b1fda2659b664p-9, -0x1.a6078653600e9p-9, -0x1.9a5f9feb26354p-9, -0x1.8f041e46ef1ap-9, -0x1.83f33a178c476p-9, -0x1.792b357897ap-9, -0x1.6eaa5bc58a878p-9, -0x1.646f016f46c19p-9, -0x1.5a7783d2b83b5p-9, -0x1.50c2490fccf5fp-9, -0x1.474dbfe1412cep-9, -0x1.3e185f74a216fp-9, -0x1.3520a742df15p-9, -0x1.2c651ee95b3aap-9, -0x1.23e45603a067ap-9, -0x1.1b9ce405c3b69p-9, -0x1.138d681782901p-9, -0x1.0bb488effb1edp-9, -0x1.0410f4b20c858p-9, -0x1.f942c1922d902p-10, -0x1.eac9138caf8b6p-10, -0x1.dcb2667d165fep-10, -0x1.cefc4f5041a23p-10, -0x1.c1a47073d334ep-10, -0x1.b4a87994d1089p-10, -0x1.a806275f46705p-10, -0x1.9bbb433f31995p-10, -0x1.8fc5a32272d87p-10, -0x1.8423293bbb8adp-10, -0x1.78d1c3c67269fp-10, -0x1.6dcf6ccb53e52p-10, -0x1.631a29e5f94acp-10, -0x1.58b00c0b3dbefp-10, -0x1.4e8f2f50791dcp-10, -0x1.44b5bab3bcb23p-10, -0x1.3b21dfe4f35bfp-10, -0x1.31d1db10092acp-10, -0x1.28c3f2a7fe4a4p-10, -0x1.1ff67732faa1dp-10, -0x1.1767c3174ba51p-10, -0x1.0f163a6923cb4p-10, -0x1.07004ab948b81p-10, -0x1.fe48d5c8be088p-11, -0x1.ef0235c5da319p-11, -0x1.e029c73430c03p-11, -0x1.d1bcad5a14accp-11, -0x1.c3b81c9e39186p-11, -0x1.b6195a2c0b93p-11, -0x1.a8ddbb9e8b87ep-11, -0x1.9c02a6a6c6936p-11, -0x1.8f8590b8e810cp-11, -0x1.8363feb96e7cap-11, -0x1.779b84ac27416p-11, -0x1.6c29c56458074p-11, -0x1.610c72360b66bp-11, -0x1.56414aa7d23fbp-11, -0x1.4bc61c256de6ap-11, -0x1.4198c1b325e79p-11, -0x1.37b723a255a99p-11, -0x1.2e1f3747982d1p-11, -0x1.24cefeb2da2dap-11, -0x1.1bc48869c5451p-11, -0x1.12fdef2435b37p-11, -0x1.0a79598a8ca1bp-11, -0x1.0234f9f586d43p-11, -0x1.f45e1c5dfce69p-12, -0x1.e4cbbe66124ecp-12, -0x1.d5af81e2779e8p-12, -0x1.c706241c5f7bbp-12, -0x1.b8cc774a66db2p-12, -0x1.aaff6215e6b3p-12, -0x1.9d9bdf226b1e4p-12, -0x1.909efc98b66cp-12, -0x1.8405dbb551771p-12, -0x1.77cdb05b9e41fp-12, -0x1.6bf3c0ac58c7bp-12, -0x1.607564a00bc14p-12, -0x1.555005a3f3d15p-12, -0x1.4a811e39455fdp-12, -0x1.40063995c761fp-12, -0x1.35dcf3453c658p-12, -0x1.2c02f6ca5938ep-12, -0x1.2275ff3fb7843p-12, -0x1.1933d6f78c3cbp-12, -0x1.103a571c1b3d9p-12, -0x1.07876749eba79p-12, -0x1.fe31fa75e456p-13, -0x1.edda38bef2137p-13, -0x1.de03ab1c1200ap-13, -0x1.ceaa8d650b722p-13, -0x1.bfcb350694d91p-13, -0x1.b16210804f754p-13, -0x1.a36ba6eac5117p-13, -0x1.95e4977cd855cp-13, -0x1.88c9990f1d2c9p-13, -0x1.7c177993521fcp-13, -0x1.6fcb1d7d9b98ep-13, -0x1.63e17f1e774dcp-13, -0x1.5857adf31db79p-13, -0x1.4d2acdf4397fcp-13, -0x1.425816ed8a3fep-13, -0x1.37dcd3e7e7b7cp-13, -0x1.2db662acb19d3p-13, -0x1.23e233640e01fp-13, -0x1.1a5dc8498b014p-13, -0x1.1126b56e84f2p-13, -0x1.083aa07d101a1p-13, -0x1.ff2e80e070995p-14, -0x1.ee74ba6cb14dap-14, -0x1.de439e73eb295p-14, -0x1.ce96fda545795p-14, -0x1.bf6ac74c9e408p-14, -0x1.b0bb081209d64p-14, -0x1.a283e8d3e0f9cp-14, -0x1.94c1adb4ded8dp-14, -0x1.8770b56a1f1e7p-14, -0x1.7a8d78c52d74fp-14, -0x1.6e148a67b3d3bp-14, -0x1.62029683f59e9p-14, -0x1.5654629022706p-14, -0x1.4b06ccd823ebp-14, -0x1.4016cbf39e945p-14, -0x1.35816dbf1b5b2p-14, -0x1.2b43d70111196p-14, -0x1.215b41e898b86p-14, -0x1.17c4fd544105ap-14, -0x1.0e7e6bdd697afp-14, -0x1.05850326547a3p-14, -0x1.f9ac96dc661afp-15, -0x1.e8dfbed59dad6p-15, -0x1.d89ed89fc4cecp-15, -0x1.c8e563b29b66cp-15, -0x1.b9af04479fbd4p-15, -0x1.aaf7827b8d4f7p-15, -0x1.9cbac8eaa6bf6p-15, -0x1.8ef4e2fdeb2efp-15, -0x1.81a1fb26e83f3p-15, -0x1.74be5953e5fd9p-15, -0x1.68466191f434fp-15, -0x1.5c3692d8e0c2p-15, -0x1.508b85f555cc1p-15, -0x1.4541eca76f2a9p-15, -0x1.3a569127648edp-15, -0x1.2fc65633ccac9p-15, -0x1.258e379a62032p-15, -0x1.1bab4ae166c38p-15, -0x1.121abf9d00a3dp-15, -0x1.08d9df0e16e0dp-15, -0x1.ffcc15f87bd08p-16, -0x1.ee797811309b9p-16, -0x1.ddb6ffd0bc17p-16, -0x1.cd7fefd087a9ep-16, -0x1.bdcfafc360c31p-16, -0x1.aea1cb0d5b151p-16, -0x1.9ff1ef9fdad8cp-16, -0x1.91bbec9a85218p-16, -0x1.83fbb0ee2a08bp-16, -0x1.76ad4a42a278ep-16, -0x1.69cce4a115984p-16, -0x1.5d56cadcac0ccp-16, -0x1.51476717d0c4ap-16, -0x1.459b42e46fe19p-16, -0x1.3a4f07ad14a18p-16, -0x1.2f5f7c6ace009p-16, -0x1.24c984f0b8702p-16, -0x1.1a8a20a242b12p-16, -0x1.109e699e0f6b7p-16, -0x1.07039438813bdp-16, -0x1.fb6ddceaf5aa5p-17, -0x1.e96bbe70e870ap-17, -0x1.d7fbca1d41f6ep-17, -0x1.c7192977fe611p-17, -0x1.b6bf2fbc73484p-17, -0x1.a6e957c954fa4p-17, -0x1.97934279039e8p-17, -0x1.88b8b48613113p-17, -0x1.7a5593b382c63p-17, -0x1.6c65e2fc977d1p-17, -0x1.5ee5c00ba54cp-17, -0x1.51d162ae12802p-17, -0x1.45251e760ed06p-17, -0x1.38dd657e92687p-17, -0x1.2cf6cb143ae33p-17, -0x1.216e056c5def2p-17, -0x1.163fee2db503ap-17, -0x1.0b6981e046601p-17, -0x1.00e7dedd3aafcp-17, -0x1.ed7088e78c938p-18, -0x1.d9b026a82232ap-18, -0x1.c68994c7b121ap-18, -0x1.b3f810ba243dbp-18, -0x1.a1f7039ef5317p-18, -0x1.9081fa48e138ap-18, -0x1.7f9495e297aap-18, -0x1.6f2a854685cd8p-18, -0x1.5f3f865b127f9p-18, -0x1.4fcf6cac57b63p-18, -0x1.40d628b506541p-18, -0x1.324fcb8eeae89p-18, -0x1.24388ab65580bp-18, -0x1.168cbe8d48a07p-18, -0x1.0948e1ef08a47p-18, -0x1.f8d31f9352f95p-19, -0x1.dfd705ca4f98fp-19, -0x1.c79736f953264p-19, -0x1.b00dd5d2d0904p-19, -0x1.99357d7e0125fp-19, -0x1.830941b4c2c31p-19, -0x1.6d848dd74b106p-19, -0x1.58a2ef53209f9p-19, -0x1.445fe8dc10523p-19, -0x1.30b6e607626b5p-19, -0x1.1da34eac1481fp-19, -0x1.0b20a46ad4a51p-19, -0x1.f25529782862fp-20, -0x1.cf79f51a4e13ap-20, -0x1.ada7b041e7d53p-20, -0x1.8cd6a4a183d25p-20, -0x1.6cff61fa328dfp-20, -0x1.4e1a8e4ecd04ep-20, -0x1.30211a06efac8p-20, -0x1.130be9c2521a9p-20, -0x1.eda7fdda47fe1p-21, -0x1.b6e549b6d8298p-21, -0x1.81c3884ffb806p-21, -0x1.4e3836ef9e79p-21, -0x1.1c3a40a3be57p-21, -0x1.d782291c241e9p-22, -0x1.79877733da425p-22, -0x1.1e713a96e6b3dp-22, -0x1.8c57dad8a3cbp-23, -0x1.c29315f536782p-24, -0x1.dc9e657d2873bp-26, 0x1.93b034eb89016p-25, 0x1.0057fe3916ffep-23, 0x1.96d0c3f6ed2b7p-23, 0x1.143aa578f00a5p-22, 0x1.5ab16cf6f8474p-22, 0x1.9edaf4dea77eep-22, 0x1.e0c580f81789fp-22, 0x1.103fbf496c467p-21, 0x1.2f0bb2ded2243p-21, 0x1.4ccdbb24d9c87p-21, 0x1.698ca6c60e6dcp-21, 0x1.854ea523b15a8p-21, 0x1.a01917fa9e957p-21, 0x1.b9f0dbd7e8643p-21, 0x1.d2dae340c2e04p-21, 0x1.eadc811f29bep-21, 0x1.00fd8774c1c07p-20, 0x1.0c1db86219115p-20, 0x1.16d111894f1f5p-20, 0x1.2119d56ce64fap-20, 0x1.2afa62b79bb2dp-20, 0x1.34751d8b6f725p-20, 0x1.3d8c538c6e35bp-20, 0x1.46422b7338ba4p-20, 0x1.4e98a1a76ff9cp-20, 0x1.56919817521c4p-20, 0x1.5e2ef22724928p-20, 0x1.6572a650e68adp-20, 0x1.6c5eb4e34acc3p-20, 0x1.72f50bf9b4596p-20, 0x1.79377510cf0ap-20, 0x1.7f279ed28429ep-20, 0x1.84c7353d7e24bp-20, 0x1.8a17edcfa08b6p-20, 0x1.8f1b876ed5614p-20, 0x1.93d3c6a355d83p-20, 0x1.9842577cf74bcp-20, 0x1.9c68a89575836p-20, 0x1.a047fb5e47d49p-20, 0x1.a3e1a3a1042c6p-20, 0x1.a7371cd0d7a5bp-20, 0x1.aa49e651cb9bfp-20, 0x1.ad1b6f20c28edp-20, 0x1.afad1d2974f16p-20, 0x1.b2004d440e1dcp-20, 0x1.b4164d2aa0c81p-20, 0x1.b5f05cff0768ap-20, 0x1.b78fb6e7375fp-20, 0x1.b8f596d87a9b4p-20, 0x1.ba233e0f31cf3p-20, 0x1.bb19ee09968a4p-20, 0x1.bbdadb698717bp-20, 0x1.bc6723fde7186p-20, 0x1.bcbfd4652cf36p-20, 0x1.bce6044a4edefp-20, 0x1.bcdae3497c459p-20, 0x1.bc9fb44274befp-20, 0x1.bc35b6a566db6p-20, 0x1.bb9e08cbcf648p-20, 0x1.bad99d748e347p-20, 0x1.b9e95cdb7558fp-20, 0x1.b8ce489c8c316p-20, 0x1.b78972949e9fp-20, 0x1.b61be32959792p-20, 0x1.b48696dff5d5ep-20, 0x1.b2ca87df7d8f6p-20, 0x1.b0e8ad8322c76p-20, 0x1.aee1f9ce36c65p-20, 0x1.acb75b73d0fbap-20, 0x1.aa69bf3d4f006p-20, 0x1.a7fa10b459aefp-20, 0x1.a569361cb5cd6p-20, 0x1.a2b8171da5fd6p-20, 0x1.9fe795e4dc2d3p-20, 0x1.9cf8909a78e89p-20, 0x1.99ebdebc3bfefp-20, 0x1.96c252dd67b63p-20, 0x1.937cc0b98ff39p-20, 0x1.901c012fc5863p-20, 0x1.8ca0ef9dd12d7p-20, 0x1.890c660480ecfp-20, 0x1.855f347b2e864p-20, 0x1.819a1f1a5ae87p-20, 0x1.7dbdec5574afp-20, 0x1.79cb5f82ed65cp-20, 0x1.75c3383efb485p-20, 0x1.71a63bc2fccfap-20, 0x1.6d7527baaf4d6p-20, 0x1.6930b46c47916p-20, 0x1.64d99aa81a85dp-20, 0x1.6070906a8b417p-20, 0x1.5bf648af6993dp-20, 0x1.576b7524040dbp-20, 0x1.52d0c52080784p-20, 0x1.4e26e68bf2b2p-20, 0x1.496e84032fd4ap-20, 0x1.44a845b4b6365p-20, 0x1.3fd4d131e28efp-20, 0x1.3af4c9a08917fp-20, 0x1.3608cf910b4ecp-20, 0x1.311180d910128p-20, 0x1.2c0f7976de93bp-20, 0x1.270355728e3a1p-20, 0x1.21edae2d11dd5p-20, 0x1.1ccf1743a5ee5p-20, 0x1.17a8260e63676p-20, 0x1.12796d76a394cp-20, 0x1.0d437d4cac96cp-20, 0x1.0806e31f3671p-20, 0x1.02c427279ad3cp-20, 0x1.faf7a809389a4p-21, 0x1.f05cf38df432dp-21, 0x1.e5b9026c4c2c1p-21, 0x1.db0d0666b86bap-21, 0x1.d059f0e987278p-21, 0x1.c5a0bc1450e86p-21, 0x1.bae25d33327dcp-21, 0x1.b01fc66f748bfp-21, 0x1.a559e648f954bp-21, 0x1.9a91a6f1f1724p-21, 0x1.8fc7edbfd1711p-21, 0x1.84fd9b8ea8b8ep-21, 0x1.7a338ca734698p-21, 0x1.6f6a998fe235fp-21, 0x1.64a397345c6d4p-21, 0x1.59df56c24324fp-21, 0x1.4f1ea2bd22096p-21, 0x1.446242d326db8p-21, 0x1.39aafb238d3c9p-21, 0x1.2ef98bbef247p-21, 0x1.244eac94bbffbp-21, 0x1.19ab181e2fea8p-21, 0x1.0f0f881b7616fp-21, 0x1.047ca876a5815p-21, 0x1.f3e63b5ddc588p-22, 0x1.dee72cfe49e4ep-22, 0x1.c9fd7239474acp-22, 0x1.b52a5c1831f9ap-22, 0x1.a06effa64339fp-22, 0x1.8bcc99c8f9aa6p-22, 0x1.77445486c2b82p-22, 0x1.62d74ffb91267p-22, 0x1.4e86a6483dc53p-22, 0x1.3a536c5976498p-22, 0x1.263eaaa461ac1p-22, 0x1.1249682ee5d62p-22, 0x1.fce94226f76a4p-23, 0x1.d58296050041bp-23, 0x1.ae60a8144479cp-23, 0x1.8785469534a23p-23, 0x1.60f233cf47305p-23, 0x1.3aa9269457ad1p-23, 0x1.14abc80c2e4b4p-23, 0x1.ddf760a5834e6p-24, 0x1.9334c95829f0bp-24, 0x1.4912bd03fa412p-24, 0x1.ff284f717d45ep-25, 0x1.6d77e59d5c42dp-25, 0x1.ba3383ef3219fp-26, 0x1.3846e120f597ep-27, -0x1.fccfa6dd715d1p-28, -0x1.97c954fcd445p-26, -0x1.56c9f8d18e3a9p-25, -0x1.e04568937a89fp-25, -0x1.34293c8aa1399p-24, -0x1.7776c63502008p-24, -0x1.ba09542c18047p-24, -0x1.fbdf06e1cce9fp-24, -0x1.1e7b1131607f1p-23, -0x1.3ea67ec0af8bcp-23, -0x1.5e710152358d1p-23, -0x1.7dd9d9766907bp-23, -0x1.9ce052360ca95p-23, -0x1.bb83bf9015f0dp-23, -0x1.d9c3808fb874dp-23, -0x1.f79eff734b716p-23, -0x1.0a8ad87502addp-22, -0x1.191389ba53389p-22, -0x1.276957194319ep-22, -0x1.358c081706986p-22, -0x1.437b688c313cbp-22, -0x1.5137497447f84p-22, -0x1.5ebf81d793e83p-22, -0x1.6c13eefbb45cdp-22, -0x1.7934718a0f197p-22, -0x1.8620e9fb682c3p-22, -0x1.92d93e30000d2p-22, -0x1.9f5d5972ecee1p-22, -0x1.abad2ae2952afp-22, -0x1.b7c8ab373b1bap-22, -0x1.c3afce8c6697p-22, -0x1.cf628eb6ca2c6p-22, -0x1.dae0eff347e3p-22, -0x1.e62aee87bdc7ap-22, -0x1.f140963bf3713p-22, -0x1.fc21ee22e7838p-22, -0x1.036781f428445p-21, -0x1.08a3f4ee60663p-21, -0x1.0dc65a5d804cep-21, -0x1.12cebcf2a5638p-21, -0x1.17bd29a2b65a3p-21, -0x1.1c91b034c1c3dp-21, -0x1.214c61192f46fp-21, -0x1.25ed4de8e6bdap-21, -0x1.2a748859f32ddp-21, -0x1.2ee2290b375f2p-21, -0x1.33364427c01fp-21, -0x1.3770eefa61392p-21, -0x1.3b924603868c3p-21, -0x1.3f9a603cc3875p-21, -0x1.438959af45361p-21, -0x1.475f4de95bc9fp-21, -0x1.4b1c5a3c71606p-21, -0x1.4ec0a147679d3p-21, -0x1.524c42c2b9696p-21, -0x1.55bf5ccbf4bdcp-21, -0x1.591a10c384ef4p-21, -0x1.5c5c82d004f96p-21, -0x1.5f86d7b5f0e3cp-21, -0x1.62993450fb193p-21, -0x1.6593be7bcdfa3p-21, -0x1.68769d3576558p-21, -0x1.6b41f74d35f17p-21, -0x1.6df5f621d3255p-21, -0x1.7092c3dab004fp-21, -0x1.731889ad620dep-21, -0x1.7587723da469bp-21, -0x1.77dfa9b796b1bp-21, -0x1.7a215c95bbc97p-21, -0x1.7c4cb7eab0e3ep-21, -0x1.7e61e96efafc9p-21, -0x1.80611f7bc59d1p-21, -0x1.824a8905b18b5p-21, -0x1.841e55882df3bp-21, -0x1.85dcb53743ccfp-21, -0x1.8785d85afb7ccp-21, -0x1.8919f01538d56p-21, -0x1.8a992edc53ea6p-21, -0x1.8c03c6c8ccb1p-21, -0x1.8d59e982ee8acp-21, -0x1.8e9bb6f99b357p-21, -0x1.8fc999ed2070bp-21, -0x1.90e3947d5fb99p-21, -0x1.91e9e36b31787p-21, -0x1.92dcc1073c166p-21, -0x1.93bc60c8dca6ap-21, -0x1.9488f8049ca6ap-21, -0x1.9542bbc0844fap-21, -0x1.95e9e0d9093c8p-21, -0x1.967e9d1833066p-21, -0x1.970124a9f4233p-21, -0x1.9771b5eeaa97cp-21, -0x1.97d07db7cbd06p-21, -0x1.981db602cb5e8p-21, -0x1.98599552d69ccp-21, -0x1.98845245293d9p-21, -0x1.989e257df4a19p-21, -0x1.98a74e7d617c4p-21, -0x1.98a00bd4e520bp-21, -0x1.9887b21a7da8fp-21, -0x1.98609a8532033p-21, -0x1.9828f17c4c3d8p-21, -0x1.97e1bb3a9faf4p-21, -0x1.978b1d88187e5p-21, -0x1.97254d25201b8p-21, -0x1.96b080723beb3p-21, -0x1.962cede673641p-21, -0x1.959acd6c5c163p-21, -0x1.94fa55045dfa8p-21, -0x1.944bbbb2f6b77p-21, -0x1.938f38171f7c8p-21, -0x1.92c500bbd6a7p-21, -0x1.91ed4c0ea07a2p-21, -0x1.9108505a63685p-21, -0x1.901643c208deap-21, -0x1.8f175c3eedaacp-21, -0x1.8e0bcfa0401bcp-21, -0x1.8cf3d389424a8p-21, -0x1.8bcf9d6eb3a15p-21, -0x1.8a9f629a1093ap-21, -0x1.89635824a6b4ap-21, -0x1.881bb2deeec66p-21, -0x1.86c8a7520b447p-21, -0x1.856a69c091b01p-21, -0x1.84012e9cabb25p-21, -0x1.828d29a4cc15p-21, -0x1.810e8e6547b11p-21, -0x1.7f85905eab198p-21, -0x1.7df262899ab4fp-21, -0x1.7c5537a7fe4e4p-21, -0x1.7aae4288dcd77p-21, -0x1.78fdb54a8ec3ep-21, -0x1.7743c219e1ddbp-21, -0x1.75809b582cc39p-21, -0x1.73b46dfdb7107p-21, -0x1.71df60e4fb9f4p-21, -0x1.7001d1c98ffap-21, -0x1.6e1bbf0aa83d8p-21, -0x1.6c2d6af50d714p-21, -0x1.6a3705f0f7e8ep-21, -0x1.6838bef41495fp-21, -0x1.6632c122fab6cp-21, -0x1.642541ac4f1a6p-21, -0x1.62106e3208719p-21, -0x1.5ff46ef609567p-21, -0x1.5dd1746059b09p-21, -0x1.5ba7abbdbfc1ep-21, -0x1.597741b6be99dp-21, -0x1.574062c11f00dp-21, -0x1.550328315cc44p-21, -0x1.52bff2c392a4bp-21, -0x1.5076bceaf26bap-21, -0x1.4e27bdf01c875p-21, -0x1.4bd3223087835p-21, -0x1.4979135600772p-21, -0x1.4719bb31245abp-21, -0x1.44b541ca05099p-21, -0x1.424bd324f7d24p-21, -0x1.3fdd95f1a5d04p-21, -0x1.3d6ab1e76ffap-21, -0x1.3af34ea9cafabp-21, -0x1.387793b384c26p-21, -0x1.35f7a7e359389p-21, -0x1.3373b1a6cc488p-21, }}, 
      {{0x1.5e33a53a05ae7p-4, 0x1.25e44ba7a1453p-3, 0x1.d1ea47bd5de73p-3, 0x1.4d25d8cb5f6ecp-2, 0x1.b465f5d0472fbp-2, 0x1.0af47f5644a3fp-1, 0x1.35b38c51516e9p-1, 0x1.58745b30034dbp-1, 0x1.72336747c1c2fp-1, 0x1.82b02557960efp-1, 0x1.8a3a97d160c47p-1, 0x1.89876289a6a8fp-1, 0x1.818b6636a3b5p-1, 0x1.735eb16dc5c2p-1, 0x1.60261eda0071p-1, 0x1.4902c42bbfbcp-1, 0x1.2f063e62e2fd5p-1, 0x1.132af508c2213p-1, 0x1.ec9f09152c37dp-2, 0x1.b269384a8d3efp-2, 0x1.78f95fc5930e7p-2, 0x1.4159f4b4c3eddp-2, 0x1.0c5ec2981c205p-2, 0x1.b55398256a4bp-3, 0x1.59617aa89c0cdp-3, 0x1.0585182337214p-3, 0x1.7433f926d0938p-4, 0x1.dd0f49b59384cp-5, 0x1.e7c0cf19714cbp-6, 0x1.60df7412f0cebp-8, -0x1.edcd3aafad018p-7, -0x1.045c8439d56dfp-5, -0x1.7070d0821c595p-5, -0x1.c1ae9fd7c3616p-5, -0x1.fa305316204acp-5, -0x1.0e0eef347b4f8p-4, -0x1.14d088abdd1f9p-4, -0x1.126e1b2e335abp-4, -0x1.07f15db59e2efp-4, -0x1.ecb399eb52d0ep-5, -0x1.bd353b0782e05p-5, -0x1.83329a63296ap-5, -0x1.4059700e0ca8dp-5, -0x1.ec7262ff45597p-6, -0x1.4c85807834f39p-6, -0x1.472288a9350e8p-7, 0x1.8016e774c3238p-11, 0x1.8000c7383dfbcp-7, 0x1.7674e215da7b2p-6, 0x1.16ccea8e6d455p-5, 0x1.71ee3d5d92596p-5, 0x1.cbec53a7d5a18p-5, 0x1.12156ce0f0bc4p-4, 0x1.3d10db20aa4ebp-4, 0x1.66adc471e3963p-4, 0x1.8eba1a35914cp-4, 0x1.b50bbb3b522b1p-4, 0x1.d97fc7a9af73fp-4, 0x1.fbf9fd949a901p-4, 0x1.0e320f535d864p-3, 0x1.1d56af7f9ff9fp-3, 0x1.2b64eea44752bp-3, 0x1.385911e6c5489p-3, 0x1.44315928ec508p-3, 0x1.4eedc826d723ap-3, 0x1.588ff396dd34bp-3, 0x1.611ad219ebf64p-3, 0x1.689290c6fa347p-3, 0x1.6efc6b21a28f7p-3, 0x1.745e8648b66ep-3, 0x1.78bfcf2e0b32ap-3, 0x1.7c27dbaa05709p-3, 0x1.7e9ece3ae57e9p-3, 0x1.802d3c4a0712dp-3, 0x1.80dc16c7417e9p-3, 0x1.80b494f769b9p-3, 0x1.7fc0214e2c588p-3, 0x1.7e08482c6be49p-3, 0x1.7b96a86725531p-3, 0x1.7874e56c6c65cp-3, 0x1.74ac9af2e69c4p-3, 0x1.7047520adddd5p-3, 0x1.6b4e7780a886ep-3, 0x1.65cb536b68249p-3, 0x1.5fc701df03d4bp-3, 0x1.594a6c91bd38bp-3, 0x1.525e458dc528ap-3, 0x1.4b0b02907e03fp-3, 0x1.4358d96c61b7ep-3, 0x1.3b4fbce43ba84p-3, 0x1.32f75a59c1852p-3, 0x1.2a5717f97470ep-3, 0x1.217613780f47bp-3, 0x1.185b212b285fp-3, 0x1.0f0ccbdacdeabp-3, 0x1.059154878e19bp-3, 0x1.f7dd65ad5e84bp-4, 0x1.e4552c0204052p-4, 0x1.d094ca594bd7ap-4, 0x1.bca6826209ad5p-4, 0x1.a8940bb9c2d22p-4, 0x1.946695e439452p-4, 0x1.8026cd5e94bf8p-4, 0x1.6bdcde75790a1p-4, 0x1.5790780e5784dp-4, 0x1.4348d14f3b5ffp-4, 0x1.2f0cacf21f48cp-4, 0x1.1ae25c4499a8bp-4, 0x1.06cfc51090289p-4, 0x1.e5b4cafaf7219p-5, 0x1.be0eade39cfdcp-5, 0x1.96b6a8178bdb1p-5, 0x1.6fb579e06106ep-5, 0x1.49133394362d5p-5, 0x1.22d740b21e7b2p-5, 0x1.fa10e2434f5fp-6, 0x1.af59fad83b501p-6, 0x1.65951fc7b1112p-6, 0x1.1ccc9c21bffd7p-6, 0x1.aa137392190eap-7, 0x1.1ca99eba7e97bp-7, 0x1.22d54871da97cp-8, 0x1.0c77def986479p-12, -0x1.f97dc24b65384p-9, -0x1.02d4c5245e03dp-7, -0x1.84f37ec05fd76p-7, -0x1.025a18b5a5021p-6, -0x1.4108565e3acfcp-6, -0x1.7e81f2b65fc03p-6, -0x1.bac4f2810fbf2p-6, -0x1.f5cfdc2ae9fp-6, -0x1.17d0d71163c2ep-5, -0x1.341ceb39fca5ap-5, -0x1.4fcc160375b4cp-5, -0x1.6ade73e034dafp-5, -0x1.85544e466d26bp-5, -0x1.9f2e185625e24p-5, -0x1.b86c6c7130047p-5, -0x1.d110093ea8a3dp-5, -0x1.e919ce2fdc0c9p-5, -0x1.00455c8830e83p-4, -0x1.0bb1f20b122b5p-4, -0x1.16d3419188b64p-4, -0x1.21a9f07ccb55ap-4, -0x1.2c36aeab80271p-4, -0x1.367a35a34822cp-4, -0x1.4075477616666p-4, -0x1.4a28ada5a35cep-4, -0x1.539538551d4edp-4, -0x1.5cbbbda857ad5p-4, -0x1.659d18f59632fp-4, -0x1.6e3a29ddd21a3p-4, -0x1.7693d3a3e5a21p-4, -0x1.7eaafcbb49d83p-4, -0x1.86808e3a161afp-4, -0x1.8e1573299ccaep-4, -0x1.956a97fc4c3b2p-4, -0x1.9c80ea33fbf6cp-4, -0x1.a3595809943cep-4, -0x1.a9f4cffa8629cp-4, -0x1.b054405693637p-4, -0x1.b67896edcd85ap-4, -0x1.bc62c0dc7bbc3p-4, -0x1.c213aa4fce775p-4, -0x1.c78c3e315c8c7p-4, -0x1.cccd65dd32052p-4, -0x1.d1d808fc2ea41p-4, -0x1.d6ad0d6bfde81p-4, -0x1.db4d571215eccp-4, -0x1.dfb9c7a678fdap-4, -0x1.e3f33e92f6e8bp-4, -0x1.e7fa98e400a3fp-4, -0x1.ebd0b13b25ad4p-4, -0x1.ef765fbbbd99dp-4, -0x1.f2ec79f61aee6p-4, -0x1.f633d2d731f0fp-4, -0x1.f94d3aa222fe5p-4, -0x1.fc397ef618e98p-4, -0x1.fef96ad1ef211p-4, -0x1.00c6e3458dff8p-3, -0x1.01fbabe2c2898p-3, -0x1.031b70bd79101p-3, -0x1.0426920642865p-3, -0x1.051d6ea65940dp-3, -0x1.0600643f12768p-3, -0x1.06cfcf2bf42cfp-3, -0x1.078c0a89f997fp-3, -0x1.0835703f2f6f7p-3, -0x1.08cc590044057p-3, -0x1.09511c55c2ebap-3, -0x1.09c410a2bafe4p-3, -0x1.0a258b2b4221ap-3, -0x1.0a75e01918baep-3, -0x1.0ab56281ac1ffp-3, -0x1.0ae4646f77eccp-3, -0x1.0b0336ea9a65ep-3, -0x1.0b1229fdae7a4p-3, -0x1.0b118cb8fc0aap-3, -0x1.0b01ad385aaecp-3, -0x1.0ae2d8ac97705p-3, -0x1.0ab55b6440984p-3, -0x1.0a7980d04846p-3, -0x1.0a2f9386e9f2ap-3, -0x1.09d7dd48c58ap-3, -0x1.0972a7085cf76p-3, -0x1.090038f142875p-3, -0x1.0880da6cbfe5bp-3, -0x1.07f4d22586d09p-3, -0x1.075c660b8338ep-3, -0x1.06b7db59322b9p-3, -0x1.06077698e8e66p-3, -0x1.054b7ba916addp-3, -0x1.04842dbfa9daep-3, -0x1.03b1cf6d3e5fcp-3, -0x1.02d4a2a037303p-3, -0x1.01ece8a842189p-3, -0x1.00fae23a3e194p-3, -0x1.fffd9ee71a34cp-4, -0x1.fdf1dfb81b64bp-4, -0x1.fbd304ce2bac7p-4, -0x1.f9a18ae9b375fp-4, -0x1.f75dedaa99e5p-4, -0x1.f508a797ee5e7p-4, -0x1.f2a23224f751p-4, -0x1.f02b05b0aabfcp-4, -0x1.eda39981f4c2dp-4, -0x1.eb0c63c7b949fp-4, -0x1.e865d99f382f1p-4, -0x1.e5b06f1cad084p-4, -0x1.e2ec974ea0db7p-4, -0x1.e01ac438deda3p-4, -0x1.dd3b66cc1e733p-4, -0x1.da4eeee312602p-4, -0x1.d755cb48ccb85p-4, -0x1.d45069c2c7669p-4, -0x1.d13f371476f3fp-4, -0x1.ce229ef80c50cp-4, -0x1.cafb0c11fbd91p-4, -0x1.c7c8e7ea1a97dp-4, -0x1.c48c9aefdbb76p-4, -0x1.c1468c8538624p-4, -0x1.bdf723055bf73p-4, -0x1.ba9ec3bf63fd9p-4, -0x1.b73dd2e832e16p-4, -0x1.b3d4b38dbce97p-4, -0x1.b063c7958dfcap-4, -0x1.aceb6fc623ed3p-4, -0x1.a96c0bd1dba17p-4, -0x1.a5e5fa5885b28p-4, -0x1.a25998dca53eep-4, -0x1.9ec743b33829p-4, -0x1.9b2f55f9337c7p-4, -0x1.97922995781a7p-4, -0x1.93f01743de246p-4, -0x1.9049769f5b2c6p-4, -0x1.8c9e9e21ad3dp-4, -0x1.88efe31771f25p-4, -0x1.853d999000aa1p-4, -0x1.8188145385c49p-4, -0x1.7dcfa4e503fb8p-4, -0x1.7a149b8d3e8cep-4, -0x1.765747654fd57p-4, -0x1.7297f65854746p-4, -0x1.6ed6f51a1862ap-4, -0x1.6b148f18363dap-4, -0x1.67510e6edc302p-4, -0x1.638cbbe7b02f1p-4, -0x1.5fc7df026401fp-4, -0x1.5c02be004bd4bp-4, -0x1.583d9deaa2fa4p-4, -0x1.5478c28f27bfcp-4, -0x1.50b46e74effd9p-4, -0x1.4cf0e2d037015p-4, -0x1.492e5f7c584dbp-4, -0x1.456d22ff05828p-4, -0x1.41ad6a921f528p-4, -0x1.3def722e29a31p-4, -0x1.3a33748eaeceep-4, -0x1.3679ab2e9c7ebp-4, -0x1.32c24e3f0df48p-4, -0x1.2f0d949e20315p-4, -0x1.2b5bb3d338764p-4, -0x1.27ace012d826dp-4, -0x1.24014c47d43fap-4, -0x1.20592a1d0d0cap-4, -0x1.1cb4aa02d920dp-4, -0x1.1913fb2e0f0bcp-4, -0x1.15774b922a521p-4, -0x1.11dec7da8aa47p-4, -0x1.0e4a9b670fb31p-4, -0x1.0abaf04e632cbp-4, -0x1.072fef6551594p-4, -0x1.03a9c0480171fp-4, -0x1.002889615a325p-4, -0x1.f958dfdbf34dfp-5, -0x1.f26b2ff5747b9p-5, -0x1.eb8848c16c808p-5, -0x1.e4b06d84237c8p-5, -0x1.dde3df143a6c1p-5, -0x1.d722dbe33ce7cp-5, -0x1.d06da00cb69fdp-5, -0x1.c9c4656694485p-5, -0x1.c327638e2e3e6p-5, -0x1.bc96cfeeb23cp-5, -0x1.b612ddc16f57bp-5, -0x1.af9bbe0af64fbp-5, -0x1.a9319f994b37ap-5, -0x1.a2d4af06a4745p-5, -0x1.9c8516c1ff4b3p-5, -0x1.9642ff1c4d5c6p-5, -0x1.900e8e5742b28p-5, -0x1.89e7e8b2611bep-5, -0x1.83cf307412c73p-5, -0x1.7dc485ee47677p-5, -0x1.77c8078031a2fp-5, -0x1.71d9d1978e4a5p-5, -0x1.6bf9feb40bdccp-5, -0x1.6628a76e4be11p-5, -0x1.6065e28265723p-5, -0x1.5ab1c4dc89814p-5, -0x1.550c61a5cdcbdp-5, -0x1.4f75ca4f46595p-5, -0x1.49ee0e9a70dffp-5, -0x1.44753c9f05c56p-5, -0x1.3f0b60cf56a1ap-5, -0x1.39b085fcba20dp-5, -0x1.3464b55d8579ep-5, -0x1.2f27f6953e79fp-5, -0x1.29fa4fbebfc59p-5, -0x1.24dbc57777a1fp-5, -0x1.1fcc5aea5ef6ep-5, -0x1.1acc11d9b9a4p-5, -0x1.15daeaa7136aep-5, -0x1.10f8e4598a52bp-5, -0x1.0c25fca35f459p-5, -0x1.07622fe7caf06p-5, -0x1.02ad794247961p-5, -0x1.fc0fa51f93de1p-6, -0x1.f2e268f36e3a7p-6, -0x1.e9d32d032e6d8p-6, -0x1.e0e1de18aa3a8p-6, -0x1.d80e66d61d07p-6, -0x1.cf58afc3c483bp-6, -0x1.c6c09f57020a1p-6, -0x1.be4619f66cc59p-6, -0x1.b5e901fdb34eep-6, -0x1.ada937c5994abp-6, -0x1.a58699b3972bcp-6, -0x1.9d810452c3b82p-6, -0x1.95985274db8b3p-6, -0x1.8dcc5d572b9b4p-6, -0x1.861cfcc54a34bp-6, -0x1.7e8a0732c90b8p-6, -0x1.771351c6d73d1p-6, -0x1.6fb8b057d2f7ap-6, -0x1.6879f5593607cp-6, -0x1.6156f1c2ea401p-6, -0x1.5a4f74fc2e8f7p-6, -0x1.53634cd51bb5ep-6, -0x1.4c92459750d59p-6, -0x1.45dc2a311231dp-6, -0x1.3f40c47701a58p-6, -0x1.38bfdd71282e5p-6, -0x1.32593da374465p-6, -0x1.2c0cad400e681p-6, -0x1.25d9f435b957cp-6, -0x1.1fc0da14234d1p-6, -0x1.19c125ca5d56ap-6, -0x1.13da9d4f39177p-6, -0x1.0e0d054aa48c7p-6, -0x1.085820da6d95cp-6, -0x1.02bbb188b1d5bp-6, -0x1.fa6eeeff9c528p-7, -0x1.ef9663f17a3acp-7, -0x1.e4ed3fa205801p-7, -0x1.da7300522dac6p-7, -0x1.d02725cc8d96dp-7, -0x1.c60931ed8e364p-7, -0x1.bc18a887a79c5p-7, -0x1.b2550e99dda18p-7, -0x1.a8bde9086ccbep-7, -0x1.9f52bb17415a1p-7, -0x1.9613050b483a8p-7, -0x1.8cfe434d607fdp-7, -0x1.8413ee50f3e61p-7, -0x1.7b537b56faa23p-7, -0x1.72bc5df122f18p-7, -0x1.6a4e09f7f8215p-7, -0x1.6207f58776cefp-7, -0x1.59e99a8e98b0ap-7, -0x1.51f27792a89cfp-7, -0x1.4a220f742aabbp-7, -0x1.4277e83d4cc3dp-7, -0x1.3af3893be0893p-7, -0x1.339478d47db6ep-7, -0x1.2c5a3a8ede1f3p-7, -0x1.25444dd022fdcp-7, -0x1.1e522d90f55ddp-7, -0x1.17835124b3b74p-7, -0x1.10d72de865e8ep-7, -0x1.0a4d397a5b68fp-7, -0x1.03e4ebfadb7cdp-7, -0x1.fb3b83a7f324ap-8, -0x1.eeee7945e737p-8, -0x1.e2e1c62830c8p-8, -0x1.d7147f88f29f6p-8, -0x1.cb85bef18abap-8, -0x1.c0349e3e12f24p-8, -0x1.b520342d3066cp-8, -0x1.aa479241a01bbp-8, -0x1.9fa9c45e87e57p-8, -0x1.9545d21c99adfp-8, -0x1.8b1ac177cbdb6p-8, -0x1.81279a2eed64p-8, -0x1.776b6907a5edp-8, -0x1.6de54239b287p-8, -0x1.6494423522c62p-8, -0x1.5b778cc28064bp-8, -0x1.528e4a674e0e5p-8, -0x1.49d7a4e9e1bbcp-8, -0x1.4152c3ec0e422p-8, -0x1.38fecaa817573p-8, -0x1.30dad78417b8fp-8, -0x1.28e6059c51fc2p-8, -0x1.211f6fd18ce9dp-8, -0x1.19863489841c8p-8, -0x1.1219793c6287dp-8, -0x1.0ad86d1429c9fp-8, -0x1.03c24a29157p-8, -0x1.f9acaa4d785d4p-9, -0x1.ec27b6ad7b4b8p-9, -0x1.def45e894834cp-9, -0x1.d21148c5b10dap-9, -0x1.c57d14ea15f06p-9, -0x1.b93653b663b0ap-9, -0x1.ad3b82f336496p-9, -0x1.a18b0e283d0edp-9, -0x1.962354201c233p-9, -0x1.8b02afbdb8983p-9, -0x1.80278227c0786p-9, -0x1.75903c3d33ce1p-9, -0x1.6b3b65c5f4aebp-9, -0x1.6127a1559af9ap-9, -0x1.5753ac4f330bdp-9, -0x1.4dbe5b155f32fp-9, -0x1.4466924718ffap-9, -0x1.3b4b3eaa644dp-9, -0x1.326b4d9f18ffcp-9, -0x1.29c5a7911e8c2p-9, -0x1.21592d1914dfbp-9, -0x1.1924b6c5c867ep-9, -0x1.112716e525623p-9, -0x1.095f1c3752a4ap-9, -0x1.01cb945e157c6p-9, -0x1.f4d69ac94953ap-10, -0x1.e67a2d10045e8p-10, -0x1.d87f8258106a2p-10, -0x1.cae4444da312ap-10, -0x1.bda625f146042p-10, -0x1.b0c2e3d45d9d8p-10, -0x1.a43841c6cb728p-10, -0x1.980408b8c2fcp-10, -0x1.8c24095f10f8dp-10, -0x1.80962641ca1eep-10, -0x1.755862fc07bf4p-10, -0x1.6a68f22b41f4cp-10, -0x1.5fc63b356ed6bp-10, -0x1.556ed4ebc49c1p-10, -0x1.4b617784aa671p-10, -0x1.419cec224f531p-10, -0x1.38200014bd83fp-10, -0x1.2ee97d794737ep-10, -0x1.25f824dccb8fep-10, -0x1.1d4aa06efcf79p-10, -0x1.14df6d1f47a97p-10, -0x1.0cb4bed9936ebp-10, -0x1.04c86d1801439p-10, -0x1.fa2fed636cc59p-11, -0x1.eb414ac3e072ep-11, -0x1.dcbf9a3c05433p-11, -0x1.cea62a6f64784p-11, -0x1.c0f160c939902p-11, -0x1.b39edc9230cbcp-11, -0x1.a6ad3ca6f420dp-11, -0x1.9a1ba0d490bc4p-11, -0x1.8de9242eba242p-11, -0x1.8214964ea5b87p-11, -0x1.769c8fc6d6458p-11, -0x1.6b7fc344431fdp-11, -0x1.60bd41d7fa78ap-11, -0x1.56547098cee12p-11, -0x1.4c44a291b2de7p-11, -0x1.428c80c46633dp-11, -0x1.39298390f7bdcp-11, -0x1.3017b6eec4b7cp-11, -0x1.2751e98a9f293p-11, -0x1.1ed24543dc912p-11, -0x1.169330d4db569p-11, -0x1.0e903dd483bb4p-11, -0x1.06c6ce2a9552cp-11, -0x1.fe6c3f0411c4fp-12, -0x1.efbd499860c34p-12, -0x1.e181ee945faa2p-12, -0x1.d3b9e2a78cd79p-12, -0x1.c662e4d1e3481p-12, -0x1.b979b80f1e119p-12, -0x1.acfbb4ce6ee77p-12, -0x1.a0e7caa087b4p-12, -0x1.953e5184e77b6p-12, -0x1.89ffdf71890fbp-12, -0x1.7f2be3f1b2933p-12, -0x1.74bfd61355802p-12, -0x1.6ab747ae29ce7p-12, -0x1.610c778ca239dp-12, -0x1.57b8ccb35ed95p-12, -0x1.4eb51058fa119p-12, -0x1.45f9e5c09f1a7p-12, -0x1.3d80e79d9ee46p-12, -0x1.35460d7b0cc7fp-12, -0x1.2d4852f5417f2p-12, -0x1.2588e7a4f7e03p-12, -0x1.1e094ed1f5bcp-12, -0x1.16c9b79c1691ep-12, -0x1.0fc89140fe932p-12, -0x1.09035250e9dacp-12, -0x1.0277c3e3e07b4p-12, -0x1.f84a1db2a70e1p-13, -0x1.ec176a23ff793p-13, -0x1.e05859cd47102p-13, -0x1.d50a993201469p-13, -0x1.ca2828aef440bp-13, -0x1.bfa9b24eed331p-13, -0x1.b5892407bdb98p-13, -0x1.abc2ba3dc506bp-13, -0x1.a25448d1172cap-13, -0x1.993b77975651p-13, -0x1.90741ee3182ap-13, -0x1.87f7db72930c8p-13, -0x1.7fbf0cb1fbe56p-13, -0x1.77c2cca4570afp-13, -0x1.6fff4e85882bbp-13, -0x1.6875240ea52a2p-13, -0x1.612798f4874f5p-13, -0x1.5a18a025ad146p-13, -0x1.5345db03e5553p-13, -0x1.4caab1ce7801ap-13, -0x1.4645a09ee99c4p-13, -0x1.4018ccbcb4e61p-13, -0x1.3a24b7d4cc782p-13, -0x1.34654ab8576f4p-13, -0x1.2ed463e2615c3p-13, -0x1.296d26e22e06fp-13, -0x1.242ccfa0458dp-13, -0x1.1f12027d4b8d9p-13, -0x1.1a1c51892dee5p-13, -0x1.154c4d2b737fep-13, -0x1.10a358f5b479p-13, -0x1.0c22a56001c9p-13, -0x1.07c9a195e9efap-13, -0x1.03947bd44e809p-13, -0x1.fef71fae2dc7fp-14, -0x1.f6ed108d10f08p-14, -0x1.ef0640d08a4dfp-14, -0x1.e74db8f907082p-14, -0x1.dfcde30e71bf3p-14, -0x1.d8824183dde7p-14, -0x1.d160e4a3238afp-14, -0x1.ca6a91046329ep-14, -0x1.c3a59d7e1f67dp-14, -0x1.bd108e73a7074p-14, -0x1.b6a30bfbae0dap-14, -0x1.b055d098a4aafp-14, -0x1.aa25905270534p-14, -0x1.a4117827a5a4fp-14, -0x1.9e19340d34099p-14, -0x1.983c00659b736p-14, -0x1.9278d5141da25p-14, -0x1.8ccf480c9c926p-14, -0x1.87404d846c229p-14, -0x1.81cdda838354dp-14, -0x1.7c797d7ddf33p-14, -0x1.7742afd2a2495p-14, -0x1.72247919a0aa3p-14, -0x1.6d1538fd4a759p-14, -0x1.680ea72191442p-14, -0x1.63149608ba5c6p-14, -0x1.5e2cae9e1d68ep-14, -0x1.5954f1a26e49fp-14, -0x1.5489d20a3cdc1p-14, -0x1.4fcd4de674d5dp-14, -0x1.4b223952a28efp-14, -0x1.4686922e730edp-14, -0x1.41f61334a2df6p-14, -0x1.3d6e4f4cd790bp-14, -0x1.38eed3a041bbep-14, -0x1.3477d0c472088p-14, -0x1.30095ea66071ap-14, -0x1.2ba3528edc70fp-14, -0x1.274548c7af653p-14, -0x1.22eec03766debp-14, -0x1.1e9f4f87e010bp-14, -0x1.1a56dad9a6946p-14, -0x1.16158f88f6da2p-14, -0x1.11dbaa6129d6dp-14, -0x1.0da9942955f33p-14, -0x1.097f949c6cae4p-14, -0x1.055be628c4664p-14, -0x1.013cb8e8eebd5p-14, -0x1.fa4512672f46ap-15, -0x1.f216154a46a7bp-15, -0x1.e9ec0f1197aeap-15, -0x1.e1ccd629ab71fp-15, -0x1.d9b66a76d791dp-15, -0x1.d1a9523a1a26ap-15, -0x1.c9a66a42483bfp-15, -0x1.c1aabdbce6eb4p-15, -0x1.b9b4bab99f234p-15, -0x1.b1c4a8c390293p-15, -0x1.a9db164e864aep-15, -0x1.a1f84c5a440cdp-15, -0x1.9a1c5d5299521p-15, -0x1.9247453fe55efp-15, -0x1.8a78f915469cp-15, -0x1.82b1681078579p-15, -0x1.7af07e8443b8p-15, -0x1.733632edd87ffp-15, -0x1.6b82913fdb17p-15, -0x1.63d599ca5ad48p-15, -0x1.5c2f3307d0808p-15, -0x1.54903f4d10468p-15, -0x1.4cfa87e5dabe5p-15, -0x1.456c353780fb6p-15, -0x1.3de45129fa78ap-15, -0x1.36645b37029f9p-15, -0x1.2eeacf8b12d8ep-15, -0x1.27798fc654e2p-15, -0x1.200fa27f74d4fp-15, -0x1.18ac0a5061231p-15, -0x1.1151b0570f0b9p-15, -0x1.0a0011fa0ccedp-15, -0x1.02b6349f3928dp-15, -0x1.f6e8cbfd7462fp-16, -0x1.e87647d9bb07p-16, -0x1.da1586f33a45p-16, -0x1.cbc6fc4bb9777p-16, -0x1.bd8b082dbb9b2p-16, -0x1.af620af56a683p-16, -0x1.a14c6b2e8fdcep-16, -0x1.934a90f333eedp-16, -0x1.855cdcc26eaf1p-16, -0x1.7783a342e1226p-16, -0x1.69bf3861d5faep-16, -0x1.5c0fffa3f7bb6p-16, -0x1.4e7653865b1ddp-16, -0x1.40f257610ab3p-16, -0x1.3384eb5ec4eaap-16, -0x1.2630803f01394p-16, -0x1.18f3c13778c58p-16, -0x1.0bcc21883ec4ep-16, -0x1.fd77887600d7fp-17, -0x1.e38fcdad419bbp-17, -0x1.c9da6cb444b87p-17, -0x1.b051fc0c801cp-17, -0x1.96fb3a25c7af3p-17, -0x1.7ddb81707e7f8p-17, -0x1.64f07cc714f76p-17, -0x1.4c39e1f810a8p-17, -0x1.33b8f605d50afp-17, -0x1.1b6eb8d80d7e1p-17, -0x1.035be66243031p-17, -0x1.d7023d085ce56p-18, -0x1.a7bdf65d90b45p-18, -0x1.78ec2483aaecbp-18, -0x1.4a8df3935d21ap-18, -0x1.1ca48ec2cbc24p-18, -0x1.de6230da5e88fp-19, -0x1.84693a18c63a1p-19, -0x1.2b601bbc624f2p-19, -0x1.a69137da3b06fp-20, -0x1.f0927e716de92p-21, -0x1.2fb1e5cb40629p-22, 0x1.7a075c3c7e583p-22, 0x1.06fffefd0dccbp-20, 0x1.ad84974b3c118p-20, 0x1.2903e9fea07d4p-19, 0x1.7a4f29d1bd7e7p-19, 0x1.ca9b65da8937dp-19, 0x1.0cf1ad6bc7ab3p-18, 0x1.3413b2537c613p-18, 0x1.5ab4d2ba60eb7p-18, 0x1.80d6d9818da53p-18, 0x1.a67495c62cc77p-18, 0x1.cb8f290519483p-18, 0x1.f0271e15d7dd1p-18, 0x1.0a1dcd97088ap-17, 0x1.1be60d2e4e8dp-17, 0x1.2d6c2576098e8p-17, 0x1.3eaff7599b51fp-17, 0x1.4fb16897e7354p-17, 0x1.607062fe4e0dep-17, 0x1.70ecd491c2199p-17, 0x1.8126af6fbda2fp-17, 0x1.911de993de831p-17, 0x1.a0d27d4b87645p-17, 0x1.b0446a45248b6p-17, 0x1.bf73b6528ed09p-17, 0x1.ce606cdd833c1p-17, 0x1.dd0a9d144f3d9p-17, 0x1.eb72562f65396p-17, 0x1.f997a597c630bp-17, 0x1.03bd52865bce7p-16, 0x1.0a8dc7264d414p-16, 0x1.113d32064912ep-16, 0x1.17cb9e22423b1p-16, 0x1.1e393cfd62186p-16, 0x1.2485f6be3247p-16, 0x1.2ab218907d59dp-16, 0x1.30bdb62120d09p-16, 0x1.36a8c5d740849p-16, 0x1.3c738aacadb6ep-16, 0x1.421e027f947abp-16, 0x1.47a86a07b6bd8p-16, 0x1.4d12e3a1a334fp-16, 0x1.525d8d5878cc3p-16, 0x1.57888c9f78a6ap-16, 0x1.5c9409619728ap-16, 0x1.61802d3c7e765p-16, 0x1.664d2365a2243p-16, 0x1.6afb1843b331ap-16, 0x1.6f8a397e0b59p-16, 0x1.73fab55939381p-16, 0x1.784cbdec350f9p-16, 0x1.7c8083ad49637p-16, 0x1.8096382cc3f0cp-16, 0x1.848e11513a5b1p-16, 0x1.8868431617ef2p-16, 0x1.8c2504bc7ee75p-16, 0x1.8fc48dd770e28p-16, 0x1.9347168b44ffp-16, 0x1.96acd757ab34ep-16, 0x1.99f608a6375c9p-16, 0x1.9d22e8a030994p-16, 0x1.a033bc8f5d9d5p-16, 0x1.a328b4c665b67p-16, 0x1.a602081c7c3edp-16, 0x1.a8bffe082076cp-16, 0x1.ab62ddc90ed05p-16, 0x1.adeae2e78c013p-16, 0x1.b058567cf0972p-16, 0x1.b2ab6d3a5d5ecp-16, 0x1.b4e45c5f660d1p-16, 0x1.b70378364b11ep-16, 0x1.b9090c3ce3befp-16, 0x1.baf553b52ee3bp-16, 0x1.bcc891632c57bp-16, 0x1.be830a5074f35p-16, 0x1.c02504058466ap-16, 0x1.c1aec45fcb86ap-16, 0x1.c320918fa80b8p-16, 0x1.c47ab20c260f5p-16, 0x1.c5bd6cb59cfa3p-16, 0x1.c6e90877b885cp-16, 0x1.c7fdcca662f32p-16, 0x1.c8fc00ef5a412p-16, 0x1.c9e3eceef3ab3p-16, 0x1.cab5d8404253fp-16, 0x1.cb720119b60fep-16, 0x1.cc18cd3e2e275p-16, 0x1.ccaa6b53ac47p-16, 0x1.cd2728f72f218p-16, 0x1.cd8f51a7d69dap-16, 0x1.cde32b613a5f8p-16, 0x1.ce22fc37ffe41p-16, 0x1.ce4f0ec15fee6p-16, 0x1.ce67b97d3880fp-16, 0x1.ce6d4645d93efp-16, 0x1.ce5fc62389607p-16, 0x1.ce3fb9f076c47p-16, 0x1.ce0d62a9b173dp-16, 0x1.cdc8fdd47ec56p-16, 0x1.cd72dbf8913f2p-16, 0x1.cd0b55fa3514fp-16, 0x1.cc9278bfcf1dep-16, 0x1.cc08b0d5a287bp-16, 0x1.cb6e583d102d1p-16, 0x1.cac3721e0b9d3p-16, 0x1.ca08c724ab63ep-16, 0x1.c93e1f1575409p-16, 0x1.c863f2642fa05p-16, 0x1.c77a82f9ba3cbp-16, 0x1.c6821614ff146p-16, 0x1.c57af0dfa37a2p-16, 0x1.c465582481ea8p-16, 0x1.c341912b8412bp-16, 0x1.c20fdfc656023p-16, 0x1.c0d0880e33b4bp-16, 0x1.bf83cd8be531p-16, 0x1.be29f35c06098p-16, 0x1.bcc33c25e5412p-16, 0x1.bb4fea2de47ep-16, 0x1.b9d03f6c8e339p-16, 0x1.b8447d83fa812p-16, 0x1.b6ace5a8162e9p-16, 0x1.b509b89e79995p-16, 0x1.b35b36954cb1ap-16, 0x1.b1a19e5743a27p-16, 0x1.afdd2d66ab8d4p-16, 0x1.ae0e22973f803p-16, 0x1.ac34c0bb410a4p-16, 0x1.aa5155d7e1259p-16, 0x1.a863f183359cdp-16, 0x1.a66ce8b1fab7bp-16, 0x1.a46c844506034p-16, 0x1.a262f33636bbap-16, 0x1.a050742aa4b5cp-16, 0x1.9e35515cb69a5p-16, 0x1.9c11969bda693p-16, 0x1.99e59e96e7ec1p-16, 0x1.97b1a6c8c46ecp-16, 0x1.9575de130d412p-16, 0x1.93327b2e62d81p-16, 0x1.90e7b31f6d17cp-16, 0x1.8e95c84c8e34dp-16, 0x1.8c3ce3f9b3a51p-16, 0x1.89dd406335a4p-16, 0x1.877712a7a21a8p-16, 0x1.850a8f0cfaep-16, 0x1.8297e82e41b49p-16, 0x1.801f52d186513p-16, 0x1.7da102b1e89d5p-16, 0x1.7b1d26c18d218p-16, 0x1.7893f1d0a6571p-16, 0x1.760594c080e49p-16, 0x1.73723fc31352ap-16, 0x1.70da2291322dap-16, 0x1.6e3d61f3bd6ap-16, 0x1.6b9c4a432a0adp-16, 0x1.68f6ecf06fa98p-16, 0x1.664d7f75a608bp-16, 0x1.63a02f810b93bp-16, 0x1.60ef28ddd564cp-16, 0x1.5e3a974adc89bp-16, 0x1.5b82a4e129fe7p-16, 0x1.58c77d3cd5dd4p-16, 0x1.5609491975a16p-16, 0x1.5348330feb8e8p-16, 0x1.50846918d9716p-16, 0x1.4dbe030797de1p-16, 0x1.4af534038cbf5p-16, 0x1.482a23d09e7bep-16, }}, 
      {{0x1.25263565995b4p-4, 0x1.77ae20ffc5569p-4, 0x1.f5936d88a3593p-4, 0x1.49551b048c078p-3, 0x1.a17d53512a359p-3, 0x1.fdee6279737b1p-3, 0x1.2d1c6d85f940ap-2, 0x1.596f8ab7f8cafp-2, 0x1.82a41e2983727p-2, 0x1.a7d33a85a69ebp-2, 0x1.c86c0ea852fc5p-2, 0x1.e424555430c91p-2, 0x1.fae9c98290c15p-2, 0x1.066a970cd0bcfp-1, 0x1.0d0f8d01758eep-1, 0x1.118b44182202bp-1, 0x1.140c8942e7a8ep-1, 0x1.14c6586e23879p-1, 0x1.13ed6705cc181p-1, 0x1.11b6419178cep-1, 0x1.0e53e55325d72p-1, 0x1.09f6c08392e8fp-1, 0x1.04cc05eb6c707p-1, 0x1.fdfa85d43e968p-2, 0x1.f16052b1dc047p-2, 0x1.e40d0219f58e5p-2, 0x1.d63c6dccc75c8p-2, 0x1.c823027ef3b84p-2, 0x1.b9ee2658a5b9ep-2, 0x1.abc4b29f6150bp-2, 0x1.9dc7787ad7c7cp-2, 0x1.9011ca8c98653p-2, 0x1.82ba06a9f4abfp-2, 0x1.75d21c54a5a37p-2, 0x1.69680d7bd030fp-2, 0x1.5d8667db03a18p-2, 0x1.5234b5f0995f4p-2, 0x1.4777e701ac2bdp-2, 0x1.3d52adefe6769p-2, 0x1.33c5d6fe218f3p-2, 0x1.2ad094d2fb0f7p-2, 0x1.2270c5245dc31p-2, 0x1.1aa32d822c373p-2, 0x1.1363b0d6d232cp-2, 0x1.0cad7e3f38882p-2, 0x1.067b39d52c74fp-2, 0x1.00c71ffb7f31dp-2, 0x1.f7164766ffa8ap-3, 0x1.ed821103abfcep-3, 0x1.e4c4f0cdb127dp-3, 0x1.dcd22cc88cb61p-3, 0x1.d59d1bf77ee4fp-3, 0x1.cf194006e2ed1p-3, 0x1.c93a5a497e57dp-3, 0x1.c3f47ca2454e6p-3, 0x1.bf3c16e72d813p-3, 0x1.bb06013c7248fp-3, 0x1.b74783d948d6fp-3, 0x1.b3f65c98b578dp-3, 0x1.b108c2ab3c396p-3, 0x1.ae7568b27f847p-3, 0x1.ac337d8637c17p-3, 0x1.aa3aabda03572p-3, 0x1.a88318f488a05p-3, 0x1.a70562a29771p-3, 0x1.a5ba9c8b39fa5p-3, 0x1.a49c4d04b77c7p-3, 0x1.a3a4698636e98p-3, 0x1.a2cd52cd31136p-3, 0x1.a211d0cb1eca5p-3, 0x1.a16d0e6bd841p-3, 0x1.a0da95433117fp-3, 0x1.a056492dc53a4p-3, 0x1.9fdc63ef01a46p-3, 0x1.9f6970d528913p-3, 0x1.9efa4869d2275p-3, 0x1.9e8c0c358fb19p-3, 0x1.9e1c229acac26p-3, 0x1.9da832cc33b02p-3, 0x1.9d2e20e1e8a76p-3, 0x1.9cac0a0fafdbdp-3, 0x1.9c2040fe65523p-3, 0x1.9b894a49847a2p-3, 0x1.9ae5d9221d9bfp-3, 0x1.9a34cc16596fap-3, 0x1.997529fef8c8dp-3, 0x1.98a61f10ad397p-3, 0x1.97c6fa1271565p-3, 0x1.96d729b720044p-3, 0x1.95d63a1b62845p-3, 0x1.94c3d26633c5p-3, 0x1.939fb28cca501p-3, 0x1.9269b1383108bp-3, 0x1.9121b9cbcb724p-3, 0x1.8fc7ca8ab9417p-3, 0x1.8e5bf2dabb221p-3, 0x1.8cde51a1eefebp-3, 0x1.8b4f13bd5244p-3, 0x1.89ae729171e27p-3, 0x1.87fcb2af76e05p-3, 0x1.863a2293d30c9p-3, 0x1.8467197bf4d52p-3, 0x1.8283f64fc68bep-3, 0x1.80911ea685995p-3, 0x1.7e8efddd8b016p-3, 0x1.7c7e0441a9b6dp-3, 0x1.7a5ea64eecf27p-3, 0x1.78315bfb01ba5p-3, 0x1.75f6a00d44756p-3, 0x1.73aeef86ad698p-3, 0x1.715ac90fa464ep-3, 0x1.6efaac714742ap-3, 0x1.6c8f1a1c75085p-3, 0x1.6a1892b78b5e6p-3, 0x1.679796b811293p-3, 0x1.650ca60ac16a8p-3, 0x1.62783fc2d61cdp-3, 0x1.5fdae1d4f80dep-3, 0x1.5d3508dcfa749p-3, 0x1.5a872fe98ca5cp-3, 0x1.57d1d04f8ba44p-3, 0x1.5515618313464p-3, 0x1.525258f3cdb4bp-3, 0x1.4f8929edca3e4p-3, 0x1.4cba457ce1b6dp-3, 0x1.49e61a5255b47p-3, 0x1.470d14ae85a82p-3, 0x1.442f9e4d11d7ep-3, 0x1.414e1e536c3bfp-3, 0x1.3e68f9443fd87p-3, 0x1.3b8090f5ff936p-3, 0x1.3895448c294a2p-3, 0x1.35a770746c9fcp-3, 0x1.32b76e6764959p-3, 0x1.2fc5956b3cd8p-3, 0x1.2cd239d8642b7p-3, 0x1.29ddad608fb4bp-3, 0x1.26e83f1731732p-3, 0x1.23f23b7a432cap-3, 0x1.20fbec7bb2509p-3, 0x1.1e05998bb6b6cp-3, 0x1.1b0f87a35f05ep-3, 0x1.1819f94ea81dp-3, 0x1.15252eb6ee35cp-3, 0x1.123165ade65cep-3, 0x1.0f3ed9b888164p-3, 0x1.0c4dc41a94735p-3, 0x1.095e5be0cb65p-3, 0x1.0670d5edf174p-3, 0x1.03856506ad0aep-3, 0x1.009c39ddf4028p-3, 0x1.fb6b06436bbdfp-4, 0x1.f5a2db106164cp-4, 0x1.efe047bad7a33p-4, 0x1.ea239e2182fb3p-4, 0x1.e46d2c84a6e02p-4, 0x1.debd3da186467p-4, 0x1.d91418cdbb91dp-4, 0x1.d37202124f6cp-4, 0x1.cdd73a4638514p-4, 0x1.c843ff283f4c4p-4, 0x1.c2b88b78a71ffp-4, 0x1.bd35171268216p-4, 0x1.b7b9d7039e3d9p-4, 0x1.b246fda4f463dp-4, 0x1.acdcbab076e37p-4, 0x1.a77b3b58445c7p-4, 0x1.a222aa5c648b3p-4, 0x1.9cd3301faa8c8p-4, 0x1.978cf2bc15a73p-4, 0x1.92501616d69a8p-4, 0x1.8d1cbbf3b47c5p-4, 0x1.87f30407ceaf6p-4, 0x1.82d30c0c02d85p-4, 0x1.7dbcefceb1533p-4, 0x1.78b0c94508735p-4, 0x1.73aeb09b9765ap-4, 0x1.6eb6bc46ff81cp-4, 0x1.69c90113da6b2p-4, 0x1.64e5923654051p-4, 0x1.600c8158d2827p-4, 0x1.5b3ddea99c34cp-4, 0x1.5679b8ea625f1p-4, 0x1.51c01d7d6dcf3p-4, 0x1.4d1118724c18cp-4, 0x1.486cb4928b971p-4, 0x1.43d2fb6e3549ep-4, 0x1.3f43f567a126cp-4, 0x1.3abfa9beab356p-4, 0x1.36461e9b96299p-4, 0x1.31d75919bb805p-4, 0x1.2d735d51b2be5p-4, 0x1.291a2e6302a4p-4, 0x1.24cbce7d5d911p-4, 0x1.20883ee9b2748p-4, 0x1.1c4f80130cd49p-4, 0x1.1821918ec4905p-4, 0x1.13fe722450bedp-4, 0x1.0fe61fd4f1903p-4, 0x1.0bd897e334b6bp-4, 0x1.07d5d6da23c8bp-4, 0x1.03ddd89403ce2p-4, 0x1.ffe1308126a75p-5, 0x1.f81c20d735a4dp-5, 0x1.f06c76062552p-5, 0x1.e8d222b8f627p-5, 0x1.e14d1876a5c7fp-5, 0x1.d9dd47ab22eep-5, 0x1.d2829fb2c63e4p-5, 0x1.cb3d0ee432fd1p-5, 0x1.c40c8299d64bbp-5, 0x1.bcf0e73b0e6f7p-5, 0x1.b5ea2845494ddp-5, 0x1.aef83054eaf64p-5, 0x1.a81ae92daed38p-5, 0x1.a1523bc26e0c6p-5, 0x1.9a9e103cb4497p-5, 0x1.93fe4e046c66ap-5, 0x1.8d72dbc77fc68p-5, 0x1.86fb9f8102985p-5, 0x1.80987e7fb199bp-5, 0x1.7a495d6c20ae8p-5, 0x1.740e204f24ef2p-5, 0x1.6de6aa986ccd7p-5, 0x1.67d2df24d2ea8p-5, 0x1.61d2a044020d9p-5, 0x1.5be5cfbd9476dp-5, 0x1.560c4ed645d74p-5, 0x1.5045fe557ea71p-5, 0x1.4a92be8b03059p-5, 0x1.44f26f543b35bp-5, 0x1.3f64f020bed02p-5, 0x1.39ea1ff67f337p-5, 0x1.3481dd762e78ep-5, 0x1.2f2c06e01212ap-5, 0x1.29e87a1904ea9p-5, 0x1.24b714aef7519p-5, 0x1.1f97b3dcd2037p-5, 0x1.1a8a348dea55ap-5, 0x1.158e7361afbffp-5, 0x1.10a44cafd8c34p-5, 0x1.0bcb9c8cc8cfep-5, 0x1.07043ecdb027bp-5, 0x1.024e0f0c049fdp-5, 0x1.fb51d150fdc6bp-6, 0x1.f2294d9c49753p-6, 0x1.e92248eb7c904p-6, 0x1.e03c78d364062p-6, 0x1.d7779293aadd6p-6, 0x1.ced34b1d9c93ap-6, 0x1.c64f5719bd1dfp-6, 0x1.bdeb6aece9fdfp-6, 0x1.b5a73abd91dacp-6, 0x1.ad827a7aca9c8p-6, 0x1.a57cdde2816c3p-6, 0x1.9d9618883e7a3p-6, 0x1.95cddddb035dap-6, 0x1.8e23e12a3ae6ep-6, 0x1.8697d5aa13c3cp-6, 0x1.7f296e785eba7p-6, 0x1.77d85ea21eedp-6, 0x1.70a45929a6255p-6, 0x1.698d110c7ba64p-6, 0x1.629239487df4cp-6, 0x1.5bb384e04971fp-6, 0x1.54f0a6df21002p-6, 0x1.4e49525d0ef2fp-6, 0x1.47bd3a839be27p-6, 0x1.414c1292f999ap-6, 0x1.3af58de746a65p-6, 0x1.34b95ffd5a483p-6, 0x1.2e973c76df0cp-6, 0x1.288ed71e46b29p-6, 0x1.229fe3e8dd794p-6, 0x1.1cca16fb5e724p-6, 0x1.170d24b02654ep-6, 0x1.1168c197ef604p-6, 0x1.0bdca2809251p-6, 0x1.06687c78813f9p-6, 0x1.010c04d212a4ap-6, 0x1.f78de24cf579fp-7, 0x1.ed31eeb162727p-7, 0x1.e3039b313d68ap-7, 0x1.d90254cd2aea8p-7, 0x1.cf2d892e211f1p-7, 0x1.c584a6ac902cep-7, 0x1.bc071c56f572ap-7, 0x1.b2b459f772d42p-7, 0x1.a98bd018bd246p-7, 0x1.a08cf00ac1612p-7, 0x1.97b72be7a4006p-7, 0x1.8f09f699215a5p-7, 0x1.8684c3de5bd94p-7, 0x1.7e2708518f6c3p-7, 0x1.75f0396db9b74p-7, 0x1.6ddfcd92b562dp-7, 0x1.65f53c09ce733p-7, 0x1.5e2ffd092adb8p-7, 0x1.568f89b71f5bdp-7, 0x1.4f135c2e7ee33p-7, 0x1.47baef82670eap-7, 0x1.4085bfc2a57f3p-7, 0x1.397349ffb943ep-7, 0x1.32830c4ebb5a8p-7, 0x1.2bb485cc887d1p-7, 0x1.250736a0864f3p-7, 0x1.1e7a9fff15822p-7, 0x1.180e442c0a4ep-7, 0x1.11c1a67d2774p-7, 0x1.0b944b5ce0e2dp-7, 0x1.0585b84d209bcp-7, 0x1.ff2ae7d3f3704p-8, 0x1.f3860bd81353ap-8, 0x1.e81bee5528c3cp-8, 0x1.dceba33a3e415p-8, 0x1.d1f440b9b9187p-8, 0x1.c734df4bebbf4p-8, 0x1.bcac99b1a5f49p-8, 0x1.b25a8cf6e77cap-8, 0x1.a83dd875b2ad9p-8, 0x1.9e559dd8d4d8bp-8, 0x1.94a1011e5892ep-8, 0x1.8b1f2899b2be9p-8, 0x1.81cf3cf51a39dp-8, 0x1.78b06932ace2bp-8, 0x1.6fc1daacf8f2fp-8, 0x1.6702c11779b1dp-8, 0x1.5e724e7ee3737p-8, 0x1.560fb749688f1p-8, 0x1.4dda3236f35abp-8, 0x1.45d0f8615ba67p-8, 0x1.3df3453c90ac9p-8, 0x1.364056968365ap-8, 0x1.2eb76c96e732fp-8, 0x1.2757c9be665d7p-8, 0x1.2020b2e5c1776p-8, 0x1.19116f3c5cf0cp-8, 0x1.12294846b3edep-8, 0x1.0b6789dc8af11p-8, 0x1.04cb8226f60b2p-8, 0x1.fca90339c73c8p-9, 0x1.f003b607ed956p-9, 0x1.e3a5c6d70e917p-9, 0x1.d78de458a1d0bp-9, 0x1.cbbac1cca1e2bp-9, 0x1.c02b16fdc6d11p-9, 0x1.b4dda03d1075cp-9, 0x1.a9d11e5ca63ecp-9, 0x1.9f0456a980c2p-9, 0x1.947612e3fc185p-9, 0x1.8a252137af51ep-9, 0x1.80105432c270dp-9, 0x1.763682bd90f27p-9, 0x1.6c968812f65c6p-9, 0x1.632f43b9a9004p-9, 0x1.59ff997e5db89p-9, 0x1.5106716e5d5d5p-9, 0x1.4842b7d235cdbp-9, 0x1.3fb35d280d86ep-9, 0x1.3757561c867fap-9, 0x1.2f2d9b81b4fedp-9, 0x1.27352a44bc3b2p-9, 0x1.1f6d03626f57ep-9, 0x1.17d42bdbd5aafp-9, 0x1.1069acaadc9dp-9, 0x1.092c92b7e1256p-9, 0x1.021beed029a6ep-9, 0x1.f66dab3c7b7e4p-10, 0x1.e8f8bf44485fep-10, 0x1.dbd75255a18e5p-10, 0x1.cf07a49e70683p-10, 0x1.c287fdce1274cp-10, 0x1.b656ad05018bap-10, 0x1.aa7208c33f9c4p-10, 0x1.9ed86ed4236b8p-10, 0x1.938844382aaa2p-10, 0x1.887ff50bc20bbp-10, 0x1.7dbdf46ee589bp-10, 0x1.7340bc5fdb83bp-10, 0x1.6906cdb1beef5p-10, 0x1.5f0eafdf69bf1p-10, 0x1.5556f0fe28299p-10, 0x1.4bde259afb2dap-10, 0x1.42a2e8cba12ebp-10, 0x1.39a3dc167544fp-10, 0x1.30dfa766e601p-10, 0x1.2854f913896a6p-10, 0x1.200285d46281cp-10, 0x1.17e708b20eafep-10, 0x1.100142eb84263p-10, 0x1.084ffbd13d95dp-10, 0x1.00d20098e8d42p-10, 0x1.f30c485c35683p-11, 0x1.e4d67e0de58d8p-11, 0x1.d7005e053f891p-11, 0x1.c987aeac7337ep-11, 0x1.bc6a41109a439p-11, 0x1.afa5f0f143108p-11, 0x1.a338a4df110ebp-11, 0x1.97204e573d6e2p-11, 0x1.8b5ae9cdba8abp-11, 0x1.7fe67e962d9d4p-11, 0x1.74c11ea7a471dp-11, 0x1.69e8e63d9dd95p-11, 0x1.5f5bfb61f0c5dp-11, 0x1.55188d738ed54p-11, 0x1.4b1cd4bf34ee3p-11, 0x1.4167123bdb9fcp-11, 0x1.37f58f730fd16p-11, 0x1.2ec69e92049a1p-11, 0x1.25d89a944d255p-11, 0x1.1d29e772dbd71p-11, 0x1.14b8f24353273p-11, 0x1.0c843138871c1p-11, 0x1.048a2389e8dcdp-11, 0x1.f992a1eaf4598p-12, 0x1.ea809384a2deep-12, 0x1.dbdb4bb936039p-12, 0x1.cda00929b8696p-12, 0x1.bfcc18639cfa5p-12, 0x1.b25cd36c0a7a6p-12, 0x1.a54fa1b96a4fep-12, 0x1.98a1f89a242f2p-12, 0x1.8c515be74b5d1p-12, 0x1.805b5ec055e4ap-12, 0x1.74bda3e428e92p-12, 0x1.6975dd89f0fcbp-12, 0x1.5e81cccada939p-12, 0x1.53df40c28e6ecp-12, 0x1.498c15611fa65p-12, 0x1.3f86329f8bd32p-12, 0x1.35cb8ba59e13bp-12, 0x1.2c5a1e22712d5p-12, 0x1.232ff1cad42d7p-12, 0x1.1a4b180d08a9p-12, 0x1.11a9ac22ca794p-12, 0x1.0949d397fb3d9p-12, 0x1.0129bf347a012p-12, 0x1.f28f57fa7ce01p-13, 0x1.e343c7d92345ap-13, 0x1.d46d7c1fd6dcp-13, 0x1.c6093bf469c2dp-13, 0x1.b813e5726177cp-13, 0x1.aa8a6b4a4f4bep-13, 0x1.9d69d2b76f676p-13, 0x1.90af32166af8dp-13, 0x1.8457aff81174bp-13, 0x1.7860829ce32ebp-13, 0x1.6cc6ef171e229p-13, 0x1.618848d8bb069p-13, 0x1.56a1f160e8b5ap-13, 0x1.4c1158ae61fb2p-13, 0x1.41d3fe57590c9p-13, 0x1.37e772543c068p-13, 0x1.2e49559665dc4p-13, 0x1.24f75b7b736bcp-13, 0x1.1bef474a9e18ep-13, 0x1.132eec977f028p-13, 0x1.0ab42e8518f23p-13, 0x1.027cff7374338p-13, 0x1.f50ec1c40d3eep-14, 0x1.e5a2c6718ebf7p-14, 0x1.d6b24a8c58dcp-14, 0x1.c839a6d9edbc4p-14, 0x1.ba354d66544c1p-14, 0x1.aca1c7f3bd1cdp-14, 0x1.9f7bb70e86923p-14, 0x1.92bfd15924fe6p-14, 0x1.866ae22303712p-14, 0x1.7a79c79af4935p-14, 0x1.6ee96f36773cap-14, 0x1.63b6d3ed26a17p-14, 0x1.58defe1b0af2fp-14, 0x1.4e5f05b4b9667p-14, 0x1.443415a06689fp-14, 0x1.3a5b6ee646822p-14, 0x1.30d26ad0a00c2p-14, 0x1.27967b9b6938dp-14, 0x1.1ea52bfc9464bp-14, 0x1.15fc1e6dbe887p-14, 0x1.0d990d1ae348cp-14, 0x1.0579cbac17941p-14, 0x1.fb3889324fcdfp-15, 0x1.ebfcf9452bea4p-15, 0x1.dd3d0f1e2b831p-15, 0x1.cef5097677066p-15, 0x1.c1212ddad8f4cp-15, 0x1.b3bdc22fe015ep-15, 0x1.a6c70ebc29384p-15, 0x1.9a3965f86d12ep-15, 0x1.8e112d7593992p-15, 0x1.824ae21941d11p-15, 0x1.76e31f0031fcfp-15, 0x1.6bd69a85604a1p-15, 0x1.612226268c974p-15, 0x1.56c2aaa77293ap-15, 0x1.4cb5270e09ea5p-15, 0x1.42f6b73e097d5p-15, 0x1.3984a2d27e611p-15, 0x1.305c6c3fbb161p-15, 0x1.277bd3576be2p-15, 0x1.1ee0c406decd1p-15, 0x1.16893813d4a3cp-15, 0x1.0e731d04e99ecp-15, 0x1.069c4c5175d9dp-15, 0x1.fe052c038dc5dp-16, 0x1.ef47a37afdfc5p-16, 0x1.e0fbd405ed6ebp-16, 0x1.d31dbcdfd23bp-16, 0x1.c5a983a8a432dp-16, 0x1.b89b6f172772fp-16, 0x1.abefe7eeb5cc7p-16, 0x1.9fa35f24f19bp-16, 0x1.93b261f5e9eb1p-16, 0x1.88196e17a8521p-16, 0x1.7cd5065764165p-16, 0x1.71e1cece64f6cp-16, 0x1.673cc12c7050cp-16, 0x1.5ce3523104c3bp-16, 0x1.52d361c88021ep-16, 0x1.490af56bfe31ap-16, 0x1.3f87f07850ecap-16, 0x1.364800c3bf6ecp-16, 0x1.2d48c1b03bc1cp-16, 0x1.2487e55f35e92p-16, 0x1.1c033ccf6024dp-16, 0x1.13b8a92c17decp-16, 0x1.0ba61689cebacp-16, 0x1.03c98828a51d1p-16, 0x1.f84248f28965p-17, 0x1.e95662867e7c6p-17, 0x1.dacc030deff5p-17, 0x1.cc9fc62713a3ep-17, 0x1.bece3122e3033p-17, 0x1.b153c02220f8fp-17, 0x1.a42cfc0992b3bp-17, 0x1.97569cc45edbcp-17, 0x1.8acdc03ed21fep-17, 0x1.7e90070bb9527p-17, 0x1.729b65ae7c166p-17, 0x1.66edbfb9f54afp-17, 0x1.5b84b6b28bacep-17, 0x1.505de452e34cbp-17, 0x1.45772c67c2e7bp-17, 0x1.3aceb585b4c57p-17, 0x1.3062a0052ae5bp-17, 0x1.2630e62e4ac32p-17, 0x1.1c3779ad8d119p-17, 0x1.1274690561698p-17, 0x1.08e5f5f66f28bp-17, 0x1.ff1533ae3c94p-18, 0x1.ecc1e096b3733p-18, 0x1.dacf22ce80f49p-18, 0x1.c939f2e636c7fp-18, 0x1.b7ff2a4872ed1p-18, 0x1.a71bd0e77631ep-18, 0x1.968d53662723bp-18, 0x1.86516a30e3338p-18, 0x1.7665d72dabeb8p-18, 0x1.66c8430be1003p-18, 0x1.577636ba54aefp-18, 0x1.486d2c6d653c7p-18, 0x1.39aada05f7601p-18, 0x1.2b2d9c9881b0ep-18, 0x1.1cf44de423a6cp-18, 0x1.0efd97893097cp-18, 0x1.0147b6aebfc4p-18, 0x1.e7a1b834c0fd1p-19, 0x1.cd2ec8d33293dp-19, 0x1.b33388f182847p-19, 0x1.99ad126aa09abp-19, 0x1.8098cfd056f76p-19, 0x1.67f473ec07365p-19, 0x1.4fbdcfa4ea221p-19, 0x1.37f2a6a2acbbfp-19, 0x1.20909bf3ad4f1p-19, 0x1.09954e3289f6dp-19, 0x1.e5fd425076badp-20, 0x1.b995ee3173bf5p-20, 0x1.8df2175a3015cp-20, 0x1.630ebfb036274p-20, 0x1.38e7cb6cea5eep-20, 0x1.0f783ee3e5cdap-20, 0x1.cd7676fb43e4fp-21, 0x1.7d5a975109e95p-21, 0x1.2e99af3fa13ccp-21, 0x1.c262cb0f38904p-22, 0x1.2a3a25facd83bp-22, 0x1.295a36e687cadp-23, 0x1.b0d31f748108p-30, -0x1.1d871e28a4d6cp-23, -0x1.1cb897b8ef478p-22, -0x1.a836c9715cad9p-22, -0x1.18a30a54813f8p-21, -0x1.5bf6f28d73289p-21, -0x1.9e1ab7f07d0fbp-21, -0x1.df11cc83da8f3p-21, -0x1.0f6fecab12709p-20, -0x1.2ec4064ed875fp-20, -0x1.4d86dd02e1e29p-20, -0x1.6bb9ebf835b4ep-20, -0x1.895e780f825c1p-20, -0x1.a675a265b2b1dp-20, -0x1.c300aa4ec0872p-20, -0x1.df0118beb061ep-20, -0x1.fa78a1c3f41c8p-20, -0x1.0ab47cb0b017ap-19, -0x1.17e9bd0c5a2d7p-19, -0x1.24dc88e6d9818p-19, -0x1.318d6e00a543p-19, -0x1.3dfcf4ed5c86p-19, -0x1.4a2b9c349f341p-19, -0x1.561a076c694e6p-19, -0x1.61c8bd1a2bbfdp-19, -0x1.6d3832d5b815fp-19, -0x1.7868ea8e03b73p-19, -0x1.835b618c3e5abp-19, -0x1.8e10104decc5fp-19, -0x1.9887728e1eb27p-19, -0x1.a2c2058617affp-19, -0x1.acc0437b12e9bp-19, -0x1.b682a73eaa609p-19, -0x1.c009a5726cbb7p-19, -0x1.c955b13cd8613p-19, -0x1.d2673c6c48f43p-19, -0x1.db3eb75a89812p-19, -0x1.e3dc908a59901p-19, -0x1.ec41382bbacbfp-19, -0x1.f46d282a914b7p-19, -0x1.fc60d5f529d3ap-19, -0x1.020e5a13f0316p-18, -0x1.05d0917544955p-18, -0x1.0977589105de3p-18, -0x1.0d02e49e02955p-18, -0x1.10737094de089p-18, -0x1.13c930451bd48p-18, -0x1.17045fdf02da2p-18, -0x1.1a2593e9abdf4p-18, -0x1.1d2bfc22a48a2p-18, -0x1.2018d1eed031dp-18, -0x1.22ebf9e792bep-18, -0x1.25a5ace8b283ap-18, -0x1.284624603a6d2p-18, -0x1.2acd9a76c16bfp-18, -0x1.2d3c49e4424f7p-18, -0x1.2f926dc481c2fp-18, -0x1.31d040d78d326p-18, -0x1.33f5fe21bc5d4p-18, -0x1.3603e05d38f3ep-18, -0x1.37fa22d7929e7p-18, -0x1.39d901acb9127p-18, -0x1.3ba0b89304fe5p-18, -0x1.3d518531cf289p-18, -0x1.3eeba21d04f4p-18, -0x1.406f4d57e4841p-18, -0x1.41dcc412dd759p-18, -0x1.433440c9283ddp-18, -0x1.447602ead1f79p-18, -0x1.45a24cb375f6p-18, -0x1.46b9586e8badbp-18, -0x1.47bb62eece2edp-18, -0x1.48a8ade468e8ap-18, -0x1.498173e682bbap-18, -0x1.4a46028a5ae55p-18, -0x1.4af68721afac4p-18, -0x1.4b9346d220657p-18, -0x1.4c1c82085f564p-18, -0x1.4c9277ee82194p-18, -0x1.4cf567c0a64b8p-18, -0x1.4d458fffcbab1p-18, -0x1.4d833311d249fp-18, -0x1.4dae8f6e4a3d8p-18, -0x1.4dc7e60635c35p-18, -0x1.4dcf76fdcee45p-18, -0x1.4dc5827af7efcp-18, -0x1.4daa48b0dd7a7p-18, -0x1.4d7e09ff69388p-18, -0x1.4d4106ff8e9e3p-18, -0x1.4cf38056b8fcdp-18, -0x1.4c95b668d82b2p-18, -0x1.4c27e97ec5c0dp-18, -0x1.4baa59ad13116p-18, -0x1.4b1d4639e8bddp-18, -0x1.4a80e897c4c6cp-18, -0x1.49d5861254facp-18, -0x1.491b72d68587bp-18, -0x1.4852dcd10cbbbp-18, -0x1.477bfb5d4d575p-18, -0x1.4697157b9fda5p-18, -0x1.45a46def1ef78p-18, -0x1.44a4418cd659p-18, -0x1.4396d0c5357aep-18, -0x1.427c59b8e3f1cp-18, -0x1.41551b6dd4974p-18, -0x1.4021543f8ad1ep-18, -0x1.3ee1425fcc777p-18, -0x1.3d9523d71a922p-18, -0x1.3c3d36a4cdfe6p-18, -0x1.3ad9b879fb435p-18, -0x1.396ae66b254dp-18, -0x1.37f0fd5e2c3d7p-18, -0x1.366c3a0c5923p-18, -0x1.34dcd8d661197p-18, -0x1.334315c2f4109p-18, -0x1.319f2c86757b4p-18, -0x1.2ff1588734e31p-18, -0x1.2e39d4d58c018p-18, -0x1.2c78dc1fa4db1p-18, -0x1.2aaea8a288a4bp-18, -0x1.28db742368c1cp-18, -0x1.26ff780e25d88p-18, -0x1.251aed9e5f94fp-18, -0x1.232e0d971a663p-18, -0x1.21391042e78ecp-18, -0x1.1f3c2de93e3e2p-18, -0x1.1d379cb33f15dp-18, -0x1.1b2b945b6714ap-18, -0x1.19184bd65ffe7p-18, -0x1.16fdf82afd22cp-18, -0x1.14dccfee64892p-18, -0x1.12b507c31cca3p-18, -0x1.1086d47006e04p-18, -0x1.0e526a2a522f7p-18, -0x1.0c17fcc21509fp-18, -0x1.09d7bf8499bf1p-18, -0x1.0791e4871cf98p-18, -0x1.05469de0aee69p-18, -0x1.02f61dc47dadap-18, -0x1.00a0957394592p-18, -0x1.fc8c6aba2c04ep-19, -0x1.f7ce532e15abbp-19, -0x1.f30758934650fp-19, -0x1.ee37cd9372855p-19, -0x1.e96006ba9654bp-19, -0x1.e4806bb464234p-19, -0x1.df9950c943d32p-19, -0x1.daab1275c0d1ap-19, -0x1.d5b608199dc22p-19, -0x1.d0ba88a19435p-19, -0x1.cbb8f0cccb4d3p-19, -0x1.c6b194332c81dp-19, -0x1.c1a4c2e7c4187p-19, -0x1.bc92d1ddd8f1bp-19, -0x1.b77c1420bb766p-19, -0x1.b260dae63f739p-19, -0x1.ad41763c96554p-19, -0x1.a81e350e6600cp-19, -0x1.a2f7652945095p-19, -0x1.9dcd536f4318fp-19, -0x1.98a04b6ae6ff2p-19, -0x1.93709782bf116p-19, -0x1.8e3e81496d319p-19, -0x1.890a512396ae7p-19, -0x1.83d44e36b39p-19, -0x1.7e9cbe9ebe91cp-19, -0x1.7963e7640009bp-19, -0x1.742a0c77d6b9p-19, -0x1.6eef70b61a52p-19, -0x1.69b455e3fe1eep-19, -0x1.6478fcbce9b73p-19, -0x1.5f3da4919632fp-19, -0x1.5a028bc38e282p-19, -0x1.54c7ef9bd38a9p-19, -0x1.4f8e0db9516f6p-19, -0x1.4a55213ca1978p-19, -0x1.451d61f2db6ffp-19, -0x1.3fe636a3f66bbp-19, -0x1.3ab23cfda2704p-19, -0x1.357f7cb365da4p-19, -0x1.304ea87cda52fp-19, -0x1.2b201b05aeb9p-19, -0x1.25f4037e3e53fp-19, -0x1.20ca95362f4aep-19, -0x1.1ba4022e49233p-19, -0x1.16807b7941122p-19, -0x1.11603155bb886p-19, -0x1.0c436406004aap-19, -0x1.072a0d17b0581p-19, -0x1.02148dbf2922ep-19, -0x1.fa060137995f4p-20, -0x1.efeb2297a4888p-20, -0x1.e5d8d54dde815p-20, -0x1.dbcf6f2c23951p-20, -0x1.d1cf4edba1fbdp-20, -0x1.c7d951dc46f14p-20, -0x1.bde8dbfa53af7p-20, -0x1.b4092d91cc563p-20, -0x1.aa303ab04677p-20, -0x1.a06255ee6dcf4p-20, -0x1.969f6ddf7bff2p-20, -0x1.8ce7baa6849afp-20, -0x1.833b7b4ad1c4bp-20, -0x1.799aed96236dap-20, -0x1.700654a689435p-20, -0x1.667de974cb488p-20, -0x1.5d01e866c9932p-20, -0x1.53928ad936dd6p-20, -0x1.4a3008a4d7872p-20, -0x1.40da980371ae7p-20, -0x1.37926d96d85a7p-20, -0x1.2e57bc738575fp-20, -0x1.252ab6228f546p-20, -0x1.1c0b8a9f33335p-20, -0x1.12fa685a1edc8p-20, -0x1.09f77c3bd2a83p-20, -0x1.0102f19a3ba01p-20, -0x1.f039e48d769e1p-21, -0x1.de8b4da1c01cp-21, -0x1.ccfa6cfee2bc2p-21, -0x1.bb878e97f11cp-21, -0x1.aa32f93c22655p-21, -0x1.98fcf371a722cp-21, -0x1.87e5c0beada11p-21, -0x1.76eda05ca0f29p-21, -0x1.6614d115bd4cp-21, -0x1.555b8e6823ba4p-21, -0x1.44c20f53b75fcp-21, -0x1.34488b98d68bp-21, -0x1.23ef38c38aa35p-21, -0x1.13b64c84591bep-21, -0x1.039dd697361ep-21, -0x1.e74b7bdb92eb5p-22, -0x1.c79ec9bad0495p-22, -0x1.a833313a4db22p-22, -0x1.8909fb31561d7p-22, -0x1.6a2377bb47b8cp-22, -0x1.4b7fe221d206ep-22, -0x1.2d1f4696b4dcep-22, -0x1.0f033e7f8a3cdp-22, -0x1.e251a88a8d462p-23, -0x1.a72642dc5ea02p-23, -0x1.6c82a7385f61p-23, -0x1.3267446063584p-23, -0x1.f1a8be98c756fp-24, -0x1.7f94741c496e8p-24, -0x1.0e88ab228fb45p-24, -0x1.3d42f61e8610cp-25, -0x1.7e24ceb4cd775p-27, 0x1.f02c8431b0152p-27, 0x1.5579cf036ad38p-25, 0x1.1660b83ce9595p-24, 0x1.80f11654d984ap-24, 0x1.ea6e23a38798ap-24, 0x1.296b9ecae82ebp-23, 0x1.5d166c9a77f9ap-23, 0x1.9037832b834d1p-23, 0x1.c2cef248c15ep-23, 0x1.f4dccee746cep-23, 0x1.1330994828b71p-22, 0x1.2bae1f4dabf03p-22, }}, 
      {{-0x1.a5f27f702eec6p-6, -0x1.8aed8ec7654cbp-4, -0x1.946614182722dp-3, -0x1.405d25647f658p-2, -0x1.b69e1f41a201fp-2, -0x1.10bf108dc547cp-1, -0x1.3c74e0c43c994p-1, -0x1.5bf48c2788dfdp-1, -0x1.6e0eb4e017f88p-1, -0x1.7298931e1bb4dp-1, -0x1.6a282198ca7dcp-1, -0x1.55d92c6b4622ep-1, -0x1.371ca0514bdedp-1, -0x1.0f91d8ff24c7ep-1, -0x1.c1d1bd77943edp-2, -0x1.599877c88007dp-2, -0x1.d344a65d2e08ap-3, -0x1.d3678c666ad67p-4, 0x1.11867dd3c977ep-9, 0x1.e427b2055871ap-4, 0x1.dbc9f89e4597p-3, 0x1.5f1156d857d0dp-2, 0x1.cb3a83590775p-2, 0x1.18aa38c023d39p-1, 0x1.484a45dc492a7p-1, 0x1.7435330f7add4p-1, 0x1.9c3c35ae5fd12p-1, 0x1.c04664b7347d8p-1, 0x1.e04d63a74d01cp-1, 0x1.fc5a4d55421bp-1, 0x1.0a4172435238bp+0, 0x1.1473864580c03p+0, 0x1.1cd74506703f9p+0, 0x1.238385567887ep+0, 0x1.2891385624b7cp+0, 0x1.2c1aaf595322ep+0, 0x1.2e3aff5f466b6p+0, 0x1.2f0d7f600ee89p+0, 0x1.2ead5e9320683p+0, 0x1.2d354fcf756f8p+0, 0x1.2abf473f97ae5p+0, 0x1.276447d6411b1p+0, 0x1.233c3e26358e8p+0, 0x1.1e5de6732c61cp+0, 0x1.18debc0a4c86ep+0, 0x1.12d2f032a7c83p+0, 0x1.0c4d6746c11bap+0, 0x1.055fbabd81e63p+0, 0x1.fc347e26cc729p-1, 0x1.ed181954ddab3p-1, 0x1.dd8615bb25c5ep-1, 0x1.cd97f9519818dp-1, 0x1.bd651ccc8e41fp-1, 0x1.ad02c872c0a9ep-1, 0x1.9c8451a3f4ac2p-1, 0x1.8bfb3882b4903p-1, 0x1.7b77454d9aefap-1, 0x1.6b06a50f22b84p-1, 0x1.5ab6056453b69p-1, 0x1.4a90af2f2b751p-1, 0x1.3aa0a01d3c32p-1, 0x1.2aeea2f691807p-1, 0x1.1b8266b0cd133p-1, 0x1.0c629449e40d1p-1, 0x1.fb29c6dd0fd53p-2, 0x1.de3c5be84a665p-2, 0x1.c205045e046dcp-2, 0x1.a68a6859e520ep-2, 0x1.8bd1dbbf3efa9p-2, 0x1.71df7c7fc0a7ap-2, 0x1.58b64eeb6e50cp-2, 0x1.4058581ede255p-2, 0x1.28c6b6a76c96p-2, 0x1.1201b972a4a9ep-2, 0x1.f811ea3bff957p-3, 0x1.cdb6af828c158p-3, 0x1.a4ee767b8db25p-3, 0x1.7db4ec7200518p-3, 0x1.5804d7798ba7bp-3, 0x1.33d83362228a1p-3, 0x1.11284c3645f9bp-3, 0x1.dfdbad7b31415p-4, 0x1.a0420d9dbdddap-4, 0x1.637347c26f042p-4, 0x1.295e378582a6cp-4, 0x1.e3e24eb0bb098p-5, 0x1.7a33df4d08f57p-5, 0x1.158c262dc3e64p-5, 0x1.6b8b5f2416079p-6, 0x1.6aeaf902bc1c1p-7, 0x1.115caa211a684p-11, -0x1.370035b6ca56ap-7, -0x1.36f6ee797d747p-6, -0x1.ca247bc750c67p-6, -0x1.2aa976382e2d6p-5, -0x1.6c65c1e5a95b2p-5, -0x1.aa6b3b183281ap-5, -0x1.e4dd609ce41d4p-5, -0x1.0def84f9b7e26p-4, -0x1.27c92ce18d693p-4, -0x1.400c578bd80c7p-4, -0x1.56c951b71fcd1p-4, -0x1.6c0fff84e7f3fp-4, -0x1.7fefd834c6e08p-4, -0x1.9277e8cba7ffbp-4, -0x1.a3b6ce7449b7fp-4, -0x1.b3bab5676a8efp-4, -0x1.c2915d16855ebp-4, -0x1.d048138118bc2p-4, -0x1.dcebb652c273p-4, -0x1.e888b74f7da87p-4, -0x1.f32b19397ac1bp-4, -0x1.fcde7215918cdp-4, -0x1.02d6f7cca2a22p-3, -0x1.06d22ae1864p-3, -0x1.0a6600bc5ca63p-3, -0x1.0d97767289341p-3, -0x1.106b57ce0b547p-3, -0x1.12e640a1d3cb5p-3, -0x1.150c9ed46e7a5p-3, -0x1.16e2b2f1fc946p-3, -0x1.186c9180eaacbp-3, -0x1.19ae24ec098b9p-3, -0x1.1aab2e4b383ecp-3, -0x1.1b6746a05f934p-3, -0x1.1be5e0b745c3ap-3, -0x1.1c2a4a107b1d2p-3, -0x1.1c37abe429b15p-3, -0x1.1c110cf3ed01p-3, -0x1.1bb952b09a576p-3, -0x1.1b3341fa7a87ep-3, -0x1.1a8180afe1021p-3, -0x1.19a6971e82c7fp-3, -0x1.18a4f0b82ad7dp-3, -0x1.177edd21af485p-3, -0x1.163691b4db7b2p-3, -0x1.14ce2a7aed642p-3, -0x1.1347aad96f296p-3, -0x1.11a4feb2d733p-3, -0x1.0fe7fba114002p-3, -0x1.0e1261b78bc64p-3, -0x1.0c25dc29a4773p-3, -0x1.0a24024d2e4a6p-3, -0x1.080e58a03353cp-3, -0x1.05e6516d0a9e8p-3, -0x1.03ad4d5bf19e8p-3, -0x1.01649c5053073p-3, -0x1.fe1afc93a19d3p-4, -0x1.f95247ebfc55p-4, -0x1.f4715e5887467p-4, -0x1.ef7a67458437p-4, -0x1.ea6f6f62b9ea7p-4, -0x1.e55269b7fe9cp-4, -0x1.e025307838cd5p-4, -0x1.dae98614f6fa4p-4, -0x1.d5a1168a82517p-4, -0x1.d04d786eac3b4p-4, -0x1.caf02dae2b611p-4, -0x1.c58aa453ea4b1p-4, -0x1.c01e3790b2d5dp-4, -0x1.baac30bb74bc5p-4, -0x1.b535c80c55488p-4, -0x1.afbc25358b626p-4, -0x1.aa40601ecabbp-4, -0x1.a4c381bfe7196p-4, -0x1.9f4684ddf916p-4, -0x1.99ca569a64b89p-4, -0x1.944fd6f5928eap-4, -0x1.8ed7d96cc9fa1p-4, -0x1.896325a69debfp-4, -0x1.83f278069d23ep-4, -0x1.7e868220400fcp-4, -0x1.791feb2122725p-4, -0x1.73bf50502d332p-4, -0x1.6e6545968840dp-4, -0x1.691255f518ce7p-4, -0x1.63c703e22ea4fp-4, -0x1.5e83c99ff60c9p-4, -0x1.5949199f6af78p-4, -0x1.54175eea9112ap-4, -0x1.4eeefd8348a2fp-4, -0x1.49d052b31bf9ap-4, -0x1.44bbb551e4bfcp-4, -0x1.3fb1760ec2d12p-4, -0x1.3ab1dfc0866fbp-4, -0x1.35bd37b3be85ep-4, -0x1.30d3bdef2f384p-4, -0x1.2bf5ad6e1fa23p-4, -0x1.27233c563cbfbp-4, -0x1.225c9c32d07p-4, -0x1.1da1fa3383864p-4, -0x1.18f37f6599f74p-4, -0x1.145150e51bf29p-4, -0x1.0fbb90085ad76p-4, -0x1.0b325a8b30abbp-4, -0x1.06b5cabdce532p-4, -0x1.0245f7b2e8739p-4, -0x1.fbc5ead23e347p-5, -0x1.f319a9e118c73p-5, -0x1.ea87491afaed7p-5, -0x1.e20edfb3a507fp-5, -0x1.d9b07fce9e27ap-5, -0x1.d16c36c3462acp-5, -0x1.c9420d5c8e9f3p-5, -0x1.c132081440049p-5, -0x1.b93c2748e284cp-5, -0x1.b160676f6a494p-5, -0x1.a99ec1459d3d7p-5, -0x1.a1f72a05d74p-5, -0x1.9a6993986ad37p-5, -0x1.92f5ecc122a9ep-5, -0x1.8b9c21493281bp-5, -0x1.845c1a25a3fe9p-5, -0x1.7d35bd9cb3e29p-5, -0x1.7628ef6c1e885p-5, -0x1.6f3590eed56c3p-5, -0x1.685b81405ab46p-5, -0x1.619a9d5dc14fap-5, -0x1.5af2c04409e3bp-5, -0x1.5463c30c1f0b1p-5, -0x1.4ded7d0657d62p-5, -0x1.478fc3d71966ep-5, -0x1.414a6b92f4f5dp-5, -0x1.3b1d46d8917b2p-5, -0x1.350826e7eb78ap-5, -0x1.2f0adbb7a4aa1p-5, -0x1.29253409b5611p-5, -0x1.2356fd80e998ap-5, -0x1.1da004b6f2292p-5, -0x1.18001550cc9b3p-5, -0x1.1276fa1041c61p-5, -0x1.0d047ce3a8673p-5, -0x1.07a866f5f19ccp-5, -0x1.026280bfaed59p-5, -0x1.fa652430579d4p-6, -0x1.f030c48a42ab5p-6, -0x1.e62770101c142p-6, -0x1.dc48b353851bep-6, -0x1.d2941a0c49341p-6, -0x1.c9092f32e5f99p-6, -0x1.bfa77d1c92b48p-6, -0x1.b66e8d94b0f93p-6, -0x1.ad5de9f11e503p-6, -0x1.a4751b22c1d18p-6, -0x1.9bb3a9c5fac94p-6, -0x1.93191e35a2b78p-6, -0x1.8aa500a0f8844p-6, -0x1.8256d92154d04p-6, -0x1.7a2e2fcc127b6p-6, -0x1.722a8cbf9f44ap-6, -0x1.6a4b782dc6658p-6, -0x1.62907a67772a9p-6, -0x1.5af91bebd961bp-6, -0x1.5384e579d2a76p-6, -0x1.4c33602069c9bp-6, -0x1.4504154b70ab2p-6, -0x1.3df68ecc08491p-6, -0x1.370a56df3f363p-6, -0x1.303ef835d90a3p-6, -0x1.2993fdff3e5a8p-6, -0x1.2308f3f6ae6d9p-6, -0x1.1c9d666fe9d23p-6, -0x1.1650e260d79cfp-6, -0x1.1022f56774aafp-6, -0x1.0a132dcdb5f14p-6, -0x1.04211a8e10de6p-6, -0x1.fc9896b4908cep-7, -0x1.f128a14927559p-7, -0x1.e5f17752780a7p-7, -0x1.daf23cecedd7bp-7, -0x1.d02a17e2d2c6bp-7, -0x1.c5982fb1371edp-7, -0x1.bb3bad8ba7601p-7, -0x1.b113bc625e5f7p-7, -0x1.a71f88ec9b247p-7, -0x1.9d5e41b5d56c9p-7, -0x1.93cf172a73856p-7, -0x1.8a713ba118fbbp-7, -0x1.8143e35f77785p-7, -0x1.7846449bb5a1p-7, -0x1.6f77977d85c1bp-7, -0x1.66d7162107438p-7, -0x1.5e63fc9d06dbep-7, -0x1.561d890b1bd5ep-7, -0x1.4e02fb8fc1225p-7, -0x1.4613965fcf3a7p-7, -0x1.3e4e9dc2be8e9p-7, -0x1.36b358122dc8dp-7, -0x1.2f410db8a8195p-7, -0x1.27f709318e453p-7, -0x1.20d4970b0e7ddp-7, -0x1.19d905e9fd8a5p-7, -0x1.1303a68e2ace8p-7, -0x1.0c53cbd59265dp-7, -0x1.05c8cabd4c1ccp-7, -0x1.fec3f4c0990e6p-8, -0x1.f23d67e9c8bb2p-8, -0x1.e5fca5944a386p-8, -0x1.da00688cf2936p-8, -0x1.ce476fcf59d17p-8, -0x1.c2d07e87b7799p-8, -0x1.b79a5c152b33cp-8, -0x1.aca3d409cf5d2p-8, -0x1.a1ebb627fa781p-8, -0x1.9770d65c75c5p-8, -0x1.8d320cb74758ep-8, -0x1.832e35645c1cbp-8, -0x1.796430a59bc79p-8, -0x1.6fd2e2ced8897p-8, -0x1.66793442fcc7ep-8, -0x1.5d561171ad198p-8, -0x1.54686ad3ad517p-8, -0x1.4baf34e5a345p-8, -0x1.43296820fbe72p-8, -0x1.3ad600f3553efp-8, -0x1.32b3ffb59cee7p-8, -0x1.2ac268a3b8edbp-8, -0x1.230043d50ea34p-8, -0x1.1b6c9d3644655p-8, -0x1.1406848349e8dp-8, -0x1.0ccd0d416d5bfp-8, -0x1.05bf4eb881cedp-8, -0x1.fdb8c7d610024p-9, -0x1.f046d71a8b2ebp-9, -0x1.e3270ff75d48ep-9, -0x1.d657be628cf4p-9, -0x1.c9d7357cd40b7p-9, -0x1.bda3cf803001ap-9, -0x1.b1bbedafb9518p-9, -0x1.a61df847c41f2p-9, -0x1.9ac85e6d9311dp-9, -0x1.8fb9961df5c5bp-9, -0x1.84f01c1a87654p-9, -0x1.7a6a73d5b322bp-9, -0x1.7027275e550c9p-9, -0x1.6624c74b890c9p-9, -0x1.5c61eaa9d02b7p-9, -0x1.52dd2ee967844p-9, -0x1.499537ce21663p-9, -0x1.4088af5f2d92ep-9, -0x1.37b645d662d37p-9, -0x1.2f1cb18d94163p-9, -0x1.26baaee97d1ecp-9, -0x1.1e8f004278526p-9, -0x1.16986dcbe97ffp-9, -0x1.0ed5c57bf387cp-9, -0x1.0745daf55e25dp-9, -0x1.ffcf0eea651ccp-10, -0x1.f1735388f3a7p-10, -0x1.e3764c5b8840dp-10, -0x1.d5d5cce800132p-10, -0x1.c88fb3907e49fp-10, -0x1.bba1e97656807p-10, -0x1.af0a624fe6215p-10, -0x1.a2c71c3074cadp-10, -0x1.96d61f449a19ap-10, -0x1.8b357d8a15053p-10, -0x1.7fe3528c63349p-10, -0x1.74ddc32f9b9eep-10, -0x1.6a22fd910e5f5p-10, -0x1.5fb138ff48134p-10, -0x1.5586b6055ae92p-10, -0x1.4ba1be7f0fa22p-10, -0x1.4200a5a7690a9p-10, -0x1.38a1c812f5502p-10, -0x1.2f838b8a63f9fp-10, -0x1.26a45ec1aa406p-10, -0x1.1e02b8f09c04bp-10, -0x1.159d195b5c3ap-10, -0x1.0d7206df34555p-10, -0x1.05800f9901531p-10, -0x1.fb8b916f104aap-11, -0x1.ec839d02658dp-11, -0x1.dde5891226becp-11, -0x1.cfaeac03e029fp-11, -0x1.c1dc6c2a2f935p-11, -0x1.b46c403e1cb55p-11, -0x1.a75baf70fda2ap-11, -0x1.9aa850f8fd5f1p-11, -0x1.8e4fcb1a46c4cp-11, -0x1.824fd1ce3308ep-11, -0x1.76a62546e4a02p-11, -0x1.6b509098bfae6p-11, -0x1.604ce8d1d6304p-11, -0x1.55990cacbd642p-11, -0x1.4b32e4eda74a3p-11, -0x1.4118654f0b8a6p-11, -0x1.37478dbf23b13p-11, -0x1.2dbe6b9aa1a83p-11, -0x1.247b1a8e8c4cbp-11, -0x1.1b7bc4dce5626p-11, -0x1.12bea2e33037fp-11, -0x1.0a41f9ed64e7ap-11, -0x1.02041a899a787p-11, -0x1.f406bd5eeecd5p-12, -0x1.e47c503142be3p-12, -0x1.d565be3c4e07p-12, -0x1.c6bfe49ed02cbp-12, -0x1.b887ad9eb8ee6p-12, -0x1.aaba12adc894dp-12, -0x1.9d541f2d2420cp-12, -0x1.9052f339fce17p-12, -0x1.83b3c5cd738bp-12, -0x1.7773e5a3d794bp-12, -0x1.6b90b8ad38ec1p-12, -0x1.6007ba2201cf8p-12, -0x1.54d677a8a5457p-12, -0x1.49fa8e2c6594ap-12, -0x1.3f71a70b5aca2p-12, -0x1.353976245cc2p-12, -0x1.2b4fb90f58331p-12, -0x1.21b23783cca73p-12, -0x1.185ec4b2ef81dp-12, -0x1.0f534128ecec2p-12, -0x1.068d9cb129f7ap-12, -0x1.fc17af6b4353bp-13, -0x1.eb980768986a3p-13, -0x1.db988523c38bep-13, -0x1.cc1589d710d34p-13, -0x1.bd0b8f9297db3p-13, -0x1.ae772495c274cp-13, -0x1.a054e7d18579p-13, -0x1.92a18768f3ee9p-13, -0x1.8559c164f267ap-13, -0x1.787a6629fcabbp-13, -0x1.6c005bd5ce397p-13, -0x1.5fe8a190a3bf1p-13, -0x1.54305202a4e44p-13, -0x1.48d4a46119f8ep-13, -0x1.3dd2ebcb14fp-13, -0x1.332894ed1e9e6p-13, -0x1.28d3221f8233ep-13, -0x1.1ed0267ee60eap-13, -0x1.151d40d15bb65p-13, -0x1.0bb8174ba1b6ap-13, -0x1.029e551e08b54p-13, -0x1.f39b54e12b1aep-14, -0x1.e2879d79f6932p-14, -0x1.d1fd09a86269p-14, -0x1.c1f73f2307a1cp-14, -0x1.b2720c7bcfcb5p-14, -0x1.a3696fb4c0052p-14, -0x1.94d9997cfca1p-14, -0x1.86beec64d5d38p-14, -0x1.7915f805caf15p-14, -0x1.6bdb7110ff522p-14, -0x1.5f0c281426502p-14, -0x1.52a5010805ab3p-14, -0x1.46a2ed395f0f8p-14, -0x1.3b02e839a7791p-14, -0x1.2fc1f7970e418p-14, -0x1.24dd2c77e93p-14, -0x1.1a51a5e77f452p-14, -0x1.101c92bac7ccp-14, -0x1.063b32ad68d87p-14, -0x1.f955ae6482fa4p-15, -0x1.e6d1c8ec729f8p-15, -0x1.d4e5a61810336p-15, -0x1.c38c6267cafc9p-15, -0x1.b2c145360eb8ep-15, -0x1.a27fbc7bc3a23p-15, -0x1.92c357795768fp-15, -0x1.8387c4ec5ea74p-15, -0x1.74c8d80206558p-15, -0x1.668292dd81fd6p-15, -0x1.58b1317115c05p-15, -0x1.4b512e9cc2eccp-15, -0x1.3e5f405fd4ed4p-15, -0x1.31d84c809eaa9p-15, -0x1.25b95a872bf5ep-15, -0x1.19ff883bce025p-15, -0x1.0ea802b3ac9dbp-15, -0x1.03b000f7eaf1p-15, -0x1.f2297549f9db4p-16, -0x1.dda6aef0891b5p-16, -0x1.c9d1b6cc84d6dp-16, -0x1.b6a431b91d588p-16, -0x1.a417682b56328p-16, -0x1.92247ab51a6b4p-16, -0x1.80c4bd6842821p-16, -0x1.6ff21ef3db8dep-16, -0x1.5fa7756de9989p-16, -0x1.4fe09273ff994p-16, -0x1.409a16c978951p-16, -0x1.31d116166922fp-16, -0x1.2382b8b70054cp-16, -0x1.15ac0906ab7a5p-16, -0x1.084a0059d4352p-16, -0x1.f6b37b96273c2p-17, -0x1.ddb167490674p-17, -0x1.c5893c7d9fb0cp-17, -0x1.ae367814585c1p-17, -0x1.97b3c9fd68825p-17, -0x1.81fa5f59bdb97p-17, -0x1.6d01995b3eddep-17, -0x1.58bf5a12a84eap-17, -0x1.4528def2103dbp-17, -0x1.3233f406c77fcp-17, -0x1.1fd8286b9d2c7p-17, -0x1.0e0f960b2967ap-17, -0x1.f9adb8e6faa42p-18, -0x1.d8587723892b2p-18, -0x1.b81c668f9ffb1p-18, -0x1.98f4c2f8b18bcp-18, -0x1.7ada76375595fp-18, -0x1.5dc55b588499ap-18, -0x1.41ae38697ca18p-18, -0x1.268ff9d3be0a1p-18, -0x1.0c676bfb883ep-18, -0x1.e6637bd11ce42p-19, -0x1.b5d5870aa72f2p-19, -0x1.8717eb53e03fap-19, -0x1.5a1921697a2aap-19, -0x1.2ec4b867e8fabp-19, -0x1.05049b04f206fp-19, -0x1.b9837618642b9p-20, -0x1.6bca6871de0b8p-20, -0x1.20b5bd1179e08p-20, -0x1.b051d93217539p-21, -0x1.242c03a57447ap-21, -0x1.39e675c3e9929p-22, -0x1.aa44c8ee98087p-25, 0x1.8b3f52c4e3aa3p-23, 0x1.b70fe27fdfbe7p-22, 0x1.4fab415d3461bp-21, 0x1.bf5d5fbc732fep-21, 0x1.155a55b4f56a9p-20, 0x1.48dd647a6d2d2p-20, 0x1.7a3cc9efa13a5p-20, 0x1.a984bab3312cp-20, 0x1.d6c98293cd355p-20, 0x1.01110b113f75p-19, 0x1.15d1145f5184ep-19, 0x1.29abf487d14c5p-19, 0x1.3ca6dbdc274b7p-19, 0x1.4ec711359edccp-19, 0x1.6013c078d197fp-19, 0x1.70966e603f4ccp-19, 0x1.8059de2ee08b7p-19, 0x1.8f67e3e774c75p-19, 0x1.9dc6d09e6d588p-19, 0x1.ab782990aef85p-19, 0x1.b87a8f332c121p-19, 0x1.c4ce24331893dp-19, 0x1.d0779b59364e5p-19, 0x1.db7de01bfa33cp-19, 0x1.e5e486a7e6f65p-19, 0x1.efab498abc953p-19, 0x1.f8d3983e5d79ep-19, 0x1.00b1cdb470556p-18, 0x1.04b1c16bb9c1dp-18, 0x1.086d0ced93a62p-18, 0x1.0be5f87151847p-18, 0x1.0f1e0ad44fed4p-18, 0x1.12164cac7e22fp-18, 0x1.14cf467a326a2p-18, 0x1.17491b17f5226p-18, 0x1.19840a1518b5cp-18, 0x1.1b813044abfe5p-18, 0x1.1d433e7748606p-18, 0x1.1eceb9754ed97p-18, 0x1.20286bdeb0d0fp-18, 0x1.21522027a9ed2p-18, 0x1.2249dd34a976cp-18, 0x1.230ddd297b096p-18, 0x1.239ff4c263582p-18, 0x1.24033cb678fbbp-18, 0x1.2438346019195p-18, 0x1.243e083303d8dp-18, 0x1.2415c4cbe22c5p-18, 0x1.23c2153c1c99ep-18, 0x1.23455e088ffp-18, 0x1.22a10f1426bddp-18, 0x1.21d600984df1ep-18, 0x1.20e4eb0a7837ep-18, 0x1.1fce9efc538c6p-18, 0x1.1e93fb35a17ebp-18, 0x1.1d35b8edc3d5ap-18, 0x1.1bb440a27af25p-18, 0x1.1a0fbfec409acp-18, 0x1.18487b35d486ep-18, 0x1.165f2f472f9a9p-18, 0x1.14559d2a0d81fp-18, 0x1.122e95e409ea7p-18, 0x1.0fec22315df68p-18, 0x1.0d8df958f514bp-18, 0x1.0b1368924cad2p-18, 0x1.087d7a74f58dbp-18, 0x1.05cd92c5c3583p-18, 0x1.0303d2be3395fp-18, 0x1.002027ca290a4p-18, 0x1.fa472f060e87ep-19, 0x1.f41f5ab5778cbp-19, 0x1.edcb131f9bbbap-19, 0x1.e74bae44c400cp-19, 0x1.e0a2338a8b3c9p-19, 0x1.d9cfb2e8c589dp-19, 0x1.d2d5591901f96p-19, 0x1.cbb46bbf84a12p-19, 0x1.c46e3c2495b71p-19, 0x1.bd040e46812eep-19, 0x1.b5770021e28b6p-19, 0x1.adc80c80bcff8p-19, 0x1.a5f8257e3682fp-19, 0x1.9e0824cb66f6cp-19, 0x1.95f8f188c0dbcp-19, 0x1.8dcc6d8418331p-19, 0x1.85847d1503e4ap-19, 0x1.7d21e6542557dp-19, 0x1.74a6bf1e75811p-19, 0x1.6c14201cbf8cep-19, 0x1.6369a9a193a88p-19, 0x1.5aa8de1407fe4p-19, 0x1.51d2954f4ae01p-19, 0x1.48e786c3fb3cep-19, 0x1.3fe96042c7354p-19, 0x1.36d97fcd7c69fp-19, 0x1.2db8cc002cf5dp-19, 0x1.248814ba46336p-19, 0x1.1b483718c5fd3p-19, 0x1.11fa1b401c69p-19, 0x1.089ead15c3812p-19, 0x1.fe6db1a94ac5ep-20, 0x1.eb871552ec40dp-20, 0x1.d88b5acce152cp-20, 0x1.c57c4ca264bcep-20, 0x1.b25ba3f6787b3p-20, 0x1.9f2b1c296e994p-20, 0x1.8bec7af2c97a4p-20, 0x1.78a0f651b5284p-20, 0x1.6549435f40b52p-20, 0x1.51e81a027cf27p-20, 0x1.3e7fb33a53a3bp-20, 0x1.2b10d791ba70bp-20, 0x1.179dddd5c8d7cp-20, 0x1.04275e76e0c5fp-20, 0x1.e15f10ec97d5dp-21, 0x1.ba710921429fbp-21, 0x1.93841443e6f98p-21, 0x1.6c9beb7447c7ep-21, 0x1.45bcc39e1ac53p-21, 0x1.1ee9472ab8c78p-21, 0x1.f0479b4617c92p-22, 0x1.a2dda0d24fa0bp-22, 0x1.5599be8c8955bp-22, 0x1.0881160bf3d4cp-22, 0x1.773167480a308p-23, 0x1.bb96206d0c0ccp-24, 0x1.13637cedd0c9ep-25, -0x1.4e6e09cb29a97p-25, -0x1.d710e9b8bc231p-24, -0x1.82e48bb623d94p-23, -0x1.0cd3627412e83p-22, -0x1.57e317ab2af61p-22, -0x1.a29caa4f3711ap-22, -0x1.ecfc9ab23f942p-22, -0x1.1b80f3e313fd8p-21, -0x1.4052dd55a74a8p-21, -0x1.64efc38167eebp-21, -0x1.89570a8ee6716p-21, -0x1.ad8a9d146bfedp-21, -0x1.d185d2bd3815dp-21, -0x1.f54443dc378aep-21, -0x1.0c62d54117e0ap-20, -0x1.1e0536a7dbd7cp-20, -0x1.2f87c2d5e156ep-20, -0x1.40e9631ffca33p-20, -0x1.522968e96619p-20, -0x1.63471f6956a0ep-20, -0x1.7441c7e192588p-20, -0x1.8518a308c8d7dp-20, -0x1.95caf58e7691p-20, -0x1.a65809a02be42p-20, -0x1.b6bf2fa35d827p-20, -0x1.c6ffbe0e1245fp-20, -0x1.d7190fe75205ap-20, -0x1.e70a82807c0ecp-20, -0x1.f6d374cada4ap-20, -0x1.0339a51edc16ep-19, -0x1.0af4b85364764p-19, -0x1.129ab0c61beb4p-19, -0x1.1a2b48b922999p-19, -0x1.21a633e78763ep-19, -0x1.290b574df4e88p-19, -0x1.305a8fafa53d4p-19, -0x1.379317ae2bac2p-19, -0x1.3eb50d4a37604p-19, -0x1.45c0677d8b49cp-19, -0x1.4cb4e211d6944p-19, -0x1.53922657ded3ep-19, -0x1.5a57bc11d5a49p-19, -0x1.6105fb0acfc84p-19, -0x1.679c8df207242p-19, -0x1.6e1b2a191440ap-19, -0x1.7481b638ad7d5p-19, -0x1.7ad013abf5ee2p-19, -0x1.8106202637907p-19, -0x1.8723b9fa6af17p-19, -0x1.8d28c15a7f8c7p-19, -0x1.93151896eb8d8p-19, -0x1.98e8a42477a04p-19, -0x1.9ea34aaa7997ep-19, -0x1.a444f509c3eeep-19, -0x1.a9cd8e1676a63p-19, -0x1.af3d01f7a6139p-19, -0x1.b4933dbe759c1p-19, -0x1.b9d02fae6cc69p-19, -0x1.bef3c848c1201p-19, -0x1.c3fdfc58c072ap-19, -0x1.c8eec5ca269c9p-19, -0x1.cdc61b8752721p-19, -0x1.d283e69bbc986p-19, -0x1.d7283233df308p-19, -0x1.dbb30226471cep-19, -0x1.e02434a9c84f5p-19, -0x1.e47bfcdc8dc8dp-19, -0x1.e8ba22bb98cb3p-19, -0x1.ecdeac595277p-19, -0x1.f0e9cbe4f7dbap-19, -0x1.f4db56e09f1f7p-19, -0x1.f8b384e10654fp-19, -0x1.fc7236ca5f546p-19, -0x1.000bba85222e6p-18, -0x1.01d1aa8b96583p-18, -0x1.038af279592a3p-18, -0x1.053798eae16d1p-18, -0x1.06d7a514cb58ep-18, -0x1.086b1ee1f90d2p-18, -0x1.09f20eec810ep-18, -0x1.0b6c7e76f4176p-18, -0x1.0cda7773533d6p-18, -0x1.0e3c044c26edep-18, -0x1.0f913045273a7p-18, -0x1.10da072b1c37ep-18, -0x1.1216952b4c305p-18, -0x1.1346e6d1cb00fp-18, -0x1.146b0916cf9cep-18, -0x1.1583097d5db82p-18, -0x1.168ef67ae1067p-18, -0x1.178ee0206fc55p-18, -0x1.1882d71ef71cp-18, -0x1.196ae87c71e54p-18, -0x1.1a471d33b0ce4p-18, -0x1.1b1790ab6902dp-18, -0x1.1bdc59ef5ef0fp-18, -0x1.1c958353f7437p-18, -0x1.1d431810d914bp-18, -0x1.1de52e392f8e6p-18, -0x1.1e7bd34ca8a76p-18, -0x1.1f07249a43e38p-18, -0x1.1f873d1c81c36p-18, -0x1.1ffc246551562p-18, -0x1.2065ea9fc33p-18, -0x1.20c4a9ce13947p-18, -0x1.211877ad146c8p-18, -0x1.21616950f7f17p-18, -0x1.219f942257d6ep-18, -0x1.21d30de804a4dp-18, -0x1.21fbecbc94ab5p-18, -0x1.221a470791553p-18, -0x1.222e337848251p-18, -0x1.2237c902e1a1cp-18, -0x1.22371edcc0a8fp-18, -0x1.222c4c7badb8p-18, -0x1.22176997ce762p-18, -0x1.21f88e238a721p-18, -0x1.21cfd37b33713p-18, -0x1.219d4e3224e54p-18, -0x1.21611a11c68a7p-18, -0x1.211b4ef0958dp-18, -0x1.20cc057e0c964p-18, -0x1.20735737f02afp-18, -0x1.20115de73117p-18, -0x1.1fa6326e25ab2p-18, -0x1.1f31eb0cf70a4p-18, -0x1.1eb4a1233f749p-18, -0x1.1e2e7acc9b48bp-18, -0x1.1d9f86ab0944dp-18, -0x1.1d07de57349ep-18, -0x1.1c679eecb0c96p-18, -0x1.1bbee0e95d957p-18, -0x1.1b0dbba2bd6p-18, -0x1.1a5454a528145p-18, -0x1.1992bf67b190ep-18, -0x1.18c9125209ep-18, -0x1.17f7716944d5bp-18, -0x1.171de90a85fbfp-18, -0x1.163ca1823cfd8p-18, -0x1.1553b00a6482fp-18, -0x1.14632fc7a8b82p-18, -0x1.136b3b85e2b6dp-18, -0x1.126bee0883f5p-18, -0x1.11656215482b8p-18, -0x1.1057b274f18c7p-18, -0x1.0f42f9ee099c9p-18, -0x1.0e275346b99bap-18, -0x1.0d04d9421149cp-18, -0x1.0bdba69fb39b3p-18, -0x1.0aabd61a77142p-18, -0x1.097582656761p-18, -0x1.0838c628902b8p-18, -0x1.06f5bc0068f42p-18, -0x1.05ac7e7dddb7bp-18, -0x1.045d2824837edp-18, -0x1.0307d36c2ec5cp-18, -0x1.01ac9acdf1f3ep-18, -0x1.004b98c147e19p-18, -0x1.fdc9cf173fb41p-19, -0x1.faf1421ac7f3bp-19, -0x1.f80dbc78da0ccp-19, -0x1.f51f78d9c6f27p-19, -0x1.f226a7ab0c598p-19, -0x1.ef237acbbcbcep-19, -0x1.ec162796517f6p-19, -0x1.e8fee0f0cc203p-19, -0x1.e5ddd8306023bp-19, -0x1.e2b345d6db17dp-19, -0x1.df7f587a43602p-19, -0x1.dc4242427ec8dp-19, -0x1.d8fc367e63f23p-19, -0x1.d5ad674bd11a1p-19, -0x1.d25606a94c28ap-19, -0x1.cef644f20b1d6p-19, -0x1.cb8e54b1ae0fap-19, -0x1.c81e6671a246bp-19, -0x1.c4a6aaec878d6p-19, -0x1.c12752a5fb52bp-19, -0x1.bda08cbd2b0c7p-19, -0x1.ba128cabe9fdep-19, -0x1.b67d7cedcba2bp-19, -0x1.b2e190346f452p-19, -0x1.af3ef48b4d13ep-19, -0x1.ab95d8c167f09p-19, -0x1.a7e66b2f3a6b9p-19, -0x1.a430d9e4e5662p-19, -0x1.a075535fd8503p-19, -0x1.9cb402d933624p-19, -0x1.98ed177ef24cep-19, -0x1.9520bd68d5135p-19, -0x1.914f211309defp-19, -0x1.8d786e830ec16p-19, -0x1.899cd1782fc95p-19, -0x1.85bc7552905dep-19, -0x1.81d78530ad2f9p-19, -0x1.7dee2bb727c26p-19, -0x1.7a009338907dcp-19, -0x1.760ee584d5913p-19, -0x1.72194cbedd725p-19, -0x1.6e1ff1ca9dd71p-19, -0x1.6a22fd8818c52p-19, }}, 
      {{0x1.2f8100144e33dp-2, 0x1.146154c0b54d3p-1, 0x1.6c64b13ed7dc9p-1, 0x1.a0b88ae5956d7p-1, 0x1.b6fb6094354d9p-1, 0x1.b653bfd4ed3c2p-1, 0x1.a5c6d80c8c0ffp-1, 0x1.8b705f8f50015p-1, 0x1.6c3adc3855c56p-1, 0x1.4bdced22fd52dp-1, 0x1.2cf83de6f3584p-1, 0x1.1145da5d521bap-1, 0x1.f389bdc1b9e26p-2, 0x1.cdcc07fff439fp-2, 0x1.b163277174c5ap-2, 0x1.9dce12aaf38d7p-2, 0x1.922d1a7c1988dp-2, 0x1.8d69cc85ee679p-2, 0x1.8e5536df83fb3p-2, 0x1.93be116931a39p-2, 0x1.9c8042e69203p-2, 0x1.a78f1881373bep-2, 0x1.b3fb5c45d369bp-2, 0x1.c0f64b5726439p-2, 0x1.cdd2415ec0ba1p-2, 0x1.da01c6efe5f5fp-2, 0x1.e5158cb764116p-2, 0x1.eeb9bdb76913cp-2, 0x1.f6b2f7bd4fd9dp-2, 0x1.fcdb2368a6a3ep-2, 0x1.008f2a0811f66p-1, 0x1.01bbe59764173p-1, 0x1.01f798c14865p-1, 0x1.014b08842548ap-1, 0x1.ff85955c60889p-2, 0x1.fadc93c92c8a3p-2, 0x1.f4bdd957b106fp-2, 0x1.ed4ebb0bda612p-2, 0x1.e4b5e31d43c4bp-2, 0x1.db1a555ce585ep-2, 0x1.d0a2a4bdcea47p-2, 0x1.c57453e7bb166p-2, 0x1.b9b35af1a0f74p-2, 0x1.ad81ccd30ffbfp-2, 0x1.a0ff979eae3a7p-2, 0x1.944a5b0e0755dp-2, 0x1.877d5159fd24fp-2, 0x1.7ab146db3713bp-2, 0x1.6dfc9d72c726bp-2, 0x1.61735933595ap-2, 0x1.552734267da41p-2, 0x1.4927b75c01ec7p-2, 0x1.3d8257baa3b1fp-2, 0x1.3242954c84aeep-2, 0x1.27721c0166064p-2, 0x1.1d18e516bb1b4p-2, 0x1.133d588118bb9p-2, 0x1.09e46dd99c27p-2, 0x1.0111cc6cf3f99p-2, 0x1.f18fd44702316p-3, 0x1.e210521f2b846p-3, 0x1.d3a5e6fb366c5p-3, 0x1.c64face74c2d4p-3, 0x1.ba0b352a0fe4p-3, 0x1.aed4b6d3b4e88p-3, 0x1.a4a73a1c9b264p-3, 0x1.9b7cc0a5298eep-3, 0x1.934e6aaf011ep-3, 0x1.8c14996a01d0cp-3, 0x1.85c70e74faaafp-3, 0x1.805d08b1dfa58p-3, 0x1.7bcd5e8f248p-3, 0x1.780e95eb21b3dp-3, 0x1.7516f9b10bb64p-3, 0x1.72dcad56fe485p-3, 0x1.7155be5be43fdp-3, 0x1.707833e928fc6p-3, 0x1.703a1cba05857p-3, 0x1.70919b64a7b63p-3, 0x1.7174f12a2505ep-3, 0x1.72da8762ac52dp-3, 0x1.74b8f7aad86bp-3, 0x1.770712e278fbp-3, 0x1.79bbe720edb3cp-3, 0x1.7ccec4a694b8fp-3, 0x1.803741f844aadp-3, 0x1.83ed3f146dae3p-3, 0x1.87e8e80b344f3p-3, 0x1.8c22b6c69d131p-3, 0x1.9093745f1f582p-3, 0x1.953439cfc3555p-3, 0x1.99fe703bae466p-3, 0x1.9eebd0c68020cp-3, 0x1.a3f66421690b1p-3, 0x1.a918818ee553fp-3, 0x1.ae4ccde9ccdf9p-3, 0x1.b38e3a327cae1p-3, 0x1.b8d801bfa1d9cp-3, 0x1.be25a8d238a87p-3, 0x1.c372fa3531522p-3, 0x1.c8bc0532091e9p-3, 0x1.cdfd1bc440d74p-3, 0x1.d332cfc2334e1p-3, 0x1.d859f0d15927fp-3, 0x1.dd6f8a7243b81p-3, 0x1.e270e10ec55bcp-3, 0x1.e75b6fe475d1ap-3, 0x1.ec2ce7169faf6p-3, 0x1.f0e328b82d0fbp-3, 0x1.f57c469dd3006p-3, 0x1.f9f68088b51e5p-3, 0x1.fe50413ccec3ap-3, 0x1.01440e233859cp-2, 0x1.034e662ebd0f2p-2, 0x1.0546985f75c44p-2, 0x1.072c257cfe333p-2, 0x1.08fe9ecc96da2p-2, 0x1.0abda4fb95b3ap-2, 0x1.0c68e71347a91p-2, 0x1.0e0021ded3752p-2, 0x1.0f831f136c755p-2, 0x1.10f1b458fff22p-2, 0x1.124bc2ad99d95p-2, 0x1.139135b9a81c3p-2, 0x1.14c202f568faap-2, 0x1.15de2904cdcacp-2, 0x1.16e5af277ef23p-2, 0x1.17d8a4873f224p-2, 0x1.18b71f99498acp-2, 0x1.19813d9e44921p-2, 0x1.1a37221cfc6dap-2, 0x1.1ad8f65d03c7p-2, 0x1.1b66e8f132dacp-2, 0x1.1be12d5127d8dp-2, 0x1.1c47fb77019fdp-2, 0x1.1c9b8f7819531p-2, 0x1.1cdc2928ffbbdp-2, 0x1.1d0a0bd468703p-2, 0x1.1d257deb2f284p-2, 0x1.1d2ec8ac913eap-2, 0x1.1d2637e12dd06p-2, 0x1.1d0c19a014ebdp-2, 0x1.1ce0be0749889p-2, 0x1.1ca476f4b3357p-2, 0x1.1c5797cef5ba8p-2, 0x1.1bfa7552d0eeep-2, 0x1.1b8d6559b0bbbp-2, 0x1.1b10bea16359dp-2, 0x1.1a84d89eb9a35p-2, 0x1.19ea0b576288dp-2, 0x1.1940af3806decp-2, 0x1.18891ce86850dp-2, 0x1.17c3ad28920f5p-2, 0x1.16f0b8b650778p-2, 0x1.161098303ded9p-2, 0x1.1523a3f5f5a35p-2, 0x1.142a340dfeeb8p-2, 0x1.1324a0121758fp-2, 0x1.12133f1c611fbp-2, 0x1.10f667b2965e2p-2, 0x1.0fce6fb1deaf7p-2, 0x1.0e9bac3e8f0f1p-2, 0x1.0d5e71b82255ap-2, 0x1.0c1713ad26b6ep-2, 0x1.0ac5e4cc5521ep-2, 0x1.096b36d72904cp-2, 0x1.08075a996f8ap-2, 0x1.069a9fe2b8dc7p-2, 0x1.0525557d5c6a5p-2, 0x1.03a7c9252a791p-2, 0x1.022247812c234p-2, 0x1.00951c1f63b54p-2, 0x1.fe0122e1758f6p-3, 0x1.fac9e18a19e05p-3, 0x1.f785048f5cf01p-3, 0x1.f43319f89a796p-3, 0x1.f0d4ad79d6121p-3, 0x1.ed6a4873e806ep-3, 0x1.e9f471f52c66bp-3, 0x1.e673aeb6fe418p-3, 0x1.e2e8811b4d4acp-3, 0x1.df53692efb052p-3, 0x1.dbb4e4af3c3adp-3, 0x1.d80d6f0caa7aap-3, 0x1.d45d816bbbb8fp-3, 0x1.d0a592a78bac9p-3, 0x1.cce61757cca6bp-3, 0x1.c91f81d623c4p-3, 0x1.c5524241fccfp-3, 0x1.c17ec68517bb5p-3, 0x1.bda57a59dc028p-3, 0x1.b9c6c75146d82p-3, 0x1.b5e314d710daap-3, 0x1.b1fac8368b998p-3, 0x1.ae0e44a220e4ap-3, 0x1.aa1deb3adca8ap-3, 0x1.a62a1b158c6ebp-3, 0x1.a233313e95e24p-3, 0x1.9e3988bfa3ee9p-3, 0x1.9a3d7aa7b2c9fp-3, 0x1.963f5e12b6d9ep-3, 0x1.923f882eb3667p-3, 0x1.8e3e4c3ff648p-3, 0x1.8a3bfba6f5659p-3, 0x1.8638e5e7c6f9ep-3, 0x1.823558b12e88fp-3, 0x1.7e319fe222682p-3, 0x1.7a2e058ec3a86p-3, 0x1.762ad205f1b19p-3, 0x1.72284bd7d88d8p-3, 0x1.6e26b7dc72e33p-3, 0x1.6a265939630fp-3, 0x1.662771675ba4p-3, 0x1.622a4037702d3p-3, 0x1.5e2f03d88bc21p-3, 0x1.5a35f8dd3cecdp-3, 0x1.563f5a41f68e3p-3, 0x1.524b6173132e6p-3, 0x1.4e5a4651e5885p-3, 0x1.4a6c3f39105d1p-3, 0x1.468181011bdap-3, 0x1.429a3f0662ec6p-3, 0x1.3eb6ab2feef47p-3, 0x1.3ad6f5f58aebap-3, 0x1.36fb4e63ba765p-3, 0x1.3323e21e8340cp-3, 0x1.2f50dd657a0e7p-3, 0x1.2b826b1a5c748p-3, 0x1.27b8b4c8ba615p-3, 0x1.23f3e2abd63e5p-3, 0x1.20341bb16e4ccp-3, 0x1.1c79857b28ce7p-3, 0x1.18c444620aaafp-3, 0x1.15147b7d6e678p-3, 0x1.116a4cab70f48p-3, 0x1.0dc5d8972d49ap-3, 0x1.0a273ebafc8b1p-3, 0x1.068e9d60b720ap-3, 0x1.02fc11a3fbe43p-3, 0x1.fedf6ef1215f6p-4, 0x1.f7d35366b4499p-4, 0x1.f0d40423964d3p-4, 0x1.e9e1b27a0e1bp-4, 0x1.e2fc8d934829cp-4, 0x1.dc24c26fff984p-4, 0x1.d55a7bf13be77p-4, 0x1.ce9de2e921c94p-4, 0x1.c7ef1e2ceb7bcp-4, 0x1.c14e52a02de7bp-4, 0x1.babba336f9fcp-4, 0x1.b43730f3e0439p-4, 0x1.adc11aea09757p-4, 0x1.a7597e486f425p-4, 0x1.a100766bb6c7cp-4, 0x1.9ab61cef5e9c3p-4, 0x1.947a89b7391f7p-4, 0x1.8e4dd2f06c9efp-4, 0x1.88300d0f338b1p-4, 0x1.82214ad10c128p-4, 0x1.7c219d4781ee8p-4, 0x1.763113e969195p-4, 0x1.704fbca3d1181p-4, 0x1.6a7da3e464581p-4, 0x1.64bad49ba98f1p-4, 0x1.5f07583b1b321p-4, 0x1.596336b5bf47bp-4, 0x1.53ce7687fcea3p-4, 0x1.4e491cc663a7ep-4, 0x1.48d32d2e873a1p-4, 0x1.436caa33e7af2p-4, 0x1.3e159505b4df7p-4, 0x1.38cded8ec5ce9p-4, 0x1.3395b274a93d7p-4, 0x1.2e6ce11b06d91p-4, 0x1.295375ad969ffp-4, 0x1.24496b2ed67d4p-4, 0x1.1f4ebb86ecc0dp-4, 0x1.1a635f8e21587p-4, 0x1.15874f1153e5cp-4, 0x1.10ba80d238c9dp-4, 0x1.0bfcea8778fc5p-4, 0x1.074e80e09bebep-4, 0x1.02af378f46582p-4, 0x1.fc3e02a87b274p-5, 0x1.f33ba0194e38dp-5, 0x1.ea572977f790fp-5, 0x1.e1907f226f9dp-5, 0x1.d8e77fd09e65ep-5, 0x1.d05c0895a26d2p-5, 0x1.c7edf4e5af0c3p-5, 0x1.bf9d1ea3dcd61p-5, 0x1.b7695e370098ep-5, 0x1.af528aa0f82c9p-5, 0x1.a7587992f7e2p-5, 0x1.9f7aff7b25c42p-5, 0x1.97b9ef8b55fa7p-5, 0x1.90151bbbee026p-5, 0x1.888c54cf8e595p-5, 0x1.811f6a5b426b4p-5, 0x1.79ce2ad495ea9p-5, 0x1.729863a3ee472p-5, 0x1.6b7de137b1f9bp-5, 0x1.647e6f1492372p-5, 0x1.5d99d7e0d0c2bp-5, 0x1.56cfe56abb93dp-5, 0x1.502060ac946c9p-5, 0x1.498b11d1041eap-5, 0x1.430fc03a95fb8p-5, 0x1.3cae328f31b98p-5, 0x1.36662ec6a75d8p-5, 0x1.30377a3a25796p-5, 0x1.2a21d9b21acaap-5, 0x1.24251170f54b7p-5, 0x1.1e40e53a62e0dp-5, 0x1.1875185831579p-5, 0x1.12c16d9eab7f2p-5, 0x1.0d25a7724daa7p-5, 0x1.07a187cfe0824p-5, 0x1.0234d056e9462p-5, 0x1.f9be84aad2b75p-6, 0x1.ef413da6ff37dp-6, 0x1.e4f14d3b1928bp-6, 0x1.dace349860ff6p-6, 0x1.d0d774943e2e5p-6, 0x1.c70c8db17b888p-6, 0x1.bd6d0029255ap-6, 0x1.b3f84bf553617p-6, 0x1.aaadf0dec794fp-6, 0x1.a18d6e8d23137p-6, 0x1.9896449860302p-6, 0x1.8fc7f299c2916p-6, 0x1.8721f83acec5p-6, 0x1.7ea3d5417f53dp-6, 0x1.764d0999b3cf5p-6, 0x1.6e1d155d1b70ep-6, 0x1.661378dadc2a5p-6, 0x1.5e2fb4a08a13ap-6, 0x1.56714985392adp-6, 0x1.4ed7b8b66efdfp-6, 0x1.476283c5fbd89p-6, 0x1.40112cb739215p-6, 0x1.38e3360a29e0ep-6, 0x1.31d822c3d8141p-6, 0x1.2aef767389749p-6, 0x1.2428b535f344cp-6, 0x1.1d8363b7d568p-6, 0x1.16ff073a09bb9p-6, 0x1.109b2598c0314p-6, 0x1.0a574556908fbp-6, 0x1.0432edab00babp-6, 0x1.fc5b4d250df43p-7, 0x1.f08df1bad8e2ep-7, 0x1.e4fcdc75813afp-7, 0x1.d9a7227a951e1p-7, 0x1.ce8bdab38a4dbp-7, 0x1.c3aa1dbedc66ep-7, 0x1.b90105dbb2c89p-7, 0x1.ae8faed84791fp-7, 0x1.a455360be55f3p-7, 0x1.9a50ba62ea675p-7, 0x1.90815c7f4d1adp-7, 0x1.86e63ee9ffff8p-7, 0x1.7d7e864c41921p-7, 0x1.744959a465e37p-7, 0x1.6b45e268b15a5p-7, 0x1.62734c8e0c4a6p-7, 0x1.59d0c66ea553ap-7, 0x1.515d809426386p-7, 0x1.4918ad71f1af5p-7, 0x1.410181211f10ep-7, 0x1.39173131ca7d4p-7, 0x1.3158f4a21db75p-7, 0x1.29c60402f0c6bp-7, 0x1.225d99c6f8cffp-7, 0x1.1b1ef2ad880ffp-7, 0x1.14094e31bedc9p-7, 0x1.0d1beee2adf8dp-7, 0x1.06561a8cf85a1p-7, 0x1.ff6e344f5a89cp-8, 0x1.f27c7306b5cb6p-8, 0x1.e5d58d97747fbp-8, 0x1.d97823ec47434p-8, 0x1.cd62d87fe2c59p-8, 0x1.c1944fbad432bp-8, 0x1.b60b2fdfb976dp-8, 0x1.aac621943bad6p-8, 0x1.9fc3d0ef1de37p-8, 0x1.9502eed266b3dp-8, 0x1.8a823242fe8e7p-8, 0x1.8040596d3587p-8, 0x1.763c2a15112f7p-8, 0x1.6c747153292b4p-8, 0x1.62e802a79c46ep-8, 0x1.5995b6951d05fp-8, 0x1.507c6912760a5p-8, 0x1.479af82bffa22p-8, 0x1.3ef04323a3631p-8, 0x1.367b2a4179b87p-8, 0x1.2e3a8f5f04c82p-8, 0x1.262d570ba2e17p-8, 0x1.1e526a05fcf76p-8, 0x1.16a8b6b14a994p-8, 0x1.0f2f322f5d0fep-8, 0x1.07e4d8dd95d81p-8, 0x1.00c8ae1a3f599p-8, 0x1.f3b376caebd39p-9, 0x1.e62e1e305a266p-9, 0x1.d8ff76077f301p-9, 0x1.cc25a69908f1ap-9, 0x1.bf9edb7c9096fp-9, 0x1.b36943708aa42p-9, 0x1.a78311520de8dp-9, 0x1.9bea7de927805p-9, 0x1.909dca12bd875p-9, 0x1.859b40be5bcbfp-9, 0x1.7ae1383ef204ap-9, 0x1.706e12832d68p-9, 0x1.66403c2070d9bp-9, 0x1.5c562a4ff2201p-9, 0x1.52ae5868b0c39p-9, 0x1.49474588bded4p-9, 0x1.401f731e8c7c1p-9, 0x1.373564c282e79p-9, 0x1.2e87a168570b7p-9, 0x1.2614b58c058dep-9, 0x1.1ddb35c150cfap-9, 0x1.15d9c10673fb2p-9, 0x1.0e0f025d12e14p-9, 0x1.0679b160f5f1p-9, 0x1.fe312384e9648p-10, 0x1.efd4e35a153f4p-10, 0x1.e1dc4e8931857p-10, 0x1.d4451b1b67cc2p-10, 0x1.c70d0289605d8p-10, 0x1.ba31bc94ae2cp-10, 0x1.adb0fcaad4702p-10, 0x1.a1887287d74bdp-10, 0x1.95b5cdfb7fccbp-10, 0x1.8a36c4da61251p-10, 0x1.7f0919aab7555p-10, 0x1.742aa1b09ef5ap-10, 0x1.6999495cd6062p-10, 0x1.5f53167e56988p-10, 0x1.555627ea0c5f3p-10, 0x1.4ba0b2b064fe4p-10, 0x1.4230fd7d8d541p-10, 0x1.39055b36590a7p-10, 0x1.301c25ffa791bp-10, 0x1.2773bb9647b58p-10, 0x1.1f0a7b5f9c61cp-10, 0x1.16dec62a02feep-10, 0x1.0eeeff3234cd5p-10, 0x1.07398dbddea91p-10, 0x1.ff79bd0d795efp-11, 0x1.f0eec9076963dp-11, 0x1.e2cf3254bc76ap-11, 0x1.d517f958a504bp-11, 0x1.c7c62cd6ebc27p-11, 0x1.bad6ead31e233p-11, 0x1.ae47605954a5cp-11, 0x1.a214c82542f37p-11, 0x1.963c69f267202p-11, 0x1.8abb9d2c5aa13p-11, 0x1.7f8fd048f2371p-11, 0x1.74b692e9fb5e5p-11, 0x1.6a2d9e581f358p-11, 0x1.5ff2d81043c11p-11, 0x1.56044ced10c21p-11, 0x1.4c60270ed3167p-11, 0x1.4304a2d1e4fd5p-11, 0x1.39f006a8b972p-11, 0x1.31209e84c62fp-11, 0x1.2894b792995afp-11, 0x1.204a9769bf6d5p-11, 0x1.18406c9e5eff4p-11, 0x1.10743c7d4ddafp-11, 0x1.08e3d6b8bd61cp-11, 0x1.018cd89b58e68p-11, 0x1.f4d989c659495p-12, 0x1.e7025a40ade24p-12, 0x1.d98fc1759c068p-12, 0x1.cc7e21bbb7bbbp-12, 0x1.bfcab4e66b237p-12, 0x1.b373629582233p-12, 0x1.a7766c9c92017p-12, 0x1.9bd21981dc8d7p-12, 0x1.908487820e6c8p-12, 0x1.858bba7ec2e9ap-12, 0x1.7ae5d069cfp-12, 0x1.70912c4ba8de9p-12, 0x1.668c6e61f3278p-12, 0x1.5cd6328873bp-12, 0x1.536cb0c79530ap-12, 0x1.4a4d6a24fd019p-12, 0x1.4175054400a74p-12, 0x1.38df6d7e0bfd7p-12, 0x1.308832cba4154p-12, 0x1.286b16585df07p-12, 0x1.20849e0e9491dp-12, 0x1.18d27a321d78fp-12, 0x1.11538a53c6ae7p-12, 0x1.0a0773616e45bp-12, 0x1.02edf5cbdd289p-12, 0x1.f80cbefa21de6p-13, 0x1.ea9ed05d9bb65p-13, 0x1.dd8effe477973p-13, 0x1.d0da9656104a2p-13, 0x1.c47fe19bd66f4p-13, 0x1.b87e1507e806ap-13, 0x1.acd4903d80d8bp-13, 0x1.a1820575d449ep-13, 0x1.9683fc402a191p-13, 0x1.8bd6e06e1a735p-13, 0x1.81765e52bdfa3p-13, 0x1.775dac8cc45cfp-13, 0x1.6d87ae7d73f6fp-13, 0x1.63ef3be6884c1p-13, 0x1.5a8fcd378efa8p-13, 0x1.5166528d82103p-13, 0x1.4871963b5577fp-13, 0x1.3fb1bc372834cp-13, 0x1.37271eea3d3fp-13, 0x1.2ed15095475d8p-13, 0x1.26aedc5cff49cp-13, 0x1.1ebdbf1f0038p-13, 0x1.16fc2dcffe59bp-13, 0x1.0f69355717cb2p-13, 0x1.0804b4a20551dp-13, 0x1.00ce86d94a1a9p-13, 0x1.f38b272c17608p-14, 0x1.e5cf62b432cc3p-14, 0x1.d864b0faf54e6p-14, 0x1.cb46d0170b22fp-14, 0x1.be72e6275922ap-14, 0x1.b1e71285af30fp-14, 0x1.a5a1624b8e2afp-14, 0x1.999ed9f4fe664p-14, 0x1.8ddb37e056e26p-14, 0x1.82518b645206bp-14, 0x1.76fd5c300dcf7p-14, 0x1.6bdc0b8578d1ep-14, 0x1.60ed8f303b309p-14, 0x1.56337875e0b35p-14, 0x1.4bae923a4fe1ap-14, 0x1.415d27647d064p-14, 0x1.373c3e1562c69p-14, 0x1.2d4aac6496bdep-14, 0x1.23896b740e14p-14, 0x1.19f8834583079p-14, 0x1.10955785db022p-14, 0x1.075c258e3e197p-14, 0x1.fc93dba73db8fp-15, 0x1.eab9d71142565p-15, 0x1.d9285a9e0985ep-15, 0x1.c7de9b1d87bafp-15, 0x1.b6dcf69ccfe47p-15, 0x1.a624c0db8fde7p-15, 0x1.95b71519e9944p-15, 0x1.85930f1d3c4a8p-15, 0x1.75b418b25852ap-15, 0x1.66114a4e6feffp-15, 0x1.56a1029c3ac16p-15, 0x1.476094644299bp-15, 0x1.38562d4d8a3b8p-15, 0x1.29879be12bb16p-15, 0x1.1af23b89bc2c6p-15, 0x1.0c905808c49f7p-15, 0x1.fcc49d42a9ebbp-16, 0x1.e0d746627aa1ap-16, 0x1.c556e31abdf0dp-16, 0x1.aa39f741799aap-16, 0x1.8f784637960bap-16, 0x1.750e154a6ede1p-16, 0x1.5afa76f602cf7p-16, 0x1.413d0f9d71dcap-16, 0x1.27d509679f392p-16, 0x1.0ec14535ae753p-16, 0x1.ec02af858d002p-17, 0x1.bb2cbae18677p-17, 0x1.8b051d0513a3p-17, 0x1.5b8f59f520b03p-17, 0x1.2cca4f6d7443dp-17, 0x1.fd55f8c912e2fp-18, 0x1.a238485e15a71p-18, 0x1.482035756aa9fp-18, 0x1.de3e3a4df1e75p-19, 0x1.2e9c9424ceb2p-19, 0x1.02951d4734537p-20, -0x1.4eb3acdf76cfap-22, -0x1.a5691725e2492p-20, -0x1.7936499c51d8fp-19, -0x1.0eb65453dce19p-18, -0x1.5fbe4bb449d3dp-18, -0x1.afbd6e10ea946p-18, -0x1.feb56f298bcfcp-18, -0x1.26529b79f3ba7p-17, -0x1.4cc60f2a450e6p-17, -0x1.72b553c3c5c6ep-17, -0x1.98212a94e818p-17, -0x1.bd0a96fa671c5p-17, -0x1.e1726aad0bb99p-17, -0x1.02ac693cf0fa7p-16, -0x1.145eb12eb896bp-16, -0x1.25cfc9a9120d7p-16, -0x1.36ff41738826cp-16, -0x1.47ecce16b1be5p-16, -0x1.589a6029ec5edp-16, -0x1.6909f0da7c049p-16, -0x1.793afd44d340ep-16, -0x1.893001408ba0ap-16, -0x1.98e93c1c213b5p-16, -0x1.a8639db690281p-16, -0x1.b7a04d29992a6p-16, -0x1.c69f12b23efaep-16, -0x1.d55f88114d098p-16, -0x1.e3e355da8898ep-16, -0x1.f22b6b24a13bep-16, -0x1.001bde594e41dp-15, -0x1.07040dad8bf0bp-15, -0x1.0dce3f622408bp-15, -0x1.147a7ef3d5faep-15, -0x1.1b08df04a45abp-15, -0x1.21797563ff886p-15, -0x1.27cc5a9f3f646p-15, -0x1.2e01a9217a14fp-15, -0x1.341979a3787ccp-15, -0x1.3a13e042a1d06p-15, -0x1.3ff0f542fc042p-15, -0x1.45b0d89875975p-15, -0x1.4b5369ccef9a5p-15, -0x1.50d84faa6b7dfp-15, -0x1.56402266297f9p-15, -0x1.5b8b3f88ec14fp-15, -0x1.60b9632eba5b8p-15, -0x1.65cb0d463246ep-15, -0x1.6abfe5a3fb3dbp-15, -0x1.6f984e902fd3fp-15, -0x1.7454aa97a2656p-15, -0x1.78f45e7cc494ep-15, -0x1.7d77b22854bb8p-15, -0x1.81df0a42984e7p-15, -0x1.862a79ff98ffdp-15, -0x1.8a5a0939fbdcp-15, -0x1.8e6dcaeca45e6p-15, -0x1.9265d9dc39c39p-15, -0x1.964254028493bp-15, -0x1.9a0358358e0c1p-15, -0x1.9da905701920ep-15, -0x1.a1337b5c818b5p-15, -0x1.a4a2db66bd555p-15, -0x1.a7f7492349ca7p-15, -0x1.ab30e8e099c8p-15, -0x1.ae4fdda92e2a5p-15, -0x1.b1544c66b5ee7p-15, -0x1.b43e6139684bcp-15, -0x1.b70e32422441ep-15, -0x1.b9c3a7871ba5cp-15, -0x1.bc5f1cc54e69cp-15, -0x1.bee110f201ecfp-15, -0x1.c1497670c674dp-15, -0x1.c397e65c74727p-15, -0x1.c5ccf816f8bcap-15, -0x1.c7e92fe111f7cp-15, -0x1.c9ec7d547161fp-15, -0x1.cbd6c7462723ap-15, -0x1.cda866c582336p-15, -0x1.cf61971a11f4cp-15, -0x1.d1027cf5e5031p-15, -0x1.d28b4170d5b07p-15, -0x1.d3fc11f686567p-15, -0x1.d5551de86d8c7p-15, -0x1.d6969567e44bfp-15, -0x1.d7c0a925ea825p-15, -0x1.d8d38a2bc2da5p-15, -0x1.d9cf69df0620dp-15, -0x1.dab47a360982dp-15, -0x1.db82ee0a89dep-15, -0x1.dc3af9352718bp-15, -0x1.dcdcd02b0d5eep-15, -0x1.dd68a72f763ddp-15, -0x1.dddeb21af9aecp-15, -0x1.de3f2695595b8p-15, -0x1.de8a3d16840c6p-15, -0x1.dec021235862dp-15, -0x1.dee1017a28bdap-15, -0x1.deed3c28fdc33p-15, -0x1.dee4f037265f4p-15, -0x1.dec848413ae9ep-15, -0x1.de97818c8b706p-15, -0x1.de52df1e97978p-15, -0x1.ddfaa8f4afb04p-15, -0x1.dd8ef90b80914p-15, -0x1.dd101317b3ac4p-15, -0x1.dc7e36eed3695p-15, -0x1.dbd99b3886162p-15, -0x1.db2278c231b01p-15, -0x1.da5909b0d7128p-15, -0x1.d97d8898f4076p-15, -0x1.d89030401d30fp-15, -0x1.d7913b8ff1725p-15, -0x1.d680e59448ce4p-15, -0x1.d55f697692b18p-15, -0x1.d42d0277c239fp-15, -0x1.d2e9ebf3742d4p-15, -0x1.d19661693a507p-15, -0x1.d0329e832fc06p-15, -0x1.cebedf0b334d3p-15, -0x1.cd3b5ed13a61ep-15, -0x1.cba85979f6146p-15, -0x1.ca060a66af7c7p-15, -0x1.c854ad6284a12p-15, -0x1.c6947f8eb7583p-15, -0x1.c4c5bb293926bp-15, -0x1.c2e89b2c9a71cp-15, -0x1.c0fd5e0825f78p-15, -0x1.bf043aeb41992p-15, -0x1.bcfd726313fe9p-15, -0x1.bae93f4193f66p-15, -0x1.b8c7d94647646p-15, -0x1.b6997f3c4cbc4p-15, -0x1.b45e690d1ad3p-15, -0x1.b216d44e018f3p-15, -0x1.afc2fbc7145d8p-15, -0x1.ad631987f7a5cp-15, -0x1.aaf7680223119p-15, -0x1.a88021903ac7fp-15, -0x1.a5fd805fa747fp-15, -0x1.a36fbe6cb474dp-15, -0x1.a0d715776de7fp-15, -0x1.9e33bf039a41fp-15, -0x1.9b85f44d81262p-15, -0x1.98cdee784fc31p-15, -0x1.960be639be99fp-15, -0x1.934013ff59e2ap-15, -0x1.906ab02a5ec0ap-15, -0x1.8d8bf29b05a9ap-15, -0x1.8aa41311b5534p-15, -0x1.87b348f3a9b71p-15, -0x1.84b9cb4bcbe2dp-15, -0x1.81b7d0c013f4fp-15, -0x1.7ead8f913e889p-15, -0x1.7b9b3e1e43913p-15, -0x1.788112fbcf994p-15, -0x1.755f426880f5p-15, -0x1.723600d0c83a4p-15, -0x1.6f0583b5a5769p-15, -0x1.6bce0021a5cd2p-15, -0x1.688fa99fca2ddp-15, -0x1.654ab485472ffp-15, -0x1.61ff52de13a0bp-15, -0x1.5eadb650d3027p-15, -0x1.5b5612df3ceb9p-15, -0x1.57f89b4c52226p-15, -0x1.54958070086e5p-15, -0x1.512cf35b8b4bap-15, -0x1.4dbf24dfdf913p-15, -0x1.4a4c45645140cp-15, -0x1.46d484e25385dp-15, -0x1.435812e4e7f2ep-15, -0x1.3fd71e87caa7dp-15, -0x1.3c51d677f8589p-15, -0x1.38c868efc624dp-15, -0x1.353b03ba1a4aap-15, -0x1.31a9d432827d2p-15, -0x1.2e15073cd76bcp-15, -0x1.2a7cc946f3974p-15, -0x1.26e145e40c3ep-15, -0x1.2342a9ee7cffep-15, -0x1.1fa11f667b01dp-15, -0x1.1bfcd124157efp-15, -0x1.1855e97dc7fbbp-15, -0x1.14ac91f3ab51ep-15, -0x1.1100f38c6e506p-15, -0x1.0d53373e5bdcp-15, -0x1.09a386957e924p-15, -0x1.05f2098862e4fp-15, -0x1.023ee2b2cc12p-15, -0x1.fd147b5abb63ap-16, -0x1.f5a8811ed51c6p-16, -0x1.ee3a2096a365dp-16, -0x1.e6c9a6430b0e1p-16, -0x1.df575f312a8a5p-16, -0x1.d7e38a378b52ap-16, -0x1.d06e75a9e9548p-16, -0x1.c8f86c7e3397ep-16, -0x1.c181ac4bcf3d6p-16, -0x1.ba0a886566204p-16, -0x1.b2933799db06p-16, -0x1.ab1c02d35778ap-16, -0x1.a3a52c3191747p-16, -0x1.9c2ef5490dc27p-16, -0x1.94b99ec394bd5p-16, -0x1.8d45685a5d48fp-16, -0x1.85d290f401312p-16, -0x1.7e6156660a76ap-16, -0x1.76f1f5ad569b9p-16, -0x1.6f84aad56c3b5p-16, -0x1.6819b0fcfe1f9p-16, -0x1.60b14255d93dp-16, -0x1.594b98297cadcp-16, -0x1.51e8eade76643p-16, -0x1.4a8971f7f2097p-16, -0x1.432d6412b8dafp-16, -0x1.3bd4f6e6c5307p-16, -0x1.34805f416c027p-16, -0x1.2d2fd0e3d4b19p-16, -0x1.25e37e894f0aap-16, -0x1.1e9b9a5b4e9bdp-16, -0x1.17585667b883p-16, -0x1.1019e5dcb1e34p-16, -0x1.08e070714cc0dp-16, -0x1.01ac28f856d5dp-16, -0x1.f4fa7ed6b9c5p-17, -0x1.e6a7bd256d98p-17, -0x1.d860664d8399ap-17, -0x1.ca24d62b8f27ep-17, -0x1.bbf551ddcff8cp-17, -0x1.add237e734378p-17, -0x1.9fbbdb60a6693p-17, -0x1.91b288f45bf94p-17, -0x1.83b68eac60e03p-17, -0x1.75c838b8c2fb3p-17, -0x1.67e7d4f3f5526p-17, -0x1.5a15a9d2e285fp-17, -0x1.4c520058aac4cp-17, -0x1.3e9d1ee3cf9a4p-17, -0x1.30f74a3137c2ep-17, -0x1.2360c5cfa0026p-17, -0x1.15d9d1b3a645ap-17, -0x1.0862b18cb12a6p-17, -0x1.f5f7421daf843p-18, -0x1.db49bcd91149cp-18, -0x1.c0bd4aa01150cp-18, -0x1.a6525ffc3fc5dp-18, -0x1.8c096e9c51461p-18, -0x1.71e2e101ddd3dp-18, -0x1.57df2f5f036acp-18, -0x1.3dfeb7337c1a3p-18, -0x1.2441e218eaf57p-18, -0x1.0aa913f9884cfp-18, -0x1.e2695b3d91e48p-19, -0x1.afca1a6228f4ap-19, -0x1.7d751b44ef2c4p-19, -0x1.4b6b10af7cb44p-19, -0x1.19aca5da2625ap-19, -0x1.d075075d6b133p-20, -0x1.6e2aa6970f151p-20, -0x1.0c7b37ba3965bp-20, -0x1.56d0138e4622bp-21, -0x1.2bc9134f53976p-22, }}, 
      {{0x1.01efb9a056f1fp-1, 0x1.57e97cceb4828p-1, 0x1.aeab75df3afa6p-1, 0x1.f42863b0ffd3ep-1, 0x1.116fd8f8e35eap+0, 0x1.1dd62bf6950d2p+0, 0x1.211d9045a4f46p+0, 0x1.1d8b3d6223d1fp+0, 0x1.1551842fab4a2p+0, 0x1.0a541c2dbc5d9p+0, 0x1.fc2794b029b7ep-1, 0x1.e35deab09c7aap-1, 0x1.cbd8afc6bce48p-1, 0x1.b693565784ed2p-1, 0x1.a415d6cf5ebc9p-1, 0x1.9490fb36a5b42p-1, 0x1.87f6ea75b5d15p-1, 0x1.7e0f7fc9527b5p-1, 0x1.76888775726d2p-1, 0x1.7102419161548p-1, 0x1.6d18abdbc2faap-1, 0x1.6a6a1c6b9085cp-1, 0x1.689bb142e551cp-1, 0x1.675c0c7d1d566p-1, 0x1.6664c4fbd9cb4p-1, 0x1.657ae2e47548bp-1, 0x1.646eaf46391dp-1, 0x1.631b0f80adda6p-1, 0x1.616497f2a0f06p-1, 0x1.5f38767cae2e5p-1, 0x1.5c8b4ca94f16bp-1, 0x1.59580a69c0ac3p-1, 0x1.559ed522d149ap-1, 0x1.516402d2fcb21p-1, 0x1.4caf2dedba3dap-1, 0x1.478a64204df95p-1, 0x1.42017082f752bp-1, 0x1.3c214077893f3p-1, 0x1.35f7619a86e9p-1, 0x1.2f9196ba5065ep-1, 0x1.28fd818c3c9b5p-1, 0x1.22485eb33b615p-1, 0x1.1b7ed1aba5819p-1, 0x1.14acbe57abd4p-1, 0x1.0ddd2e1a727e5p-1, 0x1.071a3e9a89164p-1, 0x1.006d186d752d9p-1, 0x1.f3bbd8421fafbp-2, 0x1.e6e7e8a48d8fap-2, 0x1.da6af76fde01cp-2, 0x1.ce4fcc681c4d9p-2, 0x1.c29f78406c554p-2, 0x1.b7616e4ecb36cp-2, 0x1.ac9ba039d1595p-2, 0x1.a2529ab908b2ap-2, 0x1.9889a2b26fda4p-2, 0x1.8f42d22988cbfp-2, 0x1.867f349699341p-2, 0x1.7e3ee253f5b31p-2, 0x1.76811ae5a1ccbp-2, 0x1.6f445def78229p-2, 0x1.688682bccacc2p-2, 0x1.6244ce4a2e063p-2, 0x1.5c7c07ca1d688p-2, 0x1.57288ba6faad5p-2, 0x1.52465d08e1db6p-2, 0x1.4dd135ea90781p-2, 0x1.49c495cb53d8bp-2, 0x1.461bcf0d139f2p-2, 0x1.42d2130f8ceb2p-2, 0x1.3fe27d19a2694p-2, 0x1.3d481c224ebaep-2, 0x1.3afdfb8b8fb1dp-2, 0x1.38ff2adfb5952p-2, 0x1.3746c4a42925cp-2, 0x1.35cff45117971p-2, 0x1.3495fb7fc6beap-2, 0x1.3394365f221bap-2, 0x1.32c61f7d6b8a1p-2, 0x1.322752f6dd63bp-2, 0x1.31b39115653d4p-2, 0x1.3166c070a78fbp-2, 0x1.313cef97c01bcp-2, 0x1.31325653e7ddbp-2, 0x1.3143568858d59p-2, 0x1.316c7cc325f53p-2, 0x1.31aa807869843p-2, 0x1.31fa44067b162p-2, 0x1.3258d470a4e66p-2, 0x1.32c368f170ff6p-2, 0x1.3337625b81498p-2, 0x1.33b24a51e02bp-2, 0x1.3431d26332e89p-2, 0x1.34b3d310645b8p-2, 0x1.35364aa340ffep-2, 0x1.35b75c14d404ep-2, 0x1.36354dccbc719p-2, 0x1.36ae884066c6bp-2, 0x1.372194cb74352p-2, 0x1.378d1c2d4f1d8p-2, 0x1.37efe52b13abfp-2, 0x1.3848d36235454p-2, 0x1.3896e5ada501p-2, 0x1.38d934e36cccdp-2, 0x1.390ef2b2912c8p-2, 0x1.39376812b83a5p-2, 0x1.3951f417fefc3p-2, 0x1.395e0ae7d97b6p-2, 0x1.395b343d6d6afp-2, 0x1.39490a4a04f8ep-2, 0x1.392738c487838p-2, 0x1.38f57b88cf61cp-2, 0x1.38b39d8572779p-2, 0x1.386177ef323b5p-2, 0x1.37fef10d1499ap-2, 0x1.378bfb37b2fcep-2, 0x1.370894326daaap-2, 0x1.3674c4355e103p-2, 0x1.35d09d02c1a24p-2, 0x1.351c395647512p-2, 0x1.3457bc2902842p-2, 0x1.33834fe1752fcp-2, 0x1.329f25c97fd07p-2, 0x1.31ab757c2a85cp-2, 0x1.30a87c34db699p-2, 0x1.2f967c4833f85p-2, 0x1.2e75bcad7f823p-2, 0x1.2d46887352b23p-2, 0x1.2c092e43d99eep-2, 0x1.2abdffffb0886p-2, 0x1.29655257448dfp-2, 0x1.27ff7c66a94edp-2, 0x1.268cd75cfa089p-2, 0x1.250dbe2eea461p-2, 0x1.23828d4eaa649p-2, 0x1.21eba261928cdp-2, 0x1.20495bfd6e66fp-2, 0x1.1e9c19741780dp-2, 0x1.1ce43a9c66013p-2, 0x1.1b221f962e476p-2, 0x1.1956289b2113fp-2, 0x1.1780b5d8164b6p-2, 0x1.15a2273f384bp-2, 0x1.13badc5a97ea7p-2, 0x1.11cb3429bb47p-2, 0x1.0fd38d037ce9ap-2, 0x1.0dd444744374bp-2, 0x1.0bcdb71cea90ap-2, 0x1.09c040993939ap-2, 0x1.07ac3b6bd61b7p-2, 0x1.059200e872177p-2, 0x1.0371e91c93d37p-2, 0x1.014c4abe47d06p-2, 0x1.fe42f6417ba91p-3, 0x1.f9e39c4fb33a5p-3, 0x1.f57b2c73b09a1p-3, 0x1.f10a4868fc305p-3, 0x1.ec918ecd6380cp-3, 0x1.e8119b1630f42p-3, 0x1.e38b0582d5336p-3, 0x1.defe63101392dp-3, 0x1.da6c45706cc5ep-3, 0x1.d5d53b0a52d62p-3, 0x1.d139cef6b0aa2p-3, 0x1.cc9a88fbaadb8p-3, 0x1.c7f7ed890b29bp-3, 0x1.c3527dbb00299p-3, 0x1.beaab75fa733ep-3, 0x1.ba0114f9ab896p-3, 0x1.b5560dc1fe20fp-3, 0x1.b0aa15ad0b245p-3, 0x1.abfd9d72b7079p-3, 0x1.a7511296c36bfp-3, 0x1.a2a4df710563ep-3, 0x1.9df96b35b295ep-3, 0x1.994f19fe15494p-3, 0x1.94a64cd2a4b14p-3, 0x1.8fff61b789577p-3, 0x1.8b5ab3b92348ep-3, 0x1.86b89af66ee75p-3, 0x1.82196cab4f57bp-3, 0x1.7d7d7b3d507fp-3, 0x1.78e5164a44de2p-3, 0x1.74508ab579e86p-3, 0x1.6fc022b30cf74p-3, 0x1.6b3425d43e72ep-3, 0x1.66acd9154c67cp-3, 0x1.622a7eeb1936dp-3, 0x1.5dad574ff57d4p-3, 0x1.59359fd06212p-3, 0x1.54c3939872fa9p-3, 0x1.50576b80d4428p-3, 0x1.4bf15e1adc0c2p-3, 0x1.47919fbce13e3p-3, 0x1.4338628fbb7ffp-3, 0x1.3ee5d69bfdb8p-3, 0x1.3a9a29d5c8c8cp-3, 0x1.36558827c7acbp-3, 0x1.32181b7efdccep-3, 0x1.2de20bd79e1a7p-3, 0x1.29b37f498cd5ep-3, 0x1.258c9a1369be2p-3, 0x1.216d7ea4ef9b2p-3, 0x1.1d564da9f5a11p-3, 0x1.1947261610ebp-3, 0x1.1540252fe2649p-3, 0x1.1141669b9983bp-3, 0x1.0d4b0464e9647p-3, 0x1.095d17091f50fp-3, 0x1.0577b58179807p-3, 0x1.019af54d5f0c4p-3, 0x1.fb8dd4f840895p-4, 0x1.f3f74f6ccc325p-4, 0x1.ec727c8ee948fp-4, 0x1.e4ff7c4c88c24p-4, 0x1.dd9e6bfd31751p-4, 0x1.d64f6674522dap-4, 0x1.cf1284131355p-4, 0x1.c7e7dad9243b2p-4, 0x1.c0cf7e749ae25p-4, 0x1.b9c98051ad16fp-4, 0x1.b2d5efab456e1p-4, 0x1.abf4d99c2a47ap-4, 0x1.a526492f320bap-4, 0x1.9e6a476d7cbefp-4, 0x1.97c0db6b5442fp-4, 0x1.912a0a55d7985p-4, 0x1.8aa5d78299edbp-4, 0x1.8434447fe1973p-4, 0x1.7dd551233999fp-4, 0x1.7788fb9523826p-4, 0x1.714f405b67a09p-4, 0x1.6b281a64c9af6p-4, 0x1.6513831776d67p-4, 0x1.5f1172607e5e5p-4, 0x1.5921dec14bb1ap-4, 0x1.5344bd5996e5bp-4, 0x1.4d7a01ef77cf5p-4, 0x1.47c19ef8d5f26p-4, 0x1.421b85a801ae7p-4, 0x1.3c87a5fa3c4a5p-4, 0x1.3705eec4df45bp-4, 0x1.31964dbee1ec1p-4, 0x1.2c38af8765ddfp-4, 0x1.26ecffac777f2p-4, 0x1.21b328b4d4743p-4, 0x1.1c8b142cbf36fp-4, 0x1.1774aab32a479p-4, 0x1.126fd4041350dp-4, 0x1.0d7c76ff21dp-4, 0x1.089a79ac6a0b4p-4, 0x1.03c9c14293ebcp-4, 0x1.fe146460bdf6ap-5, 0x1.f4b76051396b3p-5, 0x1.eb7c3c5b7f6d8p-5, 0x1.e262bd34bb4a3p-5, 0x1.d96aa64c83572p-5, 0x1.d093b9d421b99p-5, 0x1.c7ddb8c8e22b7p-5, 0x1.bf48630497d9p-5, 0x1.b6d37752c49afp-5, 0x1.ae7eb38553781p-5, 0x1.a649d484212efp-5, 0x1.9e349656329eap-5, 0x1.963eb42778687p-5, 0x1.8e67e85021e99p-5, 0x1.86afec61011a5p-5, 0x1.7f167934dd8b7p-5, 0x1.779b470311c51p-5, 0x1.703e0d6f13768p-5, 0x1.68fe839287e23p-5, 0x1.61dc6002db2a8p-5, 0x1.5ad758d5f2379p-5, 0x1.53ef23a9a9ac4p-5, 0x1.4d2375aff30c6p-5, 0x1.467403be2dc6cp-5, 0x1.3fe0825c4799ap-5, 0x1.3968a5d0b7983p-5, 0x1.330c2227e1536p-5, 0x1.2ccaab3849d88p-5, 0x1.26a3f4a67fa1cp-5, 0x1.2097b1eb79bbdp-5, 0x1.1aa5965e895cep-5, 0x1.14cd5541be77dp-5, 0x1.0f0ea1ce55754p-5, 0x1.09692f3ea3dd2p-5, 0x1.03dcb0d495befp-5, 0x1.fcd1b3bac7584p-6, 0x1.f21abb691a53cp-6, 0x1.e793df9073555p-6, 0x1.dd3c87405f65fp-6, 0x1.d31419ce151bcp-6, 0x1.c919fee83f269p-6, 0x1.bf4d9ea88305fp-6, 0x1.b5ae61a02ba09p-6, 0x1.ac3bb0dfe78e3p-6, 0x1.a2f4f5fcb7819p-6, 0x1.99d99b150d40dp-6, 0x1.90e90ad8add29p-6, 0x1.8822b094564f9p-6, 0x1.7f85f83fe8cd7p-6, 0x1.77124e8cee6e8p-6, 0x1.6ec720f2f8ca7p-6, 0x1.66a3ddb874102p-6, 0x1.5ea7f3f82665dp-6, 0x1.56d2d3a4b825fp-6, 0x1.4f23ed8c6b421p-6, 0x1.479ab35e99ee7p-6, 0x1.403697b3954a5p-6, 0x1.38f70e165c34fp-6, 0x1.31db8b0eb8df2p-6, 0x1.2ae3842a2a266p-6, 0x1.240e70029cccdp-6, 0x1.1d5bc642b972dp-6, 0x1.16caffa88550ap-6, 0x1.105b960781755p-6, 0x1.0a0d044b7d772p-6, 0x1.03dec67cd26c9p-6, 0x1.fba0b38bd4148p-7, 0x1.efc278f2ff0cbp-7, 0x1.e421dc3151c9ap-7, 0x1.d8bddeaf98d66p-7, 0x1.cd95844455f3ep-7, 0x1.c2a7d337bb099p-7, 0x1.b7f3d4461834bp-7, 0x1.ad7892a1b0701p-7, 0x1.a3351bf5a91dfp-7, 0x1.9928806a71569p-7, 0x1.8f51d2aba0fc1p-7, 0x1.85b027ee50d63p-7, 0x1.7c4297f6f134cp-7, 0x1.73083d1da4933p-7, 0x1.6a003450c9cep-7, 0x1.61299d159589dp-7, 0x1.58839987bdc26p-7, 0x1.500d4e58fb207p-7, 0x1.47c5e2d153912p-7, 0x1.3fac80d0b906ep-7, 0x1.37c054d1c7c0dp-7, 0x1.30008decd6578p-7, 0x1.286c5dda4ae32p-7, 0x1.2102f8f374b3dp-7, 0x1.19c39630e3dbp-7, 0x1.12ad6f26ae8bep-7, 0x1.0bbfbfff39ca6p-7, 0x1.04f9c775bfac6p-7, 0x1.fcb58da428779p-8, 0x1.efc403ce1e978p-8, 0x1.e31d7e27e1a2dp-8, 0x1.d6c08e90ec93ap-8, 0x1.caabcc13f4cccp-8, 0x1.beddd2ef0cbbbp-8, 0x1.b35544951fd6ap-8, 0x1.a810c7a5654c2p-8, 0x1.9d0f07d7eac04p-8, 0x1.924eb5e0d7f2fp-8, 0x1.87ce874f9be12p-8, 0x1.7d8d3670d43bep-8, 0x1.7389823a4bf8ap-8, 0x1.69c22e4633beep-8, 0x1.603602dfa4cf6p-8, 0x1.56e3cd1d39558p-8, 0x1.4dca5f0208a6bp-8, 0x1.44e88f9aa84ap-8, 0x1.3c3d3b0ad9ccap-8, 0x1.33c7428367d6cp-8, 0x1.2b858c1d17e6dp-8, 0x1.2377029c09c94p-8, 0x1.1b9a952620327p-8, 0x1.13ef36fb8da75p-8, 0x1.0c73df41ffe67p-8, 0x1.052788f003605p-8, 0x1.fc1265be24526p-9, 0x1.ee2fc002e12d1p-9, 0x1.e0a52f5de678ep-9, 0x1.d370cbea47d79p-9, 0x1.c690b7a7008bdp-9, 0x1.ba031ea0c5179p-9, 0x1.adc636b4afb02p-9, 0x1.a1d83eed5587cp-9, 0x1.96377e9259cc5p-9, 0x1.8ae2441b4d95bp-9, 0x1.7fd6e43df23f6p-9, 0x1.7513b95090b5fp-9, 0x1.6a972323fb60cp-9, 0x1.605f87619dc15p-9, 0x1.566b525928086p-9, 0x1.4cb8f80d1cc96p-9, 0x1.4346f53c3497ap-9, 0x1.3a13d0247030ap-9, 0x1.311e18c995482p-9, 0x1.286468a586cc1p-9, 0x1.1fe561cafe9d4p-9, 0x1.179fada4cfef1p-9, 0x1.0f91fb9375e1p-9, 0x1.07baffb3b05eep-9, 0x1.0019720fa52cbp-9, 0x1.f1581cc81b1b6p-10, 0x1.e2e3290391d5fp-10, 0x1.d4d1925f6e54ap-10, 0x1.c720eea8c44c2p-10, 0x1.b9cee23a50647p-10, 0x1.acd921b595bbbp-10, 0x1.a03d72b8ccff8p-10, 0x1.93f9ab647fc27p-10, 0x1.880bb0cee412cp-10, 0x1.7c7174c38def1p-10, 0x1.7128f356490d4p-10, 0x1.663030d10143cp-10, 0x1.5b853865ff1e6p-10, 0x1.51261bdaa2ebcp-10, 0x1.4710f421fc1f3p-10, 0x1.3d43e2ad45aa4p-10, 0x1.33bd13135e628p-10, 0x1.2a7abca0ac54cp-10, 0x1.217b23604545fp-10, 0x1.18bc9854db391p-10, 0x1.103d78b2c68dep-10, 0x1.07fc2c49b13c5p-10, 0x1.ffee46f11a4fdp-11, 0x1.f059aa764336fp-11, 0x1.e1377bb604f7bp-11, 0x1.d284bd3c1c2e2p-11, 0x1.c43e7cf8c0d16p-11, 0x1.b661d7363e1e4p-11, 0x1.a8ebfa32425a8p-11, 0x1.9bda296b842a1p-11, 0x1.8f29bfe6b1c6dp-11, 0x1.82d830fadb7a9p-11, 0x1.76e307788cb6dp-11, 0x1.6b47e338d7f51p-11, 0x1.6004754c1d28bp-11, 0x1.55167b449f52fp-11, 0x1.4a7bba617a6b6p-11, 0x1.4031fb98ec3aap-11, 0x1.3637097c75a95p-11, 0x1.2c88b08a9c1acp-11, 0x1.2324c1d92eba5p-11, 0x1.1a09175dabdf2p-11, 0x1.113398c3b00cap-11, 0x1.08a23fcb6c6d7p-11, 0x1.00531b7174037p-11, 0x1.f088a2cd8664bp-12, 0x1.e0e83b3f512b1p-12, 0x1.d1c1a019b4e74p-12, 0x1.c31191edd8a9fp-12, 0x1.b4d4e997309fap-12, 0x1.a70890861ca1cp-12, 0x1.99a97b13cdd7p-12, 0x1.8cb4a58403dd1p-12, 0x1.8027139b13ffdp-12, 0x1.73fdd2207d1fap-12, 0x1.6835f93d4b9edp-12, 0x1.5cccae8d92ab3p-12, 0x1.51bf264b6a122p-12, 0x1.470aa3d816913p-12, 0x1.3cac7a2eec981p-12, 0x1.32a20cd362252p-12, 0x1.28e8d0943dc27p-12, 0x1.1f7e4b4b7f022p-12, 0x1.16601275f4cc4p-12, 0x1.0d8bc9e867202p-12, 0x1.04ff24b3683ebp-12, 0x1.f96fd2bb28851p-13, 0x1.e967f0c2b4b3fp-13, 0x1.d9e2a3e95c4a5p-13, 0x1.cadc301bb96cdp-13, 0x1.bc5116c71172bp-13, 0x1.ae3e093735f73p-13, 0x1.a09fd90daf87cp-13, 0x1.93736c3a231b4p-13, 0x1.86b5b5ff5853fp-13, 0x1.7a63b102cd65ep-13, 0x1.6e7a53df5969ep-13, 0x1.62f67d1ecf6f5p-13, 0x1.57d4db50e8b7dp-13, 0x1.4d11dccebc06ep-13, 0x1.42a9b3f9fe7fep-13, 0x1.389876d86e604p-13, 0x1.2eda55e4d7f71p-13, 0x1.256bda3d76498p-13, 0x1.1c4a14d7ac7bfp-13, 0x1.1372ab3d4a53dp-13, 0x1.0ae3bc14484e9p-13, 0x1.029ba714dcbdcp-13, 0x1.f531a7c38c376p-14, 0x1.e5b326c624c99p-14, 0x1.d6b85082dc26p-14, 0x1.c83dd24b67fc5p-14, 0x1.ba40ba53f9f2dp-14, 0x1.acbe6dbde89dcp-14, 0x1.9fb45220a0e41p-14, 0x1.931f4f969b57dp-14, 0x1.86fb62a6f352dp-14, 0x1.7b436e3f67546p-14, 0x1.6ff16646094cp-14, 0x1.64fed00f7cc7ep-14, 0x1.5a657cb83a419p-14, 0x1.50204a948c50dp-14, 0x1.462ba8422113cp-14, 0x1.3c8598281b8dbp-14, 0x1.332d2361d12c7p-14, 0x1.2a217a6853904p-14, 0x1.21613b3882a9cp-14, 0x1.18ea42f1d13dcp-14, 0x1.10ba149337bffp-14, 0x1.08ce7ab94bbc2p-14, 0x1.0125ed4c62189p-14, 0x1.f37ef904880d3p-15, 0x1.e534b103986a6p-15, 0x1.d76a8857ed4c5p-15, 0x1.ca1c87f3a1bep-15, 0x1.bd454e49423c9p-15, 0x1.b0de89018f447p-15, 0x1.a4e155117044ap-15, 0x1.99466f32d56d1p-15, 0x1.8e0692b0330e5p-15, 0x1.831b579ead77fp-15, 0x1.7880449d108c8p-15, 0x1.6e334841dc8d3p-15, 0x1.64340ede42202p-15, 0x1.5a828a8775118p-15, 0x1.511dadbee2815p-15, 0x1.48031d9f28932p-15, 0x1.3f2fce9f1f3eep-15, 0x1.36a101e3af184p-15, 0x1.2e550f132be8dp-15, 0x1.264b5b4105e62p-15, 0x1.1e8349a54b8ffp-15, 0x1.16fb0c91a4f7ap-15, 0x1.0faf80c41eb27p-15, 0x1.089d101042fb9p-15, 0x1.01c0a9f172889p-15, 0x1.f63048d76d477p-16, 0x1.e943ead216fe2p-16, 0x1.dcb9148948f16p-16, 0x1.d08b5bceed5b4p-16, 0x1.c4b4c7bcf9503p-16, 0x1.b92e90b19f0d2p-16, 0x1.adf29181bfc58p-16, 0x1.a2fcfc400088ep-16, 0x1.984d3d4751691p-16, 0x1.8de4c15578f73p-16, 0x1.83c3ff45268f6p-16, 0x1.79e85614403bap-16, 0x1.704d96766647bp-16, 0x1.66f1d4a0f9381p-16, 0x1.5dd5ccb469677p-16, 0x1.54f9123322e69p-16, 0x1.4c57f88bc27f3p-16, 0x1.43ed6e68bdc27p-16, 0x1.3bb55a234b1e1p-16, 0x1.33ad2aff7c30ep-16, 0x1.2bd35781fe3a5p-16, 0x1.2427040372519p-16, 0x1.1ca80d2f78166p-16, 0x1.1556e81eac3e1p-16, 0x1.0e33e8c0f855ep-16, 0x1.073e2baf5d94p-16, 0x1.00728e967a688p-16, 0x1.f396a40e04889p-17, 0x1.e684984df99fap-17, 0x1.d9ab29f148ae6p-17, 0x1.cd1153b54c7b1p-17, 0x1.c0bd997acac4cp-17, 0x1.b4ac3a52fb315p-17, 0x1.a8d5c572d8edcp-17, 0x1.9d3a2bf767b64p-17, 0x1.91dd2dd23bc3cp-17, 0x1.86bd35e5493e3p-17, 0x1.7bd410860f61ep-17, 0x1.711c55cd1d029p-17, 0x1.66935bf2bb3d4p-17, 0x1.5c382bcad258p-17, 0x1.520a277c236bcp-17, 0x1.4808696ac88fp-17, 0x1.3e31e216ea381p-17, 0x1.3485f0514a788p-17, 0x1.2b04e01016d72p-17, 0x1.21afa94e5e6cep-17, 0x1.1886fdaaa4034p-17, 0x1.0f8a2ccfdcce5p-17, 0x1.06b59a9305925p-17, 0x1.fc054c408981ap-18, 0x1.ead9e610abd94p-18, 0x1.d9ed9a8a92666p-18, 0x1.c9475d380d3f1p-18, 0x1.b8e419c9060e7p-18, 0x1.a8bebdbe1fd7cp-18, 0x1.98d9701abe6bp-18, 0x1.89376a14c907dp-18, 0x1.79d5a38cc88c3p-18, 0x1.6aae3309d14c9p-18, 0x1.5bbd9af103844p-18, 0x1.4d02ee56d0e91p-18, 0x1.3e7e13908f7cdp-18, 0x1.302ed1f471bbbp-18, 0x1.22149cbac4196p-18, 0x1.142ea0008852p-18, 0x1.067be4afa1cb1p-18, 0x1.f1f7280ce6da3p-19, 0x1.d75a754710629p-19, 0x1.bd2182da6493ap-19, 0x1.a34c471a20842p-19, 0x1.89db241541a5ap-19, 0x1.70ce26a806fd2p-19, 0x1.582040868a5cap-19, 0x1.3fcc57af241adp-19, 0x1.27d30e130ac43p-19, 0x1.102e2730d5265p-19, 0x1.f1b92c86c047p-20, 0x1.c3c9e76a66f1cp-20, 0x1.96885e5a7228ep-20, 0x1.69f4afa82496p-20, 0x1.3e0fccc9c2015p-20, 0x1.12d15980c721ap-20, 0x1.d068c28b8046fp-21, 0x1.7c70dc3e8b403p-21, 0x1.29bb639cad7e4p-21, 0x1.b08ed1bb7bfcdp-22, 0x1.1025e02a21adcp-22, 0x1.c8dc7323ac791p-24, -0x1.4a14c85dca7ffp-25, -0x1.84993e16b42fap-23, -0x1.58ec72c3caddep-22, -0x1.ed2733cbc07bfp-22, -0x1.3f809dc34b5abp-21, -0x1.873fab54d518fp-21, -0x1.cdd3a19d8dd8dp-21, -0x1.099d69fb0b418p-20, -0x1.2bb7c1fda4d5bp-20, -0x1.4d3e61044c578p-20, -0x1.6e34bb9520631p-20, -0x1.8e989f33686c6p-20, -0x1.ae6eb0d9c2ae1p-20, -0x1.cdb3f39f73a4bp-20, -0x1.ec6be31793ccbp-20, -0x1.054d067998b32p-19, -0x1.141c70b0a828bp-19, -0x1.22a58e10ec8c4p-19, -0x1.30ea0ddd9eea7p-19, -0x1.3eea3dbd93cbdp-19, -0x1.4ca63756fa067p-19, -0x1.5a1e42c3b74bdp-19, -0x1.6752c76811d16p-19, -0x1.744437b52f4d6p-19, -0x1.80f306bdf40f6p-19, -0x1.8d5fa54bc9b96p-19, -0x1.998a840aab95fp-19, -0x1.a574185bf57e7p-19, -0x1.b11cde32e4b75p-19, -0x1.bc85520d7ca4bp-19, -0x1.c7ade8940cbbcp-19, -0x1.d2971bbf6ce09p-19, -0x1.dd4181cdcc3c5p-19, -0x1.e7ad505e7fc9dp-19, -0x1.f1d9f5aff7d0fp-19, -0x1.fbc8cb942049ep-19, -0x1.02bddfe159082p-18, -0x1.0779335e3bc16p-18, -0x1.0c156a426213bp-18, -0x1.1093acc8f9fb4p-18, -0x1.14f4f7111e0f8p-18, -0x1.193909aac4ab2p-18, -0x1.1d5f92125a734p-18, -0x1.21692dbfd1ba6p-18, -0x1.2556395507095p-18, -0x1.2926e1e5b1c09p-18, -0x1.2cdb5cffb066dp-18, -0x1.3073e844aff1bp-18, -0x1.33f0c48fd24dbp-18, -0x1.37523355fd9a5p-18, -0x1.3a98766a2ecd2p-18, -0x1.3dc3cf83e7277p-18, -0x1.40d4804ecd6d9p-18, -0x1.43cacad176bd1p-18, -0x1.46a6f20e5351ep-18, -0x1.49693a3fac96fp-18, -0x1.4c11e82aed2bdp-18, -0x1.4ea13fab91c5ep-18, -0x1.5117834cc8672p-18, -0x1.5374f85c59481p-18, -0x1.55b9e8ab2b294p-18, -0x1.57e68526faa0fp-18, -0x1.59fb04f57be65p-18, -0x1.5bf7f642ac292p-18, -0x1.5ddd71d1f658p-18, -0x1.5faba4896f45cp-18, -0x1.6162def52e93bp-18, -0x1.63037b50d21dep-18, -0x1.648dd95e02e8cp-18, -0x1.660209fc8a418p-18, -0x1.676066514a435p-18, -0x1.68a93ef2d8948p-18, -0x1.69dcd5457cc2fp-18, -0x1.6afb6e2bf0ee5p-18, -0x1.6c055060973dap-18, -0x1.6cfac2f9f576cp-18, -0x1.6ddc0d0caa438p-18, -0x1.6ea975996eb26p-18, -0x1.6f63439467b5cp-18, -0x1.7009bde336624p-18, -0x1.709d2b541d003p-18, -0x1.711dd29e178bcp-18, -0x1.718bfa632c04ap-18, -0x1.71e7e932bfef1p-18, -0x1.7231e583daa3bp-18, -0x1.726a35ad5a2e1p-18, -0x1.72911fd2b28f9p-18, -0x1.72a6e9d47b3ap-18, -0x1.72abd98bca473p-18, -0x1.72a03521daa16p-18, -0x1.72844138264dep-18, -0x1.725842810955bp-18, -0x1.721c7f20bbb97p-18, -0x1.71d13a1e578e7p-18, -0x1.7176ba2acb002p-18, -0x1.710d426d5d7a1p-18, -0x1.7095160c3471fp-18, -0x1.700e78a8a4f05p-18, -0x1.6f79aeaa332adp-18, -0x1.6ed6f9f35b011p-18, -0x1.6e269c88b365ep-18, -0x1.6d68d909dfca4p-18, -0x1.6c9df16a23437p-18, -0x1.6bc627067429cp-18, -0x1.6ae1badaad8a7p-18, -0x1.69f0ed8c06419p-18, -0x1.68f3ff4c595f6p-18, -0x1.67eb2fdc99ec5p-18, -0x1.66d6be59423f7p-18, -0x1.65b6ea4733b67p-18, -0x1.648bf1cdfde75p-18, -0x1.635612ad8e3ddp-18, -0x1.62158ad454147p-18, -0x1.60ca96ffffbe8p-18, -0x1.5f7573c8b5f11p-18, -0x1.5e165d231ee34p-18, -0x1.5cad8ea62472cp-18, -0x1.5b3b43f02a0dp-18, -0x1.59bfb7d5e5db6p-18, -0x1.583b2391f1898p-18, -0x1.56adbf026c4a2p-18, -0x1.5517c5b6ff7d2p-18, -0x1.5379719080dep-18, -0x1.51d2f8cce3e05p-18, -0x1.5024913696f46p-18, -0x1.4e6e727d31071p-18, -0x1.4cb0d1b20d834p-18, -0x1.4aebe6ff5f55cp-18, -0x1.491fe933fe503p-18, -0x1.474d0a0a2573fp-18, -0x1.45737cbcded98p-18, -0x1.439375fcfd0c7p-18, -0x1.41ad28db05b39p-18, -0x1.3fc0c7a0735d6p-18, -0x1.3dce8405dba6bp-18, -0x1.3bd68f3459893p-18, -0x1.39d919c2ae5e5p-18, -0x1.37d653b48f2b7p-18, -0x1.35ce6c74343e5p-18, -0x1.33c192d9812adp-18, -0x1.31aff52591217p-18, -0x1.2f99c112ef2e7p-18, -0x1.2d7f23b7d97c4p-18, -0x1.2b6049817cab7p-18, -0x1.293d596cf87ecp-18, -0x1.27168d33b245ep-18, -0x1.24ec0282f5199p-18, -0x1.22bde653d5f98p-18, -0x1.208c633a0894dp-18, -0x1.1e57a20725e1bp-18, -0x1.1c1fcb2234addp-18, -0x1.19e50660d76fap-18, -0x1.17a77b142f11fp-18, -0x1.15674feec6f64p-18, -0x1.1324ab61363eep-18, -0x1.10dfb16e6836p-18, -0x1.0e9888b5245aep-18, -0x1.0c4f54e39ceb8p-18, -0x1.0a0439f41873bp-18, -0x1.07b75bae64b49p-18, -0x1.0568db7450751p-18, -0x1.0318dc12bfe1dp-18, -0x1.00c782533aaf5p-18, -0x1.fce9b4e3c9e5bp-19, -0x1.f842639997fdcp-19, -0x1.f398fbc8dac0dp-19, -0x1.eeeddd604a2e3p-19, -0x1.ea4143334d38fp-19, -0x1.e593696e26104p-19, -0x1.e0e48b6cac902p-19, -0x1.dc34e37c0a8a1p-19, -0x1.d784ab1ef5f42p-19, -0x1.d2d41a78e7442p-19, -0x1.ce2368d112b3p-19, -0x1.c972cc594eec1p-19, -0x1.c4c27a3b96161p-19, -0x1.c012a69aa614ap-19, -0x1.bb63849738c4cp-19, -0x1.b6b5465626d7dp-19, -0x1.b2081d01595d2p-19, -0x1.ad5c38c66eba5p-19, -0x1.a8b1c8d9b42c9p-19, -0x1.a408fb71b0641p-19, -0x1.9f61fdab5e9a5p-19, -0x1.9abcfb915a98ep-19, -0x1.961a2082ce2b5p-19, -0x1.9179979aabcfdp-19, -0x1.8cdb8cc26cb15p-19, -0x1.884021c9750d4p-19, -0x1.83a781f64f16p-19, -0x1.7f11d5ec18be1p-19, -0x1.7a7f41a25c2abp-19, -0x1.75efeaaebea33p-19, -0x1.7163f7b1e4626p-19, -0x1.6cdb84a6263a3p-19, -0x1.6856b9287a8dap-19, -0x1.63d5b7a48bfa6p-19, -0x1.5f589f5fe02b4p-19, -0x1.5adf8fb79d986p-19, -0x1.566aa68d68e9fp-19, -0x1.51fa080312bebp-19, -0x1.4d8dcb30a661bp-19, -0x1.49260f2b17cf4p-19, -0x1.44c2eff62d7d6p-19, -0x1.406488963387ap-19, -0x1.3c0af623a34fep-19, -0x1.37b6496ec8605p-19, -0x1.3366a7c28cff6p-19, -0x1.2f1c215ebdce6p-19, -0x1.2ad6cff788577p-19, -0x1.2696ca10fd34p-19, -0x1.225c25d7fa1f8p-19, -0x1.1e26f8c1dd9fdp-19, -0x1.19f7531c209b2p-19, -0x1.15cd55e67c5e5p-19, -0x1.11a9083f6d1d8p-19, -0x1.0d8a80963fe6cp-19, -0x1.0971d0f6b131bp-19, -0x1.055f0b38ca7fep-19, -0x1.01524019e62b4p-19, -0x1.fa96ff4a2cdb1p-20, -0x1.f295b3df037a8p-20, -0x1.eaa0bb705c01p-20, -0x1.e2b8336f3ad3ep-20, -0x1.dadc39b6c2a29p-20, -0x1.d30ce2b346363p-20, -0x1.cb4a4c75127b4p-20, -0x1.c3948fc3cfda4p-20, }}, 
      {{0x1.21997a3e3be56p-1, 0x1.210aec6553e83p-1, 0x1.201e85e71dc98p-1, 0x1.1ed60528b2c0ep-1, 0x1.1d33c78a63096p-1, 0x1.1b3ab87b9c508p-1, 0x1.18ee3e8a9d5ccp-1, 0x1.1652278fc926fp-1, 0x1.136a94da97966p-1, 0x1.103be80d3603dp-1, 0x1.0ccab121788c8p-1, 0x1.091b9de7a1a2p-1, 0x1.05336b2dbd9a4p-1, 0x1.0116d7a426e49p-1, 0x1.f995310013744p-2, 0x1.f0a69f9cd6fb8p-2, 0x1.e76b08c07825p-2, 0x1.ddeb3662bb048p-2, 0x1.d42fa45191657p-2, 0x1.ca40781c50ab8p-2, 0x1.c0257b224f18dp-2, 0x1.b5e6167f6205p-2, 0x1.ab895094618c8p-2, 0x1.a115cbeea7e6ap-2, 0x1.9691c756d4326p-2, 0x1.8c031ed4c6fb5p-2, 0x1.816f4d7c66456p-2, 0x1.76db6fdc2f47bp-2, 0x1.6c4c46eb8ff12p-2, 0x1.61c63b5bbcabap-2, 0x1.574d6131c5a11p-2, 0x1.4ce57b9468b91p-2, 0x1.429200bb49d39p-2, 0x1.38561df00c106p-2, 0x1.2e34bb9425de8p-2, 0x1.2430812069293p-2, 0x1.1a4bd914f67ep-2, 0x1.1088f4d1edae8p-2, 0x1.06e9d0528189p-2, 0x1.fae06b8a8d987p-3, 0x1.e83b81fb50f93p-3, 0x1.d5e7c576afd72p-3, 0x1.c3e7c78adc5e3p-3, 0x1.b23dcfaf5e829p-3, 0x1.a0ebe0c22a273p-3, 0x1.8ff3be26ca067p-3, 0x1.7f56f08836a88p-3, 0x1.6f16ca3ef9753p-3, 0x1.5f346b5e055d3p-3, 0x1.4fb0c56977252p-3, 0x1.408c9ebb09491p-3, 0x1.31c8959886fcep-3, 0x1.23652300ee111p-3, 0x1.15629d353cefbp-3, 0x1.07c13a021f888p-3, 0x1.f502219f6f688p-4, 0x1.db4438f9a8e6p-4, 0x1.c2487a159943ep-4, 0x1.aa0e723e4ca8ap-4, 0x1.92957ebfc91d6p-4, 0x1.7bdccf5e86352p-4, 0x1.65e3689672a8p-4, 0x1.50a825a9e8ba4p-4, 0x1.3c29ba88154f8p-4, 0x1.2866b591ccaeap-4, 0x1.155d8143026acp-4, 0x1.030c65c671e34p-4, 0x1.e2e314f0a96a6p-5, 0x1.c115eeb8b07c4p-5, 0x1.a0ad2d14bc968p-5, 0x1.81a46b2a012dcp-5, 0x1.63f70dd86baa7p-5, 0x1.47a0467bec3ccp-5, 0x1.2c9b15ac7f912p-5, 0x1.12e24dfee3ddfp-5, 0x1.f4e12d8e2d44bp-6, 0x1.c680ddba256edp-6, 0x1.9a985ec7651a8p-6, 0x1.711c1d222a2a7p-6, 0x1.4a0044ef0ea2dp-6, 0x1.2538c79b26ca7p-6, 0x1.02b9616747667p-6, 0x1.c4eb3dd5b5dffp-7, 0x1.88c1c514ff337p-7, 0x1.50dcd3bceedcp-7, 0x1.1d22a609f34a2p-7, 0x1.daf28771da4d1p-8, 0x1.838d1487f7d79p-8, 0x1.33e06dc0c8e17p-8, 0x1.d76fc0db04edcp-9, 0x1.55bd3f3d27c04p-9, 0x1.c47f5964f098bp-10, 0x1.f235c901cf75p-11, 0x1.21e96c6ebe318p-12, -0x1.38d1777fe8237p-12, -0x1.9784f53307f1bp-11, -0x1.31000e1473928p-10, -0x1.7ebbd3218cfb3p-10, -0x1.b5c2f87e7e6a3p-10, -0x1.d6e0f0258f6bap-10, -0x1.e2df41cb51dc3p-10, -0x1.da8560835755cp-10, -0x1.be9883819c807p-10, -0x1.8fdb81e997d35p-10, -0x1.4f0eb19a7346p-10, -0x1.f9df91c6b5a34p-11, -0x1.3473861331b4p-11, -0x1.3d263c383ebe9p-13, 0x1.6867b06347bdcp-12, 0x1.d4a02fb48dd17p-11, 0x1.884e8a8dd286fp-10, 0x1.19b49862dd217p-9, 0x1.757b90d1adafp-9, 0x1.d72954cd74083p-9, 0x1.1f3654d328dd5p-8, 0x1.557afba478d02p-8, 0x1.8e3ba5770c277p-8, 0x1.c9522c8130121p-8, 0x1.034c9f9516f21p-7, 0x1.22f63025cc39bp-7, 0x1.4393f391e55e2p-7, 0x1.65147f800b3dp-7, 0x1.8766d35269d81p-7, 0x1.aa7a57bcbb933p-7, 0x1.ce3ede3f131a7p-7, 0x1.f2a4a088400e5p-7, 0x1.0bce1fe118a1ap-6, 0x1.1e8b61e553991p-6, 0x1.3182cd2d55d8cp-6, 0x1.44ad4b0f4e4bcp-6, 0x1.5803f6e06c83cp-6, 0x1.6b801d74584c6p-6, 0x1.7f1b3c97a8882p-6, 0x1.92cf028611018p-6, 0x1.a6954d5ce6376p-6, 0x1.ba682a8a9dec7p-6, 0x1.ce41d63bcd3e4p-6, 0x1.e21cbac629f92p-6, 0x1.f5f37011f3c7bp-6, 0x1.04e05d811387dp-5, 0x1.0ebfc66de316fp-5, 0x1.1895815647d0ep-5, 0x1.225f3258ae7a7p-5, 0x1.2c1a92de25badp-5, 0x1.35c5714d75fcap-5, 0x1.3f5db0be4b9b9p-5, 0x1.48e148ac80bbfp-5, 0x1.524e44ab96481p-5, 0x1.5ba2c41a58e8bp-5, 0x1.64dcf9d6befd2p-5, 0x1.6dfb2bf202633p-5, 0x1.76fbb364f82cbp-5, 0x1.7fdcfbc49e82ep-5, 0x1.889d82f6e986p-5, 0x1.913bd8e7bd34ep-5, 0x1.99b69f3e1f46dp-5, 0x1.a20c891197769p-5, 0x1.aa3c5a9fb7e9cp-5, 0x1.b244e901c4e87p-5, 0x1.ba2519e27b8b4p-5, 0x1.c1dbe333f1bebp-5, 0x1.c9684ae587298p-5, 0x1.d0c96699ea21dp-5, 0x1.d7fe5b5d1ca1cp-5, 0x1.df065d5a84d8ap-5, 0x1.e5e0af92f766cp-5, 0x1.ec8ca392c6867p-5, 0x1.f3099927cb398p-5, 0x1.f956fe17649dp-5, 0x1.ff744dd472a9ep-5, 0x1.02b0889aa19e7p-4, 0x1.058e6f14bc919p-4, 0x1.0853abb7f5b4bp-4, 0x1.0b00162641475p-4, 0x1.0d938c1f04b3p-4, 0x1.100df15a01cd4p-4, 0x1.126f2f623f755p-4, 0x1.14b73570f82dcp-4, 0x1.16e5f8488d75bp-4, 0x1.18fb720f841adp-4, 0x1.1af7a22b8abfbp-4, 0x1.1cda8d1c8deddp-4, 0x1.1ea43c57dd651p-4, 0x1.2054be236877p-4, 0x1.21ec257111138p-4, 0x1.236a89ba1f349p-4, 0x1.24d006dad231ep-4, 0x1.261cbcee186e2p-4, 0x1.2750d0296fa7ep-4, 0x1.286c68b8f4f73p-4, 0x1.296fb29ba4a4dp-4, 0x1.2a5add7fd577cp-4, 0x1.2b2e1c9fec7b5p-4, 0x1.2be9a69f5317cp-4, 0x1.2c8db567af505p-4, 0x1.2d1a860667a7p-4, 0x1.2d90588a7386dp-4, 0x1.2def6fe2812dap-4, 0x1.2e3811bb70341p-4, 0x1.2e6a865f28cbdp-4, 0x1.2e871893d1fdp-4, 0x1.2e8e157b6bd03p-4, 0x1.2e7fcc73d0355p-4, 0x1.2e5c8ef721de4p-4, 0x1.2e24b07caa1afp-4, 0x1.2dd8865a2a4a2p-4, 0x1.2d7867a5a490ep-4, 0x1.2d04ad179d405p-4, 0x1.2c7db0eddb6c7p-4, 0x1.2be3cecea8005p-4, 0x1.2b3763ac922bp-4, 0x1.2a78cdaab8f9p-4, 0x1.29a86c019eacbp-4, 0x1.28c69ee4868a5p-4, 0x1.27d3c7675f60dp-4, 0x1.26d047653e53bp-4, 0x1.25bc816767708p-4, 0x1.2498d88ced34fp-4, 0x1.2365b072e0b07p-4, 0x1.22236d1d19a4fp-4, 0x1.20d272df934f3p-4, 0x1.1f73264862695p-4, 0x1.1e05ec0a40e3p-4, 0x1.1c8b28e7b2d3ep-4, 0x1.1b03419ec5b6fp-4, 0x1.196e9ad5663c4p-4, 0x1.17cd990652dap-4, 0x1.1620a06ea49a4p-4, 0x1.146814fbf3f3bp-4, 0x1.12a45a3b12fdbp-4, 0x1.10d5d34762fb9p-4, 0x1.0efce2babc454p-4, 0x1.0d19ea9df31cap-4, 0x1.0b2d4c59ebb5dp-4, 0x1.093768a9474cdp-4, 0x1.07389f8aa25dfp-4, 0x1.05315033672b9p-4, 0x1.0321d9032d009p-4, 0x1.010a9777aa853p-4, 0x1.fdd7d04265678p-5, 0x1.f98c4d2f7bacep-5, 0x1.f5335ae0fafebp-5, 0x1.f0cdac67ed1c1p-5, 0x1.ec5bf2a944fb3p-5, 0x1.e7dedc4c2c18bp-5, 0x1.e35715a94bb1bp-5, 0x1.dec548bb1d869p-5, 0x1.da2a1d0f3016dp-5, 0x1.d58637b865612p-5, 0x1.d0da3b421fd4fp-5, 0x1.cc26c7a45c69cp-5, 0x1.c76c7a38b817cp-5, 0x1.c2abedb04e674p-5, 0x1.bde5ba0a82ae2p-5, 0x1.b91a748c9721p-5, 0x1.b44aafba1bed6p-5, 0x1.af76fb4e2a64ap-5, 0x1.aa9fe4356b855p-5, 0x1.a5c5f488def9ap-5, 0x1.a0e9b389617cep-5, 0x1.9c0ba59beec94p-5, 0x1.972c4c469047bp-5, 0x1.924c262e0638ep-5, 0x1.8d6baf140d70cp-5, 0x1.888b5fd6522dcp-5, 0x1.83abae6dfc56fp-5, 0x1.7ecd0defd95a7p-5, 0x1.79efee8d1599ap-5, 0x1.7514bd948aa97p-5, 0x1.703be5748f0d2p-5, 0x1.6b65cdbd5632cp-5, 0x1.6692db23c8104p-5, 0x1.61c36f84d4f36p-5, 0x1.5cf7e9e9441d5p-5, 0x1.5830a689ef168p-5, 0x1.536dfed46a143p-5, 0x1.4eb049701808ep-5, 0x1.49f7da4398c68p-5, 0x1.4545027aa1bcdp-5, 0x1.4098108c25e1dp-5, 0x1.3bf15040dad73p-5, 0x1.37510aba09b57p-5, 0x1.32b78678af5b2p-5, 0x1.2e250764e7ad8p-5, 0x1.2999ced597d3fp-5, 0x1.25161b9861a28p-5, 0x1.209a29f9c8466p-5, 0x1.1c2633cd97cc5p-5, 0x1.17ba70777bcc4p-5, 0x1.135714f3ca824p-5, 0x1.0efc53e07cefep-5, 0x1.0aaa5d864ca42p-5, 0x1.06615fe2004e6p-5, 0x1.022186add693ap-5, 0x1.fbd5f6d626bdcp-6, 0x1.f37bcad74ba55p-6, 0x1.eb34d3b7e0b65p-6, 0x1.e30157993da75p-6, 0x1.dae19879330b2p-6, 0x1.d2d5d44604036p-6, 0x1.cade44f281b9bp-6, 0x1.c2fb208a46834p-6, 0x1.bb2c9945f6a5ep-6, 0x1.b372dd9fa0133p-6, 0x1.abce18670f95ap-6, 0x1.a43e70d63b19fp-6, 0x1.9cc40aa5a6574p-6, 0x1.955f0620bf059p-6, 0x1.8e0f803a3be51p-6, 0x1.86d592a066a89p-6, 0x1.7fb153d157198p-6, 0x1.78a2d72f23ad5p-6, 0x1.71aa2d13eab31p-6, 0x1.6ac762e5d5dfbp-6, 0x1.63fa832aed4cap-6, 0x1.5d43959cddcb5p-6, 0x1.56a29f3c8639ap-6, 0x1.5017a26573f2ap-6, 0x1.49a29ee127a79p-6, 0x1.434391fa37be9p-6, 0x1.3cfa768f443fp-6, 0x1.36c74525b8145p-6, 0x1.30a9f3fc5a765p-6, 0x1.2aa2771dae5bcp-6, 0x1.24b0c0721b096p-6, 0x1.1ed4bfd1de722p-6, 0x1.190e6316c5e35p-6, 0x1.135d962dac48fp-6, 0x1.0dc24327bf727p-6, 0x1.083c524b8331ap-6, 0x1.02cbaa25a0678p-6, 0x1.fae05f32ceb94p-7, 0x1.f0538be23505ap-7, 0x1.e5f09ddbf6936p-7, 0x1.dbb755b01b891p-7, 0x1.d1a7711b2912ap-7, 0x1.c7c0ab24bf0d3p-7, 0x1.be02bc3d72127p-7, 0x1.b46d5a5c56b4bp-7, 0x1.ab00391bd2f3fp-7, 0x1.a1bb09d601ed1p-7, 0x1.989d7bc083c3p-7, 0x1.8fa73c07c5032p-7, 0x1.86d7f5e9b7e57p-7, 0x1.7e2f52cfff673p-7, 0x1.75acfa6998eb2p-7, 0x1.6d5092c3eddabp-7, 0x1.6519c06360fc1p-7, 0x1.5d08265b496a1p-7, 0x1.551b666577549p-7, 0x1.4d5320f908d41p-7, 0x1.45aef560e1dabp-7, 0x1.3e2e81d1757d7p-7, 0x1.36d1637e1cadep-7, 0x1.2f9736addd1ebp-7, 0x1.287f96cfab707p-7, 0x1.218a1e8e29a42p-7, 0x1.1ab667e2e1664p-7, 0x1.14040c28f035p-7, 0x1.0d72a42f462bap-7, 0x1.0701c84a51e09p-7, 0x1.00b1106534362p-7, 0x1.f5002824e48acp-8, 0x1.e8dcd5386bfa3p-8, 0x1.dcf75627fb073p-8, 0x1.d14ed8c3d1007p-8, 0x1.c5e28aa6f7c98p-8, 0x1.bab19953fa92ep-8, 0x1.afbb325087092p-8, 0x1.a4fe8340667a2p-8, 0x1.9a7ab9ff51f59p-8, 0x1.902f04ba12016p-8, 0x1.861a9206b38d7p-8, 0x1.7c3c90fbe2c31p-8, 0x1.729431476e805p-8, 0x1.6920a343fc18cp-8, 0x1.5fe1180df0fcbp-8, 0x1.56d4c19780d43p-8, 0x1.4dfad2bc0ec5bp-8, 0x1.45527f52acff3p-8, 0x1.3cdafc3ff35cdp-8, 0x1.34937f870f9e6p-8, 0x1.2c7b405a155dep-8, 0x1.24917729a7ac1p-8, 0x1.1cd55db3ea97p-8, 0x1.15462f12bedbdp-8, 0x1.0de327c960881p-8, 0x1.06ab85d156873p-8, 0x1.ff3d114d7b9d5p-9, 0x1.f176e2a7f1c3fp-9, 0x1.e40304f998415p-9, 0x1.d6e000d181bccp-9, 0x1.ca0c621a5970bp-9, 0x1.bd86b82cc3bccp-9, 0x1.b14d95e1298a7p-9, 0x1.a55f919fe9dd1p-9, 0x1.99bb45711beb5p-9, 0x1.8e5f4f0aa0dffp-9, 0x1.834a4fddbb724p-9, 0x1.787aed2364ebbp-9, 0x1.6defcfe7c0ffbp-9, 0x1.63a7a514aa449p-9, 0x1.59a11d7b6e614p-9, 0x1.4fdaeddd6d60ep-9, 0x1.4653cef42227bp-9, 0x1.3d0a7d783e776p-9, 0x1.33fdba27ce20cp-9, 0x1.2b2c49cc0773ep-9, 0x1.2294f53dd13d7p-9, 0x1.1a368969e91p-9, 0x1.120fd7544484ep-9, 0x1.0a1fb41aa2c2dp-9, 0x1.0264f8f6a22b2p-9, 0x1.f5bd067e17db6p-10, 0x1.e71668d146664p-10, 0x1.d8d3e40c6d20fp-10, 0x1.caf34b9081c78p-10, 0x1.bd727af7dda15p-10, 0x1.b04f561308b92p-10, 0x1.a387c8e4cc6f6p-10, 0x1.9719c79d29326p-10, 0x1.8b034e932f5b8p-10, 0x1.7f42623e08e33p-10, 0x1.73d50f2d65736p-10, 0x1.68b96a008df48p-10, 0x1.5ded8f5ceb5cfp-10, 0x1.536fa3e3e37e5p-10, 0x1.493dd427c6012p-10, 0x1.3f5654a000bb2p-10, 0x1.35b7619ceb4fdp-10, 0x1.2c5f3f3a81394p-10, 0x1.234c3952d2a1ep-10, 0x1.1a7ca36fbc985p-10, 0x1.11eed8bc17e77p-10, 0x1.09a13bf45e91ep-10, 0x1.01923756cde99p-10, 0x1.f38079263513ep-11, 0x1.e45389732f647p-11, 0x1.d59aa05411365p-11, 0x1.c752cd0434a21p-11, 0x1.b9792d1685ef2p-11, 0x1.ac0aec5122cf9p-11, 0x1.9f054487d4dfp-11, 0x1.92657d762bc1ap-11, 0x1.8628ec9905cbep-11, 0x1.7a4cf50776151p-11, 0x1.6ecf074b70e55p-11, 0x1.63aca139a9df4p-11, 0x1.58e34dc94319dp-11, 0x1.4e70a4eae8f58p-11, 0x1.44524b603d6ecp-11, 0x1.3a85f291d7c5bp-11, 0x1.3109586617d19p-11, 0x1.27da47176648dp-11, 0x1.1ef6950999098p-11, 0x1.165c24a04eda4p-11, 0x1.0e08e4143b26ep-11, 0x1.05facd48eb8fep-11, 0x1.fc5fcb449b7f4p-12, 0x1.ed4c7bb3a5b0ap-12, 0x1.deb7e3a84b671p-12, 0x1.d09e50ecc7dc4p-12, 0x1.c2fc26f7062dcp-12, 0x1.b5cdde93de925p-12, 0x1.a910059279d61p-12, 0x1.9cbf3e6e73492p-12, 0x1.90d83ffcec213p-12, 0x1.8557d517261a1p-12, 0x1.7a3adc471763fp-12, 0x1.6f7e47738652ap-12, 0x1.651f1b8da1274p-12, 0x1.5b1a703d385f4p-12, 0x1.516d6f8f34f8dp-12, 0x1.481555a37f7ffp-12, 0x1.3f0f705b11e42p-12, 0x1.36591f0872c06p-12, 0x1.2defd21de96b1p-12, 0x1.25d10adf55d18p-12, 0x1.1dfa5b11ef0c6p-12, 0x1.166964ae92935p-12, 0x1.0f1bd993a1f3dp-12, 0x1.080f7b37f08bcp-12, 0x1.01421a5e84095p-12, 0x1.f5632d95a9a25p-13, 0x1.e8b7bdeb50d6dp-13, 0x1.dc7ddf866ecd9p-13, 0x1.d0b1a87305f2bp-13, 0x1.c54f4a6e8b1aap-13, 0x1.ba5312598d155p-13, 0x1.afb967a7964a8p-13, 0x1.a57ecbd52e7d9p-13, 0x1.9b9fd9da376bcp-13, 0x1.921945a21319fp-13, 0x1.88e7db83e60ep-13, 0x1.80087fbc6fc26p-13, 0x1.77782de95d666p-13, 0x1.6f33f88757945p-13, 0x1.67390870e57ffp-13, 0x1.5f849c5fbcbdap-13, 0x1.5814086ea9421p-13, 0x1.50e4b59edc614p-13, 0x1.49f4215d69bcfp-13, 0x1.433fdd0b242fdp-13, 0x1.3cc58d86df35ep-13, 0x1.3682eab7f2fcp-13, 0x1.3075bf1ca1077p-13, 0x1.2a9be7582d343p-13, 0x1.24f351c396a39p-13, 0x1.1f79fe00a323dp-13, 0x1.1a2dfc8d5146ep-13, 0x1.150d6e5a4561dp-13, 0x1.1016846266fdcp-13, 0x1.0b477f44817f1p-13, 0x1.069eaede35ab2p-13, 0x1.021a71e913522p-13, 0x1.fb726b31e90f4p-14, 0x1.f2f2ea7903cb7p-14, 0x1.eab373be70a4dp-14, 0x1.e2b133d90f968p-14, 0x1.dae971acd6673p-14, 0x1.d3598d76c5057p-14, 0x1.cbff001f48681p-14, 0x1.c4d75a8e8ea0ap-14, 0x1.bde0450471aa7p-14, 0x1.b7177e7368d7ap-14, 0x1.b07adbdf1d96fp-14, 0x1.aa0847bd5d817p-14, 0x1.a3bdc15c163d8p-14, 0x1.9d995c47c4ac7p-14, 0x1.97993fb663c13p-14, 0x1.91bba5f5968f6p-14, 0x1.8bfedbdbe229ap-14, 0x1.8661403b698b2p-14, 0x1.80e143592dac5p-14, 0x1.7b7d6666fcd6cp-14, 0x1.76343afff6bdap-14, 0x1.710462a82318ep-14, 0x1.6bec8e4d37129p-14, 0x1.66eb7dce1cfc5p-14, 0x1.61ffff7fcfd5ap-14, 0x1.5d28efb9c0573p-14, 0x1.58653861cf87bp-14, 0x1.53b3d07c79b5ep-14, 0x1.4f13bbbeea2ddp-14, 0x1.4a840a242bb55p-14, 0x1.4603d783f675dp-14, 0x1.41924b2cc4a73p-14, 0x1.3d2e977fedae6p-14, 0x1.38d7f9902c91ep-14, 0x1.348db8c3360ebp-14, 0x1.304f2673d457ep-14, 0x1.2c1b9d99500a6p-14, 0x1.27f2826e07fbdp-14, 0x1.23d34219fe578p-14, 0x1.1fbd525ed2595p-14, 0x1.1bb03146cee12p-14, 0x1.17ab64d4d32e6p-14, 0x1.13ae7ab6f042fp-14, 0x1.0fb907fbba91p-14, 0x1.0bcaa8c852251p-14, 0x1.07e300114df1fp-14, 0x1.0401b7557952bp-14, 0x1.00267e599eafap-14, 0x1.f8a215cf3f1a6p-15, 0x1.f102311bbfaa7p-15, 0x1.e96cd0c391b79p-15, 0x1.e1e18185f0dbp-15, 0x1.da5fda41b15bep-15, 0x1.d2e77b84592ap-15, 0x1.cb780f1a31152p-15, 0x1.c41147a4128d3p-15, 0x1.bcb2e02e78ec6p-15, 0x1.b55c9bcd6c4eap-15, 0x1.ae0e453952fe8p-15, 0x1.a6c7ae7175548p-15, 0x1.9f88b05ec9488p-15, 0x1.98512a7b8cc1fp-15, 0x1.9121027c90403p-15, 0x1.89f823fe26a87p-15, 0x1.82d6803222eeap-15, 0x1.7bbc0d92ec8b4p-15, 0x1.74a8c795c57fbp-15, 0x1.6d9cae6432a7p-15, 0x1.6697c6927b4f7p-15, 0x1.5f9a18dcdfc37p-15, 0x1.58a3b1e53db5cp-15, 0x1.51b4a1f304fd8p-15, 0x1.4accfcb64ce21p-15, 0x1.43ecd90b14ffp-15, 0x1.3d1450c19dad6p-15, 0x1.36438065f706fp-15, 0x1.2f7a870aff02ep-15, 0x1.28b986184115ep-15, 0x1.2200a11706a7p-15, 0x1.1b4ffd840d8cdp-15, 0x1.14a7c2a1c03eep-15, 0x1.0e08194c2d253p-15, 0x1.07712bcf15a6bp-15, 0x1.00e325bd5269fp-15, 0x1.f4bc6794d9bf6p-16, 0x1.e7c5074a2fa58p-16, 0x1.dae087a755a31p-16, 0x1.ce0f472418029p-16, 0x1.c151a56272b5ap-16, 0x1.b4a802f06de61p-16, 0x1.a812c10b51851p-16, 0x1.9b924167f05fdp-16, 0x1.8f26e5fbf302dp-16, 0x1.82d110ca150d9p-16, 0x1.769123b057541p-16, 0x1.6a67803aaafe9p-16, 0x1.5e5487752fdadp-16, 0x1.525899c1e8fc3p-16, 0x1.467416b18d98cp-16, 0x1.3aa75cdce4f7fp-16, 0x1.2ef2c9c1e177dp-16, 0x1.2356b9a0668b3p-16, 0x1.17d3875b8a97dp-16, 0x1.0c698c5b5cb31p-16, 0x1.0119206f52429p-16, 0x1.ebc5336c1436cp-17, 0x1.d58c9906cb88bp-17, 0x1.bf891691927c3p-17, 0x1.a9bb4d02422abp-17, 0x1.9423d93710323p-17, 0x1.7ec353d3a4afp-17, 0x1.699a511cd937p-17, 0x1.54a960da8c46ep-17, 0x1.3ff10e3c4fec7p-17, 0x1.2b71dfbc519dbp-17, 0x1.172c57085e6e2p-17, 0x1.0320f0efbb33p-17, 0x1.dea04a984b63fp-18, 0x1.b774cde59e1fp-18, 0x1.90c0474cc08c5p-18, 0x1.6a83880fef812p-18, 0x1.44bf571f540bcp-18, 0x1.1f74710385ff9p-18, 0x1.f5470f9b5c6e2p-19, 0x1.ac9a8626417f5p-19, 0x1.64e47fc22917cp-19, 0x1.1e2621721e549p-19, 0x1.b0c0f652d2e15p-20, 0x1.27290f83c6961p-20, 0x1.3f0cb43599f9p-21, 0x1.9da77c7deb4f1p-24, -0x1.a7647e5cc8b76p-22, -0x1.d7263b71f559ap-21, -0x1.6b525db7bec9cp-20, -0x1.e915e3d5b953ep-20, -0x1.326e6e908d465p-19, -0x1.6f534f92720c4p-19, -0x1.ab3953ccc62a5p-19, -0x1.e6204dfc7b07p-19, -0x1.1004124373c62p-18, -0x1.2c7868a6d47d8p-18, -0x1.486d30b6ea307p-18, -0x1.63e27a7e0d79dp-18, -0x1.7ed85f69efcdbp-18, -0x1.994f02249a05ap-18, -0x1.b3468e73e6441p-18, -0x1.ccbf3918758c1p-18, -0x1.e5b93fa3d91ccp-18, -0x1.fe34e85841a8p-18, -0x1.0b1941011b74bp-17, -0x1.16d931e7e6197p-17, -0x1.225a7694f339dp-17, -0x1.2d9d42c5ff005p-17, -0x1.38a1ce2d525fdp-17, -0x1.4368545db15ecp-17, -0x1.4df114b51748bp-17, -0x1.583c5247a428fp-17, -0x1.624a53cb1fb87p-17, -0x1.6c1b638028168p-17, -0x1.75afcf1d3a374p-17, -0x1.7f07e7b8f26ep-17, -0x1.882401b4460d6p-17, -0x1.910474a5712c2p-17, -0x1.99a99b41e3e31p-17, -0x1.a213d34765c8fp-17, -0x1.aa437d65bb21ep-17, -0x1.b238fd2a019bep-17, -0x1.b9f4b8e951b28p-17, -0x1.c17719a9cf6d9p-17, -0x1.c8c08b0d4bc4ep-17, -0x1.cfd17b3abbb19p-17, -0x1.d6aa5ac9c75b8p-17, -0x1.dd4b9caded30fp-17, -0x1.e3b5b61e5fae7p-17, -0x1.e9e91e844e10cp-17, -0x1.efe64f6371ef3p-17, -0x1.f5adc445704b2p-17, -0x1.fb3ffaa54908ep-17, -0x1.004eb8edb4a1p-16, -0x1.02e355844f672p-16, -0x1.055e14814fa89p-16, -0x1.07bf381f42cb4p-16, -0x1.0a07035effe66p-16, -0x1.0c35b9fe58183p-16, -0x1.0e4ba06daffeap-16, -0x1.1048fbc6b3a7cp-16, -0x1.122e11c3682e3p-16, -0x1.13fb28b3f4c0ep-16, -0x1.15b08775c6fc4p-16, -0x1.174e756aef774p-16, -0x1.18d53a711b992p-16, -0x1.1a451ed88f6e9p-16, -0x1.1b9e6b5b80c65p-16, -0x1.1ce16915b8eb5p-16, -0x1.1e0e617c14813p-16, -0x1.1f259e5483a3cp-16, -0x1.202769add343p-16, -0x1.21140dd7e9c9ep-16, -0x1.21ebd55bd9f9fp-16, -0x1.22af0af3ac476p-16, -0x1.235df983d88dcp-16, -0x1.23f8ec12dfdc9p-16, -0x1.24802dc310649p-16, -0x1.24f409cb4de8ap-16, -0x1.2554cb6f416cap-16, -0x1.25a2bdf93aacdp-16, -0x1.25de2cb39d92ap-16, -0x1.260762e29fa5p-16, -0x1.261eabbd1a907p-16, -0x1.26245266ca92ep-16, -0x1.2618a1eb0314ep-16, -0x1.25fbe53567404p-16, -0x1.25ce670c903p-16, -0x1.2590720d18b94p-16, -0x1.254250a37b48ep-16, -0x1.24e44d073a7f8p-16, -0x1.2476b1358afbp-16, -0x1.23f9c6eb553bbp-16, -0x1.236dd7a1bde43p-16, -0x1.22d32c88b5926p-16, -0x1.222a0e82198e3p-16, -0x1.2172c61d55746p-16, -0x1.20ad9b939da3ep-16, -0x1.1fdad6c2fea18p-16, -0x1.1efabf2a1adcfp-16, -0x1.1e0d9be4933cp-16, -0x1.1d13b3a74e80cp-16, -0x1.1c0d4cbcb2fecp-16, -0x1.1afaad00dd6e5p-16, -0x1.19dc19de05252p-16, -0x1.18b1d8494af47p-16, -0x1.177c2cbfcc7b3p-16, -0x1.163b5b430e225p-16, -0x1.14efa75655c5ep-16, -0x1.139953fb94f45p-16, -0x1.1238a3b0d9351p-16, -0x1.10cdd86d99009p-16, -0x1.0f59339fcfb81p-16, -0x1.0ddaf629a6d91p-16, -0x1.0c53605fb0bf8p-16, -0x1.0ac2b2066dd1bp-16, -0x1.09292a501e0e4p-16, -0x1.078707da6af83p-16, -0x1.05dc88acdbfdfp-16, -0x1.0429ea3727924p-16, -0x1.026f694f464c2p-16, -0x1.00ad4230156c6p-16, -0x1.fdc760ee7ef3fp-17, -0x1.fa25de4962609p-17, -0x1.f6767130e1a05p-17, -0x1.f2b98d23144a2p-17, -0x1.eeefa45a6cb1bp-17, -0x1.eb1927cb8a2dbp-17, -0x1.e73687229c65cp-17, -0x1.e34830c25a26fp-17, -0x1.df4e91c19b74ep-17, -0x1.db4a15e9c7756p-17, -0x1.d73b27b628f11p-17, -0x1.d3223052f6727p-17, -0x1.ceff979b3a2a5p-17, -0x1.cad3c41802691p-17, -0x1.c69f1b00f49dfp-17, -0x1.c262003a8e957p-17, -0x1.be1cd6550c01dp-17, -0x1.b9cffe8d58986p-17, -0x1.b57bd8cc590aap-17, -0x1.b120c3a6b160ep-17, -0x1.acbf1c5cdeeb2p-17, -0x1.a8573edb310c6p-17, -0x1.a3e985ba170d1p-17, -0x1.9f764a3e72405p-17, -0x1.9afde45a27929p-17, -0x1.9680aaacdc53dp-17, -0x1.91fef28458374p-17, -0x1.8d790fdcd8e9ap-17, -0x1.88ef5562dae96p-17, -0x1.84621473ab153p-17, -0x1.7fd19d1e20949p-17, -0x1.7b3e3e23ad389p-17, -0x1.76a844fa54721p-17, -0x1.720ffdcd76856p-17, -0x1.6d75b37f5fbd9p-17, -0x1.68d9afaa95542p-17, -0x1.643c3aa332336p-17, -0x1.5f9d9b78cb307p-17, -0x1.5afe17f81f63fp-17, -0x1.565df4ac91be9p-17, -0x1.51bd74e272252p-17, -0x1.4d1cdaa863b55p-17, -0x1.487c66d1a169cp-17, -0x1.43dc58f7cd938p-17, -0x1.3f3cef7c77404p-17, -0x1.3a9e678c5a7e1p-17, -0x1.3600fd209f24p-17, -0x1.3164eb017bdb1p-17, -0x1.2cca6ac81d154p-17, -0x1.2831b4e145ed7p-17, -0x1.239b008f771b1p-17, -0x1.1f0683ed579d4p-17, -0x1.1a7473f01f461p-17, -0x1.15e50469fb81p-17, -0x1.1158680ca6fa1p-17, -0x1.0cced06bf572dp-17, -0x1.08486e001afe3p-17, -0x1.03c57028855e8p-17, -0x1.fe8c0a5d618e2p-18, -0x1.f594b48fea0dcp-18, -0x1.eca537319e561p-18, -0x1.e3bde86fd3f92p-18, -0x1.dadf1c60197fbp-18, -0x1.d20925064031p-18, -0x1.c93c525a5bc38p-18, -0x1.c078f24d58e6cp-18, -0x1.b7bf50cf7d37ep-18, -0x1.af0fb7d503456p-18, -0x1.a66a6f5cb0fe9p-18, -0x1.9dcfbd74ad133p-18, -0x1.953fe640bc092p-18, -0x1.8cbb2bffcea6fp-18, -0x1.8441cf113a7a3p-18, -0x1.7bd40dfadbd52p-18, -0x1.7372256e97d48p-18, -0x1.6b1c50506ba12p-18, -0x1.62d2c7bbebddap-18, -0x1.5a95c3098d50dp-18, -0x1.526577d4a4968p-18, -0x1.4a421a02c6525p-18, -0x1.422bdbc6a6bfbp-18, -0x1.3a22eda727759p-18, -0x1.32277e85d3e4fp-18, -0x1.2a39bba3b38cep-18, -0x1.2259d0a6bc26p-18, -0x1.1a87e7a06af4p-18, -0x1.12c42912ff506p-18, -0x1.0b0ebbf6d8a8dp-18, }}, 
      {{0x1.21a2218eca5c6p-1, 0x1.212d60b3edf04p-1, 0x1.206b73da3b77p-1, 0x1.1f5d557afabc7p-1, 0x1.1e045bf445b51p-1, 0x1.1c62322cf7b4fp-1, 0x1.1a78cf24fe917p-1, 0x1.184a6ce37e6cep-1, 0x1.15d97f22a2687p-1, 0x1.1328aa06249e5p-1, 0x1.103ab917d70ccp-1, 0x1.0d1296b5c8583p-1, 0x1.09b344104d456p-1, 0x1.061fd1cb50939p-1, 0x1.025b594d8490ep-1, 0x1.fcd1ed82697d5p-2, 0x1.f497878a6c11ep-2, 0x1.ec0da5910e3eep-2, 0x1.e33a5610d0f1dp-2, 0x1.da238a4d8c995p-2, 0x1.d0cf109b422fcp-2, 0x1.c7428fa70ab9bp-2, 0x1.bd8382a9ee9bbp-2, 0x1.b397366dbce6bp-2, 0x1.a982c70ceb4adp-2, 0x1.9f4b1e5798f21p-2, 0x1.94f4f2c9557e1p-2, 0x1.8a84c6fcd22f6p-2, 0x1.7ffee98c38bccp-2, 0x1.7567754e8681dp-2, 0x1.6ac251e3d610fp-2, 0x1.60133483f625cp-2, 0x1.555da10412889p-2, 0x1.4aa4eb0970fa2p-2, 0x1.3fec376071f5ap-2, 0x1.35367d700f2b4p-2, 0x1.2a8688c2f8eb5p-2, 0x1.1fdefaa060c9cp-2, 0x1.15424baf22797p-2, 0x1.0ab2cd9ec7124p-2, 0x1.0032acd26191bp-2, 0x1.eb87e413b725bp-3, 0x1.d6d1080d80d78p-3, 0x1.c244525408405p-3, 0x1.ade51211550f1p-3, 0x1.99b65beb1ebbp-3, 0x1.85bb0cfdbe3d7p-3, 0x1.71f5cdbc3b189p-3, 0x1.5e6914b3b9386p-3, 0x1.4b172930fb30ap-3, 0x1.380225c72a223p-3, 0x1.252bfab76ac64p-3, 0x1.129670391f137p-3, 0x1.004328a30f6c2p-3, 0x1.dc6744ebc4804p-4, 0x1.b8d2749135b2ap-4, 0x1.95ca592fe1b25p-4, 0x1.73512ef3333a5p-4, 0x1.5168f8692e986p-4, 0x1.3013817fbc87p-4, 0x1.0f5262514118bp-4, 0x1.de4e03867ee37p-5, 0x1.9f252ff3c5455p-5, 0x1.612c61467a2ep-5, 0x1.24655a3a2aa95p-5, 0x1.d1a319e010864p-6, 0x1.5ce43d6a6a667p-6, 0x1.d51fae396447ep-7, 0x1.ea9c4c6bcd3f9p-8, 0x1.a552fdb8cfa13p-11, -0x1.7795ce338a3ebp-8, -0x1.8d12c50304939p-7, -0x1.2cc1fccf8fc32p-6, -0x1.909079f3b62f3p-6, -0x1.f1f67c2d024d6p-6, -0x1.287b05eb96c5fp-5, -0x1.56c8c97a3ff31p-5, -0x1.83e5ec7144b79p-5, -0x1.afd3ff1aac17fp-5, -0x1.da94bc5aafa13p-5, -0x1.021503df33ad4p-4, -0x1.164af5cc5cbf7p-4, -0x1.29ed4b962b501p-4, -0x1.3cfd2e70dc187p-4, -0x1.4f7bd84426d4fp-4, -0x1.616a92d10a81p-4, -0x1.72cab6dc8fe8ap-4, -0x1.839dab5f40c2dp-4, -0x1.93e4e4b93134ap-4, -0x1.a3a1e3ea76174p-4, -0x1.b2d635cff74a3p-4, -0x1.c18372648de29p-4, -0x1.cfab3c0671bc6p-4, -0x1.dd4f3ec0e8e13p-4, -0x1.ea712f9a467e7p-4, -0x1.f712cbe645336p-4, -0x1.019aec4e5ad6ep-3, -0x1.076e10da55e72p-3, -0x1.0d03bcc20392cp-3, -0x1.125cdc11cb0e6p-3, -0x1.177a5d6bdcb51p-3, -0x1.1c5d31bed1f9ap-3, -0x1.21064bfe980b5p-3, -0x1.2576a0dfb4215p-3, -0x1.29af2694d8a1dp-3, -0x1.2db0d48eca431p-3, -0x1.317ca33ea6be3p-3, -0x1.35138bda71cfp-3, -0x1.38768823f937fp-3, -0x1.3ba69232061bcp-3, -0x1.3ea4a43bd1204p-3, -0x1.4171b866bbfcbp-3, -0x1.440ec8963d1a8p-3, -0x1.467cce3e037p-3, -0x1.48bcc23639f43p-3, -0x1.4acf9c91ee312p-3, -0x1.4cb654777dcdap-3, -0x1.4e71dffb17607p-3, -0x1.500333fb2290dp-3, -0x1.516b43fea03b1p-3, -0x1.52ab0215620dcp-3, -0x1.53c35eba0f115p-3, -0x1.54b548b5eef16p-3, -0x1.5581ad0662864p-3, -0x1.562976c400d28p-3, -0x1.56ad8f0b47bd9p-3, -0x1.570edce6d43c2p-3, -0x1.574e453b0daa1p-3, -0x1.576caab33aa98p-3, -0x1.576aedaff1741p-3, -0x1.5749ec36cf62ap-3, -0x1.570a81e36b5cp-3, -0x1.56ad87d97fa55p-3, -0x1.5633d4b828c59p-3, -0x1.559e3c8e41682p-3, -0x1.54ed90cfc0d9cp-3, -0x1.5422a04c16d9ap-3, -0x1.533e37256ec09p-3, -0x1.52411ec8df45ep-3, -0x1.512c1de769da6p-3, -0x1.4ffff86fc615ap-3, -0x1.4ebd6f88f690cp-3, -0x1.4d65418d8beb8p-3, -0x1.4bf82a079c22dp-3, -0x1.4a76e1ad6026cp-3, -0x1.48e21e5e65362p-3, -0x1.473a93215e517p-3, -0x1.4580f022799e8p-3, -0x1.43b5e2b23a9e8p-3, -0x1.41da1544d8547p-3, -0x1.3fee2f7209603p-3, -0x1.3df2d5f5497bp-3, -0x1.3be8aaae80984p-3, -0x1.39d04ca318d9fp-3, -0x1.37aa57ff6734cp-3, -0x1.357766187da15p-3, -0x1.33380d6e448d2p-3, -0x1.30ece1aded22ep-3, -0x1.2e9673b4b0fa3p-3, -0x1.2c355192d663ep-3, -0x1.29ca068efdb7cp-3, -0x1.27551b29ac354p-3, -0x1.24d715211b7ffp-3, -0x1.225077753de34p-3, -0x1.1fc1c26bfe658p-3, -0x1.1d2b7395b5a2fp-3, -0x1.1a8e05d1d36ebp-3, -0x1.17e9f153b46efp-3, -0x1.153faba7ab9fp-3, -0x1.128fa7b834473p-3, -0x1.0fda55d34d4cap-3, -0x1.0d2023b0031f4p-3, -0x1.0a617c74132a5p-3, -0x1.079ec8b9c40b4p-3, -0x1.04d86e95d123p-3, -0x1.020ed19d805fep-3, -0x1.fe84a5d9b2e77p-4, -0x1.f8e6a259db82dp-4, -0x1.f34451349ddp-4, -0x1.ed9e661726c2ep-4, -0x1.e7f58feff5968p-4, -0x1.e24a78fc521c8p-4, -0x1.dc9dc6d5f44e5p-4, -0x1.d6f01a80cf0d8p-4, -0x1.d14210791a396p-4, -0x1.cb9440c16914ap-4, -0x1.c5e73ef0f8f6fp-4, -0x1.c03b9a421de6ap-4, -0x1.ba91dda0cb57cp-4, -0x1.b4ea8fb9401aep-4, -0x1.af463306d0337p-4, -0x1.a9a545e2c3cafp-4, -0x1.a4084293540cp-4, -0x1.9e6f9f5ab44dcp-4, -0x1.98dbce863d60ap-4, -0x1.934d3e7d9d9aep-4, -0x1.8dc459d2212c1p-4, -0x1.8841874e044a8p-4, -0x1.82c52a03d346dp-4, -0x1.7d4fa15dd36b1p-4, -0x1.77e1492d741e9p-4, -0x1.727a79bac79a4p-4, -0x1.6d1b87d3fc517p-4, -0x1.67c4c4dcdd36ap-4, -0x1.62767ede4f5dp-4, -0x1.5d310095ce8b8p-4, -0x1.57f49184e83b1p-4, -0x1.52c17600b03ecp-4, -0x1.4d97ef412ebd5p-4, -0x1.48783b70c6f3dp-4, -0x1.436295bb9201fp-4, -0x1.3e57365eb0365p-4, -0x1.395652b78ab2dp-4, -0x1.34601d5306fdap-4, -0x1.2f74c5fcaabd7p-4, -0x1.2a9479cdab944p-4, -0x1.25bf633bed08ep-4, -0x1.20f5aa28e7917p-4, -0x1.1c3773f07adbbp-4, -0x1.1784e377a6935p-4, -0x1.12de193b2b0dep-4, -0x1.0e43335e0e2bcp-4, -0x1.09b44db8054ddp-4, -0x1.053181e3c0af3p-4, -0x1.00bae74d1af3ap-4, -0x1.f8a1267e4c1a4p-5, -0x1.efe531e4341a3p-5, -0x1.e7421332407d2p-5, -0x1.deb7e8dffa5c2p-5, -0x1.d646cd912d9c6p-5, -0x1.cdeed830a6c14p-5, -0x1.c5b01c0aacd7dp-5, -0x1.bd8aa8e72acefp-5, -0x1.b57e8b238a59ap-5, -0x1.ad8bcbcc3e98ep-5, -0x1.a5b270b5fe8d5p-5, -0x1.9df27c96abcb7p-5, -0x1.964bef1de518dp-5, -0x1.8ebec50d44f22p-5, -0x1.874af85045fe8p-5, -0x1.7ff08013d52e3p-5, -0x1.78af50dd86f69p-5, -0x1.71875ca275ff9p-5, -0x1.6a7892ddc6577p-5, -0x1.6382e0a6ce931p-5, -0x1.5ca630c6e5749p-5, -0x1.55e26bced253cp-5, -0x1.4f37782be267p-5, -0x1.48a53a3ca2eabp-5, -0x1.422b9465386abp-5, -0x1.3bca67235f7e4p-5, -0x1.358191220a4b8p-5, -0x1.2f50ef4ca4526p-5, -0x1.29385ce1f5d03p-5, -0x1.2337b386a98bep-5, -0x1.1d4ecb5776cd4p-5, -0x1.177d7afaec556p-5, -0x1.11c397b2dba29p-5, -0x1.0c20f56d6c3f3p-5, -0x1.069566d5cd99fp-5, -0x1.0120bd648f803p-5, -0x1.f78592df3514bp-6, -0x1.ecf6b473a1d98p-6, -0x1.e2947c04a4ca2p-6, -0x1.d85e8426cc2b2p-6, -0x1.ce5465a20faedp-6, -0x1.c475b78e40cecp-6, -0x1.bac20f6ec37c3p-6, -0x1.b139014d99002p-6, -0x1.a7da1fd5ba3c3p-6, -0x1.9ea4fc6cc9bc3p-6, -0x1.9599274c1744bp-6, -0x1.8cb62f98f7addp-6, -0x1.83fba37c797d6p-6, -0x1.7b69103a72ba3p-6, -0x1.72fe0247e8adbp-6, -0x1.6aba0560d3b03p-6, -0x1.629ca49d4a41ap-6, -0x1.5aa56a860778ap-6, -0x1.52d3e12855edfp-6, -0x1.4b27922964c4ep-6, -0x1.43a006d8ffc83p-6, -0x1.3c3cc843b690ap-6, -0x1.34fd5f446dc95p-6, -0x1.2de154955eca1p-6, -0x1.26e830e08a753p-6, -0x1.20117ccf9bd34p-6, -0x1.195cc11b45b03p-6, -0x1.12c9869a137b5p-6, -0x1.0c57564eb5dc7p-6, -0x1.0605b975cdce2p-6, -0x1.ffa8732666dafp-7, -0x1.f384c0fd8077ap-7, -0x1.e79f70e139a68p-7, -0x1.dbf7981a2b251p-7, -0x1.d08c4cdfe8469p-7, -0x1.c55ca66ed3a42p-7, -0x1.ba67bd1cfd817p-7, -0x1.afacaa6e36204p-7, -0x1.a52a89272c9a4p-7, -0x1.9ae0755fccea8p-7, -0x1.90cd8c94b7292p-7, -0x1.86f0edb7f8c6ap-7, -0x1.7d49b940ee745p-7, -0x1.73d7113b6c45dp-7, -0x1.6a9819561c923p-7, -0x1.618bf6f02aafcp-7, -0x1.58b1d1262fb1p-7, -0x1.5008d0de6f357p-7, -0x1.479020d466d7bp-7, -0x1.3f46eda3aeaaap-7, -0x1.372c65d23b3f2p-7, -0x1.2f3fb9d9f5a66p-7, -0x1.27801c31bfae5p-7, -0x1.1fecc155d5b48p-7, -0x1.1884dfcfa29c7p-7, -0x1.1147b03cfcc27p-7, -0x1.0a346d56dea3ep-7, -0x1.034a53f78fb1ep-7, -0x1.f911464091691p-8, -0x1.ebdd37fcb5da7p-8, -0x1.def703dfb0449p-8, -0x1.d25d350f88e59p-8, -0x1.c60e5b239420ep-8, -0x1.ba090a2b0c791p-8, -0x1.ae4bdab2c0616p-8, -0x1.a2d569c9f00c6p-8, -0x1.97a459066049ap-8, -0x1.8cb74e879ad7ep-8, -0x1.820cf4f97dab1p-8, -0x1.77a3fb9601817p-8, -0x1.6d7b162651f4ep-8, -0x1.6390fd03424abp-8, -0x1.59e46d15048ccp-8, -0x1.507427d257d6ap-8, -0x1.473ef33f0b7fbp-8, -0x1.3e4399e9f2ffap-8, -0x1.3580eaea4bf68p-8, -0x1.2cf5b9dc97779p-8, -0x1.24a0dedef6126p-8, -0x1.1c81368cf256ap-8, -0x1.1495a1faed9c6p-8, -0x1.0cdd06b109a17p-8, -0x1.05564ea593351p-8, -0x1.fc00d06e50fb3p-9, -0x1.edb48c4cb3a4ap-9, -0x1.dfc5bf1de6a89p-9, -0x1.d2325fc1e42a5p-9, -0x1.c4f86db226b31p-9, -0x1.b815f0f242db4p-9, -0x1.ab88f9ffc2ad1p-9, -0x1.9f4fa1c18a3e4p-9, -0x1.936809768dc6dp-9, -0x1.87d05aa4129f4p-9, -0x1.7c86c7038428fp-9, -0x1.7189886fb6589p-9, -0x1.66d6e0d1be6aap-9, -0x1.5c6d1a0d65237p-9, -0x1.524a85ed4b5efp-9, -0x1.486d7e0e95977p-9, -0x1.3ed463cc4b6dcp-9, -0x1.357da02a83658p-9, -0x1.2c67a3c112392p-9, -0x1.2390e6a62caa5p-9, -0x1.1af7e858b2a1p-9, -0x1.129b2faa45efbp-9, -0x1.0a794aa9352ecp-9, -0x1.0290ce8a2a5b6p-9, -0x1.f5c0af2388243p-10, -0x1.e6cd11fc26676p-10, -0x1.d84419dfb53b4p-10, -0x1.ca2328a7a5a5ep-10, -0x1.bc67ad9787f9cp-10, -0x1.af0f252f607d9p-10, -0x1.a21718fd70774p-10, -0x1.957d1f7079f08p-10, -0x1.893edba9747ddp-10, -0x1.7d59fd4d99d76p-10, -0x1.71cc4058672fdp-10, -0x1.66936ced7a83bp-10, -0x1.5bad572ab1363p-10, -0x1.5117defa48ee1p-10, -0x1.46d0efe5259adp-10, -0x1.3cd680e540015p-10, -0x1.33269438288d7p-10, -0x1.29bf3731c92fdp-10, -0x1.209e820f44825p-10, -0x1.17c297ca42222p-10, -0x1.0f29a5ec21254p-10, -0x1.06d1e461c4cfp-10, -0x1.fd732a9eb2ffep-11, -0x1.edbe09c929a4cp-11, -0x1.de8112625422ap-11, -0x1.cfb903f33dac8p-11, -0x1.c162b118a8eaap-11, -0x1.b37aff2e055a2p-11, -0x1.a5fee5f913dd5p-11, -0x1.98eb6f561ba39p-11, -0x1.8c3db6e50f8e9p-11, -0x1.7ff2e9b731b21p-11, -0x1.740845fdd9fb3p-11, -0x1.687b1ab994aadp-11, -0x1.5d48c76a6ec6p-11, -0x1.526ebbc109237p-11, -0x1.47ea775040504p-11, -0x1.3db9893fdf121p-11, -0x1.33d9900029c21p-11, -0x1.2a4838fe593f8p-11, -0x1.21034059d342fp-11, -0x1.1808709a2f61p-11, -0x1.0f55a26685b7bp-11, -0x1.06e8bc3d32ed1p-11, -0x1.fd7f64599dbf6p-12, -0x1.edb10b1bdeb55p-12, -0x1.de62897bb68f5p-12, -0x1.cf9015b466a6p-12, -0x1.c135fefabe49ep-12, -0x1.b350acf877df8p-12, -0x1.a5dc9f48a58dp-12, -0x1.98d66cf677961p-12, -0x1.8c3ac3fe016cap-12, -0x1.800668ce58a2ep-12, -0x1.743635cdf61f4p-12, -0x1.68c71ae0c7aap-12, -0x1.5db61cf043c98p-12, -0x1.530055750d8aap-12, -0x1.48a2f202e9689p-12, -0x1.3e9b33d5e1bf6p-12, -0x1.34e66f61efb65p-12, -0x1.2b820be3ecec7p-12, -0x1.226b82f4cdb76p-12, -0x1.19a0601e1fa3bp-12, -0x1.111e4070ce468p-12, -0x1.08e2d21d84969p-12, -0x1.00ebd40eab401p-12, -0x1.f26e2b08ebc8ap-13, -0x1.e384eb64bcfcep-13, -0x1.d517c6bdbb45ap-13, -0x1.c722b90809a7dp-13, -0x1.b9a1dbe5a3fdep-13, -0x1.ac9165ee71d59p-13, -0x1.9feda9fd70a52p-13, -0x1.93b3167ff5eep-13, -0x1.87de34c8bf0d5p-13, -0x1.7c6ba8662f4c9p-13, -0x1.71582e7bb5e45p-13, -0x1.66a09d1e75297p-13, -0x1.5c41e2b55707bp-13, -0x1.5239055ba1e52p-13, -0x1.48832246ff543p-13, -0x1.3f1d6d3106974p-13, -0x1.36052fc27f97ap-13, -0x1.2d37c90345691p-13, -0x1.24b2accbc46d3p-13, -0x1.1c73633a01b18p-13, -0x1.147788297846ep-13, -0x1.0cbccaad7b84bp-13, -0x1.0540ec8ed50e3p-13, -0x1.fc0383978eaacp-14, -0x1.edfa603585f01p-14, -0x1.e0625ce092ecdp-14, -0x1.d337890daf421p-14, -0x1.c67614d344ce6p-14, -0x1.ba1a5003de287p-14, -0x1.ae20a94e496a5p-14, -0x1.a285ad617bb21p-14, -0x1.97460616991c4p-14, -0x1.8c5e799f79e1fp-14, -0x1.81cbe9b921b5fp-14, -0x1.778b52e455aabp-14, -0x1.6d99cba139f8cp-14, -0x1.63f483b0752efp-14, -0x1.5a98c358b12cfp-14, -0x1.5183eab007858p-14, -0x1.48b370e99d028p-14, -0x1.4024e3a9237dep-14, -0x1.37d5e6574788ep-14, -0x1.2fc4317d7c00cp-14, -0x1.27ed9223ef66cp-14, -0x1.204fe933622c7p-14, -0x1.18e92adc16aedp-14, -0x1.11b75dff38f53p-14, -0x1.0ab89b9ceb638p-14, -0x1.03eb0e45150c5p-14, -0x1.fa99e31929a92p-15, -0x1.edb9230b51365p-15, -0x1.e130947785849p-15, -0x1.d4fd0e6494d6fp-15, -0x1.c91b85cffc41bp-15, -0x1.bd890cb7d408dp-15, -0x1.b242d12d8e47ap-15, -0x1.a7461c6d72afp-15, -0x1.9c9051fdd49b2p-15, -0x1.921eeed1bebfbp-15, -0x1.87ef887499d37p-15, -0x1.7dffcc3913235p-15, -0x1.744d7e6ebfd8dp-15, -0x1.6ad6799d1055fp-15, -0x1.6198adc375084p-15, -0x1.58921f9f3b151p-15, -0x1.4fc0e7f5a40c9p-15, -0x1.472332e4ca85fp-15, -0x1.3eb73f375c5a7p-15, -0x1.367b5dbefb3ccp-15, -0x1.2e6df0b14cbep-15, -0x1.268d6b0c0da42p-15, -0x1.1ed84ffc3a46fp-15, -0x1.174d3248f041p-15, -0x1.0feab3c4bcd63p-15, -0x1.08af84c156549p-15, -0x1.019a6388541e5p-15, -0x1.f55437aea8badp-16, -0x1.e7bb0cc108be3p-16, -0x1.da67109d20f23p-16, -0x1.cd56259aaf03cp-16, -0x1.c0864528c87e7p-16, -0x1.b3f57eee4c7f1p-16, -0x1.a7a1f7eea499ep-16, -0x1.9b89e9b457e72p-16, -0x1.8faba185dcf59p-16, -0x1.84057f9d3fea3p-16, -0x1.7895f667f3bd2p-16, -0x1.6d5b89ccc08d2p-16, -0x1.6254ce7663df7p-16, -0x1.57806926110afp-16, -0x1.4cdd0e0a25757p-16, -0x1.42698019e5edap-16, -0x1.382490789d5dap-16, -0x1.2e0d1ddc0802cp-16, -0x1.242213f8bcbfp-16, -0x1.1a626af3836ep-16, -0x1.10cd26d7f810cp-16, -0x1.07615713105f9p-16, -0x1.fc3c2be472acdp-17, -0x1.ea05104f947d8p-17, -0x1.d81bb8a4f1299p-17, -0x1.c67e95161a15dp-17, -0x1.b52c27e6224cep-17, -0x1.a42304972d5bep-17, -0x1.9361cf17c488fp-17, -0x1.82e73afd780aap-17, -0x1.72b20ac3853a1p-17, -0x1.62c10f11d1ad8p-17, -0x1.5313260aaee8bp-17, -0x1.43a73a9f3ddbbp-17, -0x1.347c43ea7db6p-17, -0x1.2591449257ae5p-17, -0x1.16e54a2f9e095p-17, -0x1.08776cbb2dbe4p-17, -0x1.f48d9c02b001dp-18, -0x1.d8a53232e548ep-18, -0x1.bd3403caa8644p-18, -0x1.a2388927f7995p-18, -0x1.87b14a5564cddp-18, -0x1.6d9cde2295e7ep-18, -0x1.53f9e94bc94f2p-18, -0x1.3ac71da752ea7p-18, -0x1.2203395a3ff3fp-18, -0x1.09ad0619358fbp-18, -0x1.e386b0e05690bp-19, -0x1.b48a1e2346496p-19, -0x1.8662245ecd73ep-19, -0x1.590ca5b344f2bp-19, -0x1.2c8794ca6e369p-19, -0x1.00d0f3b61ca5fp-19, -0x1.abcda5af73538p-20, -0x1.578e9faf8ea6dp-20, -0x1.04e12950825ecp-20, -0x1.67835a5a6a015p-21, -0x1.90b2ab22615b4p-22, -0x1.61eb4e61a7c6p-24, 0x1.b35c80be80a13p-23, 0x1.02eadf6915c9fp-21, 0x1.96044d8a7dd4fp-21, 0x1.1314e4d13a51ap-20, 0x1.59b0cd5c582cp-20, 0x1.9ed8f91cb7319p-20, 0x1.e29077219984cp-20, 0x1.126d26f3dacf8p-19, 0x1.32dcbe2cecc5cp-19, 0x1.52987d64e01p-19, 0x1.71a1dde8f0cf9p-19, 0x1.8ffa5693604c7p-19, 0x1.ada35c36883ep-19, 0x1.ca9e61f393735p-19, 0x1.e6ecd99441db2p-19, 0x1.014819ee2127fp-18, 0x1.0ec4f0697561fp-18, 0x1.1beda804528f1p-18, 0x1.28c2f86b861bap-18, 0x1.3545994d35062p-18, 0x1.417642744929ep-18, 0x1.4d55abdfa7faep-18, 0x1.58e48dda1babcp-18, 0x1.6423a10ce05ap-18, 0x1.6f139e9215446p-18, 0x1.79b54004e7c81p-18, 0x1.84093f8ec5701p-18, 0x1.8e1057f45d4e4p-18, 0x1.97cb449fe09c1p-18, 0x1.a13ac1a8f67f7p-18, 0x1.aa5f8bde60bcap-18, 0x1.b33a60c9e4289p-18, 0x1.bbcbfeb54a6bap-18, 0x1.c41524ae5b2cp-18, 0x1.cc16928841753p-18, 0x1.d3d108dc5efe4p-18, 0x1.db45490a24631p-18, 0x1.e2741535b7d75p-18, 0x1.e95e3045bfa4dp-18, 0x1.f0045ddf743eap-18, 0x1.f667626426b99p-18, 0x1.fc8802eaded1ap-18, 0x1.0133829da719bp-17, 0x1.040297e3f889bp-17, 0x1.06b1a4d2e4468p-17, 0x1.09410d4319708p-17, 0x1.0bb135570f2e7p-17, 0x1.0e02817669abdp-17, 0x1.10355649f68e3p-17, 0x1.124a18b66f88dp-17, 0x1.14412dd79624dp-17, 0x1.161afafb526bfp-17, 0x1.17d7e59bcc4a8p-17, 0x1.1978535a7bd0ep-17, 0x1.1afca9fa5ffcp-17, 0x1.1c654f5a05807p-17, 0x1.1db2a96e057d4p-17, 0x1.1ee51e3afc91ap-17, 0x1.1ffd13cf4bc2dp-17, 0x1.20faf03da3937p-17, 0x1.21df199640785p-17, 0x1.22a9f5e154809p-17, 0x1.235beb188b6a7p-17, 0x1.23f55f20ff6acp-17, 0x1.2476b7c51121fp-17, 0x1.24e05aadfcfbap-17, 0x1.2532ad5e0772bp-17, 0x1.256e152a43956p-17, 0x1.2592f7345a43p-17, 0x1.25a1b8648a30dp-17, 0x1.259abd63a2bf2p-17, 0x1.257e6a9504b7p-17, 0x1.254d2410c7345p-17, 0x1.25074d9dd817bp-17, 0x1.24ad4aac2d9f4p-17, 0x1.243f7e4f1d2ddp-17, 0x1.23be4b37b5873p-17, 0x1.232a13af3d5dfp-17, 0x1.22833991b04b6p-17, 0x1.21ca1e487906fp-17, 0x1.20ff22c51b55p-17, 0x1.2022a77c1ac66p-17, 0x1.1f350c5fe7aa9p-17, 0x1.1e36b0dc05f0fp-17, 0x1.1d27f3cfe3e96p-17, 0x1.1c09338a63939p-17, 0x1.1adacdc55e99bp-17, 0x1.199d1fa0cfc9ap-17, 0x1.1850859ea2b8cp-17, 0x1.16f55b9e65dc1p-17, 0x1.158bfcd927491p-17, 0x1.1414c3dd6098ap-17, 0x1.12900a8b23a3ap-17, 0x1.10fe2a105719fp-17, 0x1.0f5f7ae4ccc3ep-17, 0x1.0db454c711189p-17, 0x1.0bfd0eb8d4cbbp-17, 0x1.0a39fefb73092p-17, 0x1.086b7b0d17a86p-17, 0x1.0691d7a5c210ep-17, 0x1.04ad68b3f8b68p-17, 0x1.02be815a11744p-17, 0x1.00c573ebdfa67p-17, 0x1.fd8523d78dd2fp-18, 0x1.f96c5810a92fep-18, 0x1.f541243423443p-18, 0x1.f1042642785edp-18, 0x1.ecb5fa8767aadp-18, 0x1.e8573b960f59cp-18, 0x1.e3e8824529158p-18, 0x1.df6a65ab8be96p-18, 0x1.dadd7b1d69cddp-18, 0x1.d6425627f02c3p-18, 0x1.d19988904df95p-18, 0x1.cce3a24fb2793p-18, 0x1.c8213191b6d74p-18, 0x1.c352c2b1d353ap-18, 0x1.be78e0394a52bp-18, 0x1.b99412ddede7ep-18, 0x1.b4a4e18037dcp-18, 0x1.afabd12a01abbp-18, 0x1.aaa9650d6402dp-18, 0x1.a59e1e83f95e8p-18, 0x1.a08a7d0d99ca4p-18, 0x1.9b6efe5026b54p-18, 0x1.964c1e1726106p-18, 0x1.912256533c914p-18, 0x1.8bf21f1a5eb1ep-18, 0x1.86bbeea7f3477p-18, 0x1.8180395ce3a5fp-18, 0x1.7c3f71c0361e4p-18, 0x1.76fa087fd08c5p-18, 0x1.71b06c70b041cp-18, 0x1.6c630a90bef94p-18, 0x1.67124e06fca1dp-18, 0x1.61bea024f29c5p-18, 0x1.5c686868527edp-18, 0x1.57100c7c5729ep-18, 0x1.51b5f03b20ad3p-18, 0x1.4c5a75af92be2p-18, 0x1.46fdfd17467ddp-18, 0x1.41a0e4e49ed59p-18, 0x1.3c4389c087cc7p-18, 0x1.36e6468cd137bp-18, 0x1.31897466ef2a3p-18, 0x1.2c2d6aaa2c00fp-18, 0x1.26d27ef1aa974p-18, 0x1.2179051bce75ep-18, 0x1.1c214f4c6d4c2p-18, 0x1.16cbadf00be36p-18, 0x1.11786fbe66a38p-18, 0x1.0c27e1be17273p-18, 0x1.06da4f4690f59p-18, 0x1.019002046e432p-18, 0x1.f89283f83f51dp-19, 0x1.ee0cab1a9d217p-19, 0x1.e38f02ec8bef7p-19, 0x1.d91a11af2f718p-19, 0x1.ceae5a6ef1417p-19, 0x1.c44c5d0a9d539p-19, 0x1.b9f4963ac67c2p-19, 0x1.afa77f98e2524p-19, 0x1.a5658fa79571fp-19, 0x1.9b2f39d96c384p-19, 0x1.9104ee9943d82p-19, 0x1.86e71b515b496p-19, 0x1.7cd62a73f8511p-19, 0x1.72d283832d72fp-19, 0x1.68dc8b1847afcp-19, 0x1.5ef4a2ecb2633p-19, 0x1.551b29e1aa2f6p-19, 0x1.4b507c0917a1ap-19, 0x1.4194f2acbeaedp-19, 0x1.37e8e45736be7p-19, 0x1.2e4ca4dc97c53p-19, 0x1.24c08562c156dp-19, 0x1.1b44d4690eb84p-19, 0x1.11d9ddd1bc724p-19, 0x1.087feaea1aa24p-19, 0x1.fe6e84e58333ap-20, 0x1.ec0051512c09fp-20, 0x1.d9b5be9b78b0fp-20, 0x1.c78f4b62f28f4p-20, 0x1.b58d71718417cp-20, 0x1.a3b0a5ce374cbp-20, 0x1.91f958cec2aeep-20, 0x1.8067f628c578bp-20, 0x1.6efce502434f8p-20, 0x1.5db88802c4d32p-20, 0x1.4c9b3d658a927p-20, 0x1.3ba55f09d03eap-20, 0x1.2ad742845be8ap-20, 0x1.1a313930fbf3ep-20, 0x1.09b39041dad3p-20, 0x1.f2bd21a49193bp-21, 0x1.d264ffef00473p-21, 0x1.b25f3da1b135p-21, 0x1.92ac55303d349p-21, 0x1.734cb966bd59ap-21, 0x1.5440d58bd8e22p-21, 0x1.35890d7faf18dp-21, 0x1.1725bddbb17cp-21, 0x1.f22e782da678dp-22, 0x1.b6bbad4bc6ba4p-22, 0x1.7bf3aa33b146p-22, 0x1.41d6f083128b8p-22, 0x1.0865f49165986p-22, 0x1.9f423b6654975p-23, 0x1.2f118cee2bb28p-23, 0x1.8074f399a2043p-24, 0x1.4af615fedd63ap-25, -0x1.964e48f72b63ep-27, -0x1.0858e11ad77f9p-24, -0x1.db31c3949da11p-24, -0x1.55aa123a8448dp-23, -0x1.bc5ff20030053p-23, -0x1.10dd437a01d3cp-22, -0x1.42dcf617f0e95p-22, -0x1.742f28d0306cfp-22, -0x1.a4d3fdc236dccp-22, -0x1.d4cba0ffc83b7p-22, -0x1.020b242a55bbbp-21, -0x1.195a19888df01p-21, -0x1.3052d4e67fbccp-21, -0x1.46f57f19416f5p-21, -0x1.5d42456406de7p-21, -0x1.7339595e39cf3p-21, -0x1.88daf0d644918p-21, -0x1.9e2745b94e0fep-21, -0x1.b31e95f7dce3p-21, -0x1.c7c1236cefe57p-21, -0x1.dc0f33c2f4c06p-21, -0x1.f009105cf6fd8p-21, -0x1.01d7831d6190ep-20, -0x1.0b80b2f156bc4p-20, -0x1.150041a42fdb3p-20, -0x1.1e565ad99b807p-20, -0x1.27832bd481887p-20, -0x1.3086e36ae1034p-20, -0x1.3961b1fa4e601p-20, -0x1.4213c95c63e0bp-20, -0x1.4a9d5cdb02c7ap-20, -0x1.52fea125a5c4ap-20, -0x1.5b37cc471d726p-20, -0x1.6349159a08dc1p-20, -0x1.6b32b5be042bep-20, -0x1.72f4e68d497dap-20, -0x1.7a8fe312b725fp-20, -0x1.8203e77f4951cp-20, -0x1.895131202bd51p-20, -0x1.9077fe5481095p-20, -0x1.97788e841504dp-20, -0x1.9e532215b80cp-20, -0x1.a507fa653f152p-20, -0x1.ab9759bad98fap-20, -0x1.b2018341e4e3fp-20, -0x1.b846baff4ef6ap-20, -0x1.be6745c8c0201p-20, -0x1.c463693d010b3p-20, -0x1.ca3b6bba6c352p-20, -0x1.cfef94563ba3p-20, -0x1.d5802ad4bc059p-20, -0x1.daed77a10ee09p-20, -0x1.e037c3c5c699p-20, -0x1.e55f58e3b9f4fp-20, -0x1.ea64812b06c5dp-20, -0x1.ef478753d9c68p-20, -0x1.f408b6963438p-20, -0x1.f8a85aa2c758ep-20, -0x1.fd26bf9c02973p-20, -0x1.00c219076e4acp-19, -0x1.02e07f761a2fcp-19, -0x1.04eeb9c0ac5bfp-19, -0x1.06eceeb9055a7p-19, -0x1.08db4558c15cfp-19, -0x1.0ab9e4bdef2d2p-19, -0x1.0c88f428619c1p-19, -0x1.0e489af64f64ep-19, -0x1.0ff900a0e942bp-19, }}, 
      {{0x1.21bc1e5de72e1p-1, 0x1.21952adcb9ab6p-1, 0x1.215461c8c047dp-1, 0x1.20f9f5a433f17p-1, 0x1.20862bee50ee6p-1, 0x1.1ff95c08f891ep-1, 0x1.1f53edee14212p-1, 0x1.1e9658c3bbb26p-1, 0x1.1dc1215c75b14p-1, 0x1.1cd4d8aede0aep-1, 0x1.1bd21a4df7ff1p-1, 0x1.1ab98ae988b09p-1, 0x1.198bd6dc2169cp-1, 0x1.1849b0cb08f23p-1, 0x1.16f3d05af639ep-1, 0x1.158af0fb828d9p-1, 0x1.140fd0ca6868ap-1, 0x1.12832f8ef2813p-1, 0x1.10e5cdcd78189p-1, 0x1.0f386bf25c762p-1, 0x1.0d7bc993b8f26p-1, 0x1.0bb0a4c89c458p-1, 0x1.09d7b994a97bap-1, 0x1.07f1c166c2241p-1, 0x1.05ff72a9612c9p-1, 0x1.0401806342d1fp-1, 0x1.01f899e701114p-1, 0x1.ffcad5209a36ep-2, 0x1.fb91331b0d718p-2, 0x1.f7459368ef2a1p-2, 0x1.f2e932c22c427p-2, 0x1.ee7d44ba7427ep-2, 0x1.ea02f3a09e35ep-2, 0x1.e57b606c2b374p-2, 0x1.e0e7a2b743d75p-2, 0x1.dc48c8c3a7c08p-2, 0x1.d79fd78925a5p-2, 0x1.d2edcacc5dc77p-2, 0x1.ce33953ca4d1cp-2, 0x1.c9722097f72fdp-2, 0x1.c4aa4dd410bf2p-2, 0x1.bfdcf54bcf20cp-2, 0x1.bb0ae6f011bap-2, 0x1.b634ea7b6fd2fp-2, 0x1.b15bbfa822193p-2, 0x1.ac801e6792587p-2, 0x1.a7a2b71b10fddp-2, 0x1.a2c432cd48999p-2, 0x1.9de5336bfe584p-2, 0x1.99065401d9f5bp-2, 0x1.942828efd62b2p-2, 0x1.8f4b40262c4a8p-2, 0x1.8a70215c6cbecp-2, 0x1.85974e48a99d6p-2, 0x1.80c142d57777cp-2, 0x1.7bee7556b346cp-2, 0x1.771f56bce8eebp-2, 0x1.725452c746209p-2, 0x1.6d8dd0340db9p-2, 0x1.68cc30ef802d8p-2, 0x1.640fd24129a2ep-2, 0x1.5f590cf7a1fe1p-2, 0x1.5aa83592ace6cp-2, 0x1.55fd9c6bcca52p-2, 0x1.51598ddd41421p-2, 0x1.4cbc526782ddcp-2, 0x1.48262ed53cf48p-2, 0x1.4397645dd35d6p-2, 0x1.3f1030c6829a9p-2, 0x1.3a90ce8221a31p-2, 0x1.361974cf972eep-2, 0x1.31aa57d70b50bp-2, 0x1.2d43a8c5e8b72p-2, 0x1.28e595e9b9e6bp-2, 0x1.24904ac9eba7cp-2, 0x1.2043f0408aa77p-2, 0x1.1c00ac9204349p-2, 0x1.17c6a383f97e2p-2, 0x1.1395f67330c31p-2, 0x1.0f6ec468b1a3bp-2, 0x1.0b512a2e1c6b6p-2, 0x1.073d42613cc24p-2, 0x1.03332586f1499p-2, 0x1.fe65d43ac859cp-3, 0x1.f679495b51c83p-3, 0x1.eea0cfb980ee7p-3, 0x1.e6dc88f82751dp-3, 0x1.df2c9332c60fcp-3, 0x1.d791091c73502p-3, 0x1.d00a021dd5bddp-3, 0x1.c89792722d39ap-3, 0x1.c139cb4394c22p-3, 0x1.b9f0bac664f0ap-3, 0x1.b2bc6c53de9e8p-3, 0x1.ab9ce88413268p-3, 0x1.a49235471854p-3, 0x1.9d9c55fd936f5p-3, 0x1.96bb4b9098c4ap-3, 0x1.8fef1488ef792p-3, 0x1.8937ad25b62b8p-3, 0x1.82950f7278339p-3, 0x1.7c07335ca9d49p-3, 0x1.758e0ec89cfap-3, 0x1.6f2995a5eaf9fp-3, 0x1.68d9ba0358a3cp-3, 0x1.629e6c22349bdp-3, 0x1.5c779a893d356p-3, 0x1.56653217017a5p-3, 0x1.50671e13ce16dp-3, 0x1.4a7d48431c7d3p-3, 0x1.44a798f49333cp-3, 0x1.3ee5f7148cc11p-3, 0x1.3938483c2fc29p-3, 0x1.339e70c1174e2p-3, 0x1.2e1853c490e41p-3, 0x1.28a5d34268087p-3, 0x1.2346d01f4bd3p-3, 0x1.1dfb2a36d2dc8p-3, 0x1.18c2c0690cd22p-3, 0x1.139d70a7b9703p-3, 0x1.0e8b18031a543p-3, 0x1.098b92b6624b5p-3, 0x1.049ebc33c8451p-3, 0x1.ff88de60784e7p-4, 0x1.f5f90b5d8595dp-4, 0x1.ec8db216e0ad9p-4, 0x1.e346840c332ddp-4, 0x1.da233199405acp-4, 0x1.d1236a09e477dp-4, 0x1.c846dbad794bbp-4, 0x1.bf8d33e981ec3p-4, 0x1.b6f61f4bcb8ffp-4, 0x1.ae81499bf3901p-4, 0x1.a62e5dec4d53ep-4, 0x1.9dfd06aa3d40dp-4, 0x1.95ecedae0b54fp-4, 0x1.8dfdbc4a17991p-4, 0x1.862f1b599b2b8p-4, 0x1.7e80b34ed936dp-4, 0x1.76f22c40d24bfp-4, 0x1.6f832df87b5cfp-4, 0x1.68335ffd78836p-4, 0x1.610269a263d89p-4, 0x1.59eff2109f23cp-4, 0x1.52fba053b5d22p-4, 0x1.4c251b6452642p-4, 0x1.456c0a32c96b7p-4, 0x1.3ed013b13df97p-4, 0x1.3850dedd63b65p-4, 0x1.31ee12c9dcdeap-4, 0x1.2ba756a73e2eap-4, 0x1.257c51ccb4283p-4, 0x1.1f6cabc053062p-4, 0x1.19780c3f0e327p-4, 0x1.139e1b445ea33p-4, 0x1.0dde811197696p-4, 0x1.0838e634ed321p-4, 0x1.02acf390308d1p-4, 0x1.fa74a4be80d88p-5, 0x1.efc1587c69b9fp-5, 0x1.e53f565e88872p-5, 0x1.daedf340cd97ep-5, 0x1.d0cc84e171defp-5, 0x1.c6da61eb3e5aap-5, 0x1.bd16e1ff596e3p-5, 0x1.b3815dbea0799p-5, 0x1.aa192ed28e09bp-5, 0x1.a0ddaff5b241ep-5, 0x1.97ce3cfbbff5ep-5, 0x1.8eea32d932ac3p-5, 0x1.8630efaa9168ep-5, 0x1.7da1d2bb4c7cap-5, 0x1.753c3c8c419c9p-5, 0x1.6cff8ed9e2623p-5, 0x1.64eb2ca202d5bp-5, 0x1.5cfe7a2951c43p-5, 0x1.5538dd007fcffp-5, 0x1.4d99bc0913773p-5, 0x1.46207f79f1cf9p-5, 0x1.3ecc90e399259p-5, 0x1.379d5b341598p-5, 0x1.30924abaab1bbp-5, 0x1.29aacd2b3e681p-5, 0x1.22e651a17785ap-5, 0x1.1c4448a3a77d7p-5, 0x1.15c424256be38p-5, 0x1.0f65578a19616p-5, 0x1.092757a6e8addp-5, 0x1.03099ac4eb39ap-5, 0x1.fa17314592a58p-6, 0x1.ee5994ec95993p-6, 0x1.e2d955db55c34p-6, 0x1.d7956c6174f18p-6, 0x1.cc8cd3c3a73e4p-6, 0x1.c1be8a3d312aap-6, 0x1.b72991011904dp-6, 0x1.acccec3af4624p-6, 0x1.a2a7a30f63f8fp-6, 0x1.98b8bf9c415dp-6, 0x1.8eff4ef8735f4p-6, 0x1.857a61337e2afp-6, 0x1.7c290954bfa53p-6, 0x1.730a5d5a6f48fp-6, 0x1.6a1d763848dccp-6, 0x1.61616fd600465p-6, 0x1.58d5690d6fb26p-6, 0x1.507883a882307p-6, 0x1.4849e45eeaee4p-6, 0x1.4048b2d396168p-6, 0x1.38741991ed594p-6, 0x1.30cb460ada4f6p-6, 0x1.294d68919df13p-6, 0x1.21f9b4586f0d5p-6, 0x1.1acf5f6cebb67p-6, 0x1.13cda2b457523p-6, 0x1.0cf3b9e7b4114p-6, 0x1.0640e38fa637bp-6, 0x1.ff68c20070de7p-7, 0x1.f29aeca8e3502p-7, 0x1.e616d4d38cc45p-7, 0x1.d9db0db6d1c79p-7, 0x1.cde62ffae577cp-7, 0x1.c236d9afd793bp-7, 0x1.b6cbae437580dp-7, 0x1.aba35676d5773p-7, 0x1.a0bc8053be7f1p-7, 0x1.9615df21ccdfap-7, 0x1.8bae2b5b69857p-7, 0x1.818422a28bed7p-7, 0x1.779687b5506fp-7, 0x1.6de4226268865p-7, 0x1.646bbf7d55a41p-7, 0x1.5b2c30d28c0fep-7, 0x1.52244d1b67593p-7, 0x1.4952eff1ffd26p-7, 0x1.40b6f9c4e721fp-7, 0x1.384f4fcac0f1p-7, 0x1.301adbf5c28cap-7, 0x1.28188ce71d8e4p-7, 0x1.204755e2519bfp-7, 0x1.18a62ec06a07bp-7, 0x1.113413e32a43bp-7, 0x1.09f006282bd77p-7, 0x1.02d90adbeae17p-7, 0x1.f7dc5759917dbp-8, 0x1.ea5ced3c0801p-8, 0x1.dd31fbf54f05fp-8, 0x1.d059b090e3005p-8, 0x1.c3d240757031cp-8, 0x1.b799e94a8fea1p-8, 0x1.abaef0de872ffp-8, 0x1.a00fa50bf70ebp-8, 0x1.94ba5b9fa6397p-8, 0x1.89ad723e38a9ep-8, 0x1.7ee74e49fc146p-8, 0x1.74665cc8ba8c7p-8, 0x1.6a2912499f2d5p-8, 0x1.602deacb20f3ap-8, 0x1.567369a10a053p-8, 0x1.4cf8195a8b5aep-8, 0x1.43ba8ba86fa93p-8, 0x1.3ab959435f746p-8, 0x1.31f321d24192p-8, 0x1.29668bd0beda4p-8, 0x1.21124475e0966p-8, 0x1.18f4ff9acde55p-8, 0x1.110d77a1af20bp-8, 0x1.095a6d5cb8f1p-8, 0x1.01daa7f55460ep-8, 0x1.f519e9a6f2a35p-9, 0x1.e6e04f0a5a7fcp-9, 0x1.d906334c53ffbp-9, 0x1.cb89558f723a5p-9, 0x1.be6780b16952ep-9, 0x1.b19e8b1b78cc8p-9, 0x1.a52c56932daf8p-9, 0x1.990ed00b8e846p-9, 0x1.8d43ef76ab83ap-9, 0x1.81c9b7978de86p-9, 0x1.769e35d4986b1p-9, 0x1.6bbf820a4c7fbp-9, 0x1.612bbe5e7f9c3p-9, 0x1.56e11713fff46p-9, 0x1.4cddc25e9a9afp-9, 0x1.43200037ae5e3p-9, 0x1.39a61a3308f4ep-9, 0x1.306e63545dda3p-9, 0x1.277737e51c4ccp-9, 0x1.1ebefd4abb867p-9, 0x1.164421dd7f6ccp-9, 0x1.0e051cbfbaca5p-9, 0x1.06006db57e2f8p-9, 0x1.fc6939f987974p-10, 0x1.ed40764c277f9p-10, 0x1.de83c1db4d15ap-10, 0x1.d0305e29e716fp-10, 0x1.c2439c7992de3p-10, 0x1.b4badd7faf8e8p-10, 0x1.a793911b63502p-10, 0x1.9acb360c9de14p-10, 0x1.8e5f59ac1519cp-10, 0x1.824d97a4229d1p-10, 0x1.769399aaaea36p-10, 0x1.6b2f173bf88f9p-10, 0x1.601dd55664bb5p-10, 0x1.555da6373472cp-10, 0x1.4aec691836c2ep-10, 0x1.40c809ee6a39dp-10, 0x1.36ee81298695dp-10, 0x1.2d5dd3748baa7p-10, 0x1.2414117728714p-10, 0x1.1b0f579822cfdp-10, 0x1.124dcdc0a3ebbp-10, 0x1.09cda720720f8p-10, 0x1.018d21f31ca18p-10, 0x1.f3150e8bfd2bap-11, 0x1.e388557e7dfd4p-11, 0x1.d470d4cb5ed29p-11, 0x1.c5cb5cd31252cp-11, 0x1.b794d1dc2ff58p-11, 0x1.a9ca2ba87e932p-11, 0x1.9c68750bba1d3p-11, 0x1.8f6ccb8442e09p-11, 0x1.82d45ed52d305p-11, 0x1.769c70a267a43p-11, 0x1.6ac2540e4679ep-11, 0x1.5f436d58e8f6fp-11, 0x1.541d318139f8ep-11, 0x1.494d25e7823d5p-11, 0x1.3ed0dff1c67c3p-11, 0x1.34a604b18dcaep-11, 0x1.2aca488b6b429p-11, 0x1.213b6ee00f76ap-11, 0x1.17f749b6c7627p-11, 0x1.0efbb969c38e9p-11, 0x1.0646ac53bae2fp-11, 0x1.fbac3cfe12b4ep-12, 0x1.eb5032ace0d77p-12, 0x1.db7566ae64e4fp-12, 0x1.cc181f8965114p-12, 0x1.bd34bcbae49a3p-12, 0x1.aec7b623249a3p-12, 0x1.a0cd9b7553342p-12, 0x1.934313a9e98b4p-12, 0x1.8624dc73fd701p-12, 0x1.796fc9b927bap-12, 0x1.6d20c50be44ap-12, 0x1.6134cd28ea416p-12, 0x1.55a8f576d064ep-12, 0x1.4a7a6588557cep-12, 0x1.3fa658a13e4a2p-12, 0x1.352a1d3d8666dp-12, 0x1.2b03149b1bedbp-12, 0x1.212eb245ea72cp-12, 0x1.17aa7ba6704e8p-12, 0x1.0e7407927ab39p-12, 0x1.0588fde0343d2p-12, 0x1.f9ce2df6fca05p-13, 0x1.e91836fb30026p-13, 0x1.d8ebc78d922eap-13, 0x1.c944af3498564p-13, 0x1.ba1edb78d5a4bp-13, 0x1.ab765724f3c1ap-13, 0x1.9d47498a250a3p-13, 0x1.8f8df5c88ecd5p-13, 0x1.8246ba1b7666cp-13, 0x1.756e0f299c683p-13, 0x1.6900875912924p-13, 0x1.5cface27308b8p-13, 0x1.5159a7841905ep-13, 0x1.4619ef31c81ccp-13, 0x1.3b389826d8dc6p-13, 0x1.30b2abf49b439p-13, 0x1.26854a3113df7p-13, 0x1.1cada7e392549p-13, 0x1.13290ef58547p-13, 0x1.09f4dda5c041ap-13, 0x1.010e85ff8acaep-13, 0x1.f0e71aa92987cp-14, 0x1.e0431773f69d9p-14, 0x1.d02c5710d5affp-14, 0x1.c09e51be3c9e4p-14, 0x1.b194a253ea6a5p-14, 0x1.a30b05547d5b6p-14, 0x1.94fd5804bb376p-14, 0x1.8767978857818p-14, 0x1.7a45e00408e96p-14, 0x1.6d946bc539c07p-14, 0x1.614f926e6b41dp-14, 0x1.5573c82935dcbp-14, 0x1.49fd9cdc91d98p-14, 0x1.3ee9bb68cd37ep-14, 0x1.3434e8e797a57p-14, 0x1.29dc03f154a24p-14, 0x1.1fdc03e6623c4p-14, 0x1.1631f83d6f90fp-14, 0x1.0cdb07d5dd289p-14, 0x1.03d4704e94257p-14, 0x1.f6370ac22b8e9p-15, 0x1.e55b6080d4857p-15, 0x1.d510ddf95fbb3p-15, 0x1.c552a7d3942p-15, 0x1.b61c0a1540adbp-15, 0x1.a768770015a2bp-15, 0x1.993385f613e31p-15, 0x1.8b78f265e248dp-15, 0x1.7e349abe57a14p-15, 0x1.71627f68a76bcp-15, 0x1.64fec1c964285p-15, 0x1.5905a34803fa2p-15, 0x1.4d73845d454cap-15, 0x1.4244e3a76a4dep-15, 0x1.37765d0520893p-15, 0x1.2d04a8b614d37p-15, 0x1.22ec9a819c626p-15, 0x1.192b20e346602p-15, 0x1.0fbd443cb5a89p-15, 0x1.06a0260d64184p-15, 0x1.fba2005f3fee7p-16, 0x1.ea9a48354e13ep-16, 0x1.da23f454999c5p-16, 0x1.ca3a01d6599efp-16, 0x1.bad798d862c95p-16, 0x1.abf80b28d9058p-16, 0x1.9d96d2fc7db2p-16, 0x1.8faf91acadbeep-16, 0x1.823e0e7fcef71p-16, 0x1.753e3578a7be9p-16, 0x1.68ac16302039ap-16, 0x1.5c83e2b58ecaap-16, 0x1.50c1ee78898cdp-16, 0x1.4562ad3972b5p-16, 0x1.3a62b20256f7cp-16, 0x1.2fbeae274c453p-16, 0x1.2573704d91e6fp-16, 0x1.1b7de37aa7d8ep-16, 0x1.11db0e2971edbp-16, 0x1.088811673bd83p-16, 0x1.ff044feb7b55dp-17, 0x1.ed8d4aeaed61p-17, 0x1.dca5eb29251cp-17, 0x1.cc49368a3ce72p-17, 0x1.bc725ff186b39p-17, 0x1.ad1cc5c43a263p-17, 0x1.9e43f0780da5ep-17, 0x1.8fe3912c43a14p-17, 0x1.81f7804ddd4ffp-17, 0x1.747bbc46a51c5p-17, 0x1.676c6835111a2p-17, 0x1.5ac5caaf33e8bp-17, 0x1.4e844c8f269c5p-17, 0x1.42a477c7dd088p-17, 0x1.3722f644e3473p-17, 0x1.2bfc90d109747p-17, 0x1.212e2e06fa006p-17, 0x1.16b4d14a2104dp-17, 0x1.0c8d99c6ec2a1p-17, 0x1.02b5c17bdc66p-17, 0x1.f25538945ed35p-18, 0x1.dfd32e1a5cac2p-18, 0x1.cde06d74d841fp-18, 0x1.bc782f0f85e9ap-18, 0x1.ab95d83165d56p-18, 0x1.9b34f964e3704p-18, 0x1.8b514ced5e205p-18, 0x1.7be6b548d1b2fp-18, 0x1.6cf13bbdeb1eap-18, 0x1.5e6d0ef7396c5p-18, 0x1.505681a803087p-18, 0x1.42aa093e90df2p-18, 0x1.35643c9eff601p-18, 0x1.2881d2eb7bca6p-18, 0x1.1bffa254b9441p-18, 0x1.0fda9ef573c97p-18, 0x1.040fd9b773339p-18, 0x1.f138fe8605809p-19, 0x1.dafbade9bd837p-19, 0x1.c56283c1422b9p-19, 0x1.b06873b24dee5p-19, 0x1.9c08a1043f1f3p-19, 0x1.883e5cd5df5c7p-19, 0x1.7505245f9596cp-19, 0x1.62589f4765988p-19, 0x1.50349e015464p-19, 0x1.3e95184065a95p-19, 0x1.2d762b7560998p-19, 0x1.1cd41959ca4bp-19, 0x1.0cab4688a654fp-19, 0x1.f9f0724b8c75dp-20, 0x1.db6f2f1d2f927p-20, 0x1.bdcc4e2e69135p-20, 0x1.a10195aa5c6b3p-20, 0x1.850904e8f94dbp-20, 0x1.69dcd2298724ep-20, 0x1.4f77686c7b059p-20, 0x1.35d36559eaf9ap-20, 0x1.1ceb973cd7db5p-20, 0x1.04bafb12859c7p-20, 0x1.da7975592c179p-21, 0x1.acd855c8b8c14p-21, 0x1.808993bc3f636p-21, 0x1.55847ac35fa0bp-21, 0x1.2bc0a27c30f27p-21, 0x1.0335eb801432cp-21, 0x1.b7b8f8cc7e281p-22, 0x1.6b597ddd1745ap-22, 0x1.213eba88f6b1ep-22, 0x1.b2b4fd57aebfdp-23, 0x1.273e213ab0d2p-23, 0x1.3ffca1650ae2p-24, 0x1.cdbd59a5bf73ap-27, -0x1.8908d566606c5p-25, -0x1.bae7da4f04aa2p-24, -0x1.54d0aed9aba7fp-23, -0x1.c86f1f667fd73p-23, -0x1.1c3299b262a8ap-22, -0x1.52641b241b945p-22, -0x1.86d668b1e67fep-22, -0x1.b993895c5221ep-22, -0x1.eaa539ad11f95p-22, -0x1.0d0a77685fe5dp-21, -0x1.23f5ecc6f721p-21, -0x1.3a19748bd85cp-21, -0x1.4f7966e50618cp-21, -0x1.6419fdde2c3e6p-21, -0x1.77ff56a02608ep-21, -0x1.8b2d72a5455b6p-21, -0x1.9da838da5ea2ep-21, -0x1.af7376b6454d2p-21, -0x1.c092e1457b5cbp-21, -0x1.d10a1629a693cp-21, -0x1.e0dc9c8adac23p-21, -0x1.f00de5ffbb7f7p-21, -0x1.fea14f6f25246p-21, -0x1.064d10f17691dp-20, -0x1.0cfdc9a9e7648p-20, -0x1.136463b4585c6p-20, -0x1.1982681916df1p-20, -0x1.1f59576c0c81bp-20, -0x1.24eaaa20acfedp-20, -0x1.2a37d0d994b64p-20, -0x1.2f4234b53d3c6p-20, -0x1.340b37970c0b1p-20, -0x1.3894346b4817ep-20, -0x1.3cde7f69f619fp-20, -0x1.40eb6655350aap-20, -0x1.44bc30b406143p-20, -0x1.4852200b1b85cp-20, -0x1.4bae7012402a9p-20, -0x1.4ed256e7ef28ep-20, -0x1.51bf054244ce1p-20, -0x1.5475a69c42922p-20, -0x1.56f7616262b6p-20, -0x1.5945571ba1aebp-20, -0x1.5b60a49117c97p-20, -0x1.5d4a61f34c95p-20, -0x1.5f03a2fc2625ap-20, -0x1.608d771246f91p-20, -0x1.61e8e9689ff1dp-20, -0x1.6317011bb405dp-20, -0x1.6418c14ed99fbp-20, -0x1.64ef294735c55p-20, -0x1.659b348477f09p-20, -0x1.661ddad9f0fc3p-20, -0x1.66781083e3ea8p-20, -0x1.66aac63e544bp-20, -0x1.66b6e958b5a53p-20, -0x1.669d63c9ea71dp-20, -0x1.665f1c41d6cdcp-20, -0x1.65fcf63ac75d6p-20, -0x1.6577d209a20dap-20, -0x1.64d08ced5ae76p-20, -0x1.6408011cc1c3bp-20, -0x1.631f05d40bfacp-20, -0x1.62166f629a05ep-20, -0x1.60ef0f367dd2fp-20, -0x1.5fa9b3e7d9e55p-20, -0x1.5e4729443bd9p-20, -0x1.5cc838589f553p-20, -0x1.5b2da77a8f047p-20, -0x1.59783a521077fp-20, -0x1.57a8b1e15c42cp-20, -0x1.55bfcc8d29a86p-20, -0x1.53be4624fc999p-20, -0x1.51a4d7e9d5cabp-20, -0x1.4f7438957099ep-20, -0x1.4d2d1c60ce40cp-20, -0x1.4ad0350a581bep-20, -0x1.485e31dbcbc26p-20, -0x1.45d7bfaff0ed5p-20, -0x1.433d88f76e8d6p-20, -0x1.409035be5aa6fp-20, -0x1.3dd06bb130d66p-20, -0x1.3afece2143189p-20, -0x1.381bfe095661ep-20, -0x1.35289a124be49p-20, -0x1.32253e96a457cp-20, -0x1.2f1285a705807p-20, -0x1.2bf1070e1517bp-20, -0x1.28c15853e62a6p-20, -0x1.25840cc18c848p-20, -0x1.2239b565aa4c1p-20, -0x1.1ee2e116bd25p-20, -0x1.1b801c774d424p-20, -0x1.1811f1f96c102p-20, -0x1.1498e9e18cdap-20, -0x1.11158a49e6a23p-20, -0x1.0d885725eabafp-20, -0x1.09f1d2459236p-20, -0x1.06527b57f9174p-20, -0x1.02aacfef1bb71p-20, -0x1.fdf69705f5273p-21, -0x1.f688cee94527ep-21, -0x1.ef0d3622962aap-21, -0x1.e784b72bc2ff8p-21, -0x1.dff0386410298p-21, -0x1.d8509c165ad4dp-21, -0x1.d0a6c07fec7p-21, -0x1.c8f37fd6d44a9p-21, -0x1.c137b050793b9p-21, -0x1.b9742428553fep-21, -0x1.b1a9a9a6e9d19p-21, -0x1.a9d90b27e1432p-21, -0x1.a2030f2169021p-21, -0x1.9a28782b269f4p-21, -0x1.924a05051b164p-21, -0x1.8a68709e3311dp-21, -0x1.8284721bf00a7p-21, -0x1.7a9ebce20ab55p-21, -0x1.72b8009856585p-21, -0x1.6ad0e933ab582p-21, -0x1.62ea1efca85eep-21, -0x1.5b04469730d29p-21, -0x1.5320010a6d1c6p-21, -0x1.4b3debc852585p-21, -0x1.435ea0b5363cfp-21, -0x1.3b82b62fe8fb9p-21, -0x1.33aabf1a033ccp-21, -0x1.2bd74adf62be5p-21, -0x1.2408e57e6567bp-21, -0x1.1c401790b8a23p-21, -0x1.147d665289a41p-21, -0x1.0cc153abf2f74p-21, -0x1.050c5e38d1dd9p-21, -0x1.fabe02a24b31p-22, -0x1.eb736a23cff61p-22, -0x1.dc39dccbc1d0bp-22, -0x1.cd123e1b61f7bp-22, -0x1.bdfd6b521be55p-22, -0x1.aefc3b7e6eca6p-22, -0x1.a00f7f9076852p-22, -0x1.9138026b50ac8p-22, -0x1.827688f60253p-22, -0x1.73cbd22e6d5d6p-22, -0x1.6538973c1a7fap-22, -0x1.56bd8b800b38bp-22, -0x1.485b5ca86a64dp-22, -0x1.3a12b2c3982d8p-22, -0x1.2be4305078febp-22, -0x1.1dd0725224b77p-22, -0x1.0fd81061e2827p-22, -0x1.01fb9cc10c3d9p-22, -0x1.e87748da60123p-23, -0x1.cd315e61a3378p-23, -0x1.b2267f6d07243p-23, -0x1.9757a73581614p-23, -0x1.7cc5c6ff3714ep-23, -0x1.6271c63dcd3ebp-23, -0x1.485c82b7684d6p-23, -0x1.2e86d0ac46734p-23, -0x1.14f17afbd8086p-23, -0x1.f73a868e4858cp-24, -0x1.c515c42c43718p-24, -0x1.93760dfe575a5p-24, -0x1.625cb1927374bp-24, -0x1.31caeb21dd8c3p-24, -0x1.01c1e5db560f8p-24, -0x1.a485785259fffp-25, -0x1.469ceff8c03d4p-25, -0x1.d3984c5007f25p-26, -0x1.1c29dd1c2e403p-26, -0x1.9bc7ecaa79cc2p-28, 0x1.3030b84e21d5bp-28, 0x1.f99b5f197192fp-27, 0x1.ab4fd5523770bp-26, 0x1.2bc812c947256p-25, 0x1.80c62fbe8cf0fp-25, 0x1.d4a13d178c323p-25, 0x1.13ac28e77977bp-24, 0x1.3c754fdf4cc8ap-24, 0x1.64abb98d5ccc4p-24, 0x1.8c4f18f463c78p-24, 0x1.b35f2dbbd2f6fp-24, 0x1.d9dbc3ec3ed4ep-24, 0x1.ffc4b3b091787p-24, 0x1.128cf089205p-23, 0x1.24ed9dda4162cp-23, 0x1.37045f4c2af22p-23, 0x1.48d137ed78502p-23, 0x1.5a54303adf17ep-23, 0x1.6b8d55ffcadabp-23, 0x1.7c7cbc366189bp-23, 0x1.8d227ae8c43cp-23, 0x1.9d7eaf1390021p-23, 0x1.ad917a848782cp-23, 0x1.bd5b03bf33105p-23, 0x1.ccdb75df46bc6p-23, 0x1.dc130078ebee5p-23, 0x1.eb01d77cfb17p-23, 0x1.f9a8331c12dbbp-23, 0x1.040327d528548p-22, 0x1.0b0e36c146613p-22, 0x1.11f5687547ac9p-22, 0x1.18b8e0fc1d7dbp-22, 0x1.1f58c63abfa16p-22, 0x1.25d53fe27589cp-22, 0x1.2c2e77638da61p-22, 0x1.326497e12b45fp-22, 0x1.3877ce23a403fp-22, 0x1.3e68488bdd986p-22, 0x1.443637063fc29p-22, 0x1.49e1caff1797dp-22, 0x1.4f6b37555efeap-22, 0x1.54d2b04fcb16p-22, 0x1.5a186b8fcfa44p-22, 0x1.5f3ca00662527p-22, 0x1.643f85e817e1ep-22, 0x1.692156a1cef5ep-22, 0x1.6de24ccd2c498p-22, 0x1.7282a425be4d4p-22, 0x1.7702997e632c8p-22, 0x1.7b626ab65c46dp-22, 0x1.7fa256ae43399p-22, 0x1.83c29d3e01ap-22, 0x1.87c37f2aa5c7bp-22, 0x1.8ba53e1bf2379p-22, 0x1.8f681c92f3286p-22, 0x1.930c5ddff4e39p-22, 0x1.96924618bdebep-22, 0x1.99fa1a0f4c1f7p-22, 0x1.9d441f48711b4p-22, 0x1.a0709bf2e3c22p-22, 0x1.a37fd6de4727ap-22, 0x1.a67217727e7f9p-22, 0x1.a947a5a70695bp-22, 0x1.ac00c9fa22142p-22, 0x1.ae9dcd68e3257p-22, 0x1.b11ef9673851ep-22, 0x1.b38497d78c861p-22, 0x1.b5cef30342288p-22, 0x1.b7fe5593025e6p-22, 0x1.ba130a86eecddp-22, 0x1.bc0d5d2f077bcp-22, 0x1.bded992457e44p-22, 0x1.bfb40a41d8704p-22, 0x1.c160fc9dbdae3p-22, 0x1.c2f4bc826d9c8p-22, 0x1.c46f9667ba979p-22, 0x1.c5d1d6ec5e613p-22, 0x1.c71bcad014436p-22, 0x1.c84dbeed0adebp-22, 0x1.c9680031cc083p-22, 0x1.ca6adb9b65adcp-22, 0x1.cb569e2f9842dp-22, 0x1.cc2b94f7607d3p-22, 0x1.ccea0cf8da961p-22, 0x1.cd92533217a89p-22, 0x1.ce24b494066e5p-22, 0x1.cea17dfd70bd5p-22, 0x1.cf08fc35d06fcp-22, 0x1.cf5b7be84c6bap-22, 0x1.cf99499ee103dp-22, 0x1.cfc2b1be1576ep-22, 0x1.cfd80080269eap-22, 0x1.cfd981f0d3f4p-22, 0x1.cfc781e900c3ap-22, 0x1.cfa24c0a8f07cp-22, 0x1.cf6a2bbc3c903p-22, 0x1.cf1f6c25c46b8p-22, 0x1.cec2582c05626p-22, 0x1.ce533a6d0a799p-22, 0x1.cdd25d3cfa08dp-22, 0x1.cd400aa23c36ep-22, 0x1.cc9c8c52357dcp-22, 0x1.cbe82badbf3dp-22, 0x1.cb2331be39674p-22, 0x1.ca4de73269ebdp-22, 0x1.c968945b67312p-22, 0x1.c8738129a6121p-22, 0x1.c76ef52a7fc2ap-22, 0x1.c65b3785310b9p-22, 0x1.c5388ef864cb1p-22, 0x1.c40741d76afddp-22, 0x1.c2c79607fa971p-22, 0x1.c179d0ffec6e4p-22, 0x1.c01e37c2fd172p-22, 0x1.beb50ee095a52p-22, 0x1.bd3e9a71bd03ep-22, 0x1.bbbb1e16f6dd3p-22, 0x1.ba2adcf684b99p-22, 0x1.b88e19ba67f31p-22, 0x1.b6e5168ee8eecp-22, 0x1.b53015208bafbp-22, 0x1.b36f569adf01bp-22, 0x1.b1a31ba6761fp-22, 0x1.afcba467ddabdp-22, 0x1.ade9307decfb3p-22, 0x1.abfbff00a4e7fp-22, 0x1.aa044e7fdbf2ep-22, 0x1.a8025d020cf7fp-22, 0x1.a5f6680378e56p-22, 0x1.a3e0ac74dab15p-22, 0x1.a1c166ba4f6bcp-22, 0x1.9f98d2aabf716p-22, 0x1.9d672b8ec42f3p-22, 0x1.9b2cac1fdbd65p-22, 0x1.98e98e87ef267p-22, 0x1.969e0c606215p-22, 0x1.944a5eb158912p-22, 0x1.91eebdf149adfp-22, 0x1.8f8b6204ac9f7p-22, 0x1.8d20823d48908p-22, 0x1.8aae55599673fp-22, 0x1.88351184b92ep-22, 0x1.85b4ec561ff62p-22, 0x1.832e1ad123a67p-22, 0x1.80a0d164cd8c2p-22, 0x1.7e0d43ebd2551p-22, 0x1.7b73a5ac5c90fp-22, 0x1.78d42957b511cp-22, 0x1.762f010a7094p-22, 0x1.73845e4ca8eddp-22, 0x1.70d47211af951p-22, 0x1.6e1f6cb80816bp-22, 0x1.6b657e09b4a47p-22, 0x1.68a6d53ca5af4p-22, 0x1.65e3a0f27e699p-22, 0x1.631c0f38b50fap-22, 0x1.60504d89404d8p-22, 0x1.5d8088ca8e06p-22, 0x1.5aaced4ff713ap-22, 0x1.57d5a6da2c946p-22, 0x1.54fae09764a5ap-22, 0x1.521cc523e4bdfp-22, 0x1.4f3b7e8a80f54p-22, 0x1.4c573644d86eap-22, 0x1.4970153c1ba5ep-22, 0x1.468643c9725a7p-22, 0x1.4399e9b6763b2p-22, 0x1.40ab2e3dea71dp-22, }}, 
      {{-0x1.d66b2a110f159p-8, -0x1.cf3090fa7f344p-7, -0x1.5285d83cac06dp-6, -0x1.b33f9444d3514p-6, -0x1.038553f1b4594p-5, -0x1.25d2ced7d6d36p-5, -0x1.3fa7e2fb88e6fp-5, -0x1.5064ae724b747p-5, -0x1.57a717b2cf472p-5, -0x1.55462e63e6c74p-5, -0x1.494c4c6f2c787p-5, -0x1.33f0881ac8c39p-5, -0x1.158fe78293e13p-5, -0x1.dd4d514d2ee27p-6, -0x1.7f93b129e4a4fp-6, -0x1.1342c073ead96p-6, -0x1.338a774960e89p-7, -0x1.4972c8fb0958ap-10, 0x1.eb09f6111a651p-8, 0x1.12c126ccfe961p-6, 0x1.b1e29f6cd82bcp-6, 0x1.2b57177d25686p-5, 0x1.7fdc54d80bd1dp-5, 0x1.d5d3d3a19fdcp-5, 0x1.164cfceb3fd25p-4, 0x1.41cad4708a10fp-4, 0x1.6d1c699d4cda6p-4, 0x1.980068928ce6ep-4, 0x1.c23b3f3d5cd2dp-4, 0x1.eb97155bcf9ffp-4, 0x1.09f1d8e16f04ep-3, 0x1.1d7b284cfea38p-3, 0x1.3054b6ea64f7fp-3, 0x1.426e43659f3e1p-3, 0x1.53b9eab7623e7p-3, 0x1.642c039f7a503p-3, 0x1.73baf8e67fc9cp-3, 0x1.825f2327e22b8p-3, 0x1.9012a2c31a705p-3, 0x1.9cd13a740e473p-3, 0x1.a8982af7c23abp-3, 0x1.b366100af2fe9p-3, 0x1.bd3abefbe94a4p-3, 0x1.c61726f7ae7bdp-3, 0x1.cdfd332c15482p-3, 0x1.d4efaecc345bfp-3, 0x1.daf22afae316p-3, 0x1.e008e696f5a2fp-3, 0x1.e438b7dea88fp-3, 0x1.e786f7daf9768p-3, 0x1.e9f96f7ffc6bdp-3, 0x1.eb96466cdf9ecp-3, 0x1.ec63f334945ddp-3, 0x1.ec692d1743332p-3, 0x1.ebacdf1443c99p-3, 0x1.ea361c3c88b49p-3, 0x1.e80c152dd61bdp-3, 0x1.e5360e9ff716bp-3, 0x1.e1bb58edfec48p-3, 0x1.dda34886d2898p-3, 0x1.d8f52f3156f37p-3, 0x1.d3b85611e4665p-3, 0x1.cdf3f85fd200ep-3, 0x1.c7af3ebb3c347p-3, 0x1.c0f13b1446e65p-3, 0x1.b9c0e516587afp-3, 0x1.b225170acf88cp-3, 0x1.aa248b27e0e26p-3, 0x1.a1c5d94121671p-3, 0x1.990f74d04b4f9p-3, 0x1.9007ab4d91f4cp-3, 0x1.86b4a2cfa15b5p-3, 0x1.7d1c58ec32e21p-3, 0x1.7344a1d2aa8a7p-3, 0x1.6933279aebad6p-3, 0x1.5eed69c301005p-3, 0x1.5478bcd6d1439p-3, 0x1.49da4a3d79d14p-3, 0x1.3f171028571a9p-3, 0x1.3433e1a02f515p-3, 0x1.293566ad35751p-3, 0x1.1e201c96f755cp-3, 0x1.12f856398e9c1p-3, 0x1.07c23c6dadfefp-3, 0x1.f9039d02a4d72p-4, 0x1.e275c57e4ac5ep-4, 0x1.cbe24e0590118p-4, 0x1.b55042b0afc23p-4, 0x1.9ec6614b9c8d6p-4, 0x1.884b1ab98fdcp-4, 0x1.71e494672c78dp-4, 0x1.5b98a9c8ef206p-4, 0x1.456cede3f2d19p-4, 0x1.2f66acdf43856p-4, 0x1.198aed9c1836ep-4, 0x1.03de73538161dp-4, 0x1.dccb7e7065fd4p-5, 0x1.b24a24366eafap-5, 0x1.8840dc24eb4d6p-5, 0x1.5eb730401a66dp-5, 0x1.35b433b34b733p-5, 0x1.0d3e861dcd13bp-5, 0x1.cab8adb972444p-6, 0x1.7c26d0a09c5c3p-6, 0x1.2ed2263768fd8p-6, 0x1.c58925786afc8p-7, 0x1.300e679100e09p-7, 0x1.3a899a8c71435p-8, 0x1.a773a00550126p-12, -0x1.fffd2a98d4428p-9, -0x1.0a5f66b07153bp-7, -0x1.91d983bdb202ep-7, -0x1.0b31d919cde3ap-6, -0x1.4bfa9d4c35c32p-6, -0x1.8b43490ef4ebfp-6, -0x1.c908a7af21d7cp-6, -0x1.02a407d2fea6p-5, -0x1.1fffae9572dc8p-5, -0x1.3c96766fd53d4p-5, -0x1.5867cb4bc84dap-5, -0x1.7373541ca3831p-5, -0x1.8db8f05e06808p-5, -0x1.a738b5a01498cp-5, -0x1.bff2ed21648d7p-5, -0x1.d7e81176b5122p-5, -0x1.ef18cc4066157p-5, -0x1.02c2f9f6d9ff6p-4, -0x1.0d9844c6daf72p-4, -0x1.180cdb57073bap-4, -0x1.222165a3a70f6p-4, -0x1.2bd69ddb75908p-4, -0x1.352d4f636304bp-4, -0x1.3e2655e10de71p-4, -0x1.46c29c4bed9e1p-4, -0x1.4f031c051907fp-4, -0x1.56e8dbf5a0c72p-4, -0x1.5e74efb369c6ep-4, -0x1.65a876ac7a13p-4, -0x1.6c849b58a3f3ap-4, -0x1.730a92717de38p-4, -0x1.793b9a30946p-4, -0x1.7f18f993bf96p-4, -0x1.84a3ffa78b26bp-4, -0x1.89de02d797ea9p-4, -0x1.8ec86044e1878p-4, -0x1.93647b21d2bebp-4, -0x1.97b3bc140fa32p-4, -0x1.9bb7909be2057p-4, -0x1.9f716a81248bcp-4, -0x1.a2e2bf45a83c1p-4, -0x1.a60d079ce3ecp-4, -0x1.a8f1bee8e57dbp-4, -0x1.ab9262bc6431bp-4, -0x1.adf07261dfffp-4, -0x1.b00d6e67a57bap-4, -0x1.b1ead830b8181p-4, -0x1.b38a318a5e10dp-4, -0x1.b4ecfc466a3c9p-4, -0x1.b614b9d9f1081p-4, -0x1.b702eb007bf91p-4, -0x1.b7b90f6381aafp-4, -0x1.b838a5461978fp-4, -0x1.b8832934ceb09p-4, -0x1.b89a15b96e5a7p-4, -0x1.b87ee312bfc3ep-4, -0x1.b83306f00f296p-4, -0x1.b7b7f4305cc31p-4, -0x1.b70f1aa53ac2ap-4, -0x1.b639e6d915a62p-4, -0x1.b539c1d8f4f22p-4, -0x1.b41011017f8d6p-4, -0x1.b2be35cf2ea1p-4, -0x1.b1458db1ab781p-4, -0x1.afa771e2255bdp-4, -0x1.ade5373c93198p-4, -0x1.ac002e1bcb181p-4, -0x1.a9f9a23852517p-4, -0x1.a7d2da89d5df5p-4, -0x1.a58d192b2a2abp-4, -0x1.a3299b40c8b36p-4, -0x1.a0a998e1a9416p-4, -0x1.9e0e450264e82p-4, -0x1.9b58cd62968bp-4, -0x1.988a5a7c5120cp-4, -0x1.95a40f75acf21p-4, -0x1.92a70a14416c5p-4, -0x1.8f9462b28c106p-4, -0x1.8c6d2c3722e3cp-4, -0x1.8932740da5b8bp-4, -0x1.85e542215a6cdp-4, -0x1.828698d960977p-4, -0x1.7f1775166e39cp-4, -0x1.7b98ce320163dp-4, -0x1.780b95fef508dp-4, -0x1.7470b8cb6cb2dp-4, -0x1.70c91d6400eafp-4, -0x1.6d15a518227c3p-4, -0x1.69572bbfa2f97p-4, -0x1.658e87c151756p-4, -0x1.61bc8a1aa193fp-4, -0x1.5de1fe684a4d7p-4, -0x1.59ffaaefd2b7dp-4, -0x1.561650a9fb3e3p-4, -0x1.5226ab4dfb2eap-4, -0x1.4e31715d826edp-4, -0x1.4a375431757e6p-4, -0x1.4639000757a26p-4, -0x1.42371c0f55821p-4, -0x1.3e324a7ae9deap-4, -0x1.3a2b288c0c379p-4, -0x1.36224ea4e5228p-4, -0x1.32185057f907dp-4, -0x1.2e0dbc78c31c7p-4, -0x1.2a031d2cb637ap-4, -0x1.25f8f7fc9b6cdp-4, -0x1.21efcde643544p-4, -0x1.1de81b6e84e8cp-4, -0x1.19e258b381b58p-4, -0x1.15def97f23b78p-4, -0x1.11de6d59d46c3p-4, -0x1.0de11f9d5f807p-4, -0x1.09e77787ff049p-4, -0x1.05f1d84f87d14p-4, -0x1.0200a134b0aacp-4, -0x1.fc285b2cdf763p-5, -0x1.f459aa0acd4cdp-5, -0x1.ec95d6aeb14cep-5, -0x1.e4dd81754a719p-5, -0x1.dd31439389d3bp-5, -0x1.d591af3d7dd1ep-5, -0x1.cdff4fcd2ba1ep-5, -0x1.c67aa9e94f8c2p-5, -0x1.bf043babfd238p-5, -0x1.b79c7cc90bc36p-5, -0x1.b043deb45b4cbp-5, -0x1.a8faccc7d98d7p-5, -0x1.a1c1ac694df43p-5, -0x1.9a98dd2fd99ecp-5, -0x1.9380b90932cc6p-5, -0x1.8c79945e8cecbp-5, -0x1.8583be39285f5p-5, -0x1.7e9f80668fddcp-5, -0x1.77cd1f9c6e74bp-5, -0x1.710cdb9c078cp-5, -0x1.6a5eef554a4ddp-5, -0x1.63c39109741cfp-5, -0x1.5d3af26d4db67p-5, -0x1.56c540caef49fp-5, -0x1.5062a5231a51p-5, -0x1.4a13444e1516p-5, -0x1.43d73f1c1388p-5, -0x1.3daeb2752326bp-5, -0x1.3799b7789cd76p-5, -0x1.3198639c164e4p-5, -0x1.2baac8c9d68f3p-5, -0x1.25d0f57ec8f4ep-5, -0x1.200af4e7eca09p-5, -0x1.1a58ceff44e5dp-5, -0x1.14ba88a8434f3p-5, -0x1.0f3023cbad572p-5, -0x1.09b99f73020f9p-5, -0x1.0456f7e352b19p-5, -0x1.fe104d6f4011dp-6, -0x1.f39a45f554278p-6, -0x1.e94bc2807f213p-6, -0x1.df24a77c11cddp-6, -0x1.d524d4c796803p-6, -0x1.cb4c25e652e31p-6, -0x1.c19a722dc570fp-6, -0x1.b80f8cf3161bcp-6, -0x1.aeab45b788396p-6, -0x1.a56d6853e97a8p-6, -0x1.9c55bd22f62f2p-6, -0x1.9364092acfb2ap-6, -0x1.8a980e456337fp-6, -0x1.81f18b47e0a0cp-6, -0x1.79703c293785bp-6, -0x1.7113da2793658p-6, -0x1.68dc1becf6a71p-6, -0x1.60c8b5b2d2a54p-6, -0x1.58d95964ba551p-6, -0x1.510db6c224f56p-6, -0x1.49657b7f4aa4ep-6, -0x1.41e053651cf88p-6, -0x1.3a7de870526d8p-6, -0x1.333de2efa3adap-6, -0x1.2c1fe9a1160d5p-6, -0x1.2523a1ce8101cp-6, -0x1.1e48af692f982p-6, -0x1.178eb524b8abdp-6, -0x1.10f55490fc43dp-6, -0x1.0a7c2e3360d4dp-6, -0x1.0422e19f3d67ep-6, -0x1.fbd21b1b0cedcp-7, -0x1.ef9c9fe765df4p-7, -0x1.e3a48c33c7d88p-7, -0x1.d7e91960a81c8p-7, -0x1.cc697fc81485p-7, -0x1.c124f6e5b9331p-7, -0x1.b61ab57d86679p-7, -0x1.ab49f1c0e7086p-7, -0x1.a0b1e172c2eeap-7, -0x1.9651ba0a1782cp-7, -0x1.8c28b0d35ef27p-7, -0x1.8235fb10acaa7p-7, -0x1.7878ce189160ep-7, -0x1.6ef05f73d62a6p-7, -0x1.659be4f9fdb75p-7, -0x1.5c7a94ecb5f17p-7, -0x1.538ba6121291ap-7, -0x1.4ace4fcdca61fp-7, -0x1.4241ca394c3f3p-7, -0x1.39e54e3adaff9p-7, -0x1.31b8159ba0c27p-7, -0x1.29b95b1cbaef8p-7, -0x1.21e85a8b625a2p-7, -0x1.1a4450d40c5bap-7, -0x1.12cc7c14b2a0bp-7, -0x1.0b801bae2fcaep-7, -0x1.045e7054b4b2cp-7, -0x1.facd783eeba1fp-8, -0x1.ed30852eebda7p-8, -0x1.dfe4918b18a98p-8, -0x1.d2e82a7f3b761p-8, -0x1.c639e06a2deedp-8, -0x1.b9d846f5518f4p-8, -0x1.adc1f52a9621ep-8, -0x1.a1f5858927baep-8, -0x1.96719618b1095p-8, -0x1.8b34c87b588d6p-8, -0x1.803dc1fe7ee52p-8, -0x1.758b2baa313e1p-8, -0x1.6b1bb24f7ab2dp-8, -0x1.60ee06957e599p-8, -0x1.5700dd05831afp-8, -0x1.4d52ee15d88ccp-8, -0x1.43e2f633c0294p-8, -0x1.3aafb5cc433d9p-8, -0x1.31b7f1542299ep-8, -0x1.28fa714eba922p-8, -0x1.207602540f62dp-8, -0x1.18297515f6ff7p-8, -0x1.10139e645f72cp-8, -0x1.08335730cdf56p-8, -0x1.00877c910bc26p-8, -0x1.f21ddf82312a2p-9, -0x1.e3912c48ac4c9p-9, -0x1.d566b28c2a629p-9, -0x1.c79c4db2a2ab9p-9, -0x1.ba2fe16ff204cp-9, -0x1.ad1f59c2bca56p-9, -0x1.a068aaf081419p-9, -0x1.9409d18048638p-9, -0x1.8800d2344cdf8p-9, -0x1.7c4bba02a3033p-9, -0x1.70e89e0ccebc9p-9, -0x1.65d59b9673825p-9, -0x1.5b10d7fb158b2p-9, -0x1.509880a2f0d55p-9, -0x1.466acaf707c4cp-9, -0x1.3c85f454749b1p-9, -0x1.32e841fee3e32p-9, -0x1.2990011258776p-9, -0x1.207b867461ab6p-9, -0x1.17a92ec48d8dp-9, -0x1.0f175e4c549ap-9, -0x1.06c480ee6fb77p-9, -0x1.fd5e142b43f7ap-10, -0x1.edaae945f23b3p-10, -0x1.de6c85b782a38p-10, -0x1.cf9ffcad98ae2p-10, -0x1.c1426fd2f0a8ap-10, -0x1.b3510f288d5efp-10, -0x1.a5c918de3986cp-10, -0x1.98a7d92a5aa6dp-10, -0x1.8beaaa2143a45p-10, -0x1.7f8ef38bc3681p-10, -0x1.73922abd5730ap-10, -0x1.67f1d26a1cb7bp-10, -0x1.5cab7a7bd5a63p-10, -0x1.51bcbfe71811dp-10, -0x1.47234c7fd1974p-10, -0x1.3cdcd6cda9cd5p-10, -0x1.32e721e014c81p-10, -0x1.293ffd224a964p-10, -0x1.1fe5442ef7d05p-10, -0x1.16d4dea3c23e3p-10, -0x1.0e0cbff4ee245p-10, -0x1.058ae740a4c3p-10, -0x1.fa9abe44d4ec6p-11, -0x1.eaa47b0d12064p-11, -0x1.db2f46fab03d1p-11, -0x1.cc377a1da6999p-11, -0x1.bdb9821c0fcc5p-11, -0x1.afb1e1d984177p-11, -0x1.a21d311e716a7p-11, -0x1.94f81c40414edp-11, -0x1.883f63c914ff1p-11, -0x1.7befdc2097d01p-11, -0x1.70066d34c778bp-11, -0x1.64801223868f2p-11, -0x1.5959d8e444de4p-11, -0x1.4e90e1f2bdd3fp-11, -0x1.44225ff9c80cp-11, -0x1.3a0b977ef60cep-11, -0x1.3049de8eff6d3p-11, -0x1.26da9c6a43de4p-11, -0x1.1dbb4932dcc89p-11, -0x1.14e96d9a8aa6fp-11, -0x1.0c62a291b75aep-11, -0x1.042490f7760d9p-11, -0x1.f859e293a603dp-12, -0x1.e8f316ae8fd14p-12, -0x1.da106be178882p-12, -0x1.cbadad3943f34p-12, -0x1.bdc6c29553c3ep-12, -0x1.b057b010cefbp-12, -0x1.a35c956df6e46p-12, -0x1.96d1ad8299986p-12, -0x1.8ab34da6bf8cep-12, -0x1.7efde52560dcep-12, -0x1.73adfcae39e4bp-12, -0x1.68c035ca0301bp-12, -0x1.5e314a507e7eap-12, -0x1.53fe0be00ddd6p-12, -0x1.4a2363573bed2p-12, -0x1.409e50508c4afp-12, -0x1.376be89fdc9bp-12, -0x1.2e8957d154531p-12, -0x1.25f3deab4bd3fp-12, -0x1.1da8d2b0cbbb4p-12, -0x1.15a59da6b84e5p-12, -0x1.0de7bd1b001b3p-12, -0x1.066cc1ed28facp-12, -0x1.fe649fb25c65ep-13, -0x1.f06c3a082d323p-13, -0x1.e2ebe31508049p-13, -0x1.d5df4e21e6181p-13, -0x1.c94250ac7b36cp-13, -0x1.bd10e18f59a87p-13, -0x1.b147182df31eep-13, -0x1.a5e12ba47eba7p-13, -0x1.9adb71fb4ff69p-13, -0x1.90325f5ddd8adp-13, -0x1.85e28555d16b5p-13, -0x1.7be892090f31fp-13, -0x1.72414f7c16853p-13, -0x1.68e9a2d752e51p-13, -0x1.5fde8bb042279p-13, -0x1.571d2355b5648p-13, -0x1.4ea29c20a952p-13, -0x1.466c40c70083p-13, -0x1.3e7773b2c4e0dp-13, -0x1.36c1ae5cd4a34p-13, -0x1.2f4880a9c23d8p-13, -0x1.2809904b5dbd9p-13, -0x1.210298249a8f2p-13, -0x1.1a3167b14ea12p-13, -0x1.1393e270d5087p-13, -0x1.0d27ff53a7f27p-13, -0x1.06ebc82c88507p-13, -0x1.00dd592476fdfp-13, -0x1.f5f5c06338666p-14, -0x1.ea8539233df1cp-14, -0x1.df65bc8d67ed8p-14, -0x1.d4940b2e9a319p-14, -0x1.ca0d052292d72p-14, -0x1.bfcda91ee97dbp-14, -0x1.b5d313841bcc9p-14, -0x1.ac1a7d73ebd88p-14, -0x1.a2a13bee18df9p-14, -0x1.9964bef097e0bp-14, -0x1.9062909f5c635p-14, -0x1.8798546f5de8p-14, -0x1.7f03c657516acp-14, -0x1.76a2ba0688d04p-14, -0x1.6e731a1ef3c8ap-14, -0x1.6672e77591eacp-14, -0x1.5ea038569128bp-14, -0x1.56f937ceaed8ap-14, -0x1.4f7c24f92983p-14, -0x1.4827525202136p-14, -0x1.40f9250d06bbcp-14, -0x1.39f0147113d32p-14, -0x1.330aa937770d8p-14, -0x1.2c477cf009a97p-14, -0x1.25a539691288ep-14, -0x1.1f22981ae47d7p-14, -0x1.18be61981858p-14, -0x1.12776d01801d7p-14, -0x1.0c4c9f7e31393p-14, -0x1.063cebb6449b8p-14, -0x1.00475152d7caap-14, -0x1.f4d5b90058becp-15, -0x1.e94d4ae92cd99p-15, -0x1.ddf39ff38e39cp-15, -0x1.d2c715f4d7171p-15, -0x1.c7c6202496497p-15, -0x1.bcef4644eae1ap-15, -0x1.b24123d03de5p-15, -0x1.a7ba672d90beep-15, -0x1.9d59d0e9e503dp-15, -0x1.931e32f9cfaeap-15, -0x1.89066ffe6690fp-15, -0x1.7f117a91a4bc8p-15, -0x1.753e5497becfcp-15, -0x1.6b8c0e95e8223p-15, -0x1.61f9c70e411d7p-15, -0x1.5886a9e18f181p-15, -0x1.4f31efb519f49p-15, -0x1.45fadd5e64306p-15, -0x1.3ce0c353425dcp-15, -0x1.33e2fd1f5b8fp-15, -0x1.2b00f0dcb39f7p-15, -0x1.223a0eb2889ddp-15, -0x1.198dd0577d737p-15, -0x1.10fbb8983efaep-15, -0x1.088352e28939ap-15, -0x1.002432d3a84fap-15, -0x1.efbbe7992489bp-16, -0x1.df60710ee726p-16, -0x1.cf355565409e3p-16, -0x1.bf39f51eb40e4p-16, -0x1.af6dbd2582603p-16, -0x1.9fd0261791afbp-16, -0x1.9060b396a8347p-16, -0x1.811ef3a09e67p-16, -0x1.720a7dee011b3p-16, -0x1.6322f356eb5a9p-16, -0x1.5467fd3c3ddcp-16, -0x1.45d94cf92aaaap-16, -0x1.37769b5917351p-16, -0x1.293fa81316255p-16, -0x1.1b34394b3c04cp-16, -0x1.0d541b1902085p-16, -0x1.ff3e3e2556f8p-17, -0x1.e42a37bb92611p-17, -0x1.c96bd987c6141p-17, -0x1.af02e29b2a3bep-17, -0x1.94ef19bdfd889p-17, -0x1.7b304cb8bafbcp-17, -0x1.61c64f9f2f9c5p-17, -0x1.48b0fc28e2f03p-17, -0x1.2ff0310da674ep-17, -0x1.1783d16c254c4p-17, -0x1.fed7886eb7d65p-18, -0x1.cf4fe753e706ep-18, -0x1.a07099863e7e3p-18, -0x1.72397d90d50dap-18, -0x1.44aa759d2127dp-18, -0x1.17c36690a484ep-18, -0x1.d7086e70d3083p-19, -0x1.7fd99efc17c34p-19, -0x1.29fa2f58364fep-19, -0x1.aad3dee183739p-20, -0x1.04515a6bed6d2p-20, -0x1.81b19b2fc54a6p-22, 0x1.036dbd34468b9p-22, 0x1.bf0d4c101ee88p-21, 0x1.7b95c88a7344fp-20, 0x1.0a84b8649f0d5p-19, 0x1.55f124aa66f18p-19, 0x1.a0108778302e9p-19, 0x1.e8e3490ea29d4p-19, 0x1.1834ee1d60e92p-18, 0x1.3b525f7e5fd17p-18, 0x1.5dca3d8c22b8ep-18, 0x1.7f9cd352709c7p-18, 0x1.a0ca723e451d8p-18, 0x1.c153725bed9a2p-18, 0x1.e1383281d8d88p-18, 0x1.003c8c4054832p-17, 0x1.0f8b48a4379bp-17, 0x1.1e888884bdec4p-17, 0x1.2d3489a7fc7f2p-17, 0x1.3b8f8d8de48ebp-17, 0x1.4999d97a0e461p-17, 0x1.5753b67a827e3p-17, 0x1.64bd716dee068p-17, 0x1.71d75b05646ffp-17, 0x1.7ea1c7c6c33e5p-17, 0x1.8b1d100d1c686p-17, 0x1.974990046c2f7p-17, 0x1.a327a7a8f6461p-17, 0x1.aeb7babfda5f7p-17, 0x1.b9fa30d1caf1dp-17, 0x1.c4ef7522a874ap-17, 0x1.cf97f6a8b64bep-17, 0x1.d9f42802366adp-17, 0x1.e4047f69e067fp-17, 0x1.edc976aa17314p-17, 0x1.f7438b10de6c5p-17, 0x1.00399eaf7cf1dp-16, 0x1.04ac88dd3b254p-16, 0x1.08fac7cf42ba2p-16, 0x1.0d24a0e50337fp-16, 0x1.112a5b175785dp-16, 0x1.150c3eef0bbc7p-16, 0x1.18ca967bc7218p-16, 0x1.1c65ad4a2dd08p-16, 0x1.1fddd05a56b2ep-16, 0x1.23334e1571389p-16, 0x1.266676437ff66p-16, 0x1.29779a00f89b2p-16, 0x1.2c670bb39fe54p-16, 0x1.2f351f00aee68p-16, 0x1.31e228c1606edp-16, 0x1.346e7ef7796bep-16, 0x1.36da78c3325dfp-16, 0x1.39266e5747616p-16, 0x1.3b52b8edea7afp-16, 0x1.3d5fb2bddc15p-16, 0x1.3f4db6ee73d48p-16, 0x1.411d218d42b72p-16, 0x1.42ce4f81e5dd7p-16, 0x1.44619e8367cf2p-16, 0x1.45d76d0cb6d6fp-16, 0x1.47301a50fffcdp-16, 0x1.486c06319ef6fp-16, 0x1.498b9131e3fb1p-16, 0x1.4a8f1c6cccecp-16, 0x1.4b77098987f56p-16, 0x1.4c43bab0d922dp-16, 0x1.4cf5928263247p-16, 0x1.4d8cf409a74c4p-16, 0x1.4e0a42b42ad15p-16, 0x1.4e6de245ebbafp-16, 0x1.4eb836d00b72dp-16, 0x1.4ee9a4a5df549p-16, 0x1.4f0290533fbcfp-16, 0x1.4f035e92a55f9p-16, 0x1.4eec7443159dfp-16, 0x1.4ebe365e914a7p-16, 0x1.4e7909f0d2aeep-16, 0x1.4e1d540dc5adcp-16, 0x1.4dab79c85097fp-16, 0x1.4d23e02981e3bp-16, 0x1.4c86ec273da07p-16, 0x1.4bd5029c46f46p-16, 0x1.4b0e883f0104fp-16, 0x1.4a33e199b7254p-16, 0x1.49457301e2545p-16, 0x1.4843a09096e3bp-16, 0x1.472ece1a6653ap-16, 0x1.46075f281e66p-16, 0x1.44cdb6ef050d3p-16, 0x1.438238499f6c1p-16, 0x1.422545b0909e9p-16, 0x1.40b74133b2deep-16, 0x1.3f388c7384422p-16, 0x1.3da9889a51e17p-16, 0x1.3c0a9656264a4p-16, 0x1.3a5c15d2312f5p-16, 0x1.389e66b143cccp-16, 0x1.36d1e80770cd4p-16, 0x1.34f6f854f7a6ap-16, 0x1.330df58057111p-16, 0x1.31173cd146148p-16, 0x1.2f132aeb12e19p-16, 0x1.2d021bc895e93p-16, 0x1.2ae46ab687575p-16, 0x1.28ba724f4f941p-16, 0x1.26848c76b8101p-16, 0x1.2443125507a05p-16, 0x1.21f65c53ed768p-16, 0x1.1f9ec21980aa6p-16, 0x1.1d3c9a854dc85p-16, 0x1.1ad03bac436c4p-16, 0x1.1859fad53b3acp-16, 0x1.15da2c7608dffp-16, 0x1.1351242fef93ep-16, 0x1.10bf34ccee59cp-16, 0x1.0e24b03cef6c4p-16, 0x1.0b81e792b3ee6p-16, 0x1.08d72b01ed87ep-16, 0x1.0624c9dc124e7p-16, 0x1.036b128edcb46p-16, 0x1.00aa52a1dcf5p-16, 0x1.fbc5ad68a800dp-17, 0x1.f629d4f7aee31p-17, 0x1.f081b183d8b0fp-17, 0x1.eacdd6c6132cp-17, 0x1.e50ed69a0005bp-17, 0x1.df4540fadacc7p-17, 0x1.d971a40238fc4p-17, 0x1.d3948be420649p-17, 0x1.cdae82eebda9p-17, 0x1.c7c011880e2d1p-17, 0x1.c1c9be2c3e254p-17, 0x1.bbcc0d6ca24ccp-17, 0x1.b5c781ef41b8ep-17, 0x1.afbc9c6c6feacp-17, 0x1.a9abdbb016d56p-17, 0x1.a395bc97ff509p-17, 0x1.9d7aba14686b2p-17, 0x1.975b4d275627cp-17, 0x1.9137ece5bbce9p-17, 0x1.8b110e7633583p-17, 0x1.84e7251388d3fp-17, 0x1.7ebaa20c3743p-17, 0x1.788bf4c315889p-17, 0x1.725b8ab172d87p-17, 0x1.6c29cf67b6aebp-17, 0x1.65f72c8de847bp-17, 0x1.5fc409e6cfe7dp-17, 0x1.5990cd5098443p-17, 0x1.535ddac6d9a5ep-17, 0x1.4d2b94643a439p-17, 0x1.46fa5a656d613p-17, 0x1.40ca8b29f3fecp-17, 0x1.3a9c8337e97a5p-17, 0x1.34709d3d712f1p-17, 0x1.2e473213f8988p-17, 0x1.282098c229d13p-17, 0x1.21fd267f0cff6p-17, 0x1.1bdd2eb58c0b1p-17, 0x1.15c10306038bdp-17, 0x1.0fa8f34a7d606p-17, 0x1.09954d99e8284p-17, 0x1.03865e4a6263cp-17, 0x1.faf8dfeaf6c65p-18, 0x1.eeef96f62f314p-18, 0x1.e2f1700b52a0ap-18, 0x1.d6fef619297e8p-18, 0x1.cb18b0b209e7cp-18, 0x1.bf3f24123ffe5p-18, 0x1.b372d1277831cp-18, 0x1.a7b4359846a52p-18, 0x1.9c03cbcd4d0ddp-18, 0x1.90620af746c9ap-18, 0x1.84cf671877168p-18, 0x1.794c510c8fdf6p-18, 0x1.6dd9368fab08dp-18, 0x1.627682488e86bp-18, 0x1.57249bcfefbbcp-18, 0x1.4be3e7b87d273p-18, 0x1.40b4c79829721p-18, 0x1.35979a10d91d5p-18, 0x1.2a8cbad8c53f8p-18, 0x1.1f9482c2bc3eep-18, 0x1.14af47c755d07p-18, 0x1.09dd5d0dd5aeap-18, 0x1.fe3e25eacab7cp-19, 0x1.e8e96e39032e6p-19, 0x1.d3bd28d715136p-19, 0x1.beb9e63914033p-19, 0x1.a9e0318a37bf3p-19, 0x1.953090bcbf1c3p-19, 0x1.80ab849dbc404p-19, 0x1.6c5188e68e8c8p-19, 0x1.5823144d19b4ep-19, 0x1.44209898d3154p-19, 0x1.304a82b3eb79dp-19, 0x1.1ca13abb0e501p-19, 0x1.09252411bf294p-19, 0x1.ebad3ae710402p-20, 0x1.c56c020d29207p-20, 0x1.9f8748d96195p-20, 0x1.79ffb1aba13f2p-20, 0x1.54d5d622d2027p-20, 0x1.300a474017ddcp-20, 0x1.0b9d8d8dae2bp-20, 0x1.cf20527c21d62p-21, 0x1.87c524a1a87ddp-21, 0x1.412a7169f8b52p-21, 0x1.f6a211bc62f0dp-22, 0x1.6c7356dd8edf2p-22, 0x1.c7942902e5db2p-23, 0x1.729e3b5793d2dp-24, -0x1.47989bf901369p-25, -0x1.5a0991b1eec2fp-23, -0x1.2f8ca40f27177p-22, -0x1.b089d3f399f88p-22, -0x1.17fdd1617eea1p-21, -0x1.56f0bad4030fp-21, -0x1.951d6619fd412p-21, -0x1.d2839fed84a84p-21, -0x1.0791a0de66974p-20, -0x1.257e18b268cacp-20, -0x1.43073078fd596p-20, -0x1.602ce731ecd4p-20, -0x1.7cef41b65e05p-20, -0x1.994e4a9a52517p-20, -0x1.b54a120c84c81p-20, -0x1.d0e2adb72316fp-20, -0x1.ec1838a399f35p-20, -0x1.0375698da0b07p-19, -0x1.10ad5144d1b4cp-19, -0x1.1db3e8af64e01p-19, -0x1.2a894779beb97p-19, -0x1.372d87b56ce45p-19, -0x1.43a0c5caef814p-19, -0x1.4fe3206b3d62ap-19, -0x1.5bf4b8829d84bp-19, -0x1.67d5b12a24ea5p-19, -0x1.73862f9a98bb3p-19, -0x1.7f065b1e460dep-19, -0x1.8a565d03f1dbbp-19, -0x1.95766090fa01p-19, -0x1.a06692f53f5fdp-19, -0x1.ab27233da03a5p-19, -0x1.b5b8424777bp-19, -0x1.c01a22b3a0b77p-19, -0x1.ca4cf8da3a34ep-19, -0x1.d450fabe5dceap-19, -0x1.de26600294699p-19, -0x1.e7cd61db87471p-19, -0x1.f1463b046336p-19, -0x1.fa9127b425cfp-19, -0x1.01d732c8f9fb8p-18, -0x1.064f19d4a403bp-18, -0x1.0ab0692f89538p-18, -0x1.0efb41b2f103fp-18, -0x1.132fc4d9aa4dap-18, -0x1.174e14bb1603ep-18, -0x1.1b565405c4d7p-18, -0x1.1f48a5f9ef8acp-18, -0x1.23252e643a66dp-18, -0x1.26ec11992df3ep-18, -0x1.2a9d74703f4f5p-18, -0x1.2e397c3e11545p-18, -0x1.31c04ed0661d8p-18, -0x1.353212692e437p-18, -0x1.388eedb9be279p-18, -0x1.3bd707de881e5p-18, -0x1.3f0a885a78596p-18, -0x1.4229971237be5p-18, -0x1.45345c47edd94p-18, -0x1.482b009705b13p-18, -0x1.4b0dacf00e923p-18, -0x1.4ddc8a949c8d7p-18, -0x1.5097c312da92fp-18, -0x1.533f8041a1ff6p-18, -0x1.55d3ec3cb757cp-18, -0x1.5855316132416p-18, -0x1.5ac37a4908675p-18, -0x1.5d1ef1c74df5ap-18, -0x1.5f67c2e53bce3p-18, -0x1.619e18de28d27p-18, -0x1.63c21f1c2650ep-18, -0x1.65d401347de49p-18, -0x1.67d3eae3f9b8ap-18, -0x1.69c2080c033d4p-18, -0x1.6b9e84af34eaap-18, -0x1.6d698cee11c62p-18, -0x1.6f234d0426af6p-18, -0x1.70cbf144c0be6p-18, -0x1.7263a617d1bf4p-18, -0x1.73ea97f71c734p-18, -0x1.7560f36b7ac27p-18, }}, 
      {{-0x1.9872703db55d9p-8, -0x1.954dec9342c2p-7, -0x1.2c194cbdfd3e2p-6, -0x1.8905580d161c2p-6, -0x1.e01cf265afa84p-6, -0x1.181c1d8f87131p-5, -0x1.3c2caf1525bf4p-5, -0x1.5bd727836ce5dp-5, -0x1.76c86a9161734p-5, -0x1.8cc2a3c46562fp-5, -0x1.9d9c2721f5b05p-5, -0x1.a93dfa6f99ca8p-5, -0x1.afa2269b41835p-5, -0x1.b0d1eae55b59bp-5, -0x1.ace3e5e2293f2p-5, -0x1.a3fa43934ae36p-5, -0x1.9640fbc638cp-5, -0x1.83ec288bb2626p-5, -0x1.6d3679eede942p-5, -0x1.525fc9fa65e79p-5, -0x1.33abd27ea6417p-5, -0x1.116104d771648p-5, -0x1.d78f061aeef15p-6, -0x1.8650721c05fa9p-6, -0x1.2f98288a03b1dp-6, -0x1.a7ed5e76f63fep-7, -0x1.cfe84e275f738p-8, -0x1.02cf6e7bdb64ep-10, 0x1.5ba8e3ac20f16p-8, 0x1.8193c4de56486p-7, 0x1.2cf5bdecc18cep-6, 0x1.9af733f69aa87p-6, 0x1.052ed057ee508p-5, 0x1.3d5f3fab8d00dp-5, 0x1.75dac0aa3ea34p-5, 0x1.ae7249e122c78p-5, 0x1.e6f9eb1079cf3p-5, 0x1.0fa4612935b09p-4, 0x1.2b9c761259357p-4, 0x1.4753b7a6491bcp-4, 0x1.62ba12b7be91ap-4, 0x1.7dc0d08ff7c4ep-4, 0x1.985a89029d6d7p-4, 0x1.b27b13d71fbf2p-4, 0x1.cc1779c5424f3p-4, 0x1.e525e5395ab22p-4, 0x1.fd9d930c3e0ddp-4, 0x1.0abb61a9e5915p-3, 0x1.1655553512f99p-3, 0x1.2199b12216ba3p-3, 0x1.2c85ee154fcf9p-3, 0x1.3717e97285f5fp-3, 0x1.414ddeb0fd631p-3, 0x1.4b2660f23d798p-3, 0x1.54a054de4be7ep-3, 0x1.5dbaeac6eb8c7p-3, 0x1.66759912953p-3, 0x1.6ed016eefc5cap-3, 0x1.76ca574a64119p-3, 0x1.7e6484126e0c5p-3, 0x1.859ef9b6bd8dfp-3, 0x1.8c7a42ed6f719p-3, 0x1.92f714b71ea1bp-3, 0x1.99164aa0143d9p-3, 0x1.9ed8e33c23f38p-3, 0x1.a43ffcda948afp-3, 0x1.a94cd26f80e9cp-3, 0x1.ae00b8b014322p-3, 0x1.b25d1b5f0b825p-3, 0x1.b6637ac6f34d8p-3, 0x1.ba15695fb50fep-3, 0x1.bd74899cfeaf9p-3, 0x1.c0828be348ac2p-3, 0x1.c3412ca134d05p-3, 0x1.c5b2328b2e98p-3, 0x1.c7d76cf743afp-3, 0x1.c9b2b257438d9p-3, 0x1.cb45decf57869p-3, 0x1.cc92d2e74e473p-3, 0x1.cd9b7254fe3eap-3, 0x1.ce61a2de1fc14p-3, 0x1.cee74b5040d1cp-3, 0x1.cf2e528d4dc58p-3, 0x1.cf389eab802fep-3, 0x1.cf081427616d5p-3, 0x1.ce9e9526c6732p-3, 0x1.cdfe00cba542fp-3, 0x1.cd283295c1662p-3, 0x1.cc1f01d23a09p-3, 0x1.cae441180df7ep-3, 0x1.c979bdd0c5e9dp-3, 0x1.c7e13fcc6af1cp-3, 0x1.c61c88e014c6ep-3, 0x1.c42d548e5aaeap-3, 0x1.c21557b8faa34p-3, 0x1.bfd6405b1be54p-3, 0x1.bd71b54b99335p-3, 0x1.bae95606c5ea5p-3, 0x1.b83eba7f2e83dp-3, 0x1.b57372f4d5c78p-3, 0x1.b28907d280bdap-3, 0x1.af80f990a7d3ep-3, 0x1.ac5cc09d9d7f1p-3, 0x1.a91dcd4a9cf2p-3, 0x1.a5c587bd567a5p-3, 0x1.a2554fe5b86cap-3, 0x1.9ece7d77959f9p-3, 0x1.9b325fe7ef692p-3, 0x1.97823e6d92309p-3, 0x1.93bf5804d2724p-3, 0x1.8feae3761bec1p-3, 0x1.8c060f5f2ee2bp-3, 0x1.8812023ec5206p-3, 0x1.840fda8279bc5p-3, 0x1.8000ae96bb5eep-3, 0x1.7be58cf8a6b51p-3, 0x1.77bf7c4997d03p-3, 0x1.738f7b6451062p-3, 0x1.6f5681739421bp-3, 0x1.6b157e0a056e5p-3, 0x1.66cd593b41bebp-3, 0x1.627ef3b60521cp-3, 0x1.5e2b26df445d7p-3, 0x1.59d2c4ee2796cp-3, 0x1.55769908bcd18p-3, 0x1.5117676164e94p-3, 0x1.4cb5ed54c9c32p-3, 0x1.4852e1885f795p-3, 0x1.43eef4094f14dp-3, 0x1.3f8ace6bc66e7p-3, 0x1.3b2713ea8bcb1p-3, 0x1.36c46186d451p-3, 0x1.32634e284d826p-3, 0x1.2e046abd3e773p-3, 0x1.29a8425ac8c1ap-3, 0x1.254f5a5d2a33dp-3, 0x1.20fa3287ff86ap-3, 0x1.1ca945267f15ep-3, 0x1.185d072b94d37p-3, 0x1.1415e851e91dap-3, 0x1.0fd4533bb8f75p-3, 0x1.0b98ad9284e8bp-3, 0x1.07635826840f5p-3, 0x1.0334af0de0a5dp-3, 0x1.fe1a13875e1abp-4, 0x1.f5d9768d37acp-4, 0x1.eda8246e9376bp-4, 0x1.e586b1eccd3e5p-4, 0x1.dd75ab84b6b93p-4, 0x1.d57595a95e28cp-4, 0x1.cd86ecfdfe52ap-4, 0x1.c5aa268f42124p-4, 0x1.bddfb00ba4f9ep-4, 0x1.b627effb1b3cp-4, 0x1.ae8345f5da28fp-4, 0x1.a6f20ada44c56p-4, 0x1.9f749101fffefp-4, 0x1.980b24762f8c5p-4, 0x1.90b60b22bcdd2p-4, 0x1.89758508ca0dep-4, 0x1.8249cc703431fp-4, 0x1.7b33161831187p-4, 0x1.74319166fdfc9p-4, 0x1.6d456898a875ap-4, 0x1.666ec0ece7176p-4, 0x1.5fadbad408458p-4, 0x1.5902721af301ep-4, 0x1.526cfe163d0c5p-4, 0x1.4bed71cc53b0fp-4, 0x1.4583dc1ebbd7fp-4, 0x1.3f3047f26578p-4, 0x1.38f2bc5718664p-4, 0x1.32cb3cadf80e1p-4, 0x1.2cb9c8cf2194p-4, 0x1.26be5d2e66554p-4, 0x1.20d8f2ff22c18p-4, 0x1.1b0980573515bp-4, 0x1.154ff851166dp-4, 0x1.0fac4b2d16afap-4, 0x1.0a1e6671bf3e6p-4, 0x1.04a6350b5efep-4, 0x1.fe873ed580938p-5, 0x1.f3ed17461c836p-5, 0x1.e97dbb0dd503ep-5, 0x1.df38ed896c28bp-5, 0x1.d51e6e042241fp-5, 0x1.cb2df7ed2ad23p-5, 0x1.c167430b94a35p-5, 0x1.b7ca03b0b8549p-5, 0x1.ae55eae924eecp-5, 0x1.a50aa6ac1ff6fp-5, 0x1.9be7e209b13fep-5, 0x1.92ed455749434p-5, 0x1.8a1a765b090a9p-5, 0x1.816f1875aa9a6p-5, 0x1.78eacccb1a0fp-5, 0x1.708d3269bda7fp-5, 0x1.6855e67079c76p-5, 0x1.6044843371992p-5, 0x1.5858a55f8ffe4p-5, 0x1.5091e21cdb8dp-5, 0x1.48efd12f9f25ep-5, 0x1.417208186aa1dp-5, 0x1.3a181b32f3b1dp-5, 0x1.32e19dd3ddf8bp-5, 0x1.2bce22656e98ep-5, 0x1.24dd3a83345acp-5, 0x1.1e0e7714a73d7p-5, 0x1.17616866c7e2dp-5, 0x1.10d59e44c5e0dp-5, 0x1.0a6aa80fb1309p-5, 0x1.042014d53b4ep-5, 0x1.fbeae6cb274adp-6, 0x1.efd4a4d0bb15dp-6, 0x1.e3fc80e19aecfp-6, 0x1.d8619821d618fp-6, 0x1.cd0307d80b58dp-6, 0x1.c1dfed90b5a32p-6, 0x1.b6f7673fef8a3p-6, 0x1.ac489361b0c92p-6, 0x1.a1d291189b154p-6, 0x1.9794804b5146cp-6, 0x1.8d8d81c07883ep-6, 0x1.83bcb73953f27p-6, 0x1.7a21438b1e1fep-6, 0x1.70ba4ab713746p-6, 0x1.6786f2014d5c3p-6, 0x1.5e86600660c83p-6, 0x1.55b7bccfdb76dp-6, 0x1.4d1a31e7a222fp-6, 0x1.44acea6a3538ap-6, 0x1.3c6f1317ea234p-6, 0x1.345fda6521a6fp-6, 0x1.2c7e70897f7d9p-6, 0x1.24ca078e2ba97p-6, 0x1.1d41d35b2e61p-6, 0x1.15e509c3e03e9p-6, 0x1.0eb2e29281b35p-6, 0x1.07aa9792feab3p-6, 0x1.00cb649cdf15cp-6, 0x1.f4290f38f00e6p-7, 0x1.e70a8136a89a9p-7, 0x1.da39a38fdcffap-7, 0x1.cdb4fef96296fp-7, 0x1.c17b208c997bp-7, 0x1.b58a99d2d4d4ep-7, 0x1.a9e200cf83b0cp-7, 0x1.9e7ff0091787cp-7, 0x1.93630690e39c7p-7, 0x1.8889e809be465p-7, 0x1.7df33cadb1938p-7, 0x1.739db1528b681p-7, 0x1.6987f76d920ffp-7, 0x1.5fb0c51629318p-7, 0x1.5616d507aaae5p-7, 0x1.4cb8e6a25042fp-7, 0x1.4395bdeb5de3ap-7, 0x1.3aac238c6c2f2p-7, 0x1.31fae4d206e64p-7, 0x1.2980d3a986138p-7, 0x1.213cc69e41d42p-7, 0x1.192d98d615399p-7, 0x1.11522a0d480b6p-7, 0x1.09a95e91e08a1p-7, 0x1.02321f3e670cbp-7, 0x1.f5d6b2e8310a4p-8, 0x1.e7a7fe2945df8p-8, 0x1.d9d60cf6be517p-8, 0x1.cc5ed4ec2d4abp-8, 0x1.bf40547abf3fep-8, 0x1.b27892d91ce34p-8, 0x1.a6059ff28960cp-8, 0x1.99e594554e6d1p-8, 0x1.8e16912075e06p-8, 0x1.8296bff0e4d8ap-8, 0x1.776452cddaa4p-8, 0x1.6c7d8414e9afap-8, 0x1.61e09665683aep-8, 0x1.578bd48b65c1p-8, 0x1.4d7d916a317c5p-8, 0x1.43b427e6763b8p-8, 0x1.3a2dfacff9e41p-8, 0x1.30e974cb0492ap-8, 0x1.27e508396cd0ap-8, 0x1.1f1f2f23723ffp-8, 0x1.16966b2039b31p-8, 0x1.0e49453e277eap-8, 0x1.06364deaf9e54p-8, 0x1.fcb839b774d7dp-9, 0x1.ed72a1e905686p-9, 0x1.de9920604ca3ap-9, 0x1.d0290f0f7e237p-9, 0x1.c21fd5b43fd8p-9, 0x1.b47ae9a67de82p-9, 0x1.a737cda71459p-9, 0x1.9a5411ae73148p-9, 0x1.8dcd52bb45e0cp-9, 0x1.81a13aa10c03ap-9, 0x1.75cd7fd6cd2d4p-9, 0x1.6a4fe545dac42p-9, 0x1.5f263a18b1d83p-9, 0x1.544e5989f66b9p-9, 0x1.49c62ab3a5e5ep-9, 0x1.3f8ba05e6bdefp-9, 0x1.359cb8d13b97ap-9, 0x1.2bf77da1131aep-9, 0x1.229a03811bd25p-9, 0x1.19826a12f6734p-9, 0x1.10aedbb762aecp-9, 0x1.081d8d5f3491ap-9, 0x1.ff997cb947ed1p-10, 0x1.ef757069d5917p-10, 0x1.dfcb9ce492565p-10, 0x1.d098bcecdba8ap-10, 0x1.c1d99e9a79fadp-10, 0x1.b38b22fffeedbp-10, 0x1.a5aa3dd1f9651p-10, 0x1.9833f50f1bae2p-10, 0x1.8b2560a92a0e8p-10, 0x1.7e7baa2ecde28p-10, 0x1.72340c76696f7p-10, 0x1.664bd349be414p-10, 0x1.5ac05b12b603ep-10, 0x1.4f8f1088d67eep-10, 0x1.44b5705ff7939p-10, 0x1.3a3106f7caa61p-10, 0x1.2fff700c703cfp-10, 0x1.261e56680af59p-10, 0x1.1c8b73954c6afp-10, 0x1.13448f931b966p-10, 0x1.0a4780892b016p-10, 0x1.01922a7d9800bp-10, 0x1.f244fe1762be5p-11, 0x1.e1ecfa370e76cp-11, 0x1.d21861359a3bp-11, 0x1.c2c3646d1a43cp-11, 0x1.b3ea4e2bf3955p-11, 0x1.a589812ca5c0dp-11, 0x1.979d780f7ffcfp-11, 0x1.8a22c4d68390cp-11, 0x1.7d16106336172p-11, 0x1.707419f6b1845p-11, 0x1.6439b6b3aa528p-11, 0x1.5863d1224af47p-11, 0x1.4cef68b681822p-11, 0x1.41d991580733p-11, 0x1.371f72ec6d884p-11, 0x1.2cbe48e35241cp-11, 0x1.22b361c45f242p-11, 0x1.18fc1ebf7ae4ap-11, 0x1.0f95f33ebaa48p-11, 0x1.067e647a6bcccp-11, 0x1.fb66121dd0c39p-12, 0x1.ea631128cc6fep-12, 0x1.d9ef36718d55cp-12, 0x1.ca0612b635e8fp-12, 0x1.baa356522335dp-12, 0x1.abc2d07c74fedp-12, 0x1.9d606e8a7effdp-12, 0x1.8f783b356d65dp-12, 0x1.82065de39ffcep-12, 0x1.750719f5d0578p-12, 0x1.6876ce172d046p-12, 0x1.5c51f3916a133p-12, 0x1.50951da40300dp-12, 0x1.453cf8dec1dcp-12, 0x1.3a464a7fd3bp-12, 0x1.2fadefd4dd40bp-12, 0x1.2570dd9f8360fp-12, 0x1.1b8c1f7d2a8bdp-12, 0x1.11fcd751ab17ep-12, 0x1.08c03cb544c85p-12, 0x1.ffa738cb1e285p-13, 0x1.ee68af734ee0ap-13, 0x1.ddbfc831b8d32p-13, 0x1.cda794e9e45b2p-13, 0x1.be1b4d8d37a96p-13, 0x1.af164f1a9e1cfp-13, 0x1.a0941aa3899aep-13, 0x1.92905455f2ebbp-13, 0x1.8506c28c7b26bp-13, 0x1.77f34ce3759e6p-13, 0x1.6b51fb5353e6ap-13, 0x1.5f1ef5506a0cfp-13, 0x1.535680ef5428ep-13, 0x1.47f5020ed90ccp-13, 0x1.3cf6f986405f2p-13, 0x1.325904591b04ap-13, 0x1.2817daeef43d2p-13, 0x1.1e3050508461ap-13, 0x1.149f5168c9a0ep-13, 0x1.0b61e44b0dbebp-13, 0x1.0275277d24affp-13, 0x1.f3aca28c3f0d1p-14, 0x1.e3055e02045f1p-14, 0x1.d2ef48e7c7307p-14, 0x1.c365565657569p-14, 0x1.b462a3b1315a2p-14, 0x1.a5e2776ce37fcp-14, 0x1.97e03fdcc13fp-14, 0x1.8a579208c3a3ap-14, 0x1.7d44288a0affep-14, 0x1.70a1e26f549b6p-14, 0x1.646cc2288dd19p-14, 0x1.58a0ec78cc564p-14, 0x1.4d3aa76fb8f12p-14, 0x1.4236596953a8fp-14, 0x1.37908814cf3f8p-14, 0x1.2d45d781535c5p-14, 0x1.23530930f61c9p-14, 0x1.19b4fb32a2129p-14, 0x1.1068a7413d398p-14, 0x1.076b21e93b014p-14, 0x1.fd7333673ad91p-15, 0x1.eca2acae067c3p-15, 0x1.dc5f6fdbb8859p-15, 0x1.cca46c645c03p-15, 0x1.bd6cbf7de5741p-15, 0x1.aeb3b2ac13c45p-15, 0x1.a074ba5751a4cp-15, 0x1.92ab746dc538p-15, 0x1.8553a70d0a09bp-15, 0x1.78693f361ebf9p-15, 0x1.6be84f8a6af9ap-15, 0x1.5fcd0f11d0677p-15, 0x1.5413d809307a3p-15, 0x1.48b926ba71abbp-15, 0x1.3db9985bc3e53p-15, 0x1.3311e9f82344ep-15, 0x1.28bef75f38ff7p-15, 0x1.1ebdba1d86b5bp-15, 0x1.150b487bad3f6p-15, 0x1.0ba4d485c2779p-15, 0x1.0287ab1974ab2p-15, 0x1.f36265f73a239p-16, 0x1.e23dd7e88c654p-16, 0x1.d19cdbe42e793p-16, 0x1.c17ad068428e4p-16, 0x1.b1d340f2b78cdp-16, 0x1.a2a1e46f85aedp-16, 0x1.93e29bb05c9fdp-16, 0x1.85916ff23f061p-16, 0x1.77aa916dc6251p-16, 0x1.6a2a55f2c33p-16, 0x1.5d0d378edfe65p-16, 0x1.504fd33f1e0d6p-16, 0x1.43eee7abbcb92p-16, 0x1.37e753ee64672p-16, 0x1.2c361661d6a5ep-16, 0x1.20d84b7b828ebp-16, 0x1.15cb2caed89bp-16, 0x1.0b0c0f58a7b75p-16, 0x1.009863b4a5c7fp-16, 0x1.ecdb67b5b5052p-17, 0x1.d913458aaff52p-17, 0x1.c5d3d6bd9f1abp-17, 0x1.b318bf30ae505p-17, 0x1.a0ddcf0eaaaf8p-17, 0x1.8f1f0115e853ap-17, 0x1.7dd878f0fd06ap-17, 0x1.6d06819edab5bp-17, 0x1.5ca58be7edd87p-17, 0x1.4cb22ce080ec9p-17, 0x1.3d291c7871db3p-17, 0x1.2e073418653aap-17, 0x1.1f496d48de88bp-17, 0x1.10ece067e5322p-17, 0x1.02eec3691934fp-17, 0x1.ea98d1415cd22p-18, 0x1.d0067b33a291ep-18, 0x1.b62193ef05f3bp-18, 0x1.9ce55cbf39c02p-18, 0x1.844d46e0752c4p-18, 0x1.6c54f17b70fc1p-18, 0x1.54f827b6b975bp-18, 0x1.3e32ded9c24c4p-18, 0x1.2801347e9c631p-18, 0x1.125f6cd8d84f6p-18, 0x1.fa93e21494e57p-19, 0x1.d17a9b10868f5p-19, 0x1.a96c6122f31fep-19, 0x1.8262d163462bbp-19, 0x1.5c57c6a87a294p-19, 0x1.374556ca06fb3p-19, 0x1.1325cffcf63d8p-19, 0x1.dfe76c953c136p-20, 0x1.9b5382451d983p-20, 0x1.5885b20286fcap-20, 0x1.17742a69deedcp-20, 0x1.b02ae6cbe2836p-21, 0x1.34c0d42176132p-21, 0x1.7930f2e45fa64p-22, 0x1.1e8338bbf3792p-23, -0x1.51b515a2da277p-24, -0x1.31fb836f6c585p-22, -0x1.04c3f180dee0dp-21, -0x1.6d9815491455ap-21, -0x1.d38896fcdeed7p-21, -0x1.1b51b68f7cb6p-20, -0x1.4b7b102e93e0cp-20, -0x1.7a46e87d675edp-20, -0x1.a7bb9df52772ep-20, -0x1.d3df5fdbe5337p-20, -0x1.feb8309abfe17p-20, -0x1.1425f3fe9135bp-19, -0x1.28501aa83c172p-19, -0x1.3bdd50b64e48ep-19, -0x1.4ed04853703fbp-19, -0x1.612ba2549a846p-19, -0x1.72f1ef1a37188p-19, -0x1.8425af6707fe3p-19, -0x1.94c9552bd0a31p-19, -0x1.a4df4449bfc47p-19, -0x1.b469d34aa8d76p-19, -0x1.c36b4c0fdeca1p-19, -0x1.d1e5ec7925a93p-19, -0x1.dfdbe700ea96fp-19, -0x1.ed4f6352c2f8ap-19, -0x1.fa427ed910ff8p-19, -0x1.035ba6a1180ffp-18, -0x1.0957ec803b90ap-18, -0x1.0f1711e0a0c86p-18, -0x1.149a136ef8b7cp-18, -0x1.19e1e9e3ab092p-18, -0x1.1eef8a3520297p-18, -0x1.23c3e5c6c2536p-18, -0x1.285fea9691fcfp-18, -0x1.2cc48365fed78p-18, -0x1.30f297e23fae6p-18, -0x1.34eb0cc8bc597p-18, -0x1.38aec40a15bcdp-18, -0x1.3c3e9cea77268p-18, -0x1.3f9b741f493f5p-18, -0x1.42c623ec9c591p-18, -0x1.45bf843e82cdfp-18, -0x1.48886ac22e44dp-18, -0x1.4b21aafc8ac8p-18, -0x1.4d8c165f6efaap-18, -0x1.4fc87c5cd711dp-18, -0x1.51d7aa797d3ebp-18, -0x1.53ba6c5cb7fffp-18, -0x1.55718be0b2f48p-18, -0x1.56fdd11f61cbap-18, -0x1.586002803d8b6p-18, -0x1.5998e4c2f9ec8p-18, -0x1.5aa93b0b3b869p-18, -0x1.5b91c6e900077p-18, -0x1.5c534861ca699p-18, -0x1.5cee7df82aed4p-18, -0x1.5d6424b25d504p-18, -0x1.5db4f820d852fp-18, -0x1.5de1b262c8029p-18, -0x1.5deb0c2b4bb9cp-18, -0x1.5dd1bcc4be07cp-18, -0x1.5d967a14a8f42p-18, -0x1.5d39f89d9a5ecp-18, -0x1.5cbceb8244fdap-18, -0x1.5c200485ff795p-18, -0x1.5b63f40f3504dp-18, -0x1.5a89692714f34p-18, -0x1.5991117a9a297p-18, -0x1.587b995a483eap-18, -0x1.5749abb9ea0fap-18, -0x1.55fbf22fb1362p-18, -0x1.549314f3e272fp-18, -0x1.530fbadec073ap-18, -0x1.517289683fbb4p-18, -0x1.4fbc24a54dfafp-18, -0x1.4ded2f474c54ap-18, -0x1.4c064a9891444p-18, -0x1.4a08167bea16ep-18, -0x1.47f331695cd06p-18, -0x1.45c8386c4766dp-18, -0x1.4387c720e3ec4p-18, -0x1.413277b1ffbd1p-18, -0x1.3ec8e2d630b01p-18, -0x1.3c4b9fcd912b8p-18, -0x1.39bb445f19efcp-18, -0x1.371864d60c50ep-18, -0x1.346393ff6a8f2p-18, -0x1.319d63273a934p-18, -0x1.2ec662166d88bp-18, -0x1.2bdf1f0fd91acp-18, -0x1.28e826ce45f7ap-18, -0x1.25e2048197bfp-18, -0x1.22cd41ccafffap-18, -0x1.1faa66c32924dp-18, -0x1.1c79f9e6c706fp-18, -0x1.193c80262bbe3p-18, -0x1.15f27cd9b12a8p-18, -0x1.129c71c2800fcp-18, -0x1.0f3adf07d7b88p-18, -0x1.0bce433618634p-18, -0x1.08571b3c451e8p-18, -0x1.04d5e26b47915p-18, -0x1.014b1274076edp-18, -0x1.fb6e46cc3bafbp-19, -0x1.f435175d9e21cp-19, -0x1.eceb802fd5b51p-19, -0x1.e592678d48494p-19, -0x1.de2ab075fa62ep-19, -0x1.d6b53a9e3d5d2p-19, -0x1.cf32e26c9908ap-19, -0x1.c7a480f9d60cp-19, -0x1.c00aec0feb7e8p-19, -0x1.b866f62945dccp-19, -0x1.b0b96e713dc91p-19, -0x1.a90320c35096dp-19, -0x1.a144d5ac93882p-19, -0x1.997f526b6ce64p-19, -0x1.91b358f0796fep-19, -0x1.89e1a7e0083c8p-19, -0x1.820afa930715dp-19, -0x1.7a300918c2606p-19, -0x1.7251883890d7cp-19, -0x1.6a702973ddd49p-19, -0x1.628c9b08b8bbdp-19, -0x1.5aa787f3af6c5p-19, -0x1.52c197f34d7d4p-19, -0x1.4adb6f8aa5564p-19, -0x1.42f5b00447625p-19, -0x1.3b10f77620ff8p-19, -0x1.332de0c4a014dp-19, -0x1.2b4d03a6b80e2p-19, -0x1.236ef4a9b13adp-19, -0x1.1b944535e5adcp-19, -0x1.13bd8392271e2p-19, -0x1.0beb3ae958901p-19, -0x1.041df34e734ffp-19, -0x1.f8ac63840c2d2p-20, -0x1.e928f06d1fd25p-20, -0x1.d9b28b2ddbc9fp-20, -0x1.ca4a2b94fb421p-20, -0x1.baf0c376cb03p-20, -0x1.aba73eb98f6dap-20, -0x1.9c6e835e8c16bp-20, -0x1.8d477190b49b7p-20, -0x1.7e32e3b01997ep-20, -0x1.6f31ae5e4b2f7p-20, -0x1.6044a08b4f28bp-20, -0x1.516c8383b9923p-20, -0x1.42aa1afb9d34fp-20, -0x1.33fe251efce51p-20, -0x1.25695a9d8dc96p-20, -0x1.16ec6eb93d871p-20, -0x1.08880f54de3edp-20, -0x1.f479ca038682p-21, -0x1.d817261e2c5a2p-21, -0x1.bbe96f2fc21edp-21, -0x1.9ff1d7241325fp-21, -0x1.843185bb3f56cp-21, -0x1.68a998a830d57p-21, -0x1.4d5b23ad199f8p-21, -0x1.324730bc38aa5p-21, -0x1.176ec017ee255p-21, -0x1.f9a590dbed772p-22, -0x1.c4e86df2e5a4ap-22, -0x1.90a7df4849e0fp-22, -0x1.5ce59a43d25e2p-22, -0x1.29a34227170ffp-22, -0x1.edc4d09b945b8p-23, -0x1.894918cd9230ep-23, -0x1.25d639809f91bp-23, -0x1.86ddd9f1d1fedp-24, -0x1.88572ed08c8f6p-25, -0x1.cd4cdcd412534p-31, 0x1.75a0e493c99c9p-25, 0x1.7711206ad235dp-24, 0x1.1891a203138e3p-23, 0x1.7481777e939ffp-23, 0x1.cf56385cdee64p-23, 0x1.1487154b04151p-22, 0x1.40d3d8f4837cp-22, 0x1.6c90a7a97bb29p-22, 0x1.97bcd04830589p-22, 0x1.c257afd24d7aep-22, 0x1.ec60b1289885ep-22, 0x1.0aeba6662e8f4p-21, 0x1.1f5d84516767dp-21, 0x1.3385bbd84c9efp-21, 0x1.47641cf063f0ap-21, 0x1.5af87de0bdc38p-21, 0x1.6e42bb2318a6p-21, 0x1.8142b747fb309p-21, 0x1.93f85ad225fcep-21, 0x1.a663941e17e7bp-21, 0x1.b884573ea37e1p-21, 0x1.ca5a9de15c575p-21, 0x1.dbe66730a49ep-21, 0x1.ed27b7b3bb9ebp-21, 0x1.fe1e9933042a2p-21, 0x1.07658d4d17d11p-20, 0x1.0f96a7ed32c7dp-20, 0x1.17a2a8e6aeabcp-20, 0x1.1f899f0ce3233p-20, 0x1.274b9b8af192p-20, 0x1.2ee8b1d51a617p-20, 0x1.3660f79c2c595p-20, 0x1.3db484be5be41p-20, 0x1.44e37339f7a29p-20, 0x1.4beddf2025111p-20, 0x1.52d3e686f3b23p-20, 0x1.5995a97bd239p-20, 0x1.603349f7b2e4bp-20, 0x1.66acebcfd8646p-20, 0x1.6d02b4aacf7cdp-20, 0x1.7334cbf30105dp-20, 0x1.79435ac9d1b5ep-20, 0x1.7f2e8bfb6edecp-20, 0x1.84f68bf291f0cp-20, 0x1.8a9b88ac2e15ap-20, 0x1.901db1ab78e11p-20, 0x1.957d37edaa5e1p-20, 0x1.9aba4ddf194b8p-20, 0x1.9fd5274f135fbp-20, 0x1.a4cdf96418b34p-20, 0x1.a9a4fa9139b49p-20, 0x1.ae5a628b29041p-20, 0x1.b2ee6a3c22b4bp-20, 0x1.b7614bba76028p-20, 0x1.bbb3423cedb3ap-20, 0x1.bfe48a10d8ae3p-20, 0x1.c3f5608edb43fp-20, 0x1.c7e6041244f9ap-20, 0x1.cbb6b3ed744bfp-20, 0x1.cf67b060ab561p-20, 0x1.d2f93a906109fp-20, 0x1.d66b947b8ca45p-20, 0x1.d9bf00f1fa5a7p-20, 0x1.dcf3c38b6c187p-20, 0x1.e00a209e2ebf3p-20, 0x1.e3025d361f377p-20, 0x1.e5dcbf0c5c74ep-20, 0x1.e8998c7dc91a9p-20, 0x1.eb390c8302aaep-20, 0x1.edbb86a7d0ac7p-20, 0x1.f02143035eb88p-20, 0x1.f26a8a2f6424cp-20, 0x1.f497a540a0f08p-20, 0x1.f6a8ddbf4966dp-20, 0x1.f89e7d9f0b243p-20, 0x1.fa78cf37a23a4p-20, 0x1.fc381d3d50594p-20, 0x1.fddcb2ba1b6dfp-20, 0x1.ff66db066ad77p-20, 0x1.006b70e0fcf6ap-19, 0x1.011689669adf5p-19, 0x1.01b4dd215aabp-19, 0x1.0246923838b6p-19, 0x1.02cbcee8b71f9p-19, 0x1.0344b983e321p-19, 0x1.03b1786b1b903p-19, 0x1.0412320cffbbcp-19, 0x1.04670ce2bbaa4p-19, 0x1.04b02f6d0cde4p-19, 0x1.04edc0317786bp-19, 0x1.051fe5b77839dp-19, 0x1.0546c685f10fdp-19, 0x1.05628920872dep-19, 0x1.057354051637cp-19, 0x1.05794da926111p-19, 0x1.05749c777cdc6p-19, 0x1.056566cdd5e03p-19, 0x1.054bd2fa6a4cfp-19, 0x1.05280739f4399p-19, 0x1.04fa29b52b4eep-19, 0x1.04c2607ec293ap-19, 0x1.0480d1915d92cp-19, 0x1.0435a2cd8a1e9p-19, 0x1.03e0f9f7b0daap-19, 0x1.0382fcb62d8cp-19, 0x1.031bd08f871e6p-19, 0x1.02ab9ae8937c1p-19, 0x1.0232810296358p-19, 0x1.01b0a7f9a8f2cp-19, 0x1.012634c3157bp-19, 0x1.00934c2ba27adp-19, 0x1.fff025ac18316p-20, 0x1.fea95a7303764p-20, 0x1.fd527f406c804p-20, 0x1.fbebdc4bca825p-20, 0x1.fa75b96cd46bdp-20, 0x1.f8f05e18febb2p-20, 0x1.f75c1160bfaadp-20, 0x1.f5b919ed43344p-20, 0x1.f407bdfdeea61p-20, 0x1.f2484365f3372p-20, 0x1.f07aef8a28155p-20, 0x1.eea0075ed0da5p-20, 0x1.ecb7cf65d74b5p-20, 0x1.eac28bac6973cp-20, 0x1.e8c07fc92a2c2p-20, 0x1.e6b1eeda7c246p-20, 0x1.e4971b84c852ep-20, 0x1.e27047f07f357p-20, 0x1.e03db5c8c7034p-20, 0x1.ddffa639b56c8p-20, 0x1.dbb659ef17293p-20, 0x1.d9621112db4c7p-20, 0x1.d7030b4bc4eb7p-20, 0x1.d49987bc25fdcp-20, 0x1.d225c500ba85ep-20, 0x1.cfa8012f57e9ep-20, 0x1.cd2079d618d04p-20, 0x1.ca8f6bfa1363bp-20, 0x1.c7f51416942cap-20, 0x1.c551ae1c32df4p-20, 0x1.c2a5756fdba1cp-20, 0x1.bff0a4ea221c2p-20, 0x1.bd3376d675671p-20, 0x1.ba6e24f295b21p-20, 0x1.b7a0e86dc26ecp-20, 0x1.b4cbf9e8393p-20, 0x1.b1ef9172d15c7p-20, 0x1.af0be68e63fe8p-20, 0x1.ac21302b5752ep-20, 0x1.a92fa4a953d7bp-20, 0x1.a63779d6f271p-20, 0x1.a338e4f154a59p-20, 0x1.a0341aa3f30b7p-20, 0x1.9d294f089af9bp-20, 0x1.9a18b5a7124c8p-20, 0x1.970281750ab6ap-20, 0x1.93e6e4d618885p-20, 0x1.90c6119b9ba01p-20, 0x1.8da03904b50a7p-20, 0x1.8a758bbe7895ap-20, 0x1.874639e3fbcdfp-20, 0x1.841272fe5a9acp-20, 0x1.80da6604d2eap-20, 0x1.7d9e415d1a00fp-20, 0x1.7a5e32db91852p-20, 0x1.771a67c370fdbp-20, 0x1.73d30cc710c4p-20, 0x1.70884e0843f1p-20, 0x1.6d3a5718c3964p-20, 0x1.69e952fa7639p-20, 0x1.66956c1fc8985p-20, 0x1.633ecc6c2da6fp-20, 0x1.5fe59d3487756p-20, 0x1.5c8a073f9f199p-20, 0x1.592c32c6c73e8p-20, 0x1.55cc477639874p-20, 0x1.526a6c6dba464p-20, 0x1.4f06c84127732p-20, 0x1.4ba180f90304ep-20, 0x1.483abc131b455p-20, 0x1.44d29e8330d65p-20, 0x1.41694cb3a3a22p-20, 0x1.3dfeea860fa76p-20, }}, 
      {{-0x1.c7977a5b5d242p-1, -0x1.c776be972f28ap-1, -0x1.c73b556fe29d7p-1, -0x1.c6df06823a491p-1, -0x1.c65aae34d3892p-1, -0x1.c5a719cb91d1ep-1, -0x1.c4bdb236cc77ep-1, -0x1.c398f1f7cdc34p-1, -0x1.c234aaff65f38p-1, -0x1.c08e24f4a6817p-1, -0x1.bea41d1b5bf22p-1, -0x1.bc76b0747bcb4p-1, -0x1.ba0737779445dp-1, -0x1.b758195bfae66p-1, -0x1.b46c9b8d736fdp-1, -0x1.b148b0b5a420ap-1, -0x1.adf0c9c30b764p-1, -0x1.aa69aa876fceep-1, -0x1.a6b842e62eb9cp-1, -0x1.a2e18d10391a1p-1, -0x1.9eea70f1313b1p-1, -0x1.9ad7acb0d7943p-1, -0x1.96adc2004fef9p-1, -0x1.9270e7cf0d196p-1, -0x1.8e24fff39caa3p-1, -0x1.89cd904de6375p-1, -0x1.856dbee84ee9bp-1, -0x1.810850a18c47dp-1, -0x1.7c9fa9f04b94ep-1, -0x1.7835d15b01eap-1, -0x1.73cc73485a0b4p-1, -0x1.6f64e6d72c7d6p-1, -0x1.6b0033773c548p-1, -0x1.669f1705df118p-1, -0x1.62420c3ae66ap-1, -0x1.5de9513aa6102p-1, -0x1.5994ee29920e5p-1, -0x1.5544bba4c4197p-1, -0x1.50f86908b211dp-1, -0x1.4caf8274a2d2dp-1, -0x1.4869767dd8f5ap-1, -0x1.44259b8951f7bp-1, -0x1.3fe334c61d7c4p-1, -0x1.3ba176c509b1dp-1, -0x1.375f8bac89d7fp-1, -0x1.331c970989e4ap-1, -0x1.2ed7b93f44c5dp-1, -0x1.2a9012994c6c1p-1, -0x1.2644c603c6905p-1, -0x1.21f4fb6e7919dp-1, -0x1.1d9fe1dfa8d5cp-1, -0x1.1944b13c0ba3cp-1, -0x1.14e2abc93000fp-1, -0x1.10791f6fbd9bdp-1, -0x1.0c0766c2dd0ebp-1, -0x1.078ce9d1fa435p-1, -0x1.03091ec9db641p-1, -0x1.fcf714d3aa6cfp-2, -0x1.f3c780a33eb65p-2, -0x1.ea82c6581eb0cp-2, -0x1.e12849755aa68p-2, -0x1.d7b78b8bbf66fp-2, -0x1.ce302bea242dbp-2, -0x1.c491e72409fefp-2, -0x1.badc96744d61fp-2, -0x1.b1102f01334fp-2, -0x1.a72cc1069d41dp-2, -0x1.9d3276eab84d1p-2, -0x1.932194411261fp-2, -0x1.88fa74bf99a1fp-2, -0x1.7ebd8b28a46b3p-2, -0x1.746b602cd6eabp-2, -0x1.6a04914754885p-2, -0x1.5f89cf967dc1p-2, -0x1.54fbdeb3156d2p-2, -0x1.4a5b93878d2b9p-2, -0x1.3fa9d328e356fp-2, -0x1.34e791b25d417p-2, -0x1.2a15d1253097fp-2, -0x1.1f35a04d0e41p-2, -0x1.144819aa4fcbp-2, -0x1.094e62627603dp-2, -0x1.fc93526efdbcp-3, -0x1.e6764b0d04b18p-3, -0x1.d0482c9bead57p-3, -0x1.ba0b8277a3a83p-3, -0x1.a3c2e387ac984p-3, -0x1.8d70f07c0f035p-3, -0x1.7718521b0a8e7p-3, -0x1.60bbb79f75eb2p-3, -0x1.4a5dd527e094cp-3, -0x1.340162365f8abp-3, -0x1.1da91840e0f64p-3, -0x1.0757b151de45ap-3, -0x1.e21fcd726aa45p-4, -0x1.b5a8df99c466fp-4, -0x1.89500172a8b07p-4, -0x1.5d1a92c22354ap-4, -0x1.310de896a4508p-4, -0x1.052f4b427d152p-4, -0x1.b307e8e5c9623p-5, -0x1.5c221ac5b6616p-5, -0x1.05b75a523f92ep-5, -0x1.5fa35c821a336p-6, -0x1.69ebcb4f4a762p-7, -0x1.6f35c37be55bbp-11, 0x1.397c9796d08f6p-7, 0x1.439f6e40020a7p-6, 0x1.e91788777e088p-6, 0x1.468a6b67bd691p-5, 0x1.97c3034e990f9p-5, 0x1.e82d1cd56e66p-5, 0x1.1be0425973506p-4, 0x1.433aa27000733p-4, 0x1.6a21d2f1f0bcdp-4, 0x1.909217fdfa64fp-4, 0x1.b687d610e1b81p-4, 0x1.dbff9277c7c2p-4, 0x1.007af9d94c8p-3, 0x1.12b3e0e3877d4p-3, 0x1.24a8f342829e7p-3, 0x1.3658b6de464fcp-3, 0x1.47c1c2b33a74ep-3, 0x1.58e2bedfd6c5bp-3, 0x1.69ba64ac19517p-3, 0x1.7a477e8af469ap-3, 0x1.8a88e815feb8fp-3, 0x1.9a7d8e03a77f3p-3, 0x1.aa246e1820343p-3, 0x1.b97c97114e4p-3, 0x1.c885288de7f86p-3, 0x1.d73d52f00a4bp-3, 0x1.e5a4573b78568p-3, 0x1.f3b986efb7157p-3, 0x1.00be21ef2319bp-2, 0x1.0775fffe92547p-2, 0x1.0e041e9ae8c0cp-2, 0x1.1468469880fb4p-2, 0x1.1aa2488f9d4e6p-2, 0x1.20b1fcbf3aef6p-2, 0x1.269742ee8a396p-2, 0x1.2c52024d19898p-2, 0x1.31e22951d1851p-2, 0x1.3747ad98cf1a3p-2, 0x1.3c828bc03ae5fp-2, 0x1.4192c744273b5p-2, 0x1.46786a5990814p-2, 0x1.4b3385c8910eap-2, 0x1.4fc430c5d7e79p-2, 0x1.542a88cb79ad6p-2, 0x1.5866b17128f15p-2, 0x1.5c78d443ea95fp-2, 0x1.6061209d5291p-2, 0x1.641fcb7a5e28p-2, 0x1.67b50f51f637cp-2, 0x1.6b212beb2c6ebp-2, 0x1.6e6466333fcb3p-2, 0x1.717f081376e1bp-2, 0x1.74716046dbc93p-2, 0x1.773bc22febb84p-2, 0x1.79de85ae42ac1p-2, 0x1.7c5a06f44be6p-2, 0x1.7eaea65d0ccd1p-2, 0x1.80dcc8420d461p-2, 0x1.82e4d4d168f3bp-2, 0x1.84c737e416fe8p-2, 0x1.868460d470c2bp-2, 0x1.881cc254fedafp-2, 0x1.8990d24797f9ep-2, 0x1.8ae10994d97b9p-2, 0x1.8c0de40401294p-2, 0x1.8d17e013308b5p-2, 0x1.8dff7ed01ffp-2, 0x1.8ec543b149f5p-2, 0x1.8f69b46f95ba4p-2, 0x1.8fed58e084249p-2, 0x1.9050bad0e5e7dp-2, 0x1.909465e026391p-2, 0x1.90b8e75c23fedp-2, 0x1.90bece1da723cp-2, 0x1.90a6aa65751e3p-2, 0x1.90710dba043d5p-2, 0x1.901e8ac5d7679p-2, 0x1.8fafb5367ec7p-2, 0x1.8f25219c4a23bp-2, 0x1.8e7f654aa5e2ep-2, 0x1.8dbf16392a95cp-2, 0x1.8ce4cae55ff96p-2, 0x1.8bf11a35383d4p-2, 0x1.8ae49b5a3e4a1p-2, 0x1.89bfe5b57fd4fp-2, 0x1.888390bc325cap-2, 0x1.873033dd0eac1p-2, 0x1.85c666666e51p-2, 0x1.8446bf6d1f979p-2, 0x1.82b1d5b3f8d61p-2, 0x1.81083f942a28ep-2, 0x1.7f4a92e646234p-2, 0x1.7d7964ec0b936p-2, 0x1.7b954a3ae9c0bp-2, 0x1.799ed6a73dd21p-2, 0x1.77969d304b903p-2, 0x1.757d2fecef4f6p-2, 0x1.73531ff907402p-2, 0x1.7118fd6393444p-2, 0x1.6ecf571d89f7p-2, 0x1.6c76bae95fd47p-2, 0x1.6a0fb54b4241ap-2, 0x1.679ad17a01a02p-2, 0x1.65189950a5959p-2, 0x1.62899540b4534p-2, 0x1.5fee4c451b46cp-2, 0x1.5d4743d5c4312p-2, 0x1.5a94ffdbcebb5p-2, 0x1.57d802a6693fdp-2, 0x1.5510cce04bde4p-2, 0x1.523fdd85d020dp-2, 0x1.4f65b1dba371ap-2, 0x1.4c82c56610daap-2, 0x1.499791e0dfddfp-2, 0x1.46a48f37c4003p-2, 0x1.43aa337f5de5ep-2, 0x1.40a8f2eec84cap-2, 0x1.3da13fd9ab98fp-2, 0x1.3a938aaada2b7p-2, 0x1.378041df6f551p-2, 0x1.3467d2026eb81p-2, 0x1.314aa5a8e0902p-2, 0x1.2e29256e659b2p-2, 0x1.2b03b7f246978p-2, 0x1.27dac1d4f378fp-2, 0x1.24aea5b5f4856p-2, 0x1.217fc43249d64p-2, 0x1.1e4e7be333f6fp-2, 0x1.1b1b295d652f4p-2, 0x1.17e6273094e1fp-2, 0x1.14afcde777314p-2, 0x1.117874080debcp-2, 0x1.0e406e145bfcbp-2, 0x1.0b080e8b67263p-2, 0x1.07cfa5ea97d8dp-2, 0x1.049782af6521dp-2, 0x1.015ff15951f66p-2, 0x1.fc5278d86c488p-3, 0x1.f5e758e59fa79p-3, 0x1.ef7f10033cf8fp-3, 0x1.e91a2773f5f75p-3, 0x1.e2b9249af0786p-3, 0x1.dc5c8902f692p-3, 0x1.d604d26626496p-3, 0x1.cfb27ab60ad06p-3, 0x1.c965f8242abfcp-3, 0x1.c31fbd2af38e5p-3, 0x1.bce038970bf25p-3, 0x1.b6a7d5910542p-3, 0x1.b076fba75b1d8p-3, 0x1.aa4e0ed8d2f93p-3, 0x1.a42d6f9f1da06p-3, 0x1.9e157af9ca863p-3, 0x1.98068a797d0e7p-3, 0x1.9200f44b612bdp-3, 0x1.8c050b44df52cp-3, 0x1.86131eef85336p-3, 0x1.802b7b95241b7p-3, 0x1.7a4e6a4c2099bp-3, 0x1.747c3103e9b77p-3, 0x1.6eb512919a69dp-3, 0x1.68f94ebcc45afp-3, 0x1.6349224c4fcf3p-3, 0x1.5da4c71384013p-3, 0x1.580c73ff21f5dp-3, 0x1.52805d2298d35p-3, 0x1.4d00b3c54e72dp-3, 0x1.478da66fefdcbp-3, 0x1.422760f9db47ap-3, 0x1.3cce0c9689359p-3, 0x1.3781cfe3001fcp-3, 0x1.3242cef34e4a6p-3, 0x1.2d112b6001d63p-3, 0x1.27ed0453a1b32p-3, 0x1.22d6769823efap-3, 0x1.1dcd9ca45a5acp-3, 0x1.18d28ea959df4p-3, 0x1.13e5629fd66f4p-3, 0x1.0f062c5574623p-3, 0x1.0a34fd7a04b5ap-3, 0x1.0571e5acb8834p-3, 0x1.00bcf2893cb6p-3, 0x1.f82c5f698850fp-4, 0x1.eefb4dd5f2439p-4, 0x1.e5e6c015afe7bp-4, 0x1.dceec246e02efp-4, 0x1.d4135d01194efp-4, 0x1.cb54956e7c24bp-4, 0x1.c2b26d648a059p-4, 0x1.ba2ce37cc244cp-4, 0x1.b1c3f32d03e82p-4, 0x1.a97794df9767cp-4, 0x1.a147be0b0e342p-4, 0x1.99346149d06f2p-4, 0x1.913d6e7159312p-4, 0x1.8962d2a935ef5p-4, 0x1.81a47881b46f2p-4, 0x1.7a02480a418eep-4, 0x1.727c26e77c0ecp-4, 0x1.6b11f868f3164p-4, 0x1.63c39d9e9a217p-4, 0x1.5c90f56de2559p-4, 0x1.5579dca68450bp-4, 0x1.4e7e2e16f63cap-4, 0x1.479dc2a08c082p-4, 0x1.40d8714b3e9bcp-4, 0x1.3a2e0f59208d6p-4, 0x1.339e70597b09ep-4, 0x1.2d29663b90802p-4, 0x1.26cec1610aad6p-4, 0x1.208e50b00d01cp-4, 0x1.1a67e1a4f3a1fp-4, 0x1.145b4063b693dp-4, 0x1.0e6837c8f224ep-4, 0x1.088e917a9c1a2p-4, 0x1.02ce15f85cb1cp-4, 0x1.fa4d195728281p-5, 0x1.ef2f77edfc434p-5, 0x1.e442d28c13d0cp-5, 0x1.d986b237a4e4bp-5, 0x1.cefa9e438269p-5, 0x1.c49e1c6bbbf6dp-5, 0x1.ba70b0f185521p-5, 0x1.b071deb67dce7p-5, 0x1.a6a1275745abcp-5, 0x1.9cfe0b456b9e4p-5, 0x1.938809e0bd6a8p-5, 0x1.8a3ea18fdbebp-5, 0x1.81214fd84366cp-5, 0x1.782f9175a01dcp-5, 0x1.6f68e27084da4p-5, 0x1.66ccbe34854bp-5, 0x1.5e5a9fa5b0fa1p-5, 0x1.561201356dd37p-5, 0x1.4df25cf6b7db8p-5, 0x1.45fb2cb1d1b28p-5, 0x1.3e2be9f755b53p-5, 0x1.36840e32abf42p-5, 0x1.2f0312bbff63fp-5, 0x1.27a870e992434p-5, 0x1.2073a22089488p-5, 0x1.19641fe52c89p-5, 0x1.127963ea93323p-5, 0x1.0bb2e821db267p-5, 0x1.051026c8c0836p-5, 0x1.fd2134ef9194dp-6, 0x1.f0677c5fb267ep-6, 0x1.e3f21aceaa121p-6, 0x1.d7c0082d8b88p-6, 0x1.cbd03d89f55b5p-6, 0x1.c021b5256a257p-6, 0x1.b4b36a8bb9b17p-6, 0x1.a9845aa88de4fp-6, 0x1.9e9383dbf838ap-6, 0x1.93dfe60e34878p-6, 0x1.896882c29050dp-6, 0x1.7f2c5d295fe8fp-6, 0x1.752a7a3145263p-6, 0x1.6b61e0979377ap-6, 0x1.61d198f7e6813p-6, 0x1.5878addb0493cp-6, 0x1.4f562bc4e64bfp-6, 0x1.4669214216b69p-6, 0x1.3db09ef45de85p-6, 0x1.352bb79e9ecf6p-6, 0x1.2cd980301ae93p-6, 0x1.24b90fceffb79p-6, 0x1.1cc97fe25a19ap-6, 0x1.1509ec1b4a3e1p-6, 0x1.0d79727dc3796p-6, 0x1.061733687ea21p-6, 0x1.fdc4a338fa7c6p-7, 0x1.efb3e487e7fb8p-7, 0x1.e1fa79f113035p-7, 0x1.d496b7925b636p-7, 0x1.c786f67eab1dbp-7, 0x1.bac994c770b6cp-7, 0x1.ae5cf58521d37p-7, 0x1.a23f80debae1dp-7, 0x1.966fa4105c2bcp-7, 0x1.8aebd170da1a1p-7, 0x1.7fb28076b4109p-7, 0x1.74c22dbbd87b9p-7, 0x1.6a195b00d94f9p-7, 0x1.5fb68f2f2fdffp-7, 0x1.5598565ac14e8p-7, 0x1.4bbd41c2b4772p-7, 0x1.4223e7d176b8dp-7, 0x1.38cae41c125efp-7, 0x1.2fb0d760ded4bp-7, 0x1.26d467859c39dp-7, 0x1.1e343f94bff11p-7, 0x1.15cf0fba5dd29p-7, 0x1.0da38d4045945p-7, 0x1.05b07289cbe52p-7, 0x1.fbe8fe1d924dcp-8, 0x1.ecdceeaca22afp-8, 0x1.de3a49e1a256p-8, 0x1.cffeace3487e1p-8, 0x1.c227bed0af84cp-8, 0x1.b4b330b2a7447p-8, 0x1.a79ebd6cb14ddp-8, 0x1.9ae829acc0b4ep-8, 0x1.8e8d43da3bdebp-8, 0x1.828be404b24fbp-8, 0x1.76e1ebd165dcap-8, 0x1.6b8d466880422p-8, 0x1.608be8617caadp-8, 0x1.55dbcfaf27176p-8, 0x1.4b7b038ae2912p-8, 0x1.4167945f74a31p-8, 0x1.379f9bb38bdd1p-8, 0x1.2e213c1367b19p-8, 0x1.24eaa0fa615cap-8, 0x1.1bf9febc1dd18p-8, 0x1.134d926d01f12p-8, 0x1.0ae3a1caa4c89p-8, 0x1.02ba7b23ccb7p-8, 0x1.f5a0ea80487aep-9, 0x1.e647de8f2a975p-9, 0x1.d766a1532bd4fp-9, 0x1.c8fa12080c8e7p-9, 0x1.baff2013c6cccp-9, 0x1.ad72cad3fe5edp-9, 0x1.a052216a8ab19p-9, 0x1.939a4289f5f67p-9, 0x1.87485c41ebf5ep-9, 0x1.7b59abcb22572p-9, 0x1.6fcb7d5348387p-9, 0x1.649b2bc8b47b2p-9, 0x1.59c620a619afap-9, 0x1.4f49d3be22eddp-9, 0x1.4523cb06c53dp-9, 0x1.3b519a650f16bp-9, 0x1.31d0e3786a9b7p-9, 0x1.289f55666e35ap-9, 0x1.1fbaaca670ff6p-9, 0x1.1720b2cd4c324p-9, 0x1.0ecf3e595060bp-9, 0x1.06c4327e347f5p-9, 0x1.fdfafde2fd0c3p-10, 0x1.eef23f6dc3dfap-10, 0x1.e06a39d9c26f4p-10, 0x1.d25f15333c1eep-10, 0x1.c4cd10f0b4b64p-10, 0x1.b7b0838cc498fp-10, 0x1.ab05da2277c39p-10, 0x1.9ec9980934509p-10, 0x1.92f8567118553p-10, 0x1.878ec40102761p-10, 0x1.7c89a4744deb8p-10, 0x1.71e5d03a09f43p-10, 0x1.67a03414d007ep-10, 0x1.5db5d0bad1358p-10, 0x1.5423ba77b2401p-10, 0x1.4ae718ce9163dp-10, 0x1.41fd261cf52b5p-10, 0x1.39632f3eed832p-10, 0x1.311693341b9cdp-10, 0x1.2914c2c515045p-10, 0x1.215b402a73ad6p-10, 0x1.19e79eb497e54p-10, 0x1.12b7827417a7fp-10, 0x1.0bc89fe380dadp-10, 0x1.0518bb922593cp-10, 0x1.fd4b539edfdfbp-11, 0x1.f0da9cb012521p-11, 0x1.e4db380661b8bp-11, 0x1.d94928e27a33ap-11, 0x1.ce208f78bdef1p-11, 0x1.c35da85060917p-11, 0x1.b8fccba915348p-11, 0x1.aefa6ce0095a1p-11, 0x1.a55319d7a2448p-11, 0x1.9c037a6254be3p-11, 0x1.93084fae4e12ap-11, 0x1.8a5e73b42f952p-11, 0x1.8202d8a718ff1p-11, 0x1.79f288676247fp-11, 0x1.722aa3f7c12f1p-11, 0x1.6aa862f3e0bdfp-11, 0x1.63691308ccf0fp-11, 0x1.5c6a17712b26bp-11, 0x1.55a8e8717c784p-11, 0x1.4f2312d8559a2p-11, 0x1.48d6377eb596cp-11, 0x1.42c00accb67ffp-11, 0x1.3cde543e0e2a5p-11, 0x1.372eedeab5fb2p-11, 0x1.31afc4100f3cep-11, 0x1.2c5ed49ce4a35p-11, 0x1.273a2ebf123f9p-11, 0x1.223ff27384a87p-11, 0x1.1d6e501832ca3p-11, 0x1.18c387ff9b798p-11, 0x1.143dea06ef57ep-11, 0x1.0fdbd52da69dp-11, 0x1.0b9bb72f9f9e1p-11, 0x1.077c0c1ff78e1p-11, 0x1.037b5e0782898p-11, 0x1.ff30890809aabp-12, 0x1.f7a2c8d219dbdp-12, 0x1.f04adec7b910cp-12, 0x1.e92647400a8c6p-12, 0x1.e23296dd0555cp-12, 0x1.db6d79dc5f7ebp-12, 0x1.d4d4b36ce9ac7p-12, 0x1.ce661d065ad34p-12, 0x1.c81fa5c634a37p-12, 0x1.c1ff51cdbebc1p-12, 0x1.bc0339a5de777p-12, 0x1.b62989a506317p-12, 0x1.b070815779bbep-12, 0x1.aad672ede4106p-12, 0x1.a559c2ab7690ap-12, 0x1.9ff8e659b596dp-12, 0x1.9ab264bef76c3p-12, 0x1.9584d516dfb5p-12, 0x1.906ede8f62163p-12, 0x1.8b6f37c7e0d68p-12, 0x1.8684a65333f1ap-12, 0x1.81adfe3d82ccap-12, 0x1.7cea2193ceb6ep-12, 0x1.7837ffeef4ap-12, 0x1.739696015f67dp-12, 0x1.6f04ed27e787ap-12, 0x1.6a821afc68087p-12, 0x1.660d40ebcc088p-12, 0x1.61a58bce7b568p-12, 0x1.5d4a338328637p-12, 0x1.58fa7a8cbe7e5p-12, 0x1.54b5adb15c068p-12, 0x1.507b239e6ec54p-12, 0x1.4c4a3c8bbd1b1p-12, 0x1.482261e395d4ap-12, 0x1.440305ec25a28p-12, 0x1.3feba37301c45p-12, 0x1.3bdbbd7b5470ap-12, 0x1.37d2deedefa1p-12, 0x1.33d09a4b8c82bp-12, 0x1.2fd4896157866p-12, 0x1.2bde4cff44a6ap-12, 0x1.27ed8cb0c0f75p-12, 0x1.2401f6776bec1p-12, 0x1.201b3e8687ea5p-12, 0x1.1c391f029d6afp-12, 0x1.185b57c0d1ff3p-12, 0x1.1481ae097e3fcp-12, 0x1.10abec5b8a577p-12, 0x1.0cd9e2327e4f1p-12, 0x1.090b63cd9e4fcp-12, 0x1.054049f8e93b1p-12, 0x1.017871d7ef3ep-12, 0x1.fb6779641209ap-13, 0x1.f3e41f8022b01p-13, 0x1.ec66a7f815092p-13, 0x1.e4eeebe3d0fedp-13, 0x1.dd7ccb23c8674p-13, 0x1.d6102c097a9dcp-13, 0x1.cea8fb00bb919p-13, 0x1.c7472a3e5b201p-13, 0x1.bfeab16eaf9ddp-13, 0x1.b8938d698d471p-13, 0x1.b141bfe686a6fp-13, 0x1.a9f54f3588fbap-13, 0x1.a2ae45f822d79p-13, 0x1.9b6cb2de74686p-13, 0x1.9430a866053b6p-13, 0x1.8cfa3c9b66fa9p-13, 0x1.85c988dced96p-13, 0x1.7e9ea9a0ed0bfp-13, 0x1.7779be3ca5077p-13, 0x1.705ae8aeaf6afp-13, 0x1.69424d6a90e1dp-13, 0x1.623013266dfccp-13, 0x1.5b2462aa82a9cp-13, 0x1.541f66a3566fp-13, 0x1.4d214b73b0b1fp-13, 0x1.462a3f0afb006p-13, 0x1.3f3a70bb5c30fp-13, 0x1.3852111275412p-13, 0x1.317151b342084p-13, 0x1.2a986531e69c2p-13, 0x1.23c77ef0b0c1ep-13, 0x1.1cfed2fed1d1dp-13, 0x1.163e95f8864d4p-13, 0x1.0f86fce8fe02ap-13, 0x1.08d83d2ca2c5ep-13, 0x1.02328c5594ceap-13, 0x1.f72c4022876fep-14, 0x1.ea065c1e4da8p-14, 0x1.dcf3d7d1b9c62p-14, 0x1.cff51e165f588p-14, 0x1.c30a9940d6512p-14, 0x1.b634b2f7a8048p-14, 0x1.a973d40bfcb7cp-14, 0x1.9cc86454e7db6p-14, 0x1.9032ca8d12194p-14, 0x1.83b36c30f09e1p-14, 0x1.774aad5feb0bep-14, 0x1.6af8f0bf7a8c5p-14, 0x1.5ebe975f2a3efp-14, 0x1.529c009f0a602p-14, 0x1.46918a17c2212p-14, 0x1.3a9f8f84221b3p-14, 0x1.2ec66aabfa4d5p-14, 0x1.2306735002ff8p-14, 0x1.175fff191ef4dp-14, 0x1.0bd361868802dp-14, 0x1.0060ebdf98576p-14, 0x1.ea11da49d3bbdp-15, 0x1.d39764077ef11p-15, 0x1.bd530995beaeap-15, 0x1.a7455abea0f8p-15, 0x1.916ee267a5af1p-15, 0x1.7bd02680f28a7p-15, 0x1.6669a7f5fb95fp-15, 0x1.513be2a2c6eb7p-15, 0x1.3c474d474c322p-15, 0x1.278c598072beep-15, 0x1.130b73bf5fb81p-15, 0x1.fd8a068be9efdp-16, 0x1.d572d44345a7dp-16, 0x1.add20a53d46a6p-16, 0x1.86a857fe218a9p-16, 0x1.5ff662175bef5p-16, 0x1.39bcc30ac0867p-16, 0x1.13fc0ae22bb3dp-16, 0x1.dd697e9d9c1dbp-17, 0x1.93ceb76585556p-17, 0x1.4b28a26452e6ep-17, 0x1.03780d7b37f32p-17, 0x1.797b64a04aef9p-18, 0x1.dbe8d9be35e3dp-19, 0x1.91715bc81b96dp-20, -0x1.1a5f0b3031affp-21, -0x1.5206cf020c58ep-19, -0x1.2cc98d70d745bp-18, -0x1.ae9dcb8ccb33dp-18, -0x1.173fe0004ab26p-17, -0x1.5637972a4266bp-17, -0x1.9435ff75139bp-17, -0x1.d13b1f431fb87p-17, -0x1.06a387713617dp-16, -0x1.242cfc246006ap-16, -0x1.413a0b666a95ep-16, -0x1.5dcadb6f87721p-16, -0x1.79df9ae089b37p-16, -0x1.9578809c22188p-16, -0x1.b095cba12ff39p-16, -0x1.cb37c2e531154p-16, -0x1.e55eb52c7e387p-16, -0x1.ff0af8e330c4ep-16, -0x1.0c1e75f9f83aep-15, -0x1.187a79d076a47p-15, -0x1.2499be2d3963cp-15, -0x1.307c7ccb1eeebp-15, -0x1.3c22f2d391b1cp-15, -0x1.478d60c923afcp-15, -0x1.52bc0a736f783p-15, -0x1.5daf36ca150dep-15, -0x1.68672fe016a39p-15, -0x1.72e442ceb1d78p-15, -0x1.7d26bfa11e6fap-15, -0x1.872ef93f62e5ep-15, -0x1.90fd455a28668p-15, -0x1.9a91fc5546f14p-15, -0x1.a3ed7933d4ca2p-15, -0x1.ad1019832af0ep-15, -0x1.b5fa3d46c44a2p-15, -0x1.beac46e3b72f1p-15, -0x1.c7269b0cf2fbep-15, -0x1.cf69a0aee593bp-15, -0x1.d775c0db6f6f7p-15, -0x1.df4b66b68d42ap-15, -0x1.e6eaff622b9d1p-15, -0x1.ee54f9eb6bd85p-15, -0x1.f589c736ccc0ep-15, -0x1.fc89d9edb67d7p-15, -0x1.01aad3357f2f8p-14, -0x1.04f6d1545e523p-14, -0x1.08292316fd1fdp-14, -0x1.0b4204fdb162p-14, -0x1.0e41b43d768c2p-14, -0x1.11286eb66638fp-14, -0x1.13f672eb2c50fp-14, -0x1.16abfff88d071p-14, -0x1.1949558cbf3c8p-14, -0x1.1bceb3deb50f3p-14, -0x1.1e3c5ba65bbebp-14, -0x1.20928e1423199p-14, -0x1.22d18cc90ee7fp-14, -0x1.24f999ceb39edp-14, -0x1.270af78fcb4c7p-14, -0x1.2905e8d01940dp-14, -0x1.2aeab0a557119p-14, -0x1.2cb9926f92f01p-14, -0x1.2e72d1d20efbfp-14, -0x1.3016b2ac2ada3p-14, -0x1.31a57912871f8p-14, -0x1.331f6947d8beep-14, -0x1.3484c7b6b8abfp-14, -0x1.35d5d8eab28dep-14, -0x1.3712e18a05ca6p-14, -0x1.383c264f3815fp-14, -0x1.3951ec032819dp-14, -0x1.3a547776f1cdap-14, -0x1.3b440d7de1f2bp-14, -0x1.3c20f2e7ff149p-14, -0x1.3ceb6c7c6328ep-14, -0x1.3da3bef396157p-14, -0x1.3e4a2ef224ec3p-14, -0x1.3edf0103e195ep-14, -0x1.3f62799647f97p-14, -0x1.3fd4dcf3c1cbbp-14, -0x1.40366f3eeb176p-14, -0x1.4087746dc9ccbp-14, -0x1.40c8304523c31p-14, -0x1.40f8e6542aa83p-14, -0x1.4119d9f03b078p-14, -0x1.412b4e3070ce5p-14, -0x1.412d85e9ba17ep-14, -0x1.4120c3ab04fe6p-14, -0x1.410549b92c64bp-14, -0x1.40db5a0b59a92p-14, -0x1.40a3364783e41p-14, -0x1.405d1fbea0f7p-14, -0x1.40095769c7a5p-14, -0x1.3fa81de68e357p-14, -0x1.3f39b3740b387p-14, -0x1.3ebe57ef9319ap-14, -0x1.3e364ad23e32ap-14, -0x1.3da1cb2dcda3cp-14, -0x1.3d0117a9ce23dp-14, -0x1.3c546e8129c8ep-14, -0x1.3b9c0d7fd026fp-14, -0x1.3ad83200243f1p-14, -0x1.3a0918e88207fp-14, -0x1.392efea936b68p-14, -0x1.384a1f3a79bf7p-14, -0x1.375ab61a50688p-14, -0x1.3660fe4a7b9ecp-14, -0x1.355d324ed4f26p-14, -0x1.344f8c2b7e2ep-14, -0x1.3338456313728p-14, -0x1.321796f55c541p-14, -0x1.30edb95dc26adp-14, -0x1.2fbae491b583fp-14, -0x1.2e7f4fff64ab4p-14, -0x1.2d3b328c9bc6fp-14, -0x1.2beec295ace8dp-14, -0x1.2a9a35ec2dab2p-14, -0x1.293dc1d5ec935p-14, -0x1.27d99b0c1297fp-14, -0x1.266df5ba472bfp-14, -0x1.24fb057e003e7p-14, -0x1.2380fd658c26fp-14, -0x1.22000fef97265p-14, -0x1.20786f0a55355p-14, -0x1.1eea4c13471ccp-14, -0x1.1d55d7d6a747dp-14, -0x1.1bbb428eebaa7p-14, -0x1.1a1abbe463c19p-14, -0x1.187472ed162adp-14, -0x1.16c8962c872d7p-14, -0x1.1517539364998p-14, -0x1.1360d87f59d37p-14, -0x1.11a551bb44ca9p-14, -0x1.0fe4eb7f02fdap-14, -0x1.0e1fd16f742fp-14, -0x1.0c562e9ea17bdp-14, -0x1.0a882d8bbbebp-14, -0x1.08b5f8237c9fcp-14, -0x1.06dfb7c0359a6p-14, -0x1.0505952a29a16p-14, -0x1.0327b897cfa12p-14, -0x1.014649ae1f698p-14, -0x1.fec2df022a02ap-15, -0x1.faf2a127dd991p-15, -0x1.f71c25b38b8ap-15, -0x1.f33fb76c105p-15, -0x1.ef5d9ffa0e1c7p-15, -0x1.eb7627e902fb8p-15, -0x1.e78996a80fb5dp-15, -0x1.e398328bdcc26p-15, -0x1.dfa240cfdcbc4p-15, -0x1.dba8059759e12p-15, -0x1.d7a9c3eebb688p-15, -0x1.d3a7bdcd9837bp-15, -0x1.cfa23417e4ce1p-15, -0x1.cb99669fc23d2p-15, -0x1.c78d9426d5835p-15, -0x1.c37efa603e824p-15, -0x1.bf6dd5f21475ap-15, -0x1.bb5a62775dfep-15, -0x1.b744da81e9778p-15, -0x1.b32d779c25ac2p-15, -0x1.af14724abc8e8p-15, -0x1.aafa020efeebap-15, -0x1.a6de5d686c695p-15, -0x1.a2c1b9d6d5b87p-15, -0x1.9ea44bdcaabbdp-15, -0x1.9a864700babaep-15, -0x1.9667ddd05188ep-15, -0x1.924941e146fadp-15, -0x1.8e2aa3d4641d9p-15, -0x1.8a0c335782e21p-15, -0x1.85ee1f27a4104p-15, -0x1.81d0951303c81p-15, -0x1.7db3c1fb6073fp-15, -0x1.7997d1d883a97p-15, -0x1.757cefba42d9fp-15, -0x1.716345cae59d5p-15, -0x1.6d4afd513ee21p-15, -0x1.69343eb326509p-15, -0x1.651f3177bb466p-15, -0x1.610bfc49be287p-15, -0x1.5cfac4f9d6f8fp-15, -0x1.58ebb08119895p-15, -0x1.54dee3034e398p-15, -0x1.50d47fd1187d1p-15, -0x1.4ccca96a81e57p-15, -0x1.48c781818a941p-15, -0x1.44c528fc23123p-15, -0x1.40c5bff6b364cp-15, -0x1.3cc965c6a4a5dp-15, -0x1.38d038fcae731p-15, -0x1.34da576734362p-15, -0x1.30e7de1471cap-15, -0x1.2cf8e9553a66bp-15, -0x1.290d94bf0ddb8p-15, -0x1.2525fb2e8440cp-15, -0x1.214236c9bf6ddp-15, -0x1.1d626102e966cp-15, -0x1.1986929a6ce5ap-15, -0x1.15aee3a1080ebp-15, -0x1.11db6b7aa09dep-15, -0x1.0e0c40e06393bp-15, -0x1.0a4179e2f6e5bp-15, -0x1.067b2bed02bb6p-15, -0x1.02b96bc58bd53p-15, -0x1.fdf89b2403234p-16, -0x1.f687c9b137dcfp-16, -0x1.ef208905c5f15p-16, }}, 
      {{-0x1.c79e6bc7ab57fp-1, -0x1.c793c4ef8f801p-1, -0x1.c781034c45922p-1, -0x1.c764d003a943ap-1, -0x1.c73d8c82b5917p-1, -0x1.c70979fe88d1bp-1, -0x1.c6c6db23f1d58p-1, -0x1.c6740e89b7f9dp-1, -0x1.c60fa1de6373ap-1, -0x1.c5985e8270b54p-1, -0x1.c50d50904d2d8p-1, -0x1.c46dc967a6f0cp-1, -0x1.c3b95ec4a25p-1, -0x1.c2efe74e545d6p-1, -0x1.c211756463a75p-1, -0x1.c11e50cfa8015p-1, -0x1.c016efd81dcd5p-1, -0x1.befbf024d98d9p-1, -0x1.bdce0fb171b8dp-1, -0x1.bc8e260f52dd1p-1, -0x1.bb3d1e18715e9p-1, -0x1.b9dbf02b3cbf2p-1, -0x1.b86b9cfd24094p-1, -0x1.b6ed2908e5416p-1, -0x1.b5619897dff9bp-1, -0x1.b3c9ec613bebep-1, -0x1.b2271eb6bbd7cp-1, -0x1.b07a213510223p-1, -0x1.aec3daec5bf0dp-1, -0x1.ad0526f514513p-1, -0x1.ab3ed3655667p-1, -0x1.a971a09b0de14p-1, -0x1.a79e40cfd8bb4p-1, -0x1.a5c557ec33318p-1, -0x1.a3e77b904c5a5p-1, -0x1.a2053349ad777p-1, -0x1.a01ef8edba361p-1, -0x1.9e353911eadf2p-1, -0x1.9c48539b65a1dp-1, -0x1.9a589c606bb9p-1, -0x1.98665bd6bc72cp-1, -0x1.9671cfcac1d22p-1, -0x1.947b2c1bec858p-1, -0x1.92829b7b3b8e4p-1, -0x1.908840295ec0fp-1, -0x1.8e8c34b25cdf6p-1, -0x1.8c8e8ca5042dbp-1, -0x1.8a8f5544c5a99p-1, -0x1.888e9634e6b1cp-1, -0x1.868c521c38dep-1, -0x1.84888740be89fp-1, -0x1.8283301ad4b8p-1, -0x1.807c43dfa4b9ap-1, -0x1.7e73b702c0966p-1, -0x1.7c697baeed7e1p-1, -0x1.7a5d82363475bp-1, -0x1.784fb979661cfp-1, -0x1.76400f474d5a8p-1, -0x1.742e70b3d9bb1p-1, -0x1.721aca67911b6p-1, -0x1.700508e7a3392p-1, -0x1.6ded18d6f7574p-1, -0x1.6bd2e73097ccbp-1, -0x1.69b6617bd7688p-1, -0x1.679775fa95d29p-1, -0x1.657613d1fc6a2p-1, -0x1.63522b2e173e6p-1, -0x1.612bad60a1e01p-1, -0x1.5f028cfb6000fp-1, -0x1.5cd6bde65a10ep-1, -0x1.5aa835724be73p-1, -0x1.5876ea6793c3cp-1, -0x1.5642d511ee649p-1, -0x1.540bef4940d7cp-1, -0x1.51d23477b668cp-1, -0x1.4f95a19d6e772p-1, -0x1.4d563551f5287p-1, -0x1.4b13efc3bbf22p-1, -0x1.48ced2b5c7347p-1, -0x1.4686e17bbdf9ap-1, -0x1.443c20f488eefp-1, -0x1.41ee9783aa262p-1, -0x1.3f9e4d0971081p-1, -0x1.3d4b4ada312b4p-1, -0x1.3af59bb496e34p-1, -0x1.389d4bb73e419p-1, -0x1.36426855a1dcfp-1, -0x1.33e5004c7c33p-1, -0x1.31852395b6077p-1, -0x1.2f22e35bf07cep-1, -0x1.2cbe51edc3f8ep-1, -0x1.2a5782b0c1ad6p-1, -0x1.27ee8a144a793p-1, -0x1.25837d8446562p-1, -0x1.2316735bcbb9cp-1, -0x1.20a782d7c48a9p-1, -0x1.1e36c4099548cp-1, -0x1.1bc44fc9d757dp-1, -0x1.19503fab2a981p-1, -0x1.16daaded2639ep-1, -0x1.1463b56f72777p-1, -0x1.11eb71a50da16p-1, -0x1.0f71fe87c661ep-1, -0x1.0cf7788bea8f1p-1, -0x1.0a7bfc9434e13p-1, -0x1.07ffa7e5f75acp-1, -0x1.0582981d8a4c1p-1, -0x1.0304eb22ff124p-1, -0x1.0086bf1f1c80bp-1, -0x1.fc1064e145147p-2, -0x1.f712c743b633bp-2, -0x1.f214e2bcea7e2p-2, -0x1.ed16f4d361ac9p-2, -0x1.e8193b29a828ap-2, -0x1.e31bf36be7817p-2, -0x1.de1f5b3e105eap-2, -0x1.d923b02aa104ap-2, -0x1.d4292f920db2fp-2, -0x1.cf30169ac27fcp-2, -0x1.ca38a221c4d9fp-2, -0x1.c5430eabea22ep-2, -0x1.c04f9857b1737p-2, -0x1.bb5e7acfabdffp-2, -0x1.b66ff13d83811p-2, -0x1.b184363d91dd4p-2, -0x1.ac9b83d30b6ap-2, -0x1.a7b6135cbb4ebp-2, -0x1.a2d41d8a4da68p-2, -0x1.9df5da52244c8p-2, -0x1.991b80e7b782ep-2, -0x1.944547b27afc1p-2, -0x1.8f73644548972p-2, -0x1.8aa60b564bf92p-2, -0x1.85dd70b76e21ep-2, -0x1.8119c74f3b455p-2, -0x1.7c5b411243c91p-2, -0x1.77a20efcf15f1p-2, -0x1.72ee610dd34edp-2, -0x1.6e406640560f8p-2, -0x1.69984c87efdeap-2, -0x1.64f640cbb0bbfp-2, -0x1.605a6ee23f075p-2, -0x1.5bc5018e3b08cp-2, -0x1.5736227afd82p-2, -0x1.52adfa39be0c2p-2, -0x1.4e2cb03f10f9bp-2, -0x1.49b26ae0c0b4ap-2, -0x1.453f4f53fd4ebp-2, -0x1.40d381abe2469p-2, -0x1.3c6f24d84b058p-2, -0x1.38125aa4f99c6p-2, -0x1.33bd43b905302p-2, -0x1.2f6fff96963f1p-2, -0x1.2b2aac9ae6a0ap-2, -0x1.26ed67fe87738p-2, -0x1.22b84dd5e7414p-2, -0x1.1e8b791219aa8p-2, -0x1.1a670381d75dfp-2, -0x1.164b05d2be463p-2, -0x1.12379792c44bp-2, -0x1.0e2ccf31e17cep-2, -0x1.0a2ac203ee269p-2, -0x1.06318442afed5p-2, -0x1.0241291017528p-2, -0x1.fcb384f14df96p-3, -0x1.f4f6c2ec133fbp-3, -0x1.ed4c2be395477p-3, -0x1.e5b3dd907125p-3, -0x1.de2df396d3aaep-3, -0x1.d6ba878ccbe4cp-3, -0x1.cf59b100d33adp-3, -0x1.c80b85809bf3p-3, -0x1.c0d018a0163c2p-3, -0x1.b9a77c00a83c9p-3, -0x1.b291bf5894c06p-3, -0x1.ab8ef07a978eap-3, -0x1.a49f1b5da791dp-3, -0x1.9dc24a24e095ap-3, -0x1.96f8852791f5cp-3, -0x1.9041d2f96f9afp-3, -0x1.899e3872df1e1p-3, -0x1.830db8b961109p-3, -0x1.7c90554812e5fp-3, -0x1.76260df8497ebp-3, -0x1.6fcee10a37225p-3, -0x1.698acb2da857bp-3, -0x1.6359c78aced1p-3, -0x1.5d3bcfcb119e3p-3, -0x1.5730dc21f0b9ap-3, -0x1.5138e355e42eep-3, -0x1.4b53dac94791dp-3, -0x1.4581b68348faap-3, -0x1.3fc26938cf361p-3, -0x1.3a15e4556b64dp-3, -0x1.347c18043d693p-3, -0x1.2ef4f338d692dp-3, -0x1.298063b81a87ap-3, -0x1.241e56210bf1bp-3, -0x1.1eceb5f59cb1dp-3, -0x1.19916da368f63p-3, -0x1.1466668c68a36p-3, -0x1.0f4d890f92aafp-3, -0x1.0a46bc91716e1p-3, -0x1.0551e784a122p-3, -0x1.006eef7244887p-3, -0x1.f73b7204b9407p-4, -0x1.edbc500829ce8p-4, -0x1.e4603eebe6ec2p-4, -0x1.db27031be9c1dp-4, -0x1.d2105f8327ba4p-4, -0x1.c91c159b6278ep-4, -0x1.c049e57cd9e7ep-4, -0x1.b7998dedb4634p-4, -0x1.af0acc7147397p-4, -0x1.a69d5d5718cd5p-4, -0x1.9e50fbc9afb44p-4, -0x1.962561dd3361ep-4, -0x1.8e1a489dbee5bp-4, -0x1.862f681d8e5c9p-4, -0x1.7e647782e0eap-4, -0x1.76b92d15a7d9bp-4, -0x1.6f2d3e4cf2e83p-4, -0x1.67c05fdc22225p-4, -0x1.607245bfda8d8p-4, -0x1.5942a34ab7c84p-4, -0x1.52312b31c2e94p-4, -0x1.4b3d8f98a6848p-4, -0x1.4467821da848ap-4, -0x1.3daeb3e55aa86p-4, -0x1.3712d5a615dedp-4, -0x1.309397b32cddfp-4, -0x1.2a30aa07e3702p-4, -0x1.23e9bc52236f1p-4, -0x1.1dbe7dfcf3b3cp-4, -0x1.17ae9e3aaac4cp-4, -0x1.11b9cc0ee7fdap-4, -0x1.0bdfb65847c02p-4, -0x1.06200bd9da132p-4, -0x1.007a7b445d43dp-4, -0x1.f5dd667e67d65p-5, -0x1.eaf8c4e2449bap-5, -0x1.e0466f11921e5p-5, -0x1.d5c5c289d09a4p-5, -0x1.cb761cf8c078bp-5, -0x1.c156dc4bef6cep-5, -0x1.b7675ebfd0c1p-5, -0x1.ada702ee58bafp-5, -0x1.a41527dd2878dp-5, -0x1.9ab12d0b422ccp-5, -0x1.917a727e4d1bbp-5, -0x1.887058cf695f9p-5, -0x1.7f9241378829ap-5, -0x1.76df8d9b6c694p-5, -0x1.6e57a09725bf6p-5, -0x1.65f9dd892ff71p-5, -0x1.5dc5a89d20d8dp-5, -0x1.55ba66d5f42e3p-5, -0x1.4dd77e17e787ep-5, -0x1.461c5531f97b6p-5, -0x1.3e8853e6ffacfp-5, -0x1.371ae2f65ee83p-5, -0x1.2fd36c246168ep-5, -0x1.28b15a422828fp-5, -0x1.21b419354c503p-5, -0x1.1adb15ff1af54p-5, -0x1.1425bec3799c7p-5, -0x1.0d9382cf74296p-5, -0x1.0723d29f7713p-5, -0x1.00d61fe52dc2ep-5, -0x1.f553bb1a2d6f5p-6, -0x1.e93cff8782e72p-6, -0x1.dd66f7f57d51ep-6, -0x1.d1d091da89835p-6, -0x1.c678bd4909c3ap-6, -0x1.bb5e6cf775355p-6, -0x1.b0809647db027p-6, -0x1.a5de314ee35bap-6, -0x1.9b7638da4305fp-6, -0x1.9147aa76a5b0dp-6, -0x1.8751867518399p-6, -0x1.7d92cfeff00c6p-6, -0x1.740a8ccf3b98ep-6, -0x1.6ab7c5ccb7a14p-6, -0x1.61998677452bep-6, -0x1.58aedd3604adap-6, -0x1.4ff6db4ade22dp-6, -0x1.477094d4c160fp-6, -0x1.3f1b20d16439ep-6, -0x1.36f5991ea95dbp-6, -0x1.2eff1a7b94884p-6, -0x1.2736c488f1475p-6, -0x1.1f9bb9c98ecb1p-6, -0x1.182d1fa22690dp-6, -0x1.10ea1e58eb17ap-6, -0x1.09d1e114c7111p-6, -0x1.02e395dc3efabp-6, -0x1.f83cdb28228b8p-7, -0x1.eb0337fb08552p-7, -0x1.de18af68cef82p-7, -0x1.d17bb459ab7c7p-7, -0x1.c52abf615c539p-7, -0x1.b9244eb994dc7p-7, -0x1.ad66e63bfc88dp-7, -0x1.a1f10f5b9a3c9p-7, -0x1.96c1591de2ca2p-7, -0x1.8bd658134cfd9p-7, -0x1.812ea64f7949fp-7, -0x1.76c8e360ff636p-7, -0x1.6ca3b448c439ep-7, -0x1.62bdc37106c41p-7, -0x1.5915c0a40e7f4p-7, -0x1.4faa61027602ep-7, -0x1.467a5ef94018dp-7, -0x1.3d847a378324ap-7, -0x1.34c777a3e48c5p-7, -0x1.2c422151b882bp-7, -0x1.23f34675f0b3ap-7, -0x1.1bd9bb5bca574p-7, -0x1.13f4595939fb3p-7, -0x1.0c41fec328fedp-7, -0x1.04c18ee17c07bp-7, -0x1.fae3e3c5c9efap-8, -0x1.eca429a13fd6ap-8, -0x1.dec1d303af5fdp-8, -0x1.d13acd1e32075p-8, -0x1.c40d0e8af5103p-8, -0x1.b736973370a6p-8, -0x1.aab570365a97dp-8, -0x1.9e87abcd5345cp-8, -0x1.92ab653281f26p-8, -0x1.871ec085dee3ap-8, -0x1.7bdfeab26fb8dp-8, -0x1.70ed19536eec8p-8, -0x1.66448a991aac3p-8, -0x1.5be4852dbbfb3p-8, -0x1.51cb581a60fe7p-8, -0x1.47f75aab8a0d1p-8, -0x1.3e66ec55ed8dap-8, -0x1.3518749b14239p-8, -0x1.2c0a62edfe6e9p-8, -0x1.233b2e97c17f9p-8, -0x1.1aa9569c36723p-8, -0x1.1253619ea7c59p-8, -0x1.0a37ddc675232p-8, -0x1.025560a3ec583p-8, -0x1.f5550e2a3efebp-9, -0x1.e66bea5570b1ap-9, -0x1.d7ecac1a17103p-9, -0x1.c9d4b7c24ab0fp-9, -0x1.bc217f5c04441p-9, -0x1.aed08283c6c9dp-9, -0x1.a1df4e2f79124p-9, -0x1.954b7c79931eap-9, -0x1.8912b46c88de9p-9, -0x1.7d32a9ceb1578p-9, -0x1.71a91cee47b0ep-9, -0x1.6673da6dd466p-9, -0x1.5b90bb10f35a8p-9, -0x1.50fda38999b94p-9, -0x1.46b88445806afp-9, -0x1.3cbf593c0e562p-9, -0x1.331029bccbfc2p-9, -0x1.29a9083df57bdp-9, -0x1.2088122bbf08bp-9, -0x1.17ab6fb7f4051p-9, -0x1.0f1153a9eccd6p-9, -0x1.06b7fb2f26a53p-9, -0x1.fd3b5b5830e08p-10, -0x1.ed81791b705ffp-10, -0x1.de3f0636bbe7dp-10, -0x1.cf70cc923463bp-10, -0x1.c113a9153f384p-10, -0x1.b3248b4d11757p-10, -0x1.a5a07514bd37bp-10, -0x1.98847a3d6c123p-10, -0x1.8bcdc0389781cp-10, -0x1.7f797dc25c64dp-10, -0x1.7384fa8d7fecep-10, -0x1.67ed8ef03bd7dp-10, -0x1.5cb0a391ebd7ep-10, -0x1.51cbb11a10216p-10, -0x1.473c3fe025e3ep-10, -0x1.3cffe79ca35f8p-10, -0x1.33144f1b08f27p-10, -0x1.29772becd7d5ep-10, -0x1.2026421dc0ba6p-10, -0x1.171f63e8b8138p-10, -0x1.0e60716e52068p-10, -0x1.05e7586bd2609p-10, -0x1.fb6427e762748p-11, -0x1.eb7d584d76d9dp-11, -0x1.dc166bdd53eb6p-11, -0x1.cd2ba572d09e3p-11, -0x1.beb9606b6cb6cp-11, -0x1.b0bc1020efd82p-11, -0x1.a3303f66b5925p-11, -0x1.96129008c6622p-11, -0x1.895fba4cdef65p-11, -0x1.7d148c75b9b7ap-11, -0x1.712dea47f6328p-11, -0x1.65a8cc91b9e2ap-11, -0x1.5a8240b359215p-11, -0x1.4fb7682ab2b46p-11, -0x1.45457820792eep-11, -0x1.3b29b8f6e13b1p-11, -0x1.316185dab62e4p-11, -0x1.27ea4c5646248p-11, -0x1.1ec18be6359fp-11, -0x1.15e4d59013055p-11, -0x1.0d51cb7ab5f7ap-11, -0x1.05062088e564ep-11, -0x1.f9ff2fea8e95cp-12, -0x1.ea7809e12165dp-12, -0x1.db72948252e76p-12, -0x1.cceab3c9a15f5p-12, -0x1.bedc6967e84b7p-12, -0x1.b143d40d3c5dbp-12, -0x1.a41d2eb6ca49ap-12, -0x1.9764cfff8624ep-12, -0x1.8b1729745524cp-12, -0x1.7f30c6ec0f64bp-12, -0x1.73ae4de1fae1ep-12, -0x1.688c7cd41cb2bp-12, -0x1.5dc82aa44a9b6p-12, -0x1.535e45fce0e17p-12, -0x1.494bd4b7e52a7p-12, -0x1.3f8df34a3449p-12, -0x1.3621d43083f57p-12, -0x1.2d04bf608aed7p-12, -0x1.243411bc2a08ap-12, -0x1.1bad3c8836d91p-12, -0x1.136dc4e58ace7p-12, -0x1.0b73434d4d366p-12, -0x1.03bb630feaaebp-12, -0x1.f887c3ad4626ap-13, -0x1.ea151e4fd9e5ap-13, -0x1.dc1a97dcd8aefp-13, -0x1.ce941405c5574p-13, -0x1.c17d976fa0a15p-13, -0x1.b4d346d1ae8e2p-13, -0x1.a8916616c99ap-13, -0x1.9cb4578576747p-13, -0x1.91389aebec212p-13, -0x1.861accd0ec47cp-13, -0x1.7b57a5a965659p-13, -0x1.70ebf9128eb5dp-13, -0x1.66d4b510b4c37p-13, -0x1.5d0ee152929bbp-13, -0x1.53979e786791fp-13, -0x1.4a6c255fda7e7p-13, -0x1.4189c6745de98p-13, -0x1.38ede9028a9e5p-13, -0x1.30960a9120cc6p-13, -0x1.287fbe3c9aaf3p-13, -0x1.20a8ac1756a6cp-13, -0x1.190e908dc4222p-13, -0x1.11af3bcdb7953p-13, -0x1.0a889132004dfp-13, -0x1.039886b17ae67p-13, -0x1.f9ba48a254aa6p-14, -0x1.eca90735cb75bp-14, -0x1.dff99e2cd38bep-14, -0x1.d3a8838c64ba6p-14, -0x1.c7b24d4f665aep-14, -0x1.bc13b06d9f29dp-14, -0x1.b0c97fe7f8cdap-14, -0x1.a5d0abdc14dcep-14, -0x1.9b26409e24ff2p-14, -0x1.90c765d70a81bp-14, -0x1.86b15daa7b62fp-14, -0x1.7ce183e0d7519p-14, -0x1.73554d1813fbfp-14, -0x1.6a0a45f97426dp-14, -0x1.60fe127474bbbp-14, -0x1.582e6cff1574dp-14, -0x1.4f9925dc69dc9p-14, -0x1.473c2265b1eabp-14, -0x1.3f155c5ae7425p-14, -0x1.3722e13698ee6p-14, -0x1.2f62d18682f28p-14, -0x1.27d3604a02a37p-14, -0x1.2072d2534b8abp-14, -0x1.193f7dae8045cp-14, -0x1.1237c90bed94cp-14, -0x1.0b5a2b2f23a47p-14, -0x1.04a52a6241b9ep-14, -0x1.fc2eb7d96ffdcp-15, -0x1.ef5ec71bc72f8p-15, -0x1.e2d7e5f99b313p-15, -0x1.d69792d3edd5dp-15, -0x1.ca9b660b51729p-15, -0x1.bee1111304d71p-15, -0x1.b3665d8cb0ea8p-15, -0x1.a8292c6751a78p-15, -0x1.9d27750925f2dp-15, -0x1.925f447d17eaep-15, -0x1.87cebca74cebp-15, -0x1.7d74137fc9484p-15, -0x1.734d925373706p-15, -0x1.6959950abd3adp-15, -0x1.5f9689751690fp-15, -0x1.5602ee9be576ep-15, -0x1.4c9d541933ccbp-15, -0x1.43645974bbb96p-15, -0x1.3a56ad848a193p-15, -0x1.31730dd4dc711p-15, -0x1.28b84613a464p-15, -0x1.20252f7fd22b6p-15, -0x1.17b8b05f69169p-15, -0x1.0f71bb78fed2bp-15, -0x1.074f4f9158e58p-15, -0x1.fea0eddb5d7f8p-16, -0x1.eee88db46120cp-16, -0x1.df73be680250dp-16, -0x1.d040d3f1445eep-16, -0x1.c14e35ad8221ep-16, -0x1.b29a5d8a82dbbp-16, -0x1.a423d739f1929p-16, -0x1.95e93f692961fp-16, -0x1.87e9430508181p-16, -0x1.7a229e802f67cp-16, -0x1.6c941d21258d4p-16, -0x1.5f3c985859b9ap-16, -0x1.521af718c9826p-16, -0x1.452e2d3a6d997p-16, -0x1.38753ae00453dp-16, -0x1.2bef2be309da9p-16, -0x1.1f9b1744d1f77p-16, -0x1.13781ea68dc7ap-16, -0x1.07856dc37ad51p-16, -0x1.f78473e4f1294p-17, -0x1.e05b83592fbdep-17, -0x1.c98e982d1ce26p-17, -0x1.b31c511fb11a7p-17, -0x1.9d035c8c9ffc1p-17, -0x1.87427799d7318p-17, -0x1.71d86d7221214p-17, -0x1.5cc41680971cfp-17, -0x1.480457bbe6c84p-17, -0x1.339821f286725p-17, -0x1.1f7e7121a9745p-17, -0x1.0bb64bd2f0537p-17, -0x1.f07d84fd9d65ap-18, -0x1.ca2dddf3ec126p-18, -0x1.a47be7c5e0f33p-18, -0x1.7f65f835eb3b2p-18, -0x1.5aea7487332acp-18, -0x1.3707d081f6494p-18, -0x1.13bc8d8584ee3p-18, -0x1.e20e734722f63p-19, -0x1.9dccdd8bb1fb4p-19, -0x1.5ab1a3c0f60ep-19, -0x1.18ba24558339p-19, -0x1.afc7a18977d08p-20, -0x1.30585865454f6p-20, -0x1.664328473847p-21, -0x1.c0f4ce9153b03p-23, 0x1.02d4d75995a28p-22, 0x1.6ebcc15f76353p-21, 0x1.2be15553d0e8cp-20, 0x1.9e426d26cb4fcp-20, 0x1.0742f727bcc95p-19, 0x1.3e5806c0df04cp-19, 0x1.746277e2f7b85p-19, 0x1.a96456082f3c8p-19, 0x1.dd5fa66df35bap-19, 0x1.082b34624622bp-18, 0x1.21254bf536b91p-18, 0x1.399f1541520c4p-18, 0x1.519989cca7a5ep-18, 0x1.6915a1965926ap-18, 0x1.8014535c42cc7p-18, 0x1.969694d828289p-18, 0x1.ac9d5afae0eefp-18, 0x1.c2299a21bbb1dp-18, 0x1.d73c464988848p-18, 0x1.ebd6533b19496p-18, 0x1.fff8b4b94e517p-18, 0x1.09d22f52b49fdp-17, 0x1.136d229196742p-17, 0x1.1ccdae5daabe4p-17, 0x1.25f44d3b79434p-17, 0x1.2ee179fe17788p-17, 0x1.3795afd2749e5p-17, 0x1.40116a4a518bep-17, 0x1.485525655037dp-17, 0x1.50615d995dcf3p-17, 0x1.58368fd9f410ep-17, 0x1.5fd5399d78045p-17, 0x1.673dd8e2ec90cp-17, 0x1.6e70ec3532089p-17, 0x1.756ef2af03f01p-17, 0x1.7c386bfbedfc8p-17, 0x1.82cdd85ada5c5p-17, 0x1.892fb89dedb01p-17, 0x1.8f5e8e2ab5281p-17, 0x1.955adaf8cf861p-17, 0x1.9b252190bd07fp-17, 0x1.a0bde50a0de9ap-17, 0x1.a625a9086ae89p-17, 0x1.ab5cf1b86fa92p-17, 0x1.b06443cc1a76ap-17, 0x1.b53c24767c577p-17, 0x1.b9e51966884efp-17, 0x1.be5fa8c332695p-17, 0x1.c2ac59252d2c1p-17, 0x1.c6cbb1913ce7ap-17, 0x1.cabe3972ac2e7p-17, 0x1.ce847894b2cd7p-17, 0x1.d21ef71bbe808p-17, 0x1.d58e3d7ebba75p-17, 0x1.d8d2d47fed911p-17, 0x1.dbed45260bf52p-17, 0x1.dede18b3e9b89p-17, 0x1.e1a5d8a1f7486p-17, 0x1.e4450e95e95ebp-17, 0x1.e6bc445ab07d3p-17, 0x1.e90c03d95fa1ep-17, 0x1.eb34d7101c06p-17, 0x1.ed37480b5a4b4p-17, 0x1.ef13e0dcae863p-17, 0x1.f0cb2b92e1fb9p-17, 0x1.f25db23218b85p-17, 0x1.f3cbfeaaec8c6p-17, 0x1.f5169ad325a1ep-17, 0x1.f63e105cf3bbcp-17, 0x1.f742e8cee15ccp-17, 0x1.f825ad7bafdfcp-17, 0x1.f8e6e77af1cb2p-17, 0x1.f9871fa031532p-17, 0x1.fa06de73893cdp-17, 0x1.fa66ac299693ep-17, 0x1.faa7109bab3bp-17, 0x1.fac893404fbfap-17, 0x1.facbbb234c1f2p-17, 0x1.fab10edea6fb8p-17, 0x1.fa791492b8779p-17, 0x1.fa2451dfbddbbp-17, 0x1.f9b34bddf7f97p-17, 0x1.f926871740419p-17, 0x1.f87e877f9a72p-17, 0x1.f7bbd06eb860fp-17, 0x1.f6dee4996ded7p-17, 0x1.f5e8460b1686ep-17, 0x1.f4d8761f3fe16p-17, 0x1.f3aff57b77402p-17, 0x1.f26f44098a0b4p-17, 0x1.f116e0f1238b7p-17, 0x1.efa74a928dc29p-17, 0x1.ee20fe80fef9fp-17, 0x1.ec84797d0b572p-17, 0x1.ead2376fbc2d1p-17, 0x1.e90ab364c7ebcp-17, 0x1.e72e678628438p-17, 0x1.e53dcd173b8c1p-17, 0x1.e3395c6fc5068p-17, 0x1.e1218cf7f64b1p-17, 0x1.def6d5240ca0fp-17, 0x1.dcb9aa6fbec73p-17, 0x1.da6a815ac252bp-17, 0x1.d809cd64bc9c8p-17, 0x1.d598010957b6fp-17, 0x1.d3158dbd4af0dp-17, 0x1.d082e3ea8b2cep-17, 0x1.cde072ed128a9p-17, 0x1.cb2ea90fd4bcbp-17, 0x1.c86df38a0b488p-17, 0x1.c59ebe7c763d5p-17, 0x1.c2c174ee40b0cp-17, 0x1.bfd680cb280bfp-17, 0x1.bcde4ae11d51ep-17, 0x1.b9d93addc8225p-17, 0x1.b6c7b74c5be1ep-17, 0x1.b3aa25944db3bp-17, 0x1.b080e9f723de2p-17, 0x1.ad4c678ee5269p-17, 0x1.aa0d004caac41p-17, 0x1.a6c314f71f95ep-17, 0x1.a36f05299258fp-17, 0x1.a0112f52a2fc5p-17, 0x1.9ca9f0b37bc02p-17, 0x1.9939a55ef4b6cp-17, 0x1.95c0a838c71f9p-17, 0x1.923f52f4d660cp-17, 0x1.8eb5fe16fd965p-17, 0x1.8b2500f2727c3p-17, 0x1.878cb1a992fd8p-17, 0x1.83ed652ddb1e1p-17, 0x1.80476f3f8ff36p-17, 0x1.7c9b226e56f67p-17, 0x1.78e8d018f80bdp-17, 0x1.7530c86d92d62p-17, 0x1.71735a6a69ea1p-17, 0x1.6db0d3de27fadp-17, 0x1.69e98168197ffp-17, 0x1.661dae795424dp-17, 0x1.624da5553e407p-17, 0x1.5e79af1248be2p-17, 0x1.5aa2139adfc9ap-17, 0x1.56c719ae90cdep-17, 0x1.52e906e2e864ep-17, 0x1.4f081fa4caec1p-17, 0x1.4b24a7397d41cp-17, 0x1.473edfbfffa78p-17, 0x1.43570a329cabap-17, 0x1.3f6d666833c29p-17, 0x1.3b8233158396fp-17, 0x1.3795adcf0758bp-17, 0x1.33a8130a7b6adp-17, 0x1.2fb99e2082ecfp-17, 0x1.2bca894e5e6bp-17, 0x1.27db0db7c8bdbp-17, 0x1.23eb6368d614cp-17, 0x1.1ffbc157c3deap-17, 0x1.1c0c5d66e2ebbp-17, 0x1.181d6c66d3474p-17, 0x1.142f22187e7eap-17, 0x1.1041b12edd978p-17, 0x1.0c554b51759e8p-17, 0x1.086a211e4e539p-17, 0x1.0480622c24ca5p-17, 0x1.00983d0cc9feap-17, 0x1.f963be9ef0609p-18, 0x1.f19aeb057899fp-18, 0x1.e9d6566e73aabp-18, 0x1.e2165603b4a31p-18, 0x1.da5b3cfc4431cp-18, 0x1.d2a55ca16ac3p-18, 0x1.caf50453aecd2p-18, 0x1.c34a818f8c808p-18, 0x1.bba61ff25664ap-18, 0x1.b408293f9db6dp-18, 0x1.ac70e565983e2p-18, 0x1.a4e09a82e8ef5p-18, 0x1.9d578ceb37e76p-18, 0x1.95d5ff2cc69a5p-18, 0x1.8e5c32151d22p-18, 0x1.86ea64b68e927p-18, 0x1.7f80d46d51cb7p-18, 0x1.781fbce4d0c3fp-18, 0x1.70c7581cb0edfp-18, 0x1.6977de6e55cfcp-18, 0x1.6231869235c98p-18, 0x1.5af485a4bc23p-18, 0x1.53c10f2ba62d4p-18, 0x1.4c97551b8f14fp-18, 0x1.457787dd2c718p-18, 0x1.3e61d65232a1bp-18, 0x1.37566ddb265ecp-18, 0x1.30557a5c399a4p-18, 0x1.295f2642abcadp-18, 0x1.22739a8a4a814p-18, 0x1.1b92fec281948p-18, 0x1.14bd791382a66p-18, 0x1.0df32e4396739p-18, 0x1.073441bc583bap-18, 0x1.0080d58ff0df4p-18, 0x1.f3b214fc52b55p-19, 0x1.e679fff32e617p-19, 0x1.d959a859bce87p-19, 0x1.cc5147ff9377fp-19, 0x1.bf611638b77fcp-19, 0x1.b28947e7b2efp-19, 0x1.a5ca0f87f7fe3p-19, 0x1.99239d3751218p-19, 0x1.8c961ec037914p-19, 0x1.8021bfa4240dap-19, 0x1.73c6a924d5e3dp-19, 0x1.6785024e526a2p-19, 0x1.5b5cf000d3311p-19, 0x1.4f4e94fab152dp-19, 0x1.435a11e12c7e6p-19, 0x1.377f854a62f56p-19, 0x1.2bbf0bc730c09p-19, 0x1.2018bfec3623dp-19, 0x1.148cba5b1691p-19, 0x1.091b11cc1be8ap-19, 0x1.fb87b62e34aefp-20, 0x1.e50e5278bc036p-20, 0x1.ceca1adbf9f61p-20, 0x1.b8bb2e31ebe34p-20, 0x1.a2e1a7db6f9ffp-20, 0x1.8d3d9fd22dcc7p-20, 0x1.77cf2aba0fb46p-20, 0x1.629659f204ca3p-20, 0x1.4d933ba54941cp-20, 0x1.38c5dadcdf66cp-20, 0x1.242e3f8fd1a88p-20, 0x1.0fcc6eb3fcb13p-20, 0x1.f740d49bec098p-21, 0x1.cf546303aef4bp-21, 0x1.a7d381469a926p-21, 0x1.80be228a4b721p-21, 0x1.5a1434917ddafp-21, 0x1.33d59fdac1b8fp-21, 0x1.0e0247c170d8bp-21, 0x1.d134153727fd6p-22, 0x1.873983ad00ad5p-22, 0x1.3e1484288edp-22, 0x1.eb896d2412bcdp-23, 0x1.5c936366eb45fp-23, 0x1.9e8c0dc168f11p-24, 0x1.0e8187d26f7ffp-25, -0x1.197a47a993bd7p-25, -0x1.9d6fd78f3cb2bp-24, -0x1.556cd2c4b9c25p-23, -0x1.da7e7dafffd9cp-23, -0x1.2ef7194c4f212p-22, -0x1.6fdea3358f203p-22, -0x1.aff68e40b117ep-22, -0x1.ef3f9322013dbp-22, -0x1.16dd38b098332p-21, -0x1.35b3f79542bdp-21, -0x1.54246c8ef423bp-21, -0x1.722f010eb138cp-21, -0x1.8fd421901b056p-21, -0x1.ad143d818c9e5p-21, -0x1.c9efc72d9bd5bp-21, -0x1.e66733a341344p-21, -0x1.013d7d509b384p-20, -0x1.0f15cb406b62bp-20, -0x1.1cbcc20ffa21fp-20, -0x1.2a32a165892f8p-20, -0x1.3777aa13cfa8ap-20, -0x1.448c1e1105d0dp-20, -0x1.5170406bb8ac3p-20, -0x1.5e245540fd3d8p-20, -0x1.6aa8a1b3dc357p-20, -0x1.76fd6be3009aap-20, -0x1.8322fade87e15p-20, -0x1.8f19969f6213p-20, -0x1.9ae187fed1171p-20, -0x1.a67b18ac9f66bp-20, -0x1.b1e693262082fp-20, -0x1.bd2442adfb2e9p-20, -0x1.c83473447bb27p-20, -0x1.d317719eba601p-20, -0x1.ddcd8b1dd9232p-20, -0x1.e8570dc73fde2p-20, -0x1.f2b4483c97103p-20, -0x1.fce589b447109p-20, -0x1.037590f90041cp-19, -0x1.0862b09f9ef2p-19, -0x1.0d3a4c320c9bdp-19, -0x1.11fc8c4fb0089p-19, -0x1.16a999cff5c62p-19, -0x1.1b419dbf2d243p-19, -0x1.1fc4c15abbb6ep-19, -0x1.24332e0de345ap-19, -0x1.288d0d6ecbbf2p-19, }}, 
      {{-0x1.6b1ae14b4ab53p-17, -0x1.ff14c5127540ep-15, -0x1.a1956b96e8bfcp-13, -0x1.03fd522585265p-11, -0x1.0eb97a3a28a06p-10, -0x1.f01f5f1d4cf99p-10, -0x1.9d276658f8d83p-9, -0x1.3f976e3fd84c8p-8, -0x1.d25da4113a3e2p-8, -0x1.448d00263c571p-7, -0x1.b271f58923b8fp-7, -0x1.1970857df43d4p-6, -0x1.62b06cdbeb38ep-6, -0x1.b4853e7bc9d9dp-6, -0x1.0726af121d335p-5, -0x1.37a0f33d21864p-5, -0x1.6b3fadadf7681p-5, -0x1.a186ed5f9fe4bp-5, -0x1.d9f44bcc0df6ep-5, -0x1.0a0120659fec7p-4, -0x1.2795836a93a85p-4, -0x1.457587d66393dp-4, -0x1.636186cd86556p-4, -0x1.811ccc055a133p-4, -0x1.9e6e39f74189p-4, -0x1.bb20c4969fe63p-4, -0x1.d703c74a53619p-4, -0x1.f1eb3adcd6604p-4, -0x1.05d7e7f3cdcc8p-3, -0x1.121778fd314c6p-3, -0x1.1da55bb6e0c79p-3, -0x1.2874e0bbe4e84p-3, -0x1.327b87dec0edp-3, -0x1.3bb0e52064ad8p-3, -0x1.440e82183ff51p-3, -0x1.4b8fbce5e0fd8p-3, -0x1.5231a59c58ce8p-3, -0x1.57f2daf282baep-3, -0x1.5cd366e134b8ep-3, -0x1.60d49bb9be5edp-3, -0x1.63f8f22376142p-3, -0x1.6643e856f993dp-3, -0x1.67b9e2d86f998p-3, -0x1.68600edfcca9ap-3, -0x1.683c468e9a551p-3, -0x1.6754f7057d0e3p-3, -0x1.65b10860dc9a7p-3, -0x1.6357c79b3f71dp-3, -0x1.6050d24cb7794p-3, -0x1.5ca4043942a83p-3, -0x1.5859669bc59aep-3, -0x1.5379211843897p-3, -0x1.4e0b6c3dd5c0ep-3, -0x1.4818857fa72f2p-3, -0x1.41a8a48ba06a7p-3, -0x1.3ac3f1e54d69p-3, -0x1.33727eabfb1fp-3, -0x1.2bbc3d73a19f5p-3, -0x1.23a8fc191f806p-3, -0x1.1b405e7b78f87p-3, -0x1.1289da04ee8b1p-3, -0x1.098cb1f00e42dp-3, -0x1.004ff436440a6p-3, -0x1.edb4ee2d66616p-4, -0x1.da65ae4ae2c05p-4, -0x1.c6beeba916ad2p-4, -0x1.b2ccf0d2d4805p-4, -0x1.9e9b8ea4ae863p-4, -0x1.8a361ba1f4d79p-4, -0x1.75a773df5958ap-4, -0x1.60f9f970dfe0ep-4, -0x1.4c37954a774dp-4, -0x1.3769b8843ba18p-4, -0x1.22995df4ddbedp-4, -0x1.0dcf0c16056bfp-4, -0x1.f225ae4f8dc9dp-5, -0x1.c8d8c712bd287p-5, -0x1.9fc5d07ce8b77p-5, -0x1.76fa63321df63p-5, -0x1.4e8348027c4cp-5, -0x1.266c7da880681p-5, -0x1.fd827d5670815p-6, -0x1.af180eb5169dp-6, -0x1.61ad37b9c9189p-6, -0x1.15541c8d1883ap-6, -0x1.943b12cfbb895p-7, -0x1.0031fd8343a77p-7, -0x1.baa5eb746cc44p-9, 0x1.0222d5c53f3e1p-10, 0x1.58ff70997d1d6p-8, 0x1.35f30af20b61p-7, 0x1.bc8ae0a78068ep-7, 0x1.201ae8d34a108p-6, 0x1.607235105b5c3p-6, 0x1.9f448a3970a92p-6, 0x1.dc8c01ea8406p-6, 0x1.0c21c7e28aea1p-5, 0x1.29337ba530bd8p-5, 0x1.457960fc8ff77p-5, 0x1.60f21ad7f2124p-5, 0x1.7b9ca5aa5ffabp-5, 0x1.957852e13c9ecp-5, 0x1.ae84c47dc0ecap-5, 0x1.c6c1e8d135ba5p-5, 0x1.de2ff65bcc9e4p-5, 0x1.f4cf67cdc1861p-5, 0x1.05507c153900ep-4, 0x1.0fd2cf8680e29p-4, 0x1.19ef468703dc6p-4, 0x1.23a69424de12fp-4, 0x1.2cf984830dfa5p-4, 0x1.35e8fb3c2e292p-4, 0x1.3e75f1d488353p-4, 0x1.46a1763b29b34p-4, 0x1.4e6ca959a6b9ap-4, 0x1.55d8bdb22d5e7p-4, 0x1.5ce6f60b9537ep-4, 0x1.6398a42b0bb2bp-4, 0x1.69ef279b0467cp-4, 0x1.6febec7f124fap-4, 0x1.75906a744d1e7p-4, 0x1.7ade237decc14p-4, 0x1.7fd6a2fdbbd12p-4, 0x1.847b7cb80df1ap-4, 0x1.88ce4be2de476p-4, 0x1.8cd0b23fc464ep-4, 0x1.9084574066d75p-4, 0x1.93eae73519b17p-4, 0x1.970612855991fp-4, 0x1.99d78cf1cfed6p-4, 0x1.9c610cdf91195p-4, 0x1.9ea44aac4f20ap-4, 0x1.a0a3000b2b2f1p-4, 0x1.a25ee769e589fp-4, 0x1.a3d9bb5e20f7cp-4, 0x1.a515361a6d977p-4, 0x1.a61310eae2db7p-4, 0x1.a6d503b900884p-4, 0x1.a75cc49690575p-4, 0x1.a7ac074f553acp-4, 0x1.a7c47d0135922p-4, 0x1.a7a7d3bac42b7p-4, 0x1.a757b61fcc943p-4, 0x1.a6d5cb13bdcb1p-4, 0x1.a623b569be88fp-4, 0x1.a543139a1a372p-4, 0x1.a4357f7cf87dbp-4, 0x1.a2fc8e0a0e7f6p-4, 0x1.a199cf1d230d8p-4, 0x1.a00ecd3f39d9fp-4, 0x1.9e5d0d74248f4p-4, 0x1.9c860f0c71039p-4, 0x1.9a8b4b7b53c44p-4, 0x1.986e36309251ap-4, 0x1.96303c762b6d9p-4, 0x1.93d2c5519910cp-4, 0x1.9157316885ae3p-4, 0x1.8ebedae8cd2f6p-4, 0x1.8c0b1573a5c58p-4, 0x1.893d2e0bc9552p-4, 0x1.86566b067e694p-4, 0x1.83580bff5fc84p-4, 0x1.804349cebd04cp-4, 0x1.7d195682783fp-4, 0x1.79db5d593f4fap-4, 0x1.768a82c003dc2p-4, 0x1.7327e45191f64p-4, 0x1.6fb498d82e0dap-4, 0x1.6c31b051197b2p-4, 0x1.68a033f1e69a2p-4, 0x1.6501262f7fef4p-4, 0x1.615582c6cd148p-4, 0x1.5d9e3ec6d943ep-4, 0x1.59dc489c6853fp-4, 0x1.5610881ee04a7p-4, 0x1.523bde9e74571p-4, 0x1.4e5f26f37b3a3p-4, 0x1.4a7b358edc814p-4, 0x1.4690d88b83018p-4, 0x1.42a0d7c0c0b07p-4, 0x1.3eabf4d5918dbp-4, 0x1.3ab2eb54ad157p-4, 0x1.36b670c15556fp-4, 0x1.32b734acd48fcp-4, 0x1.2eb5e0cc97b22p-4, 0x1.2ab31910dac31p-4, 0x1.26af7bbbd576ep-4, 0x1.22aba1795bbd1p-4, 0x1.1ea81d76e7d96p-4, 0x1.1aa57d7bfcfa3p-4, 0x1.16a44a02d9da2p-4, 0x1.12a506516fd11p-4, 0x1.0ea83092925d1p-4, 0x1.0aae41ef56858p-4, 0x1.06b7aea895c78p-4, 0x1.02c4e6308e363p-4, 0x1.fdaca68929736p-5, 0x1.f5d8b80da520cp-5, 0x1.ee0ec4300ae7bp-5, 0x1.e64f8562732aep-5, 0x1.de9bad7af3279p-5, 0x1.d6f3e5e6d51e9p-5, 0x1.cf58cfdd9c106p-5, 0x1.c7cb0493cd6bap-5, 0x1.c04b156d6f16p-5, 0x1.b8d98c30304f7p-5, 0x1.b176eb3536c11p-5, 0x1.aa23ad9a81fep-5, 0x1.a2e04773e02fep-5, 0x1.9bad25fb6b22bp-5, 0x1.948aafc181b9ep-5, 0x1.8d7944dc4152cp-5, 0x1.86793f166b078p-5, 0x1.7f8af21dbb261p-5, 0x1.78aeabb0a4ca2p-5, 0x1.71e4b3cb724cap-5, 0x1.6b2d4cd4c055ep-5, 0x1.6488b3c955542p-5, 0x1.5df720674ea6ep-5, 0x1.5778c5589ffb5p-5, 0x1.510dd05ce1541p-5, 0x1.4ab66a726c168p-5, 0x1.4472b7fec2317p-5, 0x1.3e42d8f63d99bp-5, 0x1.3826e90307694p-5, 0x1.321effab56469p-5, 0x1.2c2b3076ef26ep-5, 0x1.264b8b13ecfefp-5, 0x1.20801b7ac9668p-5, 0x1.1ac8ea11ac29dp-5, 0x1.1525fbcef8a3bp-5, 0x1.0f97525b25302p-5, 0x1.0a1cec31d1756p-5, 0x1.04b6c4c2228d2p-5, 0x1.fec9a91cc9667p-6, 0x1.f44e2295e38d2p-6, 0x1.e9fadbf8c03fcp-6, 0x1.dfcfb629f37eap-6, 0x1.d5cc8d22f41bap-6, 0x1.cbf1382a37659p-6, 0x1.c23d8a09db637p-6, 0x1.b8b15144f4bcap-6, 0x1.af4c584b79f87p-6, 0x1.a60e65acd53bp-6, 0x1.9cf73c4919afp-6, 0x1.94069b80e8924p-6, 0x1.8b3c3f64074e5p-6, 0x1.8297e0dea5339p-6, 0x1.7a1935e563d7ep-6, 0x1.71bff1a0129dp-6, 0x1.698bc49336b3fp-6, 0x1.617c5cc8518acp-6, 0x1.599165f4ffadbp-6, 0x1.51ca89a0de845p-6, 0x1.4a276f4a4d52bp-6, 0x1.42a7bc8a0ae71p-6, 0x1.3b4b1535b378ap-6, 0x1.34111b81223bep-6, 0x1.2cf9701ec4c01p-6, 0x1.2603b25ed7a37p-6, 0x1.1f2f804d9e35fp-6, 0x1.187c76d093a26p-6, 0x1.11ea31c29bf35p-6, 0x1.0b784c0f3bfc9p-6, 0x1.05265fccddcb2p-6, 0x1.fde80cac41cedp-7, 0x1.f1c1b0c4878f5p-7, 0x1.e5d8dc394ce72p-7, 0x1.da2cbe76dac42p-7, 0x1.cebc862a9464cp-7, 0x1.c387616cd3185p-7, 0x1.b88c7de930e61p-7, 0x1.adcb09052b94ap-7, 0x1.a34230053f09bp-7, 0x1.98f1203082437p-7, 0x1.8ed706f2bba9ap-7, 0x1.84f311fd114ep-7, 0x1.7b446f654b419p-7, 0x1.71ca4dc3b8e28p-7, 0x1.6883dc4fc02c8p-7, 0x1.5f704afb224cap-7, 0x1.568eca8bfdec1p-7, 0x1.4dde8cb597a23p-7, 0x1.455ec42feceb5p-7, 0x1.3d0ea4ce23a8p-7, 0x1.34ed6393d5708p-7, 0x1.2cfa36c9441b1p-7, 0x1.2534560e7fc2fp-7, 0x1.1d9afa6d83192p-7, 0x1.162d5e6b5164fp-7, 0x1.0eeabe181658cp-7, 0x1.07d2571e5fa74p-7, 0x1.00e368d16102fp-7, 0x1.f43a6874cbb44p-8, 0x1.e6fdf84aa90d4p-8, 0x1.da100a58db71dp-8, 0x1.cd6f2b8674f16p-8, 0x1.c119ec815eaffp-8, 0x1.b50ee1d12a0f9p-8, 0x1.a94ca3e86f266p-8, 0x1.9dd1cf34bdd99p-8, 0x1.929d042d404bfp-8, 0x1.87ace760062e3p-8, 0x1.7d00217e1486fp-8, 0x1.72955f6643cbdp-8, 0x1.686b522edfa19p-8, 0x1.5e80af2e450fap-8, 0x1.54d43002521d9p-8, 0x1.4b649296d4bbep-8, 0x1.4230992afd319p-8, 0x1.39370a55d6064p-8, 0x1.3076b109ce132p-8, 0x1.27ee5c975e965p-8, 0x1.1f9ce0aee21aap-8, 0x1.17811561895a1p-8, 0x1.0f99d721992a7p-8, 0x1.07e606c1d8f78p-8, 0x1.0064897456622p-8, 0x1.f2289190f307dp-9, 0x1.e3e86550c2c9ap-9, 0x1.d60672ab6f49fp-9, 0x1.c880a6cbb3272p-9, 0x1.bb54f77afc35dp-9, 0x1.ae81631783fap-9, 0x1.a203f08980c0dp-9, 0x1.95daaf374763p-9, 0x1.8a03b6f887e88p-9, 0x1.7e7d2808af2ebp-9, 0x1.73452af868817p-9, 0x1.6859f09e5abbdp-9, 0x1.5db9b20730b36p-9, 0x1.5362b064dedc3p-9, 0x1.495334fd55fe9p-9, 0x1.3f8991187a76p-9, 0x1.36041dedaada2p-9, 0x1.2cc13c90a0946p-9, 0x1.23bf55dddacecp-9, 0x1.1afcda6692095p-9, 0x1.1278425c3de9cp-9, 0x1.0a300d7ba9e38p-9, 0x1.0222c2f7b44e6p-9, 0x1.f49de2c76eb8p-10, 0x1.e5665d3b3d76bp-10, 0x1.d69c2f6f5f1a8p-10, 0x1.c83ca1c437fb5p-10, 0x1.ba450aa8a57e6p-10, 0x1.acb2ce6c2b56p-10, 0x1.9f835f10f9591p-10, 0x1.92b43c1d41b6ep-10, 0x1.8642f26cc2f57p-10, 0x1.7a2d1c01a24bbp-10, 0x1.6e705fd57d278p-10, 0x1.630a71aa0c5c5p-10, 0x1.57f911d9c993p-10, 0x1.4d3a0d289398fp-10, 0x1.42cb3c9429073p-10, 0x1.38aa8524ba8d8p-10, 0x1.2ed5d7bd809f4p-10, 0x1.254b30ed5b418p-10, 0x1.1c0898bf897e4p-10, 0x1.130c228c95c27p-10, 0x1.0a53eccb4a1dep-10, 0x1.01de20e1d6802p-10, 0x1.f351e5ee7e085p-11, 0x1.e3654389e0cf7p-11, 0x1.d3f2ecd12803cp-11, 0x1.c4f7886c5f73cp-11, 0x1.b66fd114fa183p-11, 0x1.a858953b2f88ap-11, 0x1.9aaeb6ac2ca7dp-11, 0x1.8d6f2a3890a6p-11, 0x1.8096f75be0962p-11, 0x1.742337e49e7d6p-11, 0x1.6811179d3568ap-11, 0x1.5c5dd3f58a1cfp-11, 0x1.5106bbad9e0c7p-11, 0x1.46092e80a4036p-11, 0x1.3b629cd13ebe5p-11, 0x1.31108756ac642p-11, 0x1.27107eca6fe04p-11, 0x1.1d60239750f64p-11, 0x1.13fd25890a2bfp-11, 0x1.0ae5437cf4b49p-11, 0x1.02164b13ad2ecp-11, 0x1.f31c30c76b6cap-12, 0x1.e2952b59fbbd8p-12, 0x1.d293761aae3bfp-12, 0x1.c3131c6c57ccp-12, 0x1.b4104445aff29p-12, 0x1.a5872da0945dfp-12, 0x1.977431eb229c4p-12, 0x1.89d3c37a9a07dp-12, 0x1.7ca26d00b6e91p-12, 0x1.6fdcd102bbb01p-12, 0x1.637fa952a2c5ap-12, 0x1.5787c68a4a1d8p-12, 0x1.4bf20f88f8038p-12, 0x1.40bb80f2570f3p-12, 0x1.35e12cb01120ap-12, 0x1.2b60397502d76p-12, 0x1.2135e242d3f9cp-12, 0x1.175f75f11d876p-12, 0x1.0dda56b72392ap-12, 0x1.04a3f9b721b95p-12, 0x1.f773cd1767308p-13, 0x1.e6336daee4p-13, 0x1.d5822babff4e4p-13, 0x1.c55b7fdfa8d9bp-13, 0x1.b5bb049e9620fp-13, 0x1.a69c74ef99633p-13, 0x1.97fbabbe83744p-13, 0x1.89d4a311d53e4p-13, 0x1.7c237344eaf9dp-13, 0x1.6ee452457e2f3p-13, 0x1.621392d52ff11p-13, 0x1.55ada3ce84e4dp-13, 0x1.49af0f6d8af1cp-13, 0x1.3e147a9c6ed7cp-13, 0x1.32daa442fd5fp-13, 0x1.27fe649a2759cp-13, 0x1.1d7cac83359a7p-13, 0x1.135284e1b1916p-13, 0x1.097d0df962bfdp-13, 0x1.fff2fd9ee66ddp-14, 0x1.ed8a491daa81dp-14, 0x1.dbbac3dfa92dfp-14, 0x1.ca7f5d4697ab4p-14, 0x1.b9d32d818ce1bp-14, 0x1.a9b1746f0a7e5p-14, 0x1.9a159886fce89p-14, 0x1.8afb25c8affbfp-14, 0x1.7c5dccb010645p-14, 0x1.6e39613122632p-14, 0x1.6089d9b85cf0fp-14, 0x1.534b4e319909cp-14, 0x1.4679f71438eb9p-14, 0x1.3a122c753d3a2p-14, 0x1.2e10651e8602ep-14, 0x1.227135abe3346p-14, 0x1.17314fad473bep-14, 0x1.0c4d80ce1f91ep-14, 0x1.01c2b20216958p-14, 0x1.ef1bcd6d5bc0dp-15, 0x1.db587813c8797p-15, 0x1.c835d00bdd3eep-15, 0x1.b5ae71c2b7cd6p-15, 0x1.a3bd2889143dcp-15, 0x1.925ced26722a8p-15, 0x1.8188e475d246ep-15, 0x1.713c5e0ab7355p-15, 0x1.6172d2e0d88e9p-15, 0x1.5227e411a0db4p-15, 0x1.435759947698cp-15, 0x1.34fd2106c21c3p-15, 0x1.27154c7aaa63cp-15, 0x1.199c114fcc598p-15, 0x1.0c8dc71260f64p-15, 0x1.ffcdccc5904d5p-16, 0x1.e7480fc8c8ed6p-16, 0x1.cf83c6668dca6p-16, 0x1.b87a9bc3c16eap-16, 0x1.a22674fa6ffb2p-16, 0x1.8c816f2fdd8afp-16, 0x1.7785ddb92703ap-16, 0x1.632e484c766cfp-16, 0x1.4f75693e87163p-16, 0x1.3c562bcdbba09p-16, 0x1.29cbaa798ea51p-16, 0x1.17d12d653233cp-16, 0x1.066228c69b39fp-16, 0x1.eaf476c3da8e5p-17, 0x1.ca2a5a1c3f4d4p-17, 0x1.aa5dda8f017eap-17, 0x1.8b8723941da22p-17, 0x1.6d9eaa6f54a36p-17, 0x1.509d2b9446b5ap-17, 0x1.347ba81805221p-17, 0x1.1933633ccaab2p-17, 0x1.fd7bc018702f5p-18, 0x1.ca29be0c4eee4p-18, 0x1.9864b7c485849p-18, 0x1.682116c38576ep-18, 0x1.3953b2690e186p-18, 0x1.0bf1cbd97b469p-18, 0x1.bfe21415311d3p-19, 0x1.6a8eebdb5e254p-19, 0x1.17d6ed77c02a8p-19, 0x1.8f4f396d23a58p-20, 0x1.e7bcaf4095243p-21, 0x1.74e3a581cbadap-22, -0x1.a610d88443a06p-23, -0x1.8465134ad21fap-21, -0x1.4b370c9f2b26cp-20, -0x1.cfed305897029p-20, -0x1.2838b748f241p-19, -0x1.666f9cbac678ep-19, -0x1.a2a883125e66ep-19, -0x1.dcf02b7d33933p-19, -0x1.0aa9715975015p-18, -0x1.25ee42da4b287p-18, -0x1.404c43353f4ccp-18, -0x1.59c8f8098ee3ep-18, -0x1.7269b5c2e01fap-18, -0x1.8a33a1a9842a1p-18, -0x1.a12bb3df1e6cbp-18, -0x1.b756b94845531p-18, -0x1.ccb9556323be6p-18, -0x1.e158040fe0643p-18, -0x1.f5371b43e5fa1p-18, -0x1.042d6657da371p-17, -0x1.0d6393aa2401ep-17, -0x1.16400c83babf7p-17, -0x1.1ec4b7f4f4d1fp-17, -0x1.26f36de879499p-17, -0x1.2ecdf7cefa849p-17, -0x1.3656114639fdbp-17, -0x1.3d8d68b75174p-17, -0x1.44759ff1557c7p-17, -0x1.4b104cba625edp-17, -0x1.515ef95d45aap-17, -0x1.5763253091ebcp-17, -0x1.5d1e4517c4e09p-17, -0x1.6291c3fef6daap-17, -0x1.67bf0351c2c4ep-17, -0x1.6ca75b6ceefdep-17, -0x1.714c1c0aa1b98p-17, -0x1.75ae8cab52f49p-17, -0x1.79cfecf789bcbp-17, -0x1.7db1752027173p-17, -0x1.81545637d595ap-17, -0x1.84b9ba8aec991p-17, -0x1.87e2c5f0a660cp-17, -0x1.8ad0961a1b66bp-17, -0x1.8d8442de03f3fp-17, -0x1.8ffede7ec461bp-17, -0x1.924175ef873cbp-17, -0x1.944d111457abp-17, -0x1.9622b2ff9dae8p-17, -0x1.97c35a2c67d4dp-17, -0x1.993000b6269ebp-17, -0x1.9a699c8ce781ap-17, -0x1.9b711fa767f3cp-17, -0x1.9c4778320a11cp-17, -0x1.9ced90bbd5303p-17, -0x1.9d645060144b2p-17, -0x1.9dac9aef79f65p-17, -0x1.9dc75114713bep-17, -0x1.9db550778137bp-17, -0x1.9d7773e09c62ep-17, -0x1.9d0e93563dd2fp-17, -0x1.9c7b843be7f22p-17, -0x1.9bbf196d0bc31p-17, -0x1.9ada2357ded95p-17, -0x1.99cd701521559p-17, -0x1.9899cb7f8916bp-17, -0x1.973fff48a0133p-17, -0x1.95c0d30d6d606p-17, -0x1.941d0c67e471ap-17, -0x1.92556f0120fc9p-17, -0x1.906abca0acd13p-17, -0x1.8e5db53ba1abp-17, -0x1.8c2f17024a386p-17, -0x1.89df9e6c8a66fp-17, -0x1.877006456b30fp-17, -0x1.84e107b5de191p-17, -0x1.82335a4df7365p-17, -0x1.7f67b40e3cde9p-17, -0x1.7c7ec96ef362p-17, -0x1.79794d6839be7p-17, -0x1.7657f17712031p-17, -0x1.731b65a45f396p-17, -0x1.6fc4588953955p-17, -0x1.6c537753cbe88p-17, -0x1.68c96dca814adp-17, -0x1.6526e650204bdp-17, -0x1.616c89e5f57e8p-17, -0x1.5d9b002e6d58dp-17, -0x1.59b2ef6efe311p-17, -0x1.55b4fc91528fcp-17, -0x1.51a1cb2497885p-17, -0x1.4d79fd5dcf4d2p-17, -0x1.493e3418ab3b7p-17, -0x1.44ef0ed721112p-17, -0x1.408d2bc1718ep-17, -0x1.3c1927a56df76p-17, -0x1.37939df5fd74p-17, -0x1.32fd28c9ee677p-17, -0x1.2e5660da9db91p-17, -0x1.299fdd835e35fp-17, -0x1.24da34beea231p-17, -0x1.2005fb26c03f5p-17, -0x1.1b23c3f075a13p-17, -0x1.163420ecb77fp-17, -0x1.1137a284482a8p-17, -0x1.0c2ed7b703022p-17, -0x1.071a4e193afe1p-17, -0x1.01fa91d17cf6dp-17, -0x1.f9a05b2cfa514p-18, -0x1.ef375559dbe27p-18, -0x1.e4bb21c9f459fp-18, -0x1.da2ccd3098787p-18, -0x1.cf8d614fb67c4p-18, -0x1.c4dde4f2807e9p-18, -0x1.ba1f5bea14685p-18, -0x1.af52c70874ff4p-18, -0x1.a479241c05ce5p-18, -0x1.99936decae2d6p-18, -0x1.8ea29c3583f59p-18, -0x1.83a7a3a362edcp-18, -0x1.78a375cf1bcbp-18, -0x1.6d97013a9cfbfp-18, -0x1.6283314d882b3p-18, -0x1.5768ee51032f1p-18, -0x1.4c491d6d851f3p-18, -0x1.4124a0a7102f3p-18, -0x1.35fc56dacbbfcp-18, -0x1.2ad11bbc39d95p-18, -0x1.1fa3c7d21c84fp-18, -0x1.1475307565b59p-18, -0x1.094627ce4cc3dp-18, -0x1.fc2ef9a517d9ap-19, -0x1.e5d3f6885b49ep-19, -0x1.cf7cd75eaebf1p-19, -0x1.b92b26d3d6099p-19, -0x1.a2e069242519cp-19, -0x1.8c9e1c1c567eep-19, -0x1.7665b715b6443p-19, -0x1.6038aaf8b3aeap-19, -0x1.4a18623a4115cp-19, -0x1.340640ddc438dp-19, -0x1.1e03a47496d93p-19, -0x1.0811e42140cb6p-19, -0x1.e464a12bedc8p-20, -0x1.b8cc683312d52p-20, -0x1.8d5da5131e769p-20, -0x1.621ad2b5d7084p-20, -0x1.37065f416b8c7p-20, -0x1.0c22ac1b67108p-20, -0x1.c2e41be57faedp-21, -0x1.6ded999219bp-21, -0x1.196647fd59907p-21, -0x1.8aa509649b86p-22, -0x1.c6da50a97be49p-23, -0x1.e96a1db6ede28p-25, 0x1.a049fd2b34da8p-24, 0x1.0c4a2d13995a2p-22, 0x1.af72035b9a38ap-22, 0x1.28c13874f49dp-21, 0x1.793a0aad4c37ap-21, 0x1.c91fe06acd88ep-21, 0x1.0c379cf1f7b5fp-20, 0x1.339257a47366cp-20, 0x1.5a9e78538f1cdp-20, 0x1.815a62dbc85ebp-20, 0x1.a7c486dbeb24cp-20, 0x1.cddb5fa1de98dp-20, 0x1.f39d741448d4ep-20, 0x1.0c84ab4c94348p-19, 0x1.1f0ed282ace89p-19, 0x1.316c843f8a2e5p-19, 0x1.439d1ab46aadbp-19, 0x1.559ff5a54fc72p-19, 0x1.67747a59c701ep-19, 0x1.791a1393cffe5p-19, 0x1.8a90317f9f99fp-19, 0x1.9bd649a9b93ccp-19, 0x1.acebd6ee908e6p-19, 0x1.bdd0596ead3dcp-19, 0x1.ce835681abac9p-19, 0x1.df0458a6543d2p-19, 0x1.ef52ef760f485p-19, 0x1.ff6eaf95f0435p-19, 0x1.07ab99546f1f6p-18, 0x1.0f860ba084d8bp-18, 0x1.17468067f3301p-18, 0x1.1eeccbcd041f4p-18, 0x1.2678c452c4547p-18, 0x1.2dea42d6184f7p-18, 0x1.35412286823adp-18, 0x1.3c7d40dd8d9b6p-18, 0x1.439e7d98523d9p-18, 0x1.4aa4baaecd727p-18, 0x1.518fdc4c450c3p-18, 0x1.585fc8c88286cp-18, 0x1.5f14689e36b25p-18, 0x1.65ada66511a4bp-18, 0x1.6c2b6ec85a8f4p-18, 0x1.728db07fdf633p-18, 0x1.78d45c47f054ep-18, 0x1.7eff64d9669c2p-18, 0x1.850ebee1587c3p-18, 0x1.8b0260fa36727p-18, 0x1.90da43a29610bp-18, 0x1.969661363943fp-18, 0x1.9c36b5e58b055p-18, 0x1.a1bb3fae3f279p-18, 0x1.a723fe527b278p-18, 0x1.ac70f3525c459p-18, 0x1.b1a221e297b75p-18, 0x1.b6b78ee55b4f1p-18, 0x1.bbb140e2b3edcp-18, 0x1.c08f400008c2dp-18, 0x1.c55195f8783aep-18, 0x1.c9f84e15df90ep-18, 0x1.ce837527af749p-18, 0x1.d2f3197c4f442p-18, 0x1.d7474ad8ff7bp-18, 0x1.db801a72552eep-18, 0x1.df9d9ae42a9e3p-18, 0x1.e39fe02ae79b6p-18, 0x1.e786ff9af145p-18, 0x1.eb530fda0405cp-18, 0x1.ef0428d713b57p-18, 0x1.f29a63c382253p-18, 0x1.f615db0b6defp-18, 0x1.f976aa4de7e79p-18, 0x1.fcbcee56b497fp-18, 0x1.ffe8c51692671p-18, 0x1.017d26cdd5114p-17, 0x1.02f8d405a2534p-17, 0x1.04677acd09cfep-17, 0x1.05c92c42d22a8p-17, 0x1.071dfa06747cap-17, 0x1.0865f6351f5f3p-17, 0x1.09a13365dfe85p-17, 0x1.0acfc4a676964p-17, 0x1.0bf1bd77ef209p-17, 0x1.0d0731cb7640ap-17, 0x1.0e1035fed2cfdp-17, 0x1.0f0cded9655bdp-17, 0x1.0ffd4188d166ep-17, 0x1.10e1739dcbfc8p-17, 0x1.11b98b092d6d4p-17, 0x1.12859e187e75fp-17, 0x1.1345c37312a14p-17, 0x1.13fa121719babp-17, 0x1.14a2a15687bfdp-17, 0x1.153f88d40757p-17, 0x1.15d0e08022076p-17, 0x1.1656c0965e34fp-17, 0x1.16d1419a5eb33p-17, 0x1.17407c550c6ddp-17, 0x1.17a489d1bd9e4p-17, 0x1.17fd835bad471p-17, 0x1.184b827b05036p-17, 0x1.188ea0f25258ap-17, 0x1.18c6f8bbd0cc7p-17, 0x1.18f4a406ece78p-17, 0x1.1917bd35930cfp-17, 0x1.19305ed9b10bep-17, 0x1.193ea3b2dbdep-17, 0x1.1942a6abac792p-17, 0x1.193c82d754674p-17, 0x1.192c536f67423p-17, 0x1.191233d15c455p-17, 0x1.18ee3f7c5351ep-17, 0x1.18c0920ebf495p-17, 0x1.1889474441fb8p-17, 0x1.18487af369876p-17, 0x1.17fe490b8a1fbp-17, 0x1.17aacd92a536ap-17, 0x1.174e24a33a9cfp-17, 0x1.16e86a6a628d1p-17, 0x1.1679bb25b1ab4p-17, 0x1.16023321488b6p-17, 0x1.1581eeb5c5acp-17, 0x1.14f90a46786fep-17, 0x1.1467a23f77fd5p-17, 0x1.13cdd313e5354p-17, 0x1.132bb93bffb2cp-17, 0x1.1281713363ddcp-17, 0x1.11cf17775b012p-17, 0x1.1114c8851bf58p-17, 0x1.1052a0d8190ddp-17, 0x1.0f88bce87e4bcp-17, 0x1.0eb73929839fp-17, 0x1.0dde3207da622p-17, 0x1.0cfdc3e825ef9p-17, 0x1.0c160b257bff3p-17, 0x1.0b27240feccc5p-17, 0x1.0a312aeb1b843p-17, 0x1.09343becc0149p-17, 0x1.0830733b66f27p-17, 0x1.0725eced093efp-17, 0x1.0614c505b714cp-17, 0x1.04fd17765ac48p-17, 0x1.03df001b7c358p-17, 0x1.02ba9abbf5b8ap-17, 0x1.01900307cc4fp-17, 0x1.005f54971c424p-17, 0x1.fe5155d1d268ap-18, 0x1.fbd842c3e4ba4p-18, 0x1.f953a6974d42bp-18, 0x1.f6c3b7a65f70dp-18, 0x1.f428ac10a50a9p-18, 0x1.f182b9b91476dp-18, 0x1.eed21643feaf5p-18, 0x1.ec16f71546fbfp-18, 0x1.e951914e7c6a1p-18, 0x1.e68219cd15913p-18, 0x1.e3a8c528c895ep-18, 0x1.e0c5c7b2p-18, 0x1.ddd9556ffbfabp-18, 0x1.dae3a21f62421p-18, 0x1.d7e4e130be375p-18, 0x1.d4dd45c718032p-18, 0x1.d1cd02b66a933p-18, 0x1.ceb44a825010ap-18, 0x1.cb934f5cad7a4p-18, 0x1.c86a4324701c7p-18, 0x1.c53957646fee5p-18, 0x1.c200bd5202182p-18, 0x1.bec0a5cbfbe1ep-18, 0x1.bb794159a37a3p-18, 0x1.b82ac0298d22fp-18, 0x1.b4d552107a62ep-18, 0x1.b17926889c5dbp-18, 0x1.ae166cb0906bdp-18, 0x1.aaad534a5d45cp-18, 0x1.a73e08bab6396p-18, 0x1.a3c8bb0821d6dp-18, 0x1.a04d97da391cfp-18, 0x1.9ccccc78dcd8ep-18, 0x1.994685cb8ec3ap-18, 0x1.95baf058d4b5dp-18, 0x1.922a38455f546p-18, 0x1.8e948953b06cap-18, 0x1.8afa0ee37ebc1p-18, 0x1.875af3f10a26fp-18, 0x1.83b76314b0c9ap-18, 0x1.800f86827a3cap-18, 0x1.7c638809c03f4p-18, 0x1.78b39114ab92ap-18, 0x1.74ffcaa7ebeadp-18, 0x1.71485d623d6f4p-18, 0x1.6d8d717c48bcbp-18, 0x1.69cf2ec83967p-18, 0x1.660dbcb1767dep-18, 0x1.6249423c901abp-18, 0x1.5e81e606f9ap-18, 0x1.5ab7ce46de7d5p-18, 0x1.56eb20cafb8ffp-18, 0x1.531c02fa79aa5p-18, 0x1.4f4a99d4e09c1p-18, 0x1.4b7709f2262e5p-18, 0x1.47a177825fbe4p-18, 0x1.43ca064df993dp-18, 0x1.3ff0d9b58ba5dp-18, 0x1.3c1614b1eeee2p-18, 0x1.3839d9d481259p-18, }}, 
      {{-0x1.be8d96befc3cep-7, -0x1.bc335c3a542c9p-6, -0x1.4a71014ff4153p-5, -0x1.b408d634eea4ap-5, -0x1.0d474aae465d9p-4, -0x1.3ef79dd324889p-4, -0x1.6f22ec69ce041p-4, -0x1.9de5739d44bfep-4, -0x1.cb6321deaf684p-4, -0x1.f7c22907717f3p-4, -0x1.11938d0608b3fp-3, -0x1.26d92b9b0b9d1p-3, -0x1.3bbf4e3f0d3cdp-3, -0x1.50502eda6b992p-3, -0x1.6492e0610def2p-3, -0x1.788b81b0a190dp-3, -0x1.8c3b92a189ecbp-3, -0x1.9fa25c2479a9fp-3, -0x1.b2bd60176a321p-3, -0x1.c588c8a8df328p-3, -0x1.d7ffd1af10de5p-3, -0x1.ea1d285a3d652p-3, -0x1.fbdb3f32d8c77p-3, -0x1.069a4abcef5d4p-2, -0x1.0f11f8eaf81e6p-2, -0x1.17524865fc9eap-2, -0x1.1f5923f1d28a5p-2, -0x1.2724cf496e70ap-2, -0x1.2eb3ef14b97c6p-2, -0x1.36058cff574e7p-2, -0x1.3d19188e02363p-2, -0x1.43ee6547b09c8p-2, -0x1.4a85a6bc1b974p-2, -0x1.50df6ae3b39ddp-2, -0x1.56fc9346b5c64p-2, -0x1.5cde4d4ac5b3fp-2, -0x1.628609f873089p-2, -0x1.67f5757d1fafap-2, -0x1.6d2e6ea1a1ebbp-2, -0x1.7232fe6338cf5p-2, -0x1.77054fd2d108ap-2, -0x1.7ba7a85614ad2p-2, -0x1.801c605e9f81ep-2, -0x1.8465dca5655a9p-2, -0x1.888687f32b77dp-2, -0x1.8c80cd7ab69c1p-2, -0x1.905713c5b0012p-2, -0x1.940bb832895ffp-2, -0x1.97a10aff6b9d9p-2, -0x1.9b194bdc84501p-2, -0x1.9e76a6fed66a2p-2, -0x1.a1bb32abc9bp-2, -0x1.a4e8ed352c455p-2, -0x1.a801bb5d08b3cp-2, -0x1.ab0767189e90fp-2, -0x1.adfb9ea9ddf25p-2, -0x1.b0dff406f248p-2, -0x1.b3b5dc87c7577p-2, -0x1.b67eb0d1b8fb6p-2, -0x1.b93bacfa215edp-2, -0x1.bbedf0d8e2862p-2, -0x1.be968084815b3p-2, -0x1.c13644f1e71cbp-2, -0x1.c3ce0cb25a162p-2, -0x1.c65e8ccaab98dp-2, -0x1.c8e8619f1d8f5p-2, -0x1.cb6c0fefe3381p-2, -0x1.cdea05e2927bbp-2, -0x1.d0629c1539721p-2, -0x1.d2d616b82aa9ap-2, -0x1.d544a6abeb99bp-2, -0x1.d7ae6aa0fbdf2p-2, -0x1.da13703775c57p-2, -0x1.dc73b51cd0be1p-2, -0x1.decf282648069p-2, -0x1.e125aa669b323p-2, -0x1.e377103e18ca3p-2, -0x1.e5c322640de1dp-2, -0x1.e8099ee8d524fp-2, -0x1.ea4a3a2ff6713p-2, -0x1.ec849fe1d065ap-2, -0x1.eeb873d47d9fcp-2, -0x1.f0e552eba1346p-2, -0x1.f30ad3eefa495p-2, -0x1.f52888579cf3p-2, -0x1.f73dfd13c86a7p-2, -0x1.f94abb415c5ecp-2, -0x1.fb4e48df0440ap-2, -0x1.fd4829742da3ep-2, -0x1.ff37deaff37f6p-2, -0x1.008e747f927f9p-1, -0x1.017b640cd0525p-1, -0x1.02627dc3992a3p-1, -0x1.0343818e1d573p-1, -0x1.041e2fb729936p-1, -0x1.04f249209a666p-1, -0x1.05bf8f7613664p-1, -0x1.0685c55c18762p-1, -0x1.0744ae9badbbbp-1, -0x1.07fc104aa10a8p-1, -0x1.08abb0f09a3cap-1, -0x1.095358a919d4dp-1, -0x1.09f2d14282f22p-1, -0x1.0a89e65a538adp-1, -0x1.0b186576a9101p-1, -0x1.0b9e1e1d3356fp-1, -0x1.0c1ae1e7b143fp-1, -0x1.0c8e8496186ddp-1, -0x1.0cf8dc1e8139dp-1, -0x1.0d59c0baf6aa6p-1, -0x1.0db10cf542bb7p-1, -0x1.0dfe9db0d1addp-1, -0x1.0e425232c9ba9p-1, -0x1.0e7c0c28681cp-1, -0x1.0eabafabc318p-1, -0x1.0ed1234701c0ep-1, -0x1.0eec4ff624b21p-1, -0x1.0efd21276ddb8p-1, -0x1.0f0384ba850b2p-1, -0x1.0eff6afe63527p-1, -0x1.0ef0c6ae1de8dp-1, -0x1.0ed78ceca222ep-1, -0x1.0eb3b53f70202p-1, -0x1.0e85398869bcdp-1, -0x1.0e4c15fec08dap-1, -0x1.0e08492716e8ep-1, -0x1.0db9d3cadf6bbp-1, -0x1.0d60b8ef097f4p-1, -0x1.0cfcfdca0ab34p-1, -0x1.0c8ea9b94d489p-1, -0x1.0c15c636146a3p-1, -0x1.0b925ec9e032ap-1, -0x1.0b0481025b9a7p-1, -0x1.0a6c3c64e29bcp-1, -0x1.09c9a261a528cp-1, -0x1.091cc646781c3p-1, -0x1.0865bd31561e1p-1, -0x1.07a49e029fe27p-1, -0x1.06d9814f20268p-1, -0x1.06048151dd1a5p-1, -0x1.0525b9ddbfca3p-1, -0x1.043d484f17afcp-1, -0x1.034b4b7d0255dp-1, -0x1.024fe3aabe889p-1, -0x1.014b3278ef3ffp-1, -0x1.003d5ad6d7b96p-1, -0x1.fe4d01e72817bp-2, -0x1.fc0d945ea7dfbp-2, -0x1.f9bcba193fb91p-2, -0x1.f75ac243539a1p-2, -0x1.f4e7fe13608b9p-2, -0x1.f264c0acf1c36p-2, -0x1.efd15f03cb669p-2, -0x1.ed2e2fbf4f596p-2, -0x1.ea7b8b1e2fe7bp-2, -0x1.e7b9cada65476p-2, -0x1.e4e94a0d7fe6dp-2, -0x1.e20a65154ddbp-2, -0x1.df1d7978e3b35p-2, -0x1.dc22e5ce0ae51p-2, -0x1.d91b099f19546p-2, -0x1.d606455138224p-2, -0x1.d2e4fa0b2139fp-2, -0x1.cfb7899c51db3p-2, -0x1.cc7e5664ba0c6p-2, -0x1.c939c33cec783p-2, -0x1.c5ea335ece47dp-2, -0x1.c2900a4ecfc41p-2, -0x1.bf2babc5a8776p-2, -0x1.bbbd7b9aa23ecp-2, -0x1.b845ddae6cb2bp-2, -0x1.b4c535d680d0bp-2, -0x1.b13be7c911d2bp-2, -0x1.adaa570992addp-2, -0x1.aa10e6d5c84d9p-2, -0x1.a66ffa1372397p-2, -0x1.a2c7f33e845c9p-2, -0x1.9f193457f5756p-2, -0x1.9b641ed51f88ap-2, -0x1.97a9138fb64dep-2, -0x1.93e872b64e4e3p-2, -0x1.90229bbd7adcep-2, -0x1.8c57ed51793dep-2, -0x1.8888c54874689p-2, -0x1.84b5809553551p-2, -0x1.80de7b3b1b7f9p-2, -0x1.7d041040e17acp-2, -0x1.792699a6447c6p-2, -0x1.754670587b7d7p-2, -0x1.7163ec27e80d7p-2, -0x1.6d7f63be342p-2, -0x1.69992c94f8a29p-2, -0x1.65b19aece720fp-2, -0x1.61c901c5798ecp-2, -0x1.5ddfb2d522ed3p-2, -0x1.59f5fe81fd49p-2, -0x1.560c33dafa57fp-2, -0x1.5222a0918b45cp-2, -0x1.4e3990f3c1e44p-2, -0x1.4a514fe6e9ec7p-2, -0x1.466a26e2973c5p-2, -0x1.42845dec243bcp-2, -0x1.3ea03b929f85ap-2, -0x1.3abe04eb28d75p-2, -0x1.36ddfd8db6abep-2, -0x1.3300679243322p-2, -0x1.2f25838e602ccp-2, -0x1.2b4d90932d56bp-2, -0x1.2778cc2bac74dp-2, -0x1.23a7725b74d83p-2, -0x1.1fd9bd9dc48d9p-2, -0x1.1c0fe6e4e0b72p-2, -0x1.184a2599d5c72p-2, -0x1.1488af9c84b18p-2, -0x1.10cbb943ff47bp-2, -0x1.0d13755f36628p-2, -0x1.09601535f10d5p-2, -0x1.05b1c88a099ffp-2, -0x1.0208bd98f368dp-2, -0x1.fcca423b09077p-3, -0x1.f58e3ca3f61e6p-3, -0x1.ee5dbde48c3adp-3, -0x1.e739167d0b3d4p-3, -0x1.e02093fb8fbc4p-3, -0x1.d9148101efa1ap-3, -0x1.d215254c0d86bp-3, -0x1.cb22c5b67cfd4p-3, -0x1.c43da4459bd57p-3, -0x1.bd66002ced5bep-3, -0x1.b69c15d6e2aaap-3, -0x1.afe01eece08c3p-3, -0x1.a932525f9d54ep-3, -0x1.a292e46fc4396p-3, -0x1.9c0206b6db7eap-3, -0x1.957fe8306ae07p-3, -0x1.8f0cb5435ea8ep-3, -0x1.88a897cba1518p-3, -0x1.8253b723e7473p-3, -0x1.7c0e382fb2f9cp-3, -0x1.75d83d6577b54p-3, -0x1.6fb1e6d8ef7efp-3, -0x1.699b524594222p-3, -0x1.63949b193543bp-3, -0x1.5d9dda7eb0c37p-3, -0x1.57b72768c6625p-3, -0x1.51e0969cfec2bp-3, -0x1.4c1a3abeab091p-3, -0x1.46642459f452cp-3, -0x1.40be61eef93f3p-3, -0x1.3b28fffcf8aa6p-3, -0x1.35a4090d87d7ep-3, -0x1.302f85bfc3554p-3, -0x1.2acb7cd394fa5p-3, -0x1.2577f334ebd53p-3, -0x1.2034ec06ff869p-3, -0x1.1b0268af8206p-3, -0x1.15e068e1db138p-3, -0x1.10ceeaaa52f1fp-3, -0x1.0bcdea792ff0fp-3, -0x1.06dd632dd2333p-3, -0x1.01fd4e21bdde3p-3, -0x1.fa5b466720599p-4, -0x1.f0dcb1a3ccdf3p-4, -0x1.e77ec80c76bffp-4, -0x1.de4170ff40c54p-4, -0x1.d524913ad331cp-4, -0x1.cc280af389aa5p-4, -0x1.c34bbde860083p-4, -0x1.ba8f8777ba39cp-4, -0x1.b1f342b3e9492p-4, -0x1.a976c87782a5dp-4, -0x1.a119ef796d8aep-4, -0x1.98dc8c60c92a9p-4, -0x1.90be71d87e682p-4, -0x1.88bf70a29d256p-4, -0x1.80df57ab7114ep-4, -0x1.791df41c58731p-4, -0x1.717b116e5081cp-4, -0x1.69f6797c3d3aap-4, -0x1.628ff494e8e1p-4, -0x1.5b47498cba0aap-4, -0x1.541c3dcf204c7p-4, -0x1.4d0e956fb8125p-4, -0x1.461e133b1ab9ap-4, -0x1.3f4a78c76f844p-4, -0x1.389386849fd56p-4, -0x1.31f8fbcc4bebep-4, -0x1.2b7a96f1690ffp-4, -0x1.2518154f94ce8p-4, -0x1.1ed1335a16675p-4, -0x1.18a5acaa9576dp-4, -0x1.12953c0f7efecp-4, -0x1.0c9f9b9a1abe6p-4, -0x1.06c484ac54b76p-4, -0x1.0103b00632f5ep-4, -0x1.f6b9aba600ceap-5, -0x1.eb9f5b6c4e3d5p-5, -0x1.e0b7ddaf7a076p-5, -0x1.d6029fe18093fp-5, -0x1.cb7f0eae12472p-5, -0x1.c12c9611d838dp-5, -0x1.b70aa1711ecfep-5, -0x1.ad189baded4b8p-5, -0x1.a355ef3d773a4p-5, -0x1.99c2063d0e397p-5, -0x1.905c4a866313dp-5, -0x1.872425c34c157p-5, -0x1.7e190180e92c8p-5, -0x1.753a4742398a9p-5, -0x1.6c87609226a5ep-5, -0x1.63ffb714fdeaap-5, -0x1.5ba2b4995c475p-5, -0x1.536fc32892f78p-5, -0x1.4b664d167f91ap-5, -0x1.4385bd10e34eap-5, -0x1.3bcd7e2e2ac45p-5, -0x1.343cfbfbba7a2p-5, -0x1.2cd3a28bb94fap-5, -0x1.2590de8259688p-5, -0x1.1e741d22a105ep-5, -0x1.177ccc5abd827p-5, -0x1.10aa5acfd52cfp-5, -0x1.09fc37e970a46p-5, -0x1.0371d3dc555a7p-5, -0x1.fa153f6a103fcp-6, -0x1.ed8c1ac394affp-6, -0x1.e1471f78689acp-6, -0x1.d5453524b3522p-6, -0x1.c985455f12914p-6, -0x1.be063bc942d52p-6, -0x1.b2c7061ff6b67p-6, -0x1.a7c69449eaa32p-6, -0x1.9d03d8663d69ep-6, -0x1.927dc6d9e413p-6, -0x1.8833565c9047ep-6, -0x1.7e238004c0cf1p-6, -0x1.744d3f531a5ebp-6, -0x1.6aaf923d2b402p-6, -0x1.614979376666fp-6, -0x1.5819f73e88a53p-6, -0x1.4f2011e04f5b6p-6, -0x1.465ad1439e33bp-6, -0x1.3dc9402ffb45fp-6, -0x1.356a6c14706bdp-6, -0x1.2d3d650dedeb8p-6, -0x1.25413ded0f81dp-6, -0x1.1d750c3b4ad5dp-6, -0x1.15d7e83fb67acp-6, -0x1.0e68ed03253f5p-6, -0x1.07273853e0611p-6, -0x1.0011eac8dedc9p-6, -0x1.f2504f88e70bdp-7, -0x1.e4d22aed36db5p-7, -0x1.d7a7b9bd8d243p-7, -0x1.cacf539a983fp-7, -0x1.be4755c8bbd3cp-7, -0x1.b20e2331342dcp-7, -0x1.a622246275efp-7, -0x1.9a81c78fe7b1ep-7, -0x1.8f2b8090a9992p-7, -0x1.841dc8dddb659p-7, -0x1.79571f902053ep-7, -0x1.6ed6095c71a61p-7, -0x1.649910906ce2p-7, -0x1.5a9ec50df4f4ap-7, -0x1.50e5bc4638852p-7, -0x1.476c9134415cp-7, -0x1.3e31e456d3ba5p-7, -0x1.35345ba9f54e6p-7, -0x1.2c72a29fe0cebp-7, -0x1.23eb6a1979ca8p-7, -0x1.1b9d685e58313p-7, -0x1.138759146005fp-7, -0x1.0ba7fd36ff48cp-7, -0x1.03fe1b0ddd4eap-7, -0x1.f910fc46d95f8p-8, -0x1.ea8bee75a9c5ap-8, -0x1.dc6ab88b89884p-8, -0x1.ceab10b3c728fp-8, -0x1.c14ab74b9e89p-8, -0x1.b44776cc09076p-8, -0x1.a79f23b2bbebbp-8, -0x1.9b4f9c6ad13f5p-8, -0x1.8f56c934de913p-8, -0x1.83b29c0e96a14p-8, -0x1.7861109a17badp-8, -0x1.6d602c04a18p-8, -0x1.62adfced4cf57p-8, -0x1.58489b4af4437p-8, -0x1.4e2e28523f0e6p-8, -0x1.445cce5b0cf68p-8, -0x1.3ad2c0c5d5651p-8, -0x1.318e3be0af3f8p-8, -0x1.288d84cc42ee7p-8, -0x1.1fcee9604794cp-8, -0x1.1750c0102645dp-8, -0x1.0f1167cf4be41p-8, -0x1.070f47f5546efp-8, -0x1.fe91a04488c7fp-9, -0x1.ef78f044d13b1p-9, -0x1.e0d17fa50191ap-9, -0x1.d2985e06d7844p-9, -0x1.c4caaabc6bca3p-9, -0x1.b765948fe6043p-9, -0x1.aa66598afa9cfp-9, -0x1.9dca46bee2d19p-9, -0x1.918eb80c043acp-9, -0x1.85b117e9ffe9cp-9, -0x1.7a2edf2fb4043p-9, -0x1.6f0594db1cb78p-9, -0x1.6432cdda153bcp-9, -0x1.59b42cd28e591p-9, -0x1.4f8761eb6b8f9p-9, -0x1.45aa2a9573f36p-9, -0x1.3c1a515495c96p-9, -0x1.32d5ad8976b3dp-9, -0x1.29da233b1b83ap-9, -0x1.2125a2e14a5fdp-9, -0x1.18b6292ed157ap-9, -0x1.1089bedc5fe1ep-9, -0x1.089e7873eecabp-9, -0x1.00f2761c16ac7p-9, -0x1.f307c6c865865p-10, -0x1.e4a1ee2182394p-10, -0x1.d6afe5d073207p-10, -0x1.c92e47008c364p-10, -0x1.bc19c0172556dp-10, -0x1.af6f144fe1988p-10, -0x1.a32b1b59ed36ap-10, -0x1.974ac0f67a1dbp-10, -0x1.8bcb0497ee5bep-10, -0x1.80a8f90209241p-10, -0x1.75e1c3eb5995cp-10, -0x1.6b729d9f7a8d7p-10, -0x1.6158d0a2636dfp-10, -0x1.5791b954e346p-10, -0x1.4e1ac59a0ce84p-10, -0x1.44f1747dd6613p-10, -0x1.3c1355dc9099ap-10, -0x1.337e0a0be6c9ap-10, -0x1.2b2f418454236p-10, -0x1.2324bc8c737ecp-10, -0x1.1b5c4ae4c41d8p-10, -0x1.13d3cb74f3fedp-10, -0x1.0c892bfa14625p-10, -0x1.057a68b5f2b1ap-10, -0x1.fd4b183f72c43p-11, -0x1.f0115d2b23ff3p-11, -0x1.e343ec1eb85e2p-11, -0x1.d6df2ba4e60b3p-11, -0x1.cadf9c4e2c37ap-11, -0x1.bf41d81be127dp-11, -0x1.b40291efec2e8p-11, -0x1.a91e94fce97cbp-11, -0x1.9e92c4390d68cp-11, -0x1.945c19d3c9a56p-11, -0x1.8a77a6acae666p-11, -0x1.80e291cd8eb68p-11, -0x1.779a17e6293ccp-11, -0x1.6e9b8ac9dcc6cp-11, -0x1.65e450f055419p-11, -0x1.5d71e4f799546p-11, -0x1.5541d5287784ap-11, -0x1.4d51c2fd56098p-11, -0x1.459f62ab05d69p-11, -0x1.3e287aab2724bp-11, -0x1.36eae349933ffp-11, -0x1.2fe48633426fep-11, -0x1.29135e0715561p-11, -0x1.227575e932138p-11, -0x1.1c08e9180c98cp-11, -0x1.15cbe2835ac12p-11, -0x1.0fbc9c6579c0ap-11, -0x1.09d95fde43be1p-11, -0x1.0420848fa3babp-11, -0x1.fd20e07b12168p-12, -0x1.f24f2cdb10596p-12, -0x1.e7c8f014b8d4bp-12, -0x1.dd8b461005ba6p-12, -0x1.d39364140f629p-12, -0x1.c9de98181ec0ap-12, -0x1.c06a48170869ap-12, -0x1.b733f166dea3cp-12, -0x1.ae392813cd362p-12, -0x1.a577963e1bcffp-12, -0x1.9cecfb7d275a9p-12, -0x1.94972c436e03cp-12, -0x1.8c741146e6285p-12, -0x1.8481a6ee00f43p-12, -0x1.7cbdfcbd3eecap-12, -0x1.752734ca7a589p-12, -0x1.6dbb8330f26abp-12, -0x1.66792d8afa45ap-12, -0x1.5f5e8a6c227f8p-12, -0x1.586a00e07015p-12, -0x1.519a07ed66d58p-12, -0x1.4aed26163b4ddp-12, -0x1.4461f0e2bc818p-12, -0x1.3df70c69b2261p-12, -0x1.37ab2add18b2cp-12, -0x1.317d0c19a0688p-12, -0x1.2b6b7d38c9227p-12, -0x1.257558256ecc5p-12, -0x1.1f99833364202p-12, -0x1.19d6f0b88dfe8p-12, -0x1.142c9ea9fdff6p-12, -0x1.0e99963a56ac5p-12, -0x1.091ceb7ab8b28p-12, -0x1.03b5bcfec10fdp-12, -0x1.fcc667043cbdep-13, -0x1.f2490321d4372p-13, -0x1.e7f1c66373cd6p-13, -0x1.ddbf3b2529779p-13, -0x1.d3affd6e97de5p-13, -0x1.c9c2ba55e551bp-13, -0x1.bff62f6441dfdp-13, -0x1.b6492a0062564p-13, -0x1.acba86dd64c48p-13, -0x1.a349316a730b5p-13, -0x1.99f4234b58dacp-13, -0x1.90ba63cf9bc87p-13, -0x1.879b0770a23e3p-13, -0x1.7e952f52e2d39p-13, -0x1.75a808c9262eap-13, -0x1.6cd2ccdd3a4d9p-13, -0x1.6414bfda824c2p-13, -0x1.5b6d30dd2133cp-13, -0x1.52db7962ed75bp-13, -0x1.4a5efce143e4ap-13, -0x1.41f7285c1c3cdp-13, -0x1.39a37201bd38p-13, -0x1.316358c91efaap-13, -0x1.29366411f056ap-13, -0x1.211c234982c23p-13, -0x1.19142d90912eap-13, -0x1.111e2164e9442p-13, -0x1.0939a44de27d4p-13, -0x1.01666289e2935p-13, -0x1.f3481d823e2d2p-14, -0x1.e3e4c36f7f31ep-14, -0x1.d4a2340918f4fp-14, -0x1.c57ff793520e6p-14, -0x1.b67da0dd64884p-14, -0x1.a79accbd005cap-14, -0x1.98d7218b09335p-14, -0x1.8a324ea7a686p-14, -0x1.7bac0c004d12p-14, -0x1.6d44199b13834p-14, -0x1.5efa3f259eeffp-14, -0x1.50ce4b88764efp-14, -0x1.42c0147c5500ap-14, -0x1.34cf7625ebac5p-14, -0x1.26fc52b328c14p-14, -0x1.194691fc87ed3p-14, -0x1.0bae212a43123p-14, -0x1.fc65e4b804c53p-15, -0x1.e1a9f8aaa07d5p-15, -0x1.c7287455114cp-15, -0x1.ace155e8431e9p-15, -0x1.92d4a30454bf5p-15, -0x1.7902682848fcap-15, -0x1.5f6ab8270f1adp-15, -0x1.460daba18e9ecp-15, -0x1.2ceb608540a03p-15, -0x1.1403f993540f8p-15, -0x1.f6af3bcca0f08p-16, -0x1.c5ccf10be800ap-16, -0x1.95616fea13d9ap-16, -0x1.656d1b9dde3efp-16, -0x1.35f05cbe10842p-16, -0x1.06eba08cefb8ap-16, -0x1.b0beb07577c29p-17, -0x1.5497f0775d3ffp-17, -0x1.f2c7de837c72bp-18, -0x1.3e473df6a79adp-18, -0x1.175fd2693e96ap-19, 0x1.27e193314c163p-21, 0x1.a7764c73dd03ep-19, 0x1.808b04605a211p-18, 0x1.15b4f0ca529d7p-17, 0x1.6a2aeb87d8739p-17, 0x1.bda6821afdd9p-17, 0x1.0813640e63634p-16, 0x1.30d56aeb26af9p-16, 0x1.5918e47a0a0ccp-16, 0x1.80dd629c4cfc4p-16, 0x1.a8227a8f066p-16, 0x1.cee7c539f2712p-16, 0x1.f52cdf741b0a1p-16, 0x1.0d78b52610bd8p-15, 0x1.201a85a1751ccp-15, 0x1.327bb644c469fp-15, 0x1.449c1e997c18cp-15, 0x1.567b98b5fa7b6p-15, 0x1.681a01526d528p-15, 0x1.797737df250cep-15, 0x1.8a931e97b17d3p-15, 0x1.9b6d9a943f15dp-15, 0x1.ac0693d9d8985p-15, 0x1.bc5df569206aep-15, 0x1.cc73ad4a81c4bp-15, 0x1.dc47ac99c3545p-15, 0x1.ebd9e7902332p-15, 0x1.fb2a558be5fb5p-15, 0x1.051c788c33ff6p-14, 0x1.0c82dbf9f80d6p-14, 0x1.13c85589b9efap-14, 0x1.1aece753c529bp-14, 0x1.21f0950ed3f76p-14, 0x1.28d36410dbc32p-14, 0x1.2f955b4f50298p-14, 0x1.3636835e99864p-14, 0x1.3cb6e671cfc74p-14, 0x1.43169058aac85p-14, 0x1.49558e7eabc5ep-14, 0x1.4f73efe879a4dp-14, 0x1.5571c531a9ac6p-14, 0x1.5b4f208a2ee62p-14, 0x1.610c15b294b9fp-14, 0x1.66a8b9f95a7cfp-14, 0x1.6c252436a9776p-14, 0x1.71816cc83e9dep-14, 0x1.76bdad8d6e97ep-14, 0x1.7bda01e229c99p-14, 0x1.80d6869a938c1p-14, 0x1.85b359fd7a9aep-14, 0x1.8a709bbfb5bfcp-14, 0x1.8f0e6cfdd5e9ap-14, 0x1.938cf0375997fp-14, 0x1.97ec49483a5f8p-14, 0x1.9c2c9d637251p-14, 0x1.a04e130c3bd9ep-14, 0x1.a450d21077d1fp-14, 0x1.a8350381de68dp-14, 0x1.abfad1af65098p-14, 0x1.afa2681f2d26dp-14, 0x1.b32bf3871025ap-14, 0x1.b697a1c6ab582p-14, 0x1.b9e5a1dfc1085p-14, 0x1.bd1623efb9bd6p-14, 0x1.c029592886fa3p-14, 0x1.c31f73c9bc07p-14, 0x1.c5f8a7191136p-14, 0x1.c8b5275bddf3ep-14, 0x1.cb5529cf883bdp-14, 0x1.cdd8e4a2778c6p-14, 0x1.d0408eed1bad9p-14, 0x1.d28c60aa4f884p-14, 0x1.d4bc92b0a7fafp-14, 0x1.d6d15eaaf5512p-14, 0x1.d8caff115fa75p-14, 0x1.daa9af2208cf6p-14, 0x1.dc6daad9ff45dp-14, 0x1.de172eee385b5p-14, 0x1.dfa678c45f226p-14, 0x1.e11bc66be99efp-14, 0x1.e277569738c43p-14, 0x1.e3b96894602dep-14, 0x1.e4e23c46972f2p-14, 0x1.e5f2121f0b5a6p-14, 0x1.e6e92b165ff9cp-14, 0x1.e7c7c8a5e5785p-14, 0x1.e88e2cc0bec8p-14, 0x1.e93c99cdae501p-14, 0x1.e9d352a00e49bp-14, 0x1.ea529a71cc84ap-14, 0x1.eabab4dcb93c1p-14, 0x1.eb0be5d4810e3p-14, 0x1.eb4671a02c74ap-14, 0x1.eb6a9cd416215p-14, 0x1.eb78ac4bd4c03p-14, 0x1.eb70e5244ff4p-14, 0x1.eb538cb5aa17bp-14, 0x1.eb20e88dabb3ap-14, 0x1.ead93e69bba81p-14, 0x1.ea7cd43187e24p-14, 0x1.ea0beff12ff7ap-14, 0x1.e986d7d3ea408p-14, 0x1.e8edd21ec3f84p-14, 0x1.e841252b09185p-14, 0x1.e781176162256p-14, 0x1.e6adef347b16cp-14, 0x1.e5c7f31c33279p-14, 0x1.e4cf69908f677p-14, 0x1.e3c49904d8877p-14, 0x1.e2a7c7e31d88bp-14, 0x1.e1793c874c21bp-14, 0x1.e0393d3ad7744p-14, 0x1.dee810300f7fep-14, 0x1.dd85fb7e171acp-14, 0x1.dc13451c4f355p-14, 0x1.da9032de55d51p-14, 0x1.d8fd0a6febd77p-14, 0x1.d75a115100891p-14, 0x1.d5a78cd1ab391p-14, 0x1.d3e5c20eaa1b6p-14, 0x1.d214f5ed510d3p-14, 0x1.d0356d18391a9p-14, 0x1.ce476bfb8220bp-14, 0x1.cc4b36c194572p-14, 0x1.ca41114fb69d4p-14, 0x1.c8293f42c7015p-14, 0x1.c60403ec01b1ap-14, 0x1.c3d1a24e2cce7p-14, 0x1.c1925d1a44558p-14, 0x1.bf4676ace89b2p-14, 0x1.bcee310b4b101p-14, 0x1.ba89cde0a221dp-14, 0x1.b8198e7b5c423p-14, 0x1.b59db3cac0d0ep-14, 0x1.b3167e5c3a8ep-14, 0x1.b0842e591e58bp-14, 0x1.ade70384414ap-14, 0x1.ab3f3d37c6a8cp-14, 0x1.a88d1a62fe131p-14, 0x1.a5d0d98831722p-14, 0x1.a30ab8bace707p-14, 0x1.a03af59d4b4e9p-14, 0x1.9d61cd5f68ab7p-14, 0x1.9a7f7cbc60629p-14, 0x1.97943ff91c297p-14, 0x1.94a052e2bd3d7p-14, 0x1.91a3f0ccdda1dp-14, 0x1.8e9f549031bebp-14, 0x1.8b92b888ff7bep-14, 0x1.887e5695d1e3ap-14, 0x1.856268161b1d3p-14, 0x1.823f25e90de4p-14, 0x1.7f14c86c5d982p-14, 0x1.7be3877b3cff4p-14, 0x1.78ab9a6d2c06p-14, 0x1.756d381514f33p-14, 0x1.722896c0584eep-14, 0x1.6eddec35f7989p-14, 0x1.6b8d6db5acb5ep-14, 0x1.68374ff744095p-14, 0x1.64dbc729d7ba6p-14, 0x1.617b06f333583p-14, 0x1.5e15426f3a5e2p-14, 0x1.5aaaac2f4f424p-14, 0x1.573b7639e5926p-14, 0x1.53c7d20a13b44p-14, 0x1.504ff08f26455p-14, 0x1.4cd4022c47791p-14, 0x1.495436b82b26cp-14, 0x1.45d0bd7ce3bb5p-14, 0x1.4249c537a3e4dp-14, 0x1.3ebf7c188549cp-14, 0x1.3b320fc27bbe3p-14, 0x1.37a1ad4b34d73p-14, 0x1.340e813b16d5cp-14, 0x1.3078b78d5139cp-14, 0x1.2ce07bafc66b9p-14, 0x1.2945f8832f0abp-14, 0x1.25a9585b2c7bfp-14, 0x1.220ac4fe80094p-14, 0x1.1e6a67a73c3d9p-14, 0x1.1ac86902f163dp-14, 0x1.1724f132ecc1dp-14, 0x1.138027cc8abddp-14, 0x1.0fda33d986218p-14, 0x1.0c333bd85a481p-14, 0x1.088b65bc90f07p-14, 0x1.04e2d6ef3b7a3p-14, 0x1.0139b44f5373ep-14, 0x1.fb20446479b37p-15, 0x1.f3cc88c873d56p-15, 0x1.ec787c51fa264p-15, 0x1.e52464784c402p-15, 0x1.ddd085a3bf629p-15, 0x1.d67d232ee7534p-15, 0x1.cf2a7f67ba8f7p-15, 0x1.c7d8db90c6b44p-15, 0x1.c08877e2b59adp-15, 0x1.b939938d919aep-15, 0x1.b1ec6cba10a56p-15, 0x1.aaa1408b2b088p-15, 0x1.a3584b1f65196p-15, 0x1.9c11c7926e9d9p-15, 0x1.94cdeffea9589p-15, 0x1.8d8cfd7ec2b17p-15, 0x1.864f282f1d6d6p-15, 0x1.7f14a72fa1bd1p-15, 0x1.77ddb0a5609c5p-15, 0x1.70aa79bc33f43p-15, 0x1.697b36a87e157p-15, 0x1.62501aa8f00bp-15, 0x1.5b2958083f5ap-15, 0x1.5407201eeb3fep-15, 0x1.4ce9a35520904p-15, 0x1.45d1112481788p-15, 0x1.3ebd9819fc08fp-15, 0x1.37af65d7b48f4p-15, 0x1.30a6a716e74a9p-15, 0x1.29a387a9a956dp-15, 0x1.22a6327d1552p-15, 0x1.1baed19b25dbbp-15, 0x1.14bd8e2c9e7e9p-15, 0x1.0dd2907afa00bp-15, 0x1.06edfff264f46p-15, 0x1.00100323d5d3ep-15, 0x1.f2717f8e1c1c5p-16, 0x1.e4d0b578ef89fp-16, 0x1.d73df01e8194bp-16, 0x1.c9b975eec95e7p-16, 0x1.bc438bb76e5d2p-16, 0x1.aedc74a7c5688p-16, 0x1.a18472551466ep-16, 0x1.943bc4be7340ep-16, 0x1.8702aa5101246p-16, 0x1.79d95fec26074p-16, 0x1.6cc020e58375ep-16, 0x1.5fb7270d43c6cp-16, 0x1.52beaab24546ap-16, 0x1.45d6e2a61f345p-16, 0x1.39000441036cfp-16, 0x1.2c3a436671105p-16, 0x1.1f85d2890fb15p-16, 0x1.12e2e2aec42bbp-16, 0x1.0651a374ee8c4p-16, 0x1.f3a4862945dcfp-17, 0x1.dac9dcccff426p-17, 0x1.c213a1ce29b4dp-17, 0x1.a982297622a8dp-17, 0x1.9115c56629b1p-17, 0x1.78cec49fb1132p-17, 0x1.60ad738d3d094p-17, 0x1.48b21c09ec985p-17, 0x1.30dd05696c9ccp-17, 0x1.192e74806c674p-17, 0x1.01a6abacd2ca7p-17, 0x1.d48bd5bb08629p-18, 0x1.a618df3574d0dp-18, 0x1.77f4ea1bef56ap-18, 0x1.4a2068134ac4dp-18, 0x1.1c9bc622b388p-18, 0x1.deced98604f2bp-19, 0x1.85077fdd0e99bp-19, 0x1.2be23e6325585p-19, 0x1.a6bf96e45cc23p-20, 0x1.ee03530f2aff8p-21, 0x1.222ffc99407cep-22, -0x1.9280ba3bf5f6dp-22, -0x1.1081b66f484e9p-20, -0x1.bb177f96bd593p-20, -0x1.3230409955f69p-19, -0x1.862de1211370ap-19, -0x1.d9842cabf83d2p-19, -0x1.16195b184fc5dp-18, -0x1.3f1c8c1afde1p-18, }}, 
      {{-0x1.d384701dc6d7cp-1, -0x1.d372b10d4731ep-1, -0x1.d34a4b44d297cp-1, -0x1.d3027f57a8947p-1, -0x1.d295408826fb8p-1, -0x1.d1ffa58737208p-1, -0x1.d14189a26532bp-1, -0x1.d05cdefa80097p-1, -0x1.cf54f54bbc8bdp-1, -0x1.ce2dd59897109p-1, -0x1.ccebbf48ee8b2p-1, -0x1.cb92c8ba44a1cp-1, -0x1.ca26a00425188p-1, -0x1.c8aa66878c603p-1, -0x1.c720a1614154ep-1, -0x1.c58b3934d73f7p-1, -0x1.c3eb8487699ffp-1, -0x1.c24258c1d0b5cp-1, -0x1.c0901ecd82982p-1, -0x1.bed4e903c9e5fp-1, -0x1.bd1088cd5fe8bp-1, -0x1.bb42a2d7d8a3ep-1, -0x1.b96ac130daa6dp-1, -0x1.b78862e8500c2p-1, -0x1.b59b0916b1b85p-1, -0x1.b3a2414f33d5dp-1, -0x1.b19dada26932bp-1, -0x1.af8d0a68316d1p-1, -0x1.ad703211d8de3p-1, -0x1.ab471f498d8c6p-1, -0x1.a911eda434e3p-1, -0x1.a6d0d927c407dp-1, -0x1.a4843ce367409p-1, -0x1.a22c90d0dc275p-1, -0x1.9fca672ff5c42p-1, -0x1.9d5e6986bb7c6p-1, -0x1.9ae9556a32c77p-1, -0x1.986bf92df08e6p-1, -0x1.95e730930c6f2p-1, -0x1.935be18a1bb7cp-1, -0x1.90caf91780c6bp-1, -0x1.8e3568658530bp-1, -0x1.8b9c220c775cep-1, -0x1.890017963c012p-1, -0x1.866237407afb5p-1, -0x1.83c369feaa1ffp-1, -0x1.812491bbb4aep-1, -0x1.7e8687d9cc368p-1, -0x1.7bea1bee02f06p-1, -0x1.795012b4a2d05p-1, -0x1.76b9253ab48b3p-1, -0x1.74260038df8a6p-1, -0x1.7197439b966d6p-1, -0x1.6f0d8234752dbp-1, -0x1.6c894190bd3dep-1, -0x1.6a0af9f0ed5a7p-1, -0x1.6793165d9b724p-1, -0x1.6521f4d5e53b6p-1, -0x1.62b7e693fd102p-1, -0x1.60553064975fcp-1, -0x1.5dfa0b0e3a1cfp-1, -0x1.5ba6a3c5a5772p-1, -0x1.595b1cacd826ap-1, -0x1.57178d5a5d8f1p-1, -0x1.54dc0366dc54cp-1, -0x1.52a882ff0bf24p-1, -0x1.507d07786d82p-1, -0x1.4e5983e756159p-1, -0x1.4c3de3b508a93p-1, -0x1.4a2a0b34c4e91p-1, -0x1.481dd836da6e3p-1, -0x1.46192298f1841p-1, -0x1.441bbcd2dd81dp-1, -0x1.4225747f6641bp-1, -0x1.403612e09938fp-1, -0x1.3e4d5d5f3dea8p-1, -0x1.3c6b16052aa2p-1, -0x1.3a8efbf24244bp-1, -0x1.38b8cbcbf6f07p-1, -0x1.36e8402739701p-1, -0x1.351d11ecd03ddp-1, -0x1.3356f8b81024bp-1, -0x1.3195ab300a125p-1, -0x1.2fd8df5b37c64p-1, -0x1.2e204aedc7eafp-1, -0x1.2c6ba392a38aap-1, -0x1.2aba9f2f535c2p-1, -0x1.290cf422e9685p-1, -0x1.276259801c8d4p-1, -0x1.25ba8742be558p-1, -0x1.24153680bb143p-1, -0x1.22722196d353cp-1, -0x1.20d104513c565p-1, -0x1.1f319c105a3a7p-1, -0x1.1d93a7e9bf4f4p-1, -0x1.1bf6e8c5a4b51p-1, -0x1.1a5b217905a32p-1, -0x1.18c016dc8e93dp-1, -0x1.17258fe08d332p-1, -0x1.158b559e07fcep-1, -0x1.13f133652e226p-1, -0x1.1256f6c943589p-1, -0x1.10bc6faa33185p-1, -0x1.0f21703bec4d2p-1, -0x1.0d85cd0bb135cp-1, -0x1.0be95d0376f26p-1, -0x1.0a4bf96b7c1e3p-1, -0x1.08ad7dea330a1p-1, -0x1.070dc882a1ae9p-1, -0x1.056cb9914ff5cp-1, -0x1.03ca33c7e63bp-1, -0x1.02261c2790028p-1, -0x1.008059fa42947p-1, -0x1.fdb1ad95f456ep-2, -0x1.fa5efcba0ee3bp-2, -0x1.f7087d4503f22p-2, -0x1.f3ae0f63e7cc7p-2, -0x1.f04f9776a5ae3p-2, -0x1.ececfdf8ac89bp-2, -0x1.e9862f687d7dcp-2, -0x1.e61b1c2e3c86fp-2, -0x1.e2abb8815c7dep-2, -0x1.df37fc4d8a733p-2, -0x1.dbbfe316eca44p-2, -0x1.d8436bddd4b32p-2, -0x1.d4c29901fa3dfp-2, -0x1.d13d7025512fdp-2, -0x1.cdb3fa0e970fcp-2, -0x1.ca26428ba874ep-2, -0x1.c6945853ad937p-2, -0x1.c2fe4ce935326p-2, -0x1.bf64347c4b3b1p-2, -0x1.bbc625cc98856p-2, -0x1.b8243a0b9c968p-2, -0x1.b47e8cbf0e847p-2, -0x1.b0d53ba36ce85p-2, -0x1.ad28668ecf59p-2, -0x1.a9782f53fdd32p-2, -0x1.a5c4b9a5d82cep-2, -0x1.a20e2afb1b375p-2, -0x1.9e54aa728711cp-2, -0x1.9a9860b7705dp-2, -0x1.96d977e6c194dp-2, -0x1.93181b7474eb1p-2, -0x1.8f5478118b0a3p-2, -0x1.8b8ebb9284e82p-2, -0x1.87c714d662db3p-2, -0x1.83fdb3ae2ffbcp-2, -0x1.8032c8c51ce61p-2, -0x1.7c6685892b2ep-2, -0x1.78991c146ecc8p-2, -0x1.74cabf16e5859p-2, -0x1.70fba1c0e91e6p-2, -0x1.6d2bf7ae3b81bp-2, -0x1.695bf4d1af769p-2, -0x1.658bcd616de89p-2, -0x1.61bbb5c3dbb7ep-2, -0x1.5debe27d1b3a2p-2, -0x1.5a1c881d2b9eap-2, -0x1.564ddb2eacdp-2, -0x1.52801026386d1p-2, -0x1.4eb35b526171cp-2, -0x1.4ae7f0cc48f82p-2, -0x1.471e0468d5429p-2, -0x1.4355c9aa7fa12p-2, -0x1.3f8f73b3bb634p-2, -0x1.3bcb3539f87b5p-2, -0x1.3809407937b4ap-2, -0x1.3449c72836a5bp-2, -0x1.308cfa6d2cc49p-2, -0x1.2cd30ad3192d8p-2, -0x1.291c283f9e789p-2, -0x1.256881e96adaep-2, -0x1.21b8464f2a617p-2, -0x1.1e0ba32eff4fcp-2, -0x1.1a62c57e7f50ep-2, -0x1.16bdd96334991p-2, -0x1.131d0a2b9a9d9p-2, -0x1.0f8082489cfbp-2, -0x1.0be86b478995ep-2, -0x1.0854edcc8084cp-2, -0x1.04c6318d51eccp-2, -0x1.013c5d4cd30f1p-2, -0x1.fb6f2dad39c67p-3, -0x1.f47005f6730cfp-3, -0x1.ed7b8b197048fp-3, -0x1.e69202b74cf0fp-3, -0x1.dfb3b068deebbp-3, -0x1.d8e0d5ba2ad72p-3, -0x1.d219b22698f2p-3, -0x1.cb5e8315d90fap-3, -0x1.c4af83d974b5dp-3, -0x1.be0cedab0afe4p-3, -0x1.b776f7ab290a3p-3, -0x1.b0edd6e0c36dcp-3, -0x1.aa71be394442fp-3, -0x1.a402de8927bb9p-3, -0x1.9da1668d25702p-3, -0x1.974d82ebdafc1p-3, -0x1.91075e37fe0ffp-3, -0x1.8acf20f300dc8p-3, -0x1.84a4f1902b7b5p-3, -0x1.7e88f4782c167p-3, -0x1.787b4c0d07d1ap-3, -0x1.727c18ae78c63p-3, -0x1.6c8b78bea5b72p-3, -0x1.66a988a739a5ep-3, -0x1.60d662decd34dp-3, -0x1.5b121feea47aep-3, -0x1.555cd678ba3f4p-3, -0x1.4fb69b3e10b23p-3, -0x1.4a1f812547a2dp-3, -0x1.4497994170484p-3, -0x1.3f1ef2d91e9c3p-3, -0x1.39b59b6db13fcp-3, -0x1.345b9ec2caa1ep-3, -0x1.2f1106e5f8c42p-3, -0x1.29d5dc368c7f8p-3, -0x1.24aa256d93173p-3, -0x1.1f8de7a5f59e3p-3, -0x1.1a812664bb8bbp-3, -0x1.1583e3a1618bp-3, -0x1.10961fce56ff8p-3, -0x1.0bb7d9e18453fp-3, -0x1.06e90f5cf0f45p-3, -0x1.0229bc576dae3p-3, -0x1.faf3b70aaf62bp-4, -0x1.f1b2cc82b721bp-4, -0x1.e890a92a98fe2p-4, -0x1.df8d3a85e73e6p-4, -0x1.d6a86b99dad35p-4, -0x1.cde224fefc891p-4, -0x1.c53a4cf2e1926p-4, -0x1.bcb0c769c4e45p-4, -0x1.b44576202ea52p-4, -0x1.abf838ac73249p-4, -0x1.a3c8ec9035594p-4, -0x1.9bb76d49bf25p-4, -0x1.93c39465485c1p-4, -0x1.8bed398e1f89dp-4, -0x1.8434329faac66p-4, -0x1.7c9853b648b4fp-4, -0x1.75196f400c633p-4, -0x1.6db7560d4ab73p-4, -0x1.6671d760fad4ap-4, -0x1.5f48c100eddddp-4, -0x1.583bdf45cf1e5p-4, -0x1.514afd2af3d3dp-4, -0x1.4a75e45df5d6bp-4, -0x1.43bc5d4e17e61p-4, -0x1.3d1e2f3b717bcp-4, -0x1.369b2045dac3cp-4, -0x1.3032f57ba9c83p-4, -0x1.29e572e824523p-4, -0x1.23b25ba1be98dp-4, -0x1.1d9971d812dddp-4, -0x1.179a76e1a2541p-4, -0x1.11b52b4949523p-4, -0x1.0be94edb7bee3p-4, -0x1.0636a0b33aa4bp-4, -0x1.009cdf46c6f7cp-4, -0x1.f63790e8257a4p-5, -0x1.eb663319d3defp-5, -0x1.e0c51ec5bb631p-5, -0x1.d653cca5cdad5p-5, -0x1.cc11b4a186ea3p-5, -0x1.c1fe4de424a5bp-5, -0x1.b8190ef251aa8p-5, -0x1.ae616dbf45d87p-5, -0x1.a4d6dfc160a1bp-5, -0x1.9b78da0639f6p-5, -0x1.9246d14629418p-5, -0x1.894039f74988bp-5, -0x1.8064885ff0c81p-5, -0x1.77b330a8a6326p-5, -0x1.6f2ba6ed8f924p-5, -0x1.66cd5f4f5e982p-5, -0x1.5e97ce03b92a5p-5, -0x1.568a67651fdf7p-5, -0x1.4ea4a00253b33p-5, -0x1.46e5ecad3c02bp-5, -0x1.3f4dc28951bdbp-5, -0x1.37db97198d565p-5, -0x1.308ee04dd1cdep-5, -0x1.2967148ff0aaap-5, -0x1.2263aad01e063p-5, -0x1.1b841a91059c4p-5, -0x1.14c7dbf35b8e8p-5, -0x1.0e2e67c1044f1p-5, -0x1.07b73777c5445p-5, -0x1.0161c55388009p-5, -0x1.f65b18b06c10bp-6, -0x1.ea3410b63cc15p-6, -0x1.de4d6c17fddcep-6, -0x1.d2a625fb32cp-6, -0x1.c73d3b5bd9eb9p-6, -0x1.bc11ab1c0c137p-6, -0x1.b1227612e0b23p-6, -0x1.a66e9f1a8ac4bp-6, -0x1.9bf52b1dc4309p-6, -0x1.91b52124785c2p-6, -0x1.87ad8a5fc25e6p-6, -0x1.7ddd72353b433p-6, -0x1.7443e649920e5p-6, -0x1.6adff68a92147p-6, -0x1.61b0b5386aa15p-6, -0x1.58b536ee70ea8p-6, -0x1.4fec92ab37b72p-6, -0x1.4755e1d80b843p-6, -0x1.3ef0404febc5bp-6, -0x1.36bacc65e46b4p-6, -0x1.2eb4a6eae319cp-6, -0x1.26dcf333005cp-6, -0x1.1f32d71a48c1ap-6, -0x1.17b57b090266dp-6, -0x1.106409f77269cp-6, -0x1.093db1712c27ep-6, -0x1.0241a197f14cfp-6, -0x1.f6de1a4c27d66p-7, -0x1.e98a52e0dca63p-7, -0x1.dc865ccfe6f1bp-7, -0x1.cfd0ad359eef2p-7, -0x1.c367be6a6a16bp-7, -0x1.b74a10035b932p-7, -0x1.ab7626d254a0bp-7, -0x1.9fea8ce54525bp-7, -0x1.94a5d184d5b4cp-7, -0x1.89a6893261a29p-7, -0x1.7eeb4da549a2p-7, -0x1.7472bdc7b2993p-7, -0x1.6a3b7db2b219ap-7, -0x1.604436a9d4c53p-7, -0x1.568b971640c7cp-7, -0x1.4d1052811ff26p-7, -0x1.43d1218dc2582p-7, -0x1.3accc1f31e15bp-7, -0x1.3201f674e446cp-7, -0x1.296f86dc37b07p-7, -0x1.21143fefe2395p-7, -0x1.18eef36c33434p-7, -0x1.10fe77fa72ebbp-7, -0x1.0941a92809dc7p-7, -0x1.01b7675d4577dp-7, -0x1.f4bd2fa77c4b8p-8, -0x1.e66c49191a6e7p-8, -0x1.d879f88c4cecep-8, -0x1.cae424e3c2b54p-8, -0x1.bda8be52be19ep-8, -0x1.b0c5be471a693p-8, -0x1.a4392753286e6p-8, -0x1.98010516e9189p-8, -0x1.8c1b6c28fc227p-8, -0x1.808679ff237c1p-8, -0x1.754054d67002cp-8, -0x1.6a472b9b3f7f9p-8, -0x1.5f9935d0c0c4ep-8, -0x1.5534b3784b0abp-8, -0x1.4b17ecf874d58p-8, -0x1.414133040b578p-8, -0x1.37aede80a825p-8, -0x1.2e5f506d43d05p-8, -0x1.2550f1c896fc4p-8, -0x1.1c82337744423p-8, -0x1.13f18e2a0ccb6p-8, -0x1.0b9d8243d75p-8, -0x1.038497bf9a194p-8, -0x1.f74abc2ca86b7p-9, -0x1.e7fcd849b1094p-9, -0x1.d91cc02369cdfp-9, -0x1.caa7be6616bb1p-9, -0x1.bc9b2be8c7ab4p-9, -0x1.aef46f792112cp-9, -0x1.a1b0fda729d1bp-9, -0x1.94ce589156623p-9, -0x1.884a0fb05fac5p-9, -0x1.7c21bfa3c58ccp-9, -0x1.705311fde9c6cp-9, -0x1.64dbbd10d588ap-9, -0x1.59b983bb1f96ap-9, -0x1.4eea3534bfe32p-9, -0x1.446bacdc92c95p-9, -0x1.3a3bd205e5db1p-9, -0x1.305897c664f18p-9, -0x1.26bffcc45c4p-9, -0x1.1d700b053f145p-9, -0x1.1466d7bca16e8p-9, -0x1.0ba2831b62034p-9, -0x1.0321381f8bc2ep-9, -0x1.f5c258c84cfb3p-10, -0x1.e5c13fe3b5454p-10, -0x1.d63bba1f732dcp-10, -0x1.c72e702926b11p-10, -0x1.b8961e71652f5p-10, -0x1.aa6f94d039135p-10, -0x1.9cb7b62a29b59p-10, -0x1.8f6b78169f263p-10, -0x1.8287e28718823p-10, -0x1.760a0f6f208f9p-10, -0x1.69ef2a6d977f4p-10, -0x1.5e34707683ca8p-10, -0x1.52d72f7e76231p-10, -0x1.47d4c6263c335p-10, -0x1.3d2aa3683e15bp-10, -0x1.32d646469351ap-10, -0x1.28d53d79f485ep-10, -0x1.1f252722167c9p-10, -0x1.15c3b076a880ap-10, -0x1.0cae9579d0619p-10, -0x1.03e3a0ab5d895p-10, -0x1.f6c15579d752ap-11, -0x1.e647348f2c012p-11, -0x1.d654c7045b97ap-11, -0x1.c6e60ff1a2766p-11, -0x1.b7f72c8acf801p-11, -0x1.a9845392962aap-11, -0x1.9b89d4cfbff84p-11, -0x1.8e0418846ad57p-11, -0x1.80ef9ee7dcd1cp-11, -0x1.7448ffa1aa84p-11, -0x1.680ce9477302cp-11, -0x1.5c3820dce1471p-11, -0x1.50c78154f6c5bp-11, -0x1.45b7fb16204d9p-11, -0x1.3b06937ffa584p-11, -0x1.30b064733850fp-11, -0x1.26b29bdb64f53p-11, -0x1.1d0a7b3aefc8bp-11, -0x1.13b55738f2c25p-11, -0x1.0ab09730f22dfp-11, -0x1.01f9b4c4e1852p-11, -0x1.f31c76e170da1p-12, -0x1.e2d7904026f0cp-12, -0x1.d320118bcee1p-12, -0x1.c3f177ebb7028p-12, -0x1.b54760ff5637dp-12, -0x1.a71d8a188e1f1p-12, -0x1.996fcf79da034p-12, -0x1.8c3a2b9808d36p-12, -0x1.7f78b65f31f71p-12, -0x1.7327a47c04c5fp-12, -0x1.674346a79c774p-12, -0x1.5bc808f7c2f8fp-12, -0x1.50b27231fe0c9p-12, -0x1.45ff2322514c4p-12, -0x1.3baad5f52487ep-12, -0x1.31b25d948892bp-12, -0x1.2812a50903095p-12, -0x1.1ec8aedd4aa57p-12, -0x1.15d1948542ee6p-12, -0x1.0d2a85c7f49ffp-12, -0x1.04d0c82d59269p-12, -0x1.f9836cdb9495p-13, -0x1.e9f57fcc3c077p-13, -0x1.daf2d01b2b8cap-13, -0x1.cc768bddd4fe8p-13, -0x1.be7c074994bd9p-13, -0x1.b0febbb0a6304p-13, -0x1.a3fa46863aea2p-13, -0x1.976a686762038p-13, -0x1.8b4b0428c4208p-13, -0x1.7f981deb1ff3fp-13, -0x1.744dda33ea01p-13, -0x1.69687d0b2e09dp-13, -0x1.5ee4691f07bdp-13, -0x1.54be1eec03e39p-13, -0x1.4af23be98b966p-13, -0x1.417d79bc557b3p-13, -0x1.385cad6d33e6bp-13, -0x1.2f8cc6a3f09f9p-13, -0x1.270acee776042p-13, -0x1.1ed3e8e24cf91p-13, -0x1.16e54fab1af6ap-13, -0x1.0f3c56125d41fp-13, -0x1.07d665f361b67p-13, -0x1.00b0ff899b8cep-13, -0x1.f39371974d993p-14, -0x1.e63c798edd564p-14, -0x1.d958960a2533ep-14, -0x1.cce36dd7ddef1p-14, -0x1.c0d8ce57b26c2p-14, -0x1.b534aa55a60b7p-14, -0x1.a9f318ead97cep-14, -0x1.9f1054669ceb3p-14, -0x1.9488b93de12c3p-14, -0x1.8a58c501b8dedp-14, -0x1.807d155dc1451p-14, -0x1.76f2671b3f903p-14, -0x1.6db5952b2c691p-14, -0x1.64c397b8ad0e9p-14, -0x1.5c19833e9ec81p-14, -0x1.53b487a5f32fap-14, -0x1.4b91ef675a156p-14, -0x1.43af1eb5d2063p-14, -0x1.3c0992abce506p-14, -0x1.349ee080a6679p-14, -0x1.2d6cb4c1c2368p-14, -0x1.2670d291b6d9ep-14, -0x1.1fa912ec4504cp-14, -0x1.191363f03beb7p-14, -0x1.12adc82dbfeabp-14, -0x1.0c7655f94067bp-14, -0x1.066b36c3d6d02p-14, -0x1.008aa677e9467p-14, -0x1.f5a5e5b598a7fp-15, -0x1.ea84f5e35377bp-15, -0x1.dfaf5cd91d547p-15, -0x1.d5221a28eb091p-15, -0x1.cada4c7ac8672p-15, -0x1.c0d5307b513a4p-15, -0x1.b7101fd03c849p-15, -0x1.ad889015557e3p-15, -0x1.a43c11e09ecfp-15, -0x1.9b284fce9c35ap-15, -0x1.924b0d948e09ep-15, -0x1.89a2271bcea7cp-15, -0x1.812b8fa0f5108p-15, -0x1.78e550dc8c067p-15, -0x1.70cd8a315fdd6p-15, -0x1.68e26fdf4d36bp-15, -0x1.61224a404d317p-15, -0x1.598b7506e5929p-15, -0x1.521c5e85ad236p-15, -0x1.4ad386fc09d14p-15, -0x1.43af7fe703fe4p-15, -0x1.3caeeb596a3d1p-15, -0x1.35d07b58293abp-15, -0x1.2f12f13c1aa7ep-15, -0x1.28751d18f8a08p-15, -0x1.21f5dd2938513p-15, -0x1.1b941d3e1af49p-15, -0x1.154ed634fab98p-15, -0x1.0f250d71b158cp-15, -0x1.0915d45bc359cp-15, -0x1.032047e14a664p-15, -0x1.fa871ffa9d704p-16, -0x1.eefdbe84615aap-16, -0x1.e3a2e4d1a110ep-16, -0x1.d8751fc3aa496p-16, -0x1.cd730edad0c62p-16, -0x1.c29b63667e811p-16, -0x1.b7ecdfc15c28cp-16, -0x1.ad665692c16a5p-16, -0x1.a306aa15d9d6ap-16, -0x1.98cccb692a36dp-16, -0x1.8eb7b9e2427ddp-16, -0x1.84c68268ab9b4p-16, -0x1.7af83ed721f4bp-16, -0x1.714c156184ac3p-16, -0x1.67c1380117509p-16, -0x1.5e56e3e6a1f4ep-16, -0x1.550c60ef1913bp-16, -0x1.4be10121b4188p-16, -0x1.42d4202f58068p-16, -0x1.39e522f87f0c5p-16, -0x1.3113771734ed5p-16, -0x1.285e926dde8fcp-16, -0x1.1fc5f2ba55c8fp-16, -0x1.17491d2cdc07bp-16, -0x1.0ee79e03dbbccp-16, -0x1.06a1082b27ff7p-16, -0x1.fce9e9bdaff38p-17, -0x1.ecc606a519d2fp-17, -0x1.dcd5b0b7e0f0bp-17, -0x1.cd183c40b43f9p-17, -0x1.bd8d078e1068cp-17, -0x1.ae337a58dcbb4p-17, -0x1.9f0b053750b33p-17, -0x1.9013210f5208fp-17, -0x1.814b4e952f858p-17, -0x1.72b315cb144e8p-17, -0x1.644a0589c0c6p-17, -0x1.560fb30a9bd97p-17, -0x1.4803b97ac6979p-17, -0x1.3a25b9903d129p-17, -0x1.2c755926f23dp-17, -0x1.1ef242df181bep-17, -0x1.119c25c2adcc6p-17, -0x1.0472b4ecc8b0fp-17, -0x1.eeeb4e6f8172p-18, -0x1.d5496ddc118cfp-18, -0x1.bbff42fcc7bf5p-18, -0x1.a30c4e698705ap-18, -0x1.8a7015edb91d5p-18, -0x1.722a24050161bp-18, -0x1.5a3a076449d54p-18, -0x1.429f52844b314p-18, -0x1.2b599b35a4e5bp-18, -0x1.14687a3878613p-18, -0x1.fb9715b6c6c71p-19, -0x1.cf04d53d41772p-19, -0x1.a31971bb00aa2p-19, -0x1.77d42cf90062p-19, -0x1.4d344b3d1c71fp-19, -0x1.233912b3d9f37p-19, -0x1.f3c395d9b6071p-20, -0x1.a25b78b5c612fp-20, -0x1.52385fbf47384p-20, -0x1.0358dcb9b020cp-20, -0x1.6b770135bdbb8p-21, -0x1.a57b6b2fa27b6p-22, -0x1.e41787891d326p-24, 0x1.5cf0e09ca2dd6p-23, 0x1.d1057008d45dfp-22, 0x1.775388f3ee739p-21, 0x1.01d8d7200a017p-20, 0x1.46d01a89a0285p-20, 0x1.8a911aa358773p-20, 0x1.cd1d6911c71afp-20, 0x1.073b4ec2dd095p-19, 0x1.274f2b027896cp-19, 0x1.46cb1b9660e97p-19, 0x1.65aff63617455p-19, 0x1.83fe941dd789ap-19, 0x1.a1b7d21e02a47p-19, 0x1.bedc90b1f193bp-19, 0x1.db6db40a86ba6p-19, 0x1.f76c241b0f3bp-19, 0x1.096c66509045fp-18, 0x1.16da4e93fdbafp-18, 0x1.24004487789d7p-18, 0x1.30dec3c250c2fp-18, 0x1.3d7649c2f69aep-18, 0x1.49c755ecb3cdep-18, 0x1.55d2698343f8fp-18, 0x1.619807a784fdcp-18, 0x1.6d18b550cfdbcp-18, 0x1.7854f947aa8b8p-18, 0x1.834d5c1ce0183p-18, 0x1.8e0268236fa2dp-18, 0x1.9874a966cb723p-18, 0x1.a2a4ada195ad2p-18, 0x1.ac930433d227cp-18, 0x1.b6403e1841bf3p-18, 0x1.bfacedd93b6dbp-18, 0x1.c8d9a78507b36p-18, 0x1.d1c700a215f35p-18, 0x1.da7590221d1cep-18, 0x1.e2e5ee5717566p-18, 0x1.eb18b4e400c13p-18, 0x1.f30e7eb105586p-18, 0x1.fac7e7dd77dc2p-18, 0x1.0122c6d8e00bfp-17, 0x1.04c40748cbebfp-17, 0x1.084804f71381cp-17, 0x1.0baf101ba1e5cp-17, 0x1.0ef97966ad4c9p-17, 0x1.122791f99e2abp-17, 0x1.1539ab5f6cdbfp-17, 0x1.18301785bef73p-17, 0x1.1b0b28b56844bp-17, 0x1.1dcb318b61975p-17, 0x1.207084f164b5dp-17, 0x1.22fb761674f4bp-17, 0x1.256c5867eaaaep-17, 0x1.27c37f8a50f7ap-17, 0x1.2a013f51d9e58p-17, 0x1.2c25ebbbf515ep-17, 0x1.2e31d8e7fefabp-17, 0x1.30255b101b4b3p-17, 0x1.3200c6829716p-17, 0x1.33c46f9b3eb82p-17, 0x1.3570aabc26045p-17, 0x1.3705cc47a6444p-17, 0x1.388428998e232p-17, 0x1.39ec140083075p-17, 0x1.3b3de2b7ea525p-17, 0x1.3c79e8e1b0543p-17, 0x1.3da07a80290bp-17, 0x1.3eb1eb6fc7f41p-17, 0x1.3fae8f619d042p-17, 0x1.4096b9d56b719p-17, 0x1.416abe141414ep-17, 0x1.422aef29a6b99p-17, 0x1.42d79fe07214bp-17, 0x1.437122bb7bfbep-17, 0x1.43f7c9f1486ffp-17, 0x1.446be766cf1p-17, 0x1.44cdccaaada6fp-17, 0x1.451dcaf04034ep-17, 0x1.455c330af83c6p-17, 0x1.45895569e1e45p-17, 0x1.45a582131d483p-17, 0x1.45b1089fbd186p-17, 0x1.45ac383746d5bp-17, 0x1.45975f8c21456p-17, 0x1.4572ccd731c8fp-17, 0x1.453ecdd46c664p-17, 0x1.44fbafbf0dc6ep-17, 0x1.44a9bf4dd20b3p-17, 0x1.444948b0173e6p-17, 0x1.43da978a270bp-17, 0x1.435df6f207787p-17, 0x1.42d3b16cc492p-17, 0x1.423c10eb5123dp-17, 0x1.41975ec78d14ap-17, 0x1.40e5e3c1fbdb7p-17, 0x1.4027e7fee7d15p-17, 0x1.3f5db303f2bfdp-17, 0x1.3e878bb5d03b2p-17, 0x1.3da5b856334a1p-17, 0x1.3cb87e815ef47p-17, 0x1.3bc0232c69179p-17, 0x1.3abceaa33aa55p-17, 0x1.39af1886a9f8cp-17, 0x1.3896efcb0ecdcp-17, 0x1.3774b2b69b6b1p-17, 0x1.3648a2dfa7f73p-17, 0x1.3513012b84679p-17, 0x1.33d40dcd37fdbp-17, 0x1.328c084432eddp-17, 0x1.313b2f5b48cdcp-17, 0x1.2fe1c127a4d03p-17, 0x1.2e7ffb07fc8d1p-17, 0x1.2d1619a397fb3p-17, 0x1.2ba458e9b7619p-17, 0x1.2a2af410f5f79p-17, 0x1.28aa2596a8574p-17, 0x1.2722273e3045dp-17, 0x1.2593321107a73p-17, 0x1.23fd7e5e0ae8ap-17, 0x1.226143b957b63p-17, 0x1.20beb8fc3cb19p-17, 0x1.1f1614451d0e3p-17, 0x1.1d678af72cb0bp-17, 0x1.1bb351bac57f4p-17, 0x1.19f99c7d7007dp-17, 0x1.183a9e71e078dp-17, 0x1.16768a106cf34p-17, 0x1.14ad911752921p-17, 0x1.12dfe48afb74fp-17, 0x1.110db4b66d494p-17, 0x1.0f37312be718ap-17, 0x1.0d5c88c516518p-17, 0x1.0b7de9a41601ep-17, 0x1.099b8133caa41p-17, 0x1.07b57c28ad091p-17, 0x1.05cc06816903fp-17, 0x1.03df4b87d90a4p-17, 0x1.01ef75d1b323ep-17, 0x1.fff95e82cedd8p-18, 0x1.fc0e420e0bf8p-18, 0x1.f81de742a8779p-18, 0x1.f4289dbd8928dp-18, 0x1.f02eb3bcb475bp-18, 0x1.ec30762195bd9p-18, 0x1.e82e3073438e9p-18, 0x1.e4282ce0eac44p-18, 0x1.e01eb443b3e8ep-18, 0x1.dc120e219c249p-18, 0x1.d80280af9b78ap-18, 0x1.d3f050d42eb55p-18, 0x1.cfdbc22a489f1p-18, 0x1.cbc5170383b17p-18, 0x1.c7ac906ac11fp-18, 0x1.c3926e27139fbp-18, 0x1.bf76eebe8db5ap-18, 0x1.bb5a4f791b302p-18, 0x1.b73ccc62f539ap-18, 0x1.b31ea04fb988ap-18, 0x1.af0004dd6acc2p-18, 0x1.aae1327753675p-18, 0x1.a6c2605919c13p-18, 0x1.a2a3c49173bb7p-18, 0x1.9e8594057afe8p-18, 0x1.9a6802736f23ap-18, 0x1.964b4275fb4dfp-18, 0x1.922f85874beaap-18, 0x1.8e14fc04287a8p-18, 0x1.89fbd52ef89a5p-18, 0x1.85e43f3325db2p-18, 0x1.81ce67282644cp-18, 0x1.7dba791475439p-18, 0x1.79a89ff0f8ac1p-18, 0x1.759905ac51db6p-18, 0x1.718bd32dd93cfp-18, 0x1.6d813058ca862p-18, 0x1.6979440fc7b41p-18, 0x1.65743437c3d96p-18, 0x1.617225bb36d8ap-18, 0x1.5d733c8d80635p-18, 0x1.59779bae147f8p-18, 0x1.557f652bba7fap-18, 0x1.518aba27b2535p-18, 0x1.4d99bad8fcb85p-18, 0x1.49ac868f6651p-18, 0x1.45c33bb6d1d98p-18, 0x1.41ddf7da7e549p-18, 0x1.3dfcd7a83501cp-18, 0x1.3a1ff6f364045p-18, 0x1.364770b82b341p-18, 0x1.32735f1eb5e33p-18, 0x1.2ea3db7e5a21ep-18, 0x1.2ad8fe609725dp-18, 0x1.2712df8428284p-18, 0x1.235195e03588cp-18, 0x1.1f9537a783569p-18, 0x1.1bddda4b8a3cep-18, 0x1.182b927f575d1p-18, 0x1.147e743a817cdp-18, 0x1.10d692bc44d43p-18, 0x1.0d34008eabd3bp-18, 0x1.0996cf8972742p-18, 0x1.05ff10d4dcd74p-18, 0x1.026cd4ecbe9efp-18, 0x1.fdc05746e0cacp-19, 0x1.f6b248493d2b4p-19, 0x1.efaf99f0311c9p-19, 0x1.e8b86809a623dp-19, 0x1.e1cccd2731252p-19, 0x1.daece2a3f5d4fp-19, 0x1.d418c0a9fea97p-19, 0x1.cd507e3808a9cp-19, 0x1.c694312693502p-19, 0x1.bfe3ee2d77e42p-19, 0x1.b93fc8e965bcfp-19, 0x1.b2a7d3e0f62c4p-19, 0x1.ac1c208a418a7p-19, 0x1.a59cbf4fc6be7p-19, 0x1.9f29bf95dc8c1p-19, 0x1.98c32fbfaf03ep-19, 0x1.92691d342df64p-19, 0x1.8c1b9462e4eaap-19, 0x1.85daa0c93ee3cp-19, 0x1.7fa64cf7b159cp-19, 0x1.797ea29609446p-19, 0x1.7363aa689c6c9p-19, 0x1.6d556c54e1faep-19, 0x1.6753ef65c0a8ep-19, 0x1.615f39d09ea36p-19, 0x1.5b7750fa01975p-19, 0x1.559c3979e33aap-19, 0x1.4fcdf7202213ep-19, 0x1.4a0c8cf91444fp-19, 0x1.4457fd51e54d2p-19, 0x1.3eb049bcd1c8p-19, 0x1.391573152cfc8p-19, 0x1.33877983948a2p-19, 0x1.2e065c8265396p-19, 0x1.28921ae1cdcd8p-19, 0x1.232ab2cbc2b47p-19, 0x1.1dd021c7f1b76p-19, 0x1.188264bf89db1p-19, 0x1.134178013f349p-19, 0x1.0e0d5744ec2a3p-19, 0x1.08e5fdafbb53fp-19, 0x1.03cb65d793b3ap-19, 0x1.fd7b138d5bb6bp-20, 0x1.f378c5fee8083p-20, 0x1.e98fd4ffd47a4p-20, 0x1.dfc0318a1ac48p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      24, 0x1.4cccccccccccdp+2, 0x1.ae49e91300c2fp+0, 0x1.bf0ea8bdf702dp+1, -0x1.f941fd6c910dap-7, 
      {{
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8b134dd21348cp-6, -0x1.102af62a82c3ep-4, 0x1.c976bd86e7d06p-5, -0x1.672f5cb832f2dp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.56e81e50302cfp-6, -0x1.f343420884347p-5, 0x1.bbfe907332b42p-5, -0x1.67293cd768bcfp-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.272d8f117fc35p-6, -0x1.c789661a3354ep-5, 0x1.ae869e2b1ec6ap-5, -0x1.6741bc5a8c028p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.f78249b4d57b1p-7, -0x1.9d28615bd1797p-5, 0x1.a10dc0b486533p-5, -0x1.66e5de2eca4a3p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.a900c8deb39ffp-7, -0x1.74201376f938cp-5, 0x1.9398552c5ebd5p-5, -0x1.683cd75ab152bp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6291a5296b58dp-7, -0x1.4c70f4f381ae4p-5, 0x1.86160d18f817p-5, -0x1.633cd0d6d4c8bp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.23efe81dce0acp-7, -0x1.2619440873d4dp-5, 0x1.78c3c5441ce93p-5, -0x1.888f5ceaf6367p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.d9ac04c81fce4p-8, -0x1.0128847b0aaebp-5, 0x1.6a0b31c81a13fp-5, -0x1.d83639655fa7p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.79ee743a0d5e7p-8, -0x1.bbadb82e1f8b4p-6, 0x1.5855f6078017p-5, -0x1.10c06e628f831p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.27f23276d0f9bp-8, -0x1.78db69150ad7dp-6, 0x1.43e120f34eed4p-5, -0x1.3648bfacef27cp-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.c5cb528cba221p-9, -0x1.3a6887c509a7p-6, 0x1.2c9bac2cbcfd9p-5, -0x1.5b732f1aa0dadp-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.53b530a654b68p-9, -0x1.00e47fed91dcap-6, 0x1.128ca23df0ed4p-5, -0x1.813226608aa9p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.ef1854a8df49bp-10, -0x1.99be4c55bb31dp-7, 0x1.eb51beba3374ap-6, -0x1.a4fce022444dp-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.5e022cec2acdep-10, -0x1.3dcb57a1a51f3p-7, 0x1.ac2bd04ea934dp-6, -0x1.d004081c7f81fp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.de2ddebd740b1p-11, -0x1.de3d999f8f824p-8, 0x1.66919be3fc7b2p-6, -0x1.cac4a65be9f89p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.39bbbd7b05335p-11, -0x1.5c937efa52d14p-8, 0x1.21c0e95632fcap-6, -0x1.953f5f4eb1555p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.87b9713f0a48p-12, -0x1.e9aa10af4a0c6p-9, 0x1.c9eecfae63f9ap-7, -0x1.66f4992f86e34p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.cb3e47e407ef2p-13, -0x1.48074bec62794p-9, 0x1.5e3f082021e93p-7, -0x1.36bca647bd887p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.efc6b353c8fedp-14, -0x1.9d260175c08cdp-10, 0x1.01066fd7690b8p-7, -0x1.06fee59460ce2p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.de2ddebd7409fp-15, -0x1.de2cf7b67562dp-11, 0x1.6440bc55cb359p-8, -0x1.ae8b11afe342ap-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.87b9713f0a45cp-16, -0x1.e9ad55b1b3399p-12, 0x1.c62e07a874775p-9, -0x1.4e00d416bdc79p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.efc6b353c8e8p-18, -0x1.9cfcf07544a4dp-13, 0x1.fb8e44026b9a4p-10, -0x1.e397be21b286dp-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.87b9713f09bfep-20, -0x1.ec05dc2b1df68p-15, 0x1.b2ccd70f9a953p-11, -0x1.0ab297bc72212p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.87b9713f08001p-24, -0x1.a2fa996babb5p-18, 0x1.cb0d50b5e0081p-13, -0x1.64eb7e7e1ae43p-8}, 
      }}, 
      0x1.4fda4f80e2ba8p-4, -0x1.02d34a6ea0a3ap-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.a91d64bd29b35p-12, 0x1.22849bc2afe58p-9, 0x1.1dadda5c2fb7dp-8, 0x1.a2d370ae63b4ap-8, 0x1.075ba51b73a7p-7, 0x1.2b92f20d3dcfbp-7, 0x1.3baaef21ee469p-7, 0x1.37197c8943b3ep-7, 0x1.1e92c166080d7p-7, 0x1.e733a914eded2p-8, 0x1.706243bc1e5ddp-8, 0x1.ba852b5143deep-9, 0x1.9504b0a75022dp-11, -0x1.156db67855238p-9, -0x1.561e098e1235fp-8, -0x1.1598a7cba0ed3p-7, -0x1.82f01526122e4p-7, -0x1.f13b83abba92ap-7, -0x1.2f68ededea7cfp-6, -0x1.651d809c93e6dp-6, -0x1.99175cd4ef6a4p-6, -0x1.cac9505d549fep-6, -0x1.f9bbbd52a692bp-6, -0x1.12c589323ac7fp-5, -0x1.26f3149ace0bdp-5, -0x1.39464dc7fc673p-5, -0x1.49a68e1542eb8p-5, -0x1.5801ee0c8fb88p-5, -0x1.644c82cac03cep-5, -0x1.6e7fa9e76cc84p-5, -0x1.7699670795483p-5, -0x1.7c9bd3c686d76p-5, -0x1.808ca03e6166cp-5, -0x1.82749f2026517p-5, -0x1.825f5876b8e1p-5, -0x1.805aa0bb47348p-5, -0x1.7c7635af09baep-5, -0x1.76c363ab6c14ep-5, -0x1.6f54b4d618f37p-5, -0x1.663daa239d79cp-5, -0x1.5b927cf307f4ep-5, -0x1.4f67e8744bf9ep-5, -0x1.41d2f9a4a877bp-5, -0x1.32e8e541146c5p-5, -0x1.22bee2efbed55p-5, -0x1.116a0d8fdd039p-5, -0x1.fdfe8ebe6cd5bp-6, -0x1.d726435a8db0ep-6, -0x1.ae73939ddf38ep-6, -0x1.840df05e4adb1p-6, -0x1.581bbfdae7079p-6, -0x1.2ac24848d63bfp-6, -0x1.f84b466397199p-7, -0x1.98d1580b62c22p-7, -0x1.3759dbbb1cdb6p-7, -0x1.a84a797ac1c36p-8, -0x1.bdc511a18bf01p-9, -0x1.2f22d7baeaad1p-12, 0x1.762b7ce963862p-9, 0x1.8ac9de02b2cfcp-8, 0x1.2de2160827967p-7, 0x1.96d1e1fc46374p-7, 0x1.000330396d603p-6, 0x1.34aa0f379154dp-6, 0x1.69491409213bfp-6, 0x1.9dccfd0fb71d7p-6, 0x1.d223b25f0a374p-6, 0x1.031e1a9df6749p-5, 0x1.1d0349c182dfep-5, 0x1.36b9f032c3eeap-5, 0x1.503b17f398582p-5, 0x1.69804894e65eep-5, 0x1.82838295cdc4ep-5, 0x1.9b3f391e0c594p-5, 0x1.b3ae4b02554e6p-5, 0x1.cbcbfc4b29879p-5, 0x1.e393f0e6821d5p-5, 0x1.fb02287fe1372p-5, 0x1.09097d91a2272p-4, 0x1.14618af792cb9p-4, 0x1.1f87bbc2ca186p-4, 0x1.2a7ab5fff4763p-4, 0x1.353944400c2c6p-4, 0x1.3fc25350462dcp-4, 0x1.4a14f004d8f5p-4, 0x1.5430452aeddf4p-4, 0x1.5e1399b97d941p-4, 0x1.67be4f34aceccp-4, 0x1.712fe03f31cf7p-4, 0x1.7a67df48dc2dbp-4, 0x1.8365f54a887b7p-4, 0x1.8c29e08bb843fp-4, 0x1.94b37364b68fdp-4, 0x1.9d0293096d87cp-4, 0x1.a517365470567p-4, 0x1.acf1649e9b0d2p-4, 0x1.b49134a282739p-4, 0x1.bbf6cb7031978p-4, 0x1.c3225b73a2cfdp-4, 0x1.ca14238c1b266p-4, 0x1.d0cc6e381fe53p-4, 0x1.d74b90ce71db6p-4, 0x1.dd91eac778af4p-4, 0x1.e39fe511ab2e4p-4, 0x1.e975f16f2cf7p-4, 0x1.ef1489ddb068dp-4, 0x1.f47c30026bcbbp-4, 0x1.f9ad6ca0ac75p-4, 0x1.fea8cf11bbb2cp-4, 0x1.01b776644e4d2p-3, 0x1.0400306a7ee2fp-3, 0x1.062ee5b9b56c1p-3, 0x1.0843e8ceced4dp-3, 0x1.0a3f8e50c23b6p-3, 0x1.0c222ce173e65p-3, 0x1.0dec1cec32fa7p-3, 0x1.0f9db87c94288p-3, 0x1.11375b134643ep-3, 0x1.12b9617dfbdbcp-3, 0x1.142429b59699p-3, 0x1.157812b595b22p-3, 0x1.16b57c5fd94a4p-3, 0x1.17dcc75b24e3dp-3, 0x1.18ee54f1aa9efp-3, 0x1.19ea86fa97dbbp-3, 0x1.1ad1bfba00507p-3, 0x1.1ba461c61c854p-3, 0x1.1c62cff403389p-3, 0x1.1d0d6d392ad66p-3, 0x1.1da49c969fd59p-3, 0x1.1e28c107d408bp-3, 0x1.1e9a3d6644f59p-3, 0x1.1ef9745911f0ap-3, 0x1.1f46c84630841p-3, 0x1.1f829b38601e3p-3, 0x1.1fad4ed170e8dp-3, 0x1.1fc7443eab1a9p-3, 0x1.1fd0dc21581cep-3, 0x1.1fca7681d02e1p-3, 0x1.1fb472c6fb1acp-3, 0x1.1f8f2fa4304dep-3, 0x1.1f5b0b08ac603p-3, 0x1.1f18621d0a94cp-3, 0x1.1ec7913405246p-3, 0x1.1e68f3b932f68p-3, 0x1.1dfce42f38138p-3, 0x1.1d83bc286d099p-3, 0x1.1cfdd434a9e06p-3, 0x1.1c6b83db5e0c4p-3, 0x1.1bcd219cb7fb1p-3, 0x1.1b2302e4d422bp-3, 0x1.1a6d7bfe1ffep-3, 0x1.19ace0138de1p-3, 0x1.18e18130397e8p-3, 0x1.180bb030b24c5p-3, 0x1.172bbcbb77cecp-3, 0x1.1641f5473b5d6p-3, 0x1.154ea7195ede1p-3, 0x1.14521e3805133p-3, 0x1.134ca5665d638p-3, 0x1.123e862c6ece2p-3, 0x1.112808d94bbf7p-3, 0x1.10097472930f5p-3, 0x1.0ee30eb5139d4p-3, 0x1.0db51c1d30517p-3, 0x1.0c7fdfeab8655p-3, 0x1.0b439c1542649p-3, 0x1.0a0091491c71fp-3, 0x1.08b6fef0d28dcp-3, 0x1.0767233d0dc5dp-3, 0x1.06113b1e50adap-3, 0x1.04b5823dd38b1p-3, 0x1.03543304b47a6p-3, 0x1.01ed86a81792bp-3, 0x1.0081b5294cb87p-3, 0x1.fe21ea9cdff2cp-4, 0x1.fb36f946ac53dp-4, 0x1.f842ff0b925ep-4, 0x1.f546625c8b701p-4, 0x1.f241875a20e9fp-4, 0x1.ef34cfcb85fccp-4, 0x1.ec209b29d9447p-4, 0x1.e90546b8e900bp-4, 0x1.e5e32d946143fp-4, 0x1.e2baa8aa50179p-4, 0x1.df8c0eb862479p-4, 0x1.dc57b45a8f50ep-4, 0x1.d91dec221d00fp-4, 0x1.d5df06a16f8e8p-4, 0x1.d29b52695d43ap-4, 0x1.cf531c080a75ep-4, 0x1.cc06ae16716cfp-4, 0x1.c8b6514e7f8d6p-4, 0x1.c5624c980ebfcp-4, 0x1.c20ae50bcd977p-4, 0x1.beb05df273404p-4, 0x1.bb52f8ce30a99p-4, 0x1.b7f2f56c9c90cp-4, 0x1.b49091f686fc7p-4, 0x1.b12c0af6ae3bap-4, 0x1.adc59b5b43af4p-4, 0x1.aa5d7c7be2cacp-4, 0x1.a6f3e627254b6p-4, 0x1.a3890eb24ab7fp-4, 0x1.a01d2b0441af3p-4, 0x1.9cb06e99c76fbp-4, 0x1.99430b88e52c8p-4, 0x1.95d532891a011p-4, 0x1.926713002bb52p-4, 0x1.8ef8db0f123efp-4, 0x1.8b8ab79a94971p-4, 0x1.881cd44fa54c1p-4, 0x1.84af5ba7dab45p-4, 0x1.814276f177754p-4, 0x1.7dd64e595bbfcp-4, 0x1.7a6b08f8a2267p-4, 0x1.7700ccd9994a3p-4, 0x1.7397befb05049p-4, 0x1.70300359755c3p-4, 0x1.6cc9bcf06815ep-4, 0x1.69650dc5b7579p-4, 0x1.660216f4ca5e5p-4, 0x1.62a0f8ade5656p-4, 0x1.5f41d245e69cap-4, 0x1.5be4c2320eb3bp-4, 0x1.5889e611b7dbcp-4, 0x1.55315ab262228p-4, 0x1.51db3c154d08dp-4, 0x1.4e87a576a8e23p-4, 0x1.4b36b1548a74fp-4, 0x1.47e8797326a82p-4, 0x1.449d16df2e19fp-4, 0x1.4154a1f397f8p-4, 0x1.3e0f325cb07fap-4, 0x1.3accdf1e6b1efp-4, 0x1.378dbe9963deep-4, 0x1.3451e68dd326p-4, 0x1.31196c205e67cp-4, 0x1.2de463dd8d347p-4, 0x1.2ab2e1bbe57abp-4, 0x1.2784f921283b1p-4, 0x1.245abce583373p-4, 0x1.21343f5646138p-4, 0x1.1e11923a1d50fp-4, 0x1.1af2c6d3be762p-4, 0x1.17d7ede4cf811p-4, 0x1.14c117af51d4dp-4, 0x1.11ae53fa1f854p-4, 0x1.0e9fb21258e85p-4, 0x1.0b9540ce24f9dp-4, 0x1.088f0e8f99dbdp-4, 0x1.058d2946e72b3p-4, 0x1.028f9e746f166p-4, 0x1.ff2cf6556c93dp-5, 0x1.f943981edc91fp-5, 0x1.f3633abe4b8d1p-5, 0x1.ed8bf5db6465fp-5, 0x1.e7bde0510d254p-5, 0x1.e1f91032cdba8p-5, 0x1.dc3d9acb285d6p-5, 0x1.d68b94a60dad4p-5, 0x1.d0e3118c122a5p-5, 0x1.cb442489ae895p-5, 0x1.c5aedfef83f59p-5, 0x1.c02355583f035p-5, 0x1.baa195a87f68bp-5, 0x1.b529b11269badp-5, 0x1.afbbb717e873bp-5, 0x1.aa57b68cc7accp-5, 0x1.a4fdbd985884cp-5, 0x1.9fadd9b7f829ep-5, 0x1.9a6817c127019p-5, 0x1.952c83e3a6253p-5, 0x1.8ffb29aa52eeep-5, 0x1.8ad413ff6e43cp-5, 0x1.85b74d2c357ccp-5, 0x1.80a4dedaec899p-5, 0x1.7b9cd218cb939p-5, 0x1.769f2f57b671cp-5, 0x1.71abfe701f636p-5, 0x1.6cc346a2e20d9p-5, 0x1.67e50e9adec8ep-5, 0x1.63115c6e5045cp-5, 0x1.5e48359ff20a6p-5, 0x1.59899f1f99263p-5, 0x1.54d59d4c72c13p-5, 0x1.502c33f77772cp-5, 0x1.4b8d6664ac7cbp-5, 0x1.46f9374de4e42p-5, 0x1.426fa8e409024p-5, 0x1.3df0bccf687f2p-5, 0x1.397c742fc5edfp-5, 0x1.3512cf9cf3b97p-5, 0x1.30b3cf2859a16p-5, 0x1.2c5f7260f70e6p-5, 0x1.2815b856e337dp-5, 0x1.23d69f9edc0f9p-5, 0x1.1fa22652a6aa3p-5, 0x1.1b784a1066023p-5, 0x1.175907f844d59p-5, 0x1.13445caa6203p-5, 0x1.0f3a44493e3f4p-5, 0x1.0b3aba7f833b7p-5, 0x1.0745ba87dec92p-5, 0x1.035b3f33a74fbp-5, 0x1.fef685da2cfbp-6, 0x1.f74b7f67a5f89p-6, 0x1.efb55e2b46e5cp-6, 0x1.e834144f60cp-6, 0x1.e0c7930a81841p-6, 0x1.d96fcaad486e9p-6, 0x1.d22caabd54b6bp-6, 0x1.cafe2212a1a3fp-6, 0x1.c3e41eec52a7dp-6, 0x1.bcde8eee05455p-6, 0x1.b5ed5f08d36c7p-6, 0x1.af107b5a87148p-6, 0x1.a847cf12fbb99p-6, 0x1.a1934470c058p-6, 0x1.9af2c4dadd32cp-6, 0x1.94663910e96ddp-6, 0x1.8ded895e2e752p-6, 0x1.87889db9c692bp-6, 0x1.81375dc427225p-6, 0x1.7af9b0a1ea0bcp-6, 0x1.74cf7cc36f3e3p-6, 0x1.6eb8a7b331c2dp-6, 0x1.68b5160372d83p-6, 0x1.62c4ab66d55b9p-6, 0x1.5ce74aef82e44p-6, 0x1.571cd75be191fp-6, 0x1.51653351d6d8cp-6, 0x1.4bc041720d0eep-6, 0x1.462de43a09318p-6, 0x1.40adfdc1b7f43p-6, 0x1.3b406f6fc7922p-6, 0x1.35e519c4e269ep-6, 0x1.309bdc54d7835p-6, 0x1.2b6495f2c4008p-6, 0x1.263f2500eb204p-6, 0x1.212b67c30bcaep-6, 0x1.1c293c9b666e9p-6, 0x1.1738821254953p-6, 0x1.125916b6c51d8p-6, 0x1.0d8ad8dd99b96p-6, 0x1.08cda65e95a8cp-6, 0x1.04215c6682cfdp-6, 0x1.ff0baee001bcp-7, 0x1.f5f5e6cad2234p-7, 0x1.ed0117b5c4dbap-7, 0x1.e42cf88fa28e5p-7, 0x1.db7940510c805p-7, 0x1.d2e5a601969dap-7, 0x1.ca71e094d9037p-7, 0x1.c21da6c396152p-7, 0x1.b9e8aef8df307p-7, 0x1.b1d2af5574ce6p-7, 0x1.a9db5dc353232p-7, 0x1.a2027012b7a66p-7, 0x1.9a479c13ede2ap-7, 0x1.92aa9791776b3p-7, 0x1.8b2b180be1d19p-7, 0x1.83c8d23bfb183p-7, 0x1.7c83799a99392p-7, 0x1.755ac04c53bfcp-7, 0x1.6e4e57a8f980bp-7, 0x1.675df139f2a6bp-7, 0x1.60893fc0101c8p-7, 0x1.59cff7d790947p-7, 0x1.5331d0141d7acp-7, 0x1.4cae80a8decfbp-7, 0x1.4645c2b33c1dep-7, 0x1.3ff74f205b6c4p-7, 0x1.39c2dd36f5325p-7, 0x1.33a82129430cfp-7, 0x1.2da6cb6eaeb6ap-7, 0x1.27be898f715d6p-7, 0x1.21ef085d8b0e4p-7, 0x1.1c37f6b7175bap-7, 0x1.1699079275b1bp-7, 0x1.1111f293c814fp-7, 0x1.0ba273543eb74p-7, 0x1.064a480bbe5f3p-7, 0x1.010930180a345p-7, 0x1.f7bdd4a530609p-8, 0x1.ed9665f502cf3p-8, 0x1.e39b82f6268bcp-8, 0x1.d9cc8e4d1eea1p-8, 0x1.d028e06ac059dp-8, 0x1.c6afceb44e281p-8, 0x1.bd60b50cc0245p-8, 0x1.b43afcf58bc99p-8, 0x1.ab3e1eecf153cp-8, 0x1.a2699e8cb88bp-8, 0x1.99bd04d50168ap-8, 0x1.9137dbda4a9acp-8, 0x1.88d9ac93ef0f4p-8, 0x1.80a1fd1b782dcp-8, 0x1.78904d41bd53ep-8, 0x1.70a41189d3b3fp-8, 0x1.68dcafed9ee6bp-8, 0x1.613982fc7ea74p-8, 0x1.59b9e48aac8d8p-8, 0x1.525d3b147369p-8, 0x1.4b2301cb34fffp-8, 0x1.440ac6c1339ap-8, 0x1.3d1421d47d80bp-8, 0x1.363eab1c581abp-8, 0x1.2f89f6049a845p-8, 0x1.28f591e0e4869p-8, 0x1.22810d144649cp-8, 0x1.1c2bf641ddd93p-8, 0x1.15f5d85788a52p-8, 0x1.0fde32fe8d72dp-8, 0x1.09e4763210552p-8, 0x1.040807e60a46dp-8, 0x1.fc90a66d657e2p-9, 0x1.f149ae267c70dp-9, 0x1.e63a523dadf8bp-9, 0x1.db61d74eb79c4p-9, 0x1.d0bf80a2354dap-9, 0x1.c65282042095bp-9, 0x1.bc1a017cbb6bcp-9, 0x1.b2152268c8ccbp-9, 0x1.a843133051a6p-9, 0x1.9ea3166847c6dp-9, 0x1.95347f0ee4236p-9, 0x1.8bf69d8564bdcp-9, 0x1.82e8a82debcbap-9, 0x1.7a09b454110f5p-9, 0x1.7158cbb5baeacp-9, 0x1.68d50f7bc7192p-9, 0x1.607dc5aa2d16p-9, 0x1.58524194e6115p-9, 0x1.5051c22d461aep-9, 0x1.487b6a2a3a70cp-9, 0x1.40ce521592f56p-9, 0x1.3949999d61e2p-9, 0x1.31ec6ce8a6b22p-9, 0x1.2ab6085afdf2dp-9, 0x1.23a5c367b082ep-9, 0x1.1cbb194b87e6p-9, 0x1.15f5a066763e5p-9, 0x1.0f54ecc1794ffp-9, 0x1.08d872757f4cbp-9, 0x1.027f88391705ap-9, 0x1.f89319295ad0fp-10, 0x1.ec6bfdf1561f2p-10, 0x1.e088c6450d808p-10, 0x1.d4e81ddf0369bp-10, 0x1.c98852d23aef7p-10, 0x1.be67be1266706p-10, 0x1.b38508728d408p-10, 0x1.a8defce61dcd9p-10, 0x1.9e74394ad66a8p-10, 0x1.944329f5544a3p-10, 0x1.8a4a5813a90c6p-10, 0x1.8088bd3c89b3ap-10, 0x1.76fdc91237e2dp-10, 0x1.6da90469aec78p-10, 0x1.64899ac631bc7p-10, 0x1.5b9e460f311efp-10, 0x1.52e5c31f893e6p-10, 0x1.4a5f40ec802eap-10, 0x1.420a223aa2e18p-10, 0x1.39e55dd3324c4p-10, 0x1.31ef7e458296ep-10, 0x1.2a276705c8b05p-10, 0x1.228cc5ab2d9d1p-10, 0x1.1b1f8487b01f9p-10, 0x1.13def86d81fd4p-10, 0x1.0cc9bbe7323edp-10, 0x1.05de3e172c36bp-10, 0x1.fe36c2f6b3f7p-11, 0x1.f10153d7a8de4p-11, 0x1.e41be1dfce866p-11, 0x1.d785b427839fbp-11, 0x1.cb3cb6ab03804p-11, 0x1.bf3d97cf8c1ebp-11, 0x1.b385372d72d11p-11, 0x1.a811e9b2caa8cp-11, 0x1.9ce2c6bfd95d1p-11, 0x1.91f5db83e4527p-11, 0x1.87483d5c6d688p-11, 0x1.7cd861708154ap-11, 0x1.72a721180d48ep-11, 0x1.68b5a2c1ded86p-11, 0x1.5f0318966d5bep-11, 0x1.558cff40bbe64p-11, 0x1.4c50ecf0d204fp-11, 0x1.434da605318f9p-11, 0x1.3a82d04f67163p-11, 0x1.31f046c9dc16fp-11, 0x1.2995bdf9912abp-11, 0x1.21725fbf2462fp-11, 0x1.198432b05a44cp-11, 0x1.11c83a505a45ep-11, 0x1.0a3bea767cb6p-11, 0x1.02de5ea036f23p-11, 0x1.f75ee618388c6p-12, 0x1.e95b75b65a123p-12, 0x1.dbad233968e2fp-12, 0x1.ce51a1bf5923p-12, 0x1.c14b343025facp-12, 0x1.b49b2db743ecfp-12, 0x1.a83e8fd82060ap-12, 0x1.9c31175de8e41p-12, 0x1.9070e4d343ba9p-12, 0x1.84fdf9c166a5ep-12, 0x1.79d7d51f11f23p-12, 0x1.6efcc2c261611p-12, 0x1.646acd9c4cc12p-12, 0x1.5a208b5f9e47ap-12, 0x1.501c88369d4c9p-12, 0x1.465bb41a8ee91p-12, 0x1.3cd953c975d93p-12, 0x1.3391acb6f477cp-12, 0x1.2a84422359b16p-12, 0x1.21b2a8230ba98p-12, 0x1.191c87a9446c9p-12, 0x1.10be1e8f9770bp-12, 0x1.089577df184p-12, 0x1.00a42f628f219p-12, 0x1.f1d3709cafd15p-13, 0x1.e2c50cd618d7bp-13, 0x1.d419aa9d6dec6p-13, 0x1.c5d2eb9ee65f4p-13, 0x1.b7f18270924bep-13, 0x1.aa7333768ac68p-13, 0x1.9d54f53b73174p-13, 0x1.909485f88f5e9p-13, 0x1.8430df28f1773p-13, 0x1.782a0a4640815p-13, 0x1.6c7f65546f65ap-13, 0x1.612c93587f76p-13, 0x1.56296b3aef7dep-13, 0x1.4b6e91d5ee706p-13, 0x1.40f9bade0ca97p-13, 0x1.36cdf3130857ap-13, 0x1.2cec0d9d70783p-13, 0x1.234b8539d00ccp-13, 0x1.19e6df6fc76dcp-13, 0x1.10c0c1c455c6bp-13, 0x1.07d7834356647p-13, 0x1.fe5179a9714bbp-14, 0x1.ed6f79bf5ac3dp-14, 0x1.dd0d32017b19ep-14, 0x1.cd25bde5a1064p-14, 0x1.bdb1eea406831p-14, 0x1.aeac2ecd9d843p-14, 0x1.a01071c848992p-14, 0x1.91dc10724472fp-14, 0x1.840e98c4886cp-14, 0x1.76aa7af371a66p-14, 0x1.69b2df627cf5ap-14, 0x1.5d266a9a27e2dp-14, 0x1.50fe20c897dc1p-14, 0x1.453312a84b345p-14, 0x1.39c36eaf0c79ep-14, 0x1.2eb423d3d0677p-14, 0x1.2407f84406785p-14, 0x1.19af1713f3feap-14, 0x1.0f9cd5f6f7b47p-14, 0x1.05d2e22846963p-14, 0x1.f89682b98fe22p-15, 0x1.e60d8ca5638efp-15, 0x1.d41416807a044p-15, 0x1.c2a21269d1861p-15, 0x1.b1acc3de106ffp-15, 0x1.a12ffa95fa153p-15, 0x1.912b64b222722p-15, 0x1.819f49dc9cf88p-15, 0x1.728ad3ee04ecp-15, 0x1.63eb7407a53f5p-15, 0x1.55bdb1bf4763p-15, 0x1.47ff4471c7e64p-15, 0x1.3aaf6ac1c0172p-15, 0x1.2dcb2dab65f76p-15, 0x1.214d20679faa3p-15, 0x1.153328274e4b4p-15, 0x1.097e8e749004cp-15, 0x1.fc650241f6338p-16, 0x1.e6ae14538c29p-16, 0x1.d1c18870296bp-16, 0x1.bd70d2dbeaed6p-16, 0x1.a9baf16126685p-16, 0x1.96986a62e6b4cp-16, 0x1.841e20c4ec187p-16, 0x1.724d6b3b0f32ep-16, 0x1.6116890921bcp-16, 0x1.50732833eea93p-16, 0x1.40618cf561d1p-16, 0x1.30dea9cbba3dcp-16, 0x1.21e4d9fdd3493p-16, 0x1.136c429cf2105p-16, 0x1.056be495126d9p-16, 0x1.efb6a64d8d07cp-17, 0x1.d569e369d4465p-17, 0x1.bbf05d815089dp-17, 0x1.a35273aa3c816p-17, 0x1.8b961bfddafdcp-17, 0x1.74b5b295fae92p-17, 0x1.5ea6ba8179ee9p-17, 0x1.495b1b2d361cp-17, 0x1.34c28aaafbf62p-17, 0x1.20e6c7a5008e1p-17, 0x1.0deb44bd8e4ap-17, 0x1.f755bb431a6fep-18, 0x1.d42242e8d91d4p-18, 0x1.b241925cfa63bp-18, 0x1.91d844511246p-18, 0x1.72b109d52cd95p-18, 0x1.549f1b70b0c83p-18, 0x1.379ad42683114p-18, 0x1.1ba3b45179f9ap-18, 0x1.00b82a23a8209p-18, 0x1.cdab0d72582bfp-19, 0x1.9bf126786017ep-19, 0x1.6c3bd4844e0e8p-19, 0x1.3e84497d7d746p-19, 0x1.12c38f3bf164bp-19, 0x1.d1e3dbb845acap-20, 0x1.820e495e9b569p-20, 0x1.35f75d68265b4p-20, 0x1.db09ca573bc5fp-21, 0x1.50ed71e27af91p-21, 0x1.99c5a65844c08p-22, 0x1.38f69617b424cp-23, -0x1.5b8ca5c9543d8p-24, -0x1.409b1c9182f74p-22, -0x1.0fbce2c84caccp-21, -0x1.78d879ef529b7p-21, -0x1.dd74893535c25p-21, -0x1.1eee4458c674dp-20, -0x1.4c695a4b597e5p-20, -0x1.77527b79fb7f5p-20, -0x1.9fcbe5dcb79p-20, -0x1.c5ecc1f3071fdp-20, -0x1.e9e904ec26de2p-20, -0x1.05f87075ee478p-19, -0x1.161040677199bp-19, -0x1.25427a44e9698p-19, -0x1.3392b65d20d2dp-19, -0x1.41047ca5877bep-19, -0x1.4d9c508ae830cp-19, -0x1.595fcd150e932p-19, -0x1.64557cbf2a4ccp-19, -0x1.6e849a2f8c4dcp-19, -0x1.77f445732cff9p-19, -0x1.80a9f52e47515p-19, -0x1.88a9a898c83f6p-19, -0x1.8ff88e1cca258p-19, -0x1.969d405cdfe55p-19, -0x1.9c9d7298ddb74p-19, -0x1.a1fce9d7ba5e5p-19, -0x1.a6c03f20cc8a4p-19, -0x1.aaea4541c0859p-19, -0x1.ae6de42b2be35p-19, -0x1.b16f61aa7d968p-19, -0x1.b3f834d70de7fp-19, -0x1.b60b6dd4fedcbp-19, -0x1.b7b3fc8744e84p-19, -0x1.b8eac8d682487p-19, -0x1.b9b17e3e4904ap-19, -0x1.ba107e394b5b3p-19, -0x1.ba090a34a406ep-19, -0x1.b997b9201cb4p-19, -0x1.b8c08f0499b9dp-19, -0x1.b78d3111bd5a6p-19, -0x1.b6050762ccea9p-19, -0x1.b42bce9b94d3ap-19, -0x1.b203c0cc56d79p-19, -0x1.af8f14c0e81a6p-19, -0x1.acd059f53ae83p-19, -0x1.a9ca5a530c495p-19, -0x1.a67ffbe903821p-19, -0x1.a2f460adae676p-19, -0x1.9f2ae62b1ded8p-19, -0x1.9b26845d28654p-19, -0x1.96e9a9e2de61bp-19, -0x1.9276cf9baa56bp-19, -0x1.8dd094ead8f82p-19, -0x1.88f96a5537c6p-19, -0x1.83f2e90afe249p-19, -0x1.7ebfcd31def35p-19, -0x1.79642e17fe7b7p-19, -0x1.73e01370942cep-19, -0x1.6e36e093f94aap-19, -0x1.6868a904ba30ep-19, -0x1.62784d250e9d3p-19, -0x1.5c68face0df34p-19, -0x1.563efe6c504fap-19, -0x1.4fff4def389f7p-19, -0x1.49ab3de8274aep-19, -0x1.433d8aec1f2d5p-19, -0x1.3cb4234b42c81p-19, -0x1.3614c7031d1d2p-19, -0x1.2f5ece98e0d45p-19, -0x1.2893134acee2ap-19, -0x1.21be2aefc7e02p-19, -0x1.1ae33b494518dp-19, -0x1.13fbabfe933ap-19, -0x1.0d0474ae06e5cp-19, -0x1.05fefbed8f3a3p-19, -0x1.fddbd85d48ec7p-20, -0x1.efa84052d70bap-20, -0x1.e1681c3f2ebaap-20, -0x1.d31d95eeebee4p-20, -0x1.c4ca3b0d9a407p-20, -0x1.b67068477f414p-20, -0x1.a81297fb3369dp-20, -0x1.99b2eb8a48732p-20, -0x1.8b5175592f59ap-20, -0x1.7cec0815a8a95p-20, -0x1.6e904c28141a8p-20, -0x1.603f2f72c56f6p-20, -0x1.51f16d91520f2p-20, -0x1.43aa36198f3eep-20, -0x1.356d61a8150b7p-20, -0x1.273c9b6436efap-20, -0x1.19193c133a3d1p-20, -0x1.0b048554a9985p-20, -0x1.f9ff4408bc75p-21, -0x1.de17321db3874p-21, -0x1.c252692489757p-21, -0x1.a6b1cb8c8f65ep-21, -0x1.8b357ec8ddc1ap-21, -0x1.6fdde42bde45ap-21, -0x1.54b0bb6293692p-21, -0x1.39c6defd52028p-21, -0x1.1f48ad078337bp-21, -0x1.05209253c5ee1p-21, -0x1.d616daacd43e9p-22, -0x1.a1f0d699ef7a1p-22, -0x1.6e1800e6f6437p-22, -0x1.3b3e455b72582p-22, -0x1.091b8c9a9fb31p-22, -0x1.aea494a2abe8cp-23, -0x1.4bcea5ec072dp-23, -0x1.d3d2c76e0e9b5p-24, -0x1.122bf326c2205p-24, -0x1.4b2b804bbd0a9p-26, 0x1.a8f5be330582ep-26, 0x1.24fb016532a2p-24, 0x1.dd9428af5dbep-24, 0x1.499ddd7df64d4p-23, 0x1.a3412683de588p-23, 0x1.fbb6fb93d32a1p-23, 0x1.29742dcebf053p-22, 0x1.5468731edaee3p-22, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.d934a8df7ea85p-4, -0x1.d9853907d17adp-4, -0x1.da0a77d3e00f4p-4, -0x1.dac35dc14edf6p-4, -0x1.dbaf019dac30ep-4, -0x1.dcccbcc8c1687p-4, -0x1.de1c3c5bf805bp-4, -0x1.df9d861c78de7p-4, -0x1.e150f5f81bf6p-4, -0x1.e337371307d37p-4, -0x1.e5513a3f7fc63p-4, -0x1.e7a02b02d82dcp-4, -0x1.ea2563e2d53a4p-4, -0x1.ece2627ed8699p-4, -0x1.efd8bbd8ced3bp-4, -0x1.f30a111d0dfddp-4, -0x1.f6780528482efp-4, -0x1.fa2432fab8fe4p-4, -0x1.fe102538bf90ap-4, -0x1.011ea7654c41p-3, -0x1.0356824fe2ebcp-3, -0x1.05b03c47e5bacp-3, -0x1.082c5aa48d643p-3, -0x1.0acb4d9c71c84p-3, -0x1.0d8d6f2939caap-3, -0x1.1073024d8d5b6p-3, -0x1.137c32af94ed6p-3, -0x1.16a9147ad90c2p-3, -0x1.19f9a47d5f49bp-3, -0x1.1d6dc8750e90cp-3, -0x1.21054f83d4934p-3, -0x1.24bff2c27941ap-3, -0x1.289d55eb554cfp-3, -0x1.2c9d08177a671p-3, -0x1.30be8489e91d5p-3, -0x1.350133856ad94p-3, -0x1.39646b2a6abb5p-3, -0x1.3de7705ad54b4p-3, -0x1.428977a267bbcp-3, -0x1.4749a6225ef5p-3, -0x1.4c27127f8830dp-3, -0x1.5120c5d206c16p-3, -0x1.5635bc96245d4p-3, -0x1.5b64e79d9d721p-3, -0x1.60ad2d00c6c2fp-3, -0x1.660d690f0a25p-3, -0x1.6b846f3e1175dp-3, -0x1.71110b1701794p-3, -0x1.76b201211835dp-3, -0x1.7c660fc9034acp-3, -0x1.822bf044382a8p-3, -0x1.8802576fa4768p-3, -0x1.8de7f6a8fb20cp-3, -0x1.93db7ca20546p-3, -0x1.99db962d49776p-3, -0x1.9fe6ef0383c1ap-3, -0x1.a5fc328152bf5p-3, -0x1.ac1a0c5cc2a24p-3, -0x1.b23f29522b39ep-3, -0x1.b86a37c82a6c5p-3, -0x1.be99e86a67935p-3, -0x1.c4cceebaf3c14p-3, -0x1.cb02019a2ac88p-3, -0x1.d137dbc505308p-3, -0x1.d76d3c49db17dp-3, -0x1.dda0e6f3b5eb8p-3, -0x1.e3d1a4ac48b42p-3, -0x1.e9fe43d4c2dd7p-3, -0x1.f0259895b786ap-3, -0x1.f6467d265ed91p-3, -0x1.fc5fd20b82512p-3, -0x1.01383f2735f7fp-2, -0x1.043bb7d617444p-2, -0x1.0739cd5eda1e7p-2, -0x1.0a31fd8c77517p-2, -0x1.0d23c9b5ce575p-2, -0x1.100eb6c801cfap-2, -0x1.12f24d4e0b79cp-2, -0x1.15ce1975b1ec6p-2, -0x1.18a1ab1220b01p-2, -0x1.1b6c959c4c158p-2, -0x1.1e2e703159f31p-2, -0x1.20e6d58f3c265p-2, -0x1.2395640fadab1p-2, -0x1.2639bda1bdd23p-2, -0x1.28d387c21441ap-2, -0x1.2b626b7217f58p-2, -0x1.2de6152e1c02ap-2, -0x1.305e34e2ba1dap-2, -0x1.32ca7de17319bp-2, -0x1.352aa6d4c1c8dp-2, -0x1.377e69b3adep-2, -0x1.39c583b502f11p-2, -0x1.3bffb5423c9f5p-2, -0x1.3e2cc1ea4040cp-2, -0x1.404c7053f5f3ap-2, -0x1.425e8a30d24f2p-2, -0x1.4462dc2f5de18p-2, -0x1.465935edc96ecp-2, -0x1.484169ec96db9p-2, -0x1.4a1b4d8166285p-2, -0x1.4be6b8c9e59b9p-2, -0x1.4da3869ef40f4p-2, -0x1.4f519487f4101p-2, -0x1.50f0c2ae57b88p-2, -0x1.5280f3d165b8bp-2, -0x1.54020d3a394d4p-2, -0x1.5573f6b000aa2p-2, -0x1.56d69a6c73b0dp-2, -0x1.5829e5108c2e4p-2, -0x1.596dc599726f7p-2, -0x1.5aa22d55a686ep-2, -0x1.5bc70fda5e598p-2, -0x1.5cdc62f9163ecp-2, -0x1.5de21eb553c44p-2, -0x1.5ed83d3a94dd5p-2, -0x1.5fbebad26a9c4p-2, -0x1.609595dab63a7p-2, -0x1.615ccebc0e254p-2, -0x1.621467e03fa21p-2, -0x1.62bc65a8ea64bp-2, -0x1.6354ce66376a8p-2, -0x1.63ddaa4da2bedp-2, -0x1.64570370d5855p-2, -0x1.64c0e5b48ef86p-2, -0x1.651b5ec797f56p-2, -0x1.65667e19bd932p-2, -0x1.65a254d2d01d3p-2, -0x1.65cef5c9a7574p-2, -0x1.65ec757b233b1p-2, -0x1.65faea012c462p-2, -0x1.65fa6b09ae806p-2, -0x1.65eb11cd90fdfp-2, -0x1.65ccf907a3b3dp-2, -0x1.65a03ceb84813p-2, -0x1.6564fb1c7b6c8p-2, -0x1.651b52a44e151p-2, -0x1.64c363ea02de6p-2, -0x1.645d50a89d12cp-2, -0x1.63e93be5ca81ap-2, -0x1.636749e885afp-2, -0x1.62d7a02fad046p-2, -0x1.623a65688b0cfp-2, -0x1.618fc16558faap-2, -0x1.60d7dd13aeb22p-2, -0x1.6012e272f1f61p-2, -0x1.5f40fc8ab318dp-2, -0x1.5e62576109afp-2, -0x1.5d771ff0e6428p-2, -0x1.5c7f84205c8c3p-2, -0x1.5b7bb2b6eccbfp-2, -0x1.5a6bdb53c92b9p-2, -0x1.59502e6416bbcp-2, -0x1.5828dd1932666p-2, -0x1.56f6195ef2cccp-2, -0x1.55b815d1f280cp-2, -0x1.546f05b5d87c3p-2, -0x1.531b1cebadc94p-2, -0x1.51bc8fe8363f6p-2, -0x1.505393aa55202p-2, -0x1.4ee05db17cb2ap-2, -0x1.4d6323f42c62bp-2, -0x1.4bdc1cd67c81dp-2, -0x1.4a4b7f20bcf23p-2, -0x1.48b181f622c52p-2, -0x1.470e5ccb8d99cp-2, -0x1.4562475e6136cp-2, -0x1.43ad79ab78359p-2, -0x1.41f02be62bca3p-2, -0x1.402a966f7cf7bp-2, -0x1.3e5cf1cd52e0dp-2, -0x1.3c8776a1db67p-2, -0x1.3aaa5da30a221p-2, -0x1.38c5df923620ap-2, -0x1.36da3533db492p-2, -0x1.34e797477ee97p-2, -0x1.32ee3e7fb5b3cp-2, -0x1.30ee637a53831p-2, -0x1.2ee83eb8bddeap-2, -0x1.2cdc089867d4dp-2, -0x1.2ac9f94b76bc8p-2, -0x1.28b248d18efcep-2, -0x1.26952ef0cb7d8p-2, -0x1.2472e32ee1125p-2, -0x1.224b9cca6baefp-2, -0x1.201f92b46a392p-2, -0x1.1deefb89e4935p-2, -0x1.1bba0d8dc2e9bp-2, -0x1.1980fea2cd04ap-2, -0x1.17440445df435p-2, -0x1.15035388480cbp-2, -0x1.12bf210a5682p-2, -0x1.1077a0f618b1fp-2, -0x1.0e2d06fa47f8cp-2, -0x1.0bdf864565c2p-2, -0x1.098f51810759p-2, -0x1.073c9acd4fe78p-2, -0x1.04e793bc9c978p-2, -0x1.02906d4f5c3f6p-2, -0x1.003757f019a1ep-2, -0x1.fbb906df6271fp-3, -0x1.f7003e037408ap-3, -0x1.f244b2722cbc4p-3, -0x1.ed86c009740e5p-3, -0x1.e8c6c1592f8f8p-3, -0x1.e4050f9d81872p-3, -0x1.df4202b957a63p-3, -0x1.da7df1315d1f9p-3, -0x1.d5b930273bea7p-3, -0x1.d0f4135536dc1p-3, -0x1.cc2eed0a1c984p-3, -0x1.c76a0e258628p-3, -0x1.c2a5c61473adcp-3, -0x1.bde262ce321c1p-3, -0x1.b92030d190164p-3, -0x1.b45f7b226ac6fp-3, -0x1.afa08b477caf7p-3, -0x1.aae3a94882aa4p-3, -0x1.a6291baca2059p-3, -0x1.a17127791c04fp-3, -0x1.9cbc103049843p-3, -0x1.980a17d0db36p-3, -0x1.935b7ed55a192p-3, -0x1.8eb08433f00d9p-3, -0x1.8a09655e6c3aep-3, -0x1.85665e42896e9p-3, -0x1.80c7a94a6f694p-3, -0x1.7c2d7f5d74627p-3, -0x1.779817e10fce5p-3, -0x1.7307a8ba0e3a7p-3, -0x1.6e7c664df66d2p-3, -0x1.69f68384a50d7p-3, -0x1.657631ca1a6efp-3, -0x1.60fba110799eep-3, -0x1.5c86ffd239957p-3, -0x1.58187b147fbdbp-3, -0x1.53b03e69a9fddp-3, -0x1.4f4e73f402f7ap-3, -0x1.4af344689dde7p-3, -0x1.469ed71259e1ap-3, -0x1.425151d50eef7p-3, -0x1.3e0ad930d3f8fp-3, -0x1.39cb904576791p-3, -0x1.359398d60636p-3, -0x1.3163134c85f4ep-3, -0x1.2d3a1ebdb8528p-3, -0x1.2918d8ed09a36p-3, -0x1.24ff5e509193ep-3, -0x1.20edca1536349p-3, -0x1.1ce43622d6f1ap-3, -0x1.18e2bb20a2a43p-3, -0x1.14e970796be0ep-3, -0x1.10f86c60269e2p-3, -0x1.0d0fc3d46418p-3, -0x1.092f8aa6ef4p-3, -0x1.0557d37e70359p-3, -0x1.0188afdc1b2edp-3, -0x1.fb846040f1c5ap-4, -0x1.f408c720551ccp-4, -0x1.ec9eb0b18b70dp-4, -0x1.e546372b61af9p-4, -0x1.ddff72aa1892ap-4, -0x1.d6ca7939411a4p-4, -0x1.cfa75eddac621p-4, -0x1.c896359f562dep-4, -0x1.c1970d93610f7p-4, -0x1.baa9f4e61edb6p-4, -0x1.b3cef7e510536p-4, -0x1.ad062108ef5dcp-4, -0x1.a64f78ffaeaf7p-4, -0x1.9fab06b687888p-4, -0x1.9918cf63fe1dep-4, -0x1.9298d691d3b75p-4, -0x1.8c2b1e2707c19p-4, -0x1.85cfa671c369bp-4, -0x1.7f866e313fc51p-4, -0x1.794f729f9ec6ap-4, -0x1.732aaf7bbc1d9p-4, -0x1.6d181f12ec4ebp-4, -0x1.6717ba4aaf7d4p-4, -0x1.612978aa51616p-4, -0x1.5b4d50647d479p-4, -0x1.55833660baaadp-4, -0x1.4fcb1e44d5ed5p-4, -0x1.4a24fa7e3a4a7p-4, -0x1.4490bc4b3192p-4, -0x1.3f0e53c40e6dap-4, -0x1.399dafe441895p-4, -0x1.343ebe9353fecp-4, -0x1.2ef16cadcab4dp-4, -0x1.29b5a60df1788p-4, -0x1.248b559487a5fp-4, -0x1.1f72653157017p-4, -0x1.1a6abdebabf43p-4, -0x1.157447eab419bp-4, -0x1.108eea7dbb8d3p-4, -0x1.0bba8c245439ep-4, -0x1.06f712965ab01p-4, -0x1.024462cbdf012p-4, -0x1.fb44c209d8b8fp-5, -0x1.f221e1a271237p-5, -0x1.e91fea2f5b81bp-5, -0x1.e03ea03bb3a7p-5, -0x1.d77dc71e73724p-5, -0x1.cedd2108d4d94p-5, -0x1.c65c6f146defep-5, -0x1.bdfb71510a155p-5, -0x1.b5b9e6d24be48p-5, -0x1.ad978dbd075d3p-5, -0x1.a59423545cb87p-5, -0x1.9daf6406938e4p-5, -0x1.95e90b79b6ffep-5, -0x1.8e40d497f017p-5, -0x1.86b6799b9a207p-5, -0x1.7f49b41b1f6f8p-5, -0x1.77fa3d148e5adp-5, -0x1.70c7ccf8f2c28p-5, -0x1.69b21bb76d719p-5, -0x1.62b8e0c80a0d2p-5, -0x1.5bdbd336587ffp-5, -0x1.551aa9abc5a83p-5, -0x1.4e751a79b2edfp-5, -0x1.47eadba3569dp-5, -0x1.417ba2e7552b2p-5, -0x1.3b2725c92341ep-5, -0x1.34ed199a25489p-5, -0x1.2ecd33829a26ep-5, -0x1.28c7288a3f501p-5, -0x1.22daada0c4996p-5, -0x1.1d0777a5fe456p-5, -0x1.174d3b71d9d6bp-5, -0x1.11abaddc20389p-5, -0x1.0c2283c3fd7f3p-5, -0x1.06b1721748f9p-5, -0x1.01582dd9a253bp-5, -0x1.f82cd85690c3ep-6, -0x1.edd7c49f89367p-6, -0x1.e3b08b68be072p-6, -0x1.d9b697ecad3afp-6, -0x1.cfe955d1db0d7p-6, -0x1.c64831367afb5p-6, -0x1.bcd296bbb6fd7p-6, -0x1.b387f3908e9dfp-6, -0x1.aa67b57c5221bp-6, -0x1.a1714ae8c0cep-6, -0x1.98a422ebcaffbp-6, -0x1.8fffad50e94ccp-6, -0x1.87835aa23233bp-6, -0x1.7f2e9c30ed9d5p-6, -0x1.7700e41def5ddp-6, -0x1.6ef9a5618f328p-6, -0x1.671853d34814ep-6, -0x1.5f5c64310b8e9p-6, -0x1.57c54c2636c18p-6, -0x1.50528252454afp-6, -0x1.49037e4f2472ep-6, -0x1.41d7b8b74165p-6, -0x1.3aceab2b494e2p-6, -0x1.33e7d057a5eb8p-6, -0x1.2d22a3f9a4408p-6, -0x1.267ea2e45f7c9p-6, -0x1.1ffb4b0558236p-6, -0x1.19981b68d66e7p-6, -0x1.1354943e00af7p-6, -0x1.0d3036dab0f51p-6, -0x1.072a85bf0c0efp-6, -0x1.01430498df91ep-6, -0x1.f6f2708d72fc8p-7, -0x1.eb994db59204dp-7, -0x1.e079af3b1655dp-7, -0x1.d592a6206971fp-7, -0x1.cae345ddcb935p-7, -0x1.c06aa46573341p-7, -0x1.b627da272141ap-7, -0x1.ac1a02135163bp-7, -0x1.a240399e1b735p-7, -0x1.9899a0c19be8fp-7, -0x1.8f255a0015ebfp-7, -0x1.85e28a65c52a6p-7, -0x1.7cd0598a272bep-7, -0x1.73edf19129e7fp-7, -0x1.6b3a7f2bd4a85p-7, -0x1.62b53198d35d8p-7, -0x1.5a5d3aa488eabp-7, -0x1.5231cea8ea8ddp-7, -0x1.4a32248d1652ap-7, -0x1.425d75c4982bcp-7, -0x1.3ab2fe4e7b667p-7, -0x1.3331fcb40547bp-7, -0x1.2bd9b2074a161p-7, -0x1.24a961e15deedp-7, -0x1.1da0526081f29p-7, -0x1.16bdcc25df064p-7, -0x1.10011a533e9bcp-7, -0x1.09698a8865776p-7, -0x1.02f66ce0573c8p-7, -0x1.f94e27dcb3e2cp-8, -0x1.ecf5a975a0439p-8, -0x1.e0e20d7fdf168p-8, -0x1.d51207cc6b8e8p-8, -0x1.c9845101ab004p-8, -0x1.be37a693b2651p-8, -0x1.b32acabc72891p-8, -0x1.a85c847399a1dp-8, -0x1.9dcb9f661ad2cp-8, -0x1.9376ebed741bdp-8, -0x1.895d3f06e5a5ap-8, -0x1.7f7d724a1b303p-8, -0x1.75d663e00b8cap-8, -0x1.6c66f6792c646p-8, -0x1.632e1143e163cp-8, -0x1.5a2a9fe2737c8p-8, -0x1.515b926109487p-8, -0x1.48bfdd2b482a3p-8, -0x1.405679020d12bp-8, -0x1.381e62f0ca147p-8, -0x1.30169c42d2828p-8, -0x1.283e2a78a6c82p-8, -0x1.2094173cfc22p-8, -0x1.19177059b4045p-8, -0x1.11c747acdda2dp-8, -0x1.0aa2b31d66f89p-8, -0x1.03a8cc8ffa009p-8, -0x1.f9b163b70c1acp-9, -0x1.ec63097be8626p-9, -0x1.df64d5a158b9bp-9, -0x1.d2b51afa49409p-9, -0x1.c65233e2a5bacp-9, -0x1.ba3a82282a615p-9, -0x1.ae6c6ef37210ep-9, -0x1.a2e66ab09bc23p-9, -0x1.97a6ecf808c7fp-9, -0x1.8cac74775598bp-9, -0x1.81f586d9f7f5ap-9, -0x1.7780b0b1fc08bp-9, -0x1.6d4c856116831p-9, -0x1.63579f010ef9ep-9, -0x1.59a09e4d12326p-9, -0x1.50262a8a51f99p-9, -0x1.46e6f1713d8a9p-9, -0x1.3de1a71656517p-9, -0x1.351505d398bbap-9, -0x1.2c7fce317ce36p-9, -0x1.2420c6d081b77p-9, -0x1.1bf6bc525b3fcp-9, -0x1.140081439f8bfp-9, -0x1.0c3cee0578232p-9, -0x1.04aae0b75d955p-9, -0x1.fa927a424179dp-10, -0x1.ec2dd9398dee1p-10, -0x1.de25bc01d54dep-10, -0x1.d0780b1591f0cp-10, -0x1.c322b9924e7c2p-10, -0x1.b623c50d4e256p-10, -0x1.a9793569456aep-10, -0x1.9d211caca76bfp-10, -0x1.911996d7980dfp-10, -0x1.8560c9bad6f48p-10, -0x1.79f4e4cede43cp-10, -0x1.6ed4210ab1734p-10, -0x1.63fcc0bc2e4eap-10, -0x1.596d0f5fec403p-10, -0x1.4f236179cc5ebp-10, -0x1.451e146dbf871p-10, -0x1.3b5b8e59409a1p-10, -0x1.31da3ded1fcb7p-10, -0x1.28989a475c935p-10, -0x1.1f9522cdda0ccp-10, -0x1.16ce5f092557ep-10, -0x1.0e42de7fd51b4p-10, -0x1.05f138925b4c9p-10, -0x1.fbb018ae017e5p-11, -0x1.ebec00ed2c60ep-11, -0x1.dc9386130fec3p-11, -0x1.cda412e9ea52dp-11, -0x1.bf1b2092c2338p-11, -0x1.b0f636401309bp-11, -0x1.a332e8f49d17p-11, -0x1.95cedb40b765p-11, -0x1.88c7bd01ac6bp-11, -0x1.7c1b4b22587cdp-11, -0x1.6fc74f5b60dd4p-11, -0x1.63c99ff524d8ap-11, -0x1.58201f89f559cp-11, -0x1.4cc8bcc9f3d61p-11, -0x1.41c1723f473e4p-11, -0x1.37084613a2076p-11, -0x1.2c9b49d55db0dp-11, -0x1.22789a3ed326ap-11, -0x1.189e5efda4804p-11, -0x1.0f0aca7bd57e4p-11, -0x1.05bc19a899b88p-11, -0x1.f96127851dd55p-12, -0x1.e7cd1445ccc8ap-12, -0x1.d6b8b0126aa99p-12, -0x1.c620c4cf994c9p-12, -0x1.b6022f628fa43p-12, -0x1.a659df4eb6ecp-12, -0x1.9724d651fe2a1p-12, -0x1.88602805116f7p-12, -0x1.7a08f97c94f3cp-12, -0x1.6c1c80ec7ee01p-12, -0x1.5e98054aefd95p-12, -0x1.5178ddf79bc5bp-12, -0x1.44bc726267762p-12, -0x1.386039b4b7cfap-12, -0x1.2c61ba7b6c8adp-12, -0x1.20be8a527a2f3p-12, -0x1.15744d932063dp-12, -0x1.0a80b701acf5p-12, -0x1.ffc30efd09f1bp-13, -0x1.eb291b6e31925p-13, -0x1.d72f4bb257a16p-13, -0x1.c3d1728e2bb0cp-13, -0x1.b10b7c9bf4f63p-13, -0x1.9ed96fb7af3c8p-13, -0x1.8d376a730a571p-13, -0x1.7c21a387dff91p-13, -0x1.6b94694cf69e1p-13, -0x1.5b8c212fd8302p-13, -0x1.4c0547302862bp-13, -0x1.3cfc6d5e0292bp-13, -0x1.2e6e3b58d058ep-13, -0x1.20576dd3b75a6p-13, -0x1.12b4d61a91cfbp-13, -0x1.05835998967d3p-13, -0x1.f17fe2c3fc90cp-14, -0x1.d8cf5384d726bp-14, -0x1.c0ef4392f16ep-14, -0x1.a9da15ba7a6c4p-14, -0x1.938a509697b13p-14, -0x1.7dfa9dbfc9ab2p-14, -0x1.6925c8f8ca275p-14, -0x1.5506bf6091d4fp-14, -0x1.41988eab70f3dp-14, -0x1.2ed6645eac34cp-14, -0x1.1cbb8d105ff99p-14, -0x1.0b4373a84b3fdp-14, -0x1.f4d341543440cp-15, -0x1.d45372fc7c3b7p-15, -0x1.b4feff83fff5dp-15, -0x1.96cda13521faap-15, -0x1.79b7481898126p-15, -0x1.5db418a747555p-15, -0x1.42bc6a87f24c4p-15, -0x1.28c8c74f4cff9p-15, -0x1.0fd1e948cbe4ap-15, -0x1.efa1749340102p-16, -0x1.c17ca50c3812cp-16, -0x1.9527eee6af2e6p-16, -0x1.6a963547b7a64p-16, -0x1.41bab16d3bf37p-16, -0x1.1a88f081a0497p-16, -0x1.e9e9a32a96c39p-17, -0x1.a1e50727dcf95p-17, -0x1.5ced069a4bcd9p-17, -0x1.1aeb32f565d5cp-17, -0x1.b79363a21ac16p-18, -0x1.3ee6724214574p-18, -0x1.974c2e73c6031p-19, -0x1.76a7a9eeeadaap-20, 0x1.66ae0fe11530dp-23, 0x1.bc79453c2116cp-20, 0x1.9c6c227bea63ap-19, 0x1.28a111d7af4bfp-18, 0x1.7e82c31c08924p-18, 0x1.cffda9a6e8cadp-18, 0x1.0e99b240b37cfp-17, 0x1.3322599550b55p-17, 0x1.55a8bd979fef6p-17, 0x1.763c66e0633d6p-17, 0x1.94ec768a4a42dp-17, 0x1.b1c7a8e5efc3ep-17, 0x1.ccdc580301c52p-17, 0x1.e6387e43dbde9p-17, 0x1.fde9b8c2623b6p-17, 0x1.09fea4dfec24fp-16, 0x1.14400d7b2a0a7p-16, 0x1.1dbf5ffce7af3p-16, 0x1.2682bc2a6399fp-16, 0x1.2e9018d736038p-16, 0x1.35ed44fe00ac3p-16, 0x1.3c9fe8cb84de2p-16, 0x1.42ad8699f918p-16, 0x1.481b7be395147p-16, 0x1.4cef02460ef6fp-16, 0x1.512d3066a85cp-16, 0x1.54dafade69674p-16, 0x1.57fd3520b205bp-16, 0x1.5a989252ce1e7p-16, 0x1.5cb1a6250863bp-16, 0x1.5e4ce5a6a4e5cp-16, 0x1.5f6ea8130f74fp-16, 0x1.601b2789fd8cap-16, 0x1.605681d9a6a8fp-16, 0x1.6024b94236308p-16, 0x1.5f89b52c85151p-16, 0x1.5e8942d584e6ap-16, 0x1.5d2715fec0fb5p-16, 0x1.5b66c99883cf3p-16, 0x1.594be064144b2p-16, 0x1.56d9c59a97fedp-16, 0x1.5413cd80dfd9cp-16, 0x1.50fd36100a97dp-16, 0x1.4d99277b1415ap-16, 0x1.49eab4c8329d7p-16, 0x1.45f4dc5a4394ep-16, 0x1.41ba886f1e374p-16, 0x1.3d3e8faec4b97p-16, 0x1.3883b5aac98ddp-16, 0x1.338cab622fd12p-16, 0x1.2e5c0fb6ffe8ep-16, 0x1.28f46fe126376p-16, 0x1.235847ec54b4cp-16, 0x1.1d8a031bed37ep-16, 0x1.178bfc6465bd3p-16, 0x1.11607ecf89e0ap-16, 0x1.0b09c5e61a79cp-16, 0x1.0489fe1e67336p-16, 0x1.fbc68a65e810ep-17, 0x1.ee2f550eddc4cp-17, 0x1.e0525f0497b5p-17, 0x1.d2338fcb95c39p-17, 0x1.c3d6b45435832p-17, 0x1.b53f7faad94dp-17, 0x1.a6718b9da8164p-17, 0x1.9770595b84af7p-17, 0x1.883f520f0a1e8p-17, 0x1.78e1c77edcbe4p-17, 0x1.695af495cc2e1p-17, 0x1.59adfe03a6251p-17, 0x1.49ddf2b98588p-17, 0x1.39edcc8684df5p-17, 0x1.29e07090d233ep-17, 0x1.19b8afdd0f97bp-17, 0x1.097947c3cd3f3p-17, 0x1.f249c4e649b7dp-18, 0x1.d17c2ebf1a0ffp-18, 0x1.b08ed77469d55p-18, 0x1.8f86a5c2466b9p-18, 0x1.6e685db1189a8p-18, 0x1.4d38a1402c37cp-18, 0x1.2bfbf14bd8c7bp-18, 0x1.0ab6ae62f152ep-18, 0x1.d2da32ecd0188p-19, 0x1.9046a94486cf1p-19, 0x1.4dbac7c00bdccp-19, 0x1.0b3e5b96778fcp-19, 0x1.91b1f134c9dc7p-20, 0x1.0d23f4d6abca7p-20, 0x1.11c217b40c9a7p-21, 0x1.3dc53321a459bp-26, -0x1.fa31e90508d6p-22, -0x1.019c91a3b1453p-20, -0x1.842c858c53e7bp-20, -0x1.031805d676749p-19, -0x1.43cd9ca5885f7p-19, -0x1.84314075fe4a4p-19, -0x1.c43d58328159fp-19, -0x1.01f63b9afe8a2p-18, -0x1.219cae489bfa1p-18, -0x1.410f78f39fe86p-18, -0x1.604c25467afe7p-18, -0x1.7f505139cfed2p-18, -0x1.9e19aebf3862dp-18, -0x1.bca60349c7713p-18, -0x1.daf32753f4bb9p-18, -0x1.f8ff060da141fp-18, -0x1.0b63ce7531c8fp-17, -0x1.1a257d95d306fp-17, -0x1.28c3a0cca3dbdp-17, -0x1.373d510ac75bbp-17, -0x1.4591af9b1ab82p-17, -0x1.53bfe601e305bp-17, -0x1.61c725c1b2de1p-17, -0x1.6fa6a839bd8c9p-17, -0x1.7d5dae77a33bep-17, -0x1.8aeb8114007a5p-17, -0x1.984f700239a46p-17, -0x1.a588d26323dbp-17, -0x1.b297066ef6952p-17, -0x1.bf7971470e003p-17, -0x1.cc2f7ed04494p-17, -0x1.d8b8a19397dbp-17, -0x1.e5145298c2e03p-17, -0x1.f1421144fbdbep-17, -0x1.fd416330ef716p-17, -0x1.0488ea0f9af76p-16, -0x1.0a597ae036b8dp-16, -0x1.10122fcf7c519p-16, -0x1.15b2d78433b04p-16, -0x1.1b3b4370e9761p-16, -0x1.20ab47c9fc729p-16, -0x1.2602bb75241cp-16, -0x1.2b4177fe7fae1p-16, -0x1.30675985fbe11p-16, -0x1.35743eb0fe759p-16, -0x1.3a6808a2d0f9ap-16, -0x1.3f429aeda3b76p-16, -0x1.4403db816513bp-16, -0x1.48abb2a69b9fp-16, -0x1.4d3a0aed4ebf5p-16, -0x1.51aed120a4272p-16, -0x1.5609f43bee3c5p-16, -0x1.5a4b656322641p-16, -0x1.5e7317d36fdcp-16, -0x1.628100d4ebfe6p-16, -0x1.667517b5392a8p-16, -0x1.6a4f55bbd7a7fp-16, -0x1.6e0fb61b4be4bp-16, -0x1.71b635ebe22f6p-16, -0x1.7542d4208712fp-16, -0x1.78b5917a2c999p-16, -0x1.7c0e707e3f8bfp-16, -0x1.7f4d756d57c6dp-16, -0x1.8272a63cf43abp-16, -0x1.857e0a8ad3eebp-16, -0x1.886fab9281c85p-16, -0x1.8b47942750acap-16, -0x1.8e05d0a9bfa67p-16, -0x1.90aa6efde003fp-16, -0x1.93357e83872e4p-16, -0x1.95a7100edee6dp-16, -0x1.97ff35e147a97p-16, -0x1.9a3e039b509a2p-16, -0x1.9c638e39fc8fdp-16, -0x1.9e6fec0b3b51fp-16, -0x1.a06334a770fe3p-16, -0x1.a23d80e91ccd8p-16, -0x1.a3feeae889289p-16, -0x1.a5a78dedcb826p-16, -0x1.a737866f874aap-16, -0x1.a8aef205c4841p-16, -0x1.aa0def67a30e7p-16, -0x1.ab549e636d825p-16, -0x1.ac831fd5b6556p-16, -0x1.ad9995a20d8fbp-16, -0x1.ae9822ad9e555p-16, -0x1.af7eead656da1p-16, -0x1.b04e12ee9d803p-16, -0x1.b105c0b55bc72p-16, -0x1.b1a61ad232f58p-16, -0x1.b22f48ca39cb2p-16, -0x1.b2a172fd4a316p-16, -0x1.b2fcc2a182789p-16, -0x1.b34161b48ee4bp-16, -0x1.b36f7afd9dc1ep-16, -0x1.b3873a053a0b8p-16, -0x1.b388cb110425dp-16, -0x1.b3745b1804eadp-16, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      34, 0x1.5b851eb851eb8p+2, 0x1.d174650281703p+0, 0x1.2ce99c81ba69p+1, -0x1.6426cc13d9b7p-9, 
      {{
        {0x1.e3d70a3d70a3dp+1, 0x1.e666666666666p+1, 0x1.0b1d3d69f65dfp-7, -0x1.43c65472a3cf5p-6, 0x1.26573a8175082p-6, -0x1.db19e8524dcabp-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.fccb2990bb35bp-8, -0x1.3824c4bcbe6f6p-6, 0x1.1f36d70557b47p-6, -0x1.cf1820674a54ap-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.c12ddba8f99afp-8, -0x1.1c4a5ea7ec5cfp-6, 0x1.0dd9229b11b7ap-6, -0x1.c0371cfabea4fp-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8af6a70e285ffp-8, -0x1.0225664a2aa12p-6, 0x1.fa14897021efap-7, -0x1.b1eca0aad2177p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.59cf7841a7ddp-8, -0x1.d34fb67a667dap-7, 0x1.d98930968560fp-7, -0x1.a379cee732245p-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.2d65004e44738p-8, -0x1.a587e3fec6764p-7, 0x1.ba134111fb37cp-7, -0x1.9511cbd5d27efp-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.0566b4c8368a2p-8, -0x1.7ad7a1c5c768fp-7, 0x1.9bb1eb61f1d51p-7, -0x1.86a6e36eff01dp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.c30d9f9a451edp-9, -0x1.5323440c14a9ep-7, 0x1.7e656720051b6p-7, -0x1.783cc1abe8a15p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.82f4a00831effp-9, -0x1.2e4f1d055d061p-7, 0x1.622da56653a84p-7, -0x1.69d26aaf29da7p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.49f1f13b2c82dp-9, -0x1.0c3f7f70e855dp-7, 0x1.470aaa32ca1e8p-7, -0x1.5b6821f5675a3p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.177aa2a705dd3p-9, -0x1.d9b17bd12d80cp-8, 0x1.2cfc747395917p-7, -0x1.4cfdd5695aee5p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.d61299a4ce26cp-10, -0x1.9ffe56209c6e9p-8, 0x1.1403047215261p-7, -0x1.3e9389e36c12p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.883c22ada28ffp-10, -0x1.6b2e33128a4b3p-8, 0x1.f83cb435407cdp-8, -0x1.30293e17509dcp-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.447d35c13b582p-10, -0x1.3b09b7ead4726p-8, 0x1.ca9ceae4f4647p-8, -0x1.21bef25decc21p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.09ec3a5dfafd8p-10, -0x1.0f5989ecf576cp-8, 0x1.9f26acf077478p-8, -0x1.1354a69f9dbdbp-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.af55544fe833p-11, -0x1.cfcc9cb904ccap-9, 0x1.75d9fa588604dp-8, -0x1.04ea5ae285364p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.59ca21d1d2bf7p-11, -0x1.88f154fa1265p-9, 0x1.4eb6d31cf209ap-8, -0x1.ed001e4a629a6p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.11a619209b491p-11, -0x1.49b28724335e1p-9, 0x1.29bd373dc43e4p-8, -0x1.d02b86cfd0e1ep-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.aadd34cd0f4a4p-12, -0x1.11a17dbe86a45p-9, 0x1.06ed26bafaf98p-8, -0x1.b356ef54b74e6p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.477e54327bddcp-12, -0x1.c09f06a0549bp-10, 0x1.cc8d432940dabp-9, -0x1.968257dc5535ap-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ed25c3e711a91p-13, -0x1.6a9bc4c0813bfp-10, 0x1.8f934f9500dfbp-9, -0x1.79adc058f73e6p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.6b54f0520677fp-13, -0x1.205bcaebb7f82p-10, 0x1.56ec72badbc9dp-9, -0x1.5cd928ff506e9p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.0501f304f1088p-13, -0x1.c2035c61273ccp-11, 0x1.2298ac948fb96p-9, -0x1.400491093d80cp-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.6bfa4518da8bp-14, -0x1.57600737ed06ep-11, 0x1.e52ffa7326977p-10, -0x1.232ffb5bea9adp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.e9bd9a8a5f13fp-15, -0x1.fe258104bf188p-12, 0x1.8dd4c8a460362p-10, -0x1.065b5d275d4e4p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.3b68e0bc385p-15, -0x1.6ec1646e51697p-12, 0x1.3f1fc64bc4389p-10, -0x1.d30dbd8e2a2ddp-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.80bd0a3775781p-16, -0x1.fa3c1bff97bd6p-13, 0x1.f221d3b9aefd9p-11, -0x1.9963d33a6b8f9p-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.b5a3d2cd8de03p-17, -0x1.4b8b9ba976eb7p-13, 0x1.7750adf4f51fcp-11, -0x1.5fbd5f8a9a48cp-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.c5a70a1d98ap-18, -0x1.950c1e05fecd2p-14, 0x1.0dcb114b606ebp-11, -0x1.2609feddc8467p-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9d141432e0fffp-19, -0x1.c0feaf76b21a1p-15, 0x1.6b29bcde7be6fp-12, -0x1.d90db7032d2fap-11}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.35e9fbcb88ffep-20, -0x1.ae7633b323b09p-16, 0x1.ba7e7254a97f3p-13, -0x1.649f5fc12164fp-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.51467be424p-22, -0x1.441cab3b85a8bp-17, 0x1.c90a71c19153fp-14, -0x1.eae19fff33e9ep-12}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.82f4a00720001p-25, -0x1.3129da81e812ep-19, 0x1.4506238417916p-15, -0x1.caaccb3355e08p-13}, 
        {0x1.599999999999ap+2, 0x1.5b851eb851eb8p+2, 0x1.e9bd99fffffffp-31, -0x1.5280cdf5c676p-25, 0x1.8e8d4cc3ed001p-18, -0x1.5a9d322f10366p-11}, 
      }}, 
      0x1.93537285ae9fep-6, -0x1.2d05637d97333p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.8ec95bff04578p-6, -0x1.27bbb62413db8p-2, -0x1.7a958537e2c56p-1, -0x1.c3dee78183f92p-8, 0x1.4f86a098915bep-2, 0x1.4f86a098915bep-2, 0x1.4f86a098915bep-2, 0, 5, 2}, 
    {{
      {{-0x1.1918200bdb62cp-1, -0x1.0e98df88e62e2p-1, -0x1.fc707b1171e0dp-2, -0x1.d2aaae8cffa14p-2, -0x1.a2db48e4f0e7bp-2, -0x1.6fe373e129f78p-2, -0x1.3c50a6ee4012bp-2, -0x1.0a3ccfdafacccp-2, -0x1.b688d4f17c45p-3, -0x1.6115649813143p-3, -0x1.158b1c196cf42p-3, -0x1.a9366573ff80cp-4, -0x1.3cc06470d6053p-4, -0x1.ca0821108a988p-5, -0x1.415cbba7a8cbep-5, -0x1.b807c5bc8f7cbp-6, -0x1.2c126a394e007p-6, -0x1.ad11ea63d6204p-7, -0x1.5e3642577fadfp-7, -0x1.5b8804593f74fp-7, -0x1.95fd4432ee13fp-7, -0x1.ffd14a67cff86p-7, -0x1.465679840fa8dp-6, -0x1.98dbfd77520bp-6, -0x1.f2cc3eeca61ddp-6, -0x1.28195acd9c93bp-5, -0x1.56e405da6d41p-5, -0x1.84721695bd6dap-5, -0x1.afb7745ab7d9ap-5, -0x1.d7e7fc4d6a907p-5, -0x1.fc6f8786c3d5fp-5, -0x1.0e7515a31a3f7p-4, -0x1.1c8e6c9082c01p-4, -0x1.28773dfd3fc51p-4, -0x1.3230d335f316dp-4, -0x1.39c76fe0f6df1p-4, -0x1.3f4fcaaeb99aap-4, -0x1.42e4d8013cbeep-4, -0x1.44a5e525ad867p-4, -0x1.44b500e21cfc4p-4, -0x1.4335ac64521d1p-4, -0x1.404bcf3f805f3p-4, -0x1.3c1ae7e493e97p-4, -0x1.36c5719300664p-4, -0x1.306c782d9874cp-4, -0x1.292f526ac3796p-4, -0x1.212b7b1db4e34p-4, -0x1.187c829f27cc8p-4, -0x1.0f3c11e1305f3p-4, -0x1.0581f9efb9ccfp-4, -0x1.f6c89688b94ebp-5, -0x1.e1eee27f38335p-5, -0x1.cc9c9df9de4f7p-5, -0x1.b6f4b6fde6993p-5, -0x1.a11777d1a6e5p-5, -0x1.8b22b602b6ad9p-5, -0x1.7531fb5834d2bp-5, -0x1.5f5ea8fbaed01p-5, -0x1.49c0157138c68p-5, -0x1.346ba60d83f16p-5, -0x1.1f74e4e112c96p-5, -0x1.0aed941982b44p-5, -0x1.edcb7f50b558fp-6, -0x1.c6d79bc376cc8p-6, -0x1.a1191f3869f6bp-6, -0x1.7ca6a08951368p-6, -0x1.5993cc40a89e3p-6, -0x1.37f185b38e8f4p-6, -0x1.17ce08fed5c55p-6, -0x1.f26a1ae952fb3p-7, -0x1.b85fd15bb7befp-7, -0x1.818b6399e33cdp-7, -0x1.4df6c9106cc7bp-7, -0x1.1da8086b375a4p-7, -0x1.e142f68b95869p-8, -0x1.8dc423a2e6349p-8, -0x1.40cb2565bc414p-8, -0x1.f49369668329p-9, -0x1.745857d8b7c74p-9, -0x1.00b3f75561b87p-9, -0x1.32d8589af6c43p-10, -0x1.f1f5a0815951ep-12, 0x1.11e19d7ef6b2fp-13, 0x1.53ea22c8ad578p-11, 0x1.1b59b61cf114ep-10, 0x1.772129af47c31p-10, 0x1.be0bafbc5daecp-10, 0x1.f0e17411ce73ap-10, 0x1.0838cc56fb47ep-9, 0x1.0ec87d379b2a4p-9, 0x1.0c8c762aa0146p-9, 0x1.01f32fb8e3f08p-9, 0x1.ded8cfb1097d9p-10, 0x1.aad18847a0cd4p-10, 0x1.68b27ea79fabcp-10, 0x1.195d507ccad15p-10, 0x1.7b65e01919667p-11, 0x1.5a495a2954369p-12, -0x1.b27b4d24bce2bp-14, -0x1.2d434b31b0c6ap-11, -0x1.1b0586a234fb8p-10, -0x1.a781ae464e353p-10, -0x1.1da48c7c5a51fp-9, -0x1.6aca025751ecp-9, -0x1.bad0214d89cp-9, -0x1.06ac5ca158097p-8, -0x1.31045cacbf25ep-8, -0x1.5c4429380f402p-8, -0x1.88417b30e1a77p-8, -0x1.b4d3b8777b97dp-8, -0x1.e1d4079bca5c9p-8, -0x1.078ea2bbfaf78p-7, -0x1.1e460228a4483p-7, -0x1.34ff4b37f7c7cp-7, -0x1.4baa82050c891p-7, -0x1.6238818b89dcap-7, -0x1.789afccf5eda6p-7, -0x1.8ec476ee03c0cp-7, -0x1.a4a83d4c8a734p-7, -0x1.ba3a66e8bf4aap-7, -0x1.cf6fccc0d3fdbp-7, -0x1.e43e0061d11e7p-7, -0x1.f89b48a7a9b06p-7, -0x1.063f4e443939bp-6, -0x1.0fefcc49d8874p-6, -0x1.195b3c53963d7p-6, -0x1.227e0a45375fep-6, -0x1.2b54eb733a9bbp-6, -0x1.33dcda14ff36ep-6, -0x1.3c13137b6736dp-6, -0x1.43f5158b97c9p-6, -0x1.4b809a08fe5c4p-6, -0x1.52b3937e8090bp-6, -0x1.598c2bf6e427dp-6, -0x1.6008c20ff6db1p-6, -0x1.6627e50ea5a16p-6, -0x1.6be852e64d8f6p-6, -0x1.7148f731b5657p-6, -0x1.7648e88ea87d7p-6, -0x1.7ae7659215ff4p-6, -0x1.7f23d3726dad9p-6, -0x1.82fdbd49e10e9p-6, -0x1.8674d1feb2b3bp-6, -0x1.8988e1e852759p-6, -0x1.8c39ddd1fb8b3p-6, -0x1.8e87d68fb4193p-6, -0x1.9072fb847f93fp-6, -0x1.91fb98b6911a2p-6, -0x1.932215dedc9e7p-6, -0x1.93e6f62e7c4a2p-6, -0x1.944ad771fc03ap-6, -0x1.944e708448602p-6, -0x1.93f290422aee2p-6, -0x1.93381d3962939p-6, -0x1.9220153906535p-6, -0x1.90ab8c238f2p-6, -0x1.8edbaabfca519p-6, -0x1.8cb1ae1deb01ep-6, -0x1.8a2ee74ab6b04p-6, -0x1.8754ba91e8317p-6, -0x1.84249e50c63f1p-6, -0x1.80a01a06cf835p-6, -0x1.7cc8c5cf3f64cp-6, -0x1.78a049ebc94f5p-6, -0x1.74285ddf5ecd7p-6, -0x1.6f62c75149247p-6, -0x1.6a51592d16d74p-6, -0x1.64f5f30705889p-6, -0x1.5f5280820f42ep-6, -0x1.5968f85e351f8p-6, -0x1.533b5b64f388ep-6, -0x1.4ccbb3848f6f3p-6, -0x1.461c131d5144p-6, -0x1.3f2e9459bbe58p-6, -0x1.3805584cbf82ep-6, -0x1.30a285ee8d07ep-6, -0x1.2908493929208p-6, -0x1.2138d26b011eap-6, -0x1.19365560ce71p-6, -0x1.110308d58dap-6, -0x1.08a1257dd1237p-6, -0x1.0012e531b48a3p-6, -0x1.eeb50469b03dep-7, -0x1.dcf46d2f60a84p-7, -0x1.cae8773ed7d8ep-7, -0x1.b895922548ac8p-7, -0x1.a60028fe9fc3ep-7, -0x1.932ca12d54dcep-7, -0x1.801f593d21ebp-7, -0x1.6cdca7ed8794bp-7, -0x1.5968db4540ac5p-7, -0x1.45c83787c9be5p-7, -0x1.31fef62915a75p-7, -0x1.1e1144d4a6668p-7, -0x1.0a034498f5a57p-7, -0x1.ebb212a30d956p-8, -0x1.c32d323e0d28fp-8, -0x1.9a7fd75548154p-8, -0x1.71b1d2b9a99bap-8, -0x1.48cad59ee8878p-8, -0x1.1fd270dde7b96p-8, -0x1.eda0288bacce3p-9, -0x1.9b961bd080542p-9, -0x1.499512b551051p-9, -0x1.ef563c1253f64p-10, -0x1.4bcc0e5a9446fp-10, -0x1.514d3d0ebfbe1p-11, -0x1.80174ae10705bp-16, 0x1.3819af052cd6fp-11, 0x1.3d67b440a6aa7p-10, 0x1.ddf781844d065p-10, 0x1.3ed20e015458fp-9, 0x1.8e2afa71bf93cp-9, 0x1.dcfb08d431eb8p-9, 0x1.159b82f5234ecp-8, 0x1.3c6a04113f004p-8, 0x1.62e3b7a0d2d67p-8, 0x1.8903720df10bbp-8, 0x1.aec42c1d74597p-8, 0x1.d42102b71db8ep-8, 0x1.f91536a9678acp-8, 0x1.0ece1630e1484p-7, 0x1.20d8b5cb8a16cp-7, 0x1.32a84f79028a7p-7, 0x1.443ac9ddbd621p-7, 0x1.558e1cc8a2886p-7, 0x1.66a05110ecf85p-7, 0x1.776f8078208fap-7, 0x1.87f9d58e8f032p-7, 0x1.983d8b9247371p-7, 0x1.a838ee479f1bap-7, 0x1.b7ea59ce15a2bp-7, 0x1.c7503a71c7e9ep-7, 0x1.d6690c7bf01ap-7, 0x1.e5335c04e044ap-7, 0x1.f3adc4ca47021p-7, 0x1.00eb790711271p-6, 0x1.07d6cf3c79c79p-6, 0x1.0e984a0372254p-6, 0x1.152f55fba61ebp-6, 0x1.1b9b675e13492p-6, 0x1.21dbf9f14ce5ep-6, 0x1.27f090f863a6dp-6, 0x1.2dd8b71f56f1fp-6, 0x1.3393fe67bd082p-6, 0x1.39220018a498bp-6, 0x1.3e825cb2194fep-6, 0x1.43b4bbe2ff3b3p-6, 0x1.48b8cc7f2c1b2p-6, 0x1.4d8e44745001bp-6, 0x1.5234e0bec8d5bp-6, 0x1.56ac655f2e32ap-6, 0x1.5af49d511c0ebp-6, 0x1.5f0d5a81e40b4p-6, 0x1.62f675c579983p-6, 0x1.66afcec918d93p-6, 0x1.6a394c04b9533p-6, 0x1.6d92daac19dd3p-6, 0x1.70bc6ea156a1bp-6, 0x1.73b60269cc1c7p-6, 0x1.767f972366765p-6, 0x1.7919347913389p-6, 0x1.7b82e894756b4p-6, 0x1.7dbcc80cc9217p-6, 0x1.7fc6edd49bf38p-6, 0x1.81a17b280a78ep-6, 0x1.834c977cb643ep-6, 0x1.84c870727cacfp-6, 0x1.861539c38ffdep-6, 0x1.87332d3234d93p-6, 0x1.88228a73c20e1p-6, 0x1.88e39719b1bb2p-6, 0x1.89769e7a1bda5p-6, 0x1.89dbf1997803ep-6, 0x1.8a13e715b7ffbp-6, 0x1.8a1edb1138d22p-6, 0x1.89fd2f1be089ap-6, 0x1.89af4a1914366p-6, 0x1.89359822e01fdp-6, 0x1.88908a6bdcfb7p-6, 0x1.87c097216123bp-6, 0x1.86c6394fa133ap-6, 0x1.85a1f0c742c6fp-6, 0x1.84544202db858p-6, 0x1.82ddb60a4661cp-6, 0x1.813eda52a2907p-6, 0x1.7f78409b2184ap-6, 0x1.7d8a7ec81f3b3p-6, 0x1.7b762ebe8738ap-6, 0x1.793bee41b225cp-6, 0x1.76dc5ed364128p-6, 0x1.745825949e895p-6, 0x1.71afeb2590bf3p-6, 0x1.6ee45b82a86ap-6, 0x1.6bf625de849b7p-6, 0x1.68e5fc7963536p-6, 0x1.65b49477f172fp-6, 0x1.6262a5bbd27cap-6, 0x1.5ef0eabe97186p-6, 0x1.5b60206e7106ap-6, 0x1.57b1060bdb417p-6, 0x1.53e45d06273bap-6, 0x1.4ffae8d5a69ecp-6, 0x1.4bf56ed3b2455p-6, 0x1.47d4b61135376p-6, 0x1.4399872e4c332p-6, 0x1.3f44ac33ac7f7p-6, 0x1.3ad6f06e8e9d9p-6, 0x1.3651204deb748p-6, 0x1.31b4093f33145p-6, 0x1.2d007987a62ap-6, 0x1.28374018eec58p-6, 0x1.23592c62a44b3p-6, 0x1.1e670e2670d28p-6, 0x1.1961b556a9f02p-6, 0x1.1449f201e1801p-6, 0x1.0f20944467cdep-6, 0x1.09e66c3269872p-6, 0x1.049c49b1f6fddp-6, 0x1.fe85f88d22329p-7, 0x1.f3b6a5b0156c3p-7, 0x1.e8cc3700180b2p-7, 0x1.ddc846cbb9c1dp-7, 0x1.d2ac6d5432ecap-7, 0x1.c77a40b76e1b6p-7, 0x1.bc3354d68ce27p-7, 0x1.b0d93b2a360a2p-7, 0x1.a56d8288a3d39p-7, 0x1.99f1b6ede5305p-7, 0x1.8e67614ae20cfp-7, 0x1.82d0074d957f5p-7, 0x1.772d2b1466bfap-7, 0x1.6b804acc1b38p-7, 0x1.5fcae04821cc4p-7, 0x1.540e60acb6787p-7, 0x1.484c3c3e7a613p-7, 0x1.3c85de61465e2p-7, 0x1.30bcadc031ca6p-7, 0x1.24f20c8a5b28cp-7, 0x1.192758a58b9cp-7, 0x1.0d5debb700073p-7, 0x1.01971aead7ba7p-7, 0x1.eba86ce98f661p-8, 0x1.d42d11b6def6fp-8, 0x1.bcbeac667fa6bp-8, 0x1.a55fb6f6414d1p-8, 0x1.8e129c9523b9cp-8, 0x1.76d9b9e0b0b97p-8, 0x1.5fb75e0880ac9p-8, 0x1.48adcc974bf4ep-8, 0x1.31bf3f6676545p-8, 0x1.1aede8208c321p-8, 0x1.043bf0c1e804ep-8, 0x1.db56f5766ff4ap-9, 0x1.ae7d396968d57p-9, 0x1.81eebea871971p-9, 0x1.55af738a58cf7p-9, 0x1.29c31dda64253p-9, 0x1.fc5ab0b9df9b7p-10, 0x1.a5e32928fe424p-10, 0x1.502641d6d4775p-10, 0x1.f654c8d08405dp-11, 0x1.4debb9901d524p-11, 0x1.4e3bae42d32ap-12, 0x1.f79ff33f5e417p-19, -0x1.42f4ea9c42c54p-12, -0x1.432c19dfe191p-11, -0x1.e3115daee47efp-11, -0x1.408f78caca15dp-10, -0x1.8ea532b96c2ffp-10, -0x1.dbc528ab7a466p-10, -0x1.13f5970e0e309p-9, -0x1.3989c660bcaeep-9, -0x1.5e9d701c52902p-9, -0x1.832ef2819c02p-9, -0x1.a73ca29fe6428p-9, -0x1.cac4b7b4d7a9bp-9, -0x1.edc5413dd0c79p-9, -0x1.081e15c0953fcp-8, -0x1.1913a9a497acep-8, -0x1.29c252fa8628p-8, -0x1.3a2923dee1fbfp-8, -0x1.4a475be757d91p-8, -0x1.5a1c74ae2b805p-8, -0x1.69a825376bdd4p-8, -0x1.78ea5a3f30d36p-8, -0x1.87e323da4e483p-8, -0x1.96929b524bd8bp-8, -0x1.a4f8c63efa659p-8, -0x1.b3157d0ca7b5ap-8, -0x1.c0e85b03f2a57p-8, -0x1.ce70bc6b2ad85p-8, -0x1.dbadccb67440fp-8, -0x1.e89ea35f6ad75p-8, -0x1.f5426aa4d5112p-8, -0x1.00cc4465119dep-7, -0x1.06d06194cfbf7p-7, -0x1.0cada972c2d52p-7, -0x1.126472a9bc712p-7, -0x1.17f542fc74376p-7, -0x1.1d60ba2ba5abp-7, -0x1.22a7760cded26p-7, -0x1.27c9f4e660ea6p-7, -0x1.2cc87c30b2b2bp-7, -0x1.31a3098817a7ap-7, -0x1.365951c17f793p-7, -0x1.3aeacf55a7b1fp-7, -0x1.3f56de62a8728p-7, -0x1.439ce1d7a6dfdp-7, -0x1.47bc6b6331818p-7, -0x1.4bb55ebab49acp-7, -0x1.4f8808efa9ea9p-7, -0x1.53352606bed57p-7, -0x1.56bdd20e8c8e9p-7, -0x1.5a2366fdad1efp-7, -0x1.5d674c8b6749dp-7, -0x1.608ac2345abf9p-7, -0x1.638ead350c9dep-7, -0x1.6673742080ba8p-7, -0x1.6938efc0f02cp-7, -0x1.6bde756bbe4fcp-7, -0x1.6e62fa7cd9cafp-7, -0x1.70c54c132a33bp-7, -0x1.7304523b8e443p-7, -0x1.751f532e90c2p-7, -0x1.77162a9c7fdb1p-7, -0x1.78e96a6ff4f02p-7, -0x1.7a9a5dd0843efp-7, -0x1.7c2aec11616cbp-7, -0x1.7d9d5ed507017p-7, -0x1.7ef4140b26b33p-7, -0x1.8031287e9d52fp-7, -0x1.8156298f21201p-7, -0x1.8263dbf74273bp-7, -0x1.835a223193f0cp-7, -0x1.843807d5387e1p-7, -0x1.84fbf113b89b8p-7, -0x1.85a3e7861d07dp-7, -0x1.862df8a4a9d3fp-7, -0x1.8698974ae0fe9p-7, -0x1.86e2f0dfb8134p-7, -0x1.870d28312fb0fp-7, -0x1.87186ba517312p-7, -0x1.8706e1b4925c7p-7, -0x1.86db6d21019b3p-7, -0x1.8699510a919a2p-7, -0x1.8643c2dff1777p-7, -0x1.85dd7bcbf5096p-7, -0x1.85685bd7ef83bp-7, -0x1.84e52e1ad7519p-7, -0x1.84539787bf4f2p-7, -0x1.83b2328c73b28p-7, -0x1.82fed25e327ddp-7, -0x1.8236e2fc56f9bp-7, -0x1.8157d7660e21p-7, -0x1.805f96544e08ep-7, -0x1.7f4cd6a478f2fp-7, -0x1.7e1f5f0b6e298p-7, -0x1.7cd8204ce896cp-7, -0x1.7b7925d352537p-7, -0x1.7a055de41df81p-7, -0x1.78804066fd12cp-7, -0x1.76ed60a2a6ffcp-7, -0x1.754ffa6b60a86p-7, -0x1.73aa8cd704p-7, -0x1.71fe92ae29cc8p-7, -0x1.704c6379c4e39p-7, -0x1.6e9340637825bp-7, -0x1.6cd1883a82862p-7, -0x1.6b0507d53057ap-7, -0x1.692b58cbf7293p-7, -0x1.6742401e2223dp-7, -0x1.6547fffdf2acep-7, -0x1.633b933101a8cp-7, -0x1.611cccae5b97fp-7, -0x1.5eec5acdcfea7p-7, -0x1.5cabb1568687p-7, -0x1.5a5cdfeedda17p-7, -0x1.58025aae77c06p-7, -0x1.559eb9f36e40fp-7, -0x1.533476b015b81p-7, -0x1.50c5a9d8d8a0ap-7, -0x1.4e53d76f5d43fp-7, -0x1.4bdfce11e939ep-7, -0x1.4969a1cd67082p-7, -0x1.46f0c47324455p-7, -0x1.447437f438b3cp-7, -0x1.41f2d17ee90fap-7, -0x1.3f6b7f8752312p-7, -0x1.3cdd824e22723p-7, -0x1.3a4887588e12bp-7, -0x1.37ac9f6c76be8p-7, -0x1.350a140c08252p-7, -0x1.32612fcdf1422p-7, -0x1.2fb2144a006c1p-7, -0x1.2cfcb2f19ae5ep-7, -0x1.2a40ed762a115p-7, -0x1.277eced23525fp-7, -0x1.24b6c1424adf9p-7, -0x1.21e9a57461bdbp-7, -0x1.1f18bc38c5ed8p-7, -0x1.1c45684c522ep-7, -0x1.1970e0cc1177dp-7, -0x1.169bf6a8e899fp-7, -0x1.13c70ae8bd4ap-7, -0x1.10f23ff82e9e2p-7, -0x1.0e1dd3ce7a1a3p-7, -0x1.0b4a77fc7f9c2p-7, -0x1.087975ffc5605p-7, -0x1.05ac7fbd968eep-7, -0x1.02e52f8ddbdp-7, -0x1.002460eee4feep-7, -0x1.fad3442755615p-8, -0x1.f565f975527b7p-8, -0x1.effa73c7e52c5p-8, -0x1.ea89326537103p-8, -0x1.e50b91a220caap-8, -0x1.df7d9a72d638p-8, -0x1.d9df0b71d8e81p-8, -0x1.d43330e3a81d5p-8, -0x1.ce7f92ea46977p-8, -0x1.c8ca017a3475ap-8, -0x1.c316d897cc451p-8, -0x1.bd68476c56566p-8, -0x1.b7bee970c85a7p-8, -0x1.b21b536f2e15fp-8, -0x1.ac7fb71ae0ddp-8, -0x1.a6f0b76dc4ce5p-8, -0x1.a174f355dbdcp-8, -0x1.9c136853a8adcp-8, -0x1.96d14ab1401b3p-8, -0x1.91b01a3d31dadp-8, -0x1.8cac8f7f9204dp-8, -0x1.87beaaafb792ap-8, -0x1.82dae95d83b9fp-8, -0x1.7df47dc269ccbp-8, -0x1.79002e5069144p-8, -0x1.73f72b1897d5fp-8, -0x1.6ed8d4a176e62p-8, -0x1.69aa86bef78a6p-8, -0x1.6475372f0856ep-8, -0x1.5f41d8c43bfc2p-8, -0x1.5a163e942a2bap-8, -0x1.54f40626f1d3ep-8, -0x1.4fd9e5c6ff448p-8, -0x1.4ac6686b31b55p-8, -0x1.45ba833581f7dp-8, -0x1.40bac0475085bp-8, -0x1.3bce8b8c8e704p-8, -0x1.36fe0bc4a4aa6p-8, -0x1.324f988eca00fp-8, -0x1.2dc5fa289c3b5p-8, -0x1.295ffcfd8f1fbp-8, -0x1.2518f3621684cp-8, -0x1.20e95c87db5cep-8, -0x1.1cc76574a8203p-8, -0x1.18a7c301227b4p-8, -0x1.147f956dd8a6ap-8, -0x1.10474682d2b4ep-8, -0x1.0bfd2b632b896p-8, -0x1.07a62ab473e28p-8, -0x1.034b7b24be195p-8, -0x1.fdecdde31e1b8p-9, -0x1.f55975862447bp-9, -0x1.ecde9b57f335fp-9, -0x1.e477d1caab7eep-9, -0x1.dc200a802a0f8p-9, -0x1.d3d6d46b8f0a2p-9, -0x1.cba2da88adc08p-9, -0x1.c390720c57b03p-9, -0x1.bbac84303d7b3p-9, -0x1.b3fedfa6603c3p-9, -0x1.ac87e00b2439fp-9, -0x1.a542886f4bae8p-9, -0x1.9e28a501e6e3ep-9, -0x1.9735a49e1fffbp-9, -0x1.90667a16fb7f8p-9, -0x1.89b7121f1c9efp-9, -0x1.831f8cf7c3ab9p-9, -0x1.7c93bd398bf0dp-9, -0x1.76060ba8d7a78p-9, -0x1.6f6c8ba5c6e88p-9, -0x1.68c55ed98e899p-9, -0x1.6217859deb005p-9, -0x1.5b6f35f2fc5eep-9, -0x1.54d7fd626ee44p-9, -0x1.4e584d2df5fe3p-9, -0x1.47f038af74309p-9, -0x1.419b87c2431e1p-9, -0x1.3b57077c0e68dp-9, -0x1.3526350335526p-9, -0x1.2f131cb66a50dp-9, -0x1.29270f6d955fbp-9, -0x1.23639302a2baap-9, -0x1.1dc25419a958bp-9, -0x1.183a62264e92fp-9, -0x1.12c50cc278105p-9, -0x1.0d5fc14b8ed9fp-9, -0x1.080bd29126b91p-9, -0x1.02cd8dd1812bp-9, -0x1.fb55948fc8db8p-10, -0x1.f15138b36f35cp-10, -0x1.e7913246ab7d9p-10, -0x1.de0d7efeb7016p-10, -0x1.d4b19cc72dda3p-10, -0x1.cb60405a85843p-10, -0x1.c1ff910dab6c2p-10, -0x1.b88a2f9de4042p-10, -0x1.af15b6c6c6795p-10, -0x1.a5c3f74d60e4p-10, -0x1.9ca88a9e49f4fp-10, -0x1.93bb7656686ddp-10, -0x1.8aea24877ae48p-10, -0x1.82351e6f54a28p-10, -0x1.79b306b60e4d1p-10, -0x1.7175a844c1f02p-10, -0x1.6977842289c45p-10, -0x1.61a428004057ap-10, -0x1.59e918841e6c6p-10, -0x1.523da128d8d0ep-10, -0x1.4aa111db615b5p-10, -0x1.431600e33a966p-10, -0x1.3b9f4857dbc8dp-10, -0x1.34403e8284566p-10, -0x1.2cff2f2e3a573p-10, -0x1.25e74a2c4e873p-10, -0x1.1f071fbbb0a81p-10, -0x1.186b46511bd7p-10, -0x1.12171faa1b55cp-10, -0x1.0bfc987738b03p-10, -0x1.05f7488aa0099p-10, -0x1.ffb7e43cf62b5p-11, -0x1.f33e2aaf6019ep-11, -0x1.e6cb14adf1a84p-11, -0x1.dab881504a74cp-11, -0x1.cf0aa8771bae5p-11, -0x1.c3827a452b5bbp-11, -0x1.b80cde900bde7p-11, -0x1.ace031d98589dp-11, -0x1.a227a506b7a19p-11, -0x1.97d259c1c9f5bp-11, -0x1.8db58d26a2213p-11, -0x1.83b43a1796c37p-11, -0x1.79c667f27d4d1p-11, -0x1.6ff010e7b1ad1p-11, -0x1.6638506b70854p-11, -0x1.5ca4bbc41f634p-11, -0x1.533795e165ae3p-11, -0x1.49efe3fcb1801p-11, -0x1.40cbad46ae3cbp-11, -0x1.37cc7043b78bcp-11, -0x1.2efb87051e108p-11, -0x1.266a1377c0d76p-11, -0x1.1e2ac6a6c49a1p-11, -0x1.164ae2764a229p-11, -0x1.0ecbe3e318d2bp-11, -0x1.079035da04c0bp-11, -0x1.0050936f8d07bp-11, -0x1.f1c13950e8281p-12, -0x1.e2f1a3931609bp-12, -0x1.d4c013f21bcdbp-12, -0x1.c6edce2bbff4fp-12, -0x1.b909b2eacea8p-12, -0x1.ab5c3e7b8a34fp-12, -0x1.9e5c8143f14e1p-12, -0x1.91fb6334d021ap-12, -0x1.85e9f839d642fp-12, -0x1.79fb1e3685e27p-12, -0x1.6e29ed923f9fap-12, -0x1.6280cc3f81e5p-12, -0x1.570a1a43ba4c8p-12, -0x1.4bcc16c1f3c7dp-12, -0x1.40c984b8ad6efp-12, -0x1.3603213b5b6fap-12, -0x1.2b78640a9c16ep-12, -0x1.21276414c4303p-12, -0x1.170cc9ad83f75p-12, -0x1.0d2531ad5d4e4p-12, -0x1.03705849730a1p-12, -0x1.f3e797a7bbbcdp-13, -0x1.e1720ac80b686p-13, -0x1.cf8e8c2af2279p-13, -0x1.be4cc871cc5c9p-13, -0x1.adda2c7f3adc7p-13, -0x1.9e42b42c56c02p-13, -0x1.8eecf92e990fap-13, -0x1.7f6fff7fc610fp-13, -0x1.70534aec74e2dp-13, -0x1.61793f6265a03p-13, -0x1.526527c2a40bfp-13, -0x1.43d0c4f0b7473p-13, -0x1.3644003e17c1dp-13, -0x1.2952599f5ff9ep-13, -0x1.1c930fe12c604p-13, -0x1.0ff4364cfc04cp-13, -0x1.0387762209fa9p-13, -0x1.eebcc669be2cfp-14, -0x1.d704fb64c9c0dp-14, -0x1.bfed85165a072p-14, -0x1.a974dce10904fp-14, -0x1.93964ad2cd204p-14, -0x1.7e4ce57411c4ep-14, -0x1.699553520ba88p-14, -0x1.556e02860474ap-14, -0x1.41d5addb49f0dp-14, -0x1.2ec8f39635436p-14, -0x1.1c40dd307fc8dp-14, -0x1.0a345e6ed8c21p-14, -0x1.f139e0948f3bdp-15, -0x1.cef1fde0063c5p-15, -0x1.ad8673a75f65fp-15, -0x1.8cde5bcc29fcfp-15, -0x1.6d50f6c19ae7ap-15, -0x1.501cd8a1fc7c9p-15, -0x1.3543e3b77693ap-15, -0x1.1a8c46ddd0914p-15, -0x1.ff21b2c8251f1p-16, -0x1.c8004f6d58f73p-16, -0x1.91f496c8b12d2p-16, -0x1.60eaeb44b90c2p-16, -0x1.32d41001e21c2p-16, -0x1.0579e5ae1cf86p-16, -0x1.b17108b92da2dp-17, -0x1.59f5d9c7cdb47p-17, -0x1.051288b4fd057p-17, -0x1.66006b011fbb1p-18, -0x1.8f20420a1c037p-19, -0x1.75d64216acf2fp-21, 0x1.92b0c15322193p-20, 0x1.e5b0e401c31d2p-19, 0x1.7bfc9af72f1cfp-18, 0x1.00222c3a73d51p-17, 0x1.3fe813a580aa9p-17, 0x1.7d58e1c693ad3p-17, 0x1.b877b2556492dp-17, 0x1.f1493664faadbp-17, 0x1.13eeab5c7170ap-16, 0x1.2e2a691e7fcadp-16, 0x1.476e0c2835597p-16, 0x1.5fcc594805abp-16, 0x1.774d57a1dd4dep-16, 0x1.8dfc9a6b3943dp-16, 0x1.a3fd4672c552ep-16, 0x1.b92ba9826d669p-16, 0x1.cc5052081159p-16, 0x1.dd03a82121057p-16, 0x1.edd1cbf21ca65p-16, 0x1.ffb712ad8bfb4p-16, 0x1.087c6a7bd9bb2p-15, 0x1.0ff3589a32c56p-15, 0x1.16eb67c1b75dep-15, 0x1.1dbe1efadf604p-15, 0x1.24577a7be1965p-15, 0x1.2aa1ae1333edbp-15, 0x1.3095260f7c1dap-15, 0x1.363180c4dac74p-15, 0x1.3b78cc50f7518p-15, 0x1.406db45b6468ep-15, 0x1.4512f7a488f95p-15, 0x1.496b4a3e8657p-15, 0x1.4d79510a5c389p-15, 0x1.513f9bc7cacbfp-15, 0x1.54c09860ce1e3p-15, 0x1.57fe8020e00bep-15, 0x1.5afb41d8a9c3ap-15, 0x1.5db873e053c9cp-15, 0x1.603765def7d27p-15, 0x1.62796a20d08fdp-15, 0x1.6480492c66b9ep-15, 0x1.664e995272ce8p-15, 0x1.67e7a25a5a0edp-15, 0x1.694e9c9bd0f57p-15, 0x1.6a857161bd03bp-15, 0x1.6b8c365224682p-15, 0x1.6c63f14b60841p-15, 0x1.6d1341f8fab77p-15, 0x1.6d9b8b123143bp-15, 0x1.6dd4a1823f44fp-15, 0x1.6dc94bb6ac52ep-15, 0x1.6dd6293d51f16p-15, 0x1.6db7d381e880cp-15, 0x1.6d4d4ad799761p-15, 0x1.6cc7b6b1cdb3p-15, 0x1.6c2a88de823ep-15, 0x1.6b6e96f68c668p-15, 0x1.6a91dc71d9176p-15, 0x1.6994f4e373a69p-15, 0x1.68792506bc371p-15, 0x1.673fc092a5c73p-15, 0x1.65ea09cfc6442p-15, 0x1.64792ff7f193cp-15, 0x1.62ee5321a3041p-15, 0x1.614a87c606d27p-15, 0x1.5f8ed8e15f52dp-15, 0x1.5dbc48fdfed7dp-15, 0x1.5bd3d28d640d1p-15, 0x1.59d667eb82288p-15, 0x1.57c4f314e9538p-15, 0x1.55a0552d584cep-15, 0x1.5369667216b26p-15, 0x1.5120f809c6f2fp-15, 0x1.4ec7d8274de4dp-15, 0x1.4c5ed6dd2e8bap-15, 0x1.49e6c7bcb59acp-15, 0x1.47607ee05c521p-15, 0x1.44ccc8e1a6f74p-15, 0x1.422c5af9d48a3p-15, 0x1.3f7fc4363a9a1p-15, 0x1.3cc7842c0fcf5p-15, 0x1.3a04670b84d85p-15, 0x1.3737d59ffc887p-15, 0x1.3462494ee7c9ep-15, 0x1.3181c3c52a03cp-15, 0x1.2e99f59241ec2p-15, 0x1.2ba9b5b508e63p-15, 0x1.28b1d3690a7e6p-15, 0x1.25b417f38c887p-15, 0x1.22b06cd4bf5a3p-15, 0x1.1fa714af53dbbp-15, 0x1.1c988a0ee2c0fp-15, 0x1.19854ce53c345p-15, 0x1.166dd820b7cc6p-15, 0x1.1352a13b063p-15, 0x1.103418f20f13p-15, 0x1.0d12abd28f0dep-15, 0x1.09eec291a1234p-15, 0x1.06c8c256d33a1p-15, 0x1.03a10d091de79p-15, 0x1.0078019799458p-15, 0x1.fa9bf84bd45p-16, 0x1.f446ac36e902cp-16, 0x1.edf0cc4013a5ap-16, 0x1.e79b0022f3ff7p-16, 0x1.e145e9dcbc3f9p-16, 0x1.daf2252bd82b6p-16, 0x1.d4a0469c4023ap-16, 0x1.ce50dacfaa17ap-16, 0x1.c804678fe919cp-16, 0x1.c1bb6f3d39913p-16, 0x1.bb76746c5a3d2p-16, 0x1.b535fb058fe4dp-16, 0x1.aefa87490f8b7p-16, 0x1.a8c49a069a0c9p-16, 0x1.a294a1b5d3b09p-16, 0x1.9c6ae239ef8dbp-16, 0x1.964788edc61d7p-16, 0x1.902b1c883cf49p-16, 0x1.8a16f8090a775p-16, 0x1.840b88b314657p-16, 0x1.7e06e5b7fa709p-16, }}, 
      {{-0x1.19be87f12c4e1p-1, -0x1.1109d8256dfc9p-1, -0x1.032b6a42d5aefp-1, -0x1.e1f0cf00b43eap-2, -0x1.b6cad71b8f4a1p-2, -0x1.86db4ab3dc071p-2, -0x1.540254c5703c2p-2, -0x1.1ff1e277081afp-2, -0x1.d83fd5c545962p-3, -0x1.7381e37a7506cp-3, -0x1.1390644ccc484p-3, -0x1.73ad9ef3bda1p-4, -0x1.9d46a7ac16e91p-5, -0x1.c9d15b8ab8892p-7, 0x1.2fdd423d5f221p-6, 0x1.81bb935b512bp-5, 0x1.25ccd5678be5ep-4, 0x1.7b65e8fcf1e96p-4, 0x1.c282e548d400ap-4, 0x1.fc2428a1f6fa7p-4, 0x1.14b0ee1b9f8e9p-3, 0x1.25b00e0fc9c67p-3, 0x1.31a2cceaba013p-3, 0x1.391a2ef3dcdb9p-3, 0x1.3ca22ae3889ap-3, 0x1.3cbfb1b116c65p-3, 0x1.39ef5472d8d52p-3, 0x1.34a46c49253fap-3, 0x1.2d48a9604f985p-3, 0x1.243bf3a7be577p-3, 0x1.19d48a4ac0f7dp-3, 0x1.0e5f51c705358p-3, 0x1.022043f83cb19p-3, 0x1.eaa5ef21286f4p-4, 0x1.d0566d162f938p-4, 0x1.b5ab39b4d1656p-4, 0x1.9af07428dddc2p-4, 0x1.80666469cefbap-4, 0x1.6642b407d5bfp-4, 0x1.4cb1994ced678p-4, 0x1.33d6f190dbed1p-4, 0x1.1bcf48113c29bp-4, 0x1.04b0c7e91d7fep-4, 0x1.dd1830c4ea446p-5, 0x1.b2da4735119afp-5, 0x1.8ab78fe2793f7p-5, 0x1.64b8ea40a098ap-5, 0x1.40e16c7f7970fp-5, 0x1.1f2f5490bd14ep-5, 0x1.ff39b23e19359p-6, 0x1.c441bb90c4301p-6, 0x1.8d5f1bc5f4764p-6, 0x1.5a75c1de92daap-6, 0x1.2b6617539da39p-6, 0x1.000dc0dbf91aep-6, 0x1.b090856714c4bp-7, 0x1.67df196775cf2p-7, 0x1.25b8e3ac18626p-7, 0x1.d39c38f5c5657p-8, 0x1.679c7a0925e02p-8, 0x1.06d129c0540a5p-8, 0x1.613327e77dfb5p-9, 0x1.915a3017942e2p-10, 0x1.0b593de98bf05p-11, -0x1.8c2a1cd855f33p-12, -0x1.2b25c70f9fae8p-10, -0x1.d4f0434ef6106p-10, -0x1.3152235aab618p-9, -0x1.6b35093eb7393p-9, -0x1.992b7514a4a69p-9, -0x1.bc362ae4725d4p-9, -0x1.d54bcaa6152b4p-9, -0x1.e5589f8e0ed3cp-9, -0x1.ed3e828eb5215p-9, -0x1.edd4cdf752bf4p-9, -0x1.e7e85fd5f650fp-9, -0x1.dc3ba9a36819ap-9, -0x1.cb86cad2c419fp-9, -0x1.b677b57607d7p-9, -0x1.9db25ac3c3ee3p-9, -0x1.81d0df02061b4p-9, -0x1.6363d2cf5826p-9, -0x1.42f271c3dd007p-9, -0x1.20fae467ce724p-9, -0x1.fbe50bdcc0d0fp-10, -0x1.b48c576b4fcd6p-10, -0x1.6cb4df605716ep-10, -0x1.2517f6ff099edp-10, -0x1.bcbf54a2eef12p-11, -0x1.324ead003ae02p-11, -0x1.57f116d039783p-12, -0x1.55e49a8877a85p-14, 0x1.41fd5466eaf9ap-13, 0x1.89dba1f4ad8b6p-12, 0x1.31d8eb8602d56p-11, 0x1.96a0c5b3df17ep-11, 0x1.f2baa52b9cec4p-11, 0x1.22d7c7ffa02ccp-10, 0x1.478db1f0cebf6p-10, 0x1.6755cfd837df7p-10, 0x1.820f2616b2767p-10, 0x1.97a07e90fccafp-10, 0x1.a7f7f0e7deb5dp-10, 0x1.b30a3d88afb2ap-10, 0x1.b8d27784474a3p-10, 0x1.b95190c22d0bcp-10, 0x1.b48dbe3dfe3a5p-10, 0x1.aa92247bced2p-10, 0x1.9b6e7a7bcae58p-10, 0x1.8736952f9701p-10, 0x1.6e01f59df838dp-10, 0x1.4feb7dd042206p-10, 0x1.2d11265c8a955p-10, 0x1.05939e83ef253p-10, 0x1.b32be63ce0aefp-11, 0x1.527a9742481a5p-11, 0x1.d2c2a794711dap-12, 0x1.e0c58f7b12d8cp-13, -0x1.828fb774d33cbp-20, -0x1.0241091fc6a0fp-12, -0x1.08944a1d26b17p-11, -0x1.96c324685a843p-11, -0x1.15a93b5fc25adp-10, -0x1.62f3695d7a283p-10, -0x1.b3122fc45952p-10, -0x1.02ebc3cb6669ep-9, -0x1.2d8ab63e4cc0ap-9, -0x1.594f004bb15e8p-9, -0x1.8621d229794e1p-9, -0x1.b3ec83de261a2p-9, -0x1.e298a44335e27p-9, -0x1.090801e67f30dp-8, -0x1.211e5d440bbfap-8, -0x1.398497e44f6c2p-8, -0x1.5230114618d43p-8, -0x1.6b16583168059p-8, -0x1.842d2c4e3e432p-8, -0x1.9d6a80a617065p-8, -0x1.b6c47efb6079fp-8, -0x1.d031893712302p-8, -0x1.e9a83a7431675p-8, -0x1.018fb42f7dd28p-7, -0x1.0e47124cfd42dp-7, -0x1.1af5deffe1996p-7, -0x1.2797e09b082dep-7, -0x1.3428fc5ed29f6p-7, -0x1.40a536ec45421p-7, -0x1.4d08b4b2c8ccap-7, -0x1.594fb9e3de9c4p-7, -0x1.6576aa649c401p-7, -0x1.717a09e228566p-7, -0x1.7d567be23ba1p-7, -0x1.8908c3bc3c2c8p-7, -0x1.948dc4839f83ap-7, -0x1.9fe280e5ee4b1p-7, -0x1.ab041afb7192cp-7, -0x1.b5efd42c38d8cp-7, -0x1.c0a30d1689be2p-7, -0x1.cb1b4548684bcp-7, -0x1.d5561afa3a192p-7, -0x1.df514ad595606p-7, -0x1.e90aafb4c47c9p-7, -0x1.f28042526346fp-7, -0x1.fbb018f28dd36p-7, -0x1.024c3389480c9p-6, -0x1.069bbe8b8511bp-6, -0x1.0ac5e3f47f111p-6, -0x1.0ec9e842df89ep-6, -0x1.12a71dcafe49dp-6, -0x1.165ce48699281p-6, -0x1.19eaa9ddd774ap-6, -0x1.1d4fe869d4edap-6, -0x1.208c27b582f88p-6, -0x1.239efc00452eep-6, -0x1.268805fee91c4p-6, -0x1.2946f29b56c5ep-6, -0x1.2bdb7ab529695p-6, -0x1.2e4562d9ba5b2p-6, -0x1.30847afe7124ep-6, -0x1.32989e3afd1ddp-6, -0x1.3481b2834d92fp-6, -0x1.363fa85f4563ap-6, -0x1.37d27aa19a1b3p-6, -0x1.393a2e1e237cep-6, -0x1.3a76d15eb8382p-6, -0x1.3b887c58b9205p-6, -0x1.3c6f5022e8642p-6, -0x1.3d2b76aaa6a9ep-6, -0x1.3dbd22689f351p-6, -0x1.3e248e15020dep-6, -0x1.3e61fc5c291dcp-6, -0x1.3e75b794ccfdcp-6, -0x1.3e601176a3532p-6, -0x1.3e2162d05cba6p-6, -0x1.3dba0b3e41bb5p-6, -0x1.3d2a70e0f2ebfp-6, -0x1.3c730014db1c4p-6, -0x1.3b942b2e92bc4p-6, -0x1.3a8e6a3323badp-6, -0x1.39623a8fe6a6bp-6, -0x1.38101edeb8c6fp-6, -0x1.36989e9cf3d55p-6, -0x1.34fc45ea94995p-6, -0x1.333ba54aecfc4p-6, -0x1.315751663ad02p-6, -0x1.2f4fe2cc548b3p-6, -0x1.2d25f5b86d60ep-6, -0x1.2ada29d613e72p-6, -0x1.286d2207c993p-6, -0x1.25df842f200d8p-6, -0x1.2331f8f6c268fp-6, -0x1.20652b9da6969p-6, -0x1.1d79c9c3debddp-6, -0x1.1a7083389929p-6, -0x1.174a09c97c85dp-6, -0x1.1407111387e07p-6, -0x1.10a84e5593e8dp-6, -0x1.0d2e78449ce8dp-6, -0x1.099a46e126342p-6, -0x1.05ec734dd824bp-6, -0x1.0225b7a76c577p-6, -0x1.fc8d9dbb93cdfp-7, -0x1.f4a0e91c55e1dp-7, -0x1.ec86c9bdf269cp-7, -0x1.e440b8b9d459ep-7, -0x1.dbd02fb2e5186p-7, -0x1.d336a8952c218p-7, -0x1.ca759d585e351p-7, -0x1.c18e87c538deep-7, -0x1.b882e13cb5773p-7, -0x1.af5422809bfb8p-7, -0x1.a603c37d45e5ap-7, -0x1.9c933b14168f4p-7, -0x1.9303fee64f115p-7, -0x1.89578320b6a59p-7, -0x1.7f8f3a573e46ap-7, -0x1.75ac9541094f2p-7, -0x1.6bb102aab8e47p-7, -0x1.619def2fc1908p-7, -0x1.5774c529d96e8p-7, -0x1.4d36ec8c77322p-7, -0x1.42e5cab74385bp-7, -0x1.3882c255491f3p-7, -0x1.2e0f33382467ep-7, -0x1.238c7a336d44p-7, -0x1.18fbf0fa41158p-7, -0x1.0e5eedff60a9ep-7, -0x1.03b6c457ed9dep-7, -0x1.f209873f301f2p-8, -0x1.dc946fbb3d293p-8, -0x1.c710d2d4e209dp-8, -0x1.b18139ab7e27bp-8, -0x1.9be8259a3997bp-8, -0x1.86481007f036bp-8, -0x1.70a36a383f3dfp-8, -0x1.5afc9d1ed5469p-8, -0x1.455609345fc92p-8, -0x1.2fb2064cef8a9p-8, -0x1.1a12e36f22a0ap-8, -0x1.047ae6ae6491p-8, -0x1.ddd89a0ba1217p-9, -0x1.b2d2946c82753p-9, -0x1.87e81149a5a9dp-9, -0x1.5d1d5276f1774p-9, -0x1.32768693b9144p-9, -0x1.07f7c8d00331dp-9, -0x1.bb4a4169683ddp-10, -0x1.670503ded59a4p-10, -0x1.1327984593db2p-10, -0x1.7f732ae3f1562p-11, -0x1.b309a5cffb46fp-12, -0x1.a495945fec8dep-14, 0x1.bd53fc066759ap-13, 0x1.12245de91d17fp-11, 0x1.b3cdda28c008ap-11, 0x1.2a221c03f72bfp-10, 0x1.79bd483d03c7dp-10, 0x1.c8b228bacb497p-10, 0x1.0b7d4f908155cp-9, 0x1.32485befc44a8p-9, 0x1.58b75528bf4abp-9, 0x1.7ec76c6b7ba34p-9, 0x1.a475e873d0df2p-9, 0x1.c9c0258ed6a46p-9, 0x1.eea3959d5b357p-9, 0x1.098ee0096db57p-8, 0x1.1b9620f95326dp-8, 0x1.2d6666e5b2de8p-8, 0x1.3efe95d81771cp-8, 0x1.505d9c974f986p-8, 0x1.618274a0ec67fp-8, 0x1.726c22211ac0fp-8, 0x1.8319b3e8b8672p-8, 0x1.938a43622cb94p-8, 0x1.a3bcf484bef2p-8, 0x1.b3b0f5c7dced5p-8, 0x1.c36580150f98ap-8, 0x1.d2d9d6b8b2729p-8, 0x1.e20d475147d18p-8, 0x1.f0ff29bd68894p-8, 0x1.ffaee007d677ap-8, 0x1.070deb28f839bp-7, 0x1.0e22c15ea8b8p-7, 0x1.1515b2aa370aap-7, 0x1.1be683f95cca9p-7, 0x1.2294ff15e1621p-7, 0x1.2920f2987f268p-7, 0x1.2f8a31db27708p-7, 0x1.35d094eabb3c9p-7, 0x1.3bf3f878628aap-7, 0x1.41f43dcba6f2ap-7, 0x1.47d14ab60981fp-7, 0x1.4d8b098781ccep-7, 0x1.532169012dd57p-7, 0x1.58945c4202138p-7, 0x1.5de3daabfd354p-7, 0x1.630fdfc715ec8p-7, 0x1.68186b2a1040cp-7, 0x1.6cfd806e8cbe5p-7, 0x1.71bf272d175f6p-7, 0x1.765d6af97fa4cp-7, 0x1.7ad85b56d2a7dp-7, 0x1.7f300b9f2506bp-7, 0x1.836492e0e0f29p-7, 0x1.87760bb98a095p-7, 0x1.8b649438ba9dfp-7, 0x1.8f304dd18f5cep-7, 0x1.92d95d55d9404p-7, 0x1.965feaeff27cdp-7, 0x1.99c4221327315p-7, 0x1.9d06316407d6p-7, 0x1.a0264a9d2d1a4p-7, 0x1.a324a274bc917p-7, 0x1.a60170837607ep-7, 0x1.a8bcef2d32fbfp-7, 0x1.ab575b8ab3a32p-7, 0x1.add0f554e3b45p-7, 0x1.b029fed1c9a0ep-7, 0x1.b262bcc2ed92fp-7, 0x1.b47b7654e3bf5p-7, 0x1.b674750e9a32bp-7, 0x1.b84e04bf4c688p-7, 0x1.ba08736a2a991p-7, 0x1.bba4112f063b9p-7, 0x1.bd2130306d49ep-7, 0x1.be8024785d3a8p-7, 0x1.bfc143dd5445cp-7, 0x1.c0e4e5e9aef35p-7, 0x1.c1eb63c6efb5p-7, 0x1.c2d5182db8674p-7, 0x1.c3a25f59e7929p-7, 0x1.c4539701349fap-7, 0x1.c4e91e4997f8bp-7, 0x1.c56355bccd7bap-7, 0x1.c5c29f365e94cp-7, 0x1.c6075dcb8f5a1p-7, 0x1.c631f5ad81aeep-7, 0x1.c642cc0818a57p-7, 0x1.c63a46e12c18dp-7, 0x1.c618ccfc0d10fp-7, 0x1.c5dec5c4d1964p-7, 0x1.c58c9944b6e8fp-7, 0x1.c522b01f7df71p-7, 0x1.c4a173966357cp-7, 0x1.c4094d8c48ad7p-7, 0x1.c35aa885bbafp-7, 0x1.c295ef9ff3781p-7, 0x1.c1bb8e7c81b14p-7, 0x1.c0cbf12164876p-7, 0x1.bfc783d0e4d57p-7, 0x1.beaeb2dea7f3ep-7, 0x1.bd81ea88e8194p-7, 0x1.bc4196dc012fep-7, 0x1.baee23a4936fap-7, 0x1.b987fc7176fc3p-7, 0x1.b80f8ca29da8ap-7, 0x1.b6853f7f16183p-7, 0x1.b4e9804a3a5c5p-7, 0x1.b33cba500d23bp-7, 0x1.b17f58e25de51p-7, 0x1.afb1c743b667p-7, 0x1.add470816a75p-7, 0x1.abe7bf41afb8fp-7, 0x1.a9ec1d8e0addp-7, 0x1.a7e1f4a37f9b4p-7, 0x1.a5c9acd0e8ca8p-7, 0x1.a3a3ad6912868p-7, 0x1.a1705cca4abc1p-7, 0x1.9f302078393acp-7, 0x1.9ce35d4133c88p-7, 0x1.9a8a7765b5acap-7, 0x1.9825d2b827b8ap-7, 0x1.95b5d2acd5e47p-7, 0x1.933ada54ee981p-7, 0x1.90b54c4356043p-7, 0x1.8e258a5e80a13p-7, 0x1.8b8bf5a69527bp-7, 0x1.88e8edfb67217p-7, 0x1.863cd1f0a1e95p-7, 0x1.8387febadc7c2p-7, 0x1.80cad02fbe103p-7, 0x1.7e05a0c03c8fap-7, 0x1.7b38c9614ebbcp-7, 0x1.7864a1855ffe5p-7, 0x1.75897f53fe4dbp-7, 0x1.72a7b81807604p-7, 0x1.6fbfa0a982451p-7, 0x1.6cd18d999bcbdp-7, 0x1.69ddd3113de6cp-7, 0x1.66e4c486022f8p-7, 0x1.63e6b47fc4526p-7, 0x1.60e3f483d1bc3p-7, 0x1.5ddcd4fe14c64p-7, 0x1.5ad1a4ff926eep-7, 0x1.57c2b1deb28bdp-7, 0x1.54b046e156bddp-7, 0x1.519aad0ba39edp-7, 0x1.4e822b1c76688p-7, 0x1.4b6705b86408ap-7, 0x1.48497fbf9b239p-7, 0x1.4529dac570fe8p-7, 0x1.4208579a2a64fp-7, 0x1.3ee536d1e1aecp-7, 0x1.3bc0b931068f9p-7, 0x1.389b1fe87c27fp-7, 0x1.3574ac90f2617p-7, 0x1.324da0ddc9cffp-7, 0x1.2f263e0b6e641p-7, 0x1.2bfec418799a7p-7, 0x1.28d770e5283a2p-7, 0x1.25b07f5d25cbep-7, 0x1.228a26d425c34p-7, 0x1.1f649aba4675cp-7, 0x1.1c400ac18e8e6p-7, 0x1.191ca379a0ddfp-7, 0x1.15fa8f4f98012p-7, 0x1.12d9f7c9e82acp-7, 0x1.0fbb06cb43e57p-7, 0x1.0c9de7a5c42cdp-7, 0x1.0982c7d1294c4p-7, 0x1.0669d72785647p-7, 0x1.0353479d53f5p-7, 0x1.003f4c7969a89p-7, 0x1.fa5c323d3c0a3p-8, 0x1.f43fbf0c528ccp-8, 0x1.ee299d34a3607p-8, 0x1.e81a216422f07p-8, 0x1.e21194f23c30cp-8, 0x1.dc10351575f6bp-8, 0x1.d61633d28da56p-8, 0x1.d023ba99bbdfp-8, 0x1.ca38ee1ac0654p-8, 0x1.c455f289e7874p-8, 0x1.be7aef7d823f5p-8, 0x1.b8a812bd2827p-8, 0x1.b2dd91b6e652dp-8, 0x1.ad1ba9a924a4ap-8, 0x1.a7629ec19c504p-8, 0x1.a1b2ba6c80ba5p-8, 0x1.9c0c48e8ae1d8p-8, 0x1.966f96177fca9p-8, 0x1.90dce992e5768p-8, 0x1.8b548264e7b76p-8, 0x1.85d69326a9c59p-8, 0x1.80633f91a7bf1p-8, 0x1.7afa9c6d56a4cp-8, 0x1.759cb22c1963cp-8, 0x1.704981afcff3ap-8, 0x1.6b0109effb8dcp-8, 0x1.65c34cfa9759cp-8, 0x1.609053277a9e4p-8, 0x1.5b682c2978d32p-8, 0x1.564aee84ca22cp-8, 0x1.5138b66ef39fp-8, 0x1.4c31a4fde96c7p-8, 0x1.4735dfeddc4a1p-8, 0x1.4245917e0fb76p-8, 0x1.3d60e76a6af19p-8, 0x1.3888102b8eb38p-8, 0x1.33bb366d646fcp-8, 0x1.2efa7bbbd144fp-8, 0x1.2a45f429dd01p-8, 0x1.259da4b4392f1p-8, 0x1.2101853dcc55ap-8, 0x1.1c7185aae236fp-8, 0x1.17ed94527e5b2p-8, 0x1.1375a311fce47p-8, 0x1.0f09a8a36152p-8, 0x1.0aa99e7428375p-8, 0x1.06557ddff2285p-8, 0x1.020d3f0ae3d51p-8, 0x1.fba1b2e2a9cf9p-9, 0x1.f3408b0272658p-9, 0x1.eaf6fe01a27ccp-9, 0x1.e2c51050a6bdp-9, 0x1.daaad80d52f51p-9, 0x1.d2a87b4857ce2p-9, 0x1.cabe2668eea02p-9, 0x1.c2ebff49950d4p-9, 0x1.bb321b31b354bp-9, 0x1.b3907b769e8ep-9, 0x1.ac071107e573p-9, 0x1.a495c40db1039p-9, 0x1.9d3c7b4ff67ebp-9, 0x1.95fb1fd70190dp-9, 0x1.8ed19b5e3d8d3p-9, 0x1.87bfd284cf258p-9, 0x1.80c59d58967e6p-9, 0x1.79e2c1b4bbbdbp-9, 0x1.7316f2c668a1bp-9, 0x1.6c61d7779554ep-9, 0x1.65c31687a3ebp-9, 0x1.5f3a63f9a2964p-9, 0x1.58c78a43c26c3p-9, 0x1.526a6b95f1d9dp-9, 0x1.4c22fbc6099b4p-9, 0x1.45f1375888b62p-9, 0x1.3fd51d1a5a952p-9, 0x1.39cead2020d1p-9, 0x1.33ddeb91852dfp-9, 0x1.2e02e2a020527p-9, 0x1.283d9fc157397p-9, 0x1.228e2c343e29ep-9, 0x1.1cf484b4697eep-9, 0x1.1770948f0ed21p-9, 0x1.120234f2ae067p-9, 0x1.0ca92dc74ef7bp-9, 0x1.076535639ad6ap-9, 0x1.0235efef3a383p-9, 0x1.fa35e472c77f3p-10, 0x1.f027950c597c8p-10, 0x1.e64019c653b11p-10, 0x1.dc7eb8ef4a7cfp-10, 0x1.d2e2d8b06c8e1p-10, 0x1.c96bf15b8d215p-10, 0x1.c0197f4ba7f9bp-10, 0x1.b6eb057f425abp-10, 0x1.ade02597c24d3p-10, 0x1.a4f8bf242cbep-10, 0x1.9c34fd9be1817p-10, 0x1.939543e862414p-10, 0x1.8b19fa7d28ea9p-10, 0x1.82c35a1dd6a1ap-10, 0x1.7a91506fac972p-10, 0x1.728388b7cbe36p-10, 0x1.6a9989e3f5221p-10, 0x1.62d2d0658fecbp-10, 0x1.5b2ed54b36809p-10, 0x1.53ad07410f654p-10, 0x1.4c4cc4215453bp-10, 0x1.450d5d4e11b9bp-10, 0x1.3dee2551276d3p-10, 0x1.36ee7b8b32881p-10, 0x1.300dc97522cfp-10, 0x1.294b6eca47aaep-10, 0x1.22a6aae53fc6ap-10, 0x1.1c1e9cb67fdf4p-10, 0x1.15b269c1219d1p-10, 0x1.0f617f54ebdf7p-10, 0x1.092bc4f8c3b6dp-10, 0x1.031196fa43dcbp-10, 0x1.fa27068310853p-11, 0x1.ee63dfb307a46p-11, 0x1.e2d9c75be9772p-11, 0x1.d7881b695f748p-11, 0x1.cc6de9bf3031fp-11, 0x1.c18a4344c03a6p-11, 0x1.b6dc4c5a075ep-11, 0x1.ac6323e406481p-11, 0x1.a21de0106947p-11, 0x1.980b9f0b67e3ap-11, 0x1.8e2b87f01fc2cp-11, 0x1.847cd334813adp-11, 0x1.7afec89c1dc3dp-11, 0x1.71b0becc676b4p-11, 0x1.6891ebf0a2e99p-11, 0x1.5fa12cc985562p-11, 0x1.56dcf0c9c557cp-11, 0x1.4e43651ff188fp-11, 0x1.45d2d89cc88a9p-11, 0x1.3d8a3c9273a4ep-11, 0x1.3569747795817p-11, 0x1.2d712098d98c9p-11, 0x1.25a1f23e20d3dp-11, 0x1.1dfc07a02d0c6p-11, 0x1.167ece747aa52p-11, 0x1.0f296f53e7993p-11, 0x1.07fb453a8dbe3p-11, 0x1.00f3ed01db6bcp-11, 0x1.f425f64dd776ap-12, 0x1.e6af7c2f6f404p-12, 0x1.d9828df6fc457p-12, 0x1.cc9d4251b0bddp-12, 0x1.bffe156e854fbp-12, 0x1.b3a42024dd0dp-12, 0x1.a78ef66990e0fp-12, 0x1.9bbe39cf1bc6fp-12, 0x1.903121e70be74p-12, 0x1.84e646cf428a8p-12, 0x1.79dbc438a8b98p-12, 0x1.6f0f84ceeaf99p-12, 0x1.647f7b844a9b4p-12, 0x1.5a29ccf3aa6e4p-12, 0x1.500d0fd02f8f6p-12, 0x1.462887e5a64bfp-12, 0x1.3c7bf57aeea0ep-12, 0x1.3306ecdd78403p-12, 0x1.29c85cefdd01ap-12, 0x1.20bee5198564fp-12, 0x1.17e9a69f8621ap-12, 0x1.0f48881cf7d58p-12, 0x1.06db8a64579f3p-12, 0x1.fd441b726c5e1p-13, 0x1.ed35a8cca44fbp-13, 0x1.dd88d50161764p-13, 0x1.ce3ac0b23debep-13, 0x1.bf48d55f7382cp-13, 0x1.b0b12928718a7p-13, 0x1.a272b7f11211ap-13, 0x1.948d1fa90de15p-13, 0x1.86fff74c4313p-13, 0x1.79ca1cdc316e6p-13, 0x1.6ce966866df11p-13, 0x1.605aff6573281p-13, 0x1.541c4fd8e5d92p-13, 0x1.482bce451cbf5p-13, 0x1.3c88f7f1ef2e5p-13, 0x1.31335c7abdef6p-13, 0x1.262998bbff50ep-13, 0x1.1b6914918cedcp-13, 0x1.10ee53ca5aaa1p-13, 0x1.06b5a20aa5e95p-13, 0x1.f9790d22e82fap-14, 0x1.e60630e44a7edp-14, 0x1.d31615f2d904ep-14, 0x1.c0a9cd4a96154p-14, 0x1.aebdbb21cdeaap-14, 0x1.9d4cd3beae9e1p-14, 0x1.8c5397025f3c1p-14, 0x1.7bcf5c5d2413bp-14, 0x1.6bbd35659268fp-14, 0x1.5c1a53622832fp-14, 0x1.4ce48d7cbde47p-14, 0x1.3e1a47fb52629p-14, 0x1.2fba1d0fe6f12p-14, 0x1.21c2930c62815p-14, 0x1.1431db2775d2cp-14, 0x1.07058c33e1879p-14, 0x1.f474fe998b883p-15, 0x1.db9a65db8072dp-15, 0x1.c37624ab5eb5dp-15, 0x1.ac07ec07319edp-15, 0x1.9552f450b964cp-15, 0x1.7f579b5a4b439p-15, 0x1.6a0fbc754d456p-15, 0x1.5570e9449da0ap-15, 0x1.416f23e616003p-15, 0x1.2dfebae4e36b9p-15, 0x1.1b1abbc4ac192p-15, 0x1.08c90c855ec37p-15, 0x1.ee2073a85f5e6p-16, 0x1.cbd8335c11ccbp-16, 0x1.aaa5e30c26f8bp-16, 0x1.8a7fbafc96dd8p-16, 0x1.6b62b124f27d5p-16, 0x1.4d4894540657ep-16, 0x1.3029e4a5d3f87p-16, 0x1.14014f14ef6f3p-16, 0x1.f195ed0569196p-17, 0x1.bd055ec26816p-17, 0x1.8a466f0bceb3ep-17, 0x1.594cc67499409p-17, 0x1.2a0b8248217ddp-17, 0x1.f8ececd8d684bp-18, 0x1.a10537f3c6b8cp-18, 0x1.4c4af5b16c59dp-18, 0x1.f551ed84be257p-19, 0x1.58168b6c7db68p-19, 0x1.818fc0cc6a0d7p-20, 0x1.7ae7412dd79bcp-22, -0x1.70b20e0fbbbbep-21, -0x1.c3ec3fc3f1c35p-20, -0x1.62437e6a50e8bp-19, -0x1.dd7a219cb227ep-19, -0x1.29f2bedadfa79p-18, -0x1.62d675a3164a9p-18, -0x1.9964b6df800b6p-18, -0x1.cd8e4c640d5b7p-18, -0x1.ff6ecd2529976p-18, -0x1.179a22fdf6a55p-17, -0x1.2e71cc7b1198bp-17, -0x1.443edb0bdbbacp-17, -0x1.590c59f7bf81p-17, -0x1.6ce43d4ca2f8bp-17, -0x1.7fcbcec252c4ap-17, -0x1.91c6d6379d0bfp-17, -0x1.a2d9c218d0b81p-17, -0x1.b30a43454fb73p-17, -0x1.c25f3f6a2da13p-17, -0x1.d0e06f3fb05bp-17, -0x1.de95bcc019803p-17, -0x1.eb8683efca6a7p-17, -0x1.f7b8f9bd98f2ap-17, -0x1.0199044db3fc6p-16, -0x1.06fae541b6627p-16, -0x1.0c04338bc0a93p-16, -0x1.10b76200e4bbdp-16, -0x1.15173de5fbce7p-16, -0x1.19267f64dc583p-16, -0x1.1ce756d04cd45p-16, -0x1.205be69dc76c2p-16, -0x1.23878aa1e8312p-16, -0x1.266de72d7784ep-16, -0x1.290f9de78f552p-16, -0x1.2b6d2044bd25bp-16, -0x1.2d8b1b89b4ec5p-16, -0x1.2f6d1ad248821p-16, -0x1.3117314939e2fp-16, -0x1.328a129f07ef8p-16, -0x1.33c4234abc536p-16, -0x1.34c8a2c0eef51p-16, -0x1.359ae7559a8d2p-16, -0x1.363c85d96d338p-16, -0x1.36ae99a78eb73p-16, -0x1.36f25489f2afap-16, -0x1.3709094d97466p-16, -0x1.36f43cb94ec67p-16, -0x1.36b5fc1c3969p-16, -0x1.36514a20014f4p-16, -0x1.35c8f029bff32p-16, -0x1.351c2e7978ddbp-16, -0x1.344951d93c0aap-16, -0x1.3354419249f4ap-16, -0x1.3240f11ed1d67p-16, -0x1.310dc382c83aap-16, -0x1.2fba62ff8aa85p-16, -0x1.2e4a76713dfbbp-16, -0x1.2cc0851ff3af6p-16, -0x1.2b1d6bb3b51c2p-16, -0x1.2962040d8684cp-16, -0x1.278f36fefbc6ap-16, -0x1.25a5cd8ae5d05p-16, -0x1.23a6bdbe65a41p-16, -0x1.2192e78412539p-16, -0x1.1f6a2acb97d78p-16, -0x1.1d2d4ba920483p-16, -0x1.1adfe811b3492p-16, -0x1.188414fda649ep-16, -0x1.16193075c0e3ap-16, -0x1.139e769d3ded5p-16, -0x1.1115c0d28b001p-16, -0x1.0e806120169efp-16, -0x1.0bdef0ed7043ap-16, -0x1.0932069476196p-16, -0x1.067a4cdf77928p-16, -0x1.03b8751c34fe3p-16, -0x1.00ed2f2387545p-16, -0x1.fc324f5ebb84cp-17, -0x1.f67a1282712ecp-17, -0x1.f0b2fa1262d51p-17, -0x1.eade5513322b1p-17, -0x1.e4fd6b99869ebp-17, -0x1.df1179962292ep-17, -0x1.d91ba95953fbp-17, -0x1.d31d0eb6c02bap-17, -0x1.cd16a473fb947p-17, -0x1.c7094fb0d2caep-17, -0x1.c0f5ece848d27p-17, -0x1.badd63854b302p-17, -0x1.b4c0b376af8e1p-17, -0x1.aea0efb4ed723p-17, -0x1.a87f23bf69bddp-17, -0x1.a25c2b27bcf99p-17, -0x1.9c387ad60fdc3p-17, -0x1.96145d0fccab6p-17, -0x1.8ff241ca89b61p-17, -0x1.89d0643150959p-17, -0x1.83b029196654dp-17, -0x1.7d92f48965de3p-17, -0x1.777a3338b4371p-17, -0x1.71659ef789889p-17, -0x1.6b5544e7bbc9p-17, -0x1.654a4e7619175p-17, -0x1.5f4546465582ap-17, -0x1.594690575748ep-17, -0x1.534e9ea747723p-17, -0x1.4d5de768ec67bp-17, -0x1.4774ddead53dep-17, -0x1.4193f087a7dfcp-17, -0x1.3bbb886d79e1bp-17, -0x1.35ec09df25133p-17, -0x1.3025d489a3d2dp-17, -0x1.2a6943bb7fef8p-17, -0x1.24b6ae6d35af7p-17, -0x1.1f0e671f76d8cp-17, -0x1.1970bb8d3bd16p-17, -0x1.13ddf423fc55fp-17, -0x1.0e5652f5f016cp-17, -0x1.08da11c4d77d6p-17, -0x1.03695d45c0a86p-17, -0x1.fc089ed744e34p-18, -0x1.f155d30f91cfp-18, -0x1.e6ba5971036bp-18, -0x1.dc375a677a3dap-18, -0x1.d1d1ef0200e78p-18, -0x1.c79162339d89dp-18, -0x1.bd6e05a63b778p-18, -0x1.b3565f5dc8982p-18, -0x1.a954f15386b9dp-18, -0x1.9f7427d7a0b48p-18, -0x1.95a6b742929e1p-18, -0x1.8beebaa03c1f5p-18, -0x1.825854299ea1fp-18, -0x1.78e33bb51825dp-18, -0x1.6f8b263246241p-18, -0x1.664e69a880a9fp-18, -0x1.5d2cfe5916a2cp-18, -0x1.54272c440547cp-18, -0x1.4b3d353d2982fp-18, -0x1.426f4663b94p-18, -0x1.39bd7c020eadbp-18, -0x1.3127e70c4d707p-18, -0x1.28ae90d448f0ap-18, -0x1.20517d1d1d312p-18, -0x1.1810ab3c9d9d5p-18, -0x1.0fec16c31e47bp-18, -0x1.07e3b7ea34458p-18, -0x1.ffef07e8f7feep-19, -0x1.f04edaf1f0fadp-19, -0x1.e0e6c921de9f4p-19, -0x1.d1b6aded44baap-19, -0x1.c2be601b06265p-19, -0x1.b3fdb1ca1d903p-19, -0x1.a57470833b219p-19, -0x1.9722652e2f219p-19, -0x1.890753e0f0838p-19, -0x1.7b22fbc1f174p-19, -0x1.6d751790c54b6p-19, -0x1.5ffd5efbf0fc9p-19, -0x1.52bb87ed2bdeap-19, -0x1.45af46b71c2abp-19, -0x1.38d84d67651f2p-19, -0x1.2c364ad803fe4p-19, -0x1.1fc8e8a5f25e8p-19, -0x1.138fc8084ce2ep-19, -0x1.078a847694abp-19, -0x1.f7717e329a501p-20, -0x1.e03446b1b661bp-20, -0x1.c95ca58b9a02ep-20, -0x1.b2e9b1316b378p-20, }}, 
      {{-0x1.1bb8729482075p-1, -0x1.18c8c5d14478cp-1, -0x1.14057b305d238p-1, -0x1.0d9c6f11f4b4dp-1, -0x1.05c5192adbc58p-1, -0x1.f9772c2e5190ap-2, -0x1.e579e20d44bddp-2, -0x1.d008b7b10087cp-2, -0x1.b9926cfc0a76dp-2, -0x1.a27b99e9545b5p-2, -0x1.8b1d512e8a7c1p-2, -0x1.73c49f382a913p-2, -0x1.5cb2a76c0b4fdp-2, -0x1.461d2fed16e47p-2, -0x1.302f76c742b83p-2, -0x1.1b0b3312ce5a8p-2, -0x1.06c9aa847021p-2, -0x1.e6f99347055d9p-3, -0x1.c26063fca104ap-3, -0x1.9fd46cbc67f66p-3, -0x1.7f5980fd5ef25p-3, -0x1.60ec3d5728852p-3, -0x1.448371ea787cbp-3, -0x1.2a115e2fe5749p-3, -0x1.1184c12142bcbp-3, -0x1.f59381e3e3e84p-4, -0x1.cb955f314dfdbp-4, -0x1.a4e15d34ea2c8p-4, -0x1.81486da02ef7ap-4, -0x1.609b0f89698e6p-4, -0x1.42aa02ec76e4ep-4, -0x1.2746d6b3cecb3p-4, -0x1.0e44573c3151dp-4, -0x1.eeedc4d14aa48p-5, -0x1.c569497f425dp-5, -0x1.9fab8732d2e75p-5, -0x1.7d68f03a2a104p-5, -0x1.5e5a3a041731dp-5, -0x1.423c64a354db9p-5, -0x1.28d0b280e752dp-5, -0x1.11dc9203d23fep-5, -0x1.fa52fbac7c35p-6, -0x1.d509abbb704b3p-6, -0x1.b37f668539b96p-6, -0x1.955d717eb06f6p-6, -0x1.7a53c18e811aap-6, -0x1.621896794d66bp-6, -0x1.4c68170c5cc79p-6, -0x1.3903edef6b5a6p-6, -0x1.27b2e9ce3cf7bp-6, -0x1.1840a144fbf34p-6, -0x1.0a7d1aeaa9788p-6, -0x1.fc78f3bbb58fcp-7, -0x1.e6ad5e0cfe922p-7, -0x1.d34e5e8d534p-7, -0x1.c2195cc601d0ap-7, -0x1.b2d1bc5486a7p-7, -0x1.a540648bdf236p-7, -0x1.99335133ba809p-7, -0x1.8e7d2aca392bdp-7, -0x1.84f4e607a1eedp-7, -0x1.7c756ac10732dp-7, -0x1.74dd416c5c25cp-7, -0x1.6e0e46c17ed5fp-7, -0x1.67ed65102008cp-7, -0x1.626252e67a918p-7, -0x1.5d5756a5790d3p-7, -0x1.58b90ea8b2038p-7, -0x1.54763daad8367p-7, -0x1.507f9b1732c5dp-7, -0x1.4cc7a702f89a9p-7, -0x1.49428196ad21cp-7, -0x1.45e5c59a5ddbcp-7, -0x1.42a865c9e96cbp-7, -0x1.3f828cdec2daep-7, -0x1.3c6d8043e1969p-7, -0x1.39638516e08bcp-7, -0x1.365fc734b7ab8p-7, -0x1.335e42478db9ap-7, -0x1.305bacb65d152p-7, -0x1.2d55644a9cf4ap-7, -0x1.2a495c6b0be44p-7, -0x1.27360dccd6047p-7, -0x1.241a678050005p-7, -0x1.20f5c13edb727p-7, -0x1.1dc7cee26275ep-7, -0x1.1a9094eeb4f1dp-7, -0x1.17505e19a7a55p-7, -0x1.1407b1bd75469p-7, -0x1.10b74b25fee2p-7, -0x1.0d6011a6e85b9p-7, -0x1.0a03116cbeecfp-7, -0x1.06a174fa1af8cp-7, -0x1.033c7f453c436p-7, -0x1.ffab0cc20297dp-8, -0x1.f8dbdd80d9c13p-8, -0x1.f20e4da1ebdbbp-8, -0x1.eb454682b5baap-8, -0x1.e483b6e196dccp-8, -0x1.ddcc8ce5c3526p-8, -0x1.d722b0c24b66ep-8, -0x1.d088ffd0033dep-8, -0x1.ca0248506b1c1p-8, -0x1.c39146650243ep-8, -0x1.bd38a0561c956p-8, -0x1.b6fae3d1a640dp-8, -0x1.b0da848b8f0e8p-8, -0x1.aad9d9d997a2ap-8, -0x1.a4fb1cd7465dfp-8, -0x1.9f4067948c8eep-8, -0x1.99abb4b587887p-8, -0x1.943ede5a8b796p-8, -0x1.8efb9d5116deep-8, -0x1.89e3895267828p-8, -0x1.84f819540e5f1p-8, -0x1.803aa397fed9dp-8, -0x1.7bac5dc97e563p-8, -0x1.774e5d071aefbp-8, -0x1.7321971e43cd3p-8, -0x1.6f26e3253a70cp-8, -0x1.6b5ef9f389f5ap-8, -0x1.67ca7740ec54bp-8, -0x1.6469d9efd4b45p-8, -0x1.613d850744278p-8, -0x1.5e45c14121875p-8, -0x1.5b82bd97e2f79p-8, -0x1.58f490270ce61p-8, -0x1.569b378425bfep-8, -0x1.54769b90ef1cfp-8, -0x1.52868e21cc74cp-8, -0x1.50cacc8838cc4p-8, -0x1.4f4300a906755p-8, -0x1.4deec1a5dead3p-8, -0x1.4ccd94de97b43p-8, -0x1.4bdeef149cf5fp-8, -0x1.4b22356c9318fp-8, -0x1.4a96be0685422p-8, -0x1.4a3bd0f3fa8ecp-8, -0x1.4a10a96ffeb54p-8, -0x1.4a14768c80269p-8, -0x1.4a465bdf4c839p-8, -0x1.4aa572556df43p-8, -0x1.4b30c9033821fp-8, -0x1.4be765f6d34c2p-8, -0x1.4cc846e59a214p-8, -0x1.4dd261b3df1ecp-8, -0x1.4f04a547921b1p-8, -0x1.505dfa5d023e2p-8, -0x1.51dd4411a69f4p-8, -0x1.53816076b67b9p-8, -0x1.55492934f2dap-8, -0x1.573374266f524p-8, -0x1.593f13e89a6e7p-8, -0x1.5b6ad86a4f0ccp-8, -0x1.5db58f65a0c38p-8, -0x1.601e04bd348aap-8, -0x1.62a302ef42742p-8, -0x1.654353952a9eap-8, -0x1.67fdbfbbcfb1dp-8, -0x1.6ad110342569fp-8, -0x1.6dbc0df020d42p-8, -0x1.70bd826643148p-8, -0x1.73d437f264c48p-8, -0x1.76fefa348c4a7p-8, -0x1.7a3c966e3046bp-8, -0x1.7d8bdbda93301p-8, -0x1.80eb9bf9971b2p-8, -0x1.845aaaccd8b35p-8, -0x1.87d7df1ac17bfp-8, -0x1.8b6212b1e851cp-8, -0x1.8ef8229c95ed2p-8, -0x1.9298ef4cd7cf4p-8, -0x1.96435ccc06731p-8, -0x1.99f652ef26352p-8, -0x1.9db0bd82cceefp-8, -0x1.a1718c741cd19p-8, -0x1.a537b3ffae5fp-8, -0x1.a9022cd0fd407p-8, -0x1.accff4288bcbcp-8, -0x1.b0a00bfce184p-8, -0x1.b4717b16907d3p-8, -0x1.b8434d284f4a9p-8, -0x1.bc1492e8daeaap-8, -0x1.bfe4622ba62cp-8, -0x1.c3b1d5f3c54c7p-8, -0x1.c77c0e81f6b83p-8, -0x1.cb4231627e2fcp-8, -0x1.cf03697b0c4ffp-8, -0x1.d2bee7161914fp-8, -0x1.d673dfec31696p-8, -0x1.da218f2ae8623p-8, -0x1.ddc7357a03dd6p-8, -0x1.e16418fe73a58p-8, -0x1.e4f7855c6f00ap-8, -0x1.e880cbb83e815p-8, -0x1.ebff42b4fa952p-8, -0x1.ef7246701111dp-8, -0x1.f2d938857dca9p-8, -0x1.f6338003b32ebp-8, -0x1.f980895b028c4p-8, -0x1.fcbfc66fba355p-8, -0x1.fff0ae7ef5bfep-8, -0x1.01895f0bbd7bfp-7, -0x1.0312bb884f11p-7, -0x1.0494303f61ddp-7, -0x1.060d8353a0dfep-7, -0x1.077e7d79c39efp-7, -0x1.08e6e9f19988fp-7, -0x1.0a46967e9396dp-7, -0x1.0b9d53601e5b5p-7, -0x1.0ceaf34982556p-7, -0x1.0e2f4b599d6a8p-7, -0x1.0f6a3312185e9p-7, -0x1.109b844e7a3c2p-7, -0x1.11c31b3b03958p-7, -0x1.12e0d64b0ee8cp-7, -0x1.13f4962f3f556p-7, -0x1.14fe3dcb73edep-7, -0x1.15fdb22cf78dep-7, -0x1.16f2da8129287p-7, -0x1.17dda00cf1491p-7, -0x1.18bdee25a2422p-7, -0x1.1993b22b980bbp-7, -0x1.1a5edb85bf5cfp-7, -0x1.1b1f5b9c52407p-7, -0x1.1bd525cfc60d6p-7, -0x1.1c802f6985934p-7, -0x1.1d206f85a5ea2p-7, -0x1.1db5def8e8612p-7, -0x1.1e4078389529bp-7, -0x1.1ec0374a773ccp-7, -0x1.1f3519c02bb8cp-7, -0x1.1f9f1ebcb8c29p-7, -0x1.1ffe46fe67f5dp-7, -0x1.205294e6eb8f4p-7, -0x1.209c0c8e1eb32p-7, -0x1.20dab39c01d9fp-7, -0x1.210e915a8dcep-7, -0x1.2137ae6d1df57p-7, -0x1.215614c950c92p-7, -0x1.2169cf9862231p-7, -0x1.2172eb1936099p-7, -0x1.217174a4de3fbp-7, -0x1.21657abadd23bp-7, -0x1.214f0d0e87603p-7, -0x1.212e3c8cad3c3p-7, -0x1.21031b557cc33p-7, -0x1.20cdbcad7eeebp-7, -0x1.208e34eb53a55p-7, -0x1.20449966b388dp-7, -0x1.1ff1006ab52efp-7, -0x1.1f93812b36629p-7, -0x1.1f2c33bc608f9p-7, -0x1.1ebb310b369cbp-7, -0x1.1e4092d6805cdp-7, -0x1.1dbc73a7acb5ep-7, -0x1.1d2eeecb8ccc8p-7, -0x1.1c98204ae38dfp-7, -0x1.1bf824e2e7dbfp-7, -0x1.1b4f19fdadcf1p-7, -0x1.1a9d1daaabb3p-7, -0x1.19e24e972294cp-7, -0x1.191ecc06d4edp-7, -0x1.1852b5cc9cebfp-7, -0x1.177e2c4348dbp-7, -0x1.16a150467562fp-7, -0x1.15bc432b8853ap-7, -0x1.14cf26bac064ep-7, -0x1.13da1d285d07dp-7, -0x1.12dd490deb18p-7, -0x1.11d8cd6398b9dp-7, -0x1.10cccd79c9d23p-7, -0x1.0fb96cf2acea7p-7, -0x1.0e9ecfbc0c746p-7, -0x1.0d7d1a09200e9p-7, -0x1.0c54704c89d53p-7, -0x1.0b24f7325e89ep-7, -0x1.09eed39a5131ep-7, -0x1.08b22a91ef087p-7, -0x1.076f214f0b6e4p-7, -0x1.0625dd2a2ece2p-7, -0x1.04d683992f71fp-7, -0x1.03813a29e0fffp-7, -0x1.0226267cddde3p-7, -0x1.00c56e40685dep-7, -0x1.febe6e56dd0cfp-8, -0x1.fbe74df13cf7bp-8, -0x1.f905c6c343311p-8, -0x1.f61a2434d8b85p-8, -0x1.f324b19956f7ap-8, -0x1.f025ba2690e6bp-8, -0x1.ed1d88ec25a41p-8, -0x1.ea0c68caf2dd2p-8, -0x1.e6f2a46cdb176p-8, -0x1.e3d0863c961b6p-8, -0x1.e0a6585df870ap-8, -0x1.dd7464a642729p-8, -0x1.da3af494a4986p-8, -0x1.d6fa514b08b39p-8, -0x1.d3b2c386f28a7p-8, -0x1.d064939a9485ep-8, -0x1.cd100965dde5ap-8, -0x1.c9b56c4f8edd7p-8, -0x1.c655033ded8f7p-8, -0x1.c2ef148ee396fp-8, -0x1.bf83e60f14658p-8, -0x1.bc13bcefb9c7fp-8, -0x1.b89eddbbade04p-8, -0x1.b5258c4e28d87p-8, -0x1.b1a80bcfdce34p-8, -0x1.ae269ec283f95p-8, -0x1.aaa1871fe7eaap-8, -0x1.a7190684c03bfp-8, -0x1.a38d5e48566d2p-8, -0x1.9ffecf5780261p-8, -0x1.9c6d99c7c9f98p-8, -0x1.98d9fc5826003p-8, -0x1.95443436e9ca5p-8, -0x1.91ac7d3c69452p-8, -0x1.8e13127a6e6e4p-8, -0x1.8a782ece9e07cp-8, -0x1.86dc0d2719d38p-8, -0x1.833ee851b7878p-8, -0x1.7fa0fa69f08bp-8, -0x1.7c027c327949bp-8, -0x1.7863a4bddf8a9p-8, -0x1.74c4a99bcfe36p-8, -0x1.7125bf5e342d6p-8, -0x1.6d871a0cb7005p-8, -0x1.69e8ed43bcd8cp-8, -0x1.664b6c0e5e688p-8, -0x1.62aec8af3913cp-8, -0x1.5f13347ab390bp-8, -0x1.5b78dfc85980cp-8, -0x1.57dff9f29f7bep-8, -0x1.5448b15c0c975p-8, -0x1.50b33374d1fa8p-8, -0x1.4d1facbeecef4p-8, -0x1.498e48d0e7b27p-8, -0x1.45ff32579315fp-8, -0x1.42729316f1d11p-8, -0x1.3ee893eaa71eep-8, -0x1.3b615cc60bdb1p-8, -0x1.37dd14b3e311ep-8, -0x1.345be1d5fd659p-8, -0x1.30dde964c1fdep-8, -0x1.2d634faf1fe53p-8, -0x1.29ec381ad586fp-8, -0x1.2678c52553d65p-8, -0x1.2309186538e38p-8, -0x1.1f9d528c387fdp-8, -0x1.1c359369408dfp-8, -0x1.18d1f9ea7dcb8p-8, -0x1.1572a41f0efa4p-8, -0x1.1217af3823b29p-8, -0x1.0ec137898ba92p-8, -0x1.0b6f588a01d5ep-8, -0x1.08222cd3388edp-8, -0x1.04d9ce22695d2p-8, -0x1.019655597268p-8, -0x1.fcafb501d7226p-9, -0x1.f63ce9961d5bap-9, -0x1.efd4752ebaea1p-9, -0x1.e97682ecf6742p-9, -0x1.e3233c5b823edp-9, -0x1.dcdac9744aee1p-9, -0x1.d69d50a43488ep-9, -0x1.d06af6ccfa1adp-9, -0x1.ca43df4570224p-9, -0x1.c4282bd9794dcp-9, -0x1.be17fccad3f5fp-9, -0x1.b81370d3e901p-9, -0x1.b21aa52d40904p-9, -0x1.ac2db595a69a9p-9, -0x1.a64cbc5c81ea4p-9, -0x1.a077d26ca8a42p-9, -0x1.9aaf0f567056cp-9, -0x1.94f2895773716p-9, -0x1.8f42555ef69a8p-9, -0x1.899e870f35f3ap-9, -0x1.840730bbfc3fbp-9, -0x1.7e7c636891b6dp-9, -0x1.78fe2ec6b7f11p-9, -0x1.738ca138a63e3p-9, -0x1.6e27c7d765b34p-9, -0x1.68cfae7daa326p-9, -0x1.63845fd639bd9p-9, -0x1.5e45e56c0c931p-9, -0x1.591447b95b225p-9, -0x1.53ef8e333eecbp-9, -0x1.4ed7bf4f64p-9, -0x1.49cce082da187p-9, -0x1.44cef638ee312p-9, -0x1.3fde03c21104ap-9, -0x1.3afa0b3a55f4fp-9, -0x1.36230d698e94dp-9, -0x1.315909a8803c9p-9, -0x1.2c9bfdef7e06dp-9, -0x1.27ebe74c1c25ep-9, -0x1.2348c2dacc56dp-9, -0x1.1eb28eb3f3c41p-9, -0x1.1a29498555f85p-9, -0x1.15acf06440caap-9, -0x1.113d7cb11ca95p-9, -0x1.0cdae46e900ebp-9, -0x1.08851cf6891f2p-9, -0x1.043c1da7d2512p-9, -0x1.ffffc08ae7a2p-10, -0x1.f7a0bd617e9b9p-10, -0x1.ef5b1fc7777f6p-10, -0x1.e72ecdc4e368ep-10, -0x1.df1ba8e633213p-10, -0x1.d721930dc9c78p-10, -0x1.cf40704253eafp-10, -0x1.c77825a515ad5p-10, -0x1.bfc897f992618p-10, -0x1.b831aaf60821ap-10, -0x1.b0b34130aa77bp-10, -0x1.a94d3c32cf4a2p-10, -0x1.a1ff7c7516d29p-10, -0x1.9ac9e13e5217dp-10, -0x1.93ac487667b31p-10, -0x1.8ca68e812214p-10, -0x1.85b88e31403acp-10, -0x1.7ee220db8f80cp-10, -0x1.78231e8a82671p-10, -0x1.717b5e4aec297p-10, -0x1.6aeab68514b8cp-10, -0x1.6470fd52046eap-10, -0x1.5e0e08be16ccdp-10, -0x1.57c1aeecfd5b6p-10, -0x1.518bc619a262cp-10, -0x1.4b6c2473f16b8p-10, -0x1.45629fe437d6bp-10, -0x1.3f6f0dc17d6bep-10, -0x1.3991428944107p-10, -0x1.33c911a6ed72ap-10, -0x1.2e164d559a9f7p-10, -0x1.2878c6a2e3d12p-10, -0x1.22f04d940a2b6p-10, -0x1.1d7cb16837299p-10, -0x1.181dc0ee59904p-10, -0x1.12d34adfb3b4bp-10, -0x1.0d9d1e2ef5ec9p-10, -0x1.087b0a3c72fc2p-10, -0x1.036cdee57f8f1p-10, -0x1.fce4d8db0e893p-11, -0x1.f317068fd05d8p-11, -0x1.e96fe7a230b26p-11, -0x1.dfef1c10d0facp-11, -0x1.d69442b23edacp-11, -0x1.cd5ef8f81bc83p-11, -0x1.c44edae716f2ap-11, -0x1.bb63833de9044p-11, -0x1.b29c8bc116a83p-11, -0x1.a9f98da320e2fp-11, -0x1.a17a22010ae65p-11, -0x1.991de26a084e6p-11, -0x1.90e469604fdd5p-11, -0x1.88cd52baf4ba8p-11, -0x1.80d83bcb4d19bp-11, -0x1.7904c333177dap-11, -0x1.7152886b614a9p-11, -0x1.69c12b16da1cap-11, -0x1.62504a4f01d14p-11, -0x1.5aff84212f00cp-11, -0x1.53ce75602ff48p-11, -0x1.4cbcb9d29b478p-11, -0x1.45c9eca535751p-11, -0x1.3ef5a8f64233ep-11, -0x1.383f8a50923d8p-11, -0x1.31a72d0130498p-11, -0x1.2b2c2e4c5c8afp-11, -0x1.24ce2c981c78fp-11, -0x1.1e8cc7a0093bfp-11, -0x1.1867a0b488436p-11, -0x1.125e5aed91564p-11, -0x1.0c709b286a491p-11, -0x1.069e07ab4f991p-11, -0x1.00e6475c45ee9p-11, -0x1.f6920123d69b3p-12, -0x1.eb8baf30a3e9bp-12, -0x1.e0b8da7674d29p-12, -0x1.d618bcea97aa5p-12, -0x1.cbaa8f7d8f28cp-12, -0x1.c16d9a571cff7p-12, -0x1.b7613fae3b686p-12, -0x1.ad84e7a0c7c42p-12, -0x1.a3d7daf82e7f1p-12, -0x1.9a59419bb2236p-12, -0x1.91084cd26985dp-12, -0x1.87e459f5a80c2p-12, -0x1.7eece54d55c55p-12, -0x1.76215e7007bdcp-12, -0x1.6d811470a01ap-12, -0x1.650b4db03d92p-12, -0x1.5cbf628929c8dp-12, -0x1.549cbc6a7804fp-12, -0x1.4ca2c80f64c73p-12, -0x1.44d0ed2e080e1p-12, -0x1.3d268d6ac3215p-12, -0x1.35a30675b1354p-12, -0x1.2e45b4b1e7e6bp-12, -0x1.270df57091d66p-12, -0x1.1ffb286587193p-12, -0x1.190cb04249083p-12, -0x1.1241f29f3f0b5p-12, -0x1.0b9a5792a95a9p-12, -0x1.05154968fc88bp-12, -0x1.fd6469ae8d0cp-13, -0x1.f0e1136e03841p-13, -0x1.e49f77f9ba6e7p-13, -0x1.d89e88b053ad9p-13, -0x1.ccdd3fdeeb634p-13, -0x1.c15a9e191a4ddp-13, -0x1.b615a629f8fd4p-13, -0x1.ab0d592c6aab8p-13, -0x1.a040b4652dcf9p-13, -0x1.95aeb1a3515ap-13, -0x1.8b5649a9defddp-13, -0x1.813677321f7f3p-13, -0x1.774e38fc0aba2p-13, -0x1.6d9c922458255p-13, -0x1.642089064373dp-13, -0x1.5ad925a1e4dc7p-13, -0x1.51c57082daa29p-13, -0x1.48e472b069f01p-13, -0x1.403536c0e1485p-13, -0x1.37b6caeb75594p-13, -0x1.2f6843cb0a808p-13, -0x1.2748bf26a05dcp-13, -0x1.1f5765a821cfbp-13, -0x1.17936a57a2fd1p-13, -0x1.0ffc07646f717p-13, -0x1.0890791cc46a8p-13, -0x1.014ff92b9c141p-13, -0x1.f47378c910336p-14, -0x1.e699e86e798bfp-14, -0x1.d911a5e403dcep-14, -0x1.cbd920d9531e2p-14, -0x1.beeed91d53623p-14, -0x1.b2515cedfd323p-14, -0x1.a5ff42090eb47p-14, -0x1.99f71d8b48e62p-14, -0x1.8e377e9348943p-14, -0x1.82beed61c1a67p-14, -0x1.778bee5fe1a26p-14, -0x1.6c9d075c5a8bep-14, -0x1.61f0c56ea3f63p-14, -0x1.5785c26a3ba57p-14, -0x1.4d5aa8f3cf1c9p-14, -0x1.436e36399bb44p-14, -0x1.39bf384e2d07p-14, -0x1.304c88c414565p-14, -0x1.2715048ae972ap-14, -0x1.1e1783fad31efp-14, -0x1.1552d6ecff4e2p-14, -0x1.0cc5c78e3152ep-14, -0x1.046f2302f5901p-14, -0x1.f89b869773cb6p-15, -0x1.e8c1299023b6ep-15, -0x1.d94d290fd7d79p-15, -0x1.ca3d92422041ap-15, -0x1.bb9074a9e76eep-15, -0x1.ad43d48f335c8p-15, -0x1.9f559d665928ep-15, -0x1.91c38d4e8a709p-15, -0x1.848b21d5cde55p-15, -0x1.77a9b583e2399p-15, -0x1.6b1da7030668p-15, -0x1.5ee68db2bc916p-15, -0x1.53030cb9e5bb4p-15, -0x1.477079b5ec8f9p-15, -0x1.3c2bafe3573c3p-15, -0x1.313374b01166ep-15, -0x1.268772f6623ccp-15, -0x1.1c264319b5c14p-15, -0x1.120d469019fb7p-15, -0x1.083a1a4aa358cp-15, -0x1.fd563e39062ddp-16, -0x1.eabe164ef2c7cp-16, -0x1.d8a9328742c65p-16, -0x1.c714fa3a6894bp-16, -0x1.b5fec7ecc6e37p-16, -0x1.a563e24831c79p-16, -0x1.95417ca26c90fp-16, -0x1.8594c5cb84f5p-16, -0x1.765af7c7bff09p-16, -0x1.67915a2a90adcp-16, -0x1.59353954deb41p-16, -0x1.4b43e10bd63cdp-16, -0x1.3dbaa43dc5128p-16, -0x1.3096ee50c3c8dp-16, -0x1.23d65275660f2p-16, -0x1.17768ebb92facp-16, -0x1.0b757f65b5022p-16, -0x1.ffa20f1d41e0cp-17, -0x1.e90df52d60031p-17, -0x1.d32a253dbcc36p-17, -0x1.bdf1f13822436p-17, -0x1.a960b06c83b1bp-17, -0x1.9571e9671136bp-17, -0x1.82216f28a87c2p-17, -0x1.6f6b6cbf25ccap-17, -0x1.5d4c5a60064a8p-17, -0x1.4bc0d78d08fb6p-17, -0x1.3ac5777f6690dp-17, -0x1.2a56a20eddc53p-17, -0x1.1a70a28d4f6dcp-17, -0x1.0b0fd50d1abe5p-17, -0x1.f8618a8b8e251p-18, -0x1.dba04d25793aap-18, -0x1.bfd572f1d36cfp-18, -0x1.a4fa7e6278332p-18, -0x1.8b09030e1aa43p-18, -0x1.71fac35d78a31p-18, -0x1.59c9c7ce9d999p-18, -0x1.4270697bd94a7p-18, -0x1.2be94ac69a08p-18, -0x1.162f3a60d2273p-18, -0x1.013d053534a15p-18, -0x1.da1a92a2e083cp-19, -0x1.b334c7e48a8bap-19, -0x1.8dbd1baa62134p-19, -0x1.69a83ffbf1e1dp-19, -0x1.46ebb8f5c1fbp-19, -0x1.257e1a6ad068dp-19, -0x1.0556cba77846cp-19, -0x1.ccdb0ef25087bp-20, -0x1.9173e75f1d6bp-20, -0x1.5866ea36d11fbp-20, -0x1.21a26d823add6p-20, -0x1.da29ae0e9053ap-21, -0x1.755ac38f137bp-21, -0x1.14b8b40e684eep-21, -0x1.704a0d83e3637p-22, -0x1.7e0444761ad9dp-23, -0x1.55caaee59e9ebp-26, 0x1.19c1e851c4631p-23, 0x1.27ee2364b377cp-22, 0x1.bbff7f7aababfp-22, 0x1.24a3c5023d713p-21, 0x1.67fb936e85b56p-21, 0x1.a81ee1c8ebcf7p-21, 0x1.e5249fd4bb933p-21, 0x1.0f91861cb1eebp-20, 0x1.2b185d3603828p-20, 0x1.4534397e6732p-20, 0x1.5df8de95c80f3p-20, 0x1.75829eaa9bf06p-20, 0x1.8be583ec7445dp-20, 0x1.a10d483bada83p-20, 0x1.b4d8df96f252ap-20, 0x1.c7642b0e3fd28p-20, 0x1.d8e77047f496p-20, 0x1.e9629cdf3da12p-20, 0x1.f8b828342d14ep-20, 0x1.037beae65678ep-19, 0x1.0a24e9fa8c44dp-19, 0x1.105ed70164a47p-19, 0x1.1628d89eab215p-19, 0x1.1b831ba438c47p-19, 0x1.2070730655d74p-19, 0x1.24f4cb21a42ccp-19, 0x1.29141d250ae43p-19, 0x1.2cd223065cdb8p-19, 0x1.303254923ecabp-19, 0x1.3337fa150f8abp-19, 0x1.35e6444bd40a8p-19, 0x1.38405fc233ad3p-19, 0x1.3a497d6209de4p-19, 0x1.3c04cf42036dap-19, 0x1.3d757d5440467p-19, 0x1.3e9e979c69dd6p-19, 0x1.3f830d9a0f789p-19, 0x1.4025aed8be7ccp-19, 0x1.40892f8d7ab34p-19, 0x1.40b02555958a6p-19, 0x1.409cf01c640efp-19, 0x1.40517422f7fap-19, 0x1.3fcfaa8e6545p-19, 0x1.3f1e71a8b33fbp-19, 0x1.3e3938fc0bfcep-19, 0x1.3d24fe90aaad3p-19, 0x1.3be5b3bfa07e3p-19, 0x1.3a7c261dc19c9p-19, 0x1.38e9dddba41a6p-19, 0x1.3730d9daa405ap-19, 0x1.355315857a4efp-19, 0x1.33528bae436d4p-19, 0x1.313110ceb5a06p-19, 0x1.2ef058215ef5p-19, 0x1.2c91ff4c52907p-19, 0x1.2a178d07162a6p-19, 0x1.278273b8baf89p-19, 0x1.24d41871da9c4p-19, 0x1.220dda092d61fp-19, 0x1.1f3116bc3001fp-19, 0x1.1c3f2ecfd0051p-19, 0x1.193982e92fa98p-19, 0x1.16216e34b49d3p-19, 0x1.12f83e6c55e8ap-19, 0x1.0fbf2cff4edbep-19, 0x1.0c775cac66fbdp-19, 0x1.0921dcf358da9p-19, 0x1.05bfb17a370bp-19, 0x1.0251d91458d34p-19, 0x1.fdb2a1796bafap-20, 0x1.f6ae23427309ap-20, 0x1.ef98195b711dp-20, 0x1.e872546ae8798p-20, 0x1.e13ea02cd73a5p-20, 0x1.d9febea11226fp-20, 0x1.d2b444c79f6dfp-20, 0x1.cb609ac6a6da6p-20, 0x1.c4052b757c55bp-20, 0x1.bca36edd83264p-20, 0x1.b53cdba8c68dap-20, 0x1.add2c8fade774p-20, 0x1.a6666ce7a9c1p-20, 0x1.9ef8ed96802c2p-20, 0x1.978b50708d866p-20, 0x1.901e666a92579p-20, 0x1.88b2b50de79b5p-20, 0x1.81485c422f8c6p-20, 0x1.79df34ede3cb7p-20, 0x1.72780a59b4775p-20, 0x1.6b18b618245d5p-20, 0x1.63d131a9738e8p-20, 0x1.5cae0c0a14ce2p-20, 0x1.559290ee0cedcp-20, 0x1.4e58954b059dp-20, 0x1.471dba6f2d822p-20, 0x1.4002869b9c708p-20, 0x1.38e8fe4f8243fp-20, 0x1.31c2ccc169c9dp-20, 0x1.2aade84590cb4p-20, 0x1.23b7cbd6f8211p-20, 0x1.1cd8363d6eda7p-20, 0x1.1607c4cf740d7p-20, 0x1.0f44782dc4059p-20, 0x1.088eb7f743a0bp-20, 0x1.01e7675b7268ap-20, 0x1.f69ea1836090dp-21, 0x1.e98e1da970ffbp-21, 0x1.dc9e3d811ed4fp-21, 0x1.cfcfe36311f1ep-21, 0x1.c323ca4d52984p-21, 0x1.b69a849818f41p-21, 0x1.aa3490bc1d1bep-21, 0x1.9df26c77a4e4p-21, 0x1.91d488ce09ebcp-21, 0x1.85db49abfc5f8p-21, 0x1.7a07093e3292p-21, 0x1.6e58188c7fe97p-21, 0x1.62cebfad2a55cp-21, 0x1.576b3e7b92813p-21, 0x1.4c2dcda6a2e79p-21, 0x1.41169fce4ad74p-21, 0x1.3625e238d3712p-21, 0x1.2b5bbcd45696ep-21, 0x1.20b8519c603ap-21, 0x1.163bbbbf4cdcdp-21, 0x1.0be60ee044961p-21, 0x1.01b756aa6fb58p-21, 0x1.ef5f2dae9ac6fp-22, 0x1.db9d980268a9ep-22, 0x1.c829db34da147p-22, 0x1.b503e165b1722p-22, 0x1.a22b943128087p-22, 0x1.8fa0dc8428f3cp-22, 0x1.7d6397f028decp-22, 0x1.6b734cc445bcap-22, 0x1.59cd01cd226d9p-22, 0x1.486d329785e12p-22, 0x1.3771bdccd7aeep-22, 0x1.26afdb800ce7ap-22, 0x1.1638c41d03ee3p-22, 0x1.0612c49448235p-22, 0x1.ec6ab0198a765p-23, 0x1.cd444588b0952p-23, 0x1.aeb1982f1a824p-23, 0x1.90b1a3312212ap-23, 0x1.73435b204cc4ap-23, 0x1.5665b02f15d76p-23, 0x1.3a178cb6fef76p-23, 0x1.1e57d3b7adb99p-23, 0x1.0325609613627p-23, 0x1.d0fe0ea6eee22p-24, 0x1.9cc72a12707ep-24, 0x1.69a3a0ae75541p-24, 0x1.3790f3363f94dp-24, 0x1.068c9510d2345p-24, 0x1.ad27d26d59748p-25, 0x1.4f487510b4cbfp-25, 0x1.e6eaab9dc1301p-26, 0x1.33503e24e6102p-26, 0x1.07652db48f37dp-27, -0x1.4011ac2929f07p-29, -0x1.9fd6ba2d1e9f1p-27, -0x1.743779b742a47p-26, -0x1.0a964d9e22545p-25, -0x1.598765d9d113ep-25, -0x1.a6bd1e909fc05p-25, -0x1.f0ebb2b479841p-25, -0x1.1b1641e7baa3ep-24, -0x1.3c614651ce2d6p-24, -0x1.5eceeabd748a6p-24, -0x1.80f302980e3e5p-24, -0x1.a168086887435p-24, -0x1.c20ef3d1a523dp-24, -0x1.e2a6bfd9d6dddp-24, -0x1.00c64ced40403p-23, -0x1.0f6ba8e672c87p-23, -0x1.1d91ee74c0f95p-23, -0x1.2b59e42994ff2p-23, -0x1.38c7ef55129b5p-23, -0x1.45d9eaa0b9969p-23, -0x1.528e0c08e033p-23, -0x1.5ee3cdb0ccba9p-23, -0x1.6adb91c6da246p-23, -0x1.76763e3e72c98p-23, -0x1.81b4fdc5fbe94p-23, -0x1.8c991d56e13bcp-23, -0x1.9723fa4625c83p-23, -0x1.a156f90d1935cp-23, -0x1.ab338095c1103p-23, -0x1.b4baf7eeb84ccp-23, -0x1.bdeec4b46b6b5p-23, -0x1.c6d04a4581f44p-23, -0x1.cf60e9c8db653p-23, -0x1.d7a201de4464cp-23, -0x1.df94ee722252ep-23, -0x1.e73b08b5ec859p-23, -0x1.ee95a717588efp-23, -0x1.f5a61d432c6ep-23, -0x1.fc6dbc1e4139p-23, -0x1.0176e8d996abap-22, -0x1.0493d484f7ee6p-22, -0x1.078e44fef2e4bp-22, -0x1.0a66dc9dc6a19p-22, -0x1.0d1e3c2ae24e5p-22, -0x1.0fb502ececf38p-22, -0x1.122bceb05d3f9p-22, -0x1.14833bd350535p-22, -0x1.16bbe52b0e948p-22, -0x1.18d663b9d139dp-22, -0x1.1ad34e952652p-22, -0x1.1cb33b1a7bab6p-22, -0x1.1e76bcf00655ap-22, }}, 
      {{0x1.ac44d36b31e65p-5, 0x1.73a6d67fff40dp-4, 0x1.b5ab1835f258fp-4, 0x1.92721e2d35bc7p-4, 0x1.1329589d8d9fcp-4, 0x1.2fa20976f004ep-6, -0x1.55938b784ab6ap-5, -0x1.b85ed3da22f61p-4, -0x1.63795558013f7p-3, -0x1.e25e3f6ebd434p-3, -0x1.29256ce0589b6p-2, -0x1.5777fd0d6b5a1p-2, -0x1.7b01e217eef05p-2, -0x1.9374a100c763p-2, -0x1.a1281a9d013cap-2, -0x1.a4ec62ca81297p-2, -0x1.9fe0d3d031acap-2, -0x1.9351d8715a29ep-2, -0x1.809dbc75a86d9p-2, -0x1.69201e33e5e6bp-2, -0x1.4e2339e0d78p-2, -0x1.30d61dfa6d5d1p-2, -0x1.1246d26ee21dbp-2, -0x1.e6bf1a23c0a9bp-3, -0x1.a9cc51dc8fafap-3, -0x1.6efa6e1e86b94p-3, -0x1.374c42a9de025p-3, -0x1.0387eb9c342ecp-3, -0x1.a87a355ca27d2p-4, -0x1.53975c3c5634fp-4, -0x1.08d48a7377486p-4, -0x1.90b274c3146f6p-5, -0x1.242644e592daap-5, -0x1.970520d443989p-6, -0x1.0bf80e3834c6p-6, -0x1.4a3efefe855bbp-7, -0x1.80956bd12e381p-8, -0x1.d3ed50ce1774bp-9, -0x1.8be62f7f80602p-9, -0x1.09a66f19c6b6ap-8, -0x1.aa31b08e5d956p-8, -0x1.4e74deb358462p-7, -0x1.ebbd8fa377b42p-7, -0x1.540127050a98ep-6, -0x1.bf4a824ba9d38p-6, -0x1.1ac416c25e677p-5, -0x1.5a56d4731237ap-5, -0x1.9d6ab2686e476p-5, -0x1.e3205a48f0d76p-5, -0x1.1555c88b9694dp-4, -0x1.39a952fe3ab1dp-4, -0x1.5e36db65d54f5p-4, -0x1.82b2ebf527969p-4, -0x1.a6da153d7c34fp-4, -0x1.ca7074a1ee039p-4, -0x1.ed4139525dc21p-4, -0x1.078f150e5339cp-3, -0x1.17ef96ec78314p-3, -0x1.27b0ebced4d3cp-3, -0x1.36c47bb4203ecp-3, -0x1.451e17de38658p-3, -0x1.52b3c8445da64p-3, -0x1.5f7d9bb2639b9p-3, -0x1.6b757a967f228p-3, -0x1.7696fc7695abfp-3, -0x1.80df3ff79c35ep-3, -0x1.8a4cc5676736ep-3, -0x1.92df4bb21e66cp-3, -0x1.9a97af9c60422p-3, -0x1.a177cd3e03d49p-3, -0x1.a782638777154p-3, -0x1.acbaf9c9c206fp-3, -0x1.b125c72455675p-3, -0x1.b4c79ba6dc457p-3, -0x1.b7a5cb405d0f3p-3, -0x1.b9c61a1c2f808p-3, -0x1.bb2eaab01b665p-3, -0x1.bbe5ecfdead1fp-3, -0x1.bbf28f647d5a5p-3, -0x1.bb5b7079c9a3ap-3, -0x1.ba27925417256p-3, -0x1.b85e0eb0c7c96p-3, -0x1.b6060c768f3c4p-3, -0x1.b326b5e4c6b81p-3, -0x1.afc73011075bcp-3, -0x1.abee92e6a0766p-3, -0x1.a7a3e2704d791p-3, -0x1.a2ee085dd303dp-3, -0x1.9dd3cef34f8a9p-3, -0x1.985bdc0b181b5p-3, -0x1.928cad0131c74p-3, -0x1.8c6c937f4a14cp-3, -0x1.8601b20e1a19dp-3, -0x1.7f51fa639d923p-3, -0x1.78632b125f25ap-3, -0x1.713acdbd24823p-3, -0x1.69de36f8250fdp-3, -0x1.625284840f865p-3, -0x1.5a9c9de82d33bp-3, -0x1.52c1339317b1ap-3, -0x1.4ac4bfaa60f6ep-3, -0x1.42ab861db5018p-3, -0x1.3a79958e9d3fp-3, -0x1.3232c7e8cefd3p-3, -0x1.29dac3772e657p-3, -0x1.2174fc3d4f9a1p-3, -0x1.1904b4ea6b011p-3, -0x1.108d000f2fa3bp-3, -0x1.0810c1f9c3daap-3, -0x1.ff256433ff5bcp-4, -0x1.ee2ab7e1f662bp-4, -0x1.dd364241eb61ap-4, -0x1.cc4c764b4671ap-4, -0x1.bb7178d19a1b8p-4, -0x1.aaa924160b296p-4, -0x1.99f70b45fe992p-4, -0x1.895e7ceb227e5p-4, -0x1.78e28688b8387p-4, -0x1.6885f7d2f0b28p-4, -0x1.584b6503def5p-4, -0x1.483529fe1226ap-4, -0x1.38456dabe9968p-4, -0x1.287e24757f27fp-4, -0x1.18e112ae0f7b1p-4, -0x1.096fcfb0d591ep-4, -0x1.f45791034bb5dp-5, -0x1.d62c8390be3a8p-5, -0x1.b860b4de5ec0dp-5, -0x1.9af61cbc4103bp-5, -0x1.7dee70c18671ap-5, -0x1.614b280165c86p-5, -0x1.450d8002b70a9p-5, -0x1.293680f718dabp-5, -0x1.0dc700aacfc19p-5, -0x1.e57f4c33ba956p-6, -0x1.b041db413e579p-6, -0x1.7bd658548a4efp-6, -0x1.483d23326e2e2p-6, -0x1.157657bb5ac65p-6, -0x1.c703a9711c918p-7, -0x1.64be81812fcd6p-7, -0x1.041c1c1875586p-7, -0x1.4a35fdf9d3eabp-8, -0x1.1ee5700d615ddp-9, 0x1.40ae73a7d6aa8p-11, 0x1.b8d0adf5b599p-9, 0x1.8d8a20bfe4645p-8, 0x1.1dc06bef16aa2p-7, 0x1.7329445cd45a4p-7, 0x1.c702cbad545bfp-7, 0x1.0ca82d4bea17fp-6, 0x1.350ab50fb4604p-6, 0x1.5caac72be1b18p-6, 0x1.838a39895bc53p-6, 0x1.a9aaec653a5acp-6, 0x1.cf0ec81fe83d2p-6, 0x1.f3b7bb18445c7p-6, 0x1.0bd3dc1fd6548p-5, 0x1.1d705b17d9494p-5, 0x1.2eb256fdc9f2fp-5, 0x1.3f9acccfe1a3ap-5, 0x1.502ab95ff8a4ep-5, 0x1.606318f7450f2p-5, 0x1.7044e7190022p-5, 0x1.7fd11e1c80ecbp-5, 0x1.8f08b6b0fb2b7p-5, 0x1.9deca786edb3p-5, 0x1.ac7de528c2d21p-5, 0x1.babd61e4ea0a1p-5, 0x1.c8ac0d97d1c9ap-5, 0x1.d64ad56843c93p-5, 0x1.e39aa39efbc85p-5, 0x1.f09c5f9d9c6c2p-5, 0x1.fd50ede5d8b42p-5, 0x1.04dc98052754ap-4, 0x1.0aeb0248ba3b4p-4, 0x1.10d42374d88cp-4, 0x1.169867b864ae9p-4, 0x1.1c3839c5bd6ap-4, 0x1.21b402da1a5ddp-4, 0x1.270c2abc5baa2p-4, 0x1.2c4117bf0767bp-4, 0x1.31532ec8f1372p-4, 0x1.3642d3637e91ap-4, 0x1.3b1067caab2b8p-4, 0x1.3fbc4cf636be5p-4, 0x1.4446e2a02eee2p-4, 0x1.48b0874f99f29p-4, 0x1.4cf99866a3ae1p-4, 0x1.51227233af3a1p-4, 0x1.552b70018cb92p-4, 0x1.5914ec2200498p-4, 0x1.5cdf3ff7eaabfp-4, 0x1.608ac404b85ccp-4, 0x1.6417cff72a2edp-4, 0x1.6786babb1e65cp-4, 0x1.6ad7da880f142p-4, 0x1.6e0b84ec08696p-4, 0x1.71220ed624bc3p-4, 0x1.741bcca268c6ep-4, 0x1.76f91225b6681p-4, 0x1.79ba32ba91caap-4, 0x1.7c5f814de4f85p-4, 0x1.7ee9506897e56p-4, 0x1.8157f23756a4ap-4, 0x1.83abb8932434cp-4, 0x1.85e4f50a4ca6ap-4, 0x1.8803f8e9400b7p-4, 0x1.8a0915439b4cbp-4, 0x1.8bf49afbad1c4p-4, 0x1.8dc6dac7a2d28p-4, 0x1.8f8025367f1cfp-4, 0x1.9120cab53328bp-4, 0x1.92a91b93aa9acp-4, 0x1.941968097422dp-4, 0x1.9572003a4fabp-4, 0x1.96b334397bd3p-4, 0x1.97dd540b84f69p-4, 0x1.98f0afa7e7df6p-4, 0x1.99ed96faaa6f8p-4, 0x1.9ad459e559a9ap-4, 0x1.9ba5483fe18bdp-4, 0x1.9c60b1d960584p-4, 0x1.9d06e67824ff8p-4, 0x1.9d9835d8d6be4p-4, 0x1.9e14efad251bp-4, 0x1.9e7d639a512eep-4, 0x1.9ed1e1377ce14p-4, 0x1.9f12b80bc0157p-4, 0x1.9f40378c77e61p-4, 0x1.9f5aaf1b416f2p-4, 0x1.9f626e0316eefp-4, 0x1.9f57c374d59cp-4, 0x1.9f3afe837997bp-4, 0x1.9f0c6e204bce1p-4, 0x1.9ecc61165c651p-4, 0x1.9e7b26080261ap-4, 0x1.9e190b69b9849p-4, 0x1.9da65f7fff2cap-4, 0x1.9d23705a10895p-4, 0x1.9c908bcdbcfffp-4, 0x1.9bedff738ec45p-4, 0x1.9b3c18a24c518p-4, 0x1.9a7b246a4196ap-4, 0x1.99ab6f904f167p-4, 0x1.98cd4688e525p-4, 0x1.97e0f5731b1eep-4, 0x1.96e6c81410ddp-4, 0x1.95df09d2c2af3p-4, 0x1.94ca05b426588p-4, 0x1.93a80657096afp-4, 0x1.927955ef796aap-4, 0x1.913e3e41b7a8cp-4, 0x1.8ff7089d3dd44p-4, 0x1.8ea3fdd851915p-4, 0x1.8d45664c3d9b7p-4, 0x1.8bdb89d1dfb32p-4, 0x1.8a66afbe3a3cep-4, 0x1.88e71ede8d5fp-4, 0x1.875d1d73e1fa2p-4, 0x1.85c8f12e9474ap-4, 0x1.842adf2a4f96p-4, 0x1.82832bead69efp-4, 0x1.80d21b596a8a9p-4, 0x1.7f17f0c246891p-4, 0x1.7d54eed1b4547p-4, 0x1.7b89579096c68p-4, 0x1.79b56c60cb174p-4, 0x1.77d96df9e12ffp-4, 0x1.75f59c669a9c2p-4, 0x1.740a37031d17fp-4, 0x1.72177c7b75de7p-4, 0x1.701daac9ea7a5p-4, 0x1.6e1cff34aabb2p-4, 0x1.6c15b64b05c2fp-4, 0x1.6a080be2c46p-4, 0x1.67f43b1619fc6p-4, 0x1.65da7e4292886p-4, 0x1.63bb0f08a23d4p-4, 0x1.6196264b59cacp-4, 0x1.5f6bfc2faa74cp-4, 0x1.5d3cc81aed403p-4, 0x1.5b08c0b0e7f12p-4, 0x1.58d01bd1eeb61p-4, 0x1.56930e99b50aep-4, 0x1.5451cd5f256f8p-4, 0x1.520c8bb4fe812p-4, 0x1.4fc37c6aaep-4, 0x1.4d76d18ccde42p-4, 0x1.4b26bc64c8b54p-4, 0x1.48d36d77d0c8p-4, 0x1.467d1485bb54bp-4, 0x1.4423e088424bap-4, 0x1.41c7ffb336d24p-4, 0x1.3f699f7597652p-4, 0x1.3d08ec7b344cp-4, 0x1.3aa612ae42495p-4, 0x1.38413d3848f99p-4, 0x1.35da968251cc5p-4, 0x1.3372483499bb3p-4, 0x1.31087b363ec7ap-4, 0x1.2e9d57ad76846p-4, 0x1.2c310500a4be7p-4, 0x1.29c3a9d82d273p-4, 0x1.27556c20a593ap-4, 0x1.24e6710cd482dp-4, 0x1.2276dd1713c64p-4, 0x1.2006d40210166p-4, 0x1.1d9678d91adfep-4, 0x1.1b25edf0799b8p-4, 0x1.18b554e623f96p-4, 0x1.1644cea31dbe4p-4, 0x1.13d47b5d66dccp-4, 0x1.11647a9a4f7b5p-4, 0x1.0ef4eb310a141p-4, 0x1.0c85eb4d2ac16p-4, 0x1.0a17987095952p-4, 0x1.07aa0f745b8e1p-4, 0x1.053d6c88b46f4p-4, 0x1.02d1cb34cdd84p-4, 0x1.006746578cc8bp-4, 0x1.fbfbf053a1df9p-5, 0x1.f72bf48476604p-5, 0x1.f25ecb332b44dp-5, 0x1.ed94a51d3bf03p-5, 0x1.e8cdb1cfecebfp-5, 0x1.e40a1fa7943f2p-5, 0x1.df4a1bcc30db4p-5, 0x1.da8dd22ea43d5p-5, 0x1.d5d56d898e54ap-5, 0x1.d1211766b7c65p-5, 0x1.cc70f82854a6cp-5, 0x1.c7c5371454dap-5, 0x1.c31dfa5f81cap-5, 0x1.be7b6735f3fffp-5, 0x1.b9dda1bf06b1p-5, 0x1.b544cd1bf1911p-5, 0x1.b0b10b62058b3p-5, 0x1.ac227d92f1fc3p-5, 0x1.a7994396bb0cdp-5, 0x1.a3157c3aa2ae8p-5, 0x1.9e9745379e9fbp-5, 0x1.9a1ebb406f2c3p-5, 0x1.95abfa1553e8dp-5, 0x1.913f1c992a223p-5, 0x1.8cd83ce2a3b44p-5, 0x1.88777444db998p-5, 0x1.841cdb4c4f28ep-5, 0x1.7fc889b09b5a5p-5, 0x1.7b7a963e8f1c7p-5, 0x1.773316c11f9d5p-5, 0x1.72f21ff10054fp-5, 0x1.6eb7c571b0ab2p-5, 0x1.6a8419dff8c01p-5, 0x1.66572ef13f761p-5, 0x1.6231159e3bc3bp-5, 0x1.5e11de4f7d248p-5, 0x1.59f9990085afbp-5, 0x1.55e8554f253e8p-5, 0x1.51de2270fabe8p-5, 0x1.4ddb0f0f3bb47p-5, 0x1.49df290ff1055p-5, 0x1.45ea7d59efd66p-5, 0x1.41fd17a3c4dc1p-5, 0x1.3e17025d40a1fp-5, 0x1.3a3846be0c40ap-5, 0x1.3660ecfb488c2p-5, 0x1.3290fc9c650a8p-5, 0x1.2ec87cde06f9fp-5, 0x1.2b07750c2f736p-5, 0x1.274decbc3b923p-5, 0x1.239bebd495056p-5, 0x1.1ff17a5a605bap-5, 0x1.1c4ea00b48819p-5, 0x1.18b363d6f08dbp-5, 0x1.151fcb56112cp-5, 0x1.1193da614cd53p-5, 0x1.0e0f92e5eab5ep-5, 0x1.0a92f50b2cde7p-5, 0x1.071dffa9a084dp-5, 0x1.03b0b10243a82p-5, 0x1.004b079266592p-5, 0x1.f9da05ac628f9p-6, 0x1.f32d479621216p-6, 0x1.ec8fda19f9a66p-6, 0x1.e601c4fa2e8ddp-6, 0x1.df8310f34df1bp-6, 0x1.d913c592b1adcp-6, 0x1.d2b3e6e1ae0d5p-6, 0x1.cc637367b2cf7p-6, 0x1.c622630006bb4p-6, 0x1.bff0a6dbce3e1p-6, 0x1.b9ce2ad054f5cp-6, 0x1.b3bad7cb2d4efp-6, 0x1.adb6970234b1p-6, 0x1.a7c15542f6259p-6, 0x1.a1db05af8bdd5p-6, 0x1.9c03a3457cba7p-6, 0x1.963b30be22b94p-6, 0x1.9081b6a78e7c9p-6, 0x1.8ad73ff525ba8p-6, 0x1.853bd5a21811dp-6, 0x1.7faf7a3ac021bp-6, 0x1.7a32262ec238ep-6, 0x1.74c3c5b41975dp-6, 0x1.6f6438cc0901ap-6, 0x1.6a1355a103c65p-6, 0x1.64d0ecfe85e31p-6, 0x1.5f9cd02c848b6p-6, 0x1.5a76d71abf0d8p-6, 0x1.555ee5a23f7e6p-6, 0x1.5054eec28af74p-6, 0x1.4b58f51d4c7bdp-6, 0x1.466b086e295e1p-6, 0x1.418b4042e0b91p-6, 0x1.3cb9b4bfe6ba2p-6, 0x1.37f676ae5679ep-6, 0x1.334188492884ap-6, 0x1.2e9ad8311a206p-6, 0x1.2a023f9937827p-6, 0x1.257784328d4f2p-6, 0x1.20fa5db33b999p-6, 0x1.1c8a7e2c247ccp-6, 0x1.18279bd586dc6p-6, 0x1.13d17aa77b3bp-6, 0x1.0f87f407b82bep-6, 0x1.0b4afb1619aa4p-6, 0x1.071a9ca75ab93p-6, 0x1.02f6fab529be2p-6, 0x1.fdc087adf534ep-7, 0x1.f5ad5028b159dp-7, 0x1.edb499d25ba35p-7, 0x1.e5d685176025ap-7, 0x1.de12f8b566fc2p-7, 0x1.d6699bb00ed91p-7, 0x1.ced9d9a02d032p-7, 0x1.c762f0e0e4e6dp-7, 0x1.c004087eb6cb7p-7, 0x1.b8bc4a872f3c1p-7, 0x1.b18afea198613p-7, 0x1.aa6fa0bd48772p-7, 0x1.a369f026cae3bp-7, 0x1.9c79f464154b9p-7, 0x1.959ff6bace902p-7, 0x1.8edc71070b521p-7, 0x1.882ff45239af7p-7, 0x1.819b0b15a4e6ap-7, 0x1.7b1e1bf4da2fap-7, 0x1.74b951c1f29d4p-7, 0x1.6e6c8cbb0c486p-7, 0x1.68375f4ffda4ep-7, 0x1.621916bde48bap-7, 0x1.5c10cde1d3337p-7, 0x1.561d87276ac56p-7, 0x1.503e49a3310fdp-7, 0x1.4a723d3537c45p-7, 0x1.44b8c1e5d9f36p-7, 0x1.3f117f67c1b04p-7, 0x1.397c6aac18138p-7, 0x1.33f9c0b23667fp-7, 0x1.2e89f71fa31ap-7, 0x1.292da49e63c02p-7, 0x1.23e56455ae3d2p-7, 0x1.1eb1b8c687eaap-7, 0x1.1992f2a306298p-7, 0x1.14891fa1569a1p-7, 0x1.0f9403d931cf6p-7, 0x1.0ab31e3b4f4b3p-7, 0x1.05e5b6b5a6b41p-7, 0x1.012af31ac0271p-7, 0x1.f903de54b3c93p-8, 0x1.efd3a833ec968p-8, 0x1.e6c3d90148845p-8, 0x1.ddd364cc8476ep-8, 0x1.d501ac96f7a51p-8, 0x1.cc4e7e4ce439ep-8, 0x1.c3ba0882bf11fp-8, 0x1.bb44c4d68709bp-8, 0x1.b2ef5be3ac7dcp-8, 0x1.aaba85691ebebp-8, 0x1.a2a6e747d8decp-8, 0x1.9ab4f6ab91f1ap-8, 0x1.92e4df760135fp-8, 0x1.8b3676092df1ap-8, 0x1.83a9364ce83f1p-8, 0x1.7c3c50952adc8p-8, 0x1.74eec29958a2ep-8, 0x1.6dbf783a92c7dp-8, 0x1.66ad6d394b037p-8, 0x1.5fb7c75bd57f9p-8, 0x1.58dde1e728f75p-8, 0x1.521f47b51748cp-8, 0x1.4b7b9f3d621ffp-8, 0x1.44f291721591cp-8, 0x1.3e83b6d6cddfdp-8, 0x1.382e940fc7bfcp-8, 0x1.31f2a85615b93p-8, 0x1.2bcf873324462p-8, 0x1.25c4f09528e89p-8, 0x1.1fd2da8bdb273p-8, 0x1.19f966615b237p-8, 0x1.1438c40da1906p-8, 0x1.0e910f5cb562p-8, 0x1.090236309b37ep-8, 0x1.038bf4ebd84a1p-8, 0x1.fc5bda44f30c8p-9, 0x1.f1cf9bf4789e3p-9, 0x1.e772f5d976ccap-9, 0x1.dd46361dc3188p-9, 0x1.d34a066785393p-9, 0x1.c97efa469ff35p-9, 0x1.bfe4fd1bed253p-9, 0x1.b67ad81e76eeap-9, 0x1.ad3e065bbf467p-9, 0x1.a42af4206b1dap-9, 0x1.9b3da196bab8bp-9, 0x1.92727aa3b9e5fp-9, 0x1.89c71d947606ep-9, 0x1.813ac95792ae3p-9, 0x1.78ce47079e381p-9, 0x1.7083540f492a6p-9, 0x1.685bc904ff0a6p-9, 0x1.6058dbaca32dp-9, 0x1.587ad2016dfbdp-9, 0x1.50c1461613418p-9, 0x1.492bd05b872e6p-9, 0x1.41bab8ecbc0d6p-9, 0x1.3a6f4ecc8eef6p-9, 0x1.334bb33b7e5ddp-9, 0x1.2c5229dc02066p-9, 0x1.258431da007f2p-9, 0x1.1ee1bbf047e6dp-9, 0x1.1868bd70beecdp-9, 0x1.12153ce509845p-9, 0x1.0be1d83ddaf0ap-9, 0x1.05c8b36e5dac1p-9, 0x1.ff895236f87aep-10, 0x1.f3a4e5ef0543ep-10, 0x1.e7e2bdc6e5968p-10, 0x1.dc46628325641p-10, 0x1.d0d6483f03d0ep-10, 0x1.c598d2771b311p-10, 0x1.ba91cb2c5e9d7p-10, 0x1.afc188f2b0a7p-10, 0x1.a526082beedd1p-10, 0x1.9abd279e4bc4ep-10, 0x1.9086bd96b8b73p-10, 0x1.868581a58f9cfp-10, 0x1.7cbe73f66aaaep-10, 0x1.73371e3f1d613p-10, 0x1.69f38ccffca46p-10, 0x1.60f4efb43f97ap-10, 0x1.58394e0933d51p-10, 0x1.4fbbf62a7f55dp-10, 0x1.4776090df201bp-10, 0x1.3f5ee5c58439dp-10, 0x1.376cda416c72cp-10, 0x1.2f96a2d81881ap-10, 0x1.27d5a8b4b8b17p-10, 0x1.20280835b331p-10, 0x1.1891030aa6d3dp-10, 0x1.11172de70698p-10, 0x1.09c1225ca3621p-10, 0x1.02929d816a7dp-10, 0x1.f7174abcc303dp-11, 0x1.e9539eaf64482p-11, 0x1.dbd5026fa3121p-11, 0x1.ce99d967e46d8p-11, 0x1.c1a5f8d39c17bp-11, 0x1.b5017971eda93p-11, 0x1.a8b4ceed51101p-11, 0x1.9cc4827b2000fp-11, 0x1.912f7c8a4c7f7p-11, 0x1.85f0a64f254a1p-11, 0x1.7b0207467a387p-11, 0x1.705eec42598dep-11, 0x1.6603d2e1ee772p-11, 0x1.5bec81670bbe6p-11, 0x1.5211f4808eb87p-11, 0x1.486a09ce50fb8p-11, 0x1.3ee9b3e1a8535p-11, 0x1.3588c18f92ba2p-11, 0x1.2c450ede86901p-11, 0x1.232304e47247p-11, 0x1.1a2ad07f37efcp-11, 0x1.11640b12a33fbp-11, 0x1.08d28090407f8p-11, 0x1.0075554f792bep-11, 0x1.f0912bf969a4p-12, 0x1.e0923014f2db9p-12, 0x1.d0f11ac8358d6p-12, 0x1.c1babc1a6fa2ap-12, 0x1.b2faba4174b8ap-12, 0x1.a4b177a0f1ca2p-12, 0x1.96d422a268a66p-12, 0x1.895450345cc2ap-12, 0x1.7c26f13f7e73cp-12, 0x1.6f46eb704046ep-12, 0x1.62b4b595cb494p-12, 0x1.5674fb3731ad6p-12, 0x1.4a8e89f65d9fap-12, 0x1.3f070ffba5b08p-12, 0x1.33df49866ec37p-12, 0x1.29102556f8ebp-12, 0x1.1e89f21275cc5p-12, 0x1.14370e3e4ff57p-12, 0x1.0a0476369179cp-12, 0x1.ffdb0ab77c0d6p-13, 0x1.ec009340ecec7p-13, 0x1.d8a63e7e56e05p-13, 0x1.c5e4d4f066195p-13, 0x1.b3af0fc2b2c98p-13, 0x1.a1e9426a9051p-13, 0x1.90921ecc40e5ep-13, 0x1.7fc6737ba2aa6p-13, 0x1.6f9c35b7701c3p-13, 0x1.60099bf40ce08p-13, 0x1.50f0cb7056894p-13, 0x1.4236e6e96b6adp-13, 0x1.33ce83b6fee87p-13, 0x1.25b51e67c9d7dp-13, 0x1.17ec9c00b53dcp-13, 0x1.0a77369b94069p-13, 0x1.faaf92c42b908p-14, 0x1.e12a35a1564afp-14, 0x1.c878c17440376p-14, 0x1.b0be52fd452b3p-14, 0x1.9a1878e2e914bp-14, 0x1.848c4245fc275p-14, 0x1.6ff0f7e558973p-14, 0x1.5be4050c6e45p-14, 0x1.47f22202e60fbp-14, 0x1.33fbc7808748ep-14, 0x1.205f1217341f3p-14, 0x1.0d8e0c302cfe1p-14, 0x1.f716616f6943cp-15, 0x1.d4050e041f81ap-15, 0x1.b1b2a8b4449b5p-15, 0x1.90a5fa11d99p-15, 0x1.7147df7fc550cp-15, 0x1.536790f015d36p-15, 0x1.36935399b9a54p-15, 0x1.1a7d77959911bp-15, 0x1.fe1c6f9c90595p-16, 0x1.c898363255869p-16, 0x1.948ae4453d27ep-16, 0x1.62093cf25225ap-16, 0x1.311758141a36cp-16, 0x1.01a9570596ec6p-16, 0x1.a75d918538bacp-17, 0x1.4e50fd22656a2p-17, 0x1.f0f5bfbfc47acp-18, 0x1.4ce844334cd96p-18, 0x1.6392083cd0da9p-19, 0x1.03d8468998e26p-21, -0x1.9c212cbf986c5p-20, -0x1.ce42fda3a93a2p-19, -0x1.654a93dc51a4p-18, -0x1.e4e58541e7c58p-18, -0x1.30df2a724a55cp-17, -0x1.6b4f1b717133p-17, -0x1.a2fbf392c9d2fp-17, -0x1.da092dc9b0e57p-17, -0x1.0792f7fe4db11p-16, -0x1.20156f85dae85p-16, -0x1.36b6cea7b957dp-16, -0x1.4c36756662702p-16, -0x1.61025fe3b6d1cp-16, -0x1.75299ea159549p-16, -0x1.8897a0b3a63eap-16, -0x1.9b3821956c1c6p-16, -0x1.ad00942b773fp-16, -0x1.bdee8042c4c31p-16, -0x1.ce040ca21ee77p-16, -0x1.dd4636d15aecfp-16, -0x1.ebbd02a93ab2dp-16, -0x1.f97388aa4fc06p-16, -0x1.033a66fafea5p-15, -0x1.09625f0ed027fp-15, -0x1.0f2d2e53c5ab2p-15, -0x1.1492188cbb6b5p-15, -0x1.198acb3119d67p-15, -0x1.1e109413bdaf2p-15, -0x1.220c4b16d7217p-15, -0x1.25796910a6e8ap-15, -0x1.28ad4f33d406p-15, -0x1.2be1ec54b8001p-15, -0x1.2ecf098e8cbaep-15, -0x1.3185bd03fb587p-15, -0x1.344939f9733cfp-15, -0x1.36b74365f5142p-15, -0x1.3889d0c13e07ap-15, -0x1.39fc433102166p-15, -0x1.3b46e1b01f64dp-15, -0x1.3c73d28b3b93ap-15, -0x1.3d7aad884a6e4p-15, -0x1.3e533fb1da0b7p-15, -0x1.3ef99d3bd4c36p-15, -0x1.3f6d3945bf167p-15, -0x1.3faf6ac75ef09p-15, -0x1.3fc24cf3ffc9ep-15, -0x1.3fa7fddc4ca4ap-15, -0x1.3f6232880883bp-15, -0x1.3ef22e17c7cep-15, -0x1.3e59208122f3ep-15, -0x1.3d98b92fbf32dp-15, -0x1.3cb379ecc5aabp-15, -0x1.3bac530e43c08p-15, -0x1.3a8589bbeedaep-15, -0x1.39402e66af288p-15, -0x1.37de2e2715febp-15, -0x1.366305ad91dbep-15, -0x1.34c5037f6f692p-15, -0x1.32e022f5b6788p-15, -0x1.30b5d157459e2p-15, -0x1.2e887405bab5fp-15, -0x1.2c638858b6829p-15, -0x1.2a4fdf892515fp-15, -0x1.282d066b3f265p-15, -0x1.25c421b942175p-15, -0x1.2333b772be9b4p-15, -0x1.209b6537d4b72p-15, -0x1.1dfd4f0f69b73p-15, -0x1.1b53f2d0b6966p-15, -0x1.189bd91ec5fbfp-15, -0x1.15d3f338dcf3ep-15, -0x1.12fc7a2128a47p-15, -0x1.10162f5624514p-15, -0x1.0d21ffc3632aep-15, -0x1.0a20ea3053da7p-15, -0x1.0714109a316f7p-15, -0x1.03fc8348b726cp-15, -0x1.00dae127b47cp-15, -0x1.fb5f36150a034p-16, -0x1.f4f6901c51a07p-16, -0x1.ee7cf06cc9379p-16, -0x1.e7f38fa5f3525p-16, -0x1.e15c73cacc12cp-16, -0x1.daba32f5d7d54p-16, -0x1.d40ef6e14dbcbp-16, -0x1.cd5beccd5d6c2p-16, -0x1.c6a296348fb55p-16, -0x1.bfe65a4ad448ap-16, -0x1.b924979bfc3edp-16, -0x1.b244abbb1cdccp-16, -0x1.ab40242af9665p-16, -0x1.a44bc98ad1db7p-16, -0x1.9d7a10e1214c2p-16, -0x1.96a825ea7d475p-16, -0x1.8fb6e748ed428p-16, -0x1.88c11f27c853ap-16, -0x1.81d3f43d75846p-16, -0x1.7aec8728d50e5p-16, -0x1.7408080ec6de4p-16, -0x1.6d25cbce03271p-16, -0x1.66462c2df6d35p-16, -0x1.5f69d3b27c98cp-16, -0x1.58917af62c4ap-16, -0x1.51bdd4ea07ffap-16, -0x1.4aef8a2f33fc1p-16, -0x1.442738886f963p-16, -0x1.3d6573366f523p-16, -0x1.36aac397d788cp-16, -0x1.2ff7a9fc6bc69p-16, -0x1.294c9edb07809p-16, -0x1.22aa14f24e2b5p-16, -0x1.1c107c8455b42p-16, -0x1.1580469fa93a4p-16, -0x1.0ef9e5b5535bep-16, -0x1.087dc96e1bdb2p-16, -0x1.020c5722de3acp-16, -0x1.f74bc691b7bffp-17, -0x1.ea95652b43ebep-17, -0x1.ddf6236deade9p-17, -0x1.d16ee23fcc7d8p-17, -0x1.c4ff884af5d22p-17, -0x1.b8a9c88c120a3p-17, -0x1.ac6cf71f8580ep-17, -0x1.a04a54e8abaf1p-17, -0x1.9441d9bd72ae5p-17, -0x1.88538e8c35098p-17, -0x1.7c823942ab753p-17, -0x1.70cc9f0da08b6p-17, -0x1.6532613feeee1p-17, -0x1.59b42cba05d4ap-17, -0x1.4e5299acb5dbbp-17, -0x1.430e10d2b1727p-17, -0x1.37e6e1f4b5a9ep-17, -0x1.2cdd512d6ad08p-17, -0x1.21f19beb881e9p-17, -0x1.1723fa4315d3p-17, -0x1.0c749edde0731p-17, -0x1.01e3b6a6810dep-17, -0x1.eee2d17ec095fp-18, -0x1.da3bae0b8a033p-18, -0x1.c5d23dd3ec284p-18, -0x1.b1a6b503ec375p-18, -0x1.9db943be5a705p-18, -0x1.8a0a19aeca535p-18, -0x1.76996890e98bfp-18, -0x1.636763da93106p-18, -0x1.507437122087fp-18, -0x1.3dbff5f6a7e0fp-18, -0x1.2b4a88aadc6d8p-18, -0x1.19139bbc15f7cp-18, -0x1.071ac2d64f00ep-18, -0x1.eac03bf34bd21p-19, -0x1.c7c8caf19db71p-19, -0x1.a54fa43b81e5dp-19, -0x1.8353d1e0c0405p-19, -0x1.61d1835abb278p-19, -0x1.40c80d950b70bp-19, -0x1.20463d53e76d2p-19, -0x1.0038d109a046ep-19, -0x1.c15690477be9fp-20, -0x1.833a07844fc09p-20, -0x1.4605a5815ddb7p-20, -0x1.09c096d943f37p-20, -0x1.9cdc9814aee38p-21, -0x1.281cb42acdecap-21, -0x1.6a7dbd3ea412dp-22, -0x1.11010786c7a3dp-23, 0x1.570f7bccad4e4p-24, 0x1.305505260b0adp-22, 0x1.039c5045d876cp-21, 0x1.6d3a432fb0647p-21, 0x1.d50756f0324f4p-21, 0x1.1d83495bf5584p-20, 0x1.4f9d8121e0b46p-20, 0x1.80d3d9b74ed77p-20, 0x1.b127dc5f1fefp-20, 0x1.e09b16d6f11a8p-20, 0x1.07978eda84f7cp-19, 0x1.1e72c81c6827p-19, 0x1.34e00fcf89446p-19, 0x1.4ae04d1bdf0aap-19, 0x1.6074787c36e76p-19, 0x1.759d93a421f87p-19, 0x1.8a5c958964da1p-19, 0x1.9eb2586eb039fp-19, 0x1.b29f973cedd77p-19, 0x1.c624f6953f46ep-19, 0x1.d9432026b9c0fp-19, 0x1.ebfb1ec4c662ap-19, 0x1.fe4edbd32602cp-19, 0x1.08203f98241eap-18, 0x1.10e7ea8d8d4b8p-18, 0x1.197be8d6a2262p-18, 0x1.21dce9e014624p-18, 0x1.2a12285928f22p-18, }}, 
      {{0x1.7bd8b8368008dp-5, 0x1.624c30e4dc77bp-4, 0x1.daa48639a2bb4p-4, 0x1.0eb64888dcd1ap-3, 0x1.146fa21278ca1p-3, 0x1.0066a0dc1c476p-3, 0x1.ac7ad3b1c4444p-4, 0x1.34eab3f000aa8p-4, 0x1.473e3a8e1f335p-5, 0x1.bfbd6f5e66586p-12, -0x1.50dfe6a9768e2p-5, -0x1.53dc85f4e793ap-4, -0x1.fac0acd8f660dp-4, -0x1.4c51a50c9c8cfp-3, -0x1.952059478b058p-3, -0x1.d6b3f36cdfaa6p-3, -0x1.08348f170de68p-2, -0x1.20fe7d0639555p-2, -0x1.35bcac4e492e9p-2, -0x1.469162f95c453p-2, -0x1.53b46832227b6p-2, -0x1.5d6c580e0b158p-2, -0x1.640920bd1671cp-2, -0x1.67df9214aafcep-2, -0x1.6945e17c97166p-2, -0x1.689101445240ep-2, -0x1.6612a8cd835c1p-2, -0x1.6217f0bc3189fp-2, -0x1.5ce865f834501p-2, -0x1.56c57c072a5aap-2, -0x1.4fea4a6f77088p-2, -0x1.488b83a4c189ap-2, -0x1.40d7973c6046cp-2, -0x1.38f6f3b27b3e9p-2, -0x1.310c5e608a353p-2, -0x1.293559c5835aap-2, -0x1.218a93edb010cp-2, -0x1.1a20588a818e7p-2, -0x1.130702a2f711ep-2, -0x1.0c4b6b14060e9p-2, -0x1.05f75236f2979p-2, -0x1.0011c30fcbca7p-2, -0x1.f53ede90e07d6p-3, -0x1.eb4606fd4c171p-3, -0x1.e23ae7b4f7f52p-3, -0x1.da1c82057b025p-3, -0x1.d2e76b4baf1f7p-3, -0x1.cc963a0ca33bep-3, -0x1.c721e63e9425cp-3, -0x1.c2821d8cc9f72p-3, -0x1.bead8cb1eb666p-3, -0x1.bb9a1efa50ac1p-3, -0x1.b93d34ef689a4p-3, -0x1.b78bd321f73abp-3, -0x1.b67ac9f3e0e1cp-3, -0x1.b5fed73b3b088p-3, -0x1.b60cc28848904p-3, -0x1.b69974aa19539p-3, -0x1.b79a0b0b573dcp-3, -0x1.b903e78150d5p-3, -0x1.baccbd035096ep-3, -0x1.bcea99ae931b3p-3, -0x1.bf53ee79b81c7p-3, -0x1.c1ff94ebe056ap-3, -0x1.c4e4d3204d51dp-3, -0x1.c7fb5e566145ap-3, -0x1.cb3b5c45b26d7p-3, -0x1.ce9d636716a5fp-3, -0x1.d21a7a5d10577p-3, -0x1.d5ac16a036462p-3, -0x1.d94c1a9028fb7p-3, -0x1.dcf4d3036e9f5p-3, -0x1.e0a0f46fc74ffp-3, -0x1.e44b97c09bfc4p-3, -0x1.e7f036ebe00f3p-3, -0x1.eb8aa95485f53p-3, -0x1.ef1720081ffa9p-3, -0x1.f29221e64e028p-3, -0x1.f5f887b7f37bfp-3, -0x1.f94778418eef1p-3, -0x1.fc7c64551583dp-3, -0x1.ff9502ed11f6p-3, -0x1.0147a6a94098fp-2, -0x1.02b4bdaafc88ap-2, -0x1.0410ffcd96be5p-2, -0x1.055bc1ff656ffp-2, -0x1.06947309e119p-2, -0x1.07ba99dfd8ec7p-2, -0x1.08cdd3f9095b4p-2, -0x1.09cdd3bef38fbp-2, -0x1.0aba5f082f249p-2, -0x1.0b934da502194p-2, -0x1.0c5887fc17042p-2, -0x1.0d0a05b67c376p-2, -0x1.0da7cc81b894bp-2, -0x1.0e31eed34c1a5p-2, -0x1.0ea88ad552ad3p-2, -0x1.0f0bc942edd04p-2, -0x1.0f5bdc73981aap-2, -0x1.0f98ff5fa2419p-2, -0x1.0fc374b95d2eep-2, -0x1.0fdb861a5816ap-2, -0x1.0fe1833fd02eep-2, -0x1.0fd5c138e2dcbp-2, -0x1.0fb899cc3ee3dp-2, -0x1.0f8a6ad649f72p-2, -0x1.0f4b959915f02p-2, -0x1.0efc7e3f6c0ecp-2, -0x1.0e9d8b61fedb7p-2, -0x1.0e2f25862188ep-2, -0x1.0db1b6a4c6c03p-2, -0x1.0d25a9cf0578fp-2, -0x1.0c8b6ad92b3aap-2, -0x1.0be365fdab03ep-2, -0x1.0b2e0788b45e5p-2, -0x1.0a6bbb957bfefp-2, -0x1.099cedd1af4cap-2, -0x1.08c20949679cdp-2, -0x1.07db7827b27fep-2, -0x1.06e9a388d4d59p-2, -0x1.05ecf3549b3fp-2, -0x1.04e5ce1401d0bp-2, -0x1.03d498d8895b5p-2, -0x1.02b9b71e8d506p-2, -0x1.01958aab64218p-2, -0x1.0068737df8d78p-2, -0x1.fe659f7db4406p-3, -0x1.fbe9f75950fadp-3, -0x1.f95ea323bd816p-3, -0x1.f6c4537fbfb0ep-3, -0x1.f41bb5030567dp-3, -0x1.f16570288f6d9p-3, -0x1.eea2295197e7cp-3, -0x1.ebd280c24268cp-3, -0x1.e8f7129d12dap-3, -0x1.e61076e324054p-3, -0x1.e31f417fe372p-3, -0x1.e024024f781c3p-3, -0x1.dd1f45208cbabp-3, -0x1.da1191c206447p-3, -0x1.d6fb6c12e57efp-3, -0x1.d3dd54105112ep-3, -0x1.d0b7c5e3d70c7p-3, -0x1.cd8b39f24bce3p-3, -0x1.ca5824ee93c4dp-3, -0x1.c71ef7eff1d41p-3, -0x1.c3e02082a8a5ap-3, -0x1.c09c08b8a848bp-3, -0x1.bd53173ff53f9p-3, -0x1.ba05af78c2255p-3, -0x1.b6b43189a82ddp-3, -0x1.b35efa73b1e8bp-3, -0x1.b0066426f4834p-3, -0x1.acaac59723c39p-3, -0x1.a94c72d0a2097p-3, -0x1.a5ebbd0e01c84p-3, -0x1.a288f2cba4186p-3, -0x1.9f245fda5832dp-3, -0x1.9bbe4d7417013p-3, -0x1.985702501cd4bp-3, -0x1.94eec2b6086c8p-3, -0x1.9185d0906474p-3, -0x1.8e1c6b7f5cfb9p-3, -0x1.8ab2d0eb45721p-3, -0x1.87493c1640f4ap-3, -0x1.83dfe62d57b99p-3, -0x1.80770659aec92p-3, -0x1.7d0ed1d1c25a3p-3, -0x1.79a77be985d3cp-3, -0x1.76413621891e5p-3, -0x1.72dc30363afcp-3, -0x1.6f78982f19c9bp-3, -0x1.6c169a6d9352bp-3, -0x1.68b661ba43b5dp-3, -0x1.6558175333607p-3, -0x1.61fbe2f8db04p-3, -0x1.5ea1eaf9d86abp-3, -0x1.5b4a54401bc4p-3, -0x1.57f5425c7ccf2p-3, -0x1.54a2d7921433fp-3, -0x1.515334e12fb5p-3, -0x1.4e067a11f6561p-3, -0x1.4abcc5be8dd84p-3, -0x1.4776355ccf9fbp-3, -0x1.4432e547d3606p-3, -0x1.40f2f0c91bac9p-3, -0x1.3db672214f49p-3, -0x1.3a7d829096249p-3, -0x1.37483a5ea807bp-3, -0x1.3416b0e29a2c3p-3, -0x1.30e8fc8a6676p-3, -0x1.2dbf32e20bc35p-3, -0x1.2a99689a726acp-3, -0x1.2777b190097bap-3, -0x1.245a20d122043p-3, -0x1.2140c8a43ee9dp-3, -0x1.1e2bba8e38c56p-3, -0x1.1b1b07565c8ap-3, -0x1.180ebf0d8930fp-3, -0x1.1506f11426b9ep-3, -0x1.1203ac1c1b8bdp-3, -0x1.0f04fe300b8d4p-3, -0x1.0c0af4b7831bap-3, -0x1.09159c7b40cc4p-3, -0x1.062501a9800dbp-3, -0x1.03392fda144ap-3, -0x1.00523212645e5p-3, -0x1.fae025927b38bp-4, -0x1.f525b7d508fabp-4, -0x1.ef752db5860f2p-4, -0x1.e9ce98f5112a4p-4, -0x1.e4320a53738a7p-4, -0x1.de9f91956aa84p-4, -0x1.d9173d8ad9442p-4, -0x1.d3991c14a94afp-4, -0x1.ce253a2a9356ap-4, -0x1.c8bba3e09a895p-4, -0x1.c35c646c66fbcp-4, -0x1.be07862a70ac5p-4, -0x1.b8bd12a30e477p-4, -0x1.b37d128f741bap-4, -0x1.ae478dde854fdp-4, -0x1.a91c8bb99e101p-4, -0x1.a3fc12892c788p-4, -0x1.9ee627f92d5a7p-4, -0x1.99dad0fd6d30fp-4, -0x1.94da11d5a88a6p-4, -0x1.8fe3ee1154d53p-4, -0x1.8af868934bf99p-4, -0x1.8617839560329p-4, -0x1.814140ac08b5ap-4, -0x1.7c75a0ca2b8e3p-4, -0x1.77b4a44516f8bp-4, -0x1.72fe4ad97e39ep-4, -0x1.6e5293b02e825p-4, -0x1.69b17d58a7215p-4, -0x1.651b05df1c78dp-4, -0x1.608f2ab9db7fap-4, -0x1.5c0de8e0d996ap-4, -0x1.57973cc277dbep-4, -0x1.532b2247dfbe9p-4, -0x1.4ec994dc7b9ep-4, -0x1.4a728f6f14a92p-4, -0x1.46260c753faa1p-4, -0x1.41e405ef05a1dp-4, -0x1.3dac756a4415dp-4, -0x1.397f5405b53bp-4, -0x1.355c9a73ac7b2p-4, -0x1.314440fcb6d44p-4, -0x1.2d363f823ade5p-4, -0x1.29328d8123b8cp-4, -0x1.253922149b198p-4, -0x1.2149f3f8c0312p-4, -0x1.1d64f98d5839ap-4, -0x1.198a28d879be5p-4, -0x1.15b977892c1a4p-4, -0x1.11f2daf9ffed2p-4, -0x1.0e364833a40bap-4, -0x1.0a83b3ef70c26p-4, -0x1.06db1299e2903p-4, -0x1.033c58550d7c5p-4, -0x1.ff4ef1f5f808fp-5, -0x1.f838d04025966p-5, -0x1.f136322ac9ef7p-5, -0x1.ea46fdd61d22dp-5, -0x1.e36b18e5056eap-5, -0x1.dca268819ffc2p-5, -0x1.d5ecd161aeddap-5, -0x1.cf4a37caedb79p-5, -0x1.c8ba7f9759be6p-5, -0x1.c23d8c396dbeap-5, -0x1.bbd340c05991ep-5, -0x1.b57b7fdc2f052p-5, -0x1.af362be1fff8cp-5, -0x1.a90326cfd7348p-5, -0x1.a2e25250a328ap-5, -0x1.9cd38fc001b8dp-5, -0x1.96d6c02e0178cp-5, -0x1.90ebc462e180bp-5, -0x1.8b127ce2c54b2p-5, -0x1.854ac9f15e04fp-5, -0x1.7f948b95829f5p-5, -0x1.79efa19ca50d2p-5, -0x1.745beb9e39c72p-5, -0x1.6ed948fefe979p-5, -0x1.696798f440b1ep-5, -0x1.6406ba87145cep-5, -0x1.5eb68c978a813p-5, -0x1.5976eddfd7161p-5, -0x1.5447bcf76650ep-5, -0x1.4f28d855d4a0bp-5, -0x1.4a1a1e55cebcep-5, -0x1.451b6d37e01c1p-5, -0x1.402ca325302dap-5, -0x1.3b4d9e3237d58p-5, -0x1.367e3c61779c9p-5, -0x1.31be5ba623ac1p-5, -0x1.2d0dd9e6bd244p-5, -0x1.286c94ff95fbcp-5, -0x1.23da6ac540d18p-5, -0x1.1f573906e16ddp-5, -0x1.1ae2dd906f8acp-5, -0x1.167d362cec3e1p-5, -0x1.122620a88a03ep-5, -0x1.0ddd7ad2d2ad6p-5, -0x1.09a32280b345ep-5, -0x1.0576f58e6e48fp-5, -0x1.0158d1e177adcp-5, -0x1.fa912ad47e013p-6, -0x1.f28c3c4c2928ep-6, -0x1.eaa29442dab3p-6, -0x1.e2d3eef56b1ap-6, -0x1.db2008cb05855p-6, -0x1.d3869e5a54206p-6, -0x1.cc076c6aea809p-6, -0x1.c4a22ff2177adp-6, -0x1.bd56a60e50179p-6, -0x1.b6248c06a9df3p-6, -0x1.af0b9f51724bap-6, -0x1.a80b9da007acap-6, -0x1.a12444eae83bap-6, -0x1.9a555378dd533p-6, -0x1.939e87deb18bep-6, -0x1.8cffa0f89fa03p-6, -0x1.86785de22ece8p-6, -0x1.80087df2f8b7bp-6, -0x1.79afc0c3dcbfcp-6, -0x1.736de639c7365p-6, -0x1.6d42ae8f790fp-6, -0x1.672dda59bd39ap-6, -0x1.612f2a8709a32p-6, -0x1.5b46605dc983dp-6, -0x1.55733d7b898fep-6, -0x1.4fb583d584b49p-6, -0x1.4a0cf5ba0a451p-6, -0x1.447955d242735p-6, -0x1.3efa672400276p-6, -0x1.398fed13a3bap-6, -0x1.3439ab65e7df2p-6, -0x1.2ef76641b86ap-6, -0x1.29c8e231daa04p-6, -0x1.24ade426622e2p-6, -0x1.1fa63175ccbc4p-6, -0x1.1ab18fddcbe56p-6, -0x1.15cfc583ad5b7p-6, -0x1.110098f49ba4cp-6, -0x1.0c43d125c9bd3p-6, -0x1.07993574e0dc6p-6, -0x1.03008da8afadbp-6, -0x1.fcf343e49cafdp-7, -0x1.f40875dd58259p-7, -0x1.eb4043505435cp-7, -0x1.e29a3f3094b39p-7, -0x1.da15fd51ac7dp-7, -0x1.d1b312690c6f3p-7, -0x1.c971140db7671p-7, -0x1.c14f98b6d4565p-7, -0x1.b94e37b958212p-7, -0x1.b16c8945c6006p-7, -0x1.a9aa266693253p-7, -0x1.a206a9002117dp-7, -0x1.9a81abd258abcp-7, -0x1.931aca7c05e7bp-7, -0x1.8bd1a17f1ef57p-7, -0x1.84a5ce452a08ap-7, -0x1.7d96ef22a3202p-7, -0x1.76a4a35870fafp-7, -0x1.6fce8b12f46eap-7, -0x1.69144766b929ep-7, -0x1.62757a4b51cfap-7, -0x1.5bf1c695b6cfcp-7, -0x1.5588cff340103p-7, -0x1.4f3a3ae6aa20ap-7, -0x1.4905acc7c76a9p-7, -0x1.42eacbc63fbd2p-7, -0x1.3ce93eeeabc0bp-7, -0x1.3700ae30e84a2p-7, -0x1.3130c266347b5p-7, -0x1.2b79255567f3dp-7, -0x1.25d981b425e77p-7, -0x1.2051832476a9p-7, -0x1.1ae0d62efb06p-7, -0x1.1587283ad8fcp-7, -0x1.10442784b77c3p-7, -0x1.0b178316ce079p-7, -0x1.0600eac38391p-7, -0x1.01000f23b05a5p-7, -0x1.f8294331c304bp-8, -0x1.ee7ca8a5ffe3p-8, -0x1.e4f9b4b03a8c3p-8, -0x1.db9fcf1916b08p-8, -0x1.d26e6173210a4p-8, -0x1.c964d721860d7p-8, -0x1.c0829d5665801p-8, -0x1.b7c7230725368p-8, -0x1.af31d8d855be4p-8, -0x1.a6c2310423c36p-8, -0x1.9e779f4506d3ap-8, -0x1.965198d1cc9f6p-8, -0x1.8e4f947386b64p-8, -0x1.86710aa117ba4p-8, -0x1.7eb5756bf8f0cp-8, -0x1.771c502b321cp-8, -0x1.6fa5172f88f07p-8, -0x1.684f47e35f114p-8, -0x1.611a61513526fp-8, -0x1.5a05e4a9111aap-8, -0x1.5311556022a78p-8, -0x1.4c3c38d7b1e98p-8, -0x1.458615d7c7c4cp-8, -0x1.3eee7450b043bp-8, -0x1.3874dd880416dp-8, -0x1.3218dc5c1c819p-8, -0x1.2bd9fd442dcfdp-8, -0x1.25b7ce15041dap-8, -0x1.1fb1ddc38e041p-8, -0x1.19c7bc44b133ep-8, -0x1.13f8fa8b05c71p-8, -0x1.0e452a99e11dep-8, -0x1.08abdfa700a2cp-8, -0x1.032cae45d17d1p-8, -0x1.fb8e592ca9435p-9, -0x1.f0f5e4e10af7fp-9, -0x1.e68f3308bab65p-9, -0x1.dc597acf74d45p-9, -0x1.d253f71a92075p-9, -0x1.c87de645b41dcp-9, -0x1.bed689b353b13p-9, -0x1.b55d253d5eaffp-9, -0x1.ac10fe999744fp-9, -0x1.a2f15cca199c2p-9, -0x1.99fd87b3f5b1cp-9, -0x1.9134c7f293512p-9, -0x1.889666f5b89ap-9, -0x1.8021af6ac688bp-9, -0x1.77d5ede330d5ep-9, -0x1.6fb2719bae88bp-9, -0x1.67b68d4223755p-9, -0x1.5fe19796bf955p-9, -0x1.5832ebcd5a82bp-9, -0x1.50a9e99eb2affp-9, -0x1.4945f50562bffp-9, -0x1.420675ac2a352p-9, -0x1.3aead61b9e097p-9, -0x1.33f282bcddda2p-9, -0x1.2d1ce8cff5be7p-9, -0x1.2669757e16809p-9, -0x1.1fd79534980acp-9, -0x1.1966b37099a04p-9, -0x1.13163b11799cfp-9, -0x1.0ce5972a939fdp-9, -0x1.06d4342cefa47p-9, -0x1.00e1812ba8f36p-9, -0x1.f619e1f315462p-10, -0x1.eaabf5df342f1p-10, -0x1.df78368f99641p-10, -0x1.d47da625c27a7p-10, -0x1.c9bb4fbdede3dp-10, -0x1.bf3046446f10ep-10, -0x1.b4dba2e45af3ap-10, -0x1.aabc830db63fap-10, -0x1.a0d2061ced695p-10, -0x1.971b4adae7f5ep-10, -0x1.8d976d47da765p-10, -0x1.8445854704283p-10, -0x1.7b24a6aaddb37p-10, -0x1.7233e2c76d5d8p-10, -0x1.69724b3521abp-10, -0x1.60def50470149p-10, -0x1.5878fb8395a12p-10, -0x1.503f81f23507cp-10, -0x1.4831b3f986277p-10, -0x1.404ec53bacf9cp-10, -0x1.3895f090270e3p-10, -0x1.3106776ecfaebp-10, -0x1.299fa1b13f0e8p-10, -0x1.2260bd620bf18p-10, -0x1.1b491e1148f3bp-10, -0x1.14581b398bf24p-10, -0x1.0d8d0daf869c1p-10, -0x1.06e74ca72078p-10, -0x1.00662b3e5e0eep-10, -0x1.f411eeff59de9p-11, -0x1.e79df6e9e0362p-11, -0x1.db6f00d908eaep-11, -0x1.cf83a760f9086p-11, -0x1.c3da93fd8b213p-11, -0x1.b8727ca9deb31p-11, -0x1.ad4a1ad7d6d43p-11, -0x1.a2602801c6c17p-11, -0x1.97b363a7a6f64p-11, -0x1.8d4299df56f48p-11, -0x1.830ca2a85991bp-11, -0x1.79105cb01f30bp-11, -0x1.6f4cace4fdcc3p-11, -0x1.65c084f694b8dp-11, -0x1.5c6ae715f04e2p-11, -0x1.534ae0ee7f00ap-11, -0x1.4a5f82bca3aa9p-11, -0x1.41a7d8d35f79dp-11, -0x1.3922e9bea6667p-11, -0x1.30cfb85c1423bp-11, -0x1.28ad47fa9bf5ep-11, -0x1.20baa0348c066p-11, -0x1.18f6ceb931211p-11, -0x1.1160e663eedf7p-11, -0x1.09f7fc297e93fp-11, -0x1.02bb233b72fa9p-11, -0x1.f752d45036db2p-12, -0x1.e983b54113aa7p-12, -0x1.dc06f9775502p-12, -0x1.cedaba16bec5ep-12, -0x1.c1fd269483683p-12, -0x1.b56c8daa215b1p-12, -0x1.a9275e4666615p-12, -0x1.9d2c21285de32p-12, -0x1.91796fac29fafp-12, -0x1.860ded37134cap-12, -0x1.7ae84602179b1p-12, -0x1.7007319a57b8bp-12, -0x1.656974825701ap-12, -0x1.5b0ddd2b194ep-12, -0x1.50f33c696b30cp-12, -0x1.47185d4854723p-12, -0x1.3d7c004ec55c4p-12, -0x1.341cdaf3ca6cfp-12, -0x1.2af99886f971ap-12, -0x1.2210d9f0134eap-12, -0x1.196135139e59cp-12, -0x1.10e9378d27a04p-12, -0x1.08a76f20f3c45p-12, -0x1.009a757f9867fp-12, -0x1.f181f21cfbb62p-13, -0x1.e2337b103cca5p-13, -0x1.d3472aaecbfebp-13, -0x1.c4bab5a6b5eedp-13, -0x1.b68be2da68cbcp-13, -0x1.a8b8a1b33a236p-13, -0x1.9b3f26ccebf3ep-13, -0x1.8e1df7d6638c4p-13, -0x1.8153d70692c2p-13, -0x1.74df937a2b9afp-13, -0x1.68bfd75f81015p-13, -0x1.5cf30f038d97fp-13, -0x1.517771de6000dp-13, -0x1.464b1f1bbf1a7p-13, -0x1.3b6c35b364834p-13, -0x1.30d8dab28aa36p-13, -0x1.268f326179307p-13, -0x1.1c8d5a0cd4cbep-13, -0x1.12d16bdd12d7cp-13, -0x1.09598b3b12063p-13, -0x1.0023ef632f5bep-13, -0x1.ee5dc1a02f99cp-14, -0x1.dcf14e795883cp-14, -0x1.cbfeeabfec489p-14, -0x1.bb82d27ed633dp-14, -0x1.ab795f021cc01p-14, -0x1.9bdf7b42a1357p-14, -0x1.8cb2fbef8cf5bp-14, -0x1.7df2925e5a75ep-14, -0x1.6f9d51cfaace5p-14, -0x1.61b20f13db076p-14, -0x1.542eff38af265p-14, -0x1.4711c5520d9c3p-14, -0x1.3a57c57ffc758p-14, -0x1.2dfe66ed437d8p-14, -0x1.220322e570e96p-14, -0x1.1663ba08adb9ep-14, -0x1.0b1dd73fbefb3p-14, -0x1.002f045aa64a2p-14, -0x1.eb2b2a6dff498p-15, -0x1.d69db320dc15cp-15, -0x1.c2b1d7ef478e4p-15, -0x1.af636106656ccp-15, -0x1.9caeb3e781b0bp-15, -0x1.8a8f64523fd5dp-15, -0x1.78ffd748f0522p-15, -0x1.67fa2cf4e3dddp-15, -0x1.577924993bc48p-15, -0x1.4778c1f2ca18ap-15, -0x1.37f6aa9252722p-15, -0x1.28f1c340450dp-15, -0x1.1a69107f53526p-15, -0x1.0c5aa68734933p-15, -0x1.fd86f9797bc18p-16, -0x1.e3404c032b04dp-16, -0x1.c9db34045d05ap-16, -0x1.b1529b343ad32p-16, -0x1.99a16aab7fde6p-16, -0x1.82c1bd05024afp-16, -0x1.6cacfcfc3a69fp-16, -0x1.575c9dba9df22p-16, -0x1.42cad453aead4p-16, -0x1.2ef2efd3b669ap-16, -0x1.1bd11f5bc6056p-16, -0x1.0961bd590ee8cp-16, -0x1.ef41198208ecp-17, -0x1.cd10c8a961d15p-17, -0x1.ac26d3b0ea7efp-17, -0x1.8c7719e3d2304p-17, -0x1.6df5c53793d7ap-17, -0x1.5097cc00f7b93p-17, -0x1.3453bcd449ba6p-17, -0x1.19227833ae686p-17, -0x1.fdfd20340e917p-18, -0x1.cbc4563f65e7fp-18, -0x1.9b8b088fcd6dcp-18, -0x1.6d4003c23bcf1p-18, -0x1.40d59bba11f51p-18, -0x1.16434571ed52ep-18, -0x1.db02954bc750bp-19, -0x1.8d085e92a9f32p-19, -0x1.4279a019e6952p-19, -0x1.f66be236eabfep-20, -0x1.6e3b460ab00cfp-20, -0x1.d84d2d3379d3ep-21, -0x1.bff13430536ecp-22, 0x1.9a49afb6e78f3p-26, 0x1.dc9b0c45118e8p-22, 0x1.c4b252c0faf06p-21, 0x1.482520c6c178p-20, 0x1.a8bb3c8a11798p-20, 0x1.0229a761e91bp-19, 0x1.2d90aa01e259dp-19, 0x1.56a5d8c8af2fbp-19, 0x1.7d75e7d2f6eb3p-19, 0x1.a20cecaeee27ep-19, 0x1.c47c80675e2e5p-19, 0x1.e4dd2fadad95ep-19, 0x1.01a639d8d805bp-18, 0x1.0ff44b7a41ff4p-18, 0x1.1d6402789a94bp-18, 0x1.29f8c0919917fp-18, 0x1.35b1089b7285fp-18, 0x1.408ecdb89ab4ap-18, 0x1.4a9adafb924cp-18, 0x1.53dff35af0063p-18, 0x1.5c6669d751bb1p-18, 0x1.64353507c91e9p-18, 0x1.6b539541af509p-18, 0x1.71c87c7e4cc06p-18, 0x1.7799c8c185fb8p-18, 0x1.7ccc6854b2374p-18, 0x1.8164d79a38f4fp-18, 0x1.85678c29b6d2ep-18, 0x1.88d960fac1b47p-18, 0x1.8bc036bf26b1p-18, 0x1.8e23b3eb17dfbp-18, 0x1.900d08a5ed46ep-18, 0x1.9182fd9f7b193p-18, 0x1.9283b709246c3p-18, 0x1.93094820c68adp-18, 0x1.9317d086b90a1p-18, 0x1.92bba46c97249p-18, 0x1.91fc769ec4dccp-18, 0x1.90defb149b5e6p-18, 0x1.8f6d948d2af94p-18, 0x1.8db136a87eecp-18, 0x1.8ba8249d6d0ffp-18, 0x1.894dedac578dfp-18, 0x1.86a5ae0fac80bp-18, 0x1.83b6e3e57d3e1p-18, 0x1.8085fb71768d7p-18, 0x1.7d152175b9885p-18, 0x1.79678e9e80e8cp-18, 0x1.7580dcdcf7073p-18, 0x1.7163d85bfa154p-18, 0x1.6d12bf5951126p-18, 0x1.688fdadcabfe1p-18, 0x1.63ddc0d35c7c5p-18, 0x1.5eff443f788aep-18, 0x1.59f73f88b3062p-18, 0x1.54c8615b51ab8p-18, 0x1.4f751cbd16586p-18, 0x1.49ffc2e65f262p-18, 0x1.446aa01360ddbp-18, 0x1.3eb7e03592929p-18, 0x1.38e94313eaa23p-18, 0x1.33004eb9d79e6p-18, 0x1.2cfe68ba63cccp-18, 0x1.26dc9a65a6d3p-18, 0x1.20aadc50dbd66p-18, 0x1.1a6a2998a53f9p-18, 0x1.14184cf35167fp-18, 0x1.0db9ac3c5d212p-18, 0x1.074fef3f1c066p-18, 0x1.00d97451f0607p-18, 0x1.f4b0e2edeecap-19, 0x1.e7a13ca6d21d2p-19, 0x1.da85097a8a507p-19, 0x1.cd5cc664f6533p-19, 0x1.c02c25313e101p-19, 0x1.b2f67576d1ecdp-19, 0x1.a5bd941152937p-19, 0x1.9882e30c08eaep-19, 0x1.8b47edb634641p-19, 0x1.7e0e92c7f30f9p-19, 0x1.70d8fc5d2cf3p-19, 0x1.63a9814d9de72p-19, 0x1.568276eab4672p-19, 0x1.4965fd2617faap-19, 0x1.3c55d77975cbcp-19, 0x1.2f536721f8ff6p-19, 0x1.225fcfcb19782p-19, 0x1.157c350979c8dp-19, 0x1.08a9e8971fc33p-19, 0x1.f7d4c937841fbp-20, 0x1.de7e1a2fb7d39p-20, 0x1.c551e66a1abc3p-20, 0x1.ac5234ed25267p-20, 0x1.93824eadf3014p-20, 0x1.7ae5b250374fbp-20, 0x1.627c9f8927b96p-20, 0x1.4a4734f299158p-20, 0x1.324a008cdf1a3p-20, 0x1.1a88309c4ba73p-20, 0x1.03055e11f785bp-20, 0x1.d783278911d7bp-21, 0x1.a97511984505ap-21, 0x1.7be5d3615e001p-21, 0x1.4edab57df15c7p-21, 0x1.225533e782034p-21, 0x1.ecab0c5ea31a1p-22, 0x1.95b7347a574ap-22, 0x1.3fce8d09a1ce9p-22, 0x1.d5e7dcf1be5cp-23, 0x1.2e72aaef4f8d9p-23, 0x1.133b30a778593p-24, -0x1.84aff2491211cp-27, -0x1.6fdccfa036465p-24, -0x1.562d68fab36fbp-23, -0x1.f259cbcd46de9p-23, -0x1.45da5f56a3197p-22, -0x1.91791477a6158p-22, -0x1.dc34f69baafa8p-22, -0x1.12db0c908cdb5p-21, -0x1.36ea37d05ae98p-21, -0x1.5a53fd8ae463ap-21, -0x1.7d2352ea50f96p-21, -0x1.9f5bce5111c8fp-21, -0x1.c0fde16ec1d8dp-21, -0x1.e209020e615a4p-21, -0x1.013e72e40164fp-20, -0x1.112d79f451ebdp-20, -0x1.20d1ae440872p-20, -0x1.30292f3f07befp-20, -0x1.3f3360dd43f26p-20, -0x1.4df199d281ed4p-20, -0x1.5c65335a0feccp-20, -0x1.6a8dba7eb3ec8p-20, -0x1.786b270741fd7p-20, -0x1.85fdef0c9b863p-20, -0x1.9346898fe0ef8p-20, -0x1.a04560336874bp-20, -0x1.acfad92928ea1p-20, -0x1.b9675cd306b7fp-20, -0x1.c58b57a7eecb1p-20, -0x1.d1673abe912cdp-20, -0x1.dcfb7c3916488p-20, -0x1.e84897b42df69p-20, -0x1.f34f0e990c6c5p-20, -0x1.fe0f681870417p-20, -0x1.044518689821dp-19, -0x1.095ffd176a87cp-19, -0x1.0e58acb14045dp-19, -0x1.132f73034a4aap-19, -0x1.17e49c74d7117p-19, -0x1.1c78761d945f9p-19, -0x1.20eb4efd7f388p-19, -0x1.253d7a0d77f58p-19, -0x1.296f4ea8b7a88p-19, -0x1.2d811085316d1p-19, -0x1.3171efc82a682p-19, -0x1.353fbea28417ap-19, -0x1.38fbe8a4323c2p-19, -0x1.3c8f17a61ef1fp-19, -0x1.40010fc289ccfp-19, -0x1.435c88dea4345p-19, -0x1.4697935730f9cp-19, -0x1.49b4e8706404ep-19, -0x1.4cb544aa12baap-19, -0x1.4f990bc36c63dp-19, -0x1.52609723fca6fp-19, -0x1.550c3f19d99b4p-19, -0x1.579c5d5c8a368p-19, -0x1.5a114cc049ab5p-19, -0x1.5c6b68a8b9ec9p-19, -0x1.5eab0cbabfe95p-19, -0x1.60d094bc0c239p-19, -0x1.62dc5c94feeabp-19, -0x1.64cec0643efcep-19, -0x1.66a81c96f96f5p-19, -0x1.6868cdfa96f79p-19, -0x1.6a1131d16d04bp-19, -0x1.6ba1a61cab87ap-19, -0x1.6d1a8a68cef99p-19, -0x1.6e7c41b382c14p-19, -0x1.6fc736930ff9ep-19, -0x1.70fbe313eca8p-19, -0x1.721adec53982p-19, -0x1.7324ea45d19f1p-19, -0x1.741ac329d2aa9p-19, -0x1.74fc0158f9ecdp-19, -0x1.75c45cff26aa5p-19, -0x1.766d688e90a45p-19, -0x1.76ff5945f1237p-19, -0x1.778bd84e9c51fp-19, -0x1.780923245550bp-19, -0x1.786d9df9735cbp-19, -0x1.78c6d2e8cb41p-19, -0x1.79133f43340bcp-19, -0x1.79478a12053b9p-19, -0x1.796499fd9eb36p-19, -0x1.796efd5618218p-19, -0x1.7968c2a1fdd61p-19, -0x1.79526b5df9cc8p-19, -0x1.792c1430d5a09p-19, -0x1.78f5df0d3f471p-19, -0x1.78b0002815261p-19, -0x1.785ab826a3b79p-19, -0x1.77f64e63204d2p-19, -0x1.77830d6ca8723p-19, -0x1.77014126cdf32p-19, -0x1.767135d2b8e57p-19, -0x1.75d3378f8fa8ep-19, -0x1.752791fb1dd33p-19, -0x1.746e8fd156456p-19, -0x1.73a87b232ee79p-19, -0x1.72d59d374f3f1p-19, -0x1.71f63e40cf023p-19, -0x1.710aa59803517p-19, -0x1.701319d9fbf17p-19, -0x1.6f0fe0ea2ddfdp-19, -0x1.6e01400c890bep-19, -0x1.6ce77c0792d5fp-19, -0x1.6bc2d93554781p-19, -0x1.6a939b4d8ac3cp-19, -0x1.695a04e6d5978p-19, -0x1.68165711080e6p-19, -0x1.66c8d16782142p-19, -0x1.6571b272df432p-19, -0x1.6411381fe4175p-19, -0x1.62a7a0aff18fep-19, -0x1.61352bf091fdp-19, -0x1.5fba19d00d6c5p-19, -0x1.5e36a5b170665p-19, -0x1.5cab0530a2866p-19, -0x1.5b17712d634b9p-19, -0x1.597c2a1aa98f8p-19, }}, 
      {{-0x1.6d97ec1cb5055p+1, -0x1.46854ee9017d7p+1, -0x1.13ecffb6e1055p+1, -0x1.c0e4d18ef0d67p+0, -0x1.6607ecad040fdp+0, -0x1.1e20acf12e15ap+0, -0x1.d5b8024a08837p-1, -0x1.953e2f8694ffep-1, -0x1.7428623969134p-1, -0x1.6a88b5337e429p-1, -0x1.70967d95e220cp-1, -0x1.7f78e7a8a955ap-1, -0x1.91a36405fca5dp-1, -0x1.a2eac420695a8p-1, -0x1.b06fefb8e6dp-1, -0x1.b8743f28f8622p-1, -0x1.ba24a8b1f1e59p-1, -0x1.b563ed5265b11p-1, -0x1.aa988e87756efp-1, -0x1.9a811a7e45d52p-1, -0x1.860fe48a717f4p-1, -0x1.6e4e47c9fc369p-1, -0x1.5446f82d21cdp-1, -0x1.38f68d90b7ba3p-1, -0x1.1d414cd793b71p-1, -0x1.01ed2c129876fp-1, -0x1.cf3e370bee4acp-2, -0x1.9db575623afbfp-2, -0x1.7007805ab8cc7p-2, -0x1.46c0fed7233a1p-2, -0x1.223a31c6c641cp-2, -0x1.029dfa6ff44d9p-2, -0x1.cfe20b1a538c1p-3, -0x1.a4317f4cbf73p-3, -0x1.81c3a9d49460cp-3, -0x1.680c2abff551bp-3, -0x1.56635116b58acp-3, -0x1.4c0f14982a576p-3, -0x1.484aa94c0e99bp-3, -0x1.4a4cc26fb051fp-3, -0x1.514ca2afd12a1p-3, -0x1.5c861aead5d82p-3, -0x1.6b3c9a8d124ap-3, -0x1.7cbd73ba3087fp-3, -0x1.906173874401ap-3, -0x1.a58deb8df63acp-3, -0x1.bbb546e8cb754p-3, -0x1.d25741915787ep-3, -0x1.e900d6122a131p-3, -0x1.ff4bf252468c9p-3, -0x1.0a6f80d9105cdp-2, -0x1.14b62c1ff272ap-2, -0x1.1e58c44d825cfp-2, -0x1.273b561fba99ap-2, -0x1.2f46d22dc3c2bp-2, -0x1.3668abfeece69p-2, -0x1.3c9279a72b412p-2, -0x1.41b9954a141e8p-2, -0x1.45d6c18a7560cp-2, -0x1.48e5d1a693d24p-2, -0x1.4ae555c37c5c8p-2, -0x1.4bd64bbb5345fp-2, -0x1.4bbbd4a078a2ap-2, -0x1.4a9aef0f2993bp-2, -0x1.487a3650b193dp-2, -0x1.4561a63e2aaaap-2, -0x1.415a63cf50436p-2, -0x1.3c6e8a3039099p-2, -0x1.36a8fc2c38cf5p-2, -0x1.301539d139c22p-2, -0x1.28bf3a00420afp-2, -0x1.20b347cc212f8p-2, -0x1.17fde366199dcp-2, -0x1.0eaba659243b5p-2, -0x1.04c92afbfe477p-2, -0x1.f4c5ed603e28ep-3, -0x1.df0acdfcba56ap-3, -0x1.c879421a6621p-3, -0x1.b12907301c34cp-3, -0x1.993135af2643dp-3, -0x1.80a82d33517f9p-3, -0x1.67a383bbf0cfbp-3, -0x1.4e37f8c8e6d1ep-3, -0x1.34796ac078f47p-3, -0x1.1a7acf924d006p-3, -0x1.004e2f4f45edcp-3, -0x1.cc0942a8755bp-4, -0x1.975c954b27cd7p-4, -0x1.62b4be26a00bp-4, -0x1.2e2e44e58f504p-4, -0x1.f3c7b09660acdp-5, -0x1.8bdcaf2fcacf3p-5, -0x1.24c9b5b6f0d52p-5, -0x1.7d7304e3d8293p-6, -0x1.674dea75ed5e2p-7, 0x1.38875eb01792fp-10, 0x1.afb24ecba1ce6p-7, 0x1.990f0a36f6c64p-6, 0x1.2b79e21438747p-5, 0x1.88ab3cb36e31ap-5, 0x1.e405c22180e54p-5, 0x1.1ebb0de59289p-4, 0x1.4a75a6e81377ap-4, 0x1.752b4b1cdeddfp-4, 0x1.9ed5a6e97b7ddp-4, 0x1.c76f64060cf9bp-4, 0x1.eef41a75bbcc1p-4, 0x1.0ab0212f9f147p-3, 0x1.1d589265c4aadp-3, 0x1.2f7266e4c67c3p-3, 0x1.40fd004b5105bp-3, 0x1.51f814e054608p-3, 0x1.6263a936d26fbp-3, 0x1.72400af28c72ap-3, 0x1.818dcafab9073p-3, 0x1.904db7e697ac4p-3, 0x1.9e80d95496506p-3, 0x1.ac286ad2a3f53p-3, 0x1.b945d726a6cacp-3, 0x1.c5dab454b2b75p-3, 0x1.d1e8bf705eaf7p-3, 0x1.dd71d86bbdc2fp-3, 0x1.e877fe8d98e86p-3, 0x1.f2fd4d2ed17d8p-3, 0x1.fd03f83c40117p-3, 0x1.0347248719f6bp-2, 0x1.07cf4de6aad3ep-2, 0x1.0c1bae55b0ee1p-2, 0x1.102d828d6fc2dp-2, 0x1.14060ccb0db53p-2, 0x1.17a693ce6b74bp-2, 0x1.1b1061b83d273p-2, 0x1.1e44c308372aap-2, 0x1.214505d606461p-2, 0x1.241279041c83fp-2, 0x1.26ae6b6650b6ap-2, 0x1.291a2b0fa9181p-2, 0x1.2b5704c6f74c3p-2, 0x1.2d66437171355p-2, 0x1.2f492f76ebdd3p-2, 0x1.31010e4b51d14p-2, 0x1.328f2212aa312p-2, 0x1.33f4a93a085cdp-2, 0x1.3532de102b96fp-2, 0x1.364af679c38dp-2, 0x1.373e23b978d2fp-2, 0x1.380d9232f90f3p-2, 0x1.38ba692adcfcbp-2, 0x1.3945ca982b4dep-2, 0x1.39b0d309179d2p-2, 0x1.39fc9986a22bap-2, 0x1.3a2a2f718a1b7p-2, 0x1.3a3aa069c2d38p-2, 0x1.3a2ef24638039p-2, 0x1.3a0825111181cp-2, 0x1.39c732fcac2f7p-2, 0x1.396d105afbe9ap-2, 0x1.38faaba092083p-2, 0x1.3870ed6f97474p-2, 0x1.37d0b8a0e6bdep-2, 0x1.371aea4906a9ep-2, 0x1.365059c1ed9afp-2, 0x1.3571d8bc7044p-2, 0x1.34803355b1cddp-2, 0x1.337c3029497fp-2, 0x1.3266906164f0dp-2, 0x1.31400fca9fcd2p-2, 0x1.300964ec8a05p-2, 0x1.2ec341244ef1ap-2, 0x1.2d6e50bc8e41dp-2, 0x1.2c0b3b0387377p-2, 0x1.2a9aa2638aa28p-2, 0x1.291d247e1f5a2p-2, 0x1.27935a48dda2bp-2, 0x1.25fdd8278ed98p-2, 0x1.245d2e04e9c31p-2, 0x1.22b1e76cba217p-2, 0x1.20fc8ba6bad9bp-2, 0x1.1f3d9dd2dd23p-2, 0x1.1d759d044ea76p-2, 0x1.1ba5045a88f1dp-2, 0x1.19cc4b1a6a18fp-2, 0x1.17ebe4c7f87efp-2, 0x1.160441408dec5p-2, 0x1.1415ccd4d1d97p-2, 0x1.1220f06101a1p-2, 0x1.1026116457f5ep-2, 0x1.0e25921897f8p-2, 0x1.0c1fd189a267ap-2, 0x1.0a152bace9db5p-2, 0x1.0805f9784bb6bp-2, 0x1.05f290f77f9b8p-2, 0x1.03db456100468p-2, 0x1.01c0672b0603dp-2, 0x1.ff44884055dfp-3, 0x1.fb024ee72e4b3p-3, 0x1.f6bab3a8f3e29p-3, 0x1.f26e4302276ecp-3, 0x1.ee1d84b0d44c4p-3, 0x1.e9c8fbd7e8f4fp-3, 0x1.e5712723b1cfcp-3, 0x1.e11680eab6a78p-3, 0x1.dcb97f4f6c1d8p-3, 0x1.d85a945fec374p-3, 0x1.d3fa2e345e084p-3, 0x1.cf98b70ce2363p-3, 0x1.cb36956edcc35p-3, 0x1.c6d42c416f41ep-3, 0x1.c271dae94a25bp-3, 0x1.be0ffd635d91bp-3, 0x1.b9aeec5e42ef8p-3, 0x1.b54efd530f3b6p-3, 0x1.b0f0829d8c434p-3, 0x1.ac93cb93e0c2bp-3, 0x1.a839249d74582p-3, 0x1.a3e0d7493281fp-3, 0x1.9f8b2a62eff1fp-3, 0x1.9b386207e96c7p-3, 0x1.96e8bfbacb05dp-3, 0x1.929c827731adcp-3, 0x1.8e53e6c493ac5p-3, 0x1.8a0f26c899bf5p-3, 0x1.85ce7a58fdf31p-3, 0x1.8192170cc984p-3, 0x1.7d5a304cf0e65p-3, 0x1.7926f7646afbdp-3, 0x1.74f89b8fdcfa3p-3, 0x1.70cf4a0cceb01p-3, 0x1.6cab2e2864867p-3, 0x1.688c714dcb394p-3, 0x1.64733b143920dp-3, 0x1.605fb14c62bedp-3, 0x1.5c51f80d84dcp-3, 0x1.584a31c1e1e9cp-3, 0x1.54487f3301d0ap-3, 0x1.504cff97543a7p-3, 0x1.4c57d09aab727p-3, 0x1.48690e6d69a17p-3, 0x1.4480d3cbe3f6bp-3, 0x1.409f3a0b5b2e5p-3, 0x1.3cc45923eeea6p-3, 0x1.38f047b9fc652p-3, 0x1.35231b2864789p-3, 0x1.315ce78a3cffbp-3, 0x1.2d9dbfc41df06p-3, 0x1.29e5b58d1e6a4p-3, 0x1.2634d97788c3ep-3, 0x1.228b3af95b92bp-3, 0x1.1ee8e874a9473p-3, 0x1.1b4def3fd9dfep-3, 0x1.17ba5bada71ffp-3, 0x1.142e3914d0a4bp-3, 0x1.10a991d7701a4p-3, 0x1.0d2c6f6a24195p-3, 0x1.09b6da5b1fbfbp-3, 0x1.0648da5935e39p-3, 0x1.02e2763ac3ba9p-3, 0x1.ff076808d2bbbp-4, 0x1.f85931dee9cdp-4, 0x1.f1ba52dfeb27p-4, 0x1.eb2ad27553fdp-4, 0x1.e4aab695aee36p-4, 0x1.de3a03d05cdf5p-4, 0x1.d7d8bd594b1bap-4, 0x1.d186e51450a8ap-4, 0x1.cb447ba004c58p-4, 0x1.c511805ff3511p-4, 0x1.beedf18665eap-4, 0x1.b8d9cc1e146efp-4, 0x1.b2d50c13ea99cp-4, 0x1.acdfac40e9c19p-4, 0x1.a6f9a673d08e6p-4, 0x1.a122f37a78c9cp-4, 0x1.9b5b8b2a8380ep-4, 0x1.95a364698325ap-4, 0x1.8ffa7534e4f18p-4, 0x1.8a60b2a9edfdap-4, 0x1.84d6110de535dp-4, 0x1.7f5a83d650d3bp-4, 0x1.79edfdb10d523p-4, 0x1.7490708bee291p-4, 0x1.6f41cd9bcb1c8p-4, 0x1.6a020563123a2p-4, 0x1.64d107b826d1ap-4, 0x1.5faec3cbd6986p-4, 0x1.5a9b2830103d9p-4, 0x1.559622deb78d6p-4, 0x1.509fa1406882ep-4, 0x1.4bb79032d9c5bp-4, 0x1.46dddc0eaf6ccp-4, 0x1.421270acce638p-4, 0x1.3d55396b7adbp-4, 0x1.38a621336c59dp-4, 0x1.3405127d24a5ep-4, 0x1.2f71f756746b5p-4, 0x1.2aecb9681478fp-4, 0x1.267541fb0a62bp-4, 0x1.220b79fd97ccfp-4, 0x1.1daf4a07b59c8p-4, 0x1.19609a5f33516p-4, 0x1.151f52fbb0e92p-4, 0x1.10eb5b8ab0adfp-4, 0x1.0cc49b73e1ab9p-4, 0x1.08aaf9dd93d56p-4, 0x1.049e5db12e1c3p-4, 0x1.009ead9f65894p-4, 0x1.f957a048261f5p-5, 0x1.f18b571343812p-5, 0x1.e9d84bd870c4ep-5, 0x1.e23e4a799d9bbp-5, 0x1.dabd1e88d7262p-5, 0x1.d354934f38c3cp-5, 0x1.cc0473d44237ap-5, 0x1.c4cc8ae50c5fap-5, 0x1.bdaca31ac9c6ep-5, 0x1.b6a486e04443ap-5, 0x1.afb400766f8ccp-5, 0x1.a8dad9f8ba03bp-5, 0x1.a218dd61b195ap-5, 0x1.9b6dd4905233cp-5, 0x1.94d9894e0a8c3p-5, 0x1.8e5bc554f800dp-5, 0x1.87f45255ed22cp-5, 0x1.81a2f9fda45e9p-5, 0x1.7b6785f8fe20bp-5, 0x1.7541bff8582a5p-5, 0x1.6f3171b253f0cp-5, 0x1.693664e66781ep-5, 0x1.6350635f7c217p-5, 0x1.5d7f36f71a56fp-5, 0x1.57c2a99999ff4p-5, 0x1.521a854b917d4p-5, 0x1.4c8694301c987p-5, 0x1.4706a08f04bfbp-5, 0x1.419a74d9cae4fp-5, 0x1.3c41dbaeab157p-5, 0x1.36fc9fd95531p-5, 0x1.31ca8c51d1547p-5, 0x1.2cab6c3a9cc49p-5, 0x1.279f0adf7f37p-5, 0x1.22a533b670935p-5, 0x1.1dbdb26384c26p-5, 0x1.18e852bfc6ad4p-5, 0x1.1424e0e218ccap-5, 0x1.0f7329285b079p-5, 0x1.0ad2f83eb04ecp-5, 0x1.06441b2314ec1p-5, 0x1.01c65f24396cfp-5, 0x1.fab323b7dae36p-6, 0x1.f1fb024d780c6p-6, 0x1.e963f63697a04p-6, 0x1.e0ed9c093fffcp-6, 0x1.d89790c37085fp-6, 0x1.d06171d7d8ca4p-6, 0x1.c84add472e838p-6, 0x1.c05371c14cf6ep-6, 0x1.b87acec6c2e1bp-6, 0x1.b0c094c221531p-6, 0x1.a9246511916dcp-6, 0x1.a1a5e1fca1064p-6, 0x1.9a44ae9712e17p-6, 0x1.93006e96b153cp-6, 0x1.8bd8c62664002p-6, 0x1.84cd59c2bc634p-6, 0x1.7dddce2b0494ap-6, 0x1.7709c86dd846cp-6, 0x1.7050ee11cae82p-6, 0x1.69b2e55372912p-6, 0x1.632f556bc66a5p-6, 0x1.5cc5e6ce320bcp-6, 0x1.5676434dbdef9p-6, 0x1.5040161d5faa1p-6, 0x1.4a230ba711a39p-6, 0x1.441ed13f73d73p-6, 0x1.3e3314c4b9cebp-6, 0x1.385f843eb4e7bp-6, 0x1.32a3cd9784907p-6, 0x1.2cff9e8121fddp-6, 0x1.2772a493462dcp-6, 0x1.21fc8da0bba86p-6, 0x1.1c9d083610dc5p-6, 0x1.1753c4285a20cp-6, 0x1.122073145c669p-6, 0x1.0d02c8aeefdb3p-6, 0x1.07fa7acf4211ap-6, 0x1.03074129494f9p-6, 0x1.fc51a98082a18p-7, 0x1.f2bdde53dbf9p-7, 0x1.e9529390a195ap-7, 0x1.e00f3a4a60aabp-7, 0x1.d6f3412e23764p-7, 0x1.cdfe14952ac66p-7, 0x1.c52f1f6ef4837p-7, 0x1.bc85cce36eb22p-7, 0x1.b4018a63769eep-7, 0x1.aba1c9bfe708ep-7, 0x1.a36602d58a6a7p-7, 0x1.9b4db46997267p-7, 0x1.935863f72f631p-7, 0x1.8b859c6162ca9p-7, 0x1.83d4ebb65073bp-7, 0x1.7c45e06239f04p-7, 0x1.74d80658a199bp-7, 0x1.6d8ae4cbe96ebp-7, 0x1.665dfcfb6b1b3p-7, 0x1.5f50ca69b689ep-7, 0x1.5862c4835d76bp-7, 0x1.519361769fcbbp-7, 0x1.4ae219c104d6ep-7, 0x1.444e6bd290786p-7, 0x1.3dd7df19c307ep-7, 0x1.377e05d7dd4d4p-7, 0x1.31407d46fd68bp-7, 0x1.2b1eebe75f322p-7, 0x1.2518fe297dda6p-7, 0x1.1f2e62016b50ap-7, 0x1.195ec22a8424bp-7, 0x1.13a9c1f9d79ffp-7, 0x1.0e0efa8d1df89p-7, 0x1.088df9ecde685p-7, 0x1.03264462eda53p-7, 0x1.fbaeafc396711p-8, 0x1.f14161f1927ddp-8, 0x1.e703a108bb58bp-8, 0x1.dcf482408f672p-8, 0x1.d31336c36fe6p-8, 0x1.c95f101758b5cp-8, 0x1.bfd77f8335444p-8, 0x1.b67c1050f17fcp-8, 0x1.ad4c5db3f3cd5p-8, 0x1.a44805eb0ff59p-8, 0x1.9b6e9cc222927p-8, 0x1.92bf9fc59896ap-8, 0x1.8a3a6e3b9e7b3p-8, 0x1.81de465642a49p-8, 0x1.79aa482fcb881p-8, 0x1.719d7e2811b2ap-8, 0x1.69b6e957f5d4dp-8, 0x1.61f59027506p-8, 0x1.5a588cbc35f1ep-8, 0x1.52df18fb53bbp-8, 0x1.4b8896299345bp-8, 0x1.44548edec8df8p-8, 0x1.3d42b2d2bbb4dp-8, 0x1.3652cd0347c59p-8, 0x1.2f84b5a3820b6p-8, 0x1.28d84204facf5p-8, 0x1.224d35149e451p-8, 0x1.1be332f66730dp-8, 0x1.1599b9c1c36e7p-8, 0x1.0f7020773bb9ep-8, 0x1.09659c320bd55p-8, 0x1.03794a96f957ap-8, 0x1.fb547f828b6bp-9, 0x1.efef2b194938ep-9, 0x1.e4c0f41fba434p-9, 0x1.d9c876ace6a2bp-9, 0x1.cf049da981f7ep-9, 0x1.c474a73ea69a6p-9, 0x1.ba181e2b658fp-9, 0x1.afeec8cef6615p-9, 0x1.a5f89026c5842p-9, 0x1.9c35624d90526p-9, 0x1.92a514ec5569p-9, 0x1.89474c40e5a59p-9, 0x1.801b6aa9b4c5cp-9, 0x1.77208b1865fddp-9, 0x1.6e5586bac1532p-9, 0x1.65b9042a20491p-9, 0x1.5d498d01d97b1p-9, 0x1.5505a61cee636p-9, 0x1.4cebe6d811236p-9, 0x1.44fb0c531db8cp-9, 0x1.3d32069a5141fp-9, 0x1.358ffeba4a9fbp-9, 0x1.2e1455e274ce6p-9, 0x1.26be9e9cfcfdcp-9, 0x1.1f8e919a60832p-9, 0x1.1883ff8ba487cp-9, 0x1.119ec15cfbfdap-9, 0x1.0adea823d0f8ap-9, 0x1.04436e60ade2p-9, 0x1.fb99591935423p-10, 0x1.eef3a5c11afe5p-10, 0x1.e294534e74087p-10, 0x1.d679b08cc5363p-10, 0x1.caa1e37726551p-10, 0x1.bf0b08014c5f2p-10, 0x1.b3b34e8ce891p-10, 0x1.a89913d697ca8p-10, 0x1.9dbaec3b302f6p-10, 0x1.93179e887e938p-10, 0x1.88ae107c5298ap-10, 0x1.7e7d2de4ac5a5p-10, 0x1.7483d6a19f532p-10, 0x1.6ac0dc758d331p-10, 0x1.6133113c78487p-10, 0x1.57d95e36e3b84p-10, 0x1.4eb2d8fa75bbfp-10, 0x1.45becb3b9d6fcp-10, 0x1.3cfca81e50659p-10, 0x1.346bf1fe0f45cp-10, 0x1.2c0c1b0cb1b7cp-10, 0x1.23dc6e9c3215dp-10, 0x1.1bdc0e853e849p-10, 0x1.140a07f160b11p-10, 0x1.0c6577767aecbp-10, 0x1.04edab2446b1ep-10, 0x1.fb445e8797104p-11, 0x1.ed05745b0571bp-11, 0x1.df1df3a339866p-11, 0x1.d18ca7c2bd57fp-11, 0x1.c44f63281edcp-11, 0x1.b762dc7b016c9p-11, 0x1.aac2e9a6e43e4p-11, 0x1.9e6b0feec4a64p-11, 0x1.92573fcf4ade7p-11, 0x1.86847f2de9694p-11, 0x1.7af144c88494bp-11, 0x1.6f9d603386c11p-11, 0x1.648974d44d139p-11, 0x1.59b63d20d1aabp-11, 0x1.4f23e7c8132ddp-11, 0x1.44d1d7992d9e4p-11, 0x1.3abedf943fc2ep-11, 0x1.30e9d4fe27304p-11, 0x1.27522535e30fbp-11, 0x1.1df81d4a5f019p-11, 0x1.14dcbad172dedp-11, 0x1.0c011646a9586p-11, 0x1.0365a1ea65abp-11, 0x1.f613078ee638fp-12, 0x1.e5d47f0efc70bp-12, 0x1.d6078c6ba7837p-12, 0x1.c6a1d44dad8fdp-12, 0x1.b7984ec6e3016p-12, 0x1.a8e13fb0db4d8p-12, 0x1.9a761a99cdb97p-12, 0x1.8c54a2c6a2fc9p-12, 0x1.7e7ead66f1964p-12, 0x1.70f870c568959p-12, 0x1.63c60d2122065p-12, 0x1.56e97c3a1046fp-12, 0x1.4a61e69edf7c9p-12, 0x1.3e2c900f66d82p-12, 0x1.3246abead35bep-12, 0x1.26af0ad4a0aap-12, 0x1.1b66d1452ad3bp-12, 0x1.1070f5d8f0c67p-12, 0x1.05d0d6a42ad34p-12, 0x1.f71136089e958p-13, 0x1.e33042984848cp-13, 0x1.cff9932829f23p-13, 0x1.bd63ac121d23ap-13, 0x1.ab61bd57f6022p-13, 0x1.99e4548196ef4p-13, 0x1.88da7a0dce8c7p-13, 0x1.783410f09884ap-13, 0x1.67e558f6e038ep-13, 0x1.57ea0bc5b41f4p-13, 0x1.4845f688917d2p-13, 0x1.390209d53d137p-13, 0x1.2a2727cb99f9ep-13, 0x1.1bb9af7ab789ep-13, 0x1.0db83ad31ad42p-13, 0x1.001da7cce8958p-13, 0x1.e5c9311b59e3ap-14, 0x1.cc14f7cb1d2f5p-14, 0x1.b321f5cc31492p-14, 0x1.9af9ebe4e6813p-14, 0x1.83a6fede20781p-14, 0x1.6d2d96c1df203p-14, 0x1.57892eb8a475bp-14, 0x1.42af90ca99cffp-14, 0x1.2e953586da519p-14, 0x1.1b30bfb94f8d3p-14, 0x1.087aa25456c14p-14, 0x1.ecd46cd4bc702p-15, 0x1.c9e5930a5a897p-15, 0x1.a80676a989333p-15, 0x1.871296e36de77p-15, 0x1.66ee5c8279122p-15, 0x1.47905de7a6989p-15, 0x1.29028f1c49bd5p-15, 0x1.0b59cc0e6cb04p-15, 0x1.dd52062af12adp-16, 0x1.a5efb875510a1p-16, 0x1.7080d8b983367p-16, 0x1.3ce7d1e45e7a1p-16, 0x1.0b0bed6893489p-16, 0x1.b5e191c6b7402p-17, 0x1.596a458384cd9p-17, 0x1.00e83ca67defdp-17, 0x1.58a17a42e5c3ep-18, 0x1.6d64f208ac2e7p-19, 0x1.b4715f5161882p-22, -0x1.e8d30e3a77d87p-20, -0x1.0a1005ac3469ap-18, -0x1.9459d3a3912aap-18, -0x1.0c78ce9561461p-17, -0x1.4bcf7b9dd4357p-17, -0x1.881b3b67448c8p-17, -0x1.c1623296b7b3fp-17, -0x1.f7d6015af362cp-17, -0x1.15ebe696e5d73p-16, -0x1.2ef45e70b75b6p-16, -0x1.473d112be94e2p-16, -0x1.5ed6472bc57f9p-16, -0x1.759c6744f44f5p-16, -0x1.8b5535026999cp-16, -0x1.9fe25e972188dp-16, -0x1.b35a1139d2866p-16, -0x1.c5e5facd0da8dp-16, -0x1.d78b628723bdcp-16, -0x1.e8267f800d681p-16, -0x1.f79d2dc4833eep-16, -0x1.030042b02f9f8p-15, -0x1.09be407ce23fdp-15, -0x1.101c48b006de2p-15, -0x1.1624d0b50292fp-15, -0x1.1bdae11e5d36bp-15, -0x1.213e886a428b3p-15, -0x1.264f9d5a175a7p-15, -0x1.2b0d8b6e96249p-15, -0x1.2f752251119dbp-15, -0x1.337ef2130a785p-15, -0x1.3720bb2bafde7p-15, -0x1.3a522bd7c3116p-15, -0x1.3d13144709bb1p-15, -0x1.3f7241b46c6e2p-15, -0x1.41913ba4b679ap-15, -0x1.43969adeeada5p-15, -0x1.458d57ac7aa53p-15, -0x1.4757969ecb969p-15, -0x1.48d15b72395b8p-15, -0x1.49fafb24fa0d8p-15, -0x1.4af08d61f64acp-15, -0x1.4bbb854b87b9bp-15, -0x1.4c472d3b5c2d1p-15, -0x1.4c83cd94b5ab5p-15, -0x1.4c7a3ca1bb072p-15, -0x1.4c3d7a93f21b3p-15, -0x1.4bda9d35e775dp-15, -0x1.4b56168c7eaf8p-15, -0x1.4aaf8990c92acp-15, -0x1.49e56124780cp-15, -0x1.48f6a91cc87efp-15, -0x1.47e3be12b4e96p-15, -0x1.46ae41b4ad803p-15, -0x1.455838f6ea98p-15, -0x1.43e24059c85d7p-15, -0x1.4249c05a03a3dp-15, -0x1.408935bcd436bp-15, -0x1.3e9b06ed277e4p-15, -0x1.3c7bec9d31d36p-15, -0x1.3a2cb3ed4b121p-15, -0x1.37b94f6b8785ap-15, -0x1.353cc8b98b43ap-15, -0x1.32c7eef3516bp-15, -0x1.3046df3979391p-15, -0x1.2da10889dea4p-15, -0x1.2ae29eccfa231p-15, -0x1.28205ba916689p-15, -0x1.254e1160533bep-15, -0x1.2257dd7ce5608p-15, -0x1.1f417cdbd1304p-15, -0x1.1c1976cc119adp-15, -0x1.18e830d4477a2p-15, -0x1.15af0fc82ec5fp-15, -0x1.126ce01d65b4dp-15, -0x1.0f2077988b166p-15, -0x1.0bc961edc81bcp-15, -0x1.0867bfa490a6dp-15, -0x1.04fc04800dccap-15, -0x1.0186d5b85ce58p-15, -0x1.fc1218a7ffc9ap-16, -0x1.f5076a355b9f3p-16, -0x1.edefaeed19119p-16, -0x1.e6cbf4cb240d2p-16, -0x1.df9b9209096a4p-16, -0x1.d85cbaac73e1dp-16, -0x1.d10ce761b7c27p-16, -0x1.c9aca53183176p-16, -0x1.c2359a5eede43p-16, -0x1.baa64b2673a7fp-16, -0x1.b316d195c8dfbp-16, -0x1.ab976223ab8c7p-16, -0x1.a414a27605d57p-16, -0x1.9c9370a06c2b7p-16, -0x1.9525e104ff4a1p-16, -0x1.8db1f3b685cb5p-16, -0x1.86259d5e2ec7ap-16, -0x1.7e9112054b23bp-16, -0x1.770363cb28706p-16, -0x1.6f7f630dd6812p-16, -0x1.6803093219f87p-16, -0x1.608c67c25p-16, -0x1.591ab11cd513bp-16, -0x1.51adf5bd41508p-16, -0x1.4a46becf31bcfp-16, -0x1.42e5c344769d5p-16, -0x1.3b8bb71c6e145p-16, -0x1.343931749b5fbp-16, -0x1.2ceeab75f183cp-16, -0x1.25ac97fcf08c2p-16, -0x1.1e73868443009p-16, -0x1.174435733cfb3p-16, -0x1.101f78807c94ep-16, -0x1.0905f5751a369p-16, -0x1.01f805c851958p-16, -0x1.f5ec6908a0151p-17, -0x1.e802c5cdfd9b9p-17, -0x1.da2eb1e1c500fp-17, -0x1.cc5fbf1462c85p-17, -0x1.be972ac0e2a91p-17, -0x1.b0f3b91b229b4p-17, -0x1.a37a78b9d4853p-17, -0x1.962f0d0662e1ep-17, -0x1.8902a9a735101p-17, -0x1.7bdd2f6df0dd7p-17, -0x1.6ecc8e6e7e7fp-17, -0x1.61deb27d5b802p-17, -0x1.551469cec244bp-17, -0x1.486b3ac0e20edp-17, -0x1.3be19b3430fedp-17, -0x1.2f770d757f0d7p-17, -0x1.232ba7657a6bdp-17, -0x1.16ffe2e0dcba2p-17, -0x1.0af4a3ca97c0dp-17, -0x1.fe1564abecc4fp-18, -0x1.e682d0706ce5bp-18, -0x1.cf2f78613fc4dp-18, -0x1.b81dc4b43e8eap-18, -0x1.a150329254ebcp-18, -0x1.8ac4e330b9a5cp-18, -0x1.747b0badd424ap-18, -0x1.5e75117345977p-18, -0x1.48b46c86bc69bp-18, -0x1.33392ac379368p-18, -0x1.1e03385cd6e6ep-18, -0x1.09128a6e9c891p-18, -0x1.e8cec07e94ba5p-19, -0x1.c005394171bb4p-19, -0x1.97c628ae714bdp-19, -0x1.70012442edce8p-19, -0x1.48b24b24715bbp-19, -0x1.21fad81279cafp-19, -0x1.f7c944b27722ap-20, -0x1.acb19eead7e61p-20, -0x1.628937e81488cp-20, -0x1.196fb3b5f9f53p-20, -0x1.a2e50f0a3a728p-21, -0x1.1518e766705ddp-21, -0x1.12e2bf1856dfep-22, 0x1.5ffaa16b2bd6fp-33, 0x1.0efee8bd0c12dp-22, 0x1.0cccabd66720ep-21, 0x1.8fff564bfc238p-21, 0x1.088ca6e6e86bdp-20, 0x1.480e4d9dea16cp-20, 0x1.8685b9431a854p-20, 0x1.c3f416e9446c4p-20, 0x1.002d52532e07bp-19, 0x1.1ddd57fce2c8dp-19, 0x1.3b0aca523c775p-19, 0x1.57b65de91c6c8p-19, 0x1.73e0cdddf5493p-19, 0x1.8f8adbbf773fap-19, 0x1.aab54f8075205p-19, 0x1.c560f77c0da69p-19, 0x1.df8ea8893162dp-19, 0x1.f93f3cc6c8793p-19, 0x1.0939bf0e74191p-18, 0x1.1595a3de3320dp-18, 0x1.21b2aeacce259p-18, 0x1.2d98b7372a406p-18, 0x1.393df72fcd254p-18, 0x1.44a62aec44abap-18, 0x1.4fd61b5e4836fp-18, 0x1.5ac9f8c7acacfp-18, 0x1.65833ad3c15fbp-18, 0x1.70028f7b39d93p-18, 0x1.7a4873b818e0ap-18, 0x1.845563e393065p-18, 0x1.8e29e0bb23066p-18, 0x1.97c66c8670c77p-18, 0x1.a12b8aa4ebffp-18, 0x1.aa59bfc3ead98p-18, 0x1.b3519208453e5p-18, 0x1.bc13890a680a8p-18, 0x1.c4a02d8cc78dp-18, 0x1.ccf808e104085p-18, 0x1.d51ba424b8596p-18, 0x1.dd0b87acf40eep-18, 0x1.e4c83ae41a485p-18, 0x1.ec5244b001a5dp-18, 0x1.f3aa2c46f0d29p-18, 0x1.fad07a8cd65b8p-18, 0x1.00e2de1e315c7p-17, 0x1.044542fe8cff4p-17, 0x1.078fbbd10d11cp-17, 0x1.0ac29e867edfcp-17, 0x1.0dde3eb31c5aep-17, 0x1.10e2ca878df1bp-17, 0x1.13cffc7610024p-17, 0x1.16a54dc5be832p-17, 0x1.1963d6c98e607p-17, 0x1.1c0dccf6225c1p-17, 0x1.1ea27991afac6p-17, 0x1.2121166fa2ap-17, 0x1.238b03ba7f95ap-17, 0x1.25e029838448dp-17, 0x1.2820f9816075ap-17, 0x1.2a4bfc83b5875p-17, 0x1.2c6329dc2ea48p-17, 0x1.2e67155b9df34p-17, 0x1.3056a6c3c8d9ap-17, 0x1.3232886298809p-17, 0x1.33fb43722aa0bp-17, 0x1.35b126b8af5b9p-17, 0x1.375471ce04eb6p-17, 0x1.38e562d177dd6p-17, 0x1.3a6438d9bbc45p-17, 0x1.3bd133f540f89p-17, 0x1.3d2c94d290bd6p-17, 0x1.3e769c601bdc2p-17, 0x1.3faf8b62f61c7p-17, 0x1.40d7a20e37088p-17, 0x1.41ef1f9ffa8d4p-17, 0x1.42f642530bf2cp-17, 0x1.43ed47960ffeep-17, 0x1.44d46c45e8bafp-17, 0x1.45abecec678f7p-17, 0x1.4674062d0bb54p-17, 0x1.472cf57cfb577p-17, 0x1.47d6fa0e862a1p-17, 0x1.487254f8d00fp-17, 0x1.48ff474c9e883p-17, 0x1.497e0e625b649p-17, 0x1.49eee11fcb1e7p-17, 0x1.4a51f02e41dap-17, 0x1.4aa7682f5a3e2p-17, 0x1.4aef77a499243p-17, 0x1.4b2a609b12c0cp-17, 0x1.4b588c7271bf3p-17, 0x1.4b7a66770a55bp-17, 0x1.4b8fdff9e09a8p-17, 0x1.4b980b6a8584dp-17, 0x1.4b9359b5b2a09p-17, 0x1.4b8487fc72328p-17, }}, 
      {{-0x1.77a518c930a84p+1, -0x1.69957a9e96651p+1, -0x1.559c4f334a297p+1, -0x1.3eadf5e10be65p+1, -0x1.27256c426fda4p+1, -0x1.10a607e8c0db5p+1, -0x1.f85d05b71da36p+0, -0x1.d478ec9136dabp+0, -0x1.b5e1f6039bf1dp+0, -0x1.9c6083e429f1ap+0, -0x1.8774ba0301765p+0, -0x1.767ad4337ecbap+0, -0x1.68c43f92326b1p+0, -0x1.5da7df4b7cc59p+0, -0x1.548bbdd24cfb7p+0, -0x1.4cea0d489fa26p+0, -0x1.4652f286b71aep+0, -0x1.406c37d24d5a6p+0, -0x1.3aefb7bfa5624p+0, -0x1.35a9146a133c1p+0, -0x1.307321d117036p+0, -0x1.2b354777f428ep+0, -0x1.25e1053eb7da8p+0, -0x1.206fb44ba7e69p+0, -0x1.1ae090cade7ffp+0, -0x1.1537105327ea5p+0, -0x1.0f7982108ae5cp+0, -0x1.09aff438f56f3p+0, -0x1.03e3566a84494p+0, -0x1.fc39a1c4eb19bp-1, -0x1.f0ca90d6c92d6p-1, -0x1.e58a0e49fc216p-1, -0x1.da8705e5f9101p-1, -0x1.cfce76b148965p-1, -0x1.c56b533204e88p-1, -0x1.bb667cf36d8a6p-1, -0x1.b1c6d3c4b3d93p-1, -0x1.a891533b9e906p-1, -0x1.9fc9390d26238p-1, -0x1.97703085d9043p-1, -0x1.8f8680c775dcep-1, -0x1.880b3b30050ecp-1, -0x1.80fc688a4a49cp-1, -0x1.7a5733dddc05p-1, -0x1.7418125fde4d7p-1, -0x1.6e3ae80a39ec5p-1, -0x1.68bb2882712e7p-1, -0x1.6393f45daf85fp-1, -0x1.5ec0330dfe1dfp-1, -0x1.5a3aa965c2849p-1, -0x1.55fe0cf84a506p-1, -0x1.5205149ba417fp-1, -0x1.4e4a864ba2cffp-1, -0x1.4ac942afd5a82p-1, -0x1.477c4e7e22a17p-1, -0x1.445eda0151bbp-1, -0x1.416c4709ad0edp-1, -0x1.3ea02d63e2723p-1, -0x1.3bf65e067f943p-1, -0x1.396ae5380be17p-1, -0x1.36fa0bcee00c2p-1, -0x1.34a057a4296dbp-1, -0x1.325a8b5efeb98p-1, -0x1.3025a5b46674ep-1, -0x1.2dfee034592c2p-1, -0x1.2be3adb93536ap-1, -0x1.29d1b88c69901p-1, -0x1.27c6e050da4d2p-1, -0x1.25c137c147dd6p-1, -0x1.23bf024ef4f3cp-1, -0x1.21beb1aae94e4p-1, -0x1.1fbee341abeep-1, -0x1.1dbe5db2a267ap-1, -0x1.1bbc0e4bc52b7p-1, -0x1.19b7068bcc53cp-1, -0x1.17ae79acf7decp-1, -0x1.15a1ba3f8e24cp-1, -0x1.139037d8b43afp-1, -0x1.11797cd513bedp-1, -0x1.0f5d2c3174acfp-1, -0x1.0d3aff7a768c4p-1, -0x1.0b12c4d54d5ffp-1, -0x1.08e45d211accep-1, -0x1.06afba322f805p-1, -0x1.0474dd2605283p-1, -0x1.0233d4d0f245fp-1, -0x1.ffd978881a466p-2, -0x1.fb3f72d792a44p-2, -0x1.f699f78b58c04p-2, -0x1.f1e9765b1aca4p-2, -0x1.ed2e6d8092264p-2, -0x1.e86967a867e11p-2, -0x1.e39afa0b8a964p-2, -0x1.dec3c2adcb379p-2, -0x1.d9e466c517b0bp-2, -0x1.d4fd913bf9af5p-2, -0x1.d00ff1601f5e7p-2, -0x1.cb1c39a241ad8p-2, -0x1.c6231e8089292p-2, -0x1.c1255583a7dcp-2, -0x1.bc239457c724bp-2, -0x1.b71e900056497p-2, -0x1.b216fc2202875p-2, -0x1.ad0d8a5523d92p-2, -0x1.a802e99f643e1p-2, -0x1.a2f7c5f56336ap-2, -0x1.9decc7c0b6ccfp-2, -0x1.98e29387f9fb1p-2, -0x1.93d9c9a052d4dp-2, -0x1.8ed305e42643ep-2, -0x1.89cedf74ebf07p-2, -0x1.84cde891243c6p-2, -0x1.7fd0ae7360d9cp-2, -0x1.7ad7b93227f6cp-2, -0x1.75e38ba806a44p-2, -0x1.70f4a367df869p-2, -0x1.6c0b78b7c59dfp-2, -0x1.67287e927a77ep-2, -0x1.624c22a539088p-2, -0x1.5d76cd5891bd5p-2, -0x1.58a8e1deb3068p-2, -0x1.53e2be407222fp-2, -0x1.4f24bb74b6fbcp-2, -0x1.4a6f2d75dd12p-2, -0x1.45c2635528489p-2, -0x1.411ea7585cf6fp-2, -0x1.3c843f172487dp-2, -0x1.37f36b96512bep-2, -0x1.336c6967f01ffp-2, -0x1.2eef70cde90f1p-2, -0x1.2a7cb5d75892ep-2, -0x1.2614688101e9ep-2, -0x1.21b6b4d9109ebp-2, -0x1.1d63c320fc8fp-2, -0x1.191bb7ee3d99cp-2, -0x1.14deb44b7e686p-2, -0x1.10acd5dc45049p-2, -0x1.0c8636fe1b838p-2, -0x1.086aeee780e81p-2, -0x1.045b11c95f357p-2, -0x1.0056b0f023d55p-2, -0x1.f8bbb5c6c0cap-3, -0x1.f0e1370919116p-3, -0x1.e91df859e31c5p-3, -0x1.e1720797a3c15p-3, -0x1.d9dd6e095e8bp-3, -0x1.d2603095ca675p-3, -0x1.cafa4ff8b262p-3, -0x1.c3abc8fa0aa95p-3, -0x1.bc7494a2f40bep-3, -0x1.b554a86ff4572p-3, -0x1.ae4bf68160096p-3, -0x1.a75a6dca55379p-3, -0x1.a07ffa3e12e09p-3, -0x1.99bc84fc0e501p-3, -0x1.930ff47ae8e01p-3, -0x1.8c7a2cb0a2854p-3, -0x1.85fb0f38aa1f3p-3, -0x1.7f927b7a0202ep-3, -0x1.79404ecbb2e04p-3, -0x1.7304649778c6bp-3, -0x1.6cde967ace587p-3, -0x1.66cebc66f6453p-3, -0x1.60d4acbfbcabep-3, -0x1.5af03c78bf229p-3, -0x1.55213f313a82cp-3, -0x1.4f67874ef4031p-3, -0x1.49c2e6181b503p-3, -0x1.44332bcb901bfp-3, -0x1.3eb827b7a586fp-3, -0x1.3951a8503ca73p-3, -0x1.33ff7b4403283p-3, -0x1.2ec16d90bf24dp-3, -0x1.29974b95b6576p-3, -0x1.2480e1265661p-3, -0x1.1f7df99b53e16p-3, -0x1.1a8e5fe23b182p-3, -0x1.15b1de8d8c61cp-3, -0x1.10e83fe320057p-3, -0x1.0c314de9ef32dp-3, -0x1.078cd2772df5dp-3, -0x1.02fa973aaff65p-3, -0x1.fcf4cb951222dp-4, -0x1.f4180f5be1a9ep-4, -0x1.eb5e8ccf5e767p-4, -0x1.e2c7d6ffe5fb2p-4, -0x1.da53811b0a587p-4, -0x1.d2011e7cc772p-4, -0x1.c9d042bfb022p-4, -0x1.c1c081cc34f76p-4, -0x1.b9d16fe6f2e74p-4, -0x1.b202a1be2292bp-4, -0x1.aa53ac761141dp-4, -0x1.a2c425b4df656p-4, -0x1.9b53a3ad5a64dp-4, -0x1.9401bd2972da8p-4, -0x1.8cce0994285c1p-4, -0x1.85b820ffbf1cp-4, -0x1.7ebf9c30d82bep-4, -0x1.77e414a73530fp-4, -0x1.7125249f984edp-4, -0x1.6a82671e43894p-4, -0x1.63fb77f410b2dp-4, -0x1.5d8ff3c3a3ec2p-4, -0x1.573f78066e498p-4, -0x1.5109a31132dc8p-4, -0x1.4aee141824d3cp-4, -0x1.44ec6b32a045cp-4, -0x1.3f04495e8618fp-4, -0x1.393550833b08bp-4, -0x1.337f23744cf1dp-4, -0x1.2de165f3cbc57p-4, -0x1.285bbcb44fcd2p-4, -0x1.22edcd5abb531p-4, -0x1.1d973e7fb31acp-4, -0x1.1857b7b0d9ceep-4, -0x1.132ee171cc73ap-4, -0x1.0e1c653ce417cp-4, -0x1.091fed83c69cap-4, -0x1.043925afce551p-4, -0x1.fecf74449bd9ap-5, -0x1.f556b069748e5p-5, -0x1.ec075c716f077p-5, -0x1.e2e0d6f00006ap-5, -0x1.d9e280683ff1bp-5, -0x1.d10bbb4bd538p-5, -0x1.c85bebf928d06p-5, -0x1.bfd278b8e03dp-5, -0x1.b76ec9bacbe0ap-5, -0x1.af304912cdf03p-5, -0x1.a71662b621727p-5, -0x1.9f20847940fbbp-5, -0x1.974e1e0e6ddafp-5, -0x1.8f9ea10653013p-5, -0x1.881180cfef30fp-5, -0x1.80a632a553a97p-5, -0x1.795c2dab830e7p-5, -0x1.7232eac58b6p-5, -0x1.6b29e4b63e1cfp-5, -0x1.64409800d6b4dp-5, -0x1.5d7682e718daep-5, -0x1.56cb256d61fbdp-5, -0x1.503e0153a5c7ep-5, -0x1.49ce9a1303a89p-5, -0x1.437c74dbd7b53p-5, -0x1.3d4718930374cp-5, -0x1.372e0dce329c6p-5, -0x1.3130decf649fap-5, -0x1.2b4f178023ebep-5, -0x1.2588456cd6d2ep-5, -0x1.1fdbf7c045f07p-5, -0x1.1a49bf3f54866p-5, -0x1.14d12e44dfe5ep-5, -0x1.0f71d8bd9e7fep-5, -0x1.0a2b54240657ap-5, -0x1.04fd377c2b04cp-5, -0x1.ffce369f2c269p-6, -0x1.f5d1335237bf2p-6, -0x1.ec029c215e12bp-6, -0x1.e261ab0e514ap-6, -0x1.d8ed9d04245ddp-6, -0x1.cfa5b1ced0eafp-6, -0x1.c6892c12c2a72p-6, -0x1.bd9751446ecccp-6, -0x1.b4cf699fefbf4p-6, -0x1.ac30c020b0decp-6, -0x1.a3baa279178b6p-6, -0x1.9b6c610a38d2cp-6, -0x1.93454edb8c4d6p-6, -0x1.8b44c192ac5a7p-6, -0x1.836a116b2522dp-6, -0x1.7bb4992e4ede2p-6, -0x1.7423b62b38fbap-6, -0x1.6cb6c82e9ba01p-6, -0x1.656d317ad2fdap-6, -0x1.5e4656bfde30ep-6, -0x1.57419f136f009p-6, -0x1.505e73e9042c7p-6, -0x1.499c410a1e789p-6, -0x1.42fa748e80fbcp-6, -0x1.3c787ed48c2afp-6, -0x1.3615d2799bb59p-6, -0x1.2fd1e4527c4e7p-6, -0x1.29ac2b63d6e69p-6, -0x1.23a420dac29c3p-6, -0x1.1db9400551085p-6, -0x1.17eb064b435ccp-6, -0x1.1238f326ca102p-6, -0x1.0ca2881d5bc3p-6, -0x1.072748b8981b5p-6, -0x1.01c6ba7f37fe2p-6, -0x1.f900c9dc14e94p-7, -0x1.eea7a2e1fc76ap-7, -0x1.e48116b87e0aap-7, -0x1.da8c3fcaca16ep-7, -0x1.d0c83c398452ap-7, -0x1.c7342dcd81242p-7, -0x1.bdcf39eaa6395p-7, -0x1.b4988982ee4f8p-7, -0x1.ab8f49097c767p-7, -0x1.a2b2a865d823bp-7, -0x1.9a01dae727ddbp-7, -0x1.917c1737a59a5p-7, -0x1.8920975009442p-7, -0x1.80ee986b193ecp-7, -0x1.78e55af922feap-7, -0x1.7104229358e35p-7, -0x1.694a35ef39eb9p-7, -0x1.61b6ded231b56p-7, -0x1.5a496a0661727p-7, -0x1.53012751bac5fp-7, -0x1.4bdd697035cdbp-7, -0x1.44dd8610136a1p-7, -0x1.3e00d5cb2d97bp-7, -0x1.3746b417035fcp-7, -0x1.30ae7f29aa96ep-7, -0x1.2a3797dc0b7dfp-7, -0x1.23e16196f9a3bp-7, -0x1.1dab4252853d5p-7, -0x1.1794a2a28c446p-7, -0x1.119cedc3cd57fp-7, -0x1.0bc3919cf0e29p-7, -0x1.0607fead7e3dep-7, -0x1.0069a7edbe842p-7, -0x1.f5d0055771fc9p-8, -0x1.eb050ce90c903p-8, -0x1.e0715a24cc401p-8, -0x1.d613e531065ebp-8, -0x1.cbebaad80e5b6p-8, -0x1.c1f7ac805b77p-8, -0x1.b836f00f4f28ep-8, -0x1.aea87fc6efd3fp-8, -0x1.a54b6a292eadbp-8, -0x1.9c1ec1e26d218p-8, -0x1.93219db8c85dp-8, -0x1.8a53187d3a15ap-8, -0x1.81b250fd06fd1p-8, -0x1.793e69f3250cfp-8, -0x1.70f689f959c2ap-8, -0x1.68d9db7954239p-8, -0x1.60e78c9dabbabp-8, -0x1.591ecf42e21f9p-8, -0x1.517ed8e841958p-8, -0x1.4a06e2a0ade02p-8, -0x1.42b629036945ep-8, -0x1.3b8bec1cf7684p-8, -0x1.34876f60285cp-8, -0x1.2da7f997ad1e5p-8, -0x1.26ecd4d821b12p-8, -0x1.20554e72b8c92p-8, -0x1.19e0b6e881bb2p-8, -0x1.138e61ddf59fbp-8, -0x1.0d5da60ebbeadp-8, -0x1.074ddd414752dp-8, -0x1.015e643a32424p-8, -0x1.f71d355e4ea4cp-9, -0x1.ebbbc673063d6p-9, -0x1.e0974691af652p-9, -0x1.d5ae862b6d3abp-9, -0x1.cb005b29e1ecap-9, -0x1.c08ba0d7735eap-9, -0x1.b64f37c965de4p-9, -0x1.ac4a05cba0ff6p-9, -0x1.a27af5cdbafb6p-9, -0x1.98e0f7d05a319p-9, -0x1.8f7b00d21f4fbp-9, -0x1.86480abb62dc8p-9, -0x1.7d471448438aap-9, -0x1.747720f143cf5p-9, -0x1.6bd738d2d8b23p-9, -0x1.63666894e6998p-9, -0x1.5b23c15332f7ep-9, -0x1.530e5887be9ebp-9, -0x1.4b2547f7c6fafp-9, -0x1.4367ada337a1fp-9, -0x1.3bd4abb68cbep-9, -0x1.346b687dc0e1ep-9, -0x1.2d2b0e5777a84p-9, -0x1.2612cba6f3449p-9, -0x1.1f21d2c3f4f62p-9, -0x1.185759e82b7bdp-9, -0x1.11b29b1a472bep-9, -0x1.0b32d417a4123p-9, -0x1.04d7463d86d7dp-9, -0x1.fd3e6ce6e6487p-10, -0x1.f113da2fa22f9p-10, -0x1.e52d6bdf31a84p-10, -0x1.d989c032d08f7p-10, -0x1.ce277c06c8f79p-10, -0x1.c3054ac62f94cp-10, -0x1.b821de5b4249dp-10, -0x1.ad7bef1ddbd13p-10, -0x1.a3123bbbe20a7p-10, -0x1.98e38919428d3p-10, -0x1.8eeea22441f89p-10, -0x1.8532579e9f79ap-10, -0x1.7bad7fe271f1bp-10, -0x1.725ef6bbe6e25p-10, -0x1.69459d82564f4p-10, -0x1.60605b86a5b45p-10, -0x1.57ae1e7e7bd5p-10, -0x1.4f2dda1cfa5aep-10, -0x1.46de86927f55fp-10, -0x1.3ebf1f23c6e64p-10, -0x1.36cea25e5d96dp-10, -0x1.2f0c13d88f053p-10, -0x1.27767ded7d9f8p-10, -0x1.200cf1fa28811p-10, -0x1.18ce86df47211p-10, -0x1.11ba56fc0a7ccp-10, -0x1.0acf7f5d11f12p-10, -0x1.040d20a479e06p-10, -0x1.fae4c0afc099ep-11, -0x1.edfcd26485618p-11, -0x1.e160d51f4d785p-11, -0x1.d50f2f802d91dp-11, -0x1.c9064f5765a85p-11, -0x1.bd44a97b4191ap-11, -0x1.b1c8b9e000b68p-11, -0x1.a69103c403495p-11, -0x1.9b9c11df1c0e9p-11, -0x1.90e8768d27cd5p-11, -0x1.8674cbed3f8aep-11, -0x1.7c3fb3ed3036ep-11, -0x1.7247d83a3023bp-11, -0x1.688bea117405dp-11, -0x1.5f0aa1f0b7f81p-11, -0x1.55c2bf2ab5a7p-11, -0x1.4cb30769b97acp-11, -0x1.43da462d77c7fp-11, -0x1.3b374c550cb0dp-11, -0x1.32c8efc539e16p-11, -0x1.2a8e0b3910b96p-11, -0x1.22857e4437f03p-11, -0x1.1aae2d857b26dp-11, -0x1.130702ff0f7dcp-11, -0x1.0b8eee80efe57p-11, -0x1.0444e60f441edp-11, -0x1.fa4fcc5ba4632p-12, -0x1.ec6de40204a7dp-12, -0x1.dee226750976cp-12, -0x1.d1aab3a2c77d4p-12, -0x1.c4c5b714a9e37p-12, -0x1.b83166b5a724bp-12, -0x1.abec016ba97c2p-12, -0x1.9ff3cdab34d7ep-12, -0x1.944718371d696p-12, -0x1.88e433415f7cp-12, -0x1.7dc9761a0f525p-12, -0x1.72f53d83a33e9p-12, -0x1.6865ec9e70d22p-12, -0x1.5e19ee37a7b52p-12, -0x1.540fb630a986cp-12, -0x1.4a45c2af33c04p-12, -0x1.40ba9cdea2005p-12, -0x1.376cd92c64e9fp-12, -0x1.2e5b170aae253p-12, -0x1.258400564cbb3p-12, -0x1.1ce64878c7623p-12, -0x1.1480ab52f9888p-12, -0x1.0c51ebf17679ep-12, -0x1.0458d311afe8p-12, -0x1.f9285b32c2c63p-13, -0x1.ea059683d8808p-13, -0x1.db46fb9877df4p-13, -0x1.ccea3204817a5p-13, -0x1.beece72d5ccabp-13, -0x1.b14cd159d78fp-13, -0x1.a407b33139577p-13, -0x1.971b5eac950fbp-13, -0x1.8a85b6c3b4294p-13, -0x1.7e44afafdf2bbp-13, -0x1.72564e2840614p-13, -0x1.66b8a6459ff9cp-13, -0x1.5b69da9fd962dp-13, -0x1.50681bd0d433p-13, -0x1.45b1a809aeb3fp-13, -0x1.3b44ca22d1cb1p-13, -0x1.311fd7a15b51bp-13, -0x1.27412da06fcc1p-13, -0x1.1da72d1984e0dp-13, -0x1.14503765619ddp-13, -0x1.0b3aac052c105p-13, -0x1.0264e95f52b93p-13, -0x1.f39aa6a667814p-14, -0x1.e2e4c0a4654d6p-14, -0x1.d2a5440a0e489p-14, -0x1.c2d96fb8c3a51p-14, -0x1.b37e6a0f05728p-14, -0x1.a4913b795960cp-14, -0x1.960f0421afdfbp-14, -0x1.87f52966a478bp-14, -0x1.7a4145d2ae0fp-14, -0x1.6cf0f2236cd93p-14, -0x1.6001ae412e9c4p-14, -0x1.537102bd4f9dep-14, -0x1.473ca355207f2p-14, -0x1.3b626a3a3f17dp-14, -0x1.2fe0412f25d4dp-14, -0x1.24b412d0b3e75p-14, -0x1.19dbc7bf46dfbp-14, -0x1.0f554a3e4c5f6p-14, -0x1.051e8badb7f5p-14, -0x1.f66b120fbe0f4p-15, -0x1.e33099892292bp-15, -0x1.d089db85b286fp-15, -0x1.be7317e381cebp-15, -0x1.ace8986a8dcb7p-15, -0x1.9be6aab9df371p-15, -0x1.8b699faad9d71p-15, -0x1.7b6dd1c65a56cp-15, -0x1.6befb1563e484p-15, -0x1.5cebd1841b591p-15, -0x1.4e5ef0e40bcfep-15, -0x1.4045f9e68cba7p-15, -0x1.329dfbf882b06p-15, -0x1.256421efa7a32p-15, -0x1.1895ab28b0719p-15, -0x1.0c2fe9ff1b197p-15, -0x1.003045e7f9eb7p-15, -0x1.e92879405ec5ep-16, -0x1.d2b2bd8d0861ap-16, -0x1.bcfa90446162fp-16, -0x1.a7fb2eea9f587p-16, -0x1.93afd3afbe514p-16, -0x1.8013b46ccee3fp-16, -0x1.6d220467452a9p-16, -0x1.5ad5f3b61aac1p-16, -0x1.492aade49e976p-16, -0x1.381b5f019c5f1p-16, -0x1.27a343a6398d5p-16, -0x1.17bdbf3900ea9p-16, -0x1.08666c49f1fd8p-16, -0x1.f3323a7eeb1b4p-17, -0x1.d6a39e7c68968p-17, -0x1.bb193a0043954p-17, -0x1.a08b81a247964p-17, -0x1.86f3525bdfe72p-17, -0x1.6e4a25ce96dd4p-17, -0x1.568a25f4487ebp-17, -0x1.3fae03c3f133ap-17, -0x1.29b09c0336a3ep-17, -0x1.148c99b3f4f63p-17, -0x1.003c4881552f5p-17, -0x1.d9734e25b8ad1p-18, -0x1.b3fd3a14eabd7p-18, -0x1.900a4f6a23e4bp-18, -0x1.6d8ec9e666a3p-18, -0x1.4c7f0b4fa2494p-18, -0x1.2ccf831ca7368p-18, -0x1.0e74bbaf14128p-18, -0x1.e2c70dec3181dp-19, -0x1.ab2248910ace5p-19, -0x1.75e66c6d1c579p-19, -0x1.42ff019dad102p-19, -0x1.12574157c07e3p-19, -0x1.c7b434886b143p-20, -0x1.6ee66062dadcep-20, -0x1.1a20f7841a9ddp-20, -0x1.928df85a1e3a7p-21, -0x1.f108384aba982p-22, -0x1.97f76282d9616p-23, 0x1.297071c97bfb8p-24, 0x1.5261f8e73b30fp-22, 0x1.26440a64c318bp-21, 0x1.9ca4ba3493d17p-21, 0x1.064a297389a1cp-20, 0x1.3b2b1093f9838p-20, 0x1.6d05da609fdefp-20, 0x1.9bf38471c6aeep-20, 0x1.c81b99137399fp-20, 0x1.f174d22149378p-20, 0x1.0c1bbea47dd52p-19, 0x1.1e369970e15f5p-19, 0x1.2f1b2f7c7e6cfp-19, 0x1.3ecf1c192047p-19, 0x1.4d5c13a6ee6f9p-19, 0x1.5ad38adfbd5bep-19, 0x1.67464fc7cd798p-19, 0x1.72c095b433a87p-19, 0x1.7d4b1fb0c12b7p-19, 0x1.86ec4647994e5p-19, 0x1.8fa8c6774e802p-19, 0x1.9785610c69734p-19, 0x1.9e886f3ab776ap-19, 0x1.a4ba11c3174a6p-19, 0x1.aa22ef8ac6879p-19, 0x1.aecae28493395p-19, 0x1.b2b8d2ce7a0c8p-19, 0x1.b5f38c42e2a01p-19, 0x1.b8826b33f86dap-19, 0x1.ba6d427837da5p-19, 0x1.bbbbc2c37791fp-19, 0x1.bc74e2fac7004p-19, 0x1.bc9e9a5dc5edap-19, 0x1.bc3e12d373a37p-19, 0x1.bb583e2ef422fp-19, 0x1.b9f27559ca669p-19, 0x1.b812bba2f4873p-19, 0x1.b5bf8cd711a24p-19, 0x1.b2ff794b5ed95p-19, 0x1.afd8dd099d829p-19, 0x1.ac51ad423f4a8p-19, 0x1.a86f27f3b11e2p-19, 0x1.a4358b3137e66p-19, 0x1.9fa85782d5859p-19, 0x1.9acb291c24b3ep-19, 0x1.95a24fde72111p-19, 0x1.90325e50beaap-19, 0x1.8a7f223c11648p-19, 0x1.848b57400aa6dp-19, 0x1.7e598418911c8p-19, 0x1.77ece3198c4cep-19, 0x1.71495963c30fap-19, 0x1.6a72f2f558274p-19, 0x1.636d9b1dd24e6p-19, 0x1.5c3cf70c2ab9ap-19, 0x1.54e42b7bc7e6p-19, 0x1.4d65bd3dab79fp-19, 0x1.45c3bcd803fefp-19, 0x1.3e002caf14086p-19, 0x1.361d6941200e6p-19, 0x1.2e1e547b2e181p-19, 0x1.26061ca9041afp-19, 0x1.1dd7b5452d624p-19, 0x1.1595624a50e7bp-19, 0x1.0d40c2c98883p-19, 0x1.04db617f07072p-19, 0x1.f8ce90fed706ep-20, 0x1.e7ce4227a46dfp-20, 0x1.d6bbffff260f7p-20, 0x1.c59e0252baf9dp-20, 0x1.b478ef868955p-20, 0x1.a34e7024014cbp-20, 0x1.921e54bef5579p-20, 0x1.80e9b191f30bfp-20, 0x1.6fb41b2ad6a94p-20, 0x1.5e81d0681e19fp-20, 0x1.4d5619b6a4d07p-20, 0x1.3c33b1f580587p-20, 0x1.2b1d619b51896p-20, 0x1.1a15c3ff46344p-20, 0x1.091efb6acd6d5p-20, 0x1.f075727955582p-21, 0x1.ced4ca190b984p-21, 0x1.ad5e8607870b8p-21, 0x1.8c157f0326eb6p-21, 0x1.6afe8263c1978p-21, 0x1.4a23930f7ad34p-21, 0x1.299541ff92a25p-21, 0x1.095d75432fea3p-21, 0x1.d2cdf35f3b63bp-22, 0x1.9324bc47ddf45p-22, 0x1.53dc946f405d8p-22, 0x1.1541a2c6de308p-22, 0x1.aea1beaf49948p-23, 0x1.33baa903371a9p-23, 0x1.73efd1df01629p-24, 0x1.06fcaa70f4446p-25, -0x1.a721705ece0f8p-26, -0x1.543302f550376p-24, -0x1.1def5ce7f5449p-23, -0x1.905ba600dea79p-23, -0x1.00ab2df8e61c2p-22, -0x1.386df7cb6e4fp-22, -0x1.6f73005fa19d3p-22, -0x1.a5b6cd75c3dd9p-22, -0x1.db37340ae3d26p-22, -0x1.07f97af394657p-21, -0x1.21f4733924bf8p-21, -0x1.3b8bc5e3852d8p-21, -0x1.54be99618b364p-21, -0x1.6d8c19c00a23ap-21, -0x1.85f398ac1a26fp-21, -0x1.9df496b7cb0c5p-21, -0x1.b58eb25029084p-21, -0x1.ccc193b40894ep-21, -0x1.e38ceb26d24a1p-21, -0x1.f9f00f4955c2fp-21, -0x1.07f3567f9a6b2p-20, -0x1.12b5cae9ce7c8p-20, -0x1.1d6081774fa7dp-20, -0x1.27c27afa6a46bp-20, -0x1.31e7f6b822b8dp-20, -0x1.3be4d1d19b24ap-20, -0x1.45af830a7c0dp-20, -0x1.4f42b638256b5p-20, -0x1.58a201a0c005p-20, -0x1.61cde6059b258p-20, -0x1.6ac5f1681beaep-20, -0x1.738a98ffbd2a2p-20, -0x1.7c1c6572e2c43p-20, -0x1.847b6281b607bp-20, -0x1.8ca7ac821cf0dp-20, -0x1.94a198abd10ddp-20, -0x1.9c698ede49047p-20, -0x1.a3fff117e5b92p-20, -0x1.ab6515aae12ffp-20, -0x1.b29948e19f8fp-20, -0x1.b99cd1aeba0b4p-20, -0x1.c06ff83f037d3p-20, -0x1.c7130cfa5ee66p-20, -0x1.cd866d76d4c1dp-20, -0x1.d3ca84b3baa33p-20, -0x1.d9dfc59f85b79p-20, -0x1.dfc6a28f6b8f2p-20, -0x1.e57f872a9c472p-20, -0x1.eb0ad9992d319p-20, -0x1.f069034280cb7p-20, -0x1.f59a78d33709bp-20, -0x1.fa9fb0788ed5ap-20, -0x1.ff790a9052af6p-20, -0x1.0213721e8fffap-19, -0x1.0454e8b169166p-19, -0x1.068132d03e9a1p-19, -0x1.0898749011ad3p-19, -0x1.0a9ade78cd5c9p-19, -0x1.0c889e43318dap-19, -0x1.0e61ff522dbaep-19, -0x1.10275fd2a0987p-19, -0x1.11d8f63b255a7p-19, -0x1.1376fc7bfbe6p-19, -0x1.1501c19a15755p-19, -0x1.1679a3bf32ea3p-19, -0x1.17df11563ccf2p-19, -0x1.19328352bba4fp-19, -0x1.1a743fb939c5cp-19, -0x1.1ba388d517292p-19, -0x1.1cbd9bdd716aep-19, -0x1.1dc065228cdf2p-19, -0x1.1eb207a160fecp-19, -0x1.1f9a81fcc119fp-19, -0x1.207451adf8435p-19, -0x1.2139629696bedp-19, -0x1.21f00ad301d7dp-19, -0x1.229b7f1f3dc31p-19, -0x1.23362845d9cf1p-19, -0x1.23bdb5808632cp-19, -0x1.24342494b9b22p-19, -0x1.249b456803abcp-19, -0x1.24f3d52921877p-19, -0x1.253e154828581p-19, -0x1.257a2bf30520fp-19, -0x1.25a84315ccfb5p-19, -0x1.25c890205e3e2p-19, -0x1.25db496506fe1p-19, -0x1.25e09c9a48f8fp-19, -0x1.25d8c0afce7e7p-19, -0x1.25c3f802a104ap-19, -0x1.25a284568d46ep-19, -0x1.25749d2f0464dp-19, -0x1.253a7c2eb7cd7p-19, -0x1.24f45d20e16acp-19, -0x1.24a27b4066e64p-19, -0x1.244510f358922p-19, -0x1.23dc58038a2d2p-19, -0x1.236889bbe1854p-19, -0x1.22e9def135b97p-19, -0x1.226090021064p-19, -0x1.21ccd4d4daab5p-19, -0x1.212ee4d607719p-19, -0x1.2086f6f75e523p-19, -0x1.1fd541afb6752p-19, -0x1.1f19fafae41c8p-19, -0x1.1e555859f249ep-19, -0x1.1d878ed6579fap-19, -0x1.1cb0d30cff096p-19, -0x1.1bd15947364ebp-19, -0x1.1ae955b0af554p-19, -0x1.19f8fcc0d789fp-19, -0x1.190083edea57cp-19, -0x1.1800211063e01p-19, -0x1.16f7f3c26529bp-19, -0x1.15e71b8595f19p-19, -0x1.14cb901ac963bp-19, -0x1.13b4f39742b21p-19, -0x1.128e0b7d7a957p-19, -0x1.115de9bff22a7p-19, -0x1.102da29025d22p-19, -0x1.0ef47e7234b05p-19, -0x1.0db4b8577de2ap-19, -0x1.0c6ed39baf018p-19, -0x1.0b23009eda0cep-19, -0x1.09d167df60025p-19, -0x1.087a31f0e1ee9p-19, -0x1.071d87b87b864p-19, -0x1.05bb9214917ccp-19, -0x1.045479a270314p-19, -0x1.02e866a059e8fp-19, -0x1.017780dd6a3b1p-19, -0x1.0001efaec9effp-19, -0x1.fd0fb3cc65e69p-20, -0x1.fa12cb98728b9p-20, -0x1.f70d724ae62aap-20, -0x1.f3fff29b76be4p-20, -0x1.f0ea96f3ee681p-20, -0x1.edcdaa7c5062dp-20, -0x1.eaa97b3b993e1p-20, -0x1.e77e5ea62eb06p-20, -0x1.e44cb8fa3168ep-20, -0x1.e1150bcb3d858p-20, -0x1.ddd7ffd3bd7abp-20, -0x1.da9638fb7dd62p-20, -0x1.d74f3755fbfe2p-20, -0x1.d3feadf212796p-20, -0x1.d09e3c405bc6dp-20, -0x1.cd35db1750eebp-20, -0x1.c9d6b2c370bb7p-20, -0x1.c6771ca2a0712p-20, -0x1.c30da6235606cp-20, -0x1.bfa75ea1e415fp-20, -0x1.bc42a73d793fep-20, -0x1.b8d46af7fd8f2p-20, -0x1.b55d6807c0931p-20, -0x1.b1e1f9924bdccp-20, -0x1.ae6402bc20a5ap-20, -0x1.aae3dcc2ac75p-20, -0x1.a7618a7f7b5a3p-20, -0x1.a3dd1291c9bd8p-20, -0x1.a0568b9ac8bd3p-20, -0x1.9cce17ba574bep-20, -0x1.9943df58ef2b1p-20, -0x1.95b80dd48933cp-20, -0x1.922acfadf96p-20, -0x1.8e9c5197bf3c2p-20, -0x1.8b0cbffd9b162p-20, -0x1.877c46a108bbp-20, -0x1.83eb102a63261p-20, -0x1.805946aa50027p-20, -0x1.7cc713785e368p-20, -0x1.79349ebde951fp-20, -0x1.75a20fcd0bdb3p-20, -0x1.720f8d46f05ddp-20, -0x1.6e7d3d1925bb9p-20, -0x1.6aeb449641a8p-20, -0x1.6759c890b1265p-20, -0x1.63c8ed5fd51b1p-20, -0x1.6038d6a878776p-20, -0x1.5ca9a6f4ae5fcp-20, -0x1.591b7f72eb6b4p-20, -0x1.558e801aedd4bp-20, -0x1.5202c80812c73p-20, -0x1.4e7875e2521f3p-20, -0x1.4aefa8ae5d395p-20, -0x1.476880b0518e9p-20, -0x1.43e31deb13fbep-20, -0x1.405f9c468efeap-20, -0x1.3cde13121c55bp-20, -0x1.395e9d15559cbp-20, -0x1.35e15b519736ap-20, }}, 
      {{-0x1.e4548cce9d4d3p-9, -0x1.31d7e07209598p-7, -0x1.f4a3b2c22ba5ep-8, 0x1.debea2ee8e0cfp-8, 0x1.2cd4cfd52f025p-5, 0x1.410b75ae81539p-4, 0x1.0695dd510df99p-3, 0x1.73e56610b7df1p-3, 0x1.df6a51475907cp-3, 0x1.20c1147ee00f4p-2, 0x1.4a32bfef6df34p-2, 0x1.6a21d80a28a33p-2, 0x1.7f91d8ecb02dep-2, 0x1.8a50b087fc358p-2, 0x1.8accf3ac94c34p-2, 0x1.81ea9774f7acdp-2, 0x1.70dac2e85351fp-2, 0x1.58f946bcfbb98p-2, 0x1.3bb0c38fe7df6p-2, 0x1.1a657fb82bf08p-2, 0x1.eccca4f3e6159p-3, 0x1.a1c57e8b57819p-3, 0x1.55ca8a2a883d4p-3, 0x1.0aa1de7540014p-3, 0x1.838538b3bbae5p-4, 0x1.f16100fbe5034p-5, 0x1.da41441086cd8p-6, -0x1.8f2ec83470ebdp-12, -0x1.bb461be7add47p-6, -0x1.a175775abb39fp-5, -0x1.2720736e73c1bp-4, -0x1.721be4d701e2dp-4, -0x1.b1fcd18df08aap-4, -0x1.e73db95c7d37cp-4, -0x1.093cadc1d388ep-3, -0x1.1a30c61cff9c5p-3, -0x1.26dbabff3fd15p-3, -0x1.2fa2327536978p-3, -0x1.34eabd1d6b1e6p-3, -0x1.371b0943e79e8p-3, -0x1.36966dba9e28bp-3, -0x1.33bc827adf4cfp-3, -0x1.2ee821c7f51bap-3, -0x1.286eb53d46187p-3, -0x1.209fc258cc282p-3, -0x1.17c4ab1da2835p-3, -0x1.0e2098a8cd708p-3, -0x1.03f086ec1fd9dp-3, -0x1.f2d6d3fb3be86p-4, -0x1.dd84ccd3d2644p-4, -0x1.c8422e3c4739p-4, -0x1.b35bb8d8f96dfp-4, -0x1.9f14610f1e822p-4, -0x1.8ba5fd22a23dcp-4, -0x1.7941f4012bc8dp-4, -0x1.6811e96b134acp-4, -0x1.583865159b2dcp-4, -0x1.49d173051bbf1p-4, -0x1.3cf33c07dd2b2p-4, -0x1.31ae95bec527ap-4, -0x1.280f89da9f215p-4, -0x1.201dd4787dfadp-4, -0x1.19dd59c038784p-4, -0x1.154e930118b57p-4, -0x1.126ef39b9caccp-4, -0x1.113946226306p-4, -0x1.11a60210fd11cp-4, -0x1.13ab9a84fd13bp-4, -0x1.173ec677de1d9p-4, -0x1.1c52c2c256784p-4, -0x1.22d98e79039e8p-4, -0x1.2ac421e675963p-4, -0x1.3402a08686471p-4, -0x1.3e84867d8a5cbp-4, -0x1.4a38d193ddca6p-4, -0x1.570e266ecc372p-4, -0x1.64f2f1c9bd846p-4, -0x1.73d58691a3be7p-4, -0x1.83a438779ef0ep-4, -0x1.944d73e6793e5p-4, -0x1.a5bfd2dc720a1p-4, -0x1.b7ea2fa0f2f4dp-4, -0x1.cabbb4af28576p-4, -0x1.de23eaf573b2ep-4, -0x1.f212c58ac0a99p-4, -0x1.033c56104bfc7p-3, -0x1.0da3419588b58p-3, -0x1.1836d99cf8693p-3, -0x1.22f016f2abbe3p-3, -0x1.2dc83956db257p-3, -0x1.38b8c8c6ed5c2p-3, -0x1.43bb968b2d3afp-3, -0x1.4ecabddedbcd9p-3, -0x1.59e0a3dc87323p-3, -0x1.64f7f77030e57p-3, -0x1.700bb05baf171p-3, -0x1.7b170edc4b6b8p-3, -0x1.861599ea98068p-3, -0x1.91031e3b25736p-3, -0x1.9bdbaca53cddp-3, -0x1.a69b98202e192p-3, -0x1.b13f741dce775p-3, -0x1.bbc412c9b2fbdp-3, -0x1.c626824ca2973p-3, -0x1.d0640b4d99613p-3, -0x1.da7a2eb5627b6p-3, -0x1.e466a2fbd9924p-3, -0x1.ee27526f382c7p-3, -0x1.f7ba58e4583bdp-3, -0x1.008f00a689da2p-2, -0x1.052861d9fd39bp-2, -0x1.09a8a17d2e775p-2, -0x1.0e0f255a0c965p-2, -0x1.125b669e9f8b1p-2, -0x1.168cf0b979dd4p-2, -0x1.1aa360531cfebp-2, -0x1.1e9e627443ee3p-2, -0x1.227db388e3628p-2, -0x1.26411e586cbd3p-2, -0x1.29e87b3bf879p-2, -0x1.2d73af438727fp-2, -0x1.30e2ab43dfd29p-2, -0x1.34356b1d9714ep-2, -0x1.376bf5046332bp-2, -0x1.3a8658a438948p-2, -0x1.3d84ae6d0665ep-2, -0x1.406716fba5ae5p-2, -0x1.432dba6857d21p-2, -0x1.45d8c7978d22dp-2, -0x1.486873b2d2fep-2, -0x1.4adcf9a12477cp-2, -0x1.4d36996d0d73ap-2, -0x1.4f7597bfaa49p-2, -0x1.519a3d76fd236p-2, -0x1.53a4d7336279p-2, -0x1.5595b4db1fcb6p-2, -0x1.576d293700834p-2, -0x1.592b89a10277dp-2, -0x1.5ad12da737a41p-2, -0x1.5c5e6eacc4132p-2, -0x1.5dd3a7a0337e1p-2, -0x1.5f3134bf8a454p-2, -0x1.6077735328196p-2, -0x1.61a6c1663b6fep-2, -0x1.62bf7d90cc20ap-2, -0x1.63c206cedea4fp-2, -0x1.64aebc505f477p-2, -0x1.6585fd450de74p-2, -0x1.664828b5600e6p-2, -0x1.66f59d67ae463p-2, -0x1.678eb9c306029p-2, -0x1.6813dbabf7cb1p-2, -0x1.68856067ddb29p-2, -0x1.68e3a48b58d9fp-2, -0x1.692f03ebe77a1p-2, -0x1.6967d98bb28bdp-2, -0x1.698e7f85a0ed8p-2, -0x1.69a34f01438f2p-2, -0x1.69a6a02d8d0c3p-2, -0x1.6998ca39a8909p-2, -0x1.697a2349e2e84p-2, -0x1.694b006f8d4cap-2, -0x1.690bb5a6eef28p-2, -0x1.68bc95d8892cbp-2, -0x1.685df2d768da7p-2, -0x1.67f01d5d664fbp-2, -0x1.6773650a531afp-2, -0x1.66e8186731558p-2, -0x1.664e84eb3a11ap-2, -0x1.65a6f6fe47472p-2, -0x1.64f1b9f9d3cacp-2, -0x1.642f182bee02fp-2, -0x1.635f5adcae0bp-2, -0x1.6282ca54f14b7p-2, -0x1.6199ade36efacp-2, -0x1.60a44be025861p-2, -0x1.5fa2e9b0b5793p-2, -0x1.5e95cbce564bbp-2, -0x1.5d7d35ccdd9efp-2, -0x1.5c596a60f603ep-2, -0x1.5b2aab649ca14p-2, -0x1.59f139dbcde91p-2, -0x1.58ad55f9f9188p-2, -0x1.575f3f282414ep-2, -0x1.5607340b382e9p-2, -0x1.54a57288ec698p-2, -0x1.533a37cbf62bfp-2, -0x1.51c5c0489c717p-2, -0x1.504847c1a3651p-2, -0x1.4ec2094d7911ep-2, -0x1.4d333f5b1de9p-2, -0x1.4b9c23b5dc7dfp-2, -0x1.49fcef88adb3cp-2, -0x1.4855db61de71p-2, -0x1.46a71f36c4b97p-2, -0x1.44f0f2678f9aep-2, -0x1.43338bc2c8611p-2, -0x1.416f2187d27fdp-2, -0x1.3fa3e96939cafp-2, -0x1.3dd2188f2dfadp-2, -0x1.3bf9e399c5e54p-2, -0x1.3a1b7ea37a211p-2, -0x1.38371d434823dp-2, -0x1.364cf28e3a903p-2, -0x1.345d311889b9p-2, -0x1.32680af6d687bp-2, -0x1.306db1bf5c96dp-2, -0x1.2e6e568b0745fp-2, -0x1.2c6a29f681157p-2, -0x1.2a615c22e787fp-2, -0x1.28541cb60dfc2p-2, -0x1.26429adaae0d5p-2, -0x1.242d05409e1cdp-2, -0x1.22138a1cfc6bcp-2, -0x1.1ff6572a44377p-2, -0x1.1dd599a855a3cp-2, -0x1.1bb17e5c40f49p-2, -0x1.198a318fcc49cp-2, -0x1.175fdf10f8ea6p-2, -0x1.1532b2318b33bp-2, -0x1.1302d5c6800f8p-2, -0x1.10d074277a0edp-2, -0x1.0e9bb72e32eadp-2, -0x1.0c64c835cdcbep-2, -0x1.0a2bd019fee74p-2, -0x1.07f0f73637827p-2, -0x1.05b46564d3493p-2, -0x1.037641fe4a78ap-2, -0x1.0136b3d86e295p-2, -0x1.fdebc28b55816p-3, -0x1.f967e028992b7p-3, -0x1.f4e20b1b3216ap-3, -0x1.f05a8ce9ba387p-3, -0x1.ebd1ae0ce2b23p-3, -0x1.e747b5edac2dcp-3, -0x1.e2bceae3de8f3p-3, -0x1.de3192343a482p-3, -0x1.d9a5f00f89f8p-3, -0x1.d51a479109676p-3, -0x1.d08edabd50743p-3, -0x1.cc03ea810a188p-3, -0x1.c779b6afc796fp-3, -0x1.c2f07e02eeebbp-3, -0x1.be687e1894212p-3, -0x1.b9e1f3725fd66p-3, -0x1.b55d19747f72cp-3, -0x1.b0da2a64cb00cp-3, -0x1.ac595f6a1eef8p-3, -0x1.a7daf08bfa6f6p-3, -0x1.a35f14b2561bp-3, -0x1.9ee601a56f2fep-3, -0x1.9a6fec0d8758cp-3, -0x1.95fd0772903c1p-3, -0x1.918d863bf958dp-3, -0x1.8d2199b0cd0d4p-3, -0x1.88b971f81862ap-3, -0x1.84553e198419ep-3, -0x1.7ff52bfe00325p-3, -0x1.7b9968704e025p-3, -0x1.77421f1d78b98p-3, -0x1.72ef7a9562fe5p-3, -0x1.6ea1a44b9766p-3, -0x1.6a58c4987b702p-3, -0x1.661502bac0153p-3, -0x1.61d684d8e6901p-3, -0x1.5d9d7002a2d9ap-3, -0x1.5969e832211d5p-3, -0x1.553c104d4dd12p-3, -0x1.51140a2757dbep-3, -0x1.4cf1f682880d7p-3, -0x1.48d5f5126c279p-3, -0x1.44c0247e20af6p-3, -0x1.40b0a26286849p-3, -0x1.3ca78b5448f8p-3, -0x1.38a4fae1c5199p-3, -0x1.34a90b950a884p-3, -0x1.30b3d6f629a9bp-3, -0x1.2cc5758de4664p-3, -0x1.28ddfee8a29fap-3, -0x1.24fd89996b0dcp-3, -0x1.21242b3cb648ap-3, -0x1.1d51f87b00bafp-3, -0x1.1987050b35e0bp-3, -0x1.15c363b52ee03p-3, -0x1.1207265489184p-3, -0x1.0e525ddbd4a54p-3, -0x1.0aa51a581675ap-3, -0x1.06ff6af44de38p-3, -0x1.03615dfcd71efp-3, -0x1.ff9601c4f5d28p-4, -0x1.f878c07a9151p-4, -0x1.f16b0f9ec30d7p-4, -0x1.ea6d0510105a7p-4, -0x1.e37eb50def7f8p-4, -0x1.dca032403ab6cp-4, -0x1.d5d18dbee2806p-4, -0x1.cf12d71983cfdp-4, -0x1.c8641c5e75016p-4, -0x1.c1c56a2137ff9p-4, -0x1.bb36cb8090ee2p-4, -0x1.b4b84a2cb1f17p-4, -0x1.ae49ee6dc2704p-4, -0x1.a7ebbf2b20dp-4, -0x1.a19dc1f30a399p-4, -0x1.9b5ffb02950d8p-4, -0x1.95326d4d495a9p-4, -0x1.8f151a84512fap-4, -0x1.8908031d0f589p-4, -0x1.830b26575cbdp-4, -0x1.7d1e8243bb046p-4, -0x1.774213c9cb7b2p-4, -0x1.7175d6af2dc3dp-4, -0x1.6bb9c59eba2f9p-4, -0x1.660dda30089d8p-4, -0x1.60720cef2a5e5p-4, -0x1.5ae655645c2d6p-4, -0x1.556aaa1b49dc5p-4, -0x1.4fff00a95a4bcp-4, -0x1.4aa34db32199cp-4, -0x1.455784f17bb3fp-4, -0x1.401b99371f118p-4, -0x1.3aef7c773ad3fp-4, -0x1.35d31fcd31b9p-4, -0x1.30c67384decb8p-4, -0x1.2bc96722935c5p-4, -0x1.26dbe969cea51p-4, -0x1.21fde8626fed3p-4, -0x1.1d2f515cce54ap-4, -0x1.187010f5f3a01p-4, -0x1.13c0131cc646cp-4, -0x1.0f1f4318553dfp-4, -0x1.0a8d8b8ef929bp-4, -0x1.060ad68dc9a46p-4, -0x1.01970d8fe8a7ap-4, -0x1.fa64330a67b4cp-5, -0x1.f1b7c5afe198dp-5, -0x1.e928a2e2b26ep-5, -0x1.e0b6997a87e52p-5, -0x1.d861775aa1af4p-5, -0x1.d0290978b32c6p-5, -0x1.c80d1be574d04p-5, -0x1.c00d79d7b3116p-5, -0x1.b829edb9e89bep-5, -0x1.b06241399f18dp-5, -0x1.a8b63d56f324fp-5, -0x1.a125aa7297027p-5, -0x1.99b0505893127p-5, -0x1.9255f6471fc5dp-5, -0x1.8b1662f19039ap-5, -0x1.83f15c80c7bb9p-5, -0x1.7ce6a8936d285p-5, -0x1.75f60c401ffb2p-5, -0x1.6f1f4c1c0d48ap-5, -0x1.68622c46c2a84p-5, -0x1.61be707b0a454p-5, -0x1.5b33dc22dfa4p-5, -0x1.54c2326b824fbp-5, -0x1.4e6936562a28fp-5, -0x1.4828aac2682bep-5, -0x1.4200527074206p-5, -0x1.3befeffbcbd69p-5, -0x1.35f745d05b74dp-5, -0x1.3016161e6a2b6p-5, -0x1.2a4c22d1fb168p-5, -0x1.24992d923b3abp-5, -0x1.1efcf7cbbae24p-5, -0x1.197742c5d04d9p-5, -0x1.1407cfc07218cp-5, -0x1.0eae601590047p-5, -0x1.096ab5571a0aap-5, -0x1.043c9163233b9p-5, -0x1.fe476cd26d159p-6, -0x1.f43fcdbe3932bp-6, -0x1.ea61cace0476ep-6, -0x1.e0ace95a31b82p-6, -0x1.d720ae8a5cdd7p-6, -0x1.cdbc9f238cc1fp-6, -0x1.c4803f7a12f4dp-6, -0x1.bb6b139061b0dp-6, -0x1.b27c9f6290f7dp-6, -0x1.a9b46753e6687p-6, -0x1.a111f0a9af24ep-6, -0x1.9894c1fa5cfbap-6, -0x1.903c637717e4ap-6, -0x1.88085efc9a6cep-6, -0x1.7ff83fe3297a1p-6, -0x1.780b9292fa72cp-6, -0x1.7041e3f168ecbp-6, -0x1.689ac0c4afef6p-6, -0x1.6115b53238923p-6, -0x1.59b24c778fe36p-6, -0x1.527010f53e3ffp-6, -0x1.4b4e8c917edaap-6, -0x1.444d496787c54p-6, -0x1.3d6bd2a50b2f9p-6, -0x1.36a9b56c5a5cap-6, -0x1.3006818b48129p-6, -0x1.2981c9dd7693cp-6, -0x1.231b243cf89a1p-6, -0x1.1cd228fb6b2c1p-6, -0x1.16a671f754f76p-6, -0x1.1097997a4a794p-6, -0x1.0aa5391953e18p-6, -0x1.04cee8cdd124dp-6, -0x1.fe287ce91f7fbp-7, -0x1.f2e99baca8bdp-7, -0x1.e7e05293c90f9p-7, -0x1.dd0bc5c199996p-7, -0x1.d26b1bdd5560ep-7, -0x1.c7fd813e3096dp-7, -0x1.bdc22a8b8b207p-7, -0x1.b3b85641c837ep-7, -0x1.a9df4ccafab8ap-7, -0x1.a0365f19bc32cp-7, -0x1.96bce3efeb8fdp-7, -0x1.8d723438ab1e2p-7, -0x1.8455a716103f1p-7, -0x1.7b668e5d61644p-7, -0x1.72a434325b181p-7, -0x1.6a0dda432d725p-7, -0x1.61a2badf7af64p-7, -0x1.59620bceba33cp-7, -0x1.514b02798c832p-7, -0x1.495cd8b749a29p-7, -0x1.4196d16d25a56p-7, -0x1.39f83c2b42f02p-7, -0x1.328077179f889p-7, -0x1.2b2eeebbab089p-7, -0x1.24031ba415944p-7, -0x1.1cfc7e243b05ep-7, -0x1.161a98e7ca95ep-7, -0x1.0f5ceb39a1e81p-7, -0x1.08c2ebfc048bdp-7, -0x1.024c06356d119p-7, -0x1.f7ef2fa3447b2p-8, -0x1.eb89e5b14c5e2p-8, -0x1.df66c1e208454p-8, -0x1.d384514939648p-8, -0x1.c7e1272825323p-8, -0x1.bc7be941d537ap-8, -0x1.b1535a2807b84p-8, -0x1.a6665fd704e5fp-8, -0x1.9bb4057b6039dp-8, -0x1.913b77f787193p-8, -0x1.86fbfd8f73e8ap-8, -0x1.7cf4e9f15a3e6p-8, -0x1.73259076fa713p-8, -0x1.698d36d8c2fp-8, -0x1.602b0a7ff4266p-8, -0x1.56fe1a327f1bdp-8, -0x1.4e05550e70721p-8, -0x1.453f8edcab892p-8, -0x1.3cab88e8422ccp-8, -0x1.3447fddf52695p-8, -0x1.2c13aeed151e5p-8, -0x1.240d702eb54a7p-8, -0x1.1c3432d456064p-8, -0x1.14870b9c067e4p-8, -0x1.0d0534ccf5cb2p-8, -0x1.05ae0b6b23102p-8, -0x1.fd020ff46bf86p-9, -0x1.eefb678a7fbc9p-9, -0x1.e1473864d98fap-9, -0x1.d3e48c13663b5p-9, -0x1.c6d24558b7057p-9, -0x1.ba0f11db59409p-9, -0x1.ad996529eb797p-9, -0x1.a16f7d5e9dc25p-9, -0x1.958f6ffbe87fdp-9, -0x1.89f73c5ef24f5p-9, -0x1.7ea4e09462a4p-9, -0x1.73966d6d6093cp-9, -0x1.68ca1731cdd9ap-9, -0x1.5e3e4114b62b4p-9, -0x1.53f182839ecb5p-9, -0x1.49e2a66b34356p-9, -0x1.4010a5542cfd6p-9, -0x1.367a9bad41512p-9, -0x1.2d1fbd9048c85p-9, -0x1.23ff492cdf7f5p-9, -0x1.1b1878f9c1398p-9, -0x1.126a770c10675p-9, -0x1.09f4533a49ccbp-9, -0x1.01b4fda5d33c5p-9, -0x1.f3568d6ee03c4p-10, -0x1.e3abc9662e2edp-10, -0x1.d466fc5711a3ep-10, -0x1.c5856f6b9e78p-10, -0x1.b70483d43739fp-10, -0x1.a8e1c7b4a3eeap-10, -0x1.9b1afe3e535e1p-10, -0x1.8dae19c3d7e5ep-10, -0x1.80992b4b04631p-10, -0x1.73da4ea3c0fc6p-10, -0x1.676f9b605c176p-10, -0x1.5b5721a9aed9ep-10, -0x1.4f8ef54447cbp-10, -0x1.441541be0508dp-10, -0x1.38e85d3392ef8p-10, -0x1.2e06cf7a2cafbp-10, -0x1.236f48f0354cdp-10, -0x1.19208ba9da99p-10, -0x1.0f195019de6fep-10, -0x1.055831455d9ddp-10, -0x1.f7b754de5281p-11, -0x1.e544521e2caf5p-11, -0x1.d35458226380cp-11, -0x1.c1e4c2a2abd73p-11, -0x1.b0f36151374d8p-11, -0x1.a07e54fb6a225p-11, -0x1.9083b8281ada9p-11, -0x1.8101307bc9316p-11, -0x1.71f39428565d8p-11, -0x1.6356cba08b7ffp-11, -0x1.55260479d3803p-11, -0x1.475c2dae13665p-11, -0x1.39f4995d592d3p-11, -0x1.2ceb8ed535424p-11, -0x1.203e9865b8a07p-11, -0x1.13ec6de090275p-11, -0x1.07f481e38113ep-11, -0x1.f8acc01ee8c86p-12, -0x1.e222444956a01p-12, -0x1.cc4673eae6ae4p-12, -0x1.b7154ab0568f1p-12, -0x1.a28ad6411626dp-12, -0x1.8ea435ace4492p-12, -0x1.7b6012b8f5111p-12, -0x1.68be5045ef448p-12, -0x1.56bf09c6ddad7p-12, -0x1.45614894bcae4p-12, -0x1.34a1e82122087p-12, -0x1.247b037ad7d1ap-12, -0x1.14e412111620dp-12, -0x1.05d2afda9d009p-12, -0x1.ee77e8eb93fcp-13, -0x1.d22c3f576bb8p-13, -0x1.b6b4629ccafe6p-13, -0x1.9c09b1551c29p-13, -0x1.822c7784edd7cp-13, -0x1.69210e1e350bfp-13, -0x1.50ebb2349e7edp-13, -0x1.398d0eee2a655p-13, -0x1.2301240f2f366p-13, -0x1.0d40d7da7164p-13, -0x1.f08a16fa4d1cfp-14, -0x1.c812d613b744dp-14, -0x1.a11b393b49b43p-14, -0x1.7ba8c5687176dp-14, -0x1.57c26fc18e9aap-14, -0x1.356b2b24fbbb1p-14, -0x1.149e4f69f3a07p-14, -0x1.ea9dd6ed9028dp-15, -0x1.aed22347421cap-15, -0x1.75a6d24cd4de5p-15, -0x1.3ee0cb1338a89p-15, -0x1.0a4054624bc22p-15, -0x1.af11e438cbf68p-16, -0x1.4d19de397d07p-16, -0x1.dcde24d534497p-17, -0x1.263b3c30cab6bp-17, -0x1.da9dc436d8657p-19, 0x1.8c093ee73271dp-20, 0x1.a43ad1f072b85p-18, 0x1.6b577cde69ea2p-17, 0x1.fd89e562ea664p-17, 0x1.44889eedf95acp-16, 0x1.87122547c6de7p-16, 0x1.c66111b79bc44p-16, 0x1.012fc04481bf5p-15, 0x1.1d7b0017fedbp-15, 0x1.38106e32965e6p-15, 0x1.50fbeffcda444p-15, 0x1.685318b7d8a71p-15, 0x1.7e2d4f8d34c45p-15, 0x1.929e837badba1p-15, 0x1.a5b74728273c9p-15, 0x1.b789772a3ea68p-15, 0x1.c82d4b45f475fp-15, 0x1.d7c21b6c7e414p-15, 0x1.e669063ad83ccp-15, 0x1.f43bee52111e5p-15, 0x1.00a2ff75c5bc1p-14, 0x1.06c15418200eap-14, 0x1.0c72315bb978dp-14, 0x1.11af85194a17fp-14, 0x1.1677bbf43413fp-14, 0x1.1aceb4617a533p-14, 0x1.1ebbd442f99dep-14, 0x1.2245747299d4dp-14, 0x1.256c2f22c7409p-14, 0x1.282b2b1dbc2b9p-14, 0x1.2a7e48b1658e1p-14, 0x1.2c67e12295cb1p-14, 0x1.2df09e533a2d8p-14, 0x1.2f230eb8d7b67p-14, 0x1.3007add6898f9p-14, 0x1.30a375322cd8ep-14, 0x1.30f8236749646p-14, 0x1.3105109384797p-14, 0x1.30c864855c024p-14, 0x1.3040ea1863686p-14, 0x1.2f7024080dcb5p-14, 0x1.2e5bce25402bep-14, 0x1.2d0e397ab92a9p-14, 0x1.2b94bb90bb2a2p-14, 0x1.29fafd41d59edp-14, 0x1.2844b9ec7ae7dp-14, 0x1.266ba9b2264d8p-14, 0x1.246547761743ap-14, 0x1.222c876651be4p-14, 0x1.1fc665e819f05p-14, 0x1.1d3b7744761b3p-14, 0x1.1a8d4879539b2p-14, 0x1.17b59ce29c088p-14, 0x1.14b0179b9cc01p-14, 0x1.118085d1d723ep-14, 0x1.0e2fb7963f6f2p-14, 0x1.0ac59334a7767p-14, 0x1.07467b1c1a195p-14, 0x1.03b401d6880f3p-14, 0x1.000e921b825c5p-14, 0x1.f8ace83d6e207p-15, 0x1.f1177d9f5b579p-15, 0x1.e95b2a26f3faap-15, 0x1.e17333b7cd0a9p-15, 0x1.d958fa5405c95p-15, 0x1.d1075dc2a5aa4p-15, 0x1.c87f1d81f68ap-15, 0x1.bfcba7ba98ab6p-15, 0x1.b7059b67ef5f6p-15, 0x1.ae48d2b0359bep-15, 0x1.a59d296c80b2ap-15, 0x1.9ced9df43d73p-15, 0x1.94214f9866e04p-15, 0x1.8b3934f514c25p-15, 0x1.82498074a73c9p-15, 0x1.7958fe5fbee41p-15, 0x1.70597b4a45acap-15, 0x1.67407ed767681p-15, 0x1.5e14a56ab5b65p-15, 0x1.54e368105a754p-15, 0x1.4bb600eaa8aa4p-15, 0x1.428fa744ddb87p-15, 0x1.3970454390ffbp-15, 0x1.3056f26d858d2p-15, 0x1.274331cb2b803p-15, 0x1.1e355e5f2b397p-15, 0x1.152e95f23681fp-15, 0x1.0c302057c71f6p-15, 0x1.033a67ba9fd0ap-15, 0x1.f498259829ffcp-16, 0x1.e2c42bae694a7p-16, 0x1.d0f21365edde8p-16, 0x1.bf1d9993b0fbep-16, 0x1.ad48264701a86p-16, 0x1.9b815f496d686p-16, 0x1.89eaf079ddea6p-16, 0x1.7898fa289ca29p-16, 0x1.67728f4bc7c4cp-16, 0x1.5659f37211f73p-16, 0x1.455e6c4b886c9p-16, 0x1.3498b8de4c256p-16, 0x1.23f9acc13e9f8p-16, 0x1.13699f4cd604bp-16, 0x1.02ed6ad9f56d8p-16, 0x1.e52cabab3d038p-17, 0x1.c4dc177b57bdfp-17, 0x1.a4ebcce471cecp-17, 0x1.85587cd9279abp-17, 0x1.661efa77af41ap-17, 0x1.473dbcfc5887ap-17, 0x1.28b48d0fa53adp-17, 0x1.0a83efac0d0a2p-17, 0x1.d959afe3fecfdp-18, 0x1.9e614374e1417p-18, 0x1.64220a4f9f329p-18, 0x1.2a9f3e518b2a6p-18, 0x1.e3b4255531937p-19, 0x1.73a0ddb5594b1p-19, 0x1.04fc7896abab8p-19, 0x1.2f7ed2570e531p-20, 0x1.5f23c9680f0a5p-22, -0x1.f5710e981aab4p-22, -0x1.4ff971182f433p-20, -0x1.0faf41c8933d6p-19, -0x1.758df1b2169f2p-19, -0x1.d9e0b4e4be92ap-19, -0x1.1e4cfd92a9408p-18, -0x1.4ec14a410e1fdp-18, -0x1.7e7b8140c380dp-18, -0x1.ad98d056ec412p-18, -0x1.dbfe6f80a753ap-18, -0x1.04cadd59c31d2p-17, -0x1.1b2e28cde6df6p-17, -0x1.312b8d658e5d7p-17, -0x1.46c53f92db3bp-17, -0x1.5bfc8a8b8bfb4p-17, -0x1.70d21c3d70894p-17, -0x1.85465b5cc4b32p-17, -0x1.99599c1b6971p-17, -0x1.ad0c389a4bd4dp-17, -0x1.c05e963673fe5p-17, -0x1.d3511f134dc59p-17, -0x1.e5e437ad63093p-17, -0x1.f81839f716da7p-17, -0x1.04f6be824a783p-16, -0x1.0db23438bc4acp-16, -0x1.163ec2b199a7ep-16, -0x1.1e9cba0907e0bp-16, -0x1.26cc64ccefa9ep-16, -0x1.2ece1d70d30f7p-16, -0x1.36a2a2793e783p-16, -0x1.3e4ac8baf5046p-16, -0x1.45c61ec51924bp-16, -0x1.4d13f0ed63b9p-16, -0x1.5435021310c22p-16, -0x1.5b2a697968c4ap-16, -0x1.61f4db3ba0623p-16, -0x1.6893bb57b83f2p-16, -0x1.6f073f2ef0505p-16, -0x1.755064d55cde2p-16, -0x1.7b6fd003505dp-16, -0x1.8165d4f3f3826p-16, -0x1.8732b907c4c57p-16, -0x1.8cd6c9ebc7a4dp-16, -0x1.92526166ae6a1p-16, -0x1.97a5e78a2cdbap-16, -0x1.9cd1d5591006bp-16, -0x1.a1d6a7fdf1478p-16, -0x1.a6b4c020972b1p-16, -0x1.ab6c770dbd6ccp-16, -0x1.affe550b7a6e1p-16, -0x1.b46ad9a47a491p-16, -0x1.b8b24a7b2e8dp-16, -0x1.bcd4f7f04467ep-16, -0x1.c0d360f925f8ap-16, -0x1.c4ae12989c67ap-16, -0x1.c865a3101fec6p-16, -0x1.cbfaa95c69c77p-16, -0x1.cf6da33580ab8p-16, -0x1.d2bf106ef79d7p-16, -0x1.d5efb4882217fp-16, -0x1.d8ffa0c7574dcp-16, -0x1.dbebacfcc6082p-16, -0x1.deb290607a293p-16, -0x1.e15c320d7860ep-16, -0x1.e3eca11af8584p-16, -0x1.e65f0e2002305p-16, -0x1.e8adca5b4e952p-16, -0x1.eadd8248a04a5p-16, -0x1.ecf12fa60575dp-16, -0x1.eee8bd26aeecfp-16, -0x1.f0c3eb64c317dp-16, -0x1.f282d958bd9c5p-16, -0x1.f425da8744528p-16, -0x1.f5ad55b7f4578p-16, -0x1.f719b77cce1a4p-16, -0x1.f86b6e3ba3ebcp-16, -0x1.f9a2e97d52395p-16, -0x1.fac099c32cd6bp-16, -0x1.fbc4efe4e7e82p-16, -0x1.fcb05bcce4edep-16, -0x1.fd834aabbb076p-16, -0x1.fe3e24d24e30ap-16, -0x1.fee14be3067cap-16, -0x1.ff6d1b2daaa2fp-16, -0x1.ffe1ec7033dc8p-16, -0x1.002010692ab95p-15, -0x1.004414990fa8ap-15, -0x1.005d43307b366p-15, -0x1.006bde10c3685p-15, -0x1.00701b997a09ep-15, -0x1.006a1a9c63977p-15, -0x1.0059f8d1b2d19p-15, -0x1.00405644b3f28p-15, -0x1.001d05a37f698p-15, -0x1.ffdd9edac7d8ap-16, -0x1.ff6c91add823fp-16, -0x1.feee129cc9fddp-16, -0x1.fe5d5c384f01dp-16, -0x1.fdb7cb707d512p-16, -0x1.fd01a24fdb851p-16, -0x1.fc3b81fb7bd17p-16, -0x1.fb65105780bcdp-16, -0x1.fa7e59ea7105bp-16, -0x1.f987a4e3a07fap-16, -0x1.f8814721450f5p-16, -0x1.f76b984f32551p-16, -0x1.f646eea4032cfp-16, -0x1.f5139e8f59466p-16, -0x1.f3d1fb0d18924p-16, -0x1.f28255fbafcc3p-16, -0x1.f1250049fa95dp-16, -0x1.efba49f85a7d6p-16, -0x1.ee4281ff51f49p-16, -0x1.ecbdf625e5282p-16, -0x1.eb2cf2c82fb15p-16, -0x1.e98fc28d46611p-16, -0x1.e7e6ae25d4459p-16, -0x1.e631fc920cf9cp-16, -0x1.e471f42a5a90bp-16, -0x1.e2a6dc5cbc26dp-16, -0x1.e0d0ff4ee1acfp-16, -0x1.def0aafef4d5fp-16, -0x1.dd062dcd74a6dp-16, -0x1.db11c7f6d4257p-16, -0x1.d913a9b501cddp-16, -0x1.d70c0b958844ep-16, -0x1.d4fb39329efc9p-16, -0x1.d2e1a5be1537cp-16, -0x1.d0bf91bf620e3p-16, -0x1.ce94713469a95p-16, -0x1.cc617c4b658dcp-16, -0x1.ca26569f48853p-16, -0x1.c7e3434bdc72p-16, -0x1.c599015b092d6p-16, -0x1.c3479644b41dap-16, -0x1.c0ef204f2e9dp-16, -0x1.be8fd48707379p-16, -0x1.bc29ec1306e31p-16, -0x1.b9bd9f674e2fep-16, -0x1.b74b25ae5dea3p-16, -0x1.b4d2b4ee13785p-16, -0x1.b25482335f65fp-16, -0x1.afd0c1ab71808p-16, -0x1.ad47a6a898e0bp-16, -0x1.aab963988b0c3p-16, -0x1.a8262a0778fd2p-16, -0x1.a58e2a9e723eap-16, -0x1.a2f1952398159p-16, -0x1.a050988b6f354p-16, -0x1.9dab6309ffbadp-16, -0x1.9b022222f108cp-16, -0x1.985502cbd5fe8p-16, -0x1.95a4319a8e9f1p-16, -0x1.92efdadb26386p-16, -0x1.90382a4ccfea9p-16, -0x1.8d7d4a8383d93p-16, -0x1.8abf646023211p-16, -0x1.87fe9f057c285p-16, -0x1.853b202a7d996p-16, -0x1.82750d021263p-16, -0x1.7fac8d291517ap-16, -0x1.7ce1ce75b0c8dp-16, -0x1.7a14ffa10c7eep-16, -0x1.77463b5bb5783p-16, -0x1.74757510bfefdp-16, -0x1.71a2d4e8fa39ep-16, -0x1.6eceea1ae1139p-16, }}, 
      {{0x1.38e37ce803af4p-2, 0x1.b421dba2e74d3p-2, 0x1.78a320ba31589p-2, 0x1.9e4b07895b0a6p-3, -0x1.66552307eb911p-11, -0x1.88bc9772a7574p-3, -0x1.5fed5388798p-2, -0x1.c92bbdc2790fdp-2, -0x1.00cc2047d1648p-1, -0x1.089ab4c8d8cf2p-1, -0x1.015dd00453f31p-1, -0x1.e11cebd4a9944p-2, -0x1.b615f11da5986p-2, -0x1.897f6fe2be9e7p-2, -0x1.611e1fb76237fp-2, -0x1.40be75ecec03dp-2, -0x1.2a78c001bc893p-2, -0x1.1f05fc998bc3ep-2, -0x1.1e16b11b6227fp-2, -0x1.26a319c63181ap-2, -0x1.373038fdc335p-2, -0x1.4e080b7da43dep-2, -0x1.6964e8a951203p-2, -0x1.87911ff8deedp-2, -0x1.a6fc6f7d67689p-2, -0x1.c649230c61f83p-2, -0x1.e452a69fc99e1p-2, -0x1.001798028595ep-1, -0x1.0c96f46c48c6fp-1, -0x1.1769611344f3ep-1, -0x1.20686d704d645p-1, -0x1.278215477794fp-1, -0x1.2cb579f4c88afp-1, -0x1.300fae98675e8p-1, -0x1.31a8b6fc8c1cp-1, -0x1.31a0cd5f044c9p-1, -0x1.301dfa27d9b3ap-1, -0x1.2d4a017e2889cp-1, -0x1.2950a5551b0e6p-1, -0x1.245e3728baf51p-1, -0x1.1e9e72a0de02cp-1, -0x1.183b9921963fcp-1, -0x1.115dc5f77a436p-1, -0x1.0a2a72e2b6adbp-1, -0x1.02c4253fcdc9ap-1, -0x1.f6947966ed807p-2, -0x1.e7b1b9ff71837p-2, -0x1.d911dae6c9cabp-2, -0x1.cae0525169d2fp-2, -0x1.bd4277e8ebc6cp-2, -0x1.b057d12e8d644p-2, -0x1.a43a6ab5e0d4ap-2, -0x1.98ff399bf32b3p-2, -0x1.8eb6818bd85f5p-2, -0x1.856c3c693c69ep-2, -0x1.7d2881664cf6cp-2, -0x1.75efe9d61dfc7p-2, -0x1.6fc3f277afd86p-2, -0x1.6aa358554476cp-2, -0x1.668a70a18ac9ap-2, -0x1.63737b2e84b4cp-2, -0x1.6156ef47bed17p-2, -0x1.602bc2de73412p-2, -0x1.5fe7ac0dd24bbp-2, -0x1.607f5d11f1354p-2, -0x1.61e6badf3072bp-2, -0x1.64110e897c5e5p-2, -0x1.66f131bafc46bp-2, -0x1.6a79b680a0b61p-2, -0x1.6e9d0aa4f518cp-2, -0x1.734d96f2750c9p-2, -0x1.787dda936a208p-2, -0x1.7e2082df607a3p-2, -0x1.84287fe137537p-2, -0x1.8a8915c35ceecp-2, -0x1.9135eb887c05cp-2, -0x1.9823171d7008ap-2, -0x1.9f45273bba2f1p-2, -0x1.a6912b136dfbfp-2, -0x1.adfcb8390753fp-2, -0x1.b57deeb7cf489p-2, -0x1.bd0b7bdb77f34p-2, -0x1.c49c9b6427a1ep-2, -0x1.cc2917d24819p-2, -0x1.d3a94975e86b3p-2, -0x1.db1614bd96584p-2, -0x1.e268e7a7b96bcp-2, -0x1.e99bb6c3f484ap-2, -0x1.f0a8f93a9905ep-2, -0x1.f78ba4ffeace7p-2, -0x1.fe3f2a2524ff2p-2, -0x1.025fb6fc0939fp-1, -0x1.0584633036ce8p-1, -0x1.088bfa329dep-1, -0x1.0b750f8b4bd18p-1, -0x1.0e3e67270dfbdp-1, -0x1.10e6f2b497d04p-1, -0x1.136dcef368cd7p-1, -0x1.15d2413389389p-1, -0x1.1813b4cd3b031p-1, -0x1.1a31b889b5cp-1, -0x1.1c2bfc54dfebdp-1, -0x1.1e024eef53a0ap-1, -0x1.1fb49b835c5aap-1, -0x1.2142e7a313f12p-1, -0x1.22ad512f0b20ap-1, -0x1.23f40c3bb025ap-1, -0x1.2517614e07823p-1, -0x1.2617ab854fa35p-1, -0x1.26f556d7874b1p-1, -0x1.27b0de86ed00fp-1, -0x1.284acb90cd3fcp-1, -0x1.28c3b337bbb34p-1, -0x1.291c35b9f5332p-1, -0x1.2954fcfd5501ep-1, -0x1.296ebb55da15dp-1, -0x1.296a2a797dc4fp-1, -0x1.29480a6e75bccp-1, -0x1.290920816bcf1p-1, -0x1.28ae366a7e823p-1, -0x1.28381975a8001p-1, -0x1.27a799a8d776ep-1, -0x1.26fd89120f10bp-1, -0x1.263abb2286f9ep-1, -0x1.256004008c521p-1, -0x1.246e37f37dcd4p-1, -0x1.23662ae8d243ep-1, -0x1.2248aff3ba0eap-1, -0x1.211698d2f921bp-1, -0x1.1fd0b5917c152p-1, -0x1.1e77d42e10ffcp-1, -0x1.1d0cc03ec64cfp-1, -0x1.1b9042a2a6fe9p-1, -0x1.1a0321461f371p-1, -0x1.18661ee7cd646p-1, -0x1.16b9fadbe581p-1, -0x1.14ff70dec62e6p-1, -0x1.133738f3b026cp-1, -0x1.1162074120f3cp-1, -0x1.0f808bee9edc6p-1, -0x1.0d93730e8cfecp-1, -0x1.0b9b6490a482fp-1, -0x1.0999043257e14p-1, -0x1.078cf16f8d3dap-1, -0x1.0577c77c889dfp-1, -0x1.035a1d47148fdp-1, -0x1.01348575b6f82p-1, -0x1.fe0f1ccc1e147p-2, -0x1.f9a78463069e1p-2, -0x1.f5334d6f949d2p-2, -0x1.f0b37b5258d5p-2, -0x1.ec29091d99a6fp-2, -0x1.e794e9abb3867p-2, -0x1.e2f807beea98bp-2, -0x1.de53462450e59p-2, -0x1.d9a77fd2b1819p-2, -0x1.d4f588098dc06p-2, -0x1.d03e2a75f14c4p-2, -0x1.cb822b5c704b3p-2, -0x1.c6c247c1b9cc2p-2, -0x1.c1ff359002b92p-2, -0x1.bd39a3be2bab5p-2, -0x1.b8723a7ac36d4p-2, -0x1.b3a99b58e1669p-2, -0x1.aee0617a7ecb3p-2, -0x1.aa1721b8cb75fp-2, -0x1.a54e6acddff79p-2, -0x1.a086c580746b2p-2, -0x1.9bc0b4cff5d9p-2, -0x1.96fcb61e32ff4p-2, -0x1.923b415772477p-2, -0x1.8d7cc91b0bae1p-2, -0x1.88c1bae4c0a8cp-2, -0x1.840a7f35e881fp-2, -0x1.7f5779bd002b1p-2, -0x1.7aa9097b5a3b5p-2, -0x1.75ff88ea7454cp-2, -0x1.715b4e219f381p-2, -0x1.6cbcaafb4aed9p-2, -0x1.6823ed3915d47p-2, -0x1.63915ea616b22p-2, -0x1.5f0545387acbbp-2, -0x1.5a7fe332c33c8p-2, -0x1.560177449378fp-2, -0x1.518a3caad136dp-2, -0x1.4d1a6b4e4a19bp-2, -0x1.48b237e130f29p-2, -0x1.4451d3fc146a5p-2, -0x1.3ff96e3a46bcbp-2, -0x1.3ba93255abf5p-2, -0x1.37614941b3bebp-2, -0x1.3321d9450a3bap-2, -0x1.2eeb061271ca8p-2, -0x1.2abcf0e117fabp-2, -0x1.2697b88446e53p-2, -0x1.227b798287246p-2, -0x1.1e684e2c02ec8p-2, -0x1.1a5e4eaf93d9fp-2, -0x1.165d912f940dfp-2, -0x1.126629d61801p-2, -0x1.0e782ae7f2447p-2, -0x1.0a93a4d808311p-2, -0x1.06b8a6598bcacp-2, -0x1.02e73c7175e1ep-2, -0x1.fe3ee50ec03dcp-3, -0x1.f6c2a4ebca742p-3, -0x1.ef59c93512445p-3, -0x1.e8045fca35fe3p-3, -0x1.e0c273cd357c1p-3, -0x1.d9940dbf1cb6bp-3, -0x1.d279339b6b897p-3, -0x1.cb71e8f2a0adp-3, -0x1.c47e2f03fc264p-3, -0x1.bd9e04d66f7a4p-3, -0x1.b6d16750ae76dp-3, -0x1.b01851507930ap-3, -0x1.a972bbc0f8828p-3, -0x1.a2e09db03a3fbp-3, -0x1.9c61ec63f9f5ap-3, -0x1.95f69b6dc6f36p-3, -0x1.8f9e9cbe7984p-3, -0x1.8959e0b8f75b4p-3, -0x1.83285644635bap-3, -0x1.7d09eadda1d5bp-3, -0x1.76fe8aa824f0fp-3, -0x1.7106207e2d396p-3, -0x1.6b2096007909dp-3, -0x1.654dd3a569dd7p-3, -0x1.5f8dc0c7a22b7p-3, -0x1.59e043b436304p-3, -0x1.544541b857e4cp-3, -0x1.4ebc9f2e7e232p-3, -0x1.49463f8b0fc5bp-3, -0x1.43e20568c866dp-3, -0x1.3e8fd294b1d16p-3, -0x1.394f88181d822p-3, -0x1.34210646acfabp-3, -0x1.2f042cc5872d6p-3, -0x1.29f8da98e144fp-3, -0x1.24feee2b9f6p-3, -0x1.201645590ebe1p-3, -0x1.1b3ebd76e102ep-3, -0x1.1678335dc4fefp-3, -0x1.11c283720bc85p-3, -0x1.0d1d89abf79fep-3, -0x1.0889219fbbac4p-3, -0x1.04052685203a2p-3, -0x1.ff22e67dd81adp-4, -0x1.f65bc4c43015p-4, -0x1.edb49c798552ep-4, -0x1.e52d21b9e0c9p-4, -0x1.dcc5082dd6ca4p-4, -0x1.d47c0316cb3c4p-4, -0x1.cc51c55ab55fcp-4, -0x1.c446018f9631p-4, -0x1.bc586a06b4bap-4, -0x1.b488b0d76f15cp-4, -0x1.acd687e9b1b9bp-4, -0x1.a541a0ffd06c3p-4, -0x1.9dc9adbfe2526p-4, -0x1.966e5fbcbd3ccp-4, -0x1.8f2f687eacb1dp-4, -0x1.880c798c0a2f1p-4, -0x1.810544719e2dp-4, -0x1.7a197acaa49a3p-4, -0x1.7348ce485ea28p-4, -0x1.6c92f0b925cd1p-4, -0x1.65f7940f2912dp-4, -0x1.5f766a66f4a7ep-4, -0x1.590f260de3c72p-4, -0x1.52c179887738fp-4, -0x1.4c8d179876328p-4, -0x1.4671b342b08f5p-4, -0x1.406effd451dc1p-4, -0x1.3a84b0e7d453ep-4, -0x1.34b27a69b596fp-4, -0x1.2ef8109d1c99ep-4, -0x1.295528207b024p-4, -0x1.23c975f21edb1p-4, -0x1.1e54af748efaep-4, -0x1.18f68a728ec0ap-4, -0x1.13aebd22c0e08p-4, -0x1.0e7cfe2af377p-4, -0x1.096104a3412edp-4, -0x1.045a88192e2ddp-4, -0x1.fed2812599d97p-5, -0x1.f519cd23c8946p-5, -0x1.eb8a662de482ap-5, -0x1.e223bf47c97adp-5, -0x1.d8e54c7cf5fcfp-5, -0x1.cfce82e4abc8fp-5, -0x1.c6ded8a5b9e71p-5, -0x1.be15c4fa30dfcp-5, -0x1.b572c03336f87p-5, -0x1.acf543bcecf95p-5, -0x1.a49cca225022ep-5, -0x1.9c68cf10bdd7dp-5, -0x1.9458cf5ae9d65p-5, -0x1.8c6c48fb3f9cap-5, -0x1.84a2bb15dd10fp-5, -0x1.7cfba5fa4ee21p-5, -0x1.75768b255c099p-5, -0x1.6e12ed42f36ecp-5, -0x1.66d050302d3dep-5, -0x1.5fae38fd458f7p-5, -0x1.58ac2def2ab21p-5, -0x1.51c9b680b0ad1p-5, -0x1.4b065b6342953p-5, -0x1.4461a67f3a822p-5, -0x1.3ddb22f42abddp-5, -0x1.37725d193c0f8p-5, -0x1.3126e27dc6c96p-5, -0x1.2af841ea11d54p-5, -0x1.24e60b5ff3d9ep-5, -0x1.1eefd01b02ba9p-5, -0x1.191522901b427p-5, -0x1.1355966c7838fp-5, -0x1.0db0c094ac421p-5, -0x1.08263723e8729p-5, -0x1.02b5916ba1894p-5, -0x1.fabccfe6e9aeep-6, -0x1.f040a8f202663p-6, -0x1.e5f5e3def8b5dp-6, -0x1.dbdbb8fd68746p-6, -0x1.d1f16303733e3p-6, -0x1.c8361f0a65413p-6, -0x1.bea92c8b7ea0ep-6, -0x1.b549cd5ca1685p-6, -0x1.ac1745ad00e47p-6, -0x1.a310dc01de5d2p-6, -0x1.9a35d933a4cddp-6, -0x1.9185886bea04ep-6, -0x1.88ff37240bfb2p-6, -0x1.80a23523b9c3p-6, -0x1.786dd47ecbd7cp-6, -0x1.70616991a8e08p-6, -0x1.687c4afc00b83p-6, -0x1.60bdd19a5e80ep-6, -0x1.5925587f1991ep-6, -0x1.51b23cebdc48cp-6, -0x1.4a63de4c80d83p-6, -0x1.43399e33f785bp-6, -0x1.3c32e05b067bdp-6, -0x1.354f0aa054587p-6, -0x1.2e8d850887235p-6, -0x1.27edb9bd1e299p-6, -0x1.216f1508ce4f2p-6, -0x1.1b110550ff05ep-6, -0x1.14d2fb0c5ec3fp-6, -0x1.0eb468b7e1733p-6, -0x1.08b4c2cbca233p-6, -0x1.02d37fb28475bp-6, -0x1.fa202f85fa455p-7, -0x1.eed40a7e3f4ap-7, -0x1.e3c188ac45064p-7, -0x1.d8e7a65220c8cp-7, -0x1.ce45639e8d311p-7, -0x1.c3d9c4b089a56p-7, -0x1.b9a3d19164ba4p-7, -0x1.afa29622c91e8p-7, -0x1.a5d52201cd2f5p-7, -0x1.9c3a8862a0718p-7, -0x1.92d1dfeb4e03p-7, -0x1.899a42949aa3fp-7, -0x1.8092cd976cf8bp-7, -0x1.77baa16a94f5ap-7, -0x1.6f10e1d0cb0c7p-7, -0x1.6694b5f2a2fbp-7, -0x1.5e45487ccf64ep-7, -0x1.5621c7b8d0f05p-7, -0x1.4e296596b58ccp-7, -0x1.465b57a16b2f2p-7, -0x1.3eb6d6dbcbdf2p-7, -0x1.373b1f89decb6p-7, -0x1.2fe770ef6caabp-7, -0x1.28bb0d105775bp-7, -0x1.21b5387fd32f9p-7, -0x1.1ad53a49c939cp-7, -0x1.141a5bfc0638ap-7, -0x1.0d83e9cdec2b2p-7, -0x1.071132de87322p-7, -0x1.00c1897a0e29ap-7, -0x1.f52886ab262dfp-8, -0x1.e911735f3590bp-8, -0x1.dd3c929317291p-8, -0x1.d1a8a46b21243p-8, -0x1.c6546efbc2784p-8, -0x1.bb3ebd6852d87p-8, -0x1.b0665efb01314p-8, -0x1.a5ca2665df0dep-8, -0x1.9b68e95602113p-8, -0x1.91418074b3643p-8, -0x1.8752c7db637fcp-8, -0x1.7d9b9fe7f0db8p-8, -0x1.741aee4732d05p-8, -0x1.6acf9efe58b47p-8, -0x1.61b8a53639656p-8, -0x1.58d4fb9630176p-8, -0x1.5023a40f7317p-8, -0x1.47a3a716243c8p-8, -0x1.3f541260f6ef7p-8, -0x1.3733f75fa4fp-8, -0x1.2f4269ae98befp-8, -0x1.277e7ddb5f6bdp-8, -0x1.1fe748c510357p-8, -0x1.187bdfbf979a8p-8, -0x1.113b59738b35fp-8, -0x1.0a24cf4fb9fd6p-8, -0x1.03375f49c7bb9p-8, -0x1.f8e45b3e480c6p-9, -0x1.eba8cc8d71c3fp-9, -0x1.deba7b8b15593p-9, -0x1.d217e25162b18p-9, -0x1.c5bf8a1b0d027p-9, -0x1.b9b007b077316p-9, -0x1.ade7f6ccd7ed5p-9, -0x1.a265f54af3dd7p-9, -0x1.97289ef7158f5p-9, -0x1.8c2e8acd77172p-9, -0x1.81764a31d75dap-9, -0x1.76fe6a563c988p-9, -0x1.6cc577a218e9fp-9, -0x1.62ca028edc595p-9, -0x1.590aa52650b62p-9, -0x1.4f86082bfda89p-9, -0x1.463ae700e7c02p-9, -0x1.3d281180db9cdp-9, -0x1.344c6b6c51483p-9, -0x1.2ba6e95c45e4p-9, -0x1.23368bac5236p-9, -0x1.1afa582855358p-9, -0x1.12f153894a4a7p-9, -0x1.0b1a7bdcde75bp-9, -0x1.0374c4cf3a439p-9, -0x1.f7fe2cf90eeeap-10, -0x1.e9709e04f0a7dp-10, -0x1.db3e8d22dcea7p-10, -0x1.cd65aaad341fbp-10, -0x1.bfe3b49669641p-10, -0x1.b2b683a90555ep-10, -0x1.a5dc164a8064cp-10, -0x1.995297037258dp-10, -0x1.8d185daa8cfffp-10, -0x1.812beae15eec6p-10, -0x1.758bde73a0246p-10, -0x1.6a36ea04a4883p-10, -0x1.5f2bc21d54b54p-10, -0x1.546910019717ep-10, -0x1.49ed66977c84dp-10, -0x1.3fb73c21b5749p-10, -0x1.35c4e9b2c9f5p-10, -0x1.2c14b03dc59acp-10, -0x1.22a4c245b899cp-10, -0x1.197350839deaap-10, -0x1.107e978e8368fp-10, -0x1.07c4ec9139f3ep-10, -0x1.fe898eaf61558p-11, -0x1.edf990d2e03dp-11, -0x1.ddd774d384f41p-11, -0x1.ce211d1f57b5ep-11, -0x1.bed4a95334113p-11, -0x1.aff05f7da37c9p-11, -0x1.a17291dac3362p-11, -0x1.935984f60d2e9p-11, -0x1.85a35a34bbc29p-11, -0x1.784e02169ee8p-11, -0x1.6b573813f202fp-11, -0x1.5ebc882c18a2bp-11, -0x1.527b5c85a50fbp-11, -0x1.4691104f5dba6p-11, -0x1.3afb04978e915p-11, -0x1.2fb6b3f90f887p-11, -0x1.24c1c29272be9p-11, -0x1.1a1a08913cd7ep-11, -0x1.0fbd96933460ap-11, -0x1.05aab41b9404ep-11, -0x1.f7bfb229c512fp-12, -0x1.e4b7477e65cd3p-12, -0x1.d23998b1fba3ep-12, -0x1.c0442f5493749p-12, -0x1.aed4931b137d8p-12, -0x1.9de83191ca5dp-12, -0x1.8d7c4b9613292p-12, -0x1.7d8debad5c141p-12, -0x1.6e19e75bbedf3p-12, -0x1.5f1ceba971303p-12, -0x1.50939231ec53dp-12, -0x1.427a79bc50edcp-12, -0x1.34ce5db9d4c3ap-12, -0x1.278c292959792p-12, -0x1.1ab100417e0b7p-12, -0x1.0e3a3c7bc82c7p-12, -0x1.02255bcacdc2bp-12, -0x1.ecdfd5b8105f3p-13, -0x1.d62eebb5b5069p-13, -0x1.c0330e9c8b934p-13, -0x1.aae7684970c49p-13, -0x1.96475bfe95541p-13, -0x1.824ea5f98f973p-13, -0x1.6ef9662033943p-13, -0x1.5c440de044ee6p-13, -0x1.4a2b3628a0fabp-13, -0x1.38ab6dfee2313p-13, -0x1.27c11756c350ep-13, -0x1.1768639d48ebfp-13, -0x1.079d746e2dbc2p-13, -0x1.f0b9269a1300ap-14, -0x1.d344ca931c7ebp-14, -0x1.b6d7fa65d41f8p-14, -0x1.9b6d769977e17p-14, -0x1.80fffef26620ap-14, -0x1.678990d0a9e3ap-14, -0x1.4f02cbea68797p-14, -0x1.3762c2a58fcb2p-14, -0x1.209f5854c200bp-14, -0x1.0aae1d2bed0dcp-14, -0x1.eb0acf546207dp-15, -0x1.c23a9d170ee4fp-15, -0x1.9ae052c586d64p-15, -0x1.74f4c8a7c9bb9p-15, -0x1.50736887d7af4p-15, -0x1.2d57fa73fb442p-15, -0x1.0b9cc7ebc9edep-15, -0x1.d673cf39daee1p-16, -0x1.984be99e24ea7p-16, -0x1.5caf785254e07p-16, -0x1.238fd6904c842p-16, -0x1.d9c75d1f9dee3p-17, -0x1.714bab6d04d46p-17, -0x1.0da3c62c990cbp-17, -0x1.5d7f72a13e61dp-18, -0x1.52049653cbfcp-19, 0x1.485b3149b528cp-25, 0x1.4b78efe70b49cp-19, 0x1.411b353820694p-18, 0x1.d54c8409aab53p-18, 0x1.316f98185dda9p-17, 0x1.751e38c2170dap-17, 0x1.b5ce07cc0903ap-17, 0x1.f383efdcd60f8p-17, 0x1.171bc9d80d69ep-16, 0x1.32f086ca82cf2p-16, 0x1.4d421b359ebe1p-16, 0x1.661a0a826f5aep-16, 0x1.7d86cc41b37eep-16, 0x1.9396c2469669bp-16, 0x1.a853b094adccfp-16, 0x1.bbc0e510ce1afp-16, 0x1.cddcaf37c3ecep-16, 0x1.dea4416ee2417p-16, 0x1.ee18099fc68eep-16, 0x1.fc3e801e2e3eep-16, 0x1.04924e4de00c2p-15, 0x1.0a6e5d801bb5cp-15, 0x1.0fbea80bb933p-15, 0x1.148ff540cac68p-15, 0x1.18efd73fe58a4p-15, 0x1.1ceb1d2c52d75p-15, 0x1.208b92503a153p-15, 0x1.23d60a476761cp-15, 0x1.26ca13af363f9p-15, 0x1.2963ef71f4c57p-15, 0x1.2b9fee7e2bb02p-15, 0x1.2d7d469c59959p-15, 0x1.2efed32a4c3adp-15, 0x1.3029be8f53972p-15, 0x1.31034779ca514p-15, 0x1.318ed4d13af2dp-15, 0x1.31cce1ef17b5p-15, 0x1.31bc120ad2343p-15, 0x1.315b34c3200b4p-15, 0x1.30aa39b9b08bap-15, 0x1.2fac7a6dc782cp-15, 0x1.2e666a6b2245p-15, 0x1.2cdd449c605bfp-15, 0x1.2b1556bdcc96ap-15, 0x1.2912479e436b5p-15, 0x1.26d80d6e0c57dp-15, 0x1.246bc1852707p-15, 0x1.21d3b5712e5e1p-15, 0x1.1f1678aa3ed4fp-15, 0x1.1c393363d8b3cp-15, 0x1.193e4b922ed3ep-15, 0x1.16253efe109abp-15, 0x1.12ebeab3eac9ep-15, 0x1.0f90743721bf1p-15, 0x1.0c12a9c87efbp-15, 0x1.0874543a712ep-15, 0x1.04b87ef5d7badp-15, 0x1.00e1cca582222p-15, 0x1.f9e18e4e0356p-16, 0x1.f1c8021d9eab7p-16, 0x1.e974a6c5e12efp-16, 0x1.e0e9d6ed83ff4p-16, 0x1.d82e68fffed65p-16, 0x1.cf4a7966dba28p-16, 0x1.c644954f256a7p-16, 0x1.bd20bcdf871ebp-16, 0x1.b3e09e5a2e14bp-16, 0x1.aa8432bd405eap-16, 0x1.a10a9c5dcd581p-16, 0x1.9773713ecf41ep-16, 0x1.8dc02f1d6076ap-16, 0x1.83f542d137915p-16, 0x1.7a1a3f6bbfba8p-16, 0x1.7038be563fc3ep-16, 0x1.6659182da3923p-16, 0x1.5c7e1371b3fa6p-16, 0x1.52a382d03c4aap-16, 0x1.48c254178ceb9p-16, 0x1.3ed74853e9ee3p-16, 0x1.34e60ac8c05c6p-16, 0x1.2af4b4053a85cp-16, 0x1.2104815652b14p-16, 0x1.17115faca2e28p-16, 0x1.0d188c62249bbp-16, 0x1.031cd2b60b8c4p-16, 0x1.f248ae293642dp-17, 0x1.de691be3c6a3ap-17, 0x1.caa0fe76c4dcbp-17, 0x1.b6f29027b445bp-17, 0x1.a35e7ae4a6dap-17, 0x1.8fe53a33e3cbcp-17, 0x1.7c8707035a97fp-17, 0x1.6942d40309379p-17, 0x1.5615971155492p-17, 0x1.42fb0a1a118c4p-17, 0x1.2fefed7b66b37p-17, 0x1.1cf4e56f3423fp-17, 0x1.0a1192c5c0e49p-17, 0x1.eeac3bb9376bfp-18, 0x1.c9a939bcd072ep-18, 0x1.a523ec4c281f3p-18, 0x1.810098c79ef4p-18, 0x1.5d1ecb8782bbp-18, 0x1.397fb575022c9p-18, 0x1.163d38a1aa143p-18, 0x1.e6bf80d4d9b23p-19, 0x1.a1a9999d6e557p-19, 0x1.5d1da6e8640ffp-19, 0x1.192c3aa2be63p-19, 0x1.abee0e102a776p-20, 0x1.27292e2dbe583p-20, 0x1.48302a54e8305p-21, 0x1.15c1d50b25339p-23, -0x1.73f434a97c0acp-22, -0x1.b6188e2dac262p-21, -0x1.5775950e5518dp-20, -0x1.d234cf66789e2p-20, -0x1.25a2289470c3cp-19, -0x1.6151c08a07ebap-19, -0x1.9c2ef76c0ad98p-19, -0x1.d6443661da64cp-19, -0x1.07ccff1dd842ep-18, -0x1.241a33d2cee5ap-18, -0x1.400990174a68fp-18, -0x1.5b92fb0fdee25p-18, -0x1.76a2a002dc155p-18, -0x1.912c805582ef9p-18, -0x1.ab4040b174ab8p-18, -0x1.c4f0914b3f7fcp-18, -0x1.de351bf1e3768p-18, -0x1.f6fff5e3e1d85p-18, -0x1.07ad76c5e4301p-17, -0x1.13aa539f8fe09p-17, -0x1.1f756ea1dde2ep-17, -0x1.2b0a0bd4ec8a2p-17, -0x1.3665ba21699efp-17, -0x1.41887c91c54e8p-17, -0x1.4c7335a771f9fp-17, -0x1.5726c110a7449p-17, -0x1.61a3bca74e23ep-17, -0x1.6bea95849c52ep-17, -0x1.75fb9e336cdf2p-17, -0x1.7fd71a551846bp-17, -0x1.897d3fb9f34d9p-17, -0x1.92ee384a0a087p-17, -0x1.9c2a32111c6bp-17, -0x1.a53179aad843ap-17, -0x1.ae04709732842p-17, -0x1.b6a392d150aefp-17, -0x1.bf11e20741554p-17, -0x1.c74c846648364p-17, -0x1.cf55b342f5ebdp-17, -0x1.d72f64df601f2p-17, -0x1.ded657e24743fp-17, -0x1.e648af116e1d2p-17, -0x1.ed89769560c05p-17, -0x1.f498b1fce8424p-17, -0x1.fb74fd6bed4cbp-17, -0x1.0110eeefc04a3p-16, -0x1.0450d36357943p-16, -0x1.07797c6044ee7p-16, -0x1.0a8a623050c3ap-16, -0x1.0d83a927a2e9p-16, -0x1.1065b1cffcfa3p-16, -0x1.1330d7ade8289p-16, -0x1.15e5669b0c3d6p-16, -0x1.1883a006ce547p-16, -0x1.1b0bc0a748a88p-16, -0x1.1d7e03e4a39aap-16, -0x1.1fdaa5696c7dcp-16, -0x1.2221e17b2177cp-16, -0x1.2453f49815d48p-16, -0x1.26711ad66b50ap-16, -0x1.28798f94d69b9p-16, -0x1.2a6d8de6d18f5p-16, -0x1.2c4d51b02720dp-16, -0x1.2e19189f0ededp-16, -0x1.2fd12192a2f7ap-16, -0x1.3175aaa00c99cp-16, -0x1.3306f37751fadp-16, -0x1.348546f24e64p-16, -0x1.35f0f24279cf1p-16, -0x1.374a1d51535e5p-16, -0x1.3890e839867e7p-16, -0x1.39c59d4da11b1p-16, -0x1.3ae89032bd49ep-16, -0x1.3bfa090401d3p-16, -0x1.3cfa296d5eb8dp-16, -0x1.3de92a9ed6fd7p-16, -0x1.3ec75c64cad2ap-16, -0x1.3f95044322408p-16, -0x1.40525ee25acd3p-16, -0x1.40ffa795026e3p-16, -0x1.419d1ac02fc04p-16, -0x1.422af42f6bccp-16, -0x1.42a968626f19p-16, -0x1.43189c596df85p-16, -0x1.4378bacb42a67p-16, -0x1.43ca2f854a22dp-16, -0x1.440d74855fcfp-16, -0x1.444297b2ce086p-16, -0x1.4469a1433c995p-16, -0x1.4482fac6746c1p-16, -0x1.448ef4a2162cdp-16, -0x1.448d9a7242a3cp-16, -0x1.447f13af3d9f1p-16, -0x1.4463ab6ca2768p-16, -0x1.443baa89ab43fp-16, -0x1.44074e6ea2517p-16, -0x1.43c6d09c773p-16, -0x1.437a6eea0462bp-16, -0x1.43225774d3e76p-16, -0x1.42be764b74da2p-16, -0x1.424ee30533c32p-16, -0x1.41d46d55dbe86p-16, -0x1.414f8dd745811p-16, -0x1.40c00ea11158bp-16, -0x1.4025b14122acap-16, -0x1.3f80fdbde8c3dp-16, -0x1.3ed256eaf7d08p-16, -0x1.3e19e594367bbp-16, -0x1.3d57cffbf15p-16, -0x1.3c8c433187f99p-16, -0x1.3bb76fb9a0a49p-16, -0x1.3ad98712cd6d4p-16, -0x1.39f2bab2ce26ep-16, -0x1.39033bad6de18p-16, -0x1.380b3a9501816p-16, -0x1.370ae76bd0486p-16, -0x1.3602719ba21b4p-16, -0x1.34f207f22ba79p-16, -0x1.33d9d8a23e792p-16, -0x1.32ba114b5eedap-16, -0x1.3192df0c76455p-16, -0x1.30646ea490606p-16, -0x1.2f2eec960af1fp-16, -0x1.2df28530489adp-16, -0x1.2caf646bc65dp-16, -0x1.2b65b5a93d371p-16, -0x1.2a15a35baf5abp-16, -0x1.28bf54faa0314p-16, -0x1.2762dab0ffbd3p-16, -0x1.26002c0e1e48fp-16, -0x1.2498d2a8f4cccp-16, -0x1.232b0da50797p-16, -0x1.21b79f66f5a65p-16, -0x1.203f7abf6bc0dp-16, -0x1.1ec1fb044f69ep-16, -0x1.1d3f726c4354ap-16, -0x1.1bb819f68c4c6p-16, -0x1.1a2c0eb671ce1p-16, -0x1.189b71179af6dp-16, -0x1.1706668d48318p-16, -0x1.156d13dcb2dc3p-16, -0x1.13cf9c8e08199p-16, -0x1.122e235d070fp-16, -0x1.1088ca7cbc1c8p-16, -0x1.0edfb3b00c491p-16, -0x1.0d33004abfdf5p-16, -0x1.0b82d12586375p-16, -0x1.09cf468db1816p-16, -0x1.0818803a6ccdep-16, -0x1.065e9d4e0108bp-16, -0x1.04a1bc6401caap-16, -0x1.02e1fba93986dp-16, -0x1.011f78ffe4128p-16, -0x1.feb4a4743a2a6p-17, -0x1.fb254ad3f5ce5p-17, -0x1.f79122687f4c7p-17, -0x1.f3f8697845819p-17, -0x1.f05b5c5a19b8ap-17, -0x1.ecba298f5870ep-17, -0x1.e914d84029311p-17, -0x1.e56b59c3c819dp-17, -0x1.e1be285abefe7p-17, -0x1.de0e1b9d2e0dep-17, -0x1.da5b157d083e3p-17, -0x1.d6a4efedf7e67p-17, -0x1.d2ec2ecff3628p-17, -0x1.cf30e388f4729p-17, -0x1.cb736ed8e0413p-17, -0x1.c7b3467a79467p-17, -0x1.c3f13ead52ab6p-17, -0x1.c02d9d3d0e2f8p-17, -0x1.bc680762c0f3p-17, -0x1.b8a0d2f1f46dep-17, -0x1.b4d8462744d9cp-17, -0x1.b10e8fa7d53bp-17, -0x1.ad43d7af3d056p-17, -0x1.a978455597b67p-17, -0x1.a5abff7703e17p-17, -0x1.a1df2cafeee8ap-17, -0x1.9e11f33c0f30dp-17, -0x1.9a4478d78369dp-17, -0x1.9676e29d6951dp-17, -0x1.92a954e440fb4p-17, -0x1.8edbf33b828bep-17, -0x1.8b0ee067781bdp-17, -0x1.87423e60f7178p-17, -0x1.83762e6f5113cp-17, -0x1.7faad13fbefefp-17, -0x1.7be046ff36931p-17, -0x1.7816af8c8bcafp-17, -0x1.744e2ab36d45dp-17, -0x1.7086d8326d319p-17, -0x1.6cc0d739d780dp-17, -0x1.68fc457e8d653p-17, -0x1.65393e954770ap-17, -0x1.6177dc0db0bb1p-17, -0x1.5db8360b5c6c1p-17, -0x1.59fa64d0d6e2ep-17, -0x1.563e853bc8a39p-17, -0x1.5284bd895ec61p-17, -0x1.4ecd3378dad7dp-17, -0x1.4b17ed28ebd47p-17, -0x1.4764b8d88d46ap-17, -0x1.43b3bf152f40ap-17, -0x1.4005b99bd9c74p-17, }}, 
      {{-0x1.3016e6e8dd67ep+2, -0x1.0727b3d5842f1p+2, -0x1.ca62868fbefa4p+1, -0x1.9c8a6032c4c06p+1, -0x1.807b805ecdd45p+1, -0x1.6f6ae47a527e7p+1, -0x1.639d8d1a1a955p+1, -0x1.594827567c27bp+1, -0x1.4e63e1da8a298p+1, -0x1.4233ab380a7d4p+1, -0x1.34c7947a51241p+1, -0x1.26998e0ad8226p+1, -0x1.18486f14695a2p+1, -0x1.0a6d5aa956119p+1, -0x1.fb0a17757ca3fp+0, -0x1.e3cd8d19416e1p+0, -0x1.cf87b9c43be4cp+0, -0x1.be58115c394e6p+0, -0x1.b028188d99d3ap+0, -0x1.a4b9dd41ed70ap+0, -0x1.9bb5a76591431p+0, -0x1.94b5cf9a0b532p+0, -0x1.8f504a30edf3ap+0, -0x1.8b1dd9c1f98acp+0, -0x1.87bf195ca7b3bp+0, -0x1.84dfad16a5317p+0, -0x1.8237f254a15b4p+0, -0x1.7f8d899debc82p+0, -0x1.7cb3098e30714p+0, -0x1.79871f55e9103p+0, -0x1.75f353d0fe8fcp+0, -0x1.71ea9fadd8c6p+0, -0x1.6d67ee7d73c07p+0, -0x1.686ca7a6d1a94p+0, -0x1.62ff4d1ba71cap+0, -0x1.5d2a39c6df5f2p+0, -0x1.56fa854ba6614p+0, -0x1.507f0f7252218p+0, -0x1.49c7b2a625479p+0, -0x1.42e49b77317p+0, -0x1.3be5c2375a113p+0, -0x1.34da82ddf2f8ep+0, -0x1.2dd14f5e2be47p+0, -0x1.26d7788a37979p+0, -0x1.1ff909ebc1fd9p+0, -0x1.1940b53067d23p+0, -0x1.12b7ca1cb8c8ap+0, -0x1.0c66386a2fcb9p+0, -0x1.0652995a5df8bp+0, -0x1.00823ef8192d9p+0, -0x1.f5f28ed6a89ecp-1, -0x1.eb756614211a8p-1, -0x1.e190f81f740c8p-1, -0x1.d8475e3b1fd38p-1, -0x1.cf9907a96550ap-1, -0x1.c784ea123fe7ap-1, -0x1.c008b05e0caffp-1, -0x1.b920e7649de1bp-1, -0x1.b2c9280df1b9cp-1, -0x1.acfc3eb457ea3p-1, -0x1.a7b44f9f0fc47p-1, -0x1.a2eaf88098c68p-1, -0x1.9e996efed8f72p-1, -0x1.9ab89c53e277ep-1, -0x1.9741361ed667bp-1, -0x1.942bd484dac68p-1, -0x1.917105c32f36p-1, -0x1.8f095f5a4f318p-1, -0x1.8ced8cfba137fp-1, -0x1.8b165d5e3093bp-1, -0x1.897ccd2a3847p-1, -0x1.881a101c62f4fp-1, -0x1.86e7988d3e0d5p-1, -0x1.85df1d85614b4p-1, -0x1.84fa9f79522fap-1, -0x1.84346bdb24c6dp-1, -0x1.83871f92f2716p-1, -0x1.82eda892d0ad8p-1, -0x1.82634689ca9e4p-1, -0x1.81e38aea167fdp-1, -0x1.816a583c814c6p-1, -0x1.80f3e0ff2aa07p-1, -0x1.807ca5f303f9bp-1, -0x1.80017420b2f5bp-1, -0x1.7f7f62773eec4p-1, -0x1.7ef3cf3065e53p-1, -0x1.7e5c5cfc32964p-1, -0x1.7db6f0138cd8p-1, -0x1.7d01ab036838cp-1, -0x1.7c3aeba4a727ep-1, -0x1.7b6147d2e06fap-1, -0x1.7a738a2679ae9p-1, -0x1.7970aee71e0cdp-1, -0x1.7857e0baef829p-1, -0x1.77287594a4a02p-1, -0x1.75e1ebb1e8a5bp-1, -0x1.7483e69f1b181p-1, -0x1.730e2c4f30befp-1, -0x1.7180a26c16787p-1, -0x1.6fdb4baf429f1p-1, -0x1.6e1e45465300bp-1, -0x1.6c49c47e83808p-1, -0x1.6a5e147e55ba2p-1, -0x1.685b93fd903b4p-1, -0x1.6642b3552063p-1, -0x1.6413f28e1bf4ap-1, -0x1.61cfdf7d23e56p-1, -0x1.5f7714266ef19p-1, -0x1.5d0a352274f1bp-1, -0x1.5a89f019794ddp-1, -0x1.57f6fa70705e8p-1, -0x1.55520ffcc86b9p-1, -0x1.529bf1d25ea73p-1, -0x1.4fd5653767e1bp-1, -0x1.4cff329ad7664p-1, -0x1.4a1a24a26722p-1, -0x1.4727075d0afe8p-1, -0x1.4426a77950bf7p-1, -0x1.4119d185bfc25p-1, -0x1.3e015154690b3p-1, -0x1.3addf166af1edp-1, -0x1.37b07a5bca41p-1, -0x1.3479b27c56b74p-1, -0x1.313a5d525c778p-1, -0x1.2df33b3f3d2d5p-1, -0x1.2aa50924a8a5p-1, -0x1.2750801ff947bp-1, -0x1.23f655454f0f6p-1, -0x1.20973960a9667p-1, -0x1.1d33d8c91be85p-1, -0x1.19ccdb3a62266p-1, -0x1.1662e3add23ccp-1, -0x1.12f6903d2152fp-1, -0x1.0f887a117beeep-1, -0x1.0c193554572e4p-1, -0x1.08a951205a317p-1, -0x1.0539577beb44p-1, -0x1.01c9cd5b83238p-1, -0x1.fcb66546c2912p-2, -0x1.f5dc04553b3ap-2, -0x1.ef05638a9557ap-2, -0x1.e83364a7c6975p-2, -0x1.e166dfa3b7022p-2, -0x1.daa0a2c8b9d64p-2, -0x1.d3e172dc31239p-2, -0x1.cd2a0b4e6ba24p-2, -0x1.c67b1e6820f74p-2, -0x1.bfd5557684741p-2, -0x1.b93950fdcf42cp-2, -0x1.b2a7a8f19ed48p-2, -0x1.ac20ecec83487p-2, -0x1.a5a5a464bc1acp-2, -0x1.9f364ee324b2ap-2, -0x1.98d3643e4e1a9p-2, -0x1.927d54d67c8a5p-2, -0x1.8c3489cec04eep-2, -0x1.85f96545018a5p-2, -0x1.7fcc428bf8f7ep-2, -0x1.79ad7666fed7dp-2, -0x1.739d4f4424afdp-2, -0x1.6d9c1573a1d51p-2, -0x1.67aa0b5f09dd3p-2, -0x1.61c76dc168a35p-2, -0x1.5bf473df41b7p-2, -0x1.56314fbc45884p-2, -0x1.507e2e4eed93cp-2, -0x1.4adb37b3bd845p-2, -0x1.45488f607cdbp-2, -0x1.3fc65456869c9p-2, -0x1.3a54a152e67d2p-2, -0x1.34f38cfcad86ep-2, -0x1.2fa32a128e091p-2, -0x1.2a638797d8519p-2, -0x1.2534b10059167p-2, -0x1.2016ae5a936b1p-2, -0x1.1b0984781bc33p-2, -0x1.160d3514d5f77p-2, -0x1.1121befd8e5cap-2, -0x1.0c471e357a42ap-2, -0x1.077d4c1a4d2c2p-2, -0x1.02c43f86a8402p-2, -0x1.fc37d9e6ce0bep-3, -0x1.f3088d2ff8deep-3, -0x1.e9fa7913ad092p-3, -0x1.e10d79b571b71p-3, -0x1.d841676b63e31p-3, -0x1.cf9616f5a6d4dp-3, -0x1.c70b59b3fee9dp-3, -0x1.bea0fdd9a217ap-3, -0x1.b656ce9f371e1p-3, -0x1.ae2c9472e1fb8p-3, -0x1.a6221525f95ecp-3, -0x1.9e371418d1459p-3, -0x1.966b5264f8e75p-3, -0x1.8ebe8f05d973p-3, -0x1.873086ffc8f9bp-3, -0x1.7fc0f585739e5p-3, -0x1.786f941b0ac8dp-3, -0x1.713c1ab8a765dp-3, -0x1.6a263feb15c6p-3, -0x1.632db8f25cf1fp-3, -0x1.5c5239e0435acp-3, -0x1.559375b4d1d9cp-3, -0x1.4ef11e797ec24p-3, -0x1.486ae55b064dbp-3, -0x1.42007ac2341bdp-3, -0x1.3bb18e6b8a6dep-3, -0x1.357dcf7dd44d9p-3, -0x1.2f64ec9fb519fp-3, -0x1.2966940c1e99ap-3, -0x1.238273a5af56bp-3, -0x1.1db839092a853p-3, -0x1.1807919f09741p-3, -0x1.12702aac3ac48p-3, -0x1.0cf1b16202359p-3, -0x1.078bd2ed0fe28p-3, -0x1.023e3c83c9ad5p-3, -0x1.fa1136e78159p-4, -0x1.efd53a5d04391p-4, -0x1.e5c7deab69c0fp-4, -0x1.dbe87f8d23495p-4, -0x1.d23679496d09fp-4, -0x1.c8b128c8df70bp-4, -0x1.bf57eba8a5e86p-4, -0x1.b62a204cb4c64p-4, -0x1.ad2725f0cedfep-4, -0x1.a44e5cb88f8f7p-4, -0x1.9b9f25be7ae84p-4, -0x1.9318e32207ccdp-4, -0x1.8abaf814ec31dp-4, -0x1.8284c8e77ad55p-4, -0x1.7a75bb1431e5dp-4, -0x1.728d354a7cb6dp-4, -0x1.6aca9f78f5903p-4, -0x1.632d62d6e89d6p-4, -0x1.5bb4e9eab09c6p-4, -0x1.5460a096449bep-4, -0x1.4d2ff41922fa1p-4, -0x1.4622531c1749dp-4, -0x1.3f372db3cb36ep-4, -0x1.386df566aab38p-4, -0x1.31c61d330e2a7p-4, -0x1.2b3f19935059cp-4, -0x1.24d86081eb91ap-4, -0x1.1e91697d28d1fp-4, -0x1.1869ad8a52b54p-4, -0x1.1260a73869572p-4, -0x1.0c75d2a277c26p-4, -0x1.06a8ad7190883p-4, -0x1.00f8b6de7b001p-4, -0x1.f6cadf660ce9cp-5, -0x1.ebdcb495f5f74p-5, -0x1.e125f5296d725p-5, -0x1.d6a5ac22ea444p-5, -0x1.cc5ae7aaccc0fp-5, -0x1.c244b90f162c8p-5, -0x1.b86234c2b6585p-5, -0x1.aeb2725c52256p-5, -0x1.a5348c947ad28p-5, -0x1.9be7a14353a12p-5, -0x1.92cad15dd5aa3p-5, -0x1.89dd40f2bccbp-5, -0x1.811e1727429bcp-5, -0x1.788c7e339b7a2p-5, -0x1.7027a35f1709cp-5, -0x1.67eeb6fbd457bp-5, -0x1.5fe0ec62104e4p-5, -0x1.57fd79eb1ea9ep-5, -0x1.504398ec35304p-5, -0x1.48b285b11efadp-5, -0x1.41497f76d3f56p-5, -0x1.3a07c865e6243p-5, -0x1.32eca58ca4ad1p-5, -0x1.2bf75ed8ed993p-5, -0x1.25273f11bbbp-5, -0x1.1e7b93d086edbp-5, -0x1.17f3ad7aa3927p-5, -0x1.118edf3a9f149p-5, -0x1.0b4c7ef99dc72p-5, -0x1.052be55897c77p-5, -0x1.fe58db52c7361p-6, -0x1.f29aebcf0b612p-6, -0x1.e71cbd61a665p-6, -0x1.dbdd167bf3833p-6, -0x1.d0dac2b63fa16p-6, -0x1.c61492c1175fcp-6, -0x1.bb895c56cd7adp-6, -0x1.b137fa2ce4533p-6, -0x1.a71f4be53c595p-6, -0x1.9d3e35feed53fp-6, -0x1.9393a1c6d893ep-6, -0x1.8a1e7d482a446p-6, -0x1.80ddbb3cf08bfp-6, -0x1.77d052fef63aep-6, -0x1.6ef54078ca836p-6, -0x1.664b8416f93fp-6, -0x1.5dd222b93034ep-6, -0x1.558825a32f98ap-6, -0x1.4d6c9a6d8b63dp-6, -0x1.457e92f658fbap-6, -0x1.3dbd2551e32b3p-6, -0x1.36276bbb9501dp-6, -0x1.2ebc84872ffc5p-6, -0x1.277b9212358cep-6, -0x1.2063bab584b56p-6, -0x1.197428b6da144p-6, -0x1.12ac0a3a4a4f7p-6, -0x1.0c0a91339cd58p-6, -0x1.058ef3579c103p-6, -0x1.fe70d41b3ffdfp-7, -0x1.f20c64c2b486bp-7, -0x1.e5ef19ea214e9p-7, -0x1.da177be852892p-7, -0x1.ce841a0b83dcfp-7, -0x1.c3338a7df2fedp-7, -0x1.b8246a2985dcep-7, -0x1.ad555c9b3cb6ap-7, -0x1.a2c50be752b92p-7, -0x1.9872288f0bdaep-7, -0x1.8e5b6967d3142p-7, -0x1.847f8b83277a3p-7, -0x1.7add521637b9ap-7, -0x1.71738660cad3fp-7, -0x1.6840f79317d53p-7, -0x1.5f447ab37ffc5p-7, -0x1.567cea84b8111p-7, -0x1.4de9276d5cd54p-7, -0x1.45881760619a1p-7, -0x1.3d58a5c5ce35ep-7, -0x1.3559c3635080ap-7, -0x1.2d8a6644fe16ap-7, -0x1.25e989a6df14p-7, -0x1.1e762ddf54ed5p-7, -0x1.172f5849dd771p-7, -0x1.10141331e58c9p-7, -0x1.09236dbcff5a9p-7, -0x1.025c7bd46d1adp-7, -0x1.f77cac1cac344p-8, -0x1.ea90332dd405dp-8, -0x1.ddf1d0348f8f4p-8, -0x1.d19fcf5f22559p-8, -0x1.c598858b373edp-8, -0x1.b9da502221d1fp-8, -0x1.ae6394f7437e4p-8, -0x1.a332c2271c96cp-8, -0x1.98464df544f33p-8, -0x1.8d9cb6a7df6ddp-8, -0x1.833482602b11cp-8, -0x1.790c3ef012bc3p-8, -0x1.6f2281aea583dp-8, -0x1.6575e74d369b6p-8, -0x1.5c0513af764f5p-8, -0x1.52ceb1c875c51p-8, -0x1.49d1737d2af2fp-8, -0x1.410c118c271fap-8, -0x1.387d4b783cecp-8, -0x1.3023e773806efp-8, -0x1.27feb24761599p-8, -0x1.200c7f3773551p-8, -0x1.184c27dd81f09p-8, -0x1.10bc8bffc804dp-8, -0x1.095c916378267p-8, -0x1.022b239f74a9fp-8, -0x1.f64e67e6f2316p-9, -0x1.e89f724e793ecp-9, -0x1.db475ee75f0b8p-9, -0x1.ce4430ec2e56cp-9, -0x1.c193f654746ccp-9, -0x1.b534c7ce4c54ep-9, -0x1.a924c8b1821fbp-9, -0x1.9d6226e19e661p-9, -0x1.91eb1a97e0db1p-9, -0x1.86bde61371b81p-9, -0x1.7bd8d53470a4fp-9, -0x1.713a3d0c7f09ap-9, -0x1.66e07b735e157p-9, -0x1.5cc9f6ae0e8f8p-9, -0x1.52f51d3510a5dp-9, -0x1.4960659f479b2p-9, -0x1.400a4eaf3f2eap-9, -0x1.36f15f792ad1cp-9, -0x1.2e1427905c15dp-9, -0x1.25713f28f1f09p-9, -0x1.1d07471ae85c5p-9, -0x1.14d4e8b9e1ad9p-9, -0x1.0cd8d57dca432p-9, -0x1.0511c682ae1c3p-9, -0x1.fafcf7e1b4cb6p-10, -0x1.ec3b78c79cf1p-10, -0x1.dddca8d48834fp-10, -0x1.cfde2c698f4c7p-10, -0x1.c23db30208ddap-10, -0x1.b4f8f78615836p-10, -0x1.a80dc10279cbbp-10, -0x1.9b79e396c7f31p-10, -0x1.8f3b415d96481p-10, -0x1.834fcb0e98768p-10, -0x1.77b5802784252p-10, -0x1.6c6a6e7fa7873p-10, -0x1.616cb146e9665p-10, -0x1.56ba6f89e1e66p-10, -0x1.4c51da6675c62p-10, -0x1.42312b3951aa2p-10, -0x1.3856a2282341bp-10, -0x1.2ec08565866b6p-10, -0x1.256d21529f154p-10, -0x1.1c5ac961e243dp-10, -0x1.1387d97b238cfp-10, -0x1.0af2b7970f298p-10, -0x1.0299d54e0ded7p-10, -0x1.f4f76239c653fp-11, -0x1.e52dae2ea28a1p-11, -0x1.d5d3c17e77b8ap-11, -0x1.c6e6e7bc8624ap-11, -0x1.b86481104f3d4p-11, -0x1.aa49fd414aa57p-11, -0x1.9c94d6a66bccap-11, -0x1.8f428dd60f2c2p-11, -0x1.8250a6d4494f1p-11, -0x1.75bca8419c65ep-11, -0x1.69841cb4323cdp-11, -0x1.5da4960220e03p-11, -0x1.521bb1eaced25p-11, -0x1.46e71f49441f4p-11, -0x1.3c04a2dc6528fp-11, -0x1.31721abd40b4p-11, -0x1.272d7fcfd0fbep-11, -0x1.1d34e4cf358b1p-11, -0x1.138672ff82f66p-11, -0x1.0a2064f95c8f8p-11, -0x1.0101005d9a48p-11, -0x1.f04d1eec3eaa9p-12, -0x1.df1eb7a468af9p-12, -0x1.ce735587b68bep-12, -0x1.be4778a25d0bep-12, -0x1.ae9799843e86ap-12, -0x1.9f6031015e6a3p-12, -0x1.909dc346dbec3p-12, -0x1.824cec6b67dfcp-12, -0x1.746a6c70a15dbp-12, -0x1.66f330bf6816bp-12, -0x1.59e4598fb27a8p-12, -0x1.4d3b3a43dd344p-12, -0x1.40f55487283eap-12, -0x1.35104ecf22c21p-12, -0x1.2989e7a4806ccp-12, -0x1.1e5fe7a876a77p-12, -0x1.1390148c38d55p-12, -0x1.09182709dfcf9p-12, -0x1.fdeb8acc1c77ep-13, -0x1.ea4d06651512dp-13, -0x1.d74fcc3c28612p-13, -0x1.c4eedda97c04fp-13, -0x1.b32548bfe7b45p-13, -0x1.a1ee40782784dp-13, -0x1.914532c50389p-13, -0x1.8125d9911d0ccp-13, -0x1.718c4477b1ec2p-13, -0x1.6274d9fc82b19p-13, -0x1.53dc501e0973cp-13, -0x1.45bf9d3a8999ap-13, -0x1.381be34e0ea0bp-13, -0x1.2aee5879672d3p-13, -0x1.1e343047f80d8p-13, -0x1.11ea8927fcfc4p-13, -0x1.060e60d875bd9p-13, -0x1.f5392298f76c5p-14, -0x1.df23abd4e24fcp-14, -0x1.c9d5af36ca0a2p-14, -0x1.b5487a4890feep-14, -0x1.a17579ce2e3cdp-14, -0x1.8e565aba9ce5dp-14, -0x1.7be52451a0974p-14, -0x1.6a1c48af3bd58p-14, -0x1.58f6aaa293622p-14, -0x1.486f997bef47p-14, -0x1.3882c4a2426f2p-14, -0x1.292c296faa5c3p-14, -0x1.1a67fd9ecc7a1p-14, -0x1.0c329844b9f99p-14, -0x1.fd10b6532932fp-15, -0x1.e2cb3d384f59cp-15, -0x1.c98d448830759p-15, -0x1.b14f0af6d06f7p-15, -0x1.9a08923af748dp-15, -0x1.83b1b5f3ff902p-15, -0x1.6e424f69e96e3p-15, -0x1.59b25ab21ba52p-15, -0x1.45fa17785d03p-15, -0x1.3312266112e8bp-15, -0x1.20f39c90fe078p-15, -0x1.0f97fff9271bfp-15, -0x1.fdf2523730128p-16, -0x1.de223325043dap-16, -0x1.bfb3c150116cap-16, -0x1.a29b38aa60f8ap-16, -0x1.86cd1f5dc6318p-16, -0x1.6c3e7f3af299ap-16, -0x1.52e5133f65ab3p-16, -0x1.3ab75492f07ecp-16, -0x1.23ac5b7bb71d3p-16, -0x1.0dbb9bc68f6f7p-16, -0x1.f1b92d3760211p-17, -0x1.ca0d473d7227fp-17, -0x1.a461d80df2291p-17, -0x1.80a53b5ff016dp-17, -0x1.5ec6818499d95p-17, -0x1.3eb60b55122fep-17, -0x1.2065bd2a78783p-17, -0x1.03c896dff7342p-17, -0x1.d1a38612e330ap-18, -0x1.9ee6e15d39798p-18, -0x1.6f3bd836d1652p-18, -0x1.427ebbfcc83afp-18, -0x1.1888c201620f1p-18, -0x1.e265446c077c4p-19, -0x1.98afc2d4d3663p-19, -0x1.53b35d0a8429dp-19, -0x1.134094532763ap-19, -0x1.ae69a2bed8d3ep-20, -0x1.3eeb04245a1dfp-20, -0x1.afa61919507f1p-21, -0x1.e39dc95411ep-22, -0x1.0f0f564aea209p-23, 0x1.6c5bcd1388781p-23, 0x1.d6b1eea1ea83dp-22, 0x1.6d81f1073ae57p-21, 0x1.e1f142880b9cbp-21, 0x1.24768032a9dbfp-20, 0x1.515af0229ecd5p-20, 0x1.77d00088028dfp-20, 0x1.9813b021926e5p-20, 0x1.b27cbe1da540fp-20, 0x1.c778e47767524p-20, 0x1.d784e20c2ac4ep-20, 0x1.e31f99c1bae9ep-20, 0x1.eaba8b84e585p-20, 0x1.eeab904a6b642p-20, 0x1.ef2512b04caf3p-20, 0x1.ec390dbdacc2bp-20, 0x1.e5e6ee8ddcbfbp-20, 0x1.dc2ec002352a5p-20, 0x1.cf2092f6313abp-20, 0x1.bee0e69557726p-20, 0x1.aba1258a0628cp-20, 0x1.9591c707a2bafp-20, 0x1.7cd6143570d37p-20, 0x1.617f67069b1abp-20, 0x1.4391674727a2ep-20, 0x1.230caa9a122dap-20, 0x1.fff4bf7af4a54p-21, 0x1.b4e74def45cc3p-21, 0x1.65450ab110348p-21, 0x1.117d58372a3ddp-21, 0x1.74273480913c3p-22, 0x1.7e6654999451cp-23, 0x1.539fa3e7a2ce1p-28, -0x1.70d5e9219d9ccp-23, -0x1.791fa373156a7p-22, -0x1.1e2fb7949efecp-21, -0x1.81140f5cc315cp-21, -0x1.e55dac751e84cp-21, -0x1.2596375949178p-20, -0x1.59413c30f1905p-20, -0x1.8d9e7ca28067ap-20, -0x1.c2910ffb0f9e5p-20, -0x1.f7fbc7c7c1d09p-20, -0x1.16e588c440a92p-19, -0x1.31feb68157306p-19, -0x1.4d4be1eae6706p-19, -0x1.68ccd9123b4bp-19, -0x1.8483a8cd703c4p-19, -0x1.a064e5748f707p-19, -0x1.bc671c2882232p-19, -0x1.d87ba7f283992p-19, -0x1.f497aef5a9c47p-19, -0x1.08591f8ce92dep-18, -0x1.1660b57ac9148p-18, -0x1.245c5d40c1769p-18, -0x1.32449446bba6cp-18, -0x1.4011ad9160b37p-18, -0x1.4dbdb99675fddp-18, -0x1.5b461b90de82ep-18, -0x1.68abafd0abe13p-18, -0x1.75f1417664ccep-18, -0x1.8319449a39468p-18, -0x1.9024378d5460ep-18, -0x1.9d1047db6d515p-18, -0x1.a9da32724507ep-18, -0x1.b67f3bfe00722p-18, -0x1.c2ff220ea8f2dp-18, -0x1.cf5be704ce47p-18, -0x1.db9734df1812ap-18, -0x1.e7b007ce70ae3p-18, -0x1.f3a2d5c9b6d38p-18, -0x1.ff6b6c2d4b8dcp-18, -0x1.058346030fa54p-17, -0x1.0b393a426d48dp-17, -0x1.10d75d668c604p-17, -0x1.165df5ab59c1bp-17, -0x1.1bcd84602713p-17, -0x1.2126699e053f3p-17, -0x1.26687f17abc1fp-17, -0x1.2b92d2c8d04abp-17, -0x1.30a39bdea204cp-17, -0x1.35988d786d8cep-17, -0x1.3a6fbc4cf7d94p-17, -0x1.3f28c4b149619p-17, -0x1.43c51ecbc4a6cp-17, -0x1.4846fee84882ap-17, -0x1.4caf8c2a63eb7p-17, -0x1.50fe1a14fdf11p-17, -0x1.553160cfbd7c9p-17, -0x1.594962fc14187p-17, -0x1.5d4781faf324dp-17, -0x1.612cc2542e912p-17, -0x1.64f8ba287b575p-17, -0x1.68aa2987c3ee8p-17, -0x1.6c4003b285cc6p-17, -0x1.6fb9dd176194p-17, -0x1.7317c774cfedfp-17, -0x1.765a077e85529p-17, -0x1.7980e86ca4bc1p-17, -0x1.7c8cbddbaf9c6p-17, -0x1.7f7e01f2ed54p-17, -0x1.8255694661a34p-17, -0x1.8513ca00a6bb4p-17, -0x1.87b9d7134855fp-17, -0x1.8a47cb920b3dfp-17, -0x1.8cbd113eb6c72p-17, -0x1.8f181847fa77bp-17, -0x1.915722c5b604dp-17, -0x1.937a03dcc0719p-17, -0x1.9582b586b337ap-17, -0x1.977368d134943p-17, -0x1.994c5b1472f61p-17, -0x1.9b0c696ce624p-17, -0x1.9cb3758aea37cp-17, -0x1.9e42e05d95458p-17, -0x1.9fbbbb7d48dcep-17, -0x1.a11de148ed46ap-17, -0x1.a268b8697ddc1p-17, -0x1.a39bfa78ef83p-17, -0x1.a4b7ce03d2731p-17, -0x1.a5bc930495fedp-17, -0x1.a6aab66bcbc5cp-17, -0x1.a7829c8899a4ap-17, -0x1.a84498c0e01d6p-17, -0x1.a8f0eb52b425p-17, -0x1.a987c8eaa67a9p-17, -0x1.aa097b9d59cfp-17, -0x1.aa76900a4a17cp-17, -0x1.aacfb5bc7754cp-17, -0x1.ab155f5057becp-17, -0x1.ab47ce829abd3p-17, -0x1.ab67558711b74p-17, -0x1.ab73fc975c7a8p-17, -0x1.ab6d1e7999853p-17, -0x1.ab52665960605p-17, -0x1.ab24d9486ce0fp-17, -0x1.aae5a46acbc99p-17, -0x1.aa94b51bd6a03p-17, -0x1.aa31bb34560d5p-17, -0x1.a9bd75c9eeb74p-17, -0x1.a938d1e44c988p-17, -0x1.a8a3fa0616207p-17, -0x1.a7fecbe4daf28p-17, -0x1.a7495b4119da6p-17, -0x1.a683f1e995f54p-17, -0x1.a5aeeb5e88886p-17, -0x1.a4caa12ad963fp-17, -0x1.a3d76699a8af5p-17, -0x1.a2d58a0b3f648p-17, -0x1.a1c556e88c652p-17, -0x1.a0a716b2a178p-17, -0x1.9f7b114226828p-17, -0x1.9e418d054633fp-17, -0x1.9cfacfcee8439p-17, -0x1.9ba71dfa17058p-17, -0x1.9a46ab6ee3d09p-17, -0x1.98d9a96850c53p-17, -0x1.976196c3b27f8p-17, -0x1.95dcf8c554795p-17, -0x1.944c9fc7873e8p-17, -0x1.92b18ae37e335p-17, -0x1.910b753fbd4d6p-17, -0x1.8f5a509a3db2fp-17, -0x1.8d9e9eb7cb6d8p-17, -0x1.8bd8a1804668ep-17, -0x1.8a088367a9701p-17, -0x1.882eb346b6d38p-17, -0x1.864b894ea1404p-17, -0x1.845f2a476c2bcp-17, -0x1.8269c1b599fbbp-17, -0x1.806b8d39e53e9p-17, -0x1.7e64cf5f46edap-17, -0x1.7c55c8f1ddb1ep-17, -0x1.7a3eb83f21d8cp-17, -0x1.781fd9ca81ce2p-17, -0x1.75f968e869fddp-17, -0x1.73cba01108a44p-17, -0x1.7196b904a18f6p-17, -0x1.6f5aecd828dbbp-17, -0x1.6d1873f78d80cp-17, -0x1.6acf8624d9f07p-17, -0x1.68805a769c3e3p-17, -0x1.662b27578b544p-17, -0x1.63d022876aa75p-17, -0x1.616f811bf971bp-17, -0x1.5f097780aef76p-17, -0x1.5c9e397560a5bp-17, -0x1.5a2dfa0f5b19bp-17, -0x1.57b8ebbf4cc69p-17, -0x1.553f4047ec34cp-17, -0x1.52c1289bac83p-17, -0x1.503ed4f5757efp-17, -0x1.4db874f651414p-17, -0x1.4b2e378f80c3dp-17, -0x1.48a04af529aefp-17, -0x1.460edc903fde2p-17, -0x1.437a193b2f83ep-17, -0x1.40e22d50f3983p-17, -0x1.3e4744acf38bdp-17, -0x1.3ba98acfcd36p-17, -0x1.39092b072d034p-17, -0x1.36665047dade2p-17, -0x1.33c123b6db288p-17, -0x1.3119c7de1e4b7p-17, -0x1.2e7052e228597p-17, -0x1.2bc4de4438543p-17, -0x1.2917b2251d159p-17, -0x1.26692028629c5p-17, -0x1.23b92bb27b848p-17, -0x1.2107d4fa7d7ap-17, -0x1.1e5562d4adc6bp-17, -0x1.1ba2097d9a6b6p-17, -0x1.18edca9c94436p-17, -0x1.1638b979b5325p-17, -0x1.1383004fa3088p-17, -0x1.10ccc759541aep-17, -0x1.0e1630b7c368fp-17, -0x1.0b5f5b809f463p-17, -0x1.08a8642fb2823p-17, -0x1.05f16a0bd44c4p-17, -0x1.033a9f31b3f4p-17, -0x1.00842dd9a0587p-17, -0x1.fb9c0d17d6fa4p-18, -0x1.f630553e2a206p-18, -0x1.f0c5a980340f9p-18, -0x1.eb5c95d325e51p-18, -0x1.e5f5180c83119p-18, -0x1.e08f3e6046c23p-18, -0x1.db2b411b887p-18, -0x1.d5c95b1eaa102p-18, -0x1.d069c1684bc37p-18, -0x1.cb0ca50b7d406p-18, -0x1.c5b234fc8a721p-18, -0x1.c05a9ec902262p-18, -0x1.bb060ebc4fd7ap-18, -0x1.b5b4afd192e62p-18, -0x1.b066aba9b90a2p-18, -0x1.ab1c2a9ebfefdp-18, -0x1.a5d553f75604cp-18, -0x1.a0924e360f799p-18, -0x1.9b533f7db7025p-18, -0x1.96184df5edd98p-18, -0x1.90e19fea596d4p-18, -0x1.8baf5b3b78931p-18, -0x1.8681a404457d5p-18, -0x1.81589b231649ep-18, -0x1.7c345de738053p-18, -0x1.771507a54a4cbp-18, -0x1.71fab1e3c07a7p-18, -0x1.6ce55189d59cap-18, -0x1.67d4ad955f93cp-18, -0x1.62cb562cfc12fp-18, -0x1.5dc5ef91208b8p-18, -0x1.58c628357fb48p-18, -0x1.53cd7249dfc52p-18, -0x1.4ed9664651a61p-18, -0x1.49eb38968e591p-18, -0x1.450393904489bp-18, -0x1.4021ec2c9926cp-18, -0x1.3b4648bcb61fdp-18, -0x1.3670dc2234d1dp-18, -0x1.31a1c8867d351p-18, -0x1.2cd9257dd5582p-18, -0x1.281706fe65a9ap-18, -0x1.235b7fd55f86ap-18, -0x1.1ea6a246770bcp-18, -0x1.19f8801a8331dp-18, -0x1.15512a84568d6p-18, -0x1.10b0b1ffebf34p-18, -0x1.0c17263f4852p-18, -0x1.0784962e36772p-18, -0x1.02f9100acf99dp-18, -0x1.fce94319b3cf1p-19, -0x1.f3eeb03e4e044p-19, -0x1.eb028273e8802p-19, -0x1.e224d59e7aa34p-19, -0x1.d955c7674f27ap-19, -0x1.d09576a6461d8p-19, -0x1.c7e3ff19b1ap-19, -0x1.bf41695d2e2d4p-19, -0x1.b6ad89a963712p-19, -0x1.ae2818434ce6bp-19, -0x1.a5b18397cdcep-19, -0x1.9d4ab61025e9ap-19, -0x1.94f358cfd22dap-19, -0x1.8cab0633dbe98p-19, -0x1.847227e0fa167p-19, -0x1.7c48a28fc6115p-19, -0x1.742efbaf66de1p-19, -0x1.6c240a49b2ee3p-19, -0x1.6428d9359e249p-19, -0x1.5c3d8eb83efe5p-19, -0x1.546161efc9319p-19, -0x1.4c949fc014f6cp-19, -0x1.44d779b373f46p-19, -0x1.3d29fcbb0abdap-19, -0x1.358c2c6e4084bp-19, -0x1.2dfe0b1c60f6ap-19, -0x1.267f9b1bdcdc9p-19, -0x1.1f10deb9c6589p-19, -0x1.17b1d8039fcabp-19, -0x1.1062889be3d16p-19, -0x1.0922f18d6999ap-19, -0x1.01f3131b53bd4p-19, -0x1.f5a5d9ac77235p-20, -0x1.e784fb2bed54ap-20, -0x1.d98386d0f007ep-20, -0x1.cba1776fab1d8p-20, -0x1.bddec6ce71b5cp-20, -0x1.b03b6dd7e2d18p-20, -0x1.a2b7650410e29p-20, -0x1.9552a4cd90883p-20, -0x1.880d25b3603e9p-20, -0x1.7ae6df27f0a53p-20, -0x1.6ddfc5b3b4fb1p-20, -0x1.60f7c9be0ac2dp-20, -0x1.542ed7dde0479p-20, -0x1.4784da2185c4ep-20, -0x1.3af9bb4523626p-20, -0x1.2e8d6fcc30166p-20, -0x1.223fff2c577d8p-20, -0x1.16116f06cf764p-20, -0x1.0a01848ff013fp-20, -0x1.fc1f2c11a0593p-21, -0x1.e47769955e586p-21, -0x1.cd0e23c8fa468p-21, }}, 
      {{0x1.ffdf8b7217e8cp-1, 0x1.ff7ed3ded24fp-1, 0x1.fedfb9fbdf4c1p-1, 0x1.fe052a4fde86ap-1, 0x1.fcf2dd532371bp-1, 0x1.fbad12b724799p-1, 0x1.fa384fa6da725p-1, 0x1.f89923e4d1381p-1, 0x1.f6d3f861ea586p-1, 0x1.f4ece94366372p-1, 0x1.f2e7ac0874c92p-1, 0x1.f0c780f0ac7cep-1, 0x1.ee8f2da06de3fp-1, 0x1.ec40fe8f5526dp-1, 0x1.e9deccf10ac81p-1, 0x1.e76a073e4af1dp-1, 0x1.e4e3bb0fbe318p-1, 0x1.e24c9f7a1e568p-1, 0x1.dfa51f7ae15b6p-1, 0x1.dced6443350f1p-1, 0x1.da255f502800cp-1, 0x1.d74cd449d6c1ep-1, 0x1.d46362a05f59fp-1, 0x1.d1688ed3d2cp-1, 0x1.ce5bcb4a4570bp-1, 0x1.cb3c80904876fp-1, 0x1.c80a14de4deep-1, 0x1.c4c3f2c0fa59fp-1, 0x1.c1698eca0ed4fp-1, 0x1.bdfa6c3a0422ep-1, 0x1.ba76209de9f49p-1, 0x1.b6dc566839303p-1, 0x1.b32cce94f7b5dp-1, 0x1.af67617128a26p-1, 0x1.ab8bfea2c8be6p-1, 0x1.a79aac918431dp-1, 0x1.a393875135f86p-1, 0x1.9f76bf2e5d873p-1, 0x1.9b4496fa8b2b1p-1, 0x1.96fd6233a2541p-1, 0x1.92a1831d22b9ep-1, 0x1.8e3168deb7b44p-1, 0x1.89ad8db754f49p-1, 0x1.8516755060069p-1, 0x1.806cab38e3e76p-1, 0x1.7bb0c18db261dp-1, 0x1.76e34fd0a5b2bp-1, 0x1.7204f1eefba41p-1, 0x1.6d164774f69c6p-1, 0x1.6817f2eb8ce02p-1, 0x1.630a995bf984cp-1, 0x1.5deee1f452a77p-1, 0x1.58c575c7fa6a2p-1, 0x1.538effa69d086p-1, 0x1.4e4c2c049b6c9p-1, 0x1.48fda8effb48bp-1, 0x1.43a4260d67a11p-1, 0x1.3e405499499cep-1, 0x1.38d2e7698a71cp-1, 0x1.335c92ed2538p-1, 0x1.2dde0d2743ac3p-1, 0x1.28580da42e0fap-1, 0x1.22cb4d66d7e09p-1, 0x1.1d3886ce5b3eep-1, 0x1.17a0757310505p-1, 0x1.1203d5fb5b3dep-1, 0x1.0c6365e89155ap-1, 0x1.06bfe35c9a756p-1, 0x1.011a0cd924455p-1, 0x1.f6e541f2be2c5p-2, 0x1.eb94bc4eab053p-2, 0x1.e044049bf6505p-2, 0x1.d4f4951224341p-2, 0x1.c9a7e5a8002d4p-2, 0x1.be5f6b713d5ccp-2, 0x1.b31c97fe0a02fp-2, 0x1.a7e0d8be5cea6p-2, 0x1.9cad966a92b34p-2, 0x1.91843472ca3b3p-2, 0x1.8666107629719p-2, 0x1.7b5481c2ffff9p-2, 0x1.7050d8e0960b5p-2, 0x1.655c5f232da7fp-2, 0x1.5a78564aa325cp-2, 0x1.4fa5f82bdadffp-2, 0x1.44e676650d3edp-2, 0x1.3a3afa1cdf561p-2, 0x1.2fa4a3cc0ef42p-2, 0x1.25248b11667afp-2, 0x1.1abbbe8f943d5p-2, 0x1.106b43d46878ap-2, 0x1.06341748fc92bp-2, 0x1.f82e58545279ap-3, 0x1.e42ad911720fap-3, 0x1.d05f72a165d78p-3, 0x1.bccdd4ae4a111p-3, 0x1.a9779cdb87503p-3, 0x1.965e56f78b506p-3, 0x1.83837d36b8e51p-3, 0x1.70e878766bdfdp-3, 0x1.5e8ea086ddf11p-3, 0x1.4c773c7ae9071p-3, 0x1.3aa382fc87894p-3, 0x1.29149aa535a78p-3, 0x1.17cb9a593588fp-3, 0x1.06c989a4edcccp-3, 0x1.ec1ec23722089p-4, 0x1.cb3c156cd3539p-4, 0x1.aaecc468192a2p-4, 0x1.8b326aee01184p-4, 0x1.6c0e89c668535p-4, 0x1.4d828773ce792p-4, 0x1.2f8fb0e731106p-4, 0x1.12373a2f3fdd9p-4, 0x1.eaf47e44b06ecp-5, 0x1.b2b38805b0ae3p-5, 0x1.7bad6c3aaf8acp-5, 0x1.45e3d8c11550ep-5, 0x1.11584fdd1f20bp-5, 0x1.bc18529e10dfbp-6, 0x1.580126b56db2ap-6, 0x1.ecda4f073b934p-7, 0x1.2ebc22c17bf3ap-7, 0x1.d6aa99c5b5e72p-9, -0x1.f2befcfb5757dp-10, -0x1.da937b3a94198p-8, -0x1.9729d3422a027p-7, -0x1.1dfbc78d9891ep-6, -0x1.6dd975fcee1p-6, -0x1.bb2e374715568p-6, -0x1.02fd48c9ab388p-5, -0x1.271fa6e51395cp-5, -0x1.49febb4b9023ap-5, -0x1.6b9b2bbcda645p-5, -0x1.8bf5bdf199ccbp-5, -0x1.ab0f57302187ep-5, -0x1.c8e8fbe651c64p-5, -0x1.e583cf47c8138p-5, -0x1.00708977d6297p-4, -0x1.0d811342a99d9p-4, -0x1.19f443b185d6ep-4, -0x1.25cae81f359bfp-4, -0x1.3105dc68c0837p-4, -0x1.3ba60ac219314p-4, -0x1.45ac6b8aa6749p-4, -0x1.4f1a05215113fp-4, -0x1.57efebb7ec68ap-4, -0x1.602f41259f5c8p-4, -0x1.67d934b82f886p-4, -0x1.6eef0303f735cp-4, -0x1.7571f5b23f5e4p-4, -0x1.7b63634e02c26p-4, -0x1.80c4af0ed6e4fp-4, -0x1.859748a1dae57p-4, -0x1.89dcabf0abb2dp-4, -0x1.8d9660e62d35dp-4, -0x1.90c5fb3130e47p-4, -0x1.936d1a04e393ep-4, -0x1.958d67d6efb69p-4, -0x1.97289a1b71669p-4, -0x1.984070fe952fp-4, -0x1.98d6b71c0ef7cp-4, -0x1.98ed413457a83p-4, -0x1.9885eddfc373ap-4, -0x1.97a2a53f83fb4p-4, -0x1.964558aca50e1p-4, -0x1.9470026519214p-4, -0x1.9224a536f885p-4, -0x1.8f654c29f1385p-4, -0x1.8c340a2722777p-4, -0x1.8892f99f64e7fp-4, -0x1.84843c3036f7bp-4, -0x1.8009fa47563b8p-4, -0x1.7b2662c541f89p-4, -0x1.75dbaa9ea5c88p-4, -0x1.702c0c7cf25e5p-4, -0x1.6a19c85e1f7ep-4, -0x1.63a72333ed87cp-4, -0x1.5cd6668297d07p-4, -0x1.55a9dfff39649p-4, -0x1.4e23e12e0197bp-4, -0x1.4646bf004d225p-4, -0x1.3e14d172d2995p-4, -0x1.3590732c0e68p-4, -0x1.2cbc011af5281p-4, -0x1.2399da162286fp-4, -0x1.1a2c5e7b989a7p-4, -0x1.1075efd12d041p-4, -0x1.0678f065cdeffp-4, -0x1.f86f85e751ec5p-5, -0x1.e3699486c3365p-5, -0x1.cde4d1a0d42bfp-5, -0x1.b7e600dd111f5p-5, -0x1.a171e3e171128p-5, -0x1.8a8d39a2e31afp-5, -0x1.733cbdb8c7708p-5, -0x1.5b8527b3991d1p-5, -0x1.436b2a76d7c92p-5, -0x1.2af373964fe5ep-5, -0x1.1222aab6f982p-5, -0x1.f1fae1e6c7284p-6, -0x1.bf10c087c8c17p-6, -0x1.8b9015d55a7b5p-6, -0x1.5781f5c781feap-6, -0x1.22ef62b1bb314p-6, -0x1.dbc298664ec04p-7, -0x1.70c11c5d3bc34p-7, -0x1.04ebdf9701b3dp-7, -0x1.30a889fa00876p-8, -0x1.585c11b2feec1p-10, 0x1.0b75888f2c9d2p-9, 0x1.62ab24828565fp-8, 0x1.204c6ac49f481p-7, 0x1.8fb17c5b5b094p-7, 0x1.ff748d4564ac8p-7, 0x1.37c2cd65a1e4bp-6, 0x1.6fea6d51880b9p-6, 0x1.a8295e2251e08p-6, 0x1.e077f51651ab8p-6, 0x1.0c6752c3b488ep-5, 0x1.289300bdf639cp-5, 0x1.44bb5d17a1da2p-5, 0x1.60dcd04930e25p-5, 0x1.7cf3d2e203d4bp-5, 0x1.98fcedc0b7f6ep-5, 0x1.b4f4ba474757dp-5, 0x1.d0d7e28b7a998p-5, 0x1.eca3218384bbdp-5, 0x1.0429a19760682p-4, 0x1.11f2925d6c823p-4, 0x1.1faada52ac07fp-4, 0x1.2d50f96cb19dep-4, 0x1.3ae378652ddacp-4, 0x1.4860e8c55b73cp-4, 0x1.55c7e4efd58eep-4, 0x1.63171028c6765p-4, 0x1.704d169c6df9bp-4, 0x1.7d68ad642d65fp-4, 0x1.8a689289ef911p-4, 0x1.974b8d0a29a9ep-4, 0x1.a4106cd44d0a5p-4, 0x1.b0b60ac9ed131p-4, 0x1.bd3b48bc55aebp-4, 0x1.c99f1168f204bp-4, 0x1.d5e058744e66ap-4, 0x1.e1fe1a63d76c9p-4, 0x1.edf75c96539d4p-4, 0x1.f9cb2d3b3e54bp-4, 0x1.02bc51a4713f4p-3, 0x1.087f6f38ab472p-3, 0x1.0e2e838b384b8p-3, 0x1.13c9271e4c0e3p-3, 0x1.194ef6be4c672p-3, 0x1.1ebf937a3dba9p-3, 0x1.241aa29bb368cp-3, 0x1.295fcd9e4a5f8p-3, 0x1.2e8ec226b233dp-3, 0x1.33a731f94847bp-3, 0x1.38a8d2f04c05fp-3, 0x1.3d935ef1aa71dp-3, 0x1.426693e46f1cdp-3, 0x1.472233a5cc702p-3, 0x1.4bc603fddbd58p-3, 0x1.5051ce93f9996p-3, 0x1.54c560e2da6edp-3, 0x1.59208c2c4c81fp-3, 0x1.5d63256cb4cf8p-3, 0x1.618d054e3f153p-3, 0x1.659e081bd8fa2p-3, 0x1.69960db3db6a8p-3, 0x1.6d74f97a8a9b7p-3, 0x1.713ab24c595d3p-3, 0x1.74e7226feedb4p-3, 0x1.787a37880a0e1p-3, 0x1.7bf3e2852ea38p-3, 0x1.7f54179726ce1p-3, 0x1.829ace1e6487dp-3, 0x1.85c8009d3a5f3p-3, 0x1.88dbaca8ee718p-3, 0x1.8bd5d2dabd8f8p-3, 0x1.8eb676c0b429ep-3, 0x1.917d9ece76872p-3, 0x1.942b544df21a8p-3, 0x1.96bfa35001a9cp-3, 0x1.993a9a9cf2a95p-3, 0x1.9b9c4ba510c07p-3, 0x1.9de4ca7116eabp-3, 0x1.a0142d92a179cp-3, 0x1.a22a8e1493c76p-3, 0x1.a428076b816bcp-3, 0x1.a60cb766122cfp-3, 0x1.a7d8be1d66cf1p-3, 0x1.a98c3de589549p-3, 0x1.ab275b3dd5536p-3, 0x1.acaa3cc173a3fp-3, 0x1.ae150b17e260fp-3, 0x1.af67f0e578816p-3, 0x1.b0a31abc083b8p-3, 0x1.b1c6b70b8f7adp-3, 0x1.b2d2f612ee7e6p-3, 0x1.b3c809d0c0c51p-3, 0x1.b4a625f43fa6fp-3, 0x1.b56d7fce48febp-3, 0x1.b61e4e4270619p-3, 0x1.b6b8c9b838cd8p-3, 0x1.b73d2c0c5d4b1p-3, 0x1.b7abb082458adp-3, 0x1.b80493b585f1bp-3, 0x1.b848138b9a948p-3, 0x1.b8766f25aaff5p-3, 0x1.b88fe6d27e5dap-3, 0x1.b894bc0095758p-3, 0x1.b88531305fe7p-3, 0x1.b86189e6a4701p-3, 0x1.b82a0a9f08db4p-3, 0x1.b7def8bec507ep-3, 0x1.b7809a8782ce7p-3, 0x1.b70f370a673cap-3, 0x1.b68b161b42854p-3, 0x1.b5f48043f83b6p-3, 0x1.b54bbeb80494dp-3, 0x1.b4911b4846488p-3, 0x1.b3c4e056dd89p-3, 0x1.b2e758cb55c38p-3, 0x1.b1f8d006e55c8p-3, 0x1.b0f991d8f8304p-3, 0x1.afe9ea73d4772p-3, 0x1.aeca266183649p-3, 0x1.ad9a9278e3fedp-3, 0x1.ac5b7bd2f019bp-3, 0x1.ab0d2fc03c40bp-3, 0x1.a9affbbe9f36p-3, 0x1.a8442d6f19a7dp-3, 0x1.a6ca128bf0e9ep-3, 0x1.a541f8def062fp-3, 0x1.a3ac2e37f077fp-3, 0x1.a2090063915c1p-3, 0x1.a058bd2219106p-3, 0x1.9e9bb21e9facbp-3, 0x1.9cd22ce65df5fp-3, 0x1.9afc7ae038a68p-3, 0x1.991ae944815dfp-3, 0x1.972dc514eb76fp-3, 0x1.95355b14b8474p-3, 0x1.9331f7c1103bap-3, 0x1.9123e7499d0bcp-3, 0x1.8f0b758951aacp-3, 0x1.8ce8edff6299p-3, 0x1.8abc9bc87e6c5p-3, 0x1.8886c9982d0b4p-3, 0x1.8647c1b26f1fap-3, 0x1.83ffcde586df7p-3, 0x1.81af3783fca6ep-3, 0x1.7f56475ecc08p-3, 0x1.7cf545bfd02fep-3, 0x1.7a8c7a64537a7p-3, 0x1.781c2c77e1e05p-3, 0x1.75a4a28f3db2dp-3, 0x1.732622a3883cfp-3, 0x1.70a0f20da6357p-3, 0x1.6e155581c2186p-3, 0x1.6b83910b096fep-3, 0x1.68ebe80797da9p-3, 0x1.664e9d248eed8p-3, 0x1.63abf25a568d7p-3, 0x1.610428e913cfep-3, 0x1.5e5781554853fp-3, 0x1.5ba63b64968b4p-3, 0x1.58f0961abf30dp-3, 0x1.5636cfb6bd888p-3, 0x1.537925b0131e2p-3, 0x1.50b7d4b43a395p-3, 0x1.4df318a4460d7p-3, 0x1.4b2b2c92a457ap-3, 0x1.48604ac10bd83p-3, 0x1.4592ac9e8a76bp-3, 0x1.42c28ac5c74bfp-3, 0x1.3ff01cfb57244p-3, 0x1.3d1b9a2c45c8ep-3, 0x1.3a45386cba8ep-3, 0x1.376d2cf6c3948p-3, 0x1.3493ac29451c1p-3, 0x1.31b8e98701768p-3, 0x1.2edd17b5d07adp-3, 0x1.2c00687dea51fp-3, 0x1.29230cc95c7c8p-3, 0x1.264534a394d5ap-3, 0x1.23670f3910a6bp-3, 0x1.2088cad727e04p-3, 0x1.1daa94ebf4792p-3, 0x1.1acc9a0657b57p-3, 0x1.17ef05d6172dcp-3, 0x1.1512032c1a614p-3, 0x1.1235bbfabac19p-3, 0x1.0f5a595636edp-3, 0x1.0c8003753158bp-3, 0x1.09a6e1b1568f9p-3, 0x1.06cf1a880ee09p-3, 0x1.03f8d39b47cd1p-3, 0x1.012431b25b5fp-3, 0x1.fca2b176041bp-4, 0x1.f700d794c350bp-4, 0x1.f1631a3c5831p-4, 0x1.ebc9bc3ba1339p-4, 0x1.e634feb78420ap-4, 0x1.e0a5212d9dec8p-4, 0x1.db1a61770b32ep-4, 0x1.d594fbcb65798p-4, 0x1.d0152ac3ccc38p-4, 0x1.ca9b275e1615ap-4, 0x1.c527290024341p-4, 0x1.bfb9657b43e3fp-4, 0x1.ba52110fbcf4ap-4, 0x1.b4f15e706a51ap-4, 0x1.af977ec67706ap-4, 0x1.aa44a1b5224c8p-4, 0x1.a4f8f55db69b7p-4, 0x1.9fb4a6637b75p-4, 0x1.9a77dfefc192cp-4, 0x1.9542cbb60adf6p-4, 0x1.901591f84191ep-4, 0x1.8af0598af8412p-4, 0x1.85d347d9c31fap-4, 0x1.80be80eb9d5a9p-4, 0x1.7bb227675c055p-4, 0x1.76ae5c982ebcep-4, 0x1.71b340722aadp-4, 0x1.6cc0f196e53d7p-4, 0x1.67d78d5a12cacp-4, 0x1.62f72fc636f72p-4, 0x1.5e1ff3a155aefp-4, 0x1.5951f271b1324p-4, 0x1.548d44828ac1ep-4, 0x1.4fd200e8edad4p-4, 0x1.4b203d888088cp-4, 0x1.46780f1850962p-4, 0x1.41d98927b0e06p-4, 0x1.3d44be2310e65p-4, 0x1.38b9bf58d8e64p-4, 0x1.34389cfe4764ap-4, 0x1.2fc166344f945p-4, 0x1.2b54290c7d329p-4, 0x1.26f0f28dceb65p-4, 0x1.2297ceb9973cdp-4, 0x1.1e48c89054da1p-4, 0x1.1a03ea1692b2ap-4, 0x1.15c93c59bcd59p-4, 0x1.1198c774f3e9p-4, 0x1.0d729295e07d4p-4, 0x1.0956a4017d669p-4, 0x1.05450118e2cb1p-4, 0x1.013dae5e007acp-4, 0x1.fa815ef0c65e1p-5, 0x1.f29c0e73d2ddp-5, 0x1.eacb6f46db6a7p-5, 0x1.e30f83d2eb13ep-5, 0x1.db684cf19df81p-5, 0x1.d3d5c9f65593p-5, 0x1.cc57f8b761139p-5, 0x1.c4eed59703361p-5, 0x1.bd9a5b8c7ba3fp-5, 0x1.b65a842cf04e2p-5, 0x1.af2f47b444225p-5, 0x1.a8189d0de38bcp-5, 0x1.a11679dd779f1p-5, 0x1.9a28d28772ebdp-5, 0x1.934f9a39ad7p-5, 0x1.8c8ac2f3d0b09p-5, 0x1.85da3d8fac9a7p-5, 0x1.7f3df9c981d45p-5, 0x1.78b5e648309fap-5, 0x1.7241f0a54d55ap-5, 0x1.6be20575234dp-5, 0x1.6596104e95449p-5, 0x1.5f5dfbd2e63b1p-5, 0x1.5939b1b58733dp-5, 0x1.53291ac3951dp-5, 0x1.4d2c1eeb6fb1cp-5, 0x1.4742a5441b3a4p-5, 0x1.416c94148de47p-5, 0x1.3ba9d0daedfb9p-5, 0x1.35fa4053a4d86p-5, 0x1.305dc6806744p-5, 0x1.2ad446af15098p-5, 0x1.255da38086967p-5, 0x1.1ff9beef4a6cp-5, 0x1.1aa87a562d6f2p-5, 0x1.1569b676b57fcp-5, 0x1.103d537f97d78p-5, 0x1.0b233112e7fb9p-5, 0x1.061b2e4c5845fp-5, 0x1.012529c7335cbp-5, 0x1.f8820348ddfc3p-6, 0x1.eedd2720d131ap-6, 0x1.e55b799184869p-6, 0x1.dbfcb443ee6fep-6, 0x1.d2c09019e1574p-6, 0x1.c9a6c538d42bcp-6, 0x1.c0af0b14a98aap-6, 0x1.b7d9187a25474p-6, 0x1.af24a39918c3bp-6, 0x1.a691620e8c796p-6, 0x1.9e1f08ee8eba9p-6, 0x1.95cd4ccde86afp-6, 0x1.8d9be1cb66c1fp-6, 0x1.858a7b9954e74p-6, 0x1.7d98cd8676e54p-6, 0x1.75c68a86c5fa5p-6, 0x1.6e13653c409ecp-6, 0x1.667f0fff55e99p-6, 0x1.5f093ce72dc67p-6, 0x1.57b19dd1b4a74p-6, 0x1.5077e46b92cd1p-6, 0x1.495bc237c8cb2p-6, 0x1.425ce8975da1p-6, 0x1.3b7b08d0839cbp-6, 0x1.34b5d415e3f1p-6, 0x1.2e0cfb8d9d98p-6, 0x1.27803057dcc3ep-6, 0x1.210f2395c992ap-6, 0x1.1ab9866fb6a59p-6, 0x1.147f0a1b8a20fp-6, 0x1.0e5f5fe2daacbp-6, 0x1.085a3928c128bp-6, 0x1.026f476fbeca2p-6, 0x1.f93c78be924b9p-7, 0x1.edcd9392742a4p-7, 0x1.e291435e46ea5p-7, 0x1.d786ec8ecb59dp-7, 0x1.ccadf4044bab1p-7, 0x1.c205bf1c47069p-7, 0x1.b78db3bae202p-7, 0x1.ad453853c1e8p-7, 0x1.a32bb3f2d44bcp-7, 0x1.99408e44e28a9p-7, 0x1.8f832f9f8a7d6p-7, 0x1.85f3010972464p-7, 0x1.7c8f6c414d883p-7, 0x1.7357dbc6129d3p-7, 0x1.6a4bbadd395d2p-7, 0x1.616a7599f4687p-7, 0x1.58b378e3cb69dp-7, 0x1.5026327cab6bcp-7, 0x1.47c211071d2e2p-7, 0x1.3f86840c07effp-7, 0x1.3772fc00404a5p-7, 0x1.2f86ea49e92a5p-7, 0x1.27c1c14578e4p-7, 0x1.2022f44aa0272p-7, 0x1.18a9f7b11f383p-7, 0x1.115640d4b8937p-7, 0x1.0a274619ffd09p-7, 0x1.031c7ef1f1c7p-7, 0x1.f86ac7bbf9ba6p-8, 0x1.eae2dce6b878ep-8, 0x1.dda032bda9612p-8, 0x1.d0a1c0cf3c011p-8, 0x1.c3e680e517c7dp-8, 0x1.b76d6f09c676bp-8, 0x1.ab35898e0bd0bp-8, 0x1.9f3dd10db23e3p-8, 0x1.9385487459b0cp-8, 0x1.880af501a65e1p-8, 0x1.7ccdde4d0d3f2p-8, 0x1.71cd0e4a03eb7p-8, 0x1.6707914a5d7cdp-8, 0x1.5c7c760280e3fp-8, 0x1.522acd8ad493p-8, 0x1.4811ab635a4a8p-8, 0x1.3e302574d5858p-8, 0x1.34855413691adp-8, 0x1.2b1051ffa6dc6p-8, 0x1.21d03c68314cfp-8, 0x1.18c432ea9895p-8, 0x1.0feb5794724c6p-8, 0x1.0744cee37ab0bp-8, 0x1.fd9f7f8d0b2ddp-9, 0x1.ed16a739f1ffcp-9, 0x1.dced6c6e776e1p-9, 0x1.cd222babf3b83p-9, 0x1.bdb34653e350fp-9, 0x1.ae9f22a594f51p-9, 0x1.9fe42bbda31ffp-9, 0x1.9180d191d753bp-9, 0x1.837388f094eb2p-9, 0x1.75bacb7c0b9ep-9, 0x1.685517a81d52dp-9, 0x1.5b40f0b6509a9p-9, 0x1.4e7cdeb1a706ep-9, 0x1.42076e6a5aba7p-9, 0x1.35df31719a4a3p-9, 0x1.2a02be1437862p-9, 0x1.1e70af55b0e5dp-9, 0x1.1327a4eabe8abp-9, 0x1.0826433377ad8p-9, 0x1.fad6666ac42e6p-10, 0x1.e5ea452b46c17p-10, 0x1.d1858723b6b95p-10, 0x1.bda599f38dd39p-10, 0x1.aa47f45188bf6p-10, 0x1.976a15fc6e5fcp-10, 0x1.850987acabdap-10, 0x1.7323db0639d3p-10, 0x1.61b6aa87b6b9ep-10, 0x1.50bf997c6a6b7p-10, 0x1.403c53eb1f2fep-10, 0x1.302a8e866d23fp-10, 0x1.2088069c14b11p-10, 0x1.1152820472ea9p-10, 0x1.0287cf0ff8ac6p-10, 0x1.e84b88ef0ae2dp-11, 0x1.cc54829412aefp-11, 0x1.b12659b418761p-11, 0x1.96bced5a5954p-11, 0x1.7d142cd0546f6p-11, 0x1.6428177b991a7p-11, 0x1.4bf4bcb645511p-11, 0x1.34763babee2a6p-11, 0x1.1da8c330eb6b4p-11, 0x1.0788919ed5753p-11, 0x1.e423e95a365f2p-12, 0x1.ba829292797cp-12, 0x1.9225f6e5d050cp-12, 0x1.6b070c2443897p-12, 0x1.451ee5a1d2ef9p-12, 0x1.2066b3e8a6e4cp-12, 0x1.f9af88d59d25ap-13, 0x1.b4d7026293cf2p-13, 0x1.7236e11cb445ap-13, 0x1.31c2699c5d505p-13, 0x1.e6da2f8f71d2p-14, 0x1.6e553c7e20f5fp-14, 0x1.f3bb96cfef93ep-15, 0x1.12b83133ae277p-15, 0x1.cb8ca0e48b4c8p-18, -0x1.308c472c02a0fp-16, -0x1.629c0ab212dadp-15, -0x1.12de351568594p-14, -0x1.70e960bc83912p-14, -0x1.cb84e499dbdcap-14, -0x1.1162dd5bd0312p-13, -0x1.3b603e1103232p-13, -0x1.63c4b10f92143p-13, -0x1.8a9a23b1dceep-13, -0x1.afea54a7dc636p-13, -0x1.d3bed49474babp-13, -0x1.f62106a325216p-13, -0x1.0b8d10951793ap-12, -0x1.1b59971bdadbcp-12, -0x1.2a7a861b72e5ap-12, -0x1.38f4374064ebcp-12, -0x1.46caeefc6d052p-12, -0x1.5402dcce2634ep-12, -0x1.60a01b8e49b8bp-12, -0x1.6ca6b1b8e20fep-12, -0x1.781a91b7a0f11p-12, -0x1.82ff9a2c8ad1dp-12, -0x1.8d5996380cca3p-12, -0x1.972c3dc2c1871p-12, -0x1.a07b35c586c95p-12, -0x1.a94a10915c67ep-12, -0x1.b19c4e12d71c9p-12, -0x1.b9755c1de66b9p-12, -0x1.c0d896af83475p-12, -0x1.c7c94832cf282p-12, -0x1.ce4aa9c7e2963p-12, -0x1.d45fe3866109p-12, -0x1.da0c0cc01de3bp-12, -0x1.df522c464b505p-12, -0x1.e43538a9931d4p-12, -0x1.e8b8187cab102p-12, -0x1.ecdda2946d4fap-12, -0x1.f0a89e4a067b7p-12, -0x1.f41bc3b85f497p-12, -0x1.f739bbfda4e1ep-12, -0x1.fa05217775e2ap-12, -0x1.fc808002a19d8p-12, -0x1.feae553748f2ap-12, -0x1.00488852f2e05p-11, -0x1.01158a0a0c576p-11, -0x1.01bf59db05829p-11, -0x1.02471b354dd78p-11, -0x1.02adeafa89f84p-11, -0x1.02f4df9b063f1p-11, -0x1.031d09325dc16p-11, -0x1.032771a38138fp-11, -0x1.03151cb4768afp-11, -0x1.02e7082931b93p-11, -0x1.029e2bdf78e43p-11, -0x1.023b79e925ea8p-11, -0x1.01bfdea6c1e07p-11, -0x1.012c40e162085p-11, -0x1.008181e46ceacp-11, -0x1.ff80fb2f0a16bp-12, -0x1.fdd4152e944b2p-12, -0x1.fbfdf49bf87c2p-12, -0x1.fa003218fd417p-12, -0x1.f7dc5c43e850fp-12, -0x1.f593f7e7f0f59p-12, -0x1.f328802bc406bp-12, -0x1.f09b66c07cf81p-12, -0x1.edee140f01ee9p-12, -0x1.eb21e7662eff6p-12, -0x1.e838372580512p-12, -0x1.e53250eb01758p-12, -0x1.e21179bd47e64p-12, -0x1.ded6ee36ce97ap-12, -0x1.db83e2afb7b6fp-12, -0x1.d81983681103bp-12, -0x1.d498f4af7e871p-12, -0x1.d103530e968a3p-12, -0x1.cd59b36df0076p-12, -0x1.c99d233e04532p-12, -0x1.c5cea89ccd9b6p-12, -0x1.c1ef427c7b463p-12, -0x1.bdffe8c886a1bp-12, -0x1.ba018c8a8a545p-12, -0x1.b5f5180e81942p-12, -0x1.b1db6f06cff9ap-12, -0x1.adb56eae83cebp-12, -0x1.a983eded25962p-12, -0x1.a547bd77b123dp-12, -0x1.a101a7f33ccep-12, -0x1.9cb2721482944p-12, -0x1.985adac18782p-12, -0x1.93fb9b30d3c5ap-12, -0x1.8f95670950f51p-12, -0x1.8b28ec80e7387p-12, -0x1.86b6d47aaba9dp-12, -0x1.823fc2a57b3edp-12, -0x1.7dc45598927c1p-12, -0x1.794526f047d5ep-12, -0x1.74c2cb6c0c93ep-12, -0x1.703dd308010cfp-12, -0x1.6bb6c919cfe86p-12, -0x1.672e346b9578bp-12, -0x1.62a4975652e4fp-12, -0x1.5e1a6fdb259edp-12, -0x1.599037bd8c28bp-12, -0x1.5506649d3c122p-12, -0x1.507d680d7e4cap-12, -0x1.4bf5afad48a68p-12, -0x1.476fa540bc691p-12, -0x1.42ebaec71895ap-12, -0x1.3e6a2e91b88dfp-12, -0x1.39eb835b69335p-12, -0x1.3570085de2e5ap-12, -0x1.30f8156793abcp-12, -0x1.2c83fef1280ebp-12, -0x1.28141631ff6fap-12, -0x1.23a8a93578fd1p-12, -0x1.1f4202ee4cc1fp-12, -0x1.1ae06b4a88a33p-12, -0x1.16842747246dep-12, -0x1.122d790320cdbp-12, -0x1.0ddc9fd13c9fdp-12, -0x1.0991d84b5eabap-12, -0x1.054d5c63d977fp-12, -0x1.010f63777b23ap-12, -0x1.f9b044bc45e0fp-13, -0x1.f14f96f7e7107p-13, -0x1.e8fd1da3d1f58p-13, -0x1.e0b9341c65ad7p-13, -0x1.d8843137f093bp-13, -0x1.d05e6764ad179p-13, -0x1.c84824c9aa2b8p-13, -0x1.c041b362c87fp-13, -0x1.b84b591e311f7p-13, -0x1.b06557fa030b2p-13, -0x1.a88fee1f2393ap-13, -0x1.a0cb55fe1dad2p-13, -0x1.9917c668ac415p-13, -0x1.917572ad6bc11p-13, -0x1.89e48aafd2be8p-13, -0x1.82653b0347abcp-13, -0x1.7af7ad03235d8p-13, -0x1.739c06ea7000fp-13, -0x1.6c526bec6704ep-13, -0x1.651afc4ac511cp-13, -0x1.5df5d56d2fd33p-13, -0x1.56e311f67f531p-13, -0x1.4fe2c9db046ecp-13, -0x1.48f51275e435bp-13, -0x1.4219fe9d1967ep-13, -0x1.3b519eb5cd52cp-13, -0x1.349c00c8ea53ep-13, -0x1.2df93095cc783p-13, -0x1.276937a4f21c8p-13, -0x1.20ec1d5ab027p-13, -0x1.1a81e70a0de39p-13, -0x1.142a9804d94dep-13, -0x1.0de631adba10dp-13, -0x1.07b4b389ac4d7p-13, -0x1.01961b4ebb04fp-13, -0x1.f714c9eb10c3fp-14, -0x1.eb231590b0998p-14, -0x1.df570ae42b2e9p-14, -0x1.d3b0981bb5565p-14, -0x1.c82fa86a71514p-14, -0x1.bcd4241c63ecp-14, -0x1.b19df0b2b7147p-14, -0x1.a68cf0fde39a7p-14, -0x1.9ba105397802ep-14, -0x1.90da0b24a5088p-14, -0x1.8637de1ba2488p-14, -0x1.7bba57301b998p-14, -0x1.71614d411cdc1p-14, -0x1.672c95125279ep-14, -0x1.5d1c0161c977ep-14, -0x1.532f62ff5ad5bp-14, -0x1.496688e114448p-14, -0x1.3fc1403928af1p-14, -0x1.363f54884c8a3p-14, -0x1.2ce08fb3925ddp-14, -0x1.23a4ba175a435p-14, -0x1.1a8b9a99190dcp-14, -0x1.1194f6ba64112p-14, -0x1.08c092aa58a26p-14, -0x1.000e3157a3055p-14, -0x1.eefb28ff72335p-15, -0x1.de1cf982c655dp-15, -0x1.cd815355d128bp-15, -0x1.bd27b39462078p-15, -0x1.ad0f9576bc902p-15, -0x1.9d38727037c8p-15, -0x1.8da1c24a6ae95p-15, -0x1.7e4afb408d58bp-15, -0x1.6f33921bac9e6p-15, -0x1.605afa4b2b363p-15, -0x1.51c0a5fe4df2cp-15, -0x1.4364063cd51a9p-15, -0x1.35448afedc54ep-15, -0x1.2761a3432f5ap-15, -0x1.19babd258be7bp-15, -0x1.0c4f45f59bd0fp-15, -0x1.fe3d54955f04p-16, -0x1.e450ac307e13ap-16, -0x1.cad76983e9ec5p-16, -0x1.b1d0625b47ec6p-16, -0x1.993a6bacd360fp-16, -0x1.811459bdced1ap-16, -0x1.695d0044fa03ap-16, -0x1.52133288f1b5bp-16, -0x1.3b35c38449032p-16, -0x1.24c38601d04bbp-16, -0x1.0ebb4cbc7500fp-16, -0x1.f237d4f56234bp-17, -0x1.c7c86457dd3bap-17, -0x1.9e25ee075b287p-17, -0x1.754e1923eb091p-17, }}, 
      {{0x1.ffe56e68cf1efp-1, 0x1.ff96165af699cp-1, 0x1.ff13069829a7fp-1, 0x1.fe5debdc8879bp-1, 0x1.fd78f47f8bbabp-1, 0x1.fc66b0743fc2bp-1, 0x1.fb29f135d8d93p-1, 0x1.f9c5aba112943p-1, 0x1.f83cdcec0f5b8p-1, 0x1.f69273a2e009cp-1, 0x1.f4c93d41eeb84p-1, 0x1.f2e3d89729e81p-1, 0x1.f0e4ac9f93874p-1, 0x1.eecde343ce74bp-1, 0x1.eca1672fc0ba7p-1, 0x1.ea60e400ea68p-1, 0x1.e80dc81e8e66bp-1, 0x1.e5a947b11e2a2p-1, 0x1.e3346051cf559p-1, 0x1.e0afdd2a5b914p-1, 0x1.de1c5b552ad95p-1, 0x1.db7a4e5f1d373p-1, 0x1.d8ca04d6bc7f9p-1, 0x1.d60bacda24353p-1, 0x1.d33f58972e48bp-1, 0x1.d06502b1c8152p-1, 0x1.cd7c92840db56p-1, 0x1.ca85e02ba2a97p-1, 0x1.c780b85834a0bp-1, 0x1.c46cdfd0580fbp-1, 0x1.c14a16a3d7476p-1, 0x1.be181b04fdbb9p-1, 0x1.bad6abc5282acp-1, 0x1.b7858a7399414p-1, 0x1.b4247d202c2b9p-1, 0x1.b0b34fc5c03cap-1, 0x1.ad31d56210edfp-1, 0x1.a99fe8c215b17p-1, 0x1.a5fd6d0af0cb3p-1, 0x1.a24a4e07ff295p-1, 0x1.9e868046bdf07p-1, 0x1.9ab201090a815p-1, 0x1.96ccd615e52a5p-1, 0x1.92d70d7035997p-1, 0x1.8ed0bcfa62a65p-1, 0x1.8aba020cc08b4p-1, 0x1.86930103fc176p-1, 0x1.825be4cbe4599p-1, 0x1.7e14de6a17448p-1, 0x1.79be248b6303dp-1, 0x1.7557f315fb9c5p-1, 0x1.70e28ac20144p-1, 0x1.6c5e30b959d66p-1, 0x1.67cb2e3f5b9d2p-1, 0x1.6329d06076ba6p-1, 0x1.5e7a67a9adb4ap-1, 0x1.59bd47e782533p-1, 0x1.54f2c7ebbfb6fp-1, 0x1.501b4159769c1p-1, 0x1.4b3710766ae7ep-1, 0x1.4646940129161p-1, 0x1.414a2d0afb685p-1, 0x1.3c423ed4fe6ep-1, 0x1.372f2eaf9f793p-1, 0x1.321163dbdef96p-1, 0x1.2ce9476dc75c9p-1, 0x1.27b7442f98eadp-1, 0x1.227bc685410f4p-1, 0x1.1d373c4fc97dcp-1, 0x1.17ea14d07c5c6p-1, 0x1.1294c08b91adap-1, 0x1.0d37b12a441d7p-1, 0x1.07d3595c44d6bp-1, 0x1.02682cb884b3ap-1, 0x1.f9ed3f3acbd67p-2, 0x1.eefe4e20c1923p-2, 0x1.e404713a7b0ccp-2, 0x1.d9009469fa6b8p-2, 0x1.cdf3a41937f8p-2, 0x1.c2de8cf79c01cp-2, 0x1.b7c23bb7c628fp-2, 0x1.ac9f9ccdf0c9cp-2, 0x1.a1779c2f3d106p-2, 0x1.964b251237cp-2, 0x1.8b1b21b0d7c52p-2, 0x1.7fe87b0c4156ap-2, 0x1.74b418b27e06ep-2, 0x1.697ee08667579p-2, 0x1.5e49b689ecb6dp-2, 0x1.53157caade3d6p-2, 0x1.47e3129257e3p-2, 0x1.3cb35576e86d3p-2, 0x1.31871ff1853fcp-2, 0x1.265f49d553db3p-2, 0x1.1b3ca80a53258p-2, 0x1.10200c6adde5cp-2, 0x1.050a45a40833dp-2, 0x1.f3f83e318e4d3p-3, 0x1.ddecc18fb4c9ep-3, 0x1.c7f39e68c4fa9p-3, 0x1.b20e56a224d84p-3, 0x1.9c3e64dbc59f5p-3, 0x1.86853c505b6c8p-3, 0x1.70e448ba330bep-3, 0x1.5b5cee3c6dae8p-3, 0x1.45f089505fac5p-3, 0x1.30a06eb6e1114p-3, 0x1.1b6deb6d48b49p-3, 0x1.065a44a5db52fp-3, 0x1.e2cd6f86e22e9p-4, 0x1.b928f4b022b97p-4, 0x1.8fc9744c9294cp-4, 0x1.66b13a4a131fbp-4, 0x1.3de2830b97812p-4, 0x1.155f7b799beb3p-4, 0x1.da54822ca8832p-5, 0x1.8a89c42a79452p-5, 0x1.3b62baeb4108p-5, 0x1.d9c68c7f2866bp-6, 0x1.3e1e5011ae2fdp-6, 0x1.47a811f0c5c11p-7, 0x1.5dd89a2e660b8p-11, -0x1.191551fdc622ep-7, -0x1.2291a6b7a0a2ap-6, -0x1.b71fd3a093a23p-6, -0x1.251783b68515bp-5, -0x1.6ddca8ce3c9f3p-5, -0x1.b5dc7c6ce03e6p-5, -0x1.fd143d2ce4b01p-5, -0x1.21c0a24e75e85p-4, -0x1.449083779043cp-4, -0x1.66f8895479608p-4, -0x1.88f78829b17acp-4, -0x1.aa8c611601cb9p-4, -0x1.cbb601eb6f3f6p-4, -0x1.ec7365089fb2dp-4, -0x1.0661c89960dc4p-3, -0x1.1652ccb80cddfp-3, -0x1.260c4e717dab2p-3, -0x1.358de352b7853p-3, -0x1.44d726d2b7a5ap-3, -0x1.53e7ba40d2f78p-3, -0x1.62bf44b3631a1p-3, -0x1.715d72f6bfeap-3, -0x1.7fc1f77c688a2p-3, -0x1.8dec8a4a7f1b7p-3, -0x1.9bdce8eb785a8p-3, -0x1.a992d65df8fa2p-3, -0x1.b70e1b04f4f6dp-3, -0x1.c44e8497edb36p-3, -0x1.d153e6135b2f4p-3, -0x1.de1e17a935c8cp-3, -0x1.eaacf6b1a08a9p-3, -0x1.f700659b9b644p-3, -0x1.018c25eeecb9ap-2, -0x1.077a4af3c6cefp-2, -0x1.0d4a9a88a463ep-2, -0x1.12fd0fc6ea3fdp-2, -0x1.1891a82d811f6p-2, -0x1.1e0863993dc4fp-2, -0x1.2361443d39a3fp-2, -0x1.289c4e9b2959ap-2, -0x1.2db9897b9eeacp-2, -0x1.32b8fde6472a2p-2, -0x1.379ab71a0d9dep-2, -0x1.3c5ec28537983p-2, -0x1.41052fbd639b3p-2, -0x1.458e10777c6c4p-2, -0x1.49f9787f91c3ep-2, -0x1.4e477db09be16p-2, -0x1.527837ec283f8p-2, -0x1.568bc111ee196p-2, -0x1.5a8234f74a4d7p-2, -0x1.5e5bb15ea1beep-2, -0x1.621855eeae29ep-2, -0x1.65b84429ae61ap-2, -0x1.693b9f647f3ecp-2, -0x1.6ca28cbd9d3f1p-2, -0x1.6fed33140d131p-2, -0x1.731bbafe2aa97p-2, -0x1.762e4ec06865cp-2, -0x1.79251a43eeabdp-2, -0x1.7c004b0d2dc9ap-2, -0x1.7ec0103259726p-2, -0x1.81649a51cf1e2p-2, -0x1.83ee1b886f36cp-2, -0x1.865cc767dfd7ap-2, -0x1.88b0d2ecc5dfcp-2, -0x1.8aea7474eaaa3p-2, -0x1.8d09e3b55b9e7p-2, -0x1.8f0f59b076d7p-2, -0x1.90fb10abf6e6ep-2, -0x1.92cd4426ede91p-2, -0x1.948630cfc251dp-2, -0x1.9626147a20c17p-2, -0x1.97ad2e14eeb87p-2, -0x1.991bbda038e58p-2, -0x1.9a7204232254ap-2, -0x1.9bb043a1d793dp-2, -0x1.9cd6bf1382b8cp-2, -0x1.9de5ba5844adbp-2, -0x1.9edd7a2f3516fp-2, -0x1.9fbe442c6be5bp-2, -0x1.a0885eaf12d54p-2, -0x1.a13c10d783a94p-2, -0x1.a1d9a27d716b2p-2, -0x1.a2615c26217bfp-2, -0x1.a2d386fab40cp-2, -0x1.a3306cbe7e29p-2, -0x1.a37857c57412bp-2, -0x1.a3ab92eaaade8p-2, -0x1.a3ca6986ebb31p-2, -0x1.a3d5276761667p-2, -0x1.a3cc18c458964p-2, -0x1.a3af8a381e87dp-2, -0x1.a37fc8b5f444cp-2, -0x1.a33d2181200efp-2, -0x1.a2e7e2241a8adp-2, -0x1.a2805867d64c7p-2, -0x1.a206d24b2a233p-2, -0x1.a17b9dfa5325bp-2, -0x1.a0df09c69d006p-2, -0x1.a031641e274c2p-2, -0x1.9f72fb83ca8dep-2, -0x1.9ea41e87237b2p-2, -0x1.9dc51bbcbbb4cp-2, -0x1.9cd641b657e46p-2, -0x1.9bd7defb69eabp-2, -0x1.9aca4201a479ap-2, -0x1.99adb925b6443p-2, -0x1.988292a427edp-2, -0x1.97491c925e04ep-2, -0x1.9601a4d7c5425p-2, -0x1.94ac79271d81fp-2, -0x1.9349e6f7f3663p-2, -0x1.91da3b80368c3p-2, -0x1.905dc3adff41dp-2, -0x1.8ed4cc2173743p-2, -0x1.8d3fa126d8ecp-2, -0x1.8b9e8eb0c6c34p-2, -0x1.89f1e05284988p-2, -0x1.8839e13a8f24p-2, -0x1.8676dc2d3b96bp-2, -0x1.84a91b7f8eddfp-2, -0x1.82d0e912317edp-2, -0x1.80ee8e4c8da8bp-2, -0x1.7f025418123a7p-2, -0x1.7d0c82db9eaep-2, -0x1.7b0d627711c2ap-2, -0x1.79053a3effbc7p-2, -0x1.76f450f88cb3ep-2, -0x1.74daecd5711e6p-2, -0x1.72b95370199b5p-2, -0x1.708fc9c7f721ap-2, -0x1.6e5e943dea021p-2, -0x1.6c25f690d9546p-2, -0x1.69e633da64c85p-2, -0x1.679f8e8bc2717p-2, -0x1.6552486abcadfp-2, -0x1.62fea28ecfb84p-2, -0x1.60a4dd5e6e5cdp-2, -0x1.5e45388c65e9ep-2, -0x1.5bdff31563fcfp-2, -0x1.59754b3d9dbc7p-2, -0x1.57057e8e96bcap-2, -0x1.5490c9d50aa2cp-2, -0x1.5217691ef35e3p-2, -0x1.4f9997b9b05eap-2, -0x1.4d1790304d743p-2, -0x1.4a918c49e564bp-2, -0x1.4807c508250ccp-2, -0x1.457a72a5e9c5ap-2, -0x1.42e9cc95ffe5cp-2, -0x1.40560981f9e29p-2, -0x1.3dbf5f49255a4p-2, -0x1.3b2602ff9af1dp-2, -0x1.388a28ed6ac94p-2, -0x1.35ec048de1201p-2, -0x1.334bc88ee55d6p-2, -0x1.30a9a6d073ec3p-2, -0x1.2e05d06430b82p-2, -0x1.2b60758d0e569p-2, -0x1.28b9c5bf13f8bp-2, -0x1.2611ef9f35658p-2, -0x1.236921034162cp-2, -0x1.20bf86f1ecb34p-2, -0x1.1e154da2eb28ap-2, -0x1.1b6aa07f22a7ep-2, -0x1.18bfaa20f187ap-2, -0x1.161494548b5ccp-2, -0x1.13698818667dp-2, -0x1.10bead9dbe2e2p-2, -0x1.0e142c49289e8p-2, -0x1.0b6a2ab33d953p-2, -0x1.08c0cea94f298p-2, -0x1.06183d2e37268p-2, -0x1.03709a7b2efcfp-2, -0x1.00ca0a00bcd0fp-2, -0x1.fc495ccf60bacp-3, -0x1.f70153245af31p-3, -0x1.f1bc39398962ap-3, -0x1.ec7a4fbf3a09ap-3, -0x1.e73bd5df5775p-3, -0x1.e201093fe919dp-3, -0x1.dcca2605bd074p-3, -0x1.d79766d7208dap-3, -0x1.d26904deb266ep-3, -0x1.cd3f37ce4f42cp-3, -0x1.c81a35e2136f8p-3, -0x1.c2fa33e3719e5p-3, -0x1.bddf652c5fa61p-3, -0x1.b8c9fbaa969f2p-3, -0x1.b3ba27e2e4979p-3, -0x1.aeb018f494447p-3, -0x1.a9abfc9ce4883p-3, -0x1.a4adff3a8a87cp-3, -0x1.9fb64bd14fe4ap-3, -0x1.9ac50c0db7203p-3, -0x1.95da6848aef21p-3, -0x1.90f6878b54935p-3, -0x1.8c198f92c7a0cp-3, -0x1.8743a4d3fdfdbp-3, -0x1.8274ea7fb1386p-3, -0x1.7dad82864beedp-3, -0x1.78ed8d9be4654p-3, -0x1.74352b3c444e4p-3, -0x1.6f8479aef3365p-3, -0x1.6adb960b49bb7p-3, -0x1.663a9c3c9115p-3, -0x1.61a1a706237cfp-3, -0x1.5d10d00794837p-3, -0x1.58882fc0dce7bp-3, -0x1.5407dd9690fe4p-3, -0x1.4f8fefd61717fp-3, -0x1.4b207bb9d9826p-3, -0x1.46b9956d8f67ap-3, -0x1.425b501272537p-3, -0x1.3e05bdc38550bp-3, -0x1.39b8ef99d41b6p-3, -0x1.3574f5b0b87bcp-3, -0x1.3139df2a1c1c1p-3, -0x1.2d07ba32bd022p-3, -0x1.28de94067046ap-3, -0x1.24be78f463ebp-3, -0x1.20a774635c499p-3, -0x1.1c9990d5f50a5p-3, -0x1.1894d7eedb0e5p-3, -0x1.149952750579fp-3, -0x1.10a70857e977fp-3, -0x1.0cbe00b3ac3a3p-3, -0x1.08de41d55094ap-3, -0x1.0507d13ee1133p-3, -0x1.013ab3ab8f822p-3, -0x1.faedda27aff4dp-4, -0x1.f37901632f3bep-4, -0x1.ec16e2084160bp-4, -0x1.e4c77fa8910e6p-4, -0x1.dd8adc70d5d8cp-4, -0x1.d660f930d93ddp-4, -0x1.cf49d563668c4p-4, -0x1.c8456f362cb58p-4, -0x1.c153c39193d0fp-4, -0x1.ba74ce20783a1p-4, -0x1.b3a88957e934cp-4, -0x1.aceeee7ec623ep-4, -0x1.a647f5b54dad1p-4, -0x1.9fb395fca08cap-4, -0x1.9931c53e2d5ccp-4, -0x1.92c278530c2e5p-4, -0x1.8c65a30b4a78ep-4, -0x1.861b38351a5e1p-4, -0x1.7fe329a3f89ap-4, -0x1.79bd6837b8f1ap-4, -0x1.73a9e3e3856f1p-4, -0x1.6da88bb4bac91p-4, -0x1.67b94dd9c172cp-4, -0x1.61dc17a8c6d3bp-4, -0x1.5c10d5a6656fcp-4, -0x1.5657738c3521cp-4, -0x1.50afdc4f4b813p-4, -0x1.4b19fa269eb98p-4, -0x1.4595b6915913bp-4, -0x1.4022fa5d12a36p-4, -0x1.3ac1adabf820dp-4, -0x1.3571b7fad78d2p-4, -0x1.303300271b6b4p-4, -0x1.2b056c74a8c59p-4, -0x1.25e8e293af4d5p-4, -0x1.20dd47a65ab08p-4, -0x1.1be280467529ap-4, -0x1.16f8708ae9afbp-4, -0x1.121efc0d3a8aap-4, -0x1.0d5605eed701ep-4, -0x1.089d70de63519p-4, -0x1.03f51f1ce25e8p-4, -0x1.feb9e50599e0ap-5, -0x1.f5a9990a25de2p-5, -0x1.ecb91c7404796p-5, -0x1.e3e830bc37ee9p-5, -0x1.db3696b193137p-5, -0x1.d2a40e821cc8ep-5, -0x1.ca3057c413051p-5, -0x1.c1db317eee91bp-5, -0x1.b9a45a3426c11p-5, -0x1.b18b8fe7c3e1p-5, -0x1.a9909028ce24dp-5, -0x1.a1b3181991a1ep-5, -0x1.99f2e477b7ba6p-5, -0x1.924fb1a42895cp-5, -0x1.8ac93baad3446p-5, -0x1.835f3e4a411cap-5, -0x1.7c1174fafb59fp-5, -0x1.74df9af6d496dp-5, -0x1.6dc96b3ffbbd6p-5, -0x1.66cea0a7e843cp-5, -0x1.5feef5d6222b8p-5, -0x1.592a254ee0222p-5, -0x1.527fe97971e96p-5, -0x1.4beffca69a8f9p-5, -0x1.457a1916a8834p-5, -0x1.3f1df8ff7aa64p-5, -0x1.38db56925310dp-5, -0x1.32b1ec018cfabp-5, -0x1.2ca173861bc1p-5, -0x1.26a9a765022ecp-5, -0x1.20ca41f47d111p-5, -0x1.1b02fda13421ap-5, -0x1.155394f31de25p-5, -0x1.0fbbc29265961p-5, -0x1.0a3b414c08649p-5, -0x1.04d1cc1674402p-5, -0x1.fefe3c2bd1be6p-6, -0x1.f485e54184623p-6, -0x1.ea3a0a874ca5cp-6, -0x1.e01a238b05389p-6, -0x1.d625a856f8b87p-6, -0x1.cc5c117953473p-6, -0x1.c2bcd80b9b2a2p-6, -0x1.b94775b987906p-6, -0x1.affb64c80c1fap-6, -0x1.a6d8201bc2a84p-6, -0x1.9ddd233f5b2ebp-6, -0x1.9509ea69bbbbcp-6, -0x1.8c5df283e024dp-6, -0x1.83d8b92e931f5p-6, -0x1.7b79bcc7d22f3p-6, -0x1.73407c701a5c9p-6, -0x1.6b2c780f872bcp-6, -0x1.633d305a7e2e3p-6, -0x1.5b7226d66b763p-6, -0x1.53caddde38612p-6, -0x1.4c46d8a671747p-6, -0x1.44e59b416da37p-6, -0x1.3da6aaa31acdep-6, -0x1.36898ca4a8789p-6, -0x1.2f8dc8081d68bp-6, -0x1.28b2e47b8ef49p-6, -0x1.21f86a9c5d40ep-6, -0x1.1b5de3fa29d41p-6, -0x1.14e2db199acafp-6, -0x1.0e86db7717b82p-6, -0x1.0849718937b37p-6, -0x1.022a2ac320a1ep-6, -0x1.f8512b2d64d7p-7, -0x1.ec8882ed2aadfp-7, -0x1.e0f97db0354ffp-7, -0x1.d5a33e69f6ed5p-7, -0x1.ca84ea1a04d55p-7, -0x1.bf9da7cedf98p-7, -0x1.b4eca0a8d5e58p-7, -0x1.aa70ffdc3ff2cp-7, -0x1.a029f2b3d59cp-7, -0x1.9616a8928b7e6p-7, -0x1.8c3652f54e4aap-7, -0x1.828825745fcc9p-7, -0x1.790b55c4c63e1p-7, -0x1.6fbf1bb904a51p-7, -0x1.66a2b142317c7p-7, -0x1.5db55270647a4p-7, -0x1.54f63d731643cp-7, -0x1.4c64b2996f3d4p-7, -0x1.43fff4520db23p-7, -0x1.3bc7472b1f2aap-7, -0x1.33b9f1d1bf21fp-7, -0x1.2bd73d117a799p-7, -0x1.241e73d3b1fcap-7, -0x1.1c8ee31e9f048p-7, -0x1.1527da1432adfp-7, -0x1.0de8a9f10a29fp-7, -0x1.06d0a60afb561p-7, -0x1.ffbe479f12cedp-8, -0x1.f226f5849af69p-8, -0x1.e4da08f6933ebp-8, -0x1.d7d639497d30bp-8, -0x1.cb1a41f2af045p-8, -0x1.bea4e283c380ap-8, -0x1.b274dea60f7e4p-8, -0x1.a688fe15fe144p-8, -0x1.9ae00c9dd6be3p-8, -0x1.8f78da10b5551p-8, -0x1.84523a44c2e8p-8, -0x1.796b050e1388p-8, -0x1.6ec2163857bd2p-8, -0x1.64564d81492a9p-8, -0x1.5a268e9211fd3p-8, -0x1.5031c0f938a52p-8, -0x1.4676d02446511p-8, -0x1.3cf4ab58b35b9p-8, -0x1.33aa45ad6df81p-8, -0x1.2a969603e9cf5p-8, -0x1.21b89700da528p-8, -0x1.190f470537a58p-8, -0x1.1099a826e9bfp-8, -0x1.0856c0293673bp-8, -0x1.004598758afcdp-8, -0x1.f0ca7c26f488bp-9, -0x1.e1698342972f3p-9, -0x1.d2666e98639e3p-9, -0x1.c3bf6d903f555p-9, -0x1.b572b69063486p-9, -0x1.a77e86ecdb7eap-9, -0x1.99e122d73e6ddp-9, -0x1.8c98d54ec889dp-9, -0x1.7fa3f00f62dbap-9, -0x1.7300cb8189a5cp-9, -0x1.66adc6a98bd6ep-9, -0x1.5aa947168f607p-9, -0x1.4ef1b8d22d8bcp-9, -0x1.43858e4f77e0dp-9, -0x1.38634059c8b21p-9, -0x1.2d894e03e6691p-9, -0x1.22f63c9752bc4p-9, -0x1.18a8978306f67p-9, -0x1.0e9ef04a0ba77p-9, -0x1.04d7de72f5728p-9, -0x1.f6a3feebf2081p-10, -0x1.e417ed59f7dd5p-10, -0x1.d208da8237c79p-10, -0x1.c07424359b479p-10, -0x1.af57339f5d0b2p-10, -0x1.9eaf7d242211ep-10, -0x1.8e7a803fbc8bbp-10, -0x1.7eb5c762cbcffp-10, -0x1.6f5ee7d098016p-10, -0x1.6073817da7777p-10, -0x1.51f13eed4dd28p-10, -0x1.43d5d5109395dp-10, -0x1.361f03245679cp-10, -0x1.28ca928f689c9p-10, -0x1.1bd656c1b3c9bp-10, -0x1.0f402d12a9bb3p-10, -0x1.0305fca06880dp-10, -0x1.ee4b6c5ccd89dp-11, -0x1.d73aa80b11d5p-11, -0x1.c0d5b3a41140ep-11, -0x1.ab18a909dceb3p-11, -0x1.95ffb463b5242p-11, -0x1.818713e0c0044p-11, -0x1.6dab1776d25acp-11, -0x1.5a6820a41110fp-11, -0x1.47baa22f59c71p-11, -0x1.359f1fe91c088p-11, -0x1.24122e6ec31fap-11, -0x1.131072ebe5c1ep-11, -0x1.0296a2ddd4d21p-11, -0x1.e54307ac3186ep-12, -0x1.c65bd67dcec9dp-12, -0x1.a8717c3d7c3d9p-12, -0x1.8b7de1bb01b39p-12, -0x1.6f7b0e12a7898p-12, -0x1.54632638dda78p-12, -0x1.3a306c8704fa2p-12, -0x1.20dd4047ca221p-12, -0x1.08641d45b7985p-12, -0x1.e17f36b7cb351p-13, -0x1.b3d4dc0a17859p-13, -0x1.87bec7da7ba2dp-13, -0x1.5d32cd0a0db08p-13, -0x1.3426f32951c0cp-13, -0x1.0c9175a2824cdp-13, -0x1.ccd185c75e7d2p-14, -0x1.8346f719eaa59p-14, -0x1.3c70e3467d348p-14, -0x1.f07a9ef80c38bp-15, -0x1.6d3540fc7e078p-15, -0x1.ddde64331137ap-16, -0x1.d61ac2cb3252fp-17, -0x1.b562059c20defp-24, 0x1.bcd49821a4209p-17, 0x1.b590fb6e61f63p-16, 0x1.41fe528d824e3p-15, 0x1.a4f4f73936a59p-15, 0x1.01e50bbd18ea5p-14, 0x1.2f4d5d7fd0216p-14, 0x1.5ac1a41e57e28p-14, 0x1.844fc39e549bbp-14, 0x1.ac05522defba2p-14, 0x1.d1ef9988a40cdp-14, 0x1.f61b984932facp-14, 0x1.0c4b01a1bc682p-13, 0x1.1cb5a369dc0e4p-13, 0x1.2c53c4153e67p-13, 0x1.3b2b53495df66p-13, 0x1.49421e5e98b42p-13, 0x1.569dd0f8db2f1p-13, 0x1.6343f5acf1c6fp-13, 0x1.6f39f696cad1cp-13, 0x1.7a851df3467adp-13, 0x1.852a96b8173d2p-13, 0x1.8f2f6d2b4db1dp-13, 0x1.98988f71ab961p-13, 0x1.a16ace225f38dp-13, 0x1.a9aadcd60b8b5p-13, 0x1.b15d52b22bf3fp-13, 0x1.b886aaf53c7b6p-13, 0x1.bf2b457d583ebp-13, 0x1.c54f6752d7ffbp-13, 0x1.caf73b280cfafp-13, 0x1.d026d1e1cc0adp-13, 0x1.d4e2231307f28p-13, 0x1.d92d0d7e522a2p-13, 0x1.dd0b5794628f7p-13, 0x1.e080afea4eafcp-13, 0x1.e390adb894131p-13, 0x1.e63ed14e7c3f5p-13, 0x1.e88e8488ae144p-13, 0x1.ea831b4574c98p-13, 0x1.ec1fd3d62b8a5p-13, 0x1.ed67d76eb444p-13, 0x1.ee5e3a9430677p-13, 0x1.ef05fd89a389dp-13, 0x1.ef620cbac626ap-13, 0x1.ef754124aad62p-13, 0x1.ef4260bd3c13ap-13, 0x1.eecc1ed94a86p-13, 0x1.ee151c8db2c6cp-13, 0x1.ed1fe916540dp-13, 0x1.ebef02331ad09p-13, 0x1.ea84d487bb93dp-13, 0x1.e8e3bbfa184ep-13, 0x1.e70e040d1e69p-13, 0x1.e505e83adafdp-13, 0x1.e2cd944dec03cp-13, 0x1.e06724b7e9207p-13, 0x1.ddd4a6e7a6935p-13, 0x1.db18199d22ffp-13, 0x1.d8336d3b5358fp-13, 0x1.d528841bf2f5ap-13, 0x1.d1f932db6f44cp-13, 0x1.cea740a95d7b2p-13, 0x1.cb3467971026fp-13, 0x1.c7a254dff1972p-13, 0x1.c3f2a9363fa8dp-13, 0x1.c026f90936d5cp-13, 0x1.bc40cccf7e3b6p-13, 0x1.b841a14b28b88p-13, 0x1.b42ae7d044ddp-13, 0x1.affe06879711ap-13, 0x1.abbc58b027ce3p-13, 0x1.a7672ee22c97bp-13, 0x1.a2ffcf4e3ba19p-13, 0x1.9e8775faa0414p-13, 0x1.99ff5502f370dp-13, 0x1.956894d37273dp-13, 0x1.90c454638d853p-13, 0x1.8c13a97173a07p-13, 0x1.8757a0b9bafe8p-13, 0x1.82913e2e9baf7p-13, 0x1.7dc17d31c5a37p-13, 0x1.78e950c5bcddap-13, 0x1.7409a3c566054p-13, 0x1.6f2359168cbc4p-13, 0x1.6a374bdd2b9d6p-13, 0x1.65464faaf2422p-13, 0x1.605130b218298p-13, 0x1.5b58b3f38aaa6p-13, 0x1.565d976e22d01p-13, 0x1.5160924bba46cp-13, 0x1.4c62550e133efp-13, 0x1.476389bb0a5f1p-13, 0x1.4264d40683bdbp-13, 0x1.3d66d17d78fdep-13, 0x1.386a19ae20531p-13, 0x1.336f3e50bbf46p-13, 0x1.2e76cb6f0de2ap-13, 0x1.2981478a5dfc8p-13, 0x1.248f33c25a0cbp-13, 0x1.1fa10bf7e836dp-13, 0x1.1ab746f422f14p-13, 0x1.15d2568935beap-13, 0x1.10f2a7b6a39ap-13, 0x1.0c18a2ca7941ap-13, 0x1.0744ab8217ecbp-13, 0x1.0277212ba2225p-13, 0x1.fb60bd89d5b4ep-14, 0x1.f1e17634f2ad4p-14, 0x1.e87111cc51ffdp-14, 0x1.df102dd959473p-14, 0x1.d5bf6034d7ea5p-14, 0x1.cc7f37402acd5p-14, 0x1.c3503a1c335d7p-14, 0x1.ba32e8dfae48fp-14, 0x1.b127bccc0a823p-14, 0x1.a82f28812007cp-14, 0x1.9f49982fe11aap-14, 0x1.967771cad17b2p-14, 0x1.8db91537cc2c4p-14, 0x1.850edc7d73b5ap-14, 0x1.7c791bf2450d4p-14, 0x1.73f8226951b8ep-14, 0x1.6b8c395dc07c9p-14, 0x1.6335a51d5a7b4p-14, 0x1.5af4a4f356d99p-14, 0x1.52c973500e48fp-14, 0x1.4ab445f20c3bap-14, 0x1.42b54e0b46b57p-14, 0x1.3accb86838b79p-14, 0x1.32faad948cd5ap-14, 0x1.2b3f51ff4f74dp-14, 0x1.239ac61dc21f4p-14, 0x1.1c0d268e2d385p-14, 0x1.14968c38a9417p-14, 0x1.0d370c7060a31p-14, 0x1.05eeb9136f79dp-14, 0x1.fd7b4152783c6p-15, 0x1.ef479d028872fp-15, 0x1.e14295a05d0a7p-15, 0x1.d36c359a7865fp-15, 0x1.c5c4819a9388ep-15, 0x1.b84b78bd7598dp-15, 0x1.ab0114c78f11ep-15, 0x1.9de54a57910bbp-15, 0x1.90f8091c870e9p-15, 0x1.84393c01648bap-15, 0x1.77a8c960ffbd4p-15, 0x1.6b469332b8828p-15, 0x1.5f1277388fcd2p-15, 0x1.530c4f29d334p-15, 0x1.4733f0de8608p-15, 0x1.3b892e799c214p-15, 0x1.300bd691af335p-15, 0x1.24bbb4560b05cp-15, 0x1.19988fb766bfp-15, 0x1.0ea22d8c213ap-15, 0x1.03d84fb47e705p-15, 0x1.f2756a7c0b07ep-16, 0x1.dd92350a663dap-16, 0x1.c90672ad36b2dp-16, 0x1.b4d19220053dbp-16, 0x1.a0f2fd7d2b8f2p-16, 0x1.8d6a1a7bba621p-16, 0x1.7a364aaa9e38fp-16, 0x1.6756eba83eab7p-16, 0x1.54cb575b5da2bp-16, 0x1.4292e42ac0bcep-16, 0x1.30ace52c9e498p-16, 0x1.1f18aa5e2e2cep-16, 0x1.0dd580d0cdc06p-16, 0x1.f9c565b9b37f1p-17, 0x1.d87f109d5ad09p-17, 0x1.b7d68d24378d7p-17, 0x1.97ca61bde0068p-17, 0x1.785910c6505f6p-17, 0x1.598118d3905d4p-17, 0x1.3b40f508e021ep-17, 0x1.1d971d60ff046p-17, 0x1.008206f4f4e6p-17, 0x1.c800488c22423p-18, 0x1.901fcb05b6ea3p-18, 0x1.595f718e92be5p-18, 0x1.23bc14be5d712p-18, 0x1.de65140a7b26cp-19, 0x1.777f484fa7dcep-19, 0x1.12c0675236853p-19, 0x1.60441d23c67f6p-20, 0x1.3e7762f72833cp-21, -0x1.da542bf9087ap-24, -0x1.acd720ba0744p-21, -0x1.8b2408efc6a95p-20, -0x1.1dedbeb7244cdp-19, -0x1.744f5e654609fp-19, -0x1.c8bd494e01536p-19, -0x1.0d9ef172c79bcp-18, -0x1.35ebc5daa6706p-18, -0x1.5d48505b237d2p-18, -0x1.83b7bd5f66f38p-18, -0x1.a93d3703ddbf4p-18, -0x1.cddbe4c833bc8p-18, -0x1.f196eb589b6ebp-18, -0x1.0a38b6226ff0dp-17, -0x1.1b3742e745a15p-17, -0x1.2bc8a9563bc4bp-17, -0x1.3bee74eaad826p-17, -0x1.4baa2f25e7884p-17, -0x1.5afd5f756f6b3p-17, -0x1.69e98b1d5ad21p-17, -0x1.78703521a78b6p-17, -0x1.8692de2f6c4acp-17, -0x1.9453048a18e79p-17, -0x1.a1b223f7396bdp-17, -0x1.aeb1b5ac24922p-17, -0x1.bb53303ec456cp-17, -0x1.c79807918fca2p-17, -0x1.d381acc5b1d54p-17, -0x1.df118e2e99b85p-17, -0x1.ea49174114b45p-17, -0x1.f529b088553cfp-17, -0x1.ffb4bf9869003p-17, -0x1.04f5d3823d22p-16, -0x1.09e7e3295e508p-16, -0x1.0eb13cf99c5d2p-16, -0x1.13528d9add021p-16, -0x1.17cc8021c9b5p-16, -0x1.1c1fbe0ad43b9p-16, -0x1.204cef36f7d86p-16, -0x1.2454b9e84525bp-16, -0x1.2837c2bf00368p-16, -0x1.2bf6acb70bd21p-16, -0x1.2f9219259a947p-16, -0x1.330aa7b6e2f13p-16, -0x1.3660f66b7b4cep-16, -0x1.3995a197ee9f7p-16, -0x1.3ca943e2bcd84p-16, -0x1.3f9c76434e17ep-16, -0x1.426fd00068882p-16, -0x1.4523e6b089b67p-16, -0x1.47b94e38e1ba3p-16, -0x1.4a3098cce213bp-16, -0x1.4c8a56ede7ec6p-16, -0x1.4ec7176bda9dbp-16, -0x1.50e76765540b3p-16, -0x1.52ebd247c61bp-16, -0x1.54d4e1d0285e5p-16, -0x1.56a31e0bfc323p-16, -0x1.58570d59db6c2p-16, -0x1.59f1346ab33e7p-16, -0x1.5b72164304279p-16, -0x1.5cda343bee002p-16, -0x1.5e2a0e051c221p-16, -0x1.5f6221a62f239p-16, -0x1.6082eb8011abbp-16, -0x1.618ce64f5f19ap-16, -0x1.62808b2e1c827p-16, -0x1.635e519573201p-16, -0x1.6426af605e4e8p-16, -0x1.64da18cd4e334p-16, -0x1.657900810deefp-16, -0x1.6603d788e5cf5p-16, -0x1.667b0d5d3b9bdp-16, -0x1.66df0fe3bb43ap-16, }}, 
      {{0x1.fff723c332612p-1, 0x1.ffdca1aafc7b9p-1, 0x1.ffb0b07d87c71p-1, 0x1.ff73a83062c1ep-1, 0x1.ff25fd9475acap-1, 0x1.fec83d3e94bacp-1, 0x1.fe5b063174b46p-1, 0x1.fddf04a0ab485p-1, 0x1.fd54ed02063dfp-1, 0x1.fcbd77923e375p-1, 0x1.fc195c68d25efp-1, 0x1.fb69502c97692p-1, 0x1.faae016e4c6d3p-1, 0x1.f9e816a2f756p-1, 0x1.f9182caf1c1c9p-1, 0x1.f83ed5eee96bap-1, 0x1.f75c99a5e004ap-1, 0x1.f671f3c15eef6p-1, 0x1.f57f54dbc61f1p-1, 0x1.f4852270e5f1cp-1, 0x1.f383b737662e6p-1, 0x1.f27b6395925c3p-1, 0x1.f16c6e2a314cbp-1, 0x1.f0571463cef6fp-1, 0x1.ef3b8b221cdbdp-1, 0x1.ee19ff5df051fp-1, 0x1.ecf296d4f8569p-1, 0x1.ebc570b6a5082p-1, 0x1.ea92a65001bfcp-1, 0x1.e95a4bb479b79p-1, 0x1.e81c7061b1cp-1, 0x1.e6d91fdcda43p-1, 0x1.e59062481bb6cp-1, 0x1.e4423ceefbac5p-1, 0x1.e2eeb2c8df732p-1, 0x1.e195c4f1181bcp-1, 0x1.e037731420538p-1, 0x1.ded3bbd1f4599p-1, 0x1.dd6a9d15a7049p-1, 0x1.dbfc14627b4fdp-1, 0x1.da881f16ff20dp-1, 0x1.d90ebaa6b4a92p-1, 0x1.d78fe4caf81ebp-1, 0x1.d60b9babd68cep-1, 0x1.d481de019a8ep-1, 0x1.d2f2ab2fce3e9p-1, 0x1.d15e035a73ecbp-1, 0x1.cfc3e7762dcc6p-1, 0x1.ce24595405b52p-1, 0x1.cc7f5ba978bc9p-1, 0x1.cad4f2155bc6fp-1, 0x1.c9252122212b9p-1, 0x1.c76fee45fd355p-1, 0x1.c5b55fe14ce61p-1, 0x1.c3f57d3ba5751p-1, 0x1.c2304e7fd23e7p-1, 0x1.c065dcb70e536p-1, 0x1.be9631c3a99b1p-1, 0x1.bcc1585b4cc16p-1, 0x1.bae75c00fabc7p-1, 0x1.b90848fef4319p-1, 0x1.b7242c608942dp-1, 0x1.b53b13ebf1146p-1, 0x1.b34d0e1c2cf91p-1, 0x1.b15a2a1affda9p-1, 0x1.af6277bafd611p-1, 0x1.ad660771b3463p-1, 0x1.ab64ea51e7c44p-1, 0x1.a95f3205f1c01p-1, 0x1.a754f0ca20c7ep-1, 0x1.a5463967386c5p-1, 0x1.a3331f2cf57eap-1, 0x1.a11bb5ec9e157p-1, 0x1.9f0011f39667ap-1, 0x1.9ce04805fab6cp-1, 0x1.9abc6d59388fbp-1, 0x1.9894978ea87c8p-1, 0x1.9668dcae25bb8p-1, 0x1.94395320a2e1ep-1, 0x1.920611aabd655p-1, 0x1.8fcf2f674e81dp-1, 0x1.8d94c3c1f9b44p-1, 0x1.8b56e671be493p-1, 0x1.8915af7386f0dp-1, 0x1.86d13704c095p-1, 0x1.8489959df40acp-1, 0x1.823ee3ed6a19ep-1, 0x1.7ff13ad1d7a76p-1, 0x1.7da0b35518d3ep-1, 0x1.7b4d66a6fad5ep-1, 0x1.78f76e1815e1ep-1, 0x1.769ee314be60ep-1, 0x1.7443df2009f28p-1, 0x1.71e67bceee998p-1, 0x1.6f86d2c37b6aap-1, 0x1.6d24fda82f23ep-1, 0x1.6ac1162b6b921p-1, 0x1.685b35fb09f2cp-1, 0x1.65f376c00f392p-1, 0x1.6389f21a842acp-1, 0x1.611ec19d6f215p-1, 0x1.5eb1fecaf2be8p-1, 0x1.5c43c31090e7ep-1, 0x1.59d427c393ce3p-1, 0x1.5763461d9a23ep-1, 0x1.54f137394b58fp-1, 0x1.527e140f2f774p-1, 0x1.5009f572ac985p-1, 0x1.4d94f40f2a9f7p-1, 0x1.4b1f286559797p-1, 0x1.48a8aac89c161p-1, 0x1.4631935c988adp-1, 0x1.43b9fa12e8192p-1, 0x1.4141f6a8ea2bp-1, 0x1.3ec9a0a5ba46bp-1, 0x1.3c510f5842607p-1, 0x1.39d859d57093ap-1, 0x1.375f96f686cf1p-1, 0x1.34e6dd578c5e2p-1, 0x1.326e4355d6898p-1, 0x1.2ff5df0eb0715p-1, 0x1.2d7dc65e1b504p-1, 0x1.2b060edda6ef3p-1, 0x1.288ecde362b9ap-1, 0x1.26181880e5e94p-1, 0x1.23a203826d063p-1, 0x1.212ca36e0c12dp-1, 0x1.1eb80c82f3d94p-1, 0x1.1c4452b8cb3bdp-1, 0x1.19d189bf1903ap-1, 0x1.175fc4fcbe657p-1, 0x1.14ef178f82753p-1, 0x1.127f944bab03ep-1, 0x1.10114dbba51a2p-1, 0x1.0da4561fb8e1dp-1, 0x1.0b38bf6dcbdbap-1, 0x1.08ce9b512da1fp-1, 0x1.0665fb2a701bbp-1, 0x1.03fef00f495bdp-1, 0x1.01998aca7fd6bp-1, 0x1.fe6bb7b7c018cp-2, 0x1.f9a7e6f071971p-2, 0x1.f4e7c312c394bp-2, 0x1.f02b6b5c8fedcp-2, 0x1.eb72fe7601a25p-2, 0x1.e6be9a71ca7e6p-2, 0x1.e20e5ccd64a1ap-2, 0x1.dd6262715c62cp-2, 0x1.d8bac7b1a8452p-2, 0x1.d417a84e0a2bap-2, 0x1.cf791f7278755p-2, 0x1.cadf47b79289cp-2, 0x1.c64a3b231a3c3p-2, 0x1.c1ba13287a5fcp-2, 0x1.bd2ee8a94dccbp-2, 0x1.b8a8d3f5f4e91p-2, 0x1.b427ecce2cf38p-2, 0x1.afac4a61ad76bp-2, 0x1.ab360350d19c3p-2, 0x1.a6c52dad409eap-2, 0x1.a259defa9f782p-2, 0x1.9df42c2f48481p-2, 0x1.999429b5061f3p-2, 0x1.9539eb69d5a1fp-2, 0x1.90e584a0abd34p-2, 0x1.8c97082242263p-2, 0x1.884e882de5a3ep-2, 0x1.840c167a4b588p-2, 0x1.7fcfc4366caabp-2, 0x1.7b99a20a61f11p-2, 0x1.7769c01849c87p-2, 0x1.73402dfd2c041p-2, 0x1.6f1cfad1e9d02p-2, 0x1.6b00352c2abf6p-2, 0x1.66e9eb1f54d82p-2, 0x1.62da2a3d81fd7p-2, 0x1.5ed0ff9882196p-2, 0x1.5ace77c2d9c2ap-2, 0x1.56d29ed0c8ccdp-2, 0x1.52dd805957717p-2, 0x1.4eef277760d57p-2, 0x1.4b079ecaa9df5p-2, 0x1.4726f078f569bp-2, 0x1.434d262f21b2p-2, 0x1.3f7a492244e68p-2, 0x1.3bae6210d27f7p-2, 0x1.37e97943c1eacp-2, 0x1.342b968fb84b3p-2, 0x1.3074c15638d0ap-2, 0x1.2cc50086d5813p-2, 0x1.291c5aa0677bap-2, 0x1.257ad5b24659bp-2, 0x1.21e0775d87ec7p-2, 0x1.1e4d44d63dc6bp-2, 0x1.1ac142e4bce42p-2, 0x1.173c75e6e0eb7p-2, 0x1.13bee1d1598dp-2, 0x1.10488a30f690dp-2, 0x1.0cd9722bf7683p-2, 0x1.09719c835eb5cp-2, 0x1.06110b944877fp-2, 0x1.02b7c15941862p-2, 0x1.fecb7ed74442ap-3, 0x1.f8360e09d48f6p-3, 0x1.f1af320044dbp-3, 0x1.eb36ebb674e8p-3, 0x1.e4cd3b70dd911p-3, 0x1.de7220bf55cp-3, 0x1.d8259a7fe112p-3, 0x1.d1e7a6e1811fp-3, 0x1.cbb8436705e02p-3, 0x1.c5976ce9e27c2p-3, 0x1.bf851f9d02f4cp-3, 0x1.b981570fa7fc7p-3, 0x1.b38c0e303e665p-3, 0x1.ada53f4f3cbe5p-3, 0x1.a7cce421fe3d7p-3, 0x1.a202f5c59dbebp-3, 0x1.9c476cc1da607p-3, 0x1.969a410bed31ep-3, 0x1.90fb6a096c125p-3, 0x1.8b6ade9323c47p-3, 0x1.85e894f7f82a2p-3, 0x1.807482ffb9108p-3, 0x1.7b0e9dee05f09p-3, 0x1.75b6da851d744p-3, 0x1.706d2d08bb0eap-3, 0x1.6b318940e681p-3, 0x1.6603e27ccd0d4p-3, 0x1.60e42b958d764p-3, 0x1.5bd256f104005p-3, 0x1.56ce568499f6cp-3, 0x1.51d81bd808e01p-3, 0x1.4cef98082218fp-3, 0x1.4814bbc9893d1p-3, 0x1.4347776b783cdp-3, 0x1.3e87bada71dbep-3, 0x1.39d575a2f5107p-3, 0x1.353096f433e78p-3, 0x1.30990da2b54ccp-3, 0x1.2c0ec82b0241ap-3, 0x1.2791b4b43fbaep-3, 0x1.2321c112d30b8p-3, 0x1.1ebedacaf0532p-3, 0x1.1a68ef132ff4fp-3, 0x1.161fead718a02p-3, 0x1.11e3bab9a32f3p-3, 0x1.0db44b17bcc5ap-3, 0x1.0991880abbbb8p-3, 0x1.057b5d6ad72cbp-3, 0x1.0171b6d19237ap-3, 0x1.fae8ff383ea29p-4, 0x1.f30745db81ebbp-4, 0x1.eb3e17644be67p-4, 0x1.e38d493f6bbd4p-4, 0x1.dbf4b073bb13bp-4, 0x1.d47421a6ae259p-4, 0x1.cd0b7120bef46p-4, 0x1.c5ba72d1e687cp-4, 0x1.be80fa55ef79ap-4, 0x1.b75edaf8c883p-4, 0x1.b053e7bac1ebap-4, 0x1.a95ff354c22ecp-4, 0x1.a282d03c61fdfp-4, 0x1.9bbc50a8013b3p-4, 0x1.950c4692c64f5p-4, 0x1.8e7283c097defp-4, 0x1.87eed9c1fdb2p-4, 0x1.818119f7f5d12p-4, 0x1.7b291597ba289p-4, 0x1.74e69dae76284p-4, 0x1.6eb98324ee245p-4, 0x1.68a196c314c3ep-4, 0x1.629ea933936adp-4, 0x1.5cb08b0741edcp-4, 0x1.56d70cb88c80cp-4, 0x1.5111feaecff9bp-4, 0x1.4b6131419c35ap-4, 0x1.45c474bbf5166p-4, 0x1.403b995f75f2p-4, 0x1.3ac66f676f06fp-4, 0x1.3564c70bec6b8p-4, 0x1.30167084b64ep-4, 0x1.2adb3c0c372bfp-4, 0x1.25b2f9e25da29p-4, 0x1.209d7a4f6382ap-4, 0x1.1b9a8da69050fp-4, 0x1.16aa0448e56f4p-4, 0x1.11cbaea7bdc7cp-4, 0x1.0cff5d475f0b7p-4, 0x1.0844e0c17b48bp-4, 0x1.039c09c7a2abfp-4, 0x1.fe09524b5294fp-5, 0x1.f4fd1f87f217ep-5, 0x1.ec131d53b96efp-5, 0x1.e34aedff68f83p-5, 0x1.daa43422462bbp-5, 0x1.d21e929e514ep-5, 0x1.c9b9aca45c864p-5, 0x1.c17525b811b74p-5, 0x1.b950a1b3d2b1fp-5, 0x1.b14bc4cc817bfp-5, 0x1.a966339530a8dp-5, 0x1.a19f9302b3546p-5, 0x1.99f7886f10f7ap-5, 0x1.926db99cec392p-5, 0x1.8b01ccbab8d4fp-5, 0x1.83b36865f563dp-5, 0x1.7c8233ae29abcp-5, 0x1.756dd617ebfa6p-5, 0x1.6e75f79fb37acp-5, 0x1.679a40bca3dbcp-5, 0x1.60da5a63394c1p-5, 0x1.5a35ee07d8aa7p-5, 0x1.53aca5a15094ep-5, 0x1.4d3e2bab3eabfp-5, 0x1.46ea2b285b817p-5, 0x1.40b04fa4b32c6p-5, 0x1.3a904537c64aap-5, 0x1.3489b8869315ap-5, 0x1.2e9c56c590be1p-5, 0x1.28c7cdba84c8p-5, 0x1.230bcbbe580ccp-5, 0x1.1d67ffbec0d02p-5, 0x1.17dc193fee3ep-5, 0x1.1267c85e0e41ep-5, 0x1.0d0abdcec7684p-5, 0x1.07c4aae2a1289p-5, 0x1.029541865062ep-5, 0x1.faf86887f8414p-6, 0x1.f0f26c88c554dp-6, 0x1.e717f69ff6329p-6, 0x1.dd686f9ff2b42p-6, 0x1.d3e3419e8a575p-6, 0x1.ca87d7f6b96b4p-6, 0x1.c1559f4a62fa9p-6, 0x1.b84c0583beb65p-6, 0x1.af6a79d6cdea8p-6, 0x1.a6b06cc2a0981p-6, 0x1.9e1d50127db62p-6, 0x1.95b096dee40a2p-6, 0x1.8d69b58e7c399p-6, 0x1.854821d6d8e51p-6, 0x1.7d4b52bd37783p-6, 0x1.7572c09700ef8p-6, 0x1.6dbde50a4f8cp-6, 0x1.662c3b0e4128p-6, 0x1.5ebd3eeb3fb1ep-6, 0x1.57706e3b2677ep-6, 0x1.504547e94cb61p-6, 0x1.493b4c32864aap-6, 0x1.4251fca4f760ap-6, 0x1.3b88dc1fdabc8p-6, 0x1.34df6ed33940dp-6, 0x1.2e553a3f7facep-6, 0x1.27e9c534fe8a6p-6, 0x1.219c97d35e24cp-6, 0x1.1b6d3b88ef515p-6, 0x1.155b3b11fb836p-6, 0x1.0f662277ee2cp-6, 0x1.098d7f1077112p-6, 0x1.03d0df7c99a4p-6, 0x1.fc5fa74f3c2b8p-7, 0x1.f153d98c101a8p-7, 0x1.e67d7aa8c20f7p-7, 0x1.dbdbb22c0de43p-7, 0x1.d16daa27c4437p-7, 0x1.c7328f3625b5ep-7, 0x1.bd299076fb8a2p-7, 0x1.b351df8cce4b1p-7, 0x1.a9aab099c65bdp-7, 0x1.a0333a3c9aa76p-7, 0x1.96eab58d3ffbp-7, 0x1.8dd05e19b8bedp-7, 0x1.84e371e27f5a8p-7, 0x1.7c2331572343ap-7, 0x1.738edf529cdd4p-7, 0x1.6b25c117a157fp-7, 0x1.62e71e4cda6b2p-7, 0x1.5ad240f919d67p-7, 0x1.52e6757f5e713p-7, 0x1.4b230a9adc0a6p-7, 0x1.4387515af3198p-7, 0x1.3c129d1f014f5p-7, 0x1.34c443923d8dp-7, 0x1.2d9b9ca772c85p-7, 0x1.26980294add98p-7, 0x1.1fb8d1ceec20dp-7, 0x1.18fd6905a889ep-7, 0x1.1265291e6fdfap-7, 0x1.0bef75304d712p-7, 0x1.059bb27f58141p-7, 0x1.fed290f00d71p-8, 0x1.f2af41553358bp-8, 0x1.e6cc4d8cd94c8p-8, 0x1.db28912aa23c6p-8, 0x1.cfc2ebed803b6p-8, 0x1.c49a41b65b1e4p-8, 0x1.b9ad7a7e6d5a5p-8, 0x1.aefb824d955a8p-8, 0x1.a4834930e9d1ap-8, 0x1.9a43c330c0304p-8, 0x1.903be8472a725p-8, 0x1.866ab456222c4p-8, 0x1.7ccf271dc2cb2p-8, 0x1.736844326c77dp-8, 0x1.6a3512f302001p-8, 0x1.61349e7f15dbap-8, 0x1.5865f5acf7639p-8, 0x1.4fc82afffb6cbp-8, 0x1.475a549e76eb4p-8, 0x1.3f1b8c47f4f9dp-8, 0x1.370aef4b5f5dep-8, 0x1.2f279e7d0c4ebp-8, 0x1.2770be2cf9d6p-8, 0x1.1fe5761ce720ep-8, 0x1.1884f176891f1p-8, 0x1.114e5ec1a3443p-8, 0x1.0a40efda6106p-8, 0x1.035bd9e774872p-8, 0x1.f93caaa0a59efp-9, 0x1.ec0f3b671df5cp-9, 0x1.df2de3ba3555cp-9, 0x1.d29727792885p-9, 0x1.c64990b78c39ap-9, 0x1.ba43afa9b5c72p-9, 0x1.ae841a9202bap-9, 0x1.a3096dad8ab48p-9, 0x1.97d24b215b37ap-9, 0x1.8cdd5ae7664c3p-9, 0x1.82294abbf2a6ap-9, 0x1.77b4ce0abfcb5p-9, 0x1.6d7e9ddc9768bp-9, 0x1.638578c4c31c6p-9, 0x1.59c822ce99dccp-9, 0x1.5045656b60b3dp-9, 0x1.46fc0f5fef3d6p-9, 0x1.3deaf4b2f8874p-9, 0x1.3510ee9aa05cbp-9, 0x1.2c6cdb6b366d6p-9, 0x1.23fd9e8522db2p-9, 0x1.1bc2204374e7ep-9, 0x1.13b94dea7594bp-9, 0x1.0be219964fa5dp-9, 0x1.043b7a2a01649p-9, 0x1.f988d67c1128cp-10, 0x1.eaf7da1f5fef2p-10, 0x1.dcc208e0a445bp-10, 0x1.cee57568dc4ep-10, 0x1.c1603b46b836ap-10, 0x1.b4307ecdd9a7cp-10, 0x1.a7546cf628938p-10, 0x1.9aca3b3bd0e9cp-10, 0x1.8e90277f512e7p-10, 0x1.82a477e5b85a7p-10, 0x1.77057ab9a5637p-10, 0x1.6bb1864be7105p-10, 0x1.60a6f8d5095eap-10, 0x1.55e43856c0001p-10, 0x1.4b67b27dc8315p-10, 0x1.412fdc8419602p-10, 0x1.373b33134f3e2p-10, 0x1.2d883a277806fp-10, 0x1.24157cf21571cp-10, 0x1.1ae18dbd7333fp-10, 0x1.11eb05d06f3acp-10, 0x1.093085524305ap-10, 0x1.00b0b32ee8265p-10, 0x1.f0d479f722b7ep-11, 0x1.e0b7adb7509edp-11, 0x1.d10876cb933eep-11, 0x1.c1c45712d15dfp-11, 0x1.b2e8dce8daf82p-11, 0x1.a473a2f2f75f2p-11, 0x1.96624fec3bf54p-11, 0x1.88b2967325236p-11, 0x1.7b6234d7435ap-11, 0x1.6e6ef4e829669p-11, 0x1.61d6abc45d439p-11, 0x1.559739a8effd9p-11, 0x1.49ae89c224b67p-11, 0x1.3e1a91fbed19p-11, 0x1.32d952d3e98fep-11, 0x1.27e8d72b3ce5cp-11, 0x1.1d47341911912p-11, 0x1.12f288be30d0ap-11, 0x1.08e8fe18c53e4p-11, 0x1.fe518db104866p-12, 0x1.eb603e67d0592p-12, 0x1.d8fa997b7ac95p-12, 0x1.c71d3c75e9c4ep-12, 0x1.b5c4d6f35b3edp-12, 0x1.a4ee2a50cd0a3p-12, 0x1.9496095b407bp-12, 0x1.84b958006a5f6p-12, 0x1.75550b00adfbap-12, 0x1.666627a1a0092p-12, 0x1.57e9c362d4867p-12, 0x1.49dd03b1c2cb2p-12, 0x1.3c3d1da0ee606p-12, 0x1.2f07559deb909p-12, 0x1.2238ff2ad46bap-12, 0x1.15cf7c96246a8p-12, 0x1.09c83eb657647p-12, 0x1.fc41894817066p-13, 0x1.e5ad36edbe26fp-13, 0x1.cfcebc05ae7bbp-13, 0x1.baa1692c89b37p-13, 0x1.a620a972982b5p-13, 0x1.924801dc75aedp-13, 0x1.7f1310e47fde2p-13, 0x1.6c7d8e0041195p-13, 0x1.5a834926b8ffp-13, 0x1.49202a579bb75p-13, 0x1.385031262f2f1p-13, 0x1.280f74447148bp-13, 0x1.185a2111243e7p-13, 0x1.092c7b276755dp-13, 0x1.f505b7dec0fb7p-14, 0x1.d8b3646416573p-14, 0x1.bd5b035b2942fp-14, 0x1.a2f5c5567be54p-14, 0x1.897d03317180ep-14, 0x1.70ea3d42335d7p-14, 0x1.59371a91c698p-14, 0x1.425d681689aeap-14, 0x1.2c5717f04988fp-14, 0x1.171e40aba7754p-14, 0x1.02ad1c8454781p-14, 0x1.ddfc1159adc36p-15, 0x1.b8170930d5664p-15, 0x1.93a06292b20dbp-15, 0x1.708da142d20bap-15, 0x1.4ed48967e87ap-15, 0x1.2e6b1e3ba1c34p-15, 0x1.0f47a0b8c4f11p-15, 0x1.e2c11cb5ef7f6p-16, 0x1.a9593fabd9de7p-16, 0x1.72458fbb9c9ecp-16, 0x1.3d7463d733c44p-16, 0x1.0ad482215e72p-16, 0x1.b4aa3b202c43ap-17, 0x1.57cba74750ce7p-17, 0x1.fddaa874b3ec8p-18, 0x1.53e03337c35a6p-18, 0x1.62d65b1fc5479p-19, 0x1.6405d24459f45p-22, -0x1.f767e76a1fe1p-20, -0x1.0b1c1d07dee0bp-18, -0x1.91bce3cf15ef2p-18, -0x1.08f8dfb7738d8p-17, -0x1.45f7615bff68fp-17, -0x1.7ff354e98eb17p-17, -0x1.b70570cd10bep-17, -0x1.eb45c7996938bp-17, -0x1.0e65e5c30cf16p-16, -0x1.25d7290f37977p-16, -0x1.3c01cbd150cc2p-16, -0x1.50f0a1427ff48p-16, -0x1.64ae335b86a27p-16, -0x1.7744c47f17565p-16, -0x1.88be5118b6c94p-16, -0x1.9924912b37246p-16, -0x1.a880f9e3234dbp-16, -0x1.b6dcbf1b56bd3p-16, -0x1.c440d4da0a2d4p-16, -0x1.d0b5f0cae0e0dp-16, -0x1.dc448ba8e9308p-16, -0x1.e6f4e2acaab92p-16, -0x1.f0cef8e8ad82ap-16, -0x1.f9da98a5c83b2p-16, -0x1.010faa5a45a08p-15, -0x1.04d244de68c4fp-15, -0x1.0838afc07b1adp-15, -0x1.0b46650e85d0cp-15, -0x1.0dfec59f468d8p-15, -0x1.106519ae4a37ep-15, -0x1.127c916debcc1p-15, -0x1.1448459db5207p-15, -0x1.15cb38184fbddp-15, -0x1.17085461b2f68p-15, -0x1.1802703177868p-15, -0x1.18bc4bf8d18c7p-15, -0x1.1938936859833p-15, -0x1.1979ddf184f2cp-15, -0x1.1982af4589485p-15, -0x1.195577d224c4ep-15, -0x1.18f4953979555p-15, -0x1.186252cd04037p-15, -0x1.17a0e9fe1f76p-15, -0x1.16b282d2f8f3fp-15, -0x1.159934559725ep-15, -0x1.1457050096a85p-15, -0x1.12edeb2af8767p-15, -0x1.115fcd7006035p-15, -0x1.0fae8316eeb53p-15, -0x1.0ddbd4758b76bp-15, -0x1.0be97b5419cd8p-15, -0x1.09d9234ae27e3p-15, -0x1.07ac6a2266303p-15, -0x1.0564e02d7a4e8p-15, -0x1.030408a36024fp-15, -0x1.008b59f78c08fp-15, -0x1.fbf87c60cb015p-16, -0x1.f6b026706ed74p-16, -0x1.f1405665e95d3p-16, -0x1.ebab9997c6d34p-16, -0x1.e5f4670835e66p-16, -0x1.e01d1fff71c3ap-16, -0x1.da2810a15a8b7p-16, -0x1.d417707f1679cp-16, -0x1.cded63257ce19p-16, -0x1.c7abf8aa06da1p-16, -0x1.c1552e325ee79p-16, -0x1.baeaee79d716dp-16, -0x1.b46f1251f216fp-16, -0x1.ade36125aa2a4p-16, -0x1.a74991700b568p-16, -0x1.a0a3493b17ad5p-16, -0x1.99f21e9136824p-16, -0x1.933797f3e88bcp-16, -0x1.8c752ccca4d2p-16, -0x1.85ac45d83d89ap-16, -0x1.7ede3d96701acp-16, -0x1.780c60afa1a05p-16, -0x1.7137ee5c8846cp-16, -0x1.6a6218cab1f26p-16, -0x1.638c057dac5dep-16, -0x1.5cb6cdadda06dp-16, -0x1.55e37ea5dd5fep-16, -0x1.4f131a1c99f34p-16, -0x1.4846968eec064p-16, -0x1.417edf949b946p-16, -0x1.3abcd634db47cp-16, -0x1.34015138d35c7p-16, -0x1.2d4d1d7a04f27p-16, -0x1.26a0fe331d644p-16, -0x1.1ffdad492c74dp-16, -0x1.1963db96c2527p-16, -0x1.12d43134fa889p-16, -0x1.0c4f4dc0f76aap-16, -0x1.05d5c8a07e1e1p-16, -0x1.fed0628a941d9p-17, -0x1.f20e1edbb582bp-17, -0x1.e565c6cb4077ep-17, -0x1.d8d84c83b184bp-17, -0x1.cc66943ba2f81p-17, -0x1.c01174ae131dep-17, -0x1.b3d9b789187fbp-17, -0x1.a7c019dcd13b4p-17, -0x1.9bc54c8d77f3ep-17, -0x1.8fe9f4b529bfbp-17, -0x1.842eac1135p-17, -0x1.7894015fd1ad4p-17, -0x1.6d1a78c7266b9p-17, -0x1.61c28c2f2434ep-17, -0x1.568caba17393dp-17, -0x1.4b793da0b60f5p-17, -0x1.40889f7f116d7p-17, -0x1.35bb25b58d5e5p-17, -0x1.2b111c34f8431p-17, -0x1.208ac6b497e3p-17, -0x1.162861024dcdfp-17, -0x1.0bea1f4da053dp-17, -0x1.01d02e707bd2bp-17, -0x1.efb56870be2fep-18, -0x1.dc139f5527157p-18, -0x1.c8bb328dcd6d8p-18, -0x1.b5ac469af0027p-18, -0x1.a2e6f3ef7b986p-18, -0x1.906b47786a4edp-18, -0x1.7e39430fbedd8p-18, -0x1.6c50ddf3b1c3ep-18, -0x1.5ab205334e951p-18, -0x1.495c9c2224371p-18, -0x1.38507cbf6b669p-18, -0x1.278d781faed42p-18, -0x1.171356cebdbe6p-18, -0x1.06e1d93371312p-18, -0x1.edf16fda6b3f6p-19, -0x1.ceaf485d5489dp-19, -0x1.affc9032bb248p-19, -0x1.91d88e1fb2393p-19, -0x1.74427c19cdd84p-19, -0x1.573987e5110cp-19, -0x1.3abcd3b03e05cp-19, -0x1.1ecb76afd19abp-19, -0x1.03647da85f51cp-19, -0x1.d10dd7179f49bp-20, -0x1.9c6373e359af3p-20, -0x1.68c7b35601ad1p-20, -0x1.36386676995fdp-20, -0x1.04b34eabfc851p-20, -0x1.a86c3d6c912c2p-21, -0x1.497cf71f5cc6fp-21, -0x1.d927f53ea595bp-22, -0x1.2358c01b7397ep-22, -0x1.c6094915ce839p-24, 0x1.e32bd42130a8dp-25, 0x1.ccd1e6029738bp-23, 0x1.8c9287a2e0c88p-22, 0x1.177664c851d32p-21, 0x1.66c1340067822p-21, 0x1.b42f16ba5159ep-21, 0x1.ffc57e9a9d67fp-21, 0x1.24c4f438d983p-20, 0x1.48c0ed7ebdf34p-20, 0x1.6bd972e834a7cp-20, 0x1.8e115019b5c2ap-20, 0x1.af6b5406b87fep-20, 0x1.cfea50728b9f1p-20, 0x1.ef911973dcf1ap-20, 0x1.0731427bc02fdp-19, 0x1.1630b5274387bp-19, 0x1.24c850dcbf87bp-19, 0x1.32f9820325b4ep-19, 0x1.40c5b5109a1cfp-19, 0x1.4e2e565a1fe98p-19, 0x1.5b34d1e45cf57p-19, 0x1.67da9335807efp-19, 0x1.7421052a98f39p-19, 0x1.800991cded254p-19, 0x1.8b95a22fa17cp-19, 0x1.96c69e3c5dd61p-19, 0x1.a19dec9df095cp-19, 0x1.ac1cf294243fap-19, 0x1.b64513d70350dp-19, 0x1.c017b273a6bd4p-19, 0x1.c9962eb1390e2p-19, 0x1.d2c1e6f389318p-19, 0x1.db9c379ee9e7dp-19, 0x1.e4267b0048545p-19, 0x1.ec6209308e535p-19, 0x1.f45038032f7b4p-19, 0x1.fbf25aeb316b9p-19, 0x1.01a4e1749cfdcp-18, 0x1.052bdf3b156ccp-18, 0x1.088eccb90111ap-18, 0x1.0bce4e891851bp-18, 0x1.0eeb07e8751f1p-18, 0x1.11e59aae266efp-18, 0x1.14bea74590ccfp-18, 0x1.1776cca6fe4ecp-18, 0x1.1a0ea8511b73fp-18, 0x1.1c86d642eff6ap-18, 0x1.1edff0f74438bp-18, 0x1.211a915f63436p-18, 0x1.23374ede900e9p-18, 0x1.2536bf45a08a8p-18, 0x1.271976cf38eabp-18, 0x1.28e0081cd599ep-18, 0x1.2a8b0432f4f07p-18, 0x1.2c1afa7706e09p-18, 0x1.2d9078aca5526p-18, 0x1.2eec0af2fbc4cp-18, 0x1.302e3bc3e6c59p-18, 0x1.315793f191789p-18, 0x1.32689aa60f455p-18, 0x1.3361d561ba7b4p-18, 0x1.3443c7fa0f7a7p-18, 0x1.350ef49a08ef7p-18, 0x1.35c3dbc161e16p-18, 0x1.3662fc449c098p-18, 0x1.36ecd34db441cp-18, 0x1.3761dc5b55964p-18, 0x1.37c29142079fcp-18, 0x1.380f6a2d62a22p-18, 0x1.3848dda099e5fp-18, 0x1.386f6077787f8p-18, 0x1.388365e7efa4ep-18, 0x1.38855f836472cp-18, 0x1.3875bd3850b4cp-18, 0x1.3854ed53f1392p-18, 0x1.38235c84692a8p-18, 0x1.37e175da22dadp-18, 0x1.378fa2cafc92dp-18, 0x1.372e4b338d1e4p-18, 0x1.36bdd55a24cb3p-18, 0x1.363ea5f0d6d32p-18, 0x1.35b1201877c21p-18, 0x1.3515a562f0f2dp-18, 0x1.346c95d652d9bp-18, 0x1.33b64fef826ddp-18, 0x1.32f330a542ceap-18, 0x1.3223936b0792p-18, 0x1.3147d233fd8bfp-18, 0x1.30604576cef02p-18, 0x1.2f6d443010beep-18, 0x1.2e6f23e641b2bp-18, 0x1.2d6638ac7e016p-18, 0x1.2c52d526391cep-18, 0x1.2b354a8a92931p-18, 0x1.2a0de8a7f99d5p-18, 0x1.28dcfde76efa2p-18, 0x1.27a2d75009a55p-18, 0x1.265fc08ae30a3p-18, 0x1.251403e6800fep-18, 0x1.23bfea5a871b8p-18, 0x1.2263bb8b5b43cp-18, 0x1.20ffbdcdc4c6dp-18, 0x1.1f94362aa95a7p-18, 0x1.1e21686310006p-18, 0x1.1ca796f34eb32p-18, 0x1.1b27031711af7p-18, 0x1.199feccd6633ep-18, 0x1.181292dc238d6p-18, 0x1.167f32d3da2bp-18, 0x1.14e6091380fa4p-18, 0x1.134750cc5251fp-18, 0x1.11a344058e0f9p-18, 0x1.0ffa1ba03230dp-18, 0x1.0e4c0f5aaf64dp-18, 0x1.0c9955d4eb25ap-18, 0x1.0ae22493d5bbbp-18, 0x1.0926b00539537p-18, 0x1.07672b8350008p-18, 0x1.05a3c9589c0c6p-18, 0x1.03dcbac3ba379p-18, 0x1.02122ffaf5b84p-18, 0x1.0044582fdb5c4p-18, 0x1.fce6c32608037p-19, 0x1.f93ef2af8ad12p-19, 0x1.f591976f816fep-19, 0x1.f1df07ecce6c8p-19, 0x1.ee2798c918878p-19, 0x1.ea6b9cc88115dp-19, 0x1.e6ab64d85820ap-19, 0x1.e2e740163a02cp-19, 0x1.df1f7bd6a7dd1p-19, 0x1.db5463ac265b3p-19, 0x1.d786416e7d54p-19, 0x1.d3b55d416625ap-19, 0x1.cfe1fd9afcf68p-19, 0x1.cc0c674a951d3p-19, 0x1.c834dd7f87c45p-19, 0x1.c45ba1d022d71p-19, 0x1.c080f43f8e2d7p-19, 0x1.bca51344782dbp-19, 0x1.b8c83bcfc26d4p-19, 0x1.b4eaa952b2621p-19, 0x1.b10c95c53ee55p-19, 0x1.ad2e39ac8a1aep-19, 0x1.a94fcc20c16d2p-19, 0x1.a57182d3344d7p-19, 0x1.a1939214a372p-19, 0x1.9db62cdaf502cp-19, 0x1.99d984c78da49p-19, 0x1.95fdca2ce73f7p-19, 0x1.92232c147bef2p-19, 0x1.8e49d84432b4bp-19, }}, 
      {{0x1.6f56e727b92a5p-7, 0x1.6fe66b5f00ed4p-6, 0x1.148cc0ecb02a4p-5, 0x1.71b69d598658ep-5, 0x1.cf62061f8d759p-5, 0x1.16b069e0fae7p-4, 0x1.45b62425ff4e5p-4, 0x1.74968c0d59c31p-4, 0x1.a321d4f9b4fefp-4, 0x1.d127e5155d173p-4, 0x1.fe7b95d2ab172p-4, 0x1.157a9217479d5p-3, 0x1.2b39df151b0edp-3, 0x1.406f1e65aa3b2p-3, 0x1.551198504c64fp-3, 0x1.691c3823827aap-3, 0x1.7c8d2b9d699cp-3, 0x1.8f656dcbe243bp-3, 0x1.a1a84ba59681ep-3, 0x1.b35aebb5250f8p-3, 0x1.c483de30c37ebp-3, 0x1.d52ab7fe0c4fep-3, 0x1.e557b9557c1b5p-3, 0x1.f5137fbf975f8p-3, 0x1.0233615d0be56p-2, 0x1.09ad0d1da57ebp-2, 0x1.10fae72c1dffap-2, 0x1.1820d7b5e9c92p-2, 0x1.1f227b18e331dp-2, 0x1.260315a94a6ep-2, 0x1.2cc58aeea480fp-2, 0x1.336c581193528p-2, 0x1.39f9912e646cap-2, 0x1.406ee13974e1ep-2, 0x1.46cd8c1d3507ap-2, 0x1.4d1672b65fd0bp-2, 0x1.534a1852962ep-2, 0x1.5968a957cf71p-2, 0x1.5f7202bff5ff2p-2, 0x1.6565ba1b10a34p-2, 0x1.6b4325d2d5702p-2, 0x1.710965742f3c5p-2, 0x1.76b769cd35a22p-2, 0x1.7c4bfcb822132p-2, 0x1.81c5c8755a526p-2, 0x1.87235e7f7a9bdp-2, 0x1.8c633dcc2a411p-2, 0x1.9183d87351d28p-2, 0x1.968398bbdf48ep-2, 0x1.9b60e591e112dp-2, 0x1.a01a266d1774dp-2, 0x1.a4adc6b1abdap-2, 0x1.a91a38963e173p-2, 0x1.ad5df79b6bba7p-2, 0x1.b1778aa11a717p-2, 0x1.b56585a5ac447p-2, 0x1.b9268b3a8dddp-2, 0x1.bcb94db8c8471p-2, 0x1.c01c903f24cd8p-2, 0x1.c34f2782596d1p-2, 0x1.c64ffa768a281p-2, 0x1.c91e02d84a90ap-2, 0x1.cbb84d9a339a8p-2, 0x1.ce1dfb3b36e92p-2, 0x1.d04e4008dd3ccp-2, 0x1.d248644ff8458p-2, 0x1.d40bc47d9bcebp-2, 0x1.d597d131a88efp-2, 0x1.d6ec0f43d457fp-2, 0x1.d80817bbc36d5p-2, 0x1.d8eb97bc8773p-2, 0x1.d9965063bc3f2p-2, 0x1.da08169c61584p-2, 0x1.da40d2e5837abp-2, 0x1.da40810cd0f81p-2, 0x1.da072fdd42b99p-2, 0x1.d99500c20f1c3p-2, 0x1.d8ea275e339ecp-2, 0x1.d806e9190120ep-2, 0x1.d6eb9ca02487ep-2, 0x1.d598a95fc779bp-2, 0x1.d40e86f174433p-2, 0x1.d24dbc8280301p-2, 0x1.d056e032d3d5ep-2, 0x1.ce2a966cea947p-2, 0x1.cbc9913802abbp-2, 0x1.c9348f85668dap-2, 0x1.c66c5c79d0b66p-2, 0x1.c371ceb3de929p-2, 0x1.c045c7908c423p-2, 0x1.bce9326eacdfcp-2, 0x1.b95d03f243fdbp-2, 0x1.b5a23948a9035p-2, 0x1.b1b9d76e47129p-2, 0x1.ada4ea76c122fp-2, 0x1.a96484d837702p-2, 0x1.a4f9beba5479ep-2, 0x1.a065b549c28dfp-2, 0x1.9ba98a1093146p-2, 0x1.96c662540c9a9p-2, 0x1.91bd667851857p-2, 0x1.8c8fc16a328c2p-2, 0x1.873ea00f797f6p-2, 0x1.81cb30bde66d3p-2, 0x1.7c36a2b909593p-2, 0x1.768225b716e1ap-2, 0x1.70aee96cc817ap-2, 0x1.6abe1d2049f01p-2, 0x1.64b0ef4335b4dp-2, 0x1.5e888d137ce8dp-2, 0x1.5846224334d4cp-2, 0x1.51ead8a717131p-2, 0x1.4b77d7eb8ea5p-2, 0x1.44ee455024b4cp-2, 0x1.3e4f43690ccdcp-2, 0x1.379bf1e69a73dp-2, 0x1.30d56d6261a41p-2, 0x1.29fccf31b85dbp-2, 0x1.23132d3d5b9eep-2, 0x1.1c1999dde7cb1p-2, 0x1.151123bce677dp-2, 0x1.0dfad5ba1e0fp-2, 0x1.06d7b6d4e14fp-2, 0x1.ff5194322ed0dp-3, 0x1.f0de1d1f5b1fbp-3, 0x1.e256fe64671eep-3, 0x1.d3be25c2be59fp-3, 0x1.c51578bc5ba5fp-3, 0x1.b65ed48ad4deap-3, 0x1.a79c0e1ab3079p-3, 0x1.98cef20a9d6e7p-3, 0x1.89f944adeb9dbp-3, 0x1.7b1cc21231ee5p-3, 0x1.6c3b1e0766347p-3, 0x1.5d56042a4652dp-3, 0x1.4e6f17f09728bp-3, 0x1.3f87f4b700e98p-3, 0x1.30a22dd02ac18p-3, 0x1.21bf4e94e1e0cp-3, 0x1.12e0da7500476p-3, 0x1.04084d08dcca3p-3, 0x1.ea6e344630a7cp-4, 0x1.ccdd5bc523b54p-4, 0x1.af60d988b82fap-4, 0x1.91fb676b25c26p-4, 0x1.74afb049d1766p-4, 0x1.57805027c18a1p-4, 0x1.3a6fd44f247dfp-4, 0x1.1d80bb71d121cp-4, 0x1.00b575c89f40ep-4, 0x1.c820ca630e56ep-5, 0x1.8f27ba98ea90ep-5, 0x1.5684472d9986fp-5, 0x1.1e3adf0b1bcf6p-5, 0x1.cc9faa7889c3p-6, 0x1.5d8ec2376e6d7p-6, 0x1.de967a011c562p-7, 0x1.03ba379b98556p-7, 0x1.54c29346c910cp-10, -0x1.5980194125b7fp-8, -0x1.82402830df2d4p-7, -0x1.2aecd70cae01p-6, -0x1.93bf5b66b7e82p-6, -0x1.fb90e274d1d66p-6, -0x1.312d712fef37dp-5, -0x1.640b82f9d1f14p-5, -0x1.965f963454be1p-5, -0x1.c826b497ba308p-5, -0x1.f95e01de42e43p-5, -0x1.15015dd535cb8p-4, -0x1.2d091cb697ea7p-4, -0x1.44c4f62607e26p-4, -0x1.5c33af835ba87p-4, -0x1.73541aedfff85p-4, -0x1.8a2517371958ap-4, -0x1.a0a58fd32ff5ap-4, -0x1.b6d47ccb40d8ap-4, -0x1.ccb0e2ad3a78bp-4, -0x1.e239d27bb57ddp-4, -0x1.f76e699ce87bfp-4, -0x1.0626e8e4641c6p-3, -0x1.106ba07b1d396p-3, -0x1.1a84fca3b119ap-3, -0x1.2472a47a6bf6fp-3, -0x1.2e34451bf5aadp-3, -0x1.37c99199e338bp-3, -0x1.413242eeb9d8cp-3, -0x1.4a6e17f16627ep-3, -0x1.537cd5481b2a4p-3, -0x1.5c5e455aa3b15p-3, -0x1.65123844148bp-3, -0x1.6d9883c3ed8f3p-3, -0x1.75f1032ea2803p-3, -0x1.7e1b975d8ca11p-3, -0x1.8618269e47a4p-3, -0x1.8de69ca17d762p-3, -0x1.9586ea691d63dp-3, -0x1.9cf9063604be5p-3, -0x1.a43ceb751ba5p-3, -0x1.ab529aabe8971p-3, -0x1.b23a19649f332p-3, -0x1.b8f37219ada8cp-3, -0x1.bf7eb420cfe6ap-3, -0x1.c5dbf395a7a37p-3, -0x1.cc0b4943e04a5p-3, -0x1.d20cd290e95abp-3, -0x1.d7e0b16544965p-3, -0x1.dd870c156fe9p-3, -0x1.e3000d4a775a3p-3, -0x1.e84be3ea2b843p-3, -0x1.ed6ac2ff055c1p-3, -0x1.f25ce19fc39b5p-3, -0x1.f7227ad6b9e0bp-3, -0x1.fbbbcd88ebeafp-3, -0x1.00148e2e728cbp-2, -0x1.023556d0b1f86p-2, -0x1.04406599ebf18p-2, -0x1.0635e1335b509p-2, -0x1.0815f1f3d9519p-2, -0x1.09e0c1d2ec87dp-2, -0x1.0b967c5bcb809p-2, -0x1.0d374ea05b717p-2, -0x1.0ec3672c276b8p-2, -0x1.103af5f75aa3bp-2, -0x1.119e2c59b8874p-2, -0x1.12ed3cfd9c4b2p-2, -0x1.14285bd2fdc1bp-2, -0x1.154fbe02812f9p-2, -0x1.166399e0928ffp-2, -0x1.176426e091ff8p-2, -0x1.18519d880eaafp-2, -0x1.192c3762190d3p-2, -0x1.19f42ef2a8f79p-2, -0x1.1aa9bfaa1c3b2p-2, -0x1.1b4d25d8d3ab4p-2, -0x1.1bde9ea2e61cdp-2, -0x1.1c5e67f3f6958p-2, -0x1.1cccc0732b767p-2, -0x1.1d29e77744e1dp-2, -0x1.1d761cfad8815p-2, -0x1.1db1a190b5c45p-2, -0x1.1ddcb6586dbc6p-2, -0x1.1df79cf304528p-2, -0x1.1e029777cbb42p-2, -0x1.1dfde8696f403p-2, -0x1.1de9d2ab2366p-2, -0x1.1dc699760887dp-2, -0x1.1d94804ebc7cep-2, -0x1.1d53cafb1ab13p-2, -0x1.1d04bd782bc59p-2, -0x1.1ca79bf04985ap-2, -0x1.1c3caab17500fp-2, -0x1.1bc42e23dbb3bp-2, -0x1.1b3e6ac094195p-2, -0x1.1aaba5088db45p-2, -0x1.1a0c217bb3a9fp-2, -0x1.196024904738ap-2, -0x1.18a7f2aa6be1ap-2, -0x1.17e3d013ee102p-2, -0x1.171400f43a93p-2, -0x1.1638c9488df0bp-2, -0x1.15526cdc5ce8p-2, -0x1.14612f41ec002p-2, -0x1.136553cb24ab5p-2, -0x1.125f1d829a599p-2, -0x1.114ecf24c8b83p-2, -0x1.1034ab19887acp-2, -0x1.0f10f36db5d63p-2, -0x1.0de3e9cd0f47fp-2, -0x1.0cadcf7c49941p-2, -0x1.0b6ee5535738ep-2, -0x1.0a276bb7e2e64p-2, -0x1.08d7a29800ef9p-2, -0x1.077fc96511ff1p-2, -0x1.06201f0ed8ce1p-2, -0x1.04b8e1fec351dp-2, -0x1.034a501364499p-2, -0x1.01d4a69c2203fp-2, -0x1.005822550e7bep-2, -0x1.fda9fec5f3e6fp-3, -0x1.fa96f29f5502dp-3, -0x1.f777960c960f4p-3, -0x1.f44c5da005424p-3, -0x1.f115bca17aa2ap-3, -0x1.edd425083cf74p-3, -0x1.ea88077544d4bp-3, -0x1.e731d32dd096ep-3, -0x1.e3d1f61655987p-3, -0x1.e068dcadba6b9p-3, -0x1.dcf6f208ebac8p-3, -0x1.d97c9fcec1c1p-3, -0x1.d5fa4e342dd67p-3, -0x1.d27063f8bc336p-3, -0x1.cedf46635f8aap-3, -0x1.cb47593f838dap-3, -0x1.c7a8feda6ea99p-3, -0x1.c4049800e5bc9p-3, -0x1.c05a83fd13861p-3, -0x1.bcab2094bbbc5p-3, -0x1.b8f6ca07a9114p-3, -0x1.b53ddb0e5d2fcp-3, -0x1.b180acd901d02p-3, -0x1.adbf970e92f97p-3, -0x1.a9faefcc4cfd9p-3, -0x1.a6330ba547518p-3, -0x1.a2683da254e32p-3, -0x1.9e9ad742130cdp-3, -0x1.9acb28792ff42p-3, -0x1.96f97fb2e5af2p-3, -0x1.932629d1a5ca2p-3, -0x1.8f51722ff44dcp-3, -0x1.8b7ba2a1778b7p-3, -0x1.87a503742b196p-3, -0x1.83cddb71cb19cp-3, -0x1.7ff66fe15d6a2p-3, -0x1.7c1f0488edd78p-3, -0x1.7847dbaf69fc8p-3, -0x1.7471361eaadd5p-3, -0x1.709b53259aa8fp-3, -0x1.6cc6709a84b38p-3, -0x1.68f2cadd81962p-3, -0x1.65209cdb0ae3cp-3, -0x1.6150200ea3fabp-3, -0x1.5d818c85ab4bfp-3, -0x1.59b518e23efdp-3, -0x1.55eafa5e44b86p-3, -0x1.522364ce83162p-3, -0x1.4e5e8aa5daae8p-3, -0x1.4a9c9cf894494p-3, -0x1.46ddcb7fc1856p-3, -0x1.4322449cbc4a9p-3, -0x1.3f6a355cac626p-3, -0x1.3bb5c97c2cbcap-3, -0x1.38052b6afc222p-3, -0x1.3458844fc0615p-3, -0x1.30affc0bd4083p-3, -0x1.2d0bb93f2cbfap-3, -0x1.296be14c47ceep-3, -0x1.25d0985c23d1p-3, -0x1.223a016246ba8p-3, -0x1.1ea83e20d3b42p-3, -0x1.1b1b6f2c9f33fp-3, -0x1.1793b3f15ad56p-3, -0x1.14112ab5ba28ap-3, -0x1.1093f09fabbccp-3, -0x1.0d1c21b88dc3bp-3, -0x1.09a9d8f1728c5p-3, -0x1.063d30276176dp-3, -0x1.02d640279e121p-3, -0x1.feea4167f0085p-4, -0x1.f833d10e27d49p-4, -0x1.f1895ab17f4e4p-4, -0x1.eaeb07c481133p-4, -0x1.e458ffc550f96p-4, -0x1.ddd36846485c2p-4, -0x1.d75a64f6a07bdp-4, -0x1.d0ee17ab0b469p-4, -0x1.ca8ea06653297p-4, -0x1.c43c1d61f216ep-4, -0x1.bdf6ab16a6ca2p-4, -0x1.b7be6444fbf7ep-4, -0x1.b19361fdca37ep-4, -0x1.ab75bbaab82c8p-4, -0x1.a5658716aad46p-4, -0x1.9f62d87626079p-4, -0x1.996dc26fb186ep-4, -0x1.938656241f42ap-4, -0x1.8daca336d2af6p-4, -0x1.87e0b7d5f357cp-4, -0x1.8222a0c295efap-4, -0x1.7c726958cf3b9p-4, -0x1.76d01b97bee12p-4, -0x1.713bc02985483p-4, -0x1.6bb55e6b29d34p-4, -0x1.663cfc746f26ep-4, -0x1.60d29f1f97415p-4, -0x1.5b764a1112492p-4, -0x1.5627ffbf1b0fap-4, -0x1.50e7c1794580ep-4, -0x1.4bb58f6fee4a2p-4, -0x1.469168bba12d9p-4, -0x1.417b4b6463e4p-4, -0x1.3c733468ee596p-4, -0x1.37791fc5cf07bp-4, -0x1.328d087c76b11p-4, -0x1.2daee89a3065fp-4, -0x1.28deb93f00bcep-4, -0x1.241c72a474db3p-4, -0x1.1f680c2451a63p-4, -0x1.1ac17c3f350e8p-4, -0x1.1628b8a31b087p-4, -0x1.119db631cb4bdp-4, -0x1.0d2069073413dp-4, -0x1.08b0c47fa9c73p-4, -0x1.044ebb3e0f951p-4, -0x1.fff47e63d0a33p-5, -0x1.f766833aa6e2ep-5, -0x1.eef36635d72dp-5, -0x1.e69b074728178p-5, -0x1.de5d452852ce8p-5, -0x1.d639fd663b881p-5, -0x1.ce310c6bf58b6p-5, -0x1.c6424d8d9b969p-5, -0x1.be6d9b12f91f6p-5, -0x1.b6b2ce41fcb07p-5, -0x1.af11bf690608bp-5, -0x1.a78a45e8fb3bfp-5, -0x1.a01c383f3779p-5, -0x1.98c76c0f4509p-5, -0x1.918bb62c6559p-5, -0x1.8a68eaa2f9587p-5, -0x1.835edcc1a975p-5, -0x1.7c6d5f226bcf3p-5, -0x1.759443b359871p-5, -0x1.6ed35bbf5320fp-5, -0x1.682a77f67f444p-5, -0x1.6199687692f1bp-5, -0x1.5b1ffcd2f9b41p-5, -0x1.54be041cc2b5dp-5, -0x1.4e734cea6d776p-5, -0x1.483fa55f8ca74p-5, -0x1.4222db342fa05p-5, -0x1.3c1cbbbc312a7p-5, -0x1.362d13ee54454p-5, -0x1.3053b06b387c4p-5, -0x1.2a905d84229a4p-5, -0x1.24e2e741a1d38p-5, -0x1.1f4b196a07324p-5, -0x1.19c8bf87b6a9cp-5, -0x1.145ba4ef52837p-5, -0x1.0f0394c5be55dp-5, -0x1.09c05a05f81cdp-5, -0x1.0491bf86ced6dp-5, -0x1.feef2000ec9a8p-6, -0x1.f4e32c23d49ccp-6, -0x1.eaff388c78e2cp-6, -0x1.e142da335e5f5p-6, -0x1.d7ada5fd743f7p-6, -0x1.ce3f30c5b7bf2p-6, -0x1.c4f70f66b9bc4p-6, -0x1.bbd4d6c3aec53p-6, -0x1.b2d81bd170609p-6, -0x1.aa00739f1142cp-6, -0x1.a14d735e4479ap-6, -0x1.98beb06b80576p-6, -0x1.9053c055dc65fp-6, -0x1.880c38e6ba94cp-6, -0x1.7fe7b0292fa8bp-6, -0x1.77e5bc7128d25p-6, -0x1.7005f46251ef5p-6, -0x1.6847eef6e32aep-6, -0x1.60ab4385f2c4dp-6, -0x1.592f89c9df798p-6, -0x1.51d459e644b1bp-6, -0x1.4a994c6dccebcp-6, -0x1.437dfa67d9ebap-6, -0x1.3c81fd55e2542p-6, -0x1.35a4ef38b049ap-6, -0x1.2ee66a9567152p-6, -0x1.28460a7a431cep-6, -0x1.21c36a8350038p-6, -0x1.1b5e26decc71ap-6, -0x1.1515dc516ccd5p-6, -0x1.0eea283a719bep-6, -0x1.08daa8979513fp-6, -0x1.02e6fc08b5213p-6, -0x1.fa1d83a6eb558p-7, -0x1.eea333cd3fffdp-7, -0x1.e35e49baaeafdp-7, -0x1.d84e0804733bcp-7, -0x1.cd71b2a48a413p-7, -0x1.c2c88eff38f69p-7, -0x1.b851e3e85cb18p-7, -0x1.ae0cf9a861c2cp-7, -0x1.a3f91a00bfe12p-7, -0x1.9a159030cdd6ap-7, -0x1.9061a8f96697p-7, -0x1.86dcb2a12ec7cp-7, -0x1.7d85fcf7fbea3p-7, -0x1.745cd95a38b55p-7, -0x1.6b609ab41f36bp-7, -0x1.629095847f8c1p-7, -0x1.59ec1fdf869c9p-7, -0x1.517291710a611p-7, -0x1.4923437ecaeaap-7, -0x1.40fd90ea92c16p-7, -0x1.3900d633dd1b4p-7, -0x1.312c717959975p-7, -0x1.297fc27a96409p-7, -0x1.21fa2a98e5a99p-7, -0x1.1a9b0cd8a1ea1p-7, -0x1.1361cde1c672cp-7, -0x1.0c4dd400d2a3ap-7, -0x1.055e87270d7d8p-7, -0x1.fd26a1d60ad92p-8, -0x1.efd7391134d4bp-8, -0x1.e2cdadc216708p-8, -0x1.d608dcf5901cep-8, -0x1.c987a70266d5bp-8, -0x1.bd48ef884326p-8, -0x1.b14b9d6e8abb6p-8, -0x1.a58e9ae3271e3p-8, -0x1.9a10d55888392p-8, -0x1.8ed13d8416e81p-8, -0x1.83cec75b8ca4ap-8, -0x1.79086a1304b13p-8, -0x1.6e7d201a39983p-8, -0x1.642be71972bb2p-8, -0x1.5a13bfeec18a2p-8, -0x1.5033aeaaa0d2dp-8, -0x1.468aba8c8eb68p-8, -0x1.3d17edff54ff5p-8, -0x1.33da569551758p-8, -0x1.2ad1050460317p-8, -0x1.21fb0d21f8501p-8, -0x1.195785de75d42p-8, -0x1.10e58940ed736p-8, -0x1.08a43462a6e1ep-8, -0x1.0092a769e8516p-8, -0x1.f1600b0b6ec59p-9, -0x1.e1f6e9d0accb1p-9, -0x1.d2e83d84d973dp-9, -0x1.c4325e7b6e05cp-9, -0x1.b5d3aaef27c14p-9, -0x1.a7ca86f76603dp-9, -0x1.9a155c7cfa8eap-9, -0x1.8cb29b2ecd53p-9, -0x1.7fa0b8769483cp-9, -0x1.72de2f6d058acp-9, -0x1.666980cdf87b3p-9, -0x1.5a4132ec9125cp-9, -0x1.4e63d1a768bc7p-9, -0x1.42cfee5bf80f6p-9, -0x1.37841fda5fccdp-9, -0x1.2c7f0259137b1p-9, -0x1.21bf376816ac4p-9, -0x1.174365e4d621ap-9, -0x1.0d0a39ec71cd8p-9, -0x1.031264d053ad4p-9, -0x1.f2b53a0fec214p-10, -0x1.dfc33c494d90ap-10, -0x1.cd4c5189127b5p-10, -0x1.bb4e050a60c95p-10, -0x1.a9c5ebed5b8c6p-10, -0x1.98b1a51d09e8ep-10, -0x1.880ed934b923bp-10, -0x1.77db3a65c0a3bp-10, -0x1.6814845ce2dfbp-10, -0x1.58b87c27b62d4p-10, -0x1.49c4f01afe815p-10, -0x1.3b37b7b67eacp-10, -0x1.2d0eb38c442a6p-10, -0x1.1f47cd24fe5dap-10, -0x1.11e0f6e630e3ep-10, -0x1.04d82bf6e2da4p-10, -0x1.f056e04d137dbp-11, -0x1.d7b19fa2a59ccp-11, -0x1.bfbcbf8d635eep-11, -0x1.a8747a5db56abp-11, -0x1.91d51ae19b2d4p-11, -0x1.7bdafc2fd1d0bp-11, -0x1.6682897468a97p-11, -0x1.51c83dbcdc451p-11, -0x1.3da8a3c40182p-11, -0x1.2a2055c0144afp-11, -0x1.172bfd2d5d855p-11, -0x1.04c8529de468ep-11, -0x1.e5e43b0845afep-12, -0x1.c34c680620ab2p-12, -0x1.a1c2f57429fe9p-12, -0x1.8141c92983bep-12, -0x1.61c2e53017f66p-12, -0x1.434067642bff3p-12, -0x1.25b48910f9ca6p-12, -0x1.09199e9107916p-12, -0x1.dad42dd795b6ep-13, -0x1.a540f6f02f4a4p-13, -0x1.716edef5deadcp-13, -0x1.3f535f94d9596p-13, -0x1.0ee424dd94418p-13, -0x1.c02e191c8530ep-14, -0x1.65c44aaa84c69p-14, -0x1.0e775c424b28fp-14, -0x1.74685589ab5f3p-15, -0x1.a39fc309efe2fp-16, -0x1.a804502aeec5fp-18, 0x1.88a7367ea5cb6p-17, 0x1.e7a51e2242e8ep-16, 0x1.801c73b3523c2p-15, 0x1.0394c3a7d60c8p-14, 0x1.448d955d927aap-14, 0x1.83090b412636fp-14, 0x1.bf172ec116cb4p-14, 0x1.f8c7b7bd036fdp-14, 0x1.181506e80f646p-13, 0x1.32a6a4ca9c294p-13, 0x1.4c201af16e672p-13, 0x1.6488a888c232fp-13, 0x1.7be767182ced8p-13, 0x1.92434b1ce4ee2p-13, 0x1.a7a324a627697p-13, 0x1.bc0d9febfa7ddp-13, 0x1.cf8945e391f65p-13, 0x1.e21c7cd92f612p-13, 0x1.f3cd88fca19b6p-13, 0x1.0251467ba6a88p-12, 0x1.0a50c53cdc79cp-12, 0x1.11e83164706bdp-12, 0x1.191a6ba514ac2p-12, 0x1.1fea4508876a2p-12, 0x1.265a7f31de347p-12, 0x1.2c6dcca1f2b97p-12, 0x1.3226d0fa77e71p-12, 0x1.3788213ed7242p-12, 0x1.3c9444164cd7p-12, 0x1.414db20b1aaddp-12, 0x1.45b6d5cb13533p-12, 0x1.49d20c6454683p-12, 0x1.4da1a58583691p-12, 0x1.5127e3b85033p-12, 0x1.5466fc9ebf1b4p-12, 0x1.5761192efcc69p-12, 0x1.5a1855ebdb384p-12, 0x1.5c8ec320d0726p-12, 0x1.5ec665199a71bp-12, 0x1.60c1345ad983p-12, 0x1.62811dd8c34d6p-12, 0x1.6408032e76a5p-12, 0x1.6557bad3256b5p-12, 0x1.6672104f4ea6cp-12, 0x1.6758c4719efabp-12, 0x1.680d8d815a9edp-12, 0x1.6892177204639p-12, 0x1.68e80414fecd7p-12, 0x1.6910eb4affb31p-12, 0x1.690e5b33b8f0ep-12, 0x1.68e1d85f4c7aep-12, 0x1.688cddfc6e99dp-12, 0x1.6810de069f20ap-12, 0x1.676f4174758bep-12, 0x1.66a968640e65bp-12, 0x1.65c0aa47c452cp-12, 0x1.64b65611cd658p-12, 0x1.638bb25ebcb6ep-12, 0x1.6241fda017d04p-12, 0x1.60da6e463ce48p-12, 0x1.5f5632e890955p-12, 0x1.5db6726f10db9p-12, 0x1.5bfc4c3806e4p-12, 0x1.5a28d840d2751p-12, 0x1.583d274b9496fp-12, 0x1.563a43053eaa2p-12, 0x1.54212e2a3e284p-12, 0x1.51f2e4ab22fd6p-12, 0x1.4fb05bd0c2d37p-12, 0x1.4d5a825f70608p-12, 0x1.4af240ba27e5fp-12, 0x1.48787903f8e06p-12, 0x1.45ee0741e3e8cp-12, 0x1.4353c17c3179ep-12, 0x1.40aa77dec226dp-12, 0x1.3df2f4d838bb1p-12, 0x1.3b2dfd3abf15cp-12, 0x1.385c5059cb9a6p-12, 0x1.357ea8286448ap-12, 0x1.3295b9577dbfep-12, 0x1.2fa23372dc5b5p-12, 0x1.2ca4c0fd71cc8p-12, 0x1.299e078e77696p-12, 0x1.268ea7ec4c853p-12, 0x1.23773e281e196p-12, 0x1.205861b842106p-12, 0x1.1d32a593223abp-12, 0x1.1a0698483190ep-12, 0x1.16d4c419eb9efp-12, 0x1.139daf16193b5p-12, 0x1.1061db2eb4386p-12, 0x1.0d21c6517b912p-12, 0x1.09ddea7f8f3dep-12, 0x1.0696bde4d3bd4p-12, 0x1.034cb2edf0078p-12, 0x1.0000385f050e1p-12, 0x1.f96372d286658p-13, 0x1.f2c33b80bbf0fp-13, 0x1.ec20935ef3e3ap-13, 0x1.e57c3c5ba0c12p-13, 0x1.ded6f1e5eb379p-13, 0x1.d831691451537p-13, 0x1.d18c50ccf0a48p-13, 0x1.cae851ea78b34p-13, 0x1.c4460f6229e14p-13, 0x1.bda626681aee4p-13, 0x1.b7092e92f1146p-13, 0x1.b06fb9ffc0abfp-13, 0x1.a9da5574196fcp-13, 0x1.a349887f9027p-13, 0x1.9cbdd59d8da98p-13, 0x1.9637ba55369a1p-13, 0x1.8fb7af5995c87p-13, 0x1.893e28a873009p-13, 0x1.82cb95a968005p-13, 0x1.7c60614b3fad4p-13, 0x1.75fcf221fea03p-13, 0x1.6fa1aa82a5d34p-13, 0x1.694ee8a03fe0bp-13, 0x1.630506a6b89a5p-13, 0x1.5cc45ad672ae5p-13, 0x1.568d379e25bf6p-13, 0x1.505febb55b03p-13, 0x1.4a3cc235191abp-13, 0x1.442402b12f5abp-13, 0x1.3e15f1501e2ep-13, 0x1.3812cee33bd41p-13, 0x1.321ad8fd995cbp-13, 0x1.2c2e4a0b0476dp-13, 0x1.264d5966135ap-13, 0x1.20783b6e0826dp-13, 0x1.1aaf219c43b15p-13, 0x1.14f23a98ea06cp-13, 0x1.0f41b24f34fcbp-13, 0x1.099db201d6f65p-13, 0x1.0406605de4431p-13, 0x1.fcf7c31cfc4a4p-14, 0x1.f1fcae9dcf3b8p-14, 0x1.e71bc1fa90221p-14, 0x1.dc5537581d42ep-14, 0x1.d1a9446762d61p-14, 0x1.c7181a874991cp-14, 0x1.bca1e6e5a5679p-14, 0x1.b246d2a05317ap-14, 0x1.a80702e4a1d16p-14, 0x1.9de2990dfc9dap-14, 0x1.93d9b2c6185a5p-14, 0x1.89ec6a1ffcdc9p-14, 0x1.801ad5b6912b6p-14, 0x1.766508c8e8b61p-14, 0x1.6ccb1355d787bp-14, 0x1.634d0235fe4f3p-14, 0x1.59eadf36e8947p-14, 0x1.50a4b13568bbfp-14, 0x1.477a7c359b9e8p-14, 0x1.3e6c417b09daep-14, 0x1.3579ffa228f9p-14, 0x1.2ca3b2b697f6dp-14, 0x1.23e95449eb3a1p-14, 0x1.1b4adb8a4d18p-14, 0x1.12c83d57cfa7cp-14, 0x1.0a616c59bcc7ep-14, 0x1.021659132af81p-14, 0x1.f3cde3ed9d20dp-15, 0x1.e3a646f6b79c1p-15, 0x1.d3b5b05b811c5p-15, 0x1.c3fbf188055eap-15, 0x1.b478d85f4c95fp-15, 0x1.a52c2f5f2757dp-15, 0x1.9615bdc0c179cp-15, 0x1.8735479c063acp-15, 0x1.788a8e0786e8dp-15, 0x1.6a154f3948d4fp-15, 0x1.5bd546a48e193p-15, 0x1.4dca2d18877a5p-15, 0x1.3ff3b8ddb0bb7p-15, 0x1.32519dd32a102p-15, 0x1.24e38d89e93c2p-15, 0x1.17a9375f5642ep-15, 0x1.0aa248995ca05p-15, 0x1.fb9cd8fd16af2p-16, 0x1.e25a98de7697p-16, 0x1.c97d1ffe17661p-16, 0x1.b103ba16235b3p-16, 0x1.98edafa3d3181p-16, 0x1.813a4612a6cafp-16, 0x1.69e8bfe9ad5e2p-16, 0x1.52f85cf1ea90cp-16, 0x1.3c685a635b227p-16, 0x1.2637f30b6391fp-16, 0x1.10665f72746p-16, 0x1.f5e5ac068c566p-17, 0x1.cbb9165bedbe5p-17, 0x1.a24563189f891p-17, 0x1.7988f405ac37ep-17, 0x1.518227c6dfee9p-17, 0x1.2a2f5a1b78708p-17, 0x1.038ee41a53543p-17, 0x1.bb3e38dfde955p-18, 0x1.70bcaf35d814p-18, 0x1.2795d0473788ep-18, 0x1.bf8c7b473856cp-19, 0x1.32952b8e39654p-19, 0x1.507dd22463f0cp-20, 0x1.0417375d34e0cp-22, -0x1.9296ae6b69d6ep-21, -0x1.ce83447a844ddp-20, -0x1.6757d3186c351p-19, -0x1.e4ef15ec51e4bp-19, -0x1.300721bd4b7d6p-18, -0x1.6c5e1a7286835p-18, -0x1.a77fe181d8968p-18, -0x1.e16fe2e9529fdp-18, -0x1.0d18c4f7465b7p-17, -0x1.28e4206be6796p-17, -0x1.441bb85469e75p-17, -0x1.5ec1406dfadc2p-17, -0x1.78d66b922cd03p-17, -0x1.925ceb99ab427p-17, -0x1.ab56713c9526p-17, -0x1.c3c4abf5f76ebp-17, -0x1.dba949e98b88ep-17, -0x1.f305f7c9c3a35p-17, -0x1.04ee305e14c18p-16, -0x1.10171720fc8aep-16, -0x1.1afe841059e82p-16, -0x1.25a54a26fed6ep-16, -0x1.300c3b6b803c8p-16, -0x1.3a3428e5f41eap-16, -0x1.441de296d2f8dp-16, -0x1.4dca376d72071p-16, -0x1.5739f53eb22acp-16, -0x1.606de8bc4c9d7p-16, -0x1.6966dd6d49f5ep-16, -0x1.72259da4fcb5cp-16, -0x1.7aaaf27c4158ap-16, -0x1.82f7a3ca81239p-16, -0x1.8b0c781ef17b6p-16, -0x1.92ea34b959749p-16, -0x1.9a919d852923ep-16, -0x1.a20375132fda5p-16, -0x1.a9407c9391c99p-16, -0x1.b04973d1937a2p-16, -0x1.b71f192e3472ep-16, -0x1.bdc2299bdc6b4p-16, -0x1.c4336099e0db9p-16, -0x1.ca737831197cep-16, -0x1.d08328efb8b76p-16, -0x1.d66329e53bd77p-16, -0x1.dc1430a014419p-16, -0x1.e196f12a1daebp-16, -0x1.e6ec1e0606859p-16, -0x1.ec14682d3142dp-16, -0x1.f1107f0d19384p-16, -0x1.f5e11084b8044p-16, -0x1.fa86c8e2fd939p-16, -0x1.ff0252e5a5cfep-16, -0x1.01aa2bdb76ad7p-15, -0x1.03bebf7651859p-15, -0x1.05bf37436e3adp-15, -0x1.07abe577ac6bcp-15, -0x1.09851b7c2de8p-15, -0x1.0b4b29ee14651p-15, -0x1.0cfe609e57b38p-15, }}, 
      {{0x1.3e0a427e35761p-7, 0x1.3e49e68afb61bp-6, 0x1.de0260eaacf01p-6, 0x1.3f2743d0aadap-5, 0x1.8f9b4af27c67p-5, 0x1.e055b6c81d587p-5, 0x1.18a255a71ccc4p-4, 0x1.4126fc45da7b2p-4, 0x1.69a8abb9a4cf8p-4, 0x1.921559a6d487ep-4, 0x1.ba5a29fc82dc5p-4, 0x1.e2646319b3d39p-4, 0x1.05111aaa643c6p-3, 0x1.18c1a86563bf8p-3, 0x1.2c3ca524a7f5dp-3, 0x1.3f7bea3cf6f24p-3, 0x1.527a6a7152ddbp-3, 0x1.65342e884b577p-3, 0x1.77a647e828d5p-3, 0x1.89cebc9c74e85p-3, 0x1.9bac6f766a103p-3, 0x1.ad3f064c6a107p-3, 0x1.be86cfc64606ep-3, 0x1.cf84a9ad390b6p-3, 0x1.e039e85e29167p-3, 0x1.f0a83fbf097c1p-3, 0x1.0068d6f777922p-2, 0x1.085c33e6d688fp-2, 0x1.102f63b3739b9p-2, 0x1.17e39e20c6bebp-2, 0x1.1f7a1ec690e06p-2, 0x1.26f41f1045592p-2, 0x1.2e52d11cc74bep-2, 0x1.35975b73eb79dp-2, 0x1.3cc2d58564581p-2, 0x1.43d644e3244f8p-2, 0x1.4ad29b27fdebcp-2, 0x1.51b8b47a4f0e9p-2, 0x1.5889569a05927p-2, 0x1.5f4530690c01ep-2, 0x1.65ecd9dd71351p-2, 0x1.6c80d44d1778fp-2, 0x1.73018b038d338p-2, 0x1.796f5413bfe2cp-2, 0x1.7fca71586808dp-2, 0x1.861311976b8f1p-2, 0x1.8c4951bdc821dp-2, 0x1.926d3e2b008bp-2, 0x1.987ed40461516p-2, 0x1.9e7e0289b88ap-2, 0x1.a46aac66499c3p-2, 0x1.aa44a8f9e0848p-2, 0x1.b00bc596dfbedp-2, 0x1.b5bfc6b2f2b57p-2, 0x1.bb606908d4ecap-2, 0x1.c0ed62aa2ca12p-2, 0x1.c666640100c9cp-2, 0x1.cbcb18c0b0f8ap-2, 0x1.d11b28c6a7d85p-2, 0x1.d65638eb40c78p-2, 0x1.db7bebc37377p-2, 0x1.e08be2540cc68p-2, 0x1.e585bcb731fc6p-2, 0x1.ea691ab5080e5p-2, 0x1.ef359c5047864p-2, 0x1.f3eae2478c2a7p-2, 0x1.f8888e8c1a016p-2, 0x1.fd0e44aed3eddp-2, 0x1.00bdd521ff598p-1, 0x1.02e8339f38e4bp-1, 0x1.050613215be0ep-1, 0x1.07174a794f8a4p-1, 0x1.091bb218d2ac9p-1, 0x1.0b13243153031p-1, 0x1.0cfd7ccf9093cp-1, 0x1.0eda99f436968p-1, 0x1.10aa5ba98fbaep-1, 0x1.126ca4167424fp-1, 0x1.1421578e9488ap-1, 0x1.15c85ca03d37ep-1, 0x1.17619c1fadb9cp-1, 0x1.18ed01301f4e2p-1, 0x1.1a6a794a96126p-1, 0x1.1bd9f44295da3p-1, 0x1.1d3b6448d4ad5p-1, 0x1.1e8ebdec02e47p-1, 0x1.1fd3f817c579ep-1, 0x1.210b0c11fb302p-1, 0x1.2233f5766415bp-1, 0x1.234eb230c9be3p-1, 0x1.245b4275be2f5p-1, 0x1.2559a8ba0ef87p-1, 0x1.2649e9a9023a5p-1, 0x1.272c0c197bf76p-1, 0x1.2800190221aa9p-1, 0x1.28c61b6c9768fp-1, 0x1.297e2067ed6c9p-1, 0x1.2a2836fa56aa3p-1, 0x1.2ac4701241bb9p-1, 0x1.2b52de76e777dp-1, 0x1.2bd396b866c2p-1, 0x1.2c46af1f838b8p-1, 0x1.2cac3f9d1ad91p-1, 0x1.2d0461b960e89p-1, 0x1.2d4f3082f94abp-1, 0x1.2d8cc87dfb33p-1, 0x1.2dbd4792f35c2p-1, 0x1.2de0ccfdedd6bp-1, 0x1.2df7793d99932p-1, 0x1.2e016e0291f61p-1, 0x1.2dfece1ed5816p-1, 0x1.2defbd757af1p-1, 0x1.2dd460eaa6febp-1, 0x1.2dacde53d1cp-1, 0x1.2d795c685dd2ap-1, 0x1.2d3a02b28a21fp-1, 0x1.2ceef980c4df1p-1, 0x1.2c9869d761a5ep-1, 0x1.2c367d62b8869p-1, 0x1.2bc95e69b140ep-1, 0x1.2b5137c0bb58ep-1, 0x1.2ace34bd36fb3p-1, 0x1.2a4081294e3fep-1, 0x1.29a849383ecc9p-1, 0x1.2905b97b1720dp-1, 0x1.2858fed5e20f4p-1, 0x1.27a246754376p-1, 0x1.26e1bdc484046p-1, 0x1.2617926407dfap-1, 0x1.2543f2203292dp-1, 0x1.24670ae8b13f5p-1, 0x1.23810ac82d41dp-1, 0x1.22921fdc5fd14p-1, 0x1.219a784e87b15p-1, 0x1.209a424c3b794p-1, 0x1.1f91ac00978d7p-1, 0x1.1e80e38dc08a9p-1, 0x1.1d681706bc54dp-1, 0x1.1c4774699ac1ep-1, 0x1.1b1f2999e9b03p-1, 0x1.19ef645b76156p-1, 0x1.18b8524d508f6p-1, 0x1.177a20e5188bep-1, 0x1.1634fd6a83e99p-1, 0x1.14e914f326968p-1, 0x1.1396945e72424p-1, 0x1.123da851ee5bp-1, 0x1.10de7d35a22ebp-1, 0x1.0f793f30b2804p-1, 0x1.0e0e1a262b896p-1, 0x1.0c9d39b1f8484p-1, 0x1.0b26c92602b4ap-1, 0x1.09aaf3877b89ep-1, 0x1.0829e38c4507fp-1, 0x1.06a3c3988387p-1, 0x1.0518bdbc4b122p-1, 0x1.0388fbb16f882p-1, 0x1.01f4a6d96d95fp-1, 0x1.005be83b7241fp-1, 0x1.fd7dd104f54fp-2, 0x1.fa3b9ff71674fp-2, 0x1.f6f18d27fe758p-2, 0x1.f39fe7afd9a7ep-2, 0x1.f046fde13aefap-2, 0x1.ece71d4634072p-2, 0x1.e980929d8fa73p-2, 0x1.e613a9d83263p-2, 0x1.e2a0ae1697a94p-2, 0x1.df27e9a671f4fp-2, 0x1.dba9a6006723bp-2, 0x1.d8262bc5e8f21p-2, 0x1.d49dc2bf2a7e8p-2, 0x1.d110b1d92eddep-2, 0x1.cd7f3f23f4471p-2, 0x1.c9e9afd0b145ap-2, 0x1.c650483033cafp-2, 0x1.c2b34bb14f32cp-2, 0x1.bf12fcdf64ab5p-2, 0x1.bb6f9d6103cep-2, 0x1.b7c96df69ccf9p-2, 0x1.b420ae794d13cp-2, 0x1.b0759dd9bd584p-2, 0x1.acc87a1f172f9p-2, 0x1.a91980660f26ep-2, 0x1.a568ece002465p-2, 0x1.a1b6fad2298eap-2, 0x1.9e03e494e1b1fp-2, 0x1.9a4fe39307785p-2, 0x1.969b3049662c7p-2, 0x1.92e602463d57ap-2, 0x1.8f309028d8f68p-2, 0x1.8b7b0fa13d07ep-2, 0x1.87c5b56fe7898p-2, 0x1.8410b565a39bbp-2, 0x1.805c426373138p-2, 0x1.7ca88e5a89a42p-2, 0x1.78f5ca4c5d957p-2, 0x1.7544264accb54p-2, 0x1.7193d17850adep-2, 0x1.6de4fa084dbf6p-2, 0x1.6a37cd3f6f1bep-2, 0x1.668c777417eeep-2, 0x1.62e3240eec24dp-2, 0x1.5f3bfd8b64316p-2, 0x1.5b972d787ba9ap-2, 0x1.57f4dc796d808p-2, 0x1.54553246839d9p-2, 0x1.50b855adfc70ap-2, 0x1.4d1e6c94fe281p-2, 0x1.49879bf89cd0bp-2, 0x1.45f407eef6023p-2, 0x1.4263d3a857199p-2, 0x1.3ed721707c154p-2, 0x1.3b4e12afd88e5p-2, 0x1.37c8c7ecf63e8p-2, 0x1.344760cde199ap-2, 0x1.30c9fc19a5cb1p-2, 0x1.2d50b7b9d9daap-2, 0x1.29dbb0bc3a927p-2, 0x1.266b035456ddbp-2, 0x1.22fecadd46b52p-2, 0x1.1f9721db73a3dp-2, 0x1.1c3421fe6b69p-2, 0x1.18d5e422c1fe9p-2, 0x1.157c805401b2dp-2, 0x1.12280dcea39dp-2, 0x1.0ed8a30218c89p-2, 0x1.0b8e5592dada4p-2, 0x1.08493a5c8ac82p-2, 0x1.0509657417ed1p-2, 0x1.01ceea29f3dcbp-2, 0x1.fd33b6189b644p-3, 0x1.f6d493d2aef7fp-3, 0x1.f0808fa329c8bp-3, 0x1.ea37ca34662bep-3, 0x1.e3fa62bec92cp-3, 0x1.ddc8770d96624p-3, 0x1.d7a22383c5934p-3, 0x1.d1878320ed671p-3, 0x1.cb78af86344a6p-3, 0x1.c575c0fb558a8p-3, 0x1.bf7ece73a58fcp-3, 0x1.b993ed932c161p-3, 0x1.b3b532b3bbc1bp-3, 0x1.ade2b0ea18a7cp-3, 0x1.a81c7a0b26c21p-3, 0x1.a2629eb1169fdp-3, 0x1.9cb52e40a3ae4p-3, 0x1.971436ee4b782p-3, 0x1.917fc5c390543p-3, 0x1.8bf7e6a43a511p-3, 0x1.867ca453a00c7p-3, 0x1.810e0879ea42cp-3, 0x1.7bac1ba95f494p-3, 0x1.7656e563a77f4p-3, 0x1.710e6c1f1705ep-3, 0x1.6bd2b54bf3125p-3, 0x1.66a3c559b2dap-3, 0x1.61819fbc48692p-3, 0x1.5c6c46f1553efp-3, 0x1.5763bc856a58p-3, 0x1.526801193e8cep-3, 0x1.4d791466d89f3p-3, 0x1.4896f546c131fp-3, 0x1.43c1a1b51fa57p-3, 0x1.3ef916d6e09fep-3, 0x1.3a3d50fec232bp-3, 0x1.358e4bb26a8e6p-3, 0x1.30ec01af69999p-3, 0x1.2c566cf038c5ep-3, 0x1.27cd86b12bf0cp-3, 0x1.235147755ebf9p-3, 0x1.1ee1a70b94cap-3, 0x1.1a7e9c930bb1ap-3, 0x1.16281e804d393p-3, 0x1.11de22a1e618p-3, 0x1.0da09e2524b6fp-3, 0x1.096f859ab6819p-3, 0x1.054accfb4e027p-3, 0x1.013267ac2bf8ep-3, 0x1.fa4c91074810cp-4, 0x1.f24cc39b2a2ffp-4, 0x1.ea654a9fa0336p-4, 0x1.e296089cdfbc5p-4, 0x1.dadedf205e4b2p-4, 0x1.d33faec53a884p-4, 0x1.cbb8573cb39f7p-4, 0x1.c448b75661465p-4, 0x1.bcf0ad086134dp-4, 0x1.b5b0157764f32p-4, 0x1.ae86ccfea1bf1p-4, 0x1.a774af3799be5p-4, 0x1.a0799701d8dfcp-4, 0x1.99955e8a84591p-4, 0x1.92c7df53d1573p-4, 0x1.8c10f23c5e4cfp-4, 0x1.85706f866c106p-4, 0x1.7ee62edefaffdp-4, 0x1.78720764c3615p-4, 0x1.7213cfaf168aap-4, 0x1.6bcb5dd49b70bp-4, 0x1.65988771efc6p-4, 0x1.5f7b21b029416p-4, 0x1.5973014b36b34p-4, 0x1.537ffa9823b96p-4, 0x1.4da1e18b3fc69p-4, 0x1.47d889be20383p-4, 0x1.4223c6758d7cbp-4, 0x1.3c836aa746e26p-4, 0x1.36f748ffb1a46p-4, 0x1.317f33e762abap-4, 0x1.2c1afd888f27dp-4, 0x1.26ca77d45daafp-4, 0x1.218d748817131p-4, 0x1.1c63c5323f006p-4, 0x1.174d3b3789a32p-4, 0x1.1249a7d7b8e82p-4, 0x1.0d58dc3259ce2p-4, 0x1.087aa94b65956p-4, 0x1.03aee00fc831cp-4, 0x1.fdeaa2b39311p-5, 0x1.f49b9beaafcabp-5, 0x1.eb704d487c67cp-5, 0x1.e268584469813p-5, 0x1.d9835e51c286fp-5, 0x1.d0c100e765b42p-5, 0x1.c820e18756036p-5, 0x1.bfa2a1c60e832p-5, 0x1.b745e351a4c09p-5, 0x1.af0a47f8be2aep-5, 0x1.a6ef71b14511fp-5, 0x1.9ef5029efa1cep-5, 0x1.971a9d19cfeabp-5, 0x1.8f5fe3b40bf19p-5, 0x1.87c47940480d5p-5, 0x1.804800d73cd0dp-5, 0x1.78ea1ddd543fdp-5, 0x1.71aa740820bd3p-5, 0x1.6a88a76398831p-5, 0x1.63845c572b1b2p-5, 0x1.5c9d37aaa7573p-5, 0x1.55d2de8afb4ap-5, 0x1.4f24f68ec0876p-5, 0x1.489325baa96e3p-5, 0x1.421d1285bc221p-5, 0x1.3bc263dd6e8e5p-5, 0x1.3582c1298ceeap-5, 0x1.2f5dd2500a86ap-5, 0x1.29533fb89c84ep-5, 0x1.2362b25036496p-5, 0x1.1d8bd38c665bep-5, 0x1.17ce4d6e7fa91p-5, 0x1.1229ca86af66cp-5, 0x1.0c9df5f6e3775p-5, 0x1.072a7b7599ef2p-5, 0x1.01cf075087155p-5, 0x1.f9168cde333afp-6, 0x1.eebdcca9c793dp-6, 0x1.e4932a47cb2f8p-6, 0x1.da96033d63f28p-6, 0x1.d0c5b654f3594p-6, 0x1.c721a3a1f5f78p-6, 0x1.bda92c849be43p-6, 0x1.b45bb3ad34d11p-6, 0x1.ab389d1f626dcp-6, 0x1.a23f4e35095a3p-6, 0x1.996f2da123d66p-6, 0x1.90c7a3724926cp-6, 0x1.8848191511155p-6, 0x1.7feff95644c89p-6, 0x1.77beb064da1f1p-6, 0x1.6fb3abd3c90bcp-6, 0x1.67ce5a9ba0e89p-6, 0x1.600e2d1c17747p-6, 0x1.5872951d36b4cp-6, 0x1.50fb05d09835fp-6, 0x1.49a6f3d2490a3p-6, 0x1.4275d529a6bedp-6, 0x1.3b67214a04b99p-6, 0x1.347a511330846p-6, 0x1.2daeded1d0181p-6, 0x1.2704463f9c44bp-6, 0x1.207a0483805bdp-6, 0x1.1a0f98318ab58p-6, 0x1.13c4814ac6b05p-6, 0x1.0d98413cf436bp-6, 0x1.078a5ae21ee56p-6, 0x1.019a52801c91p-6, 0x1.f78f5b8fcfd07p-7, 0x1.ec23e7a9d2fc6p-7, 0x1.e0f15a5829008p-7, 0x1.d5f6c77601354p-7, 0x1.cb3345adaad81p-7, 0x1.c0a5ee765f473p-7, 0x1.b64dde11b3945p-7, 0x1.ac2a338913f01p-7, 0x1.a23a10aad859ap-7, 0x1.987c9a075c1ep-7, 0x1.8ef0f6eddba43p-7, 0x1.8596516919ed6p-7, 0x1.7c6bd63c1c99bp-7, 0x1.7370b4de623a5p-7, 0x1.6aa41f7853be7p-7, 0x1.62054adf73bc4p-7, 0x1.59936e925133dp-7, 0x1.514dc4b478eb6p-7, 0x1.49338a0a53164p-7, 0x1.4143fdf4cce9cp-7, 0x1.397e626cf6efcp-7, 0x1.31e1fbff7e0dap-7, 0x1.2a6e11c81b1cfp-7, 0x1.2321ed6cdd5cep-7, 0x1.1bfcdb196e8e5p-7, 0x1.14fe297a31a05p-7, 0x1.0e2529b75a9aap-7, 0x1.07712f6ff612p-7, 0x1.00e190b4ca9b6p-7, 0x1.f4eb4c0683237p-8, 0x1.e85994807a466p-8, 0x1.dc0cb5659ae03p-8, 0x1.d0036dfddebf3p-8, 0x1.c43c824063667p-8, 0x1.b8b6bac8ae4b7p-8, 0x1.ad70e4cbb51f8p-8, 0x1.a269d20d175bcp-8, 0x1.97a058d3f4b7ep-8, 0x1.8d1353e00bf8bp-8, 0x1.82c1a25e66566p-8, 0x1.78aa27de5b8d4p-8, 0x1.6ecbcc463249ep-8, 0x1.65257bc8019adp-8, 0x1.5bb626d64812ap-8, 0x1.527cc218af1bcp-8, 0x1.49784660aec5p-8, 0x1.40a7b09e1d92ap-8, 0x1.380a01d3f6123p-8, 0x1.2f9e3f0cc604ap-8, 0x1.2763714f824d1p-8, 0x1.1f58a593e18ecp-8, 0x1.177cecb73e2eep-8, 0x1.0fcf5b7101d5dp-8, 0x1.084f0a4762d97p-8, 0x1.00fb158407c1ep-8, 0x1.f3a53a51562dp-9, 0x1.e5a989c7ce463p-9, 0x1.d801680b9372ep-9, 0x1.caab2ae95821ep-9, 0x1.bda52f442ab0fp-9, 0x1.b0edd8febd063p-9, 0x1.a48392e551ac8p-9, 0x1.9864ce97b0d05p-9, 0x1.8c900472cefd3p-9, 0x1.8103b37b14dc5p-9, 0x1.75be61464d6ffp-9, 0x1.6abe99e5ec21dp-9, 0x1.6002efd17be97p-9, 0x1.5589fbd0ea6acp-9, 0x1.4b525ce7443cap-9, 0x1.415ab83d5989fp-9, 0x1.37a1b90c7f68ep-9, 0x1.2e261089b4463p-9, 0x1.24e675d09747bp-9, 0x1.1be1a5ceb1df1p-9, 0x1.1316632ed901cp-9, 0x1.0a837644bada3p-9, 0x1.0227acf893e09p-9, 0x1.f403b565e9aecp-10, 0x1.e421b091b3b16p-10, 0x1.d4a707cf5c7e3p-10, 0x1.c5918203a2f2dp-10, 0x1.b6def075a9df3p-10, 0x1.a88d2ea891ca6p-10, 0x1.9a9a2234fb12p-10, 0x1.8d03baa310463p-10, 0x1.7fc7f1448542cp-10, 0x1.72e4c90fce282p-10, 0x1.66584e7a4dbedp-10, 0x1.5a20975467fdp-10, 0x1.4e3bc2a4d9a6bp-10, 0x1.42a7f88499495p-10, 0x1.376369fba0278p-10, 0x1.2c6c50dd32c9dp-10, 0x1.21c0efa57fd62p-10, 0x1.175f9156a386ep-10, 0x1.0d4689569f747p-10, 0x1.0374334dab8a8p-10, 0x1.f3cde60973c1ep-11, 0x1.e13a688832a3cp-11, 0x1.cf2ad56633c8ep-11, 0x1.bd9c236ef5382p-11, 0x1.ac8b58aad22bfp-11, 0x1.9bf58a1fed633p-11, 0x1.8bd7db93d7ec1p-11, 0x1.7c2f7f4d23e4dp-11, 0x1.6cf9b5d6f5f11p-11, 0x1.5e33cdc42a264p-11, 0x1.4fdb2373ca101p-11, 0x1.41ed20d6afc5cp-11, 0x1.34673d3499553p-11, 0x1.2746fcf32cb37p-11, 0x1.1a89f15cab837p-11, 0x1.0e2db868da435p-11, 0x1.022ffc84862aap-11, 0x1.ed1ce8b807628p-12, 0x1.d68dc54885189p-12, 0x1.c0ae2bcc61fa4p-12, 0x1.ab79d094ad7fp-12, 0x1.96ec7ec8de218p-12, 0x1.8302180189b31p-12, 0x1.6fb693e33f032p-12, 0x1.5d05ffbaa8bcep-12, 0x1.4aec7e1adb1cep-12, 0x1.3966467c66e91p-12, 0x1.286fa4dd83a14p-12, 0x1.1804f964d605ap-12, 0x1.0822b803532e8p-12, 0x1.f18ad03379417p-13, 0x1.d3d3483ccc7b8p-13, 0x1.b71832869f09dp-13, 0x1.9b530e3fb109cp-13, 0x1.807d7eb33b745p-13, 0x1.66914a9ec94ddp-13, 0x1.4d885b8b4aca8p-13, 0x1.355cbd26b15c9p-13, 0x1.1e089ca24ad43p-13, 0x1.07864812550c3p-13, 0x1.e3a05b9d8ee03p-14, 0x1.b9c1b7b4026ccp-14, 0x1.9165fe8c41c38p-14, 0x1.6a82c73c5c3ep-14, 0x1.450de4a37d77bp-14, 0x1.20fd64478b729p-14, 0x1.fc8f1a6925f73p-15, 0x1.b9c5bdbd4432p-15, 0x1.798c201e4c552p-15, 0x1.3bd01b9bd1486p-15, 0x1.007ff4b2ca882p-15, 0x1.8f14b056a5628p-16, 0x1.21bcb2389202ap-16, 0x1.71adbb6d00fd1p-17, 0x1.510b985ef6aedp-18, -0x1.83d81531bd3abp-21, -0x1.a1b396d01d91cp-18, -0x1.818b3e2fc826fp-17, -0x1.15464d75f461fp-16, -0x1.660b9faf21afap-16, -0x1.b33196704f092p-16, -0x1.fcd387b88f253p-16, -0x1.2186112a7a092p-15, -0x1.42fab89e954b2p-15, -0x1.62d46f7978782p-15, -0x1.811f9c636d787p-15, -0x1.9de8590adb152p-15, -0x1.b93a73b639bbdp-15, -0x1.d32170dc87b67p-15, -0x1.eba88c9fd42edp-15, -0x1.016d5e2e8fe6fp-14, -0x1.0c61580deb0a9p-14, -0x1.16b56a03d3be4p-14, -0x1.206ea8ed19672p-14, -0x1.299209223a411p-14, -0x1.32245f27f34c2p-14, -0x1.3a2a605ab2c25p-14, -0x1.41a8a399ca9a5p-14, -0x1.48a3a1eda2ef3p-14, -0x1.4f1fb72bfa217p-14, -0x1.55212298eb2ffp-14, -0x1.5aac07843aedp-14, -0x1.5fc46de531bdfp-14, -0x1.646e42f212567p-14, -0x1.68ad59b616df2p-14, -0x1.6c856ba354c54p-14, -0x1.6ffa192363204p-14, -0x1.730eea2460453p-14, -0x1.75c74ea2d2499p-14, -0x1.78269f322af28p-14, -0x1.7a301d828c5b1p-14, -0x1.7be6f4e26b42bp-14, -0x1.7d4e3ac0312cdp-14, -0x1.7e68ef274dbaep-14, -0x1.7f39fd3c0a11fp-14, -0x1.7fc43bb4ed4fep-14, -0x1.800a6d502acb1p-14, -0x1.800f4149f771bp-14, -0x1.7fd553cd2fc76p-14, -0x1.7f5f2e64c915fp-14, -0x1.7eaf4868771e6p-14, -0x1.7dc80767c82cap-14, -0x1.7cabbf95d5c93p-14, -0x1.7b5cb42e6c9ap-14, -0x1.79dd17dc97258p-14, -0x1.782f0d1da6bf2p-14, -0x1.7654a6a2c5eedp-14, -0x1.744fe7b0047d8p-14, -0x1.7222c479d6499p-14, -0x1.6fcf22812b70ep-14, -0x1.6d56d8ec5e031p-14, -0x1.6abbb0e040aafp-14, -0x1.67ff65d4e1edp-14, -0x1.6523a5eacec28p-14, -0x1.622a123da1176p-14, -0x1.5f143f3495289p-14, -0x1.5be3b4d179593p-14, -0x1.5899eefff112fp-14, -0x1.55385ddeaf757p-14, -0x1.51c0660cba6cep-14, -0x1.4e3360f090b1ap-14, -0x1.4a929cff8b3a2p-14, -0x1.46df5e03e18eap-14, -0x1.431add61d7618p-14, -0x1.3f464a591fb7cp-14, -0x1.3b62ca4731d2ep-14, -0x1.377178e74ff3bp-14, -0x1.337368911fb3p-14, -0x1.2f69a275d78bbp-14, -0x1.2b5526dc052f3p-14, -0x1.2736ed5b49f1ep-14, -0x1.230fe514106eap-14, -0x1.1ee0f4e9e4438p-14, -0x1.1aaafbb85a042p-14, -0x1.166ed089deffdp-14, -0x1.122d42cc9eae4p-14, -0x1.0de71a846deb2p-14, -0x1.099d187ee2d78p-14, -0x1.054ff68308a14p-14, -0x1.0100678219394p-14, -0x1.f95e2f8ccce2fp-15, -0x1.f0b95a4273829p-15, -0x1.e8138e2ee60abp-15, -0x1.df6dfe1b8d625p-15, -0x1.d6c9d0e6a38f9p-15, -0x1.ce2821d771d5cp-15, -0x1.c58a00f008d44p-15, -0x1.bcf0733cf0082p-15, -0x1.b45c732435551p-15, -0x1.abcef0afa35e3p-15, -0x1.a348d1da973fbp-15, -0x1.9acaf2d824f31p-15, -0x1.9256265b36fd2p-15, -0x1.89eb35dc373dbp-15, -0x1.818ae1dcc1de6p-15, -0x1.7935e229a16ccp-15, -0x1.70ece61bfab5p-15, -0x1.68b094d81f4bp-15, -0x1.60818d8b60fd5p-15, -0x1.586067a86a9f2p-15, -0x1.504db321166d4p-15, -0x1.4849f8a1a6405p-15, -0x1.4055b9c6524f7p-15, -0x1.387171533707dp-15, -0x1.309d936a5e4ecp-15, -0x1.28da8dbde5497p-15, -0x1.2128c7c485e9dp-15, -0x1.1988a2e90a668p-15, -0x1.11fa7abc3399dp-15, -0x1.0a7ea522ece67p-15, -0x1.03157284bdb84p-15, -0x1.f77e5bf00ce5bp-16, -0x1.e8f83adad8188p-16, -0x1.da9903b658791p-16, -0x1.cc612ecc3b855p-16, -0x1.be512b12fc1d6p-16, -0x1.b0695e7e599e4p-16, -0x1.a2aa264b858cap-16, -0x1.9513d74b0ea01p-16, -0x1.87a6be2b75dd5p-16, -0x1.7a631fbea7d73p-16, -0x1.6d49393e42f92p-16, -0x1.60594092dd3b2p-16, -0x1.53936490750efp-16, -0x1.46f7cd397702cp-16, -0x1.3a869bfbffa5bp-16, -0x1.2e3febef657b8p-16, -0x1.2223d20c9ad82p-16, -0x1.16325d6a0b151p-16, -0x1.0a6b9772269bdp-16, -0x1.fd9f08346c8dbp-17, -0x1.e6bc442d84afbp-17, -0x1.d02ed61dab31bp-17, -0x1.b9f6a79daa3fp-17, -0x1.a41398ef8fa17p-17, -0x1.8e85815fd5989p-17, -0x1.794c2f9f301abp-17, -0x1.64676a1d8d0d9p-17, -0x1.4fd6ef6070fc1p-17, -0x1.3b9a765694cdep-17, -0x1.27b1aeac1883p-17, -0x1.141c4115d4849p-17, -0x1.00d9cfa4f8f1dp-17, -0x1.dbd3ec19158c1p-18, -0x1.b69893dc66b51p-18, -0x1.9200b6404f855p-18, -0x1.6e0b67e187778p-18, -0x1.4ab7b2d75c186p-18, -0x1.28049732e9549p-18, -0x1.05f10b7bda8c4p-18, -0x1.c8f7fa59ab86dp-19, -0x1.8748a25320bbbp-19, -0x1.46d1c86298d01p-19, -0x1.0791169e1cfc5p-19, -0x1.9308511656996p-20, -0x1.195117dce808cp-20, -0x1.43ef066859512p-21, -0x1.67b3e305b874fp-23, 0x1.16dca8e1b6537p-22, 0x1.6c2d674eabbebp-21, 0x1.242d76fcbd48fp-20, 0x1.9000de006a5a9p-20, 0x1.f99663d6e4d0cp-20, 0x1.3079c9df5f789p-19, 0x1.630f03ec2667ep-19, 0x1.948db3fcd1cc3p-19, 0x1.c4f8b440fd727p-19, 0x1.f452e4a1634eap-19, 0x1.114f95196fed5p-18, 0x1.27f0375c2052ep-18, 0x1.3e0cd00f60efbp-18, 0x1.53a6d8005bfa6p-18, 0x1.68bfc99830903p-18, 0x1.7d5920a277648p-18, 0x1.91745a147d9a2p-18, 0x1.a512f3d9dc29cp-18, 0x1.b8366c9f5d7f9p-18, 0x1.cae043a069984p-18, 0x1.dd11f878ff25ap-18, 0x1.eecd0af6474b5p-18, 0x1.00097d7553944p-17, 0x1.0872a400e9b34p-17, 0x1.10a2b8cc90ea6p-17, 0x1.189a7b4bba7dcp-17, 0x1.205aaaa36ab8p-17, 0x1.27e40598c29b1p-17, 0x1.2f374a7d612c2p-17, 0x1.365537217dd35p-17, 0x1.3d3e88c19ae26p-17, 0x1.43f3fbf7ebaa5p-17, 0x1.4a764cad0a06ap-17, 0x1.50c6360a70b75p-17, 0x1.56e4726cc958bp-17, 0x1.5cd1bb5657c06p-17, 0x1.628ec962b0ad1p-17, 0x1.681c543bf8be6p-17, 0x1.6d7b128ec2c5fp-17, 0x1.72abb9ff36ae2p-17, 0x1.77aeff1ef0d8p-17, 0x1.7c85956382e25p-17, 0x1.81302f1d40d1ap-17, 0x1.85af7d6e3ae64p-17, 0x1.8a043041efe8bp-17, 0x1.8e2ef645ac673p-17, 0x1.92307ce0c47acp-17, 0x1.9609702dc84e6p-17, 0x1.99ba7af40508bp-17, 0x1.9d4446a125694p-17, 0x1.a0a77b42aceep-17, 0x1.a3e4bf81bc14ap-17, 0x1.a6fcb89ce64a5p-17, 0x1.a9f00a644f872p-17, 0x1.acbf57344c00ep-17, 0x1.af6b3ff187dccp-17, 0x1.b1f4640592516p-17, 0x1.b45b615b13c18p-17, 0x1.b6a0d45a743fcp-17, 0x1.b8c557e779f34p-17, 0x1.bac9855db766dp-17, 0x1.bcadf48e71fc5p-17, 0x1.be733bbf08a33p-17, 0x1.c019efa683d39p-17, 0x1.c1a2a36bd9ae5p-17, 0x1.c30de8a4c68d8p-17, 0x1.c45c4f548ff6ap-17, 0x1.c58e65eac61bfp-17, 0x1.c6a4b94243565p-17, 0x1.c79fd4a15bb3cp-17, 0x1.c88041b87be28p-17, 0x1.c94688a2ca99fp-17, 0x1.c9f32fe5649afp-17, 0x1.ca86bc6fe87b3p-17, 0x1.cb01b19c79867p-17, 0x1.cb64913052be7p-17, 0x1.cbafdb5c70e8cp-17, 0x1.cbe40ebe12d24p-17, 0x1.cc01a85fb6f39p-17, 0x1.cc0923ba48a49p-17, 0x1.cbfafab5ce7d5p-17, 0x1.cbd7a5aace4d1p-17, 0x1.cb9f9b642b90dp-17, 0x1.cb53511ffe2e4p-17, 0x1.caf33a91b8f92p-17, 0x1.ca7fc9e32a39ap-17, 0x1.c9f96fb6e19aap-17, 0x1.c9609b29e0822p-17, 0x1.c8b5b9d5a6a58p-17, 0x1.c7f937d20f0f1p-17, 0x1.c72b7fb763e6fp-17, 0x1.c64cfaa0f9b41p-17, 0x1.c55e102f672c4p-17, 0x1.c45f268aa0322p-17, 0x1.c350a2649b2c6p-17, 0x1.c232e6fba88aap-17, 0x1.c106561d16acp-17, 0x1.bfcb502818109p-17, 0x1.be82340fd5b15p-17, 0x1.bd2b5f5e5af56p-17, 0x1.bbc72e37d53d7p-17, 0x1.ba55fb5cd5cacp-17, 0x1.b8d8202d5bf7ep-17, 0x1.b74df4abbcdbp-17, 0x1.b5b7cf7f8f3b4p-17, 0x1.b41605f89614ep-17, 0x1.b268ec11baf81p-17, 0x1.b0b0d4740cb9dp-17, 0x1.aeee107a0352ap-17, 0x1.ad20f0326bd38p-17, 0x1.ab49c263729ecp-17, 0x1.a968d48dac2ffp-17, 0x1.a77e72ef6e983p-17, 0x1.a58ae887e17acp-17, 0x1.a38e7f1a3ab66p-17, 0x1.a1897f30bba61p-17, 0x1.9f7c301ff21d1p-17, 0x1.9d66d809fc458p-17, 0x1.9b49bbe1b8512p-17, 0x1.99251f6df2b9cp-17, 0x1.96f9454c6f092p-17, 0x1.94c66ef57ddc7p-17, 0x1.928cdcbf088e1p-17, 0x1.904ccddfb9b21p-17, 0x1.8e0680722421ap-17, 0x1.8bba31780c9d3p-17, 0x1.89681cddbc14p-17, 0x1.87107d7d1e09fp-17, 0x1.84b38d20ea84ep-17, 0x1.82518487da10fp-17, 0x1.7fea9b67c707cp-17, 0x1.7d7f08710b603p-17, 0x1.7b0f015175489p-17, 0x1.789abab779bap-17, 0x1.7622685578569p-17, 0x1.73a63ce4c9f4ep-17, 0x1.71266a28b6abfp-17, 0x1.6ea320f1e20b6p-17, 0x1.6c1c91212454cp-17, 0x1.6992e9aa9907p-17, 0x1.67065898d5c44p-17, 0x1.64770b0fc0a92p-17, 0x1.61e52d4fccf62p-17, 0x1.5f50eab8e1417p-17, 0x1.5cba6dcd66021p-17, 0x1.5a21e035105ffp-17, }}, 
      {{0x1.ffa6dd1ce3ad8p-1, 0x1.fea46d96f2da3p-1, 0x1.fd0f909f36b14p-1, 0x1.fb055e5a65ba4p-1, 0x1.f8a2af7a1cebp-1, 0x1.f6000add47aa9p-1, 0x1.f32fc8adb810ap-1, 0x1.f03dd5ba6205bp-1, 0x1.ed3076db0c8a6p-1, 0x1.ea0987be49dadp-1, 0x1.e6c7d7f7286cfp-1, 0x1.e3686de8eba2fp-1, 0x1.dfe7935ad07ep-1, 0x1.dc41a25355b25p-1, 0x1.d8739401d5b22p-1, 0x1.d47b593647fcfp-1, 0x1.d058062e1d0d1p-1, 0x1.cc09dbc7188e6p-1, 0x1.c79237691f387p-1, 0x1.c2f371c02f5afp-1, 0x1.be30b301c8f0dp-1, 0x1.b94dc220487afp-1, 0x1.b44ed31093c2ap-1, 0x1.af38572d21ac5p-1, 0x1.aa0ed1d069fc4p-1, 0x1.a4d6b27890abdp-1, 0x1.9f943524e456fp-1, 0x1.9a4b49204b46bp-1, 0x1.94ff7e0e4fd0cp-1, 0x1.8fb3f6ce8c9c8p-1, 0x1.8a6b619f7a97ap-1, 0x1.8527f4d18cfe5p-1, 0x1.7feb6f521e611p-1, 0x1.7ab71c5746322p-1, 0x1.758bd97f1225ap-1, 0x1.706a1ec33c186p-1, 0x1.6b5207b4140fbp-1, 0x1.66435d806d35dp-1, 0x1.613da1637f7bap-1, 0x1.5c4017242f22p-1, 0x1.5749cf62387a4p-1, 0x1.5259b17d2e0cbp-1, 0x1.4d6e84eeb4e4bp-1, 0x1.4886f9fd0569cp-1, 0x1.43a1b1b470095p-1, 0x1.3ebd451ea43e6p-1, 0x1.39d84bb4db457p-1, 0x1.34f1610f0ee1bp-1, 0x1.300729d62a683p-1, 0x1.2b185801eef4bp-1, 0x1.2623ae6d288d3p-1, 0x1.212803cc1066p-1, 0x1.1c2445115a888p-1, 0x1.1717774eb1f31p-1, 0x1.1200b91d3f248p-1, 0x1.0cdf439a89d11p-1, 0x1.07b26b0574085p-1, 0x1.02799f066fdbbp-1, 0x1.fa68d55ab48b9p-2, 0x1.efc4e85d48406p-2, 0x1.e506f8d15f90cp-2, 0x1.da2ebc7315883p-2, 0x1.cf3c1b58e3fa4p-2, 0x1.c42f2e0bb5459p-2, 0x1.b9083b682af5ap-2, 0x1.adc7b654074cdp-2, 0x1.a26e3b517fc3bp-2, 0x1.96fc8df943683p-2, 0x1.8b739662ed283p-2, 0x1.7fd45e82d0a4p-2, 0x1.74200f832cc4p-2, 0x1.6857ef1e2194cp-2, 0x1.5c7d5cfd0ea3fp-2, 0x1.5091d0216369p-2, 0x1.4496d45a67538p-2, 0x1.388e07caebc25p-2, 0x1.2c79188172cccp-2, 0x1.2059c224e7d47p-2, 0x1.1431cbb79bf48p-2, 0x1.08030571f43aep-2, 0x1.f79e8d6bb049bp-3, 0x1.df30d83759c48p-3, 0x1.c6c0ab32e40d1p-3, 0x1.ae51c9889da32p-3, 0x1.95e7f6596ca78p-3, 0x1.7d86f1aa2a77ep-3, 0x1.65327585b39dfp-3, 0x1.4cee3353008c3p-3, 0x1.34bdd15e56254p-3, 0x1.1ca4e89480e47p-3, 0x1.04a7026ec55d6p-3, 0x1.d98f2e1c391d3p-4, 0x1.aa1417084ececp-4, 0x1.7ae36090625d2p-4, 0x1.4c037fad1333ep-4, 0x1.1d7abaf0b97abp-4, 0x1.de9e50c8dfc9dp-5, 0x1.830d575d66c8ep-5, 0x1.284de8ff99364p-5, 0x1.9cd5f500fbf62p-6, 0x1.d5bc4feb8aa94p-7, 0x1.d644f21c58016p-9, -0x1.cd5d501d1934cp-8, -0x1.1f6f3beeba65cp-6, -0x1.c96d8885559c5p-6, -0x1.38a0c59b77f79p-5, -0x1.8b6dbbb7d1173p-5, -0x1.dd1630d5ca13fp-5, -0x1.16c98f7f0537p-4, -0x1.3e6ef78376956p-4, -0x1.65783baeef42bp-4, -0x1.8be27d4e31b4ep-4, -0x1.b1ab12f6ff0d4p-4, -0x1.d6cf87a5ead04p-4, -0x1.fb4d99c95979cp-4, -0x1.0f919d1df5365p-3, -0x1.212745982bc7p-3, -0x1.3266ef885ebadp-3, -0x1.434fdba98a2f3p-3, -0x1.53e161a24fdb9p-3, -0x1.641aef66f3984p-3, -0x1.73fc089850f62p-3, -0x1.838445e08541cp-3, -0x1.92b3544de53d4p-3, -0x1.a188f4ace06a3p-3, -0x1.b004fae14ecaep-3, -0x1.be274d3fac2a9p-3, -0x1.cbefe3e6b96eep-3, -0x1.d95ec819de8bap-3, -0x1.e674139cc1347p-3, -0x1.f32ff0104898bp-3, -0x1.ff92965175128p-3, -0x1.05ce26ed24ae5p-2, -0x1.0ba6b6127985dp-2, -0x1.11532a08bc54fp-2, -0x1.16d3baa70d98fp-2, -0x1.1c28a5e143877p-2, -0x1.21522f7f02f2p-2, -0x1.2650a0d46007ep-2, -0x1.2b24487c196d8p-2, -0x1.2fcd7a137443fp-2, -0x1.344c8df7c1eb1p-2, -0x1.38a1e1059222dp-2, -0x1.3ccdd4599ba7dp-2, -0x1.40d0cd1358a9dp-2, -0x1.44ab341957fb1p-2, -0x1.485d75df49226p-2, -0x1.4be8022db7df8p-2, -0x1.4f4b4beb7bf93p-2, -0x1.5287c8e8d6bb8p-2, -0x1.559df1ac3d457p-2, -0x1.588e4140c2e46p-2, -0x1.5b59350626925p-2, -0x1.5dff4c8276d4bp-2, -0x1.6081093549595p-2, -0x1.62deee6c7c332p-2, -0x1.6519811a7a8e9p-2, -0x1.673147adfc122p-2, -0x1.6926c9eb37e1ap-2, -0x1.6afa90c68196ap-2, -0x1.6cad26404b58p-2, -0x1.6e3f15427d3bfp-2, -0x1.6fb0e97f22d3ep-2, -0x1.71032f505b8aap-2, -0x1.7236739991577p-2, -0x1.734b43a9e26d3p-2, -0x1.74422d1fbbb2ap-2, -0x1.751bbdcd99045p-2, -0x1.75d8839fe3c6fp-2, -0x1.76790c83e68d5p-2, -0x1.76fde64fd08aep-2, -0x1.77679eabbcf2ep-2, -0x1.77b6c2fbba4f2p-2, -0x1.77ebe04ac42b7p-2, -0x1.78078336af16bp-2, -0x1.780a37dcfc6a7p-2, -0x1.77f489c88b4b4p-2, -0x1.77c703e0251fcp-2, -0x1.77823055dc416p-2, -0x1.77269897356d7p-2, -0x1.76b4c53e178fdp-2, -0x1.762d3e02798d2p-2, -0x1.759089acc9a52p-2, -0x1.74df2e0906f4ep-2, -0x1.7419afda89929p-2, -0x1.734092d070073p-2, -0x1.7254597ab0641p-2, -0x1.7155853fc427ap-2, -0x1.70449652ee81dp-2, -0x1.6f220bab12689p-2, -0x1.6dee62fa187e3p-2, -0x1.6caa18a4dc6cap-2, -0x1.6b55a7bb9f13bp-2, -0x1.69f189f2f8b22p-2, -0x1.687e379d47f6ep-2, -0x1.66fc27a498422p-2, -0x1.656bcf84f87d1p-2, -0x1.63cda34746eefp-2, -0x1.6222157c654dbp-2, -0x1.60699738d4298p-2, -0x1.5ea49810b7049p-2, -0x1.5cd3861435375p-2, -0x1.5af6cdcc3b967p-2, -0x1.590eda3799237p-2, -0x1.571c14c86edbfp-2, -0x1.551ee561f7f05p-2, -0x1.5317b256a275fp-2, -0x1.5106e06675812p-2, -0x1.4eecd2bdc3559p-2, -0x1.4cc9eaf424985p-2, -0x1.4a9e890bba51p-2, -0x1.486b0b70b1e34p-2, -0x1.462fcef90c52fp-2, -0x1.43ed2ee4a1c89p-2, -0x1.41a384dd6389ep-2, -0x1.3f5328f7d5cd8p-2, -0x1.3cfc71b3c39bep-2, -0x1.3a9fb3fd27778p-2, -0x1.383d432d44d6cp-2, -0x1.35d5710bf8265p-2, -0x1.33688dd13104cp-2, -0x1.30f6e8269cdecp-2, -0x1.2e80cd297a726p-2, -0x1.2c06886c9bf08p-2, -0x1.298863fa88c94p-2, -0x1.2706a857cf688p-2, -0x1.24819c8571c63p-2, -0x1.21f986037b4e3p-2, -0x1.1f6ea8d3b3cf9p-2, -0x1.1ce1477c75299p-2, -0x1.1a51a30b9a0b3p-2, -0x1.17bffb198f70ap-2, -0x1.152c8dcc7a5c1p-2, -0x1.129797db7cc8cp-2, -0x1.10015492109afp-2, -0x1.0d69fdd37579cp-2, -0x1.0ad1cc1e3c203p-2, -0x1.0838f68fdd1d8p-2, -0x1.059fb2e869f97p-2, -0x1.0306358e4aa85p-2, -0x1.006cb1920eca1p-2, -0x1.fba6b1649ad9ap-3, -0x1.f674b6bf2401cp-3, -0x1.f143d180b2442p-3, -0x1.ec145d6a2a97bp-3, -0x1.e6e6b3b889687p-3, -0x1.e1bb2b2d16382p-3, -0x1.dc921815b2836p-3, -0x1.d76bcc5536bap-3, -0x1.d248976bdaa62p-3, -0x1.cd28c67fb20edp-3, -0x1.c80ca4652cdf8p-3, -0x1.c2f479a7a9c7ep-3, -0x1.bde08c9206387p-3, -0x1.b8d121373ff6bp-3, -0x1.b3c6797b140d9p-3, -0x1.aec0d51aa5a8cp-3, -0x1.a9c071b525d1p-3, -0x1.a4c58ad47ceafp-3, -0x1.9fd059f5f1922p-3, -0x1.9ae11692d2f9p-3, -0x1.95f7f6291e01dp-3, -0x1.91152c4418aa8p-3, -0x1.8c38ea84f3a09p-3, -0x1.876360ab5f84ep-3, -0x1.8294bc9e18824p-3, -0x1.7dcd2a737021ap-3, -0x1.790cd479c90bap-3, -0x1.7453e3400e63cp-3, -0x1.6fa27d9e18ab4p-3, -0x1.6af8c8bd10e19p-3, -0x1.6656e81fbcc5ap-3, -0x1.61bcfdaac40e8p-3, -0x1.5d2b29aceb151p-3, -0x1.58a18ae734dd4p-3, -0x1.54203e94fef6ep-3, -0x1.4fa7607407608p-3, -0x1.4b370acc67dd2p-3, -0x1.46cf56787b4b1p-3, -0x1.42705aecb4e97p-3, -0x1.3e1a2e3f619ebp-3, -0x1.39cce5305889fp-3, -0x1.358893309d808p-3, -0x1.314d4a69e6851p-3, -0x1.2d1b1bc615cf6p-3, -0x1.28f216f69b32ap-3, -0x1.24d24a7bbf86dp-3, -0x1.20bbc3abe1febp-3, -0x1.1cae8eba9a39bp-3, -0x1.18aab6bfc7dc9p-3, -0x1.14b045be87c6dp-3, -0x1.10bf44ac1c16ep-3, -0x1.0cd7bb76b482cp-3, -0x1.08f9b10c27bddp-3, -0x1.05252b6090b7dp-3, -0x1.015a2f74dc07ap-3, -0x1.fb3182ba69926p-4, -0x1.f3c1c88ec5111p-4, -0x1.ec653502209aap-4, -0x1.e51bcafbeb7d4p-4, -0x1.dde58bbbe2a56p-4, -0x1.d6c276e603e56p-4, -0x1.cfb28a8e6a5f3p-4, -0x1.c8b5c344e9d6p-4, -0x1.c1cc1c207c431p-4, -0x1.baf58eca8dfd8p-4, -0x1.b432138a0e11ap-4, -0x1.ad81a14e57e4bp-4, -0x1.a6e42db9e811dp-4, -0x1.a059ad2cefd9dp-4, -0x1.99e212cfa3f73p-4, -0x1.937d509c77eb1p-4, -0x1.8d2b576a1724bp-4, -0x1.86ec16f53c61dp-4, -0x1.80bf7dea5556bp-4, -0x1.7aa579eefd2b7p-4, -0x1.749df7ab4698fp-4, -0x1.6ea8e2d2dd07bp-4, -0x1.68c6262df92d2p-4, -0x1.62f5aba223df9p-4, -0x1.5d375c3ad58dbp-4, -0x1.578b2031e4ce7p-4, -0x1.51f0def7ce0f8p-4, -0x1.4c687f3bca2f3p-4, -0x1.46f1e6f3c240fp-4, -0x1.418cfb6415c19p-4, -0x1.3c39a12735de7p-4, -0x1.36f7bc351bcbep-4, -0x1.31c72fea91b73p-4, -0x1.2ca7df10577c3p-4, -0x1.2799abe21d21dp-4, -0x1.229c7815553a1p-4, -0x1.1db024dfe46dbp-4, -0x1.18d492fea4dfp-4, -0x1.1409a2bbc6e5p-4, -0x1.0f4f33f50c7b2p-4, -0x1.0aa52621dcc11p-4, -0x1.060b585935008p-4, -0x1.0181a95775a17p-4, -0x1.fa0fef08150ffp-5, -0x1.f13c41edd97afp-5, -0x1.e88806fc125f3p-5, -0x1.dff2f944fe4c2p-5, -0x1.d77cd35b7603dp-5, -0x1.cf254f5cecd8dp-5, -0x1.c6ec26fb25c1p-5, -0x1.bed11385a69c4p-5, -0x1.b6d3cdf2f221dp-5, -0x1.aef40ee97a07p-5, -0x1.a7318ec86097cp-5, -0x1.9f8c05afeb254p-5, -0x1.98032b89cbfdcp-5, -0x1.9096b8111ea37p-5, -0x1.894662da36f8dp-5, -0x1.8211e35a349e2p-5, -0x1.7af8f0ee5ad7bp-5, -0x1.73fb42e331914p-5, -0x1.6d18907b71f4fp-5, -0x1.665090f6c0579p-5, -0x1.5fa2fb9829fa5p-5, -0x1.590f87ac761e1p-5, -0x1.5295ec90451fbp-5, -0x1.4c35e1b5f310bp-5, -0x1.45ef1eab59966p-5, -0x1.3fc15b1f5761bp-5, -0x1.39ac4ee72af7bp-5, -0x1.33afb203a2335p-5, -0x1.2dcb3ca6160e2p-5, -0x1.27fea735411dep-5, -0x1.2249aa51ec8d8p-5, -0x1.1cabfedb6740fp-5, -0x1.17255df3df10dp-5, -0x1.11b5810489d29p-5, -0x1.0c5c21c1aeb5ep-5, -0x1.0718fa2e79ccdp-5, -0x1.01ebc4a0bda3p-5, -0x1.f9a87788f7a8ap-6, -0x1.efa4353ea9525p-6, -0x1.e5ca3927a922ap-6, -0x1.dc19fac9238a8p-6, -0x1.d292f26e6a49cp-6, -0x1.c934992eb6a96p-6, -0x1.bffe68f2a8dadp-6, -0x1.b6efdc798f0dp-6, -0x1.ae086f5e69a6cp-6, -0x1.a5479e1caf789p-6, -0x1.9cace614d569fp-6, -0x1.9437c590af72bp-6, -0x1.8be7bbc776cdcp-6, -0x1.83bc48e1b8f35p-6, -0x1.7bb4edfcfcaf7p-6, -0x1.73d12d2f3813ep-6, -0x1.6c10898a1a13cp-6, -0x1.6472871e179b9p-6, -0x1.5cf6aafd4b9ffp-6, -0x1.559c7b3e269e3p-6, -0x1.4e637efdfaedap-6, -0x1.474b3e634637cp-6, -0x1.4053429fe7efcp-6, -0x1.397b15f31388ap-6, -0x1.32c243ab3600ap-6, -0x1.2c285827923d8p-6, -0x1.25ace0d9d442fp-6, -0x1.1f4f6c4771beep-6, -0x1.190f8a0adc241p-6, -0x1.12eccad4a078fp-6, -0x1.0ce6c06c51ab9p-6, -0x1.06fcfdb16bdc2p-6, -0x1.012f169bf9bacp-6, -0x1.f6f9407a43f15p-7, -0x1.ebca617f54552p-7, -0x1.e0d0bed0777e6p-7, -0x1.d60b892b4f198p-7, -0x1.cb79f381f1a21p-7, -0x1.c11b32faf9dep-7, -0x1.b6ee7ef14d296p-7, -0x1.acf310f3adb08p-7, -0x1.a32824c43353dp-7, -0x1.998cf8577454p-7, -0x1.9020cbd3906fep-7, -0x1.86e2e18f257dep-7, -0x1.7dd27e0fe2e9p-7, -0x1.74eee8092871p-7, -0x1.6c37685a62c45p-7, -0x1.63ab4a0d4bf48p-7, -0x1.5b49da53f5079p-7, -0x1.53126886c9e7ep-7, -0x1.4b04462255ff4p-7, -0x1.431ec6c4f957p-7, -0x1.3b61402c7c14ep-7, -0x1.33cb0a337fa1p-7, -0x1.2c5b7ececcc0ep-7, -0x1.2511fa0a96b7dp-7, -0x1.1dedda0796ff8p-7, -0x1.16ee7ef80ef76p-7, -0x1.10134b1cbaf07p-7, -0x1.095ba2c1a156bp-7, -0x1.02c6ec3adde8ap-7, -0x1.f8a91fc271299p-8, -0x1.ec07f01daa38cp-8, -0x1.dfa9223738f6p-8, -0x1.d38b92b386e1bp-8, -0x1.c7ae222440252p-8, -0x1.bc0fb500f4908p-8, -0x1.b0af339f9ddb9p-8, -0x1.a58b8a2cf45b5p-8, -0x1.9aa3a8a4c8cap-8, -0x1.8ff682ca377e1p-8, -0x1.8583101face84p-8, -0x1.7b484bdee1e79p-8, -0x1.714534f0f3fb8p-8, -0x1.6778cde5f3898p-8, -0x1.5de21cecf1a4bp-8, -0x1.54802bcb94851p-8, -0x1.4b5207d5b46fep-8, -0x1.4256c1e50f6d1p-8, -0x1.398d6e50b72e8p-8, -0x1.30f524e4aa4f9p-8, -0x1.288d00d949d62p-8, -0x1.205420caaaab7p-8, -0x1.1849a6b02231cp-8, -0x1.106cb7d38cc31p-8, -0x1.08bc7cc8a6c43p-8, -0x1.0138216469a81p-8, -0x1.f3bda968c8e55p-9, -0x1.e55f91ebdfd8p-9, -0x1.d754671b2afc3p-9, -0x1.c99a99fcaf58p-9, -0x1.bc30a1c1d2bbcp-9, -0x1.af14fbb627ccep-9, -0x1.a2462b2df171ep-9, -0x1.95c2b974b9621p-9, -0x1.898935bc2532bp-9, -0x1.7d98350a8985ep-9, -0x1.71ee52296b366p-9, -0x1.668a2d94e9027p-9, -0x1.5b6a6d69bfbe2p-9, -0x1.508dbd54ce73bp-9, -0x1.45f2ce81b1747p-9, -0x1.3b985789b92c7p-9, -0x1.317d14632ea5fp-9, -0x1.279fc65041eb6p-9, -0x1.1dff33ce67e03p-9, -0x1.149a2885775bep-9, -0x1.0b6f753707036p-9, -0x1.027defae20b29p-9, -0x1.f388e55d15029p-10, -0x1.e283bbc896e79p-10, -0x1.d1ea2ba79ef7bp-10, -0x1.c1ba079293a58p-10, -0x1.b1f12b91f462p-10, -0x1.a28d7cfdbf516p-10, -0x1.938cea5e634ffp-10, -0x1.84ed6b4c93fd5p-10, -0x1.76ad005282afcp-10, -0x1.68c9b2cc79c83p-10, -0x1.5b4194ca25692p-10, -0x1.4e12c0efed10ep-10, -0x1.413b5a58ace83p-10, -0x1.34b98c777811cp-10, -0x1.288b8af9a8aa1p-10, -0x1.1caf91a994292p-10, -0x1.1123e450a2238p-10, -0x1.05e6ce9aca6eap-10, -0x1.f5ed47f1e0ad1p-11, -0x1.e0a37f09e4396p-11, -0x1.cbed07ca497ep-11, -0x1.b7c6b65fb63c5p-11, -0x1.a42d6d9ffd774p-11, -0x1.911e1ed299ddbp-11, -0x1.7e95c97a32d13p-11, -0x1.6c917b1e4dc9bp-11, -0x1.5b0e4f160ccf8p-11, -0x1.4a096e52ce8fcp-11, -0x1.39800f2c89248p-11, -0x1.296f752cae63dp-11, -0x1.19d4f0db9f74bp-11, -0x1.0aaddf8e08f8dp-11, -0x1.f7ef5662a2656p-12, -0x1.db5f94373f35ep-12, -0x1.bfa77db279495p-12, -0x1.a4c22ff944a9ep-12, -0x1.8aaadfdc8b63fp-12, -0x1.715cd9794b8e9p-12, -0x1.58d37fdb6bc78p-12, -0x1.410a4ca074aa2p-12, -0x1.29fccf9b72299p-12, -0x1.13a6ae7acc6adp-12, -0x1.fc0748dbee60dp-13, -0x1.d21f039934736p-13, -0x1.a98c577e6ff99p-13, -0x1.824737d2c4fe2p-13, -0x1.5c47c02692305p-13, -0x1.378633aadbcbcp-13, -0x1.13fafc8b8f2edp-13, -0x1.e33d5692e7273p-14, -0x1.a0d3ec35076dbp-14, -0x1.60ab70883cdadp-14, -0x1.22b5e307f7fdcp-14, -0x1.cdcb15b38421dp-15, -0x1.5a59eb4024d35p-15, -0x1.d5fbd9274e705p-16, -0x1.fe751f12daf5bp-17, -0x1.81eb0d5468b0ep-19, 0x1.2e5a82515b86p-17, 0x1.5735e6e3be3a7p-16, 0x1.08060f945c134p-15, 0x1.60ef3fd77004dp-15, 0x1.b66d544c8ea25p-15, 0x1.044b522a5814ep-14, 0x1.2bc08865b6b64p-14, 0x1.51a1030437ac7p-14, 0x1.75f73efb28d4dp-14, 0x1.98cd810822a6p-14, 0x1.ba2dd6b407cd6p-14, 0x1.da221746d0114p-14, 0x1.f8b3e4c5f4181p-14, 0x1.0af65671a62ebp-13, 0x1.18ead4f77ac14p-13, 0x1.263bf1e15befbp-13, 0x1.32ee185663c5ep-13, 0x1.3f059b2a0cbebp-13, 0x1.4a86b54d62d3cp-13, 0x1.55758a3f0d1d1p-13, 0x1.5fd626776222p-13, 0x1.69ac7fd70a15bp-13, 0x1.72fc760e88534p-13, 0x1.7bc9d30a0405ap-13, 0x1.84184b55dc21ep-13, 0x1.8beb7e86643b3p-13, 0x1.9346f79a4da58p-13, 0x1.9a2e2d5e93e7dp-13, 0x1.a0a482ce54584p-13, 0x1.a6ad477336bcep-13, 0x1.ac4bb7c271a09p-13, 0x1.b182fd7a6513fp-13, 0x1.b6562ffc67c07p-13, 0x1.bac854a75bf0ep-13, 0x1.bedc5f2f2f92ep-13, 0x1.c29531f42f2e5p-13, 0x1.c5f59e5778f9ep-13, 0x1.c90065104734dp-13, 0x1.cbb8367c93c11p-13, 0x1.ce1fb2f4b8724p-13, 0x1.d0396b18b678p-13, 0x1.d207e0217797p-13, 0x1.d38d842c39183p-13, 0x1.d4ccba86dc65ep-13, 0x1.d5c7d7fb7fe9fp-13, 0x1.d6812319530ebp-13, 0x1.d6fad47cafcbfp-13, 0x1.d7371716ce6c9p-13, 0x1.d73808735216cp-13, 0x1.d6ffb8fcba7fdp-13, 0x1.d6902c4038e75p-13, 0x1.d5eb59301a145p-13, 0x1.d5132a64520a3p-13, 0x1.d4097e5bba158p-13, 0x1.d2d027ba53092p-13, 0x1.d168ed86f590cp-13, 0x1.cfd58b68d660ep-13, 0x1.ce17b1e2eedebp-13, 0x1.cc31068e3f3f1p-13, 0x1.ca232454ed524p-13, 0x1.c7ef9ba92a731p-13, 0x1.c597f2be4d4f4p-13, 0x1.c31da5beea794p-13, 0x1.c082270269788p-13, 0x1.bdc6df41c7151p-13, 0x1.baed2dcc43d23p-13, 0x1.b7f668b930b8cp-13, 0x1.b4e3dd1a64908p-13, 0x1.b1b6cf2d740cp-13, 0x1.ae707a8b750e6p-13, 0x1.ab121258d227ep-13, 0x1.a79cc17336c81p-13, 0x1.a411aa9fce4dep-13, 0x1.a071e8b708fc4p-13, 0x1.9cbe8ed1ded6ep-13, 0x1.98f8a873b81b5p-13, 0x1.952139b55da45p-13, 0x1.91393f6ec1dcap-13, 0x1.8d41af5ebf475p-13, 0x1.893b78545322dp-13, 0x1.852782552a98ep-13, 0x1.8106aec46e15p-13, 0x1.7cd9d88843d82p-13, 0x1.78a1d42f2e84p-13, 0x1.745f7014314d4p-13, 0x1.70137482984ddp-13, 0x1.6bbea3d93c6f8p-13, 0x1.6761baac543d5p-13, 0x1.62fd6fe7905ebp-13, 0x1.5e9274eeebb45p-13, 0x1.5a2175bf25e42p-13, 0x1.55ab190d1f77p-13, 0x1.51300065c52d8p-13, 0x1.4cb0c84c1157p-13, 0x1.482e0856f6a3ap-13, 0x1.43a8534efbb3bp-13, 0x1.3f20374ac2209p-13, 0x1.3a963dcb70b42p-13, 0x1.360aebd84ada7p-13, 0x1.317ec219a6d93p-13, 0x1.2cf23cf39cdf6p-13, 0x1.2865d4a02ef8ep-13, 0x1.23d9fd4875b4ep-13, 0x1.1f4f271e3c7d4p-13, 0x1.1ac5be738c4e1p-13, 0x1.163e2bd388324p-13, 0x1.11b8d419a51d7p-13, 0x1.0d361888c23f1p-13, 0x1.08b656e1a2cf5p-13, 0x1.0439e978f4908p-13, 0x1.ff824e9a4ef4ep-14, 0x1.f698c83727e9ep-14, 0x1.edb7e0eaf112dp-14, 0x1.e4e033a7d488ap-14, 0x1.dc125557e7d96p-14, 0x1.d34ed50471de6p-14, 0x1.ca963bfbfc863p-14, 0x1.c1e90df725f6cp-14, 0x1.b947c93e5f7a1p-14, 0x1.b0b2e6cd0e473p-14, 0x1.a82ada7474748p-14, 0x1.9fb012fec4f66p-14, 0x1.9742fa5058702p-14, 0x1.8ee3f5884c23p-14, 0x1.86936521a65a5p-14, 0x1.7e51a511e5882p-14, 0x1.761f0ce86398p-14, 0x1.6dfbefec275abp-14, 0x1.65e89d3a170aep-14, 0x1.5de55fe10d20dp-14, 0x1.55f27efeb68c5p-14, 0x1.4e103ddad3aeap-14, 0x1.463edc029beb1p-14, 0x1.3e7e9562e7399p-14, 0x1.36cfa26230742p-14, 0x1.2f3237fa1cf65p-14, 0x1.27a687cfb2d44p-14, 0x1.202cc04bf702cp-14, 0x1.18c50cb357dp-14, 0x1.116f953d1393ap-14, 0x1.0a2c7f297a751p-14, 0x1.02fbecd85b117p-14, 0x1.f7bbfbbcfbd6p-15, 0x1.e9a59e34cafe6p-15, 0x1.dbb4f5934aa53p-15, 0x1.cdea3138d7ff5p-15, 0x1.c0457b931f646p-15, 0x1.b2c6fa436c6dap-15, 0x1.a56ece43db49ep-15, 0x1.983d140cdfd23p-15, 0x1.8b31e3b8b8788p-15, 0x1.7e4d51263f71dp-15, 0x1.718f6c1b9bcf5p-15, 0x1.64f840677b2c1p-15, 0x1.5887d601b0ca5p-15, 0x1.4c3e312af0a14p-15, 0x1.401b528c7ee2ap-15, 0x1.341f3755d8b04p-15, 0x1.2849d95b0851p-15, 0x1.1c9b2f310c291p-15, 0x1.11132c4a67da5p-15, 0x1.05b1c1126de3cp-15, 0x1.f4edb6115414ep-16, 0x1.dec4c9b4f76adp-16, 0x1.c8e88cfa966bcp-16, 0x1.b358ca8e23ea9p-16, 0x1.9e15480de94dep-16, 0x1.891dc639b875bp-16, 0x1.74720121ab0eap-16, 0x1.6011b053226aep-16, 0x1.4bfc870508674p-16, 0x1.3832344208c78p-16, 0x1.24b2631328f74p-16, 0x1.117cbaa8e6ef1p-16, 0x1.fd21bd03e7384p-17, 0x1.d7dcdd2538c1ep-17, 0x1.b32a0ed5bb308p-17, 0x1.8f0884b48a68cp-17, 0x1.6b776b28d9615p-17, 0x1.4875e8a7a16fap-17, 0x1.26031df7b7924p-17, 0x1.041e2672eaf71p-17, 0x1.c58c308f5f2bdp-18, 0x1.83f4096fe4552p-18, 0x1.4371f0a9e073dp-18, 0x1.0403f677295adp-18, 0x1.8b504538f4da2p-19, 0x1.10b8e9af0f7eap-19, 0x1.307b95505f20cp-20, 0x1.0ed650b3368e4p-22, -0x1.49d10e7396b23p-21, -0x1.89672d8f41647p-20, -0x1.34e773bad4ba6p-19, -0x1.a3142a0d32678p-19, -0x1.079f09edbb31cp-18, -0x1.3cb4ca883c882p-18, -0x1.70cd8d5e96af5p-18, -0x1.a3eb8d3969ffep-18, -0x1.d61108cab8127p-18, -0x1.03a0212fa453fp-17, -0x1.1bbdbfc922e75p-17, -0x1.3362848095169p-17, -0x1.4a8f9501bfc49p-17, -0x1.614618312525cp-17, -0x1.7787360a6305bp-17, -0x1.8d54177ef987dp-17, -0x1.a2ade654907e3p-17, -0x1.b795cd076d418p-17, -0x1.cc0cf6abbd355p-17, -0x1.e0148ecf66532p-17, -0x1.f3adc15d52bb8p-17, -0x1.036cdd41b5da9p-16, -0x1.0cccd34b65313p-16, -0x1.15f758fd08367p-16, -0x1.1eed0481e058ep-16, -0x1.27ae6bf38a75p-16, -0x1.303c254e37395p-16, -0x1.3896c66577419p-16, -0x1.40bee4d8b736dp-16, -0x1.48b516095d257p-16, -0x1.5079ef106a9bcp-16, -0x1.580e04b44a048p-16, -0x1.5f71eb5ff5292p-16, -0x1.66a63719b1c75p-16, -0x1.6dab7b798841ap-16, -0x1.74824ba1ac3a8p-16, -0x1.7b2b3a35e78b1p-16, -0x1.81a6d953aaf5cp-16, -0x1.87f5ba8a56542p-16, -0x1.8e186ed4cfd6cp-16, -0x1.940f86917e61p-16, -0x1.99db917bd488ap-16, -0x1.9f7d1ea62ad91p-16, -0x1.a4f4bc732107cp-16, -0x1.aa42f8900349bp-16, -0x1.af685feee90aep-16, -0x1.b4657ec179614p-16, -0x1.b93ae0736b0b6p-16, -0x1.bde90fa58c9f8p-16, -0x1.c270962941762p-16, -0x1.c6d1fcfbb515p-16, -0x1.cb0dcc419106ep-16, -0x1.cf248b42db0d3p-16, -0x1.d316c06752244p-16, -0x1.d6e4f13289f48p-16, -0x1.da8fa23fd1aa5p-16, -0x1.de17573f80ed6p-16, -0x1.e17c92f3da337p-16, -0x1.e4bfd72d9ba5fp-16, -0x1.e7e1a4c954bf5p-16, -0x1.eae27bacaa9d4p-16, -0x1.edc2dac40c032p-16, -0x1.f083400055826p-16, -0x1.f32428544e00fp-16, -0x1.f5a60fb2e686bp-16, -0x1.f809710d101ddp-16, -0x1.fa4ec6503f5c3p-16, -0x1.fc768864c9bb7p-16, -0x1.fe812f2c1d799p-16, -0x1.003798bfb4385p-15, -0x1.012082976b209p-15, -0x1.01fb8f7ff2debp-15, -0x1.02c8f95634318p-15, -0x1.0388f97103352p-15, -0x1.043bc8a09e67cp-15, -0x1.04e19f2e41da9p-15, -0x1.057ab4dbe319ep-15, -0x1.060740e403c78p-15, -0x1.068779f999d37p-15, -0x1.06fb9647c2be2p-15, -0x1.0763cb719b3e3p-15, -0x1.07c04e9250e7cp-15, -0x1.0811543d267fap-15, -0x1.0857107d5951bp-15, -0x1.0891b6d6573bep-15, -0x1.08c17a43c2a53p-15, -0x1.08e68d39956fep-15, -0x1.090121a44c921p-15, -0x1.091168e93758ep-15, -0x1.091793e6a3011p-15, -0x1.0913d2f417f68p-15, -0x1.090655e2d3f75p-15, -0x1.08ef4bfdfab7cp-15, -0x1.08cee40af3327p-15, -0x1.08a54c49e95ccp-15, -0x1.0872b2761cb19p-15, -0x1.083743c668057p-15, -0x1.07f32cedb52dbp-15, -0x1.07a69a1b90b81p-15, -0x1.0751b6fc993f5p-15, -0x1.06f4aebafe992p-15, -0x1.068fabff348abp-15, -0x1.0622d8f06951p-15, -0x1.05ae5f353a227p-15, -0x1.053267f451b56p-15, -0x1.04af1bd50d432p-15, -0x1.0424a30014eefp-15, -0x1.039325200bf47p-15, -0x1.02fac9625e60bp-15, -0x1.025bb677e3ec4p-15, -0x1.01b6129585b67p-15, -0x1.010a0375155cdp-15, -0x1.0057ae5618e7cp-15, -0x1.ff3e6ffcdb477p-16, -0x1.fdc18976465f7p-16, -0x1.fc38f0c289c76p-16, }}, 
      {{0x1.ffe22e4da33a9p-1, 0x1.ff8a916c2f782p-1, 0x1.fefe0dbed7a31p-1, 0x1.fe434a4e8f46bp-1, 0x1.fd617da002054p-1, 0x1.fc5f8c11559f5p-1, 0x1.fb437c8f67386p-1, 0x1.fa1235e2b95a1p-1, 0x1.f8cf7154d1d19p-1, 0x1.f77dd000463bp-1, 0x1.f61f036ab0731p-1, 0x1.f4b3fe196b9cfp-1, 0x1.f33d249676108p-1, 0x1.f1ba7a5fbc049p-1, 0x1.f02bc86cf7716p-1, 0x1.ee90bc723fa64p-1, 0x1.ece900f149f1ep-1, 0x1.eb344eb228068p-1, 0x1.e972787f59126p-1, 0x1.e7a37218ce04bp-1, 0x1.e5c7534f29265p-1, 0x1.e3de582726b1p-1, 0x1.e1e8decc293dcp-1, 0x1.dfe763fcb8495p-1, 0x1.ddda7e7f504f6p-1, 0x1.dbc2da12c8bacp-1, 0x1.d9a13234da09fp-1, 0x1.d7764d0360d9dp-1, 0x1.d542f66a25d62p-1, 0x1.d307fbbf1059dp-1, 0x1.d0c627e1b36c3p-1, 0x1.ce7e3fe8bf4f3p-1, 0x1.cc31005fe0c4ep-1, 0x1.c9df1b1287cabp-1, 0x1.c789355bcc5f6p-1, 0x1.c52fe6f0b99bbp-1, 0x1.c2d3b9188f96dp-1, 0x1.c0752645afc7ep-1, 0x1.be149a01bdcd5p-1, 0x1.bbb2711fdbc12p-1, 0x1.b94efa28992bp-1, 0x1.b6ea75f421ee2p-1, 0x1.b485186848606p-1, 0x1.b21f0951344fdp-1, 0x1.afb8654c9df19p-1, 0x1.ad513ec0a5033p-1, 0x1.aae99ed855eb9p-1, 0x1.a8818680f8f23p-1, 0x1.a618ef641c83ep-1, 0x1.a3afccdb20584p-1, 0x1.a1460cd9b5761p-1, 0x1.9edb98cd644d7p-1, 0x1.9c705670b0ee3p-1, 0x1.9a042890e2387p-1, 0x1.9796efc5d87acp-1, 0x1.95288b1ba6bd6p-1, 0x1.92b8d8ade3f57p-1, 0x1.9047b634e2bdcp-1, 0x1.8dd50185212b5p-1, 0x1.8b60990161fcbp-1, 0x1.88ea5bfffe15p-1, 0x1.86722b2406a5fp-1, 0x1.83f7e8aae4e15p-1, 0x1.817b78af204cdp-1, 0x1.7efcc16105513p-1, 0x1.7c7bab35da65ep-1, 0x1.79f8210e5a97bp-1, 0x1.777210551f2cfp-1, 0x1.74e96915a620cp-1, 0x1.725e1e0c96a6p-1, 0x1.6fd024b1e0ebbp-1, 0x1.6d3f753d5036ep-1, 0x1.6aac0aa61af48p-1, 0x1.6815e29df7c87p-1, 0x1.657cfd88383eap-1, 0x1.62e15e6d59b52p-1, 0x1.60430aeb83059p-1, 0x1.5da20b244d0d9p-1, 0x1.5afe69a83ef9ap-1, 0x1.585833604f778p-1, 0x1.55af7775c1753p-1, 0x1.53044738a535p-1, 0x1.5056b60543a51p-1, 0x1.4da6d928b4a19p-1, 0x1.4af4c7c4d6008p-1, 0x1.48409ab3dd05fp-1, 0x1.458a6c6bab5edp-1, 0x1.42d258e118ac5p-1, 0x1.40187d6b519c4p-1, 0x1.3d5cf8a772615p-1, 0x1.3a9fea5c77264p-1, 0x1.37e1735fa2272p-1, 0x1.3521b57969789p-1, 0x1.3260d34b04e5cp-1, 0x1.2f9ef034aad92p-1, 0x1.2cdc303c8c5dbp-1, 0x1.2a18b7f69b6f8p-1, 0x1.2754ac6d27b3ap-1, 0x1.2490330a574ffp-1, 0x1.21cb718284751p-1, 0x1.1f068dbf815ep-1, 0x1.1c41adccc87c3p-1, 0x1.197cf7c49a226p-1, 0x1.16b891be049a1p-1, 0x1.13f4a1bbdc5aap-1, 0x1.11314d9c9ab63p-1, 0x1.0e6ebb0b28423p-1, 0x1.0bad0f708a30dp-1, 0x1.08ec6fe66f15fp-1, 0x1.062d012a9b17ap-1, 0x1.036ee793273a4p-1, 0x1.00b2470394a89p-1, 0x1.fbee85c55263dp-2, 0x1.f67bfc2226e8ap-2, 0x1.f10d35c195343p-2, 0x1.eba2761a52049p-2, 0x1.e63bff676d395p-2, 0x1.e0da129b3b651p-2, 0x1.db7cef5389aa2p-2, 0x1.d624d3cf05035p-2, 0x1.d0d1fce3d4889p-2, 0x1.cb84a5f74b6b4p-2, 0x1.c63d08f6ae434p-2, 0x1.c0fb5e50fbd87p-2, 0x1.bbbfdcf1aa039p-2, 0x1.b68aba3c4ddacp-2, 0x1.b15c2a091ee3bp-2, 0x1.ac345ea24b2e6p-2, 0x1.a71388c21078p-2, 0x1.a1f9d7918e76p-2, 0x1.9ce778a844a7bp-2, 0x1.97dc980c37479p-2, 0x1.92d96032a8e48p-2, 0x1.8dddfa01643c2p-2, 0x1.88ea8cd08ae77p-2, 0x1.83ff3e6ce0ef5p-2, 0x1.7f1c331a87a58p-2, 0x1.7a418d9824afdp-2, 0x1.756f6f226c77bp-2, 0x1.70a5f77805e22p-2, 0x1.6be544ddbd319p-2, 0x1.672d74230996cp-2, 0x1.627ea0a6d2f7cp-2, 0x1.5dd8e45c770bep-2, 0x1.593c57d107a44p-2, 0x1.54a91230bf0d4p-2, 0x1.501f294c99d1cp-2, 0x1.4b9eb1a023122p-2, 0x1.4727be575d725p-2, 0x1.42ba6154cc929p-2, 0x1.3e56ab379b8ffp-2, 0x1.39fcab61d82fep-2, 0x1.35ac6ffec0854p-2, 0x1.31660609237e3p-2, 0x1.2d297951c87b7p-2, 0x1.28f6d485e5dc5p-2, 0x1.24ce213596a8ap-2, 0x1.20af67da5c1b4p-2, 0x1.1c9aafdd98937p-2, 0x1.188fff9f0bd83p-2, 0x1.148f5c7b4fcbcp-2, 0x1.1098cad2470dp-2, 0x1.0cac4e0d8dcacp-2, 0x1.08c9e8a6d8901p-2, 0x1.04f19c2e4ffb5p-2, 0x1.01236950db4eep-2, 0x1.fabe9fbcbba03p-3, 0x1.f34a9d9fd410ep-3, 0x1.ebeac89bbd317p-3, 0x1.e49f1b6bef39dp-3, 0x1.dd678f4295e78p-3, 0x1.d6441bd46961ep-3, 0x1.cf34b7645a42cp-3, 0x1.c83956cf1d133p-3, 0x1.c151ed9685672p-3, 0x1.ba7e6decbc07cp-3, 0x1.b3bec8bf459e2p-3, 0x1.ad12edc1e70fbp-3, 0x1.a67acb794d294p-3, 0x1.9ff64f459824ap-3, 0x1.9985656cad1fdp-3, 0x1.9327f92461c2p-3, 0x1.8cddf49c75bcep-3, 0x1.86a741085dafap-3, 0x1.8083c6a8e04c9p-3, 0x1.7a736cd58864ep-3, 0x1.74761a05dea8dp-3, 0x1.6e8bb3da811a1p-3, 0x1.68b41f2602324p-3, 0x1.62ef3ff59dd13p-3, 0x1.5d3cf999c14edp-3, 0x1.579d2eae61698p-3, 0x1.520fc123251b5p-3, 0x1.4c94924364737p-3, 0x1.472b82bdf7f0ap-3, 0x1.41d472acda1d9p-3, 0x1.3c8f419ca198ep-3, 0x1.375bce93cabb8p-3, 0x1.3239f819d7074p-3, 0x1.2d299c3e441e2p-3, 0x1.282a989f52599p-3, 0x1.233cca70aad5bp-3, 0x1.1e600e81d0b5ap-3, 0x1.1994414471dc6p-3, 0x1.14d93ed28d6d1p-3, 0x1.102ee2f46d6edp-3, 0x1.0b95092681a79p-3, 0x1.070b8c9f0cb92p-3, 0x1.02924853ad2e8p-3, 0x1.fc522dfd832ep-4, 0x1.f39fa6494f607p-4, 0x1.eb0cae31a7f57p-4, 0x1.e298fa05950acp-4, 0x1.da443dc5e20a3p-4, 0x1.d20e2d2e77f51p-4, 0x1.c9f67bbf82e9cp-4, 0x1.c1fcdcc63df01p-4, 0x1.ba21036592cb3p-4, 0x1.b262a29e6aa16p-4, 0x1.aac16d57c6579p-4, 0x1.a33d1666908f7p-4, 0x1.9bd550953ade1p-4, 0x1.9489ceab1693cp-4, 0x1.8d5a43737b068p-4, 0x1.864661c4a9e45p-4, 0x1.7f4ddc867f44fp-4, 0x1.787066b8e5ec8p-4, 0x1.71adb37a19f13p-4, 0x1.6b05760cb045p-4, 0x1.647761dd6d57ep-4, 0x1.5e032a88e6111p-4, 0x1.57a883e0f0689p-4, 0x1.516721f1df39p-4, 0x1.4b3eb90791bcbp-4, 0x1.452efdb24e9e2p-4, 0x1.3f37a4cb76ebfp-4, 0x1.3958637a04cdbp-4, 0x1.3390ef36e2fcdp-4, 0x1.2de0fdd116811p-4, 0x1.28484571be8ddp-4, 0x1.22c67c9fe9fap-4, 0x1.1d5b5a4443e7ap-4, 0x1.180695ac9c879p-4, 0x1.12c7e68f452fp-4, 0x1.0d9f050e4a1e2p-4, 0x1.088ba9ba87afap-4, 0x1.038d8d9699888p-4, 0x1.fd48d4334de51p-5, 0x1.f39ff2641c484p-5, 0x1.ea1fea8fd9661p-5, 0x1.e0c8327f105fp-5, 0x1.d79840f7282eap-5, 0x1.ce8f8dbebc8d4p-5, 0x1.c5ad91a1adfdp-5, 0x1.bcf1c674fe77dp-5, 0x1.b45ba71a6f7d1p-5, 0x1.abeaaf83ef913p-5, 0x1.a39e5cb6c6a5bp-5, 0x1.9b762cce962c8p-5, 0x1.93719f0020dfap-5, 0x1.8b90339be0ec6p-5, 0x1.83d16c107007ep-5, 0x1.7c34caecb9539p-5, 0x1.74b9d3e204348p-5, 0x1.6d600bc5cf505p-5, 0x1.6626f8937cbf1p-5, 0x1.5f0e216dd83cfp-5, 0x1.58150ea07431ap-5, 0x1.513b49a0d954ap-5, 0x1.4a805d0f96a6ap-5, 0x1.43e3d4b9267ecp-5, 0x1.3d653d96b0c1dp-5, 0x1.370425ceab53ap-5, 0x1.30c01cb554e1dp-5, 0x1.2a98b2cd132f3p-5, 0x1.248d79c6ab054p-5, 0x1.1e9e04815f849p-5, 0x1.18c9e70aed91cp-5, 0x1.1310b69f71182p-5, 0x1.0d7209a925009p-5, 0x1.07ed77c010287p-5, 0x1.028299a994cacp-5, 0x1.fa6212afcddb9p-6, 0x1.eff0c3d2ce0aap-6, 0x1.e5b07f4fdf208p-6, 0x1.dba0800ff69bcp-6, 0x1.d1c0034f8dc12p-6, 0x1.c80e489ca36eap-6, 0x1.be8a91d49ef96p-6, 0x1.b53423220a3ap-6, 0x1.ac0a42fa264e5p-6, 0x1.a30c3a1a5d2b2p-6, 0x1.9a39538590b3bp-6, 0x1.9190dc8143d06p-6, 0x1.89122492b0869p-6, 0x1.80bc7d7bae36p-6, 0x1.788f3b378b2bdp-6, 0x1.7089b3f7c3ba7p-6, 0x1.68ab402099a71p-6, 0x1.60f33a459c1c2p-6, 0x1.5960ff2613758p-6, 0x1.51f3eda9524fcp-6, 0x1.4aab66dafb55p-6, 0x1.4386cde726aacp-6, 0x1.3c8588167a019p-6, 0x1.35a6fcca2fc0ep-6, 0x1.2eea957807ae7p-6, 0x1.284fbda62fd7ep-6, 0x1.21d5e2e710a2ap-6, 0x1.1b7c74d517739p-6, 0x1.1542e50e6e56bp-6, 0x1.0f28a730a42b8p-6, 0x1.092d30d45098ap-6, 0x1.034ff988a44bap-6, 0x1.fb20f59deccfdp-7, 0x1.efdc602c892dcp-7, 0x1.e4d12d6d554d8p-7, 0x1.d9fe5bd9aeb0fp-7, 0x1.cf62edaae0945p-7, 0x1.c4fde8d0f4353p-7, 0x1.bace56e96a949p-7, 0x1.b0d34535e555cp-7, 0x1.a70bc492e4b92p-7, 0x1.9d76e96e4be3dp-7, 0x1.9413cbbe17d1p-7, 0x1.8ae186f6df604p-7, 0x1.81df3a0276937p-7, 0x1.790c073672d5cp-7, 0x1.7067144ab91cfp-7, 0x1.67ef8a5013142p-7, 0x1.5fa495a6adc1fp-7, 0x1.578565f4b5bc8p-7, 0x1.4f912e1cdfa99p-7, 0x1.47c72434f930bp-7, 0x1.4026817c852edp-7, 0x1.38ae825356eecp-7, 0x1.315e66302a001p-7, 0x1.2a356f97533fbp-7, 0x1.2332e41169fe9p-7, 0x1.1c560c21ff5f8p-7, 0x1.159e333e583d6p-7, 0x1.0f0aa7c43980fp-7, 0x1.089abaf0b4772p-7, 0x1.024dc0d6ff1d3p-7, 0x1.f84620aeb9816p-8, 0x1.ec34062c240b1p-8, 0x1.e063eae4ab5ecp-8, 0x1.d4d48cfaca0d2p-8, 0x1.c984afe3245ebp-8, 0x1.be731c52cdd39p-8, 0x1.b39ea02db69adp-8, 0x1.a9060e75190ap-8, 0x1.9ea83f3619771p-8, 0x1.94840f787785cp-8, 0x1.8a98612d733fap-8, 0x1.80e41b1eb85d1p-8, 0x1.776628dd6f8efp-8, 0x1.6e1d7ab173865p-8, 0x1.65090588b4fecp-8, 0x1.5c27c2e6a4217p-8, 0x1.5378b0d3cc929p-8, 0x1.4afad1cd9a972p-8, 0x1.42ad2cb62c552p-8, 0x1.3a8eccc45e307p-8, 0x1.329ec173efebep-8, 0x1.2adc1e75c8312p-8, 0x1.2345fba06d031p-8, 0x1.1bdb74e08da44p-8, 0x1.149baa29bce6ap-8, 0x1.0d85bf675403dp-8, 0x1.0698dc6d6ecaep-8, 0x1.ffa859d4318f6p-9, 0x1.f26dc0ad1dedp-9, 0x1.e58053d19c0f3p-9, 0x1.d8de810a13abcp-9, 0x1.cc86bd5f1bb62p-9, 0x1.c07784fd17d09p-9, 0x1.b4af5b18693b9p-9, 0x1.a92cc9d1d53ffp-9, 0x1.9dee621b3287fp-9, 0x1.92f2bb9c6ae8dp-9, 0x1.88387498c14b6p-9, 0x1.7dbe31d47c583p-9, 0x1.73829e7ac2ae8p-9, 0x1.69846c03d00d6p-9, 0x1.5fc2521b755b8p-9, 0x1.563b0e87e38f6p-9, 0x1.4ced6510ce687p-9, 0x1.43d81f66c533cp-9, 0x1.3afa0d0af8c74p-9, 0x1.325203371770dp-9, 0x1.29dedcc5b7535p-9, 0x1.219f7a1ad3e6cp-9, 0x1.1992c10cbee08p-9, 0x1.11b79ccd3372bp-9, 0x1.0a0cfdd2dea2fp-9, 0x1.0291d9c310ba5p-9, 0x1.f68a56b78becap-10, 0x1.e84be4bbfaf56p-10, 0x1.da6666f07856bp-10, 0x1.ccd7f0632c257p-10, 0x1.bf9e9da94a67p-10, 0x1.b2b894b629f2ep-10, 0x1.a62404b2cbea7p-10, 0x1.99df25d59a5c8p-10, 0x1.8de8393b01552p-10, 0x1.823d88be8727fp-10, 0x1.76dd66d472975p-10, 0x1.6bc62e63d1cefp-10, 0x1.60f642a131031p-10, 0x1.566c0ee9cce89p-10, 0x1.4c26069f3ec6p-10, 0x1.4222a503c8656p-10, 0x1.38606d16fb38ep-10, 0x1.2edde97303e0bp-10, 0x1.2599ac2a784bfp-10, 0x1.1c924ea67148dp-10, 0x1.13c6718566dd1p-10, 0x1.0b34bc7a6a10bp-10, 0x1.02dbde2cc81cp-10, 0x1.f5751830a306cp-11, 0x1.e59f04dbf8cbap-11, 0x1.d63307ea23768p-11, 0x1.c72eb3d961a27p-11, 0x1.b88fa7dc07fe1p-11, 0x1.aa538f9d3e77ep-11, 0x1.9c782307561efp-11, 0x1.8efb260a31066p-11, 0x1.81da68635ec96p-11, 0x1.7513c5666ad27p-11, 0x1.68a523c695a08p-11, 0x1.5c8c7560e93e4p-11, 0x1.50c7b7079115cp-11, 0x1.4554f04dcbc99p-11, 0x1.3a323354a2c34p-11, 0x1.2f5d9c98c3907p-11, 0x1.24d552c0accabp-11, 0x1.1a97866c478fdp-11, 0x1.10a272047785fp-11, 0x1.06f4598c64729p-11, 0x1.fb1714e5585b5p-12, 0x1.e8ccb6c7cf663p-12, 0x1.d706583b7320ep-12, 0x1.c5c0ca8512864p-12, 0x1.b4f8f05c7606cp-12, 0x1.a4abbd9667cb7p-12, 0x1.94d636d0ed917p-12, 0x1.85757120fbecbp-12, 0x1.768691c0856a4p-12, 0x1.6806cdbee93b5p-12, 0x1.59f369b2a53cap-12, 0x1.4c49b96b9fc3p-12, 0x1.3f071fa7bd1fcp-12, 0x1.32290dc7ecf1dp-12, 0x1.25ad0386e51a5p-12, 0x1.19908eb13ce0dp-12, 0x1.0dd14ade4f992p-12, 0x1.026ce12ae04bbp-12, 0x1.eec20fe938977p-13, 0x1.d957052d825e4p-13, 0x1.c4944250b767ap-13, 0x1.b07580765d41ep-13, 0x1.9cf6913802fd5p-13, 0x1.8a135e27f2083p-13, 0x1.77c7e85654a59p-13, 0x1.661047d84747cp-13, 0x1.54e8ab5107413p-13, 0x1.444d577da4912p-13, 0x1.343aa6c20bc4ap-13, 0x1.24ad08b9454bcp-13, 0x1.15a101c64a541p-13, 0x1.07132aa80a972p-13, 0x1.f200601dce1d2p-14, 0x1.d6c9a46856bbbp-14, 0x1.bc7bc8e61a7dbp-14, 0x1.a31099c9ab5b3p-14, 0x1.8a8207f94e5c5p-14, 0x1.72ca284f38616p-14, 0x1.5be332d9d41b4p-14, 0x1.45c782203c038p-14, 0x1.3071926bc6cf5p-14, 0x1.1bdc011273147p-14, 0x1.08018bc78d353p-14, 0x1.e9ba1fd96f4f7p-15, 0x1.c4d313d049679p-15, 0x1.a14428fb9e7c9p-15, 0x1.7f03d056b73fap-15, 0x1.5e08b50cbfb4fp-15, 0x1.3e49bb3f65e1p-15, 0x1.1fbdfecfca93dp-15, 0x1.025cd22ebab0fp-15, 0x1.cc3b7a6610e28p-16, 0x1.95f0f7ebee91cp-16, 0x1.61c9fb64d7895p-16, 0x1.2fb6c75ba7d33p-16, 0x1.ff50008b23bb6p-17, 0x1.a31d54cb36029p-17, 0x1.4ab84f7a82bb7p-17, 0x1.ec08d80045643p-18, 0x1.49cbb260e2eebp-18, 0x1.5d05d57ab3d87p-19, 0x1.9f99525b7b8cp-22, -0x1.d00faa295904cp-20, -0x1.f74fcfddcf96bp-19, -0x1.7d23756bd3d6p-18, -0x1.f8a66b322bcc2p-18, -0x1.372fb716e1f2bp-17, -0x1.6f3dfb6ffb4bp-17, -0x1.a4942bfec7dep-17, -0x1.d747e27dddebfp-17, -0x1.03b7161e3b1c4p-16, -0x1.1a8dc69fc4e0ap-16, -0x1.303201aaa0deep-16, -0x1.44ad848d38109p-16, -0x1.5809cc742f789p-16, -0x1.6a5017e088edfp-16, -0x1.7b89680f49428p-16, -0x1.8bbe825cf1cb8p-16, -0x1.9af7f1a4a382cp-16, -0x1.a93e0790ead19p-16, -0x1.b698ddec4bf2dp-16, -0x1.c31057e84d3a1p-16, -0x1.ceac235cc988bp-16, -0x1.d973ba03ba708p-16, -0x1.e36e62aad4bc6p-16, -0x1.eca33260f9139p-16, -0x1.f5190d9ea7c14p-16, -0x1.fcd6a963d507ap-16, -0x1.01f1462a4bba3p-15, -0x1.052187e7207d1p-15, -0x1.07ff307b00139p-15, -0x1.0a8d40e0800e1p-15, -0x1.0ccea4fc6beb4p-15, -0x1.0ec6341dcb0cap-15, -0x1.1076b17907b64p-15, -0x1.11e2cca34cd1fp-15, -0x1.130d2207af302p-15, -0x1.13f83b5e6ba62p-15, -0x1.14a6901ca41e7p-15, -0x1.151a85e68c51ap-15, -0x1.155670fb3c843p-15, -0x1.155c94a047bd6p-15, -0x1.152f238a936e5p-15, -0x1.14d0404541809p-15, -0x1.1441fd95171dbp-15, -0x1.13865edb884fap-15, -0x1.129f587642df3p-15, -0x1.118ed01d2bcccp-15, -0x1.10569d3ec54cep-15, -0x1.0ef8895960083p-15, -0x1.0d765053a1f1p-15, -0x1.0bd1a0d2469bcp-15, -0x1.0a0c1c8c64359p-15, -0x1.0827589d22eacp-15, -0x1.0624ddd5a4949p-15, -0x1.0406290997459p-15, -0x1.01ccab5e6202p-15, -0x1.fef395298338cp-16, -0x1.fa1dc2a656052p-16, -0x1.f51a7eda9980fp-16, -0x1.efec54556c5abp-16, -0x1.ea95b917580c8p-16, -0x1.e5190f17e030ap-16, -0x1.df78a4c9a8d2ap-16, -0x1.d9b6b59a632c5p-16, -0x1.d3d56a70b2d88p-16, -0x1.cdd6da26e860bp-16, -0x1.c7bd0a0292951p-16, -0x1.c189ee2a0b3e5p-16, -0x1.bb3f6a16cc3p-16, -0x1.b4df510562c09p-16, -0x1.ae6b6662894f2p-16, -0x1.a7e55e367c43ep-16, -0x1.a14edd8d17725p-16, -0x1.9aa97adb75c5ep-16, -0x1.93f6be63efb77p-16, -0x1.8d38229797027p-16, -0x1.866f14748e302p-16, -0x1.7f9cf3e3a0762p-16, -0x1.78c3141273211p-16, -0x1.71e2bbcc340b6p-16, -0x1.6afd25d042b52p-16, -0x1.64138125cf22ap-16, -0x1.5d26f16f71867p-16, -0x1.56388f3aaff7cp-16, -0x1.4f49684f79592p-16, -0x1.485a7ffc2e43dp-16, -0x1.416ccf604de8dp-16, -0x1.3a8145b6a7ba3p-16, -0x1.3398c89ba151p-16, -0x1.2cb4345361aa8p-16, -0x1.25d45c0dba7dcp-16, -0x1.1efa0a2880eddp-16, -0x1.1826007038c53p-16, -0x1.1158f85f20a4p-16, -0x1.0a93a35b246f7p-16, -0x1.03d6aaf1a14efp-16, -0x1.fa456225233d5p-17, -0x1.ecf0a0922cd95p-17, -0x1.dfb037e79febdp-17, -0x1.d28540f67b79p-17, -0x1.c570c70d3e89ap-17, -0x1.b873c85f608a8p-17, -0x1.ab8f366bdec3p-17, -0x1.9ec3f65cd3176p-17, -0x1.9212e16ab38adp-17, -0x1.857cc53817e7cp-17, -0x1.7902642cf9616p-17, -0x1.6ca475cfd455cp-17, -0x1.6063a71d95a79p-17, -0x1.54409adc51967p-17, -0x1.483be9eeb3ec3p-17, -0x1.3c5623a431ea8p-17, -0x1.308fce07533d7p-17, -0x1.24e96629938e3p-17, -0x1.1963606d87ecdp-17, -0x1.0dfe28d0476ebp-17, -0x1.02ba232e240b3p-17, -0x1.ef2f571309074p-18, -0x1.d92e2c9758e25p-18, -0x1.c371610e06c3cp-18, -0x1.adf9806d6293p-18, -0x1.98c708f612786p-18, -0x1.83da6baec4b7ep-18, -0x1.6f340cd665345p-18, -0x1.5ad4445763e6dp-18, -0x1.46bb5e36bab14p-18, -0x1.32e99aff81341p-18, -0x1.1f5f302b648c9p-18, -0x1.0c1c4889f75a3p-18, -0x1.f242094696759p-19, -0x1.ccdaf63221f8bp-19, -0x1.a8037209a6f4ep-19, -0x1.83bb84a5ce3dap-19, -0x1.60032438db38bp-19, -0x1.3cda35f7facccp-19, -0x1.1a408ec9c1e64p-19, -0x1.f06be7c7d0794p-20, -0x1.ad7436d9fdb37p-20, -0x1.6b995a2e9b397p-20, -0x1.2ada856c983b4p-20, -0x1.d66da34455a9cp-21, -0x1.595a7cc0c3494p-21, -0x1.bcf2cb3b93537p-22, -0x1.971ff5c192c1fp-23, 0x1.0bc48e36dfb14p-25, 0x1.0a2c4a73edaefp-22, 0x1.ee90f067fd6c1p-22, 0x1.6756496ef3c9p-21, 0x1.d542c5aa7b5a6p-21, 0x1.20889e8237431p-20, 0x1.556290a92656ap-20, 0x1.89310234c1d47p-20, 0x1.bbf5cb4c2aa98p-20, 0x1.edb2d28680c4ep-20, 0x1.0f3506154fdc5p-19, 0x1.270ebcb9f229p-19, 0x1.3e6793ef8a2f6p-19, 0x1.5540983cf0fe6p-19, 0x1.6b9adb9b2aac2p-19, 0x1.81777523f2055p-19, 0x1.96d780c258e2ep-19, 0x1.abbc1ee4bdc39p-19, 0x1.c026743142ff6p-19, 0x1.d417a93e9baa8p-19, 0x1.e790ea4bb9f8ap-19, 0x1.fa9366fdd0531p-19, 0x1.0690290f8c14ep-18, 0x1.0f9c70ad7d752p-18, 0x1.186f2683025eap-18, 0x1.2108e7ef95e4fp-18, 0x1.296a536b7ce16p-18, 0x1.3194086b61ef2p-18, 0x1.3986a746fb9f5p-18, 0x1.4142d11dc2588p-18, 0x1.48c927be6e6d4p-18, 0x1.501a4d8e9babdp-18, 0x1.5736e5738a45fp-18, 0x1.5e1f92bbcc12fp-18, 0x1.64d4f9091903dp-18, 0x1.6b57bc3c0bdbap-18, 0x1.71a8805f51617p-18, 0x1.77c7e994d1213p-18, 0x1.7db69c023d698p-18, 0x1.83753bbfb2bf2p-18, 0x1.89046cc61146fp-18, 0x1.8e64d2de3b0a1p-18, 0x1.93971191ceb13p-18, 0x1.989bcc1a53a08p-18, 0x1.9d73a553f4989p-18, 0x1.a21f3fae39dddp-18, 0x1.a69f3d1e9aecp-18, 0x1.aaf43f13da7fap-18, 0x1.af1ee668eb4bep-18, 0x1.b31fd3591d456p-18, 0x1.b6f7a574ef81bp-18, 0x1.baa6fb96bbc0fp-18, 0x1.be2e73d826d3fp-18, 0x1.c18eab8838c27p-18, 0x1.c4c83f21a4801p-18, 0x1.c7dbca41a8ae6p-18, 0x1.cac9e79f80324p-18, 0x1.cd933103d2c9dp-18, 0x1.d0383f40d933p-18, 0x1.d2b9aa2aebf81p-18, 0x1.d51808917b25ap-18, 0x1.d753f037d8774p-18, 0x1.d96df5cf60ddep-18, 0x1.db66acf11350cp-18, 0x1.dd3ea817db2fbp-18, 0x1.def6789b299ecp-18, 0x1.e08eaeaa11742p-18, 0x1.e207d9464cf34p-18, 0x1.e362863fc4163p-18, 0x1.e49f423034d8dp-18, 0x1.e5be9877b289cp-18, 0x1.e6c11338db9b6p-18, 0x1.e7a73b55219d7p-18, 0x1.e8719869fbd53p-18, 0x1.e920b0cde3ef9p-18, 0x1.e9b5098d938d3p-18, 0x1.ea2f2669de073p-18, 0x1.ea8f89d56c839p-18, 0x1.ead6b4f2592e6p-18, 0x1.eb052790f22bcp-18, 0x1.eb1b602dd4ca6p-18, 0x1.eb19dbf096cefp-18, 0x1.eb0116aa83587p-18, 0x1.ead18ad5a6756p-18, 0x1.ea8bb19407b36p-18, 0x1.ea3002aec8b9bp-18, 0x1.e9bef495e7515p-18, 0x1.e938fc5f47d24p-18, 0x1.e89e8dc74c75bp-18, 0x1.e7f01b30245cdp-18, 0x1.e72e15a225c84p-18, 0x1.e658eccbd1439p-18, 0x1.e5710f025480ap-18, 0x1.e476e941fff0ap-18, 0x1.e36ae72e9855ep-18, 0x1.e24d731420d08p-18, 0x1.e11ef5e7ddb31p-18, 0x1.dfdfd749314b6p-18, 0x1.de907d82520bfp-18, 0x1.dd314d898064dp-18, 0x1.dbc2ab026540ep-18, 0x1.da44f83f4e7f8p-18, 0x1.d8b89642643a6p-18, 0x1.d71de4bf44f0bp-18, 0x1.d575421c85bd1p-18, 0x1.d3bf0b7534da2p-18, 0x1.d1fb9c9aa9f93p-18, 0x1.d02b50163e194p-18, 0x1.ce4e7f2b18fbdp-18, 0x1.cc6581d7ddbe3p-18, 0x1.ca70aed8ef58ap-18, 0x1.c8705baa331f2p-18, 0x1.c664dc8958225p-18, 0x1.c44e8477acb68p-18, 0x1.c22da53c48b82p-18, 0x1.c0028f6663e93p-18, 0x1.bdcd924f876acp-18, 0x1.bb8efc1dbf7f5p-18, 0x1.b94719c626f1bp-18, 0x1.b6f6370edee86p-18, 0x1.b49c9e91907fap-18, 0x1.b23a99be0e17bp-18, 0x1.afd070dc97d3dp-18, 0x1.ad5e6b1047dfbp-18, 0x1.aae4ce59af6b5p-18, 0x1.a863df996e2c3p-18, 0x1.a5dbe292841f1p-18, 0x1.a34d19ecdd817p-18, 0x1.a0b7c7382c54ep-18, 0x1.9e1c2aee47f5bp-18, 0x1.9b7a8475ea5eep-18, 0x1.98d3122538ae9p-18, 0x1.962611446a385p-18, 0x1.9373be107715ap-18, 0x1.90bc53bdbea46p-18, 0x1.8e000c7ac02e4p-18, 0x1.8b3f2172a1b25p-18, 0x1.8879cacffb928p-18, 0x1.85b03fbf90133p-18, 0x1.82e2b672d2256p-18, 0x1.80116422a669bp-18, 0x1.7d3c7d1241e33p-18, 0x1.7a6434919a8ffp-18, 0x1.7788bd00425cap-18, 0x1.74aa47cff48fcp-18, 0x1.71c905875f285p-18, 0x1.6ee525c4ca39dp-18, 0x1.6bfed740d1ba7p-18, 0x1.691647d0ee517p-18, 0x1.662ba46a1fdfp-18, 0x1.633f1923bfca1p-18, 0x1.6050d13a19f33p-18, 0x1.5d60f711010a3p-18, 0x1.5a6fb43670707p-18, 0x1.577d3165297dep-18, 0x1.5489968757fb6p-18, 0x1.51950ab947e7cp-18, 0x1.4e9fb44bbbd58p-18, 0x1.4ba9b8c69a9e6p-18, 0x1.48b33ceba36d7p-18, 0x1.45bc64b8d9716p-18, 0x1.42c5536b0498dp-18, 0x1.3fce2b80560c8p-18, 0x1.3cd70ebacd3ffp-18, 0x1.39e01e22c27adp-18, 0x1.36e97a096060dp-18, 0x1.33f3420b12853p-18, 0x1.30fd951209097p-18, 0x1.2e089158a498cp-18, 0x1.2b14546bd2402p-18, 0x1.2820fb2d61383p-18, 0x1.252ea1d689f9p-18, 0x1.223d63fa3a37dp-18, 0x1.1f4d5c876eb9ep-18, 0x1.1c5ea5cb74f1cp-18, 0x1.19715974533bep-18, 0x1.16859093018c2p-18, 0x1.139b639db8972p-18, 0x1.10b2ea722e3eep-18, 0x1.0dcc3c57be1cbp-18, 0x1.0ae77001c22d2p-18, 0x1.08049b91be853p-18, 0x1.0523d49982a78p-18, 0x1.0245301d3fe52p-18, 0x1.fed1852b7ee69p-19, 0x1.f91d3fe510bap-19, 0x1.f36db737e4dd4p-19, 0x1.edc310ea6ecd5p-19, 0x1.e81d71bced359p-19, 0x1.e27cfd6d80364p-19, 0x1.dce1d6bc7829ap-19, 0x1.d74c1f6ff5bddp-19, 0x1.d1bbf857fc32dp-19, 0x1.cc31815284bfp-19, 0x1.c6acd94f2c7f5p-19, 0x1.c12e1e5307df3p-19, 0x1.bbb56d7cadeb5p-19, 0x1.b642e307b541fp-19, 0x1.b0d69a506bcf3p-19, 0x1.ab70add7b6508p-19, 0x1.a611374671057p-19, 0x1.a0b84f7142844p-19, 0x1.9b660e5c112b6p-19, 0x1.961a8b3d95f9bp-19, 0x1.90d5dc82b3721p-19, }}, 
      {{-0x1.8a31e43c22bf9p-16, -0x1.930fdb2aa1e29p-14, -0x1.d0f705e654bfp-13, -0x1.a3035cd5c9069p-12, -0x1.44ec798cc435p-11, -0x1.c428430b6667dp-11, -0x1.206c4351a4f64p-10, -0x1.5501bc50df87fp-10, -0x1.76bd32d48f619p-10, -0x1.7c954c78f3cf3p-10, -0x1.5e2540a476c74p-10, -0x1.1428c6b1a6588p-10, -0x1.31aa1829535c1p-11, 0x1.7f540e1190f1cp-14, 0x1.009d22d6aa27cp-10, 0x1.10f1c923b48ccp-9, 0x1.bd862f423d8ebp-9, 0x1.42853d990b3cap-8, 0x1.b2fc62f0e3efep-8, 0x1.17995a651dd41p-7, 0x1.5b07103cb27b2p-7, 0x1.a32ec9358b65bp-7, 0x1.ef7248b3e6064p-7, 0x1.1f9949a6135a9p-6, 0x1.48ea0831d0e6fp-6, 0x1.7360f40f4b2dep-6, 0x1.9eb8577a54ffbp-6, 0x1.cab038312d3fp-6, 0x1.f70f149e299c8p-6, 0x1.11d130427badfp-5, 0x1.281f6438fe487p-5, 0x1.3e60216f95942p-5, 0x1.5484faeb324eep-5, 0x1.6a82fbde8aed6p-5, 0x1.805278eac3d04p-5, 0x1.95eed56944cbfp-5, 0x1.ab563fc8d963fp-5, 0x1.c08967d5ea917p-5, 0x1.d58b31869093cp-5, 0x1.ea6066995288cp-5, 0x1.ff0f69043f6b1p-5, 0x1.09cff3ee921cep-4, 0x1.140d4c075771cp-4, 0x1.1e4478ee19347p-4, 0x1.287a79f4aef45p-4, 0x1.32b4761b16575p-4, 0x1.3cf7a3a18886ep-4, 0x1.474932af36394p-4, 0x1.51ae3af970f62p-4, 0x1.5c2bac46df94dp-4, 0x1.66c6419e74cdep-4, 0x1.718276e9c38ccp-4, 0x1.7c6480cd9fb62p-4, 0x1.8770467a00aafp-4, 0x1.92a95d3294319p-4, 0x1.9e1305538b77cp-4, 0x1.a9b02899d7a3p-4, 0x1.b583597a606a4p-4, 0x1.c18ed358faaaep-4, 0x1.cdd47b75108e4p-4, 0x1.da55e267717b9p-4, 0x1.e7144611f940fp-4, 0x1.f41093e6926cp-4, 0x1.00a5b5b7e8309p-3, 0x1.07629084adec6p-3, 0x1.0e3ee05d09493p-3, 0x1.153a88926cdd4p-3, 0x1.1c554b43e4c84p-3, 0x1.238ecae1bc387p-3, 0x1.2ae68bb304f72p-3, 0x1.325bf55b6e1edp-3, 0x1.39ee54606ae59p-3, 0x1.419cdbad0964ap-3, 0x1.4966a61410b0ap-3, 0x1.514ab7d026ee4p-3, 0x1.59480001dd14p-3, 0x1.615d5a2b70daap-3, 0x1.69898faa10f5dp-3, 0x1.71cb592c68a69p-3, 0x1.7a2160261ab0bp-3, 0x1.828a403fb8799p-3, 0x1.8b0488c2aa54ep-3, 0x1.938ebe007fc86p-3, 0x1.9c275ab4e0196p-3, 0x1.a4ccd1616ddcdp-3, 0x1.ad7d8da2c6087p-3, 0x1.b637f57dd49a9p-3, 0x1.befa6aa49ccb4p-3, 0x1.c7c34bb1ad18cp-3, 0x1.d090f55966cebp-3, 0x1.d961c390604f7p-3, 0x1.e23412a6217cfp-3, 0x1.eb0640539321dp-3, 0x1.f3d6acbc8bd12p-3, 0x1.fca3bb6400da3p-3, 0x1.02b5ea092de32p-2, 0x1.0716b1d6d5ae7p-2, 0x1.0b736e81b5c97p-2, 0x1.0fcb5cc1d992p-2, 0x1.141dbcf6e2f94p-2, 0x1.1869d376f8057p-2, 0x1.1caee8d66f77cp-2, 0x1.20ec4a2846b5ep-2, 0x1.2521493787a96p-2, 0x1.294d3cb9bb9cap-2, 0x1.2d6f807aa9fap-2, 0x1.3187758185ab2p-2, 0x1.3594822fd6f14p-2, 0x1.3996125a559bfp-2, 0x1.3d8b975c080fdp-2, 0x1.41748823dfd8fp-2, 0x1.4550613d32c8ap-2, 0x1.491ea4d352975p-2, 0x1.4cdedab099adfp-2, 0x1.5090903940a85p-2, 0x1.5433586249157p-2, 0x1.57c6cba4d1e86p-2, 0x1.5b4a87ee27d7ep-2, 0x1.5ebe308cde321p-2, 0x1.62216e1b3f50bp-2, 0x1.6573ee675f6ffp-2, 0x1.68b564591a7abp-2, 0x1.6be587d6447bbp-2, 0x1.6f0415a54cea3p-2, 0x1.7210cf4e98fcdp-2, 0x1.750b7afccb1c4p-2, 0x1.77f3e35c388c1p-2, 0x1.7ac9d779ba972p-2, 0x1.7d8d2aa115bdbp-2, 0x1.803db43b1bd6fp-2, 0x1.82db4fabbbb9bp-2, 0x1.8565dc30220c3p-2, 0x1.87dd3cbd0df96p-2, 0x1.8a4157dd7ebd9p-2, 0x1.8c921791d0079p-2, 0x1.8ecf692f64688p-2, 0x1.90f93d40f4404p-2, 0x1.930f8767916c5p-2, 0x1.95123e3c7383ep-2, 0x1.97015b33981p-2, 0x1.98dcda7f49aa1p-2, 0x1.9aa4baf48b5b7p-2, 0x1.9c58fdf07c7bep-2, 0x1.9df9a73ead211p-2, 0x1.9f86bd00752abp-2, 0x1.a10047953f647p-2, 0x1.a2665183d5115p-2, 0x1.a3b8e764a496bp-2, 0x1.a4f817ccf92b9p-2, 0x1.a623f33b2cc6dp-2, 0x1.a73c8c03c559dp-2, 0x1.a841f63f780eep-2, 0x1.a93447ba1059ep-2, 0x1.aa1397e22f6aep-2, 0x1.aadfffb9dd6a4p-2, 0x1.ab9999c7e2609p-2, 0x1.ac408209e2d54p-2, 0x1.acd4d5e72cc9ap-2, 0x1.ad56b42435f1dp-2, 0x1.adc63cd6be6a1p-2, 0x1.ae23915a8a46ep-2, 0x1.ae6ed446ad28dp-2, 0x1.aea829635aa22p-2, 0x1.aecfb5a03698bp-2, 0x1.aee59f0b155d6p-2, 0x1.aeea0cc72a984p-2, 0x1.aedd270498154p-2, 0x1.aebf16f854169p-2, 0x1.ae9006d46255bp-2, 0x1.ae5021c054b48p-2, 0x1.adff93d20e57fp-2, 0x1.ad9e8a06bf7e5p-2, 0x1.ad2d323c14cacp-2, 0x1.acabbb2991aabp-2, 0x1.ac1a545a116f1p-2, 0x1.ab792e256961bp-2, 0x1.aac879aa26902p-2, 0x1.aa0868c75f60ap-2, 0x1.a9392e169811p-2, 0x1.a85afce5b3f63p-2, 0x1.a76e0930f0d97p-2, 0x1.a672879ce72c1p-2, 0x1.a568ad708dc04p-2, 0x1.a450b08f3d81p-2, 0x1.a32ac772b3d94p-2, 0x1.a1f729250f62ap-2, 0x1.a0b60d3ac439ap-2, 0x1.9f67abcc8e8e8p-2, 0x1.9e0c3d715805cp-2, 0x1.9ca3fb38136a4p-2, 0x1.9b2f1ea190e66p-2, 0x1.99ade19a43489p-2, 0x1.98207e73ff1fdp-2, 0x1.96872fdfa8b13p-2, 0x1.94e230e6de682p-2, 0x1.9331bce592914p-2, 0x1.91760f83a03dep-2, 0x1.8faf64ae5447ep-2, 0x1.8dddf891ed194p-2, 0x1.8c020793167e2p-2, 0x1.8a1bce485d1cp-2, 0x1.882b89739f44ep-2, 0x1.863175fb756f9p-2, 0x1.842dd0e49f15ep-2, 0x1.8220d74b6abc3p-2, 0x1.800ac65d1ca72p-2, 0x1.7debdb515decep-2, 0x1.7bc45363a9532p-2, 0x1.79946bccc24adp-2, 0x1.775c61bc2effep-2, 0x1.751c7251bf2a3p-2, 0x1.72d4da9719777p-2, 0x1.7085d77956266p-2, 0x1.6e2fa5c2a825ep-2, 0x1.6bd2821414b76p-2, 0x1.696ea8df3a75dp-2, 0x1.670456602d088p-2, 0x1.6493c69761fdp-2, 0x1.621d3543b5608p-2, 0x1.5fa0dddc82244p-2, 0x1.5d1efb8bd4e52p-2, 0x1.5a97c928b6731p-2, 0x1.580b813190bbfp-2, 0x1.557a5dc6b19e7p-2, 0x1.52e498a4e7bp-2, 0x1.504a6b203f8e4p-2, 0x1.4dac0e1eddc69p-2, 0x1.4b09ba13fb0c6p-2, 0x1.4863a6fb016aap-2, 0x1.45ba0c52c59c1p-2, 0x1.430d2118ed3f2p-2, 0x1.405d1bc56daadp-2, 0x1.3daa3246356d3p-2, 0x1.3af499faf9696p-2, 0x1.383c87b123624p-2, 0x1.35822f9fe9dd4p-2, 0x1.32c5c5648ba4p-2, 0x1.30077bfeb2dcp-2, 0x1.2d4785ccfd0f3p-2, 0x1.2a861489abab1p-2, 0x1.27c359477a52ap-2, 0x1.24ff846e9b02cp-2, 0x1.223ac5b9dd50cp-2, 0x1.1f754c33f7159p-2, 0x1.1caf4634f8a34p-2, 0x1.19e8e15fe50b5p-2, 0x1.17224aa071f95p-2, 0x1.145bae28f004dp-2, 0x1.1195377053feap-2, 0x1.0ecf11306d8b8p-2, 0x1.0c0965643cf8p-2, 0x1.09445d467264ep-2, 0x1.068021500ecfcp-2, 0x1.03bcd9372d221p-2, 0x1.00faabedeb5b6p-2, 0x1.fc737f42f31b2p-3, 0x1.f6f4737298121p-3, 0x1.f1787dacdd099p-3, 0x1.ebffe5a5f40a2p-3, 0x1.e68af183577cfp-3, 0x1.e119e5db3827cp-3, 0x1.dbad05b42e032p-3, 0x1.d644928523febp-3, 0x1.d0e0cc35823a6p-3, 0x1.cb81f11d94fp-3, 0x1.c6283e072ac8p-3, 0x1.c0d3ee2e6fdf1p-3, 0x1.bb853b42fd92bp-3, 0x1.b63c5d6922999p-3, 0x1.b0f98b3b5b7c5p-3, 0x1.abbcf9cbfef48p-3, 0x1.a686dca722965p-3, 0x1.a15765d4a1c94p-3, 0x1.9c2ec5da5ecdep-3, 0x1.970d2bbeac3a3p-3, 0x1.91f2c50ade0b4p-3, 0x1.8cdfbdce0955p-3, 0x1.87d4409feaa62p-3, 0x1.82d076a3eeba5p-3, 0x1.7dd4878c6807dp-3, 0x1.78e0999ddeb17p-3, 0x1.73f4d1b289cf5p-3, 0x1.6f11533de077ap-3, 0x1.6a364050533dep-3, 0x1.6563b99b1e52ep-3, 0x1.6099de7431a29p-3, 0x1.5bd8ccda3de2fp-3, 0x1.5720a178d4fdap-3, 0x1.527177aca1574p-3, 0x1.4dcb6987b315p-3, 0x1.492e8fd5e6e45p-3, 0x1.449b02215ad52p-3, 0x1.4010d6b6f3098p-3, 0x1.3b9022aafb6c6p-3, 0x1.3718f9ddc6c4bp-3, 0x1.32ab6f006c918p-3, 0x1.2e47939988a92p-3, 0x1.29ed780a0d502p-3, 0x1.259d2b921b799p-3, 0x1.2156bc55e7571p-3, 0x1.1d1a3762a3f28p-3, 0x1.18e7a8b3740f2p-3, 0x1.14bf1b36691cbp-3, 0x1.10a098d17a412p-3, 0x1.0c8c2a678b367p-3, 0x1.0881d7dd6ec36p-3, 0x1.0481a81ef2e0bp-3, 0x1.008ba123e2505p-3, 0x1.f93f8fea288f5p-4, 0x1.f17c4162e316ep-4, 0x1.e9cd5d25f69bep-4, 0x1.e232e7e7a41b1p-4, 0x1.daace4a67019ap-4, 0x1.d33b54b5127a2p-4, 0x1.cbde37c47ef2p-4, 0x1.c4958bedba7a8p-4, 0x1.bd614dbbc41bbp-4, 0x1.b64178355fcfdp-4, 0x1.af3604e6dde11p-4, 0x1.a83eebebc6224p-4, 0x1.a15c23f87de03p-4, 0x1.9a8da263da792p-4, 0x1.93d35b309a9fp-4, 0x1.8d2d4116d04b7p-4, 0x1.869b458d39768p-4, 0x1.801d58d27a8bp-4, 0x1.79b369f64cb75p-4, 0x1.735d66e28a1d7p-4, 0x1.6d1b3c642b691p-4, 0x1.66ecd6342723p-4, 0x1.60d21f0037afep-4, 0x1.5acb00738a701p-4, 0x1.54d7633f525fep-4, 0x1.4ef72f233c1bp-4, 0x1.492a4af5ccf14p-4, 0x1.43709caca2238p-4, 0x1.3dca09648eb4p-4, 0x1.38367569a79e8p-4, 0x1.32b5c43f25abap-4, 0x1.2d47d8a732542p-4, 0x1.27ec94aa94cd1p-4, 0x1.22a3d9a03d202p-4, 0x1.1d6d8834b34aap-4, 0x1.1849807168752p-4, 0x1.1337a1c3e5288p-4, 0x1.0e37cb04dfc32p-4, 0x1.0949da7f266c1p-4, 0x1.046dadf67c2eap-4, 0x1.ff46455c88996p-5, 0x1.f5d42ae02d64cp-5, 0x1.ec84c5247466ap-5, 0x1.e357cbfbe1613p-5, 0x1.da4cf66b65103p-5, 0x1.d163fab67d204p-5, 0x1.c89c8e6b28df4p-5, 0x1.bff6666d91389p-5, 0x1.b771370375efdp-5, 0x1.af0cb3df5c3a9p-5, 0x1.a6c8902b87852p-5, 0x1.9ea47e94a3c0fp-5, 0x1.96a0315441421p-5, 0x1.8ebb5a3b0a97fp-5, 0x1.86f5aabac21a7p-5, 0x1.7f4ed3f000d6cp-5, 0x1.77c686abbd3p-5, 0x1.705c737c8ea6ep-5, 0x1.69104ab7c16ccp-5, 0x1.61e1bc822230cp-5, 0x1.5ad078d89eff8p-5, 0x1.53dc2f98a21eep-5, 0x1.4d0490883cb59p-5, 0x1.46494b5e132cap-5, 0x1.3faa0fc9157d2p-5, 0x1.39268d7803c6bp-5, 0x1.32be7420b1736p-5, 0x1.2c71738723c4dp-5, 0x1.263f3b8466d8p-5, 0x1.20277c0d42a4cp-5, 0x1.1a29e538b2104p-5, 0x1.1446274623d0bp-5, 0x1.0e7bf2a3938e8p-5, 0x1.08caf7f3640b2p-5, 0x1.0332e8121bb99p-5, 0x1.fb66e837ba29p-6, 0x1.f0989ae3778c6p-6, 0x1.e5fa4b7dc6077p-6, 0x1.db8b5dfb0b741p-6, 0x1.d14b36f75ed4p-6, 0x1.c7393bbfb100ap-6, 0x1.bd54d25ac4cdp-6, 0x1.b39d6191a1741p-6, 0x1.aa1250f7e55cdp-6, 0x1.a0b308f39b9c9p-6, 0x1.977ef2c4e68c9p-6, 0x1.8e75788d29994p-6, 0x1.8596055622e2p-6, 0x1.7ce005187dbdbp-6, 0x1.7452e4c242c39p-6, 0x1.6bee123cf1fb2p-6, 0x1.63b0fc7347324p-6, 0x1.5b9b1356db23cp-6, 0x1.53abc7e54a2dap-6, 0x1.4be28c2d50787p-6, 0x1.443ed35385b75p-6, 0x1.3cc01196d2897p-6, 0x1.3565bc54b76a7p-6, 0x1.2e2f4a0d544cep-6, 0x1.271c32672652dp-6, 0x1.202bee32a30a3p-6, 0x1.195df76d73427p-6, 0x1.12b1c945a4bb8p-6, 0x1.0c26e01c84938p-6, 0x1.05bcb9894a8e6p-6, 0x1.fee5a8b72ea91p-7, 0x1.f291613b779cap-7, 0x1.e67b9f2dadf56p-7, 0x1.daa36799552e8p-7, 0x1.cf07c20ac63bp-7, 0x1.c3a7b892342bfp-7, 0x1.b88257c6609ddp-7, 0x1.ad96aec716729p-7, 0x1.a2e3cf3f24798p-7, 0x1.9868cd662c759p-7, 0x1.8e24c002045ep-7, 0x1.8416c067e0bb3p-7, 0x1.7a3dea7d319c1p-7, 0x1.70995cb830baep-7, 0x1.67283820223aep-7, 0x1.5de9a04d658b5p-7, 0x1.54dcbb693071ap-7, 0x1.4c00b22d24138p-7, 0x1.4354afe27fc4cp-7, 0x1.3ad7e26135936p-7, 0x1.32897a0ec206cp-7, 0x1.2a68a9dcaeb99p-7, 0x1.2274a747180cap-7, 0x1.1aacaa52bacccp-7, 0x1.130fed8b1208p-7, 0x1.0b9dae0006449p-7, 0x1.04552b43a5053p-7, 0x1.fa6b4ecefb55ap-8, 0x1.ec7ccdf402deap-8, 0x1.dedd620716d3bp-8, 0x1.d18b9e06be02ep-8, 0x1.c48619d8f3cccp-8, 0x1.b7cb724478365p-8, 0x1.ab5a48e9d9542p-8, 0x1.9f31443c578dep-8, 0x1.934f0f7a63b56p-8, 0x1.87b25aa5db879p-8, 0x1.7c59da7c5cb2cp-8, 0x1.7144486ec6298p-8, 0x1.667062994482p-8, 0x1.5bdcebba81a8bp-8, 0x1.5188ab2b046cp-8, 0x1.47726cd4557cep-8, 0x1.3d990127caec6p-8, 0x1.33fb3d157b597p-8, 0x1.2a97fa02c1a89p-8, 0x1.216e15c0aa7ddp-8, 0x1.187c72827f8dep-8, 0x1.0fc1f6d3d6853p-8, 0x1.073d8d8ebd7d1p-8, 0x1.fddc4ba3686dap-9, 0x1.eda565eb528e4p-9, 0x1.ddd459075d45bp-9, 0x1.ce671c559803ap-9, 0x1.bf5baf6b3aee8p-9, 0x1.b0b019ffac583p-9, 0x1.a2626bd7d3e38p-9, 0x1.9470bcb0ca675p-9, 0x1.86d92c2aa9e9p-9, 0x1.7999e1b36a893p-9, 0x1.6cb10c719417bp-9, 0x1.601ce32e5447cp-9, 0x1.53dba441011e6p-9, 0x1.47eb95785dbc4p-9, 0x1.3c4b040612a9ap-9, 0x1.30f8446893111p-9, 0x1.25f1b25586d46p-9, 0x1.1b35b0a467dc9p-9, 0x1.10c2a938c436ep-9, 0x1.06970cecd142bp-9, 0x1.f962a6f742d7dp-10, 0x1.e61ff6d77c346p-10, 0x1.d36313f388e13p-10, 0x1.c1291605b8ab3p-10, 0x1.af6f21de3f6f7p-10, 0x1.9e32693979713p-10, 0x1.8d702a945a2fcp-10, 0x1.7d25b1030bef4p-10, 0x1.6d505405dca8p-10, 0x1.5ded775fd7ee5p-10, 0x1.4efa8aec6ec85p-10, 0x1.40750a7651c27p-10, 0x1.325a7d8d69d6p-10, 0x1.24a8775de8892p-10, 0x1.175c968777945p-10, 0x1.0a7484f4297c4p-10, 0x1.fbdbef5fbb978p-11, 0x1.e38d5d8033e69p-11, 0x1.cbf8e9f8c2c3fp-11, 0x1.b51a3fcb5d289p-11, 0x1.9eed1effd5b04p-11, 0x1.896d5c5366095p-11, 0x1.7496e0ecb989cp-11, 0x1.6065aa0e0691cp-11, 0x1.4cd5c8c7f0578p-11, 0x1.39e361ae8761dp-11, 0x1.278aac8d37844p-11, 0x1.15c7f41c88a79p-11, 0x1.049795b79a70ap-11, 0x1.e7ec0225d6bdfp-12, 0x1.c7bf6fe76d928p-12, 0x1.a8a29bd0631d1p-12, 0x1.8a8ecffe23eadp-12, 0x1.6d7d7903ba9eep-12, 0x1.5168255db3edep-12, 0x1.364884e530478p-12, 0x1.1c186849b7c92p-12, 0x1.02d1c0871051bp-12, 0x1.d4dd3cc0a26bep-13, 0x1.a5d263b373cc2p-13, 0x1.7877936ae3d8bp-13, 0x1.4cc1a5e2d24d7p-13, 0x1.22a5b08e392d1p-13, 0x1.f43206ad09adbp-14, 0x1.a6224f466367dp-14, 0x1.5b07bebb49001p-14, 0x1.12ce47f85a24p-14, 0x1.9ac4963e47597p-15, 0x1.1561275001942p-15, 0x1.2a995a115be46p-16, 0x1.a62609484f739p-19, -0x1.6e06e4c41b785p-17, -0x1.9905a6a4cfa0fp-16, -0x1.38c35c40cfd77p-15, -0x1.a065015d9e443p-15, -0x1.01c45928ac526p-14, -0x1.312752455a1cfp-14, -0x1.5e6b2b42c359dp-14, -0x1.899f498ed2021p-14, -0x1.b2d2ba695ea95p-14, -0x1.da1434803947cp-14, -0x1.ff72198146b4bp-14, -0x1.117d3bd6f6541p-13, -0x1.225d85b262f95p-13, -0x1.3260a054027bcp-13, -0x1.418d1a4e6adc9p-13, -0x1.4fe95b80c6b45p-13, -0x1.5d7ba5d5e24aep-13, -0x1.6a4a15f70c311p-13, -0x1.765aa40473e07p-13, -0x1.81b3244540f6dp-13, -0x1.8c5947da9ff27p-13, -0x1.96529d686780bp-13, -0x1.9fa491c48e7ecp-13, -0x1.a854709bc8282p-13, -0x1.b06765187bc05p-13, -0x1.b7e27a8511e29p-13, -0x1.beca9ced626fcp-13, -0x1.c52499bbf1baep-13, -0x1.caf5205596959p-13, -0x1.d040c2b31b58cp-13, -0x1.d50bf5f6b3934p-13, -0x1.d95b1301c6635p-13, -0x1.dd3257059dde2p-13, -0x1.e095e4143fe68p-13, -0x1.e389c1ac3e14ep-13, -0x1.e611dd44decbdp-13, -0x1.e8320ad61022ep-13, -0x1.e9ee055f910e5p-13, -0x1.eb496f6c56c1dp-13, -0x1.ec47d39540a24p-13, -0x1.ececa500915aep-13, -0x1.ed3b3fdff30c8p-13, -0x1.ed36e9eb7fad8p-13, -0x1.ece2d2dba1135p-13, -0x1.ec4214e08f327p-13, -0x1.eb57b517fe7fbp-13, -0x1.ea26a3ff060b2p-13, -0x1.e8b1bde56fb1dp-13, -0x1.e6fbcb5ae90f2p-13, -0x1.e507819eb3f0dp-13, -0x1.e2d783087fcb3p-13, -0x1.e06e5f74dd838p-13, -0x1.ddce94aad5ec7p-13, -0x1.dafa8ec1ea8bep-13, -0x1.d7f4a887559efp-13, -0x1.d4bf2bdf0bdap-13, -0x1.d15c522447433p-13, -0x1.cdce4488be7afp-13, -0x1.ca171c718422ep-13, -0x1.c638e3d15dc0bp-13, -0x1.c23595834c2a6p-13, -0x1.be0f1da1d2c8cp-13, -0x1.b9c759dcf1957p-13, -0x1.b56019cfdf24fp-13, -0x1.b0db1f531e72ep-13, -0x1.ac3a1ecdb54c9p-13, -0x1.a77ebf8605f5bp-13, -0x1.a2aa9bef6d09fp-13, -0x1.9dbf41f6c3a4dp-13, -0x1.98be334f7f295p-13, -0x1.93a8e5bb54d1p-13, -0x1.8e80c35480c51p-13, -0x1.89472ad43cd65p-13, -0x1.83fd6fd8152c9p-13, -0x1.7ea4db2659149p-13, -0x1.793eaaf1deddep-13, -0x1.73cc131aa1932p-13, -0x1.6e4e3d6e993fp-13, -0x1.68c649e8a1fe4p-13, -0x1.63354eee7d62dp-13, -0x1.5d9c598d1fe43p-13, -0x1.57fc6db3fbce2p-13, -0x1.5256866f796a6p-13, -0x1.4cab9620e8735p-13, -0x1.46fc86b8098cbp-13, -0x1.414a39e7a8074p-13, -0x1.3b95895c582dcp-13, -0x1.35df46f0d4afp-13, -0x1.30283ce0377e5p-13, -0x1.2a712df9855f7p-13, -0x1.24bad5cfd5278p-13, -0x1.1f05e8eb2ebc8p-13, -0x1.195314f6dc298p-13, -0x1.13a300f050373p-13, -0x1.0df64d5389e75p-13, -0x1.084d9447b195ep-13, -0x1.02a969ca374b6p-13, -0x1.fa14b7b1e0b69p-14, -0x1.eee1e53749c89p-14, -0x1.e3bb6118954afp-14, -0x1.d8a2253dc27f7p-14, -0x1.cd9720cf09cccp-14, -0x1.c29b38828e716p-14, -0x1.b7af46e496b0bp-14, -0x1.acd41ca0ded3ep-14, -0x1.a20a80c9070ep-14, -0x1.97533119a2184p-14, -0x1.8caee23e1f6e5p-14, -0x1.821e401312e37p-14, -0x1.77a1ede626adcp-14, -0x1.6d3a86b5ace3p-14, -0x1.62e89d6e9ba2p-14, -0x1.58acbd27cd048p-14, -0x1.4e87695e96c79p-14, -0x1.44791e2e165e9p-14, -0x1.3a8250894d6bap-14, -0x1.30a36e712060ap-14, -0x1.26dcdf2a44e94p-14, -0x1.1d2f03718f7afp-14, -0x1.139a35aea094cp-14, -0x1.0a1eca2613b7p-14, -0x1.00bd0f2a69bd1p-14, -0x1.eeea9a974b87ap-15, -0x1.dc8f8f0a58c7bp-15, -0x1.ca6976d6a1e8p-15, -0x1.b878c2afece5fp-15, -0x1.a6bdd92a5db29p-15, -0x1.9539170deaea6p-15, -0x1.83eacfaa8de5ep-15, -0x1.72d34d26a8351p-15, -0x1.61f2d0cd5772fp-15, -0x1.5149935b582ap-15, -0x1.40d7c548d40cdp-15, -0x1.309d8f109d378p-15, -0x1.209b117966874p-15, -0x1.10d065d82bca5p-15, -0x1.013d9e5442b7cp-15, -0x1.e3c58c4fb695fp-16, -0x1.c57fc3c2ea3cfp-16, -0x1.a7a9df3fa8d12p-16, -0x1.8a43ce9f7fa1bp-16, -0x1.6d4d75cc2829cp-16, -0x1.50c6ad33c7d9bp-16, -0x1.34af42372d723p-16, -0x1.1906f7965b25bp-16, -0x1.fb9b0bb8ed09dp-17, -0x1.c6053787f2cb4p-17, -0x1.914bbd392d78p-17, -0x1.5d6dd5574055ep-17, -0x1.2a6aa71a2ad73p-17, -0x1.f08292365efd7p-18, -0x1.8de18416a6454p-18, -0x1.2cf012c37293ep-18, -0x1.9b582007c86cep-19, -0x1.c04cc73efadc9p-20, -0x1.42313835e0308p-22, 0x1.189b237f94a91p-20, 0x1.3d99f30bc21aep-19, 0x1.eba4574b77488p-19, 0x1.4b39225bea16ap-18, 0x1.9f04b59855f2dp-18, 0x1.f137d1142565p-18, 0x1.20eab9a19b31fp-17, 0x1.4870562d4836dp-17, 0x1.6f2e4eac1375fp-17, 0x1.95263b8acba39p-17, 0x1.ba59bcad14ce8p-17, 0x1.deca78ff36b11p-17, 0x1.013d0f02dc31p-16, 0x1.12b52fbb51a77p-16, 0x1.23ce7b681e206p-16, 0x1.3489d17b91bf6p-16, 0x1.44e813e97cf4ep-16, 0x1.54ea26f9d74b5p-16, 0x1.6490f11a3a722p-16, 0x1.73dd5ab30a5a2p-16, 0x1.82d04dfbf797dp-16, 0x1.916ab6d386f1fp-16, 0x1.9fad8296ebcecp-16, 0x1.ad999ffba7264p-16, 0x1.bb2ffeea1c2c2p-16, 0x1.c871905a008e1p-16, 0x1.d55f462f78e9ep-16, 0x1.e1fa13187ec32p-16, 0x1.ee42ea6ddded9p-16, 0x1.fa3ac01301295p-16, 0x1.02f1442ba07d2p-15, 0x1.089d9beceb8ebp-15, 0x1.0e22e1b66edc8p-15, 0x1.13818ffd2e48ap-15, 0x1.18ba2134eae38p-15, 0x1.1dcd0fc3c45a3p-15, 0x1.22bad5f5d5b4dp-15, 0x1.2783edf1801a8p-15, 0x1.2c28d1ac524e8p-15, 0x1.30a9fae03107ep-15, 0x1.3507e300b6c4ap-15, 0x1.3943033187879p-15, 0x1.3d5bd43bf1859p-15, 0x1.4152ce86d7a75p-15, 0x1.45286a0d15d99p-15, 0x1.48dd1e55036f1p-15, 0x1.4c71626860842p-15, 0x1.4fe5acccee288p-15, 0x1.533a737ca42e1p-15, 0x1.56702bde346d2p-15, 0x1.59874abed136ep-15, 0x1.5c80444baaa42p-15, 0x1.5f5b8c0b60007p-15, 0x1.621994d81cb46p-15, 0x1.64bad0da1ec07p-15, 0x1.673fb18253324p-15, 0x1.69a8a78553842p-15, 0x1.6bf622d639eadp-15, 0x1.6e2892a2636cep-15, 0x1.7040654d07768p-15, 0x1.723e086acdfd1p-15, 0x1.7421e8be782bap-15, 0x1.75ec7234ea89cp-15, 0x1.779e0fe1ae06cp-15, 0x1.79372bfb9e6a7p-15, 0x1.7ab82fda41c01p-15, 0x1.7c2183f2c9a45p-15, 0x1.7d738fd55eccbp-15, 0x1.7eaeba2a8fddp-15, 0x1.7fd368b13f0f1p-15, 0x1.80e2003c8a73bp-15, 0x1.81dae4b1df6e9p-15, 0x1.82be7906edc65p-15, 0x1.838d1f4063059p-15, 0x1.8447387044954p-15, 0x1.84ed24b48fbc9p-15, 0x1.857f4336282b2p-15, 0x1.85fdf228019a5p-15, 0x1.86698ec5bc326p-15, 0x1.86c275535098p-15, 0x1.8709011c4232fp-15, 0x1.873d8c72fae36p-15, 0x1.876070b04f116p-15, 0x1.87720633a5ab3p-15, 0x1.8772a4625c23cp-15, 0x1.8762a1a7a82fp-15, 0x1.87425374eafc4p-15, 0x1.87120e416cc15p-15, 0x1.86d2258aca9e4p-15, 0x1.8682ebd53c25fp-15, 0x1.8624b2abf501fp-15, 0x1.85b7caa166288p-15, 0x1.853c834fe78eap-15, 0x1.84b32b5a7325bp-15, 0x1.841c106d2bf69p-15, 0x1.83777f3e16f5fp-15, 0x1.82c5c38e02ae9p-15, 0x1.820728297fda4p-15, 0x1.813bf6e9b3122p-15, 0x1.806478b53de9ep-15, 0x1.7f80f5817977ap-15, 0x1.7e91b45392f49p-15, 0x1.7d96fb41a57cp-15, 0x1.7c910f73fab3p-15, 0x1.7b8035262e9ep-15, 0x1.7a64afa8b34c1p-15, 0x1.793ec1622d995p-15, 0x1.780eabd0a825ep-15, 0x1.76d4af8b19873p-15, 0x1.75910c42ce029p-15, 0x1.744400c51221cp-15, 0x1.72edcafca73dp-15, 0x1.718ea7f3483adp-15, 0x1.7026d3d334144p-15, 0x1.6eb689e9126afp-15, 0x1.6d3e04a561f3p-15, 0x1.6bbd7d9e1723fp-15, 0x1.6a352d909105bp-15, 0x1.68a54c6329d45p-15, 0x1.670e1126e9259p-15, 0x1.656fb21954aedp-15, 0x1.63ca64a637abfp-15, 0x1.621e5d6985a8ep-15, 0x1.606bd031218ccp-15, 0x1.5eb2effe8e4e6p-15, 0x1.5cf3ef08c9d08p-15, 0x1.5b2efebe5b9f8p-15, 0x1.59644fc7003e7p-15, 0x1.5794120593dd8p-15, 0x1.55be7499f017ep-15, 0x1.53e3a5e2e28dcp-15, 0x1.5203d37fe07b1p-15, 0x1.501f2a531dbe4p-15, 0x1.4e35d6836643bp-15, 0x1.4c48037de73a2p-15, 0x1.4a55dbf839d9bp-15, 0x1.485f89f25496bp-15, 0x1.466536b8441fap-15, 0x1.44670ae436804p-15, 0x1.42652e604e6d2p-15, 0x1.405fc86896fb9p-15, 0x1.3e56ff8cf6451p-15, 0x1.3c4af9b319329p-15, 0x1.3a3bdc1842d0bp-15, 0x1.3829cb531ba49p-15, 0x1.3614eb55d210ep-15, 0x1.33fd5f6fcb66cp-15, 0x1.31e34a4f90c5bp-15, 0x1.2fc6ce04ceb73p-15, 0x1.2da80c0218fbfp-15, 0x1.2b87251eab1adp-15, 0x1.296439987a008p-15, 0x1.273f6915ee6e6p-15, 0x1.2518d2a7b845dp-15, 0x1.22f094cab714dp-15, 0x1.20c6cd69ac984p-15, 0x1.1e9b99df27ce3p-15, 0x1.1c6f16f74aec5p-15, 0x1.1a4160f19a588p-15, 0x1.18129382c3579p-15, }}, 
      {{0x1.303db1bde6e32p-7, 0x1.329bd0d14b066p-6, 0x1.d035e886af4c8p-6, 0x1.381311b6e034cp-5, 0x1.8869fbbb818dcp-5, 0x1.d83d46db75ac1p-5, 0x1.1365a22505b21p-4, 0x1.39c7190d22009p-4, 0x1.5f211dda901f6p-4, 0x1.836f0632896b3p-4, 0x1.a6c254c90fc87p-4, 0x1.c93ab8a902cfep-4, 0x1.eafea18cf17b4p-4, 0x1.061a97d81f387p-3, 0x1.1680e14e5cf29p-3, 0x1.26c08d32988ffp-3, 0x1.36e3ea5b90a31p-3, 0x1.46f0ff4758d9p-3, 0x1.56e9b9037b6fp-3, 0x1.66cc5f4e9195p-3, 0x1.76943258f372bp-3, 0x1.863a1c34f4e45p-3, 0x1.95b5656581998p-3, 0x1.a4fc60b35b8d6p-3, 0x1.b405066524a3dp-3, 0x1.c2c57a2566932p-3, 0x1.d134795adafe9p-3, 0x1.df49b19170722p-3, 0x1.ecfdffe5df26p-3, 0x1.fa4b9b4a7f38p-3, 0x1.0397160432a35p-2, 0x1.09d169938ff5fp-2, 0x1.0fd4123c693abp-2, 0x1.159f0afb2de01p-2, 0x1.1b32f37577db6p-2, 0x1.209100992028ep-2, 0x1.25baeb4358668p-2, 0x1.2ab2ddca23649p-2, 0x1.2f7b611e78577p-2, 0x1.34174a1b14799p-2, 0x1.3889a774989e4p-2, 0x1.3cd5b0a33a81ep-2, 0x1.40feb605d51c4p-2, 0x1.45081268e9dfcp-2, 0x1.48f51e0a8efa6p-2, 0x1.4cc92325d3095p-2, 0x1.5087540486e3p-2, 0x1.5432c28d69686p-2, 0x1.57ce593def8d3p-2, 0x1.5b5cd57a05b07p-2, 0x1.5ee0c318e5813p-2, 0x1.625c791429cd8p-2, 0x1.65d2173d65593p-2, 0x1.694384de63f1ep-2, 0x1.6cb27028e0ff7p-2, 0x1.70204e5b735c1p-2, 0x1.738e5c82e8057p-2, 0x1.76fda0c0c36d5p-2, 0x1.7a6eec017b491p-2, 0x1.7de2dc0eb4c13p-2, 0x1.8159ddebaa5cp-2, 0x1.84d4306ba904ep-2, 0x1.8851e6f444c9bp-2, 0x1.8bd2ec5e8ebf3p-2, 0x1.8f5705ec133fbp-2, 0x1.92ddd645e818ep-2, 0x1.9666e07d4b635p-2, 0x1.99f18b069c46p-2, 0x1.9d7d22a87f3b7p-2, 0x1.a108dd5a07bf8p-2, 0x1.a493dd0b9a213p-2, 0x1.a81d32570f43ap-2, 0x1.aba3df1446629p-2, 0x1.af26d8d005b1fp-2, 0x1.b2a50b2385654p-2, 0x1.b61d59eb849a4p-2, 0x1.b98ea35e32f54p-2, 0x1.bcf7c1ff9221fp-2, 0x1.c0578e7444397p-2, 0x1.c3ace13303c09p-2, 0x1.c6f694153b1aap-2, 0x1.ca3383c75c69ap-2, 0x1.cd629119cac4ap-2, 0x1.d082a23345c6p-2, 0x1.d392a3a5e117bp-2, 0x1.d6918967a72d7p-2, 0x1.d97e4fb01b7b5p-2, 0x1.dc57fbbbd2a8cp-2, 0x1.df1d9c776e1f6p-2, 0x1.e1ce4b133b23p-2, 0x1.e4692b80c7386p-2, 0x1.e6ed6cdbb262cp-2, 0x1.e95a49bf051ddp-2, 0x1.ebaf08884dc6ap-2, 0x1.edeafb89c8436p-2, 0x1.f00d812cb6261p-2, 0x1.f216040524d36p-2, 0x1.f403fad83731fp-2, 0x1.f5d6e89610c1dp-2, 0x1.f78e5c4871e8ap-2, 0x1.f929f0f701744p-2, 0x1.faa94d823d945p-2, 0x1.fc0c247600e77p-2, 0x1.fd5233d47782fp-2, 0x1.fe7b44da59444p-2, 0x1.ff872bbd30357p-2, 0x1.003ae3b234f2dp-1, 0x1.00a3808ef046bp-1, 0x1.00fd66274237fp-1, 0x1.0148930fdfeccp-1, 0x1.01850a951417ap-1, 0x1.01b2d48efee6bp-1, 0x1.01d1fd34fd909p-1, 0x1.01e294f0738d4p-1, 0x1.01e4b02f279d5p-1, 0x1.01d8673568f6cp-1, 0x1.01bdd5f02626p-1, 0x1.01951bc720be7p-1, 0x1.015e5b6f61e91p-1, 0x1.0119babe0ed44p-1, 0x1.00c7627bc06bap-1, 0x1.00677e3874c6p-1, 0x1.fff4784067976p-2, 0x1.feff99a0f944ep-2, 0x1.fdf0c65d1bcdp-2, 0x1.fcc8687d35735p-2, 0x1.fb86edf7ee6c4p-2, 0x1.fa2cc86497539p-2, 0x1.f8ba6cafad7a3p-2, 0x1.f73052d18d504p-2, 0x1.f58ef58760ff3p-2, 0x1.f3d6d20e5631bp-2, 0x1.f20867e11dadfp-2, 0x1.f0243877bedefp-2, 0x1.ee2ac709be6c5p-2, 0x1.ec1c9852976ffp-2, 0x1.e9fa3258889a5p-2, 0x1.e7c41c35acec3p-2, 0x1.e57adde35f223p-2, 0x1.e31f0007dfe9dp-2, 0x1.e0b10bc636124p-2, 0x1.de318a9041b0fp-2, 0x1.dba105faf5781p-2, 0x1.d9000794afa6p-2, 0x1.d64f18bda1d81p-2, 0x1.d38ec28244ab8p-2, 0x1.d0bf8d77bc596p-2, 0x1.cde2019a31d1fp-2, 0x1.caf6a62d06d4ep-2, 0x1.c7fe019cdbcadp-2, 0x1.c4f89963594c3p-2, 0x1.c1e6f1ecb41a4p-2, 0x1.bec98e7ed1964p-2, 0x1.bba0f1220bd6bp-2, 0x1.b86d9a8b803d3p-2, 0x1.b5300a08dc3d7p-2, 0x1.b1e8bd6d9b236p-2, 0x1.ae983101a3b0bp-2, 0x1.ab3edf713fdb5p-2, 0x1.a7dd41be591eep-2, 0x1.a473cf32f0257p-2, 0x1.a102fd54c4c86p-2, 0x1.9d8b3fda1c614p-2, 0x1.9a0d089fa0b38p-2, 0x1.9688c79f4484cp-2, 0x1.92feeae82ad02p-2, 0x1.8f6fde9779b5fp-2, 0x1.8bdc0cd21bcbp-2, 0x1.8843ddbf56b65p-2, 0x1.84a7b78437fdcp-2, 0x1.8107fe3fc90e4p-2, 0x1.7d651407fe9f4p-2, 0x1.79bf58e75f7c5p-2, 0x1.76172adb5430dp-2, 0x1.726ce5d3188d8p-2, 0x1.6ec0e3af494eep-2, 0x1.6b137c41ff61cp-2, 0x1.6765054f78556p-2, 0x1.63b5d28f3c257p-2, 0x1.600635adc0ccdp-2, 0x1.5c567e4e7dff1p-2, 0x1.58a6fa0e6f45ep-2, 0x1.54f7f486f831ap-2, 0x1.5149b7512e93bp-2, 0x1.4d9c8a097452bp-2, 0x1.49f0b2536cba1p-2, 0x1.464673de3bac8p-2, 0x1.429e10690cf6ep-2, 0x1.3ef7c7c7e1213p-2, 0x1.3b53d7e8967f5p-2, 0x1.37b27cd82da25p-2, 0x1.3413f0c8413e1p-2, 0x1.30786c14b113fp-2, 0x1.2ce0254977862p-2, 0x1.294b5128aa453p-2, 0x1.25ba22b09f7e9p-2, 0x1.222ccb2233967p-2, 0x1.1ea37a07304ebp-2, 0x1.1b1e5d38cb3d3p-2, 0x1.179da0e63f15cp-2, 0x1.14216f9b7a815p-2, 0x1.10a9f247deca3p-2, 0x1.0d37504511015p-2, 0x1.09c9af5dd7e43p-2, 0x1.066133d503702p-2, 0x1.02fe006c5f746p-2, 0x1.ff406cd754323p-3, 0x1.f88feb4f24a29p-3, 0x1.f1eab9116bb84p-3, 0x1.eb51102543d37p-3, 0x1.e4c327d5a860dp-3, 0x1.de4134bf6bb44p-3, 0x1.d7cb68df2ea4dp-3, 0x1.d161f39f43eeep-3, 0x1.cb0501e591d2bp-3, 0x1.c4b4be2154099p-3, 0x1.be715058de9b1p-3, 0x1.b83ade373bc2p-3, 0x1.b2118b19be60cp-3, 0x1.abf5781d73099p-3, 0x1.a5e6c42c8212bp-3, 0x1.9fe58c0b6771bp-3, 0x1.99f1ea6619e06p-3, 0x1.940bf7dd0d102p-3, 0x1.8e33cb121270cp-3, 0x1.886978b51a4c5p-3, 0x1.82ad1390d1b41p-3, 0x1.7cfeac971f009p-3, 0x1.775e52ed7256dp-3, 0x1.71cc13f8f6829p-3, 0x1.6c47fb6a9a3c1p-3, 0x1.66d2134af015fp-3, 0x1.616a6405e7b74p-3, 0x1.5c10f4765b1abp-3, 0x1.56c5c9f17a60ep-3, 0x1.5188e85202dbap-3, 0x1.4c5a5203566f3p-3, 0x1.473a080c5f0d4p-3, 0x1.42280a1a50c3ep-3, 0x1.3d24568b3623dp-3, 0x1.382eea785977bp-3, 0x1.3347c1c0803e8p-3, 0x1.2e6ed711f9c8cp-3, 0x1.29a423f481dbdp-3, 0x1.24e7a0d2f83abp-3, 0x1.20394504ed153p-3, 0x1.1b9906d8017bfp-3, 0x1.1706db9919367p-3, 0x1.1282b79d6421fp-3, 0x1.0e0c8e4b3f1aep-3, 0x1.09a45222e1001p-3, 0x1.0549f4c6df401p-3, 0x1.00fd670492bbbp-3, 0x1.f97d31b87c6a5p-4, 0x1.f11af312383b8p-4, 0x1.e8d3ef1269f2dp-4, 0x1.e0a8014a2df23p-4, 0x1.d89703eeb19c1p-4, 0x1.d0a0cfe7feeccp-4, 0x1.c8c53cdf5e85bp-4, 0x1.c104214d7a63dp-4, 0x1.b95d528826ddbp-4, 0x1.b1d0a4cfdc779p-4, 0x1.aa5deb5ced1bp-4, 0x1.a304f86c56ca9p-4, 0x1.9bc59d4c63515p-4, 0x1.949faa68e45f7p-4, 0x1.8d92ef5733d6ep-4, 0x1.869f3ae1e24a9p-4, 0x1.7fc45b141fa59p-4, 0x1.79021d44d8b4bp-4, 0x1.72584e218e241p-4, 0x1.6bc6b9b8e659ep-4, 0x1.654d2b84f6d65p-4, 0x1.5eeb6e754bc7dp-4, 0x1.58a14cf8a8b9cp-4, 0x1.526e91068afcep-4, 0x1.4c53042866381p-4, 0x1.464e6f82a3c07p-4, 0x1.40609bdd5f452p-4, 0x1.3a8951ace6428p-4, 0x1.34c85919fb4adp-4, 0x1.2f1d7a09db086p-4, 0x1.29887c2603801p-4, 0x1.240926e3c76dfp-4, 0x1.1e9f418b9e9b8p-4, 0x1.194a9340473d4p-4, 0x1.140ae305a9095p-4, 0x1.0edff7c7851ccp-4, 0x1.09c9985feefd9p-4, 0x1.04c78b9d91031p-4, 0x1.ffb330937bcdbp-5, 0x1.f5ff0a5c9f562p-5, 0x1.ec723236a915ap-5, 0x1.e30c35d91551p-5, 0x1.d9cca31d5aeedp-5, 0x1.d0b3080926976p-5, 0x1.c7bef2d83cd08p-5, 0x1.beeff205fd73dp-5, 0x1.b645945695de9p-5, 0x1.adbf68dfd90eap-5, 0x1.a55cff11c402fp-5, 0x1.9d1de6beb34b4p-5, 0x1.9501b0233fee4p-5, 0x1.8d07ebedd91b7p-5, 0x1.85302b4605334p-5, 0x1.7d79ffd36103ap-5, 0x1.75e4fbc451428p-5, 0x1.6e70b1d46862cp-5, 0x1.671cb5528fe57p-5, 0x1.5fe89a26e5507p-5, 0x1.58d3f4d856c2bp-5, 0x1.51de5a91fd627p-5, 0x1.4b0761283ba16p-5, 0x1.444e9f1d99014p-5, 0x1.3db3aba763161p-5, 0x1.37361eb21312dp-5, 0x1.30d590e57b09cp-5, 0x1.2a919ba8bc4a6p-5, 0x1.2469d92600863p-5, 0x1.1e5de44e06a0ep-5, 0x1.186d58db7355bp-5, 0x1.1297d355fa754p-5, 0x1.0cdcf1154819ep-5, 0x1.073c5043c8c98p-5, 0x1.01b58fe139a5bp-5, 0x1.f8909f8a1f975p-6, 0x1.ede86141660a4p-6, 0x1.e371a8031b188p-6, 0x1.d92bb8a5e496p-6, 0x1.cf15d9bfb8cddp-6, 0x1.c52f53a909dc1p-6, 0x1.bb77707fb0febp-6, 0x1.b1ed7c297d037p-6, 0x1.a890c45692444p-6, 0x1.9f6098837361fp-6, 0x1.965c49fac7d9p-6, 0x1.8d832bd6f154cp-6, 0x1.84d49303517ddp-6, 0x1.7c4fd63d5d1e8p-6, 0x1.73f44e156f3dfp-6, 0x1.6bc154ef6a454p-6, 0x1.63b647031b37ap-6, 0x1.5bd2825c6823ep-6, 0x1.541566db55119p-6, 0x1.4c7e5633cf3ap-6, 0x1.450cb3ed442fp-6, 0x1.3dbfe5621e43dp-6, 0x1.369751bef9e3cp-6, 0x1.2f926201c89cep-6, 0x1.28b080f8c0cc6p-6, 0x1.21f11b4120f5bp-6, 0x1.1b539f45d9c4ap-6, 0x1.14d77d3e012bfp-6, 0x1.0e7c272b3dc7p-6, 0x1.084110d7f66a2p-6, 0x1.0225afd56e001p-6, 0x1.f852f6f379d75p-7, 0x1.ec97d9bb6c02fp-7, 0x1.e118fdb53cf0dp-7, 0x1.d5d55c0fb6982p-7, 0x1.cacbf170f9bp-7, 0x1.bffbbdf158625p-7, 0x1.b563c51622eafp-7, 0x1.ab030dcc2b08bp-7, 0x1.a0d8a26222d61p-7, 0x1.96e39082e51e1p-7, 0x1.8d22e92f71b12p-7, 0x1.8395c0b8ef5aep-7, 0x1.7a3b2eba785dfp-7, 0x1.71124e12bf866p-7, 0x1.681a3cdda459dp-7, 0x1.5f521c6d9d0e3p-7, 0x1.56b911451f18ap-7, 0x1.4e4e430fc15dbp-7, 0x1.4610dc9b804cap-7, 0x1.3e000bd1b3decp-7, 0x1.361b01b0184e7p-7, 0x1.2e60f241bd55p-7, 0x1.26d11497cbe46p-7, 0x1.1f6aa2c25a833p-7, 0x1.182cd9c91c81ap-7, 0x1.1116f9a415f77p-7, 0x1.0a28453435b8p-7, 0x1.0360023be9822p-7, 0x1.f97af2af588adp-8, 0x1.ec7febecfb38ap-8, 0x1.dfcd8ca4dcc2fp-8, 0x1.d36276d204f98p-8, 0x1.c73d51e7622cep-8, 0x1.bb5ccac081864p-8, 0x1.afbf93927467fp-8, 0x1.a46463dc9136ep-8, 0x1.9949f8594e096p-8, 0x1.8e6f12eeeaa3bp-8, 0x1.83d27aa05500bp-8, 0x1.7972fb7deaf34p-8, 0x1.6f4f669645a21p-8, 0x1.656691e72128bp-8, 0x1.5bb7584e1bb0bp-8, 0x1.52409979c3eacp-8, 0x1.490139da586fep-8, 0x1.3ff82292e4957p-8, 0x1.3724416a48b53p-8, 0x1.2e8488bc3612dp-8, 0x1.2617ef6a65953p-8, 0x1.1ddd70cdbfddp-8, 0x1.15d40ca7ad0b7p-8, 0x1.0dfac7136b01dp-8, 0x1.0650a8775ed8fp-8, 0x1.fda97aed641e1p-9, 0x1.ef0c2dc59cffep-9, 0x1.e0c7935a197d5p-9, 0x1.d2d9ddb0dda3fp-9, 0x1.c54146d6efddep-9, 0x1.b7fc10c4371fep-9, 0x1.ab08853f62a9fp-9, 0x1.9e64f5c254626p-9, 0x1.920fbb5e6a8a1p-9, 0x1.860736a125c3dp-9, 0x1.7a49cf7921dcap-9, 0x1.6ed5f51afd204p-9, 0x1.63aa1de6b9d71p-9, 0x1.58c4c74d2c25dp-9, 0x1.4e2475b5bfc05p-9, 0x1.43c7b4645c919p-9, 0x1.39ad155fa727p-9, 0x1.2fd33157543fep-9, 0x1.2638a78ad54eap-9, 0x1.1cdc1db040162p-9, 0x1.13bc3fdb6ce28p-9, 0x1.0ad7c065437b7p-9, 0x1.022d57d365892p-9, 0x1.f377898009c64p-10, 0x1.e3039783d00f4p-10, 0x1.d2fc6ea9c0957p-10, 0x1.c35faf847b89fp-10, 0x1.b42b0613915a5p-10, 0x1.a55c2995581eap-10, 0x1.96f0dc59eb63ep-10, 0x1.88e6eb96048f1p-10, 0x1.7b3c2f36eef9bp-10, 0x1.6dee89b681afep-10, 0x1.60fbe7efd4147p-10, 0x1.546240f476403p-10, 0x1.481f95e20132bp-10, 0x1.3c31f1b85347p-10, 0x1.309769304d02p-10, 0x1.254e1a92e012p-10, 0x1.1a542d90a2091p-10, 0x1.0fa7d31a55a9cp-10, 0x1.0547453903469p-10, 0x1.f6618dcf50f5dp-11, 0x1.e2c547d91ecbp-11, 0x1.cfb66166e9df9p-11, 0x1.bd31945091c46p-11, 0x1.ab33ab242ba6cp-11, 0x1.99b980dd96cbdp-11, 0x1.88c0009e7506dp-11, 0x1.7844256701e31p-11, 0x1.6842f9d09a26dp-11, 0x1.58b997c860286p-11, 0x1.49a5284b31756p-11, 0x1.3b02e32287cap-11, 0x1.2cd00ea270215p-11, 0x1.1f09ff67ea40ep-11, 0x1.11ae1818cdd4fp-11, 0x1.04b9c9244a783p-11, 0x1.f0552108278bap-12, 0x1.d7fbf2fe1d67p-12, 0x1.c06338d8959d3p-12, 0x1.a9863cee206fep-12, 0x1.936062c819e88p-12, 0x1.7ded26ae28c1ap-12, 0x1.69281d32a699bp-12, 0x1.550cf2c3e9e55p-12, 0x1.41976b3a3b598p-12, 0x1.2ec3616c82cfdp-12, 0x1.1c8cc6c33735p-12, 0x1.0aefa2cdf6f71p-12, 0x1.f3d025b6f35abp-13, 0x1.d2e49323e2e42p-13, 0x1.b3151d1415a22p-13, 0x1.945a7bd4b8cecp-13, 0x1.76ad900a8c84ep-13, 0x1.5a0761f10fcb8p-13, 0x1.3e61209afbb25p-13, 0x1.23b42135c08c7p-13, 0x1.09f9de531ed0ap-13, 0x1.e257ee621641ap-14, 0x1.b2885e11e2a73p-14, 0x1.8478d8bb9bc8ap-14, 0x1.581d70a1bc83bp-14, 0x1.2d6a7beb6ffbbp-14, 0x1.045493586b1ep-14, 0x1.b9a121e9bb228p-15, 0x1.6da71dacf2c55p-15, 0x1.24a5cbbbe9e89p-15, 0x1.bd10b1f4204ecp-16, 0x1.3674d606b96p-16, 0x1.6aa07738c9f0fp-17, 0x1.cbe015a981b21p-19, -0x1.e96e89e3901bdp-19, -0x1.5da4bb896a884p-17, -0x1.1b95e5ed969dp-16, -0x1.839bd68865c33p-16, -0x1.e706ca794f9aap-16, -0x1.22fc4778e8da3p-15, -0x1.504913c421909p-15, -0x1.7b79e9266e55bp-15, -0x1.a49e85e1a5ed9p-15, -0x1.cbc64968a356dp-15, -0x1.f100364ad3363p-15, -0x1.0a2d7a0ca6ab2p-14, -0x1.1af2689fad4f2p-14, -0x1.2ad5e26da6979p-14, -0x1.39deb84277c8ep-14, -0x1.48139107fa299p-14, -0x1.557aeaa647e6ep-14, -0x1.621b1ad8fee12p-14, -0x1.6dfa5007f3783p-14, -0x1.791e921715ec5p-14, -0x1.838dc334fb2b6p-14, -0x1.8d4da0a55461cp-14, -0x1.9663c386b52abp-14, -0x1.9ed5a19561b93p-14, -0x1.a6a88deb3e041p-14, -0x1.ade1b9ba3336ap-14, -0x1.b4863505b3f33p-14, -0x1.ba9aef57946d4p-14, -0x1.c024b8711e62dp-14, -0x1.c52840f88a34ap-14, -0x1.c9aa1b25134f4p-14, -0x1.cdaebb6686408p-14, -0x1.d13a79095de5ep-14, -0x1.d4518ed8dd642p-14, -0x1.d6f81bbc3b5p-14, -0x1.d9322354b36cfp-14, -0x1.db038e921144ap-14, -0x1.dc702c4c362aap-14, -0x1.dd7bb1d36e918p-14, -0x1.de29bb80ccc7ap-14, -0x1.de7dcd43d8f4bp-14, -0x1.de7b532cc8fbcp-14, -0x1.de25a1f3a187bp-14, -0x1.dd7ff77de9668p-14, -0x1.dc8d7b60f1654p-14, -0x1.db513f620ff2fp-14, -0x1.d9ce3ff40dfe2p-14, -0x1.d80764b119e88p-14, -0x1.d5ff80d5af79ep-14, -0x1.d3b953b4525adp-14, -0x1.d137892b03b73p-14, -0x1.ce7cba13cade4p-14, -0x1.cb8b6cb584248p-14, -0x1.c866152ecbf7ap-14, -0x1.c50f15e31dcbbp-14, -0x1.c188bfe228732p-14, -0x1.bdd5534efca2p-14, -0x1.b9f6ffc473df4p-14, -0x1.b5efe4b82290fp-14, -0x1.b1c211da86102p-14, -0x1.ad6f8775c1723p-14, -0x1.a8fa36ca87beep-14, -0x1.a464026a2e5e7p-14, -0x1.9faebe90a454p-14, -0x1.9adc317a71751p-14, -0x1.95ee13bb2ff23p-14, -0x1.90e6108fe8642p-14, -0x1.8bc5c631e7fccp-14, -0x1.868ec6260f793p-14, -0x1.8142958bf257ep-14, -0x1.7be2ad6a2c53p-14, -0x1.76707af9edfedp-14, -0x1.70ed5ff044151p-14, -0x1.6b5ab2c69dd0dp-14, -0x1.65b9bf00ddb03p-14, -0x1.600bc572d0e8cp-14, -0x1.5a51fc83a4bap-14, -0x1.548d907045c9cp-14, -0x1.4ebfa38ba3ca6p-14, -0x1.48e94e7ed53e9p-14, -0x1.430ba0861deb7p-14, -0x1.3d279faed2b0ap-14, -0x1.373e49116aa74p-14, -0x1.3150910cf2c75p-14, -0x1.2b5f637ef4e6bp-14, -0x1.256ba3fb3a83ep-14, -0x1.1f762e0295294p-14, -0x1.197fd537cd098p-14, -0x1.138965938d48bp-14, -0x1.0d93a397b1ebcp-14, -0x1.079f4c80daa19p-14, -0x1.01ad1676fdbd3p-14, -0x1.f77b617a817bep-15, -0x1.eba387c0d0bd9p-15, -0x1.dfd3e3c87a46p-15, -0x1.d40dace0fc10ep-15, -0x1.c8520df81299ep-15, -0x1.bca225eeb369p-15, -0x1.b0ff07ece481dp-15, -0x1.a569bbb27a1c5p-15, -0x1.99e33de657e65p-15, -0x1.8e6c8065515a7p-15, -0x1.83066a8c5a54ep-15, -0x1.77b1d984375c7p-15, -0x1.6c6fa0893a3c3p-15, -0x1.61408932099d7p-15, -0x1.562553b4a645fp-15, -0x1.4b1eb72af970ep-15, -0x1.402d61d3c2b19p-15, -0x1.3551f9539e561p-15, -0x1.2a8d1af402737p-15, -0x1.1fdf5be0aa95fp-15, -0x1.15494963d63d8p-15, -0x1.0acb6920b189cp-15, -0x1.0066394d19f75p-15, -0x1.ec3461d18aae4p-16, -0x1.d7cf7fea3edf8p-16, -0x1.c39e9f529de87p-16, -0x1.afa2854e3d158p-16, -0x1.9bdbea5b7e9cbp-16, -0x1.884b7a9579689p-16, -0x1.74f1d61687572p-16, -0x1.61cf91559451ap-16, -0x1.4ee535830c1d1p-16, -0x1.3c3340e22dd45p-16, -0x1.29ba27217250cp-16, -0x1.177a51af8aacep-16, -0x1.0574200f61db6p-16, -0x1.e74fd05394a5ep-17, -0x1.c42bed385fd6dp-17, -0x1.a17d1e0e14a1ep-17, -0x1.7f43d8b185a4cp-17, -0x1.5d80822f82954p-17, -0x1.3c336f53af2d9p-17, -0x1.1b5ce5366d2bdp-17, -0x1.f5fa338773b3dp-18, -0x1.b628688228478p-18, -0x1.77449b9ec24dfp-18, -0x1.394ee3d0ea0acp-18, -0x1.f88e7b6f52c68p-19, -0x1.805b1916b2002p-19, -0x1.0a03360fd9821p-19, -0x1.2b0c71457424bp-20, -0x1.171acd2603076p-22, 0x1.3799676fbaabap-21, 0x1.79affdd405263p-20, 0x1.29f2db1bc0172p-19, 0x1.95385af7a1e51p-19, 0x1.feaa1075f40d3p-19, 0x1.3324d8c24fa8fp-18, 0x1.660c8b4a6ac93p-18, 0x1.980d1c9c7d88dp-18, 0x1.c9279963ba31ap-18, 0x1.f95d1d8150866p-18, 0x1.145769b3eeb7ap-17, 0x1.2b8ef9bec8f83p-17, 0x1.4255e1be8acb1p-17, 0x1.58accaef0c2a6p-17, 0x1.6e9464a13bbfap-17, 0x1.840d63f37472ap-17, 0x1.9918838b1a422p-17, 0x1.adb68350c1ca8p-17, 0x1.c1e8282f4095cp-17, 0x1.d5ae3bd1f519ep-17, 0x1.e9098c67f0315p-17, 0x1.fbfaec67c8a26p-17, 0x1.0741992955536p-16, 0x1.10519c3ee4dcp-16, 0x1.192dee6cecfap-16, 0x1.21d7005ef8b3ep-16, 0x1.2a4d445903acfp-16, 0x1.32912e1efe93bp-16, 0x1.3aa332dbdf8cdp-16, 0x1.4283c909cff6dp-16, 0x1.4a33685b19229p-16, 0x1.51b289a3cffe8p-16, 0x1.5901a6c41027ep-16, 0x1.60213a92df98bp-16, 0x1.6711c0c9eb3abp-16, 0x1.6dd3b5f1c69f5p-16, 0x1.7467974ef85c8p-16, 0x1.7acde2ce999a9p-16, 0x1.810716f59d239p-16, 0x1.8713b2ce5e2c3p-16, 0x1.8cf435d87a625p-16, 0x1.92a91ff888ac4p-16, 0x1.9832f167d71dp-16, 0x1.9d922aa5e0752p-16, 0x1.a2c74c693e7f6p-16, 0x1.a7d2d79148a3fp-16, 0x1.acb54d18ea7f3p-16, 0x1.b16f2e08cfb0ep-16, 0x1.b600fb6ae19edp-16, 0x1.ba6b363e01bf1p-16, 0x1.beae5f69fe3f9p-16, 0x1.c2caf7b3e0c05p-16, 0x1.c6c17fb347aaep-16, 0x1.ca9277c78dd0fp-16, 0x1.ce3e600d4c1e2p-16, 0x1.d1c5b854bfb51p-16, 0x1.d529001816d51p-16, 0x1.d868b6722f98dp-16, 0x1.db855a16235a8p-16, 0x1.de7f694678bd5p-16, 0x1.e15761cd086b7p-16, 0x1.e40dc0f34bc09p-16, 0x1.e6a3037ad6b04p-16, 0x1.e917a59616d98p-16, 0x1.eb6c22e17d3f3p-16, 0x1.eda0f65cd8481p-16, 0x1.efb69a6521c1fp-16, 0x1.f1ad88ae40a4fp-16, 0x1.f3863a3d5306cp-16, 0x1.f54127636fac4p-16, 0x1.f6dec7b82607cp-16, 0x1.f85f92144a997p-16, 0x1.f9c3fc8db795cp-16, 0x1.fb0c7c724763bp-16, 0x1.fc398643b0a51p-16, 0x1.fd4b8db37ce83p-16, 0x1.fe43059f4486ap-16, 0x1.ff20600c957c6p-16, 0x1.ffe40e25eb588p-16, 0x1.0047401ba1deap-15, 0x1.009012d57c62cp-15, 0x1.00ccb6836972ep-15, 0x1.00fd61f4bfd7ep-15, 0x1.01224b83fa33cp-15, 0x1.013ba91574e8dp-15, 0x1.0149b0166f607p-15, 0x1.014c957bcc77ep-15, 0x1.01448dc1750dfp-15, 0x1.0131cce93bbe9p-15, 0x1.0114867a16022p-15, 0x1.00eced7f601afp-15, 0x1.00bb34884e0dp-15, 0x1.007f8da73c27dp-15, 0x1.003a2a710d416p-15, 0x1.ffd677f9accfdp-16, 0x1.ff25e5c6d89e5p-16, 0x1.fe62fe7e219dfp-16, 0x1.fd8e2155f7fc8p-16, 0x1.fca7ac86825abp-16, 0x1.fbaffd492bf24p-16, 0x1.faa76fd870b48p-16, 0x1.f98e5f6f5f302p-16, 0x1.f8652649ca49ep-16, 0x1.f72c1da432e5ep-16, 0x1.f5e39dbbaeaf3p-16, 0x1.f48bfdce61268p-16, 0x1.f325941b9c0f2p-16, 0x1.f1b0b5e41298p-16, 0x1.f02db76a4348bp-16, 0x1.ee9cebf3145eap-16, 0x1.ecfea5c6683d9p-16, 0x1.eb53362f939c1p-16, 0x1.e99aed7e0ec67p-16, 0x1.e7d61b06354b6p-16, 0x1.e6050d22302bap-16, 0x1.e4281132cb248p-16, 0x1.e23f73a035ccfp-16, 0x1.e04b7fdb38b65p-16, 0x1.de4c805e01588p-16, 0x1.dc42bead4f455p-16, 0x1.da2e83599010ep-16, 0x1.d8101600308cp-16, 0x1.d5e7bd4c7b6dp-16, 0x1.d3b5bef926591p-16, 0x1.d17a5fd1928c4p-16, 0x1.cf35e3b2f21fdp-16, 0x1.cce88d8dad72p-16, 0x1.ca929f67073eap-16, 0x1.c8345a5a5f706p-16, 0x1.c5cdfe9a937dbp-16, 0x1.c35fcb73ab265p-16, 0x1.c0e9ff4c2e017p-16, 0x1.be6cd7a6d546ep-16, 0x1.bbe891241c72ep-16, 0x1.b95d6783cf084p-16, 0x1.b6cb95a6970aep-16, 0x1.b433558fb31bdp-16, 0x1.b194e066b03p-16, 0x1.aef06e78faec8p-16, 0x1.ac46373b950a1p-16, 0x1.a996714cdee68p-16, 0x1.a6e152764f113p-16, 0x1.a4270fae2cba7p-16, 0x1.a167dd193c71ap-16, 0x1.9ea3ee0c9bb98p-16, 0x1.9bdb750f933eep-16, 0x1.990ea3dd4fd66p-16, 0x1.963dab66aa9ccp-16, 0x1.9368bbd3f9038p-16, 0x1.90900486f3ed1p-16, 0x1.8db3b41c88725p-16, 0x1.8ad3f86e9251ap-16, 0x1.87f0fe95c5ec9p-16, 0x1.850af2eb6ce06p-16, 0x1.8222010b65a1fp-16, 0x1.7f3653d5edc6fp-16, 0x1.7c4815716e78cp-16, 0x1.79576f4c499f4p-16, 0x1.76648a1eeac86p-16, 0x1.736f8ded6f931p-16, 0x1.7078a2097d804p-16, 0x1.6d7fed144aecbp-16, 0x1.6a85950053bc5p-16, 0x1.6789bf132ad83p-16, 0x1.648c8fe7642c5p-16, 0x1.618e2b6e628b6p-16, 0x1.5e8eb4f2431d5p-16, 0x1.5b8e4f17ab434p-16, 0x1.588d1bdf824ddp-16, 0x1.558b3ca8c8066p-16, 0x1.5288d2328ff85p-16, 0x1.4f85fc9da6fa5p-16, 0x1.4c82db6e76affp-16, 0x1.497f8d8ec2225p-16, 0x1.467c314f88891p-16, 0x1.4378e46aac44dp-16, 0x1.4075c404d9fb2p-16, 0x1.3d72ecaf4194cp-16, 0x1.3a707a694ff3cp-16, 0x1.376e88a27e488p-16, 0x1.346d323c15264p-16, 0x1.316c918ad5a69p-16, 0x1.2e6cc058bdef3p-16, 0x1.2b6dd7e6b819bp-16, 0x1.286ff0ee52789p-16, 0x1.257323a381f3fp-16, 0x1.227787b650386p-16, 0x1.1f7d345479531p-16, 0x1.1c84402b0a06ep-16, 0x1.198cc1682dafcp-16, 0x1.1696cdbcb2a6dp-16, 0x1.13a27a5db7008p-16, 0x1.10afdc065603p-16, 0x1.0dbf06f93af39p-16, 0x1.0ad00f02285cbp-16, 0x1.07e30777a7ad8p-16, 0x1.04f8033c958b8p-16, 0x1.020f14c1acb22p-16, 0x1.fe509c0e3462ep-17, 0x1.f887813bf53a4p-17, 0x1.f2c2fb53e81d6p-17, 0x1.ed032bc55c925p-17, 0x1.e748332ab11cbp-17, 0x1.e192314c5d75cp-17, }}, 
      {{0x1.ffb7ada3ca8dcp-1, 0x1.fef3e379e5f3ep-1, 0x1.fdd7891e1f204p-1, 0x1.fc7bcaee3d8b8p-1, 0x1.faedf04e6aedcp-1, 0x1.f933173e11aeep-1, 0x1.f74c61e5440c5p-1, 0x1.f53a0d4ca1424p-1, 0x1.f2fd394bf9bd6p-1, 0x1.f0989d65f83e1p-1, 0x1.ee1084194334cp-1, 0x1.eb6a5fce6df5fp-1, 0x1.e8ac38b59be81p-1, 0x1.e5dc1d0f4872fp-1, 0x1.e2ffaac75a8c3p-1, 0x1.e01bbbafb95a3p-1, 0x1.dd3434df72c6ap-1, 0x1.da4bf4d2084dcp-1, 0x1.d764d9b8515bdp-1, 0x1.d47fd90368f4p-1, 0x1.d19d21c7a1dc7p-1, 0x1.cebc44a2ff21cp-1, 0x1.cbdc5d034e7fap-1, 0x1.c8fc38cb30f3dp-1, 0x1.c61a7c530bf65p-1, 0x1.c335c19251fe2p-1, 0x1.c04cb1dec60bdp-1, 0x1.bd5e1a26ceec9p-1, 0x1.ba68f9dff519bp-1, 0x1.b76c8d19e981p-1, 0x1.b468524741263p-1, 0x1.b15c0c5cd2c4fp-1, 0x1.ae47c1ebf2e75p-1, 0x1.ab2bb9d65b1e3p-1, 0x1.a808762f554bcp-1, 0x1.a4deadcef5ec7p-1, 0x1.a1af450ba762ap-1, 0x1.9e7b45fd211p-1, 0x1.9b43d89b16dc3p-1, 0x1.980a3afa22a74p-1, 0x1.94cfb9dad845cp-1, 0x1.9195a9b20f773p-1, 0x1.8e5d60461ba57p-1, 0x1.8b282ef2fcb1ep-1, 0x1.87f75d9f844ccp-1, 0x1.84cc2666c4d67p-1, 0x1.81a7b1f3dc55p-1, 0x1.7e8b148a0c14ep-1, 0x1.7b774bb0003b7p-1, 0x1.786d3c72fa41ep-1, 0x1.756db2351effcp-1, 0x1.72795df957c9dp-1, 0x1.6f90d61ee690fp-1, 0x1.6cb4967ed9037p-1, 0x1.69e500ddf123cp-1, 0x1.67225da62e6dp-1, 0x1.646cdcdbecb65p-1, 0x1.61c497436de17p-1, 0x1.5f298fac97e9bp-1, 0x1.5c9bb45ba76aap-1, 0x1.5a1ae086920eep-1, 0x1.57a6dddfc63cdp-1, 0x1.553f6627e22b8p-1, 0x1.52e424c0d5ce1p-1, 0x1.5094b83db506ap-1, 0x1.4e50b3eb3ce53p-1, 0x1.4c17a14db79cbp-1, 0x1.49e9019195eafp-1, 0x1.47c44eec8d6cep-1, 0x1.45a8fded9f1c1p-1, 0x1.43967ebac476fp-1, 0x1.418c3e3b7039p-1, 0x1.3f89a72f5b2bdp-1, 0x1.3d8e233162cc5p-1, 0x1.3b991ba677c86p-1, 0x1.39a9fa98d3f86p-1, 0x1.37c02b7fd2a5dp-1, 0x1.35db1bf4ef80bp-1, 0x1.33fa3c56890ecp-1, 0x1.321d00591bc62p-1, 0x1.3042df87b63f6p-1, 0x1.2e6b55b47cacap-1, 0x1.2c95e35a0eea6p-1, 0x1.2ac20deeb3001p-1, 0x1.28ef602a20d9ap-1, 0x1.271d6a3ecedd2p-1, 0x1.254bc2079ccd9p-1, 0x1.237a032ab363bp-1, 0x1.21a7cf326fab2p-1, 0x1.1fd4cd9d20482p-1, 0x1.1e00abe460b5ap-1, 0x1.1c2b1d7ccb6cep-1, 0x1.1a53dbceb861bp-1, 0x1.187aa628b58c3p-1, 0x1.169f41ac5bc9fp-1, 0x1.14c179361ae64p-1, 0x1.12e11d408d7b9p-1, 0x1.10fe03c3dec72p-1, 0x1.0f180811c1513p-1, 0x1.0d2f0aae6f94ep-1, 0x1.0b42f12723484p-1, 0x1.0953a5e66e5d8p-1, 0x1.07611806d369cp-1, 0x1.056b3b23f611ap-1, 0x1.0372072ab5b8ap-1, 0x1.017578287e1ap-1, 0x1.feeb1c341e32dp-2, 0x1.fae499740061p-2, 0x1.f6d7769e6094p-2, 0x1.f2c3c8f6bde82p-2, 0x1.eea9ac14297a2p-2, 0x1.ea89418014043p-2, 0x1.e662b0565dda8p-2, 0x1.e23624e6ef372p-2, 0x1.de03d0590e0bp-2, 0x1.d9cbe850a9ap-2, 0x1.d58ea695c6456p-2, 0x1.d14c48be2ed7fp-2, 0x1.cd050fd98e75ap-2, 0x1.c8b940200b6cep-2, 0x1.c46920a37ab76p-2, 0x1.c014fb03403bap-2, 0x1.bbbd1b22e18cdp-2, 0x1.b761cee360455p-2, 0x1.b30365df5724cp-2, 0x1.aea23129e7959p-2, 0x1.aa3e83106c287p-2, 0x1.a5d8aedef9442p-2, 0x1.a17108a79f47p-2, 0x1.9d07e50c6daaap-2, 0x1.989d990c25213p-2, 0x1.943279d19b4f1p-2, 0x1.8fc6dc85ba256p-2, 0x1.8b5b1624104cbp-2, 0x1.86ef7b51e8f4fp-2, 0x1.82846037d57cfp-2, 0x1.7e1a185d9ca04p-2, 0x1.79b0f688818acp-2, 0x1.75494c9bc8dd3p-2, 0x1.70e36b7b72d8cp-2, 0x1.6c7fa2f11593ap-2, 0x1.681e4192c36d9p-2, 0x1.63bf94abed7d6p-2, 0x1.5f63e8282dbd1p-2, 0x1.5b0b867fea705p-2, 0x1.56b6b8a6ba963p-2, 0x1.5265c5fb7c7p-2, 0x1.4e18f43a0f9c4p-2, 0x1.49d0876e946acp-2, 0x1.458cc1ea306b8p-2, 0x1.414de439373b1p-2, 0x1.3d142d1aaec13p-2, 0x1.38dfd9791aa68p-2, 0x1.34b12464823fep-2, 0x1.3088470d9b62cp-2, 0x1.2c6578c210759p-2, 0x1.2848eee9cd101p-2, 0x1.2432dd05454c6p-2, 0x1.202374acacc93p-2, 0x1.1c1ae59003dbap-2, 0x1.18195d77fc41ep-2, 0x1.141f08479fca6p-2, 0x1.102c0ffea98ap-2, 0x1.0c409cbc8d3cap-2, 0x1.085cd4c41f2c4p-2, 0x1.0480dc7fca275p-2, 0x1.00acd68653f5fp-2, 0x1.f9c1c7403907p-3, 0x1.f23a4599a4ec7p-3, 0x1.eac36293262cdp-3, 0x1.e35d552ed50dfp-3, 0x1.dc08510461951p-3, 0x1.d4c4864f63fa5p-3, 0x1.cd9221fe4467bp-3, 0x1.c6714dc1aa2d7p-3, 0x1.bf62301c501e7p-3, 0x1.b864ec73516dcp-3, 0x1.b179a31ec3134p-3, 0x1.aaa0717a9b791p-3, 0x1.a3d971f7e32b4p-3, 0x1.9d24bc2e15069p-3, 0x1.968264eca7bf6p-3, 0x1.8ff27e4cc3635p-3, 0x1.897517c30b15ep-3, 0x1.830a3e316eb7dp-3, 0x1.7cb1fbf9152fap-3, 0x1.766c590c36dcdp-3, 0x1.70395afffd52p-3, 0x1.6a19051e4d11dp-3, 0x1.640b587782faep-3, 0x1.5e1053f413cc6p-3, 0x1.5827f4660b1e3p-3, 0x1.5252349a6c713p-3, 0x1.4c8f0d6a66828p-3, 0x1.46de75cc5c65cp-3, 0x1.414062e4bf1f7p-3, 0x1.3bb4c816afd5bp-3, 0x1.363b97146b76fp-3, 0x1.30d4bfef80b97p-3, 0x1.2b803128beda8p-3, 0x1.263dd7bff31c5p-3, 0x1.210d9f4353946p-3, 0x1.1bef71deb6f57p-3, 0x1.16e3386a7c4ebp-3, 0x1.11e8da7a2c6bbp-3, 0x1.0d003e6adda28p-3, 0x1.082949713d07ap-3, 0x1.0363dfa75e759p-3, 0x1.fd5fc83473cb4p-4, 0x1.f41a71adb17ap-4, 0x1.eaf77dee8b0edp-4, 0x1.e1f6ad5e3eabap-4, 0x1.d917beafdb907p-4, 0x1.d05a6efa3c056p-4, 0x1.c7be79cf825cdp-4, 0x1.bf439953df005p-4, 0x1.b6e98653d7d3ep-4, 0x1.aeaff859ea3aep-4, 0x1.a696a5c3a3e52p-4, 0x1.9e9d43d6147bdp-4, 0x1.96c386d1c9f7ap-4, 0x1.8f0922061796p-4, 0x1.876dc7e3e9eefp-4, 0x1.7ff12a0ffd0f8p-4, 0x1.7892f9748af26p-4, 0x1.7152e6526d94ep-4, 0x1.6a30a051b7a7dp-4, 0x1.632bd691c94e8p-4, 0x1.5c4437b8da10ap-4, 0x1.5579720306993p-4, 0x1.4ecb3350d759p-4, 0x1.483929354f2f2p-4, 0x1.41c30103780fep-4, 0x1.3b6867db799ffp-4, 0x1.35290ab736c7ap-4, 0x1.2f04967675ee6p-4, 0x1.28fab7ea96b05p-4, 0x1.230b1be1d6755p-4, 0x1.1d356f3228aa7p-4, 0x1.17795ec3a18ep-4, 0x1.11d6979a787d6p-4, 0x1.0c4cc6e0a1efbp-4, 0x1.06db99ef08dc2p-4, 0x1.0182be566162ep-4, 0x1.f883c3cf39fc7p-5, 0x1.ee31657808e76p-5, 0x1.e40dbe79e423ep-5, 0x1.da182c566ac1bp-5, 0x1.d0500d4c42a3fp-5, 0x1.c6b4c064892f5p-5, 0x1.bd45a57fa2d3p-5, 0x1.b4021d6164da1p-5, 0x1.aae989bcb117p-5, 0x1.a1fb4d3e6b245p-5, 0x1.9936cb97e73c9p-5, 0x1.909b6988c3307p-5, 0x1.88288ce83d87fp-5, 0x1.7fdd9cadfa9fcp-5, 0x1.77ba00fa5550dp-5, 0x1.6fbd231e265fcp-5, 0x1.67e66da219ed4p-5, 0x1.60354c4d890c7p-5, 0x1.58a92c2ce0a6bp-5, 0x1.51417b979ed11p-5, 0x1.49fdaa35e03f4p-5, 0x1.42dd290585eb4p-5, 0x1.3bdf6a5ef6764p-5, 0x1.3503e1f981f2ep-5, 0x1.2e4a04ef6276bp-5, 0x1.27b149c166d21p-5, 0x1.2139285a4173dp-5, 0x1.1ae11a11887c3p-5, 0x1.14a899ae5ee83p-5, 0x1.0e8f2369d3dap-5, 0x1.089434f0f36afp-5, 0x1.02b74d668ea92p-5, 0x1.f9efdac982ddcp-6, 0x1.eeab2dfc60e7fp-6, 0x1.e39f9b7e12e41p-6, 0x1.d8cc2d5b89507p-6, 0x1.ce2ff0974f7bap-6, 0x1.c3c9f52a29d91p-6, 0x1.b9994e034039dp-6, 0x1.af9d1107d8221p-6, 0x1.a5d45712b9f98p-6, 0x1.9c3e3bf322d44p-6, 0x1.92d9de6b69879p-6, 0x1.89a6602f44bf9p-6, 0x1.80a2e5e1bbef9p-6, 0x1.77ce9712c8bd9p-6, 0x1.6f289e3ca8ea2p-6, 0x1.66b028c0eec6ap-6, 0x1.5e6466e542db4p-6, 0x1.56448bcfe9bcdp-6, 0x1.4e4fcd8402d03p-6, 0x1.468564dd95176p-6, 0x1.3ee48d8d5ec6p-6, 0x1.376c861469b9ep-6, 0x1.301c8fbf766eep-6, 0x1.28f3eea2300fcp-6, 0x1.21f1e992359a2p-6, 0x1.1b15ca21f8c9dp-6, 0x1.145edc9b765p-6, 0x1.0dcc6ffabf999p-6, 0x1.075dd5e8702c6p-6, 0x1.011262b3f05afp-6, 0x1.f5d2da9b52615p-7, 0x1.e9c49e82278d3p-7, 0x1.ddf8c95d53443p-7, 0x1.d26e188b90d15p-7, 0x1.c7234e7ce4c96p-7, 0x1.bc1732a60bc89p-7, 0x1.b1489173a70abp-7, 0x1.a6b63c3d64ca9p-7, 0x1.9c5f0938f48eap-7, 0x1.9241d36ce3889p-7, 0x1.885d7aa362707p-7, 0x1.7eb0e35cf4db9p-7, 0x1.753af6c311177p-7, 0x1.6bfaa29a9fa6dp-7, 0x1.62eed93681c7ap-7, 0x1.5a169169fbd3ap-7, 0x1.5170c67b2541ep-7, 0x1.48fc781540bb6p-7, 0x1.40b8aa3b1ca1bp-7, 0x1.38a465396e83ep-7, 0x1.30beb5992aa3ap-7, 0x1.2906ac11dfd65p-7, 0x1.217b5d7c153aep-7, 0x1.1a1be2c3afad7p-7, 0x1.12e758da59c31p-7, 0x1.0bdce0a9f69bep-7, 0x1.04fb9f07264d2p-7, 0x1.fc8579477f307p-8, 0x1.ef62cc02e696dp-8, 0x1.e28d96c8d5b0dp-8, 0x1.d604418be9fd5p-8, 0x1.c9c53b8ea9e09p-8, 0x1.bdcefb491c2cep-8, 0x1.b21ffe4ea4599p-8, 0x1.a6b6c933f1052p-8, 0x1.9b91e7752aa5p-8, 0x1.90afeb5c3afaap-8, 0x1.860f6de740287p-8, 0x1.7baf0eaf42359p-8, 0x1.718d73cf0f20dp-8, 0x1.67a949ca3481dp-8, 0x1.5e0143745c3e5p-8, 0x1.549419d8a0862p-8, 0x1.4b608c214c74bp-8, 0x1.42655f7fb6508p-8, 0x1.39a15f1453c5ep-8, 0x1.31135bd70e06fp-8, 0x1.28ba2c7fc33d4p-8, 0x1.2094ad6f1abbep-8, 0x1.18a1c09779003p-8, 0x1.10e04d663c094p-8, 0x1.094f40ad2f234p-8, 0x1.01ed8c8c4b899p-8, 0x1.f57450b735a14p-9, 0x1.e768212adaf16p-9, 0x1.d9b48d8194281p-9, 0x1.cc57a2b8176e6p-9, 0x1.bf4f778fb346p-9, 0x1.b29a2c6495b02p-9, 0x1.a635eb04970efp-9, 0x1.9a20e68691c39p-9, 0x1.8e595b221bc0cp-9, 0x1.82dd8e07db7cep-9, 0x1.77abcd3a5c1e1p-9, 0x1.6cc26f67427a2p-9, 0x1.621fd3c11a15ep-9, 0x1.57c261d993db2p-9, 0x1.4da8897c584d4p-9, 0x1.43d0c28a29ae6p-9, 0x1.3a398cd4c6ab5p-9, 0x1.30e16ffaf8f0ep-9, 0x1.27c6fb4566894p-9, 0x1.1ee8c583cd9e5p-9, 0x1.16456cea90bdbp-9, 0x1.0ddb96f0f7405p-9, 0x1.05a9f02fbfe3ep-9, 0x1.fb5e58809244cp-10, 0x1.ebd40b383edcep-10, 0x1.dcb27afa0c52ap-10, 0x1.cdf7377b04256p-10, 0x1.bf9fdd737dd72p-10, 0x1.b1aa16623bf75p-10, 0x1.a413984fefa25p-10, 0x1.96da25941c691p-10, 0x1.89fb8c9a7b732p-10, 0x1.7d75a7a9931f6p-10, 0x1.71465ca9fae84p-10, 0x1.656b9ceeafbfap-10, 0x1.59e364fdf2e6fp-10, 0x1.4eabbc5b6889p-10, 0x1.43c2b552d2d3bp-10, 0x1.39266cc3a1ddp-10, 0x1.2ed509ed8afe6p-10, 0x1.24ccbe3da3eabp-10, 0x1.1b0bc51cb1234p-10, 0x1.119063bdce7f2p-10, 0x1.0858e8ee4d522p-10, 0x1.fec759cc7317dp-11, 0x1.ed5e2232ec8ccp-11, 0x1.dc730013cdb5ep-11, 0x1.cc02da344f7dap-11, 0x1.bc0aa8c2655edp-11, 0x1.ac8774fd545b9p-11, 0x1.9d7658df797f4p-11, 0x1.8ed47eca3b38p-11, 0x1.809f2132b523cp-11, 0x1.72d38a503382p-11, 0x1.656f13cbf1c7ep-11, 0x1.586f26724c138p-11, 0x1.4bd139e54d6ccp-11, 0x1.3f92d4505e416p-11, 0x1.33b18a1dba6abp-11, 0x1.282afdacba322p-11, 0x1.1cfcdf09a5661p-11, 0x1.1224eba6f626ep-11, 0x1.07a0ee176d91dp-11, 0x1.fadd7b939b059p-12, 0x1.e7187d8b1f51ep-12, 0x1.d3eec2d1df02fp-12, 0x1.c15c445014626p-12, 0x1.af5d129aa2142p-12, 0x1.9ded5575e3ec1p-12, 0x1.8d094b5b0113fp-12, 0x1.7cad48ff952cp-12, 0x1.6cd5b8df61227p-12, 0x1.5d7f1ac808b63p-12, 0x1.4ea60367538abp-12, 0x1.40471bdb48027p-12, 0x1.325f21444134bp-12, 0x1.24eae45979974p-12, 0x1.17e748ff0ff52p-12, 0x1.0b5145de9c929p-12, 0x1.fe4bc80218bfbp-13, 0x1.e6c47cd657bf9p-13, 0x1.d007037690c0dp-13, 0x1.ba0dd792f7e5bp-13, 0x1.a4d3969248d9dp-13, 0x1.9052fed8f881dp-13, 0x1.7c86ef13e348p-13, 0x1.696a65862441bp-13, 0x1.56f87f5acc05fp-13, 0x1.452c77f9e9cb9p-13, 0x1.3401a86078ebep-13, 0x1.2373867ba279fp-13, 0x1.137da4884c6e5p-13, 0x1.041bb0739135dp-13, 0x1.ea92e681fc771p-14, 0x1.ce05a0e39f19fp-14, 0x1.b2878adfd7529p-14, 0x1.9810d1f853b1ep-14, 0x1.7e99d53d2659ep-14, 0x1.661b243535637p-14, 0x1.4e8d7dcaa3195p-14, 0x1.37e9cf3c8b261p-14, 0x1.22293317fee1fp-14, 0x1.0d44f0344c85p-14, 0x1.f26cf16a85ac1p-15, 0x1.cbeed2257bd12p-15, 0x1.a7030e4afe85p-15, 0x1.839d826f38c2ep-15, 0x1.61b25a37256b9p-15, 0x1.41360e8e11602p-15, 0x1.221d63e3cfd58p-15, 0x1.045d6876cd52bp-15, 0x1.cfd6e5491797ap-16, 0x1.997a3e87b160ap-16, 0x1.6590a011b37e6p-16, 0x1.340653e06a9edp-16, 0x1.04c82761b5a98p-16, 0x1.af86d0f58090bp-17, 0x1.59cbc507cb6fdp-17, 0x1.083bb6d60821ap-17, 0x1.7568435a039b3p-18, 0x1.c44daadf9b9e5p-19, 0x1.59c6dc928d88cp-20, -0x1.6fb6312d8242dp-21, -0x1.56a13a9bc2e6fp-19, -0x1.21d81fb74c214p-18, -0x1.91c7ff4ba151ep-18, -0x1.fb59583b4aa4ep-18, -0x1.2f61dd5099a1p-17, -0x1.5e1e99f59747ep-17, -0x1.89fd2bfa8001ep-17, -0x1.b317250ddd58ap-17, -0x1.d98562fb29f6bp-17, -0x1.fd6014021c87cp-17, -0x1.0f5f5d8156cebp-16, -0x1.1edc19d263397p-16, -0x1.2d315b2c7f9f6p-16, -0x1.3a69ee275380bp-16, -0x1.469051a6bf538p-16, -0x1.51aeb8bd94687p-16, -0x1.5bcf0c85e58efp-16, -0x1.64faedf02aa6p-16, -0x1.6d3bb786891c3p-16, -0x1.749a7f258cd57p-16, -0x1.7b2017af2822cp-16, -0x1.80d512adddc43p-16, -0x1.85c1c1f699bp-16, -0x1.89ee393896bcbp-16, -0x1.8d624f8a2af0bp-16, -0x1.9025a0ecc2419p-16, -0x1.923f8fc402c6fp-16, -0x1.93b746490248bp-16, -0x1.9493b7f2087f8p-16, -0x1.94dba2d4cdb98p-16, -0x1.949590fe7fa52p-16, -0x1.93c7d9c5ce7cap-16, -0x1.9278a3128e9f1p-16, -0x1.90ade2a2cc99fp-16, -0x1.8e6d5f43bb308p-16, -0x1.8bbcb2044c17ep-16, -0x1.88a147661b3c8p-16, -0x1.8520607d7b9e3p-16, -0x1.813f1414df191p-16, -0x1.7d024fc3422aep-16, -0x1.786ed8fe74784p-16, -0x1.73894e27c2558p-16, -0x1.6e562790302e9p-16, -0x1.68d9b87894215p-16, -0x1.6318300b01aa2p-16, -0x1.5d159a4e22506p-16, -0x1.56d5e113847d9p-16, -0x1.505ccce10a4b3p-16, -0x1.49ae05d2b6d58p-16, -0x1.42cd147818e55p-16, -0x1.3bbd62ae302a2p-16, -0x1.34823c71d7e13p-16, -0x1.2d1ed0aeab54p-16, -0x1.2596320884fe9p-16, -0x1.1deb579f22e92p-16, -0x1.16211dd1128abp-16, -0x1.0e3a46f2dfdddp-16, -0x1.06397c0a5fc7fp-16, -0x1.fc429afdb7029p-17, -0x1.ebe8678f9057ep-17, -0x1.db69202f6347ep-17, -0x1.cac95a035a756p-17, -0x1.ba0d7e36f7389p-17, -0x1.a939cb36d0f25p-17, -0x1.985255e65e31dp-17, -0x1.875b0acc86afdp-17, -0x1.7657af393d24ap-17, -0x1.654be262aa45p-17, -0x1.543b1e8070a41p-17, -0x1.4328b9d82fe56p-17, -0x1.3217e7c9f22d2p-17, -0x1.210bb9d21cfb9p-17, -0x1.100720889b426p-17, -0x1.fe19d928ddfb1p-18, -0x1.dc3f9f3d56611p-18, -0x1.ba84ba78d5c8fp-18, -0x1.98ee17a501aa4p-18, -0x1.77806aeb1210fp-18, -0x1.5640318669f6ap-18, -0x1.3531b36ade14bp-18, -0x1.145904e2888aap-18, -0x1.e7741043c2b0cp-19, -0x1.a6b0dd976d09fp-19, -0x1.666f76ebaf1a9p-19, -0x1.26b6862cef485p-19, -0x1.cf18b9dcf0364p-20, -0x1.51edee393beep-20, -0x1.abeff6fc85a08p-21, -0x1.6d064c4848283p-22, 0x1.e2b351cc2955dp-24, 0x1.2c89bb4a600d5p-21, 0x1.0d0278c9543b6p-20, 0x1.825ba5c3c0aa2p-20, 0x1.f6488c241b037p-20, 0x1.3460ebb017163p-19, 0x1.6ce0593821efp-19, 0x1.a49f61c9e33aep-19, 0x1.db9b14180048bp-19, 0x1.08e85c331d6a4p-18, 0x1.239ee748e9811p-18, 0x1.3df0061834aadp-18, 0x1.57daad56044d1p-18, 0x1.715deac004e2dp-18, 0x1.8a78e4377fdb6p-18, 0x1.a32ad6e9d4d0ap-18, 0x1.bb73167abe776p-18, 0x1.d3510c36c544dp-18, 0x1.eac4364811aa5p-18, 0x1.00e6137b0a697p-17, 0x1.0c3441f1e013dp-17, 0x1.174c82ad297a6p-17, 0x1.222ebac978ac1p-17, 0x1.2cdad804c7966p-17, 0x1.3750d06976eabp-17, 0x1.4190a1fbaf0d5p-17, 0x1.4b9a52690f506p-17, 0x1.556deebb323a3p-17, 0x1.5f0b8b0bd4e14p-17, 0x1.6873423b23f07p-17, 0x1.71a535a8d12cbp-17, 0x1.7aa18cee69ec2p-17, 0x1.8368759bdee19p-17, 0x1.8bfa22f6f4fb7p-17, 0x1.9456cdba6e338p-17, 0x1.9c7eb3d9d01dbp-17, 0x1.a4721844a8c2bp-17, 0x1.ac3142adaeaabp-17, 0x1.b3bc7f50f5fffp-17, 0x1.bb141ebe9f685p-17, 0x1.c23875a55ff64p-17, 0x1.c929dc9ef5f87p-17, 0x1.cfe8affed70bbp-17, 0x1.d6754fa17f951p-17, 0x1.dcd01ebe0faa7p-17, 0x1.e2f983b88681cp-17, 0x1.e8f1e7f632cf2p-17, 0x1.eeb9b7b2a647dp-17, 0x1.f45161d7205e8p-17, 0x1.f9b957d1ec075p-17, 0x1.fef20d7039087p-17, 0x1.01fdfc5c3502dp-16, 0x1.046bc8e2f5fep-16, 0x1.06c2a9530e566p-16, 0x1.0902db9b4068fp-16, 0x1.0b2c9e81c8d2ep-16, 0x1.0d403194bc5cfp-16, 0x1.0f3dd51a91dc5p-16, 0x1.1125ca035902ap-16, 0x1.12f851da37ccep-16, 0x1.14b5aeb801afep-16, 0x1.165e23354242dp-16, 0x1.17f1f25dc5182p-16, 0x1.19715fa4109e8p-16, 0x1.1adcaed512b9cp-16, 0x1.1c34240ce20fcp-16, 0x1.1d7803ab5fap-16, 0x1.1ea8924965979p-16, 0x1.1fc614ae63abbp-16, 0x1.20d0cfc6909d2p-16, 0x1.21c90898cbbfdp-16, 0x1.22af043dd862ap-16, 0x1.238307d7091a2p-16, 0x1.24455885cb241p-16, 0x1.24f63b6357fbfp-16, 0x1.2595f578ca608p-16, 0x1.2624cbb765c9p-16, 0x1.26a302f15f8fap-16, 0x1.2710dfd298f94p-16, 0x1.276ea6da17794p-16, 0x1.27bc9c538147dp-16, 0x1.27fb04509887p-16, 0x1.282a22a39cfe5p-16, 0x1.284a3ad9a8118p-16, 0x1.285b9034d870ap-16, 0x1.285e65a74b252p-16, 0x1.2852fdce60486p-16, 0x1.28399aed80e73p-16, 0x1.28127ee9e906dp-16, 0x1.27ddeb464ac06p-16, 0x1.279c211e836p-16, 0x1.274d612403f03p-16, 0x1.26f1eb99aeb38p-16, 0x1.268a0050b46b8p-16, 0x1.2615dea4ce0e1p-16, 0x1.2595c57979e2fp-16, 0x1.2509f336da3bbp-16, 0x1.2472a5c69091ap-16, 0x1.23d01a9180aa6p-16, 0x1.23228e7d0fdeap-16, 0x1.226a3de8d7abap-16, 0x1.21a764ac4a941p-16, 0x1.20da3e14c8b16p-16, 0x1.200304e3b444bp-16, 0x1.1f21f34c68bd2p-16, 0x1.1e3742f2c9c84p-16, 0x1.1d432ce9946abp-16, 0x1.1c45e9b0e1d0ep-16, 0x1.1b3fb13501502p-16, 0x1.1a30bacd083p-16, 0x1.19193d39f3ba4p-16, 0x1.17f96ea5a7fcp-16, 0x1.16d184a19c615p-16, 0x1.15a1b426bee3p-16, 0x1.146a31941dc01p-16, 0x1.132b30aebdb2dp-16, 0x1.11e4e4a0df5p-16, 0x1.10977ff986b06p-16, 0x1.0f4334ac4565dp-16, 0x1.0de83410e4bbcp-16, 0x1.0c86aee30a33bp-16, 0x1.0b1ed5425db62p-16, 0x1.09b0d6b2423c1p-16, 0x1.083ce219f35a6p-16, 0x1.06c325c48bbdep-16, 0x1.0543cf61454d1p-16, 0x1.03bf0c0367dcbp-16, 0x1.02350822e0824p-16, 0x1.00a5ef9c63718p-16, 0x1.fe23db6383791p-17, 0x1.faf25a14da621p-17, 0x1.f7b7af67e8919p-17, 0x1.f4742e4498c3ap-17, 0x1.f12828617f112p-17, 0x1.edd3ee4471b33p-17, 0x1.ea77cf4413e31p-17, 0x1.e714198922c22p-17, 0x1.e3a91a1012f67p-17, 0x1.e0371caa4ad61p-17, 0x1.dcbe6c000983ap-17, 0x1.d93f5191c3b01p-17, 0x1.d5ba15ba2789ap-17, 0x1.d22effaf97c1bp-17, 0x1.ce9e5586186c4p-17, 0x1.cb085c31827dfp-17, 0x1.c76d5787118d8p-17, 0x1.c3cd8a3f5f1d5p-17, 0x1.c02935f8d581dp-17, 0x1.bc809b3947ba2p-17, 0x1.b8d3f9705a404p-17, 0x1.b5238ef98b4a9p-17, 0x1.b16f991eb139cp-17, 0x1.adb8541995539p-17, 0x1.a9fdfb16db65p-17, 0x1.a640c838015e4p-17, 0x1.a280f495b6d7cp-17, 0x1.9ebeb84224bc7p-17, 0x1.9afa4a4b7d03ap-17, 0x1.9733e0be46adep-17, 0x1.936bb0a7b82c6p-17, 0x1.8fa1ee183d033p-17, 0x1.8bd6cc25b07bep-17, 0x1.880a7cee3e132p-17, 0x1.843d319a93854p-17, 0x1.806f1a6060ad4p-17, 0x1.7ca06684d7643p-17, 0x1.78d1445f5aeedp-17, 0x1.7501e15bdeb73p-17, 0x1.713269fd634a2p-17, 0x1.6d6309e095eaap-17, 0x1.6993ebbe54c3dp-17, 0x1.65c5396e5b752p-17, 0x1.61f71be97dc46p-17, 0x1.5e29bb4c73de6p-17, 0x1.5a5d3eda58c55p-17, 0x1.5691ccff44206p-17, 0x1.52c78b52a4a2cp-17, 0x1.4efe9e99f9215p-17, 0x1.4b372acb504cep-17, 0x1.4771530faf0fp-17, 0x1.43ad39c5cf3efp-17, 0x1.3feb0084931b8p-17, 0x1.3c2ac81d6857dp-17, 0x1.386cb09ee5605p-17, 0x1.34b0d957440ap-17, 0x1.30f760d6f408ap-17, 0x1.2d4064f2f375cp-17, 0x1.298c02c7562eap-17, 0x1.25da56b9b2d1dp-17, 0x1.222b7c7ba6cc8p-17, 0x1.1e7f8f0d4b45ap-17, 0x1.1ad6a8bf7b0dap-17, 0x1.1730e3366cdd2p-17, 0x1.138e576be63f1p-17, 0x1.0fef1db1c5177p-17, 0x1.0c534db44ea77p-17, 0x1.08bafe7ca14d3p-17, 0x1.05264672d2882p-17, 0x1.01953b607d8b2p-17, 0x1.fc0fe4e6071afp-18, 0x1.f4fd007b6c1eep-18, 0x1.edf1f1786a941p-18, 0x1.e6eedea99aa52p-18, 0x1.dff3edb5219d8p-18, 0x1.d901431f1165cp-18, 0x1.d217024e20332p-18, 0x1.cb354d8fd0f6cp-18, 0x1.c45c461cd8545p-18, 0x1.bd8c0c1d814efp-18, 0x1.b6c4beaddb7bcp-18, 0x1.b0067be1f90fep-18, 0x1.a95160ca1a7afp-18, 0x1.a2a58976f6d4dp-18, 0x1.9c0310fdbd63dp-18, 0x1.956a117c25421p-18, 0x1.8edaa41c96aa9p-18, 0x1.8854e11a2defbp-18, 0x1.81d8dfc4a1563p-18, 0x1.7b66b6841d6c6p-18, 0x1.74fe7add3c79bp-18, 0x1.6ea04174f2faap-18, 0x1.684c1e145aac9p-18, 0x1.620223ac59dcep-18, 0x1.5bc264596f9c5p-18, 0x1.558cf16772fap-18, 0x1.4f61db5547945p-18, 0x1.494131d8550f5p-18, 0x1.432b03e02e62fp-18, 0x1.3d1f5f9a12411p-18, 0x1.371e527488971p-18, 0x1.3127e922b48bdp-18, 0x1.2b3c2f9fdc63ap-18, 0x1.255b3132a7e47p-18, 0x1.1f84f870b377ap-18, 0x1.19b98f41af235p-18, 0x1.13f8fee295ba1p-18, 0x1.0e434fe924074p-18, 0x1.08988a46dd8dfp-18, 0x1.02f8b54c34bb5p-18, 0x1.fac7af5747127p-19, 0x1.efb3eef9ae4c4p-19, 0x1.e4b6347f61e98p-19, 0x1.d9ce89be80ae2p-19, 0x1.cefcf7696d6b1p-19, 0x1.c4418514a5c19p-19, 0x1.b99c393cada7p-19, 0x1.af0d194b7dd15p-19, 0x1.a494299e75924p-19, 0x1.9a316d8bb9b34p-19, 0x1.8fe4e767c732fp-19, 0x1.85ae988a8a122p-19, 0x1.7b8e81552c98fp-19, 0x1.7184a1372738cp-19, 0x1.6790f6b3404aap-19, 0x1.5db37f65003f2p-19, 0x1.53ec3805bc50bp-19, 0x1.4a3b1c712fa56p-19, 0x1.40a027aab8bbbp-19, 0x1.371b53e22f13bp-19, 0x1.2dac9a78a0a24p-19, 0x1.2453f404e5c2ep-19, 0x1.1b115858928c9p-19, 0x1.11e4be844f637p-19, 0x1.08ce1cdc68e19p-19, 0x1.ff9ad1fa7ca19p-20, 0x1.edc52f9f3914ap-20, 0x1.dc1b3b1a75b3dp-20, 0x1.ca9cdb89e0cbp-20, 0x1.b949f6bd99847p-20, 0x1.a822714035434p-20, 0x1.97262e5fb02fep-20, 0x1.86551034d6eddp-20, 0x1.75aef7ab2f22ep-20, 0x1.6533c488f95cap-20, 0x1.54e35576c31fdp-20, 0x1.44bd8806b867bp-20, 0x1.34c238bc90ca4p-20, 0x1.24f14314b64f7p-20, 0x1.154a818aefc39p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      30, 0x1.6e147ae147ae1p+2, 0x1.90b60da92d62cp+1, 0x1.34c1da39ff5a4p+3, -0x1.61dac0076ca6ap-7, 
      {{
        {0x1.11eb851eb851fp+2, 0x1.1333333333333p+2, 0x1.a0afa72a57204p-7, -0x1.2d870e30571fap-4, 0x1.d7f97446bdd54p-4, -0x1.0048601dcdacdp-4}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.71ef86d1d3ef6p-7, -0x1.1af4c46e43636p-4, 0x1.c898f3a11d03bp-4, -0x1.ff45b766a0229p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.09a127e88270ep-7, -0x1.de6d631c6ef9ep-5, 0x1.a24085dfd1011p-4, -0x1.fda24942e2629p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.641bcaa34474ap-8, -0x1.8e996134a6de4p-5, 0x1.7c078d2e0006p-4, -0x1.fc2c63bed44e1p-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.a6b94c763d5d9p-9, -0x1.46678ff533fa1p-5, 0x1.55ea9f4c7ce6ap-4, -0x1.fa1bb2dfc5d3dp-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.77e1f14064c04p-10, -0x1.05d12a664dc2fp-5, 0x1.2ff558488143bp-4, -0x1.e269402e8791ap-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.d6e96a96d0aacp-17, -0x1.994973ba8b21dp-6, 0x1.0bc70d11d0b28p-4, -0x1.c665d3864322dp-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.1ab945f1f796dp-10, -0x1.34fdeb461243p-6, 0x1.d3653a6917534p-5, -0x1.ab5154c290ebp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.ee3c1f9f52bf5p-10, -0x1.bbd858c41a696p-7, 0x1.934c3a7f1b2efp-5, -0x1.8ffcd0a4dd0c9p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.408df4a241773p-9, -0x1.26868f4e86cfcp-7, 0x1.574cb4ccc6d3cp-5, -0x1.74b9740a9d324p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.6e791d3d3f48fp-9, -0x1.50c666db2613ap-8, 0x1.1f641697fc0c7p-5, -0x1.59717ebc8f9a4p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, -0x1.855889b0c9ae6p-9, -0x1.fe5af6a9424ebp-10, 0x1.d72620c4336b1p-6, -0x1.3e2ac4ba43701p-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, -0x1.89516e50b3265p-9, 0x1.4e3ee9e6a35fap-11, 0x1.77b2e5bf85969p-6, -0x1.22e3b63cc1962p-5}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, -0x1.7e3533b479d46p-9, 0x1.5d36b890b4d15p-9, 0x1.206e957a184eap-6, -0x1.079cbe60545d6p-5}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, -0x1.678176b74783p-9, 0x1.1229b59c5f119p-8, 0x1.a2b25253fdff6p-7, -0x1.d8ab80f58fd21p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, -0x1.48600877f1a02p-9, 0x1.57b8de5e1f78ep-8, 0x1.14e5453d860dap-7, -0x1.a21d88314c45cp-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, -0x1.23a6ee58f93f2p-9, 0x1.828ecbf84f08dp-8, 0x1.2eec0590ab259p-8, -0x1.6b8f8f63f50aep-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, -0x1.f7b0c4011633ap-10, 0x1.95f173bea8286p-8, 0x1.532457b92d4c6p-10, -0x1.350193b40a608p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, -0x1.a645a2b0ff18dp-10, 0x1.9526cb1b5337ep-8, -0x1.92790ac3b8738p-10, -0x1.fce7472f2d8d6p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, -0x1.56c1bd1cb53bdp-10, 0x1.8374c735b971bp-8, -0x1.fa94167e2ac08p-9, -0x1.8fcb101f80af1p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, -0x1.0c32c02697e96p-10, 0x1.64215e29d2d11p-8, -0x1.753a29aeef2dfp-8, -0x1.22b01d44239ap-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, -0x1.91fd8270bb7d8p-11, 0x1.3a7282841ba54p-8, -0x1.cc6eff4360423p-8, -0x1.6b20e0dc6b2dp-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, -0x1.1dc87c86294p-11, 0x1.09ae341a6fefcp-8, -0x1.0173907f04f79p-7, -0x1.22099d398561cp-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, -0x1.7be876fc870ap-12, 0x1.aa34825950b82p-9, -0x1.0c53eccac6c5p-7, 0x1.266bb57c646ffp-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, -0x1.cd7d75620cf41p-13, 0x1.3ffa62129759ap-9, -0x1.06ceb496d8162p-7, 0x1.224f49d60a365p-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, -0x1.ecca89187f403p-14, 0x1.b66b6168b0383p-10, -0x1.e2118480c83dep-8, 0x1.0116bd51f9aa8p-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, -0x1.ae256fabfbep-15, 0x1.05047534f9587p-10, -0x1.94f11881ca24ap-8, 0x1.63a7dccde6aefp-7}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, -0x1.05700162ee3ffp-16, 0x1.e1852a4a21012p-12, -0x1.2a3ebcaa6b57p-8, 0x1.f81bf5ca661f9p-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, -0x1.16ae8e4a3ap-19, 0x1.f541d36ab1e72p-14, -0x1.26064c41cc964p-9, 0x1.bc56bb564e4b1p-7}, 
        {0x1.6cccccccccccdp+2, 0x1.6e147ae147ae1p+2, -0x1.df38ecaafec53p-27, -0x1.a1cd9862d76ep-19, -0x1.b6bdbdad0d0b5p-13, 0x1.8733c5a29c53fp-4}, 
      }}, 
      -0x1.7f53c1672b2b2p+2, 0x1.baac7c77082ddp+6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.0c26367fd6c06p-3, -0x1.bc588267933ffp-4, -0x1.2c12e2fa59de5p-4, -0x1.c6b210c7ebcd4p-6, 0x1.a006ad0e99486p-6, 0x1.5672aa541d2b5p-4, 0x1.28021dfa0bc83p-3, 0x1.a61ff6c3fac4ap-3, 0x1.10fdb8e341f67p-2, 0x1.4c504a74ac8c7p-2, 0x1.83db0ded80fp-2, 0x1.b6b80f2dbc82bp-2, 0x1.e4404175824cp-2, 0x1.0601b27b92ac5p-1, 0x1.16e00b5b8217dp-1, 0x1.24ae2c238d449p-1, 0x1.2f6f5cedb93f1p-1, 0x1.37341d4f9fe71p-1, 0x1.3c1770ba9aa4ep-1, 0x1.3e3c832f4c76fp-1, 0x1.3dcc9f9ad07afp-1, 0x1.3af570c0457a2p-1, 0x1.35e785f3c178ap-1, 0x1.2ed51518fb5c8p-1, 0x1.25f0f3131a8a1p-1, 0x1.1b6dbba94516bp-1, 0x1.0f7d225576d05p-1, 0x1.024f6661c52afp-1, 0x1.e825cade78fd8p-2, 0x1.c9e7908fc0573p-2, 0x1.aa378c721ccedp-2, 0x1.8963f74b6060ap-2, 0x1.67b5a19ccaa36p-2, 0x1.456fdc6979999p-2, 0x1.22d0784bd1edap-2, 0x1.000fd71939e93p-2, 0x1.bac218e894c11p-3, 0x1.75e412f2c8e97p-3, 0x1.31d7a29e0a68cp-3, 0x1.ddcad70aa9cf8p-4, 0x1.5a9a5d30ae3a8p-4, 0x1.b51939d45a5e2p-5, 0x1.7802e75e25169p-6, -0x1.ab8b35540a25dp-8, -0x1.1eb9237a31cc8p-5, -0x1.ff685835069d4p-5, -0x1.6b943095bbbf4p-4, -0x1.d2dbb1bb52f74p-4, -0x1.1ab998417d2b1p-3, -0x1.49a5dcd38a81bp-3, -0x1.762f04ad445ebp-3, -0x1.a054dff75d744p-3, -0x1.c81a50c5c48b6p-3, -0x1.ed84f131202b4p-3, -0x1.084e5f8757ab4p-2, -0x1.18b5e6a4360e5p-2, -0x1.27fefd63359d9p-2, -0x1.3630575168b2cp-2, -0x1.43514ca556f29p-2, -0x1.4f69bd2786569p-2, -0x1.5a81f5787d01p-2, -0x1.64a296c631941p-2, -0x1.6dd480ec9be57p-2, -0x1.7620bed7475cfp-2, -0x1.7d9074ec74bd6p-2, -0x1.842cd147327c4p-2, -0x1.89fefdadb239dp-2, -0x1.8f10133848626p-2, -0x1.93690fa634dd1p-2, -0x1.9712cc48b43f7p-2, -0x1.9a15f65a0bc7fp-2, -0x1.9c7b088e946ffp-2, -0x1.9e4a45afd1432p-2, -0x1.9f8bb425c6435p-2, -0x1.a0471a5d18cadp-2, -0x1.a083fc0554a2dp-2, -0x1.a049981dfb817p-2, -0x1.9f9ee7c2d4e8p-2, -0x1.9e8a9da0c18f8p-2, -0x1.9d1325f39303ep-2, -0x1.9b3ea6f44976dp-2, -0x1.9913019c83ed7p-2, -0x1.9695d2b39e544p-2, -0x1.93cc741803361p-2, -0x1.90bbfe3fd946p-2, -0x1.8d6949f3e7b12p-2, -0x1.89d8f22e6c78dp-2, -0x1.860f5627900dfp-2, -0x1.82109b7c60622p-2, -0x1.7de0b068d887ap-2, -0x1.79834e0a16aa3p-2, -0x1.74fbfaa42c4d8p-2, -0x1.704e0be21e3e9p-2, -0x1.6b7ca90ddcep-2, -0x1.668acd3c825afp-2, -0x1.617b496d7fa85p-2, -0x1.5c50c69f967b4p-2, -0x1.570dc7d3b64fcp-2, -0x1.51b4ac07490b9p-2, -0x1.4c47b0177090ap-2, -0x1.46c8f09e54589p-2, -0x1.413a6bb2495ebp-2, -0x1.3b9e029f67c0ep-2, -0x1.35f57b84a4dbp-2, -0x1.304282e2a3f8p-2, -0x1.2a86ad159b828p-2, -0x1.24c377b96d169p-2, -0x1.1efa4afe3b75ap-2, -0x1.192c7ae8ae77fp-2, -0x1.135b488049a15p-2, -0x1.0d87e2ea28fb5p-2, -0x1.07b36878ccd0cp-2, -0x1.01dee7a579f6dp-2, -0x1.f816c000a8095p-3, -0x1.ec73861b77d4ap-3, -0x1.e0d5ea30e0038p-3, -0x1.d53f9bec8523fp-3, -0x1.c9b2337cd908dp-3, -0x1.be2f32efa8febp-3, -0x1.b2b8076e70633p-3, -0x1.a74e0a6cf83bfp-3, -0x1.9bf282c3164bfp-3, -0x1.90a6a5a979734p-3, -0x1.856b97b58b342p-3, -0x1.7a426db6bbd0dp-3, -0x1.6f2c2d8773564p-3, -0x1.6429ced32634bp-3, -0x1.593c3bcbe0496p-3, -0x1.4e6451d3a1b1p-3, -0x1.43a2e2187af2ap-3, -0x1.38f8b2265ddc4p-3, -0x1.2e667c78457cp-3, -0x1.23ecf0ee1deb2p-3, -0x1.198cb5408f23bp-3, -0x1.0f466581b9528p-3, -0x1.051a947a39ap-3, -0x1.f61397ff664bbp-4, -0x1.e2291ac325ee4p-4, -0x1.ce76a381f7242p-4, -0x1.bafd14a0c3ebcp-4, -0x1.a7bd414b2c9dfp-4, -0x1.94b7ee15c444p-4, -0x1.81edd17b19ed4p-4, -0x1.6f5f945498cfep-4, -0x1.5d0dd25485eeap-4, -0x1.4af91a7bc8c0ep-4, -0x1.3921ef97cdcb6p-4, -0x1.2788c8a439ca2p-4, -0x1.162e1112f2b2ap-4, -0x1.0512293be31bp-4, -0x1.e86acdbb3bd77p-5, -0x1.c7302abb1af2bp-5, -0x1.a674ebe9a1273p-5, -0x1.8639803e4086cp-5, -0x1.667e4427186a3p-5, -0x1.474381e880901p-5, -0x1.288971e1bc5f2p-5, -0x1.0a503b4b18091p-5, -0x1.d92fea26694fdp-6, -0x1.9ec14c6becb86p-6, -0x1.65548c2f74d04p-6, -0x1.2ce97a12d6bdp-6, -0x1.eaff93c3075f5p-7, -0x1.7e2e270d78221p-7, -0x1.135da7c16c347p-7, -0x1.5519b68d3662cp-8, -0x1.0ee951090e48ap-9, 0x1.08dc5da3f56c5p-10, 0x1.07ed23d1a5745p-8, 0x1.c9b170d2fc47cp-8, 0x1.43c424ef4ddc7p-7, 0x1.a0bb281d20a02p-7, 0x1.fbc03bacda05p-7, 0x1.2a6affdb21df3p-6, 0x1.55ff9c71585f8p-6, 0x1.809f680f9c997p-6, 0x1.aa4be90a6c34fp-6, 0x1.d306b68129584p-6, 0x1.fad176ffc448ep-6, 0x1.10d6efe7a0b5dp-5, 0x1.23ceda7b66e89p-5, 0x1.3651647b6e0d1p-5, 0x1.485f7de0a8f97p-5, 0x1.59fa1cc0a5c28p-5, 0x1.6b223cfee2e69p-5, 0x1.7bd8e045f0c9ep-5, 0x1.8c1f0de8a80fcp-5, 0x1.9bf5d279c3343p-5, 0x1.ab5e3f4d636c4p-5, 0x1.ba596a24ef3dap-5, 0x1.c8e86d16b1d74p-5, 0x1.d70c666af675fp-5, 0x1.e4c6785ea9836p-5, 0x1.f217c8b142be8p-5, 0x1.ff01806f81e13p-5, 0x1.05c265dac5063p-4, 0x1.0bd16cc8426ccp-4, 0x1.11ae6ddf07501p-4, 0x1.175a03386e386p-4, 0x1.1cd4c80bdfcadp-4, 0x1.221f58982fbeep-4, 0x1.273a520b3e53dp-4, 0x1.2c2652660be7cp-4, 0x1.30e3f860c6c14p-4, 0x1.3573e354e440ap-4, 0x1.39d6b32e0e07dp-4, 0x1.3e0d08592ebp-4, 0x1.421783abef022p-4, 0x1.45f6c64810222p-4, 0x1.49ab7182a3d0cp-4, 0x1.4d3626d494f29p-4, 0x1.509787d034abcp-4, 0x1.53d03614cb988p-4, 0x1.56e0d33a874cfp-4, 0x1.59ca00b9f97c5p-4, 0x1.5c8c5fd7593ecp-4, 0x1.5f2891947b17cp-4, 0x1.619f36a72807bp-4, 0x1.63f0ef6ed539ep-4, 0x1.661e5be61b9f5p-4, 0x1.68281b90e34a1p-4, 0x1.6a0ecd6c571f2p-4, 0x1.6bd30fe2e61f7p-4, 0x1.6d7580c349ddbp-4, 0x1.6ef6bd3646cb8p-4, 0x1.705761b2aebd5p-4, 0x1.719809f00d435p-4, 0x1.72b950daef508p-4, 0x1.73bbd08c0bd1ap-4, 0x1.74a022420f1a2p-4, 0x1.7566de5a29d54p-4, 0x1.76109c45cd479p-4, 0x1.769df27f02f8p-4, 0x1.770f767e161ebp-4, 0x1.7765bcb270deep-4, 0x1.77a1587e05ffcp-4, 0x1.77c2dc3131ebcp-4, 0x1.77cad90452becp-4, 0x1.77b9df0ed403p-4, 0x1.77907d3e9508p-4, 0x1.774f4150b7555p-4, 0x1.76f6b7ceb21e8p-4, 0x1.76876c0c40eap-4, 0x1.7601e82367922p-4, 0x1.7566b4ed4a0b5p-4, 0x1.74b659f944f8ep-4, 0x1.73f15d852588fp-4, 0x1.73184479e7f07p-4, 0x1.722b926d85903p-4, 0x1.712bc9a64ae21p-4, 0x1.70196b1ac41eap-4, 0x1.6ef4f66b35fb6p-4, 0x1.6dbee9d63ceddp-4, 0x1.6c77c22d14d25p-4, 0x1.6b1ffacce257bp-4, 0x1.69b80da00a926p-4, 0x1.68407325d6b59p-4, 0x1.66b9a27c57105p-4, 0x1.65241163fe1d2p-4, 0x1.6380343b5e51fp-4, 0x1.61ce7df309cf4p-4, 0x1.600f5fff1a56ap-4, 0x1.5e434a4c7da9dp-4, 0x1.5c6aab3e8b2cbp-4, 0x1.5a85efb58a463p-4, 0x1.5895831b40ff4p-4, 0x1.5699cf6f26187p-4, 0x1.54933d4d66c8cp-4, 0x1.528233eb0af0cp-4, 0x1.5067190bec4abp-4, 0x1.4e4250f246039p-4, 0x1.4c143e510ffa5p-4, 0x1.49dd4245a6fddp-4, 0x1.479dbc5c66f2ap-4, 0x1.45560a9f2ed29p-4, 0x1.430689a874f81p-4, 0x1.40af94b3100aep-4, 0x1.3e51859f9b48cp-4, 0x1.3becb4ec6f0c9p-4, 0x1.398179a2f8875p-4, 0x1.3710294237bf4p-4, 0x1.349917b03189bp-4, 0x1.321c97398467dp-4, 0x1.2f9af8a0c2453p-4, 0x1.2d148b37d689ap-4, 0x1.2a899cf91d891p-4, 0x1.27fa7a95832ddp-4, 0x1.25676f71bd7a8p-4, 0x1.22d0c594518b5p-4, 0x1.2036c58cdd9c7p-4, 0x1.1d99b6603ea85p-4, 0x1.1af9dd82f0d5ep-4, 0x1.18577ee49a414p-4, 0x1.15b2dd084549p-4, 0x1.130c391f52a04p-4, 0x1.1063d31c573e3p-4, 0x1.0db9e9b720474p-4, 0x1.0b0eba61c3f5bp-4, 0x1.086281357cc45p-4, 0x1.05b578e092776p-4, 0x1.0307da9e87c47p-4, 0x1.0059de3d44e78p-4, 0x1.fb57745c88e64p-5, 0x1.f5fb473674974p-5, 0x1.f09f9cef1d81p-5, 0x1.eb44db10708fbp-5, 0x1.e5eb64c1e171dp-5, 0x1.e0939ab4d099cp-5, 0x1.db3ddb0f22381p-5, 0x1.d5ea815fdeb9cp-5, 0x1.d099e6a42bc0ep-5, 0x1.cb4c615b1d608p-5, 0x1.c60245a0ad493p-5, 0x1.c0bbe5462aeb1p-5, 0x1.bb798fe0a64d3p-5, 0x1.b63b92cb8638fp-5, 0x1.b10239228921dp-5, 0x1.abcdcbba31149p-5, 0x1.a69e911d48a35p-5, 0x1.a174cd92e6908p-5, 0x1.9c50c32c4972bp-5, 0x1.9732b1d637b6ep-5, 0x1.921ad768ae841p-5, 0x1.8d096fb11c80dp-5, 0x1.87feb4768756ap-5, 0x1.82fadd7a07313p-5, 0x1.7dfe20776e92bp-5, 0x1.7908b12976869p-5, 0x1.741ac152879d5p-5, 0x1.6f3480c8d6b94p-5, 0x1.6a561d82f9d59p-5, 0x1.657fc3a241c23p-5, 0x1.60b19d7995234p-5, 0x1.5bebd39199d2dp-5, 0x1.572e8cac44818p-5, 0x1.5279edca267a7p-5, 0x1.4dce1a3280b7ep-5, 0x1.492b337d96f07p-5, 0x1.4491599f603acp-5, 0x1.4000aaf1a00c6p-5, 0x1.3b79443931e17p-5, 0x1.36fb40ac880cap-5, 0x1.3286b9f77d236p-5, 0x1.2e1bc841a56abp-5, 0x1.29ba8236da40ap-5, 0x1.2562fd11975d8p-5, 0x1.21154ca5597cdp-5, 0x1.1cd18367166cep-5, 0x1.1897b272e91e1p-5, 0x1.1467e98fa798ap-5, 0x1.1042373290852p-5, 0x1.0c26a8854f31dp-5, 0x1.0815496f9c3cep-5, 0x1.040e24a38d0b2p-5, 0x1.001143aa19c81p-5, 0x1.f83d5dd903cc2p-6, 0x1.f06cdb7179255p-6, 0x1.e8b10c82c9511p-6, 0x1.e109fb3856e89p-6, 0x1.d977af868635p-6, 0x1.d1fa2f3a9cfb1p-6, 0x1.ca917e190830fp-6, 0x1.c33d9e0434809p-6, 0x1.bbfe8f204f25p-6, 0x1.b4d44fe89ec05p-6, 0x1.adbedd2e45febp-6, 0x1.a6be3204df12bp-6, 0x1.9fd247a7e7c0ep-6, 0x1.98fb156a942cbp-6, 0x1.923890c16e747p-6, 0x1.8b8aad6b66602p-6, 0x1.84f15db2aac66p-6, 0x1.7e6c92b1dac4cp-6, 0x1.77fc3c851ce76p-6, 0x1.71a04a53f43fcp-6, 0x1.6b58aa2e6b445p-6, 0x1.652548ca158b2p-6, 0x1.5f06113ae0654p-6, 0x1.58faecc826ca4p-6, 0x1.5303c2f7f189ap-6, 0x1.4d2079d7ad3b7p-6, 0x1.4750f6720eb3ep-6, 0x1.41951d4f572dap-6, 0x1.3becd2d2b3d97p-6, 0x1.3657fb53cedcdp-6, 0x1.30d67ae44868bp-6, 0x1.2b6834d191197p-6, 0x1.260d0b0c4c88bp-6, 0x1.20c4ddac1b13p-6, 0x1.1b8f8ac1a7b53p-6, 0x1.166cee9233532p-6, 0x1.115ce43601be9p-6, 0x1.0c5f467055f4ap-6, 0x1.0773f080b95c3p-6, 0x1.029abeaa4b7d9p-6, 0x1.fba71c820c032p-7, 0x1.f23c7a62544b1p-7, 0x1.e8f5523f60d9dp-7, 0x1.dfd15cc850952p-7, 0x1.d6d04e5a76c7ap-7, 0x1.cdf1d6308acebp-7, 0x1.c5359ecc6f678p-7, 0x1.bc9b4f9745094p-7, 0x1.b4228f53e07c6p-7, 0x1.abcb06bb83ef3p-7, 0x1.a394628460eep-7, 0x1.9b7e5436ce9bbp-7, 0x1.93889189db40cp-7, 0x1.8bb2d26a85f26p-7, 0x1.83fcce30b18b4p-7, 0x1.7c6638bdd25d7p-7, 0x1.74eec049eb871p-7, 0x1.6d960c7c849c2p-7, 0x1.665bbf2278f1dp-7, 0x1.5f3f766db18c4p-7, 0x1.5840d03716092p-7, 0x1.515f6d7cc6d0fp-7, 0x1.4a9af520ff98fp-7, 0x1.43f315303c9b4p-7, 0x1.3d6782580a88dp-7, 0x1.36f7f5bb3cbc3p-7, 0x1.30a429b85ae4fp-7, 0x1.2a6bd667db151p-7, 0x1.244eae9360c59p-7, 0x1.1e4c5dc4fc459p-7, 0x1.186487dfe14p-7, 0x1.1296ca7956c86p-7, 0x1.0ce2bfd18bbbap-7, 0x1.074802db0b218p-7, 0x1.01c633575b3a6p-7, 0x1.f8b9f1da5d9d7p-8, 0x1.ee1808bd255d2p-8, 0x1.e3a61d411cb34p-8, 0x1.d963ac84f9df8p-8, 0x1.cf5037f8edac2p-8, 0x1.c56b3e808daafp-8, 0x1.bbb436b08572ep-8, 0x1.b22a8a980f51p-8, 0x1.a8cd9555d6827p-8, 0x1.9f9ca3054a5ap-8, 0x1.9696f3c82b71ap-8, 0x1.8dbbc2334a243p-8, 0x1.850a4c20426d7p-8, 0x1.7c81db8e54608p-8, 0x1.7421ccb8c11d6p-8, 0x1.6be98f5ecb4e7p-8, 0x1.63d8a3136346cp-8, 0x1.5bee9066e0485p-8, 0x1.542ae1c8ef294p-8, 0x1.4c8d1e8263fp-8, 0x1.4514c86103bc9p-8, 0x1.3dc15ad508093p-8, 0x1.369249b720728p-8, 0x1.2f86ff29036dep-8, 0x1.289eda07e74a6p-8, 0x1.21d92f6c7db21p-8, 0x1.1b3550a7e06b5p-8, 0x1.14b294a6564cdp-8, 0x1.0e5061589b5fdp-8, 0x1.080e31386fb7dp-8, 0x1.01eb926d207a8p-8, 0x1.f7d03f9224b75p-9, 0x1.ec06ed505048bp-9, 0x1.e07a5c85c95d5p-9, 0x1.d529a872eba52p-9, 0x1.ca13dde78a21dp-9, 0x1.bf380593a58bep-9, 0x1.b4952a6354da5p-9, 0x1.aa2a55d0995adp-9, 0x1.9ff6843fee4ddp-9, 0x1.95f89a934828ap-9, 0x1.8c2f66aae3f09p-9, 0x1.8299ae03b4acbp-9, 0x1.79364506ccfbdp-9, 0x1.70042501beb96p-9, 0x1.670277ee40e99p-9, 0x1.5e30959db23b8p-9, 0x1.558df324ebdcep-9, 0x1.4d1a0ad727d73p-9, 0x1.44d4470f060d1p-9, 0x1.3cbbf9033f1ecp-9, 0x1.34d05f2723d36p-9, 0x1.2d10b4bbd397ap-9, 0x1.257c401b5853cp-9, 0x1.1e12548b6b4d4p-9, 0x1.16d2447025ff4p-9, 0x1.0fbb4b544d985p-9, 0x1.08cc7e57ff354p-9, 0x1.0204ce688561p-9, 0x1.f6c6371045497p-10, 0x1.e9cc9c12ab237p-10, 0x1.dd1ad53ed14bep-10, 0x1.d0af3cf10f0c8p-10, 0x1.c48886f0959f9p-10, 0x1.b8a5b6b9f97f9p-10, 0x1.ad06015170589p-10, 0x1.a1a8a3c4dfdf8p-10, 0x1.968cc041c854p-10, 0x1.8bb15153a80ebp-10, 0x1.811538c2be0d5p-10, 0x1.76b7612bbef3ap-10, 0x1.6c96db4886dbbp-10, 0x1.62b2ddd8a1884p-10, 0x1.590aa15135c66p-10, 0x1.4f9d2c78fda19p-10, 0x1.466935902778ep-10, 0x1.3d6d2d428adeep-10, 0x1.34a765da274f4p-10, 0x1.2c1633060dd56p-10, 0x1.23b7f2050b14ap-10, 0x1.1b8b11f71e007p-10, 0x1.138e361b72a3ap-10, 0x1.0bc05f991e57p-10, 0x1.0420f2c5327ccp-10, 0x1.f95f1367ee5e4p-11, 0x1.ead7641ad6721p-11, 0x1.dca9820db07ffp-11, 0x1.ced3a92bea657p-11, 0x1.c153ee7e7f1ebp-11, 0x1.b42889dfdb67dp-11, 0x1.a74fee5d4412fp-11, 0x1.9ac8b4a35d91fp-11, 0x1.8e917723e1325p-11, 0x1.82a8b17556c95p-11, 0x1.770ca914e47aep-11, 0x1.6bbb71a2d30ecp-11, 0x1.60b315410099bp-11, 0x1.55f1b1936b031p-11, 0x1.4b754ac98ecbdp-11, 0x1.413b86821fbf7p-11, 0x1.3741e39bcbe02p-11, 0x1.2d867f55f61f7p-11, 0x1.2408983339754p-11, 0x1.1ac828a859cf2p-11, 0x1.11c4fed714ae6p-11, 0x1.08fe38025de7ap-11, 0x1.0072816a18ceep-11, 0x1.f0415341dd306p-12, 0x1.e00f97115bcedp-12, 0x1.d04ddf83171fdp-12, 0x1.c0f9515c32b01p-12, 0x1.b20e35778d1eep-12, 0x1.a388b5111358fp-12, 0x1.956586fb56673p-12, 0x1.87a2100d510d8p-12, 0x1.7a3c053f033c1p-12, 0x1.6d31179560431p-12, 0x1.607f23037e3edp-12, 0x1.542479a5e1495p-12, 0x1.481f52eb9ebb5p-12, 0x1.3c6cbafa26bfap-12, 0x1.3109059d12fb3p-12, 0x1.25f206336c3ecp-12, 0x1.1b27ff6a3f86ap-12, 0x1.10aba03c9db8ep-12, 0x1.067bbc276ec49p-12, 0x1.f92b505e488dep-13, 0x1.e5eee9b941ff1p-13, 0x1.d341f8fcdb9bfp-13, 0x1.c125352c73e44p-13, 0x1.af96de50a61afp-13, 0x1.9e91fdaeb277dp-13, 0x1.8e0fde54f7bb9p-13, 0x1.7e09c1bac8e96p-13, 0x1.6e79eb9ce009fp-13, 0x1.5f5c03d0e75abp-13, 0x1.50ace923ba6f2p-13, 0x1.426a06eb8bdcdp-13, 0x1.349092549cd7ap-13, 0x1.271d9a1be3cebp-13, 0x1.1a0f365d95f8ap-13, 0x1.0d6500a4cae71p-13, 0x1.011dd7bb43c1ap-13, 0x1.ea6b22d083beap-14, 0x1.d34f2546fc339p-14, 0x1.bce63204642d3p-14, 0x1.a7325870b193ep-14, 0x1.922f27b83a432p-14, 0x1.7dd3a28d623e2p-14, 0x1.6a1c84fea4ee5p-14, 0x1.570d31c91cd6p-14, 0x1.44a6b4a761a15p-14, 0x1.32e37d62122f9p-14, 0x1.21badb2b9032p-14, 0x1.1124e94e53617p-14, 0x1.011bac43c4072p-14, 0x1.e33518e8bfb11p-15, 0x1.c53b06b3ba859p-15, 0x1.a840f12901e23p-15, 0x1.8c3e191a740fbp-15, 0x1.7129952c3284cp-15, 0x1.56fb6b281b366p-15, 0x1.3dacc48071c3ep-15, 0x1.2537dc6ad1defp-15, 0x1.0d99a1a442921p-15, 0x1.eda7569d390eap-16, 0x1.c1cf857e3c3d7p-16, 0x1.9799952e59772p-16, 0x1.6ee2552cb8a05p-16, 0x1.479f46d964c24p-16, 0x1.21da94a418d5ep-16, 0x1.fb135cce844b4p-17, 0x1.b534be1ba92b4p-17, 0x1.721b74a580869p-17, 0x1.31c246cd5a9e4p-17, 0x1.e7fbf94dd0631p-18, 0x1.71409fea50976p-18, 0x1.fe3ec727520e5p-19, 0x1.230be5b34c493p-19, 0x1.4372acae1f51p-21, -0x1.e1775fce91926p-21, -0x1.38c7cddd3cc65p-19, -0x1.f0a9c0db116acp-19, -0x1.503c073b47ce2p-18, -0x1.a461d13b90e38p-18, -0x1.f50604fad9c4cp-18, -0x1.2123391b20ed5p-17, -0x1.460f25015a032p-17, -0x1.6943a4a855e7fp-17, -0x1.8ace1616d3de3p-17, -0x1.aac7674968c74p-17, -0x1.c93828d7bfb2ep-17, -0x1.e60acf570559ep-17, -0x1.009cdbbf8f89dp-16, -0x1.0d77ad7b380e2p-16, -0x1.19a3ef598094ap-16, -0x1.252c02984506p-16, -0x1.301f9c5c9bfe5p-16, -0x1.3a79663367908p-16, -0x1.4433d9ec4fb91p-16, -0x1.4d5909ab6c545p-16, -0x1.55f2c05eb1f69p-16, -0x1.5e0503b202022p-16, -0x1.65914b4c5ee3dp-16, -0x1.6c987f8aa73b7p-16, -0x1.731b7ed0d7c7dp-16, -0x1.791c05110d632p-16, -0x1.7e9ed7849126dp-16, -0x1.83ade9ba15005p-16, -0x1.88567f9bbbb3ep-16, -0x1.8ca17cce3b72ap-16, -0x1.908e3a287446ap-16, -0x1.9418cd3a6e7b4p-16, -0x1.97442a28aa2a9p-16, -0x1.9a17d2a39933bp-16, -0x1.9c94626bb6d23p-16, -0x1.9eb5feb7316fep-16, -0x1.a080808400b44p-16, -0x1.a1fd8e26cbb34p-16, -0x1.a331f29f6e769p-16, }}, 
      {{-0x1.16b1b669170ecp-3, -0x1.0715b62cde4f7p-3, -0x1.dc137b2472924p-4, -0x1.996c487e9db83p-4, -0x1.48ce43bf76798p-4, -0x1.d9c4a394bcfaep-5, -0x1.107c83d0643e4p-5, -0x1.d4f06b31d2344p-8, 0x1.46cf63442f0b3p-6, 0x1.859d01267c389p-5, 0x1.3442acc65a035p-4, 0x1.a48ec11d38f2fp-4, 0x1.09358185eeda7p-3, 0x1.3e62dc64759a9p-3, 0x1.715f5758f14f7p-3, 0x1.a1d13e81077c6p-3, 0x1.cf72e576675c3p-3, 0x1.fa105b9419473p-3, 0x1.10c29fa58f441p-2, 0x1.22dd5bc2b08bep-2, 0x1.3352cb48364bp-2, 0x1.422253ba350fbp-2, 0x1.4f4f928336e0bp-2, 0x1.5ae1ac7e0f255p-2, 0x1.64e2b05fee3efp-2, 0x1.6d5f0acba78f2p-2, 0x1.74650acdbbc01p-2, 0x1.7a047576e96bdp-2, 0x1.7e4e2745f5431p-2, 0x1.8153c21ae904dp-2, 0x1.83276679f7ed2p-2, 0x1.83db76f70f04fp-2, 0x1.838264b6fee3ap-2, 0x1.822e84079d3afp-2, 0x1.7ff1e8266adb3p-2, 0x1.7cde455e4d5b3p-2, 0x1.7904d8c10c7ecp-2, 0x1.747654c197048p-2, 0x1.6f42d21c3a11ep-2, 0x1.6979c4713a7e2p-2, 0x1.6329f2114aa2cp-2, 0x1.5c616e8c28281p-2, 0x1.552d97943f365p-2, 0x1.4d9b13d9093fdp-2, 0x1.45b5d38c41418p-2, 0x1.3d8912438af46p-2, 0x1.351f59f57ed9bp-2, 0x1.2c8286f12ac29p-2, 0x1.23bbcc92992abp-2, 0x1.1ad3ba9023ec4p-2, 0x1.11d242bcc7d89p-2, 0x1.08bebf2fbe5c8p-2, 0x1.ff3ff1660813bp-3, 0x1.ecf85aa615c08p-3, 0x1.dab22deab9ea7p-3, 0x1.c877e3fc1f171p-3, 0x1.b65307f263448p-3, 0x1.a44c4486f828ap-3, 0x1.926b71145f0abp-3, 0x1.80b79e21d8b03p-3, 0x1.6f372180e7bc6p-3, 0x1.5defa22099be3p-3, 0x1.4ce623a78764fp-3, 0x1.3c1f11be93a43p-3, 0x1.2b9e4adc886aap-3, 0x1.1b672a73f47c3p-3, 0x1.0b7c9280a7c66p-3, 0x1.f7c1e928e8861p-4, 0x1.d92cb507a85e9p-4, 0x1.bb3cdd85637b9p-4, 0x1.9df508ccad96bp-4, 0x1.81573d6a26334p-4, 0x1.6564f05346b3p-4, 0x1.4a1f11e533ae7p-4, 0x1.2f8619c2f02dap-4, 0x1.159a11f74919dp-4, 0x1.f8b542bf3dd6p-5, 0x1.c78e2b15c1774p-5, 0x1.97bcd8187a887p-5, 0x1.693eb66d5dc3p-5, 0x1.3c10b46382f59p-5, 0x1.102f50b62beb1p-5, 0x1.cb2d4feb98237p-6, 0x1.7885015559473p-6, 0x1.285cacb9d57b1p-6, 0x1.b5558eb25a1c4p-7, 0x1.1ecaae8a473e4p-7, 0x1.1a08124c52a52p-8, -0x1.3ad755bfaca2bp-19, -0x1.11248060bda1bp-8, -0x1.0c8dde189fd9fp-7, -0x1.8c1d02535d7f1p-7, -0x1.03ab2f28e220dp-6, -0x1.3f28635588033p-6, -0x1.789190f15a8ap-6, -0x1.aff22caa84226p-6, -0x1.e555a5e20853fp-6, -0x1.0c63b05d1dd23p-5, -0x1.252958654a8cap-5, -0x1.3d016a36cda08p-5, -0x1.53f178461b609p-5, -0x1.69ff068505199p-5, -0x1.7f2f88ab42b05p-5, -0x1.938860e917fe4p-5, -0x1.a70edea126738p-5, -0x1.b9c83d6dd67afp-5, -0x1.cbb9a438d8893p-5, -0x1.dce82495ca17bp-5, -0x1.ed58ba2cf4782p-5, -0x1.fd104a4eaa0bfp-5, -0x1.0609d1d0cd814p-4, -0x1.0d33bef551c1cp-4, -0x1.14083cf4293a5p-4, -0x1.1a8990a3cdc77p-4, -0x1.20b9f3501355ep-4, -0x1.269b92c2d86adp-4, -0x1.2c3091518ff9ep-4, -0x1.317b05f0a183p-4, -0x1.367cfc4b3d841p-4, -0x1.3b3874dfd183cp-4, -0x1.3faf651f5116ep-4, -0x1.43e3b7905f44bp-4, -0x1.47d74bf4ac1a8p-4, -0x1.4b8bf7707b852p-4, -0x1.4f0384b4375b4p-4, -0x1.523fb428f0979p-4, -0x1.55423c19617c4p-4, -0x1.580cc8e2a69bcp-4, -0x1.5aa0fd206cb02p-4, -0x1.5d0071db64655p-4, -0x1.5f2cb6b87f0a5p-4, -0x1.612752272360bp-4, -0x1.62f1c18fd221cp-4, -0x1.648d798340e9p-4, -0x1.65fbe5e7560c5p-4, -0x1.673e6a2585b4cp-4, -0x1.6856615819b65p-4, -0x1.69451e762775ap-4, -0x1.6a0bec7f5161p-4, -0x1.6aac0ea7d1f27p-4, -0x1.6b26c0826c326p-4, -0x1.6b7d36298ae2p-4, -0x1.6bb09c69decd6p-4, -0x1.6bc218e7d3f1ap-4, -0x1.6bb2ca48a04a9p-4, -0x1.6b83c85b337d2p-4, -0x1.6b362439166a4p-4, -0x1.6acae86e6a89ep-4, -0x1.6a43191d7a671p-4, -0x1.699fb422799b7p-4, -0x1.68e1b1358c48ep-4, -0x1.680a020cb15eep-4, -0x1.6719927d90ba8p-4, -0x1.6611489d9096bp-4, -0x1.64f204e0daa97p-4, -0x1.63bca239b4fd8p-4, -0x1.6271f63764c1ap-4, -0x1.6112d121dd785p-4, -0x1.5f9ffe1d7773bp-4, -0x1.5e1a4338d0938p-4, -0x1.5c826197cc678p-4, -0x1.5ad91586e14d5p-4, -0x1.591f169693bb4p-4, -0x1.575517b56bdfdp-4, -0x1.557bc749bfcdfp-4, -0x1.5393cf4a4b8dfp-4, -0x1.519dd555adf2fp-4, -0x1.4f9a7acaad1c1p-4, -0x1.4d8a5ce06af38p-4, -0x1.4b6e14bb21cc5p-4, -0x1.494637821f6c3p-4, -0x1.47135677ce706p-4, -0x1.44d5ff0dc0b68p-4, -0x1.428ebaf909fdap-4, -0x1.403e1046c763bp-4, -0x1.3de4817069aa4p-4, -0x1.3b828d6f5151fp-4, -0x1.3918afd003cb3p-4, -0x1.36a760c46f776p-4, -0x1.342f1536473c1p-4, -0x1.31b03ed94ec8ep-4, -0x1.2f2b4c3d65f27p-4, -0x1.2ca0a8df9d0f1p-4, -0x1.2a10bd3aa6f33p-4, -0x1.277beed767f4cp-4, -0x1.24e2a05da6016p-4, -0x1.224531a459e2p-4, -0x1.1fa3ffc126871p-4, -0x1.1cff6517409a3p-4, -0x1.1a57b966506eep-4, -0x1.17ad51d99f986p-4, -0x1.15008116deb4bp-4, -0x1.1251974bb9a3bp-4, -0x1.0fa0e23c907a7p-4, -0x1.0ceead50de8cap-4, -0x1.0a3b41a163a5ap-4, -0x1.0786e60502588p-4, -0x1.04d1df1e0aae1p-4, -0x1.021c6f66859p-4, -0x1.fecdae777d609p-5, -0x1.f962a9dc8bdd6p-5, -0x1.f3f8498badde3p-5, -0x1.ee8f022b44464p-5, -0x1.e9274485c8d13p-5, -0x1.e3c17da2c5aa8p-5, -0x1.de5e16dcd2399p-5, -0x1.d8fd75f6afcd3p-5, -0x1.d39ffd311b20cp-5, -0x1.ce460b5f0bb8ep-5, -0x1.c8effbf9f886dp-5, -0x1.c39e2735f1f98p-5, -0x1.be50e2157cb9cp-5, -0x1.b9087e7c34502p-5, -0x1.b3c54b432a866p-5, -0x1.ae879448f0b72p-5, -0x1.a94fa2852e483p-5, -0x1.a41dbc19c20bcp-5, -0x1.9ef22464792a3p-5, -0x1.99cd1c103e969p-5, -0x1.94aee125c366dp-5, -0x1.8f97af1bbace7p-5, -0x1.8a87bee682ac8p-5, -0x1.857f47081c525p-5, -0x1.807e7b9f5776p-5, -0x1.7b858e775845ap-5, -0x1.7694af1651c28p-5, -0x1.71ac0acc0cbe9p-5, -0x1.6ccbccbfe3845p-5, -0x1.67f41dfea646ep-5, -0x1.63252587faec8p-5, -0x1.5e5f085bd6e24p-5, -0x1.59a1e988eb01bp-5, -0x1.54edea382cf1p-5, -0x1.504329b882a46p-5, -0x1.4ba1c58d7f8ap-5, -0x1.4709d97a56455p-5, -0x1.427b7f8d42bfp-5, -0x1.3df6d02a0a952p-5, -0x1.397be21b25dfap-5, -0x1.350aca9251e8ep-5, -0x1.30a39d3da1e29p-5, -0x1.2c466c4d3d9afp-5, -0x1.27f3487ea6412p-5, -0x1.23aa4126e96d3p-5, -0x1.1f6b643c7aca2p-5, -0x1.1b36be60eb44ep-5, -0x1.170c5aea8ea3ap-5, -0x1.12ec43edfa0f2p-5, -0x1.0ed6824745bd9p-5, -0x1.0acb1da322482p-5, -0x1.06ca1c8791d27p-5, -0x1.02d3845c6b5c1p-5, -0x1.fdceb2e749718p-6, -0x1.f60b3e2315e27p-6, -0x1.ee5caee9db3dep-6, -0x1.e6c307be4f99ep-6, -0x1.df3e4938b2cd9p-6, -0x1.d7ce72151e8a9p-6, -0x1.d0737f435db6fp-6, -0x1.c92d6bf4820cbp-6, -0x1.c1fc31a8c93dcp-6, -0x1.badfc83d3dd5ap-6, -0x1.b3d825f9738d1p-6, -0x1.ace53f9cd73f5p-6, -0x1.a607086d0fe75p-6, -0x1.9f3d724274706p-6, -0x1.98886d95ebed1p-6, -0x1.91e7e984e503p-6, -0x1.8b5bd3ef1fc6fp-6, -0x1.84e4196de8f9ep-6, -0x1.7e80a56969b91p-6, -0x1.783162225f073p-6, -0x1.71f638bd2482ap-6, -0x1.6bcf114d2e4a9p-6, -0x1.65bbd2dff356fp-6, -0x1.5fbc63873e68ap-6, -0x1.59d0a862c47fbp-6, -0x1.53f885a942fd3p-6, -0x1.4e33deb1662dp-6, -0x1.488295fad02f3p-6, -0x1.42e48d376205ep-6, -0x1.3d59a55499c03p-6, -0x1.37e1be851a299p-6, -0x1.327cb849a5bbfp-6, -0x1.2d2a71798d899p-6, -0x1.27eac84a86bf6p-6, -0x1.22bd9a57ff611p-6, -0x1.1da2c4aa3680ap-6, -0x1.189a23bd6dcbp-6, -0x1.13a393894d0bap-6, -0x1.0ebeef88ac6bdp-6, -0x1.09ec12c0da685p-6, -0x1.052ad7c94ed84p-6, -0x1.007b18d269c6bp-6, -0x1.f7b95f57d3a1bp-7, -0x1.ee9eeb95e273bp-7, -0x1.e5a6889f6d18ep-7, -0x1.dccfe8170c534p-7, -0x1.d41abb0c3cf36p-7, -0x1.cb86b208d9518p-7, -0x1.c3137d0fde0d9p-7, -0x1.bac0cbdfc0d9ep-7, -0x1.b28e4d949025fp-7, -0x1.aa7bb119eb682p-7, -0x1.a288a50139a8fp-7, -0x1.9ab4d795a2814p-7, -0x1.92fff6e521adbp-7, -0x1.8b69b0c98df76p-7, -0x1.83f1b2f19d4c8p-7, -0x1.7c97aae9d68c7p-7, -0x1.755b462568972p-7, -0x1.6e3c3206c9109p-7, -0x1.673a1be80b5d9p-7, -0x1.6054b122a97b6p-7, -0x1.598b9f1741959p-7, -0x1.52de93343318p-7, -0x1.4c4d3afd9327fp-7, -0x1.45d744125f5p-7, -0x1.3f7c5c349d51cp-7, -0x1.393c314f922f9p-7, -0x1.3316717e015f6p-7, -0x1.2d0acb10ef292p-7, -0x1.2718ec9560c3dp-7, -0x1.214084da0028fp-7, -0x1.1b8142f464d94p-7, -0x1.15dad64636a1fp-7, -0x1.104cee823f59fp-7, -0x1.0ad73bb178aefp-7, -0x1.05796e380b72cp-7, -0x1.003336da1ad6ep-7, -0x1.f6088d808ca8ap-8, -0x1.ebd89ef79fe9ep-8, -0x1.e1d60614f9556p-8, -0x1.d80027b482d81p-8, -0x1.ce56699a3afb9p-8, -0x1.c4d832796fe1p-8, -0x1.bb84e9fc4a2c1p-8, -0x1.b25bf8cab26c2p-8, -0x1.a95cc8835f50bp-8, -0x1.a086c4073e573p-8, -0x1.97d956ef456d3p-8, -0x1.8f53ee24616e5p-8, -0x1.86f5f798236cap-8, -0x1.7ebee25b41132p-8, -0x1.76ae1ea2967c3p-8, -0x1.6ec31dcc5c1a4p-8, -0x1.66fd5264540abp-8, -0x1.5f5c3026eb29fp-8, -0x1.57df2c03879c2p-8, -0x1.5085bc1ec359cp-8, -0x1.494f57d5615aep-8, -0x1.423b77c03f859p-8, -0x1.3b4995b95c2cep-8, -0x1.34792ce06dc9ap-8, -0x1.2dc9b99db976fp-8, -0x1.273ab9a4474dap-8, -0x1.20cbabf091bfap-8, -0x1.1a7c10c6f4355p-8, -0x1.144b69b2f7316p-8, -0x1.0e3939889efcap-8, -0x1.08450468a31b9p-8, -0x1.026e4fc67b429p-8, -0x1.f96944dc87866p-9, -0x1.ee2f0911ac14bp-9, -0x1.e32cff2e72b32p-9, -0x1.d8623ce5e32e2p-9, -0x1.cdcdda85a949dp-9, -0x1.c36ef2e7ec7c6p-9, -0x1.b944a371809f3p-9, -0x1.af4e0c187776ep-9, -0x1.a58a4f767e758p-9, -0x1.9bf892dfff45dp-9, -0x1.9297fe75c457ap-9, -0x1.8967bd29294afp-9, -0x1.8066fcae6a032p-9, -0x1.7794ed5ea4039p-9, -0x1.6ef0c2167f8d3p-9, -0x1.6679b015fbc7fp-9, -0x1.5e2eeef842d69p-9, -0x1.560fb8bebdfadp-9, -0x1.4e1b49f2c209ap-9, -0x1.4650e1c9c3d35p-9, -0x1.3eafc2692aa45p-9, -0x1.373730b4131d9p-9, -0x1.2fe6747c69509p-9, -0x1.28bcd837e4d6p-9, -0x1.21b9a8c77c8b9p-9, -0x1.1adc3539c0d6dp-9, -0x1.1423cea93d446p-9, -0x1.0d8fc8383a995p-9, -0x1.071f7731e54c2p-9, -0x1.00d23347e25ep-9, -0x1.f54eadab9e35bp-10, -0x1.e93c7e2a837ap-10, -0x1.dd6c985d6e086p-10, -0x1.d1ddc23df2a86p-10, -0x1.c68ec6eb5d814p-10, -0x1.bb7e75fce169cp-10, -0x1.b0aba2d90d2b5p-10, -0x1.a615244260843p-10, -0x1.9bb9d43a65de1p-10, -0x1.91989043f1bbcp-10, -0x1.87b039ec0f5dep-10, -0x1.7dffb779a933dp-10, -0x1.7485f48487413p-10, -0x1.6b41e24ca9bd6p-10, -0x1.623277b31ddc3p-10, -0x1.5956b0d4e03d2p-10, -0x1.50ad8e61a04adp-10, -0x1.483614da2cdecp-10, -0x1.3fef4be655529p-10, -0x1.37d83dea71b6cp-10, -0x1.2feff7f212b68p-10, -0x1.283589e40d7dep-10, -0x1.20a8075703b67p-10, -0x1.1946878df7943p-10, -0x1.121026aa871e3p-10, -0x1.0b0405b8720a8p-10, -0x1.04214ac2a62f8p-10, -0x1.face411f3e3bbp-11, -0x1.eda96c4ca368dp-11, -0x1.e0d27c7aed0fp-11, -0x1.d447dd69bbd81p-11, -0x1.c808005ca9a4p-11, -0x1.bc115ba4529dfp-11, -0x1.b0626a8763311p-11, -0x1.a4f9ad9082eccp-11, -0x1.99d5ab24614cp-11, -0x1.8ef4f0531ddbp-11, -0x1.8456117234e94p-11, -0x1.79f7aaabdcb8fp-11, -0x1.6fd8600dd873dp-11, -0x1.65f6dd11ad5cp-11, -0x1.5c51d440da2a4p-11, -0x1.52e7febc0167cp-11, -0x1.49b81be51ef3ap-11, -0x1.40c0f114faa81p-11, -0x1.3801493aa1c6cp-11, -0x1.2f77f455f3cb1p-11, -0x1.2723c6eab2464p-11, -0x1.1f0399a8dede2p-11, -0x1.1716497d60282p-11, -0x1.0f5ab809b50dap-11, -0x1.07cfcc47df165p-11, -0x1.007473084b1e8p-11, -0x1.f28f3e2b36ed6p-12, -0x1.e490921170bf7p-12, -0x1.d6eade1868eebp-12, -0x1.c99c299f572bap-12, -0x1.bca2877e00aa2p-12, -0x1.affc1688995d7p-12, -0x1.a3a701697df03p-12, -0x1.97a17d43e3648p-12, -0x1.8be9c74a6262fp-12, -0x1.807e223db59e7p-12, -0x1.755cd50bb07dep-12, -0x1.6a842b446fd6cp-12, -0x1.5ff2771a0cc75p-12, -0x1.55a613d0e53fep-12, -0x1.4b9d674b7d6a5p-12, -0x1.41d6e2289e46ep-12, -0x1.3850fe9501f64p-12, -0x1.2f0a3ed06d322p-12, -0x1.26012c7c2f554p-12, -0x1.1d3458f77625fp-12, -0x1.14a25ed2a190cp-12, -0x1.0c49e2d15a9e1p-12, -0x1.0429938d59f87p-12, -0x1.f8804e7154747p-13, -0x1.e918b0ba9cd6p-13, -0x1.da19c6ac3af6ep-13, -0x1.cb810c13c2a79p-13, -0x1.bd4c045d7aa9ep-13, -0x1.af7841b47d22ap-13, -0x1.a2036ae59620ap-13, -0x1.94eb3d3e6df53p-13, -0x1.882d89fab8fffp-13, -0x1.7bc8310bd6707p-13, -0x1.6fb91bcef0a6cp-13, -0x1.63fe3b414522cp-13, -0x1.5895808ed05b5p-13, -0x1.4d7cee496566ap-13, -0x1.42b28d893ad7cp-13, -0x1.38347788303f1p-13, -0x1.2e00d32ad1c22p-13, -0x1.2415d0cdf9accp-13, -0x1.1a71a50933d3ap-13, -0x1.111285f5b78f5p-13, -0x1.07f6ad834976cp-13, -0x1.fe38bdfe1a892p-14, -0x1.ed03e1ab3bc6p-14, -0x1.dc4b9098402aap-14, -0x1.cc0cbe2192e52p-14, -0x1.bc44777d25c91p-14, -0x1.acefdd36990b3p-14, -0x1.9e0c1dfa9a8a1p-14, -0x1.8f967330c4e79p-14, -0x1.818c1df39047cp-14, -0x1.73ea64c40685bp-14, -0x1.66ae9425e86e1p-14, -0x1.59d6035f8ccb2p-14, -0x1.4d5e1b163691ep-14, -0x1.414458f488914p-14, -0x1.35864d466e14dp-14, -0x1.2a2194887d101p-14, -0x1.1f13d2c77a08ep-14, -0x1.145ab570191a9p-14, -0x1.09f3fa4a187cfp-14, -0x1.ffbaea45af56bp-15, -0x1.ec2a1dcb415d7p-15, -0x1.d9317f9ceeec8p-15, -0x1.c6cd167711d0ep-15, -0x1.b4f9023291e6bp-15, -0x1.a3b184e116f12p-15, -0x1.92f30624825d6p-15, -0x1.82ba092613c17p-15, -0x1.730318a9812cdp-15, -0x1.63cab5d02ab6ep-15, -0x1.550d5548962fdp-15, -0x1.46c76d5bf73c9p-15, -0x1.38f58c903b5e7p-15, -0x1.2b946c68c149ep-15, -0x1.1ea0f6e07acc4p-15, -0x1.12183d670a5f9p-15, -0x1.05f7681957d15p-15, -0x1.f47750d3dc944p-16, -0x1.ddc46fda066a6p-16, -0x1.c7d0be9c05162p-16, -0x1.b296f1fb8f428p-16, -0x1.9e11d5cc8f794p-16, -0x1.8a3c4565fe3ebp-16, -0x1.77113f05c9848p-16, -0x1.648c03b51e8f9p-16, -0x1.52a81c6b06a31p-16, -0x1.416145430a031p-16, -0x1.30b346b249245p-16, -0x1.2099da38b15ecp-16, -0x1.1110a94f378cfp-16, -0x1.0213523a9c237p-16, -0x1.e73ae4ca92783p-17, -0x1.cb55753a5422ep-17, -0x1.b06e19e8e323fp-17, -0x1.967d2e89fed71p-17, -0x1.7d7bb3a31d065p-17, -0x1.656323ca2cc11p-17, -0x1.4e2d2114eae26p-17, -0x1.37d32f303deb7p-17, -0x1.224eb2c5514bcp-17, -0x1.0d9928fe9be63p-17, -0x1.f358949acaf83p-18, -0x1.cd03ed9971e22p-18, -0x1.a82867fe3ad8cp-18, -0x1.84bab6cae40ebp-18, -0x1.62b06aea08e19p-18, -0x1.41ff84f665b8dp-18, -0x1.229ddc332f93ep-18, -0x1.048108cf2ff8dp-18, -0x1.cf3d8588b580cp-19, -0x1.97da4d3e29289p-19, -0x1.62c53060f3f75p-19, -0x1.2feaffcab14c9p-19, -0x1.fe70dcb26af14p-20, -0x1.a134cdd85552ap-20, -0x1.47fd41c67ef59p-20, -0x1.e55084119b7ap-21, -0x1.422db8b26dbb5p-21, -0x1.4cb1a0c80ab47p-22, -0x1.19a3fb9eaa428p-25, 0x1.f11c9be6cc208p-23, 0x1.0387356b37c21p-21, 0x1.84618c99ccb6bp-21, 0x1.ff0e22b0e45cep-21, 0x1.39e09d0008a74p-20, 0x1.71568148bcb2cp-20, 0x1.a60075ce4d1a9p-20, 0x1.d7f47afaef30cp-20, 0x1.03a43845e8bffp-19, 0x1.1a09dd9257be1p-19, 0x1.2f37405289caap-19, 0x1.4337d4746812bp-19, 0x1.5616234ca96c6p-19, 0x1.67dc407cfa4aep-19, 0x1.789416e90234fp-19, 0x1.88475dbaad797p-19, 0x1.96ff8d1e58013p-19, 0x1.a4c5f9f3270d6p-19, 0x1.b1a3b964f55cbp-19, 0x1.bda19ca1ef69bp-19, 0x1.c8c88151c782bp-19, 0x1.d31f0f75933bep-19, 0x1.dcae240fa6302p-19, 0x1.e57c8c2715119p-19, 0x1.ed917a988eb61p-19, 0x1.f4f45537860b6p-19, 0x1.fbac7c961a673p-19, 0x1.00e0600931d86p-18, 0x1.039b9a84f55eep-18, 0x1.060ad11ab0ad7p-18, 0x1.0830e98a3446ep-18, 0x1.0a10b82424a9fp-18, 0x1.0bad18a16b6d2p-18, 0x1.0d0918ab4938cp-18, 0x1.0e27b20858bb7p-18, 0x1.0f0b8468cb10ap-18, 0x1.0fb7063f0a53ap-18, 0x1.102caea8a88a7p-18, 0x1.106ede5a2d3cep-18, 0x1.107fcdc8825c3p-18, 0x1.106198b6c884fp-18, 0x1.10164674f5639p-18, 0x1.0f9fdd29f8027p-18, 0x1.0f0066180863dp-18, 0x1.0e39eeab978d3p-18, 0x1.0d4e81088af9ep-18, 0x1.0c4014830e8d1p-18, 0x1.0b10782776304p-18, 0x1.09c148556fe99p-18, 0x1.0853fee1e6c8dp-18, 0x1.06ca1a60c75ecp-18, 0x1.05253623205a3p-18, 0x1.0366eba3da09cp-18, 0x1.01909aff0d497p-18, 0x1.ff46d294c7eecp-19, 0x1.fb4120943d0f4p-19, 0x1.f713060ffca59p-19, 0x1.f2bf404c6f6e9p-19, 0x1.ee4851e65fe7fp-19, 0x1.e9b0a4d52dd07p-19, 0x1.e4fa3a57e478bp-19, 0x1.e0270257aad02p-19, 0x1.db39174d6bcdfp-19, 0x1.d6327ff8664afp-19, 0x1.d1151aa9bbe8ep-19, 0x1.cbe2abf6d191cp-19, 0x1.c69ce9de98616p-19, 0x1.c1457fdfd7407p-19, 0x1.bbde0ebe05934p-19, 0x1.b6683a7197b8ap-19, 0x1.b0e594b976134p-19, 0x1.ab57b6f73781dp-19, 0x1.a5bfe3519219ap-19, 0x1.a01fad9772cacp-19, 0x1.9a784947c76bp-19, 0x1.94cae1f030338p-19, 0x1.8f189358c4d3p-19, 0x1.8962685503273p-19, 0x1.83a976738c2f1p-19, 0x1.7deed3449d14fp-19, 0x1.78339032e18bp-19, 0x1.72788e279b088p-19, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.97dbb52e59476p-3, 0x1.870a91a3bfd9fp-2, 0x1.13ea1d94db9e3p-1, 0x1.552c9c3ef98dp-1, 0x1.8716f3db489adp-1, 0x1.aa81dd4fa877fp-1, 0x1.c0dc2d11ae821p-1, 0x1.cbdb6849e24cep-1, 0x1.cd48f797d5facp-1, 0x1.c6e2cd5e44682p-1, 0x1.ba48ec343fb48p-1, 0x1.a8f363b1ebafdp-1, 0x1.942dd6763cae8p-1, 0x1.7d1698da7e606p-1, 0x1.64a01a74bcc3fp-1, 0x1.4b93b6f0343c9p-1, 0x1.32955129b3015p-1, 0x1.1a274d0aa91d3p-1, 0x1.02ae9e9f7dfaep-1, 0x1.d8ed7cbe3af2cp-2, 0x1.af6ac8f068869p-2, 0x1.891bf252367f1p-2, 0x1.662960bbf48a8p-2, 0x1.46a2996314e16p-2, 0x1.2a8315b1729f5p-2, 0x1.11b6744becfb1p-2, 0x1.f83823547d144p-3, 0x1.d3142deb1a891p-3, 0x1.b3a01b51c759fp-3, 0x1.99720bf73c0c5p-3, 0x1.841aba9dcc8c6p-3, 0x1.7328621dadf7fp-3, 0x1.66291310fddf9p-3, 0x1.5cac8e45f24ecp-3, 0x1.5645b6baf17edp-3, 0x1.528bab9e12ed6p-3, 0x1.511a98ea384b2p-3, 0x1.51944b1d731f5p-3, 0x1.53a090f6d23dfp-3, 0x1.56ed738f55625p-3, 0x1.5b2f4dfb01accp-3, 0x1.6020ca86adc6ep-3, 0x1.6582c93b7f9ep-3, 0x1.6b1c372fe54cdp-3, 0x1.70b9d9e23ffcap-3, 0x1.762e0e28a815cp-3, 0x1.7b50839445ed9p-3, 0x1.7ffdf19510bf1p-3, 0x1.8417ca06b5911p-3, 0x1.8783eb9ad65f8p-3, 0x1.8a2c533aa6a35p-3, 0x1.8bfecf28c7ecdp-3, 0x1.8cecb389ab908p-3, 0x1.8cea90ef5e1f4p-3, 0x1.8befed2cc086fp-3, 0x1.89f6fee26cfdap-3, 0x1.86fc6be4a3e82p-3, 0x1.82ff0abf359d4p-3, 0x1.7dffa72bbfd43p-3, 0x1.7800c97060808p-3, 0x1.710680ecc4004p-3, 0x1.6916320ee6692p-3, 0x1.603667d735aefp-3, 0x1.566ea8c673286p-3, 0x1.4bc74f1f8c99bp-3, 0x1.4049640c9748cp-3, 0x1.33fe7dd57f531p-3, 0x1.26f0a10b99fdcp-3, 0x1.192a24bbea031p-3, 0x1.0ab59990d1276p-3, 0x1.f73b675040b49p-4, 0x1.d7da6db6c599fp-4, 0x1.b75dca568a6fdp-4, 0x1.95dade8621424p-4, 0x1.7366cd8b62ad7p-4, 0x1.5016651b4ab7bp-4, 0x1.2bfe095484fbdp-4, 0x1.0731a41200ed3p-4, 0x1.c3892e860988dp-5, 0x1.779363be4944cp-5, 0x1.2aa64e457c659p-5, 0x1.b9ca1ef8330d8p-6, 0x1.1ce2f2f59910ap-6, 0x1.fb603f824a5dbp-8, -0x1.00c23ee2ca0fap-9, -0x1.7f6514bebc1d7p-7, -0x1.5fbde473f323ep-6, -0x1.000219feb59bdp-5, -0x1.5028ff56dfa5fp-5, -0x1.a03b32fe38216p-5, -0x1.f0218c482a33cp-5, -0x1.1fe31087ed89ap-4, -0x1.478a1e771842dp-4, -0x1.6efc2bf4472b3p-4, -0x1.96300657abc58p-4, -0x1.bd1d075421f99p-4, -0x1.e3bb0fd5a06f1p-4, -0x1.0501416ccd141p-3, -0x1.17f62017b69d7p-3, -0x1.2ab8cfa6acc85p-3, -0x1.3d46350a92d5bp-3, -0x1.4f9b6be8d865bp-3, -0x1.61b5c40985f5bp-3, -0x1.7392bef2c13dcp-3, -0x1.85300d80c3289p-3, -0x1.968b8d9d348b3p-3, -0x1.a7a347ffa9589p-3, -0x1.b8756e0da867dp-3, -0x1.c90057cea71dfp-3, -0x1.d94281ef27c66p-3, -0x1.e93a8be11c6dfp-3, -0x1.f8e7360c9b018p-3, -0x1.0423b00f952c6p-2, -0x1.0bad03aebd3fdp-2, -0x1.130f228fe9453p-2, -0x1.1a49a6a9ed4dap-2, -0x1.215c368a2d4dbp-2, -0x1.284684ac71f53p-2, -0x1.2f084ed84af96p-2, -0x1.35a15d8adbd76p-2, -0x1.3c1183661269bp-2, -0x1.42589ca971664p-2, -0x1.48768eb2d6a36p-2, -0x1.4e6b47857117fp-2, -0x1.5436bd57e4cdfp-2, -0x1.59d8ee2b3fe8fp-2, -0x1.5f51df636825p-2, -0x1.64a19d6a57259p-2, -0x1.69c83b54f6d2bp-2, -0x1.6ec5d2900a31dp-2, -0x1.739a829082568p-2, -0x1.78467085e2a5bp-2, -0x1.7cc9c71572a94p-2, -0x1.8124b61867ddap-2, -0x1.85577258cb5ep-2, -0x1.89623554f07e7p-2, -0x1.8d453d0b493fap-2, -0x1.9100cbc0578dp-2, -0x1.949527c96603cp-2, -0x1.98029b5e6b979p-2, -0x1.9b49746bb447fp-2, -0x1.9e6a0462a12e3p-2, -0x1.a164a00f5cf01p-2, -0x1.a4399f6f67434p-2, -0x1.a6e95d8c59ebfp-2, -0x1.a9743856fea7ap-2, -0x1.abda907d6775fp-2, -0x1.ae1cc94a44972p-2, -0x1.b03b4886f4128p-2, -0x1.b23676596a3a8p-2, -0x1.b40ebd1f3b47p-2, -0x1.b5c48950ff447p-2, -0x1.b758496a31051p-2, -0x1.b8ca6dc9cca86p-2, -0x1.ba1b6890a6f41p-2, -0x1.bb4bad880189cp-2, -0x1.bc5bb20bdec46p-2, -0x1.bd4becef5e246p-2, -0x1.be1cd6605b9e4p-2, -0x1.becee7cc03713p-2, -0x1.bf629bcc49faap-2, -0x1.bfd86e0f270cap-2, -0x1.c030db3e77122p-2, -0x1.c06c60e7c6a6ep-2, -0x1.c08b7d65834dep-2, -0x1.c08eafca57a16p-2, -0x1.c07677cd03f98p-2, -0x1.c04355b3d9d63p-2, -0x1.bff5ca3dc3af2p-2, -0x1.bf8e568ba67b8p-2, -0x1.bf0d7c0f2fb13p-2, -0x1.be73bc7b1c9d9p-2, -0x1.bdc199af9b634p-2, -0x1.bcf795a31375p-2, -0x1.bc16324e7ea8dp-2, -0x1.bb1df19fbb7e5p-2, -0x1.ba0f556c32f59p-2, -0x1.b8eadf5dd5adfp-2, -0x1.b7b110ddb30dep-2, -0x1.b6626b032dbb2p-2, -0x1.b4ff6e885235dp-2, -0x1.b3889bbe04fd3p-2, -0x1.b1fe727b458bbp-2, -0x1.b061720aac52ap-2, -0x1.aeb2191b7164p-2, -0x1.acf0e5b6c3e63p-2, -0x1.ab1e55355b957p-2, -0x1.a93ae43220cd9p-2, -0x1.a7470e7aa524cp-2, -0x1.a5434f0322f23p-2, -0x1.a3301fdaad353p-2, -0x1.a10dfa236cfc2p-2, -0x1.9edd56042f83cp-2, -0x1.9c9eaaa54a2b7p-2, -0x1.9a526e1d7cc07p-2, -0x1.97f9156dcee18p-2, -0x1.95931474b32ddp-2, -0x1.9320dde91cfdp-2, -0x1.90a2e350b81fbp-2, -0x1.8e1994f870299p-2, -0x1.8b8561eea2c8bp-2, -0x1.88e6b7f7960abp-2, -0x1.863e038a4a49p-2, -0x1.838bafc78a4b9p-2, -0x1.80d026758bfb8p-2, -0x1.7e0bcffad70bcp-2, -0x1.7b3f1359703e4p-2, -0x1.786a562940f22p-2, -0x1.758dfc9278facp-2, -0x1.72aa69493498dp-2, -0x1.6fbffd89e77cbp-2, -0x1.6ccf1916f65ddp-2, -0x1.69d81a36040c2p-2, -0x1.66db5daca1efp-2, -0x1.63d93ebd1e6c6p-2, -0x1.60d217237d88cp-2, -0x1.5dc63f13cdda5p-2, -0x1.5ab60d390cdc3p-2, -0x1.57a1d6b43499bp-2, -0x1.5489ef1b44f2fp-2, -0x1.516ea877f5cd7p-2, -0x1.4e505346cedc5p-2, -0x1.4b2f3e7715982p-2, -0x1.480bb76a84adbp-2, -0x1.44e609f5f2ad9p-2, -0x1.41be806185f1ap-2, -0x1.3e9563696ab18p-2, -0x1.3b6afa3e6abdfp-2, -0x1.383f8a8770f8ap-2, -0x1.35135862cd77p-2, -0x1.31e6a667ce169p-2, -0x1.2eb9b5a846cacp-2, -0x1.2b8cc5b21e519p-2, -0x1.286014913ddc2p-2, -0x1.2533ded2139ccp-2, -0x1.22085f842d14ep-2, -0x1.1eddd03cf02c2p-2, -0x1.1bb4691a357e4p-2, -0x1.188c60c514cc1p-2, -0x1.1565ec73f36d9p-2, -0x1.12413fee5c9adp-2, -0x1.0f1e8d9046cebp-2, -0x1.0bfe064de111p-2, -0x1.08dfd9b70c3f3p-2, -0x1.05c435fa933ep-2, -0x1.02ab47e9422efp-2, -0x1.ff2a75f2c2162p-3, -0x1.f90472958163ep-3, -0x1.f2e4d756b237bp-3, -0x1.eccbf3385af28p-3, -0x1.e6ba12ab545d5p-3, -0x1.e0af7f96c10d4p-3, -0x1.daac815e7419fp-3, -0x1.d4b15ce998ebp-3, -0x1.cebe54aab2f35p-3, -0x1.c8d3a8a94c6dcp-3, -0x1.c2f1968dfcff8p-3, -0x1.bd1859ac7855dp-3, -0x1.b7482b0f226e6p-3, -0x1.b181417e88bdfp-3, -0x1.abc3d1882fd08p-3, -0x1.a6100d84f052dp-3, -0x1.a06625a072dc6p-3, -0x1.9ac647e2992f4p-3, -0x1.9530a03ac437ap-3, -0x1.8fa5588c33852p-3, -0x1.8a2498b991a87p-3, -0x1.84ae86b05739fp-3, -0x1.7f4346703890dp-3, -0x1.79e2fa11ccaf7p-3, -0x1.748dc1cdce1e6p-3, -0x1.6f43bc02ff741p-3, -0x1.6a05053f2e8bbp-3, -0x1.64d1b849ca992p-3, -0x1.5fa9ee303209fp-3, -0x1.5a8dbe526bb76p-3, -0x1.557d3e6ed591ep-3, -0x1.507882ab9950ap-3, -0x1.4b7f9d9d9718cp-3, -0x1.4692a04d9afa5p-3, -0x1.41b19a3d50745p-3, -0x1.3cdc996dad917p-3, -0x1.3813aa6822facp-3, -0x1.3356d84a4b856p-3, -0x1.2ea62cd316dbap-3, -0x1.2a01b06f86339p-3, -0x1.25696a4506926p-3, -0x1.20dd6038a393ep-3, -0x1.1c5d96f389776p-3, -0x1.17ea11e68c7aep-3, -0x1.1382d34ec8cfdp-3, -0x1.0f27dc3cc208dp-3, -0x1.0ad92c9e986bbp-3, -0x1.0696c34c10744p-3, -0x1.02609e12c5719p-3, -0x1.fc6d738121f57p-4, -0x1.f432245606686p-4, -0x1.ec0f4469049e4p-4, -0x1.e404c79ec6214p-4, -0x1.dc12a004305dap-4, -0x1.d438bdd8c6cfep-4, -0x1.cc770fa1c929ep-4, -0x1.c4cd823756f37p-4, -0x1.bd3c00defeeb3p-4, -0x1.b5c2755b0949dp-4, -0x1.ae60c7f9b3f21p-4, -0x1.a716df9ff1db7p-4, -0x1.9fe4a1d1a4db7p-4, -0x1.98c9f2b9a8759p-4, -0x1.91c6b5339d459p-4, -0x1.8adacad873653p-4, -0x1.8406140d30be2p-4, -0x1.7d487012882dbp-4, -0x1.76a1bd136e3aap-4, -0x1.7011d831d2cdap-4, -0x1.69989d90b380fp-4, -0x1.6335e85c889a9p-4, -0x1.5ce992d45791cp-4, -0x1.56b3765209578p-4, -0x1.50936b5564298p-4, -0x1.4a89498f5b11bp-4, -0x1.4494e7edf9169p-4, -0x1.3eb61ca77ca7ep-4, -0x1.38ecbd444acafp-4, -0x1.33389ea798c66p-4, -0x1.2d9995175a186p-4, -0x1.280f744416da6p-4, -0x1.229a0f5139f21p-4, -0x1.1d3938ddfd96cp-4, -0x1.17ecc30e9e356p-4, -0x1.12b47f956429bp-4, -0x1.0d903fbb0279p-4, -0x1.087fd4662a5bbp-4, -0x1.03830e22774d1p-4, -0x1.fd337a4e8cb17p-5, -0x1.f38762bcf9084p-5, -0x1.ea0174d78b1aep-5, -0x1.e0a14f67cd6fep-5, -0x1.d76690c4ea1edp-5, -0x1.ce50d6f144d26p-5, -0x1.c55fbf85b8895p-5, -0x1.bc92e7de25a84p-5, -0x1.b3e9ed13fff86p-5, -0x1.ab646c0cc5cf3p-5, -0x1.a3020185cdb0dp-5, -0x1.9ac24a204da61p-5, -0x1.92a4e26cdac2ap-5, -0x1.8aa966f5f531bp-5, -0x1.82cf744948d28p-5, -0x1.7b16a7000bf2fp-5, -0x1.737e9bc748393p-5, -0x1.6c06ef68c02p-5, -0x1.64af3ed4c3b3cp-5, -0x1.5d77272cd8c43p-5, -0x1.565e45ccf41e4p-5, -0x1.4f643854c3a81p-5, -0x1.48889cad9a797p-5, -0x1.41cb110f63d93p-5, -0x1.3b2b34050273fp-5, -0x1.34a8a471bd708p-5, -0x1.2e430198cc69p-5, -0x1.27f9eb270790ap-5, -0x1.21cd013d71fd8p-5, -0x1.1bbbe47a92326p-5, -0x1.15c636010f8b1p-5, -0x1.0feb977990be6p-5, -0x1.0a2bab124caf5p-5, -0x1.0486137d8d612p-5, -0x1.fdf4e7e459bep-6, -0x1.f310e0619138ap-6, -0x1.e85f591c24cap-6, -0x1.dddf9c0090de7p-6, -0x1.d390f4592a4bap-6, -0x1.c972aedffdb0ep-6, -0x1.bf8419c25a84ap-6, -0x1.b5c4849506daap-6, -0x1.ac334040422ccp-6, -0x1.a2cf9ee931445p-6, -0x1.9998f3ea7516p-6, -0x1.908e93dcd2abp-6, -0x1.87afd4b4f3d7ep-6, -0x1.7efc0ded9ba72p-6, -0x1.767298b4600bcp-6, -0x1.6e12d002768ccp-6, -0x1.65dc10a343444p-6, -0x1.5dcdb91bd8345p-6, -0x1.55e7297d58fd8p-6, -0x1.4e27c3322648bp-6, -0x1.468ee8d8b6bcap-6, -0x1.3f1bfe39ca58ap-6, -0x1.37ce6862027dap-6, -0x1.30a58dda75392p-6, -0x1.29a0d6f031cfdp-6, -0x1.22bfadf542f2ap-6, -0x1.1c017f6544d33p-6, -0x1.1565b9e022fc8p-6, -0x1.0eebcdf978cbcp-6, -0x1.08932de939808p-6, -0x1.025b4d3471324p-6, -0x1.f88740d0fe84bp-7, -0x1.ec9739fe5061cp-7, -0x1.e0e572eeb5141p-7, -0x1.d570db39765c1p-7, -0x1.ca3865deb4128p-7, -0x1.bf3b0a151d88cp-7, -0x1.b477c3def19dbp-7, -0x1.a9ed943523d18p-7, -0x1.9f9b80b86e979p-7, -0x1.958092f9852a2p-7, -0x1.8b9bd7875ee5dp-7, -0x1.81ec5d0114072p-7, -0x1.78713369da50ap-7, -0x1.6f296becaae15p-7, -0x1.6614191ecd124p-7, -0x1.5d304fe25a87ep-7, -0x1.547d282adc8cfp-7, -0x1.4bf9be510094ap-7, -0x1.43a533bb87bcp-7, -0x1.3b7eaf2ecbc2ep-7, -0x1.33855c84cc076p-7, -0x1.2bb86be5ccd23p-7, -0x1.241710b4fdb31p-7, -0x1.1ca08070c7772p-7, -0x1.1553f1c1d6eb3p-7, -0x1.0e309be8ab109p-7, -0x1.0735b6a9732abp-7, -0x1.00627ac18cbd7p-7, -0x1.f36c45b7ba00cp-8, -0x1.e65fd9988dfefp-8, -0x1.d99e3590259dap-8, -0x1.cd25e8859f3a1p-8, -0x1.c0f58c647cd1cp-8, -0x1.b50bc553c317ep-8, -0x1.a9673ff507d92p-8, -0x1.9e06af2d688d9p-8, -0x1.92e8ca001e6cdp-8, -0x1.880c49c921027p-8, -0x1.7d6fe8f681dfep-8, -0x1.73126251edadp-8, -0x1.68f27105aa0d8p-8, -0x1.5f0ed19592337p-8, -0x1.556643d98bdffp-8, -0x1.4bf78da1379cep-8, -0x1.42c17d45aba1cp-8, -0x1.39c2eb4f4c347p-8, -0x1.30fabaa0c87d3p-8, -0x1.2867d72a952c8p-8, -0x1.200933bf1c10ap-8, -0x1.17ddc7e6fb26dp-8, -0x1.0fe48e5ed8f6cp-8, -0x1.081c84625b279p-8, -0x1.0084a95b03e64p-8, -0x1.f237fcdf1bd1cp-9, -0x1.e3c30baa94a7p-9, -0x1.d5a884ba82ad4p-9, -0x1.c7e66feef257dp-9, -0x1.ba7adb13ee6bep-9, -0x1.ad63df6c7086cp-9, -0x1.a09fa70c1a42p-9, -0x1.942c6fad0aa7ap-9, -0x1.880889c467c46p-9, -0x1.7c32540a914d5p-9, -0x1.70a8356794866p-9, -0x1.656897ec3ebefp-9, -0x1.5a71e6e49826ap-9, -0x1.4fc2903d3e8cp-9, -0x1.455907511876dp-9, -0x1.3b33c66cfcc9cp-9, -0x1.31514d6f756fep-9, -0x1.27b01e4e9418p-9, -0x1.1e4eba39fb86dp-9, -0x1.152ba209bb058p-9, -0x1.0c455aadb9c5p-9, -0x1.039a73e0f4f49p-9, -0x1.f6531c6b5412bp-10, -0x1.e5e2bc16a86d3p-10, -0x1.d5e154a2635p-10, -0x1.c64c8ef8e7ee7p-10, -0x1.b722212869054p-10, -0x1.a85fc28ba5fccp-10, -0x1.9a03266d907aap-10, -0x1.8c0a00a2f2191p-10, -0x1.7e720d3dfd103p-10, -0x1.713918740ec4dp-10, -0x1.645cfed2b6c23p-10, -0x1.57dba5104b98ap-10, -0x1.4bb2ebcaaafp-10, -0x1.3fe0a7746a614p-10, -0x1.3462a22852bd7p-10, -0x1.2936a6651827dp-10, -0x1.1e5a8eb5d1c6cp-10, -0x1.13cc4c7f08e34p-10, -0x1.0989f1e84b42cp-10, -0x1.ff23636a1df3p-11, -0x1.ebc3b8aad081ep-11, -0x1.d8f1ae37a3675p-11, -0x1.c6aa214428d7dp-11, -0x1.b4e9eea7f421ap-11, -0x1.a3adec7ec193ap-11, -0x1.92f2f2b9a9864p-11, -0x1.82b5ed2e4dbaep-11, -0x1.72f3ea817179fp-11, -0x1.63aa1ae66887dp-11, -0x1.54d5bbe0fba83p-11, -0x1.4673fced4b7ccp-11, -0x1.3881efe303d72p-11, -0x1.2afc8f9ac4db4p-11, -0x1.1de0d4e43513ap-11, -0x1.112bc6ee0707bp-11, -0x1.04da7f4a7d429p-11, -0x1.f1d45cf0b33c5p-12, -0x1.dab05b8d71f15p-12, -0x1.c444281a1233ap-12, -0x1.ae8b6cf311b3fp-12, -0x1.99821ed507613p-12, -0x1.852437d0ecb05p-12, -0x1.716d8b96d2e97p-12, -0x1.5e59caa05b174p-12, -0x1.4be4a77d28223p-12, -0x1.3a09fba951ed1p-12, -0x1.28c5d2d827137p-12, -0x1.18145f2e83387p-12, -0x1.07f1e6380d075p-12, -0x1.f0b55e87cf199p-13, -0x1.d295edc39a351p-13, -0x1.b57de245a1c9p-13, -0x1.9965bd67d94b1p-13, -0x1.7e4636f358083p-13, -0x1.64180fada200fp-13, -0x1.4ad3ce8932c91p-13, -0x1.3271fc5807ab5p-13, -0x1.1aebe6d5e0f26p-13, -0x1.043c198768256p-13, -0x1.dcbbdfbd7be58p-14, -0x1.b2995ef39dcf1p-14, -0x1.8a061828e35cbp-14, -0x1.62f6d7aaa623fp-14, -0x1.3d60e74c3af26p-14, -0x1.193a5806ae9d8p-14, -0x1.ecf28ed67239cp-15, -0x1.aa264869987e8p-15, -0x1.69f988947d3e6p-15, -0x1.2c56310f2f044p-15, -0x1.e24f2c2163327p-16, -0x1.70b554ef7b517p-16, -0x1.03ba886f428c8p-16, -0x1.36760ad25a6c1p-17, -0x1.b8a34b922da9fp-19, 0x1.46c96f7e3cfd8p-19, 0x1.095abee79aaadp-17, 0x1.b9170d40de37ep-17, 0x1.3098e9b10a171p-16, 0x1.80f45b25ddf37p-16, 0x1.cdb2ff5b49668p-16, 0x1.0b7406931bb91p-15, 0x1.2e56970bdcb6p-15, 0x1.4f90722e5f456p-15, 0x1.6f2f24112178cp-15, 0x1.8d3cacc794f0cp-15, 0x1.a9c1ef4fcf934p-15, 0x1.c4c9da134fcd1p-15, 0x1.de620737106e9p-15, 0x1.f6995eb7138c8p-15, 0x1.06bf4511b8974p-14, 0x1.118f8281d4e6p-14, 0x1.1bc363465ce22p-14, 0x1.25603af30d294p-14, 0x1.2e6b03c15f592p-14, 0x1.36e8b7790b863p-14, 0x1.3ede4561c4239p-14, 0x1.4650071008937p-14, 0x1.4d418ea8b806ap-14, 0x1.53b6ae0721e6ap-14, 0x1.59b47c01c367fp-14, 0x1.5f40234b1e272p-14, 0x1.645cfdc279deap-14, 0x1.690d8a00d2c75p-14, 0x1.6d55a394f3786p-14, 0x1.713a09962c1aap-14, 0x1.74be1f8412a99p-14, 0x1.77e3c623f7629p-14, 0x1.7aad549e64a12p-14, 0x1.7d1e7fb26b1b3p-14, 0x1.7f3b945f677c5p-14, 0x1.81089eda950b9p-14, 0x1.82892f4bede85p-14, 0x1.83c074a9e504bp-14, 0x1.84b16c0c9a7bp-14, 0x1.855f050f482e6p-14, 0x1.85cc249f6b24dp-14, 0x1.85fbaf2771d5dp-14, 0x1.85f059687cdf1p-14, 0x1.85acae00ead57p-14, 0x1.85330c76519c2p-14, 0x1.84857a38f3268p-14, 0x1.83a56decdcb6bp-14, 0x1.82944e0b50a88p-14, 0x1.8154a08a4a1aep-14, 0x1.7fe9c2622d771p-14, 0x1.7e55b04d9de53p-14, 0x1.7c994468fb85dp-14, 0x1.7ab664722f383p-14, 0x1.78af4f90635ddp-14, 0x1.76853ac38676fp-14, 0x1.7439857221172p-14, 0x1.71ce7ff3e3ff9p-14, 0x1.6f46810c53b7p-14, 0x1.6ca34a070a1c3p-14, 0x1.69e625bbf2452p-14, 0x1.67102c60df4cep-14, 0x1.64227268e2df4p-14, 0x1.611e265b33a82p-14, 0x1.5e04a9c053721p-14, 0x1.5ad79d7c1bb66p-14, 0x1.5798c862080efp-14, 0x1.5449cc3774852p-14, 0x1.50ebd3112991ap-14, 0x1.4d7f8e04fd742p-14, 0x1.4a05a28cdc959p-14, 0x1.467f1b4acf0c1p-14, 0x1.42ed46e054c24p-14, 0x1.3f51010b9d13ap-14, 0x1.3baa5a54b366ap-14, 0x1.37f9c6336e339p-14, 0x1.3440ec2f0dc6ap-14, 0x1.30810ecbebdbep-14, 0x1.2cbb3aa0b3cb6p-14, 0x1.28f0bc4cfd16p-14, 0x1.2521c847ebf2dp-14, 0x1.214e8ad7ce9ccp-14, 0x1.1d77f5f41bba2p-14, 0x1.199ef310c3c75p-14, 0x1.15c41ba5be1e8p-14, 0x1.11e7e30de882cp-14, 0x1.0e0ab0a9485f5p-14, 0x1.0a2ce6c698566p-14, 0x1.064eee94985ddp-14, 0x1.0271551028c47p-14, 0x1.fd29ccf3a8d0ap-15, 0x1.f57532d9f8cdap-15, 0x1.edc636a9da142p-15, 0x1.e61d580003a27p-15, 0x1.de7aa13e8f8fp-15, 0x1.d6decf1984e26p-15, 0x1.cf4b0e8d2ccb6p-15, 0x1.c7bfd1701574fp-15, 0x1.c03d0f0da124ap-15, 0x1.b8c382013f2bdp-15, 0x1.b1547757685d1p-15, 0x1.a9f0b66a537dfp-15, }}, 
      {{-0x1.c362064630d78p-5, 0x1.8926b5a05e66dp-6, 0x1.f084195bf8f9cp-4, 0x1.c2aacbe50a691p-3, 0x1.3e4a70f563742p-2, 0x1.8dc5c4f8d373p-2, 0x1.cd946d98e8028p-2, 0x1.fd6b7bd1d03f8p-2, 0x1.0f12da0155a23p-1, 0x1.18a10b0dbb303p-1, 0x1.1c47626124819p-1, 0x1.1af9064e36f3cp-1, 0x1.15a3e670b26e5p-1, 0x1.0d2650b488eb4p-1, 0x1.024927824ca4fp-1, 0x1.eb7a6199e5137p-2, 0x1.d034e225948a7p-2, 0x1.b3c1b1683a85ap-2, 0x1.96f385fed0c4cp-2, 0x1.7a73dbdca1b32p-2, 0x1.5ec75a5863373p-2, 0x1.44525cc05f13cp-2, 0x1.2b5d6468e50dbp-2, 0x1.14194ecd726b2p-2, 0x1.fd46722a55cc8p-3, 0x1.d6100ab14d53bp-3, 0x1.b28efb3df2923p-3, 0x1.92ae2aad6e541p-3, 0x1.76489a0960adcp-3, 0x1.5d2d7bb2520d4p-3, 0x1.4723a82ab21fep-3, 0x1.33ec7fc0528d2p-3, 0x1.234648eb0ef41p-3, 0x1.14ee1b111c95p-3, 0x1.08a164d64794ap-3, 0x1.fc3e385824327p-4, 0x1.ea514a01e012cp-4, 0x1.db04f585824cp-4, 0x1.cde94dc60ede3p-4, 0x1.c2961ae3a3b8fp-4, 0x1.b8ab303d65eb1p-4, 0x1.afd08d6da7112p-4, 0x1.a7b653a867c02p-4, 0x1.a0149b5ce2eddp-4, 0x1.98ab3306a5ae1p-4, 0x1.914148f6b7adep-4, 0x1.89a50c1cf447fp-4, 0x1.81ab439173866p-4, 0x1.792ee1a783354p-4, 0x1.70109688087bep-4, 0x1.6636622ab89e7p-4, 0x1.5b8b29476baffp-4, 0x1.4ffe4d0ca0089p-4, 0x1.4383468cc1046p-4, 0x1.36114615cf3c5p-4, 0x1.27a2d6e0d88c3p-4, 0x1.183587eccf8e5p-4, 0x1.07c9998209489p-4, 0x1.ecc35e7175a07p-5, 0x1.c8050c8543053p-5, 0x1.a1656055d9776p-5, 0x1.78f4a500183c5p-5, 0x1.4ec5d7142862p-5, 0x1.22ee3791b20ddp-5, 0x1.eb09ce63809efp-6, 0x1.8d4512cd73678p-6, 0x1.2cc1dd4376352p-6, 0x1.936b19379e894p-7, 0x1.915ac6a66637cp-8, -0x1.91b693377634dp-13, -0x1.b2050762b085fp-8, -0x1.af16b1682bedbp-7, -0x1.440aaf3b9d766p-6, -0x1.b1c902521f0b8p-6, -0x1.1048890556b3p-5, -0x1.48176e75e175p-5, -0x1.8037e8a7e4525p-5, -0x1.b8917aeec3c7fp-5, -0x1.f10c84e2da55bp-5, -0x1.14c92781fe186p-4, -0x1.31068a36c662ep-4, -0x1.4d34050de866cp-4, -0x1.6947b20d0973p-4, -0x1.85382c5b6e31dp-4, -0x1.a0fc90fbbb09fp-4, -0x1.bc8c7e936eb99p-4, -0x1.d7e0146d985a6p-4, -0x1.f2eff0b6cd1a2p-4, -0x1.06da970c0ad37p-3, -0x1.1414b06713ea7p-3, -0x1.212349abc7c91p-3, -0x1.2e03a16f0c512p-3, -0x1.3ab32dad8df16p-3, -0x1.472f99d435c87p-3, -0x1.5376c4b2a6ae1p-3, -0x1.5f86be69b516fp-3, -0x1.6b5dc64d83054p-3, -0x1.76fa48c7dfb2fp-3, -0x1.825add3426235p-3, -0x1.8d7e43c010fa6p-3, -0x1.9863635087294p-3, -0x1.a3094763563aap-3, -0x1.ad6f1e135264ep-3, -0x1.b794360bdef9cp-3, -0x1.c177fc9f865e2p-3, -0x1.cb19fbe793778p-3, -0x1.d479d8f6d2098p-3, -0x1.dd97521dd6d8ep-3, -0x1.e6723d42eac4ep-3, -0x1.ef0a864c0d066p-3, -0x1.f7602d9de8688p-3, -0x1.ff7346aa7a8fbp-3, -0x1.03a1fb49435bbp-2, -0x1.0769396eaf635p-2, -0x1.0b0f801d722d1p-2, -0x1.0e94f8ade513cp-2, -0x1.11f9d2ec8fd1bp-2, -0x1.153e449652c68p-2, -0x1.186288db318f6p-2, -0x1.1b66dfeaeeabap-2, -0x1.1e4b8e8738182p-2, -0x1.2110dd9cc1a69p-2, -0x1.23b719e59bb82p-2, -0x1.263e938ee7fcep-2, -0x1.28a79de62c4b2p-2, -0x1.2af28f0d0a6aap-2, -0x1.2d1fbfb1f895bp-2, -0x1.2f2f8acd71e94p-2, -0x1.31224d64d14e6p-2, -0x1.32f86652b8853p-2, -0x1.34b23612c39bfp-2, -0x1.36501e8f6e792p-2, -0x1.37d282f7c71afp-2, -0x1.3939c797b078cp-2, -0x1.3a8651af0d3bbp-2, -0x1.3bb8875076881p-2, -0x1.3cd0cf4432d99p-2, -0x1.3dcf90e8e4d08p-2, -0x1.3eb53417947e7p-2, -0x1.3f82210dbe36ep-2, -0x1.4036c057468c1p-2, -0x1.40d37ab888ae9p-2, -0x1.4158b91ae75bfp-2, -0x1.41c6e47da0f3fp-2, -0x1.421e65e625c6p-2, -0x1.425fa64fc1862p-2, -0x1.428b0e9f7e3d1p-2, -0x1.42a10796672a2p-2, -0x1.42a1f9c9afbbep-2, -0x1.428e4d9743586p-2, -0x1.42666b18bde25p-2, -0x1.422aba1bd7beep-2, -0x1.41dba21d9f9ddp-2, -0x1.41798a41451f6p-2, -0x1.4104d9453b10ap-2, -0x1.407df57d639ap-2, -0x1.3fe544cfc280dp-2, -0x1.3f3b2cadc7b76p-2, -0x1.3e80120b1b54ap-2, -0x1.3db45958c1cf2p-2, -0x1.3cd866807dcbbp-2, -0x1.3bec9ce0af436p-2, -0x1.3af15f460c779p-2, -0x1.39e70fe59f11fp-2, -0x1.38ce10578d558p-2, -0x1.37a6c192e65bap-2, -0x1.367183ea2d31p-2, -0x1.352eb706b951dp-2, -0x1.33deb9e16518bp-2, -0x1.3281eabe10183p-2, -0x1.3118a7284901p-2, -0x1.2fa34bf05373fp-2, -0x1.2e223526922a9p-2, -0x1.2c95be1462b34p-2, -0x1.2afe4136c2213p-2, -0x1.295c183c69b42p-2, -0x1.27af9c03c9a27p-2, -0x1.25f92495a1795p-2, -0x1.2439091df63b2p-2, -0x1.226f9fe76a80fp-2, -0x1.209d3e59b317dp-2, -0x1.1ec238f7946ecp-2, -0x1.1cdee35a05804p-2, -0x1.1af3902a08712p-2, -0x1.1900911c52bcep-2, -0x1.170636ef64964p-2, -0x1.1504d169b3a1dp-2, -0x1.12fcaf56030e3p-2, -0x1.10ee1e7ec0fcbp-2, -0x1.0ed96ba9c58cp-2, -0x1.0cbee2962b54bp-2, -0x1.0a9ecdfa2af98p-2, -0x1.0879778192d8cp-2, -0x1.064f27c913be7p-2, -0x1.0420265cf0003p-2, -0x1.01ecb9b562fa6p-2, -0x1.ff6a4e6ab9dafp-3, -0x1.faf3665033e3fp-3, -0x1.f675417f8fb0bp-3, -0x1.f1f0642899289p-3, -0x1.ed65503f3e6ccp-3, -0x1.e8d48581082ebp-3, -0x1.e43e816870541p-3, -0x1.dfa3bf2fd9f2p-3, -0x1.db04b7ced0bc3p-3, -0x1.d661e1f9cb722p-3, -0x1.d1bbb221786e5p-3, -0x1.cd129a710dc33p-3, -0x1.c8670accbba58p-3, -0x1.c3b970d0d87p-3, -0x1.bf0a37d27388ap-3, -0x1.ba59c8e099f3ap-3, -0x1.b5a88ac5ae415p-3, -0x1.b0f6e20829304p-3, -0x1.ac4530eb0dc8ep-3, -0x1.a793d76efbcep-3, -0x1.a2e3335409d89p-3, -0x1.9e33a01c44d1ap-3, -0x1.9985770e6b3c5p-3, -0x1.94d90f38aa426p-3, -0x1.902ebd7361c9fp-3, -0x1.8b86d4642c468p-3, -0x1.86e1a48139385p-3, -0x1.823f7c152f21fp-3, -0x1.7da0a742af5f4p-3, -0x1.790570084e187p-3, -0x1.746e1e44b46d8p-3, -0x1.6fdaf7bb71ac5p-3, -0x1.6b4c4019ed132p-3, -0x1.66c238fcd9c0dp-3, -0x1.623d21f529581p-3, -0x1.5dbd388c6c9eep-3, -0x1.5942b84a34152p-3, -0x1.54cddab9de7e9p-3, -0x1.505ed76fd8ee2p-3, -0x1.4bf5e41069c2ap-3, -0x1.479334562d5a8p-3, -0x1.4336fa1802863p-3, -0x1.3ee1654e75acep-3, -0x1.3a92a41a4f17fp-3, -0x1.364ae2ca7314dp-3, -0x1.320a4be3524f7p-3, -0x1.2dd108260e87ap-3, -0x1.299f3e9759c9p-3, -0x1.25751485c723cp-3, -0x1.2152ad8ff20ddp-3, -0x1.1d382baaec231p-3, -0x1.1925af2971af4p-3, -0x1.151b56c3eceep-3, -0x1.11193fa09e3c2p-3, -0x1.0d1f855b35c97p-3, -0x1.092e420b70d89p-3, -0x1.05458e4afba2ep-3, -0x1.0165813b5ce9ap-3, -0x1.fb1c611957adp-4, -0x1.f37f610ae8e4p-4, -0x1.ebf428169b907p-4, -0x1.e47ad9581235dp-4, -0x1.dd13954ab8942p-4, -0x1.d5be79d78e685p-4, -0x1.ce7ba2606039ep-4, -0x1.c74b27ca752e9p-4, -0x1.c02d208a6ef82p-4, -0x1.b921a0b28c356p-4, -0x1.b228ba02f38dbp-4, -0x1.ab427bfb98b22p-4, -0x1.a46ef3ee93b89p-4, -0x1.9dae2d0caf32ep-4, -0x1.97003076a9ef5p-4, -0x1.90650544af978p-4, -0x1.89dcb09058878p-4, -0x1.8367357f8aa55p-4, -0x1.7d0495502f43cp-4, -0x1.76b4cf671cfd2p-4, -0x1.7077e1610edc5p-4, -0x1.6a4dc72448faap-4, -0x1.64367af0f2e9bp-4, -0x1.5e31f56e82931p-4, -0x1.58402db5be2b8p-4, -0x1.526119583776p-4, -0x1.4c94ac6743428p-4, -0x1.46dad97cc3d26p-4, -0x1.413391c72ec68p-4, -0x1.3b9ec5191a959p-4, -0x1.361c61faa9769p-4, -0x1.30ac55ba58f49p-4, -0x1.2b4e8c7ad0338p-4, -0x1.2602f13c7fb9bp-4, -0x1.20c96de3bbf93p-4, -0x1.1ba1eb3d6042p-4, -0x1.168c5104aee39p-4, -0x1.118885ec78fb8p-4, -0x1.0c966fabe3708p-4, -0x1.07b5f30db080dp-4, -0x1.02e6f3ffa6df9p-4, -0x1.fc52ab3f60cf4p-5, -0x1.f2f9f48aca9f3p-5, -0x1.e9c3870ffe3cfp-5, -0x1.e0af2485961f3p-5, -0x1.d7bc8d32edfbbp-5, -0x1.ceeb7ffec7ac9p-5, -0x1.c63bba7ef1a1dp-5, -0x1.bdacf915fba1ap-5, -0x1.b53ef705a28b1p-5, -0x1.acf16e87fc5adp-5, -0x1.a4c418e04abc3p-5, -0x1.9cb6ae677ddeap-5, -0x1.94c8e6958cff3p-5, -0x1.8cfa780a5da6cp-5, -0x1.854b1898b7823p-5, -0x1.7dba7d546fe4p-5, -0x1.76485aa344c7cp-5, -0x1.6ef4644eb0ef9p-5, -0x1.67be4d9499842p-5, -0x1.60a5c9355012p-5, -0x1.59aa897ec39a5p-5, -0x1.52cc40563003cp-5, -0x1.4c0a9f3fdb561p-5, -0x1.45655769b520ap-5, -0x1.3edc19b5d9badp-5, -0x1.386e96c7216a3p-5, -0x1.321c7f0daf882p-5, -0x1.2be582d2cdddp-5, -0x1.25c95243492cfp-5, -0x1.1fc79d7838cbcp-5, -0x1.19e0147ed90c2p-5, -0x1.1412676032aacp-5, -0x1.0e5e462947386p-5, -0x1.08c360f3ddf4bp-5, -0x1.034167efb16b5p-5, -0x1.fbb016d6a70e8p-6, -0x1.f10df7b89e2a1p-6, -0x1.e69bd3cc9c1ap-6, -0x1.dc590cc30c301p-6, -0x1.d24504c17e15fp-6, -0x1.c85f1e6f3222ap-6, -0x1.bea6bd0227deap-6, -0x1.b51b444ca427ep-6, -0x1.abbc18cedc7fcp-6, -0x1.a2889fa9c8284p-6, -0x1.99803edcfe08ap-6, -0x1.90a25d1c9342cp-6, -0x1.87ee61f36aa02p-6, -0x1.7f63b5c78a492p-6, -0x1.7701c1e3d1e58p-6, -0x1.6ec7f081daf5ep-6, -0x1.66b5acd36c1abp-6, -0x1.5eca630ab7702p-6, -0x1.5705806124a97p-6, -0x1.4f66731d0f124p-6, -0x1.47ecaa975cdadp-6, -0x1.40979741b78a8p-6, -0x1.3966aaadd9b1cp-6, -0x1.32595795462aap-6, -0x1.2b6f11e115dd9p-6, -0x1.24a74eaf4ce87p-6, -0x1.1e018456c1db6p-6, -0x1.177d2a68bac8fp-6, -0x1.1119b9b2190bep-6, -0x1.0ad6ac3d98303p-6, -0x1.04b37d5858719p-6, -0x1.fd5f53318457ap-7, -0x1.f1955dccef067p-7, -0x1.e6081901f1008p-7, -0x1.dab686077f8e1p-7, -0x1.cf9fa8c9223d6p-7, -0x1.c4c287dfc209dp-7, -0x1.ba1e2c8761918p-7, -0x1.afb1a298d4745p-7, -0x1.a57bf88d94443p-7, -0x1.9b7c3f8e331a5p-7, -0x1.91b18b88780d3p-7, -0x1.881af3450de04p-7, -0x1.7eb790747291cp-7, -0x1.75867face08dp-7, -0x1.6c86e05840d9p-7, -0x1.63b7d4974e606p-7, -0x1.5b1881260c66ep-7, -0x1.52a80d49c6cafp-7, -0x1.4a65a2d487425p-7, -0x1.42506e3c7e84dp-7, -0x1.3a679ec222548p-7, -0x1.32aa6694de984p-7, -0x1.2b17faee539a1p-7, -0x1.23af94102434dp-7, -0x1.1c706d239637fp-7, -0x1.1559c4083d2fap-7, -0x1.0e6ad91a95664p-7, -0x1.07a2ef051cbbap-7, -0x1.01014aafe7a8fp-7, -0x1.f50a66a7d926ep-8, -0x1.e85be55b3a45bp-8, -0x1.dbf5aa7f94229p-8, -0x1.cfd65520fd55bp-8, -0x1.c3fc8a936bf62p-8, -0x1.b866f66032b02p-8, -0x1.ad1449dbfcabap-8, -0x1.a2033b7e4b41cp-8, -0x1.97328627d881dp-8, -0x1.8ca0e88ce898ep-8, -0x1.824d24f0fc08p-8, -0x1.7836014926aabp-8, -0x1.6e5a47c147395p-8, -0x1.64b8c77b219b2p-8, -0x1.5b505552b3a2ap-8, -0x1.521fcc6920da2p-8, -0x1.49260e4867fa8p-8, -0x1.4062028efaa5ap-8, -0x1.37d29634297cfp-8, -0x1.2f76ba931b763p-8, -0x1.274d6478a02d8p-8, -0x1.1f558b71140c2p-8, -0x1.178e29834e966p-8, -0x1.0ff63b7491ea2p-8, -0x1.088cc14996567p-8, -0x1.0150bf9f2dd84p-8, -0x1.f48280916eec7p-9, -0x1.e6baa66efd30dp-9, -0x1.d9481d6939704p-9, -0x1.cc291e29355f5p-9, -0x1.bf5bebe34b43p-9, -0x1.b2ded23a662d2p-9, -0x1.a6b0230c94a34p-9, -0x1.9ace3499cd39fp-9, -0x1.8f37605f55062p-9, -0x1.83ea02e1d384ap-9, -0x1.78e47c810eccep-9, -0x1.6e25332e294cep-9, -0x1.63aa94b52837cp-9, -0x1.597318f8d4d9bp-9, -0x1.4f7d438249c93p-9, -0x1.45c7a3efc5e3fp-9, -0x1.3c50d530f2f2bp-9, -0x1.33177bd116441p-9, -0x1.2a1a43d8c4b62p-9, -0x1.2157dec234af9p-9, -0x1.18cf01ca6aa82p-9, -0x1.107e64bbe77e1p-9, -0x1.0864c1407270dp-9, -0x1.0080d2df3cdf8p-9, -0x1.f1a2afb129d9ep-10, -0x1.e2aa25d59f987p-10, -0x1.d4159b5f3d594p-10, -0x1.c5e2b5d03919cp-10, -0x1.b80f2fe29304cp-10, -0x1.aa98d9beae5ddp-10, -0x1.9d7d96857de28p-10, -0x1.90bb584402746p-10, -0x1.84501be8843e1p-10, -0x1.7839e66f344ffp-10, -0x1.6c76c38c10402p-10, -0x1.6104c513dac32p-10, -0x1.55e20234594c4p-10, -0x1.4b0c963c78be3p-10, -0x1.40829fc660851p-10, -0x1.3642418c9052p-10, -0x1.2c49a591eed22p-10, -0x1.229701eebd051p-10, -0x1.19289d6d5d97cp-10, -0x1.0ffcd1fec81b7p-10, -0x1.07120bcf9f54ep-10, -0x1.fccd8a99da67cp-11, -0x1.ebf303728d3b2p-11, -0x1.db91916547e1ap-11, -0x1.cba648dccf563p-11, -0x1.bc2e45daf80e9p-11, -0x1.ad26b0ded9c9p-11, -0x1.9e8cc19ff59acp-11, -0x1.905dbcc27feeep-11, -0x1.8296edd564076p-11, -0x1.7535a24240b4cp-11, -0x1.683729d61780ap-11, -0x1.5b98de20c48f3p-11, -0x1.4f582db7d3f14p-11, -0x1.4372a65f5f44cp-11, -0x1.37e5f9ed9a5dfp-11, -0x1.2caffc09189dbp-11, -0x1.21ce9975bebbp-11, -0x1.173fcc2920465p-11, -0x1.0d0190fe59d7ap-11, -0x1.0311e3f7fb317p-11, -0x1.f2dd84c591c0ep-12, -0x1.e02c66099cd4ep-12, -0x1.ce0c97d6b285ap-12, -0x1.bc7a65cb4d48cp-12, -0x1.ab722d546d523p-12, -0x1.9af04955f9119p-12, -0x1.8af10456dfe37p-12, -0x1.7b709b940b561p-12, -0x1.6c6b51da81a98p-12, -0x1.5ddd81c565f6fp-12, -0x1.4fc3b85209346p-12, -0x1.421ab562688e6p-12, -0x1.34df72cb7325dp-12, -0x1.280f1dd4ac9bap-12, -0x1.1ba7089c49d3cp-12, -0x1.0fa496fb125b7p-12, -0x1.04052ef5a5eeep-12, -0x1.f18c66cd347d3p-13, -0x1.dbca159a41e9cp-13, -0x1.c6be5bab55515p-13, -0x1.b26466c49d86dp-13, -0x1.9eb79f14b5106p-13, -0x1.8bb38697cb27fp-13, -0x1.79538d1425a1ap-13, -0x1.6792f704bce82p-13, -0x1.566ce84de2c45p-13, -0x1.45dc85e8a1b7cp-13, -0x1.35dd102e0eb77p-13, -0x1.2669e910e9a6dp-13, -0x1.177e9ac9beda2p-13, -0x1.0916f39c8552dp-13, -0x1.f65e4c95f8829p-14, -0x1.db87966be3057p-14, -0x1.c1a370f67233ap-14, -0x1.a8ab966f726eep-14, -0x1.909989a81426fp-14, -0x1.79669acdb3663p-14, -0x1.630c221d55abdp-14, -0x1.4d83b997f0cafp-14, -0x1.38c74e282aed1p-14, -0x1.24d10c7a14b39p-14, -0x1.119b433564edcp-14, -0x1.fe409087599b2p-15, -0x1.dab4cc89d0557p-15, -0x1.b887c11bd0e7bp-15, -0x1.97ae260244e5dp-15, -0x1.781d102fafc6dp-15, -0x1.59c9ab4fd238fp-15, -0x1.3ca8d280d7aaep-15, -0x1.20af69cc919d2p-15, -0x1.05d3866bda186p-15, -0x1.d81a4d626007p-16, -0x1.a6ab1762e08cfp-16, -0x1.774bb3bac494dp-16, -0x1.49ecb67b5615bp-16, -0x1.1e7dcf164512bp-16, -0x1.e9dee52fb40aap-17, -0x1.9a669c5069ad9p-17, -0x1.4e765a754751p-17, -0x1.05efb9973d8cdp-17, -0x1.81652d9d142cp-18, -0x1.fa7cc1d516093p-19, -0x1.fcc029bfccffcp-20, -0x1.c10d5eb710057p-24, 0x1.ade0c3a58d67p-20, 0x1.b0ee5b3f0a941p-19, 0x1.4028a0d0c9c5p-18, 0x1.a2b8add2a7d4dp-18, 0x1.00297dce256e3p-17, 0x1.2c944c362db25p-17, 0x1.56b6a7569d4a2p-17, 0x1.7ea5b92ba51c7p-17, 0x1.a46f95c9b756ep-17, 0x1.c820e03ec892ap-17, 0x1.e9cae432efd2cp-17, 0x1.04c13873dd103p-16, 0x1.13aced5958257p-16, 0x1.21af26e21f097p-16, 0x1.2ecdaa20535c2p-16, 0x1.3b0fb2fa2fb04p-16, 0x1.467e65a35282ap-16, 0x1.5123cf861b477p-16, 0x1.5b09c96a2e653p-16, 0x1.64394cd60e05dp-16, 0x1.6cba3d5ac81d7p-16, 0x1.749387176430ap-16, 0x1.7bcb941c96d7ep-16, 0x1.8268c8b0f2343p-16, 0x1.8871768712f06p-16, 0x1.8deb1d6bc0004p-16, 0x1.92da27adc7234p-16, 0x1.974357b7f1128p-16, 0x1.9b2d321cb411ap-16, 0x1.9e9e56130ec6ap-16, 0x1.a19add1f0b415p-16, 0x1.a425aeb9c9159p-16, 0x1.a64394274ad7cp-16, 0x1.a7fa927cbf319p-16, 0x1.a94ecff0d034ap-16, 0x1.aa425cf33f717p-16, 0x1.aad7ec8a7f1a5p-16, 0x1.ab1411ae8d734p-16, 0x1.aafc2d645fd3dp-16, 0x1.aa9544d16f223p-16, 0x1.a9e3acf6dcbbap-16, 0x1.a8eb39c54c9b2p-16, 0x1.a7af78dcacdfep-16, 0x1.a633e06b131cfp-16, 0x1.a47bf40f35384p-16, 0x1.a28b0d40267b3p-16, 0x1.a0645e2f7b67fp-16, 0x1.9e0ad6abad0c5p-16, 0x1.9b812b3496965p-16, 0x1.98c99a94b59fp-16, 0x1.95e5aafc63379p-16, 0x1.92d6cf526de7fp-16, 0x1.8f9ff2a475d6p-16, 0x1.8c45178d22c33p-16, 0x1.88c87378c56b9p-16, 0x1.852ac0e024adp-16, 0x1.816e1aa695282p-16, 0x1.7d95119785745p-16, 0x1.79a0d8a733796p-16, 0x1.7592d777a5286p-16, 0x1.716daf5dd7fc6p-16, 0x1.6d340ac617a44p-16, 0x1.68e7d31128252p-16, 0x1.648a57d9f9f3bp-16, 0x1.601caa8acf444p-16, 0x1.5b9fd7ecf9d62p-16, 0x1.57150fa71d95cp-16, 0x1.527dc3613ec62p-16, 0x1.4ddbb4db652d4p-16, 0x1.4930d559140a2p-16, 0x1.447ee56c68b81p-16, 0x1.3fc70e1f08e2ep-16, 0x1.3b09e10bb0a2ep-16, 0x1.3647e2a8068e5p-16, 0x1.318216e8da2dep-16, 0x1.2cb9d78b8537bp-16, 0x1.27eff12c6a35dp-16, 0x1.2324365057d2ep-16, 0x1.1e56f34e2293bp-16, 0x1.1989f0f926f2ep-16, 0x1.14be7c0dcbe5fp-16, 0x1.0ff59d6dcca44p-16, 0x1.0b30ac58ca52fp-16, 0x1.066fa947491fep-16, 0x1.01b28bd79384dp-16, 0x1.f9f47dc667d8bp-17, 0x1.f08f47ca080d9p-17, 0x1.e73676c471e8p-17, 0x1.ddeab065da7bep-17, 0x1.d4ac7f2c8d642p-17, 0x1.cb7c63d550a46p-17, 0x1.c25af2efbee0fp-17, 0x1.b949159276406p-17, 0x1.b0484ed3c9adap-17, 0x1.a75a702f49443p-17, 0x1.9e80e6d5aadc4p-17, 0x1.95bba97bb53c3p-17, 0x1.8d0a775567fe8p-17, 0x1.846dd269d46a6p-17, 0x1.7be6bf2b57527p-17, 0x1.7375694a33be3p-17, 0x1.6b1970e7fef7fp-17, 0x1.62d35adb7fc79p-17, 0x1.5aa451c455f4dp-17, 0x1.528ce798846e2p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.0a3df23454659p-3, -0x1.0a39afb743105p-3, -0x1.0a2ad56faa064p-3, -0x1.0a0683714d831p-3, -0x1.09bec3c17fa18p-3, -0x1.09436da82f42ep-3, -0x1.0882ff03df29bp-3, -0x1.076b5fa7d2298p-3, -0x1.05ea8a003aedfp-3, -0x1.03ef181ad351p-3, -0x1.0168b60b8f2bfp-3, -0x1.fc90f6debfbc4p-4, -0x1.f5025c44fc165p-4, -0x1.ec0ee0d0ee49bp-4, -0x1.e1a3b9bf412ccp-4, -0x1.d5b2255980be3p-4, -0x1.c82f68a62e172p-4, -0x1.b914b7489af9dp-4, -0x1.a85f0a31aa8c8p-4, -0x1.960ee96a8440fp-4, -0x1.82282cceb9e16p-4, -0x1.6cb1b70622d51p-4, -0x1.55b52d8180993p-4, -0x1.3d3eafb136905p-4, -0x1.235c8f2a46533p-4, -0x1.081f09f885973p-4, -0x1.d7300ff150558p-5, -0x1.9bb5b784e655dp-5, -0x1.5df80ed5bb577p-5, -0x1.1e220a6b504bbp-5, -0x1.b8c050b02790dp-6, -0x1.31c021e02af1fp-6, -0x1.4f40fabcb5d22p-7, -0x1.abf59d3ce990fp-10, 0x1.d21398e133d39p-8, 0x1.05cdfe27fa723p-6, 0x1.98be45acf7bf5p-6, 0x1.167c9231b8afbp-5, 0x1.6111bd8fb99cap-5, 0x1.abf201abd2158p-5, 0x1.f6f1d283af9d5p-5, 0x1.20f370d59807bp-4, 0x1.4654201305e8fp-4, 0x1.6b873df4587b7p-4, 0x1.9079dc90b731cp-4, 0x1.b519e3b648e4cp-4, 0x1.d956198c4072dp-4, 0x1.fd1e2950fe3fap-4, 0x1.103154252221bp-3, 0x1.218a8c7fa0fc1p-3, 0x1.3293f66afdb63p-3, 0x1.43474217b6a1bp-3, 0x1.539e968f66b94p-3, 0x1.6394906ce0833p-3, 0x1.73243fffe3816p-3, 0x1.824926ebe18c5p-3, 0x1.90ff35512f113p-3, 0x1.9f42c68fef81p-3, 0x1.ad109db3a68f4p-3, 0x1.ba65e195fa854p-3, 0x1.c74018c68f70ap-3, 0x1.d39d25453f599p-3, 0x1.df7b401b21725p-3, 0x1.ead8f4de07e2bp-3, 0x1.f5b51d29290c3p-3, 0x1.00076e0a62a8fp-2, 0x1.04f2ccdad2835p-2, 0x1.099c7f56289a6p-2, 0x1.0e0477e57f8c5p-2, 0x1.122ac4ec1d36p-2, 0x1.160f8eb9b6ff6p-2, 0x1.19b3158fd058cp-2, 0x1.1d15afbbecf7ep-2, 0x1.2037c7c7f8e1p-2, 0x1.2319dac1e6324p-2, 0x1.25bc769b36559p-2, 0x1.282038a0cfcbdp-2, 0x1.2a45cc0b434edp-2, 0x1.2c2de8a7681aap-2, 0x1.2dd95196f8491p-2, 0x1.2f48d428b36bap-2, 0x1.307d46c75a1c5p-2, 0x1.317787febd0b3p-2, 0x1.32387d95f9149p-2, 0x1.32c113bde22ap-2, 0x1.33123c528fe64p-2, 0x1.332cee2ef727p-2, 0x1.3312249168b2p-2, 0x1.32c2de8fcc751p-2, 0x1.32401e9a7cd6p-2, 0x1.318aea0c8b8f9p-2, 0x1.30a448c85e8e2p-2, 0x1.2f8d44df7daf3p-2, 0x1.2e46ea44866e3p-2, 0x1.2cd246863a883p-2, 0x1.2b306892b037dp-2, 0x1.29626081ae304p-2, 0x1.27693f6559a25p-2, 0x1.2546172058a3p-2, 0x1.22f9fa40aa83dp-2, 0x1.2085fbde7ac19p-2, 0x1.1deb2f7e4221ep-2, 0x1.1b2aa8f5a31b7p-2, 0x1.18457c526ce06p-2, 0x1.153cbdc34894bp-2, 0x1.12118181a0192p-2, 0x1.0ec4dbbc59431p-2, 0x1.0b57e08308444p-2, 0x1.07cba3b151221p-2, 0x1.042138da3642cp-2, 0x1.0059b333136adp-2, 0x1.f8ec4afc493e5p-3, 0x1.f0ef43e8d0323p-3, 0x1.e8be745d82b61p-3, 0x1.e05bfe1c979a3p-3, 0x1.d7ca0147922f6p-3, 0x1.cf0a9c2c4ccabp-3, 0x1.c61feb10284c1p-3, 0x1.bd0c07f9642c2p-3, 0x1.b3d10a76b5f0cp-3, 0x1.aa7107652b767p-3, 0x1.a0ee10b47354bp-3, 0x1.974a3529c1e4ep-3, 0x1.8d8780215c99dp-3, 0x1.83a7f94f0f629p-3, 0x1.79ada47daf47p-3, 0x1.6f9a814ddc62bp-3, 0x1.65708af44291ap-3, 0x1.5b31b7f771711p-3, 0x1.50dff9eda64d5p-3, 0x1.467d3d3a9d18dp-3, 0x1.3c0b68cdad08dp-3, 0x1.318c5de06841fp-3, 0x1.2701f7b5e70acp-3, 0x1.1c6e0b5af26a1p-3, 0x1.11d267674d85fp-3, 0x1.0730d3c034a1ep-3, 0x1.f91622b89cdc6p-4, 0x1.e3c5b412703bfp-4, 0x1.ce73c0658f11bp-4, 0x1.b9239d58790a8p-4, 0x1.a3d890f6e4625p-4, 0x1.8e95d14c6aeacp-4, 0x1.795e8403c0546p-4, 0x1.6435be0aa707fp-4, 0x1.4f1e833ac8af6p-4, 0x1.3a1bc607a437p-4, 0x1.25306731afb59p-4, 0x1.105f357ed35b7p-4, 0x1.f755daf0a0ce4p-5, 0x1.ce2c725c5d60ap-5, 0x1.a547600079802p-5, 0x1.7cabacd95c24p-5, 0x1.545e3bc8b87dfp-5, 0x1.2c63c94965f6cp-5, 0x1.04c0eb2e7d499p-5, 0x1.baf420db63e2fp-6, 0x1.6d2701e9b7e6ep-6, 0x1.2022bb1512677p-6, 0x1.a7de7ee5fde24p-7, 0x1.1128671c26601p-7, 0x1.f0c76b3d65cb9p-9, -0x1.6f716e2eaab89p-11, -0x1.5089f6d913b9fp-8, -0x1.37aafc5113d1bp-7, -0x1.c51cde8165a2ap-7, -0x1.284780c8b2a12p-6, -0x1.6cfb2f64a3048p-6, -0x1.b0a444099c404p-6, -0x1.f33dd3637ec7dp-6, -0x1.1a619e9518bc6p-5, -0x1.3a9815b38768fp-5, -0x1.5a4048d586f13p-5, -0x1.7958561b33e09p-5, -0x1.97de7f8923241p-5, -0x1.b5d12a8ea689cp-5, -0x1.d32edf85cabbap-5, -0x1.eff6492d62729p-5, -0x1.06131a0ebef0cp-4, -0x1.13dec71b50299p-4, -0x1.215db30605f81p-4, -0x1.2e8f7524b74fbp-4, -0x1.3b73b48a2c99cp-4, -0x1.480a27b4e5ec1p-4, -0x1.5452943c10489p-4, -0x1.604cce7ad93a6p-4, -0x1.6bf8b93a450c7p-4, -0x1.77564559b1786p-4, -0x1.8265717626c29p-4, -0x1.8d264990a41ep-4, -0x1.9798e6b3865p-4, -0x1.a1bd6e972ffa3p-4, -0x1.ab9413460e769p-4, -0x1.b51d12c0300bep-4, -0x1.be58b69e6f2bbp-4, -0x1.c74753b568903p-4, -0x1.cfe949b861572p-4, -0x1.d83f02dc163eap-4, -0x1.e048f379c32d2p-4, -0x1.e80799b24a63dp-4, -0x1.ef7b7d11c53f2p-4, -0x1.f6a52e3373f5cp-4, -0x1.fd854666330c3p-4, -0x1.020e33a8c78ddp-3, -0x1.05359d4dc7c78p-3, -0x1.083938c79d0bap-3, -0x1.0b196261ff2bep-3, -0x1.0dd679e302415p-3, -0x1.1070e25fc0294p-3, -0x1.12e9021186d47p-3, -0x1.153f422b96d77p-3, -0x1.17740eb17ccb3p-3, -0x1.1987d64dfe734p-3, -0x1.1b7b0a2ab6ef3p-3, -0x1.1d4e1dc852219p-3, -0x1.1f0186d77fed6p-3, -0x1.2095bd1293daep-3, -0x1.220b3a17e39c5p-3, -0x1.23627944dd699p-3, -0x1.249bf791e0c03p-3, -0x1.25b8336edb4afp-3, -0x1.26b7aca0abb2ap-3, -0x1.279ae41f4a585p-3, -0x1.28625bf4c60c4p-3, -0x1.290e971d0085cp-3, -0x1.29a019664965ep-3, -0x1.2a176752b8facp-3, -0x1.2a7505fa698e6p-3, -0x1.2ab97aee78606p-3, -0x1.2ae54c1cdf02ap-3, -0x1.2af8ffb51704ep-3, -0x1.2af51c0d97c58p-3, -0x1.2ada278a1cceap-3, -0x1.2aa8a882c3b4ep-3, -0x1.2a61252bf283p-3, -0x1.2a04237f1221dp-3, -0x1.2992292414d2p-3, -0x1.290bbb5bc1ae1p-3, -0x1.28715eead428ep-3, -0x1.27c39805d7c87p-3, -0x1.2702ea3dd458dp-3, -0x1.262fd86db73c1p-3, -0x1.254ae4a87b9aep-3, -0x1.245490281c03p-3, -0x1.234d5b3d3310cp-3, -0x1.2235c53f5d9bbp-3, -0x1.210e4c7e53d99p-3, -0x1.1fd76e33b0a9dp-3, -0x1.1e91a6756ef65p-3, -0x1.1d3d70290f14dp-3, -0x1.1bdb44f7715bcp-3, -0x1.1a6b9d4148e34p-3, -0x1.18eef01440d57p-3, -0x1.1765b320b828dp-3, -0x1.15d05ab020f5cp-3, -0x1.142f599bf7f87p-3, -0x1.12832145519b3p-3, -0x1.10cc218cfc89dp-3, -0x1.0f0ac8cc2f3e9p-3, -0x1.0d3f83cdc8752p-3, -0x1.0b6abdc8146eep-3, -0x1.098ce0571628fp-3, -0x1.07a6537756452p-3, -0x1.05b77d812d18p-3, -0x1.03c0c32488bddp-3, -0x1.01c2876529ee2p-3, -0x1.ff7a572ea9d77p-4, -0x1.fb621eb9e2918p-4, -0x1.f73d214638095p-4, -0x1.f30c174034d76p-4, -0x1.eecfb5a3708cbp-4, -0x1.ea88adf818239p-4, -0x1.e637ae51265c8p-4, -0x1.e1dd614b5bdc2p-4, -0x1.dd7a6e0cee3e9p-4, -0x1.d90f7845d9042p-4, -0x1.d49d2030d922cp-4, -0x1.d02402950c32dp-4, -0x1.cba4b8c8138d6p-4, -0x1.c71fd8b0eada7p-4, -0x1.c295f4cb2f37p-4, -0x1.be079c2af4d9dp-4, -0x1.b9755a812ebcp-4, -0x1.b4dfb820737f1p-4, -0x1.b0473a0250d1ap-4, -0x1.abac61cd08623p-4, -0x1.a70fadd9b2daap-4, -0x1.a271993acaa68p-4, -0x1.9dd29bc31e859p-4, -0x1.99332a0d14af9p-4, -0x1.9493b582515e7p-4, -0x1.8ff4ac63a2a8p-4, -0x1.8b5679d142b8ap-4, -0x1.86b985d35f312p-4, -0x1.821e3562e73cbp-4, -0x1.7d84ea729658bp-4, -0x1.78ee03f83fac8p-4, -0x1.7459ddf64b84cp-4, -0x1.6fc8d1856da0dp-4, -0x1.6b3b34de866d8p-4, -0x1.66b15b64b716dp-4, -0x1.622b95af95449p-4, -0x1.5daa31958bb2dp-4, -0x1.592d7a36574a5p-4, -0x1.54b5b805a27b2p-4, -0x1.504330d5bfba9p-4, -0x1.4bd627e275f2cp-4, -0x1.476edddbe593ap-4, -0x1.430d90f17d4b6p-4, -0x1.3eb27cdcfe681p-4, -0x1.3a5ddaed8b121p-4, -0x1.360fe212c2c7cp-4, -0x1.31c8c6e7e22fep-4, -0x1.2d88bbbee670ep-4, -0x1.294ff0abb51b8p-4, -0x1.251e938f4307p-4, -0x1.20f4d022b9978p-4, -0x1.1cd2d00296644p-4, -0x1.18b8bab9c45a9p-4, -0x1.14a6b5ccadd7dp-4, -0x1.109ce4c442cdp-4, -0x1.0c9b6938f4db1p-4, -0x1.08a262dda52f5p-4, -0x1.04b1ef8a81d6ap-4, -0x1.00ca2b47d3ef7p-4, -0x1.f9d660b1771fcp-5, -0x1.f22a2e8ba99b3p-5, -0x1.ea8fedcf9d647p-5, -0x1.e307c8e3cbbaep-5, -0x1.db91e6f8957d3p-5, -0x1.d42e6c1cdda6ep-5, -0x1.ccdd7952706ecp-5, -0x1.c59f2ca234eaep-5, -0x1.be73a1302dcc3p-5, -0x1.b75aef4f3b1fbp-5, -0x1.b0552c94a3c38p-5, -0x1.a9626beb64745p-5, -0x1.a282bda74256dp-5, -0x1.9bb62f979c0ebp-5, -0x1.94fccd1a055cp-5, -0x1.8e569f2c93332p-5, -0x1.87c3ac7ff52b2p-5, -0x1.8143f98944545p-5, -0x1.7ad788938cbf3p-5, -0x1.747e59d11f113p-5, -0x1.6e386b6c912ddp-5, -0x1.6805b99982b48p-5, -0x1.61e63ea5168ddp-5, -0x1.5bd9f30628ea9p-5, -0x1.55e0cd6d3f3ebp-5, -0x1.4ffac2d431295p-5, -0x1.4a27c68d8bb32p-5, -0x1.4467ca53ad1f8p-5, -0x1.3ebabe579b6dcp-5, -0x1.3920914f9151ap-5, -0x1.339930854580dp-5, -0x1.2e2487e3ec56dp-5, -0x1.28c28205f31a6p-5, -0x1.2373084273d5ep-5, -0x1.1e3602ba63ep-5, -0x1.190b58657dc7fp-5, -0x1.13f2ef1edf9cdp-5, -0x1.0eecabb16ecc1p-5, -0x1.09f871e3ebc8bp-5, -0x1.05162484caef5p-5, -0x1.0045a575c6b29p-5, -0x1.f70dab6e54b4ep-6, -0x1.edb32ae5bf16dp-6, -0x1.e47b880e6a299p-6, -0x1.db668022d816dp-6, -0x1.d273ceeff0617p-6, -0x1.c9a32ee917dap-6, -0x1.c0f4593bb79d8p-6, -0x1.b86705e2586a5p-6, -0x1.affaebb72cff6p-6, -0x1.a7afc0862d4c9p-6, -0x1.9f85391ebc1f4p-6, -0x1.977b0964c9376p-6, -0x1.8f90e4618d547p-6, -0x1.87c67c53bf264p-6, -0x1.801b82bf639d5p-6, -0x1.788fa87d23c9fp-6, -0x1.71229dc93b4adp-6, -0x1.69d41251f1368p-6, -0x1.62a3b545a994fp-6, -0x1.5b91356084d89p-6, -0x1.549c40f9a4918p-6, -0x1.4dc4860fff89cp-6, -0x1.4709b256caeadp-6, -0x1.406b7341889dbp-6, -0x1.39e9760fb5f68p-6, -0x1.338367d80d4e5p-6, -0x1.2d38f59376affp-6, -0x1.2709cc2793309p-6, -0x1.20f59870f48acp-6, -0x1.1afc074cf451ep-6, -0x1.151cc5a331c79p-6, -0x1.0f57806ec681ap-6, -0x1.09abe4c7188c2p-6, -0x1.04199fe8608cp-6, -0x1.fd40be77ca94bp-7, -0x1.f27fa0bfb07ffp-7, -0x1.e7ef425def72fp-7, -0x1.dd8eff8fa82fep-7, -0x1.d35e3527b98cdp-7, -0x1.c95c409c18265p-7, -0x1.bf888012d038fp-7, -0x1.b5e2526e50852p-7, -0x1.ac69175959b87p-7, -0x1.a31c2f523410ap-7, -0x1.99fafbb59796fp-7, -0x1.9104dec8f2827p-7, -0x1.88393bc4460cbp-7, -0x1.7f9776db8d0dep-7, -0x1.771ef5479fb6ep-7, -0x1.6ecf1d4eb62ebp-7, -0x1.66a7564c6f57p-7, -0x1.5ea708b9804edp-7, -0x1.56cd9e32dcd95p-7, -0x1.4f1a81808b539p-7, -0x1.478d1e9c17b25p-7, -0x1.4024e2b69709p-7, -0x1.38e13c3e5fa15p-7, -0x1.31c19ae461173p-7, -0x1.2ac56fa114075p-7, -0x1.23ec2cb92142ep-7, -0x1.1d3545c1b2519p-7, -0x1.16a02fa479c0ep-7, -0x1.102c60a359eb3p-7, -0x1.09d9505bc3689p-7, -0x1.03a677c9da37p-7, -0x1.fb26a29675d04p-8, -0x1.ef3eb1432e8bp-8, -0x1.e39415e9f17e8p-8, -0x1.d825cdab6934dp-8, -0x1.ccf2d87c9fdf8p-8, -0x1.c1fa3929dff6ep-8, -0x1.b73af55981fc7p-8, -0x1.acb4158df18cfp-8, -0x1.a264a527913b3p-8, -0x1.984bb265d379ap-8, -0x1.8e684e6873e28p-8, -0x1.84b98d2fd1da5p-8, -0x1.7b3e859d302ccp-8, -0x1.71f6517262041p-8, -0x1.68e00d5162331p-8, -0x1.5ffad8bb5fbbdp-8, -0x1.5745d60f9d045p-8, -0x1.4ec02a89fb725p-8, -0x1.4668fe41073dp-8, -0x1.3e3f7c241229cp-8, -0x1.3642d1f89d3c7p-8, -0x1.2e7230580b06fp-8, -0x1.26cccaac9441bp-8, -0x1.1f51d72e2dc11p-8, -0x1.18008edf48b34p-8, -0x1.10d82d8923f75p-8, -0x1.09d7f1b833f92p-8, -0x1.02ff1cb83ff58p-8, -0x1.f899e51ffa68dp-9, -0x1.eb8173f9fd679p-9, -0x1.deb378de0683ap-9, -0x1.d22e8c06db0fp-9, -0x1.c5f14b00f7cc6p-9, -0x1.b9fa58a0ad595p-9, -0x1.ae485cf7b3cbdp-9, -0x1.a2da054b0ed16p-9, -0x1.97ae040835c69p-9, -0x1.8cc310ba281b3p-9, -0x1.8217e7fe9329bp-9, -0x1.77ab4b7a567dep-9, -0x1.6d7c01cdd600fp-9, -0x1.6388d6897daffp-9, -0x1.59d09a2201342p-9, -0x1.505221e41bb17p-9, -0x1.470c47e8f8771p-9, -0x1.3dfdeb09444a4p-9, -0x1.3525eed15afb1p-9, -0x1.2c833b746a224p-9, -0x1.2414bdc021bccp-9, -0x1.1bd9671015667p-9, -0x1.13d02d40effbdp-9, -0x1.0bf80aa39f5ap-9, -0x1.044ffdf07c2dcp-9, -0x1.f9ae1474be5e4p-10, -0x1.eb186dc3d56edp-10, -0x1.dcdd1f10feab9p-10, -0x1.cefa480607d63p-10, -0x1.c16e109a9d8c6p-10, -0x1.b436a8f92f3c5p-10, -0x1.a75249660f0d1p-10, -0x1.9abf3224a5c35p-10, -0x1.8e7bab5df74a9p-10, -0x1.8286050681bc2p-10, -0x1.76dc96c431cb5p-10, -0x1.6b7dbfd47b381p-10, -0x1.6067e6f2c4935p-10, -0x1.55997a3eb6dd8p-10, -0x1.4b10ef22e8574p-10, -0x1.40ccc23a9ae25p-10, -0x1.36cb7738dd0aap-10, -0x1.2d0b98cf21b3ap-10, -0x1.238bb893e3075p-10, -0x1.1a4a6ee9fcebap-10, -0x1.11465ae79da18p-10, -0x1.087e223d8f569p-10, -0x1.ffe0e23cddd21p-11, -0x1.ef37f44c619dfp-11, -0x1.defeec842d9ccp-11, -0x1.cf33493123c89p-11, -0x1.bfd294e308319p-11, -0x1.b0da663c24266p-11, -0x1.a2485fc290eb1p-11, -0x1.941a2fb1640b2p-11, -0x1.864d8fcab7e4ep-11, -0x1.78e0452911d9cp-11, -0x1.6bd02012a701p-11, -0x1.5f1afbcc397ecp-11, -0x1.52bebe6b530c8p-11, -0x1.46b958ab00d23p-11, -0x1.3b08c5bf526b2p-11, -0x1.2fab0b2a7f5a8p-11, -0x1.249e3891ce93fp-11, -0x1.19e0679313fbcp-11, -0x1.0f6fbb9a68e6cp-11, -0x1.054a61b894eaep-11, -0x1.f6dd20f39a501p-12, -0x1.e3b50f7a67494p-12, -0x1.d11921193470dp-12, -0x1.bf05f9e964748p-12, -0x1.ad784fbb1aef9p-12, -0x1.9c6ce9c8036b4p-12, -0x1.8be0a06552356p-12, -0x1.7bd05cb956ffcp-12, -0x1.6c39186f73dep-12, -0x1.5d17dd6f0f9fbp-12, -0x1.4e69c5926e7ecp-12, -0x1.402bfa5d8bb4ep-12, -0x1.325bb4b806be4p-12, -0x1.24f63ca5b5d5ep-12, -0x1.17f8e901da2e8p-12, -0x1.0b611f3aeb0b1p-12, -0x1.fe58a61e8c23ep-13, -0x1.e6b00c9411395p-13, -0x1.cfc391039238dp-13, -0x1.b98e6daeff914p-13, -0x1.a40bf76c61eap-13, -0x1.8f379d29a4ebcp-13, -0x1.7b0ce7704f1fcp-13, -0x1.678777ec281aap-13, -0x1.54a308f003fa7p-13, -0x1.425b6d00dec84p-13, -0x1.30ac8e5fa193cp-13, -0x1.1f926e96ad21ap-13, -0x1.0f092607ebb5p-13, -0x1.fe19c6fb83acbp-14, -0x1.df33d7793edb4p-14, -0x1.c159322c809e1p-14, -0x1.a482b5fe079cbp-14, -0x1.88a96b48bfbcep-14, -0x1.6dc6830b55cc1p-14, -0x1.53d3561c339cfp-14, -0x1.3ac96462dcfc7p-14, -0x1.22a25412a28fdp-14, -0x1.0b57f0e73fc5fp-14, -0x1.e9c856cc6de84p-15, -0x1.be823042d5006p-15, -0x1.94d1de00b0296p-15, -0x1.6cac1514fd60fp-15, -0x1.4605ce696380dp-15, -0x1.20d4456325187p-15, -0x1.fa19ed0fcff4cp-16, -0x1.b54b3c5656d02p-16, -0x1.73286e404a707p-16, -0x1.339df2dcd7ed3p-16, -0x1.ed31644cd6835p-17, -0x1.780c1312a2edfp-17, -0x1.07a792ee2a354p-17, -0x1.37c0cbe7f5c37p-18, -0x1.a49f55fc46257p-20, 0x1.72fd41367d4cdp-20, 0x1.1a3691c8ea559p-18, 0x1.cf7e3d642b592p-18, 0x1.3e6a863e84749p-17, 0x1.913c15e5fb67fp-17, 0x1.e051a20d6592p-17, 0x1.15e420976dc78p-16, 0x1.39de27f961754p-16, 0x1.5c24ba9f9377ap-16, 0x1.7cc55303de2ep-16, 0x1.9bcd1498bb452p-16, 0x1.b948cdac778bep-16, 0x1.d544f94770677p-16, 0x1.efcdc0f2c09eep-16, 0x1.04777f476e29fp-15, 0x1.105a1f0613a97p-15, 0x1.1b945f91e5c2p-15, 0x1.262bbb858e85ap-15, 0x1.3025890cd2b8cp-15, 0x1.3986fab0642a3p-15, 0x1.42552024fd516p-15, 0x1.4a94e7121d91ep-15, 0x1.524b1bd535f8p-15, 0x1.597c6a4631461p-15, 0x1.602d5e6fcc468p-15, 0x1.66626546b1c89p-15, 0x1.6c1fcd64705c3p-15, 0x1.7169c7b02a701p-15, 0x1.7644681419bcep-15, 0x1.7ab3a624595c1p-15, 0x1.7ebb5dc86f827p-15, 0x1.825f4fdf4a9ddp-15, 0x1.85a322daef4e1p-15, 0x1.888a6364f1cf9p-15, 0x1.8b1884f27cb52p-15, 0x1.8d50e25eff142p-15, 0x1.8f36be7d4e218p-15, 0x1.90cd44a9ed876p-15, 0x1.9217895a92512p-15, 0x1.93188aa729ffdp-15, 0x1.93d330d3174c9p-15, 0x1.944a4ed32cdabp-15, 0x1.9480a2cd38ac6p-15, 0x1.9478d69b7597bp-15, 0x1.9435804752138p-15, 0x1.93b922858ceecp-15, 0x1.93062d2caa648p-15, 0x1.921efdaea57d4p-15, 0x1.9105df876489dp-15, 0x1.8fbd0caed887bp-15, 0x1.8e46ae077a41dp-15, 0x1.8ca4dbcaa4862p-15, 0x1.8ad99defb6692p-15, 0x1.88e6ec962ed2fp-15, 0x1.86ceb06a90d23p-15, 0x1.8492c30743abfp-15, 0x1.8234ef58512fcp-15, 0x1.7fb6f1f6899bap-15, 0x1.7d1a79877c013p-15, 0x1.7a612716820d9p-15, 0x1.778c8e6c3736cp-15, 0x1.749e3666d3401p-15, 0x1.7197994ec26afp-15, 0x1.6e7a25285ab3cp-15, 0x1.6b473c070f533p-15, 0x1.6800345b3cbd7p-15, 0x1.64a6593f4303p-15, 0x1.613aeac497e76p-15, 0x1.5dbf1e3b3718dp-15, 0x1.5a341e7d8c7b6p-15, }}, 
      {{-0x1.0a3e62f5c3868p-3, -0x1.0a3d5d75f9694p-3, -0x1.0a3a173a1e176p-3, -0x1.0a3251abadf3ap-3, -0x1.0a231a507ffadp-3, -0x1.0a08effa34ed9p-3, -0x1.09dfe80c4cdd1p-3, -0x1.09a3d1ad2d3f9p-3, -0x1.095055bfb6e4ep-3, -0x1.08e11328abcf9p-3, -0x1.0851b741c2c7dp-3, -0x1.079e128eac967p-3, -0x1.06c229e21931ap-3, -0x1.05ba442e262dp-3, -0x1.0482f54335eeep-3, -0x1.031925c4f08b9p-3, -0x1.017a18a021dcbp-3, -0x1.ff46dc9bc0711p-4, -0x1.fb264c5ffec4dp-4, -0x1.f68f3ca254e53p-4, -0x1.f17f239ec0b18p-4, -0x1.ebf42c657200bp-4, -0x1.e5ed2fd87c186p-4, -0x1.df69ac6424249p-4, -0x1.d869bcce1e064p-4, -0x1.d0ee0e6a094a7p-4, -0x1.c8f7d6f46544dp-4, -0x1.c088ca489aa53p-4, -0x1.b7a3101bf42adp-4, -0x1.ae4939dda34abp-4, -0x1.a47e38d3dfcecp-4, -0x1.9a455487756a9p-4, -0x1.8fa22189a233p-4, -0x1.8498789c1e49bp-4, -0x1.792c6e3fa2cf3p-4, -0x1.6d624aab2d14fp-4, -0x1.613e822c63913p-4, -0x1.54c5adf068166p-4, -0x1.47fc8533a7185p-4, -0x1.3ae7d6d6bfde3p-4, -0x1.2d8c83566efeap-4, -0x1.1fef77243a7bfp-4, -0x1.1215a55db3954p-4, -0x1.040402e00bdeep-4, -0x1.eb7f036bacf1p-5, -0x1.ce9a19b98fc1ep-5, -0x1.b16308c289406p-5, -0x1.93e3739b08e08p-5, -0x1.7624d9d40fa1dp-5, -0x1.58309199ee7bbp-5, -0x1.3a0fc26be511bp-5, -0x1.1bcb6067620d5p-5, -0x1.fad85042e581dp-6, -0x1.bdf5361111f9cp-6, -0x1.80fdf8915fd55p-6, -0x1.44029c57a67e1p-6, -0x1.07129fdf7e7d8p-6, -0x1.9479f02c97fa5p-7, -0x1.1b201b6bcbc0cp-7, -0x1.4466ed88c86f2p-8, -0x1.4e74c7becc0fep-10, 0x1.37d41b2858a69p-9, 0x1.89fe217666b86p-8, 0x1.3b384b3d9c412p-7, 0x1.b08a989bf3e4ap-7, 0x1.127079f2588a3p-6, 0x1.4c13b67c7e9a1p-6, 0x1.852591f39f1bep-6, 0x1.bd9d21d3f72ccp-6, 0x1.f571fe293f5cep-6, 0x1.164e1f37a73ap-5, 0x1.318a3b2155c3ap-5, 0x1.4c69d8f4f825dp-5, 0x1.66e9b96033dddp-5, 0x1.8106d5c4d29fdp-5, 0x1.9abe5e5a92c2cp-5, 0x1.b40db84c353dp-5, 0x1.ccf27bd2ba7dbp-5, 0x1.e56a7251747ddp-5, 0x1.fd7394753b05bp-5, 0x1.0a86042c6fa45p-4, 0x1.16190fd856c25p-4, 0x1.21722aff45fedp-4, 0x1.2c90a7680a5a4p-4, 0x1.3773ea03e0158p-4, 0x1.421b6a190e8edp-4, 0x1.4c86b073e01a6p-4, 0x1.56b5569e4a742p-4, 0x1.60a7061e7398cp-4, 0x1.6a5b77bc3a6e8p-4, 0x1.73d272cdd9c1cp-4, 0x1.7d0bcc8ba61cfp-4, 0x1.8607676ae0da5p-4, 0x1.8ec5327f8ed86p-4, 0x1.974528e5348e4p-4, 0x1.9f87512e5261dp-4, 0x1.a78bbcda7652cp-4, 0x1.af5287d2b488dp-4, 0x1.b6dbd7ec45541p-4, 0x1.be27dc71175d2p-4, 0x1.c536cdae1b9dp-4, 0x1.cc08ec8700e01p-4, 0x1.d29e820f1f7ecp-4, 0x1.d8f7df275cffep-4, 0x1.df155c20bdc31p-4, 0x1.e4f758636aa3ep-4, 0x1.ea9e3a19d7e7p-4, 0x1.f00a6ddfe4fc4p-4, 0x1.f53c6675b23a7p-4, 0x1.fa349c75e0f01p-4, 0x1.fef38e0f1390cp-4, 0x1.01bcdf603ad98p-3, 0x1.03e3db8c88e85p-3, 0x1.05ef023ce1c48p-3, 0x1.07de9c6cce15p-3, 0x1.09b2f5463ed92p-3, 0x1.0b6c5a05e8f34p-3, 0x1.0d0b19e09d26fp-3, 0x1.0e8f85e97959bp-3, 0x1.0ff9f0f8f77dbp-3, 0x1.114aaf94bd1edp-3, 0x1.128217d81bbc8p-3, 0x1.13a0815d3d8b5p-3, 0x1.14a64526eec83p-3, 0x1.1593bd8af0444p-3, 0x1.1669461cd4ea4p-3, 0x1.17273b995d0dep-3, 0x1.17cdfbd24250dp-3, 0x1.185de59a75012p-3, 0x1.18d758b2bf7fep-3, 0x1.193ab5b6c6e5p-3, 0x1.19885e0a70cbp-3, 0x1.19c0b3c79bc96p-3, 0x1.19e419ac2e22bp-3, 0x1.19f2f3087802dp-3, 0x1.19eda3ade3255p-3, 0x1.19d48fddf529ep-3, 0x1.19a81c3998483p-3, 0x1.1968adb0b24c2p-3, 0x1.1916a97209db5p-3, 0x1.18b274db6f752p-3, 0x1.183c756a34bc6p-3, 0x1.17b510abecc25p-3, 0x1.171cac2f77f74p-3, 0x1.1673ad76583c8p-3, 0x1.15ba79e656c2fp-3, 0x1.14f176bb6e86ep-3, 0x1.141908fa0a5b1p-3, 0x1.133195618db85p-3, 0x1.123b805f2cb7ap-3, 0x1.11372e0116babp-3, 0x1.102501e9f1204p-3, 0x1.0f055f44a1223p-3, 0x1.0dd8a8b86be7cp-3, 0x1.0c9f405d6be9fp-3, 0x1.0b5987b153bfap-3, 0x1.0a07df8c91abfp-3, 0x1.08aaa817bed16p-3, 0x1.074240c16c843p-3, 0x1.05cf0834452bdp-3, 0x1.04515c4d889fbp-3, 0x1.02c99a13ddd66p-3, 0x1.01381dae800f4p-3, 0x1.ff3a84b98622bp-4, 0x1.fbf2c4dbe4069p-4, 0x1.f899ae730c73p-4, 0x1.f52ff22f713c2p-4, 0x1.f1b63eb4d297cp-4, 0x1.ee2d408ccfd7bp-4, 0x1.ea95a21a0bea6p-4, 0x1.e6f00b8c1faf6p-4, 0x1.e33d22d42aa07p-4, 0x1.df7d8b9a0a9abp-4, 0x1.dbb1e7325a72cp-4, 0x1.d7dad494f63b9p-4, 0x1.d3f8f05449dd7p-4, 0x1.d00cd4952c694p-4, 0x1.cc1719076d1a6p-4, 0x1.c81852df02318p-4, 0x1.c41114cdcd584p-4, 0x1.c001eefe08e74p-4, 0x1.bbeb6f0d456d8p-4, 0x1.b7ce2008058cap-4, 0x1.b3aa8a65ed9bp-4, 0x1.af8134068002dp-4, 0x1.ab52a02e68201p-4, 0x1.a71f4f8555607p-4, 0x1.a2e7c0145dd8bp-4, 0x1.9eac6d44df83dp-4, 0x1.9a6dcfdfe7362p-4, 0x1.962c5e0e16c05p-4, 0x1.91e88b57fe216p-4, 0x1.8da2c8a6f38e6p-4, 0x1.895b844659f57p-4, 0x1.851329e557bd8p-4, 0x1.80ca2298fa6b4p-4, 0x1.7c80d4dec1e4ap-4, 0x1.7837a49f91bcbp-4, 0x1.73eef33300cb2p-4, 0x1.6fa71f63084a8p-4, 0x1.6b6085700b45ep-4, 0x1.671b7f1537ec8p-4, 0x1.62d8638d364d1p-4, 0x1.5e9787972a46ep-4, 0x1.5a593d7c0099dp-4, 0x1.561dd51402ae1p-4, 0x1.51e59bccae9ecp-4, 0x1.4db0dcaed2d15p-4, 0x1.497fe064e5b82p-4, 0x1.4552ed419937fp-4, 0x1.412a4746a4693p-4, 0x1.3d06302bc32eep-4, 0x1.38e6e765e51fbp-4, 0x1.34ccaa2e8a86ap-4, 0x1.30b7b38b4d5eep-4, 0x1.2ca83c558fc82p-4, 0x1.289e7b4252f12p-4, 0x1.249aa4ea2c9eap-4, 0x1.209cebd15f5a7p-4, 0x1.1ca580700b438p-4, 0x1.18b4913a7b8aap-4, 0x1.14ca4aa98baf6p-4, 0x1.10e6d7431eaeap-4, 0x1.0d0a5fa2ab4dp-4, 0x1.09350a81d5edbp-4, 0x1.0566fcc11b4c5p-4, 0x1.01a05970834e9p-4, 0x1.fbc283b0be307p-5, 0x1.f453ab0418181p-5, 0x1.ecf464817c605p-5, 0x1.e5a4e8749b209p-5, 0x1.de656be00414fp-5, 0x1.d736208ec432ap-5, 0x1.d0173525f962fp-5, 0x1.c908d5366150dp-5, 0x1.c20b294dd96fbp-5, 0x1.bb1e5708d2b18p-5, 0x1.b4428123b297p-5, 0x1.ad77c78c20e65p-5, 0x1.a6be47723c662p-5, 0x1.a0161b59b8062p-5, 0x1.997f5b2ad96b2p-5, 0x1.92fa1c435bafbp-5, 0x1.8c8671872c7eep-5, 0x1.86246b710c552p-5, 0x1.7fd41823026c1p-5, 0x1.79958376af93ap-5, 0x1.7368b70d73a7bp-5, 0x1.6d4dba606b9e1p-5, 0x1.674492d04398cp-5, 0x1.614d43b4d6a8dp-5, 0x1.5b67ce6ca4b1fp-5, 0x1.5594326c16581p-5, 0x1.4fd26d4c8b724p-5, 0x1.4a227adb3d281p-5, 0x1.44845527e6017p-5, 0x1.3ef7f493374c2p-5, 0x1.397d4fdd1d98cp-5, 0x1.34145c32c52f5p-5, 0x1.2ebd0d3c6fb7cp-5, 0x1.2977552b0ec6bp-5, 0x1.244324c5a5101p-5, 0x1.1f206b76705cdp-5, 0x1.1a0f1757d7bp-5, 0x1.150f1541244bap-5, 0x1.102050d2fb058p-5, 0x1.0b42b4839e5ffp-5, 0x1.067629aaf8affp-5, 0x1.01ba988e6586cp-5, 0x1.fa1fd0d88b40ep-6, 0x1.f0ebff0eae03ep-6, 0x1.e7d98663a28e6p-6, 0x1.dee82fb08c419p-6, 0x1.d617c2189961fp-6, 0x1.cd68031dd7a2p-6, 0x1.c4d8b6b5a13ccp-6, 0x1.bc699f5c8ab1p-6, 0x1.b41a7e29e90c9p-6, 0x1.abeb12e2ddc5dp-6, 0x1.a3db1c0cf3667p-6, 0x1.9bea570048372p-6, 0x1.94187ff94ea9ap-6, 0x1.8c65522a178a1p-6, 0x1.84d087cb2c4dfp-6, 0x1.7d59da2c08fb2p-6, 0x1.760101c319817p-6, 0x1.6ec5b63d5c4d9p-6, 0x1.67a7ae8d8d3bbp-6, 0x1.60a6a0faeeb9ep-6, 0x1.59c2432faac54p-6, 0x1.52fa4a46d2174p-6, 0x1.4c4e6ad9ea07bp-6, 0x1.45be590e23e0dp-6, 0x1.3f49c8a12e2adp-6, 0x1.38f06cf5a0a28p-6, 0x1.32b1f91f087c9p-6, 0x1.2c8e1feda68c4p-6, 0x1.268493f9bab77p-6, 0x1.209507ae7e7d7p-6, 0x1.1abf2d54c8f09p-6, 0x1.1502b71d55cc3p-6, 0x1.0f5f572ab81a3p-6, 0x1.09d4bf9af64a1p-6, 0x1.0462a290cfbabp-6, 0x1.fe11647974fabp-7, 0x1.f38d41cb059a8p-7, 0x1.e93841e145816p-7, 0x1.df11c9d4a02dap-7, 0x1.d5193f1a6b288p-7, 0x1.cb4e0793c9324p-7, 0x1.c1af899bfb0f9p-7, 0x1.b83d2c162aa48p-7, 0x1.aef6567aa3b0dp-7, 0x1.a5da70e373253p-7, 0x1.9ce8e4189a1a5p-7, 0x1.9421199bab995p-7, 0x1.8b827bb2f864ep-7, 0x1.830c757430d63p-7, 0x1.7abe72ce89784p-7, 0x1.7297e094777ep-7, 0x1.6a982c84eff68p-7, 0x1.62bec55428576p-7, 0x1.5b0b1ab403fe7p-7, 0x1.537c9d5bfbffcp-7, 0x1.4c12bf10a8a83p-7, 0x1.44ccf2aadcf22p-7, 0x1.3daaac1e66eabp-7, 0x1.36ab608067aa8p-7, 0x1.2fce860d4ed68p-7, 0x1.2913942e7a17p-7, 0x1.227a037f7299dp-7, 0x1.1c014dd2dcc11p-7, 0x1.15a8ee370f936p-7, 0x1.0f7060fa557b3p-7, 0x1.095723aeea4f4p-7, 0x1.035cb52e9648p-7, 0x1.fb012b3c16e7p-8, 0x1.ef848cdfef2cbp-8, 0x1.e44294cf9852bp-8, 0x1.d93a4b388e4cbp-8, 0x1.ce6abaf3642bap-8, 0x1.c3d2f187ce412p-8, 0x1.b971ff301b95ep-8, 0x1.af46f6dc485a6p-8, 0x1.a550ee349676cp-8, 0x1.9b8efd9bb6a42p-8, 0x1.920040307abd7p-8, 0x1.88a3d3cf39405p-8, 0x1.7f78d9129a36ap-8, 0x1.767e7354312e5p-8, 0x1.6db3c8aca96a7p-8, 0x1.651801f38645fp-8, 0x1.5caa4abeaef42p-8, 0x1.5469d1617f877p-8, 0x1.4c55c6eba6766p-8, 0x1.446d5f279deb5p-8, 0x1.3cafd098eda15p-8, 0x1.351c547a14eedp-8, 0x1.2db226ba3ded3p-8, 0x1.267085faa8497p-8, 0x1.1f56b38bd988ep-8, 0x1.1863f36a7c859p-8, 0x1.11978c3c2314p-8, 0x1.0af0c74bc77c6p-8, 0x1.046ef0860ee6cp-8, 0x1.fc22aceacdce3p-9, 0x1.efae947bf1a38p-9, 0x1.e3803f32a0fe6p-9, 0x1.d79659a3f77e1p-9, 0x1.cbef957de89f4p-9, 0x1.c08aa97db3f84p-9, 0x1.b5665166287afp-9, 0x1.aa814df59d677p-9, 0x1.9fda64dbbb651p-9, 0x1.957060aeda155p-9, 0x1.8b4210e149f2dp-9, 0x1.814e49b664345p-9, 0x1.7793e43762643p-9, 0x1.6e11be2811609p-9, 0x1.64c6b9fb4d302p-9, 0x1.5bb1bec762f16p-9, 0x1.52d1b83a2d8c4p-9, 0x1.4a25968d47c76p-9, 0x1.41ac4e79f0ae3p-9, 0x1.3964d92cde831p-9, 0x1.314e343a05deep-9, 0x1.29676190441b5p-9, 0x1.21af676cfc399p-9, 0x1.1a25504f8870fp-9, 0x1.12c82aecc1218p-9, 0x1.0b970a224e4b8p-9, 0x1.049104ea1a3e3p-9, 0x1.fb6a6c9b1c762p-10, 0x1.ee057ab20026fp-10, 0x1.e0f17a1dccb48p-10, 0x1.d42cb8b655f77p-10, 0x1.c7b58c0cc35fap-10, 0x1.bb8a515242a6ep-10, 0x1.afa96d3e88f95p-10, 0x1.a4114bf65adfap-10, 0x1.98c060f2707b6p-10, 0x1.8db526e5f8f06p-10, 0x1.82ee1fa57b407p-10, 0x1.7869d40dba887p-10, 0x1.6e26d3ea9ebdep-10, 0x1.6423b5de2c0fap-10, 0x1.5a5f1747db1a6p-10, 0x1.50d79c2bab4eep-10, 0x1.478bef19ce77bp-10, 0x1.3e7ac115fc6c7p-10, 0x1.35a2c97f417ecp-10, 0x1.2d02c5f7be43fp-10, 0x1.24997a4cb98f6p-10, 0x1.1c65b05e9e293p-10, 0x1.14663809769ep-10, 0x1.0c99e70d5eed7p-10, 0x1.04ff98f7274ecp-10, 0x1.fb2c5e1286982p-11, 0x1.ecb92049978eep-11, 0x1.dea351655b65ep-11, 0x1.d0e8d51a60c1bp-11, 0x1.c38799d301ca6p-11, 0x1.b67d98835473dp-11, 0x1.a9c8d47d07dc9p-11, 0x1.9d675b4426016p-11, 0x1.915744640039dp-11, 0x1.8596b1448cf84p-11, 0x1.7a23cd00497f2p-11, 0x1.6efccc3a697f7p-11, 0x1.641fecf5ace6p-11, 0x1.598b766b91fbbp-11, 0x1.4f3db8e3ef8e3p-11, 0x1.45350d8d4ef3p-11, 0x1.3b6fd6554affp-11, 0x1.31ec7dc189b0bp-11, 0x1.28a976c982fdap-11, 0x1.1fa53cb02f156p-11, 0x1.16de52deac8fap-11, 0x1.0e5344bf0828bp-11, 0x1.0602a597c049ep-11, 0x1.fbd620cefcc82p-12, 0x1.ec164f836856dp-12, 0x1.dcc32b5634dadp-12, 0x1.cdda16ee230fep-12, 0x1.bf58834abc66fp-12, 0x1.b13bef80989d6p-12, 0x1.a381e876cb379p-12, 0x1.962808a53d6bap-12, 0x1.892bf7d3d81d6p-12, 0x1.7c8b6ada9e57ep-12, 0x1.70442362d431bp-12, 0x1.6453efa890ep-12, 0x1.58b8aa3e2e9f5p-12, 0x1.4d7039cf8503ep-12, 0x1.427890e6d489ap-12, 0x1.37cfadb23f8d9p-12, 0x1.2d7399ca3a865p-12, 0x1.236269f8f055dp-12, 0x1.199a3e02b544ap-12, 0x1.1019406e99114p-12, 0x1.06dda650b6668p-12, 0x1.fbcb5e296a6dbp-13, 0x1.ea5f489357d74p-13, 0x1.d973b2dccbd2cp-13, 0x1.c905577d88e7fp-13, 0x1.b9110403ebe49p-13, 0x1.a99398b24e7b8p-13, 0x1.9a8a081f6ce7ep-13, 0x1.8bf156d6c3759p-13, 0x1.7dc69afba44a9p-13, 0x1.7006fbed6ab86p-13, 0x1.62afb1ecde17ap-13, 0x1.55be05c3f9218p-13, 0x1.492f506efda68p-13, 0x1.3d00fac62ee76p-13, 0x1.31307d2a8c3e8p-13, 0x1.25bb5f325871fp-13, 0x1.1a9f37586c316p-13, 0x1.0fd9aaac28019p-13, 0x1.05686c830649bp-13, 0x1.f6927c57e87b5p-14, 0x1.e2f3dd46e0155p-14, 0x1.cff0b492d48c5p-14, 0x1.bd84d5303fecap-14, 0x1.abac2bb9d1016p-14, 0x1.9a62bde385a3cp-14, 0x1.89a4a9f156312p-14, 0x1.796e262ee945ep-14, 0x1.69bb806b4ca28p-14, 0x1.5a891d75e2d4cp-14, 0x1.4bd3789f4772ep-14, 0x1.3d97233b88e49p-14, 0x1.2fd0c4268f5b3p-14, 0x1.227d174bbf5f3p-14, 0x1.1598ed2f7b5dbp-14, 0x1.09212a79d6eadp-14, 0x1.fa258f0b67c25p-15, 0x1.e2d59fe1ed734p-15, 0x1.cc4cc45cad0a4p-15, 0x1.b6855e33d6326p-15, 0x1.a179f31ef459dp-15, 0x1.8d252c0754f21p-15, 0x1.7981d43c80643p-15, 0x1.668ad8ae7bce7p-15, 0x1.543b472a830f2p-15, 0x1.428e4d9c349a2p-15, 0x1.317f39527eea3p-15, 0x1.21097647acb42p-15, 0x1.11288e6f8af38p-15, 0x1.01d82906350ebp-15, 0x1.e62813c9158fap-16, 0x1.c9b021ac98deap-16, 0x1.ae4071eab5001p-16, 0x1.93d1300ef72cdp-16, 0x1.7a5abbbf9b5a5p-16, 0x1.61d5a78688e8fp-16, 0x1.4a3ab7a1bcec7p-16, 0x1.3382e0d883327p-16, 0x1.1da747576b9f5p-16, 0x1.08a13d91f5984p-16, 0x1.e8d4865733c85p-17, 0x1.c1f807cf35f5p-17, 0x1.9ca0ad33f24dcp-17, 0x1.78c278462d676p-17, 0x1.5651bcdda4c7cp-17, 0x1.35431ef05b98ap-17, 0x1.158b90a5385b2p-17, 0x1.ee40a0f2e90c4p-18, 0x1.b3edcec2fa7a9p-18, 0x1.7c0a4e053bb72p-18, 0x1.46824fd782e99p-18, 0x1.13428fbd9768p-18, 0x1.c470a08112de6p-19, 0x1.66a2af3ec78a3p-19, 0x1.0cf7d938fb3bap-19, 0x1.6e9b4d4ce302cp-20, 0x1.960a51099a519p-21, 0x1.7760d48491019p-23, -0x1.97bcd3b773aafp-22, -0x1.e794b17c4ffd7p-21, -0x1.7ae12947210fp-20, -0x1.fb6dcfa1af47fp-20, -0x1.3ad4681fe7da8p-19, -0x1.74e48ad4cd9d1p-19, -0x1.ac01fd4cb9ddp-19, -0x1.e046aa19b33fep-19, -0x1.08e5def2e51dfp-18, -0x1.2054d6233ea5fp-18, -0x1.367c1a339237dp-18, -0x1.4b6732d19843fp-18, -0x1.5f2152030ba58p-18, -0x1.71b55656789bdp-18, -0x1.832dcd0a57cb9p-18, -0x1.9394f42036626p-18, -0x1.a2f4bc6b1b034p-18, -0x1.b156cb86e6681p-18, -0x1.bec47dd59ea9bp-18, -0x1.cb46e860045ep-18, -0x1.d6e6dab4a60fcp-18, -0x1.e1ace0b9c1efep-18, -0x1.eba14471a4301p-18, -0x1.f4cc0fb7dff79p-18, -0x1.fd350deee15cep-18, -0x1.0271e6d33a1a5p-17, -0x1.05efd11ef012ep-17, -0x1.0917d2b7c1a71p-17, -0x1.0bed5c719f11bp-17, -0x1.0e73c3d1f8e93p-17, -0x1.10ae43cf6be2fp-17, -0x1.129ffd8438f18p-17, -0x1.144bf8e510e9p-17, -0x1.15b5256b69dc7p-17, -0x1.16de5ac16d314p-17, -0x1.17ca596798c28p-17, -0x1.187bcb5756cdep-17, -0x1.18f5449e798eap-17, -0x1.193943fb83a2cp-17, -0x1.194a3370ee978p-17, -0x1.192a68d9f66e6p-17, -0x1.18dc2679369a1p-17, -0x1.18619b82b57cdp-17, -0x1.17bce4a5fd049p-17, -0x1.16f00c90c2811p-17, -0x1.15fd0c70be3bbp-17, -0x1.14e5cc70b5778p-17, -0x1.13ac2434b22dfp-17, -0x1.1251db50de62cp-17, -0x1.10d8a9be4d44cp-17, -0x1.0f42384e86638p-17, -0x1.0d902117969d4p-17, -0x1.0bc3efe30ee0bp-17, -0x1.09df229415fdbp-17, -0x1.07e3299168ab6p-17, -0x1.05d1682697d88p-17, -0x1.03ab34e7e081ep-17, -0x1.0171da0fe320bp-17, -0x1.fe4d2bb8bf865p-18, -0x1.f99535d2dd3bfp-18, -0x1.f4be21107eab1p-18, -0x1.efca262904023p-18, -0x1.eabb68908ae55p-18, -0x1.e593f71a43c5dp-18, -0x1.e055cc953e49cp-18, -0x1.db02d0692cc3ep-18, -0x1.d59cd72b5a854p-18, -0x1.d025a32e2bb1p-18, -0x1.ca9ee5132b0e4p-18, -0x1.c50a3c515d5b8p-18, -0x1.bf6937bf5a7dep-18, -0x1.b9bd56145ecb3p-18, -0x1.b4080668aed04p-18, -0x1.ae4aa8b26761cp-18, -0x1.a8868e3d9c0bcp-18, -0x1.a2bcfa2362d15p-18, -0x1.9cef21b9a985dp-18, -0x1.971e2d04db7c2p-18, -0x1.914b37227b2dfp-18, -0x1.8b774eb2f2b2dp-18, -0x1.85a37641d79dap-18, -0x1.7fd0a4a7868a2p-18, -0x1.79ffc56aaba5fp-18, -0x1.7431b92075f5p-18, -0x1.6e6755c549d19p-18, -0x1.68a167187a79cp-18, -0x1.62e0aef01f1e7p-18, -0x1.5d25e58ff67d1p-18, -0x1.5771b9fa7041dp-18, -0x1.51c4d240d7e54p-18, -0x1.4c1fcbcfaf98p-18, -0x1.46833bbb1218ap-18, -0x1.40efaf06c7804p-18, -0x1.3b65aaee0f1d5p-18, -0x1.35e5ad26800c8p-18, -0x1.30702c2533808p-18, -0x1.2b05975fff625p-18, -0x1.25a6578b34958p-18, -0x1.2052ced8d9fc6p-18, -0x1.1b0b5932aaedep-18, -0x1.15d04c75608ddp-18, -0x1.10a1f8a77e8d2p-18, -0x1.0b80a830aa8ccp-18, -0x1.066ca00de112p-18, -0x1.016620062e7d6p-18, -0x1.f8dac5b73a7dcp-19, -0x1.ef053cf7d7aaep-19, -0x1.e54c085fd9ef1p-19, -0x1.dbaf819013384p-19, -0x1.d22ff991cc5b3p-19, -0x1.c8cdb92aa63d3p-19, -0x1.bf8901330b01p-19, }}, 
      std::vector<double>(650, 0.0), 
      {{-0x1.658f70d8cd1a8p-8, -0x1.625b15db26b9ep-7, -0x1.05e890f0533b1p-6, -0x1.565d96b4910aep-6, -0x1.a19b6bce9ceeap-6, -0x1.e6f664b95443dp-6, -0x1.13013b69f6ba8p-5, -0x1.2f45848be7bbp-5, -0x1.4845148761587p-5, -0x1.5e0ffc7f1b302p-5, -0x1.70c558f7dc95p-5, -0x1.808fad1a47d1dp-5, -0x1.8da19d3d49cc3p-5, -0x1.98330a7c9ebb2p-5, -0x1.a07e90530c547p-5, -0x1.a6bf645fe4c79p-5, -0x1.ab2f96f0ba8e5p-5, -0x1.ae06b0bca0f35p-5, -0x1.af78a7e41fecdp-5, -0x1.afb5242c3ccap-5, -0x1.aee708d6f3ca8p-5, -0x1.ad343992e3a5bp-5, -0x1.aabd8fbff8972p-5, -0x1.a79ef5a1bd674p-5, -0x1.a3ef9de73a935p-5, -0x1.9fc24f0de85ecp-5, -0x1.9b25bb6cc4afap-5, -0x1.9624e007b6f17p-5, -0x1.90c7659251e6p-5, -0x1.8b1200334fd0ep-5, -0x1.8506cb9e0e92ap-5, -0x1.7ea5a1f0426a4p-5, -0x1.77ec6c6fb94dcp-5, -0x1.70d76dc906999p-5, -0x1.696185d08231p-5, -0x1.61846f08c7126p-5, -0x1.5938f65a2b326p-5, -0x1.50772d7b74c9dp-5, -0x1.47369891d974fp-5, -0x1.3d6e5789fbb0dp-5, -0x1.33154ba068ca6p-5, -0x1.2822398147642p-5, -0x1.1c8be85667e46p-5, -0x1.10493e0ab277ap-5, -0x1.035158fad065cp-5, -0x1.eb374e7be0478p-6, -0x1.ce3ff74d3f126p-6, -0x1.afad4126dd4d3p-6, -0x1.8f70d141f744fp-6, -0x1.6d7d7a9643a6bp-6, -0x1.49c75711fb284p-6, -0x1.2443dcddd75c7p-6, -0x1.f9d3df8988aep-7, -0x1.a763ddb4431d9p-7, -0x1.512b7cfb586ebp-7, -0x1.ee433b85946a6p-8, -0x1.32807ceb01095p-8, -0x1.bc23dcda86f15p-10, 0x1.708bafb623568p-10, 0x1.2efca8cb6b892p-8, 0x1.04bbe119b146cp-7, 0x1.75c0f58f5e58dp-7, 0x1.ea819c33e537p-7, 0x1.317796668f554p-6, 0x1.6f7c35f7c98c9p-6, 0x1.af44d682f461ep-6, 0x1.f0c67b3858454p-6, 0x1.19fa89d281ecbp-5, 0x1.3c61c79792b8p-5, 0x1.5f91f87c61fb3p-5, 0x1.8383b1fc2293p-5, 0x1.a82f278d1596ep-5, 0x1.cd8c34a19fe66p-5, 0x1.f392668765c87p-5, 0x1.0d1c830a15811p-4, 0x1.20bb90892b37dp-4, 0x1.34a1c9b0790fap-4, 0x1.48ca87de72888p-4, 0x1.5d311415841dap-4, 0x1.71d0aafe3251ap-4, 0x1.86a480b3c8859p-4, 0x1.9ba7c459cccb5p-4, 0x1.b0d5a3792183bp-4, 0x1.c6294d2452c75p-4, 0x1.db9df4e32f9dap-4, 0x1.f12ed5662379p-4, 0x1.036b99813474dp-3, 0x1.0e492efc299f7p-3, 0x1.192dda42b5343p-3, 0x1.241752621aecbp-3, 0x1.2f03572def67dp-3, 0x1.39efb200f1fe8p-3, 0x1.44da366826ab8p-3, 0x1.4fc0c2b96bcd1p-3, 0x1.5aa14096d0549p-3, 0x1.6579a55fe70cbp-3, 0x1.7047f29264556p-3, 0x1.7b0a361b3db72p-3, 0x1.85be8a998b7b3p-3, 0x1.906317944beb2p-3, 0x1.9af611a43cf48p-3, 0x1.a575ba92db1ddp-3, 0x1.afe0616f8e8ecp-3, 0x1.ba34629c08c6ap-3, 0x1.c47027d0b896p-3, 0x1.ce92281a34a71p-3, 0x1.d898e7d0787cep-3, 0x1.e282f88894e0ap-3, 0x1.ec4ef901a97c1p-3, 0x1.f5fb950dab921p-3, 0x1.ff8785769bae7p-3, 0x1.0478c7f058708p-2, 0x1.091c4354f50ep-2, 0x1.0dada463b963bp-2, 0x1.122c60d0a35cep-2, 0x1.1697f4762c395p-2, 0x1.1aefe141c620cp-2, 0x1.1f33af1fe75dep-2, 0x1.2362ebe7b9addp-2, 0x1.277d2b4688074p-2, 0x1.2b8206aafe342p-2, 0x1.2f711d304b643p-2, 0x1.334a138933988p-2, 0x1.370c93eb1bc7fp-2, 0x1.3ab84df91836ap-2, 0x1.3e4cf6af01d6dp-2, 0x1.41ca484c9a9dap-2, 0x1.45300240bc668p-2, 0x1.487de9149ba08p-2, 0x1.4bb3c657148a4p-2, 0x1.4ed168880b56fp-2, 0x1.51d6a303d3cddp-2, 0x1.54c34deea68b7p-2, 0x1.5797462017246p-2, 0x1.5a526d0e9313ap-2, 0x1.5cf4a8badaf19p-2, 0x1.5f7de39b79779p-2, 0x1.61ee0c883147cp-2, 0x1.644516a55f44cp-2, 0x1.6682f94f4bc31p-2, 0x1.68a7b0056b743p-2, 0x1.6ab33a55865f5p-2, 0x1.6ca59bc6cbeffp-2, 0x1.6e7edbc4c598cp-2, 0x1.703f058a31b57p-2, 0x1.71e6280bbb3e5p-2, 0x1.737455e296a75p-2, 0x1.74e9a536f9cdap-2, 0x1.76462faa74abap-2, 0x1.778a124229102p-2, 0x1.78b56d50e1ca7p-2, 0x1.79c86461094a8p-2, 0x1.7ac31e1e833ap-2, 0x1.7ba5c440674cbp-2, 0x1.7c708372a28d9p-2, 0x1.7d238b3f800c1p-2, 0x1.7dbf0df91876ep-2, 0x1.7e4340a2b1e1cp-2, 0x1.7eb05ada0d835p-2, 0x1.7f0696c0a7d02p-2, 0x1.7f4630e4f0abdp-2, 0x1.7f6f682b7d006p-2, 0x1.7f827db835429p-2, 0x1.7f7fb4d789accp-2, 0x1.7f6752e7a7cc8p-2, 0x1.7f399f41bfe4dp-2, 0x1.7ef6e32354deap-2, 0x1.7e9f6997a2a7bp-2, 0x1.7e337f61193cep-2, 0x1.7db372e2f8403p-2, 0x1.7d1f940b0562ep-2, 0x1.7c78343b6c26fp-2, 0x1.7bbda634c616ep-2, 0x1.7af03e004f694p-2, 0x1.7a1050da4d565p-2, 0x1.791e351cac497p-2, 0x1.781a4229d65d5p-2, 0x1.7704d057c99e4p-2, 0x1.75de38db6c4f2p-2, 0x1.74a6d5b42cd45p-2, 0x1.735f0197e559p-2, 0x1.720717df0dbe3p-2, 0x1.709f74713e757p-2, 0x1.6f2873b2067bap-2, 0x1.6da2726e1402dp-2, 0x1.6c0dcdc8b9772p-2, 0x1.6a6ae329cdffap-2, 0x1.68ba102be7b65p-2, 0x1.66fbb28afc5a6p-2, 0x1.653028135d7cep-2, 0x1.6357ce911f1c7p-2, 0x1.617303bfdf72dp-2, 0x1.5f82253afbd55p-2, 0x1.5d85906e2889bp-2, 0x1.5b7da286776ffp-2, 0x1.596ab863c98b2p-2, 0x1.574d2e8aaaf91p-2, 0x1.552561169ea07p-2, 0x1.52f3abacd67fap-2, 0x1.50b8696f5c22dp-2, 0x1.4e73f4f0a3f93p-2, 0x1.4c26a82794552p-2, 0x1.49d0dc63f6db9p-2, 0x1.4772ea435d9ep-2, 0x1.450d29a671523p-2, 0x1.429ff1a6b2c39p-2, 0x1.402b988ca6b44p-2, 0x1.3db073c67021cp-2, 0x1.3b2ed7ded72b6p-2, 0x1.38a71874bad7fp-2, 0x1.36198832ecda3p-2, 0x1.338678c87833cp-2, 0x1.30ee3ae15014cp-2, 0x1.2e511e1f65343p-2, 0x1.2baf711420c12p-2, 0x1.2909813a455cap-2, 0x1.265f9af02ff3ep-2, 0x1.23b209727f851p-2, 0x1.210116d715bb1p-2, 0x1.1e4d0c087a7dcp-2, 0x1.1b9630c19afd2p-2, 0x1.18dccb89e2e5ep-2, 0x1.162121b1aedcap-2, 0x1.1363774f144dp-2, 0x1.10a40f3b012d5p-2, 0x1.0de32b0eacaffp-2, 0x1.0b210b2159514p-2, 0x1.085dee8666f1p-2, 0x1.059a130bb1e31p-2, 0x1.02d5b5383c53bp-2, 0x1.0011104b22p-2, 0x1.fa98bc75a3b6cp-3, 0x1.f50faf6918a3ap-3, 0x1.ef8768384d2cbp-3, 0x1.ea00531818cacp-3, 0x1.e47ad9ab03fa9p-3, 0x1.def76302420bcp-3, 0x1.d976539f25341p-3, 0x1.d3f80d750095fp-3, 0x1.ce7cefeb77596p-3, 0x1.c90557e13552cp-3, 0x1.c3919faf0b0e6p-3, 0x1.be221f2b6f045p-3, 0x1.b8b72bae541e5p-3, 0x1.b351181565657p-3, 0x1.adf034c888efcp-3, 0x1.a894cfbebe47dp-3, 0x1.a33f348346b87p-3, 0x1.9defac3b177a6p-3, 0x1.98a67daa9322ap-3, 0x1.9363ed3b85e9ap-3, 0x1.8e283d035ea47p-3, 0x1.88f3acc9a712ap-3, 0x1.83c67a0eaf306p-3, 0x1.7ea0e01278bf4p-3, 0x1.798317dbc43b5p-3, 0x1.746d583f59a0fp-3, 0x1.6f5fd5e777e5ep-3, 0x1.6a5ac35b6b273p-3, 0x1.655e51074a6b4p-3, 0x1.606aad43d5f03p-3, 0x1.5b80045e7b4cbp-3, 0x1.569e80a16a476p-3, 0x1.51c64a5bd062p-3, 0x1.4cf787ea251bp-3, 0x1.48325dbe8def3p-3, 0x1.4376ee69506e2p-3, 0x1.3ec55aa15c0e4p-3, 0x1.3a1dc14cdb0a9p-3, 0x1.35803f89d1538p-3, 0x1.30ecf0b6c60d3p-3, 0x1.2c63ee7b74181p-3, 0x1.27e550d17c5b1p-3, 0x1.23712e0d1ff92p-3, 0x1.1f079ae5fb673p-3, 0x1.1aa8aa7fbd1cbp-3, 0x1.16546e72e18b5p-3, 0x1.120af6d561e4ap-3, 0x1.0dcc524364a21p-3, 0x1.09988de7e541cp-3, 0x1.056fb5855336cp-3, 0x1.0151d37e256a4p-3, 0x1.fa7de1bacba4fp-4, 0x1.f26e2abe5c29dp-4, 0x1.ea748ef22deefp-4, 0x1.e29118c5337c6p-4, 0x1.dac3d03ac3684p-4, 0x1.d30cbafb12f1ep-4, 0x1.cb6bdc6396397p-4, 0x1.c3e1359732ba8p-4, 0x1.bc6cc58e49502p-4, 0x1.b50e8926a2512p-4, 0x1.adc67b331c191p-4, 0x1.a694948b3d6c4p-4, 0x1.9f78cc1a9314ap-4, 0x1.987316efda7a1p-4, 0x1.9183684c0012dp-4, 0x1.8aa9b1b0f0169p-4, 0x1.83e5e2f02b8e5p-4, 0x1.7d37ea392e987p-4, 0x1.769fb427a2c7cp-4, 0x1.701d2bd159bd5p-4, 0x1.69b03ad413dd5p-4, 0x1.6358c9630da9cp-4, 0x1.5d16be54590aep-4, 0x1.56e9ff2dfb4e2p-4, 0x1.50d27032d68bap-4, 0x1.4acff46f57952p-4, 0x1.44e26dc5eca8p-4, 0x1.3f09bcfb41302p-4, 0x1.3945c1c240e4fp-4, 0x1.33965ac7e37c6p-4, 0x1.2dfb65bebb254p-4, 0x1.2874bf6a4ae33p-4, 0x1.230243aa249ebp-4, 0x1.1da3cd84c9494p-4, 0x1.1859373256563p-4, 0x1.13225a26f3df6p-4, 0x1.0dff0f1d0b05p-4, 0x1.08ef2e1f45c46p-4, 0x1.03f28e9252fe9p-4, 0x1.fe120e7ce736ep-5, 0x1.f464dcb19f1ddp-5, 0x1.eadd331925d7cp-5, 0x1.e17abc07a8299p-5, 0x1.d83d20e080c95p-5, 0x1.cf240a272d6afp-5, 0x1.c62f1f8fd0bebp-5, 0x1.bd5e080f4db31p-5, 0x1.b4b069eaf4959p-5, 0x1.ac25eac7cbedcp-5, 0x1.a3be2fb96e07ap-5, 0x1.9b78dd50801b9p-5, 0x1.935597a8c6f1ap-5, 0x1.8b540276d5226p-5, 0x1.8373c11557878p-5, 0x1.7bb47691f9e0ep-5, 0x1.7415c5b9f7092p-5, 0x1.6c9751263d7f4p-5, 0x1.6538bb473f258p-5, 0x1.5df9a67061a69p-5, 0x1.56d9b4e31251ep-5, 0x1.4fd888d982b6p-5, 0x1.48f5c4910a745p-5, 0x1.42310a5434fdep-5, 0x1.3b89fc847d551p-5, 0x1.35003da3a8b3cp-5, 0x1.2e93705ce2ea6p-5, 0x1.2843378d761eap-5, 0x1.220f364d3dee2p-5, 0x1.1bf70ff6ce917p-5, 0x1.15fa682f4355p-5, 0x1.1018e2edd2501p-5, 0x1.0a52248307173p-5, 0x1.04a5d19fc144ep-5, 0x1.fe271eb7c3763p-6, 0x1.f33606797baebp-6, 0x1.e877a6768644p-6, 0x1.ddeb4b93c835bp-6, 0x1.d39043b475908p-6, 0x1.c965ddc4e270ap-6, 0x1.bf6b69c4cfb9ap-6, 0x1.b5a038d146827p-6, 0x1.ac039d2df6f46p-6, 0x1.a294ea4e25debp-6, 0x1.995374dd284bp-6, 0x1.903e92c672b39p-6, 0x1.87559b3d3200fp-6, 0x1.7e97e6c38b29fp-6, 0x1.7604cf316e74fp-6, 0x1.6d9bafbaff0fcp-6, 0x1.655be4f69e77bp-6, 0x1.5d44cce29f388p-6, 0x1.5555c6ea95267p-6, 0x1.4d8e33ec48b5dp-6, 0x1.45ed763c5a199p-6, 0x1.3e72f1aa85631p-6, 0x1.371e0b85a5e41p-6, 0x1.2fee2a9f5658dp-6, 0x1.28e2b74f47e2ep-6, 0x1.21fb1b765846fp-6, 0x1.1b36c2814b475p-6, 0x1.1495196b54d93p-6, 0x1.0e158ec0445a2p-6, 0x1.07b7929e7e838p-6, 0x1.017a96b8b31c6p-6, 0x1.f6bc1cae9b68ep-7, 0x1.eac2dcb36603p-7, 0x1.df085a6e6a1a3p-7, 0x1.d38b85ffc42dbp-7, 0x1.c84b52ba0ab5ep-7, 0x1.bd46b72318cdbp-7, 0x1.b27cacf4359a6p-7, 0x1.a7ec311a20f67p-7, 0x1.9d9443b47468fp-7, 0x1.9373e814e95f9p-7, 0x1.898a24be0fdb1p-7, 0x1.7fd60361e1edp-7, 0x1.765690dfdb5b5p-7, 0x1.6d0add42d7913p-7, 0x1.63f1fbbeaa98bp-7, 0x1.5b0b02ad4db72p-7, 0x1.52550b8bf14b4p-7, 0x1.49cf32f7bd0b5p-7, 0x1.417898aa345c1p-7, 0x1.39505f7583fedp-7, 0x1.3155ad40842cbp-7, 0x1.2987ab0276dbap-7, 0x1.21e584beb0c2cp-7, 0x1.1a6e697fe8b8fp-7, 0x1.13218b536d52p-7, 0x1.0bfe1f442f22ap-7, 0x1.05035d558cabdp-7, 0x1.fc6100fbfa67bp-8, 0x1.ef098d4345fb1p-8, 0x1.e1fee1193c9e6p-8, 0x1.d53f83da8ed84p-8, 0x1.c8ca029cb105cp-8, 0x1.bc9cf021b3a5dp-8, 0x1.b0b6e4cbfea6ap-8, 0x1.a5167e91ea5bdp-8, 0x1.99ba60f0f127fp-8, 0x1.8ea134e0f0e89p-8, 0x1.83c9a8c705ee1p-8, 0x1.793270685316dp-8, 0x1.6eda44dcb1fe8p-8, 0x1.64bfe4812a989p-8, 0x1.5ae212ea5be0cp-8, 0x1.513f98d6accfbp-8, 0x1.47d744207be73p-8, 0x1.3ea7e7b031c0cp-8, 0x1.35b05b6e31451p-8, 0x1.2cef7c34d48dep-8, 0x1.24642bc23d971p-8, 0x1.1c0d50a9fc26ep-8, 0x1.13e9d6470a67dp-8, 0x1.0bf8acad44179p-8, 0x1.0438c89b4c9bdp-8, 0x1.f95246d81d467p-9, 0x1.ea917610edc33p-9, 0x1.dc2d23b20025bp-9, 0x1.ce235d6f0f399p-9, 0x1.c07239c1a2d1p-9, 0x1.b317d7cc826cbp-9, 0x1.a6125f3ef38ap-9, 0x1.9960003870f9p-9, 0x1.8cfef32bef5bbp-9, 0x1.80ed78c39aadap-9, 0x1.7529d9c493cbap-9, 0x1.69b266f295367p-9, 0x1.5e8578f413aedp-9, 0x1.53a17035f34b4p-9, 0x1.4904b4d0130a3p-9, 0x1.3eadb6695febp-9, 0x1.349aec1c4c3bdp-9, 0x1.2acad45b8443cp-9, 0x1.213bf4d687e7ep-9, 0x1.17ecda5ed19c8p-9, 0x1.0edc18cced94p-9, 0x1.06084ae5917d2p-9, 0x1.fae0247ee5111p-10, 0x1.ea242e51470bdp-10, 0x1.d9da11195aadcp-10, 0x1.c9ff37b51c19cp-10, 0x1.ba9119d65b5ebp-10, 0x1.ab8d3bcf6c973p-10, 0x1.9cf12e60e1c07p-10, 0x1.8eba8e87773b2p-10, 0x1.80e7054a461a9p-10, 0x1.7374478a1e908p-10, 0x1.666015d077631p-10, 0x1.59a83c1f2a4ccp-10, 0x1.4d4a91c0d81e7p-10, 0x1.4144f919f383ap-10, 0x1.35955f797e17p-10, 0x1.2a39bceba3f88p-10, 0x1.1f30140ad2f46p-10, 0x1.147671d36d526p-10, 0x1.0a0aed768cd44p-10, 0x1.ffd7505bf83a3p-11, 0x1.ec2d9a20c8adcp-11, 0x1.d91521cc4d4f2p-11, 0x1.c68a63fd60f8fp-11, 0x1.b489f00bef619p-11, 0x1.a31067b65a3aep-11, 0x1.921a7ece94022p-11, 0x1.81a4fae97a993p-11, 0x1.71acb30dbafbp-11, 0x1.622e8f6541f4ep-11, 0x1.532788ee22644p-11, 0x1.4494a92e5b575p-11, 0x1.367309e6f9cbfp-11, 0x1.28bfd4c93f729p-11, 0x1.1b78432c5f68cp-11, 0x1.0e999dc4866b2p-11, 0x1.02213c59f33dap-11, 0x1.ec190b0558a03p-12, 0x1.d4b1dcb89026ap-12, 0x1.be07f48d301f8p-12, 0x1.a816753e85cd8p-12, 0x1.92d89cfdd0c87p-12, 0x1.7e49c4ee12f19p-12, 0x1.6a6560a0d9004p-12, 0x1.5726fd96a6dabp-12, 0x1.448a42bfdf547p-12, 0x1.328af00065889p-12, 0x1.2124ddb4818f9p-12, 0x1.1053fc3786377p-12, 0x1.0014536de7304p-12, 0x1.e0c4049ec7df1p-13, 0x1.c2727ce842a8dp-13, 0x1.a52ca744b453fp-13, 0x1.88eb46be7da1cp-13, 0x1.6da749014f5b1p-13, 0x1.5359c5828f189p-13, 0x1.39fbfcab0b1dp-13, 0x1.21875707cb707p-13, 0x1.09f5647aac0a5p-13, 0x1.e67fb6df614b9p-14, 0x1.bac1302ae9a55p-14, 0x1.90a337341ba1ap-14, 0x1.681a16d5b87f7p-14, 0x1.411a60eb97b81p-14, 0x1.1b98ece0ef2a4p-14, 0x1.ef15ac8258847p-15, 0x1.a9caf6a10d24p-15, 0x1.673cf7508a244p-15, 0x1.27576dc0d97eep-15, 0x1.d40d2cd726252p-16, 0x1.5e6e50f59c642p-16, 0x1.db594cc7a5826p-17, 0x1.0346edae5d11p-17, 0x1.a2ef233c8933cp-20, -0x1.234f594def527p-18, -0x1.4f0de9fd87a74p-17, -0x1.020ba43cf8f7ap-16, -0x1.58824b46eda5fp-16, -0x1.ab0a82a6c6e05p-16, -0x1.f9c318adb178ep-16, -0x1.22650ae98cc16p-15, -0x1.461e607e3a593p-15, -0x1.681bd1da5d6bap-15, -0x1.886b4723e54b8p-15, -0x1.a71a4dea581b6p-15, -0x1.c4361b223a813p-15, -0x1.dfcb8d1aaa3f3p-15, -0x1.f9e72d67053b4p-15, -0x1.094a995fcd779p-14, -0x1.14f0c16a7d365p-14, -0x1.1febda1072a19p-14, -0x1.2a4187d7631bep-14, -0x1.33f74969ff0a8p-14, -0x1.3d1278744713fp-14, -0x1.45984a7719e3fp-14, -0x1.4d8dd19b52f84p-14, -0x1.54f7fd7df3fb4p-14, -0x1.5bdb9bfa5d1a5p-14, -0x1.623d59efd2e61p-14, -0x1.6821c4029463dp-14, -0x1.6d8d475ab94efp-14, -0x1.7284325c66351p-14, -0x1.770ab55fd131dp-14, -0x1.7b24e362667a7p-14, -0x1.7ed6b2b533efbp-14, -0x1.8223fda9c3531p-14, -0x1.851083387fd7fp-14, -0x1.879fe7a7d3741p-14, -0x1.89d5b52a3392ap-14, -0x1.8bb55c7d7a80fp-14, -0x1.8d423584197fbp-14, -0x1.8e7f7fde4db58p-14, -0x1.8f70637ca142ap-14, -0x1.9017f1323506fp-14, -0x1.907923416d376p-14, -0x1.9096dde98a1e9p-14, -0x1.9073efec6560cp-14, -0x1.90131314c7a6cp-14, -0x1.8f76ecb7fb3f7p-14, -0x1.8ea20e3686398p-14, -0x1.8d96f57964178p-14, -0x1.8c580d6ae91b3p-14, -0x1.8ae7ae70513eep-14, -0x1.89481edded425p-14, -0x1.877b936985caep-14, -0x1.85842f9a31da5p-14, -0x1.836406370d66bp-14, -0x1.811d19b2617fbp-14, -0x1.7eb15c912e272p-14, -0x1.7c22b1d53603cp-14, -0x1.7972ed5d8eff9p-14, -0x1.76a3d44b76083p-14, -0x1.73b71d609b9ccp-14, -0x1.70ae715f41da1p-14, -0x1.6d8b6b632eadap-14, -0x1.6a4f993e65969p-14, -0x1.66fc7bcf34037p-14, -0x1.6393875654bf2p-14, -0x1.601623cb93a8ap-14, -0x1.5c85ad2f803cbp-14, -0x1.58e373daf8571p-14, -0x1.5530bcce1df92p-14, -0x1.516ec1fc9106cp-14, -0x1.4d9eb29882d61p-14, -0x1.49c1b35c4ba95p-14, -0x1.45d8ded1b7f3fp-14, -0x1.41e54596b12ebp-14, -0x1.3de7eea3b6b8dp-14, -0x1.39e1d78b7546ap-14, -0x1.35d3f4bee6147p-14, -0x1.31bf31cad3cecp-14, -0x1.2da4719746f31p-14, -0x1.29848ea3b83aap-14, -0x1.25605b418dcfap-14, -0x1.2138a1cfa7fc7p-14, -0x1.1d0e24f149fc5p-14, -0x1.18e19fc6289cep-14, -0x1.14b3c61f6dbfbp-14, -0x1.108544b4f1b98p-14, -0x1.0c56c158bf1efp-14, -0x1.0828db28a24fp-14, -0x1.03fc2abf5da87p-14, -0x1.ffa284c8ff173p-15, -0x1.f7515c748328dp-15, -0x1.ef05e8d8074eap-15, -0x1.e6c12ab37e39dp-15, -0x1.de841787ea4b4p-15, -0x1.d64f99ea2b7a6p-15, -0x1.ce2491d8469f5p-15, -0x1.c603d506ca0b8p-15, -0x1.bdee2f30f5bd2p-15, -0x1.b5e46263ce36ap-15, -0x1.ade7274a69257p-15, -0x1.a5f72d74253afp-15, -0x1.9e151b9dd6fcep-15, -0x1.96418ff6b526ep-15, -0x1.8e7d2062512a7p-15, -0x1.86c85abc04381p-15, -0x1.7f23c5151e926p-15, -0x1.778fddf528806p-15, -0x1.700d1c9676e6p-15, -0x1.689bf1200881dp-15, -0x1.613cc4e0933f5p-15, -0x1.59effa86dff25p-15, -0x1.52b5ee57c9263p-15, -0x1.4b8ef664da9cap-15, -0x1.447b62c036901p-15, -0x1.3d7b7dae17e97p-15, -0x1.368f8bd77621ep-15, -0x1.2fb7cc79109b5p-15, -0x1.28f47993ee269p-15, }}, 
      {{-0x1.831dc4add220cp-4, -0x1.831b9e7b97b86p-4, -0x1.82ed1ab34365ep-4, -0x1.8265517a11aecp-4, -0x1.81591af18cbf2p-4, -0x1.7fa3d4ccc2f4p-4, -0x1.7d2961aac7e58p-4, -0x1.79d686316c75bp-4, -0x1.75a065a95e239p-4, -0x1.708392cbc7a4bp-4, -0x1.6a82f5c1ed658p-4, -0x1.63a6a94ff7f57p-4, -0x1.5bfae03de251bp-4, -0x1.538edbb31bd54p-4, -0x1.4a73f76b42677p-4, -0x1.40bccef51234dp-4, -0x1.367c7e375125bp-4, -0x1.2bc5fea3ae569p-4, -0x1.20aba19a2dc44p-4, -0x1.153ea78b4f48ap-4, -0x1.098ef279a7f0ep-4, -0x1.fb55a359ed413p-5, -0x1.e33dc793ca47bp-5, -0x1.caec1835d6ca8p-5, -0x1.b272ef50902bap-5, -0x1.99e15d820f297p-5, -0x1.81435f886dcf4p-5, -0x1.68a22089b96d1p-5, -0x1.500444047a33ep-5, -0x1.376e332d599cfp-5, -0x1.1ee26a533a9c2p-5, -0x1.0661c3aecf028p-5, -0x1.dbd77b79d6b2dp-6, -0x1.aafd77cb3d4eap-6, -0x1.7a3081769d974p-6, -0x1.496a4317f5884p-6, -0x1.18a366a927c9ap-6, -0x1.cfa7c5951d21fp-7, -0x1.6de678c1e53eep-7, -0x1.0bf17b60e7813p-7, -0x1.536e90d2bfdcep-8, -0x1.1c9a33cd0ba39p-9, 0x1.bd199a6da1cfcp-11, 0x1.fd05abd9d0a1bp-9, 0x1.c670b3eaeebdfp-8, 0x1.47c4eb11666a8p-7, 0x1.acf4984c91107p-7, 0x1.0969dd20492f7p-6, 0x1.3cb6ba867cf02p-6, 0x1.7065d43b0c41ap-6, 0x1.a47b7154b635bp-6, 0x1.d8fb2aa373e2ap-6, 0x1.06f3f31bfee4ep-5, 0x1.21a1e9edf309ep-5, 0x1.3c883538c92dbp-5, 0x1.57a7331d2bcb4p-5, 0x1.72fee4025c8d2p-5, 0x1.8e8eeaa38e1d6p-5, 0x1.aa568c959c138p-5, 0x1.c654b346c0892p-5, 0x1.e287ed78e3e65p-5, 0x1.feee7135ac67ap-5, 0x1.0dc30f1d05779p-4, 0x1.1c26406a9ec28p-4, 0x1.2a9f6a9ae0359p-4, 0x1.392d058e9607ep-4, 0x1.47cd64f942257p-4, 0x1.567eba94c627ep-4, 0x1.653f187a4bebbp-4, 0x1.740c739adbf86p-4, 0x1.82e4a651d27c3p-4, 0x1.91c5730b41aa1p-4, 0x1.a0ac86f852bd2p-4, 0x1.af977ccbc1486p-4, 0x1.be83df78ca092p-4, 0x1.cd6f2cef13512p-4, 0x1.dc56d8ce679e7p-4, 0x1.eb384f0d8c423p-4, 0x1.fa10f68fc88dfp-4, 0x1.046f19d296c07p-3, 0x1.0bceb53918ee2p-3, 0x1.1326009dcac3fp-3, 0x1.1a73b149fa862p-3, 0x1.21b67fb48a1fap-3, 0x1.28ed287790a4p-3, 0x1.30166d345fd2dp-3, 0x1.373115659220ap-3, 0x1.3e3bef1ed925p-3, 0x1.4535cfba961acp-3, 0x1.4c1d9475526fbp-3, 0x1.52f222f76409ap-3, 0x1.59b269cd2267dp-3, 0x1.605d60ce30929p-3, 0x1.66f2097484bafp-3, 0x1.6d6f6f23ca1cbp-3, 0x1.73d4a761fc8edp-3, 0x1.7a20d201f9fep-3, 0x1.80531940f4ad3p-3, 0x1.866ab1d79f7f2p-3, 0x1.8c66db00070edp-3, 0x1.9246de70f7e35p-3, 0x1.980a104fe1e19p-3, 0x1.9dafcf1a19492p-3, 0x1.a33783865e53fp-3, 0x1.a8a0a05f81385p-3, 0x1.adeaa258f92d3p-3, 0x1.b3150fde36fd6p-3, 0x1.b81f78dd79f47p-3, 0x1.bd09768edb772p-3, 0x1.c1d2ab3836a6p-3, 0x1.c67ac1eea13b9p-3, 0x1.cb016e55ec674p-3, 0x1.cf666c5ed8489p-3, 0x1.d3a980045c8fap-3, 0x1.d7ca750888709p-3, 0x1.dbc91eb16297fp-3, 0x1.dfa557861848ap-3, 0x1.e35f010cd63d6p-3, 0x1.e6f603899997fp-3, 0x1.ea6a4dbe285b9p-3, 0x1.edbbd4ab6e263p-3, 0x1.f0ea93546ca71p-3, 0x1.f3f68a82dcd9bp-3, 0x1.f6dfc08da2728p-3, 0x1.f9a6412124d66p-3, 0x1.fc4a1d09a1d95p-3, 0x1.fecb69ff7dc7ep-3, 0x1.0095213acb017p-2, 0x1.01b362b4d05dfp-2, 0x1.02c08b1b4108fp-2, 0x1.03bcae34508e7p-2, 0x1.04a7e1ca1456cp-2, 0x1.05823d9692d63p-2, 0x1.064bdb30ba844p-2, 0x1.0704d5fa383ep-2, 0x1.07ad4b0e20c41p-2, 0x1.084559306568ep-2, 0x1.08cd20be06be2p-2, 0x1.0944c39dfce57p-2, 0x1.09ac6532c4cecp-2, 0x1.0a042a4c90a16p-2, 0x1.0a4c391c015cfp-2, 0x1.0a84b9256cc71p-2, 0x1.0aadd3349d2bdp-2, 0x1.0ac7b150fea1ap-2, 0x1.0ad27eb234f92p-2, 0x1.0ace67b50bd69p-2, 0x1.0abb99d0bacb3p-2, 0x1.0a9a438c6d9adp-2, 0x1.0a6a947512defp-2, 0x1.0a2cbd135fe21p-2, 0x1.09e0eee203fa6p-2, 0x1.09875c440a82cp-2, 0x1.0920387b5a4bbp-2, 0x1.08abb79f575a2p-2, 0x1.082a0e939bf56p-2, 0x1.079b72fec3bd8p-2, 0x1.07001b41493ap-2, 0x1.06583e6c6e682p-2, 0x1.05a414392c51ap-2, 0x1.04e3d4ff2cc1bp-2, 0x1.0417b9abc3894p-2, 0x1.033ffbb8efad7p-2, 0x1.025cd52459123p-2, 0x1.016e80665056dp-2, 0x1.00753868d075cp-2, 0x1.fee270fcf638fp-3, 0x1.fcc578b333b59p-3, 0x1.fa9400063b1ddp-3, 0x1.f84e7fa33f28fp-3, 0x1.f5f570c0c342ep-3, 0x1.f3894d0cab1bcp-3, 0x1.f10a8e9a4e9cdp-3, 0x1.ee79afd0978b2p-3, 0x1.ebd72b583607dp-3, 0x1.e9237c09e3246p-3, 0x1.e65f1cdcb7b14p-3, 0x1.e38a88d4a71d2p-3, 0x1.e0a63af112144p-3, 0x1.ddb2ae1b8195bp-3, 0x1.dab05d1687db9p-3, 0x1.d79fc26ccf005p-3, 0x1.d48158605805ap-3, 0x1.d15598d9f0637p-3, 0x1.ce1cfd58dfe36p-3, 0x1.cad7fee2d7932p-3, 0x1.c78715f41e494p-3, 0x1.c42aba700a925p-3, 0x1.c0c36391be95ep-3, 0x1.bd5187dd3cd36p-3, 0x1.b9d59d10c41ep-3, 0x1.b650181689b71p-3, 0x1.b2c16cf6c6178p-3, 0x1.af2a0eca243cep-3, 0x1.ab8a6fac8c72p-3, 0x1.a7e300b04c53cp-3, 0x1.a43431d1af6dcp-3, 0x1.a07e71eaf26fcp-3, 0x1.9cc22ea8a5387p-3, 0x1.98ffd47e7ad35p-3, 0x1.9537ce9c7a385p-3, 0x1.916a86e4af782p-3, 0x1.8d9865e136a08p-3, 0x1.89c1d2bacb72bp-3, 0x1.85e7332fbc7fbp-3, 0x1.8208eb8b56c58p-3, 0x1.7e275e9dc102dp-3, 0x1.7a42edb44a44ep-3, 0x1.765bf8922bb03p-3, 0x1.7272dd69bf45fp-3, 0x1.6e87f8d620376p-3, 0x1.6a9ba5d549e26p-3, 0x1.66ae3dc29b15bp-3, 0x1.62c01851d55a5p-3, 0x1.5ed18b8a81656p-3, 0x1.5ae2ebc3c7a57p-3, 0x1.56f48ba0b5015p-3, 0x1.5306bc0ceca89p-3, 0x1.4f19cc39bb877p-3, 0x1.4b2e099ba199p-3, 0x1.4743bfe836b3bp-3, 0x1.435b391478e37p-3, 0x1.3f74bd537e299p-3, 0x1.3b90931586fdfp-3, 0x1.37aeff0768c68p-3, 0x1.33d04412639ebp-3, 0x1.2ff4a35c403f4p-3, 0x1.2c1c5c47d6934p-3, 0x1.2847ac75db8bcp-3, 0x1.2476cfc60ed4dp-3, 0x1.20aa0058ae076p-3, 0x1.1ce176903fd13p-3, 0x1.191d6913a2d78p-3, 0x1.155e0cd0683fbp-3, 0x1.11a394fd77392p-3, 0x1.0dee331df3614p-3, 0x1.0a3e170460ba1p-3, 0x1.06936ed609992p-3, 0x1.02ee670ea3eb7p-3, 0x1.fe9e55084a304p-4, 0x1.f76bc4d5b4fd7p-4, 0x1.f0456cb3585d3p-4, 0x1.e92b989d27072p-4, 0x1.e21e91668d133p-4, 0x1.db1e9cc40b5ccp-4, 0x1.d42bfd553e35cp-4, 0x1.cd46f2af1c659p-4, 0x1.c66fb9669a6e2p-4, 0x1.bfa68b1b7809bp-4, 0x1.b8eb9e8367615p-4, 0x1.b23f27755cb91p-4, 0x1.aba156f5247b1p-4, 0x1.a5125b3f253d8p-4, 0x1.9e925fd4530a6p-4, 0x1.98218d8649887p-4, 0x1.91c00a8395fe4p-4, 0x1.8b6dfa641aa99p-4, 0x1.852b7e359438bp-4, 0x1.7ef8b48839798p-4, 0x1.78d5b97b72417p-4, 0x1.72c2a6caa2eadp-4, 0x1.6cbf93da03c85p-4, 0x1.66cc95c387ba2p-4, 0x1.60e9bf63cbbbp-4, 0x1.5b1721670aa72p-4, 0x1.5554ca5615685p-4, 0x1.4fa2c6a346e9ap-4, 0x1.4a0120b779f9fp-4, 0x1.446fe0fef5826p-4, 0x1.3eef0df64fc2cp-4, 0x1.397eac3748c38p-4, 0x1.341ebe859301dp-4, 0x1.2ecf45db8f44cp-4, 0x1.29904176f4be9p-4, 0x1.2461aee563e3cp-4, 0x1.1f438a10e345cp-4, 0x1.1a35cd4c42636p-4, 0x1.1538715f64e6cp-4, 0x1.104b6d936e0c1p-4, 0x1.0b6eb7becf5bp-4, 0x1.06a2445137b5dp-4, 0x1.01e6065f62eafp-4, 0x1.fa73df5d87427p-5, 0x1.f13be18218077p-5, 0x1.e823f1bf2137p-5, 0x1.df2bec4d07274p-5, 0x1.d653ab2019f72p-5, 0x1.cd9b05fe6af1bp-5, 0x1.c501d29555f29p-5, 0x1.bc87e48eb4962p-5, 0x1.b42d0da5c07dap-5, 0x1.abf11dbb96399p-5, 0x1.a3d3e2eb6a181p-5, 0x1.9bd5299e5bd7ap-5, 0x1.93f4bc9ef47fcp-5, 0x1.8c32652c46a33p-5, 0x1.848deb0cb86dfp-5, 0x1.7d0714a06b896p-5, 0x1.759da6f34985cp-5, 0x1.6e5165ceb3068p-5, 0x1.672213cad536p-5, 0x1.600f725f9d69fp-5, 0x1.591941f551a63p-5, 0x1.523f41f4c533fp-5, 0x1.4b8130d73bf2p-5, 0x1.44decc35e254bp-5, 0x1.3e57d0d8f25d9p-5, 0x1.37ebfac6782acp-5, 0x1.319b0550b787p-5, 0x1.2b64ab243a383p-5, 0x1.2548a6557de5ap-5, 0x1.1f46b06e4d337p-5, 0x1.195e827ab9841p-5, 0x1.138fd515bc1p-5, 0x1.0dda607580c98p-5, 0x1.083ddc7754b7cp-5, 0x1.02ba00ab44733p-5, 0x1.fa9d08bebfb7fp-6, 0x1.eff63d554aff2p-6, 0x1.e57f0cef44b2fp-6, 0x1.db36e51d6d9a3p-6, 0x1.d11d33401782bp-6, 0x1.c731649a74a8cp-6, 0x1.bd72e6653fa44p-6, 0x1.b3e125e0c8867p-6, 0x1.aa7b90665e01ep-6, 0x1.a141937932fb5p-6, 0x1.98329cd6964b7p-6, 0x1.8f4e1a85a6e96p-6, 0x1.86937ae6717e6p-6, 0x1.7e022cc07ae7ap-6, 0x1.75999f50c39c5p-6, 0x1.6d5942573fbeep-6, 0x1.65408623c5f6ep-6, 0x1.5d4edba28270cp-6, 0x1.5583b467de899p-6, 0x1.4dde82bbe37b7p-6, 0x1.465eb9a532c8p-6, 0x1.3f03ccf371e68p-6, 0x1.37cd31494d181p-6, 0x1.30ba5c25f9759p-6, 0x1.29cac3ee4ed8cp-6, 0x1.22fddff565eb5p-6, 0x1.1c532884d0e1ap-6, 0x1.15ca16e469f3dp-6, 0x1.0f622561bb197p-6, 0x1.091acf56f25dep-6, 0x1.02f391318d059p-6, 0x1.f9d7d0f10542ap-7, 0x1.ee06a7a4521d2p-7, 0x1.e272a61372f17p-7, 0x1.d71ace28d9017p-7, 0x1.cbfe242cae1fbp-7, 0x1.c11baecdbf725p-7, 0x1.b6727729d19f5p-7, 0x1.ac0188d558c0fp-7, 0x1.a1c7f1e28e80ep-7, 0x1.97c4c2e7f19cbp-7, 0x1.8df70f063a158p-7, 0x1.845debedbc6a5p-7, 0x1.7af871e340159p-7, 0x1.71c5bbc44d865p-7, 0x1.68c4e70b074a2p-7, 0x1.5ff513d17d83p-7, 0x1.575564d4814bap-7, 0x1.4ee4ff7619dp-7, 0x1.46a30bbf7b706p-7, 0x1.3e8eb4627b715p-7, 0x1.36a726bac50afp-7, 0x1.2eeb92ce90166p-7, 0x1.275b2b4ef16a1p-7, 0x1.1ff52597d634ep-7, 0x1.18b8b9afa95b9p-7, 0x1.11a522469a8bp-7, 0x1.0ab99cb58a5fap-7, 0x1.03f568fcb12adp-7, 0x1.faaf9383df2d5p-8, 0x1.edc0089dbfa16p-8, 0x1.e11ac11d2e18cp-8, 0x1.d4be521639fcdp-8, 0x1.c8a955d563537p-8, 0x1.bcda6bd9811ffp-8, 0x1.b15038cd6675bp-8, 0x1.a6096680d5a72p-8, 0x1.9b04a3e1326efp-8, 0x1.9040a4f1c1d25p-8, 0x1.85bc22c37f551p-8, 0x1.7b75db6cac5f7p-8, 0x1.716c91ffd8886p-8, 0x1.679f0e82cc9ap-8, 0x1.5e0c1de4f77bcp-8, 0x1.54b291f5b51d6p-8, 0x1.4b91415a2241fp-8, 0x1.42a70782f31bap-8, 0x1.39f2c4a1b3086p-8, 0x1.31735d9e1ec47p-8, 0x1.2927bc0afc49ap-8, 0x1.210ece1afc895p-8, 0x1.19278695498cap-8, 0x1.1170dcc9ec54dp-8, 0x1.09e9cc8627794p-8, 0x1.0291560874524p-8, 0x1.f6ccfbe92f017p-9, 0x1.e8d09a8f02c61p-9, 0x1.db2ba295ed0d2p-9, 0x1.cddc371287d7ap-9, 0x1.c0e08381a4266p-9, 0x1.b436bbaf2ad6ap-9, 0x1.a7dd1b9d1d049p-9, 0x1.9bd1e76a22262p-9, 0x1.90136b38375d4p-9, 0x1.849ffb1340f3cp-9, 0x1.7975f2d77bc07p-9, 0x1.6e93b617df595p-9, 0x1.63f7b004a9ee6p-9, 0x1.59a05351a8065p-9, 0x1.4f8c1a1c96b0bp-9, 0x1.45b985d3aed07p-9, 0x1.3c271f1bf4ba7p-9, 0x1.32d375b7b0ec2p-9, 0x1.29bd206d1a4c7p-9, 0x1.20e2bcecc4c0ap-9, 0x1.1842efb87ab6ap-9, 0x1.0fdc6409f458fp-9, 0x1.07adcbb9a8a73p-9, 0x1.ff6bbe4bba17ep-10, 0x1.efe6ba3372e6bp-10, 0x1.e0ca15691cf78p-10, 0x1.d21366a24a715p-10, 0x1.c3c050da8e81ep-10, 0x1.b5ce8322ee4e3p-10, 0x1.a83bb87174cap-10, 0x1.9b05b7715e8e8p-10, 0x1.8e2a52536bf8dp-10, 0x1.81a7669e4d2dcp-10, 0x1.757add00429ccp-10, 0x1.69a2a92015c08p-10, 0x1.5e1cc96f72479p-10, 0x1.52e746fcdb08ap-10, 0x1.4800354697c99p-10, 0x1.3d65b20d8c82p-10, 0x1.3315e52942dc6p-10, 0x1.290f005b91c32p-10, 0x1.1f4f3f2535df2p-10, 0x1.15d4e69a8bdcep-10, 0x1.0c9e453931816p-10, 0x1.03a9b2bd9d9f8p-10, 0x1.f5eb1ff3293dbp-11, 0x1.e5008d55e1c51p-11, 0x1.d49092a573c88p-11, 0x1.c498261a39338p-11, 0x1.b5144ed27ef93p-11, 0x1.a6022484d0743p-11, 0x1.975ecf31cd023p-11, 0x1.892786d782f4cp-11, 0x1.7b599325f22c2p-11, 0x1.6df24b33fd7b9p-11, 0x1.60ef1536181bdp-11, 0x1.544d6635a454ep-11, 0x1.480ac1c8a04b6p-11, 0x1.3c24b9cb9583fp-11, 0x1.3098ee1b2c13dp-11, 0x1.25650c4fcb9d1p-11, 0x1.1a86cf79a573ap-11, 0x1.0ffbffde09c5fp-11, 0x1.05c272b52ae27p-11, 0x1.f7b013d302251p-12, 0x1.e47567afa9bb7p-12, 0x1.d1d0d6202eae8p-12, 0x1.bfbe6c2f9a151p-12, 0x1.ae3a4e595ecc9p-12, 0x1.9d40b810b7638p-12, 0x1.8ccdfb4ad0fd5p-12, 0x1.7cde800aa68e9p-12, 0x1.6d6ec3ed4c3cdp-12, 0x1.5e7b59baf29c6p-12, 0x1.5000e8f5a2b66p-12, 0x1.41fc2d6e008a6p-12, 0x1.3469f6d6d4906p-12, 0x1.2747285c14febp-12, 0x1.1a90b83acd168p-12, 0x1.0e43af5b4f42dp-12, 0x1.025d28ece3513p-12, 0x1.edb4a40544d1ep-13, 0x1.d770d266687dep-13, 0x1.c1e97c723d4ffp-13, 0x1.ad19632bdacbep-13, 0x1.98fb686ae5754p-13, 0x1.858a8e28a0b25p-13, 0x1.72c1f5cc8b97ep-13, 0x1.609cdf806cedp-13, 0x1.4f16a983f3ffbp-13, 0x1.3e2acf85afddcp-13, 0x1.2dd4e9fde3ef4p-13, 0x1.1e10ad8cede5ep-13, 0x1.0ed9ea5b242bfp-13, 0x1.002c8b7e9006ap-13, 0x1.e4092cc404fe4p-14, 0x1.c8bc545db2e46p-14, 0x1.ae6afe71f9f48p-14, 0x1.950dccde76e8dp-14, 0x1.7c9d919b696c2p-14, 0x1.65134da4c9b14p-14, 0x1.4e682feb80dcep-14, 0x1.389594495d79dp-14, 0x1.2395027b76cd7p-14, 0x1.0f602d207b371p-14, 0x1.f7e1e1794f46p-15, 0x1.d282a58a3078ep-15, 0x1.ae9701597acabp-15, 0x1.8c139df0e8d95p-15, 0x1.6aed70a9a4772p-15, 0x1.4b19b9689abadp-15, 0x1.2c8e00dead689p-15, 0x1.0f4016d604c3dp-15, 0x1.e64c210679d9dp-16, 0x1.b06c8dccfb7cdp-16, 0x1.7cceaa5d47228p-16, 0x1.4b602e4c81282p-16, 0x1.1c0f4f579715cp-16, 0x1.dd957cbeb6b61p-17, 0x1.870348f1b074p-17, 0x1.3447400f6177ep-17, 0x1.ca8307b828ccbp-18, 0x1.33a62b1ca125ep-18, 0x1.477741985634fp-19, 0x1.a88c8bb35ce46p-22, -0x1.a0ad77d307029p-20, -0x1.c9307e5f5a6c6p-19, -0x1.5af3bbcc69ca4p-18, -0x1.cb7233472a908p-18, -0x1.1b23469a5c583p-17, -0x1.4dd1214fdb09p-17, -0x1.7ddab38584606p-17, -0x1.ab5758aca0acbp-17, -0x1.d65dc23ee1445p-17, -0x1.ff03fbfacc587p-17, -0x1.12afb805aeba8p-16, -0x1.24c2758c7a495p-16, -0x1.35c450222f89ep-16, -0x1.45bf1682b2fcap-16, -0x1.54bc4e7ae833cp-16, -0x1.62c536c023cfcp-16, -0x1.6fe2c8c35b3ffp-16, -0x1.7c1dba73f5a4ep-16, -0x1.877e7ffc04638p-16, -0x1.920d4d7287c3p-16, -0x1.9bd218811e91cp-16, -0x1.a4d499fdbb046p-16, -0x1.ad1c4f7ebf142p-16, -0x1.b4b07ce964f97p-16, -0x1.bb982defa7a2dp-16, -0x1.c1da378a7121p-16, -0x1.c77d3966c6926p-16, -0x1.cc879f4d2f983p-16, -0x1.d0ffa27e31f7p-16, -0x1.d4eb4b0905267p-16, -0x1.d850711ae6b08p-16, -0x1.db34be429cdedp-16, -0x1.dd9daeb26e86fp-16, -0x1.df9092736e7a9p-16, -0x1.e1128e96591bfp-16, -0x1.e2289e597589bp-16, -0x1.e2d7944a7904ap-16, -0x1.e3241b618d90cp-16, -0x1.e312b811d25b9p-16, -0x1.e2a7c95a3d68fp-16, -0x1.e1e789c7417e4p-16, -0x1.e0d610731f387p-16, -0x1.df7751ff5cf8ep-16, -0x1.ddcf218831954p-16, -0x1.dbe13190e5969p-16, -0x1.d9b114ecb865ep-16, -0x1.d7423f9f1b89ep-16, -0x1.d49807b95414bp-16, -0x1.d1b5a62ed0ba7p-16, -0x1.ce9e37a8f7b6dp-16, -0x1.cb54bd5006b47p-16, -0x1.c7dc1d93d6993p-16, -0x1.c43724ee3e7fep-16, -0x1.c068869f49078p-16, -0x1.bc72dd674828fp-16, -0x1.b858ac3838a19p-16, -0x1.b41c5ee5e4b5ap-16, -0x1.afc04acee0afbp-16, -0x1.ab46af85ceb64p-16, -0x1.a6b1b771ad092p-16, -0x1.a203786b82826p-16, -0x1.9d3df45ab35fep-16, -0x1.986319c76fc8ep-16, -0x1.9374c47019181p-16, -0x1.8e74bdd42d297p-16, -0x1.8964bdc134265p-16, -0x1.84466ad8a36f8p-16, -0x1.7f1b5b15c703dp-16, -0x1.79e5144ab0438p-16, -0x1.74a50c9ddc72bp-16, -0x1.6f5cab05662bep-16, -0x1.6a0d47bbf442fp-16, -0x1.64b82cb338a32p-16, -0x1.5f5e96055bea8p-16, -0x1.5a01b260ebe64p-16, -0x1.54a2a37361c48p-16, -0x1.4f427e5195ef2p-16, -0x1.49e24bdd1b436p-16, -0x1.448309220ad2bp-16, -0x1.3f25a7baec01dp-16, -0x1.39cb0e2a93158p-16, -0x1.34741838e6a89p-16, -0x1.2f2197485d016p-16, -0x1.29d452ac5022p-16, -0x1.248d07fd49971p-16, -0x1.1f4c6b678d6b9p-16, -0x1.1a1327fc5b06p-16, -0x1.14e1dffcb289fp-16, -0x1.0fb92d24a82cep-16, -0x1.0a99a0f22b183p-16, -0x1.0583c4eca0245p-16, -0x1.00781ae9c6a9bp-16, -0x1.f6ee3a9dc68eap-17, -0x1.ed027ea39306p-17, -0x1.e32dda722321ep-17, -0x1.d971192e8fc0cp-17, -0x1.cfccf9111c3cep-17, -0x1.c6422bd28c791p-17, -0x1.bcd15720c0e62p-17, -0x1.b37b150968a9cp-17, -0x1.aa3ff46719b33p-17, -0x1.a120794514d3ap-17, -0x1.981d1d452c083p-17, -0x1.8f364ffee19efp-17, -0x1.866c775f511ep-17, -0x1.7dbff001184b3p-17, -0x1.75310d89dd06dp-17, -0x1.6cc01afdd51b9p-17, -0x1.646d5b1489ab1p-17, -0x1.5c39088ac2d24p-17, -0x1.5423566f8d807p-17, -0x1.4c2c7074b121p-17, -0x1.44547b352e6e8p-17, -0x1.3c9b947ceb794p-17, -0x1.3501d391ad4ep-17, -0x1.2d87497585d76p-17, -0x1.262c0128917e8p-17, -0x1.1eefffea5213dp-17, -0x1.17d345772beefp-17, -0x1.10d5cc4253f66p-17, -0x1.09f789b0e09ebp-17, -0x1.03386e520269ep-17, -0x1.f930cc2fcc9e3p-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      37, 0x1.770a3d70a3d71p+2, 0x1.af75f496a0a8cp+0, 0x1.5878f99a3678ap+1, -0x1.f2b1a14f5b55bp-9, 
      {{
        {0x1.051eb851eb852p+2, 0x1.0666666666666p+2, 0x1.76056187ad5b8p-7, -0x1.a43f8d485b358p-6, 0x1.622450b61da1bp-6, -0x1.08f6d12f29e39p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.657e064613c1bp-7, -0x1.963dd677baf8cp-6, 0x1.5a3164092e4bcp-6, -0x1.02c1e9bba6c97p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3e911662cc6fbp-7, -0x1.7497b4b35b201p-6, 0x1.46c93f4e4e95fp-6, -0x1.f621e71063d65p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1ae8f80ed6661p-7, -0x1.54db01340936ep-6, 0x1.33f4c6a417a45p-6, -0x1.e75b99ef39d6ep-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.f4aae8c953aa2p-8, -0x1.36f942448e28dp-6, 0x1.21ae241185793p-6, -0x1.d86b99e760a98p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.b94f85819e385p-8, -0x1.1ae434de98d57p-6, 0x1.0ff6e7e5a50c7p-6, -0x1.c986c63457be7p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.83651183bd94fp-8, -0x1.008d8754d9c6p-6, 0x1.fd9d4dba90513p-7, -0x1.ba9ef414de891p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.5293b491033aep-8, -0x1.cfcdd7ce29c9cp-7, 0x1.dc6afb6c32d3p-7, -0x1.abb7ef523d36bp-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.268672eee106cp-8, -0x1.a1c4278f7de52p-7, 0x1.bc56c9793b08ep-7, -0x1.9cd0b388be1fap-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.fdd65acdd260bp-9, -0x1.76e160e2ebe7cp-7, 0x1.9d60bc022cc6ap-7, -0x1.8de9867dd1d4cp-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.b6e5428d9c9dfp-9, -0x1.4f08e697040e2p-7, 0x1.7f88d1ebf03d1p-7, -0x1.7f02557f81015p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.77a0d0c0c6b06p-9, -0x1.2a1e1b84b33c5p-7, 0x1.62cf0b826029fp-7, -0x1.701b25902d91cp-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.3f75f213373ecp-9, -0x1.080462821f8c5p-7, 0x1.473368b1298b5p-7, -0x1.6133f5584189bp-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0dd74c3915afep-9, -0x1.d13e3ccc5b1ebp-8, 0x1.2cb5e97dbe3abp-7, -0x1.524cc533c5388p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.c47a7bdd9447fp-10, -0x1.97a3640f1d981p-8, 0x1.13568de6a909cp-7, -0x1.4365950a1b0ap-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.784bbdf1faf28p-10, -0x1.62ff007a04f33p-8, 0x1.f62aabd89ad23p-8, -0x1.347e64e1c773bp-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.362a004932931p-10, -0x1.3317d7ba883e9p-8, 0x1.c7e4831d234ddp-8, -0x1.259734b925bc4p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fa50ad1b1fb25p-11, -0x1.07b4af7e2083cp-8, 0x1.9bdaa19af73dbp-8, -0x1.16b004908e535p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.98ca8cf3d1dcdp-11, -0x1.c1389ae48c98ep-9, 0x1.720d07521517cp-8, -0x1.07c8d467fda43p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.46158fb32ae79p-11, -0x1.7b2aee88e481p-9, 0x1.4a7bb4427bd8ep-8, -0x1.f1c3487ebab0cp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.009c8910dd074p-11, -0x1.3ccde54439ef8p-9, 0x1.2526a86c2dd89p-8, -0x1.d3f4e82dbff7dp-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.8dc261cb3acc4p-12, -0x1.05af0a717e5dep-9, 0x1.020de3cf25d95p-8, -0x1.b62687dbef967p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2ef84656483d8p-12, -0x1.aab7d2d74461fp-10, 0x1.c262ccd6e7c18p-9, -0x1.9858278d2cd17p-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c4737ff0b0ffap-13, -0x1.56c41b1b34251p-10, 0x1.85226081baa23p-9, -0x1.7a89c732ddd8ep-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.4a272e51cf321p-13, -0x1.0e9e046494b52p-10, 0x1.4c5a82a07fc1ep-9, -0x1.5cbb6703f65afp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.d5017285ddb82p-14, -0x1.a2c14ad3522efp-11, 0x1.180b332cb467bp-9, -0x1.3eed0632deaeep-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.42a1a5763f2p-14, -0x1.3c4e29bdd8622p-11, 0x1.d068e47d5934dp-10, -0x1.211ea7bee0fe9p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.ab0ef4d5f324p-15, -0x1.d031a5fdf6bc1p-12, 0x1.79ac7ef748e7p-10, -0x1.035040793cd31p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.0d852ec4b69p-15, -0x1.48aee7b6cddd6p-12, 0x1.2be1386c8374fp-10, -0x1.cb03f4386af26p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.40670d8b2a7p-16, -0x1.bd00e9432481p-13, 0x1.ce0e0dfb4d3b5p-11, -0x1.8f6671df9b5edp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.605733d624dfep-17, -0x1.1c2546a97a749p-13, 0x1.563c1f050505cp-11, -0x1.53cc842d48e9dp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.5cb09c0deb8p-18, -0x1.4f477a212cd84p-14, 0x1.e09721eede4cdp-12, -0x1.18253981742c5p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.28caea78bc801p-19, -0x1.61522e9815a2ep-15, 0x1.3880cc3acbc92p-12, -0x1.b95f9c2ccae4p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.900d2d1efcp-21, -0x1.389112f1535a6p-16, 0x1.682ea127843dcp-13, -0x1.4100853e1d8f3p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.657e064620001p-23, -0x1.95d88a8cb862fp-18, 0x1.4f296f37b1d11p-14, -0x1.9c1d6064d42c7p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fa50ad1f00004p-27, -0x1.0d9ba09a4457p-20, 0x1.5f926f1ffd442p-16, -0x1.1b704ed96d99cp-13}, 
        {0x1.7666666666666p+2, 0x1.770a3d70a3d71p+2, 0x1.900d33ffffffep-37, 0x1.4ce5f1a1ade41p-24, 0x1.6e42102f38p-21, -0x1.45a448a538a0bp-8}, 
      }}, 
      0x1.50affeded6ceep-1, -0x1.89df9973c8c4ep+4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.4f0c89ebe8c85p-5, 0x1.46c01cc7809bap-4, 0x1.d698f0fbff27cp-4, 0x1.28e2e964c8bf2p-3, 0x1.5a6752520b693p-3, 0x1.7eee28b901641p-3, 0x1.963a1b14b91b3p-3, 0x1.a09828dbedeeap-3, 0x1.9ebd693a0ff3ep-3, 0x1.91a83c9407c85p-3, 0x1.7a85e7aebd91cp-3, 0x1.5a9cf843819fdp-3, 0x1.333c560076bf2p-3, 0x1.05ae8ed7809e8p-3, 0x1.a6617b58f6e09p-4, 0x1.39d8b87e2a38bp-4, 0x1.8fcd74dbb07f1p-5, 0x1.49f022fe5a2cfp-6, -0x1.255f1a36ff684p-7, -0x1.3814bfa0e55fep-5, -0x1.124bed7383bd7p-4, -0x1.864d96b73b22bp-4, -0x1.f719aebd2ee65p-4, -0x1.31f21ad936d2bp-3, -0x1.6603885e33b95p-3, -0x1.977f23b4422bp-3, -0x1.c6323003e2c1bp-3, -0x1.f1f7737c98a09p-3, -0x1.0d5acce2a7086p-2, -0x1.202ed9ccb721cp-2, -0x1.3174ea0cc63f5p-2, -0x1.412de5a97fb6cp-2, -0x1.4f5dfed8ef3fbp-2, -0x1.5c0c2b7a736fp-2, -0x1.6741ac2c9c01ep-2, -0x1.7109a0e35e779p-2, -0x1.7970aa82a1a21p-2, -0x1.808497d36ebf1p-2, -0x1.86541d1829079p-2, -0x1.8aee94412d6acp-2, -0x1.8e63c5d547c26p-2, -0x1.90c3b936afc8ap-2, -0x1.921e8b8ec05cp-2, -0x1.92844cdcaa35ep-2, -0x1.9204e25dbedabp-2, -0x1.90afedca7bdf3p-2, -0x1.8e94b8e726f56p-2, -0x1.8bc22527c26b5p-2, -0x1.88469ea2b52f3p-2, -0x1.8430118a309cp-2, -0x1.7f8be30200c17p-2, -0x1.7a66eb5985743p-2, -0x1.74cd722c6942fp-2, -0x1.6ecb2d0a9e19ap-2, -0x1.686b3dc0acbb1p-2, -0x1.61b833bae42acp-2, -0x1.5abc0c906543ep-2, -0x1.538036ace0a49p-2, -0x1.4c0d93b7e7fe9p-2, -0x1.446c7c16e805ep-2, -0x1.3ca4c24eb42e4p-2, -0x1.34bdb75beed1cp-2, -0x1.2cbe2e867f7f9p-2, -0x1.24ac8219e8819p-2, -0x1.1c8e978a30bf4p-2, -0x1.1469e461cacfdp-2, -0x1.0c43728f080e2p-2, -0x1.041fe51db15fap-2, -0x1.f806f973c3387p-3, -0x1.e7e4382e65694p-3, -0x1.d7de993872156p-3, -0x1.c7fc85075530dp-3, -0x1.b843c248bde85p-3, -0x1.a8b97efffe2fep-3, -0x1.996257b465015p-3, -0x1.8a4260576cc0ep-3, -0x1.7b5d2c214627dp-3, -0x1.6cb5d4c4888c1p-3, -0x1.5e4f02a6323b8p-3, -0x1.502af40b6628ap-3, -0x1.424b844eb1b1bp-3, -0x1.34b232c9a6c54p-3, -0x1.276029df2943fp-3, -0x1.1a56454dc8be9p-3, -0x1.0d9518a2a6bd5p-3, -0x1.011cf4fab778p-3, -0x1.e9dbde37a02f4p-4, -0x1.d20fc9269ee0ap-4, -0x1.bad502487765dp-4, -0x1.a42a86f7310b8p-4, -0x1.8e0f03bf2ddddp-4, -0x1.7880dd2c5fb29p-4, -0x1.637e37b1b5276p-4, -0x1.4f04ff966cbcbp-4, -0x1.3b12efd92de04p-4, -0x1.27a5991bdc003p-4, -0x1.14ba67ac2bc63p-4, -0x1.024ea96228da3p-4, -0x1.e0bf262b92c44p-5, -0x1.bdd48ab1c91bcp-5, -0x1.9bd7a268bb456p-5, -0x1.7ac278b3c967bp-5, -0x1.5a8f0a1299576p-5, -0x1.3b374b04f802p-5, -0x1.1cb52e03b4837p-5, -0x1.fe0553e871fa3p-6, -0x1.c4337dfcdf4dbp-6, -0x1.8be8f83477471p-6, -0x1.551a0126e80c2p-6, -0x1.1fbb08436eadap-6, -0x1.d7815734d93aap-7, -0x1.723f816aa5fbp-7, -0x1.0f9aba7901b13p-7, -0x1.5efb516e6bc16p-8, -0x1.474def4194005p-9, 0x1.2f010e8d1016ep-12, 0x1.89e24a3e92eb3p-9, 0x1.72827699d6ec3p-8, 0x1.0de4801ea779p-7, 0x1.6074413255b44p-7, 0x1.b101c79c36749p-7, 0x1.ff9dbe251a815p-7, 0x1.262c19f6446cdp-6, 0x1.4ba04e65987e8p-6, 0x1.7032e9388c9cdp-6, 0x1.93eb0d4b93b8cp-6, 0x1.b6cf90cbdf755p-6, 0x1.d8e701cd3622ap-6, 0x1.fa37a6154f20bp-6, 0x1.0d63be21586a8p-5, 0x1.1d4e203019aap-5, 0x1.2cddb4f41a9ecp-5, 0x1.3c1517dc25f37p-5, 0x1.4af6c50b92cafp-5, 0x1.598519ff7cf12p-5, 0x1.67c25628df54dp-5, 0x1.75b09d578d127p-5, 0x1.8351f737c6a6dp-5, 0x1.90a850ebfa284p-5, 0x1.9db57e58a2fadp-5, 0x1.aa7b3afce4081p-5, 0x1.b6fb2aa9a54bp-5, 0x1.c336da62b20e5p-5, 0x1.cf2fc26e752b7p-5, 0x1.dae7463ef788p-5, 0x1.e65eb5589f203p-5, 0x1.f1974ca58dafdp-5, 0x1.fc923800c4d22p-5, 0x1.03a848d4c4704p-4, 0x1.08e9b214e3bf3p-4, 0x1.0e0dd53fcb3bcp-4, 0x1.131528e16e865p-4, 0x1.18001cd3fda2dp-4, 0x1.1ccf1a40dcab4p-4, 0x1.2182843c30c7fp-4, 0x1.261ab8639c331p-4, 0x1.2a980f27a0eadp-4, 0x1.2efadba50458bp-4, 0x1.33436c4e2f7bfp-4, 0x1.37720b26a3d8dp-4, 0x1.3b86fe7c210afp-4, 0x1.3f82889a049a6p-4, 0x1.4364e812dba66p-4, 0x1.472e583c66759p-4, 0x1.4adf118253de4p-4, 0x1.4e7749b3bab4ep-4, 0x1.51f733c91ab22p-4, 0x1.555f0048f0e61p-4, 0x1.58aeddaada359p-4, 0x1.5be6f891136fcp-4, 0x1.5f077bd3e2d6fp-4, 0x1.6210909ccbd19p-4, 0x1.65025e8456aa3p-4, 0x1.67dd0bd57a7e8p-4, 0x1.6aa0be1394bp-4, 0x1.6d4d99aaf7cb5p-4, 0x1.6fe3c1e481db6p-4, 0x1.72635972cdd81p-4, 0x1.74cc825b492f2p-4, 0x1.771f5e401ac0fp-4, 0x1.795c0e74cb43ep-4, 0x1.7b82b3e30109cp-4, 0x1.7d936f26b80e5p-4, 0x1.7f8e6096155d1p-4, 0x1.8173a8d81d047p-4, 0x1.8343689a75129p-4, 0x1.84fdc09a43803p-4, 0x1.86a2d19b9595ep-4, 0x1.8832bc8dc1ed9p-4, 0x1.89ada2d34958ap-4, 0x1.8b13a63a43293p-4, 0x1.8c64e90745131p-4, 0x1.8da18dca8692ep-4, 0x1.8ec9b77aa353cp-4, 0x1.8fdd899f16d95p-4, 0x1.90dd285f52dd7p-4, 0x1.91c8b89442274p-4, 0x1.92a05fb286545p-4, 0x1.936443c7692bap-4, 0x1.94148b6bbba0fp-4, 0x1.94b15df907c41p-4, 0x1.953ae38eb5005p-4, 0x1.95b1451636113p-4, 0x1.9614ac44b0477p-4, 0x1.9665436ef4ec7p-4, 0x1.96a335ac7a467p-4, 0x1.96ceaecd0b2f3p-4, 0x1.96e7db76408adp-4, 0x1.96eee930f8d23p-4, 0x1.96e4064d863afp-4, 0x1.96c761db85feep-4, 0x1.96992ba5ee915p-4, 0x1.9659942da60fbp-4, 0x1.9608cccad379bp-4, 0x1.95a707aa49943p-4, 0x1.953477b65f661p-4, 0x1.94b150a9543dbp-4, 0x1.941dc6e79dd98p-4, 0x1.937a0f84f37fp-4, 0x1.92c66049be93fp-4, 0x1.9202efba17eb3p-4, 0x1.912ff5100d48ep-4, 0x1.904da841988fap-4, 0x1.8f5c41e6f133ap-4, 0x1.8e5bfb2467256p-4, 0x1.8d4d0dc243edbp-4, 0x1.8c2fb416e0b4bp-4, 0x1.8b042914358c3p-4, 0x1.89caa83fbcadcp-4, 0x1.88836dacf6cc4p-4, 0x1.872eb5f09cf38p-4, 0x1.85ccbe13600dcp-4, 0x1.845dc388c879p-4, 0x1.82e20438a217p-4, 0x1.8159be6e1ce5p-4, 0x1.7fc530d9c3c44p-4, 0x1.7e249a952ab6fp-4, 0x1.7c783b0a1e296p-4, 0x1.7ac051ed1ea4ep-4, 0x1.78fd1f32fe75p-4, 0x1.772ee309bf68ap-4, 0x1.7555ddd8b9862p-4, 0x1.7372503b788e5p-4, 0x1.71847afa5ac2cp-4, 0x1.6f8c9f0283182p-4, 0x1.6d8afd621c321p-4, 0x1.6b7fd7309b853p-4, 0x1.696b6d8cc5cdep-4, 0x1.674e019e8a94bp-4, 0x1.6527d4887db89p-4, 0x1.62f92767bcb15p-4, 0x1.60c23b4ca3daap-4, 0x1.5e835131f9276p-4, 0x1.5c3ca9f32b45ep-4, 0x1.59ee86433f1a6p-4, 0x1.579926a60f50bp-4, 0x1.553ccb6abd80ep-4, 0x1.52d9b4a52c559p-4, 0x1.5070223076ee4p-4, 0x1.4e0053a082564p-4, 0x1.4b8a883497befp-4, 0x1.490efedfd6ee5p-4, 0x1.468df635c53d7p-4, 0x1.4407ac6793029p-4, 0x1.417c5f40b2a4bp-4, 0x1.3eec4c220792p-4, 0x1.3c57affbe565ap-4, 0x1.39bec7465711ep-4, 0x1.3721cdf9a39ddp-4, 0x1.3480ff885ad6p-4, 0x1.31dc96dbd5aeap-4, 0x1.2f34ce527b4acp-4, 0x1.2c89dfbca111bp-4, 0x1.29dc045b64b7cp-4, 0x1.272b74d9193b9p-4, 0x1.24786937fba61p-4, 0x1.21c318d18e8e3p-4, 0x1.1f0bba4d56241p-4, 0x1.1c52839ea15f7p-4, 0x1.1997aa0c408b7p-4, 0x1.16db623707c89p-4, 0x1.141de01bf8805p-4, 0x1.115f570dc6fa2p-4, 0x1.0e9ff9a5560b7p-4, 0x1.0bdff9ada0b7dp-4, 0x1.091f8812e7ccfp-4, 0x1.065ed4dd50984p-4, 0x1.039e0f3b6ea93p-4, 0x1.00dd6598ea344p-4, 0x1.fc3a0b6d40adp-5, 0x1.f6ba3973988b8p-5, 0x1.f13bae4ece5e7p-5, 0x1.ebbec1831995ap-5, 0x1.e643c8c2f2969p-5, 0x1.e0cb17a14f6abp-5, 0x1.db54ff64266cfp-5, 0x1.d5e1cf24e313ep-5, 0x1.d071d42d27ep-5, 0x1.cb055a74c26p-5, 0x1.c59cad0d89feap-5, 0x1.c038164ae7099p-5, 0x1.bad7df880208cp-5, 0x1.b57c50955ec22p-5, 0x1.b025aefddd6c8p-5, 0x1.aad43d6b3bca9p-5, 0x1.a5883b6f18407p-5, 0x1.a041e5d64b09ap-5, 0x1.9b017777f2c67p-5, 0x1.95c72a400384fp-5, 0x1.9093381384626p-5, 0x1.8b65db36d54a7p-5, 0x1.863f4debd0e0dp-5, 0x1.811fc9692efa1p-5, 0x1.7c0784779d0f7p-5, 0x1.76f6b21ba90c2p-5, 0x1.71ed80ea6f46ep-5, 0x1.6cec1b4f0eee8p-5, 0x1.67f2a8c6985abp-5, 0x1.63014fbd28136p-5, 0x1.5e18377406a4ep-5, 0x1.59378946ee6bfp-5, 0x1.545f70cdae41cp-5, 0x1.4f901aafaa056p-5, 0x1.4ac9b26f3d566p-5, 0x1.460c5fd6e8d4cp-5, 0x1.415844e367a3ap-5, 0x1.3cad7ced2f294p-5, 0x1.380c1d7703fc5p-5, 0x1.337438802372dp-5, 0x1.2ee5dfb9d0541p-5, 0x1.2a6127ab1ae8p-5, 0x1.25e629c64f9b5p-5, 0x1.217504ae586b3p-5, 0x1.1d0dda6bb821fp-5, 0x1.18b0cd0517409p-5, 0x1.145dfa5d56676p-5, 0x1.101578a23929fp-5, 0x1.0bd75478eafep-5, 0x1.07a3918da3798p-5, 0x1.037a2d796157ap-5, 0x1.feb6487a8825p-6, 0x1.f68cea3b5a40cp-6, 0x1.ee784d0d7f133p-6, 0x1.e6788faf89747p-6, 0x1.de8de0e0b6723p-6, 0x1.d6b878203dff6p-6, 0x1.cef88aca20c71p-6, 0x1.c74e409136c6p-6, 0x1.bfb9aac08c7f7p-6, 0x1.b83ac0ee15bb5p-6, 0x1.b0d1641a1062ep-6, 0x1.a97d674bfdf0bp-6, 0x1.a23e9b57bcc35p-6, 0x1.9b14daeadcef2p-6, 0x1.94001426debd3p-6, 0x1.8d004d8111105p-6, 0x1.8615a46c75dcbp-6, 0x1.7f40457c9a243p-6, 0x1.78805f88135f4p-6, 0x1.71d6152015502p-6, 0x1.6b41709ba4e5ap-6, 0x1.64c25e54738cdp-6, 0x1.5e58ae5f04709p-6, 0x1.58041c7a46f02p-6, 0x1.51c45b75afcd1p-6, 0x1.4b99216556513p-6, 0x1.458232dff8511p-6, 0x1.3f7f6bf0a0b39p-6, 0x1.3990c4f0cb5abp-6, 0x1.33b6511094fe1p-6, 0x1.2df0354b39c18p-6, 0x1.283e994365d69p-6, 0x1.22a196a0402a6p-6, 0x1.1d192cb5b316ep-6, 0x1.17a53c3eeaf78p-6, 0x1.12458ad652fb2p-6, 0x1.0cf9ca902a8d2p-6, 0x1.07c1a20512bf5p-6, 0x1.029cb3da9310ap-6, 0x1.fb154efe9818ep-7, 0x1.f11668e45fe6bp-7, 0x1.e73c5be5679dap-7, 0x1.dd871304ed2ccp-7, 0x1.d3f6b5b2caffap-7, 0x1.ca8b89c31dff7p-7, 0x1.c145cb852b7fep-7, 0x1.b8258e0261ee7p-7, 0x1.af2aaf83cd9d4p-7, 0x1.a654e04613b85p-7, 0x1.9da3ae0670a1ap-7, 0x1.951687c3d2d9p-7, 0x1.8cacb9414873bp-7, 0x1.84656b3075ad1p-7, 0x1.7c3fb6c4ff075p-7, 0x1.743ace13736a3p-7, 0x1.6c5627e5059bep-7, 0x1.6491957cbf364p-7, 0x1.5ced337ae7632p-7, 0x1.55693e0bcf5f6p-7, 0x1.4e05e231a7985p-7, 0x1.46c3250de4feap-7, 0x1.3fa0e7764caafp-7, 0x1.389ef7510f0a6p-7, 0x1.31bd179e4855bp-7, 0x1.2afaf17b59d79p-7, 0x1.2457f62c507bdp-7, 0x1.1dd34d1a7094dp-7, 0x1.176be76468f4cp-7, 0x1.1120b9a5deec9p-7, 0x1.0af0fe74b156ap-7, 0x1.04dc59ffdf344p-7, 0x1.fdc594f857339p-8, 0x1.f208e6e899ae7p-8, 0x1.e682d20070e16p-8, 0x1.db333361c242p-8, 0x1.d019b5b793182p-8, 0x1.c53607a2ed474p-8, 0x1.ba87fcce12eb3p-8, 0x1.b00f75aefc7a8p-8, 0x1.a5cc0e1033e7p-8, 0x1.9bbcc31afbbcdp-8, 0x1.91dfdb6abb3bfp-8, 0x1.8833390ff5432p-8, 0x1.7eb4ef774602bp-8, 0x1.7563c1b1d7085p-8, 0x1.6c3f3e176eddp-8, 0x1.6347702085494p-8, 0x1.5a7c662519059p-8, 0x1.51ddde2928cddp-8, 0x1.496b421dbfe21p-8, 0x1.4123de66e687fp-8, 0x1.390724fb437a7p-8, 0x1.3114d4f99818dp-8, 0x1.294ce964d9e5ep-8, 0x1.21af4d633816ep-8, 0x1.1a3b7f6873b3fp-8, 0x1.12f06364fcaf2p-8, 0x1.0bcc6d6620914p-8, 0x1.04ce10aa85f23p-8, 0x1.fbe856328c522p-9, 0x1.ee7c6297c47d8p-9, 0x1.e15824395932cp-9, 0x1.d47bcb583aab1p-9, 0x1.c7e71b7db749ap-9, 0x1.bb98f403c557fp-9, 0x1.af8f60fc7efdcp-9, 0x1.a3c83025bc5e9p-9, 0x1.9841ac1d5f92cp-9, 0x1.8cfaea60cc5d2p-9, 0x1.81f384c2a19b9p-9, 0x1.772b2adde5a04p-9, 0x1.6ca1549c29a2ep-9, 0x1.6255060ae1427p-9, 0x1.5844bb7e44d7bp-9, 0x1.4e6ea9d5a63a3p-9, 0x1.44d11be8f292dp-9, 0x1.3b6ab358f672dp-9, 0x1.323ac02cdfaeap-9, 0x1.2941832eae858p-9, 0x1.207fa5067ec37p-9, 0x1.17f4fcd05870fp-9, 0x1.0f9fd6c1623bap-9, 0x1.077d9700ae9f7p-9, 0x1.ff17f85e9dc7p-10, 0x1.ef92ff5c89d2ep-10, 0x1.e069a5193ad5p-10, 0x1.d1997a94825b9p-10, 0x1.c3213e726580bp-10, 0x1.b5013c4d148d3p-10, 0x1.a73a2075724bp-10, 0x1.99cb74eb2ec65p-10, 0x1.8cb3454aa73f9p-10, 0x1.7fee8c1bad3eap-10, 0x1.73799803d0647p-10, 0x1.6751aca07fbe1p-10, 0x1.5b776c3560af6p-10, 0x1.4fedc83ea4c18p-10, 0x1.44b57277ed1dfp-10, 0x1.39caeffea5e59p-10, 0x1.2f29ddb861cb7p-10, 0x1.24cffd9444854p-10, 0x1.1abbbcba48e58p-10, 0x1.10e9d7581419fp-10, 0x1.075604869a842p-10, 0x1.fbfa8c7ba660bp-11, 0x1.e9be87a5640d6p-11, 0x1.d7fb6bd0ac67ep-11, 0x1.c6b4b48c79029p-11, 0x1.b5ea4c69b8071p-11, 0x1.a598add65983fp-11, 0x1.95ba8a7e657a4p-11, 0x1.8648b7c754e01p-11, 0x1.773df14ce60b7p-11, 0x1.689d51152883ep-11, 0x1.5a6cac8b7516fp-11, 0x1.4ca8f819ce22bp-11, 0x1.3f493854336cbp-11, 0x1.3249e03881f61p-11, 0x1.25ac85dbdf99ap-11, 0x1.19704e9ce6619p-11, 0x1.0d90aa976b63ap-11, 0x1.0207d778368e6p-11, 0x1.eda0c626c134p-12, 0x1.d7cd1ae11d4d5p-12, 0x1.c2938957675b6p-12, 0x1.adf875a8cfb98p-12, 0x1.99ffbf3b3008ap-12, 0x1.86a77c9f3dd2bp-12, 0x1.73ea2aaa98504p-12, 0x1.61c1dc6344a4bp-12, 0x1.5025465be81d6p-12, 0x1.3f0f0841c0b01p-12, 0x1.2e86dc7a9acb6p-12, 0x1.1e8ddd60e7ea8p-12, 0x1.0f14b02ec8adbp-12, 0x1.0013033e4791cp-12, 0x1.e3199486f7033p-13, 0x1.c703632905bbcp-13, 0x1.abd954c325041p-13, 0x1.9195097502474p-13, 0x1.7833adce92973p-13, 0x1.5fb048a24b6b9p-13, 0x1.4800ccb02970dp-13, 0x1.31183c7000b1ap-13, 0x1.1aed1ac6dd2bp-13, 0x1.057e3a76139ep-13, 0x1.e19cb3e673639p-14, 0x1.b9b6ef7842891p-14, 0x1.93414e84c2065p-14, 0x1.6e3659cf84313p-14, 0x1.4a846d39a071bp-14, 0x1.2821266564c6bp-14, 0x1.071533f96fdf4p-14, 0x1.ce7fe88ce916ep-15, 0x1.910e8fc13fd9ep-15, 0x1.55f4d1665d5f1p-15, 0x1.1d27cc9134db3p-15, 0x1.ccff4b6d206fdp-16, 0x1.63d1550c17cfdp-16, 0x1.fd75c5cca37c8p-17, 0x1.3b6d2e1ed593fp-17, 0x1.02f9d558f6ce6p-18, -0x1.837cfe49cd898p-20, -0x1.b51c8a25ba4p-18, -0x1.7d586a43bd1c2p-17, -0x1.0cbb858cce92ep-16, -0x1.57a6484306c86p-16, -0x1.9f6086fcaccfap-16, -0x1.e3e3f970eeabdp-16, -0x1.12a01866b8bc2p-15, -0x1.31b41a4be26eep-15, -0x1.4f439caa37735p-15, -0x1.6b65449488645p-15, -0x1.862e272b83788p-15, -0x1.9fbbd27d5653dp-15, -0x1.b7f79c0debca7p-15, -0x1.ceee02b80e7f5p-15, -0x1.e4b97bb9fd416p-15, -0x1.f963d50cb7872p-15, -0x1.0678e7885f0bbp-14, -0x1.0fb4bf0717bc9p-14, -0x1.18692465aa512p-14, -0x1.2099e645d208bp-14, -0x1.284a5305af1ccp-14, -0x1.2f7cc042dc146p-14, -0x1.3632e4fa5825bp-14, -0x1.3c70498e87bd3p-14, -0x1.423e9331a5a0cp-14, -0x1.47a9b8ee20568p-14, -0x1.4cb32f20a3a3ap-14, -0x1.5158f5b8c57a9p-14, -0x1.559de32dcce96p-14, -0x1.597dc84b770c4p-14, -0x1.5d004bafdc09dp-14, -0x1.602faf9f94015p-14, -0x1.6311f5df63f4p-14, -0x1.65a1421a91d66p-14, -0x1.67e209c60e2f9p-14, -0x1.69db39e1c8e02p-14, -0x1.6b8ebd8e77a49p-14, -0x1.6cfe189fdb15bp-14, -0x1.6e2b7459bd8cp-14, -0x1.6f19457eed88cp-14, -0x1.6fca09778babap-14, -0x1.704033e5b0ce6p-14, -0x1.707e3454ebb1ep-14, -0x1.7086711ccdad7p-14, -0x1.705b218169191p-14, -0x1.6ffe10c0b6d5p-14, -0x1.6f70425f8c47fp-14, -0x1.6eb283c8db45p-14, -0x1.6dc8eb1f91be8p-14, -0x1.6cb860dbfb4ap-14, -0x1.6b8183a4c4f5fp-14, -0x1.6a262a898fca7p-14, -0x1.68a3051ec3bc4p-14, -0x1.66fc2bae8eadp-14, -0x1.6537a4cf11f61p-14, -0x1.63535c57fc28ap-14, -0x1.6150cf70f86dp-14, -0x1.5f334e24fc2c7p-14, -0x1.5cfbb5f446876p-14, -0x1.5aab08eb05902p-14, -0x1.58427573cd877p-14, -0x1.55c33190ed4bap-14, -0x1.532ea8aded708p-14, -0x1.5086125a38f1ep-14, -0x1.4dca8c577518p-14, -0x1.4afd44de5b1e1p-14, -0x1.481f611400c68p-14, -0x1.4532003d544b6p-14, -0x1.42363f92d73c7p-14, -0x1.3f2d351eafaaap-14, -0x1.3c17e0287dfa1p-14, -0x1.38f6cfc4be2b4p-14, -0x1.35c9d5ce4ae51p-14, -0x1.32924ada33572p-14, -0x1.2f52d0e2d6f78p-14, -0x1.2c0c7f39dfe5p-14, -0x1.28bda2078416fp-14, -0x1.2567833663906p-14, -0x1.220c1796fda7ep-14, -0x1.1eaaf5a8f71b4p-14, -0x1.1b45a5c101769p-14, -0x1.17dca2ce3458dp-14, -0x1.14705157ab921p-14, -0x1.11013da30233ep-14, -0x1.0d8ffa83d5f01p-14, -0x1.0a1d15267dcbep-14, -0x1.06a913aac423fp-14, -0x1.03347604d2d0fp-14, -0x1.ff7f6e893918dp-15, -0x1.f8969cc566d3p-15, -0x1.f1af5c38c2b15p-15, -0x1.eaca8895f7485p-15, -0x1.e3e8f2fd5fc83p-15, -0x1.dd0b64a402658p-15, -0x1.d632a50957cd5p-15, -0x1.cf5f7cc850134p-15, -0x1.c892af7196866p-15, -0x1.c1cccb9b066c5p-15, -0x1.bb0d6b230f979p-15, -0x1.b454c59a6f96cp-15, -0x1.ada62d1900772p-15, -0x1.a7014f87640a1p-15, -0x1.a064aa2dab2fep-15, -0x1.99d1fb347b3ddp-15, -0x1.9349c6df912d8p-15, -0x1.8ccce1cff0b18p-15, -0x1.865b5285de904p-15, -0x1.7ff558d386aa3p-15, -0x1.799b4d6120ddfp-15, -0x1.734d87fb3c5fcp-15, -0x1.6d0c5a90bc0b8p-15, -0x1.66d810f438d24p-15, -0x1.60b0f159db663p-15, -0x1.5a973cca03164p-15, -0x1.548b2f5263db6p-15, -0x1.4e8d0026816e5p-15, -0x1.489ce236d4681p-15, -0x1.42bb0588ae433p-15, -0x1.3ce7957e734b6p-15, -0x1.3722b4bd51121p-15, -0x1.316c94bb01a6dp-15, -0x1.2bc54edc2fe48p-15, -0x1.262d10c0a8fp-15, -0x1.20a3f1a9ed152p-15, -0x1.1b2a06647a998p-15, -0x1.15bf632aad427p-15, -0x1.106375c353105p-15, -0x1.0b1723ac9f45cp-15, -0x1.05daa494e3412p-15, -0x1.00acb903646acp-15, -0x1.f71cc4feca264p-16, -0x1.ecffca2b0f1bp-16, -0x1.e301d71ac1ec9p-16, -0x1.d922c2b5e2744p-16, -0x1.cf628a2dd20e2p-16, -0x1.c5c129846956cp-16, -0x1.bc3e97296583bp-16, -0x1.b2dac48c2434dp-16, -0x1.a9959ef39bce9p-16, -0x1.a06f0fe739409p-16, -0x1.9766fcb914a3fp-16, -0x1.8e7d47681dab7p-16, -0x1.85b1d34bca888p-16, -0x1.7d047bfea0f96p-16, -0x1.74751a0da1627p-16, -0x1.6c03883a69349p-16, -0x1.63af9cf744ae7p-16, -0x1.5b792b3228508p-16, -0x1.536004467fc2ep-16, -0x1.4b63f9f91d5d7p-16, -0x1.4384ddd169f1ap-16, -0x1.3bc27a4933fb4p-16, -0x1.341c9175f36b6p-16, -0x1.2c92f2a34a293p-16, -0x1.252592266bc83p-16, -0x1.1dd4120908a59p-16, -0x1.169e076d48723p-16, }}, 
      {{0x1.23653c13deb19p-5, 0x1.1fbfae4c4ecb4p-4, 0x1.a6e17e416e10cp-4, 0x1.1233d39a2617fp-3, 0x1.4b225803598c2p-3, 0x1.7d8365aa4adb1p-3, 0x1.a8e3df8476822p-3, 0x1.cd0cba72f2956p-3, 0x1.e9f8ea857cd8ap-3, 0x1.ffcba8f6cf348p-3, 0x1.0763bfa410f88p-2, 0x1.0ba32b4bfbfefp-2, 0x1.0cd95241f2f6bp-2, 0x1.0b40d9e5b49cep-2, 0x1.07177b7baa4c8p-2, 0x1.009c2541500bdp-2, 0x1.f01b07a128c1p-3, 0x1.db51c814efa9p-3, 0x1.c352bd4f2f451p-3, 0x1.a88e804cceffdp-3, 0x1.8b6f433bb033ap-3, 0x1.6c585163beeb3p-3, 0x1.4ba5ccb22036ep-3, 0x1.29ac9b4ad5925p-3, 0x1.06ba798a31663p-3, 0x1.c62c4eac93debp-4, 0x1.7dff52a0e5accp-4, 0x1.35612f9c22ef3p-4, 0x1.d971de58c5954p-5, 0x1.48c45ebc02bfbp-5, 0x1.72b78ff7fae5fp-6, 0x1.5e319bce98ef2p-8, -0x1.7e0257b15dfb4p-7, -0x1.d01b4fcc214c3p-6, -0x1.6d858a7617c36p-5, -0x1.ef9ae25a37209p-5, -0x1.370696b1adf2bp-4, -0x1.7453c73639f97p-4, -0x1.af9fd858b90aap-4, -0x1.e8da5b3475fc4p-4, -0x1.0ffb9093294c4p-3, -0x1.2a76e3e4579a5p-3, -0x1.43dca6b6be0a3p-3, -0x1.5c2bd81d24abep-3, -0x1.7364c9de033d9p-3, -0x1.8988f6c23d498p-3, -0x1.9e9add59e4a56p-3, -0x1.b29dddede08d8p-3, -0x1.c5961b784ea86p-3, -0x1.d7885f49fd567p-3, -0x1.e879fff238bd4p-3, -0x1.f870ca731a6c4p-3, -0x1.03b976cca4d1ep-2, -0x1.0ac373dd091dcp-2, -0x1.1159bafc380f9p-2, -0x1.177fc2de7a3c8p-2, -0x1.1d3913dce8b4dp-2, -0x1.22894217240a1p-2, -0x1.2773e84f8dd75p-2, -0x1.2bfca3722886bp-2, -0x1.30270e84819f4p-2, -0x1.33f6bf21e615fp-2, -0x1.376f427fb3752p-2, -0x1.3a941ab6757p-2, -0x1.3d68bc764a9ebp-2, -0x1.3ff08d0bd0a1cp-2, -0x1.422ee0b8abce6p-2, -0x1.4426f93e42625p-2, -0x1.45dc04bda45abp-2, -0x1.47511c9bcf83ep-2, -0x1.488944e69eb57p-2, -0x1.49876b95f8b74p-2, -0x1.4a4e6816e5caap-2, -0x1.4ae0fb1b4f4ffp-2, -0x1.4b41ce2bacd6cp-2, -0x1.4b7373bc81a29p-2, -0x1.4b7867306d4f7p-2, -0x1.4b530cc7ed782p-2, -0x1.4b05b1f373938p-2, -0x1.4a928d8852046p-2, -0x1.49fbc001c0f2ap-2, -0x1.494353db02671p-2, -0x1.486b3e0389ed8p-2, -0x1.47755e4646f49p-2, -0x1.46637fc41d994p-2, -0x1.4537596434ae6p-2, -0x1.43f28e781adf2p-2, -0x1.4296af2a8bf86p-2, -0x1.41253922d091fp-2, -0x1.3f9f980a149dbp-2, -0x1.3e07261b60cb4p-2, -0x1.3c5d2ccc9ef3cp-2, -0x1.3aa2e550c689fp-2, -0x1.38d97931d455fp-2, -0x1.370202f09ecdbp-2, -0x1.351d8e878d0f2p-2, -0x1.332d1a070fd7cp-2, -0x1.313196253782fp-2, -0x1.2f2be6c806e93p-2, -0x1.2d1ce38f6ba58p-2, -0x1.2b05585f679d2p-2, -0x1.28e605e7bf732p-2, -0x1.26bfa219b5777p-2, -0x1.2492d8b420a45p-2, -0x1.22604bb45494cp-2, -0x1.202893cf43433p-2, -0x1.1dec40e253686p-2, -0x1.1babda66b1edfp-2, -0x1.1967dfd1f16c5p-2, -0x1.1720c9101d5e2p-2, -0x1.14d706cf69b8p-2, -0x1.128b02edac23dp-2, -0x1.103d20d8eddd1p-2, -0x1.0dedbdd707a08p-2, -0x1.0b9d316145bb7p-2, -0x1.094bcd827a6e3p-2, -0x1.06f9df0d98acp-2, -0x1.04a7adf02735fp-2, -0x1.02557d7c2ba3fp-2, -0x1.00038cb20132ap-2, -0x1.fb642cd7d1c71p-3, -0x1.f6c2a351f9b17p-3, -0x1.f222e385e565ap-3, -0x1.ed854d594c6e1p-3, -0x1.e8ea3a3f7f987p-3, -0x1.e451fd7b6ce55p-3, -0x1.dfbce4c8aa8c5p-3, -0x1.db2b387135273p-3, -0x1.d69d3bbe13ed5p-3, -0x1.d2132d5d1f9bcp-3, -0x1.cd8d4761d9f68p-3, -0x1.c90bbfe649922p-3, -0x1.c48ec91c53db5p-3, -0x1.c016918cf6c6fp-3, -0x1.bba3445df205bp-3, -0x1.b73509a9401bap-3, -0x1.b2cc065f0327ep-3, -0x1.ae685ccc6ddfap-3, -0x1.aa0a2ca81959ep-3, -0x1.a5b1933ae2417p-3, -0x1.a15eab88323fap-3, -0x1.9d118e7a5f434p-3, -0x1.98ca532b7d0f4p-3, -0x1.94890ea7746e4p-3, -0x1.904dd46f80161p-3, -0x1.8c18b66fb63e5p-3, -0x1.87e9c51582272p-3, -0x1.83c10f7312a0bp-3, -0x1.7f9ea3540788dp-3, -0x1.7b828d4c76904p-3, -0x1.776cd903cd6f5p-3, -0x1.735d90e9adb9p-3, -0x1.6f54be8ba71b8p-3, -0x1.6b526aa6f309cp-3, -0x1.67569d1e9bc64p-3, -0x1.63615d1570f3ep-3, -0x1.5f72b0fa5ba05p-3, -0x1.5b8a9e97c2eap-3, -0x1.57a92b0f62cb4p-3, -0x1.53ce5b1adbf62p-3, -0x1.4ffa32d5399fep-3, -0x1.4c2cb5c843bfap-3, -0x1.4865e731ec713p-3, -0x1.44a5c9d8c74e9p-3, -0x1.40ec60211186dp-3, -0x1.3d39ac0d18c7dp-3, -0x1.398daf521050dp-3, -0x1.35e86b538376cp-3, -0x1.3249e125bb9bep-3, -0x1.2eb21194bd4ffp-3, -0x1.2b20fd47e7392p-3, -0x1.2796a491000adp-3, -0x1.2413077a22b38p-3, -0x1.209625fa80c2dp-3, -0x1.1d1fffc69d349p-3, -0x1.19b0946218d0fp-3, -0x1.1647e32e20888p-3, -0x1.12e5eb4eb0559p-3, -0x1.0f8aabd000d19p-3, -0x1.0c362392e43dbp-3, -0x1.08e8515371d51p-3, -0x1.05a133a42764dp-3, -0x1.0260c8f15c6ccp-3, -0x1.fe4e1f57ef54fp-4, -0x1.f7e80bed65f96p-4, -0x1.f18f53bee65fcp-4, -0x1.eb43f2d0ee60ap-4, -0x1.e505e4d54eacp-4, -0x1.ded5254605cfdp-4, -0x1.d8b1af62d174ap-4, -0x1.d29b7e35781e3p-4, -0x1.cc928c8c39f65p-4, -0x1.c696d50d5c048p-4, -0x1.c0a85216cf89ap-4, -0x1.bac6fdd966bf1p-4, -0x1.b4f2d251d5f44p-4, -0x1.af2bc939ca0d8p-4, -0x1.a971dc268cdf4p-4, -0x1.a3c5048a29359p-4, -0x1.9e253b69a7607p-4, -0x1.989279b46d50ap-4, -0x1.930cb82e27c2ap-4, -0x1.8d93ef60c408p-4, -0x1.8828178deeabap-4, -0x1.82c928d3c2db3p-4, -0x1.7d771b0dd27c3p-4, -0x1.7831e5e72184dp-4, -0x1.72f980d4fb673p-4, -0x1.6dcde3111945p-4, -0x1.68af03a06bde2p-4, -0x1.639cd94fa7e8ep-4, -0x1.5e975ab20d1abp-4, -0x1.599e7e2692d98p-4, -0x1.54b239cb52665p-4, -0x1.4fd2838332bf8p-4, -0x1.4aff511d2d817p-4, -0x1.463897fe69324p-4, -0x1.417e4d60c442p-4, -0x1.3cd066545d2bep-4, -0x1.382ed7a68cf85p-4, -0x1.339995e90cd3bp-4, -0x1.2f10957a1db84p-4, -0x1.2a93ca7622b11p-4, -0x1.262328c1e005cp-4, -0x1.21bea41313a8bp-4, -0x1.1d662fd7f0d9bp-4, -0x1.1919bf5223d06p-4, -0x1.14d9457d6ac83p-4, -0x1.10a4b5266f3a6p-4, -0x1.0c7c00df40028p-4, -0x1.085f1b006aaaep-4, -0x1.044df5aba65a7p-4, -0x1.004882cdacb55p-4, -0x1.f89d6819f1fc6p-5, -0x1.f0c0f5d00ab48p-5, -0x1.e8fb91691ffap-5, -0x1.e14d1ce63760bp-5, -0x1.d9b579f6a5995p-5, -0x1.d23489ef9e1f7p-5, -0x1.caca2db156ca9p-5, -0x1.c37645bd5e52p-5, -0x1.bc38b223c1b59p-5, -0x1.b51152924ca63p-5, -0x1.ae00065ce1913p-5, -0x1.a704ac772aa9dp-5, -0x1.a01f236011037p-5, -0x1.994f494ef5a29p-5, -0x1.9294fc20fa146p-5, -0x1.8bf019440d475p-5, -0x1.85607ddb75a94p-5, -0x1.7ee606b1fb246p-5, -0x1.7880903d771a4p-5, -0x1.722ff6a158f75p-5, -0x1.6bf415b0e51ccp-5, -0x1.65ccc8ef4022cp-5, -0x1.5fb9eb923c413p-5, -0x1.59bb5881cc93p-5, -0x1.53d0ea6c4a13dp-5, -0x1.4dfa7bac3e512p-5, -0x1.4837e6504759bp-5, -0x1.4289044478b2dp-5, -0x1.3cedaf1b900a7p-5, -0x1.3765c035ccab9p-5, -0x1.31f110b7dfc99p-5, -0x1.2c8f798cf26a1p-5, -0x1.2740d36b027ffp-5, -0x1.2204f6d59ebcp-5, -0x1.1cdbbc203d63fp-5, -0x1.17c4fb713c0afp-5, -0x1.12c08cc428b01p-5, -0x1.0dce47eb94491p-5, -0x1.08ee0492b9ad4p-5, -0x1.041f9a475360ap-5, -0x1.fec5c0d47a85fp-6, -0x1.f56f5c663d26fp-6, -0x1.ec3bb5c217dcfp-6, -0x1.e32a7b04aa3b6p-6, -0x1.da3b5a140e31dp-6, -0x1.d16e00c83936fp-6, -0x1.c8c21cd1a394fp-6, -0x1.c0375bbdb775ep-6, -0x1.b7cd6afba5447p-6, -0x1.af83f7de9a24p-6, -0x1.a75aafa323defp-6, -0x1.9f513f833ac85p-6, -0x1.976754b9fa86bp-6, -0x1.8f9c9c75c1dd9p-6, -0x1.87f0c3f5c70e9p-6, -0x1.8063788c9f3ddp-6, -0x1.78f4679b91798p-6, -0x1.71a33e8a8bbcp-6, -0x1.6a6faaa99623fp-6, -0x1.63595995a79dep-6, -0x1.5c5ff8f95fb5dp-6, -0x1.5583367fbcf72p-6, -0x1.4ec2c01f2ea0dp-6, -0x1.481e4404e12d7p-6, -0x1.4195709956e35p-6, -0x1.3b27f47b19b73p-6, -0x1.34d57e81273eap-6, -0x1.2e9dbdb53d3dcp-6, -0x1.2880615097142p-6, -0x1.227d18c163433p-6, -0x1.1c9393b572a95p-6, -0x1.16c38227b418ap-6, -0x1.110c946d91aabp-6, -0x1.0b6e7b42222aep-6, -0x1.05e8e7c847a19p-6, -0x1.007b8b8efe01ap-6, -0x1.f64c3119744b9p-7, -0x1.ebd081be89221p-7, -0x1.e1836e46033c2p-7, -0x1.d7645cb89eac5p-7, -0x1.cd72b34222205p-7, -0x1.c3add91a80056p-7, -0x1.ba15366c88623p-7, -0x1.b0a8345e0d299p-7, -0x1.a7663d26f392fp-7, -0x1.9e4ebc2922679p-7, -0x1.95611ddce3172p-7, -0x1.8c9ccfb9910a1p-7, -0x1.84014021793bap-7, -0x1.7b8dde4bab77cp-7, -0x1.73421a3f23dddp-7, -0x1.6b1d64d6401d7p-7, -0x1.631f2fd0121a4p-7, -0x1.5b46edef3cec6p-7, -0x1.5394131f82a78p-7, -0x1.4c0614931e547p-7, -0x1.449c68e06f676p-7, -0x1.3d5688179136ap-7, -0x1.3633eb78c5204p-7, -0x1.2f340d5f26eebp-7, -0x1.285669c379d01p-7, -0x1.219a7d355ef94p-7, -0x1.1affc4f9d8dbfp-7, -0x1.1485bf497432fp-7, -0x1.0e2beb32c9951p-7, -0x1.07f1c8ca81c07p-7, -0x1.01d6d96c62a5bp-7, -0x1.f7b53ff65ff5p-8, -0x1.ebf9421edb948p-8, -0x1.e078c6102cecp-8, -0x1.d532dbee07e3ep-8, -0x1.ca2696d62f0a5p-8, -0x1.bf530c3deec24p-8, -0x1.b4b7534280a48p-8, -0x1.aa52841cb6d8ep-8, -0x1.a023b7ea5e61dp-8, -0x1.962a08f03d84ap-8, -0x1.8c64934c0492bp-8, -0x1.82d275d2561fbp-8, -0x1.7972d2f5228c1p-8, -0x1.7044d166c6cd9p-8, -0x1.67479c6c0975dp-8, -0x1.5e7a632170689p-8, -0x1.55dc57b9d6085p-8, -0x1.4d6caff0443a1p-8, -0x1.452aa2352ff9bp-8, -0x1.3d1565186d969p-8, -0x1.352c2f716abe6p-8, -0x1.2d6e3848ac6a7p-8, -0x1.25dab7d95e62cp-8, -0x1.1e70e8fb81a9fp-8, -0x1.17300a74a43abp-8, -0x1.10175fcb86fe7p-8, -0x1.0926317c1c78ep-8, -0x1.025bcca3f3e5cp-8, -0x1.f76f0496c84ffp-9, -0x1.ea714ccbdfc89p-9, -0x1.ddbd1d3136e67p-9, -0x1.d15121daeaa3cp-9, -0x1.c52c05ae8b12bp-9, -0x1.b94c71f1ce7e8p-9, -0x1.adb10fc9ca255p-9, -0x1.a2588b895917fp-9, -0x1.9741983afa646p-9, -0x1.8c6af2205991cp-9, -0x1.81d35f6c9c4eep-9, -0x1.7779af8732bcap-9, -0x1.6d5cb9d655e99p-9, -0x1.637b5caf238fap-9, -0x1.59d47acfbbccp-9, -0x1.5066fb0f2a7bdp-9, -0x1.4731c6ecafba8p-9, -0x1.3e33c5107dbfp-9, -0x1.356bda5995842p-9, -0x1.2cd8eb217b445p-9, -0x1.2479de326f9e9p-9, -0x1.1c4da0920dd0ep-9, -0x1.145327d755e68p-9, -0x1.0c89723ee98bep-9, -0x1.04ef85263b301p-9, -0x1.fb08d6fc72cf9p-10, -0x1.ec8e6a96664e3p-10, -0x1.de6defd74d7cap-10, -0x1.d0a59c0b9104bp-10, -0x1.c333ac573cdb6p-10, -0x1.b6166118d9322p-10, -0x1.a94bf98922fcep-10, -0x1.9cd2b2cbf025ap-10, -0x1.90a8cb32214f2p-10, -0x1.84cc8823a57fap-10, -0x1.793c3b252511cp-10, -0x1.6df64301f72c4p-10, -0x1.62f908f8682cp-10, -0x1.5842fce6968b7p-10, -0x1.4dd29413ffdcfp-10, -0x1.43a64b7eede59p-10, -0x1.39bcab2300f13p-10, -0x1.30144706b8992p-10, -0x1.26abbb36b1241p-10, -0x1.1d81a74ccbe59p-10, -0x1.1494b0a0174eep-10, -0x1.0be37d39472a7p-10, -0x1.036cb69695b0cp-10, -0x1.f65e1b20d2cc4p-11, -0x1.e65274a86b893p-11, -0x1.d6b3f7c3d583bp-11, -0x1.c7802c550932dp-11, -0x1.b8b49e863baf4p-11, -0x1.aa4edde874f4p-11, -0x1.9c4c850945056p-11, -0x1.8eab43a32a75bp-11, -0x1.8168e1ff3324p-11, -0x1.748338d6fa8b6p-11, -0x1.67f825b5831fdp-11, -0x1.5bc587b845886p-11, -0x1.4fe947b0cf20dp-11, -0x1.44616293d94b9p-11, -0x1.392beb22c98fp-11, -0x1.2e470182a9d7p-11, -0x1.23b0c94a433aep-11, -0x1.196765b6e1757p-11, -0x1.0f68fb15cbeebp-11, -0x1.05b3b0342ffdap-11, -0x1.f88b5fb069b94p-12, -0x1.e63a5e238a436p-12, -0x1.d470eeb96ebedp-12, -0x1.c32bd3644e54p-12, -0x1.b267e61354c03p-12, -0x1.a221f78000898p-12, -0x1.9256c6ee50087p-12, -0x1.83031a4412a22p-12, -0x1.7423e1d3f4bbp-12, -0x1.65b6554ae32adp-12, -0x1.57b7cf3a62ee6p-12, -0x1.4a25ab2a54f7ep-12, -0x1.3cfd39578443cp-12, -0x1.303bbf0a0c603p-12, -0x1.23de87a986c9ep-12, -0x1.17e2f1f943a7dp-12, -0x1.0c46709fa3962p-12, -0x1.0106891c0eddcp-12, -0x1.ec41b62331b11p-13, -0x1.d726462318e69p-13, -0x1.c2b64fefd4834p-13, -0x1.aeed41f860038p-13, -0x1.9bc668dff54f3p-13, -0x1.893d2848e130bp-13, -0x1.774d323b8e187p-13, -0x1.65f28af27a313p-13, -0x1.5529678dc3a45p-13, -0x1.44ee0c42dee53p-13, -0x1.353cb4129216fp-13, -0x1.26118769ba54dp-13, -0x1.1768b0a7413c2p-13, -0x1.093e85088e299p-13, -0x1.f71f37b9c569p-14, -0x1.dcb174f87c952p-14, -0x1.c32d5b5748735p-14, -0x1.aa8c7ea98cf22p-14, -0x1.92c885eb233f2p-14, -0x1.7bdb27bde38edp-14, -0x1.65be13289d553p-14, -0x1.506b1aa6d99e7p-14, -0x1.3bdc76cef9728p-14, -0x1.280cb3f54406dp-14, -0x1.14f65b12080b3p-14, -0x1.0293f881f22f7p-14, -0x1.e1c0d5e7d45ecp-15, -0x1.bfad315dc5d5cp-15, -0x1.9ee2b9a6f7ad5p-15, -0x1.7f572458e4059p-15, -0x1.610086a189a47p-15, -0x1.43d5dd17a3809p-15, -0x1.27cf1c970d799p-15, -0x1.0ce489df11253p-15, -0x1.e61bc6ce7a9bcp-16, -0x1.b484a1982eafep-16, -0x1.84f21490cbe12p-16, -0x1.57535d5d1a866p-16, -0x1.2b98ac624cf84p-16, -0x1.01b3c6ee17545p-16, -0x1.b32eec1f9c998p-17, -0x1.666b8dd345705p-17, -0x1.1cffe7a928af2p-17, -0x1.ad9f6aa4ca696p-18, -0x1.2781d2199947fp-18, -0x1.4ee959c4cae72p-19, -0x1.6a2b723462577p-21, 0x1.1cfc5f3ace3ecp-20, 0x1.6c9731b04cacep-19, 0x1.200f5f103f745p-18, 0x1.84b3e938e5c92p-18, 0x1.e45e74e7d71b6p-18, 0x1.1f9aad75e483fp-17, 0x1.4ab1fdbdb0d2fp-17, 0x1.738bfd5345b58p-17, 0x1.9a3deabd077bdp-17, 0x1.bedb0a3922de2p-17, 0x1.e174a23179ad4p-17, 0x1.010d1222d9a11p-16, 0x1.106e11688c7d1p-16, 0x1.1ee697ebe6997p-16, 0x1.2c7f89d91df57p-16, 0x1.3940fe81d2bcdp-16, 0x1.453243b3027ep-16, 0x1.505aa23e88e83p-16, 0x1.5ac15ac929de4p-16, 0x1.646d7ffc52fdp-16, 0x1.6d663e53e3324p-16, 0x1.75b2b4148babap-16, 0x1.7d598ee6cf778p-16, 0x1.8460d3de3cc18p-16, 0x1.8ace276c44f4ap-16, 0x1.90a75b877ec63p-16, 0x1.95f2b4e712b0cp-16, 0x1.9ab655f855e82p-16, 0x1.9ef79e232a5d2p-16, 0x1.a2bb74623bf58p-16, 0x1.a6068c514926bp-16, 0x1.a8dda369d2cecp-16, 0x1.ab4601569ed72p-16, 0x1.ad44a79e41365p-16, 0x1.aedde318c2b4ep-16, 0x1.b0160121da172p-16, 0x1.b0f14698d19ecp-16, 0x1.b173b0e3c2b5dp-16, 0x1.b1a105303ccdcp-16, 0x1.b17cedfbc8d91p-16, 0x1.b10b0dc267a01p-16, 0x1.b04f0739b3c8bp-16, 0x1.af4c7b54f8124p-16, 0x1.ae06fc6608895p-16, 0x1.ac81f1bfcd5dap-16, 0x1.aac07cc9b1851p-16, 0x1.a8c593fcaabe9p-16, 0x1.a694358d329ffp-16, 0x1.a42f3296477c6p-16, 0x1.a198ff05f6bd6p-16, 0x1.9ed4370a95028p-16, 0x1.9be391cc30416p-16, 0x1.98c9a7bd9dabap-16, 0x1.9588e4683a0d8p-16, 0x1.922378622c4f7p-16, 0x1.8e9bb10d6ab1fp-16, 0x1.8af38c6c2b027p-16, 0x1.872d2555f763ap-16, 0x1.834a7c203cc96p-16, 0x1.7f4d68fcce2cp-16, 0x1.7b37b1732ef5dp-16, 0x1.770b0de58c351p-16, 0x1.72c92ba6a4e57p-16, 0x1.6e73aeb6f83a1p-16, 0x1.6a0c3753735bbp-16, 0x1.659465a489facp-16, 0x1.610dcdbedd3a3p-16, 0x1.5c79dfacdf23fp-16, 0x1.57d9e295ac4dap-16, 0x1.532f1235ef674p-16, 0x1.4e7a9b232d659p-16, 0x1.49bd9a3bdd575p-16, 0x1.44f95c492aba4p-16, 0x1.402f14f99569dp-16, 0x1.3b5fcfb8d90e4p-16, 0x1.368c6c76e689cp-16, 0x1.31b5e142cbbe5p-16, 0x1.2cdd2425e4d43p-16, 0x1.28031616475b5p-16, 0x1.23288e41981f8p-16, 0x1.1e4e5b31977f5p-16, 0x1.1975403b0f9dap-16, 0x1.149df4627b9acp-16, 0x1.0fc924162aedap-16, 0x1.0af7750a1784p-16, 0x1.062988f06b289p-16, 0x1.015ffcacf56bap-16, 0x1.f936cd269c9cfp-17, 0x1.efb8ad144d387p-17, 0x1.e646a99dbff15p-17, 0x1.dce1c0eeaa4c1p-17, 0x1.d38adcb7d461p-17, 0x1.ca42d23f9a51ap-17, 0x1.c10a7407e50c2p-17, 0x1.b7e273c83883dp-17, 0x1.aecb9625245cbp-17, 0x1.a5c6ddd9e73ddp-17, 0x1.9cd4b75f03549p-17, 0x1.93f584e7cb8dfp-17, 0x1.8b2a42a9657acp-17, 0x1.82739cad626fcp-17, 0x1.79d141800f365p-17, 0x1.7143ea3923644p-17, 0x1.68ccc0b87426dp-17, 0x1.606b245d1fb2cp-17, 0x1.581fadb0dd504p-17, 0x1.4feb51d192d0ep-17, 0x1.47ce1a332c3cfp-17, 0x1.3fc821cc8cdcfp-17, 0x1.37d9a8efc6e3fp-17, 0x1.3002f05fafccdp-17, 0x1.2844301515215p-17, 0x1.209d9745273ebp-17, 0x1.190f4c9e0ede2p-17, 0x1.11996d0d503d5p-17, 0x1.0a3c134b15e7ep-17, 0x1.02f75c6023235p-17, 0x1.f796bf6c40151p-18, 0x1.e97046fcbc32dp-18, 0x1.db7b6c7f5a9eap-18, 0x1.cdb83fb16e1c1p-18, 0x1.c026b4488af5ap-18, 0x1.b2c6d15248302p-18, 0x1.a598807d0352dp-18, 0x1.989bbcabbf1e6p-18, 0x1.8bd06b22a1f03p-18, 0x1.7f366f829139bp-18, 0x1.72cdabbaff347p-18, 0x1.6695fbf39f424p-18, 0x1.5a8f30b82f82ap-18, 0x1.4eb909ad4b366p-18, 0x1.431334de88144p-18, 0x1.379d565660225p-18, 0x1.2c5715a6ffc8cp-18, 0x1.214029048b42dp-18, 0x1.165854e320341p-18, 0x1.0b9f5feac673ap-18, 0x1.0114f6fd0e947p-18, 0x1.ed712c84b8a4ep-19, 0x1.d914244b1e943p-19, 0x1.c5126fe2f9afap-19, 0x1.b16a578eb7535p-19, 0x1.9e1b859ad95a8p-19, 0x1.8b25826e8fcf9p-19, 0x1.788770e26cf2dp-19, 0x1.66407ae448ebap-19, 0x1.544fc0b01f494p-19, 0x1.42b467d35d818p-19, 0x1.316d8a534c587p-19, 0x1.207a42a828513p-19, 0x1.0fd9aaf89c37cp-19, 0x1.ff15b8650423dp-20, 0x1.df19db90c2b4bp-20, 0x1.bfbdeb67e1352p-20, 0x1.a100110d920dcp-20, 0x1.82de73573f5b9p-20, 0x1.6557381405a07p-20, 0x1.486882411f945p-20, 0x1.2c1071c634956p-20, 0x1.104d216f41b7ep-20, 0x1.ea397b39c2d2fp-21, 0x1.b4fb3a3da9198p-21, 0x1.80da6daa80ab3p-21, 0x1.4dd4dcec133edp-21, 0x1.1be608546d219p-21, 0x1.d614b99388252p-22, 0x1.767c1abccf959p-22, 0x1.18fab86c128b6p-22, 0x1.7b12478586603p-23, 0x1.9080e090bebbfp-24, 0x1.97115d6c32642p-27, -0x1.22d6290650a0cp-24, -0x1.3862652aec7e1p-23, -0x1.db834fa1794a9p-23, -0x1.3d6e13ec26026p-22, -0x1.8b3e2c3d84a03p-22, -0x1.d738aecdf55eap-22, -0x1.10b2604a08fdcp-21, -0x1.34e4b214a0bbap-21, -0x1.5836bfc3b3798p-21, -0x1.7aabf17fdd0e5p-21, -0x1.9c47b7e61a7a9p-21, -0x1.bd0e1e8b5f546p-21, -0x1.dd0335d122a82p-21, -0x1.fc27b85c56c7p-21, -0x1.0d400d04e3b58p-20, -0x1.1c08b2e15b89ap-20, -0x1.2a6eba92b4c9dp-20, -0x1.3873a82cc4549p-20, -0x1.461937b553b29p-20, -0x1.53611205c2439p-20, -0x1.604cce3e260bcp-20, -0x1.6cddf91f9ec65p-20, -0x1.79161ab4ec404p-20, -0x1.84f6b87ef7c5dp-20, -0x1.90815387d1d16p-20, -0x1.9bb7674f753f5p-20, -0x1.a69a6be19717p-20, -0x1.b12bd5ce3dfccp-20, }}, 
      {{-0x1.ab762d6cef25p-7, 0x1.dee8bd30638fbp-9, 0x1.a5c62f5f5679dp-6, 0x1.88900cc02dd94p-5, 0x1.0ce9b0fbf46d7p-4, 0x1.3596699470233p-4, 0x1.358d3bec38f2bp-4, 0x1.0882b4813a84cp-4, 0x1.5b9d427e428ep-5, 0x1.3c6f610c03ad2p-7, -0x1.0c544b104f25p-5, -0x1.55fb7921bf195p-4, -0x1.20e74cd71f6a1p-3, -0x1.a1a1bec1be902p-3, -0x1.1501b11473022p-2, -0x1.5b83d3c98f29ap-2, -0x1.a2f20dd1b1c74p-2, -0x1.ea0abdf51ad55p-2, -0x1.17d9a68df9763p-1, -0x1.397ca37170e86p-1, -0x1.5988dced66053p-1, -0x1.77abb17db47ep-1, -0x1.93a4079697564p-1, -0x1.ad40c35f4ceb5p-1, -0x1.c45f1feac8016p-1, -0x1.d8e9041859a2bp-1, -0x1.ead363332fbccp-1, -0x1.fa1cb31c7d197p-1, -0x1.0365bfb50901p+0, -0x1.08768da187374p+0, -0x1.0c4a397709a65p+0, -0x1.0eec7e667076p+0, -0x1.106ae3bd652d2p+0, -0x1.10d451bfa17c5p+0, -0x1.1038b3bdc836cp+0, -0x1.0ea8a647541a7p+0, -0x1.0c35307da3b9dp+0, -0x1.08ef8774f06c3p+0, -0x1.04e8db0d73fe7p+0, -0x1.00322acd69046p+0, -0x1.f5b84439de70dp-1, -0x1.e9edf57e4b28ap-1, -0x1.dd24ca041bb05p-1, -0x1.cf7aea13de3a7p-1, -0x1.c10d28f4bec96p-1, -0x1.b1f6effdede7p-1, -0x1.a25230450a591p-1, -0x1.92375a3b3f3fcp-1, -0x1.81bd5a138e3ffp-1, -0x1.70f9984d1caaap-1, -0x1.5ffffe23f3e3fp-1, -0x1.4ee2fc7e93ebp-1, -0x1.3db395ade1718p-1, -0x1.2c8168d4b21a9p-1, -0x1.1b5abee1f4b8bp-1, -0x1.0a4c98f146a75p-1, -0x1.f2c57d98753e7p-2, -0x1.d14f9e8d7699fp-2, -0x1.b04a9de2fb971p-2, -0x1.8fc7731e9b227p-2, -0x1.6fd5209ccf731p-2, -0x1.5080d69482eedp-2, -0x1.31d60e6b3d0b5p-2, -0x1.13deabdc5c475p-2, -0x1.ed462e277f122p-3, -0x1.b454b5e3e10fp-3, -0x1.7cf47b7ff71dcp-3, -0x1.472eb80af2f85p-3, -0x1.130a7f51c5427p-3, -0x1.c119dd4707e13p-4, -0x1.5f72aedd63d3ap-4, -0x1.0122d06a3ec0cp-4, -0x1.4c5549bb3100fp-5, -0x1.3a1f77ab69595p-6, 0x1.72906bdeb6941p-10, 0x1.5b4a97b2e31d5p-6, 0x1.49345c6dccc8ep-5, 0x1.de56ee15b285bp-5, 0x1.3692a4f62f676p-4, 0x1.7add34d972946p-4, 0x1.bc19cef56e49ap-4, 0x1.fa581d6d32a52p-4, 0x1.1ad452a9b0b0fp-3, 0x1.370e51be08a8ep-3, 0x1.51e2f5bbd0a8dp-3, 0x1.6b5b65065cce4p-3, 0x1.8380f4c303686p-3, 0x1.9a5d1c89e5499p-3, 0x1.aff96aec2e76fp-3, 0x1.c45f7b74ef796p-3, 0x1.d798ed4296ecep-3, 0x1.e9af5ae79afb1p-3, 0x1.faac52f30f193p-3, 0x1.054ca89f6b5f9p-2, 0x1.0cbfdc9c5d45fp-2, 0x1.13b4684f3d367p-2, 0x1.1a2edd78a82c4p-2, 0x1.2033bac17ff34p-2, 0x1.25c769fbc33d6p-2, 0x1.2aee3ebbeaa8p-2, 0x1.2fac75088b618p-2, 0x1.340630588228cp-2, 0x1.37ff7ab2cc3abp-2, 0x1.3b9c44138976ep-2, 0x1.3ee061d9659a5p-2, 0x1.41cf8e7156e84p-2, 0x1.446d690cb949bp-2, 0x1.46bd75821317dp-2, 0x1.48c31c70297b2p-2, 0x1.4a81ab03131e9p-2, 0x1.4bfc5369d92bdp-2, 0x1.4d362d075de4cp-2, 0x1.4e3234854c9abp-2, 0x1.4ef34c810557p-2, 0x1.4f7c3dd25022ep-2, 0x1.4fcfb7debe116p-2, 0x1.4ff05156c680ep-2, 0x1.4fe088a816638p-2, 0x1.4fa2c4750994bp-2, 0x1.4f3954256d3a7p-2, 0x1.4ea670b409ffdp-2, 0x1.4dec3d0e4c67ap-2, 0x1.4d0cc6c876262p-2, 0x1.4c0a06bb40d84p-2, 0x1.4ae5e19bd24bdp-2, 0x1.49a228b2082b3p-2, 0x1.48409a5168eb1p-2, 0x1.46c2e299dfb6fp-2, 0x1.452a9bfd323a5p-2, 0x1.43794fd76e4b4p-2, 0x1.41b07724c9656p-2, 0x1.3fd17af34a94p-2, 0x1.3dddb501175e1p-2, 0x1.3bd670554f64p-2, 0x1.39bce9c20c64fp-2, 0x1.37925060150e9p-2, 0x1.3557c63a662a9p-2, 0x1.330e60a6aec19p-2, 0x1.30b728d2a8985p-2, 0x1.2e531c43f0b07p-2, 0x1.2be32d4ab43e3p-2, 0x1.2968436d3ff29p-2, 0x1.26e33bd1a4732p-2, 0x1.2454e9c59ca8bp-2, 0x1.21be170d9cad5p-2, 0x1.1f1f8441d9a8ep-2, 0x1.1c79e93ea3b9p-2, 0x1.19cdf588904f9p-2, 0x1.171c508dfdb59p-2, 0x1.14659a0cb5724p-2, 0x1.11aa6a5381d61p-2, 0x1.0eeb52b0f739p-2, 0x1.0c28ddac91486p-2, 0x1.09638f425c2p-2, 0x1.069be537af73fp-2, 0x1.03d2576684003p-2, 0x1.010757fb6decap-2, 0x1.fc76a741c99a1p-3, 0x1.f6dd63977a2fap-3, 0x1.f143a9cf57da8p-3, 0x1.ebaa354bd64c8p-3, 0x1.e611b84111452p-3, 0x1.e07adbfd7306ep-3, 0x1.dae6416dc17c6p-3, 0x1.d554817b348fep-3, 0x1.cfc62d680cfffp-3, 0x1.ca3bceffeab7cp-3, 0x1.c4b5e8f60b9ccp-3, 0x1.bf34f740f6a71p-3, 0x1.b9b96f6601b2p-3, 0x1.b443c0abde4b6p-3, 0x1.aed45468ba426p-3, 0x1.a96b8e3bbfea7p-3, 0x1.a409cc432cea5p-3, 0x1.9eaf677eb416ap-3, 0x1.995cb3e62d817p-3, 0x1.94120091adc1fp-3, 0x1.8ecf980853cbap-3, 0x1.8995c068649cp-3, 0x1.8464bb99e0d66p-3, 0x1.7f3cc7802f849p-3, 0x1.7a1e1e188b077p-3, 0x1.7508f5a3961f3p-3, 0x1.6ffd80bc3eff3p-3, 0x1.6afbeeb64479fp-3, 0x1.66046b9b36fc6p-3, 0x1.6117204907cc7p-3, 0x1.5c3432962b01dp-3, 0x1.575bc5720fd4dp-3, 0x1.528df91153e97p-3, 0x1.4dcaeb057d039p-3, 0x1.4912b65a75d52p-3, 0x1.446573a217b89p-3, 0x1.3fc3391728a21p-3, 0x1.3b2c1ab8db83cp-3, 0x1.36a02a647afc6p-3, 0x1.321f77f0e7f98p-3, 0x1.2daa113a61046p-3, 0x1.29400237155bbp-3, 0x1.24e1550c85005p-3, 0x1.208e1229ad926p-3, 0x1.1c464053abc2ep-3, 0x1.1809e4bea8033p-3, 0x1.13d90320b5559p-3, 0x1.0fb39db2b51eep-3, 0x1.0b99b54d1de0bp-3, 0x1.078b49709f713p-3, 0x1.0388585bb368ap-3, 0x1.ff21be397f6a5p-4, 0x1.f749b33167b51p-4, 0x1.ef88852ff1591p-4, 0x1.e7de27a62a8adp-4, 0x1.e04a8bf84cb15p-4, 0x1.d8cda1a82b93p-4, 0x1.d167566939f02p-4, 0x1.ca1796220ac7bp-4, 0x1.c2de4b23abd8fp-4, 0x1.bbbb5e1e9e17bp-4, 0x1.b4aeb63a8afap-4, 0x1.adb83931dd7e1p-4, 0x1.a6d7cb65da1e7p-4, 0x1.a00d4fec6992cp-4, 0x1.9958a8ab324ap-4, 0x1.92b9b65bd4187p-4, 0x1.8c305892475d6p-4, 0x1.85bc6ddf5d852p-4, 0x1.7f5dd3d2e075ap-4, 0x1.791467127ec7fp-4, 0x1.72e00363ff2a7p-4, 0x1.6cc083bc32db3p-4, 0x1.66b5c24987281p-4, 0x1.60bf987d11f91p-4, 0x1.5adddf145f299p-4, 0x1.55106e3076f8bp-4, 0x1.4f571d52cd996p-4, 0x1.49b1c36c17c49p-4, 0x1.442036f598b1bp-4, 0x1.3ea24de86b92fp-4, 0x1.3937ddca1d49bp-4, 0x1.33e0bbb72139fp-4, 0x1.2e9cbc68b70d7p-4, 0x1.296bb442c5a34p-4, 0x1.244d775a73626p-4, 0x1.1f41d97c80f97p-4, 0x1.1a48ae3556d2bp-4, 0x1.1561c8dd5a85ep-4, 0x1.108cfc9261143p-4, 0x1.0bca1c43ed7b4p-4, 0x1.0718fac0d21e9p-4, 0x1.02796ab4a6923p-4, 0x1.fbd67d659c306p-5, 0x1.f2dc927705ca5p-5, 0x1.ea04b98090adap-5, 0x1.e14e975011cdcp-5, 0x1.d8b9d0a6eac3dp-5, 0x1.d0460a45b988ep-5, 0x1.c7f2e8f5498e8p-5, 0x1.bfc0118b93666p-5, 0x1.b7ad2906186afp-5, 0x1.afb9d48457c36p-5, 0x1.a7e5b94071357p-5, 0x1.a0307cb4fdde5p-5, 0x1.9899c48ce2fefp-5, 0x1.912136b132e71p-5, 0x1.89c67953123bfp-5, 0x1.828932f288c2bp-5, 0x1.7b690a63e9e24p-5, 0x1.7465a6d30b3f3p-5, 0x1.6d7eafc63d6bbp-5, 0x1.66b3cd22a902p-5, 0x1.6004a73333d77p-5, 0x1.5970e6b136f92p-5, 0x1.52f834c9a5bb6p-5, 0x1.4c9a3b2977945p-5, 0x1.4656a3fe8b0c3p-5, 0x1.402d19e47aed5p-5, 0x1.3a1d47f8d7a56p-5, 0x1.3426d9d4e00cdp-5, 0x1.2e497b8df3cp-5, 0x1.2884d9c7684b8p-5, 0x1.22d8a1bf5f0a3p-5, 0x1.1d448157a71cdp-5, 0x1.17c82716420eep-5, 0x1.1263421c81859p-5, 0x1.0d15821854fb9p-5, 0x1.07de9738e5acbp-5, 0x1.02be322e7366bp-5, 0x1.fb68086bc87dp-6, 0x1.f17f7e637364p-6, 0x1.e7c22b87ba3a3p-6, 0x1.de2f76c27be2fp-6, 0x1.d4c6c8aab49b4p-6, 0x1.cb878b3935623p-6, 0x1.c2712999df6f7p-6, 0x1.b9830fee50eecp-6, 0x1.b0bcab18bd178p-6, 0x1.a81d68df9b723p-6, 0x1.9fa4b83fe4c3ep-6, 0x1.975209ddd66d3p-6, 0x1.8f24d065661a4p-6, 0x1.871c80b22cb5fp-6, 0x1.7f3891a3f826dp-6, 0x1.77787ba5fb8adp-6, 0x1.6fdbb811b4a9fp-6, 0x1.6861c0aa2e312p-6, 0x1.610a0f69a9c56p-6, 0x1.59d41ec25d434p-6, 0x1.52bf6a4511766p-6, 0x1.4bcb6f79ed398p-6, 0x1.44f7ae9a6e241p-6, 0x1.3e43aaf2f3976p-6, 0x1.37aeea8455317p-6, 0x1.3138f53576b01p-6, 0x1.2ae153c90ae32p-6, 0x1.24a78eb566c21p-6, 0x1.1e8b2d9ce0c7fp-6, 0x1.188bb77d86da6p-6, 0x1.12a8b39ff0c36p-6, 0x1.0ce1ab03a1b44p-6, 0x1.073629d376e2p-6, 0x1.01a5c05dba9c2p-6, 0x1.f8600659d3dbcp-7, 0x1.eda914450a8abp-7, 0x1.e325dd9398cbep-7, 0x1.d8d594ca014f3p-7, 0x1.ceb768af95e93p-7, 0x1.c4ca830ad36aep-7, 0x1.bb0e09bcaa3fep-7, 0x1.b1812229de73bp-7, 0x1.a822f5dc4f1fep-7, 0x1.9ef2b707168c2p-7, 0x1.95efa385ce742p-7, 0x1.8d19052a410dfp-7, 0x1.846e2efbecfb6p-7, 0x1.7bee787296f62p-7, 0x1.73993783d97bep-7, 0x1.6b6dbb89da618p-7, 0x1.636b4abddf9aep-7, 0x1.5b912308c9b34p-7, 0x1.53de7e125e652p-7, 0x1.4c529775aa63dp-7, 0x1.44ecb3623d732p-7, 0x1.3dac23d05c19cp-7, 0x1.36904ac365ae9p-7, 0x1.2f9898cc6f269p-7, 0x1.28c487f7f44d9p-7, 0x1.22139463974d3p-7, 0x1.1b853485e7672p-7, 0x1.1518d36fb5092p-7, 0x1.0ecdcec09d7ap-7, 0x1.08a378e324e5p-7, 0x1.02991edb2bd48p-7, 0x1.f95c200b5ca4p-8, 0x1.edc34baf428e3p-8, 0x1.e26693a4ebebfp-8, 0x1.d744f09fe8adap-8, 0x1.cc5d7e8dc23a5p-8, 0x1.c1af71c6d4d46p-8, 0x1.b73a069e83972p-8, 0x1.acfc6f0424a44p-8, 0x1.a2f5c3b1ac4p-8, 0x1.9924fd8816edfp-8, 0x1.8f88f85d9e062p-8, 0x1.86207d7c29c47p-8, 0x1.7cea522139446p-8, 0x1.73e5467d86468p-8, 0x1.6b1042ee59312p-8, 0x1.626a51e67949p-8, 0x1.59f2a4ac454d2p-8, 0x1.51a8909c7ec4fp-8, 0x1.498b83ba25438p-8, 0x1.419af27499631p-8, 0x1.39d644167e13ap-8, 0x1.323cc4a3ca029p-8, 0x1.2acda08e8afefp-8, 0x1.2387e999baa9dp-8, 0x1.1c6aa09332f9dp-8, 0x1.1574bf3bb0e32p-8, 0x1.0ea540f966164p-8, 0x1.07fb2c3994b84p-8, 0x1.01759e34af75ap-8, 0x1.f627ae07c5ae2p-9, 0x1.e9aa8040689b2p-9, 0x1.dd72ce7734891p-9, 0x1.d17fda712b4bp-9, 0x1.c5d0e03f0477ep-9, 0x1.ba64f348bfce9p-9, 0x1.af3af2903d827p-9, 0x1.a4519193c7e32p-9, 0x1.99a766a8e8495p-9, 0x1.8f3af06e75d5bp-9, 0x1.850a914f5248fp-9, 0x1.7b148edf9392p-9, 0x1.71572544c3823p-9, 0x1.67d0b0b05db1bp-9, 0x1.5e7fdad81e37ap-9, 0x1.5563b14e6cb65p-9, 0x1.4c7b956ae2f2ep-9, 0x1.43c70d92a2049p-9, 0x1.3b45946507892p-9, 0x1.32f67edfd27f3p-9, 0x1.2ad900ddb9e3ap-9, 0x1.22ec40109f916p-9, 0x1.1b2f5d3fb817ep-9, 0x1.13a1655bf3efap-9, 0x1.0c41329d5777dp-9, 0x1.050d59608a1a9p-9, 0x1.fc087646a9ca5p-10, 0x1.ee4880dd1b265p-10, 0x1.e0d83762c9b6fp-10, 0x1.d3b5d9d6aabf4p-10, 0x1.c6e0639a2cde7p-10, 0x1.ba57217cff493p-10, 0x1.ae19482db1e53p-10, 0x1.a225c9797c6fp-10, 0x1.967b6dc211df7p-10, 0x1.8b190a2db63b5p-10, 0x1.7ffda0dee46cp-10, 0x1.7528484573b03p-10, 0x1.6a97da81c660fp-10, 0x1.604a9d7c4f707p-10, 0x1.563e2bdb91373p-10, 0x1.4c6fc4773cc5bp-10, 0x1.42dcdb4d2db36p-10, 0x1.39839239cadfbp-10, 0x1.3062d1fabec99p-10, 0x1.2779fe256dbe4p-10, 0x1.1ec880be58d12p-10, 0x1.164d7d0f6572dp-10, 0x1.0e07ceb5eed07p-10, 0x1.05f63ea366027p-10, 0x1.fc2f8336cfe04p-11, 0x1.ecd735a586967p-11, 0x1.dde291a9efafp-11, 0x1.cf507a0b9136ap-11, 0x1.c11f0b0ee467ap-11, 0x1.b34b494c50528p-11, 0x1.a5d174c28faacp-11, 0x1.98add77d4ea76p-11, 0x1.8bdd8917a0f11p-11, 0x1.7f5eb9c5ecccbp-11, 0x1.733078c155556p-11, 0x1.67521f60c8d33p-11, 0x1.5bc2a89596341p-11, 0x1.50804cac70e97p-11, 0x1.458895a2d6425p-11, 0x1.3ad8e5f9ea0eap-11, 0x1.306f1d3b128bp-11, 0x1.2649d7eb3c8fap-11, 0x1.1c682a1b8ffe7p-11, 0x1.12c938d3ea556p-11, 0x1.096bf654c265dp-11, 0x1.004ef2274ec63p-11, 0x1.eee099f98c956p-12, 0x1.dd9be6f2a57ebp-12, 0x1.cccbdd6293cb2p-12, 0x1.bc6d2f4c2dd56p-12, 0x1.ac7db8cd718e3p-12, 0x1.9cfcec99cdb46p-12, 0x1.8deaf01e9e9f6p-12, 0x1.7f468e9f21fe2p-12, 0x1.710c0327b2ac1p-12, 0x1.63360fdfa66c7p-12, 0x1.55c023ce6291cp-12, 0x1.48a6fca1e7621p-12, 0x1.3be7c0d8508b2p-12, 0x1.2f7fbf440c579p-12, 0x1.236d408af72b3p-12, 0x1.17afd7be48f75p-12, 0x1.0c476c677685ep-12, 0x1.0132fe835b7d6p-12, 0x1.ece0b7f7ac4cdp-13, 0x1.d7f8fabb5ffa4p-13, 0x1.c3a7ab5f15357p-13, 0x1.afe73e7396878p-13, 0x1.9cb79fb62c0efp-13, 0x1.8a1c831930a3cp-13, 0x1.78160654c983dp-13, 0x1.669d9025b837dp-13, 0x1.55ab1b7ebaac6p-13, 0x1.453a2c3e43fc7p-13, 0x1.35476b3d6c896p-13, 0x1.25ccd46e142adp-13, 0x1.16c2ccdfe58eap-13, 0x1.0823d7e4968e7p-13, 0x1.f3dd6f244f1e4p-14, 0x1.d84aec0613687p-14, 0x1.bd94480bf46bcp-14, 0x1.a3b80b1d3dde6p-14, 0x1.8aaf6448a1ab3p-14, 0x1.7270d19c61d5bp-14, 0x1.5af007974eeb9p-14, 0x1.4423b1fa65987p-14, 0x1.2e0f6cb9aa68cp-14, 0x1.18bb1b1797895p-14, 0x1.042101957ebc8p-14, 0x1.e0649ae8bf901p-15, 0x1.b9d13380b9b01p-15, 0x1.948ae666a9ad8p-15, 0x1.708d4656a9f3ap-15, 0x1.4dc883cf5240bp-15, 0x1.2c29498e14db1p-15, 0x1.0b9d7460bd3b8p-15, 0x1.d830777227028p-16, 0x1.9b2d14b5773ep-16, 0x1.603b31cf8888fp-16, 0x1.2763990f3c619p-16, 0x1.e13b8053f8334p-17, 0x1.77accc897a6f2p-17, 0x1.11f299aabec46p-17, 0x1.5fa2a47a95004p-18, 0x1.4492177585549p-19, -0x1.3d7165df36523p-22, -0x1.8574aaf0beb56p-19, -0x1.6b1ce9a5008cap-18, -0x1.06b3ecad0ee1dp-17, -0x1.54ba1fc6f77b7p-17, -0x1.9fa6a0105007dp-17, -0x1.e79ac976909afp-17, -0x1.1656908bee001p-16, -0x1.3774db08c326cp-16, -0x1.5731399671a12p-16, -0x1.759be33b7803cp-16, -0x1.92c901cd5368cp-16, -0x1.aec79a3852c8fp-16, -0x1.c99abee4ef5b2p-16, -0x1.e33ff5d22cfcdp-16, -0x1.fbbb9217ee22fp-16, -0x1.098b0dc1dfa5cp-15, -0x1.14aa733b0118cp-15, -0x1.1f42bcb9d6c98p-15, -0x1.29583295cbc7bp-15, -0x1.32e88ebfd0043p-15, -0x1.3bffbadad5961p-15, -0x1.44a74976c84e3p-15, -0x1.4cda7d816b6fcp-15, -0x1.549bbd7ae6aa8p-15, -0x1.5bf2728d0e86ap-15, -0x1.62e28aa5d9ed4p-15, -0x1.696d7a1c0690cp-15, -0x1.6f9439a9f6622p-15, -0x1.7557ce32a35dcp-15, -0x1.7ab99b36aa7e3p-15, -0x1.7fbc6be6029c4p-15, -0x1.8465dc0151f36p-15, -0x1.88bd7168d85f5p-15, -0x1.8cc7a92d60a9ep-15, -0x1.9083e6bd7e84dp-15, -0x1.93f215e32c36fp-15, -0x1.9713fc8846732p-15, -0x1.99e8fdd751084p-15, -0x1.9c7501aa0e733p-15, -0x1.9ebc2942e180bp-15, -0x1.a0c24ba22d7f4p-15, -0x1.a28c8c339a753p-15, -0x1.a41798969c60bp-15, -0x1.a565d082c7a78p-15, -0x1.a67bd29a0fe2ap-15, -0x1.a75b8e0f5b12fp-15, -0x1.a8061e7edbbcep-15, -0x1.a87cd2ccf89f6p-15, -0x1.a8c12da77172dp-15, -0x1.a8d4b799aab6ep-15, -0x1.a8b8cdf97b65fp-15, -0x1.a86e7ed8744abp-15, -0x1.a7f6a7e476adcp-15, -0x1.a752b9aed4136p-15, -0x1.a686068eae298p-15, -0x1.a594896cec887p-15, -0x1.a47ef71b9aa1ap-15, -0x1.a344fc1d876b6p-15, -0x1.a1e7c95709818p-15, -0x1.a06667669be9cp-15, -0x1.9ec36af429738p-15, -0x1.9d023799799a4p-15, -0x1.9b24ddce38e95p-15, -0x1.9929dcde9e6dp-15, -0x1.9712cb9d1ef74p-15, -0x1.94e1fe38bba09p-15, -0x1.929848522ef2ap-15, -0x1.90365ccd5ef0fp-15, -0x1.8dbd1e206105ap-15, -0x1.8b2d8394101efp-15, -0x1.8888856e8c97ap-15, -0x1.85cf1762d747cp-15, -0x1.830229febe8dfp-15, -0x1.8022a91d8b3fdp-15, -0x1.7d3171624c035p-15, -0x1.7a2f3f8e8a486p-15, -0x1.771c978d3dde9p-15, -0x1.73f9ef31ceb3dp-15, -0x1.70c8a6c3ad5b7p-15, -0x1.6d8a5203164d5p-15, -0x1.6a3f51428a3d4p-15, -0x1.66e85bac88c11p-15, -0x1.6384c156696f4p-15, -0x1.6015d4b670c71p-15, -0x1.5c9d6e0727ef7p-15, -0x1.591b2e03bac8ep-15, -0x1.558faaca7c122p-15, -0x1.51fc020957d22p-15, -0x1.4e60a38470b5cp-15, -0x1.4abdec0cd3baap-15, -0x1.471462f5255ddp-15, -0x1.43649e339b147p-15, -0x1.3faf0c93c1852p-15, -0x1.3bf4334c22e73p-15, -0x1.38349b32a431fp-15, -0x1.3470b61c85efep-15, -0x1.30a8f517cdf1cp-15, -0x1.2cddcb4b05362p-15, -0x1.290faabd28db2p-15, -0x1.253f021e49773p-15, -0x1.216c391a3e40dp-15, -0x1.1d979b2014a1cp-15, -0x1.19c1467b753f4p-15, -0x1.15e9b78d098a3p-15, -0x1.1211b3f769d98p-15, -0x1.0e39a11528e0ap-15, -0x1.0a6141228cc9p-15, -0x1.0689064e61137p-15, -0x1.02b1869a7ec9cp-15, -0x1.fdb59950bd64ap-16, -0x1.f60aa543da513p-16, -0x1.ee62b487eaa3ep-16, -0x1.e6be2df9f14b7p-16, -0x1.df1d96287b153p-16, -0x1.d7816ed5f1b6dp-16, -0x1.cfea340d1d7f7p-16, -0x1.c8585ddd62f5cp-16, -0x1.c0cc6039e78fcp-16, -0x1.b946aa3326233p-16, -0x1.b1c7a587b9a9ep-16, -0x1.aa4fb744f4feap-16, -0x1.a2df4147a48d5p-16, -0x1.9b76a31b88737p-16, -0x1.94163b5a57ec2p-16, -0x1.8cbe68378bff1p-16, -0x1.856f8343f15f6p-16, -0x1.7e29df372c3p-16, -0x1.76edc7d54f924p-16, -0x1.6fbb5d6be2506p-16, -0x1.6892d5a14da4fp-16, -0x1.6174efd40106ap-16, -0x1.5a61ca389a1bfp-16, -0x1.5359545cc208fp-16, -0x1.4c5c0064addc2p-16, -0x1.456a09ef5cf19p-16, -0x1.3e83b90444eb4p-16, -0x1.37a934a3be2c7p-16, -0x1.30daab029d774p-16, -0x1.2a184c8c5e4c6p-16, -0x1.23624809212bp-16, -0x1.1cb8c9ebcc35bp-16, -0x1.161bfc5581814p-16, -0x1.0f8c074357658p-16, -0x1.0909109c92479p-16, -0x1.02933c15048a4p-16, -0x1.f85556c3898f5p-17, -0x1.eb9efd46acad8p-17, -0x1.df03ad313bd9p-17, -0x1.d2839d5cc7b4bp-17, -0x1.c61ed02e0a1bp-17, -0x1.b9d5fedf0a73ep-17, -0x1.ada8b71e8e142p-17, -0x1.a197846fb409ap-17, -0x1.95a27876a39a5p-17, -0x1.89c9b84882e56p-17, -0x1.7e0d6511eeac9p-17, -0x1.726d92d63270fp-17, -0x1.66ea6b81259d2p-17, -0x1.5b84063381bep-17, -0x1.503a7cdd175a4p-17, -0x1.450de1c1215b2p-17, -0x1.39fe421c05a55p-17, -0x1.2f0ba9f2d53a7p-17, -0x1.243635b49e98cp-17, -0x1.197de518aa1aap-17, -0x1.0ee2c26870017p-17, -0x1.0464d6a5ed265p-17, -0x1.f4084c177d80dp-18, -0x1.df81664dd11c9p-18, -0x1.cb34fccd9b8a4p-18, -0x1.b723077f3efbfp-18, -0x1.a34b7aaadc16cp-18, -0x1.8fae63a92725cp-18, -0x1.7c4bac87dfb36p-18, -0x1.692335d079aa9p-18, -0x1.5634f67b5b395p-18, -0x1.4380d80cda42fp-18, -0x1.3106be2766856p-18, -0x1.1ec68b08ab524p-18, -0x1.0cc01d205279dp-18, -0x1.f5e69cb6c9df5p-19, -0x1.d2bff799eb04fp-19, -0x1.b00c10011798ap-19, -0x1.8dca8a0d86707p-19, -0x1.6bfa9b8434f1dp-19, -0x1.4a9c019c6ab8ap-19, -0x1.29af0ae460d52p-19, }}, 
      {{-0x1.1a6a0d0a1e65dp-6, -0x1.723825d9b0e1ep-7, -0x1.61a2a3e1bf96fp-9, 0x1.dac92f5071863p-8, 0x1.1af7da9f1f1abp-6, 0x1.aeeb8e59fae4fp-6, 0x1.124684fcd237ep-5, 0x1.38d0102805bcbp-5, 0x1.47b1b48fbbdbbp-5, 0x1.3d0d8ace09b17p-5, 0x1.1846afc70430cp-5, 0x1.b381128a1f8f2p-6, 0x1.0546aba15cbfcp-6, 0x1.4a7ede19a26c4p-9, -0x1.b853044ef39c8p-7, -0x1.0336aa629e40cp-5, -0x1.a840941e3a8dap-5, -0x1.2d55ea5fcc7c7p-4, -0x1.8bfd4cf46334dp-4, -0x1.eee2cbb52ee1dp-4, -0x1.2a71783d6266bp-3, -0x1.5e76e63ed7f93p-3, -0x1.930486c5816d6p-3, -0x1.c7a88a9722302p-3, -0x1.fbfca45887405p-3, -0x1.17d2f360c97d1p-2, -0x1.312a36096262cp-2, -0x1.49e16b537e728p-2, -0x1.61dadb8867937p-2, -0x1.78fd7175f3262p-2, -0x1.8f3461044e60cp-2, -0x1.a46ecccd1d963p-2, -0x1.b89f6c7f747a1p-2, -0x1.cbbc35fd8df93p-2, -0x1.ddbe09a170cc1p-2, -0x1.eea0627ce6405p-2, -0x1.fe610bba9855p-2, -0x1.067fed75e1e96p-1, -0x1.0d3f3779ebd62p-1, -0x1.136ff9eefa456p-1, -0x1.191475ef050b4p-1, -0x1.1e2f7e7655c47p-1, -0x1.22c4617c9c237p-1, -0x1.26d6d34ccfa42p-1, -0x1.2a6adbc597e0dp-1, -0x1.2d84c580201dp-1, -0x1.30290ece46b25p-1, -0x1.325c5c63d1e4bp-1, -0x1.34236d848165fp-1, -0x1.3583117982ffep-1, -0x1.36801e89dd10fp-1, -0x1.371f6a0713aefp-1, -0x1.3765c142cfd56p-1, -0x1.3757e3b81e4d7p-1, -0x1.36fa7df1dbe5p-1, -0x1.36522543985aap-1, -0x1.35635440b62dap-1, -0x1.343267c4e419fp-1, -0x1.32c39ca08cdfep-1, -0x1.311b0db63b8adp-1, -0x1.2f3cb28f4c69fp-1, -0x1.2d2c5e50ef765p-1, -0x1.2aedbf0e0b009p-1, -0x1.28845d6652879p-1, -0x1.25f39c5cd3febp-1, -0x1.233eb9722f38dp-1, -0x1.2068cceeb3f5cp-1, -0x1.1d74ca54b752bp-1, -0x1.1a6580f3de38ep-1, -0x1.173d9c9fe1fbap-1, -0x1.13ffa67cdf742p-1, -0x1.10ae05e2ef726p-1, -0x1.0d4b0146677d3p-1, -0x1.09d8bf3b099c1p-1, -0x1.0659477e97828p-1, -0x1.02ce8407500b7p-1, -0x1.fe74841c9b3b2p-2, -0x1.f73c664f3d338p-2, -0x1.eff7dcbde2dap-2, -0x1.e8a9e2906c169p-2, -0x1.e1554221d10a5p-2, -0x1.d9fc972277757p-2, -0x1.d2a250b064629p-2, -0x1.cb48b3629648ap-2, -0x1.c3f1db4d409eep-2, -0x1.bc9fbdf041cdp-2, -0x1.b5542c202a002p-2, -0x1.ae10d3e37961dp-2, -0x1.a6d7423bc96e1p-2, -0x1.9fa8e4dc6a285p-2, -0x1.98870bddcf79bp-2, -0x1.9172eb4ed0a57p-2, -0x1.8a6d9ccc43044p-2, -0x1.837820f6acc3dp-2, -0x1.7c9360e6362b2p-2, -0x1.75c02f7dabd0bp-2, -0x1.6eff4ac3d903cp-2, -0x1.68515d23cd7ffp-2, -0x1.61b6fe9325536p-2, -0x1.5b30b5bf7a501p-2, -0x1.54bef91fd0b74p-2, -0x1.4e622ffd616fbp-2, -0x1.481ab37214f6dp-2, -0x1.41e8cf4b727eep-2, -0x1.3bccc2fad4fa7p-2, -0x1.35c6c263f23a5p-2, -0x1.2fd6f6a93fce7p-2, -0x1.29fd7eed1dc74p-2, -0x1.243a71056fe38p-2, -0x1.1e8dda2bee462p-2, -0x1.18f7bfa335741p-2, -0x1.13781f37046d6p-2, -0x1.0e0eeff24f9dp-2, -0x1.08bc229061fbap-2, -0x1.037fa1fcfccffp-2, -0x1.fcb2a7ab4b28fp-3, -0x1.f29231a89066fp-3, -0x1.e89d9a7633c2cp-3, -0x1.ded4926f4975cp-3, -0x1.d536c298f7425p-3, -0x1.cbc3cd1cde4b6p-3, -0x1.c27b4e1ec2f1bp-3, -0x1.b95cdc3f3cc4dp-3, -0x1.b06809349d1fcp-3, -0x1.a79c624cd064dp-3, -0x1.9ef970e017439p-3, -0x1.967ebade888d8p-3, -0x1.8e2bc327073dep-3, -0x1.860009f5dd19ap-3, -0x1.7dfb0d475afd6p-3, -0x1.761c492ba5a81p-3, -0x1.6e63380b01b96p-3, -0x1.66cf530a24c47p-3, -0x1.5f60123e0956ep-3, -0x1.5814ecf24b9c4p-3, -0x1.50ed59f0ad8e4p-3, -0x1.49e8cf9a87956p-3, -0x1.4306c4398ca15p-3, -0x1.3c46ae235e84p-3, -0x1.35a803e2afbfp-3, -0x1.2f2a3c5e8eb9bp-3, -0x1.28cccf0223511p-3, -0x1.228f33e3b571dp-3, -0x1.1c70e3dca9a6p-3, -0x1.16715892fccdap-3, -0x1.10900cb86dfa5p-3, -0x1.0acc7c05697ep-3, -0x1.052623565e249p-3, -0x1.ff39017823f89p-4, -0x1.f45e2713fe341p-4, -0x1.e9bab8f1e6d8p-4, -0x1.df4dbb205b4bfp-4, -0x1.d51634950ab3p-4, -0x1.cb132f43aa0b8p-4, -0x1.c143b8178209cp-4, -0x1.b7a6df103bfa6p-4, -0x1.ae3bb74837c24p-4, -0x1.a501570f0d2ccp-4, -0x1.9bf6d7c3b92edp-4, -0x1.931b562a67485p-4, -0x1.8a6df2450b365p-4, -0x1.81edcf2d62ef2p-4, -0x1.799a136b7f6adp-4, -0x1.7171e8c5679c3p-4, -0x1.69747c44ebba9p-4, -0x1.61a0fe38f0dfp-4, -0x1.59f6a23d2167dp-4, -0x1.52749f29de077p-4, -0x1.4b1a2f1407efap-4, -0x1.43e68f473cd5p-4, -0x1.3cd9005c8e358p-4, -0x1.35f0c60827b98p-4, -0x1.2f2d271a6c5f7p-4, -0x1.288d6da2872d5p-4, -0x1.2210e6be0232cp-4, -0x1.1bb6e29f09b66p-4, -0x1.157eb47cda85fp-4, -0x1.0f67b2b1e39bcp-4, -0x1.0971365f3b404p-4, -0x1.039a9bc09df7ep-4, -0x1.fbc683dd40328p-5, -0x1.f09515bb2799dp-5, -0x1.e59fb6aa67a4fp-5, -0x1.dae53610c821ep-5, -0x1.d064689108ceap-5, -0x1.c61c284f78cffp-5, -0x1.bc0b54edce5dbp-5, -0x1.b230d348503fcp-5, -0x1.a88b8d73c609fp-5, -0x1.9f1a72a883325p-5, -0x1.95dc7730382cdp-5, -0x1.8cd0944eae687p-5, -0x1.83f5c83aa36d1p-5, -0x1.7b4b15f35c254p-5, -0x1.72cf854060f63p-5, -0x1.6a822297bea95p-5, -0x1.6261fefe29fbp-5, -0x1.5a6e301043bc6p-5, -0x1.52a5cfe06f659p-5, -0x1.4b07fcea27701p-5, -0x1.4393d9b7bc773p-5, -0x1.3c488d608bbb3p-5, -0x1.35254304a2782p-5, -0x1.2e2929d3046a6p-5, -0x1.2753750cc2c09p-5, -0x1.20a35bde60d15p-5, -0x1.1a181959b4a47p-5, -0x1.13b0ec6108e82p-5, -0x1.0d6d1792545bdp-5, -0x1.074be13d9a8e9p-5, -0x1.014c934f957f6p-5, -0x1.f6dcf677d155ap-6, -0x1.eb61d3f3e459bp-6, -0x1.e02667cc47ddcp-6, -0x1.d529616765b3ep-6, -0x1.ca69770738717p-6, -0x1.bfe5651599fa4p-6, -0x1.b59bee6e7c787p-6, -0x1.ab8bdc48ad636p-6, -0x1.a1b3fde93d3f6p-6, -0x1.9813289715c3ap-6, -0x1.8ea83789d92cbp-6, -0x1.85720bb410bdfp-6, -0x1.7c6f8bbd7e3b5p-6, -0x1.739fa3e47247cp-6, -0x1.6b014601181d8p-6, -0x1.629368fe09b07p-6, -0x1.5a55095572596p-6, -0x1.5245288a647b5p-6, -0x1.4a62cd3969effp-6, -0x1.42ad02f9182dp-6, -0x1.3b22da4576d5bp-6, -0x1.33c368683af19p-6, -0x1.2c8dc747008d3p-6, -0x1.2581157b168c8p-6, -0x1.1e9c763c0792cp-6, -0x1.17df10fa367f6p-6, -0x1.114811948f8e6p-6, -0x1.0ad6a83eb533ep-6, -0x1.048a095048a8p-6, -0x1.fcc2da8416818p-7, -0x1.f0b82115533b6p-7, -0x1.e4f2672b2b919p-7, -0x1.d9703568fad21p-7, -0x1.ce301c0bdc7bfp-7, -0x1.c330b2a66e812p-7, -0x1.b870983988d4ep-7, -0x1.adee72f304536p-7, -0x1.a3a8efea653aep-7, -0x1.999ec32e8b886p-7, -0x1.8fcea78d4cb5ap-7, -0x1.86375e7409fb8p-7, -0x1.7cd7afcf77b26p-7, -0x1.73ae69eb8ab1fp-7, -0x1.6aba6168a2619p-7, -0x1.61fa70c508c18p-7, -0x1.596d78a0aa758p-7, -0x1.51125fc28db38p-7, -0x1.48e81267633d5p-7, -0x1.40ed8274e723bp-7, -0x1.3921a78a4eb72p-7, -0x1.31837e978de5fp-7, -0x1.2a1209ed96df5p-7, -0x1.22cc5114ed397p-7, -0x1.1bb160b72eb4ep-7, -0x1.14c04a7f02048p-7, -0x1.0df8250458ebap-7, -0x1.07580bb6d199bp-7, -0x1.00df1ec164022p-7, -0x1.f51905e5b6915p-8, -0x1.e8bec34c21a7ap-8, -0x1.dcadd153a4756p-8, -0x1.d0e4946acace6p-8, -0x1.c561796ea7315p-8, -0x1.ba22f582cc3f3p-8, -0x1.af27866f9f0fap-8, -0x1.a46db1c87393fp-8, -0x1.99f404f9018fep-8, -0x1.8fb91556151bbp-8, -0x1.85bb7fc65fedcp-8, -0x1.7bf9e89dda8bdp-8, -0x1.7272fb78061a8p-8, -0x1.69256b0d24741p-8, -0x1.600ff10ccc284p-8, -0x1.57314e15d8fe1p-8, -0x1.4e88498c74e5ap-8, -0x1.4613b14da81c5p-8, -0x1.3dd259c2df9b5p-8, -0x1.35c31dbef0d75p-8, -0x1.2de4de6eecd57p-8, -0x1.263682b21bfa5p-8, -0x1.1eb6f73cf5c9cp-8, -0x1.17652f5332593p-8, -0x1.1040235d9b0c3p-8, -0x1.0946d152bbc81p-8, -0x1.02783cd14d63ap-8, -0x1.f7a6ddbf5474ep-9, -0x1.eaaeebba2441ap-9, -0x1.de06caaf83f18p-9, -0x1.d1acabe107d05p-9, -0x1.c59eca68fd315p-9, -0x1.b9db6af47dc01p-9, -0x1.ae60db95457e7p-9, -0x1.a32d739f104e4p-9, -0x1.983f938a6958ap-9, -0x1.8d95a4d97bdd7p-9, -0x1.832e19efc4e4dp-9, -0x1.79076dea8b179p-9, -0x1.6f20247431dbap-9, -0x1.6576c99a942e6p-9, -0x1.5c09f0d5048d6p-9, -0x1.52d835f31cc38p-9, -0x1.49e03cace9174p-9, -0x1.4120af5abac4p-9, -0x1.389840119bce9p-9, -0x1.3045a84b9f637p-9, -0x1.2827a8ad5e4e6p-9, -0x1.203d08edf5d07p-9, -0x1.188497d7dabbap-9, -0x1.10fd2b040a2e5p-9, -0x1.09a59e9b1571bp-9, -0x1.027cd5229a82dp-9, -0x1.f7036e899a6aap-10, -0x1.e96667583d866p-10, -0x1.dc207dbd12147p-10, -0x1.cf2fa661f732bp-10, -0x1.c291e1361d004p-10, -0x1.b64539caaad25p-10, -0x1.aa47c72b13965p-10, -0x1.9e97ab24bc99ap-10, -0x1.93331314e5eafp-10, -0x1.881837097db07p-10, -0x1.7d45586977763p-10, -0x1.72b8c44961202p-10, -0x1.6870d018d8014p-10, -0x1.5e6bd9f040a2cp-10, -0x1.54a8493232ab4p-10, -0x1.4b248dd6fe718p-10, -0x1.41df20839fee1p-10, -0x1.38d682bb07911p-10, -0x1.30093f0b7a2b2p-10, -0x1.2775e9228be3cp-10, -0x1.1f1b1db591e79p-10, -0x1.16f78236e95e3p-10, -0x1.0f09c4572a983p-10, -0x1.07509965f91ccp-10, -0x1.ff957b481674bp-11, -0x1.f0ede76e615efp-11, -0x1.e2a808ad7646cp-11, -0x1.d4c17cb679f6ap-11, -0x1.c737ee34b9232p-11, -0x1.ba091599c4c16p-11, -0x1.ad32ba308282ap-11, -0x1.a0b2b2d3a01c6p-11, -0x1.9486e5f62f586p-11, -0x1.88ad47fa4e7fap-11, -0x1.7d23d99d3c944p-11, -0x1.71e8aa89dfaap-11, -0x1.66f9d2e00bceap-11, -0x1.5c55721afe698p-11, -0x1.51f9b06b8b9d6p-11, -0x1.47e4bdc8f8938p-11, -0x1.3e14d31af24c9p-11, -0x1.34883405c1c4bp-11, -0x1.2b3d303fd25b8p-11, -0x1.2232247304283p-11, -0x1.19657a941f5e6p-11, -0x1.10d5a8fb62b95p-11, -0x1.08813137bcfd7p-11, -0x1.00669e9fe5e57p-11, -0x1.f10908f405d11p-12, -0x1.e1b2f896f6b2dp-12, -0x1.d2c84865af401p-12, -0x1.c4463baf18418p-12, -0x1.b62a22500e1f6p-12, -0x1.a871590370c32p-12, -0x1.9b194e7bed136p-12, -0x1.8e1f871d196c8p-12, -0x1.81819d185b3d5p-12, -0x1.753d3f15e9b2bp-12, -0x1.69502e83f799dp-12, -0x1.5db83e3a86d5bp-12, -0x1.52734c51d9076p-12, -0x1.477f44d2392ffp-12, -0x1.3cda218bd4abep-12, -0x1.3281dc7ad124p-12, -0x1.287475137a988p-12, -0x1.1eaff1b9abf19p-12, -0x1.1532626a09afdp-12, -0x1.0bf9e540a1721p-12, -0x1.0304a91dafe2fp-12, -0x1.f4a1db2b639f5p-13, -0x1.e3ba019da824cp-13, -0x1.d34e7a8b0c324p-13, -0x1.c35c11e43ca36p-13, -0x1.b3dfaa60d6394p-13, -0x1.a4d640d003253p-13, -0x1.963cdfc5b7521p-13, -0x1.8810a6053f2f1p-13, -0x1.7a4eb4b5388dep-13, -0x1.6cf436bca80d8p-13, -0x1.5ffe60a0b4fd9p-13, -0x1.536a77b6b1939p-13, -0x1.4735d7c4e2527p-13, -0x1.3b5df403c8fcfp-13, -0x1.2fe05378b3969p-13, -0x1.24ba8c375b9bbp-13, -0x1.19ea41baba9ebp-13, -0x1.0f6d275cc93edp-13, -0x1.054104166dacap-13, -0x1.f6c768b4739adp-14, -0x1.e3a644d5b956p-14, -0x1.d11a8030c69c5p-14, -0x1.bf2026bd9a575p-14, -0x1.adb348f7b9e0cp-14, -0x1.9cd005c5b7467p-14, -0x1.8c729bea97521p-14, -0x1.7c9764ddb47fcp-14, -0x1.6d3ad5542cc0cp-14, -0x1.5e596f8c8be23p-14, -0x1.4fefc5778c461p-14, -0x1.41fa7eab0dabp-14, -0x1.34764dca0ab04p-14, -0x1.276009aa40e09p-14, -0x1.1ab4acbec8866p-14, -0x1.0e714c0d887abp-14, -0x1.0293091e6a2afp-14, -0x1.ee2e1a8dfb6a2p-15, -0x1.d7f524636c4bap-15, -0x1.c275db424224cp-15, -0x1.adab280ecaf42p-15, -0x1.9990201d963c1p-15, -0x1.861ff0223258bp-15, -0x1.7355d18171fa6p-15, -0x1.612d07f735a58p-15, -0x1.4fa0e4948502bp-15, -0x1.3eacc99ff7ef4p-15, -0x1.2e4c3857d09a6p-15, -0x1.1e7ae80a8ea47p-15, -0x1.0f34cd595ab4p-15, -0x1.0076028dda1adp-15, -0x1.e4753deb4d05fp-16, -0x1.c8fd6961573a6p-16, -0x1.ae7cc1f2f1bd2p-16, -0x1.94ebca7783ed1p-16, -0x1.7c43e7f0876c1p-16, -0x1.647ebbe84494ap-16, -0x1.4d95e170f2bcep-16, -0x1.3782fc3a28157p-16, -0x1.223fa7fca4d49p-16, -0x1.0dc5978288b83p-16, -0x1.f41d604cb4397p-17, -0x1.ce2a1783530abp-17, -0x1.a9a5ec45bc03ep-17, -0x1.8685f5d2df5ecp-17, -0x1.64bfd5e734f1p-17, -0x1.44496e11b25eap-17, -0x1.251874609583dp-17, -0x1.07226fa7243ddp-17, -0x1.d4ba4e73d2767p-18, -0x1.9d7e1d50c56d2p-18, -0x1.687e94c54a8bbp-18, -0x1.35aad807985ecp-18, -0x1.04f263ddf6cc2p-18, -0x1.ac8973fd22a85p-19, -0x1.53227781e2073p-19, -0x1.fb1dee117facap-20, -0x1.575f46674ae31p-20, -0x1.759c1d2c64456p-21, -0x1.298dba677243fp-23, 0x1.a6abf54c0515dp-22, 0x1.e3fe662850391p-21, 0x1.74004acf11394p-20, 0x1.efe2cc35a4c98p-20, 0x1.32ed9dc1a9aa6p-19, 0x1.6b0e6c2e33b23p-19, 0x1.a06bc14f99f76p-19, 0x1.d31bfd7e8dd78p-19, 0x1.019af9980ab6ep-18, 0x1.186835dd25043p-18, 0x1.2dffb5e7b728p-18, 0x1.426be49818d7fp-18, 0x1.55b747c7a4626p-18, 0x1.67ec2776b8f66p-18, 0x1.791462f14f415p-18, 0x1.8938fd2cdecbdp-18, 0x1.98620cd4fb8a6p-18, 0x1.a69753913a583p-18, 0x1.b3e0fe7606edap-18, 0x1.c047b5a85a437p-18, 0x1.cbd4076ddacb5p-18, 0x1.d68e1b2cf2a2p-18, 0x1.e07da293b07b3p-18, 0x1.e9a98d3f87f11p-18, 0x1.f2184b3a8e146p-18, 0x1.f9d09611f16abp-18, 0x1.006cbded603d9p-17, 0x1.039cdd0ec40cdp-17, 0x1.067bc49ff078ap-17, 0x1.090c7455afa54p-17, 0x1.0b51ea90621ffp-17, 0x1.0d4f26df55da6p-17, 0x1.0f071bbc6207cp-17, 0x1.107c8e724e3aep-17, 0x1.11b1f093d292bp-17, 0x1.12a97393cc0e7p-17, 0x1.1365554ef310fp-17, 0x1.13e8158c61f15p-17, 0x1.1434500599ce2p-17, 0x1.144c72d5a3512p-17, 0x1.1432b3913987cp-17, 0x1.13e90ef6602f6p-17, 0x1.13714d67a3826p-17, 0x1.12cd516985e4cp-17, 0x1.11ff28066bd15p-17, 0x1.1108d216470d8p-17, 0x1.0fec484eb2e48p-17, 0x1.0eab0c587ad26p-17, 0x1.0d46aa49d12a5p-17, 0x1.0bc0dd5a98517p-17, 0x1.0a1b4718ddaf2p-17, 0x1.085766a0ab4bfp-17, 0x1.0676c35750d13p-17, 0x1.047aef5f031bdp-17, 0x1.02652eaf07dacp-17, 0x1.0036bf6168028p-17, 0x1.fbe1d46339e43p-18, 0x1.f72a1700c3a15p-18, 0x1.f248ebd57dc61p-18, 0x1.ed40a5d9a5dedp-18, 0x1.e81364393f339p-18, 0x1.e2c32f2ca9f8bp-18, 0x1.dd52110c4e706p-18, 0x1.d7c248ff108c4p-18, 0x1.d215f779c33e4p-18, 0x1.cc4ef23a2c1b1p-18, 0x1.c66f0ccca618fp-18, 0x1.c0781589ab7fbp-18, 0x1.ba6bbcf0e719cp-18, 0x1.b44b9a22b8212p-18, 0x1.ae1935e84b5dcp-18, 0x1.a7d61714cc069p-18, 0x1.a183c19929906p-18, 0x1.9b23b4e80c02ap-18, 0x1.94b768e9aa81cp-18, 0x1.8e404358e0e1cp-18, 0x1.87bf8cd106693p-18, 0x1.81367b9660687p-18, 0x1.7aa646e9065e8p-18, 0x1.741013d3cc3bbp-18, 0x1.6d74e2e59d1fep-18, 0x1.66d5c249ec52bp-18, 0x1.6033c8cd51ad4p-18, 0x1.598ff9d505faap-18, 0x1.52eb3847ef0a2p-18, 0x1.4c468554cce0dp-18, 0x1.45a2e8522a6d3p-18, 0x1.3f00dee3d5555p-18, 0x1.38614c5abf402p-18, 0x1.31c50c5b61c26p-18, 0x1.2b2cd26c176aep-18, 0x1.24994a44e507cp-18, 0x1.1e0b1baffe867p-18, 0x1.1782e9bddf912p-18, 0x1.110152e40c91ep-18, 0x1.0a86f3084d682p-18, 0x1.0414650f846dp-18, 0x1.fb547e39dbfc8p-19, 0x1.ee92131a4ff5fp-19, 0x1.e1e26e50b5a91p-19, 0x1.d5466c413f1c8p-19, 0x1.c8bed8764855ap-19, 0x1.bc4ceb9c4b20ep-19, 0x1.aff11447d07cfp-19, 0x1.a3ac619e216fdp-19, 0x1.977f8b038c3eap-19, 0x1.8b6b25816e83fp-19, 0x1.7f6fd42b8c1aep-19, 0x1.738e3b1663bc9p-19, 0x1.67c6f23ca1e36p-19, 0x1.5c1a8bbb88565p-19, 0x1.508990dfaaebp-19, 0x1.45147d0d3a138p-19, 0x1.39bbbc71e029ap-19, 0x1.2e7faff755867p-19, 0x1.2360b406fda3bp-19, 0x1.185f25019e714p-19, 0x1.0d7b5e7448c27p-19, 0x1.02b5b7de5d50bp-19, 0x1.f01d05c6f4d04p-20, 0x1.db0c12ad7ae51p-20, 0x1.c6391a33ce7fap-20, 0x1.b1a487ff93226p-20, 0x1.9d4ebedb50c78p-20, 0x1.8938286fabc14p-20, 0x1.7560daa01d356p-20, 0x1.61c8f35f09831p-20, 0x1.4e71763fe50fep-20, 0x1.3b5a1c573a086p-20, 0x1.2882853303002p-20, 0x1.15ed3741790bap-20, 0x1.039b5230d92fep-20, 0x1.e30cef0a3e426p-21, 0x1.bf61dd9071a82p-21, 0x1.9c415095fd84dp-21, 0x1.799aebb47deeap-21, 0x1.57727161c83adp-21, 0x1.35d1b2b991e15p-21, 0x1.14b4565950426p-21, 0x1.e82f0368c7a3p-22, 0x1.a7f5e65fb67d8p-22, 0x1.68bd72f83f91bp-22, 0x1.2a85554fdc7fp-22, 0x1.da99ca8dc7789p-23, 0x1.6226ce967fc6cp-23, 0x1.d7600f190b34p-24, 0x1.dccdb58eaebe6p-25, 0x1.2bc61c622cb5cp-29, -0x1.af7cfc430db72p-25, -0x1.b4f4ddba072b9p-24, -0x1.4724bd20c28b8p-23, -0x1.b1e03bac5773ap-23, -0x1.0d57d0003d836p-22, -0x1.40cc0cdf072ep-22, -0x1.734b4cbd6c304p-22, -0x1.a4da142d4f1f5p-22, -0x1.d5794010a9b88p-22, -0x1.0295320673bd9p-21, -0x1.19f75b74fac42p-21, -0x1.30e36df4341c8p-21, -0x1.4759bc9e2179fp-21, -0x1.5d5b0ab4b5ec5p-21, -0x1.72e8cd8014726p-21, -0x1.8804eb100cfe6p-21, -0x1.9cb114bbe29bfp-21, -0x1.b0ee4f900c354p-21, -0x1.c4bccbe274a4dp-21, -0x1.d81c4ec2f7b6dp-21, -0x1.eb0d7c4e734ecp-21, -0x1.fd9244562d396p-21, -0x1.07d5d2250174ep-20, -0x1.10ad2e6536475p-20, -0x1.19507b647d9d1p-20, -0x1.21bfd52efc0d2p-20, -0x1.29fb5d1930e8dp-20, -0x1.320387d87c458p-20, -0x1.39d8d7f93f551p-20, -0x1.417bd4b77c242p-20, -0x1.48ed073a136d5p-20, -0x1.502cfa7777966p-20, -0x1.573c38f77981p-20, -0x1.5e1b4c71b309ap-20, -0x1.64cabdd5ef88dp-20, -0x1.6b4b1578902bfp-20, -0x1.719cdb1e4bee6p-20, -0x1.77c095c5c975bp-20, -0x1.7db6cba7c644ap-20, -0x1.83800759bc0c8p-20, -0x1.891cd41547dfp-20, -0x1.8e8db40e14aebp-20, -0x1.93d2be8e59e5ep-20, -0x1.98eca82c6134ep-20, -0x1.9ddffcf11399dp-20, -0x1.a2a23aebbf8e6p-20, -0x1.a7410616a091ep-20, -0x1.abb52fac9f2fp-20, -0x1.b000ff1ecb443p-20, -0x1.b4250830e6326p-20, -0x1.b821cbc55817p-20, -0x1.bbf7cc38aaa7dp-20, -0x1.bfa78c76ca518p-20, -0x1.c3318f5403471p-20, -0x1.c69656f69bb12p-20, -0x1.c9d66445ec6e4p-20, -0x1.ccf237d15af5bp-20, -0x1.cfea846fbfe8ep-20, -0x1.d2bf55904672ap-20, -0x1.d5718c07290c8p-20, -0x1.d801987251da7p-20, -0x1.da6fe2b9d2bdfp-20, -0x1.dcbce8c2b695ap-20, -0x1.dee9255016fa2p-20, -0x1.e0f515995f5bep-20, -0x1.e2e1567c37d3ap-20, -0x1.e4ae85b6e0abdp-20, -0x1.e65c97ef63d55p-20, -0x1.e7ec3f2fb2522p-20, -0x1.e95e4b1ea7106p-20, -0x1.eab2eb500f008p-20, -0x1.ebea8c4a16da2p-20, -0x1.ed05b157a6276p-20, -0x1.ee04d6ebf9eefp-20, -0x1.eee8736ee08a6p-20, -0x1.efb0fa2cbec9bp-20, -0x1.f05edcde83dcdp-20, -0x1.f0f28c63afe69p-20, -0x1.f16c790759a9ep-20, -0x1.f1cd11484a1c8p-20, -0x1.f214c1f71e99dp-20, -0x1.f2440275ba0f6p-20, }}, 
      {{-0x1.5a193e5456bcdp-7, -0x1.4acbbf4e42bacp-5, -0x1.5ca23729eeda8p-4, -0x1.1e497f25f221ap-3, -0x1.9914dd41641fep-3, -0x1.0b4cd9b4c312bp-2, -0x1.4830d9416b318p-2, -0x1.80c96307e6726p-2, -0x1.b365ada1bffbbp-2, -0x1.def7b79c59b51p-2, -0x1.017bcbe1ccdecp-1, -0x1.0fa36cabcbfffp-1, -0x1.1a0b147ad991dp-1, -0x1.20e74eb445705p-1, -0x1.247f86f2889c6p-1, -0x1.2526a79d930b7p-1, -0x1.23356fdf0e2a8p-1, -0x1.1f06369ef7927p-1, -0x1.18f1d2197ae41p-1, -0x1.114d654e7c8c1p-1, -0x1.0868dff54698cp-1, -0x1.fd1c1013a5f91p-2, -0x1.e7ffdb4ba38fcp-2, -0x1.d1f56065c63c4p-2, -0x1.bb6700a98d612p-2, -0x1.a4b19e858d9a7p-2, -0x1.8e253cbf1afdbp-2, -0x1.7805c8bf9ff4dp-2, -0x1.628c00b0591f7p-2, -0x1.4de668290ce0ap-2, -0x1.3a3a427709ddcp-2, -0x1.27a48badff1d3p-2, -0x1.163aeb2035137p-2, -0x1.060c9b2022aabp-2, -0x1.ee468616bf0a9p-3, -0x1.d30782477c352p-3, -0x1.ba5dc51283141p-3, -0x1.a444126961c69p-3, -0x1.90af814181682p-3, -0x1.7f908379c49f3p-3, -0x1.70d3cefa4caaap-3, -0x1.64632a05d9ae1p-3, -0x1.5a261cd991b58p-3, -0x1.52028b785a59fp-3, -0x1.4bdd3982e450cp-3, -0x1.479a3a0c7fc65p-3, -0x1.451d4de829d0ap-3, -0x1.444a31ef18b12p-3, -0x1.4504df89d1174p-3, -0x1.4731c120510dp-3, -0x1.4ab5dbf92d5b4p-3, -0x1.4f76f1654caddp-3, -0x1.555b981de609ap-3, -0x1.5c4b4effbea97p-3, -0x1.642e8af34bf9dp-3, -0x1.6ceebf5b71e46p-3, -0x1.767663bf646dcp-3, -0x1.80b0f583a367ap-3, -0x1.8b8af7cea4453p-3, -0x1.96f1f0df52a31p-3, -0x1.a2d4664059863p-3, -0x1.af21d75238f3ep-3, -0x1.bbcab757a8cabp-3, -0x1.c8c066195fbb2p-3, -0x1.d5f528dae75aep-3, -0x1.e35c222d783afp-3, -0x1.f0e94a4804871p-3, -0x1.fe916660e7cfp-3, -0x1.062500867ae7ap-2, -0x1.0d04b0b6d21bcp-2, -0x1.13e341e333d67p-2, -0x1.1abc88859d8b2p-2, -0x1.218cab8dc6364p-2, -0x1.285020bd9b71bp-2, -0x1.2f03a890b3869p-2, -0x1.35a44adc6704dp-2, -0x1.3c2f5327a97dbp-2, -0x1.42a24d011320cp-2, -0x1.48fb00c3d3b26p-2, -0x1.4f377038927d6p-2, -0x1.5555d34592d01p-2, -0x1.5b5494ce7d937p-2, -0x1.61324fa7b6fb2p-2, -0x1.66edcb9f2b91bp-2, -0x1.6c85fa9749854p-2, -0x1.71f9f5c332e61p-2, -0x1.7748fafbf453ep-2, -0x1.7c726a37cf322p-2, -0x1.8175c30f7e8cdp-2, -0x1.8652a26a103e4p-2, -0x1.8b08c03cdadfbp-2, -0x1.8f97ed69c5661p-2, -0x1.940011bdc3534p-2, -0x1.984129f863118p-2, -0x1.9c5b460918f63p-2, -0x1.a04e874089ca3p-2, -0x1.a41b1ebecf4f4p-2, -0x1.a7c14be614986p-2, -0x1.ab415ade85d0ep-2, -0x1.ae9ba34989a24p-2, -0x1.b1d086e827e6fp-2, -0x1.b4e0707c2c677p-2, -0x1.b7cbd2a946f3dp-2, -0x1.ba9326e2e8a41p-2, -0x1.bd36ec6ffaf88p-2, -0x1.bfb7a7a052e22p-2, -0x1.c215e0dcc98efp-2, -0x1.c452241a4914ap-2, -0x1.c66cffc79eb27p-2, -0x1.c86704b1e23c2p-2, -0x1.ca40c4fa5001p-2, -0x1.cbfad3b468afbp-2, -0x1.cd95c4aa6625ap-2, -0x1.cf122b8e5a287p-2, -0x1.d0709bcfd7da3p-2, -0x1.d1b1a864bb85dp-2, -0x1.d2d5e333a2e78p-2, -0x1.d3dddcf0c2d07p-2, -0x1.d4ca24ec9bd5dp-2, -0x1.d59b48f8efcaap-2, -0x1.d651d4fcfb7bcp-2, -0x1.d6ee52fc9c466p-2, -0x1.d7714af2f0951p-2, -0x1.d7db42c8d7c17p-2, -0x1.d82cbe30c51c8p-2, -0x1.d8663e75d5601p-2, -0x1.d88842c63076bp-2, -0x1.d89347e2fbe83p-2, -0x1.d887c838f2368p-2, -0x1.d8663bf6aa40fp-2, -0x1.d82f18d0d3577p-2, -0x1.d7e2d24c798b3p-2, -0x1.d781d9a375046p-2, -0x1.d70c9dcd84f92p-2, -0x1.d6838b8fc88efp-2, -0x1.d5e70d9f7d769p-2, -0x1.d5378c79ba764p-2, -0x1.d4756ea69fbb6p-2, -0x1.d3a118b19674cp-2, -0x1.d2baed38f8525p-2, -0x1.d1c34cfd7cf78p-2, -0x1.d0ba96f41be85p-2, -0x1.cfa12865beee9p-2, -0x1.ce775cdebc0f9p-2, -0x1.cd3d8e57b0fb3p-2, -0x1.cbf41542cabc6p-2, -0x1.ca9b489fa957cp-2, -0x1.c9337de37da13p-2, -0x1.c7bd095c97ea1p-2, -0x1.c6383ddbc3c6dp-2, -0x1.c4a56d0e3f4ecp-2, -0x1.c304e77a4e23fp-2, -0x1.c156fc6b1d18ap-2, -0x1.bf9bfa20a9b25p-2, -0x1.bdd42ddde07acp-2, -0x1.bbffe3e5e3074p-2, -0x1.ba1f6777c622fp-2, -0x1.b833030180b1fp-2, -0x1.b63b00023d307p-2, -0x1.b437a74344dd5p-2, -0x1.b22940a0e33c2p-2, -0x1.b010134e21615p-2, -0x1.adec65b4fa0acp-2, -0x1.abbe7d9479992p-2, -0x1.a986a009fdf89p-2, -0x1.a745117102edcp-2, -0x1.a4fa15a4ba447p-2, -0x1.a2a5efd3fc23fp-2, -0x1.a048e286975ffp-2, -0x1.9de32fda535fap-2, -0x1.9b75194af7b87p-2, -0x1.98fedfc082af2p-2, -0x1.9680c3a5069c6p-2, -0x1.93fb04d050709p-2, -0x1.916de2aa8f005p-2, -0x1.8ed99c107f0fep-2, -0x1.8c3e6f67e71dap-2, -0x1.899c9a7f1ea2bp-2, -0x1.86f45abc461aap-2, -0x1.8445ecfdead1fp-2, -0x1.81918daf3cc2cp-2, -0x1.7ed778bd4a531p-2, -0x1.7c17e98960ae9p-2, -0x1.79531b03fc59dp-2, -0x1.7689479de3361p-2, -0x1.73baa93e335b2p-2, -0x1.70e779662edc3p-2, -0x1.6e0ff10268e7ap-2, -0x1.6b344877fa8e6p-2, -0x1.6854b7b500735p-2, -0x1.6571761c1401bp-2, -0x1.628aba91608a8p-2, -0x1.5fa0bb7bb7765p-2, -0x1.5cb3ae955529dp-2, -0x1.59c3c927434f3p-2, -0x1.56d13fe89beb3p-2, -0x1.53dc47025f72cp-2, -0x1.50e5120e16449p-2, -0x1.4debd4186cb99p-2, -0x1.4af0bf8a21e2dp-2, -0x1.47f4063bd054p-2, -0x1.44f5d9723e516p-2, -0x1.41f669ddc765ep-2, -0x1.3ef5e78865598p-2, -0x1.3bf481e343879p-2, -0x1.38f267c45aa99p-2, -0x1.35efc756ef299p-2, -0x1.32ecce24c3d93p-2, -0x1.2fe9a91b3cf5dp-2, -0x1.2ce6847faf499p-2, -0x1.29e38bf00d73ap-2, -0x1.26e0ea5d52fbbp-2, -0x1.23deca08fe3efp-2, -0x1.20dd5497e6e58p-2, -0x1.1ddcb2f40cc1fp-2, -0x1.1add0d5a44a96p-2, -0x1.17de8b62c9519p-2, -0x1.14e153ecd2dfep-2, -0x1.11e58d252e01p-2, -0x1.0eeb5c854a74dp-2, -0x1.0bf2e6d40c672p-2, -0x1.08fc5021a1e91p-2, -0x1.0607bbd115f94p-2, -0x1.03154c8e1ac13p-2, -0x1.00252442043c9p-2, -0x1.fa6ec858b904bp-3, -0x1.f49859a1cb63ap-3, -0x1.eec73bef2bfa2p-3, -0x1.e8fbad6c1d16fp-3, -0x1.e335ead4b7be5p-3, -0x1.dd762f7523fe2p-3, -0x1.d7bcb52808b54p-3, -0x1.d209b4526cec6p-3, -0x1.cc5d63f721a12p-3, -0x1.c6b7f99eeb0b6p-3, -0x1.c119a9621f852p-3, -0x1.bb82a5fc783f8p-3, -0x1.b5f320b6683c9p-3, -0x1.b06b496db518p-3, -0x1.aaeb4e9590891p-3, -0x1.a5735d3c806fp-3, -0x1.a003a106d15e7p-3, -0x1.9a9c443693b85p-3, -0x1.953d6fadbb43bp-3, -0x1.8fe74aec434f2p-3, -0x1.8a99fc1f41891p-3, -0x1.8555a80c8c133p-3, -0x1.801a721f1d613p-3, -0x1.7ae87c75e89d9p-3, -0x1.75bfe7d58854cp-3, -0x1.70a0d3b3e4552p-3, -0x1.6b8b5e3a95e47p-3, -0x1.667fa44988a66p-3, -0x1.617dc1799fe92p-3, -0x1.5c85d01ef88cdp-3, -0x1.5797e94d2835ap-3, -0x1.52b424db345dep-3, -0x1.4dda9962c9c8ap-3, -0x1.490b5c4fa58e5p-3, -0x1.444681dc11454p-3, -0x1.3f8c1d07149ap-3, -0x1.3adc3fb5564aep-3, -0x1.3636fa9f29139p-3, -0x1.319c5d5a3360cp-3, -0x1.2d0c765f299f5p-3, -0x1.2887530cec0aap-3, -0x1.240cffadf7f95p-3, -0x1.1f9d877aebbd7p-3, -0x1.1b38f49f66ceap-3, -0x1.16df503e189b9p-3, -0x1.1290a2758b986p-3, -0x1.0e4cf265a0386p-3, -0x1.0a144631f82cep-3, -0x1.05e6a30c55efcp-3, -0x1.01c40d37f661ap-3, -0x1.fb590ffe99086p-4, -0x1.f3402b93c3e67p-4, -0x1.eb3d70329aa2cp-4, -0x1.e350df1725f1dp-4, -0x1.db7a77ca94efbp-4, -0x1.d3ba382ffab8p-4, -0x1.cc101c8fdf296p-4, -0x1.c47c1f9fce098p-4, -0x1.bcfe3a85aa7b6p-4, -0x1.b59664d898f93p-4, -0x1.ae4494a47d031p-4, -0x1.a708be73a457bp-4, -0x1.9fe2d55d37128p-4, -0x1.98d2cb1a0eda7p-4, -0x1.91d89016ea2cp-4, -0x1.8af4138a478bbp-4, -0x1.84254380402c5p-4, -0x1.7d6c0cba83354p-4, -0x1.76c85abfbb76bp-4, -0x1.703a17d749882p-4, -0x1.69c12cf93dcfbp-4, -0x1.635d81e9703a9p-4, -0x1.5d0efd55a7564p-4, -0x1.56d584f91e117p-4, -0x1.50b0fdbca441cp-4, -0x1.4aa14bc5b885ep-4, -0x1.44a652700d80ep-4, -0x1.3ebff434a8406p-4, -0x1.38ee12895c50ep-4, -0x1.33308dc89efcbp-4, -0x1.2d8745300e78dp-4, -0x1.27f216fd48ce7p-4, -0x1.2270e0a413e81p-4, -0x1.1d037f0e95fep-4, -0x1.17a9ced2bab7bp-4, -0x1.1263ac58c1713p-4, -0x1.0d30f3b4b24dp-4, -0x1.081180762bcp-4, -0x1.03052d7755f76p-4, -0x1.fc17a90ab9d3dp-5, -0x1.f24a9c9b74ae3p-5, -0x1.e8a2e4f2e8c19p-5, -0x1.df202ff3e4f8fp-5, -0x1.d5c22aea28667p-5, -0x1.cc88836106c0dp-5, -0x1.c372e7afa1983p-5, -0x1.ba8107057072bp-5, -0x1.b1b290ea27348p-5, -0x1.a90734545f80fp-5, -0x1.a07e9ea03793ep-5, -0x1.98187ac327dedp-5, -0x1.8fd4710be14dfp-5, -0x1.87b2278e2cca9p-5, -0x1.7fb1432ca23b7p-5, -0x1.77d168ff514e2p-5, -0x1.70123f9e4a79p-5, -0x1.68736fff93a13p-5, -0x1.60f4a58ac8c91p-5, -0x1.59958d3499788p-5, -0x1.5255d43fb7837p-5, -0x1.4b3526862069dp-5, -0x1.44332d073c746p-5, -0x1.3d4f8d4bc71c9p-5, -0x1.3689e9bb6c732p-5, -0x1.2fe1e2e109dbp-5, -0x1.29571949c08dap-5, -0x1.22e92f7e5fe9ap-5, -0x1.1c97cb8daa26fp-5, -0x1.166297b64d344p-5, -0x1.104941f45977ap-5, -0x1.0a4b7a7ffd535p-5, -0x1.0468f19c34a78p-5, -0x1.fd42aaa59dfc5p-6, -0x1.f1e89f95a4adep-6, -0x1.e6c30d767a752p-6, -0x1.dbd13848b0905p-6, -0x1.d11260300baeep-6, -0x1.c685c62ae7224p-6, -0x1.bc2ab0ce0ed87p-6, -0x1.b2006ff615ea4p-6, -0x1.a8065e9c7a595p-6, -0x1.9e3be233c6bccp-6, -0x1.94a06741d5eacp-6, -0x1.8b335c81d3c9cp-6, -0x1.81f42d3f2828cp-6, -0x1.78e23cb2b83fep-6, -0x1.6ffce402b7e78p-6, -0x1.6743731b27506p-6, -0x1.5eb533dca7e5ep-6, -0x1.56516e8d643e8p-6, -0x1.4e176e8aed978p-6, -0x1.4606869618e16p-6, -0x1.3e1e1436643f7p-6, -0x1.365d81833fc4cp-6, -0x1.2ec444765abdfp-6, -0x1.2751db5584585p-6, -0x1.2005c6d7c88p-6, -0x1.18df83d6482bdp-6, -0x1.11de86ba4d6fp-6, -0x1.0b023a0134639p-6, -0x1.0449ffa7f06bfp-6, -0x1.fb6a681b42fe9p-7, -0x1.ee8661eec7435p-7, -0x1.e1e6a0d8f0c05p-7, -0x1.d589e02a81914p-7, -0x1.c96eeb1a32688p-7, -0x1.bd94a57f6a991p-7, -0x1.b1fa10911e02fp-7, -0x1.a69e473354999p-7, -0x1.9b80723da5b41p-7, -0x1.909fb9f7347adp-7, -0x1.85fb3a2f9f1dcp-7, -0x1.7b91fe3d7b1e4p-7, -0x1.716303a04d06dp-7, -0x1.676d3e2cead65p-7, -0x1.5daf9957fc907p-7, -0x1.5428f6b88dc1bp-7, -0x1.4ad82e94d4253p-7, -0x1.41bc17a2e11e5p-7, -0x1.38d3960fbabccp-7, -0x1.301dab31ad4e8p-7, -0x1.27997cb37c698p-7, -0x1.1f464e511ef28p-7, -0x1.1723717a5e171p-7, -0x1.0f303476a5e96p-7, -0x1.076bd9ae7f2a5p-7, -0x1.ffab323db7651p-8, -0x1.f0d94d01638dap-8, -0x1.e26067f58f01ep-8, -0x1.d43ed991a757cp-8, -0x1.c672d60176e2ep-8, -0x1.b8fa6406f5f54p-8, -0x1.abd36c829a446p-8, -0x1.9efbe3ee31202p-8, -0x1.9271f85ec5f2bp-8, -0x1.863428a1ffa8fp-8, -0x1.7a41379678783p-8, -0x1.6e980650da0f3p-8, -0x1.63376e8c8cadep-8, -0x1.581e34315c54ep-8, -0x1.4d4b0dda2c82bp-8, -0x1.42bcb73cf5f0cp-8, -0x1.3871fc781f793p-8, -0x1.2e69b1bc6d657p-8, -0x1.24a297f09c118p-8, -0x1.1b1b3f244a5ep-8, -0x1.11d1fffcf3a87p-8, -0x1.08c518c300f03p-8, -0x1.ffe5c05e2e66dp-9, -0x1.eeb3de0ad8d6dp-9, -0x1.ddf24fc6c825p-9, -0x1.cd9f377aaf34ep-9, -0x1.bdb8c0788f84ep-9, -0x1.ae3ce75fd81d8p-9, -0x1.9f297754cf52bp-9, -0x1.907c2dfd8ab0cp-9, -0x1.8232e7fb4afa7p-9, -0x1.744bbb626f2eep-9, -0x1.66c4ece83e05fp-9, -0x1.599cbede4caep-9, -0x1.4cd1354904b49p-9, -0x1.405ff8efcde49p-9, -0x1.344674086fc63p-9, -0x1.28821abaad83ep-9, -0x1.1d10b05b0b336p-9, -0x1.11f06325f2bd1p-9, -0x1.071fb919bdb83p-9, -0x1.f93ab4fb81e69p-10, -0x1.e4cfa6439552cp-10, -0x1.d0fad6bbcd2aep-10, -0x1.bdb858c6b315ap-10, -0x1.ab0422a368acap-10, -0x1.98da860fc36d3p-10, -0x1.8738612d1bf94p-10, -0x1.761af3fb2df44p-10, -0x1.657f9c89af988p-10, -0x1.5563a5b7fa3b7p-10, -0x1.45c41eec98f8cp-10, -0x1.369dcdd297d5dp-10, -0x1.27ed568ed00bfp-10, -0x1.19af77297903ap-10, -0x1.0be131f670d0dp-10, -0x1.fd000bccc694bp-11, -0x1.e3142bb40390ep-11, -0x1.c9fb9cccbf636p-11, -0x1.b1b241d75515cp-11, -0x1.9a3227616a533p-11, -0x1.837453ee5f148p-11, -0x1.6d7254252076cp-11, -0x1.5826acb3c6e95p-11, -0x1.438c3b33e528fp-11, -0x1.2f9e143bcbefcp-11, -0x1.1c581ec3bbf74p-11, -0x1.09b748ea59b4cp-11, -0x1.ef7194ae0786fp-12, -0x1.ccb26dd31c458p-12, -0x1.ab2892899a918p-12, -0x1.8aca502c7f8a2p-12, -0x1.6b8d4f6b74a3dp-12, -0x1.4d6893a3f293bp-12, -0x1.3057599438881p-12, -0x1.1457b8d92ec5p-12, -0x1.f2ca4a5760cccp-13, -0x1.beec68d8297e3p-13, -0x1.8d0121c0d7a37p-13, -0x1.5cf9221c5bc23p-13, -0x1.2ec6efaf70f25p-13, -0x1.0259508b573d2p-13, -0x1.af39cd7fe3b15p-14, -0x1.5d0350d5d9546p-14, -0x1.0dfc1678904cdp-14, -0x1.843671c32c5cfp-15, -0x1.e561074a6e0f8p-16, -0x1.9d150c0386eb5p-17, 0x1.e3bf1f9505efp-19, 0x1.3c16bd7e6deebp-16, 0x1.18692a2fbe5f6p-15, 0x1.8d8b86c43272ep-15, 0x1.fd806cf67a5cdp-15, 0x1.3424363a5cba6p-14, 0x1.670695adf2ad3p-14, 0x1.9789b80b693cbp-14, 0x1.c5c2ed08f7bfp-14, 0x1.f1bb215b0fe33p-14, 0x1.0dc04c72376cfp-13, 0x1.2194f87cb0d0ap-13, 0x1.346825e176013p-13, 0x1.4645e3598c46ap-13, 0x1.573819f5f6e7dp-13, 0x1.6744cc4be8d39p-13, 0x1.766e9419d07b8p-13, 0x1.84b834b7da845p-13, 0x1.9227ba0317ccep-13, 0x1.9ec53370ddeb5p-13, 0x1.aa98ce10a743p-13, 0x1.b5ac893af6ed3p-13, 0x1.c007f1761eb3dp-13, 0x1.c9aab7191ec5ep-13, 0x1.d2984788fe294p-13, 0x1.daddb45ab278bp-13, 0x1.e283da3ddf057p-13, 0x1.e98c21ce38ccfp-13, 0x1.effa5b76c205bp-13, 0x1.f5d515d279693p-13, 0x1.fb21ace8e8cap-13, 0x1.ffe454dce9da2p-13, 0x1.0210e67a5a942p-12, 0x1.03f021dfb80aap-12, 0x1.059359a1e5e79p-12, 0x1.06fd7513ea63cp-12, 0x1.08300acbb8018p-12, 0x1.092c0cdaca7f4p-12, 0x1.09f3211f36cdep-12, 0x1.0a875d1d4945cp-12, 0x1.0aea6f0d55c2ap-12, 0x1.0b1ed8cd3da44p-12, 0x1.0b268890d0d0cp-12, 0x1.0b01ee6a27a8bp-12, 0x1.0ab4a95b08f5ep-12, 0x1.0a41da641a765p-12, 0x1.09a946a0dee2ep-12, 0x1.08ec466a6d302p-12, 0x1.080d646a7ab31p-12, 0x1.070e5a27d8af9p-12, 0x1.05f03efde69fbp-12, 0x1.04b3fe8215c9bp-12, 0x1.035a7aec03ab9p-12, 0x1.01e4a4da956fep-12, 0x1.0053c275957d5p-12, 0x1.fd53a150976a8p-13, 0x1.f9d2986b073bdp-13, 0x1.f627ceffd1edep-13, 0x1.f253f2d6d3642p-13, 0x1.ee57f309276dep-13, 0x1.ea35b7323bb94p-13, 0x1.e5edab5fc9c8p-13, 0x1.e1827ecdabebbp-13, 0x1.dcf732a95ccccp-13, 0x1.d84eae9952502p-13, 0x1.d38c998acaffcp-13, 0x1.ceaf839edff2dp-13, 0x1.c9b93825270abp-13, 0x1.c4ad12328222ep-13, 0x1.bf8ccb91a3a2dp-13, 0x1.ba5985d66523ap-13, 0x1.b51472b78e64ep-13, 0x1.afbed83369cfbp-13, 0x1.aa59f483c606ep-13, 0x1.a4e6ddcdf6a0cp-13, 0x1.9f666b40a5fadp-13, 0x1.99d94fddc35c8p-13, 0x1.9440ae11b2471p-13, 0x1.8e9f106c86c43p-13, 0x1.88f77c64cc765p-13, 0x1.834a7c5036a4bp-13, 0x1.7d97d94b6ab0cp-13, 0x1.77e07ffa4ede1p-13, 0x1.72237e4bfe4d1p-13, 0x1.6c62a8f3b2313p-13, 0x1.66a0c36b53494p-13, 0x1.60df80da920b7p-13, 0x1.5b1d3d8922388p-13, 0x1.555b03ec4413cp-13, 0x1.4f9ad08b12a59p-13, 0x1.49dd389ed7973p-13, 0x1.44229d948d028p-13, 0x1.3e6b8753170c1p-13, 0x1.38b890b7f4f89p-13, 0x1.330a5476badf6p-13, 0x1.2d6166d97e117p-13, 0x1.27be57fd0f7c8p-13, 0x1.2221b3ed4741ap-13, 0x1.1c8bf78dc25abp-13, 0x1.16fd7ba3758cbp-13, 0x1.117651d8ca7f2p-13, 0x1.0bf679271d27ap-13, 0x1.067f2d02f5d51p-13, 0x1.0111ee78f8fb9p-13, 0x1.f75d39f5d6cb1p-14, 0x1.ecab4d9e5811bp-14, 0x1.e20ab291f8954p-14, 0x1.d77de3309f02ep-14, 0x1.cd096834f240ep-14, 0x1.c2aa66e27adf3p-14, 0x1.b86111a32536ap-14, 0x1.ae2fe8d3a12f9p-14, 0x1.a4170177d9337p-14, 0x1.9a163236d1e44p-14, 0x1.902dc73d39df5p-14, 0x1.865e3a2044f85p-14, 0x1.7ca7c259315fdp-14, 0x1.730ac157a956p-14, 0x1.69879b63827b1p-14, 0x1.601e87ece80a8p-14, 0x1.56cfc1099fa84p-14, 0x1.4d9b909b9a449p-14, 0x1.44824b04f7557p-14, 0x1.3b8444175bb1ap-14, 0x1.32a1b766220bap-14, 0x1.29da3e2386ff1p-14, 0x1.212c4fab1e256p-14, 0x1.1898b22499873p-14, 0x1.10222fa6ccdd5p-14, 0x1.07c965b460e19p-14, 0x1.ff1536f373511p-15, 0x1.eecd526292066p-15, 0x1.debf2aaa0ba4ep-15, 0x1.cee69db8fbf5cp-15, 0x1.bf46d8f998a45p-15, 0x1.afdf6dae0814ep-15, 0x1.a0af78dc2d2b6p-15, 0x1.91b6c15c3569cp-15, 0x1.82f53925c6ec5p-15, 0x1.746ac02e17c3ep-15, 0x1.661727514506ep-15, 0x1.57fa3ab36021cp-15, 0x1.4a13c5cd45d51p-15, 0x1.3c63945ba751cp-15, 0x1.2ee9710fab66dp-15, 0x1.21a522d6c6c7dp-15, 0x1.14966ab3882fdp-15, 0x1.07bd084c5764cp-15, 0x1.f6318ccea8712p-16, 0x1.dd5303962e6c3p-16, 0x1.c4de39d92dc94p-16, 0x1.acd214a7749cp-16, 0x1.9529963e91161p-16, 0x1.7de2a9b7edbb6p-16, 0x1.6708314670c8bp-16, 0x1.5095cc26b2d99p-16, 0x1.3a82457385ba5p-16, 0x1.24d22c9076f72p-16, 0x1.0f8518927e662p-16, 0x1.f53798fc1935p-17, 0x1.cc27c5f2cb8d5p-17, 0x1.a3d8023b2718ep-17, 0x1.7c4687966aefp-17, 0x1.5571ac8b1d0a2p-17, 0x1.2f57bc7a75948p-17, 0x1.09f6f550838c7p-17, 0x1.ca9b150785612p-18, 0x1.82b34f0714a97p-18, 0x1.3c32e196e356p-18, 0x1.ee2c147b89a97p-19, 0x1.66b204f045df6p-19, 0x1.c3e0073e2a74dp-20, 0x1.7f7a1513f166dp-21, -0x1.f89def4988f1p-23, -0x1.38a2b221a38d2p-20, -0x1.167e3df99bd33p-19, -0x1.8e17e61557c5fp-19, -0x1.01930b64d4995p-18, -0x1.3ad852de45e7bp-18, -0x1.72df8789e5baep-18, -0x1.a9b3f95208c49p-18, -0x1.df4fb34d8a1c3p-18, -0x1.09da5fe5bcd9fp-17, -0x1.237ae2ccbc501p-17, -0x1.3c85737336c04p-17, -0x1.54fabcf674e4bp-17, -0x1.6cde9b67e7e87p-17, -0x1.843360ba41485p-17, -0x1.9afaee7f0a48bp-17, -0x1.b1371b714544fp-17, -0x1.c6e9c22e8938bp-17, -0x1.dc14c00ebccf2p-17, -0x1.f0b9f368464b6p-17, -0x1.026d9c9e819c5p-16, -0x1.0c3d31d193596p-16, -0x1.15cca0c755af1p-16, -0x1.1f1ce8aa59f5cp-16, -0x1.282eea8ac1f32p-16, -0x1.310380519b28bp-16, -0x1.399b9a86a1505p-16, -0x1.41f81fc2ff2c6p-16, -0x1.4a19f2639b28bp-16, -0x1.5201f3b40601p-16, -0x1.59b101e6fc897p-16, -0x1.6127f86c5e121p-16, -0x1.6867b5ce6c4d4p-16, -0x1.6f711c40db4d5p-16, -0x1.7644feead44bap-16, -0x1.7ce40d0ec33bp-16, -0x1.834f3c4bf4f67p-16, -0x1.89878dd9f1da9p-16, }}, 
      {{0x1.9db2297e8b9d3p-3, 0x1.654f1b4ae6713p-2, 0x1.b089ab7feceedp-2, 0x1.b34fa138c0589p-2, 0x1.79ff5bd27722ap-2, 0x1.141a85650531fp-2, 0x1.21c05b1749b0ap-3, -0x1.287d6133f8608p-9, -0x1.35286bf8e9378p-3, -0x1.2f8c9e248ad68p-2, -0x1.bb2e30d9cf111p-2, -0x1.1cb4f749144a3p-1, -0x1.53e94bc9b43b6p-1, -0x1.82a2907c1757p-1, -0x1.a8cd161d269bap-1, -0x1.c6b147d7d312cp-1, -0x1.dcd79deba0038p-1, -0x1.ebf1ee82afcf1p-1, -0x1.f4c98f6a4d2bbp-1, -0x1.f831a598972c8p-1, -0x1.f6fcfaac2a6cdp-1, -0x1.f1f6b83094575p-1, -0x1.e9dd78510c75cp-1, -0x1.df602cc8ed62cp-1, -0x1.d31c6e4619ed1p-1, -0x1.c59dda0fcf8d2p-1, -0x1.b75e337ef7261p-1, -0x1.a8c60db0423ecp-1, -0x1.9a2dcf6842feep-1, -0x1.8bdeee13ee781p-1, -0x1.7e15459be5d9ep-1, -0x1.71007a576e3fep-1, -0x1.64c557ed4b595p-1, -0x1.597f23cc838cdp-1, -0x1.4f40dc9b2dbd4p-1, -0x1.4616628c2980dp-1, -0x1.3e058712008a4p-1, -0x1.370f026d58378p-1, -0x1.312f50134ed54p-1, -0x1.2c5f728ab7c2bp-1, -0x1.2895a0f1bad96p-1, -0x1.25c5df30920cdp-1, -0x1.23e283033b80cp-1, -0x1.22dca73bb1a46p-1, -0x1.22a48ead7ace1p-1, -0x1.2329f8d785a3dp-1, -0x1.245c694c67988p-1, -0x1.262b63a97e55cp-1, -0x1.28869d3288306p-1, -0x1.2b5e25707c813p-1, -0x1.2ea286ab58382p-1, -0x1.3244dfc31947p-1, -0x1.3636f7b7b364dp-1, -0x1.3a6b4c33fb828p-1, -0x1.3ed51baa303c1p-1, -0x1.43686b8ae8bebp-1, -0x1.481a0b873089ep-1, -0x1.4cdf95c75c057p-1, -0x1.51af6d980dc54p-1, -0x1.5680bb5383275p-1, -0x1.5b4b67f04f1b1p-1, -0x1.60081644b8f8ep-1, -0x1.64b01c88131bbp-1, -0x1.693d7c23af70fp-1, -0x1.6daad9f94ef9fp-1, -0x1.71f3757b09ae4p-1, -0x1.76132081cb706p-1, -0x1.7a063647bc7dbp-1, -0x1.7dc99305416c7p-1, -0x1.815a8b6b32a83p-1, -0x1.84b6e467fe0d9p-1, -0x1.87dccaff53c5fp-1, -0x1.8acacc915a98dp-1, -0x1.8d7fcf8051715p-1, -0x1.8ffb0bcf84773p-1, -0x1.923c047303e66p-1, -0x1.944280b63b1dfp-1, -0x1.960e860569f64p-1, -0x1.97a052195f657p-1, -0x1.98f855662b494p-1, -0x1.9a172ddbb53d6p-1, -0x1.9afda1f738bedp-1, -0x1.9bac9c32ab3aep-1, -0x1.9c2526ac02fc5p-1, -0x1.9c686729f2ceap-1, -0x1.9c779b45a1bf3p-1, -0x1.9c541524cca05p-1, -0x1.9bff3821682cp-1, -0x1.9b7a75e8c1fbcp-1, -0x1.9ac74bcb4426ep-1, -0x1.99e7402a18dc2p-1, -0x1.98dbe065dbab4p-1, -0x1.97a6bea315e7cp-1, -0x1.96496ffc36417p-1, -0x1.94c58ad6193c1p-1, -0x1.931ca55769c4dp-1, -0x1.915054045816cp-1, -0x1.8f62288c3768ap-1, -0x1.8d53b0ad7fccp-1, -0x1.8b26754720ff4p-1, -0x1.88dbf975511ebp-1, -0x1.8675b9de05f05p-1, -0x1.83f52bfb0d459p-1, -0x1.815bbdabb5a67p-1, -0x1.7eaad49a5467p-1, -0x1.7be3cdf09edb4p-1, -0x1.7907fdf71485dp-1, -0x1.7618afe4ffd4fp-1, -0x1.73172592cc53p-1, -0x1.7004977bca8d4p-1, -0x1.6ce23476d8f7bp-1, -0x1.69b121cf95e1cp-1, -0x1.66727b39beadap-1, -0x1.632752c511364p-1, -0x1.5fd0b0fac6a2ep-1, -0x1.5c6f94f8f3082p-1, -0x1.5904f4794d88cp-1, -0x1.5591bbfafc8fdp-1, -0x1.5216ceea5ecfcp-1, -0x1.4e9507c58a3fep-1, -0x1.4b0d38511fe23p-1, -0x1.478029b679cfdp-1, -0x1.43ee9cc1b7a59p-1, -0x1.40594a19b364ep-1, -0x1.3cc0e26d4cae4p-1, -0x1.39260e9d9e50cp-1, -0x1.3589701444d71p-1, -0x1.31eba0e07b04ap-1, -0x1.2e4d33f7ed6c5p-1, -0x1.2aaeb57c92421p-1, -0x1.2710aaca2724p-1, -0x1.237392eb2f949p-1, -0x1.1fd7e69f7c041p-1, -0x1.1c3e18a4b967bp-1, -0x1.18a695e9d8661p-1, -0x1.1511c5cd520fdp-1, -0x1.11800a39fea73p-1, -0x1.0df1bff105f01p-1, -0x1.0a673eb17ae26p-1, -0x1.06e0d968dcab2p-1, -0x1.035ede6208c6bp-1, -0x1.ffc32ee760d6bp-2, -0x1.f8d29472c4fbap-2, -0x1.f1ec70371a8d9p-2, -0x1.eb113d535e2ffp-2, -0x1.e4416f401f036p-2, -0x1.dd7d723c26179p-2, -0x1.d6c5ab841193ap-2, -0x1.d01a79c31040bp-2, -0x1.c97c3526502bp-2, -0x1.c2eb2fd5c080fp-2, -0x1.bc67b6166a95fp-2, -0x1.b5f20e8afc078p-2, -0x1.af8a7a829e405p-2, -0x1.a931362e70457p-2, -0x1.a2e678d8c0abbp-2, -0x1.9caa751247e42p-2, -0x1.967d58f954e6ap-2, -0x1.905f4e61f059cp-2, -0x1.8a507b1e16669p-2, -0x1.845100f73a75ap-2, -0x1.7e60fe112ebc6p-2, -0x1.78808cff8a729p-2, -0x1.72afc4f2d7cd5p-2, -0x1.6ceeb9e572603p-2, -0x1.673d7cac53159p-2, -0x1.619c1b3fb0ec5p-2, -0x1.5c0aa0c0a2354p-2, -0x1.5689159ae1d0dp-2, -0x1.51177fc50dad5p-2, -0x1.4bb5e2c7a76c4p-2, -0x1.46643fd2ae0bdp-2, -0x1.412295e74253fp-2, -0x1.3bf0e1f41a007p-2, -0x1.36cf1ef2c8399p-2, -0x1.31bd45f5f1e1cp-2, -0x1.2cbb4e54e4bfcp-2, -0x1.27c92d8f1cda1p-2, -0x1.22e6d7b4dfbb3p-2, -0x1.1e143f352d6a5p-2, -0x1.195155182e2cep-2, -0x1.149e09053252cp-2, -0x1.0ffa494e37fbap-2, -0x1.0b66031e0bd7ep-2, -0x1.06e12267e4fbap-2, -0x1.026b92022c1b1p-2, -0x1.fc0a77a03c695p-3, -0x1.f35c115a6da7cp-3, -0x1.eacbc10e8de21p-3, -0x1.e25954ec4d746p-3, -0x1.da049979c9338p-3, -0x1.d1cd59bff4419p-3, -0x1.c9b35f6dd00c5p-3, -0x1.c1b672aa891f1p-3, -0x1.b9d65a838dd0ep-3, -0x1.b212dcd4b4055p-3, -0x1.aa6bbe5fb8d24p-3, -0x1.a2e0c2eaaacd2p-3, -0x1.9b71ad62946bdp-3, -0x1.941e3f9c3fb01p-3, -0x1.8ce63ad99c1b6p-3, -0x1.85c95f8c6460ep-3, -0x1.7ec76d8c78effp-3, -0x1.77e02400523bp-3, -0x1.7113418f93afcp-3, -0x1.6a608469fba5cp-3, -0x1.63c7aa42646aap-3, -0x1.5d487069718b4p-3, -0x1.56e293e2453bdp-3, -0x1.5095d1619c85fp-3, -0x1.4a61e55dbe087p-3, -0x1.44468c13bbc4bp-3, -0x1.3e43819054076p-3, -0x1.385881d6fe2b8p-3, -0x1.328548bbaf305p-3, -0x1.2cc9920f882a1p-3, -0x1.272519a2f87e7p-3, -0x1.21979b4185bbfp-3, -0x1.1c20d2c7b6a0cp-3, -0x1.16c07c21f45a1p-3, -0x1.11765357ef4cfp-3, -0x1.0c42148e49b2cp-3, -0x1.07237c1ca1693p-3, -0x1.021a46862cc9cp-3, -0x1.fa4c60e48305fp-4, -0x1.f08ded9ebf766p-4, -0x1.e6f8adb1a073ap-4, -0x1.dd8c1be0e1d07p-4, -0x1.d447b3acc2422p-4, -0x1.cb2af12af77f3p-4, -0x1.c2355115d8d7bp-4, -0x1.b96650d4d149cp-4, -0x1.b0bd6e7c8d3efp-4, -0x1.a83a28f3de086p-4, -0x1.9fdbffd603027p-4, -0x1.97a2738af43ep-4, -0x1.8f8d0558d03bbp-4, -0x1.879b375482e1ap-4, -0x1.7fcc8c7713696p-4, -0x1.782088981bad8p-4, -0x1.7096b0823b983p-4, -0x1.692e89e1c463fp-4, -0x1.61e79b58da3ccp-4, -0x1.5ac16c8446dfp-4, -0x1.53bb85f4f98bap-4, -0x1.4cd5714daca79p-4, -0x1.460eb91cf461ap-4, -0x1.3f66e8f3b4e1ap-4, -0x1.38dd8d7e3fb2bp-4, -0x1.327234666ac38p-4, -0x1.2c246c65a108ap-4, -0x1.25f3c545accbep-4, -0x1.1fdfcfe22786ap-4, -0x1.19e81e2a06c3p-4, -0x1.140c431b4ea98p-4, -0x1.0e4bd2d51f789p-4, -0x1.08a662890d47ep-4, -0x1.031b887192e52p-4, -0x1.fb55b801811a4p-5, -0x1.f0a7eb74d2035p-5, -0x1.e62cde41c2e01p-5, -0x1.dbe3c5eee4e51p-5, -0x1.d1cbda1e27e1bp-5, -0x1.c7e454a5397f1p-5, -0x1.be2c7197886e5p-5, -0x1.b4a36f3fe86d8p-5, -0x1.ab488e243ae37p-5, -0x1.a21b1101bd77fp-5, -0x1.991a3ccbfead7p-5, -0x1.904558ab24505p-5, -0x1.879badfbf00a2p-5, -0x1.7f1c88512fc2dp-5, -0x1.76c73566e7684p-5, -0x1.6e9b053bda8a2p-5, -0x1.66974a0b2197ap-5, -0x1.5ebb580bc4966p-5, -0x1.570685bf7cd5dp-5, -0x1.4f782bcb4ea16p-5, -0x1.480fa4ec490f5p-5, -0x1.40cc4e05f07d7p-5, -0x1.39ad86211055bp-5, -0x1.32b2ae6c00b84p-5, -0x1.2bdb2a358b07ep-5, -0x1.25265ee3e1f32p-5, -0x1.1e93b3ed64a4ep-5, -0x1.182292cdcd68p-5, -0x1.11d266fb76751p-5, -0x1.0ba29df13aa5fp-5, -0x1.0592a735c86fp-5, -0x1.ff43e89eca1d9p-6, -0x1.f39ff1dadddf3p-6, -0x1.e83855c0a6bddp-6, -0x1.dd0c035de6e1cp-6, -0x1.d219ede4e2ce6p-6, -0x1.c7610c5770bcdp-6, -0x1.bce0591c296d2p-6, -0x1.b296d23c5f602p-6, -0x1.a883797e8f9c7p-6, -0x1.9ea5548354eaep-6, -0x1.94fb6ceeb572p-6, -0x1.8b84d06ac6405p-6, -0x1.82409084f8a6dp-6, -0x1.792dc26f1bd13p-6, -0x1.704b7eb1b59a5p-6, -0x1.6798e0eb54c84p-6, -0x1.5f1507b56464dp-6, -0x1.56bf14bcc88ecp-6, -0x1.4e962d03b3162p-6, -0x1.469979302f5adp-6, -0x1.3ec825c93a745p-6, -0x1.372163a1a6152p-6, -0x1.2fa4671e36617p-6, -0x1.285067ed8836bp-6, -0x1.2124a10ae7602p-6, -0x1.1a204fab975cap-6, -0x1.1342b335ac176p-6, -0x1.0c8b0d5331e75p-6, -0x1.05f8a2512fcfcp-6, -0x1.ff1573710e283p-7, -0x1.f2813dba13562p-7, -0x1.e633426f9da4cp-7, -0x1.da2a28c19585bp-7, -0x1.ce649f338fcd8p-7, -0x1.c2e15a2063946p-7, -0x1.b79f120578cbcp-7, -0x1.ac9c822b6d3cfp-7, -0x1.a1d8681c70171p-7, -0x1.9751842c9a3dp-7, -0x1.8d069acc18b71p-7, -0x1.82f6769c8694ep-7, -0x1.791fe9eaade04p-7, -0x1.6f81d00ac025fp-7, -0x1.661b0d8864529p-7, -0x1.5cea8dd09b59p-7, -0x1.53ef424e52811p-7, -0x1.4b281f9c4948cp-7, -0x1.42941b0da1442p-7, -0x1.3a3229f1b7fa2p-7, -0x1.320141f39a041p-7, -0x1.2a005ac5bfdb8p-7, -0x1.222e70a1c413p-7, -0x1.1a8a86e469424p-7, -0x1.1313aa06c9146p-7, -0x1.0bc8f05f0ceefp-7, -0x1.04a9795b5f6fcp-7, -0x1.fb68d6a633ca6p-8, -0x1.edd1e0ebd70ccp-8, -0x1.e08c676116d86p-8, -0x1.d396bcd40ac86p-8, -0x1.c6ef2f86b477p-8, -0x1.ba940b1b2681dp-8, -0x1.ae839d32cb1f5p-8, -0x1.a2bc3b83f9cb2p-8, -0x1.973c49cf0a946p-8, -0x1.8c023e23f4627p-8, -0x1.810ca347b748cp-8, -0x1.765a17982da8ep-8, -0x1.6be946c462bfp-8, -0x1.61b8e544e23f5p-8, -0x1.57c7a8cc23c9bp-8, -0x1.4e1441b3d3b2cp-8, -0x1.449d58fdf93c5p-8, -0x1.3b619188bf98p-8, -0x1.325f8c216aeecp-8, -0x1.2995ed090aaffp-8, -0x1.2103619f99fd6p-8, -0x1.18a6a55f40335p-8, -0x1.107e8579e43aep-8, -0x1.0889e280c9881p-8, -0x1.00c7af258b8adp-8, -0x1.f26dd739e04eap-9, -0x1.e3ad3ce9d144ep-9, -0x1.d54b9a43ba5bcp-9, -0x1.c746edadf5c1p-9, -0x1.b99d250437292p-9, -0x1.ac4c223ef6b78p-9, -0x1.9f51c278ebb96p-9, -0x1.92abe504f9ad7p-9, -0x1.86587200bfcb4p-9, -0x1.7a55616cb8fe6p-9, -0x1.6ea0c3f9fa4cdp-9, -0x1.6338cbbbd47cdp-9, -0x1.581bd23b07ccbp-9, -0x1.4d485205f0c77p-9, -0x1.42bcd83a8c992p-9, -0x1.3877f7ff3b8f3p-9, -0x1.2e783af6388e2p-9, -0x1.24bc1cfd68288p-9, -0x1.1b421005c5783p-9, -0x1.1208811d9b7ep-9, -0x1.090dda31786ecp-9, -0x1.00508076d5b29p-9, -0x1.ef9da93530111p-10, -0x1.df0e74c0e1be1p-10, -0x1.cef050038fd06p-10, -0x1.bf406cb9b2b11p-10, -0x1.affc50af369ddp-10, -0x1.a121c7a588023p-10, -0x1.92aec11bfa5f4p-10, -0x1.84a12c1588a49p-10, -0x1.76f6e55327a18p-10, -0x1.69adba84fbbbdp-10, -0x1.5cc377a8bfb6p-10, -0x1.5035ed24215e6p-10, -0x1.4402e4f9bd93ep-10, -0x1.38280d8c7c3b4p-10, -0x1.2ca2ed9bbb82p-10, -0x1.2170f34b7762fp-10, -0x1.168f9d9a4a8ebp-10, -0x1.0bfcaa6a5049ep-10, -0x1.01b62d0da5ba5p-10, -0x1.ef75057d37176p-11, -0x1.dc1059c62ccc8p-11, -0x1.c93b4bcad2a43p-11, -0x1.b6f2b2f9d513fp-11, -0x1.a53358c5003dcp-11, -0x1.93fa185c7ba65p-11, -0x1.8343f6eef0f67p-11, -0x1.730e12047e593p-11, -0x1.63556b6f89a4dp-11, -0x1.5416ad27e478ep-11, -0x1.454e1a90b65a5p-11, -0x1.36f7cdcd045ep-11, -0x1.291015e26711ap-11, -0x1.1b93c6e95287ep-11, -0x1.0e80481360ff9p-11, -0x1.01d35dff2b254p-11, -0x1.eb15b6a2d054p-12, -0x1.d348d92380352p-12, -0x1.bc3b2e404838cp-12, -0x1.a5e7b81140c78p-12, -0x1.9049c290befa6p-12, -0x1.7b5d11cc62708p-12, -0x1.671dc99fb85c6p-12, -0x1.53880fa2b2782p-12, -0x1.40979c1fb58bp-12, -0x1.2e4786c4bf45cp-12, -0x1.1c927df657365p-12, -0x1.0b734d4146c44p-12, -0x1.f5cab5ff6e1e7p-13, -0x1.d5c9ae30499b7p-13, -0x1.b6dd28e911e8dp-13, -0x1.98ff49a1b12c1p-13, -0x1.7c29dc7b6c865p-13, -0x1.6055da58f1cc7p-13, -0x1.457b55a95c709p-13, -0x1.2b9253d88c929p-13, -0x1.12939f4477865p-13, -0x1.f4f206adc0f43p-14, -0x1.c679ffac9e83cp-14, -0x1.99b497d9f6e24p-14, -0x1.6e96feb3077d9p-14, -0x1.4515a2c59a90ep-14, -0x1.1d240c49e4f8ap-14, -0x1.ed6adf41b0328p-15, -0x1.a37af2dfc8ddbp-15, -0x1.5c61aab52fdb9p-15, -0x1.180bc014ce54cp-15, -0x1.acd49c7d44218p-16, -0x1.2ee0f02b97ee1p-16, -0x1.6c38ff959527p-17, -0x1.096cd1de2ca89p-18, 0x1.64ac8df53840dp-19, 0x1.2dc8e01ced76ap-17, 0x1.f9720c9db6ef3p-17, 0x1.5e384ca60d084p-16, 0x1.bb85c347f2947p-16, 0x1.0a5fad61e831cp-15, 0x1.34fe0b164a97cp-15, 0x1.5da86606f7716p-15, 0x1.846b5873317a6p-15, 0x1.a956012254821p-15, 0x1.cc794ffd41f25p-15, 0x1.ede72a491add1p-15, 0x1.06d79cd70aa3dp-14, 0x1.15ed236abc82ep-14, 0x1.24363571a592cp-14, 0x1.31b6fce3bf221p-14, 0x1.3e7779058af65p-14, 0x1.4a8058987372bp-14, 0x1.55d840fc8ce4fp-14, 0x1.6084e9e6dabbap-14, 0x1.6a8d801014956p-14, 0x1.73fa0d5d48d29p-14, 0x1.7cd13ceadbd54p-14, 0x1.85171bfeb200cp-14, 0x1.8ccdb07ae8664p-14, 0x1.93f6e9031d304p-14, 0x1.9a96492cab13p-14, 0x1.a0b0d46be3ddcp-14, 0x1.a64c43fa5b716p-14, 0x1.ab6f0bc20333fp-14, 0x1.b01ea5723511bp-14, 0x1.b45ca62e6f333p-14, 0x1.b82951b785025p-14, 0x1.bb88da9f9be6cp-14, 0x1.be820a8eb3ab7p-14, 0x1.c11920a334ff2p-14, 0x1.c34ff5f085165p-14, 0x1.c5296a1343f8ap-14, 0x1.c6a9f5c2781a6p-14, 0x1.c7d6868524583p-14, 0x1.c8b3ce0a23d27p-14, 0x1.c945a56394cb1p-14, 0x1.c98e681d6bb9p-14, 0x1.c98f28f207de6p-14, 0x1.c9490b306b34ap-14, 0x1.c8be6c1c3b5dap-14, 0x1.c7f267b84bfadp-14, 0x1.c6e81fcffc05p-14, 0x1.c5a35a8f0a89ep-14, 0x1.c426f5761512ap-14, 0x1.c272ec50dfcefp-14, 0x1.c08897185d877p-14, 0x1.be6cd3e8e859dp-14, 0x1.bc22ec8d7b398p-14, 0x1.b9ab5c72ac4a3p-14, 0x1.b707a4b2b861cp-14, 0x1.b43a3fbf38cc7p-14, 0x1.b14521c1db677p-14, 0x1.ae29d8bbefe49p-14, 0x1.aaea3207474d2p-14, 0x1.a7886ffe30661p-14, 0x1.a40718687fec7p-14, 0x1.a06846fa67382p-14, 0x1.9cad23890ea2bp-14, 0x1.98d66137487b1p-14, 0x1.94e53393eb64ep-14, 0x1.90db1e2711981p-14, 0x1.8cb9591085d84p-14, 0x1.8881a9c473c38p-14, 0x1.84357032e0fffp-14, 0x1.7fd5052ab675ap-14, 0x1.7b62f0f7c8551p-14, 0x1.76e160f65fae8p-14, 0x1.72502efc1408cp-14, 0x1.6db04b196c2f5p-14, 0x1.690378e9bb478p-14, 0x1.644aeb67f994ap-14, 0x1.5f8764d8f9322p-14, 0x1.5ab98869834ap-14, 0x1.55e1f31bb9498p-14, 0x1.51014b9a44932p-14, 0x1.4c1871f983e8ep-14, 0x1.4728bfe5d7ee4p-14, 0x1.4233e10de2996p-14, 0x1.3d3af5ed11983p-14, 0x1.383e370d561fcp-14, 0x1.333df50fc1cd8p-14, 0x1.2e3ad47c35747p-14, 0x1.2934fb4621f77p-14, 0x1.242d492fd4717p-14, 0x1.1f24bab584fe2p-14, 0x1.1a1c43d1acc8bp-14, 0x1.1515167aa3403p-14, 0x1.100eb0e85f554p-14, 0x1.0b099dc48dcacp-14, 0x1.0607030399788p-14, 0x1.010768c761197p-14, 0x1.f816490820448p-15, 0x1.ee252c58b7785p-15, 0x1.e43c472e2abbep-15, 0x1.da5c5deb101ebp-15, 0x1.d0861a0a7ca44p-15, 0x1.c6b9fcd7886f2p-15, 0x1.bcf8716d13558p-15, 0x1.b34229099266cp-15, 0x1.a998b297eea61p-15, 0x1.9ffde20410ef2p-15, 0x1.9671ff18c112fp-15, 0x1.8cf4e1cdb4d55p-15, 0x1.838714a8fe0c4p-15, 0x1.7a27f0bd04f03p-15, 0x1.70d899d5dea1ap-15, 0x1.679aa80ceb99ap-15, 0x1.5e6f146ba3169p-15, 0x1.5554d6f76a87fp-15, 0x1.4c4c82ff658edp-15, 0x1.43573caa70f37p-15, 0x1.3a754fd0ac80bp-15, 0x1.31a6e76da9263p-15, 0x1.28ec442e6a1b1p-15, 0x1.2045b1cecac7fp-15, 0x1.17b37c524c7bfp-15, 0x1.0f35ebfead081p-15, 0x1.06cd45b42414dp-15, 0x1.fcf3947dfcd24p-16, 0x1.ec776032f56cap-16, 0x1.dc26309ba154ap-16, 0x1.cbfff7888e35fp-16, 0x1.bc04949ec9918p-16, 0x1.ac3549e6999c7p-16, 0x1.9c939ce1cbc56p-16, 0x1.8d1f3f53cc4c5p-16, 0x1.7dd882af55ceap-16, 0x1.6ebd7288c136ep-16, 0x1.5fcf4d1d0f30bp-16, 0x1.51103206abc05p-16, 0x1.427e7b1bbaca7p-16, 0x1.341a3bc3043p-16, 0x1.25e478204e48dp-16, 0x1.17dd0223c392dp-16, 0x1.0a03d29435c3cp-16, 0x1.f8b1a2dc81899p-17, 0x1.ddb7b712cbfap-17, 0x1.c31a4fec5c6p-17, 0x1.a8d95170f409cp-17, 0x1.8ef469502e46ap-17, 0x1.756b93a5b7b47p-17, 0x1.5c3ebf83ad39dp-17, 0x1.436dd1a0a13e4p-17, 0x1.2af8b2fff06c2p-17, 0x1.12df4a93a3aa6p-17, 0x1.f642cc15683d2p-18, 0x1.c77c69b5e8d76p-18, 0x1.9967af500c084p-18, 0x1.6c055b8dabdc7p-18, 0x1.3f59cdfd65f1fp-18, 0x1.136524e8a31dep-18, 0x1.d03f313b569e2p-19, 0x1.7b13bd1ffd1f3p-19, 0x1.274da1462d12p-19, 0x1.a9c72cb3dd297p-20, 0x1.07b391fa1f131p-20, 0x1.a162b1cbcf132p-22, -0x1.a26d944548d13p-23, -0x1.9c89f9437ef5cp-21, -0x1.6591bfc29d2cdp-20, -0x1.fa382829d9c96p-20, -0x1.461e329586dd3p-19, -0x1.8dd171b21a146p-19, -0x1.d43831394f841p-19, -0x1.0caa7c2a64ad1p-18, -0x1.2e9531d4a5bap-18, -0x1.4fdd84c1c3955p-18, -0x1.7084b64c36795p-18, -0x1.908bf74e44159p-18, -0x1.aff4665713204p-18, -0x1.cebf18ca05f46p-18, -0x1.eced1165a8508p-18, -0x1.05401a932ed73p-17, -0x1.13bdd76e821bap-17, -0x1.21f0426330b9ep-17, -0x1.2fd628874dfcdp-17, -0x1.3d70f45bf2627p-17, -0x1.4ac2a3181158ap-17, -0x1.57cb03de983d2p-17, -0x1.648ac1247a9c6p-17, -0x1.710251fd1d442p-17, -0x1.7d32a9163bbfap-17, -0x1.891c906c12aa8p-17, -0x1.94c0bfe74c131p-17, -0x1.a01fed531d28fp-17, -0x1.ab3acf43ec6f6p-17, -0x1.b6121d21d00c1p-17, -0x1.c0a68e9b877b5p-17, -0x1.caf8db7297064p-17, -0x1.d509bd81d495dp-17, -0x1.ded9eeaf9205ep-17, -0x1.e86a25c9abb02p-17, -0x1.f1bb208aa8ce2p-17, -0x1.facd96d275525p-17, -0x1.01d10a5ff4b7ap-16, -0x1.061ce791090fcp-16, -0x1.0a4a747143ff6p-16, -0x1.0e5a3856b0783p-16, -0x1.124c8508a2b9p-16, -0x1.1621b4d21afedp-16, -0x1.19da23fba2587p-16, -0x1.1d76362e4b369p-16, -0x1.20f63c9035bd1p-16, -0x1.245a93c131283p-16, -0x1.27a394266de7p-16, -0x1.2ad199ceb4f9ep-16, -0x1.2de5023a0f699p-16, -0x1.30de1a101bb37p-16, -0x1.33bd53474c7ebp-16, -0x1.3682f05895a3ep-16, -0x1.392f4bfe468d2p-16, -0x1.3bc2c24c18d6fp-16, -0x1.3e3daa2478c2fp-16, -0x1.40a05b13688d8p-16, -0x1.42eb2bf95aa01p-16, -0x1.451e6bceab3b7p-16, -0x1.473a6846012e8p-16, -0x1.493f9593e2c08p-16, -0x1.4b2e39ea2f2bbp-16, -0x1.4d06937b7b141p-16, -0x1.4ec9063340be5p-16, -0x1.5075e7a5e2127p-16, -0x1.520d87a00a32fp-16, -0x1.539036a104021p-16, -0x1.54fe45bb92cc2p-16, -0x1.565805f01b632p-16, -0x1.579dc65651a4cp-16, -0x1.58cfd3e02b2fdp-16, -0x1.59ee7e079f307p-16, -0x1.5afa1f3dd040bp-16, -0x1.5bf3019edba38p-16, -0x1.5cd95d33b3199p-16, }}, 
      {{-0x1.42209a48db218p-2, -0x1.95c2d98927c25p-3, -0x1.aeb70b03a4768p-4, -0x1.fea241484fc75p-5, -0x1.2bd40d28c91a6p-4, -0x1.0b1c6b0f54712p-3, -0x1.c7b74652495acp-3, -0x1.597f6755b9355p-2, -0x1.db4f797fc1aeap-2, -0x1.300acb150c94bp-1, -0x1.705db89efd016p-1, -0x1.ac1558b9471d5p-1, -0x1.e184f5088dc3fp-1, -0x1.07db72ba06efap+0, -0x1.1b22c8141f1fcp+0, -0x1.2a9bfec9a4771p+0, -0x1.3671ada431a91p+0, -0x1.3ee8e1144ba91p+0, -0x1.445700cf5bf0cp+0, -0x1.4719f64eaa75dp+0, -0x1.4792436a43c27p+0, -0x1.461eb5df2f7c1p+0, -0x1.43196a12f3255p+0, -0x1.3ed5d766f1296p+0, -0x1.399fa9841ae23p+0, -0x1.33ba347eb8ec1p+0, -0x1.2d605a68af76bp+0, -0x1.26c4c11a5f572p+0, -0x1.20123e47de045p+0, -0x1.196c662538e61p+0, -0x1.12f02d7312196p+0, -0x1.0cb4943d8a287p+0, -0x1.06cb517ad8536p+0, -0x1.01417a24562bbp+0, -0x1.f8403f8484f7fp-1, -0x1.eed9c807ac7a6p-1, -0x1.e65500c39e73fp-1, -0x1.deb281de847cap-1, -0x1.d7eee4a3719a6p-1, -0x1.d20386cc549ebp-1, -0x1.cce736b032862p-1, -0x1.c88ec9b8ecb5dp-1, -0x1.c4ed9f0fb1403p-1, -0x1.c1f60fe642162p-1, -0x1.bf99cefa118a5p-1, -0x1.bdca395dd0a85p-1, -0x1.bc7899bcd36c6p-1, -0x1.bb965ff5fd65cp-1, -0x1.bb154e45237e3p-1, -0x1.bae79d47af37p-1, -0x1.bb0018103bda2p-1, -0x1.bb523180bdbafp-1, -0x1.bbd2136c416ffp-1, -0x1.bc74a90e9ac2bp-1, -0x1.bd2fa51bdcd57p-1, -0x1.bdf9844d78789p-1, -0x1.bec98d14502abp-1, -0x1.bf97cca679fb4p-1, -0x1.c05d12b2f6a67p-1, -0x1.c112eaa40bd81p-1, -0x1.c1b394cd00558p-1, -0x1.c239fd9047228p-1, -0x1.c2a1b505a503cp-1, -0x1.c2e6e53aceebfp-1, -0x1.c30649193b953p-1, -0x1.c2fd22697623dp-1, -0x1.c2c930b3275dbp-1, -0x1.c268a7932ebfcp-1, -0x1.c1da25c1f5321p-1, -0x1.c11cac412a2c8p-1, -0x1.c02f95d6fe3e6p-1, -0x1.bf128eeabe606p-1, -0x1.bdc58dce00f28p-1, -0x1.bc48cb7896ffep-1, -0x1.ba9cbc930846dp-1, -0x1.b8c20b026e4dep-1, -0x1.b6b98fba31a06p-1, -0x1.b4844d1586a51p-1, -0x1.b2236984f57bdp-1, -0x1.af982a97bc021p-1, -0x1.ace3f064e442cp-1, -0x1.aa08314b931f8p-1, -0x1.a7067610458bap-1, -0x1.a3e05640fc37p-1, -0x1.a09774f6788a3p-1, -0x1.9d2d7dbfd02ddp-1, -0x1.99a4220e267b4p-1, -0x1.95fd16a6bf38ep-1, -0x1.923a1175fd942p-1, -0x1.8e5cc79884405p-1, -0x1.8a66eb83ea4b1p-1, -0x1.865a2b99301dbp-1, -0x1.823830a12dfa8p-1, -0x1.7e029ca1fadc5p-1, -0x1.79bb09d256f17p-1, -0x1.756309b171ac7p-1, -0x1.70fc243753bb1p-1, -0x1.6c87d7344a0b3p-1, -0x1.680795bd75898p-1, -0x1.637cc7c528934p-1, -0x1.5ee8c9b7abd86p-1, -0x1.5a4cec3c84debp-1, -0x1.55aa73f87f5a3p-1, -0x1.5102998725b31p-1, -0x1.4c56894fa9d77p-1, -0x1.47a763931951p-1, -0x1.42f63c6f1d2d8p-1, -0x1.3e441bfa229cep-1, -0x1.3991fe5c550acp-1, -0x1.34e0d4010feaep-1, -0x1.303181b4cfdbap-1, -0x1.2b84e0f157733p-1, -0x1.26dbc00e447c2p-1, -0x1.2236e27f51d1bp-1, -0x1.1d97011cb2a05p-1, -0x1.18fcca6ac9d2cp-1, -0x1.1468e2e2823e3p-1, -0x1.0fdbe53ece00ep-1, -0x1.0b5662caddb69p-1, -0x1.06d8e3a668ba4p-1, -0x1.0263e72d4363cp-1, -0x1.fbefc8550b8c4p-2, -0x1.f32a926c1f25bp-2, -0x1.ea78fa063a68ap-2, -0x1.e1dbbd5580e9ap-2, -0x1.d9538bebdfa08p-2, -0x1.d0e10762f2935p-2, -0x1.c884c3e3c4e1bp-2, -0x1.c03f48ba19a95p-2, -0x1.b81110f4638dep-2, -0x1.affa8bb965068p-2, -0x1.a7fc1d2adadfbp-2, -0x1.a0161e9408bccp-2, -0x1.9848df1527e19p-2, -0x1.9094a415e589ap-2, -0x1.88f9a9c308056p-2, -0x1.81782378e960ap-2, -0x1.7a103c3f7ce2cp-2, -0x1.72c2173269752p-2, -0x1.6b8dcfeaca40ep-2, -0x1.64737ae47d158p-2, -0x1.5d7325df2f69dp-2, -0x1.568cd849c9961p-2, -0x1.4fc0936efe0ap-2, -0x1.490e5319f10f5p-2, -0x1.42760da2d5d4ep-2, -0x1.3bf7b4606fe33p-2, -0x1.359333ec84ed8p-2, -0x1.2f4874733aeap-2, -0x1.291759ef2814dp-2, -0x1.22ffc4789e8f5p-2, -0x1.1d01907d9dbc4p-2, -0x1.171c9700ac0fbp-2, -0x1.1150add6eaf62p-2, -0x1.0b9da7dcdf62dp-2, -0x1.0603552ee013cp-2, -0x1.008183575c95ep-2, -0x1.f62ffb00d7c02p-3, -0x1.eb8d195b67e1ap-3, -0x1.e119efbaf10d9p-3, -0x1.d6d6084928ef4p-3, -0x1.ccc0e9eab1049p-3, -0x1.c2da1863da6fbp-3, -0x1.b92114a9427aep-3, -0x1.af955d25f6f06p-3, -0x1.a6366df684d3fp-3, -0x1.9d03c13378f48p-3, -0x1.93fccf1c99686p-3, -0x1.8b210e546077ap-3, -0x1.826ff4215261dp-3, -0x1.79e8f497dc48dp-3, -0x1.718b82c14d99dp-3, -0x1.695710ce01776p-3, -0x1.614b1044dd90bp-3, -0x1.5966f229821bcp-3, -0x1.51aa271d14d33p-3, -0x1.4a141f961f687p-3, -0x1.42a44bb610824p-3, -0x1.3b5a1bf465791p-3, -0x1.343500b6087a4p-3, -0x1.2d346ab0ee2a7p-3, -0x1.2657caf17e266p-3, -0x1.1f9e92f15bb3cp-3, -0x1.190834bdd6d29p-3, -0x1.129422fc02f98p-3, -0x1.0c41d10293065p-3, -0x1.0610b2f7e8f19p-3, -0x1.00003dd5a0af3p-3, -0x1.f41fcef9af458p-4, -0x1.e87e4d94c6ba6p-4, -0x1.dd1ae7416dc68p-4, -0x1.d1f48df1f577cp-4, -0x1.c70a35e33971ep-4, -0x1.bc5ad595734edp-4, -0x1.b1e566074b1a6p-4, -0x1.a7a8e2b6dbafbp-4, -0x1.9da449b4360eep-4, -0x1.93d69bb68cfcep-4, -0x1.8a3edc4232dacp-4, -0x1.80dc1145eb447p-4, -0x1.77ad43f29c03p-4, -0x1.6eb180023dfefp-4, -0x1.65e7d432cdac2p-4, -0x1.5d4f521edfcebp-4, -0x1.54e70e5a10128p-4, -0x1.4cae20737f1cdp-4, -0x1.44a3a2f3f5f97p-4, -0x1.3cc6b368e5083p-4, -0x1.3516726bd862cp-4, -0x1.2d92039fb2052p-4, -0x1.26388db50a6c7p-4, -0x1.1f093a69a56f9p-4, -0x1.1803368795fe3p-4, -0x1.1125b1f2bbd36p-4, -0x1.0a6fdf940e0dep-4, -0x1.03e0f569630ecp-4, -0x1.faf058f9457a4p-5, -0x1.ee6981bf2856ep-5, -0x1.e22be35efb82dp-5, -0x1.d636021885d52p-5, -0x1.ca8668324b8dep-5, -0x1.bf1ba5ec80e07p-5, -0x1.b3f4517ea942ep-5, -0x1.a90f0708180a2p-5, -0x1.9e6a68873f5bp-5, -0x1.94051daa8ade3p-5, -0x1.89ddd4537f0cfp-5, -0x1.7ff33faa22761p-5, -0x1.764418caea287p-5, -0x1.6ccf1e67e36d2p-5, -0x1.639314cc2c895p-5, -0x1.5a8ec5cd2a8dcp-5, -0x1.51c100b8f1bcdp-5, -0x1.49289a53f12b1p-5, -0x1.40c46cbb6d245p-5, -0x1.3893575f487c8p-5, -0x1.30943ef37520dp-5, -0x1.28c60d5a89aa1p-5, -0x1.2127b19d5c4ccp-5, -0x1.19b81fd454051p-5, -0x1.1276511fa88adp-5, -0x1.0b61438c44712p-5, -0x1.0477fa0b86165p-5, -0x1.fb72f8c669239p-6, -0x1.ee49ae2fb5bbfp-6, -0x1.e17236d0f5dacp-6, -0x1.d4eabe552362bp-6, -0x1.c8b179857108cp-6, -0x1.bcc4a63c925d9p-6, -0x1.b1228b27a4c4cp-6, -0x1.a5c977b3704fp-6, -0x1.9ab7c3e9c7604p-6, -0x1.8febd04fd91b9p-6, -0x1.856405c49f40dp-6, -0x1.7b1ed543d84fep-6, -0x1.711ab8276f12fp-6, -0x1.67562f95fff5ep-6, -0x1.5dcfc454ab136p-6, -0x1.5486073a6c56fp-6, -0x1.4b7790953c544p-6, -0x1.42a3000cab0b9p-6, -0x1.3a06fcc3cfa37p-6, -0x1.31a235057bcaep-6, -0x1.29735e32343d4p-6, -0x1.217934a9d65f5p-6, -0x1.19b27b9fe93ecp-6, -0x1.121dfd036f3c1p-6, -0x1.0aba8965db726p-6, -0x1.0386f7d4fab87p-6, -0x1.f9044b7c53d17p-7, -0x1.eb55eda580c09p-7, -0x1.de00a9d95780bp-7, -0x1.d1025fd8fd981p-7, -0x1.c458fb55b8b14p-7, -0x1.b80273b357c92p-7, -0x1.abfccb9284ea9p-7, -0x1.a04610e89b8eep-7, -0x1.94dc5ca2ff505p-7, -0x1.89bdd26bf75fep-7, -0x1.7ee8a086cf669p-7, -0x1.745affa04c8abp-7, -0x1.6a13329fc44efp-7, -0x1.600f8671de253p-7, -0x1.564e51ceaa25p-7, -0x1.4ccdf50305977p-7, -0x1.438cd9b5909a4p-7, -0x1.3a8972ac64febp-7, -0x1.31c23baf9283dp-7, -0x1.2935b96a50308p-7, -0x1.20e279166c39ep-7, -0x1.18c710f0b86ap-7, -0x1.10e21f997f1e9p-7, -0x1.09324b3bf8e65p-7, -0x1.01b642950716fp-7, -0x1.f4d97805554b8p-8, -0x1.e6a8ea8d025aep-8, -0x1.d8d86708385e6p-8, -0x1.cb6586678a32fp-8, -0x1.be4df027544fp-8, -0x1.b18f5a3f998d2p-8, -0x1.a52788e94c689p-8, -0x1.99144e34b621cp-8, -0x1.8d53897ab9a9dp-8, -0x1.81e326bba82fcp-8, -0x1.76c11e0f12786p-8, -0x1.6beb7345a4fbp-8, -0x1.616035ca3da6p-8, -0x1.571d80c05607fp-8, -0x1.4d217b2e25fedp-8, -0x1.436a581b3f6b5p-8, -0x1.39f656ce07bcfp-8, -0x1.30c3c1ce5892p-8, -0x1.27d0ee5f6f311p-8, -0x1.1f1c3c362c51ep-8, -0x1.16a413fc728b4p-8, -0x1.0e66e722be643p-8, -0x1.06632fc69deacp-8, -0x1.fd2ee1e37e953p-9, -0x1.ee046e5331d4dp-9, -0x1.df4431e5489b1p-9, -0x1.d0eb6e298e577p-9, -0x1.c2f778d9747fep-9, -0x1.b565ba758745ep-9, -0x1.a833ac3505c73p-9, -0x1.9b5ed5b6cd0c7p-9, -0x1.8ee4cb0d91464p-9, -0x1.82c32bfb6238ap-9, -0x1.76f7a4155d996p-9, -0x1.6b7fec0ecc2p-9, -0x1.6059cc74fb28fp-9, -0x1.55831e640202dp-9, -0x1.4af9ccba02fc6p-9, -0x1.40bbd4faf9a1ep-9, -0x1.36c743cecc41ap-9, -0x1.2d1a33b6bd492p-9, -0x1.23b2c9bc5a19dp-9, -0x1.1a8f32762e09ep-9, -0x1.11ada0fa87dep-9, -0x1.090c4f1a9ee36p-9, -0x1.00a97f14c9585p-9, -0x1.f106fc62dcb92p-10, -0x1.e1314ef3790f2p-10, -0x1.d1cecb69ec7c3p-10, -0x1.c2dc68015e91ep-10, -0x1.b4573984e9c79p-10, -0x1.a63c6e173d29ep-10, -0x1.9889461df5d4ep-10, -0x1.8b3b0d2ef0d68p-10, -0x1.7e4f14e51c4fep-10, -0x1.71c2b30f08d97p-10, -0x1.659343952b42p-10, -0x1.59be2d411297dp-10, -0x1.4e40e80cc5105p-10, -0x1.4319033410bc8p-10, -0x1.3844293d47f9ap-10, -0x1.2dc0224056ff9p-10, -0x1.238ad23d12e6dp-10, -0x1.19a231e20c89dp-10, -0x1.100449e63bb5ap-10, -0x1.06af2aaa914a4p-10, -0x1.fb41ca9b9c29cp-11, -0x1.e9af133a6186dp-11, -0x1.d8a24ea18e2edp-11, -0x1.c817a47ef8e6bp-11, -0x1.b80b4fb11ec1p-11, -0x1.a879a98c26354p-11, -0x1.995f33bd76ed4p-11, -0x1.8ab89e45a2369p-11, -0x1.7c82ca0457eefp-11, -0x1.6ebac59b3b4e7p-11, -0x1.615dc36fbd242p-11, -0x1.54690aac23a6cp-11, -0x1.47d9e8bd48831p-11, -0x1.3bada84ee5b1ap-11, -0x1.2fe189a4671c8p-11, -0x1.2472caf6f03c8p-11, -0x1.195eaeaba592p-11, -0x1.0ea28184200c2p-11, -0x1.043ba1397377ep-11, -0x1.f44f058289b3ap-12, -0x1.e0c773f3d9177p-12, -0x1.cddc0245ae6d9p-12, -0x1.bb887c8144af5p-12, -0x1.a9c8f87a12d08p-12, -0x1.9899b95e3a096p-12, -0x1.87f7198e7ef4dp-12, -0x1.77dd6b58d8612p-12, -0x1.6848f2252b185p-12, -0x1.5935e9a27dd85p-12, -0x1.4aa08fc4d9f4ap-12, -0x1.3c85284fc4504p-12, -0x1.2edff9c961e47p-12, -0x1.21ad4d1957d4p-12, -0x1.14e97a66f5a83p-12, -0x1.08910413af21dp-12, -0x1.f941675d79509p-13, -0x1.e22b4987885efp-13, -0x1.cbda78acd5573p-13, -0x1.b64a069aa86d8p-13, -0x1.a175181101aabp-13, -0x1.8d56bb8e769d7p-13, -0x1.79e9f312c064fp-13, -0x1.6729cbc7c68d9p-13, -0x1.55116924bb0c2p-13, -0x1.439bf1e5f506ap-13, -0x1.32c46a214b662p-13, -0x1.22859d2442d33p-13, -0x1.12da367c4821dp-13, -0x1.03bd0932f0547p-13, -0x1.ea52be1e61952p-14, -0x1.ce363dcac3703p-14, -0x1.b31d721ff771fp-14, -0x1.9901cc3c4f3cp-14, -0x1.7fdcb27c5993ap-14, -0x1.67a76e20f8751p-14, -0x1.505b44ba144ep-14, -0x1.39f1ab8da287p-14, -0x1.24647119f4eadp-14, -0x1.0fad9838ef425p-14, -0x1.f78e24af6828fp-15, -0x1.d1548eed4aa03p-15, -0x1.ac9fdf05c5c85p-15, -0x1.8961425f54f3ap-15, -0x1.678a9e6049a72p-15, -0x1.470fa5d0a52cp-15, -0x1.27e608d03353fp-15, -0x1.0a04c0107e7bfp-15, -0x1.dac60d9913198p-16, -0x1.a3ef64be8cad2p-16, -0x1.6f72651359f9cp-16, -0x1.3d3c0a3b15f6dp-16, -0x1.0d3a75c0dcfdap-16, -0x1.bebaf9a4c7a07p-17, -0x1.672c9933c248ap-17, -0x1.13ac5baafb79cp-17, -0x1.8834949dba8dfp-18, -0x1.e14ac041e7da2p-19, -0x1.817c10e16c7fbp-20, 0x1.47449b0251a43p-21, 0x1.56e6bc1cacf2p-19, 0x1.2778f5dcde654p-18, 0x1.9d28d8cb9031p-18, 0x1.0657977bea7a1p-17, 0x1.3b1cecc9fa39cp-17, 0x1.6cfda2a3df554p-17, 0x1.9c158ed46d7bap-17, 0x1.c8804bd991076p-17, 0x1.f256b6559a8d8p-17, 0x1.0cd7327e391f1p-16, 0x1.1f4d53404c35ap-16, 0x1.30970b3e5a0a2p-16, 0x1.40bdd35ff270ep-16, 0x1.4fcba7d5c9b41p-16, 0x1.5dcb19b12e0ccp-16, 0x1.6ac6dce166555p-16, 0x1.76c93213d6371p-16, 0x1.81db8ab53c1fdp-16, 0x1.8c061151ab0a2p-16, 0x1.954f50da0683ep-16, 0x1.9dbd0df71f1b4p-16, 0x1.a556222fdddbep-16, 0x1.ac2387cf2109p-16, 0x1.b22f52c82bfcfp-16, 0x1.b782c231a25fep-16, 0x1.bc25b2a53a20fp-16, 0x1.c01f842aeb6bcp-16, 0x1.c3771d1a16d9bp-16, 0x1.c632b1aa68f24p-16, 0x1.c856f48f4dfdep-16, 0x1.c9e82da7f3d83p-16, 0x1.caebae2778f2cp-16, 0x1.cb6747e974f78p-16, 0x1.cb6176327cb75p-16, 0x1.cae0fd453676bp-16, 0x1.c9ebd72a7c273p-16, 0x1.c8859f22bb10fp-16, 0x1.c6b04fe0e3b8bp-16, 0x1.c46f4ef3c7b8cp-16, 0x1.c1c88d973db0ap-16, 0x1.bec2682b046ap-16, 0x1.bb61df2e4632ep-16, 0x1.b7ab3391f8fd7p-16, 0x1.b3a39a83452bap-16, 0x1.af50d7d5c1819p-16, 0x1.aab7b8db0065bp-16, 0x1.a5db46a0b841p-16, 0x1.a0bd30fcfcbbep-16, 0x1.9b5f16c9191bbp-16, 0x1.95c39a90ca713p-16, 0x1.8fee50fb50255p-16, 0x1.89e33af8d6783p-16, 0x1.83a6c8956fe05p-16, 0x1.7d3cc6cd37763p-16, 0x1.76a6830c84812p-16, 0x1.6fe46da7e83bap-16, 0x1.68f970618f602p-16, 0x1.61ea12eadcacap-16, 0x1.5ab9384b0813p-16, 0x1.5368398393a6ep-16, 0x1.4bf915a6d454bp-16, 0x1.446ecc93d1ef8p-16, 0x1.3ccc9e8d079d3p-16, 0x1.35159a9ca958cp-16, 0x1.2d4c43c9a71edp-16, 0x1.25722dc204c1p-16, 0x1.1d8820e3595f3p-16, 0x1.158eeea25a05bp-16, 0x1.0d88236e5e63fp-16, 0x1.0575bb3d93c63p-16, 0x1.fab360e94e282p-17, 0x1.ea6cb0947009cp-17, 0x1.da1af9624b2afp-17, 0x1.c9be6aa002dbdp-17, 0x1.b958c2fb37559p-17, 0x1.a8efd8bc91389p-17, 0x1.988795b6e9acfp-17, 0x1.88207f7f35e9ap-17, 0x1.77bc779a406e9p-17, 0x1.675e8b73e13abp-17, 0x1.5708ee479aee3p-17, 0x1.46bd484deaa99p-17, 0x1.367e198d6efe6p-17, 0x1.264d96bddf7f8p-17, 0x1.162ed52456314p-17, 0x1.06240d554d45p-17, 0x1.ec5d089bb3434p-18, 0x1.cc9dee9b3dc12p-18, 0x1.ad0d5c043d92dp-18, 0x1.8dae90b5c1659p-18, 0x1.6e841e7585c04p-18, 0x1.4f91ae23c766ap-18, 0x1.30da11a4ac32dp-18, 0x1.125dec9c0cd75p-18, 0x1.e844d4a03372p-19, 0x1.ac57c62de162dp-19, 0x1.70f37e14dc0a2p-19, 0x1.361b5b4a0aa25p-19, 0x1.f7ac69d31df5cp-20, 0x1.8450f7f2bc386p-20, 0x1.12296bcd1f419p-20, 0x1.42734464abda5p-21, 0x1.8c2aee51892f4p-23, -0x1.e77b2f9c100abp-23, -0x1.543e00afd9a76p-21, -0x1.16001c4f7e0e5p-20, -0x1.80871c5eb4dd3p-20, -0x1.e9acf7c0d9b27p-20, -0x1.28b8e66a1a284p-19, -0x1.5bea71defe454p-19, -0x1.8e69721c1d08p-19, -0x1.c0362a2e9721fp-19, -0x1.f14e498fadb33p-19, -0x1.10d7859060fe8p-18, -0x1.28aae9ff0c5fap-18, -0x1.401f9977e7fcp-18, -0x1.57372306f35a8p-18, -0x1.6df12a05168a1p-18, -0x1.844bef67dde09p-18, -0x1.9a471731d4cefp-18, -0x1.afe2a79e8335dp-18, -0x1.c51e872960e06p-18, -0x1.d9fa959c04acap-18, -0x1.ee76bed2a3e83p-18, -0x1.0149854aa4459p-17, -0x1.0b27d2ecc397ep-17, -0x1.14d668a05180ep-17, -0x1.1e5549c784549p-17, -0x1.27a421276368p-17, -0x1.30c2858b07eaap-17, -0x1.39b0b6731c865p-17, -0x1.426f04739899cp-17, -0x1.4afd9ecad7b69p-17, -0x1.535d2fdc9580ep-17, -0x1.5b8d67257d596p-17, -0x1.638e20d57a6d3p-17, -0x1.6b5f597ab04b1p-17, -0x1.7301cbdd714acp-17, -0x1.7a759c4b14bdbp-17, -0x1.81baba7ca7759p-17, -0x1.88d167148cd92p-17, -0x1.8fb9f0da17496p-17, -0x1.9674a02fdc553p-17, -0x1.9d01b9f547005p-17, -0x1.a36182cdd9918p-17, -0x1.a99440d94962bp-17, -0x1.af9a3c9450b85p-17, -0x1.b573c1e00947ep-17, -0x1.bb2121d3ab09cp-17, -0x1.c0a2b537c7cd2p-17, -0x1.c5f8e0e61e977p-17, -0x1.cb240aaf0af89p-17, -0x1.d02464f712805p-17, -0x1.d4fa1edd5e9b9p-17, -0x1.d9a5aa4d9a234p-17, -0x1.de2761d3d0664p-17, -0x1.e27fe4b95773cp-17, -0x1.e6af6ac5f0829p-17, -0x1.eab62c33acd11p-17, -0x1.ee94bb5f113dp-17, -0x1.f24b70b6aa1fbp-17, -0x1.f5daae39067b9p-17, -0x1.f942e91d7fb67p-17, -0x1.fc84577e61dfcp-17, -0x1.ff9f769aaff19p-17, -0x1.014a7104242d8p-16, -0x1.02b25e7a8f177p-16, -0x1.0407c0e18c7abp-16, -0x1.054ae2c4e674p-16, -0x1.067bf0f12aeecp-16, -0x1.079b1bcb88c5ap-16, -0x1.08a899819c9fap-16, -0x1.09a4a134e79abp-16, -0x1.0a8f69ffcdef4p-16, -0x1.0b692b49591e7p-16, -0x1.0c321e4cd7d6p-16, -0x1.0cea7d97e558bp-16, -0x1.0d927c39d9864p-16, -0x1.0e2a4cdbfc294p-16, -0x1.0eb22ab54368dp-16, -0x1.0f2a5321c5241p-16, -0x1.0f92fbc44f86cp-16, -0x1.0fec57be4555p-16, -0x1.10369ca6dcad1p-16, -0x1.1071f835ff27ep-16, -0x1.109ec767a1804p-16, -0x1.10bd1956f5286p-16, -0x1.10cd33f865bd6p-16, -0x1.10cf5516ba7d1p-16, -0x1.10c3b1b573dbbp-16, -0x1.10aa7c30ace39p-16, -0x1.1083e7dea9ceap-16, -0x1.10502ac5a94a4p-16, -0x1.100f7e06a7e94p-16, -0x1.0fc21c57f80fdp-16, -0x1.0f683f31d772fp-16, -0x1.0f021d9c55e74p-16, -0x1.0e8feaea225bap-16, -0x1.0e11d76f0cfe4p-16, -0x1.0d8816373b1bfp-16, -0x1.0cf2dbbd97369p-16, -0x1.0c526590ff165p-16, -0x1.0ba6e53803472p-16, -0x1.0af07c4ed091bp-16, -0x1.0a2f7eeb52733p-16, -0x1.09641b2a9ee65p-16, -0x1.088e68c764cf6p-16, -0x1.07aea90414404p-16, -0x1.06c510cd2c68fp-16, -0x1.05d1d7ac1395p-16, -0x1.04d52a79d70b4p-16, -0x1.03cf3922a1edcp-16, -0x1.02c034cd18465p-16, -0x1.01a84e7a0de75p-16, -0x1.0087b6bbb0cbfp-16, -0x1.febd3b4cce8eap-17, -0x1.fc5a656d580ecp-17, -0x1.f9e7499c7de4dp-17, -0x1.f76446acc3cc7p-17, -0x1.f4d1ba419a361p-17, -0x1.f22ffe12ab8b1p-17, -0x1.ef7f7ac0a763p-17, -0x1.ecc0865b3b093p-17, -0x1.e9f2feda08eddp-17, -0x1.e7188e04b9ce2p-17, -0x1.e42ffd26f63p-17, -0x1.e13a9029aedfdp-17, -0x1.de3866d9550b2p-17, -0x1.db29d37d6b3f6p-17, -0x1.d80f2c2f74794p-17, -0x1.d4e8a633ec646p-17, -0x1.d1b6be1bcb541p-17, -0x1.ce79d02e0a6bbp-17, -0x1.cb31e46fc949ep-17, -0x1.c7df86022a4cp-17, -0x1.c483137a75c4fp-17, -0x1.c11cb34109511p-17, -0x1.bdacde9bf426fp-17, -0x1.ba33ba475323cp-17, -0x1.b6b1980846503p-17, -0x1.b326cb145fa8p-17, -0x1.af939cba4ea2fp-17, -0x1.abf856967861ep-17, -0x1.a8554171d61f2p-17, -0x1.a4aaa145af23cp-17, -0x1.a0f8b8d67c55ap-17, -0x1.9d3fde9f31974p-17, -0x1.9980500e2a09fp-17, -0x1.95ba461344ec3p-17, -0x1.91ee0cd2dd64ap-17, -0x1.8e1be84252934p-17, -0x1.8a4418b5e33dep-17, -0x1.8666de53f3fb7p-17, -0x1.82847931578d4p-17, -0x1.7e9d28ea5c869p-17, -0x1.7ab12b0b3705ap-17, -0x1.76c0bade42ae9p-17, -0x1.72cc15c5dcfb8p-17, -0x1.6ed381f96ba45p-17, -0x1.6ad7354a6dbe8p-17, -0x1.66d75a53470fdp-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.c2b53a751a4d4p-8, 0x1.c3a438cba4e83p-7, 0x1.53dff82eaeda9p-6, 0x1.c73d6057cdb8dp-6, 0x1.1e20f6bafed43p-5, 0x1.5999e6977f0dp-5, 0x1.962332d974e79p-5, 0x1.d3ccfb5b05b2dp-5, 0x1.094f02ed26b13p-4, 0x1.294a23db15ebcp-4, 0x1.49d2d3ccd18a6p-4, 0x1.6ae0703b2fa65p-4, 0x1.8c6739ae66bc9p-4, 0x1.ae58cd5d58425p-4, 0x1.d0a49b13b0646p-4, 0x1.f33854c2b21d4p-4, 0x1.0b002b2f63dfap-3, 0x1.1c7402b66b9fbp-3, 0x1.2ded140478791p-3, 0x1.3f6099afe27c2p-3, 0x1.50c3c8d4e7f44p-3, 0x1.620befe1f1241p-3, 0x1.732e91475f47cp-3, 0x1.84217a2908282p-3, 0x1.94dad53adaa64p-3, 0x1.a55139fe5de68p-3, 0x1.b57bb8a271971p-3, 0x1.c551e2d0a765p-3, 0x1.d4cbd1bae1e66p-3, 0x1.e3e229c0360c1p-3, 0x1.f28e1c0104391p-3, 0x1.0064b31c4cd4bp-2, 0x1.0747289716262p-2, 0x1.0debd70468318p-2, 0x1.145069652a016p-2, 0x1.1a72cb1629e77p-2, 0x1.205125890bbeep-2, 0x1.25e9dddc77a0ap-2, 0x1.2b3b926442885p-2, 0x1.3045182e6bf9cp-2, 0x1.3505788e70545p-2, 0x1.397beeb574e37p-2, 0x1.3da7e55b60028p-2, 0x1.4188f47af8f82p-2, 0x1.451edf2193ea8p-2, 0x1.48699151b777cp-2, 0x1.4b691df75ac96p-2, 0x1.4e1dbcebdcbf5p-2, 0x1.5087c907a1ca8p-2, 0x1.52a7be3f3cd48p-2, 0x1.547e37ca1eddbp-2, 0x1.560bee5114a46p-2, 0x1.5751b62319db2p-2, 0x1.58507d6f6e9cdp-2, 0x1.59094a8431201p-2, 0x1.597d3a112342dp-2, 0x1.59ad7d6e91609p-2, 0x1.599b58e8aa0dcp-2, 0x1.5948220fcf7f6p-2, 0x1.58b53e0eacef1p-2, 0x1.57e420070aab1p-2, 0x1.56d647766d1acp-2, 0x1.558d3ea3b537cp-2, 0x1.540a9916f5776p-2, 0x1.524ff21cb286cp-2, 0x1.505eeb55c73acp-2, 0x1.4e392b55036abp-2, 0x1.4be05c4b9fa13p-2, 0x1.49562ac56ac56p-2, 0x1.469c44758ef56p-2, 0x1.43b457149bbc9p-2, 0x1.40a00f5066c76p-2, 0x1.3d6117ce2ed57p-2, 0x1.39f9183f47b94p-2, 0x1.3669b48875a8cp-2, 0x1.32b48bfbf8bf6p-2, 0x1.2edb38a62978cp-2, 0x1.2adf4eac67aeep-2, 0x1.26c25bbe065a6p-2, 0x1.2285e696bc022p-2, 0x1.1e2b6e920ce1p-2, 0x1.19b46b4f11be8p-2, 0x1.15224c63e95bdp-2, 0x1.107679200fdccp-2, 0x1.0bb2505cd795ep-2, 0x1.06d7285b2443ep-2, 0x1.01e64ead90baep-2, 0x1.f9c2105c3596fp-3, 0x1.ef9121fce073bp-3, 0x1.e53c3923ee66ep-3, 0x1.dac5ab81595dbp-3, 0x1.d02fbdc3fa7eep-3, 0x1.c57ca3dd5be58p-3, 0x1.baae81521f7c6p-3, 0x1.afc76995389eap-3, 0x1.a4c9606c8004p-3, 0x1.99b65a5d17079p-3, 0x1.8e903d1e29b9dp-3, 0x1.8358e010c7a64p-3, 0x1.78120cbb7d21fp-3, 0x1.6cbd7f48891a7p-3, 0x1.615ce70595ec2p-3, 0x1.55f1e6e3ed5dbp-3, 0x1.4a7e15f8414b7p-3, 0x1.3f02fff928b63p-3, 0x1.338225bb9c01fp-3, 0x1.27fcfdacaee0fp-3, 0x1.1c74f448069e1p-3, 0x1.10eb6c8a6caf4p-3, 0x1.0561c060259a2p-3, 0x1.f3b2821d1cc4fp-4, 0x1.dca66f31841c3p-4, 0x1.c5a1ca3e07077p-4, 0x1.aea7067168b53p-4, 0x1.97b88891696dep-4, 0x1.80d8a7983b60fp-4, 0x1.6a09ad4680302p-4, 0x1.534dd6a9df3afp-4, 0x1.3ca754983edfcp-4, 0x1.26184c1fcec83p-4, 0x1.0fa2d6ec14decp-4, 0x1.f2920740841e2p-5, 0x1.c619ac4e4bce9p-5, 0x1.99e08ff238735p-5, 0x1.6dea90b0afeffp-5, 0x1.423b7908024c2p-5, 0x1.16d6ffc532f0ep-5, 0x1.d78190908de0cp-6, 0x1.81f8c57230466p-6, 0x1.2d1a985b65bfep-6, 0x1.b1dbbb0d34e34p-7, 0x1.0af286ab817b6p-7, 0x1.961a92a7029aap-9, -0x1.f2d92d7de9535p-10, -0x1.c14cbe628ab5ap-8, -0x1.814edb2d73e92p-7, -0x1.10245cffe35a7p-6, -0x1.5ec434d619aacp-6, -0x1.ac815349ec6bfp-6, -0x1.f9563e1dac23dp-6, -0x1.229ed187c743cp-5, -0x1.48192c249c5afp-5, -0x1.6d17ae697a155p-5, -0x1.9197ec84903eep-5, -0x1.b5978f8935701p-5, -0x1.d91455aab0774p-5, -0x1.fc0c12761ed13p-5, -0x1.0f3e57855f902p-4, -0x1.203215281d25ap-4, -0x1.30e04c9523a89p-4, -0x1.41481354a1e3p-4, -0x1.51688a1baa21ap-4, -0x1.6140dce0cd0afp-4, -0x1.70d042ee9c40ep-4, -0x1.8015fef3e8d1dp-4, -0x1.8f115f1197d2ep-4, -0x1.9dc1bce5f780bp-4, -0x1.ac267d956fc76p-4, -0x1.ba3f11d0880a3p-4, -0x1.c80af5d71d0bap-4, -0x1.d589b178d0493p-4, -0x1.e2bad8128b253p-4, -0x1.ef9e088939947p-4, -0x1.fc32ed418242cp-4, -0x1.043c9e0a587ap-3, -0x1.0a385b2157fap-3, -0x1.100c943099e11p-3, -0x1.15b9352405747p-3, -0x1.1b3e2f7d51cafp-3, -0x1.209b7a476ee99p-3, -0x1.25d1120896f2bp-3, -0x1.2adef8b30e715p-3, -0x1.2fc53594a71a5p-3, -0x1.3483d54503417p-3, -0x1.391ae992a8f5dp-3, -0x1.3d8a896ef2d96p-3, -0x1.41d2d0d8e4dafp-3, -0x1.45f3e0c6fd745p-3, -0x1.49eddf0ff9bf1p-3, -0x1.4dc0f652acec4p-3, -0x1.516d55dcf68dfp-3, -0x1.54f33191d7b26p-3, -0x1.5852c1cec135p-3, -0x1.5b8c4350241p-3, -0x1.5e9ff71551c25p-3, -0x1.618e2243be614p-3, -0x1.64570e09a4553p-3, -0x1.66fb07802cf1cp-3, -0x1.697a5f8d18a13p-3, -0x1.6bd56ac3fadefp-3, -0x1.6e0c81471d5aep-3, -0x1.701ffea80883p-3, -0x1.721041c7ccb84p-3, -0x1.73ddacb71418ep-3, -0x1.7588a4960227cp-3, -0x1.77119173f58b5p-3, -0x1.7878de2f35916p-3, -0x1.79bef85496065p-3, -0x1.7ae44fff19499p-3, -0x1.7be957b7a4dacp-3, -0x1.7cce8454c3fa4p-3, -0x1.7d944cda8c975p-3, -0x1.7e3b2a5ab49fp-3, -0x1.7ec397d4cfc21p-3, -0x1.7f2e1216cf328p-3, -0x1.7f7b179dc0b69p-3, -0x1.7fab2876e06aap-3, -0x1.7fbec620f6285p-3, -0x1.7fb6736e1491p-3, -0x1.7f92b465af2cbp-3, -0x1.7f540e272829cp-3, -0x1.7efb06ccbc3a7p-3, -0x1.7e88254eed1cfp-3, -0x1.7dfbf1685f5dap-3, -0x1.7d56f37a3b291p-3, -0x1.7c99b4710a05bp-3, -0x1.7bc4bdaa20695p-3, -0x1.7ad898d99248bp-3, -0x1.79d5cff0b0df5p-3, -0x1.78bced051ee14p-3, -0x1.778e7a387bf74p-3, -0x1.764b01a0a320fp-3, -0x1.74f30d3081421p-3, -0x1.738726a1902d1p-3, -0x1.7207d75de492bp-3, -0x1.7075a86ae6961p-3, -0x1.6ed122549d468p-3, -0x1.6d1acd19a9235p-3, -0x1.6b533017d88eep-3, -0x1.697ad1f95fdcep-3, -0x1.679238a2b6be1p-3, -0x1.6599e92114011p-3, -0x1.639267999153ep-3, -0x1.617c3738effdfp-3, -0x1.5f57da23f8695p-3, -0x1.5d25d16885329p-3, -0x1.5ae69cef27453p-3, -0x1.589abb6d6af0cp-3, -0x1.5642aa58b98f9p-3, -0x1.53dee5d9d7bf8p-3, -0x1.516fe8c0fe6adp-3, -0x1.4ef62c7a8dbecp-3, -0x1.4c7229045145bp-3, -0x1.49e454e364177p-3, -0x1.474d251a9b9e5p-3, -0x1.44ad0d218b696p-3, -0x1.42047edc15bbdp-3, -0x1.3f53ea9288d8bp-3, -0x1.3c9bbeea3f5ebp-3, -0x1.39dc68ded46a5p-3, -0x1.371653bbd11a7p-3, -0x1.3449e916e18b2p-3, -0x1.317790ca895b3p-3, -0x1.2e9fb0f15275cp-3, -0x1.2bc2ade177e26p-3, -0x1.28e0ea2904b0dp-3, -0x1.25fac68a6e0a3p-3, -0x1.2310a1f9934aap-3, -0x1.2022d999369cfp-3, -0x1.1d31c8b8e004dp-3, -0x1.1a3dc8d31e87ap-3, -0x1.1747318c3e519p-3, -0x1.144e58b156d18p-3, -0x1.11539237b9962p-3, -0x1.0e57303cc652fp-3, -0x1.0b5983060c4d3p-3, -0x1.085ad901cba91p-3, -0x1.055b7ec7c6c3p-3, -0x1.025bbf1a67f95p-3, -0x1.feb7c5d062b37p-4, -0x1.f8b8629af52efp-4, -0x1.f2b9df2cec827p-4, -0x1.ecbcc282faaaap-4, -0x1.e6c190033d217p-4, -0x1.e0c8c782d6a1ap-4, -0x1.dad2e54c0b18dp-4, -0x1.d4e06224c6e95p-4, -0x1.cef1b355a6988p-4, -0x1.c9074ab154b0bp-4, -0x1.c321969c62c7fp-4, -0x1.bd41021571b1cp-4, -0x1.b765f4bdc33dbp-4, -0x1.b190d2e2195e2p-4, -0x1.abc1fd83ef074p-4, -0x1.a5f9d262f76ccp-4, -0x1.a038ac06ee2bap-4, -0x1.9a7ee1c9aa4ep-4, -0x1.94ccc7e16a7b7p-4, -0x1.8f22af6b62f4ep-4, -0x1.8980e67686d9bp-4, -0x1.83e7b80e7ce08p-4, -0x1.7e576c46ca3fp-4, -0x1.78d0484625546p-4, -0x1.73528e51f25eep-4, -0x1.6dde7dd9e4c8ep-4, -0x1.68745383c12efp-4, -0x1.6314493738e8p-4, -0x1.5dbe9629e4b0ap-4, -0x1.58736eeb53ebep-4, -0x1.533305712da88p-4, -0x1.4dfd892364a67p-4, -0x1.48d326e873a06p-4, -0x1.43b40931abe1bp-4, -0x1.3ea0580785173p-4, -0x1.39983915f20d2p-4, -0x1.349bcfb8bd849p-4, -0x1.2fab3d07df1edp-4, -0x1.2ac69fe3d4268p-4, -0x1.25ee1501ee25dp-4, -0x1.2121b6f89f5f7p-4, -0x1.1c619e4bb8adep-4, -0x1.17ade1789fa5p-4, -0x1.130695027565bp-4, -0x1.0e6bcb7e2ed76p-4, -0x1.09dd959e9c582p-4, -0x1.055c02405e12dp-4, -0x1.00e71e75c22acp-4, -0x1.f8fdeb251c4acp-5, -0x1.f047226f6722p-5, -0x1.e7a9f2bdccd4p-5, -0x1.df2668cc388e4p-5, -0x1.d6bc8e35e2442p-5, -0x1.ce6c698bd891ep-5, -0x1.c635fe6b4e74dp-5, -0x1.be194d93b2d49p-5, -0x1.b61654fc8261cp-5, -0x1.ae2d0fead58d9p-5, -0x1.a65d7706b2bp-5, -0x1.9ea780701105p-5, -0x1.970b1fd39a916p-5, -0x1.8f88467f28b82p-5, -0x1.881ee375f1ff7p-5, -0x1.80cee3846fb4cp-5, -0x1.79983153f954p-5, -0x1.727ab57e0ac92p-5, -0x1.6b76569f4d1f3p-5, -0x1.648af96a4089fp-5, -0x1.5db880b9a3efdp-5, -0x1.56fecda2837p-5, -0x1.505dbf86024c1p-5, -0x1.49d53422c3b5dp-5, -0x1.436507a611d1fp-5, -0x1.3d0d14bcb1b17p-5, -0x1.36cd34a35ac22p-5, -0x1.30a53f36ec73cp-5, -0x1.2a950b0449706p-5, -0x1.249c6d57e0daap-5, -0x1.1ebb3a4ce860dp-5, -0x1.18f144dc46727p-5, -0x1.133e5eeb2da56p-5, -0x1.0da259595fcaep-5, -0x1.081d040f29f1fp-5, -0x1.02ae2e0b0657ap-5, -0x1.faab4addee892p-6, -0x1.f0266f1b1d0ebp-6, -0x1.e5cd61ed5563dp-6, -0x1.db9fbb07bdaeap-6, -0x1.d19d10c929f2cp-6, -0x1.c7c4f853be5f4p-6, -0x1.be1705a3f618cp-6, -0x1.b492cba71b2abp-6, -0x1.ab37dc5125107p-6, -0x1.a205c8b206fd9p-6, -0x1.98fc210a5fd17p-6, -0x1.901a74dfac14fp-6, -0x1.8760530fdddd2p-6, -0x1.7ecd49e45f7ebp-6, -0x1.7660e724984c2p-6, -0x1.6e1ab827e1124p-6, -0x1.65fa49e6f7ce6p-6, -0x1.5dff290ce0524p-6, -0x1.5628e2074eb02p-6, -0x1.4e7701167d2c2p-6, -0x1.46e9125c9a088p-6, -0x1.3f7ea1ec9f6f1p-6, -0x1.38373bd8befcbp-6, -0x1.31126c4049b59p-6, -0x1.2a0fbf5d2492p-6, -0x1.232ec190cd28ap-6, -0x1.1c6eff70d46bap-6, -0x1.15d005d2fb1b8p-6, -0x1.0f5161d8d5e4dp-6, -0x1.08f2a0fb08a44p-6, -0x1.02b351140e438p-6, -0x1.f92600d539538p-7, -0x1.ed227b773a02fp-7, -0x1.e15b30878024ep-7, -0x1.d5cf3f9162ff9p-7, -0x1.ca7dc943b6456p-7, -0x1.bf65ef81b8cc6p-7, -0x1.b486d57337332p-7, -0x1.a9df9f93eae5fp-7, -0x1.9f6f73c23a1b8p-7, -0x1.9535794d3b3b1p-7, -0x1.8b30d9020df77p-7, -0x1.8160bd3898323p-7, -0x1.77c451df87b0cp-7, -0x1.6e5ac487d3bf1p-7, -0x1.6523446f89452p-7, -0x1.5c1d028c0cf06p-7, -0x1.53473193cdcf9p-7, -0x1.4aa1060743ca2p-7, -0x1.4229b63997415p-7, -0x1.39e07a589d226p-7, -0x1.31c48c74503a5p-7, -0x1.29d52885ced3fp-7, -0x1.22118c75d9d01p-7, -0x1.1a78f822da6d3p-7, -0x1.130aad667417p-7, -0x1.0bc5f01a8d8e6p-7, -0x1.04aa061e05c3dp-7, -0x1.fb6c6eb1d2175p-8, -0x1.edd39b8073117p-8, -0x1.e0882ab2d774fp-8, -0x1.d388b87ab47fcp-8, -0x1.c6d3e535e5e6fp-8, -0x1.ba685572e921ep-8, -0x1.ae44b1f4e6fd5p-8, -0x1.a267a7b6add77p-8, -0x1.96cfe7ed3eedap-8, -0x1.8b7c2809b7007p-8, -0x1.806b21ba74bffp-8, -0x1.759b92ebcf309p-8, -0x1.6b0c3dc83c3bcp-8, -0x1.60bbe8b7ad6ddp-8, -0x1.56a95e5e9c7cbp-8, -0x1.4cd36d9c7d46p-8, -0x1.4338e989c760cp-8, -0x1.39d8a97565268p-8, -0x1.30b188e1b02dap-8, -0x1.27c267811ef39p-8, -0x1.1f0a2932564e6p-8, -0x1.1687b5fc0cfdep-8, -0x1.0e39fa086597ep-8, -0x1.061fe59fc501cp-8, -0x1.fc70da4762b7cp-9, -0x1.ed051211e0cb3p-9, -0x1.ddfa6ba35ee5ep-9, -0x1.cf4ee80e10d2ap-9, -0x1.c100906508f6fp-9, -0x1.b30d75adf5084p-9, -0x1.a573b0d35deb1p-9, -0x1.98316295833a8p-9, -0x1.8b44b37b16b7ep-9, -0x1.7eabd3c14a57dp-9, -0x1.7264fb4be1afep-9, -0x1.666e699455d2ep-9, -0x1.5ac6659906b12p-9, -0x1.4f6b3dcbf63f5p-9, -0x1.445b4800c0464p-9, -0x1.3994e15b0fbc3p-9, -0x1.2f166e3bd0fb5p-9, -0x1.24de5a2f40165p-9, -0x1.1aeb17d9c72e1p-9, -0x1.113b20e4ec8a9p-9, -0x1.07ccf5ec45353p-9, -0x1.fd3e3cd3637afp-10, -0x1.eb60514436afdp-10, -0x1.d9fd532378eb2p-10, -0x1.c91279af9bf64p-10, -0x1.b89d0945f4223p-10, -0x1.a89a53399d9ep-10, -0x1.9907b5ab6b845p-10, -0x1.89e29b6158cedp-10, -0x1.7b287b9ddd23dp-10, -0x1.6cd6d9f671596p-10, -0x1.5eeb462b51797p-10, -0x1.51635bfdfba3dp-10, -0x1.443cc308414ddp-10, -0x1.37752e93bcb7p-10, -0x1.2b0a5d7057ac8p-10, -0x1.1efa19cb235d1p-10, -0x1.13423905b508cp-10, -0x1.07e09b8d6b0bp-10, -0x1.f9a659643f48bp-11, -0x1.e42fc4fd861b3p-11, -0x1.cf597b1e77a64p-11, -0x1.bb1f91d29a42ep-11, -0x1.a77e33a74dc9dp-11, -0x1.94719f5ccb092p-11, -0x1.81f627964893cp-11, -0x1.7008328aca7a5p-11, -0x1.5ea439b670571p-11, -0x1.4dc6c98bf8455p-11, -0x1.3d6c8126eb2e2p-11, -0x1.2d9211ff1779cp-11, -0x1.1e343f9bcf67bp-11, -0x1.0f4fdf46b1688p-11, -0x1.00e1d7c1f976cp-11, -0x1.e5ce41f6ac1a9p-12, -0x1.cab98787a8e7fp-12, -0x1.b07fb3093665cp-12, -0x1.971b17ee3bf5dp-12, -0x1.7e8629b88cfc6p-12, -0x1.66bb7b6960755p-12, -0x1.4fb5bef2f72cdp-12, -0x1.396fc4ad0916ep-12, -0x1.23e47ac9cd934p-12, -0x1.0f0eeccd42cd5p-12, -0x1.f5d48604abf33p-13, -0x1.cee383ed101b6p-13, -0x1.a94193e8c23fdp-13, -0x1.84e5acfdba8d7p-13, -0x1.61c6fba1b8952p-13, -0x1.3fdce0b7f88b4p-13, -0x1.1f1ef0941663ep-13, -0x1.ff09e3fb75631p-14, -0x1.c20dba710b918p-14, -0x1.8739b622ae177p-14, -0x1.4e7e87da9d49fp-14, -0x1.17cd3db6ef249p-14, -0x1.c62e82a133fc5p-15, -0x1.609cabdc91a9dp-15, -0x1.fd925ae5d97a6p-16, -0x1.4131d3fb9abbdp-16, -0x1.17c5b366d4d7dp-17, 0x1.14719373b9a01p-19, 0x1.94a755c4aacf4p-17, 0x1.6b9eacd725bd6p-16, 0x1.034f8f55a868fp-15, 0x1.4dc1db34b3589p-15, 0x1.953d000d629edp-15, 0x1.d9d73202def4cp-15, 0x1.0dd30b368fce2p-14, 0x1.2d5f6370d0dap-14, 0x1.4b9aea1716014p-14, 0x1.688fa4a3e3972p-14, 0x1.8447571719c38p-14, 0x1.9ecb855ef5cc2p-14, 0x1.b82574be6cf22p-14, 0x1.d05e2d2e9966ep-14, 0x1.e77e7ab5eb3dp-14, 0x1.fd8eeebeebd2bp-14, 0x1.094bf0b09d01dp-13, 0x1.1350b957672dp-13, 0x1.1cd9c5f93968ep-13, 0x1.25eaf075aeb64p-13, 0x1.2e87f8843773p-13, 0x1.36b4844af49e5p-13, 0x1.3e7420f65bf9ap-13, 0x1.45ca434b9514ep-13, 0x1.4cba4837c4ed5p-13, 0x1.5347755f782c8p-13, 0x1.5974f9a9b081ep-13, 0x1.5f45edc7523fbp-13, 0x1.64bd54ba3530bp-13, 0x1.69de1c59c8d6p-13, 0x1.6eab1dd242b9ap-13, 0x1.73271e234ea77p-13, 0x1.7754ce9ae01b9p-13, 0x1.7b36cd515f5dcp-13, 0x1.7ecfa59f385c6p-13, 0x1.8221d0924cb42p-13, 0x1.852fb55fd630ep-13, 0x1.87fba9d4ffa45p-13, 0x1.8a87f2c4e24e1p-13, 0x1.8cd6c47333af3p-13, 0x1.8eea42fe7f2d5p-13, 0x1.90c482c747f95p-13, 0x1.926788d61f732p-13, 0x1.93d54b3d93ccdp-13, 0x1.950fb17bd7861p-13, 0x1.961894d83ad96p-13, 0x1.96f1c0c0dde7dp-13, 0x1.979cf325ae3dap-13, 0x1.981bdcd13a65ap-13, 0x1.987021c0134a5p-13, 0x1.989b5975dcea5p-13, 0x1.989f0f5011fb3p-13, 0x1.987cc2d78b648p-13, 0x1.9835e80f8bd31p-13, 0x1.97cbe7c4a9f8p-13, 0x1.97401fd85be46p-13, 0x1.9693e38b7efc6p-13, 0x1.95c87bc7a1f67p-13, 0x1.94df2765092e9p-13, 0x1.93d91b7000a28p-13, 0x1.92b7836cd40d2p-13, 0x1.917b819a77f09p-13, 0x1.90262f3307c8ap-13, 0x1.8eb89caaf1913p-13, 0x1.8d33d1ef78dd6p-13, 0x1.8b98cea1f610dp-13, 0x1.89e88a5301c7cp-13, 0x1.8823f4baca444p-13, 0x1.864bf5f2eede7p-13, 0x1.84616eabf4a7dp-13, 0x1.826538635093ap-13, 0x1.80582597c05fdp-13, 0x1.7e3b01fb0d772p-13, 0x1.7c0e92a39f2f1p-13, 0x1.79d3963d9e3c7p-13, 0x1.778ac53985ba7p-13, 0x1.7534d1f9f6249p-13, 0x1.72d269012d57cp-13, 0x1.7064311c0f469p-13, 0x1.6deacb8d332f4p-13, 0x1.6b66d43622befp-13, 0x1.68d8e1bfdc0fp-13, 0x1.664185c1a17cap-13, 0x1.63a14ce7f3d53p-13, 0x1.60f8bf19a9ba9p-13, 0x1.5e485f9c5be35p-13, 0x1.5b90ad3856dc2p-13, 0x1.58d2225a5387ep-13, 0x1.560d353553a69p-13, 0x1.534257e3da6edp-13, 0x1.5071f886cc5e8p-13, 0x1.4d9c81651b832p-13, 0x1.4ac25909a12edp-13, 0x1.47e3e260d00bep-13, 0x1.45017cd57f9a9p-13, 0x1.421b846b6c6a6p-13, 0x1.3f3251dbbc6f5p-13, 0x1.3c463aae2d763p-13, 0x1.39579153277a2p-13, 0x1.3666a53c46436p-13, 0x1.3373c2f45b042p-13, 0x1.307f34370bc76p-13, 0x1.2d894008127fap-13, 0x1.2a922ac8e975fp-13, 0x1.279a364e87effp-13, 0x1.24a1a1f5f932ep-13, 0x1.21a8aab8e350ep-13, 0x1.1eaf8b412e945p-13, 0x1.1bb67bfc31862p-13, 0x1.18bdb32d4039cp-13, 0x1.15c565004bcffp-13, 0x1.12cdc39adc6fdp-13, 0x1.0fd6ff2cd8cfap-13, 0x1.0ce146018f7ep-13, 0x1.09ecc48f909fep-13, 0x1.06f9a587ab01ep-13, 0x1.040811e47ce14p-13, 0x1.011830f981338p-13, 0x1.fc545101286e2p-14, 0x1.f67c39507c5a2p-14, 0x1.f0a86040ec84cp-14, 0x1.ead908500d67p-14, 0x1.e50e713170c77p-14, 0x1.df48d7e6e3afcp-14, 0x1.d98876d913119p-14, 0x1.d3cd85eccc1f6p-14, 0x1.ce183a9a96542p-14, 0x1.c868c8036ae38p-14, 0x1.c2bf5f04ea762p-14, 0x1.bd1c2e4e9d83p-14, 0x1.b77f6273f631ap-14, 0x1.b1e925ff082ebp-14, 0x1.ac59a18476597p-14, 0x1.a6d0fbb3ace28p-14, 0x1.a14f59685c12cp-14, 0x1.9bd4ddbb8babp-14, 0x1.9661aa1237386p-14, 0x1.90f5de2d7744p-14, 0x1.8b919839b5e06p-14, 0x1.8634f4dc950b8p-14, 0x1.80e00f433b63ap-14, 0x1.7b93012ee80c2p-14, 0x1.764de303a01edp-14, 0x1.7110cbd345054p-14, 0x1.6bdbd16ab56b2p-14, 0x1.66af085d5e16bp-14, 0x1.618a840fceea8p-14, 0x1.5c6e56c2f90e1p-14, 0x1.575a919fa4651p-14, 0x1.524f44c018657p-14, 0x1.4d4c7f3959bep-14, 0x1.48524f25c2c3fp-14, 0x1.4360c1ad8ec1cp-14, 0x1.3e77e30f9f75fp-14, 0x1.3997beaac9ad7p-14, 0x1.34c05f05eaeffp-14, 0x1.2ff1cdd6d05a3p-14, 0x1.2b2c140aa6b96p-14, 0x1.266f39cd59e95p-14, 0x1.21bb4690fdbf2p-14, 0x1.1d10411426ef3p-14, 0x1.186e2f69285f5p-14, 0x1.13d516fc0f752p-14, 0x1.0f44fc984709cp-14, 0x1.0abde46f9553p-14, 0x1.063fd21f46ddcp-14, 0x1.01cac8b5acf02p-14, 0x1.fabd956ec2077p-15, 0x1.f1f7b449a2c6p-15, 0x1.e943f0fc4e51dp-15, 0x1.e0a24d9144192p-15, 0x1.d812cb28702edp-15, 0x1.cf9569fcfa8ebp-15, 0x1.c72a296deba54p-15, 0x1.bed108070570fp-15, 0x1.b68a038840f5ep-15, 0x1.ae5518eeaddb7p-15, 0x1.a632447927f2ap-15, 0x1.9e2181b152351p-15, 0x1.9622cb7188fc9p-15, 0x1.8e361beb8d6adp-15, 0x1.865b6cae06235p-15, 0x1.7e92b6ab8f942p-15, }}, 
      {{0x1.863041684cb35p-8, 0x1.86982ec223e7bp-7, 0x1.25724f99203f7p-6, 0x1.882da987355a3p-6, 0x1.eba88c733cb92p-6, 0x1.2803f6303b8eap-5, 0x1.5ab5574b24f57p-5, 0x1.8df4a9c20e82fp-5, 0x1.c1caee524bf5ep-5, 0x1.f63df241dd2d8p-5, 0x1.15a8379eda0cep-4, 0x1.30811cf23dc78p-4, 0x1.4ba83d1f7b41p-4, 0x1.671af511d5008p-4, 0x1.82d58b2f7ebbdp-4, 0x1.9ed3502612531p-4, 0x1.bb0ebf1f07483p-4, 0x1.d7819cd0ff103p-4, 0x1.f425151408107p-4, 0x1.0878eb6064c14p-3, 0x1.16f016dc16122p-3, 0x1.25740d7fb77b7p-3, 0x1.3400b572f7d52p-3, 0x1.4291e498bdda8p-3, 0x1.512369a9cc6f5p-3, 0x1.5fb114580aef6p-3, 0x1.6e36bc811a3a6p-3, 0x1.7cb048796308p-3, 0x1.8b19b27af0b7p-3, 0x1.996f0d4567511p-3, 0x1.a7ac87fdb7e56p-3, 0x1.b5ce715d71445p-3, 0x1.c3d13a41fc9c8p-3, 0x1.d1b177ac514bdp-3, 0x1.df6be4417911cp-3, 0x1.ecfd615b9cdap-3, 0x1.fa62f7ba85636p-3, 0x1.03ccebf0bca59p-2, 0x1.0a4fad17900c8p-2, 0x1.10b87f5d7135bp-2, 0x1.17063680f5108p-2, 0x1.1d37b9b650d0fp-2, 0x1.234c035a2de9cp-2, 0x1.29422097cb6d1p-2, 0x1.2f1931052dd6cp-2, 0x1.34d0663795094p-2, 0x1.3a6703520ce19p-2, 0x1.3fdc5c8f906b6p-2, 0x1.452fd6c9e891fp-2, 0x1.4a60e6fe22a79p-2, 0x1.4f6f11cf593cp-2, 0x1.5459eb084d7b9p-2, 0x1.5921151c31d9ep-2, 0x1.5dc440a6f5a0dp-2, 0x1.62432bed462dp-2, 0x1.669da25c6ddb8p-2, 0x1.6ad37c0a3df63p-2, 0x1.6ee49d3516f9cp-2, 0x1.72d0f5c439dc5p-2, 0x1.769880c879a66p-2, 0x1.7a3b43fd7481p-2, 0x1.7db94f4b75a66p-2, 0x1.8112bc4a2a6ep-2, 0x1.8447adc454ac7p-2, 0x1.87584f3caa574p-2, 0x1.8a44d474133eap-2, 0x1.8d0d78f1730a9p-2, 0x1.8fb27f8b3d0e1p-2, 0x1.923431f2fbb8fp-2, 0x1.9492e04307e87p-2, 0x1.96cee08e9ba11p-2, 0x1.98e88e747c02dp-2, 0x1.9ae04ab45a915p-2, 0x1.9cb67ac7276efp-2, 0x1.9e6b887a74339p-2, 0x1.9fffe18f0f665p-2, 0x1.a173f75af9957p-2, 0x1.a2c83e6eccad7p-2, 0x1.a3fd2e3eb0d51p-2, 0x1.a51340ceef82ep-2, 0x1.a60af26435143p-2, 0x1.a6e4c137885d6p-2, 0x1.a7a12d2dff3eap-2, 0x1.a840b794311dcp-2, 0x1.a8c3e2dd626dfp-2, 0x1.a92b326665516p-2, 0x1.a9772a3c21b15p-2, 0x1.a9a84ee5b6ba6p-2, 0x1.a9bf253229dccp-2, 0x1.a9bc32098254cp-2, 0x1.a99ffa414cd49p-2, 0x1.a96b02745ae51p-2, 0x1.a91dceddb1acp-2, 0x1.a8b8e3368326bp-2, 0x1.a83cc2971856dp-2, 0x1.a7a9ef5a868e7p-2, 0x1.a700eb0518fc6p-2, 0x1.a642362d43604p-2, 0x1.a56e506703f19p-2, 0x1.a485b8318f89dp-2, 0x1.a388eae726339p-2, 0x1.a27864aef073ep-2, 0x1.a154a070c21f8p-2, 0x1.a01e17caa380cp-2, 0x1.9ed54307fe81ep-2, 0x1.9d7a991a56c82p-2, 0x1.9c0e8f9362f9bp-2, 0x1.9a919aa076054p-2, 0x1.99042d07145d1p-2, 0x1.9766b822996e4p-2, 0x1.95b9abe2d98b6p-2, 0x1.93fd76cb9f4d1p-2, 0x1.923285f4f2612p-2, 0x1.9059450c0cf3ep-2, 0x1.8e721e54eefccp-2, 0x1.8c7d7aac757cdp-2, 0x1.8a7bc18ae95cdp-2, 0x1.886d5906ecdafp-2, 0x1.8652a5d8bf9c1p-2, 0x1.842c0b5dc2128p-2, 0x1.81f9eb9c304e9p-2, 0x1.7fbca7470150ep-2, 0x1.7d749dc1e91a6p-2, 0x1.7b222d256388ep-2, 0x1.78c5b242cf78fp-2, 0x1.765f88a882de9p-2, 0x1.73f00aa5d996dp-2, 0x1.7177914f32312p-2, 0x1.6ef67481d9212p-2, 0x1.6c6d0ae7d445ep-2, 0x1.69dba9fb91dacp-2, 0x1.6742a60b75fbcp-2, 0x1.64a2523d3d801p-2, 0x1.61fb00913d358p-2, 0x1.5f4d01e5727cbp-2, 0x1.5c98a5f86b6fap-2, 0x1.59de3b6bfff8ap-2, 0x1.571e0fc7dfcfbp-2, 0x1.54586f7bf087bp-2, 0x1.518da5e280f1cp-2, 0x1.4ebdfd4250f6fp-2, 0x1.4be9bed06b43ap-2, 0x1.491132b1d7ce7p-2, 0x1.46349ffd25078p-2, 0x1.43544cbbc9e38p-2, 0x1.40707deb62f54p-2, 0x1.3d89777ecc57ap-2, 0x1.3a9f7c5f1c5ddp-2, 0x1.37b2ce6c7e28fp-2, 0x1.34c3ae7eee54ap-2, 0x1.31d25c66e2f8ep-2, 0x1.2edf16edd4e1cp-2, 0x1.2bea1bd6ba443p-2, 0x1.28f3a7de69423p-2, 0x1.25fbf6bbeeff8p-2, 0x1.23034320d4ae4p-2, 0x1.2009c6b95b5f6p-2, 0x1.1d0fba2cadb51p-2, 0x1.1a15551d0a1b9p-2, 0x1.171ace27eacebp-2, 0x1.14205ae62665bp-2, 0x1.11262fec14541p-2, 0x1.0e2c80c9b16aap-2, 0x1.0b33800ac5398p-2, 0x1.083b5f3710aefp-2, 0x1.05444ed2803a4p-2, 0x1.024e7e5d66bb3p-2, 0x1.feb438a98a638p-3, 0x1.f8ceac6532f06p-3, 0x1.f2ecb0dc78c1dp-3, 0x1.ed0e9cf99bcfcp-3, 0x1.e734c5a35e0bcp-3, 0x1.e15f7dbe1b187p-3, 0x1.db8f162cfc267p-3, 0x1.d5c3ddd35609dp-3, 0x1.cffe219626196p-3, 0x1.ca3e2c5dbe8dp-3, 0x1.c48447178f026p-3, 0x1.bed0b8b8238a1p-3, 0x1.b923c63d3c56bp-3, 0x1.b37db2b022fdbp-3, 0x1.addebf28193b1p-3, 0x1.a8472accfd5c7p-3, 0x1.a2b732da139e8p-3, 0x1.9d2f12a104503p-3, 0x1.97af038cf6fep-3, 0x1.92373d25e7aa1p-3, 0x1.8cc7f5141ace4p-3, 0x1.87615f23c2a04p-3, 0x1.8203ad48cbea6p-3, 0x1.7caf0fa2d5fe8p-3, 0x1.7763b481515d2p-3, 0x1.7221c867c42e8p-3, 0x1.6ce976123ab77p-3, 0x1.67bae679dafdp-3, 0x1.629640d99b977p-3, 0x1.5d7baab322fb4p-3, 0x1.586b47d3c4aacp-3, 0x1.53653a59a0b55p-3, 0x1.4e69a2b8e8283p-3, 0x1.49789fc13da55p-3, 0x1.44924ea32cd8bp-3, 0x1.3fb6caf5cde89p-3, 0x1.3ae62ebc7292fp-3, 0x1.3620926c7adfcp-3, 0x1.31660cf338c7cp-3, 0x1.2cb6b3bbf0e18p-3, 0x1.28129ab5ea033p-3, 0x1.2379d45a99eaep-3, 0x1.1eec71b3d9d1ap-3, 0x1.1a6a82623480cp-3, 0x1.15f414a33ef52p-3, 0x1.11893558045cdp-3, 0x1.0d29f00b767a2p-3, 0x1.08d64ef8f3236p-3, 0x1.048e5b12caa38p-3, 0x1.00521c08d7b2bp-3, 0x1.f843309e2edcfp-4, 0x1.eff9aa489279fp-4, 0x1.e7c7ad3129b01p-4, 0x1.dfad3f2867baap-4, 0x1.d7aa63bc33377p-4, 0x1.cfbf1c453b09ap-4, 0x1.c7eb67f45244fp-4, 0x1.c02f43dfba825p-4, 0x1.b88aab1071b87p-4, 0x1.b0fd968f790b5p-4, 0x1.a987fd730a045p-4, 0x1.a229d4ebc844fp-4, 0x1.9ae31051da992p-4, 0x1.93b3a131ffa38p-4, 0x1.8c9b775a86eacp-4, 0x1.859a80e8387cap-4, 0x1.7eb0aa532855dp-4, 0x1.77ddde7b701abp-4, 0x1.712206b5d05b7p-4, 0x1.6a7d0ad836679p-4, 0x1.63eed1462627bp-4, 0x1.5d773efd04a7ap-4, 0x1.571637a0456c2p-4, 0x1.50cb9d857520cp-4, 0x1.4a9751c023b9bp-4, 0x1.4479342daa2bfp-4, 0x1.3e712380cd7c5p-4, 0x1.387efd4d3b1b5p-4, 0x1.32a29e12dfc85p-4, 0x1.2cdbe14917661p-4, 0x1.272aa169b31ebp-4, 0x1.218eb7fbd8a5bp-4, 0x1.1c07fd9eb79c4p-4, 0x1.16964a141245cp-4, 0x1.1139744a9f2edp-4, 0x1.0bf152683b542p-4, 0x1.06bdb9d3f31f4p-4, 0x1.019e7f3fdda6p-4, 0x1.f926ed6595665p-5, 0x1.ef38e723894fdp-5, 0x1.e5729152c613bp-5, 0x1.dbd3906de2e0ep-5, 0x1.d25b87e2cc235p-5, 0x1.c90a1a245900cp-5, 0x1.bfdee8bb7d438p-5, 0x1.b6d9945827883p-5, 0x1.adf9bce1b7f9cp-5, 0x1.a53f018723513p-5, 0x1.9ca900ceb3aa6p-5, 0x1.943758a56b683p-5, 0x1.8be9a66e123edp-5, 0x1.83bf870fdd9d9p-5, 0x1.7bb89704c33f5p-5, 0x1.73d472676dc91p-5, 0x1.6c12b500d53aap-5, 0x1.6472fa557fc26p-5, 0x1.5cf4ddb26554cp-5, 0x1.5597fa397c5b6p-5, 0x1.4e5beaeded605p-5, 0x1.47404abfed00fp-5, 0x1.4044b49842237p-5, 0x1.3968c36372ce4p-5, 0x1.32ac121c9b25dp-5, 0x1.2c0e3bd7f48c4p-5, 0x1.258edbcd03623p-5, 0x1.1f2d8d6076ac4p-5, 0x1.18e9ec2db1deap-5, 0x1.12c394100bb74p-5, 0x1.0cba212bb5222p-5, 0x1.06cd2ff65c8fep-5, 0x1.00fc5d3f7bcccp-5, 0x1.f68e8c70b464p-6, 0x1.eb5b10f78ed5ap-6, 0x1.e05d842b15277p-6, 0x1.d5952313110a5p-6, 0x1.cb012bb544ae8p-6, 0x1.c0a0dd229bc28p-6, 0x1.b6737783d11dbp-6, 0x1.ac783c25901fap-6, 0x1.a2ae6d840d8bap-6, 0x1.99154f56226e6p-6, 0x1.8fac2697d992ap-6, 0x1.86723994914c4p-6, 0x1.7d66cff096dafp-6, 0x1.748932b24ae1ap-6, 0x1.6bd8ac4ad3ddbp-6, 0x1.6354889e535d2p-6, 0x1.5afc150bb52b6p-6, 0x1.52cea07408467p-6, 0x1.4acb7b4170628p-6, 0x1.42f1f76daddfdp-6, 0x1.3b41688834762p-6, 0x1.33b923bbee21ep-6, 0x1.2c587fd489428p-6, 0x1.251ed5437a04ap-6, 0x1.1e0b7e24923e5p-6, 0x1.171dd6423b00dp-6, 0x1.10553b1963924p-6, 0x1.09b10bdd08f6dp-6, 0x1.0330a97979eb6p-6, 0x1.f9a6ed2e85d62p-7, 0x1.ed31af3b847cp-7, 0x1.e100656afacf2p-7, 0x1.d511df9441764p-7, 0x1.c964f118728d2p-7, 0x1.bdf870e56307dp-7, 0x1.b2cb3977f063fp-7, 0x1.a7dc28ddeea54p-7, 0x1.9d2a20b76ed8cp-7, 0x1.92b40637b3f6bp-7, 0x1.8878c2258cf5p-7, 0x1.7e7740db508e8p-7, 0x1.74ae724665a25p-7, 0x1.6b1d49e64a18dp-7, 0x1.61c2becb52026p-7, 0x1.589dcb94ec442p-7, 0x1.4fad6e6f87921p-7, 0x1.46f0a9122a6cdp-7, 0x1.3e6680bba26a3p-7, 0x1.360dfe2f53ca3p-7, 0x1.2de62db1d1507p-7, 0x1.25ee1f050a905p-7, 0x1.1e24e564415d2p-7, 0x1.1689977faa39p-7, 0x1.0f1b4f77cd6efp-7, 0x1.07d92ad89ac4fp-7, 0x1.00c24a9444526p-7, 0x1.f3aba5fbc2ee7p-8, 0x1.e625d787a423bp-8, 0x1.d8f17fd3c2381p-8, 0x1.cc0cfb869d053p-8, 0x1.bf76add8fe1d5p-8, 0x1.b32d0089371f4p-8, 0x1.a72e63cdfeee5p-8, 0x1.9b794e48d310bp-8, 0x1.900c3cf842d1cp-8, 0x1.84e5b329b8114p-8, 0x1.7a043a6b27059p-8, 0x1.6f66627c52781p-8, 0x1.650ac13ff663fp-8, 0x1.5aeff2ac9913p-8, 0x1.511498bd4a369p-8, 0x1.47775b620fcfep-8, 0x1.3e16e8703bbb2p-8, 0x1.34f1f392810e2p-8, 0x1.2c073638f60a6p-8, 0x1.23556f88f0579p-8, 0x1.1adb644cbc5eep-8, 0x1.1297dee338c8p-8, 0x1.0a89af2f68f4fp-8, 0x1.02afaa87cab0cp-8, 0x1.f611574b91b98p-9, 0x1.e727252a03d8dp-9, 0x1.d89e8945087e3p-9, 0x1.ca7558980b624p-9, 0x1.bca9725e1fd45p-9, 0x1.af38bff06f4c7p-9, 0x1.a22134a45c8d5p-9, 0x1.9560cda9ec04fp-9, 0x1.88f591ea03144p-9, 0x1.7cdd91e4cd0f3p-9, 0x1.7116e790254d2p-9, 0x1.659fb63600198p-9, 0x1.5a762a53064edp-9, 0x1.4f9879751c1dp-9, 0x1.4504e21a49c43p-9, 0x1.3ab9ab8f7d776p-9, 0x1.30b525cf8c4c1p-9, 0x1.26f5a9626393ep-9, 0x1.1d79973c538bp-9, 0x1.143f589d9a341p-9, 0x1.0b455ef1f2251p-9, 0x1.028a23b0903a6p-9, 0x1.f41850780c89p-10, 0x1.e393eb8564e6p-10, 0x1.d3843a3e1b1p-10, 0x1.c3e66d7130b93p-10, 0x1.b4b7c4c9409a2p-10, 0x1.a5f58e8f25439p-10, 0x1.979d276c94af4p-10, 0x1.89abfa2fbb63ep-10, 0x1.7c1f7f8f1c482p-10, 0x1.6ef53dedd268ap-10, 0x1.622ac920f2fa3p-10, 0x1.55bdc234b3ae8p-10, 0x1.49abd732cc4a8p-10, 0x1.3df2c2e92dcd5p-10, 0x1.32904cb1290eap-10, 0x1.2782483741a01p-10, 0x1.1cc69543e1dcbp-10, 0x1.125b1f841d9b7p-10, 0x1.083dde53c8e71p-10, 0x1.fcd9a90ec18d7p-11, 0x1.e9cc206e7dd96p-11, 0x1.d74f5516017a5p-11, 0x1.c55f8f0b82a5dp-11, 0x1.b3f92ba599c6ep-11, 0x1.a3189d265f264p-11, 0x1.92ba6a578332dp-11, 0x1.82db2e2788d25p-11, 0x1.73779748d0b0dp-11, 0x1.648c67d152a0fp-11, 0x1.561674dbba51ap-11, 0x1.4812a62a3e7e2p-11, 0x1.3a7df5ca2100dp-11, 0x1.2d556fb90e881p-11, 0x1.2096318b3643ep-11, 0x1.143d6a130a7dfp-11, 0x1.0848590a39844p-11, 0x1.f9689d7775c05p-12, 0x1.e2fd575e835f3p-12, 0x1.cd49c0abb15dp-12, 0x1.b848d96fb68fap-12, 0x1.a3f5c04865d15p-12, 0x1.904bb1c13879cp-12, 0x1.7d4607b733398p-12, 0x1.6ae038be26306p-12, 0x1.5915d7889173ep-12, 0x1.47e292530d67fp-12, 0x1.3742325072f1dp-12, 0x1.27309b19d81ap-12, 0x1.17a9ca1fedc37p-12, 0x1.08a9d61f57649p-12, 0x1.f459dd2d72cefp-13, 0x1.d85eb68084b35p-13, 0x1.bd5af717b3ae4p-13, 0x1.a3478c3992be5p-13, 0x1.8a1d909245217p-13, 0x1.71d64b36ff111p-13, 0x1.5a6b2eadff4f4p-13, 0x1.43d5d7fb099f6p-13, 0x1.2e100db01a1cp-13, 0x1.1913bf01cd021p-13, 0x1.04db02e1327ebp-13, 0x1.e2c02e2f74d4ap-14, 0x1.bd3abed4ec086p-14, 0x1.991ac97bfe76cp-14, 0x1.7655a88163526p-14, 0x1.54e0fd2fe0efep-14, 0x1.34b2ae22e8ab2p-14, 0x1.15c0e5b239ddp-14, 0x1.f00420c9d32e6p-15, 0x1.b6d9b6d15655bp-15, 0x1.7ff0662af5b5bp-15, 0x1.4b3682e96aff2p-15, 0x1.189ad9a530a18p-15, 0x1.d019595140ca3p-16, 0x1.72f7625ab064ep-16, 0x1.19b0194fff19bp-16, 0x1.8849487771093p-17, 0x1.c8dbfc76e3bf1p-18, 0x1.1e4fb65297909p-19, -0x1.39f6e07ef838ap-19, -0x1.bbfc673ffea59p-18, -0x1.67234161972ep-17, -0x1.ea2122f04e514p-17, -0x1.3395540e134a6p-16, -0x1.6f389c0609e42p-16, -0x1.a8126cfc6ec01p-16, -0x1.de3a1ef2dc08ep-16, -0x1.08e331421a83ap-15, -0x1.2166a2852428cp-15, -0x1.38b21a56f076ep-15, -0x1.4ed0022bae444p-15, -0x1.63ca77c9fe99ap-15, -0x1.77ab4f3040ff2p-15, -0x1.8a7c147133544p-15, -0x1.9c460d8338536p-15, -0x1.ad123c07d101bp-15, -0x1.bce95f06b677fp-15, -0x1.cbd3f4a3980dep-15, -0x1.d9da3bc6370cep-15, -0x1.e70435bc19ff5p-15, -0x1.f359a7cca00cp-15, -0x1.fee21cc78c083p-15, -0x1.04d27345076f5p-14, -0x1.09d48fbd1392ap-14, -0x1.0e7ad5fca42dbp-14, -0x1.12c89de8b9de5p-14, -0x1.16c125ca7677fp-14, -0x1.1a6792fbcdca2p-14, -0x1.1dbef291d7ad6p-14, -0x1.20ca3a01dc9acp-14, -0x1.238c47c2848cfp-14, -0x1.2607e3e8e8386p-14, -0x1.283fc0c324bbbp-14, -0x1.2a367b6de0fap-14, -0x1.2bee9c675beaap-14, -0x1.2d6a981e5f39fp-14, -0x1.2eaccf7e46adfp-14, -0x1.2fb79077ad55ap-14, -0x1.308d1684753b3p-14, -0x1.312f8b2ae2bcap-14, -0x1.31a1067b7693dp-14, -0x1.31e38f8d325d5p-14, -0x1.31f91cf606cc2p-14, -0x1.31e395409d3e5p-14, -0x1.31a4cf5ef764bp-14, -0x1.313e931aa309bp-14, -0x1.30b299817c951p-14, -0x1.30028d5028d03p-14, -0x1.2f300b5a7dc33p-14, -0x1.2e3ca2f05308bp-14, -0x1.2d29d64043929p-14, -0x1.2bf91ab759dbdp-14, -0x1.2aabd95f60f7cp-14, -0x1.29436f39dfed1p-14, -0x1.27c12d98f5085p-14, -0x1.26265a7696cfep-14, -0x1.247430c8e5c49p-14, -0x1.22abe0d3f1a77p-14, -0x1.20ce907aae801p-14, -0x1.1edd5b8c30daep-14, -0x1.1cd95410863abp-14, -0x1.1ac38292220a7p-14, -0x1.189ce66670677p-14, -0x1.166675f3d7c0ep-14, -0x1.14211ef6165f9p-14, -0x1.11cdc6c08a84ep-14, -0x1.0f6d4a7f18609p-14, -0x1.0d007f755b2cap-14, -0x1.0a88333bc4aa2p-14, -0x1.08052bfbac0f1p-14, -0x1.057828a9070dfp-14, -0x1.02e1e13b1c098p-14, -0x1.004306e2ee3c7p-14, -0x1.fb388882b5f43p-15, -0x1.f5dc7b3542e43p-15, -0x1.f07322123f384p-15, -0x1.eafdad5d5883cp-15, -0x1.e57d41c846a65p-15, -0x1.dff2f8cfd107ep-15, -0x1.da5fe115c8865p-15, -0x1.d4c4feb93b6dfp-15, -0x1.cf234babfdf91p-15, -0x1.c97bb80615aap-15, -0x1.c3cf2a558c1acp-15, -0x1.be1e7fed05d45p-15, -0x1.b86a8d2f2016cp-15, -0x1.b2b41dd997dd8p-15, -0x1.acfbf54c2e4c6p-15, -0x1.a742cece769bdp-15, -0x1.a1895dd4571d7p-15, -0x1.9bd04e3f1223fp-15, -0x1.9618449dac11dp-15, -0x1.9061de6a288f5p-15, -0x1.8aadb245e917dp-15, -0x1.84fc5034ccac5p-15, -0x1.7f4e41d580077p-15, -0x1.79a40a98cf18p-15, -0x1.73fe27f5f262bp-15, -0x1.6e5d119fb65d5p-15, -0x1.68c139b5e524bp-15, -0x1.632b0cf64983dp-15, -0x1.5d9af2eb9d7a2p-15, -0x1.58114e1bd9255p-15, -0x1.528e7c34a5bb5p-15, -0x1.4d12d636acae7p-15, -0x1.479eb09ed5ea8p-15, -0x1.42325b8f64907p-15, -0x1.3cce22f68f7f9p-15, -0x1.37724eb5e5cbcp-15, -0x1.321f22c5b3fb4p-15, -0x1.2cd4df59606d1p-15, -0x1.2793c10270c11p-15, -0x1.225c00d1c890cp-15, -0x1.1d2dd47860543p-15, -0x1.18096e65ec745p-15, -0x1.12eefde853e43p-15, -0x1.0ddeaf48b4e7dp-15, -0x1.08d8abe85ce3p-15, -0x1.03dd1a5c78a79p-15, -0x1.fdd83d111e8d5p-16, -0x1.f40bb371c69b8p-16, -0x1.ea54d576d3d9p-16, -0x1.e0b3dbefc90e2p-16, -0x1.d728fb0e70e4fp-16, -0x1.cdb46294f558p-16, -0x1.c4563e01f8f52p-16, -0x1.bb0eb4bb368c9p-16, -0x1.b1ddea3664468p-16, -0x1.a8c3fe20a0063p-16, -0x1.9fc10c856b643p-16, -0x1.96d52df372b99p-16, -0x1.8e0077a116ec4p-16, -0x1.8542fb8e7af5ap-16, -0x1.7c9cc8a8505dcp-16, -0x1.740deae75450cp-16, -0x1.6b966b702f6bdp-16, -0x1.633650b16a1bep-16, -0x1.5aed9e8016f6p-16, -0x1.52bc56350d2d4p-16, -0x1.4aa276c751bcdp-16, -0x1.429ffce7046f5p-16, -0x1.3ab4e316ff464p-16, -0x1.32e121c464f99p-16, -0x1.2b24af5fc01cp-16, -0x1.237f807235c32p-16, -0x1.1bf187b4e812ep-16, -0x1.147ab625849b5p-16, -0x1.0d1afb1a4d67ep-16, -0x1.05d24457e8052p-16, -0x1.fd40fc449ebd3p-17, -0x1.ef0b26a0dd1d9p-17, -0x1.e102daba02e33p-17, -0x1.d327e8f09ac75p-17, -0x1.c57a1f308fd89p-17, -0x1.b7f9490f3043p-17, -0x1.aaa52fecfe5p-17, -0x1.9d7d9b10dfb87p-17, -0x1.90824fc50766bp-17, -0x1.83b31172f5c09p-17, -0x1.770fa1bc4f03dp-17, -0x1.6a97c09583211p-17, -0x1.5e4b2c5cad221p-17, -0x1.5229a1f22006fp-17, -0x1.4632dcce9dfd8p-17, -0x1.3a66971946d23p-17, -0x1.2ec489bb7cadep-17, -0x1.234c6c75c8584p-17, -0x1.17fdf5f27c4b9p-17, -0x1.0cd8dbd8ec38cp-17, -0x1.01dcd2dd1ccc8p-17, -0x1.ee131da80062dp-18, -0x1.d8bd858116e38p-18, -0x1.c3b841cafeb46p-18, -0x1.af02b5a9fa4e7p-18, -0x1.9a9c42f9c7713p-18, -0x1.86844a6d88733p-18, -0x1.72ba2ba788ccfp-18, -0x1.5f3d455565bd5p-18, -0x1.4c0cf5464fbcbp-18, -0x1.392898833cd8cp-18, -0x1.268f8b672b7e7p-18, -0x1.144129b127506p-18, -0x1.023cce9c8aca1p-18, -0x1.e103a9e598569p-19, -0x1.be1f2e3cd8b4ep-19, -0x1.9bcade7a9bc0dp-19, -0x1.7a056e6837f6dp-19, -0x1.58cd9174fa9e8p-19, -0x1.3821fadd429bdp-19, -0x1.18015dc9b4736p-19, -0x1.f0d4dac4ad6cfp-20, -0x1.b2b7b9f054ca4p-20, -0x1.75a8c02aeb3fbp-20, -0x1.39a555396d0f7p-20, -0x1.fd55c36bf4ad7p-21, -0x1.896d9e9054d2dp-21, -0x1.178d11a71d77p-21, -0x1.4f5dea420b9a3p-22, -0x1.ce71240bc4b65p-24, 0x1.90d40a9a62824p-24, 0x1.382033c07aba3p-22, 0x1.0417bec1e8f4ep-21, 0x1.6a36855cfdec5p-21, 0x1.ce717ec2772aap-21, 0x1.1866dbb226daap-20, 0x1.48a81b64f2866p-20, 0x1.77feffc47b9f4p-20, 0x1.a66e0772dc221p-20, 0x1.d3f7ae5b23ab8p-20, 0x1.004f36cbd0b85p-19, 0x1.16325db24bd5ap-19, 0x1.2ba685850e398p-19, 0x1.40ace65fb5648p-19, 0x1.5546b6ce038d3p-19, 0x1.69752bc8d1f1ep-19, 0x1.7d3978aa22c2p-19, 0x1.9094cf24cb0f4p-19, 0x1.a3885f42071b7p-19, 0x1.b61557523966bp-19, 0x1.c83ce3ee4a539p-19, 0x1.da002ff10e8bcp-19, 0x1.eb60646e8d37p-19, 0x1.fc5ea8b153255p-19, 0x1.067e111b6e40dp-18, 0x1.0e9cfa5434f8ep-18, 0x1.168ca0eb3ef8p-18, 0x1.1e4d94dc424c2p-18, 0x1.25e06533cbb15p-18, 0x1.2d45a00edad75p-18, 0x1.347dd29746e43p-18, }}, 
      {{0x1.215c44cf82786p-1, 0x1.216e921d87c9fp-1, 0x1.218e7c27c296dp-1, 0x1.21bda6b9ab9e4p-1, 0x1.21fdace9f4b13p-1, 0x1.224fc49aff7dap-1, 0x1.22b47a76f06e9p-1, 0x1.232b87ce6d765p-1, 0x1.23b3bfc722b4p-1, 0x1.244b0f8f908a6p-1, 0x1.24ee8cea5a08dp-1, 0x1.259a8eb3f6e01p-1, 0x1.264acba57e79ep-1, 0x1.26fa7c4cde346p-1, 0x1.27a47de13e4bep-1, 0x1.28437434dfe36p-1, 0x1.28d1e988828d9p-1, 0x1.294a6b6f8e09bp-1, 0x1.29a7a449d1c47p-1, 0x1.29e4711a51e82p-1, 0x1.29fbf3b4efd24p-1, 0x1.29e9a1616eac3p-1, 0x1.29a94e2bbdce4p-1, 0x1.29373529c2fadp-1, 0x1.288ffe07fd68fp-1, 0x1.27b0c031fc8f4p-1, 0x1.269703eb21acbp-1, 0x1.2540c1a8cafb2p-1, 0x1.23ac5ff9a8687p-1, 0x1.21d8b03f789abp-1, 0x1.1fc4ea7954675p-1, 0x1.1d70a855609e1p-1, 0x1.1adbdfb9affc7p-1, 0x1.1806dced5a102p-1, 0x1.14f23c84996ep-1, 0x1.119ee52d1f1bap-1, 0x1.0e0e0172c4cc5p-1, 0x1.0a40f9905b858p-1, 0x1.06396d5c7f415p-1, 0x1.01f92e5f0bf2bp-1, 0x1.fb04743209ecp-2, 0x1.f1ad690cb6a63p-2, 0x1.e7f1c5be0ed66p-2, 0x1.ddd64d368bfe2p-2, 0x1.d35ff17ac95b6p-2, 0x1.c893cac4e89d5p-2, 0x1.bd770f348758dp-2, 0x1.b20f0b0ca6e89p-2, 0x1.a661197da6034p-2, 0x1.9a729df87cf46p-2, 0x1.8e48fe07b9f0fp-2, 0x1.81e99baa12918p-2, 0x1.7559d029fb34p-2, 0x1.689ee76d5d812p-2, 0x1.5bbe1bb841d61p-2, 0x1.4ebc91dd2016fp-2, 0x1.419f55d56e17fp-2, 0x1.346b57bcf3461p-2, 0x1.2725692a6d2e3p-2, 0x1.19d23ae019be7p-2, 0x1.0c765acecb802p-2, 0x1.fe2c64cc85d57p-3, 0x1.e36c0a5b5393fp-3, 0x1.c8b3df3e55766p-3, 0x1.ae0bcc8399033p-3, 0x1.937b69f9b2199p-3, 0x1.7909fd409541bp-3, 0x1.5ebe793bcf7a2p-3, 0x1.449f7dddbe89cp-3, 0x1.2ab35843e6424p-3, 0x1.1100031cc65c4p-3, 0x1.ef164ea00a5e3p-4, 0x1.bcb439c468398p-4, 0x1.8ae3d81b68509p-4, 0x1.59ae9d158a115p-4, 0x1.291d62021e1a5p-4, 0x1.f270d27599814p-5, 0x1.940ec31b5f014p-5, 0x1.3722d3b9aa60ep-5, 0x1.b77453aaf1a7cp-6, 0x1.03c1b52f8259bp-6, 0x1.4d0f976285317p-8, -0x1.67c40186e93a3p-8, -0x1.03cad287ea963p-6, -0x1.aa394394b3fe2p-6, -0x1.2696e9a67be08p-5, -0x1.764dde8797adap-5, -0x1.c43bf3557bca8p-5, -0x1.082e33d3e1fd2p-4, -0x1.2d559fa782537p-4, -0x1.51929cfadfefcp-4, -0x1.74e3e56f1e2afp-4, -0x1.97488860def7fp-4, -0x1.b8bfe6ea7dc6fp-4, -0x1.d949affa9eb46p-4, -0x1.f8e5dc806315p-4, -0x1.0bca55d74e439p-3, -0x1.1aab4fab669f8p-3, -0x1.29163c2e6be4dp-3, -0x1.370b99a1fb7d4p-3, -0x1.448c026ab3c8ap-3, -0x1.51982b708b229p-3, -0x1.5e30e28c41bd9p-3, -0x1.6a570d01f71d7p-3, -0x1.760ba608d35d4p-3, -0x1.814fbd5fc6028p-3, -0x1.8c2475ef2e62bp-3, -0x1.968b047751759p-3, -0x1.a084ae4b7118cp-3, -0x1.aa12c8194f1d3p-3, -0x1.b336b4bce9fb2p-3, -0x1.bbf1e4202867bp-3, -0x1.c445d22649946p-3, -0x1.cc3405a2b874cp-3, -0x1.d3be0f5b16f0fp-3, -0x1.dae5891422e62p-3, -0x1.e1ac14a933dedp-3, -0x1.e8135b2e05dbdp-3, -0x1.ee1d0c1a7f61ep-3, -0x1.f3cadc802aa9dp-3, -0x1.f91e8649148c4p-3, -0x1.fe19c77fc3c08p-3, -0x1.015f30cffdf45p-2, -0x1.03870c7801432p-2, -0x1.058559f1102e9p-2, -0x1.075afd3f05d86p-2, -0x1.0908dae902db9p-2, -0x1.0a8fd7b5a5af4p-2, -0x1.0bf0d86adb1c7p-2, -0x1.0d2cc19115128p-2, -0x1.0e447739d3a0fp-2, -0x1.0f38dcc9587ffp-2, -0x1.100ad4c36d68cp-2, -0x1.10bb409b1618dp-2, -0x1.114b008519c4ep-2, -0x1.11baf34d44c21p-2, -0x1.120bf62e432adp-2, -0x1.123ee4ac00b5bp-2, -0x1.125498706e131p-2, -0x1.124de92a9806fp-2, -0x1.122bac6ff339p-2, -0x1.11eeb59fcb92ap-2, -0x1.1197d5c8b9b43p-2, -0x1.1127db900eacp-2, -0x1.109f931b20625p-2, -0x1.0fffc5fa5cc71p-2, -0x1.0f493b1617e21p-2, -0x1.0e7cb69cfec78p-2, -0x1.0d9af9f419e47p-2, -0x1.0ca4c3a856478p-2, -0x1.0b9acf61771d5p-2, -0x1.0a7dd5d66f5f5p-2, -0x1.094e8cc3055dep-2, -0x1.080da6debbbe6p-2, -0x1.06bbd3d4e9806p-2, -0x1.0559c03dfae08p-2, -0x1.03e81599c2e97p-2, -0x1.02677a4adc60bp-2, -0x1.00d8919306454p-2, -0x1.fe77f720db98ep-3, -0x1.fb24aa77c7551p-3, -0x1.f7b870cfcd533p-3, -0x1.f4347780fd6fdp-3, -0x1.f099e597b759ep-3, -0x1.ece9dbd763394p-3, -0x1.e92574be81618p-3, -0x1.e54dc48c13b47p-3, -0x1.e163d946375cap-3, -0x1.dd68bac1f5eap-3, -0x1.d95d6aac263b1p-3, -0x1.d542e4935b6ffp-3, -0x1.d11a1df2d131ap-3, -0x1.cce4063e3bcbp-3, -0x1.c8a186ee7eb67p-3, -0x1.c453838f25909p-3, -0x1.bffad9ccaca1bp-3, -0x1.bb9861837086ep-3, -0x1.b72ceccf514c3p-3, -0x1.b2b9481bea2e5p-3, -0x1.ae3e3a355e033p-3, -0x1.a9bc8459a6b31p-3, -0x1.a534e24a6198ap-3, -0x1.a0a80a5f0ffcfp-3, -0x1.9c16ad97b4d1p-3, -0x1.978177afddb68p-3, -0x1.92e90f31f5ebfp-3, -0x1.8e4e158aebe82p-3, -0x1.89b1271e18ed9p-3, -0x1.8512db59646e7p-3, -0x1.8073c4c998b27p-3, -0x1.7bd4712eefc84p-3, -0x1.77356991badaap-3, -0x1.729732572d955p-3, -0x1.6dfa4b564772bp-3, -0x1.695f2fecc8784p-3, -0x1.64c65714394d9p-3, -0x1.60303376fb3d3p-3, -0x1.5b9d33855673fp-3, -0x1.570dc18a8f49p-3, -0x1.528243c1e74b5p-3, -0x1.4dfb1c6ba477p-3, -0x1.4978a9e1f6fep-3, -0x1.44fb46add8e88p-3, -0x1.4083499bd0ae5p-3, -0x1.3c1105d097aa9p-3, -0x1.37a4cadda62c3p-3, -0x1.333ee4d59b758p-3, -0x1.2edf9c60828d2p-3, -0x1.2a8736cfeb13cp-3, -0x1.2635f632deea6p-3, -0x1.21ec1969a6972p-3, -0x1.1da9dc395e299p-3, -0x1.196f775f5c626p-3, -0x1.153d20a462703p-3, -0x1.11130aef9a6aap-3, -0x1.0cf166595bbf2p-3, -0x1.08d8603db671dp-3, -0x1.04c8234ec9966p-3, -0x1.00c0d7a6d8b2ep-3, -0x1.f98545b44c658p-4, -0x1.f19b50111d09ap-4, -0x1.e9c40fddd257ep-4, -0x1.e1ffc1f04c28cp-4, -0x1.da4e9e9c4c9a6p-4, -0x1.d2b0d9d4bff5fp-4, -0x1.cb26a34c5d74cp-4, -0x1.c3b02695e581p-4, -0x1.bc4d8b43bfe06p-4, -0x1.b4fef50723ffap-4, -0x1.adc483ceabb67p-4, -0x1.a69e53e46ca7ep-4, -0x1.9f8c7e0b7c1a7p-4, -0x1.988f179cf209cp-4, -0x1.91a632a462791p-4, -0x1.8ad1ddfbce421p-4, -0x1.8412256709159p-4, -0x1.7d6711ae9ad7fp-4, -0x1.76d0a8ba184c1p-4, -0x1.704eeda9f3676p-4, -0x1.69e1e0f0c7883p-4, -0x1.6389806c1cfacp-4, -0x1.5d45c77caa4fcp-4, -0x1.5716af1e0f4b5p-4, -0x1.50fc2dfe0e59bp-4, -0x1.4af6389341047p-4, -0x1.4504c1334f533p-4, -0x1.3f27b828a2871p-4, -0x1.395f0bc79bfd6p-4, -0x1.33aaa8834d3a6p-4, -0x1.2e0a7901b2862p-4, -0x1.287e662f73f95p-4, -0x1.230657532c18ep-4, -0x1.1da23220364ap-4, -0x1.1851dac904c4dp-4, -0x1.1315341103d31p-4, -0x1.0dec1f5e07044p-4, -0x1.08d67cc943adcp-4, -0x1.03d42b2fdb2e7p-4, -0x1.fdca1085f14d5p-5, -0x1.f411e12ef30dp-5, -0x1.ea7f7f6a667bbp-5, -0x1.e112a04b8e8ep-5, -0x1.d7caf706235f8p-5, -0x1.cea8350a5debcp-5, -0x1.c5aa0a203ebedp-5, -0x1.bcd0248202f3ap-5, -0x1.b41a30f5de5cfp-5, -0x1.ab87dae6ef993p-5, -0x1.a318cc7d76801p-5, -0x1.9accaeb654aa2p-5, -0x1.92a32979cf448p-5, -0x1.8a9be3b1a58c2p-5, -0x1.82b6835e759a4p-5, -0x1.7af2adac6d664p-5, -0x1.735007075afcap-5, -0x1.6bce332e115dp-5, -0x1.646cd5452f5d8p-5, -0x1.5d2b8fe941309p-5, -0x1.560a054048293p-5, -0x1.4f07d70aaada3p-5, -0x1.4824a6b38f52ep-5, -0x1.416015609f789p-5, -0x1.3ab9c401431abp-5, -0x1.3431535d485c4p-5, -0x1.2dc66423082ccp-5, -0x1.277896f4feb86p-5, -0x1.21478c76e74a8p-5, -0x1.1b32e55a554ddp-5, -0x1.153a426acefc2p-5, -0x1.0f5d44996df78p-5, -0x1.099b8d080b139p-5, -0x1.03f4bd13f81f2p-5, -0x1.fcd0ecc07dc5cp-6, -0x1.f1ecb5befbec8p-6, -0x1.e73c19ba9861ep-6, -0x1.dcbe5e0e7f27cp-6, -0x1.d272c8eb16b14p-6, -0x1.c858a1665e582p-6, -0x1.be6f2f8ba3ef8p-6, -0x1.b4b5bc6a72e69p-6, -0x1.ab2b9224cc74ep-6, -0x1.a1cffbfcad0bp-6, -0x1.98a24660de51fp-6, -0x1.8fa1bef925e94p-6, -0x1.86cdb4b1cec75p-6, -0x1.7e2577c68bd3bp-6, -0x1.75a859ccd4199p-6, -0x1.6d55adbd87511p-6, -0x1.652cc7fe1ac7bp-6, -0x1.5d2cfe692d95dp-6, -0x1.5555a8568f632p-6, -0x1.4da61ea2d0f2dp-6, -0x1.461dbbb63ecd2p-6, -0x1.3ebbdb8b6e229p-6, -0x1.377fdbb543fbap-6, -0x1.30691b649172bp-6, -0x1.2976fb6d32ac2p-6, -0x1.22a8de4ad254p-6, -0x1.1bfe28252a38bp-6, -0x1.15763ed3ed581p-6, -0x1.0f1089e244da1p-6, -0x1.08cc7291f2f9p-6, -0x1.02a963de1f5c3p-6, -0x1.f94d94fb6b583p-7, -0x1.ed8829caffc8bp-7, -0x1.e2016693cbbefp-7, -0x1.d6b82f40ae119p-7, -0x1.cbab6b40e972ep-7, -0x1.c0da0589d4818p-7, -0x1.b642ec97eda0ap-7, -0x1.abe5126f7cd11p-7, -0x1.a1bf6c9c96821p-7, -0x1.97d0f432bd45dp-7, -0x1.8e18a5cbeb872p-7, -0x1.8495818741c45p-7, -0x1.7b468b0738f0bp-7, -0x1.722ac96f58fcdp-7, -0x1.69414761a7982p-7, -0x1.608912fb96ep-7, -0x1.58013dd2b1e9cp-7, -0x1.4fa8dcf0d1abep-7, -0x1.477f08d01c904p-7, -0x1.3f82dd5696b43p-7, -0x1.37b379d16a84cp-7, -0x1.301000eff8c8dp-7, -0x1.289798be8cc31p-7, -0x1.21496aa0dc665p-7, -0x1.1a24a34c4cddp-7, -0x1.132872c1d835ap-7, -0x1.0c540c47ecb9dp-7, -0x1.05a6a663edd6p-7, -0x1.fe3ef5a734cf2p-8, -0x1.f17b8d0c6cc5ap-8, -0x1.e501932b2b951p-8, -0x1.d8cf8e7de4a15p-8, -0x1.cce40bb72d7c8p-8, -0x1.c13d9db2e1c4bp-8, -0x1.b5dadd66f8796p-8, -0x1.aaba69d4238e1p-8, -0x1.9fdae7f622ed3p-8, -0x1.953b02b4001e2p-8, -0x1.8ad96acffe33fp-8, -0x1.80b4d6d757a17p-8, -0x1.76cc0311faa5dp-8, -0x1.6d1db171f3873p-8, -0x1.63a8a982dfd05p-8, -0x1.5a6bb8592e9acp-8, -0x1.5165b081410b8p-8, -0x1.489569ee8064ap-8, -0x1.3ff9c1ea74a7bp-8, -0x1.37919b03a063bp-8, -0x1.2f5bdcfc722fbp-8, -0x1.275774ba1ec87p-8, -0x1.1f835433928b2p-8, -0x1.17de7260308dap-8, -0x1.1067cb26b2a52p-8, -0x1.091e5f4bfe734p-8, -0x1.02013461f90a5p-8, -0x1.f61ea96d1cb8ap-9, -0x1.e88f9e84e0a6bp-9, -0x1.db536f305425bp-9, -0x1.ce684ba64adcdp-9, -0x1.c1cc6d0d7c561p-9, -0x1.b57e155ac5873p-9, -0x1.a97b8f2f9ac3bp-9, -0x1.9dc32db8a2377p-9, -0x1.92534c8c873d4p-9, -0x1.872a4f8af51cfp-9, -0x1.7c46a2bba8de5p-9, -0x1.71a6ba2de9019p-9, -0x1.674911d815fbap-9, -0x1.5d2c2d77714ebp-9, -0x1.534e987028c05p-9, -0x1.49aee5adaabe4p-9, -0x1.404baf8337903p-9, -0x1.3723978ca9b45p-9, -0x1.2e35468f906d3p-9, -0x1.257f6c5c868b6p-9, -0x1.1d00bfb0d4a72p-9, -0x1.14b7fe1855c7p-9, -0x1.0ca3ebcfc9cdap-9, -0x1.04c353a72d881p-9, -0x1.fa2a0dc958d7ap-10, -0x1.eb2fba4f7259dp-10, -0x1.dc9568990c0ecp-10, -0x1.ce58e09f51e3bp-10, -0x1.c077f6647752ap-10, -0x1.b2f089bc5f0f7p-10, -0x1.a5c08616520c3p-10, -0x1.98e5e246afbc8p-10, -0x1.8c5ea051d8787p-10, -0x1.8028cd3771f2dp-10, -0x1.744280be96fedp-10, -0x1.68a9dd4257464p-10, -0x1.5d5d0f7f54fabp-10, -0x1.525a4e617128ep-10, -0x1.479fdad2a5ca9p-10, -0x1.3d2bff8a8e5bbp-10, -0x1.32fd10de32dd1p-10, -0x1.29116c90b0a4fp-10, -0x1.1f6779a4de424p-10, -0x1.15fda82ef2c11p-10, -0x1.0cd2712765ef1p-10, -0x1.03e4563e8691bp-10, -0x1.f663c35ffa7ep-11, -0x1.e5734c2f79962p-11, -0x1.d4f47c8e91735p-11, -0x1.c4e49a3789c6cp-11, -0x1.b540faa8de52dp-11, -0x1.a60702d403194p-11, -0x1.973426cd0bf6fp-11, -0x1.88c5e97b8fbaap-11, -0x1.7ab9dc4dbd0ep-11, -0x1.6d0d9eeb416f1p-11, -0x1.5fbedeea411cbp-11, -0x1.52cb5785a3419p-11, -0x1.4630d154364c2p-11, -0x1.39ed2201849e3p-11, -0x1.2dfe2c074e4c1p-11, -0x1.2261de68d32dp-11, -0x1.1716346e490eep-11, -0x1.0c193562e9848p-11, -0x1.0168f4532af03p-11, -0x1.ee071f98c5f0ap-12, -0x1.d9ce633a919f6p-12, -0x1.c6241d308785ep-12, -0x1.b304ccac5d483p-12, -0x1.a06d05f50ea78p-12, -0x1.8e5971f20a743p-12, -0x1.7cc6cdb692d79p-12, -0x1.6bb1ea112a57bp-12, -0x1.5b17ab1bbe021p-12, -0x1.4af507cfaa538p-12, -0x1.3b47099a153e3p-12, -0x1.2c0acbf2a337dp-12, -0x1.1d3d7bf5247cdp-12, -0x1.0edc57fbac29cp-12, -0x1.00e4af3bd7615p-12, -0x1.e6a7c2ce2d213p-13, -0x1.cc4ebc9223524p-13, -0x1.b2b94ad779a48p-13, -0x1.99e28b7636461p-13, -0x1.81c5ba57e0385p-13, -0x1.6a5e30c78fb6ap-13, -0x1.53a764c5a1f51p-13, -0x1.3d9ce85e9dd36p-13, -0x1.283a6905c6b68p-13, -0x1.137baef29afbep-13, -0x1.feb9390699e1ap-14, -0x1.d7b25b4149f55p-14, -0x1.b1daee4b7c11p-14, -0x1.8d2b4c9459169p-14, -0x1.699c00227b579p-14, -0x1.4725c174cc45ap-14, -0x1.25c1766953734p-14, -0x1.0568313121aa1p-14, -0x1.cc265e7a9f7e9p-15, -0x1.8f77b078ffe3ap-15, -0x1.54b77a3054486p-15, -0x1.1bd92df68ae2ap-15, -0x1.c9a1196fcec4p-16, -0x1.5f23482d75687p-16, -0x1.f04332521d196p-17, -0x1.290a9f14e8365p-17, -0x1.a1c1e8d07e137p-19, 0x1.46da0962d8bd2p-19, 0x1.05948cd5734bp-17, 0x1.b352d27b6e8efp-17, 0x1.2d8cbee659f4ep-16, 0x1.7e87de754efdap-16, 0x1.ccade3d3e5bddp-16, 0x1.0c08b96563f4dp-15, 0x1.30625cf59874dp-15, 0x1.536cbab634357p-15, 0x1.753078fd232c9p-15, 0x1.95b607bb2c6bp-15, 0x1.b505a1cf1d599p-15, 0x1.d3274e50786dp-15, 0x1.f022e1d90a1b3p-15, 0x1.05ffffe311643p-14, 0x1.13630db5af2cep-14, 0x1.203e3ca2689bdp-14, 0x1.2c95180ff8965p-14, 0x1.386b151e5cbd3p-14, 0x1.43c3933361c3ep-14, 0x1.4ea1dc84f5428p-14, 0x1.590926a1adf7ap-14, 0x1.62fc92f3b53abp-14, 0x1.6c7f2f3fd3cdp-14, 0x1.7593f623a84b9p-14, 0x1.7e3dcf8f853d6p-14, 0x1.867f913e7ceb7p-14, 0x1.8e5bff2a1c09bp-14, 0x1.95d5cbfcdc83p-14, 0x1.9cef99802c9bcp-14, 0x1.a3abf90a12ff4p-14, 0x1.aa0d6be38a226p-14, 0x1.b01663b17f2fcp-14, 0x1.b5c942d9c3af8p-14, 0x1.bb285ce4192f7p-14, 0x1.c035f6d946511p-14, 0x1.c4f447a0e060fp-14, 0x1.c965785b104e4p-14, 0x1.cd8ba4b9c21dfp-14, 0x1.d168db562469p-14, 0x1.d4ff1e05cf95fp-14, 0x1.d850622cb4029p-14, 0x1.db5e910cbeb67p-14, 0x1.de2b8812ba1dbp-14, 0x1.e0b919231758fp-14, 0x1.e3090ae43d71bp-14, 0x1.e51d19062c028p-14, 0x1.e6f6f48904d97p-14, 0x1.e898440144ed4p-14, 0x1.ea02a3daf483ap-14, 0x1.eb37a69a152c6p-14, 0x1.ec38d51949c73p-14, 0x1.ed07aec9140d8p-14, 0x1.eda5a9eb558c5p-14, 0x1.ee1433ce5d534p-14, 0x1.ee54b1057453p-14, 0x1.ee687da003405p-14, 0x1.ee50ed603fc35p-14, 0x1.ee0f4befefaa4p-14, 0x1.eda4dd136457cp-14, 0x1.ed12dcdbdd12p-14, 0x1.ec5a7fd8afdebp-14, 0x1.eb7cf345ed747p-14, 0x1.ea7b5d3b17301p-14, 0x1.e956dcd6adfe2p-14, 0x1.e8108a6c2b297p-14, 0x1.e6a977ad95105p-14, 0x1.e522afd5a05d1p-14, 0x1.e37d37cf92959p-14, 0x1.e1ba0e5eaa2b7p-14, 0x1.dfda2c449527ap-14, 0x1.ddde8466df063p-14, 0x1.dbc803f328b93p-14, 0x1.d99792824ed99p-14, 0x1.d74e123bcb4b5p-14, 0x1.d4ec5ff6a961bp-14, 0x1.d273535a8a3a5p-14, 0x1.cfe3befe65083p-14, 0x1.cd3e708874358p-14, 0x1.ca8430cc4ff2dp-14, 0x1.c7b5c3e8750ebp-14, 0x1.c4d3e962701f7p-14, 0x1.c1df5c42c7d34p-14, 0x1.bed8d3302f806p-14, 0x1.bbc1008a01f7p-14, 0x1.b898928178103p-14, 0x1.b5603332cb6c2p-14, 0x1.b21888bddeb0cp-14, 0x1.aec2355deb626p-14, 0x1.ab5dd780ce74ep-14, 0x1.a7ec09dd07989p-14, 0x1.a46d63879d81bp-14, 0x1.a0e278097bfb4p-14, 0x1.9d4bd774ecd09p-14, 0x1.99aa0e78952adp-14, 0x1.95fda673ecb1ep-14, 0x1.9247258a7e1b8p-14, 0x1.8e870eb6496e1p-14, 0x1.8abde1da615a2p-14, 0x1.86ec1bd349326p-14, 0x1.83123689a41a7p-14, 0x1.7f30a9025085dp-14, 0x1.7b47e76f165a3p-14, 0x1.7758633ef81ccp-14, 0x1.73628b2d18f4dp-14, 0x1.6f66cb4fcad98p-14, 0x1.6b658d2812ed5p-14, 0x1.675f37af6c62dp-14, 0x1.63542f65a0a4p-14, 0x1.5f44d65efcca3p-14, 0x1.5b318c5126e6ap-14, 0x1.571aaea0d6ffep-14, 0x1.5300986dde734p-14, 0x1.4ee3a29f7e3dap-14, 0x1.4ac423f05eb0bp-14, 0x1.46a270fa8785p-14, 0x1.427edc42aa42bp-14, 0x1.3e59b64367713p-14, 0x1.3a334d78a6831p-14, 0x1.360bee694441cp-14, 0x1.31e3e3b2194c9p-14, 0x1.2dbb760ff0089p-14, 0x1.2992ec6902695p-14, 0x1.256a8bd6fd917p-14, 0x1.214297b00bc5dp-14, 0x1.1d1b519092579p-14, 0x1.18f4f9640dd54p-14, 0x1.14cfcd6d054f3p-14, 0x1.10ac0a4ea6072p-14, 0x1.0c89eb143d77ep-14, 0x1.0869a939bee05p-14, 0x1.044b7cb3c88bbp-14, 0x1.002f9bf74155fp-14, 0x1.f82c780260648p-15, 0x1.efff20bbef5fep-15, 0x1.e7d79661402e6p-15, 0x1.dfb63a73c3dc5p-15, 0x1.d79b6bbe82226p-15, 0x1.cf878662e240cp-15, 0x1.c77ae3e643045p-15, 0x1.bf75db4025135p-15, 0x1.b778c0e4d3bf7p-15, 0x1.af83e6d381454p-15, 0x1.a7979ca201cc1p-15, 0x1.9fb42f8822f57p-15, 0x1.97d9ea6b5bb26p-15, 0x1.900915eb1e38dp-15, 0x1.8841f86b42259p-15, 0x1.8084d61ecfe4bp-15, 0x1.78d1f113db0ap-15, 0x1.7129893c4d093p-15, 0x1.698bdc798811fp-15, 0x1.61f926a64fd9ep-15, 0x1.5a71a1a001232p-15, 0x1.52f5855007973p-15, 0x1.4b8507b72c54ep-15, 0x1.44205cf4cd7ebp-15, 0x1.3cc7b750b1668p-15, 0x1.357b4744d33cep-15, 0x1.2e3b3b85a53ccp-15, 0x1.2707c109ddbeap-15, 0x1.1fe10313e18c4p-15, 0x1.18c72b3a60d74p-15, 0x1.11ba616edc136p-15, 0x1.0abacc07a42b8p-15, 0x1.03c88fc699ba2p-15, 0x1.f9c79fc0c1424p-16, 0x1.ec195c0af9161p-16, 0x1.de8694d1c9cebp-16, 0x1.d10f878d5a284p-16, 0x1.c3b46ed866297p-16, 0x1.b675827ed300bp-16, 0x1.a952f7890cb35p-16, 0x1.9c4d004a85cddp-16, 0x1.8f63cc71713eep-16, 0x1.82978911ac044p-16, 0x1.75e860b1b36abp-16, 0x1.69567b5863a1p-16, 0x1.5ce1fe99a196dp-16, 0x1.508b0da05a78dp-16, 0x1.4451c93df85fcp-16, 0x1.38364ff5619a9p-16, 0x1.2c38be03cdd92p-16, 0x1.20592d6fc2852p-16, 0x1.1497b6142f974p-16, 0x1.08f46da9bba78p-16, 0x1.fadecfa53dfb3p-17, 0x1.e4116c4e07e16p-17, 0x1.cd80d07bb2607p-17, 0x1.b72d176c48ap-17, 0x1.a116588a00f8bp-17, 0x1.8b3ca77acf2e3p-17, 0x1.75a014358f2a5p-17, 0x1.6040ab151067ap-17, 0x1.4b1e74edca291p-17, 0x1.3639771db67b1p-17, 0x1.2191b3a0265ecp-17, 0x1.0d27292412cddp-17, 0x1.f1f3a634df7a1p-18, 0x1.ca13538ecd83ap-18, 0x1.a2ad44affa53bp-18, 0x1.7bc15de365343p-18, 0x1.554f7d832b3abp-18, 0x1.2f577c24fa9e9p-18, 0x1.09d92cb25ebbap-18, 0x1.c9a8b91e3c325p-19, 0x1.8091a7644df07p-19, 0x1.386ca99dfb413p-19, 0x1.e27275d03762ap-20, 0x1.55ed9888de16bp-20, 0x1.969313ae4387dp-21, 0x1.0a1413bd18dfcp-22, -0x1.118536b4efaa9p-22, -0x1.92d5af82712e7p-21, -0x1.4c9914daf9bap-20, }}, 
      {{0x1.21584d4387adcp-1, 0x1.215e530658354p-1, 0x1.2168a8a7b65d8p-1, 0x1.2177acff5bc04p-1, 0x1.218bc7d2a0b66p-1, 0x1.21a558ed89c08p-1, 0x1.21c4aa342daddp-1, 0x1.21e9e547ae2bfp-1, 0x1.22150cb89b98p-1, 0x1.2245f869f8e44p-1, 0x1.227c54a150a7bp-1, 0x1.22b7a336b7306p-1, 0x1.22f73e5e5f559p-1, 0x1.233a5c944333ep-1, 0x1.23801544511e1p-1, 0x1.23c765dbaf678p-1, 0x1.240f37009efd4p-1, 0x1.245661bd972c1p-1, 0x1.249bb47932f5p-1, 0x1.24ddf79f7859p-1, 0x1.251bf1ea0b99ep-1, 0x1.25546c3c2e434p-1, 0x1.2586350d2d5bdp-1, 0x1.25b02360673cp-1, 0x1.25d1194d6457p-1, 0x1.25e8061cf98f5p-1, 0x1.25f3e80214d9bp-1, 0x1.25f3cd75e36eap-1, 0x1.25e6d63fa1f8dp-1, 0x1.25cc34308be9fp-1, 0x1.25a32b9c5fc66p-1, 0x1.256b13969562bp-1, 0x1.252355fc05269p-1, 0x1.24cb6f5032ad7p-1, 0x1.2462ee74e373p-1, 0x1.23e974420e18dp-1, 0x1.235eb30397f9p-1, 0x1.22c26de1ca6b7p-1, 0x1.22147838d1a24p-1, 0x1.2154b4e31eef2p-1, 0x1.2083157a06f6cp-1, 0x1.1f9f998f877e2p-1, 0x1.1eaa4de3bca5p-1, 0x1.1da34b9832224p-1, 0x1.1c8ab762e8da3p-1, 0x1.1b60c0c2a6cp-1, 0x1.1a25a135df7b1p-1, 0x1.18d99b7555e29p-1, 0x1.177cfab358262p-1, 0x1.161011e05b3b5p-1, 0x1.14933af588754p-1, 0x1.1306d645b719ap-1, 0x1.116b49d529b0ap-1, 0x1.0fc100b8564f8p-1, 0x1.0e086a79de977p-1, 0x1.0c41fa87d9456p-1, 0x1.0a6e27a872d2ap-1, 0x1.088d6b75e40d1p-1, 0x1.06a041e1b022dp-1, 0x1.04a728bf129a2p-1, 0x1.02a29f547a772p-1, 0x1.009325f3eeef3p-1, 0x1.fcf27b345e879p-2, 0x1.f8aacf28b5f2bp-2, 0x1.f4504a57e1dccp-2, 0x1.efe3eeb1d4ca7p-2, 0x1.eb66bcf3760b6p-2, 0x1.e6d9b421ec941p-2, 0x1.e23dd110c5d86p-2, 0x1.dd940df274b73p-2, 0x1.d8dd61f2b68cep-2, 0x1.d41ac0da5f534p-2, 0x1.cf4d1abc152dep-2, 0x1.ca755ba986d67p-2, 0x1.c5946b70a4d8bp-2, 0x1.c0ab2d606de71p-2, 0x1.bbba8014db7f2p-2, 0x1.b6c33d49854f3p-2, 0x1.b1c639b291602p-2, 0x1.acc444db89a71p-2, 0x1.a7be290bb790ep-2, 0x1.a2b4ab2fa290fp-2, 0x1.9da88ac75db42p-2, 0x1.989a81d946f9p-2, 0x1.938b44e8e782fp-2, 0x1.8e7b82f1a88ffp-2, 0x1.896be5650b653p-2, 0x1.845d102c21c7bp-2, 0x1.7f4fa1ac0114bp-2, 0x1.7a4432ccee001p-2, 0x1.753b570405296p-2, 0x1.70359c5f29fdfp-2, 0x1.6b338b92fd039p-2, 0x1.6635a80ab1f73p-2, 0x1.613c6ff989eefp-2, 0x1.5c485c6dcec0bp-2, 0x1.5759e1651e6bep-2, 0x1.52716de1e2e5dp-2, 0x1.4d8f6c01cd627p-2, 0x1.48b441153963ep-2, 0x1.43e04db74ffbcp-2, 0x1.3f13ede6d540dp-2, 0x1.3a4f791f7a97p-2, 0x1.35934273a978bp-2, 0x1.30df98a6a0ef7p-2, 0x1.2c34c646dc7edp-2, 0x1.279311c8a699dp-2, 0x1.22fabda0cc85p-2, 0x1.1e6c085f5be5ep-2, 0x1.19e72cca6051ep-2, 0x1.156c61f88d134p-2, 0x1.10fbdb6bcc8a3p-2, 0x1.0c95c92ba5556p-2, 0x1.083a57df6b24ap-2, 0x1.03e9b0e83269p-2, 0x1.ff47f4f505dc2p-3, 0x1.f6d2af6f695ffp-3, 0x1.ee73d18e04bb3p-3, 0x1.e62b95dc79b72p-3, 0x1.ddfa31543c0a8p-3, 0x1.d5dfd38c7c61dp-3, 0x1.cddca6e937802p-3, 0x1.c5f0d0c976aaep-3, 0x1.be1c71b4b0a9ep-3, 0x1.b65fa5874b5bap-3, 0x1.aeba839e3a594p-3, 0x1.a72d1f01b2bf1p-3, 0x1.9fb7868ef5dcfp-3, 0x1.9859c52131ec8p-3, 0x1.9113e1b972a52p-3, 0x1.89e5dfa5a8b75p-3, 0x1.82cfbea6c0451p-3, 0x1.7bd17b15cb9d6p-3, 0x1.74eb0e08423c3p-3, 0x1.6e1c6d7355cfep-3, 0x1.67658c4e5d453p-3, 0x1.60c65ab4579bcp-3, 0x1.5a3ec6048f4e9p-3, 0x1.53ceb90253c2dp-3, 0x1.4d761bf3d5ee8p-3, 0x1.4734d4c02f402p-3, 0x1.410ac70c81307p-3, 0x1.3af7d4584a849p-3, 0x1.34fbdc18e34c5p-3, 0x1.2f16bbd42869cp-3, 0x1.29484f3a620f7p-3, 0x1.2390703f57243p-3, 0x1.1deef732a469ep-3, 0x1.1863bad74dbb2p-3, 0x1.12ee907a93ed5p-3, 0x1.0d8f4c0a1119dp-3, 0x1.0845c0291d109p-3, 0x1.0311be4581deap-3, 0x1.fbe62d5704563p-4, 0x1.f1d3313266598p-4, 0x1.e7ea24a264463p-4, 0x1.de2aa2596e2a2p-4, 0x1.d494435a09aacp-4, 0x1.cb269f188c43dp-4, 0x1.c1e14b9b90119p-4, 0x1.b8c3dd9b52a5cp-4, 0x1.afcde89fefd56p-4, 0x1.a6feff1e787e4p-4, 0x1.9e56b295016adp-4, 0x1.95d493a5ac9d4p-4, 0x1.8d7832309ae38p-4, 0x1.85411d6cf181dp-4, 0x1.7d2ee400e06dap-4, 0x1.75411418bc44p-4, 0x1.6d773b7d2b76dp-4, 0x1.65d0e7a8705b9p-4, 0x1.5e4da5dad8e93p-4, 0x1.56ed032e52e83p-4, 0x1.4fae8ca933b7fp-4, 0x1.4891cf503211bp-4, 0x1.419658379b4b6p-4, 0x1.3abbb493c905ap-4, 0x1.340171c8dc8cdp-4, 0x1.2d671d79c66f8p-4, 0x1.26ec45969dce6p-4, 0x1.2090786a4ef73p-4, 0x1.1a5344a7a3ed3p-4, 0x1.14343975adbc9p-4, 0x1.0e32e67b92d0ap-4, 0x1.084edbebc767cp-4, 0x1.0287aa8eb37bcp-4, 0x1.f9b9c7999b07ap-5, 0x1.ee9c33705691cp-5, 0x1.e3b5be2b200aep-5, 0x1.d9058ec9f26e7p-5, 0x1.ce8acdd363c25p-5, 0x1.c444a563d9e37p-5, 0x1.ba32413bd6c0cp-5, 0x1.b052cecd6a175p-5, 0x1.a6a57d48c6edap-5, 0x1.9d297da809d24p-5, 0x1.93de02ba395e3p-5, 0x1.8ac2412d7f925p-5, 0x1.81d56f98a96f3p-5, 0x1.7916c683f429dp-5, 0x1.70858071274a1p-5, 0x1.6820d9e30d4a6p-5, 0x1.5fe811644353fp-5, 0x1.57da678d73739p-5, 0x1.4ff71f0af4b1bp-5, 0x1.483d7ca1dd069p-5, 0x1.40acc73486369p-5, 0x1.394447c68ebe1p-5, 0x1.320349805a50cp-5, 0x1.2ae919b2168p-5, 0x1.23f507d64aeabp-5, 0x1.1d266593f38fdp-5, 0x1.167c86c033551p-5, 0x1.0ff6c15f9a2fep-5, 0x1.09946da70ae6p-5, 0x1.0354e5fc3a6bfp-5, 0x1.fa6f0debb9dc5p-6, 0x1.ee775eb6e598ap-6, 0x1.e2c180498e3e3p-6, 0x1.d74c38f235b52p-6, 0x1.cc16535c0c1aep-6, 0x1.c11e9e8c198d9p-6, 0x1.b663eddde7e57p-6, 0x1.abe518ff9b783p-6, 0x1.a1a0fbed99dd4p-6, 0x1.979676edae837p-6, 0x1.8dc46e89c66cdp-6, 0x1.8429cb8a3c085p-6, 0x1.7ac57aefb8c9p-6, 0x1.71966decc198p-6, 0x1.689b99ded9b96p-6, 0x1.5fd3f8475b18fp-6, 0x1.573e86c3f809dp-6, 0x1.4eda4706ee362p-6, 0x1.46a63ecefaed3p-6, 0x1.3ea177defbb51p-6, 0x1.36cafff561d2bp-6, 0x1.2f21e8c35e0bbp-6, 0x1.27a547e3d854ep-6, 0x1.205436d239c3dp-6, 0x1.192dd2e0fe352p-6, 0x1.12313d301ff25p-6, 0x1.0b5d9aa359d3bp-6, 0x1.04b213d843624p-6, 0x1.fc5baa3894fd3p-7, 0x1.efa01cc51d8b1p-7, 0x1.e32fe673446f1p-7, 0x1.d70975825a0b7p-7, 0x1.cb2b3f3f00f8p-7, 0x1.bf93bfee23fbep-7, 0x1.b4417ab7cba8dp-7, 0x1.a932f991d6686p-7, 0x1.9e66cd2a9b6dp-7, 0x1.93db8cd3717d5p-7, 0x1.898fd66b2eb59p-7, 0x1.7f824e488ef45p-7, 0x1.75b19f24a6f1cp-7, 0x1.6c1c7a0539c8bp-7, 0x1.62c196271f63p-7, 0x1.599fb0e8aae67p-7, 0x1.50b58db412893p-7, 0x1.4801f5e9e2a96p-7, 0x1.3f83b8cb74b0bp-7, 0x1.3739ab6589b7dp-7, 0x1.2f22a87ae15cep-7, 0x1.273d906eea5bp-7, 0x1.1f8949308ffc4p-7, 0x1.1804be251e0fcp-7, 0x1.10aee01337079p-7, 0x1.0986a50df2e71p-7, 0x1.028b086017ceap-7, 0x1.f77614eee974p-8, 0x1.ea2b61a0b54a4p-8, 0x1.dd340bc2837c1p-8, 0x1.d08e320d1b19cp-8, 0x1.c437fcdcf7398p-8, 0x1.b82f9e0a74397p-8, 0x1.ac7350c25a2ccp-8, 0x1.a101595eab1e8p-8, 0x1.95d8053fd6615p-8, 0x1.8af5aaa642d8dp-8, 0x1.8058a88c45e93p-8, 0x1.75ff66805df4ep-8, 0x1.6be8547fd6f78p-8, 0x1.6211ead1de07dp-8, 0x1.587aa9e2e94afp-8, 0x1.4f211a208d1ddp-8, 0x1.4603cbd5af8a1p-8, 0x1.3d21570725001p-8, 0x1.34785b50b5c72p-8, 0x1.2c077fc28f3afp-8, 0x1.23cd72bf19ce4p-8, 0x1.1bc8e9d93461fp-8, 0x1.13f8a1b2e7cccp-8, 0x1.0c5b5ddc71a4fp-8, 0x1.04efe8b3c6aa7p-8, 0x1.fb6a268921845p-9, 0x1.ed536a50de2dep-9, 0x1.df9958cf879edp-9, 0x1.d239bab5b4dc1p-9, 0x1.c532651721078p-9, 0x1.b881392eae19dp-9, 0x1.ac2424233e17ep-9, 0x1.a0191ecd6c566p-9, 0x1.945e2d7e22d9fp-9, 0x1.88f15fc5faf15p-9, 0x1.7dd0d03d852efp-9, 0x1.72faa44e4616dp-9, 0x1.686d0bfc9bddp-9, 0x1.5e2641b2653aep-9, 0x1.54248a0a88529p-9, 0x1.4a66339d51beap-9, 0x1.40e996cd8cd7ap-9, 0x1.37ad159664625p-9, 0x1.2eaf1b5a210bfp-9, 0x1.25ee1cb1a23cp-9, 0x1.1d68973cb0c32p-9, 0x1.151d11731c32dp-9, 0x1.0d0a1a767ae6fp-9, 0x1.052e49e4c2cbbp-9, 0x1.fb107f575998bp-10, 0x1.ec2d47b977085p-10, 0x1.ddb04d0471028p-10, 0x1.cf96fee95be25p-10, 0x1.c1dedc6276945p-10, 0x1.b48573612fd03p-10, 0x1.a788607da11f1p-10, 0x1.9ae54ea76daacp-10, 0x1.8e99f6d8377fap-10, 0x1.82a41fc72d28bp-10, 0x1.77019d9df9f35p-10, 0x1.6bb051af3bc37p-10, 0x1.60ae2a2e37887p-10, 0x1.55f921e7c3519p-10, 0x1.4b8f3ffcdd5a6p-10, 0x1.416e979e1120ep-10, 0x1.379547c84b87p-10, 0x1.2e017b03197e5p-10, 0x1.24b1671fe2e75p-10, 0x1.1ba34cfa89396p-10, 0x1.12d5783b38698p-10, 0x1.0a463f195c8cep-10, 0x1.01f4021fa6f01p-10, 0x1.f3ba57e2a39d7p-11, 0x1.e40062212393ep-11, 0x1.d4b71f4c295d1p-11, 0x1.c5db9e933d8cep-11, 0x1.b76b0197d1307p-11, 0x1.a9627c0237b4ep-11, 0x1.9bbf5319a59f6p-11, 0x1.8e7edd5dce0d8p-11, 0x1.819e822292bb2p-11, 0x1.751bb92def8afp-11, 0x1.68f40a57ad24cp-11, 0x1.5d250d2b26542p-11, 0x1.51ac688aaa289p-11, 0x1.4687d25519d01p-11, 0x1.3bb50f0d2d8fep-11, 0x1.3131f182b1767p-11, 0x1.26fc5a7d70999p-11, 0x1.1d12386a19db3p-11, 0x1.1371870871f31p-11, 0x1.0a184f1b83804p-11, 0x1.0104a61b92d0ep-11, 0x1.f0695bd2db95ep-12, 0x1.df4d29072643bp-12, 0x1.ceb1277a0b3b1p-12, 0x1.be91e1eabc78cp-12, 0x1.aeebf9a53045p-12, 0x1.9fbc25f8c58bep-12, 0x1.90ff33b1968ebp-12, 0x1.82b20494e1108p-12, 0x1.74d18ee0702d3p-12, 0x1.675adccccb0dcp-12, 0x1.5a4b0c11d610bp-12, 0x1.4d9f4d6e4fc7ap-12, 0x1.4154e431f58d2p-12, 0x1.356925ca272ap-12, 0x1.29d979518322bp-12, 0x1.1ea35721560b3p-12, 0x1.13c4486616c6fp-12, 0x1.0939e6b6042c6p-12, 0x1.fe03b75450fd2p-13, 0x1.ea33c0f3346d8p-13, 0x1.d6ff7b2df351dp-13, 0x1.c46294a0c5d2p-13, 0x1.b258d8e2a5604p-13, 0x1.a0de2fcded005p-13, 0x1.8fee9ccc68a9p-13, 0x1.7f863e28665f9p-13, 0x1.6fa14c6093653p-13, 0x1.603c19810bc1cp-13, 0x1.5153107f148d7p-13, 0x1.42e2b49a07b0ap-13, 0x1.34e7a0bec7421p-13, 0x1.275e86ef43edap-13, 0x1.1a442fadcc87dp-13, 0x1.0d95796b4f88p-13, 0x1.014f57f985366p-13, 0x1.eadda7ff9232bp-14, 0x1.d3e214e84be4p-14, 0x1.bda6582d9ca2cp-14, 0x1.a824f9e239331p-14, 0x1.9358a7aef3755p-14, 0x1.7f3c33dd76d56p-14, 0x1.6bca946693e54p-14, 0x1.58fee2094c6b2p-14, 0x1.46d457645fd84p-14, 0x1.35465018b8cf6p-14, 0x1.245047ee0835fp-14, 0x1.13edd9ff0f43cp-14, 0x1.041abfe95fe17p-14, 0x1.e9a5a2083d155p-15, 0x1.cc240331ba07fp-15, 0x1.afa8c448ad5c4p-15, 0x1.942c3d3294b8bp-15, 0x1.79a6fb53006b3p-15, 0x1.6011c026491abp-15, 0x1.47657fe44f132p-15, 0x1.2f9b602b1a764p-15, 0x1.18acb6b521869p-15, 0x1.029308137d3b1p-15, 0x1.da900ce7e9db3p-16, 0x1.b18b20d794bb7p-16, 0x1.8a0b5f97f43cap-16, 0x1.640530f98b29cp-16, 0x1.3f6d4ec1e48a7p-16, 0x1.1c38c27dd8654p-16, 0x1.f4b9c6c64f4bfp-17, 0x1.b39ea884f0a5fp-17, 0x1.750c030336463p-17, 0x1.38ee3e4c371b4p-17, 0x1.fe649bb533b28p-18, 0x1.8f8b59b2a3b29p-18, 0x1.252cb50b19243p-18, 0x1.7e4b5a991784dp-19, 0x1.7550f09b195c3p-20, -0x1.a2c4f4457172ap-28, -0x1.68c5034838c96p-20, -0x1.604964047d4ap-19, -0x1.026163ec29231p-18, -0x1.5104db6964e3ap-18, -0x1.9c2bc8fbfef91p-18, -0x1.e3f20e838f298p-18, -0x1.1439626f4bcc9p-17, -0x1.34e420aeaf19p-17, -0x1.54060d83d479p-17, -0x1.71ab97e6fff1ap-17, -0x1.8de0d4c6f63f6p-17, -0x1.a8b1817eb4ce6p-17, -0x1.c229063808f3bp-17, -0x1.da52783fd2697p-17, -0x1.f1389c44d8c43p-17, -0x1.0372f448337f5p-16, -0x1.0db243954306cp-16, -0x1.175f2bf728d1p-16, -0x1.207e7949d0f96p-16, -0x1.2914d455163a4p-16, -0x1.3126c3c151e36p-16, -0x1.38b8ad0ad158cp-16, -0x1.3fced5692c0c2p-16, -0x1.466d62b380d44p-16, -0x1.4c985c3d02a75p-16, -0x1.5253abad43d29p-16, -0x1.57a31dd1b1668p-16, -0x1.5c8a6367b254dp-16, -0x1.610d11e5d69afp-16, -0x1.652ea43aba8e5p-16, -0x1.68f27b8a10055p-16, -0x1.6c5bdfe3b93f1p-16, -0x1.6f6e00f4d1835p-16, -0x1.722bf6b5fcf61p-16, -0x1.7498c212ea10cp-16, -0x1.76b74d8e4dab3p-16, -0x1.788a6de21ae2ap-16, -0x1.7a14e29858364p-16, -0x1.7b5956a42432fp-16, -0x1.7c5a60f310b63p-16, -0x1.7d1a84fd17585p-16, -0x1.7d9c334f0af3ep-16, -0x1.7de1ca108ebcbp-16, -0x1.7ded95887eddp-16, -0x1.7dc1d09c6b57ap-16, -0x1.7d60a54d6c223p-16, -0x1.7ccc2d2fab48dp-16, -0x1.7c0671e0d9a5fp-16, -0x1.7b116d790dfa7p-16, -0x1.79ef0afb3ad24p-16, -0x1.78a126c160034p-16, -0x1.77298ee4e0fcfp-16, -0x1.758a03a4bea88p-16, -0x1.73c437c8c7c93p-16, -0x1.71d9d10301f5p-16, -0x1.6fcc684cc077cp-16, -0x1.6d9d8a41fd2d3p-16, -0x1.6b4eb77ab6119p-16, -0x1.68e164e10b46ep-16, -0x1.6656fc03c37cdp-16, -0x1.63b0db69ffb49p-16, -0x1.60f056e162c3ep-16, -0x1.5e16b7cb81191p-16, -0x1.5b253d6860ef2p-16, -0x1.581d1d203ad54p-16, -0x1.54ff82c964125p-16, -0x1.51cd90ed934b5p-16, -0x1.4e88610c96e2fp-16, -0x1.4b3103ddf027fp-16, -0x1.47c8818ff187cp-16, -0x1.444fda0450a0dp-16, -0x1.40c8050d5289ap-16, -0x1.3d31f2a6b5dc8p-16, -0x1.398e8b2eeee86p-16, -0x1.35deaf9da4998p-16, -0x1.322339b930766p-16, -0x1.2e5cfc4a57edp-16, -0x1.2a8cc34f50c39p-16, -0x1.26b3542bc78fdp-16, -0x1.22d16dd90248cp-16, -0x1.1ee7c914aa68dp-16, -0x1.1af7188cfa5ebp-16, -0x1.1700090ce3c8bp-16, -0x1.130341a65c45ap-16, -0x1.0f0163dc49b71p-16, -0x1.0afb0bc9b0abdp-16, -0x1.06f0d0491259ap-16, -0x1.02e3431abe893p-16, -0x1.fda5e21410508p-17, -0x1.f580c41fd2d5ep-17, -0x1.ed5832ee4a37p-17, -0x1.e52d2bfaeaf22p-17, -0x1.dd00a3e969343p-17, -0x1.d4d386c4d9ec9p-17, -0x1.cca6b83eff1ccp-17, -0x1.c47b13ed2cc95p-17, -0x1.bc516d81b62a2p-17, -0x1.b42a91054c722p-17, -0x1.ac07430ea77a6p-17, -0x1.a3e840f916d7dp-17, -0x1.9bce4118df739p-17, -0x1.93b9f2ee29a4ep-17, -0x1.8babff5708b54p-17, -0x1.83a508c0002a7p-17, -0x1.7ba5ab50ed488p-17, -0x1.73ae7d1c24127p-17, -0x1.6bc00e4af9ae6p-17, -0x1.63dae94883109p-17, -0x1.5bff92eb674c3p-17, -0x1.542e8a9e5c579p-17, -0x1.4c684a881b305p-17, -0x1.44ad47b1368f5p-17, -0x1.3cfdf22ae3264p-17, -0x1.355ab53272c4fp-17, -0x1.2dc3f7560106p-17, -0x1.263a1a95fe1f3p-17, -0x1.1ebd7c86433bbp-17, -0x1.174e766e14ep-17, -0x1.0fed5d6a004e9p-17, -0x1.089a8288f03b6p-17, -0x1.015632eaa5522p-17, -0x1.f4416fb988479p-18, -0x1.e5f4adee40c2dp-18, -0x1.d7c6a46ed2d65p-18, -0x1.c9b7d037d8813p-18, -0x1.bbc8a77ba8eaep-18, -0x1.adf999d6189bcp-18, -0x1.a04b107d57d7p-18, -0x1.92bd6e720b846p-18, -0x1.855110ab2aeeep-18, -0x1.78064e469cb09p-18, -0x1.6add78b57da59p-18, -0x1.5dd6dbe66e505p-18, -0x1.50f2be6e335a8p-18, -0x1.443161b2576d4p-18, -0x1.3793020f95093p-18, -0x1.2b17d7010943bp-18, -0x1.1ec013456d404p-18, -0x1.128be505b5ee7p-18, -0x1.067b75f5ebb85p-18, -0x1.f51dd6f68590bp-19, -0x1.dd8ccd947e81ep-19, -0x1.c6440a0f2e954p-19, -0x1.af43bed25eba8p-19, -0x1.988c16ae1ea87p-19, -0x1.821d3510120f9p-19, -0x1.6bf7363ae922cp-19, -0x1.561a2f8572ae1p-19, -0x1.40862f8e094cbp-19, -0x1.2b3b3e72b0cfdp-19, -0x1.16395e06a4c9ap-19, -0x1.01808a070c9d9p-19, -0x1.da21709add0e3p-20, -0x1.b1d3b1fe7f35fp-20, -0x1.8a17ad7d9217ap-20, -0x1.62ed2da93f61p-20, -0x1.3c53f2bf3542ep-20, -0x1.164bb305e809dp-20, -0x1.e1a8364778e7ap-21, -0x1.97d99cd6fa5dap-21, -0x1.4f2ace5d7c8dfp-21, -0x1.079aee205980ep-21, -0x1.82521d2e24a2bp-22, -0x1.ef50c83207b3dp-23, -0x1.bcda591f6fe88p-24, 0x1.70584f91639d4p-26, 0x1.361c86d603289p-23, 0x1.1ce616c367bd2p-22, 0x1.9c8f8ba977fd9p-22, 0x1.0d06a465a03abp-21, 0x1.4ab106e45563fp-21, 0x1.87485924ef6bdp-21, 0x1.c2ce127ede708p-21, 0x1.fd43b562306c4p-21, 0x1.1b55677603fd9p-20, 0x1.37827b35832bep-20, 0x1.5329e683462ccp-20, 0x1.6e4c7ea2bb718p-20, 0x1.88eb1d5b6fe65p-20, 0x1.a306a0c191ccdp-20, 0x1.bc9feb007818dp-20, 0x1.d5b7e2385254cp-20, 0x1.ee4f7048f7796p-20, 0x1.0333c154d7bf3p-19, 0x1.0f00851e6250ap-19, 0x1.1a8e7d91c1196p-19, 0x1.25de264b47228p-19, 0x1.30effc5c9ae2cp-19, 0x1.3bc47e3c2e71ep-19, 0x1.465c2bb1f2b0bp-19, 0x1.50b785c2c79f1p-19, 0x1.5ad70ea0bd2b5p-19, 0x1.64bb499763331p-19, 0x1.6e64bafda42fep-19, 0x1.77d3e81ffffe3p-19, 0x1.8109573360b89p-19, 0x1.8a058f45a832ep-19, 0x1.92c9182ddc08bp-19, 0x1.9b547a7daf01ap-19, 0x1.a3a83f729a0d7p-19, 0x1.abc4f0e71d993p-19, 0x1.b3ab1945f2137p-19, 0x1.bb5b43797e65p-19, 0x1.c2d5fae3c2728p-19, 0x1.ca1bcb4e8eb25p-19, 0x1.d12d40de6ef05p-19, 0x1.d80ae808e6c4fp-19, 0x1.deb54d8635328p-19, 0x1.e52cfe48eddf5p-19, 0x1.eb72876f8279ap-19, 0x1.f1867639d23fp-19, 0x1.f769580194778p-19, 0x1.fd1bba2d600b2p-19, 0x1.014f15141dc17p-18, 0x1.03f89aabf96e7p-18, 0x1.068ab4895262bp-18, 0x1.0905a94b51efap-18, 0x1.0b69bf805ecd9p-18, 0x1.0db73da23ab72p-18, 0x1.0fee6a11c0e5fp-18, 0x1.120f8b12da764p-18, 0x1.141ae6c7df815p-18, 0x1.1610c32f0f75ep-18, 0x1.17f1661dc3372p-18, 0x1.19bd153d714d5p-18, 0x1.1b7416078935cp-18, 0x1.1d16adc28116p-18, 0x1.1ea5217ed4bc8p-18, 0x1.201fb61335adep-18, 0x1.2186b01a2784ap-18, 0x1.22da53eef2435p-18, 0x1.241ae5a9d2f51p-18, 0x1.2548a91e42afbp-18, 0x1.2663e1d847b95p-18, 0x1.276cd318b36b6p-18, 0x1.2863bfd41b0b2p-18, 0x1.2948eaaf29464p-18, 0x1.2a1c95fcde49ep-18, 0x1.2adf03bc30bf5p-18, 0x1.2b9075962b4c6p-18, 0x1.2c312cdb1078fp-18, 0x1.2cc16a80918c2p-18, 0x1.2d416f2083f37p-18, 0x1.2db17af65b9f2p-18, 0x1.2e11cddd7657ap-18, 0x1.2e62a74f39877p-18, 0x1.2ea44661daa7ap-18, 0x1.2ed6e9c656211p-18, 0x1.2efacfc661da7p-18, 0x1.2f103644be36ep-18, 0x1.2f175aba2d4d7p-18, 0x1.2f107a3430185p-18, 0x1.2efbd154a2269p-18, 0x1.2ed99c4f5e0e4p-18, 0x1.2eaa16e9f3596p-18, 0x1.2e6d7c7a09332p-18, 0x1.2e2407e48f74ep-18, 0x1.2dcdf39c86c8ep-18, 0x1.2d6b79a18f70ep-18, 0x1.2cfcd3808f01ap-18, 0x1.2c823a518f0e5p-18, 0x1.2bfbe6b6ddc72p-18, }}, 
      {{0x1.d3c86beda3cadp-13, 0x1.cfe865b7d5d4p-11, 0x1.0175a8cca20d7p-9, 0x1.c183f2a978589p-9, 0x1.5782f04a1b79ep-8, 0x1.e2285c7cd5c26p-8, 0x1.3ee17cbd40f18p-7, 0x1.93b6fee923ec6p-7, 0x1.ee35e449c432ep-7, 0x1.268e9ba4b911bp-6, 0x1.57a81a8a2c89bp-6, 0x1.89eca1fd3e8cap-6, 0x1.bcf52a8c69e6cp-6, 0x1.f06dc282f2db7p-6, 0x1.120a2bba81125p-5, 0x1.2bdb9d3c2eb64p-5, 0x1.4599c4710bb29p-5, 0x1.5f39c86fa6d1bp-5, 0x1.78b69e80bb363p-5, 0x1.9210458a9d51fp-5, 0x1.ab4b07e45aca1p-5, 0x1.c46ec416745dep-5, 0x1.dd863d5d22389p-5, 0x1.f69e752b9888ap-5, 0x1.07e3079df24c1p-4, 0x1.148660e59d2cap-4, 0x1.214169beb694p-4, 0x1.2e1c5407d4602p-4, 0x1.3b1f2e495abcfp-4, 0x1.4851b9b49506ap-4, 0x1.55bb47e5f4ec4p-4, 0x1.6362a014e5558p-4, 0x1.714deb2e78d4ep-4, 0x1.7f82a63653fd3p-4, 0x1.8e059a32d553cp-4, 0x1.9cdad8de0368cp-4, 0x1.ac05bd52d1402p-4, 0x1.bb88eff435215p-4, 0x1.cb666cd797838p-4, 0x1.db9f8c0c710fp-4, 0x1.ec350b2e15f96p-4, 0x1.fd2717c102e1p-4, 0x1.073aacf8f8ca8p-3, 0x1.100f7fb05e196p-3, 0x1.191162da09c07p-3, 0x1.223f8261effd5p-3, 0x1.2b98dc1b9637bp-3, 0x1.351c443fa887p-3, 0x1.3ec8699262a74p-3, 0x1.489bd93146b16p-3, 0x1.5295020a0d4b7p-3, 0x1.5cb237ff30d1p-3, 0x1.66f1b6c032087p-3, 0x1.7151a45cdac68p-3, 0x1.7bd0139b5dad8p-3, 0x1.866b061935bdep-3, 0x1.91206e3e9ebdep-3, 0x1.9bee310bee5e1p-3, 0x1.a6d227c77cf03p-3, 0x1.b1ca2192104c7p-3, 0x1.bcd3e4e6e31c4p-3, 0x1.c7ed310b932d4p-3, 0x1.d313bf7370f5cp-3, 0x1.de454518d6794p-3, 0x1.e97f73ce865c7p-3, 0x1.f4bffb8a55f9fp-3, 0x1.000245d4f5f2ep-2, 0x1.05a56a18e758p-2, 0x1.0b4843834b855p-2, 0x1.10e9ac8fe7bap-2, 0x1.168881d9e7dbdp-2, 0x1.1c23a2adc8d58p-2, 0x1.21b9f196ce8b2p-2, 0x1.274a54e769431p-2, 0x1.2cd3b73c0af92p-2, 0x1.325507f7de8bfp-2, 0x1.37cd3bbae13b1p-2, 0x1.3d3b4cd0e7b4dp-2, 0x1.429e3b992f45fp-2, 0x1.47f50ee61b482p-2, 0x1.4d3ed454e13e9p-2, 0x1.527aa09cebc4dp-2, 0x1.57a78fd6d89b2p-2, 0x1.5cc4c5bafbd21p-2, 0x1.61d16dd774d7fp-2, 0x1.66ccbbbddce03p-2, 0x1.6bb5eb28bcd46p-2, 0x1.708c4018f2d37p-2, 0x1.754f06eb4a89fp-2, 0x1.79fd94668cffp-2, 0x1.7e9745c25eeb3p-2, 0x1.831b80a746e0fp-2, 0x1.8789b3283a455p-2, 0x1.8be153b61dbc3p-2, 0x1.9021e10da1b3p-2, 0x1.944ae21fe7ac7p-2, 0x1.985be5f662358p-2, 0x1.9c54839261de3p-2, 0x1.a03459c8b61e7p-2, 0x1.a3fb0f19d8e7fp-2, 0x1.a7a851870ee22p-2, 0x1.ab3bd664de64ep-2, 0x1.aeb55a2b4ab37p-2, 0x1.b214a0442ef39p-2, 0x1.b55972d8153c7p-2, 0x1.b883a299e4c6ap-2, 0x1.bb930691b1926p-2, 0x1.be877be705082p-2, 0x1.c160e5aadb64bp-2, 0x1.c41f2ca1a0b41p-2, 0x1.c6c23f0d61421p-2, 0x1.c94a10786d456p-2, 0x1.cbb6998097ca3p-2, 0x1.ce07d7a340ce6p-2, 0x1.d03dcd0a54c65p-2, 0x1.d258805a5b7dcp-2, 0x1.d457fc81b9139p-2, 0x1.d63c508939405p-2, 0x1.d8058f65f6f06p-2, 0x1.d9b3cfccb0061p-2, 0x1.db472c0695fb9p-2, 0x1.dcbfc1c7a0a9ep-2, 0x1.de1db20669cf6p-2, 0x1.df6120d59387ap-2, 0x1.e08a353ebfddfp-2, 0x1.e199191f0a14ap-2, 0x1.e28df9050d82p-2, 0x1.e369041067196p-2, 0x1.e42a6bd2ae8bdp-2, 0x1.e4d26431dea59p-2, 0x1.e561234c1df3dp-2, 0x1.e5d6e15cdfc9p-2, 0x1.e633d8a34d58bp-2, 0x1.e6784549ed3eep-2, 0x1.e6a4654f76185p-2, 0x1.e6b87870c4b27p-2, 0x1.e6b4c013dc4f6p-2, 0x1.e6997f33ef3dap-2, 0x1.e666fa4e563f3p-2, 0x1.e61d77506a006p-2, 0x1.e5bd3d863723fp-2, 0x1.e5469589efdd4p-2, 0x1.e4b9c9341e2cep-2, 0x1.e417238c7a99fp-2, 0x1.e35ef0bb60cf7p-2, 0x1.e2917dfbd63d2p-2, 0x1.e1af198e0f625p-2, 0x1.e0b812aa73526p-2, 0x1.dfacb97507043p-2, 0x1.de8d5ef139d3cp-2, 0x1.dd5a54f60fb23p-2, 0x1.dc13ee229224p-2, 0x1.daba7dd28f889p-2, 0x1.d94e581390eb2p-2, 0x1.d7cfd19a0a51cp-2, 0x1.d63f3fb6bbde1p-2, 0x1.d49cf84c37dfap-2, 0x1.d2e951c4915c4p-2, 0x1.d124a30728f15p-2, 0x1.cf4f436e90231p-2, 0x1.cd698abe8a237p-2, 0x1.cb73d11a195a3p-2, 0x1.c96e6ef9a35a9p-2, 0x1.c759bd211cc47p-2, 0x1.c536149646bc2p-2, 0x1.c303ce96f36c6p-2, 0x1.c0c3448f55f75p-2, 0x1.be74d0105a523p-2, 0x1.bc18cac6050b6p-2, 0x1.b9af8e6ddafbcp-2, 0x1.b73974cd53855p-2, 0x1.b4b6d7a851dbep-2, 0x1.b22810b7a6383p-2, 0x1.af8d799f9e6fdp-2, 0x1.ace76be69bd3ap-2, 0x1.aa3640ebbc69p-2, 0x1.a77a51dd8cee5p-2, 0x1.a4b3f7b0ce396p-2, 0x1.a1e38b174b4c8p-2, 0x1.9f096476c255p-2, 0x1.9c25dbdfe3365p-2, 0x1.9939490566b63p-2, 0x1.964403333c88p-2, 0x1.93466145d57d4p-2, 0x1.9040b9a18b9e8p-2, 0x1.8d33622a290d9p-2, 0x1.8a1eb03a90547p-2, 0x1.8702f89c87026p-2, 0x1.83e08f80a6fcfp-2, 0x1.80b7c8767614p-2, 0x1.7d88f664a4badp-2, 0x1.7a546b817c406p-2, 0x1.771a794b750d8p-2, 0x1.73db7081fcd3bp-2, 0x1.7097a11e6cab6p-2, 0x1.6d4f5a4d3004ep-2, 0x1.6a02ea671dbb7p-2, 0x1.66b29eeb06d0fp-2, 0x1.635ec477782dep-2, 0x1.6007a6c4b51d9p-2, 0x1.5cad909ee8532p-2, 0x1.5950cbe08be8bp-2, 0x1.55f1a16d0cbdep-2, 0x1.5290592ba5b18p-2, 0x1.4f2d3a0278de5p-2, 0x1.4bc889d1def03p-2, 0x1.48628d6ff7206p-2, 0x1.44fb88a470ceap-2, 0x1.4193be24915b9p-2, 0x1.3e2b6f8f7724cp-2, 0x1.3ac2dd6a96ff6p-2, 0x1.375a471e79e9p-2, 0x1.33f1eaf3b3749p-2, 0x1.308a061016aaep-2, 0x1.2d22d47426bbdp-2, 0x1.29bc90f8c22d4p-2, 0x1.2657754d08897p-2, 0x1.22f3b9f47e804p-2, 0x1.1f91964567407p-2, 0x1.1c3140675a81cp-2, 0x1.18d2ed52126adp-2, 0x1.1576d0cc72322p-2, 0x1.121d1d6bc267ap-2, 0x1.0ec6049323c79p-2, 0x1.0b71b6733ac8ep-2, 0x1.0820620a095a2p-2, 0x1.04d2352301caap-2, 0x1.01875c5749a46p-2, 0x1.fc80061c5aae3p-3, 0x1.f5f8a6fb8b2bep-3, 0x1.ef78ed579323ap-3, 0x1.e90128dd2327fp-3, 0x1.e291a6dc87a3ap-3, 0x1.dc2ab24c5dfb6p-3, 0x1.d5cc93cc9392ap-3, 0x1.cf7791a9c754fp-3, 0x1.c92befe0e9b2bp-3, 0x1.c2e9f02332d17p-3, 0x1.bcb1d1da60ddbp-3, 0x1.b683d22d38543p-3, 0x1.b0602c044ff15p-3, 0x1.aa47180f1a331p-3, 0x1.a438ccc92e2fcp-3, 0x1.9e357e7fcdff8p-3, 0x1.983d5f57a6522p-3, 0x1.92509f52c8137p-3, 0x1.8c6f6c56ce0ap-3, 0x1.8699f23340eap-3, 0x1.80d05aa820599p-3, 0x1.7b12cd6c9d372p-3, 0x1.75617035fef9ap-3, 0x1.6fbc66beac401p-3, 0x1.6a23d2cd5d995p-3, 0x1.6497d43c70d83p-3, 0x1.5f1889015c115p-3, 0x1.59a60d3440441p-3, 0x1.54407b179828bp-3, 0x1.4ee7eb1ffdddep-3, 0x1.499c73fc0692dp-3, 0x1.445e2a9c3977p-3, 0x1.3f2d223b14bbdp-3, 0x1.3a096c651fc88p-3, 0x1.34f31901152dep-3, 0x1.2fea365811e0fp-3, 0x1.2aeed11dcfe4dp-3, 0x1.2600f478ed45ap-3, 0x1.2120aa0b36979p-3, 0x1.1c4df9f9f87fap-3, 0x1.1788eaf6505b6p-3, 0x1.12d1824583107p-3, 0x1.0e27c3c9559fp-3, 0x1.098bb20857a0dp-3, 0x1.04fd4e363d9dfp-3, 0x1.007c983c23a15p-3, 0x1.f8131d81af707p-4, 0x1.ef485e6227759p-4, 0x1.e698eb8f67212p-4, 0x1.de04bb2bbe47ep-4, 0x1.d58bc1164e481p-4, 0x1.cd2deefb31f61p-4, 0x1.c4eb34637ed44p-4, 0x1.bcc37ec534b44p-4, 0x1.b4b6b9930a27fp-4, 0x1.acc4ce4c07b19p-4, 0x1.a4eda48b1be93p-4, 0x1.9d3122166cc97p-4, 0x1.958f2aee95ceap-4, 0x1.8e07a15db52e8p-4, 0x1.869a66064dc8bp-4, 0x1.7f4757f1feb16p-4, 0x1.780e54a00ffcep-4, 0x1.70ef3813ca698p-4, 0x1.69e9dce2a8834p-4, 0x1.62fe1c424c7dep-4, 0x1.5c2bce164ea73p-4, 0x1.5572c8fdd0bd3p-4, 0x1.4ed2e260e0b63p-4, 0x1.484bee7da9ecbp-4, 0x1.41ddc0756be3dp-4, 0x1.3b882a593ee7dp-4, 0x1.354afd36a0365p-4, 0x1.2f260923c7f7bp-4, 0x1.29191d4bc8afp-4, 0x1.232407fa73e7ep-4, 0x1.1d4696a80c0d2p-4, 0x1.17809604b6636p-4, 0x1.11d1d203bab34p-4, 0x1.0c3a15e687d75p-4, 0x1.06b92c477e0f9p-4, 0x1.014edf2483528p-4, 0x1.f7f5efd2b57f6p-5, 0x1.ed7a7ef38c212p-5, 0x1.e32afc76d88e1p-5, 0x1.d906f83f107b6p-5, 0x1.cf0e0158bf40cp-5, 0x1.c53fa60cfd384p-5, 0x1.bb9b73f37a64fp-5, 0x1.b220f80418ddp-5, 0x1.a8cfbea817ab5p-5, 0x1.9fa753cacf8fcp-5, 0x1.96a742e9fe75p-5, 0x1.8dcf1725aa0cap-5, 0x1.851e5b4f93f05p-5, 0x1.7c9499fa3ffd7p-5, 0x1.74315d8797d11p-5, 0x1.6bf43037191b9p-5, 0x1.63dc9c33aa3a9p-5, 0x1.5bea2ba0f89b6p-5, 0x1.541c68a87a3a4p-5, 0x1.4c72dd8607b07p-5, 0x1.44ed149413645p-5, 0x1.3d8a98577ccc5p-5, 0x1.364af38b034b1p-5, 0x1.2f2db12a58492p-5, 0x1.28325c7cd35d9p-5, 0x1.2158811fcafc4p-5, 0x1.1a9fab108a9f2p-5, 0x1.140766b5fad49p-5, 0x1.0d8f40e9e1279p-5, 0x1.0736c701d4bcfp-5, 0x1.00fd86d7d5593p-5, 0x1.f5c61da522401p-6, 0x1.e9cddbdaaf492p-6, 0x1.de11677f6c243p-6, 0x1.d28fe1099397p-6, 0x1.c7486a44870d9p-6, 0x1.bc3a265e24303p-6, 0x1.b16439f3a87adp-6, 0x1.a6c5cb1ddddebp-6, 0x1.9c5e017cc4815p-6, 0x1.922c0642bd1d6p-6, 0x1.882f043f015bp-6, 0x1.7e6627e7ba586p-6, 0x1.74d09f637559p-6, 0x1.6b6d9a922aae5p-6, 0x1.623c4b15b5c7dp-6, 0x1.593be459db42cp-6, 0x1.506b9b9bc9fbbp-6, 0x1.47caa7f13345ep-6, 0x1.3f58424edf8cp-6, 0x1.3713a58edc33ep-6, 0x1.2efc0e763837p-6, 0x1.2710bbba56794p-6, 0x1.1f50ee05d3c15p-6, 0x1.17bbe7fd08111p-6, 0x1.1050ee422b1a2p-6, 0x1.090f47790dbd3p-6, 0x1.01f63c4a73d5ap-6, 0x1.f60a2ece4c7c3p-7, 0x1.e8764b152e1ep-7, 0x1.db2f6afa77f3ap-7, 0x1.ce34302d13499p-7, 0x1.c183407d5c933p-7, 0x1.b51b45dfdd796p-7, 0x1.a8faee6f78c46p-7, 0x1.9d20ec6f1362dp-7, 0x1.918bf64a8512fp-7, 0x1.863ac697349a6p-7, 0x1.7b2c1c140f54cp-7, 0x1.705eb9a8f29c7p-7, 0x1.65d16665b8513p-7, 0x1.5b82ed80af97dp-7, 0x1.51721e54c8325p-7, 0x1.479dcc5f14d18p-7, 0x1.3e04cf3c13faap-7, 0x1.34a602a47fc09p-7, 0x1.2b804669ac9d6p-7, 0x1.22927e71a52acp-7, 0x1.19db92b2c5a3ep-7, 0x1.115a6f2f2498dp-7, 0x1.090e03ef858dep-7, 0x1.00f544fe1eb5fp-7, 0x1.f21e54c1c4ce4p-8, 0x1.e2b560277348ap-8, 0x1.d3adac0461dc4p-8, 0x1.c5054002625bdp-8, 0x1.b6ba2b904da61p-8, 0x1.a8ca85d45f638p-8, 0x1.9b346d9dd7b59p-8, 0x1.8df609562dff7p-8, 0x1.810d86f2141cbp-8, 0x1.74791be1ac66ap-8, 0x1.68370500cfc44p-8, 0x1.5c458686e3b3ap-8, 0x1.50a2ebf609b11p-8, 0x1.454d880a7335fp-8, 0x1.3a43b4a92e53bp-8, 0x1.2f83d2cea5befp-8, 0x1.250c4a7d25a41p-8, 0x1.1adb8aaac7a4p-8, 0x1.10f0092f6e4cbp-8, 0x1.074842b283c4ap-8, 0x1.fbc57530ce3c4p-9, 0x1.e97bf5dfaff43p-9, 0x1.d7b128be6da3ap-9, 0x1.c6623c231f8c1p-9, 0x1.b58c6b47035d2p-9, 0x1.a52cfe209382dp-9, 0x1.9541493cc6d7bp-9, 0x1.85c6ad987cd03p-9, 0x1.76ba9879f2a7ap-9, 0x1.681a8349acf0cp-9, 0x1.59e3f36bd12d4p-9, 0x1.4c147a19122edp-9, 0x1.3ea9b4379526dp-9, 0x1.31a14a341141ap-9, 0x1.24f8efdabd288p-9, 0x1.18ae64306e0c7p-9, 0x1.0cbf714b8a38fp-9, 0x1.0129ec2d2f70fp-9, 0x1.ebd76934faa61p-10, 0x1.d60569eb8f11cp-10, 0x1.c0d9c4305cd76p-10, 0x1.ac5076564c69bp-10, 0x1.98659303c5327p-10, 0x1.851540e75a484p-10, 0x1.725bba6af4f66p-10, 0x1.60354d692ed65p-10, 0x1.4e9e5ae183cd1p-10, 0x1.3d9356adf1f34p-10, 0x1.2d10c73837893p-10, 0x1.1d134530ca455p-10, 0x1.0d977b450cfacp-10, 0x1.fd344bad4e574p-11, 0x1.e0302565d4aedp-11, 0x1.c41c419757eb5p-11, 0x1.a8f27fdf1244p-11, 0x1.8eace107475e1p-11, 0x1.7545867b7f32dp-11, 0x1.5cb6b1bcc65e7p-11, 0x1.44fac3d949b72p-11, 0x1.2e0c3ce28c152p-11, 0x1.17e5bb68214e1p-11, 0x1.0281fbf0f9049p-11, 0x1.dbb7b0ee0f4eap-12, 0x1.b3dc8fc944123p-12, 0x1.8d68bb2410119p-12, 0x1.6852918c2fb0bp-12, 0x1.4490a86e564c5p-12, 0x1.2219cb198c488p-12, 0x1.00e4f9c98572fp-12, 0x1.c1d2d15e0363cp-13, 0x1.843cfdfd5c74fp-13, 0x1.48f7ac0245e9bp-13, 0x1.0ff2704e295fp-13, 0x1.b23a807864f55p-14, 0x1.48d0dfac29027p-14, 0x1.c712c02afa626p-15, 0x1.048c33b00672fp-15, 0x1.274ebf6060dc5p-17, -0x1.a53f5aa4552edp-17, -0x1.1516131e7a8bdp-15, -0x1.b9b5677859d12p-15, -0x1.2bb1756bcf99p-14, -0x1.7729380c6a7d6p-14, -0x1.bf5b460c459f4p-14, -0x1.0230270a3b259p-13, -0x1.232833096b132p-13, -0x1.42a18728ad214p-13, -0x1.60a79a3adfcc9p-13, -0x1.7d459b3ccefb8p-13, -0x1.988672cb423afp-13, -0x1.b274c492df1e1p-13, -0x1.cb1af0bd1282dp-13, -0x1.e283155331d59p-13, -0x1.f8b70f9e57902p-13, -0x1.06e03ebff8034p-12, -0x1.10d45f6496238p-12, -0x1.1a3c7b43218a9p-12, -0x1.231d06264462ap-12, -0x1.2b7a56bccb526p-12, -0x1.3358a73aa3476p-12, -0x1.3abc15f45bee3p-12, -0x1.41a8a5f9c72fap-12, -0x1.48223fad25858p-12, -0x1.4e2cb158ecba1p-12, -0x1.53cbafc0d2485p-12, -0x1.5902d6b19995ep-12, -0x1.5dd5a98e488a7p-12, -0x1.624793dbe41adp-12, -0x1.665be9c8c6068p-12, -0x1.6a15e8b2518d6p-12, -0x1.6d78b7a91c46ep-12, -0x1.708767f0ff701p-12, -0x1.7344f5804d732p-12, -0x1.75b4477bb6f42p-12, -0x1.77d830b0c3fa5p-12, -0x1.79b3700dce091p-12, -0x1.7b48b116d73bbp-12, -0x1.7c9a8c5905b32p-12, -0x1.7dab87db79397p-12, -0x1.7e7e178ef2b3ap-12, -0x1.7f149dba2866p-12, -0x1.7f716b649cc3cp-12, -0x1.7f96c0beeb5fcp-12, -0x1.7f86cd8a15294p-12, -0x1.7f43b17af104ap-12, -0x1.7ecf7c9d33e86p-12, -0x1.7e2c2fb46a818p-12, -0x1.7d5bbc9a73c8cp-12, -0x1.7c60069c3d48ep-12, -0x1.7b3ae2d444568p-12, -0x1.79ee18840f5fp-12, -0x1.787b616b11a31p-12, -0x1.76e46a1c4e498p-12, -0x1.752ad251cba55p-12, -0x1.73502d3ee6b4cp-12, -0x1.715601dfdff4fp-12, -0x1.6f3dcb48ab823p-12, -0x1.6d08f8f19f627p-12, -0x1.6ab8ef02f56b7p-12, -0x1.684f069e0e806p-12, -0x1.65cc8e25f6dbcp-12, -0x1.6332c98561d46p-12, -0x1.6082f273ecfc8p-12, -0x1.5dbe38b9607e3p-12, -0x1.5ae5c26f97d7dp-12, -0x1.57faac434bb77p-12, -0x1.54fe09b2ef243p-12, -0x1.51f0e54cbaca5p-12, -0x1.4ed440eaa8e72p-12, -0x1.4ba915ed8ce0bp-12, -0x1.48705576a0592p-12, -0x1.452ae8a00b7fdp-12, -0x1.41d9b0b3ca8d1p-12, -0x1.3e7d87619e3e9p-12, -0x1.3b173ef3df404p-12, -0x1.37a7a282acf22p-12, -0x1.342f7625c90eep-12, -0x1.30af7725c9168p-12, -0x1.2d285c2c5e6f7p-12, -0x1.299ad572aa2dbp-12, -0x1.26078cef397c2p-12, -0x1.226f268257fa7p-12, -0x1.1ed24021d9333p-12, -0x1.1b3172035cf4bp-12, -0x1.178d4ec5e3933p-12, -0x1.13e6639a49248p-12, -0x1.103d386ac160ep-12, -0x1.0c925001abfbap-12, -0x1.08e6282ef07afp-12, -0x1.053939ecd1277p-12, -0x1.018bf983944b3p-12, -0x1.fbbdad58d22aep-13, -0x1.f4647967456b3p-13, -0x1.ed0d25337c1f9p-13, -0x1.e5b876687fa0fp-13, -0x1.de672a99c280bp-13, -0x1.d719f780bdf14p-13, -0x1.cfd18b391146bp-13, -0x1.c88e8c7afdbadp-13, -0x1.c1519ad49406ap-13, -0x1.ba1b4ee150435p-13, -0x1.b2ec3a7ffc70cp-13, -0x1.abc4e907f0daep-13, -0x1.a4a5df7c11558p-13, -0x1.9d8f9cbcd1de8p-13, -0x1.968299b8f363ep-13, -0x1.8f7f499d3a6dp-13, -0x1.88861a02c1fc3p-13, -0x1.8197731bbf69fp-13, -0x1.7ab3b7dfc0f35p-13, -0x1.73db463617e72p-13, -0x1.6d0e771f5fd8ap-13, -0x1.664d9edd8e387p-13, -0x1.5f990d1c1a3f1p-13, -0x1.58f10d15c6a87p-13, -0x1.5255e5b9c780ap-13, -0x1.4bc7d9d0a7fdep-13, -0x1.4547281ee6e1fp-13, -0x1.3ed40b874d814p-13, -0x1.386ebb2c86eecp-13, -0x1.32176a917f829p-13, -0x1.2bce49b89cf04p-13, -0x1.2593854304c69p-13, -0x1.1f67468dcb01dp-13, -0x1.1949b3cf5cf72p-13, -0x1.133af03363891p-13, -0x1.0d3b1bf65c66dp-13, -0x1.074a547fd79e1p-13, -0x1.0168b47c7c6dbp-13, -0x1.f72ca7edf326dp-14, -0x1.eba690e0d9611p-14, -0x1.e03f49f0eda19p-14, -0x1.d4f6f4875fd1bp-14, -0x1.c9cdad844a477p-14, -0x1.bec38d6a2944p-14, -0x1.b3d8a88711fc4p-14, -0x1.a90d0f1ec9021p-14, -0x1.9e60cd914bac1p-14, -0x1.93d3ec8204fcdp-14, -0x1.896670fcd5b63p-14, -0x1.7f185c9976b5fp-14, -0x1.74e9ada025b41p-14, -0x1.6ada5f2a44322p-14, -0x1.60ea6943e490fp-14, -0x1.5719c10b742f1p-14, -0x1.4d6858d10cb7fp-14, -0x1.43d6203478e69p-14, -0x1.3a6304427c7e7p-14, -0x1.310eef90d26c6p-14, -0x1.27d9ca5948d25p-14, -0x1.1ec37a94a95fcp-14, -0x1.15cbe4143c9efp-14, -0x1.0cf2e89a7bbfbp-14, -0x1.043867f3530ep-14, -0x1.f73880160d242p-15, -0x1.e63c9a0b6dabfp-15, -0x1.d57cd2a867cb9p-15, -0x1.c4f8db92fb389p-15, -0x1.b4b0635de05ebp-15, -0x1.a4a315b0b130cp-15, -0x1.94d09b6db1734p-15, -0x1.85389ad6f6b2dp-15, -0x1.75dab7b2dde2fp-15, -0x1.66b6936d43f7p-15, -0x1.57cbcd3950098p-15, -0x1.491a0231cbdbep-15, -0x1.3aa0cd78b1222p-15, -0x1.2c5fc855354cap-15, -0x1.1e568a4fdac11p-15, -0x1.1084a94fe43d5p-15, -0x1.02e9b9b511116p-15, -0x1.eb0a9ce5c7016p-16, -0x1.d0adf252b327cp-16, -0x1.b6bc947b22c18p-16, -0x1.9d35a1e0a8444p-16, -0x1.841836ec7308cp-16, -0x1.6b636e17c1f81p-16, -0x1.5316601909951p-16, -0x1.3b30240a17121p-16, -0x1.23afcf9004e3ep-16, -0x1.0c94770129f5dp-16, -0x1.ebba5b0fb81bcp-17, -0x1.bf120a8b9a3b7p-17, -0x1.932e1ef0b9b45p-17, -0x1.680cb929d091p-17, -0x1.3dabf8d2d0dafp-17, -0x1.1409fc734e484p-17, -0x1.d649c376f6316p-18, -0x1.85f58b6ab6a41p-18, -0x1.371389fd0952dp-18, -0x1.d33fefe2395p-19, -0x1.3b2e1be9b3098p-19, -0x1.4bd413f0a04a3p-20, -0x1.36c2d43d4cc42p-23, 0x1.f14c144f1706ap-21, 0x1.095b15674dbb3p-19, 0x1.93b388d0a6dc3p-19, 0x1.0db1f059a6afdp-18, 0x1.5039cd0c6c85cp-18, 0x1.917516900c022p-18, 0x1.d16786401c7bfp-18, 0x1.080a6946f8128p-17, 0x1.26c0575dd401cp-17, 0x1.44d7655334707p-17, 0x1.6251694530a05p-17, 0x1.7f30376bc9d62p-17, 0x1.9b75a1fbecfc4p-17, 0x1.b7237911a0028p-17, 0x1.d23b8a9a1bc9dp-17, 0x1.ecbfa23ea2d97p-17, 0x1.0358c4a70ef4cp-16, 0x1.100983558b61p-16, 0x1.1c72ef5e23936p-16, 0x1.2895e9ac06517p-16, 0x1.347351db60268p-16, 0x1.400c063164288p-16, 0x1.4b60e392bc2c7p-16, 0x1.5672c57fc27b6p-16, 0x1.6142860d8b1ep-16, 0x1.6bd0fddf68602p-16, 0x1.761f042184079p-16, 0x1.802d6e82b9978p-16, 0x1.89fd113196e65p-16, 0x1.938ebed65b20fp-16, 0x1.9ce3488e6ea9ep-16, 0x1.a5fb7de98eeb9p-16, 0x1.aed82ce6172fap-16, 0x1.b77a21ecdca6dp-16, }}, 
      {{0x1.b56b363a1c73dp-7, 0x1.b70fd175c529ep-6, 0x1.4b1a9ac2ea9bap-5, 0x1.bc51c08b52a4p-5, 0x1.178e5bae0194ep-4, 0x1.5195a72cb1005p-4, 0x1.8c00791d53b5bp-4, 0x1.c683816145c79p-4, 0x1.00671a1cc995bp-3, 0x1.1d4871eca75aep-3, 0x1.39c0987e290c5p-3, 0x1.55ae82a1bb531p-3, 0x1.70f62c69adfbdp-3, 0x1.8b81026e5edcep-3, 0x1.a53def203b0ccp-3, 0x1.be212560cd8aap-3, 0x1.d623bd25e1db8p-3, 0x1.ed4332d022f6ep-3, 0x1.01c06b245375ap-2, 0x1.0c7099f55db96p-2, 0x1.16b5bf5837ad9p-2, 0x1.2094807e00d54p-2, 0x1.2a124bd0c1abdp-2, 0x1.33351cbabf3e1p-2, 0x1.3c034649ca22bp-2, 0x1.448344df9c474p-2, 0x1.4cbb96d34bca3p-2, 0x1.54b29bb151b4ap-2, 0x1.5c6e79a355e2ap-2, 0x1.63f50872ee319p-2, 0x1.6b4bc18fb3517p-2, 0x1.7277b47e6f511p-2, 0x1.797d7f1aadd66p-2, 0x1.8061491b7bd9cp-2, 0x1.8726c2567d3cep-2, 0x1.8dd123483bc62p-2, 0x1.94632f750c028p-2, 0x1.9adf394270777p-2, 0x1.a14726f4f0c68p-2, 0x1.a79c7889c94c1p-2, 0x1.ade04e2e6970ep-2, 0x1.b4136f2139a61p-2, 0x1.ba3650cfc1676p-2, 0x1.c0491e0dd2fdep-2, 0x1.c64bbe480d316p-2, 0x1.cc3ddc99c46d1p-2, 0x1.d21eeeb357102p-2, 0x1.d7ee3b823ad2dp-2, 0x1.ddaae18f9571ap-2, 0x1.e353dd0d467fdp-2, 0x1.e8e80d8bc82cep-2, 0x1.ee663b556559fp-2, 0x1.f3cd1c6cf9656p-2, 0x1.f91b592fda3d3p-2, 0x1.fe4f909ba813bp-2, 0x1.01b42e1cd5c7dp-1, 0x1.043229d90f61bp-1, 0x1.06a10805228dap-1, 0x1.0900174853be3p-1, 0x1.0b4ea9bd8b619p-1, 0x1.0d8c161d1fdc2p-1, 0x1.0fb7b8c3689dep-1, 0x1.11d0f4961927bp-1, 0x1.13d733ca6c4a3p-1, 0x1.15c9e88e23832p-1, 0x1.17a88d9550498p-1, 0x1.1972a68edd8aap-1, 0x1.1b27c081b7314p-1, 0x1.1cc77214656ccp-1, 0x1.1e515bc0da8f7p-1, 0x1.1fc527f6259b4p-1, 0x1.21228b29a19f6p-1, 0x1.226943d92d111p-1, 0x1.23991a7fdb38fp-1, 0x1.24b1e17e80dd7p-1, 0x1.25b374f9655cbp-1, 0x1.269dbaac546e1p-1, 0x1.2770a1b6310dcp-1, 0x1.282c225d1edf3p-1, 0x1.28d03dcc3d5f3p-1, 0x1.295cfdcbe6c9fp-1, 0x1.29d274754b4fdp-1, 0x1.2a30bbe23554p-1, 0x1.2a77f5d9b4098p-1, 0x1.2aa84b7a55c4p-1, 0x1.2ac1ece29248ep-1, 0x1.2ac510d7f6458p-1, 0x1.2ab1f46d8fe54p-1, 0x1.2a88daaa16caep-1, 0x1.2a4a0c2e3934ap-1, 0x1.29f5d6db6df2p-1, 0x1.298c8d7ba3caap-1, 0x1.290e876a18aa1p-1, 0x1.287c203d9bda8p-1, 0x1.27d5b7747951ap-1, 0x1.271bb0223d8fdp-1, 0x1.264e709f82719p-1, 0x1.256e623be6d1cp-1, 0x1.247bf0f25268cp-1, 0x1.23778b1fa04bep-1, 0x1.2261a13bc286cp-1, 0x1.213aa59570d55p-1, 0x1.20030c106bf49p-1, 0x1.1ebb49e660885p-1, 0x1.1d63d56a6924ap-1, 0x1.1bfd25cf34fbap-1, 0x1.1a87b2efcde77p-1, 0x1.1903f51afb9e6p-1, 0x1.177264e13bed2p-1, 0x1.15d37ae54764ep-1, 0x1.1427afaf19b07p-1, 0x1.126f7b816e9dp-1, 0x1.10ab5631a947fp-1, 0x1.0edbb70214f43p-1, 0x1.0d01147e7254p-1, 0x1.0b1be45abe988p-1, 0x1.092c9b5424a73p-1, 0x1.0733ad1409132p-1, 0x1.05318c151a6a9p-1, 0x1.0326a98a59884p-1, 0x1.0113754804247p-1, 0x1.fdf0bb5c9d757p-2, 0x1.f9ab9f2bc198ep-2, 0x1.f5586c7bf69d7p-2, 0x1.f0f7f67876629p-2, 0x1.ec8b0cdbc7f64p-2, 0x1.e8127bd548647p-2, 0x1.e38f0bf17e351p-2, 0x1.df018205169c2p-2, 0x1.da6a9f1a726ap-2, 0x1.d5cb20619882ap-2, 0x1.d123bf22761bap-2, 0x1.cc7530b14ca6ep-2, 0x1.c7c026652aaa4p-2, 0x1.c3054d905d7dp-2, 0x1.be454f7ab292dp-2, 0x1.b980d15d7b939p-2, 0x1.b4b874612e8bep-2, 0x1.afecd59c95759p-2, 0x1.ab1e8e1567b5bp-2, 0x1.a64e32c244c3dp-2, 0x1.a17c548dedadfp-2, 0x1.9ca9805bb126ap-2, 0x1.97d63f0ceca7bp-2, 0x1.930315879c7fdp-2, 0x1.8e3084bdd72c1p-2, 0x1.895f09b6323a7p-2, 0x1.848f1d94f41f9p-2, 0x1.7fc135a60a336p-2, 0x1.7af5c367af0adp-2, 0x1.762d3495b31a6p-2, 0x1.7167f3355e66ep-2, 0x1.6ca665a1d4644p-2, 0x1.67e8ee98f8b19p-2, 0x1.632fed48bf24ep-2, 0x1.5e7bbd5ce2503p-2, 0x1.59ccb70cf2de9p-2, 0x1.55232f2ab4c86p-2, 0x1.507f7730c4a99p-2, 0x1.4be1dd517724ap-2, 0x1.474aac85edeeap-2, 0x1.42ba2c9d57f44p-2, 0x1.3e30a24c56e17p-2, 0x1.39ae4f3c80ce9p-2, 0x1.3533721bf8cc6p-2, 0x1.30c046ad18267p-2, 0x1.2c5505d620009p-2, 0x1.27f1e5b0f4a19p-2, 0x1.2397199ad0d2ep-2, 0x1.1f44d243fb031p-2, 0x1.1afb3dbf6c554p-2, 0x1.16ba87926aef4p-2, 0x1.1282d8c41320fp-2, 0x1.0e5457ecc85b2p-2, 0x1.0a2f294590997p-2, 0x1.06136eb74f409p-2, 0x1.020147e9e5993p-2, 0x1.fbf1a4a65af01p-3, 0x1.f3f4528ba4f29p-3, 0x1.ec0acc0002e75p-3, 0x1.e4353f73e4321p-3, 0x1.dc73d7688937cp-3, 0x1.d4c6ba8c66b3ap-3, 0x1.cd2e0bd72aedfp-3, 0x1.c5a9eaa568591p-3, 0x1.be3a72d3d863ap-3, 0x1.b6dfbcda42cfbp-3, 0x1.af99dde5f6353p-3, 0x1.a868e7f3e0a45p-3, 0x1.a14ce9ea3b348p-3, 0x1.9a45efb1c8827p-3, 0x1.9354024eae052p-3, 0x1.8c7727f8dbebbp-3, 0x1.85af643407e84p-3, 0x1.7efcb7e73a078p-3, 0x1.785f2173ed577p-3, 0x1.71d69cccbb907p-3, 0x1.6b63238ba0f3fp-3, 0x1.6504ad07cb2d9p-3, 0x1.5ebb2e6afc036p-3, 0x1.58869ac67d316p-3, 0x1.5266e3279f482p-3, 0x1.4c5bf6abd6074p-3, 0x1.4665c2945d175p-3, 0x1.408432596ed03p-3, 0x1.3ab72fbd1a3ddp-3, 0x1.34fea2dd9b5c3p-3, 0x1.2f5a72475a7bfp-3, 0x1.29ca830670821p-3, 0x1.244eb8b7d16efp-3, 0x1.1ee6f59a00264p-3, 0x1.19931a9d65db1p-3, 0x1.145307743c698p-3, 0x1.0f269aa219b0cp-3, 0x1.0a0db18b0c19p-3, 0x1.050828826388ap-3, 0x1.0015dad909c2ap-3, 0x1.f66d45d70ae55p-4, 0x1.ecd4b45f3022cp-4, 0x1.e361b282fd17p-4, 0x1.da13efe1b5a84p-4, 0x1.d0eb1a9a6edcep-4, 0x1.c7e6df648227dp-4, 0x1.bf06e9a72a157p-4, 0x1.b64ae3909782cp-4, 0x1.adb2762c3ac2fp-4, 0x1.a53d49787ac05p-4, 0x1.9ceb047bbdf4dp-4, 0x1.94bb4d58d0a7p-4, 0x1.8cadc962aab71p-4, 0x1.84c21d2f9d3f8p-4, 0x1.7cf7ecabe31c3p-4, 0x1.754edb2b9919p-4, 0x1.6dc68b7c2394fp-4, 0x1.665e9ff5035ccp-4, 0x1.5f16ba8819bd2p-4, 0x1.57ee7cd162a84p-4, 0x1.50e588262549dp-4, 0x1.49fb7da39e05cp-4, 0x1.432ffe3d26491p-4, 0x1.3c82aac9da2b5p-4, 0x1.35f32411c1567p-4, 0x1.2f810ada7be74p-4, 0x1.292bfff379166p-4, 0x1.22f3a441b4513p-4, 0x1.1cd798cb02c9dp-4, 0x1.16d77ec0ef61fp-4, 0x1.10f2f78b2766fp-4, 0x1.0b29a4d17e1a5p-4, 0x1.057b28858652ap-4, 0x1.ffce49d78d354p-5, 0x1.f4da79490ddaap-5, 0x1.ea1a256884e0ap-5, 0x1.df8c95176a297p-5, 0x1.d531101f1ea5p-5, 0x1.cb06df3f9f492p-5, 0x1.c10d4c3d88776p-5, 0x1.b743a1ef6b937p-5, 0x1.ada92c4a83751p-5, 0x1.a43d386ebff68p-5, 0x1.9aff14b23c553p-5, 0x1.91ee10ac135fp-5, 0x1.89097d3ea4c6p-5, 0x1.8050aca14762cp-5, 0x1.77c2f2696fc74p-5, 0x1.6f5fa3934ac9dp-5, 0x1.67261689d8578p-5, 0x1.5f15a32e80398p-5, 0x1.572da2e02edf3p-5, 0x1.4f6d7081f4e7ap-5, 0x1.47d468812f63bp-5, 0x1.4061e8db468b1p-5, 0x1.39155122f52afp-5, 0x1.31ee028527ef2p-5, 0x1.2aeb5fcd76fc6p-5, 0x1.240ccd6a3819ap-5, 0x1.1d51b17034aabp-5, 0x1.16b9739df9fb6p-5, 0x1.10437d5ed9adp-5, 0x1.09ef39cd86914p-5, 0x1.03bc15b666edap-5, 0x1.fb52ff331efa6p-6, 0x1.ef6dcf58e7b6bp-6, 0x1.e3c77fb68715bp-6, 0x1.d85ef79412d5cp-6, 0x1.cd3321aaecc0cp-6, 0x1.c242ec26ef25dp-6, 0x1.b78d48a6ff371p-6, 0x1.ad112c3d287b6p-6, 0x1.a2cd8f6e44241p-6, 0x1.98c16e3126a61p-6, 0x1.8eebc7ed64791p-6, 0x1.854b9f79a4241p-6, 0x1.7bdffb1990955p-6, 0x1.72a7e47b60852p-6, 0x1.69a268b50dap-6, 0x1.60ce98412a94cp-6, 0x1.582b86fb5da85p-6, 0x1.4fb84c1c90b1dp-6, 0x1.47740236d2fbp-6, 0x1.3f5dc730ed048p-6, 0x1.3774bc41b2d8dp-6, 0x1.2fb805eb0c7c2p-6, 0x1.2826cbf4bfbb3p-6, 0x1.20c0396702634p-6, 0x1.19837c84ca53cp-6, 0x1.126fc6c5f2a3fp-6, 0x1.0b844cd12443cp-6, 0x1.04c046758bf24p-6, 0x1.fc45dd48d7399p-7, 0x1.ef5706d4f4f7ep-7, 0x1.e2b28bd23fca1p-7, 0x1.d656f49f10371p-7, 0x1.ca42cfa720a4bp-7, 0x1.be74b15536e8ep-7, 0x1.b2eb34047968fp-7, 0x1.a7a4f7f19fa21p-7, 0x1.9ca0a32bf7109p-7, 0x1.91dce18610d53p-7, 0x1.875864866b21ep-7, 0x1.7d11e357d9e8dp-7, 0x1.73081ab9dbd8p-7, 0x1.6939ccf0c9549p-7, 0x1.5fa5c1b5e5e84p-7, 0x1.564ac62756f17p-7, 0x1.4d27acb803cebp-7, 0x1.443b4d1f66faap-7, 0x1.3b8484494dfd3p-7, 0x1.330234459276dp-7, 0x1.2ab34437bf0b8p-7, 0x1.2296a046aead5p-7, 0x1.1aab398c2e6ecp-7, 0x1.12f0060499b43p-7, 0x1.0b64007e6f14p-7, 0x1.04062889fc273p-7, 0x1.f9ab04d200b04p-8, 0x1.eba22dfc8f9ffp-8, 0x1.ddefe77aea3a5p-8, 0x1.d09255355f61bp-8, 0x1.c387a3f4f730fp-8, 0x1.b6ce094320be9p-8, 0x1.aa63c34995a29p-8, 0x1.9e4718b24c1f7p-8, 0x1.9276588794a4p-8, 0x1.86efda1471d93p-8, 0x1.7bb1fcc514b76p-8, 0x1.70bb28077ceaap-8, 0x1.6609cb2c7662fp-8, 0x1.5b9c5d487b95bp-8, 0x1.51715d151f6bfp-8, 0x1.478750d28c048p-8, 0x1.3ddcc629314fap-8, 0x1.3470520bcf25bp-8, 0x1.2b409099a8767p-8, 0x1.224c25010547dp-8, 0x1.1991b961dc659p-8, 0x1.110ffeb0e264ep-8, 0x1.08c5ac9ac2095p-8, 0x1.00b18167b72cfp-8, 0x1.f1a483be9b618p-9, 0x1.e24d725917e4fp-9, 0x1.d35b7184a06a1p-9, 0x1.c4cc307fe5fe2p-9, 0x1.b69d6aaca57e1p-9, 0x1.a8cce75a0daefp-9, 0x1.9b5879900202fp-9, 0x1.8e3dffdacc45fp-9, 0x1.817b64175ef71p-9, 0x1.750e9b40624bcp-9, 0x1.68f5a53bca8f7p-9, 0x1.5d2e8ca8f35dcp-9, 0x1.51b766af6b112p-9, 0x1.468e52ce68c45p-9, 0x1.3bb17aace5051p-9, 0x1.311f11ea30a0bp-9, 0x1.26d555ef44169p-9, 0x1.1cd28dc09c56fp-9, 0x1.131509d0d0287p-9, 0x1.099b23d3cc2eep-9, 0x1.00633e926874dp-9, 0x1.eed78b7ddb8bep-10, 0x1.dd665b941ce2bp-10, 0x1.cc6fe77132c35p-10, 0x1.bbf139f33296fp-10, 0x1.abe76e7a7648bp-10, 0x1.9c4fb0988cdp-10, 0x1.8d273bc052d6ap-10, 0x1.7e6b5af760858p-10, 0x1.701968885abf1p-10, 0x1.622ecdb6e4efep-10, 0x1.54a902745c678p-10, 0x1.47858d161280bp-10, 0x1.3ac2020c4ab08p-10, 0x1.2e5c039af0d0dp-10, 0x1.22514192d8c5bp-10, 0x1.169f790cb53d8p-10, 0x1.0b447424a66fbp-10, 0x1.003e09b74f8bap-10, 0x1.eb143a3fae7c1p-11, 0x1.d64d3bedf482ap-11, 0x1.c2230fa6fdcd5p-11, 0x1.ae91c41650d1dp-11, 0x1.9b957eeaa893cp-11, 0x1.892a7c5ceece4p-11, 0x1.774d0eb8d02adp-11, 0x1.65f99de7e4ec5p-11, 0x1.552ca6fed23a8p-11, 0x1.44e2bbcc09894p-11, 0x1.35188269860fp-11, 0x1.25cab4cf33cb5p-11, 0x1.16f62068305c1p-11, 0x1.0897a5a9c0726p-11, 0x1.f5586f582ba72p-12, 0x1.da61b789e7b79p-12, 0x1.c045524916769p-12, 0x1.a6fd90e6e842fp-12, 0x1.8e84e6e5fab74p-12, 0x1.76d5e93f007adp-12, 0x1.5feb4da78a025p-12, 0x1.49bfe9dce2b2dp-12, 0x1.344eb2f319d25p-12, 0x1.1f92bca5e5b35p-12, 0x1.0b8738ae5aa9bp-12, 0x1.f04eec36dd0b1p-13, 0x1.caddc15957b41p-13, 0x1.a6b2006329273p-13, 0x1.83c2efd69b245p-13, 0x1.62080be3ded23p-13, 0x1.4179053816d7fp-13, 0x1.220dbfd3de324p-13, 0x1.03be51e71e386p-13, 0x1.cd060563f9bd6p-14, 0x1.94a892dc45589p-14, 0x1.5e559874cdf55p-14, 0x1.29febe19773c4p-14, 0x1.ef2c0aaeb3e78p-15, 0x1.8e1b8ea92347cp-15, 0x1.30b165b0ae869p-15, 0x1.ada72960c6714p-16, 0x1.00d1884ca6803p-16, 0x1.6ac1e32a3f219p-18, -0x1.13b0f044bd559p-18, -0x1.bc6737da9dcfp-17, -0x1.7153822921838p-16, -0x1.fe78a6b9e2f77p-16, -0x1.42e7526a54cf7p-15, -0x1.83c000c33e8dfp-15, -0x1.c1db190df181fp-15, -0x1.fd4cd1320cfabp-15, -0x1.1b146eb940494p-14, -0x1.364139b5c2893p-14, -0x1.50362684dea08p-14, -0x1.68fc55b2e0868p-14, -0x1.809caccd8043p-14, -0x1.971fd7c554d4dp-14, -0x1.ac8e4a46844d9p-14, -0x1.c0f0410d2658fp-14, -0x1.d44dc32e7282fp-14, -0x1.e6aea35af3d37p-14, -0x1.f81a811f1a7aap-14, -0x1.044c650ae05e2p-13, -0x1.0c185d8ca02ep-13, -0x1.1374b0b54e016p-13, -0x1.1a64cde9a091p-13, -0x1.20ec0ddffc1f9p-13, -0x1.270db32b77b88p-13, -0x1.2ccceac3090bdp-13, -0x1.322ccc86130d6p-13, -0x1.37305bbdc2ba3p-13, -0x1.3bda879aeba5bp-13, -0x1.402e2bb28f286p-13, -0x1.442e1076e188cp-13, -0x1.47dcebad19b0dp-13, -0x1.4b3d60e0ca613p-13, -0x1.4e5201d58a261p-13, -0x1.511d4ef37da64p-13, -0x1.53a1b7b572c43p-13, -0x1.55e19b10a9277p-13, -0x1.57df47dcaa152p-13, -0x1.599cfd372592bp-13, -0x1.5b1ceae66e72ep-13, -0x1.5c6131b978ad2p-13, -0x1.5d6be3e5a3db6p-13, -0x1.5e3f0562aea44p-13, -0x1.5edc8c43e4608p-13, -0x1.5f46610fc20a3p-13, -0x1.5f7e5f146135dp-13, -0x1.5f8654bc49b9dp-13, -0x1.5f6003dee2d7cp-13, -0x1.5f0d2210d5fbbp-13, -0x1.5e8f58f0c26dcp-13, -0x1.5de84673d6e55p-13, -0x1.5d197d2f647d2p-13, -0x1.5c2484a15eef5p-13, -0x1.5b0ad976f0203p-13, -0x1.59cdedd20672fp-13, -0x1.586f298c0ef11p-13, -0x1.56efea7763141p-13, -0x1.5551849fbc289p-13, -0x1.5395428948507p-13, -0x1.51bc656d44827p-13, -0x1.4fc82575c3c6p-13, -0x1.4db9b1f846e3p-13, -0x1.4b9231ae2b07ep-13, -0x1.4952c2ec3740ep-13, -0x1.46fc7bd8c8daap-13, -0x1.44906aa10ac5ap-13, -0x1.420f95ac94f32p-13, -0x1.3f7afbcf413acp-13, -0x1.3cd3947a97c3ep-13, -0x1.3a1a4fed88635p-13, -0x1.37501763a32bp-13, -0x1.3475cd4257ac8p-13, -0x1.318c4d45e6c46p-13, -0x1.2e946cac83a0fp-13, -0x1.2b8efa6119cf5p-13, -0x1.287cbf24182e1p-13, -0x1.255e7db42f433p-13, -0x1.2234f2f5fcda5p-13, -0x1.1f00d61a0ae45p-13, -0x1.1bc2d8c28c96dp-13, -0x1.187ba727ba761p-13, -0x1.152be83ba2c2dp-13, -0x1.11d43dccca5ccp-13, -0x1.0e7544a847705p-13, -0x1.0b0f94bae5581p-13, -0x1.07a3c1318b57dp-13, -0x1.043258987ccdfp-13, -0x1.00bbe4fa30032p-13, -0x1.fa81d7fa87972p-14, -0x1.f383de03a9a8ap-14, -0x1.ec7ed67b7b092p-14, -0x1.e573b3b1a0ef3p-14, -0x1.de63600f4a8aap-14, -0x1.d74ebe4c70837p-14, -0x1.d036a9a2e7d35p-14, -0x1.c91bf600f2eb9p-14, -0x1.c1ff703aa99d7p-14, -0x1.bae1de3961676p-14, -0x1.b3c3ff2ad4e7ap-14, -0x1.aca68bae5a1c7p-14, -0x1.a58a36014d149p-14, -0x1.9e6faa2a0f174p-14, -0x1.97578e2253754p-14, -0x1.9042820094897p-14, -0x1.8931201ff394bp-14, -0x1.8223fd47a0fc2p-14, -0x1.7b1ba8d08e6b3p-14, -0x1.7418accade207p-14, -0x1.6d1b8e21d9e82p-14, -0x1.6624ccbfdd4c9p-14, -0x1.5f34e3b04a12ep-14, -0x1.584c4941b7a01p-14, -0x1.516b6f2658cd6p-14, -0x1.4a92c2940ae82p-14, -0x1.43c2ac6318de5p-14, -0x1.3cfb912d0bee3p-14, -0x1.363dd16a4c6e7p-14, -0x1.2f89c98ea8a99p-14, -0x1.28dfd225f0149p-14, -0x1.22403fef02626p-14, -0x1.1bab63f6f774p-14, -0x1.15218bb2d62a4p-14, -0x1.0ea30118ecd37p-14, -0x1.08300ab9fba83p-14, -0x1.01c8ebd939d47p-14, -0x1.f6dbc9081b296p-15, -0x1.ea3e6351cbb0bp-15, -0x1.ddba1a5aadd82p-15, -0x1.d14f5c08c6308p-15, -0x1.c4fe9086dc78ep-15, -0x1.b8c81a6e59d3bp-15, -0x1.acac56ef98dd6p-15, -0x1.a0ab9df93e9aap-15, -0x1.94c6425f55125p-15, -0x1.88fc920035a83p-15, -0x1.7d4ed5e8f72a8p-15, -0x1.71bd5278e966bp-15, -0x1.6648478526b81p-15, -0x1.5aeff07972eaap-15, -0x1.4fb4847a0dac2p-15, -0x1.4496368377af8p-15, -0x1.39953589b1ca6p-15, -0x1.2eb1ac973c4cbp-15, -0x1.23ebc2e9dd17p-15, -0x1.19439c110dbffp-15, -0x1.0eb9580926f06p-15, -0x1.044d13577536bp-15, -0x1.f3fdce4b44b61p-16, -0x1.df9dd2b6771bfp-16, -0x1.cb7a596e2890fp-16, -0x1.b79381d1ea61ep-16, -0x1.a3e96552622f1p-16, -0x1.907c17a106e4p-16, -0x1.7d4ba6df3cfefp-16, -0x1.6a581bc9893ebp-16, -0x1.57a179e511777p-16, -0x1.4527bfa973eeep-16, -0x1.32eae6aa7f04ap-16, -0x1.20eae3c147711p-16, -0x1.0f27a732ca2d2p-16, -0x1.fb4239addc604p-17, -0x1.d8ae587cac305p-17, -0x1.b69371aec6095p-17, -0x1.94f14421e26ddp-17, -0x1.73c786fb74dcbp-17, -0x1.5315e9ebcd8d9p-17, -0x1.32dc156fd5c54p-17, -0x1.1319ab137eb9bp-17, -0x1.e79c8b5b22769p-18, -0x1.a9f2f33e41dbcp-18, -0x1.6d35aa1d74365p-18, -0x1.3163c040052adp-18, -0x1.ecf874c504dffp-19, -0x1.78fc24383fa2bp-19, -0x1.06d06c97d0af8p-19, -0x1.2ce62e1278dcap-20, -0x1.3f0ec6e0e30a6p-22, 0x1.1396ae96dbaf4p-21, 0x1.5fcbccf6f35e9p-20, 0x1.1921593174ad8p-19, 0x1.809a9629f8cc8p-19, 0x1.e6543fe6598efp-19, 0x1.2528842d382dep-18, 0x1.5649d82487c9p-18, 0x1.868f8349a61ap-18, 0x1.b5faf3d24918ep-18, 0x1.e48d9e6523ccp-18, 0x1.09247ee78f962p-17, 0x1.1f97495d01fc5p-17, 0x1.359ff1b307d0bp-17, 0x1.4b3f3daf10fdep-17, 0x1.6075f59cee7dcp-17, 0x1.7544e42ab8d14p-17, 0x1.89acd648805e1p-17, 0x1.9dae9b0a7aa42p-17, 0x1.b14b0388a3794p-17, 0x1.c482e2c139139p-17, 0x1.d7570d7b1e22ep-17, 0x1.e9c85a2a42bb2p-17, 0x1.fbd7a0d38e6cp-17, 0x1.06c2dd78f8e46p-16, 0x1.0f69c1aebb0d3p-16, 0x1.17e0eb17bc16p-16, 0x1.2028c8557a858p-16, 0x1.2841c89283e38p-16, 0x1.302c5b76b16f5p-16, 0x1.37e8f11b8996ap-16, 0x1.3f77fa01fd75p-16, 0x1.46d9e70600881p-16, 0x1.4e0f295591a63p-16, 0x1.551832663a86dp-16, 0x1.5bf573ea9002cp-16, 0x1.62a75fc96083ap-16, 0x1.692e681424f0bp-16, 0x1.6f8afefdb8f15p-16, 0x1.75bd96d1aed53p-16, 0x1.7bc6a1ec160e1p-16, 0x1.81a692b13793cp-16, 0x1.875ddb847c449p-16, 0x1.8ceceec1fe616p-16, 0x1.92543eb5e8fcfp-16, 0x1.97943d95ef86cp-16, 0x1.9cad5d79e25b3p-16, 0x1.a1a01055189d6p-16, 0x1.a66cc7ee98b13p-16, 0x1.ab13f5db8636p-16, 0x1.af960b7954eb4p-16, 0x1.b3f379e632046p-16, 0x1.b82cb1fc6f0fep-16, 0x1.bc42244c3832bp-16, 0x1.c03441164d143p-16, 0x1.c403784613556p-16, 0x1.c7b0396cf98b1p-16, 0x1.cb3af3bdc551ep-16, 0x1.cea41606c1e06p-16, 0x1.d1ec0ead9cc79p-16, 0x1.d5134baadd1a4p-16, 0x1.d81a3a8540a2cp-16, 0x1.db01484e2f3dcp-16, 0x1.ddc8e19d169f6p-16, 0x1.e071728bf2935p-16, 0x1.e2fb66b2dca3ap-16, 0x1.e567292470519p-16, 0x1.e7b5246b2b81fp-16, 0x1.e9e5c284db8d6p-16, 0x1.ebf96ce04e612p-16, 0x1.edf08c5a03d1fp-16, 0x1.efcb8938c66e9p-16, 0x1.f18acb2b0346fp-16, 0x1.f32eb944087a2p-16, 0x1.f4b7b9f981bd4p-16, 0x1.f6263320ceb13p-16, 0x1.f77a89ec36a1dp-16, 0x1.f8b522e91aa27p-16, 0x1.f9d661fd70a37p-16, 0x1.fadeaa660a746p-16, 0x1.fbce5eb3f911fp-16, 0x1.fca5e0cb41e76p-16, 0x1.fd6591e0b05c9p-16, }}, 
      {{0x1.569f6ad95b8d8p-1, 0x1.56bc02fc52492p-1, 0x1.56f31c2573b23p-1, 0x1.5748dae2f5a55p-1, 0x1.57bdc50e3a34ap-1, 0x1.584ed4054523p-1, 0x1.58f63372116cdp-1, 0x1.59ac3535e7653p-1, 0x1.5a683d42e4dbfp-1, 0x1.5b2188c893e7dp-1, 0x1.5bcfc6d494fcp-1, 0x1.5c6b82db1d39dp-1, 0x1.5cee66b2fefbp-1, 0x1.5d535b82dd9c8p-1, 0x1.5d969149e7e1dp-1, 0x1.5db573f6d434bp-1, 0x1.5dae93eb5c83dp-1, 0x1.5d8186a49a0e1p-1, 0x1.5d2ec32fbc67cp-1, 0x1.5cb77d2697bbep-1, 0x1.5c1d802c81339p-1, 0x1.5b630d47c3fe4p-1, 0x1.5a8abaf9e0519p-1, 0x1.5997589b72de6p-1, 0x1.588bd53abc744p-1, 0x1.576b2a08adb55p-1, 0x1.5638483c25347p-1, 0x1.54f60a3a67cb3p-1, 0x1.53a727c41f3ccp-1, 0x1.524e2cdd2b14fp-1, 0x1.50ed7321a3a32p-1, 0x1.4f871d3a24611p-1, 0x1.4e1d1423cb6e6p-1, 0x1.4cb106047bf74p-1, 0x1.4b4466492c94bp-1, 0x1.49d86ed1f285p-1, 0x1.486e21f5a7478p-1, 0x1.47064d2d30d1p-1, 0x1.45a18c3c7c473p-1, 0x1.44404cb4e5e32p-1, 0x1.42e2d1b2160f1p-1, 0x1.418937b73a3cep-1, 0x1.40337896da69p-1, 0x1.3ee16f5382a6p-1, 0x1.3d92dbeae45dfp-1, 0x1.3c47670023ca3p-1, 0x1.3afea55ca3bcap-1, 0x1.39b81b40e233dp-1, 0x1.38733f80e9d51p-1, 0x1.372f7e6972caep-1, 0x1.35ec3c6c2ceb6p-1, 0x1.34a8d892c300ep-1, 0x1.3364aeb912922p-1, 0x1.321f198fc56dfp-1, 0x1.30d7746912a34p-1, 0x1.2f8d1cd1cd4fap-1, 0x1.2e3f73f94756fp-1, 0x1.2ceddfeab8c0dp-1, 0x1.2b97cc9b0aa44p-1, 0x1.2a3caccdef1b7p-1, 0x1.28dbfad53ce75p-1, 0x1.2775392d78756p-1, 0x1.2607f2fa6af1fp-1, 0x1.2493bc668ecaep-1, 0x1.231832e800d3ap-1, 0x1.2194fd6d85217p-1, 0x1.2009cc7610262p-1, 0x1.1e765a151c183p-1, 0x1.1cda69e5f773bp-1, 0x1.1b35c8f00c82ap-1, 0x1.19884d7e05b53p-1, 0x1.17d1d6e988939p-1, 0x1.16124d5d255bdp-1, 0x1.1449a18df1ca9p-1, 0x1.1277cc6e2d5cfp-1, 0x1.109cceda27f68p-1, 0x1.0eb8b1408b369p-1, 0x1.0ccb83470bbbbp-1, 0x1.0ad55b6c6d67cp-1, 0x1.08d656a8ae695p-1, 0x1.06ce980c150eap-1, 0x1.04be485dcc203p-1, 0x1.02a595ba9ee5bp-1, 0x1.0084b3346040dp-1, 0x1.fcb7b0e4d0cacp-2, 0x1.f85682a72c136p-2, 0x1.f3e65b2447853p-2, 0x1.ef67c0d347236p-2, 0x1.eadb407eb0205p-2, 0x1.e6416c9a503edp-2, 0x1.e19adc9ea7378p-2, 0x1.dce82c6a1ab2bp-2, 0x1.d829fba8334bp-2, 0x1.d360ed3efcfc2p-2, 0x1.ce8da6c2b99bcp-2, 0x1.c9b0cfefe63fp-2, 0x1.c4cb122ba9f8ep-2, 0x1.bfdd180aa283dp-2, 0x1.bae78cde0bc14p-2, 0x1.b5eb1c4730785p-2, 0x1.b0e871d112bb3p-2, 0x1.abe038902935ap-2, 0x1.a6d31ac81eeafp-2, 0x1.a1c1c1976735bp-2, 0x1.9cacd4a887b0bp-2, 0x1.9794f9e8eb9dcp-2, 0x1.927ad54519a4fp-2, 0x1.8d5f086a1d4fp-2, 0x1.8842328bf52a6p-2, 0x1.8324f030de071p-2, 0x1.7e07db01413adp-2, 0x1.78eb899c22bep-2, 0x1.73d08f6fd2e1bp-2, 0x1.6eb77c96c06ep-2, 0x1.69a0ddb82f5a1p-2, 0x1.648d3becb15ddp-2, 0x1.5f7d1ca628838p-2, 0x1.5a71019b2c93dp-2, 0x1.556968b5a0c95p-2, 0x1.5066cc04570bep-2, 0x1.4b69a1af8a2bdp-2, 0x1.46725bf01052cp-2, 0x1.4181690917edp-2, 0x1.3c9733444857bp-2, 0x1.37b420f01ebedp-2, 0x1.32d8946069b2ap-2, 0x1.2e04ebf0b3f5fp-2, 0x1.2939820888873p-2, 0x1.2476ad2166fd1p-2, 0x1.1fbcbfce4b30cp-2, 0x1.1b0c08c4a8fabp-2, 0x1.1664d2e6c4431p-2, 0x1.11c7654f3dd05p-2, 0x1.0d34035dc812dp-2, 0x1.08aaecc4defbap-2, 0x1.042c5d98730a3p-2, 0x1.ff711cbad6d3cp-3, 0x1.f69f6833d5caep-3, 0x1.ede400cc88abp-3, 0x1.e53f42fd0cb45p-3, 0x1.dcb184a920994p-3, 0x1.d43b154540467p-3, 0x1.cbdc3dfc7f8a2p-3, 0x1.c39541d7166afp-3, 0x1.bb665de17bfcdp-3, 0x1.b34fc953ed67ep-3, 0x1.ab51b5ba50694p-3, 0x1.a36c4f1c54486p-3, 0x1.9b9fbc25b51ap-3, 0x1.93ec1e4e96c2ep-3, 0x1.8c519203dffadp-3, 0x1.84d02ecf73e2ap-3, 0x1.7d680780575f3p-3, 0x1.76192a5292b93p-3, 0x1.6ee3a116d145p-3, 0x1.67c77159b645bp-3, 0x1.60c49c8ac59f4p-3, 0x1.59db2022eae5bp-3, 0x1.530af5ca87ea9p-3, 0x1.4c54137f04a05p-3, 0x1.45b66bb7d5c62p-3, 0x1.3f31ed8af513ep-3, 0x1.38c684d0c2fdp-3, 0x1.32741a47485bfp-3, 0x1.2c3a93b4d8076p-3, 0x1.2619d40a08662p-3, 0x1.2011bb82fdf75p-3, 0x1.1a2227c808938p-3, 0x1.144af40d8efe4p-3, 0x1.0e8bf9333ffep-3, 0x1.08e50de291c5fp-3, 0x1.035606ac80bcbp-3, 0x1.fbbd6c4d35a5dp-4, 0x1.f0fdda0e946e6p-4, 0x1.e66cf482d0671p-4, 0x1.dc0a563e2254ep-4, 0x1.d1d596b77a72p-4, 0x1.c7ce4a7b42047p-4, 0x1.bdf4035c9bafep-4, 0x1.b44650a5406abp-4, 0x1.aac4bf43e5bccp-4, 0x1.a16ed9f9328ddp-4, 0x1.9844298356394p-4, 0x1.8f4434c835681p-4, 0x1.866e80fe33075p-4, 0x1.7dc291d3a36d8p-4, 0x1.753fe994e5d06p-4, 0x1.6ce609512b413p-4, 0x1.64b470fdf2c0bp-4, 0x1.5caa9f993cb37p-4, 0x1.54c8134a7f0a1p-4, 0x1.4d0c49825c668p-4, 0x1.4576bf1925a2p-4, 0x1.3e06f06c2e526p-4, 0x1.36bc5979f6986p-4, 0x1.2f9675fd31c75p-4, 0x1.2894c186b257dp-4, 0x1.21b6b7963ed79p-4, 0x1.1afbd3b257939p-4, 0x1.1463917ef3ac3p-4, 0x1.0ded6cd33a261p-4, 0x1.0798e1ce40a4cp-4, 0x1.01656cead462p-4, 0x1.f6a51624a49e4p-5, 0x1.eabf735d2fbeap-5, 0x1.df18ed7621c4cp-5, 0x1.d3b081a9d3fddp-5, 0x1.c8852e94d5ef5p-5, 0x1.bd95f45307fb3p-5, 0x1.b2e1d49b1ffdap-5, 0x1.a867d2d8a6501p-5, 0x1.9e26f44478eb8p-5, 0x1.941e3ffbe0453p-5, 0x1.8a4cbf163c3c4p-5, 0x1.80b17cb95c175p-5, 0x1.774b862c89a9ep-5, 0x1.6e19eaea4f5f8p-5, 0x1.651bbcb109018p-5, 0x1.5c500f9249c56p-5, 0x1.53b5fa011a752p-5, 0x1.4b4c94df2581p-5, 0x1.4312fb88d209dp-5, 0x1.3b084be05b41cp-5, 0x1.332ba657ed4a3p-5, 0x1.2b7c2dfad2765p-5, 0x1.23f90875b52bcp-5, 0x1.1ca15e1e06362p-5, 0x1.157459f88bc6ap-5, 0x1.0e7129bf1f1a9p-5, 0x1.0796fde5ad31cp-5, 0x1.00e5099e70057p-5, 0x1.f4b505baf32c2p-6, 0x1.e7ed44b72035dp-6, 0x1.db714730be665p-6, 0x1.cf3f89b8244b7p-6, 0x1.c3568e709b609p-6, 0x1.b7b4dd113db84p-6, 0x1.ac5902e4bdb06p-6, 0x1.a14192c81e078p-6, 0x1.966d25287ab06p-6, 0x1.8bda57ffd5baap-6, 0x1.8187ced10d9b1p-6, 0x1.777432a2f2462p-6, 0x1.6d9e31fa9812dp-6, 0x1.640480d4d8eap-6, 0x1.5aa5d89f30ccep-6, 0x1.5180f82fe4198p-6, 0x1.4894a3bd7ad0cp-6, 0x1.3fdfa4d5b358p-6, 0x1.3760ca53d79bp-6, 0x1.2f16e8568b117p-6, 0x1.2700d8351cecp-6, 0x1.1f1d787464bcbp-6, 0x1.176bacbb26caap-6, 0x1.0fea5dc61a1b3p-6, 0x1.0898795b87bd2p-6, 0x1.0174f23e94ef1p-6, 0x1.f4fd80446395ep-7, 0x1.e769bf3799aafp-7, 0x1.da2ca42b54bd1p-7, 0x1.cd443b822081bp-7, 0x1.c0ae9b10551e4p-7, 0x1.b469e1ff7dfdfp-7, 0x1.a87438b16ace2p-7, 0x1.9ccbd0a2e397ep-7, 0x1.916ee44e0ca1p-7, 0x1.865bb70ca0143p-7, 0x1.7b9094f9d608cp-7, 0x1.710bd2d42c2bcp-7, 0x1.66cbcddefef77p-7, 0x1.5cceebc4082d4p-7, 0x1.53139a74cb044p-7, 0x1.4998500bdff8bp-7, 0x1.405b8aae44b0cp-7, 0x1.375bd06ca34aep-7, 0x1.2e97af2499ad1p-7, 0x1.260dbc6215177p-7, 0x1.1dbc9540acbafp-7, 0x1.15a2de4d1b8ebp-7, 0x1.0dbf4366c8a3dp-7, 0x1.061077a17849fp-7, 0x1.fd2a6a4e38e44p-8, 0x1.ee987a33865f4p-8, 0x1.e068aeeb63f44p-8, 0x1.d298a5e76bb5bp-8, 0x1.c52609d74535ap-8, 0x1.b80e926e06679p-8, 0x1.ab50042808315p-8, 0x1.9ee8301128322p-8, 0x1.92d4f38b9626dp-8, 0x1.871438171f1f6p-8, 0x1.7ba3f318f63e3p-8, 0x1.708225a3fe61ep-8, 0x1.65acdc41bc697p-8, 0x1.5b222ebbb3de3p-8, 0x1.50e03fe58b76cp-8, 0x1.46e53d67aaa2ap-8, 0x1.3d2f5f8a638a8p-8, 0x1.33bce901d56e7p-8, 0x1.2a8c26ba60d1dp-8, 0x1.219b6fa5d1345p-8, 0x1.18e924891fa27p-8, 0x1.1073afcac5633p-8, 0x1.08398541cee55p-8, 0x1.003922059596ap-8, 0x1.f0e2187c2be6ep-9, 0x1.e1bfa5ea246efp-9, 0x1.d3081bcf54de7p-9, 0x1.c4b8bab18ac7cp-9, 0x1.b6ced3c82fff2p-9, 0x1.a947c8a3b9cbdp-9, 0x1.9c210ad695c68p-9, 0x1.8f581b9f25803p-9, 0x1.82ea8b933ce71p-9, 0x1.76d5fa4cec403p-9, 0x1.6b1816189fd67p-9, 0x1.5fae9ba49cb16p-9, 0x1.549755b1faf9bp-9, 0x1.49d01cc68cce8p-9, 0x1.3f56d6e0594d1p-9, 0x1.3529772a5fcbdp-9, 0x1.2b45fdb29144bp-9, 0x1.21aa77214d9eep-9, 0x1.1854fc71eaaf2p-9, 0x1.0f43b2ac899c3p-9, 0x1.0674caa141697p-9, 0x1.fbcd0148ed5cfp-10, 0x1.eb2e3898f945bp-10, 0x1.db09e0611fa03p-10, 0x1.cb5cb351a0b03p-10, 0x1.bc23811ee3b5dp-10, 0x1.ad5b2e0685857p-10, 0x1.9f00b25684aeep-10, 0x1.911119f6befd4p-10, 0x1.838983f51ee46p-10, 0x1.76672213a88fcp-10, 0x1.69a7385882b9dp-10, 0x1.5d471ca0ee7c7p-10, 0x1.51443635cc934p-10, 0x1.459bfd62a6a15p-10, 0x1.3a4bfb0ec2e2p-10, 0x1.2f51c8586d0d3p-10, 0x1.24ab0e31e6927p-10, 0x1.1a558500c0f27p-10, 0x1.104ef43f22fcep-10, 0x1.0695321ef8f2dp-10, 0x1.fa4c465e64affp-11, 0x1.e7ff74061fd8dp-11, 0x1.d63fedb5749adp-11, 0x1.c509ce9cb67efp-11, 0x1.b4594bf57911p-11, 0x1.a42ab45f5f954p-11, 0x1.947a6f40aaa84p-11, 0x1.8544fc2a6b03fp-11, 0x1.7686f23fe0b87p-11, 0x1.683cffa0d3b93p-11, 0x1.5a63e8d7ea49p-11, 0x1.4cf8884bdbe8p-11, 0x1.3ff7cdb3f8907p-11, 0x1.335ebd8face34p-11, 0x1.272a70a192edep-11, 0x1.1b58136ce27a2p-11, 0x1.0fe4e5b5ecb68p-11, 0x1.04ce3a0604f2p-11, 0x1.f422ea63539c7p-12, 0x1.df581bc3ea797p-12, 0x1.cb3718413d603p-12, 0x1.b7bb11cd35f8cp-12, 0x1.a4df5b5ae6b1ep-12, 0x1.929f6806525c6p-12, 0x1.80f6ca415012fp-12, 0x1.6fe133055561cp-12, 0x1.5f5a710a4381fp-12, 0x1.4f5e70025df02p-12, 0x1.3fe937da48c94p-12, 0x1.30f6ebfdcd6e3p-12, 0x1.2283caa11e467p-12, 0x1.148c2c0e7b011p-12, 0x1.070c81f8c74p-12, 0x1.f402ada21535fp-13, 0x1.dace9a4299c4dp-13, 0x1.c2763dd62b73ep-13, 0x1.aaf33a13a54bcp-13, 0x1.943f5d31bf145p-13, 0x1.7e54a0bb175aep-13, 0x1.692d286a08903p-13, 0x1.54c3410b9433cp-13, 0x1.41115f6930b3fp-13, 0x1.2e121f3941459p-13, 0x1.1bc0421774bfp-13, 0x1.0a16ae8283da4p-13, 0x1.f220ddc1ea995p-14, 0x1.d1516117808b5p-14, 0x1.b1b585c0a87b3p-14, 0x1.93442caee43f2p-14, 0x1.75f47745361d7p-14, 0x1.59bdc59e06196p-14, 0x1.3e97b4dceebe1p-14, 0x1.247a1d8a5528ep-14, 0x1.0b5d11fa8f099p-14, 0x1.e671b98120f52p-15, 0x1.b80bfe508ca07p-15, 0x1.8b7a5f7b750e6p-15, 0x1.60aeb1b96456cp-15, 0x1.379b2e94c8a08p-15, 0x1.103271aec48aep-15, 0x1.d4ceec2ffc025p-16, 0x1.8c5b276fcb131p-16, 0x1.46f0f99640b3fp-16, 0x1.047876d8c4a55p-16, 0x1.89b4bcc5e2a3dp-17, 0x1.10002b5d9111p-17, 0x1.374e9002d6036p-18, 0x1.63fadf88f0558p-20, -0x1.ed08eb1b8c70dp-20, -0x1.45c4fd917d96p-18, -0x1.036c016473f36p-17, -0x1.5f63c499ba965p-17, -0x1.b6eed5c398aap-17, -0x1.05189bdd40a01p-16, -0x1.2ca6f50a8238fp-16, -0x1.5233782711684p-16, -0x1.75ceac54a3912p-16, -0x1.9788a172fd1ebp-16, -0x1.b770f36d7e87cp-16, -0x1.d596cd6545975p-16, -0x1.f208ecca77812p-16, -0x1.066ad22fd8907p-15, -0x1.13056f95b2ecap-15, -0x1.1edb11a6ed434p-15, -0x1.29f24a65bf265p-15, -0x1.34517c20077cp-15, -0x1.3dfedabc9bdb1p-15, -0x1.47006d055fec6p-15, -0x1.4f5c0de450ee5p-15, -0x1.57176d981d53ep-15, -0x1.5e3812e23c38bp-15, -0x1.64c35c2a10598p-15, -0x1.6abe809a1b5aep-15, -0x1.702e9134522aep-15, -0x1.751879e11cf9ap-15, -0x1.798102728b429p-15, -0x1.7d6ccfa36bcb9p-15, -0x1.80e0640f5ecd8p-15, -0x1.83e02123df651p-15, -0x1.8670480917d02p-15, -0x1.8894fa8687f98p-15, -0x1.8a523bdf96299p-15, -0x1.8babf1a9aeadcp-15, -0x1.8ca5e49fc6715p-15, -0x1.8d43c16c0a6b4p-15, -0x1.8d89196e4b899p-15, -0x1.8d79637b3e95dp-15, -0x1.8d17fc986f39ap-15, -0x1.8c6828b1b7e29p-15, -0x1.8b6d13494d764p-15, -0x1.8a29d024df103p-15, -0x1.88a15bf3e9ecp-15, -0x1.86d69cf0579ebp-15, -0x1.84cc637f5c72p-15, -0x1.82856ac87d88ap-15, -0x1.8004594c08561p-15, -0x1.7d4bc173ea603p-15, -0x1.7a5e22204f6bbp-15, -0x1.773de730bba83p-15, -0x1.73ed6a09850a4p-15, -0x1.706ef215b4d44p-15, -0x1.6cc4b544b26c1p-15, -0x1.68f0d884e7edcp-15, -0x1.64f57039d3734p-15, -0x1.60d480b08984ap-15, -0x1.5c8ffe90a57bbp-15, -0x1.5829cf494cb3ap-15, -0x1.53a3c97b78ec9p-15, -0x1.4effb561cf6bdp-15, -0x1.4a3f4d33f8a1ep-15, -0x1.45643d8a12791p-15, -0x1.407025ba7f547p-15, -0x1.3b649837ccd59p-15, -0x1.36431ae8bacb1p-15, -0x1.310d278076012p-15, -0x1.2bc42bd357b6ep-15, -0x1.26698a2a0607ap-15, -0x1.20fe9991c6a1ap-15, -0x1.1b84a62a2ab4ep-15, -0x1.15fcf1723141p-15, -0x1.1068b28ff0959p-15, -0x1.0ac9169a56da4p-15, -0x1.051f40def3a85p-15, -0x1.fed8964b2d984p-16, -0x1.f3628be3e3286p-16, -0x1.e7de7188c0a0bp-16, -0x1.dc4e44b0c4d79p-16, -0x1.d0b3f1c36a194p-16, -0x1.c511548dda374p-16, -0x1.b96838b8762edp-16, -0x1.adba5a35e30a5p-16, -0x1.a20965ad4f3ap-16, -0x1.9656f8e76fff5p-16, -0x1.8aa4a335d7ee6p-16, -0x1.7ef3e5d60ecep-16, -0x1.73463453010cfp-16, -0x1.679cf4e4da3fbp-16, -0x1.5bf980cda800cp-16, -0x1.505d24b2f6ea6p-16, -0x1.44c920f4c3bdp-16, -0x1.393eaa04bdf25p-16, -0x1.2dbee8b87159dp-16, -0x1.224afa985207fp-16, -0x1.16e3f23082b46p-16, -0x1.0b8ad75c2756ap-16, -0x1.0040a790e5281p-16, -0x1.ea0cac4b91046p-17, -0x1.d3b999361cdfap-17, -0x1.bd89d5bdeaa2dp-17, -0x1.a77f0f2326ed4p-17, -0x1.919ae086b638cp-17, -0x1.7bded36dd018ep-17, -0x1.664c603d9c0b8p-17, -0x1.50e4eeb036b1dp-17, -0x1.3ba9d64d4c54fp-17, -0x1.269c5edb25f77p-17, -0x1.11bdc0ce1d8b8p-17, -0x1.fa1e4b677098ap-18, -0x1.d12351392201fp-18, -0x1.a88cad07704cp-18, -0x1.805c5d6b6a844p-18, -0x1.5894465cc751p-18, -0x1.313631f2a8935p-18, -0x1.0a43d11f137dbp-18, -0x1.c77d78bf170f1p-19, -0x1.7b50e8dc4a912p-19, -0x1.3004c5e60b67p-19, -0x1.cb376c900eb67p-20, -0x1.383069b641832p-20, -0x1.4df24862f72c5p-21, -0x1.795eaa47a79c3p-24, 0x1.d7d510e43056p-22, 0x1.01a4b744a8bb4p-20, 0x1.8b7508bc75b33p-20, 0x1.09b18e08331dep-19, 0x1.4cb60ddd191cp-19, 0x1.8ec6bb9d62b41p-19, 0x1.cfe270831bfa7p-19, 0x1.0804131f8afc2p-18, 0x1.279b7b06f5a19p-18, 0x1.46b70bddc14c7p-18, 0x1.6556705f8f9adp-18, 0x1.837961ac930fbp-18, 0x1.a11fa6d9e0a35p-18, 0x1.be49147e6ec25p-18, 0x1.daf58c4d4bd63p-18, 0x1.f724fcadb737ep-18, 0x1.096bb02a41ef6p-17, 0x1.17065ef19856dp-17, 0x1.246293c4bede1p-17, 0x1.31805d5173a8bp-17, 0x1.3e5fcfae75af8p-17, 0x1.4b01042ff05cdp-17, 0x1.57641939bfeb2p-17, 0x1.63893216707aap-17, 0x1.6f7076ce0943ep-17, 0x1.7b1a13fca4ec6p-17, 0x1.86863aaa6302p-17, 0x1.91b520253b87bp-17, 0x1.9ca6fddc82da9p-17, 0x1.a75c113a3173cp-17, 0x1.b1d49b8089ffap-17, 0x1.bc10e1a7b9b19p-17, 0x1.c6112c3919de1p-17, 0x1.cfd5c7305f1cfp-17, 0x1.d95f01da83a32p-17, 0x1.e2ad2eb4ff6f1p-17, 0x1.ebc0a34fc29eap-17, 0x1.f499b82f8d728p-17, 0x1.fd38c8af5a86cp-17, 0x1.02cf1971b4c4fp-16, 0x1.06e52bbef19eap-16, 0x1.0adeccd9e209bp-16, 0x1.0ebc2f90c9765p-16, 0x1.127d87d89d787p-16, 0x1.16230ac0b0ef9p-16, 0x1.19acee65f9956p-16, 0x1.1d1b69e6a2a5bp-16, 0x1.206eb55761e34p-16, 0x1.23a709b6ba438p-16, 0x1.26c4a0e251abfp-16, 0x1.29c7b58c0b98ap-16, 0x1.2cb0832f4aab9p-16, 0x1.2f7f460640a65p-16, 0x1.32343affd5b4fp-16, 0x1.34cf9fb5defcep-16, 0x1.3751b263d3fep-16, 0x1.39bab1dcc21d8p-16, 0x1.3c0add8247ecbp-16, 0x1.3e42753c1f1b7p-16, 0x1.4061b96e9d3f4p-16, 0x1.4268eaf290a4p-16, 0x1.44584b0d4e1cp-16, 0x1.46301b68157bp-16, 0x1.47f09e082f406p-16, 0x1.499a1547bdaedp-16, 0x1.4b2cc3ce0a056p-16, 0x1.4ca8ec8814043p-16, 0x1.4e0ed2a175bfep-16, 0x1.4f5eb97d8ecadp-16, 0x1.5098e4b1425e2p-16, 0x1.51bd97fbcc0b4p-16, 0x1.52cd17407991bp-16, 0x1.53c7a680d8003p-16, 0x1.54ad89d6a224dp-16, 0x1.557f056d2109p-16, 0x1.563c5d7cc385ap-16, 0x1.56e5d6446d73ep-16, 0x1.577bb4048d8d1p-16, 0x1.57fe3af9a77fep-16, 0x1.586daf57b1267p-16, 0x1.58ca5544ee085p-16, 0x1.591470d4d381fp-16, 0x1.594c4603894a2p-16, 0x1.597218b18f6edp-16, 0x1.59862c9f3b401p-16, 0x1.5988c56844152p-16, 0x1.597a267f83f2ep-16, 0x1.595a932bcce6p-16, 0x1.592a4e83273dp-16, 0x1.58e99b6706eabp-16, 0x1.5898bc817f456p-16, 0x1.5837f440b74cp-16, 0x1.57c784d3da621p-16, 0x1.5747b027a371cp-16, 0x1.56b8b7e38ff27p-16, 0x1.561add66b6b41p-16, 0x1.556e61c46cf1fp-16, 0x1.54b385c18b5d4p-16, 0x1.53ea89d168ef7p-16, 0x1.5313ae1396dap-16, 0x1.522f3250e3fe8p-16, 0x1.513d55f89fcfcp-16, 0x1.503e581efedefp-16, 0x1.4f32777a5c4bdp-16, 0x1.4e19f2605cf16p-16, 0x1.4cf506c4e8633p-16, 0x1.4bc3f2373e691p-16, 0x1.4a86f1e00ad7fp-16, 0x1.493e427f7235fp-16, 0x1.47ea206b50cefp-16, 0x1.468ac78e38bd7p-16, 0x1.45207364c9b16p-16, 0x1.43ab5efc5fb5p-16, 0x1.422bc4f1884d1p-16, 0x1.40a1df6e69e7bp-16, 0x1.3f0de829827bbp-16, 0x1.3d70186420fb9p-16, 0x1.3bc8a8e954f4ap-16, 0x1.3a17d20cfde2bp-16, 0x1.385dcbaa329f6p-16, 0x1.369acd21f6a37p-16, 0x1.34cf0d5b22f7ap-16, 0x1.32fac2c07b7eap-16, 0x1.311e2340232a2p-16, 0x1.2f39644a94f87p-16, 0x1.2d4cbad1c26a1p-16, 0x1.2b585b499f4c4p-16, 0x1.295c79a5f5708p-16, 0x1.2759495a1d55ep-16, 0x1.254efd58aee5dp-16, 0x1.233dc812af0b9p-16, 0x1.2125db7715ed6p-16, 0x1.1f0768f27a9d5p-16, 0x1.1ce2a16e95b8ap-16, 0x1.1ab7b552a13d4p-16, 0x1.1886d481e1d73p-16, 0x1.16502e5bea9c3p-16, 0x1.1413f1bc7a75ap-16, 0x1.11d24cfb932efp-16, 0x1.0f8b6dec62994p-16, 0x1.0d3f81ddfde4bp-16, 0x1.0aeeb59a8dc6dp-16, 0x1.0899356832e71p-16, 0x1.063f2d0924dacp-16, 0x1.03e0c7bab8d34p-16, 0x1.017e30362091ep-16, 0x1.fe2f21600267bp-17, 0x1.f95a25b23d628p-17, 0x1.f47dbfbc290dfp-17, 0x1.ef9a40cfc4736p-17, 0x1.eaaff9380ee08p-17, 0x1.e5bf383a92c76p-17, 0x1.e0c84c1603386p-17, 0x1.dbcb8203b9ca1p-17, 0x1.d6c92638c417fp-17, 0x1.d1c183e716b99p-17, 0x1.ccb4e53c93f0dp-17, 0x1.c7a39364d02f8p-17, 0x1.c28dd68a1f964p-17, 0x1.bd73f5d621beep-17, 0x1.b85637747b415p-17, 0x1.b334e091a70eep-17, 0x1.ae10355c9e256p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      38, 0x1.3666666666666p+2, 0x1.5f7c99b764b51p+3, 0x1.dac690eb18071p+4, 0x1.53222288873dp-5, 
      {{
        {0x1.7eb851eb851ecp+1, 0x1.8p+1, 0x1.55dc652e6e1c4p-4, -0x1.d91e47fe50eb4p-2, 0x1.44cb65bb4bf63p+1, -0x1.143f256b7342bp+3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.43f0af012cd3fp-4, -0x1.a7cd99f851583p-2, 0x1.23a5198faec6p+1, -0x1.b0cbb616aa4aep+2}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.030c7c519bdep-4, -0x1.e4d869f1767c6p-3, 0x1.439cc5de90f9bp+0, -0x1.2b8053b98ff6dp+2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.ba39b68c005edp-5, -0x1.29d5f438bea78p-3, 0x1.1fd2c0de752f8p-1, -0x1.5879f2d50b09dp+1}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.876a58464f7abp-5, -0x1.c016553a5569p-4, 0x1.448cbcadba432p-3, -0x1.2093a7713da23p-1}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.5d46685800ff2p-5, -0x1.907decbd1a419p-4, 0x1.2eceb06d2a8e8p-4, 0x1.c4745e279f217p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.36cbe3198c657p-5, -0x1.7083b3101e0b4p-4, 0x1.50bdd11689b0ep-4, -0x1.b90ce1a249467p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1392d5279cf39p-5, -0x1.507e86ae26f33p-4, 0x1.2fa9a690c4322p-4, -0x1.807f6f583c47p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.e6d63b8d9bbf2p-6, -0x1.32d951e999d7cp-4, 0x1.213e78ca41ef6p-4, -0x1.f30e17da33f3bp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.ac4c1047924dcp-6, -0x1.16dc381e43aadp-4, 0x1.0e878b1879965p-4, -0x1.c195a223291c1p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.772c96a68f198p-6, -0x1.f94cee4e2a5ebp-5, 0x1.fb57106e50172p-5, -0x1.bc10a8e1e82b7p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.472014a42137fp-6, -0x1.c83b53b20fb65p-5, 0x1.da0903c3c514p-5, -0x1.aac4dc02688d4p-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1bd1a809f54afp-6, -0x1.9a6db9439d098p-5, 0x1.ba070cdd306fep-5, -0x1.9ca0e1262701ep-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.e9de8ce3ab029p-7, -0x1.6fc5f1245b89ep-5, 0x1.9b149593ed82ep-5, -0x1.8da471db341edp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.a4537a8b53319p-7, -0x1.4828052bd3a9ep-5, 0x1.7d41d9d6b000bp-5, -0x1.7ee20247b3791p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6669637eedb61p-7, -0x1.237767136d4bbp-5, 0x1.608a80114f576p-5, -0x1.701008452e0a5p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.2f8d41d2c0402p-7, -0x1.0197b157134b8p-5, 0x1.44efb2a5b8b06p-5, -0x1.6142384747596p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.fe637e769731dp-8, -0x1.c4d8e70d8a81fp-6, 0x1.2a7121a060235p-5, -0x1.52734aa5df39fp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a99e6a1a97494p-8, -0x1.8bb2803f5997ep-6, 0x1.110ee26d88fedp-5, -0x1.43a4a98de2625p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.5fc7587b6ec79p-8, -0x1.578351ac6d551p-6, 0x1.f191de9f633bep-6, -0x1.34d5f3f3caa23p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.1fe5bac381ddep-8, -0x1.28127f29325e4p-6, 0x1.c33e93a13809bp-6, -0x1.260743d885aa5p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.d218c2bb55f36p-9, -0x1.fa4e58da847e7p-7, 0x1.9723e30d8a639p-6, -0x1.17389244553fcp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.74b2f7ea756e9p-9, -0x1.ad10fa6fdfdb5p-7, 0x1.6d41cd1ce4009p-6, -0x1.0869e114c4ae7p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.25ed32ebefd75p-9, -0x1.67fb2a8cf7c46p-7, 0x1.459851c02ce69p-6, -0x1.f3365f976c3d3p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.c862a0307e832p-10, -0x1.2a9b30ad6dacfp-7, 0x1.202770fb37fbp-6, -0x1.d598fd081a7c3p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5bffd4919457ep-10, -0x1.e8fea8990d09ap-8, 0x1.f9de559b9f307p-7, -0x1.b7fb9aa03a27fp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.03e0b5afc70ap-10, -0x1.8a6bb9cbb0a23p-8, 0x1.b7defe69fcddcp-7, -0x1.9a5e37985424cp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.7ac2e6832a76p-11, -0x1.389a23e82329ep-8, 0x1.7a50dc7989d88p-7, -0x1.7cc0d6e8ca9b4p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.0c1773feacc5p-11, -0x1.e54cebd4b91cp-9, 0x1.4133ef7038417p-7, -0x1.5f236d7743661p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.6e5ace8cebc8p-12, -0x1.6f5a7d6b69be2p-9, 0x1.0c88389e548aep-7, -0x1.418624b6e504bp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.df38374a5f902p-13, -0x1.0d961b12d909ap-9, 0x1.b89b6638fdfb2p-8, -0x1.23e861f214786p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.2876bc7b5b97fp-13, -0x1.7c71c13706084p-10, 0x1.6108e2705e3ddp-8, -0x1.064c668eca43ep-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.54dc6555456p-14, -0x1.fdefcf587cc9ap-11, 0x1.12585d4587f68p-8, -0x1.d1538f5413d43p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.621e1f9347ep-15, -0x1.3e61550211359p-11, 0x1.9917a92509faap-9, -0x1.963fded2aa4a8p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.3cbc922a69bffp-16, -0x1.663c851e80c69p-12, 0x1.1f37b3190a15bp-9, -0x1.5a734032e143ep-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.bbe1fec7fbp-18, -0x1.54129eedf448bp-13, 0x1.6e90a6138d034p-10, -0x1.2158ccc68cf93p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.8553984d5ffffp-20, -0x1.d10e4b9405e0ep-15, 0x1.81e9f005a4105p-11, -0x1.bc5d35513664ep-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9731e0b49c6d5p-24, -0x1.e71ba3f63c8c4p-18, 0x1.dd2e7353a7534p-13, -0x1.f43d6580698e8p-9}, 
      }}, 
      0x1.273f3e232ce14p-5, -0x1.4096e6321b70fp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.b4e337681ef72p-1, -0x1.ad510dd449129p-1, -0x1.a110a3cd4b022p-1, -0x1.90947f54b03d8p-1, -0x1.7c6067606c768p-1, -0x1.64ff88e8668b6p-1, -0x1.4afda03898f34p-1, -0x1.2ee2414bf310ap-1, -0x1.112da9a12e7ebp-1, -0x1.e4ad6b5c4eb34p-2, -0x1.a5936080e8a5cp-2, -0x1.65cf8741c7eb7p-2, -0x1.260dc210b730cp-2, -0x1.cdc7f56852e8dp-3, -0x1.51a62774a5f16p-3, -0x1.b120ac0dcb851p-4, -0x1.8cf076e0bce8ep-5, 0x1.b84c19c3e8a48p-8, 0x1.e7d53562c6a67p-5, 0x1.c203c282cbc94p-4, 0x1.42a555a808b91p-3, 0x1.9eb1f71bed549p-3, 0x1.f50c64ebe277cp-3, 0x1.22d4841a92809p-2, 0x1.4844e3721d595p-2, 0x1.6addf95284f59p-2, 0x1.8aab366d68675p-2, 0x1.a7bc008328b8ap-2, 0x1.c222fa231832ep-2, 0x1.d9f561677a40ap-2, 0x1.ef4a833da612p-2, 0x1.011da06a8f91ap-1, 0x1.0970d251aebaap-1, 0x1.10ac4274c1e35p-1, 0x1.16dd9912bf84dp-1, 0x1.1c129825b1d47p-1, 0x1.2058fce95486ep-1, 0x1.23be65e80cdb6p-1, 0x1.26503d2d3f35fp-1, 0x1.281ba63664be2p-1, 0x1.292d6f3a27681p-1, 0x1.2992055e00685p-1, 0x1.29556b7af6064p-1, 0x1.2883331d1ca1bp-1, 0x1.2726777429472p-1, 0x1.2549d9f425df3p-1, 0x1.22f7806bfdef5p-1, 0x1.2039145dcc64p-1, 0x1.1d17c36919be6p-1, 0x1.199c409ce838ap-1, 0x1.15cec68aa4855p-1, 0x1.11b719f620e17p-1, 0x1.0d5c8d0690344p-1, 0x1.08c602de223b1p-1, 0x1.03f9f37a7a10fp-1, 0x1.fdfcdf9c8c641p-2, 0x1.f3b24c0a31386p-2, 0x1.e91ecbb113959p-2, 0x1.de4c49dae5782p-2, 0x1.d34406712e333p-2, 0x1.c80e9e989b05ep-2, 0x1.bcb41538696fbp-2, 0x1.b13bdb46e3c6dp-2, 0x1.a5acd7da0ee4p-2, 0x1.9a0d6ff8bb98ap-2, 0x1.8e638e1b17c77p-2, 0x1.82b4a9628cb72p-2, 0x1.7705cc83099bdp-2, 0x1.6b5b9c4af033p-2, 0x1.5fba5dffdbaddp-2, 0x1.5425fd33a55cep-2, 0x1.48a2118e99abap-2, 0x1.3d31e405dbe02p-2, 0x1.31d873f970101p-2, 0x1.26987c1667a7bp-2, 0x1.1b7476a304eaap-2, 0x1.106ea203c61cp-2, 0x1.05890493c847cp-2, 0x1.f58ae0dd3b906p-3, 0x1.e04b0e496c772p-3, 0x1.cb5579f556614p-3, 0x1.b6acb8057269cp-3, 0x1.a2530e71fbb41p-3, 0x1.8e4a7a543a34dp-3, 0x1.7a94b51af5066p-3, 0x1.673339862982dp-3, 0x1.542747fb3518fp-3, 0x1.4171eaf002c14p-3, 0x1.2f13faa9a36e6p-3, 0x1.1d0e211a98022p-3, 0x1.0b60dd16a3337p-3, 0x1.f4190b4edaf91p-4, 0x1.d2229a11734b1p-4, 0x1.b0de86626e4e2p-4, 0x1.904cb18380699p-4, 0x1.706cc23ed896p-4, 0x1.513e29bafa0fbp-4, 0x1.32c027b0c26a9p-4, 0x1.14f1ce0f35957p-4, 0x1.efa40a8849fdcp-5, 0x1.b6bf1e4359b47p-5, 0x1.7f3214ddb7519p-5, 0x1.48f9ebdbfba93p-5, 0x1.1413664d7e518p-5, 0x1.c0f6252cbfbbap-6, 0x1.5c5a9dc3ee9adp-6, 0x1.f4993a98db394p-7, 0x1.358879e67f55ap-7, 0x1.edca8bbd08b2fp-9, -0x1.cdc8d7a6c2c1dp-10, -0x1.d417f5f636d2fp-8, -0x1.959795a4a7059p-7, -0x1.1e36e9861c1c3p-6, -0x1.6f507022f2eep-6, -0x1.be219080f8f01p-6, -0x1.0559ca1c73825p-5, -0x1.2a87eb2d20866p-5, -0x1.4e9fdfb41a90fp-5, -0x1.71a660759025cp-5, -0x1.93a028ac7d7f1p-5, -0x1.b491f44595fe4p-5, -0x1.d4807deb961b8p-5, -0x1.f3707deebb858p-5, -0x1.08b3540c3e5e5p-4, -0x1.1733d5787a708p-4, -0x1.253c171214a88p-4, -0x1.32ce68bd015c2p-4, -0x1.3fed15e0f288ap-4, -0x1.4c9a64ece4bap-4, -0x1.58d896f746b16p-4, -0x1.64a9e741f8787p-4, -0x1.70108aec8a86cp-4, -0x1.7b0eb096b1569p-4, -0x1.85a680482f54cp-4, -0x1.8fda1ae1e8d4p-4, -0x1.99ab9a073e03fp-4, -0x1.a31d101c23a37p-4, -0x1.ac3087d5b2cfcp-4, -0x1.b4e80429959acp-4, -0x1.bd45804c10f67p-4, -0x1.c54aef89901e8p-4, -0x1.ccfa3d185c421p-4, -0x1.d4554c1e759c1p-4, -0x1.db5df7c384c4dp-4, -0x1.e2161313bea58p-4, -0x1.e87f68e325a87p-4, -0x1.ee9bbbdc76bebp-4, -0x1.f46cc6d0fc75ap-4, -0x1.f9f43c6e2d2e9p-4, -0x1.ff33c746cd1f3p-4, -0x1.021684ff0bfc4p-3, -0x1.0470cfbd048d4p-3, -0x1.06a98d6f720b6p-3, -0x1.08c183b749f53p-3, -0x1.0ab97460d256bp-3, -0x1.0c921d8bcc6bp-3, -0x1.0e4c39aea6a6p-3, -0x1.0fe87f83507bcp-3, -0x1.1167a2199e0cp-3, -0x1.12ca51085650ap-3, -0x1.1411388c5fcfcp-3, -0x1.153d015f28efcp-3, -0x1.164e50cc483a9p-3, -0x1.1745c8d7142b6p-3, -0x1.182408699b715p-3, -0x1.18e9ab4568bf2p-3, -0x1.199749ff06067p-3, -0x1.1a2d7a11309a5p-3, -0x1.1aacce1875871p-3, -0x1.1b15d5d86c562p-3, -0x1.1b691e4339e12p-3, -0x1.1ba731690c0a7p-3, -0x1.1bd096a423b02p-3, -0x1.1be5d2b9710cp-3, -0x1.1be767ef4584cp-3, -0x1.1bd5d60319157p-3, -0x1.1bb19a22bd8e6p-3, -0x1.1b7b2f1cd1f3bp-3, -0x1.1b330d7218fffp-3, -0x1.1ad9ab7071318p-3, -0x1.1a6f7d22e1a55p-3, -0x1.19f4f461b774cp-3, -0x1.196a80e003ef9p-3, -0x1.18d0904bf45efp-3, -0x1.18278e592a86ap-3, -0x1.176fe4cbe4bc2p-3, -0x1.16a9fb704abafp-3, -0x1.15d6383e20c8fp-3, -0x1.14f4ff48bf741p-3, -0x1.1406b2ee0cb66p-3, -0x1.130bb3d654606p-3, -0x1.120460fb88136p-3, -0x1.10f117a82242ap-3, -0x1.0fd2338b2e532p-3, -0x1.0ea80eb1ef168p-3, -0x1.0d7301b31300ap-3, -0x1.0c3363a73234cp-3, -0x1.0ae98a2f7653dp-3, -0x1.0995c97529e4ep-3, -0x1.08387430ad8aap-3, -0x1.06d1dbbf1f501p-3, -0x1.05625020cd129p-3, -0x1.03ea2010268a4p-3, -0x1.026998f86926p-3, -0x1.00e106f8b42d1p-3, -0x1.fea169d245ee1p-4, -0x1.fb71d8cb8944dp-4, -0x1.f833ebaf0d55ap-4, -0x1.f4e8310dba603p-4, -0x1.f18f34f61bec5p-4, -0x1.ee29815577079p-4, -0x1.eab79daeb338ap-4, -0x1.e73a0f3e3ee55p-4, -0x1.e3b1591c3dad3p-4, -0x1.e01dfc3645c36p-4, -0x1.dc80775b4fb23p-4, -0x1.d8d9473575773p-4, -0x1.d528e6616a3ebp-4, -0x1.d16fcd40304b1p-4, -0x1.cdae724763aa4p-4, -0x1.c9e549d43916ep-4, -0x1.c614c651267c5p-4, -0x1.c23d583043ec8p-4, -0x1.be5f6de950f86p-4, -0x1.ba7b73fc1fee6p-4, -0x1.b691d4f5f048dp-4, -0x1.b2a2f978516aep-4, -0x1.aeaf484208d06p-4, -0x1.aab7263b152b4p-4, -0x1.a6baf6620d25ap-4, -0x1.a2bb19ede42ebp-4, -0x1.9eb7f03051862p-4, -0x1.9ab1d6a7d1639p-4, -0x1.96a92901d6db5p-4, -0x1.929e4121423dp-4, -0x1.8e91772434e4ap-4, -0x1.8a832166d4f6bp-4, -0x1.86739484d8abbp-4, -0x1.8263235994ea7p-4, -0x1.7e521efe7a13bp-4, -0x1.7a40d6e541665p-4, -0x1.762f98a26e5c5p-4, -0x1.721eb0473e169p-4, -0x1.6e0e681d7f6eep-4, -0x1.69ff08c93197fp-4, -0x1.65f0d94b845d8p-4, -0x1.61e41efb6fe19p-4, -0x1.5dd91d8bd76a7p-4, -0x1.59d0170f287eep-4, -0x1.55c94bfb8f2fep-4, -0x1.51c4fb2f5af12p-4, -0x1.4dc361f4b02d6p-4, -0x1.49c4bc047e258p-4, -0x1.45c9438537059p-4, -0x1.41d13120d8a6ap-4, -0x1.3ddcbbd9a0f46p-4, -0x1.39ec194e7f63dp-4, -0x1.35ff7d7aec2edp-4, -0x1.32171af557e28p-4, -0x1.2e3322d02c3d8p-4, -0x1.2a53c4a7ce2dfp-4, -0x1.26792ea5b9ddp-4, -0x1.22a38d84ee90dp-4, -0x1.1ed30c91dcbaap-4, -0x1.1b07d5af8359cp-4, -0x1.1742115d41dd7p-4, -0x1.1381e6b4bc6a8p-4, -0x1.0fc77b797358cp-4, -0x1.0c12f411860a5p-4, -0x1.0864738d37adfp-4, -0x1.04bc1bb6543fbp-4, -0x1.011a0cf5a127dp-4, -0x1.fafccd079c0f9p-5, -0x1.f3d28c785dff1p-5, -0x1.ecb5918d805f7p-5, -0x1.e5a61319114b1p-5, -0x1.dea445787cb5dp-5, -0x1.d7b05aa92a6e8p-5, -0x1.d0ca82461e23p-5, -0x1.c9f2e99478ccdp-5, -0x1.c329bb8cce6a9p-5, -0x1.bc6f20e625738p-5, -0x1.b5c3401905583p-5, -0x1.af263d685e74ap-5, -0x1.a8983af4f10aap-5, -0x1.a21958bcf389ap-5, -0x1.9ba9b4a8afc76p-5, -0x1.95496a90bb176p-5, -0x1.8ef8944ab7c1bp-5, -0x1.88b749c1ed409p-5, -0x1.8285a0beaea03p-5, -0x1.7c63ad67bf862p-5, -0x1.765181d5fba67p-5, -0x1.704f2e5e11112p-5, -0x1.6a5cc184df3fap-5, -0x1.647a480a58462p-5, -0x1.5ea7ccf3d5491p-5, -0x1.58e55997bc5dp-5, -0x1.5332f5aa28a7bp-5, -0x1.4d90a747d8f0fp-5, -0x1.47fe72fe10c0ep-5, -0x1.427c5bd017664p-5, -0x1.3d0a633b60a41p-5, -0x1.37a8893deea8p-5, -0x1.3256cc610efeep-5, -0x1.2d1529c88d44cp-5, -0x1.27e39d43c8e9dp-5, -0x1.22c2215bbab4fp-5, -0x1.1db0af5bd49e7p-5, -0x1.18af3f4d15dc5p-5, -0x1.13bdc80c8b9fp-5, -0x1.0edc3f12f1247p-5, -0x1.0a0a98c7cbb53p-5, -0x1.0548c846cd908p-5, -0x1.0096bfb209b22p-5, -0x1.f7e8e06428617p-6, -0x1.eec39414ac059p-6, -0x1.e5bd7931eb8bep-6, -0x1.dcd66c9499a3ap-6, -0x1.d40e490ad6f73p-6, -0x1.cb64e7453a062p-6, -0x1.c2da1de90c1cep-6, -0x1.ba6dc1cdf1be3p-6, -0x1.b21fa6554ef8fp-6, -0x1.a9ef9dc967eb2p-6, -0x1.a1dd7970aca48p-6, -0x1.99e9098f671aap-6, -0x1.92121d2af5556p-6, -0x1.8a588196b0a24p-6, -0x1.82bc0237fa27dp-6, -0x1.7b3c6892c3024p-6, -0x1.73d97c9a5cac7p-6, -0x1.6c9305484f253p-6, -0x1.6568c932781e9p-6, -0x1.5e5a8f088165fp-6, -0x1.57681d583f186p-6, -0x1.50913a5634689p-6, -0x1.49d5ab3031205p-6, -0x1.43353315e3e84p-6, -0x1.3caf931c8126cp-6, -0x1.36448a5ba991cp-6, -0x1.2ff3d6b2bbaeap-6, -0x1.29bd35dfcd0f5p-6, -0x1.23a066895d73ep-6, -0x1.1d9d28ceac031p-6, -0x1.17b33e1ee587ep-6, -0x1.11e26855b4a49p-6, -0x1.0c2a68678429ep-6, -0x1.068afd18f0bd5p-6, -0x1.0103e242bce2dp-6, -0x1.f729a1f171f51p-7, -0x1.ec7b0139f9539p-7, -0x1.e1fb5125f93a7p-7, -0x1.d7aa040b11ebbp-7, -0x1.cd86923e81771p-7, -0x1.c3907a76794ccp-7, -0x1.b9c73fd6231f7p-7, -0x1.b02a66340caebp-7, -0x1.a6b96dd98d081p-7, -0x1.9d73d02d56774p-7, -0x1.9458fe81807b8p-7, -0x1.8b6863813ffc3p-7, -0x1.82a1671972b35p-7, -0x1.7a0373274991p-7, -0x1.718df880a5d9fp-7, -0x1.694072035e4c5p-7, -0x1.611a63df83888p-7, -0x1.591b58ddce7dp-7, -0x1.5142dcca5f146p-7, -0x1.4990769c6a518p-7, -0x1.4203a40e67c6dp-7, -0x1.3a9bd814e462ep-7, -0x1.33587caec0ea7p-7, -0x1.2c38f7918b26bp-7, -0x1.253cb07c97d05p-7, -0x1.1e63178e4aecap-7, -0x1.17aba9debc1c9p-7, -0x1.1115f2e2156f3p-7, -0x1.0aa189d62e79dp-7, -0x1.044e0bb192311p-7, -0x1.fc362698a0931p-8, -0x1.f0106467cfce4p-8, -0x1.e429d8bdc4f15p-8, -0x1.d8816fbc45f42p-8, -0x1.cd1600716533ap-8, -0x1.c1e658b60bf53p-8, -0x1.b6f14b2dbde1bp-8, -0x1.ac35bced103a5p-8, -0x1.a1b2b04a4a79bp-8, -0x1.97674a7d91d9dp-8, -0x1.8d52d1786b402p-8, -0x1.8374a165df7afp-8, -0x1.79cc1c13b1951p-8, -0x1.70589756e370bp-8, -0x1.671950a1b46b3p-8, -0x1.5e0d67fa3cc8bp-8, -0x1.5533e4a48f4a7p-8, -0x1.4c8bbd389e6edp-8, -0x1.4413dfdb78dd1p-8, -0x1.3bcb3b2968f1cp-8, -0x1.33b0c682289c4p-8, -0x1.2bc38bd86a64p-8, -0x1.2402b1122c5d9p-8, -0x1.1c6d7cd02b486p-8, -0x1.150352a9c1987p-8, -0x1.0dc3a6b158122p-8, -0x1.06aded2f0a6e8p-8, -0x1.ff831c2c27b9dp-9, -0x1.f1fbc2a5e4f26p-9, -0x1.e4c465e0ae923p-9, -0x1.d7db91972b406p-9, -0x1.cb3fc6f0bd012p-9, -0x1.beef72afcd1ebp-9, -0x1.b2e8e2b4b0ef3p-9, -0x1.a72a49b88b96fp-9, -0x1.9bb1d7199aabep-9, -0x1.907dd9583601bp-9, -0x1.858cd83908a58p-9, -0x1.7add971f60dbdp-9, -0x1.706eff5d1e471p-9, -0x1.66400278b6095p-9, -0x1.5c4f895ddf5dcp-9, -0x1.529c7a979ac24p-9, -0x1.4925ceb7943fdp-9, -0x1.3fea9d7301b89p-9, -0x1.36ea11ae69fc7p-9, -0x1.2e2345367dbebp-9, -0x1.25951989c166ep-9, -0x1.1d3e285fab9c5p-9, -0x1.151cda43ce69dp-9, -0x1.0d2f958c224f6p-9, -0x1.0574ee06c56dp-9, -0x1.fbd7683f9cb16p-10, -0x1.ed25d22675e4fp-10, -0x1.ded336e499a42p-10, -0x1.d0dd9dd624834p-10, -0x1.c342fc490511cp-10, -0x1.b601649b012d4p-10, -0x1.a9173e23d2631p-10, -0x1.9c8357bb770a6p-10, -0x1.9044b8a2fe166p-10, -0x1.845a3d474609fp-10, -0x1.78c23904917f1p-10, -0x1.6d7a5dd310cbp-10, -0x1.627ffb1e1f8fap-10, -0x1.57d069f4c4bb1p-10, -0x1.4d6965dbe35b7p-10, -0x1.4349299973a28p-10, -0x1.396e4f2de2554p-10, -0x1.2fd79031a848bp-10, -0x1.2683926425263p-10, -0x1.1d70da10fd727p-10, -0x1.149de0197b7cfp-10, -0x1.0c093d4a07a47p-10, -0x1.03b1d4252f98cp-10, -0x1.f72da9605424dp-11, -0x1.e76f0a6b46294p-11, -0x1.d825cd3e8b94ap-11, -0x1.c94ee628a0703p-11, -0x1.bae64ec94c3aap-11, -0x1.ace7940f69f2cp-11, -0x1.9f4e6f40ae189p-11, -0x1.921727980f381p-11, -0x1.853ec9f5eb9bcp-11, -0x1.78c3396a278a1p-11, -0x1.6ca2fc1170955p-11, -0x1.60dcce94a11e3p-11, -0x1.556f38e807f13p-11, -0x1.4a58631d3a596p-11, -0x1.3f96439d2814ep-11, -0x1.3526f75b48ccap-11, -0x1.2b08f3069f92fp-11, -0x1.213aedc38b6b3p-11, -0x1.17bba8ea33016p-11, -0x1.0e89abcfc3d2bp-11, -0x1.05a30a67921e9p-11, -0x1.fa0ac0d96c1e6p-12, -0x1.e95bbb8e66fffp-12, -0x1.d93279720bd63p-12, -0x1.c987c8f1f4488p-12, -0x1.ba55381c3e26p-12, -0x1.ab96af5266d8ep-12, -0x1.9d4a738c27318p-12, -0x1.8f6f8ad08ef6cp-12, -0x1.820441dce5ea9p-12, -0x1.750637e2de27p-12, -0x1.68733a1ca39b4p-12, -0x1.5c49574772867p-12, -0x1.508617aa66916p-12, -0x1.45264f8eb381fp-12, -0x1.3a27057d2d025p-12, -0x1.2f864f727f451p-12, -0x1.25432e6e5b66dp-12, -0x1.1b5cb38175c02p-12, -0x1.11d14dffc4adp-12, -0x1.089e4a8ddb12dp-12, -0x1.ff7e39f1182dp-13, -0x1.ee5b6129c36f3p-13, -0x1.ddc9cb770c05fp-13, -0x1.cdc516902108p-13, -0x1.be4bc11429132p-13, -0x1.af59b2a768668p-13, -0x1.a0e83904b6038p-13, -0x1.92f2c3fef1389p-13, -0x1.8578bbc90ec3cp-13, -0x1.787a0a60cc172p-13, -0x1.6bf3d193bdc7cp-13, -0x1.5fe0d3171230ap-13, -0x1.543bc09044dbbp-13, -0x1.490110eed3131p-13, -0x1.3e2f67b1fe24bp-13, -0x1.33c67d396c91ep-13, -0x1.29c59a4a93aabp-13, -0x1.202b21fd286fap-13, -0x1.16f430948f942p-13, -0x1.0e1aba3ac7112p-13, -0x1.05966c4b3afd7p-13, -0x1.fac5c1c276cbfp-14, -0x1.eb0254dc9c49dp-14, -0x1.dbe1638050ab4p-14, -0x1.cd571f52cac0bp-14, -0x1.bf57b36549fd3p-14, -0x1.b1df31c87f083p-14, -0x1.a4ebeb6fcd161p-14, -0x1.987932ff3b8cfp-14, -0x1.8c8175e2c3db7p-14, -0x1.8100aac6324bdp-14, -0x1.75f3a18da2142p-14, -0x1.6b570092db2cp-14, -0x1.61279f55cbd75p-14, -0x1.576346ef172c4p-14, -0x1.4e084fdca43eap-14, -0x1.4514a338b97cp-14, -0x1.3c862c758ce09p-14, -0x1.345aac6ae7a0cp-14, -0x1.2c8b62845b66bp-14, -0x1.250dbfebcca0fp-14, -0x1.1dde5a776fcacp-14, -0x1.16ffb53fa0b3bp-14, -0x1.106dbe36774c8p-14, -0x1.0a21bae1d5ae2p-14, -0x1.041c2362a8a8fp-14, -0x1.fcbd069cf71dfp-15, -0x1.f1c93e1ef9928p-15, -0x1.e74f8243696ccp-15, -0x1.dd451b0d05b76p-15, -0x1.d3a3ccc1e3ff4p-15, -0x1.ca6926451d4b1p-15, -0x1.c19458d01bc9bp-15, -0x1.b923adbc93cf4p-15, -0x1.b113a0ce73a98p-15, -0x1.a96012b014f78p-15, -0x1.a205c0a036835p-15, -0x1.9b022264b65f3p-15, -0x1.94534f9a784e2p-15, -0x1.8df8dce84a347p-15, -0x1.87ee90e39cb2p-15, -0x1.82279c320e3c5p-15, -0x1.7c9dd59510b95p-15, -0x1.7751c0d575956p-15, -0x1.723c6e3327516p-15, -0x1.6d5d5aaba228dp-15, -0x1.68b99b13801fbp-15, -0x1.644e700e93d0ap-15, -0x1.6016b26af5e67p-15, -0x1.5c0fae240a564p-15, -0x1.58375a3e3c671p-15, -0x1.548a3eb5d325ep-15, -0x1.5103767c24d4p-15, -0x1.4d9ea967d7582p-15, -0x1.4a5a513bbe535p-15, -0x1.4736ee56f52e2p-15, -0x1.4433e512f7a0fp-15, -0x1.414e89bd1dbacp-15, -0x1.3e84de0f462eap-15, -0x1.3bd6c22d25867p-15, -0x1.394336dcd6845p-15, -0x1.36c921a5591a9p-15, -0x1.3468ad541d6c6p-15, -0x1.321c9be9cfad5p-15, -0x1.2fdf6f3321fa4p-15, -0x1.2db11b8e62f6bp-15, -0x1.2b901d1b35db9p-15, -0x1.297f6e8c9500dp-15, -0x1.277ebc3cb3f9p-15, -0x1.258a8e7fe3a1bp-15, -0x1.23a141f843558p-15, -0x1.21c25c5952ceap-15, -0x1.1fedaa38adb4cp-15, -0x1.1e2315746f76cp-15, -0x1.1c624c1aca583p-15, -0x1.1aa9e74ff9d01p-15, -0x1.18f718c9b8d0bp-15, -0x1.1747b61e9800ap-15, -0x1.159c3bec3486fp-15, -0x1.13f55131deea4p-15, -0x1.125170e27a4a4p-15, -0x1.10aff249ed507p-15, -0x1.0f11eaacdc801p-15, -0x1.0d76b227d9affp-15, }}, 
      {{-0x1.b697f50a5ff8ep-1, -0x1.b40a8dc719e89p-1, -0x1.afdd93c6a665ep-1, -0x1.aa2a5ac7bc118p-1, -0x1.a30f06d038897p-1, -0x1.9aac86638c50dp-1, -0x1.912514e56e5cfp-1, -0x1.869b2361c2957p-1, -0x1.7b308d5407d2p-1, -0x1.6f06066821644p-1, -0x1.623ab3a2d7f09p-1, -0x1.54ebe66bebe25p-1, -0x1.4734f1bf04133p-1, -0x1.392f1398674dbp-1, -0x1.2af16e14449bep-1, -0x1.1c910c64d3b2p-1, -0x1.0e20f0a5cb684p-1, -0x1.ff645054dc55ep-2, -0x1.e2a7c8940c2c9p-2, -0x1.c6272ce44d697p-2, -0x1.a9fa1b4962e0dp-2, -0x1.8e3529ed830ccp-2, -0x1.72ea2412982f6p-2, -0x1.582845a10feaep-2, -0x1.3dfc749f081e5p-2, -0x1.2471779964d92p-2, -0x1.0b90292c6b547p-2, -0x1.e6bf4f5aff455p-3, -0x1.b7cb03b8e11d2p-3, -0x1.8a4bbfe25d0eap-3, -0x1.5e475356b5a6bp-3, -0x1.33c152f6f911ep-3, -0x1.0abb59a40ea03p-3, -0x1.c66a86aeb3ed7p-4, -0x1.7a5ac76123db9p-4, -0x1.31416e7329e0ep-4, -0x1.d62c42ac3ec96p-5, -0x1.4f9d07be0ffa5p-5, -0x1.9d7a095eef00ap-6, -0x1.4dc4a59b09782p-7, 0x1.13204d2f4e37p-8, 0x1.25c42cb978cdep-6, 0x1.fc543e4945333p-6, 0x1.645e8f624b3fep-5, 0x1.c5a2cd74e58ecp-5, 0x1.110d7aabe5198p-4, 0x1.3cf5cd8c276d4p-4, 0x1.669cca786557p-4, 0x1.8e14e5e630c89p-4, 0x1.b37088bdbd777p-4, 0x1.d6c1fe7029ed5p-4, 0x1.f81b656b73ca8p-4, 0x1.0bc750d1ee915p-3, 0x1.1a96a8a316fdp-3, 0x1.288461998482ep-3, 0x1.3598f7853a04p-3, 0x1.41dcb74320543p-3, 0x1.4d57bc6f282ep-3, 0x1.5811eeb4e470bp-3, 0x1.621300e2bd363p-3, 0x1.6b626f7b704cbp-3, 0x1.7407800aa9e6ep-3, 0x1.7c0940bfae4b2p-3, 0x1.836e885326cdep-3, 0x1.8a3df62ddda7ap-3, 0x1.907df2c7abcd8p-3, 0x1.9634b03623336p-3, 0x1.9b682ae3f3f1p-3, 0x1.a01e2a69cd32dp-3, 0x1.a45c428438ca2p-3, 0x1.a827d41e87a03p-3, 0x1.ab860e7426f87p-3, 0x1.ae7bf03ae3ce9p-3, 0x1.b10e48dbc180dp-3, 0x1.b341b9b9d2a66p-3, 0x1.b51ab76c9808p-3, 0x1.b69d8b1765a8ep-3, 0x1.b7ce53ae71558p-3, 0x1.b8b1073c94a35p-3, 0x1.b949743ebe275p-3, 0x1.b99b42e141613p-3, 0x1.b9a9f63cfb8dp-3, 0x1.b978eda7a8317p-3, 0x1.b90b65df46c2dp-3, 0x1.b8647a3d72cf1p-3, 0x1.b78725eee8e3fp-3, 0x1.b676450be3285p-3, 0x1.b53495c4eeac7p-3, 0x1.b3c4b96a50812p-3, 0x1.b229358c9976bp-3, 0x1.b06474f11badp-3, 0x1.ae78c89e2a8ep-3, 0x1.ac6868d6c4e82p-3, 0x1.aa3575efaba94p-3, 0x1.a7e1f95f3d701p-3, 0x1.a56fe67b0778ap-3, 0x1.a2e11b62122b8p-3, 0x1.a03761ceab6bdp-3, 0x1.9d746fcb35644p-3, 0x1.9a99e89c7a1f3p-3, 0x1.97a95d55b57ebp-3, 0x1.94a44da39730ep-3, 0x1.918c28755e6b5p-3, 0x1.8e624ca2dfc26p-3, 0x1.8b28099b20448p-3, 0x1.87de9fe3f9343p-3, 0x1.848741d768be6p-3, 0x1.8123140f06e15p-3, 0x1.7db32e08e3b7ap-3, 0x1.7a389a9c2487cp-3, 0x1.76b4589f5fcfp-3, 0x1.73275b1c2a08cp-3, 0x1.6f928a183921ap-3, 0x1.6bf6c2c698787p-3, 0x1.6854d83158602p-3, 0x1.64ad936df348bp-3, 0x1.6101b42653b01p-3, 0x1.5d51f0ef2d981p-3, 0x1.599ef7a8999efp-3, 0x1.55e96dd92466ep-3, 0x1.5231f10355d27p-3, 0x1.4e7917092d399p-3, 0x1.4abf6e57aaf14p-3, 0x1.47057e69fc425p-3, 0x1.434bc7e3af501p-3, 0x1.3f92c4f582d51p-3, 0x1.3bdae999c3fep-3, 0x1.3824a3d6f18e5p-3, 0x1.34705c003239fp-3, 0x1.30be74f2b9812p-3, 0x1.2d0f4c50cafa9p-3, 0x1.29633ab85513bp-3, 0x1.25ba94094082dp-3, 0x1.2215a76f6724cp-3, 0x1.1e74bfc67c636p-3, 0x1.1ad823bcd49d5p-3, 0x1.174015e66b8b9p-3, 0x1.13acd50763f1ap-3, 0x1.101e9c3314a55p-3, 0x1.0c95a2f69e6f5p-3, 0x1.09121d807afc2p-3, 0x1.05943cc60da13p-3, 0x1.021c2ea7b3bd8p-3, 0x1.fd543c2726569p-4, 0x1.f67c664ca90dep-4, 0x1.efb12692fd10ep-4, 0x1.e8f2c2c4ce781p-4, 0x1.e2417b8b67fb4p-4, 0x1.db9d8d105acd5p-4, 0x1.d5072eef9b3a6p-4, 0x1.ce7e9476dae4bp-4, 0x1.c803ece63303cp-4, 0x1.c19763943bcebp-4, 0x1.bb39201e9091dp-4, 0x1.b4e94694f40e7p-4, 0x1.aea7f7a44013ap-4, 0x1.a87550bdd05f6p-4, 0x1.a2516c3d6fbfp-4, 0x1.9c3c618e67866p-4, 0x1.9636439d09e93p-4, 0x1.903f297215369p-4, 0x1.8a571d5b5ed12p-4, 0x1.847e2e082c0bfp-4, 0x1.7eb466257b986p-4, 0x1.78f9ce197d876p-4, 0x1.734e6c55b4f0dp-4, 0x1.6db2452c94631p-4, 0x1.68255b140021dp-4, 0x1.62a7aeb5a5befp-4, 0x1.5d393f0179486p-4, 0x1.57da094395939p-4, 0x1.528a0939815fep-4, 0x1.4d493925f799cp-4, 0x1.481791e4942c8p-4, 0x1.42f50afafa7d5p-4, 0x1.3de19aa946e0dp-4, 0x1.38dd35fc68c66p-4, 0x1.33e7d0db64136p-4, 0x1.2f015e18d4278p-4, 0x1.2a29cf7eba8d4p-4, 0x1.256115de36d66p-4, 0x1.20a72119ff7b3p-4, 0x1.1bfbe030bcd24p-4, 0x1.175f4169bd4edp-4, 0x1.12d13205a35f2p-4, 0x1.0e519eac8215fp-4, 0x1.09e0737550dd4p-4, 0x1.057d9b8a310fp-4, 0x1.01290196c1558p-4, 0x1.f9c51f542d2c8p-5, 0x1.f1545e87667aap-5, 0x1.e8ff92b79bbb7p-5, 0x1.e0c68cd839fc4p-5, 0x1.d8a91ce6f264cp-5, 0x1.d0a7120bd9db5p-5, 0x1.c8c03a93cdd95p-5, 0x1.c0f4640a191e9p-5, 0x1.b9435b40606c7p-5, 0x1.b1acec5b7eb94p-5, 0x1.aa30e2e01f3e9p-5, 0x1.a2cf09b79071ep-5, 0x1.9b872b48d27bp-5, 0x1.9459117300f58p-5, 0x1.8d44859fe0d4bp-5, 0x1.864950ca2525cp-5, 0x1.7f673b86e743ep-5, 0x1.789e0e0e004bcp-5, 0x1.71ed90416102p-5, 0x1.6b5589ad366acp-5, 0x1.64d5c1df7bdcdp-5, 0x1.5e6dffa017351p-5, 0x1.581e09c18544fp-5, 0x1.51e5a743093b8p-5, 0x1.4bc49e6d51f3dp-5, 0x1.45bab5a72370dp-5, 0x1.3fc7b332b6893p-5, 0x1.39eb5d3b4a4e3p-5, 0x1.342579cbdc0b5p-5, 0x1.2e75cefb1f75ap-5, 0x1.28dc22bd765e7p-5, 0x1.23583b14814fp-5, 0x1.1de9ddfd45c9p-5, 0x1.1890d17c0c18dp-5, 0x1.134cdb9f8020dp-5, 0x1.0e1dc284c59f3p-5, 0x1.09034c5b92151p-5, 0x1.03fd3f6a0beacp-5, 0x1.fe16c4179aedp-6, 0x1.f45af5a089769p-6, 0x1.eac6a096e773bp-6, 0x1.e15952853ba62p-6, 0x1.d812994d25d9cp-6, 0x1.cef203204a31fp-6, 0x1.c5f71e8dfb316p-6, 0x1.bd217a888aa81p-6, 0x1.b470a66ae7561p-6, 0x1.abe431fe2083fp-6, 0x1.a37bad7e3a63dp-6, 0x1.9b36a99dc3ad4p-6, 0x1.9314b78af3e13p-6, 0x1.8b1568ffffe59p-6, 0x1.8338505abaeacp-6, 0x1.7b7d002076b6p-6, 0x1.73e30b94a8843p-6, 0x1.6c6a070bb41aep-6, 0x1.651186b313252p-6, 0x1.5dd91fb465421p-6, 0x1.56c067cc26ad6p-6, 0x1.4fc6f5562778ep-6, 0x1.48ec5f53a9f47p-6, 0x1.42303d6efd372p-6, 0x1.3b9227fe99b21p-6, 0x1.3511b808603e9p-6, 0x1.2eae874e8e988p-6, 0x1.2868301aeb337p-6, 0x1.223e4dc06d75ep-6, 0x1.1c307bf66d544p-6, 0x1.163e576cd5ebcp-6, 0x1.10677d75f3474p-6, 0x1.0aab8c2b8b564p-6, 0x1.050a226a915c4p-6, 0x1.ff05bfa9dd431p-7, 0x1.f42ac9a666709p-7, 0x1.e982a52d85343p-7, 0x1.df0c9636a4ecfp-7, 0x1.d4c7e250886b2p-7, 0x1.cab3d0a69f175p-7, 0x1.c0cfa9ffa7eb4p-7, 0x1.b71ab8c4f32dep-7, 0x1.ad9449138975cp-7, 0x1.a43ba865deb0ap-7, 0x1.9b10266932942p-7, 0x1.921113bce7417p-7, 0x1.893dc357e114dp-7, 0x1.8095897cac873p-7, 0x1.7817bc322e48p-7, 0x1.6fc3b330c6891p-7, 0x1.6798c7db7ba0bp-7, 0x1.5f965535bd81ap-7, 0x1.57bbb84e6f519p-7, 0x1.50084fbbd1d29p-7, 0x1.487b7b4655852p-7, 0x1.41149c7e0c087p-7, 0x1.39d3182a1e4e4p-7, 0x1.32b652d75f10ap-7, 0x1.2bbdb3a66851cp-7, 0x1.24e8a351abep-7, 0x1.1e368c6c4f1eap-7, 0x1.17a6db04c370fp-7, 0x1.1138fcb5762c6p-7, 0x1.0aec61a74bd88p-7, 0x1.04c07a82cdfaep-7, 0x1.fd6974f28435ap-8, 0x1.f1912c43a0e45p-8, 0x1.e5f7079afb704p-8, 0x1.da99f6f702c4bp-8, 0x1.cf78edaf59526p-8, 0x1.c492e27305789p-8, 0x1.b9e6cf466efbfp-8, 0x1.af73b1815c7d3p-8, 0x1.a53889cc5e01bp-8, 0x1.9b345c1c32fa8p-8, 0x1.91662facb5923p-8, 0x1.87cd0efb2f1bdp-8, 0x1.7e6807c140003p-8, 0x1.75362af1354dbp-8, 0x1.6c368ca373cb2p-8, 0x1.63684465af64fp-8, 0x1.5aca6ca089d6ep-8, 0x1.525c2352e397ap-8, 0x1.4a1c88c003e03p-8, 0x1.420ac1ca92ac9p-8, 0x1.3a25f4a81f492p-8, 0x1.326d4c28464e5p-8, 0x1.2adff542300f5p-8, 0x1.237d202aba1cap-8, 0x1.1c44002310987p-8, 0x1.1533cb76ba083p-8, 0x1.0e4bbb73ded03p-8, 0x1.078b0c634fa9dp-8, 0x1.00f0fd78c53a9p-8, 0x1.f4f9a1877c468p-9, 0x1.e85b96484fbbfp-9, 0x1.dc0668898ca26p-9, 0x1.cff8ad3414955p-9, 0x1.c430feae65ac5p-9, 0x1.b8adfcf85817fp-9, 0x1.ad6e512392dc8p-9, 0x1.a270a1db8c825p-9, 0x1.97b3a134b8bf3p-9, 0x1.8d3608156fc57p-9, 0x1.82f690b21e43p-9, 0x1.78f3fad91b1c5p-9, 0x1.6f2d0c6b29a4fp-9, 0x1.65a08f1e8f253p-9, 0x1.5c4d53d849302p-9, 0x1.53322f9558997p-9, 0x1.4a4dfafe7e4e3p-9, 0x1.419f9638949bap-9, 0x1.3925e551c6d16p-9, 0x1.30dfd143d3c98p-9, 0x1.28cc479a492a7p-9, 0x1.20ea3a4fd5ae3p-9, 0x1.19389fbe30577p-9, 0x1.11b672ac3a85cp-9, 0x1.0a62b2651a4fbp-9, 0x1.033c62d199d3ep-9, 0x1.f885190ce04acp-10, 0x1.eae8797b9d738p-10, 0x1.dda10a7714edfp-10, 0x1.d0acf840cb9a9p-10, 0x1.c40a776d243bep-10, 0x1.b7b7c4866cb19p-10, 0x1.abb323cb92dc4p-10, 0x1.9ffae11250c33p-10, 0x1.948d4fc924fb6p-10, 0x1.8968cb0f39ebdp-10, 0x1.7e8bb5d711456p-10, 0x1.73f47afa410ccp-10, 0x1.69a18d4ce9b62p-10, 0x1.5f91678ff6949p-10, 0x1.55c28c9e36d4dp-10, 0x1.4c3384b30e0eap-10, 0x1.42e2e3789db5p-10, 0x1.39cf4228cece8p-10, 0x1.30f73ba08addbp-10, 0x1.285977512a981p-10, 0x1.1ff49ffcdcc2bp-10, 0x1.17c766d2fea37p-10, 0x1.0fd083258ee02p-10, 0x1.080eb2a45ddb2p-10, 0x1.0080b9af5dedbp-10, 0x1.f24ac73aec736p-11, 0x1.e3f705b78782bp-11, 0x1.d603e194b99d6p-11, 0x1.c86f1acbdb995p-11, 0x1.bb367d7c1fdfp-11, 0x1.ae57e0a3085ep-11, 0x1.a1d124d8a89bbp-11, 0x1.95a0334c93e41p-11, 0x1.89c2fd47e830cp-11, 0x1.7e377c3b32a7p-11, 0x1.72fbb219428d4p-11, 0x1.680db4340d617p-11, 0x1.5d6b9791e687ep-11, 0x1.531382174f2edp-11, 0x1.4903aa2a18ee8p-11, 0x1.3f3a59f2ddf33p-11, 0x1.35b5d6bee39b2p-11, 0x1.2c7477f19076ap-11, 0x1.23749ba01c62p-11, 0x1.1ab4a5ad63b5fp-11, 0x1.1232ff0dc3c1cp-11, 0x1.09ee1677352dap-11, 0x1.01e45b5d7001fp-11, 0x1.f428a109351d9p-12, 0x1.e4f8f5febef09p-12, 0x1.d636caa9f0a28p-12, 0x1.c7df62ed3bf9p-12, 0x1.b9f00e081a5b5p-12, 0x1.ac66304361776p-12, 0x1.9f3f3e3929cfep-12, 0x1.9278ba56dcb39p-12, 0x1.861033057d2b9p-12, 0x1.7a0340e706ecep-12, 0x1.6e4f85123eb8ep-12, 0x1.62f2a807fb4a1p-12, 0x1.57ea5a72ae455p-12, 0x1.4d3458243605fp-12, 0x1.42ce6c560da06p-12, 0x1.38b67513cc917p-12, 0x1.2eea63e16142p-12, 0x1.25683b3cced41p-12, 0x1.1c2e0aaec7e89p-12, 0x1.1339ebb800016p-12, 0x1.0a8a01022e9a1p-12, 0x1.021c776c02d56p-12, 0x1.f3df0e5defebbp-13, 0x1.e402e72eb22d2p-13, 0x1.d4a1125d7db2bp-13, 0x1.c5b6375dfc87fp-13, 0x1.b73f0b4273d52p-13, 0x1.a93854c039b5ep-13, 0x1.9b9ef31414bdbp-13, 0x1.8e6fe2dff8dd9p-13, 0x1.81a83cf7fb5d2p-13, 0x1.75452f11c4005p-13, 0x1.6943f2d8ccd66p-13, 0x1.5da1c957a6c27p-13, 0x1.525bff289af52p-13, 0x1.476fecfeb6dep-13, 0x1.3cdaf859f755cp-13, 0x1.329ad18afa9fep-13, 0x1.28ace4803993fp-13, 0x1.1f0efa55b688p-13, 0x1.15bec355111e1p-13, 0x1.0cba00f1825dcp-13, 0x1.03fe82ccbdc22p-13, 0x1.f714543e12894p-14, 0x1.e6b5d66596db1p-14, 0x1.d6dd9512e911dp-14, 0x1.c787ad43d3c2cp-14, 0x1.b8b04511491ap-14, 0x1.aa538b68dcd31p-14, 0x1.9c6dc3d0a698ep-14, 0x1.8efb545f2d03p-14, 0x1.81f8c9c6c527ep-14, 0x1.7562ccb1a8bd6p-14, 0x1.6936548f8e94p-14, 0x1.5d702f8bd6763p-14, 0x1.520d2521f88f2p-14, 0x1.470a6723f519fp-14, 0x1.3c653b95517b3p-14, 0x1.321a9e05d3f57p-14, 0x1.2827cd9d56401p-14, 0x1.1e8a114fb3679p-14, 0x1.153ebe3b457c7p-14, 0x1.0c4336b5f1c8dp-14, 0x1.0394e8089baedp-14, 0x1.f6629f14a0411p-15, 0x1.e62c0b32b22p-15, 0x1.d68186c546497p-15, 0x1.c75eb95016793p-15, 0x1.b8bf68c5b2764p-15, 0x1.aa9f71c630edbp-15, 0x1.9cfad59bfc17ep-15, 0x1.8fcdcb3c47e68p-15, 0x1.8314bbc230488p-15, 0x1.76cc26f952cdfp-15, 0x1.6af08549807edp-15, 0x1.5f7e4bf29057cp-15, 0x1.5471936e04a85p-15, 0x1.49c739c2a21f8p-15, 0x1.3f7c108138b5fp-15, 0x1.358c38d9df0f8p-15, 0x1.2bf4fb033e92ap-15, 0x1.22b33b661ae97p-15, 0x1.19c412371f5bep-15, 0x1.1124b7a023d3ep-15, 0x1.08d2736b7c30ep-15, 0x1.00ca95ec7a345p-15, 0x1.f21510ba8f4e4p-16, 0x1.e31fac023b028p-16, 0x1.d4b1017292045p-16, 0x1.c6c497504e809p-16, 0x1.b9567ad5ae277p-16, 0x1.ac627a79fc669p-16, 0x1.9fe440102ff3ep-16, 0x1.93d7673fec1d6p-16, 0x1.8837a8efdadfp-16, 0x1.7d0105c86b18ep-16, 0x1.722fd1927f2c1p-16, 0x1.67c0968781d1dp-16, 0x1.5dafeafb43952p-16, 0x1.53fa608a98ff2p-16, 0x1.4a9c9108ba754p-16, 0x1.419325c846502p-16, 0x1.38dad2d7f5c59p-16, 0x1.30706b2d35d04p-16, 0x1.28510937178d3p-16, 0x1.207a14e727b11p-16, 0x1.18e91cca7b2ep-16, 0x1.119bb54fe42dap-16, 0x1.0a8f7a03ca9d3p-16, 0x1.03c21422e5c4bp-16, 0x1.fa625ef066652p-17, 0x1.edb4df4c10929p-17, 0x1.e176f79616299p-17, 0x1.d5a437f6f856ep-17, 0x1.ca38a31d29e4cp-17, 0x1.bf30a65401318p-17, 0x1.b488cf604e782p-17, 0x1.aa3d7aa23018cp-17, 0x1.a04ad113e8f43p-17, 0x1.96ad0b2724276p-17, 0x1.8d609c6f1ddd6p-17, 0x1.8462aa5dbedbap-17, 0x1.7bae3a93c6209p-17, 0x1.73434c4d47438p-17, 0x1.6b1cae671e801p-17, 0x1.6338a99d0c539p-17, 0x1.5b95f0ed2f163p-17, 0x1.542fc01ca40e5p-17, 0x1.4d02c68e1cc63p-17, 0x1.460facdf142cfp-17, 0x1.3f52cd120dfbdp-17, 0x1.38c9b5e97e6acp-17, 0x1.32726cca96993p-17, 0x1.2c4ae59ffff76p-17, 0x1.2651532ae0beep-17, 0x1.208405d1c8ca4p-17, 0x1.1ae14cbb7bdcbp-17, 0x1.15674a7513d13p-17, 0x1.10140d13dae9p-17, 0x1.0ae5c7721bd6dp-17, 0x1.05dade705f50fp-17, 0x1.00f1e1f73262bp-17, 0x1.f8532be7e67fcp-18, 0x1.ef018e746ae6ap-18, 0x1.e5ec292e79c03p-18, 0x1.dd10228507054p-18, 0x1.d46af482eff13p-18, 0x1.cbfa4e3c6940cp-18, 0x1.c3bbe3cd49c88p-18, 0x1.bbad8217ba11p-18, 0x1.b3cd2349a3869p-18, 0x1.ac18e6dca51p-18, 0x1.a48eff0a86633p-18, 0x1.9d2da6c65c568p-18, 0x1.95f328bebcbc6p-18, 0x1.8eddef9f5c827p-18, 0x1.87ec89842fd15p-18, 0x1.811d8abe9f1e3p-18, 0x1.7a6f65cba2c76p-18, 0x1.73e07de57effap-18, 0x1.6d6f6e808e684p-18, 0x1.671b1690e7961p-18, 0x1.60e2628d32aep-18, 0x1.5ac446b617e64p-18, 0x1.54bfb2acb5fdap-18, 0x1.4ed37fa3f717fp-18, 0x1.48feb22917769p-18, 0x1.4340747ce73d1p-18, 0x1.3d97e34bb93b6p-18, 0x1.38041bfc1619ep-18, 0x1.3284572bda5d5p-18, 0x1.2d18a2508f07dp-18, 0x1.27bc4e94893b6p-18, 0x1.22753f9177de9p-18, 0x1.1d3efd3b0a7b9p-18, 0x1.181841304f57p-18, 0x1.1301dfbda3089p-18, 0x1.0dfad07757038p-18, 0x1.090304468a7a3p-18, 0x1.04199ee19c7b9p-18, 0x1.fe7c98fa9bfa1p-19, 0x1.f4e116ae5a23fp-19, 0x1.eb5fe29262612p-19, 0x1.e1f86acdeed14p-19, 0x1.d8a9fca8213eep-19, 0x1.cf73cdd4ddfe6p-19, 0x1.c65539ca68e8ep-19, 0x1.bd4da45142efap-19, 0x1.b45c9f255dc94p-19, 0x1.ab81afccfe1b9p-19, 0x1.a2bc4e4601f3dp-19, 0x1.9a0c054635378p-19, 0x1.91706e1bec40ap-19, 0x1.88e92c1e65fa8p-19, 0x1.8075eb9c57a3dp-19, 0x1.78165cf544fb9p-19, 0x1.6fca2ddfb074fp-19, 0x1.67910859379dap-19, 0x1.5f6a9d03314e6p-19, 0x1.5756b4370a76bp-19, 0x1.4f551a9bd8391p-19, 0x1.4765a1fe1f454p-19, 0x1.3f881e8f16134p-19, 0x1.37bc2969f3547p-19, 0x1.30007b1497cdp-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.5cb76c6caf8b8p-6, 0x1.43a6c35c6f0b7p-5, 0x1.b051246230c6fp-5, 0x1.ec67cd4a34064p-5, 0x1.f542806191b84p-5, 0x1.cbcf3ebe4c607p-5, 0x1.7354e2fc0efc2p-5, 0x1.e11bc2d7dc353p-6, 0x1.240e11b63e64cp-7, -0x1.f59e4389fba9fp-7, -0x1.5cc9f45a8a938p-5, -0x1.27b60fd0a8e81p-4, -0x1.a7f6f6192b264p-4, -0x1.1657786b525d7p-3, -0x1.59d185fbd8ec7p-3, -0x1.9d6c610ad4ddap-3, -0x1.e04af5e6e5174p-3, -0x1.10d7b18bf562fp-2, -0x1.307cac597064cp-2, -0x1.4ed206639ebd5p-2, -0x1.6ba1fa3c8c318p-2, -0x1.86c2318d6d072p-2, -0x1.a01293117ff3dp-2, -0x1.b77c17d3b32b9p-2, -0x1.ccefae5ac641dp-2, -0x1.e065300f75131p-2, -0x1.f1da6a395cab5p-2, -0x1.00a91e1e4229cp-1, -0x1.0769e5eaadf51p-1, -0x1.0d34e75d600cdp-1, -0x1.1210f43dccbc3p-1, -0x1.16060da6126c7p-1, -0x1.191d2502296bp-1, -0x1.1b5fe4c47f603p-1, -0x1.1cd87ffaac59fp-1, -0x1.1d91881bb500ap-1, -0x1.1d95c864187bep-1, -0x1.1cf0263c1df9p-1, -0x1.1bab862f4bf22p-1, -0x1.19d2b50373187p-1, -0x1.17705486f8321p-1, -0x1.148ecbb00d055p-1, -0x1.113839ac338acp-1, -0x1.0d766b8734394p-1, -0x1.0952d41914b06p-1, -0x1.04d685f246355p-1, -0x1.000a2f04165f7p-1, -0x1.f5ec2b949efa5p-2, -0x1.eb442f7e34c27p-2, -0x1.e02b51d0f355cp-2, -0x1.d4afa8a9a2e7cp-2, -0x1.c8de7abb0c75bp-2, -0x1.bcc4431da2cb9p-2, -0x1.b06cb62f40473p-2, -0x1.a3e2c74470e62p-2, -0x1.9730af02da41ap-2, -0x1.8a5ff23fd682cp-2, -0x1.7d796933204bdp-2, -0x1.708546e5727fap-2, -0x1.638b20cc44dc5p-2, -0x1.5691f6631026ap-2, -0x1.49a038c918c69p-2, -0x1.3cbbd2435c338p-2, -0x1.2fea2d9b9439cp-2, -0x1.23303d5462d71p-2, -0x1.169282a3d8026p-2, -0x1.0a1514359f9d2p-2, -0x1.fb77495a712dep-3, -0x1.e31311b934c1dp-3, -0x1.cb037b977cfd8p-3, -0x1.b34ddcb4b0628p-3, -0x1.9bf6f1895280cp-3, -0x1.8502e7711f85ap-3, -0x1.6e75668a8bf56p-3, -0x1.58519b23080dcp-3, -0x1.429a3e3aaae35p-3, -0x1.2d519e2912eb4p-3, -0x1.1879a63dee85fp-3, -0x1.0413e6264f1c1p-3, -0x1.e043322b29674p-4, -0x1.b947585ee3185p-4, -0x1.93358939b534fp-4, -0x1.6e0e8b119ecabp-4, -0x1.49d2aabba5a5p-4, -0x1.2681c5ac8f789p-4, -0x1.041b539a1f445p-4, -0x1.c53cddfe27fd9p-5, -0x1.8413bb286d2cbp-5, -0x1.44b82f4f7d2f4p-5, -0x1.07269efe63f9bp-5, -0x1.96b5de6d0f93bp-6, -0x1.22a124315fc5ap-6, -0x1.640a494db6b97p-7, -0x1.135ce79031e3bp-8, 0x1.279f3bcb8eefcp-9, 0x1.16d04012cb8a5p-7, 0x1.dd23a7743cef7p-7, 0x1.4e7dda169e037p-6, 0x1.ab3970bb872a6p-6, 0x1.026915effabf5p-5, 0x1.2daaf5cd7703bp-5, 0x1.5769679c97f55p-5, 0x1.7fab953d73fd4p-5, 0x1.a678bddff8e3cp-5, 0x1.cbd8310908858p-5, 0x1.efd14ac4c21bp-5, 0x1.0935b77cbe249p-4, 0x1.19d70325e2f48p-4, 0x1.29d03d212b625p-4, 0x1.3925192cfca54p-4, 0x1.47d9487d2e6ccp-4, 0x1.55f0786fc574dp-4, 0x1.636e5140f508bp-4, 0x1.7056751df1571p-4, 0x1.7cac7ebfc7941p-4, 0x1.887400e72f39cp-4, 0x1.93b0853889d83p-4, 0x1.9e658b981c277p-4, 0x1.a896897230603p-4, 0x1.b246e91af925p-4, 0x1.bb7a0949480e8p-4, 0x1.c4333c7ba82d8p-4, 0x1.cc75c8cb3d417p-4, 0x1.d444e731ed2bbp-4, 0x1.dba3c3861d383p-4, 0x1.e2957c053d8d9p-4, 0x1.e91d2127be578p-4, 0x1.ef3db56bb1af9p-4, 0x1.f4fa2d2ad08c4p-4, 0x1.fa556e866d5a6p-4, 0x1.ff52514373718p-4, 0x1.01f9cf61df327p-3, 0x1.041e08f7590eep-3, 0x1.06172bb4b1983p-3, 0x1.07e686a6b012fp-3, 0x1.098d61a88cd7ep-3, 0x1.0b0cfd8342f7fp-3, 0x1.0c6693dabe9d4p-3, 0x1.0d9b5743ae901p-3, 0x1.0eac735a88b77p-3, 0x1.0f9b0cd0bf51p-3, 0x1.10684176ceadep-3, 0x1.11152855871efp-3, 0x1.11a2d1cc094eep-3, 0x1.1212479fe39ffp-3, 0x1.12648d0c1995ap-3, 0x1.129a9ed848e09p-3, 0x1.12b57394e951ep-3, 0x1.12b5fb8e42bcdp-3, 0x1.129d20eecc93ap-3, 0x1.126bc7e0e11cap-3, 0x1.1222ceb3bed68p-3, 0x1.11c30df2a0533p-3, 0x1.114d586f67679p-3, 0x1.10c27b6921971p-3, 0x1.10233eba9b2e7p-3, 0x1.0f7064f1b916cp-3, 0x1.0eaaab576e024p-3, 0x1.0dd2ca0e792afp-3, 0x1.0ce97445487d6p-3, 0x1.0bef585eaab0bp-3, 0x1.0ae51fe6affa8p-3, 0x1.09cb6fb5457c1p-3, 0x1.08a2e8167ceb3p-3, 0x1.076c24fb65f9dp-3, 0x1.0627bdfaa6825p-3, 0x1.04d64666f5dp-3, 0x1.03784d67630fcp-3, 0x1.020e5e2c98231p-3, 0x1.0099000322066p-3, 0x1.fe316ccd75e3bp-4, 0x1.fb1c0211e9946p-4, 0x1.f7f2b7f7444bp-4, 0x1.f4b67fa3b86fap-4, 0x1.f1684373bd879p-4, 0x1.ee08e70a6b25ep-4, 0x1.ea994767d3a89p-4, 0x1.e71a3b3eace14p-4, 0x1.e38c931e3ed5fp-4, 0x1.dff119a931857p-4, 0x1.dc48939b5ef68p-4, 0x1.d893bff9729a3p-4, 0x1.d4d35838f7c82p-4, 0x1.d10810736e044p-4, 0x1.cd3297979059fp-4, 0x1.c9539778ed06cp-4, 0x1.c56bb4de3269ap-4, 0x1.c17b8fd6e7811p-4, 0x1.bd83c3a3febdfp-4, 0x1.b984e709413c3p-4, 0x1.b57f8c5e052ebp-4, 0x1.b17441aaae322p-4, 0x1.ad6390baf8576p-4, 0x1.a94dff48d7e76p-4, 0x1.a5340effe57a6p-4, 0x1.a1163dc3a038p-4, 0x1.9cf505b4791bdp-4, 0x1.98d0dd4a36e26p-4, 0x1.94aa376412865p-4, 0x1.9081835f6830dp-4, 0x1.8c572d3f87c95p-4, 0x1.882b9db5b9f7ap-4, 0x1.83ff3a4da6cd7p-4, 0x1.7fd2656f78306p-4, 0x1.7ba57e72a0096p-4, 0x1.7778e1b0a1449p-4, 0x1.734ce89d5f67ep-4, 0x1.6f21e9dcbf2fcp-4, 0x1.6af83964e4ec1p-4, 0x1.66d0285dd17a6p-4, 0x1.62aa0578f7b0fp-4, 0x1.5e861cc082a16p-4, 0x1.5a64b7b47448ep-4, 0x1.56461d7c6f1a2p-4, 0x1.522a92dbf1541p-4, 0x1.4e125a4a0e5b6p-4, 0x1.49fdb3f87013ap-4, 0x1.45ecddee12c26p-4, 0x1.41e013ee2fe99p-4, 0x1.3dd78fbaac4b2p-4, 0x1.39d388f8e1c16p-4, 0x1.35d435554bp-4, 0x1.31d9c88704f43p-4, 0x1.2de474598bc1fp-4, 0x1.29f468b648418p-4, 0x1.2609d3af9a017p-4, 0x1.2224e18cafd16p-4, 0x1.1e45bcd5a163ap-4, 0x1.1a6c8e6314ddep-4, 0x1.16997d571c6d7p-4, 0x1.12ccaf3efe3ebp-4, 0x1.0f064803fecfap-4, 0x1.0b4669ffbaaf8p-4, 0x1.078d36030a49fp-4, 0x1.03dacb603fd78p-4, 0x1.002f47f47dca9p-4, 0x1.f915905fbc991p-5, 0x1.f1dace397be5ep-5, 0x1.eaae7cccf4232p-5, 0x1.e390ccbbcc91fp-5, 0x1.dc81ec22d06edp-5, 0x1.d5820653d2b11p-5, 0x1.ce914469338a3p-5, 0x1.c7afcce1d8dc5p-5, 0x1.c0ddc3dc0c659p-5, 0x1.ba1b4b302b261p-5, 0x1.b36882636c493p-5, 0x1.acc586bf85ea2p-5, 0x1.a632735f2d72bp-5, 0x1.9faf613bbb4dap-5, 0x1.993c673aba313p-5, 0x1.92d99a3ac83f9p-5, 0x1.8c870d1f904a1p-5, 0x1.8644d0d72499dp-5, 0x1.8012f4852d837p-5, 0x1.79f1854447886p-5, 0x1.73e08e93e2c84p-5, 0x1.6de01a0bb9e1dp-5, 0x1.67f02fa18fe8p-5, 0x1.6210d59a79e56p-5, 0x1.5c42109b9f219p-5, 0x1.5683e3b4949fbp-5, 0x1.50d65069b9515p-5, 0x1.4b3956bd2b0d3p-5, 0x1.45acf5394e094p-5, 0x1.403128fb96d35p-5, 0x1.3ac5edbcf82d1p-5, 0x1.356b3ddf3c26dp-5, 0x1.302112736aa93p-5, 0x1.2ae76340f5ba7p-5, 0x1.25be26e42f685p-5, 0x1.20a552a3ff8cbp-5, 0x1.1b9cdac876709p-5, 0x1.16a4b24e6736p-5, 0x1.11bccb31005f7p-5, 0x1.0ce516564d427p-5, 0x1.081d839c66528p-5, 0x1.036601e40a8c5p-5, 0x1.fd7cfe2f75b03p-6, 0x1.f44dd062ff8f9p-6, 0x1.eb3e528d34bf2p-6, 0x1.e24e5b241c0bbp-6, 0x1.d97dbeef52104p-6, 0x1.d0cc510437ca3p-6, 0x1.c839e307e62bbp-6, 0x1.bfc64514f70a9p-6, 0x1.b77145d6f0689p-6, 0x1.af3ab29a69e95p-6, 0x1.a722575356db7p-6, 0x1.9f27fed4d968fp-6, 0x1.974b7260441c5p-6, 0x1.8f8c7a8b70c65p-6, 0x1.87eade7cc7182p-6, 0x1.8066646b4d6fep-6, 0x1.78fed187e0af7p-6, 0x1.71b3ea0d0db24p-6, 0x1.6a85714c7c007p-6, 0x1.637329bd903d5p-6, 0x1.5c7cd50cb55bfp-6, 0x1.55a23428fb64bp-6, 0x1.4ee3074ea7babp-6, 0x1.483f0e0ec16efp-6, 0x1.41b607553766ap-6, 0x1.3b47b170d4d3cp-6, 0x1.34f3ca1f3dfdp-6, 0x1.2eba0e9d42089p-6, 0x1.289a3bb8da07p-6, 0x1.22940de1394c9p-6, 0x1.1ca7412ee518dp-6, 0x1.16d3915deb542p-6, 0x1.1118b9f8fd151p-6, 0x1.0b7675f367dc1p-6, 0x1.05ec803b58c95p-6, 0x1.007a933f28b4ep-6, 0x1.f640d2da54436p-7, 0x1.ebbb7a3d20e05p-7, 0x1.e164915ea5d34p-7, 0x1.d73b8cfe4bb68p-7, 0x1.cd3fe1c9c05bbp-7, 0x1.c371043829d4p-7, 0x1.b9ce6875913a1p-7, 0x1.b05782717f7f9p-7, 0x1.a70bc6171376bp-7, 0x1.9deaa79c8d215p-7, 0x1.94f39be5b2e29p-7, 0x1.8c26188246063p-7, 0x1.838193bef4483p-7, 0x1.7b05846ec7a26p-7, 0x1.72b1617830aeep-7, 0x1.6a84a18e5f131p-7, 0x1.627ebb40cef64p-7, 0x1.5a9f2546e772bp-7, 0x1.52e5570311704p-7, 0x1.4b50c90625c0dp-7, 0x1.43e0f59bb14fep-7, 0x1.3c955859d7b18p-7, 0x1.356d6e26db185p-7, 0x1.2e68b49edee2p-7, 0x1.2786a8e8aae8ep-7, 0x1.20c6c7d1487a5p-7, 0x1.1a288dc9b0013p-7, 0x1.13ab77974ac37p-7, 0x1.0d4f034e1214p-7, 0x1.0712b13ea2894p-7, 0x1.00f60478879e7p-7, 0x1.f5f10548e35fbp-8, 0x1.ea33666ae5813p-8, 0x1.deb23c67f787fp-8, 0x1.d36c96222f1dbp-8, 0x1.c8617fed870d2p-8, 0x1.bd9003c69d9d8p-8, 0x1.b2f72b31696dfp-8, 0x1.a89602379224p-8, 0x1.9e6b9a8b69081p-8, 0x1.94770db11555ep-8, 0x1.8ab77d538b36bp-8, 0x1.812c118730091p-8, 0x1.77d3f5796c769p-8, 0x1.6eae53a52409cp-8, 0x1.65ba52d6928b7p-8, 0x1.5cf7150e79e38p-8, 0x1.5463b8af233fep-8, 0x1.4bff5c018a81p-8, 0x1.43c920e1912b2p-8, 0x1.3bc03170c0705p-8, 0x1.33e3c2f06e068p-8, 0x1.2c3314791ee26p-8, 0x1.24ad6d23c17b4p-8, 0x1.1d52170062d47p-8, 0x1.16205a08c6865p-8, 0x1.0f17784badc2fp-8, 0x1.0836ac9132dcp-8, 0x1.017d2bdff35bap-8, 0x1.f5d452e8b525ep-9, 0x1.e8f9b839c5f5fp-9, 0x1.dc690727395c4p-9, 0x1.d020d8b42b18ep-9, 0x1.c41fe1aea6eebp-9, 0x1.b864ee3a591bep-9, 0x1.aceed779d3baap-9, 0x1.a1bc76452ee7cp-9, 0x1.96cc970f48f5fp-9, 0x1.8c1df2aed8149p-9, 0x1.81af2dfb76b0bp-9, 0x1.777edf5ad5011p-9, 0x1.6d8b98da69d89p-9, 0x1.63d3f3d7b866ap-9, 0x1.5a569c4512cb7p-9, 0x1.51125942f3158p-9, 0x1.480611b3bd644p-9, 0x1.3f30ca1fe7121p-9, 0x1.36919bd8f3bep-9, 0x1.2e27a72b47366p-9, 0x1.25f204c883436p-9, 0x1.1defbbf0461cdp-9, 0x1.161fbd7e232dcp-9, 0x1.0e80e8fa7b7f1p-9, 0x1.0712134845704p-9, 0x1.ffa4196c5223ap-10, 0x1.f17f52320f9ffp-10, 0x1.e3b38c353084ep-10, 0x1.d63ea5e84e3c9p-10, 0x1.c91eaf6d0ed3cp-10, 0x1.bc51f1c370329p-10, 0x1.afd6e854fcacfp-10, 0x1.a3ac2c9ab6929p-10, 0x1.97d05bc84d0a9p-10, 0x1.8c42028e1da2ep-10, 0x1.80ff97307ba9ap-10, 0x1.7607805b65a8dp-10, 0x1.6b581e9f36f8cp-10, 0x1.60efce469f29bp-10, 0x1.56ccdfc7b77ap-10, 0x1.4ced8f635d829p-10, 0x1.435007c6b0c51p-10, 0x1.39f2746eed385p-10, 0x1.30d31c8c67e55p-10, 0x1.27f0776f642d4p-10, 0x1.1f492e54ad083p-10, 0x1.16dc0b5008604p-10, 0x1.0ea7e1d59c06bp-10, 0x1.06ab815b0d549p-10, 0x1.fdcb73fa15813p-11, 0x1.eeaad8b147279p-11, 0x1.dff327ace8044p-11, 0x1.d1a27b1872844p-11, 0x1.c3b6d867d9bf7p-11, 0x1.b62df39bcd251p-11, 0x1.a90516c18c3ap-11, 0x1.9c39449eb558ap-11, 0x1.8fc78083f8b66p-11, 0x1.83ad18ec5fdbfp-11, 0x1.77e7bb71d7c1ap-11, 0x1.6c7568b2ebf4ap-11, 0x1.615437f586a5cp-11, 0x1.568235569a582p-11, 0x1.4bfd639cedbe1p-11, 0x1.41c3dfac13f32p-11, 0x1.37d40a7cfc2f2p-11, 0x1.2e2c96ee53d27p-11, 0x1.24cc661a103e2p-11, 0x1.1bb23c61e3572p-11, 0x1.12dc7a56c7365p-11, 0x1.0a490a869bf4fp-11, 0x1.01f590c3ae907p-11, 0x1.f3bf76eb1a01bp-12, 0x1.e40b0c21d0dc5p-12, 0x1.d4ca9c759942p-12, 0x1.c5fb786b32cedp-12, 0x1.b79b23e7aca1bp-12, 0x1.a9a70a9328d42p-12, 0x1.9c1c6e84315dfp-12, 0x1.8ef886f828eadp-12, 0x1.8238bdb1b6e48p-12, 0x1.75daeec8ffc94p-12, 0x1.69dd6be1ee9f9p-12, 0x1.5e3eaa9ad11d1p-12, 0x1.52fcbe4c789d6p-12, 0x1.4814f92793b2bp-12, 0x1.3d83fb5cdb573p-12, 0x1.33461c38cc273p-12, 0x1.2957da6d44916p-12, 0x1.1fb62279c6399p-12, 0x1.165e755e84275p-12, 0x1.0d4ef2e9c4129p-12, 0x1.048633effcc67p-12, 0x1.f805f7bd0deabp-13, 0x1.e787d6f4f8a5cp-13, 0x1.d78ec3785bd9bp-13, 0x1.c81739db2fc6fp-13, 0x1.b91df32d17926p-13, 0x1.aaa02c760c90dp-13, 0x1.9c9b805ae5433p-13, 0x1.8f0d9b04f328cp-13, 0x1.81f3dda18d772p-13, 0x1.754b04a780ad9p-13, 0x1.690f2c23cf835p-13, 0x1.5d3be04be9066p-13, 0x1.51cc11723930dp-13, 0x1.46ba4467649d5p-13, 0x1.3c018c91272d1p-13, 0x1.319eab6df5725p-13, 0x1.279011739cd74p-13, 0x1.1dd4bc050c005p-13, 0x1.146b2957b2834p-13, 0x1.0b515fc27e098p-13, 0x1.028587e66e902p-13, 0x1.f40bf6ecd9119p-14, 0x1.e3a172afa3018p-14, 0x1.d3c68924d1219p-14, 0x1.c47688116bd96p-14, 0x1.b5ae39ab59d19p-14, 0x1.a76bb3f0e3c45p-14, 0x1.99ad2a055cec6p-14, 0x1.8c6ff616981b3p-14, 0x1.7fafe9c17a9fp-14, 0x1.7366586132782p-14, 0x1.678a86a3acce5p-14, 0x1.5c15105c68d7p-14, 0x1.51029a6e1f0e1p-14, 0x1.4651ca4931ffp-14, 0x1.3bff89e410901p-14, 0x1.320702194ceeap-14, 0x1.2864d1ab78dc5p-14, 0x1.1f184d05b054ep-14, 0x1.16212343b3ecap-14, 0x1.0d7d220ad1c6p-14, 0x1.05287cf814999p-14, 0x1.fa3ebf5bd726bp-15, 0x1.eabe55ec88db8p-15, 0x1.dbcd7321452fcp-15, 0x1.cd6b46faf9c81p-15, 0x1.bf96706fee1d2p-15, 0x1.b24c5c64973cdp-15, 0x1.a588c926a50b4p-15, 0x1.9943529676049p-15, 0x1.8d709e68eb4f7p-15, 0x1.820a8fb190d61p-15, 0x1.7712400944a0ep-15, 0x1.6c86a67cd6d18p-15, 0x1.625fb22f4d78ep-15, 0x1.58956ab5a974p-15, 0x1.4f24eba332d38p-15, 0x1.460cdf59789c2p-15, 0x1.3d4a240ab022fp-15, 0x1.34d8d7df14daep-15, 0x1.2cb62841cc865p-15, 0x1.24dfd6bb6d58bp-15, 0x1.1d538a4e72ec8p-15, 0x1.160f0cdfcd018p-15, 0x1.0f10c7db02932p-15, 0x1.0857853840f93p-15, 0x1.01e1c7faade7bp-15, 0x1.f75c24a7ee811p-16, 0x1.eb7597a438413p-16, 0x1.e00706e95cb26p-16, 0x1.d502c912a7374p-16, 0x1.ca645a7f9cef6p-16, 0x1.c02ec830de646p-16, 0x1.b65cbd143d3cdp-16, 0x1.ace580a5a1e08p-16, 0x1.a3c984899bf7dp-16, 0x1.9b0a9bd5ee978p-16, 0x1.92a344b75ade8p-16, 0x1.8a8ae0142681cp-16, 0x1.82ba915a272bep-16, 0x1.7b2e5d09943c6p-16, 0x1.73e4b02723924p-16, 0x1.6cdcfd695c323p-16, 0x1.6616231b9775fp-16, 0x1.5f8dddcd4a065p-16, 0x1.59418b9fdc54dp-16, 0x1.532f184fcda01p-16, 0x1.4d54e51d1dbbp-16, 0x1.47b1b23c453b8p-16, 0x1.424529089e5afp-16, 0x1.3d0ca438d87bp-16, 0x1.3800427fa766fp-16, 0x1.331c3a6c161efp-16, 0x1.2e60db01261bbp-16, 0x1.29c9e0ed749aep-16, 0x1.2556fab320cb8p-16, 0x1.210b45f3324d2p-16, 0x1.1ce51327800edp-16, 0x1.18e138eb421cbp-16, 0x1.14fe0e8d63d8cp-16, 0x1.113a572b310c9p-16, 0x1.0d93ef5e8650ap-16, 0x1.0a07f023558a6p-16, 0x1.0693b807822a8p-16, 0x1.033662e77b236p-16, 0x1.ffe08e595aa18p-17, 0x1.f9821255346adp-17, 0x1.f34e23317bc32p-17, 0x1.ed4265617ce33p-17, 0x1.e75eba911d0f6p-17, 0x1.e1a1f56ef70acp-17, 0x1.dc0ac613c179cp-17, 0x1.d699644050f52p-17, 0x1.d147a894a24dbp-17, 0x1.cc0f1f9ec12f8p-17, 0x1.c6efc4af307d9p-17, 0x1.c1e7d68c6084ep-17, 0x1.bcfae3c80f5a3p-17, 0x1.b828935ad39a5p-17, 0x1.b36cd69b503f7p-17, 0x1.aec5c8694e525p-17, 0x1.aa32e26b8d159p-17, 0x1.a5b3f0dac758ep-17, 0x1.a148e07571bb2p-17, 0x1.9cf1560f2b7b3p-17, 0x1.98abb321e6eb4p-17, 0x1.9474b9bd56276p-17, 0x1.9049ef345c641p-17, 0x1.8c2bee97ffc31p-17, 0x1.881b7be31dd31p-17, 0x1.8416da29f8022p-17, 0x1.801d4d05b9134p-17, 0x1.7c3010aa91877p-17, 0x1.784e555577753p-17, }}, 
      {{-0x1.e5c8c2d5e574p-1, -0x1.c3b0775921958p-1, -0x1.95339d7ed965bp-1, -0x1.6023fc738eb8ep-1, -0x1.28a1827266801p-1, -0x1.e3115bcba2fe8p-2, -0x1.798c043a4212dp-2, -0x1.1729978b6056p-2, -0x1.7ab9535898331p-3, -0x1.b36b7c6afe1c4p-4, -0x1.2e9437fd0b737p-5, 0x1.7ecf552e6a43bp-6, 0x1.335275f1868c7p-4, 0x1.e5fc3d5ae631dp-4, 0x1.3d3ee9a8eddf8p-3, 0x1.79e9e0205d0c7p-3, 0x1.aa82e978a7166p-3, 0x1.d08685b66b31cp-3, 0x1.ed60cb8425acfp-3, 0x1.0133bb602a8c7p-2, 0x1.086b2627e40e6p-2, 0x1.0ce69d7645776p-2, 0x1.0f27e2c9a61e5p-2, 0x1.0fa2ad90351fdp-2, 0x1.0ebd2b35fd264p-2, 0x1.0cd0b7d6ca5dp-2, 0x1.0a2aba22e0beep-2, 0x1.070d9371383b7p-2, 0x1.03b1973a814d3p-2, 0x1.0046020211039p-2, 0x1.f9e3d2133fcd4p-3, 0x1.f3aa3d8d428bbp-3, 0x1.ee12136528626p-3, 0x1.e942d8514761cp-3, 0x1.e55a38dde02f7p-3, 0x1.e26d5ab8685d6p-3, 0x1.e08a0ec451bd7p-3, 0x1.dfb7e58769bep-3, 0x1.dff9273ba7a84p-3, 0x1.e14bb0e5ef0ccp-3, 0x1.e3a9b85be9c47p-3, 0x1.e70a7929f97aep-3, 0x1.eb62cc528dde3p-3, 0x1.f0a5acd636912p-3, 0x1.f6c4aada6b989p-3, 0x1.fdb04f22fd92p-3, 0x1.02ac383d5f84bp-2, 0x1.06d63e4e276d5p-2, 0x1.0b4ddaf1a682fp-2, 0x1.100ab37d347acp-2, 0x1.150486f31c7b4p-2, 0x1.1a333fa7a5022p-2, 0x1.1f8f017cc5ee9p-2, 0x1.2510353648fa2p-2, 0x1.2aaf914223c95p-2, 0x1.30662049c5dcep-2, 0x1.362d45e026bd7p-2, 0x1.3bfec18f766b4p-2, 0x1.41d4b09bac89p-2, 0x1.47a98e8409461p-2, 0x1.4d7834a766c1p-2, 0x1.533bd913085f2p-2, 0x1.58f00cb14d3a7p-2, 0x1.5e90b8f45d54dp-2, 0x1.641a1d190c6fap-2, 0x1.6988cb1c82ca3p-2, 0x1.6ed9a475bc5b3p-2, 0x1.7409d6ab127d2p-2, 0x1.7916d7c03557bp-2, 0x1.7dfe62b1bde67p-2, 0x1.82be73c51f995p-2, 0x1.8755450e5d346p-2, 0x1.8bc14acc99ae9p-2, 0x1.90012ffb34eeap-2, 0x1.9413d306ce3f6p-2, 0x1.97f8425284325p-2, 0x1.9badb9442567ep-2, 0x1.9f339d0e15b83p-2, 0x1.a28979bf1074cp-2, 0x1.a5aeff94ac97bp-2, 0x1.a8a400346553cp-2, 0x1.ab686c0f7f542p-2, 0x1.adfc501ffb422p-2, 0x1.b05fd37d247c9p-2, 0x1.b2933532b6327p-2, 0x1.b496ca485ebfdp-2, 0x1.b66afbba4159fp-2, 0x1.b81044c5246ap-2, 0x1.b98731188ddf9p-2, 0x1.bad05b5dcdb12p-2, 0x1.bbec6b9b47261p-2, 0x1.bcdc15e6c5faep-2, 0x1.bda0191e4e767p-2, 0x1.be393d8aa6fdbp-2, 0x1.bea853fa9cecep-2, 0x1.beee348255562p-2, 0x1.bf0bbd9ba8fecp-2, 0x1.bf01d33d2dfb7p-2, 0x1.bed15de6378dap-2, 0x1.be7b4a0a95a2bp-2, 0x1.be008722fe1cap-2, 0x1.bd62071e0b0aap-2, 0x1.bca0bdb7f8314p-2, 0x1.bbbd9fe513d8ep-2, 0x1.bab9a357c43bbp-2, 0x1.b995bddf45b32p-2, 0x1.b852e52426d53p-2, 0x1.b6f20e0ee804ap-2, 0x1.b5742c854a38cp-2, 0x1.b3da3304c3e61p-2, 0x1.b225124dcff12p-2, 0x1.b055b9204c54fp-2, 0x1.ae6d13fa521b6p-2, 0x1.ac6c0cbc65526p-2, 0x1.aa538aab392aep-2, 0x1.a824720197f81p-2, 0x1.a5dfa3e8f578ap-2, 0x1.a385fe448be45p-2, 0x1.a1185b8fbdd2dp-2, 0x1.9e9792be86956p-2, 0x1.9c04772038572p-2, 0x1.995fd857611d5p-2, 0x1.96aa821f1d407p-2, 0x1.93e53c711ef03p-2, 0x1.9110cb44f570cp-2, 0x1.8e2deea2c1b28p-2, 0x1.8b3d6294843b6p-2, 0x1.883fdf15bb9d4p-2, 0x1.85361820744b9p-2, 0x1.8220bd98fb6f9p-2, 0x1.7f007b5e0cfcdp-2, 0x1.7bd5f9389db1dp-2, 0x1.78a1dafd66b87p-2, 0x1.7564c05f06dcfp-2, 0x1.721f4520c3b47p-2, 0x1.6ed2011c802c3p-2, 0x1.6b7d88261dd57p-2, 0x1.68226a359107ep-2, 0x1.64c1336522eb6p-2, 0x1.615a6bfb1bcf3p-2, 0x1.5dee987afc34ep-2, 0x1.5a7e39ad99217p-2, 0x1.5709ccab676c7p-2, 0x1.5391caeecdd4p-2, 0x1.5016aa60d6437p-2, 0x1.4c98dd61cfd7dp-2, 0x1.4918d2e69b4e2p-2, 0x1.4596f668ce4b4p-2, 0x1.4213b01de020dp-2, 0x1.3e8f64e91214ep-2, 0x1.3b0a766e6d6c9p-2, 0x1.3785433047444p-2, 0x1.340026916e3b5p-2, 0x1.307b78ec74725p-2, 0x1.2cf78f988a6e3p-2, 0x1.2974bd05f2429p-2, 0x1.25f350caaab05p-2, 0x1.227397ac0f5f4p-2, 0x1.1ef5dbaf021c3p-2, 0x1.1b7a643c3000ep-2, 0x1.180175db4c12ap-2, 0x1.148b52eb986fap-2, 0x1.11183b028eeeep-2, 0x1.0da86b540fc2fp-2, 0x1.0a3c1eabf81f8p-2, 0x1.06d38d930bde6p-2, 0x1.036eee377ff6fp-2, 0x1.000e7492a3e3dp-2, 0x1.f964a4e97ebccp-3, 0x1.f2b56f25dc8b4p-3, 0x1.ec0fa326a91acp-3, 0x1.e573982a0e349p-3, 0x1.dee1a18277206p-3, 0x1.d85a0eb3c1cdap-3, 0x1.d1dd2b921efe4p-3, 0x1.cb6b404e350f1p-3, 0x1.c504918e67404p-3, 0x1.bea96088b449ep-3, 0x1.b859eb1e50429p-3, 0x1.b2166bf5cc355p-3, 0x1.abdf1a8855e7ep-3, 0x1.a5b42b39f1194p-3, 0x1.9f95cf6a43eafp-3, 0x1.998435ae4bea7p-3, 0x1.937f898eb3dadp-3, 0x1.8d87f3f9b9dfep-3, 0x1.879d9b4c3c622p-3, 0x1.81c0a316c071ep-3, 0x1.7bf12c774485cp-3, 0x1.762f561cd3468p-3, 0x1.707b3c55330a7p-3, 0x1.6ad4f920c0379p-3, 0x1.653ca4409c4a7p-3, 0x1.5fb2534c0273ap-3, 0x1.5a3619b68dc22p-3, 0x1.54c808efbcea7p-3, 0x1.4f68306bff2a7p-3, 0x1.4a169db4e09b9p-3, 0x1.44d35c7660d79p-3, 0x1.3f9e768b40d9fp-3, 0x1.3a77f41244439p-3, 0x1.355fdb7551a99p-3, 0x1.3056318088adcp-3, 0x1.2b5af9696f7ffp-3, 0x1.266e34dc175ecp-3, 0x1.218fe407241b7p-3, 0x1.1cc005a92fef9p-3, 0x1.17fe971c32e9fp-3, 0x1.134b946a7b2fcp-3, 0x1.0ea6f85d7b392p-3, 0x1.0a10bc5ab09bcp-3, 0x1.0588d8a293d85p-3, 0x1.010f447269785p-3, 0x1.f947eb5f0f89p-4, 0x1.f08dc28c18a42p-4, 0x1.e7eff62b290b8p-4, 0x1.df6e6bf635df1p-4, 0x1.d70907c2c09c9p-4, 0x1.cebfab731ee06p-4, 0x1.c6923736ab41ep-4, 0x1.be808977d948ep-4, 0x1.b68a7f028896ep-4, 0x1.aeaff30dd18c9p-4, 0x1.a6f0bf4d9092bp-4, 0x1.9f4cbc0103f5cp-4, 0x1.97c3c00212fe5p-4, 0x1.9055a0d6256fp-4, 0x1.890232beb11ffp-4, 0x1.81c948c93a828p-4, 0x1.7aaab4d502463p-4, 0x1.73a647b2a544ep-4, 0x1.6cbbd11eb53cfp-4, 0x1.65eb1fd8958fcp-4, 0x1.5f3401ad096a8p-4, 0x1.589643842a27cp-4, 0x1.5211b16e23516p-4, 0x1.4ba616af8a2fp-4, 0x1.45533dcc97cf4p-4, 0x1.3f18f0937c415p-4, 0x1.38f6f82029abfp-4, 0x1.32ed1d164f887p-4, 0x1.2cfb2748e382cp-4, 0x1.2720de26c7f3cp-4, 0x1.215e0882e98fdp-4, 0x1.1bb26cfb15c1cp-4, 0x1.161dd1743a0c7p-4, 0x1.109ffb95ef19p-4, 0x1.0b38b0a81dda7p-4, 0x1.05e7b59f57d04p-4, 0x1.00accf27268e5p-4, 0x1.f70f8355820abp-5, 0x1.ecf0a2b9fc17dp-5, 0x1.e2fc84803ce35p-5, 0x1.d932b0540f977p-5, 0x1.cf92adba3a86bp-5, 0x1.c61c03cd3c4a5p-5, 0x1.bcce39b85f5d9p-5, 0x1.b3a8d6605bc2ep-5, 0x1.aaab60b6cc5fbp-5, 0x1.a1d55fa530edp-5, 0x1.99265a2198496p-5, 0x1.909dd73a71468p-5, 0x1.883b5e2287168p-5, 0x1.7ffe763a261d2p-5, 0x1.77e6a71a8d631p-5, 0x1.6ff378a1638e6p-5, 0x1.682472f729bbdp-5, 0x1.60791e9fe431ep-5, 0x1.58f1047e3fbf3p-5, 0x1.518badda9d47ep-5, 0x1.4a48a484a9e34p-5, 0x1.4327729e0b523p-5, 0x1.3c27a300fae42p-5, 0x1.3548c0e063ca6p-5, 0x1.2e8a581d64b33p-5, 0x1.27ebf52c5c22p-5, 0x1.216d252037c1ap-5, 0x1.1b0d75b3b5b59p-5, 0x1.14cc7546388b3p-5, 0x1.0ea9b30dc5e51p-5, 0x1.08a4bee83fd49p-5, 0x1.02bd2940837dcp-5, 0x1.f9e506980f4e7p-6, 0x1.ee88bf3fa0fcdp-6, 0x1.e364a1bdbc66ap-6, 0x1.d877d5aa22a15p-6, 0x1.cdc1843c10862p-6, 0x1.c340d860671eap-6, 0x1.b8f4feb32cd44p-6, 0x1.aedd25c8ba4dbp-6, 0x1.a4f87d837c412p-6, 0x1.9b4638408c9ap-6, 0x1.91c589c1bce52p-6, 0x1.8875a7d07b897p-6, 0x1.7f55ca14916ebp-6, 0x1.76652a1dd54dbp-6, 0x1.6da3036889d8ep-6, 0x1.650e93631d25bp-6, 0x1.5ca719747bdbcp-6, 0x1.546bd70000e2dp-6, 0x1.4c5c0f67bedbp-6, 0x1.4477080dd295cp-6, 0x1.3cbc0854bc743p-6, 0x1.352a59a08ac42p-6, 0x1.2dc14759b42dap-6, 0x1.26801ef1914d6p-6, 0x1.1f662fe83b14p-6, 0x1.1872cbcbd8099p-6, 0x1.11a546409cbcdp-6, 0x1.0afcf4e91aadfp-6, 0x1.04792fabaf73dp-6, 0x1.fc32a021573c2p-7, 0x1.efb964340cfp-7, 0x1.e38566dae04cfp-7, 0x1.d79567f636995p-7, 0x1.cbe82b7966323p-7, 0x1.c07c79889bd99p-7, 0x1.b5511e6fe1e03p-7, 0x1.aa64ea900b262p-7, 0x1.9fb6b243f1693p-7, 0x1.95454dcfd1253p-7, 0x1.8b0f995f27847p-7, 0x1.811475144c809p-7, 0x1.7752c524a988fp-7, 0x1.6dc971dba7a3ap-7, 0x1.647767bb1d888p-7, 0x1.5b5b975119cep-7, 0x1.5274f651e234cp-7, 0x1.49c27b3a27bf6p-7, 0x1.4143226c6f3fdp-7, 0x1.38f5ec70b2846p-7, 0x1.30d9dc07bf97bp-7, 0x1.28edf80410ecap-7, 0x1.21314b965ce4fp-7, 0x1.19a2e638a6886p-7, 0x1.1241daf16c1a7p-7, 0x1.0b0d40eba2672p-7, 0x1.0404333d0a3e9p-7, 0x1.fa4b9f486dbe4p-8, 0x1.ece26e669a1b9p-8, 0x1.dfcb1c1df31e1p-8, 0x1.d303f76ba0cb8p-8, 0x1.c68b56b5184c6p-8, 0x1.ba5f987161d75p-8, 0x1.ae7f2371cb889p-8, 0x1.a2e866a398ca5p-8, 0x1.9799d84ad1334p-8, 0x1.8c91f4f01a1e2p-8, 0x1.81cf3e5e56dbfp-8, 0x1.77503b0d2d55cp-8, 0x1.6d137630e83cap-8, 0x1.63178070e7562p-8, 0x1.595af1090202ap-8, 0x1.4fdc66ee3799p-8, 0x1.469a8986446e9p-8, 0x1.3d9408a100443p-8, 0x1.34c79ba268a64p-8, 0x1.2c340015b439dp-8, 0x1.23d7f81f6277dp-8, 0x1.1bb24949e732bp-8, 0x1.13c1bc18feb9fp-8, 0x1.0c051c70d19cep-8, 0x1.047b3b6c896c3p-8, 0x1.fa45defd1103bp-9, 0x1.ebf62e7bdba26p-9, 0x1.de053610ef617p-9, 0x1.d070d451785e1p-9, 0x1.c336f76cf3d1ap-9, 0x1.b65597cfe0c1cp-9, 0x1.a9cab44696fa9p-9, 0x1.9d944f0b42d63p-9, 0x1.91b06ccc23a25p-9, 0x1.861d15e89c905p-9, 0x1.7ad8597dd40fbp-9, 0x1.6fe0516d963d1p-9, 0x1.65332641c490cp-9, 0x1.5acf11d470379p-9, 0x1.50b25fd0da681p-9, 0x1.46db6ba776fbp-9, 0x1.3d489c577b114p-9, 0x1.33f85f3732575p-9, 0x1.2ae9233c86046p-9, 0x1.2219560be2415p-9, 0x1.1987677701dfap-9, 0x1.1131c38f9d224p-9, 0x1.0916dcaaa6d75p-9, 0x1.01352f815b92fp-9, 0x1.f31691925859dp-10, 0x1.e42f7eeb233dbp-10, 0x1.d5b27eef7efc8p-10, 0x1.c79d0a044286bp-10, 0x1.b9ecb265a8086p-10, 0x1.ac9f19c6aa332p-10, 0x1.9fb1e618ba26cp-10, 0x1.9322bd039d105p-10, 0x1.86ef3906b9c7dp-10, 0x1.7b14f5a247d1ep-10, 0x1.6f9193099da03p-10, 0x1.6462b37840947p-10, 0x1.5986078edb39ap-10, 0x1.4ef9503d31e4dp-10, 0x1.44ba649496edp-10, 0x1.3ac736e29b69bp-10, 0x1.311dd6ee4e1e5p-10, 0x1.27bc6f289479ep-10, 0x1.1ea13ce691bcap-10, 0x1.15ca86aca8c0ep-10, 0x1.0d3694e860b6dp-10, 0x1.04e3afe7b13c9p-10, 0x1.f9a0447e75784p-11, 0x1.e9f477d06ca71p-11, 0x1.dac0a5044a84cp-11, 0x1.cc017cbabba16p-11, 0x1.bdb3af07c43ecp-11, 0x1.afd3edd53b8dap-11, 0x1.a25efa66ed52bp-11, 0x1.9551b846b0533p-11, 0x1.88a93adcc0a3bp-11, 0x1.7c62c57c322dap-11, 0x1.707bbe576770bp-11, 0x1.64f19d959dc91p-11, 0x1.59c1e4071081p-11, 0x1.4eea1e84a32f4p-11, 0x1.4467f0b7e1c76p-11, 0x1.3a391b7cef807p-11, 0x1.305b75a046c1dp-11, 0x1.26ccd7ecf8d91p-11, 0x1.1d8b0921cddf2p-11, 0x1.1493b5631ff58p-11, 0x1.0be47c4b30218p-11, 0x1.037b07daceb56p-11, 0x1.f6aa594eeff5fp-12, 0x1.e6e1b6a9deecbp-12, 0x1.d7987a0e29fe3p-12, 0x1.c8caf8a02264fp-12, 0x1.ba759944e396fp-12, 0x1.ac94cd092027fp-12, 0x1.9f25281490804p-12, 0x1.92237a16bcd4p-12, 0x1.858cd7ec564d9p-12, 0x1.795e83ac03b79p-12, 0x1.6d95b91d61264p-12, 0x1.622f7e31daef9p-12, 0x1.572899a2a5133p-12, 0x1.4c7db3376472p-12, 0x1.422b89ee66622p-12, 0x1.382f1e3b7f78p-12, 0x1.2e85bbed7e01bp-12, 0x1.252d00137680dp-12, 0x1.1c228c50d14a6p-12, 0x1.1363fada71c41p-12, 0x1.0aef0349471c7p-12, 0x1.02c1659622d41p-12, 0x1.f5b1b961d25f6p-13, 0x1.e666d1392bf69p-13, 0x1.d79e6e6329193p-13, 0x1.c955156cfd65ap-13, 0x1.bb871ddfe54cdp-13, 0x1.ae30761dfcc9cp-13, 0x1.a14cae56be9f9p-13, 0x1.94d73c400743ep-13, 0x1.88cbc2387dfebp-13, 0x1.7d263b5d03c95p-13, 0x1.71e313977b62fp-13, 0x1.66ff2d1495863p-13, 0x1.5c77c65cad618p-13, 0x1.524a46e62f823p-13, 0x1.48740dbdfe1ccp-13, 0x1.3ef25e6fabbd4p-13, 0x1.35c27646034aap-13, 0x1.2ce1b0c282e8bp-13, 0x1.244db40c712e7p-13, 0x1.1c042d30aa106p-13, 0x1.1402e767dd862p-13, 0x1.0c47cf10d9eabp-13, 0x1.04d070b07ddd7p-13, 0x1.fb3498cf3f171p-14, 0x1.ed457a37c59dp-14, 0x1.dfcdf14212dap-14, 0x1.d2c83fb086a17p-14, 0x1.c62f18e155919p-14, 0x1.b9fe4fc3fe4b6p-14, 0x1.ae32d2eb900fbp-14, 0x1.a2c9f0598ab33p-14, 0x1.97c0c38c97e07p-14, 0x1.8d142c19d5fbep-14, 0x1.82c132226ffd5p-14, 0x1.78c50b3e26406p-14, 0x1.6f1cc637c9287p-14, 0x1.65c5397b95438p-14, 0x1.5cbb63ee3d35cp-14, 0x1.53fcc73651379p-14, 0x1.4b87559fcdd18p-14, 0x1.435915b31646cp-14, 0x1.3b6fd8f540bd4p-14, 0x1.33c907e9cd93ap-14, 0x1.2c615929c3p-14, 0x1.2534f514e6e5ap-14, 0x1.1e407ae447ab2p-14, 0x1.1781caff0ca3fp-14, 0x1.10f767ddd90ep-14, 0x1.0a9f5a64ee319p-14, 0x1.047732c62f777p-14, 0x1.fcf9f76dcdb27p-15, 0x1.f15f2c3ba91ap-15, 0x1.e61c0bd1fea64p-15, 0x1.db2d94a8b404fp-15, 0x1.d08fe7a03845fp-15, 0x1.c63f3482c1d95p-15, 0x1.bc3873515ff0ap-15, 0x1.b2798ac575cedp-15, 0x1.a900df3401094p-15, 0x1.9fccb7a6e42d9p-15, 0x1.96db0ecfa2c0dp-15, 0x1.8e296e5a7387ap-15, 0x1.85b434512e8d8p-15, 0x1.7d76d42c79b19p-15, 0x1.756ee34d7a37dp-15, 0x1.6d9b21627f2ep-15, 0x1.65facc00c549bp-15, 0x1.5e8a33ae8a801p-15, 0x1.5746eba344abcp-15, 0x1.502e84933ec57p-15, 0x1.493f7cc1b6a1dp-15, 0x1.42794bb856d72p-15, 0x1.3bd9958d11b78p-15, 0x1.355ec7d1b629cp-15, 0x1.2f07aa4e9ba6cp-15, 0x1.28d2f67947d8bp-15, 0x1.22bf7875184abp-15, 0x1.1ccc337c8b3e4p-15, 0x1.16f84f157e97ap-15, 0x1.1142e30739b62p-15, 0x1.0bab0aed36d1p-15, 0x1.062fe0cd80014p-15, 0x1.00cfb1c23bce7p-15, 0x1.f7103f60ef78ap-16, 0x1.ecb05954cd3e5p-16, 0x1.e27fffa4599dep-16, 0x1.d87d0bda9d7dp-16, 0x1.cea45325f3877p-16, 0x1.c4f56e09caf58p-16, 0x1.bb7072d0b2256p-16, 0x1.b2134e968adf9p-16, 0x1.a8dafff37d575p-16, 0x1.9fc5136cbe47bp-16, 0x1.96cfff57e695dp-16, 0x1.8dfaff3636d55p-16, 0x1.8545a51ad42dfp-16, 0x1.7caf5b715c101p-16, 0x1.74373a4a6c1ap-16, 0x1.6bdc435b731aap-16, 0x1.639da9e3bc382p-16, 0x1.5b7ac72ce2297p-16, 0x1.53730ecab34edp-16, 0x1.4b8641a0a4be7p-16, 0x1.43b38063c507p-16, 0x1.3bf859931b44bp-16, 0x1.345398506760bp-16, 0x1.2cc54c2636f28p-16, 0x1.254c0bf132f46p-16, 0x1.1de7b28a21bd4p-16, 0x1.16994f77c8e57p-16, 0x1.0f60688a85a8dp-16, 0x1.083bfcbbaab43p-16, 0x1.012b861427dc6p-16, 0x1.f45cf5378c523p-17, 0x1.e68a2dbab0832p-17, 0x1.d8d9fe49f7e7fp-17, 0x1.cb4c83d900f3ap-17, 0x1.bde1a39b50dap-17, 0x1.b09930eff8738p-17, 0x1.a3734ed752ef6p-17, 0x1.966f102840fffp-17, 0x1.898bed9215d6dp-17, 0x1.7cca1778d31b6p-17, 0x1.70295737aef73p-17, 0x1.63a96b6ca2523p-17, 0x1.574ac5985f40cp-17, 0x1.4b0ba147187d3p-17, 0x1.3ee9e5beb4024p-17, 0x1.32e5bc8c0c87ap-17, 0x1.26fea56d2875bp-17, 0x1.1b36565936fffp-17, 0x1.0f8d19c4c7ecep-17, 0x1.040199dc76c7bp-17, 0x1.f126a65b0686dp-18, 0x1.da84b756096b9p-18, 0x1.c41de74fc4eebp-18, 0x1.adf2d8bd36185p-18, 0x1.9803eb95b70e4p-18, 0x1.825054021fe35p-18, 0x1.6cd5c31fa2bf4p-18, 0x1.579294f85411cp-18, 0x1.4287f06795169p-18, 0x1.2db71682c8372p-18, 0x1.191ef326789f4p-18, 0x1.04bf5b19ef4acp-18, 0x1.e1339b858c71fp-19, 0x1.b95a73fdf42d1p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.19ad111c80d3fp-2, -0x1.1a6eec5ad5867p-2, -0x1.1baf5966acca5p-2, -0x1.1d6a784da5da6p-2, -0x1.1f9b1518d5203p-2, -0x1.223ad3f80a094p-2, -0x1.25425fd46cc4ep-2, -0x1.28a998d002b3dp-2, -0x1.2c67c1019b59bp-2, -0x1.3073a65415c6dp-2, -0x1.34c3c8e060f83p-2, -0x1.394e7d6be7643p-2, -0x1.3e0a0bf054955p-2, -0x1.42ecca3b06278p-2, -0x1.47ed32ce75e85p-2, -0x1.4d01f841bc807p-2, -0x1.52221564967d9p-2, -0x1.5744da731dfa6p-2, -0x1.5c61f7a55f3dep-2, -0x1.617185650fb59p-2, -0x1.666c0a703b1efp-2, -0x1.6b4a802af9525p-2, -0x1.7006555d1a5acp-2, -0x1.74996f933aac5p-2, -0x1.78fe2b554bdc6p-2, -0x1.7d2f5b5f67704p-2, -0x1.81284704d7101p-2, -0x1.84e4a7e0bb5dbp-2, -0x1.8860a6f387d01p-2, -0x1.8b98d948d314dp-2, -0x1.8e8a3c3d8fd65p-2, -0x1.9132317bc6b1ep-2, -0x1.938e7abe2e719p-2, -0x1.959d356ba18ebp-2, -0x1.975cd618530c9p-2, -0x1.98cc23f8b6d49p-2, -0x1.99ea34507999cp-2, -0x1.9ab665e654f14p-2, -0x1.9b305c845086p-2, -0x1.9b57fc8ac82aap-2, -0x1.9b2d669b8d414p-2, -0x1.9ab0f36193efap-2, -0x1.99e32f78bc453p-2, -0x1.98c4d778a3702p-2, -0x1.9756d424b3e9ap-2, -0x1.959a36c3239aap-2, -0x1.9390359c0e1ffp-2, -0x1.913a28a16302fp-2, -0x1.8e9986400adbfp-2, -0x1.8bafe05a3941cp-2, -0x1.887ee16ab48adp-2, -0x1.850849d07eba2p-2, -0x1.814ded422e591p-2, -0x1.7d51b06805cb6p-2, -0x1.7915869bb7fd7p-2, -0x1.749b6fccb270ep-2, -0x1.6fe576879ae29p-2, -0x1.6af5ae1faf341p-2, -0x1.65ce30f897ed2p-2, -0x1.60711eef427cep-2, -0x1.5ae09be0457cp-2, -0x1.551ece4a60226p-2, -0x1.4f2dde0b95dffp-2, -0x1.490ff337789cep-2, -0x1.42c7350534282p-2, -0x1.3c55c8d3f8c86p-2, -0x1.35bdd144690dbp-2, -0x1.2f016d65b9feep-2, -0x1.2822b7f54b9ep-2, -0x1.2123c6af79262p-2, -0x1.1a06a9b0815fbp-2, -0x1.12cd6ae466f97p-2, -0x1.0b7a0d84c093cp-2, -0x1.040e8da375e2dp-2, -0x1.f919bf8303607p-3, -0x1.e9ede0e19215ap-3, -0x1.da9d480084576p-3, -0x1.cb2bac6330cb2p-3, -0x1.bb9cb3ef2ef63p-3, -0x1.abf3f2795ea24p-3, -0x1.9c34e961da85bp-3, -0x1.8c63073da95b9p-3, -0x1.7c81a78d1bdc6p-3, -0x1.6c94127dc0c26p-3, -0x1.5c9d7cb71e607p-3, -0x1.4ca1073138deap-3, -0x1.3ca1bf14255a7p-3, -0x1.2ca29d9ff3d78p-3, -0x1.1ca6881c35858p-3, -0x1.0cb04fce94611p-3, -0x1.f98563efb2ecbp-4, -0x1.d9c0afadc9b84p-4, -0x1.ba17ad624f664p-4, -0x1.9a8f5fc04681ap-4, -0x1.7b2ca1c714366p-4, -0x1.5bf426ef69ddcp-4, -0x1.3cea7b600ec8bp-4, -0x1.1e14042a02febp-4, -0x1.fee9ff16cfbf7p-5, -0x1.c2230a716ca7fp-5, -0x1.85db0d578f23bp-5, -0x1.4a199ef09b376p-5, -0x1.0ee60b4aaa24dp-5, -0x1.a88ea82defadp-6, -0x1.348862de2c3b8p-6, -0x1.838c4a893e13ap-7, -0x1.4150f8558eee5p-8, 0x1.fc1922d78ecfep-10, 0x1.1ce02edc4480bp-7, 0x1.f759506134138p-7, 0x1.676d23b48d8e6p-6, 0x1.d1a7f00c20d1bp-6, 0x1.1d29fc1430cc3p-5, 0x1.50b454ee07246p-5, 0x1.836ef9eaa83b3p-5, 0x1.b55621c779002p-5, 0x1.e666419ce072bp-5, 0x1.0b4e05e79f7f7p-4, 0x1.22fa377e44723p-4, 0x1.3a364a7354791p-4, 0x1.5100f0ad832f8p-4, 0x1.6758f88baa38ep-4, 0x1.7d3d4c55fa942p-4, 0x1.92acf1ae130d2p-4, 0x1.a7a708fe17c5bp-4, 0x1.bc2acce6ead9p-4, 0x1.d03791ad99752p-4, 0x1.e3ccc4a8290a5p-4, 0x1.f6e9eba9cd89fp-4, 0x1.04c7523755c4ap-3, 0x1.0ddd5203a4bbbp-3, 0x1.16b6db21dc59dp-3, 0x1.1f53de8f513e4p-3, 0x1.27b4581421a44p-3, 0x1.2fd84df8bbdacp-3, 0x1.37bfd0bb7572dp-3, 0x1.3f6afac64840cp-3, 0x1.46d9f024b610fp-3, 0x1.4e0cde39e589ap-3, 0x1.5503fb77064c1p-3, 0x1.5bbf8711fef93p-3, 0x1.623fc8bc76b03p-3, 0x1.6885105b4c81cp-3, 0x1.6e8fb5be71663p-3, 0x1.746018594e103p-3, 0x1.79f69efb99563p-3, 0x1.7f53b78ad5bbep-3, 0x1.8477d6bc52ecbp-3, 0x1.896377cfe469ep-3, 0x1.8e171c4b33e89p-3, 0x1.92934bb5d6156p-3, 0x1.96d8935612c85p-3, 0x1.9ae785ee7bee4p-3, 0x1.9ec0bb7c4899p-3, 0x1.a264d0f68f7cp-3, 0x1.a5d4680e55649p-3, 0x1.a91026ef85ac4p-3, 0x1.ac18b802d03f6p-3, 0x1.aeeec9b07b4a5p-3, 0x1.b1930e242c123p-3, 0x1.b4063b11a6184p-3, 0x1.b649097a94c27p-3, 0x1.b85c35754fb49p-3, 0x1.ba407df4b6e0ap-3, 0x1.bbf6a4910f6f8p-3, 0x1.bd7f6d5202ef5p-3, 0x1.bedb9e79a744dp-3, 0x1.c00c0050a63eap-3, 0x1.c1115cf38226bp-3, 0x1.c1ec8020f7527p-3, 0x1.c29e37097ff7ep-3, 0x1.c327501ffa485p-3, 0x1.c3889aeb71b17p-3, 0x1.c3c2e7da15d3cp-3, 0x1.c3d70815492f3p-3, 0x1.c3c5cd56e732ap-3, 0x1.c39009bfa90b2p-3, 0x1.c3368faeb4a39p-3, 0x1.c2ba319a524fcp-3, 0x1.c21bc1e9cf4acp-3, 0x1.c15c12d07fd72p-3, 0x1.c07bf629e729bp-3, 0x1.bf7c3d570de97p-3, 0x1.be5db91cece2bp-3, 0x1.bd21398408f35p-3, 0x1.bbc78db91d015p-3, 0x1.ba5183eef52afp-3, 0x1.b8bfe941547cp-3, 0x1.b7138998fc07dp-3, 0x1.b54d2f90c3921p-3, 0x1.b36da45bcacfbp-3, 0x1.b175afacb8b28p-3, 0x1.af66179e01b54p-3, 0x1.ad3fa09b433bdp-3, 0x1.ab030d4b99a32p-3, 0x1.a8b11e7d037a8p-3, 0x1.a64a9310b782fp-3, 0x1.a3d027e8828f9p-3, 0x1.a14297d514a8p-3, 0x1.9ea29b85400e8p-3, 0x1.9bf0e9762e90ep-3, 0x1.992e35e479c9ap-3, 0x1.965b32be2c7a1p-3, 0x1.93788f95a6d49p-3, 0x1.9086f9955ceb7p-3, 0x1.8d871b74748c1p-3, 0x1.8a799d6c2ba61p-3, 0x1.875f252e1c5dp-3, 0x1.843855db3ff92p-3, 0x1.8105cffbc08ep-3, 0x1.7dc8317785fc6p-3, 0x1.7a80158f80f2cp-3, 0x1.772e14d7b3ecep-3, 0x1.73d2c531e5f74p-3, 0x1.706eb9c90801cp-3, 0x1.6d02830d485c3p-3, 0x1.698eaeb0c2c4bp-3, 0x1.6613c7a4d330cp-3, 0x1.629256180a6eep-3, 0x1.5f0adf74ac00bp-3, 0x1.5b7de65fceaf2p-3, 0x1.57ebeab8f762fp-3, 0x1.5455699a4deb4p-3, 0x1.50badd594a465p-3, 0x1.4d1cbd87e336fp-3, 0x1.497b7ef63d475p-3, 0x1.45d793b4c89f4p-3, 0x1.42316b16d59adp-3, 0x1.3e8971b594b04p-3, 0x1.3ae011737fe3bp-3, 0x1.3735b18027a05p-3, 0x1.338ab65c64b9p-3, 0x1.2fdf81dedfbb9p-3, 0x1.2c347338f9e7p-3, 0x1.2889e6fbfe427p-3, 0x1.24e0371eaff11p-3, 0x1.2137bb031d226p-3, 0x1.1d90c77cbb041p-3, 0x1.19ebaed6c8f37p-3, 0x1.1648c0daf4c6cp-3, 0x1.12a84ad83bc72p-3, 0x1.0f0a97aa04d7cp-3, 0x1.0b6fefbf73c9ap-3, 0x1.07d89922ed102p-3, 0x1.0444d781c9d67p-3, 0x1.00b4ec343e389p-3, 0x1.fa522c8abac7ep-4, 0x1.f34324f6a6c12p-4, 0x1.ec3d36bf64676p-4, 0x1.e540d28fd98p-4, 0x1.de4e64bbd1093p-4, 0x1.d766555158c57p-4, 0x1.d089082a4c848p-4, 0x1.c9b6dcfe0f29dp-4, 0x1.c2f02f736a66cp-4, 0x1.bc3557328c5d1p-4, 0x1.b586a7f724eb8p-4, 0x1.aee471a299d9bp-4, 0x1.a84f004e53a47p-4, 0x1.a1c69c5e06c5cp-4, 0x1.9b4b8a922572ep-4, 0x1.94de0c1a3be43p-4, 0x1.8e7e5ea760d7fp-4, 0x1.882cbc7e9fecep-4, 0x1.81e95c8b61597p-4, 0x1.7bb47271c5d97p-4, 0x1.758e2ea0fb652p-4, 0x1.6f76be65826d5p-4, 0x1.696e4bfb6044ap-4, 0x1.6374fea040a51p-4, 0x1.5d8afaa57b101p-4, 0x1.57b06182017cep-4, 0x1.51e551e4341c3p-4, 0x1.4c29e7c391ed1p-4, 0x1.467e3c724a2dcp-4, 0x1.40e266aeabd96p-4, 0x1.3b567ab46d08ep-4, 0x1.35da8a4dcd087p-4, 0x1.306ea4e48a44fp-4, 0x1.2b12d792af68fp-4, 0x1.25c72d3332e9ap-4, 0x1.208bae72676dep-4, 0x1.1b6061de3ce26p-4, 0x1.16454bf651009p-4, 0x1.113a6f3bcb3bp-4, 0x1.0c3fcc4105a5dp-4, 0x1.075561b902807p-4, 0x1.027b2c86a9fafp-4, 0x1.fb624f97a3f2ep-5, 0x1.f1ee99f01738cp-5, 0x1.e89b27ae796c8p-5, 0x1.df67e53ffbf0cp-5, 0x1.d654bc0378dbdp-5, 0x1.cd6192654af87p-5, 0x1.c48e4bfaa6681p-5, 0x1.bbdac99c81bc9p-5, 0x1.b346e98208256p-5, 0x1.aad2875a8a226p-5, 0x1.a27d7c66ff081p-5, 0x1.9a479f9308e79p-5, 0x1.9230c58d84b5ap-5, 0x1.8a38c0e099aaap-5, 0x1.825f62095595ap-5, 0x1.7aa4778ecadf1p-5, 0x1.7307ce18b7f95p-5, 0x1.6b893085b6d74p-5, 0x1.64286800f683ap-5, 0x1.5ce53c17728bp-5, 0x1.55bf72ccbd524p-5, 0x1.4eb6d0af4d2c8p-5, 0x1.47cb18ec54ap-5, 0x1.40fc0d6329611p-5, 0x1.3a496eb82e648p-5, 0x1.33b2fc674fd1cp-5, 0x1.2d3874d608633p-5, 0x1.26d99564f5d4ap-5, 0x1.20961a80fc074p-5, 0x1.1a6dbfb3fc211p-5, 0x1.14603fb514662p-5, 0x1.0e6d547877381p-5, 0x1.0894b73ed39bap-5, 0x1.02d620a4537b7p-5, 0x1.fa62915e67121p-6, 0x1.ef4bcdbbd01e8p-6, 0x1.e4676469c7a85p-6, 0x1.d9b4c297e7555p-6, 0x1.cf3354b665da3p-6, 0x1.c4e2868f4e9b8p-6, 0x1.bac1c35edaf0fp-6, 0x1.b0d075eb1e4d7p-6, 0x1.a70e089ae5a16p-6, 0x1.9d79e58be297ap-6, 0x1.941376a81fdd6p-6, 0x1.8ada25babafp-6, 0x1.81cd5c83f453ap-6, 0x1.78ec84cc8af18p-6, 0x1.703708786350dp-6, 0x1.67ac5198961c8p-6, 0x1.5f4bca7ccca0cp-6, 0x1.5714ddc4032d1p-6, 0x1.4f06f66ca076bp-6, 0x1.47217fe401a77p-6, 0x1.3f63e6155cd52p-6, 0x1.37cd95780ac62p-6, 0x1.305dfb1d5374p-6, 0x1.291484bd92603p-6, 0x1.21f0a0c4db8a1p-6, 0x1.1af1be5f1ab1fp-6, 0x1.14174d83900fp-6, 0x1.0d60beffed512p-6, 0x1.06cd8482d66b7p-6, 0x1.005d10a5f3e35p-6, 0x1.f41dadef01ab2p-7, 0x1.e7c49806cdf6p-7, 0x1.dbadcab7c4b28p-7, 0x1.cfd833436046ep-7, 0x1.c442c117a2792p-7, 0x1.b8ec65ddbc7edp-7, 0x1.add41587ef33bp-7, 0x1.a2f8c65e87524p-7, 0x1.9859710c26ef1p-7, 0x1.8df510a93908cp-7, 0x1.83caa2c6a8812p-7, 0x1.79d92777f104ap-7, 0x1.701fa15c5e3e8p-7, 0x1.669d15a7be507p-7, 0x1.5d508c2a50aa4p-7, 0x1.54390f5813082p-7, 0x1.4b55ac4f70d0dp-7, 0x1.42a572df70214p-7, 0x1.3a27758d17d74p-7, 0x1.31dac99867f9cp-7, 0x1.29be8700b709dp-7, 0x1.21d1c8889aeeep-7, 0x1.1a13abb92949ap-7, 0x1.128350e4d3fd7p-7, 0x1.0b1fdb29c14b6p-7, 0x1.03e87073a1e27p-7, 0x1.f9b872fa77d86p-8, 0x1.ebf4c3a288faep-8, 0x1.de842f9610191p-8, 0x1.d165192d1eea4p-8, 0x1.c495e860d97b2p-8, 0x1.b8150aca31a36p-8, 0x1.abe0f3a004932p-8, 0x1.9ff81bb47820ap-8, 0x1.94590171b7edbp-8, 0x1.890228d618053p-8, 0x1.7df21b6f6e7f5p-8, 0x1.7327685608f1bp-8, 0x1.68a0a426f8248p-8, 0x1.5e5c68fdcc828p-8, 0x1.5459566dd73f7p-8, 0x1.4a96117af19dfp-8, 0x1.41114491ca0c4p-8, 0x1.37c99f7fb63fcp-8, 0x1.2ebdd76a1aeabp-8, 0x1.25eca6c56d8d3p-8, 0x1.1d54cd4bd331fp-8, 0x1.14f50ff35a1e2p-8, 0x1.0ccc38e3f4747p-8, 0x1.04d9176ce9c47p-8, 0x1.fa34fff473ec4p-9, 0x1.eb1e9813112bcp-9, 0x1.dc6cb43db74d9p-9, 0x1.ce1d1b71e7703p-9, 0x1.c02d9e8b1a5bfp-9, 0x1.b29c182a9d92dp-9, 0x1.a5666c9f543a6p-9, 0x1.988a89cc85f3fp-9, 0x1.8c066710d90e3p-9, 0x1.7fd8052c9d125p-9, 0x1.73fd6e2807ceap-9, 0x1.6874b538fcb8fp-9, 0x1.5d3bf6a8afb9dp-9, 0x1.525157b8e1827p-9, 0x1.47b306890e5ffp-9, 0x1.3d5f39fb949cfp-9, 0x1.3354319a4644cp-9, 0x1.2990357b13ab8p-9, 0x1.20119624ce2b6p-9, 0x1.16d6ac7349e0cp-9, 0x1.0dddd97bec0ccp-9, 0x1.052586721720ap-9, 0x1.f95849163ca0ep-10, 0x1.e8e059c555babp-10, 0x1.d8e040bdd6a89p-10, 0x1.c9550f29c5c79p-10, 0x1.ba3be55924d31p-10, 0x1.ab91f28a8f8ffp-10, 0x1.9d5474b3f57d2p-10, 0x1.8f80b84b2afc4p-10, 0x1.8214180f6dab6p-10, 0x1.750bfcd216341p-10, 0x1.6865dd3fdd98fp-10, 0x1.5c1f3daabf025p-10, 0x1.5035afd382da5p-10, 0x1.44a6d2b43e39ep-10, 0x1.3970524a4a1a8p-10, 0x1.2e8fe76159a2bp-10, 0x1.2403575de1ee6p-10, 0x1.19c874092b6eep-10, 0x1.0fdd1b5cc2499p-10, 0x1.063f374e90b95p-10, 0x1.f9d97b3a4ef9dp-11, 0x1.e7c75f39eedfdp-11, 0x1.d644340ada9cp-11, 0x1.c54c297d848fp-11, 0x1.b4db8560e1432p-11, 0x1.a4eea31e9de12p-11, 0x1.9581f35a4324ep-11, 0x1.8691fb8f30e23p-11, 0x1.781b55b22bfe6p-11, 0x1.6a1aafd1b5aa8p-11, 0x1.5c8ccbb7d1e2p-11, 0x1.4f6e7e8dba9aep-11, 0x1.42bcb07f3342ep-11, 0x1.36745c600d622p-11, 0x1.2a928f5352542p-11, 0x1.1f146870a12f7p-11, 0x1.13f7186db8418p-11, 0x1.0937e1470e0c4p-11, 0x1.fda82bd53bc8p-12, 0x1.e99233c6c695cp-12, 0x1.d628c20bfb43fp-12, 0x1.c366de3be4503p-12, 0x1.b147af3962767p-12, 0x1.9fc67a9285d1ap-12, 0x1.8edea3e2abda7p-12, 0x1.7e8bac36de4efp-12, 0x1.6ec931738e3bfp-12, 0x1.5f92edbc5648cp-12, 0x1.50e4b6df8ebfdp-12, 0x1.42ba7dc2ead92p-12, 0x1.35104dd134e68p-12, 0x1.27e24c6ed3fc8p-12, 0x1.1b2cb868d23bfp-12, 0x1.0eebe96d43129p-12, 0x1.031c4f8121de4p-12, 0x1.ef74e4f60fe7ap-13, 0x1.d985e2fe13449p-13, 0x1.c46504f946f7ep-13, 0x1.b00be35d5dc64p-13, 0x1.9c74423a5a6ecp-13, 0x1.89981043f99c7p-13, 0x1.777165de1fc39p-13, 0x1.65fa84305b3d1p-13, 0x1.552dd43616cf7p-13, 0x1.4505e5db53adcp-13, 0x1.357d6f1624193p-13, 0x1.268f4b0b37ad4p-13, 0x1.1836792fd7f25p-13, 0x1.0a6e1c74d85eap-13, 0x1.fa62f4e4a936cp-14, 0x1.e0f7f53054826p-14, 0x1.c8924ac1aa8aap-14, 0x1.b129471629f9bp-14, 0x1.9ab47aaca0a2fp-14, 0x1.852bb382ce03ep-14, 0x1.7086fb981d1cap-14, 0x1.5cbe977e8723bp-14, 0x1.49cb04ee09319p-14, 0x1.37a4f95e7f6e3p-14, 0x1.264560ac22c3p-14, 0x1.15a55bc095b38p-14, 0x1.05be3f434aa2dp-14, 0x1.ed13249a2ee5bp-15, 0x1.d0021a4b919adp-15, 0x1.b43d3015b63e3p-15, 0x1.99b893ef6e7a7p-15, 0x1.8068ceef76bdbp-15, 0x1.6842c2f475bcdp-15, 0x1.513ba862b5b9ap-15, 0x1.3b490be586895p-15, 0x1.2660cc468eb17p-15, 0x1.127918433f22ep-15, 0x1.ff10d903a3768p-16, 0x1.db0b22fe1cd5p-16, 0x1.b8cf3315061fep-16, 0x1.984bbdaabf6e1p-16, 0x1.7970030e512a8p-16, 0x1.5c2bcbbe5f9ccp-16, 0x1.406f64bf7b492p-16, 0x1.262b9c070572p-16, 0x1.0d51bcfa4bc6bp-16, 0x1.eba719fe6d40cp-17, 0x1.bf46904285322p-17, 0x1.95673b9f4267fp-17, 0x1.6def5b5b250ffp-17, 0x1.48c608e68e49dp-17, 0x1.25d331b0d645p-17, 0x1.04ff9143468dbp-17, 0x1.cc6956c30d0d6p-18, 0x1.92b98cc6cb985p-18, 0x1.5cc5cb4006c82p-18, 0x1.2a658813913c6p-18, 0x1.f6e33bbc4fc2cp-19, 0x1.9f8882db840a8p-19, 0x1.4e71ef9bced3bp-19, 0x1.035918b087a03p-19, 0x1.7bf41cb401adcp-20, 0x1.f84d1f34e6f03p-21, 0x1.0d96434ee686p-21, 0x1.b67efecedb33fp-24, -0x1.19e2163297338p-22, -0x1.3e8efb9fbe4c4p-21, -0x1.dee4304d43cap-21, -0x1.376173dc40ce9p-20, -0x1.777acff10aea5p-20, -0x1.b01fa8d2aed3bp-20, -0x1.e1add73af6583p-20, -0x1.063fd64c7e51fp-19, -0x1.187607d0595cp-19, -0x1.27a34bc8ab697p-19, -0x1.33efd3746d04ep-19, -0x1.3d8242c77604ap-19, -0x1.447fbd0e87861p-19, -0x1.490bf15bf7514p-19, -0x1.4b492668239a3p-19, -0x1.4b58468526eb7p-19, -0x1.4958eadd65879p-19, -0x1.45696693b11c4p-19, -0x1.3fa6d14719fa3p-19, -0x1.382d11c21a52fp-19, -0x1.2f16e82bacd94p-19, -0x1.247df7f05cb54p-19, -0x1.187ad1521572ep-19, -0x1.0b24fabfdfe99p-19, -0x1.f925f3ea927e7p-20, -0x1.d9b4b9a3c5e5cp-20, -0x1.b81f838e02da2p-20, -0x1.948dc0921bf65p-20, -0x1.6f2521c39301ap-20, -0x1.4809aa3ce29c9p-20, -0x1.1f5dbe5e6717p-20, -0x1.ea8464b1bed9cp-21, -0x1.93acb16369a01p-21, -0x1.3a70201d66042p-21, -0x1.be0f44d008fe5p-22, -0x1.0352edeb6c034p-22, -0x1.144a1f48bd5ffp-24, 0x1.f13e8290fd68p-24, 0x1.40760f73ebb07p-22, 0x1.0383f4c993e5cp-21, 0x1.67d865673a81bp-21, 0x1.cd104bbb3f014p-21, 0x1.1982d4e571908p-20, 0x1.4cca3e4440004p-20, 0x1.804d540296c3bp-20, 0x1.b3fbf25e48da7p-20, 0x1.e7c6d67faeb3dp-20, 0x1.0dcfca98eab73p-19, 0x1.27bc494ca011p-19, 0x1.41a27ccd53c1cp-19, 0x1.5b7c59db88732p-19, 0x1.754430a072107p-19, 0x1.8ef4a8bd94e2cp-19, 0x1.a888bdc7c004cp-19, 0x1.c1fbbbaf7000fp-19, 0x1.db493b5c7805fp-19, }}, 
      {{-0x1.1981d0ef80c0dp-2, -0x1.19c291f54ad96p-2, -0x1.1a2df4d22c734p-2, -0x1.1ac3301d2fb0ep-2, -0x1.1b813276f7ebcp-2, -0x1.1c66a9769166dp-2, -0x1.1d72092af922p-2, -0x1.1ea193d21148ep-2, -0x1.1ff3617fb6464p-2, -0x1.21656783bdd7dp-2, -0x1.22f57f6d56b56p-2, -0x1.24a16d96152d5p-2, -0x1.2666e7282c432p-2, -0x1.2843979a0ee1p-2, -0x1.2a35259ebff67p-2, -0x1.2c39378db3f09p-2, -0x1.2e4d7747a6568p-2, -0x1.306f959f78db5p-2, -0x1.329d4d4f2e87cp-2, -0x1.34d46581a17d9p-2, -0x1.3712b3f9c3f74p-2, -0x1.39561ee01ded1p-2, -0x1.3b9c9e3efba6cp-2, -0x1.3de43d355c5a6p-2, -0x1.402b1ae835426p-2, -0x1.426f6b391af72p-2, -0x1.44af7748e26b9p-2, -0x1.46e99dcc38e82p-2, -0x1.491c5337bacp-2, -0x1.4b4621c88823ep-2, -0x1.4d65a96de6e03p-2, -0x1.4f799f9812518p-2, -0x1.5180ceefeea6dp-2, -0x1.537a16faf8a1bp-2, -0x1.55646bae7309ep-2, -0x1.573ed4f48aedfp-2, -0x1.59086e25d12c1p-2, -0x1.5ac06579402dap-2, -0x1.5c65fb6cb0bc2p-2, -0x1.5df88227754cep-2, -0x1.5f775cd8a9ca8p-2, -0x1.60e1ff1286fc3p-2, -0x1.6237ec23edd98p-2, -0x1.6378b6713be91p-2, -0x1.64a3fecd48f6p-2, -0x1.65b973d36761p-2, -0x1.66b8d1430f7dap-2, -0x1.67a1df5dd2ffdp-2, -0x1.687472481a362p-2, -0x1.6930696d1f9ecp-2, -0x1.69d5aee67c141p-2, -0x1.6a6436e798e41p-2, -0x1.6adbff2d45d62p-2, -0x1.6b3d0e719ce5ep-2, -0x1.6b8773e45f3f3p-2, -0x1.6bbb46a7e56ccp-2, -0x1.6bd8a552b1ae2p-2, -0x1.6bdfb575af033p-2, -0x1.6bd0a3272000cp-2, -0x1.6baba09233c25p-2, -0x1.6b70e58b42494p-2, -0x1.6b20af2893b4fp-2, -0x1.6abb3f5fa985fp-2, -0x1.6a40dca6eea9bp-2, -0x1.69b1d19bba11fp-2, -0x1.690e6cac7fc8ap-2, -0x1.6856ffc71e06ep-2, -0x1.678be00b1cf7bp-2, -0x1.66ad657fc733dp-2, -0x1.65bbeacdf837ep-2, -0x1.64b7ccfd7ef77p-2, -0x1.63a16b35f2afdp-2, -0x1.62792682d7acp-2, -0x1.613f619af4c06p-2, -0x1.5ff480aab1e94p-2, -0x1.5e98e921684bap-2, -0x1.5d2d0181795ffp-2, -0x1.5bb1313313548p-2, -0x1.5a25e059844e1p-2, -0x1.588b77aafaa93p-2, -0x1.56e2604a94c61p-2, -0x1.552b03a4aa5f5p-2, -0x1.5365cb4d2caecp-2, -0x1.519320e006f1bp-2, -0x1.4fb36de365593p-2, -0x1.4dc71babc9c67p-2, -0x1.4bce9341d6219p-2, -0x1.49ca3d49b9629p-2, -0x1.47ba81ec271b4p-2, -0x1.459fc8c0c1c2ap-2, -0x1.437a78b9f0479p-2, -0x1.414af811fc2c3p-2, -0x1.3f11ac3976d88p-2, -0x1.3ccef9c6c678ap-2, -0x1.3a834466d8a67p-2, -0x1.382eeecee159fp-2, -0x1.35d25aaf1b238p-2, -0x1.336de8a67fe32p-2, -0x1.3101f83763ff8p-2, -0x1.2e8ee7bcf2cb9p-2, -0x1.2c15146175ab5p-2, -0x1.2994da15666a2p-2, -0x1.270e938737a46p-2, -0x1.24829a1bd3461p-2, -0x1.21f145e7bdf64p-2, -0x1.1f5aeda8deff6p-2, -0x1.1cbfe6c0db1c8p-2, -0x1.1a208530053fcp-2, -0x1.177d1b90d1878p-2, -0x1.14d5fb13d32dfp-2, -0x1.122b737c2c615p-2, -0x1.0f7dd31c7cc65p-2, -0x1.0ccd66d43b4a4p-2, -0x1.0a1a7a0d7982fp-2, -0x1.076556bb0ed9cp-2, -0x1.04ae455725599p-2, -0x1.01f58ce21bcf8p-2, -0x1.fe76e5c38eb65p-3, -0x1.f90076c204ce8p-3, -0x1.f38851df19fep-3, -0x1.ee0ef94471923p-3, -0x1.e894ec26b6c26p-3, -0x1.e31aa6c70c5cfp-3, -0x1.dda0a274ff847p-3, -0x1.d8275590f20dp-3, -0x1.d2af338f02a2bp-3, -0x1.cd38acfa5af8ap-3, -0x1.c7c42f78f4b77p-3, -0x1.c25225cfb8241p-3, -0x1.bce2f7e706168p-3, -0x1.b7770acf9742fp-3, -0x1.b20ec0c7b45a6p-3, -0x1.acaa7940c37d2p-3, -0x1.a74a90e52315ep-3, -0x1.a1ef619e4cd4dp-3, -0x1.9c99429b436f9p-3, -0x1.9748885740972p-3, -0x1.91fd84a0a404dp-3, -0x1.8cb886a01c959p-3, -0x1.8779dae00a91ap-3, -0x1.8241cb5414f8ep-3, -0x1.7d109f60f71a6p-3, -0x1.77e69be4723cbp-3, -0x1.72c4033d74edep-3, -0x1.6da9155462df2p-3, -0x1.68960fa38c408p-3, -0x1.638b2d3fbcdc2p-3, -0x1.5e88a6e0f3a7cp-3, -0x1.598eb2eb375d5p-3, -0x1.549d857781f25p-3, -0x1.4fb5505ccbb97p-3, -0x1.4ad643392497p-3, -0x1.46008b7aeb1dfp-3, -0x1.4134546a0f1bap-3, -0x1.3c71c73163f95p-3, -0x1.37b90ae804b4dp-3, -0x1.330a449ac186cp-3, -0x1.2e65975598162p-3, -0x1.29cb242d2e503p-3, -0x1.253b0a485df66p-3, -0x1.20b566e9b922ep-3, -0x1.1c3a5579195b2p-3, -0x1.17c9ef8d27997p-3, -0x1.13644cf4ed21bp-3, -0x1.0f0983c158e77p-3, -0x1.0ab9a84ec6b59p-3, -0x1.0674cd4e7ca9ep-3, -0x1.023b03d02368bp-3, -0x1.fc18b6967051ep-4, -0x1.f3d1c350e31cp-4, -0x1.eba14696376c3p-4, -0x1.e3875634caa9p-4, -0x1.db8405154b847p-4, -0x1.d397634d1156fp-4, -0x1.cbc17e30753c4p-4, -0x1.c4026064e8572p-4, -0x1.bc5a11f2fdc3ep-4, -0x1.b4c8985841873p-4, -0x1.ad4df698f519p-4, -0x1.a5ea2d5193a3ep-4, -0x1.9e9d3ac8385cfp-4, -0x1.97671afdd44ccp-4, -0x1.9047c7bf32501p-4, -0x1.893f38b5d1939p-4, -0x1.824d63788d0aep-4, -0x1.7b723b9c11d38p-4, -0x1.74adb2c3201bap-4, -0x1.6dffb8ae9b7bep-4, -0x1.67683b4d64408p-4, -0x1.60e726cbf9cf4p-4, -0x1.5a7c65a3e7ec5p-4, -0x1.5427e0aafb001p-4, -0x1.4de97f22399a4p-4, -0x1.47c126c4a8a77p-4, -0x1.41aebbd5d214p-4, -0x1.3bb2213012425p-4, -0x1.35cb3852ab46p-4, -0x1.2ff9e16f9a8c9p-4, -0x1.2a3dfb79331p-4, -0x1.2497642f7c12fp-4, -0x1.1f05f82d510f8p-4, -0x1.198992f547979p-4, -0x1.14220efe55e08p-4, -0x1.0ecf45c03cca9p-4, -0x1.09910fbfb4afap-4, -0x1.0467449a5dad5p-4, -0x1.fea37624df18fp-5, -0x1.f4a092345f34cp-5, -0x1.eac587be4eb42p-5, -0x1.e111ffaa3e17p-5, -0x1.d785a181b59ap-5, -0x1.ce2013853670ep-5, -0x1.c4e0fac0c351fp-5, -0x1.bbc7fb1fee90cp-5, -0x1.b2d4b781741cap-5, -0x1.aa06d1ca56982p-5, -0x1.a15deaf88df56p-5, -0x1.98d9a335392b5p-5, -0x1.907999e6617p-5, -0x1.883d6dc0451e8p-5, -0x1.8024bcd6309d4p-5, -0x1.782f24aae8702p-5, -0x1.705c42409fe25p-5, -0x1.68abb22881ea3p-5, -0x1.611d1091c976p-5, -0x1.59aff95870854p-5, -0x1.526408136e504p-5, -0x1.4b38d82290d02p-5, -0x1.442e04bbe608fp-5, -0x1.3d4328f8c2d04p-5, -0x1.3677dfe262d66p-5, -0x1.2fcbc47e1e13ep-5, -0x1.293e71d942bc5p-5, -0x1.22cf831484956p-5, -0x1.1c7e936f12ef7p-5, -0x1.164b3e51483b5p-5, -0x1.10351f5700f5ep-5, -0x1.0a3bd25993944p-5, -0x1.045ef3796f11bp-5, -0x1.fd3c3e4ebb512p-6, -0x1.f1f1e45ae79cfp-6, -0x1.e6de136f4a3b3p-6, -0x1.dc0006b80bb68p-6, -0x1.d156fa457723bp-6, -0x1.c6e22b1b30565p-6, -0x1.bca0d73ecddd8p-6, -0x1.b2923dc5dbb64p-6, -0x1.a8b59ee334664p-6, -0x1.9f0a3bf3da04dp-6, -0x1.958f578b27c9ep-6, -0x1.8c44357e7e9d8p-6, -0x1.83281af05ffd2p-6, -0x1.7a3a4e5b027a7p-6, -0x1.717a179a58c8p-6, -0x1.68e6bff59c397p-6, -0x1.607f92284ebf2p-6, -0x1.5843da6aca2e8p-6, -0x1.5032e67a43821p-6, -0x1.484c05a06ae04p-6, -0x1.408e88ba826b6p-6, -0x1.38f9c24016113p-6, -0x1.318d064936191p-6, -0x1.2a47aa9448d94p-6, -0x1.2329068b77ca8p-6, -0x1.1c307349b30f5p-6, -0x1.155d4b9f4ef11p-6, -0x1.0eaeec1643131p-6, -0x1.0824b2f60d75bp-6, -0x1.01be004735c6cp-6, -0x1.f6f46baced3d6p-7, -0x1.eab16e6f31452p-7, -0x1.deb1d38fe2edp-7, -0x1.d2f4696127c11p-7, -0x1.c77801d06aa77p-7, -0x1.bc3b726980e57p-7, -0x1.b13d945943cf9p-7, -0x1.a67d446f9c548p-7, -0x1.9bf9632108d54p-7, -0x1.91b0d4878dce1p-7, -0x1.87a2806331afep-7, -0x1.7dcd5219fa0fdp-7, -0x1.743038b7783f7p-7, -0x1.6aca26ebd5d31p-7, -0x1.619a130a7090dp-7, -0x1.589ef70816ac2p-7, -0x1.4fd7d078d973ep-7, -0x1.4743a08d73a21p-7, -0x1.3ee16c105ace5p-7, -0x1.36b03b626bd37p-7, -0x1.2eaf1a774570cp-7, -0x1.26dd18d150bap-7, -0x1.1f39497d72b1ep-7, -0x1.17c2c30e72bd4p-7, -0x1.10789f981d641p-7, -0x1.0959fcaa14bdfp-7, -0x1.0265fb4a6339cp-7, -0x1.f7377fdfbdefdp-8, -0x1.e9f4e4f8642adp-8, -0x1.dd027c6b79a78p-8, -0x1.d05ea38272874p-8, -0x1.c407be366baeap-8, -0x1.b7fc3722ab1a7p-8, -0x1.ac3a7f76bf609p-8, -0x1.a0c10ee84d90cp-8, -0x1.958e63a49705ep-8, -0x1.8aa10241a4dd8p-8, -0x1.7ff775af31913p-8, -0x1.75904f275022fp-8, -0x1.6b6a261ece52dp-8, -0x1.618398355978ep-8, -0x1.57db492578054p-8, -0x1.4e6fe2b452df3p-8, -0x1.454014a14cf15p-8, -0x1.3c4a9495614abp-8, -0x1.338e1e12717c3p-8, -0x1.2b09726263d44p-8, -0x1.22bb58862f06bp-8, -0x1.1aa29d24cd57cp-8, -0x1.12be1279fe3cbp-8, -0x1.0b0c90450d55bp-8, -0x1.038cf3b780a2dp-8, -0x1.f87c3ec755256p-9, -0x1.ea3df656b6a04p-9, -0x1.dc5ce85caa863p-9, -0x1.ced6f971bf5fap-9, -0x1.c1aa18647f713p-9, -0x1.b4d43e168005cp-9, -0x1.a8536d596f97ap-9, -0x1.9c25b2cc35fe3p-9, -0x1.904924b8125a2p-9, -0x1.84bbe2edb7528p-9, -0x1.797c16a2a5cd8p-9, -0x1.6e87f24e92ecp-9, -0x1.63ddb188d4c6bp-9, -0x1.597b98e633ef6p-9, -0x1.4f5ff5d68c88bp-9, -0x1.45891e82bf4ep-9, -0x1.3bf571aadc975p-9, -0x1.32a356845e903p-9, -0x1.29913c98b35fp-9, -0x1.20bd9ba3eb53ap-9, -0x1.1826f373a8638p-9, -0x1.0fcbcbc62dbc2p-9, -0x1.07aab429bc75bp-9, -0x1.ff8487b86c26bp-10, -0x1.f0223355ec5f2p-10, -0x1.e12bb7a5cfa81p-10, -0x1.d29e6fc213711p-10, -0x1.c477c525bebcp-10, -0x1.b6b52f6efb125p-10, -0x1.a95434217c4aap-10, -0x1.9c52666968a89p-10, -0x1.8fad66df234bp-10, -0x1.8362e34b5c688p-10, -0x1.7770966c01995p-10, -0x1.6bd447b983b3ap-10, -0x1.608bcb2d00157p-10, -0x1.55950106e147ap-10, -0x1.4aedd5964b6a5p-10, -0x1.409441010a1b9p-10, -0x1.3686470c568afp-10, -0x1.2cc1f6e5e47aep-10, -0x1.23456aedf1174p-10, -0x1.1a0ec881ee4bcp-10, -0x1.111c3fc7a9f3ep-10, -0x1.086c0b7951b7bp-10, -0x1.fff8e1645fcap-11, -0x1.ef977d777c27ep-11, -0x1.dfb09db76e4b9p-11, -0x1.d04108458212fp-11, -0x1.c145967746068p-11, -0x1.b2bb347684399p-11, -0x1.a49ee0e2b65eap-11, -0x1.96edac73c385ap-11, -0x1.89a4b99dc3bc4p-11, -0x1.7cc13c36647dcp-11, -0x1.7040791b8d1d1p-11, -0x1.641fc5db503a2p-11, -0x1.585c885d725p-11, -0x1.4cf4368dcb96ep-11, -0x1.41e456086a00dp-11, -0x1.372a7bc6acf12p-11, -0x1.2cc44bcdf271cp-11, -0x1.22af78df56747p-11, -0x1.18e9c428c1d22p-11, -0x1.0f70fcf763275p-11, -0x1.0643006b4417ep-11, -0x1.fabb7258c6773p-12, -0x1.e97e3e413e786p-12, -0x1.d8ca6e46b94e6p-12, -0x1.c89c257b989bep-12, -0x1.b8ef9fc21ef41p-12, -0x1.a9c13141db333p-12, -0x1.9b0d45e0c9326p-12, -0x1.8cd060bdc2003p-12, -0x1.7f071badbbc66p-12, -0x1.71ae26bb3b485p-12, -0x1.64c247a80bb31p-12, -0x1.58405971669f6p-12, -0x1.4c254bd5db499p-12, -0x1.406e22de47a9dp-12, -0x1.3517f668226b1p-12, -0x1.2a1ff1b28698ep-12, -0x1.1f8352ed23e35p-12, -0x1.153f6ac98483ep-12, -0x1.0b519c0dbc525p-12, -0x1.01b75b2a4b0e7p-12, -0x1.f0dc5ba16936cp-13, -0x1.dee7551b384ccp-13, -0x1.cd8af0c6932cap-13, -0x1.bcc29ccee6999p-13, -0x1.ac89e6c41a399p-13, -0x1.9cdc7add8c1b5p-13, -0x1.8db6233ee436dp-13, -0x1.7f12c742b5371p-13, -0x1.70ee6ac727afp-13, -0x1.63452d7ee4794p-13, -0x1.56134a45cbdf8p-13, -0x1.49551678c1c95p-13, -0x1.3d07015096275p-13, -0x1.312593418f9e8p-13, -0x1.25ad6d5cb327bp-13, -0x1.1a9b48b5d8441p-13, -0x1.0febf5cb92782p-13, -0x1.059c5bf353a43p-13, -0x1.f752f1907068fp-14, -0x1.e420bf3a5f039p-14, -0x1.d19c71e39de1cp-14, -0x1.bfc083d4472a5p-14, -0x1.ae8797941a18dp-14, -0x1.9dec76e569366p-14, -0x1.8dea11c6611c4p-14, -0x1.7e7b7d78adb1cp-14, -0x1.6f9bf38cad80ep-14, -0x1.6146d0f366f76p-14, -0x1.5377951645b74p-14, -0x1.4629e0f1ba50ep-14, -0x1.39597637fa4a6p-14, -0x1.2d0236764458dp-14, -0x1.21202240be87fp-14, -0x1.15af5861a5f0cp-14, -0x1.0aac150f093cap-14, -0x1.0012b1230e049p-14, -0x1.ebbf42b5d30b3p-15, -0x1.d81eeb306fbfep-15, -0x1.c53db04fe4a87p-15, -0x1.b3151a1c66b0dp-15, -0x1.a19ee2aa47666p-15, -0x1.90d4f4c1ab5d4p-15, -0x1.80b16a8cb0e61p-15, -0x1.712e8c4ec20aap-15, -0x1.6246cf2251748p-15, -0x1.53f4d3c1eaec7p-15, -0x1.463365538dadep-15, -0x1.38fd783ee81d5p-15, -0x1.2c4e290aa594dp-15, -0x1.2020bb3f36122p-15, -0x1.14709851d24c6p-15, -0x1.09394e96f0a18p-15, -0x1.fced206f1022ap-16, -0x1.e8486462ea333p-16, -0x1.d47c56b71d0cdp-16, -0x1.c18126e2a34dep-16, -0x1.af4f444640026p-16, -0x1.9ddf5c5b4c559p-16, -0x1.8d2a58f0384ebp-16, -0x1.7d295e69b6445p-16, -0x1.6dd5ca17c141bp-16, -0x1.5f29308e753dep-16, -0x1.511d5c0c5812ep-16, -0x1.43ac4aec05304p-16, -0x1.36d02e1db8079p-16, -0x1.2a8367ad15b3fp-16, -0x1.1ec08950a621p-16, -0x1.138253001739ep-16, -0x1.08c3b19a504a5p-16, -0x1.fcff7b185a882p-17, -0x1.e963730e6dc8ap-17, -0x1.d6aa22776a1a2p-17, -0x1.c4cab03c843a3p-17, -0x1.b3bc907016daap-17, -0x1.a37781f4a422fp-17, -0x1.93f38c382ca34p-17, -0x1.8528fcfd8f11cp-17, -0x1.7710663a6a258p-17, -0x1.69a29bfe8650ep-17, -0x1.5cd8b26e4dc79p-17, -0x1.50abfbc47931dp-17, -0x1.451606669fba1p-17, -0x1.3a109b065503fp-17, -0x1.2f95bad04e332p-17, -0x1.259f9da7d606ep-17, -0x1.1c28b06c1bd65p-17, -0x1.132b934dbc872p-17, -0x1.0aa3182fd7bfep-17, -0x1.028a41115cc15p-17, -0x1.f5b87d0967d2dp-18, -0x1.e728dc6afb17p-18, -0x1.d95cb2df80d7p-18, -0x1.cc4b677478476p-18, -0x1.bfecb2ee0d7f3p-18, -0x1.b4389d22d7a44p-18, -0x1.a9277a6050027p-18, -0x1.9eb1e8f074fb6p-18, -0x1.94d0cea697d6p-18, -0x1.8b7d56831dd74p-18, -0x1.82b0ee6680492p-18, -0x1.7a6544d639fefp-18, -0x1.729446d9c207ap-18, -0x1.6b381dd96e0efp-18, -0x1.644b2d9eacb0bp-18, -0x1.5dc81250150dap-18, -0x1.57a99e8ce85d8p-18, -0x1.51ead98e8bb33p-18, -0x1.4c86fd5e49a5bp-18, -0x1.4779750fe34b3p-18, -0x1.42bddb15be284p-18, -0x1.3e4ff79bdde0ap-18, -0x1.3a2bbee7f5dcep-18, -0x1.364d4fd5e1d6p-18, -0x1.32b0f2541853dp-18, -0x1.2f5315f3b3cc7p-18, -0x1.2c30507adff87p-18, -0x1.29455c8dfe7bfp-18, -0x1.268f185e04a9fp-18, -0x1.240a845c133f4p-18, -0x1.21b4c1fd1e95p-18, -0x1.1f8b128bdc25fp-18, -0x1.1d8ad5f88e2adp-18, -0x1.1bb189be66082p-18, -0x1.19fcc7c99ce52p-18, -0x1.186a456eb732cp-18, -0x1.16f7d2613aad3p-18, -0x1.15a357b747bcdp-18, -0x1.146ad6f6ee4ddp-18, -0x1.134c692adc396p-18, -0x1.12463dfd41d93p-18, -0x1.11569ad88d5eap-18, -0x1.107bda13f6da7p-18, -0x1.0fb46a232170bp-18, -0x1.0efeccce0bfb2p-18, -0x1.0e59966f55cf6p-18, -0x1.0dc36d3f370cap-18, -0x1.0d3b089aebd4fp-18, -0x1.0cbf30555ab9ep-18, -0x1.0c4ebc11a9109p-18, -0x1.0be8929e5c81bp-18, -0x1.0b8ba95b9c063p-18, -0x1.0b3703a1a9199p-18, -0x1.0ae9b23136f83p-18, -0x1.0aa2d2a316a8ep-18, -0x1.0a618ee0bc838p-18, -0x1.0a251c9d93844p-18, -0x1.09ecbcdb9053cp-18, -0x1.09b7bb727b861p-18, -0x1.09856e9a7b1acp-18, -0x1.0955367745c1fp-18, -0x1.09267cabdea0bp-18, -0x1.08f8b3f26b1bp-18, -0x1.08cb57b40b808p-18, -0x1.089deba83e933p-18, -0x1.086ffb75903bfp-18, -0x1.08411a587eb36p-18, -0x1.0810e2ca6d36dp-18, -0x1.07def62be3d49p-18, -0x1.07aafc73306fbp-18, -0x1.0774a3e06e1dap-18, -0x1.073ba0b472229p-18, -0x1.06fface5b21c5p-18, -0x1.06c087d8ea903p-18, -0x1.067df62202739p-18, -0x1.0637c143dc4fbp-18, -0x1.05edb76fdd9bdp-18, -0x1.059fab4d90c5dp-18, -0x1.054d73bfc67efp-18, -0x1.04f6ebafb0f51p-18, -0x1.049bf1d46019bp-18, -0x1.043c688493933p-18, -0x1.03d8357ff0df1p-18, -0x1.036f41c8c0f68p-18, -0x1.030179757ba23p-18, -0x1.028ecb8521a67p-18, -0x1.021729b453ba2p-18, -0x1.019a885743c3p-18, -0x1.0118de389314bp-18, -0x1.0092246f662e7p-18, -0x1.0006564126ddp-18, -0x1.feeae1fd10177p-19, -0x1.fdbee7ca636a5p-19, -0x1.fc88bfff4db8dp-19, -0x1.fb487012083eep-19, -0x1.f9fe00a28aeep-19, -0x1.f8a97d4781cadp-19, -0x1.f74af461c724bp-19, -0x1.f5e276e987a4ap-19, -0x1.f470183ac6adbp-19, -0x1.f2f3edeb3f16fp-19, -0x1.f16e0fa5a6c9cp-19, -0x1.efde970168c1ep-19, -0x1.ee459f599b0ep-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.a6f9a9fcf8addp-8, 0x1.a743e33b3faf3p-7, 0x1.3dc8869858187p-6, 0x1.a8444871805c6p-6, 0x1.098c96c5eebeap-5, 0x1.3f1e297e62975p-5, 0x1.74ca3694364bcp-5, 0x1.aa7d7ae022321p-5, 0x1.e01ee658192afp-5, 0x1.0ac845573f88ep-4, 0x1.25584a3c5d66cp-4, 0x1.3fad20912018ap-4, 0x1.59b36437662d6p-4, 0x1.735719d7dcd79p-4, 0x1.8c840fa91348fp-4, 0x1.a526329fc6eacp-4, 0x1.bd29d7ebb56e1p-4, 0x1.d47bfb1728de3p-4, 0x1.eb0a716b37e53p-4, 0x1.006209b47214cp-3, 0x1.0acc6ea028b4bp-3, 0x1.14bd039c13dfp-3, 0x1.1e2d0b7add64dp-3, 0x1.271675468e527p-3, 0x1.2f73df194fac2p-3, 0x1.374096ab1f463p-3, 0x1.3e7897efe47ecp-3, 0x1.45188a17f7302p-3, 0x1.4b1dbb3c64b05p-3, 0x1.50861af797d56p-3, 0x1.5550342326431p-3, 0x1.597b25ec3c7fep-3, 0x1.5d069c697d263p-3, 0x1.5ff2c8d735cdp-3, 0x1.624059998df9ep-3, 0x1.63f0721f94d07p-3, 0x1.6504a2bdf54e6p-3, 0x1.657ee0947d4cep-3, 0x1.65617d8e73378p-3, 0x1.64af208afa3ffp-3, 0x1.636abdb84aa0dp-3, 0x1.61978f2a90c69p-3, 0x1.5f390db542c01p-3, 0x1.5c52ea0c628c9p-3, 0x1.58e906319b8b8p-3, 0x1.54ff6f3017c5fp-3, 0x1.509a5728d5959p-3, 0x1.4bbe0fb08044ep-3, 0x1.466f047ef099p-3, 0x1.40b1b66ff8091p-3, 0x1.3a8ab6d46a5afp-3, 0x1.33fea3121bca5p-3, 0x1.2d122090dd796p-3, 0x1.25c9d8f281e85p-3, 0x1.1e2a769372c65p-3, 0x1.1638a1514b6fcp-3, 0x1.0df8fb94c59c6p-3, 0x1.05701f9c0e541p-3, 0x1.f9453a054ce5ap-4, 0x1.e729ed0788926p-4, 0x1.d4973fe877714p-4, 0x1.c195f8e1df14p-4, 0x1.ae2eb97d8a1c6p-4, 0x1.9a69fbb26e547p-4, 0x1.86500f592df5fp-4, 0x1.71e917f26e13p-4, 0x1.5d3d0ab976c7fp-4, 0x1.4853acfdd9a85p-4, 0x1.333492bf07583p-4, 0x1.1de71d84e8049p-4, 0x1.08727b70d1acp-4, 0x1.e5bb4d04be8c4p-5, 0x1.ba5ec817e0323p-5, 0x1.8edc88a59540ap-5, 0x1.634144ae2ecbdp-5, 0x1.3799478045e71p-5, 0x1.0bf071d31ad27p-5, 0x1.c0a4743911dddp-6, 0x1.69935a396017dp-6, 0x1.12c2dd33b6d86p-6, 0x1.788ee91e712d1p-7, 0x1.98d326a2e50fep-8, 0x1.09dba322086e7p-10, -0x1.11ae94c7aad2p-8, -0x1.31ac0c3efd1cep-7, -0x1.d921bae5929f3p-7, -0x1.3f8c60217e559p-6, -0x1.91b97ff20d414p-6, -0x1.e309e815a597ep-6, -0x1.19b7fcd4ea43dp-5, -0x1.416f6412f46fap-5, -0x1.68a50adbfe648p-5, -0x1.8f5327ca7ed5ep-5, -0x1.b574451f7b716p-5, -0x1.db033ee21ef3dp-5, -0x1.fffb40fd08f18p-5, -0x1.122be2ad39fabp-4, -0x1.240a490013129p-4, -0x1.3596db9609f6fp-4, -0x1.46cfc6b93a973p-4, -0x1.57b359eefd84ep-4, -0x1.6840070960f1ep-4, -0x1.7874613a42445p-4, -0x1.884f1c283e14fp-4, -0x1.97cf0b05b20d2p-4, -0x1.a6f31fa9f37b7p-4, -0x1.b5ba69ace0157p-4, -0x1.c4241584fadebp-4, -0x1.d22f6ba80ede8p-4, -0x1.dfdbcfae96f9ep-4, -0x1.ed28bf79da683p-4, -0x1.fa15d25cea449p-4, -0x1.03515c24401e3p-3, -0x1.09679c7ce5557p-3, -0x1.0f4d99961a1a5p-3, -0x1.15034de716f6fp-3, -0x1.1a88be9c7fc6ep-3, -0x1.1fddfb35d25d2p-3, -0x1.25031d245e59ap-3, -0x1.29f8476bca939p-3, -0x1.2ebda6441e6cbp-3, -0x1.33536ebd64292p-3, -0x1.37b9de64cac94p-3, -0x1.3bf13aeb646dbp-3, -0x1.3ff9d1ce69844p-3, -0x1.43d3f8010df07p-3, -0x1.47800997e9103p-3, -0x1.4afe6975e9941p-3, -0x1.4e4f80fad98f9p-3, -0x1.5173bfb37100ap-3, -0x1.546b9b0afc14ap-3, -0x1.57378dfe89bb2p-3, -0x1.59d818d1adf73p-3, -0x1.5c4dc0c4d2a64p-3, -0x1.5e990fcd13395p-3, -0x1.60ba944da7c5ep-3, -0x1.62b2e0d2db08bp-3, -0x1.64828bce92633p-3, -0x1.662a2f56563d9p-3, -0x1.67aa68e2f1aa3p-3, -0x1.6903d9118e07ap-3, -0x1.6a3723666421ep-3, -0x1.6b44ee10e6ae5p-3, -0x1.6c2de1b17ec3p-3, -0x1.6cf2a920bfe51p-3, -0x1.6d93f13825479p-3, -0x1.6e12689c5210bp-3, -0x1.6e6ebf88c3f06p-3, -0x1.6ea9a79d0b61p-3, -0x1.6ec3d3ab79be4p-3, -0x1.6ebdf78946125p-3, -0x1.6e98c7e025f61p-3, -0x1.6e54fa0158c23p-3, -0x1.6df343ba19a2p-3, -0x1.6d745b29885c4p-3, -0x1.6cd8f697f0328p-3, -0x1.6c21cc4f75a0ep-3, -0x1.6b4f927621535p-3, -0x1.6a62fee94e76ap-3, -0x1.695cc71a674a9p-3, -0x1.683d9fecfd25cp-3, -0x1.67063d962b353p-3, -0x1.65b7537d485d7p-3, -0x1.6451941dddaf9p-3, -0x1.62d5b0eadd0acp-3, -0x1.61445a331629dp-3, -0x1.5f9e3f06e2312p-3, -0x1.5de40d1f069dfp-3, -0x1.5c1670c4c0a39p-3, -0x1.5a3614bafab8bp-3, -0x1.5843a228a54bp-3, -0x1.563fc0842d529p-3, -0x1.542b158007f8ap-3, -0x1.520644f8597aap-3, -0x1.4fd1f0e19960dp-3, -0x1.4d8eb938510fep-3, -0x1.4b3d3bf1ca7cap-3, -0x1.48de14edc25b8p-3, -0x1.4671dde9133e7p-3, -0x1.43f92e714808ep-3, -0x1.41749bd921295p-3, -0x1.3ee4b92df3f7dp-3, -0x1.3c4a172df6b18p-3, -0x1.39a5443f533f2p-3, -0x1.36f6cc681b298p-3, -0x1.343f39470258dp-3, -0x1.317f120cddfaap-3, -0x1.2eb6db76e870cp-3, -0x1.2be717c9c09aep-3, -0x1.291046cd1c91dp-3, -0x1.2632e5c829a9ep-3, -0x1.234f6f7e9f062p-3, -0x1.20665c2e69381p-3, -0x1.1d78218dfcffep-3, -0x1.1a8532cb41578p-3, -0x1.178e008b09bf7p-3, -0x1.1492f8e92613bp-3, -0x1.11948778f1ec6p-3, -0x1.0e931546719cp-3, -0x1.0b8f08d7e50bbp-3, -0x1.0888c62fdbe56p-3, -0x1.0580aecfb5ee8p-3, -0x1.027721ba9b03dp-3, -0x1.fed8f6f1b078cp-4, -0x1.f8c22c3749b05p-4, -0x1.f2aa92828c5b7p-4, -0x1.ec92d4332dfb4p-4, -0x1.e67b96d5b4d5fp-4, -0x1.e0657b2dda24fp-4, -0x1.da511d4185501p-4, -0x1.d43f14645aeecp-4, -0x1.ce2ff343d17d2p-4, -0x1.c82447f3df1e3p-4, -0x1.c21c9bfc0f28ep-4, -0x1.bc1974651d691p-4, -0x1.b61b51c6faedcp-4, -0x1.b022b0572c8fcp-4, -0x1.aa3007f7a6602p-4, -0x1.a443cc45dbdcdp-4, -0x1.9e5e6caa427f9p-4, -0x1.988054680ad51p-4, -0x1.92a9eaad23a51p-4, -0x1.8cdb92a2807aap-4, -0x1.8715ab7c93316p-4, -0x1.8158908bfb843p-4, -0x1.7ba4994e61025p-4, -0x1.75fa197f78a48p-4, -0x1.7059612a28d26p-4, -0x1.6ac2bcb9cba91p-4, -0x1.6536750b8ce13p-4, -0x1.5fb4cf7fd56d1p-4, -0x1.5a3e0e0bcb52ap-4, -0x1.54d26f4ada50fp-4, -0x1.4f722e904090fp-4, -0x1.4a1d83f8a260ep-4, -0x1.44d4a47b96e5p-4, -0x1.3f97c1fd338ddp-4, -0x1.3a670b5f8dp-4, -0x1.3542ac942a708p-4, -0x1.302acead6b748p-4, -0x1.2b1f97efd93d2p-4, -0x1.26212be3614d7p-4, -0x1.212fab647a8dap-4, -0x1.1c4b34b52bef1p-4, -0x1.1773e38df4cdcp-4, -0x1.12a9d12e96e2cp-4, -0x1.0ded146ebcad7p-4, -0x1.093dc1ce781a7p-4, -0x1.049beb869f63cp-4, -0x1.0007a198fb255p-4, -0x1.f701e3c09b214p-5, -0x1.ee0fd04053e6dp-5, -0x1.e5391c2942a37p-5, -0x1.dc7dd70378ab9p-5, -0x1.d3de0c8589bcfp-5, -0x1.cb59c4b2bbe46p-5, -0x1.c2f103f8ce2f3p-5, -0x1.baa3cb4d54c11p-5, -0x1.b272184aad1fp-5, -0x1.aa5be54c81889p-5, -0x1.a261298be0a7ap-5, -0x1.9a81d93adceb1p-5, -0x1.92bde59fc524fp-5, -0x1.8b153d2fe0408p-5, -0x1.8387cba9bda8dp-5, -0x1.7c157a2f03265p-5, -0x1.74be2f5dd5c1cp-5, -0x1.6d81cf69c12ccp-5, -0x1.66603c3428981p-5, -0x1.5f595564436e1p-5, -0x1.586cf87ea4893p-5, -0x1.519b00fc43ceap-5, -0x1.4ae3486112451p-5, -0x1.4445a6521bd1ep-5, -0x1.3dc1f0ab288a6p-5, -0x1.3757fb93ecb96p-5, -0x1.31079994c1f8ep-5, -0x1.2ad09baae9052p-5, -0x1.24b2d15c55577p-5, -0x1.1eae08cb022f1p-5, -0x1.18c20ec7d4e6p-5, -0x1.12eeaee511802p-5, -0x1.0d33b38850e9dp-5, -0x1.0790e5fc0be6cp-5, -0x1.02060e80b34dcp-5, -0x1.f925e8babe20ap-6, -0x1.ee6ebbe0021eap-6, -0x1.e3e6217a712bep-6, -0x1.d98ba2ff56c75p-6, -0x1.cf5ec86e023dfp-6, -0x1.c55f186cd33c8p-6, -0x1.bb8c186584dd9p-6, -0x1.b1e54ca099a5cp-6, -0x1.a86a38600f22cp-6, -0x1.9f1a5df931c3cp-6, -0x1.95f53eedbb259p-6, -0x1.8cfa5c0431ab2p-6, -0x1.8429355f69049p-6, -0x1.7b814a9565ca7p-6, -0x1.73021ac57235fp-6, -0x1.6aab24ad87dadp-6, -0x1.627be6bf026b9p-6, -0x1.5a73df3291ae2p-6, -0x1.52928c1b90a0fp-6, -0x1.4ad76b7aa4f69p-6, -0x1.4341fb4fbc03bp-6, -0x1.3bd1b9ab67f0fp-6, -0x1.348624bf8b982p-6, -0x1.2d5ebaef71e6dp-6, -0x1.265afadf46ed4p-6, -0x1.1f7a6382f7854p-6, -0x1.18bc742c87c11p-6, -0x1.1220ac99c294bp-6, -0x1.0ba68d01674fbp-6, -0x1.054d961fc4b9ep-6, -0x1.fe2a9285a569bp-7, -0x1.f1fa50ab75d0ep-7, -0x1.e6096bd7eb891p-7, -0x1.da56ea979696fp-7, -0x1.cee1d4f0bb47dp-7, -0x1.c3a9347698737p-7, -0x1.b8ac145b900aep-7, -0x1.ade9818295e21p-7, -0x1.a3608a8f9cebdp-7, -0x1.99103ff727817p-7, -0x1.8ef7b40d16da5p-7, -0x1.8515fb1288725p-7, -0x1.7b6a2b430d5dcp-7, -0x1.71f35ce111539p-7, -0x1.68b0aa41770d1p-7, -0x1.5fa12fd66e35cp-7, -0x1.56c40c39ad22cp-7, -0x1.4e186035f3954p-7, -0x1.459d4ecfcd613p-7, -0x1.3d51fd4dde941p-7, -0x1.353593405a639p-7, -0x1.2d473a87eb68p-7, -0x1.25861f5c19a6cp-7, -0x1.1df1705100d61p-7, -0x1.16885e5c8f8fap-7, -0x1.0f4a1cdb30589p-7, -0x1.0835e193f9a11p-7, -0x1.014ae4bc46309p-7, -0x1.f510c1f5ba863p-8, -0x1.e7db26d54deddp-8, -0x1.daf37739cc027p-8, -0x1.ce5837360faa1p-8, -0x1.c207efd023b3ep-8, -0x1.b6012f02f017fp-8, -0x1.aa4287bf9c9ffp-8, -0x1.9eca91edc9c2bp-8, -0x1.9397ea6b53478p-8, -0x1.88a9330b3ef6ap-8, -0x1.7dfd129417caap-8, -0x1.739234bd92bd6p-8, -0x1.69674a2d83f08p-8, -0x1.5f7b08745964fp-8, -0x1.55cc2a08f9c2dp-8, -0x1.4c596e4419c4cp-8, -0x1.4321995b08d7bp-8, -0x1.3a23745a1b7e3p-8, -0x1.315dcd1e64a7bp-8, -0x1.28cf764f1736p-8, -0x1.207747568e48p-8, -0x1.18541c5abf7e6p-8, -0x1.1064d6357b6d4p-8, -0x1.08a85a6c3866cp-8, -0x1.011d93277d01p-8, -0x1.f386de53e0848p-9, -0x1.e531c38e7ce74p-9, -0x1.d739c5b4fce4ap-9, -0x1.c99cdd78dd801p-9, -0x1.bc590c72e82e3p-9, -0x1.af6c5d0eb6635p-9, -0x1.a2d4e27599c3p-9, -0x1.9690b87912979p-9, -0x1.8a9e037d085d8p-9, -0x1.7efaf0616db01p-9, -0x1.73a5b46bfb4adp-9, -0x1.689c8d30f6292p-9, -0x1.5dddc07c36f2bp-9, -0x1.53679c39c1f1ap-9, -0x1.4938765e0a071p-9, -0x1.3f4eacce0455ep-9, -0x1.35a8a54716c6p-9, -0x1.2c44cd46cfecap-9, -0x1.232199f2886f7p-9, -0x1.1a3d87fee8d2bp-9, -0x1.11971b9723d7ap-9, -0x1.092ce0445e74p-9, -0x1.00fd68d4c8f9dp-9, -0x1.f20e9e858943p-10, -0x1.e2926937dafcep-10, -0x1.d38381d083728p-10, -0x1.c4df462267ec9p-10, -0x1.b6a321915bf0dp-10, -0x1.a8cc8ce0929e8p-10, -0x1.9b590e00acf5ep-10, -0x1.8e4637de38b77p-10, -0x1.8191aa300c5b7p-10, -0x1.753911461941dp-10, -0x1.693a25d80a17cp-10, -0x1.5d92acd4793bcp-10, -0x1.5240773009dc8p-10, -0x1.474161b539bccp-10, -0x1.3c9354d3a1bap-10, -0x1.323444704a2b8p-10, -0x1.28222fb5a9af8p-10, -0x1.1e5b20e4adaf3p-10, -0x1.14dd2d253f279p-10, -0x1.0ba67457c3a5fp-10, -0x1.02b520e68aad1p-10, -0x1.f40ecf30506f6p-11, -0x1.e3370ec2dc222p-11, -0x1.d2df927118c6p-11, -0x1.c304ffcf88888p-11, -0x1.b3a40fc267f38p-11, -0x1.a4b98e25efc64p-11, -0x1.96425976d0734p-11, -0x1.883b627bb42dfp-11, -0x1.7aa1abf09af8bp-11, -0x1.6d724a317f2e2p-11, -0x1.60aa62e75b266p-11, -0x1.54472cb5738aap-11, -0x1.4845eee728175p-11, -0x1.3ca4011f7acbap-11, -0x1.315ecb09709e3p-11, -0x1.2673c4091f232p-11, -0x1.1be072ed937d9p-11, -0x1.11a26da48a8a9p-11, -0x1.07b758edfce9p-11, -0x1.fc39d02289ab9p-12, -0x1.e9a1b9277080ep-12, -0x1.d7a20bde38bd9p-12, -0x1.c636829403c85p-12, -0x1.b55af26207f51p-12, -0x1.a50b4aa0a8f02p-12, -0x1.9543945f4ec85p-12, -0x1.85fff1db628c7p-12, -0x1.773c9dfb411ecp-12, -0x1.68f5ebc93c715p-12, -0x1.5b2845f2dc61dp-12, -0x1.4dd02e48a6affp-12, -0x1.40ea3d409c0f4p-12, -0x1.347321795d348p-12, -0x1.28679f40c54b9p-12, -0x1.1cc4901c44fc4p-12, -0x1.1186e25266ac3p-12, -0x1.06ab98779290ap-12, -0x1.f85f91f50b7c6p-13, -0x1.e4213b69a7642p-13, -0x1.d096a6f795df5p-13, -0x1.bdba736a651c7p-13, -0x1.ab8763d797c12p-13, -0x1.99f85ecc5e49ep-13, -0x1.89086d81bd211p-13, -0x1.78b2bb109b4a5p-13, -0x1.68f293ab33281p-13, -0x1.59c363dcb39fp-13, -0x1.4b20b7c561e8bp-13, -0x1.3d063a61794bcp-13, -0x1.2f6fb4cf4daddp-13, -0x1.22590d9ac90a5p-13, -0x1.15be480b64d26p-13, -0x1.099b8375fd95dp-13, -0x1.fbd9f5249409bp-14, -0x1.e55e05a3c01f9p-14, -0x1.cfbc1778a489ep-14, -0x1.baed3c9c09132p-14, -0x1.a6eab8b3eadbp-14, -0x1.93adffddb24a8p-14, -0x1.8130b57c1f1b9p-14, -0x1.6f6cab0fe57d7p-14, -0x1.5e5bdf12ce27p-14, -0x1.4df87bd868f9p-14, -0x1.3e3cd67c8c404p-14, -0x1.2f236dc893125p-14, -0x1.20a6e92c3e95dp-14, -0x1.12c217b31cd6fp-14, -0x1.056fef05ce471p-14, -0x1.f15714dbc3f89p-15, -0x1.d8e053bc31d85p-15, -0x1.c172620352ce2p-15, -0x1.ab044c9cf3c3dp-15, -0x1.958d643fc463ep-15, -0x1.81053ba688704p-15, -0x1.6d63a5dd3837ap-15, -0x1.5aa0b486b8207p-15, -0x1.48b4b63a99eb6p-15, -0x1.379834e5e4389p-15, -0x1.2743f43a4533p-15, -0x1.17b0f01f84f96p-15, -0x1.08d85b32e45b7p-15, -0x1.f5673a9d6e8cfp-16, -0x1.da78a431e9a23p-16, -0x1.c0d88f3115a62p-16, -0x1.a87af9ae13dd7p-16, -0x1.9154411b65108p-16, -0x1.7b591fa117b6ep-16, -0x1.667ea98d56a6fp-16, -0x1.52ba4ad8e62bcp-16, -0x1.4001c4b6344ebp-16, -0x1.2e4b2b2a4830bp-16, -0x1.1d8ce2bfc7affp-16, -0x1.0dbd9e41d82d9p-16, -0x1.fda8b90c26e7fp-17, -0x1.e190cc7c18291p-17, -0x1.c72297b76c8d5p-17, -0x1.ae4dc719e4f0dp-17, -0x1.97028e66a60a2p-17, -0x1.8131a4e6d0fdbp-17, -0x1.6ccc41931bf37p-17, -0x1.59c417663824ap-17, -0x1.480b51b2d3b0fp-17, -0x1.379490a774e9ep-17, -0x1.2852e5ccac404p-17, -0x1.1a39d0c93b3e1p-17, -0x1.0d3d3c0981989p-17, -0x1.0151798e6b64dp-17, -0x1.ecd67fbbc212ap-18, -0x1.d8ff4dfb7512cp-18, -0x1.c7084b01f914ap-18, -0x1.b6dd1b5647454p-18, -0x1.a86a15614b988p-18, -0x1.9b9c3bf89145ap-18, -0x1.9061391273c24p-18, -0x1.86a75894da323p-18, -0x1.7e5d83750bc8cp-18, -0x1.77733acc68c61p-18, -0x1.71d893254e672p-18, -0x1.6d7e2fd63c1e9p-18, -0x1.6a553e9af87f7p-18, -0x1.684f732c90bc6p-18, -0x1.675f0305579ecp-18, -0x1.6776a14d07538p-18, -0x1.68897ade929e6p-18, -0x1.6a8b326f55337p-18, -0x1.6d6fdcb030c59p-18, -0x1.712bfcad40cf9p-18, -0x1.75b4803ac303ep-18, -0x1.7afebc7f87bbfp-18, -0x1.81006a9e3cc72p-18, -0x1.87afa47bb390ap-18, -0x1.8f02e1859234bp-18, -0x1.96f0f3a32facbp-18, -0x1.9f7104351266cp-18, -0x1.a87a912d15f55p-18, -0x1.b2056a4c80167p-18, -0x1.bc09ae5d55faap-18, -0x1.c67fc8a5aad01p-18, -0x1.d1606e2cba324p-18, -0x1.dca49b57b3b58p-18, -0x1.e845916c4379fp-18, -0x1.f43cd444ebc88p-18, -0x1.0042140989f23p-17, -0x1.068ac7952951fp-17, -0x1.0cf5a3e7bf03dp-17, -0x1.137fe519aee21p-17, -0x1.1a26e3385d82ep-17, -0x1.20e811496aeadp-17, -0x1.27c0fc5e57c98p-17, -0x1.2eaf4aa92938bp-17, -0x1.35b0ba9fc663cp-17, -0x1.3cc3221abeed4p-17, -0x1.43e46d80569b3p-17, -0x1.4b129ef9ede32p-17, -0x1.524bcdad05165p-17, -0x1.598e2502de14bp-17, -0x1.60d7e3e6c3ab9p-17, -0x1.68275c1098d39p-17, -0x1.6f7af15dfac98p-17, -0x1.76d11928dccbbp-17, -0x1.7e2859a15c2e5p-17, -0x1.857f4933f2a53p-17, -0x1.8cd48deeed349p-17, -0x1.9426dcf33b0dap-17, -0x1.9b74f9dfd4e8dp-17, -0x1.a2bdb64f8a109p-17, -0x1.a9fff14b5a1d6p-17, -0x1.b13a96d590e21p-17, -0x1.b86c9f6c7c24fp-17, -0x1.bf950f8fa86d1p-17, -0x1.c6b2f7493415ep-17, -0x1.cdc571c081e78p-17, -0x1.d4cba4da44a7bp-17, -0x1.dbc4c0c1ef007p-17, -0x1.e2afff8f958a4p-17, -0x1.e98ca4e3a78f1p-17, -0x1.f059fd892e19p-17, -0x1.f7175f1b43573p-17, -0x1.fdc427af8b328p-17, -0x1.022fdec0e6c6cp-16, -0x1.0574c752d615bp-16, -0x1.08b0885e761f2p-16, -0x1.0be2e055551aep-16, -0x1.0f0b9124521c1p-16, -0x1.122a600e3c89fp-16, -0x1.153f158ff94e4p-16, -0x1.18497d3ea8771p-16, -0x1.1b4965a860564p-16, }}, 
      {{-0x1.579cd06347244p-2, -0x1.5825b435a6786p-2, -0x1.5900b1c03c3e6p-2, -0x1.5a22e8497e477p-2, -0x1.5b8039ebed8bbp-2, -0x1.5d0c5a9459276p-2, -0x1.5ebb83e34cd88p-2, -0x1.6082e655a3cbep-2, -0x1.6258ea0e8f5e8p-2, -0x1.64354d0de8b3cp-2, -0x1.66112929d20e8p-2, -0x1.67e6e9842b435p-2, -0x1.69b235372f4c1p-2, -0x1.6b6fd371c1ae7p-2, -0x1.6d1d8c1623742p-2, -0x1.6eba070f34ffap-2, -0x1.7044abe81b402p-2, -0x1.71bd82b390203p-2, -0x1.732516f1902a4p-2, -0x1.747c5cdbf7697p-2, -0x1.75c4994f5ae7fp-2, -0x1.76ff4c606b38dp-2, -0x1.782e1e9429d52p-2, -0x1.7952d09f6cf33p-2, -0x1.7a6f2d86a4a47p-2, -0x1.7b84feefe80e3p-2, -0x1.7c960375c801dp-2, -0x1.7da3e6c863614p-2, -0x1.7eb03b6ae14d1p-2, -0x1.7fbc75dd63e0fp-2, -0x1.80c9e9063066dp-2, -0x1.81d9c3aff7fcep-2, -0x1.82ed0ef68e14ep-2, -0x1.8404ad7ed53e1p-2, -0x1.85215b5a22a3ep-2, -0x1.8643ae78a97bcp-2, -0x1.876c17919c1afp-2, -0x1.889ae36ab6eafp-2, -0x1.89d03c6b8cfedp-2, -0x1.8b0c2c6b78f29p-2, -0x1.8c4e9eab52414p-2, -0x1.8d9761ee15b06p-2, -0x1.8ee62aa57e8a7p-2, -0x1.903a95293c15dp-2, -0x1.919427f0d4429p-2, -0x1.92f255c99eab9p-2, -0x1.945480035262p-2, -0x1.95b9f88eb60f2p-2, -0x1.9722040accb7bp-2, -0x1.988bdbbda6dp-2, -0x1.99f6af76a983fp-2, -0x1.9b61a758a4aaap-2, -0x1.9ccbe58a9e5cep-2, -0x1.9e3487ce954e4p-2, -0x1.9f9aa8fde111ep-2, -0x1.a0fd626b25bc6p-2, -0x1.a25bcd2a058c7p-2, -0x1.a3b5033d02f37p-2, -0x1.a50820aa217d2p-2, -0x1.a6544476ff2f5p-2, -0x1.a798918d42494p-2, -0x1.a8d42f883cffbp-2, -0x1.aa064b6cd0dc4p-2, -0x1.ab2e184c8ea16p-2, -0x1.ac4acfd52c9e1p-2, -0x1.ad5bb2cd633e1p-2, -0x1.ae60098048deap-2, -0x1.af5724183e781p-2, -0x1.b0405aea8705p-2, -0x1.b11b0eb48af1fp-2, -0x1.b1e6a8cbd8411p-2, -0x1.b2a29b41d68fep-2, -0x1.b34e60fc26287p-2, -0x1.b3e97dc29c041p-2, -0x1.b4737e43af9c8p-2, -0x1.b4ebf81043333p-2, -0x1.b552898f82cbep-2, -0x1.b5a6d9ebaa529p-2, -0x1.b5e898f85f525p-2, -0x1.b6177f1354536p-2, -0x1.b6334cffce0b2p-2, -0x1.b63bcbbdafbc9p-2, -0x1.b630cc5c8de36p-2, -0x1.b61227cb568a6p-2, -0x1.b5dfbea5059b4p-2, -0x1.b59978fad6305p-2, -0x1.b53f461c5bc6cp-2, -0x1.b4d11c5de4841p-2, -0x1.b44ef8dd79708p-2, -0x1.b3b8df46d3bbap-2, -0x1.b30ed9968dd9bp-2, -0x1.b250f7dcd3533p-2, -0x1.b17f4fffcfee1p-2, -0x1.b099fd7e1448bp-2, -0x1.afa121311e855p-2, -0x1.ae94e1103aeaep-2, -0x1.ad7567f3dde9ep-2, -0x1.ac42e5599e36ap-2, -0x1.aafd8d28eea5bp-2, -0x1.a9a59778b45fcp-2, -0x1.a83b4055cbe55p-2, -0x1.a6bec78a9979fp-2, -0x1.a5307067b3e97p-2, -0x1.a390818db669ap-2, -0x1.a1df44b84a4dep-2, -0x1.a01d068a70781p-2, -0x1.9e4a165c15141p-2, -0x1.9c66c608efd1cp-2, -0x1.9a7369c0beaf8p-2, -0x1.987057d8d2fbp-2, -0x1.965de89efc66dp-2, -0x1.943c762dcd6p-2, -0x1.920c5c423b45dp-2, -0x1.8fcdf812977p-2, -0x1.8d81a826e022ep-2, -0x1.8b27cc3269706p-2, -0x1.88c0c4eed0643p-2, -0x1.864cf3f844cbep-2, -0x1.83ccbbab140d4p-2, -0x1.81407f027e48p-2, -0x1.7ea8a178c65ep-2, -0x1.7c0586e87dc2ap-2, -0x1.7957936f01139p-2, -0x1.769f2b50273cap-2, -0x1.73dcb2db12e0ap-2, -0x1.71108e50275a2p-2, -0x1.6e3b21c818f74p-2, -0x1.6b5cd11c11d97p-2, -0x1.6875ffcee1cafp-2, -0x1.658710f73b3d1p-2, -0x1.6290672aea86fp-2, -0x1.5f92646b0dfbfp-2, -0x1.5c8d6a113e95bp-2, -0x1.5981d8bda92fdp-2, -0x1.567010460b965p-2, -0x1.53586fa596b6dp-2, -0x1.503b54edacb89p-2, -0x1.4d191d376f8cap-2, -0x1.49f22496253c9p-2, -0x1.46c6c60a5fef9p-2, -0x1.43975b75efce7p-2, -0x1.40643d908cbe8p-2, -0x1.3d2dc3dd3e8b7p-2, -0x1.39f444a072caap-2, -0x1.36b814d6c780cp-2, -0x1.3379882c75de1p-2, -0x1.3038f0f568f1cp-2, -0x1.2cf6a025ec185p-2, -0x1.29b2e54bf8ap-2, -0x1.266e0e89110aep-2, -0x1.2328688cb47d1p-2, -0x1.1fe23e8f56fd7p-2, -0x1.1c9bda4de43ffp-2, -0x1.19558405c1fafp-2, -0x1.160f827151c7dp-2, -0x1.12ca1ac4ecd7p-2, -0x1.0f8590ac53bfbp-2, -0x1.0c42264890a8ep-2, -0x1.09001c2e46144p-2, -0x1.05bfb1646736ep-2, -0x1.02812363565a2p-2, -0x1.fe895c28c55aap-3, -0x1.f81517a351368p-3, -0x1.f1a5eacc8c40ap-3, -0x1.eb3c441dd7da3p-3, -0x1.e4d88ef57b672p-3, -0x1.de7b339907a19p-3, -0x1.d824973853dcep-3, -0x1.d1d51bf10c6adp-3, -0x1.cb8d20d2ccdc5p-3, -0x1.c54d01e3c37a8p-3, -0x1.bf151825ca9dfp-3, -0x1.b8e5b99c0c1eep-3, -0x1.b2bf3951082adp-3, -0x1.aca1e75d13bafp-3, -0x1.a68e10ed3df4p-3, -0x1.a084004a980bp-3, -0x1.9a83fce1d6e1ep-3, -0x1.948e4b4b57282p-3, -0x1.8ea32d5367da8p-3, -0x1.88c2e202f03ccp-3, -0x1.82eda5a85528ap-3, -0x1.7d23b1e0a9216p-3, -0x1.77653da11836dp-3, -0x1.71b27d4095e1dp-3, -0x1.6c0ba281bde46p-3, -0x1.6670dc9ce66c7p-3, -0x1.60e2584a67de2p-3, -0x1.5b603fcd07cdbp-3, -0x1.55eabafc92979p-3, -0x1.5081ef5093c1fp-3, -0x1.4b25ffeb2d27cp-3, -0x1.45d70da410717p-3, -0x1.4095371386a09p-3, -0x1.3b60989d9acafp-3, -0x1.36394c7d493b6p-3, -0x1.311f6acfc5715p-3, -0x1.2c13099fcc70bp-3, -0x1.27143cf0fb77ep-3, -0x1.222316cb2f81ap-3, -0x1.1d3fa745e84b6p-3, -0x1.1869fc93ad1e1p-3, -0x1.13a2230d6b6ecp-3, -0x1.0ee8253dd903ep-3, -0x1.0a3c0becc8078p-3, -0x1.059dde2a75d2fp-3, -0x1.010da15ad0ee1p-3, -0x1.f916b2815cb0ep-4, -0x1.f02e1011e3416p-4, -0x1.e7615cab4a4d9p-4, -0x1.deb09691ffca7p-4, -0x1.d61bb920a6f59p-4, -0x1.cda2bcddd67f9p-4, -0x1.c545979195ap-4, -0x1.bd043c5abb40cp-4, -0x1.b4de9bc40dd49p-4, -0x1.acd4a3d92ae21p-4, -0x1.a4e6403b38059p-4, -0x1.9d135a3559e5p-4, -0x1.955bd8d0f1163p-4, -0x1.8dbfa0e987538p-4, -0x1.863e95408e3f1p-4, -0x1.7ed89690cdedcp-4, -0x1.778d83a1930edp-4, -0x1.705d395995a7p-4, -0x1.694792d19832p-4, -0x1.624c6966baf13p-4, -0x1.5b6b94cc89098p-4, -0x1.54a4eb1eb5953p-4, -0x1.4df840f2903b8p-4, -0x1.4765696829086p-4, -0x1.40ec363b2871dp-4, -0x1.3a8c77d3596ep-4, -0x1.3445fd54df9fep-4, -0x1.2e1894b025622p-4, -0x1.28040ab172372p-4, -0x1.22082b103673ep-4, -0x1.1c24c07e03882p-4, -0x1.165994b534ef6p-4, -0x1.10a6708748356p-4, -0x1.0b0b1beae43a9p-4, -0x1.05875e099013ep-4, -0x1.001afd4d19574p-4, -0x1.f58b7ed958999p-5, -0x1.eb0ed2f3306afp-5, -0x1.e0bf7fd790e6fp-5, -0x1.d69d0d5bda3fep-5, -0x1.cca70252a61d5p-5, -0x1.c2dce4a2e327ep-5, -0x1.b93e395e507f7p-5, -0x1.afca84d7607d3p-5, -0x1.a6814ab680a69p-5, -0x1.9d620e0ed37aap-5, -0x1.946c517248671p-5, -0x1.8b9f97052867bp-5, -0x1.82fb60910d1e3p-5, -0x1.7a7f2f9747a7fp-5, -0x1.722a8562b78c8p-5, -0x1.69fce31915a36p-5, -0x1.61f5c9cbb0d4cp-5, -0x1.5a14ba87a79d7p-5, -0x1.5259366591ab2p-5, -0x1.4ac2be98a6964p-5, -0x1.4350d47d664bap-5, -0x1.3c02f9a7b7e44p-5, -0x1.34d8aff08ca37p-5, -0x1.2dd1798303f13p-5, -0x1.26ecd8e918685p-5, -0x1.202a5117cb69dp-5, -0x1.1989657ae0736p-5, -0x1.13099a001f6d2p-5, -0x1.0caa732226babp-5, -0x1.066b75f2ca3dfp-5, -0x1.004c282505489p-5, -0x1.f498202cffa84p-6, -0x1.e8d569b150228p-6, -0x1.dd4f3c72cf5efp-6, -0x1.d204a996e097ep-6, -0x1.c6f4c3dc494ffp-6, -0x1.bc1e9faa42ef2p-6, -0x1.b181531ec757fp-6, -0x1.a71bf61c3499bp-6, -0x1.9ceda25628ca5p-6, -0x1.92f5735dad3f9p-6, -0x1.893286acc590bp-6, -0x1.7fa3fbb13f306p-6, -0x1.7648f3d6f2e25p-6, -0x1.6d2092915373dp-6, -0x1.6429fd6467458p-6, -0x1.5b645bed286eap-6, -0x1.52ced7e956ba4p-6, -0x1.4a689d3eb03dcp-6, -0x1.4230da01a0b6cp-6, -0x1.3a26be7b6e06cp-6, -0x1.32497d2fd46d1p-6, -0x1.2a984ae22ea48p-6, -0x1.23125e9a22289p-6, -0x1.1bb6f1a7c2421p-6, -0x1.14853fa74ba27p-6, -0x1.0d7c868469133p-6, -0x1.069c067d0e977p-6, -0x1.ffc60447d32efp-7, -0x1.f2a17cc4c3bbfp-7, -0x1.e5c904f471898p-7, -0x1.d93b300dac19ep-7, -0x1.ccf695fc429efp-7, -0x1.c0f9d3622cefp-7, -0x1.b5438997ee08dp-7, -0x1.a9d25eac51ee4p-7, -0x1.9ea4fd638c75ep-7, -0x1.93ba1535c1869p-7, -0x1.89105a4cfc5c8p-7, -0x1.7ea685828a96ep-7, -0x1.747b545bcec15p-7, -0x1.6a8d8906986cbp-7, -0x1.60dbea54f25bp-7, -0x1.576543b8790b5p-7, -0x1.4e28653d5a03fp-7, -0x1.45242384aaed8p-7, -0x1.3c5757be8496bp-7, -0x1.33c0dfa3a43a4p-7, -0x1.2b5f9d6ea9f93p-7, -0x1.233277d514c34p-7, -0x1.1b3859ffc67bp-7, -0x1.1370338343fbap-7, -0x1.0bd8f8579d717p-7, -0x1.0471a0d016848p-7, -0x1.fa725324fb2e4p-8, -0x1.ec5d271ca18c5p-8, -0x1.dea1c7e722008p-8, -0x1.d13e4852b209bp-8, -0x1.c430c388964ep-8, -0x1.b7775cf97e9ddp-8, -0x1.ab1040497dc26p-8, -0x1.9ef9a13bd0e2dp-8, -0x1.9331bb9e220d8p-8, -0x1.87b6d3336d06ap-8, -0x1.7c87339ee1461p-8, -0x1.71a1304e38588p-8, -0x1.6703246404a74p-8, -0x1.5cab72a1b17p-8, -0x1.52988551595bbp-8, -0x1.48c8ce2f5b385p-8, -0x1.3f3ac653d43d2p-8, -0x1.35ecee1c0021ap-8, -0x1.2cddcd1372144p-8, -0x1.240bf1dd2c7aap-8, -0x1.1b75f21ccd3dcp-8, -0x1.131a6a5f4f689p-8, -0x1.0af7fe041b968p-8, -0x1.030d5725e2e6fp-8, -0x1.f6b24d06d7bcap-9, -0x1.e7b446d0f768ep-9, -0x1.d91e172d5e0fbp-9, -0x1.caed465cbd569p-9, -0x1.bd1f692ee56fdp-9, -0x1.afb220d4cdc29p-9, -0x1.a2a31ab2759b1p-9, -0x1.95f01031212d4p-9, -0x1.8996c6918be5dp-9, -0x1.7d950ebe824ffp-9, -0x1.71e8c51f5c751p-9, -0x1.668fd16adac01p-9, -0x1.5b88267a4dc0dp-9, -0x1.50cfc21cc8a0cp-9, -0x1.4664acead482fp-9, -0x1.3c44fa1a4bdb6p-9, -0x1.326ec7525f6f7p-9, -0x1.28e03c801a001p-9, -0x1.1f978bab2e42fp-9, -0x1.1692f0caefa4ep-9, -0x1.0dd0b19bc2f41p-9, -0x1.054f1d74eb5e1p-9, -0x1.fa191a3d7f24bp-10, -0x1.ea0ec5521d7e2p-10, -0x1.da7c1284098f7p-10, -0x1.cb5dea1ad23cap-10, -0x1.bcb145f89906bp-10, -0x1.ae73314a521ap-10, -0x1.a0a0c83866513p-10, -0x1.93373798b47f8p-10, -0x1.8633bca108f38p-10, -0x1.7993a49ac1976p-10, -0x1.6d544c96dbe69p-10, -0x1.617321233ac3dp-10, -0x1.55ed9e00b4b78p-10, -0x1.4ac14dd9fffbfp-10, -0x1.3febc9fbaa801p-10, -0x1.356aba0c8702ap-10, -0x1.2b3bd3c798fafp-10, -0x1.215cdab66276ap-10, -0x1.17cb9fec71b7ap-10, -0x1.0e8601c38251cp-10, -0x1.0589eb9905706p-10, -0x1.f9aaab180a9fep-11, -0x1.e8cc8878da587p-11, -0x1.d8759115a7944p-11, -0x1.c8a1feb2fe3bap-11, -0x1.b94e229c441b3p-11, -0x1.aa766528f9ec7p-11, -0x1.9c1745446596ap-11, -0x1.8e2d57f5ede07p-11, -0x1.80b547ec72d7ep-11, -0x1.73abd50adcc02p-11, -0x1.670dd3f668671p-11, -0x1.5ad82da6c47a7p-11, -0x1.4f07def8248ffp-11, -0x1.4399f83ebcb11p-11, -0x1.388b9cdcba293p-11, -0x1.2dda02d8e56fcp-11, -0x1.23827277d9a6cp-11, -0x1.198245d6830f8p-11, -0x1.0fd6e886abf78p-11, -0x1.067dd72caf81ap-11, -0x1.fae93e3f456ddp-12, -0x1.e971bc146d602p-12, -0x1.d890831ba9ce1p-12, -0x1.c8410dcf13a7bp-12, -0x1.b87ef52c13d3ap-12, -0x1.a945f002da02ep-12, -0x1.9a91d249e8cdfp-12, -0x1.8c5e8c73363e5p-12, -0x1.7ea82ac5fc1ap-12, -0x1.716ad4bae41e5p-12, -0x1.64a2cc5a87271p-12, -0x1.584c6da027e6ep-12, -0x1.4c642ddebd659p-12, -0x1.40e69b293cdbap-12, -0x1.35d05bbd25d0cp-12, -0x1.2b1e2d70aedfp-12, -0x1.20cce52342af1p-12, -0x1.16d96e30e900cp-12, -0x1.0d40c9e8eff74p-12, -0x1.04000f065d296p-12, -0x1.f628d256b24e8p-13, -0x1.e4f630bffafbap-13, -0x1.d462e12508865p-13, -0x1.c469b236c8c6bp-13, -0x1.b50598856292p-13, -0x1.a631ad91d25a4p-13, -0x1.97e92ee2592d8p-13, -0x1.8a277d1ec7ebcp-13, -0x1.7ce81b2f2fdf9p-13, -0x1.7026ad60132a8p-13, -0x1.63def88a59ddbp-13, -0x1.580ce14169ec9p-13, -0x1.4cac6b0456dbcp-13, -0x1.41b9b774596b3p-13, -0x1.3731058fdebp-13, -0x1.2d0eb0f01b332p-13, -0x1.234f310cd039fp-13, -0x1.19ef18826f3edp-13, -0x1.10eb145ebd0a7p-13, -0x1.083feb6edb4a4p-13, -0x1.ffd4fb24e1643p-14, -0x1.efcf862627c91p-14, -0x1.e06997fbeda0ap-14, -0x1.d19d7f05f6b9dp-14, -0x1.c365b6af6ffd6p-14, -0x1.b5bce6366d7c7p-14, -0x1.a89ddf815af2bp-14, -0x1.9c039df6463efp-14, -0x1.8fe9455c18f27p-14, -0x1.844a20c12a9c9p-14, -0x1.7921a168c1259p-14, -0x1.6e6b5dbe11583p-14, -0x1.6423104e66f21p-14, -0x1.5a4496c9bca8ap-14, -0x1.50cbf108db928p-14, -0x1.47b5401a988acp-14, -0x1.3efcc554c2f96p-14, -0x1.369ee16b81956p-14, -0x1.2e98138f6a977p-14, -0x1.26e4f890b486p-14, -0x1.1f824a06537dcp-14, -0x1.186cdd7e33291p-14, -0x1.11a1a3ac26268p-14, -0x1.0b1da7a4ad152p-14, -0x1.04de0e1788a9p-14, -0x1.fdc0292660775p-15, -0x1.f242219511a41p-15, -0x1.e73cdfc06d3d8p-15, -0x1.dcab6b6bd5591p-15, -0x1.d288f87fab29cp-15, -0x1.c8d0e5bb921c9p-15, -0x1.bf7ebb6eb44ebp-15, -0x1.b68e2a3cee221p-15, -0x1.adfb09e4bee65p-15, -0x1.a5c158143ae4ep-15, -0x1.9ddd37403c72ep-15, -0x1.964aed88aa9b4p-15, -0x1.8f06e39fc7208p-15, -0x1.880da3bc22ca6p-15, -0x1.815bd88efecf1p-15, -0x1.7aee4c4398a8cp-15, -0x1.74c1e7827a2e6p-15, -0x1.6ed3b07f0e555p-15, -0x1.6920ca0c1ccdep-15, -0x1.63a672b385e2bp-15, -0x1.5e6203d4573f4p-15, -0x1.5950f0c9a4391p-15, -0x1.5470c61605ee3p-15, -0x1.4fbf2893feabcp-15, -0x1.4b39d4ae35eefp-15, -0x1.46de9d9b73205p-15, -0x1.42ab6ca0823d2p-15, -0x1.3e9e405640cafp-15, -0x1.3ab52bf61dfe8p-15, -0x1.36ee56adc3ab8p-15, -0x1.3347faf3c8607p-15, -0x1.2fc065e4c3062p-15, -0x1.2c55f6a047704p-15, -0x1.29071dafa9d9fp-15, -0x1.25d25c6d87d1ep-15, -0x1.22b6447459defp-15, -0x1.1fb1770df2928p-15, -0x1.1cc2a4ac15c9bp-15, -0x1.19e88c6069d62p-15, -0x1.1721fb5903ep-15, -0x1.146dcc646b3fep-15, -0x1.11cae7749f902p-15, -0x1.0f3841296627p-15, -0x1.0cb4da5c581fdp-15, -0x1.0a3fbfb137aaep-15, -0x1.07d80928de743p-15, -0x1.057cd9b7f255ep-15, -0x1.032d5edf9f698p-15, -0x1.00e8d04ba6df2p-15, -0x1.fd5cdee2fd222p-16, -0x1.f8fb0e6765a64p-16, -0x1.f4aad70f5f419p-16, -0x1.f06af23da7935p-16, -0x1.ec3a2a1f89f07p-16, -0x1.e817590e00a3fp-16, -0x1.e40168ea32ad9p-16, -0x1.dff75286d44bfp-16, -0x1.dbf81d127f67ap-16, -0x1.d802dd870317p-16, -0x1.d416b61d08192p-16, -0x1.d032d5c47ab14p-16, -0x1.cc5677a268439p-16, -0x1.c880e292bd2dcp-16, -0x1.c4b168afe6c9bp-16, -0x1.c0e766d9f69e2p-16, -0x1.bd224443f8fcfp-16, -0x1.b9617207bc4f1p-16, -0x1.b5a46ab786084p-16, -0x1.b1eab1f968b1ep-16, -0x1.ae33d422d735dp-16, -0x1.aa7f65da5de5dp-16, -0x1.a6cd03b625559p-16, -0x1.a31c51e3cef63p-16, -0x1.9f6cfbd124194p-16, -0x1.9bbeb3d8357fbp-16, -0x1.981132efd37a7p-16, -0x1.9464385d4bbdfp-16, -0x1.90b78968a209bp-16, -0x1.8d0af112b15dp-16, -0x1.895e3fd1feb2dp-16, -0x1.85b14b4ba2dc7p-16, -0x1.8203ee13f6fd7p-16, -0x1.7e56077007e7bp-16, -0x1.7aa77b1a1ff0fp-16, -0x1.76f831051aef4p-16, -0x1.7348152545055p-16, -0x1.6f97173b1fd33p-16, -0x1.6be52a9e4196dp-16, -0x1.6832460c39491p-16, -0x1.647e6379747f3p-16, -0x1.60c97fdfe4d72p-16, -0x1.5d139b1642594p-16, -0x1.595cb7a36d9f8p-16, -0x1.55a4da950999dp-16, -0x1.51ec0b58a8a7p-16, -0x1.4e32539640192p-16, -0x1.4a77bf0c126c8p-16, -0x1.46bc5b69a480ap-16, -0x1.43003830b1a44p-16, -0x1.3f436693b9b2fp-16, -0x1.3b85f95871984p-16, -0x1.37c804b952487p-16, -0x1.34099e49a8506p-16, -0x1.304adcdb2b644p-16, -0x1.2c8bd8627a05cp-16, -0x1.28cca9e1b8bdfp-16, -0x1.250d6b4cf76cep-16, -0x1.214e37766298ap-16, -0x1.1d8f29f702bf2p-16, -0x1.19d05f1bca248p-16, -0x1.1611f3d05813cp-16, -0x1.1254058c44a4cp-16, -0x1.0e96b242165e7p-16, -0x1.0ada184eeb456p-16, -0x1.071e5668d72b6p-16, -0x1.03638b8fe8c81p-16, -0x1.ff53ae0019826p-17, -0x1.f7e2b043d1efp-17, -0x1.f0745cfd8fa18p-17, -0x1.e908f3683eb0bp-17, -0x1.e1a0b2cd7566cp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      46, 0x1.4666666666666p+2, 0x1.1766cf5a533f1p+1, 0x1.0d9f10d8387f4p+2, -0x1.325313ce4f579p-6, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.0c4f1adeb623ap-3, -0x1.4ea06919aed6dp-2, 0x1.6d37357ea3f9p-2, -0x1.8c95b30b3eb2fp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.d93ee60292eebp-4, -0x1.2b979c6c19e06p-2, 0x1.4f78c810ff45p-2, -0x1.77defd1f1bcecp-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.a096874146a42p-4, -0x1.0b745e7c1e36ep-2, 0x1.33480eaea9fcp-2, -0x1.6642a4150c1d4p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.6e149102006ffp-4, -0x1.dc23c9580566dp-3, 0x1.186975937c468p-2, -0x1.53d171baf3737p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.412f7e7800f3ap-4, -0x1.a69b253dd89cep-3, 0x1.fdd9e6e4873bcp-3, -0x1.419947beeea2fp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.1964ce8150633p-4, -0x1.76086cc539aep-3, 0x1.cd9c8287e3707p-3, -0x1.2f51d59a9b352p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.ec72074d7d10fp-5, -0x1.4a258c3309382p-3, 0x1.a01d08e3e5c1dp-3, -0x1.1d0e7bb97b193p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.ae6f4837c585fp-5, -0x1.22ac5a517a351p-3, 0x1.755adcbb467e1p-3, -0x1.0aca08f3cfc4ap-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.77e6737e380cap-5, -0x1.fead675832644p-4, 0x1.4d5628304dbap-3, -0x1.f10bc2fa46df5p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.480aa43321b9p-5, -0x1.bfbce6877404ep-4, 0x1.280edff72203p-3, -0x1.cc834b5e13962p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1e1cfcbe5ec6cp-5, -0x1.87fae90573c39p-4, 0x1.0585071ce08b1p-3, -0x1.a7fadfdf3ddd5p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f2d94dbab53a1p-6, -0x1.56db25701232cp-4, 0x1.cb713971de345p-4, -0x1.83726c99d36ap-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b2ada7461f9bcp-6, -0x1.2bd1526d849aap-4, 0x1.915342c131b18p-4, -0x1.5eea0c5167287p-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.7a8d76f01027fp-6, -0x1.065126b987729p-4, 0x1.5cb0274e956b3p-4, -0x1.3a6167db83ff9p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.496b3c34b8abep-6, -0x1.cb9cb162cb4ffp-5, 0x1.2d87f1540e6b7p-4, -0x1.15d9c11e9ced4p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1e55853b69454p-6, -0x1.9379402d52768p-5, 0x1.03da7ac2aa14dp-4, -0x1.e29ccf5612a5bp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.f0edddad20d49p-7, -0x1.631f5ef0a2817p-5, 0x1.bf50a3386af6cp-5, -0x1.99a1b6b2dc0bbp-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.ae2c490775c52p-7, -0x1.39769996930f6p-5, 0x1.81dec7d0c9f55p-5, -0x1.503f9a6caf64p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.732bc0d72799dp-7, -0x1.1565eb3eabb3p-5, 0x1.4f6ed70d493f9p-5, -0x1.085df26eebca1p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.3ee9d6c3c9345p-7, -0x1.ebacd6cbb53f1p-6, 0x1.27c725e30c47ep-5, -0x1.75c2f9e421269p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.109c39cb2a238p-7, -0x1.b352a1bb87851p-6, 0x1.0bbeecbebcfeap-5, -0x1.259de5fff152dp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.cf5d33617028bp-8, -0x1.7ff9ca822e68cp-6, 0x1.eb72f6fd7c308p-6, -0x1.204ca930869b6p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8756d98d5e532p-8, -0x1.50fe3ac2281eep-6, 0x1.c034440301997p-6, -0x1.0fc5d1664abcbp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.48496b6e947c6p-8, -0x1.263601b010335p-6, 0x1.97703166dcc9ap-6, -0x1.023fe21f51c36p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1163cde848ca2p-8, -0x1.feceda53b4309p-7, 0x1.70b369155d52ep-6, -0x1.e7d7d78c3f07ap-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.c3bf8ad8e399fp-9, -0x1.b8ba07911f708p-7, 0x1.4c1cd28472329p-6, -0x1.cb9e526514edcp-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.7203ebf78d072p-9, -0x1.79c0551f125b8p-7, 0x1.29a425f010a0dp-6, -0x1.af473d3584731p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2c33c64b7cb0ep-9, -0x1.4175283b9ebep-7, 0x1.094b9af2737e2p-6, -0x1.92f8009c3e14ap-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.e207c0224496ap-10, -0x1.0f6bbc72b3a16p-7, 0x1.d62535cd7745ep-7, -0x1.76a6f1b24cb38p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7e7d7d44dcbe2p-10, -0x1.c66eb1c2d31e1p-8, 0x1.9df2918c522b4p-7, -0x1.5a555374a9706p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2b894ceda4a25p-10, -0x1.78d68024aba05p-8, 0x1.69ff5ea138c0fp-7, -0x1.3e07c4d683dc4p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ce2e6c8d01816p-11, -0x1.35357691e2411p-8, 0x1.3a4b011aa4f9ep-7, -0x1.21aa870e136adp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.5e7d7d68ae94fp-11, -0x1.f563f5dea6ef2p-9, 0x1.0ed7d33eeedc6p-7, -0x1.0587f64f57f3ap-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.0485d3ae204d8p-11, -0x1.90e63070d1b5bp-9, 0x1.cf3a0fcc76899p-8, -0x1.d114c128216fap-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.7a48e62653b3cp-12, -0x1.3b3ae360d939ap-9, 0x1.8976f2d33e52bp-8, -0x1.a285b8b93ad11p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.0b182363d3ab3p-12, -0x1.e5a13fa5f4e32p-10, 0x1.4aafb0b775806p-8, -0x1.7f62d77f4f7d5p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.6cdba51788d5dp-13, -0x1.6cdb60b4df4ffp-10, 0x1.112da9fdf661p-8, -0x1.5a89dfc432058p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.dec4434881eeap-14, -0x1.09fb54100d9dcp-10, 0x1.ba652a7444253p-9, -0x1.3626700fa7817p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2ae44411a41cep-14, -0x1.759d4bf28a07p-11, 0x1.5d59a26f91e51p-9, -0x1.11a2f6c203944p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.5e68dc4d2e886p-15, -0x1.f495cd28395f1p-12, 0x1.0b42586890d28p-9, -0x1.da5437a463978p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.7a48e62653baep-16, -0x1.3b3cd172ea363p-12, 0x1.883839b96a2b6p-10, -0x1.914da20862cdap-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.6cdba51788e19p-17, -0x1.6cdb1785b44ebp-13, 0x1.0fd422b6e6214p-10, -0x1.48854ea230aa1p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.2ae44411a43dp-18, -0x1.75a17b0374b5ap-14, 0x1.5a8b7ca615731p-11, -0x1.fdb1a4424c298p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.7a48e626541bfp-20, -0x1.3b1dc6a6b06c6p-15, 0x1.8345fd24639b3p-12, -0x1.70fd6fab4ce8fp-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.2ae44411a65ffp-22, -0x1.776bb7e97ae02p-17, 0x1.4bc24114d153dp-13, -0x1.96fcf73b6a68ap-11}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.2ae44411e4001p-26, -0x1.3fb01f2587997p-20, 0x1.5e437fc4ac58p-15, -0x1.10556ba8a4288p-10}, 
      }}, 
      0x1.00420f570d0adp-6, -0x1.8af86211c6a7cp-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{0x1.80b10ece4b6cap-3, 0x1.79dc81c155b7bp-2, 0x1.134fca0e6e60fp-1, 0x1.6106890ccc346p-1, 0x1.a47e319b29c2cp-1, 0x1.dccacfd4e0177p-1, 0x1.04c822056252cp+0, 0x1.15735f85a8512p+0, 0x1.20a019d319f7p+0, 0x1.26a83db80928cp+0, 0x1.27fc6701c29f3p+0, 0x1.251b4a885d0dbp+0, 0x1.1e8ab3a364ad5p+0, 0x1.14d1ee1dbfbf1p+0, 0x1.0875708c728ccp+0, 0x1.f3e743fc330fdp-1, 0x1.d38521e6511a2p-1, 0x1.b09ceb408d5c4p-1, 0x1.8bf1b3252526cp-1, 0x1.663086e3a7d57p-1, 0x1.3ff0949c7c046p-1, 0x1.19b3eb87e3fcdp-1, 0x1.e7d1586d1ea11p-2, 0x1.9dd504054a0edp-2, 0x1.56088d21e278fp-2, 0x1.10e36dfe8e70bp-2, 0x1.9d8495e1faabbp-3, 0x1.1fd46f02ce9e6p-3, 0x1.522f3c558d95ep-4, 0x1.cc6025a353c52p-6, -0x1.75758fbbb0447p-6, -0x1.1f2500d628b15p-4, -0x1.d25db2d6035d4p-4, -0x1.3ba4fb9ca1c5bp-3, -0x1.87249f7555cfdp-3, -0x1.cbe901749a318p-3, -0x1.051b205bd2fc9p-2, -0x1.212b86476e8aap-2, -0x1.3a4d519079543p-2, -0x1.50a98a77fcae5p-2, -0x1.6469e85d9436cp-2, -0x1.75b83600fba89p-2, -0x1.84bdd1d03384bp-2, -0x1.91a3471d82576p-2, -0x1.9c8ffd25f13bcp-2, -0x1.a5a9f888f0188p-2, -0x1.ad15ad43a6c87p-2, -0x1.b2f5dcae15aa7p-2, -0x1.b76b814cad4a9p-2, -0x1.ba95c18ad74d9p-2, -0x1.bc91ecbadc6b8p-2, -0x1.bd7b7d52aa6d7p-2, -0x1.bd6c20aced374p-2, -0x1.bc7bc2f95a601p-2, -0x1.bac09e2d5c4cep-2, -0x1.b84f4b5dff258p-2, -0x1.b53ad5c9420e9p-2, -0x1.b194cedd05aacp-2, -0x1.ad6d6347a9859p-2, -0x1.a8d36f8287be9p-2, -0x1.a3d4952bf6e84p-2, -0x1.9e7d4ee30b5e2p-2, -0x1.98d9052037031p-2, -0x1.92f220bdd0f68p-2, -0x1.8cd21de0b07c3p-2, -0x1.86819d84ce566p-2, -0x1.8008768d1dcacp-2, -0x1.796dc4d86df16p-2, -0x1.72b7f8e7a12a7p-2, -0x1.6bece562cc483p-2, -0x1.6511cc3ca82fcp-2, -0x1.5e2b6ac7c15e8p-2, -0x1.573e04d2c0f9ep-2, -0x1.504d6f61d71d3p-2, -0x1.495d19ff3a1d1p-2, -0x1.427017c4e7848p-2, -0x1.3b8927822ba8bp-2, -0x1.34aabb4796a98p-2, -0x1.2dd6ff50864fdp-2, -0x1.270fe05ca0fbcp-2, -0x1.20571172a1bf3p-2, -0x1.19ae118e8d693p-2, -0x1.13162fc36d02ep-2, -0x1.0c90907227dep-2, -0x1.061e3138deff5p-2, -0x1.ff7fd874f7debp-3, -0x1.f2ecf7fbf7f05p-3, -0x1.e684fc80588f3p-3, -0x1.da48ede98453p-3, -0x1.ce39a5679ea6fp-3, -0x1.c257d228596d7p-3, -0x1.b6a3fdbb71dbep-3, -0x1.ab1e8faeebf1cp-3, -0x1.9fc7d14a836eap-3, -0x1.949ff08b16eebp-3, -0x1.89a70313e4bfcp-3, -0x1.7edd08f0c2419p-3, -0x1.7441ee821a468p-3, -0x1.69d58f34eabc7p-3, -0x1.5f97b6e69118fp-3, -0x1.558824003de3bp-3, -0x1.4ba688f066ac7p-3, -0x1.41f28d6395acap-3, -0x1.386bcffe1565ap-3, -0x1.2f11e708b2814p-3, -0x1.25e461c3d2b37p-3, -0x1.1ce2c96848e28p-3, -0x1.140ca1c45b4c4p-3, -0x1.0b616a1f9c2d1p-3, -0x1.02e09e0fbda0dp-3, -0x1.f5136b2ae9064p-4, -0x1.e4b84d5caf142p-4, -0x1.d4aec9579fb6dp-4, -0x1.c4f5c1db9e09cp-4, -0x1.b58c193569734p-4, -0x1.a670ade9910a7p-4, -0x1.97a25d8064164p-4, -0x1.892006074bfebp-4, -0x1.7ae884b1039cep-4, -0x1.6cfab6af93c18p-4, -0x1.5f557b2900b53p-4, -0x1.51f7b20ea7f72p-4, -0x1.44e03c155a5e7p-4, -0x1.380dfce308361p-4, -0x1.2b7fda519e9d6p-4, -0x1.1f34bb82b4b56p-4, -0x1.132b8ad52aabp-4, -0x1.07633629257ddp-4, -0x1.f7b55a8005f44p-5, -0x1.e121c5b08646bp-5, -0x1.cb099bd838b06p-5, -0x1.b56ad111e7f87p-5, -0x1.a0435e54b297ep-5, -0x1.8b9144c9b3e51p-5, -0x1.77528e3c73b5fp-5, -0x1.638549f696807p-5, -0x1.50278d917585bp-5, -0x1.3d3777a0efb4bp-5, -0x1.2ab32f0381304p-5, -0x1.1898dfd3e11a3p-5, -0x1.06e6bd6c2b82dp-5, -0x1.eb36081e31dc3p-6, -0x1.c967efc88cd6dp-6, -0x1.a85fc4d97c815p-6, -0x1.881a28a712263p-6, -0x1.6893ce4dfa533p-6, -0x1.49c977925d8a9p-6, -0x1.2bb7f15231f04p-6, -0x1.0e5c15b6f5564p-6, -0x1.e3659ebc9629ap-7, -0x1.ab722f5bd7003p-7, -0x1.74d7e955b1afdp-7, -0x1.3f90e6307443fp-7, -0x1.0b976af304eb5p-7, -0x1.b1cba05ce54ap-8, -0x1.4eed107d0f3a1p-8, -0x1.dd1066a2fae0ep-9, -0x1.212491e3afe9p-9, -0x1.a8064c0241d2p-11, 0x1.21b51f80ed4e4p-11, 0x1.ec78c9612af37p-10, 0x1.9f7fd810cb878p-9, 0x1.2225a9ccacb79p-8, 0x1.725914100ac0cp-8, 0x1.c063ac249b939p-8, 0x1.0627687ce24cap-7, 0x1.2b11dd808e13p-7, 0x1.4ef5baff75fbbp-7, 0x1.71d772125375dp-7, 0x1.93bb62e3048a1p-7, 0x1.b4a5ddee98047p-7, 0x1.d49b22875a65p-7, 0x1.f39f5c713e3bap-7, 0x1.08db52836c65bp-6, 0x1.177283556956ap-6, 0x1.25973eeae609p-6, 0x1.334b7bfc58aafp-6, 0x1.409128decd31ep-6, 0x1.4d6a2be2d6038p-6, 0x1.59d8641b51b5dp-6, 0x1.65ddaad3f4b24p-6, 0x1.717bd2d41ed84p-6, 0x1.7cb4a797b6beap-6, 0x1.8789edc5a78dbp-6, 0x1.91fd63672f307p-6, 0x1.9c10c0bfdf7f8p-6, 0x1.a5c5b8cd63c16p-6, 0x1.af1df8b772852p-6, 0x1.b81b27737a2e2p-6, 0x1.c0bee5cae6104p-6, 0x1.c90acf5bfe076p-6, 0x1.d1007acff6979p-6, 0x1.d8a17a0eff5b7p-6, 0x1.dfef59ce92812p-6, 0x1.e6eba1312719ep-6, 0x1.ed97d294f0f3bp-6, 0x1.f3f56bc18a415p-6, 0x1.fa05e4b58e60dp-6, 0x1.ffcab48c4c11fp-6, 0x1.02a2a4dcc9d0dp-5, 0x1.053b8870ba124p-5, 0x1.07b0b88bc07b9p-5, 0x1.0a02e6b8a0e69p-5, 0x1.0c32c284e20aap-5, 0x1.0e40f9984f11cp-5, 0x1.102e37950af82p-5, 0x1.11fb261687f65p-5, 0x1.13a86c9da1dcdp-5, 0x1.1536b0d31daf7p-5, 0x1.16a6968841fe7p-5, 0x1.17f8bfb13d232p-5, 0x1.192dccae65d0fp-5, 0x1.1a465bb1c141ep-5, 0x1.1b4309512dcabp-5, 0x1.1c24704d5f52ap-5, 0x1.1ceb299845dcap-5, 0x1.1d97cc4b6cdcep-5, 0x1.1e2aee3daf72cp-5, 0x1.1ea523444bafcp-5, 0x1.1f06fd7212f5ap-5, 0x1.1f510d6031d85p-5, 0x1.1f83e1c48f857p-5, 0x1.1fa0074637652p-5, 0x1.1fa60a455991cp-5, 0x1.1f967475bc112p-5, 0x1.1f71cd6a0143dp-5, 0x1.1f389c5168aa7p-5, 0x1.1eeb6629186p-5, 0x1.1e8aae4271406p-5, 0x1.1e16f653f310cp-5, 0x1.1d90bea1444cfp-5, 0x1.1cf885c814076p-5, 0x1.1c4ec8cc26e09p-5, 0x1.1b94033d23c9p-5, 0x1.1ac8aef75fc48p-5, 0x1.19ed44390ea42p-5, 0x1.190239cad681cp-5, 0x1.180804db43856p-5, 0x1.16ff19071b5d8p-5, 0x1.15e7e85ce0351p-5, 0x1.14c2e376fe9e9p-5, 0x1.13907947d1713p-5, 0x1.1251173182b78p-5, 0x1.11052920b3b1cp-5, 0x1.0fad1969111ebp-5, 0x1.0e4950d7215dfp-5, 0x1.0cda36ccc9e61p-5, 0x1.0b6030a5775b6p-5, 0x1.09dba33807c2bp-5, 0x1.084cf0b467629p-5, 0x1.06b47a86a37fap-5, 0x1.0512a0486cb3fp-5, 0x1.0367c01c7ea67p-5, 0x1.01b436a71d382p-5, 0x1.fff0be16ac77cp-6, 0x1.fc6925d8591p-6, 0x1.f8d254df4a1b8p-6, 0x1.f52cf88aef401p-6, 0x1.f179bb230a6a2p-6, 0x1.edb94410abf1cp-6, 0x1.e9ec37c427deap-6, 0x1.e61337b5f0c0bp-6, 0x1.e22ee27d6ea0bp-6, 0x1.de3fd3cec9f05p-6, 0x1.da46a476a1c9ep-6, 0x1.d643ea5149fd4p-6, 0x1.d23838699eebp-6, 0x1.ce241efbfc174p-6, 0x1.ca082b5aff533p-6, 0x1.c5e4e80e02857p-6, 0x1.c1badcd159969p-6, 0x1.bd8a8e9656a9fp-6, 0x1.b9547f8ca9b1p-6, 0x1.b5192f2517a92p-6, 0x1.b0d91a16f2f28p-6, 0x1.ac94ba62f2389p-6, 0x1.a84c8759ea5eap-6, 0x1.a400f5a243518p-6, 0x1.9fb2774c1b3e5p-6, 0x1.9b617bbbe05dbp-6, 0x1.970e6f1ed4553p-6, 0x1.92b9bc99a62bbp-6, 0x1.8e63cba98a7a3p-6, 0x1.8a0d00d7f0657p-6, 0x1.85b5bf0017fc8p-6, 0x1.815e6665aab6ap-6, 0x1.7d07549e12406p-6, 0x1.78b0e4eb3ad5bp-6, 0x1.745b701b4201p-6, 0x1.70074c9ecc113p-6, 0x1.6bb4ce8daef5ep-6, 0x1.676447ab6097dp-6, 0x1.6316076e0265dp-6, 0x1.5eca5b078733dp-6, 0x1.5a818d6861536p-6, 0x1.563be74799876p-6, 0x1.51f9af7bedf86p-6, 0x1.4dbb29299d4bep-6, 0x1.498098fb4ee1cp-6, 0x1.454a3c966d6fcp-6, 0x1.41185360d4a5dp-6, 0x1.3ceb18f901978p-6, 0x1.38c2c794af4b6p-6, 0x1.349f972117fbp-6, 0x1.3081bdafd4058p-6, 0x1.2c696f6057708p-6, 0x1.2856de73fbcap-6, 0x1.244a3b4b8d2cp-6, 0x1.2043b4705d1b9p-6, 0x1.1c43769ea45cfp-6, 0x1.1849acc6300eep-6, 0x1.1456801dc1f5ap-6, 0x1.106a181b84275p-6, 0x1.0c849a90f0e21p-6, 0x1.08a62ba310bd6p-6, 0x1.04ceedd2973f2p-6, 0x1.00ff0201141fap-6, 0x1.fa6d0f158031dp-7, 0x1.f2eb38829e4f3p-7, 0x1.eb78b8dc675a9p-7, 0x1.e415c5b0e7548p-7, 0x1.dcc291c042c88p-7, 0x1.d57f4ce92fce7p-7, 0x1.ce4c244004921p-7, 0x1.c7294216cac25p-7, 0x1.c016ce1a1f196p-7, 0x1.b914ed5b80311p-7, 0x1.b223c257ea2c9p-7, 0x1.ab436d0b03a51p-7, 0x1.a4740afdebb94p-7, 0x1.9db5b754607e2p-7, 0x1.97088ada3e19ep-7, 0x1.906c9c125f1f6p-7, 0x1.89e1ff449078bp-7, 0x1.8368c68a7e246p-7, 0x1.7d0101e0dd088p-7, 0x1.76aabf3213d8dp-7, 0x1.70660a4cd47a9p-7, 0x1.6a32ed1efe68dp-7, 0x1.64116fb9c3dd8p-7, 0x1.5e0198226f0fcp-7, 0x1.58036aa1a4533p-7, 0x1.5216e9b82c752p-7, 0x1.4c3c1646cecbdp-7, 0x1.4672ef5cf584fp-7, 0x1.40bb7278cd44dp-7, 0x1.3b159b81655e6p-7, 0x1.358164cb2ec6ep-7, 0x1.2ffec738d9834p-7, 0x1.2a8dba3963267p-7, 0x1.252e33ccdf3bfp-7, 0x1.1fe028a55491p-7, 0x1.1aa38c33e86fp-7, 0x1.15785047f7efp-7, 0x1.105e65c1fa445p-7, 0x1.0b55bc7bbec41p-7, 0x1.065e42d26ff48p-7, 0x1.0177e627a1ad8p-7, 0x1.f9452584642cp-8, 0x1.efbc67e65337cp-8, 0x1.e65567ea7201ep-8, 0x1.dd0ff827ebdcap-8, 0x1.d3ebe9715ac02p-8, 0x1.cae90b12d6dd2p-8, 0x1.c20728ffaeb48p-8, 0x1.b9461307db23p-8, 0x1.b0a58c3235425p-8, 0x1.a82562bca862fp-8, 0x1.9fc55c1b5aaf2p-8, 0x1.97853e0f32f5cp-8, 0x1.8f64cd0ebb348p-8, 0x1.8763cc58c2305p-8, 0x1.7f81fdfb45ef7p-8, 0x1.77bf22c7d4408p-8, 0x1.701afa939a967p-8, 0x1.689544f7cfdf1p-8, 0x1.612dbcbe45fa1p-8, 0x1.59e424b455b51p-8, 0x1.52b8327b06d6dp-8, 0x1.4ba9a58c937ep-8, 0x1.44b837725a38bp-8, 0x1.3de3a213275acp-8, 0x1.372b9eb3cb331p-8, 0x1.308fe5ed39d64p-8, 0x1.2a102fc08b6e6p-8, 0x1.23ac33ad999b8p-8, 0x1.1d63a8a7a8999p-8, 0x1.17364533bb757p-8, 0x1.1123bfad49b39p-8, 0x1.0b2bce0812bfap-8, 0x1.054e261a1b37ep-8, 0x1.ff14fa5dc4355p-9, 0x1.f3c1111b935ddp-9, 0x1.e89ffce4d8181p-9, 0x1.ddb124adb839cp-9, 0x1.d2f3f3a4e449bp-9, 0x1.c867d26a1a9b9p-9, 0x1.be0c2a218dad4p-9, 0x1.b3e0633cfa58ap-9, 0x1.a9e3e6ad40fb6p-9, 0x1.a0161dc3d1a52p-9, 0x1.9676723c7027p-9, 0x1.8d044e4de3bdep-9, 0x1.83bf1c9328b7ap-9, 0x1.7aa647faa1429p-9, 0x1.71b93bfd13ae2p-9, 0x1.68f761e3a8884p-9, 0x1.60602511b82ep-9, 0x1.57f2f04931e55p-9, 0x1.4faf2e1215799p-9, 0x1.479449e31ade8p-9, 0x1.3fa1b0be7b65p-9, 0x1.37d6d16fb0cdap-9, 0x1.30331d67e362ap-9, 0x1.28b607f124123p-9, 0x1.215f05d8e8febp-9, 0x1.1a2d8d44be323p-9, 0x1.132114543f2fdp-9, 0x1.0c390fd7697e4p-9, 0x1.0574f3175a49dp-9, 0x1.fda85e039db21p-10, 0x1.f0ac65f2ef3a3p-10, 0x1.e3f4db265691p-10, 0x1.d7809cc1b5ef5p-10, 0x1.cb4e8eaebb0d5p-10, 0x1.bf5d9dac6a778p-10, 0x1.b3acc44786c9p-10, 0x1.a83afd8692e66p-10, 0x1.9d0770a4edcep-10, 0x1.92111f9894cebp-10, 0x1.8757311775f91p-10, 0x1.7cd8bf53b5b27p-10, 0x1.7294dfc743e8cp-10, 0x1.688a9d88f8729p-10, 0x1.5eb8f7e62357ep-10, 0x1.551ee33d5034fp-10, 0x1.4bbb4c570b699p-10, 0x1.428d1de285c1ep-10, 0x1.399347230c3ecp-10, 0x1.30ccc28fac0a4p-10, 0x1.28389ae8bba7bp-10, 0x1.1fd5ee485918ap-10, 0x1.17a3ed8a00ed9p-10, 0x1.0fa1d9b32d28cp-10, 0x1.07cefe5b23d25p-10, 0x1.002aaa9fac5cdp-10, 0x1.f16853bfa3eaap-11, 0x1.e2d57d0092a4fp-11, 0x1.d49b3bf5d3912p-11, 0x1.c6b7df5c829ecp-11, 0x1.b9299f136a8ecp-11, 0x1.abeea7e3279f8p-11, 0x1.9f05113b8379ap-11, 0x1.926b2ae2b50b4p-11, 0x1.861f231440e44p-11, 0x1.7a1f6b32ac6b6p-11, 0x1.6e6a88373fccdp-11, 0x1.62ff20df15364p-11, 0x1.57dbedd61474fp-11, 0x1.4cffb58b9a5d2p-11, 0x1.426943a2e7afep-11, 0x1.381757d6dd363p-11, 0x1.2e08a6bac3c6ap-11, 0x1.243bd677aeeb8p-11, 0x1.1aaf80cc5e201p-11, 0x1.1162387a7a05fp-11, 0x1.0852905d39665p-11, 0x1.fefe479cc82dcp-12, 0x1.edcd3bd712045p-12, 0x1.dd0f7d336656ep-12, 0x1.ccc2b67d60097p-12, 0x1.bce4bbff9a46bp-12, 0x1.ad737dae71a88p-12, 0x1.9e6cfa790255p-12, 0x1.8fcf318614166p-12, 0x1.819816458fa65p-12, 0x1.73c588dc564b3p-12, 0x1.6655540fd9ce8p-12, 0x1.59452f5fa6399p-12, 0x1.4c92c620106a5p-12, 0x1.403bc2c119065p-12, 0x1.343ddb9cab68cp-12, 0x1.2896dd5ad08cfp-12, 0x1.1d44b507a269ep-12, 0x1.124562e19129p-12, 0x1.079711572610bp-12, 0x1.fa6fe39790fe8p-13, 0x1.e64c45294e217p-13, 0x1.d2bfc286d50f6p-13, 0x1.bfc717d60eba9p-13, 0x1.ad5ef749bf193p-13, 0x1.9b8462786d947p-13, 0x1.8a34839b2a4dp-13, 0x1.796c89144b757p-13, 0x1.69297c5f160a1p-13, 0x1.5968468778239p-13, 0x1.4a25ab41e58a4p-13, 0x1.3b5e89a6d64a5p-13, 0x1.2d100126c0a7fp-13, 0x1.1f379d0859dbdp-13, 0x1.11d332ff6c783p-13, 0x1.04e09f8760fe2p-13, 0x1.f0bac7aacbe5ep-14, 0x1.d88cab68e32ffp-14, 0x1.c12f1276ffa9ap-14, 0x1.aa991dcf3cfe9p-14, 0x1.94c1e950580bcp-14, 0x1.7fa1b28c76ea7p-14, 0x1.6b32a8394370ep-14, 0x1.5770faab17678p-14, 0x1.445a18152b65cp-14, 0x1.31ebe62c8f509p-14, 0x1.20239f4f7d36p-14, 0x1.0efdaaadacdabp-14, 0x1.fcebdd04570aep-15, 0x1.dd10eb8095bb4p-15, 0x1.be6422a7f133bp-15, 0x1.a0e137cec7cc7p-15, 0x1.84857711890a9p-15, 0x1.694e9fc929dcbp-15, 0x1.4f38869632416p-15, 0x1.363c262b1c69ep-15, 0x1.1e4eed6a60a6dp-15, 0x1.0762457507023p-15, 0x1.e2cc9dc916885p-16, 0x1.b896ad75b07aap-16, 0x1.900a66e5149f7p-16, 0x1.69166d7711e21p-16, 0x1.43afb331d2c15p-16, 0x1.1fcde8cc7ec81p-16, 0x1.fad1a469ef6c4p-17, 0x1.b8efb45bd901fp-17, 0x1.79e61d88aa31fp-17, 0x1.3da85871af4f7p-17, 0x1.042d393ebe5bfp-17, 0x1.9ada66b19b065p-18, 0x1.32bf702de828fp-18, 0x1.9fe463f4ff3dfp-19, 0x1.c9522821c5186p-20, 0x1.9c44eb9d0ee77p-22, -0x1.cf0c76dd646e6p-21, -0x1.1185ec2a0be01p-19, -0x1.a61e4e415f4a3p-19, -0x1.19037f53c5936p-18, -0x1.5ae28afd272cdp-18, -0x1.98ee270b07e93p-18, -0x1.d35725c5c4bap-18, -0x1.051f3b8e8c278p-17, -0x1.1ede5a7410cd5p-17, -0x1.36f7a3be5d20dp-17, -0x1.4d7e89f39e2ap-17, -0x1.6289aab446dc1p-17, -0x1.762cd55d1eeefp-17, -0x1.8873de382a949p-17, -0x1.995f0a7c47ab3p-17, -0x1.a8e8aecc407d7p-17, -0x1.b70f8675166c1p-17, -0x1.c3dd6bb377cb7p-17, -0x1.cf65616f8697p-17, -0x1.d9bca19ee4f7ap-17, -0x1.e2f2717fcfa32p-17, -0x1.eb0d66eb9f21fp-17, -0x1.f210679c29bfep-17, -0x1.f7fddf7b72b3bp-17, -0x1.fce00ed03ee4dp-17, -0x1.0064d2259d94p-16, -0x1.01e9a74de179ep-16, -0x1.0309628a0bf05p-16, -0x1.03cb77396f89cp-16, -0x1.04321c8f38a3ep-16, -0x1.043a4afd58c6cp-16, -0x1.03e2b5bd669eep-16, -0x1.032f68beca4d8p-16, -0x1.02285ae3a8e55p-16, -0x1.00d47d5aec989p-16, -0x1.fe6e8489f294p-17, -0x1.faa77b8359f3cp-17, -0x1.f65cd433d7a35p-17, -0x1.f197405475791p-17, -0x1.ec5c42220f10cp-17, -0x1.e6b0173df25bcp-17, -0x1.e09a3e885e572p-17, -0x1.da21128a0622bp-17, -0x1.d34811b74bdfdp-17, -0x1.cc0e1b7e67102p-17, -0x1.c46cd69d5f975p-17, -0x1.bc659f18602efp-17, -0x1.b402b04cfe43bp-17, -0x1.ab54d0bf871b9p-17, -0x1.a2703f15cfd5bp-17, -0x1.9964932684444p-17, -0x1.9031f194aa0d9p-17, -0x1.86cc78cbdfe55p-17, -0x1.7d2edd326ae26p-17, -0x1.7361cea25fa78p-17, -0x1.696d3a637a175p-17, -0x1.5f4d63f129951p-17, -0x1.54fbb7b09324ep-17, -0x1.4a7c4dda0d6e6p-17, -0x1.3fddc5e5eee2bp-17, -0x1.352f280f3e193p-17, -0x1.2a7baac19c287p-17, -0x1.1fc433fdad65ep-17, -0x1.15018b841062ap-17, -0x1.0a2fb8964f21fp-17, -0x1.fea907948b8e9p-18, -0x1.e8f03732a80cep-18, -0x1.d32cb487aa6d3p-18, -0x1.bd53898b2513ep-18, -0x1.a7676e38ac179p-18, -0x1.91712a0281bebp-18, -0x1.7b7c2ed282d62p-18, -0x1.6595364cd3a1dp-18, -0x1.4fcfa86abe1bp-18, -0x1.3a34dab8ba459p-18, -0x1.24b563c99fccap-18, -0x1.0f47e3ec3a828p-18, -0x1.f3fab8877ce2cp-19, -0x1.c9bd080287d19p-19, -0x1.9fbc98bbc343ap-19, -0x1.75ef66668da3cp-19, -0x1.4c657aebdba09p-19, -0x1.232a4bae11a87p-19, -0x1.f4815b866854p-20, -0x1.a35639971be8fp-20, -0x1.52f319dcd3183p-20, -0x1.039c57a98ff42p-20, -0x1.6a75fe8c03091p-21, -0x1.9eaa9204507d3p-22, -0x1.af5cde896d4e3p-24, 0x1.85e421203bf32p-23, 0x1.edcdd7a474c7dp-22, 0x1.8a9644d3d6824p-21, 0x1.0e5da2428e17bp-20, 0x1.56658273b7c05p-20, 0x1.9d6a68df7d1bcp-20, 0x1.e369a33a09499p-20, 0x1.143898ba61252p-19, 0x1.363a4c259fc4ep-19, 0x1.57b5e45de3cb8p-19, 0x1.788df07af404bp-19, 0x1.98e40ac6b2a58p-19, 0x1.b8a1d190971p-19, 0x1.d7dc89068d494p-19, 0x1.f69986acd3ffbp-19, 0x1.0a653e3d6f1d1p-18, 0x1.19345dc4ad16bp-18, 0x1.27b73493601a8p-18, 0x1.35f85dccdf789p-18, 0x1.43f113c4678c9p-18, 0x1.51a47151d3c75p-18, 0x1.5f1671445ba24p-18, 0x1.6c3f83dac7e53p-18, 0x1.7921b9fdbc451p-18, 0x1.85ba65843534p-18, 0x1.92093b83a07c6p-18, 0x1.9e0f9d64d3696p-18, 0x1.a9d48b778d399p-18, 0x1.b5565029e837ap-18, 0x1.c091347e4c6fdp-18, 0x1.cb851aa8c6d98p-18, 0x1.d6333c2b8b735p-18, 0x1.e09b892db1d49p-18, 0x1.eac0b5c5cc06cp-18, 0x1.f4a62015bbfa1p-18, 0x1.fe4ad1ba08dc9p-18, 0x1.03d523c50760ep-17, 0x1.086236051b7a5p-17, 0x1.0ccd23e21ab0fp-17, 0x1.111a66b5ff8f4p-17, 0x1.1547cf9e8e56bp-17, 0x1.1954d695580a1p-17, 0x1.1d41cc8649bdfp-17, 0x1.210f3cc46e57cp-17, 0x1.24bd986b5d1f2p-17, 0x1.284d44402bedbp-17, 0x1.2bbe9c995e7d3p-17, 0x1.2f10f1b187607p-17, 0x1.3246aed2d49f2p-17, 0x1.35624ebed873dp-17, 0x1.385f4433cc904p-17, 0x1.3b3ecf2f9918p-17, 0x1.3e01b19b19067p-17, 0x1.40a96962f4fc8p-17, 0x1.433614f97a0cbp-17, 0x1.45a75f496a4a8p-17, 0x1.47fe1955443cap-17, 0x1.4a3ac9560dbe8p-17, 0x1.4c5c8d38484a8p-17, 0x1.4e65582b5a5d1p-17, 0x1.5054f28701fe1p-17, 0x1.522be5ee347aap-17, 0x1.53e997c6fbc4p-17, 0x1.558bb4644b636p-17, 0x1.571fd366bedf2p-17, 0x1.5894e5e8629dbp-17, 0x1.59f740496a8d8p-17, 0x1.5b41c64438abdp-17, 0x1.5c75ad31bd865p-17, 0x1.5d93e82075bc3p-17, 0x1.5e9cc8b9f1751p-17, 0x1.5f9044188515p-17, 0x1.60714d9dae7d5p-17, 0x1.613b069f36e59p-17, 0x1.61f25aa62ec87p-17, 0x1.6296327c5e8b2p-17, 0x1.6326f7ffbd172p-17, 0x1.63a4b1c57cae2p-17, 0x1.640f769451673p-17, 0x1.646901ea10661p-17, 0x1.64b11819a31a9p-17, 0x1.64e716901d044p-17, 0x1.650c3d0a20fc2p-17, 0x1.65210a3dc149ep-17, 0x1.652595c62e4bbp-17, 0x1.651a2de4924b7p-17, 0x1.64ff2cf8b07e3p-17, 0x1.64d4f29ccb92ep-17, 0x1.649bdaad79c98p-17, 0x1.64543242918b2p-17, 0x1.63fe36f13bd55p-17, 0x1.639a425733ae7p-17, 0x1.6328e0093581bp-17, 0x1.62aad296dda8bp-17, 0x1.621dd5060880bp-17, 0x1.6185817ad4d35p-17, 0x1.60e0535f4ef96p-17, 0x1.602f0cba4e83ap-17, 0x1.5f7246cdda0a6p-17, 0x1.5eaa1885d7559p-17, 0x1.5dd6b16bd4265p-17, 0x1.5cf86fd6c8b35p-17, 0x1.5c0f9bac1ff95p-17, 0x1.5b1c80e78a3d5p-17, 0x1.5a1f42aee9667p-17, 0x1.591888deedd68p-17, 0x1.580825c811fep-17, 0x1.56ed40e911d0cp-17, 0x1.55cb6d538e1f2p-17, 0x1.549fc05e2eb8dp-17, 0x1.536acd020cae3p-17, 0x1.523236f2ecaf7p-17, 0x1.50e4079b0baeep-17, 0x1.4f9da576f0febp-17, 0x1.4e4b9254d9676p-17, 0x1.4cf086760f808p-17, 0x1.4b8f1e70bba74p-17, 0x1.4a25ad7083545p-17, 0x1.48b7c567af7e5p-17, 0x1.4741577118a6p-17, 0x1.45c5afb8569efp-17, 0x1.44441f563ba7p-17, 0x1.42bccd284c71dp-17, 0x1.412fd6996d21bp-17, 0x1.3f9d87a974669p-17, 0x1.3e067070fc4c1p-17, 0x1.3c6a99c0f22cdp-17, 0x1.3ac9840263eefp-17, 0x1.392363f79b944p-17, 0x1.37793ceb00d59p-17, 0x1.35cb2ea9ee7cap-17, 0x1.341911f97b8ebp-17, 0x1.32631fd18b7dap-17, 0x1.30a9881137a41p-17, 0x1.2eec5a4a8cc84p-17, 0x1.2d2bb5292af2bp-17, 0x1.2b6818d9437b3p-17, 0x1.29a1e826b6cb5p-17, 0x1.27d83ad934184p-17, 0x1.260b5311befeap-17, 0x1.243c5fca206abp-17, 0x1.226b226980c39p-17, 0x1.209794372cb9p-17, 0x1.1ec1dbdb441ap-17, 0x1.1cea2e24b5bc4p-17, 0x1.1b10263dbc33p-17, 0x1.19351c9ae1d48p-17, 0x1.17580fc03a003p-17, 0x1.15796419729e8p-17, 0x1.139acfb31eafep-17, 0x1.11ba747c609e1p-17, 0x1.0fd68c6eea386p-17, 0x1.0df6200450afep-17, 0x1.0c0eea0675243p-17, 0x1.0a29728a3ccd4p-17, 0x1.0843a587ad13cp-17, 0x1.065d51c729b85p-17, 0x1.0476c0bfa2941p-17, 0x1.028d036b42d66p-17, 0x1.00a81cb80debap-17, 0x1.fd7f7f0f55a04p-18, 0x1.f9afea6a32c2bp-18, 0x1.f5e03041ddd9p-18, 0x1.f212e3b08c47fp-18, 0x1.ee3d176610158p-18, 0x1.ea71901916657p-18, 0x1.e6a29fae49637p-18, 0x1.e2d3e82c3e95bp-18, 0x1.df00cdc56fa6p-18, 0x1.db3c036ca4a78p-18, 0x1.d771de71dc9e3p-18, 0x1.d3a861909d38bp-18, 0x1.cfe0a99b0b8fep-18, 0x1.cc1a86c2fb656p-18, 0x1.c8561c5866685p-18, 0x1.c4935e19f6e7fp-18, 0x1.c0d2eed30b3f2p-18, 0x1.bd1474ea5a0cbp-18, 0x1.b95832782fbc5p-18, 0x1.b59e517e0174fp-18, 0x1.b1e71b898946cp-18, 0x1.ae2fe772f3e72p-18, 0x1.aa7fffa767b89p-18, 0x1.a6cfdb0c4cff5p-18, 0x1.a32300b766abap-18, 0x1.9f7920e2a515fp-18, 0x1.9bd247a7e36c5p-18, 0x1.982e8a856c6e6p-18, 0x1.948e040270a23p-18, 0x1.90f103e39f77bp-18, 0x1.8d5294ca45a0bp-18, 0x1.89c06c32365d7p-18, 0x1.862d5c06d5e51p-18, 0x1.829d92f36beb5p-18, 0x1.7f11a722e1183p-18, 0x1.7b896c902aa5p-18, 0x1.7804f9430b17ep-18, 0x1.7484518e2efedp-18, 0x1.710797e601ab6p-18, 0x1.6d8f2de0da14ap-18, 0x1.6a03c46b097ddp-18, 0x1.66aa26ae58ee1p-18, 0x1.633c588aa65edp-18, 0x1.5fd379c55700ep-18, 0x1.5c6ef0f7dc4fbp-18, 0x1.590ea158c7d63p-18, 0x1.55b2944e70d56p-18, 0x1.525ada785b8c7p-18, 0x1.4f07da408f3e5p-18, 0x1.4bb97d88ee4a9p-18, 0x1.486d0877835d9p-18, 0x1.45282fb738153p-18, 0x1.41e606553c68cp-18, 0x1.3ea871bcbdb05p-18, 0x1.3b700c69aa029p-18, 0x1.383bca39ddf2p-18, 0x1.350be66cde57ap-18, 0x1.31e0d0d122e52p-18, 0x1.2ebbb0f47cbd5p-18, 0x1.2ba02fc177ad8p-18, 0x1.287b791588689p-18, 0x1.2562b1ea758b5p-18, 0x1.224ed54cb9302p-18, 0x1.1f3fb3221a937p-18, 0x1.1c3571387aa6fp-18, 0x1.192fc29d668f7p-18, 0x1.1629e320dcbedp-18, 0x1.1332aeee6b49cp-18, 0x1.103a8c8f90cd2p-18, 0x1.0d47a14f69492p-18, 0x1.0a5a8db19d842p-18, 0x1.077035b0a473cp-18, 0x1.048b9dd568826p-18, 0x1.01ab8313c69cep-18, 0x1.fd9b95a2c4674p-19, 0x1.f7e91aa4ccec4p-19, 0x1.f254d75cba576p-19, 0x1.ecb8dd5f965b2p-19, 0x1.e7296f8ca313bp-19, 0x1.e1925b255622dp-19, 0x1.dc244be7725b9p-19, 0x1.d6b227e66bfa8p-19, 0x1.d149cf790a4ep-19, 0x1.cbe4a48a10375p-19, 0x1.c692e5da8c6efp-19, 0x1.c145d3aacb5a7p-19, 0x1.bc00c86ff2543p-19, 0x1.b6c659912ae9p-19, 0x1.b195437dbc4d2p-19, 0x1.ac6de4d251e7cp-19, 0x1.a7500a8319b88p-19, 0x1.a23c320c3a7fbp-19, 0x1.9d197f49131a4p-19, 0x1.982dd25f62a62p-19, 0x1.93344e7998139p-19, 0x1.8e446ae375b8p-19, 0x1.895f67a91b332p-19, 0x1.8460b1c8ceb68p-19, 0x1.7fb10557896bp-19, 0x1.7ae338c538daep-19, 0x1.76217003ba622p-19, 0x1.715e3061b6eacp-19, 0x1.6cb9fc9050dd8p-19, 0x1.68135c9c7e1adp-19, 0x1.6377400f9526ep-19, 0x1.5ed2699df6991p-19, 0x1.5a56d1b57e27ep-19, 0x1.55d3fe49d85ap-19, 0x1.515b3b408ae93p-19, 0x1.4ce60fe8b21d1p-19, 0x1.4882e08c599f5p-19, 0x1.4422cc51f7519p-19, 0x1.3fcec55b8af69p-19, 0x1.3bbcc272574cap-19, 0x1.373b1ee78121p-19, 0x1.32fcf8790ff24p-19, 0x1.2ec8f5d93c8fap-19, 0x1.2a9d2690504eep-19, 0x1.267d411705a61p-19, 0x1.22607ee21917cp-19, 0x1.1e4e975f9690bp-19, 0x1.1a453297f83abp-19, 0x1.1643fc5361758p-19, 0x1.124b40b6d1b25p-19, 0x1.0e5b3d23ee873p-19, 0x1.0a53aa086f633p-19, 0x1.0695e3faf5d33p-19, 0x1.02ba72c5e1c1bp-19, 0x1.fdd7192990ad1p-20, 0x1.f694d50206ef2p-20, 0x1.eec7632bc0851p-20, 0x1.e769e62d01fcep-20, 0x1.dfed861015a6ap-20, 0x1.d8a545ff3f6f2p-20, 0x1.d1649a3d0e016p-20, 0x1.ca3307ff718d4p-20, 0x1.c311533016edfp-20, 0x1.bbfd4fdfcb8edp-20, 0x1.b4fc1ab1c7c4cp-20, 0x1.ae089ca93258fp-20, 0x1.a723e777eaae2p-20, 0x1.a04fb5b82940ep-20, 0x1.998924b361af3p-20, 0x1.9258bf74f1011p-20, 0x1.8c3056d2c7255p-20, 0x1.85930abc81531p-20, 0x1.7ee6f6a204556p-20, 0x1.788a995193b28p-20, 0x1.721bda9c4a8b1p-20, 0x1.6bc3424ac620ap-20, 0x1.651de08118173p-20, 0x1.5f2dd21797bafp-20, 0x1.58f41362d5594p-20, 0x1.52caa7645364dp-20, 0x1.4c8b599494c06p-20, 0x1.46a4bdaf579d4p-20, 0x1.40a91fd3f9422p-20, 0x1.3ab99d92ee01ap-20, 0x1.34d793cb9ba64p-20, 0x1.2f02d9a4d492p-20, 0x1.293c08236c9a3p-20, 0x1.2384859d4851cp-20, 0x1.1e27969481c49p-20, 0x1.18484a70a2d3dp-20, 0x1.12a2d91d4b3b8p-20, 0x1.0d169a22cbb8ap-20, 0x1.07aaefce35f45p-20, 0x1.023d131ba34abp-20, 0x1.f9db06420738dp-21, 0x1.ef241983faaa1p-21, 0x1.e36674f06cbb2p-21, 0x1.da28a2790ed53p-21, 0x1.cfcba7a717b92p-21, 0x1.c57ce7887bd68p-21, 0x1.bb54979892255p-21, 0x1.b145058129421p-21, 0x1.a74bf7c83227ep-21, 0x1.9d6d704eab08p-21, 0x1.93aadfe6e1ed8p-21, 0x1.89c8dbb24e4fbp-21, 0x1.8082f808586ecp-21, 0x1.76d8de06b9001p-21, 0x1.6d68dc19f9b52p-21, 0x1.642292b771c48p-21, 0x1.5ae643bd8f9b7p-21, 0x1.51c1a3974dfeep-21, 0x1.48b7cbf27fd56p-21, 0x1.40459c1bbf7b3p-21, 0x1.36e4f4a64c3eep-21, 0x1.2e101b3008877p-21, 0x1.255a65fdf3dc9p-21, 0x1.1cb6f66c8c30fp-21, 0x1.14efe84fde8d2p-21, 0x1.0bbfa56e2c4f3p-21, 0x1.035af2e996dd4p-21, 0x1.f62193d3e8e39p-22, 0x1.e5c4299308652p-22, 0x1.d5730870fa216p-22, 0x1.c627ed4bf19dfp-22, 0x1.b5739aed36319p-22, 0x1.a6ba4b6e04b2bp-22, 0x1.961bc3917d26cp-22, 0x1.86a6dc3965faap-22, 0x1.775994e17ea02p-22, 0x1.683418e613be2p-22, 0x1.593670c0d7dcfp-22, 0x1.4a6457728f331p-22, 0x1.3bb3ffd3b75p-22, 0x1.2d36134e7cbd6p-22, 0x1.1f1948f95b9b9p-22, 0x1.118fef6296c22p-22, 0x1.028e0400655e3p-22, 0x1.e9010305e7106p-23, 0x1.cd8f118920b54p-23, 0x1.b26fdece2aa9fp-23, 0x1.96dd023bd2aacp-23, 0x1.7e21e40afc1afp-23, 0x1.621d2d34bf429p-23, 0x1.48011d2dcc6c9p-23, 0x1.2e268959dae7dp-23, 0x1.148fb06b55bc1p-23, 0x1.f67d081627042p-24, 0x1.c463e05255759p-24, 0x1.931adf00e7c42p-24, 0x1.680604c899eb8p-24, 0x1.31709ac5d7a6ap-24, 0x1.016b662fdbc8dp-24, 0x1.a4010d9fa7413p-25, 0x1.4636ecc2c164p-25, 0x1.d2ea19eed0ef8p-26, 0x1.1b7476965b416p-26, 0x1.9823b565c3249p-28, -0x1.354ff151de68cp-28, -0x1.fd22ce2dbfe11p-27, -0x1.9b6abbec90e9fp-26, -0x1.2d9cbc584e6e3p-25, -0x1.84017930ebe4fp-25, -0x1.d85d4f1b561aep-25, -0x1.15f41266e769dp-24, -0x1.3dee1800d92cdp-24, -0x1.6847da9e748ecp-24, -0x1.90d01a384d232p-24, -0x1.b8d69e7de90acp-24, -0x1.e0666ad7019ccp-24, -0x1.03c41987c2bdcp-23, -0x1.171a6aa9e71abp-23, -0x1.2aafd9325f88ap-23, -0x1.3cef46461626ap-23, -0x1.4f775ae2a5ae3p-23, -0x1.604bf17526decp-23, -0x1.73d6ee9234106p-23, -0x1.8607671828a19p-23, -0x1.97d322a96bb97p-23, -0x1.a9539afb0f415p-23, -0x1.bab160ce2686p-23, -0x1.cbbdb7c19f0e9p-23, -0x1.dca04ac08d9d2p-23, -0x1.ed4cf9a25d276p-23, -0x1.fdc3babf0538p-23, -0x1.070ba326be0adp-22, -0x1.0f0b9fa646735p-22, -0x1.1700a9fbfb0a5p-22, -0x1.1ed021e895718p-22, -0x1.2692720bbc679p-22, -0x1.2e298b1f0a12p-22, -0x1.35e3841024ec6p-22, -0x1.3cf7823fcddf9p-22, -0x1.447fa4792f52ep-22, -0x1.4bca671eaf95bp-22, -0x1.52020158a8defp-22, -0x1.59e98eb91f3e8p-22, -0x1.60e92c7e55413p-22, -0x1.67c1258d6bcf9p-22, -0x1.6e84ce6373dc9p-22, -0x1.7534408d14375p-22, -0x1.7bc87f4637467p-22, -0x1.82c17ce6c1433p-22, -0x1.88b2d5325d6cbp-22, -0x1.8f0dcc813d7bp-22, -0x1.95531955b384bp-22, -0x1.9b7d88f9a62d6p-22, -0x1.a18dd7719d5bcp-22, -0x1.a78064fcfa3ebp-22, -0x1.ad63aa2bcc308p-22, -0x1.b334935af16d9p-22, -0x1.b8f10792492f2p-22, -0x1.be7a85df7486ap-22, -0x1.c400651a45944p-22, -0x1.c9a73f44386e8p-22, -0x1.cf10247b5ac07p-22, -0x1.d46e0281d4445p-22, -0x1.d935fdad5b73fp-22, -0x1.dec16307d5b1fp-22, -0x1.e3b6a055f92c7p-22, -0x1.e8b306c7b04dap-22, -0x1.edc75eedd229ap-22, -0x1.f2a1c0210394ep-22, -0x1.f7697e6164f7cp-22, -0x1.fc1df8debd042p-22, -0x1.00aa3a92aeb14p-21, -0x1.02a711f462c9ap-21, -0x1.04e57481c5395p-21, -0x1.0719ebc25be9bp-21, -0x1.09456f955c582p-21, -0x1.0b6b8af242384p-21, -0x1.0d8758af902c4p-21, -0x1.0f9ede126cc7p-21, -0x1.119fd1b4bfdd7p-21, -0x1.1388308d05717p-21, -0x1.1585e82ce3fa3p-21, -0x1.177acc460c19bp-21, -0x1.1961858c697d4p-21, -0x1.1b3e8d04d2d93p-21, -0x1.1d16b384816f3p-21, -0x1.1f0e43583fec6p-21, -0x1.2098dfe1fbd0bp-21, -0x1.22ae216c598bfp-21, -0x1.2426010740004p-21, -0x1.2587eb4b00c07p-21, -0x1.273885feda7d1p-21, -0x1.28d4878d6241cp-21, -0x1.2a96f0967ee91p-21, -0x1.2c1e1040ac448p-21, -0x1.2dab73b25f779p-21, -0x1.2f02b6ebf86b1p-21, -0x1.30ca626f812eep-21, -0x1.320754e7e4b3dp-21, -0x1.336a29abdbbabp-21, -0x1.34c31681b0e48p-21, -0x1.361792c6c1a7ap-21, -0x1.3766cc3ca62aep-21, -0x1.3894b6220b396p-21, -0x1.39f17f1688f9ep-21, -0x1.3b2cb981d75f5p-21, -0x1.3c61d81401fafp-21, -0x1.3dc7026df473dp-21, -0x1.3eb3098c713d3p-21, -0x1.3fd669516484ap-21, -0x1.40ecef434c8cdp-21, -0x1.41fe68fdc8ec9p-21, -0x1.430a23d480e61p-21, -0x1.440fc908bfcebp-21, -0x1.45147cb63006p-21, -0x1.46656c3c4273ap-21, -0x1.46f9803e802c8p-21, -0x1.47e421f631e95p-21, -0x1.48cc198d32e53p-21, -0x1.49680e3c8af91p-21, -0x1.4a6a4930d856ap-21, -0x1.4b55c10d00163p-21, -0x1.4c25009b6f3c4p-21, -0x1.4d5252f5fc3dp-21, -0x1.4daf6311901b6p-21, -0x1.4e6779fc74887p-21, -0x1.4f1cae3903f76p-21, -0x1.4fcbd2312bc2p-21, -0x1.5077d84500c5ap-21, -0x1.511bd0350565ep-21, -0x1.51bdb5446173ep-21, -0x1.52585ff66dc5bp-21, -0x1.52ed64274d63ap-21, -0x1.537d0420d118cp-21, -0x1.54077e88dbdf1p-21, -0x1.548c6a8f216f5p-21, -0x1.5509efc1ea2d2p-21, -0x1.558495568b626p-21, -0x1.55fa9698e26b1p-21, -0x1.566b67f370c3fp-21, -0x1.56d76a02a04cdp-21, -0x1.573d0927706ffp-21, -0x1.579f363b6d87fp-21, -0x1.57fd3530d0f66p-21, -0x1.5856b7c701c4dp-21, -0x1.58af08e6a02c2p-21, -0x1.59407ed1efb8bp-21, -0x1.5945909ec8f9dp-21, -0x1.5987b06dfae8ap-21, -0x1.59c6865f6e0e5p-21, -0x1.5a00222acf994p-21, -0x1.5a386cecc8a34p-21, -0x1.5a69df9e7bfdep-21, -0x1.5a2e17e9cf944p-21, -0x1.5a8e309f1a3b4p-21, -0x1.5adcd7685ff9p-21, -0x1.5b12550f1bd2dp-21, -0x1.5b5a5418c5f74p-21, -0x1.5b547da87327ep-21, -0x1.5b40c79ec9e04p-21, -0x1.5b60430fee083p-21, -0x1.5b858a05676fep-21, -0x1.5b968a4d491f5p-21, -0x1.5ba5d7b35676ep-21, -0x1.5ba5957d7a444p-21, -0x1.5ba21283e3f9ep-21, -0x1.5b9c16065040bp-21, -0x1.5b91cca79e129p-21, -0x1.5b84381f870b6p-21, -0x1.5b730a1f9fe3dp-21, -0x1.5b61f6118c28p-21, -0x1.5b4965907c307p-21, -0x1.5b2e075eb3436p-21, -0x1.5b0fdb50a93d3p-21, -0x1.5aef15afde0c5p-21, -0x1.5a8107ff36339p-21, -0x1.5aa6329132559p-21, -0x1.5a7789c122993p-21, -0x1.5a77d7d429611p-21, -0x1.5a125b066816ep-21, -0x1.59e1c7bc2842p-21, -0x1.59a933e87a22ap-21, -0x1.596d02c285cdep-21, -0x1.592ea9d74348p-21, -0x1.58f448382c2f5p-21, -0x1.58b4938150c8bp-21, -0x1.5865950d41141p-21, -0x1.581ae448eb419p-21, -0x1.57d0a71e46c2dp-21, -0x1.5765b574197dep-21, -0x1.572c1cab460d2p-21, -0x1.5742391324a07p-21, -0x1.56806fabc78a4p-21, -0x1.562279621dc1p-21, -0x1.55c47cafe6558p-21, -0x1.5563fb795e3fbp-21, -0x1.5501c45589a01p-21, -0x1.549daf5e1eab9p-21, -0x1.542eae59a72a5p-21, -0x1.53c91fb8eaa3cp-21, -0x1.535deb3494c06p-21, -0x1.52f19ff602d78p-21, -0x1.527c8162904a2p-21, -0x1.51f1892fcaef6p-21, -0x1.51945e8002996p-21, -0x1.511b80a737765p-21, -0x1.50a0136ba1533p-21, -0x1.50222ee0e68dbp-21, -0x1.4fa39caa7f2dcp-21, -0x1.4f2261f8c6c45p-21, -0x1.4e9ed1446638ep-21, -0x1.4e186a8b500f4p-21, -0x1.4d96fc6dfeb1fp-21, -0x1.4cbcab0d787cep-21, -0x1.4c7f236debcbap-21, -0x1.4bed41dd086a9p-21, -0x1.4baf498690902p-21, -0x1.4acce913aa9p-21, -0x1.4a393790a5341p-21, -0x1.49a366ab0471ep-21, -0x1.4908bc53bba4ep-21, -0x1.4875e7ba07bf6p-21, -0x1.47d69fb6460f2p-21, -0x1.47375f76c5c55p-21, -0x1.469d550fc6681p-21, -0x1.45ff986d42c5bp-21, -0x1.455d0fc649785p-21, -0x1.450117606bd64p-21, -0x1.44152e0e56c28p-21, -0x1.434f917c9211cp-21, -0x1.428df1a0438a4p-21, -0x1.421bd4111aaep-21, }}, 
      {{0x1.4e2a897a07264p-3, 0x1.4b2ac3f9e364dp-2, 0x1.e98894dee5373p-2, 0x1.3ff3053f9723p-1, 0x1.863b90bcf434bp-1, 0x1.c6f5501a1ced4p-1, 0x1.00d804bfacebp+0, 0x1.1b1672aa1d96dp+0, 0x1.322b697d35a28p+0, 0x1.461d8b8a1b6a9p+0, 0x1.570132b4fd16cp+0, 0x1.64f55990e10f1p+0, 0x1.7020e6d663fe7p+0, 0x1.78b05ab08eb0fp+0, 0x1.7ed3d5b7d39edp+0, 0x1.82bd7725c1365p+0, 0x1.84a005fcfd63p+0, 0x1.84addfb91c4b5p+0, 0x1.831822273dc6p+0, 0x1.800e0aec2ffd1p+0, 0x1.7bbc80a8518d3p+0, 0x1.764dc3faf610dp+0, 0x1.6fe93d59d467p+0, 0x1.68b364c82b1b9p+0, 0x1.60cdbe0b86bcdp+0, 0x1.5856e2e9ea992p+0, 0x1.4f6a994c16a52p+0, 0x1.4621f223bf20ap+0, 0x1.3c936bd400cc1p+0, 0x1.32d319a0fa754p+0, 0x1.28f2cc415cbe2p+0, 0x1.1f023ad6f7152p+0, 0x1.150f2cf89dfdfp+0, 0x1.0b25a2c31bc5ap+0, 0x1.014ffcaa635cdp+0, 0x1.ef2e423078653p-1, 0x1.dc0540ceaa1adp-1, 0x1.c931aceb0c92ap-1, 0x1.b6be15b068aap-1, 0x1.a4b31bcd9e3e5p-1, 0x1.9317a86b60465p-1, 0x1.81f11f746872bp-1, 0x1.71438dc3335f9p-1, 0x1.6111d35e42337p-1, 0x1.515dc9a0b5833p-1, 0x1.422865bb955dap-1, 0x1.3371d8581d6efp-1, 0x1.2539a8f9769efp-1, 0x1.177ecff93d9ap-1, 0x1.0a3fcc16fa4efp-1, 0x1.faf56de5a6acbp-2, 0x1.e25aac6ef6d7fp-2, 0x1.caaa56cb8aa7p-2, 0x1.b3df02a3c886ep-2, 0x1.9df2f04a96b35p-2, 0x1.88e01f73863cbp-2, 0x1.74a0614f8ec19p-2, 0x1.612d68101b885p-2, 0x1.4e80d48a5d8b9p-2, 0x1.3c94417353b0ap-2, 0x1.2b614d1295e7dp-2, 0x1.1ae1a186fd927p-2, 0x1.0b0efc06a259fp-2, 0x1.f7c663d2ac938p-3, 0x1.dab06baf1fefdp-3, 0x1.bed036c3776a1p-3, 0x1.a41a33cd3c438p-3, 0x1.8a831e4fa7d6bp-3, 0x1.7200016b00f6bp-3, 0x1.5a863ab2620c2p-3, 0x1.440b7b97c8f77p-3, 0x1.2e85ca483e45cp-3, 0x1.19eb823012b6fp-3, 0x1.0633531266a23p-3, 0x1.e6a881d3eab32p-4, 0x1.c28b4534971bp-4, 0x1.9ffe40cc260d5p-4, 0x1.7ef1650a50de2p-4, 0x1.5f553e63862e9p-4, 0x1.411af15c4973fp-4, 0x1.243436c50b7efp-4, 0x1.089356a41136ep-4, 0x1.dc5648241840cp-5, 0x1.a9ddf24a730ecp-5, 0x1.79a563a5c6ec1p-5, 0x1.4b954f3ea34f9p-5, 0x1.1f9759ccd5d7p-5, 0x1.eb2c2253d0463p-6, 0x1.9af9c71325fb9p-6, 0x1.4e702d3013d43p-6, 0x1.05697dede9bb6p-6, 0x1.7f82e33824474p-7, 0x1.f554f22cad57bp-8, 0x1.f01c143960e38p-9, 0x1.ac463cf58044cp-14, -0x1.be7925d3e90e4p-9, -0x1.ba30a2750e884p-8, -0x1.454df3efcdf13p-7, -0x1.a8754a61f9daep-7, -0x1.03611ba0c7eb6p-6, -0x1.30333eb1f3c0ep-6, -0x1.5ac8ebdc632bfp-6, -0x1.83390789503a1p-6, -0x1.a999891c0d76cp-6, -0x1.cdff80eb4d055p-6, -0x1.f07f28d7c8f34p-6, -0x1.0895f3409779ap-5, -0x1.180c2cbbd2c97p-5, -0x1.26ab30829a4e1p-5, -0x1.347b92ab0fd98p-5, -0x1.41858f7591823p-5, -0x1.4dd10f66fec1dp-5, -0x1.5965aa3a2f2adp-5, -0x1.644aaaa25adcdp-5, -0x1.6e871223cffcfp-5, -0x1.78219b10a6facp-5, -0x1.8120bc00ff6b4p-5, -0x1.898aab4019e6cp-5, -0x1.9165609c6f74cp-5, -0x1.98b698850afa2p-5, -0x1.9f83d65a6866dp-5, -0x1.a5d266df54918p-5, -0x1.aba76281f46c5p-5, -0x1.b107af6e7f3b3p-5, -0x1.b5f80393cfbe3p-5, -0x1.ba7ce6e68a367p-5, -0x1.be9ab4fcd0978p-5, -0x1.c2559ee91f59bp-5, -0x1.c5b1ad3017442p-5, -0x1.c8b2c113fed5cp-5, -0x1.cb5c965d16d48p-5, -0x1.cdb2c4e5ef79bp-5, -0x1.cfb8c1fc80f7fp-5, -0x1.d171e1c880e0ep-5, -0x1.d2e1587bb79bp-5, -0x1.d40a3bd2445d9p-5, -0x1.d4ef8402789b4p-5, -0x1.d5940e19251dcp-5, -0x1.d5fa99c6cb139p-5, -0x1.d625cf212b10cp-5, -0x1.d6183b1f4cdd7p-5, -0x1.d5d4554b6b89ep-5, -0x1.d55c7b72d3345p-5, -0x1.d4b2f6836404ap-5, -0x1.d3d9f9e065721p-5, -0x1.d2d3a4597b4d3p-5, -0x1.d1a200fda79cap-5, -0x1.d04707e28d9fp-5, -0x1.cec49edb1b94bp-5, -0x1.cd1c9a113ed75p-5, -0x1.cb50bcc1c3d4fp-5, -0x1.c962ba984f434p-5, -0x1.c75435b02547p-5, -0x1.c526c38ba4e06p-5, -0x1.c2dbe94492abap-5, -0x1.c0751eb9c7453p-5, -0x1.bdf3ce3749d33p-5, -0x1.bb59550a59764p-5, -0x1.b8a7040203c8ep-5, -0x1.b5de1fd5a8e55p-5, -0x1.b2ffe1a62118cp-5, -0x1.b00d776bc79b1p-5, -0x1.ad08044ddb604p-5, -0x1.a9f0a101555dep-5, -0x1.a6c85c3744e3ep-5, -0x1.a3903afdf0c2ap-5, -0x1.a04939104727ap-5, -0x1.9cf44916f8742p-5, -0x1.9992551088d81p-5, -0x1.96243e97baaebp-5, -0x1.92aadf346c46bp-5, -0x1.8f270885a3221p-5, -0x1.8b99851b1d87p-5, -0x1.88031728670afp-5, -0x1.84647aec4f5bap-5, -0x1.80be6572e796ep-5, -0x1.7d11851729d2ap-5, -0x1.795e820020002p-5, -0x1.75a5fe28af946p-5, -0x1.71e895a2baa2cp-5, -0x1.6e26dec0fcab5p-5, -0x1.6a616a4f84ebap-5, -0x1.6698c3c0df402p-5, -0x1.62cd715350a4ap-5, -0x1.5efff43f1f309p-5, -0x1.5b30c8f4fe7adp-5, -0x1.5760672240054p-5, -0x1.538f41fc02d9p-5, -0x1.4fbdc842e2d17p-5, -0x1.4bec6481bad9bp-5, -0x1.481b7d2f25776p-5, -0x1.444b749d1859fp-5, -0x1.407ca98a50f09p-5, -0x1.3caf76b81413ep-5, -0x1.38e43369271bcp-5, -0x1.351b3351494d1p-5, -0x1.3154c6a62c10ep-5, -0x1.2d913b2f5940ep-5, -0x1.29d0d98fa25b1p-5, -0x1.2613e9b73b414p-5, -0x1.225aaedf02b76p-5, -0x1.1ea56a1138a01p-5, -0x1.1af459680dbdep-5, -0x1.1747b850d11e6p-5, -0x1.139fbf7ece962p-5, -0x1.0ffca52be2d58p-5, -0x1.0c5e9d15771cbp-5, -0x1.08c5d883f7646p-5, -0x1.0532867d97d36p-5, -0x1.01a4d3b9bff7ap-5, -0x1.fc39d5a10bd69p-6, -0x1.f535e851426ep-6, -0x1.ee3e2c487d1cap-6, -0x1.e752ea58f7a21p-6, -0x1.e074675e09c87p-6, -0x1.d9a2e4851b41fp-6, -0x1.d2de9f6286467p-6, -0x1.cc27d1ec3459cp-6, -0x1.c57eb2bf1966ap-6, -0x1.bee3752327a65p-6, -0x1.b85648c489c91p-6, -0x1.b1d75a8ee05e2p-6, -0x1.ab66d8a36ed45p-6, -0x1.a504e33636c4ap-6, -0x1.9eb19fe0e42ap-6, -0x1.986d3528e20c1p-6, -0x1.9237bdb6f2d1cp-6, -0x1.8c11567886dadp-6, -0x1.85fa195f91d28p-6, -0x1.7ff21dca8b674p-6, -0x1.79f978acd4aecp-6, -0x1.74103cc7f9f54p-6, -0x1.6e367aaf35592p-6, -0x1.686c40bafbcb1p-6, -0x1.62b19b4b4b675p-6, -0x1.5d0694ccc4183p-6, -0x1.576b35a8ff629p-6, -0x1.51df8478c53f3p-6, -0x1.4c63860e66315p-6, -0x1.46f73d7b3c0ecp-6, -0x1.419aabeefd447p-6, -0x1.3c4dd1d1a0b02p-6, -0x1.3710ac994720bp-6, -0x1.31e338e53cb39p-6, -0x1.2cc572be0b158p-6, -0x1.27b7535783591p-6, -0x1.22b8d2f78f1f1p-6, -0x1.1dc9e9e925692p-6, -0x1.18ea8c5d939dep-6, -0x1.141ab06826079p-6, -0x1.0f5a48e21c4ecp-6, -0x1.0aa9484bdb69ep-6, -0x1.06079fef93c61p-6, -0x1.0175401d6cff8p-6, -0x1.f9e4301ac81d9p-7, -0x1.f0fc2c1a942c7p-7, -0x1.e8324f065f414p-7, -0x1.df8671a46bbaep-7, -0x1.d6f86b75c1141p-7, -0x1.ce88121ab6246p-7, -0x1.c63539af41c3cp-7, -0x1.bdffb4c5d414ap-7, -0x1.b5e754989cd0fp-7, -0x1.adebe917630f8p-7, -0x1.a60d40d9f274bp-7, -0x1.9e4b2926d19a3p-7, -0x1.96a56e3e9047dp-7, -0x1.8f1bdb4aa3412p-7, -0x1.87ae3a097b82bp-7, -0x1.805c53da2814bp-7, -0x1.7925f0b56bbf2p-7, -0x1.720ad7d4220ddp-7, -0x1.6b0acf9aa310dp-7, -0x1.64259da4eb112p-7, -0x1.5d5b06cd5f0b4p-7, -0x1.56aacf43a5bbbp-7, -0x1.5014ba905ac92p-7, -0x1.49988b872d253p-7, -0x1.433603cc8c40cp-7, -0x1.3cece50d115c8p-7, -0x1.36bcf9cd3385ap-7, -0x1.30a5f3f0bdf97p-7, -0x1.2aa79768acedfp-7, -0x1.24c1ad4c745cap-7, -0x1.1ef3f0f0fac25p-7, -0x1.193e20218be4ep-7, -0x1.139ffb3f57d13p-7, -0x1.0e1941b0b890ep-7, -0x1.08a9b274480fp-7, -0x1.03510c66b8a68p-7, -0x1.fc1e1c7b275e8p-8, -0x1.f1c6ed3043beep-8, -0x1.e79c0836b7262p-8, -0x1.dd9cea9dc7a34p-8, -0x1.d3c91130ab201p-8, -0x1.ca1ffa161c31cp-8, -0x1.c0a11e358598fp-8, -0x1.b74c0a39352e4p-8, -0x1.ae201df61e119p-8, -0x1.a51cf64cb4625p-8, -0x1.9c4201487a097p-8, -0x1.938ec08a6b1d2p-8, -0x1.8b02b2339a4a5p-8, -0x1.829d562c4ae99p-8, -0x1.7a5e2c00d1a3fp-8, -0x1.7244b3ebc5d26p-8, -0x1.6a506e5fe76bap-8, -0x1.6280dcaf35a44p-8, -0x1.5ad58075950fdp-8, -0x1.534ddc4da3008p-8, -0x1.4be9731fb09e9p-8, -0x1.44a7c8940581bp-8, -0x1.3d88611cf6c94p-8, -0x1.368ac1ea56fa9p-8, -0x1.2fae70e2edc25p-8, -0x1.28f2f4a8ea3dep-8, -0x1.2257d495bcb1bp-8, -0x1.1bdc990403819p-8, -0x1.1580cb31c1c0bp-8, -0x1.0f43f4d8d469bp-8, -0x1.0925a11d06b59p-8, -0x1.03255b928c2d8p-8, -0x1.fa8561f2b1d04p-9, -0x1.eefa5dd99b139p-9, -0x1.e3a8c7ec769cep-9, -0x1.d88fbf36d9261p-9, -0x1.cdae64bef4621p-9, -0x1.c303db7f24fb6p-9, -0x1.b88f485889258p-9, -0x1.ae4fd23c421dfp-9, -0x1.a444a2330037ap-9, -0x1.9a6ce35a8748bp-9, -0x1.90c7c2dc21366p-9, -0x1.87546fe99fc7fp-9, -0x1.7e121bc910abfp-9, -0x1.74fff9f5a182fp-9, -0x1.6c1d401c71d9p-9, -0x1.636925d6fb787p-9, -0x1.5ae2e514dccf1p-9, -0x1.5289ba08380a4p-9, -0x1.4a5ce2b9d0337p-9, -0x1.425b9f8305b64p-9, -0x1.3a8532e8c39a4p-9, -0x1.32d8e1ac9f342p-9, -0x1.2b55f2ba95692p-9, -0x1.23fbaf1b4a8ebp-9, -0x1.1cc9621184327p-9, -0x1.15be591f36331p-9, -0x1.0ed9e3e229e43p-9, -0x1.081b54318a6adp-9, -0x1.0181fe1d6f14dp-9, -0x1.f61a6ec561d5ep-10, -0x1.e978af575b227p-10, -0x1.dd1d7706721fdp-10, -0x1.d1077e4066435p-10, -0x1.c5357f89a84a4p-10, -0x1.b9a63f16462fbp-10, -0x1.ae587f5175147p-10, -0x1.a34b112cf437dp-10, -0x1.987cbeb785fd6p-10, -0x1.8dec5d4e43022p-10, -0x1.8398c07a6106ap-10, -0x1.7980c6c529c1cp-10, -0x1.6fa34afd2c904p-10, -0x1.65ff419795cfdp-10, -0x1.5c935acd42563p-10, -0x1.535ee0436be2fp-10, -0x1.4a6076a87c459p-10, -0x1.4197283717c61p-10, -0x1.3901ecf12af3fp-10, -0x1.309fc0b284988p-10, -0x1.286fa292dc845p-10, -0x1.20709657ba7f2p-10, -0x1.18a1a3902c31cp-10, -0x1.1101d4ff3dad5p-10, -0x1.099025631f8a4p-10, -0x1.024bf6165e3e9p-10, -0x1.f6679afeb9161p-11, -0x1.e88ecc8e1f489p-11, -0x1.db0af1646ceb1p-11, -0x1.cdda80c1b8fc4p-11, -0x1.c0fbc7967aea7p-11, -0x1.b46d1756cec0cp-11, -0x1.a82cc81023ed3p-11, -0x1.9c39393d255ccp-11, -0x1.9090d169cd45ep-11, -0x1.8531fcec4072p-11, -0x1.7a1b31d43377ap-11, -0x1.6f4ae9596ac5p-11, -0x1.64bfa553d8a23p-11, -0x1.5a77e29f262b6p-11, -0x1.50724c95fb4b6p-11, -0x1.46ad82a14d466p-11, -0x1.3d27a6e31477cp-11, -0x1.33e006991e5c4p-11, -0x1.2ad4e5aaa1a83p-11, -0x1.220508704b083p-11, -0x1.196f1bcaaee31p-11, -0x1.1111e032cad51p-11, -0x1.08ec14e9ac39dp-11, -0x1.00fc7e97bcc1fp-11, -0x1.f283d0b5dd68bp-12, -0x1.e3764654eadc6p-12, -0x1.d4ce0ba013b6bp-12, -0x1.c688d76147fe9p-12, -0x1.b8a4609d85dcfp-12, -0x1.ab1e9181485d7p-12, -0x1.9df530e74ef85p-12, -0x1.91261cda87d4bp-12, -0x1.84af48c260fp-12, -0x1.788ea9f47af37p-12, -0x1.6cc233a9d3425p-12, -0x1.61481e4eb1442p-12, -0x1.561e5af40a8e5p-12, -0x1.4b42f3f13980ep-12, -0x1.40b43c747128fp-12, -0x1.367062663dc2cp-12, -0x1.2c75843dfb826p-12, -0x1.22c201a48f708p-12, -0x1.1953f453b0c66p-12, -0x1.1029e32640346p-12, -0x1.07421a000eb0ap-12, -0x1.fd35ff30cfc3ap-13, -0x1.ec65f9bd349cdp-13, -0x1.dc111fccba189p-13, -0x1.cc347d6b9d6d1p-13, -0x1.bcccd880886c2p-13, -0x1.add89745bd66dp-13, -0x1.9f52016aa966ep-13, -0x1.91393b830f4a4p-13, -0x1.838a5286d43d5p-13, -0x1.7642ccd8cb048p-13, -0x1.69600913736cbp-13, -0x1.5cdf7af45122fp-13, -0x1.50be9fe741099p-13, -0x1.44fb043580591p-13, -0x1.3992437e27facp-13, -0x1.2e820a654f267p-13, -0x1.23c813cc4e8d6p-13, -0x1.1962275001ec6p-13, -0x1.0f4e1cbb31e6fp-13, -0x1.0589cbc3c38d8p-13, -0x1.f826556b2d57ep-14, -0x1.e5d05ecd787ffp-14, -0x1.d40dd217aebb8p-14, -0x1.c2da936634f13p-14, -0x1.b232dc2b52a0dp-14, -0x1.a213045ce146ap-14, -0x1.927752e23e761p-14, -0x1.835c34d018689p-14, -0x1.74be2c388652cp-14, -0x1.6698dccf3ddf4p-14, -0x1.58ed127dcf95bp-14, -0x1.4bb03bf7f66ecp-14, -0x1.3ee59a4c088e4p-14, -0x1.32876ce5134f4p-14, -0x1.26931ae6795bp-14, -0x1.1b059b488d04cp-14, -0x1.0fdc3fe2517b5p-14, -0x1.05144665c4d82p-14, -0x1.f5553bff504bbp-15, -0x1.e1397a1a388a9p-15, -0x1.cdd002a8e0cacp-15, -0x1.bb13b3f6c5519p-15, -0x1.a8ff8cc1a1187p-15, -0x1.978eafb9a58a3p-15, -0x1.86bc618666654p-15, -0x1.7684053dd7a2ep-15, -0x1.66e1188857fdfp-15, -0x1.57cf170773d5bp-15, -0x1.494a27fbed2f4p-15, -0x1.3b4db49efacc6p-15, -0x1.2dd5cd48b423p-15, -0x1.20de76bfcead5p-15, -0x1.1463caa21f6c4p-15, -0x1.0861f89b72fd2p-15, -0x1.f9aa91d472897p-16, -0x1.e374361237772p-16, -0x1.ce19daa5cfebp-16, -0x1.b994a6b318e96p-16, -0x1.a5ddf88ebf128p-16, -0x1.92ef5cb001682p-16, -0x1.80c280c9d0869p-16, -0x1.6f4c99c7aeb52p-16, -0x1.5e980a724a542p-16, -0x1.4e886911cfbap-16, -0x1.3f222fde053ddp-16, -0x1.306466a4a3a8fp-16, -0x1.22493aa74cad3p-16, -0x1.14c42faa6f3cap-16, -0x1.07d46279fefa2p-16, -0x1.f6e988aa36e48p-17, -0x1.df415d4df99ebp-17, -0x1.c8a78dbd98767p-17, -0x1.b30d3bbe647d6p-17, -0x1.9e736e506ba3bp-17, -0x1.8acab8e2db06ap-17, -0x1.780efc23c7c11p-17, -0x1.663233d928442p-17, -0x1.5530b7dddac93p-17, -0x1.4501c69023eeep-17, -0x1.359d80886b343p-17, -0x1.26fc165a0056ep-17, -0x1.19168bca3f594p-17, -0x1.0be5c6dec59fbp-17, -0x1.fec5f5fb44bc6p-18, -0x1.e70fbae4ff229p-18, -0x1.d09cb9d0012fep-18, -0x1.bb604e0aa61d6p-18, -0x1.a74e60e3321bap-18, -0x1.9462386193d5p-18, -0x1.828a16583e997p-18, -0x1.71be3c5b0ca6cp-18, -0x1.61f488cbb82p-18, -0x1.5322bc8ea2ed6p-18, -0x1.453f05ada5a6dp-18, -0x1.383ff983d51fep-18, -0x1.2c1c518375527p-18, -0x1.20cb8edcfb6aap-18, -0x1.1627475bdca67p-18, -0x1.0c5d30dd1881ap-18, -0x1.03693a9e4fe41p-18, -0x1.f60d1d31d3ed7p-19, -0x1.e682e490ea80bp-19, -0x1.d873aa98190dp-19, -0x1.cb54f869bdedfp-19, -0x1.bf6fcfdfd148ap-19, -0x1.b49e787d29b7dp-19, -0x1.aad6a200a8533p-19, -0x1.a20d7e7b7a6d4p-19, -0x1.9a37e372b2931p-19, -0x1.9349695e4f8e9p-19, -0x1.8d36b7c6cd926p-19, -0x1.87f5ff5c9cd49p-19, -0x1.837c9504bb284p-19, -0x1.7fc001987a42p-19, -0x1.7cb6da1c90849p-19, -0x1.7a588bf2950dfp-19, -0x1.789beb769e368p-19, -0x1.7777de03e2885p-19, -0x1.76e3797813733p-19, -0x1.76d64441d2f9ap-19, -0x1.77442477c4fedp-19, -0x1.7840112b8c458p-19, -0x1.797b752f05613p-19, -0x1.7b300aef736f5p-19, -0x1.7d4642ae55741p-19, -0x1.7fb5c975aa737p-19, -0x1.827d4890e3361p-19, -0x1.859159c3974bp-19, -0x1.88ed45a0fe876p-19, -0x1.8c85aa98dec56p-19, -0x1.906641016d25cp-19, -0x1.947931c1169f3p-19, -0x1.98bfbb231718ap-19, -0x1.9d35ab48dacffp-19, -0x1.a1d7012587236p-19, -0x1.a6a01475c5a77p-19, -0x1.ab89624c37626p-19, -0x1.b08341e12b8d3p-19, -0x1.b59b8401f3bdfp-19, -0x1.baf1ae1b38291p-19, -0x1.c03d0aaf56a0cp-19, -0x1.c59907cadae7ep-19, -0x1.cb03ae3da1a1ep-19, -0x1.d07e180111a3ep-19, -0x1.d5e04ab3428e5p-19, -0x1.db5946bb0d612p-19, -0x1.e0eb846efe203p-19, -0x1.e65da567d9fa4p-19, -0x1.ebd51cec43cbap-19, -0x1.f1471e562a714p-19, -0x1.f6af8cd602452p-19, -0x1.fc103787250c8p-19, -0x1.00b13b419c2edp-18, -0x1.03542699076cdp-18, -0x1.05eee7343e45cp-18, -0x1.088126742dd57p-18, -0x1.0b0a39355a627p-18, -0x1.0d898dbac7dccp-18, -0x1.0fff2360a552ep-18, -0x1.12513326d040ep-18, -0x1.14ab5e80a01dcp-18, -0x1.1717c8f876821p-18, -0x1.195b438fcea2fp-18, -0x1.1b9262739191p-18, -0x1.1dbbe9d48a2d3p-18, -0x1.1fd7642917c51p-18, -0x1.21e48b9ffb317p-18, -0x1.23e2ef54c38e4p-18, -0x1.25d1e70723012p-18, -0x1.27b1451bd2128p-18, -0x1.2980de4dfaf19p-18, -0x1.2b40d157c5d75p-18, -0x1.2cf1222914419p-18, -0x1.2e91dd0270f7p-18, -0x1.30191527c5d27p-18, -0x1.3195766da614bp-18, -0x1.330f5a6e56f1fp-18, -0x1.346c577cf7fcdp-18, -0x1.35b935c9a016ep-18, -0x1.36f552104788ep-18, -0x1.3820873d79fdp-18, -0x1.393aee703ed2ep-18, -0x1.3a44b21aab746p-18, -0x1.3b3e47b2d126ap-18, -0x1.3c1a08811a824p-18, -0x1.3cf345a462a96p-18, -0x1.3dc46fa9ec62ap-18, -0x1.3e7a1189767c1p-18, -0x1.3f1fba559f3ep-18, -0x1.3fb53b07e5c4p-18, -0x1.403a9e36a3d59p-18, -0x1.40afb8a32ed89p-18, -0x1.41148612cce81p-18, -0x1.4169833c4ae1ep-18, -0x1.41ae8e6ed646bp-18, -0x1.41e429fec87fbp-18, -0x1.420a953916cd3p-18, -0x1.4221c57c8156p-18, -0x1.4229faa5c9d93p-18, -0x1.4221e3afbee9ap-18, -0x1.420db5f4d5b0fp-18, -0x1.41e9d1a4af6d7p-18, -0x1.41b7cc3439d6dp-18, -0x1.41783e497dc77p-18, -0x1.411a5683edb37p-18, -0x1.40c367f38888bp-18, -0x1.406434873adadp-18, -0x1.3fecdbef6e3c3p-18, -0x1.3f68d963f5f7p-18, -0x1.3ed8d2afdccep-18, -0x1.3e326c9ace792p-18, -0x1.3d96fc57129a2p-18, -0x1.3cdc17f5d2f6ep-18, -0x1.3c1af4e0c59d9p-18, -0x1.3b4de7401e9c9p-18, -0x1.3a75aea2bb809p-18, -0x1.399358b137738p-18, -0x1.38bdfde234f0ep-18, -0x1.37aad52dc0e19p-18, -0x1.36a69efc58bfbp-18, -0x1.3597ee96a6c6dp-18, -0x1.347fbd4e0ac2fp-18, -0x1.335de24b01175p-18, -0x1.32322924ba6f7p-18, -0x1.30fdebef0976bp-18, -0x1.2fb4936bc58a4p-18, -0x1.2e772c3b4d8d1p-18, -0x1.2d2999db7f1b1p-18, -0x1.2bd188d8f2c22p-18, -0x1.2a76df310de7bp-18, -0x1.2902ea769f7b3p-18, -0x1.279b3c0320f14p-18, -0x1.2624358850f26p-18, -0x1.24a456db2a849p-18, -0x1.231f00848ac5bp-18, -0x1.2192be8c7d314p-18, -0x1.1fffd489c5317p-18, -0x1.1e6675d6f39bep-18, -0x1.1cc6ecb5a5a57p-18, -0x1.1b22719108e5p-18, -0x1.197605243e9bfp-18, -0x1.17c58ed3e805ep-18, -0x1.160f2067cdb2bp-18, -0x1.1453a72514b4p-18, -0x1.12935e99fb87ep-18, -0x1.10ce3d1ca2012p-18, -0x1.0f002c4d7b99ep-18, -0x1.0d363350d66c8p-18, -0x1.0b63d5aa8bcdcp-18, -0x1.098d5e3fc486fp-18, -0x1.07b303023f2c1p-18, -0x1.05d4fbd994f91p-18, -0x1.03f38db881893p-18, -0x1.020efa68f831fp-18, -0x1.00275834b93bdp-18, -0x1.fc6d721e43de9p-19, -0x1.f88c6cf28ce0ep-19, -0x1.f4bc9b4b87dc9p-19, -0x1.f0d57f3baa8abp-19, -0x1.ecea58d26e306p-19, -0x1.e8fb52df7469dp-19, -0x1.e50866f310cfdp-19, -0x1.e1124659d9cefp-19, -0x1.dd17c52358968p-19, -0x1.d91bb8f253918p-19, -0x1.d51f4a974b938p-19, -0x1.d1169984a7febp-19, -0x1.cd11a28cdbb7ep-19, -0x1.c90988ee0b434p-19, -0x1.c50117d48adap-19, -0x1.c0f1c900eb018p-19, -0x1.bcbd72982e5e8p-19, -0x1.b8de115166fcap-19, -0x1.b4bcc97afe43dp-19, -0x1.b0bc3b267244dp-19, -0x1.acaf734ecc48dp-19, -0x1.a89e6badd3057p-19, -0x1.a48df924332eep-19, -0x1.a07dc29d1a8fp-19, -0x1.9c69f6d7376fap-19, -0x1.9871b1e00830ap-19, -0x1.9453564beab1cp-19, -0x1.90479263d00bbp-19, -0x1.8c3ca81e6232bp-19, -0x1.8832fbfc6100dp-19, -0x1.842ada1e5c468p-19, -0x1.80247965b94b2p-19, -0x1.7c200c1820efdp-19, -0x1.781dbc37644d7p-19, -0x1.741db08b7c158p-19, -0x1.701fd5807acc1p-19, -0x1.6c25063fc541p-19, -0x1.682cb24524ecfp-19, -0x1.6437369556298p-19, -0x1.6044c1845fdd6p-19, -0x1.5c5584fc17fedp-19, -0x1.5869ad698649dp-19, -0x1.548134ed79cacp-19, -0x1.509c0232ebe46p-19, -0x1.4cba56bd39519p-19, -0x1.48dc68a9f8a12p-19, -0x1.450a4b5273515p-19, -0x1.412e8f868be73p-19, -0x1.3d5aa932bbedep-19, -0x1.398db78c6cbfdp-19, -0x1.35c4d3fbb20cap-19, -0x1.3200341ca7514p-19, -0x1.2e40170d93326p-19, -0x1.2a844b0881a0ap-19, -0x1.26cd5cbc51d01p-19, -0x1.231b59e61657cp-19, -0x1.1f6e2d8beaebcp-19, -0x1.1bc5a4f20e2f1p-19, -0x1.1823cb9a119bep-19, -0x1.14838483705dfp-19, -0x1.10e6dcf4d2c1ap-19, -0x1.0d56a6c866c98p-19, -0x1.09c94b1119f63p-19, -0x1.063d3f341e5e5p-19, -0x1.02d00857d15d3p-19, -0x1.fe2e142fe9675p-20, -0x1.f773ccefe6ea4p-20, -0x1.f09c0a7249c71p-20, -0x1.e9bb70f6583cfp-20, -0x1.e2f4196510e6bp-20, -0x1.dc18994aa6528p-20, -0x1.d57e572e2628p-20, -0x1.ceb8ac9eafcd8p-20, -0x1.c8151477b72efp-20, -0x1.c17cedcfa376p-20, -0x1.baf07beba60c6p-20, -0x1.b46f6e044af1bp-20, -0x1.adfa0d3b3cb98p-20, -0x1.a7917c89e5f28p-20, -0x1.a13288289747ap-20, -0x1.9ae100e7c75fap-20, -0x1.949b5860dd2f9p-20, -0x1.8e6166b995ea6p-20, -0x1.88338de0b546cp-20, -0x1.8211147738a5bp-20, -0x1.7bfb413d6bfddp-20, -0x1.75f172ee4fe6dp-20, -0x1.6ff3ab38b975ep-20, -0x1.6a01de2ee8562p-20, -0x1.641c3b0d1dd4p-20, -0x1.5e42b118b9ad4p-20, -0x1.58754c577f97ap-20, -0x1.52b4057b700c5p-20, -0x1.4cfedf9588b8cp-20, -0x1.4755d72a7aebp-20, -0x1.41b8f3ce7671dp-20, -0x1.3c281bd140dfap-20, -0x1.36a3a360939acp-20, -0x1.312850676c3cp-20, -0x1.2bbed6db2063bp-20, -0x1.265e558998347p-20, -0x1.21081f89d4cfbp-20, -0x1.1bd48f2c9709dp-20, -0x1.16a4a1ef7b683p-20, -0x1.1154f360a34f8p-20, -0x1.0c479ada4ac8ap-20, -0x1.07187c2e3b4ffp-20, -0x1.020939375a52ap-20, -0x1.fa104b7ddf3ccp-21, -0x1.f02689743f794p-21, -0x1.e657eed875f71p-21, -0x1.dc79a6a61e297p-21, -0x1.d2fdf3b2d8ce1p-21, -0x1.c96a70b9bf8a2p-21, -0x1.bff33141ec96ap-21, -0x1.b694cb5c64046p-21, -0x1.ad7f19c99357bp-21, -0x1.a418fdaec55c1p-21, -0x1.9b0c22108d6a4p-21, -0x1.91ffd8e4b97fdp-21, -0x1.890cda73e3eaap-21, -0x1.80014cf410b1ap-21, -0x1.777b9899947f9p-21, -0x1.6edc4a4b6d7a9p-21, -0x1.6648c1f8d43ddp-21, -0x1.5dce4750171b1p-21, -0x1.5567ec72b2819p-21, -0x1.4d16dc0c41cd4p-21, -0x1.44dbabb2580a4p-21, -0x1.3cb9b875e3ee3p-21, -0x1.34ab7e357e855p-21, -0x1.2cb27e7c18c09p-21, -0x1.24cf1982b74a5p-21, -0x1.1d01f3818c69cp-21, -0x1.153f2ddb585dcp-21, -0x1.0da53da491f56p-21, -0x1.0613c0f090b4fp-21, -0x1.fd31c4a3780d5p-22, -0x1.ee65c2654f4ddp-22, -0x1.dfc2c1037870fp-22, -0x1.d1483ca249cc6p-22, -0x1.c2f74ee30a886p-22, -0x1.b4d231e0bf4ebp-22, -0x1.a6a87eb912897p-22, -0x1.98f508510a2ccp-22, -0x1.8b4345972b969p-22, -0x1.7db6ce91ed9c8p-22, -0x1.7053185ba332p-22, -0x1.63150f6467654p-22, -0x1.55fd08369b5b7p-22, -0x1.490c380afcefdp-22, -0x1.3c47c6402f4e8p-22, -0x1.2fa5a85d5bd26p-22, -0x1.224944058ff6bp-22, -0x1.16ce0f74103ddp-22, -0x1.0a8cd66c8e648p-22, -0x1.fcf7bff941c0ep-23, -0x1.e51ec68844da4p-23, -0x1.cd8c3a619c697p-23, -0x1.b6413a3e7fb8p-23, -0x1.9f3ec78ecee73p-23, -0x1.88a08fec46c06p-23, -0x1.722284f454574p-23, -0x1.5bc992f2dcf9dp-23, -0x1.45fcf5818f23fp-23, -0x1.304aa56b6872bp-23, -0x1.1ae205fd506a9p-23, -0x1.05c526df38b5ep-23, -0x1.e1cbb1ec170dbp-24, -0x1.b88ab8bd41306p-24, -0x1.8fd19b3de6f5p-24, -0x1.68238b1bb943fp-24, -0x1.41a9aa09acb64p-24, -0x1.18bbd493ecdc6p-24, -0x1.e405eec061892p-25, -0x1.97b233e3e4138p-25, -0x1.4c592631388f4p-25, -0x1.01e25ea4a6fap-25, -0x1.6f703499034abp-26, -0x1.ba9d033a36935p-27, -0x1.4181431315c7bp-28, 0x1.e9efa6de3f34fp-29, 0x1.919b3182b0bc1p-27, 0x1.522a9cf560073p-26, 0x1.da655b935ba0bp-26, 0x1.304142329e33fp-25, 0x1.728d3a25ee74cp-25, 0x1.b50f16ca89f35p-25, 0x1.f851291a577d3p-25, 0x1.194d0129767c7p-24, 0x1.39247b993116p-24, 0x1.57e2affbbb7bdp-24, 0x1.7713ab82ba03p-24, 0x1.94c7f9a377231p-24, 0x1.b236924a8d836p-24, 0x1.cf4cb5e8efd37p-24, 0x1.ec3d6b450695ep-24, 0x1.043b893ce5a03p-23, 0x1.123ae05f82a88p-23, 0x1.200ccace90615p-23, 0x1.2da8ba9fb2785p-23, 0x1.3b11462debfd1p-23, 0x1.4843e02a37e8cp-23, 0x1.55497185e2261p-23, 0x1.621ade4f067eep-23, 0x1.6f69094fc7b14p-23, 0x1.7b3a466afb625p-23, 0x1.87862749c34dbp-23, 0x1.93a3ddcb3f69bp-23, 0x1.9f859eaaee63cp-23, 0x1.abda39c2680d3p-23, 0x1.b6c122883b5ffp-23, 0x1.c22b1f01dfc52p-23, 0x1.cd634e6f10671p-23, 0x1.d8a6b1901291bp-23, 0x1.e34a53a3c9b73p-23, 0x1.edfe0c7f3beddp-23, 0x1.f878837f543a4p-23, 0x1.01abc8e7989a3p-22, 0x1.0685b98f724c6p-22, 0x1.0b8bba09a76c5p-22, 0x1.107a5c759cbbcp-22, 0x1.155c5fb8717eap-22, 0x1.1a1c7059ca10bp-22, 0x1.1ed0d8ec6e70bp-22, 0x1.236a97745807bp-22, 0x1.2765c14bd2da1p-22, 0x1.2c70cfae7c09p-22, 0x1.30da3e0acc80fp-22, 0x1.352cefc7914f6p-22, 0x1.396e18e4300d3p-22, 0x1.3d8f5aa3ef84ap-22, 0x1.41b5c12cb7882p-22, 0x1.45be31672ada9p-22, 0x1.49af4321352f5p-22, 0x1.4d94fb9b75c16p-22, 0x1.516798ec2a734p-22, 0x1.552dce21e3a6p-22, 0x1.590d7ddc3825cp-22, 0x1.5c744172f2ddap-22, 0x1.600708f0c9799p-22, 0x1.63812d40a2dbfp-22, 0x1.6689f0222ac79p-22, 0x1.6a4c207cf74c4p-22, 0x1.6d6de16e35addp-22, 0x1.70dc193cf4e97p-22, 0x1.7405032ca81aap-22, 0x1.771086865e563p-22, 0x1.7a28be30275b8p-22, 0x1.7d2885e4e4bcap-22, 0x1.8027a3f3ff435p-22, 0x1.82f89cd3b25fp-22, 0x1.85c8b8ea6b605p-22, 0x1.888b3f3f9f8d1p-22, 0x1.8b3e03ae4e216p-22, 0x1.8de36b48f80d7p-22, 0x1.910adf1b40316p-22, 0x1.92fd5425b946p-22, 0x1.9576bcc23ac62p-22, 0x1.9811bfd751b37p-22, 0x1.9a3e1d278203dp-22, 0x1.9c952b9c1f3d2p-22, 0x1.9ed476e248eb6p-22, 0x1.a138618ba4226p-22, 0x1.a3366855cff4dp-22, 0x1.a555df4cb562cp-22, 0x1.a7655ee21ec6p-22, 0x1.a9db3308c4681p-22, 0x1.ab661df01fd72p-22, 0x1.ad4bad60c46b4p-22, 0x1.af2a0a819ab34p-22, 0x1.b0fc396da50fap-22, 0x1.b2c43b7a00f08p-22, 0x1.b47d0a4dda67cp-22, 0x1.b62bc54a7ab93p-22, 0x1.b77e673571d69p-22, 0x1.b9308d4f9c82bp-22, 0x1.baf8b84430c37p-22, 0x1.bc9c551ca1376p-22, 0x1.bde649edfc763p-22, 0x1.bf3274d6e3c93p-22, 0x1.c079f1bf0b072p-22, 0x1.c20e890341837p-22, 0x1.c3a32b24a0fd5p-22, 0x1.c49aa7274bd01p-22, 0x1.c5d253bec5193p-22, 0x1.c7049ba8d98ep-22, 0x1.c827ddb95bd1dp-22, 0x1.c94096dee176ap-22, 0x1.ca50ebd802a8fp-22, 0x1.cb56ab880aaa4p-22, 0x1.cc53a2adc985dp-22, 0x1.cd4a30e52352fp-22, 0x1.ce13064a2105ep-22, 0x1.cf123449ea7dp-22, 0x1.cfecc9b2732fdp-22, 0x1.d0b52cfae5d7ap-22, 0x1.d17b36677d19fp-22, 0x1.d23881633c145p-22, 0x1.d2ed8ba6c439ep-22, 0x1.d392800694ccap-22, 0x1.d438226b2f868p-22, 0x1.d4d6171c1b0f7p-22, 0x1.d565e444add1ap-22, 0x1.d5f8662e65dcdp-22, 0x1.d64ec34ce5745p-22, 0x1.d6f177dca46ap-22, 0x1.d764d982852cap-22, 0x1.d7cf493c1de05p-22, 0x1.d833b07f3f1ep-22, 0x1.d8926cd0e4e0dp-22, 0x1.d88a3c85438fp-22, 0x1.d9338eba13b5p-22, 0x1.d9726b577f7e1p-22, 0x1.d9ba78cdf7aefp-22, 0x1.d9eba1c98605dp-22, 0x1.da1a68214e082p-22, 0x1.da47cf3a9da8bp-22, 0x1.da6ead2a02883p-22, 0x1.da88737347218p-22, 0x1.da9d92a32b8d3p-22, 0x1.daac07447611ap-22, 0x1.dab3e0cc29555p-22, 0x1.daaa5f8547d58p-22, 0x1.dab3780fb75d2p-22, 0x1.daad75ab1891fp-22, 0x1.da9b52ae0d156p-22, 0x1.da842082ebc79p-22, 0x1.da7325bdbfebp-22, 0x1.d9e788ac1b1f5p-22, 0x1.da218f2cbefd5p-22, 0x1.d9f1e604d27acp-22, 0x1.d9bdeeaaddea9p-22, 0x1.d9852b07a3bc8p-22, 0x1.d9470e4ce2b7dp-22, 0x1.d90427d29a5fep-22, 0x1.d8b9e64ceaf76p-22, 0x1.d85d4caeaef2ep-22, 0x1.d81b25a4f4a5bp-22, 0x1.d7c33c7859f44p-22, 0x1.d76514b9f2bdbp-22, 0x1.d702a25fd22a3p-22, 0x1.d69bd41c6bfa6p-22, 0x1.d630362f2389ap-22, 0x1.d5bfded41006dp-22, 0x1.d54b2d2f06194p-22, 0x1.d4d563d62ec6p-22, 0x1.d44a0d55d7b2cp-22, 0x1.d3d32c9831ae3p-22, 0x1.d34b9121c2c9dp-22, 0x1.d2c5ac1387e49p-22, 0x1.d22d680d9ddeap-22, 0x1.d19901e2d62dbp-22, 0x1.d0fff7f286a4fp-22, 0x1.d064cc611b828p-22, 0x1.cfc4f599a5b52p-22, 0x1.cf2080ce19642p-22, 0x1.ce79ea3b5d4adp-22, 0x1.cdcfdfa2b17f2p-22, 0x1.cd3435756ccb6p-22, 0x1.cc6ad736fd77fp-22, 0x1.cbb1a8a69c526p-22, 0x1.caf190735844fp-22, 0x1.ca398d3d666ecp-22, 0x1.c976282a37f39p-22, 0x1.c8b4d5fc3509dp-22, 0x1.c7e9e06cae10bp-22, 0x1.c71d586e923cap-22, 0x1.c64fa0dd1955cp-22, 0x1.c57d44daef1dep-22, 0x1.c4a738e33174bp-22, 0x1.c3ced3f2ac8b9p-22, 0x1.c2f3e0c5e48c3p-22, 0x1.c20ea05b66af4p-22, 0x1.c1376d1bde42bp-22, 0x1.c04cb78264d49p-22, 0x1.bf731ae4ae52fp-22, 0x1.be7edd8a133d9p-22, 0x1.bd8493be5aea5p-22, 0x1.bc817d727c106p-22, 0x1.bbafc029db3cbp-22, 0x1.bac4de9e35c58p-22, 0x1.b97921ffa6541p-22, 0x1.b8cbf90f4a849p-22, 0x1.b7caf87dde535p-22, 0x1.b6d3ea947e393p-22, 0x1.b5cfbf15271f2p-22, 0x1.b4ca9410e4038p-22, 0x1.b3c552a1afa62p-22, 0x1.b2bdb4aa98a2bp-22, 0x1.b1aeeb37c892dp-22, 0x1.b0a744eae2e3ep-22, 0x1.afa161e6351a5p-22, 0x1.ae92c507f0f82p-22, 0x1.ad764a2c5963cp-22, 0x1.ac6215bd4f6e1p-22, 0x1.ab4be179f7a41p-22, 0x1.aa34819eb3796p-22, 0x1.a91b40ef8cf2bp-22, 0x1.a7fa914eb85b8p-22, 0x1.a6df07f3eedb6p-22, 0x1.a5c2ddf03fd2bp-22, 0x1.a4a1e55d8dfeep-22, 0x1.a3810d8ef7ab9p-22, 0x1.a24ed9078cc64p-22, 0x1.a13600f99d318p-22, 0x1.9ffa7ce23a8fep-22, 0x1.9ed9d87cd2fe2p-22, 0x1.9dbae266f7946p-22, 0x1.9c8e6008aea9bp-22, 0x1.9b61038f73b7p-22, 0x1.9a32536d3a4d8p-22, 0x1.9927113705c2dp-22, 0x1.97d10a73673fbp-22, 0x1.969ee64d815e1p-22, 0x1.956a72e695c64p-22, 0x1.9434acbc24c1ep-22, 0x1.92fffab20b8ep-22, 0x1.91c8b0f9c2ed8p-22, 0x1.9090444ef12d6p-22, 0x1.8f564a71f0c1p-22, 0x1.8e1a4fb88093ep-22, 0x1.8cdf29e663865p-22, 0x1.8ba30a4fb2052p-22, 0x1.8a669e64c48a7p-22, 0x1.8927630d60492p-22, 0x1.87ea25cf6bb58p-22, 0x1.86ba78a8eb383p-22, 0x1.8553c554f7fdep-22, 0x1.842fa9a0d35a7p-22, 0x1.82e3dc32e1252p-22, 0x1.8172229e4dfbfp-22, 0x1.805a7d6c903a2p-22, 0x1.7f0beb48b6501p-22, 0x1.7dd03102e79e5p-22, 0x1.7c88aeda572bep-22, 0x1.7b41c9c18e251p-22, 0x1.79fb20d6ff3e9p-22, 0x1.78b03ac720009p-22, 0x1.7767e7b5238b7p-22, 0x1.762262c9c9d64p-22, 0x1.74d7a75794147p-22, 0x1.738c118f4e1f1p-22, 0x1.72406f8e439e1p-22, 0x1.70f50c253dc8bp-22, 0x1.6faa40068b051p-22, 0x1.6e5f2f340c7fp-22, 0x1.6d14321f308c3p-22, 0x1.6bc74ddf2c98ap-22, 0x1.6a76af2c36641p-22, 0x1.69316f09f460cp-22, 0x1.67dfbd91b62dbp-22, 0x1.669058b5c73e8p-22, 0x1.65420d6cf5c25p-22, 0x1.63f4223a8b1fbp-22, 0x1.62aef881040d7p-22, 0x1.6177c8b2654acp-22, 0x1.60060a8888b7p-22, 0x1.5eb749173c1bep-22, 0x1.5d6ce9dc7794fp-22, 0x1.5c13839b63fe5p-22, 0x1.5acbc2651ebb3p-22, 0x1.597ab091b6d8p-22, 0x1.582daa59c0221p-22, 0x1.56f7090813b4cp-22, 0x1.559007647c10ep-22, 0x1.543f863dc2f9ap-22, 0x1.52efab1a6b93dp-22, 0x1.519f8d90e0c0cp-22, 0x1.5050a00c2005ap-22, 0x1.4efed64742ffcp-22, 0x1.4db289e0c21a8p-22, 0x1.4c63a3e2e6378p-22, 0x1.4b14c27f1200dp-22, 0x1.49c616bb992cap-22, 0x1.4877da62f0ffdp-22, 0x1.4729da8d97f19p-22, 0x1.45d9d63dd6a24p-22, 0x1.448c9c6ceeaa4p-22, 0x1.434012fda7973p-22, 0x1.41f1e97f8c75dp-22, 0x1.40a05690eb334p-22, 0x1.3f56f6190c0dcp-22, 0x1.3e0a88105a548p-22, 0x1.3cbe2d16eeac3p-22, 0x1.3b7208cbfb674p-22, 0x1.3a27e350a9f1ap-22, 0x1.38fc513d4ce23p-22, 0x1.37903f13eb395p-22, 0x1.3644b036b1f3fp-22, 0x1.34fa720a63a96p-22, 0x1.33b09471b4f8dp-22, 0x1.32671c7e86a4ap-22, 0x1.311b6152acc7dp-22, 0x1.2fc2a68eb42b6p-22, 0x1.2e8c26323beeep-22, 0x1.2d450c9d59abdp-22, 0x1.2bfdeaf3f8de3p-22, 0x1.2ab634c5c4b5dp-22, 0x1.296f099eadaebp-22, 0x1.2827f9abd51c2p-22, 0x1.26e2c2f3c6dd9p-22, 0x1.259deccc9e799p-22, 0x1.2458db630db1ep-22, 0x1.2315d664a3d1cp-22, 0x1.21d15b1a20a15p-22, 0x1.208dd73148172p-22, 0x1.1f4ca0af9b791p-22, 0x1.1e095011dbb66p-22, 0x1.1cc7832afb234p-22, 0x1.1b86bba79b4ccp-22, 0x1.1a4986baf89f6p-22, 0x1.190852c71b276p-22, 0x1.17c8eff04710dp-22, 0x1.168a90e72df2bp-22, 0x1.154ce5776a255p-22, 0x1.140a15636bee9p-22, 0x1.12d3c0bd84959p-22, 0x1.1198169add3f6p-22, 0x1.1075b3ce5b2b1p-22, 0x1.0f1ffd83176f7p-22, 0x1.0de8aa8ef90efp-22, 0x1.0caf7025bc04cp-22, 0x1.0b76612209e31p-22, 0x1.0a3d171136e38p-22, 0x1.090f67d8c25efp-22, 0x1.07e104ef41b6ep-22, 0x1.069cf289133a8p-22, 0x1.0566f9503947ap-22, 0x1.043311a00ec16p-22, 0x1.02fcb8e5d8bdbp-22, 0x1.01c96230b78aap-22, 0x1.00b38340e523bp-22, 0x1.fed422e205a2bp-23, 0x1.fc71438a98c9ep-23, 0x1.fa12467a9df2fp-23, 0x1.f7b4bbf3c9838p-23, 0x1.f55959754e1efp-23, 0x1.f30507f895d81p-23, 0x1.f08e5e2035914p-23, 0x1.ee4a235c8d85ep-23, 0x1.ebf8fc33ccafdp-23, 0x1.e9a4b66ca681dp-23, 0x1.e74dd24e576b3p-23, 0x1.e4fe98a210872p-23, 0x1.e2b1734a3643ap-23, 0x1.e066e72c538cep-23, 0x1.de15b7b14f29bp-23, 0x1.dbc9c0652bc4ap-23, 0x1.d981e6de8d98ap-23, 0x1.d73b08c466b14p-23, 0x1.d4f4cba95b01bp-23, 0x1.d2b176373e8b4p-23, 0x1.d0754c370aaefp-23, 0x1.ce227b8bcebb6p-23, 0x1.cbf006f29e7ccp-23, 0x1.c9b228a0041c2p-23, 0x1.c788f8abd522ep-23, 0x1.c53ee9e8e5b8ap-23, 0x1.c307611053658p-23, 0x1.c0d1d4ea3bd58p-23, 0x1.be9af6cb750c6p-23, 0x1.bc6bc5d3fa95bp-23, 0x1.ba3484dbd440fp-23, 0x1.b8072e82e676p-23, 0x1.b5decf665b4d7p-23, 0x1.b3b6936ddd712p-23, 0x1.b1878acc89f54p-23, 0x1.af7807b3cdacdp-23, 0x1.ad3b0d5f013f8p-23, 0x1.ab0346eb0cffep-23, 0x1.a8efdea306d0ap-23, 0x1.a6d29cad1d946p-23, }}, 
      {{0x1.5ff10cbe5fda6p-3, 0x1.8c6cd24ee5dc5p-3, 0x1.cd1d0723edefap-3, 0x1.0c51dadeccb33p-2, 0x1.332ca8a0403d2p-2, 0x1.5790e8aa9a982p-2, 0x1.76d7277ec3e24p-2, 0x1.8f36866179e24p-2, 0x1.9fa91cbd14e1dp-2, 0x1.a7c93509c3b35p-2, 0x1.a7ae1236a5a84p-2, 0x1.9fcba3400b0dap-2, 0x1.90d68d05fb85cp-2, 0x1.7bac82441a1bcp-2, 0x1.6141b8ca0b8dfp-2, 0x1.4291c3b47cc8cp-2, 0x1.20948cf2d91dap-2, 0x1.f86c20b7267e4p-3, 0x1.aca19ef3cd683p-3, 0x1.5f5416a4bc9c1p-3, 0x1.11e0158a1800ep-3, 0x1.8ae538e8b15cfp-4, 0x1.ec27deca7f7dbp-5, 0x1.9bbe58395abacp-6, -0x1.09c08de291669p-7, -0x1.42beaece97949p-5, -0x1.18c6ca029b1e4p-4, -0x1.86eb771da3511p-4, -0x1.eb7eade6bbb87p-4, -0x1.232f6129e1078p-3, -0x1.4bc7ff5e7d6a4p-3, -0x1.6f9b1e746d87p-3, -0x1.8ec79bac1a8e1p-3, -0x1.a976a5f793a12p-3, -0x1.bfd980058b5ddp-3, -0x1.d2277c773727dp-3, -0x1.e09c406354d4p-3, -0x1.eb763d113995ap-3, -0x1.f2f5731476017p-3, -0x1.f75a5240b8a79p-3, -0x1.f8e4dab5a255bp-3, -0x1.f7d3e18bb0022p-3, -0x1.f4647c8dafc96p-3, -0x1.eed18e8965cb5p-3, -0x1.e753700d2b19ap-3, -0x1.de1fb2833b3d6p-3, -0x1.d368f69cadd69p-3, -0x1.c75ecfd87cf22p-3, -0x1.ba2dc3e5b02f4p-3, -0x1.abff42f4e01d2p-3, -0x1.9cf9ba0ef1c2dp-3, -0x1.8d40a4117a6a4p-3, -0x1.7cf4a23c61b34p-3, -0x1.6c339a7c852b8p-3, -0x1.5b18d74deac2cp-3, -0x1.49bd2aa1884f6p-3, -0x1.38371172daebep-3, -0x1.269ad91a4fac4p-3, -0x1.14fac0d353afbp-3, -0x1.0367206c252f9p-3, -0x1.e3dd16c618c71p-4, -0x1.c13bdb9050967p-4, -0x1.9f0167538fcbfp-4, -0x1.7d41c3051c3ffp-4, -0x1.5c0e6e416ff06p-4, -0x1.3b768d2bcb2eep-4, -0x1.1b871d13b1aeep-4, -0x1.f89662b1d04e5p-5, -0x1.bb9820a16b488p-5, -0x1.8022cf2d6f14cp-5, -0x1.4642dd6e154bdp-5, -0x1.0e02182b55a21p-5, -0x1.aecfed52bcb23p-6, -0x1.44f381ca5846ap-6, -0x1.bceb76a015dd7p-7, -0x1.ed67f37dfe902p-8, -0x1.ba097d9d8eadcp-10, 0x1.02e35c2b4e63ep-8, 0x1.336e399120975p-7, 0x1.dec245799c4ddp-7, 0x1.41bfaabe78e3cp-6, 0x1.90dd26b18bed2p-6, 0x1.dcc56feebc0b1p-6, 0x1.12c2c458d4b13p-5, 0x1.3595cd7fa1b0dp-5, 0x1.56e3510d115bcp-5, 0x1.76b3343f43dadp-5, 0x1.950da1c1a2b5fp-5, 0x1.b1fb0f776fb44p-5, 0x1.cd841e2ee3988p-5, 0x1.e7b1994888354p-5, 0x1.004631a395f81p-4, 0x1.0c0ebaad761acp-4, 0x1.1736e7188e4e5p-4, 0x1.21c336e744792p-4, 0x1.2bb826187adcep-4, 0x1.351a2ce9f332p-4, 0x1.3dedb70374a8fp-4, 0x1.4637264523c91p-4, 0x1.4dfacf0f13aabp-4, 0x1.553cf481ece45p-4, 0x1.5c01c9ee61c6p-4, 0x1.624d6f8b927f2p-4, 0x1.6823ef81e311bp-4, 0x1.6d8941b3860dfp-4, 0x1.72814669ab604p-4, 0x1.770fc55f5641ep-4, 0x1.7b387528c7aaap-4, 0x1.7efeec6dcc221p-4, 0x1.8266af035e9fp-4, 0x1.857326c1f40b5p-4, 0x1.8827a50bd3ceap-4, 0x1.8a87622f60283p-4, 0x1.8c957eafec227p-4, 0x1.8e550248cfe2fp-4, 0x1.8fc8dc199f7a1p-4, 0x1.90f3e32d787ebp-4, 0x1.91d8d6db0c8adp-4, 0x1.927a5eae6a34dp-4, 0x1.92db0b7107de9p-4, 0x1.92fd56f9fd71dp-4, 0x1.92e3a3b99892ep-4, 0x1.9290400e60f6p-4, 0x1.9205636193ff3p-4, 0x1.9145303502261p-4, 0x1.9051b5d69d39ap-4, 0x1.8f2cee8c0f1c7p-4, 0x1.8dd8c16ec22eap-4, 0x1.8c57033d4a536p-4, 0x1.8aa975c636108p-4, 0x1.88d1ca07c2b32p-4, 0x1.86d19f161bd27p-4, 0x1.84aa841f07f46p-4, 0x1.825df846cfb22p-4, 0x1.7fed6b37277c1p-4, 0x1.7d5a3db67b433p-4, 0x1.7aa5c28a09dd7p-4, 0x1.77d13e7db4063p-4, 0x1.74ddea078da26p-4, 0x1.71ccf052af4bep-4, 0x1.6e9f70f1fed9p-4, 0x1.6b567fed824f5p-4, 0x1.67f325fd60b76p-4, 0x1.64766251dcc6cp-4, 0x1.60e1295ec2814p-4, 0x1.5d3466814efa5p-4, 0x1.5970fbf4ddaa9p-4, 0x1.5597c3a8f43a2p-4, 0x1.51a98f74a866bp-4, 0x1.4da729c51389dp-4, 0x1.4991552a6a599p-4, 0x1.4568cf0522dfep-4, 0x1.412e4b6e69c4cp-4, 0x1.3ce27c7dea9bp-4, 0x1.38860b0a7d3dbp-4, 0x1.34199c8723448p-4, 0x1.2f9dd132e771bp-4, 0x1.2b1344d9e247p-4, 0x1.267a8e6eb8dp-4, 0x1.21d4414d5c456p-4, 0x1.1d20ed0cee659p-4, 0x1.18611de9929bap-4, 0x1.13955cc6b7772p-4, 0x1.0ebe2ff04411p-4, 0x1.09dc1a8353c6p-4, 0x1.04ef9d70eedbdp-4, 0x1.fff26e5d538a7p-5, 0x1.f5f2c8cf3d488p-5, 0x1.ebe13f5753715p-5, 0x1.e1bec37cc22adp-5, 0x1.d78c43c04f429p-5, 0x1.cd4aabe01f3dep-5, 0x1.c2fae5299d203p-5, 0x1.b89dd5ac818p-5, 0x1.ae34624725da2p-5, 0x1.a3bf6d2341ea4p-5, 0x1.993fd781a439ep-5, 0x1.8eb680a3e2d3fp-5, 0x1.842446222f34dp-5, 0x1.798a04b14023p-5, 0x1.6ee89734e6cb2p-5, 0x1.6440d7f4e4d92p-5, 0x1.5993a0d838104p-5, 0x1.4ee1c9976cb59p-5, 0x1.442c29b9ce625p-5, 0x1.397397c01fd9cp-5, 0x1.2eb8e99c83a42p-5, 0x1.23fcf439c9d8ap-5, 0x1.19408bd35a264p-5, 0x1.0e84840df3d44p-5, 0x1.03c9af8087b92p-5, 0x1.f221beeb4c61cp-6, 0x1.dcb5cb70e1a06p-6, 0x1.c751239286f34p-6, 0x1.b1f566cc95dfap-6, 0x1.9ca4312075399p-6, 0x1.875f1afe03a51p-6, 0x1.7227c1632a18ep-6, 0x1.5cffb27036b0bp-6, 0x1.47e887fe27007p-6, 0x1.32e3cfb170809p-6, 0x1.1df3175e1457ep-6, 0x1.0917e974c99f8p-6, 0x1.e8a79c68166b7p-7, 0x1.bf5091105fc3bp-7, 0x1.962db2d694cecp-7, 0x1.6d41f9d29d0cp-7, 0x1.44905918e4541p-7, 0x1.1c1bb7b8c7a2ep-7, 0x1.e7cdeca885019p-8, 0x1.97e9d9459d5a2p-8, 0x1.4890c6ac71a9bp-8, 0x1.f390900c50005p-9, 0x1.572b9214a30e5p-9, 0x1.77fa916d064e1p-10, 0x1.1081cb280c79fp-12, -0x1.da44833ba657bp-11, -0x1.0ddcc007c4b6ep-9, -0x1.a3c89ad7d08e4p-9, -0x1.1c256d6afeef9p-8, -0x1.65acffb911964p-8, -0x1.ae764e07a91edp-8, -0x1.f67cb6714c81ap-8, -0x1.1eddf07daaaa4p-7, -0x1.4217b500302dbp-7, -0x1.64e97bfc846f1p-7, -0x1.87513fa513493p-7, -0x1.a94d0054f5838p-7, -0x1.cadacabfe9c0ep-7, -0x1.ebf8ba58b3912p-7, -0x1.06527fc9fa046p-6, -0x1.166eebe908c6fp-6, -0x1.2650c7ced4398p-6, -0x1.35f744d9fdb5dp-6, -0x1.456199f55454ep-6, -0x1.548f0632e177cp-6, -0x1.637ed300da23ep-6, -0x1.723051a37c221p-6, -0x1.80a2dc5ad1c5ap-6, -0x1.8ed5d33a1ea2ap-6, -0x1.9cc8a46a44609p-6, -0x1.aa7ac0a053a54p-6, -0x1.b7eba53cc7ad8p-6, -0x1.c51ad892d8e67p-6, -0x1.d207e663f0414p-6, -0x1.deb2664531bc2p-6, -0x1.eb19f81240c35p-6, -0x1.f73e3f1112254p-6, -0x1.018f79c66b1c8p-5, -0x1.075de40f4f4bbp-5, -0x1.0d0a406cd7db2p-5, -0x1.129473f6031a7p-5, -0x1.17fc68039c32cp-5, -0x1.1d4209ee8a135p-5, -0x1.22654b8e99613p-5, -0x1.27662297145bap-5, -0x1.2c4488f7c5bfbp-5, -0x1.31007d24596f2p-5, -0x1.359a00c2d979p-5, -0x1.3a1119a4235a2p-5, -0x1.3e65d1f54a706p-5, -0x1.4298376118b35p-5, -0x1.46a85b5603332p-5, -0x1.4a96533d881e7p-5, -0x1.4e62381e6bfb3p-5, -0x1.520c266ec23ccp-5, -0x1.55943e41a7cf5p-5, -0x1.58faa3675124fp-5, -0x1.5c3f7cfdacaa2p-5, -0x1.5f62f51ddd051p-5, -0x1.626539b0c4a93p-5, -0x1.65467b99d2153p-5, -0x1.6806eedb74d4dp-5, -0x1.6aa6ca8bf8c12p-5, -0x1.6d2648bc5893bp-5, -0x1.6f85a670f62fp-5, -0x1.71c5236549416p-5, -0x1.73e502189c81ep-5, -0x1.75e588158c3f7p-5, -0x1.77c6fd108d5c4p-5, -0x1.7989a9bd0a8ddp-5, -0x1.7b2ddd7deb51cp-5, -0x1.7cb3e68e1a6f7p-5, -0x1.7e1c1504242e9p-5, -0x1.7f66bcf3bde89p-5, -0x1.809434417b2dap-5, -0x1.81a4d2448bf8cp-5, -0x1.8298f088393f6p-5, -0x1.8370ea523ee72p-5, -0x1.842d1c8f7d6c5p-5, -0x1.84cde60807f7p-5, -0x1.8553a71bf695cp-5, -0x1.85bec19589917p-5, -0x1.860f98832d2bap-5, -0x1.864690ba7723fp-5, -0x1.86640fc6d1186p-5, -0x1.86687dc555219p-5, -0x1.86543e8a0fd11p-5, -0x1.8627c3d0c9d87p-5, -0x1.85e36e7986c7p-5, -0x1.8587ae76824f3p-5, -0x1.8514ee004dc5bp-5, -0x1.848b9a451170fp-5, -0x1.83ec1fee620acp-5, -0x1.8336ecbc7a27p-5, -0x1.826c6e40cd594p-5, -0x1.818d13f8e7cbcp-5, -0x1.80994c0f7008ep-5, -0x1.7f918685fb812p-5, -0x1.7e7631c9d3e38p-5, -0x1.7d47be0c3782fp-5, -0x1.7c069ae1404b3p-5, -0x1.7ab337eef64f1p-5, -0x1.794e04e3c4eefp-5, -0x1.77d7714b75c8ep-5, -0x1.764fec899dff3p-5, -0x1.74b7e5e06bd86p-5, -0x1.730fcc368b7fcp-5, -0x1.71580e269e513p-5, -0x1.6f9119b22dc9ap-5, -0x1.6dbb5d0b8dd97p-5, -0x1.6bd74541245f8p-5, -0x1.69e53f27ef6bap-5, -0x1.67e5b6f7b389ep-5, -0x1.65d91844200f9p-5, -0x1.63bfcdfad0949p-5, -0x1.619a4248f4cf6p-5, -0x1.5f68deaa6e833p-5, -0x1.5d2c0bc603f82p-5, -0x1.5ae4316cd0142p-5, -0x1.5891b691f862ap-5, -0x1.5635013fbf92p-5, -0x1.53ce768ff6a9fp-5, -0x1.515e7aa4ebdd2p-5, -0x1.4ee5709fee1c5p-5, -0x1.4c63ba93fa508p-5, -0x1.49d9b97d05b8bp-5, -0x1.4747cd50fab3bp-5, -0x1.44ae54da5da37p-5, -0x1.420dadb84a765p-5, -0x1.3f663466d5243p-5, -0x1.3cb84430bafcep-5, -0x1.3a043727f929bp-5, -0x1.374a663002869p-5, -0x1.348b28d27704ap-5, -0x1.31c6d56591373p-5, -0x1.2efdc0efe84a5p-5, -0x1.2c303f2234c06p-5, -0x1.295ea26844ca5p-5, -0x1.26893bd690de9p-5, -0x1.23b05b229aa3ap-5, -0x1.20d44ed392cc3p-5, -0x1.1df5642ee3affp-5, -0x1.1b13e6246a71ep-5, -0x1.18301f258a7e1p-5, -0x1.154a58c13034p-5, -0x1.1262da1711786p-5, -0x1.0f79e8b1c2dcap-5, -0x1.0c8fca6be0ce1p-5, -0x1.09a4c1d18911cp-5, -0x1.06b9114265bdfp-5, -0x1.03ccf8b5233a4p-5, -0x1.00e0b7b365d0dp-5, -0x1.fbe9188a7e6a5p-6, -0x1.f611622da9dd4p-6, -0x1.f03accef74cf1p-6, -0x1.ea65b99257ed9p-6, -0x1.e492a7161bd7ep-6, -0x1.dec1feac9cb7bp-6, -0x1.d8f42b21541bp-6, -0x1.d329947640567p-6, -0x1.cd62a030eb406p-6, -0x1.c79fb0e7cbd4cp-6, -0x1.c1e12683437d7p-6, -0x1.bc275e5631095p-6, -0x1.b672b4a6ad6cap-6, -0x1.b0c37aef5840ep-6, -0x1.ab1a128ccc117p-6, -0x1.a576c106fb4dcp-6, -0x1.9fd9df277c872p-6, -0x1.9a43b87c2ab87p-6, -0x1.94b498397750fp-6, -0x1.8f2cc72a5c543p-6, -0x1.89ac8b7a9ddabp-6, -0x1.843428c9c7d8dp-6, -0x1.7ec3e03144155p-6, -0x1.795bf084a4013p-6, -0x1.73fc95c7a93ccp-6, -0x1.6ea60a65ca7d1p-6, -0x1.6958862a3a552p-6, -0x1.64143ee71f54bp-6, -0x1.5ed968d0ada48p-6, -0x1.59a83596a69cp-6, -0x1.5480d42c5edd7p-6, -0x1.4f63725f3f271p-6, -0x1.4a503b7f8de9p-6, -0x1.4547584960bdap-6, -0x1.4048ee2d4e4ffp-6, -0x1.3b5521d3901b4p-6, -0x1.366c1581fe4aap-6, -0x1.318de9bffcd2ep-6, -0x1.2cbabd9500d22p-6, -0x1.27f2ae8e8b148p-6, -0x1.2335d8a10c72fp-6, -0x1.1e8456375cc52p-6, -0x1.19de40fc0b8abp-6, -0x1.1543abe73b973p-6, -0x1.10b4ac83e0bbep-6, -0x1.0c3154802b615p-6, -0x1.07b9b2533c36bp-6, -0x1.034dd3b2ec231p-6, -0x1.fddb89e82ea6bp-7, -0x1.f53328b18509dp-7, -0x1.eca29abd715e5p-7, -0x1.e429f8b53ccf7p-7, -0x1.dbc95fd4eaa4dp-7, -0x1.d380e7e101c2fp-7, -0x1.cb50a25a23a7dp-7, -0x1.c3389c41ac683p-7, -0x1.bb38dbb716f7p-7, -0x1.b351588694453p-7, -0x1.ab82041023ce6p-7, -0x1.a3cac811fe189p-7, -0x1.9c2b8a365822bp-7, -0x1.94a432d14941cp-7, -0x1.8d34afbbba105p-7, -0x1.85dcf96884111p-7, -0x1.7e9cffe6485fep-7, -0x1.7774fd7d65038p-7, -0x1.7064d745af9fbp-7, -0x1.696cb565725c6p-7, -0x1.628ca3676a8f4p-7, -0x1.5bc4a3642ad2bp-7, -0x1.5514a4af40b33p-7, -0x1.4e7c821da9f69p-7, -0x1.47fc022709276p-7, -0x1.4192db6b5eb02p-7, -0x1.3b40bbe46d463p-7, -0x1.3505521f05c5cp-7, -0x1.2ee0568a8945cp-7, -0x1.28d193160af62p-7, -0x1.22d8e76fc6fafp-7, -0x1.1cf649761093ap-7, -0x1.1729c26c1fc83p-7, -0x1.11736e0f0951ap-7, -0x1.0bd35510fa4e7p-7, -0x1.0649882d7f892p-7, -0x1.00d60a07511cap-7, -0x1.f6f1775ae9e8dp-8, -0x1.ec62cc9d4468cp-8, -0x1.e1ff7ee9a827ep-8, -0x1.d7c6e011482a7p-8, -0x1.cdb809c449c46p-8, -0x1.c3d2728f13dbap-8, -0x1.ba153dc344651p-8, -0x1.b07ff7024cffap-8, -0x1.a7123a53b7486p-8, -0x1.9dcbd2bb563fdp-8, -0x1.94ac98b660328p-8, -0x1.8bb4763c4aacap-8, -0x1.82e35d1767831p-8, -0x1.7a391e9cb483fp-8, -0x1.71b576677060fp-8, -0x1.695801be92433p-8, -0x1.6120421494fdp-8, -0x1.590da3932e19dp-8, -0x1.511f893e6f12bp-8, -0x1.49555929e9597p-8, -0x1.41ae88989493ap-8, -0x1.3a2aa4459b4d1p-8, -0x1.32c95647103b7p-8, -0x1.2b8a5d2df10c5p-8, -0x1.246d89721094ap-8, -0x1.1d72af2f79184p-8, -0x1.16999b0b1527ap-8, -0x1.0fe208c709c2p-8, -0x1.094b9d8582767p-8, -0x1.02d5e60b00aa1p-8, -0x1.f900b1bf2fdffp-9, -0x1.ec94b6e3661e8p-9, -0x1.e066947e1b647p-9, -0x1.d475051e91058p-9, -0x1.c8bedac46b5aap-9, -0x1.bd43069f09941p-9, -0x1.b200af8e7880dp-9, -0x1.a6f6fe9f497edp-9, -0x1.9c2575b0f0148p-9, -0x1.918b053350942p-9, -0x1.872701907c84cp-9, -0x1.7cf904eb85ba7p-9, -0x1.73004fb5fbf38p-9, -0x1.693c6b94418d8p-9, -0x1.5facf4411997ep-9, -0x1.56517f815f992p-9, -0x1.4d29a21fa5412p-9, -0x1.44346d780a2d6p-9, -0x1.3b7125f733c19p-9, -0x1.32deda0b0cfa3p-9, -0x1.2a7cff8e810c6p-9, -0x1.224b1edc7b7bdp-9, -0x1.1a49185977e2dp-9, -0x1.1276ca2e6f1b4p-9, -0x1.0ad3bc490cbe4p-9, -0x1.035ed2c784031p-9, -0x1.f82c75124be7dp-10, -0x1.e9ef290e2956dp-10, -0x1.dc00df4e8291fp-10, -0x1.ce5d9745b3bd4p-10, -0x1.c10306334b2d5p-10, -0x1.b3f0ad642bcbp-10, -0x1.a72703b8d0a89p-10, -0x1.9aa73dea0413ep-10, -0x1.8e71a0b7514fp-10, -0x1.8285a48cc9d55p-10, -0x1.76e22f6db17eap-10, -0x1.6b86345bceea4p-10, -0x1.607151c3a88a8p-10, -0x1.55a41b4d236d9p-10, -0x1.4b1fe26f2b16fp-10, -0x1.40e65ef012b2bp-10, -0x1.36f7b358d6207p-10, -0x1.2d52e73394e6cp-10, -0x1.23f5a2b545b9ep-10, -0x1.1adaa321518cdp-10, -0x1.11fcfba976c4p-10, -0x1.0955fe53e5b22p-10, -0x1.00e2759f1e746p-10, -0x1.f13fd2148d4c2p-11, -0x1.e11b64752f6f1p-11, -0x1.d15793284f46p-11, -0x1.c1f445f646a63p-11, -0x1.b2f10800ea203p-11, -0x1.a44d97864745fp-11, -0x1.960a66738fce7p-11, -0x1.8828aec9cf18ap-11, -0x1.7aaa1262e6ac7p-11, -0x1.6d8fe83558bdcp-11, -0x1.60daafdad62b3p-11, -0x1.5489e8e48e8dbp-11, -0x1.489c6d7a29ce8p-11, -0x1.3d10ca2148a9bp-11, -0x1.31e4f7599d08fp-11, -0x1.2715adb7fef1p-11, -0x1.1c9d2e5ae952ep-11, -0x1.1276f7f5a4ebfp-11, -0x1.089be284e346cp-11, -0x1.fe1137500a084p-12, -0x1.eb76f505a26bcp-12, -0x1.d96768b05cab5p-12, -0x1.c7df7ec443defp-12, -0x1.b6d943f2a1166p-12, -0x1.a64d2411baep-12, -0x1.96347333500f5p-12, -0x1.868da5865ecb5p-12, -0x1.775ced615d1efp-12, -0x1.68a9bbc100d25p-12, -0x1.5a791eaeaa4a2p-12, -0x1.4cc9ad3f5df6ep-12, -0x1.3f951812da5f5p-12, -0x1.32d2e22972573p-12, -0x1.267dfedd6c0bfp-12, -0x1.1a964f77d89dap-12, -0x1.0f1d951938baap-12, -0x1.04159f6994bd9p-12, -0x1.f2f7e4ca832a8p-13, -0x1.de927874548bep-13, -0x1.cae913ae1df4dp-13, -0x1.b7e53344d3203p-13, -0x1.a57b131433579p-13, -0x1.93af9a6f65445p-13, -0x1.828b52a7592dbp-13, -0x1.721729c9f6ab1p-13, -0x1.624d53006344bp-13, -0x1.53257fa17a8f5p-13, -0x1.448ccbdabf8ep-13, -0x1.368587077e958p-13, -0x1.2909aa843ec4dp-13, -0x1.1c1429213ccadp-13, -0x1.0f9ee952850a2p-13, -0x1.03a74a776e167p-13, -0x1.f057cef2d979ep-14, -0x1.da563d1f0c964p-14, -0x1.c534f3bf17379p-14, -0x1.b0ef1a26519cfp-14, -0x1.9d9ee1621e44p-14, -0x1.8b5119ceafde9p-14, -0x1.7a08c2cd6ec3bp-14, -0x1.69b3c3cefed66p-14, -0x1.5a3019b8d20e1p-14, -0x1.4b528bbd211f2p-14, -0x1.3cfa77e75ce6p-14, -0x1.2f2c1f73d1e82p-14, -0x1.2208886bb81edp-14, -0x1.15a0e61531177p-14, -0x1.09e469c4fa106p-14, -0x1.fd86c78670efp-15, -0x1.e8a00dade4009p-15, -0x1.d52a734872034p-15, -0x1.c30f12dc3ff14p-15, -0x1.b22b6d6d700dfp-15, -0x1.a22e660b4298ap-15, -0x1.92e82c941b826p-15, -0x1.8459b98dea9abp-15, -0x1.76aac2a1490b8p-15, -0x1.69f306113f2d3p-15, -0x1.5e1adbc0b287p-15, -0x1.52fc2fedd1303p-15, -0x1.48b41576b0eafp-15, -0x1.3f61a5df223aap-15, -0x1.36f9e2add0647p-15, -0x1.2f6db1e777346p-15, -0x1.28a3c5e22173fp-15, -0x1.227f403af26dbp-15, -0x1.1cd44be6fd797p-15, -0x1.178ee2e7b8a99p-15, -0x1.12d5a29fda15bp-15, -0x1.0ebff8c470ad9p-15, -0x1.0b26b2d1f58e8p-15, -0x1.07f693156d8bfp-15, -0x1.054f07733b0b6p-15, -0x1.033bae7cbae45p-15, -0x1.01aa6fe27bd06p-15, -0x1.008c9b82920ddp-15, -0x1.ffc106945e6bep-16, -0x1.ff452f26e73ecp-16, -0x1.ff8042dbe83f6p-16, -0x1.001864a1de506p-15, -0x1.00a98ed0584cap-15, -0x1.018dcd9d6cc57p-15, -0x1.02c4c4897d5c8p-15, -0x1.043310f8df4c1p-15, -0x1.05d9f47ccffd3p-15, -0x1.07df7a57754aap-15, -0x1.0a084a50acb5ep-15, -0x1.0c8b812905049p-15, -0x1.0f31b45650036p-15, -0x1.12065b52d7dc4p-15, -0x1.150fa7b751141p-15, -0x1.1843fa0dc0669p-15, -0x1.1b84dba648335p-15, -0x1.1efe5f5184223p-15, -0x1.2284de06c9b69p-15, -0x1.261951891b1b8p-15, -0x1.29cf9e95a5c33p-15, -0x1.2daadeccc4ff3p-15, -0x1.319a5e9cc37b8p-15, -0x1.3594c3c06f604p-15, -0x1.39a7b4538b246p-15, -0x1.3dafd4e1fdf59p-15, -0x1.41cc09068e5bdp-15, -0x1.45f76ce80827cp-15, -0x1.4a2ed00cb4aeep-15, -0x1.4e77e7f3abcc8p-15, -0x1.52af1441570ddp-15, -0x1.56ea247358fefp-15, -0x1.5b202688326d1p-15, -0x1.5f4e51ab9956dp-15, -0x1.6380f1e038c17p-15, -0x1.67b2ff6f2f24p-15, -0x1.6bdba56ba8bf8p-15, -0x1.6ff8dbc1fd11fp-15, -0x1.7419750e2a881p-15, -0x1.780636cc79531p-15, -0x1.7c0641326800fp-15, -0x1.7ff7fe56522a1p-15, -0x1.83df201d681dp-15, -0x1.87b28ec5e06edp-15, -0x1.8b7000aaca7ep-15, -0x1.8f1b80d13006cp-15, -0x1.92b66f39e1a3fp-15, -0x1.964253545b4d1p-15, -0x1.99b8e319acc73p-15, -0x1.9d19842c11757p-15, -0x1.a06433e02b8e5p-15, -0x1.a3989ff2a29bdp-15, -0x1.a6b65ba8ad09ep-15, -0x1.a9bd191758289p-15, -0x1.aca4f03648adap-15, -0x1.af791460e1e61p-15, -0x1.b245d4545d373p-15, -0x1.b4edf80429909p-15, -0x1.b77af22071b66p-15, -0x1.b9ed24a6cc11dp-15, -0x1.bc46f5deba02dp-15, -0x1.be876402d3a05p-15, -0x1.c0ace9b965e38p-15, -0x1.c2b793d6a379ap-15, -0x1.c4a79545475e4p-15, -0x1.c67bee44f8935p-15, -0x1.c836327685f96p-15, -0x1.c9d4dac1cc826p-15, -0x1.cb5816b361ff2p-15, -0x1.ccc2656da3fcfp-15, -0x1.ce1aa13396e63p-15, -0x1.cf3da054bcdd5p-15, -0x1.d05fa723931a4p-15, -0x1.d15303d673abcp-15, -0x1.d22fad380d086p-15, -0x1.d2f603d87502ep-15, -0x1.d3a07dda52c4fp-15, -0x1.d42ffbbeaf144p-15, -0x1.d4a73d6640602p-15, -0x1.d4f3d1625a7b5p-15, -0x1.d53d80b2cd4bbp-15, -0x1.d562616c2b341p-15, -0x1.d56d7a9621b67p-15, -0x1.d55eea53bfe18p-15, -0x1.d53670fae00f9p-15, -0x1.d4f3f550eaed5p-15, -0x1.d4993f85f0bedp-15, -0x1.d425e47dc8605p-15, -0x1.d399093282768p-15, -0x1.d2f424476e925p-15, -0x1.d2372157517adp-15, -0x1.d1628b4b623acp-15, -0x1.d07676ceb522dp-15, -0x1.cf7339a3c77ffp-15, -0x1.ce59349e01e12p-15, -0x1.cd28c7870aefap-15, -0x1.cbe1da01096e6p-15, -0x1.ca84f1147af53p-15, -0x1.c912d29b62ea4p-15, -0x1.c78ca3e75a9c5p-15, -0x1.c5e51510b8c45p-15, -0x1.c43c61d7d2bf1p-15, -0x1.c27ac4fce1c2ap-15, -0x1.c0a1322f8b5dcp-15, -0x1.beb4ccaca01fdp-15, -0x1.bcb5bfe4d9dcep-15, -0x1.baa3f86e7a4c3p-15, -0x1.b880272ae2d7fp-15, -0x1.b64a34afa9fe5p-15, -0x1.b402b2f3d1c33p-15, -0x1.b1aa30d32d7fdp-15, -0x1.af41c7e6440cp-15, -0x1.ace13c5e5d34ep-15, -0x1.aa3c0d839728ap-15, -0x1.a7a86cbd38952p-15, -0x1.a4fa71200951cp-15, -0x1.a24273b81c244p-15, -0x1.9f7ebc90a8189p-15, -0x1.9cb64b96e4bcep-15, -0x1.99d67f7ef6623p-15, -0x1.96d8c3b150583p-15, -0x1.93dcd21bf92e7p-15, -0x1.90d4501782d37p-15, -0x1.8dbe57d5ba879p-15, -0x1.8a9fd18bae65ep-15, -0x1.8770355150464p-15, -0x1.843b3eed33c09p-15, -0x1.80f92f97dc187p-15, -0x1.7dace504cdbc2p-15, -0x1.7a565871ccd6cp-15, -0x1.76f648fa70fe7p-15, -0x1.738cf034c4a53p-15, -0x1.701aeca9a3c9dp-15, -0x1.6ca01de95fcdfp-15, -0x1.691cce4bfb174p-15, -0x1.65916c0965226p-15, -0x1.61ff05e1b1b6fp-15, -0x1.5e6593ca19931p-15, -0x1.5ac4ef109bc17p-15, -0x1.571db094d331ep-15, -0x1.537044c9696edp-15, -0x1.4fbd30a45f51fp-15, -0x1.4c041d7eec86p-15, -0x1.48460802771dap-15, -0x1.44832283dc748p-15, -0x1.40bb7193c5e84p-15, -0x1.3cef4ee20e493p-15, -0x1.391f4227422bep-15, -0x1.354b80865ac72p-15, -0x1.31744fdc6f95fp-15, -0x1.2d99f0e9b50e8p-15, -0x1.29bc8fb96850ep-15, -0x1.25deb1a25afa1p-15, -0x1.21fa3dd161412p-15, -0x1.1e161ce175245p-15, -0x1.1a3178bb6d1adp-15, -0x1.1645015daf9ebp-15, -0x1.12591521b3bf2p-15, -0x1.0e76470b12b69p-15, -0x1.0a82c14ccc18cp-15, -0x1.06a10bb915a9bp-15, -0x1.02b73aa8fb431p-15, -0x1.fd989c6b2821dp-16, -0x1.f5c2edf5758bbp-16, -0x1.eded55304e4b4p-16, -0x1.e62216721d0c6p-16, -0x1.de47215afeaf7p-16, -0x1.d679e7ab5f6a1p-16, -0x1.ceae4b861e156p-16, -0x1.c6e60fd302d24p-16, -0x1.bf00c750afa69p-16, -0x1.b742ce2721b86p-16, -0x1.af9ff961e5442p-16, -0x1.a7e5c25812e29p-16, -0x1.a02f0692dbdfbp-16, -0x1.98634eaa53a58p-16, -0x1.90e52f9eae2ecp-16, -0x1.895f5128b7628p-16, -0x1.819cf08627d0bp-16, -0x1.7a04b68f13bd8p-16, -0x1.7276647b3d464p-16, -0x1.6aefdf8080f1fp-16, -0x1.637169d3725e1p-16, -0x1.5bf940ebaf2c4p-16, -0x1.548a4399fd1eap-16, -0x1.4d240eaf081e5p-16, -0x1.45c6871cb3b39p-16, -0x1.3e71244a7660ap-16, -0x1.373073e0567p-16, -0x1.2fe505f0fd4a6p-16, -0x1.28b029d943b59p-16, -0x1.2183c533f7cacp-16, -0x1.1a6194652ae89p-16, -0x1.134a106af26cap-16, -0x1.0c3d93d730d7bp-16, -0x1.053bc05b8ae95p-16, -0x1.fc880edbc0b82p-17, -0x1.eecb2e51ba927p-17, -0x1.e0f624815f6d6p-17, -0x1.d34f7d4dba6e5p-17, -0x1.c5c1f874b2d94p-17, -0x1.b84e251200be3p-17, -0x1.aaef3af801c64p-17, -0x1.9dabbe8fac09p-17, -0x1.908130ca46832p-17, -0x1.836f6ef7f0ba7p-17, -0x1.76781404383eap-17, -0x1.69dd7531813a7p-17, -0x1.5cd7b06bfb865p-17, -0x1.5032e3d2f0978p-17, -0x1.43a9964b4e6fep-17, -0x1.37391c394ec0cp-17, -0x1.2ae34bbd53586p-17, -0x1.1ea9b851ca539p-17, -0x1.128c2def3e7e7p-17, -0x1.0689ffbfc4209p-17, -0x1.f54af9e38cf4ep-18, -0x1.ddb6244884f29p-18, -0x1.c65f94b3690ep-18, -0x1.af3ec14148f11p-18, -0x1.985c2da453b84p-18, -0x1.81aa18dbbe413p-18, -0x1.6b38f8d2b0284p-18, -0x1.550534a333115p-18, -0x1.3f0a9bb59979cp-18, -0x1.294cf284615e4p-18, -0x1.14251a8d7bcdbp-18, -0x1.fcf5f3cde4d23p-19, -0x1.d2cd4fa951a1dp-19, -0x1.a91c2e7821a21p-19, -0x1.7fe531f018484p-19, -0x1.572582e794904p-19, -0x1.2ed5194343e82p-19, -0x1.078724e18820bp-19, -0x1.c0935b9ebd754p-20, -0x1.71e681c45a387p-20, -0x1.24ebef7ccd021p-20, -0x1.b1dea99541c93p-21, -0x1.1c18184f80d98p-21, -0x1.1028d627abd78p-22, 0x1.395fb2ef9d3ebp-26, 0x1.2dd74c8d81fbap-22, 0x1.2709140f66e13p-21, 0x1.b5fddc988c02p-21, 0x1.202f79b1f654dp-20, 0x1.64d83bf6f50c7p-20, 0x1.a815423e6315cp-20, 0x1.eaa74a6c7544p-20, 0x1.1649cc24d0859p-19, 0x1.36ca4149d7d21p-19, 0x1.567851493b4dbp-19, 0x1.764175bb7b6c5p-19, 0x1.954a39ca97c56p-19, 0x1.b3d70738e7c82p-19, 0x1.d1f958caee0d3p-19, 0x1.efad19382c3e8p-19, 0x1.067aeb3db86d3p-18, 0x1.14dbba813770ep-18, 0x1.230b7b4cfaa87p-18, 0x1.310c9fa7878eep-18, 0x1.3ec19ff38f137p-18, 0x1.4c479e136c434p-18, 0x1.5999952031fe3p-18, 0x1.66b863306f43dp-18, 0x1.72f748a70da31p-18, 0x1.8049ab17fbafbp-18, 0x1.8cb2697105f39p-18, 0x1.98ef7474c516cp-18, 0x1.a53d1057ad8a1p-18, 0x1.b0ca16547e15cp-18, 0x1.bc65d43df55f1p-18, 0x1.c7c67c284c8acp-18, 0x1.d36ef27a389eap-18, 0x1.de003ffc97b28p-18, 0x1.e8d0911871057p-18, 0x1.f36f9f8db42a3p-18, 0x1.fdb779775a562p-18, 0x1.04052676c3398p-17, 0x1.0901db1c5835cp-17, 0x1.0debda79c6271p-17, 0x1.12fff4c592f46p-17, 0x1.176ea5014ea83p-17, 0x1.1c09d7a40680ep-17, 0x1.208e18bb3b1cdp-17, 0x1.251606961be11p-17, 0x1.28b60b8b37f3p-17, 0x1.2d89c21d0d8cp-17, 0x1.31b3327950965p-17, 0x1.35c3403a7e7fp-17, 0x1.39ba7e87ee3f5p-17, 0x1.3d9b6780cc023p-17, 0x1.4165ac2436a1dp-17, 0x1.44d65e69e6c5bp-17, 0x1.48bd4a92c35c3p-17, 0x1.4c3caa57a8041p-17, 0x1.4fac84b3a71f6p-17, 0x1.52fdd4d40e846p-17, 0x1.5648d057b7b1bp-17, 0x1.59d353683235bp-17, 0x1.5c8bc5e1db021p-17, 0x1.5fa0e712967aap-17, 0x1.629478c2bfb18p-17, 0x1.6570067068104p-17, 0x1.683864662bcbbp-17, 0x1.6aed24c4d6d6ap-17, 0x1.6d8d1069e65f6p-17, 0x1.701abd20aca24p-17, 0x1.72943fbf8c865p-17, 0x1.74fbad50ae2bp-17, 0x1.774d07d53ad1p-17, 0x1.791e00562f2dep-17, 0x1.7bbda8dd51e96p-17, 0x1.7dd62c7cda65bp-17, 0x1.801aec7081ceep-17, 0x1.81d9f818ced85p-17, 0x1.83c3d8a5accbp-17, 0x1.859d2a988b07dp-17, 0x1.870be574e3be7p-17, 0x1.89144b66f7cdfp-17, 0x1.8aaecedd9a598p-17, 0x1.8c3940511330cp-17, 0x1.8d7d87636facbp-17, 0x1.8f2609e34c85fp-17, 0x1.90878472229f6p-17, 0x1.91d654509579bp-17, 0x1.931539379a765p-17, 0x1.943e1bd3e1fb1p-17, 0x1.956423ca4ad86p-17, 0x1.96734c476b73ep-17, 0x1.976a9ca51ca41p-17, 0x1.98a20ec2f34bfp-17, 0x1.994a22711f96p-17, 0x1.9a26d7a98d576p-17, 0x1.9aef61aa8c73ep-17, 0x1.9b9e114bfbbf2p-17, 0x1.9c5925ff4b82ap-17, 0x1.9cf39c5f4190ap-17, 0x1.9d1ddba4771c1p-17, 0x1.9e0a8cb3b6dd2p-17, 0x1.9e7b58dbacffp-17, 0x1.9ee2919c7f5b1p-17, 0x1.9f3f07c134512p-17, 0x1.9f8f1c7590eccp-17, 0x1.9fd19a8299a78p-17, 0x1.a009d8c468ffbp-17, 0x1.a0396ab81c366p-17, 0x1.a0345ce29a526p-17, 0x1.a0b401e9df94dp-17, 0x1.a07712192f92dp-17, 0x1.a076d7361b4dep-17, 0x1.a062152ff8d33p-17, 0x1.a04a78fac5c2cp-17, 0x1.a027a41f47525p-17, 0x1.9ffc3f0bdfd09p-17, 0x1.a0144d0b37aacp-17, 0x1.9f84f4f883e41p-17, 0x1.9f32fe033f40bp-17, 0x1.9edc992e9af0cp-17, 0x1.9e7f1b146a246p-17, 0x1.9e30578c4ed36p-17, 0x1.9da086ddef2e2p-17, 0x1.9d22a991f2ee9p-17, 0x1.9c9c1d814c925p-17, 0x1.9c0c51dc8ae19p-17, 0x1.9b74411b65b9ap-17, 0x1.9b44cefae9652p-17, 0x1.9a313966b0f96p-17, 0x1.99b6ff889eafcp-17, 0x1.98c1efbb49cep-17, 0x1.97ef6ae81b017p-17, 0x1.973885544451ap-17, 0x1.966a97e70eef7p-17, 0x1.959116ee51424p-17, 0x1.94b366fc2e74fp-17, 0x1.93cbe741715f1p-17, 0x1.92e08589d2386p-17, 0x1.91f9c3943bd03p-17, 0x1.910ca793355a1p-17, 0x1.8feca7b9a4fbbp-17, 0x1.8ee835bf17029p-17, 0x1.8dd31eb0fc391p-17, 0x1.8cbd2be24e7d6p-17, 0x1.8b9e663883ff9p-17, 0x1.8ac65a725daecp-17, 0x1.895530a4d6062p-17, 0x1.88295383cee6ap-17, 0x1.86f683aa884cep-17, 0x1.85bdbf80753e4p-17, 0x1.847f5de9cc45ap-17, 0x1.833ab144625ecp-17, 0x1.81fa8808c28e1p-17, 0x1.80e4891404efap-17, 0x1.7f512401e71fp-17, 0x1.7df9b883cdc72p-17, 0x1.7c9e17d93ae37p-17, 0x1.7b3d5a651281ap-17, 0x1.79d7cc0fd6e57p-17, 0x1.786dec8812759p-17, 0x1.76ffd9f7018e9p-17, 0x1.758da03e43fddp-17, 0x1.74109e26c62cbp-17, 0x1.728d71a094101p-17, 0x1.711789d21c4ep-17, 0x1.700c0619ca381p-17, 0x1.6e25793164282p-17, 0x1.6c904d3f9a1b4p-17, 0x1.6b11152fe12a8p-17, 0x1.6974288049d6ap-17, 0x1.67e1bb6e6f529p-17, 0x1.664baee40ceb5p-17, 0x1.64b20e670e111p-17, 0x1.63143e3cbd6fp-17, 0x1.617486fd04154p-17, 0x1.5fb13f1263288p-17, 0x1.5e3047d96d2e8p-17, 0x1.5c8d0625f89dep-17, 0x1.5ae11531a5ce4p-17, 0x1.593277bc134d2p-17, 0x1.578cf227a28c6p-17, 0x1.55dba76a783f1p-17, 0x1.542b7df56be7fp-17, 0x1.5276112abfe2p-17, 0x1.50c14d9b791f1p-17, 0x1.4f09a75707a2dp-17, 0x1.4d50eb828b91dp-17, 0x1.4b9566b6cae67p-17, 0x1.49d468ce14994p-17, 0x1.4858fa081b9c7p-17, 0x1.4655579912942p-17, 0x1.4499554a587b6p-17, 0x1.42d0df339e308p-17, 0x1.40f5b3a2729cdp-17, 0x1.3f4949f73b62ep-17, 0x1.3d81b80f2d8a3p-17, 0x1.3bc11ae4f05e8p-17, 0x1.39f500524666cp-17, 0x1.387cc23eaeb6fp-17, 0x1.3669c7c61aaeap-17, 0x1.349a290b2a1bbp-17, 0x1.32cfc54a16d8ap-17, 0x1.3104908bd0cp-17, 0x1.2f37dfd272f44p-17, 0x1.2d68faf56846cp-17, 0x1.2bb7be9794e72p-17, 0x1.29c2365aaa7d2p-17, 0x1.28006941b62eep-17, 0x1.262adc1eaa562p-17, 0x1.2457787e6aed6p-17, 0x1.228f127d9c1a9p-17, 0x1.20c2c87536ad5p-17, 0x1.1ef40d1980adbp-17, 0x1.1d240d5cfe75fp-17, 0x1.1b538a8642a1dp-17, 0x1.198d365e88b28p-17, 0x1.1747004bdbff2p-17, 0x1.15e1680c75d2dp-17, 0x1.1414ac161b93ap-17, 0x1.1245ed04b6b7p-17, 0x1.10d90dda80d9ap-17, 0x1.0ea61a4b66318p-17, 0x1.0cf54d995a22cp-17, 0x1.0b18d9e687a77p-17, 0x1.094534322792dp-17, 0x1.0779516b143e7p-17, 0x1.05adb43a7a273p-17, 0x1.03e2b26293f2dp-17, 0x1.01f9d406b3679p-17, 0x1.004e7742dc3c5p-17, 0x1.fd091ec04c52fp-18, 0x1.f97ae6eada4d6p-18, 0x1.f5edc9c7b97e9p-18, 0x1.f27293181adap-18, 0x1.eec614d847949p-18, 0x1.eb407552cf255p-18, 0x1.e7befc688928bp-18, 0x1.e444da61c7796p-18, 0x1.e0bca67d5b5c1p-18, 0x1.dd36adc763b91p-18, 0x1.d9b58ecf5796p-18, 0x1.d637e66576bf6p-18, 0x1.d2b67b71ca319p-18, 0x1.cf086cc1fc71fp-18, 0x1.cbcc2a36e26d3p-18, 0x1.c758692b2a77ap-18, 0x1.c4d6c7ea788acp-18, 0x1.c18af2ba7bda5p-18, 0x1.be20169ace319p-18, 0x1.bae5c4cdf4c31p-18, 0x1.b7312885e821fp-18, 0x1.b3d4fac70b5p-18, 0x1.b0956990da815p-18, 0x1.ad22557d5814p-18, 0x1.a99c673bc8a6ap-18, 0x1.a65e3687f17f5p-18, 0x1.a3063513783d3p-18, 0x1.9fb6e8b1bb8c5p-18, 0x1.9c67cc9377849p-18, 0x1.991d925d585fep-18, 0x1.95dcd0c9dc517p-18, 0x1.928e954ae352cp-18, 0x1.8f4b18a01cf8ep-18, 0x1.8c0071e94a331p-18, 0x1.880bc3aba2674p-18, 0x1.858d06955996ep-18, 0x1.8256214397526p-18, 0x1.7f265c46c6041p-18, 0x1.7bf8186d9652ep-18, 0x1.78cc373a9a9ep-18, 0x1.75a332352f78cp-18, 0x1.7276009cc30efp-18, 0x1.6ef068c21b492p-18, 0x1.6c38fc1899485p-18, 0x1.69239b658be1ap-18, 0x1.66091104420a3p-18, 0x1.63689daaf57ccp-18, 0x1.603d75ab01423p-18, 0x1.5cda3ef706525p-18, 0x1.59cd946e8513ep-18, 0x1.564ac73dbe4acp-18, 0x1.53c6e340d143dp-18, 0x1.50ce7c306ee17p-18, 0x1.4dd638adfe177p-18, 0x1.4adb816312483p-18, 0x1.47eca6f792255p-18, 0x1.450205abbb00dp-18, 0x1.4214d17b65a6ap-18, 0x1.3f2eb79e0e594p-18, 0x1.3c4c532613468p-18, 0x1.396d9a9f39916p-18, 0x1.369535d284d5p-18, 0x1.33b961ad5164fp-18, 0x1.30e9de9b9826p-18, 0x1.2e1752feec6efp-18, 0x1.2b4722dfa1ae3p-18, 0x1.287e59e36e809p-18, 0x1.258e6ba027849p-18, 0x1.22f69bc54e4a5p-18, 0x1.20404c7b43324p-18, 0x1.1d8d1e7638949p-18, 0x1.1ad8923bd089ap-18, 0x1.18260920a0e0ap-18, 0x1.1567791b4e461p-18, 0x1.12d6a476ed0cfp-18, 0x1.1030d1efcee2ep-18, 0x1.0d8c935900d7ep-18, 0x1.0aec0be6b4483p-18, 0x1.085175e06b93ep-18, 0x1.05b5b9f50eeadp-18, 0x1.03b371c22b867p-18, 0x1.00f1ed705de72p-18, 0x1.fc09a096c8b48p-19, 0x1.f71e53cf1c065p-19, 0x1.f29022f13241cp-19, 0x1.ed57ce560f51bp-19, 0x1.e7f72f4ce6152p-19, 0x1.e32a190af0d47p-19, 0x1.de85837a350eap-19, 0x1.d9d8536919a3ap-19, 0x1.d5285442e86dap-19, 0x1.d03d0683ff3d6p-19, 0x1.cb7ca97503107p-19, 0x1.c6baa64a7ac44p-19, 0x1.c20586f9a934cp-19, 0x1.bd5820fd8dff7p-19, 0x1.b8b366a7dc727p-19, 0x1.b410d33da5d95p-19, 0x1.af81231dcef3ap-19, 0x1.aaf462f0b4b85p-19, 0x1.a67070528c91fp-19, 0x1.a1f2dbdcf232cp-19, 0x1.9e25bea3e1ee5p-19, 0x1.99078cefdcfd3p-19, 0x1.94af47a0cd461p-19, 0x1.908e4a64e1cccp-19, 0x1.8c097011601a6p-19, 0x1.87ac7b23604e2p-19, 0x1.836f67bf884eep-19, 0x1.7f3bacd400215p-19, 0x1.7afd263799a06p-19, 0x1.76afdf8ad4f74p-19, 0x1.727a6bfb6b78dp-19, 0x1.6e8d9270d846ep-19, 0x1.6a76de0e4e15ep-19, 0x1.6668ac9a1df16p-19, 0x1.6284dbb519faep-19, 0x1.5e61f61d7a08p-19, 0x1.5a04895e66d38p-19, 0x1.5676f25cd692p-19, 0x1.5291235345a23p-19, 0x1.4eb073c55bbd8p-19, 0x1.4ad7a409772eep-19, 0x1.470614b49615bp-19, 0x1.430846346b9bbp-19, 0x1.3f87eaddd1324p-19, 0x1.3bb8b32cfed73p-19, 0x1.3809e482319bdp-19, 0x1.345018a79cc02p-19, 0x1.30b15966cec09p-19, 0x1.2d32428689afap-19, 0x1.29759848ff9e8p-19, 0x1.25e72d5c0086p-19, 0x1.225f6d87f2e39p-19, 0x1.1edbf259bb672p-19, 0x1.1b5f21dfbcdd7p-19, 0x1.17f35ac9566f3p-19, 0x1.147d81d5051c1p-19, 0x1.1118a4a436a87p-19, 0x1.0e016669c26ffp-19, 0x1.0ad4d6e4b57b8p-19, 0x1.070c5c6901382p-19, 0x1.03c849a62a52cp-19, 0x1.004885131bf5dp-19, 0x1.fa8c50ad8de53p-20, 0x1.f4215cdfd7ap-20, 0x1.edbfed456b947p-20, 0x1.e78e5f140b749p-20, 0x1.e11ec08e7cc2ep-20, 0x1.db00d0fa5238fp-20, 0x1.d4e2f97e35606p-20, 0x1.ceaabeaf55c24p-20, 0x1.c88e41ca88dafp-20, 0x1.c2a0b0d6ab04cp-20, 0x1.bc5594752412dp-20, 0x1.b6c7c7ea6ce38p-20, 0x1.b0aaed0102abap-20, 0x1.abb62dc9e82e9p-20, 0x1.a54e51da71112p-20, }}, 
      {{0x1.554baa5f2d822p-3, 0x1.64b84b866c3b3p-3, 0x1.7c534a8ee1c84p-3, 0x1.99da38f04ae42p-3, 0x1.bb0752cb97267p-3, 0x1.ddc5ee96fd254p-3, 0x1.00275aa588342p-2, 0x1.1098477e0f04ep-2, 0x1.1fa78bb80f80ep-2, 0x1.2cedff155cb7cp-2, 0x1.3826b19e6e3c2p-2, 0x1.4129b2b5e707dp-2, 0x1.47e6f69c5a69ap-2, 0x1.4c618b2f2e0a5p-2, 0x1.4eab3c676e072p-2, 0x1.4ee10415c0c2cp-2, 0x1.4d27e1928903cp-2, 0x1.49a9efb552acp-2, 0x1.449488447b56fp-2, 0x1.3e16383c46acfp-2, 0x1.365da6ec129b6p-2, 0x1.2d98443942f84p-2, 0x1.23f1aa4ec333dp-2, 0x1.199311122464cp-2, 0x1.0ea2c41a86087p-2, 0x1.03441060b319fp-2, 0x1.ef2e5f37cc461p-3, 0x1.d772183ca2af9p-3, 0x1.bf87383a4bf3bp-3, 0x1.a79b95c4dd429p-3, 0x1.8fd74504009afp-3, 0x1.785d34185dd08p-3, 0x1.614b26ec5de01p-3, 0x1.4aba6dfed372cp-3, 0x1.34c01c5a2a356p-3, 0x1.1f6d7b8450f67p-3, 0x1.0ad05ccd5d047p-3, 0x1.ede749b681a6ap-4, 0x1.c7be8cc384401p-4, 0x1.a331e337d21a8p-4, 0x1.80485a061a924p-4, 0x1.5f054b2d49b36p-4, 0x1.3f68de1a248d2p-4, 0x1.21707dc9368a3p-4, 0x1.051745fb9eb48p-4, 0x1.d4acb0b2f2dacp-5, 0x1.a24a144b94f0fp-5, 0x1.72f38da817905p-5, 0x1.4692b6c70a8acp-5, 0x1.1d1059a9c7f9ap-5, 0x1.eca6fe5286783p-6, 0x1.a48517cc4fb32p-6, 0x1.6185dd21e8052p-6, 0x1.2373e842bb23ap-6, 0x1.d432e08f8b22cp-7, 0x1.6a819ff63726cp-7, 0x1.09699d79931e7p-7, 0x1.61035fffeb8f6p-8, 0x1.7d8bf5e8a78cap-9, 0x1.5a91631c23f8ap-11, -0x1.68802d5ab870ap-10, -0x1.a4961cd0de951p-9, -0x1.3debbf116477ep-8, -0x1.9db2f022f808p-8, -0x1.f24dac06f2ce3p-8, -0x1.1e30e6928eda4p-7, -0x1.3e4766141afe6p-7, -0x1.59b6cf9b26f96p-7, -0x1.70c84d12d8952p-7, -0x1.83c1da4d81523p-7, -0x1.92e64835be961p-7, -0x1.9e754a9779051p-7, -0x1.a6ab9c4f14863p-7, -0x1.abc2f6379f2e8p-7, -0x1.adf241c571dfcp-7, -0x1.ad6da5d3e3432p-7, -0x1.aa669ed919935p-7, -0x1.a50c14628ea9cp-7, -0x1.9d8a75f3caefdp-7, -0x1.940bcdc050ef6p-7, -0x1.88b7ae526ded8p-7, -0x1.7bb4f1837e621p-7, -0x1.6d253915231cp-7, -0x1.5d2af0a5f6864p-7, -0x1.4be638e5f3257p-7, -0x1.39744973f9fffp-7, -0x1.25f15a755711p-7, -0x1.1177ebf2b7bbcp-7, -0x1.f841af1094e9bp-8, -0x1.cc070f40253a1p-8, -0x1.9e6be4d64b453p-8, -0x1.6f99840a2ac59p-8, -0x1.3fb69d05305f4p-8, -0x1.0ee7836eef93cp-8, -0x1.ba9c6c19744b1p-9, -0x1.56152d13debfp-9, -0x1.e0e9ad364f2b8p-10, -0x1.13e64690b92c5p-10, -0x1.1620c61ba5642p-12, 0x1.139f12f008059p-11, 0x1.59c65cf9d2b49p-10, 0x1.1503f9f2f0269p-9, 0x1.7d2307ab56348p-9, 0x1.e51ba7ad91f13p-9, 0x1.26662ba458216p-8, 0x1.5a0abcc4032cap-8, 0x1.8d6d0873e099dp-8, 0x1.c07fa02bb3601p-8, 0x1.f3361803c4f28p-8, 0x1.12c28682f78fap-7, 0x1.2bb11ede7e8ebp-7, 0x1.446175de62d77p-7, 0x1.5ccf84b58c2cp-7, 0x1.74f7e3d59185ap-7, 0x1.8cd57fb2751aep-7, 0x1.a465f4c4aa334p-7, 0x1.bba5cc6397832p-7, 0x1.d2927a9bff76ap-7, 0x1.e92968cd91e77p-7, 0x1.ff685d90b69c4p-7, 0x1.0aa6ae476ece9p-6, 0x1.156b4d12ac001p-6, 0x1.20014a5f07e8ap-6, 0x1.2a67f3ee230a5p-6, 0x1.349eb0729efadp-6, 0x1.3ea500227aee8p-6, 0x1.487a75aac30f9p-6, 0x1.521eb660be2a4p-6, 0x1.5b917b03c399ep-6, 0x1.64d2884d15673p-6, 0x1.6de1b6e9da75dp-6, 0x1.76beea26f320ap-6, 0x1.7f6a13faea711p-6, 0x1.87e3330f7cc2cp-6, 0x1.902a4ec6a3c18p-6, 0x1.983f7bb58a54p-6, 0x1.a022d68be6249p-6, 0x1.a7d47b03cd777p-6, 0x1.af54a55911a16p-6, 0x1.b6a37ff5ef94fp-6, 0x1.bdc14ebdd7a6ap-6, 0x1.c4ae4783e5487p-6, 0x1.cb6ab8f962da5p-6, 0x1.d1f6ef9242e7bp-6, 0x1.d8533ab3b3ef7p-6, 0x1.de7ff05d14b33p-6, 0x1.e47d69c09ad06p-6, 0x1.ea4c0307914a7p-6, 0x1.efec1c6fe939p-6, 0x1.f55e21546fd5cp-6, 0x1.faa27a51d5949p-6, 0x1.ffb94079704fp-6, 0x1.0251c3d3581d9p-5, 0x1.04b0881957811p-5, 0x1.06f94f770b516p-5, 0x1.092c4a4576d0dp-5, 0x1.0b49aef11fff5p-5, 0x1.0d51b628216d9p-5, 0x1.0f4499004cdafp-5, 0x1.1122914f6abe1p-5, 0x1.12ebd906a6be6p-5, 0x1.14a0aa7e5fc0dp-5, 0x1.16413ffb18865p-5, 0x1.17cdd4c95cdc3p-5, 0x1.1946a3d28b84cp-5, 0x1.1aabe7ddea5e6p-5, 0x1.1bfddbc347415p-5, 0x1.1d3cbad137699p-5, 0x1.1e68c0f79ff8fp-5, 0x1.1f82293646bf6p-5, 0x1.20892e9eda6ccp-5, 0x1.217e0d143144fp-5, 0x1.2260ff9447581p-5, 0x1.233240c411afp-5, 0x1.23f20c9a5ed7ap-5, 0x1.24a09db9f84bp-5, 0x1.253e2f85c1c2fp-5, 0x1.25cafce780becp-5, 0x1.264740e6e6612p-5, 0x1.26b336299d401p-5, 0x1.270f17218e907p-5, 0x1.275b1e89b7692p-5, 0x1.2797872397ea1p-5, 0x1.27c48b1f363efp-5, 0x1.27e264d68cf5p-5, 0x1.27f14e960cf08p-5, 0x1.27f181be5bb87p-5, 0x1.27e3395a2a287p-5, 0x1.27c6ae95faf08p-5, 0x1.279c1b56c22e1p-5, 0x1.2763b9684367p-5, 0x1.271dc0dada4efp-5, 0x1.26ca6d52b5a9cp-5, 0x1.2669f6e4fd748p-5, 0x1.25fc96a905c18p-5, 0x1.258287e21a1b9p-5, 0x1.24fc0777d0eb1p-5, 0x1.246930f32513ep-5, 0x1.23ca70d57d293p-5, 0x1.231fd108bca74p-5, 0x1.2269a1681cda6p-5, 0x1.21a814c99b367p-5, 0x1.20db631ab6ebp-5, 0x1.2003c479f56bap-5, 0x1.1f21709cf1d44p-5, 0x1.1e349f4726695p-5, 0x1.1d3d87eb7a98ep-5, 0x1.1c3c620c0d6ep-5, 0x1.1b316498fc2fbp-5, 0x1.1a1cc6d8e9c32p-5, 0x1.18febeffb1a42p-5, 0x1.17d784024e467p-5, 0x1.16a74c7c69e7ap-5, 0x1.156e4e6288978p-5, 0x1.142cc01b427bap-5, 0x1.12e2d6ad001f7p-5, 0x1.1190c8180bd1bp-5, 0x1.1036c9a0d52dp-5, 0x1.0ed5105ee1311p-5, 0x1.0d6bd152dd935p-5, 0x1.0bfb43aa3bed4p-5, 0x1.0a839d3de14ep-5, 0x1.0904f25eaf9b7p-5, 0x1.077fa94ce4e1bp-5, 0x1.05f3ec06c8c03p-5, 0x1.0461c7b6e15dfp-5, 0x1.02c98e0051faap-5, 0x1.012b6c2584abap-5, 0x1.ff0f26300fab1p-6, 0x1.fbbc69260115p-6, 0x1.f85f0406646ddp-6, 0x1.f4f7593d4d21p-6, 0x1.f185c9ed4c11ep-6, 0x1.ee0ab682f24a7p-6, 0x1.ea867ff9be777p-6, 0x1.e6f9845dac885p-6, 0x1.e364236625b5dp-6, 0x1.dfc6b962b36abp-6, 0x1.dc21a193ac8fdp-6, 0x1.d8753a5bdf0c9p-6, 0x1.d4c1dbbed1f38p-6, 0x1.d107e5e1b222fp-6, 0x1.cd47aac0497a3p-6, 0x1.c98180cdebc8bp-6, 0x1.c5b5c7140715fp-6, 0x1.c1e4cef4116d3p-6, 0x1.be0ef7ffbe23ep-6, 0x1.ba3476086760bp-6, 0x1.b655cb8bbd9edp-6, 0x1.b27322e5d19a6p-6, 0x1.ae8ce232cdd3bp-6, 0x1.aaa353abbbc53p-6, 0x1.a6b6c5bbe884ap-6, 0x1.a2c78679ae661p-6, 0x1.9ed5e25ad3e8cp-6, 0x1.9ae2259fda157p-6, 0x1.96ec9c0fab0bcp-6, 0x1.92f58c583ba3ep-6, 0x1.8efd40c67e26ep-6, 0x1.8b04009f0c4fep-6, 0x1.870a10cb78e67p-6, 0x1.830fb60bf4ae6p-6, 0x1.7f15359af68cap-6, 0x1.7b1ad06413b35p-6, 0x1.7720c7c836eecp-6, 0x1.73275c7878619p-6, 0x1.6f2ecd5eb2fc1p-6, 0x1.6b37589da4acep-6, 0x1.6741396a41276p-6, 0x1.634cac9b8650bp-6, 0x1.5f59ebad616eap-6, 0x1.5b692f7dab6abp-6, 0x1.577aafd69ba07p-6, 0x1.538ea34b05984p-6, 0x1.4fa53f362f831p-6, 0x1.4bbeb7aad1379p-6, 0x1.47db3fae48373p-6, 0x1.43fb0956829d9p-6, 0x1.401e46daec40ap-6, 0x1.3c452849faf95p-6, 0x1.386fc3b95db3fp-6, 0x1.349e6d8610564p-6, 0x1.30d14956718cfp-6, 0x1.2d08699e7ae0cp-6, 0x1.294404579876bp-6, 0x1.2584466cdf89ap-6, 0x1.21c95496ff433p-6, 0x1.1e13539fffc5cp-6, 0x1.1a626809842fap-6, 0x1.16b6b657af45ep-6, 0x1.131060e371039p-6, 0x1.0f6f87cc0a2abp-6, 0x1.0bd44fd671442p-6, 0x1.083ed128225f4p-6, 0x1.04af2ed2f197dp-6, 0x1.0125822db9bcfp-6, 0x1.fb43e8f16af5cp-7, 0x1.f448e3287d556p-7, 0x1.ed5add50ecb0ap-7, 0x1.e6794a096c1cfp-7, 0x1.dfa4bee2687eap-7, 0x1.d8dd4a4b49283p-7, 0x1.d223267e38e0bp-7, 0x1.cb76749ed718cp-7, 0x1.c4d75a68c0391p-7, 0x1.be460846c1138p-7, 0x1.b7c2900f047e9p-7, 0x1.b14d2248ceaf5p-7, 0x1.aae5cff9a89bdp-7, 0x1.a48cc87cc0ea4p-7, 0x1.9e421cbaad543p-7, 0x1.9805e94b7cfd2p-7, 0x1.91d8471838fb9p-7, 0x1.8bb94b5f0819fp-7, 0x1.85a90b6b6604fp-7, 0x1.7fa79b45dcfd1p-7, 0x1.79b50c5cee62ep-7, 0x1.73d16ee6ae79ap-7, 0x1.6dfcd15203198p-7, 0x1.6837416a52c68p-7, 0x1.6280c8f34cc9dp-7, 0x1.5cd972e02e091p-7, 0x1.574146842875dp-7, 0x1.51b84b6560262p-7, 0x1.4c3e883af5144p-7, 0x1.46d3ff1eb09a6p-7, 0x1.4178b57bc924ap-7, 0x1.3c2caa61e7158p-7, 0x1.36efde59dd502p-7, 0x1.31c25135862f4p-7, 0x1.2ca40090de40ap-7, 0x1.2794e8a368396p-7, 0x1.2295049c42355p-7, 0x1.1da44ec420d6fp-7, 0x1.18c2c05c5be56p-7, 0x1.13f05179aec56p-7, 0x1.0f2cf90228d94p-7, 0x1.0a78ac6440f51p-7, 0x1.05d36078b8fefp-7, 0x1.013d0920748d7p-7, 0x1.f96b33798fca8p-8, 0x1.f07a06df2f59bp-8, 0x1.e7a670d6c5442p-8, 0x1.def0521253a92p-8, 0x1.d65786e7f37afp-8, 0x1.cddbf00e2223ap-8, 0x1.c57d688bdaab9p-8, 0x1.bd3bc73e30697p-8, 0x1.b516e6187d1fap-8, 0x1.ad0e9cf45b58ap-8, 0x1.a522c0e48319cp-8, 0x1.9d532a3d31cd5p-8, 0x1.959fb2b454543p-8, 0x1.8e0818ae70628p-8, 0x1.868c31317427bp-8, 0x1.7f2bdb074843bp-8, 0x1.77e6d86acecc3p-8, 0x1.70bd0cb143e1cp-8, 0x1.69ae20433f918p-8, 0x1.62b9f8e30e404p-8, 0x1.5be05244b0e08p-8, 0x1.552107797a086p-8, 0x1.4e7bd630c9934p-8, 0x1.47f0915944697p-8, 0x1.417ed6858ccfdp-8, 0x1.3b26fc523a9f6p-8, 0x1.34e7d26cec854p-8, 0x1.2ec1e2d72d2eep-8, 0x1.28b4b941f3d02p-8, 0x1.22c019ae4a03fp-8, 0x1.1ce3c76a8273ep-8, 0x1.171f87e27af06p-8, 0x1.11731c9ecab3fp-8, 0x1.0bde48f672a6cp-8, 0x1.0660d1672696p-8, 0x1.00fa906b9ee6ep-8, 0x1.f755d61a8efc6p-9, 0x1.ece493d9ca2aep-9, 0x1.e29f6e93aed97p-9, 0x1.d886d00075b7cp-9, 0x1.ce99fd945ab88p-9, 0x1.c4d8778379111p-9, 0x1.bb41c04a87153p-9, 0x1.b1d55a4806faap-9, 0x1.a892c718484acp-9, 0x1.9f79885db6ff1p-9, 0x1.9689260fd3a39p-9, 0x1.8dc1116628187p-9, 0x1.8520dd75f3121p-9, 0x1.7ca804bea2754p-9, 0x1.7456069cf6169p-9, 0x1.6c2a6e2e33318p-9, 0x1.6424bb5a3a525p-9, 0x1.5c44539ee2c7ep-9, 0x1.5488f65a01098p-9, 0x1.4cf1f322f68b8p-9, 0x1.457edb832e74p-9, 0x1.3e2f4cfa39f94p-9, 0x1.3702b17ae66f5p-9, 0x1.2ff8908533feap-9, 0x1.291074f249625p-9, 0x1.2249e62e4e233p-9, 0x1.1ba46b28aa339p-9, 0x1.151f887ae981p-9, 0x1.0ebac71c30a65p-9, 0x1.0875d07da249ap-9, 0x1.024fed62a765ep-9, 0x1.f891a77301bdep-10, 0x1.ecc0256a32e93p-10, 0x1.e12a4aa9c0b9cp-10, 0x1.d5cf3b4b7cab7p-10, 0x1.caadf25f19a43p-10, 0x1.bfc601178a78dp-10, 0x1.b51626c01e1e2p-10, 0x1.aa9d543ff25bdp-10, 0x1.a05b1c05f44dfp-10, 0x1.964e9b98cba9ep-10, 0x1.8c76b3cdd35a5p-10, 0x1.82d29b7f4297p-10, 0x1.7961ae7c97233p-10, 0x1.7022e922421a6p-10, 0x1.6715888b0d34bp-10, 0x1.5e38baaf79ad7p-10, 0x1.558bbb8fac278p-10, 0x1.4d0db4ae40981p-10, 0x1.44bdd2a7abe35p-10, 0x1.3c9b9c8c9a4a2p-10, 0x1.34a4e2c0479a9p-10, 0x1.2cdc2a630d9ffp-10, 0x1.253d699561ed5p-10, 0x1.1dc9474bfb083p-10, 0x1.167ed0949a4e5p-10, 0x1.0f5d4f68fbaa1p-10, 0x1.08640349c68eap-10, 0x1.019234e542eabp-10, 0x1.f5ce5f60d2dc9p-11, 0x1.e8c4827b86cc6p-11, 0x1.dc056d29a4592p-11, 0x1.cf8fc3e370247p-11, 0x1.c362380f0e898p-11, 0x1.b77b7eefc3e79p-11, 0x1.abda4ea599303p-11, 0x1.a07d2ad2794dap-11, 0x1.9562e4f88536ep-11, 0x1.8a8c68ad5fbc6p-11, 0x1.7ff49806f218dp-11, 0x1.759b4f6693283p-11, 0x1.6b81535b468c1p-11, 0x1.61a473166e842p-11, 0x1.5802d56e7adf9p-11, 0x1.4e9b9be8de8e5p-11, 0x1.456e3556be7cfp-11, 0x1.3c777a87e6887p-11, 0x1.33ba00834eb87p-11, 0x1.2b31704f5a644p-11, 0x1.22de056369dabp-11, 0x1.1abe7ceb8012cp-11, 0x1.12d22892f499bp-11, 0x1.0b17923770d6cp-11, 0x1.038d96562e4bep-11, 0x1.f8677a56057a9p-12, 0x1.ea117daa9fc86p-12, 0x1.dc174353e7a6p-12, 0x1.ce76e17aae281p-12, 0x1.c12e80285d94p-12, 0x1.b43c3d4144fa5p-12, 0x1.a79e546b7a61dp-12, 0x1.9b52fd621df27p-12, 0x1.8f587f62c33e1p-12, 0x1.83ad54184bc73p-12, 0x1.784f430e02e5cp-12, 0x1.6d3d31efe615fp-12, 0x1.62755255f9a04p-12, 0x1.57f604c38148fp-12, 0x1.4dbdad3b6e65dp-12, 0x1.43cab392f6eb2p-12, 0x1.3a1b85acd4f4ap-12, 0x1.30ae9b47553a7p-12, 0x1.278275cccba3bp-12, 0x1.1e959f2dd95f8p-12, 0x1.15e6ab252fcacp-12, 0x1.0d7429a7233ap-12, 0x1.053ccffe6d596p-12, 0x1.fa7e00248035ap-13, 0x1.eaf414962f446p-13, 0x1.dbd70fd4201aep-13, 0x1.cd2a722a20886p-13, 0x1.bee26fe04cc25p-13, 0x1.b0fdd1a3c2afdp-13, 0x1.a381913ad3e8bp-13, 0x1.966729879e3bfp-13, 0x1.89ac5feb411d2p-13, 0x1.7d4e77e2d66f1p-13, 0x1.714a7229542dbp-13, 0x1.65a64be5e3284p-13, 0x1.5a52546f60ab6p-13, 0x1.4f55b156103f3p-13, 0x1.44a881c15aec7p-13, 0x1.3a50bc44ba33bp-13, 0x1.30462c227bacdp-13, 0x1.2687b0268e0b3p-13, 0x1.1d13a44a14e2bp-13, 0x1.13e84432ad14ap-13, 0x1.0b0369ce71751p-13, 0x1.0263724a8dd26p-13, 0x1.f40c1725075fp-14, 0x1.e3d37bdbb680fp-14, 0x1.d419b4147a841p-14, 0x1.c4dc307e09829p-14, 0x1.b6190700aeb6ep-14, 0x1.a7c896efc45e4p-14, 0x1.99edc2f7147d4p-14, 0x1.8c839e07ae5d1p-14, 0x1.7f86b1e140b4dp-14, 0x1.72f4726ead41bp-14, 0x1.66ca16349ba57p-14, 0x1.5b04a76a3e793p-14, 0x1.4fa192235e88dp-14, 0x1.449e03d23fbeep-14, 0x1.39fe06fceeb29p-14, 0x1.2fb253a5e2227p-14, 0x1.25b6c75b48cf7p-14, 0x1.1c1677849453ep-14, 0x1.12c186f527d6ep-14, 0x1.09cd09ae41c8ep-14, 0x1.0112ff18b3961p-14, 0x1.f155174e2581p-15, 0x1.e113e179339fdp-15, 0x1.d1614207ebf62p-15, 0x1.c23920c51c87p-15, 0x1.b39761d350ae9p-15, 0x1.a5781796d9cp-15, 0x1.97d8196d4457bp-15, 0x1.8ab2c6a9bb126p-15, 0x1.7e059e08fe92fp-15, 0x1.71ccfcb243334p-15, 0x1.6605bd9e48056p-15, 0x1.5aac29ccd2c5p-15, 0x1.4fbc957ef15f8p-15, 0x1.4533f3ca333bcp-15, 0x1.3b0f0a754c35cp-15, 0x1.3149b1a52a74p-15, 0x1.27e1609f4132ap-15, 0x1.1ec6576b35b62p-15, 0x1.1615c3d8e8257p-15, 0x1.0daf73d78f7dfp-15, 0x1.0599196690175p-15, 0x1.fba1d18059414p-16, 0x1.eca9f2ebc4571p-16, 0x1.de4509d65aa84p-16, 0x1.d06debf756d99p-16, 0x1.c326a1b552ff5p-16, 0x1.b65443f47b90fp-16, 0x1.aa07726d1f6eep-16, 0x1.9e37ffc9c2c4p-16, 0x1.92e09c0dcff0ap-16, 0x1.87ff748250dfap-16, 0x1.7d8d0d610b494p-16, 0x1.738b6dcab94c7p-16, 0x1.69ed0b1ccb39ap-16, 0x1.60b0ddc01eef3p-16, 0x1.57ddbdeacb318p-16, 0x1.4f644f7e4cc5p-16, 0x1.4743b8c79c2bcp-16, 0x1.3f755c8745764p-16, 0x1.37ef760735c95p-16, 0x1.30e30bca9a57dp-16, 0x1.2a09878104bfcp-16, 0x1.23596348d9fe7p-16, 0x1.1d1a062d704a6p-16, 0x1.17128254c4cb5p-16, 0x1.114d0c43c8f3dp-16, 0x1.0bb0e745fd3adp-16, 0x1.068287a73d97p-16, 0x1.015df18183fb3p-16, 0x1.f91cffd977717p-17, 0x1.efcebb884bb52p-17, 0x1.e6e7e6457bc19p-17, 0x1.de63798207ea8p-17, 0x1.d63cc4aadb5d7p-17, 0x1.ce6e8baf6c06cp-17, 0x1.c71fb98bf0743p-17, 0x1.c0010ef75d55p-17, 0x1.b8fc9171496c4p-17, 0x1.b272e5b57754ap-17, 0x1.ac2f48e7682c5p-17, 0x1.a62f1bfa19cdp-17, 0x1.a0701f01fabefp-17, 0x1.9aeeec7c53299p-17, 0x1.95a5bc7181f19p-17, 0x1.9092f036f6199p-17, 0x1.8bb50341b7aa2p-17, 0x1.870af2c7042bap-17, 0x1.8290964f7c2f6p-17, 0x1.7e420c5bc01fdp-17, 0x1.7a1be8cafb19ap-17, 0x1.763e0b2a482d9p-17, 0x1.727256b335f57p-17, 0x1.6e9c16063802cp-17, 0x1.6b10719332c45p-17, 0x1.67a1f3f23f367p-17, 0x1.64505d062b99cp-17, 0x1.611a0c8eed182p-17, 0x1.5dfdd8d271c38p-17, 0x1.5afa7979680f1p-17, 0x1.580ec7eafa50ap-17, 0x1.55104ce91dcfbp-17, 0x1.524feeff204dcp-17, 0x1.4fc44250f67a6p-17, 0x1.4d258ef330099p-17, 0x1.4a995e46db356p-17, 0x1.481c43f2301f7p-17, 0x1.45a7d617c07cp-17, 0x1.433f2d74450cfp-17, 0x1.40e2ad957d0dfp-17, 0x1.3e9036a7f8c83p-17, 0x1.3c490807a00e4p-17, 0x1.3a0993f666e1p-17, 0x1.37cfdc159f3b6p-17, 0x1.359c4e1f0525bp-17, 0x1.336e7043ab8cep-17, 0x1.31492ec5ee627p-17, 0x1.2f220823a2679p-17, 0x1.2d01ce66f5befp-17, 0x1.2ae43fe269ff5p-17, 0x1.28c8ae38b48adp-17, 0x1.26a9094cdb225p-17, 0x1.249083e0fc335p-17, 0x1.227a3a00649c2p-17, 0x1.20611ced77c7bp-17, 0x1.1e4901e9c7edap-17, 0x1.1c2893cb4c02fp-17, 0x1.1a575c6097d11p-17, 0x1.17bcca06e3c71p-17, 0x1.15d4ec18958cfp-17, 0x1.13b1562f04ae1p-17, 0x1.118b3f106d4ccp-17, 0x1.0f61ec4141e96p-17, 0x1.0d3509c5ae0b7p-17, 0x1.0ade087d90695p-17, 0x1.08d42ac65eca3p-17, 0x1.069e261f19c3bp-17, 0x1.04653255764bp-17, 0x1.0226e7d848a45p-17, 0x1.ffc848552cc75p-18, 0x1.fb3c26d7d319dp-18, 0x1.f6a21cf5ec05fp-18, 0x1.f249a66afe8cdp-18, 0x1.ed674b024c18p-18, 0x1.e8aaabde8d815p-18, 0x1.e3f160f7ee848p-18, 0x1.df07e8785b80dp-18, 0x1.da9150bca7cd5p-18, 0x1.d57f96f7cdcfdp-18, 0x1.d09da1981ca6fp-18, 0x1.cbbded37cde88p-18, 0x1.c6ca0983812ebp-18, 0x1.c1ccb1d202e45p-18, 0x1.bcc759d6283ap-18, 0x1.b7bac26aeef35p-18, 0x1.b2a7fa4b441dcp-18, 0x1.ae024c3cacd5cp-18, 0x1.a81f6b522019fp-18, 0x1.a324b6643e051p-18, 0x1.9de8ec9829a3fp-18, 0x1.98a74aab51506p-18, 0x1.9361a48f9290dp-18, 0x1.8e0f5c88bb804p-18, 0x1.88d0a2ec2f093p-18, 0x1.8354d8528b20fp-18, 0x1.7deda7277de5bp-18, 0x1.7880a84403194p-18, 0x1.730da2edf66b4p-18, 0x1.6d94a2cc5eb5ep-18, 0x1.6815bbb9d4868p-18, 0x1.62915d0c23e3fp-18, 0x1.5d0a14e4bd529p-18, 0x1.5750c9f55e73fp-18, 0x1.51a631a3516ebp-18, 0x1.4c53568a0fdep-18, 0x1.46b5bce0e0a3ep-18, 0x1.4117072df8c83p-18, 0x1.3b74ff614cceep-18, 0x1.35cffa0d6c51ap-18, 0x1.3028af68aca79p-18, 0x1.2a7f0ad6da9bep-18, 0x1.24d31a8faad32p-18, 0x1.1f25f28278d8ep-18, 0x1.1974d273ccc89p-18, 0x1.13c6dddb5e28dp-18, 0x1.0e1552264a96ep-18, 0x1.08622c0c79963p-18, 0x1.02b8baac803c4p-18, 0x1.fa82cfe339f07p-19, 0x1.ee95925cfb5f4p-19, 0x1.e3989c1734d26p-19, 0x1.d7ef3aa6b6ec5p-19, 0x1.cc7b8563fdfeep-19, 0x1.c13487127b386p-19, 0x1.b5e7eebccf506p-19, 0x1.aaa0cdfdccaefp-19, 0x1.9f892903d33acp-19, 0x1.9362ef58ed6d8p-19, 0x1.88d5ca72482a2p-19, 0x1.7d9a3558b6699p-19, 0x1.726a1c5c72c6ep-19, 0x1.6743d8e14d164p-19, 0x1.5c26b9e6cc71ep-19, 0x1.5112f6344daabp-19, 0x1.46090434f0ce5p-19, 0x1.3b095dea4d4dbp-19, 0x1.30147dcb79bf2p-19, 0x1.252d3663de56cp-19, 0x1.1a4d0de5052f1p-19, 0x1.0f7b6231e6017p-19, 0x1.04b65299da18bp-19, 0x1.f3fd664cfae46p-20, 0x1.deabba1d2f372p-20, 0x1.c97a96007f11dp-20, 0x1.b45a9fd658ab4p-20, 0x1.9f550e46c50b3p-20, 0x1.8a7997b28a909p-20, 0x1.75de4ccd36392p-20, 0x1.6019a208c118dp-20, 0x1.4c75960b931eap-20, 0x1.3867de797c7d2p-20, 0x1.241c95391356dp-20, 0x1.10034199c4b74p-20, 0x1.f8253b9c63b2dp-21, 0x1.d08d311c10f26p-21, 0x1.a94c84e055248p-21, 0x1.824b2999e2a2fp-21, 0x1.5b8be49424f9bp-21, 0x1.3522cd795cbddp-21, 0x1.0f3b227402eb6p-21, 0x1.db8c470f47f49p-22, 0x1.877ab43a9da92p-22, 0x1.3e85ad2c6ae41p-22, 0x1.e77236854c2a6p-23, 0x1.555bfee19bbc5p-23, 0x1.8c03cbdf4bcb6p-24, 0x1.efcb99d32b52bp-26, -0x1.41c9599e6a51ep-25, -0x1.c747da6e5377cp-24, -0x1.6e98a4fd2868cp-23, -0x1.f81bb271fc4bcp-23, -0x1.40d82469b3bcep-22, -0x1.82d3ca00eec6ep-22, -0x1.c7a05a8a097f4p-22, -0x1.040c51d31279p-21, -0x1.24a94193eff95p-21, -0x1.44e1491d13b33p-21, -0x1.64c83b04a4dc6p-21, -0x1.84479fa73d3cep-21, -0x1.a3670b832d1p-21, -0x1.c239789382dbcp-21, -0x1.e07c027da6e2dp-21, -0x1.fe8d16f1765bbp-21, -0x1.0e1fccf1dd5e5p-20, -0x1.1cbcf3226abdep-20, -0x1.2b1fefee28732p-20, -0x1.395e7a5150fb5p-20, -0x1.4771d27bef76ap-20, -0x1.555155237d779p-20, -0x1.62f97f489d0acp-20, -0x1.707a38e04f36cp-20, -0x1.7dc5024e77908p-20, -0x1.8adeeebbd2272p-20, -0x1.97c84fcad58d8p-20, -0x1.a480fa242fc82p-20, -0x1.b108ff8f67bc5p-20, -0x1.bd60733f88ac9p-20, -0x1.c986bff2449b7p-20, -0x1.d57b38e14cfe4p-20, -0x1.e13b967fb039ep-20, -0x1.ecbca60f2ed09p-20, -0x1.f843083cb03e9p-20, -0x1.01bc6ebc859e1p-19, -0x1.072f563318c5bp-19, -0x1.0cdb4e862ab63p-19, -0x1.1256f36abcd4bp-19, -0x1.172a64f83e5b8p-19, -0x1.1c7b90b3f986p-19, -0x1.215bb7c95852dp-19, -0x1.26473abb0878dp-19, -0x1.2b208f5c8822dp-19, -0x1.2fe30fb9b2e4ep-19, -0x1.34903ab2ad114p-19, -0x1.390d009931b9p-19, -0x1.3da5d1e1a7895p-19, -0x1.4204ccc52f672p-19, -0x1.464f5acac39cfp-19, -0x1.4a812e5d62cc3p-19, -0x1.4f437d148849p-19, -0x1.53326cae790cfp-19, -0x1.569b013775513p-19, -0x1.5a834b30c2814p-19, -0x1.5e5164056086cp-19, -0x1.626326a6ff6eep-19, -0x1.6565687b7e39ep-19, -0x1.687c9dd1ba8dep-19, -0x1.6c811c59bc29fp-19, -0x1.6fe754fff408ep-19, -0x1.7329f75974d5dp-19, -0x1.7654ac1875896p-19, -0x1.796bba5116f21p-19, -0x1.7c7607fb6c41ap-19, -0x1.7f672e2b38ee4p-19, -0x1.8242c321966eap-19, -0x1.850a4cfc1950dp-19, -0x1.87bf591fe21a2p-19, -0x1.8a4b3768df52cp-19, -0x1.8ce95e3c9add4p-19, -0x1.8f5c57c210d2ep-19, -0x1.91bedea39bc9ep-19, -0x1.940e540dc3e92p-19, -0x1.964a26a973fe8p-19, -0x1.9871b0fb59b7ep-19, -0x1.9a88e30f2b031p-19, -0x1.9c924c5b28e13p-19, -0x1.9e6b40bba232ap-19, -0x1.a05bb970466aep-19, -0x1.a228a56666c0ap-19, -0x1.a3e3ef10a2e7ap-19, -0x1.a588696ce7f17p-19, -0x1.a723b5fe8a521p-19, -0x1.a8a7dacc4f173p-19, -0x1.aa1c079a9d685p-19, -0x1.ab82bee74316p-19, -0x1.acd38e6156d3cp-19, -0x1.adcfa6bcdb3a7p-19, -0x1.af4abaf906eb4p-19, -0x1.b067799936ad4p-19, -0x1.b1716da76a298p-19, -0x1.b2720c338844dp-19, -0x1.b36518fa4fe55p-19, -0x1.b446a02e75145p-19, -0x1.b5180fd414aa2p-19, -0x1.b5dd14b307474p-19, -0x1.b68ddc1473ccdp-19, -0x1.b73498807186cp-19, -0x1.b7c8325ff56afp-19, -0x1.b84fc63d02607p-19, -0x1.b8c89ce87aa9fp-19, -0x1.b93647aab8a1ap-19, -0x1.b9935ff38263dp-19, -0x1.b9e19ad9264fap-19, -0x1.ba227fc88adf8p-19, -0x1.ba583538face9p-19, -0x1.ba43b8758cf02p-19, -0x1.ba9395a395f9dp-19, -0x1.baa1f7c3bfdbbp-19, -0x1.baa87db978515p-19, -0x1.ba9f2ac12013dp-19, -0x1.ba85fc0d3e0f5p-19, -0x1.ba64c0c86edbfp-19, -0x1.ba16c89264556p-19, -0x1.b9c4362f5dc1cp-19, -0x1.b9a84b6bf8bc1p-19, -0x1.b95cf876104efp-19, -0x1.b901a3763ede6p-19, -0x1.b897432c06a09p-19, -0x1.b822a8b172677p-19, -0x1.b79bd95d47ce6p-19, -0x1.b6c20366a338cp-19, -0x1.b63ed8fcacb7bp-19, -0x1.b5facc722175p-19, -0x1.b541fbed91f41p-19, -0x1.b49e7723f5b55p-19, -0x1.b3e9aa482d78ap-19, -0x1.b3064da8b7d5bp-19, -0x1.b245958599d56p-19, -0x1.b177dac2a0a9p-19, -0x1.b091b3a53f6a5p-19, -0x1.afb4817d70108p-19, -0x1.aec3fada0dba2p-19, -0x1.adc9963d22752p-19, -0x1.acc6ed4e95b08p-19, -0x1.abbf6f8508529p-19, -0x1.aab34d7766f0cp-19, -0x1.a993771671e5fp-19, -0x1.a87299b97bae9p-19, -0x1.a7515ee89b84fp-19, -0x1.a61d25dfaaa35p-19, -0x1.a4e5b6473e9abp-19, -0x1.a3ac1988cb13bp-19, -0x1.a26ad9729bea7p-19, -0x1.a0e8a15a7860ep-19, -0x1.9fca580ae017dp-19, -0x1.9e72b8188f11cp-19, -0x1.9d1393089c2d1p-19, -0x1.9bc9d0650b185p-19, -0x1.9a43236125d91p-19, -0x1.98d1e77ec230cp-19, -0x1.975801975c85cp-19, -0x1.9612d06ecc707p-19, -0x1.945d1579f45e3p-19, -0x1.92d7df3d6e33bp-19, -0x1.914d0ca36fb54p-19, -0x1.8fb6088f977fap-19, -0x1.8e260e3d5813fp-19, -0x1.8c89b3edf8bdbp-19, -0x1.8aeb91e282e26p-19, -0x1.8971740a38a42p-19, -0x1.879dd92b7b0c5p-19, -0x1.85ef752c16367p-19, -0x1.843d711443031p-19, -0x1.829d804f5e347p-19, -0x1.8030c9249c113p-19, -0x1.7f0cd4a94938cp-19, -0x1.7d4f882eee99bp-19, -0x1.7b8ebbc15d77ep-19, -0x1.79c5f50b56c47p-19, -0x1.77fa95c03cc71p-19, -0x1.7628ab72c475p-19, -0x1.743c5090c5c3ep-19, -0x1.7286a75580d6ap-19, -0x1.70abd165c50e1p-19, -0x1.6ed062cd83b7bp-19, -0x1.6cebf3e2a9dd1p-19, -0x1.6b0cadde3b0d6p-19, -0x1.698b0982ae04fp-19, -0x1.6743e37080508p-19, -0x1.6561195b43ec8p-19, -0x1.638ba455d50d4p-19, -0x1.618ea2bb3a03cp-19, -0x1.5f9fbe29157f3p-19, -0x1.5db016ec47513p-19, -0x1.5bba99b9d8a2ep-19, -0x1.59c9bc3489f92p-19, -0x1.57d3f6abdbdffp-19, -0x1.55dbb1cd9c716p-19, -0x1.53e1d2326f11dp-19, -0x1.5187c5824ce3cp-19, -0x1.4fea2151980dcp-19, -0x1.4debdf3b79084p-19, -0x1.4c2a33cb00bbdp-19, -0x1.49eda8fa21e1ap-19, -0x1.47f99333a2d7bp-19, -0x1.45f6a22e2afecp-19, -0x1.43dc5d5765244p-19, -0x1.41f4cc5b89c57p-19, -0x1.3ff08690e1bb4p-19, -0x1.3de98d51607d5p-19, -0x1.3b9368a69cc0bp-19, -0x1.39df013c7eb4cp-19, -0x1.37dd65d82d777p-19, -0x1.35d7642ecce93p-19, -0x1.33d19a5df681dp-19, -0x1.31c7955a31dc2p-19, -0x1.2fc59835b34dbp-19, -0x1.2dbd1d2e6b576p-19, -0x1.2bb4f022b2fa5p-19, -0x1.29eb3cb442468p-19, -0x1.27aa29ba25679p-19, -0x1.25b0c5e1822eap-19, -0x1.239f29574a9dap-19, -0x1.21a321e1d4a08p-19, -0x1.1fa3e9fbe0b93p-19, -0x1.1d923dd5b8ffep-19, -0x1.1b744d2f386c4p-19, -0x1.198a875d18341p-19, -0x1.17855b67b3541p-19, -0x1.1583b57a10002p-19, -0x1.13816ded61c0cp-19, -0x1.117fbb65971afp-19, -0x1.0f7e52c5d409ap-19, -0x1.0d7e8a4014899p-19, -0x1.0b7fa6235b2aap-19, -0x1.097e16cb7c926p-19, -0x1.07c000a3a835fp-19, -0x1.058b46bc2eaefp-19, -0x1.0390ad98e1ab4p-19, -0x1.019389da6a323p-19, -0x1.ff3638119c1fap-20, -0x1.fb46bab8fb003p-20, -0x1.f759629059c49p-20, -0x1.f3774ea2df031p-20, -0x1.ef8944780cf2ep-20, -0x1.eba1f6e5ce944p-20, -0x1.e7c0e3fdd88f2p-20, -0x1.e3de924760b44p-20, -0x1.e0164635aec07p-20, -0x1.dc28c2c1ae3cbp-20, -0x1.d8516abb76731p-20, -0x1.d47a957bcafdcp-20, -0x1.d0a5ec8d4628p-20, -0x1.ccd71949f65f1p-20, -0x1.c9d75f22b6bc6p-20, -0x1.c55aff288548fp-20, -0x1.c182f681eb555p-20, -0x1.bdbbfa557a7bap-20, -0x1.b9f6b0fe08264p-20, -0x1.b650ab22c5762p-20, -0x1.b298c24de344cp-20, -0x1.aedf03556dfe1p-20, -0x1.ab35f67a973cdp-20, -0x1.a78cda23ba80fp-20, -0x1.a3e6d4af47dc6p-20, -0x1.a043e108e9fa2p-20, -0x1.9ca9d769a9e4ap-20, -0x1.990656ef11526p-20, -0x1.9571e33a141e9p-20, -0x1.91d9b14cac944p-20, -0x1.8e48401047b4cp-20, -0x1.8aabc48c956f3p-20, -0x1.87bed760a105cp-20, -0x1.83ae0b024d05ep-20, -0x1.8031fd872b2adp-20, -0x1.7cb806284433bp-20, -0x1.7941a0fad643fp-20, -0x1.75cf9a5ad6587p-20, -0x1.725f80f99581ap-20, -0x1.6efabb2ed25f5p-20, -0x1.6baaeab80ab39p-20, -0x1.682acd77361fcp-20, -0x1.64cccdd4c95b5p-20, -0x1.6178c876b348fp-20, -0x1.5e25aa9adbfbbp-20, -0x1.5ad467046034p-20, -0x1.5787fb5be7353p-20, -0x1.544093ce5a969p-20, -0x1.50fda6262b92ep-20, -0x1.4db5075efd52ep-20, -0x1.4a7a493fa1c76p-20, -0x1.47498e4c345c3p-20, -0x1.447104c44300fp-20, -0x1.413f1b25d244cp-20, -0x1.3dd007fab874ap-20, -0x1.3aad5a6b63213p-20, -0x1.378f4174d3512p-20, -0x1.3476922405cacp-20, -0x1.3161fa10ddfa8p-20, -0x1.2e50e6160483p-20, -0x1.2b42c4840b559p-20, -0x1.283c9e64dc20ep-20, -0x1.25125519f5607p-20, -0x1.223c3dd13ff3ep-20, -0x1.1f478ae2cfe8fp-20, -0x1.1c5726f35b4d9p-20, -0x1.1969cdad9a13bp-20, -0x1.167e4af37ecc1p-20, -0x1.1393f1af9b3e6p-20, -0x1.10b8a20985d5ap-20, -0x1.0dded8e310a87p-20, -0x1.0b05e3e6e5fe1p-20, -0x1.0832aa24b59cfp-20, -0x1.056663db6151dp-20, -0x1.029d0d348353bp-20, -0x1.ffab3d7b72749p-21, -0x1.fa84e07febb34p-21, -0x1.f4a8e6587e256p-21, -0x1.ef5e66d765e2ep-21, -0x1.e9bf314e2a15bp-21, -0x1.e47a92fd55ee9p-21, -0x1.df308494c3dedp-21, -0x1.d9e174187b729p-21, -0x1.d4cad0058b369p-21, -0x1.cf8222b3dd627p-21, -0x1.cb395fc5096ffp-21, -0x1.c54369a7df3b6p-21, -0x1.c0342227a8cb9p-21, -0x1.bb1d4baeb70dbp-21, -0x1.b61faf723d95dp-21, -0x1.b127d34af8583p-21, -0x1.ac361438afd04p-21, -0x1.a7102af312d26p-21, -0x1.a21f50aa9f816p-21, -0x1.9d9cb35336903p-21, -0x1.989188561503p-21, -0x1.93b701f42cae7p-21, -0x1.8f4f120660709p-21, -0x1.8a9ee6e636cb7p-21, -0x1.85f715d8adb85p-21, -0x1.8155cff9724d5p-21, -0x1.7cbdbb5cd100ap-21, -0x1.7843799ec57bep-21, -0x1.7374f0d91984ap-21, -0x1.6f3069bff55c3p-21, -0x1.6abc9f6abc88bp-21, -0x1.665b29e31d767p-21, -0x1.625f352423b85p-21, -0x1.5d967852b2079p-21, -0x1.597337a026f9p-21, -0x1.5523359ea73a6p-21, -0x1.50d3175f3c1d1p-21, -0x1.4ca0cecb758efp-21, -0x1.48762be80c345p-21, -0x1.445433c55f029p-21, -0x1.3ffa3e7db78f5p-21, -0x1.3c2981183c9b8p-21, -0x1.381d87a8824dbp-21, -0x1.34237301ef425p-21, -0x1.3032caa81b0b1p-21, -0x1.2c3b18c9e7e44p-21, -0x1.2850afe1aaf0dp-21, -0x1.247773b07a1fdp-21, -0x1.20a49fba5da44p-21, -0x1.1cd87ce8fd6a2p-21, -0x1.19132a76d19c2p-21, -0x1.1556062b2ddcbp-21, -0x1.119dd3358b9e7p-21, -0x1.0df49cd091f6cp-21, -0x1.0a494803d1908p-21, -0x1.06848d5bab3a1p-21, -0x1.0331bc5cf9ddep-21, -0x1.fe8af07ff2f0fp-22, -0x1.f81eb80c72c2ap-22, -0x1.f1779ef4f3061p-22, -0x1.ea473d025167ep-22, -0x1.e3bb47ae33104p-22, -0x1.dca56c3a2f113p-22, -0x1.d5f7519042a5p-22, -0x1.cf50b1e29c287p-22, -0x1.c8b19cac7d21p-22, -0x1.c23bdf44ad32ep-22, -0x1.bbb990c62b8dap-22, -0x1.b53692cb0513ap-22, -0x1.aee23ed0ff29dp-22, -0x1.a89255ae6b0a4p-22, -0x1.a2693167148c6p-22, -0x1.9c3428f387d73p-22, -0x1.961eb5835fa3fp-22, -0x1.900ad8f42644ep-22, -0x1.89ea4d31820a5p-22, -0x1.83d2f443a10dbp-22, -0x1.7e2a07674236bp-22, -0x1.781ec2b278ad5p-22, -0x1.727bba58e89fdp-22, -0x1.6cc7acbbf1ebdp-22, -0x1.671bfe051620ep-22, -0x1.617b4337c28acp-22, -0x1.5ba6d9dd21bbp-22, -0x1.55886136beaeep-22, -0x1.50ed0e8ada321p-22, -0x1.4b8bd4216fb5cp-22, -0x1.4626841a7d4f4p-22, -0x1.411b29806e13dp-22, -0x1.3bb9e9af298fcp-22, -0x1.368734a80c91fp-22, -0x1.314c370c170b5p-22, -0x1.2b97149ca740cp-22, -0x1.272a2cb4ca8d2p-22, -0x1.222d8608b42efp-22, -0x1.1d4c0ebef0917p-22, -0x1.185ef310e63d4p-22, -0x1.1387438fbff6bp-22, -0x1.0ec758d7cc48dp-22, -0x1.09ffdccdae2acp-22, -0x1.054f553173c4p-22, -0x1.00ab0c15bcc67p-22, -0x1.f825a5a93e5e3p-23, -0x1.ef0db6631a364p-23, -0x1.e6011886a73bbp-23, -0x1.dd3abf09e74bfp-23, -0x1.d45b47a212895p-23, -0x1.cb8ae9086a6ebp-23, -0x1.c2fda525a0066p-23, -0x1.b960b2620ff61p-23, -0x1.b1ec694384f6cp-23, -0x1.a9a2a18b7f586p-23, -0x1.a170225761ddp-23, -0x1.99368d2218de3p-23, -0x1.910c54676a5c7p-23, -0x1.88bd03a5ab09cp-23, -0x1.81344f4175b63p-23, -0x1.7961d0411a274p-23, -0x1.71a12c7f3c0edp-23, -0x1.69f13b378c04bp-23, -0x1.625a185539be9p-23, -0x1.5af7477c04ba6p-23, -0x1.54393aa8ec841p-23, -0x1.4c2e586de1123p-23, -0x1.44eb06589f9aep-23, -0x1.3db98fbc534a4p-23, -0x1.36b19ace05a4p-23, -0x1.2fb9997a543cep-23, -0x1.28c20d14f5d74p-23, -0x1.21e7742e53247p-23, -0x1.1b23076d35d4ep-23, -0x1.14830a7f0714ep-23, -0x1.0e43da8b4f2c1p-23, -0x1.07544c8d264a3p-23, -0x1.00eec85077828p-23, -0x1.f4f134d06bda8p-24, -0x1.e8642cd3852bep-24, -0x1.dbeffdbe89632p-24, -0x1.cf9af3c305668p-24, -0x1.c33cfec54ba0dp-24, -0x1.b74dddd2454a7p-24, -0x1.ab6dc9ccc2e9dp-24, -0x1.9fac9214ef8e1p-24, -0x1.940d32e1d9415p-24, -0x1.8908e49e90eap-24, -0x1.7d2cf7490e95p-24, -0x1.72096f858e5ffp-24, -0x1.67fd7b928e75ap-24, -0x1.5c364fe6e5c4ep-24, -0x1.511ea4275ce47p-24, -0x1.4693dcd227888p-24, -0x1.3c335a31773dcp-24, -0x1.31b08afa5f0edp-24, -0x1.2603c6bd07afep-24, -0x1.1b23551856c27p-24, -0x1.1337f34818f88p-24, -0x1.095a939a2e643p-24, -0x1.feebaa6ca02e1p-25, -0x1.ebeed3eb08845p-25, -0x1.d95ac1637bf21p-25, -0x1.c5134bb48c1d8p-25, -0x1.b35bf23d0731fp-25, -0x1.a114ce9addcc9p-25, -0x1.8ef1229079dc6p-25, -0x1.7d16c1164f0cep-25, -0x1.6b8f510800c4p-25, -0x1.562d5c4f5cd84p-25, -0x1.4b2add7ad3cc2p-25, -0x1.37e4defabb65p-25, -0x1.2771621d9e7d6p-25, -0x1.1683e1d7e722bp-25, -0x1.06844c1fdf986p-25, -0x1.eca02d1a5cde8p-26, -0x1.cc8fb9f2eb966p-26, -0x1.acd6b546174e3p-26, -0x1.8ec561e82fe8p-26, -0x1.7063ea8962ec9p-26, -0x1.525eba043ee74p-26, -0x1.3545c879cfc82p-26, -0x1.171a966fb7b16p-26, -0x1.f5739a7f40f77p-27, -0x1.c73f4ea43d7dep-27, -0x1.88a9763f13589p-27, -0x1.4ded65e2a731cp-27, -0x1.17855763b6c2fp-27, -0x1.bdf2e2ce245d1p-28, -0x1.587e01425a91dp-28, -0x1.e0ea01808419dp-29, -0x1.10078151a831p-29, -0x1.287a3f80353d3p-31, 0x1.0807c4bf1cd3ap-30, 0x1.3be23eaa51b9dp-29, 0x1.00841f1428478p-28, 0x1.641686f9948e9p-28, 0x1.c5a1217c3dce7p-28, 0x1.0e5c50ce18994p-27, 0x1.3dc8816662c2bp-27, 0x1.69129abc9423p-27, 0x1.9888e76f981bdp-27, 0x1.c0d32c2efe0d7p-27, 0x1.ecb35ff114e3dp-27, }}, 
      {{-0x1.2643d9e8682cep-6, -0x1.1871bb17e8adap-4, -0x1.269aee0d82507p-3, -0x1.e1bc6670a7d76p-3, -0x1.562c7cd18a338p-2, -0x1.bbdb461eed1e9p-2, -0x1.0e0bd16904c4bp-1, -0x1.394a6ba7b8ca8p-1, -0x1.5e32bfd81cebep-1, -0x1.7be36b94ff2e8p-1, -0x1.91f4d4bf34c82p-1, -0x1.a05f4ea5e7766p-1, -0x1.a76424f73ce1p-1, -0x1.a779e36dbdb3dp-1, -0x1.a13bc97dcfadap-1, -0x1.955c17cd1b333p-1, -0x1.84990080110f2p-1, -0x1.6fb3ebd9d78c8p-1, -0x1.576ac1005c817p-1, -0x1.3c72ef2020517p-1, -0x1.1f75eacc32c09p-1, -0x1.010ee35a574ep-1, -0x1.c392e3cd0435cp-2, -0x1.844221895beb1p-2, -0x1.45025e25d2cfep-2, -0x1.068b6b159ce05p-2, -0x1.92ef772e859e2p-3, -0x1.1c8d06c396ca7p-3, -0x1.55783bd9c7d01p-4, -0x1.f0e3baf0d756dp-6, 0x1.46d0ed6b4b80bp-6, 0x1.13a60745a80bdp-4, 0x1.c93064e874c85p-4, 0x1.390e00cc62285p-3, 0x1.872f30f259633p-3, 0x1.cf0955793673bp-3, 0x1.085cc414f5ebp-2, 0x1.2634bbaf22c2ap-2, 0x1.41265eab31e44p-2, 0x1.594f4982bb968p-2, 0x1.6ecfe360d5b29p-2, 0x1.81ca7f56248ffp-2, 0x1.92629e9bb3ef9p-2, 0x1.a0bc5136e044p-2, 0x1.acfbb2582d216p-2, 0x1.b7447bed12029p-2, 0x1.bfb9afd37fb16p-2, 0x1.c67d557a49b6fp-2, 0x1.cbb041d0dd211p-2, 0x1.cf71f4a707cdp-2, 0x1.d1e07a3b41741p-2, 0x1.d3185bed01f03p-2, 0x1.d3349507c125p-2, 0x1.d24e914fa7238p-2, 0x1.d07e2f1595f2cp-2, 0x1.cdd9c62d1b42ap-2, 0x1.ca763217b002fp-2, 0x1.c666de454d5f8p-2, 0x1.c1bdd5cca0871p-2, 0x1.bc8bd2a9e77b3p-2, 0x1.b6e04d435bcefp-2, 0x1.b0c99145d5c76p-2, 0x1.aa54c9f3f3c41p-2, 0x1.a38e17eeceee2p-2, 0x1.9c809f31cf90ap-2, 0x1.953698d5c3d07p-2, 0x1.8db9629da0ca7p-2, 0x1.86118db2ab0cfp-2, 0x1.7e46ee32d8a4cp-2, 0x1.7660a82b367dfp-2, 0x1.6e653ccc1fd4ap-2, 0x1.665a96e121d34p-2, 0x1.5e46161d783bap-2, 0x1.562c99f3061bp-2, 0x1.4e128b790d21cp-2, 0x1.45fbe71a1bad8p-2, 0x1.3dec44e0ea923p-2, 0x1.35e6e1084dbddp-2, 0x1.2deea2fe8aa29p-2, 0x1.2606248cfbb41p-2, 0x1.1e2fb8703bcdfp-2, 0x1.166d6f4d15d58p-2, 0x1.0ec11f847ec75p-2, 0x1.072c670f7e334p-2, 0x1.ff61644a38f24p-3, 0x1.f09e7f32fc585p-3, 0x1.e21247ab5a006p-3, 0x1.d3be99e3168f6p-3, 0x1.c5a50c15dee0ep-3, 0x1.b7c6f4837a946p-3, 0x1.aa256ef6a0c66p-3, 0x1.9cc1620f01dbap-3, 0x1.8f9b83ddfac55p-3, 0x1.82b45e79edf89p-3, 0x1.760c53e909e38p-3, 0x1.69a3a17abc4eep-3, 0x1.5d7a634be6b9dp-3, 0x1.51909778068e1p-3, 0x1.45e6214b0f01ep-3, 0x1.3a7acaf12ccccp-3, 0x1.2f4e4867149c3p-3, 0x1.246039c244b9p-3, 0x1.19b02d11d6091p-3, 0x1.0f3da0226f786p-3, 0x1.0508025036455p-3, 0x1.f61d6bd82247bp-4, 0x1.e2a223d47ffeep-4, 0x1.cf9cc5c20dba1p-4, 0x1.bd0bd8d5c98e4p-4, 0x1.aaedd50f232c9p-4, 0x1.994124067bdf7p-4, 0x1.88042301092efp-4, 0x1.77352670c81acp-4, 0x1.66d27ac7c3c03p-4, 0x1.56da61793e532p-4, 0x1.474b1acc49e7fp-4, 0x1.3822df2d21c47p-4, 0x1.295fe5ff27501p-4, 0x1.1b0062d529642p-4, 0x1.0d0287a37cfcdp-4, 0x1.fec90c5027db2p-5, 0x1.e449203df394bp-5, 0x1.ca81b091df20cp-5, 0x1.b16f26b4d86fp-5, 0x1.990ded14dafb6p-5, 0x1.815a7607e0e9bp-5, 0x1.6a5138a53e126p-5, 0x1.53eeb5f875737p-5, 0x1.3e2f74a17cd54p-5, 0x1.2910020fa4fb9p-5, 0x1.148cf988e28eep-5, 0x1.00a2fd94f0e4dp-5, 0x1.da9d74001e6d7p-6, 0x1.b519ce152705ap-6, 0x1.90b4919f465a4p-6, 0x1.6d675dd741473p-6, 0x1.4b2be32abd3a4p-6, 0x1.29fbeed55c69ap-6, 0x1.09d16c5adfe3p-6, 0x1.d54cb04cde472p-7, 0x1.98e9935e91052p-7, 0x1.5e6de5e9248a8p-7, 0x1.25ce4242cf105p-7, 0x1.ddfee9c01a586p-8, 0x1.73ecef6e07ac2p-8, 0x1.0d50fc2687cd9p-8, 0x1.542bce46fdbb5p-9, 0x1.289b69e1a60c7p-10, -0x1.2909aaea958f1p-12, -0x1.b091917ac6b06p-10, -0x1.8550322d1ef82p-9, -0x1.162f0e9ed847dp-8, -0x1.66cbe6f2c4b49p-8, -0x1.b4913d9c82142p-8, -0x1.ff911557dc42p-8, -0x1.23ee8366b9f6fp-7, -0x1.46c333bb2be65p-7, -0x1.684f1ba9739e7p-7, -0x1.889a824a788ecp-7, -0x1.a7ad7d48ff609p-7, -0x1.c58ffc44f291bp-7, -0x1.e249c54919c01p-7, -0x1.fde27183cb25ap-7, -0x1.0c30b260c4f42p-6, -0x1.18e6f10859884p-6, -0x1.251782eefc69dp-6, -0x1.30c5df6467169p-6, -0x1.3bf56c8cca4fep-6, -0x1.46a976151ac61p-6, -0x1.50e539d451735p-6, -0x1.5aabe57ae4be3p-6, -0x1.64008ecb898cep-6, -0x1.6ce63e14dc12fp-6, -0x1.755fe44fc598bp-6, -0x1.7d70667a1352cp-6, -0x1.851a95f18b1bcp-6, -0x1.8c61367790291p-6, -0x1.9346f747ba829p-6, -0x1.99ce77950b3fcp-6, -0x1.9ffa5166e4dafp-6, -0x1.a5ccffcad2c1cp-6, -0x1.ab48f6a3ea622p-6, -0x1.b070a4915ae0ep-6, -0x1.b54658d2d5459p-6, -0x1.b9cc5da1e5598p-6, -0x1.be04f25e73712p-6, -0x1.c1f246fa32233p-6, -0x1.c5967a401c262p-6, -0x1.c8f3a15cad171p-6, -0x1.cc0bc95498262p-6, -0x1.cee0ee1daa16bp-6, -0x1.d175042f2dbap-6, -0x1.d3c9ebad5854p-6, -0x1.d5e1802465b55p-6, -0x1.d7bd971768acep-6, -0x1.d95ff221fdf5ep-6, -0x1.daca4de0fa3afp-6, -0x1.dbfe5cc021bc4p-6, -0x1.dcfdbf11b09e9p-6, -0x1.ddca19d56ce7bp-6, -0x1.de64fe79ab073p-6, -0x1.decff68d68ae6p-6, -0x1.df0c84074ba6fp-6, -0x1.df1c212c76287p-6, -0x1.df003b613d836p-6, -0x1.deba3b78706e8p-6, -0x1.de4b80b70f51fp-6, -0x1.ddb5634dba029p-6, -0x1.dcf931b900cecp-6, -0x1.dc18348ee2eaep-6, -0x1.db13ac16c2206p-6, -0x1.d9eccf043c517p-6, -0x1.d8a4d2346574cp-6, -0x1.d73ce0d996ff2p-6, -0x1.d5b619582e3bcp-6, -0x1.d4119ed071374p-6, -0x1.d250845a08b89p-6, -0x1.d073db9dc1fe3p-6, -0x1.ce7cab9257b25p-6, -0x1.cc6bfa2755f11p-6, -0x1.ca42c54093e07p-6, -0x1.c802025c85e22p-6, -0x1.c5aaa67bbe462p-6, -0x1.c33d97c3da27bp-6, -0x1.c0bbbec5a5dc1p-6, -0x1.be2600a687c9ap-6, -0x1.bb7d36b4c7a48p-6, -0x1.b8c2352e53cbep-6, -0x1.b5f5ce7379302p-6, -0x1.b318cf4e0070fp-6, -0x1.b02bfe130efe9p-6, -0x1.ad301e6e1718ap-6, -0x1.aa25ee34f8175p-6, -0x1.a70e24033315ap-6, -0x1.a3e97588cf183p-6, -0x1.a0b893bd38eafp-6, -0x1.9d7c2965fa831p-6, -0x1.9a34dd7abc303p-6, -0x1.96e353b45a5bbp-6, -0x1.93882a9f24451p-6, -0x1.9023fbcdcc09ep-6, -0x1.8cb75f7b1aa14p-6, -0x1.8942e9f53519cp-6, -0x1.85c72808d777ap-6, -0x1.8244a5d13dd57p-6, -0x1.7ebbeb45495aep-6, -0x1.7b2d7acc7f45cp-6, -0x1.7799d765f40bp-6, -0x1.74017acf0c53dp-6, -0x1.7064e1acdcd4dp-6, -0x1.6cc48005e8af5p-6, -0x1.6920c92cd5ef2p-6, -0x1.657a2d7af1637p-6, -0x1.61d1194c41efdp-6, -0x1.5e25f642ce696p-6, -0x1.5a792a291a476p-6, -0x1.56cb1781074fbp-6, -0x1.531c1f8bc6e1ep-6, -0x1.4f6c9f67455f8p-6, -0x1.4bbcf0f1b4b6ep-6, -0x1.480d6c704cb3ap-6, -0x1.445e68da4f53ep-6, -0x1.40b037cf59029p-6, -0x1.3d0327bf6b8cp-6, -0x1.395785ce10554p-6, -0x1.35ad9e760d2b4p-6, -0x1.3205b9574c483p-6, -0x1.2e601c105215dp-6, -0x1.2abd09b36e5e4p-6, -0x1.271cc477e411ap-6, -0x1.237f8ac682d0dp-6, -0x1.1fe5994be9293p-6, -0x1.1c4f2a8a7f7dep-6, -0x1.18bc76e0e5f45p-6, -0x1.152db49523c22p-6, -0x1.11a317e9539c2p-6, -0x1.0e1cd335a27bep-6, -0x1.0a9b16cbac9bep-6, -0x1.071e0fc4b5dep-6, -0x1.03a5eacb56fb5p-6, -0x1.0032d76bf07eep-6, -0x1.f989f05291063p-7, -0x1.f2b8e8036bf34p-7, -0x1.ebf2e6eb3904p-7, -0x1.e53834f4681e3p-7, -0x1.de8912d05e18p-7, -0x1.d7e5c34a24d24p-7, -0x1.d14e812432b74p-7, -0x1.cac3887a6bc77p-7, -0x1.c445116baf88cp-7, -0x1.bdd3507a49325p-7, -0x1.b76e773c37264p-7, -0x1.b116b4dc61e2p-7, -0x1.aacc35620328fp-7, -0x1.a48f258949e54p-7, -0x1.9e5fa6159c3f6p-7, -0x1.983ddda4ab825p-7, -0x1.9229f6b994ffbp-7, -0x1.8c24030ddae8fp-7, -0x1.862c2879f2259p-7, -0x1.80427fd321b13p-7, -0x1.7a67256421bc1p-7, -0x1.749a2c8aa2213p-7, -0x1.6edba9cc33a61p-7, -0x1.692bb0f028dafp-7, -0x1.638a53371fc4cp-7, -0x1.5df79ef46f101p-7, -0x1.58739fa6c011dp-7, -0x1.52fe6046cad6fp-7, -0x1.4d97e9c9ac8cp-7, -0x1.48404591ab33bp-7, -0x1.42f777bee94fep-7, -0x1.3dbd86c9b9d93p-7, -0x1.389273eec50acp-7, -0x1.33763f35df229p-7, -0x1.2e68e8eb6a31ap-7, -0x1.296a722009994p-7, -0x1.247ad51ef68fdp-7, -0x1.1f9a0c15822dp-7, -0x1.1ac812f6a4fbdp-7, -0x1.1604e2e0f6bf1p-7, -0x1.1150737c30b99p-7, -0x1.0caabaaad3a19p-7, -0x1.0813adba9d992p-7, -0x1.038b42cf3ffd5p-7, -0x1.fe22d9b6da678p-8, -0x1.f54c3ae65e243p-8, -0x1.ec928b9a93405p-8, -0x1.e3f5ac922f2c7p-8, -0x1.db757c7b41e6p-8, -0x1.d311d9080a53ap-8, -0x1.caca9ed1bc62dp-8, -0x1.c29fa8528eb63p-8, -0x1.ba90cd9e48678p-8, -0x1.b29de51680e93p-8, -0x1.aac6c24e5e4c8p-8, -0x1.a30b3942a717bp-8, -0x1.9b6b24ad0e4afp-8, -0x1.93e652015a524p-8, -0x1.8c7c8a77fccf1p-8, -0x1.852da75633abdp-8, -0x1.7df97700c10b8p-8, -0x1.76dfc65dfbd16p-8, -0x1.6fe059e363b4fp-8, -0x1.68fb0375158d2p-8, -0x1.622f8bba0e605p-8, -0x1.5b7dbd534dee4p-8, -0x1.54e56434e57fep-8, -0x1.4e664707f0df2p-8, -0x1.48002bcd074afp-8, -0x1.41b2db3680044p-8, -0x1.3b7e1ce23f534p-8, -0x1.3561b4971d7a9p-8, -0x1.2f5d69052ff1bp-8, -0x1.2970ffbbf5735p-8, -0x1.239c3c8a247e5p-8, -0x1.1ddee4656ecd2p-8, -0x1.1838bbbe8fe56p-8, -0x1.12a985446c919p-8, -0x1.0d31021bfe6a1p-8, -0x1.07cef8d0de6f3p-8, -0x1.02832ea42fc31p-8, -0x1.fa9ac2211929ap-9, -0x1.f05aa5553921p-9, -0x1.e64595a0b2043p-9, -0x1.dc5b05631455ep-9, -0x1.d29a95a9969cap-9, -0x1.c903b385257b8p-9, -0x1.bf95eaa43d246p-9, -0x1.b650c0a8eda49p-9, -0x1.ad33b7dcb6c55p-9, -0x1.a43e57803125bp-9, -0x1.9b701f99b7ce9p-9, -0x1.92c89db45a05ap-9, -0x1.8a4753247dbd3p-9, -0x1.81ebc1ca07a2dp-9, -0x1.79b57cc96475dp-9, -0x1.71a3e9c24b338p-9, -0x1.69b6b12d2c3ecp-9, -0x1.61ed4b551c433p-9, -0x1.5a4748b094c51p-9, -0x1.52c42d14d5f7bp-9, -0x1.4b637f976179p-9, -0x1.4424cae70429ep-9, -0x1.3d0797b245798p-9, -0x1.360b6c414ec1cp-9, -0x1.2f2fda745e1cdp-9, -0x1.28746fee4e7ebp-9, -0x1.21d8b054206b7p-9, -0x1.1b5c2bbdf1c8ap-9, -0x1.14fe71b6c90d7p-9, -0x1.0ebf14f15e854p-9, -0x1.089da48455f6bp-9, -0x1.0299ac4357aedp-9, -0x1.f965836a19741p-10, -0x1.edd0e226047dap-10, -0x1.e274a1be3dc3dp-10, -0x1.d74fe2fc58b25p-10, -0x1.cc61db0d3f297p-10, -0x1.c1a9b4754499fp-10, -0x1.b726975cb0dcp-10, -0x1.acd7b25009545p-10, -0x1.a2bc370dd7287p-10, -0x1.98d358b6557dp-10, -0x1.8f1c4c1ad5144p-10, -0x1.85964931c1ed2p-10, -0x1.7c408b9826c34p-10, -0x1.731a4d70a3a44p-10, -0x1.6a22c3cdfe172p-10, -0x1.6159231738bdbp-10, -0x1.58bcbbb490e88p-10, -0x1.504cd02b48e1p-10, -0x1.4808a8882ff57p-10, -0x1.3fef75a27d767p-10, -0x1.38008c0759e91p-10, -0x1.303b4c2e2e531p-10, -0x1.289efaf382fcep-10, -0x1.212ae5e5b35ebp-10, -0x1.19de5ed3acadcp-10, -0x1.12b8ce9c34833p-10, -0x1.0bb96fd58414p-10, -0x1.04df9a897d15cp-10, -0x1.fc554030d5aebp-11, -0x1.ef33a96aca79ep-11, -0x1.e2591cb2a404cp-11, -0x1.d5c451033a202p-11, -0x1.c97409f7618d1p-11, -0x1.bd673a8c8a8dfp-11, -0x1.b19c74294c471p-11, -0x1.a612f6512018fp-11, -0x1.9ac98dc2fd386p-11, -0x1.8fbf232f13425p-11, -0x1.84f29b7aa0482p-11, -0x1.7a62e30b9bd77p-11, -0x1.700edda262475p-11, -0x1.65f54e660094cp-11, -0x1.5c14fed83f8aep-11, -0x1.526cc8a9c2322p-11, -0x1.48fb839aa6a77p-11, -0x1.3fc009a4b865p-11, -0x1.36b945f72bc88p-11, -0x1.2de638dbff675p-11, -0x1.2545fd208333bp-11, -0x1.1cd7c079c275p-11, -0x1.149aa85461c1bp-11, -0x1.0c8dd7a23f6dap-11, -0x1.04b099e51d9ap-11, -0x1.fa041fe47df9ap-12, -0x1.eb0295f69419p-12, -0x1.dc5ae20b1a51fp-12, -0x1.ce0b2fa341775p-12, -0x1.c0118588dd8efp-12, -0x1.b26c211847329p-12, -0x1.a51865bcdef33p-12, -0x1.98153350d8515p-12, -0x1.8b60a6a2593fap-12, -0x1.7ef91a2d65897p-12, -0x1.72dd23decef7p-12, -0x1.670b6697dc0ffp-12, -0x1.5b8290dae268dp-12, -0x1.5041499db6b7dp-12, -0x1.4546408e5fa3dp-12, -0x1.3a9016a185e87p-12, -0x1.301d6117ee8cep-12, -0x1.25ecacca2f06ap-12, -0x1.1bfc806439521p-12, -0x1.124b62dfb4454p-12, -0x1.08d7ecd8e62bep-12, -0x1.ff41719121bbp-13, -0x1.ed48784bfa27dp-13, -0x1.dbc41d9d286abp-13, -0x1.cab086cbf12f1p-13, -0x1.ba0c101bff157p-13, -0x1.a9d4a541c483ap-13, -0x1.9a0832e1497ebp-13, -0x1.8aa49ee53e555p-13, -0x1.7ba7be13f8032p-13, -0x1.6d0f43146c536p-13, -0x1.5ed8d5411585ap-13, -0x1.510252fac2869p-13, -0x1.43894e3a4b98cp-13, -0x1.366b626cbf9b9p-13, -0x1.29a671b740ffbp-13, -0x1.1d38634064837p-13, -0x1.111f617f6f76ep-13, -0x1.055960e0473cdp-13, -0x1.f3c8fe9d0c2dap-14, -0x1.dd7e5adaaea28p-14, -0x1.c7cf44d376cb7p-14, -0x1.b2b7ed37157d8p-14, -0x1.9e35684f7ffe4p-14, -0x1.8a449817fcf62p-14, -0x1.76e223547b436p-14, -0x1.640baa8585864p-14, -0x1.51bedd089a433p-14, -0x1.3ff81e97bd93cp-14, -0x1.2eb3cd6288f57p-14, -0x1.1def043bb63b8p-14, -0x1.0da748eb685fdp-14, -0x1.fbb3e996441e9p-15, -0x1.dd098d7242e76p-15, -0x1.bf4b4d3696ccep-15, -0x1.a2741b6ecc18ep-15, -0x1.867deb3c07cbbp-15, -0x1.6b614a591fa83p-15, -0x1.51156dfa964aap-15, -0x1.3792378d73352p-15, -0x1.1ed07f014c44cp-15, -0x1.06cb3018a3941p-15, -0x1.defb0f52e55e1p-16, -0x1.b1ca278793941p-16, -0x1.85fe9dbafd11cp-16, -0x1.5b92f64af149bp-16, -0x1.328152a73b1d8p-16, -0x1.0ac0a5e42a845p-16, -0x1.c8948ab368f3ep-17, -0x1.7e3009c40e7f7p-17, -0x1.36469eb029686p-17, -0x1.e1a4b2c48a23ep-18, -0x1.5b9ba6754a27bp-18, -0x1.b4c41b8034422p-19, -0x1.7792a1546372ap-20, 0x1.a0a032f755059p-22, 0x1.1b3b861bc51e5p-19, 0x1.fa2cd5f2bc2b9p-19, 0x1.68ad974dfa7f1p-18, 0x1.d0959970c6f3dp-18, 0x1.1a73ee11ec18ap-17, 0x1.4ae08bb68c4f5p-17, 0x1.79974212965f6p-17, 0x1.a69dab9184279p-17, 0x1.d1fed731a9702p-17, 0x1.fbc3c8d5395d1p-17, 0x1.11f8a1778e1e4p-16, 0x1.254667f62f0c6p-16, 0x1.37ce81cd69c79p-16, 0x1.4992ebd1f5c8dp-16, 0x1.5a96273474e5dp-16, 0x1.6add4054a24a4p-16, 0x1.7a6aadad43e3dp-16, 0x1.8941e68e6848cp-16, 0x1.97697149e8f59p-16, 0x1.a4e86b066866ep-16, 0x1.b1c472eac6108p-16, 0x1.be05f2dd75737p-16, 0x1.c9b40ab2e5c5dp-16, 0x1.d4d4d77f3463bp-16, 0x1.df6df65482c97p-16, 0x1.e97e07d7e1577p-16, 0x1.f30d330dd2f3p-16, 0x1.fc1eee43af2ep-16, 0x1.02619fab65783p-15, 0x1.066f6ff528604p-15, 0x1.0a4a669409b12p-15, 0x1.0ded8cdf9647cp-15, 0x1.11588e30244f8p-15, 0x1.148b2f1dc7364p-15, 0x1.1786e9dc46891p-15, 0x1.1a4e19b8c82cbp-15, 0x1.1ce310d82dfdap-15, 0x1.1f47e26c380bap-15, 0x1.217dde9913ea8p-15, 0x1.2384f601cf808p-15, 0x1.255de6b70cce7p-15, 0x1.270a1452e710ap-15, 0x1.288be8283bf61p-15, 0x1.29e545ee7b5c4p-15, 0x1.2b1a30425bc26p-15, 0x1.2c2c88ffff20dp-15, 0x1.2d1b13190866cp-15, 0x1.2de69c4db13bap-15, 0x1.2e8f7cfa11e07p-15, 0x1.2f16b2d40f102p-15, 0x1.2f7e134d8dce9p-15, 0x1.2fc687ce88de1p-15, 0x1.2ff18aba8feedp-15, 0x1.300020ebc6615p-15, 0x1.2ff36d3bee97fp-15, 0x1.2fcc8b0d41bf5p-15, 0x1.2f8c44fe7641p-15, 0x1.2f334826ddd7p-15, 0x1.2ec2245d6163ap-15, 0x1.2e3a89a2e4e14p-15, 0x1.2d9d2c354a70ap-15, 0x1.2ce90db852946p-15, 0x1.2c1e6b50910d8p-15, 0x1.2b3e3d31c9897p-15, 0x1.2a48eeb733dfap-15, 0x1.293f9a4b0c55fp-15, 0x1.282528bb8873cp-15, 0x1.26fca7def633ep-15, 0x1.25c5e1f0f1814p-15, 0x1.247fcb6924358p-15, 0x1.2329670c4bff4p-15, 0x1.21c3b5be6236ap-15, 0x1.20501c330e0fcp-15, 0x1.1ece497dd2fecp-15, 0x1.1d3df9693a03ap-15, 0x1.1b9ff3d3777f9p-15, 0x1.19f57628d84b4p-15, 0x1.18407e44d03bdp-15, 0x1.16825db9862ddp-15, 0x1.14bb63dffbb7dp-15, 0x1.12eaede0201f3p-15, 0x1.1110ca7a0bd29p-15, 0x1.0f2dc39617d69p-15, 0x1.0d422a2aed98cp-15, 0x1.0b4f58969de54p-15, 0x1.09544c991ec56p-15, 0x1.0750a17fb9116p-15, 0x1.05457c4a0c66ap-15, 0x1.033377e9ee331p-15, 0x1.011b0bd6a8de2p-15, 0x1.fdfba53a7e86p-16, 0x1.f9b97e8b3caedp-16, 0x1.f56d76df2c083p-16, 0x1.f1182ae392f99p-16, 0x1.ecba2ada451cfp-16, 0x1.e8544bb6579dep-16, 0x1.e3e65ef64884fp-16, 0x1.df7054d70739ap-16, 0x1.daf38b4aa0e02p-16, 0x1.d67062814fb84p-16, 0x1.d1e796cc73534p-16, 0x1.cd598527b2995p-16, 0x1.c8c746473cbdep-16, 0x1.c43126c5c079cp-16, 0x1.bf9a4dcb991b5p-16, 0x1.bb00bd934d6b5p-16, 0x1.b663a72d70666p-16, 0x1.b1c534a7c046cp-16, 0x1.ad254b936435ap-16, 0x1.a88a025630cf2p-16, 0x1.a3df7a713736ep-16, 0x1.9f3bd9c82c43bp-16, 0x1.9a985ca1b5396p-16, 0x1.95f61b67af351p-16, 0x1.9152cdcf2b762p-16, 0x1.8cafcaeb86a22p-16, 0x1.8810255a41968p-16, 0x1.836fb43911d0fp-16, 0x1.7ed213a200536p-16, 0x1.7a37d08252e97p-16, 0x1.759f3726dcf91p-16, 0x1.7108ac621a71ap-16, 0x1.6c75bb3220181p-16, 0x1.67e5e58507f4ap-16, 0x1.63582c86d70a3p-16, 0x1.5ecfb55b74a8ap-16, 0x1.5a4a7bc8e9b64p-16, 0x1.55c9065f3289dp-16, 0x1.514c44f8b1797p-16, 0x1.4cd177f7610d4p-16, 0x1.485e31353d8d3p-16, 0x1.43eeb60da4298p-16, 0x1.3f841a95121f4p-16, 0x1.3b1ee339d3278p-16, 0x1.36becf4338e55p-16, 0x1.326433d05ada8p-16, 0x1.2e0f62fa9ac82p-16, 0x1.29c03a7cc26ddp-16, 0x1.25762b99e8e44p-16, 0x1.2131cc5dbc2e5p-16, 0x1.1cf4be4e4b1fp-16, 0x1.18be4b8d333ep-16, 0x1.148dad56d3dd4p-16, 0x1.1062d50161626p-16, 0x1.0c3eb4c8dea34p-16, 0x1.0836a966d3b7bp-16, 0x1.040ab23a45b8ep-16, 0x1.fff5bfcf60967p-17, 0x1.f7e3e10ee6d09p-17, 0x1.efdfe5a50bb32p-17, 0x1.e7e9e445342e8p-17, 0x1.e001f8e9539fdp-17, 0x1.d8285fed6c0fdp-17, 0x1.d05d48ec3df7fp-17, 0x1.c89ff2c44a4e4p-17, 0x1.c0f1cd587b583p-17, 0x1.b95583d249f4dp-17, 0x1.b1c671eb1018ap-17, 0x1.aa45ca0d7a3ddp-17, 0x1.a2d344d670125p-17, 0x1.9b7046eeb08efp-17, 0x1.941a66afde22p-17, 0x1.8cd8a680880fcp-17, 0x1.85a49f19d0d9dp-17, 0x1.7e807e9cc0ecp-17, 0x1.776685a5d85e9p-17, 0x1.7060b64c9793p-17, 0x1.696965fbe6e53p-17, 0x1.62818cee47c9ep-17, 0x1.5ba81e244b6f2p-17, 0x1.54dce4e66f7c9p-17, 0x1.4e2b017ba2d86p-17, 0x1.477d7059ddf7ap-17, 0x1.40e3dc5120d03p-17, 0x1.3a5a8fba14da7p-17, 0x1.33e0ef8453ec9p-17, 0x1.2d765951270e2p-17, 0x1.271ba45de465bp-17, 0x1.20cec25a1c47p-17, 0x1.1a954e2bc4b77p-17, 0x1.1465ce6c00d43p-17, 0x1.0e4883230d96p-17, 0x1.083aaee82e107p-17, 0x1.023c36906791ep-17, 0x1.f89c13085d647p-18, 0x1.ece11eeb763dbp-18, 0x1.e140e4f27739p-18, 0x1.d5bea108bab11p-18, 0x1.ca5e32a8f5e83p-18, 0x1.bf1e02b58aa72p-18, 0x1.b3f69555c2c59p-18, 0x1.a8efb6aeb5abep-18, 0x1.9e071ea895243p-18, 0x1.933c940b05f45p-18, 0x1.889000bd05e59p-18, 0x1.7e018cf1581e3p-18, 0x1.7391535e06689p-18, 0x1.693eca52a81f5p-18, 0x1.5f09ed334095ap-18, 0x1.54f1c15fe7d5ep-18, 0x1.4afa5ac265e3fp-18, 0x1.411d35fa6c608p-18, 0x1.375b338105fep-18, 0x1.2db993690e5d8p-18, 0x1.2434c5a03ea77p-18, 0x1.1acc6e56e2d43p-18, 0x1.117f3fc1f607fp-18, 0x1.085014e18ccc1p-18, 0x1.fe77c3ec49d65p-19, 0x1.ec8485dbac7f2p-19, 0x1.dac805353ebe4p-19, 0x1.c94afc4e4e5e6p-19, 0x1.b80653c004adbp-19, 0x1.a6f05657bc57dp-19, 0x1.96144f3a9218bp-19, 0x1.8572e47467e2fp-19, 0x1.75044f36b6802p-19, 0x1.64c744433d44ep-19, 0x1.54cbf0ff7c287p-19, 0x1.44de9e5e4b403p-19, 0x1.355badd207acep-19, 0x1.25fae6a21cd3cp-19, 0x1.16c7397180d02p-19, 0x1.07ccff7a0e9ep-19, 0x1.f1f4868a345efp-20, 0x1.d4ddb7d5bb01dp-20, 0x1.b802f1c8b8f7fp-20, 0x1.9b9d29eef502p-20, 0x1.7f9b30739e79ap-20, 0x1.63fca682cfb0bp-20, 0x1.48c212a4e5d12p-20, 0x1.2de9d80c7fae3p-20, 0x1.136e36ea34ccfp-20, 0x1.f2a83a6b6cc2ap-21, 0x1.bf315cc25c66ep-21, 0x1.8c828fb8e7613p-21, 0x1.5a9254dcdbcaap-21, 0x1.295b009ce3e67p-21, 0x1.f1a8569cea237p-22, 0x1.92087506a0ba6p-22, 0x1.33da8dc36c6fp-22, 0x1.ae3c8c8172ec7p-23, 0x1.ef43c1db48af2p-24, 0x1.0ece753b8e691p-25, -0x1.b64c3daa82d32p-25, -0x1.1bee7e9f50148p-23, -0x1.c76604836fda6p-23, -0x1.382d274316762p-22, -0x1.8b5733e60e5c1p-22, -0x1.dd2c15da3a38ap-22, -0x1.16d6c8ca1e21bp-21, -0x1.3e6dedd107defp-21, -0x1.655f9ae5d7b11p-21, -0x1.8bb489b69de05p-21, -0x1.b165f6ab7c956p-21, -0x1.d676ea66b3d82p-21, -0x1.fab93bbbbd816p-21, -0x1.0f38ea3da9d2dp-20, -0x1.20ea7abdcf868p-20, -0x1.3223533e5a141p-20, -0x1.433acb2d539c4p-20, -0x1.53e8518ee351dp-20, -0x1.644ebe191e07dp-20, -0x1.746ab2e3f70bep-20, -0x1.843b99351ef5ep-20, -0x1.93d5b284d8796p-20, -0x1.a2f78edbc326bp-20, -0x1.b1f250cac43c6p-20, -0x1.c0a8e872ac49dp-20, -0x1.cf0ebca6bdfc6p-20, -0x1.dd1b4c2198695p-20, -0x1.eb1346679de38p-20, -0x1.f8a01e1604bcep-20, -0x1.02fbde9fc510bp-19, -0x1.097968c6ca6a4p-19, -0x1.0ffb260765c56p-19, -0x1.163236638ccffp-19, -0x1.1c5381684e9e2p-19, -0x1.2259624929687p-19, -0x1.283e9e3752699p-19, -0x1.2e0321a2457c2p-19, -0x1.33a7e883bc8b6p-19, -0x1.3921ce00438f8p-19, -0x1.3e95ce6ffd77cp-19, -0x1.43dfd00f3f81ep-19, -0x1.490ab15616382p-19, -0x1.4e17b1f74fe97p-19, -0x1.5306ea3477913p-19, -0x1.57dd6e6a8e254p-19, -0x1.5c97734d2dbbap-19, -0x1.61296d750446p-19, -0x1.65a6aa4e9a7e8p-19, -0x1.6a07e2e277d74p-19, -0x1.6e4d69c9373c5p-19, -0x1.72777add45b3ep-19, -0x1.7686d35bdd98bp-19, -0x1.7a7b688ea3097p-19, -0x1.7e5dc5840232fp-19, -0x1.82154edf4ab1ep-19, -0x1.85bbb60742f21p-19, -0x1.89493d15d6396p-19, -0x1.8cbd7b964a078p-19, -0x1.901835e3d40e2p-19, -0x1.935b3bb09ccd5p-19, -0x1.9684ed20f0861p-19, -0x1.9993a2297034bp-19, -0x1.9c8d9c903799ep-19, -0x1.9f996c7a378e4p-19, -0x1.a23983f6ab47p-19, -0x1.a4f269d88f18ap-19, -0x1.a78fba2e55e2cp-19, -0x1.aa16b6195b7cdp-19, -0x1.ac87dfaf4d8b8p-19, -0x1.aee344e589972p-19, -0x1.b129295ebd619p-19, -0x1.b35ae108ed671p-19, -0x1.b57344e3b5e68p-19, -0x1.b77d71e841b5cp-19, -0x1.b96dc334b2986p-19, -0x1.bb4c6adcdb67dp-19, -0x1.bd171db5318c1p-19, -0x1.beccef58bbc5bp-19, -0x1.c0703dfb0e1c5p-19, -0x1.c20007e831699p-19, -0x1.c37e202735556p-19, -0x1.c4e344f749a4cp-19, -0x1.c62f87dc81eecp-19, -0x1.c785ca4bb5962p-19, -0x1.c8b82045ff37dp-19, -0x1.c9d8def38d86p-19, -0x1.cae73b88a4c41p-19, -0x1.cbe6a0642a0eap-19, -0x1.cc95aca608b2bp-19, -0x1.cdbdc257d46efp-19, -0x1.ce8000421a6d1p-19, -0x1.cf3cea671c0b3p-19, -0x1.cfe90cdd41c35p-19, -0x1.d0b313d2d1382p-19, -0x1.d112c2228b4cep-19, -0x1.d1907a75232b9p-19, -0x1.d1ff8ca9c738ep-19, -0x1.d264ea58ff573p-19, -0x1.d2c0cf6f0e1e7p-19, -0x1.d2ed97c462baep-19, -0x1.d3259ab281946p-19, -0x1.d349382953f7cp-19, -0x1.d3701811c9a4dp-19, -0x1.d36eef55e9c62p-19, -0x1.d36a3f3480671p-19, -0x1.d357c5ab4a1abp-19, -0x1.d33dbc6c14837p-19, -0x1.d30f4bc40bc39p-19, -0x1.d2f11bddd3094p-19, -0x1.d29583100f255p-19, -0x1.d24607c8a0ba6p-19, -0x1.d1e5adaa7eab6p-19, -0x1.d181248a347ap-19, -0x1.d10e12afd60f6p-19, -0x1.d08e363a35141p-19, -0x1.d0108a9fd6024p-19, -0x1.cf6f543cf57c3p-19, -0x1.cecf853d5001ap-19, -0x1.ce1acb4f026d8p-19, -0x1.cd6f7d18ba854p-19, -0x1.cccb795672e16p-19, -0x1.cbe30775fd0e7p-19, -0x1.cb0de8dbd1559p-19, -0x1.ca333168206f9p-19, -0x1.c8437aafeb615p-19, -0x1.c865ad8a4bba7p-19, -0x1.c76318db7eb4ap-19, -0x1.c65d0551dc07bp-19, -0x1.c55ecc5c56bd8p-19, -0x1.c43b3025052bep-19, -0x1.c31d8167a7aa6p-19, -0x1.c1f662bd1de93p-19, -0x1.c0cb07337752fp-19, -0x1.bf90877f153f2p-19, -0x1.be52375f3067fp-19, -0x1.bd0bf5c3e342cp-19, -0x1.bb89ae7131302p-19, -0x1.ba65643a5ad86p-19, -0x1.b90930578f418p-19, -0x1.b7a48368caa29p-19, -0x1.b62aaa390ac52p-19, -0x1.b4c47042bda4ap-19, -0x1.b34f60abb7882p-19, -0x1.b1cfbd26edeaap-19, -0x1.b040b3f528468p-19, -0x1.aeb59f2e02c1fp-19, -0x1.ad21f863040bdp-19, -0x1.ab8e2abd84f22p-19, -0x1.aa05f2df1bfbbp-19, -0x1.a84348b644ae8p-19, -0x1.a69a613851998p-19, -0x1.a4e8c31c00adap-19, -0x1.a3121ff615c75p-19, -0x1.a17b7034735ccp-19, -0x1.9fae58b05245ap-19, -0x1.9dfea3c93d164p-19, -0x1.9c29b7d3057e7p-19, -0x1.9a58852e22e2cp-19, -0x1.987fe19c6b9b7p-19, -0x1.96aa87e7b2762p-19, -0x1.94cfbf4d9b45ep-19, -0x1.92ed97ff00135p-19, -0x1.91093cf462cecp-19, -0x1.8f1e54619dc26p-19, -0x1.8d362668b828cp-19, -0x1.8b3c5e8a507d5p-19, -0x1.897a4504acf83p-19, -0x1.874f156c9ff4p-19, -0x1.8553ddf11e068p-19, -0x1.835e721dfb065p-19, -0x1.814e48b18f4e2p-19, -0x1.7f4a26a4df0a1p-19, -0x1.7d3b80bf91bbbp-19, -0x1.7b4fee62907fep-19, -0x1.79200ae976239p-19, -0x1.770f1d482577cp-19, -0x1.7501a226cd22ep-19, -0x1.72f6bf363f69ep-19, -0x1.70c835c730274p-19, -0x1.6eab9a9070f1p-19, -0x1.6c8dd062a2c1dp-19, -0x1.6a6c4880f8bffp-19, -0x1.6849ae224e8ffp-19, -0x1.6621a5418f102p-19, -0x1.63fa373034bf2p-19, -0x1.61af89d1339eep-19, -0x1.5f9e2a7bbb034p-19, -0x1.5d7693e2f9d4p-19, -0x1.5b3b90f4fe44bp-19, -0x1.591538495859ap-19, -0x1.56e2b12d4a18dp-19, -0x1.54aa11bda9912p-19, -0x1.527a967ac56d9p-19, -0x1.507d67ad59cd9p-19, -0x1.4e0d61530236cp-19, -0x1.4c136549b8bfdp-19, -0x1.49a280200b858p-19, -0x1.4767d62a69673p-19, -0x1.452bb4bd71d4dp-19, -0x1.42ef3848660d6p-19, -0x1.40b2ba5a708b1p-19, -0x1.3e7475cce4df3p-19, -0x1.3c3f342729a7p-19, -0x1.39f09901d2f6fp-19, -0x1.37bb59fd79b8bp-19, -0x1.357db59260265p-19, -0x1.333c288962b81p-19, -0x1.30fd27234bfbap-19, -0x1.2ebe459455713p-19, -0x1.2c7fdebe7996ap-19, -0x1.2a296e4d78744p-19, -0x1.27f61720d9e5cp-19, -0x1.25bd127374d3p-19, -0x1.2377e1e3fc88bp-19, -0x1.21426ea18e977p-19, -0x1.1edb6f47d9944p-19, -0x1.1cc0cf4e20093p-19, -0x1.1a8246502f757p-19, -0x1.1842613d93da3p-19, -0x1.162b6191e5a0ep-19, -0x1.13cbc44c45e66p-19, -0x1.116c5e473de7bp-19, -0x1.0f3e6b2147e92p-19, -0x1.0cfbc97997f42p-19, -0x1.0adf0becd27d6p-19, -0x1.089b729387df7p-19, -0x1.065bfe3ba9ae5p-19, -0x1.042ad1c73fddp-19, -0x1.01fa2a1942db6p-19, -0x1.ff7d415da9871p-20, -0x1.fb0be025fd702p-20, -0x1.f6a1303f6f2f1p-20, -0x1.f22da8102daa3p-20, -0x1.eda81b88ecf75p-20, -0x1.e970f06dea39cp-20, -0x1.e515d0ecd4be8p-20, -0x1.e0b38d4b2981p-20, -0x1.dc53bc61bd326p-20, -0x1.d808633392e41p-20, -0x1.d3794519393a5p-20, -0x1.cf589488272d1p-20, -0x1.cb05d298d0cafp-20, -0x1.c6b56d9554ebp-20, -0x1.c269aefc530dep-20, -0x1.be20a08a55e62p-20, -0x1.b9dd0387d5ec4p-20, -0x1.b5997095e87b1p-20, -0x1.b118b8022facap-20, -0x1.ad2425bbb5e81p-20, -0x1.a8ee2759b0f6cp-20, -0x1.a4b5216c9023fp-20, -0x1.a0826f3d16fdcp-20, -0x1.9c55750bd3e32p-20, -0x1.982c1bdd2e7d9p-20, -0x1.94064ed8ec03fp-20, -0x1.8fe40c95eb254p-20, -0x1.8bc32bedad6f2p-20, -0x1.8774165bdcee5p-20, -0x1.8390b016b24dbp-20, -0x1.7f7e399d627fep-20, -0x1.7b6df4d1aa13bp-20, -0x1.77645a05fed31p-20, -0x1.73460afa78413p-20, -0x1.6f548db597382p-20, -0x1.6b565e66b3952p-20, -0x1.675abd3c8d8dfp-20, -0x1.6362e658cff6p-20, -0x1.5f66640c1bd8dp-20, -0x1.5b8126a7a4bdfp-20, -0x1.57a949b6330b9p-20, -0x1.53b2a87f1a344p-20, -0x1.4fce9c5657aa2p-20, -0x1.4bcd64173578cp-20, -0x1.48988806955bcp-20, -0x1.4444a656953d2p-20, -0x1.4079632f2045ap-20, -0x1.3ca6aec408a63p-20, -0x1.38d6b774161eep-20, -0x1.35208558458d7p-20, -0x1.31621c910f9c7p-20, -0x1.2da5dc24d95bbp-20, -0x1.29f3933effedp-20, -0x1.264bef51e138ep-20, -0x1.2295d86d16b13p-20, -0x1.1eeab87e78c8fp-20, -0x1.1b567ecb315a9p-20, -0x1.17c48c0d22c17p-20, -0x1.1424833494d7bp-20, -0x1.10929baed35e6p-20, -0x1.0cd9ca98cfd3dp-20, -0x1.096cda53e07ddp-20, -0x1.061b6541defc1p-20, -0x1.02268947dce59p-20, -0x1.fdd75cf97d5fep-21, -0x1.f6afacfe186bap-21, -0x1.f04c1e90baf1p-21, -0x1.e953fb573922p-21, -0x1.e2736aa0cda26p-21, -0x1.dbb2c3efe40d3p-21, -0x1.d52944cc30365p-21, -0x1.ce43f60c07bf7p-21, -0x1.c7a025bfbe50fp-21, -0x1.c1235ee414d3dp-21, -0x1.ba63dc383b013p-21, -0x1.b3e58547d703ep-21, -0x1.ad6d95558f974p-21, -0x1.a6ff238888ddbp-21, -0x1.a0999e9169e71p-21, -0x1.9a3e43cb16fcbp-21, -0x1.93df57e9f2375p-21, -0x1.8d8f09d79c573p-21, -0x1.8757a99adc0ep-21, -0x1.811eb62ad84b8p-21, -0x1.7ad3f6be7eb3bp-21, -0x1.74ab8010a7da6p-21, -0x1.6ecbf18e32627p-21, -0x1.68b36fc7c09c6p-21, -0x1.62ae8aceb77e5p-21, -0x1.5cc3bb6a034e4p-21, -0x1.56d3ec063defbp-21, -0x1.50ef3bd6ee608p-21, -0x1.4b14e567b11e5p-21, -0x1.3e44dd9506306p-21, -0x1.3f8373004f47bp-21, -0x1.39d2ee8faa65dp-21, -0x1.341341187cdb1p-21, -0x1.2e5e52d716b61p-21, -0x1.28daa0ad0f65cp-21, -0x1.23434ef72ae1bp-21, -0x1.1db104c480ccap-21, -0x1.1839092f408abp-21, -0x1.12d851577fdbep-21, -0x1.0d68d88ffa1e2p-21, -0x1.0802c823589e7p-21, -0x1.02ad0bb29f12p-21, -0x1.fad56ece29b25p-22, -0x1.f07533f8c0f06p-22, -0x1.e60ba4074b647p-22, -0x1.db8534bf3e64cp-22, -0x1.d1bbb00d528e6p-22, -0x1.c709ce75daacap-22, -0x1.bc8a9b17c1be8p-22, -0x1.b309d124432cap-22, -0x1.a8a32e4c98435p-22, -0x1.9f00c2d2a3587p-22, -0x1.953030a3c4ac8p-22, -0x1.8b91363fdb84dp-22, -0x1.82395085eeb45p-22, -0x1.77a341b56cac5p-22, -0x1.6e8b3f49682b4p-22, -0x1.65a4d76990b2dp-22, -0x1.5c3bcb34fb5fbp-22, -0x1.52ebd723c3c15p-22, -0x1.4990e2efad31dp-22, -0x1.409909c18f0abp-22, -0x1.377bbf52edba3p-22, -0x1.2ea833ed42697p-22, -0x1.25f59fa9191ap-22, -0x1.1cd2c88348744p-22, -0x1.13d723c31132ap-22, -0x1.0aa68c51edb23p-22, -0x1.0307a2cfa6571p-22, -0x1.f4b505c9e3a49p-23, -0x1.e3cd114732074p-23, -0x1.d32c1a4cae45ep-23, -0x1.c2e87724a74c2p-23, -0x1.b325a1e649ed8p-23, -0x1.a1916bd0f8c4ep-23, -0x1.911e2491cf092p-23, -0x1.8243ea8e115afp-23, -0x1.71680e8086772p-23, -0x1.61b97a28401d9p-23, -0x1.5214b92adac24p-23, -0x1.433c686634545p-23, -0x1.34bb4f2b1277ap-23, -0x1.24d633cf9718cp-23, -0x1.160c1f7ada633p-23, -0x1.06ffba4935b43p-23, -0x1.eff52f7c79f64p-24, -0x1.d303710c78fb3p-24, -0x1.b63fac53d5b12p-24, -0x1.9989af3ae74d8p-24, -0x1.7d1aa6a442415p-24, -0x1.611165ddcfbb9p-24, -0x1.454f09d14e6d6p-24, -0x1.2a200fbea20f3p-24, -0x1.0f3a1066db9d2p-24, -0x1.e57c25a2eb1dap-25, -0x1.b15caa34bbce5p-25, -0x1.7dffebbd0fff1p-25, -0x1.4890aba1f183dp-25, -0x1.1458515c03e6dp-25, -0x1.c25b2a4f09eabp-26, -0x1.5d503179696cbp-26, -0x1.f1f9fe0acf369p-27, -0x1.276b32cc21187p-27, -0x1.8f066f57190a9p-29, 0x1.415bfb64cccd6p-29, 0x1.21afddc4e37c3p-27, 0x1.deec28e82711ep-27, 0x1.4f4ed312c4cedp-26, 0x1.a7b9b43a74caap-26, 0x1.01c1bd923d725p-25, 0x1.3309846f7bb44p-25, 0x1.645c1240614cep-25, 0x1.8ae4e28641998p-25, 0x1.b59b04a08b26bp-25, 0x1.e3933f0ab350cp-25, 0x1.083f6cdeee283p-24, 0x1.1c74501446eefp-24, 0x1.317d7860b9302p-24, 0x1.4610cd47f974cp-24, 0x1.5b06d39a2b001p-24, 0x1.70f35dd9f8e74p-24, 0x1.862a077ce7f78p-24, 0x1.981b4feb32f5dp-24, 0x1.ac33acc64ce5ep-24, 0x1.bf22fa7dd0c23p-24, 0x1.d34e864c02f27p-24, 0x1.e69fd4a94f29ap-24, 0x1.f9b26d3b51296p-24, 0x1.053577e558a26p-23, 0x1.0eccccb9d2851p-23, 0x1.1816a414b2891p-23, 0x1.21017d82206c3p-23, 0x1.29cf4eb74b4aep-23, 0x1.3370ae3a6c501p-23, 0x1.3b332ae0ea1ebp-23, 0x1.43c28209d9433p-23, 0x1.4b7dc265d5bf6p-23, 0x1.54686f2d6b90dp-23, 0x1.5c86800d8b573p-23, 0x1.64c4daa2fe67ap-23, 0x1.6cdeab3ae1eb5p-23, 0x1.7566507c7c40ep-23, 0x1.7d3b366bb7b6ap-23, 0x1.8414f0420576ep-23, 0x1.8b07eb6f8500dp-23, 0x1.9337aa0344e29p-23, 0x1.9b5fee4741b83p-23, 0x1.a262772b15e13p-23, 0x1.a985c3bb1cb3ap-23, 0x1.af78c134c07b6p-23, 0x1.b7d039c512f95p-23, 0x1.be72133015bc7p-23, 0x1.c51cf4f650af9p-23, 0x1.cc449f3934664p-23, 0x1.d27b9805a0ae8p-23, 0x1.d964ae2c7b66cp-23, 0x1.dfc3f4bb84343p-23, 0x1.e66e0e068344ep-23, 0x1.ec7c7b1020446p-23, 0x1.f1b0bd39b4b24p-23, 0x1.f916e863d3cfep-23, 0x1.f7f73e2666982p-23, 0x1.02178d9da74d5p-22, 0x1.052e6f4036a24p-22, 0x1.080f377ba3601p-22, 0x1.0ae1314ff9259p-22, 0x1.0daea5c2a5262p-22, 0x1.106294edd301p-22, 0x1.1329fcce34e22p-22, 0x1.15ed3353db20ap-22, 0x1.1856486088b7fp-22, 0x1.1b395ca4c59fap-22, 0x1.1d98609dbf6b2p-22, 0x1.202327ecb737p-22, 0x1.2e9147bef1298p-22, 0x1.24c2dc43f65b3p-22, 0x1.2726690f9182p-22, 0x1.297db2e6a94e4p-22, 0x1.2bf937f567239p-22, 0x1.2d7086226264cp-22, 0x1.3071ab9945c73p-22, 0x1.32facc588244bp-22, 0x1.3464d4d222814p-22, 0x1.362a0baf6d119p-22, 0x1.38988859e1529p-22, 0x1.3a6e6526777ccp-22, 0x1.3ccccecb38d93p-22, 0x1.3ed6bb0dd74a2p-22, 0x1.40dba5953dd0fp-22, 0x1.426f25404f471p-22, }}, 
      {{0x1.3c9deacc18b19p-3, 0x1.21a8b9e675d54p-2, 0x1.7f880eca34355p-2, 0x1.b790bd99991b2p-2, 0x1.ce5980e161a63p-2, 0x1.ca7370b6f9d4ep-2, 0x1.b2bf940a3db7p-2, 0x1.8d928a11a0b8ap-2, 0x1.6052de4bc1c63p-2, 0x1.2f5d0072cc2c4p-2, 0x1.fc190eec6c9bcp-3, 0x1.9daed2c7e59acp-3, 0x1.46e064ff7fa99p-3, 0x1.f3a32fa25e7fp-4, 0x1.6f4e8c7e808ccp-4, 0x1.0181b5cc9aca9p-4, 0x1.53ab5801c6603p-5, 0x1.9c4522bbe5928p-6, 0x1.bb74d67a38fcbp-7, 0x1.8d11800538b48p-8, 0x1.1e3dc40bf2611p-9, 0x1.60097b8f3462ap-10, 0x1.87301e272bd1dp-9, 0x1.afb9c2e972418p-8, 0x1.7e781900236d5p-7, 0x1.23b9af8d6c69cp-6, 0x1.9327f3aa97813p-6, 0x1.040ea4db5885dp-5, 0x1.3f01d0774f3a7p-5, 0x1.7885ca1017b28p-5, 0x1.af0e547839451p-5, 0x1.e16444172cc5dp-5, 0x1.074d229f560fdp-4, 0x1.1b0318a985e02p-4, 0x1.2b9b62a0d83b5p-4, 0x1.38f63cdc9fd25p-4, 0x1.4308970b8483ep-4, 0x1.49d8b4345e859p-4, 0x1.4d7ad626769a5p-4, 0x1.4e0e6b8358f8ep-4, 0x1.4bbb90f6497fap-4, 0x1.46b0c2f85c2d3p-4, 0x1.3f2107830eb34p-4, 0x1.35423ddc083ap-4, 0x1.294bea577cf56p-4, 0x1.1b75e2b5a0ba8p-4, 0x1.0bf78a1d64fedp-4, 0x1.f60e0a1f91a0ap-5, 0x1.d1b12d631dc8dp-5, 0x1.ab3cddbc87cep-5, 0x1.83100f43ea0f1p-5, 0x1.5984357693d1cp-5, 0x1.2eed077b9e93bp-5, 0x1.03980fc00f335p-5, 0x1.af99e0bbe1cbp-6, 0x1.579a9c2de6a55p-6, 0x1.ff544b98a1d1dp-7, 0x1.5069abc52de5fp-7, 0x1.4670a6065e63ep-8, -0x1.e436fe71dfc17p-13, -0x1.5eaebbe339421p-8, -0x1.53929fc711e02p-7, -0x1.f3caa0707269fp-7, -0x1.47cc53de0df42p-6, -0x1.9351dfdbf2dcap-6, -0x1.dc5087473dc53p-6, -0x1.1154b2515c3f2p-5, -0x1.33218b331573dp-5, -0x1.5384bf1a26a9p-5, -0x1.7276cab3c5edcp-5, -0x1.8ff249f8b5404p-5, -0x1.abf3c9d39dc99p-5, -0x1.c679bb2a3a349p-5, -0x1.df8403c2f89c9p-5, -0x1.f713f3b1efe68p-5, -0x1.06963c42009c8p-4, -0x1.10e8993cf8481p-4, -0x1.1a837ed2bb8ccp-4, -0x1.2369b4abe0c28p-4, -0x1.2b9e8e6be50f2p-4, -0x1.33259303b7b8bp-4, -0x1.3a02864d649f5p-4, -0x1.403986142947ep-4, -0x1.45ced8e80bfd4p-4, -0x1.4ac6f262f94f6p-4, -0x1.4f266840be0c2p-4, -0x1.52f1d48280aaap-4, -0x1.562e05e41bbedp-4, -0x1.58dfbb90ada1ap-4, -0x1.5b0bda654a14dp-4, -0x1.5cb72c9c058ep-4, -0x1.5de695f9a8ccfp-4, -0x1.5e9ed90a4a21bp-4, -0x1.5ee4beb08b40ap-4, -0x1.5ebcfce88e6d8p-4, -0x1.5e2c478c7ed19p-4, -0x1.5d373880b0603p-4, -0x1.5be25312b0ad6p-4, -0x1.5a320305e0766p-4, -0x1.582aa5cc3a125p-4, -0x1.55d080704619ep-4, -0x1.5327b5f99bad7p-4, -0x1.5034457f38594p-4, -0x1.4cfa42d3ef55dp-4, -0x1.497d696109897p-4, -0x1.45c17ca19c5d1p-4, -0x1.41ca0fb7d7587p-4, -0x1.3d9ab90cdba48p-4, -0x1.3936d1fcfd4f9p-4, -0x1.34a1993fa2c48p-4, -0x1.2fde410c84368p-4, -0x1.2aefd3d70e25ap-4, -0x1.25d955bfdf0bap-4, -0x1.209d8a036277fp-4, -0x1.1b3f32b5ddec2p-4, -0x1.15c0ef22fc82ap-4, -0x1.102548e2dad2ap-4, -0x1.0a6ea91a3cc84p-4, -0x1.049f69cdeda02p-4, -0x1.fd737938584fbp-5, -0x1.f17f722bb5ba5p-5, -0x1.e56707ad98a48p-5, -0x1.d92de10035357p-5, -0x1.ccd7f240edcfp-5, -0x1.c068b926534ffp-5, -0x1.b3e37cc2d882cp-5, -0x1.a74b94b052d43p-5, -0x1.9aa406e50b3ddp-5, -0x1.8defc4c4515d4p-5, -0x1.8131a2260b85bp-5, -0x1.746c2e3dd9929p-5, -0x1.67a205e0de651p-5, -0x1.5ad57bf2ff00ep-5, -0x1.4e08d955c3a56p-5, -0x1.413e31c657975p-5, -0x1.347794f5bae76p-5, -0x1.27b6fde44a72bp-5, -0x1.1afe3897bb205p-5, -0x1.0e4eec49a997p-5, -0x1.01aabc195d896p-5, -0x1.ea26901f69faap-6, -0x1.d113af35ed66p-6, -0x1.b81fd2aa926c1p-6, -0x1.9f4d4e128e7a8p-6, -0x1.869eb91894112p-6, -0x1.6e164768b289ap-6, -0x1.55b613bea0581p-6, -0x1.3d80252e55565p-6, -0x1.25766967199adp-6, -0x1.0d9a71a1511fbp-6, -0x1.ebdc429ea4751p-7, -0x1.bce56f6b109f8p-7, -0x1.8e53ea81fa026p-7, -0x1.6029e9087f964p-7, -0x1.326a6a4e46ca1p-7, -0x1.0517838ccbd02p-7, -0x1.b066ce4ef79f4p-8, -0x1.57801f4646467p-8, -0x1.fefe9b1883488p-9, -0x1.50cf1cd413defp-9, -0x1.48f0c17a07211p-10, 0x1.7fc2d7b53ab09p-15, 0x1.5d213f6008f88p-10, 0x1.5538fc6a0baap-9, 0x1.f9f239a4cd7cap-9, 0x1.4e5c0419703afp-8, 0x1.9ec26a4273e1ep-8, 0x1.ee2abc5bb4d27p-8, 0x1.1e49bb00b0127p-7, 0x1.44fd5c7bcff16p-7, 0x1.6b2f6d30783bap-7, 0x1.90df3bc4849ep-7, 0x1.b60c385f3b033p-7, 0x1.dab59da6ce74dp-7, 0x1.fedb093310a77p-7, 0x1.113ddc517cb37p-6, 0x1.22cbbdc34224p-6, 0x1.3416e861cec78p-6, 0x1.451f2ad362f3bp-6, 0x1.55e46bb7ced4ap-6, 0x1.66666428c617p-6, 0x1.76a4ed3ab30bap-6, 0x1.86a01eb4c5c25p-6, 0x1.9657aefed4c3bp-6, 0x1.a5cb99e744a29p-6, 0x1.b4fbc6d74ed56p-6, 0x1.c3e836d7b3b82p-6, 0x1.d290cb7d85a82p-6, 0x1.e0f5815e414d1p-6, 0x1.ef16646b0a747p-6, 0x1.fcf361fd227a1p-6, 0x1.0546420169e77p-5, 0x1.0bf0e4e9edd09p-5, 0x1.12799a28788bep-5, 0x1.18e0771538754p-5, 0x1.1f258210a8f27p-5, 0x1.2548b27963a3ep-5, 0x1.2b4a1cfdb9799p-5, 0x1.3129c533f0802p-5, 0x1.36e7c4b8ba76dp-5, 0x1.3c8426da1c3e9p-5, 0x1.41fef7e3cfaap-5, 0x1.47584c777191bp-5, 0x1.4c903b8f59796p-5, 0x1.51a6d336871c6p-5, 0x1.569c2b207ef44p-5, 0x1.5b7057507b071p-5, 0x1.60237c4c1d9c8p-5, 0x1.64b5ab76e1f1bp-5, 0x1.69270af4bf398p-5, 0x1.6d77a9f125ec3p-5, 0x1.71a7abd0cf99ep-5, 0x1.75b73e01fedcbp-5, 0x1.79a681a68d9e9p-5, 0x1.7d758882de348p-5, 0x1.81248dfbfed9bp-5, 0x1.84b3a7c13910cp-5, 0x1.8823113227515p-5, 0x1.8b72e2608064fp-5, 0x1.8ea34dad3a418p-5, 0x1.91b48872976ecp-5, 0x1.94a6bfbf51deap-5, 0x1.977a2175e62f6p-5, 0x1.9a2ed7fe5101ap-5, 0x1.9cc527c664669p-5, 0x1.9f3d3f07cb232p-5, 0x1.a19756f036231p-5, 0x1.a3d3a07174885p-5, 0x1.a5f25be478f62p-5, 0x1.a7f3c6a6935b5p-5, 0x1.a9d81887acc3cp-5, 0x1.ab9f995f21d8p-5, 0x1.ad4a879cc1cf9p-5, 0x1.aed917c54d546p-5, 0x1.b04b99c3706bdp-5, 0x1.b1a24f951cbb7p-5, 0x1.b2dd840296c85p-5, 0x1.b3fd7317fc767p-5, 0x1.b5027157cce4bp-5, 0x1.b5ecc2123a54dp-5, 0x1.b6bca76996abep-5, 0x1.b77279219edd3p-5, 0x1.b80e8d54773a8p-5, 0x1.b8912663f022dp-5, 0x1.b8fa930253666p-5, 0x1.b94b27cd8516fp-5, 0x1.b98335bb3e386p-5, 0x1.b9a317d47374ap-5, 0x1.b9ab0fda05528p-5, 0x1.b99b827ef6969p-5, 0x1.b974c696e7b2ap-5, 0x1.b93729ad92f77p-5, 0x1.b8e303eec36ecp-5, 0x1.b878b5213aa72p-5, 0x1.b7f890ff4a69cp-5, 0x1.b762f4394a982p-5, 0x1.b6b83ae31d8a6p-5, 0x1.b5f8b7ebc0ecfp-5, 0x1.b524cb2c978c5p-5, 0x1.b43cd6c50994p-5, 0x1.b3412fdfc3d83p-5, 0x1.b23236b47a11bp-5, 0x1.b1104c2c2efb1p-5, 0x1.afdbc9674413ep-5, 0x1.ae950acb2312dp-5, 0x1.ad3c70a5d5267p-5, 0x1.abd25d779ce7bp-5, 0x1.aa5734bcf042p-5, 0x1.a8cb3e9f0c9aep-5, 0x1.a72ef2bfeedaap-5, 0x1.a582a6fb4ffd8p-5, 0x1.a3c6bab480f94p-5, 0x1.a1fb8d1f28d2fp-5, 0x1.a0217d2ca95c4p-5, 0x1.9e38e9b620f3ep-5, 0x1.9c423169d7b4cp-5, 0x1.9a3db41788035p-5, 0x1.982bd08701d3ep-5, 0x1.960ce1cbbdc52p-5, 0x1.93e1488bbff24p-5, 0x1.91a965eef56f6p-5, 0x1.8f658c75002p-5, 0x1.8d161d06159e9p-5, 0x1.8abb7719592b2p-5, 0x1.8855f702f641p-5, 0x1.85e5f442861e4p-5, 0x1.836bcc3878f88p-5, 0x1.80e7d4fe02d27p-5, 0x1.7e5a68900eb7cp-5, 0x1.7bc3e3d6a1605p-5, 0x1.79249d3e35b8fp-5, 0x1.767ce93200e2ap-5, 0x1.73cd23cf71777p-5, 0x1.71159cb5777d9p-5, 0x1.6e56b35e49484p-5, 0x1.6b90a6c6a03e2p-5, 0x1.68c3dddc4998bp-5, 0x1.65f0ab36535a4p-5, 0x1.63174d4731acdp-5, 0x1.60382afba11bfp-5, 0x1.5d53893c8eb76p-5, 0x1.5a69b92589c4ep-5, 0x1.577b06fdd0644p-5, 0x1.5487c0d2b92b5p-5, 0x1.5190349234775p-5, 0x1.4e94a834ed2e3p-5, 0x1.4b956bdc084e8p-5, 0x1.4892c28de747ap-5, 0x1.458cf7b2d8b59p-5, 0x1.42844d17164bap-5, 0x1.3f790ce875493p-5, 0x1.3c6b795d4632bp-5, 0x1.395bd7899ad1dp-5, 0x1.364a689f1c818p-5, 0x1.33376eede29a8p-5, 0x1.30232a9082d75p-5, 0x1.2d0dd728b7975p-5, 0x1.29f7b46b4c552p-5, 0x1.26e1007419722p-5, 0x1.23c9f513b025dp-5, 0x1.20b2ccaa9f441p-5, 0x1.1d9bc023179efp-5, 0x1.1a850769afd48p-5, 0x1.176ed97771571p-5, 0x1.14596cb137eb3p-5, 0x1.1144f4d329d3p-5, 0x1.0e31a6444d574p-5, 0x1.0b1fb1d2bbff3p-5, 0x1.080f480de122ep-5, 0x1.050098bb79da2p-5, 0x1.01f3d2eb4e4b6p-5, 0x1.fdd249c304906p-6, 0x1.f7c176711c018p-6, 0x1.f1b580f61faf8p-6, 0x1.ebaebbc7c14f3p-6, 0x1.e5ad79bd753a5p-6, 0x1.dfb20d45601e2p-6, 0x1.d9bcc07b7d7b1p-6, 0x1.d3cde03ae4534p-6, 0x1.cde5b69dd36c1p-6, 0x1.c8048b4a67d08p-6, 0x1.c22aa347d7707p-6, 0x1.bc583fcd45cp-6, 0x1.b68d9c36d3669p-6, 0x1.b0cafcb112539p-6, 0x1.ab109a1fa4b37p-6, 0x1.a55eafd67543cp-6, 0x1.9fb579316557p-6, 0x1.9a152a8d5c95fp-6, 0x1.947df714d1794p-6, 0x1.8ef011235fe26p-6, 0x1.896ba87ecbf29p-6, 0x1.83f0ea62320cap-6, 0x1.7e8005ed95434p-6, 0x1.7919251e5a9f9p-6, 0x1.73bc6f019eb11p-6, 0x1.6e6a0c264ee4cp-6, 0x1.69221aa39a52bp-6, 0x1.63e4c959565bep-6, 0x1.5eb232b2e08b5p-6, 0x1.598a798e44385p-6, 0x1.546db58164d08p-6, 0x1.4f5c087548608p-6, 0x1.4a558b6ec7e7dp-6, 0x1.455a5cd4262c9p-6, 0x1.406a7d3f574f4p-6, 0x1.3b862aeaa39f6p-6, 0x1.36ad5a6d1b05fp-6, 0x1.31e0279186aep-6, 0x1.2d1ea6d7af822p-6, 0x1.2868df68d7ff4p-6, 0x1.23bee8ff4648bp-6, 0x1.1f20cf1c9e7fap-6, 0x1.1a8e9ec0886f6p-6, 0x1.16085de652841p-6, 0x1.118e105c47f0cp-6, 0x1.0d1fd33b350c5p-6, 0x1.08bd8aee3e50bp-6, 0x1.04675df21f1e8p-6, 0x1.001d3f4ae43c5p-6, 0x1.f7be71a87de9cp-7, 0x1.ef5a958328409p-7, 0x1.e70ee97901ebp-7, 0x1.dedb6ca10e5cfp-7, 0x1.d6c01c6748618p-7, 0x1.cebcf4875b06cp-7, 0x1.c6d1ece210ac9p-7, 0x1.befef8762f053p-7, 0x1.b744131165165p-7, 0x1.afa12e23987c7p-7, 0x1.a816363952bffp-7, 0x1.a0a32c59f1945p-7, 0x1.9947f0b2db3eap-7, 0x1.920480b7a658ap-7, 0x1.8ad8ab59b0e2ap-7, 0x1.83c46aa082a51p-7, 0x1.7cc7a9b6f010cp-7, 0x1.75e23d6b0d878p-7, 0x1.6f141e05d5fadp-7, 0x1.685d2ee9eac12p-7, 0x1.61bd4c77d36f1p-7, 0x1.5b3456bdb3f46p-7, 0x1.54c22e538cfe1p-7, 0x1.4e66b67f492a8p-7, 0x1.4821cfb3734c8p-7, 0x1.41f34723f0aep-7, 0x1.3bdb0d899892bp-7, 0x1.35d8ed7a19158p-7, 0x1.2fecc5efcce81p-7, 0x1.2a1673a84dea6p-7, 0x1.2455c70e2749bp-7, 0x1.1eaa9a7162fbcp-7, 0x1.1914b724c7d14p-7, 0x1.139401f3c17b6p-7, 0x1.0e2858125e46dp-7, 0x1.08d18360dcfedp-7, 0x1.038f5f1332d3ap-7, 0x1.fcc395db3001cp-8, 0x1.f290c41e6ac6dp-8, 0x1.e8872bc319621p-8, 0x1.dea5266d471f7p-8, 0x1.d4eab2370398ep-8, 0x1.cb575e8aa93ep-8, 0x1.c1eab42836b8fp-8, 0x1.b8a446e27366p-8, 0x1.af83b09a2e4a6p-8, 0x1.a6887cc8f5f37p-8, 0x1.9db2a2bd5fe6cp-8, 0x1.950136c2e09dap-8, 0x1.8c74a000996c7p-8, 0x1.840c59bda4133p-8, 0x1.7bc81d28bf64ep-8, 0x1.73a79a43ade1p-8, 0x1.6baa6b233cf05p-8, 0x1.63d03bb3bde8ap-8, 0x1.5c1873c1170dp-8, 0x1.548280fea46cfp-8, 0x1.4d0ddcee168a3p-8, 0x1.45b9fa13e2cbbp-8, 0x1.3e864a9a4702fp-8, 0x1.377251dd9ab5cp-8, 0x1.307dae887599cp-8, 0x1.29a81e71b2763p-8, 0x1.22f1704a7b688p-8, 0x1.1c59262d58758p-8, 0x1.15df864f20b93p-8, 0x1.0f843d6d5a57dp-8, 0x1.0946c4d7c41afp-8, 0x1.0326e5d10c2c3p-8, 0x1.fa48de3acf0cbp-9, 0x1.ee7d85f297a53p-9, 0x1.e2ea70c153087p-9, 0x1.d78ec763c880fp-9, 0x1.cc68bba63018ep-9, 0x1.c1780e3c867a4p-9, 0x1.b6bbb97deb568p-9, 0x1.ac32d36f5b0f3p-9, 0x1.a1dcb48e9b09fp-9, 0x1.97b8f3ed0e67ap-9, 0x1.8dc72610cc952p-9, 0x1.8406ba1df105ap-9, 0x1.7a773b9a2700fp-9, 0x1.71180fed7d41p-9, 0x1.67e87e8201769p-9, 0x1.5ee7ca62889fcp-9, 0x1.56150999c90ap-9, 0x1.4d6f62284566fp-9, 0x1.44f5e9ac7c1f3p-9, 0x1.3ca7e2ce9bb1ap-9, 0x1.34858c0c75537p-9, 0x1.2c8b4af60ee36p-9, 0x1.24bb95865f5dap-9, 0x1.1d15013c809a8p-9, 0x1.1597191b0fc0ep-9, 0x1.0e41674b508efp-9, 0x1.0713686a3085fp-9, 0x1.000c863f6568ep-9, 0x1.f2582bdc818cdp-10, 0x1.e4e2b52137fedp-10, 0x1.d7b7110e6cdb4p-10, 0x1.cad3a784b690bp-10, 0x1.be36ce2047b18p-10, 0x1.b1df0839bdc83p-10, 0x1.a5cb0054a2482p-10, 0x1.99f9451133f64p-10, 0x1.8e69046dff0a7p-10, 0x1.83187665ae39dp-10, 0x1.7807af4757341p-10, 0x1.6d357b42ef6b1p-10, 0x1.62a005003206p-10, 0x1.5846db97cd368p-10, 0x1.4e293e5e9dd9fp-10, 0x1.44469c03dd79p-10, 0x1.3a9e4720c54d6p-10, 0x1.312e107190db3p-10, 0x1.27f730185a219p-10, 0x1.1ef72d576d589p-10, 0x1.162dc6e0f0e69p-10, 0x1.0d98c9a9df656p-10, 0x1.05388df95bf84p-10, 0x1.fa199e5ca0e48p-11, 0x1.ea2969929232ap-11, 0x1.da9f07d63c802p-11, 0x1.cb7801165de11p-11, 0x1.bcb0485891d1cp-11, 0x1.ae43d5e0ed527p-11, 0x1.a02d991b74f1ep-11, 0x1.926974bc644b5p-11, 0x1.84f577d48dcb9p-11, 0x1.77cfa1ca3c5bcp-11, 0x1.6af8ac438ef27p-11, 0x1.5e7053c157c79p-11, 0x1.5236cd01d21dfp-11, 0x1.464c35804fc7ap-11, 0x1.3aae92c44ce25p-11, 0x1.2f5c9e6520011p-11, 0x1.24560961b30e9p-11, 0x1.199a3ca912d23p-11, 0x1.0f29e099cfe8bp-11, 0x1.0505299719339p-11, 0x1.f65b8bb666285p-12, 0x1.e346f7ed2518ep-12, 0x1.d0c30f6b9121bp-12, 0x1.beca3346822fcp-12, 0x1.ad4aa402fc6b4p-12, 0x1.9c4319dff1af7p-12, 0x1.8ba489a4a2ecbp-12, 0x1.7b6d92714b85ap-12, 0x1.6b9c59f06ab6ep-12, 0x1.5c2fa1c92cab1p-12, 0x1.4d2870fbe67a9p-12, 0x1.3e84e862cac93p-12, 0x1.30440b3ec9f6ep-12, 0x1.226675ddc75c8p-12, 0x1.14ecce01eb58dp-12, 0x1.07d6f9cc5715p-12, 0x1.f64be0b7b1161p-13, 0x1.ddb57bc7d9p-13, 0x1.c5ea4ede59a15p-13, 0x1.aee5a83569dbap-13, 0x1.98a31a05adc89p-13, 0x1.831f5fcbcfec5p-13, 0x1.6e5436998a9aap-13, 0x1.5a3a9a4d9dcc6p-13, 0x1.46bdb0e424cf7p-13, 0x1.33db92d6b25b4p-13, 0x1.218ab60a687c1p-13, 0x1.0fc6e6b5a7c1bp-13, 0x1.fd1fefa806004p-14, 0x1.dbc1a319e74e8p-14, 0x1.bb698c9ffe42bp-14, 0x1.9c559bbda0197p-14, 0x1.7d8b9045962acp-14, 0x1.5fff600835e79p-14, 0x1.435abf9ccc2edp-14, 0x1.27b0a0cf9da36p-14, 0x1.0d00f0e8f6c17p-14, 0x1.e6a8f8a40738dp-15, 0x1.b5365dec44c3ap-15, 0x1.858a8ec14f701p-15, 0x1.57913d9dd52bep-15, 0x1.2b40b14c4d2abp-15, 0x1.00a5df333d43cp-15, 0x1.af886b21d45bep-16, 0x1.612da93470e99p-16, 0x1.15f7e44208e06p-16, 0x1.9ad99098a6446p-17, 0x1.0f3ac25549874p-17, 0x1.11a608140578ap-18, 0x1.c138ef6d9b3b7p-23, -0x1.d5a53de7d1a2p-19, -0x1.d9451d0b0758p-18, -0x1.5e699099d17fap-17, -0x1.cbf7bbf8333b2p-17, -0x1.1a2592bb96a74p-16, -0x1.4c3b57b1cdc01p-16, -0x1.7c19583b4b65dp-16, -0x1.a9e6cbbc5608cp-16, -0x1.d5b81cbab45dep-16, -0x1.ff96bfe0b3866p-16, -0x1.13c3f8bf3da94p-15, -0x1.26dbdc9c91b7ap-15, -0x1.39055eccb01a2p-15, -0x1.4a3f5c22d3ed3p-15, -0x1.5a9e51a5d0e3ep-15, -0x1.6a0345b90d0e3p-15, -0x1.7869547d40dfdp-15, -0x1.85e6faaad9515p-15, -0x1.929767e038dc2p-15, -0x1.9e93440b8d59p-15, -0x1.aa05529b74ac3p-15, -0x1.b4edea125953bp-15, -0x1.bf35116e5de9ap-15, -0x1.c8c01a7fd2a82p-15, -0x1.d19818b0fd1a9p-15, -0x1.d9d35b2aad1d1p-15, -0x1.e171cc526f831p-15, -0x1.e856742032a63p-15, -0x1.ee7de85901a7bp-15, -0x1.f41e0dfbcb0b8p-15, -0x1.f9461564beb9fp-15, -0x1.fe0ac3a6e03cep-15, -0x1.0136ce1bc51c7p-14, -0x1.032e6e3366dfap-14, -0x1.04e84f961db4ap-14, -0x1.066a57c03aed2p-14, -0x1.07b3b685914f6p-14, -0x1.08cb95cc1978ap-14, -0x1.09abd5fb90968p-14, -0x1.0a50a620973edp-14, -0x1.0ac3a4bd524c4p-14, -0x1.0b0520dd2e75ap-14, -0x1.0b0fdf1a2db59p-14, -0x1.0af9f0b256a2ep-14, -0x1.0acaf883b91d5p-14, -0x1.0a75fa8a53d9cp-14, -0x1.09fc7f2e2fa6p-14, -0x1.095f1e2499b52p-14, -0x1.089ff83d1ddb2p-14, -0x1.07bd00382dbc8p-14, -0x1.06b52456353ap-14, -0x1.058b714e22edp-14, -0x1.04444877c49c5p-14, -0x1.02deb144f5fddp-14, -0x1.015c24e2735b6p-14, -0x1.ff80c2af492f9p-15, -0x1.fc20b1a39d73ep-15, -0x1.f89e7ab049782p-15, -0x1.f4ef32423d68bp-15, -0x1.f11293cd1fe5p-15, -0x1.ed15ea8bb4614p-15, -0x1.e8f03d6c5ef0bp-15, -0x1.e482ad37eb811p-15, -0x1.e00582b4d76b4p-15, -0x1.db6da7cbfe02cp-15, -0x1.d6dce698a2c11p-15, -0x1.d2079ed2eae1cp-15, -0x1.cd13f839e85ebp-15, -0x1.c80baee2a111bp-15, -0x1.c2e55842d9964p-15, -0x1.bdaf5c555fbaep-15, -0x1.b85f32526c54cp-15, -0x1.b3098bf688fccp-15, -0x1.ad9a3ccee50aep-15, -0x1.a8132846362e9p-15, -0x1.a28600e34fb3ep-15, -0x1.9ce796920b10ap-15, -0x1.974734d4f634dp-15, -0x1.918031dfb81dcp-15, -0x1.8bb8482ada661p-15, -0x1.85e80f30365f5p-15, -0x1.8004b9c55518ep-15, -0x1.7a32f8df7dfd6p-15, -0x1.743dadafabbfdp-15, -0x1.6e4edbbca52b1p-15, -0x1.685e295782363p-15, -0x1.62674a7b46e14p-15, -0x1.5c6bfdf52fd31p-15, -0x1.566ee135335c1p-15, -0x1.5072ed0a2ff8fp-15, -0x1.4a75f87f61d92p-15, -0x1.448745d928208p-15, -0x1.3e41a840b7b9dp-15, -0x1.385e60922efdp-15, -0x1.3265fa581be64p-15, -0x1.2c6d829c85aa4p-15, -0x1.267fe580a4145p-15, -0x1.20862f5fa3ddbp-15, -0x1.19df1d5e7d4eap-15, -0x1.149e7abecfef1p-15, -0x1.0eb5bc6eb03cp-15, -0x1.08d2c7ae225a2p-15, -0x1.02f5ef37953cp-15, -0x1.fa3e90de850a7p-16, -0x1.ee9c550994a6cp-16, -0x1.e305730317b8fp-16, -0x1.d77faf959d12bp-16, -0x1.cbfd178811966p-16, -0x1.c08f8e083926cp-16, -0x1.b559c2dda4d01p-16, -0x1.aa1eaa262595p-16, -0x1.9ef3bc3fe7b37p-16, -0x1.93d4ffc759a37p-16, -0x1.88cb9cf4c4aeep-16, -0x1.7dd8fff3f14ap-16, -0x1.72ff7d6868093p-16, -0x1.682fe99ecd9b6p-16, -0x1.5d6f32af2a048p-16, -0x1.52e4d6689aabap-16, -0x1.484f75216d104p-16, -0x1.3dd71f9f2eb82p-16, -0x1.3376086fe12fbp-16, -0x1.2938ee1c7791dp-16, -0x1.1f3133253e3bap-16, -0x1.150495e328c1bp-16, -0x1.0b00200bc911cp-16, -0x1.00ea57c265907p-16, -0x1.ee33a58fd7396p-17, -0x1.daf6ab8cfba16p-17, -0x1.c7c303822327cp-17, -0x1.b4cb181568592p-17, -0x1.a1f66224681bbp-17, -0x1.8ed96bdb8202ap-17, -0x1.7ca2860d8092ep-17, -0x1.6a53f6fa8b172p-17, -0x1.58399f60e517p-17, -0x1.465110bb067c5p-17, -0x1.349e8d113d32bp-17, -0x1.2323f149f4de1p-17, -0x1.11d22b7da7b9cp-17, -0x1.00b095f49cf5p-17, -0x1.df8fe3de6f603p-18, -0x1.bde2d02980b5p-18, -0x1.9d0b72d276941p-18, -0x1.7c5aaf79d94b1p-18, -0x1.5c0b96c4db405p-18, -0x1.3c22ef3f54dbcp-18, -0x1.1cb2e6f334725p-18, -0x1.fb9673f57fecdp-19, -0x1.bd988bd5493ap-19, -0x1.8031b5c52b0b1p-19, -0x1.442d524909c12p-19, -0x1.0a15a612a72cep-19, -0x1.9d0b9576c1bdcp-20, -0x1.2a7b88daf63b3p-20, -0x1.7143e4b2447fbp-21, -0x1.1fe633bc9f494p-22, 0x1.38093f2216821p-23, 0x1.296d10c048ed3p-21, 0x1.00687d553ceedp-20, 0x1.6afeabd29db53p-20, 0x1.d385780c544bbp-20, 0x1.1e57507d6ce1dp-19, 0x1.51ef5c11851e5p-19, 0x1.841bbb1166a3ep-19, 0x1.b30afd8b8c358p-19, 0x1.e6340d1be442fp-19, 0x1.0b3a223ee1032p-18, 0x1.23be8bec1d0c4p-18, 0x1.3b53ae5f80766p-18, 0x1.5243ed64f845cp-18, 0x1.6940c1c33ae8bp-18, 0x1.7f2d0e6f17575p-18, 0x1.95cbc081cf1cbp-18, 0x1.abca0545eb705p-18, 0x1.c1706b74dbaaep-18, 0x1.d6d4781c7ded6p-18, 0x1.eba442179bbbdp-18, 0x1.0047b9b7d7e52p-17, 0x1.0a5ff03b3963dp-17, 0x1.1467e0f50fd67p-17, 0x1.1e4ab49ac2f6dp-17, 0x1.2805fd13cab2ap-17, 0x1.319bfe4341636p-17, 0x1.3b09b2f12b88bp-17, 0x1.44454510dc9a5p-17, 0x1.4d5b8deb1574ap-17, 0x1.5689db30ba551p-17, 0x1.5f94be6b1e82bp-17, 0x1.683cf73dcab7bp-17, 0x1.709d3ed02d277p-17, 0x1.7923eb0e13f4ap-17, 0x1.818d9bb247e29p-17, 0x1.89c9915dc1534p-17, 0x1.91e041ee52c0ap-17, 0x1.99d2afed7ccd3p-17, 0x1.a1a4a194560e5p-17, 0x1.a95c5ff552f5ep-17, 0x1.b0f2b9357a05p-17, 0x1.b86a5278ffc71p-17, 0x1.bfc51c307a67p-17, 0x1.c702a65715dc4p-17, 0x1.ce1fe4fe49232p-17, 0x1.d5105f81a1e28p-17, 0x1.dbc2ae76d8565p-17, 0x1.e28ada8f4edcep-17, 0x1.e98eb585e9b26p-17, 0x1.f031606238eb1p-17, 0x1.f6585e7cc0acdp-17, 0x1.fca40cd8016c6p-17, 0x1.017c1fb0ceac6p-16, 0x1.0483327ef197bp-16, 0x1.07a39e771384dp-16, 0x1.0a8745c030cf5p-16, 0x1.0d6f74d328cf5p-16, 0x1.104966481734dp-16, 0x1.1316178a25141p-16, 0x1.15d52ca33b09bp-16, 0x1.188520e9e1adbp-16, 0x1.1b480e4eb2431p-16, 0x1.1de3902d625d2p-16, 0x1.206ef25acb74ap-16, 0x1.22fd3c26e37d9p-16, 0x1.25a2a996aa8eep-16, 0x1.280b2e29fe1fp-16, 0x1.2a503ecd503bep-16, 0x1.2cb190af7b841p-16, 0x1.2f1d04fffce9fp-16, 0x1.316b4b14ab5a2p-16, 0x1.3374c7462d14ap-16, 0x1.357fedce1a707p-16, 0x1.37e6eaf1917a6p-16, 0x1.3a1ac19439296p-16, 0x1.3c25dce5389adp-16, 0x1.3e19e9a5ff2afp-16, 0x1.4044c9ac010fbp-16, 0x1.42268d67788bdp-16, 0x1.4414a0786737cp-16, 0x1.45fb6048e4b92p-16, 0x1.47d8e172235d2p-16, 0x1.49aeb9fb64dcdp-16, 0x1.4b726703b8f3fp-16, 0x1.4d349c62ea957p-16, 0x1.4ef8a1a80c48fp-16, 0x1.50ab3e98d03e2p-16, 0x1.5254fd4c93605p-16, 0x1.53f3120423403p-16, 0x1.55819dacc8b7bp-16, 0x1.571970fa1764cp-16, 0x1.58c5911ac7da1p-16, 0x1.5a37c2a5359cp-16, 0x1.5b9d76cec0892p-16, 0x1.5d14445efad13p-16, 0x1.5e89c33b20d71p-16, 0x1.5ff249b124095p-16, 0x1.614d16d36c114p-16, 0x1.629d33489ebc1p-16, 0x1.63ecd94109e58p-16, 0x1.6549ee6f783bcp-16, 0x1.6679e17b31751p-16, 0x1.679d737eb579cp-16, 0x1.6906fa9502537p-16, 0x1.6a2a100c3dc72p-16, 0x1.6b357bdfbbc9bp-16, 0x1.6c5ad1d9994c1p-16, 0x1.6d8244408aa3fp-16, 0x1.6e9a2c41e3c77p-16, 0x1.6fa7760c267bep-16, 0x1.70ac6b6e82dedp-16, 0x1.71b5d6d46caa4p-16, 0x1.72b794def87ddp-16, 0x1.73a62c22f9a2cp-16, 0x1.7498b3c76d5bep-16, 0x1.7586b924af416p-16, 0x1.767028220331ep-16, 0x1.77526247723e7p-16, 0x1.783032cba3b2dp-16, 0x1.790b3f23e4e15p-16, 0x1.79dbc244e8ceep-16, 0x1.7a8c98d757623p-16, 0x1.7b58e3c59569ap-16, 0x1.7c0db2d40af11p-16, 0x1.7cebc082bf7c1p-16, 0x1.7dae50c86fcc8p-16, 0x1.7e54a20e624cap-16, 0x1.7ebf7cfbf4e7bp-16, 0x1.7f94eee690f0bp-16, 0x1.8040db50bc066p-16, 0x1.80f3f7672b535p-16, 0x1.8191fc9c9431ep-16, 0x1.820d15224bb65p-16, 0x1.82b94e50cc9a1p-16, 0x1.8346f5bde3ef7p-16, 0x1.83cde3affffdbp-16, 0x1.8437cab4d81e8p-16, 0x1.84c0236214a3p-16, 0x1.8550d46484c5ep-16, 0x1.85c064076db21p-16, 0x1.8652a0e1ab265p-16, 0x1.86c062b159b69p-16, 0x1.8718b1297cbd2p-16, 0x1.878034d1adde8p-16, 0x1.87f1fc13c17eap-16, 0x1.88515d770741fp-16, 0x1.88b7a8c10f765p-16, 0x1.88f6562300a05p-16, 0x1.8960ce30d4b4cp-16, 0x1.89a72c9f24f6p-16, 0x1.8a130700da9afp-16, 0x1.8a6cffd42b08dp-16, 0x1.8aa0ca45b0ddp-16, 0x1.8ad02f0c71504p-16, 0x1.8b298af8dbb53p-16, 0x1.8b556a0622fb1p-16, 0x1.8b89aa95d8a3dp-16, 0x1.8bf828e2e4a6ep-16, 0x1.8c1b265913ecp-16, 0x1.8c036602c563fp-16, 0x1.8c55c9e6d2ce8p-16, 0x1.8c95fdae2a741p-16, 0x1.8cb623cb35ac7p-16, 0x1.8b3617be3040fp-16, 0x1.8cef0d8a0a8d2p-16, 0x1.8d11809812fcbp-16, 0x1.8d2baed84fe1p-16, 0x1.8d5d937cf24a6p-16, 0x1.8d590dc47594p-16, 0x1.8d6b2ede13791p-16, 0x1.8d7acd0a8cbd4p-16, 0x1.8d80834735957p-16, 0x1.8d8f1e85fec17p-16, 0x1.8d93a0a79386bp-16, 0x1.8d93c29a6db9dp-16, 0x1.8db4cdbdb5426p-16, 0x1.8d951e0a69029p-16, 0x1.8d8f208ec58dfp-16, 0x1.8d86dbfb4ae71p-16, 0x1.8be46bb8b6ae7p-16, 0x1.8d24399691cbep-16, 0x1.8d5311b03318dp-16, 0x1.8d435dd76baefp-16, 0x1.8d459676fd16fp-16, 0x1.8d26d5c7ed09fp-16, 0x1.8d0d1efd510d1p-16, 0x1.8cdc4047e7df6p-16, 0x1.8ca8669c11307p-16, 0x1.8ca96305847f4p-16, 0x1.8c83a3ea65fb1p-16, 0x1.8c5cbd3228b37p-16, 0x1.8c2fcaae6670bp-16, 0x1.8c0476d630a68p-16, 0x1.8c0397e61cd71p-16, 0x1.8b9a238f28052p-16, 0x1.8b75055ee85b8p-16, 0x1.8b494cc12a009p-16, 0x1.8b1709fa562dp-16, 0x1.8ad65c29b2ba4p-16, 0x1.8a8305d793085p-16, 0x1.8a4e0ab18faa4p-16, 0x1.8a214db96b786p-16, 0x1.89d906cc36886p-16, 0x1.8984a9bfe5982p-16, 0x1.895bf2560ccf6p-16, 0x1.88e2bbe1b0a25p-16, 0x1.88a76ca2066ecp-16, 0x1.88488063f81dfp-16, 0x1.88306163af966p-16, 0x1.87ecd65ada4d3p-16, 0x1.878515d618459p-16, 0x1.8717d0c97e728p-16, 0x1.869fcbf8d98f2p-16, 0x1.8678ea07d6bafp-16, 0x1.862018d3584aep-16, 0x1.85be9782816b9p-16, 0x1.85447ba9bbe6cp-16, 0x1.8502e45b1c978p-16, 0x1.849c727a9541ep-16, 0x1.84316c77b917cp-16, 0x1.83caeeba0f466p-16, 0x1.83ae05a613075p-16, 0x1.82fcf9b9344a4p-16, 0x1.828b711efd8b1p-16, 0x1.821b408f42687p-16, 0x1.81ce54e58fcb1p-16, 0x1.81484fcde56a8p-16, 0x1.80f36933b8782p-16, 0x1.8061c7787b86ep-16, 0x1.7fe930ef401dap-16, 0x1.7f78209f251cp-16, 0x1.7ef660257bf34p-16, 0x1.7e50bd4797d65p-16, 0x1.7dfe2fe9b02afp-16, 0x1.7d68e97ef376ap-16, 0x1.7cffab7b6e652p-16, 0x1.7c7d7d304cdffp-16, 0x1.7bf83f9627742p-16, 0x1.7b72da23d270cp-16, 0x1.7aebbf4a04abfp-16, 0x1.7a64c512879a3p-16, 0x1.79ce3ab614106p-16, 0x1.7970ce8a31645p-16, 0x1.78c3cdbb2ec97p-16, 0x1.783620e59347dp-16, 0x1.77a3315cac6dp-16, 0x1.7711973a3b04ap-16, 0x1.767dd14ec37bp-16, 0x1.75e83debfd6eap-16, 0x1.756dabe88e7d8p-16, 0x1.74c3c692cb90bp-16, 0x1.7424e6f1e0a84p-16, 0x1.738f9866df192p-16, 0x1.72eb522252cb5p-16, 0x1.72582d9f88f8fp-16, 0x1.71b8c5b41755bp-16, 0x1.711998fdf426cp-16, 0x1.706d0a3fc851fp-16, 0x1.6fbbf2287b5cap-16, 0x1.6f2247736444dp-16, 0x1.6ee36337c4343p-16, 0x1.6d91335444ce4p-16, 0x1.6d2359e8f06bbp-16, 0x1.6c7d8f4f19888p-16, 0x1.6bf10a1b3e234p-16, 0x1.6b521c0e7fd38p-16, 0x1.6a9055fb236d6p-16, 0x1.69c894dded9e7p-16, 0x1.692c9a310edb3p-16, 0x1.6886fd030d1e9p-16, 0x1.67d6f164b4becp-16, 0x1.6728f48f3871cp-16, 0x1.6679ff61fc9fbp-16, 0x1.65b9e6b717e46p-16, 0x1.6505e6163fdafp-16, 0x1.644cb53829cfdp-16, 0x1.639490c23912bp-16, 0x1.62dce5cc69077p-16, 0x1.62436d5599c0dp-16, 0x1.6163f79caf269p-16, 0x1.60a920b5a1a6cp-16, 0x1.5feea5b8ee049p-16, 0x1.5f324d86dbbdep-16, 0x1.5e775b9e270b5p-16, 0x1.5db4790b6acdfp-16, 0x1.5ce9c96a7bf08p-16, 0x1.5c3e30b221c7ep-16, 0x1.5b63b882f5b4p-16, 0x1.5a99e4efce762p-16, 0x1.59e39752657aep-16, 0x1.5920fb257cdbcp-16, 0x1.585612bfe95adp-16, 0x1.578bb771e92ecp-16, 0x1.56c236750bf92p-16, 0x1.55f892424baa8p-16, 0x1.5530a55e22fc8p-16, 0x1.545c73f0d8d31p-16, 0x1.5392393961055p-16, 0x1.52f0e9272d5fdp-16, 0x1.51f3480e107f6p-16, 0x1.51323a7d98ac2p-16, 0x1.505fa5a0d4b06p-16, 0x1.4f8e179aee74cp-16, 0x1.4ebfb214a0002p-16, 0x1.4dee59e7b2b3ap-16, 0x1.4d1847a7e5e12p-16, 0x1.4c3d00bb24bf4p-16, 0x1.4b7b3dc9c5ba4p-16, 0x1.4aa34a89dfcc1p-16, 0x1.49be313145d0ep-16, 0x1.48e8148448327p-16, 0x1.481e89bfe74a7p-16, 0x1.479e845ee0678p-16, 0x1.46696cf72b4d3p-16, 0x1.457c8efce111dp-16, 0x1.44be3037abcdfp-16, 0x1.43f4de593f8d8p-16, 0x1.4305c32e34859p-16, 0x1.42283033b5df4p-16, 0x1.415298d826d9ep-16, 0x1.40729856c34e5p-16, 0x1.3f888c237bf4cp-16, 0x1.3ed5f50c34d1ap-16, 0x1.3dec3e09be716p-16, 0x1.3cf7578bd8bc2p-16, 0x1.3c122463288f3p-16, 0x1.3b295b26fa1fbp-16, 0x1.3a4d3fc53a052p-16, 0x1.398aa7b7655d1p-16, 0x1.38aaf9a7c37ecp-16, 0x1.379dd0f130207p-16, 0x1.37073d5dc1066p-16, 0x1.35fbb029d1929p-16, 0x1.3529000f4401cp-16, 0x1.34245b019da1ap-16, 0x1.334c9998cae17p-16, 0x1.326d166b967c1p-16, 0x1.3183bd94e9f78p-16, 0x1.30a04a87a9814p-16, 0x1.2facb8bb70179p-16, 0x1.2ed222e3107dap-16, 0x1.2deb414d75c19p-16, 0x1.2d074d5dc1a67p-16, 0x1.2c20501a67b46p-16, 0x1.2b3e339c5cd96p-16, 0x1.2a560f4306fdbp-16, 0x1.296c7ae435781p-16, 0x1.288297f307eccp-16, 0x1.279dd85dba7fp-16, 0x1.26892d1dee199p-16, 0x1.25c5761412daap-16, 0x1.24cd4eb3102b9p-16, 0x1.23fc7f3b4c9edp-16, 0x1.234720a357d8cp-16, 0x1.221096ab1c06ep-16, 0x1.213487240e636p-16, 0x1.204dcfc2eef96p-16, 0x1.1f61c45dcdb11p-16, 0x1.1e7734392b8b6p-16, 0x1.1d8c5ff85a4p-16, 0x1.1ca18e651fa33p-16, 0x1.1d25a747883bap-16, 0x1.1ac6ecfee8909p-16, 0x1.19cca5d3e5f83p-16, 0x1.18f5774cacea3p-16, 0x1.181c3755c8409p-16, 0x1.17107aef09c12p-16, 0x1.1621c6798d57bp-16, 0x1.154108cf1efb3p-16, 0x1.14553c87e0539p-16, 0x1.13665eb4cc3e7p-16, 0x1.127a97f83882ap-16, 0x1.118f0a7c759f6p-16, 0x1.10a25496d5471p-16, 0x1.0faf5ec0610aap-16, 0x1.0eb7640185858p-16, 0x1.0dda5b7ba2413p-16, 0x1.0cf6b462222b7p-16, 0x1.0bbda6a1a30bfp-16, 0x1.0b0e9c380557p-16, 0x1.0a318e99b3019p-16, 0x1.092fd53aae716p-16, 0x1.08577408736d6p-16, 0x1.075eac0f705dbp-16, 0x1.06731cb260096p-16, 0x1.05870fe509ee4p-16, 0x1.0489f9823d8fcp-16, 0x1.03c6dd005d0bcp-16, 0x1.02c8ca7f50469p-16, 0x1.01bcd1593cc7bp-16, 0x1.00d6df7b2aee7p-16, 0x1.ffd9d08c8c1fep-17, 0x1.fe1877c1f4fbfp-17, 0x1.fc1d0a38f6317p-17, 0x1.fa8a0ae780914p-17, 0x1.f8aa4fd194ae7p-17, 0x1.f66d84f9eb93dp-17, 0x1.f49f1ee24e7f8p-17, 0x1.f31183d949019p-17, 0x1.f19951b81fd32p-17, 0x1.ef3cf4cc189d2p-17, 0x1.ed73c4c27acd7p-17, 0x1.eb9eda0603372p-17, 0x1.e9c6b4991cc06p-17, 0x1.e7f13f4fb9726p-17, 0x1.e5f74a7c82531p-17, 0x1.e4595ea21d1f7p-17, 0x1.e26bed356e6fap-17, 0x1.e079540b04015p-17, 0x1.debe1c5ad7ae2p-17, 0x1.dd44bddf632e8p-17, 0x1.db4bb691ae1b2p-17, 0x1.d93e4a2edf722p-17, 0x1.d71a60f0d1ee1p-17, 0x1.d59c1e1a57ec7p-17, 0x1.d3d159bc4479cp-17, 0x1.d215dfbb3c304p-17, 0x1.d02c58a925276p-17, 0x1.ce5e1c4eabb2p-17, 0x1.cc8d621cca5d2p-17, 0x1.cabfd3bf49b3bp-17, 0x1.c8f0bcc7bd953p-17, 0x1.c72351fe21d06p-17, 0x1.c553e262677dep-17, 0x1.c3771e8d4027dp-17, 0x1.c19decf183503p-17, 0x1.c01321aaed011p-17, 0x1.be2b238c0bd4cp-17, 0x1.bc3d1a914507p-17, 0x1.ba8aa1f8e4a5fp-17, 0x1.b8b02bd54e2cp-17, 0x1.b6e813135172ap-17, 0x1.b51dd6dc5b29dp-17, 0x1.b38c6d42aaea9p-17, 0x1.b1a7c8f2b6346p-17, 0x1.afc0b28ffa0c8p-17, 0x1.ae0961fd219dbp-17, 0x1.ac5463119406cp-17, 0x1.aa8f73a252ecp-17, 0x1.a8cd5ae4ec99p-17, 0x1.a6f7571ec4277p-17, 0x1.a53160cdaea7dp-17, 0x1.a3a9df0a1edacp-17, 0x1.a2009f2aea8f2p-17, 0x1.a00a26bebbd51p-17, 0x1.9e4311dc81743p-17, 0x1.9c7f4b57c8c62p-17, 0x1.9abab3afc0a95p-17, 0x1.9919ca18ff031p-17, 0x1.9754f27dbb7f6p-17, 0x1.9588ab775de3p-17, 0x1.93bf87084d55dp-17, 0x1.924f420a14abap-17, 0x1.8f98e39f0be34p-17, 0x1.8e8e4430344aep-17, 0x1.8ced9690d2a59p-17, 0x1.8b2cf36aaa09cp-17, 0x1.898e102930b8bp-17, 0x1.87df4a28fe6fp-17, 0x1.862ea2e32e40bp-17, 0x1.845d860d77224p-17, 0x1.82bc4e8b23e8fp-17, 0x1.8113a4f750425p-17, 0x1.7f6329f59aa35p-17, 0x1.7db383aaf7823p-17, 0x1.7c23f9f6d2132p-17, 0x1.7a41ebdb9eeebp-17, 0x1.78a2fc2923acdp-17, 0x1.772a787ff1d7p-17, 0x1.75490574485d8p-17, 0x1.7383aa654e66cp-17, 0x1.7207e115e9d3dp-17, 0x1.7082408ea3ee3p-17, 0x1.6eb8f16d8501p-17, 0x1.6d0c730c54b0ap-17, 0x1.6b4e7d22f930dp-17, 0x1.69c1f383a5c9ap-17, 0x1.6834ae2fea749p-17, 0x1.6677d2d328bd9p-17, 0x1.64e7367556251p-17, 0x1.63530593c1e18p-17, 0x1.61a1f9ae66bf8p-17, 0x1.6018da4cd58c7p-17, 0x1.5e7402773182cp-17, 0x1.5cd5073fb2d74p-17, 0x1.5b4a7704b4c56p-17, 0x1.59b3553de30ddp-17, 0x1.5810515a5ba9ep-17, 0x1.566e29b39ccb6p-17, 0x1.54d524e9d96c8p-17, 0x1.537648ddbe75ep-17, 0x1.519a932cd1b1ep-17, 0x1.50393744092d4p-17, 0x1.4dfc377b99774p-17, 0x1.4cf6ce2d55cep-17, 0x1.4b7c6860f45b4p-17, 0x1.49ef8adee2b02p-17, 0x1.4854b822ccc18p-17, 0x1.46c8358f7c45ep-17, 0x1.4574942c87643p-17, 0x1.43a51d2eed44bp-17, 0x1.421f7a724a37ap-17, 0x1.40ce549649aa2p-17, 0x1.3f415908f0b97p-17, 0x1.3db00ad5cebcdp-17, 0x1.3c319609b0ac6p-17, 0x1.3b801a64be911p-17, 0x1.391de69657117p-17, 0x1.37a85d6515c8dp-17, 0x1.361394649ed54p-17, 0x1.34a59157125f1p-17, 0x1.32f06e60ad80bp-17, 0x1.31cbfba21eddep-17, 0x1.3062529a6fd03p-17, 0x1.2e9e01c831177p-17, 0x1.2cff8318ea9eep-17, 0x1.2bcdb800752bp-17, 0x1.2a5a0a436606fp-17, 0x1.28e01c367345ap-17, 0x1.2764b3559497p-17, 0x1.26070409caa6bp-17, 0x1.247f7b312d02p-17, }}, 
      {{0x1.06caa5af46d5ep-1, 0x1.2ddd1f6611ac6p-1, 0x1.54bd2c9e38b54p-1, 0x1.72a17c6ab4b0dp-1, 0x1.849e4ef5f51bcp-1, 0x1.8ae531c3d9d54p-1, 0x1.8724b48b91d45p-1, 0x1.7b9890de98726p-1, 0x1.6a86130c8b6cep-1, 0x1.55f9afbb2fcc2p-1, 0x1.3faac6b08e9fep-1, 0x1.28f4ef3c56df6p-1, 0x1.12dcb8d77fc9ep-1, 0x1.fc33de0a1826ep-2, 0x1.d6479854eecb7p-2, 0x1.b47ac5e7fe829p-2, 0x1.97021cf61a427p-2, 0x1.7dd524a9491d3p-2, 0x1.68bf656eb9581p-2, 0x1.576eba91c2c84p-2, 0x1.497eab4bd3f4p-2, 0x1.3e81792fe9676p-2, 0x1.3606e432d7607p-2, 0x1.2fa12d622ddfp-2, 0x1.2ae8a8d452fe1p-2, 0x1.277e02299baafp-2, 0x1.250b98b93f97dp-2, 0x1.234634451d01fp-2, 0x1.21ed033c702a9p-2, 0x1.20c95cb11c405p-2, 0x1.1fae2d58f2913p-2, 0x1.1e772bd306c91p-2, 0x1.1d081386b0bd2p-2, 0x1.1b4bb00945a93p-2, 0x1.193306e206d65p-2, 0x1.16b47469efa04p-2, 0x1.13cadf1695a94p-2, 0x1.1074ef8b66e7p-2, 0x1.0cb46b2be52fp-2, 0x1.088d8a32b0721p-2, 0x1.040670355586dp-2, 0x1.fe4d62562d42bp-3, 0x1.f3edcda034ac3p-3, 0x1.e900af151700bp-3, 0x1.dd9950069e689p-3, 0x1.d1cb419fd68c2p-3, 0x1.c5a9f52c4bff5p-3, 0x1.b9485cf0a01e2p-3, 0x1.acb8c9fc1fa44p-3, 0x1.a00c98a33972ep-3, 0x1.93542a086ff5p-3, 0x1.869ebd9f38107p-3, 0x1.79fa66a63dedp-3, 0x1.6d7405dcdd347p-3, 0x1.611745b0d331ap-3, 0x1.54eea0120ac91p-3, 0x1.490364f1c0cc9p-3, 0x1.3d5dc92834bc1p-3, 0x1.3204edc6f65e5p-3, 0x1.26feeef0c4b7dp-3, 0x1.1c5102b6311dbp-3, 0x1.11ff6913b2899p-3, 0x1.080da0710146bp-3, 0x1.fcfcb84ca7376p-4, 0x1.eaa73dcc379dp-4, 0x1.d91d93a334918p-4, 0x1.c86157d366023p-4, 0x1.b8731a29d03d2p-4, 0x1.a95279a5b2c82p-4, 0x1.9afe427fcbb72p-4, 0x1.8d74822c731ebp-4, 0x1.80b29c0e6327bp-4, 0x1.74b560f5cb0f3p-4, 0x1.697920a7a16a9p-4, 0x1.5ef9baddc226p-4, 0x1.5532b643b174p-4, 0x1.4c1f4246f09eap-4, 0x1.43ba4e34ce1a3p-4, 0x1.3bfe911b6d088p-4, 0x1.34e69dcb9c3c1p-4, 0x1.2e6cdcdc59364p-4, 0x1.288bab12b5453p-4, 0x1.233d3ef2976b8p-4, 0x1.1e7bdc356cfb3p-4, 0x1.1a41c2a1486eep-4, 0x1.168929b8f8b69p-4, 0x1.134c573c5afdcp-4, 0x1.1085a21eb64bp-4, 0x1.0e2f6d9baaa2cp-4, 0x1.0c44373bfdc44p-4, 0x1.0abe900f8d48ep-4, 0x1.0999274391a94p-4, 0x1.08cec613dc83ep-4, 0x1.085a561392372p-4, 0x1.0836dea1914d4p-4, 0x1.085f8d031a468p-4, 0x1.08cfb061cc58p-4, 0x1.0982b90e9e98bp-4, 0x1.0a743b31dba55p-4, 0x1.0b9ff258fe37ep-4, 0x1.0d01bc9820a85p-4, 0x1.0e959e801cbb2p-4, 0x1.1057bcda830b7p-4, 0x1.12446877201dp-4, 0x1.1458111d39a02p-4, 0x1.168f49eed581p-4, 0x1.18e6ca3372261p-4, 0x1.1b5b6fe8beb11p-4, 0x1.1dea3715dfac2p-4, 0x1.20903be9f6b4ep-4, 0x1.234abeddbea0ep-4, 0x1.2617229952257p-4, 0x1.28f2e5c8e1807p-4, 0x1.2bdb9d8f231e8p-4, 0x1.2ecf122be8ad7p-4, 0x1.31cb147012478p-4, 0x1.34cd9a029b76p-4, 0x1.37d4b27e51681p-4, 0x1.3ade888f688e7p-4, 0x1.3de95f0c54324p-4, 0x1.40f390d99a8acp-4, 0x1.43fb9540f4cb8p-4, 0x1.46fff55372f3fp-4, 0x1.49ff4eba586f2p-4, 0x1.4cf85ffd137f9p-4, 0x1.4fe9ee7ca90a5p-4, 0x1.52d2da7d2e9f8p-4, 0x1.55b215530a1b2p-4, 0x1.5886a36a6a6e5p-4, 0x1.5b4f997010f44p-4, 0x1.5e0c1d21571a8p-4, 0x1.60bb66ac86444p-4, 0x1.635cb9a9bdd9bp-4, 0x1.65ef692c06eb4p-4, 0x1.6872d829bdc2fp-4, 0x1.6ae674aee0fb2p-4, 0x1.6d49bc2f7d309p-4, 0x1.6f9c375fe78d9p-4, 0x1.71dd772eab01bp-4, 0x1.740d1b6361f8dp-4, 0x1.762accf2aa687p-4, 0x1.78363dcb8cdcap-4, 0x1.7a2f2ad38238dp-4, 0x1.7c1557dcf47fbp-4, 0x1.7de8938d890a4p-4, 0x1.7fa8b26f1a008p-4, 0x1.815591c1fa61cp-4, 0x1.82ef1699ab55fp-4, 0x1.84752b15b8251p-4, 0x1.85e7bd97bc51p-4, 0x1.8746c84f500dfp-4, 0x1.88924851868bdp-4, 0x1.89ca387915f22p-4, 0x1.8aeeaa7567736p-4, 0x1.8bffa344dfbaap-4, 0x1.8cfd33524326p-4, 0x1.8de76f3ea11d4p-4, 0x1.8ebe6e79a60a1p-4, 0x1.8f824cf45b6e1p-4, 0x1.9033290a6a4a4p-4, 0x1.90d12422d54f3p-4, 0x1.915c631bdf3bdp-4, 0x1.91d50d33ed092p-4, 0x1.923b4ac905308p-4, 0x1.928f4a53f494ep-4, 0x1.92d136fb1f098p-4, 0x1.9301439db431fp-4, 0x1.931fa1377fdc4p-4, 0x1.932c819e08915p-4, 0x1.93281b0203e73p-4, 0x1.9312a3a69d3dbp-4, 0x1.92ec519999117p-4, 0x1.92b55f27ed18fp-4, 0x1.926e061f4c996p-4, 0x1.92167ffec8fc4p-4, 0x1.91af0958b4477p-4, 0x1.9137dc76db4dep-4, 0x1.90b13700b66cep-4, 0x1.901b565b6f219p-4, 0x1.8f76763e3bd0bp-4, 0x1.8ec2d7bfb49f6p-4, 0x1.8e00b8f9db57cp-4, 0x1.8d30557dfcef8p-4, 0x1.8c51ef1853fb4p-4, 0x1.8b65c46c42cfp-4, 0x1.8a6c13fde1abcp-4, 0x1.89651c76ab52dp-4, 0x1.88511e4ce8282p-4, 0x1.873059113887cp-4, 0x1.86030ab4ae376p-4, 0x1.84c973b08c0cep-4, 0x1.8383d33cfcd9cp-4, 0x1.823266d364e4cp-4, 0x1.80d56dd6447cep-4, 0x1.7f6d25f74fa69p-4, 0x1.7df9cc7ba583ap-4, 0x1.7c7ba1c971a0dp-4, 0x1.7af2e6dc579a9p-4, 0x1.795fd130a4158p-4, 0x1.77c2a42729ee9p-4, 0x1.761b9a24b42e7p-4, 0x1.746af0b04b828p-4, 0x1.72b0e446da266p-4, 0x1.70edae92deb85p-4, 0x1.6f218dfd2825p-4, 0x1.6d4cbc3ac523p-4, 0x1.6b6f740d5f56cp-4, 0x1.6989eff69acf1p-4, 0x1.679c69d2b390ap-4, 0x1.65a71b1570186p-4, 0x1.63aa3d73f817fp-4, 0x1.61a60a5ccaf7cp-4, 0x1.5f9ab8a023bfbp-4, 0x1.5d887fb3af2efp-4, 0x1.5b6f991466793p-4, 0x1.59503a3dd21c2p-4, 0x1.572a9a799bec7p-4, 0x1.54feeee2e2378p-4, 0x1.52cd6e9d1693p-4, 0x1.50964ebb773bcp-4, 0x1.4e59c2ff8785cp-4, 0x1.4c17fd7688892p-4, 0x1.49d139e051b79p-4, 0x1.4785a2e5d15d8p-4, 0x1.45356a55e365bp-4, 0x1.42e0cb904dbbbp-4, 0x1.4087f2409c66ap-4, 0x1.3e2b114183804p-4, 0x1.3bca58da4559ep-4, 0x1.3965f953a82dp-4, 0x1.36fe2377ba613p-4, 0x1.3493053c26625p-4, 0x1.3224cda190f4fp-4, 0x1.2fb3acadd8921p-4, 0x1.2d3fce3a25e41p-4, 0x1.2ac9605e6bba8p-4, 0x1.28508ea4a4273p-4, 0x1.25d5873fa5f95p-4, 0x1.235873dd1e693p-4, 0x1.20d98070b0393p-4, 0x1.1e58d97197bbdp-4, 0x1.1bd6a62a6b1ecp-4, 0x1.1953105bdf683p-4, 0x1.16ce42332f8cfp-4, 0x1.144863f630582p-4, 0x1.11c19d8805364p-4, 0x1.0f3a14504141p-4, 0x1.0cb1f15e16102p-4, 0x1.0a2959b90293ap-4, 0x1.07a0743c42983p-4, 0x1.051762b16bbdep-4, 0x1.028e4c5a4e33bp-4, 0x1.000555b559791p-4, 0x1.faf940fe8d9abp-5, 0x1.f5e8a1da4980dp-5, 0x1.f0d90fe5f203p-5, 0x1.ebcacc2823af5p-5, 0x1.e6be1e215690bp-5, 0x1.e1b3437bcfb93p-5, 0x1.dcaa7aef6d30ep-5, 0x1.d7a4048dbcbb4p-5, 0x1.d2a01f9654976p-5, 0x1.cd9f04dcda4c9p-5, 0x1.c8a0f0e055c03p-5, 0x1.c3a61de33f903p-5, 0x1.beaec57d1f166p-5, 0x1.b9bb1d139bfd6p-5, 0x1.b4cb5c30b5badp-5, 0x1.afdfb6b3041fp-5, 0x1.aaf86207b41e8p-5, 0x1.a61590d2acefbp-5, 0x1.a13774aa57907p-5, 0x1.9c5e3e0f42dc5p-5, 0x1.978a1c681e68p-5, 0x1.92bb3df9042b1p-5, 0x1.8df1cfdf08653p-5, 0x1.892dfdb22ad7ap-5, 0x1.846ff20aa9047p-5, 0x1.7fb7d608bce9cp-5, 0x1.7b05d127ce324p-5, 0x1.765a13026ee66p-5, 0x1.71b4b753225cep-5, 0x1.6d15e37965f6cp-5, 0x1.687dc2a0412d5p-5, 0x1.63ec74354d16cp-5, 0x1.5f621917e56ap-5, 0x1.5aded1f63b5c7p-5, 0x1.5662bf61af082p-5, 0x1.51ee00e0943cbp-5, 0x1.4d80b117f1116p-5, 0x1.491aecfde96bcp-5, 0x1.44bcd14f076c4p-5, 0x1.40667582d083ap-5, 0x1.3c17f5b26a95ap-5, 0x1.37d16e0c92fcdp-5, 0x1.3392ea4bed84p-5, 0x1.2f5c86b9f558ap-5, 0x1.2b2e5f89a166ap-5, 0x1.27087acc75315p-5, 0x1.22eaf4bcc25cp-5, 0x1.1ed5dd16229c4p-5, 0x1.1ac947e5bebe9p-5, 0x1.16c542c4dc7b2p-5, 0x1.12c9dcea6decdp-5, 0x1.0ed725da7d812p-5, 0x1.0aed2b2ed7b1bp-5, 0x1.070bf9aa51cc1p-5, 0x1.03339b7ade99bp-5, 0x1.fec8388c8bed3p-6, 0x1.f73b0df8cb6bfp-6, 0x1.efbfc886fa569p-6, 0x1.e85676fb45043p-6, 0x1.e0ff299d4cc36p-6, 0x1.d9b9f0d182fp-6, 0x1.d286d60dcbc44p-6, 0x1.cb65e2c04d30ep-6, 0x1.c45724188a341p-6, 0x1.bd5a9e02e2746p-6, 0x1.b670545a028d5p-6, 0x1.af984d87634d8p-6, 0x1.a8d28d1dcf2f3p-6, 0x1.a21f146dae47bp-6, 0x1.9b7de5bf5893ep-6, 0x1.94eefdd122d2fp-6, 0x1.8e725878fe9f4p-6, 0x1.8807f70c0979p-6, 0x1.81afce2c5dff7p-6, 0x1.7b69dd812018p-6, 0x1.75361c60b649ap-6, 0x1.6f14806889d36p-6, 0x1.6905006410a67p-6, 0x1.63079278f0de3p-6, 0x1.5d1c2b3f0ee72p-6, 0x1.5742bd9cc4302p-6, 0x1.517b3b46281ddp-6, 0x1.4bc593e64262cp-6, 0x1.4621b73f704bep-6, 0x1.408f991b71efbp-6, 0x1.3b0f25eb87554p-6, 0x1.35a048b2d67e9p-6, 0x1.3042ef831c0f1p-6, 0x1.2af708ba20e16p-6, 0x1.25bc7c15c967p-6, 0x1.209331bdd896ep-6, 0x1.1b7b174dcdf6cp-6, 0x1.1674111e10f7p-6, 0x1.117e0829e244ep-6, 0x1.0c98e72dce604p-6, 0x1.07c492daec7f2p-6, 0x1.0300efd43d717p-6, 0x1.fc9bc7a44370cp-7, 0x1.f356a73a75d5cp-7, 0x1.ea3244c5bd272p-7, 0x1.e12e6a8bfbe02p-7, 0x1.d84ade2119726p-7, 0x1.cf8762024f068p-7, 0x1.c6e3bc23fe13ep-7, 0x1.be5fadff94dabp-7, 0x1.b5fafc1c982a5p-7, 0x1.adb5626864a9cp-7, 0x1.a58ea9061a5c2p-7, 0x1.9d8694df2e72dp-7, 0x1.959cd52efa247p-7, 0x1.8dd12ecfd5c2ep-7, 0x1.862365398d34p-7, 0x1.7e931d88a2b68p-7, 0x1.77204320d10f8p-7, 0x1.6fca6de2f83c5p-7, 0x1.689161c4ef055p-7, 0x1.6174dcc9215bfp-7, 0x1.5a7492b0be47fp-7, 0x1.539045bba4a42p-7, 0x1.4cc7b091e5501p-7, 0x1.461a8c50f438fp-7, 0x1.3f888dc8dee2ep-7, 0x1.3911678e55ed5p-7, 0x1.32b4ed0dfa5bdp-7, 0x1.2c72ae9d3161ep-7, 0x1.264a8b50b30a3p-7, 0x1.203c26a263777p-7, 0x1.1a47418c7e573p-7, 0x1.146b927cc9e0fp-7, 0x1.0ea8d0b97de9ep-7, 0x1.08feb4e7138ap-7, 0x1.036cf68fbf73ep-7, 0x1.fbe69789f4f02p-8, 0x1.f122e10574345p-8, 0x1.e68e3af58bb69p-8, 0x1.dc280e6838294p-8, 0x1.d1efceb035106p-8, 0x1.c7e4ea89ab824p-8, 0x1.be06e56761f3dp-8, 0x1.b4552899399b1p-8, 0x1.aacf22ed8fa7bp-8, 0x1.a174494c45cc3p-8, 0x1.984408ec4a222p-8, 0x1.8f3dde0b5faa1p-8, 0x1.86612f03bae9fp-8, 0x1.7dad8354a16bep-8, 0x1.75224fa38b837p-8, 0x1.6cbf0335d501ap-8, 0x1.64831399c40c8p-8, 0x1.5c6df8fe16031p-8, 0x1.547f32c29398ep-8, 0x1.4cb63e8a4fdbp-8, 0x1.45127e56dbcdap-8, 0x1.3d9388f9b8074p-8, 0x1.3638c33b1bd4fp-8, 0x1.2f01b46524486p-8, 0x1.27ede0c5cd811p-8, 0x1.20fcba0456aacp-8, 0x1.1a2dbf5d7d4d5p-8, 0x1.138070d997615p-8, 0x1.0cf45281f6a18p-8, 0x1.0688e932d5e04p-8, 0x1.003dbf7686ef9p-8, 0x1.f424af8b5babfp-9, 0x1.e80c733b62a75p-9, 0x1.dc3178d24f9fap-9, 0x1.d094009d96782p-9, 0x1.c531e0cfc3528p-9, 0x1.ba0a8641356f8p-9, 0x1.af1cf7c2fd47ep-9, 0x1.a4683c27942e8p-9, 0x1.99eb61ae9ef8p-9, 0x1.8fa57ec0f8f55p-9, 0x1.8595a6175b682p-9, 0x1.7bbb425c55fe3p-9, 0x1.7214f87e30485p-9, 0x1.68a29bd87d78cp-9, 0x1.5f632fe158b6ep-9, 0x1.5655f4beeac37p-9, 0x1.4d7a23fed4ff7p-9, 0x1.44cee923db8bcp-9, 0x1.3c537f0afeb8ap-9, 0x1.3406f28d0c9e6p-9, 0x1.2be857208fc5ap-9, 0x1.23f6cb048acc9p-9, 0x1.1c316a7628ed7p-9, 0x1.1497545a43a55p-9, 0x1.0d27b68f500b3p-9, 0x1.05e1d48d41d13p-9, 0x1.fd8a0ffd37ec8p-10, 0x1.efa1793070096p-10, 0x1.e2088bbcbd3e2p-10, 0x1.d4be510186d6dp-10, 0x1.c7c1abb76ac03p-10, 0x1.bb1132b0b78a7p-10, 0x1.aeaba2ad66e4ep-10, 0x1.a28fe5f591634p-10, 0x1.96bc5989f416p-10, 0x1.8b2f35dc69957p-10, 0x1.7fe7402f7513ap-10, 0x1.74e2322180b4ap-10, 0x1.6a1f6373f6f3cp-10, 0x1.5f9d4c1f73445p-10, 0x1.555ac0013bda4p-10, 0x1.4b5662c61aae2p-10, 0x1.418f50f4052f4p-10, 0x1.380496a89bb93p-10, 0x1.2eb52412d6a59p-10, 0x1.25a004a3e2a6bp-10, 0x1.1cc42a9cf7156p-10, 0x1.14207699ac6abp-10, 0x1.0bb3c9ef79e7fp-10, 0x1.037cea1836cbp-10, 0x1.f6f552e063d24p-11, 0x1.e757b31735a9bp-11, 0x1.d81ec58fe23fap-11, 0x1.c949032a841fp-11, 0x1.bad2d103d65c3p-11, 0x1.acbc1e42a6988p-11, 0x1.9f02b88a4e6ebp-11, 0x1.91a50266894ebp-11, 0x1.84a15f1eabb14p-11, 0x1.77f62516dfe69p-11, 0x1.6ba19528ffaefp-11, 0x1.5fa1d121578aep-11, 0x1.53f4e98a7d0cap-11, 0x1.4898fc8ac7fadp-11, 0x1.3d8c0aa0db7b6p-11, 0x1.32cc0b02d5ae9p-11, 0x1.28572e0cb840ap-11, 0x1.1e2b93f025eb1p-11, 0x1.1448118bba2fbp-11, 0x1.0aaa7a54deadp-11, 0x1.01514b6dd945p-11, 0x1.f07793fc45d1ap-12, 0x1.ded0d49dd2b6p-12, 0x1.cdaa3eb69eadep-12, 0x1.bd01f549f094dp-12, 0x1.acd595b39b6d3p-12, 0x1.9d22f353fdda8p-12, 0x1.8de7c90e7a859p-12, 0x1.7f20df2e796d6p-12, 0x1.70ccf2dccdb54p-12, 0x1.62e8921ca9cf3p-12, 0x1.55718c00fbcc8p-12, 0x1.4864b0dc7904bp-12, 0x1.3bc0996e5368cp-12, 0x1.2f83fdbc1d3dp-12, 0x1.23ac989b53526p-12, 0x1.1838686128b74p-12, 0x1.0d24a28bcc564p-12, 0x1.026d7feb960cbp-12, 0x1.f01f5198ccfabp-13, 0x1.dc0ceb267f84dp-13, 0x1.c89cb29dec453p-13, 0x1.b5ca5929bbff8p-13, 0x1.a3916895c57cep-13, 0x1.91f12fb7335adp-13, 0x1.80e78df6c8883p-13, 0x1.7073222bbd1dap-13, 0x1.6092684b0e576p-13, 0x1.514123bba3aadp-13, 0x1.427c4172163dep-13, 0x1.3441a527e023bp-13, 0x1.268f02e1cea33p-13, 0x1.1963de71eebb3p-13, 0x1.0cbe73b79cd12p-13, 0x1.00a091e913e98p-13, 0x1.ea11082a2910ap-14, 0x1.d3db26b207413p-14, 0x1.be94d4a889702p-14, 0x1.aa2bcaee56e44p-14, 0x1.96913d720f85fp-14, 0x1.83b71ad4190c8p-14, 0x1.7196e4869608cp-14, 0x1.602c64535a86fp-14, 0x1.4f73b841a6cefp-14, 0x1.3f6bf297c61c4p-14, 0x1.3010b77760b26p-14, 0x1.215ec0b214902p-14, 0x1.1354e8cae14d1p-14, 0x1.05f1d96f3cf54p-14, 0x1.f2676e1340e0dp-15, 0x1.da33c372ed3c1p-15, 0x1.c34796529d33bp-15, 0x1.ad9e438ff6957p-15, 0x1.992f156b1e94dp-15, 0x1.85f16a9463418p-15, 0x1.73dd36ba2cf59p-15, 0x1.62e6c8736a34bp-15, 0x1.53032b09b9e8fp-15, 0x1.4413707dabba6p-15, 0x1.3613a90f74505p-15, 0x1.28f4907c77ec9p-15, 0x1.1cb168e670b65p-15, 0x1.113da7db889ebp-15, 0x1.069a2a64cc00fp-15, 0x1.f975aa681b49fp-16, 0x1.e752b210745c1p-16, 0x1.d631d9ca7336ep-16, 0x1.c69b0ebbc20d8p-16, 0x1.b8541e5c05144p-16, 0x1.ab70526f62284p-16, 0x1.9fec901180cb8p-16, 0x1.95cedefdf5fc8p-16, 0x1.8cff366291d36p-16, 0x1.8563ff8b6d2dcp-16, 0x1.7eef9d6d96dafp-16, 0x1.799e0d02a3d99p-16, 0x1.7569b58e423dbp-16, 0x1.725569e764792p-16, 0x1.7058c5f7eb7f5p-16, 0x1.6f5e94dbc269bp-16, 0x1.6f44896b565f9p-16, 0x1.6fff019d18705p-16, 0x1.7180069bccf4bp-16, 0x1.73bcc2fc38b89p-16, 0x1.76c59f291c7b2p-16, 0x1.7a93bd6d2e2cap-16, 0x1.7f2954ba1046fp-16, 0x1.8464f4088934ap-16, 0x1.8a53e0cd1240fp-16, 0x1.90dc94aaedfc4p-16, 0x1.97fdb5cce7164p-16, 0x1.9fac81383b83cp-16, 0x1.a7e09a34b83p-16, 0x1.b09516c06b892p-16, 0x1.b9c68bddcdcbep-16, 0x1.c361feb382056p-16, 0x1.cd74d0b4245dp-16, 0x1.d7ff61e7eaa5p-16, 0x1.e2eb594c52071p-16, 0x1.ee4dbe0f6a0bp-16, 0x1.fa269aaadf3ddp-16, 0x1.03345e111c27ap-15, 0x1.0981826a59cd5p-15, 0x1.0ff16cc5c6f6ap-15, 0x1.1676c245545e9p-15, 0x1.1d1142a501b13p-15, 0x1.23c7e05663fd5p-15, 0x1.2aa1a8d13e347p-15, 0x1.319ade45800e3p-15, 0x1.38acc6b3d3b3dp-15, 0x1.3fd6a829834f9p-15, 0x1.472142e56146p-15, 0x1.4e8d4beda5fd3p-15, 0x1.560960db15767p-15, 0x1.5d910b245fccp-15, 0x1.651db25568fdp-15, 0x1.6caeec32d1d01p-15, 0x1.74492f4c41a01p-15, 0x1.7beeb86e97967p-15, 0x1.839beb5136f65p-15, 0x1.8b4c63dd34cdfp-15, 0x1.9304aac51e327p-15, 0x1.9ac5b96d8b076p-15, 0x1.a28c661607453p-15, 0x1.aa5636e13b144p-15, 0x1.b2223b4858e12p-15, 0x1.b9f2494a26df3p-15, 0x1.c1ba6b35fe95cp-15, 0x1.c976457b5924ep-15, 0x1.d12cf0f1f167bp-15, 0x1.d8ddc5aaf679fp-15, 0x1.e087d5494bfeep-15, 0x1.e829a74fc90a4p-15, 0x1.efc48f5367f8bp-15, 0x1.f759082b4577p-15, 0x1.fee56bd526c34p-15, 0x1.03338d9b25ee9p-14, 0x1.06ef359c06705p-14, 0x1.0aa549de82f7bp-14, 0x1.0e54bb2aae27fp-14, 0x1.11facebbf4ea1p-14, 0x1.1599721c7e28p-14, 0x1.1930fcb985573p-14, 0x1.1cc05dcd63e78p-14, 0x1.204694b113509p-14, 0x1.23c48e902b2e3p-14, 0x1.2742c0a0903c8p-14, 0x1.2aac4755c23dcp-14, 0x1.2e10fa5480fefp-14, 0x1.31690d6b94abap-14, 0x1.34babd143ed88p-14, 0x1.38036ee78e2d7p-14, 0x1.3b41d9c9d7e67p-14, 0x1.3e777d366643dp-14, 0x1.419fd150b5dd6p-14, 0x1.44bf619fc2977p-14, 0x1.47d2598c1d4c1p-14, 0x1.4adb91f793d0fp-14, 0x1.4ddad3aa74e97p-14, 0x1.50cdbab023503p-14, 0x1.53b5e43c3a1b8p-14, 0x1.569104f15494ap-14, 0x1.5964dd285f467p-14, 0x1.5c2bc0453a25dp-14, 0x1.5ee6db3ddeab9p-14, 0x1.61976221edcb3p-14, 0x1.643a167b9f8e8p-14, 0x1.66d39b2b305dfp-14, 0x1.69603d303afd6p-14, 0x1.6be0bfdc7d5b9p-14, 0x1.6e559403acef4p-14, 0x1.70beb476d8bf7p-14, 0x1.731bdd12cae9cp-14, 0x1.756cc69693a8ap-14, 0x1.77b1cd2a7cc38p-14, 0x1.79eaad7e9808cp-14, 0x1.7c1c67ac91c9dp-14, 0x1.7e3d056aed5ffp-14, 0x1.8051fd0e53b1dp-14, 0x1.825b6b609338dp-14, 0x1.84584341effcbp-14, 0x1.864ad146e1277p-14, 0x1.883ec2ab69dd1p-14, 0x1.8a0c6ccd3759ep-14, 0x1.8bdb181d72ad6p-14, 0x1.8d9df65ad77b1p-14, 0x1.8f551564132a1p-14, 0x1.91009533e9f6bp-14, 0x1.92a0be9dc58b2p-14, 0x1.9435a8bc5999dp-14, 0x1.95bea759c9765p-14, 0x1.973beb3c1d32ap-14, 0x1.98ae1e4350207p-14, 0x1.9a1463129274p-14, 0x1.9b6f0e1863784p-14, 0x1.9cbebbb1d12acp-14, 0x1.9e03e59789b0fp-14, 0x1.9f3deb0cb1437p-14, 0x1.a06c2f0b9749dp-14, 0x1.a190691e77ad6p-14, 0x1.a2a99b3222ee3p-14, 0x1.a3b85fd123526p-14, 0x1.a4ba7e6883a02p-14, 0x1.a5b462a73e9c4p-14, 0x1.a6a2e7683bccep-14, 0x1.a786fb9d98539p-14, 0x1.a85fbc77ba4c2p-14, 0x1.a92bdaa029a09p-14, 0x1.a9f33c73d6deap-14, 0x1.aaadea24d4777p-14, 0x1.ab61b475feb88p-14, 0x1.ac08cda44f3d7p-14, 0x1.aca48e3a7bd55p-14, 0x1.ad379afe72134p-14, 0x1.adc0b671fe9dcp-14, 0x1.ae40f4c7c5813p-14, 0x1.aeb9f19c58f67p-14, 0x1.af2648d0c0054p-14, 0x1.af8a9f3a13454p-14, 0x1.afe5bd5485e7fp-14, 0x1.b037cc48ff232p-14, 0x1.b080c97b91e57p-14, 0x1.b0c0c2618bbe7p-14, 0x1.b0f83fad273aap-14, 0x1.b127236feeb24p-14, 0x1.b14d45120f38cp-14, 0x1.b16b80040af7ep-14, 0x1.b1806f6f9247dp-14, 0x1.b18da07e127adp-14, 0x1.b192acdd50a15p-14, 0x1.b18fa9db474c5p-14, 0x1.b18494c928273p-14, 0x1.b1716b9fee656p-14, 0x1.b157db34e3235p-14, 0x1.b136860eff7b5p-14, 0x1.b10cab6f6ebcdp-14, 0x1.b0da0f874daa8p-14, 0x1.b0a2d7e274061p-14, 0x1.b0629bf54e265p-14, 0x1.b01b90c8eda1cp-14, 0x1.afcdc72452178p-14, 0x1.af7909a3a0adfp-14, 0x1.af1da4dd09b7dp-14, 0x1.aebafa93215dep-14, 0x1.ae51d27af6fc9p-14, 0x1.ade1dba8a8982p-14, 0x1.ad6d0b07e5c04p-14, 0x1.acf162ed2162ap-14, 0x1.ac6e64d4182b3p-14, 0x1.abe2911ea43cfp-14, 0x1.ab5586c9695bbp-14, 0x1.aac06b0e17d95p-14, 0x1.aa27df8df55a9p-14, 0x1.a98821a24a624p-14, 0x1.a8e133003bfc4p-14, 0x1.a836a75ceb113p-14, 0x1.a781d197e874dp-14, 0x1.a6cd5acb45533p-14, 0x1.a6124ddce1ecdp-14, 0x1.a55195cf9214ep-14, 0x1.a48becb8423abp-14, 0x1.a3c07752be11fp-14, 0x1.a2f14448cfc7cp-14, 0x1.a21c032bca33cp-14, 0x1.a14280a57c94p-14, 0x1.a06455fe76959p-14, 0x1.9f818bca72bd5p-14, 0x1.9e9a41789b989p-14, 0x1.9dae797c7068bp-14, 0x1.9cbe16b1a3499p-14, 0x1.9bc9507ae8689p-14, 0x1.9ad1e6e9d5d48p-14, 0x1.99d674647dabcp-14, 0x1.98d57a376028ep-14, 0x1.97cfb84dfc6c8p-14, 0x1.96c7d90e5b67ep-14, 0x1.95bc5275a91b4p-14, 0x1.94acce5634e91p-14, 0x1.9399900a0613ep-14, 0x1.9282b8de20747p-14, 0x1.91686b021f556p-14, 0x1.904ae19f6f137p-14, 0x1.8f2a0b7081b4ap-14, 0x1.8e0606e77264ep-14, 0x1.8cdedaf868635p-14, 0x1.8bb49aa998109p-14, 0x1.8a874a3f9fb5ep-14, 0x1.8956c338fb5e6p-14, 0x1.8822cbac31485p-14, 0x1.86ed2232e33e8p-14, 0x1.85b6d9cc1c954p-14, 0x1.847c0d8ec1933p-14, 0x1.833ca94cdb536p-14, 0x1.81fbf248d961bp-14, 0x1.80b9b9b822664p-14, 0x1.7f744edff15e3p-14, 0x1.7e2e2921ef141p-14, 0x1.7ce33ef808d63p-14, 0x1.7b976009fedccp-14, 0x1.7a4941e9edap-14, 0x1.78f9024ade855p-14, 0x1.77a6b26a01412p-14, 0x1.7651e469936e1p-14, 0x1.74fd75b6414d9p-14, 0x1.73a5967319bffp-14, 0x1.724b88b54d29p-14, 0x1.70f0b33577e52p-14, 0x1.6f94893b205ccp-14, 0x1.6e34fc50e4f83p-14, 0x1.6cd47f748847fp-14, 0x1.6b73059118648p-14, 0x1.6a10d90d0ac71p-14, 0x1.68abf07212dcfp-14, 0x1.67451d2bde732p-14, 0x1.65dcdf9909f1dp-14, 0x1.6476938c5d94ep-14, 0x1.630e01639c7fp-14, 0x1.61a2d416398d8p-14, 0x1.603618e626c81p-14, 0x1.5ecac6b0af09cp-14, 0x1.5d5c6571d3334p-14, 0x1.5bedb1cd49ad3p-14, 0x1.5a7e15716bd6ep-14, 0x1.590d9c5e71404p-14, 0x1.579c691f048dep-14, 0x1.5629eef405418p-14, 0x1.54b7187c5411ap-14, 0x1.5344369129bdp-14, 0x1.51d02809252bfp-14, 0x1.505b79e129bd6p-14, 0x1.4ee616468cbfp-14, 0x1.4d6fdbb08ed25p-14, 0x1.4bf9e59dfc3f5p-14, 0x1.4a84b89b99e1bp-14, 0x1.490cc36f1be44p-14, 0x1.4794a2f3b0073p-14, 0x1.461d0b6ef0f56p-14, 0x1.44a569ad39756p-14, 0x1.432d420190c13p-14, 0x1.41b4a00682aa6p-14, 0x1.403b90a942341p-14, 0x1.3ec2c001a6eb7p-14, 0x1.3d4b0c957e05p-14, 0x1.3bd13eee908aep-14, 0x1.3a5626bde5cbcp-14, 0x1.38e0043aa5fb5p-14, 0x1.3766521556588p-14, 0x1.35ec6a0e199fcp-14, 0x1.3473b0d9972f5p-14, 0x1.32fb53815b8d4p-14, 0x1.3182c02e609d2p-14, 0x1.300a33f0a2363p-14, 0x1.2e91bed31587dp-14, 0x1.2d19d80b89db4p-14, 0x1.2ba1f19454802p-14, 0x1.2a2a4a2177442p-14, 0x1.28b30960dc7f2p-14, 0x1.273c14638582fp-14, 0x1.25c595724be63p-14, 0x1.244f60ad493e2p-14, 0x1.22d99a293e94fp-14, 0x1.216449e7fd0a3p-14, 0x1.1fef70a571827p-14, 0x1.1e7a94aa24699p-14, 0x1.1d066b0f28347p-14, 0x1.1b92cf198ed87p-14, 0x1.1a20ff0993af7p-14, 0x1.18af404ab501bp-14, 0x1.173d249c71877p-14, 0x1.15cc1dc5daba6p-14, 0x1.1459b91abc5ddp-14, 0x1.12ea96f6aa3eep-14, 0x1.117beecc1e5cp-14, 0x1.100d9024a5a92p-14, 0x1.0e9dc70ba509ep-14, 0x1.0d32b677350a4p-14, 0x1.0bc6641b9fe17p-14, 0x1.0a5abf84d6155p-14, 0x1.08ef248d8d894p-14, 0x1.078510da6cf35p-14, 0x1.061cabf9bfe64p-14, 0x1.04b3e8e6c30e3p-14, 0x1.034d9bf179c1ap-14, 0x1.01e67de1f56c2p-14, 0x1.008034885604dp-14, 0x1.fe365c722e96cp-15, 0x1.fb6f7167b8de5p-15, 0x1.f8a8f9be1feabp-15, 0x1.f5e58745a9bccp-15, 0x1.f320206a4e2fap-15, 0x1.f062081dddb61p-15, 0x1.eda281d9717f7p-15, 0x1.eae80987759d6p-15, 0x1.e82ec0776c21bp-15, 0x1.e5748fd1e4f0cp-15, 0x1.e2bc740c25f62p-15, 0x1.e008ed0fe9b35p-15, 0x1.dd562cade21fap-15, 0x1.daa5749b6cdfcp-15, 0x1.d7faf64c692e3p-15, 0x1.d54db29fa5854p-15, 0x1.d29d41fe0ebafp-15, 0x1.cffa264d944c6p-15, 0x1.cd56901b84f8fp-15, 0x1.cab2853f399a7p-15, 0x1.c809500d9dfddp-15, 0x1.c57145c09dc91p-15, 0x1.c2d54e20f1ec8p-15, 0x1.c03b5c4707de2p-15, 0x1.bda4225d371a5p-15, 0x1.bb0e0588cce05p-15, 0x1.b87ace50fdc3cp-15, 0x1.b5ea068a3a7b4p-15, 0x1.b35ae9aca155ap-15, 0x1.b0cf57d79b18dp-15, 0x1.ae45718202f15p-15, 0x1.abbddcf93a304p-15, 0x1.a93d9cbb9e2dap-15, 0x1.a6b6af783401p-15, 0x1.a43678d9045cep-15, 0x1.a1b8cbdbfca31p-15, 0x1.9f2af1c8d7595p-15, 0x1.9cc127f99f3b7p-15, 0x1.9a4d696265851p-15, 0x1.97d9cbfe97a33p-15, 0x1.956b0f5ae0e5bp-15, 0x1.92fb851dc420ap-15, 0x1.908f512ecd0b9p-15, 0x1.8e2369d3ba4bcp-15, 0x1.8bb9e8a2485e4p-15, 0x1.89590599f0dbep-15, 0x1.86f6b386c102ap-15, 0x1.8497223a90cbdp-15, 0x1.823b80805f7p-15, 0x1.7fdf2e8ddbe55p-15, 0x1.7d89d62746dfdp-15, 0x1.7b30470a355dcp-15, 0x1.78de4976f9368p-15, 0x1.768fcc221e433p-15, 0x1.74432ffcbef4cp-15, 0x1.71f6e23ef0091p-15, 0x1.6facba49f61dbp-15, 0x1.6d679d7fad2c4p-15, 0x1.6b24dc74b2295p-15, 0x1.68e3bf20d6bc9p-15, 0x1.66a493c806455p-15, 0x1.646bd2f3c5aabp-15, 0x1.622e41199640ep-15, 0x1.5ffa382d887a5p-15, 0x1.5dc54f239d9f3p-15, 0x1.5b96ecf2bd83cp-15, 0x1.596a7aa3926b6p-15, 0x1.573cc751a406cp-15, 0x1.551260f93e411p-15, 0x1.52e833f320808p-15, 0x1.50c8b5a81ce63p-15, 0x1.4ea74cc9e3d05p-15, 0x1.4c87d7f137a3ep-15, 0x1.4a69f442d5bafp-15, 0x1.485281136194p-15, 0x1.463b78408e9dap-15, 0x1.4426ee74964bep-15, 0x1.421525f24b121p-15, 0x1.40093a3beed22p-15, 0x1.3df980284315ap-15, 0x1.3bef68a0faccp-15, 0x1.39e9530912dbcp-15, 0x1.37e4ad2e75f8fp-15, 0x1.35e1357d14cefp-15, 0x1.33e3135a1fdbp-15, 0x1.31e4cc9797993p-15, 0x1.2fea114179709p-15, 0x1.2df2accbd4d46p-15, 0x1.2bfd31b87a6e5p-15, 0x1.2a05d194d0521p-15, 0x1.281a613ab54a5p-15, 0x1.26294ea443a18p-15, 0x1.2441106578a23p-15, 0x1.22589d8d8efd3p-15, 0x1.2072c68b2f0a2p-15, 0x1.1e8f7311669b1p-15, 0x1.1cae8dd346182p-15, 0x1.1ad058f348899p-15, 0x1.18f3680e57f7p-15, 0x1.171d13493e289p-15, 0x1.15448ec3eb045p-15, 0x1.13704dbad67bfp-15, 0x1.119e7d7791399p-15, 0x1.0fcf2aac7445p-15, 0x1.0e023eb317c6dp-15, 0x1.0c37aae3c3914p-15, 0x1.0a725c77342c9p-15, 0x1.08ac2646b9e4ap-15, 0x1.06e84a87b5462p-15, 0x1.0528d45d0e3fcp-15, 0x1.03694972dfecdp-15, 0x1.01b00f4217ea7p-15, 0x1.ffeb2cd40e04ep-16, 0x1.fc7e2b27dee2dp-16, 0x1.f914e8aef8b8p-16, 0x1.f5ac57fb7e25bp-16, 0x1.f25175501175bp-16, 0x1.ef059a8b270ffp-16, 0x1.eba601a141efdp-16, 0x1.e8534224185ccp-16, 0x1.e505011dcf15bp-16, 0x1.e1c3ffd3f8d1dp-16, 0x1.de843be449d91p-16, 0x1.db4359ea0186dp-16, 0x1.d806b5dc3673bp-16, 0x1.d4d5f333c6036p-16, 0x1.d1a89129b1bacp-16, 0x1.ce7e5ebeb94d4p-16, 0x1.cb59972bdb553p-16, 0x1.c83a351057b7fp-16, 0x1.c51ac3e9c0adp-16, 0x1.c202da1df0e7bp-16, 0x1.beef896305be6p-16, 0x1.bbe102cfaf019p-16, 0x1.b8d64ffc5dbd9p-16, 0x1.b5d59534e34b7p-16, 0x1.b2cfbcc86c9f8p-16, 0x1.afd37710a5ee2p-16, 0x1.acdbd4064d11ep-16, 0x1.a9e85e617dd1cp-16, 0x1.a6f96eaa09237p-16, 0x1.a40e896b7e1efp-16, 0x1.a1284fb8e91eep-16, 0x1.9e4b0157ac776p-16, 0x1.9b688afd6a939p-16, 0x1.988f4b86999ddp-16, 0x1.95bb424fafbc6p-16, 0x1.92eb20d2479fbp-16, 0x1.901f016ebc983p-16, 0x1.8d5734eb1ef8fp-16, 0x1.8a93bb8789dffp-16, 0x1.87d48d3761ab8p-16, 0x1.851a04f33f65cp-16, 0x1.82646132139afp-16, 0x1.7fb03af54d71cp-16, 0x1.7d05e1bc5e622p-16, 0x1.7a585d90709cp-16, 0x1.77b2bd98ef041p-16, 0x1.7511b8842aca9p-16, 0x1.72733bd59f3cap-16, 0x1.6fd9e5e7eb481p-16, 0x1.6d4484f084033p-16, 0x1.6ab2cb6998ad2p-16, 0x1.6824b77d8a389p-16, 0x1.659d6f1b01348p-16, 0x1.6317ab21cc8d7p-16, 0x1.6094d21a3faf4p-16, 0x1.5e178d2f819d1p-16, 0x1.5ba0c31ac4884p-16, 0x1.592d968d76bebp-16, 0x1.56b897b962264p-16, 0x1.5449248dd7594p-16, 0x1.51e2a7e320e2dp-16, 0x1.4f7fc161705e7p-16, 0x1.4d19920e36b36p-16, 0x1.4abba1fdcf1dp-16, 0x1.4862b48a076bdp-16, 0x1.460be78a4bcb8p-16, 0x1.43b77629f99d6p-16, 0x1.416d560b87fb8p-16, 0x1.3f223f25c8498p-16, 0x1.3cd7133f81c0cp-16, 0x1.3a926ebf91706p-16, 0x1.38523c2b5501ep-16, 0x1.36171809e43ffp-16, 0x1.33e3fd7e083a3p-16, 0x1.31ace208b7f81p-16, 0x1.2f72f2c317483p-16, 0x1.2d52e57a48c7cp-16, 0x1.2b231638be96p-16, 0x1.28ff8159ef8fep-16, 0x1.26d4e57abe6e5p-16, 0x1.24b7a1a9f2f49p-16, 0x1.229ce73c4169bp-16, 0x1.20845ee851b02p-16, 0x1.1e6f964ad7edfp-16, 0x1.1c5d83aa167b5p-16, 0x1.1a4fa4b313c4dp-16, 0x1.1845073b584e4p-16, 0x1.163ecede7c37bp-16, 0x1.143a271f38679p-16, 0x1.1239c02ad977fp-16, 0x1.103c8a340d4c9p-16, 0x1.0e42a93719e81p-16, 0x1.0c4c1344e1172p-16, 0x1.0a596b8419e98p-16, 0x1.0865fab5694abp-16, 0x1.067c8b34452b6p-16, 0x1.0491b2433f673p-16, 0x1.02af3c1360473p-16, 0x1.00d078bd788b8p-16, 0x1.fdd13fc68d291p-17, 0x1.fa1af3e6045f2p-17, 0x1.f6694fba9d60ep-17, 0x1.f2bc50d594c13p-17, 0x1.ef16420279743p-17, 0x1.eb7664d25ba83p-17, 0x1.e7dcc3a8faa0fp-17, 0x1.e4b770379e44fp-17, 0x1.e0bab86f3db85p-17, 0x1.dd2fb2ed0b4ep-17, 0x1.d9b3721a5c351p-17, 0x1.d63ccc1396584p-17, 0x1.d2bf603e26395p-17, 0x1.cf4fe8d201c98p-17, 0x1.cbe949b4c14e5p-17, 0x1.c885983320a18p-17, 0x1.c5269a858b5fdp-17, 0x1.c1cf1d62d55c3p-17, 0x1.be7d7c2d87c01p-17, 0x1.bb3115560d073p-17, 0x1.b7e8da8917b61p-17, 0x1.b4a4e0861f3efp-17, 0x1.b16e12fa1213fp-17, 0x1.ae3a40222b036p-17, 0x1.aafa687669456p-17, 0x1.a7dc889220722p-17, 0x1.a4bc56a37e44cp-17, 0x1.a196d190befecp-17, 0x1.9e822a1062e41p-17, 0x1.9b6ad2e7581ecp-17, 0x1.985bb5e92fe7bp-17, 0x1.955159a7dde11p-17, 0x1.9246dad8e8764p-17, 0x1.8f55971a495b8p-17, 0x1.8c58760fdc5eep-17, 0x1.8959f7bc87d01p-17, 0x1.866c350b060d7p-17, 0x1.838376a6d2668p-17, 0x1.809f4e80700bbp-17, 0x1.7dbae6a3243b5p-17, 0x1.7ae7f77b2ce7ap-17, 0x1.7810dfa22256dp-17, 0x1.7534c5bd31bb4p-17, 0x1.726e951928008p-17, 0x1.6fae6909508bp-17, 0x1.6cebaec700cb5p-17, 0x1.6a28ae7308cf4p-17, 0x1.67730200f6cf3p-17, 0x1.64bff74ad4a27p-17, 0x1.6210db35f7dc1p-17, 0x1.5f6524cc2baaap-17, 0x1.5cbe1d346f23ap-17, 0x1.5a23b473df467p-17, 0x1.5789b5dfb191ap-17, 0x1.54eaf06278e64p-17, 0x1.525d27b54b334p-17, 0x1.4fd771b80b618p-17, 0x1.4d4b3e984b4aep-17, 0x1.4abf52b2be90bp-17, 0x1.483c5cb4728b4p-17, 0x1.45c4fb900e0cap-17, 0x1.434fad933e892p-17, 0x1.40dd940e4c5afp-17, 0x1.3e6ede1e0867dp-17, 0x1.3c0592d00c599p-17, 0x1.39a025aa24854p-17, 0x1.373f71243a88dp-17, 0x1.34e2e65f0cbbap-17, 0x1.328a8569b28e5p-17, 0x1.30362d87a2fedp-17, 0x1.2de451b552065p-17, 0x1.2b96e847409c1p-17, 0x1.2957beaba92bdp-17, 0x1.2710bcaf94e7cp-17, 0x1.24cd16f5ba3d8p-17, 0x1.2295070b8feffp-17, 0x1.205e2be1886cep-17, 0x1.1e299bc8f2c26p-17, 0x1.1bfa07711c7e6p-17, 0x1.19d43e1a38d22p-17, 0x1.17ab0c523cfacp-17, 0x1.158487abc161bp-17, 0x1.1364da1571ddep-17, 0x1.114d5bf741ec6p-17, 0x1.0f3589d6b0dfbp-17, 0x1.0d2251cdae6b2p-17, 0x1.0b0f57f97c4f2p-17, 0x1.0902d1450e931p-17, 0x1.0702a45edfdep-17, 0x1.0500bc5e2578dp-17, 0x1.02f7c384b802cp-17, 0x1.00fa6fe76c5bcp-17, 0x1.fe03f2f09d47ep-18, 0x1.fa18cfc699581p-18, 0x1.f636ff97636e5p-18, 0x1.f2585b21629cap-18, 0x1.ee7e3b8aabb2p-18, 0x1.eaad4b6873b27p-18, 0x1.e6f6d668e860fp-18, 0x1.e326a5e0f4d6dp-18, 0x1.df6b07843ed2p-18, 0x1.dbbd60c4fd09fp-18, 0x1.d80e30751590dp-18, 0x1.d46fb423e69b5p-18, 0x1.d0d33ffd27d94p-18, 0x1.cd3d22d9d7421p-18, 0x1.c9a146efcb624p-18, 0x1.c61c6ed2dd4f2p-18, 0x1.c29bb7a1af239p-18, 0x1.bf1e4a0a80879p-18, 0x1.bba762538d80cp-18, 0x1.b83ebd838abe7p-18, 0x1.b4c9bb65c01a1p-18, 0x1.b168f29e77fecp-18, 0x1.ae107a6268572p-18, 0x1.aab46ac353e65p-18, 0x1.a75e8027e77ecp-18, 0x1.a41ccc08a0e32p-18, 0x1.a0de75b3ae8efp-18, 0x1.9d9f8ab45d7cdp-18, 0x1.9a68b597bc009p-18, 0x1.972e944ad8687p-18, 0x1.9402039263564p-18, 0x1.90e311e250103p-18, 0x1.8dc3851bfeb5cp-18, 0x1.8aab891031fcep-18, 0x1.8797a4e425cf7p-18, 0x1.8481948dad8ecp-18, 0x1.818296bdf665dp-18, 0x1.7e7cbd577d04bp-18, 0x1.7b7f1b9648d81p-18, 0x1.788d48b1bc011p-18, 0x1.7598481904ddep-18, 0x1.72af33b9767a8p-18, 0x1.6fc3efa05feccp-18, 0x1.6ce76004adc52p-18, 0x1.6a117cf6de37dp-18, 0x1.672ab24a80cefp-18, 0x1.646a09459df48p-18, 0x1.616f8837ca8acp-18, 0x1.5ecfb3a67ddf9p-18, 0x1.5c145d64e856dp-18, 0x1.5959bb25ddc01p-18, 0x1.56a10fb0dc105p-18, 0x1.53ef4ac4d15cep-18, 0x1.514bdf3bcbf98p-18, 0x1.4e9f738e70976p-18, 0x1.4bfcef96bdaaap-18, 0x1.4966646b131dp-18, 0x1.46cc9884fd183p-18, 0x1.4439e31077124p-18, 0x1.41ae24c39b503p-18, 0x1.3fa19a33ad0e9p-18, 0x1.3c9e985166859p-18, 0x1.3a20949571009p-18, 0x1.37a608e50b177p-18, 0x1.3532751b4f22bp-18, 0x1.32b1b3546c63p-18, 0x1.305771d4317c9p-18, 0x1.2dfc363f11475p-18, 0x1.2b84ee5823e3bp-18, 0x1.292062673dcf3p-18, 0x1.26d1bfa7a80eep-18, 0x1.247be341e251ep-18, 0x1.222f10ccb831p-18, 0x1.1fe382813c1bbp-18, 0x1.1d9e89660ecd6p-18, 0x1.1b561ceac5fbbp-18, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{-0x1.78050d63228f4p-7, -0x1.75b38bb39908bp-6, -0x1.156a7d9926e3bp-5, -0x1.6ca6a405af02p-5, -0x1.bf9a6f36e585fp-5, -0x1.06b7e3c0b50fep-4, -0x1.2ab888910c03cp-4, -0x1.4b8524043c556p-4, -0x1.68e45e18c3b82p-4, -0x1.82acdfef94319p-4, -0x1.98c449de54bfbp-4, -0x1.ab1de9b2125cbp-4, -0x1.b9b94ca3097fep-4, -0x1.c4a0c2ad8e12p-4, -0x1.cbe7e3a7e734dp-4, -0x1.cfaa21c73689p-4, -0x1.d009716f57b71p-4, -0x1.cd2d0b20ea1a1p-4, -0x1.c7404a08f574ep-4, -0x1.be71a80461f56p-4, -0x1.b2f1d6b8d618p-4, -0x1.a4f2f498cfb06p-4, -0x1.94a7dc2a0e252p-4, -0x1.82438b9e6c4f4p-4, -0x1.6df8a2b0c0e9bp-4, -0x1.57f8f4b41f33fp-4, -0x1.40752cd2940a7p-4, -0x1.279c82926c3b1p-4, -0x1.0d9c7cd934eaep-4, -0x1.e541838d1698ap-5, -0x1.ada5e3c8b3a79p-5, -0x1.74b51a996715ap-5, -0x1.3ab9c30cb3543p-5, -0x1.fff3fbde44505p-6, -0x1.896ed3acb242ap-6, -0x1.125e4cf5c27f5p-6, -0x1.366786ef6d655p-7, -0x1.22becd163136dp-9, 0x1.47553d38f3a6ep-8, 0x1.8df7a7d9c94b2p-7, 0x1.3acbc20206d28p-6, 0x1.acfcc4b7001dep-6, 0x1.0ea6e599b0e48p-5, 0x1.45c2559a81f38p-5, 0x1.7bb6e07e456abp-5, 0x1.b06dc6e0033afp-5, 0x1.e3d32ad826361p-5, 0x1.0aeaef9edb255p-4, 0x1.23339bc5cfef5p-4, 0x1.3abd6c6086a2ap-4, 0x1.518345c33e65p-4, 0x1.678107ea831eep-4, 0x1.7cb3792907e48p-4, 0x1.911831c3b4d0bp-4, 0x1.a4ad888b40795p-4, 0x1.b772807e711eep-4, 0x1.c966b77c5c9dp-4, 0x1.da8a560a86999p-4, 0x1.eade002fc8dd3p-4, 0x1.fa62c762518aap-4, 0x1.048d0ec2411bcp-3, 0x1.0b82e475645d5p-3, 0x1.1213ecb149b0ep-3, 0x1.18414f189a00cp-3, 0x1.1e0c4e803c127p-3, 0x1.237644d6d8a0fp-3, 0x1.28809f77978cep-3, 0x1.2d2cdbe1f6accp-3, 0x1.317c84d04b9bdp-3, 0x1.35712fa6929dap-3, 0x1.390c7a3312476p-3, 0x1.3c5008ba76062p-3, 0x1.3f3d84492221p-3, 0x1.41d699439f1f7p-3, 0x1.441cf630461c1p-3, 0x1.46124ab46caeap-3, 0x1.47b846bfb5fbbp-3, 0x1.491099e065076p-3, 0x1.4a1cf2bbc8341p-3, 0x1.4adefea643cd3p-3, 0x1.4b586956af38cp-3, 0x1.4b8adcb1184ccp-3, 0x1.4b7800a548656p-3, 0x1.4b217b1dbdee6p-3, 0x1.4a88effbfe533p-3, 0x1.49b0011f923dap-3, 0x1.48984e7524bf8p-3, 0x1.4743760b92723p-3, 0x1.45b3142cec24p-3, 0x1.43e8c379bd2edp-3, 0x1.41e61d05037d3p-3, 0x1.3facb86f9d76p-3, 0x1.3d3e2c0205617p-3, 0x1.3a9c0cc379fa1p-3, 0x1.37c7ee8dc9daap-3, 0x1.34c3641d26181p-3, 0x1.318fff1b8c512p-3, 0x1.2e2f50276af76p-3, 0x1.2aa2e6d5407c6p-3, 0x1.26ec51ac22e98p-3, 0x1.230d1e1d12dcep-3, 0x1.1f06d87530c89p-3, 0x1.1adb0bcaec354p-3, 0x1.168b41e6549cap-3, 0x1.12190324c5e98p-3, 0x1.0d85d6582ff2dp-3, 0x1.08d340a246598p-3, 0x1.0402c54be0e96p-3, 0x1.fe2bcb31edd92p-4, 0x1.f41c4132e4445p-4, 0x1.e9d9e5eeb0059p-4, 0x1.df67ad85114eap-4, 0x1.d4c8867514232p-4, 0x1.c9ff592d6348cp-4, 0x1.bf0f079a104e4p-4, 0x1.b3fa6cb097741p-4, 0x1.a8c45bfac4d42p-4, 0x1.9d6fa12113d68p-4, 0x1.91feff7551d99p-4, 0x1.8675317e00c88p-4, 0x1.7ad4e8830cdf7p-4, 0x1.6f20cc1c6f03fp-4, 0x1.635b79c32c1c9p-4, 0x1.5787846530986p-4, 0x1.4ba773fc6f102p-4, 0x1.3fbdc529a8be1p-4, 0x1.33cce8d337c36p-4, 0x1.27d743c82b181p-4, 0x1.1bdf2e67ff451p-4, 0x1.0fe6f44f27a01p-4, 0x1.03f0d408aa2f6p-4, 0x1.effdfd89e3237p-5, 0x1.d827302bfb741p-5, 0x1.c0616b621a5ecp-5, 0x1.a8b0be6bb5911p-5, 0x1.91191bf6e8947p-5, 0x1.799e59c57cf96p-5, 0x1.6244305d3a70ap-5, 0x1.4b0e3ac380f14p-5, 0x1.33fff644203dfp-5, 0x1.1d1cc24341854p-5, 0x1.0667e01a4f0cfp-5, 0x1.dfc8e5ff35de2p-6, 0x1.b32afff12d9fp-6, 0x1.86fbdbacd25abp-6, 0x1.5b410a7919d73p-6, 0x1.2fffe1627a4b1p-6, 0x1.053d796ebadf3p-6, 0x1.b5fd5fc63d6dp-7, 0x1.62904d387abedp-7, 0x1.103c88edbdc4ep-7, 0x1.7e14d72466425p-8, 0x1.bc076758198abp-9, 0x1.01522ce3a6b7bp-10, -0x1.6baa85c711e93p-10, -0x1.e75963903b426p-9, -0x1.89e5627753984p-8, -0x1.0ec4a51c011ep-7, -0x1.5746eb3a08cd5p-7, -0x1.9e74a3e189e01p-7, -0x1.e4495720185dep-7, -0x1.1460796f1d7d6p-6, -0x1.35ebe4741aa3ep-6, -0x1.56c54673e33c3p-6, -0x1.76eb292829f83p-6, -0x1.965c451f625a1p-6, -0x1.b51780a732921p-6, -0x1.d31beeb210fa6p-6, -0x1.f068cdb8a699dp-6, -0x1.067ec34bc4dfap-5, -0x1.146cd5b4f3a6p-5, -0x1.21fe7b30dbcccp-5, -0x1.2f33a44ef9e56p-5, -0x1.3c0c547fb32c6p-5, -0x1.4888a17e41f5bp-5, -0x1.54a8b2ba64e16p-5, -0x1.606cc0c20d5b7p-5, -0x1.6bd514ab42889p-5, -0x1.76e2077e73bc3p-5, -0x1.819401a165bd5p-5, -0x1.8beb7a42ec782p-5, -0x1.95e8f6c79e23cp-5, -0x1.9f8d0a37a9627p-5, -0x1.a8d854adf7dfp-5, -0x1.b1cb82c8c6933p-5, -0x1.ba674d1bcecdep-5, -0x1.c2ac77a42c4e6p-5, -0x1.ca9bd13e0c111p-5, -0x1.d236331c545bcp-5, -0x1.d97c8042541bdp-5, -0x1.e06fa4ff9670ep-5, -0x1.e710966df1424p-5, -0x1.ed6051f1df0e5p-5, -0x1.f35fdcbd39c4cp-5, -0x1.f91043546139bp-5, -0x1.fe729915e4c3fp-5, -0x1.01c3fbe258e4dp-4, -0x1.0428bf8a70cf1p-4, -0x1.06682a1d92778p-4, -0x1.0882d0bf69e48p-4, -0x1.0a794ae75a41p-4, -0x1.0c4c322c374fp-4, -0x1.0dfc22115eb28p-4, -0x1.0f89b7d52ef7ap-4, -0x1.10f59240dcae9p-4, -0x1.12405179a813cp-4, -0x1.136a96d3739dep-4, -0x1.147504a4b4693p-4, -0x1.15603e1bc3889p-4, -0x1.162ce71589e79p-4, -0x1.16dba3f58690bp-4, -0x1.176d197f2b788p-4, -0x1.17e1ecb091549p-4, -0x1.183ac29e7aeedp-4, -0x1.18784051a76cdp-4, -0x1.189b0aa56e71cp-4, -0x1.18a3c627a2f05p-4, -0x1.189316f9b7924p-4, -0x1.1869a0b322998p-4, -0x1.18280644f97cdp-4, -0x1.17cee9dec16fcp-4, -0x1.175eecd46f34dp-4, -0x1.16d8af8590987p-4, -0x1.163cd145993f5p-4, -0x1.158bf0454ff84p-4, -0x1.14c6a97d54a61p-4, -0x1.13ed9899bae33p-4, -0x1.130157e6b1475p-4, -0x1.1202803e3440cp-4, -0x1.10f1a8f6be419p-4, -0x1.0fcf67d2f83e2p-4, -0x1.0e9c50f25c6a9p-4, -0x1.0d58f6c2ce8ep-4, -0x1.0c05e9f317a07p-4, -0x1.0aa3b9664c17p-4, -0x1.0932f2280c275p-4, -0x1.07b41f619e89cp-4, -0x1.0627ca4fdb597p-4, -0x1.048e7a39e4f52p-4, -0x1.02e8b468a4807p-4, -0x1.0136fc1f089c7p-4, -0x1.fef3a525f9565p-5, -0x1.fb636dce2ae7p-5, -0x1.f7be4c49d99efp-5, -0x1.f40536704b127p-5, -0x1.f0391dd426b4ap-5, -0x1.ec5aefbc01177p-5, -0x1.e86b951c150c4p-5, -0x1.e46bf29126148p-5, -0x1.e05ce85c797a3p-5, -0x1.dc3f5260e39bep-5, -0x1.d8140820d93b6p-5, -0x1.d3dbdcbd7c5dbp-5, -0x1.cf979ef69e0dfp-5, -0x1.cb48192ba52cp-5, -0x1.c6ee115d555cp-5, -0x1.c28a493069c4ap-5, -0x1.be1d7df0fc394p-5, -0x1.b9a86896ae9c2p-5, -0x1.b52bbdc98e606p-5, -0x1.b0a82de7aa146p-5, -0x1.ac1e650b4b963p-5, -0x1.a78f0b11dc386p-5, -0x1.a2fac3a354efap-5, -0x1.9e622e3a4b129p-5, -0x1.99c5e62c7c1d2p-5, -0x1.952682b3e2528p-5, -0x1.908496f83f96dp-5, -0x1.8be0b2191b569p-5, -0x1.873b5f382c17fp-5, -0x1.829525842ba83p-5, -0x1.7dee884402e4cp-5, -0x1.794806e25429cp-5, -0x1.74a21cf95652ep-5, -0x1.6ffd425efc164p-5, -0x1.6b59eb3162cb9p-5, -0x1.66b887e38358cp-5, -0x1.6219854a1b6a8p-5, -0x1.5d7d4ca8d3e4ep-5, -0x1.58e443bf9241p-5, -0x1.544eccd7fc3b1p-5, -0x1.4fbd46d31f095p-5, -0x1.4b300d373dfb7p-5, -0x1.46a7783dbea7dp-5, -0x1.4223dce131988p-5, -0x1.3da58ceb706fp-5, -0x1.392cd703cead4p-5, -0x1.34ba06bd5bbccp-5, -0x1.304d64a530ebep-5, -0x1.2be73650c3a3cp-5, -0x1.2787be6c42e0ep-5, -0x1.232f3cc8ef64cp-5, -0x1.1eddee6b78d3ep-5, -0x1.1a940d9a5424fp-5, -0x1.1651d1ec0bbaap-5, -0x1.12177055821e9p-5, -0x1.0de51b383245cp-5, -0x1.09bb027053554p-5, -0x1.05995362f9f06p-5, -0x1.0180390c1cacep-5, -0x1.fadfb81908f29p-6, -0x1.f2d0c56f578a7p-6, -0x1.ead3e242fa973p-6, -0x1.e2e95257fce8ep-6, -0x1.db115529afdf6p-6, -0x1.d34c26058942p-6, -0x1.cb99fc25c0595p-6, -0x1.c3fb0acba072p-6, -0x1.bc6f8159aa1d9p-6, -0x1.b4f78b6d57904p-6, -0x1.ad9350f8a8b2fp-6, -0x1.a642f65b5efd2p-6, -0x1.9f069c7be2c0dp-6, -0x1.97de60dfee0fp-6, -0x1.90ca5dc4d1927p-6, -0x1.89caaa3775dd8p-6, -0x1.82df5a2c0358fp-6, -0x1.7c087e9535c2p-6, -0x1.7546257b5beb1p-6, -0x1.6e985a12fd69fp-6, -0x1.67ff24d32bd4fp-6, -0x1.617a8b8b7b559p-6, -0x1.5b0a91799c3c2p-6, -0x1.54af375ea18a2p-6, -0x1.4e687b93eb4dep-6, -0x1.48365a1fb1feap-6, -0x1.4218ccc93cb34p-6, -0x1.3c0fcb2cb90d9p-6, -0x1.361b4aceb4dadp-6, -0x1.303b3f2f41d9fp-6, -0x1.2a6f99dcbc9f2p-6, -0x1.24b84a8633c3fp-6, -0x1.1f153f0d77215p-6, -0x1.19866398cdab2p-6, -0x1.140ba2a44f1d1p-6, -0x1.0ea4e512dbd78p-6, -0x1.0952123eca24fp-6, -0x1.0413100a2c0eap-6, -0x1.fdcf85dd871fep-7, -0x1.f3a01c1b32668p-7, -0x1.e997a67c80b2ap-7, -0x1.dfb5e63b7ea4ap-7, -0x1.d5fa9a3a4772ep-7, -0x1.cc657f1f81ee3p-7, -0x1.c2f64f722f025p-7, -0x1.b9acc3b4d4f4ep-7, -0x1.b088927ffef1ep-7, -0x1.a789709c1ef6fp-7, -0x1.9eaf111ab8cap-7, -0x1.95f9256f127e4p-7, -0x1.8d675d860c3d7p-7, -0x1.84f967dd99c54p-7, -0x1.7caef19b68c9dp-7, -0x1.7487a6a312884p-7, -0x1.6c8331ab9ed57p-7, -0x1.64a13c5482e1fp-7, -0x1.5ce16f39fcbc1p-7, -0x1.55437208ed58p-7, -0x1.4dc6eb920c85bp-7, -0x1.466b81dca8829p-7, -0x1.3f30da38ccfccp-7, -0x1.38169950e2fa4p-7, -0x1.311c633ac34efp-7, -0x1.2a41db8859303p-7, -0x1.2386a557a697bp-7, -0x1.1cea6362605d6p-7, -0x1.166cb80cfd93ep-7, -0x1.100d457556dfp-7, -0x1.09cbad80b8581p-7, -0x1.03a791e99c31dp-7, -0x1.fb4128999c1fcp-8, -0x1.ef6cac6c65c99p-8, -0x1.e3d0f25a2eb4ap-8, -0x1.d86d3d8027f0dp-8, -0x1.cd40d120f8f87p-8, -0x1.c24af0bae0173p-8, -0x1.b78ae01cf93c9p-8, -0x1.acffe37bafbadp-8, -0x1.a2a93f84813a4p-8, -0x1.98863970e48efp-8, -0x1.8e961718829bcp-8, -0x1.84d81f02b255cp-8, -0x1.7b4b98772d376p-8, -0x1.71efcb8e307d8p-8, -0x1.68c4013fd95bep-8, -0x1.5fc78372d8df2p-8, -0x1.56f99d0a8e1fdp-8, -0x1.4e5999f473a19p-8, -0x1.45e6c734ee81ep-8, -0x1.3da072f387a0dp-8, -0x1.3585ec8698543p-8, -0x1.2d96847e406dcp-8, -0x1.25d18caf0667fp-8, -0x1.1e36583baca0fp-8, -0x1.16c43b9eba95ep-8, -0x1.0f7a8cb341169p-8, -0x1.0858a2bd716eep-8, -0x1.015dd6725e5d6p-8, -0x1.f51303ff0bbbfp-9, -0x1.e7b602238afc6p-9, -0x1.daa361b7b3c35p-9, -0x1.cdd9e038fd25ap-9, -0x1.c1583e4840aa9p-9, -0x1.b51d3fb416eacp-9, -0x1.a927ab82b2241p-9, -0x1.9d764bfac35bep-9, -0x1.9207eeab8874bp-9, -0x1.86db647486f33p-9, -0x1.7bef818c09422p-9, -0x1.71431d854ae5ap-9, -0x1.66d51355e667bp-9, -0x1.5ca4415a7dabfp-9, -0x1.52af895af74ep-9, -0x1.48f5d08df8a77p-9, -0x1.3f75ff9be2dc3p-9, -0x1.362f02a12af5ap-9, -0x1.2d1fc93045e7p-9, -0x1.24474652f8a25p-9, -0x1.1ba4708b16ef8p-9, -0x1.133641d2f5234p-9, -0x1.0afbb79d40276p-9, -0x1.02f3d2d467bbdp-9, -0x1.f63b2fb30b1a9p-10, -0x1.e6f01d063e485p-10, -0x1.d80484365679bp-10, -0x1.c97682b9b5c77p-10, -0x1.bb443ce428a26p-10, -0x1.ad6bdde0f27bap-10, -0x1.9feb97ac32aa9p-10, -0x1.92c1a30bcb39p-10, -0x1.85ec3f876d42dp-10, -0x1.7969b36034be1p-10, -0x1.6d384b87a6a38p-10, -0x1.61565b96237a1p-10, -0x1.55c23dc0df295p-10, -0x1.4a7a52cf3b2bfp-10, -0x1.3f7d020fe1b4bp-10, -0x1.34c8b94d3370dp-10, -0x1.2a5becc157d64p-10, -0x1.2035170a1e293p-10, -0x1.1652b91c18585p-10, -0x1.0cb35a35c23bep-10, -0x1.035587d2082a8p-10, -0x1.f46fab3534a63p-11, -0x1.e2b1bab3d86cp-11, -0x1.d16e7dd9e6c0dp-11, -0x1.c0a3406960e79p-11, -0x1.b04d5a0ea863cp-11, -0x1.a06a2e428e4ccp-11, -0x1.90f72c2bc00bep-11, -0x1.81f1ce8072416p-11, -0x1.73579b668485dp-11, -0x1.652624549282ap-11, -0x1.575b05f22b4abp-11, -0x1.49f3e7f730fa6p-11, -0x1.3cee7d0c36cbp-11, -0x1.304882a989545p-11, -0x1.23ffc0f6b2e06p-11, -0x1.18120aa9b369ap-11, -0x1.0c7d3ce5a7ce9p-11, -0x1.013f3f1a06fdcp-11, -0x1.ecac05c26957p-12, -0x1.d77f07be510b5p-12, -0x1.c2f38f4068f4ap-12, -0x1.af05baefc62d9p-12, -0x1.9bb1bcbd9a2d9p-12, -0x1.88f3d9a456031p-12, -0x1.76c8696386fc2p-12, -0x1.652bd63dd3cbp-12, -0x1.541a9cb5ec59fp-12, -0x1.43914b4d07bdcp-12, -0x1.338c823fa7e6ap-12, -0x1.2408f3445378ap-12, -0x1.1503614985e08p-12, -0x1.0678a0338d655p-12, -0x1.f0cb2939896b1p-13, -0x1.d58e672582a8bp-13, -0x1.bb3504aeece03p-13, -0x1.a1b92c3f4aa33p-13, -0x1.891527a75aa9bp-13, -0x1.71435f9f6a7e9p-13, -0x1.5a3e5b4973a42p-13, -0x1.4400bfb3af9d8p-13, -0x1.2e854f5c5d4ffp-13, -0x1.19c6e9b58bcc2p-13, -0x1.05c08aabe81b3p-13, -0x1.e4da945816adbp-14, -0x1.bf90b7533dddep-14, -0x1.9b9a1b530eebdp-14, -0x1.78ed9292382b4p-14, -0x1.5782239769817p-14, -0x1.374f0846cb01dp-14, -0x1.184bacffb7455p-14, -0x1.f4df5f6f6b825p-15, -0x1.bb65be30f9a16p-15, -0x1.841a7341d3f23p-15, -0x1.4eedd98fae654p-15, -0x1.1bd0a843eabe9p-15, -0x1.d567e2289d654p-16, -0x1.77123d2af975fp-16, -0x1.1c83e52e73ee7p-16, -0x1.8b42120974c4dp-17, -0x1.c939fdd1d5f9cp-18, -0x1.138e209f2868ep-19, 0x1.50785f343e019p-19, 0x1.cd34d2c647ee4p-18, 0x1.72c2be140d9e9p-17, 0x1.f8c7366ff8a9bp-17, 0x1.3c6b6404defcbp-16, 0x1.798fa1b36db52p-16, 0x1.b3e6ace0e672ep-16, 0x1.eb865165b4c4ap-16, 0x1.1041e893775d8p-15, 0x1.2979f36e1eaf3p-15, 0x1.41756467932cp-15, 0x1.583e15c8cfb6dp-15, 0x1.6ddda2526888dp-15, 0x1.825d668bd6ebcp-15, 0x1.95c68211cba1ep-15, 0x1.a821d8d615cbep-15, 0x1.b9781464d4d94p-15, 0x1.c9d1a51e5d5cp-15, 0x1.d936c36e7d90dp-15, 0x1.e7af70fdf46ebp-15, 0x1.f54379e09278ep-15, 0x1.00fd3ade10c8dp-14, 0x1.06ede476192eap-14, 0x1.0c7752cf6e4cep-14, 0x1.119d06788b21ep-14, 0x1.1662680147463p-14, 0x1.1acac882db511p-14, 0x1.1ed962253ed04p-14, 0x1.229158a3efd4bp-14, 0x1.25f5b9ce42f11p-14, 0x1.29097e06a9b02p-14, 0x1.2bcf88bf07dc8p-14, 0x1.2e4aa8f33468cp-14, 0x1.307d99a2d7215p-14, 0x1.326b024482772p-14, 0x1.3415773cb9f42p-14, 0x1.357f7a4e329e5p-14, 0x1.36ab7b0a02c8cp-14, 0x1.379bd73d6126dp-14, 0x1.3852db5d07d9cp-14, 0x1.38d2c2ee85826p-14, 0x1.391db8f09e315p-14, 0x1.3935d84015f6fp-14, 0x1.391d2bfc05ffbp-14, 0x1.38d5afe7346f5p-14, 0x1.386150c744a33p-14, 0x1.37c1ecc48e71ep-14, 0x1.36f953c39b70fp-14, 0x1.360947c0dcc2cp-14, 0x1.34f37d28d94abp-14, 0x1.33b99b2efc3dp-14, 0x1.325d3c2181fdfp-14, 0x1.30dfedbe004a2p-14, 0x1.2f4331817d7adp-14, 0x1.2d887cf943dc9p-14, 0x1.2bb13a0fdc896p-14, 0x1.29bec75a57b87p-14, 0x1.27b278624caf7p-14, 0x1.258d95f0252eap-14, 0x1.23515e51d449cp-14, 0x1.20ff05a193ec7p-14, 0x1.1e97b609fadc8p-14, 0x1.1c1c9009e07abp-14, 0x1.198eaab533c45p-14, 0x1.16ef13f5f4eb8p-14, 0x1.143ed0c9f809fp-14, 0x1.117edd815a86fp-14, 0x1.0eb02dfa5a2d3p-14, 0x1.0bd3addb661bbp-14, 0x1.08ea40cd5d4a2p-14, 0x1.05f4c2b307d38p-14, 0x1.02f407e038e1dp-14, 0x1.ffd1ba9ddbdbep-15, 0x1.f9a811a84f1f9p-15, 0x1.f36c92a45a5b7p-15, 0x1.ed20add74a1f4p-15, 0x1.e6c5c66646cdcp-15, 0x1.e05d32b74654p-15, 0x1.d9e83cccb55b8p-15, 0x1.d36822a156e35p-15, 0x1.ccde167fd10b7p-15, 0x1.c64b3f5995f19p-15, 0x1.bfb0b91b5554ep-15, 0x1.b90f94fe1e1aep-15, 0x1.b268d9d9ddabfp-15, 0x1.abbd8471693a9p-15, 0x1.a50e87c0f3d0ep-15, 0x1.9e5ccd467c899p-15, 0x1.97a9354c5e9ep-15, 0x1.90f4972f0394bp-15, 0x1.8a3fc1a226d3ep-15, 0x1.838b7af45be31p-15, 0x1.7cd8814ffc4dcp-15, 0x1.76278afc163ecp-15, 0x1.6f79469a60042p-15, 0x1.68ce5b63595cfp-15, 0x1.6227696218d49p-15, 0x1.5b8509adefb6ep-15, 0x1.54e7cea1a5ecep-15, 0x1.4e504412f318fp-15, 0x1.47beef879a6aap-15, 0x1.413450683454dp-15, 0x1.3ab0e03362e94p-15, 0x1.343512af28d23p-15, 0x1.2dc156179eeb8p-15, 0x1.2756134e7f25ep-15, 0x1.20f3ae0743ea3p-15, 0x1.1a9a84f370ebbp-15, 0x1.144af1ee20a1p-15, 0x1.0e054a23d640bp-15, 0x1.07c9de3c9d2c8p-15, 0x1.0198fa81b1878p-15, 0x1.f6e5ce0a2d808p-16, 0x1.eaafcf8c2ffd4p-16, 0x1.de9079a99dc6fp-16, 0x1.d28844ecf39e8p-16, 0x1.c697a28baff79p-16, 0x1.babefcabba368p-16, 0x1.aefeb6a0f2678p-16, 0x1.a3572d2cb50abp-16, 0x1.97c8b6baba40bp-16, 0x1.8c53a399fa12bp-16, 0x1.80f83e3868828p-16, 0x1.75b6cb5864f47p-16, 0x1.6a8f8a46ae2f2p-16, 0x1.5f82b50f286fap-16, 0x1.549080ae5d75ep-16, 0x1.49b91d43c653fp-16, 0x1.3efcb640556eap-16, 0x1.345b72946873ap-16, 0x1.29d574dd2808bp-16, 0x1.1f6adb8eda5fcp-16, 0x1.151bc11f80bc8p-16, 0x1.0ae83c2ffaab9p-16, 0x1.00d05fb208abp-16, 0x1.eda8761f784f6p-17, 0x1.d9e7b49e5adf6p-17, 0x1.c65e8c6e1db83p-17, 0x1.b30d08e20d738p-17, 0x1.9ff32f56afddep-17, 0x1.8d10ff7032567p-17, 0x1.7a66735c9adf5p-17, 0x1.67f3800e52a77p-17, 0x1.55b8157792d72p-17, 0x1.43b41ec20fd36p-17, 0x1.31e78286c91cp-17, 0x1.20522303633c8p-17, 0x1.0ef3de4b81f17p-17, 0x1.fb991cf9dd66ap-18, 0x1.d9b813d72971ap-18, 0x1.b84446aa09e32p-18, 0x1.973d540cfdc26p-18, 0x1.76a2d4199848ap-18, 0x1.567458b8d993bp-18, 0x1.36b16df59b6a7p-18, 0x1.17599a40d7879p-18, 0x1.f0d8bd9038771p-19, 0x1.b3d26f6a20275p-19, 0x1.779f38ecfbe69p-19, 0x1.3c3e000755f77p-19, 0x1.01ada22d6c47bp-19, 0x1.8fd9e9c81c641p-20, 0x1.1df58c5ff2b88p-20, 0x1.5b57742531963p-21, 0x1.f7cf9cb2bf0bp-23, -0x1.71129643ce2bfp-23, -0x1.3357609498c6cp-21, -0x1.03a4c71011ec2p-20, -0x1.6c10435311ce2p-20, -0x1.d2f0daa59bf44p-20, -0x1.1c24a5abe13adp-19, -0x1.4e0e2ddd2387ap-19, -0x1.7f366cc933f13p-19, -0x1.af9eccba97b63p-19, -0x1.df48bb18c1945p-19, -0x1.071ad411a16f5p-18, -0x1.1e338355c5d29p-18, -0x1.34ef25eab1829p-18, -0x1.4b4e776b088ffp-18, -0x1.6152345f3013bp-18, -0x1.76fb1a1d28eadp-18, -0x1.8c49e6ae571dfp-18, -0x1.a13f58b524635p-18, -0x1.b5dc2f556a8f1p-18, -0x1.ca212a1af123cp-18, -0x1.de0f08e2274ffp-18, -0x1.f1a68bc5d503dp-18, -0x1.0274398152acp-17, -0x1.0beabf7641885p-17, -0x1.153737ea2fddp-17, -0x1.1e5a02fd33fccp-17, -0x1.275380bd88514p-17, -0x1.3024112020ed2p-17, -0x1.38cc13f736fd2p-17, -0x1.414be8ed1853fp-17, -0x1.49a3ef7c2cb9ap-17, -0x1.51d486e6b478ep-17, -0x1.59de0e33eb41ep-17, -0x1.61c0e427b9bebp-17, -0x1.697d673cd1b2cp-17, -0x1.7113f5a023b0fp-17, -0x1.7884ed2ce4369p-17, -0x1.7fd0ab65a9241p-17, -0x1.86f78d70e393cp-17, -0x1.8df9f0159edd7p-17, -0x1.94d82fb52416p-17, -0x1.9b92a84a52e2ep-17, -0x1.a229b5641bb53p-17, -0x1.a89db222adc5p-17, -0x1.aeeef933dcbb6p-17, -0x1.b51de4d1c560dp-17, -0x1.bb2acebf90f3bp-17, -0x1.c116104526ad5p-17, -0x1.c6e0022f9948bp-17, -0x1.cc88fcce23fe9p-17, -0x1.d21157ef542ep-17, -0x1.d7796ae00312bp-17, -0x1.dcc18c6a05fa8p-17, -0x1.e1ea12d1d6c11p-17, -0x1.e6f353d5ef851p-17, -0x1.ebdda4acec31cp-17, -0x1.f0a95a0545522p-17, -0x1.f556c8039e479p-17, -0x1.f9e64241ea3bbp-17, -0x1.fe581bcf7a89dp-17, -0x1.01565397860dbp-16, -0x1.03721b2b9e11bp-16, -0x1.057f8d58d96a8p-16, -0x1.077ed28d454f8p-16, -0x1.097012f076a19p-16, -0x1.0b537662fbf66p-16, -0x1.0d29247e16fb2p-16, -0x1.0ef1449424376p-16, -0x1.10abfdb086e05p-16, -0x1.1259769794ab5p-16, -0x1.13f9d5c6c55d4p-16, -0x1.158d41745fec5p-16, -0x1.1713df904a06dp-16, -0x1.188dd5c37db99p-16, -0x1.19fb497072a3ep-16, -0x1.1b5c5fb375e0bp-16, -0x1.1cb13d628dec5p-16, -0x1.1dfa070dedef7p-16, -0x1.1f36e1001349ep-16, -0x1.2067ef3e2e0edp-16, -0x1.218d558821bcdp-16, -0x1.22a73758b9d86p-16, -0x1.23b5b7e69a97cp-16, -0x1.24b8fa23fa455p-16, -0x1.25b120beddc69p-16, -0x1.269e4e21c0818p-16, -0x1.2780a473de944p-16, -0x1.285845997fc62p-16, -0x1.292553341fe17p-16, -0x1.29e7eea3197a9p-16, -0x1.2aa03903e8f34p-16, -0x1.2b4e533238ba9p-16, -0x1.2bf25dc8f8e27p-16, -0x1.2c8c792212056p-16, -0x1.2d1cc556cd0ap-16, -0x1.2da362408dc4p-16, -0x1.2e206f7965f38p-16, -0x1.2e940c5be4455p-16, -0x1.2efe5803c1fb9p-16, -0x1.2f5f714e2e96ep-16, -0x1.2fb776da50194p-16, -0x1.300687096c192p-16, -0x1.304cbfffcce5ep-16, -0x1.308a3fa4a796bp-16, -0x1.30bf23a2e3a4ap-16, -0x1.30eb8968ddaa5p-16, -0x1.310f8e295ffdap-16, -0x1.312b4edbe0a79p-16, -0x1.313ee83cc23eap-16, -0x1.314a76cde069dp-16, -0x1.314e16d6d9602p-16, -0x1.3149e4657ce0fp-16, -0x1.313dfb4e1160ap-16, -0x1.312a772bacaa1p-16, -0x1.310f7360901a7p-16, -0x1.30ed0b16ce5cfp-16, -0x1.30c359407253dp-16, -0x1.30927897ba2edp-16, -0x1.305a839fa7889p-16, -0x1.301b94a43853ap-16, -0x1.2fd5c5bad4617p-16, -0x1.2f8930c2772d8p-16, -0x1.2f35ef642c862p-16, -0x1.2edc1b139b9efp-16, -0x1.2e7bcd0f22724p-16, -0x1.2e151e5ffe1b8p-16, -0x1.2da827dac8f1p-16, -0x1.2d35021fced29p-16, -0x1.2cbbc59b6fe1bp-16, -0x1.2c3c8a866213fp-16, -0x1.2bb768e600765p-16, -0x1.2b2c788c858b7p-16, -0x1.2a9bd119591dbp-16, -0x1.2a0589f95d595p-16, -0x1.2969ba67a2f17p-16, -0x1.28c8796cf0c9dp-16, -0x1.2821dde06bdbep-16, -0x1.2775fe6837e6dp-16, -0x1.26c4f17967958p-16, -0x1.260ecd5827ba5p-16, -0x1.2553a8182430ep-16, -0x1.2493979ccc521p-16, -0x1.23ceb1999768cp-16, -0x1.23050b9265f8cp-16, -0x1.2236badba1738p-16, -0x1.2163d49a8fce1p-16, -0x1.208c6dc570541p-16, -0x1.1fb09b23c750cp-16, -0x1.1ed0714ed946ap-16, -0x1.1dec04b18577ap-16, -0x1.1d036988b92f7p-16, -0x1.1c16b3e3e19dcp-16, -0x1.1b25f7a4c4344p-16, -0x1.1a31487fee573p-16, -0x1.1938b9fd175cfp-16, -0x1.183c5f76e6305p-16, -0x1.173c4c1b6bcfap-16, -0x1.163892ec882e9p-16, -0x1.153146c00931fp-16, -0x1.14267a3fb12c3p-16, -0x1.13183fe98e0dbp-16, -0x1.1206aa104fddp-16, -0x1.10f1cadb39951p-16, -0x1.0fd9b4469aecp-16, -0x1.0ebe7823e3c81p-16, -0x1.0da02819d3ce3p-16, -0x1.0c7ed5a4afb4ap-16, -0x1.0b5a9216ae11bp-16, -0x1.0a336e97e32eap-16, -0x1.09097c26960eap-16, -0x1.07dccb973710dp-16, -0x1.06ad6d94c7b3bp-16, -0x1.057b72a165a72p-16, -0x1.0446eb15ddfe1p-16, -0x1.030fe722188bdp-16, -0x1.01d676cd856b6p-16, -0x1.009aa9f6f8f81p-16, -0x1.feb920a9bc7cp-17, -0x1.fc3872eba25ccp-17, -0x1.f9b369810dafdp-17, -0x1.f72a22e77102ap-17, -0x1.f49cbd4d5c064p-17, -0x1.f20b56936224bp-17, -0x1.ef760c4b3b204p-17, -0x1.ecdcfbb8cf212p-17, -0x1.ea4041d2761fp-17, -0x1.e79ffb414e588p-17, -0x1.e4fc44619ce28p-17, -0x1.e255394384ae6p-17, -0x1.dfaaf5ab31c64p-17, -0x1.dcfd9510d7dcp-17, -0x1.da4d32a1311b9p-17, -0x1.d799e93e8d1aap-17, -0x1.d4e3d3806633ap-17, -0x1.d22b0bb3d07d8p-17, -0x1.cf6fabdc7a524p-17, -0x1.ccb1cdb3f2663p-17, -0x1.c9f18aab08dd5p-17, -0x1.c72efbea1477ap-17, -0x1.c46a3a5120afcp-17, -0x1.c1a35e77d3c97p-17, -0x1.beda80ae32d13p-17, -0x1.bc0fb8fd050c8p-17, -0x1.b9431f2610814p-17, -0x1.b674caa4fc385p-17, -0x1.b3a4d2af1f3e1p-17, -0x1.b0d34e33de4efp-17, -0x1.ae0053dd5192dp-17, -0x1.ab2bfa106a15cp-17, -0x1.a85656ed2e4ecp-17, -0x1.a57f805004264p-17, -0x1.a2a78bd0f2ba7p-17, -0x1.9fce8ec3fa487p-17, -0x1.9cf49e3a65671p-17, -0x1.9a19cf02dea4dp-17, -0x1.973e35a95dcb9p-17, -0x1.9461e677d6421p-17, -0x1.9184f5767c386p-17, -0x1.8ea7766bd3118p-17, -0x1.8bc97cddd1f13p-17, -0x1.88eb1c11a4529p-17, -0x1.860c670c7de1cp-17, -0x1.832d7093e56c8p-17, -0x1.804e4b2d69f15p-17, -0x1.7d6f091fe6e23p-17, -0x1.7a8fbc7351b39p-17, -0x1.77b076f180bd8p-17, -0x1.74d14a2681b3cp-17, -0x1.71f247608578ap-17, -0x1.6f137fb049514p-17, -0x1.6c3503eaabdc7p-17, -0x1.6956e4a80d1a8p-17, -0x1.667932443a40bp-17, -0x1.639bfcdf883p-17, -0x1.60bf545f3574fp-17, -0x1.5de3486dbf4ecp-17, -0x1.5b07e87b1cc57p-17, -0x1.582d43bd5038bp-17, -0x1.5553693096ee4p-17, -0x1.527a67981a551p-17, -0x1.4fa24d7dd614bp-17, -0x1.4ccb2933a43fap-17, -0x1.49f508d2f23e4p-17, -0x1.471ffa3dd55d2p-17, -0x1.444c0b1ed49d3p-17, -0x1.417948e987846p-17, -0x1.3ea7c0db1257ap-17, -0x1.3bd77ffa9b458p-17, -0x1.390893198c678p-17, -0x1.363b06d427c34p-17, -0x1.336ee7915951dp-17, -0x1.30a441838763cp-17, -0x1.2ddb20a916ecfp-17, -0x1.2b1390ccd64f1p-17, -0x1.284d9d862fa54p-17, -0x1.2589523973212p-17, -0x1.22c6ba1833906p-17, -0x1.2005e0226c5bap-17, -0x1.1d46cf25fc5cbp-17, -0x1.1a8991bf3646p-17, -0x1.17ce3259d7124p-17, -0x1.1514bb30bc601p-17, -0x1.125d364edfa34p-17, -0x1.0fa7ad8f172a5p-17, -0x1.0cf42a9cff025p-17, -0x1.0a42b6f54635ep-17, -0x1.07935be6394bcp-17, -0x1.04e6228f9d622p-17, -0x1.023b13e33f49dp-17, -0x1.ff24714c0c20dp-18, -0x1.f9d732deddb1cp-18, -0x1.f48e7d54ca0fcp-18, -0x1.ef4a612b43566p-18, -0x1.ea0aee88c74f3p-18, -0x1.e4d0353c025f4p-18, -0x1.df9a44bd94e9dp-18, -0x1.da692c31056dcp-18, -0x1.d53cfa65c5149p-18, -0x1.d015bdd6fe1f5p-18, -0x1.caf384acba2fp-18, -0x1.c5d65cbd8bfbfp-18, -0x1.c0be538d56e4cp-18, -0x1.bbab76507b29ep-18, -0x1.b69dd1eb6414p-18, -0x1.b19572f2e39c2p-18, -0x1.ac9265ae36a3fp-18, -0x1.a794b61669e4cp-18, -0x1.a29c6fd769729p-18, -0x1.9da99e51f7fc2p-18, -0x1.98bc4c9b1cf2dp-18, -0x1.93d4857d3f021p-18, -0x1.8ef2537991d29p-18, -0x1.8a15c0c866753p-18, -0x1.853ed758dcb32p-18, -0x1.806da0d324173p-18, -0x1.7ba22699386eep-18, -0x1.76dc71c66be7p-18, -0x1.721c8b30bf31dp-18, -0x1.6d627b6a8caefp-18, -0x1.68ae4ac1da546p-18, -0x1.6400014163b77p-18, -0x1.5f57a6b2530b7p-18, -0x1.5ab5429bdb186p-18, -0x1.5618dc44dd33bp-18, -0x1.51827ab3927e1p-18, -0x1.4cf224aeccfa3p-18, -0x1.4867e0bfad156p-18, -0x1.43e3b53050b6ap-18, -0x1.3f65a80db2487p-18, -0x1.3aedbf2936316p-18, -0x1.367c001845a87p-18, -0x1.32107034339d6p-18, -0x1.2dab149d9071p-18, -0x1.294bf239dffc8p-18, -0x1.24f30db5ef5b7p-18, -0x1.20a06b86c6bf1p-18, -0x1.1c540fe9fc272p-18, -0x1.180dfee5474cp-18, -0x1.13ce3c48c7d8p-18, -0x1.0f94cbaf3d527p-18, -0x1.0b61b07e24cf6p-18, -0x1.0734ede705443p-18, -0x1.030e86e7ce119p-18, -0x1.fddcfc97b7b9dp-19, -0x1.f5a9ad56bafd8p-19, -0x1.ed8324dbcc15p-19, -0x1.e5696793f0b9p-19, -0x1.dd5c798b13eabp-19, -0x1.d55c5e6dabebcp-19, -0x1.cd69198c6d5e9p-19, -0x1.c582add86f384p-19, -0x1.bda91de8a2f9dp-19, -0x1.b5dc6bfa92ebcp-19, -0x1.ae1c99f215728p-19, -0x1.a669a95b1757fp-19, -0x1.9ec39b6c32259p-19, -0x1.972a710531fc3p-19, -0x1.8f9e2ab3502bfp-19, -0x1.881ec8b0f7d3dp-19, -0x1.80ac4ae5916cbp-19, -0x1.7946b0e9caa34p-19, -0x1.71edfa06ae9b9p-19, -0x1.6aa22536c752bp-19, -0x1.636331282ff74p-19, -0x1.5c311c3d0f1edp-19, -0x1.550be48d7d4e6p-19, -0x1.4df387e782186p-19, -0x1.46e803d1589bep-19, -0x1.3fe9558ad8f55p-19, -0x1.38f77a0b6b16bp-19, -0x1.32126e091038p-19, -0x1.2b3a2df3513a9p-19, -0x1.246eb5f7288c3p-19, -0x1.1db0020203badp-19, -0x1.16fe0dbebf929p-19, -0x1.1058d498e9adfp-19, -0x1.09c051bf3a914p-19, -0x1.0334802160284p-19, -0x1.f96ab4e77a02ep-20, -0x1.ec85b65d1ba7p-20, -0x1.dfb9f9201edd9p-20, -0x1.d307713d8b155p-20, -0x1.c66e124e6db3fp-20, -0x1.b9edcf7d05a43p-20, -0x1.ad869b8a09681p-20, -0x1.a13868c9a618dp-20, -0x1.95032927796fp-20, -0x1.88e6ce2969406p-20, -0x1.7ce348f04f496p-20, -0x1.70f88a3a0499ep-20, -0x1.65268262c387cp-20, -0x1.596d216aa1a2ep-20, -0x1.4dcc56ef52e9p-20, -0x1.42441238f2eaep-20, -0x1.36d442311e9fdp-20, -0x1.2b7cd56b2ff05p-20, -0x1.203dba27cdabap-20, -0x1.1516de4d9d7e6p-20, -0x1.0a082f73ef1a2p-20, -0x1.fe2335c3cc389p-21, -0x1.e8661b1b7b56ap-21, -0x1.d2d8e840a850cp-21, -0x1.bd7b75ef0cc9cp-21, -0x1.a84d9c4f616b7p-21, -0x1.934f32f67cda2p-21, -0x1.7e8010e9f3861p-21, -0x1.69e00cab060aep-21, -0x1.556efc2dfb935p-21, -0x1.412cb4e43316cp-21, -0x1.2d190bbe7e8f1p-21, -0x1.1933d52fec2a9p-21, -0x1.057ce52e7d9cfp-21, -0x1.e3e81e7587bbbp-22, -0x1.bd324cb9dac2bp-22, -0x1.96d7fa5c37bdp-22, -0x1.70d8cbad1cc1ep-22, -0x1.4b34642348279p-22, -0x1.25ea6662f490ap-22, -0x1.00fa7445d4d22p-22, -0x1.b8c85da7e0aedp-23, -0x1.704e6cc8dd69bp-23, -0x1.288654f8324c2p-23, -0x1.c2dea7d7a186ap-24, -0x1.36114be14cf64p-24, -0x1.554617d6fd2f3p-25, -0x1.0492d89b3eed8p-27, 0x1.a089575ec51b9p-26, 0x1.def9313cbdd77p-25, 0x1.757e017b746ep-24, 0x1.fa2826e9c98fep-24, 0x1.3ebe50c885623p-23, 0x1.7fbe8637cb478p-23, 0x1.c01582345a7fcp-23, 0x1.ffc414433d9bap-23, 0x1.1f65866c067bp-22, 0x1.3e959eaf54f81p-22, 0x1.5d72bc0fffa71p-22, 0x1.7bfd4824c1af1p-22, 0x1.9a35acea47bf2p-22, 0x1.b81c54cd14cb1p-22, 0x1.d5b1aa90646eep-22, 0x1.f2f6195997a9ep-22, 0x1.07f5065470a5fp-21, 0x1.1646f826b6e34p-21, 0x1.24711838b2e4ap-21, 0x1.32739cc250ee5p-21, 0x1.404ebc20d80f3p-21, 0x1.4e02acd53e652p-21, 0x1.5b8fa58017903p-21, 0x1.68f5dcde44d72p-21, 0x1.763589d11d52ep-21, 0x1.834ee34c6f171p-21, 0x1.904220619d109p-21, 0x1.9d0f783aad1d8p-21, 0x1.a9b722147552ep-21, 0x1.b639553f0da9fp-21, 0x1.c296492267c07p-21, 0x1.cece352fecdffp-21, 0x1.dae150ecebb27p-21, 0x1.e6cfd3e8ba705p-21, 0x1.f299f5c0ffc41p-21, 0x1.fe3fee1b1de93p-21, 0x1.04e0fa53b8f6dp-20, 0x1.0a90208cde82ep-20, 0x1.102d85981d822p-20, 0x1.15b94552a89b5p-20, 0x1.1b337b9fa295ap-20, 0x1.209c445f234e7p-20, 0x1.25f3bb72dd13dp-20, 0x1.2b39fcba9bab4p-20, 0x1.306f24152523dp-20, 0x1.35934d5eae622p-20, 0x1.3aa69470c8ae5p-20, 0x1.3fa915206c2e5p-20, 0x1.449aeb40a8317p-20, 0x1.497c329c9c947p-20, 0x1.4e4d06fc7cf5p-20, 0x1.530d8421bcb61p-20, 0x1.57bdc5c57119dp-20, 0x1.5c5de79bf96ddp-20, 0x1.60ee0550614c3p-20, 0x1.656e3a8470bfep-20, 0x1.69dea2d3c8efbp-20, 0x1.6e3f59cd7934dp-20, 0x1.72907af8298e5p-20, 0x1.76d221cf636b1p-20, 0x1.7b0469c40f54fp-20, 0x1.7f276e3a7acedp-20, 0x1.833b4a8bcf07bp-20, 0x1.87401a03f7979p-20, 0x1.8b35f7e1de739p-20, 0x1.8f1cff573ca85p-20, 0x1.92f54b884193fp-20, 0x1.96bef788335c5p-20, 0x1.9a7a1e5e0a5f1p-20, 0x1.9e26db008f605p-20, 0x1.a1c548552a047p-20, 0x1.a5558133ef983p-20, 0x1.a8d7a061484b5p-20, 0x1.ac4bc093871dep-20, 0x1.afb1fc6c89572p-20, 0x1.b30a6e7f2bdcbp-20, 0x1.b655314a166b5p-20, 0x1.b9925f399a0dbp-20, 0x1.bcc212a84260dp-20, 0x1.bfe465dc7e0f2p-20, 0x1.c2f97307ec1c9p-20, 0x1.c601544b604e9p-20, 0x1.c8fc23af2d5eep-20, 0x1.cbe9fb2abccecp-20, 0x1.cecaf49f2e508p-20, 0x1.d19f29d70a889p-20, 0x1.d466b488b516cp-20, 0x1.d721ae538d06p-20, 0x1.d9d030c306021p-20, 0x1.dc725549cc56cp-20, 0x1.df083545b9344p-20, 0x1.e191e9fababa4p-20, 0x1.e40f8c99391e8p-20, 0x1.e6813636eeae8p-20, 0x1.e8e6ffd37a069p-20, 0x1.eb41025634ab2p-20, 0x1.ed8f568da09cap-20, 0x1.efd2153082cfp-20, 0x1.f20956dd57a8ap-20, 0x1.f4353417dfd1ep-20, 0x1.f655c54ce40cfp-20, 0x1.f86b22ce523cfp-20, 0x1.fa7564d4e7facp-20, 0x1.fc74a3808597cp-20, 0x1.fe68f6d558edbp-20, 0x1.00293b601ddap-19, 0x1.01189d87c24bap-19, 0x1.0202adbe835abp-19, 0x1.02e777d0dd4ep-19, 0x1.03c70780c0dbbp-19, 0x1.04a1688074dd7p-19, 0x1.0576a6754d86cp-19, 0x1.0646ccf858c17p-19, 0x1.0711e792e94fbp-19, 0x1.07d801c2ba54fp-19, 0x1.089926f5d2248p-19, 0x1.0955628dd2cep-19, 0x1.0a0cbfdd10c0ap-19, 0x1.0abf4a29896a3p-19, 0x1.0b6d0ca94d7dap-19, 0x1.0c1612866230bp-19, 0x1.0cba66db00dap-19, 0x1.0d5a14b4498a5p-19, 0x1.0df52710de389p-19, 0x1.0e8ba8e08967cp-19, 0x1.0f1da50608703p-19, 0x1.0fab265466bbcp-19, 0x1.1034379132b46p-19, 0x1.10b8e37389ec4p-19, 0x1.113934a3694bap-19, 0x1.11b535bb8c1b1p-19, 0x1.122cf146ac276p-19, 0x1.12a071c2c75abp-19, 0x1.130fc19d66d8bp-19, 0x1.137aeb37c31b1p-19, 0x1.13e1f8e20c424p-19, 0x1.1444f4dfe4164p-19, 0x1.14a3e96504409p-19, 0x1.14fee096fbe72p-19, 0x1.1555e48d82aecp-19, 0x1.15a8ff4fecc0ep-19, 0x1.15f83ad9051efp-19, 0x1.1643a112ae257p-19, 0x1.168b3bda11302p-19, 0x1.16cf14fc4bbebp-19, 0x1.170f3638ad9c9p-19, 0x1.174ba93f20be7p-19, 0x1.178477b1c164bp-19, 0x1.17b9ab2310f04p-19, 0x1.17eb4d17d6138p-19, 0x1.1819670548291p-19, 0x1.184402529046cp-19, 0x1.186b2857de9f3p-19, 0x1.188ee25ec7e4fp-19, 0x1.18af39a27367fp-19, 0x1.18cc374f130abp-19, 0x1.18e5e4828e773p-19, 0x1.18fc4a4bf6772p-19, 0x1.190f71abcd029p-19, 0x1.191f63941a946p-19, 0x1.192c28e889d55p-19, 0x1.1935ca7e0bf44p-19, 0x1.193c511acbf77p-19, 0x1.193fc57666a6dp-19, 0x1.1940303a70dd5p-19, 0x1.193d9a024f2e3p-19, 0x1.19380b5a0e2bep-19, 0x1.192f8cc093e0fp-19, 0x1.192426a4754fp-19, 0x1.1915e16855eb9p-19, 0x1.1904c55e038d2p-19, 0x1.18f0dacb3d17cp-19, 0x1.18da29e5c3695p-19, 0x1.18c0bad640fbcp-19, 0x1.18a495b6b5386p-19, }}, 
      {{-0x1.45fab5f59ebcdp-7, -0x1.44f8ff08f189ap-6, -0x1.e4f6e124ce7f1p-6, -0x1.4102e31b0f43ep-5, -0x1.8da1c5fbba1bfp-5, -0x1.d7f03b0e1b96p-5, -0x1.0fc85ffdde77dp-4, -0x1.3218718d3b274p-4, -0x1.52c4c99952e21p-4, -0x1.71af8d926c7eap-4, -0x1.8ec06d435bfep-4, -0x1.a9e4659de9c64p-4, -0x1.c30d7126a2072p-4, -0x1.da322c1903abdp-4, -0x1.ef4d714d46fe6p-4, -0x1.012ef9f3902dbp-3, -0x1.09b2ec7656154p-3, -0x1.1135298e1a7fap-3, -0x1.17b9a157d8901p-3, -0x1.1d456d1a45f0bp-3, -0x1.21dea498f2076p-3, -0x1.258c3681e7dd3p-3, -0x1.2855c40978537p-3, -0x1.2a437fb068998p-3, -0x1.2b5e0f20471bcp-3, -0x1.2bae6ffe3101cp-3, -0x1.2b3ddf8ce1157p-3, -0x1.2a15c4f29c74bp-3, -0x1.283f9df557705p-3, -0x1.25c4edfef0f69p-3, -0x1.22af2f3c013b1p-3, -0x1.1f07c5a919073p-3, -0x1.1ad7f3e4374cep-3, -0x1.1628d19a72d07p-3, -0x1.1103436c2afe8p-3, -0x1.0b6ff4248ef96p-3, -0x1.05774f23a0eaap-3, -0x1.fe42f7b878b38p-4, -0x1.f0ecb493ee3fap-4, -0x1.e2fb00896c89ap-4, -0x1.d47c6f340ed42p-4, -0x1.c57ef9abfb0edp-4, -0x1.b60ffd4ea9ec5p-4, -0x1.a63c3b982daf6p-4, -0x1.960fdaeb50e7p-4, -0x1.859668291c509p-4, -0x1.74dad8fb21ec1p-4, -0x1.63e78eb65a68fp-4, -0x1.52c659bec9a04p-4, -0x1.41807d563fa5fp-4, -0x1.301eb3c29e613p-4, -0x1.1ea932b9ea1e6p-4, -0x1.0d27b00433045p-4, -0x1.f742cc8a073f8p-5, -0x1.d43a33bf22f68p-5, -0x1.b1423bd4915fcp-5, -0x1.8e66b24f6206bp-5, -0x1.6bb295f79ad96p-5, -0x1.493020ac8ebc1p-5, -0x1.26e8d11575b64p-5, -0x1.04e57422dca9bp-5, -0x1.c65c5cae8f5ffp-6, -0x1.8395099de8c81p-6, -0x1.4182cc0061384p-6, -0x1.0032645dfd019p-6, -0x1.7f5f0e3fe1a5cp-7, -0x1.0009d85e199c9p-7, -0x1.04f1779ac9eabp-8, -0x1.af63ad1453913p-13, 0x1.cc5df0a41f9abp-9, 0x1.d5ef772db3f44p-8, 0x1.60d5f7779d577p-7, 0x1.d4a6519ca027p-7, 0x1.232f17f4efb05p-6, 0x1.5afa13de46adap-6, 0x1.91aff54522e58p-6, 0x1.c74d19d712407p-6, 0x1.fbce5bac0df6bp-6, 0x1.179884a493a5ap-5, 0x1.30b96f13fb226p-5, 0x1.4948fdde2082fp-5, 0x1.61467178bf042p-5, 0x1.78b1370cc742ep-5, 0x1.8f88e5a32c2p-5, 0x1.a5cd3b83e74e5p-5, 0x1.bb7e1bc415198p-5, 0x1.d09b8c0024dc2p-5, 0x1.e525b23f224a5p-5, 0x1.f91cd2fc404e1p-5, 0x1.0640a7a9f4d24p-4, 0x1.0fa9d1a8db9b6p-4, 0x1.18ca322e66f73p-4, 0x1.21a21fe021247p-4, 0x1.2a31fca6a29a9p-4, 0x1.327a350a7cf73p-4, 0x1.3a7b3f9bfc354p-4, 0x1.42359c64d0af7p-4, 0x1.49a9d462c00bp-4, 0x1.50d8790a90ap-4, 0x1.57c223d26f163p-4, 0x1.5e6775c3187bfp-4, 0x1.64c9170f29cffp-4, 0x1.6ae7b6affc48ap-4, 0x1.70c40a0782529p-4, 0x1.765ecc86ad76cp-4, 0x1.7bb8bf57e36cdp-4, 0x1.80d2a90d20b5cp-4, 0x1.85ad555169931p-4, 0x1.8a49949d34075p-4, 0x1.8ea83bed83cep-4, 0x1.92ca247d702ap-4, 0x1.96b02b81de3c3p-4, 0x1.9a5b31e7381e7p-4, 0x1.9dcc1c10f62ffp-4, 0x1.a103d19acf4cp-4, 0x1.a4033d1b74d3dp-4, 0x1.a6cb4be8b0d9ep-4, 0x1.a95ceddce262cp-4, 0x1.abb9151dabc0dp-4, 0x1.ade0b5e3d4cc9p-4, 0x1.afd4c6444bdep-4, 0x1.b1963dfa3935fp-4, 0x1.b32616321c0bdp-4, 0x1.b4854955fbcdcp-4, 0x1.b5b4d2da8a646p-4, 0x1.b6b5af0d539f2p-4, 0x1.b788dae3ef3c2p-4, 0x1.b82f53cc22307p-4, 0x1.b8aa177d196a3p-4, 0x1.b8fa23c993d3ep-4, 0x1.b9207673224bep-4, 0x1.b91e0cfe6a37bp-4, 0x1.b8f3e4887701cp-4, 0x1.b8a2f99d218d3p-4, 0x1.b82c480e8693cp-4, 0x1.b790cacd9d87ep-4, 0x1.b6d17bc3e72d7p-4, 0x1.b5ef53ae43bedp-4, 0x1.b4eb49f8e7d36p-4, 0x1.b3c6549c7fdaep-4, 0x1.b28167fc741ccp-4, 0x1.b11d76c664188p-4, 0x1.af9b71d2ceba5p-4, 0x1.adfc4806e59fep-4, 0x1.ac40e6379b44dp-4, 0x1.aa6a370ddfc42p-4, 0x1.a87922ec14fb7p-4, 0x1.a66e8fd4a6b6dp-4, 0x1.a44b6151f2de3p-4, 0x1.a210785f45d62p-4, 0x1.9fbeb353170dap-4, 0x1.9d56edca75e4ap-4, 0x1.9ada009593908p-4, 0x1.9848c1a58bc5bp-4, 0x1.95a403fb410d3p-4, 0x1.92ec9797661a4p-4, 0x1.9023496ba41e6p-4, 0x1.8d48e34cdb1e5p-4, 0x1.8a5e2be679d11p-4, 0x1.8763e6aee686ap-4, 0x1.845ad3dcf5bf5p-4, 0x1.8143b05e67963p-4, 0x1.7e1f35cf67133p-4, 0x1.7aee1a730595p-4, 0x1.77b1112cae481p-4, 0x1.7468c97a87763p-4, 0x1.7115ef70bf929p-4, 0x1.6db92bb5bd35dp-4, 0x1.6a53237f2d4bp-4, 0x1.66e4788fe727ep-4, 0x1.636dc936a0f05p-4, 0x1.5fefb04d6d677p-4, 0x1.5c6ac539fcda2p-4, 0x1.58df9bee99eb7p-4, 0x1.554ec4ebdab39p-4, 0x1.51b8cd4301432p-4, 0x1.4e1e3e9903cep-4, 0x1.4a7f9f2a35744p-4, 0x1.46dd71ce8925ep-4, 0x1.433835fe67f3ap-4, 0x1.3f9067d816927p-4, 0x1.3be680259dc2p-4, 0x1.383af463361d2p-4, 0x1.348e36c62b8a5p-4, 0x1.30e0b64436041p-4, 0x1.2d32de9b3e0a4p-4, 0x1.298518598939ap-4, 0x1.25d7c8e64885fp-4, 0x1.222b528a821b8p-4, 0x1.1e80147a4ed1dp-4, 0x1.1ad66ade6c685p-4, 0x1.172eaede167c8p-4, 0x1.138936a926bf7p-4, 0x1.0fe6558275bb1p-4, 0x1.0c465bca76872p-4, 0x1.08a9970a0852cp-4, 0x1.051051fd7b4cbp-4, 0x1.017ad49fc04b4p-4, 0x1.fbd2c86b85599p-5, 0x1.f4b886b3cb839p-5, 0x1.eda7640f44762p-5, 0x1.e69fdb4e7f7c1p-5, 0x1.dfa262334b09p-5, 0x1.d8af6988808c4p-5, 0x1.d1c75d39f0fb6p-5, 0x1.caeaa46c6ab3p-5, 0x1.c419a195d0eeap-5, 0x1.bd54b29544d85p-5, 0x1.b69c30cb4fa61p-5, 0x1.aff0713210f1p-5, 0x1.a951c47567106p-5, 0x1.a2c0770b0a708p-5, 0x1.9c3cd14a9f0f6p-5, 0x1.95c71785a8c59p-5, 0x1.8f5f8a1f6df75p-5, 0x1.890665a4b7166p-5, 0x1.82bbe2e36e79dp-5, 0x1.7c8037021764bp-5, 0x1.765393971f67ep-5, 0x1.703626bffb569p-5, 0x1.6a281b381a025p-5, 0x1.6429986f9bdb2p-5, 0x1.5e3ac2a1d83f1p-5, 0x1.585bbaeba7addp-5, 0x1.528c9f616c30ap-5, 0x1.4ccd8b24e285ap-5, 0x1.471e967aa858bp-5, 0x1.417fd6df88c97p-5, 0x1.3bf15f1d78b89p-5, 0x1.36733f6053bffp-5, 0x1.3105854a4ab4cp-5, 0x1.2ba83c080a637p-5, 0x1.265b6c6493d5p-5, 0x1.211f1cdccb0b3p-5, 0x1.1bf351b2afe3ep-5, 0x1.16d80d0051515p-5, 0x1.11cd4eca66da9p-5, 0x1.0cd31512a038bp-5, 0x1.07e95be99e662p-5, 0x1.03101d809dddfp-5, 0x1.fc8ea47596b7ap-6, 0x1.f31de17c90129p-6, 0x1.e9cddc09b1bf9p-6, 0x1.e09e7ad8881f9p-6, 0x1.d78fa18cb3397p-6, 0x1.cea130d154b04p-6, 0x1.c5d30677d423p-6, 0x1.bd24fd95fcc5fp-6, 0x1.b496eea37bf3bp-6, 0x1.ac28af96b2a2ap-6, 0x1.a3da1400e93a5p-6, 0x1.9baaed29d9d22p-6, 0x1.939b0a2a9eebcp-6, 0x1.8baa3807fc1c4p-6, 0x1.83d841cc09148p-6, 0x1.7c24f09f3cedp-6, 0x1.74900be0dea2p-6, 0x1.6d19593ed3029p-6, 0x1.65c09cccda5ep-6, 0x1.5e85991b2dcp-6, 0x1.57680f4c8867ap-6, 0x1.5067bf2b9c0e8p-6, 0x1.4984673fee9a3p-6, 0x1.42bdc4e22bc47p-6, 0x1.3c13944fe5198p-6, 0x1.358590bebee5p-6, 0x1.2f13746f1a3b3p-6, 0x1.28bcf8be2f757p-6, 0x1.2281d637a192dp-6, 0x1.1c61c4a68eb5fp-6, 0x1.165c7b261c57fp-6, 0x1.1071b0317c5f3p-6, 0x1.0aa119b380ebcp-6, 0x1.04ea6d15a1fep-6, 0x1.fe9abe9d2945ap-7, 0x1.f39349e0cc8d8p-7, 0x1.e8bde46c3c97ep-7, 0x1.de19f621df7a3p-7, 0x1.d3a6e669edca5p-7, 0x1.c9641c4b0e071p-7, 0x1.bf50fe8215dcbp-7, 0x1.b56cf398f6e5bp-7, 0x1.abb761fcd1472p-7, 0x1.a22fb01341445p-7, 0x1.98d5444ee0c1p-7, 0x1.8fa78542fb49bp-7, 0x1.86a5d9b68f5ebp-7, 0x1.7dcfa8b68246p-7, 0x1.752459a72f33p-7, 0x1.6ca354552e952p-7, 0x1.644c010574847p-7, 0x1.5c1dc884cebdp-7, 0x1.54181436a49b9p-7, 0x1.4c3a4e2324bc1p-7, 0x1.4483e104ce13p-7, 0x1.3cf4385558dd5p-7, 0x1.358ac05a0d56fp-7, 0x1.2e46e62f80e57p-7, 0x1.272817d4c933p-7, 0x1.202dc4361d0f1p-7, 0x1.19575b36f2fc1p-7, 0x1.12a44dbb912cdp-7, 0x1.0c140db22791p-7, 0x1.05a60e1b62c64p-7, 0x1.feb38625115a7p-8, 0x1.f25d43aa3e64ap-8, 0x1.e648419439745p-8, 0x1.da736f1155d7cp-8, 0x1.ceddbdbcf408dp-8, 0x1.c38621ab5a497p-8, 0x1.b86b9174be15dp-8, 0x1.ad8d063f876dfp-8, 0x1.a2e97bc9d07f3p-8, 0x1.987ff07233698p-8, 0x1.8e4f653fd8554p-8, 0x1.8456dde9dd773p-8, 0x1.7a9560de0e986p-8, 0x1.7109f747040ecp-8, 0x1.67b3ad11976aep-8, 0x1.5e9190f1c57fep-8, 0x1.55a2b466fb847p-8, 0x1.4ce62bbfd60f7p-8, 0x1.445b0e1d5e092p-8, 0x1.3c007575aba5ap-8, 0x1.33d57e962379ep-8, 0x1.2bd9492527ac8p-8, 0x1.240af7a35727p-8, 0x1.1c69af6c5f90cp-8, 0x1.14f498b75490ep-8, 0x1.0daade96af3e2p-8, 0x1.068baef7d7e6ap-8, 0x1.ff2c7544b00b6p-9, 0x1.f1936a6d605e3p-9, 0x1.e44aaa599029ep-9, 0x1.d750a7a433bfap-9, 0x1.caa3da8efc37p-9, 0x1.be42c0fd5bc8cp-9, 0x1.b22bde6ef61b9p-9, 0x1.a65dbbf97fe3p-9, 0x1.9ad6e84218836p-9, 0x1.8f95f7760b263p-9, 0x1.849983433d9d8p-9, 0x1.79e02ad009896p-9, 0x1.6f6892b29c73bp-9, 0x1.653164e814eeep-9, 0x1.5b3950cb1bf98p-9, 0x1.517f0b0a1cfddp-9, 0x1.48014d9d39235p-9, 0x1.3ebed7bbcd6a4p-9, 0x1.35b66dd1bfeaep-9, 0x1.2ce6d9746a912p-9, 0x1.244ee95754dep-9, 0x1.1bed714091e64p-9, 0x1.13c149fcf267ep-9, 0x1.0bc951540044ep-9, 0x1.040469fbb8201p-9, 0x1.f8e2f7181f7fbp-10, 0x1.ea1ee4e4a8f08p-10, 0x1.dbba7fc8cf9d3p-10, 0x1.cdb3b3a787a2dp-10, 0x1.c00875c0c0f3fp-10, 0x1.b2b6c49717166p-10, 0x1.a5bca7d4fe45fp-10, 0x1.9918303203bb8p-10, 0x1.8cc77757c2846p-10, 0x1.80c89fc6aa303p-10, 0x1.7519d4bab37b4p-10, 0x1.69b94a0fe00ep-10, 0x1.5ea53c26b91c2p-10, 0x1.53dbefc8c1a19p-10, 0x1.495bb20cbcb5cp-10, 0x1.3f22d83b00425p-10, 0x1.352fbfb1aef3ep-10, 0x1.2b80cdc925f62p-10, 0x1.22146fb8109cfp-10, 0x1.18e91a77edc53p-10, 0x1.0ffd4aa941e41p-10, 0x1.074f847816c6cp-10, 0x1.fdbca700fd2b4p-11, 0x1.ed509566243a2p-11, 0x1.dd5808734b294p-11, 0x1.cdd042b809e22p-11, 0x1.beb694c9b8ecap-11, 0x1.b0085d0d7e3e4p-11, 0x1.a1c307828a3a3p-11, 0x1.93e40d8cb7ffp-11, 0x1.8668f5bf605edp-11, 0x1.794f53a8c3f01p-11, 0x1.6c94c79d6dafep-11, 0x1.6036fe844cf04p-11, 0x1.5433b1a2e75e6p-11, 0x1.4888a66a20c7fp-11, 0x1.3d33ae43501cap-11, 0x1.3232a65dd697p-11, 0x1.2783777cfb20cp-11, 0x1.1d2415c659a7bp-11, 0x1.13128090c343bp-11, 0x1.094cc2337dd6fp-11, 0x1.ffa1dfac2555ap-12, 0x1.ed3a5280ed58dp-12, 0x1.db5f3157c8a6fp-12, 0x1.ca0ce527cdb41p-12, 0x1.b93feb1048cfap-12, 0x1.a8f4d3fd40861p-12, 0x1.9928444caccd8p-12, 0x1.89d6f374e5d85p-12, 0x1.7afdabac2f154p-12, 0x1.6c9949914524bp-12, 0x1.5ea6bbd4d9248p-12, 0x1.512302e400faep-12, 0x1.440b309425899p-12, 0x1.375c67cf78e23p-12, 0x1.2b13dc42dbfap-12, 0x1.1f2ed20ca6e5p-12, 0x1.13aa9d6c8be4cp-12, 0x1.0884a27498e51p-12, 0x1.fb74a97639b4p-13, 0x1.e6926e1be9ea5p-13, 0x1.d25db64d06604p-13, 0x1.bed1c2bdd79a6p-13, 0x1.abe9f0d115e38p-13, 0x1.99a1ba0634af5p-13, 0x1.87f4b36a6471fp-13, 0x1.76de8d0b55063p-13, 0x1.665b116c76b08p-13, 0x1.566624fdaf20cp-13, 0x1.46fbc5950a43bp-13, 0x1.381809e960fa3p-13, 0x1.29b721102c42ep-13, 0x1.1bd551fc7a6cdp-13, 0x1.0e6efb00af752p-13, 0x1.0180915187da9p-13, 0x1.ea0d41177c28fp-14, 0x1.d1fb9476ea32ep-14, 0x1.bac58acaca85p-14, 0x1.a464bc24db568p-14, 0x1.8ed2e9b916accp-14, 0x1.7a09fcfd30adcp-14, 0x1.660406c954cdap-14, 0x1.52bb3e7fad31ap-14, 0x1.402a0134c85f5p-14, 0x1.2e4ad0de29298p-14, 0x1.1d185382f591ap-14, 0x1.0c8d5270c23dcp-14, 0x1.f94972e808ad8p-15, 0x1.dab32c2804b6p-15, 0x1.bd4e2da4692bep-15, 0x1.a11114db7ddc4p-15, 0x1.85f2be527eac8p-15, 0x1.6bea44296d53bp-15, 0x1.52eefcb6b7b8p-15, 0x1.3af87925fae51p-15, 0x1.23fe8421f140dp-15, 0x1.0df92080f63e1p-15, 0x1.f1c10ff401a84p-16, 0x1.c95a53bf43aaep-16, 0x1.a2af53c0c8c0fp-16, 0x1.7db1bd9d929e9p-16, 0x1.5a53a2dc00ed8p-16, 0x1.38877689bb39ap-16, 0x1.18400aefe53aap-16, 0x1.f2e11e9ede312p-17, 0x1.b8191b5532616p-17, 0x1.800fd1339574dp-17, 0x1.4aadb25832f69p-17, 0x1.17dbd9a1cc66ap-17, 0x1.cf080d3812006p-18, 0x1.73213303528cp-18, 0x1.1bd91e9b999e7p-18, 0x1.920df7addb3f4p-19, 0x1.ea0c837d54b61p-20, 0x1.813836d4d01a2p-21, -0x1.632bd46966fa4p-22, -0x1.62ba076240389p-20, -0x1.2edf1ebe7edcbp-19, -0x1.a5304e81abf49p-19, -0x1.0a498a7666331p-18, -0x1.3ea3fff404d6p-18, -0x1.6fc6db02f0e49p-18, -0x1.9dd0817790d9dp-18, -0x1.c8de71b74c4bap-18, -0x1.f10d48ac5201ep-18, -0x1.0b3c63c66fbd2p-17, -0x1.1c9decc5d618dp-17, -0x1.2cb84caf8202fp-17, -0x1.3b982b55efa4dp-17, -0x1.4949cda9876a9p-17, -0x1.55d91852289b9p-17, -0x1.615192320d9e8p-17, -0x1.6bbe66e3c7d7ep-17, -0x1.752a692307007p-17, -0x1.7da0152a95136p-17, -0x1.8529930175687p-17, -0x1.8bd0b8bfdb94p-17, -0x1.919f0cbf05f4dp-17, -0x1.969dc7c3307d5p-17, -0x1.9ad5d714ae1fp-17, -0x1.9e4fde8d031cfp-17, -0x1.a1143a993901ep-17, -0x1.a32b022d86f11p-17, -0x1.a49c08b114083p-17, -0x1.a56edfd732ec1p-17, -0x1.a5aad9760d9c7p-17, -0x1.a5570949b16c7p-17, -0x1.a47a46b43bfe6p-17, -0x1.a31b2e6b9cccap-17, -0x1.a1402420e494p-17, -0x1.9eef541f1329ap-17, -0x1.9c2eb4db257f2p-17, -0x1.9904087cc3becp-17, -0x1.9574de5da40f4p-17, -0x1.9186947ecb457p-17, -0x1.8d3e58f4a645ap-17, -0x1.88a12b4a42b29p-17, -0x1.83b3ddd981d5dp-17, -0x1.7e7b171fe513ep-17, -0x1.78fb5303f0802p-17, -0x1.7338e41717223p-17, -0x1.6d37f4cef8f96p-17, -0x1.66fc88b458045p-17, -0x1.608a7d8c6f03ap-17, -0x1.59e58c7977645p-17, -0x1.53114b1484d7ap-17, -0x1.4c112c7fabfa8p-17, -0x1.44e88270ecf79p-17, -0x1.3d9a7e358af18p-17, -0x1.362a31b10518dp-17, -0x1.2e9a905176eddp-17, -0x1.26ee7001a191bp-17, -0x1.1f288a1167e3cp-17, -0x1.174b7c1a7a3d1p-17, -0x1.0f59c8dc081ccp-17, -0x1.0755d912967f1p-17, -0x1.fe83f896abb73p-18, -0x1.ee40d35b6b3bdp-18, -0x1.dde68187f35e2p-18, -0x1.cd7914744ba8cp-18, -0x1.bcfc71387d6afp-18, -0x1.ac7452145c50fp-18, -0x1.9be447d698d23p-18, -0x1.8b4fbb3426752p-18, -0x1.7ab9ee18083b2p-18, -0x1.6a25fcea8c7aep-18, -0x1.5996dfce4ab2ap-18, -0x1.490f6bd30b629p-18, -0x1.3892542473016p-18, -0x1.28222b2956f3dp-18, -0x1.17c163a0a88ddp-18, -0x1.077251b4ed3e6p-18, -0x1.ee6e5808603e3p-19, -0x1.ce24194e7d011p-19, -0x1.ae09e45482f15p-19, -0x1.8e23810482cdbp-19, -0x1.6e7483f541e3bp-19, -0x1.4f0050386d3dep-19, -0x1.2fca1914d7a65p-19, -0x1.10d4e3be54092p-19, -0x1.e44711eb44bbcp-20, -0x1.a7716d4e427d2p-20, -0x1.6b2de2e2a65f7p-20, -0x1.2f812c53f0533p-20, -0x1.e8df6d473efe2p-21, -0x1.73fb49f594807p-21, -0x1.005da6d66ca57p-21, -0x1.1c1b664ec10ddp-22, -0x1.d121a6dbf7aa1p-25, 0x1.4a3bda393b139p-23, 0x1.819f99d1b8faep-22, 0x1.2dab2aecac026p-21, 0x1.991c4393291dap-21, 0x1.018f5b08ab9f4p-20, 0x1.35d744cb23511p-20, 0x1.6964149a58f76p-20, 0x1.9c342febf08dfp-20, 0x1.ce462a32a6edcp-20, 0x1.ff98c300b6d24p-20, 0x1.1815721aabbcdp-19, 0x1.2ffdd01e53ef6p-19, 0x1.4785182cfc90ep-19, 0x1.5eaaf983772cep-19, 0x1.756f352cd335ap-19, 0x1.8bd19d3dc86a8p-19, 0x1.a1d21417dfb11p-19, 0x1.b7708baeb8a6dp-19, 0x1.ccad04d90967ap-19, 0x1.e1878ea1b3156p-19, 0x1.f60045a39a6e3p-19, 0x1.050ba9b492431p-18, 0x1.0ee676e7dc87cp-18, 0x1.1890ab3980adfp-18, 0x1.220a6d0e831f7p-18, 0x1.2b53e81c99593p-18, 0x1.346d4d272f17dp-18, 0x1.3d56d1be24cc3p-18, 0x1.4610afff6dea9p-18, 0x1.4e9b2659a1ap-18, 0x1.56f67752cd0aap-18, 0x1.5f22e94f42907p-18, 0x1.6720c65b9aeb8p-18, 0x1.6ef05bf8b990fp-18, 0x1.7691fae9693bp-18, 0x1.7e05f700b17d9p-18, 0x1.854ca6f5150a9p-18, 0x1.8c6664315f5dbp-18, 0x1.93538aaa9f66cp-18, 0x1.9a1478b5ee9c2p-18, 0x1.a0a98ee0c5c2cp-18, 0x1.a7132fc9c74ep-18, 0x1.ad51bffbe676p-18, 0x1.b365a5cac6bdap-18, 0x1.b94f49308e6dbp-18, 0x1.bf0f13ac46948p-18, 0x1.c4a57022f76c5p-18, 0x1.ca12cac0ed658p-18, 0x1.cf5790dc340a1p-18, 0x1.d47430d90f9fp-18, 0x1.d9691a0ec3bbap-18, 0x1.de36bcae5a59ap-18, 0x1.e2dd89a941ad7p-18, 0x1.e75df29a494c6p-18, 0x1.ebb869ae8d29ap-18, 0x1.efed618fbc2e8p-18, 0x1.f3fd4d4fe0c3bp-18, 0x1.f7e8a054b04b8p-18, 0x1.fbafce453ccbdp-18, 0x1.ff534af72405bp-18, 0x1.0169c52f013c9p-17, 0x1.0318803d4e2a9p-17, 0x1.04b610a544eb6p-17, 0x1.0642b05d36f3dp-17, 0x1.07be994af5d97p-17, 0x1.092a053dc45bp-17, 0x1.0a852de74aeaep-17, 0x1.0bd04cd5a3f4dp-17, 0x1.0d0b9b6d7c4fap-17, 0x1.0e3752e4605cfp-17, 0x1.0f53ac3b96637p-17, 0x1.1060e03ae97eap-17, 0x1.115f276bee79bp-17, 0x1.124eba15cb3c2p-17, 0x1.132fd0387a341p-17, 0x1.1402a1890e6b9p-17, 0x1.14c7656df26e3p-17, 0x1.157e52fafdaccp-17, 0x1.1627a0ee73c7ap-17, 0x1.16c385adb0429p-17, 0x1.17523741fe522p-17, 0x1.17d3eb561d744p-17, 0x1.1848d7338c197p-17, 0x1.18b12fc0106bap-17, 0x1.190d297b49df3p-17, 0x1.195cf87ce70e4p-17, 0x1.19a0d0725ec6cp-17, 0x1.19d8e49d65056p-17, 0x1.1a0567d1ff86ap-17, 0x1.1a268c7528961p-17, 0x1.1a3c847b43071p-17, 0x1.1a478166f63a4p-17, 0x1.1a47b447e461ap-17, 0x1.1a3d4db9b0bfep-17, 0x1.1a287de32efa9p-17, 0x1.1a09747524e5bp-17, 0x1.19e060a9fb1afp-17, 0x1.19ad7144d17dfp-17, 0x1.1970d4911d866p-17, 0x1.192ab86205abep-17, 0x1.18db4a122c5ccp-17, 0x1.1882b6835b8aep-17, 0x1.18212a1e205d9p-17, 0x1.17b6d0d1d56d2p-17, 0x1.1743d614691d4p-17, 0x1.16c864e28b4c9p-17, 0x1.1644a7bf6f5c4p-17, 0x1.15b8c8b50a282p-17, 0x1.1524f1545ffe7p-17, 0x1.14894ab56ad35p-17, 0x1.13e5fd778cf89p-17, 0x1.133b31c1ee11bp-17, 0x1.12890f43a89e4p-17, 0x1.11cfbd345cf92p-17, 0x1.110f6254688b1p-17, 0x1.104824edaa382p-17, 0x1.0f7a2ad3cfc3ap-17, 0x1.0ea59964e75ebp-17, 0x1.0dca958a0a251p-17, 0x1.0ce943b7dfb0fp-17, 0x1.0c01c7ef4e36cp-17, 0x1.0b1445be2f62bp-17, 0x1.0a20e03fd2e9dp-17, 0x1.0927ba1df0cc9p-17, 0x1.0828f5914b08ap-17, 0x1.0724b4624f272p-17, 0x1.061b17ea22253p-17, 0x1.050c4113306cbp-17, 0x1.03f8505a0cc68p-17, 0x1.02df65ce4f27fp-17, 0x1.01c1a113710c8p-17, 0x1.009f21616cff7p-17, 0x1.fef00b0bb6c22p-18, 0x1.fc98d7c997743p-18, 0x1.fa38e4f2fc216p-18, 0x1.f7d06daecea64p-18, 0x1.f55fac560b895p-18, 0x1.f2e6da75adb39p-18, 0x1.f06630d0738ap-18, 0x1.eddde760a5c0fp-18, 0x1.eb4e3559f9485p-18, 0x1.e8b7512b5b4f7p-18, 0x1.e6197080e2779p-18, 0x1.e374c84593a33p-18, 0x1.e0c98ca547578p-18, 0x1.de17f10e7bcddp-18, 0x1.db6028343c0f6p-18, 0x1.d8a2640fe22cfp-18, 0x1.d5ded5e30da15p-18, 0x1.d315ae398a238p-18, 0x1.d0471ceaffff5p-18, 0x1.cd73511cd64acp-18, 0x1.ca9a79444d508p-18, 0x1.c7bcc327dfee3p-18, 0x1.c4da5be1685f4p-18, 0x1.c1f36fdff24e6p-18, 0x1.bf082ae957ddfp-18, 0x1.bc18b81c3fd36p-18, 0x1.b92541f1efa89p-18, 0x1.b62df23fe76d4p-18, 0x1.b332f239c92dp-18, 0x1.b0346a731280ep-18, 0x1.ad3282e0fa722p-18, 0x1.aa2d62dc021e1p-18, 0x1.a7253121c6344p-18, 0x1.a41a13d6d278ap-18, 0x1.a10c30882ae96p-18, 0x1.9dfbac2d254e7p-18, 0x1.9ae8ab28f8232p-18, 0x1.97d3514c74715p-18, 0x1.94bbc1d7b7e4bp-18, 0x1.91a21f7bd8d05p-18, 0x1.8e868c5c79fe7p-18, 0x1.8b692a11484e3p-18, 0x1.884a19a7c7dedp-18, 0x1.85297ba5005f4p-18, 0x1.82077006d65aap-18, 0x1.7ee416459d975p-18, 0x1.7bbf8d55d8222p-18, 0x1.7899f3a98fe51p-18, 0x1.75736731fae4cp-18, 0x1.724c0560ea752p-18, 0x1.6f23eb2a52edbp-18, 0x1.6bfb3505d159bp-18, 0x1.68d1fef009617p-18, 0x1.65a8646c2a1d1p-18, 0x1.627e808553c5fp-18, 0x1.5f546dd015e85p-18, 0x1.5c2a466b9dbep-18, 0x1.590024036dbb4p-18, 0x1.55d61fd09e5bdp-18, 0x1.52ac529b323fap-18, 0x1.4f82d4bb5b4a4p-18, 0x1.4c59be1b02a18p-18, 0x1.49312636f18dep-18, 0x1.4609242043dacp-18, 0x1.42e1ce7d934f2p-18, 0x1.3fbb3b8c59e9dp-18, 0x1.3c95812228e1ap-18, 0x1.3970b4ade6469p-18, 0x1.364ceb390d84ep-18, 0x1.332a3968ebdf7p-18, 0x1.3008b37fd8e06p-18, 0x1.2ce86d5e71ac6p-18, 0x1.29c97a84d5c6ap-18, 0x1.26abee13ba9cbp-18, 0x1.238fdacd77dedp-18, 0x1.207553176a4f2p-18, 0x1.1d5c68fb0593cp-18, 0x1.1a452e26f6bfap-18, 0x1.172fb3f0338c8p-18, 0x1.141c0b5304f77p-18, 0x1.110a44f454292p-18, 0x1.0dfa712294ca8p-18, 0x1.0aec9fd6eab9cp-18, 0x1.07e0e0b61f094p-18, 0x1.04d74311c973ap-18, 0x1.01cfd5e94db6bp-18, 0x1.fd954fd599a5dp-19, 0x1.f78f8ee893c65p-19, 0x1.f18e85294e5b4p-19, 0x1.eb924e19066cbp-19, 0x1.e59b049e96dcap-19, 0x1.dfa8c30861d13p-19, 0x1.d9bba30e5afa8p-19, 0x1.d3d3bdd3cdd32p-19, 0x1.cdf12be9308edp-19, 0x1.c814054dea5bp-19, 0x1.c23c61725ecbbp-19, 0x1.bc6a5739bfa37p-19, 0x1.b69dfcfbd71c8p-19, 0x1.b0d76886a09ecp-19, 0x1.ab16af2031968p-19, 0x1.a55be58872729p-19, 0x1.9fa71ffac0935p-19, 0x1.99f8722fe7456p-19, 0x1.944fef5f87781p-19, 0x1.8eadaa41e04b9p-19, 0x1.8911b5116f45cp-19, 0x1.837c218c91ad5p-19, 0x1.7ded00f72021ep-19, 0x1.7864641c303f8p-19, 0x1.72e25b4f6b09cp-19, 0x1.6d66f66eadb38p-19, 0x1.67f244e3cd90fp-19, 0x1.628455a5e82b7p-19, 0x1.5d1d373af6c6fp-19, 0x1.57bcf7b9745a5p-19, 0x1.5263a4c99c57dp-19, 0x1.4d114ba6d7933p-19, 0x1.47c5f921a5acp-19, 0x1.4281b9a0c6821p-19, 0x1.3d4499226845cp-19, 0x1.380ea33ddf4f5p-19, 0x1.32dfe3251b17p-19, 0x1.2db863a5e7df6p-19, 0x1.28982f2b2692dp-19, 0x1.237f4fbe68efp-19, 0x1.1e6dcf094c8c5p-19, 0x1.1963b6569f21dp-19, 0x1.14610e93af2c8p-19, 0x1.0f65e051e941ep-19, 0x1.0a7233c7e0149p-19, 0x1.058610d2714c5p-19, 0x1.00a17ef62778p-19, 0x1.f7890ac1c5cf9p-20, 0x1.edde55d536bc2p-20, 0x1.e442ec2d4b851p-20, 0x1.dab6da29c6b4ap-20, 0x1.d13a2b86efc7ep-20, 0x1.c7cceb5ec018bp-20, 0x1.be6f242b6d1dp-20, 0x1.b520dfca52576p-20, 0x1.abe2277dd3431p-20, 0x1.a2b303efe7e1ap-20, 0x1.99937d34294f3p-20, 0x1.90839aca0d9bdp-20, 0x1.8783639f14a7fp-20, 0x1.7e92de116bc11p-20, 0x1.75b20ff186eb6p-20, 0x1.6ce0fe84dcb46p-20, 0x1.641fae87853ffp-20, 0x1.5b6e242e603a7p-20, 0x1.52cc6329d2f93p-20, 0x1.4a3a6ea717faep-20, 0x1.41b8495248066p-20, 0x1.3945f558b3fdcp-20, 0x1.30e3746b797e3p-20, 0x1.2890c7c08d332p-20, 0x1.204df014d6677p-20, 0x1.181aedae7e785p-20, 0x1.0ff7c05ef0bb1p-20, 0x1.07e46784627b1p-20, 0x1.ffc1c417691bp-21, 0x1.efda5ce5c4f0dp-21, 0x1.e01295943a0f5p-21, 0x1.d06a696c3f7dp-21, 0x1.c0e1d2e308fc6p-21, 0x1.b178cb9f5e27ap-21, 0x1.a22f4c7a9b8adp-21, 0x1.93054d8547da4p-21, 0x1.83fac609aae06p-21, 0x1.750fac91686b3p-21, 0x1.6643f6e7a8c6ep-21, 0x1.57979a1bbd46cp-21, 0x1.490a8a84d6bd1p-21, 0x1.3a9cbbc64ffbep-21, 0x1.2c4e20d222a3p-21, 0x1.1e1eabec4dcf7p-21, 0x1.100e4ead6146fp-21, 0x1.021cfa06fdee1p-21, 0x1.e8953c8c9fc67p-22, 0x1.cd2e562d9b8e6p-22, 0x1.b2051f0b6c0afp-22, 0x1.9719740aa4032p-22, 0x1.7c6b30ddf958fp-22, 0x1.61fa300eaeb1ap-22, 0x1.47c64b01c750bp-22, 0x1.2dcf59fc8f646p-22, 0x1.1415342a5e616p-22, 0x1.f52f5f499f907p-23, 0x1.c2ad42f0b8199p-23, 0x1.90a3bb4eb48d7p-23, 0x1.5f126e6331e23p-23, 0x1.2df900363386bp-23, 0x1.faae25beb7809p-24, 0x1.9a588d20e04dbp-24, 0x1.3af07343c6632p-24, 0x1.b8ea226fb8274p-25, 0x1.fb96720c268a9p-26, 0x1.120a3994f8c47p-27, -0x1.cbc6005ec9a3p-27, -0x1.28929bb65c918p-25, -0x1.dc62743477c47p-25, -0x1.47315fcbec9f7p-24, -0x1.9f4a9d0a3bb87p-24, -0x1.f67dd2f350718p-24, -0x1.2665f2c56ea88p-23, -0x1.511addd98111dp-23, -0x1.7b5e1f8e75142p-23, -0x1.a5302e14f0bebp-23, -0x1.ce9180f149005p-23, -0x1.f78290f2ebb9bp-23, -0x1.1001ec14bafd6p-22, -0x1.240ae8ed51f63p-22, -0x1.37dc7d3f29e49p-22, -0x1.4b76e7d9a23e2p-22, -0x1.5eda681b1be0cp-22, -0x1.72073dedc68p-22, -0x1.84fda9c384b8p-22, -0x1.97bdec9008f3fp-22, -0x1.aa4847c78c9e3p-22, -0x1.bc9cfd596a00ep-22, -0x1.cebc4fac843dbp-22, -0x1.e0a6819a42073p-22, -0x1.f25bd66d25eaap-22, -0x1.01ee48edf9803p-21, -0x1.0a947c028c50ep-21, -0x1.1320a6b650f46p-21, -0x1.1b92eb7bca3e4p-21, -0x1.23eb6cf46ee82p-21, -0x1.2c2a4deea970cp-21, -0x1.344fb164547f9p-21, -0x1.3c5bba7921d62p-21, -0x1.444e8c78f509p-21, -0x1.4c284ad580e97p-21, -0x1.53e91925753a9p-21, -0x1.5b911b230d86cp-21, -0x1.632074a9841cp-21, -0x1.6a9749b49b10dp-21, -0x1.71f5be5e521eap-21, -0x1.793bf6dd239c5p-21, -0x1.806a17838570cp-21, -0x1.878044bda7b0ap-21, -0x1.8e7ea3102ff5p-21, -0x1.95655716d6b7ap-21, -0x1.9c3485830daddp-21, -0x1.a2ec531ad2deap-21, -0x1.a98ce4b63cfc6p-21, -0x1.b0165f3f495b7p-21, -0x1.b688e7b02cc09p-21, -0x1.bce4a311f9bbfp-21, -0x1.c329b67b3a19ep-21, -0x1.c958470ebf6ffp-21, -0x1.cf7079faafd8fp-21, -0x1.d57274766464bp-21, -0x1.db5e5bc266c9dp-21, -0x1.e13455265c497p-21, -0x1.e6f485f01d414p-21, -0x1.ec9f13726f5acp-21, -0x1.f23423040299p-21, -0x1.f7b3d9fe61b7ep-21, -0x1.fd1e5dbcdf50bp-21, -0x1.0139e9cd914e4p-20, -0x1.03da307a1ac94p-20, -0x1.06701590ed7b4p-20, -0x1.08fbabbdadb8ap-20, -0x1.0b7d05a9eefd6p-20, -0x1.0df435fd17aep-20, -0x1.10614f5bf7f22p-20, -0x1.12c46467c9fc8p-20, -0x1.151d87bdf3c93p-20, -0x1.176ccbf7ecd43p-20, -0x1.19b243aa59d1ep-20, -0x1.1bee0164c5346p-20, -0x1.1e2017b113aa1p-20, -0x1.2048991320f73p-20, -0x1.2267980873de3p-20, -0x1.247d270792566p-20, -0x1.2689587fced18p-20, -0x1.288c3ed8c4cd3p-20, -0x1.2a85ec7209453p-20, -0x1.2c7673a2b51aep-20, -0x1.2e5de6b912122p-20, -0x1.303c57fa04f07p-20, -0x1.3211d9a0f66dap-20, -0x1.33de7ddf7a6dep-20, -0x1.35a256dcba201p-20, -0x1.375d76b518e97p-20, -0x1.390fef7a333e2p-20, -0x1.3ab9d3323f87p-20, -0x1.3c5b33d7c6a68p-20, -0x1.3df4235948e3cp-20, -0x1.3f84b3994723fp-20, -0x1.410cf66d6a2a4p-20, -0x1.428cfd9e649e7p-20, -0x1.4404dae80d90dp-20, -0x1.45749ff8ac9f7p-20, -0x1.46dc5e70a6f36p-20, -0x1.483c27e254982p-20, -0x1.49940dd209b51p-20, -0x1.4ae421b5699dp-20, -0x1.4c2c74f350e66p-20, -0x1.4d6d18e383902p-20, -0x1.4ea61ece8b91dp-20, -0x1.4fd797ed6b9d4p-20, -0x1.510195695b187p-20, -0x1.5224285b7ea29p-20, -0x1.533f61cd106ep-20, -0x1.545352b69b1a4p-20, -0x1.55600c0017adbp-20, -0x1.56659e80a61a4p-20, -0x1.57641afe84047p-20, -0x1.585b922e89547p-20, -0x1.594c14b434e4bp-20, -0x1.5a35b3216d18cp-20, -0x1.5b187df66431bp-20, -0x1.5bf485a11606ap-20, -0x1.5cc9da7dbec4ap-20, -0x1.5d988cd61816ep-20, -0x1.5e60ace1626p-20, -0x1.5f224ac47aa19p-20, -0x1.5fdd76915baap-20, -0x1.6092404740ab1p-20, -0x1.6140b7d1fce62p-20, -0x1.61e8ed0ad0f6cp-20, -0x1.628aefb74e0ccp-20, -0x1.6326cf8999f26p-20, -0x1.63bc9c207e08fp-20, -0x1.644c650718e2fp-20, -0x1.64d639b4a813ep-20, -0x1.655a298c87096p-20, -0x1.65d843de47413p-20, -0x1.665097e53f4c8p-20, -0x1.66c334c8850c8p-20, -0x1.6730299b206cdp-20, -0x1.6797855b98188p-20, -0x1.67f956f4019e6p-20, -0x1.6855ad39fdfb7p-20, -0x1.68ac96ee8b7dp-20, -0x1.68fe22bdfb605p-20, -0x1.694a5f3fd5p-20, -0x1.69915af6ff551p-20, -0x1.69d3245123042p-20, -0x1.6a0fc9a769bf7p-20, -0x1.6a47593daec0ap-20, -0x1.6a79e142ee9dfp-20, -0x1.6aa76fd0e671bp-20, -0x1.6ad012ec5ecb4p-20, -0x1.6af3d884e30c2p-20, -0x1.6b12ce748fd53p-20, -0x1.6b2d02809c39p-20, -0x1.6b428258c74ffp-20, -0x1.6b535b975274bp-20, -0x1.6b5f9bc1792b8p-20, -0x1.6b675046f6ec8p-20, -0x1.6b6a8681edc66p-20, -0x1.6b694bb76409dp-20, -0x1.6b63ad16d2256p-20, -0x1.6b59b7ba2869bp-20, -0x1.6b4b78a60411ep-20, -0x1.6b38fcc98cad6p-20, -0x1.6b2250fe3cc8ep-20, -0x1.6b0782086d6edp-20, -0x1.6ae89c96b022ap-20, -0x1.6ac5ad4244797p-20, -0x1.6a9ec08ee9fc4p-20, -0x1.6a73e2eb03e5bp-20, -0x1.6a4520af42a99p-20, -0x1.6a12861f3afdbp-20, -0x1.69dc1f68beacfp-20, -0x1.69a1f8a484eb6p-20, -0x1.69641dd596c2ep-20, -0x1.69229ae9f9b53p-20, -0x1.68dd7bb9e15c9p-20, -0x1.6894cc08a2afdp-20, -0x1.68489784104b4p-20, -0x1.67f8e9c4961c8p-20, -0x1.67a5ce4db270cp-20, -0x1.674f508d8746dp-20, -0x1.66f57bdcc33fep-20, -0x1.66985b7f90476p-20, -0x1.6637faa465821p-20, -0x1.65d46464f96b3p-20, -0x1.656da3c5f495ap-20, -0x1.6503c3b6f5211p-20, -0x1.6496cf12a37afp-20, -0x1.6426d09efb00bp-20, -0x1.63b3d30cbd579p-20, -0x1.633de0f8533eap-20, -0x1.62c504e9051a4p-20, -0x1.62494951b11d2p-20, -0x1.61cab89064ac9p-20, -0x1.61495ceec2fc2p-20, -0x1.60c540a1ab20ap-20, -0x1.603e6dc9da9fcp-20, -0x1.5fb4ee7358b5cp-20, -0x1.5f28cc95faebfp-20, -0x1.5e9a1215415a9p-20, -0x1.5e08c8c085ee6p-20, -0x1.5d74fa52cbfc2p-20, -0x1.5cdeb07354fa9p-20, -0x1.5c45f4b4eca7cp-20, -0x1.5baad096bc04ap-20, -0x1.5b0d4d84079ep-20, -0x1.5a6d74d3dc89cp-20, -0x1.59cb4fca2c051p-20, -0x1.5926e796ab39ap-20, -0x1.58804555a639cp-20, -0x1.57d77210114b7p-20, -0x1.572c76bb1101p-20, -0x1.567f5c38b189cp-20, -0x1.55d02b578a75ep-20, -0x1.551eecd3050adp-20, -0x1.546ba95375a04p-20, -0x1.53b6696de8e5bp-20, -0x1.52ff35a4b3ffep-20, -0x1.5246166714d7cp-20, -0x1.518b141180802p-20, -0x1.50ce36eda7d2cp-20, -0x1.500f8732a7dc1p-20, -0x1.4f4f0d04d15d2p-20, -0x1.4e8cd0764daap-20, -0x1.4dc8d9867e67dp-20, -0x1.4d033022b3b66p-20, -0x1.4c3bdc25f1637p-20, -0x1.4b72e558f1395p-20, -0x1.4aa8537288737p-20, -0x1.49dc2e1781b3p-20, -0x1.490e7cda9e259p-20, -0x1.483f473d1fdf6p-20, -0x1.476e94ae3c0bap-20, -0x1.469c6c8bb1f53p-20, -0x1.45c8d621e463cp-20, -0x1.44f3d8ab370bfp-20, -0x1.441d7b5173f74p-20, -0x1.4345c52c617f9p-20, -0x1.426cbd433b507p-20, -0x1.41926a8b9b657p-20, -0x1.40b6d3ea97f6cp-20, -0x1.3fda0033fe52ep-20, -0x1.3efbf62b0c7d8p-20, -0x1.3e1cbc8234149p-20, -0x1.3d3c59db3ce6fp-20, -0x1.3c5ad4c77311ep-20, -0x1.3b7833c7ba9b2p-20, -0x1.3a947d4c88856p-20, -0x1.39afb7b625af8p-20, -0x1.38c9e954bef83p-20, -0x1.37e318682de7p-20, -0x1.36fb4b20cccf7p-20, -0x1.3612879e903bbp-20, -0x1.3528d3f20dc9fp-20, -0x1.343e361bfd5a7p-20, -0x1.3352b40d6e182p-20, -0x1.326653a832d89p-20, -0x1.31791abe6ff85p-20, -0x1.308b0f130fccfp-20, -0x1.2f9c365a0fe3bp-20, -0x1.2eac9637a1572p-20, -0x1.2dbc3441ef0f3p-20, -0x1.2ccb15ff193eep-20, -0x1.2bd940e77b9e2p-20, -0x1.2ae6ba63ca56dp-20, -0x1.29f387ced71dcp-20, -0x1.28ffae744aebep-20, -0x1.280b3391e8cfcp-20, -0x1.27161c568bac5p-20, -0x1.26206de349e97p-20, -0x1.252a2d4ab174ap-20, -0x1.24335f9182872p-20, -0x1.233c09ae4ff48p-20, -0x1.22443089fcd5ep-20, -0x1.214bd8ff5f26ep-20, -0x1.205307dbef044p-20, -0x1.1f59c1df3b2abp-20, -0x1.1e600bbb7c8a2p-20, -0x1.1d65ea158d0c3p-20, -0x1.1c6b6184adef2p-20, -0x1.1b70769371d0ap-20, -0x1.1a752dbe8a008p-20, -0x1.19798b766ec73p-20, -0x1.187d941de6646p-20, -0x1.17814c0b77256p-20, -0x1.1684b7887e815p-20, -0x1.1587dad1d96cdp-20, -0x1.148aba17d1e79p-20, -0x1.138d597e2baacp-20, -0x1.128fbd1c46bfep-20, -0x1.1191e8fd4ec59p-20, -0x1.1093e120014a2p-20, -0x1.0f95a9774285dp-20, -0x1.0e9745e9b7e5bp-20, -0x1.0d98ba5228e43p-20, -0x1.0c9a0a7fa88a4p-20, -0x1.0b9b3a3534b47p-20, -0x1.0a9c4d2a88231p-20, -0x1.099d470b60652p-20, -0x1.089e2b7862b36p-20, -0x1.079efe0674127p-20, -0x1.069fc23f7a8dfp-20, -0x1.05a07ba1cf4bcp-20, -0x1.04a12da100779p-20, -0x1.03a1dba52f299p-20, -0x1.02a2890bf1418p-20, -0x1.01a33927925cfp-20, -0x1.00a3ef3feb522p-20, -0x1.ff495d23e6537p-21, -0x1.fd4af49ffd84cp-21, -0x1.fb4cab442046cp-21, -0x1.f94e874ab3f0ep-21, -0x1.f7508eda4cffbp-21, -0x1.f552c80406cebp-21, -0x1.f35538c5559adp-21, -0x1.f157e7071fb22p-21, -0x1.ef5ad89e16affp-21, -0x1.ed5e134bab375p-21, -0x1.eb619cbc82304p-21, -0x1.e9657a8b27269p-21, -0x1.e769b23d216cbp-21, -0x1.e56e494638e63p-21, -0x1.e37345061d96cp-21, -0x1.e178aaca0f379p-21, -0x1.df7e7fcc98807p-21, -0x1.dd84c93538eabp-21, -0x1.db8b8c19c6a3bp-21, -0x1.d992cd7cf03dap-21, -0x1.d79a92502e84ap-21, -0x1.d5a2df7231a9cp-21, -0x1.d3abb9b09810cp-21, -0x1.d1b525c6bbdd2p-21, -0x1.cfbf285f130dp-21, -0x1.cdc9c6121a89ep-21, -0x1.cbd50367d38c4p-21, -0x1.c9e0e4d67a19cp-21, -0x1.c7ed6ec4390e9p-21, -0x1.c5faa585b27ddp-21, -0x1.c4088d5fa86e8p-21, -0x1.c2172a85f5fd4p-21, -0x1.c026811c6131cp-21, -0x1.be369536a472ap-21, -0x1.bc476ad825e33p-21, -0x1.ba5905f514644p-21, -0x1.b86b6a70ff676p-21, -0x1.b67e9c211303fp-21, -0x1.b4929ec9b7e98p-21, -0x1.b2a77621a0d38p-21, -0x1.b0bd25cec1ed7p-21, -0x1.aed3b169a210dp-21, -0x1.aceb1c7a8e1d5p-21, -0x1.ab036a7c3dbc6p-21, -0x1.a91c9eda0d5c5p-21, -0x1.a736bcf150af5p-21, -0x1.a551c81114dffp-21, }}, 
      {{-0x1.ebb41d4268ecep-1, -0x1.eb724cab2094bp-1, -0x1.eb02daee0157ap-1, -0x1.ea6383a672daep-1, -0x1.e991a9e090272p-1, -0x1.e88aaea88319fp-1, -0x1.e74c39327920ep-1, -0x1.e5d46cc1ff163p-1, -0x1.e4220c199d6b4p-1, -0x1.e2348c449f34fp-1, -0x1.e00c1984e61cbp-1, -0x1.dda9917899c95p-1, -0x1.db0e756d96225p-1, -0x1.d83cd782c85fep-1, -0x1.d53744c9b4b6cp-1, -0x1.d200ae27bf549p-1, -0x1.ce9c514b0b21fp-1, -0x1.cb0da2a7c93a9p-1, -0x1.c7583922f272ep-1, -0x1.c37fbbcef1352p-1, -0x1.bf87d1ec8a822p-1, -0x1.bb74153cc48f9p-1, -0x1.b748069587f8cp-1, -0x1.b30704986cc51p-1, -0x1.aeb4445fb9975p-1, -0x1.aa52cbef5bfcbp-1, -0x1.a5e56e355dd49p-1, -0x1.a16ec865c7506p-1, -0x1.9cf1408034f0ep-1, -0x1.986f04d0ea51p-1, -0x1.93ea0c434eed9p-1, -0x1.8f6417602d0e6p-1, -0x1.8adeb1d67b31p-1, -0x1.865b3471aac72p-1, -0x1.81dac7646fb5fp-1, -0x1.7d5e64d286277p-1, -0x1.78e6db8730e8ap-1, -0x1.7474d1c902e5p-1, -0x1.7008c83dfbdf1p-1, -0x1.6ba31cd52ce52p-1, -0x1.67440dace852ep-1, -0x1.62ebbbee22936p-1, -0x1.5e9a2e96feff5p-1, -0x1.5a4f552fae2e4p-1, -0x1.560b0a65c456fp-1, -0x1.51cd168b099cfp-1, -0x1.4d9531f578b5fp-1, -0x1.4963073ecf25ap-1, -0x1.453635628d737p-1, -0x1.410e51b9c77bcp-1, -0x1.3ceae9d48355p-1, -0x1.38cb8530c5914p-1, -0x1.34afa6cfa8fafp-1, -0x1.3096cea92b202p-1, -0x1.2c807aff87602p-1, -0x1.286c299326623p-1, -0x1.245958b84fe3ap-1, -0x1.2047884feae9cp-1, -0x1.1c363aa4aaa5ap-1, -0x1.1824f52e1fda7p-1, -0x1.1413413b2939bp-1, -0x1.1000ac854e4f8p-1, -0x1.0becc9ae8a023p-1, -0x1.07d730ab0eec8p-1, -0x1.03bf7f18890b3p-1, -0x1.ff4ab108b41aep-2, -0x1.f710cd4482fe3p-2, -0x1.eed0b2e9ae7b4p-2, -0x1.e689ced26602ep-2, -0x1.de3b9ace10634p-2, -0x1.d5e59dacdd6d7p-2, -0x1.cd876b3903c4p-2, -0x1.c520a41fd79f3p-2, -0x1.bcb0f5ccba039p-2, -0x1.b4381a37cec38p-2, -0x1.abb5d7aa2f55ep-2, -0x1.a32a007937eddp-2, -0x1.9a9472ba674b7p-2, -0x1.91f517f12b669p-2, -0x1.894be4b7c5235p-2, -0x1.8098d8646788ep-2, -0x1.77dbfcab81bafp-2, -0x1.6f156540107f4p-2, -0x1.66452f72c20d7p-2, -0x1.5d6b81d088bcfp-2, -0x1.54888bc13ca6cp-2, -0x1.4b9c8526c137bp-2, -0x1.42a7adfd1bc71p-2, -0x1.39aa4dfbd6396p-2, -0x1.30a4b438f39fap-2, -0x1.279736cdb2309p-2, -0x1.1e82327d48cb4p-2, -0x1.15660a5dc16f3p-2, -0x1.0c43278307f94p-2, -0x1.0319f8ac400f7p-2, -0x1.f3d5e3e6c0effp-3, -0x1.e16d18fe42fe2p-3, -0x1.cefa8c6e5b68ap-3, -0x1.bc7f42f5267b8p-3, -0x1.a9fc49b0ccb75p-3, -0x1.9772b59502a4ep-3, -0x1.84e3a2e4b0fdap-3, -0x1.725034af7fa9dp-3, -0x1.5fb994533c8c1p-3, -0x1.4d20f100ce0fp-3, -0x1.3a877f44a0bd7p-3, -0x1.27ee789251732p-3, -0x1.15571ad373983p-3, -0x1.02c2a7f93ea2ep-3, -0x1.e064cb220d6f4p-4, -0x1.bb4f38b695826p-4, -0x1.96472fca81069p-4, -0x1.714f4c49744f2p-4, -0x1.4c6a2e2c77dacp-4, -0x1.279a78ba6c647p-4, -0x1.02e2d1cc7d3d9p-4, -0x1.bc8bc22cd30f5p-5, -0x1.738c9ee50c17bp-5, -0x1.2acd8c6291706p-5, -0x1.c4a7b9b12782dp-6, -0x1.3449c1727bc92p-6, -0x1.491795a433f8p-7, -0x1.57867f11f1595p-10, 0x1.e39780db33241p-8, 0x1.068494467f4cbp-6, 0x1.93594adf790bcp-6, 0x1.0facd67eb5134p-5, 0x1.553dbc21917c5p-5, 0x1.9a5a409d22046p-5, 0x1.defd5ac32546ap-5, 0x1.11910782836ap-4, 0x1.3361b84000e62p-4, 0x1.54ee51013cadfp-4, 0x1.76346b851f245p-4, 0x1.9731aa5df502bp-4, 0x1.b7e3b96977f82p-4, 0x1.d8484e452a1a9p-4, 0x1.f85d28bf07dacp-4, 0x1.0c1009a12d265p-3, 0x1.1bc771a058669p-3, 0x1.2b53bccb7e32p-3, 0x1.3ab3e1774f7c4p-3, 0x1.49e6dc0d3b913p-3, 0x1.58ebaf37e7fcdp-3, 0x1.67c1640da179ep-3, 0x1.76670a38a0166p-3, 0x1.84dbb81d48c57p-3, 0x1.931e8afe3a3bap-3, 0x1.a12ea71e413b6p-3, 0x1.af0b37e022ba9p-3, 0x1.bcb36fe44127p-3, 0x1.ca2689240eb84p-3, 0x1.d763c50b66509p-3, 0x1.e46a6c8fa6dbep-3, 0x1.f139d044b8c33p-3, 0x1.fdd1486fdeaa2p-3, 0x1.05181a8c373efp-2, 0x1.0b2aff0b302e5p-2, 0x1.1121098f6125p-2, 0x1.16f9f5e71042bp-2, 0x1.1cb583d864f03p-2, 0x1.225377248cb77p-2, 0x1.27d39789d838fp-2, 0x1.2d35b0c4dbaefp-2, 0x1.3279929096827p-2, 0x1.379f10a5a1f27p-2, 0x1.3ca602b86f98ep-2, 0x1.418e44769df5fp-2, 0x1.4657b5835f0bcp-2, 0x1.4b02397304659p-2, 0x1.4f8db7c5a90ebp-2, 0x1.53fa1be1078e1p-2, 0x1.584755097da73p-2, 0x1.5c75565a4479fp-2, 0x1.608416bce71f2p-2, 0x1.647390dff66f6p-2, 0x1.6843c32d0878p-2, 0x1.6bf4afbe040f3p-2, 0x1.6f865c51c5b7dp-2, 0x1.72f8d240188fp-2, 0x1.764c1e6d1a925p-2, 0x1.7980513c05a54p-2, 0x1.7c957e8169a7bp-2, 0x1.7f8bbd74dc727p-2, 0x1.826328a22cec5p-2, 0x1.851bddda130fep-2, 0x1.87b5fe22718cbp-2, 0x1.8a31ada627b28p-2, 0x1.8c8f13a47d544p-2, 0x1.8ece5a602de89p-2, 0x1.90efaf0e18a07p-2, 0x1.92f341c3a3164p-2, 0x1.94d94564c86c5p-2, 0x1.96a1ef91e6029p-2, 0x1.984d78954b7aep-2, 0x1.99dc1b508bd8bp-2, 0x1.9b4e1529a0029p-2, 0x1.9ca3a5f7d790cp-2, 0x1.9ddd0ff0a9809p-2, 0x1.9efa979459ce8p-2, 0x1.9ffc839a8d078p-2, 0x1.a0e31cdebf444p-2, 0x1.a1aeae4cac307p-2, 0x1.a25f84ccaeb6ap-2, 0x1.a2f5ef3015ad6p-2, 0x1.a3723e1d78f52p-2, 0x1.a3d4c3fd14be5p-2, 0x1.a41dd4e52a164p-2, 0x1.a44dc6866df7fp-2, 0x1.a464f0188983ap-2, 0x1.a463aa46b185cp-2, 0x1.a44a4f1c53fbp-2, 0x1.a41939f1e7e32p-2, 0x1.a3d0c759de0f6p-2, 0x1.a371550db35dfp-2, 0x1.a2fb41db32e5dp-2, 0x1.a26eed91ddf55p-2, 0x1.a1ccb8f088d78p-2, 0x1.a1150593286acp-2, 0x1.a04835e0d47eap-2, 0x1.9f66acfa0601ap-2, 0x1.9e70cea70d09fp-2, 0x1.9d66ff46c7851p-2, 0x1.9c49a3bd965bp-2, 0x1.9b19216496bcfp-2, 0x1.99d5ddf91ebe9p-2, 0x1.98803f8c83d1cp-2, 0x1.9718ac7423ac3p-2, 0x1.959f8b39be18cp-2, 0x1.9415428c175b2p-2, 0x1.927a392fe7fa5p-2, 0x1.90ced5f11c972p-2, 0x1.8f137f94639b1p-2, 0x1.8d489cc910396p-2, 0x1.8b6e941b4ad84p-2, 0x1.8985cbe6981e1p-2, 0x1.878eaa48b00a1p-2, 0x1.85899514ae54cp-2, 0x1.8376f1c6942d7p-2, 0x1.81572577202bcp-2, 0x1.7f2a94cffe367p-2, 0x1.7cf1a4004b6b9p-2, 0x1.7aacb6b170acbp-2, 0x1.785c2ffc5601fp-2, 0x1.7600725ee98d9p-2, 0x1.7399dfb1fcb3p-2, 0x1.7128d91f7cb8cp-2, 0x1.6eadbf18f9b2fp-2, 0x1.6c28f14e8a3acp-2, 0x1.699acea600122p-2, 0x1.6703b532744d5p-2, 0x1.6464022c25bap-2, 0x1.61bc11e8adeb9p-2, 0x1.5f0c3fd387332p-2, 0x1.5c54e666e546ep-2, 0x1.59965f24e1799p-2, 0x1.56d10290f68cap-2, 0x1.54052829ccfe4p-2, 0x1.513326635681bp-2, 0x1.4e5b52a138a2p-2, 0x1.4b7e013183ebp-2, 0x1.489b8547b6b8p-2, 0x1.45b430f80c892p-2, 0x1.42c85533196eep-2, 0x1.3fd841c1a8bf8p-2, 0x1.3ce44540e8c41p-2, 0x1.39ecad1edcc3dp-2, 0x1.36f1c5971107fp-2, 0x1.33f3d9af97p-2, 0x1.30f3333642ee9p-2, 0x1.2df01abe2b1dap-2, 0x1.2aead79d65f73p-2, 0x1.27e3afeb0c49ap-2, 0x1.24dae87d72858p-2, 0x1.21d0c4e8a545dp-2, 0x1.1ec5877d194d6p-2, 0x1.1bb971469ded1p-2, 0x1.18acc20b80acp-2, 0x1.159fb84bea8ddp-2, 0x1.129291417532ap-2, 0x1.0f8588deefe88p-2, 0x1.0c78d9d059f37p-2, 0x1.096cbd7b0fda6p-2, 0x1.06616bfe24aeep-2, 0x1.03571c32ede8ap-2, 0x1.004e03adbacb9p-2, 0x1.fa8cad7d6f924p-3, 0x1.f48090e5f832cp-3, 0x1.ee78152b84dep-3, 0x1.e8739b638efaap-3, 0x1.e2738225a0271p-3, 0x1.dc78258ea7726p-3, 0x1.d681df449959p-3, 0x1.d091067a51ba2p-3, 0x1.caa5eff3b7c5bp-3, 0x1.c4c0ee0a26861p-3, 0x1.bee250b110594p-3, 0x1.b90a657ad8f3p-3, 0x1.b339779deeb3bp-3, 0x1.ad6fcffa17e55p-3, 0x1.a7adb51df21b4p-3, 0x1.a1f36b4ca2d46p-3, 0x1.9c413483b95f4p-3, 0x1.9697508138534p-3, 0x1.90f5fcc9d20e5p-3, 0x1.8b5d74af431abp-3, 0x1.85cdf156da52p-3, 0x1.8047a9c01fcap-3, 0x1.7acad2cb9fd0dp-3, 0x1.75579f41d2f16p-3, 0x1.6fee3fda2ae84p-3, 0x1.6a8ee3422dac1p-3, 0x1.6539b624b6486p-3, 0x1.5feee33149f3ep-3, 0x1.5aae93237cfb6p-3, 0x1.5578ecca72f24p-3, 0x1.504e15106dd5cp-3, 0x1.4b2e2f026de81p-3, 0x1.46195bd7e15f3p-3, 0x1.410fbafa5bfffp-3, 0x1.3c116a0d604f4p-3, 0x1.371e84f62fcd8p-3, 0x1.323725e3a5c04p-3, 0x1.2d5b655610392p-3, 0x1.288b5a271ab46p-3, 0x1.23c71991b533p-3, 0x1.1f0eb739fd172p-3, 0x1.1a6245352a661p-3, 0x1.15c1d4117c295p-3, 0x1.112d72de222c5p-3, 0x1.0ca52f3324161p-3, 0x1.0829153946c11p-3, 0x1.03b92fb1ea893p-3, 0x1.feab0ffdc8a5dp-4, 0x1.f5fc4c54a0d43p-4, 0x1.ed6621dcb3e2fp-4, 0x1.e4e89b79ff5d2p-4, 0x1.dc83c18f8934fp-4, 0x1.d4379a0ec62c8p-4, 0x1.cc042886d0bedp-4, 0x1.c3e96e338e70fp-4, 0x1.bbe76a0cc1c99p-4, 0x1.b3fe18d4f9194p-4, 0x1.ac2d75285a135p-4, 0x1.a475778b5a0ccp-4, 0x1.9cd616794f87bp-4, 0x1.954f4672dbcfp-4, 0x1.8de0fa0c4192cp-4, 0x1.868b21fb84fa8p-4, 0x1.7f4dad26758e7p-4, 0x1.782888b08574bp-4, 0x1.711ba00885982p-4, 0x1.6a26dcf62cae1p-4, 0x1.634a27a77eebp-4, 0x1.5c8566be0acb9p-4, 0x1.55d87f5bf62fap-4, 0x1.4f435530e4957p-4, 0x1.48c5ca86ae2e5p-4, 0x1.425fc04df04p-4, 0x1.3c11162a6973p-4, 0x1.35d9aa7f2b074p-4, 0x1.2fb95a7aa2cdcp-4, 0x1.29b0022266818p-4, 0x1.23bd7c5ee3545p-4, 0x1.1de1a306d206p-4, 0x1.181c4eea7fb47p-4, 0x1.126d57dee7ep-4, 0x1.0cd494c899a96p-4, 0x1.0751dba672a99p-4, 0x1.01e5019c2afe5p-4, 0x1.f91bb5f953d8bp-5, 0x1.ee9876a85e751p-5, 0x1.e43feae494d4p-5, 0x1.da11b6e74f6aep-5, 0x1.d00d7d973cdf7p-5, 0x1.c632e09b472d7p-5, 0x1.bc81806cee864p-5, 0x1.b2f8fc6a61568p-5, 0x1.a998f2e8316dbp-5, 0x1.a06101429834ap-5, 0x1.9750c3ee70a6bp-5, 0x1.8e67d689c492cp-5, 0x1.85a5d3ec05111p-5, 0x1.7d0a5635e290dp-5, 0x1.7494f6e0c69b2p-5, 0x1.6c454ecdf21adp-5, 0x1.641af6553d591p-5, 0x1.5c1585538929bp-5, 0x1.54349338c35fep-5, 0x1.4c77b715a3d53p-5, 0x1.44de87a9030efp-5, 0x1.3d689b6cdff5cp-5, 0x1.361588a30f003p-5, 0x1.2ee4e5619383dp-5, 0x1.27d6479e9e3f1p-5, 0x1.20e9453c3934fp-5, 0x1.1a1d7413ae381p-5, 0x1.13726a0081cbdp-5, 0x1.0ce7bceb377c3p-5, 0x1.067d02d3ab405p-5, 0x1.0031d1db388bdp-5, 0x1.f40b809ce9514p-6, 0x1.e7f0c95d650e7p-6, 0x1.dc12ab767303p-6, 0x1.d07054f43a3b7p-6, 0x1.c508f481c39aep-6, 0x1.b9dbb97986c1ep-6, 0x1.aee7d3f5a1cfep-6, 0x1.a42c74df4ap-6, 0x1.99a8cdfdbd9bep-6, 0x1.8f5c1204cf319p-6, 0x1.854574a2bec0ep-6, 0x1.7b642a8dab77ap-6, 0x1.71b76990730fep-6, 0x1.683e68971baa4p-6, 0x1.5ef85fbabb796p-6, 0x1.55e4884cd89ddp-6, 0x1.4d021ce271c04p-6, 0x1.4450595e68567p-6, 0x1.3bce7afb84e08p-6, 0x1.337bc056232f4p-6, 0x1.2b5769753e3a5p-6, 0x1.2360b7d334e3p-6, 0x1.1b96ee660c89ap-6, 0x1.13f951a75dc7ep-6, 0x1.0c87279bbb795p-6, 0x1.053fb7d9e4479p-6, 0x1.fc449722ad2e5p-7, 0x1.ee5c5b2166642p-7, 0x1.e0c5549762eeep-7, 0x1.d37e1fc16377p-7, 0x1.c6855c3be2b83p-7, 0x1.b9d9ad0d0069p-7, 0x1.ad79b8ad7fb1dp-7, 0x1.a164291148627p-7, 0x1.9597abaf31322p-7, 0x1.8a12f188298edp-7, 0x1.7ed4af2df004bp-7, 0x1.73db9cc8d0f33p-7, 0x1.6926761d4d54fp-7, 0x1.5eb3fa90c2cbdp-7, 0x1.5482ed2dd2ef6p-7, 0x1.4a9214a82489dp-7, 0x1.40e03b5f91323p-7, 0x1.376c2f62f4bfep-7, 0x1.2e34c27255435p-7, 0x1.2538ca00bce3p-7, 0x1.1c771f3596beep-7, 0x1.13ee9eed68b69p-7, 0x1.0b9e29ba473cap-7, 0x1.0384a3e4050ccp-7, 0x1.f741eacefced4p-8, 0x1.e7e413ec21238p-8, 0x1.d8eda1e8a9f6cp-8, 0x1.ca5c7af0ff69cp-8, 0x1.bc2e8c9130d53p-8, 0x1.ae61cbb037778p-8, 0x1.a0f4348aeb54ep-8, 0x1.93e3caae3dc0cp-8, 0x1.872e98f085c6bp-8, 0x1.7ad2b16ac2299p-8, 0x1.6ece2d70d50c5p-8, 0x1.631f2d8940a96p-8, 0x1.57c3d9648ec07p-8, 0x1.4cba5fd422454p-8, 0x1.4200f6c051418p-8, 0x1.3795db1e4862cp-8, 0x1.2d7750e58b2cdp-8, 0x1.23a3a304914d6p-8, 0x1.1a1923558c777p-8, 0x1.10d62a925c44fp-8, 0x1.07d918484111dp-8, 0x1.fe40a596d9922p-9, 0x1.ed548e53a6537p-9, 0x1.dcead23b6c6cep-9, 0x1.cd0066015c6c5p-9, 0x1.bd924b79b6b8fp-9, 0x1.ae9d917ecf9ddp-9, 0x1.a01f53d397c26p-9, 0x1.9214bb05e866cp-9, 0x1.847afc5151aa2p-9, 0x1.774f59802b86cp-9, 0x1.6a8f20cd65a4ap-9, 0x1.5e37acc4e27f9p-9, 0x1.5246642434823p-9, 0x1.46b8b9bb1942bp-9, 0x1.3b8c2c4b21146p-9, 0x1.30be4666d7efcp-9, 0x1.264c9e521706ep-9, 0x1.1c34d5e0476dfp-9, 0x1.12749a53e9969p-9, 0x1.0909a43ca9cefp-9, 0x1.ffe36ead6c657p-10, 0x1.ee5544d07656dp-10, 0x1.dd647e410fadfp-10, 0x1.cd0ce3eb47ba8p-10, 0x1.bd4a54054a791p-10, 0x1.ae18c1cb18fa7p-10, 0x1.9f74353aa4dfap-10, 0x1.9158cacfca0e2p-10, 0x1.83c2b33f5f558p-10, 0x1.76ae333423558p-10, 0x1.6a17a309646ep-10, 0x1.5dfb6e881e0f7p-10, 0x1.525614a12b924p-10, 0x1.4724272afb464p-10, 0x1.3c624a9d84c68p-10, 0x1.320d35cd6f02fp-10, 0x1.2821b1a9e877p-10, 0x1.1e9c98f903f27p-10, 0x1.157ad814a0ff7p-10, 0x1.0cb96ca7b75bfp-10, 0x1.0455656c164efp-10, 0x1.f897c3cf6417bp-11, 0x1.e9342457f6904p-11, 0x1.da7a6d25bb63ap-11, 0x1.cc653efd966dp-11, 0x1.beef5a33ee71ap-11, 0x1.b2139e297ee9ep-11, 0x1.a5cd08cf4e792p-11, 0x1.9a16b62484589p-11, 0x1.8eebdfb9f0059p-11, 0x1.8447dc349c2afp-11, 0x1.7a261ed09795p-11, 0x1.708236e6f447fp-11, 0x1.6757cf73023a4p-11, 0x1.5ea2ae9860a85p-11, 0x1.565eb52bf43f4p-11, 0x1.4e87de3bc2ae3p-11, 0x1.471a3e98d134p-11, 0x1.4012046205e85p-11, 0x1.396b76914e6eep-11, 0x1.3322f487c6a31p-11, 0x1.2d34f59baca89p-11, 0x1.279e08a9031b2p-11, 0x1.225ad3a0d6713p-11, 0x1.1d68131d071dep-11, 0x1.18c299efd2812p-11, 0x1.146750bc98753p-11, 0x1.10533588fe12cp-11, 0x1.0c835b55c8dc7p-11, 0x1.08f4e9b69a5c3p-11, 0x1.05a51c69ea212p-11, 0x1.029142f3ff99bp-11, 0x1.ff6d8074ce361p-12, 0x1.fa2614409185ep-12, 0x1.f5475249b5c38p-12, 0x1.f0cc70047866dp-12, 0x1.ecb0c69b7c13ap-12, 0x1.e8efd235b02c8p-12, 0x1.e5853136ebe8fp-12, 0x1.e26ca38e36f87p-12, 0x1.dfa209fccbe8ap-12, 0x1.dd216565529fap-12, 0x1.dae6d6198e132p-12, 0x1.d8ee9b2ff91ddp-12, 0x1.d73511d59bf67p-12, 0x1.d5b6b4a6d16aep-12, 0x1.d4701b086d63p-12, 0x1.d35df8849db32p-12, 0x1.d27d1c28711d8p-12, 0x1.d1ca6fe5d8f19p-12, 0x1.d142f7f6c8a5ep-12, 0x1.d0e3d24273ad7p-12, 0x1.d0aa35c7ec0d4p-12, 0x1.d093720529c3p-12, 0x1.d09cee6853511p-12, 0x1.d0c429bac783dp-12, 0x1.d106b996e8438p-12, 0x1.d16249d8d5b72p-12, 0x1.d1d49c17a3af9p-12, 0x1.d25b871bbae57p-12, 0x1.d2f4f65b7bb19p-12, 0x1.d39ee9777f7e5p-12, 0x1.d45773baffb8cp-12, 0x1.d51cbb9c1606bp-12, 0x1.d5ecfa4196e1bp-12, 0x1.d6c67b070ac38p-12, 0x1.d7a79b06b65c5p-12, 0x1.d88ec8a2d0eacp-12, 0x1.d97a8312e4947p-12, 0x1.da6959f152531p-12, 0x1.db59ecce43b06p-12, 0x1.dc4aeabf21b2ap-12, 0x1.dd3b11f6bb367p-12, 0x1.de292f598789dp-12, 0x1.df141e1803c64p-12, 0x1.dffac74911127p-12, 0x1.e0dc21869031fp-12, 0x1.e1b7308bf3af8p-12, 0x1.e28b04d789624p-12, 0x1.e356bb4c24537p-12, 0x1.e4197cd634d7dp-12, 0x1.e4d27e1147579p-12, 0x1.e580fef07ad86p-12, 0x1.e6244a67e8053p-12, 0x1.e6bbb618da96dp-12, 0x1.e746a1fe72518p-12, 0x1.e7c4781cbe916p-12, 0x1.e834ac321ac01p-12, 0x1.e896bb6938a0ep-12, 0x1.e8ea2c0cc6b19p-12, 0x1.e92e8d3df0205p-12, 0x1.e96376ab11e64p-12, 0x1.e9888848efd7bp-12, 0x1.e99d6a0d01d4cp-12, 0x1.e9a1cba989a3ep-12, 0x1.e995644b2a4e3p-12, 0x1.e977f2580f67cp-12, 0x1.e9493b2fdd33ep-12, 0x1.e9090aee6bf56p-12, 0x1.e8b7342ea9f9fp-12, 0x1.e8538fcf1044bp-12, 0x1.e7ddfcb8ff379p-12, 0x1.e7565fa6c6501p-12, 0x1.e6bca2edb9f93p-12, 0x1.e610b647a97bbp-12, 0x1.e5528e9e9d804p-12, 0x1.e48225d9d8939p-12, 0x1.e39f7aab417f5p-12, 0x1.e2aa905f34d54p-12, 0x1.e1a36eacbe821p-12, 0x1.e08a21873e5dep-12, 0x1.df5eb8f185b05p-12, 0x1.de2148d0fd435p-12, 0x1.dcd1e8c3c250ep-12, 0x1.db70b3f636072p-12, 0x1.d9fdc8fa9eac5p-12, 0x1.d87949a16087cp-12, 0x1.d6e35ad2c9dd9p-12, 0x1.d53c2468629ddp-12, 0x1.d383d10a2a2e1p-12, 0x1.d1ba8e098c2e9p-12, 0x1.cfe08b3f40d88p-12, 0x1.cdf5faea49163p-12, 0x1.cbfb118e52d5ap-12, 0x1.c9f005d4ebaeap-12, 0x1.c7d5106da0dp-12, 0x1.c5aa6bf103c4dp-12, 0x1.c37054c2dc74cp-12, 0x1.c12708f68bd73p-12, 0x1.becec832c8ebp-12, 0x1.bc67d3980b206p-12, 0x1.b9f26da5f7a97p-12, 0x1.b76eda2290b2bp-12, 0x1.b4dd5e021e28bp-12, 0x1.b23e3f4f7102bp-12, 0x1.af91c5156d10ep-12, 0x1.acd83748e9b52p-12, 0x1.aa11deb300f34p-12, 0x1.a73f04dce4f6ap-12, 0x1.a45ff3fb8327fp-12, 0x1.a174f6dc7ca1cp-12, 0x1.9e7e58d3127c9p-12, 0x1.9b7c65a6da517p-12, 0x1.986f69818158cp-12, 0x1.9557b0de2b9c3p-12, 0x1.92358879b94c2p-12, 0x1.8f093d4245052p-12, 0x1.8bd31c48e1a52p-12, 0x1.889372b29af9cp-12, 0x1.854a8daa38fd4p-12, 0x1.81f8ba5388a27p-12, 0x1.7e9e45bd5843ap-12, 0x1.7b3b7cd5e59e4p-12, 0x1.77d0ac5e2c067p-12, 0x1.745e20defd85cp-12, 0x1.70e4269d61fa1p-12, 0x1.6d63099071687p-12, 0x1.69db1556d7d7dp-12, 0x1.664c952d42752p-12, 0x1.62b7d3e5041c7p-12, 0x1.5f1d1bdb291f4p-12, 0x1.5b7cb6efd80d7p-12, 0x1.57d6ee7e89c43p-12, 0x1.542c0b55d23fap-12, 0x1.507c55b064ad1p-12, 0x1.4cc8152de5f3p-12, 0x1.490f90cbf4d0bp-12, 0x1.45530ee083c38p-12, 0x1.4192d51301933p-12, 0x1.3dcf285783485p-12, 0x1.3a084ce8c2a47p-12, 0x1.363e86431a286p-12, 0x1.327217205b13cp-12, 0x1.2ea34172370cep-12, 0x1.2ad2465f31674p-12, 0x1.26ff663dcb59bp-12, 0x1.232ae0916ef6dp-12, 0x1.1f54f4069809cp-12, 0x1.1b7dde6ff025ap-12, 0x1.17a5dcc3072ccp-12, 0x1.13cd2b16063e9p-12, 0x1.0ff4049ce4fefp-12, 0x1.0c1aa3a754cfap-12, 0x1.0841419e5d397p-12, 0x1.0468170338fd9p-12, 0x1.008f5b6cabca2p-12, 0x1.f96e8b0ced3a5p-13, 0x1.f1c0161f0416fp-13, 0x1.ea13c1b1e9edap-13, 0x1.e269f58a53e2ap-13, 0x1.dac3178eeb2f8p-13, 0x1.d31f8bc4e53e2p-13, 0x1.cb7fb451d7216p-13, 0x1.c3e3f178c4952p-13, 0x1.bc4ca19b78f7bp-13, 0x1.b4ba21394cf02p-13, 0x1.ad2ccaf097b9bp-13, 0x1.a5a4f77e0a4edp-13, 0x1.9e22fdbe83c95p-13, 0x1.96a732af29b3ap-13, 0x1.8f31e96f8f46fp-13, 0x1.87c373422c4fep-13, 0x1.805c1f8ea0589p-13, 0x1.78fc3be3dacc7p-13, 0x1.71a413f972253p-13, 0x1.6a53f1b24ea99p-13, 0x1.630c1d1fb10bcp-13, 0x1.5bccdc828a7cbp-13, 0x1.5496744f72e2p-13, 0x1.4d69273081b6cp-13, 0x1.4645360a06cf5p-13, 0x1.3f2adffb7ad8p-13, 0x1.381a62654d847p-13, 0x1.3113f8ead88fcp-13, 0x1.2a17dd7649562p-13, 0x1.2326483c99be9p-13, 0x1.1c3f6fc19a419p-13, 0x1.156388db434a1p-13, 0x1.0e92c6b66df9ep-13, 0x1.07cd5ada9b88fp-13, 0x1.0113752e4a0eap-13, 0x1.f4ca87f6e7413p-14, 0x1.e785e7e77a8edp-14, 0x1.da596069f53cap-14, 0x1.cd45449b7a50bp-14, 0x1.c049e484743bbp-14, 0x1.b3678d212a9a4p-14, 0x1.a69e886b33bd8p-14, 0x1.99ef1d63a15eap-14, 0x1.8d59901bce95p-14, 0x1.80de21c0f4d3bp-14, 0x1.747d10a2d8378p-14, 0x1.6836984070dbbp-14, 0x1.5c0af15072609p-14, 0x1.4ffa51cc00a13p-14, 0x1.4404ecf7d6a77p-14, 0x1.382af36f61b43p-14, 0x1.2c6c932e4a8efp-14, 0x1.20c9f79a3e6cfp-14, 0x1.1543498da6e51p-14, 0x1.09d8af623fd7cp-14, 0x1.fd1499f3a6671p-15, 0x1.e6b087932d486p-15, 0x1.d08565c7369c8p-15, 0x1.ba936e046f7c6p-15, 0x1.a4dad521b912p-15, 0x1.8f5bcb6de3cd5p-15, 0x1.7a167cc249ad8p-15, 0x1.650b109913736p-15, 0x1.5039aa2082043p-15, 0x1.3ba2684e641d7p-15, 0x1.274565f5efcd4p-15, 0x1.1322b9d81e6f4p-15, 0x1.fe74ed77ee7cep-16, 0x1.d71956fdc4a0bp-16, 0x1.b032c65429c4cp-16, 0x1.89c14a0982b53p-16, 0x1.63c4e95122377p-16, 0x1.3e3da42b0116ep-16, 0x1.192b7385df204p-16, 0x1.e91c92d0c6ef4p-17, 0x1.a0cc222c307bep-17, 0x1.59655e6c91ffep-17, 0x1.12e803ee74653p-17, 0x1.9aa784d0dc1adp-18, 0x1.11507a64d480bp-18, 0x1.13942e423e375p-19, 0x1.04dc7d447a33p-24, -0x1.ff51d4fb64d89p-20, -0x1.01eeb50ee977p-18, -0x1.823c7a0a58b84p-18, -0x1.005f83100ba3cp-17, -0x1.3ebbd80fea58ep-17, -0x1.7c33f1996ebebp-17, -0x1.b8c88f259d6aap-17, -0x1.f47a79d4fc8a5p-17, -0x1.17a54215280d2p-16, -0x1.349cc4e7476ddp-16, -0x1.512437a4bb37fp-16, -0x1.6d3c10e334be3p-16, -0x1.88e4cb6acc0b5p-16, -0x1.a41ee618dd339p-16, -0x1.beeae3bca5f87p-16, -0x1.d9494afde0bf9p-16, -0x1.f33aa63ba8704p-16, -0x1.065fc1b8b40e6p-15, -0x1.12ec3a0c25dbbp-15, -0x1.1f430685e3fcap-15, -0x1.2b64733629d5bp-15, -0x1.3750cdc28391bp-15, -0x1.43086556895ddp-15, -0x1.4e8b8a98d946dp-15, -0x1.59da8f9b3ac75p-15, -0x1.64f5c7cf40034p-15, -0x1.6fdd87f8f90f6p-15, -0x1.7a92262104bb3p-15, -0x1.8513f9897755dp-15, -0x1.8f635aa150dfap-15, -0x1.9980a2f80d2d3p-15, -0x1.a36c2d315ee95p-15, -0x1.ad2654fa022d3p-15, -0x1.b6af76fb892a1p-15, -0x1.c007f0d20bf87p-15, -0x1.c93021004ccf2p-15, -0x1.d22866e424483p-15, -0x1.daf122accc1d2p-15, -0x1.e38ab54f9a534p-15, -0x1.ebf5807e35a11p-15, -0x1.f431e69b74a24p-15, -0x1.fc404ab2390d3p-15, -0x1.02108835888c7p-14, -0x1.05ea4e01565e1p-14, -0x1.09ada9200656p-14, -0x1.0d5acc35db753p-14, -0x1.10f1ea232ae89p-14, -0x1.1473360008828p-14, -0x1.17dee317673b9p-14, -0x1.1b3524e33fa1p-14, -0x1.1e762f0893ad6p-14, -0x1.21a2355285605p-14, -0x1.24b96baed79c6p-14, -0x1.27bc0629d445ap-14, -0x1.2aaa38eaa015fp-14, -0x1.2d84382f06128p-14, -0x1.304a3847fbd56p-14, -0x1.32fc6d96360ddp-14, -0x1.359b0c864af7ep-14, -0x1.3826498d1eb0dp-14, -0x1.3a9e5924d1111p-14, -0x1.3d036fc9617bfp-14, -0x1.3f55c1f535dd4p-14, -0x1.4195841e1cb06p-14, -0x1.43c2eab235727p-14, -0x1.45de2a14d9cdep-14, -0x1.47e7769b9d778p-14, -0x1.49df048bafb03p-14, -0x1.4bc50816e284cp-14, -0x1.4d99b558d1c38p-14, -0x1.4f5d405462c0bp-14, -0x1.510fdcf146168p-14, -0x1.52b1bef92d038p-14, -0x1.54431a158135bp-14, -0x1.55c421ccdaa6ap-14, -0x1.57350980d8e84p-14, -0x1.5896046be4201p-14, -0x1.59e7459e98fa9p-14, -0x1.5b28fffe2b0f4p-14, -0x1.5c5b66422384p-14, -0x1.5d7eaaf20e934p-14, -0x1.5e930063ebfd4p-14, -0x1.5f9898b9ff244p-14, -0x1.608fa5e13a448p-14, -0x1.6178598f3ae17p-14, -0x1.6252e540b01fep-14, -0x1.631f7a379ac1ep-14, -0x1.63de4979d6cf5p-14, -0x1.648f83cf6df18p-14, -0x1.653359c0ebc9cp-14, -0x1.65c9fb962cc73p-14, -0x1.66539954e23acp-14, -0x1.66d062bef93b3p-14, -0x1.67408751a03f3p-14, -0x1.67a43643d999dp-14, -0x1.67fb9e8546888p-14, -0x1.6846eebcff0aap-14, -0x1.688655485f74dp-14, -0x1.68ba003a22099p-14, -0x1.68e21d5934a7ap-14, -0x1.68feda1fa4cf1p-14, -0x1.691063b9cea99p-14, -0x1.6916e7057479bp-14, -0x1.69129090deddcp-14, -0x1.69038c99e9cbfp-14, -0x1.68ea070d7a0aep-14, -0x1.68c62b8672c24p-14, -0x1.6898254d27875p-14, -0x1.68601f56bd4b1p-14, -0x1.681e444462c17p-14, -0x1.67d2be62c8baap-14, -0x1.677db7a990c37p-14, -0x1.671f59badd462p-14, -0x1.66b7cde2ac2bap-14, -0x1.66473d16532bap-14, -0x1.65cdcff440c04p-14, -0x1.654baec37fd8dp-14, -0x1.64c101734ed42p-14, -0x1.642def9abdddp-14, -0x1.6392a078a6a0fp-14, -0x1.62ef3af30dc93p-14, -0x1.6243e59711535p-14, -0x1.6190c6987cd76p-14, -0x1.60d603d1c368p-14, -0x1.6013c2c3e1d9p-14, -0x1.5f4a28960c9ap-14, -0x1.5e795a15b2c6bp-14, -0x1.5da17bb6511d5p-14, -0x1.5cc2b1915da3dp-14, -0x1.5bdd1f6630987p-14, -0x1.5af0e89a30388p-14, -0x1.59fe30389438fp-14, -0x1.590518f29a608p-14, -0x1.5805c51f54452p-14, -0x1.570056bbdc142p-14, -0x1.55f4ef6b85921p-14, -0x1.54e3b077a7574p-14, -0x1.53ccbad0294dfp-14, -0x1.52b02f0b45a5cp-14, -0x1.518e2d65d4aacp-14, -0x1.5066d5c35db45p-14, -0x1.4f3a47ae72a8ap-14, -0x1.4e08a258c5c8dp-14, -0x1.4cd2049b8bb06p-14, -0x1.4b968cf7884ddp-14, -0x1.4a56599543205p-14, -0x1.4911884580d0fp-14, -0x1.47c83681659a8p-14, -0x1.467a816ae16p-14, -0x1.452885ccf2bp-14, -0x1.43d2601bd9357p-14, -0x1.42782c758257ep-14, -0x1.411a06a1f3e0fp-14, -0x1.3fb80a139b6dap-14, -0x1.3e5251e79afe3p-14, -0x1.3ce8f8e622ac3p-14, -0x1.3b7c198318bd7p-14, -0x1.3a0bcdde2dd16p-14, -0x1.38982fc39b787p-14, -0x1.372158ac3327ep-14, -0x1.35a761be04518p-14, -0x1.342a63ccc36e8p-14, -0x1.32aa775a291d2p-14, -0x1.3127b496bf4fep-14, -0x1.2fa23361cc0b9p-14, -0x1.2e1a0b4a2db87p-14, -0x1.2c8f538eaf147p-14, -0x1.2b02231e9fc84p-14, -0x1.2972909a52af5p-14, -0x1.27e0b2536b1fdp-14, -0x1.264c9e4d79484p-14, -0x1.24b66a3ea43dap-14, -0x1.231e2b90163fcp-14, -0x1.2183f75e7f821p-14, -0x1.1fe7e27a68ad3p-14, -0x1.1e4a016932227p-14, -0x1.1caa68654219fp-14, -0x1.1b092b5e94356p-14, -0x1.19665dfb60db1p-14, -0x1.17c21398a05a8p-14, -0x1.161c5f4aacb1dp-14, -0x1.147553ddc05f9p-14, -0x1.12cd03d684573p-14, -0x1.112381728aae5p-14, -0x1.0f78dea8ec3d6p-14, -0x1.0dcd2d2b223c4p-14, -0x1.0c207e6524584p-14, -0x1.0a72e37e4af6ap-14, -0x1.08c46d59b04dcp-14, -0x1.07152c96ef58dp-14, -0x1.05653192b8d27p-14, -0x1.03b48c672e8a4p-14, -0x1.02034cecbb90cp-14, -0x1.005182ba7ce16p-14, -0x1.fd3e7a4df29f5p-15, -0x1.f9d91691472ffp-15, -0x1.f672f7ec83302p-15, -0x1.f30c3b8fd4fc6p-15, -0x1.efa4fe2ea769dp-15, -0x1.ec3d5c00fe88ap-15, -0x1.e8d570c456a87p-15, -0x1.e56d57bd84f87p-15, -0x1.e2052bb8f57f4p-15, -0x1.de9d070c5d9d1p-15, -0x1.db350397c8d1cp-15, -0x1.d7cd3ac73e469p-15, -0x1.d465c59341c9ap-15, -0x1.d0febc81f1272p-15, -0x1.cd9837a89a91p-15, -0x1.ca324ead0eee1p-15, -0x1.c6cd18c64fdf8p-15, -0x1.c368acbdaf42dp-15, -0x1.c00520f0578cap-15, -0x1.bca28b5041dc4p-15, -0x1.b94101653e12fp-15, -0x1.b5e0984e5f146p-15, -0x1.b28164c2d68dp-15, -0x1.af237b134b946p-15, -0x1.abc6ef2ac5397p-15, -0x1.a86bd48fc555ep-15, -0x1.a5123e6600776p-15, -0x1.a1ba3f6eac0eap-15, -0x1.9e63ea0a2ad1p-15, -0x1.9b0f50388e6cbp-15, -0x1.97bc839b6ca12p-15, -0x1.946b95766545ep-15, -0x1.911c96b0d1eaap-15, -0x1.8dcf97d64d4f1p-15, -0x1.8a84a917ed327p-15, -0x1.873bda4d0c72ap-15, -0x1.83f53af50b3f1p-15, -0x1.80b0da3831b7ap-15, -0x1.7d6ec6e8601adp-15, -0x1.7a2f0f81eb45p-15, -0x1.76f1c22dabca4p-15, -0x1.73b6ecc11f78p-15, -0x1.707e9cbf6f9f6p-15, -0x1.6d48df5b01007p-15, -0x1.6a15c1762a74fp-15, -0x1.66e54fa4616adp-15, -0x1.63b7962b062d3p-15, -0x1.608ca10264c6ap-15, -0x1.5d647bd6dbb89p-15, -0x1.5a3f32098c85bp-15, -0x1.571cceb1fa632p-15, -0x1.53fd5c9e6617dp-15, -0x1.50e0e654e19b6p-15, -0x1.4dc776141300cp-15, -0x1.4ab115d4e754p-15, -0x1.479dcf4afc872p-15, -0x1.448dabe5818bbp-15, -0x1.4180b4d030005p-15, -0x1.3e76f2f41e999p-15, -0x1.3b706ef90acbbp-15, -0x1.386d3146613e1p-15, -0x1.356d42034c34bp-15, -0x1.3270a91830632p-15, -0x1.2f776e2f5e2fap-15, -0x1.2c8198b699b12p-15, -0x1.298f2fdeb8b02p-15, -0x1.26a03a9daf3a9p-15, -0x1.23b4bfaebfeb5p-15, -0x1.20ccc593787a1p-15, -0x1.1de852948e3a4p-15, -0x1.1b076cc2dde93p-15, -0x1.182a19f802ffep-15, -0x1.15505fd73ea53p-15, -0x1.127a43ce48a54p-15, -0x1.0fa7cb15f86b2p-15, -0x1.0cd8fab354a8dp-15, -0x1.0a0dd77863f2fp-15, -0x1.07466604c91dfp-15, -0x1.0482aac616782p-15, -0x1.01c2a9f956807p-15, -0x1.fe0ccf575c0f2p-16, -0x1.f89bcf75c01b3p-16, -0x1.f3325bab75d96p-16, -0x1.edd07afae8c6p-16, -0x1.e876340c60a41p-16, -0x1.e3238d2fc0f77p-16, -0x1.ddd88c5c976e6p-16, -0x1.d8953734a2f52p-16, -0x1.d3599305add9ap-16, -0x1.ce25a4ca5564fp-16, -0x1.c8f9712a99f8cp-16, -0x1.c3d4fc7eea00ap-16, -0x1.beb84acff8df8p-16, -0x1.b9a35fd950d23p-16, -0x1.b4963f092ee85p-16, -0x1.af90eb83a72ddp-16, -0x1.aa936821bbecp-16, -0x1.a59db77513618p-16, -0x1.a0afdbc6ee969p-16, -0x1.9bc9d71b5a7edp-16, -0x1.96ebab3095c55p-16, -0x1.92155981f58d4p-16, -0x1.8d46e3479b399p-16, -0x1.8880497976005p-16, -0x1.83c18cce31d17p-16, -0x1.7f0aadbe2293ap-16, -0x1.7a5bac8370189p-16, -0x1.75b4891c9a4f4p-16, -0x1.7115434b372a8p-16, -0x1.6c7dda9720294p-16, -0x1.67ee4e4ece92p-16, -0x1.63669d88da132p-16, -0x1.5ee6c723aba8fp-16, -0x1.5a6ec9c81826p-16, -0x1.55fea3ea312abp-16, -0x1.519653c9c4affp-16, -0x1.4d35d77308868p-16, -0x1.48dd2cc0b101dp-16, -0x1.448c515c90373p-16, -0x1.404342bff3aadp-16, -0x1.3c01fe351a4ap-16, -0x1.37c880d82f2e3p-16, -0x1.3396c7988a44dp-16, -0x1.2f6ccf38c3c3fp-16, -0x1.2b4a9450435d2p-16, -0x1.2730134bf5d37p-16, -0x1.231d486f6d364p-16, -0x1.1f122fd53195ap-16, -0x1.1b0ec5708ee61p-16, -0x1.1713050d3c5edp-16, -0x1.131eea516068ap-16, -0x1.0f3270bd9c257p-16, -0x1.0b4d93aeb54c4p-16, -0x1.07704e5ccc66bp-16, -0x1.039a9bde76e3bp-16, -0x1.ff98ee4e8b059p-17, -0x1.f80bb6148f9b3p-17, -0x1.f08d8472fad64p-17, -0x1.e91e4e907ddfep-17, -0x1.e1be095372f48p-17, -0x1.da6ca96806028p-17, -0x1.d32a233e19acbp-17, -0x1.cbf66b0d732edp-17, -0x1.c4d174d3f5d86p-17, -0x1.bdbb345ad6ac1p-17, -0x1.b6b39d355c70ap-17, -0x1.afbaa2c2ead3cp-17, -0x1.a8d0382fe4ad4p-17, -0x1.a1f45078bedd6p-17, -0x1.9b26de695ee41p-17, -0x1.9467d49e9d1b8p-17, -0x1.8db725892243ep-17, -0x1.8714c36cac2a3p-17, -0x1.8080a06253e18p-17, -0x1.79faae59f0494p-17, -0x1.7382df1ac18c6p-17, -0x1.6d1924452008dp-17, -0x1.66bd6f5280a25p-17, -0x1.606fb19894996p-17, -0x1.5a2fdc481dc8cp-17, -0x1.53fde070763f8p-17, -0x1.4dd9aefe2dbb3p-17, -0x1.47c338be277a5p-17, -0x1.41ba6e5d9102ap-17, -0x1.3bbf406b59fc1p-17, -0x1.35d19f58bba8p-17, -0x1.2ff17b7af6576p-17, -0x1.2a1ec50bb165ap-17, -0x1.24596c2a73cb8p-17, -0x1.1ea160dd3add7p-17, -0x1.18f693117207ap-17, -0x1.1358f29d5d1c3p-17, -0x1.0dc86f3fd3decp-17, -0x1.0844f8a38e3ebp-17, -0x1.02ce7e5c74553p-17, -0x1.fac9dfd8486fep-18, -0x1.f0107980a996dp-18, -0x1.e570a86984678p-18, -0x1.daea4b26fc7efp-18, -0x1.d07d402da335ap-18, -0x1.c62965cfc5e32p-18, -0x1.bbee9a455d07p-18, -0x1.b1ccbba661554p-18, -0x1.a7c3a7f2ac2bdp-18, -0x1.9dd33d0ed1ae5p-18, -0x1.93fb58c888e83p-18, -0x1.8a3bd8d771d08p-18, -0x1.80949adcb504ep-18, -0x1.77057c67d76e9p-18, -0x1.6d8e5af3bc244p-18, -0x1.642f13ed6ab2ap-18, -0x1.5ae784aec3467p-18, -0x1.51b78a87c68e3p-18, -0x1.489f02b6b9043p-18, -0x1.3f9dca728c7c1p-18, -0x1.36b3bee48b6afp-18, -0x1.2de0bd2ee25e4p-18, -0x1.2524a26a38098p-18, -0x1.1c7f4ba9418e7p-18, -0x1.13f095f85be15p-18, -0x1.0b785e603f899p-18, -0x1.031681e4a395bp-18, -0x1.f595bb1102d8cp-19, -0x1.e52a9c992241ep-19, -0x1.d4eb6260a53edp-19, -0x1.c4d7c66ef01ffp-19, -0x1.b4ef82c2b57e5p-19, -0x1.a53251710f289p-19, -0x1.959fec832d72cp-19, -0x1.86380e1db6a1ap-19, -0x1.76fa7061ab1bep-19, -0x1.67e6cd86be01dp-19, -0x1.58fcdfcfdf915p-19, -0x1.4a3c618e1c228p-19, -0x1.3ba50d2b2bc1ep-19, -0x1.2d369d1c05e7cp-19, -0x1.1ef0cbf4598cdp-19, -0x1.10d35456a9148p-19, -0x1.02ddf105f40f7p-19, -0x1.ea20b9adf248ep-20, -0x1.ced4a58867c46p-20, -0x1.b3d71bb505498p-20, -0x1.9927929f6b22ap-20, -0x1.7ec580e2f0ce4p-20, -0x1.64b05d67af08bp-20, -0x1.4ae79f59ae603p-20, -0x1.316abe28bb65dp-20, -0x1.183931976df97p-20, -0x1.fea4e35fc70e2p-21, -0x1.cd6bed967ee47p-21, -0x1.9cc6733c25638p-21, -0x1.6cb36642ad891p-21, -0x1.3d31b977ef199p-21, -0x1.0e4060237204fp-21, -0x1.bfbc9d05a67d8p-22, -0x1.6414f29dcfc8cp-22, -0x1.0987ac79116f4p-22, -0x1.60256e3e55ae6p-23, -0x1.5ed003c91e42fp-24, -0x1.a5e71913b211p-32, 0x1.573bb3e4bde4p-24, 0x1.55ee801e050ddp-23, 0x1.fe2315a289e65p-23, 0x1.521fd69f39079p-22, 0x1.a4242b58888cfp-22, 0x1.f5208ef40df6bp-22, 0x1.228b82d96a09p-21, 0x1.4a04c8fdd45d9p-21, 0x1.70fd1a3cd1742p-21, 0x1.977575ec557cdp-21, 0x1.bd6eda8ba0465p-21, 0x1.e2ea458c670a6p-21, 0x1.03f459c12ea45p-20, 0x1.16358ffbc34b9p-20, 0x1.283942c33052cp-20, 0x1.39ffeee589867p-20, 0x1.4b8a10ad2517fp-20, 0x1.5cd823eacd05ep-20, 0x1.6deaa3e5c927dp-20, 0x1.7ec20b69b17f6p-20, 0x1.8f5ed4b6cebbfp-20, 0x1.9fc1798ee6d5p-20, 0x1.afea732871972p-20, 0x1.bfda3a38138a6p-20, 0x1.cf9146e515501p-20, 0x1.df1010d22e23fp-20, 0x1.ee570f182b578p-20, 0x1.fd66b8414ba86p-20, 0x1.061fc12aeb68fp-19, 0x1.0d70f161c6c25p-19, 0x1.14a7273ebbaa4p-19, 0x1.1bc29cebb52ebp-19, 0x1.22c38c532e505p-19, 0x1.29aa2f12cf869p-19, 0x1.3076be837cc03p-19, 0x1.372973b692a53p-19, }}, 
      {{-0x1.ebc29efcaa121p-1, -0x1.ebacc6a238c1dp-1, -0x1.eb88018a58deap-1, -0x1.eb53d33b0bd3dp-1, -0x1.eb0fa45a118ccp-1, -0x1.eabad1ad1c7e9p-1, -0x1.ea54b9a7ec8f1p-1, -0x1.e9dcc7b54380ap-1, -0x1.e9527cee097d1p-1, -0x1.e8b5764691a3ep-1, -0x1.e805706b7928dp-1, -0x1.e74249a0c63eep-1, -0x1.e66c01fefe737p-1, -0x1.e582ba68d6ccep-1, -0x1.e486b28cf75ap-1, -0x1.e378463d22a17p-1, -0x1.e257ea58a86ebp-1, -0x1.e126297cb6499p-1, -0x1.dfe3a0a2820e1p-1, -0x1.de90fbc9e55c4p-1, -0x1.dd2ef2c6da632p-1, -0x1.dbbe46418d656p-1, -0x1.da3fbcf32b89fp-1, -0x1.d8b4212531a16p-1, -0x1.d71c3e759d53ep-1, -0x1.d578dfdfd1e06p-1, -0x1.d3cace0823856p-1, -0x1.d212cdc6b8bfep-1, -0x1.d0519eed9079fp-1, -0x1.ce87fb4509afap-1, -0x1.ccb695ba05563p-1, -0x1.cade19b8bdbd6p-1, -0x1.c8ff2aaf8661bp-1, -0x1.c71a63b4e16ddp-1, -0x1.c530574c9b71bp-1, -0x1.c3418f47f1301p-1, -0x1.c14e8cbd1333ep-1, -0x1.bf57c812b1be1p-1, -0x1.bd5db11c8d9f3p-1, -0x1.bb60af4656e1fp-1, -0x1.b96121ca6f20ap-1, -0x1.b75f5ff26758bp-1, -0x1.b55bb95f51461p-1, -0x1.b35676583381bp-1, -0x1.b14fd81d27b1fp-1, -0x1.af48193dd48c5p-1, -0x1.ad3f6df221635p-1, -0x1.ab36047429712p-1, -0x1.a92c055a91decp-1, -0x1.a72193f2895f7p-1, -0x1.a516ce98ceddbp-1, -0x1.a30bcf1139bffp-1, -0x1.a100aadc4e562p-1, -0x1.9ef5738a81dcep-1, -0x1.9cea370ce075ap-1, -0x1.9adf0002d4a5ap-1, -0x1.98d3d604e3472p-1, -0x1.96c8bdec33e73p-1, -0x1.94bdba16cf21bp-1, -0x1.92b2caa8819cep-1, -0x1.90a7edc8594dfp-1, -0x1.8e9d1fdac24ep-1, -0x1.8c925bb842cfp-1, -0x1.8a879ae0e47b5p-1, -0x1.887cd5ac5bbeep-1, -0x1.86720376fde78p-1, -0x1.84671acb9f679p-1, -0x1.825c118a734b7p-1, -0x1.8050dd0d05d59p-1, -0x1.7e45724773ad4p-1, -0x1.7c39c5e6f7936p-1, -0x1.7a2dcc6df0b29p-1, -0x1.78217a4d81de8p-1, -0x1.7614c3fce6c8ap-1, -0x1.74079e0ea4c59p-1, -0x1.71f9fd43aee25p-1, -0x1.6febd69ca5c06p-1, -0x1.6ddd1f69481bbp-1, -0x1.6bcdcd563a76fp-1, -0x1.69bdd6793d3d8p-1, -0x1.67ad315bed47bp-1, -0x1.659bd5052ce27p-1, -0x1.6389b9014b8ffp-1, -0x1.6176d56905229p-1, -0x1.5f6322e771ecp-1, -0x1.5d4e9abefa097p-1, -0x1.5b3936cd631b8p-1, -0x1.5922f18f0b53cp-1, -0x1.570bc62162c68p-1, -0x1.54f3b044b65a2p-1, -0x1.52daac5d5986cp-1, -0x1.50c0b7743f2b2p-1, -0x1.4ea5cf3710a3cp-1, -0x1.4c89f1f7ccd08p-1, -0x1.4a6d1eabfbcafp-1, -0x1.484f54eb84ee6p-1, -0x1.463094ef2c798p-1, -0x1.4410df8ec4e1fp-1, -0x1.41f0363f1d157p-1, -0x1.3fce9b0fb00f4p-1, -0x1.3dac10a81efd8p-1, -0x1.3b889a457c1fcp-1, -0x1.39643bb76ba48p-1, -0x1.373ef95d203e9p-1, -0x1.3518d822364d2p-1, -0x1.32f1dd7b75118p-1, -0x1.30ca0f63777bdp-1, -0x1.2ea174573ec1ep-1, -0x1.2c781352b6ab4p-1, -0x1.2a4df3cd28edfp-1, -0x1.28231db5a4e42p-1, -0x1.25f7996f5d5c3p-1, -0x1.23cb6fcdfeeefp-1, -0x1.219eaa11ff14p-1, -0x1.1f7151e4e7e9dp-1, -0x1.1d4371559f979p-1, -0x1.1b1512d4aece5p-1, -0x1.18e6413084de8p-1, -0x1.16b70791be008p-1, -0x1.148771776a0ep-1, -0x1.12578ab353abcp-1, -0x1.10275f664cba4p-1, -0x1.0df6fbfc7cc15p-1, -0x1.0bc66d29b3513p-1, -0x1.0995bfe5bf014p-1, -0x1.07650168cb08p-1, -0x1.05343f27c1007p-1, -0x1.030386d0b09fcp-1, -0x1.00d2e64740a7p-1, -0x1.fd44d74245615p-2, -0x1.f8e44a4525bcdp-2, -0x1.f4844275ba0c4p-2, -0x1.f024dd01d321fp-2, -0x1.ebc6375fac052p-2, -0x1.e7686f4725fe2p-2, -0x1.e30ba2ab1db52p-2, -0x1.deafefb2cf43ep-2, -0x1.da5574b352086p-2, -0x1.d5fc502927601p-2, -0x1.d1a4a0b1e0b2dp-2, -0x1.cd4e8505da295p-2, -0x1.c8fa1bf20e04ep-2, -0x1.c4a784520097dp-2, -0x1.c056dd09c0794p-2, -0x1.bc08450005f2fp-2, -0x1.b7bbdb1865c88p-2, -0x1.b371be2da48b1p-2, -0x1.af2a0d0c1f08bp-2, -0x1.aae4e66c52d6fp-2, -0x1.a6a268ed7f0e1p-2, -0x1.a262b31064aeap-2, -0x1.9e25e332232ccp-2, -0x1.99ec17872fcf7p-2, -0x1.95b56e16703f4p-2, -0x1.918204b46e263p-2, -0x1.8d51f8feadff5p-2, -0x1.89256857219b4p-2, -0x1.84fc6fdfbcf27p-2, -0x1.80d72c7627ff1p-2, -0x1.7cb5baaf9435ep-2, -0x1.789836d4af06dp-2, -0x1.747ebcddb78cp-2, -0x1.7069686eb302fp-2, -0x1.6c5854d3c392dp-2, -0x1.684b9cfda00fap-2, -0x1.64435b7e2bd85p-2, -0x1.603faa8531e3fp-2, -0x1.5c40a3dd3f796p-2, -0x1.584660e8a0c48p-2, -0x1.5450fa9e7e67ap-2, -0x1.506089881cea5p-2, -0x1.4c7525be3e763p-2, -0x1.488ee6e6a0b9ap-2, -0x1.44ade431a25f7p-2, -0x1.40d23458043bbp-2, -0x1.3cfbed98cd375p-2, -0x1.392b25b74d756p-2, -0x1.355ff1f944371p-2, -0x1.319a67251ed19p-2, -0x1.2dda998060faap-2, -0x1.2a209cce2313cp-2, -0x1.266c844db414p-2, -0x1.22be62b95879bp-2, -0x1.1f164a4528758p-2, -0x1.1b744c9e09caap-2, -0x1.17d87ae8c797ap-2, -0x1.1442e5c147961p-2, -0x1.10b39d39d9be3p-2, -0x1.0d2ab0daa7243p-2, -0x1.09a82fa136d2ep-2, -0x1.062c280014137p-2, -0x1.02b6a7de872ddp-2, -0x1.fe8f7930dd69bp-3, -0x1.f7bee5fc5d9f6p-3, -0x1.f0fbaea96fa5cp-3, -0x1.ea45eaab4e78ep-3, -0x1.e39db05f02a26p-3, -0x1.dd03150bf6e1p-3, -0x1.d6762ce4c9816p-3, -0x1.cff70b083b9efp-3, -0x1.c985c18251a6fp-3, -0x1.c322614d9a8f9p-3, -0x1.bcccfa54a1475p-3, -0x1.b6859b737dcf5p-3, -0x1.b04c527994126p-3, -0x1.aa212c2b72676p-3, -0x1.a4043444cedc2p-3, -0x1.9df5757ab07bap-3, -0x1.97f4f97daf732p-3, -0x1.9202c8fc54e14p-3, -0x1.8c1eeba5a1598p-3, -0x1.8649682ba5e03p-3, -0x1.808244463acecp-3, -0x1.7ac984b5d8249p-3, -0x1.751f2d467a289p-3, -0x1.6f8340d2aafcap-3, -0x1.69f5c1469962p-3, -0x1.6476afa34ac2cp-3, -0x1.5f060c01dd108p-3, -0x1.59a3d596e0631p-3, -0x1.54500ab5bf8a9p-3, -0x1.4f0aa8d43bfc4p-3, -0x1.49d3ac8df7d1cp-3, -0x1.44ab11a811603p-3, -0x1.3f90d314c5d88p-3, -0x1.3a84eaf72c88cp-3, -0x1.358752a6f3e05p-3, -0x1.309802b42ba51p-3, -0x1.2bb6f2eb1d3bep-3, -0x1.26e41a582694cp-3, -0x1.221f6f4ba2481p-3, -0x1.1d68e75dd5dcep-3, -0x1.18c07772e0efbp-3, -0x1.142613bebb4ddp-3, -0x1.0f99afc92c06fp-3, -0x1.0b1b3e71d1355p-3, -0x1.06aab1f41e18cp-3, -0x1.0247fbeb63c02p-3, -0x1.fbe61aadac5bep-4, -0x1.f357ad3b28405p-4, -0x1.eae48f255f73cp-4, -0x1.e28c9ef2674f5p-4, -0x1.da4fba104ec6p-4, -0x1.d22dbcdd2366dp-4, -0x1.ca2682aef65ebp-4, -0x1.c239e5dbc7178p-4, -0x1.ba67bfc182f29p-4, -0x1.b2afe8cde1d4ep-4, -0x1.ab12388640f05p-4, -0x1.a38e858f7a085p-4, -0x1.9c24a5b5a0537p-4, -0x1.94d46df3bbf43p-4, -0x1.8d9db27b6c77p-4, -0x1.868046bc830b8p-4, -0x1.7f7bfd6c89eacp-4, -0x1.7890a88e399f1p-4, -0x1.71be1978ded07p-4, -0x1.6b0420dfaac7cp-4, -0x1.64628ed8f178fp-4, -0x1.5dd932e553258p-4, -0x1.5767dbf6d05b1p-4, -0x1.510e5877ce1cdp-4, -0x1.4acc7651f7922p-4, -0x1.44a202f518249p-4, -0x1.3e8ecb5dd3227p-4, -0x1.38929c1c4a7e8p-4, -0x1.32ad415aa77a1p-4, -0x1.2cde86e392c5dp-4, -0x1.272638288c444p-4, -0x1.218420482daf8p-4, -0x1.1bf80a14538ffp-4, -0x1.1681c01829b3p-4, -0x1.11210c9e21fedp-4, -0x1.0bd5b9b5cbf4fp-4, -0x1.069f913996652p-4, -0x1.017e5cd470ee1p-4, -0x1.f8e3cc0eb2e1p-5, -0x1.eef3ec5d8e677p-5, -0x1.e52cad10039f1p-5, -0x1.db8da06caadb8p-5, -0x1.d216589066557p-5, -0x1.c8c667785fb81p-5, -0x1.bf9d5f0bda0d3p-5, -0x1.b69ad125bdffcp-5, -0x1.adbe4f9e0456bp-5, -0x1.a5076c52cf83ep-5, -0x1.9c75b93166965p-5, -0x1.9408c83eeadc7p-5, -0x1.8bc02ba0de06bp-5, -0x1.839b75a56a5d3p-5, -0x1.7b9a38cb81172p-5, -0x1.73bc07cab84ebp-5, -0x1.6c00759af7593p-5, -0x1.6467157bea796p-5, -0x1.5cef7afc4ecf8p-5, -0x1.55993a00f4c08p-5, -0x1.4e63e6cb9ed41p-5, -0x1.474f1601acd9cp-5, -0x1.405a5cb282728p-5, -0x1.3985505dd281fp-5, -0x1.32cf86f9a76cep-5, -0x1.2c3896f83f01bp-5, -0x1.25c0174dba0c9p-5, -0x1.1f659f759075p-5, -0x1.1928c777dce53p-5, -0x1.130927ee7a5ap-5, -0x1.0d065a09e9676p-5, -0x1.071ff79615783p-5, -0x1.01559afeda054p-5, -0x1.f74dbea8d5e3ep-6, -0x1.ec26c09f11acfp-6, -0x1.e13574ab0db16p-6, -0x1.d67914f85aab1p-6, -0x1.cbf0dd1ad1a44p-6, -0x1.c19c0a15ad96fp-6, -0x1.b779da6243f15p-6, -0x1.ad898df67823ap-6, -0x1.a3ca664adabcbp-6, -0x1.9a3ba66074159p-6, -0x1.90dc92c64aba9p-6, -0x1.87ac719e9d213p-6, -0x1.7eaa8aa3c1ffcp-6, -0x1.75d6272ce2a49p-6, -0x1.6d2e923236a41p-6, -0x1.64b3185139e54p-6, -0x1.5c6307d063505p-6, -0x1.543db0a2c1738p-6, -0x1.4c42646b3fe6fp-6, -0x1.4470767faec3p-6, -0x1.3cc73beb96b87p-6, -0x1.35460b72b96bbp-6, -0x1.2dec3d936b1bap-6, -0x1.26b92c88aad79p-6, -0x1.1fac344bef695p-6, -0x1.18c4b296d8ce3p-6, -0x1.120206e49cb95p-6, -0x1.0b6392732e204p-6, -0x1.04e8b8444cda7p-6, -0x1.fd21ba3ca3663p-7, -0x1.f0b6cf199271cp-7, -0x1.e48f7fc1c5d92p-7, -0x1.d8aaa0635b8adp-7, -0x1.cd0708b85391cp-7, -0x1.c1a394064c873p-7, -0x1.b67f211dff47dp-7, -0x1.ab98925a5c5d4p-7, -0x1.a0eecd9f46e3cp-7, -0x1.9680bc581e2d4p-7, -0x1.8c4d4b75e919dp-7, -0x1.82536b6d31373p-7, -0x1.78921033ac9e6p-7, -0x1.6f08313d8c569p-7, -0x1.65b4c97a8b631p-7, -0x1.5c96d752bd14p-7, -0x1.53ad5ca3311e6p-7, -0x1.4af75eba3c398p-7, -0x1.4273e65390761p-7, -0x1.3a21ff941e8eep-7, -0x1.3200ba05cef87p-7, -0x1.2a0f2892eab89p-7, -0x1.224c6181632b5p-7, -0x1.1ab77e6df2ef8p-7, -0x1.134f9c46ee0b7p-7, -0x1.0c13db470b078p-7, -0x1.05035eeff0a4bp-7, -0x1.fc3a9c09260bbp-8, -0x1.eec1a50700c16p-8, -0x1.e19a3341d713cp-8, -0x1.d4c2a78150dbdp-8, -0x1.c83968e010e7p-8, -0x1.bbfce4bf066f4p-8, -0x1.b00b8eb8aa964p-8, -0x1.a463e093d0aafp-8, -0x1.99045a36a8d0fp-8, -0x1.8deb8198eb9c5p-8, -0x1.8317e2b685bf3p-8, -0x1.78880f8187211p-8, -0x1.6e3a9fd43eff3p-8, -0x1.642e316310463p-8, -0x1.5a6167ae246d3p-8, -0x1.50d2ebf2f58p-8, -0x1.47816d1dbd6cap-8, -0x1.3e6b9fbad1e3cp-8, -0x1.35903de7de737p-8, -0x1.2cee0744fa09ap-8, -0x1.2483c0e5b7ad9p-8, -0x1.1c50354214e3p-8, -0x1.145234276e85cp-8, -0x1.0c8892a944abdp-8, -0x1.04f22b121d35bp-8, -0x1.fb1bb9a831ed8p-9, -0x1.ecb518f39ba77p-9, -0x1.deae472db8667p-9, -0x1.d105217157ac9p-9, -0x1.c3b78eadedbd6p-9, -0x1.b6c37f89020cap-9, -0x1.aa26ee3f63b15p-9, -0x1.9ddfde86718c8p-9, -0x1.91ec5d6d7d75fp-9, -0x1.864a813eefcb3p-9, -0x1.7af869620a502p-9, -0x1.6ff43e3bf2f8ep-9, -0x1.653c311177ea8p-9, -0x1.5ace7be8c6885p-9, -0x1.50a9616ae6d57p-9, -0x1.46cb2cc5983a1p-9, -0x1.3d32318d4a6edp-9, -0x1.33dccb9f394e9p-9, -0x1.2ac95f037855cp-9, -0x1.21f657cf4e116p-9, -0x1.19622a07b6f69p-9, -0x1.110b5183e3b8bp-9, -0x1.08f051d02b97cp-9, -0x1.010fb610dbc73p-9, -0x1.f2d021cac40fap-10, -0x1.e3eff8974e35ap-10, -0x1.d57c3306efb12p-10, -0x1.c77221e47d8efp-10, -0x1.b9cf240deadc4p-10, -0x1.ac90a63c41d02p-10, -0x1.9fb422cc7be27p-10, -0x1.933721886ac5ep-10, -0x1.871737705346ep-10, -0x1.7b5206849fcf1p-10, -0x1.6fe53d90ab426p-10, -0x1.64ce97f52686fp-10, -0x1.5a0bdd73f97bp-10, -0x1.4f9ae1fb82e9dp-10, -0x1.457985736a72dp-10, -0x1.3ba5b38902f9dp-10, -0x1.321d637cf159bp-10, -0x1.28de97f0b390ap-10, -0x1.1fe75eb517bd6p-10, -0x1.1735d09912cffp-10, -0x1.0ec81138ef0cdp-10, -0x1.069c4ece615e9p-10, -0x1.fd61840154bb8p-11, -0x1.ee075b6bc24afp-11, -0x1.df26bdc7b69a9p-11, -0x1.d0bc58c5749f9p-11, -0x1.c2c4ed7ded938p-11, -0x1.b53d50194eda5p-11, -0x1.a82267762c2e9p-11, -0x1.9b712cd177d7cp-11, -0x1.8f26ab702c59bp-11, -0x1.834000492fc8ap-11, -0x1.77ba59b11ffbep-11, -0x1.6c92f70721b4cp-11, -0x1.61c72861db74dp-11, -0x1.57544e3e6b361p-11, -0x1.4d37d9307c5d9p-11, -0x1.436f499280954p-11, -0x1.39f82f38369eap-11, -0x1.30d0292139b41p-11, -0x1.27f4e52d14e6p-11, -0x1.1f641fd09d6e8p-11, -0x1.171ba3cbc7f78p-11, -0x1.0f1949e104ca7p-11, -0x1.075af88daef26p-11, -0x1.ffbd47859eb62p-12, -0x1.f1449940317e2p-12, -0x1.e348025db0a5bp-12, -0x1.d5c3b83ce50f6p-12, -0x1.c8b409038f084p-12, -0x1.bc155b1b92d05p-12, -0x1.afe42cb14d784p-12, -0x1.a41d1334bded9p-12, -0x1.98bcbadc9b9ebp-12, -0x1.8dbfe62a7748cp-12, -0x1.83236d727d509p-12, -0x1.78e43e6307eaep-12, -0x1.6eff5b90324a4p-12, -0x1.6571dc0008126p-12, -0x1.5c38eab8fe446p-12, -0x1.5351c651fc889p-12, -0x1.4ab9c08585699p-12, -0x1.426e3dc44909bp-12, -0x1.3a6cb4cc5356ep-12, -0x1.32b2ae401142ep-12, -0x1.2b3dc43f94a41p-12, -0x1.240ba20482628p-12, -0x1.1d1a037e226afp-12, -0x1.1666b4f137e8cp-12, -0x1.0fef92975a0bdp-12, -0x1.09b288418483ep-12, -0x1.03ad90fc3bf4cp-12, -0x1.fbbd6d693f83cp-13, -0x1.f08823bec2acep-13, -0x1.e5b7924401afap-13, -0x1.db4821f9c6bc5p-13, -0x1.d13656ee19d24p-13, -0x1.c77ecf97a0109p-13, -0x1.be1e443490dc2p-13, -0x1.b51186299d827p-13, -0x1.ac557f683f14p-13, -0x1.a3e731d4c0b06p-13, -0x1.9bc3b6b06a5d9p-13, -0x1.93e83e06b531fp-13, -0x1.8c520e1d01b4bp-13, -0x1.84fe82e4faca2p-13, -0x1.7deb0d71e8ba4p-13, -0x1.771533719cc01p-13, -0x1.707a8ea6776cdp-13, -0x1.6a18cc65a44d8p-13, -0x1.63edad1646f58p-13, -0x1.5df703b4e9016p-13, -0x1.5832b5596dea9p-13, -0x1.529eb8bd0ef66p-13, -0x1.4d3915c6383fap-13, -0x1.47ffe514c7ed6p-13, -0x1.42f14f912f1aep-13, -0x1.3e0b8dfdc5b21p-13, -0x1.394ce88b167bep-13, -0x1.34b3b66d23c94p-13, -0x1.303e5d750733ap-13, -0x1.2beb51aa32caap-13, -0x1.27b914e835e07p-13, -0x1.23a6367dce34bp-13, -0x1.1fb152ccb55edp-13, -0x1.1bd912ee4e9edp-13, -0x1.181c2c57f44cep-13, -0x1.147960821d11dp-13, -0x1.10ef7c924b641p-13, -0x1.0d7d590508bb1p-13, -0x1.0a21d95c2e56ap-13, -0x1.06dbebcd22511p-13, -0x1.03aa88f1a637bp-13, -0x1.008cb37a62983p-13, -0x1.fb02efc7dcebep-14, -0x1.f50fd8578b463p-14, -0x1.ef3e5f1185d52p-14, -0x1.e98cd44a39468p-14, -0x1.e3f999b201608p-14, -0x1.de8321ceecbddp-14, -0x1.d927ef7a11ddbp-14, -0x1.d3e6955e45494p-14, -0x1.cebdb57d94b4ep-14, -0x1.c9ac00b425cc6p-14, -0x1.c4b0364479eaap-14, -0x1.bfc9236113af3p-14, -0x1.baf5a2bc6375dp-14, -0x1.b6349c1aa6cdep-14, -0x1.b18503e4fbfd9p-14, -0x1.ace5dac1eb6ffp-14, -0x1.a8562d2dbb18p-14, -0x1.a3d51317e1463p-14, -0x1.9f61af81031aep-14, -0x1.9afb301cb7a48p-14, -0x1.96a0ccf5b0bdbp-14, -0x1.9251c812c8297p-14, -0x1.8e0d6d2050b81p-14, -0x1.89d3111a7d05bp-14, -0x1.85a211fa5aa1cp-14, -0x1.8179d66557b5fp-14, -0x1.7d59cd5e1aa09p-14, -0x1.79416df83d3b1p-14, -0x1.7530370eacecep-14, -0x1.7125aef96f484p-14, -0x1.6d216348f59b7p-14, -0x1.6922e88030087p-14, -0x1.6529d9d2c1e07p-14, -0x1.6135d8e39182cp-14, -0x1.5d468d865ed9dp-14, -0x1.595ba581d87cfp-14, -0x1.5574d45586f6fp-14, -0x1.5191d2fe30988p-14, -0x1.4db25fbf70bcep-14, -0x1.49d63deb5d231p-14, -0x1.45fd35afbf759p-14, -0x1.422713e03a832p-14, -0x1.3e53a9c6aad1ep-14, -0x1.3a82ccf17679dp-14, -0x1.36b45704dc3adp-14, -0x1.32e8258db74a9p-14, -0x1.2f1e19d559d14p-14, -0x1.2b5618b5f950ep-14, -0x1.27900a7252205p-14, -0x1.23cbda8c1a476p-14, -0x1.2009779e4a22dp-14, -0x1.1c48d336868efp-14, -0x1.1889e1b0a8f12p-14, -0x1.14cc9a13edb1ap-14, -0x1.1110f5f066434p-14, -0x1.0d56f13d85fe4p-14, -0x1.099e8a3a47ba9p-14, -0x1.05e7c14e3550ap-14, -0x1.023298eb50766p-14, -0x1.fcfe2ae1dab9cp-15, -0x1.f59a7a2075896p-15, -0x1.ee3a2f609a76ap-15, -0x1.e6dd5daa158cbp-15, -0x1.df841b0a683b2p-15, -0x1.d82e8064d3714p-15, -0x1.d0dca942677d2p-15, -0x1.c98eb3a5bc4e2p-15, -0x1.c244bfdeac992p-15, -0x1.bafef05fe89acp-15, -0x1.b3bd699741499p-15, -0x1.ac8051c5e0cbfp-15, -0x1.a547d0dabfc95p-15, -0x1.9e14104f464c9p-15, -0x1.96e53b039f8b6p-15, -0x1.8fbb7d1cb2236p-15, -0x1.889703e5be341p-15, -0x1.8177fdafce1c4p-15, -0x1.7a5e99b4a5cedp-15, -0x1.734b07fa1765cp-15, -0x1.6c3d793706f8ep-15, -0x1.65361eb979116p-15, -0x1.5e352a4ccff3bp-15, -0x1.573ace22794abp-15, -0x1.50473cba4a65dp-15, -0x1.495aa8cd0e83dp-15, -0x1.4275453770a1p-15, -0x1.3b9744e57aca7p-15, -0x1.34c0dac006475p-15, -0x1.2df2399a9d3ffp-15, -0x1.272b942107ba2p-15, -0x1.206d1cc8b421fp-15, -0x1.19b705bf4d158p-15, -0x1.130980dc5bef7p-15, -0x1.0c64bf93a5f27p-15, -0x1.05c8f2e6c5d1dp-15, -0x1.fe6c96b2fa9b4p-16, -0x1.f159f1c8cb303p-16, -0x1.e45a55d6764c4p-16, -0x1.d76e20615a763p-16, -0x1.ca95ad9a5f807p-16, -0x1.bdd1584af5354p-16, -0x1.b12179c3851adp-16, -0x1.a48669c8bd811p-16, -0x1.98007e875e877p-16, -0x1.8b900c833bff6p-16, -0x1.7f356689fc3aap-16, -0x1.72f0dda8e9b8fp-16, -0x1.66c2c11e0a43dp-16, -0x1.5aab5e50688dbp-16, -0x1.4eab00c4f75cbp-16, -0x1.42c1f2168d572p-16, -0x1.36f079ec9eb77p-16, -0x1.2b36ddf64bf74p-16, -0x1.1f9561e09eda6p-16, -0x1.140c475425f17p-16, -0x1.089bcdedcfc79p-16, -0x1.fa8866754cfb5p-17, -0x1.e40b656a5d8bep-17, -0x1.cdc10b82f27d8p-17, -0x1.b7a9c7564b717p-17, -0x1.a1c60346b5ea5p-17, -0x1.8c16257dfe7d5p-17, -0x1.769a8fedff7eep-17, -0x1.6153a04d37acp-17, -0x1.4c41b01940ab3p-17, -0x1.37651495c3b74p-17, -0x1.22be1ed2e61ecp-17, -0x1.0e4d1baa89b21p-17, -0x1.f424a78fbb57ap-18, -0x1.cc1c175923c3fp-18, -0x1.a4810765421eap-18, -0x1.7d53f02b56e2ep-18, -0x1.569541f1dba87p-18, -0x1.304564d8061c5p-18, -0x1.0a64b8eee05e1p-18, -0x1.c9e72c80c9c6dp-19, -0x1.7fe499cfbc284p-19, -0x1.36c24a42cb907p-19, -0x1.dd017d88a3bb6p-20, -0x1.4e40d19c5bc74p-20, -0x1.8286aa827e023p-21, -0x1.b04d76874b32p-23, 0x1.4dae646313133p-22, 0x1.b6382e961086ep-21, 0x1.61077d99027e9p-20, 0x1.e52d9a7111779p-20, 0x1.33c72c3b753c6p-19, 0x1.7414df0f9306fp-19, 0x1.b37ff6a024c3cp-19, 0x1.f208915259a3p-19, 0x1.17d76d68f7dbap-18, 0x1.363985e93d08ap-18, 0x1.542ab4eef9249p-18, 0x1.71ab2389bbe7dp-18, 0x1.8ebb00f96d102p-18, 0x1.ab5a8292f0f49p-18, 0x1.c789e39bfb1a8p-18, 0x1.e349653755daap-18, 0x1.fe994e3e38426p-18, 0x1.0cbcf59427b0fp-17, 0x1.19f5c6f58bcfp-17, 0x1.26f746ee31438p-17, 0x1.33c1a3ca77914p-17, 0x1.40550e68eb82ep-17, 0x1.4cb1ba2b860d9p-17, 0x1.58d7dce7de923p-17, 0x1.64c7aed9507a1p-17, 0x1.70816a91b2ebdp-17, 0x1.7c054ce97899dp-17, 0x1.875394f2895f4p-17, 0x1.926c83e7e9258p-17, 0x1.9d505d1fe018ep-17, 0x1.a7ff65fcd8d7dp-17, 0x1.b279e5df8cfafp-17, 0x1.bcc0261659d4ap-17, 0x1.c6d271d2bdcfep-17, 0x1.d0b11616571bdp-17, 0x1.da5c61a8317bbp-17, 0x1.e3d4a5055dd81p-17, 0x1.ed1a325320378p-17, 0x1.f62d5d50dcdd9p-17, 0x1.ff0e7b4a99d9cp-17, 0x1.03def185b1e21p-16, 0x1.081df667ef932p-16, 0x1.0c44791c2936ap-16, 0x1.1052a71e52b02p-16, 0x1.1448ae8f43f24p-16, 0x1.1826be2e336bdp-16, 0x1.1bed05526f255p-16, 0x1.1f9bb3e5794efp-16, 0x1.2332fa5bf348cp-16, 0x1.26b309b05182cp-16, 0x1.2a1c135c53081p-16, 0x1.2d6e49538235ep-16, 0x1.30a9ddfc3c962p-16, 0x1.33cf042b98febp-16, 0x1.36ddef1e34554p-16, 0x1.39d6d272f8e47p-16, 0x1.3cb9e2260059fp-16, 0x1.3f87528aa132fp-16, 0x1.423f58462edc2p-16, 0x1.44e2284ad252p-16, 0x1.476ff7d21fbd5p-16, 0x1.49e8fc5822f53p-16, 0x1.4c4d6b9667adap-16, 0x1.4e9d7b7ecdc52p-16, 0x1.50d96236d759p-16, 0x1.53015612b2651p-16, 0x1.55158d90ff2e5p-16, 0x1.57163f55b5db1p-16, 0x1.5903a22601c35p-16, 0x1.5addece395486p-16, 0x1.5ca5568888bf8p-16, 0x1.5e5a1623395bep-16, 0x1.5ffc62d19519bp-16, 0x1.618c73bda18d3p-16, 0x1.630a80195fd86p-16, 0x1.6476bf1a98208p-16, 0x1.65d167f745b4p-16, 0x1.671ab1e201bf8p-16, 0x1.6852d40601ec8p-16, 0x1.697a0583d259fp-16, 0x1.6a907d6dd75ffp-16, 0x1.6b9672c4bf797p-16, 0x1.6c8c1c7422936p-16, 0x1.6d71b14fb45b2p-16, 0x1.6e47680f8ff71p-16, 0x1.6f0d774d8e5cdp-16, 0x1.6fc41581ec1c1p-16, 0x1.706b7900c69e1p-16, 0x1.7103d7f6f0c6ep-16, 0x1.718d68675c07ap-16, 0x1.7208602828cecp-16, 0x1.7274f4e056f07p-16, 0x1.72d35c0514c78p-16, 0x1.7323cad71e311p-16, 0x1.73667660c4253p-16, 0x1.739b9373165fap-16, 0x1.73c356a3db1e9p-16, 0x1.73ddf44b6a0e3p-16, 0x1.73eba0828cf87p-16, 0x1.73ec8f2054ecep-16, 0x1.73e0f3b821212p-16, 0x1.73c90197e763ep-16, 0x1.73a4ebc5fe759p-16, 0x1.7374e4ff8295ep-16, 0x1.73391fb6834dp-16, 0x1.72f1ce10910b8p-16, 0x1.729f21e4ccb05p-16, 0x1.72414cba82d94p-16, 0x1.71d87fc7c5c2ap-16, 0x1.7164ebefeb0dp-16, 0x1.70e6c1c22c18cp-16, 0x1.705e31781b25fp-16, 0x1.6fcb6af4af0e2p-16, 0x1.6f2e9dc2d47e3p-16, 0x1.6e87f914612ffp-16, 0x1.6dd7abc0ff36ep-16, 0x1.6d1de44509e32p-16, 0x1.6c5ad0c07b376p-16, 0x1.6b8e9ef608edbp-16, 0x1.6ab97c4a59fc3p-16, 0x1.69db95c302743p-16, 0x1.68f51805a9e52p-16, 0x1.68062f5771e0dp-16, 0x1.670f079c2fd35p-16, 0x1.660fcc559fa53p-16, 0x1.6508a8a2db8b9p-16, 0x1.63f9c73fafd03p-16, 0x1.62e3528420521p-16, 0x1.61c57463e6d15p-16, 0x1.60a0566df58dbp-16, 0x1.5f7421cbeda58p-16, 0x1.5e40ff41e4b7bp-16, 0x1.5d07172de83aep-16, 0x1.5bc69187c03dcp-16, 0x1.5a7f95e08ed86p-16, 0x1.59324b62a4378p-16, 0x1.57ded8d1494a7p-16, 0x1.568564888d51dp-16, 0x1.5526147d21d88p-16, 0x1.53c10e3c1c02fp-16, 0x1.525676eb0dc74p-16, 0x1.50e67347c231bp-16, 0x1.4f7127a86958ep-16, 0x1.4df6b7fb9070cp-16, 0x1.4c7747c81642fp-16, 0x1.4af2fa2d256b6p-16, 0x1.4969f1e274798p-16, 0x1.47dc5138620acp-16, 0x1.464a3a17ddbb7p-16, 0x1.44b3ce02b8db5p-16, 0x1.43192e13fa039p-16, 0x1.417a7affeb804p-16, 0x1.3fd7d51458902p-16, 0x1.3e315c38b6771p-16, 0x1.3c872fee8fdcp-16, 0x1.3ad96f51aaf98p-16, 0x1.39283918738a7p-16, 0x1.3773ab9473d8bp-16, 0x1.35bbe4b26c848p-16, 0x1.340101fab8ad6p-16, 0x1.32432091c9e2ap-16, 0x1.30825d38a6f56p-16, 0x1.2ebed44d3296ep-16, 0x1.2cf8a1ca8a758p-16, 0x1.2b2fe14991973p-16, 0x1.2964ae01a47dcp-16, 0x1.279722c8d2145p-16, 0x1.25c75a14506a7p-16, 0x1.23f56df92834p-16, 0x1.2221782c92758p-16, 0x1.204b920494e1bp-16, 0x1.1e73d478b0f32p-16, 0x1.1c9a58223dfe9p-16, 0x1.1abf353d1be71p-16, 0x1.18e283a83cbfp-16, 0x1.17045ae627ed4p-16, 0x1.1524d21dc3f03p-16, 0x1.1344001ad3beep-16, 0x1.1161fb4e8f8c3p-16, 0x1.0f7ed9d064733p-16, 0x1.0d9ab15e7b369p-16, 0x1.0bb5975e675a2p-16, 0x1.09cfa0ddce4f6p-16, 0x1.07e8e29337b46p-16, 0x1.060170de70c49p-16, 0x1.04195fc9407d5p-16, 0x1.0230c30834fb8p-16, 0x1.0047adfb7301ap-16, 0x1.fcbc675e6f592p-17, 0x1.f8e8cdb909557p-17, 0x1.f514b3d3de153p-17, 0x1.f1403dd85bce1p-17, 0x1.ed6b8f4df7e39p-17, 0x1.e996cb1b3812dp-17, 0x1.e5c21387c0779p-17, 0x1.e1ed8a3d2766p-17, 0x1.de1950489e8e6p-17, 0x1.da45861c4cdd4p-17, 0x1.d6724b91554c5p-17, 0x1.d29fbfe88f59dp-17, 0x1.cece01cc302c7p-17, 0x1.cafd2f5138a0dp-17, 0x1.c72d65f91174dp-17, 0x1.c35ec2b338be5p-17, 0x1.bf9161de5af12p-17, 0x1.bbc55f49cb036p-17, 0x1.b7fad6373718bp-17, 0x1.b431e15c05445p-17, 0x1.b06a9ae2d452cp-17, 0x1.aca51c6cdfc0cp-17, 0x1.a8e17f13905f5p-17, 0x1.a51fdb69c377ap-17, 0x1.a160497d8f50bp-17, 0x1.9da2e0d9e23cep-17, 0x1.99e7b8875ac5bp-17, 0x1.962ee70e11f57p-17, 0x1.9278827727a82p-17, 0x1.8ec4a04e23a08p-17, 0x1.8b1355a2552c5p-17, 0x1.8764b70825cfdp-17, 0x1.83b8d89b16p-17, 0x1.800fcdfec9305p-17, 0x1.7c69aa60542b8p-17, 0x1.78c6807800286p-17, 0x1.7526628a6b04ep-17, 0x1.7189626a1acb8p-17, 0x1.6def9178ebc12p-17, 0x1.6a5900a975cc8p-17, 0x1.66c5c08048136p-17, 0x1.6335e115b9075p-17, 0x1.5fa9721706a09p-17, 0x1.5c2082c79c119p-17, 0x1.589b22024bf2ap-17, 0x1.55195e3b3bb0ep-17, 0x1.519b4580d88cdp-17, 0x1.4e20e57d2d723p-17, 0x1.4aaa4b7795e82p-17, 0x1.47378455d10a2p-17, 0x1.43c89c9d3d24ap-17, 0x1.405da074249d2p-17, 0x1.3cf69ba380e1fp-17, 0x1.39939997cd661p-17, 0x1.3634a56296af5p-17, 0x1.32d9c9bb8b00fp-17, 0x1.2f831101db958p-17, 0x1.2c30853d9839dp-17, 0x1.28e23020f9c1ep-17, 0x1.25981b098c109p-17, 0x1.22524f01617d8p-17, 0x1.1f10d4c0402d3p-17, 0x1.1bd3b4acf5506p-17, 0x1.189af6de82578p-17, 0x1.1566a31d35655p-17, 0x1.1236c0e4652efp-17, 0x1.0f0b5762e84f7p-17, 0x1.0be46d7c919a1p-17, 0x1.08c209cb4b6eap-17, 0x1.05a432a06e6e4p-17, 0x1.028aee05b7a19p-17, 0x1.feec837cfe13fp-18, 0x1.f8cc669157d08p-18, 0x1.f2b58fbbfeac7p-18, 0x1.eca808ea9284ap-18, 0x1.e6a3db866a729p-18, 0x1.e0a9107780c16p-18, 0x1.dab7b0258ed66p-18, 0x1.d4cfc27af4d32p-18, 0x1.cef14ee6daea6p-18, 0x1.c91c5c5ef5527p-18, 0x1.c350f16187e99p-18, 0x1.bd8f13f7ab48fp-18, 0x1.b7d6c9b742937p-18, 0x1.b22817c50b7fbp-18, 0x1.ac8302d686076p-18, 0x1.a6e78f341401bp-18, 0x1.a155c0ba70fd5p-18, 0x1.9bcd9add0f3f9p-18, 0x1.964f20a7f3ec4p-18, 0x1.90da54c1b0008p-18, 0x1.8b6f396cfd5b9p-18, 0x1.860dd08a290d2p-18, 0x1.80b61b9a1c1cdp-18, 0x1.7b681bbf4df1bp-18, 0x1.7623d1bfd98b7p-18, 0x1.70e93e06a9d8fp-18, 0x1.6bb860a5e895cp-18, 0x1.66913958a3f85p-18, 0x1.6173c78405b25p-18, 0x1.5c600a3937748p-18, 0x1.57560037738bfp-18, 0x1.5255a7ed7f0a9p-18, 0x1.4d5eff7b088e1p-18, 0x1.487204b238e39p-18, 0x1.438eb51974f53p-18, 0x1.3eb50decf9abcp-18, 0x1.39e50c205539bp-18, 0x1.351eac6019c2p-18, 0x1.3061eb132107p-18, 0x1.2baec45bf4b4p-18, 0x1.2705341a9453bp-18, 0x1.226535eddb01fp-18, 0x1.1dcec534e4d3cp-18, 0x1.1941dd103ae31p-18, 0x1.14be786373cd8p-18, 0x1.104491d6d7a77p-18, 0x1.0bd423d813d7ap-18, 0x1.076d289be7f9ap-18, 0x1.030f9a1fa9402p-18, 0x1.fd76e4555e21ep-19, 0x1.f4e1549e01a5ap-19, 0x1.ec5e77d5ecd73p-19, 0x1.e3ee40558640bp-19, 0x1.db90a01236a1bp-19, 0x1.d34588a109aa1p-19, 0x1.cb0ceb3a2a565p-19, 0x1.c2e6b8bab1d5dp-19, 0x1.bad2e1a6a8972p-19, 0x1.b2d1562ad2e01p-19, 0x1.aae2062066cf4p-19, 0x1.a304e10ebe6f7p-19, 0x1.9b39d62d4a5afp-19, 0x1.9380d465bc49dp-19, 0x1.8bd9ca55ccbe7p-19, 0x1.8444a6527e506p-19, 0x1.7cc15668f7932p-19, 0x1.754fc861b515cp-19, 0x1.6defe9c1544ccp-19, 0x1.66a1a7cbe827fp-19, 0x1.5f64ef85f871dp-19, 0x1.5839adb61d676p-19, 0x1.511fcee85cf36p-19, 0x1.4a173f6ee6084p-19, 0x1.431feb63e5dcep-19, 0x1.3c39beac00e11p-19, 0x1.3564a4f752b06p-19, 0x1.2ea089c3e390bp-19, 0x1.27ed585eeeb94p-19, 0x1.214afbe74719cp-19, 0x1.1ab95f4e08e6fp-19, 0x1.14386d585d8cfp-19, 0x1.0dc810a1f9d33p-19, 0x1.0768339e95237p-19, 0x1.0118c09a19f5dp-19, 0x1.f5b34377805b5p-20, 0x1.e955820d4a928p-20, 0x1.dd1810b8693c4p-20, 0x1.d0fac2f938bd9p-20, 0x1.c4fd6c10a6952p-20, 0x1.b91fdf0610c45p-20, 0x1.ad61eea52eda6p-20, 0x1.a1c36d85dda9cp-20, 0x1.96442e09c7c2cp-20, 0x1.8ae40263c5f06p-20, 0x1.7fa2bc96adb18p-20, 0x1.74802e7a4448ep-20, 0x1.697c29bd6cc0bp-20, 0x1.5e967fe718e02p-20, 0x1.53cf025a0f51ap-20, 0x1.49258257534bep-20, 0x1.3e99d100324d2p-20, 0x1.342bbf586b33cp-20, 0x1.29db1e48849c7p-20, 0x1.1fa7be9fa3463p-20, 0x1.15917115c2763p-20, 0x1.0b98064febe94p-20, 0x1.01bb4ede96b2dp-20, 0x1.eff63683afd5cp-21, 0x1.dcae77d96675ap-21, 0x1.c99f028792cedp-21, 0x1.b6c7774540771p-21, 0x1.a42776b39e45ep-21, 0x1.91bea16b4311cp-21, 0x1.7f8c97f614a1ap-21, 0x1.6d90fad86ccc2p-21, 0x1.5bcb6a94e29d4p-21, 0x1.4a3b87ac684ffp-21, 0x1.38e0f2a4c3d2ap-21, 0x1.27bb4c0959764p-21, 0x1.16ca347024fccp-21, 0x1.060d4c7c01aa9p-21, 0x1.eb0869c1dfe11p-22, 0x1.ca5d1ccb56f4cp-22, 0x1.aa17f3cd9bb24p-22, 0x1.8a3830b2d57d4p-22, 0x1.6abd15a065907p-22, 0x1.4ba5e4f620b04p-22, 0x1.2cf1e157d6bfcp-22, 0x1.0ea04dafa9cf4p-22, 0x1.e160da6e6a9ebp-23, 0x1.a64306f3f4ac2p-23, 0x1.6be5a8b1fd245p-23, 0x1.3247481fcbb88p-23, 0x1.f2ccdd01c9432p-24, 0x1.82834bae0e72p-24, 0x1.13aef1fbf1944p-24, 0x1.4c99cea40e8dfp-25, 0x1.d2d227bea2e89p-27, -0x1.815ed0dee8c9bp-27, -0x1.3290b1aecd355p-25, -0x1.00fe1855ea9edp-24, -0x1.674ff791c1ed8p-24, -0x1.cc40d3796011ep-24, -0x1.17e9c366f485ap-23, -0x1.4905750d18192p-23, -0x1.7974e9d4f57ap-23, -0x1.a9398bbc7ee4ap-23, -0x1.d854c38c80848p-23, -0x1.0363fc70b752bp-22, -0x1.1a4a4909367d8p-22, -0x1.30ddfa201a3f8p-22, -0x1.471fc19c24fb4p-22, -0x1.5d1050c10a666p-22, -0x1.72b058263995p-22, -0x1.880087bbf7ed5p-22, -0x1.9d018ebc56dbap-22, -0x1.b1b41bb687a67p-22, -0x1.c618dc813264p-22, -0x1.da307e41f9f8ap-22, -0x1.edfbad5f63724p-22, -0x1.00bd8ac5614e2p-21, -0x1.0a57b0db00a9bp-21, -0x1.13cc9e0a4049bp-21, -0x1.1d1ca70bb773ep-21, -0x1.26482037fa4cp-21, -0x1.2f4f5d8330e2dp-21, -0x1.3832b280674cap-21, -0x1.40f2725bc0e64p-21, -0x1.498eefdee1f6bp-21, -0x1.52087d6ba114dp-21, -0x1.5a5f6cfdbb6b8p-21, -0x1.62941029cc3e8p-21, -0x1.6aa6b81b2de3fp-21, -0x1.7297b597085e9p-21, -0x1.7a6758f56817fp-21, -0x1.8215f226cc1edp-21, -0x1.89a3d0b01a993p-21, -0x1.911143aa0fbafp-21, -0x1.985e99c329d6ap-21, -0x1.9f8c213b9ef71p-21, -0x1.a69a27e80b525p-21, -0x1.ad88fb2f7889ep-21, -0x1.b458e809e16eep-21, -0x1.bb0a3b02bc7cbp-21, -0x1.c19d4035413a4p-21, -0x1.c812434e8c8e9p-21, -0x1.ce698f8b6cf96p-21, -0x1.d4a36fba1c24bp-21, -0x1.dac02e3796ab8p-21, -0x1.e0c014f16a317p-21, -0x1.e6a36d62fe2cp-21, -0x1.ec6a8098e8d16p-21, -0x1.f215972cde3cep-21, -0x1.f7a4f947ecf94p-21, -0x1.fd18eea135a6ap-21, -0x1.0138df3fb39b3p-20, -0x1.03d7d7dade9d1p-20, -0x1.06698453764c9p-20, -0x1.08ee07a170487p-20, -0x1.0b658483596efp-20, -0x1.0dd01d7fcdb82p-20, -0x1.102df4e22de2fp-20, -0x1.127f2cbf799d4p-20, -0x1.14c3e6f05c294p-20, -0x1.16fc45179e146p-20, -0x1.1928689b90cc4p-20, -0x1.1b4872ac3334ap-20, -0x1.1d5c843e3b22p-20, -0x1.1f64be0e8bf2dp-20, -0x1.216140a08072dp-20, -0x1.23522c3e63eap-20, -0x1.2537a0f99debcp-20, -0x1.2711beaaa35a9p-20, -0x1.28e0a4f0e3f4fp-20, -0x1.2aa47332f74cbp-20, -0x1.2c5d489f07ff9p-20, -0x1.2e0b4429a6cd9p-20, -0x1.2fae849081cf2p-20, -0x1.314728569e4f4p-20, -0x1.32d54dc8dc05bp-20, -0x1.345912fa5624p-20, -0x1.35d295c66fe9ep-20, -0x1.3741f3d0a1ea9p-20, -0x1.38a74a844d163p-20, -0x1.3a02b7144647dp-20, -0x1.3b54567daeeadp-20, -0x1.3c9c45830439dp-20, -0x1.3ddaa0b33cdc1p-20, -0x1.3f0f8461d3af6p-20, -0x1.403b0caf42bbap-20, -0x1.415d558113bffp-20, -0x1.42767a89cfa57p-20, -0x1.43869741d7a86p-20, -0x1.448dc6ee1c59ap-20, -0x1.458c249adf9e7p-20, -0x1.4681cb2011defp-20, -0x1.476ed51e46a62p-20, -0x1.48535d013359ap-20, -0x1.492f7cfe55596p-20, -0x1.4a034f16461c8p-20, -0x1.4aceed139af6p-20, -0x1.4b92708ccdebbp-20, -0x1.4c4df2e2ada5cp-20, -0x1.4d018d422287fp-20, -0x1.4dad58a38afa9p-20, -0x1.4e516dca233adp-20, -0x1.4eede54720df3p-20, -0x1.4f82d774f281fp-20, -0x1.50105c7dc77e1p-20, -0x1.50968c5555716p-20, -0x1.51157ebe88607p-20, -0x1.518d4b48065ap-20, -0x1.51fe094e038d5p-20, -0x1.5267cffa9faccp-20, -0x1.52cab6453213p-20, -0x1.5326d2f3488ebp-20, -0x1.537c3c98ad25fp-20, -0x1.53cb0997502edp-20, -0x1.5413502058663p-20, -0x1.5455263364b42p-20, -0x1.5490a19f3db8fp-20, -0x1.54c5d80286329p-20, -0x1.54f4deca8bc4ep-20, -0x1.551dcb35876f9p-20, -0x1.5540b250bf17ap-20, -0x1.555da8fad2ac3p-20, -0x1.5574c3e200465p-20, -0x1.5586178675ea5p-20, -0x1.5591b838820e7p-20, -0x1.5597ba1adf97dp-20, -0x1.559831207e9e5p-20, -0x1.5593310fb389ap-20, -0x1.5588cd7f5e6c1p-20, -0x1.557919da120dep-20, -0x1.5564295c2b16cp-20, -0x1.554a0f14f16fep-20, -0x1.552adde7a7338p-20, -0x1.5506a8894cd3fp-20, -0x1.54dd8184b10abp-20, -0x1.54af7b3623ce4p-20, -0x1.547ca7d0422ebp-20, -0x1.54451958b2777p-20, -0x1.5408e1aa22edcp-20, -0x1.53c81274d8c6fp-20, -0x1.5382bd3cbaa34p-20, -0x1.5338f35db4a71p-20, -0x1.52eac60657e41p-20, -0x1.5298463dfeef2p-20, -0x1.524184e01ffddp-20, -0x1.51e6929fe6152p-20, -0x1.51878006d7299p-20, -0x1.51245d75215dep-20, -0x1.50bd3b23344c6p-20, -0x1.5052291fd26cep-20, -0x1.4fe337530a01ep-20, -0x1.4f70757b92a37p-20, -0x1.4ef9f331a959ep-20, -0x1.4e7fbfe4fd1e8p-20, -0x1.4e01eadf3a427p-20, -0x1.4d808341e7f25p-20, -0x1.4cfb98093e8d9p-20, -0x1.4c733809c6e85p-20, -0x1.4be771f36235bp-20, -0x1.4b58544e82ae1p-20, -0x1.4ac5ed7f87a2cp-20, -0x1.4a304bc45011fp-20, -0x1.49977d36640d2p-20, -0x1.48fb8fca42059p-20, -0x1.485c914f6dc92p-20, -0x1.47ba8f722d892p-20, -0x1.471597b90e982p-20, -0x1.466db7894aaa4p-20, -0x1.45c2fc219e959p-20, -0x1.451572a0bc26cp-20, -0x1.446527fed161bp-20, -0x1.43b22914b51bfp-20, -0x1.42fc829591fadp-20, -0x1.42444114f2d31p-20, -0x1.4189710253083p-20, -0x1.40cc1eacafa99p-20, -0x1.400c56413edd3p-20, }}, 
      {{0x1.0778b968239d5p-13, 0x1.00e7a903983a7p-11, 0x1.154581327b59fp-10, 0x1.d171591691b92p-10, 0x1.51f622582467ap-9, 0x1.bd0897419f95p-9, 0x1.103a284730754p-8, 0x1.398b74ee9d271p-8, 0x1.5644540a84a5dp-8, 0x1.62afd1cadf2b2p-8, 0x1.5bac90fb582dfp-8, 0x1.3eb6eacd484cp-8, 0x1.09eac7065110dp-8, 0x1.77fe6e97a5cd7p-9, 0x1.50f65435e36c3p-10, -0x1.6c53666a2236bp-11, -0x1.922129d735f2bp-9, -0x1.7da2f486fb3aap-8, -0x1.251a832e231e4p-7, -0x1.96b74c189935ep-7, -0x1.096e87da1cfbbp-6, -0x1.4c548d5c918cfp-6, -0x1.939383c746289p-6, -0x1.deab34c7743f4p-6, -0x1.168bf8343a289p-5, -0x1.3f2a65258964dp-5, -0x1.68eec5a0d8089p-5, -0x1.93982cf48aba8p-5, -0x1.bee78efba225fp-5, -0x1.eaa0516490115p-5, -0x1.0b445f90c1b1bp-4, -0x1.2135305b0af0ap-4, -0x1.37091e1460d8bp-4, -0x1.4ca87faf31182p-4, -0x1.61fd8bcb4abf8p-4, -0x1.76f45c524939ap-4, -0x1.8b7aeb2de6abbp-4, -0x1.9f81093e7f94dp-4, -0x1.b2f850a08779fp-4, -0x1.c5d41336ff22cp-4, -0x1.d8094657acaa1p-4, -0x1.e98e6c5cd91eep-4, -0x1.fa5b7cc8337dfp-4, -0x1.0534e5c56b287p-3, -0x1.0cd9f7f8817fbp-3, -0x1.141ad5cdc880ap-3, -0x1.1af5e8ef4eb2dp-3, -0x1.216a17e6133dp-3, -0x1.2776ba911bfc8p-3, -0x1.2d1b8f238c56ap-3, -0x1.3258afb8fb98cp-3, -0x1.372e888a7f8dp-3, -0x1.3b9dceca56d52p-3, -0x1.3fa77828ac5d1p-3, -0x1.434cb300dd7bp-3, -0x1.468edf2c473d4p-3, -0x1.496f87759a2ffp-3, -0x1.4bf05ba64fa5ap-3, -0x1.4e132b26a42eap-3, -0x1.4fd9e027bc07dp-3, -0x1.51467b4f0d14ap-3, -0x1.525b0fd9eaa05p-3, -0x1.5319c02feb137p-3, -0x1.5384badb04bd6p-3, -0x1.539e37dc603aep-3, -0x1.536876554b383p-3, -0x1.52e5ba7becd2fp-3, -0x1.52184bd3f6d06p-3, -0x1.510273a3f788cp-3, -0x1.4fa67ba05f3bep-3, -0x1.4e06acc5f70bcp-3, -0x1.4c254e5de2707p-3, -0x1.4a04a525dde9ap-3, -0x1.47a6f297df28cp-3, -0x1.450e744cc0a3p-3, -0x1.423d637604fd9p-3, -0x1.3f35f46b3ace4p-3, -0x1.3bfa5647e747ep-3, -0x1.388cb2973ba6dp-3, -0x1.34ef2d0b3c984p-3, -0x1.3123e33d430c2p-3, -0x1.2d2cec76179a7p-3, -0x1.290c597c1f4c4p-3, -0x1.24c4346656f79p-3, -0x1.2056807303b48p-3, -0x1.1bc539e149b63p-3, -0x1.171255ccdd761p-3, -0x1.123fc20b4de36p-3, -0x1.0d4f650a77e24p-3, -0x1.08431dafc5dbdp-3, -0x1.031cc3380da31p-3, -0x1.fbbc4a2fc4eb2p-4, -0x1.f11215b884ed4p-4, -0x1.e63e681757ebcp-4, -0x1.db44b00f11d2bp-4, -0x1.d0284bdc32235p-4, -0x1.c4ec88f9d3783p-4, -0x1.b994a3e7ecce1p-4, -0x1.ae23c7f33c88dp-4, -0x1.a29d0eff0e747p-4, -0x1.970381514c4ccp-4, -0x1.8b5a1561084afp-4, -0x1.7fa3afa7e2a71p-4, -0x1.73e322768dc96p-4, -0x1.681b2dccba001p-4, -0x1.5c4e7f34aeea7p-4, -0x1.507fb1a2ce6a2p-4, -0x1.44b14d5937d06p-4, -0x1.38e5c7cfc149ap-4, -0x1.2d1f83a06c78ap-4, -0x1.2160d07881b57p-4, -0x1.15abeb0e67c05p-4, -0x1.0a02fd1c52a62p-4, -0x1.fcd03abfb2a34p-5, -0x1.e5ba9f3cf259ep-5, -0x1.cec9095e12d13p-5, -0x1.b7ff351041712p-5, -0x1.a160b8a6b23f3p-5, -0x1.8af1050adea31p-5, -0x1.74b365f6441dep-5, -0x1.5eab023575e91p-5, -0x1.48dadbf449e69p-5, -0x1.3345d112df70cp-5, -0x1.1dee9b8336dafp-5, -0x1.08d7d1af0b2c5p-5, -0x1.e807cdcb30784p-6, -0x1.beea57a1f17b3p-6, -0x1.965b9de57dfcfp-6, -0x1.6e5fba4ebfb18p-6, -0x1.46fa84603294ap-6, -0x1.202f9285c835bp-6, -0x1.f40476804eb52p-7, -0x1.a8eb2cb4d8da5p-7, -0x1.5f18fc532f2fp-7, -0x1.169321a9d327ap-7, -0x1.9ebcc699213d9p-8, -0x1.12fe2987e55ep-8, -0x1.13e4652652b9fp-9, -0x1.cfe68febf76c4p-15, 0x1.ffcbc360cb403p-10, 0x1.00c0c11201bp-8, 0x1.7ec5273fbdfd6p-8, 0x1.f9fc6b3bb5002p-8, 0x1.3931c999aad6dp-7, 0x1.73fc2ee626331p-7, 0x1.ad5c9e236d896p-7, 0x1.e552a64fc086bp-7, 0x1.0def14ec996bap-6, 0x1.287fadd8b970dp-6, 0x1.425b5e324edeap-6, 0x1.5b828b9a173c3p-6, 0x1.73f5bf9b87396p-6, 0x1.8bb5a63fccf42p-6, 0x1.a2c30ca441d97p-6, 0x1.b91edf94abd64p-6, 0x1.ceca2a29b3e0cp-6, 0x1.e3c6146bf18d7p-6, 0x1.f813e1fbce8a1p-6, 0x1.05da785f518d4p-5, 0x1.0f555bc89db7fp-5, 0x1.187b62800c18dp-5, 0x1.214d5f02d2a88p-5, 0x1.29cc2e674695p-5, 0x1.31f8b7c2350abp-5, 0x1.39d3eb8f783adp-5, 0x1.415ec31de08c4p-5, 0x1.489a3ffe7ded8p-5, 0x1.4f876b775fcb8p-5, 0x1.562755f9ca45fp-5, 0x1.5c7b169bf562fp-5, 0x1.6283ca965425ap-5, 0x1.684294c471f4ap-5, 0x1.6db89d2963d9dp-5, 0x1.72e71077d1d49p-5, 0x1.77cf1f9d96219p-5, 0x1.7c71ff52f5a38p-5, 0x1.80d0e7ad66dd9p-5, 0x1.84ed13b5eaab4p-5, 0x1.88c7c102ed355p-5, 0x1.8c622f55acac8p-5, 0x1.8fbda03b16aacp-5, 0x1.92db56b017a62p-5, 0x1.95bc96c9545edp-5, 0x1.9862a55e3e26dp-5, 0x1.9acec7b77937cp-5, 0x1.9d0243408ae23p-5, 0x1.9efe5d3cbc974p-5, 0x1.a0c45a7f2aa6p-5, 0x1.a2557f25f0f47p-5, 0x1.a3b30e5860975p-5, 0x1.a4de4a0839b5ap-5, 0x1.a5d872b5d2da3p-5, 0x1.a6a2c7371f9fp-5, 0x1.a73e848188a09p-5, 0x1.a7ace5767c718p-5, 0x1.a7ef22b2b7ccfp-5, 0x1.a8067260233fcp-5, 0x1.a7f4080a46496p-5, 0x1.a7b9147530fd9p-5, 0x1.a756c576d51ddp-5, 0x1.a6ce45d2b6091p-5, 0x1.a620bd17e710bp-5, 0x1.a54f4f813c0cp-5, 0x1.a45b1dd7aa0e8p-5, 0x1.a3454556b7889p-5, 0x1.a20edf92fcdf5p-5, 0x1.a0b9026293029p-5, 0x1.9f44bfc76cd45p-5, 0x1.9db325db84dedp-5, 0x1.9c053ebed19efp-5, 0x1.9a3c1086f19d6p-5, 0x1.98589d307bfafp-5, 0x1.965be291ed5ap-5, 0x1.9446da501a452p-5, 0x1.921a79d41cdfcp-5, 0x1.8fd7b242aca26p-5, 0x1.8d7f7074d5ef7p-5, 0x1.8b129cf1fed9ap-5, 0x1.88921beb2f9d4p-5, 0x1.85fecd378de75p-5, 0x1.83598c520112cp-5, 0x1.80a33057f037ep-5, 0x1.7ddc8c090dcp-5, 0x1.7b066dc824856p-5, 0x1.78219f9cdb3d8p-5, 0x1.752ee73662376p-5, 0x1.722f05eefdb51p-5, 0x1.6f22b8d069019p-5, 0x1.6c0ab898ff42dp-5, 0x1.68e7b9c1a1f1p-5, 0x1.65ba6c8456f71p-5, 0x1.62837ce38d999p-5, 0x1.5f4392b208bb2p-5, 0x1.5bfb519b5d419p-5, 0x1.58ab592d00bc3p-5, 0x1.555444dfdd096p-5, 0x1.51f6ac2266df5p-5, 0x1.4e9322632058p-5, 0x1.4b2a371b926aap-5, 0x1.47bc75dba78p-5, 0x1.444a665562ea6p-5, 0x1.40d48c68f3d8p-5, 0x1.3d5b6831176f7p-5, 0x1.39df760fc3679p-5, 0x1.36612ebb16fcfp-5, 0x1.32e1074a85f5fp-5, 0x1.2f5f71443fd09p-5, 0x1.2bdcdaaac3fap-5, 0x1.2859ae0aa3c2fp-5, 0x1.24d652886f415p-5, 0x1.21532beebd491p-5, 0x1.1dd09abc56946p-5, 0x1.1a4efc3277ca9p-5, 0x1.16ceaa6326e0dp-5, 0x1.134ffc3f9b20ep-5, 0x1.0fd345a6ac934p-5, 0x1.0c58d773517bep-5, 0x1.08e0ff8b1a6f7p-5, 0x1.056c08ecb3aeap-5, 0x1.01fa3bbe613b2p-5, 0x1.fd17bab8f0378p-6, 0x1.f64260cf95ec1p-6, 0x1.ef74e9a820a4cp-6, 0x1.e8afcfec6b0dp-6, 0x1.e1f389254d6ecp-6, 0x1.db4085d6f83bdp-6, 0x1.d497319d33d9ap-6, 0x1.cdf7f34763e8ap-6, 0x1.c7632cf45ccep-6, 0x1.c0d93c2e01a6ap-6, 0x1.ba5a7a04a5b51p-6, 0x1.b3e73b2a3368p-6, 0x1.ad7fd00d08c94p-6, 0x1.a72484f29dbd8p-6, 0x1.a0d5a211d3b6dp-6, 0x1.9a936bad06c5fp-6, 0x1.945e222bce732p-6, 0x1.8e3602346daaep-6, 0x1.881b44c4f75ebp-6, 0x1.820e1f4c1b305p-6, 0x1.7c0ec3c1a61d2p-6, 0x1.761d60bea42a2p-6, 0x1.703a2195334p-6, 0x1.6a652e67f923ep-6, 0x1.649eac414396cp-6, 0x1.5ee6bd29cdae7p-6, 0x1.593d803f284aep-6, 0x1.53a311c9c7119p-6, 0x1.4e178b52b6dafp-6, 0x1.489b03b8ed626p-6, 0x1.432d8f464756p-6, 0x1.3dcf3fc41c248p-6, 0x1.3880248f802a7p-6, 0x1.33404aad250f3p-6, 0x1.2e0fbcdcd9067p-6, 0x1.28ee83acacb2fp-6, 0x1.23dca58bbabe7p-6, 0x1.1eda26dc9071fp-6, 0x1.19e70a073da39p-6, 0x1.15034f8b016ccp-6, 0x1.102ef60fa26e7p-6, 0x1.0b69fa766491ep-6, 0x1.06b457eaa8eefp-6, 0x1.020e07f2301c3p-6, 0x1.faee04fa0910cp-7, 0x1.f1de7bea141b5p-7, 0x1.e8ed5e9a6dedcp-7, 0x1.e01a9420e74d4p-7, 0x1.d76600e04b9a7p-7, 0x1.cecf86a4c5e8bp-7, 0x1.c65704bfa0033p-7, 0x1.bdfc58225727fp-7, 0x1.b5bf5b7907df6p-7, 0x1.ad9fe744406d3p-7, 0x1.a59dd1f21f1bfp-7, 0x1.9db8eff6e0fb8p-7, 0x1.95f113e4c7bccp-7, 0x1.8e460e83678e6p-7, 0x1.86b7aee65b924p-7, 0x1.7f45c2835e1a8p-7, 0x1.77f01547cff1bp-7, 0x1.70b671adaa736p-7, 0x1.6998a0cfe380cp-7, 0x1.62966a7e36a4bp-7, 0x1.5baf9550725eep-7, 0x1.54e3e6b92d7p-7, 0x1.4e332317fc132p-7, 0x1.479d0dcb1db01p-7, 0x1.41216940a010dp-7, 0x1.3abff7070c174p-7, 0x1.347877dd8f236p-7, 0x1.2e4aabc3a347ep-7, 0x1.2836520843ce1p-7, 0x1.223b2958a725ep-7, 0x1.1c58efce83509p-7, 0x1.168f62fdda402p-7, 0x1.10de40025f788p-7, 0x1.0b45438c62446p-7, 0x1.05c429ed58121p-7, 0x1.005aaf23ee7b9p-7, 0x1.f6111dcf7fb81p-8, 0x1.eb9b096939054p-8, 0x1.e15297aae8accp-8, 0x1.d7373eddacb7dp-8, 0x1.cd487512359c1p-8, 0x1.c385b0345173p-8, 0x1.b9ee661dc54d6p-8, 0x1.b0820ca874ea4p-8, 0x1.a74019bfcfcfdp-8, 0x1.9e280371b2c79p-8, 0x1.95393ffe73b6cp-8, 0x1.8c7345e87e487p-8, 0x1.83d58c0325ed8p-8, 0x1.7b5f8980f7caep-8, 0x1.7310b6016c36dp-8, 0x1.6ae8899e06206p-8, 0x1.62e67cf6e2e94p-8, 0x1.5b0a093ebe133p-8, 0x1.5352a8466a28ep-8, 0x1.4bbfd487cbd55p-8, 0x1.445109304b0e8p-8, 0x1.3d05c22ad091p-8, 0x1.35dd7c2935c61p-8, 0x1.2ed7b4ad5a97cp-8, 0x1.27f3ea11a9bebp-8, 0x1.21319b914105ep-8, 0x1.1a90494fa114dp-8, 0x1.140f745ffa263p-8, 0x1.0dae9ecc00d5bp-8, 0x1.076d4b9a7e3f9p-8, 0x1.014afed559dd3p-8, 0x1.f68e7b1ebb25fp-9, 0x1.eac31bd32692ap-9, 0x1.df32ee30a1ca6p-9, 0x1.d3dd02cfc258p-9, 0x1.c8c06c81d1a41p-9, 0x1.bddc4058db9a6p-9, 0x1.b32f95af25516p-9, 0x1.a8b9862e21162p-9, 0x1.9e792dd4aaf33p-9, 0x1.946daafcd6506p-9, 0x1.8a961e612393cp-9, 0x1.80f1ab2126c54p-9, 0x1.777f76c5c96dbp-9, 0x1.6e3ea944f8f79p-9, 0x1.652e6d04dff7ep-9, 0x1.5c4deedeb4813p-9, 0x1.539c5e21130f1p-9, 0x1.4b18ec91e6099p-9, 0x1.42c2ce6fef46p-9, 0x1.3a993a73f4a45p-9, 0x1.329b69d16aa23p-9, 0x1.2ac89836f8159p-9, 0x1.232003ce678a4p-9, 0x1.1ba0ed3c76d76p-9, 0x1.144a97a01d59fp-9, 0x1.0d1c4891cadcfp-9, 0x1.061548220df2cp-9, 0x1.fe69c1b05cf8p-10, 0x1.f0f4bf60bef22p-10, 0x1.e3ca283375a08p-10, 0x1.d6e89fe7f42d7p-10, 0x1.ca4ecf1a013e9p-10, 0x1.bdfb633c1c8ffp-10, 0x1.b1ed0e91b6649p-10, 0x1.a6228828d5ba3p-10, 0x1.9a9a8bd343c32p-10, 0x1.8f53da1fbe223p-10, 0x1.844d38524a388p-10, 0x1.7985705c83f28p-10, 0x1.6efb50d59703ep-10, 0x1.64adacf1c0ca2p-10, 0x1.5a9b5c79bbabap-10, 0x1.50c33bc1bf801p-10, 0x1.47242ba05bb14p-10, 0x1.3dbd1164f508fp-10, 0x1.348cd6ce34dc1p-10, 0x1.2b926a0022a3dp-10, 0x1.22ccbd7a030b6p-10, 0x1.1a3ac80c2a9aap-10, 0x1.11db84cd9a562p-10, 0x1.09adf3115c31bp-10, 0x1.01b1165bc3d0ep-10, 0x1.f3c7ecaf737edp-11, 0x1.e48b3d974598dp-11, 0x1.d5aa3f1c8f3cdp-11, 0x1.c72318f7793cdp-11, 0x1.b8f3fad41451dp-11, 0x1.ab1b1c3ba5e38p-11, 0x1.9d96bc7dee81cp-11, 0x1.9065229a05dc1p-11, 0x1.83849d2759d8ep-11, 0x1.76f3823e83588p-11, 0x1.6ab02f620438cp-11, 0x1.5eb9096703ffap-11, 0x1.530c7c5ddecfp-11, 0x1.47a8fb7ae6c9cp-11, 0x1.3c8d00fef427ep-11, 0x1.31b70e1fe9958p-11, 0x1.2725aaf18ba89p-11, 0x1.1cd7664dec07ap-11, 0x1.12cad5be484e2p-11, 0x1.08fe9563b1189p-11, 0x1.fee28fbfb418bp-12, 0x1.ec432c7bd7cd2p-12, 0x1.da1c5fb7080dbp-12, 0x1.c86b94a38eb09p-12, 0x1.b72e42bce4996p-12, 0x1.a661ed9a3e38dp-12, 0x1.960424c110655p-12, 0x1.861283788bfe9p-12, 0x1.768ab09c1783bp-12, 0x1.676a5e6f63d65p-12, 0x1.58af4a722e20dp-12, 0x1.4a573d33cac9cp-12, 0x1.3c600a28278edp-12, 0x1.2ec78f7c21955p-12, 0x1.218bb5eab24d9p-12, 0x1.14aa7092791c1p-12, 0x1.0821bccb20153p-12, 0x1.f7df43f7ac487p-13, 0x1.e02462e31d4dfp-13, 0x1.c90f0c6bb61e2p-13, 0x1.b29b89cc7a6afp-13, 0x1.9cc637180f163p-13, 0x1.878b82e77e5fbp-13, 0x1.72e7ee0c901a8p-13, 0x1.5ed80b429678fp-13, 0x1.4b587ee13d271p-13, 0x1.3865fe8f9a26bp-13, 0x1.25fd50f91cf36p-13, 0x1.141b4d81bbfe5p-13, 0x1.02bcdbfca5485p-13, 0x1.e3bde8c5413c9p-14, 0x1.c2fd3d1278fe9p-14, 0x1.a331e3b990de6p-14, 0x1.84562a2fbf9d6p-14, 0x1.66647bfecc429p-14, 0x1.49576238f0ea1p-14, 0x1.2d2982f21e99dp-14, 0x1.11d5a0b977d9fp-14, 0x1.eead342a06f32p-15, 0x1.bb4ed1fe31b86p-15, 0x1.898644cad255bp-15, 0x1.5949eb5367a4ep-15, 0x1.2a90584aa8761p-15, 0x1.faa0a2b35b88bp-16, 0x1.a3019c56b5a4fp-16, 0x1.4e31eeff8544fp-16, 0x1.f84098ec577dbp-17, 0x1.59778a0577d52p-17, 0x1.7fcf165d594bcp-18, 0x1.5b81612c26dp-20, -0x1.903944024712ap-19, -0x1.dd65f68695b09p-18, -0x1.749c36180ed1cp-17, -0x1.f5e7bcbda59eap-17, -0x1.395952c171b9bp-16, -0x1.758cb27dc13b5p-16, -0x1.af9be897ec541p-16, -0x1.e794925c8ba38p-16, -0x1.0ec200747a33cp-15, -0x1.28bb9d58549abp-15, -0x1.41bd7e7a5fe01p-15, -0x1.59cdde9f52eecp-15, -0x1.70f2d5656bd4bp-15, -0x1.873257fa90443p-15, -0x1.9c9239ce1d14bp-15, -0x1.b1182d3eac755p-15, -0x1.c4c9c44655356p-15, -0x1.d7ac7122b63b9p-15, -0x1.e9c586fb85e21p-15, -0x1.fb1a3a84f626ep-15, -0x1.05d7d14fbb331p-14, -0x1.0dc55c7a50736p-14, -0x1.15582d495fb2bp-14, -0x1.1c92a441b067dp-14, -0x1.237714300d218p-14, -0x1.2a07c27310aacp-14, -0x1.3046e741b3ffap-14, -0x1.3636adf2c1c2fp-14, -0x1.3bd935417f9cdp-14, -0x1.41308f91a2037p-14, -0x1.463ec331dcc52p-14, -0x1.4b05ca9d86dd7p-14, -0x1.4f8794bc6cf9ap-14, -0x1.53c60521bae29p-14, -0x1.57c2f4499ed6cp-14, -0x1.5b802fd62d947p-14, -0x1.5eff7aca899cfp-14, -0x1.62428dc53924ap-14, -0x1.654b1738f4323p-14, -0x1.681abba51ecbep-14, -0x1.6ab315cc7c478p-14, -0x1.6d15b6eaf8c6cp-14, -0x1.6f4426ea7b8b2p-14, -0x1.713fe496638e3p-14, -0x1.730a65cf22bap-14, -0x1.74a517ba7c0a8p-14, -0x1.76115ef57deb3p-14, -0x1.775097c3bf765p-14, -0x1.7864163e1e28ep-14, -0x1.794d2680b70d8p-14, -0x1.7a0d0cd7a58d1p-14, -0x1.7aa505ead419p-14, -0x1.7b1646e9a13d8p-14, -0x1.7b61fdb46b54cp-14, -0x1.7b895106594c1p-14, -0x1.7b8d609db83d6p-14, -0x1.7b6f456330b24p-14, -0x1.7b3011919bb1p-14, -0x1.7ad0d0dad5219p-14, -0x1.7a52888d8727cp-14, -0x1.79b637b99f09ep-14, -0x1.78fcd753eb2d4p-14, -0x1.78275a58b1b4ap-14, -0x1.7736adee7709p-14, -0x1.762bb986bade8p-14, -0x1.75075eff70eefp-14, -0x1.73ca7ac247a7fp-14, -0x1.7275e3e486e35p-14, -0x1.710a6c4568cadp-14, -0x1.6f88e0ac73d0dp-14, -0x1.6df208e68e6aap-14, -0x1.6c46a7e2cd429p-14, -0x1.6a877bce9ac75p-14, -0x1.68b53e31305a9p-14, -0x1.66d0a4067154ap-14, -0x1.64da5dd968b7fp-14, -0x1.62d317dd80d4cp-14, -0x1.60bb7a08353e5p-14, -0x1.5e942829b03acp-14, -0x1.5c5dc2045a57bp-14, -0x1.5a18e364f11a7p-14, -0x1.57c6243946e05p-14, -0x1.556618a6d9abcp-14, -0x1.52f95120abe44p-14, -0x1.50805a7d071c7p-14, -0x1.4dfbbe0a38314p-14, -0x1.4b6c01a3867fdp-14, -0x1.48d1a7c4e4531p-14, -0x1.462d2f9eea14p-14, -0x1.437f1529dc4dp-14, -0x1.40c7d138a200cp-14, -0x1.3e07d98ad6c34p-14, -0x1.3b3fa0df14abp-14, -0x1.386f97044ab43p-14, -0x1.359828eabd08p-14, -0x1.32b9c0b53c64p-14, -0x1.2fd4c5c911db8p-14, -0x1.2ce99cde53441p-14, -0x1.29f8a80f3eab9p-14, -0x1.270246e7def1cp-14, -0x1.2406d674a7087p-14, -0x1.2106b1513812ap-14, -0x1.1e022fb6adbcfp-14, -0x1.1af9a78949e64p-14, -0x1.17ed6c6671862p-14, -0x1.14ddcfb1e4242p-14, -0x1.11cb20a27eeeep-14, -0x1.0eb5ac4f40236p-14, -0x1.0b9dbdbba1a86p-14, -0x1.08839de37d217p-14, -0x1.056793c74731bp-14, -0x1.0249e47772371p-14, -0x1.fe55a63f34df4p-15, -0x1.f8154223a120cp-15, -0x1.f1d31ba2b96d9p-15, -0x1.eb8fae3a6a4cap-15, -0x1.e54b71f4e3901p-15, -0x1.df06db7c69e8bp-15, -0x1.d8c25c2f499e7p-15, -0x1.d27e623314c84p-15, -0x1.cc3b588719eap-15, -0x1.c5f9a7173ebc2p-15, -0x1.bfb9b2cd6d9d4p-15, -0x1.b97bdda3a076dp-15, -0x1.b34086b49c339p-15, -0x1.ad080a4ce1891p-15, -0x1.a6d2c1fb13c36p-15, -0x1.a0a1049f9d5ebp-15, -0x1.9a73267cf4f57p-15, -0x1.94497946091f1p-15, -0x1.8e244c2dce57p-15, -0x1.8803ebf590eb1p-15, -0x1.81e8a2fb25c3cp-15, -0x1.7bd2b946e072fp-15, -0x1.75c2749951c64p-15, -0x1.6fb818784faf4p-15, -0x1.69b3e63c1381cp-15, -0x1.63b61d1bc5334p-15, -0x1.5dbefa3a4b6a6p-15, -0x1.57ceb8b1dedd6p-15, -0x1.51e591a01e502p-15, -0x1.4c03bc31c091fp-15, -0x1.46296dad70795p-15, -0x1.4056d97f626b6p-15, -0x1.3a8c3143ee0cap-15, -0x1.34c9a4d1fae7cp-15, -0x1.2f0f62458aa02p-15, -0x1.295d96099e212p-15, -0x1.23b46ae219002p-15, -0x1.1e1409f5a4dedp-15, -0x1.187c9ad6cb0a3p-15, -0x1.12ee438d3168fp-15, -0x1.0d69289edd2d1p-15, -0x1.07ed6d18cd44dp-15, -0x1.027b3297ca1ep-15, -0x1.fa2532a0f5903p-16, -0x1.ef67802fd951fp-16, -0x1.e4bd88d73f3a9p-16, -0x1.da2784f29866dp-16, -0x1.cfa5aa4d4b27fp-16, -0x1.c5382c315772ap-16, -0x1.badf3b775dd55p-16, -0x1.b09b06933753p-16, -0x1.a66bb9a354744p-16, -0x1.9c517e7e9e6fdp-16, -0x1.924c7cc1640d9p-16, -0x1.885cd9da76178p-16, -0x1.7e82b918d5598p-16, -0x1.74be3bb76bd48p-16, -0x1.6b0f80ea82898p-16, -0x1.6176a5eb0f4efp-16, -0x1.57f3c60285127p-16, -0x1.4e86fa96c6b16p-16, -0x1.45305b35981cap-16, -0x1.3beffd9f57055p-16, -0x1.32c5f5d20667p-16, -0x1.29b25614050abp-16, -0x1.20b52efeb7ca2p-16, -0x1.17ce8f8814504p-16, -0x1.0efe850cf87e8p-16, -0x1.06451b5b2596bp-16, -0x1.fb44b975258dcp-17, -0x1.ea2ca3edc6091p-17, -0x1.d94204d125b1cp-17, -0x1.c884e7fba980bp-17, -0x1.b7f55686aa147p-17, -0x1.a79356da80069p-17, -0x1.975eecbec3158p-17, -0x1.8758196b3a91dp-17, -0x1.777edb97f880dp-17, -0x1.67d32f8c3c045p-17, -0x1.58550f2fc5385p-17, -0x1.49047218d9173p-17, -0x1.39e14d9c16dc2p-17, -0x1.2aeb94d9df899p-17, -0x1.1c2338ce20c6bp-17, -0x1.0d88285d3d6edp-17, -0x1.fe34a0c489d18p-18, -0x1.e1b3377a794d4p-18, -0x1.c58be6be10f1dp-18, -0x1.a9be7caed3f6p-18, -0x1.8e4ac3c291792p-18, -0x1.733082ddb726dp-18, -0x1.586f7d6d79186p-18, -0x1.3e07737ec5684p-18, -0x1.23f821d59eabbp-18, -0x1.0a41420429c07p-18, -0x1.e1c515053e0a8p-19, -0x1.afb75d862dc34p-19, -0x1.7e58be926953cp-19, -0x1.4da8937c5ff04p-19, -0x1.1da6320f099bap-19, -0x1.dca1d561a6f6bp-20, -0x1.7f5011235b3ccp-20, -0x1.2355a39f35f68p-20, -0x1.91621e7554673p-21, -0x1.bd83334b54312p-22, -0x1.7634c03a3c2efp-24, 0x1.fa486482548f7p-23, 0x1.294bbde744bb7p-21, 0x1.d169ab333c908p-21, 0x1.3b77a31c6f99cp-20, 0x1.8cf001f60eda3p-20, 0x1.dd1fb43bf19b8p-20, 0x1.160441b32f3a8p-19, 0x1.3cd620063acaap-19, 0x1.630660d151fe2p-19, 0x1.8895f31f5066cp-19, 0x1.ad85c9307dd2bp-19, 0x1.d1d6d85819df3p-19, 0x1.f58a18e4cbe31p-19, 0x1.0c5042ffb0e13p-18, 0x1.1d8d8ec9994b2p-18, 0x1.2e7d701763bf9p-18, 0x1.3f20687588676p-18, 0x1.4f76faa8fa4d6p-18, 0x1.5f81aaa127831p-18, 0x1.6f40fd6c5d2ecp-18, 0x1.7eb5792af3bcep-18, 0x1.8ddfa502c601ap-18, 0x1.9cc00914105a2p-18, 0x1.ab572e6cf4334p-18, 0x1.b9a59efdd80edp-18, 0x1.c7abe58ef190fp-18, 0x1.d56a8db548f2cp-18, 0x1.e2e223c755452p-18, 0x1.f01334d2198abp-18, 0x1.fcfe4e8eccbe9p-18, 0x1.04d1ffad1536p-17, 0x1.0b026b1440471p-17, 0x1.1110b13e848bap-17, 0x1.16fd1a2fdc264p-17, 0x1.1cc7ee29f080fp-17, 0x1.227175a7afdcp-17, 0x1.27f9f958a477p-17, 0x1.2d61c21c9411ap-17, 0x1.32a918feef6fcp-17, 0x1.37d04732d321p-17, 0x1.3cd7960f07475p-17, 0x1.41bf4f095aed2p-17, 0x1.4687bbb2d10c3p-17, 0x1.4b3125b3af99dp-17, 0x1.4fbbd6c800dc8p-17, 0x1.542818bb93c55p-17, 0x1.58763566227a6p-17, 0x1.5ca676a7cf7dep-17, 0x1.60b926659798p-17, 0x1.64ae8e85c196ep-17, 0x1.6886f8ecd868ep-17, 0x1.6c42af79ecbeap-17, 0x1.6fe1fc0362781p-17, 0x1.73652853dc553p-17, 0x1.76cc7e2712088p-17, 0x1.7a184726b1d12p-17, 0x1.7d48cce7817e2p-17, 0x1.805e58e66cb56p-17, 0x1.83593485b2ef6p-17, 0x1.8639a909b654fp-17, 0x1.88ffff96e685ap-17, 0x1.8bac812e8c936p-17, 0x1.8e3f76ac863a2p-17, 0x1.90b928c48aea4p-17, 0x1.9319dfffabe95p-17, 0x1.9561e4ba19a01p-17, 0x1.97917f2068a52p-17, 0x1.99a8f72d90afdp-17, 0x1.9ba894a895137p-17, 0x1.9d909f2266dfdp-17, 0x1.9f615df36c36ep-17, 0x1.a11b1839c46c9p-17, 0x1.a2be14d711a79p-17, 0x1.a44a9a6e6f2edp-17, 0x1.a5c0ef62a8913p-17, 0x1.a72159d428be6p-17, 0x1.a86c1f9f483d6p-17, 0x1.a9a1865a68f2ap-17, 0x1.aac1d35447384p-17, 0x1.abcd4b9239ab8p-17, 0x1.acc433cea4db5p-17, 0x1.ada6d0771fb44p-17, 0x1.ae7565ab0e186p-17, 0x1.af30373a3442cp-17, 0x1.afd788a317ba5p-17, 0x1.b06b9d119707fp-17, 0x1.b0ecb75d8cf47p-17, 0x1.b15b1a0973c63p-17, 0x1.b1b70740f451cp-17, 0x1.b200c0d7b0212p-17, 0x1.b23888484c748p-17, 0x1.b25e9eb2e4805p-17, 0x1.b27344dc2166ep-17, 0x1.b276bb2bd1eeap-17, 0x1.b26941abfcb7ap-17, 0x1.b24b1807fb176p-17, 0x1.b21c7d8b5037ap-17, 0x1.b1ddb120aa017p-17, 0x1.b18ef150f352cp-17, 0x1.b1307c4267a4ep-17, 0x1.b0c28fb7bc518p-17, 0x1.b045690f72315p-17, 0x1.afb94542d7f7ap-17, 0x1.af1e60e54a86p-17, 0x1.ae74f8236283cp-17, 0x1.adbd46c27e312p-17, 0x1.acf7882010249p-17, 0x1.ac23f730a5f9p-17, 0x1.ab42ce7f77e48p-17, 0x1.aa54482e06b95p-17, 0x1.a9589df369315p-17, 0x1.a850091ba1e04p-17, 0x1.a73ac28731ac4p-17, 0x1.a61902aad6f42p-17, 0x1.a4eb018ee380bp-17, 0x1.a3b0f6cec93a4p-17, 0x1.a26b1998f4b03p-17, 0x1.a119a0ae51289p-17, 0x1.9fbcc261c57bp-17, 0x1.9e54b4980482p-17, 0x1.9ce1acc766317p-17, 0x1.9b63dff785974p-17, 0x1.99db82c102e32p-17, 0x1.9848c94d1d13fp-17, 0x1.96abe755ffcabp-17, 0x1.9505102626341p-17, 0x1.935476984c9fap-17, 0x1.919a4d174de8ep-17, 0x1.8fd6c59e27ca5p-17, 0x1.8e0a11b7c58bp-17, 0x1.8c34627ee49c6p-17, 0x1.8a55e89e32de5p-17, 0x1.886ed4501c2e2p-17, 0x1.867f555ee7396p-17, 0x1.84879b24a150bp-17, 0x1.8287d48b3cab9p-17, 0x1.8080300c7c3b3p-17, 0x1.7e70dbb20384bp-17, 0x1.7c5a051590466p-17, 0x1.7a3bd960f343ap-17, 0x1.7816854e4fad4p-17, 0x1.75ea3527fe4f7p-17, 0x1.73b714c9069fep-17, 0x1.717d4f9cfab6bp-17, 0x1.6f3d10a026ddp-17, 0x1.6cf6825ff21bcp-17, 0x1.6aa9cefb1ac2fp-17, 0x1.68572021da70fp-17, 0x1.65fe9f15fe927p-17, 0x1.63a074ab5025ap-17, 0x1.613cc947b7c1fp-17, 0x1.5ed3c4e3b2535p-17, 0x1.5c658f0a65478p-17, 0x1.59f24eda32fe6p-17, 0x1.577a2b04c36f8p-17, 0x1.54fd49cf7bc7cp-17, 0x1.527bd113c5073p-17, 0x1.4ff5e63f87f12p-17, 0x1.4d6bae555c9b8p-17, 0x1.4add4ded17168p-17, 0x1.484ae933e823ap-17, 0x1.45b4a3ed015b3p-17, 0x1.431aa171ff192p-17, 0x1.407d04b32042dp-17, 0x1.3ddbf037c6407p-17, 0x1.3b37861efc064p-17, 0x1.388fe81fd4e85p-17, 0x1.35e53789dcdecp-17, 0x1.333795459091dp-17, 0x1.308721d4eee89p-17, 0x1.2dd3fd53a8727p-17, 0x1.2b1e4777fbe6cp-17, 0x1.28661f93258bp-17, 0x1.25aba4917b724p-17, 0x1.22eef4fb453a6p-17, 0x1.20302ef542f0bp-17, 0x1.1d6f7041266a1p-17, 0x1.1aacd63dff343p-17, 0x1.17e87de8c6168p-17, 0x1.152283dd0c2bdp-17, 0x1.125b04557e2c3p-17, 0x1.0f921b2c46479p-17, 0x1.0cc7e3dbd32bfp-17, 0x1.09fc797f4362ap-17, 0x1.072ff6d2e7736p-17, 0x1.04627635108dbp-17, 0x1.019411a66a2c2p-17, 0x1.fd89c5950c08bp-18, 0x1.f7ea05d19358bp-18, 0x1.f24915d981357p-18, 0x1.eca726cd57f4fp-18, 0x1.e70469183d7d4p-18, 0x1.e1610c7189e4p-18, 0x1.dbbd3fdd6adb6p-18, 0x1.d61931ae96ec9p-18, 0x1.d0750f87a4c03p-18, 0x1.cad1065bd3262p-18, 0x1.c52d42705fcaap-18, 0x1.bf89ef5d9e37dp-18, 0x1.b9e73810c4238p-18, 0x1.b44546ccba1d5p-18, 0x1.aea4452b44b86p-18, 0x1.a9045c1ed294bp-18, 0x1.a365b3f2e5929p-18, 0x1.9dc8744dc8ef7p-18, 0x1.982cc4327cfe2p-18, 0x1.9292ca00fbc04p-18, 0x1.8cfaab7801be7p-18, 0x1.87648db61579ep-18, 0x1.81d0953adbd28p-18, 0x1.7c3ee5e89075p-18, 0x1.76afa304ff2c4p-18, 0x1.7122ef3b62a1ep-18, 0x1.6b98ec9d2fdb6p-18, 0x1.6611bca328e9ap-18, 0x1.608d802f28a2cp-18, 0x1.5b0c578d3c85ep-18, 0x1.558e6274ba95cp-18, 0x1.5013c00a3c583p-18, 0x1.4a9c8edff82fep-18, 0x1.4528ecf78cccep-18, 0x1.3fb8f7c36d7f3p-18, 0x1.3a4ccc27a558ep-18, 0x1.34e4867bfcd5bp-18, 0x1.2f80428c46cfep-18, 0x1.2a201b9a1f428p-18, 0x1.24c42c5e6ca65p-18, 0x1.1f6c8f0a4482dp-18, 0x1.1a195d488e3b1p-18, 0x1.14cab03eb499fp-18, 0x1.0f80a08e9d129p-18, 0x1.0a3b46579feaep-18, 0x1.04fab93799c35p-18, 0x1.ff7e209996fc7p-19, 0x1.f510c46c58ca4p-19, 0x1.eaad8a2ac5b38p-19, 0x1.e0549d1ffe2abp-19, 0x1.d60627a13e45ep-19, 0x1.cbc2531053d1p-19, 0x1.c18947dcd597cp-19, 0x1.b75b2d890932ep-19, 0x1.ad382aabaf0c8p-19, 0x1.a32064f100044p-19, 0x1.9914011e7d623p-19, 0x1.8f1323151f6dep-19, 0x1.851dedd3660bep-19, 0x1.7b34837871f34p-19, 0x1.71570545b190dp-19, 0x1.678593a1c12aep-19, 0x1.5dc04e1b3ae14p-19, 0x1.5407536a9898fp-19, 0x1.4a5ac174142d6p-19, 0x1.40bab54abeeb8p-19, 0x1.37274b32ecbp-19, 0x1.2da09ea433cdp-19, 0x1.2426ca4c48919p-19, 0x1.1ab9e810c2f66p-19, 0x1.115a1111089b7p-19, 0x1.08075da98b764p-19, 0x1.fd83caed4051dp-20, 0x1.eb137eaa3a399p-20, 0x1.d8be02cb14667p-20, 0x1.c683821cfaf61p-20, 0x1.b46425fc8cb11p-20, 0x1.a260165bf1cb4p-20, 0x1.907779c58e7d2p-20, 0x1.7eaa75614b64ap-20, 0x1.6cf92cfb73b94p-20, 0x1.5b63c30421b97p-20, 0x1.49ea5896a04dfp-20, 0x1.388d0d7ed600bp-20, 0x1.274c003a922e8p-20, 0x1.16274dfe7ca16p-20, 0x1.051f12bce83d6p-20, 0x1.e866d250e4778p-21, 0x1.c6c8d56e843bap-21, 0x1.a5645f4dcbb02p-21, 0x1.84399e0633c7fp-21, 0x1.6348bd517ae6ep-21, 0x1.4291e691e8d39p-21, 0x1.221540dc33af3p-21, 0x1.01d2f0fc5c313p-21, 0x1.c3963307aa1c6p-22, 0x1.83fbb595d7341p-22, 0x1.44d6a5fe3b0fcp-22, 0x1.06273c4a05cf8p-22, 0x1.8fdb588d32a75p-23, 0x1.14544b2ec3258p-23, 0x1.33734ee7ffe5ap-24, 0x1.005de2447efa8p-26, -0x1.62d4bd9fe4c0dp-25, -0x1.a111b93f1a497p-24, -0x1.476f141b208a3p-23, -0x1.bd67a63df9941p-23, -0x1.1939357be4299p-22, -0x1.5347a0d0cd1b4p-22, -0x1.8cdf086f00861p-22, -0x1.c5ff6347d3153p-22, -0x1.fea8abd1d2e1bp-22, -0x1.1b6d7000fb6c1p-21, -0x1.374b009cd85b2p-21, -0x1.52ed0a1f8668p-21, -0x1.6e539096aefd1p-21, -0x1.897e99af80351p-21, -0x1.a46e2cb559aa6p-21, -0x1.bf22528948c09p-21, -0x1.d99b15996e54dp-21, -0x1.f3d881de4026bp-21, -0x1.06ed5267c3e5fp-20, -0x1.13d0c6b03cbeep-20, -0x1.2096a5fe3b1cdp-20, -0x1.2d3ef93c2016bp-20, -0x1.39c9ca0b088d9p-20, -0x1.463722bb0989ep-20, -0x1.52870e496d707p-20, -0x1.5eb99860e7e41p-20, -0x1.6acecd531057bp-20, -0x1.76c6ba15d0e3bp-20, -0x1.82a16c4074437p-20, -0x1.8e5ef208b4f99p-20, -0x1.99ff5a41c448p-20, -0x1.a582b458155cp-20, -0x1.b0e9104d40affp-20, -0x1.bc327eb65e134p-20, -0x1.c75f10b9161d2p-20, -0x1.d26ed80a92158p-20, -0x1.dd61e6e80da35p-20, -0x1.e83850196dba4p-20, -0x1.f2f226eaff325p-20, -0x1.fd8f7f2cd55f7p-20, -0x1.0408369788e07p-19, -0x1.093a82dfa280bp-19, -0x1.0e5eaf13855b5p-19, -0x1.1374c61416a99p-19, -0x1.187cd2fcba5d5p-19, -0x1.1d76e12346724p-19, -0x1.2262fc16039cp-19, -0x1.27412f9a6f115p-19, -0x1.2c1187ac85899p-19, -0x1.30d4107c03f4dp-19, -0x1.3588d66d8d7a5p-19, -0x1.3a2fe61792d69p-19, -0x1.3ec94c42ebb1cp-19, -0x1.435515e7947c5p-19, -0x1.47d3502d03cp-19, -0x1.4c44086924fcbp-19, -0x1.50a74c1e42db1p-19, -0x1.54fd28fa88edcp-19, -0x1.5945acd6730dap-19, -0x1.5d80e5b4d692ep-19, -0x1.61aee1c101904p-19, -0x1.65cfaf4d2874ap-19, -0x1.69e35cd2b752cp-19, -0x1.6de9f8efb656cp-19, -0x1.71e3926826886p-19, -0x1.75d0382174c3ep-19, -0x1.79aff925541a5p-19, -0x1.7d82e49d95188p-19, -0x1.814909d5b9e04p-19, -0x1.850278384e82dp-19, -0x1.88af3f4e8c317p-19, -0x1.8c4f6ebef21a8p-19, -0x1.8fe3164daadf2p-19, -0x1.936a45da2fdd8p-19, -0x1.96e50d5fb0f49p-19, -0x1.9a537cf23d991p-19, -0x1.9db5a4c0f5279p-19, -0x1.a10b95115c774p-19, -0x1.a4555e4293e21p-19, -0x1.a79310c8b04d5p-19, -0x1.aac4bd2ebc366p-19, -0x1.adea741437d36p-19, -0x1.b104462e0c57cp-19, -0x1.b412444340975p-19, -0x1.b7147f2e58aa7p-19, -0x1.ba0b07dbb0898p-19, -0x1.bcf5ef48faec5p-19, -0x1.bfd5468443a59p-19, -0x1.c2a91eaa9e682p-19, -0x1.c57188e940172p-19, -0x1.c82e967b32c85p-19, -0x1.cae058a8e7a9dp-19, -0x1.cd86e0c77832cp-19, -0x1.d02240387d35cp-19, -0x1.d2b2886909be1p-19, -0x1.d537cad0d6ebdp-19, -0x1.d7b218f223ac8p-19, -0x1.da2184585079ep-19, -0x1.dc861e97f5d56p-19, -0x1.dedff94e08a6bp-19, -0x1.e12f261df0d14p-19, -0x1.e373b6b418104p-19, -0x1.e5adbcc10f1d4p-19, -0x1.e7dd49fd71d01p-19, -0x1.ea0270254e902p-19, -0x1.ec1d40fab0941p-19, -0x1.ee2dce42a1304p-19, -0x1.f03429c6c495dp-19, -0x1.f230655273eafp-19, -0x1.f42292b53ee4bp-19, -0x1.f60ac3be79447p-19, -0x1.f7e90a40a42e6p-19, -0x1.f9bd780e22ccdp-19, -0x1.fb881efa9027bp-19, -0x1.fd4910d84e423p-19, -0x1.ff005f79f54f8p-19, -0x1.00570e5837bc4p-18, -0x1.01292d25d33p-18, -0x1.01f6950c765d3p-18, -0x1.02bf4ef1b75b8p-18, -0x1.038363b9cc54dp-18, -0x1.0442dc46d4347p-18, -0x1.04fdc17978a3cp-18, -0x1.05b41c2fec5c4p-18, -0x1.0665f54607b0bp-18, -0x1.071355957f50bp-18, -0x1.07bc45f47a441p-18, -0x1.0860cf37374f7p-18, -0x1.0900fa2de018p-18, -0x1.099ccfa5cc3e8p-18, -0x1.0a345868b426fp-18, -0x1.0ac79d3c85bcbp-18, -0x1.0b56a6e348332p-18, -0x1.0be17e1af643ap-18, -0x1.0c682b9d2a97ap-18, -0x1.0ceab81f6cbd3p-18, -0x1.0d692c5239da4p-18, -0x1.0de390e1bfbc3p-18, -0x1.0e59ee74cd548p-18, -0x1.0ecc4dad664bbp-18, -0x1.0f3ab72838141p-18, -0x1.0fa5337c9df2ap-18, -0x1.100bcb3c4d68fp-18, -0x1.106e86f398363p-18, -0x1.10cd6f288329fp-18, -0x1.11288c5ba661cp-18, -0x1.117fe70707014p-18, -0x1.11d3879eab586p-18, -0x1.12237690564a1p-18, -0x1.126fbc42c34d3p-18, -0x1.12b861170e6c8p-18, -0x1.12fd6d663feeep-18, -0x1.133ee983eac42p-18, -0x1.137cddbb88545p-18, -0x1.13b752520adecp-18, -0x1.13ee4f8536e1p-18, -0x1.1421dd8b18bd1p-18, -0x1.14520492d318fp-18, -0x1.147eccc37b2e3p-18, -0x1.14a83e3cfc33cp-18, -0x1.14ce61173c99dp-18, -0x1.14f13d62ac22ap-18, -0x1.1510db2726d36p-18, -0x1.152d42654d199p-18, -0x1.15467b14eacb8p-18, -0x1.155c8d265357p-18, -0x1.156f8080e99d1p-18, -0x1.157f5d047f4cbp-18, -0x1.158c2a87876d7p-18, -0x1.1595f0d8e58f7p-18, -0x1.159cb7be1a92ap-18, -0x1.15a086f46ef81p-18, -0x1.15a1663081085p-18, -0x1.159f5d1d93909p-18, -0x1.159a735f1da8ap-18, -0x1.1592b08e373bp-18, -0x1.15881c3c98496p-18, -0x1.157abdf152c02p-18, -0x1.156a9d2bc14dap-18, -0x1.1557c16106ef5p-18, -0x1.154231fdb174bp-18, -0x1.1529f664be727p-18, -0x1.150f15efd49e8p-18, -0x1.14f197ef68b46p-18, -0x1.14d183aa5f7efp-18, -0x1.14aee05e350b4p-18, -0x1.1489b53ec7e98p-18, -0x1.146209768f137p-18, -0x1.1437e42610b98p-18, -0x1.140b4c64e920ap-18, -0x1.13dc493fe8b67p-18, -0x1.13aae1bb80a0ap-18, -0x1.13771cd10a15dp-18, -0x1.1341017157d19p-18, -0x1.130896824bd39p-18, -0x1.12cde2e109221p-18, -0x1.1290ed5faa64ep-18, -0x1.1251bcc7910e3p-18, -0x1.121057d7170f3p-18, -0x1.11ccc543ad00ep-18, -0x1.11870bb7f104p-18, -0x1.113f31d51c3adp-18, -0x1.10f53e32292bbp-18, -0x1.10a9375bf32c5p-18, -0x1.105b23d59e6e6p-18, -0x1.100b0a17d36d1p-18, -0x1.0fb8f091aebbep-18, -0x1.0f64dda7a3ad6p-18, -0x1.0f0ed7b49106bp-18, -0x1.0eb6e508e27c3p-18, -0x1.0e5d0beb21f5bp-18, -0x1.0e015297a84bap-18, -0x1.0da3bf40839f5p-18, -0x1.0d44580e069bcp-18, -0x1.0ce3231df32aep-18, -0x1.0c8026842843p-18, -0x1.0c1b684a8dba3p-18, -0x1.0bb4ee704270ep-18, -0x1.0b4cbeeb58321p-18, -0x1.0ae2dfa659e1ap-18, -0x1.0a7756833446p-18, -0x1.0a0a29584caafp-18, -0x1.099b5df31a1dfp-18, -0x1.092afa15fee91p-18, -0x1.08b9037a1f41p-18, -0x1.08457fcda43e3p-18, -0x1.07d074b59d7ebp-18, -0x1.0759e7cbe1421p-18, -0x1.06e1dea18c92ap-18, -0x1.06685ebc25b93p-18, -0x1.05ed6d98c18dfp-18, -0x1.057110a8f3326p-18, -0x1.04f34d55899e8p-18, -0x1.047428fc6358p-18, -0x1.03f3a8f1e5b9p-18, -0x1.0371d2805d8bep-18, -0x1.02eeaae80e9b9p-18, -0x1.026a375f9c547p-18, -0x1.01e47d133eda1p-18, -0x1.015d8125cac2ap-18, -0x1.00d548afbe1c2p-18, -0x1.004bd8c038973p-18, -0x1.ff826cb844672p-19, -0x1.fe6accfd8dca9p-19, -0x1.fd50dc33753e4p-19, -0x1.fc34a428d6702p-19, -0x1.fb162e9a7cafep-19, -0x1.f9f5852fd825fp-19, -0x1.f8d2b17f3743fp-19, }}, 
      {{-0x1.672bc84532777p-8, -0x1.64ac1a8b783a4p-7, -0x1.089db48f7e6dap-6, -0x1.5bf2d49dcd66cp-6, -0x1.abfa0b30e43a3p-6, -0x1.f89f2de379715p-6, -0x1.21025fab3b4f2p-5, -0x1.4439a902828b5p-5, -0x1.662563fa0b842p-5, -0x1.86fb18a86f0fcp-5, -0x1.a6f133b1f4637p-5, -0x1.c63b96f5e4d6fp-5, -0x1.e509407079031p-5, -0x1.01c16ab87df3cp-4, -0x1.10e4f11ef2989p-4, -0x1.1ffc51b502e63p-4, -0x1.2f111a3438025p-4, -0x1.3e2982a0a729bp-4, -0x1.4d48bf907084dp-4, -0x1.5c6f624dc07f3p-4, -0x1.6b9bbf709bc9bp-4, -0x1.7aca56609b73ap-4, -0x1.89f635adcd121p-4, -0x1.99195965ab856p-4, -0x1.a82d0180353d2p-4, -0x1.b729ff4368327p-4, -0x1.c608f911b53b8p-4, -0x1.d4c2a48a02884p-4, -0x1.e34ff7342bfdbp-4, -0x1.f1aa4e313a792p-4, -0x1.ffcb8d8fef7e1p-4, -0x1.06d71bffdbd5fp-3, -0x1.0da6bfd537cbbp-3, -0x1.1452a880f8be3p-3, -0x1.1ad92c262313ep-3, -0x1.213901590fe7bp-3, -0x1.27713dc4325b9p-3, -0x1.2d81534029a0ap-3, -0x1.33690bad84de7p-3, -0x1.392883d6f9038p-3, -0x1.3ec0259ae410bp-3, -0x1.4430a193731aap-3, -0x1.497ae86d4e1dfp-3, -0x1.4ea02415d576dp-3, -0x1.53a1b0e3782d8p-3, -0x1.588116d4d2118p-3, -0x1.5d4002fde008bp-3, -0x1.61e04135c89f7p-3, -0x1.6663b6137979bp-3, -0x1.6acc5943a6eb4p-3, -0x1.6f1c303f7218cp-3, -0x1.7355496845be8p-3, -0x1.7779b78b11229p-3, -0x1.7b8b8dcb28704p-3, -0x1.7f8cdbf35ad13p-3, -0x1.837fab2aac507p-3, -0x1.8765fb08f5a29p-3, -0x1.8b41bf06ff873p-3, -0x1.8f14dc4513c65p-3, -0x1.92e127a2aea1dp-3, -0x1.96a864219ad2dp-3, -0x1.9a6c418ed907dp-3, -0x1.9e2e5b6b8a81ep-3, -0x1.a1f038104b358p-3, -0x1.a5b348058319dp-3, -0x1.a978e58b66ae2p-3, -0x1.ad42544cb4156p-3, -0x1.b110c1376d26ep-3, -0x1.b4e54277296f9p-3, -0x1.b8c0d78ce17ddp-3, -0x1.bca46980685f6p-3, -0x1.c090cb281f51cp-3, -0x1.c486b983afd78p-3, -0x1.c886dc26edb9bp-3, -0x1.cc91c5b24e224p-3, -0x1.d0a7f4569783dp-3, -0x1.d4c9d261bef19p-3, -0x1.d8f7b6d31a8cfp-3, -0x1.dd31e5f54c8p-3, -0x1.e17891fc75f62p-3, -0x1.e5cbdba77c73fp-3, -0x1.ea2bd2e35383p-3, -0x1.ee98776f570c7p-3, -0x1.f311b981f69f2p-3, -0x1.f7977a6d053bcp-3, -0x1.fc298d4126305p-3, -0x1.0063dbb7ef40ap-2, -0x1.02b8d8b5f18bp-2, -0x1.051393a3b7e0ap-2, -0x1.0773dca824144p-2, -0x1.09d97e54a6b5cp-2, -0x1.0c443df0be494p-2, -0x1.0eb3dbc419babp-2, -0x1.1128135f59a6fp-2, -0x1.13a09be36a53bp-2, -0x1.161d28476fbbbp-2, -0x1.189d679d43b0ep-2, -0x1.1b2105548bcaap-2, -0x1.1da7a97c5d039p-2, -0x1.2030f9037d4cap-2, -0x1.22bc95f73b2ap-2, -0x1.254a1fc0e427p-2, -0x1.27d93361dc526p-2, -0x1.2a696bae5ab9cp-2, -0x1.2cfa6186c9919p-2, -0x1.2f8bac0fd7abcp-2, -0x1.321ce0e930afdp-2, -0x1.34ad9462e7122p-2, -0x1.373d59b18ee9bp-2, -0x1.39cbc3210eebap-2, -0x1.3c5862461ecp-2, -0x1.3ee2c82e7f71ep-2, -0x1.416a858fe7d19p-2, -0x1.43ef2af5a61bap-2, -0x1.467048ecf4401p-2, -0x1.48ed703006b58p-2, -0x1.4b6631cfcc2a7p-2, -0x1.4dda1f5c60482p-2, -0x1.5048cb0c350b3p-2, -0x1.52b1c7e1ed6b9p-2, -0x1.5514a9d0e8726p-2, -0x1.577105e08041ep-2, -0x1.59c6724df83a1p-2, -0x1.5c1486ad1cdc6p-2, -0x1.5e5adc07925b2p-2, -0x1.60990cfad4e8ap-2, -0x1.62ceb5d4e973fp-2, -0x1.64fb74afbca0bp-2, -0x1.671ee98b3854cp-2, -0x1.6938b66605becp-2, -0x1.6b487f550896p-2, -0x1.6d4dea998c1ap-2, -0x1.6f48a0b629bc7p-2, -0x1.71384c8267424p-2, -0x1.731c9b3d13656p-2, -0x1.74f53c9d5e53bp-2, -0x1.76c1e2e2b9eb6p-2, -0x1.788242e377964p-2, -0x1.7a36141a38005p-2, -0x1.7bdd10b2236c2p-2, -0x1.7d76f591f5343p-2, -0x1.7f038265e111p-2, -0x1.808279a850d2fp-2, -0x1.81f3a0a9851e1p-2, -0x1.8356bf961d1c7p-2, -0x1.84aba17c8a6edp-2, -0x1.85f2145179b69p-2, -0x1.8729e8f3309a2p-2, -0x1.8852f32beee6p-2, -0x1.896d09b351e9bp-2, -0x1.8a78062ec8932p-2, -0x1.8b73c531192bp-2, -0x1.8c602639009b5p-2, -0x1.8d3d0baef4ee3p-2, -0x1.8e0a5ae212eefp-2, -0x1.8ec7fc0437cebp-2, -0x1.8f75da255712cp-2, -0x1.9013e32e0b09bp-2, -0x1.90a207d971dp-2, -0x1.91203bae53cfdp-2, -0x1.918e74f7a1ce7p-2, -0x1.91ecacbc5191fp-2, -0x1.923adeb69d12ep-2, -0x1.9279094aaf39dp-2, -0x1.92a72d7cc531fp-2, -0x1.92c54ee6c9979p-2, -0x1.92d373ad71de2p-2, -0x1.92d1a474e7293p-2, -0x1.92bfec54fd3dcp-2, -0x1.929e58cd059c5p-2, -0x1.926cf9b73de52p-2, -0x1.922be13be482fp-2, -0x1.91db23c3fc6a3p-2, -0x1.917ad7ebc1adp-2, -0x1.910b1674d892fp-2, -0x1.908bfa383d5b1p-2, -0x1.8ffda017f97ffp-2, -0x1.8f6026f0a748cp-2, -0x1.8eb3af8ac5daep-2, -0x1.8df85c8be6974p-2, -0x1.8d2e5267b90b7p-2, -0x1.8c55b750f8f9dp-2, -0x1.8b6eb32a47462p-2, -0x1.8a796f76f068fp-2, -0x1.8976174ba37e7p-2, -0x1.8864d73f27931p-2, -0x1.8745dd5b050fdp-2, -0x1.8619590c39b52p-2, -0x1.84df7b13ead37p-2, -0x1.8398757827c8ep-2, -0x1.82447b74b46aap-2, -0x1.80e3c16beabcap-2, -0x1.7f767cd7b0746p-2, -0x1.7dfce43a851c7p-2, -0x1.7c772f10accedp-2, -0x1.7ae595c17e1dbp-2, -0x1.79485190d0182p-2, -0x1.779f9c908e917p-2, -0x1.75ebb1927ad48p-2, -0x1.742ccc1a130aep-2, -0x1.7263284eac37dp-2, -0x1.708f02edba60fp-2, -0x1.6eb0993d4d0ddp-2, -0x1.6cc828febecb1p-2, -0x1.6ad5f0619e4bbp-2, -0x1.68da2df6cda1fp-2, -0x1.66d520a3de2acp-2, -0x1.64c70796a6158p-2, -0x1.62b022391692fp-2, -0x1.6090b0254cf34p-2, -0x1.5e68f119e940fp-2, -0x1.5c3924ee9d988p-2, -0x1.5a018b890a05dp-2, -0x1.57c264d1d18f2p-2, -0x1.557bf0a9f9935p-2, -0x1.532e6ee08abp-2, -0x1.50da1f2876b46p-2, -0x1.4e7f410ec4f2bp-2, -0x1.4c1e13f1039ddp-2, -0x1.49b6d6f3fea4bp-2, -0x1.4749c8fabeaddp-2, -0x1.44d7289dcc3efp-2, -0x1.425f3422ba942p-2, -0x1.3fe22973f8d61p-2, -0x1.3d604618e77bp-2, -0x1.3ad9c72e371aep-2, -0x1.384ee95e89acp-2, -0x1.35bfe8db5cc24p-2, -0x1.332d015634747p-2, -0x1.30966dfa0ca05p-2, -0x1.2dfc696511dfp-2, -0x1.2b5f2da2979abp-2, -0x1.28bef42554134p-2, -0x1.261bf5c1e24f8p-2, -0x1.23766aa97ccb7p-2, -0x1.20ce8a650279ap-2, -0x1.1e248bd034811p-2, -0x1.1b78a51536d4cp-2, -0x1.18cb0ba84ecddp-2, -0x1.161bf443dcb5ap-2, -0x1.136b92e494a43p-2, -0x1.10ba1ac5f16cap-2, -0x1.0e07be5ee2e95p-2, -0x1.0b54af5eb493bp-2, -0x1.08a11eaa2c675p-2, -0x1.05ed3c58e2f1ap-2, -0x1.033937b2d10a2p-2, -0x1.00853f2e101d9p-2, -0x1.fba300d9a82f3p-3, -0x1.f63c5077228c5p-3, -0x1.f0d6c51eb6d51p-3, -0x1.eb72b508dee63p-3, -0x1.e61074b9e3f83p-3, -0x1.e0b056ffad6e8p-3, -0x1.db52aceff22adp-3, -0x1.d5f7c5e6c2b77p-3, -0x1.d09fef85645eap-3, -0x1.cb4b75b17fd17p-3, -0x1.c5faa294a6e4p-3, -0x1.c0adbe9c26dp-3, -0x1.bb6510791f136p-3, -0x1.b620dd20f2077p-3, -0x1.b0e167cdeea46p-3, -0x1.aba6f200496f9p-3, -0x1.a671bb7f53dcep-3, -0x1.a142025af76bap-3, -0x1.9c1802ed6e557p-3, -0x1.96f3f7dd39d03p-3, -0x1.91d61a1f525d9p-3, -0x1.8cbea0f990665p-3, -0x1.87adc2054a7d5p-3, -0x1.82a3b13227887p-3, -0x1.7da0a0c927726p-3, -0x1.78a4c16fd0ce1p-3, -0x1.73b0422b98884p-3, -0x1.6ec350656da91p-3, -0x1.69de17ed7110dp-3, -0x1.6500c2fed4c9ep-3, -0x1.602b7a43e12d3p-3, -0x1.5b5e64da1e173p-3, -0x1.5699a8569f4c1p-3, -0x1.51dd68ca6d01bp-3, -0x1.4d29c8c7115aep-3, -0x1.487ee9633aff9p-3, -0x1.43dcea3f82e36p-3, -0x1.3f43e98b41e21p-3, -0x1.3ab4040987c8dp-3, -0x1.362d55161eaf4p-3, -0x1.31aff6aaadfc2p-3, -0x1.2d3c0163e1cefp-3, -0x1.28d18c86b2147p-3, -0x1.2470ae05b0a4ap-3, -0x1.20197a866735bp-3, -0x1.1bcc0566c3624p-3, -0x1.178860c290c21p-3, -0x1.134e9d78f768fp-3, -0x1.0f1ecb3208785p-3, -0x1.0af8f8644ff81p-3, -0x1.06dd325a6bf64p-3, -0x1.02cb8538ae354p-3, -0x1.fd87f8057bb35p-4, -0x1.f58d414272308p-4, -0x1.eda6f7cec4a6ap-4, -0x1.e5d52b3188d89p-4, -0x1.de17e8ddb8b87p-4, -0x1.d66f3c3d7e8fbp-4, -0x1.cedb2ebd84ab2p-4, -0x1.c75bc7d836f5p-4, -0x1.bff10d20ff476p-4, -0x1.b89b024f756e2p-4, -0x1.b159a94a92ad9p-4, -0x1.aa2d0233c3dc9p-4, -0x1.a3150b71fd40cp-4, -0x1.9c11c1bcb4074p-4, -0x1.95232026d5743p-4, -0x1.8e49202999209p-4, -0x1.8783b9af503a4p-4, -0x1.80d2e31e17367p-4, -0x1.7a36916274dddp-4, -0x1.73aeb7f9e0b81p-4, -0x1.6d3b48fd34009p-4, -0x1.66dc352afdc19p-4, -0x1.60916bf1c773fp-4, -0x1.5a5adb7a2bb4dp-4, -0x1.543870b0e7b3cp-4, -0x1.4e2a1750bf6bp-4, -0x1.482fb9ec4dc99p-4, -0x1.424941f7b47e6p-4, -0x1.3c7697d22bbf9p-4, -0x1.36b7a2cf77ad5p-4, -0x1.310c494137893p-4, -0x1.2b7470801ab5dp-4, -0x1.25effcf4f5b3p-4, -0x1.207ed221ac2c7p-4, -0x1.1b20d2aa0808fp-4, -0x1.15d5e05c65e6bp-4, -0x1.109ddc3a3d5a3p-4, -0x1.0b78a6808ef6cp-4, -0x1.06661eb02ac22p-4, -0x1.01662395d31e9p-4, -0x1.f8f126a47d449p-5, -0x1.ef3a96c3edd99p-5, -0x1.e5a8514a27315p-5, -0x1.dc3a0ecd9d4d9p-5, -0x1.d2ef86c9f6022p-5, -0x1.c9c86faeab63cp-5, -0x1.c0c47eed5eb24p-5, -0x1.b7e36907eebe8p-5, -0x1.af24e19e408e8p-5, -0x1.a6889b7bc68fcp-5, -0x1.9e0e48a4bc7edp-5, -0x1.95b59a631dfe3p-5, -0x1.8d7e41535674bp-5, -0x1.8567ed70a7636p-5, -0x1.7d724e21577d5p-5, -0x1.759d124288bbfp-5, -0x1.6de7e833d3b0ep-5, -0x1.66527de29b112p-5, -0x1.5edc80d524d8bp-5, -0x1.57859e355e483p-5, -0x1.504d82db68ffbp-5, -0x1.4933db57e8105p-5, -0x1.423853fdfa5eep-5, -0x1.3b5a98ed063bp-5, -0x1.349a561a3c7b4p-5, -0x1.2df73759d757ap-5, -0x1.2770e86822606p-5, -0x1.210714f23729fp-5, -0x1.1ab9689e896a8p-5, -0x1.14878f152ed5cp-5, -0x1.0e713407e90bfp-5, -0x1.08760339f57b4p-5, -0x1.0295a8879e45ep-5, -0x1.f99f9fdb3f0f4p-6, -0x1.ee484b206ab2bp-6, -0x1.e324ab842a248p-6, -0x1.d8341a161bbe1p-6, -0x1.cd75f05d0aeb8p-6, -0x1.c2e988637e9d1p-6, -0x1.b88e3cc3ba485p-6, -0x1.ae6368b3788a5p-6, -0x1.a468680f28883p-6, -0x1.9a9c9764cf219p-6, -0x1.90ff53fe84355p-6, -0x1.878ffbec843d9p-6, -0x1.7e4dee0ee5bbfp-6, -0x1.75388a1eeb6dep-6, -0x1.6c4f30b809193p-6, -0x1.639143606d32ep-6, -0x1.5afe249152ef9p-6, -0x1.529537bedbfe4p-6, -0x1.4a55e15fa9866p-6, -0x1.423f86f414be3p-6, -0x1.3a518f0d1fba5p-6, -0x1.328b6152f9dfp-6, -0x1.2aec668b530f9p-6, -0x1.2374089f51faap-6, -0x1.1c21b2a1375d6p-6, -0x1.14f4d0d1c62aep-6, -0x1.0decd0a5492f2p-6, -0x1.070920c8779f5p-6, -0x1.00493124dfed5p-6, -0x1.f358e5ca76c3fp-7, -0x1.e664b0f2dec6bp-7, -0x1.d9b4ab3477629p-7, -0x1.cd47be9982741p-7, -0x1.c11cd7cb6d34dp-7, -0x1.b532e618f5ad2p-7, -0x1.a988db7b9a98dp-7, -0x1.9e1dac9ca8c8p-7, -0x1.92f050da07c29p-7, -0x1.87ffc24a486c5p-7, -0x1.7d4afdc0934b5p-7, -0x1.72d102cff7c4ep-7, -0x1.6890d3ce77cd7p-7, -0x1.5e8975d7a5d16p-7, -0x1.54b9f0ced09ecp-7, -0x1.4b214f60ff757p-7, -0x1.41be9f06605e2p-7, -0x1.3890f003784c3p-7, -0x1.2f97556a10f6bp-7, -0x1.26d0e519a57e9p-7, -0x1.1e3cb7bfa884ep-7, -0x1.15d9e8d763841p-7, -0x1.0da796a9a1aadp-7, -0x1.05a4e24bed5bdp-7, -0x1.fba1df3f7afe6p-8, -0x1.ec55caa2492a1p-8, -0x1.dd63d9aace4fap-8, -0x1.ceca64d2888c7p-8, -0x1.c087ca1e0bf3dp-8, -0x1.b29a6d1885dbap-8, -0x1.a500b6cf0ee79p-8, -0x1.97b915cb616bfp-8, -0x1.8ac1fe0e2c2c7p-8, -0x1.7e19e9090e68cp-8, -0x1.71bf559821127p-8, -0x1.65b0c7fb46963p-8, -0x1.59ecc9ced0a2ep-8, -0x1.4e71ea0447274p-8, -0x1.433ebcda58436p-8, -0x1.3851dbd4ebb1ep-8, -0x1.2da9e5b4aa941p-8, -0x1.23457e6e47112p-8, -0x1.19234f21926b7p-8, -0x1.0f4206102bc86p-8, -0x1.05a0569426865p-8, -0x1.f879f22cc536fp-9, -0x1.e62d5608fead6p-9, -0x1.d4585d8d7f8d2p-9, -0x1.c2f8976be19fdp-9, -0x1.b20b9c211c5acp-9, -0x1.a18f0de0cf921p-9, -0x1.9180987f4b09ap-9, -0x1.81ddf15b73afbp-9, -0x1.72a4d748c34bep-9, -0x1.63d312787123p-9, -0x1.55667462d5b6ep-9, -0x1.475cd7b06c015p-9, -0x1.39b4202244d3p-9, -0x1.2c6a3a7af57b1p-9, -0x1.1f7d1c66c1f68p-9, -0x1.12eac463c17e5p-9, -0x1.06b139aa1009p-9, -0x1.f59d18279920fp-10, -0x1.de81a8094ea41p-10, -0x1.c80c64a38d7eep-10, -0x1.b239a052fc8dep-10, -0x1.9d05bdf514c3cp-10, -0x1.886d30b7b861dp-10, -0x1.746c7be7ac35cp-10, -0x1.610032bf708acp-10, -0x1.4e24f8365927fp-10, -0x1.3bd77eceea684p-10, -0x1.2a14886531d18p-10, -0x1.18d8e5feeb299p-10, -0x1.082177987e46bp-10, -0x1.efd657ea58f2dp-11, -0x1.d06600db07a5dp-11, -0x1.b1ec017c1bbb3p-11, -0x1.94628dae67b07p-11, -0x1.77c3f557ab207p-11, -0x1.5c0aa402a30ecp-11, -0x1.4131207d2d81ap-11, -0x1.27320c780d3dcp-11, -0x1.0e08242801148p-11, -0x1.eb5c7bca18734p-12, -0x1.bc3e939586435p-12, -0x1.8eaca2b71a693p-12, -0x1.629cee417fd0fp-12, -0x1.3805ec9c70ff5p-12, -0x1.0ede44c7dc209p-12, -0x1.ce399b4d84d73p-13, -0x1.81711a85d89bfp-13, -0x1.37517034bcc79p-13, -0x1.df92c19f229fdp-14, -0x1.559015bdbba3ap-14, -0x1.a0f3965f82891p-15, -0x1.40bdfbdf24afbp-16, 0x1.5b743081ac351p-17, 0x1.44fea3e6feb5fp-15, 0x1.15214c4f7c9fbp-14, 0x1.837239080a743p-14, 0x1.ed8f3ae74eedcp-14, 0x1.29ca6b25c5caap-13, 0x1.5acf79dabc776p-13, 0x1.89e4712f912a1p-13, 0x1.b716ad6a06febp-13, 0x1.e27340b725942p-13, 0x1.06037a37057ffp-12, 0x1.19ef25268959dp-12, 0x1.2d02beda44bd3p-12, 0x1.3f44426df960ep-12, 0x1.50b9890419c8p-12, 0x1.61684a5b2ced3p-12, 0x1.71561d6756864p-12, 0x1.808878e4cea2bp-12, 0x1.8f04b3ea2ef4fp-12, 0x1.9cd0067cea803p-12, 0x1.a9ef8a1c2c8f2p-12, 0x1.b6683a5229568p-12, 0x1.c23ef53e74768p-12, 0x1.cd787c2001042p-12, 0x1.d81973df388abp-12, 0x1.e2266592e9254p-12, 0x1.eba3bf065192bp-12, 0x1.f495d33c525a3p-12, 0x1.fd00daf0c7699p-12, 0x1.02747a8c15865p-11, 0x1.062913af66da5p-11, 0x1.09a02f5255dbp-11, 0x1.0cdbb7bb8cc36p-11, 0x1.0fdd8b459e009p-11, 0x1.12a77c9a7d836p-11, 0x1.153b52ee14636p-11, 0x1.179aca38bcdc6p-11, 0x1.19c7936f6090bp-11, 0x1.1bc354bd8549bp-11, 0x1.1d8fa9ba80c12p-11, 0x1.1f2e23a22d4e9p-11, 0x1.20a04989b8226p-11, 0x1.21e7989488f27p-11, 0x1.23058429267fep-11, 0x1.23fb762404c2fp-11, 0x1.24cacf0a7da5ap-11, 0x1.2574e63c6e842p-11, 0x1.25fb0a2555c69p-11, 0x1.265e806c96babp-11, 0x1.26a0862509bc1p-11, 0x1.26c24ffb3a5d9p-11, 0x1.26c50a6469ee4p-11, 0x1.26a9d9ca8c0cbp-11, 0x1.2671dab9889ccp-11, 0x1.261e220a9639ap-11, 0x1.25afbd0f9d706p-11, 0x1.2527b1bce9276p-11, 0x1.2486fed31a943p-11, 0x1.23ce9c07ffe35p-11, 0x1.22ff7a2e7821bp-11, 0x1.221a835e0bf0ap-11, 0x1.21209b19b82f2p-11, 0x1.20129e75e5a55p-11, 0x1.1ef1643dcc844p-11, 0x1.1dbdbd186b967p-11, 0x1.1c7873abf478dp-11, 0x1.1b224cc23c22ep-11, 0x1.19bc076a4d91dp-11, 0x1.18465d1bd3147p-11, 0x1.16c201d75acbap-11, 0x1.152fa44857ac7p-11, 0x1.138fede479c9fp-11, 0x1.11e3830c10c8ep-11, 0x1.102b0328b1d1ap-11, 0x1.0e6708cbf4b41p-11, 0x1.0c9829cd14a48p-11, 0x1.0abef766af97fp-11, 0x1.08dbfe5305059p-11, 0x1.06efc6e8bd907p-11, 0x1.04fad53619fddp-11, 0x1.02fda91c5ebe6p-11, 0x1.00f8be6a408fep-11, 0x1.fdd919ec37f5p-12, 0x1.f9b3116e3a79bp-12, 0x1.f58043bdc2481p-12, 0x1.f14189e2a45bap-12, 0x1.ecf7b5ba7dfa5p-12, 0x1.e8a39227063bbp-12, 0x1.e445e33c6076ap-12, 0x1.dfdf666e3b898p-12, 0x1.db70d2bc48402p-12, 0x1.d6fad8dcf3382p-12, 0x1.d27e236857847p-12, 0x1.cdfb570146dfp-12, 0x1.c973127e470c3p-12, 0x1.c4e5ef10fc9ecp-12, 0x1.c054806d563b6p-12, 0x1.bbbf54ef3d8fp-12, 0x1.b726f5c02765p-12, 0x1.b28be6fb7097cp-12, 0x1.adeea7d1bac06p-12, 0x1.a94fb2abfb6f9p-12, 0x1.a4af7d4d91e7ap-12, 0x1.a00e78f56a16dp-12, 0x1.9b6d127eb6305p-12, 0x1.96cbb280a3f5dp-12, 0x1.922abd6d994efp-12, 0x1.8d8a93b187241p-12, 0x1.88eb91cfa1bfep-12, 0x1.844e107f4b609p-12, 0x1.7fb264c8c1fc4p-12, 0x1.7b18e02075d93p-12, 0x1.7681d0823c1e5p-12, 0x1.71ed808bfc157p-12, 0x1.6d5c3796df6c4p-12, 0x1.68ce39d141dcap-12, 0x1.6443c856b74ap-12, 0x1.5fbd21484dc4fp-12, 0x1.5b3a7fe3f26e3p-12, 0x1.56bc1c9b26427p-12, 0x1.52422d29952cep-12, 0x1.4dcce4aa9a614p-12, 0x1.495c73ae90ecp-12, 0x1.44f1084f7b5eep-12, 0x1.408ace4528e3cp-12, 0x1.3c29eef93814ap-12, 0x1.37ce9199c80efp-12, 0x1.3378db2c8df48p-12, 0x1.2f28eea0d48dcp-12, 0x1.2adeece15cd87p-12, 0x1.269af4e5857d7p-12, 0x1.225d23c2a2039p-12, 0x1.1e2594bba4d0ap-12, 0x1.19f46151c55ecp-12, 0x1.15c9a153dfeep-12, 0x1.11a56aed5b9dfp-12, 0x1.0d87d2b5597c2p-12, 0x1.0970ebbcb8153p-12, 0x1.0560c79c6ed87p-12, 0x1.01577682c20afp-12, 0x1.faaa0e81ad51ep-13, 0x1.f2b30eae7cb9ep-13, 0x1.eaca0605cee4ep-13, 0x1.e2ef0a91ac11cp-13, 0x1.db223004939f8p-13, 0x1.d36387d061098p-13, 0x1.cbb3213c84d9fp-13, 0x1.c411097bfa0e5p-13, 0x1.bc7d4bc2188d9p-13, 0x1.b4f7f15723296p-13, 0x1.ad8101ac85759p-13, 0x1.a618826fd1de7p-13, 0x1.9ebe779dca8d9p-13, 0x1.9772e39453fc9p-13, 0x1.9035c724750a2p-13, 0x1.890721a2f1798p-13, 0x1.81e6f0f99fcb4p-13, 0x1.7ad531b755e6p-13, 0x1.73d1df1f1ee5fp-13, 0x1.6cdcf33815c24p-13, 0x1.65f666db79fbp-13, 0x1.5f1e31c33ec73p-13, 0x1.58544a97fbbbcp-13, 0x1.5198a6fdc9d3dp-13, 0x1.4aeb3ba1e787cp-13, 0x1.444bfc4685d15p-13, 0x1.3dbadbcf8045ap-13, 0x1.3737cc4da2fd6p-13, 0x1.30c2bf0a6cc98p-13, 0x1.2a5ba492ae793p-13, 0x1.24026cc157292p-13, 0x1.1db706c99ca48p-13, 0x1.17796140ea204p-13, 0x1.11496a287de6p-13, 0x1.0b270ef6ac062p-13, 0x1.05123c9f8b848p-13, 0x1.fe15bf3bd8f56p-14, 0x1.f221c7f6a5da6p-14, 0x1.e6486ab01b198p-14, 0x1.da897de67de9cp-14, 0x1.cee4d7637b5b4p-14, 0x1.c35a4c4b8147bp-14, 0x1.b7e9b12a95f34p-14, 0x1.ac92da024a80bp-14, 0x1.a1559a56a663p-14, 0x1.9631c53947cdp-14, 0x1.8b272d5707c8ep-14, 0x1.8035a5017942ep-14, 0x1.755cfe3b1a088p-14, 0x1.6a9d0ac0eadd3p-14, 0x1.5ff59c1526b62p-14, 0x1.556683885e82fp-14, 0x1.4aef92430fd1ep-14, 0x1.4090994e0e40ep-14, 0x1.3649699b51a1bp-14, 0x1.2c19d40dcbb35p-14, 0x1.2201a981ad2efp-14, 0x1.1800bad2a0c6dp-14, 0x1.0e16d8e44bd45p-14, 0x1.0443d4a7d1977p-14, 0x1.f50efe45b2762p-15, 0x1.e1c352eb523e2p-15, 0x1.cea449c1abbcap-15, 0x1.bbb1859433091p-15, 0x1.a8eaa986c2a33p-15, 0x1.964f591ad13c8p-15, 0x1.83df383cc7167p-15, 0x1.7199eb4aaa7eap-15, 0x1.5f7f171ddecd9p-15, 0x1.4d8e6111d47dp-15, 0x1.3bc76f0cff1c5p-15, 0x1.2a29e78623998p-15, 0x1.18b5718cb17b7p-15, 0x1.0769b4cd707b2p-15, 0x1.ec8cb333c0d83p-16, 0x1.ca9611d93d8d8p-16, 0x1.a8eed8dbd099p-16, 0x1.87965cf3d62b6p-16, 0x1.668bf448c05e6p-16, 0x1.45cef676bf90bp-16, 0x1.255ebc9a5ec5fp-16, 0x1.053aa153ab6bp-16, 0x1.cac4019f847f2p-17, 0x1.8ba8719309d8ap-17, 0x1.4d21512afbbc3p-17, 0x1.0f2d623f8a221p-17, 0x1.a396d3cc83b0fp-18, 0x1.29f460f3319f4p-18, 0x1.62e20675944fbp-19, 0x1.d052c424c446fp-21, -0x1.e20fd51dd5509p-21, -0x1.62ec961046f4ep-19, -0x1.2594e6bf9675dp-18, -0x1.98a0152970d7cp-18, -0x1.054d0b7855eacp-17, -0x1.3dc29303a3eebp-17, -0x1.75b1bad337e07p-17, -0x1.ad1b9926a4be6p-17, -0x1.e40140e67aa88p-17, -0x1.0d31e0d13a679p-16, -0x1.282213cae1bb2p-16, -0x1.42d1bdd4ed8cp-16, -0x1.5d4161bce4c71p-16, -0x1.777180acbbdb9p-16, -0x1.91629a29d5a5ap-16, -0x1.ab152c1ae6e01p-16, -0x1.c489b2c912c54p-16, -0x1.ddc0a8e39768cp-16, -0x1.f6ba8781d0359p-16, -0x1.07bbe31409e6ep-15, -0x1.13fc6d650b8bbp-15, -0x1.201f1ce71b6f1p-15, -0x1.2c242b08fee55p-15, -0x1.380bd0777b5d8p-15, -0x1.43d6451e39b91p-15, -0x1.4f83c02ac94ffp-15, -0x1.5b14780e27eebp-15, -0x1.6688a27fbf734p-15, -0x1.71e0747e8df54p-15, -0x1.7d1c22543b29cp-15, -0x1.883bdf96d2765p-15, -0x1.933fdf2bb44d7p-15, -0x1.9e285349c83b7p-15, -0x1.a8f56d7b70fabp-15, -0x1.b3a75ea1d21efp-15, -0x1.be3e56f60f4cbp-15, -0x1.c8ba860d6daadp-15, -0x1.d31c1adabe56p-15, -0x1.dd6343b11da8bp-15, -0x1.e7902e462714fp-15, -0x1.f1a307b4f2c15p-15, -0x1.fb9bfc80a3d0fp-15, -0x1.02bd9c4b4a283p-14, -0x1.07a073a8aed0ap-14, -0x1.0c7699bda9a7p-14, -0x1.114023a8680e1p-14, -0x1.15fd26416902ap-14, -0x1.1aadb61cdb4fp-14, -0x1.1f51e78be19eep-14, -0x1.23e9ce9dc6012p-14, -0x1.28757f214b225p-14, -0x1.2cf50ca5cf3bbp-14, -0x1.31688a7cfb287p-14, -0x1.35d00bbb75d29p-14, -0x1.3a2ba33a76a39p-14, -0x1.3e7b6398df436p-14, -0x1.42bf5f3c842dap-14, -0x1.46f7a85360bd1p-14, -0x1.4b2450d4e1eaap-14, -0x1.4f456a831a58fp-14, -0x1.535b06eb8fdfbp-14, -0x1.57653768e19fap-14, -0x1.5b640d23dd11fp-14, -0x1.5f5799148e978p-14, -0x1.633fec0322d4bp-14, -0x1.671d1689a8272p-14, -0x1.6aef2914992d9p-14, -0x1.6eb633e44090ap-14, -0x1.7272470da83dep-14, -0x1.7623727be2e3fp-14, -0x1.79c9c5f0ddd02p-14, -0x1.7d6551069c015p-14, -0x1.80f62330089p-14, -0x1.847c4bba57c3cp-14, -0x1.87f7d9cd8f434p-14, -0x1.8b68dc6df95b5p-14, -0x1.8ecf627cbbc69p-14, -0x1.922b7ab8faf88p-14, -0x1.957d33c0f2c7ap-14, -0x1.98c49c129c85p-14, -0x1.9c01c20cb1da4p-14, -0x1.9f34b3ef871f6p-14, -0x1.a25d7fde0703cp-14, -0x1.a57c33de8bcf2p-14, -0x1.a890dddbaeba4p-14, -0x1.ab9b8ba4f3ca3p-14, -0x1.ae9c4aeff0b5ep-14, -0x1.b1932958e09d8p-14, -0x1.b48034635f64ap-14, -0x1.b763797b77e8fp-14, -0x1.ba3d05f6174d6p-14, -0x1.bd0ce711e6f36p-14, -0x1.bfd329f8009fcp-14, -0x1.c28fdbbcb4a35p-14, -0x1.c54309601490ep-14, -0x1.c7ecbfced8057p-14, -0x1.ca8d0be2e92b9p-14, -0x1.cd23fa63e4a26p-14, -0x1.cfb19807da3e6p-14, -0x1.d235f1741a66ep-14, -0x1.d4b1133d838c1p-14, -0x1.d72309e9347efp-14, -0x1.d98be1ed1e5bbp-14, -0x1.dbeba7b09841dp-14, -0x1.de42678cea09bp-14, -0x1.e0902dcdd193ap-14, -0x1.e2d506b1eb43p-14, -0x1.e510fe6b5252ep-14, -0x1.e744212017baap-14, -0x1.e96e7aeaa8dcep-14, -0x1.eb9017da5fa4dp-14, -0x1.eda903f3f0698p-14, -0x1.efb94b31a560ap-14, -0x1.f1c0f9840459ap-14, -0x1.f3c01ad2403bcp-14, -0x1.f5b6bafa3e6d3p-14, -0x1.f7a4e5d16430ap-14, -0x1.f98aa724d77f1p-14, -0x1.fb680ab9a30f3p-14, -0x1.fd3d1c4d39d6ep-14, -0x1.ff09e795d4b7ep-14, -0x1.00673c2159acep-13, -0x1.01456cfe34d02p-13, -0x1.021f8c32985dfp-13, -0x1.02f59f8c95cf4p-13, -0x1.03c7acd754d0fp-13, -0x1.0495b9db38326p-13, -0x1.055fcc5dfd6b4p-13, -0x1.0625ea22db3bfp-13, -0x1.06e818ea9cb29p-13, -0x1.07a65e73bb4a8p-13, -0x1.0860c07a7f58dp-13, -0x1.091744b91dc61p-13, -0x1.09c9f0e7c1f67p-13, -0x1.0a78cabcb905bp-13, -0x1.0b23d7ec6a92ep-13, -0x1.0bcb1e2983157p-13, -0x1.0c6ea32517e4dp-13, -0x1.0d0e6c8e88984p-13, -0x1.0daa8013b6df9p-13, -0x1.0e42e36114ebfp-13, -0x1.0ed79c219aa14p-13, -0x1.0f68affef0d2p-13, -0x1.0ff624a17b27cp-13, -0x1.107fffb049b9cp-13, -0x1.110646d144492p-13, -0x1.1188ffa922256p-13, -0x1.12082fdb7ee3fp-13, -0x1.1283dd0ad15e9p-13, -0x1.12fc0cd8831ep-13, -0x1.1370c4e4f30e5p-13, -0x1.13e20acf7bcc8p-13, -0x1.144fe4367e75dp-13, -0x1.14ba56b752712p-13, -0x1.152167ee5a266p-13, -0x1.15851d77141bap-13, -0x1.15e57cebeed28p-13, -0x1.16428be66db64p-13, -0x1.169c4fff45ee1p-13, -0x1.16f2cece06fefp-13, -0x1.17460de96cc25p-13, -0x1.179612e748e1dp-13, -0x1.17e2e35c50668p-13, -0x1.182c84dc68485p-13, -0x1.1872fcfa6ae26p-13, -0x1.18b6514826259p-13, -0x1.18f68756833a7p-13, -0x1.1933a4b54b0e8p-13, -0x1.196daef340735p-13, -0x1.19a4ab9e2104fp-13, -0x1.19d8a04279edfp-13, -0x1.1a09926bc3d39p-13, -0x1.1a3787a45aba4p-13, -0x1.1a62857559febp-13, -0x1.1a8a9166b10cbp-13, -0x1.1aafb0ff1df85p-13, -0x1.1ad1e9c3f858dp-13, -0x1.1af1413958041p-13, -0x1.1b0dbce2108dcp-13, -0x1.1b27623f63d0cp-13, -0x1.1b3e36d1457d4p-13, -0x1.1b524016362adp-13, -0x1.1b63838b10e76p-13, -0x1.1b7206ab48773p-13, -0x1.1b7dcef0a3c71p-13, -0x1.1b86e1d34353bp-13, -0x1.1b8d44c99e76p-13, -0x1.1b90fd4862f61p-13, -0x1.1b9210c28b8fcp-13, -0x1.1b9084a91f18bp-13, -0x1.1b8c5e6b5821ep-13, -0x1.1b85a376848abp-13, -0x1.1b7c5935dcf8ap-13, -0x1.1b708512ab926p-13, -0x1.1b622c7416db8p-13, -0x1.1b5154bf18b23p-13, -0x1.1b3e03568f6dp-13, -0x1.1b283d9b08b5bp-13, -0x1.1b1008eaba55p-13, -0x1.1af56aa19d382p-13, -0x1.1ad8681928159p-13, -0x1.1ab906a853ee3p-13, -0x1.1a974ba3b62c1p-13, -0x1.1a733c5d285d5p-13, -0x1.1a4cde23f456ap-13, -0x1.1a243644b2dfdp-13, -0x1.19f94a09352efp-13, -0x1.19cc1eb88882ep-13, -0x1.199cb996d21bfp-13, -0x1.196b1fe5583d9p-13, -0x1.193756e256f26p-13, -0x1.190163c912f66p-13, -0x1.18c94bd1b2fbfp-13, -0x1.188f143132291p-13, -0x1.1852c21968326p-13, -0x1.18145ab8d51d9p-13, -0x1.17d3e33abfe1p-13, -0x1.179160c70225fp-13, -0x1.174cd882067b8p-13, -0x1.17064f8cccd74p-13, -0x1.16bdcb04b2bd5p-13, -0x1.167350039493ep-13, -0x1.1626e39fa6014p-13, -0x1.15d88aeb56e6dp-13, -0x1.15884af56817fp-13, -0x1.153628c8c1eb9p-13, -0x1.14e2296c73553p-13, -0x1.148c51e39e147p-13, -0x1.1434a72d731a6p-13, -0x1.13db2e451c052p-13, -0x1.137fec21a74eep-13, -0x1.1322e5b6114fep-13, -0x1.12c41ff12036cp-13, -0x1.12639fbd63227p-13, -0x1.12016a0128393p-13, -0x1.119d839e66247p-13, -0x1.1137f172b5c24p-13, -0x1.10d0b8573e54fp-13, -0x1.1067dd20bd9e1p-13, -0x1.0ffd649f5ad53p-13, -0x1.0f91539ebe133p-13, -0x1.0f23aee5f1b25p-13, -0x1.0eb47b3743ae6p-13, -0x1.0e43bd506ffa2p-13, -0x1.0dd179ea5a3dcp-13, -0x1.0d5db5b9270f4p-13, -0x1.0ce8756c2d891p-13, -0x1.0c71bdadd4293p-13, -0x1.0bf99323a755fp-13, -0x1.0b7ffa6e363d2p-13, -0x1.0b04f8291754dp-13, -0x1.0a8890eac8d52p-13, -0x1.0a0ac944cca43p-13, -0x1.098ba5c376ccp-13, -0x1.090b2aedf8498p-13, -0x1.08895d4652707p-13, -0x1.08064149509d1p-13, -0x1.0781db6e6fe2bp-13, -0x1.06fc3027f10f1p-13, -0x1.067543e2b589bp-13, -0x1.05ed1b0644bb7p-13, -0x1.0563b9f4bcbe7p-13, -0x1.04d9250ac5c21p-13, -0x1.044d609fad106p-13, -0x1.03c0710521803p-13, -0x1.03325a8761652p-13, -0x1.02a3216d13d45p-13, -0x1.0212c9f748a47p-13, -0x1.0181586179543p-13, -0x1.00eed0e178d42p-13, -0x1.005b37a7746cbp-13, -0x1.ff8d21bbbfdbep-14, -0x1.fe61c152ff2f2p-14, -0x1.fd345652b52c9p-14, -0x1.fc04e8ed41c9cp-14, -0x1.fad38149c47bbp-14, -0x1.f9a0278362aa4p-14, -0x1.f86ae3a9cb32p-14, -0x1.f733bdc0f1ef1p-14, -0x1.f5fabdc0ff874p-14, -0x1.f4bfeb96589e6p-14, -0x1.f3834f219c092p-14, -0x1.f244f03773f6ep-14, -0x1.f104d6a0bf604p-14, -0x1.efc30a1a482b9p-14, -0x1.ee7f92552640dp-14, -0x1.ed3a76f631396p-14, -0x1.ebf3bf96533e1p-14, -0x1.eaab73c28e6e5p-14, -0x1.e9619afb795edp-14, -0x1.e8163cb605428p-14, -0x1.e6c9605a9921bp-14, -0x1.e57b0d45acc6cp-14, -0x1.e42b4ac799e7dp-14, -0x1.e2da202460b4p-14, -0x1.e1879493da446p-14, -0x1.e033af41c8d23p-14, -0x1.dede774d84d98p-14, -0x1.dd87f3ca2f897p-14, -0x1.dc302bbecbfcfp-14, -0x1.dad72625d3247p-14, -0x1.d97ce9eda710cp-14, -0x1.d8217df85ce8p-14, -0x1.d6c4e91b8e0f2p-14, -0x1.d5673220b5d6cp-14, -0x1.d4085fc4e5d23p-14, -0x1.d2a878b8e2a9ep-14, -0x1.d14783a115b25p-14, -0x1.cfe5871583ea1p-14, -0x1.ce8289a21b6ffp-14, -0x1.cd1e91c606931p-14, -0x1.cbb9a5f4a0d19p-14, -0x1.ca53cc94753d8p-14, -0x1.c8ed0c0014dc1p-14, -0x1.c7856a858f89dp-14, -0x1.c61cee6699cf2p-14, -0x1.c4b39dd8d889ap-14, -0x1.c3497f054d33ep-14, -0x1.c1de9808ed38p-14, -0x1.c072eef454792p-14, -0x1.bf0689cbbe1ecp-14, -0x1.bd996e8740079p-14, -0x1.bc2ba312b190bp-14, -0x1.babd2d4d79253p-14, -0x1.b94e130b21c33p-14, -0x1.b7de5a129fa2p-14, -0x1.b66e081ef2539p-14, -0x1.b4fd22dee951ep-14, -0x1.b38baff50e60ap-14, -0x1.b219b4f7d4644p-14, -0x1.b0a73771acff2p-14, -0x1.af343ce0c9857p-14, -0x1.adc0cab752d4ep-14, -0x1.ac4ce65b86278p-14, -0x1.aad89527709f8p-14, -0x1.a963dc6931ee3p-14, -0x1.a7eec16301bbap-14, -0x1.a679494ae964fp-14, -0x1.a503794b6b853p-14, -0x1.a38d5682a2c74p-14, -0x1.a216e60361f26p-14, -0x1.a0a02cd419fddp-14, -0x1.9f292fefd2a9ap-14, -0x1.9db1f445ac652p-14, -0x1.9c3a7eb8ef428p-14, -0x1.9ac2d4215c63dp-14, -0x1.994af94aff524p-14, -0x1.97d2f2f60743ap-14, -0x1.965ac5d77df28p-14, -0x1.94e27698577cap-14, -0x1.936a09d67007ap-14, -0x1.91f18423d038ep-14, -0x1.9078ea074b329p-14, -0x1.8f003ffc1bad1p-14, -0x1.8d878a7249912p-14, -0x1.8c0ecdce3d857p-14, -0x1.8a960e697d8aep-14, -0x1.891d5091df153p-14, -0x1.87a4988a4a518p-14, -0x1.862bea8a65d78p-14, -0x1.84b34abea8ad5p-14, -0x1.833abd488e858p-14, -0x1.81c2463e64c3bp-14, -0x1.8049e9aba5197p-14, -0x1.7ed1ab909f0e7p-14, -0x1.7d598fe2e32f8p-14, -0x1.7be19a8d18013p-14, -0x1.7a69cf6ef8606p-14, -0x1.78f2325db94a8p-14, -0x1.777ac72385475p-14, -0x1.760391800ab99p-14, -0x1.748c95285ff28p-14, -0x1.7315d5c6bd4cbp-14, -0x1.719f56fb3f02p-14, -0x1.70291c5b193ecp-14, -0x1.6eb329715adeap-14, -0x1.6d3d81be8c535p-14, -0x1.6bc828b8e581ap-14, -0x1.6a5321cc51b7fp-14, -0x1.68de705a8e4e4p-14, -0x1.676a17bb06142p-14, -0x1.65f61b3b415dcp-14, -0x1.64827e1e47ab2p-14, -0x1.630f439da67c6p-14, -0x1.619c6ee85ccc6p-14, -0x1.602a0323f1ee1p-14, -0x1.5eb8036bb60dbp-14, -0x1.5d4672d16b87p-14, -0x1.5bd5545cce60dp-14, -0x1.5a64ab0c20d07p-14, -0x1.58f479d3cdbafp-14, -0x1.5784c39eacfb3p-14, -0x1.56158b4e2b322p-14, -0x1.54a6d3b9f51b6p-14, -0x1.53389fb07f61ap-14, -0x1.51caf1f6ba0f1p-14, -0x1.505dcd4836338p-14, -0x1.4ef134576ae34p-14, -0x1.4d8529cd58431p-14, -0x1.4c19b049fb5cdp-14, -0x1.4aaeca64348b4p-14, -0x1.49447aa9a7975p-14, -0x1.47dac39f3832ap-14, -0x1.4671a7c097094p-14, -0x1.45092980c852bp-14, -0x1.43a14b49c5f73p-14, -0x1.423a0f7cee2b8p-14, -0x1.40d37872c68d5p-14, -0x1.3f6d887b2c0e4p-14, -0x1.3e0841dd84da8p-14, -0x1.3ca3a6d85eb53p-14, -0x1.3b3fb9a21e122p-14, -0x1.39dc7c686f0dp-14, -0x1.3879f150cbccap-14, -0x1.37181a782ff32p-14, -0x1.35b6f9f382e6ep-14, -0x1.345691cf382aap-14, -0x1.32f6e40fe22eap-14, -0x1.3197f2b1b6eaap-14, -0x1.3039bfa905dc4p-14, -0x1.2edc4ce22d385p-14, -0x1.2d7f9c415f8cap-14, -0x1.2c23afa34f116p-14, -0x1.2ac888dc7c94p-14, -0x1.296e29b9eb12p-14, -0x1.28149400d0754p-14, -0x1.26bbc96ea177ep-14, -0x1.2563cbb988b77p-14, -0x1.240c9c8fc6eb5p-14, -0x1.22b63d9884387p-14, -0x1.2160b073239d6p-14, -0x1.200bf6b7fe4bdp-14, -0x1.1eb811f7d300ep-14, -0x1.1d6503bc709d9p-14, -0x1.1c12cd8816e7ap-14, -0x1.1ac170d6435c6p-14, -0x1.1970ef1b10ae9p-14, -0x1.182149c3ccd5ap-14, -0x1.16d28236a65e5p-14, -0x1.158499d2fe336p-14, -0x1.143791f13f159p-14, -0x1.12eb6be32944cp-14, -0x1.11a028f39cd0ap-14, -0x1.1055ca66d67cep-14, -0x1.0f0c517a81c46p-14, -0x1.0dc3bf6582ce5p-14, -0x1.0c7c15588c214p-14, -0x1.0b35547d6dea7p-14, -0x1.09ef7df80170ep-14, -0x1.08aa92e552597p-14, -0x1.0766945c856b1p-14, -0x1.0623836e2a5bap-14, -0x1.04e16124d7a2ep-14, -0x1.03a02e84ded17p-14, -0x1.025fec8c8df55p-14, -0x1.01209c34199fap-14, -0x1.ffc47cdb9c80dp-15, -0x1.fd49a84be9e67p-15, -0x1.fad0bc86078cbp-15, -0x1.f859bb4b4a979p-15, -0x1.f5e4a6512a947p-15, -0x1.f3717f42517e9p-15, -0x1.f10047bd3fb5ap-15, -0x1.ee9101561c0a6p-15, -0x1.ec23ad9512883p-15, -0x1.e9b84df816189p-15, -0x1.e74ee3f184d5fp-15, -0x1.e4e770e96fe7fp-15, -0x1.e281f63ccff3bp-15, -0x1.e01e753e4f96fp-15, -0x1.ddbcef35c619bp-15, -0x1.db5d6561035a7p-15, -0x1.d8ffd8f322de1p-15, -0x1.d6a44b1564581p-15, -0x1.d44abce6b522p-15, -0x1.d1f32f7c1ae07p-15, -0x1.cf9da3e0ab95fp-15, -0x1.cd4a1b15a622dp-15, -0x1.caf89612a28c9p-15, -0x1.c8a915c59d855p-15, -0x1.c65b9b12f4d17p-15, -0x1.c41026d5cf0afp-15, -0x1.c1c6b9dfafe79p-15, -0x1.bf7f54f951d5ep-15, -0x1.bd39f8e1caef4p-15, -0x1.baf6a64fb1298p-15, -0x1.b8b55df02abf2p-15, -0x1.b6762067e2762p-15, -0x1.b438ee52af5aap-15, -0x1.b1fdc8437b2a4p-15, -0x1.afc4aec52ab6dp-15, -0x1.ad8da2597056ep-15, -0x1.ab58a37a669ffp-15, -0x1.a925b2991f1b2p-15, -0x1.a6f4d01f1f182p-15, -0x1.a4c5fc6d475f4p-15, -0x1.a29937dce54adp-15, -0x1.a06e82bef8de6p-15, -0x1.9e45dd5cfa36cp-15, -0x1.9c1f47f852126p-15, -0x1.99fac2cb1a923p-15, -0x1.97d84e077754ap-15, -0x1.95b7e9d87309bp-15, -0x1.939996614d771p-15, -0x1.917d53be4a468p-15, -0x1.8f632204420ep-15, -0x1.8d4b0140e552ep-15, -0x1.8b34f17b06c23p-15, -0x1.8920f2b21a914p-15, -0x1.870f04df3bb32p-15, -0x1.84ff27f41219bp-15, -0x1.82f15bdc32b63p-15, -0x1.80e5a07be0fa6p-15, -0x1.7edbf5b16f91ap-15, -0x1.7cd45b5429ep-15, -0x1.7aced13561dd7p-15, -0x1.78cb571fcbcb5p-15, -0x1.76c9ecd7f460ap-15, -0x1.74ca921c4e7b8p-15, -0x1.72cd46a4f5e11p-15, -0x1.70d20a2460242p-15, }}, 
      {{-0x1.e8d5e9262d663p-1, -0x1.e8b011129f15dp-1, -0x1.e86c04b08c621p-1, -0x1.e805e3f87162dp-1, -0x1.e77b4235428e9p-1, -0x1.e6cb625ccb15fp-1, -0x1.e5f70c0806cb8p-1, -0x1.e500360f0bca2p-1, -0x1.e3e9a7b52b1dap-1, -0x1.e2b6a0f2fa84bp-1, -0x1.e16a91130dbe9p-1, -0x1.e008ddac005ep-1, -0x1.de94b94fb81bcp-1, -0x1.dd1108036fce7p-1, -0x1.db804f1f1c0d3p-1, -0x1.d9e4ae2e2553fp-1, -0x1.d83fde9f8ccaep-1, -0x1.d693385fe4b11p-1, -0x1.d4dfb9ca12e65p-1, -0x1.d32611aaeb5afp-1, -0x1.d166aa5aa72fcp-1, -0x1.cfa1b52c587e7p-1, -0x1.cdd735a68c691p-1, -0x1.cc070c21e47e7p-1, -0x1.ca30ff8bcae29p-1, -0x1.c854c6256eff1p-1, -0x1.c6720d2b49dc2p-1, -0x1.c4887f6078ce2p-1, -0x1.c297ca8437469p-1, -0x1.c09fa3bf81a51p-1, -0x1.be9fcb1e16eddp-1, -0x1.bc980e293817fp-1, -0x1.ba8849bc21101p-1, -0x1.b8706b2aafd61p-1, -0x1.b65070d2433c3p-1, -0x1.b4286a2bda2edp-1, -0x1.b1f8777509e17p-1, -0x1.afc0c903b0b35p-1, -0x1.ad819e566edc7p-1, -0x1.ab3b44f2035b1p-1, -0x1.a8ee1719c4f46p-1, -0x1.a69a7a6f984b6p-1, -0x1.a440de85fbc55p-1, -0x1.a1e1bb6d24f87p-1, -0x1.9f7d9042a3843p-1, -0x1.9d14e1c9a1c18p-1, -0x1.9aa839109e9cep-1, -0x1.983822286124ep-1, -0x1.95c52aeef9ef2p-1, -0x1.934fe1f0c511cp-1, -0x1.90d8d560b33e6p-1, -0x1.8e609228803e7p-1, -0x1.8be7a310fd4c7p-1, -0x1.896e90022c702p-1, -0x1.86f5dd5a93cfep-1, -0x1.847e0b5ceb87bp-1, -0x1.820795b318a2bp-1, -0x1.7f92f3053d65fp-1, -0x1.7d2094a391fdcp-1, -0x1.7ab0e641a6ce8p-1, -0x1.78444dc1a8365p-1, -0x1.75db2b0e417c2p-1, -0x1.7375d801bb573p-1, -0x1.7114a85900549p-1, -0x1.6eb7e9b13d3fdp-1, -0x1.6c5fe38ee62dfp-1, -0x1.6a0cd76cf4e06p-1, -0x1.67bf00d3507b1p-1, -0x1.657695735c2bep-1, -0x1.6333c549bed35p-1, -0x1.60f6bac48f419p-1, -0x1.5ebf9aed1cec1p-1, -0x1.5c8e8594a59fep-1, -0x1.5a63958356c7ep-1, -0x1.583ee0a90dfb6p-1, -0x1.5620784f5981dp-1, -0x1.5408694c49159p-1, -0x1.51f6bc35afe74p-1, -0x1.4feb75948255ap-1, -0x1.4de6961807aadp-1, -0x1.4be81ac8a0c1ap-1, -0x1.49effd39f1e1p-1, -0x1.47fe33bc42477p-1, -0x1.4612b18ceee12p-1, -0x1.442d6705d3218p-1, -0x1.424e41cb9121p-1, -0x1.40752cfaa5a6p-1, -0x1.3ea211533f4cap-1, -0x1.3cd4d563caf26p-1, -0x1.3b0d5db23252cp-1, -0x1.394b8ce3c8de1p-1, -0x1.378f43e3e7ac9p-1, -0x1.35d86209373c4p-1, -0x1.3426c539ace81p-1, -0x1.327a4a0d3ddcbp-1, -0x1.30d2cbef4f3b9p-1, -0x1.2f30253ee6491p-1, -0x1.2d922f6da3a41p-1, -0x1.2bf8c31d8ad8bp-1, -0x1.2a63b83da3b8fp-1, -0x1.28d2e625773bfp-1, -0x1.274623af73556p-1, -0x1.25bd47523a612p-1, -0x1.24382738e67fcp-1, -0x1.22b6995a49069p-1, -0x1.2138738f28a5dp-1, -0x1.1fbd8ba78bb05p-1, -0x1.1e45b77f0cc1ap-1, -0x1.1cd0cd1046f3dp-1, -0x1.1b5ea2875a872p-1, -0x1.19ef0e5392ffp-1, -0x1.1881e73831c8cp-1, -0x1.1717045c62eabp-1, -0x1.15ae3d5a6255fp-1, -0x1.14476a4dd40c6p-1, -0x1.12e263e156957p-1, -0x1.117f035b506afp-1, -0x1.101d22aa01d21p-1, -0x1.0ebc9c6ed925bp-1, -0x1.0d5d4c0913405p-1, -0x1.0bff0d9fa8e4dp-1, -0x1.0aa1be2a8d55bp-1, -0x1.09453b7b42ef4p-1, -0x1.07e96444c983bp-1, -0x1.068e1822e8e2dp-1, -0x1.053337a0dd0dbp-1, -0x1.03d8a43f68434p-1, -0x1.027e407a4a052p-1, -0x1.0123efcd27d5ap-1, -0x1.ff932d6fc0691p-2, -0x1.fcde3584ae801p-2, -0x1.fa28c4ff6d314p-2, -0x1.f772ab22554bep-2, -0x1.f4bbb9504111p-2, -0x1.f203c3100ba52p-2, -0x1.ef4a9e0f1dbb5p-2, -0x1.ec902223166f8p-2, -0x1.e9d4294a8d3a8p-2, -0x1.e7168facf9c17p-2, -0x1.e4573399d0046p-2, -0x1.e195f586c9e2p-2, -0x1.ded2b80d76212p-2, -0x1.dc0d5fe80748ap-2, -0x1.d945d3ed759f7p-2, -0x1.d67bfd0cf1b0ep-2, -0x1.d3afc648b8ed7p-2, -0x1.d0e11cb04bf74p-2, -0x1.ce0fef5a143c1p-2, -0x1.cb3c2f5c7b811p-2, -0x1.c865cfc68372cp-2, -0x1.c58cc597df6c5p-2, -0x1.c2b107b8977f3p-2, -0x1.bfd28ef03fbbp-2, -0x1.bcf155dccb2dcp-2, -0x1.ba0d58e8fd426p-2, -0x1.b72696428165cp-2, -0x1.b43d0dcfb7e82p-2, -0x1.b150c125302f8p-2, -0x1.ae61b37ae6387p-2, -0x1.ab6fe9a13d3d1p-2, -0x1.a87b69f5c596p-2, -0x1.a5843c57d2a9ep-2, -0x1.a28a6a1ce3912p-2, -0x1.9f8dfe04e5e63p-2, -0x1.9c8f042e5c70bp-2, -0x1.998d8a0a66963p-2, -0x1.96899e50b8669p-2, -0x1.938350f37d1b6p-2, -0x1.907ab313321d1p-2, -0x1.8d6fd6f27d321p-2, -0x1.8a62cfe9fac3p-2, -0x1.8753b25c163c5p-2, -0x1.844293a8e5847p-2, -0x1.812f8a220effcp-2, -0x1.7e1aacfec0bbdp-2, -0x1.7b04144fb68e5p-2, -0x1.77ebd8f35b08ap-2, -0x1.74d21489fe681p-2, -0x1.71b6e16a2a8dcp-2, -0x1.6e9a5a9515bf6p-2, -0x1.6b7c9bab3b3bp-2, -0x1.685dc0e113045p-2, -0x1.653de6f3f76fep-2, -0x1.621d2b1f2f2ebp-2, -0x1.5efbab11274a8p-2, -0x1.5bd984e0d7cb2p-2, -0x1.58b6d7035bd0fp-2, -0x1.5593c041b7dd5p-2, -0x1.52705faed7149p-2, -0x1.4f4cd49db8e11p-2, -0x1.4c293e97d833ap-2, -0x1.4905bd53c94cep-2, -0x1.45e270ac0f61bp-2, -0x1.42bf78962a8b1p-2, -0x1.3f9cf519e1f7p-2, -0x1.3c7b0648c6d54p-2, -0x1.3959cc35f699p-2, -0x1.363966ee12726p-2, -0x1.3319f66f7bd41p-2, -0x1.2ffb9aa2c5c01p-2, -0x1.2cde7353680cap-2, -0x1.29c2a028acb79p-2, -0x1.26a8409ede503p-2, -0x1.238f7400aead8p-2, -0x1.20785960ddda2p-2, -0x1.1d630f941bef1p-2, -0x1.1a4fb52b2962ep-2, -0x1.173e686d30f59p-2, -0x1.142f47526010bp-2, -0x1.11226f7eb7726p-2, -0x1.0e17fe3d1a4cfp-2, -0x1.0b10107a93ef1p-2, -0x1.080ac2c1d93c4p-2, -0x1.0508313702711p-2, -0x1.020877937cc22p-2, -0x1.fe17624466cb5p-3, -0x1.f823f177e2b12p-3, -0x1.f236d187e8ccbp-3, -0x1.ec50364972ba9p-3, -0x1.e6705299f76f2p-3, -0x1.e0975859c8a7cp-3, -0x1.dac57866e1d3dp-3, -0x1.d4fae2980b6ecp-3, -0x1.cf37c5b869aabp-3, -0x1.c97c4f8363f1ap-3, -0x1.c3c8aca0ea856p-3, -0x1.be1d08a210907p-3, -0x1.b8798dfe0c3fdp-3, -0x1.b2de660f7b792p-3, -0x1.ad4bb91206aeap-3, -0x1.a7c1ae2051fc7p-3, -0x1.a2406b3242b7p-3, -0x1.9cc8151b8610ep-3, -0x1.9758cf8a7179p-3, -0x1.91f2bd07208b1p-3, -0x1.8c95fef2ddc53p-3, -0x1.8742b587d27bdp-3, -0x1.81f8ffd8ef1a7p-3, -0x1.7cb8fbd2228dbp-3, -0x1.7782c638be89cp-3, -0x1.72567aac26957p-3, -0x1.6d3433a6abf0fp-3, -0x1.681c0a7eaa946p-3, -0x1.630e1767d9324p-3, -0x1.5e0a7174c5359p-3, -0x1.59112e9887ebfp-3, -0x1.542263a8ac113p-3, -0x1.4f3e245f376aep-3, -0x1.4a64835ce6878p-3, -0x1.4595922b93972p-3, -0x1.40d16140bc0d9p-3, -0x1.3c180000323f7p-3, -0x1.37697cbef30fcp-3, -0x1.32c5e4c619856p-3, -0x1.2e2d4455f20b6p-3, -0x1.299fa6a930dfep-3, -0x1.251d15f84205ep-3, -0x1.20a59b7caf345p-3, -0x1.1c393f74a8f4p-3, -0x1.17d809269eb2p-3, -0x1.1381fee4f1356p-3, -0x1.0f372611b5cb2p-3, -0x1.0af7832291323p-3, -0x1.06c319a49ed8p-3, -0x1.0299ec406ef37p-3, -0x1.fcf7f97c0e875p-4, -0x1.f4d29811ffe8dp-4, -0x1.ecc3b4693f42cp-4, -0x1.e4cb4d0017293p-4, -0x1.dce95eb4f0099p-4, -0x1.d51de4ced3d6bp-4, -0x1.cd68d905f6fbep-4, -0x1.c5ca338c46971p-4, -0x1.be41eb16084aap-4, -0x1.b6cff4e28821fp-4, -0x1.af7444c4b8632p-4, -0x1.a82ecd2be4bacp-4, -0x1.a0ff7f2c6567dp-4, -0x1.99e64a8847d8cp-4, -0x1.92e31db7ff342p-4, -0x1.8bf5e5f3112ecp-4, -0x1.851e8f38b33a2p-4, -0x1.7e5d04586d809p-4, -0x1.77b12efaa83e7p-4, -0x1.711af7a93ebc1p-4, -0x1.6a9a45d7f3d8bp-4, -0x1.642effecec09cp-4, -0x1.5dd90b490cf6p-4, -0x1.57984c505445dp-4, -0x1.516ca67218481p-4, -0x1.4b55fc313eeacp-4, -0x1.45542f2c5bb7ep-4, -0x1.3f672025bc686p-4, -0x1.398eaf0b605a4p-4, -0x1.33cabafede424p-4, -0x1.2e1b225d2d8acp-4, -0x1.287fc2c65d39ep-4, -0x1.22f879253425ep-4, -0x1.1d8521b6b2607p-4, -0x1.1825981181913p-4, -0x1.12d9b72d46872p-4, -0x1.0da15969da28dp-4, -0x1.087c589669f1p-4, -0x1.036a8df876fddp-4, -0x1.fcd7a4a5849acp-5, -0x1.f2fffbd8297aap-5, -0x1.e94dd12be1be2p-5, -0x1.dfc0d3664cbb4p-5, -0x1.d658b07c8a085p-5, -0x1.cd15159fefb02p-5, -0x1.c3f5af4a821efp-5, -0x1.bafa294b2cbabp-5, -0x1.b2222ed1c5b44p-5, -0x1.a96d6a7ad00d8p-5, -0x1.a0db865b098c5p-5, -0x1.986c2c0ab303fp-5, -0x1.901f04b0a3d6ap-5, -0x1.87f3b90d214e1p-5, -0x1.7fe9f18475e9ep-5, -0x1.780156294f549p-5, -0x1.70398ec6e13cbp-5, -0x1.689242eac6625p-5, -0x1.610b19eeb76bap-5, -0x1.59a3bb01e96ap-5, -0x1.525bcd3251fb3p-5, -0x1.4b32f77595eb3p-5, -0x1.4428e0b1cfba1p-5, -0x1.3d3d2fc61293bp-5, -0x1.366f8b92b60a5p-5, -0x1.2fbf9b016bfc2p-5, -0x1.292d050d177ddp-5, -0x1.22b770c970c0cp-5, -0x1.1c5e856a759bp-5, -0x1.1621ea4b90dfap-5, -0x1.100146f6a483bp-5, -0x1.09fc432accb04p-5, -0x1.041286e2ee0e1p-5, -0x1.fc8774b83193cp-6, -0x1.f11f0c3760fa1p-6, -0x1.e5eb25eac5a76p-6, -0x1.daeb1421d38d6p-6, -0x1.d01e29df3f7b2p-6, -0x1.c583bae3bf3c7p-6, -0x1.bb1b1bb8602b4p-6, -0x1.b0e3a1b8932a1p-6, -0x1.a6dca31bcb8bdp-6, -0x1.9d0576febb77ap-6, -0x1.935d756c47d1cp-6, -0x1.89e3f766107a9p-6, -0x1.809856ecaa718p-6, -0x1.7779ef07841e8p-6, -0x1.6e881bcc69337p-6, -0x1.65c23a66bf7b9p-6, -0x1.5d27a91e63428p-6, -0x1.54b7c75e4c24ap-6, -0x1.4c71f5bac580cp-6, -0x1.445595f769b15p-6, -0x1.3c620b0cc8d4cp-6, -0x1.3496b92dd8b1dp-6, -0x1.2cf305ccfd2bbp-6, -0x1.257657a0e0275p-6, -0x1.1e2016a900f6ap-6, -0x1.16efac31f0bap-6, -0x1.0fe482d95b641p-6, -0x1.08fe0691d0b3ap-6, -0x1.023ba4a63970fp-6, -0x1.f739977a52f78p-7, -0x1.ea41d7b7b7feep-7, -0x1.dd8eecd209758p-7, -0x1.d11fbc5ec81dap-7, -0x1.c4f32ec03bab7p-7, -0x1.b9082f29b6e45p-7, -0x1.ad5daba36b277p-7, -0x1.a1f2950df8684p-7, -0x1.96c5df254633dp-7, -0x1.8bd6808360eebp-7, -0x1.812372a297abcp-7, -0x1.76abb1df7ddd8p-7, -0x1.6c6e3d7a7dd84p-7, -0x1.626a1799005ecp-7, -0x1.589e45465d4b4p-7, -0x1.4f09ce745a399p-7, -0x1.45abbdfb7a0b4p-7, -0x1.3c83219ae48ebp-7, -0x1.338f09f8089fep-7, -0x1.2ace8a9dfb937p-7, -0x1.2240b9fc82385p-7, -0x1.19e4b166f48d7p-7, -0x1.11b98d12b14c9p-7, -0x1.09be6c158482cp-7, -0x1.01f270639c04ep-7, -0x1.f4a97d9adacbbp-8, -0x1.e5c8fdfa8a2d3p-8, -0x1.d741b6e969773p-8, -0x1.c91203135558cp-8, -0x1.bb3842c6f630ep-8, -0x1.adb2dbef498bbp-8, -0x1.a0803a0cc332ap-8, -0x1.939ece2e3d429p-8, -0x1.870d0ee94a118p-8, -0x1.7ac978529938p-8, -0x1.6ed28bf58a583p-8, -0x1.6326d0cbe703ep-8, -0x1.57c4d3352e951p-8, -0x1.4cab24ed6d7dep-8, -0x1.41d85d040a2edp-8, -0x1.374b17d2363a3p-8, -0x1.2d01f6f143518p-8, -0x1.22fba1309c383p-8, -0x1.1936c28b77a04p-8, -0x1.0fb20c1ea2632p-8, -0x1.066c341dc407ep-8, -0x1.fac7eb9162b71p-9, -0x1.e93022c0e073cp-9, -0x1.d80e983853c4cp-9, -0x1.c760e03be6294p-9, -0x1.b72498cea25dep-9, -0x1.a757699bb6556p-9, -0x1.97f703df073ep-9, -0x1.8901224db382ap-9, -0x1.7a7388fe99dd8p-9, -0x1.6c4c0552462bp-9, -0x1.5e886ddb0cf63p-9, -0x1.5126a244c3f1p-9, -0x1.44248b3c8abfcp-9, -0x1.37801a583772p-9, -0x1.2b3749fdfe16fp-9, -0x1.1f481d4b91c6ep-9, -0x1.13b09ffd89ca7p-9, -0x1.086ee6569a486p-9, -0x1.fb021a0d79413p-10, -0x1.e5ca722470806p-10, -0x1.d1332f71a7fc2p-10, -0x1.bd38bcb9ba7dep-10, -0x1.a9d794d459b16p-10, -0x1.970c427a9c9ap-10, -0x1.84d360150cb9fp-10, -0x1.7329978a176ebp-10, -0x1.620ba20bf16ffp-10, -0x1.517647e782e4dp-10, -0x1.416660526b89ep-10, -0x1.31d8d13a030a3p-10, -0x1.22ca8f11fbe5bp-10, -0x1.14389ca348c53p-10, -0x1.06200adb65e5bp-10, -0x1.f0fbf136ba52p-11, -0x1.d69f250f0fba6p-11, -0x1.bd2425aec8a95p-11, -0x1.a485824a9d912p-11, -0x1.8cbde47d7a589p-11, -0x1.75c80fea39978p-11, -0x1.5f9ee1dbdda41p-11, -0x1.4a3d50e8e362ep-11, -0x1.359e6c954317ep-11, -0x1.21bd5cf5a69d4p-11, -0x1.0e956253c5b02p-11, -0x1.f843a9a49abcfp-12, -0x1.d4bc482534f7cp-12, -0x1.b28badb512803p-12, -0x1.91a91574ee3a7p-12, -0x1.720be76aac6acp-12, -0x1.53abb7d0761cfp-12, -0x1.36804666124e4p-12, -0x1.1a817dc40834fp-12, -0x1.ff4ee56119cb2p-13, -0x1.cbd4c6e947b8ep-13, -0x1.9a856e686af78p-13, -0x1.6b51fa8f1d73fp-13, -0x1.3e2bd92a5471dp-13, -0x1.1304c5ddf5dc2p-13, -0x1.d39d91beb3894p-14, -0x1.84f86b6994ecdp-14, -0x1.39ff53f1fed99p-14, -0x1.e530308085197p-15, -0x1.5d5228fc20383p-15, -0x1.b864c6eb64742p-16, -0x1.867f1be692756p-17, 0x1.295b519d2e3b4p-19, 0x1.013a1b8811c66p-16, 0x1.d14871fb87503p-16, 0x1.4ad82a3892cfbp-15, 0x1.a764d6e41bb47p-15, 0x1.fe753ad572656p-15, 0x1.2819ae5821f29p-14, 0x1.4e64291c492aap-14, 0x1.722e224889c8ep-14, 0x1.938b3a3d1bd8dp-14, 0x1.b28e9f4081badp-14, 0x1.cf4b0f8784191p-14, 0x1.e9d2db42ea08dp-14, 0x1.011bf34e1f4aap-13, 0x1.0c45d5d9fb256p-13, 0x1.166f9e47ac3cdp-13, 0x1.1fa1a2862c71ep-13, 0x1.27e40660522dcp-13, 0x1.2f3ebc6e96407p-13, 0x1.35b98702f424ap-13, 0x1.3b5bf911b9bbep-13, 0x1.402d771770da6p-13, 0x1.443537fbbbe4dp-13, 0x1.477a45f0c1881p-13, 0x1.4a037f4ded2e7p-13, 0x1.4bd7976a99d7ep-13, 0x1.4cfd1771a2638p-13, 0x1.4d7a5f370b94fp-13, 0x1.4d55a6047d6a7p-13, 0x1.4c94fb660903bp-13, 0x1.4b3e47f56fb97p-13, 0x1.49574e1dc40b6p-13, 0x1.46e5aadfe0065p-13, 0x1.43eed691a3e5fp-13, 0x1.4078259c25985p-13, 0x1.3c86c934c636ep-13, 0x1.381fd0157b07fp-13, 0x1.3348272f5a54ap-13, 0x1.2e049a5e59961p-13, 0x1.2859d51616ea2p-13, 0x1.224c630d1f387p-13, 0x1.1be0b0e8ea49cp-13, 0x1.151b0cdff20bfp-13, 0x1.0dffa7602a55p-13, 0x1.069293ae87879p-13, 0x1.fdaf9109774bcp-14, 0x1.eda6415bad89ap-14, 0x1.dd10b73afe2cep-14, 0x1.cbf63c0dafc84p-14, 0x1.ba5de4e0c93b9p-14, 0x1.a84e938886539p-14, 0x1.95cef7be7821cp-14, 0x1.82e5903aadb28p-14, 0x1.6f98abc5bad21p-14, 0x1.5bee6a460102p-14, 0x1.47ecbdcb243dap-14, 0x1.33996b9271ccp-14, 0x1.1efa0d071030ep-14, 0x1.0a1410be3dc46p-14, 0x1.e9d976d869ef2p-15, 0x1.bf1251b79383bp-15, 0x1.93dc99aaefcf5p-15, 0x1.6841e82060805p-15, 0x1.3c4b8a2529ab4p-15, 0x1.1002822a878ebp-15, 0x1.c6df13848b17dp-16, 0x1.6d36269e7ea79p-16, 0x1.131a975e20f7dp-16, 0x1.71386f6e70d4bp-17, 0x1.77295434235adp-18, 0x1.59ddaa30e23aep-23, -0x1.62651f5d8f4a5p-18, -0x1.681dc465472d6p-17, -0x1.0f9fb9cdaaec8p-16, -0x1.6b3eea33277dcp-16, -0x1.c6e00184fe74bp-16, -0x1.113b7edbc2fe1p-15, -0x1.3efc24e565e97p-15, -0x1.6cac5d932f10ep-15, -0x1.9a46c7786d01dp-15, -0x1.c7c633bd3cf84p-15, -0x1.f525a4dd7b186p-15, -0x1.113026b4be1cep-14, -0x1.27b8c76791e6dp-14, -0x1.3e2a7c15494e1p-14, -0x1.5483228dbe208p-14, -0x1.6ac0ae4fc1717p-14, -0x1.80e127fc341cp-14, -0x1.96e2acc70c06ep-14, -0x1.acc36df0d7ec4p-14, -0x1.c281b03d6931p-14, -0x1.d81bcb734649ap-14, -0x1.ed9029d7c11e3p-14, -0x1.016ea3d9f1352p-13, -0x1.0c00d96b5333dp-13, -0x1.167e050e9d0dp-13, -0x1.20e57e7e60a8cp-13, -0x1.2b36a5874fe4fp-13, -0x1.3570e1cf46d3fp-13, -0x1.3f93a29e65cep-13, -0x1.499e5ea867db7p-13, -0x1.539093d7d7673p-13, -0x1.5d69c71a2a6d9p-13, -0x1.6729842d2dbc5p-13, -0x1.70cf5d6d0cec5p-13, -0x1.7a5aeba4c2733p-13, -0x1.83cbcddd3508fp-13, -0x1.8d21a93047a91p-13, -0x1.965c289a7cc99p-13, -0x1.9f7afccf2eb24p-13, -0x1.a87ddc0d2e82ep-13, -0x1.b16481f46053cp-13, -0x1.ba2eaf5c4352cp-13, -0x1.c2dc2a2bfc49dp-13, -0x1.cb6cbd325388bp-13, -0x1.d3e037ff984bbp-13, -0x1.dc366ebfa0f55p-13, -0x1.e46f3a1525286p-13, -0x1.ec8a76f5bcb68p-13, -0x1.f4880686d474bp-13, -0x1.fc67cdfb62039p-13, -0x1.0214db393a225p-12, -0x1.05e6d66b56fffp-12, -0x1.09a9d0df2b7a1p-12, -0x1.0d5dc4a60fa01p-12, -0x1.1102ad887967bp-12, -0x1.149888f71620ap-12, -0x1.181f55fc75d26p-12, -0x1.1b97152ec5eadp-12, -0x1.1effc8a231a73p-12, -0x1.225973db75623p-12, -0x1.25a41bc2db43dp-12, -0x1.28dfc6974fcf9p-12, -0x1.2c0c7be225308p-12, -0x1.2f2a446ace69cp-12, -0x1.32392a2b1d21cp-12, -0x1.35393843bfd43p-12, -0x1.382a7af0f84fcp-12, -0x1.3b0cff7fcf66bp-12, -0x1.3de0d44346d2ap-12, -0x1.40a6088a1881ep-12, -0x1.435cac94861b2p-12, -0x1.4604d18a9cb2ep-12, -0x1.489e89727fb56p-12, -0x1.4b29e7272c0f5p-12, -0x1.4da6fe4f5f5e4p-12, -0x1.5015e354b52c1p-12, -0x1.5276ab5b09f86p-12, -0x1.54c96c3830acdp-12, -0x1.570e3c6bbafb5p-12, -0x1.594533171580cp-12, -0x1.5b6e67f5e2816p-12, -0x1.5d89f35678ac8p-12, -0x1.5f97ee1267478p-12, -0x1.61987187bb8dap-12, -0x1.638b9791ca36p-12, -0x1.65717a82a910fp-12, -0x1.674a351cb7f5bp-12, -0x1.6915e28c2c62fp-12, -0x1.6ad49e611479p-12, -0x1.6c86848953a4cp-12, -0x1.6e2bb14ad6bp-12, -0x1.6fc4413dfec4p-12, -0x1.715051483f4ecp-12, -0x1.72cffe96a7324p-12, -0x1.74436698f99ccp-12, -0x1.75aaa6fc89a23p-12, -0x1.7705dda775c21p-12, -0x1.785528b3fee6fp-12, -0x1.7998a66bfd91ep-12, -0x1.7ad0754480e85p-12, -0x1.7bfcb3d9988abp-12, -0x1.7d1d80ea20382p-12, -0x1.7e32fb53d54e3p-12, -0x1.7f3d420f778adp-12, -0x1.803c742cfbd2p-12, -0x1.8130b0cffd19dp-12, -0x1.821a172c4dc34p-12, -0x1.82f8c6826d076p-12, -0x1.83ccde1c592a4p-12, -0x1.84967d4a7cb37p-12, -0x1.8555c36072ab6p-12, -0x1.860acfb23be27p-12, -0x1.86b5c191631b5p-12, -0x1.8756b84a17bffp-12, -0x1.87edd320c4e3ap-12, -0x1.887b314f4a247p-12, -0x1.88fef202a8be5p-12, -0x1.8979345888fc9p-12, -0x1.89ea175d0eee7p-12, -0x1.8a51ba089c31fp-12, -0x1.8ab03b3da58ecp-12, -0x1.8b05b9c6b8c25p-12, -0x1.8b5254548658dp-12, -0x1.8b96297c020b1p-12, -0x1.8bd157b47cce4p-12, -0x1.8c03fd5607d95p-12, -0x1.8c2e3897c6ffdp-12, -0x1.8c50278e45c13p-12, -0x1.8c69e829ff3bfp-12, -0x1.8c7b9835e4532p-12, -0x1.8c855555eca3cp-12, -0x1.8c873d05d5dc5p-12, -0x1.8c816c97c8f64p-12, -0x1.8c74013339874p-12, -0x1.8c5f17d3ae1b6p-12, -0x1.8c42cd4792774p-12, -0x1.8c1f3e2f58374p-12, -0x1.8bf486fc45ea6p-12, -0x1.8bc2c3efa8cefp-12, -0x1.8b8a1119d9f87p-12, -0x1.8b4a8a5965b02p-12, -0x1.8b044b5a4ec1dp-12, -0x1.8ab76f953d10bp-12, -0x1.8a64124ebb097p-12, -0x1.8a0a4e96ab5f4p-12, -0x1.89aa3f478c58ap-12, -0x1.8943ff05e0f06p-12, -0x1.88d7a83fa9ba1p-12, -0x1.8865552befca1p-12, -0x1.87ed1fca237adp-12, -0x1.876f21e1cd299p-12, -0x1.86eb75021904fp-12, -0x1.866232816e1ddp-12, -0x1.85d3737d24184p-12, -0x1.853f50d9345b4p-12, -0x1.84a5e33fd8c9bp-12, -0x1.8407432173707p-12, -0x1.836388b43233bp-12, -0x1.82bacbf3e8fa5p-12, -0x1.820d24a1e3bdep-12, -0x1.815aaa44cbf8dp-12, -0x1.80a3742879cfap-12, -0x1.7fe7995de7019p-12, -0x1.7f2730bb14569p-12, -0x1.7e6250db06049p-12, -0x1.7d99101daaeadp-12, -0x1.7ccb84a7ea147p-12, -0x1.7bf9c463abba1p-12, -0x1.7b23e4ffd5a8p-12, -0x1.7a49fbf04f4b7p-12, -0x1.796c1e6e2fa26p-12, -0x1.788a6177b2e01p-12, -0x1.77a4d9d06d50ap-12, -0x1.76bb9c0158691p-12, -0x1.75cebc590a9f1p-12, -0x1.74de4eebba9p-12, -0x1.73ea679390855p-12, -0x1.72f319f0bfac6p-12, -0x1.71f87969b2394p-12, -0x1.70fa992b4a40ep-12, -0x1.6ff98c291aeb2p-12, -0x1.6ef5651d957bfp-12, -0x1.6dee368a4b14p-12, -0x1.6ce412b83365cp-12, -0x1.6bd70bb7e3338p-12, -0x1.6ac73361e3ae5p-12, -0x1.69b49b56e880fp-12, -0x1.689f550022adbp-12, -0x1.6787718f85e93p-12, -0x1.666d020022ad2p-12, -0x1.655017166d604p-12, -0x1.6430c1608fda1p-12, -0x1.630f1136bf682p-12, -0x1.61eb16bb96dfep-12, -0x1.60c4e1dc6f57ap-12, -0x1.5f9c8251a7c1dp-12, -0x1.5e72079f10901p-12, -0x1.5d45811441b78p-12, -0x1.5c16fdccfdc58p-12, -0x1.5ae68cb17fc93p-12, -0x1.59b43c76ef111p-12, -0x1.58801b9fb122dp-12, -0x1.574a387bca8ebp-12, -0x1.5612a1294e2cbp-12, -0x1.54d96394bc238p-12, -0x1.539e8d795dc7cp-12, -0x1.52622c61ad316p-12, -0x1.51244da7bdb78p-12, -0x1.4fe4fe75a792fp-12, -0x1.4ea44bc5e4a4dp-12, -0x1.4d624263bba59p-12, -0x1.4c1eeeeba660dp-12, -0x1.4ada5dcbb94a2p-12, -0x1.49949b4414faep-12, -0x1.484db367419e9p-12, -0x1.4705b21aa4f11p-12, -0x1.45bca316db6aep-12, -0x1.447291e831d9cp-12, -0x1.432789ef08e85p-12, -0x1.41db9660404d9p-12, -0x1.408ec245972d8p-12, -0x1.3f41187e228aep-12, -0x1.3df2a3beb4dc6p-12, -0x1.3ca36e9243616p-12, -0x1.3b53835a4a1cdp-12, -0x1.3a02ec4f456e2p-12, -0x1.38b1b38111fe5p-12, -0x1.375fe2d75214dp-12, -0x1.360d8411e1c8dp-12, -0x1.34baa0c9343adp-12, -0x1.3367426ec2d1bp-12, -0x1.3213724d75b67p-12, -0x1.30bf398a0c501p-12, -0x1.2f6aa1237f713p-12, -0x1.2e15b1f36b2dfp-12, -0x1.2cc074ae7a7e4p-12, -0x1.2b6af1e4c79efp-12, -0x1.2a1532024419fp-12, -0x1.28bf3d4f21421p-12, -0x1.27691bf033474p-12, -0x1.2612d5e7568b7p-12, -0x1.24bc7313cf1c8p-12, -0x1.2365fb32b3e38p-12, -0x1.220f75df4fec4p-12, -0x1.20b8ea9385792p-12, -0x1.1f6260a82ac99p-12, -0x1.1e0bdf5570553p-12, -0x1.1cb56db3419fdp-12, -0x1.1b5f12b9aa1acp-12, -0x1.1a08d5412c836p-12, -0x1.18b2bc03291eep-12, -0x1.175ccd9a34a5p-12, -0x1.160710827d222p-12, -0x1.14b18b1a2816ep-12, -0x1.135c43a1ac8acp-12, -0x1.1207403c2a6adp-12, -0x1.10b286efd0c4fp-12, -0x1.0f5e1da62f4bap-12, -0x1.0e0a0a2c931c6p-12, -0x1.0cb6523467936p-12, -0x1.0b62fb538267ep-12, -0x1.0a100b04840ccp-12, -0x1.08bd86a72be8p-12, -0x1.076b7380af3e7p-12, -0x1.0619d6bc12d27p-12, -0x1.04c8b56a7f8f3p-12, -0x1.037814839158bp-12, -0x1.0227f8e5ac9d2p-12, -0x1.00d8675657f43p-12, -0x1.ff12c90512443p-13, -0x1.fc75e9fdefea3p-13, -0x1.f9da3a90dbf8bp-13, -0x1.f73fc388357f2p-13, -0x1.f4a68d7fb79b6p-13, -0x1.f20ea0e52669fp-13, -0x1.ef7805f8e90cp-13, -0x1.ece2c4ce9b92p-13, -0x1.ea4ee54db0364p-13, -0x1.e7bc6f32087c4p-13, -0x1.e52b6a0c81b3cp-13, -0x1.e29bdd43954cfp-13, -0x1.e00dd013e55b7p-13, -0x1.dd814990d04e5p-13, -0x1.daf650a5010d3p-13, -0x1.d86cec1305646p-13, -0x1.d5e52275d6ed2p-13, -0x1.d35efa41605c8p-13, -0x1.d0da79c313eedp-13, -0x1.ce57a7226b4e9p-13, -0x1.cbd6886177b2p-13, -0x1.c957235d6475cp-13, -0x1.c6d97dcf00ec6p-13, -0x1.c45d9d4b3bc43p-13, -0x1.c1e38743b324fp-13, -0x1.bf6b41072546dp-13, -0x1.bcf4cfc1fc0efp-13, -0x1.ba80387ec95c1p-13, -0x1.b80d8026c26cap-13, -0x1.b59cab823c2b4p-13, -0x1.b32dbf39277bap-13, -0x1.b0c0bfd38738dp-13, -0x1.ae55b1b9eb9b7p-13, -0x1.abec9935e751ap-13, -0x1.a9857a7280fc8p-13, -0x1.a720597caa158p-13, -0x1.a4bd3a43b1527p-13, -0x1.a25c2099b8a43p-13, -0x1.9ffd1034184adp-13, -0x1.9da00cabdb224p-13, -0x1.9b45197e271e2p-13, -0x1.98ec3a0ca5c59p-13, -0x1.9695719df5b0ap-13, -0x1.9440c35e0bcf9p-13, -0x1.91ee325ea402p-13, -0x1.8f9dc197a6de8p-13, -0x1.8d4f73e7875ffp-13, -0x1.8b034c13b5493p-13, -0x1.88b94cc8f905p-13, -0x1.8671789bcdb84p-13, -0x1.842bd208d00c3p-13, -0x1.81e85b751af4p-13, -0x1.7fa7172ea2a67p-13, -0x1.7d68076c9a657p-13, -0x1.7b2b2e4fc75c2p-13, -0x1.78f08de2dd64dp-13, -0x1.76b8281ade82fp-13, -0x1.7481fed7740f3p-13, -0x1.724e13e33fc7cp-13, -0x1.701c68f4397d3p-13, -0x1.6decffac058aap-13, -0x1.6bbfd99845e64p-13, -0x1.6994f832efb2ep-13, -0x1.676c5ce2a0d15p-13, -0x1.654608fae7ef5p-13, -0x1.6321fdbca14dap-13, -0x1.61003c563fb54p-13, -0x1.5ee0c5e4173a4p-13, -0x1.5cc39b70b6673p-13, -0x1.5aa8bdf531e68p-13, -0x1.58902e5960db9p-13, -0x1.5679ed743e29bp-13, -0x1.5465fc0c1ae5p-13, -0x1.52545ad6f0499p-13, -0x1.50450a7ab800ap-13, -0x1.4e380b8d98433p-13, -0x1.4c2d5e963ed33p-13, -0x1.4a25040c1b873p-13, -0x1.481efc57a2f2p-13, -0x1.461b47d29a0b8p-13, -0x1.4419e6c8553d8p-13, -0x1.421ad975f4bd2p-13, -0x1.401e200aad7fep-13, -0x1.3e23baa801142p-13, -0x1.3c2ba96203e26p-13, -0x1.3a35ec3f95ec7p-13, -0x1.3842833aa3a73p-13, -0x1.36516e406086cp-13, -0x1.3462ad3187d86p-13, -0x1.32763fe291009p-13, -0x1.308c261be585ep-13, -0x1.2ea45f9a28396p-13, -0x1.2cbeec0e5ea53p-13, -0x1.2adbcb1e3834fp-13, -0x1.28fafc643c256p-13, -0x1.271c7f6ffcdbcp-13, -0x1.254053c653585p-13, -0x1.236678e193746p-13, -0x1.218eee31bc85ap-13, -0x1.1fb9b31caf696p-13, -0x1.1de6c6fe5d5adp-13, -0x1.1c16292900b1ep-13, -0x1.1a47d8e54ad33p-13, -0x1.187bd5728e852p-13, -0x1.16b21e06fe169p-13, -0x1.14eab1cfcd98fp-13, -0x1.13258ff16550cp-13, -0x1.1162b7878ebf3p-13, -0x1.0fa227a5a0c45p-13, -0x1.0de3df56b1299p-13, -0x1.0c27dd9dc0c43p-13, -0x1.0a6e2175dcc9p-13, -0x1.08b6a9d2578afp-13, -0x1.0701759ee801cp-13, -0x1.054e83bfd5062p-13, -0x1.039dd312250e4p-13, -0x1.01ef626bbbe78p-13, -0x1.0043309b87bf9p-13, -0x1.fd3278d34c245p-14, -0x1.f9e3092f1dcacp-14, -0x1.f6980fc077096p-14, -0x1.f35189f08c0ecp-14, -0x1.f00f751c2ae65p-14, -0x1.ecd1ce93e6b48p-14, -0x1.e998939c7e657p-14, -0x1.e663c16f16522p-14, -0x1.e33355397cb4ep-14, -0x1.e0074c1e7e547p-14, -0x1.dcdfa3360e258p-14, -0x1.d9bc578d9bc2fp-14, -0x1.d69d662850ad6p-14, -0x1.d382cbff52f29p-14, -0x1.d06c8601fed2bp-14, -0x1.cd5a911625cd7p-14, -0x1.ca4cea184f7bdp-14, -0x1.c7438ddbf502dp-14, -0x1.c43e792bb8ebdp-14, -0x1.c13da8c9ad65dp-14, -0x1.be41196f8883bp-14, -0x1.bb48c7ceda46fp-14, -0x1.b854b09149dfbp-14, -0x1.b564d058c65p-14, -0x1.b27923bfbe443p-14, -0x1.af91a7595450dp-14, -0x1.acae57b1a7016p-14, -0x1.a9cf314de8434p-14, -0x1.a6f430aca1daap-14, -0x1.a41d5245e4384p-14, -0x1.a14a928b7eae9p-14, -0x1.9e7bede9214fp-14, -0x1.9bb160c4954d1p-14, -0x1.98eae77df3375p-14, -0x1.96287e6fc89dcp-14, -0x1.936a21ef4124ap-14, -0x1.90afce4c5d47ap-14, -0x1.8df97fd2199fep-14, -0x1.8b4732c6a6e9bp-14, -0x1.8898e36b8876dp-14, -0x1.85ee8dfdbedfep-14, -0x1.83482eb5f7ef7p-14, -0x1.80a5c1c8aeb2ep-14, -0x1.7e07436655d01p-14, -0x1.7b6cafbb85d0dp-14, -0x1.78d602f125abep-14, -0x1.7643392c8769p-14, -0x1.73b44e8f907b5p-14, -0x1.71293f38e444fp-14, -0x1.6ea2074403cb7p-14, -0x1.6c1ea2c975b5ep-14, -0x1.699f0ddee576fp-14, -0x1.67234497469bep-14, -0x1.64ab4302faa11p-14, -0x1.6237052feab4dp-14, -0x1.5fc68729ab623p-14, -0x1.5d59c4f9a99a9p-14, -0x1.5af0baa7304bp-14, -0x1.588b6437ab03dp-14, -0x1.5629bdaeab8dbp-14, -0x1.53cbc30e0ae19p-14, -0x1.517170560d5ddp-14, -0x1.4f1ac18579d56p-14, -0x1.4cc7b299b467p-14, -0x1.4a783f8ee48p-14, -0x1.482c6460134e2p-14, -0x1.45e41d073718bp-14, -0x1.439f657d58e72p-14, -0x1.415e39bab54a3p-14, -0x1.3f2095b6b8efdp-14, -0x1.3ce675683fbp-14, -0x1.3aafd4c59d327p-14, -0x1.387cafc4b062fp-14, -0x1.364d025b00447p-14, -0x1.3420c87dccdfcp-14, -0x1.31f7fe222d876p-14, -0x1.2fd29f3d3258fp-14, -0x1.2db0a7c3e5dcbp-14, -0x1.2b9213ab75bb8p-14, -0x1.2976dee936596p-14, -0x1.275f0572caa56p-14, -0x1.254a833e28f6ap-14, -0x1.23395441aa5c2p-14, -0x1.212b74743c839p-14, -0x1.1f20dfcd51262p-14, -0x1.1d199245166b3p-14, -0x1.1b1587d46a7a7p-14, -0x1.1914bc74f8203p-14, -0x1.17172c214fa9cp-14, -0x1.151cd2d4f7a61p-14, -0x1.1325ac8c6dcc8p-14, -0x1.1131b545500f6p-14, -0x1.0f40e8fe66b27p-14, -0x1.0d5343b79f11bp-14, -0x1.0b68c17237399p-14, -0x1.09815e30c124ep-14, -0x1.079d15f732693p-14, -0x1.05bbe4cafeb2p-14, -0x1.03ddc6b31568fp-14, -0x1.0202b7b7fe2ccp-14, -0x1.002ab3e3e3cddp-14, -0x1.fcab6e85308a6p-15, -0x1.f9077bc34f99ap-15, -0x1.f56987a0d22bep-15, -0x1.f1d18a402fe53p-15, -0x1.ee3f7bc778f2dp-15, -0x1.eab35460d4811p-15, -0x1.e72d0c3a36274p-15, -0x1.e3ac9b85b9c6dp-15, -0x1.e031fa79a83afp-15, -0x1.dcbd2150677dcp-15, -0x1.d94e0848e9a0ap-15, -0x1.d5e4a7a66e1b8p-15, -0x1.d280f7b0b213fp-15, -0x1.cf22f0b41bf5cp-15, -0x1.cbca8b01a7fep-15, -0x1.c877beef0f81p-15, -0x1.c52a84d7090b4p-15, -0x1.c1e2d518f5e08p-15, -0x1.bea0a8196d0dbp-15, -0x1.bb63f641f1e95p-15, -0x1.b82cb8012345fp-15, -0x1.b4fae5cad3f26p-15, -0x1.b1ce7818186a2p-15, -0x1.aea76767478e7p-15, -0x1.ab85ac3c263dfp-15, -0x1.a8693f1fecbcap-15, -0x1.a55218a13f7fp-15, -0x1.a24031546d7e8p-15, -0x1.9f3381d35028bp-15, -0x1.9c2c02bd6608ap-15, -0x1.9929acb800889p-15, -0x1.962c786e0c199p-15, -0x1.93345e908d94fp-15, -0x1.904157d616719p-15, -0x1.8d535cfb73815p-15, -0x1.8a6a66c33048p-15, -0x1.87866df5dbcc2p-15, -0x1.84a76b624a299p-15, -0x1.81cd57dd33a67p-15, -0x1.7ef82c419092bp-15, -0x1.7c27e170a0d96p-15, -0x1.795c7051969cep-15, -0x1.7695d1d23f30ap-15, -0x1.73d3fee66cdbcp-15, -0x1.7116f0886856bp-15, -0x1.6e5e9fb8d05dep-15, -0x1.6bab057eb6e11p-15, -0x1.68fc1ae780f25p-15, -0x1.6651d9073fc3cp-15, -0x1.63ac38f844352p-15, -0x1.610b33dba140bp-15, -0x1.5e6ec2d8cf62dp-15, -0x1.5bd6df1de35dap-15, -0x1.594381dfa0992p-15, -0x1.56b4a4594c75ep-15, -0x1.542a3fcd01e38p-15, -0x1.51a44d835524ap-15, -0x1.4f22c6cbb62aep-15, -0x1.4ca5a4fc2a553p-15, -0x1.4a2ce17186155p-15, -0x1.47b8758f781aep-15, -0x1.45485ac03ebf2p-15, -0x1.42dc8a752cf73p-15, -0x1.4074fe262e63bp-15, -0x1.3e11af520d35fp-15, -0x1.3bb2977e8f02cp-15, -0x1.3957b037fe95ep-15, -0x1.3700f311e2401p-15, -0x1.34ae59a67068bp-15, -0x1.325fdd96cb005p-15, -0x1.3015788b0711bp-15, -0x1.2dcf24321c2efp-15, -0x1.2b8cda41e4153p-15, -0x1.294e94774927p-15, -0x1.27144c95e3b4p-15, -0x1.24ddfc689994bp-15, -0x1.22ab9dc0df92cp-15, -0x1.207d2a77849ccp-15, -0x1.1e529c6bf8f24p-15, -0x1.1c2bed84dd2cdp-15, -0x1.1a0917af9a7c7p-15, -0x1.17ea14e0c1c55p-15, -0x1.15cedf13b809dp-15, -0x1.13b7704aecd16p-15, -0x1.11a3c28fe1017p-15, -0x1.0f93cff2d73d4p-15, -0x1.0d87928b5d87bp-15, -0x1.0b7f0477abda2p-15, -0x1.097a1fdd20cd9p-15, -0x1.0778dee811534p-15, -0x1.057b3bcba9b86p-15, -0x1.038130c24a3e7p-15, -0x1.018ab80d15414p-15, -0x1.ff2f97e870b4ep-16, -0x1.fb50cd8de0afcp-16, -0x1.f77905b66a92bp-16, -0x1.f3a8351c5c4f4p-16, -0x1.efde508790b0fp-16, -0x1.ec1b4ccdf3f3dp-16, -0x1.e85f1ed335392p-16, -0x1.e4a9bb88e7acep-16, -0x1.e0fb17ee92606p-16, -0x1.dd53291137f3dp-16, -0x1.d9b1e40c1b4e1p-16, -0x1.d6173e07c1f81p-16, -0x1.d2832c3b019bep-16, -0x1.cef5a3e9f1148p-16, -0x1.cb6e9a66df969p-16, -0x1.c7ee0511508f8p-16, -0x1.c473d95707b36p-16, -0x1.c1000cb2ddf2dp-16, -0x1.bd9294adc201ap-16, -0x1.ba2b66de08849p-16, -0x1.b6ca78e778518p-16, -0x1.b36fc07bf19b8p-16, -0x1.b01b335a2334ap-16, -0x1.acccc74f04db2p-16, -0x1.a98472347be85p-16, -0x1.a64229f21538ep-16, -0x1.a305e47d0474dp-16, -0x1.9fcf97d75c759p-16, -0x1.9c9f3a114a2a8p-16, -0x1.9974c1478f7c8p-16, -0x1.965023a4e01p-16, -0x1.93315760d02c2p-16, -0x1.901852c095d7cp-16, -0x1.8d050c1635b8ap-16, -0x1.89f779c142073p-16, -0x1.86ef922e0f5aep-16, -0x1.83ed4bd687caep-16, -0x1.80f09d415b67cp-16, -0x1.7df97d026e7acp-16, -0x1.7b07e1ba9a1cbp-16, -0x1.781bc217c626fp-16, -0x1.753514d4c4738p-16, -0x1.7253d0b949a84p-16, -0x1.6f77ec9a07e05p-16, -0x1.6ca15f582f217p-16, -0x1.69d01fe25a6d7p-16, -0x1.670425332c843p-16, -0x1.643d6652cf3bep-16, -0x1.617bda55552cbp-16, -0x1.5ebf785c27bdcp-16, -0x1.5c083794c2e34p-16, -0x1.59560f398bd96p-16, -0x1.56a8f6915af7ep-16, -0x1.5400e4ef60503p-16, -0x1.515dd1b37f30fp-16, -0x1.4ebfb449cc719p-16, -0x1.4c26842adfdf6p-16, -0x1.499238dbabe35p-16, -0x1.4702c9ed48e7bp-16, -0x1.44782efd150cep-16, -0x1.41f25fb4d0439p-16, -0x1.3f7153c9f9731p-16, -0x1.3cf502fedd691p-16, -0x1.3a7d65210d6a7p-16, -0x1.380a720af2007p-16, -0x1.359c21a2399c8p-16, -0x1.33326bd92074ep-16, -0x1.30cd48ad3fb6ep-16, -0x1.2e6cb02884afp-16, -0x1.2c109a6042ff2p-16, -0x1.29b8ff75fa0e4p-16, -0x1.2765d7968076bp-16, -0x1.25171afab5492p-16, -0x1.22ccc1e6dd32cp-16, -0x1.2086c4aaecb5bp-16, -0x1.1e451ba276ddcp-16, -0x1.1c07bf3460deap-16, -0x1.19cea7d33e4ffp-16, -0x1.1799cdfcd3cbdp-16, -0x1.15692a3a6e1fap-16, -0x1.133cb520a5c48p-16, -0x1.1114674f33a35p-16, -0x1.0ef039715d2adp-16, -0x1.0cd0243d2e275p-16, -0x1.0ab420745b051p-16, -0x1.089c26e3047b6p-16, -0x1.06883060fc873p-16, -0x1.047835d0aed5fp-16, -0x1.026c301f9357cp-16, -0x1.006418464c83p-16, -0x1.fcbfce8f8e763p-17, -0x1.f8bf2c65222cep-17, -0x1.f4c63c3e235eep-17, -0x1.f0d4f0629b728p-17, -0x1.eceb3b2e51ec7p-17, -0x1.e9090f13a88b3p-17, -0x1.e52e5e991b678p-17, -0x1.e15b1c5b20dbfp-17, -0x1.dd8f3b0a5c59ep-17, -0x1.d9caad6d1f32ap-17, -0x1.d60d665db10adp-17, -0x1.d25758cbfa6ecp-17, -0x1.cea877bb89898p-17, -0x1.cb00b645410c9p-17, -0x1.c7600795ed03dp-17, -0x1.c3c65eeec5fb3p-17, -0x1.c033afa5a1fdep-17, -0x1.bca7ed239381cp-17, -0x1.b9230ae7143fp-17, -0x1.b5a4fc80fdd96p-17, -0x1.b22db597c0c5dp-17, -0x1.aebd29e3b1745p-17, -0x1.ab534d329b718p-17, -0x1.a7f0136442726p-17, -0x1.a493706d59d09p-17, -0x1.a13d5854d68d8p-17, -0x1.9dedbf35a6dfcp-17, -0x1.9aa4993dcfefdp-17, -0x1.9761daae07864p-17, -0x1.942577daf289fp-17, -0x1.90ef652ac9285p-17, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
    }}, 
    {
      24, 0x1.93d70a3d70a3dp+2, 0x1.4de94c9a1b975p+1, 0x1.2a1ea5bdee619p+3, -0x1.03b38a930911ap-8, 
      {{
        {0x1.4a3d70a3d70a4p+2, 0x1.4cccccccccccdp+2, 0x1.858934daef565p-7, -0x1.52ba89f090d74p-5, 0x1.b9d15690c2082p-5, -0x1.f99e7ecba9419p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.521a2fb0b545ep-7, -0x1.3098c3a04064bp-5, 0x1.9b7b07471928p-5, -0x1.e35820119764dp-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.192d4a2a73ceep-7, -0x1.0942df2db00bcp-5, 0x1.773ad1ac2dcd6p-5, -0x1.cd03dc6aa4318p-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.cf85ff4582088p-8, -0x1.caef20f49e906p-6, 0x1.54a75457617dp-5, -0x1.b6c2333251c4p-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.7a548e90cd725p-8, -0x1.8a18144fae3d9p-6, 0x1.33bf2a1a01c1ap-5, -0x1.a07b8de2fd4cfp-6}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.31754b6708747p-8, -0x1.4fab17d5c81bp-6, 0x1.1482b2a8fb8eap-5, -0x1.8a363e810c8e3p-6}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.e750b39639413p-9, -0x1.1b52a3ee8d91ap-6, 0x1.ede3a8be9ba1bp-6, -0x1.73f093808fe7ap-6}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.7f7df1253cf1p-9, -0x1.d97265c46edp-7, 0x1.b6192c381fa58p-6, -0x1.5dab010cdd9e4p-6}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.293702cb9ae75p-9, -0x1.87127cf070edap-7, 0x1.81a5ec0fcb346p-6, -0x1.4765680493743p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.c4c5a2fe4ff5bp-10, -0x1.3eda813507f0ap-7, 0x1.5089e9424eafep-6, -0x1.311fd0c1d6815p-6}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.5214f7b61dd4dp-10, -0x1.001f6653a318bp-7, 0x1.22c5238ba1b56p-6, -0x1.1ada38fd7f876p-6}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.ed65587f4184fp-11, -0x1.946c40251b41cp-8, 0x1.f0af35fe69f6p-7, -0x1.0494a17a0472p-6}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.5e73a8cd0bbc2p-11, -0x1.38e7446e34478p-8, 0x1.a2829f269bd3cp-7, -0x1.dc9e12e975882p-7}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e227bd04985d7p-12, -0x1.d8b38216875afp-9, 0x1.5b0482b6ca332p-7, -0x1.b012e66b77829p-7}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.3f1b9cc218d5cp-12, -0x1.5adb3b1d6fd2bp-9, 0x1.1a34e026ab794p-7, -0x1.8387acbeed6fep-7}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.92c88f02b658p-13, -0x1.eb330598088abp-10, 0x1.c02772e0dc826p-8, -0x1.56fca43fe6938p-7}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.ded3046f43e9ep-14, -0x1.4c84522333ef6p-10, 0x1.59420e674a89bp-8, -0x1.2a70e4395b2e8p-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.0746ea566c84p-14, -0x1.a8a3e756d0c9p-11, 0x1.ff7393df5e5e8p-9, -0x1.fbcfa246fb48ep-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.048c90ec4d781p-15, -0x1.f50e80555fc0ep-12, 0x1.671baffd462fbp-9, -0x1.a2a983a4867c8p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.bb8a61a381801p-17, -0x1.080273faa862bp-12, 0x1.d304ddcb087cp-10, -0x1.49cdecfba56ecp-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.2aed7a203ccp-18, -0x1.d31d30b82b074p-14, 0x1.0d22e9340b9cep-10, -0x1.dfb85dc74c96ap-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.0b205e9636p-20, -0x1.2f41e1a455a9bp-15, 0x1.f4e19aadd28ep-12, -0x1.33f10d1c11efcp-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.7a548e9000001p-24, -0x1.92ea19d9d79a1p-18, 0x1.06b3e2b1e078fp-13, -0x1.a79574ef555b5p-11}, 
        {0x1.9333333333333p+2, 0x1.93d70a3d70a3dp+2, 0x1.2aed787ffffffp-34, 0x1.f17f9651fa5dfp-22, 0x1.11ad2aaf42p-18, -0x1.e6a769e219381p-6}, 
      }}, 
      0x1.f729469e6b30ep+1, -0x1.264faf9b989a7p+7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.45e8444f36224p-2, -0x1.2a219d2eccd64p-2, -0x1.fb9a16f37f0aap-3, -0x1.867334c39b972p-3, -0x1.f3da8c5cc6e34p-4, -0x1.6cea32b5d77e3p-5, 0x1.429477d9ef9e7p-5, 0x1.050f9ae634e85p-3, 0x1.bdd9542e06736p-3, 0x1.3bac572166a1dp-2, 0x1.973414aed10acp-2, 0x1.f0312f12a61dap-2, 0x1.22c6896b70d2bp-1, 0x1.4b3423c596225p-1, 0x1.710a722706e66p-1, 0x1.940871eb5cd78p-1, 0x1.b4004deea6c04p-1, 0x1.d0d4c1af6c927p-1, 0x1.ea76b0a8d514dp-1, 0x1.00717bb72caa3p+0, 0x1.0a103c8654abap+0, 0x1.121f32e95dc54p+0, 0x1.18a95beafa054p+0, 0x1.1dbc6fff08a6p+0, 0x1.21684f05ce0f1p+0, 0x1.23be7f5b0ccf3p+0, 0x1.24d1bde2c418fp+0, 0x1.24b59d6c79c4ep+0, 0x1.237e33ecb027p+0, 0x1.213fd418b17fdp+0, 0x1.1e0ed1e45b3cep+0, 0x1.19ff507c79799p+0, 0x1.152518852efd8p+0, 0x1.0f937598de3a9p+0, 0x1.095d1a2d4ad0dp+0, 0x1.029409234f06ep+0, 0x1.f69308aeea8cep-1, 0x1.e71bff3624c48p-1, 0x1.d6e22f1095d78p-1, 0x1.c603176ba81e9p-1, 0x1.b49a77a21b5bdp-1, 0x1.a2c24e614c513p-1, 0x1.9092dced95459p-1, 0x1.7e22ae2e0ed0cp-1, 0x1.6b86a0878f4afp-1, 0x1.58d1f1d58071cp-1, 0x1.46164db9acbe1p-1, 0x1.3363dd4b31476p-1, 0x1.20c9574fa4668p-1, 0x1.0e54125ee107bp-1, 0x1.f8202c52618bap-2, 0x1.d4105bf8fbed3p-2, 0x1.b08bf65e1c2aap-2, 0x1.8da40ce232e4bp-2, 0x1.6b67a55671d7bp-2, 0x1.49e3da611bcb7p-2, 0x1.2923feedc9a01p-2, 0x1.0931bd529ba63p-2, 0x1.d42a6dd095e2dp-3, 0x1.97aa42c18aa79p-3, 0x1.5cedc5b4fa4ep-3, 0x1.23fd5905225bep-3, 0x1.d9be4e7a70b18p-4, 0x1.6f2ea51d0faa9p-4, 0x1.085042d6f0fa1p-4, 0x1.4a48a2756f1e3p-5, 0x1.16a397bd79031p-6, -0x1.626b28fed1e08p-8, -0x1.b946b9ce9dd57p-6, -0x1.85c3081809b7fp-5, -0x1.13e1ab98f5e05p-4, -0x1.615f6458de6b2p-4, -0x1.ab697de18ce5dp-4, -0x1.f21025261c906p-4, -0x1.1ab25a6a465d9p-3, -0x1.3abcc4d3d5183p-3, -0x1.5930ecfb27f53p-3, -0x1.7618c834b8aa2p-3, -0x1.917e94d2b901ep-3, -0x1.ab6cca7bd94dap-3, -0x1.c3ee0bc75e7c6p-3, -0x1.db0d1926c98b6p-3, -0x1.f0d4c4fcd919cp-3, -0x1.02a7f4726c59ap-2, -0x1.0c44adfb8f0f6p-2, -0x1.1545f500ad314p-2, -0x1.1db125d452aa8p-2, -0x1.258b8fa3f8d5fp-2, -0x1.2cda714eb0478p-2, -0x1.33a2f693d622dp-2, -0x1.39ea35972755bp-2, -0x1.3fb52cc4efd0ep-2, -0x1.4508c0fae139fp-2, -0x1.49e9bc01c09f5p-2, -0x1.4e5ccb48ffea8p-2, -0x1.52667ed83f833p-2, -0x1.560b487c2c84ap-2, -0x1.594f7b1a4f8f1p-2, -0x1.5c374a3524c05p-2, -0x1.5ec6c992d30d7p-2, -0x1.6101ed098ad03p-2, -0x1.62ec88702bae9p-2, -0x1.648a4facebb2fp-2, -0x1.65ded6ea8e3f2p-2, -0x1.66ed92dd78271p-2, -0x1.67b9d92b0a56ep-2, -0x1.6846e0e14d4bdp-2, -0x1.6897c2f8b0018p-2, -0x1.68af7aef46034p-2, -0x1.6890e75f93466p-2, -0x1.683ecaa672579p-2, -0x1.67bbcb9071ebcp-2, -0x1.670a760aa9874p-2, -0x1.662d3bd33239cp-2, -0x1.6526753e0364cp-2, -0x1.63f861e9f4fd6p-2, -0x1.62a52984fe6f3p-2, -0x1.612edc9400d01p-2, -0x1.5f97753455e7cp-2, -0x1.5de0d7ddd1917p-2, -0x1.5c0cd42d5e88dp-2, -0x1.5a1d25a0c34ddp-2, -0x1.5813745489b53p-2, -0x1.55f155c533c8p-2, -0x1.53b84d7af1cc4p-2, -0x1.5169cdc3a0d7p-2, -0x1.4f07385da47e2p-2, -0x1.4c91df1def52fp-2, -0x1.4a0b049388cf9p-2, -0x1.4773dcab9b9aep-2, -0x1.44cd8d459187fp-2, -0x1.42192eca39294p-2, -0x1.3f57ccc1a188ap-2, -0x1.3c8a665b411ccp-2, -0x1.39b1eef61a1afp-2, -0x1.36cf4ea798733p-2, -0x1.33e362bc67a4dp-2, -0x1.30eefe2d2fe8cp-2, -0x1.2df2ea1639cp-2, -0x1.2aefe62b3cbe8p-2, -0x1.27e6a931d7044p-2, -0x1.24d7e14354ebbp-2, -0x1.21c4345ff7bb4p-2, -0x1.1eac40ae13307p-2, -0x1.1b909ce865457p-2, -0x1.1871d8a669f85p-2, -0x1.15507cc0d381cp-2, -0x1.122d0b9354a6ep-2, -0x1.0f080156dfa9ap-2, -0x1.0be1d45f46f4bp-2, -0x1.08baf562eaa35p-2, -0x1.0593cfc3b52a3p-2, -0x1.026cc9c8eac4fp-2, -0x1.fe8c89c293153p-3, -0x1.f8413ba4c5c4fp-3, -0x1.f1f859df12c8p-3, -0x1.ebb28ccb00dd3p-3, -0x1.e57074907b5bap-3, -0x1.df32a9b7d36fbp-3, -0x1.d8f9bd6add94cp-3, -0x1.d2c639c714a4ap-3, -0x1.cc98a2536e48cp-3, -0x1.c67174025bca3p-3, -0x1.c05125c7e7518p-3, -0x1.ba3828ac1dbaap-3, -0x1.b426e82ed3cbdp-3, -0x1.ae1dca50a96cep-3, -0x1.a81d3005c9159p-3, -0x1.a2257536c81acp-3, -0x1.9c36f13f42864p-3, -0x1.9651f6d60d27ep-3, -0x1.9076d457e05fap-3, -0x1.8aa5d3f6eeb4ap-3, -0x1.84df3bcde896ep-3, -0x1.7f234e423f707p-3, -0x1.797249e1153bcp-3, -0x1.73cc69c74b7b6p-3, -0x1.6e31e580585bcp-3, -0x1.68a2f14dee124p-3, -0x1.631fbe4b2cb3ep-3, -0x1.5da87a9484b6ap-3, -0x1.583d512cbee39p-3, -0x1.52de6a52f9712p-3, -0x1.4d8beb6b60a8ep-3, -0x1.4845f755893eap-3, -0x1.430cae527677ep-3, -0x1.3de02e276274cp-3, -0x1.38c092344b102p-3, -0x1.33adf38909cbap-3, -0x1.2ea8690335c6p-3, -0x1.29b007513ee5ap-3, -0x1.24c4e11597c49p-3, -0x1.1fe706ea5228cp-3, -0x1.1b1687757b946p-3, -0x1.16536f844afbep-3, -0x1.119dca07bbb7cp-3, -0x1.0cf5a0387c791p-3, -0x1.085af99d6f81cp-3, -0x1.03cddc16159e9p-3, -0x1.fe9c97d3e215cp-4, -0x1.f5b897b88212ap-4, -0x1.ecefba526a044p-4, -0x1.e441ff63c63ap-4, -0x1.dbaf63cbbd204p-4, -0x1.d337e1ceeb7dp-4, -0x1.cadb7118c98f4p-4, -0x1.c29a06c4491e2p-4, -0x1.ba739591b23a7p-4, -0x1.b2680df04e77p-4, -0x1.aa775e0d8c77ep-4, -0x1.a2a171e9d4233p-4, -0x1.9ae6336f6c589p-4, -0x1.93458a89fb784p-4, -0x1.8bbf5d2dc215dp-4, -0x1.84538f64afd15p-4, -0x1.7d02038b2c286p-4, -0x1.75ca9a18f1156p-4, -0x1.6ead320a849a8p-4, -0x1.67a9a8a4e466bp-4, -0x1.60bfd9a1de6c5p-4, -0x1.59ef9f4466ef8p-4, -0x1.5338d264f71e5p-4, -0x1.4c9b4a82ba3afp-4, -0x1.4616ddd236062p-4, -0x1.3fab6148c06afp-4, -0x1.3958a8a7ba966p-4, -0x1.331e868caad09p-4, -0x1.2cfccc8357da4p-4, -0x1.26f34afe6c196p-4, -0x1.2101d18fd558bp-4, -0x1.1b282ecb9e59fp-4, -0x1.15663065f7da5p-4, -0x1.0fbba3480b881p-4, -0x1.0a28537890c4dp-4, -0x1.04ac0c46a2bc7p-4, -0x1.fe8d30a40b3aap-5, -0x1.f3ef8325aa732p-5, -0x1.e97ea2c423b22p-5, -0x1.df3a2104dadcfp-5, -0x1.d5218e551fb9ep-5, -0x1.cb347a212ebf4p-5, -0x1.c17272eaff921p-5, -0x1.b7db065e88415p-5, -0x1.ae6dc167a3e76p-5, -0x1.a52a303c09879p-5, -0x1.9c0fde4f4d847p-5, -0x1.931e56b04458cp-5, -0x1.8a5523c1580e4p-5, -0x1.81b3cf91bf1e3p-5, -0x1.7939e3dc2ee57p-5, -0x1.70e6e9ea80672p-5, -0x1.68ba6acd81ba6p-5, -0x1.60b3ef64d3fe5p-5, -0x1.58d3006ad57c6p-5, -0x1.51172683c20cap-5, -0x1.497fea4b52e92p-5, -0x1.420cd460b959ep-5, -0x1.3abd6d7232a2fp-5, -0x1.33913e496f685p-5, -0x1.2c87cfd8e99e6p-5, -0x1.25a0ab4929f14p-5, -0x1.1edb5a048c9b1p-5, -0x1.183765c27d5c7p-5, -0x1.11b458926e7f1p-5, -0x1.0b51bccf505edp-5, -0x1.050f1d3edc315p-5, -0x1.fdd80a5a503c7p-6, -0x1.f1d0008a1f5edp-6, -0x1.e60535da9b6bap-6, -0x1.da76c41384476p-6, -0x1.cf23c613db8e4p-6, -0x1.c40b57ef442f3p-6, -0x1.b92c96e6a53dap-6, -0x1.ae86a17beb58ep-6, -0x1.a418979a2d525p-6, -0x1.99e19ac3cb59dp-6, -0x1.8fe0ce3528ac6p-6, -0x1.861556ecd14efp-6, -0x1.7c7e5b95db8e3p-6, -0x1.731b04600d3aap-6, -0x1.69ea7adde7b61p-6, -0x1.60ebea01b91e6p-6, -0x1.581e7e475be7dp-6, -0x1.4f81660323d7ap-6, -0x1.4713d1badb316p-6, -0x1.3ed4f465c4136p-6, -0x1.36c403679658bp-6, -0x1.2ee0362ffff24p-6, -0x1.2728c60f840bbp-6, -0x1.1f9ced97c0788p-6, -0x1.183be872b32abp-6, -0x1.1104f3d5e112ap-6, -0x1.09f74ea70dfa4p-6, -0x1.03123a59689e9p-6, -0x1.f8a9f71d6389cp-7, -0x1.eb7db48822becp-7, -0x1.de9e430149fdbp-7, -0x1.d20a3d2401bcep-7, -0x1.c5c04033233dbp-7, -0x1.b9beea9a0bed9p-7, -0x1.ae04db8587b61p-7, -0x1.a290b3e6e7c08p-7, -0x1.976118a5e6067p-7, -0x1.8c74b542ff8d5p-7, -0x1.81ca3de824d3dp-7, -0x1.77607003f745dp-7, -0x1.6d3611064de3bp-7, -0x1.6349eb852a2d5p-7, -0x1.599acbb949286p-7, -0x1.50277c9c4455ap-7, -0x1.46eec6d6d0554p-7, -0x1.3def721ac1a38p-7, -0x1.3528489aaa23cp-7, -0x1.2c981b63f8577p-7, -0x1.243dc68bb664ep-7, -0x1.1c1833212cf67p-7, -0x1.142655d96d348p-7, -0x1.0c672bd703f7cp-7, -0x1.04d9b4a81ee5fp-7, -0x1.faf9d999ec09p-8, -0x1.ec9f94fe2dd2dp-8, -0x1.dea27b6373791p-8, -0x1.d10066f7fbd2cp-8, -0x1.c3b738d69cfap-8, -0x1.b6c4e72065797p-8, -0x1.aa278724763c5p-8, -0x1.9ddd50cdf41abp-8, -0x1.91e499660a59cp-8, -0x1.863bc768f635fp-8, -0x1.7ae142392204cp-8, -0x1.6fd36313a6018p-8, -0x1.65106c3f8d22ap-8, -0x1.5a9689bfabfcdp-8, -0x1.5063dbc4486d8p-8, -0x1.467687bcc18b5p-8, -0x1.3cccca923dce2p-8, -0x1.3365063cf1f7bp-8, -0x1.2a3dc68e136cbp-8, -0x1.2155bbd49938bp-8, -0x1.18abacde87eaep-8, -0x1.103e64154c9c1p-8, -0x1.080c9cd9a45cfp-8, -0x1.0014f699c6da1p-8, -0x1.f0abe3bfc3da7p-9, -0x1.e19bf25a47c8ap-9, -0x1.d2f6e6ad35605p-9, -0x1.c4b9b031d8be7p-9, -0x1.b6e1836967f11p-9, -0x1.a96be9cfcafcfp-9, -0x1.9c56bbcf61438p-9, -0x1.8fa00bc1c5d7dp-9, -0x1.834606ccaeeb9p-9, -0x1.7746d2b018c43p-9, -0x1.6ba06f58e6a83p-9, -0x1.6050a3ace00b5p-9, -0x1.5554fd3f31ebep-9, -0x1.4aaae6510f385p-9, -0x1.404fcc540508bp-9, -0x1.3641480df48d7p-9, -0x1.2c7d36a29bfcbp-9, -0x1.2301bb0717e59p-9, -0x1.19cd2c9b110acp-9, -0x1.10ddfffed0881p-9, -0x1.0832b4c37fc36p-9, -0x1.ff93920614b5bp-10, -0x1.ef435ae8fb98ap-10, -0x1.df716f87e114ep-10, -0x1.d01a34119cc53p-10, -0x1.c139d4d25666ep-10, -0x1.b2cc7cc9e1575p-10, -0x1.a4ce9cdd27464p-10, -0x1.973d19b95a3cfp-10, -0x1.8a15414f159dep-10, -0x1.7d548e20f2f3ap-10, -0x1.70f863be18341p-10, -0x1.64fdf4e42ac78p-10, -0x1.59626101e6b12p-10, -0x1.4e22e7640ad4fp-10, -0x1.433cffa726e88p-10, -0x1.38ae427b198b7p-10, -0x1.2e74408526048p-10, -0x1.248c7387ac295p-10, -0x1.1af462a19f565p-10, -0x1.11a9da95c9605p-10, -0x1.08ab06f64da51p-10, -0x1.ffec9b99bcc59p-11, -0x1.ef13edcfae3dp-11, -0x1.dec7acb73321ep-11, -0x1.cf0276234b2d6p-11, -0x1.bfbe7082ab948p-11, -0x1.b0f63b272fe72p-11, -0x1.a2a597995d38p-11, -0x1.94c95f5316ab7p-11, -0x1.875eebfc2d662p-11, -0x1.7a6388b1fc93fp-11, -0x1.6dd461c27a05cp-11, -0x1.61aeda291e39cp-11, -0x1.55f0cd637edb1p-11, -0x1.4a98652c33719p-11, -0x1.3fa38bf75b7e8p-11, -0x1.350f4e49b773ap-11, -0x1.2ad79010e8f95p-11, -0x1.20f754ac0fe8ep-11, -0x1.176988003593fp-11, -0x1.0e29e57460627p-11, -0x1.05357b5b661fcp-11, -0x1.f91506bff9764p-12, -0x1.e84f82d52185ep-12, -0x1.d817ea354ee81p-12, -0x1.c86b8b000a594p-12, -0x1.b947fcd96fa9p-12, -0x1.aaab4aee36ac6p-12, -0x1.9c9360aee23c3p-12, -0x1.8efd0a66656c8p-12, -0x1.81e332b6e9316p-12, -0x1.753f0851f677dp-12, -0x1.690917f9392d9p-12, -0x1.5d3a99e624711p-12, -0x1.51ce3509a87dfp-12, -0x1.46c0057a76601p-12, -0x1.3c0d165adfd6dp-12, -0x1.31b2dc376e05p-12, -0x1.27af415e66ed2p-12, -0x1.1e01021bb431ep-12, -0x1.14a7a1a8454a9p-12, -0x1.0ba2bce26f42cp-12, -0x1.02f13bd43acb5p-12, -0x1.f522417800fecp-13, -0x1.e4fefca1d530ap-13, -0x1.d56fd664138a3p-13, -0x1.c669554de7dfbp-13, -0x1.b7e06617f7047p-13, -0x1.a9cdb7de45816p-13, -0x1.9c2e70eafc566p-13, -0x1.8f01c3bf43c2p-13, -0x1.824576f574023p-13, -0x1.75f4127ec3008p-13, -0x1.6a06a835662c8p-13, -0x1.5e794e137bc9p-13, -0x1.534d2e704a79p-13, -0x1.4884d17d48404p-13, -0x1.3e1f04963a7c5p-13, -0x1.34171cc302547p-13, -0x1.2a68fc4fc64afp-13, -0x1.2111748f3230cp-13, -0x1.180b4cf5a681cp-13, -0x1.0f4ecf8e87257p-13, -0x1.06d4b04468bc4p-13, -0x1.fd3278e02af9bp-14, -0x1.ed3a0f7684355p-14, -0x1.ddc4797068196p-14, -0x1.ced211ca1a993p-14, -0x1.c05c7f0abd7b4p-14, -0x1.b2586e0306624p-14, -0x1.a4bbc1493ed7dp-14, -0x1.9786194c0426cp-14, -0x1.8abdc3da613f7p-14, -0x1.7e61b6836345p-14, -0x1.7267ccec6b55p-14, -0x1.66c9b027469bap-14, -0x1.5b8825ad60ac1p-14, -0x1.50a1f545b12cdp-14, -0x1.4610817cb1b4dp-14, -0x1.3bcb02f65dba9p-14, -0x1.31c9ce41b077bp-14, -0x1.28090c6f381f4p-14, -0x1.1e89cd0445c02p-14, -0x1.154f4840ac1aep-14, -0x1.0c5a5730ea298p-14, -0x1.03a838636770cp-14, -0x1.f66aa69c8ba18p-15, -0x1.e5fa2383a63d2p-15, -0x1.d5f444016e738p-15, -0x1.c658e1568f05dp-15, -0x1.b728f492e22f1p-15, -0x1.a858e74611c81p-15, -0x1.99e2f1e61c9edp-15, -0x1.8bcdbc4d7b215p-15, -0x1.7e1a638a69435p-15, -0x1.70c2fd98b8225p-15, -0x1.63c109f4d05e1p-15, -0x1.570c97e7d6092p-15, -0x1.4a9cbc3519199p-15, -0x1.3e6e2b2f7fd71p-15, -0x1.32850b83d5d0ep-15, -0x1.26e40104fadebp-15, -0x1.1b87c32f4c82ap-15, -0x1.106f0ce5631a2p-15, -0x1.059c227fc8372p-15, -0x1.f61808980634ap-16, -0x1.e1671b2832d1ep-16, -0x1.cd19f07d15532p-16, -0x1.b938944b2e068p-16, -0x1.a5bb55dac18cbp-16, -0x1.929e44906f575p-16, -0x1.7fec44272bc6dp-16, -0x1.6da333b77916dp-16, -0x1.5bbce5c651516p-16, -0x1.4a377c2646e77p-16, -0x1.390d311e53d5ap-16, -0x1.2831486be42a9p-16, -0x1.179f65f6c658ap-16, -0x1.076006f662691p-16, -0x1.eee3cb9491aa7p-17, -0x1.cf9c97594bdap-17, -0x1.b0f45935a1393p-17, -0x1.92ebf622cd088p-17, -0x1.7573e3f830315p-17, -0x1.58884e381d8b1p-17, -0x1.3c2c3d6bbe6bcp-17, -0x1.205154ea5a54ap-17, -0x1.04f5111d79ad6p-17, -0x1.d42563fa57eaep-18, -0x1.9f57c3660f3afp-18, -0x1.6b97403297f5dp-18, -0x1.38d25fc87621cp-18, -0x1.07000cbe8eb11p-18, -0x1.ac491db25436ap-19, -0x1.4c75b76e3a11ep-19, -0x1.dca5e1d8ed019p-20, -0x1.23b54063fffa6p-20, -0x1.b94043a52b6a6p-22, 0x1.0f253e5fe8637p-22, 0x1.e4e8974c4a43dp-21, 0x1.9d9c646b16feep-20, 0x1.22bd6695f99f9p-19, 0x1.751cbdbc9a376p-19, 0x1.c5ecd746ab6aep-19, 0x1.0a958733fcd0fp-18, 0x1.3161e10035dd9p-18, 0x1.575f50df05aap-18, 0x1.7ca16cf34b16ep-18, 0x1.a12b239f571d5p-18, 0x1.c4f277da239abp-18, 0x1.e7f330e43bfc6p-18, 0x1.051c612878584p-17, 0x1.15e26ad343294p-17, 0x1.264a2addc1a8fp-17, 0x1.3652e4e603d44p-17, 0x1.46019eee62733p-17, 0x1.55576d1afdb47p-17, 0x1.6455bf32ee44bp-17, 0x1.72fa4e8305bf8p-17, 0x1.81433af4af751p-17, 0x1.8f34e89c61a34p-17, 0x1.9cd0d8ede7543p-17, 0x1.aa171a2cb6e02p-17, 0x1.b707cba4da38cp-17, 0x1.c3a34ebaa0d0dp-17, 0x1.cfea7d398b8e7p-17, 0x1.dbdd7ebebdcb6p-17, 0x1.e77ad21182d1ep-17, 0x1.f2c5ee21323afp-17, 0x1.fdc144743e6f8p-17, 0x1.0434fbedc9696p-16, 0x1.0960704136999p-16, 0x1.0e64148fd684fp-16, 0x1.1340112d689aep-16, 0x1.17f4380bdbdefp-16, 0x1.1c80476c2db7dp-16, 0x1.20e5982b8a4edp-16, 0x1.2524ef4095feep-16, 0x1.293dce0004255p-16, 0x1.2d2fff5970c94p-16, 0x1.30fc9167d8d62p-16, 0x1.34a3d5bfbf438p-16, 0x1.3825fa769fc58p-16, 0x1.3b83473a06a28p-16, 0x1.3ebc0ebe748c5p-16, 0x1.41d0a05250547p-16, 0x1.44c1479b4854cp-16, 0x1.478e553d4d55ap-16, 0x1.4a382c9bbd702p-16, 0x1.4cbf17a15b531p-16, 0x1.4f2339fa44716p-16, 0x1.5165720af0097p-16, 0x1.5385a0d2d70d8p-16, 0x1.558436d49baa5p-16, 0x1.5761b6c4fd91ep-16, 0x1.591e6e2bf351cp-16, 0x1.5aba91192dcd3p-16, 0x1.5c364f3387f77p-16, 0x1.5d9287a66428fp-16, 0x1.5ecf69c39f8a8p-16, 0x1.5fed0d4453517p-16, 0x1.60ec16da8fc45p-16, 0x1.61cce0e81ee8cp-16, 0x1.628fc02985aebp-16, 0x1.633512aba7764p-16, 0x1.63bd3a0609dadp-16, 0x1.6428994f707bfp-16, 0x1.647794894005cp-16, 0x1.64aa903c0b85bp-16, 0x1.64c1f03032f2fp-16, 0x1.64be1648a36bp-16, 0x1.649f673940ecbp-16, 0x1.64665180e18b3p-16, 0x1.641332a1ae585p-16, 0x1.63a66db8f4d99p-16, 0x1.63206e82af0f1p-16, 0x1.628199addf7d3p-16, 0x1.61ca64413cb4bp-16, 0x1.60fb3145ffa46p-16, 0x1.60145d4710894p-16, 0x1.5f164161135bfp-16, 0x1.5e017814db232p-16, 0x1.5cd6357da99abp-16, 0x1.5b95017215afdp-16, 0x1.5a3e43e348951p-16, 0x1.58d25fb167234p-16, 0x1.5751bcf662412p-16, 0x1.55bcc4b250b9ap-16, 0x1.5413dfbdaa841p-16, 0x1.525776db3282cp-16, 0x1.5087f2dd9f191p-16, 0x1.4ea5bca651962p-16, 0x1.4cb13d0af8928p-16, 0x1.4aaadc9c524e1p-16, 0x1.489302e0e2147p-16, 0x1.466a1caf1ee6p-16, 0x1.4430bcf5348cap-16, 0x1.41e6ae6fca796p-16, 0x1.3f8cf756f8e59p-16, 0x1.3d23cea5b4a55p-16, 0x1.3aab85366f042p-16, 0x1.38249d6d117b8p-16, 0x1.358f74cfeb3e4p-16, 0x1.32ec726ced00cp-16, 0x1.303be849acb47p-16, 0x1.2d7e3e91fff39p-16, 0x1.2ab3d6f71fedap-16, 0x1.27dd1eec67d1bp-16, 0x1.24fa6f801691fp-16, 0x1.220c36ec35f04p-16, 0x1.1f12d5e020441p-16, 0x1.1c0ea2d70b025p-16, 0x1.18fffa18d97e2p-16, 0x1.15e73abe7cfbp-16, 0x1.12c4c32ffc604p-16, 0x1.0f98f0b5e5714p-16, 0x1.0c641fb041532p-16, 0x1.0926aba534aa5p-16, 0x1.05e0ef5a54c8ep-16, 0x1.029344b12093p-16, 0x1.fe7c0722eb16fp-17, 0x1.f7c303539aaf1p-17, 0x1.f0fc2bcdfe259p-17, 0x1.ea28382278d4ep-17, 0x1.e347e415bd5c7p-17, 0x1.dc5b962ffaabap-17, 0x1.d5641ec078a5fp-17, 0x1.ce622ed97a3b4p-17, 0x1.c75674807cadfp-17, 0x1.c041726667619p-17, 0x1.b923998ce7b4bp-17, 0x1.b1fdd22c0055ep-17, 0x1.aad0ae3187a63p-17, 0x1.a39cb5dbe7bcep-17, 0x1.9c627ffb9a665p-17, 0x1.9522a254600c3p-17, 0x1.8dddb02b16359p-17, 0x1.86943a7194fb5p-17, 0x1.7f46cfe723459p-17, 0x1.77f5fd125561fp-17, 0x1.70a24c3c4126fp-17, 0x1.694c459660e78p-17, 0x1.61f46f6e77fcep-17, 0x1.5a9b4e22c1cc6p-17, 0x1.534163fac4cd6p-17, 0x1.4be7312f9523cp-17, 0x1.448d33e6f068p-17, 0x1.3d33e728d4decp-17, 0x1.35dbc2020ab3ep-17, 0x1.2e853b68fb149p-17, 0x1.2730cc02af5f8p-17, 0x1.1fdef86c8e245p-17, 0x1.189010aee7f53p-17, 0x1.11448112d3746p-17, 0x1.09fcd896bb36p-17, 0x1.02b991608cba3p-17, 0x1.f6f589f7bba8ap-18, 0x1.e88209d7f6317p-18, 0x1.da199ed8bffeap-18, 0x1.cbbcdf134ebd2p-18, 0x1.bd6c89b7170b7p-18, 0x1.af295cbef7ed3p-18, 0x1.a0f410f7055d5p-18, 0x1.92cd5a9fd2a53p-18, 0x1.84b5e9e5c18e9p-18, 0x1.76ae6b6024361p-18, 0x1.68b78a9e7c04ep-18, 0x1.5ad1ed42ceeebp-18, 0x1.4cfe36d1313a6p-18, 0x1.3f3ce8edb81f3p-18, 0x1.318e90b7f0a03p-18, 0x1.23f3bfc84a446p-18, 0x1.166d1eaf93a8dp-18, 0x1.08fb77cc409c5p-18, 0x1.f73e7ac13718cp-19, 0x1.dcb190d1735f5p-19, }}, 
      {{-0x1.4c37c9cde1b56p-2, -0x1.42d4526e5f1dcp-2, -0x1.339a3ebc9f07fp-2, -0x1.1f0dc99bdecd8p-2, -0x1.05c7d1292044cp-2, -0x1.d0d4bdf2d134bp-3, -0x1.8f3149322ec5p-3, -0x1.47e30cc211136p-3, -0x1.f82feb633eca1p-4, -0x1.59d2e437abe6p-4, -0x1.6d670402dfdcep-5, -0x1.0a56ac0adb2c7p-8, 0x1.2d69e7ee52066p-5, 0x1.3de94a70d6764p-4, 0x1.e3b34ec615d4p-4, 0x1.437d00a896e57p-3, 0x1.93664a4bd9473p-3, 0x1.e12f94dc7cc9cp-3, 0x1.1641e1fa81f6fp-2, 0x1.3a8e79733613dp-2, 0x1.5d6176126890fp-2, 0x1.7ea4db6cd2b46p-2, 0x1.9e481f08726c3p-2, 0x1.bc3f88bb1b50ap-2, 0x1.d883a030dd6acp-2, 0x1.f310a713c253fp-2, 0x1.05f30f72a64c6p-1, 0x1.11832d29cedd1p-1, 0x1.1c3b0c7520f96p-1, 0x1.261e163b94944p-1, 0x1.2f3093be83b78p-1, 0x1.377789f1e567dp-1, 0x1.3ef898abf9de5p-1, 0x1.45b9dd590cc55p-1, 0x1.4bc1d8e744603p-1, 0x1.511758a53d891p-1, 0x1.55c161cb7ce02p-1, 0x1.59c71f7c75666p-1, 0x1.5d2fd304b3c3p-1, 0x1.6002c60f7a35ep-1, 0x1.62473ead82469p-1, 0x1.64047513363cep-1, 0x1.65418ac95e1ep-1, 0x1.6605832ba0ddp-1, 0x1.66573d230422p-1, 0x1.663d6df492b53p-1, 0x1.65be9d021f0b3p-1, 0x1.64e120639f114p-1, 0x1.63ab1a436856ap-1, 0x1.622276e40e143p-1, 0x1.604ceb3ad0a2p-1, 0x1.5e2ff40dee86ep-1, 0x1.5bd0d57fa43c4p-1, 0x1.59349afc71d5cp-1, 0x1.5660177ab3415p-1, 0x1.5357e601781a8p-1, 0x1.50206a6d1f923p-1, 0x1.4cbdd265323c8p-1, 0x1.4934167d4aea2p-1, 0x1.4586fb76afe3bp-1, 0x1.41ba139e29366p-1, 0x1.3dd0c03f74303p-1, 0x1.39ce332a2de8dp-1, 0x1.35b5704361e0cp-1, 0x1.31894f203c2a3p-1, 0x1.2d4c7ca5a95eep-1, 0x1.29017cab9f96cp-1, 0x1.24aaab9f9bbddp-1, 0x1.204a4025d709ap-1, 0x1.1be24cb6060abp-1, 0x1.1774c12f4011p-1, 0x1.13036c67fd91ep-1, 0x1.0e8ffdb2427f9p-1, 0x1.0a1c065858462p-1, 0x1.05a8fb1384074p-1, 0x1.01383576e115p-1, 0x1.f995ea9fd7e02p-2, 0x1.f0c4c3f9fb1dap-2, 0x1.e7ff176caa57p-2, 0x1.df46d9939e559p-2, 0x1.d69dd59699fdap-2, 0x1.ce05af7456874p-2, 0x1.c57fe639aae22p-2, 0x1.bd0dd6226eca7p-2, 0x1.b4b0baa85c466p-2, 0x1.ac69b078b93eep-2, 0x1.a439b7529fcbp-2, 0x1.9c21b3cd4669ep-2, 0x1.94227104cbbb5p-2, 0x1.8c3ca23394e93p-2, 0x1.8470e43780c26p-2, 0x1.7cbfbf0411cc7p-2, 0x1.7529a706f286bp-2, 0x1.6daefe7cede1cp-2, 0x1.665016b604709p-2, 0x1.5f0d314a33d0cp-2, 0x1.57e6813c76195p-2, 0x1.50dc2c0a71e15p-2, 0x1.49ee4aaaa1a17p-2, 0x1.431cea7b2e9f8p-2, 0x1.3c680e21a6182p-2, 0x1.35cfae5d62c29p-2, 0x1.2f53bacf70f71p-2, 0x1.28f41ab819737p-2, 0x1.22b0adaaa3e04p-2, 0x1.1c894c3799a7ep-2, 0x1.167dc88d43a2p-2, 0x1.108def0e9e648p-2, 0x1.0ab986e055f3ep-2, 0x1.0500526b7c4cap-2, 0x1.fec41fad1a747p-3, 0x1.f3bcf2eb7b613p-3, 0x1.e8ea8c643fd16p-3, 0x1.de4c53d37ddbdp-3, 0x1.d3e1ab91679d8p-3, 0x1.c9a9f1396e0fap-3, 0x1.bfa47e452955cp-3, 0x1.b5d0a89eb02e7p-3, 0x1.ac2dc3288fd98p-3, 0x1.a2bb1e3dca6b9p-3, 0x1.99780828af9c1p-3, 0x1.9063cd90c3f4bp-3, 0x1.877db9e0f3093p-3, 0x1.7ec517a3b4d42p-3, 0x1.763930d9c8d03p-3, 0x1.6dd94f467b893p-3, 0x1.65a4bcb7801ebp-3, 0x1.5d9ac3448651p-3, 0x1.55baad8a87aep-3, 0x1.4e03c6dee6657p-3, 0x1.46755b8062d5fp-3, 0x1.3f0eb8c248b93p-3, 0x1.37cf2d33c2446p-3, 0x1.30b608c4fbdadp-3, 0x1.29c29ce589144p-3, 0x1.22f43ca37a8fap-3, 0x1.1c4a3cc4ed5d8p-3, 0x1.15c3f3dfac127p-3, 0x1.0f60ba6ced036p-3, 0x1.091feade55152p-3, 0x1.0300e1aa92249p-3, 0x1.fa05fabce629ep-4, 0x1.ee4b3d4be09c9p-4, 0x1.e2d050b0be767p-4, 0x1.d793fefdd1a99p-4, 0x1.cc9516b63c2bdp-4, 0x1.c1d26ad6f9566p-4, 0x1.b74ad2e27e7ecp-4, 0x1.acfd2adf7c8bap-4, 0x1.a2e8535cc1ea3p-4, 0x1.990b31743aa15p-4, 0x1.8f64aec889a5fp-4, 0x1.85f3b98201be4p-4, 0x1.7cb7444453562p-4, 0x1.73ae462f147cp-4, 0x1.6ad7badcb4f31p-4, 0x1.6232a24933927p-4, 0x1.59be00da2c3fep-4, 0x1.5178df46947d3p-4, 0x1.49624a96d4632p-4, 0x1.4179541daa5dep-4, 0x1.39bd11581670dp-4, 0x1.322c9bfa7970ap-4, 0x1.2ac711ca3b84ap-4, 0x1.238b94a791689p-4, 0x1.1c794a6fa36f3p-4, 0x1.158f5d00c0911p-4, 0x1.0eccfa10c30f5p-4, 0x1.083153405d918p-4, 0x1.01bb9dea1a55fp-4, 0x1.f6d626662c5fcp-5, 0x1.ea7ddfd523177p-5, 0x1.de6ce8f64e98ep-5, 0x1.d2a1c9e185d5fp-5, 0x1.c71b118b169e7p-5, 0x1.bbd755fbf71c2p-5, 0x1.b0d533dd8e9eap-5, 0x1.a6134ea9901a7p-5, 0x1.9b905067cd3c9p-5, 0x1.914ae992e25adp-5, 0x1.8741d0f95eba3p-5, 0x1.7d73c3cb4e385p-5, 0x1.73df85318a0fap-5, 0x1.6a83de8d9109dp-5, 0x1.615f9f00e2a82p-5, 0x1.58719b9fc222ap-5, 0x1.4fb8af3962dd9p-5, 0x1.4733ba383799bp-5, 0x1.3ee1a28fe0c3ap-5, 0x1.36c153998a335p-5, 0x1.2ed1be1c8a49bp-5, 0x1.2711d80f37e8p-5, 0x1.1f809c9406283p-5, 0x1.181d0bdb828f7p-5, 0x1.10e62afe7a932p-5, 0x1.09db0412d72d3p-5, 0x1.02faa5ee1c34fp-5, 0x1.f88848350fc22p-6, 0x1.eb6d2d86c7593p-6, 0x1.dea2353802458p-6, 0x1.d225a1865198fp-6, 0x1.c5f5bdb732336p-6, 0x1.ba10dd56f8589p-6, 0x1.ae755caa5d047p-6, 0x1.a321a0070c17fp-6, 0x1.981413e97b25p-6, 0x1.8d4b2d0a39d32p-6, 0x1.82c568022a73ap-6, 0x1.78814904a245ep-6, 0x1.6e7d5b5401409p-6, 0x1.64b831e2c1eebp-6, 0x1.5b3067a9a98e1p-6, 0x1.51e49e105694dp-6, 0x1.48d37d5777e12p-6, 0x1.3ffbb58ea8a3bp-6, 0x1.375bfd0317acdp-6, 0x1.2ef310cc3d2eap-6, 0x1.26bfb40c2e9d3p-6, 0x1.1ec0b0bd088a7p-6, 0x1.16f4d7288de68p-6, 0x1.0f5afdb76aea6p-6, 0x1.07f200e33ad84p-6, 0x1.00b8c31b9ee19p-6, 0x1.f35c59548f14ap-7, 0x1.e5a2572f9e164p-7, 0x1.d8416721059f9p-7, 0x1.cb377b81388a1p-7, 0x1.be8291665d90ap-7, 0x1.b220b1230314cp-7, 0x1.a60fecd1f40f4p-7, 0x1.9a4e614c3c177p-7, 0x1.8eda355aa629ap-7, 0x1.83b1993abedd2p-7, 0x1.78d2c78293b5ap-7, 0x1.6e3c041d8743bp-7, 0x1.63eb9c416ff29p-7, 0x1.59dfe65512ffcp-7, 0x1.501741c27699fp-7, 0x1.469016ca4c35ep-7, 0x1.3d48d65a536e6p-7, 0x1.343ff9e4291edp-7, 0x1.2b740332b5a92p-7, 0x1.22e37c413d39dp-7, 0x1.1a8cf6fb43ad4p-7, 0x1.126f0d2ec46a6p-7, 0x1.0a8860ebdc653p-7, 0x1.02d79afd9cc8bp-7, 0x1.f6b6d8deda6e9p-8, 0x1.e8251a2fc056cp-8, 0x1.d9f777873365ap-8, 0x1.cc2b7daeb0cd1p-8, 0x1.bebec6d2202f7p-8, 0x1.b1aefa7fe2d3p-8, 0x1.a4f9cd89eb5eep-8, 0x1.989d01c421664p-8, 0x1.8c9665c20d25dp-8, 0x1.80e3d496debd1p-8, 0x1.75833596a09c7p-8, 0x1.6a727c186aa8p-8, 0x1.5fafa73a27dd1p-8, 0x1.5538c1a6f1261p-8, 0x1.4b0be15a38789p-8, 0x1.4127274d8d99bp-8, 0x1.3788bf1b0787bp-8, 0x1.2e2edfc1e18d3p-8, 0x1.2517ca7ef3007p-8, 0x1.1c41c9f6532f1p-8, 0x1.13ab34804ae7bp-8, 0x1.0b52682954134p-8, 0x1.0335cda94653ap-8, 0x1.f6a7af0beb6f1p-9, 0x1.e756024b1853bp-9, 0x1.d8739ddd6d9eap-9, 0x1.c9fd9c5b52719p-9, 0x1.bbf129c8ae996p-9, 0x1.ae4b833363b9dp-9, 0x1.a109f651c8b92p-9, 0x1.9429e124830c6p-9, 0x1.87a8b19c0ef4cp-9, 0x1.7b83e5448954p-9, 0x1.6fb908f7c9bc9p-9, 0x1.6445b893c881dp-9, 0x1.59279eb23ee94p-9, 0x1.4e5c745d4f5fcp-9, 0x1.43e200b12439cp-9, 0x1.39b6183c624e1p-9, 0x1.2fd69cf17c64ap-9, 0x1.26417f9c9ea99p-9, 0x1.1cf4bba515e73p-9, 0x1.13ee5a264f28cp-9, 0x1.0b2c716ccfca8p-9, 0x1.02ad20b0c9df3p-9, 0x1.f4dd2b696af73p-10, 0x1.e4de13de6f692p-10, 0x1.d5598334ef613p-10, 0x1.c64c17d7f9ec5p-10, 0x1.b7b285c972f73p-10, 0x1.a98996144f0bep-10, 0x1.9bce26520e008p-10, 0x1.8e7d2844fd859p-10, 0x1.8193a17e72277p-10, 0x1.750eab04ca44ap-10, 0x1.68eb70efc9aa6p-10, 0x1.5d2731f6925fbp-10, 0x1.51bf3ef141a8fp-10, 0x1.46b0fa55f35abp-10, 0x1.3bf9d7bb73d61p-10, 0x1.31975b6a0846ep-10, 0x1.278719fed290ap-10, 0x1.1dc6b81de13c1p-10, 0x1.1453ea1a16908p-10, 0x1.0b2c73480c081p-10, 0x1.024e25ab4163cp-10, 0x1.f36dc94fc7c53p-11, 0x1.e2c940e8e7079p-11, 0x1.d2aaaae475d13p-11, 0x1.c30e2568abeb6p-11, 0x1.b3efdb426c875p-11, 0x1.a54c15595c1b1p-11, 0x1.971f3a05f984p-11, 0x1.8965c72c293ebp-11, 0x1.7c1c60a0cec1ap-11, 0x1.6f3fab1f92d4dp-11, 0x1.62cc59d3e35ccp-11, 0x1.56bf4db16ec83p-11, 0x1.4b157fb797794p-11, 0x1.3fcbfcc3ef6e3p-11, 0x1.34dfd81c70dfap-11, 0x1.2a4e40f598a69p-11, 0x1.20147b724971cp-11, 0x1.162fde752f2bdp-11, 0x1.0c9dd33993d89p-11, 0x1.035bd4ffcde8bp-11, 0x1.f4cee19646f19p-12, 0x1.e37c8a719e5d8p-12, 0x1.d2bc04ad7febfp-12, 0x1.c288d2b7ad2d6p-12, 0x1.b2de986a2822bp-12, 0x1.a3b919e919faap-12, 0x1.95143a71c30cfp-12, 0x1.86ebfb09a721fp-12, 0x1.793c78616143ap-12, 0x1.6c01e8537b5a4p-12, 0x1.5f389faf33ab3p-12, 0x1.52dd113e99045p-12, 0x1.46ebbb229838cp-12, 0x1.3b6146fe19285p-12, 0x1.303a6f7fb9eep-12, 0x1.2573fe6e27303p-12, 0x1.1b0ae80abfc2cp-12, 0x1.10fc377356466p-12, 0x1.07450a664b93ap-12, 0x1.fbc526ecf509p-13, 0x1.e9a4337dbf5dfp-13, 0x1.d821ef2334e11p-13, 0x1.c7393241779dfp-13, 0x1.b6e4f7d4fdc3ap-13, 0x1.a7205ec30fcbbp-13, 0x1.97e6acebc3662p-13, 0x1.893351c467efdp-13, 0x1.7b01e65aabb05p-13, 0x1.6d4e2a7bff2afp-13, 0x1.601400d5fed34p-13, 0x1.534f6c0eefd15p-13, 0x1.46fc8d52928fp-13, 0x1.3b17a3600caeep-13, 0x1.2f9d08be7ad77p-13, 0x1.248930e3fca56p-13, 0x1.19d8a5c953076p-13, 0x1.0f8807cff6713p-13, 0x1.0594106c96b4dp-13, 0x1.f7f32bba302f7p-14, 0x1.e56b1a7d24f98p-14, 0x1.d38a132b6a73dp-14, 0x1.c24a717f64baap-14, 0x1.b1a6c118c5905p-14, 0x1.a199b4ee235f6p-14, 0x1.921e2d8808a98p-14, 0x1.832f42a82641p-14, 0x1.74c83fb2ad746p-14, 0x1.66e4641888ad3p-14, 0x1.597f42d9e549bp-14, 0x1.4c946504cb1ddp-14, 0x1.401f5018bd011p-14, 0x1.341be9e3926c1p-14, 0x1.28863da147f3fp-14, 0x1.1d5a6e14269ccp-14, 0x1.1294becec25d3p-14, 0x1.083196736dec7p-14, 0x1.fc5b01c1eeea6p-15, 0x1.e90a62cc1e7c8p-15, 0x1.d66b028839c9ep-15, 0x1.c476cbe094cbcp-15, 0x1.b327cd34b287bp-15, 0x1.a2782f1af2f53p-15, 0x1.92623bd7b078ep-15, 0x1.82e06b04334a9p-15, 0x1.73ed63e10bbfep-15, 0x1.6583f73e1c44cp-15, 0x1.579f1b7bd990ap-15, 0x1.4a39ef131570ap-15, 0x1.3d4fbcd6e782cp-15, 0x1.30dbffc656744p-15, 0x1.24da6b367db94p-15, 0x1.1946f613c80d2p-15, 0x1.0e1dda32fb546p-15, 0x1.035b7c872fb3p-15, 0x1.f1f897b107861p-16, 0x1.ddf9658ecdfc9p-16, 0x1.cab24f3dcc312p-16, 0x1.b81c8948cd18cp-16, 0x1.a6319c101cc45p-16, 0x1.94eb48b217333p-16, 0x1.84436e9a35efep-16, 0x1.74340c7c5d14fp-16, 0x1.64b750baf6899p-16, 0x1.55c79cdc75c18p-16, 0x1.475f8d076125fp-16, 0x1.397a5098cd3eap-16, 0x1.2c1379b568b8ap-16, 0x1.1f269504bf245p-16, 0x1.12affefbbed1ep-16, 0x1.06ab4f889048cp-16, 0x1.f6273ff7fc8e4p-17, 0x1.dfc95df26fa7p-17, 0x1.ca38eda6ca9a7p-17, 0x1.b56df10ada077p-17, 0x1.a15b8c75f3d53p-17, 0x1.8dfec68b53da4p-17, 0x1.7b522a642b204p-17, 0x1.694d49354ef1fp-17, 0x1.57e9bedb82921p-17, 0x1.4721a3088bd59p-17, 0x1.36ef776002ff8p-17, 0x1.274e1bd65b28cp-17, 0x1.1838b3f3607b9p-17, 0x1.09aa879fd64ebp-17, 0x1.f73dbd4428f65p-18, 0x1.dc21f286d8767p-18, 0x1.c1f872e74fbcfp-18, 0x1.a8b88cc1b9c51p-18, 0x1.9059f68cbaa12p-18, 0x1.78d49d6bba0cdp-18, 0x1.6220beec1362cp-18, 0x1.4c36f0ac903f3p-18, 0x1.370fdfd77c238p-18, 0x1.22a43077e3e8bp-18, 0x1.0eeccd35565cfp-18, 0x1.f7c6d1e2f4c93p-19, 0x1.d3052dcc10f19p-19, 0x1.af8a808bda006p-19, 0x1.8d4c22306f1efp-19, 0x1.6c3efcef799f7p-19, 0x1.4c582a04739ccp-19, 0x1.2d8d25009d1abp-19, 0x1.0fd42738c2edep-19, 0x1.e6490d28f1a9dp-20, 0x1.aeec25e511075p-20, 0x1.7980b92498ccbp-20, 0x1.45f60b5defbe4p-20, 0x1.143c102c2e48dp-20, 0x1.c885b6fecedfp-21, 0x1.6bf2ef539cap-21, 0x1.12a5c9c06ee93p-21, 0x1.790f10a8caf52p-22, 0x1.a5ecf3571af35p-23, 0x1.97402b073d09dp-25, -0x1.9d44283c6e11bp-24, -0x1.f7fbf06ed1b89p-23, -0x1.8b40717853fbfp-22, -0x1.0a9da5a994fd1p-21, -0x1.4d0e1e6a00cc2p-21, -0x1.8d07482dbb4cap-21, -0x1.ca9a167666602p-21, -0x1.02ead21c1df39p-20, -0x1.1f658a2e2d8d9p-20, -0x1.3ac603ebb62a7p-20, -0x1.551479b127983p-20, -0x1.6e590e8c0c1cdp-20, -0x1.869bc35c598dap-20, -0x1.9de4147d713a3p-20, -0x1.b438f89818653p-20, -0x1.c9a11f8c40756p-20, -0x1.de230d4e92c0cp-20, -0x1.f1c4b36d666a4p-20, -0x1.0245a2c080b91p-19, -0x1.0b3dfe69765d3p-19, -0x1.13ce6bb7f0536p-19, -0x1.1bfa28c2c3bdep-19, -0x1.23c4405714551p-19, -0x1.2b2f4b608c9bap-19, -0x1.323d60007d1b7p-19, -0x1.38f06e134432cp-19, -0x1.3f4acf5a102d7p-19, -0x1.454edfeb31c7bp-19, -0x1.4afebad19ee9p-19, -0x1.505c8212d42ccp-19, -0x1.556a49d1b97bcp-19, -0x1.5a2a10af6e31ep-19, -0x1.5e9dd7f1a107dp-19, -0x1.62c79aed26008p-19, -0x1.66a921b34571fp-19, -0x1.6a43f65530068p-19, -0x1.6d99af1d8d146p-19, -0x1.70ac01ffe83fap-19, -0x1.737c8e0a7047ep-19, -0x1.760ce9f86c32dp-19, -0x1.785ebcb11ecc4p-19, -0x1.7a739378a4885p-19, -0x1.7c4cc6d7c8b7p-19, -0x1.7debb90daa5fap-19, -0x1.7f51faf55f0dbp-19, -0x1.8081683b55dc6p-19, -0x1.817b235263726p-19, -0x1.823f25064afefp-19, -0x1.82cf0ba938d1fp-19, -0x1.832b1fed83469p-19, -0x1.8354801dea36fp-19, -0x1.83501bea456ecp-19, -0x1.831edb66070acp-19, -0x1.82bfefe77d4a3p-19, -0x1.8233e906dc6ep-19, -0x1.817c3ade49f59p-19, -0x1.809bb2cef3d29p-19, -0x1.7f9608b14b9d9p-19, -0x1.7e58541eafbd7p-19, -0x1.7cfd987346365p-19, -0x1.7b7f6128093e9p-19, -0x1.79d814f27f3c6p-19, -0x1.780d061361695p-19, -0x1.761ed414121a9p-19, -0x1.740e515183eddp-19, -0x1.71dc66847f0dbp-19, -0x1.6f89f1fe89ad7p-19, -0x1.6d17d215bccaep-19, -0x1.6a86ee3943f85p-19, -0x1.67d825142b2efp-19, -0x1.650c5541254d2p-19, -0x1.62245b8b7058ap-19, -0x1.5f2110a2d0918p-19, -0x1.5c0343f5d5611p-19, -0x1.58cbc61d19f55p-19, -0x1.557b622782fbdp-19, -0x1.5212df31ebf83p-19, -0x1.4e9307e55f1efp-19, -0x1.4afca2d266606p-19, -0x1.4750727530abfp-19, -0x1.438f34eaddda7p-19, -0x1.3fb9a4c6d2441p-19, -0x1.3bd07c0290145p-19, -0x1.37d47260512a1p-19, -0x1.33c63b92897c9p-19, -0x1.2fa69022af031p-19, -0x1.2b7623250d689p-19, -0x1.27359cfa324fcp-19, -0x1.22e5a945834c9p-19, -0x1.1e86f372a1521p-19, -0x1.1a1a2262dbd9dp-19, -0x1.159fdabd1d658p-19, -0x1.1118be272f60bp-19, -0x1.0c856e76bff5p-19, -0x1.07e68ad299224p-19, -0x1.033cad25ed8efp-19, -0x1.fd10d8d7d8f16p-20, -0x1.f394c04eb9659p-20, -0x1.ea06454388822p-20, -0x1.e066c7497aa56p-20, -0x1.d6b7f9137a2b8p-20, -0x1.ccfb2beed27dep-20, -0x1.c32fccba52166p-20, -0x1.b9562a93616e2p-20, -0x1.af6f051b240c9p-20, -0x1.a57a3ecea0d9bp-20, -0x1.9b7e5c17ba904p-20, -0x1.917ddb33cea0cp-20, -0x1.87763f201c652p-20, -0x1.7d67151e9ae68p-20, -0x1.73518728c8614p-20, -0x1.6936e54a9fe84p-20, -0x1.5f18528a450bp-20, -0x1.54f6d0d5bf8dfp-20, -0x1.4ad3507bb3266p-20, -0x1.40aebaa16391ap-20, -0x1.3689eec34e8d8p-20, -0x1.2c65c7231fa4bp-20, -0x1.22431b2db8f5fp-20, -0x1.1822bd4171f32p-20, -0x1.0e057ba10081ep-20, -0x1.03ec20bb30cc2p-20, -0x1.f3aee65c69c12p-21, -0x1.df906b79303dep-21, -0x1.cb7e4e806b7bap-21, -0x1.b77a053acd8a4p-21, -0x1.a384fd4450996p-21, -0x1.8fa09bba58efp-21, -0x1.7bce3e14e09f8p-21, -0x1.680f3b44e90d1p-21, -0x1.5464e1ac56772p-21, -0x1.40d077d7ef2d4p-21, -0x1.2d533d1c1eadep-21, -0x1.19ee68f35cfbcp-21, -0x1.06a32b9a119c4p-21, -0x1.e6e559357768dp-22, -0x1.c0bc18e5c7fd1p-22, -0x1.9accc94be7d7ep-22, -0x1.7519921ca4dc7p-22, -0x1.4fa4859d44d2ep-22, -0x1.2a6fac5b7418cp-22, -0x1.057cfeb6336fdp-22, -0x1.c19cccf0e1899p-23, -0x1.78cb7ee1c0f0dp-23, -0x1.3089addecad46p-23, -0x1.d1b5af1b39d7cp-24, -0x1.4384b6b90a6fep-24, -0x1.6d0dea442f4ccp-25, -0x1.5615142b8c236p-27, 0x1.7f099d55ebfa9p-26, 0x1.d20585fcf6311p-25, 0x1.70f82f941569bp-24, 0x1.f78761e2771dfp-24, 0x1.3e17497c4132fp-23, 0x1.805ed4cd8fe73p-23, 0x1.c1b18fb137c97p-23, 0x1.011e918115d88p-22, 0x1.2111efd49fdd6p-22, 0x1.40a7255862f3bp-22, 0x1.5fde5f2edd46ep-22, 0x1.7eb57d9dd945cp-22, 0x1.9d2b8420dd01bp-22, 0x1.bb44fbd3e93bbp-22, 0x1.d90404e9e2203p-22, 0x1.f6694f53b22eap-22, 0x1.09b97d4061b0ap-21, 0x1.18070a12ee827p-21, 0x1.261d0a2722a42p-21, 0x1.34012193bffcep-21, 0x1.41b4c2e7321a3p-21, 0x1.4f3713cc77f37p-21, 0x1.5c872d9e69fc6p-21, 0x1.69a47d1af05c5p-21, 0x1.768ea576837aep-21, 0x1.83456548f075ap-21, 0x1.8fc8891e3f4bep-21, 0x1.9c17e5ba8b4ccp-21, 0x1.a833561394889p-21, 0x1.b41ab9ca3626ap-21, 0x1.bfcdf06cfbfd1p-21, 0x1.cb4cd66697c53p-21, 0x1.d697b1c8b9cd5p-21, 0x1.e1ae07093a82cp-21, 0x1.ec8fb87485522p-21, 0x1.f73d22e98dea9p-21, 0x1.00db173645bfp-20, 0x1.05fd5d3ca3fbep-20, 0x1.0b056c1507533p-20, 0x1.0ff349485965bp-20, 0x1.14c6fbac0e662p-20, 0x1.19808bb91d659p-20, 0x1.1e20038fe7adep-20, 0x1.22a56f1ba47bcp-20, 0x1.2710dc0f3c415p-20, 0x1.2b6259bbde628p-20, 0x1.2f99f8f3670d5p-20, 0x1.33b7cc13e58dcp-20, 0x1.37bbe73cb1c9ep-20, 0x1.3ba6604903994p-20, 0x1.3f774e8c63cb6p-20, 0x1.432ecab0fc4d2p-20, 0x1.46cceeb9d2db2p-20, 0x1.4a51d603b7a94p-20, 0x1.4dbd9d45f12bcp-20, 0x1.511062991b72fp-20, 0x1.544a457de053dp-20, 0x1.576b6692859d5p-20, 0x1.5a73e77a69be1p-20, 0x1.5d63eab3f6f09p-20, 0x1.603b94785a9b4p-20, 0x1.62fb0c3e55be5p-20, 0x1.65a2750ad609cp-20, 0x1.6831f8fd9ae7ap-20, 0x1.6aa9bef925793p-20, 0x1.6d09f080218fcp-20, 0x1.6f52b8048aee2p-20, 0x1.7184413222889p-20, 0x1.739eb89fa8c55p-20, 0x1.75a24bfdb5058p-20, 0x1.778f29fe62b76p-20, 0x1.796581e4e61cbp-20, 0x1.7b25812ba2065p-20, 0x1.7ccf4a5f721a1p-20, 0x1.7e62ed05598dep-20, 0x1.7fe03b980e57ap-20, 0x1.8147ad8d13d3ap-20, 0x1.829a776556ae2p-20, 0x1.83d97b9910883p-20, 0x1.85050e8d1dffdp-20, 0x1.861c154b91a27p-20, 0x1.871b7619945d2p-20, 0x1.880498c6e6073p-20, 0x1.88da0585095c5p-20, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.95fab26aadcb8p-11, -0x1.d79822867a029p-8, -0x1.6c79ff1562d79p-6, -0x1.80407943efb41p-5, -0x1.4b513d14404acp-4, -0x1.f8653ce7f6dd7p-4, -0x1.60af10616fae7p-3, -0x1.cfc15a8580755p-3, -0x1.23008c9f6c41cp-2, -0x1.60173af0966cep-2, -0x1.9da8d259977acp-2, -0x1.da65e5e4ca5cbp-2, -0x1.0a9779b744faep-1, -0x1.268a3e8a1432cp-1, -0x1.40aa7de8f57c9p-1, -0x1.58acc2a010ffcp-1, -0x1.6e58ded4d2bc7p-1, -0x1.8187c061f0c92p-1, -0x1.922143d34fe74p-1, -0x1.a01a1cf83c631p-1, -0x1.ab71e33056184p-1, -0x1.b431489dac4bep-1, -0x1.ba687f2ff5d25p-1, -0x1.be2dcb5512cb6p-1, -0x1.bf9c420e84742p-1, -0x1.bed2af37973ep-1, -0x1.bbf2a0875a59fp-1, -0x1.b71f91d01044cp-1, -0x1.b07e37532a927p-1, -0x1.a833e31caaa24p-1, -0x1.9e6602841ce82p-1, -0x1.9339b108136cep-1, -0x1.86d35df54b5c8p-1, -0x1.79568291de0efp-1, -0x1.6ae566c4e81f6p-1, -0x1.5ba0f269bb4c6p-1, -0x1.4ba889b3dcdeep-1, -0x1.3b19f32f2bab5p-1, -0x1.2a11460ead798p-1, -0x1.18a8dfa8e8668p-1, -0x1.06f95f109dc5dp-1, -0x1.ea334ba9c7f97p-2, -0x1.c63db9fba2f62p-2, -0x1.a238fbab2995cp-2, -0x1.7e48bb24f6896p-2, -0x1.5a8d761d709b6p-2, -0x1.37249d4a11debp-2, -0x1.1428b711e94cdp-2, -0x1.e36305dcb8c5p-3, -0x1.9fa83f9aecca7p-3, -0x1.5d466389ad46dp-3, -0x1.1c5e10fe5f772p-3, -0x1.ba17183e2ca08p-4, -0x1.3ece0e14f153ap-4, -0x1.8e13b8f10dc0ep-5, -0x1.4bb16a91adc0fp-6, 0x1.d6f13f783facap-8, 0x1.13e5fce0178d3p-5, 0x1.e51ece9ad56aep-5, 0x1.57394d81dba28p-4, 0x1.b7ea3bb85259p-4, 0x1.0a4feeea3eb6p-3, 0x1.36adceae98a5bp-3, 0x1.611121e642ddp-3, 0x1.897dd1863faffp-3, 0x1.aff921c561c5ap-3, 0x1.d4898bda7ada3p-3, 0x1.f7369a46569fep-3, 0x1.0c0463c2a86a3p-2, 0x1.1b84af80e4e8dp-2, 0x1.2a21301d8df25p-2, 0x1.37df31f9722bep-2, 0x1.44c441b687bf9p-2, 0x1.50d620d451b06p-2, 0x1.5c1abb3b806aap-2, 0x1.66981db7b79c9p-2, 0x1.70546d4802edap-2, 0x1.7955df389f6a1p-2, 0x1.81a2b1f77dfbap-2, 0x1.8941269a9c426p-2, 0x1.90377b0bb51cp-2, 0x1.968be4d26d25ap-2, 0x1.9c448c7602ee4p-2, 0x1.a16789674c62ap-2, 0x1.a5fade6af646ap-2, 0x1.aa04766fbc872p-2, 0x1.ad8a21cbb34ep-2, 0x1.b09193d045e8ap-2, 0x1.b32060b31f76dp-2, 0x1.b53bfbc88ff9dp-2, 0x1.b6e9b6089f41cp-2, 0x1.b82ebce5878fp-2, 0x1.b91019641aa04p-2, 0x1.b992af7704d47p-2, 0x1.b9bb3d928ae05p-2, 0x1.b98e5c6bae4d5p-2, 0x1.b9107ee218aa5p-2, 0x1.b845f206cec87p-2, 0x1.b732dd41c2615p-2, 0x1.b5db42906122dp-2, 0x1.b442fede467a5p-2, 0x1.b26dca7846a93p-2, 0x1.b05f3996b9486p-2, 0x1.ae1abd0374219p-2, 0x1.aba3a2cde68adp-2, 0x1.a8fd17169bc86p-2, 0x1.a62a24e428e03p-2, 0x1.a32db6fd5cac4p-2, 0x1.a00a98cfcda32p-2, 0x1.9cc3774f815f5p-2, 0x1.995ae1dadde75p-2, 0x1.95d34b1fc839dp-2, 0x1.922f09faed45fp-2, 0x1.8e705a5982027p-2, 0x1.8a995e1c4dd02p-2, 0x1.86ac1df7ccb5cp-2, 0x1.82aa8a537d9f4p-2, 0x1.7e967c2e9ca3dp-2, 0x1.7a71b5fb739acp-2, 0x1.763de47bbd206p-2, 0x1.71fc9f9cff408p-2, 0x1.6daf6b47ee0a3p-2, 0x1.6957b83114ea5p-2, 0x1.64f6e4a256eb2p-2, 0x1.608e3d395f0cbp-2, 0x1.5c1efda4adb0fp-2, 0x1.57aa515809bb8p-2, 0x1.53315437cd0c9p-2, 0x1.4eb513422fbc1p-2, 0x1.4a368d30f37a1p-2, 0x1.45b6b3142052ap-2, 0x1.413668e88948bp-2, 0x1.3cb6862b095aap-2, 0x1.3837d664b9b9bp-2, 0x1.33bb19b005effp-2, 0x1.2f41053e92b0ap-2, 0x1.2aca43d855b6bp-2, 0x1.265776519be84p-2, 0x1.21e933ffe9401p-2, 0x1.1d800b2d98f93p-2, 0x1.191c8185c0da4p-2, 0x1.14bf1471fa956p-2, 0x1.10683987c22f9p-2, 0x1.0c185ee0eff17p-2, 0x1.07cfeb7807fc6p-2, 0x1.038f3f7990673p-2, 0x1.fead6935b5b52p-3, 0x1.f64d3ccd02385p-3, 0x1.edfe9511902e8p-3, 0x1.e5c202255e651p-3, 0x1.dd9809802cd51p-3, 0x1.d5812677f95b9p-3, 0x1.cd7dcab7289c5p-3, 0x1.c58e5eb299c78p-3, 0x1.bdb3421942f36p-3, 0x1.b5eccc43692eap-3, 0x1.ae3b4ca237934p-3, 0x1.a69f0b0f85298p-3, 0x1.9f1848381895dp-3, 0x1.97a73df29c5e1p-3, 0x1.904c1f94aa1fbp-3, 0x1.89071a4ae1fbcp-3, 0x1.81d855535f622p-3, 0x1.7abff25b8d707p-3, 0x1.73be0dbdffe9bp-3, 0x1.6cd2becca0378p-3, 0x1.65fe180126109p-3, 0x1.5f402747e571ap-3, 0x1.5898f62fff22ep-3, 0x1.52088a3510d1bp-3, 0x1.4b8ee4e0d6ae9p-3, 0x1.452c0402faeb5p-3, 0x1.3edfe1e2ef1a4p-3, 0x1.38aa7569bb447p-3, 0x1.328bb25bf166fp-3, 0x1.2c8389717fc7cp-3, 0x1.2691e88cb7063p-3, 0x1.20b6bad144ee5p-3, 0x1.1af1e8d2ef28ep-3, 0x1.154358ba83e94p-3, 0x1.0faaee67ea5fdp-3, 0x1.0a288b864a839p-3, 0x1.04bc0fb7d9738p-3, 0x1.fecab14f26bc1p-4, 0x1.f448846db2653p-4, 0x1.e9f14d1692e97p-4, 0x1.dfc4bc563ad2p-4, 0x1.d5c2802b76561p-4, 0x1.cbea43b936a7p-4, 0x1.c23baf7aef2f9p-4, 0x1.b8b66967f7cb4p-4, 0x1.af5a152624242p-4, 0x1.a626542a5f313p-4, 0x1.9d1ac5e152bfap-4, 0x1.943707dab9091p-4, 0x1.8b7ab5e44d5dbp-4, 0x1.82e56a3768c77p-4, 0x1.7a76bd954f8e9p-4, 0x1.722e4763f4f67p-4, 0x1.6a0b9dcd1d8e4p-4, 0x1.620e55e02dab1p-4, 0x1.5a3603a691c16p-4, 0x1.52823a5023d45p-4, 0x1.4af28c38bf3d1p-4, 0x1.43868b0dd92dcp-4, 0x1.3c3dc7e1470d9p-4, 0x1.3517d33de97fap-4, 0x1.2e143d464bfdcp-4, 0x1.273295c55f231p-4, 0x1.20726c402cf22p-4, 0x1.19d3500aa6b0cp-4, 0x1.1354d05cabf06p-4, 0x1.0cf67c644a291p-4, 0x1.06b7e352c5423p-4, 0x1.0098946b4fd18p-4, 0x1.f5303e3d1b91ep-5, 0x1.e96c260c0ce8cp-5, 0x1.dde40018d0e11p-5, 0x1.d296ecc9f579bp-5, 0x1.c7840d3e9e5c5p-5, 0x1.bcaa8368aff7fp-5, 0x1.b209722458d46p-5, 0x1.a79ffd528a141p-5, 0x1.9d6d49ef50154p-5, 0x1.93707e22da23ap-5, 0x1.89a8c150b323dp-5, 0x1.80153c2ad7472p-5, 0x1.76b518c78cf3ap-5, 0x1.6d8782a7facdap-5, 0x1.648ba6e2ff095p-5, 0x1.5bc0b4197ea2bp-5, 0x1.5325da8cd5eacp-5, 0x1.4aba4c2ff00efp-5, 0x1.427d3ca06678ep-5, 0x1.3a6de1468d192p-5, 0x1.328b715fb97d5p-5, 0x1.2ad52605f090bp-5, 0x1.234a3a364b62ep-5, 0x1.1be9ead7878f8p-5, 0x1.14b376c29b742p-5, 0x1.0da61eccc4fa6p-5, 0x1.06c125d0c927p-5, 0x1.0003d0b5f2fbfp-5, 0x1.f2daccebf276cp-6, 0x1.e5fa603ccd62fp-6, 0x1.d964f1977a0f1p-6, 0x1.cd191b8c99d1fp-6, 0x1.c1157cd71d251p-6, 0x1.b558b891eb9f8p-6, 0x1.a9e1763238f4fp-6, 0x1.9eae6170425afp-6, 0x1.93be2a6269994p-6, 0x1.890f857bf860bp-6, 0x1.7ea12b8f555afp-6, 0x1.7471d9d25e1a5p-6, 0x1.6a8051e08ecaep-6, 0x1.60cb59ba71f0ap-6, 0x1.5751bbc36d749p-6, 0x1.4e1246bfc0f37p-6, 0x1.450bcdd3a5f8p-6, 0x1.3c3d28830563dp-6, 0x1.33a532b008d02p-6, 0x1.2b42cc98b0036p-6, 0x1.2314dad33397bp-6, 0x1.1b1a463a276eap-6, 0x1.1351fbf588a34p-6, 0x1.0bbaed8171d53p-6, 0x1.0454108a068efp-6, 0x1.fa38be3935391p-7, 0x1.ec25aee745d11p-7, 0x1.de6cf7e6780c2p-7, 0x1.d10ca648f4cebp-7, 0x1.c402cf4ad5cf5p-7, 0x1.b74d9046a9954p-7, 0x1.aaeb0eba4cc64p-7, 0x1.9ed978516e75ap-7, 0x1.931702e75f2aep-7, 0x1.87a1ec7340b3dp-7, 0x1.7c787adb5e099p-7, 0x1.7198fbb90539ap-7, 0x1.6701c4206e8bcp-7, 0x1.5cb13081c4c37p-7, 0x1.52a5a4aeb5639p-7, 0x1.48dd8bfeb5224p-7, 0x1.3f57597c3628dp-7, 0x1.361187fd9dfb7p-7, 0x1.2d0a9a07a0e88p-7, 0x1.244119695d77cp-7, 0x1.1bb396f797488p-7, 0x1.1360a9f82c5c3p-7, 0x1.0b46efe6247b4p-7, 0x1.03650ca93083ap-7, 0x1.f7735549cde69p-8, 0x1.e886f692227d6p-8, 0x1.da026eec836b8p-8, 0x1.cbe33f13529f9p-8, 0x1.be26f60a415f5p-8, 0x1.b0cb2fbb4bab9p-8, 0x1.a3cd934ab3abdp-8, 0x1.972bd1bb77196p-8, 0x1.8ae3a56eb1b6cp-8, 0x1.7ef2d2bc48ac2p-8, 0x1.73572975ed802p-8, 0x1.680e86c016364p-8, 0x1.5d16d679ddc1ep-8, 0x1.526e13858d36p-8, 0x1.481246a34ea16p-8, 0x1.3e018416b9994p-8, 0x1.3439e8d00bfcp-8, 0x1.2ab9981401ebbp-8, 0x1.217eba8671a83p-8, 0x1.18877f09e497dp-8, 0x1.0fd21d34fa4f3p-8, 0x1.075cd86f49872p-8, 0x1.fe4c05c6e04ecp-9, 0x1.ee57fd864d3d1p-9, 0x1.deda7a3b9a09ap-9, 0x1.cfd0769067976p-9, 0x1.c136fc8e2cce3p-9, 0x1.b30b1d4b24ee2p-9, 0x1.a549ebf5e0755p-9, 0x1.97f07dad423ffp-9, 0x1.8afbee57269a9p-9, 0x1.7e6969a8dced5p-9, 0x1.7236352172c13p-9, 0x1.665fb70f5f74dp-9, 0x1.5ae378974150dp-9, 0x1.4fbf217f07217p-9, 0x1.44f06f056bcd2p-9, 0x1.3a7527e5d86c6p-9, 0x1.304b116bbcdc8p-9, 0x1.266fe91dce7e7p-9, 0x1.1ce165426aed1p-9, 0x1.139d3c4e1c96p-9, 0x1.0aa130e8e8133p-9, 0x1.01eb1e976839p-9, 0x1.f2f205d47c343p-10, 0x1.e29200b00d26fp-10, 0x1.d2b2b3daf5fcbp-10, 0x1.c350d2152ac27p-10, 0x1.b4691fd21c5b5p-10, 0x1.a5f8591bed71p-10, 0x1.97fb1fd4623f8p-10, 0x1.8a6df7fe5bb7ap-10, 0x1.7d4d54595b651p-10, 0x1.7095afe39674fp-10, 0x1.6443a9ea41ba4p-10, 0x1.58541d9eba58ep-10, 0x1.4cc42bf540c7ap-10, 0x1.4191363a88206p-10, 0x1.36b8cea06cd04p-10, 0x1.2c38a247427acp-10, 0x1.220e61cbb79a2p-10, 0x1.1837acea1904dp-10, 0x1.0eb20608783c3p-10, 0x1.057ad28b216e6p-10, 0x1.f91ed3ffb78b3p-11, 0x1.e7da602056a68p-11, 0x1.d7235e4d6bcbap-11, 0x1.c6f5511b8e77p-11, 0x1.b74c28e35d7c4p-11, 0x1.a8242a4de63c4p-11, 0x1.9979cd7d81644p-11, 0x1.8b49a4858edc4p-11, 0x1.7d904acfa11e8p-11, 0x1.704a5609c671ap-11, 0x1.63744527444cbp-11, 0x1.570a75f365483p-11, 0x1.4b092f6f814c4p-11, 0x1.3f6cc57ca5014p-11, 0x1.3431c6fce9b54p-11, 0x1.29551b179e5e2p-11, 0x1.1ed3f96a3cc42p-11, 0x1.14abc160f02e2p-11, 0x1.0ad9cd206be81p-11, 0x1.015b5fb800aa9p-11, 0x1.f05b6f39037d3p-12, 0x1.de9c5fcac15cdp-12, 0x1.cd74a0690fc52p-12, 0x1.bcdf7cc8f5e0dp-12, 0x1.acd84834103ap-12, 0x1.9d5a49abac94fp-12, 0x1.8e60e96e11b9cp-12, 0x1.7fe7f7c7eae82p-12, 0x1.71ebcc4fe804dp-12, 0x1.646917c9fb912p-12, 0x1.575c73f29371ap-12, 0x1.4ac1f768ed992p-12, 0x1.3e951f2e87e25p-12, 0x1.32d12a17781d4p-12, 0x1.2771ae77fe105p-12, 0x1.1c7303540b4cbp-12, 0x1.11d2392da134bp-12, 0x1.078cba9dc0678p-12, 0x1.fb3fe52126c46p-13, 0x1.e812828b7a549p-13, 0x1.d58c61566dc41p-13, 0x1.c3a939b0961c9p-13, 0x1.b26534aace20fp-13, 0x1.a1bc40119e647p-13, 0x1.91a94e71435f3p-13, 0x1.8225fdf866cap-13, 0x1.732af10492d3bp-13, 0x1.64b0c17962dep-13, 0x1.56b11626c57b6p-13, 0x1.49273e519869fp-13, 0x1.3c0ffea6524adp-13, 0x1.2f68ccaf452e6p-13, 0x1.232f220718033p-13, 0x1.17606325287c9p-13, 0x1.0bfa2802c1be7p-13, 0x1.00fa54c6a551fp-13, 0x1.ecbd85ad28e33p-14, 0x1.d84956685dd78p-14, 0x1.c4906af1681dap-14, 0x1.b1891ff257084p-14, 0x1.9f292fdb0f276p-14, 0x1.8d673cd07b2f2p-14, 0x1.7c3bb2052a8cdp-14, 0x1.6ba0c3967b322p-14, 0x1.5b91caa6d1d35p-14, 0x1.4c0aa50b9b828p-14, 0x1.3d07c4509bf72p-14, 0x1.2e86991f06684p-14, 0x1.20858419972e6p-14, 0x1.1303098cc3f3dp-14, 0x1.05fce209b39f1p-14, 0x1.f2df8cc715cap-15, 0x1.daaed14189a18p-15, 0x1.c35ba8e75f72p-15, 0x1.acd73a3697e59p-15, 0x1.97133d50bfddfp-15, 0x1.8205da0a84242p-15, 0x1.6daa70b06ec1bp-15, 0x1.59fec9ab69c8ep-15, 0x1.46ff196e7c4a4p-15, 0x1.34a3f05cde5f1p-15, 0x1.22e444209325bp-15, 0x1.11ba7e87a8409p-15, 0x1.0126ce22f3e9p-15, 0x1.e255e67ac9aa4p-16, 0x1.c389039ce9866p-16, 0x1.a5da632003011p-16, 0x1.893ed40f2b0d4p-16, 0x1.6dad5d39daefdp-16, 0x1.531885568b841p-16, 0x1.396d52b34d547p-16, 0x1.2099d6ffa44ffp-16, 0x1.08944b2fde5d5p-16, 0x1.e2b8fc5fe377fp-17, 0x1.b5eb99790c197p-17, 0x1.8abe654dc0f8ep-17, 0x1.6120a7263069dp-17, 0x1.38f6dc7b09e11p-17, 0x1.12284427c0324p-17, 0x1.d962efe0c7c8dp-18, 0x1.913b7a47f148dp-18, 0x1.4bd0e12f16365p-18, 0x1.08f26235c18cbp-18, 0x1.910007de9e749p-19, 0x1.14f1d778f3ebcp-19, 0x1.3b4e3fff68d37p-20, 0x1.56ee88d13b3eap-22, -0x1.0efa028622ca9p-21, -0x1.5cefe503470b6p-20, -0x1.1576e81505c0dp-19, -0x1.78b94e98c6714p-19, -0x1.d82a946bb5b98p-19, -0x1.19e54d7fd38c6p-18, -0x1.45dc06ff96be8p-18, -0x1.700c44b473e27p-18, -0x1.988cf09026788p-18, -0x1.bf78041013007p-18, -0x1.e4d1116f9cf37p-18, -0x1.044c8ab45ff0bp-17, -0x1.1575ce99cc9c3p-17, -0x1.25ebf772fbdaep-17, -0x1.35a97c5736bdbp-17, -0x1.44aeb19875cfep-17, -0x1.53035cd69cf7p-17, -0x1.60afdda9b1a61p-17, -0x1.6dbe04d814689p-17, -0x1.7a388e876ba27p-17, -0x1.86243efb0774cp-17, -0x1.917e18b5bdcbep-17, -0x1.9c44c184cf298p-17, -0x1.a67d0578066edp-17, -0x1.b02993393da71p-17, -0x1.b9497902454b8p-17, -0x1.c1e131cc7896dp-17, -0x1.c9fd85d4b4f78p-17, -0x1.d1a5aafc71a87p-17, -0x1.d8d6c6e3298fp-17, -0x1.df961826cfcdap-17, -0x1.e5e6efb03b5cep-17, -0x1.ebc4fc974b1d8p-17, -0x1.f1329b14b3cadp-17, -0x1.f6343d5e31dd6p-17, -0x1.facc20dcc113dp-17, -0x1.fefe7c824fc2bp-17, -0x1.01698333a1e2ep-16, -0x1.032693187f72ap-16, -0x1.04b4e1fad3729p-16, -0x1.06155f7072985p-16, -0x1.074a57c678036p-16, -0x1.0853275772265p-16, -0x1.09304dfb2ab9ap-16, -0x1.09e4584f82718p-16, -0x1.0a705966f3abap-16, -0x1.0ad486e590d6p-16, -0x1.0b1340c138aebp-16, -0x1.0b2d6cfeaab84p-16, -0x1.0b24389faf6a9p-16, -0x1.0af802832e7aep-16, -0x1.0aa7fe0cfb6a4p-16, -0x1.0a35d3ed2d323p-16, -0x1.09a2a67780b46p-16, -0x1.08eec2d3c14bdp-16, -0x1.081b09e73993cp-16, -0x1.07299d357edaap-16, -0x1.061b394ee96b3p-16, -0x1.04ef93ab32701p-16, -0x1.03a831b36a33ap-16, -0x1.024515dc6a05bp-16, -0x1.00c67a2d5ad9bp-16, -0x1.fe5b97fb76b11p-17, -0x1.faf8607164bfap-17, -0x1.f76466f1af115p-17, -0x1.f3a090ef19edcp-17, -0x1.efacb4cea64c2p-17, -0x1.eb8a509663229p-17, -0x1.e73cc8a24faa1p-17, -0x1.e2c57a0e89a6dp-17, -0x1.de242e6fa046p-17, -0x1.d9595fab440bep-17, -0x1.d4676b7b5df5fp-17, -0x1.cf4f7d9534d95p-17, -0x1.ca122c72dd26bp-17, -0x1.c4b03ea9bfb0bp-17, -0x1.bf2bdad418b7p-17, -0x1.b98630e27679p-17, -0x1.b3c0839af2177p-17, -0x1.addb30457b873p-17, -0x1.a7d6ab98b890bp-17, -0x1.a1b4e52b5a254p-17, -0x1.9b7719190b1d8p-17, -0x1.951e28ba906ep-17, -0x1.8eaaf6d7e3f08p-17, -0x1.881e730d4b083p-17, -0x1.8179a688e9adap-17, -0x1.7abd6da399fb9p-17, -0x1.73ea3dac6444ep-17, -0x1.6d01b4ac079dcp-17, -0x1.66052f90e46eap-17, -0x1.5ef4c9d1e8b63p-17, -0x1.57d17ab2e6a2ap-17, -0x1.509c8496ffe18p-17, -0x1.4956b902d0e51p-17, -0x1.4200bd8a2a72ep-17, -0x1.3a9b2bf690ed1p-17, -0x1.33275aff3ff23p-17, -0x1.2ba6583b99c1ap-17, -0x1.241897a193628p-17, -0x1.1c7ead2214ae4p-17, -0x1.14d9bf269301fp-17, -0x1.0d2a9968710c7p-17, -0x1.0571f45902436p-17, -0x1.fb6122be0568cp-18, -0x1.ebce674a6083cp-18, -0x1.dc2d313739808p-18, -0x1.cc7ef2f3548p-18, -0x1.bcc51dd851715p-18, -0x1.ad012d3e444e7p-18, -0x1.9d34864583076p-18, -0x1.8d606073a13e7p-18, -0x1.7d8691e381c2cp-18, -0x1.6da806279916ap-18, -0x1.5dc6270013e05p-18, -0x1.4de268bd4da04p-18, -0x1.3dfe08efaab2ap-18, -0x1.2e1a27fcc3b1fp-18, -0x1.1e37dcadae0d7p-18, -0x1.0e58d596d59cbp-18, -0x1.fcfc3926d6219p-19, -0x1.dd51428367f8dp-19, -0x1.bdb39624842a8p-19, -0x1.9e2572065ad9cp-19, -0x1.7ea8fe9ac19a4p-19, -0x1.5f4069423e0f5p-19, -0x1.3fedda0faa1bdp-19, -0x1.20b3701e48734p-19, -0x1.019340a9a4251p-19, -0x1.c51eacefd6abcp-20, -0x1.87535f5fd6e9ep-20, -0x1.49c877e1a0ce2p-20, -0x1.0c81c94320efdp-20, -0x1.9f06647d2697bp-21, -0x1.25a08211a0d83p-21, -0x1.59b20692a635fp-22, -0x1.a5b882b77f1fp-24, 0x1.0afa28575a9fdp-23, 0x1.730171935836cp-22, 0x1.2f890e4617f17p-21, 0x1.a4d1726b32341p-21, 0x1.0caa05fad0d6dp-20, 0x1.4684b8053877dp-20, 0x1.7ff687ceb40e6p-20, 0x1.b8fc276d1cd63p-20, 0x1.f192c8545034ep-20, 0x1.14dbdfeca6ac9p-19, 0x1.30b4325f609afp-19, 0x1.4c510ee9ab14fp-19, 0x1.67b1327c906f8p-19, 0x1.82d36362fdd8ep-19, 0x1.9db670f02f539p-19, 0x1.b859335f92ce5p-19, 0x1.d2ba8bdde9b04p-19, 0x1.ecd964b35e52cp-19, 0x1.035a5941e143p-18, 0x1.1025b58b5a18ap-18, 0x1.1cce2aef6a179p-18, 0x1.2953b051e7c4p-18, 0x1.35b55ed06004fp-18, 0x1.41f2e9952c109p-18, 0x1.4e0bf355fa56bp-18, 0x1.59fffec7ce3ecp-18, 0x1.65ceadc00d002p-18, 0x1.71779e1e25053p-18, 0x1.7cfa82c359546p-18, 0x1.88570411b931p-18, 0x1.938cd184753fdp-18, 0x1.9e9b9453d6ef9p-18, 0x1.a98307291f6dap-18, 0x1.b442ce7effcecp-18, 0x1.bedaa7206a71ap-18, 0x1.c94a5f38d4f6bp-18, 0x1.d391bee53b3b3p-18, 0x1.ddb08cbb1e8b5p-18, 0x1.e7a692e7b5819p-18, 0x1.f1739fd489e71p-18, 0x1.fb1785cddde29p-18, 0x1.02490d67c8bdfp-17, 0x1.06f19c25e5a95p-17, 0x1.0b855d97f722fp-17, 0x1.1004424e323c3p-17, 0x1.146e3cff25ea1p-17, 0x1.18c34145b3a89p-17, 0x1.1d03424f31b88p-17, 0x1.212e33b7ee7c1p-17, 0x1.254419ab7cd7p-17, 0x1.2944e6b36d7b5p-17, 0x1.2d3093ed482ecp-17, 0x1.31071c5d4b642p-17, 0x1.34c883ccef2ffp-17, 0x1.3874d1f6c36c5p-17, 0x1.3c0bfb07048e6p-17, 0x1.3f8e0346e589bp-17, 0x1.42faf19ee611fp-17, 0x1.4652cb73a9a9p-17, 0x1.499597525ca29p-17, 0x1.4cc35d28ddcbp-17, 0x1.4fdc2637a8c91p-17, 0x1.52dffd03ff7a5p-17, 0x1.55ceed514e2e3p-17, 0x1.58a9041cd7b13p-17, 0x1.5b6e4f91812bbp-17, 0x1.5e1edef88c499p-17, 0x1.60bac2b45dd6bp-17, 0x1.63420c41aaf26p-17, 0x1.65b4ce2e92991p-17, 0x1.68131c168e92cp-17, 0x1.6a5d0ac416546p-17, 0x1.6c92b050e3aefp-17, 0x1.6eb423801626fp-17, 0x1.70c17b6f78721p-17, 0x1.72bacdf39bd44p-17, 0x1.74a039ca15e61p-17, 0x1.7671d9c40f0cbp-17, 0x1.782fc3b8a8456p-17, 0x1.79da116660289p-17, 0x1.7b70ec2514029p-17, 0x1.7cf46ae73e503p-17, 0x1.7e64a83b3f141p-17, 0x1.7fc1c7086fe4bp-17, 0x1.810be76db39adp-17, 0x1.82432a092cdb5p-17, 0x1.8367b0402bb02p-17, 0x1.84799c2c9f7ecp-17, 0x1.85791089a99e4p-17, 0x1.86663098471b3p-17, 0x1.87411fbd04c3cp-17, 0x1.880a01f825a91p-17, 0x1.88c0fc483fc74p-17, 0x1.896638cdffbefp-17, 0x1.89f9dfc8bb61ap-17, 0x1.8a7c185098436p-17, 0x1.8aed0530cffbfp-17, 0x1.8b4cc32e58ba2p-17, 0x1.8b9b7e9be8d72p-17, 0x1.8bd967d1f79dep-17, }}, 
      {{0x1.142464022fc67p-6, 0x1.1f89a467e11cap-3, 0x1.339f79ee8a43ep-2, 0x1.e471add82e5e7p-2, 0x1.4930b817a99b6p-1, 0x1.99cc69c360f28p-1, 0x1.e13c49f3c333bp-1, 0x1.0f132123d050fp+0, 0x1.2816ef1671863p+0, 0x1.3bceddfd5ce22p+0, 0x1.4a94b6ae56b7ap+0, 0x1.54e0a19e7f7cep+0, 0x1.5b39a28900344p+0, 0x1.5e2aea21c2b56p+0, 0x1.5e3cb1672db48p+0, 0x1.5befa6e2199f9p+0, 0x1.57ba34fa3dc6ep+0, 0x1.520717fcc1f72p+0, 0x1.4b34dd756f208p+0, 0x1.439601cc1578ep+0, 0x1.3b717502cc54ap+0, 0x1.33035ec280b52p+0, 0x1.2a7e0552f3dbep+0, 0x1.220ac3afda033p+0, 0x1.19cb014b7840cp+0, 0x1.11d922a91856dp+0, 0x1.0a496d297d747p+0, 0x1.032adab063a37p+0, 0x1.f90fb6ab420d2p-1, 0x1.ecce092056cc1p-1, 0x1.e1975c3186842p-1, 0x1.d76cfabf99b72p-1, 0x1.ce4bc174cfb73p-1, 0x1.c62cf7113ebfap-1, 0x1.bf070938e4bf1p-1, 0x1.b8ce304c7afa1p-1, 0x1.b374fcafc8aa5p-1, 0x1.aeeccfcee8f3dp-1, 0x1.ab2643050166p-1, 0x1.a8117e6d22ea7p-1, 0x1.a59e81751fd89p-1, 0x1.a3bd5ee5e550cp-1, 0x1.a25e6df4dc162p-1, 0x1.a17271b78b6d3p-1, 0x1.a0eab84c32ce4p-1, 0x1.a0b932e259242p-1, 0x1.a0d08784d3729p-1, 0x1.a1241da1d5a7ap-1, 0x1.a1a826417b97bp-1, 0x1.a251a040558e3p-1, 0x1.a31659a42a75p-1, 0x1.a3ecee38777ep-1, 0x1.a4ccc4068bbcbp-1, 0x1.a5ae0652ade17p-1, 0x1.a6899ee2d1d4p-1, 0x1.a7592eb765c82p-1, 0x1.a81705928787fp-1, 0x1.a8be195786839p-1, 0x1.a949fcdb7f5efp-1, 0x1.a9b6d6aaaf4c9p-1, 0x1.aa0157bcdc6e6p-1, 0x1.aa26b23dddddap-1, 0x1.aa249084c5187p-1, 0x1.a9f90c4306358p-1, 0x1.a9a2a5fd12664p-1, 0x1.a9203cd08a084p-1, 0x1.a8710691b4c9bp-1, 0x1.a794883fd063fp-1, 0x1.a68a8ed4e06edp-1, 0x1.a553287072567p-1, 0x1.a3ee9dd97d9d4p-1, 0x1.a25d6c60bc3f5p-1, 0x1.a0a04019e6a48p-1, 0x1.9eb7ee72e1a23p-1, 0x1.9ca571292ecedp-1, 0x1.9a69e19684907p-1, 0x1.980674536ba0fp-1, 0x1.957c752e0aff4p-1, 0x1.92cd436d71f62p-1, 0x1.8ffa4e5f6d0a4p-1, 0x1.8d05122f65dc3p-1, 0x1.89ef15031757dp-1, 0x1.86b9e45b23e36p-1, 0x1.836712b1413cap-1, 0x1.7ff835532fb36p-1, 0x1.7c6ee270b9c9ep-1, 0x1.78ccaf5b97c2dp-1, 0x1.75132ef3891dcp-1, 0x1.7143f03bfd645p-1, 0x1.6d607d1b9b012p-1, 0x1.696a594159f02p-1, 0x1.6563012fd6533p-1, 0x1.614be96b8ba39p-1, 0x1.5d267dc9c66d7p-1, 0x1.58f420dc6b816p-1, 0x1.54b62b76681b2p-1, 0x1.506dec47407b1p-1, 0x1.4c1ca7884383fp-1, 0x1.47c396bbafe26p-1, 0x1.4363e87c5aa08p-1, 0x1.3efec05c2580dp-1, 0x1.3a9536d22b942p-1, 0x1.36285936318b5p-1, 0x1.31b929ca1a66bp-1, 0x1.2d489fce1bc85p-1, 0x1.28d7a7a0088e7p-1, 0x1.246722e22073ap-1, 0x1.1ff7e8a7f5b19p-1, 0x1.1b8ac5aa2400ep-1, 0x1.17207c7c0cceap-1, 0x1.12b9c5c585adbp-1, 0x1.0e57507f95a19p-1, 0x1.09f9c23276c4ap-1, 0x1.05a1b736265c5p-1, 0x1.014fc2f54395dp-1, 0x1.fa08e063279f6p-2, 0x1.f1808291f19a2p-2, 0x1.e90760fb59785p-2, 0x1.e09e607a41302p-2, 0x1.d84656cf92b58p-2, 0x1.d0000b33a90b4p-2, 0x1.c7cc36e1fe93fp-2, 0x1.bfab85a64cd2dp-2, 0x1.b79e96664f094p-2, 0x1.afa5fba6833d7p-2, 0x1.a7c23c0e1c1a6p-2, 0x1.9ff3d2e6ff43bp-2, 0x1.983b309874aap-2, 0x1.9098bb210ff5dp-2, 0x1.890cce8c339b6p-2, 0x1.8197bd63bf2bp-2, 0x1.7a39d11eb24cp-2, 0x1.72f34a8e332ep-2, 0x1.6bc462468fd5bp-2, 0x1.64ad4902b115bp-2, 0x1.5dae280828c79p-2, 0x1.56c721874882bp-2, 0x1.4ff850f5260dfp-2, 0x1.4941cb639e202p-2, 0x1.42a39fd921088p-2, 0x1.3c1dd7a3b67b4p-2, 0x1.35b076a22e208p-2, 0x1.2f5b7b96259cep-2, 0x1.291ee0696f5b2p-2, 0x1.22fa9a75eabd5p-2, 0x1.1cee9ac534fd1p-2, 0x1.16face52f53bcp-2, 0x1.111f1e4916bd9p-2, 0x1.0b5b703c516dcp-2, 0x1.05afa6612c0b2p-2, 0x1.001b9fc1febbdp-2, 0x1.f53e70e8c9df1p-3, 0x1.ea74939227774p-3, 0x1.dfd954f4fdfc8p-3, 0x1.d56c5dafccdd5p-3, 0x1.cb2d51e1ad935p-3, 0x1.c11bd18389d02p-3, 0x1.b73778a91324bp-3, 0x1.ad7fdfd2191d9p-3, 0x1.a3f49c2e1823ep-3, 0x1.9a953fdfb5e55p-3, 0x1.91615a432f8f1p-3, 0x1.8858781ccfe23p-3, 0x1.7f7a23dff3d7fp-3, 0x1.76c5e5deda65bp-3, 0x1.6e3b4485a6048p-3, 0x1.65d9c4817e903p-3, 0x1.5da0e8f99745ep-3, 0x1.559033b25a72bp-3, 0x1.4da7254664e46p-3, 0x1.45e53d41b39fp-3, 0x1.3e49fa4ca6cfep-3, 0x1.36d4da507e6p-3, 0x1.2f855a9573547p-3, 0x1.285af7ef3ea9cp-3, 0x1.21552ece62a4ap-3, 0x1.1a737b6aba8a3p-3, 0x1.13b559d16b334p-3, 0x1.0d1a4606d3d41p-3, 0x1.06a1bc20e34fep-3, 0x1.004b38616bc9cp-3, 0x1.f42c6e8192dd1p-4, 0x1.e8046b1eb3b43p-4, 0x1.dc1d60fc950ebp-4, 0x1.d0764b80bb4bbp-4, 0x1.c50e27223f0aep-4, 0x1.b9e3f191721bp-4, 0x1.aef6a9d6ef24ep-4, 0x1.a445507178fe4p-4, 0x1.99cee77635662p-4, 0x1.8f9272a3505eap-4, 0x1.858ef781d1b0dp-4, 0x1.7bc37d760c9f4p-4, 0x1.722f0dd66f731p-4, 0x1.68d0b40416191p-4, 0x1.5fa77d744309dp-4, 0x1.56b279cc3966ap-4, 0x1.4df0baedf9affp-4, 0x1.456155058103dp-4, 0x1.3d035e9717cfcp-4, 0x1.34d5f08ef9507p-4, 0x1.2cd82643eb7fdp-4, 0x1.25091d93fde4ap-4, 0x1.1d67f6db77674p-4, 0x1.15f3d50b3d056p-4, 0x1.0eabddaa8187fp-4, 0x1.078f38d9ab603p-4, 0x1.009d1160a32c3p-4, 0x1.f3a9296543ef7p-5, 0x1.e669e5e885f56p-5, 0x1.d97abdf6f0532p-5, 0x1.ccda1ca21a791p-5, 0x1.c0867279fed64p-5, 0x1.b47e3584994d3p-5, 0x1.a8bfe131bc54ep-5, 0x1.9d49f6836c825p-5, 0x1.921afbe44a188p-5, 0x1.87317d59b22dfp-5, 0x1.7c8c0c52f9da6p-5, 0x1.72293fb9bc228p-5, 0x1.6807b3f1cbe57p-5, 0x1.5e260ad36335ep-5, 0x1.5482eba822ecfp-5, 0x1.4b1d03264606cp-5, 0x1.41f303697995bp-5, 0x1.3903a3ead5a39p-5, 0x1.304da17b382c7p-5, 0x1.27cfbe3e0ffb5p-5, 0x1.1f88c19160fe5p-5, 0x1.17777824dec4ap-5, 0x1.0f9ab3d2e85abp-5, 0x1.07f14ba489ea8p-5, 0x1.007a1bcd69297p-5, 0x1.f2680b0fbc446p-6, 0x1.e43bde3ebf2ccp-6, 0x1.d66d87c519eeep-6, 0x1.c8fae82b031c7p-6, 0x1.bbe1e9c98a85cp-6, 0x1.af2080b067c9fp-6, 0x1.a2b4aa8cd501ap-6, 0x1.969c6e9144f68p-6, 0x1.8ad5dd5c5236bp-6, 0x1.7f5f10dedc74ap-6, 0x1.74362c44baaa5p-6, 0x1.69595bd34faaep-6, 0x1.5ec6d4b54a719p-6, 0x1.547cd51f325c6p-6, 0x1.4a79a3e70a452p-6, 0x1.40bb90a50b5p-6, 0x1.3740f38820d84p-6, 0x1.2e082d15d2ab1p-6, 0x1.250fa62f7b38cp-6, 0x1.1c55cfef4ddcbp-6, 0x1.13d92388af33p-6, 0x1.0b98222b94e55p-6, 0x1.039154e77919p-6, 0x1.f786991b56a09p-7, 0x1.e859432716f5ep-7, 0x1.d997e7ea9de64p-7, 0x1.cb3fd632965b4p-7, 0x1.bd4e6b67024e7p-7, 0x1.afc1135160fb6p-7, 0x1.a29547e586ae3p-7, 0x1.95c8910cd3267p-7, 0x1.895884406973dp-7, 0x1.7d42c47aa5748p-7, 0x1.7185021c66cdep-7, 0x1.661cfa4c1a657p-7, 0x1.5b0877629736ep-7, 0x1.5045502841ed3p-7, 0x1.45d167b4d9e3dp-7, 0x1.3baaad50c0e1ep-7, 0x1.31cf1c2dd10dfp-7, 0x1.283cbb31c0ea5p-7, 0x1.1ef19ccad8413p-7, 0x1.15ebdec74c43cp-7, 0x1.0d29aa2881327p-7, 0x1.04a932ecaa04bp-7, 0x1.f8d16f9be992cp-8, 0x1.e8cd03f8138adp-8, 0x1.d941c9b24d4ffp-8, 0x1.ca2c7b87f9eep-8, 0x1.bb89e7e5dd9bp-8, 0x1.ad56f0ba9e47dp-8, 0x1.9f908b526036p-8, 0x1.9233c026bdbc3p-8, 0x1.853daa6b6158ep-8, 0x1.78ab772ef6deap-8, 0x1.6c7a655010d64p-8, 0x1.60a7c447f92b8p-8, 0x1.5530f3bc68acp-8, 0x1.4a1363ee39edfp-8, 0x1.3f4c94d2f8a94p-8, 0x1.34da16a3ae47cp-8, 0x1.2ab98a057d9c1p-8, 0x1.20e89fbe3cbc4p-8, 0x1.1765181e65dd7p-8, 0x1.0e2cc222b5531p-8, 0x1.053d7a7b7a1c9p-8, 0x1.f92a557aecf71p-9, 0x1.e86391ef75487p-9, 0x1.d822af8cdffb1p-9, 0x1.c863cd94679a5p-9, 0x1.b92326810cb0dp-9, 0x1.aa5d10cbb509p-9, 0x1.9c0dfeaeffaddp-9, 0x1.8e327cae90c61p-9, 0x1.80c72f1b7f888p-9, 0x1.73c8cf3cdc415p-9, 0x1.673428f67a5e2p-9, 0x1.5b0619b0b3364p-9, 0x1.4f3b90e2b6785p-9, 0x1.43d191e68ecd2p-9, 0x1.38c535ed8b4c9p-9, 0x1.2e13aeabcfeb6p-9, 0x1.23ba4707cc622p-9, 0x1.19b660d31e2dp-9, 0x1.100573ae1c279p-9, 0x1.06a507a9bc93p-9, 0x1.fb2562f9e6f7p-10, 0x1.e998214a452f3p-10, 0x1.d89d9d779bc06p-10, 0x1.c831446470ce5p-10, 0x1.b84ea3157b10bp-10, 0x1.a8f16cec0f719p-10, 0x1.9a1581f45c996p-10, 0x1.8bb6effa6a5c7p-10, 0x1.7dd1eeff11c33p-10, 0x1.7062d7dcc0305p-10, 0x1.63661a252a0b5p-10, 0x1.56d832cb21303p-10, 0x1.4ab5a6a527bd4p-10, 0x1.3efb02a63650ep-10, 0x1.33a4e1c0cf08ap-10, 0x1.28aff6738570ep-10, 0x1.1e1914b7c04e9p-10, 0x1.13dd38fb76c2dp-10, 0x1.09f989e3794d3p-10, 0x1.006b543c4e294p-10, 0x1.ee60044e3365dp-11, 0x1.dc8a1f8eaa75cp-11, 0x1.cb5000e47797ap-11, 0x1.baacaec173d8p-11, 0x1.aa9b2b2aa86c6p-11, 0x1.9b167da2fecdap-11, 0x1.8c19c99ebbc4p-11, 0x1.7da0603bd006dp-11, 0x1.6fa5d5c1a0448p-11, 0x1.622608d68827bp-11, 0x1.551d19e02d4acp-11, 0x1.48876080ae02bp-11, 0x1.3c615a070ffc9p-11, 0x1.30a795f437d0ep-11, 0x1.2556a55044f8dp-11, 0x1.1a6b107334892p-11, 0x1.0fe156fe32479p-11, 0x1.05b5fb761cd45p-11, 0x1.f7cb2e33f77d3p-12, 0x1.e4d9dc02477adp-12, 0x1.d291f5d499759p-12, 0x1.c0eddd643edb8p-12, 0x1.afe84c8417c1p-12, 0x1.9f7c3bc4f40bp-12, 0x1.8fa4cea1d11b5p-12, 0x1.805d45f5c4272p-12, 0x1.71a0f328247dbp-12, 0x1.636b29f40a07ep-12, 0x1.55b737b9e43e4p-12, 0x1.48806b0e88f3ep-12, 0x1.3bc22e542ab3fp-12, 0x1.2f78299b3875ap-12, 0x1.239e5740353c3p-12, 0x1.1830fccf4ece8p-12, 0x1.0d2c8c33d03f3p-12, 0x1.028d82b08861ep-12, 0x1.f0a0b95477b69p-13, 0x1.dce3475fdc887p-13, 0x1.c9dc0d955ffe4p-13, 0x1.b784c44245654p-13, 0x1.a5d768cc946e4p-13, 0x1.94ce1b52a0decp-13, 0x1.846303c111926p-13, 0x1.74907f5e308dcp-13, 0x1.65515248f2607p-13, 0x1.56a0aee03a3ecp-13, 0x1.487a19e72fdc5p-13, 0x1.3ad91a60ccf22p-13, 0x1.2db8ebc35deddp-13, 0x1.2114705a0e765p-13, 0x1.14e674ee648f2p-13, 0x1.092a1b4a9fce8p-13, 0x1.fbb643f4f4fb2p-14, 0x1.e5ebb72c770b2p-14, 0x1.d0edd21950878p-14, 0x1.bcb5f474df9bdp-14, 0x1.a93d8d91837b2p-14, 0x1.967e6521a749cp-14, 0x1.8472d08e03522p-14, 0x1.73158adb1e195p-14, 0x1.62613a0e4463dp-14, 0x1.524fea138c27ap-14, 0x1.42dad229359d2p-14, 0x1.33fa9667a553p-14, 0x1.25a7f26443d14p-14, 0x1.17dc77511600ap-14, 0x1.0a92f280b705dp-14, 0x1.fb8e8a40cb9adp-15, 0x1.e2ebb4e3e2ac9p-15, 0x1.cb36628e07bafp-15, 0x1.b46796bb84452p-15, 0x1.9e78bce1dce0fp-15, 0x1.8963c6f6414d1p-15, 0x1.7522b44578cep-15, 0x1.61aec62ff2adcp-15, 0x1.4effeb72bae2p-15, 0x1.3d0ce64dbb7dcp-15, 0x1.2bcc3065f5372p-15, 0x1.1b34fd9c993c5p-15, 0x1.0b3fc38bfb39ep-15, 0x1.f7cc835ac2c4ep-16, 0x1.da4643b566878p-16, 0x1.bde2d128adf5cp-16, 0x1.a299545dee895p-16, 0x1.88627e80a4f1p-16, 0x1.6f3827bda3a05p-16, 0x1.57144462d90ebp-16, 0x1.3ff02666a08b5p-16, 0x1.29c43a99315acp-16, 0x1.148738f7aa70cp-16, 0x1.002e010cac8dap-16, 0x1.d957d49e01362p-17, 0x1.b3e988a2f8ef6p-17, 0x1.8ffea88695b3ap-17, 0x1.6d8b8ae3974c5p-17, 0x1.4c87b6d0d65cbp-17, 0x1.2ce8e37309a31p-17, 0x1.0ea06d58d9a88p-17, 0x1.e33be9794e07ap-18, 0x1.abab65099f1c1p-18, 0x1.76867b0fc280ap-18, 0x1.43c8619477358p-18, 0x1.13621e1e1c772p-18, 0x1.ca76efcc16d0bp-19, 0x1.727c6c0a3f841p-19, 0x1.1eae3ff2ba2acp-19, 0x1.9db764931834cp-20, 0x1.058f0f18465d1p-20, 0x1.d1bf6bf2cc462p-22, -0x1.5f0e7ad18b18ep-24, -0x1.335d14b7058cfp-21, -0x1.16d2ad2fa7419p-20, -0x1.8d7bbd8d6c76ap-20, -0x1.fdeb09dab5d88p-20, -0x1.343d75807081bp-19, -0x1.66bed46f3b5ecp-19, -0x1.96886e7ecb281p-19, -0x1.c39745c197d2p-19, -0x1.edfb70a50f334p-19, -0x1.0aee275481a49p-18, -0x1.1dab5fd505c7p-18, -0x1.2f3a61043d16fp-18, -0x1.3fa2913c66504p-18, -0x1.4ef207825b573p-18, -0x1.5d39a0c39dbbp-18, -0x1.6a8893a714b43p-18, -0x1.76e8a5f36c287p-18, -0x1.825db808975ccp-18, -0x1.8ce853d93fe1p-18, -0x1.968b986516d35p-18, -0x1.9f4fd53ad4f4dp-18, -0x1.a73e4c92e05d8p-18, -0x1.ae61245dcfcfep-18, -0x1.b4c335da8710bp-18, -0x1.ba68a97c96c32p-18, -0x1.bf54d58625103p-18, -0x1.c392c44f851f3p-18, -0x1.c729d24033c45p-18, -0x1.ca19939885507p-18, -0x1.cc64f5f70741dp-18, -0x1.ce132e42cd8f7p-18, -0x1.cf2bb9e7dd18dp-18, -0x1.cfb6dc3d06929p-18, -0x1.cfbd4fa2a351ap-18, -0x1.cf443ed58bf27p-18, -0x1.ce4c3694df1cfp-18, -0x1.ccd6a653ea85dp-18, -0x1.cae886e87da72p-18, -0x1.c8858b99871edp-18, -0x1.c5af4251bbac7p-18, -0x1.c26a595cf9606p-18, -0x1.bec047f53f611p-18, -0x1.bab72c7c886d7p-18, -0x1.b64f2959c1b02p-18, -0x1.b18d2732d013p-18, -0x1.ac74e9e114185p-18, -0x1.a7058f2574a47p-18, -0x1.a1421ae6419cep-18, -0x1.9b2ed0dcbc759p-18, -0x1.94ce9ebefab07p-18, -0x1.8e259bd0570dep-18, -0x1.8739f221fd661p-18, -0x1.800f1fae34678p-18, -0x1.78a4a2f0a7d1p-18, -0x1.70fcf80f088e3p-18, -0x1.691c3df3c68dp-18, -0x1.6102f8aceb1fep-18, -0x1.58b3064af2028p-18, -0x1.5030c17d6b21p-18, -0x1.477eb27a35d1cp-18, -0x1.3e9e38d146544p-18, -0x1.35935784ce82ep-18, -0x1.2c603e2f38b56p-18, -0x1.2307751d3f9f8p-18, -0x1.198a8a37c152dp-18, -0x1.0fe983540cacfp-18, -0x1.06275ddc8fe3fp-18, -0x1.f88d4243c5913p-19, -0x1.e491256baf4d3p-19, -0x1.d05d620fe111bp-19, -0x1.bbf97f900918dp-19, -0x1.a7698947825fap-19, -0x1.92ae3c1d895ecp-19, -0x1.7dcd1ab513ddep-19, -0x1.68c74d9c45d0cp-19, -0x1.539e7b68abfb5p-19, -0x1.3e5a13b46b4dcp-19, -0x1.28fb9e14887cp-19, -0x1.1386a54469c12p-19, -0x1.fbfca31f66275p-20, -0x1.d0c5c9fda1a5fp-20, -0x1.a56eca987ed96p-20, -0x1.7a03cb2fd033ap-20, -0x1.4e8b0a4086d0fp-20, -0x1.2305508057e1p-20, -0x1.eeea0f9a76166p-21, -0x1.97c65a3d4a358p-21, -0x1.40a98f6a071c9p-21, -0x1.d3329c72bfe49p-22, -0x1.2538b80feff58p-22, -0x1.de1bac5eeea84p-24, 0x1.ae7db82991e1ap-25, 0x1.c56e79e43203bp-23, 0x1.8f292aed288c4p-22, 0x1.1d8ef78c23c46p-21, 0x1.733c2ba6757f4p-21, 0x1.c892c64ac173p-21, 0x1.0ec600f50962p-20, 0x1.39109acd5573fp-20, 0x1.6325c874f2d57p-20, 0x1.8d01c495d8583p-20, 0x1.b6a187396fa1fp-20, 0x1.e00409c16b359p-20, 0x1.049187418f5bcp-19, 0x1.18fc7ff171c26p-19, 0x1.2d436a1c15ec4p-19, 0x1.4164bd365238ap-19, 0x1.555dfa9553752p-19, 0x1.692ddd968971ap-19, 0x1.7cd3b653ae7f5p-19, 0x1.904efe74034b4p-19, 0x1.a39ce88d279f9p-19, 0x1.b6bb89c8c39e6p-19, 0x1.c9aad369fbefap-19, 0x1.dc6a55cc81f4fp-19, 0x1.eef7df2617699p-19, 0x1.00a92cfab1ecbp-18, 0x1.09bc79fbbe8e9p-18, 0x1.12b565cd98a64p-18, 0x1.1b9374743a72fp-18, 0x1.24560c8d0f77bp-18, 0x1.2cfcb1e725afp-18, 0x1.3586f53815f63p-18, 0x1.3df44840df7b3p-18, 0x1.4644ba27e8e0cp-18, 0x1.4e783e3dd696dp-18, 0x1.568d9c22cf7cdp-18, 0x1.5e84e274f76a7p-18, 0x1.665da9a1d2096p-18, 0x1.6e1770e0a32d3p-18, 0x1.75b1fe6edbe7ep-18, 0x1.7d2d419f1618dp-18, 0x1.84893342e8d0cp-18, 0x1.8bc4df109611cp-18, 0x1.92e04834d739ep-18, 0x1.99db958594fbap-18, 0x1.a0b6325101699p-18, 0x1.a76ff45b6326ep-18, 0x1.ae08bda070688p-18, 0x1.b48067f74ea56p-18, 0x1.bad6cca639c65p-18, 0x1.c10bc6f458cc7p-18, 0x1.c71f34ec5180ap-18, 0x1.cd10f7f0a6025p-18, 0x1.d2e0f6f76bd73p-18, 0x1.d88f20e214dap-18, 0x1.de1b640c0c87ap-18, 0x1.e385a0b52c4fp-18, 0x1.e8cdd7fb38cdep-18, 0x1.edf406949fe62p-18, 0x1.f2f81d35b312ap-18, 0x1.f7da1c6d14ca7p-18, 0x1.fc99ea6a65efdp-18, 0x1.009bc8cb08f72p-17, 0x1.02d9957e1c86p-17, 0x1.05066c2ea7ee3p-17, 0x1.07222531013b6p-17, 0x1.092cf51f5db8ep-17, 0x1.0b26c7d766f4p-17, 0x1.0d0fa6d281c1fp-17, 0x1.0ee7a12466e27p-17, 0x1.10aec27818837p-17, 0x1.126516cd57c79p-17, 0x1.140aab52eb46fp-17, 0x1.159f8e4d62a9cp-17, 0x1.1723cef60ed8p-17, 0x1.18977d6f0e8d5p-17, 0x1.19faaac08ae3p-17, 0x1.1b4d68ed5ce17p-17, 0x1.1c8fcbfdefa16p-17, 0x1.1dc1ee2af3ce3p-17, 0x1.1ee3fcb91b3c7p-17, 0x1.1ff5ad4fe5919p-17, 0x1.20f7724731e31p-17, 0x1.21e959ce6d9ebp-17, 0x1.22cb6ad45ea2p-17, 0x1.239dbefe69919p-17, 0x1.246074805d20cp-17, 0x1.2513a8d77799ap-17, 0x1.25b7823c3aee7p-17, 0x1.264c0b17adc12p-17, 0x1.26d15921ae0dep-17, 0x1.27478033ff3c8p-17, 0x1.27aea7344979ep-17, 0x1.280718470693ep-17, 0x1.2850f22be1383p-17, 0x1.288c398b1df31p-17, 0x1.28b907627eefp-17, 0x1.28d77ff3a8ebbp-17, 0x1.28e7c85a16c08p-17, 0x1.28ea04bde76dp-17, 0x1.28de58c9fe5d3p-17, 0x1.28c4e828b2551p-17, 0x1.289dd6c16f9a5p-17, 0x1.286948e01330ep-17, 0x1.2827639ceb8fap-17, 0x1.27d84cd56bbd4p-17, 0x1.277c29c7f4447p-17, 0x1.27131dc0af504p-17, 0x1.269d5052f2e4fp-17, 0x1.261aee52abd45p-17, 0x1.258c1635636bcp-17, 0x1.24f0f1df5f501p-17, 0x1.2449a61c2c958p-17, 0x1.23965db34fdb5p-17, 0x1.22d74806083cfp-17, 0x1.220c81a5e9cc1p-17, 0x1.21363453f4c8fp-17, 0x1.20548b17c7ee9p-17, 0x1.1f67ae9a0c937p-17, 0x1.1e6fc783c58cdp-17, 0x1.1d6cfeb1fb3a4p-17, 0x1.1c5f7d2ca4c87p-17, 0x1.1b476c1cc3f16p-17, 0x1.1a24f4c967e14p-17, 0x1.18f8409134768p-17, 0x1.17c178e29d77fp-17, 0x1.1680c733d5b2cp-17, 0x1.15365501e9faep-17, 0x1.13e24bd1b5baep-17, 0x1.1284d52ad0307p-17, 0x1.111e1a950c8cbp-17, 0x1.0fae45b0a4197p-17, 0x1.0e358044d4c06p-17, 0x1.0cb3f3da2568cp-17, 0x1.0b29c99279769p-17, 0x1.099729285fde2p-17, 0x1.07fc3f29387e9p-17, 0x1.06593514e83dcp-17, 0x1.04ae30c3f6b63p-17, 0x1.02fb5a3c4df99p-17, 0x1.0140e1491d4f8p-17, 0x1.fefdd5f187f6cp-18, 0x1.fb6b3b99cd083p-18, 0x1.f7ca48cbd48p-18, 0x1.f41b4e851ad52p-18, 0x1.f05e9d300c6b5p-18, 0x1.ec9484f55c7d6p-18, 0x1.e8bd55b74b1f7p-18, 0x1.e4d95f330c2d3p-18, 0x1.e0e8f1e1fcdb7p-18, 0x1.dcec5e39d9fb5p-18, 0x1.d8e3fd40b1e88p-18, 0x1.d4d0118efd343p-18, 0x1.d0b0da1ebb273p-18, 0x1.cc8695e5591d1p-18, 0x1.c8518fabc3d16p-18, 0x1.c4122cfe9e59p-18, 0x1.bfc8f7cae82d9p-18, 0x1.bb7623f159f1fp-18, 0x1.b719d08c4479bp-18, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.597eaabc17b26p-1, -0x1.59a7263b84a8dp-1, -0x1.59e841660ecdcp-1, -0x1.5a3e9aada0029p-1, -0x1.5aa5be746680ap-1, -0x1.5b185c9370e4cp-1, -0x1.5b907e96fb86bp-1, -0x1.5c07bb9ea31c3p-1, -0x1.5c7768042e619p-1, -0x1.5cd8bfc54bc4cp-1, -0x1.5d250b432784cp-1, -0x1.5d55be4ffa6c9p-1, -0x1.5d6491c44b0b1p-1, -0x1.5d4b97fdba093p-1, -0x1.5d054cbf5360bp-1, -0x1.5c8ca0f50dd47p-1, -0x1.5bdd02dd63182p-1, -0x1.5af26317a898ap-1, -0x1.59c9370e1afd1p-1, -0x1.585e7928e653cp-1, -0x1.56afa72cde244p-1, -0x1.54babf1dc6479p-1, -0x1.527e3af18175bp-1, -0x1.4ff90b5770ad4p-1, -0x1.4d2a91ce0abep-1, -0x1.4a129a383b719p-1, -0x1.46b1541c79842p-1, -0x1.43074bb0c3491p-1, -0x1.3f1562d0bc279p-1, -0x1.3adcc9f5ec54fp-1, -0x1.365ef945abcfbp-1, -0x1.319da9c45b467p-1, -0x1.2c9aceba40b54p-1, -0x1.27588f53899bap-1, -0x1.21d940829e511p-1, -0x1.1c1f5f29e667cp-1, -0x1.162d8a90814c4p-1, -0x1.10067f240b41p-1, -0x1.09ad11886ffebp-1, -0x1.032429f5d008ep-1, -0x1.f8dd7fc79ec5dp-2, -0x1.eb1fac01f51d6p-2, -0x1.dd14ece8fa1c2p-2, -0x1.cec35ed010f71p-2, -0x1.c0311faeeb88ep-2, -0x1.b164494708e99p-2, -0x1.a262ebc9d514p-2, -0x1.933308f99e937p-2, -0x1.83da8fbf87cf9p-2, -0x1.745f583077aefp-2, -0x1.64c71ffb26cb4p-2, -0x1.551787395f67ep-2, -0x1.45560d9eaf437p-2, -0x1.35880ffede269p-2, -0x1.25b2c626a95fdp-2, -0x1.15db4101686c1p-2, -0x1.06066906704dcp-2, -0x1.ec71f9d2798ep-3, -0x1.ccef210f2c569p-3, -0x1.ad8d18223e87cp-3, -0x1.8e5456c7dc57fp-3, -0x1.6f4cfb3408989p-3, -0x1.507ec9875daa6p-3, -0x1.31f12b9625669p-3, -0x1.13ab30fa9ee1dp-3, -0x1.eb671ed797fc8p-4, -0x1.b02146a4c02b9p-4, -0x1.7590e12bdb56dp-4, -0x1.3bc1473965ea7p-4, -0x1.02bd24f18bfabp-4, -0x1.951cf8f70881bp-5, -0x1.267d51e970ebbp-5, -0x1.7359868cf408bp-6, -0x1.3aedeafcfdbc8p-7, 0x1.a4793a28f2edep-9, 0x1.029d4bed8414bp-6, 0x1.cc9a49561b09cp-6, 0x1.49379a7d6d76bp-5, 0x1.aa03ac47501bp-5, 0x1.04540851adb62p-4, 0x1.328e43bb7c6a3p-4, 0x1.5face8b3f5848p-4, 0x1.8bacd3a2c3e31p-4, 0x1.b68b58b646cdap-4, 0x1.e0463f95ec379p-4, 0x1.046ddf8beda6ep-3, 0x1.18253c7e3f0bcp-3, 0x1.2b48bad92513fp-3, 0x1.3dd81011e6f76p-3, 0x1.4fd320c9003ep-3, 0x1.6139febe2b5ep-3, 0x1.720ce6cc206fap-3, 0x1.824c3eeca3a75p-3, 0x1.91f89445791efp-3, 0x1.a112993ebe5a3p-3, 0x1.af9b23a31779ap-3, 0x1.bd932aca10de6p-3, 0x1.cafbc5ccfe406p-3, 0x1.d7d629c69cb45p-3, 0x1.e423a81db4525p-3, 0x1.efe5acdad13e5p-3, 0x1.fb1dbd094a99dp-3, 0x1.02e6ba91cc20dp-2, 0x1.07fb43c58b806p-2, 0x1.0ccd5d859855cp-2, 0x1.115df4b3fbfbap-2, 0x1.15adfefc0f466p-2, 0x1.19be7a25238bbp-2, 0x1.1d906b6acce7ep-2, 0x1.2124dedabfad6p-2, 0x1.247ce6b83751fp-2, 0x1.27999ae4d7e52p-2, 0x1.2a7c184ef250fp-2, 0x1.2d2580651e31ap-2, 0x1.2f96f88f157bap-2, 0x1.31d1a9abb71a2p-2, 0x1.33d6bf941ef01p-2, 0x1.35a768a3bccc5p-2, 0x1.3744d5454d4b4p-2, 0x1.38b037849f87ep-2, 0x1.39eac2a50fde6p-2, 0x1.3af5aabc9965ep-2, 0x1.3bd224536977p-2, 0x1.3c816407d6747p-2, 0x1.3d049e36a2174p-2, 0x1.3d5d06a76cda6p-2, 0x1.3d8bd03d3d0e5p-2, 0x1.3d922cab0396fp-2, 0x1.3d714c2bfd589p-2, 0x1.3d2a5d3fdd87bp-2, 0x1.3cbe8c6aa213cp-2, 0x1.3c2f03f7f596p-2, 0x1.3b7cebc20e7ebp-2, 0x1.3aa968fbe3eacp-2, 0x1.39b59dfeaaf22p-2, 0x1.38a2aa1a79addp-2, 0x1.3771a969fbbc8p-2, 0x1.3623b4a91fa33p-2, 0x1.34b9e10ea155fp-2, 0x1.333540285a987p-2, 0x1.3196dfba472edp-2, 0x1.2fdfc9a018cep-2, 0x1.2e1103b152003p-2, 0x1.2c2b8fa7c8528p-2, 0x1.2a306b0879206p-2, 0x1.28208f0e9be03p-2, 0x1.25fcf098de26fp-2, 0x1.23c68018b0c17p-2, 0x1.217e2983944bfp-2, 0x1.1f24d4464f49ep-2, 0x1.1cbb6339f984p-2, 0x1.1a42b49acd465p-2, 0x1.17bba200a4fddp-2, 0x1.1527005919c47p-2, 0x1.12859fe32a3c1p-2, 0x1.0fd84c2c5eb8bp-2, 0x1.0d1fcc0f53dbcp-2, 0x1.0a5ce1b39bca4p-2, 0x1.07904a8eeb71bp-2, 0x1.04babf677b37fp-2, 0x1.01dcf457932dep-2, 0x1.fdef31a4598c2p-3, 0x1.f816af51452adp-3, 0x1.f231ae22b82c6p-3, 0x1.ec41715ec7ab2p-3, 0x1.e6473335cacf7p-3, 0x1.e04424d4f4233p-3, 0x1.da396e7a7b1ddp-3, 0x1.d4282f8b43709p-3, 0x1.ce117ea9db5f1p-3, 0x1.c7f669cec6958p-3, 0x1.c1d7f661f6b41p-3, 0x1.bbb72155645d1p-3, 0x1.b594df40aca0bp-3, 0x1.af721c7da4b26p-3, 0x1.a94fbd45ca678p-3, 0x1.a32e9dd086efp-3, 0x1.9d0f927226bcep-3, 0x1.96f367bb8404cp-3, 0x1.90dae29a43387p-3, 0x1.8ac6c0799fc8p-3, 0x1.84b7b763ac1cap-3, 0x1.7eae762305aefp-3, 0x1.78aba464dd8eap-3, 0x1.72afe2db5aa2ap-3, 0x1.6cbbcb603434dp-3, 0x1.66cff1178af12p-3, 0x1.60ece092e97a3p-3, 0x1.5b131ff463c72p-3, 0x1.55432f11c9db3p-3, 0x1.4f7d8797e50bap-3, 0x1.49c29d2db9abap-3, 0x1.4412dd97b55ep-3, 0x1.3e6eb0dad65d9p-3, 0x1.38d6795facf2ep-3, 0x1.334a941542869p-3, 0x1.2dcb5893d3d72p-3, 0x1.2859193f55874p-3, 0x1.22f42369c4c64p-3, 0x1.1d9cbf7536e12p-3, 0x1.185330f5a437ep-3, 0x1.1317b6d2694f3p-3, 0x1.0dea8b677452ap-3, 0x1.08cbe4a6244d7p-3, 0x1.03bbf435c6c05p-3, 0x1.fd75cf277c456p-4, 0x1.f391d0667f6e9p-4, 0x1.e9cc37396a09ap-4, 0x1.e025471952666p-4, 0x1.d69d3c24a2816p-4, 0x1.cd344b5b47408p-4, 0x1.c3eaa2d9f93a7p-4, 0x1.bac06a14a44fep-4, 0x1.b1b5c20fd02eep-4, 0x1.a8cac5993235cp-4, 0x1.9fff897f3cbbbp-4, 0x1.97541cc7ad263p-4, 0x1.8ec888e53b1a3p-4, 0x1.865cd1ec33a7bp-4, 0x1.7e10f6c623cc3p-4, 0x1.75e4f1647f78cp-4, 0x1.6dd8b6f248cdep-4, 0x1.65ec3804b8149p-4, 0x1.5e1f60cae0c17p-4, 0x1.5672193c540b2p-4, 0x1.4ee44546c3012p-4, 0x1.4775c4faa1333p-4, 0x1.402674b6c138bp-4, 0x1.38f62d52f6b4ap-4, 0x1.31e4c449b8628p-4, 0x1.2af20be0bfb58p-4, 0x1.241dd350b3eefp-4, 0x1.1d67e6ebd4e4p-4, 0x1.16d01043aec49p-4, 0x1.1056164dd8d3p-4, 0x1.09f9bd87bbe1ep-4, 0x1.03bac81969647p-4, 0x1.fb31ebef06d46p-5, 0x1.ef280a0866d59p-5, 0x1.e357625e75393p-5, 0x1.d7bf692a2cc4p-5, 0x1.cc5f8f3a88d36p-5, 0x1.c137422f41c23p-5, 0x1.b645ecb1cf08cp-5, 0x1.ab8af6acb027p-5, 0x1.a105c58109025p-5, 0x1.96b5bc3a8aaf2p-5, 0x1.8c9a3bc1c2adbp-5, 0x1.82b2a30cc71cp-5, 0x1.78fe4f4e4c2bep-5, 0x1.6f7c9c232d6c7p-5, 0x1.662ce3be6bf44p-5, 0x1.5d0e7f13b08e3p-5, 0x1.5420c6004b38fp-5, 0x1.4b630f72c8f48p-5, 0x1.42d4b191176bdp-5, 0x1.3a7501dd45f66p-5, 0x1.32435558ea45ep-5, 0x1.2a3f00a731e6cp-5, 0x1.2267582d9a3e4p-5, 0x1.1abbb0336fbe1p-5, 0x1.133b5d00009a6p-5, 0x1.0be5b2f79bfc7p-5, 0x1.04ba06b75ca4bp-5, 0x1.fb6f5a5f9ad02p-6, 0x1.edbbf77cc2688p-6, 0x1.e058908bad0e2p-6, 0x1.d343d28afea03p-6, 0x1.c67c6bdef8061p-6, 0x1.ba010c7bdc28p-6, 0x1.add0660e4fb26p-6, 0x1.a1e92c21c5ee1p-6, 0x1.964a14450759bp-6, 0x1.8af1d62cd4203p-6, 0x1.7fdf2bd4bff9cp-6, 0x1.7510d19e4777fp-6, 0x1.6a85866e3b971p-6, 0x1.603c0bc87148p-6, 0x1.563325e9e6361p-6, 0x1.4c699be1492fbp-6, 0x1.42de37a60a16bp-6, 0x1.398fc62de614ep-6, 0x1.307d17810c3b5p-6, 0x1.27a4fecce195p-6, 0x1.1f0652756a4f5p-6, 0x1.169fec25698e1p-6, 0x1.0e70a8dd41134p-6, 0x1.067769009cae8p-6, 0x1.fd6620c5d4552p-7, 0x1.ee450ca56f818p-7, 0x1.df896b47e6e33p-7, 0x1.d13119725039cp-7, 0x1.c339fb174678ep-7, 0x1.b5a1fb656ea8cp-7, 0x1.a8670cd3dc1f2p-7, 0x1.9b87292ce7d76p-7, 0x1.8f0051971e05fp-7, 0x1.82d08e9c732a2p-7, 0x1.76f5f02ff8e8ap-7, 0x1.6b6e8db1f0e96p-7, 0x1.603885f26ef9p-7, 0x1.5551ff32879f4p-7, 0x1.4ab9272410c99p-7, 0x1.406c32e82a4e9p-7, 0x1.36695f0c72fb9p-7, 0x1.2caeef870c5ffp-7, 0x1.233b2fb191815p-7, 0x1.1a0c7242c82d1p-7, 0x1.112111476669ep-7, 0x1.08776e19d28f5p-7, 0x1.000df158ea431p-7, 0x1.efc615bbeabc3p-8, 0x1.dfea63634438p-8, 0x1.d085c80092f85p-8, 0x1.c1954e1ac1585p-8, 0x1.b3160e4c6e4a9p-8, 0x1.a5052f2801023p-8, 0x1.975fe51a9b898p-8, 0x1.8a23724d96b32p-8, 0x1.7d4d2686f76dfp-8, 0x1.70da5f08d98a7p-8, 0x1.64c8866fc9cp-8, 0x1.591514905821bp-8, 0x1.4dbd8e538d285p-8, 0x1.42bf8592c74dbp-8, 0x1.381898f2b6a1bp-8, 0x1.2dc673bdb4459p-8, 0x1.23c6cdbd85912p-8, 0x1.1a176b1484f81p-8, 0x1.10b61c163deacp-8, 0x1.07a0bd1f8e8dap-8, 0x1.fdaa6cdcbcf6cp-9, 0x1.eca2f7f216fe2p-9, 0x1.dc271a8aad09dp-9, 0x1.cc32ea7e79ad4p-9, 0x1.bcc2941eec4a6p-9, 0x1.add259e34303ep-9, 0x1.9f5e941508271p-9, 0x1.9163b07bf676p-9, 0x1.83de3209cfefp-9, 0x1.76cab08612cd5p-9, 0x1.6a25d839c59e7p-9, 0x1.5dec699af5a79p-9, 0x1.521b38f879f9p-9, 0x1.46af2e25e65b9p-9, 0x1.3ba544278b306p-9, 0x1.30fa88dece433p-9, 0x1.26ac1cb6ec51cp-9, 0x1.1cb7325185a89p-9, 0x1.13190e344afabp-9, 0x1.09cf06767f70ap-9, 0x1.00d6826f4680fp-9, 0x1.f059f4c885b34p-10, 0x1.df9fee71ef01bp-10, 0x1.cf7a243d1814dp-10, 0x1.bfe3e88848962p-10, 0x1.b0d8ad0ffc692p-10, 0x1.a254025253e23p-10, 0x1.945196f3ff6b7p-10, 0x1.86cd37265e883p-10, 0x1.79c2cc0f8bfdcp-10, 0x1.6d2e5b3389163p-10, 0x1.610c05ded7ef3p-10, 0x1.5558089366015p-10, 0x1.4a0eba764db38p-10, 0x1.3f2c8cbfdbc56p-10, 0x1.34ae0a2d16e85p-10, 0x1.2a8fd672deec4p-10, 0x1.20ceadb2f5b04p-10, 0x1.176763f2e7b57p-10, 0x1.0e56e4947c828p-10, 0x1.059a31d01fc3ep-10, 0x1.fa5cc8623a395p-11, 0x1.ea215427f01cep-11, 0x1.da7c8e4c4c2ecp-11, 0x1.cb6927cfef6aap-11, 0x1.bce1fa607f6edp-11, 0x1.aee20763addc9p-11, 0x1.a1647706fa0fdp-11, 0x1.9464975160353p-11, 0x1.87dddb3a8b945p-11, 0x1.7bcbd9c5401c5p-11, 0x1.702a4d1d56d7ap-11, 0x1.64f511b99844dp-11, 0x1.5a2825815b5a8p-11, 0x1.4fbfa6f60bab5p-11, 0x1.45b7d4607abd4p-11, 0x1.3c0d0b01cf8b5p-11, 0x1.32bbc647f7d2p-11, 0x1.29c09f0655d38p-11, 0x1.21184ab1ab722p-11, 0x1.18bf9a9fbc3a6p-11, 0x1.10b37b4a994c9p-11, 0x1.08f0f397a6ea1p-11, 0x1.017524222f48dp-11, 0x1.f47a8d12ab4a2p-12, 0x1.e68d5983c81f7p-12, 0x1.d91d80d66d337p-12, 0x1.cc26044f93af2p-12, 0x1.bfa211f249cf7p-12, 0x1.b38d033edec01p-12, 0x1.a7e25bf769ce5p-12, 0x1.9c9dc8ec893e1p-12, 0x1.91bb1ecfea5a6p-12, 0x1.8736590d70ad9p-12, 0x1.7d0b98aa65829p-12, 0x1.7337232b5b44fp-12, 0x1.69b5617fec93ep-12, 0x1.6082def5e6806p-12, 0x1.579c4830a0d95p-12, 0x1.4efe6a278b244p-12, 0x1.46a6312a70ce7p-12, 0x1.3e90a7ebd977ap-12, 0x1.36baf690259bp-12, 0x1.2f2261c42373p-12, 0x1.27c449d69142dp-12, 0x1.209e29d96ec62p-12, 0x1.19ad96c83ec9dp-12, 0x1.12f03eb2c8c9cp-12, 0x1.0c63e7ed6771cp-12, 0x1.060670478dc9ep-12, 0x1.ffab988ab8ee2p-13, 0x1.f3a00cbf94d9ep-13, 0x1.e7e67c93f7dfdp-13, 0x1.dc7b50720e2b5p-13, 0x1.d15b18660c567p-13, 0x1.c6828ac3309cfp-13, 0x1.bbee82d2bae5ep-13, 0x1.b19bff8a79dacp-13, 0x1.a788224e45a15p-13, 0x1.9db02db7b78f6p-13, 0x1.941184671e425p-13, 0x1.8aa9a7df2b1bap-13, 0x1.817637640fbe6p-13, 0x1.7874eee668903p-13, 0x1.6fa3a5f402ed8p-13, 0x1.67004eb174917p-13, 0x1.5e88f4da7714p-13, 0x1.563bbcc9a4372p-13, 0x1.4e16e287d2f68p-13, 0x1.4618b8e0e51afp-13, 0x1.3e3fa88196a54p-13, 0x1.368a2f1b598fdp-13, 0x1.2ef6de8dfd0c8p-13, 0x1.27845c17d8e44p-13, 0x1.20315f8d87969p-13, 0x1.18fcb296593c2p-13, 0x1.11e52fef3d09bp-13, 0x1.0ae9c2b4eecfp-13, 0x1.040965b107f3ap-13, 0x1.fa86455cbe7eap-14, 0x1.ed2c23a64268ep-14, 0x1.e002b1fffbe9ap-14, 0x1.d30856686616dp-14, 0x1.c63b8fecf606ap-14, 0x1.b99af58865884p-14, 0x1.ad253506b2d44p-14, 0x1.a0d911f4b84a5p-14, 0x1.94b5649dab1bep-14, 0x1.88b91906d11ep-14, 0x1.7ce32dfce0952p-14, 0x1.7132b426b1b5ep-14, 0x1.65a6cd20d7b0bp-14, 0x1.5a3eaaa0d379cp-14, 0x1.4ef98da0625d4p-14, 0x1.43d6c5914ba2fp-14, 0x1.38d5af9638908p-14, 0x1.2df5b5c42d58fp-14, 0x1.23364e6e32884p-14, 0x1.1896fb71fde09p-14, 0x1.0e17498f38de5p-14, 0x1.03b6cfc3a7a25p-14, 0x1.f2ea5d5ef30efp-15, 0x1.dea41ff9cbbfcp-15, 0x1.ca9a4b9fbee6cp-15, 0x1.b6cc5479050f3p-15, 0x1.a339bd7fc22ep-15, 0x1.8fe2177f3ac4fp-15, 0x1.7cc5001ff0805p-15, 0x1.69e220fd333f3p-15, 0x1.57392ec234f69p-15, 0x1.44c9e8539da8dp-15, 0x1.32941600861e2p-15, 0x1.209788bdb8b72p-15, 0x1.0ed419677c816p-15, 0x1.fa93501d02e9p-16, 0x1.d7f036a0f6262p-16, 0x1.b5bebf5d3493bp-16, 0x1.93fecde513c21p-16, 0x1.72b04f39230a1p-16, 0x1.51d338a760433p-16, 0x1.316786c1a7963p-16, 0x1.116d3c5d3c364p-16, 0x1.e3c8c344b1901p-17, 0x1.a59a064ccce38p-17, 0x1.684e621d3ce1bp-17, 0x1.2be5fc8a69a56p-17, 0x1.e0c1fef1c6aabp-18, 0x1.6b7f2ec2d2954p-18, 0x1.f007c7e53f17cp-19, 0x1.0ca0f3d2595f5p-19, 0x1.6654996705456p-22, -0x1.5ef562da6bec3p-20, -0x1.882e3f0233d22p-19, -0x1.2ea7c5f60fff9p-18, -0x1.976f11cc361bfp-18, -0x1.fe6cd50685c4ap-18, -0x1.31d077bf5a81bp-17, -0x1.6385a8284a5b9p-17, -0x1.9455fb9e6008p-17, -0x1.c4417af4c79cdp-17, -0x1.f34838803fde4p-17, -0x1.10b5284dcdc06p-16, -0x1.2753f511f1479p-16, -0x1.3d809b72ca257p-16, -0x1.533b3a00c0b41p-16, -0x1.6883f51b218b4p-16, -0x1.7d5af71e06d0ap-16, -0x1.91c07081e3b69p-16, -0x1.a5b497f9fbff8p-16, -0x1.b937aa890b945p-16, -0x1.cc49eb9b2df9dp-16, -0x1.deeba51149b17p-16, -0x1.f11d275119581p-16, -0x1.016f64a52cc13p-15, -0x1.0a18743fe7175p-15, -0x1.1289f4853711bp-15, -0x1.1ac41acb603ccp-15, -0x1.22c71faee59f9p-15, -0x1.2a933f114bf54p-15, -0x1.3228b813eeb33p-15, -0x1.3987cd125130fp-15, -0x1.40b0c39a3f912p-15, -0x1.47a3e4646a861p-15, -0x1.4e617b4b283a2p-15, -0x1.54e9d73fff02ep-15, -0x1.5b3d4a3fac691p-15, -0x1.615c2947556cdp-15, -0x1.6746cc483d91dp-15, -0x1.6cfd8e1a09051p-15, -0x1.7280cc6bb06a3p-15, -0x1.77d0e7b52a3dfp-15, -0x1.7cee432817a97p-15, -0x1.81d944a01caa5p-15, -0x1.8692549216327p-15, -0x1.8b19ddfb5abaep-15, -0x1.8f704e5133673p-15, -0x1.9396156e3b3ffp-15, -0x1.978ba58136ed7p-15, -0x1.9b5172f93d046p-15, -0x1.9ee7f4759bf81p-15, -0x1.a24fa2b1f798p-15, -0x1.a588f87404866p-15, -0x1.a8947277b8cdep-15, -0x1.ab728f5c3fbefp-15, -0x1.ae23cf9146118p-15, -0x1.b0a8b5436b559p-15, -0x1.b301c448f1b77p-15, -0x1.b52f820de0e55p-15, -0x1.b7327581b3d4ap-15, -0x1.b90b27035ed48p-15, -0x1.baba204e74c6dp-15, -0x1.bc3fec66dea7ap-15, -0x1.bd9d1786fb88dp-15, -0x1.bed22f0c6c14bp-15, -0x1.bfdfc16501034p-15, -0x1.c0c65dfbf1423p-15, -0x1.c186952722204p-15, -0x1.c220f81510854p-15, -0x1.c29618bac66a1p-15, -0x1.c2e689c146af4p-15, -0x1.c312de73af42p-15, -0x1.c31baaae381c5p-15, -0x1.c30182cc79151p-15, -0x1.c2c4fb98b59ddp-15, -0x1.c266aa3a9525ap-15, -0x1.c1e724264d54bp-15, -0x1.c146ff0cd34bdp-15, -0x1.c086d0cbf8b5ap-15, -0x1.bfa72f5d9a55fp-15, -0x1.bea8b0c8e543bp-15, -0x1.bd8beb12e7fdbp-15, -0x1.bc51742fb3411p-15, -0x1.baf9e1f4438dbp-15, -0x1.b985ca06ae6e9p-15, -0x1.b7f5c1d14fe43p-15, -0x1.b64a5e74be5cp-15, -0x1.b48434ba24415p-15, -0x1.b2a3d9071d966p-15, -0x1.b0a9df500883ap-15, -0x1.ae96db0b6e90fp-15, -0x1.ac6b5f26aaecdp-15, -0x1.aa27fdf9a7982p-15, -0x1.a7cd493ae3595p-15, -0x1.a55bd1f4f1fc8p-15, -0x1.a2d4287af5eep-15, -0x1.a036dc5f30227p-15, -0x1.9d847c67b4c7dp-15, -0x1.9abd9684b6b91p-15, -0x1.97e2b7c6bf222p-15, -0x1.94f46c55da21dp-15, -0x1.91f33f67ff6d1p-15, -0x1.8edfbb39006b2p-15, -0x1.8bba690234624p-15, -0x1.8883d0f16f0f2p-15, -0x1.853c7a222b15fp-15, -0x1.81e4ea95b8f85p-15, -0x1.7e7da72baf9dcp-15, -0x1.7b07339b8a6b9p-15, -0x1.7782126d696d4p-15, -0x1.73eec4f4aede1p-15, -0x1.704dcb495c671p-15, -0x1.6c9fa441e4044p-15, -0x1.68e4cd6ea2c5dp-15, -0x1.651dc313b3822p-15, -0x1.614b00241b0c8p-15, -0x1.5d6cfe3dafc49p-15, -0x1.598435a43afe2p-15, -0x1.55911d3d4f454p-15, -0x1.51942a8c614acp-15, -0x1.4d8dd1aee57e9p-15, -0x1.497e8558f3b22p-15, -0x1.4566b6d24ba4ap-15, -0x1.4146d5f2a3fa6p-15, -0x1.3d1f511f4b83p-15, -0x1.38f0954973d5cp-15, -0x1.34bb0dea21871p-15, -0x1.307f250188f29p-15, -0x1.2c3d4314855a3p-15, -0x1.27f5cf2b19e9bp-15, -0x1.23a92ece1ff59p-15, -0x1.1f57c6078eadap-15, -0x1.1b01f760261d6p-15, -0x1.16a823dea4b11p-15, -0x1.124aab07f8eddp-15, -0x1.0de9eadd0c26bp-15, -0x1.09863fdbcd764p-15, -0x1.052004fea7649p-15, -0x1.00b793bbef6d7p-15, -0x1.f89a880c3ddb2p-16, -0x1.efc2d89a594d1p-16, -0x1.e6e8c2facfa99p-16, -0x1.de0cee01bcap-16, -0x1.d52ffd801a2b4p-16, -0x1.cc52924634309p-16, -0x1.c3754a23593ccp-16, -0x1.ba98bfe9d84a5p-16, -0x1.b1bd8b72622b5p-16, -0x1.a8e4419bd09c6p-16, -0x1.a00d7451a83d3p-16, -0x1.9739b28d02083p-16, -0x1.8e698857c2385p-16, -0x1.859d7ed228249p-16, -0x1.7cd61c35fd38dp-16, -0x1.7413e3d91cc2p-16, -0x1.6b5756339bd45p-16, -0x1.62a0f0e445e48p-16, -0x1.59f12eb41bbc5p-16, -0x1.5148879ad7482p-16, -0x1.48a770c623de4p-16, -0x1.400e5c9d7feb5p-16, -0x1.377dbac632cbfp-16, -0x1.2ef5f82b1af5p-16, -0x1.26777f014e945p-16, -0x1.1e02b6ccd6217p-16, -0x1.159804685b8a6p-16, -0x1.0d37ca0ad799dp-16, -0x1.04e2674b82c62p-16, -0x1.f93072550b37ep-17, -0x1.e8b3342e70d7dp-17, -0x1.d84dc3e9a1c7ap-17, -0x1.c800cc441f931p-17, -0x1.b7ccf3006b0c6p-17, -0x1.a7b2d8f2c19ffp-17, -0x1.97b31a0bfc315p-17, -0x1.87ce4d6b4abc6p-17, -0x1.7805056af319cp-17, -0x1.6857cfad4968bp-17, -0x1.58c7352a2a2d9p-17, -0x1.4953ba4012f3ap-17, -0x1.39fddebefc1f9p-17, -0x1.2ac61df8068abp-17, -0x1.1baceecea2203p-17, -0x1.0cb2c3c2c31aep-17, -0x1.fbb016025b274p-18, -0x1.de3a5ce68e93ap-18, -0x1.c105279a7e3fep-18, -0x1.a411393616dcdp-18, -0x1.875f4ca37161ap-18, -0x1.6af014b8e301p-18, -0x1.4ec43c5bb833dp-18, -0x1.32dc669304c3dp-18, -0x1.17392eb1d73f1p-18, -0x1.f7b650e142ed3p-19, -0x1.c185c00b93f03p-19, -0x1.8be1b497fc869p-19, -0x1.56cb29b1336b3p-19, -0x1.22430c372c1dcp-19, -0x1.dc9475fb8df5p-20, -0x1.75c30e091cb7ep-20, }}, 
      {{-0x1.5975848c5613dp-1, -0x1.598321eb2a5e4p-1, -0x1.5999589c41a8dp-1, -0x1.59b77799048efp-1, -0x1.59dc92181be71p-1, -0x1.5a0788194cdd1p-1, -0x1.5a370f5c21f1ap-1, -0x1.5a69bc45bdabfp-1, -0x1.5a9e0a62e8bdp-1, -0x1.5ad264519062p-1, -0x1.5b052af2fe6adp-1, -0x1.5b34bbd7f60eep-1, -0x1.5b5f76e31dee9p-1, -0x1.5b83c325daf71p-1, -0x1.5ba01300e7481p-1, -0x1.5bb2e7951cfd6p-1, -0x1.5bbad392ca96cp-1, -0x1.5bb67d76abfa2p-1, -0x1.5ba4a143c9166p-1, -0x1.5b8411c90c208p-1, -0x1.5b53b980be00cp-1, -0x1.5b129b17205bdp-1, -0x1.5abfd1a461f18p-1, -0x1.5a5a90a516f2bp-1, -0x1.59e223bb4cf0fp-1, -0x1.5955ee4147bb3p-1, -0x1.58b56ab5f9956p-1, -0x1.58002a0a551ddp-1, -0x1.5735d2d5c3725p-1, -0x1.56562077391d6p-1, -0x1.5560e227add13p-1, -0x1.5455fa021add2p-1, -0x1.53355c04890cap-1, -0x1.51ff0d0d38d33p-1, -0x1.50b321d678b38p-1, -0x1.4f51bdf353d07p-1, -0x1.4ddb12ceef779p-1, -0x1.4c4f5eb0144c2p-1, -0x1.4aaeebc227a56p-1, -0x1.48fa0f248e7f3p-1, -0x1.473128014d887p-1, -0x1.45549eab80e6dp-1, -0x1.4364e3c628cffp-1, -0x1.41626f739e4fp-1, -0x1.3f4dc08deeabcp-1, -0x1.3d275be83b91fp-1, -0x1.3aefcb9932e3fp-1, -0x1.38a79e4e96855p-1, -0x1.364f66a9c24d5p-1, -0x1.33e7baa513fcbp-1, -0x1.3171330208c9cp-1, -0x1.2eec6abfe488dp-1, -0x1.2c59fe9aa3fcbp-1, -0x1.29ba8c9204a75p-1, -0x1.270eb3785aa2dp-1, -0x1.24571288f5662p-1, -0x1.21944905ca3b3p-1, -0x1.1ec6f5dc1abbap-1, -0x1.1befb74fd4b2bp-1, -0x1.190f2aad5ab04p-1, -0x1.1625ec0172e35p-1, -0x1.133495d70fb65p-1, -0x1.103bc0faace74p-1, -0x1.0d3c0442fa85ap-1, -0x1.0a35f45e9090dp-1, -0x1.072a23a669776p-1, -0x1.041921f4e02bfp-1, -0x1.01037c80f4e73p-1, -0x1.fbd37b7b2fde5p-2, -0x1.f598da7988276p-2, -0x1.ef581f2c5071cp-2, -0x1.e9124ca263f44p-2, -0x1.e2c85fa476c52p-2, -0x1.dc7b4e956222dp-2, -0x1.d62c0957f2c05p-2, -0x1.cfdb7939e6668p-2, -0x1.c98a80e3ba5a8p-2, -0x1.c339fc4cf76afp-2, -0x1.bceac0b4ace96p-2, -0x1.b69d9c9dca14bp-2, -0x1.b05357cf1076cp-2, -0x1.aa0cb35658d72p-2, -0x1.a3ca698ee8ca8p-2, -0x1.9d8d2e2a9c9d8p-2, -0x1.9755ae3da6b75p-2, -0x1.9124904cb3a19p-2, -0x1.8afa745d3594ap-2, -0x1.84d7f407b2256p-2, -0x1.7ebda28bd481fp-2, -0x1.78ac0ce625746p-2, -0x1.72a3b9e739ab7p-2, -0x1.6ca52a4c3076ep-2, -0x1.66b0d8d85d943p-2, -0x1.60c73a7000962p-2, -0x1.5ae8be33e3a1cp-2, -0x1.5515cd9dc55c1p-2, -0x1.4f4ecc9d795d2p-2, -0x1.499419b697925p-2, -0x1.43e60e1eadcf4p-2, -0x1.3e44fddbd7d8ap-2, -0x1.38b137e3aa1d7p-2, -0x1.332b063a56ef4p-2, -0x1.2db2ae12064d9p-2, -0x1.28486fea42ce4p-2, -0x1.22ec87af7508fp-2, -0x1.1d9f2cda5a9cfp-2, -0x1.1860928f6dd1fp-2, -0x1.1330e7be2e7p-2, -0x1.0e1057404453dp-2, -0x1.08ff07f86d3c6p-2, -0x1.03fd1cf12e57dp-2, -0x1.fe156af6850b5p-3, -0x1.f44fda97711c9p-3, -0x1.eaa9b9337b935p-3, -0x1.e12330781e1c8p-3, -0x1.d7bc638c0b932p-3, -0x1.ce756f487fe2bp-3, -0x1.c54e6a71b9491p-3, -0x1.bc4765ee922d4p-3, -0x1.b3606cff30fbcp-3, -0x1.aa998572cb65cp-3, -0x1.a1f2afdc7c21ep-3, -0x1.996be7c7128cep-3, -0x1.910523e7f5ad4p-3, -0x1.88be5650f3e59p-3, -0x1.80976ca122846p-3, -0x1.78905034a8409p-3, -0x1.70a8e65383588p-3, -0x1.68e1105f4fb9cp-3, -0x1.6138abfff4904p-3, -0x1.59af934f50fd6p-3, -0x1.52459d03e0ec3p-3, -0x1.4afa9c9a4cd2fp-3, -0x1.43ce627dfd014p-3, -0x1.3cc0bc309d21fp-3, -0x1.35d174709fc59p-3, -0x1.2f00535eb3e23p-3, -0x1.284d1ea244eadp-3, -0x1.21b7998cef7f6p-3, -0x1.1b3f853cfef14p-3, -0x1.14e4a0beed746p-3, -0x1.0ea6a92dec431p-3, -0x1.088559d37577ep-3, -0x1.02806c45f22adp-3, -0x1.f92f310ccd7fep-4, -0x1.ed952a3a8155dp-4, -0x1.e2322e6c665efp-4, -0x1.d705a5766425cp-4, -0x1.cc0ef4dd2612dp-4, -0x1.c14d80088c171p-4, -0x1.b6c0a87483327p-4, -0x1.ac67cde0246a4p-4, -0x1.a2424e7b3b9bbp-4, -0x1.984f87122a8edp-4, -0x1.8e8ed33844426p-4, -0x1.84ff8d709d726p-4, -0x1.7ba10f555747dp-4, -0x1.7272b1bd74b8ep-4, -0x1.6973cce13e205p-4, -0x1.60a3b87d3ba9cp-4, -0x1.5801cbf3cf5eap-4, -0x1.4f8d5e6d78272p-4, -0x1.4745c6f7c0e9ap-4, -0x1.3f2a5ca2ebf7cp-4, -0x1.373a769e5934p-4, -0x1.2f756c53b82d6p-4, -0x1.27da958105d6cp-4, -0x1.20694a51641a1p-4, -0x1.1920e374cf264p-4, -0x1.1200ba36b9cadp-4, -0x1.0b08289396dbap-4, -0x1.0436894d5977fp-4, -0x1.fb166ffde2428p-5, -0x1.ee0b225d9750bp-5, -0x1.e149e4c0bf84cp-5, -0x1.d4d174499b47cp-5, -0x1.c8a090552a353p-5, -0x1.bcb5fa98de18cp-5, -0x1.b110773e9948fp-5, -0x1.a5aeccff0832ep-5, -0x1.9a8fc53a6485bp-5, -0x1.8fb22c0fabd66p-5, -0x1.8514d07259ebfp-5, -0x1.7ab6843eafd9ap-5, -0x1.70961c4c95f9ep-5, -0x1.66b27081240ccp-5, -0x1.5d0a5bded953ap-5, -0x1.539cbc9496418p-5, -0x1.4a68740b5a90dp-5, -0x1.416c66f2d5d1ap-5, -0x1.38a77d4cdc61ep-5, -0x1.3018a277bda4cp-5, -0x1.27bec537903b9p-5, -0x1.1f98d7be7bfe3p-5, -0x1.17a5cfb40807ap-5, -0x1.0fe4a63b7a35cp-5, -0x1.085457f951423p-5, -0x1.00f3e517dd534p-5, -0x1.f384a29613545p-6, -0x1.e57d47a6a7d4dp-6, -0x1.d7cfcf000ac4cp-6, -0x1.ca7a556159d93p-6, -0x1.bd7afeabcef97p-6, -0x1.b0cff5e2f93ecp-6, -0x1.a4776d2baca0dp-6, -0x1.986f9dc9bb4e3p-6, -0x1.8cb6c81c7f075p-6, -0x1.814b339a484afp-6, -0x1.762b2ecabde38p-6, -0x1.6b550f403ae7fp-6, -0x1.60c7319030d05p-6, -0x1.567ff94aa9c56p-6, -0x1.4c7dd0f0e588ap-6, -0x1.42bf29eb277a8p-6, -0x1.39427c7dbcc72p-6, -0x1.300647bd4a35fp-6, -0x1.27091182652p-6, -0x1.1e49665c86542p-6, -0x1.15c5d98462ep-6, -0x1.0d7d04cdae42p-6, -0x1.056d88985146bp-6, -0x1.fb2c17824cebp-7, -0x1.ebea77246fa6p-7, -0x1.dd1397651818fp-7, -0x1.cea4ec2b23a6fp-7, -0x1.c09bf5d44a60bp-7, -0x1.b2f641127df6ap-7, -0x1.a5b166c8a130bp-7, -0x1.98cb0be6abap-7, -0x1.8c40e145500e8p-7, -0x1.8010a38111f9bp-7, -0x1.74381ad502627p-7, -0x1.68b51af51477dp-7, -0x1.5d8582e80b852p-7, -0x1.52a73ce13905ap-7, -0x1.48183e19e376fp-7, -0x1.3dd686aa79848p-7, -0x1.33e02163a2943p-7, -0x1.2a3323a72009p-7, -0x1.20cdad4097b95p-7, -0x1.17ade83e4c3d6p-7, -0x1.0ed208c9c69abp-7, -0x1.06384d0085488p-7, -0x1.fbbdf9995428ap-8, -0x1.eb88d37b5d47p-8, -0x1.dbcdddc276dfcp-8, -0x1.cc89e138101dp-8, -0x1.bdb9b905beb34p-8, -0x1.af5a52679d9eep-8, -0x1.a168ac5ef1f84p-8, -0x1.93e1d76535f48p-8, -0x1.86c2f51f81a1ap-8, -0x1.7a09381282e8p-8, -0x1.6db1e356cccd4p-8, -0x1.61ba4a4dc848fp-8, -0x1.561fd05719e87p-8, -0x1.4adfe886b2966p-8, -0x1.3ff8155b5ec38p-8, -0x1.3565e87611de7p-8, -0x1.2b270251c1a09p-8, -0x1.213911fc0302bp-8, -0x1.1799d4ce4321ep-8, -0x1.0e471627c1832p-8, -0x1.053eaf284c8f9p-8, -0x1.f8fd0cd76c4b9p-9, -0x1.e8091f8bfc018p-9, -0x1.d79d9800be89dp-9, -0x1.c7b6912e2c462p-9, -0x1.b8503eefd867fp-9, -0x1.a966ed834ae38p-9, -0x1.9af7010866241p-9, -0x1.8cfcf50384698p-9, -0x1.7f755be12e6a3p-9, -0x1.725cde7b8d8f9p-9, -0x1.65b03ba18f1abp-9, -0x1.596c479faf30bp-9, -0x1.4d8debca8882ap-9, -0x1.4212260b1a7fbp-9, -0x1.36f6086cb40d9p-9, -0x1.2c36b8aca48d7p-9, -0x1.21d16fcba1ba6p-9, -0x1.17c379a0fb267p-9, -0x1.0e0a346f654afp-9, -0x1.04a3107b79725p-9, -0x1.f7171f482a878p-10, -0x1.e58289f894024p-10, -0x1.d483a8ce1e81bp-10, -0x1.c415e46941defp-10, -0x1.b434c58319127p-10, -0x1.a4dbf42ed9f81p-10, -0x1.9607371eb484bp-10, -0x1.87b272ebf0e67p-10, -0x1.79d9a962414c1p-10, -0x1.6c78f8ce93e46p-10, -0x1.5f8c9b50d3d6cp-10, -0x1.5310e6312832cp-10, -0x1.470249386326fp-10, -0x1.3b5d4e0b41caep-10, -0x1.301e97892c20ap-10, -0x1.2542e12dcb4afp-10, -0x1.1ac6fe75fd135p-10, -0x1.10a7da4796e3ep-10, -0x1.06e2765c21dc6p-10, -0x1.fae7d55d44f4ap-11, -0x1.e8b2c9d8af91fp-11, -0x1.d7204fd09c5efp-11, -0x1.c62b1623f6747p-11, -0x1.b5cdf3dcc0385p-11, -0x1.a603e7285fc22p-11, -0x1.96c814552d994p-11, -0x1.8815c4d5a98ebp-11, -0x1.79e86649166afp-11, -0x1.6c3b898921042p-11, -0x1.5f0ae1bcc734ap-11, -0x1.525243707214p-11, -0x1.460da3b310ca7p-11, -0x1.3a391738458d2p-11, -0x1.2ed0d17fbbf5cp-11, -0x1.23d12400a7543p-11, -0x1.19367d5a68541p-11, -0x1.0efd6889f42edp-11, -0x1.05228c2382b12p-11, -0x1.f7455322c5cedp-12, -0x1.e4f538ad3da4bp-12, -0x1.d34eb2ac400d7p-12, -0x1.c24bdc3cb301cp-12, -0x1.b1e70071cbc15p-12, -0x1.a21a98fcf804dp-12, -0x1.92e14cde537bfp-12, -0x1.8435ef1c57601p-12, -0x1.76137d8361477p-12, -0x1.68751f6d89793p-12, -0x1.5b562491b5955p-12, -0x1.4eb203d9ec85fp-12, -0x1.42845a41ee3afp-12, -0x1.36c8e9bbb3b49p-12, -0x1.2b7b981b3cf2fp-12, -0x1.20986e09e6e3ep-12, -0x1.161b95ffa6046p-12, -0x1.0c015b4377f04p-12, -0x1.024628f2469c4p-12, -0x1.f1cd12181afd5p-13, -0x1.dfbe470d98e8fp-13, -0x1.ce597acfde0b7p-13, -0x1.bd986fc777e4ep-13, -0x1.ad751f04e5ec1p-13, -0x1.9de9b69690fbbp-13, -0x1.8ef097ea7bf2ep-13, -0x1.80845638c2d5ap-13, -0x1.729fb4fb3feb3p-13, -0x1.653da66e244afp-13, -0x1.58594a1b7c3e7p-13, -0x1.4bedeb709ec55p-13, -0x1.3ff7005dc492fp-13, -0x1.347027fedc56ap-13, -0x1.2955294d0dfep-13, -0x1.1ea1f1da72f41p-13, -0x1.145294963e4e1p-13, -0x1.0a634899f0b7fp-13, -0x1.00d067fee22f3p-13, -0x1.ef2cdd7980262p-14, -0x1.dd63f31e15791p-14, -0x1.cc3f89c607d49p-14, -0x1.bbb9579bf9c63p-14, -0x1.abcb4e14ad54dp-14, -0x1.9c6f97f9011a6p-14, -0x1.8da0977ec552cp-14, -0x1.7f58e46ec609fp-14, -0x1.71934a584cb4bp-14, -0x1.644ac6d2edc54p-14, -0x1.577a87ccb4483p-14, -0x1.4b1de9e5799e5p-14, -0x1.3f3076d6feaf7p-14, -0x1.33ade3e9286a3p-14, -0x1.28921071b60e6p-14, -0x1.1dd9045f2b891p-14, -0x1.137eeecf83f81p-14, -0x1.098024b147a3dp-14, -0x1.ffb23ee152b74p-15, -0x1.ed0cf75a433afp-15, -0x1.db09eff58c5e2p-15, -0x1.c9a2e75aa2cb3p-15, -0x1.b8d1db576d12ap-15, -0x1.a891069b9b564p-15, -0x1.98dade8521761p-15, -0x1.89aa11001e4afp-15, -0x1.7af982769a481p-15, -0x1.6cc44bd25bcfep-15, -0x1.5f05b88db3eb1p-15, -0x1.51b944d59b9ebp-15, -0x1.44da9bb943179p-15, -0x1.3865956a30576p-15, -0x1.2c563589ae915p-15, -0x1.20a8a9867f927p-15, -0x1.15594706a1281p-15, -0x1.0a648a5e62205p-15, -0x1.ff8e2a2e1533cp-16, -0x1.eafb58fce060cp-16, -0x1.d70a708b5db94p-16, -0x1.c3b58252c896bp-16, -0x1.b0f6df4f831c4p-16, -0x1.9ec9158230727p-16, -0x1.8d26ed860bc11p-16, -0x1.7c0b683c9691bp-16, -0x1.6b71bc91a02d4p-16, -0x1.5b55554b3b7f7p-16, -0x1.4bb1cef54ef16p-16, -0x1.3c82f5d8fd2c1p-16, -0x1.2dc4c40d2cfeep-16, -0x1.1f735f932d304p-16, -0x1.118b1887b88f5p-16, -0x1.04086762588ecp-16, -0x1.edcfd694542ecp-17, -0x1.d44cd0e30b34dp-17, -0x1.bb818d1407731p-17, -0x1.a3681e7c25058p-17, -0x1.8bfad9808b0adp-17, -0x1.753450cb1ad35p-17, -0x1.5f0f5298ef988p-17, -0x1.4986e62220146p-17, -0x1.34964921827bep-17, -0x1.2038ed68ed3cfp-17, -0x1.0c6a7697923c5p-17, -0x1.f24d6fbfb491ep-18, -0x1.ccd363c9fb392p-18, -0x1.a85f2160d23bfp-18, -0x1.84e9537625cdap-18, -0x1.626af40ddf5fp-18, -0x1.40dd489eb0697p-18, -0x1.2039de9be1747p-18, -0x1.007a88147db49p-18, -0x1.c332b104c35a5p-19, -0x1.8721436804c9cp-19, -0x1.4cb5e1a7708b9p-19, -0x1.13e61735e02ffp-19, -0x1.b94fb65a70fedp-20, -0x1.4de3162e85d3cp-20, -0x1.cae7980da987bp-21, -0x1.ffc03d9b0cbdcp-22, -0x1.d46c824a7cc15p-24, 0x1.0a61e98ab545ep-22, 0x1.3f7b13481a819p-21, 0x1.f46f3fcc0078p-21, 0x1.521567d1dbc2dp-20, 0x1.a76503dab2338p-20, 0x1.fa3415355596bp-20, 0x1.2547e131c9c79p-19, 0x1.4c425ed548496p-19, 0x1.720fa58768608p-19, 0x1.96b5a31472acp-19, 0x1.ba3a13d8a0d3ep-19, 0x1.dca2855bc7e0ap-19, 0x1.fdf458cdc0258p-19, 0x1.0f1a62b69f10cp-18, 0x1.1eb46d668e30ep-18, 0x1.2dcac17938e48p-18, 0x1.3c5fc232308a1p-18, 0x1.4a75c212b711dp-18, 0x1.580f03bdf74ap-18, 0x1.652dbae33e031p-18, 0x1.71d40d0cb77f9p-18, 0x1.7e04126a33baap-18, 0x1.89bfd68f2a77cp-18, 0x1.950959293196fp-18, 0x1.9fe28eab111bcp-18, 0x1.aa4d60e8eb94p-18, 0x1.b44bafb7f7e52p-18, 0x1.bddf517a25ef4p-18, 0x1.c70a13a5c3f87p-18, 0x1.cfcdbb48f5e53p-18, 0x1.d82c057e2a54p-18, 0x1.e026a7e0419d8p-18, 0x1.e7bf50f30a2ecp-18, 0x1.eef7a888a3afp-18, 0x1.f5d1501de4561p-18, 0x1.fc4de32f5c0b5p-18, 0x1.01377bc7d07c1p-17, 0x1.041b0ed8d3fabp-17, 0x1.06d27078efd0bp-17, 0x1.095e63eba7859p-17, 0x1.0bbfaa286c031p-17, 0x1.0df701f7c5e6dp-17, 0x1.1005280dc79bfp-17, 0x1.11ead723713cfp-17, 0x1.13a8c80bf3605p-17, 0x1.153fb1cafff7p-17, 0x1.16b049a657cfbp-17, 0x1.17fb433881fc4p-17, 0x1.192150819000ep-17, 0x1.1a2321f4355edp-17, 0x1.1b01668414f84p-17, 0x1.1bbccbb0fe53p-17, 0x1.1c55fd92e6edp-17, 0x1.1ccda6e27100dp-17, 0x1.1d247101c2906p-17, 0x1.1d5b04043088p-17, 0x1.1d7206b5838f1p-17, 0x1.1d6a1e9dca48dp-17, 0x1.1d43f008cb8bp-17, 0x1.1d001e08a9fa3p-17, 0x1.1c9f4a799faa8p-17, 0x1.1c2216048fddap-17, 0x1.1b89202186296p-17, 0x1.1ad5071914f49p-17, 0x1.1a06680593ac3p-17, 0x1.191dded318906p-17, 0x1.181c06407eb55p-17, 0x1.170177dee62e9p-17, 0x1.15cecc0fcd17cp-17, 0x1.14849a0589ef7p-17, 0x1.132377c1437a5p-17, 0x1.11abfa1137c54p-17, 0x1.101eb48ed69f2p-17, 0x1.0e7c399cadf49p-17, 0x1.0cc51a645e88p-17, 0x1.0af9e6d482d36p-17, 0x1.091b2d9c9a0d9p-17, 0x1.07297c2b9f284p-17, 0x1.05255eace2c66p-17, 0x1.030f6004a73b2p-17, 0x1.00e809cd4ba33p-17, 0x1.fd5fc8a91c1bep-18, 0x1.f8ceed30f05f9p-18, 0x1.f41e8c864a73p-18, 0x1.ef4faf50ae99fp-18, 0x1.ea635b846fe4p-18, 0x1.e55a945eaca1dp-18, 0x1.e0365a5b8adc8p-18, 0x1.daf7ab32ea60dp-18, 0x1.d59f81d16487ep-18, 0x1.d02ed65268317p-18, 0x1.caa69df9e8818p-18, 0x1.c507cb2fc578bp-18, 0x1.bf534d7b6996p-18, 0x1.b98a117c5dd3p-18, 0x1.b3ad00e61d754p-18, 0x1.adbd027b15bc9p-18, 0x1.a7bafa08d55cbp-18, 0x1.a1a7c8648dd2bp-18, 0x1.9b844b65523fap-18, 0x1.95515de195ceap-18, 0x1.8f0fd7abc6b14p-18, 0x1.88c08d8ce2defp-18, 0x1.826451430973bp-18, 0x1.7bfbf17f34768p-18, 0x1.758839e29d04ep-18, 0x1.6f09f2fb73221p-18, 0x1.6881e2432ecf3p-18, 0x1.61f0ca1d66972p-18, 0x1.5b5769d57a0e5p-18, 0x1.54b67d9ff3c51p-18, 0x1.4e0ebe97558d6p-18, 0x1.4760e2bd67b1p-18, 0x1.40ad9cfa361d3p-18, 0x1.39f59d1b58c8p-18, 0x1.33398fd39b33ep-18, 0x1.2c7a1ebed0b4fp-18, 0x1.25b7f05fe388ap-18, 0x1.1ef3a82323fe7p-18, 0x1.182de65ebce9fp-18, 0x1.11674854d33d4p-18, 0x1.0aa06835398ccp-18, 0x1.03d9dd2035afp-18, 0x1.fa287651e58b7p-19, 0x1.eca026b0333a2p-19, 0x1.df1be75d7d4a6p-19, 0x1.d19cce53274fbp-19, 0x1.c423eb8485a03p-19, 0x1.b6b248eaf6137p-19, 0x1.a948ea8ca4467p-19, 0x1.9be8ce847daadp-19, 0x1.8e92ed08aee2fp-19, 0x1.81483874e8fe8p-19, 0x1.74099d52e19eap-19, 0x1.66d8026468ed3p-19, 0x1.59b448adb24f4p-19, 0x1.4c9f4b81a3545p-19, 0x1.3f99e08969cedp-19, 0x1.32a4d7d274c49p-19, 0x1.25c0fbd74b0acp-19, 0x1.18ef118a88fap-19, 0x1.0c2fd863cc29fp-19, 0x1.ff0814de47508p-20, 0x1.e5d8b8ae32834p-20, 0x1.ccd2fadfb2968p-20, 0x1.b3f82f8e03ef1p-20, 0x1.9b49a05d817ep-20, 0x1.82c88c979eb3bp-20, 0x1.6a762948f8671p-20, 0x1.5253a15e5c913p-20, 0x1.3a6215c0a1a95p-20, 0x1.22a29d6e89a35p-20, 0x1.0b16459e6b379p-20, 0x1.e77c23a7d2163p-21, 0x1.b935f8046100cp-21, 0x1.8b5be9548ad61p-21, 0x1.5defc5fb59d05p-21, 0x1.30f349ec79f52p-21, 0x1.04681eee01cf8p-21, 0x1.b09fb9af09bd5p-22, 0x1.5958139ae07ep-22, 0x1.02fc3507ccf34p-22, 0x1.5b1dc9de19984p-23, 0x1.644b21f3e44a2p-24, 0x1.6298dc400508dp-28, -0x1.341f9d754512bp-24, -0x1.3d43aaee1844fp-23, -0x1.de8288b2f00d8p-23, -0x1.3ee430e387994p-22, -0x1.8d88b6dccb477p-22, -0x1.db2d1063105e2p-22, -0x1.13e7cabd0b81cp-21, -0x1.39b75dc7956bp-21, -0x1.5f048a749a3c3p-21, -0x1.83cea81d3b2fp-21, -0x1.a8151c07f750ep-21, -0x1.cbd75930a22c6p-21, -0x1.ef14dffc71608p-21, -0x1.08e69efeccaaep-20, -0x1.1a0006dd2678ep-20, -0x1.2ad67b344cd49p-20, -0x1.3b69d5d95e1a9p-20, -0x1.4bb9f6bba56b2p-20, -0x1.5bc6c3c59a87ep-20, -0x1.6b9028bc02a6ep-20, -0x1.7b16171d7ff47p-20, -0x1.8a588608d8163p-20, -0x1.9957721b5475p-20, -0x1.a812dd521dc26p-20, -0x1.b68aceed5a492p-20, -0x1.c4bf535166dcap-20, -0x1.d2b07bea1b34fp-20, -0x1.e05e5f08d85d4p-20, -0x1.edc917cb4033ap-20, -0x1.faf0c5fce2c9dp-20, -0x1.03eac6fdaee8p-19, -0x1.0a3bcc4cc17bap-19, -0x1.106b89812ddedp-19, -0x1.167a174ee7de7p-19, -0x1.1c679079fdbc9p-19, -0x1.223411c7a19bbp-19, -0x1.27dfb9f33066bp-19, -0x1.2d6aa99ee4304p-19, -0x1.32d503467af09p-19, -0x1.381eeb33123eap-19, -0x1.3d48876cbb14ep-19, -0x1.4251ffaefa68bp-19, -0x1.473b7d5a3528dp-19, -0x1.4c052b67a8355p-19, -0x1.50af365e14336p-19, -0x1.5539cc43f6c3cp-19, -0x1.59a51c943f8f6p-19, -0x1.5df158327d487p-19, -0x1.621eb15e2cbbdp-19, -0x1.662d5ba7b14fap-19, -0x1.6a1d8be41e4a6p-19, -0x1.6def78225bb4ap-19, -0x1.71a3579faf028p-19, -0x1.753962bd1ff2bp-19, -0x1.78b1d2f3b23dcp-19, -0x1.7c0ce2ca50c5fp-19, -0x1.7f4acdcb66574p-19, -0x1.826bd0795224p-19, -0x1.8570284560bccp-19, -0x1.88581384be37ap-19, -0x1.8b23d1677cfe7p-19, -0x1.8dd3a1edd1bf5p-19, -0x1.9067c5df277cep-19, -0x1.92e07ec0bf2c3p-19, -0x1.953e0ecb5e5d1p-19, -0x1.9780b8e35f33ap-19, -0x1.99a8c08f491bdp-19, -0x1.9bb669ee4aeeep-19, -0x1.9da9f9b0e2894p-19, -0x1.9f83b50effe48p-19, -0x1.a143e1c0dd198p-19, -0x1.a2eac5f5aa19ap-19, -0x1.a478a84c9361dp-19, -0x1.a5edcfcbcd654p-19, -0x1.a74a83d94c475p-19, -0x1.a88f0c3426caap-19, -0x1.a9bbb0eb7a886p-19, -0x1.aad0ba5822764p-19, -0x1.abce71157c759p-19, -0x1.acb51dfa1a227p-19, -0x1.ad850a1123c34p-19, -0x1.ae3e7e9311bcdp-19, -0x1.aee1c4e096ecbp-19, -0x1.af6f267b3cb77p-19, -0x1.afe6ecfe6894dp-19, -0x1.b049621aab4b6p-19, -0x1.b096cf8eb1bcp-19, -0x1.b0cf7f221705ep-19, -0x1.b0f3ba9eefdp-19, -0x1.b103cbccea3f9p-19, -0x1.b0fffc6b806dbp-19, -0x1.b0e8962bd9023p-19, -0x1.b0bde2ae63935p-19, -0x1.b0802b7afa7eap-19, -0x1.b02fb9fc8c119p-19, }}, 
      std::vector<double>(700, 0.0), 
      {{0x1.13155fa957f38p-8, 0x1.13072ed10c67bp-7, 0x1.9c4d7aeb0a8f3p-7, 0x1.1286a9516e689p-6, 0x1.5664cf964172dp-6, 0x1.996d1e950ee85p-6, 0x1.db38ce1cacddp-6, 0x1.0da91b6616c36p-5, 0x1.2c9c8a17e5d94p-5, 0x1.4a3364891decdp-5, 0x1.662931a3d972fp-5, 0x1.803a1baad4991p-5, 0x1.98247fbaa7ebfp-5, 0x1.adaa3b4e063ap-5, 0x1.c091b883c9b31p-5, 0x1.d0a6bcb94f72ep-5, 0x1.ddbafebbb9802p-5, 0x1.e7a68ab42305p-5, 0x1.ee47fa44eadc7p-5, 0x1.f184873f3c66cp-5, 0x1.f147ff0a28fcfp-5, 0x1.ed849c6073797p-5, 0x1.e632cc814ed7fp-5, 0x1.db50e45f13d5dp-5, 0x1.cce2c9c5bd8ddp-5, 0x1.baf193e789eb5p-5, 0x1.a58b263ba791ap-5, 0x1.8cc1c823b525p-5, 0x1.70abbb617e301p-5, 0x1.5162d3075c1cp-5, 0x1.2f040c3a5a6b3p-5, 0x1.09af29d50a015p-5, 0x1.c30ca7784532bp-6, 0x1.6d5b7502cfe8dp-6, 0x1.12967f8a33d77p-6, 0x1.66188e84f2435p-7, 0x1.3c35ba5c5f9bfp-8, -0x1.913d5fc006c68p-10, -0x1.0a088af9ca0a6p-7, -0x1.e8e01b24d7a52p-7, -0x1.67033b695994bp-6, -0x1.dc6a22ada9673p-6, -0x1.2a28dd7a29c42p-5, -0x1.6733f9fe60fa1p-5, -0x1.a52e009c375acp-5, -0x1.e3ef4e8603802p-5, -0x1.11a8910ff435dp-4, -0x1.3196da85822b6p-4, -0x1.51b0295f44ee8p-4, -0x1.71e2b5f473c58p-4, -0x1.921d5368e865cp-4, -0x1.b24f767a26f7ap-4, -0x1.d2693b0315014p-4, -0x1.f25b684ff4ca3p-4, -0x1.090bba2d9fdffp-3, -0x1.18c7c3054e975p-3, -0x1.285b3b4135be3p-3, -0x1.37bfe8d258396p-3, -0x1.46efeae7c98c3p-3, -0x1.55e5b976ff4b2p-3, -0x1.649c247612b75p-3, -0x1.730e52d03ec27p-3, -0x1.8137c11c4e93p-3, -0x1.8f14401c3d61cp-3, -0x1.9c9ff30ccd679p-3, -0x1.a9d74dcb46085p-3, -0x1.b6b712d736b88p-3, -0x1.c33c51359acf7p-3, -0x1.cf64623a473b4p-3, -0x1.db2ce73c44af4p-3, -0x1.e693c73934116p-3, -0x1.f1972c6ba1c0cp-3, -0x1.fc3581d7b66f3p-3, -0x1.0336b868c4979p-2, -0x1.081eef3ff4a24p-2, -0x1.0cd2f4af20c05p-2, -0x1.1152735ff6f77p-2, -0x1.159d302b9225dp-2, -0x1.19b308e0aada7p-2, -0x1.1d93f30d537d7p-2, -0x1.213ffacd0b6bap-2, -0x1.24b7419bc211p-2, -0x1.27f9fd2e6543cp-2, -0x1.2b08765174419p-2, -0x1.2de307ce04622p-2, -0x1.308a1d559369ep-2, -0x1.32fe3274f07f7p-2, -0x1.353fd18e7e2c2p-2, -0x1.374f92dbfe391p-2, -0x1.392e1b7804e17p-2, -0x1.3adc1c6f3fc42p-2, -0x1.3c5a51d98e629p-2, -0x1.3da981fb07719p-2, -0x1.3eca7c6cdeaa7p-2, -0x1.3fbe194e3308cp-2, -0x1.4085387cad42ep-2, -0x1.4120c0d4e8c62p-2, -0x1.41919f7a89bf2p-2, -0x1.41d8c727ee25fp-2, -0x1.41f72f85562ebp-2, -0x1.41edd48765c4dp-2, -0x1.41bdb5d4dd35p-2, -0x1.4167d63363a2ap-2, -0x1.40ed3afb389fbp-2, -0x1.404eeb91a6a43p-2, -0x1.3f8df0ea0c9ccp-2, -0x1.3eab550d51435p-2, -0x1.3da822a792856p-2, -0x1.3c85649be9d28p-2, -0x1.3b44259e116ddp-2, -0x1.39e56fd1c32d7p-2, -0x1.386a4c6f9d32ap-2, -0x1.36d3c36f681ap-2, -0x1.3522db378505fp-2, -0x1.3358985164ba8p-2, -0x1.3175fd22d222cp-2, -0x1.2f7c09abe3d39p-2, -0x1.2d6bbb497470fp-2, -0x1.2b460c7be858ep-2, -0x1.290bf4b2223b1p-2, -0x1.26be6818794ffp-2, -0x1.245e576b88b9ap-2, -0x1.21ecafceb23b9p-2, -0x1.1f6a5aa62b629p-2, -0x1.1cd83d74741fbp-2, -0x1.1a3739bb0c9f5p-2, -0x1.17882cde49ce9p-2, -0x1.14cbf00c25d26p-2, -0x1.12035825e93fbp-2, -0x1.0f2f35ac8c89cp-2, -0x1.0c5054afb11afp-2, -0x1.09677cbf13be9p-2, -0x1.067570de5bc6ap-2, -0x1.037aef7b234cap-2, -0x1.0078b2652300cp-2, -0x1.fadedd90c8213p-3, -0x1.f4bfaa52b3979p-3, -0x1.ee9522c59e788p-3, -0x1.e860954b104e5p-3, -0x1.e22346f30b4p-3, -0x1.dbde7381a16efp-3, -0x1.d5934d776d339p-3, -0x1.cf42fe1cc03e4p-3, -0x1.c8eea58f63c94p-3, -0x1.c2975ad2b7b9cp-3, -0x1.bc3e2be212c5fp-3, -0x1.b5e41dc53c0cbp-3, -0x1.af8a2ca6d4c68p-3, -0x1.a9314bec95093p-3, -0x1.a2da6651386efp-3, -0x1.9c865dfff4cd8p-3, -0x1.96360cb16c0adp-3, -0x1.8fea43c9e2844p-3, -0x1.89a3cc78b5a4p-3, -0x1.836367d8ea2dp-3, -0x1.7d29cf12b7db8p-3, -0x1.76f7b37e00c14p-3, -0x1.70cdbec59594dp-3, -0x1.6aac930b3399ep-3, -0x1.6494cb0c21bf4p-3, -0x1.5e86fa4662642p-3, -0x1.5883ad1e56955p-3, -0x1.528b6904cbba1p-3, -0x1.4c9eac9d62172p-3, -0x1.46bdefe52b9dcp-3, -0x1.40e9a4598cb38p-3, -0x1.3b22351f2f723p-3, -0x1.356807291af8ap-3, -0x1.2fbb795fc8f9p-3, -0x1.2a1ce4c835fffp-3, -0x1.248c9caae1057p-3, -0x1.1f0aeebaa990bp-3, -0x1.1998233b88097p-3, -0x1.14347d290dbd8p-3, -0x1.0ee03a5caad8ap-3, -0x1.099b93b3a8b7p-3, -0x1.0466bd34d7b0bp-3, -0x1.fe83cc6bd0e81p-4, -0x1.f45a7300b7a59p-4, -0x1.ea51baec31ac5p-4, -0x1.e069e86b18283p-4, -0x1.d6a3377ab92b9p-4, -0x1.ccfddc1f4427cp-4, -0x1.c37a02a947255p-4, -0x1.ba17cffa1ed2ap-4, -0x1.b0d761c760735p-4, -0x1.a7b8cedd36a67p-4, -0x1.9ebc275f94ddap-4, -0x1.95e1750a5c163p-4, -0x1.8d28bb7046c7fp-4, -0x1.8491f838bf666p-4, -0x1.7c1d235c7957ep-4, -0x1.73ca2f60dd468p-4, -0x1.6b99099241ed6p-4, -0x1.63899a3ceb68cp-4, -0x1.5b9bc4e4d3239p-4, -0x1.53cf687c3484fp-4, -0x1.4c245f98de5d1p-4, -0x1.449a80a84a4cep-4, -0x1.3d319e22761c6p-4, -0x1.35e986bb83665p-4, -0x1.2ec205941c2fep-4, -0x1.27bae2689e5c8p-4, -0x1.20d3e1bf0fc03p-4, -0x1.1a0cc513d9ee5p-4, -0x1.13654b05541bcp-4, -0x1.0cdd2f7e1b3f8p-4, -0x1.06742bde38466p-4, -0x1.0029f7231c9d8p-4, -0x1.f3fc8c1ceadcp-5, -0x1.e7e19697acd63p-5, -0x1.dc026f2a883a3p-5, -0x1.d05e73ad3d6f4p-5, -0x1.c4f4fe9fe2b3dp-5, -0x1.b9c5676d543d5p-5, -0x1.aecf02ab7db5ep-5, -0x1.a411225987a4fp-5, -0x1.998b161beb94ep-5, -0x1.8f3c2b7680e4fp-5, -0x1.8523ae04813c5p-5, -0x1.7b40e7ae94167p-5, -0x1.719320deea91p-5, -0x1.6819a0b372832p-5, -0x1.5ed3ad2e2950fp-5, -0x1.55c08b639e4f8p-5, -0x1.4cdf7fa7a56e5p-5, -0x1.442fcdb84c719p-5, -0x1.3bb0b8e715339p-5, -0x1.3361844082a69p-5, -0x1.2b4172b207036p-5, -0x1.234fc72e4b0e3p-5, -0x1.1b8bc4cff4159p-5, -0x1.13f4aefad6bb9p-5, -0x1.0c89c97bb091ap-5, -0x1.054a58a672614p-5, -0x1.fc6b42e62a4c2p-6, -0x1.ee95d33232149p-6, -0x1.e112ef53523b9p-6, -0x1.d3e12650d9dccp-6, -0x1.c6ff094639853p-6, -0x1.ba6b2b8fa4f9fp-6, -0x1.ae2422f45885bp-6, -0x1.a22887ce8a417p-6, -0x1.9676f531161d7p-6, -0x1.8b0e090af4db4p-6, -0x1.7fec64489f0a4p-6, -0x1.7510aaf357cf1p-6, -0x1.6a79844e7815dp-6, -0x1.60259af2d4ed7p-6, -0x1.56139ce83e3bp-6, -0x1.4c423bbd378c9p-6, -0x1.42b02c9ce299p-6, -0x1.395c286355214p-6, -0x1.3044ebb032caap-6, -0x1.276936f7c55a2p-6, -0x1.1ec7ce9289776p-6, -0x1.165f7acb49ff1p-6, -0x1.0e2f07ebd2586p-6, -0x1.0635464845deep-6, -0x1.fce2149252188p-7, -0x1.edc258e85bf27p-7, -0x1.df0912e7886b6p-7, -0x1.d0b4043b18ad2p-7, -0x1.c2c0f6ef51c88p-7, -0x1.b52dbd7a038c3p-7, -0x1.a7f832c0f454bp-7, -0x1.9b1e3a1e84dfep-7, -0x1.8e9dbf6448947p-7, -0x1.8274b6dbe980dp-7, -0x1.76a11d465ae1p-7, -0x1.6b20f7d96406p-7, -0x1.5ff2543baf3f2p-7, -0x1.5513487f4370dp-7, -0x1.4a81f31ab1871p-7, -0x1.403c7ae0d3492p-7, -0x1.36410ef7615c8p-7, -0x1.2c8de6cc44e14p-7, -0x1.23214209c3c28p-7, -0x1.19f96889a4951p-7, -0x1.1114aa4740dd8p-7, -0x1.08715f50b15fap-7, -0x1.000de7b7103e2p-7, -0x1.efd156fbabf56p-8, -0x1.e0003512e12ccp-8, -0x1.d0a5591a3e768p-8, -0x1.c1bdc1f051107p-8, -0x1.b3467dc498c93p-8, -0x1.a53ca9ef662a7p-8, -0x1.979d72c8819abp-8, -0x1.8a66137cdf961p-8, -0x1.7d93d5e357029p-8, -0x1.712412507a8fap-8, -0x1.65142f698b8dfp-8, -0x1.5961a1f6eb056p-8, -0x1.4e09ecb59cf1cp-8, -0x1.430aa02884913p-8, -0x1.38615a68ed661p-8, -0x1.2e0bc6f687337p-8, -0x1.24079e872bef8p-8, -0x1.1a52a6d630e4dp-8, -0x1.10eab2738bebap-8, -0x1.07cda092aaaafp-8, -0x1.fdf2b9b201545p-9, -0x1.ecd7be5934e89p-9, -0x1.dc46570507f3bp-9, -0x1.cc3aa35a53c38p-9, -0x1.bcb0da55b8219p-9, -0x1.ada549e80fb5p-9, -0x1.9f14569394085p-9, -0x1.90fa7b08f7fc9p-9, -0x1.835447c4eaf2fp-9, -0x1.761e62ae1bbf9p-9, -0x1.695586b3413e4p-9, -0x1.5cf68369ea2f5p-9, -0x1.50fe3cada0f6p-9, -0x1.4569aa3fd18eap-9, -0x1.3a35d7682e2e8p-9, -0x1.2f5fe2961b59ap-9, -0x1.24e4fd024360fp-9, -0x1.1ac26a5128542p-9, -0x1.10f58036ba99p-9, -0x1.077ba61a637a7p-9, -0x1.fca4a978ddff7p-10, -0x1.eaee2bb7ef9bp-10, -0x1.d9cf07bb608a4p-10, -0x1.c94292e7eb0d8p-10, -0x1.b944428f18ecbp-10, -0x1.a9cfab4316bd2p-10, -0x1.9ae0802cfc871p-10, -0x1.8c7292646831p-10, -0x1.7e81d049519f6p-10, -0x1.710a44e07b9d2p-10, -0x1.64081731b1427p-10, -0x1.577789a832edfp-10, -0x1.4b54f97605d53p-10, -0x1.3f9cddf8cc857p-10, -0x1.344bc820aaef7p-10, -0x1.295e61da5cfb1p-10, -0x1.1ed16d7aafc3p-10, -0x1.14a1c52cd5869p-10, -0x1.0acc5a62eb6dcp-10, -0x1.014e3548f55bbp-10, -0x1.f048e872fe211p-11, -0x1.de98966a51c8ap-11, -0x1.cd8606b8a28ep-11, -0x1.bd0bf4d601074p-11, -0x1.ad25446ea0643p-11, -0x1.9dcd006480179p-11, -0x1.8efe59d4084cep-11, -0x1.80b4a71ef4e93p-11, -0x1.72eb62faba751p-11, -0x1.659e2b83e7cbdp-11, -0x1.58c8c155ac29dp-11, -0x1.4c6706a677469p-11, -0x1.4074fe688e4a6p-11, -0x1.34eecb6e3eee8p-11, -0x1.29d0af9373971p-11, -0x1.1f170aeb46a4ap-11, -0x1.14be5af1b196ep-11, -0x1.0ac339c161ae6p-11, -0x1.01225d4e95f06p-11, -0x1.efb12d49efb2bp-12, -0x1.ddc5a252fe6dap-12, -0x1.cc7c23c2dcf1cp-12, -0x1.bbceed789f8e8p-12, -0x1.abb86bc4db362p-12, -0x1.9c333a0e0b508p-12, -0x1.8d3a217d2ceffp-12, -0x1.7ec817b0cd7dbp-12, -0x1.70d83d77e47f2p-12, -0x1.6365dd9494d27p-12, -0x1.566c6b85b6f4dp-12, -0x1.49e78257969bfp-12, -0x1.3dd2e37c61484p-12, -0x1.322a75ab226efp-12, -0x1.26ea43c518fd2p-12, -0x1.1c0e7bc1de72fp-12, -0x1.11936da2345cp-12, -0x1.07758a6ab1965p-12, -0x1.fb62c644ab338p-13, -0x1.e8874fb297703p-13, -0x1.d6524d6c31a91p-13, -0x1.c4bd960ec84a9p-13, -0x1.b3c338b8c56f5p-13, -0x1.a35d7b45ab62cp-13, -0x1.9386d8971401p-13, -0x1.8439fee81eb8ap-13, -0x1.7571ce2b5c7f4p-13, -0x1.67295674c7d6bp-13, -0x1.595bd66e0cd47p-13, -0x1.4c04b9d4f33c4p-13, -0x1.3f1f98036ac69p-13, -0x1.32a83281f8863p-13, -0x1.269a73a595729p-13, -0x1.1af26d356759fp-13, -0x1.0fac5719ed296p-13, -0x1.04c48e17a55ap-13, -0x1.f46f25200fbbp-14, -0x1.e0040e995ba5dp-14, -0x1.cc4160a44b66ap-14, -0x1.b920e37985ad9p-14, -0x1.a69c9d49da9d2p-14, -0x1.94aed016b26eap-14, -0x1.8351f79b425bcp-14, -0x1.7280c746eab41p-14, -0x1.62362842a9ad3p-14, -0x1.526d3788cb2b5p-14, -0x1.43214406f3e59p-14, -0x1.344dccd48877ep-14, -0x1.25ee7f7298005p-14, -0x1.17ff361922691p-14, -0x1.0a7bf6132fceep-14, -0x1.fac1dc52f0544p-15, -0x1.e154ea281c347p-15, -0x1.c8aa0fff5a4d8p-15, -0x1.b0ba922a60a4bp-15, -0x1.997ffc2ad519ep-15, -0x1.82f41dfc9a61bp-15, -0x1.6d1109714c1e2p-15, -0x1.57d10fa225fd6p-15, -0x1.432ebe7fc48e9p-15, -0x1.2f24de68a0fbap-15, -0x1.1bae6fde9d661p-15, -0x1.08c6a94bda5aep-15, -0x1.ecd1e9a9516d6p-16, -0x1.c921dc8c99992p-16, -0x1.a674c22836ceep-16, -0x1.84c28cc396c1cp-16, -0x1.6403864362956p-16, -0x1.44304c91bf795p-16, -0x1.2541ce0fdc0c3p-16, -0x1.07314636e215dp-16, -0x1.d3f074af60f15p-17, -0x1.9b20ecd0c891ep-17, -0x1.63e8140a73d46p-17, -0x1.2e3a8af8e120ap-17, -0x1.f41adbe2391eep-18, -0x1.8eac9f332f907p-18, -0x1.2c1667480bdf5p-18, -0x1.988a2709fc3eap-19, -0x1.bc9945f7eb415p-20, -0x1.4a8939fb1d111p-22, 0x1.0d13df53702d5p-20, 0x1.3164dedd7fe62p-19, 0x1.d75e8df2789dep-19, 0x1.3c4a4f7bd965p-18, 0x1.8a91bee61fc35p-18, 0x1.d6933788190cap-18, 0x1.102de78d68ab8p-17, 0x1.33fc0ad64a675p-17, 0x1.56ba0e1a64e8fp-17, 0x1.786dbd691a088p-17, 0x1.991cab6a4c79p-17, 0x1.b8cc34439efd6p-17, 0x1.d781806596dfp-17, 0x1.f5418727a68a8p-17, 0x1.090888ad6013ep-16, 0x1.16fa5de087abbp-16, 0x1.24787ca4a8928p-16, 0x1.31850ab38c4e3p-16, 0x1.3e221b1204048p-16, 0x1.4a51af174190dp-16, 0x1.5615b762ee075p-16, 0x1.617014cdb791cp-16, 0x1.6c62994b85cc9p-16, 0x1.76ef08bdfac52p-16, 0x1.811719ca5f777p-16, 0x1.8adc769babfcfp-16, 0x1.9440bd9870ee3p-16, 0x1.9d45821a05bf8p-16, 0x1.a5ec4d12299a4p-16, 0x1.ae369daeca136p-16, 0x1.b625e9ed35afep-16, 0x1.bdbb9f30050c6p-16, 0x1.c4f922c55b741p-16, 0x1.cbdfd2655f135p-16, 0x1.d27104b1ce838p-16, 0x1.d8ae09a96cbacp-16, 0x1.de982b15a715p-16, 0x1.e430acefa7c52p-16, 0x1.e978cdc3e3e1ap-16, 0x1.ee71c70ea0b97p-16, 0x1.f31ccd9098fcfp-16, 0x1.f77b11a25cebep-16, 0x1.fb8dbf7f52146p-16, 0x1.ff55ff8f18576p-16, 0x1.016a7b51adf5ap-15, 0x1.0305e31d8debfp-15, 0x1.047dc65f86f5ep-15, 0x1.05d2b2d92462bp-15, 0x1.070534f429f6cp-15, 0x1.0815d7d9338cbp-15, 0x1.09052586c3ae5p-15, 0x1.09d3a6e3b8095p-15, 0x1.0a81e3d268ab3p-15, 0x1.0b1063422156ap-15, 0x1.0b7fab3f052a9p-15, 0x1.0bd040fd89808p-15, 0x1.0c02a8ea7c85fp-15, 0x1.0c1766b5dd411p-15, 0x1.0c0efd5c5d4fap-15, 0x1.0be9ef314ceedp-15, 0x1.0ba8bde6d5958p-15, 0x1.0b4bea963ea58p-15, 0x1.0ad3f5c4f1d9p-15, 0x1.0a415f6a5217ep-15, 0x1.0994a6f50e702p-15, 0x1.08ce4b4f633c3p-15, 0x1.07eecae050589p-15, 0x1.06f6a38fa2cddp-15, 0x1.05e652c832c17p-15, 0x1.04be5577e6b39p-15, 0x1.037f28100f5eap-15, 0x1.02294686345c6p-15, 0x1.00bd2c541930dp-15, 0x1.fe76a8ee7fd22p-16, 0x1.fb4872da49f3bp-16, 0x1.f7f0aa67f026ep-16, 0x1.f470428f5e2f6p-16, 0x1.f0c82d3febd7p-16, 0x1.ecf95b58ef53dp-16, 0x1.e904bca71961ep-16, 0x1.e4eb3fdc853d1p-16, 0x1.e0add287ecd43p-16, 0x1.dc4d610df7418p-16, 0x1.d7cad6a2231a2p-16, 0x1.d3271d41fe2bep-16, 0x1.ce631da7fd848p-16, 0x1.c97fbf4417c52p-16, 0x1.c47de833dd095p-16, 0x1.bf5e7d38fe2a1p-16, 0x1.ba2261b026265p-16, 0x1.b4ca77877f3c5p-16, 0x1.af579f3709818p-16, 0x1.a9cab7b58a4cep-16, 0x1.a4249e6e910d9p-16, 0x1.9e662f38c882ap-16, 0x1.9890444ddb79p-16, 0x1.92a3b643187d2p-16, 0x1.8ca15bfcf1c6fp-16, 0x1.868a0aa67a347p-16, 0x1.805e95a8c11eap-16, 0x1.7a1fcea09e42fp-16, 0x1.73ce85572af17p-16, 0x1.6d6b87b8d2389p-16, 0x1.66f7a1cc8b94bp-16, 0x1.60739dac299abp-16, 0x1.59e0437a13dd6p-16, 0x1.533e595a5c79ap-16, 0x1.4c8ea369adab3p-16, 0x1.45d1e3ba17f2ap-16, 0x1.3f08da47599a9p-16, 0x1.383444f1d148ep-16, 0x1.3154df76257c7p-16, 0x1.2a6b636723237p-16, 0x1.237888268b17dp-16, 0x1.1c7d02e1c9ee3p-16, 0x1.15798688eb4f5p-16, 0x1.0e6ec3cad970dp-16, 0x1.075d690f2554ap-16, 0x1.004622705db4dp-16, 0x1.f253336ed9e52p-17, 0x1.e410ecaffc0e1p-17, 0x1.d5c6bad9e57fap-17, 0x1.c775e36597eccp-17, 0x1.b91fa7085f4cep-17, 0x1.aac541adc04cdp-17, 0x1.9c67ea6e22e02p-17, 0x1.8e08d38c8ee9ap-17, 0x1.7fa92a7243cf6p-17, 0x1.714a17a6c4218p-17, 0x1.62ecbecd3777ap-17, 0x1.54923ea096754p-17, 0x1.463bb0eeee588p-17, 0x1.37ea2a976cc12p-17, 0x1.299ebb8a84704p-17, 0x1.1b5a6ec8db2dp-17, 0x1.0d1e4a5f1865ap-17, 0x1.fdd69ece4e915p-18, 0x1.e184f40d6c405p-18, 0x1.c54982df9f9a5p-18, 0x1.a9262fc2ec416p-18, 0x1.8d1cd55a54bbap-18, 0x1.712f44697814fp-18, 0x1.555f43d833b3ap-18, 0x1.39ae90bd4d2cdp-18, 0x1.1e1ede5fbf2c9p-18, 0x1.02b1d63c858ecp-18, 0x1.ced2302765382p-19, 0x1.988c73ea0e5dep-19, 0x1.6295908525b58p-19, 0x1.2cf08b780415ep-19, 0x1.ef40ae2cadf7ap-20, 0x1.854fa52fcafd8p-20, 0x1.1c139470dcc5fp-20, 0x1.6723dd4026eb5p-21, 0x1.2f4003ecf94f2p-22, -0x1.b2d0ca67ab1f4p-24, -0x1.02c06ef4dad96p-21, -0x1.cd8943218b156p-21, -0x1.4b55918e44beap-20, -0x1.af0e7272f321ap-20, -0x1.08f569a509875p-19, -0x1.39f3336148e8fp-19, -0x1.6a7e818942245p-19, -0x1.9a9550cb0cb6p-19, -0x1.ca35af449fafdp-19, -0x1.f95dbc5ebf734p-19, -0x1.1405d44df040fp-18, -0x1.2b1edabb6c877p-18, -0x1.41f91a940f207p-18, -0x1.5893c545207fcp-18, -0x1.6eee1476305ccp-18, -0x1.850749ee13a0ap-18, -0x1.9adeaf81c2afap-18, -0x1.b07396fa7791fp-18, -0x1.c5c55a01ddacep-18, -0x1.dad35a00a22e7p-18, -0x1.ef9d000eaac6ap-18, -0x1.0210de6c4ed2ap-17, -0x1.0c3084449bb31p-17, -0x1.162d3158aa792p-17, -0x1.2006a91646da4p-17, -0x1.29bcb2852d44ap-17, -0x1.334f1839a4a5p-17, -0x1.3cbda8467ba8fp-17, -0x1.46083433fe42p-17, -0x1.4f2e90f062444p-17, -0x1.583096c3c0177p-17, -0x1.610e214371c71p-17, -0x1.69c70f45a71bcp-17, -0x1.725b42d3f952ep-17, -0x1.7acaa11c0ff22p-17, -0x1.8315126670d18p-17, -0x1.8b3a820660a6p-17, -0x1.933ade4f5a9c6p-17, -0x1.9b161887837f1p-17, -0x1.a2cc24d9ac72bp-17, -0x1.aa5cfa48ec1acp-17, -0x1.b1c892a38dafcp-17, -0x1.b90eea74d734ap-17, -0x1.c03000fa41a89p-17, -0x1.c72bd815a13c1p-17, -0x1.ce02743f872b7p-17, -0x1.d4b3dc7b4e2e3p-17, -0x1.db401a49ecba6p-17, -0x1.e1a7399ddbfb7p-17, -0x1.e7e948ccafe9fp-17, -0x1.ee0658835068p-17, -0x1.f3fe7bba1fa0ep-17, -0x1.f9d1c7a730a7fp-17, -0x1.ff8053b29a857p-17, -0x1.02851cb53eb89p-16, -0x1.0537ca3a8f079p-16, -0x1.07d8414331671p-16, -0x1.0a6691a8c8037p-16, -0x1.0ce2cc3f9c52ap-16, -0x1.0f4d02cfbeb63p-16, -0x1.11a5481039e67p-16, -0x1.13ebaf9fc454ap-16, -0x1.16204dff90de6p-16, -0x1.1843388e04d72p-16, -0x1.1a54857f53142p-16, -0x1.1c544bd9cbf8p-16, -0x1.1e42a36e81dd5p-16, -0x1.201fa4d482fd3p-16, -0x1.21eb696318946p-16, -0x1.23a60b2c3c126p-16, -0x1.254fa4f739afp-16, -0x1.26e8523adc19fp-16, -0x1.28702f18f9f85p-16, -0x1.29e7585849abap-16, -0x1.2b4deb5f20b96p-16, -0x1.2ca4062f2608ap-16, -0x1.2de9c75f2c24dp-16, -0x1.2f1f4e17842b6p-16, -0x1.3044ba0ac6f5bp-16, -0x1.315a2b7368aecp-16, -0x1.325fc30cbf3c9p-16, -0x1.3355a20f122a9p-16, -0x1.343bea2c2cffep-16, -0x1.3512bd88188f4p-16, -0x1.35da3eb61c45ap-16, -0x1.369290b43b14fp-16, -0x1.373bd6e5e5e32p-16, -0x1.37d6350fe0f1p-16, -0x1.3861cf54098bep-16, -0x1.38deca2d6d2c8p-16, -0x1.394d4a6b63a99p-16, -0x1.39ad752d18624p-16, -0x1.39ff6fde437e6p-16, -0x1.3a436032ca28p-16, -0x1.3a796c230c6d4p-16, -0x1.3aa1b9e6d1559p-16, -0x1.3abc6ff2bac27p-16, -0x1.3ac9b4f3cbb82p-16, -0x1.3ac9afcafae68p-16, -0x1.3abc878c68e61p-16, -0x1.3aa26378859ddp-16, -0x1.3a7b6af95bc9ep-16, }}, 
      {{-0x1.7bb705e3671d7p-1, -0x1.7bdcb6c945347p-1, -0x1.7c1328608bf21p-1, -0x1.7c5102a0739bbp-1, -0x1.7c8c8a5ec3b3ep-1, -0x1.7cbc9d321962bp-1, -0x1.7cd941e4f9f6ap-1, -0x1.7cdbef8d4363cp-1, -0x1.7cbfa3b26cf8ep-1, -0x1.7c80d8df54fcap-1, -0x1.7c1d69db58d03p-1, -0x1.7b946a0f9113p-1, -0x1.7ae5f8ef55633p-1, -0x1.7a13144efc965p-1, -0x1.791d6c349eb94p-1, -0x1.780739b5bda04p-1, -0x1.76d319c61e5ffp-1, -0x1.7583ec6327d0bp-1, -0x1.741cb834d206cp-1, -0x1.72a09286c7d7fp-1, -0x1.71128b59c44ap-1, -0x1.6f759d38cfbe6p-1, -0x1.6dcca0737f481p-1, -0x1.6c1a415ac04fep-1, -0x1.6a60f91ed0647p-1, -0x1.68a308f1311d4p-1, -0x1.66e2771376edap-1, -0x1.65210d830ce8dp-1, -0x1.636059f9b3a4bp-1, -0x1.61a1af0252ba5p-1, -0x1.5fe625e94fdb1p-1, -0x1.5e2ea156dff31p-1, -0x1.5c7bd06888cafp-1, -0x1.5ace32253ff07p-1, -0x1.5926192d38a77p-1, -0x1.5783af8b7b7e8p-1, -0x1.55e6fa93e3bcfp-1, -0x1.544fdebc0eb0ep-1, -0x1.52be23613cad5p-1, -0x1.5131767020214p-1, -0x1.4fa96fe6236cfp-1, -0x1.4e259525e297p-1, -0x1.4ca55c1a686c1p-1, -0x1.4b282e264db58p-1, -0x1.49ad6add1ea47p-1, -0x1.48346a867589p-1, -0x1.46bc806b19552p-1, -0x1.4544fced12b23p-1, -0x1.43cd2f6c3b583p-1, -0x1.425467f92b708p-1, -0x1.40d9f8d8bbec1p-1, -0x1.3f5d37da846e2p-1, -0x1.3ddd7f84e56b7p-1, -0x1.3c5a30193cfa8p-1, -0x1.3ad2b072f1c8bp-1, -0x1.39466ec3f7164p-1, -0x1.37b4e13167c3fp-1, -0x1.361d8652c07f3p-1, -0x1.347fe5962f12ap-1, -0x1.32db8f8c50493p-1, -0x1.31301e1d9c891p-1, -0x1.2f7d34aba4f2ap-1, -0x1.2dc280202406p-1, -0x1.2bffb6ebc679ap-1, -0x1.2a3498f671b22p-1, -0x1.2860ef82b23f5p-1, -0x1.26848d05d6b76p-1, -0x1.249f4cf62b03ap-1, -0x1.22b11390a1451p-1, -0x1.20b9cd9722ffcp-1, -0x1.1eb97008a58fdp-1, -0x1.1caff7d40c6e8p-1, -0x1.1a9d6986c61c2p-1, -0x1.1881d0f800afdp-1, -0x1.165d40f13b4dep-1, -0x1.142fd2d4ea602p-1, -0x1.11f9a643d0a26p-1, -0x1.0fbae0c19f76ap-1, -0x1.0d73ad59631bep-1, -0x1.0b243c422eaa1p-1, -0x1.08ccc284720a3p-1, -0x1.066d79a0559d8p-1, -0x1.04069f356d619p-1, -0x1.019874ac097eap-1, -0x1.fe467dc0c95e9p-2, -0x1.f94e8b9fc70b2p-2, -0x1.f449a89123437p-2, -0x1.ef386f360b848p-2, -0x1.ea1b7e9d91a42p-2, -0x1.e4f379b2b4411p-2, -0x1.dfc106afcfb46p-2, -0x1.da84ce978a6d7p-2, -0x1.d53f7cb35b113p-2, -0x1.cff1be17b2eb2p-2, -0x1.ca9c412dce71fp-2, -0x1.c53fb5432e83dp-2, -0x1.bfdcca1eb5f43p-2, -0x1.ba742f9b57a06p-2, -0x1.b50695484b5e5p-2, -0x1.af94aa0eb5198p-2, -0x1.aa1f1bdc9f551p-2, -0x1.a4a6975536294p-2, -0x1.9f2bc7861e3b7p-2, -0x1.99af55a1cd4ddp-2, -0x1.9431e8beba2d6p-2, -0x1.8eb4259b4b5d5p-2, -0x1.8936ae665571p-2, -0x1.83ba228c08186p-2, -0x1.7e3f1e87240b7p-2, -0x1.78c63bb64cf8fp-2, -0x1.735010355a016p-2, -0x1.6ddd2eba6dc32p-2, -0x1.686e2676c1bep-2, -0x1.630382fae93d8p-2, -0x1.5d9dcc1e7479cp-2, -0x1.583d85eac38fap-2, -0x1.52e33088e7e1ep-2, -0x1.4d8f48326bde8p-2, -0x1.48424524d992fp-2, -0x1.42fc9b97e4597p-2, -0x1.3dbebbb606213p-2, -0x1.3889119779001p-2, -0x1.335c053f6115p-2, -0x1.2e37fa9b0da7ap-2, -0x1.291d51832ec7cp-2, -0x1.240c65bedee08p-2, -0x1.1f058f0862c79p-2, -0x1.1a09211387372p-2, -0x1.15176b9579d5p-2, -0x1.1030ba4e0606fp-2, -0x1.0b5555121c121p-2, -0x1.06857fd78892cp-2, -0x1.01c17ac1c33aep-2, -0x1.fa13045f7db2ep-3, -0x1.f0bb9d954ea23p-3, -0x1.e77d2b2ae7171p-3, -0x1.de580ffa71dfap-3, -0x1.d54ca7d45e6bfp-3, -0x1.cc5b47a2a51cep-3, -0x1.c3843d8d16fa4p-3, -0x1.bac7d11eb0e52p-3, -0x1.b226436bb675bp-3, -0x1.a99fcf388d7bap-3, -0x1.a134a921344e4p-3, -0x1.98e4ffc1317f7p-3, -0x1.90b0fbdbf5e8p-3, -0x1.8898c085834fep-3, -0x1.809c6b4b534ccp-3, -0x1.78bc145d5eac5p-3, -0x1.70f7ceb733d23p-3, -0x1.694fa8490df7ap-3, -0x1.61c3aa20d2e89p-3, -0x1.5a53d892f1163p-3, -0x1.53003363055e6p-3, -0x1.4bc8b5ec44214p-3, -0x1.44ad57498b424p-3, -0x1.3dae0a7d217ap-3, -0x1.36cabe9808964p-3, -0x1.30035ee0e1c5fp-3, -0x1.2957d2fa59639p-3, -0x1.22c7ff0905223p-3, -0x1.1c53c3d8c7f5bp-3, -0x1.15faff0195036p-3, -0x1.0fbd8b0b9ecc8p-3, -0x1.099b3f92e8e56p-3, -0x1.0393f16a344ecp-3, -0x1.fb4ee57a879b2p-4, -0x1.efab2664dd29cp-4, -0x1.e43c40171b22bp-4, -0x1.d901c88c53aa1p-4, -0x1.cdfb5175f46cp-4, -0x1.c328687957734p-4, -0x1.b888976bd6404p-4, -0x1.ae1b648d67eb6p-4, -0x1.a3e052c1d4e19p-4, -0x1.99d6e1c85b489p-4, -0x1.8ffe8e71f6e39p-4, -0x1.8656d2d60f3e8p-4, -0x1.7cdf2685c8a51p-4, -0x1.7396febdd212cp-4, -0x1.6a7dce96bda6dp-4, -0x1.61930733eaa75p-4, -0x1.58d617f0fb42ep-4, -0x1.50466e8de074p-4, -0x1.47e377597a9d4p-4, -0x1.3fac9d5ad47e8p-4, -0x1.37a14a78fdccp-4, -0x1.2fc0e7a18754ep-4, -0x1.280adceda8782p-4, -0x1.207e91c60de75p-4, -0x1.191b6d055f15ap-4, -0x1.11e0d5197594p-4, -0x1.0ace3023543f8p-4, -0x1.03e2e415dfd77p-4, -0x1.fa3cada6befb6p-5, -0x1.ecffdc9396ed5p-5, -0x1.e00e211bdedfp-5, -0x1.d36647eace4eap-5, -0x1.c7071e5ef8afap-5, -0x1.baef72b9d42bfp-5, -0x1.af1e144d1a1dp-5, -0x1.a391d3a610032p-5, -0x1.984982b6c2212p-5, -0x1.8d43f4fd3dcefp-5, -0x1.827fffa8daa53p-5, -0x1.77fc79bd97c6fp-5, -0x1.6db83c35a809ap-5, -0x1.63b2222125953p-5, -0x1.59e908c40db6ep-5, -0x1.505bcfb2848bap-5, -0x1.470958eb7058p-5, -0x1.3df088f179eb8p-5, -0x1.351046e27ebaep-5, -0x1.2c677c8d7bba4p-5, -0x1.23f516870450fp-5, -0x1.1bb8043c4bbcap-5, -0x1.13af3804cd346p-5, -0x1.0bd9a7329f1bap-5, -0x1.04364a217fb2ap-5, -0x1.f98838893ef95p-6, -0x1.eb0438666edf1p-6, -0x1.dcde9767f094ep-6, -0x1.cf155f8eb9291p-6, -0x1.c1a6a161c2441p-6, -0x1.b49073fe705b3p-6, -0x1.a7d0f526f732cp-6, -0x1.9b66494ecb75ep-6, -0x1.8f4e9ba5432afp-6, -0x1.83881e1e60cc5p-6, -0x1.7811097a0204dp-6, -0x1.6ce79d494b5b2p-6, -0x1.620a1ff29ee9fp-6, -0x1.5776deb3ff2cap-6, -0x1.4d2c2da408ce8p-6, -0x1.432867b1918edp-6, -0x1.3969eea1e9699p-6, -0x1.2fef2b0de56c4p-6, -0x1.26b68c5db9d8cp-6, -0x1.1dbe88c3a882ep-6, -0x1.15059d35a042p-6, -0x1.0c8a4d65d319p-6, -0x1.044b23ba51267p-6, -0x1.f88d628776ba6p-7, -0x1.e8f71b6623154p-7, -0x1.d9d0ae9d5210cp-7, -0x1.cb1765cccdaf3p-7, -0x1.bcc8978e63c72p-7, -0x1.aee1a75b6aaffp-7, -0x1.a16005710945dp-7, -0x1.94412eb33161cp-7, -0x1.8782ac8e8510cp-7, -0x1.7b2214d91cafap-7, -0x1.6f1d09b263682p-7, -0x1.63713961f7c19p-7, -0x1.581c5e35b6461p-7, -0x1.4d1c3e5f0087ep-7, -0x1.426eabcf45737p-7, -0x1.38118413e09adp-7, -0x1.2e02b0316e2d3p-7, -0x1.2440247e7c843p-7, -0x1.1ac7e07dd8a56p-7, -0x1.1197eeb858dcbp-7, -0x1.08ae649651117p-7, -0x1.00096238affd5p-7, -0x1.ef4e24a3a038p-8, -0x1.df0b53fc05089p-8, -0x1.cf46d137ffffbp-8, -0x1.bffd2f4a2d72ep-8, -0x1.b12b150a874dbp-8, -0x1.a2cd3ce6746e3p-8, -0x1.94e07490b7a33p-8, -0x1.87619cb168cc2p-8, -0x1.7a4da895e1068p-8, -0x1.6da19de0d30c7p-8, -0x1.615a943a85ea4p-8, -0x1.5575b5014da04p-8, -0x1.49f03afa52ddbp-8, -0x1.3ec7720295466p-8, -0x1.33f8b6c065ea4p-8, -0x1.2981765537958p-8, -0x1.1f5f2e0ffe1e4p-8, -0x1.158f6b20035acp-8, -0x1.0c0fca4840aap-8, -0x1.02ddf79348522p-8, -0x1.f3ef5c0fb764cp-9, -0x1.e2b56ebc51dddp-9, -0x1.d209d76b3b06bp-9, -0x1.c1e86296ff1bbp-9, -0x1.b24cf86461aa2p-9, -0x1.a3339c1289d25p-9, -0x1.94986b6ca9674p-9, -0x1.86779e3d37b0fp-9, -0x1.78cd85c2b87f6p-9, -0x1.6b968c26570e1p-9, -0x1.5ecf33f3ec913p-9, -0x1.5274179427228p-9, -0x1.4681e8c81fb96p-9, -0x1.3af57026a85cap-9, -0x1.2fcb8c9b919bdp-9, -0x1.250132e8a3c1p-9, -0x1.1a936d288d0ap-9, -0x1.107f5a538c0b4p-9, -0x1.06c22dc5ceed6p-9, -0x1.fab25d8fbd8ap-10, -0x1.e8837031aed29p-10, -0x1.d6f26ef4dd323p-10, -0x1.c5fa5a7e393fep-10, -0x1.b59657b35a88cp-10, -0x1.a5c1aede0ab46p-10, -0x1.9677cad356815p-10, -0x1.87b4381e58654p-10, -0x1.7972a42f0f005p-10, -0x1.6baedc8c56558p-10, -0x1.5e64ce09ebb63p-10, -0x1.5190840203e9p-10, -0x1.452e279288f04p-10, -0x1.3939fede03f02p-10, -0x1.2db06c508567p-10, -0x1.228dede74f554p-10, -0x1.17cf1c7c91fb2p-10, -0x1.0d70ab16bad13p-10, -0x1.036f663afd206p-10, -0x1.f3906687a2133p-11, -0x1.e0f01f74d42abp-11, -0x1.cef8216740f05p-11, -0x1.bda2c460dd6b5p-11, -0x1.acea8d030dfeap-11, -0x1.9cca2b5cb2bb4p-11, -0x1.8d3c79bf3f2a3p-11, -0x1.7e3c7b994fa99p-11, -0x1.6fc55c57b568ap-11, -0x1.61d26e4d551c5p-11, -0x1.545f29a0c915ap-11, -0x1.47672b401ddd1p-11, -0x1.3ae633db3a1f8p-11, -0x1.2ed826e39182ep-11, -0x1.233909913754fp-11, -0x1.180501eef7bcdp-11, -0x1.0d3855eafd546p-11, -0x1.02cf6a6daaba2p-11, -0x1.f18d84ebc70bcp-12, -0x1.de35fc75c680bp-12, -0x1.cb91b4a550629p-12, -0x1.b99a5dbc78b43p-12, -0x1.a849dd761a004p-12, -0x1.979a4d7251d58p-12, -0x1.8785f9ad67643p-12, -0x1.78075f00bf042p-12, -0x1.691929ab80809p-12, -0x1.5ab633e6d21cfp-12, -0x1.4cd9848220e52p-12, -0x1.3f7e4d88adf0bp-12, -0x1.329feaeff7a8ep-12, -0x1.2639e14f9e0c4p-12, -0x1.1a47dca11531bp-12, -0x1.0ec5af070683dp-12, -0x1.03af4f9e246bep-12, -0x1.f201b2ab01249p-13, -0x1.dd6d139db39aep-13, -0x1.c999808cd5b38p-13, -0x1.b67ff9063d46p-13, -0x1.a419bb9a28e3ap-13, -0x1.926043d6bf0eap-13, -0x1.814d4853e462fp-13, -0x1.70dab8ca8afe4p-13, -0x1.6102bc3b3e064p-13, -0x1.51bfaf215b608p-13, -0x1.430c21b35eb06p-13, -0x1.34e2d62f87a98p-13, -0x1.273ebf34bb488p-13, -0x1.1a1afe280221p-13, -0x1.0d72e1a569668p-13, -0x1.0141e3fca1a88p-13, -0x1.eb07537358a72p-14, -0x1.d468006ebd6aap-14, -0x1.be9db879bae44p-14, -0x1.a9a0b14b65809p-14, -0x1.95696a27ec738p-14, -0x1.81f0a95b2ebd4p-14, -0x1.6f2f79c24bfcdp-14, -0x1.5d1f286c2b2e4p-14, -0x1.4bb9424bdb7adp-14, -0x1.3af791fbc67a9p-14, -0x1.2ad41d9280014p-14, -0x1.1b492488ab17ep-14, -0x1.0c511db0a9b94p-14, -0x1.fbcd6a7cf8d11p-15, -0x1.e00995bce6dd2p-15, -0x1.c54cdfb7360fcp-15, -0x1.ab8dcaac931afp-15, -0x1.92c3350fe3be2p-15, -0x1.7ae4562a780b1p-15, -0x1.63e8badc6ec25p-15, -0x1.4dc842798c2fbp-15, -0x1.387b1bbeb88cfp-15, -0x1.23f9c1e0c300cp-15, -0x1.103cf9b56d5adp-15, -0x1.fa7b9de7cf5f8p-16, -0x1.d5eb2316278cfp-16, -0x1.b2bba61fe2725p-16, -0x1.90e0c8868a71ap-16, -0x1.704ea553642d1p-16, -0x1.50f9cc77d0bd6p-16, -0x1.32d73e531ed9dp-16, -0x1.15dc6761b76bp-16, -0x1.f3fe381b8abdep-17, -0x1.be6b2953655f1p-17, -0x1.8aecd31354516p-17, -0x1.59711e91e8f2dp-17, -0x1.29e6a64f244cp-17, -0x1.f8795e323905fp-18, -0x1.a0c642a1ea63dp-18, -0x1.4c9504e6e7f2dp-18, -0x1.f78fbb34682bep-19, -0x1.5c844e0137cb5p-19, -0x1.8fa14520de0dap-20, -0x1.c9fd767672a56p-22, 0x1.3d865d2f7f6c3p-21, 0x1.a4889d1a995bdp-20, 0x1.4f97be95fdb2p-19, 0x1.c7896af6a5a42p-19, 0x1.1d2292ed1ef92p-18, 0x1.53fa90e4fa919p-18, 0x1.8861015bd1e3cp-18, 0x1.ba69775896445p-18, 0x1.ea26cecac55ep-18, 0x1.0bd59a15dab8bp-17, 0x1.218415e88569fp-17, 0x1.36274c7ec98e4p-17, 0x1.49c7624a187bdp-17, 0x1.5c6c31d2ae521p-17, 0x1.6e1d4ed3fb9b5p-17, 0x1.7ee2093299446p-17, 0x1.8ec16fe610cf7p-17, 0x1.9dc253b41eb46p-17, 0x1.abeb49d71b96cp-17, 0x1.b942ae85b0012p-17, 0x1.c5cea7601e3dp-17, 0x1.d19525c463a97p-17, 0x1.dc9be9096570ep-17, 0x1.e6e880a67d645p-17, 0x1.f0804e3a7736bp-17, 0x1.f96887800f89ep-17, 0x1.00d31c18c934p-16, 0x1.049f21ead2ef6p-16, 0x1.081ab3b992263p-16, 0x1.0b481d9c7606ap-16, 0x1.0e299a077421cp-16, 0x1.10c15288eca22p-16, 0x1.131160850bc2p-16, 0x1.151bcde364092p-16, 0x1.16e295b5f9998p-16, 0x1.1867a4d947a5fp-16, 0x1.19acda8dc5607p-16, 0x1.1ab40908fcc97p-16, 0x1.1b7ef5ff452f8p-16, 0x1.1c0f5b2a87a48p-16, 0x1.1c66e6c819616p-16, 0x1.1c873c0d9734cp-16, 0x1.1c71f3a04e80fp-16, 0x1.1c289bfee40d5p-16, 0x1.1bacb9ea5ae04p-16, 0x1.1affc8c967eddp-16, 0x1.1a233b05dd49bp-16, 0x1.19187a65fabfdp-16, 0x1.17e0e86137bccp-16, 0x1.167dde7272ae6p-16, 0x1.14f0ae63be1fbp-16, 0x1.133aa29729602p-16, 0x1.115cfe4b47a7fp-16, 0x1.0f58fddd83bebp-16, 0x1.0d2fd708ae0ffp-16, 0x1.0ae2b92008e9p-16, 0x1.0872cd473427cp-16, 0x1.05e136a6fed6p-16, 0x1.032f129f28103p-16, 0x1.005d78f722ff9p-16, 0x1.fadaf814e7b34p-17, 0x1.f4c051e9fe5d4p-17, 0x1.ee6d0f71144a6p-17, 0x1.e7e336c8b40dp-17, 0x1.e124c471ad784p-17, 0x1.da33ab955b864p-17, 0x1.d311d6455f9f9p-17, 0x1.cbc125b743badp-17, 0x1.c443728283dacp-17, 0x1.bc9a8cced5c42p-17, 0x1.b4c83c8d3fb63p-17, 0x1.acce41aa1fef2p-17, 0x1.a4ae5436faaa4p-17, 0x1.9c6a249644d8bp-17, 0x1.94035ba45b646p-17, 0x1.8b7b9adedb661p-17, 0x1.82d47c89a728dp-17, 0x1.7a0f93ce2770fp-17, 0x1.712e6ce0058ecp-17, 0x1.68328d1a68b66p-17, 0x1.5f1d73184efb7p-17, 0x1.55f096d57649fp-17, 0x1.4cad69c707f61p-17, 0x1.435556f2b6d2dp-17, 0x1.39e9c3054b4c4p-17, 0x1.306c0c6908e2p-17, 0x1.26dd8b5c80954p-17, 0x1.1d3f920478a2ep-17, 0x1.13936c7dbe0c8p-17, 0x1.09da60f1ebbdep-17, 0x1.0015afa742d13p-17, 0x1.ec8d261bd172dp-18, 0x1.d8dc7fa6a26e4p-18, 0x1.c51bc9dea0898p-18, 0x1.b14d5765e4859p-18, 0x1.9d736fa773521p-18, 0x1.89904ef5362b2p-18, 0x1.75a626a2bbd0fp-18, 0x1.61b71d1fa5dffp-18, 0x1.4dc54e05f67ebp-18, 0x1.39d2ca3aa97fcp-18, 0x1.25e1980093b35p-18, 0x1.11f3b30bd12efp-18, 0x1.fc16193602d13p-19, 0x1.d4531715da3f5p-19, 0x1.aca218d6e35d5p-19, 0x1.8506c3221b62p-19, 0x1.5d84a652c2cbfp-19, 0x1.361f3e9ed0ebep-19, 0x1.0ed9f44adb507p-19, 0x1.cf703780e65d8p-20, 0x1.8179eb7490072p-20, 0x1.33d75edadfa9cp-20, 0x1.cd1d8aa99424cp-21, 0x1.334c58109cdecp-21, 0x1.348de7fc20348p-22, 0x1.0c705e8f8bce6p-28, -0x1.2a6554f37397ep-22, -0x1.2b90c0ff04d9dp-21, -0x1.c0f6c01db833ap-21, -0x1.2aad273540ba6p-20, -0x1.7458ad86f525dp-20, -0x1.bd790ea0f30dap-20, -0x1.0304c4ec6e7b4p-19, -0x1.2702c0f1dce89p-19, -0x1.4ab43e49cea56p-19, -0x1.6e17113e33135p-19, -0x1.91291f4a5b394p-19, -0x1.b3e85efc179a9p-19, -0x1.d652d7c0617c4p-19, -0x1.f866a1bd49403p-19, -0x1.0d10f2d4f598ap-18, -0x1.1dc16e50b8563p-18, -0x1.2e43e7f720c63p-18, -0x1.3e978c72fa125p-18, -0x1.4ebb905e4981dp-18, -0x1.5eaf302a842afp-18, -0x1.6e71b00ae15c2p-18, -0x1.7e025bdf79171p-18, -0x1.8d608719aaf63p-18, -0x1.9c8b8ca7789b1p-18, -0x1.ab82cedd8ad94p-18, -0x1.ba45b75c94cf3p-18, -0x1.c8d3b6fc5be5ep-18, -0x1.d72c45b41c7d2p-18, -0x1.e54ee2809e48p-18, -0x1.f33b134c10104p-18, -0x1.0078326b1e6a1p-17, -0x1.0737354f682dp-17, -0x1.0dda5f6462622p-17, -0x1.146181029593ep-17, -0x1.1acc6dbd4b4e4p-17, -0x1.211afc54a80f9p-17, -0x1.274d06aabbd88p-17, -0x1.2d6269b71b068p-17, -0x1.335b05797a42dp-17, -0x1.3936bcedfb81ap-17, -0x1.3ef5760130c99p-17, -0x1.449719827fa43p-17, -0x1.4a1b9317ea89ap-17, -0x1.4f82d131a0a6fp-17, -0x1.54ccc4fe5fe83p-17, -0x1.59f9625ddf2eap-17, -0x1.5f089fd4a3fcbp-17, -0x1.63fa7680310cbp-17, -0x1.68cee209d038bp-17, -0x1.6d85e099d697ap-17, -0x1.721f72ccbfdc7p-17, -0x1.769b9ba56f0aep-17, -0x1.7afa6080fb7ep-17, -0x1.7f3bc90b773fap-17, -0x1.835fdf328353cp-17, -0x1.8766af199b91p-17, -0x1.8b50470d77908p-17, -0x1.8f1cb7787a8dap-17, -0x1.92cc12d6e9a06p-17, -0x1.965e6daa27355p-17, -0x1.99d3de6cf35ep-17, -0x1.9d2c7d8875e51p-17, -0x1.a0686547360a1p-17, -0x1.a387b1c9d551ap-17, -0x1.a68a80fc2520ap-17, -0x1.a970f288c1521p-17, -0x1.ac3b27cd44ffep-17, -0x1.aee943d01161ap-17, -0x1.b17b6b343a871p-17, -0x1.b3f1c42e8ffadp-17, -0x1.b64c767a366d7p-17, -0x1.b88bab4da923bp-17, -0x1.baaf8d5083b65p-17, -0x1.bcb8488fdf35ep-17, -0x1.bea60a736aa7fp-17, -0x1.c07901b3c7c65p-17, -0x1.c2315e4fc04f4p-17, -0x1.c3cf51809ed5dp-17, -0x1.c5530db20f2d3p-17, -0x1.c6bcc67627f5ep-17, -0x1.c80cb07bd7378p-17, -0x1.c9430184c4a0ep-17, -0x1.ca5ff05c32dd7p-17, -0x1.cb63b4ccdaa09p-17, -0x1.cc4e87972ee54p-17, -0x1.cd20a267a9d35p-17, -0x1.cdda3fce01abp-17, -0x1.ce7b9b33a5392p-17, -0x1.cf04f0d24b074p-17, -0x1.cf767daaeb31p-17, -0x1.cfd07f7e20127p-17, -0x1.d01334c21862p-17, -0x1.d03edc99b67ecp-17, -0x1.d053b6cdcd9cep-17, -0x1.d05203c2fb60dp-17, -0x1.d03a0471d4ab3p-17, -0x1.d00bfa5ed46d8p-17, -0x1.cfc82792bae73p-17, -0x1.cf6ece92fb4c2p-17, -0x1.cf0032594fce7p-17, -0x1.ce7c964c1bbdp-17, -0x1.cde43e36fd32p-17, -0x1.cd376e43d20b5p-17, -0x1.cc766af2fea7ep-17, -0x1.cba179142ad1dp-17, -0x1.cab8ddc066f23p-17, -0x1.c9bcde52cab72p-17, -0x1.c8adc0608ad1bp-17, -0x1.c78bc9b458552p-17, -0x1.c6574046ce5dap-17, -0x1.c5106a37cef2p-17, -0x1.c3b78dc87fdd7p-17, -0x1.c24cf15513a71p-17, -0x1.c0d0db506cadap-17, -0x1.bf43923c7f468p-17, -0x1.bda55ca514078p-17, -0x1.bbf6811a1b185p-17, -0x1.ba37462a12404p-17, -0x1.b867f25cef8a5p-17, -0x1.b688cc2e7a5a6p-17, -0x1.b49a1a0990dbep-17, -0x1.b29c2243c277ep-17, -0x1.b08f2b17624c4p-17, -0x1.ae737a9e50aa6p-17, -0x1.ac4956cf6428ep-17, -0x1.aa110577e63a2p-17, -0x1.a7cacc379c99cp-17, -0x1.a576f07c94c2cp-17, -0x1.a315b77e29f4ap-17, -0x1.a0a7663bc6b51p-17, -0x1.9e2c4175f9a2dp-17, -0x1.9ba48dab5880dp-17, -0x1.99108f14fe5fbp-17, -0x1.967089a27838dp-17, -0x1.93c4c0f65e79dp-17, -0x1.910d7862dd448p-17, -0x1.8e4af2e63f913p-17, -0x1.8b7d7328e9ce8p-17, -0x1.88a53b784bba7p-17, -0x1.85c28dc4733f1p-17, -0x1.82d5ab9d61579p-17, -0x1.7fded630e21a2p-17, -0x1.7cde4e45b553cp-17, -0x1.79d4543a7e281p-17, -0x1.76c12801e4fe6p-17, -0x1.73a509217b9a2p-17, -0x1.708036afed0d7p-17, -0x1.6d52ef5082914p-17, -0x1.6a1d713217772p-17, -0x1.66dffa0c69bb9p-17, -0x1.639ac71e6e004p-17, -0x1.604e152c00acap-17, -0x1.5cfa207c52688p-17, -0x1.599f24d7e59dcp-17, -0x1.563d5d87da53fp-17, -0x1.52d5055270ac8p-17, -0x1.4f66567a006f2p-17, -0x1.4bf18abc3656cp-17, -0x1.4876db50bca46p-17, -0x1.44f680e669647p-17, -0x1.4170b3a2b9453p-17, -0x1.3de5ab20a468p-17, -0x1.3a559e6f3b22ap-17, -0x1.36c0c4124b961p-17, -0x1.332751ff197d7p-17, -0x1.2f897d9bf4663p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      48, 0x1.4p+2, 0x1.3683c039e3dd9p+1, 0x1.23c33653761bbp+2, 0x1.f2213e1eca4p-10, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.684d0d97a5efbp-3, -0x1.b04e5332504bfp-2, 0x1.062eaab8004e7p-1, -0x1.e7e131f43b49dp-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.3fa1985983a9bp-3, -0x1.7db2f4c296dbcp-2, 0x1.e7c60b4a7c2aap-2, -0x1.e7eb973282cdep-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.1bd6d61653532p-3, -0x1.4ec05aeb029c8p-2, 0x1.c32df98d18c18p-2, -0x1.e7a87cbf0ed5dp-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.f91e360e1dbb7p-4, -0x1.23764f3b0e977p-2, 0x1.9e9af031f7a4cp-2, -0x1.e7783f924029ep-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c2d98a63167dap-4, -0x1.f7a8c5f06adb9p-3, 0x1.7a0b8506ffa1cp-2, -0x1.e5705f301faf4p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.94249721b2314p-4, -0x1.afb0e97cd1914p-3, 0x1.55a3177cfd413p-2, -0x1.e25047ee61122p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.6c4505a1bb854p-4, -0x1.6efb22c4f7f72p-3, 0x1.3176abb182c65p-2, -0x1.db79c96cc0ea5p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.4a81dd5b7edcep-4, -0x1.357450a95274bp-3, 0x1.0dcd8962f44e3p-2, -0x1.d1c27642a0c0ap-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.2e24b84cb0304p-4, -0x1.02fcaa8d12294p-3, 0x1.d5bde76f1d4cbp-3, -0x1.c2adb753b55fdp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.167b1452e44c4p-4, -0x1.aec9284903be5p-4, 0x1.9223d8bc287e6p-3, -0x1.ae8f35d59a4bbp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.02d83477be94p-4, -0x1.64d0efaa6d518p-4, 0x1.518e5d75b7bf8p-3, -0x1.95df659a8d4f4p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.e52e1bb56f20bp-5, -0x1.27649d37c3026p-4, 0x1.14acdb04ef5a3p-3, -0x1.781afe4302a27p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.ca3831a24e464p-5, -0x1.eb662d040a31dp-5, 0x1.b884d028f7835p-4, -0x1.57f284f02ad1bp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.b3ae1fb7b149p-5, -0x1.9d9d20f8cfbcdp-5, 0x1.5155a84751117p-4, -0x1.348b67f1f2df7p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.a088297b7cd08p-5, -0x1.63673831ce7dbp-5, 0x1.e98adefd76d0bp-5, -0x1.1066896f6f1aap-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8fd970e3afea4p-5, -0x1.3a9ef7f048806p-5, 0x1.461a262100f31p-5, -0x1.d57bfaab55b7dp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.80d0f36fe7996p-5, -0x1.210d92c40869bp-5, 0x1.728382a801ac5p-6, -0x1.8b6c5032e5d79p-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.72ba545ebf922p-5, -0x1.14756c27ea7f2p-5, 0x1.0a850b7955ec9p-7, -0x1.41507082bdeaap-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.64fdbccc1fa91p-5, -0x1.129d8aff29eaep-5, -0x1.dc3abaf49e47ap-9, -0x1.f564042ae17dep-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.571f9110d7872p-5, -0x1.195a2e1dd07p-5, -0x1.a3e44ad6e20f9p-7, -0x1.6d0a92b86faf7p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.48bf64c65ca16p-5, -0x1.26965de34a208p-5, -0x1.3f75516f9289dp-6, -0x1.de30a2a48851cp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3996cc314794ap-5, -0x1.385a7ebac3e28p-5, -0x1.872fd03b73c9p-6, -0x1.e8dd0434efd39p-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.2977950b29505p-5, -0x1.4cd45711ad531p-5, -0x1.abd9fd5905c5ep-6, -0x1.1763c05fc1ba6p-9}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.1849e4d890c4ep-5, -0x1.625a5dc95f80ep-5, -0x1.b1170f5ad167dp-6, 0x1.219d9432c840ap-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0609e7599dee4p-5, -0x1.7776e7657fad8p-5, -0x1.9b5e710a35963p-6, 0x1.4faf0dd1e8cf5p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e58b61ffe6925p-6, -0x1.8ac62b658ac3cp-5, -0x1.69042ef785dd4p-6, 0x1.0aef3f4ca7a94p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.bd3b32ff942ddp-6, -0x1.9ad2aa11fbb85p-5, -0x1.18ef9bfa205dep-6, 0x1.6b0b3118f2e4bp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9389918cb6a24p-6, -0x1.a62599d2247a2p-5, -0x1.580bb4187bcafp-7, 0x1.d4ff1cf14fbc5p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.69028794e9b34p-6, -0x1.ab3b05256cbbdp-5, -0x1.f52eaf70c60bep-10, 0x1.fdfd724265d17p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.3e56050945fd6p-6, -0x1.a8f8c8ff5bf2fp-5, 0x1.e6b143a6af0f7p-8, 0x1.e6ba2166afdeap-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.1443c331f2846p-6, -0x1.9f3cda761b008p-5, 0x1.0bb0f4887a1fap-6, 0x1.d732f98790ca4p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.d70e50036c78bp-7, -0x1.8e51b40b109bcp-5, 0x1.990d0c312591cp-6, 0x1.cc6b5ef485c17p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.89aae40c9634cp-7, -0x1.7669d87b40ed7p-5, 0x1.1196a123a6d8ep-5, 0x1.9150ce1dadf79p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.41b8ad27c36ccp-7, -0x1.580b74e6d36b2p-5, 0x1.4dc92674e7575p-5, 0x1.2534000e0f67p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.00659b479303fp-7, -0x1.34779774a14a1p-5, 0x1.79c4267703403p-5, 0x1.7fc92852e0d7cp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.8d2776cc63e6fp-8, -0x1.0d40579e2d8fdp-5, 0x1.968cd64a07504p-5, 0x1.6b2512ead584bp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.29ace7b8c5331p-8, -0x1.c7d4b2b4fd55ep-6, 0x1.a42b06ffa2857p-5, -0x1.89b098014c003p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.adc6a7742355ap-9, -0x1.742a940280fbcp-6, 0x1.a07a2bf939024p-5, -0x1.38d49f51b170cp-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.29417710bc577p-9, -0x1.2337941708319p-6, 0x1.8903d3397ee6bp-5, -0x1.199f8df5fe583p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.87da3b305b85ap-10, -0x1.b1ad4b262023ep-7, 0x1.5ec57dee3259ap-5, -0x1.a77d1e8d203f1p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.e97fb8a8bba97p-11, -0x1.3212b0bbb87d1p-7, 0x1.1f3f8625d3ea1p-5, -0x1.ca1dcf5b1813ep-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.1eef6e2e687ebp-11, -0x1.99d5a14f48e14p-8, 0x1.b50fb47d2098bp-6, -0x1.81bbdda68a462p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.35c2d2dac6bf9p-12, -0x1.02276b8881946p-8, 0x1.41575864c3ea9p-6, -0x1.495386680a34p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.2ac43474fc89fp-13, -0x1.2ac1111ece0dap-9, 0x1.bd162cf181b68p-7, -0x1.0cd1c95702e31p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.e97fb8a8bbadep-15, -0x1.31f4a97ccea21p-10, 0x1.1bcb80f07ffbcp-7, -0x1.a178123415652p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.35c2d2dac6ce1p-16, -0x1.0208371eea1c6p-11, 0x1.3d1bc3c1bfefp-8, -0x1.2e1f76beba8c4p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.e97fb8a8bc4p-19, -0x1.336b56efb7ep-13, 0x1.0fab5f6b6cc9bp-9, -0x1.4d469b1dd8d76p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.e97fb8a8c0fffp-23, -0x1.05c3cae33d474p-16, 0x1.1ed0d632ddf2p-11, -0x1.be11c51f90a7bp-7}, 
      }}, 
      0x1.a3c90fb5e0e3dp-3, -0x1.4386826f186b3p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.e1e967ce3f043p-4, 0x1.f45a16fc68bf8p-4, 0x1.08ad3990d8306p-3, 0x1.1b7913454f76ep-3, 0x1.317ea1baa60b6p-3, 0x1.49ace487d56b8p-3, 0x1.6302c1d7aa41p-3, 0x1.7c983017248dfp-3, 0x1.95a305c53ae18p-3, 0x1.ad78ac775230dp-3, 0x1.c38d84b17d672p-3, 0x1.d772d201cfda7p-3, 0x1.e8d3ea029840ep-3, 0x1.f773233666e77p-3, 0x1.019367b544026p-2, 0x1.05eb353249acep-2, 0x1.08bc0719fca2ap-2, 0x1.0a07180e50c4dp-2, 0x1.09d2d0b7b363cp-2, 0x1.0829e659c543fp-2, 0x1.051a93a7e76bap-2, 0x1.00b5e8822663fp-2, 0x1.f61e5bc0950ebp-3, 0x1.e876b765cea35p-3, 0x1.d8a13dd0bfca5p-3, 0x1.c6cbdc244fc78p-3, 0x1.b32556dbd17c4p-3, 0x1.9ddca6a2bc132p-3, 0x1.87206c3b45a93p-3, 0x1.6f1e79d1a50a2p-3, 0x1.56037023b0478p-3, 0x1.3bfa6dd3b1b67p-3, 0x1.212ccf3d1d5edp-3, 0x1.05c1fd15ed75p-3, 0x1.d3be905a8959bp-4, 0x1.9b4fa1594e345p-4, 0x1.6278eeb429ca3p-4, 0x1.2977ae87ad95cp-4, 0x1.e1091b3fb327p-5, 0x1.6fa77aca62d02p-5, 0x1.fe542d13647cdp-6, 0x1.1fd0083cc0a35p-6, 0x1.1180d1cc7f2c2p-8, -0x1.26dac00afc9b2p-7, -0x1.6719e4c71ecc5p-6, -0x1.1b1a61884751bp-5, -0x1.802d7f91c4c9cp-5, -0x1.e29b1cb2b1774p-5, -0x1.211f02996003ap-4, -0x1.4f7b49ae0593ap-4, -0x1.7c5526eed2e68p-4, -0x1.a7a1c06187347p-4, -0x1.d1587b8d6146ap-4, -0x1.f972ba19e718ap-4, -0x1.0ff5e6a437601p-3, -0x1.226055a630efbp-3, -0x1.33f7f57019af6p-3, -0x1.44bcbfdd537b3p-3, -0x1.54af57afb6be6p-3, -0x1.63d0f1f859bb1p-3, -0x1.72234bbca29c4p-3, -0x1.7fa89b288d1adp-3, -0x1.8c6382615b802p-3, -0x1.98570483da544p-3, -0x1.a3867b781b884p-3, -0x1.adf58f293658dp-3, -0x1.b7a82cb463d9ep-3, -0x1.c0a27d9363ce7p-3, -0x1.c8e8df1dcf9dfp-3, -0x1.d07fdad77fe34p-3, -0x1.d76c1fa4aa064p-3, -0x1.ddb27b9eaa1f8p-3, -0x1.e357d61ec31eep-3, -0x1.e86129c9b3d11p-3, -0x1.ecd37ea1bd283p-3, -0x1.f0b3e45eac51bp-3, -0x1.f4076d45c293fp-3, -0x1.f6d329a4cc74ap-3, -0x1.f91c23eb5dc4ap-3, -0x1.fae75d3df6367p-3, -0x1.fc39ca650f803p-3, -0x1.fd1850f013c04p-3, -0x1.fd87c48f7b5ecp-3, -0x1.fd8ce4981d72ep-3, -0x1.fd2c59d2d047cp-3, -0x1.fc6ab48e9e12p-3, -0x1.fb4c6b08de1dep-3, -0x1.f9d5d8250168fp-3, -0x1.f80b3a67b16a9p-3, -0x1.f5f0b3345c599p-3, -0x1.f38a462e6caa8p-3, -0x1.f0dbd8cdd348p-3, -0x1.ede9320328945p-3, -0x1.eab5fa051b33dp-3, -0x1.e745ba2812661p-3, -0x1.e39bdce23bf6ap-3, -0x1.dfbbadda86747p-3, -0x1.dba85a1d6b831p-3, -0x1.d764f06ee992ap-3, -0x1.d2f461a6021c7p-3, -0x1.ce59813830fa7p-3, -0x1.c99705bcc6fcbp-3, -0x1.c4af899238cb6p-3, -0x1.bfa58b8d92647p-3, -0x1.ba7b6fa7e643ep-3, -0x1.b5337fc4dd223p-3, -0x1.afcfec7019238p-3, -0x1.aa52cda357a1ep-3, -0x1.a4be2393f29c6p-3, -0x1.9f13d778a2a09p-3, -0x1.9955bc55c552fp-3, -0x1.93858fcd53c92p-3, -0x1.8da4fae3c5e98p-3, -0x1.87b592cf40382p-3, -0x1.81b8d9beb91d9p-3, -0x1.7bb03f9f97a15p-3, -0x1.759d22e33b461p-3, -0x1.6f80d13c3c098p-3, -0x1.695c885dfb401p-3, -0x1.633176af6c4aep-3, -0x1.5d00bc013ed6cp-3, -0x1.56cb6a39b33dfp-3, -0x1.509285f8b911fp-3, -0x1.4a57073f2ef83p-3, -0x1.4419da05a0012p-3, -0x1.3ddbded1db351p-3, -0x1.379deb4a5f371p-3, -0x1.3160cab838ddp-3, -0x1.2b253e9188a26p-3, -0x1.24ebfef355346p-3, -0x1.1eb5bb129cbfep-3, -0x1.188319ba1866ep-3, -0x1.1254b9ac8ac1p-3, -0x1.0c2b32061f1aep-3, -0x1.060712ab54218p-3, -0x1.ffd1c937a8486p-4, -0x1.f3a2547f8ddc8p-4, -0x1.e780bf8e9fc15p-4, -0x1.db6df6eee7347p-4, -0x1.cf6adbbdd466ap-4, -0x1.c3784458ede39p-4, -0x1.b796fcd3fa551p-4, -0x1.abc7c764db73p-4, -0x1.a00b5cd1eb102p-4, -0x1.94626cf0ff71ap-4, -0x1.88cd9eebe077ap-4, -0x1.7d4d91a69357fp-4, -0x1.71e2dc1bd70fbp-4, -0x1.668e0da62544ep-4, -0x1.5b4fae3d093d1p-4, -0x1.50283ed51c46ap-4, -0x1.4518399980012p-4, -0x1.3a201210f4dd9p-4, -0x1.2f40356d37dcdp-4, -0x1.24790ad3c774bp-4, -0x1.19caf37327d06p-4, -0x1.0f364aa64da72p-4, -0x1.04bb66477db4fp-4, -0x1.f4b52dc4dc759p-5, -0x1.e0284f7235b04p-5, -0x1.cbd0bdc4ac81p-5, -0x1.b7aefb3865eap-5, -0x1.a3c380e716585p-5, -0x1.900ebe818aeaep-5, -0x1.7c911a7b9f2b8p-5, -0x1.694af2a13aad2p-5, -0x1.563c9c6f82a5ep-5, -0x1.4366650a70b7cp-5, -0x1.30c89153004a6p-5, -0x1.1e635e5c64206p-5, -0x1.0c3701d4e9ffep-5, -0x1.f4875429b34abp-6, -0x1.d112fc42fcad8p-6, -0x1.ae113bf1ec79p-6, -0x1.8b8245ec92cccp-6, -0x1.696640026b064p-6, -0x1.47bd4343b942fp-6, -0x1.26875c52bbe56p-6, -0x1.05c48bee589cfp-6, -0x1.cae98ecb1a522p-7, -0x1.8b2ff1d5a90b4p-7, -0x1.4c5bfff322eep-7, -0x1.0e6d63868d6edp-7, -0x1.a2c765c19c8f3p-8, -0x1.2a7ce1885d612p-8, -0x1.67f4345fab176p-9, -0x1.f9ee675ce90bfp-11, 0x1.9dcb5176ddaf8p-11, 0x1.49da20746e796p-9, 0x1.145ecb95a2e6bp-8, 0x1.821061bdf0d8ep-8, 0x1.ee03b399fbdbp-8, 0x1.2c1d5da9f7da4p-7, 0x1.605bc698e6c0fp-7, 0x1.93be2c7470b8ep-7, 0x1.c645b403e5ba4p-7, 0x1.f7f38ce7ae258p-7, 0x1.146477d4f9f26p-6, 0x1.2c638f10b5c54p-6, 0x1.43f7b2516b7a4p-6, 0x1.5b218d1db69fcp-6, 0x1.71e1cf6f93522p-6, 0x1.88392c74aeaebp-6, 0x1.9e285a14e5068p-6, 0x1.b3b011841ceebp-6, 0x1.c8d10ffeccf3ap-6, 0x1.dd8c169b77cc2p-6, 0x1.f1e1e92506202p-6, 0x1.02e9a674b221dp-5, 0x1.0cb0844174158p-5, 0x1.1645f24cc752ap-5, 0x1.1faa56563ea35p-5, 0x1.28de176a3d2f4p-5, 0x1.31e19d51bf2adp-5, 0x1.3ab54ffe0a63p-5, 0x1.435997697e8d7p-5, 0x1.4bcedbf66eb8cp-5, 0x1.541586dbef5c2p-5, 0x1.5c2e022b18d8bp-5, 0x1.6418b85aacbcbp-5, 0x1.6bd613b28f117p-5, 0x1.73667e0a34f2fp-5, 0x1.7aca61036c36cp-5, 0x1.8202267da73d3p-5, 0x1.890e38d1ae389p-5, 0x1.8fef029c02746p-5, 0x1.96a4ee3b3b613p-5, 0x1.9d30656711547p-5, 0x1.a391d123ea2e8p-5, 0x1.a9c99a196e19cp-5, 0x1.afd828f3e0fc2p-5, 0x1.b5bde684c4a43p-5, 0x1.bb7b3b836645dp-5, 0x1.c110901edd9c2p-5, 0x1.c67e4baee4791p-5, 0x1.cbc4d4b779bfbp-5, 0x1.d0e491356cf9fp-5, 0x1.d5dde6f4e39ccp-5, 0x1.dab13bb2ef09p-5, 0x1.df5ef4f18102cp-5, 0x1.e3e777a15a2ecp-5, 0x1.e84b27db8335ep-5, 0x1.ec8a68d7861b8p-5, 0x1.f0a59d20acaa1p-5, 0x1.f49d26e1c75a9p-5, 0x1.f87168181c4ebp-5, 0x1.fc22c28903ba5p-5, 0x1.ffb1978ad14a1p-5, 0x1.018f23e188084p-4, 0x1.033499828806ep-4, 0x1.04c95c31b9f7cp-4, 0x1.064d9b33bd845p-4, 0x1.07c185a61e8a2p-4, 0x1.09254a8dea57bp-4, 0x1.0a7918d058a71p-4, 0x1.0bbd1f1bd4a8bp-4, 0x1.0cf18bd028ec7p-4, 0x1.0e168cf41a363p-4, 0x1.0f2c503e4ddabp-4, 0x1.1033032c1db2ap-4, 0x1.112ad319fab0bp-4, 0x1.1213ed5111757p-4, 0x1.12ee7f0431f51p-4, 0x1.13bab53e9d5fcp-4, 0x1.1478bcd01c174p-4, 0x1.1528c240ed064p-4, 0x1.15caf1d524dfdp-4, 0x1.165f779eaffadp-4, 0x1.16e67f926252cp-4, 0x1.176035996732dp-4, 0x1.17ccc5930e4c8p-4, 0x1.182c5b4be71d4p-4, 0x1.187f226ae13cbp-4, 0x1.18c54661c6d08p-4, 0x1.18fef268e9a62p-4, 0x1.192c518881301p-4, 0x1.194d8eaa7713cp-4, 0x1.1962d4abd3a8ap-4, 0x1.196c4e664c2a5p-4, 0x1.196a26ae9de9ep-4, 0x1.195c884945d85p-4, 0x1.19439ddbb5ce6p-4, 0x1.191f91e1d909dp-4, 0x1.18f08ead55d41p-4, 0x1.18b6be6decc42p-4, 0x1.18724b3db85fep-4, 0x1.18235f2a83e37p-4, 0x1.17ca2439039fep-4, 0x1.1766c46227c3dp-4, 0x1.16f9698d07fa3p-4, 0x1.16823d88bafa9p-4, 0x1.16016a08e7ce5p-4, 0x1.157718a7376d4p-4, 0x1.14e372e63a9aap-4, 0x1.1446a234141e6p-4, 0x1.13a0cfe8d3ca5p-4, 0x1.12f225418bee5p-4, 0x1.123acb5bf5a65p-4, 0x1.117aeb35cb7c3p-4, 0x1.10b2adb0e5114p-4, 0x1.0fe23b9a2387ap-4, 0x1.0f09bdafa6157p-4, 0x1.0e295ca2903fdp-4, 0x1.0d4141129c90cp-4, 0x1.0c5193837762ep-4, 0x1.0b5a7c4ec9e8p-4, 0x1.0a5c2398adcb6p-4, 0x1.0956b14c1aed9p-4, 0x1.084a4d216c03p-4, 0x1.07371eac18f7ep-4, 0x1.061d4d6933322p-4, 0x1.04fd00c81b065p-4, 0x1.03d6602969961p-4, 0x1.02a992d427b7fp-4, 0x1.0176bfe4a3162p-4, 0x1.003e0e3a8304dp-4, 0x1.fdff48d820642p-5, 0x1.fb77518671f12p-5, 0x1.f8e4828a7d8afp-5, 0x1.f6472782e8a6p-5, 0x1.f39f8bc0eec3cp-5, 0x1.f0edfa5a2d78ap-5, 0x1.ee32be27deafep-5, 0x1.eb6e21b2166c1p-5, 0x1.e8a06f111f204p-5, 0x1.e5c9efcde1dafp-5, 0x1.e2eaeccb39346p-5, 0x1.e003ae3db0222p-5, 0x1.dd147bb2a8419p-5, 0x1.da1d9c22ab919p-5, 0x1.d71f5606e2226p-5, 0x1.d419ef6885835p-5, 0x1.d10dade3d863cp-5, 0x1.cdfad69dd16a5p-5, 0x1.cae1ae2f63dd5p-5, 0x1.c7c278911dcb9p-5, 0x1.c49d790933356p-5, 0x1.c172f2249ed4dp-5, 0x1.be4325b71d30ap-5, 0x1.bb0e54e37965p-5, 0x1.b7d4c024bac08p-5, 0x1.b496a755ca124p-5, 0x1.b15449b4201cap-5, 0x1.ae0de5dc26797p-5, 0x1.aac3b9bfa66afp-5, 0x1.a776029aa1ff8p-5, 0x1.a424fce8fb09ap-5, 0x1.a0d0e460dac4fp-5, 0x1.9d79f3f27064cp-5, 0x1.9a2065cb42c7fp-5, 0x1.96c4735ab0c2cp-5, 0x1.936655541e169p-5, 0x1.900643ae7dee3p-5, 0x1.8ca475a06e71bp-5, 0x1.8941219afeb6bp-5, 0x1.85dc7d44a9779p-5, 0x1.8276bd75f54c4p-5, 0x1.7f101637af7e1p-5, 0x1.7ba8bac3a248ap-5, 0x1.7840dd864ec47p-5, 0x1.74d8b02099cc7p-5, 0x1.717063683be13p-5, 0x1.6e08276636641p-5, 0x1.6aa02b535912ap-5, 0x1.67389d9434cbp-5, 0x1.63d1abb62cb5dp-5, 0x1.606b826ef7426p-5, 0x1.5d064d9ed76efp-5, 0x1.59a2385455ee4p-5, 0x1.563f6ccfd776dp-5, 0x1.52de14850891dp-5, 0x1.4f7e581957c2fp-5, 0x1.4c205f600743p-5, 0x1.48c451559035dp-5, 0x1.456a541c6e84bp-5, 0x1.42128cfce6766p-5, 0x1.3ebd2068062a7p-5, 0x1.3b6a31fce5feap-5, 0x1.3819e48e4c2bdp-5, 0x1.34cc5a267e8c9p-5, 0x1.3181b407b0bd4p-5, 0x1.2e3a12a958205p-5, 0x1.2af595b32478cp-5, 0x1.27b45bf891922p-5, 0x1.2476837721058p-5, 0x1.213c2958f6062p-5, 0x1.1e0569fb6b108p-5, 0x1.1ad260f7c5c9ep-5, 0x1.17a3292ac3aep-5, 0x1.1477dcb812d1p-5, 0x1.1150950826a9ap-5, 0x1.0e2d6ac1587f2p-5, 0x1.0b0e75bf74a1p-5, 0x1.07f3cd0dfb57dp-5, 0x1.04dd86e882b54p-5, 0x1.01cbb8c3051f3p-5, 0x1.fd7ceeaf2359ap-6, 0x1.f76bad6b5ec94p-6, 0x1.f163d49ac60b9p-6, 0x1.eb6589e34408ep-6, 0x1.e570f1a178b8bp-6, 0x1.df862ecabeb75p-6, 0x1.d9a562cc4d486p-6, 0x1.d3cead75e5d5bp-6, 0x1.ce022cfbb6aa6p-6, 0x1.c83ffe130cbd9p-6, 0x1.c2883c23bbc69p-6, 0x1.bcdb017f3eb09p-6, 0x1.b738678ac8d6p-6, 0x1.b1a086cc58bd8p-6, 0x1.ac1376d3ebb78p-6, 0x1.a6914e069983ep-6, 0x1.a11a215d542fep-6, 0x1.9bae042f47d93p-6, 0x1.964d081e71f14p-6, 0x1.90f73d3304c7fp-6, 0x1.8bacb222cf3bep-6, 0x1.866d74b2231ep-6, 0x1.81399210dd7f2p-6, 0x1.7c11171465155p-6, 0x1.76f4103893dc1p-6, 0x1.71e28962b0835p-6, 0x1.6cdc8d76214b4p-6, 0x1.67e225db6c65ep-6, 0x1.62f35a21cae5p-6, 0x1.5e102fde35a05p-6, 0x1.5938aada658f4p-6, 0x1.546ccd8db5251p-6, 0x1.4fac99c21a3a7p-6, 0x1.4af81136b3501p-6, 0x1.464f360e8d755p-6, 0x1.41b20ae645992p-6, 0x1.3d209283c9cabp-6, 0x1.389acf317efa2p-6, 0x1.3420c1f0b3398p-6, 0x1.2fb269be8a2d5p-6, 0x1.2b4fc3252d4c1p-6, 0x1.26f8c840d1815p-6, 0x1.22ad71412aa28p-6, 0x1.1e6db54cab62bp-6, 0x1.1a398b8d55bb7p-6, 0x1.1610ec1f21086p-6, 0x1.11f3d09cd244fp-6, 0x1.0de2341f19761p-6, 0x1.09dc12a6d7cf2p-6, 0x1.05e168137b578p-6, 0x1.01f22ee6ed6a2p-6, 0x1.fc1cbe51dcefcp-7, 0x1.f46bdb6eaf8b2p-7, 0x1.ecd19870a6448p-7, 0x1.e54dd378d1978p-7, 0x1.dde067e2be325p-7, 0x1.d689314029419p-7, 0x1.cf480e30693f7p-7, 0x1.c81ce25bd7d62p-7, 0x1.c107970d48bf4p-7, 0x1.ba081a3971ad7p-7, 0x1.b31e5c270b2ecp-7, 0x1.ac4a4c3eeac25p-7, 0x1.a58bd5bf24111p-7, 0x1.9ee2dd15f773bp-7, 0x1.984f3e878e70fp-7, 0x1.91d0ce7d8f7e2p-7, 0x1.8b675b83322ccp-7, 0x1.8512b18d6aa4p-7, 0x1.7ed29dd9e59ep-7, 0x1.78a6f282bbcd8p-7, 0x1.728f88ef2e8aap-7, 0x1.6c8c428dd32a7p-7, 0x1.669d07aeb966ep-7, 0x1.60c1c4c47f02bp-7, 0x1.5afa66a92be17p-7, 0x1.5546d6ae30cfp-7, 0x1.4fa6f73d95a3bp-7, 0x1.4a1aa1b1d662ap-7, 0x1.44a1a5d5785afp-7, 0x1.3f3bcb36df74dp-7, 0x1.39e8d42892c07p-7, 0x1.34a881e705bffp-7, 0x1.2f7a990b114e3p-7, 0x1.2a5ee54ac0b34p-7, 0x1.25553ba9dcd2p-7, 0x1.205d7aa1346a4p-7, 0x1.1b77884b92405p-7, 0x1.16a34f21b618cp-7, 0x1.11e0ba0fa305cp-7, 0x1.0d2fb0a8626bfp-7, 0x1.0890140aa9085p-7, 0x1.0401bcd03be74p-7, 0x1.ff08f48383929p-8, 0x1.f63025fb9a30ep-8, 0x1.ed788e5c382a8p-8, 0x1.e4e1a84c68175p-8, 0x1.dc6af1bf81d0fp-8, 0x1.d413f4c6d29e3p-8, 0x1.cbdc4e0b3395dp-8, 0x1.c3c3af3957ab3p-8, 0x1.bbc9dcda442c3p-8, 0x1.b3eea8790c5ffp-8, 0x1.ac31e8fe515a6p-8, 0x1.a4937357674a2p-8, 0x1.9d1314cfdbf86p-8, 0x1.95b08f65f6943p-8, 0x1.8e6b978b7c27p-8, 0x1.8743d2b3df297p-8, 0x1.8038d6c229e6dp-8, 0x1.794a2b3bc63b1p-8, 0x1.72774d56a3b65p-8, 0x1.6bbfb72b892c8p-8, 0x1.6522e8e1a5ee1p-8, 0x1.5ea071662f7f6p-8, 0x1.5837f3f4bc5fbp-8, 0x1.51e9289ea0236p-8, 0x1.4bb3d7c4cb536p-8, 0x1.4597d2581bc93p-8, 0x1.3f94e9d739d16p-8, 0x1.39aaead089686p-8, 0x1.33d99b2468e55p-8, 0x1.2e20bb20991eep-8, 0x1.2880070725f01p-8, 0x1.22f736a5c5574p-8, 0x1.1d85fa5e16819p-8, 0x1.182bf74ebdbd4p-8, 0x1.12e8c5a57fb36p-8, 0x1.0dbbf38b3a13bp-8, 0x1.08a50cdf31436p-8, 0x1.03a3a57490d35p-8, 0x1.fd6ec435fbdf7p-9, 0x1.f3bffa0871054p-9, 0x1.ea3a8792d59d1p-9, 0x1.e0de1f6e16601p-9, 0x1.d7aa769e5fdcap-9, 0x1.ce9f3269618e3p-9, 0x1.c5bbe04ff9748p-9, 0x1.bcfffaa22cd1p-9, 0x1.b46af58e194b8p-9, 0x1.abfc4bc00bc74p-9, 0x1.a3b381bccbb1ep-9, 0x1.9b901c8efbccdp-9, 0x1.939190487867ap-9, 0x1.8bb730806f028p-9, 0x1.84002ca32d0c5p-9, 0x1.7c6b9bc9e31a6p-9, 0x1.74f893ed027d2p-9, 0x1.6da6436a8da4fp-9, 0x1.667403e2e7be9p-9, 0x1.5f6160af6d30dp-9, 0x1.586e0f52cc7cep-9, 0x1.5199dc81f8f2fp-9, 0x1.4ae494933f657p-9, 0x1.444df096cf0e8p-9, 0x1.3dd590025ad29p-9, 0x1.377b01658b79ep-9, 0x1.313dd55d44b4fp-9, 0x1.2b1db16bb0cf4p-9, 0x1.251a5783cba84p-9, 0x1.1f339c1ff220ap-9, 0x1.19694df0c6a9dp-9, 0x1.13bb1ad5aa1f5p-9, 0x1.0e288051bb0c2p-9, 0x1.08b0cf7ecbc7p-9, 0x1.0353415261e14p-9, 0x1.fc1e2030a2cddp-10, 0x1.f1c7179aea3fp-10, 0x1.e7a04aea16d01p-10, 0x1.dda8e3d0cfcaep-10, 0x1.d3e048e7d7f22p-10, 0x1.ca4602b5ada3fp-10, 0x1.c0d996ea03c7ep-10, 0x1.b79a677491a33p-10, 0x1.ae87a3770a00cp-10, 0x1.a5a0515742387p-10, 0x1.9ce36f9b94dc8p-10, 0x1.9450202ee0ca5p-10, 0x1.8be5c9de990c6p-10, 0x1.83a41c24a70e8p-10, 0x1.7b8aedff8f7f1p-10, 0x1.739a058ee2333p-10, 0x1.6bd0e69dfe98dp-10, 0x1.642ec4ac2a87p-10, 0x1.5cb29e0c4ee92p-10, 0x1.555b685ff0f18p-10, 0x1.4e282dc056b47p-10, 0x1.471810836c96dp-10, 0x1.402a48d3c6a3ap-10, 0x1.395e2fa0149b5p-10, 0x1.32b34fd7f2a15p-10, 0x1.2c2966eafabcap-10, 0x1.25c04ad9432c2p-10, 0x1.1f77c2286c876p-10, 0x1.194f621b74321p-10, 0x1.134682a288592p-10, 0x1.0d5c4e3e1a421p-10, 0x1.078fe842d030cp-10, 0x1.01e097d927084p-10, 0x1.f89bc3d8d3a04p-11, 0x1.edaf09d2e4416p-11, 0x1.e2fab184a6631p-11, 0x1.d87e45397b416p-11, 0x1.ce38e468be1ap-11, 0x1.c4293b1d0b9f1p-11, 0x1.ba4dbeaf2fcd6p-11, 0x1.b0a4fcef57506p-11, 0x1.a72dae1241f3ap-11, 0x1.9de67a307742p-11, 0x1.94cdcce1c552ap-11, 0x1.8be213f40df0bp-11, 0x1.832245006a352p-11, 0x1.7a8e250881e82p-11, 0x1.72260a00dee65p-11, 0x1.69ea4c8b3d863p-11, 0x1.61dad1a471d4dp-11, 0x1.59f6ea2e3858bp-11, 0x1.523d80e4bf532p-11, 0x1.4aad61bcf461cp-11, 0x1.434568206a1fbp-11, 0x1.3c048a088adb3p-11, 0x1.34e9d875493f3p-11, 0x1.2df489997a56cp-11, 0x1.272404ee6bf01p-11, 0x1.2077d865ca063p-11, 0x1.19ef8b693c0efp-11, 0x1.138a6b7ab99ffp-11, 0x1.0d478ad8b98ap-11, 0x1.0726034444facp-11, 0x1.01252eec2277bp-11, 0x1.f688e4a301e6fp-12, 0x1.eb057eba0119ap-12, 0x1.dfbd155c8286bp-12, 0x1.d4ad05ff214bbp-12, 0x1.c9d49ece95282p-12, 0x1.bf34e56ffb355p-12, 0x1.b4cee982c1a6bp-12, 0x1.aaa25fd704f9ep-12, 0x1.a0ada674cdd26p-12, 0x1.96eed5991b35cp-12, 0x1.8d64b082aa73bp-12, 0x1.840eab4f28d04p-12, 0x1.7aec47ba2be15p-12, 0x1.71fc98d0b3674p-12, 0x1.693e5770ee78cp-12, 0x1.60b04ea1f8909p-12, 0x1.5851b9af7067dp-12, 0x1.50225bc975455p-12, 0x1.482242d8da0fp-12, 0x1.40514164d824p-12, 0x1.38ae63319249cp-12, 0x1.3137e047533f2p-12, 0x1.29ebcfb5c1a0dp-12, 0x1.22c8ec1d63b81p-12, 0x1.1bce4b17464a1p-12, 0x1.14fa2966240edp-12, 0x1.0e49a32515c7ap-12, 0x1.07ba69059d4b4p-12, 0x1.014c6e4a4bc31p-12, 0x1.f60236a778a97p-13, 0x1.e9b215e30f0cbp-13, 0x1.dda635f86c151p-13, 0x1.d1db122b5f6ddp-13, 0x1.c64ef7b031725p-13, 0x1.bb0286166e0fbp-13, 0x1.aff6be4e30a8dp-13, 0x1.a52b44a0b6a1bp-13, 0x1.9a9e3e9ae7b5ap-13, 0x1.904d1ea03eaa6p-13, 0x1.8635664511172p-13, 0x1.7c55140824f26p-13, 0x1.72aad40044ff6p-13, 0x1.693610c10484cp-13, 0x1.5ff6e4c7e6024p-13, 0x1.56edc810591c7p-13, 0x1.4e1adc40c0dc1p-13, 0x1.457d328a46bdep-13, 0x1.3d12f252bfdb7p-13, 0x1.34daa16517bfap-13, 0x1.2cd415251b222p-13, 0x1.24ff5f5fbfd58p-13, 0x1.1d5a89959d2ebp-13, 0x1.15e1abccf2156p-13, 0x1.0e9288947378fp-13, 0x1.076e278cb9561p-13, 0x1.007555da7d4a9p-13, 0x1.f34bade12c1a6p-14, 0x1.e5f8d9666c9cfp-14, 0x1.d8f019e2a2b23p-14, 0x1.cc333181bf34bp-14, 0x1.bfc2cd98b81f1p-14, 0x1.b39cc45b86242p-14, 0x1.a7bdbafc74122p-14, 0x1.9c22ae6266bd1p-14, 0x1.90c94cd347796p-14, 0x1.85afd6733e895p-14, 0x1.7ad505a62579fp-14, 0x1.7037fff07aae9p-14, 0x1.65d83817869c5p-14, 0x1.5bb54dd6ab858p-14, 0x1.51cf026078d8ep-14, 0x1.482525dfbb5acp-14, 0x1.3eb72518218b8p-14, 0x1.358331e0b9e69p-14, 0x1.2c860f222bfbfp-14, 0x1.23bc9e51d1454p-14, 0x1.1b263ba5c0c94p-14, 0x1.12c55e77e6476p-14, 0x1.0a9c62ec13165p-14, 0x1.02a8c41e1bea7p-14, 0x1.f5cb63c47578p-15, 0x1.e6a5ab2865f0fp-15, 0x1.d7e1958086754p-15, 0x1.c977820edadf2p-15, 0x1.bb607bb1e49b1p-15, 0x1.ad9e6b8bb75fap-15, 0x1.a033e2f4d8a29p-15, 0x1.931e3d220a021p-15, 0x1.865923feb185ep-15, 0x1.79e1cf81e0fbfp-15, 0x1.6db70896a439fp-15, 0x1.61d83481faffep-15, 0x1.5644b1f7c4077p-15, 0x1.4afb9c12e3d22p-15, 0x1.3ffbbf5fa58c2p-15, 0x1.354393b698004p-15, 0x1.2ad12bc62e264p-15, 0x1.20a22ea50865bp-15, 0x1.16b3ff4258388p-15, 0x1.0d042519fd88ep-15, 0x1.0390cc43fcaf1p-15, 0x1.f4b1ab0b0275p-16, 0x1.e2b61e1341de3p-16, 0x1.d12adf8936bcap-16, 0x1.c00ba8b9168bap-16, 0x1.af57d01a3838bp-16, 0x1.9f14cd279a363p-16, 0x1.8f499c695832cp-16, 0x1.7fef90f8adcedp-16, 0x1.70f48baf660d8p-16, 0x1.6255fbc2ce697p-16, 0x1.541727798ec6dp-16, 0x1.463424960f96cp-16, 0x1.38b1c7292b8eap-16, 0x1.2b957056d3671p-16, 0x1.1ed96d768bfc3p-16, 0x1.12753deb72a3cp-16, 0x1.0663910a57b24p-16, 0x1.f5435ff5c09b9p-17, 0x1.de5c18daf812ap-17, 0x1.c80f0bc588f6bp-17, 0x1.b25a2e4ee1159p-17, 0x1.9d3b54a903358p-17, 0x1.88b004fb169d9p-17, }}, 
      {{0x1.ddaf6adfa8894p-4, 0x1.e3f0b78057d54p-4, 0x1.edfdae363c68cp-4, 0x1.fb644c4019eedp-4, 0x1.05d1a32dea432p-3, 0x1.0f19ce34213a4p-3, 0x1.1947abfde23a5p-3, 0x1.241b1b5f291dp-3, 0x1.2f58586a6465fp-3, 0x1.3ac8e390a7ebdp-3, 0x1.463bf70c6c492p-3, 0x1.5186a4a871d62p-3, 0x1.5c83b56d76b65p-3, 0x1.6713607e8d3c5p-3, 0x1.711aeae61a715p-3, 0x1.7a843c6cd427bp-3, 0x1.833d71b22425p-3, 0x1.8b3870a1e5beap-3, 0x1.926a82259f3b5p-3, 0x1.98cbf297a41a1p-3, 0x1.9e57b9453646fp-3, 0x1.a30b271d39eb7p-3, 0x1.a6e59c19a4a31p-3, 0x1.a9e8430274cf9p-3, 0x1.ac15d3156d499p-3, 0x1.ad7257295d277p-3, 0x1.ae02f9f045049p-3, 0x1.adcdd701f4e4fp-3, 0x1.acd9d05f75713p-3, 0x1.ab2e68256a241p-3, 0x1.a8d39e29c0811p-3, 0x1.a5d1d1429890ap-3, 0x1.a231a3f809b82p-3, 0x1.9dfbe461aac9ep-3, 0x1.993976f43c8edp-3, 0x1.93f34405601dp-3, 0x1.8e3227cba695cp-3, 0x1.87fee4a4e6ff4p-3, 0x1.8162176ef821bp-3, 0x1.7a642dbe8f0f8p-3, 0x1.730d5dc89927fp-3, 0x1.6b659fccab6ebp-3, 0x1.6374a8dcd2524p-3, 0x1.5b41e6d60e29dp-3, 0x1.52d47d690177fp-3, 0x1.4a334415a0aa5p-3, 0x1.4164c4e7424bap-3, 0x1.386f3bfdbac59p-3, 0x1.2f5897907244ap-3, 0x1.2626789141521p-3, 0x1.1cde338c75982p-3, 0x1.1384d236898a6p-3, 0x1.0a1f14e6a547p-3, 0x1.00b1745d49c53p-3, 0x1.ee8047667b07cp-4, 0x1.db9e258fc78bdp-4, 0x1.c8c3e0d4c477cp-4, 0x1.b5f858a271e79p-4, 0x1.a341f2aaeaf51p-4, 0x1.90a6a01e4772bp-4, 0x1.7e2be30012975p-4, 0x1.6bd6d289dcad2p-4, 0x1.59ac1f1a4004fp-4, 0x1.47b0168deba9bp-4, 0x1.35e6a95d405a3p-4, 0x1.24536fe428156p-4, 0x1.12f9af0cca4dcp-4, 0x1.01dc5c2ae843dp-4, 0x1.e1fc40f22f335p-5, 0x1.c0c2b992c5f41p-5, 0x1.a0105b47ff56ep-5, 0x1.7fe8df371ce24p-5, 0x1.604f86de2fd41p-5, 0x1.4147235f88906p-5, 0x1.22d21bcaaeafap-5, 0x1.04f272c7d876bp-5, 0x1.cf53984b427c5p-6, 0x1.95f2e53a0764bp-6, 0x1.5dc4bba0cca27p-6, 0x1.26ca70c0fb4cfp-6, 0x1.e20996f30523dp-7, 0x1.78e81e27714bap-7, 0x1.123009f424cfcp-7, 0x1.5bc015e5577d1p-8, 0x1.2fd7fe4d0ddap-9, -0x1.390fca49abaeap-11, -0x1.c2e2090e7d44cp-9, -0x1.97099e94eb7cp-8, -0x1.23fab8bf29713p-7, -0x1.7a1f9ca7d8fffp-7, -0x1.cdf954933aba1p-7, -0x1.0fc7148006c19p-6, -0x1.377262d27d93cp-6, -0x1.5e02175c3127ap-6, -0x1.8379db8a65992p-6, -0x1.a7dd7b9d3f46ap-6, -0x1.cb30e27b82e07p-6, -0x1.ed7815c83d143p-6, -0x1.075b991f34cfdp-5, -0x1.1779341c1a7d1p-5, -0x1.2716fc3408dfp-5, -0x1.36371863af0edp-5, -0x1.44dbb4d408928p-5, -0x1.530701838e09ep-5, -0x1.60bb310330686p-5, -0x1.6dfa774edc51p-5, -0x1.7ac708be04baep-5, -0x1.872319104653fp-5, -0x1.9310da8ba4f2cp-5, -0x1.9e927d35b70fep-5, -0x1.a9aa2e1dcf16ep-5, -0x1.b45a16baf80fap-5, -0x1.bea45c5acbe2bp-5, -0x1.c88b1f9bbf498p-5, -0x1.d2107bfadb0ecp-5, -0x1.db368767204eep-5, -0x1.e3ff51e91f6b6p-5, -0x1.ec6ce5480b77dp-5, -0x1.f48144c8afed2p-5, -0x1.fc3e6ce7bacbfp-5, -0x1.01d3299300145p-4, -0x1.055d72ebf6d2p-4, -0x1.08bf05ff8fd7dp-4, -0x1.0bf8d2948ec34p-4, -0x1.0f0bc4ab750cdp-4, -0x1.11f8c474641c2p-4, -0x1.14c0b647e4576p-4, -0x1.17647aa34634ep-4, -0x1.19e4ee25c475ep-4, -0x1.1c42e990b7b1fp-4, -0x1.1e7f41ca4b79p-4, -0x1.209ac7e091396p-4, -0x1.2296490cdef7fp-4, -0x1.24728ebf530fcp-4, -0x1.26305ea1407eap-4, -0x1.27d07aa04e30fp-4, -0x1.2953a0f8a8747p-4, -0x1.2aba8c3d92031p-4, -0x1.2c05f366384bfp-4, -0x1.2d3689d84d929p-4, -0x1.2e4cff74e1cbp-4, -0x1.2f4a00a2a62b8p-4, -0x1.302e365eb7ffep-4, -0x1.30fa464630439p-4, -0x1.31aed2a4beac7p-4, -0x1.324c7a811d326p-4, -0x1.32d3d9ad6f0b9p-4, -0x1.334588d042a83p-4, -0x1.33a21d7584cfbp-4, -0x1.33ea2a1b2b37fp-4, -0x1.341e3e3e4a3fcp-4, -0x1.343ee6683e8a3p-4, -0x1.344cac3ca4f5bp-4, -0x1.344816868437p-4, -0x1.3431a9447190ap-4, -0x1.3409e5b5f0f75p-4, -0x1.33d14a68ad47bp-4, -0x1.338853448948fp-4, -0x1.332f7997014b7p-4, -0x1.32c7342116749p-4, -0x1.324ff72272704p-4, -0x1.31ca346524b6fp-4, -0x1.31365b48c6993p-4, -0x1.3094d8ce77535p-4, -0x1.2fe617a449fc5p-4, -0x1.2f2a803025a95p-4, -0x1.2e627899482fdp-4, -0x1.2d8e64d45c15dp-4, -0x1.2caea6adaf4bdp-4, -0x1.2bc39dd346b7ap-4, -0x1.2acda7de6a496p-4, -0x1.29cd205db09bep-4, -0x1.28c260df0a3a9p-4, -0x1.27adc0f98959fp-4, -0x1.268f96566568bp-4, -0x1.256834b8fc32dp-4, -0x1.2437ee098bd8ep-4, -0x1.22ff125d9102dp-4, -0x1.21bdf00067935p-4, -0x1.2074d37b8ce25p-4, -0x1.1f24079f24a3fp-4, -0x1.1dcbd58a74d76p-4, -0x1.1c6c84b4106e5p-4, -0x1.1b065af18729cp-4, -0x1.19999c80c4a5dp-4, -0x1.18268c0c0d39dp-4, -0x1.16ad6ab633ec7p-4, -0x1.152e781ebe622p-4, -0x1.13a9f26b43079p-4, -0x1.1220164dae2dfp-4, -0x1.10911f0bd31ebp-4, -0x1.0efd46863b23bp-4, -0x1.0d64c53ef4bd5p-4, -0x1.0bc7d2609717bp-4, -0x1.0a26a3c54a3ffp-4, -0x1.08816dfde5de5p-4, -0x1.06d864556f12p-4, -0x1.052bb8dcbb268p-4, -0x1.037b9c6b611e5p-4, -0x1.01c83ea92d53ep-4, -0x1.0011ce1400e71p-4, -0x1.fcb0f00b06817p-5, -0x1.f938d17107c8ap-5, -0x1.f5bb969d464efp-5, -0x1.f23993ad9938bp-5, -0x1.eeb31aa656dcfp-5, -0x1.eb287b7e069c2p-5, -0x1.e79a042719d14p-5, -0x1.e408009986273p-5, -0x1.e072badcdc20cp-5, -0x1.dcda7b16b0e1ep-5, -0x1.d93f8791b22e5p-5, -0x1.d5a224cb85924p-5, -0x1.d202957bc744fp-5, -0x1.ce611a9cb1038p-5, -0x1.cabdf3750f86fp-5, -0x1.c7195da2ff787p-5, -0x1.c373952684664p-5, -0x1.bfccd46aab77ep-5, -0x1.bc25544d4a121p-5, -0x1.b87d4c2677de7p-5, -0x1.b4d4f1d0f326ep-5, -0x1.b12c79b3ab556p-5, -0x1.ad8416cb7cb62p-5, -0x1.a9dbfab3d2653p-5, -0x1.a63455ad971ebp-5, -0x1.a28d56a6fa374p-5, -0x1.9ee72b40293fdp-5, -0x1.9b41ffd533898p-5, -0x1.979dff858ebb7p-5, -0x1.93fb543cc18cdp-5, -0x1.905a26b96e439p-5, -0x1.8cba9e933cb04p-5, -0x1.891ce240cd4fbp-5, -0x1.8581171da454fp-5, -0x1.81e761713807p-5, -0x1.7e4fe47638d2p-5, -0x1.7abac261b02e7p-5, -0x1.77281c6916f2p-5, -0x1.739812c7922fcp-5, -0x1.700ac4c2cfb1p-5, -0x1.6c8050b042d56p-5, -0x1.68f8d3fa65525p-5, -0x1.65746b27b6156p-5, -0x1.61f331e0b206dp-5, -0x1.5e7542f36d2a8p-5, -0x1.5afab85ac4866p-5, -0x1.5783ab40d60c1p-5, -0x1.54103403a958bp-5, -0x1.50a06a39b5fa2p-5, -0x1.4d3464b6ae4fcp-5, -0x1.49cc39909afe2p-5, -0x1.4667fe2498718p-5, -0x1.4307c71b0d9ep-5, -0x1.3faba86b64171p-5, -0x1.3c53b55f6cc2bp-5, -0x1.39000096dfff1p-5, -0x1.35b09c0b10cc6p-5, -0x1.32659912f51bep-5, -0x1.2f1f0867303bcp-5, -0x1.2bdcfa25ef853p-5, -0x1.289f7dd655bfap-5, -0x1.2566a26baeec9p-5, -0x1.22327647f6439p-5, -0x1.1f03073ed6f9cp-5, -0x1.1bd86298307b7p-5, -0x1.18b295148ef86p-5, -0x1.1591aaee3345ep-5, -0x1.1275afde539dep-5, -0x1.0f5eaf1ec06cfp-5, -0x1.0c4cb36cc6d79p-5, -0x1.093fc70b60287p-5, -0x1.0637f3c55d605p-5, -0x1.033542efae916p-5, -0x1.0037bd6bd1484p-5, -0x1.fa7ed754ce242p-6, -0x1.f498ab5b7c91bp-6, -0x1.eebd06185fe73p-6, -0x1.e8ebf5e492734p-6, -0x1.e32588496c69cp-6, -0x1.dd69ca041d043p-6, -0x1.d7b8c7093f69cp-6, -0x1.d2128a88a7e2p-6, -0x1.cc771ef150b2ap-6, -0x1.c6e68df581652p-6, -0x1.c160e08ecea42p-6, -0x1.bbe61f01cd655p-6, -0x1.b67650e1941dp-6, -0x1.b1117d130189ap-6, -0x1.abb7a9cfe4893p-6, -0x1.a668dca956749p-6, -0x1.a1251a8dcac0bp-6, -0x1.9bec67c673e68p-6, -0x1.96bec8004f384p-6, -0x1.919c3e4bcacfap-6, -0x1.8c84cd20bf15bp-6, -0x1.877876614ed14p-6, -0x1.82773b5cd8cdbp-6, -0x1.7d811cd2e8183p-6, -0x1.78961af601c31p-6, -0x1.73b6356e61c51p-6, -0x1.6ee16b5c4308cp-6, -0x1.6a17bb5a21db1p-6, -0x1.6559237f4c756p-6, -0x1.60a5a16209466p-6, -0x1.5bfd321a4185ap-6, -0x1.575fd2441f1c9p-6, -0x1.52cd7e02e172ep-6, -0x1.4e463103a4dc2p-6, -0x1.49c9e67ff5f27p-6, -0x1.455899400f182p-6, -0x1.40f2439cdf15cp-6, -0x1.3c96df81889c7p-6, -0x1.3846666e2dec6p-6, -0x1.3400d17829d4ap-6, -0x1.2fc6194e80277p-6, -0x1.2b96363ac53dcp-6, -0x1.277120245db96p-6, -0x1.2356ce92fb5b4p-6, -0x1.1f4738b0f1bd9p-6, -0x1.1b42554cd2b05p-6, -0x1.17481add7a0ccp-6, -0x1.13587f7f5d812p-6, -0x1.0f7378fa79b6ep-6, -0x1.0b98fcc1c91a7p-6, -0x1.07c8fff5e9822p-6, -0x1.0403776752a5ep-6, -0x1.004857989e2eep-6, -0x1.f92f2981aad03p-7, -0x1.f1e2459b42c1fp-7, -0x1.eaa9eaca7a46dp-7, -0x1.e385ffd07cca4p-7, -0x1.dc766ae689c7ep-7, -0x1.d57b11c1061c3p-7, -0x1.ce93d992f9b3ap-7, -0x1.c7c0a7118ea16p-7, -0x1.c1015e781319ap-7, -0x1.ba55e38be91f7p-7, -0x1.b3be19a085ae7p-7, -0x1.ad39e39b36302p-7, -0x1.a6c923f6b77ffp-7, -0x1.a06bbcc6b0c9ap-7, -0x1.9a218fbb167a9p-7, -0x1.93ea7e23797f3p-7, -0x1.8dc668f25ab94p-7, -0x1.87b530c08416fp-7, -0x1.81b6b5d07125bp-7, -0x1.7bcad8116fdep-7, -0x1.75f177232f35ap-7, -0x1.702a725913fe2p-7, -0x1.6a75a8bd6d64fp-7, -0x1.64d2f914b8ee2p-7, -0x1.5f4241e0f049bp-7, -0x1.59c36164ab878p-7, -0x1.545635a50f14ap-7, -0x1.4efa9c71fcb84p-7, -0x1.49b0735f805b5p-7, -0x1.447797d249c9ep-7, -0x1.3f4fe6fd67746p-7, -0x1.3a393de687be6p-7, -0x1.35337968f1d27p-7, -0x1.303e76386a314p-7, -0x1.2b5a10e42650dp-7, -0x1.268625d97f352p-7, -0x1.21c29166a54e5p-7, -0x1.1d0f2fbd379ffp-7, -0x1.186bdcf4ea1bep-7, -0x1.13d8750e27e88p-7, -0x1.0f54d3f4da61dp-7, -0x1.0ae0d583234cap-7, -0x1.067c558404997p-7, -0x1.02272fb5ce07dp-7, -0x1.fbc27f98c7529p-8, -0x1.f354c2e6b9b1ap-8, -0x1.eb04e0a03bf92p-8, -0x1.e2d29008293e3p-8, -0x1.dabd885e3237fp-8, -0x1.d2c580e414912p-8, -0x1.caea30e2d98a8p-8, -0x1.c32b4fafad508p-8, -0x1.bb8894b01ca1ap-8, -0x1.b401b75d8f1c2p-8, -0x1.ac966f483908dp-8, -0x1.a5467419fbf95p-8, -0x1.9e117d99a5223p-8, -0x1.96f743af1e567p-8, -0x1.8ff77e6855686p-8, -0x1.8911e5feb5105p-8, -0x1.824632dc3685fp-8, -0x1.7b941d9f428bcp-8, -0x1.74fb5f1d248f1p-8, -0x1.6e7bb06359e4fp-8, -0x1.6814cab82547fp-8, -0x1.61c66799ec6f7p-8, -0x1.5b9040c9e40e2p-8, -0x1.5572104296a22p-8, -0x1.4f6b904b4bed2p-8, -0x1.497c7b793aeb5p-8, -0x1.43a48cb4dd021p-8, -0x1.3de37f3da99b7p-8, -0x1.38390ea98d125p-8, -0x1.32a4f6e2a29b4p-8, -0x1.2d26f42428dcfp-8, -0x1.27bec2f8e623dp-8, -0x1.226c203d08048p-8, -0x1.1d2ec923e2109p-8, -0x1.18067b41190ecp-8, -0x1.12f2f4928c7a5p-8, -0x1.0df3f3889c0c3p-8, -0x1.09093709b40cfp-8, -0x1.04327e704d0bep-8, -0x1.fedf13078a50dp-9, -0x1.f58030ddc3a1ep-9, -0x1.ec47d76f68e44p-9, -0x1.e33588791b4e3p-9, -0x1.da48c670b55c4p-9, -0x1.d181149c81e16p-9, -0x1.c8ddf73396b59p-9, -0x1.c05ef37e36b61p-9, -0x1.b8038fec1904ap-9, -0x1.afcb5418b357fp-9, -0x1.a7b5c8bb2761ep-9, -0x1.9fc27785af452p-9, -0x1.97f0eafdfa68cp-9, -0x1.9040ae5c0f719p-9, -0x1.88b14d7a73141p-9, -0x1.814254dfca5dp-9, -0x1.79f351e160719p-9, -0x1.72c3d2d69e678p-9, -0x1.6bb3674f55f12p-9, -0x1.64c1a03d5f31p-9, -0x1.5dee1003db998p-9, -0x1.57384a66659bfp-9, -0x1.509fe45a676cap-9, -0x1.4a2473c6e0ee5p-9, -0x1.43c58f442fde9p-9, -0x1.3d82cdedeff58p-9, -0x1.375bc756056f5p-9, -0x1.3150139bdd1dap-9, -0x1.2b5f4bb53badep-9, -0x1.258909a44948p-9, -0x1.1fcce8e063213p-9, -0x1.1a2a868015126p-9, -0x1.14a1814e77379p-9, -0x1.0f3179aff6de3p-9, -0x1.09da115fa04ebp-9, -0x1.049aeb143672ap-9, -0x1.fee75447584c1p-10, -0x1.f4c7e4786a478p-10, -0x1.ead6ce8bab563p-10, -0x1.e1135aea74d59p-10, -0x1.d77cd318be771p-10, -0x1.ce12827598224p-10, -0x1.c4d3b70b8c386p-10, -0x1.bbbfc23e62c22p-10, -0x1.b2d5f92c4e31fp-10, -0x1.aa15b4a95f35dp-10, -0x1.a17e50d6897cp-10, -0x1.990f2c695d9ebp-10, -0x1.90c7a7cf619dep-10, -0x1.88a7245c97627p-10, -0x1.80ad03b48e1c7p-10, -0x1.78d8a78f6490fp-10, -0x1.712971e7a4dc2p-10, -0x1.699ec587cac69p-10, -0x1.623806d6678a6p-10, -0x1.5af49cb21e368p-10, -0x1.53d3f12c0ab29p-10, -0x1.4cd571f86bec8p-10, -0x1.45f8907ff123p-10, -0x1.3f3cc192556f4p-10, -0x1.38a17ccd6477ep-10, -0x1.32263bd82b8bap-10, -0x1.2bca7998cf63ap-10, -0x1.258db189acad2p-10, -0x1.1f6f5f4d1842dp-10, -0x1.196efe9422c35p-10, -0x1.138c0b5dcdfffp-10, -0x1.0dc6027f968cap-10, -0x1.081c62587ce25p-10, -0x1.028eab85d2371p-10, -0x1.fa38c2e1fb4d2p-11, -0x1.ef8a153b3e51p-11, -0x1.e5106162185eap-11, -0x1.dacac0738e744p-11, -0x1.d0b850a465878p-11, -0x1.c6d83453bb1edp-11, -0x1.bd2991083f9e9p-11, -0x1.b3ab8e7503d61p-11, -0x1.aa5d55cf866cep-11, -0x1.a13e10f020502p-11, -0x1.984cea7dca8dfp-11, -0x1.8f890e199f0f4p-11, -0x1.86f1a925b715dp-11, -0x1.7e85ebb98a0fep-11, -0x1.76450984b7129p-11, -0x1.6e2e3a66e5544p-11, -0x1.6640baa8cc645p-11, -0x1.5e7bcaea5f523p-11, -0x1.56deaff5d5407p-11, -0x1.4f68b29c0e1b3p-11, -0x1.48191fa2aee2ep-11, -0x1.40ef47a2d4218p-11, -0x1.39ea7eae3a01ap-11, -0x1.330a1ba0b73e9p-11, -0x1.2c4d77374e8ebp-11, -0x1.25b3eb34befcbp-11, -0x1.1f3cd1e5c43c2p-11, -0x1.18e78638a68ecp-11, -0x1.12b3645709f6ep-11, -0x1.0c9fca79af982p-11, -0x1.06ac199b3d19p-11, -0x1.00d7b5cc4702p-11, -0x1.f6440c53e8bfbp-12, -0x1.eb14e95d7f57dp-12, -0x1.e020dc54dce8ep-12, -0x1.d566c5274018cp-12, -0x1.cae58b4b290ebp-12, -0x1.c09c1ef027034p-12, -0x1.b68979414564ap-12, -0x1.acac9b1d16d55p-12, -0x1.a3048a5af966bp-12, -0x1.99904e7ecfa55p-12, -0x1.904eee24848d7p-12, -0x1.873f6e299174ep-12, -0x1.7e60d2cb3baa2p-12, -0x1.75b22209bbf4p-12, -0x1.6d326621dc44ep-12, -0x1.64e0af10f1365p-12, -0x1.5cbc12baafedep-12, -0x1.54c3abf183895p-12, -0x1.4cf699383ba2fp-12, -0x1.4553fc347f74fp-12, -0x1.3ddafa64e0c0ap-12, -0x1.368abeff64793p-12, -0x1.2f627d1fba7b9p-12, -0x1.286170fb96d9bp-12, -0x1.2186df0d80148p-12, -0x1.1ad21111ba48ep-12, -0x1.144251d67806fp-12, -0x1.0dd6e9a5eb3f8p-12, -0x1.078f1ce25f317p-12, -0x1.016a2d63a18edp-12, -0x1.f6cebb930853dp-13, -0x1.eb0bea95f9918p-13, -0x1.df8a845562b57p-13, -0x1.d4493470de9fdp-13, -0x1.c946b36636076p-13, -0x1.be81c1cfcdbe4p-13, -0x1.b3f9240856c74p-13, -0x1.a9ab9fa40a331p-13, -0x1.9f97fbdc79e2bp-13, -0x1.95bd04e178d41p-13, -0x1.8c1990ab53f95p-13, -0x1.82ac82dd94106p-13, -0x1.7974cd38b401p-13, -0x1.70716b69f1c71p-13, -0x1.67a15b82dc8ecp-13, -0x1.5f03966c2da7ap-13, -0x1.56970c2a6955p-13, -0x1.4e5aa5ea5fd42p-13, -0x1.464d4cbe64c37p-13, -0x1.3e6df19042e9ep-13, -0x1.36bb92a155bb7p-13, -0x1.2f353cdd2dd7p-13, -0x1.27da09aabbae1p-13, -0x1.20a91b2474943p-13, -0x1.19a19863c35bbp-13, -0x1.12c2aaa04f7d2p-13, -0x1.0c0b7b417c826p-13, -0x1.057b32fdfae71p-13, -0x1.fe21f50a17dc5p-14, -0x1.f197fa2722cbp-14, -0x1.e556d8bcc914cp-14, -0x1.d95d07d2d0ccp-14, -0x1.cda912fe2cedcp-14, -0x1.c239939a32373p-14, -0x1.b70d2522882c6p-14, -0x1.ac225b16e64c2p-14, -0x1.a177beb7c0623p-14, -0x1.970bd63645944p-14, -0x1.8cdd30582190dp-14, -0x1.82ea6d99f2957p-14, -0x1.793241b977115p-14, -0x1.6fb36f3b75ad4p-14, -0x1.666cc21524215p-14, -0x1.5d5d0d7299b9fp-14, -0x1.54832c8d58bdap-14, -0x1.4bde03b82fa39p-14, -0x1.436c7e620d362p-14, -0x1.3b2d89737644ep-14, -0x1.33200c9d0d615p-14, -0x1.2b42e73efd1dbp-14, -0x1.2394f42b35cdp-14, -0x1.1c15132781239p-14, -0x1.14c232f07455ap-14, -0x1.0d9b55f24a32dp-14, -0x1.069f8f4f86062p-14, -0x1.ff9bf4be9c178p-15, -0x1.f24b63862d904p-15, -0x1.e54b9692f27a2p-15, -0x1.d89ab5bff3741p-15, -0x1.cc36f33747c9p-15, -0x1.c01e94a93acaep-15, -0x1.b44feff6c1d1p-15, -0x1.a8c961e41c1d2p-15, -0x1.9d89476c87ea1p-15, -0x1.928e06f90d586p-15, -0x1.87d61ae2f8f1dp-15, -0x1.7d60180664408p-15, -0x1.732aa8e903ec1p-15, -0x1.69347fb3cd157p-15, -0x1.5f7c45f15973ap-15, -0x1.56009176320a1p-15, -0x1.4cbfe325010f7p-15, -0x1.43b8b07bf3921p-15, -0x1.3ae974961e84dp-15, -0x1.3250c203b798p-15, -0x1.29ed4e52727b6p-15, -0x1.21bdf32bc6532p-15, -0x1.19c1a4ec565ccp-15, -0x1.11f761a9d8fa4p-15, -0x1.0a5e1f9cf5404p-15, -0x1.02f4c55ec2a6fp-15, -0x1.f774634d2f934p-16, -0x1.e95a93ca9b57cp-16, -0x1.db99ff163ca7bp-16, -0x1.ce3091007c1c7p-16, -0x1.c11c31d7dd779p-16, -0x1.b45ad44aa8d96p-16, -0x1.a7ea901a494b1p-16, -0x1.9bc9aaf6e27d1p-16, -0x1.8ff686d60220ap-16, -0x1.846f8890d7a4ap-16, -0x1.79330af7f321p-16, -0x1.6e3f6035792cdp-16, -0x1.6392d52dec4bep-16, -0x1.592bae807549p-16, -0x1.4f08246328db2p-16, -0x1.452668554524ap-16, -0x1.3b84b71001dbfp-16, -0x1.32216dac44805p-16, -0x1.28fb1708cd2d5p-16, -0x1.20106ba5bf8bp-16, -0x1.1760421c0215fp-16, -0x1.0ee97205a263cp-16, -0x1.06aab4fb31a6ap-16, -0x1.fd45393ee5b4ap-17, -0x1.ed9f560c96ed7p-17, -0x1.de60ef255e476p-17, -0x1.cf8772f7dfb58p-17, -0x1.c11069387468ap-17, -0x1.b2f95bd577f5cp-17, -0x1.a53ff8b61f03fp-17, -0x1.97e233b21e13fp-17, -0x1.8ade2b449dadbp-17, -0x1.7e31eddbaf534p-17, -0x1.71db6417a597fp-17, -0x1.65d86dd27daa2p-17, -0x1.5a27090c14b6cp-17, -0x1.4ec55b045bdfap-17, -0x1.43b199bc95a19p-17, -0x1.38e9f049dccd7p-17, -0x1.2e6c73b561d21p-17, -0x1.24372c63da4b6p-17, -0x1.1a482cf32c46ep-17, -0x1.109da8a5932c5p-17, -0x1.0735ff4748d97p-17, -0x1.fc1f76abdfea4p-18, -0x1.ea53123f00b37p-18, -0x1.d904390a9c8b3p-18, -0x1.c8302bea5b9b9p-18, -0x1.b7d3cc183b1b2p-18, -0x1.a7eba93ab4cdp-18, -0x1.9874653c6ec21p-18, -0x1.896b05499ab39p-18, -0x1.7acce179d5c5fp-18, -0x1.6c9763c7afdccp-18, -0x1.5ec801203c4f5p-18, -0x1.515c5cace6b86p-18, -0x1.44523a87527d5p-18, -0x1.37a7392025128p-18, -0x1.2b58b9f0a9976p-18, -0x1.1f641ea580bebp-18, -0x1.13c70b63ba33fp-18, -0x1.087f65d6e5f3cp-18, -0x1.fb1657fa700e7p-19, -0x1.e5d0bdf928954p-19, -0x1.d12a070799c52p-19, -0x1.bd1e404fb3029p-19, -0x1.a9a973259a3aep-19, -0x1.96c7ae830e2c3p-19, -0x1.84751fc7cbb7ep-19, -0x1.72ae23eff9a5fp-19, -0x1.616f45360c6f5p-19, -0x1.50b532a20586cp-19, -0x1.407cc3f6ec9a1p-19, -0x1.30c300da06b69p-19, -0x1.2185046c2e47ap-19, -0x1.12bfb1ce34727p-19, -0x1.046f8abdc6187p-19, -0x1.ed2200dd85572p-20, -0x1.d241e97b021a2p-20, -0x1.b839be3173427p-20, -0x1.9f04f1cd28b38p-20, -0x1.869e72ef1404p-20, -0x1.6f00967c67e5fp-20, -0x1.5825e7aa6f0a6p-20, -0x1.42090ae635e95p-20, -0x1.2ca45def446fbp-20, -0x1.17f29ce6b0b25p-20, -0x1.03ef4fb0a0311p-20, -0x1.e12c6de32a6a8p-21, -0x1.bbc5d2ce39398p-21, -0x1.97a20e80444a4p-21, -0x1.74b8e753daed7p-21, -0x1.530275efe2fedp-21, -0x1.32770a2ffc408p-21, -0x1.130ee9df127cbp-21, -0x1.e9849056ca412p-22, -0x1.af12ae2d96b46p-22, -0x1.76b8b2340d506p-22, -0x1.4067474f24348p-22, -0x1.0c0f495d3853ep-22, -0x1.b3440f3715727p-23, -0x1.52238d036a665p-23, -0x1.e948a00078ab5p-24, -0x1.355f67e3487abp-24, -0x1.10b99386715b8p-25, 0x1.df3ad78cdb7c8p-28, 0x1.7b8fddff0dda6p-25, 0x1.574e937b28812p-24, 0x1.eaac51de05f0ep-24, 0x1.3c01aa93f7779p-23, 0x1.7fbfac3e9bf18p-23, 0x1.c0aa0bd264263p-23, 0x1.fed6ba6760ac7p-23, 0x1.1d2c7e84d8562p-22, 0x1.39a2f6d74f15ep-22, 0x1.54d7b045d60b2p-22, 0x1.6ed32dbc1a31ap-22, 0x1.879eeee16e33ap-22, 0x1.9f4471f22b68ap-22, 0x1.b5cc889de1098p-22, 0x1.cb3f7246bd384p-22, 0x1.dfa508fd0a683p-22, 0x1.f304dc35ad7d4p-22, 0x1.02b32339b867bp-21, 0x1.0b6845cb94af1p-21, 0x1.13a5762fbaf87p-21, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.2aa81b5d1d561p-4, 0x1.1fb7c9ff08147p-3, 0x1.98e6be50012c2p-3, 0x1.fdde6790be8bcp-3, 0x1.26d96452b1bbap-2, 0x1.446b81a2686c5p-2, 0x1.585052b7d25cp-2, 0x1.6376db30cb22p-2, 0x1.66f07fefe6aa9p-2, 0x1.63d8555330c3ap-2, 0x1.5b4298445baeep-2, 0x1.4e327c3903eeap-2, 0x1.3d9495037d1c1p-2, 0x1.2a3c742c9e72cp-2, 0x1.14e45d990367dp-2, 0x1.fc5c7f439ffd9p-3, 0x1.cd4ab46ca089p-3, 0x1.9d8066ef47ceep-3, 0x1.6dc53c27dfddfp-3, 0x1.3ebf5fe89b949p-3, 0x1.10f731bcd97dep-3, 0x1.c9b54bcf896c7p-4, 0x1.7580b298a7c14p-4, 0x1.25d4ba22b538bp-4, 0x1.b623041496b32p-5, 0x1.2aef8fdb6762bp-5, 0x1.54b482e7da6b2p-6, 0x1.a3fd4914c3c02p-8, -0x1.b559b25e28ee7p-8, -0x1.2ea4f974439aep-6, -0x1.db7b360e059d2p-6, -0x1.3a4a146e6bd3ep-5, -0x1.7d66ccce71234p-5, -0x1.b78fde4d2b1aap-5, -0x1.e94aefc24a77fp-5, -0x1.09920259affc6p-4, -0x1.1ad55f98d4f89p-4, -0x1.28b805af6b0a9p-4, -0x1.338215afc9882p-4, -0x1.3b7a8d92821ffp-4, -0x1.40e6a1a3c5d8fp-4, -0x1.4409384779344p-4, -0x1.4522855b551d6p-4, -0x1.446fbf1432e7ap-4, -0x1.422aea72abbf9p-4, -0x1.3e8abb1e84571p-4, -0x1.39c2825081bedp-4, -0x1.34022d1fd70dcp-4, -0x1.2d764a99ee00fp-4, -0x1.26481ea0ce6a6p-4, -0x1.1e9db61829693p-4, -0x1.169a0709e73bdp-4, -0x1.0e5d0b2973728p-4, -0x1.0603e9e79f5d5p-4, -0x1.fb5228ce3a8cfp-5, -0x1.eac8e56309838p-5, -0x1.da9700f0d1c07p-5, -0x1.cae2f48d5b77ap-5, -0x1.bbcef8958151ap-5, -0x1.ad79501e5bb79p-5, -0x1.9ffc877ee16d3p-5, -0x1.936fb5b111b22p-5, -0x1.87e6bc06a829cp-5, -0x1.7d727f8cc7624p-5, -0x1.74211e3f04344p-5, -0x1.6bfe1fe39d13cp-5, -0x1.6512a5ce93433p-5, -0x1.5f6599f28a578p-5, -0x1.5afbdc241a84dp-5, -0x1.57d86c3d0e605p-5, -0x1.55fc90c475fedp-5, -0x1.5567faf3dd4ffp-5, -0x1.5618e96273bd4p-5, -0x1.580c4a0e2f0bap-5, -0x1.5b3ddbc596875p-5, -0x1.5fa84e476a28fp-5, -0x1.6545607151dacp-5, -0x1.6c0dfc14918b3p-5, -0x1.73fa4f85b046bp-5, -0x1.7d01e52d4031fp-5, -0x1.871bb9a4827e7p-5, -0x1.923e5094ccb19p-5, -0x1.9e5fc87bb6e41p-5, -0x1.ab75ed5e43327p-5, -0x1.b9764a2331585p-5, -0x1.c856389833be2p-5, -0x1.d80af00045639p-5, -0x1.e8899236797afp-5, -0x1.f9c737906fc32p-5, -0x1.05dc7cc3ee8d8p-4, -0x1.0f29fe3db2d1cp-4, -0x1.18c6bc3ac43adp-4, -0x1.22ad609fd44fep-4, -0x1.2cd8a6d53d32fp-4, -0x1.37435f12e36e5p-4, -0x1.41e871529596p-4, -0x1.4cc2dfe857b85p-4, -0x1.57cdc9c46a47dp-4, -0x1.63046c5a2ef79p-4, -0x1.6e6225482c63bp-4, -0x1.79e2739d40297p-4, -0x1.8580f8f3ca52p-4, -0x1.91397a4004da6p-4, -0x1.9d07e0687a6d1p-4, -0x1.a8e838b95c0e1p-4, -0x1.b4d6b51c0a678p-4, -0x1.c0cfac32497abp-4, -0x1.cccf994cb978p-4, -0x1.d8d31c3a0e0dbp-4, -0x1.e4d6f902893c3p-4, -0x1.f0d81784e6ecdp-4, -0x1.fcd382f654f0ep-4, -0x1.046334ac4581p-3, -0x1.0a570d6851cbep-3, -0x1.1044047a9b81bp-3, -0x1.1628e304eb87bp-3, -0x1.1c0482188a178p-3, -0x1.21d5ca497d59dp-3, -0x1.279bb33c159d9p-3, -0x1.2d554333d9669p-3, -0x1.33018e9ab65d8p-3, -0x1.389fb789c359cp-3, -0x1.3e2eed527f52fp-3, -0x1.43ae6c022e6e2p-3, -0x1.491d7becece35p-3, -0x1.4e7b71342ab9fp-3, -0x1.53c7ab4e6ddbcp-3, -0x1.59019496dc77cp-3, -0x1.5e28a1d54d5dcp-3, -0x1.633c51cee4d1fp-3, -0x1.683c2cdbd6269p-3, -0x1.6d27c4747af5ep-3, -0x1.71feb2cc53046p-3, -0x1.76c09a7074a0cp-3, -0x1.7b6d25dbcebaep-3, -0x1.8004071c49dd1p-3, -0x1.8484f77bd142bp-3, -0x1.88efb71e01b41p-3, -0x1.8d440cadb9f0ap-3, -0x1.9181c511b72c9p-3, -0x1.95a8b315ec70ep-3, -0x1.99b8af1f60392p-3, -0x1.9db196eca55adp-3, -0x1.a1934d4ac4eb6p-3, -0x1.a55db9d13de6fp-3, -0x1.a910c8a91d199p-3, -0x1.acac6a51a7265p-3, -0x1.b030935fcfb49p-3, -0x1.b39d3c4f85c9fp-3, -0x1.b6f2615235e5ap-3, -0x1.ba300216803e3p-3, -0x1.bd56219c3ea2dp-3, -0x1.c064c61049005p-3, -0x1.c35bf89d70ce8p-3, -0x1.c63bc53f076f2p-3, -0x1.c9043aa3c05e5p-3, -0x1.cbb56a0efd02ep-3, -0x1.ce4f672dd52ap-3, -0x1.d0d247f440ac1p-3, -0x1.d33e24898fb9p-3, -0x1.d593172e37d36p-3, -0x1.d7d13c16a4ae7p-3, -0x1.d9f8b14f6c243p-3, -0x1.dc0996af9a537p-3, -0x1.de040dc3ec63p-3, -0x1.dfe839afe6a94p-3, -0x1.e1b63f16363d3p-3, -0x1.e36e440cf7bbep-3, -0x1.e510700f1dd32p-3, -0x1.e69cebe46a25ep-3, -0x1.e813e18c5b883p-3, -0x1.e9757c3289e1ep-3, -0x1.eac1e82386016p-3, -0x1.ebf952bbd081bp-3, -0x1.ed1bea56a5961p-3, -0x1.ee29de422b2eep-3, -0x1.ef235eb4fc531p-3, -0x1.f0089cc09f76cp-3, -0x1.f0d9ca44b2e69p-3, -0x1.f19719e62b89p-3, -0x1.f240bf0624cb5p-3, -0x1.f2d6edb428596p-3, -0x1.f359daa0e207dp-3, -0x1.f3c9bb1812d56p-3, -0x1.f426c4fe22283p-3, -0x1.f4712ec5b2d36p-3, -0x1.f4a92f5f8da42p-3, -0x1.f4cefe2c8857fp-3, -0x1.f4e2d2fef549ep-3, -0x1.f4e4e61bc1522p-3, -0x1.f4d57031ac5f2p-3, -0x1.f4b4aa45388a8p-3, -0x1.f482cda24ab12p-3, -0x1.f44013de251acp-3, -0x1.f3ecb6df4cd1fp-3, -0x1.f388f0d8e7ecep-3, -0x1.f314fc36252d3p-3, -0x1.f2911386f01cap-3, -0x1.f1fd717dbd392p-3, -0x1.f15a50fb60357p-3, -0x1.f0a7ed13cb985p-3, -0x1.efe680ffaa4acp-3, -0x1.ef1648043c56fp-3, -0x1.ee377d6686d81p-3, -0x1.ed4a5c72baa7dp-3, -0x1.ec4f208a0c50cp-3, -0x1.eb460522c3023p-3, -0x1.ea2f45b51b4c1p-3, -0x1.e90b1da40f99bp-3, -0x1.e7d9c8352e3e6p-3, -0x1.e69b809b3e7cap-3, -0x1.e550820441d02p-3, -0x1.e3f90798ae04p-3, -0x1.e2954c68dbca3p-3, -0x1.e1258b56baf2cp-3, -0x1.dfa9ff0d4ebfap-3, -0x1.de22e20a14815p-3, -0x1.dc906eab8e185p-3, -0x1.daf2df342a1b9p-3, -0x1.d94a6dbc41ad8p-3, -0x1.d797541cefd9ep-3, -0x1.d5d9cbe373a8fp-3, -0x1.d4120e54e4571p-3, -0x1.d240547bd01abp-3, -0x1.d064d73113601p-3, -0x1.ce7fcf1674ae1p-3, -0x1.cc917485bc176p-3, -0x1.ca99ff7fe7b2bp-3, -0x1.c899a7a7fa83fp-3, -0x1.c690a44a4d2c8p-3, -0x1.c47f2c68ce9abp-3, -0x1.c26576bfd1bbap-3, -0x1.c043b9beee0d4p-3, -0x1.be1a2b79e5bbep-3, -0x1.bbe9019b963d9p-3, -0x1.b9b07162a156ep-3, -0x1.b770afa867978p-3, -0x1.b529f0ea5818p-3, -0x1.b2dc69500b8abp-3, -0x1.b0884ca4c240ap-3, -0x1.ae2dce4c6022cp-3, -0x1.abcd2137e83e7p-3, -0x1.a96677e094b09p-3, -0x1.a6fa044c544bdp-3, -0x1.a487f815143f4p-3, -0x1.a210846f47586p-3, -0x1.9f93da28f7a36p-3, -0x1.9d1229a265e5bp-3, -0x1.9a8ba2c430a81p-3, -0x1.980074f88a1b1p-3, -0x1.9570cf2a82e41p-3, -0x1.92dcdfcaf5b6ap-3, -0x1.9044d4d6ec48fp-3, -0x1.8da8dbdb34c21p-3, -0x1.8b0921f29af84p-3, -0x1.8865d3bf9fa28p-3, -0x1.85bf1d64f9eb3p-3, -0x1.83152a80c2b4ep-3, -0x1.8068262c79e19p-3, -0x1.7db83b011c2d8p-3, -0x1.7b05931c714d5p-3, -0x1.785058245698p-3, -0x1.7598b345fae06p-3, -0x1.72decd317184cp-3, -0x1.7022ce135d508p-3, -0x1.6d64dd908a95ap-3, -0x1.6aa522c53593dp-3, -0x1.67e3c447f7e59p-3, -0x1.6520e82eb257fp-3, -0x1.625cb412796dcp-3, -0x1.5f974d10687bp-3, -0x1.5cd0d7c74478fp-3, -0x1.5a0978527c311p-3, -0x1.57415245689ecp-3, -0x1.547888a929d1p-3, -0x1.51af3dfe193b3p-3, -0x1.4ee5943fbd425p-3, -0x1.4c1bace909507p-3, -0x1.4951a8f6f26acp-3, -0x1.4687a8e853ed4p-3, -0x1.43bdccbb5e793p-3, -0x1.40f433e9d92ecp-3, -0x1.3e2afd66327dbp-3, -0x1.3b62479ad904ap-3, -0x1.389a306c1bd5ep-3, -0x1.35d2d53b405abp-3, -0x1.330c52e929624p-3, -0x1.3046c5d7a0fc6p-3, -0x1.2d8249e93fd84p-3, -0x1.2abefa807c412p-3, -0x1.27fcf27e8e017p-3, -0x1.253c4c42e367fp-3, -0x1.227d21ab75b98p-3, -0x1.1fbf8c15e38b6p-3, -0x1.1d03a4607602p-3, -0x1.1a4982ea6b954p-3, -0x1.17913f939044ep-3, -0x1.14daf1bbff255p-3, -0x1.1226b044ea0bp-3, -0x1.0f7491927487cp-3, -0x1.0cc4ab8e3fb54p-3, -0x1.0a1713a95dd32p-3, -0x1.076bdeddbaeacp-3, -0x1.04c321ad6ea5dp-3, -0x1.021cf0212eb8ap-3, -0x1.fef2bb8bc7474p-4, -0x1.f9b0fb56211fcp-4, -0x1.f474c4c62c515p-4, -0x1.ef3e3c0bf46c4p-4, -0x1.ea0d846bdc1edp-4, -0x1.e4e2c047ecf29p-4, -0x1.dfbe1126166dfp-4, -0x1.da9f97b1835dfp-4, -0x1.d58773b7f9d0bp-4, -0x1.d075c422d1a4cp-4, -0x1.cb6aa6f236accp-4, -0x1.c6663938f40b4p-4, -0x1.c168971e287bdp-4, -0x1.bc71dbe3bf821p-4, -0x1.b78221f04a5fdp-4, -0x1.b29982d8fdfc1p-4, -0x1.adb81768c19bp-4, -0x1.a8ddf7a2493p-4, -0x1.a40b3abddd235p-4, -0x1.9f3ff7248ade4p-4, -0x1.9a7c426b83145p-4, -0x1.95c03151bc3dap-4, -0x1.910bd7c120a57p-4, -0x1.8c5f48d34dafp-4, -0x1.87ba96d8e8647p-4, -0x1.831dd3619f7b4p-4, -0x1.7e890f42bdab6p-4, -0x1.79fc5a9ac0869p-4, -0x1.7577c4d1beadfp-4, -0x1.70fb5c9772449p-4, -0x1.6c872fe128a44p-4, -0x1.681b4be8ccc75p-4, -0x1.63b7bd2e19636p-4, -0x1.5f5c8f7a0f076p-4, -0x1.5b09cde3c6ba8p-4, -0x1.56bf82d5a06f5p-4, -0x1.527db811f48fep-4, -0x1.4e4476b69888dp-4, -0x1.4a13c73ef83a7p-4, -0x1.45ebb184ddd17p-4, -0x1.41cc3cc0c5842p-4, -0x1.3db56f8a6c11dp-4, -0x1.39a74fda70bfdp-4, -0x1.35a1e30d307bbp-4, -0x1.31a52de67ea59p-4, -0x1.2db134959491dp-4, -0x1.29c5fab876969p-4, -0x1.25e3835e9113ap-4, -0x1.2209d10aa8e63p-4, -0x1.1e38e5b47061cp-4, -0x1.1a70c2ca42cf7p-4, -0x1.16b1693312f2cp-4, -0x1.12fad950fff97p-4, -0x1.0f4d1304228a5p-4, -0x1.0ba815ad9e16p-4, -0x1.080be03296e3p-4, -0x1.047870fedd827p-4, -0x1.00edc6072845bp-4, -0x1.fad7b995b8ee3p-5, -0x1.f3e564ab6b965p-5, -0x1.ed0486835cc5bp-5, -0x1.e6351772e2811p-5, -0x1.df770ef6c4e5cp-5, -0x1.d8ca63b9e78cbp-5, -0x1.d22f0b9bc36d7p-5, -0x1.cba4fbb5b935p-5, -0x1.c52c285ee1a3ep-5, -0x1.bec4852eb604ep-5, -0x1.b86e04ff65418p-5, -0x1.b22899f0dd1b3p-5, -0x1.abf4356d40408p-5, -0x1.a5d0c82ecaa82p-5, -0x1.9fbe4246a7fd1p-5, -0x1.99bc9323bb439p-5, -0x1.93cba998627b1p-5, -0x1.8deb73de9a5f3p-5, -0x1.881bdf9a85182p-5, -0x1.825cd9dc15b7cp-5, -0x1.7cae4f20eebbep-5, -0x1.77102b579038bp-5, -0x1.718259e474b4bp-5, -0x1.6c04c5a8dc524p-5, -0x1.6697590a559ecp-5, -0x1.6139fdf98861ep-5, -0x1.5bec9df6f596dp-5, -0x1.56af22150e395p-5, -0x1.518172f831ddep-5, -0x1.4c6378d609536p-5, -0x1.47551b764c05fp-5, -0x1.425642364b0c1p-5, -0x1.3d66d41068b85p-5, -0x1.3886b7a4e1ef1p-5, -0x1.33b5d34484c5dp-5, -0x1.2ef40cf789c04p-5, -0x1.2a414a8131291p-5, -0x1.259d715e6935ap-5, -0x1.210866c1313c1p-5, -0x1.1c820f8baa3b1p-5, -0x1.180a504e233b4p-5, -0x1.13a10d4a95f02p-5, -0x1.0f462a7e3f4aap-5, -0x1.0af98baf9a136p-5, -0x1.06bb147d1c70dp-5, -0x1.028aa8686fa6ap-5, -0x1.fcd055b526457p-6, -0x1.f4a6fe3f7e234p-6, -0x1.ec9910b945adap-6, -0x1.e4a65302a7711p-6, -0x1.dcce8a7ef315ep-6, -0x1.d5117c1185061p-6, -0x1.cd6eec3027485p-6, -0x1.c5e69f08db16ep-6, -0x1.be7858b1e3387p-6, -0x1.b723dd563da9ap-6, -0x1.afe8f1509f024p-6, -0x1.a8c7592b93884p-6, -0x1.a1bed98590508p-6, -0x1.9acf36e12d282p-6, -0x1.93f83570db0ap-6, -0x1.8d3998f0ae28dp-6, -0x1.8693249d559e5p-6, -0x1.80049b4faecf7p-6, -0x1.798dbfb8d44a5p-6, -0x1.732e54b0282a7p-6, -0x1.6ce61d7db8b11p-6, -0x1.66b4de0ad321dp-6, -0x1.609a5ae8da88dp-6, -0x1.5a96592a0f847p-6, -0x1.54a89e1573de6p-6, -0x1.4ed0eecac8041p-6, -0x1.490f0ff1c694p-6, -0x1.4362c58e01f5dp-6, -0x1.3dcbd3083b7bcp-6, -0x1.3849fb6f1998p-6, -0x1.32dd01e21c57ap-6, -0x1.2d84aa0b9a542p-6, -0x1.2840b88a4d986p-6, -0x1.2310f32be89d6p-6, -0x1.1df520e6fe36ep-6, -0x1.18ed0992b5e49p-6, -0x1.13f8756cc66e5p-6, -0x1.0f172c8c2d0f8p-6, -0x1.0a48f6658e87bp-6, -0x1.058d99831003p-6, -0x1.00e4db85e1dfp-6, -0x1.f89d02eb6d224p-7, -0x1.ef94a09cb32ebp-7, -0x1.e6b01b5628fc3p-7, -0x1.ddef00cbe23cdp-7, -0x1.d550e2057c8fap-7, -0x1.ccd5539346009p-7, -0x1.c47bed11405d8p-7, -0x1.bc44481267971p-7, -0x1.b42dfeb312e0cp-7, -0x1.ac38aa2647085p-7, -0x1.a463e194648aep-7, -0x1.9caf3990b16fcp-7, -0x1.951a444c0ee93p-7, -0x1.8da49281fee37p-7, -0x1.864db4f1e215bp-7, -0x1.7f153e125eb09p-7, -0x1.77fac39b5642ep-7, -0x1.70fddf89d538ep-7, -0x1.6a1e3060c3715p-7, -0x1.635b5898852abp-7, -0x1.5cb4fd604db6bp-7, -0x1.562ac4f7d2915p-7, -0x1.4fbc54f946c8fp-7, -0x1.496950e8d506bp-7, -0x1.4331594fe7456p-7, -0x1.3d140b92d5b11p-7, -0x1.37110290d54cdp-7, -0x1.3127d7fa22896p-7, -0x1.2b58261e7635cp-7, -0x1.25a189d4cc616p-7, -0x1.2003a40ef60ffp-7, -0x1.1a7e1abb878bdp-7, -0x1.151098c648fd1p-7, -0x1.0fbacd41ed30fp-7, -0x1.0a7c69f7daba4p-7, -0x1.055521b870f69p-7, -0x1.0044a6bcc0edfp-7, -0x1.f69552ac5694dp-8, -0x1.eccdae27a9f13p-8, -0x1.e331b4e5b907ep-8, -0x1.d9c0b65a313efp-8, -0x1.d079fe62a5d9p-8, -0x1.c75cd863cf35ep-8, -0x1.be689319222ap-8, -0x1.b59c84459c9fep-8, -0x1.acf80b59501b3p-8, -0x1.a47a92593507bp-8, -0x1.9c238cd9b3f99p-8, -0x1.93f275739ea7dp-8, -0x1.8be6ca8655ceep-8, -0x1.84000b2581a6ep-8, -0x1.7c3db4c2b072dp-8, -0x1.749f41a9292bfp-8, -0x1.6d24280cf0a24p-8, -0x1.65cbd96b79bc3p-8, -0x1.5e95c24bc6945p-8, -0x1.57814ac278b78p-8, -0x1.508dd82dc9ecap-8, -0x1.49bad0418b1dep-8, -0x1.43079cdd342abp-8, -0x1.3c73afa2c944bp-8, -0x1.35fe842bf7c98p-8, -0x1.2fa7a023bb618p-8, -0x1.296e914ba3c14p-8, -0x1.2352ea3974d77p-8, -0x1.1d543f0b6be92p-8, -0x1.17722333e8088p-8, -0x1.11ac28d240512p-8, -0x1.0c01e12cc6e67p-8, -0x1.0672dd4519655p-8, -0x1.00fead937bd7cp-8, -0x1.f749c169b96a5p-9, -0x1.ecca03968e36p-9, -0x1.e27d2facfa283p-9, -0x1.d8624dfe36447p-9, -0x1.ce7867b8092f6p-9, -0x1.c4be8f61cd60ap-9, -0x1.bb33e830fcbb3p-9, -0x1.b1d7a96a8ffeep-9, -0x1.a8a91c7e9a6b2p-9, -0x1.9fa7968470eabp-9, -0x1.96d26f97ba9fdp-9, -0x1.8e28fb88df405p-9, -0x1.85aa86cb7b49fp-9, -0x1.7d565882de53bp-9, -0x1.752bb7dc78e74p-9, -0x1.6d29f1094c517p-9, -0x1.6550564baa03ap-9, -0x1.5d9e3bdcd0e79p-9, -0x1.5612f0a7c81d7p-9, -0x1.4eadb80ee6ab2p-9, -0x1.476dc8ae0565ap-9, -0x1.40525176a84bcp-9, -0x1.395a834b63718p-9, -0x1.32859b5bddd3dp-9, -0x1.2bd2ea9b38ae9p-9, -0x1.2541d8149fed7p-9, -0x1.1ed1dd91e6ccap-9, -0x1.18827fc05763ep-9, -0x1.125344a514561p-9, -0x1.0c43ac1be2953p-9, -0x1.06532d7d7674cp-9, -0x1.00813b4bb14cdp-9, -0x1.f59a95b534d13p-10, -0x1.ea6db77d95b44p-10, -0x1.df7af5197283ep-10, -0x1.d4c1791ed02fbp-10, -0x1.ca406bb4ba2f1p-10, -0x1.bff6dcff9a87bp-10, -0x1.b5e3b92da1e3dp-10, -0x1.ac05cc4301e0dp-10, -0x1.a25bd2c784cebp-10, -0x1.98e48e4504b1cp-10, -0x1.8f9ed55b2d481p-10, -0x1.86899c6cb6a8ap-10, -0x1.7da3f76b95cccp-10, -0x1.74ed151fdcc88p-10, -0x1.6c64341cfec63p-10, -0x1.640894061785bp-10, -0x1.5bd96892c2852p-10, -0x1.53d5d3cda782bp-10, -0x1.4bfcea53ba74ep-10, -0x1.444dc0839f92p-10, -0x1.3cc77b95c61b6p-10, -0x1.35695e944dca3p-10, -0x1.2e32cb6a825c1p-10, -0x1.2723356ab57f6p-10, -0x1.203a0af31c891p-10, -0x1.1976a2253118ep-10, -0x1.12d833d0a8436p-10, -0x1.0c5de680227cfp-10, -0x1.0606e00498b9cp-10, -0x1.ffa4a1b04d4dfp-11, -0x1.f37eeaf1f2822p-11, -0x1.e79b2ac79ff1bp-11, -0x1.dbf80e6c4566dp-11, -0x1.d0946e3f419acp-11, -0x1.c56f4d700dc1p-11, -0x1.ba87c5440c93cp-11, -0x1.afdce5ca77bc6p-11, -0x1.a56d9bc86177dp-11, -0x1.9b38a7b4dfde6p-11, -0x1.913caa6a754bap-11, -0x1.877843183cb3ap-11, -0x1.7dea30ac0b9e2p-11, -0x1.749165cf88559p-11, -0x1.6b6d0557a45c4p-11, -0x1.627c4927436efp-11, -0x1.59be5f9ae1315p-11, -0x1.513250b4f8fd9p-11, -0x1.48d6fafd0b6d1p-11, -0x1.40ab2b2cc7463p-11, -0x1.38adbaba8feccp-11, -0x1.30dd9696c24c5p-11, -0x1.2939a8ad95926p-11, -0x1.21c0c729298fbp-11, -0x1.1a71ccb4b24b6p-11, -0x1.134bcb4bcb551p-11, -0x1.0c4e26cfec57bp-11, -0x1.05787c8714482p-11, -0x1.fd94d97280512p-12, -0x1.f086dbb96e831p-12, -0x1.e3c580d621126p-12, -0x1.d74f00785077dp-12, -0x1.cb217eccba065p-12, -0x1.bf3b2fa60c0aap-12, -0x1.b39a5fd24e9a8p-12, -0x1.a83d76a2eb258p-12, -0x1.9d22fe2c5d30fp-12, -0x1.9249abe810c3dp-12, -0x1.87b0573e21d29p-12, -0x1.7d55d6241ebfap-12, -0x1.7338d5a01ef85p-12, -0x1.6957d916c3895p-12, -0x1.5fb16d839b0ffp-12, -0x1.564454bda27f7p-12, -0x1.4d0f5c5911755p-12, -0x1.4410ff8363a87p-12, -0x1.3b475fc6e2845p-12, -0x1.32b0cf9b1a035p-12, -0x1.2a4c60ab7325cp-12, -0x1.2219cce5c2731p-12, -0x1.1a18d4a8722c7p-12, -0x1.1248b97045e32p-12, -0x1.0aa83ff351002p-12, -0x1.0336162d7fcaap-12, -0x1.f7e2594a1720ep-13, -0x1.e9b16fee3b695p-13, -0x1.dbd7e7ed06ff9p-13, -0x1.ce53ec044aa2ep-13, -0x1.c1236b04243aap-13, -0x1.b44469a52f5cbp-13, -0x1.a7b548c08fac4p-13, -0x1.9b74d616fc2e8p-13, -0x1.8f821d218ee84p-13, -0x1.83dc0124eee08p-13, -0x1.7880d3e1d8034p-13, -0x1.6d6e4c2c8565bp-13, -0x1.62a20cf2d8d53p-13, -0x1.581a391414f54p-13, -0x1.4dd53ce3f316cp-13, -0x1.43d0e80d9f71cp-13, -0x1.3a0a38c788ba6p-13, -0x1.307ea2854f7f8p-13, -0x1.272d4d554c643p-13, -0x1.1e167b1edba4cp-13, -0x1.1539d84f26728p-13, -0x1.0c95ca35a52d8p-13, -0x1.0428431c29e2cp-13, -0x1.f7dfccf39c036p-14, -0x1.e7d8714845179p-14, -0x1.d839cc5e68b51p-14, -0x1.c9023bc27bf64p-14, -0x1.ba2f06f4c79e6p-14, -0x1.abbcf657a3776p-14, -0x1.9da8e493e39f9p-14, -0x1.8ff0118f1a10bp-14, -0x1.8290477f6e0ap-14, -0x1.7587e760b7861p-14, -0x1.68d5dd21340fp-14, -0x1.5c7960cfa3208p-14, -0x1.50716ef489bd8p-14, -0x1.44bc3c8dd2b76p-14, -0x1.395753ec9575cp-14, -0x1.2e408aea3dbdep-14, -0x1.2376b80f365b2p-14, -0x1.18f8e72d7da65p-14, -0x1.0ec4a8c924111p-14, -0x1.04d6235185a41p-14, -0x1.f65580ef14bf6p-15, -0x1.e384b9a95e13bp-15, -0x1.d1395a8da2144p-15, -0x1.bf6e4db1e8773p-15, -0x1.ae1d02697d25p-15, -0x1.9d4239808fe93p-15, -0x1.8cdd9feaaa127p-15, -0x1.7cee237c252c6p-15, -0x1.6d709d374de07p-15, -0x1.5e6108cdbddep-15, -0x1.4fbba9debf96cp-15, -0x1.417d4fe11e537p-15, -0x1.33a33f795ec03p-15, -0x1.262b21bf4d6e5p-15, -0x1.1912f97aa648bp-15, -0x1.0c590c60b2363p-15, -0x1.fff793e2a42dbp-16, -0x1.e7f384eec5773p-16, -0x1.d0a333b9b43dcp-16, -0x1.ba0364879ae9ep-16, -0x1.a40f1042f916bp-16, -0x1.8ebf0e252074ap-16, -0x1.7a0c65e75583dp-16, -0x1.65f3e2ede3d7p-16, -0x1.52771267066a1p-16, -0x1.3f977ae4ff8a1p-16, -0x1.2d4f662183d6dp-16, -0x1.1b95a57a87b24p-16, -0x1.0a67c0bb803aep-16, -0x1.f38974b8fbd34p-17, -0x1.d349dbdbbe5dcp-17, -0x1.b402780837f32p-17, -0x1.95b2b3ec66a2ep-17, -0x1.785b3686a483ap-17, -0x1.5bf4c2f261ee2p-17, -0x1.40758027b7726p-17, -0x1.25d5ff0dae61fp-17, -0x1.0c114e1b6488bp-17, -0x1.e6470a4d38b13p-18, -0x1.b6118f34a78ebp-18, -0x1.8779c5906de5ap-18, -0x1.5a7675f2e9f63p-18, -0x1.2efd8176e4324p-18, -0x1.0503aaf0c3874p-18, -0x1.b8f8fd6ef2654p-19, -0x1.6ab597df5475ep-19, -0x1.1f23e0591a1b1p-19, -0x1.ac5dce74fc084p-20, -0x1.1f8d248403c36p-20, -0x1.2f6ad68567d66p-21, -0x1.4ac064fdb50b5p-24, 0x1.a6ec7ac248a93p-22, 0x1.c72accba0a7bfp-21, 0x1.58d11180e4e78p-20, 0x1.c9515520d2443p-20, 0x1.1aa6d25ba1311p-19, 0x1.4ea325b68e3fap-19, 0x1.80ad8bd2bace8p-19, 0x1.b0c325d2596abp-19, 0x1.def7c6d1facefp-19, 0x1.05a17606aeeedp-18, 0x1.1acc9b1dcc483p-18, 0x1.2f0958b1d8b9ep-18, 0x1.426864555b77ep-18, 0x1.54f54dc7f48fp-18, 0x1.66b7560e12f65p-18, 0x1.77b3c590f383fp-18, 0x1.87ef1e8f09ef7p-18, 0x1.976da36dc037ep-18, 0x1.a6339fd094c88p-18, 0x1.b4458e9ce2727p-18, }}, 
      {{0x1.6c135597a86c3p-3, 0x1.a5c33c825b323p-3, 0x1.ecc4301a99efap-3, 0x1.1a4d94b00819cp-2, 0x1.3ad787d65699p-2, 0x1.55e06482becedp-2, 0x1.6a6871ea6a4a2p-2, 0x1.782d6904068e9p-2, 0x1.7f66286c510f9p-2, 0x1.809315275dfbbp-2, 0x1.7c5d7fafad372p-2, 0x1.73819f43e89e4p-2, 0x1.66bfde48c133bp-2, 0x1.56d33d0f48977p-2, 0x1.446b4371183e8p-2, 0x1.302870d31c2b3p-2, 0x1.1a9a6ab610546p-2, 0x1.043f61351688ep-2, 0x1.db088e4fa0e1bp-3, 0x1.ad8b2d44c8205p-3, 0x1.80a0dbcd5e3dep-3, 0x1.54c7bdf17279cp-3, 0x1.2a64ad1683dd3p-3, 0x1.01c60ddce691bp-3, 0x1.b64d26d145943p-4, 0x1.6d5fbd15886c7p-4, 0x1.28f9dbe2d771fp-4, 0x1.d27165a218338p-5, 0x1.5c4956aa35acep-5, 0x1.ded406db98892p-6, 0x1.174bcb788ea83p-6, 0x1.85c850c3c138ep-8, -0x1.0d90d323d73fcp-8, -0x1.aff9fc31b0331p-7, -0x1.5d31ed99d56f2p-6, -0x1.d3ea51e9bcc5fp-6, -0x1.1e8b035503cc1p-5, -0x1.4cd4973431bcap-5, -0x1.754c53573095bp-5, -0x1.986b8e6347781p-5, -0x1.b6a95794dbb0ap-5, -0x1.d0798280fe391p-5, -0x1.e64be75531923p-5, -0x1.f88bcdec5eefp-5, -0x1.03cfbf6e87ebdp-4, -0x1.09f3fa53476b4p-4, -0x1.0ee053105c2dp-4, -0x1.12bfb530730f9p-4, -0x1.15ba35d74ba95p-4, -0x1.17f517b2b8f0fp-4, -0x1.1992d271ce476p-4, -0x1.1ab32358044c3p-4, -0x1.1b731d1caa7c6p-4, -0x1.1bed42f77dc41p-4, -0x1.1c399cfde32e4p-4, -0x1.1c6dd82868554p-4, -0x1.1c9d5e42922fdp-4, -0x1.1cd9795acc71fp-4, -0x1.1d316f2bf7886p-4, -0x1.1db2a12d83af8p-4, -0x1.1e68a940de8dep-4, -0x1.1f5d7876e138fp-4, -0x1.209975dd41d2fp-4, -0x1.22239b3717d2bp-4, -0x1.24018fd2ecf1bp-4, -0x1.2637c1bf388bbp-4, -0x1.28c97edb6f46ap-4, -0x1.2bb90df8f30dbp-4, -0x1.2f07c74cc3fbp-4, -0x1.32b62b3753d7bp-4, -0x1.36c3f70b199d3p-4, -0x1.3b303836eb99ep-4, -0x1.3ff95e8e618bbp-4, -0x1.451d4e31fd19bp-4, -0x1.4a997119b06b3p-4, -0x1.506ac7e546f2dp-4, -0x1.568df97b984aep-4, -0x1.5cff61347bfccp-4, -0x1.63bb1b81e60d3p-4, -0x1.6abd1165bf3d5p-4, -0x1.720102da8409bp-4, -0x1.798290939dac4p-4, -0x1.813d45170014ap-4, -0x1.892c9d3b44944p-4, -0x1.914c0ff13c774p-4, -0x1.99971541038d4p-4, -0x1.a2092c6ff6954p-4, -0x1.aa9de14c671dep-4, -0x1.b350d0b65fff7p-4, -0x1.bc1dac75ef95ap-4, -0x1.c5003e816ee8ap-4, -0x1.cdf46bc9698d8p-4, -0x1.d6f636a14ded2p-4, -0x1.e001c0c7b8fc1p-4, -0x1.e9134d2fb51ddp-4, -0x1.f227415f0b97p-4, -0x1.fb3a2699b680ap-4, -0x1.02245558c38bap-3, -0x1.06a7d0477235dp-3, -0x1.0b26003ddeb66p-3, -0x1.0f9d7413236abp-3, -0x1.140ccd3b6bd25p-3, -0x1.1872bf9918727p-3, -0x1.1cce113a620fcp-3, -0x1.211d9a08e7639p-3, -0x1.2560436b0bc9cp-3, -0x1.299507da4678dp-3, -0x1.2dbaf2750e769p-3, -0x1.31d11e8611b06p-3, -0x1.35d6b709126c3p-3, -0x1.39caf62c4ef54p-3, -0x1.3dad24cbda889p-3, -0x1.417c99ee89feep-3, -0x1.4538ba3d700bp-3, -0x1.48e0f77d34753p-3, -0x1.4c74d0069bbfcp-3, -0x1.4ff3ce3bec98p-3, -0x1.535d880696195p-3, -0x1.56b19e4e3c555p-3, -0x1.59efbc78cf1ccp-3, -0x1.5d1797e8b0aedp-3, -0x1.6028ef7fa310bp-3, -0x1.63238b25f73bp-3, -0x1.66073b52b5355p-3, -0x1.68d3d89af8bbdp-3, -0x1.6b894342069d1p-3, -0x1.6e2762cebf29cp-3, -0x1.70ae25a800927p-3, -0x1.731d80ae2e50fp-3, -0x1.75756edf5d999p-3, -0x1.77b5f10036dcap-3, -0x1.79df0d3f7bf84p-3, -0x1.7bf0cee7abd9ep-3, -0x1.7deb461457b3fp-3, -0x1.7fce875fd4d4ep-3, -0x1.819aab9f9b4d4p-3, -0x1.834fcfa5e03b6p-3, -0x1.84ee13fa07ee6p-3, -0x1.86759c9cae13bp-3, -0x1.87e690d463b46p-3, -0x1.89411af155bfcp-3, -0x1.8a856817fd06cp-3, -0x1.8bb3a815a9d0ep-3, -0x1.8ccc0d302ae0bp-3, -0x1.8dcecbf4ed025p-3, -0x1.8ebc1b17ab3bep-3, -0x1.8f943345e7109p-3, -0x1.90574f01cf5cbp-3, -0x1.9105aa80f247fp-3, -0x1.919f838d179dp-3, -0x1.9225195ffac05p-3, -0x1.9296ac86ed838p-3, -0x1.92f47ecc0a2dap-3, -0x1.933ed31814d3bp-3, -0x1.9375ed5505936p-3, -0x1.939a125bc735cp-3, -0x1.93ab87e163ce5p-3, -0x1.93aa945b4dcd1p-3, -0x1.93977ee875003p-3, -0x1.93728f450421bp-3, -0x1.933c0dbae7151p-3, -0x1.92f443098f04ap-3, -0x1.929b785334fep-3, -0x1.9231f713a659fp-3, -0x1.91b809147c8eap-3, -0x1.912df85968ap-3, -0x1.90940f0f616ffp-3, -0x1.8fea978469144p-3, -0x1.8f31dc1ee6dcap-3, -0x1.8e6a274f28403p-3, -0x1.8d93c380ce717p-3, -0x1.8caefb1199039p-3, -0x1.8bbc184a18bf6p-3, -0x1.8abb6553af18p-3, -0x1.89ad2c2dddb43p-3, -0x1.8891b6a56828cp-3, -0x1.87694e4bc69f9p-3, -0x1.86343c6ec013ap-3, -0x1.84f2ca1163842p-3, -0x1.83a53fe687b34p-3, -0x1.824be64987a79p-3, -0x1.80e705341fd35p-3, -0x1.7f76e4362fe57p-3, -0x1.7dfbca73522e8p-3, -0x1.7c75fea14fcdbp-3, -0x1.7ae5c701d29b9p-3, -0x1.794b6954578fdp-3, -0x1.77a72ad1c2b2ep-3, -0x1.75f95029a2f25p-3, -0x1.74421d87e100fp-3, -0x1.7281d68d9c639p-3, -0x1.70b8be43bfb04p-3, -0x1.6ee71711df6fp-3, -0x1.6d0d22c0e047bp-3, -0x1.6b2b2281de246p-3, -0x1.694156ec46a62p-3, -0x1.674ffff0f69c2p-3, -0x1.65575ccd6208ap-3, -0x1.6357ac0ba4d7ep-3, -0x1.61512b8bce376p-3, -0x1.5f441889071f3p-3, -0x1.5d30af91b07eap-3, -0x1.5b172c78941efp-3, -0x1.58f7ca4d74485p-3, -0x1.56d2c363394bbp-3, -0x1.54a8515afd744p-3, -0x1.5278ad266167bp-3, -0x1.50440efd4c46p-3, -0x1.4e0aae506747bp-3, -0x1.4bccc1c524e99p-3, -0x1.498a7f3e1a603p-3, -0x1.47441be640505p-3, -0x1.44f9cc32e66dp-3, -0x1.42abc3da700a9p-3, -0x1.405a35c847543p-3, -0x1.3e055419169b3p-3, -0x1.3bad50225affep-3, -0x1.39525a7d98d93p-3, -0x1.36f4a30cc8a4ap-3, -0x1.349458f46efa1p-3, -0x1.3231aa91091b4p-3, -0x1.2fccc5715467ep-3, -0x1.2d65d65a697eep-3, -0x1.2afd0951f7b9p-3, -0x1.289289a608321p-3, -0x1.262681ec85479p-3, -0x1.23b91bfbccp-3, -0x1.214a80e34c671p-3, -0x1.1edad8ea611f8p-3, -0x1.1c6a4b96db0b8p-3, -0x1.19f8ffb618beap-3, -0x1.17871b62573f3p-3, -0x1.1514c4013a6e9p-3, -0x1.12a21e3dda6e8p-3, -0x1.102f4e03c8327p-3, -0x1.0dbc767f69dafp-3, -0x1.0b49ba23ed50ap-3, -0x1.08d73ab30281ep-3, -0x1.06651941cee6fp-3, -0x1.03f37638a1dccp-3, -0x1.0182714f0f2adp-3, -0x1.fe245310347e9p-4, -0x1.f9457a658b1fp-4, -0x1.f46893d900f47p-4, -0x1.ef8dd9536cc5bp-4, -0x1.eab583734c31ap-4, -0x1.e5dfc991f5a6fp-4, -0x1.e10ce1c05685dp-4, -0x1.dc3d00c1952cap-4, -0x1.d7705a08925f6p-4, -0x1.d2a71fbb86a0fp-4, -0x1.cde182bd1d2a2p-4, -0x1.c91fb2b718f13p-4, -0x1.c461de223bc3bp-4, -0x1.bfa8324907b92p-4, -0x1.baf2db45db69bp-4, -0x1.b64203ffe698cp-4, -0x1.b195d62a92ea4p-4, -0x1.acee7a499c60ep-4, -0x1.a84c17b937cd3p-4, -0x1.a3aed4b775e52p-4, -0x1.9f16d66ba1262p-4, -0x1.9a8440e994d01p-4, -0x1.95f73731026acp-4, -0x1.916fdb2b4a6f9p-4, -0x1.8cee4daad528fp-4, -0x1.8872ae6e59ab3p-4, -0x1.83fd1c2852951p-4, -0x1.7f8db487e2d76p-4, -0x1.7b249440c1356p-4, -0x1.76c1d70f977b2p-4, -0x1.726597ba87d75p-4, -0x1.6e0ff00f5346p-4, -0x1.69c0f8e20a153p-4, -0x1.6578ca0edeca4p-4, -0x1.61377a7ff2089p-4, -0x1.5cfd2035900c3p-4, -0x1.58c9d04e3a98fp-4, -0x1.549d9f0c48e5fp-4, -0x1.50789fd8449c8p-4, -0x1.4c5ae540d2cc7p-4, -0x1.484480fa053b3p-4, -0x1.443583de334d6p-4, -0x1.402dfdf18ca4ap-4, -0x1.3c2dfe67f7528p-4, -0x1.383593ab684e4p-4, -0x1.3444cb60eb8eep-4, -0x1.305bb26bbf088p-4, -0x1.2c7a54ef26192p-4, -0x1.28a0be5036fa1p-4, -0x1.24cef938a395dp-4, -0x1.21050f9ab22efp-4, -0x1.1d430ab624c11p-4, -0x1.1988f31c6dff3p-4, -0x1.15d6d0b38c757p-4, -0x1.122caab6e2be1p-4, -0x1.0e8a87b735382p-4, -0x1.0af06d9baab2fp-4, -0x1.075e61a55eb23p-4, -0x1.03d46875b65fbp-4, -0x1.005286162bd98p-4, -0x1.f9b17bff00319p-5, -0x1.f2ce263bded28p-5, -0x1.ebfb0fa495111p-5, -0x1.e5383bdf56241p-5, -0x1.de85ad70774eap-5, -0x1.d7e365b6aefdap-5, -0x1.d15164ef209b7p-5, -0x1.cacfaa42104dcp-5, -0x1.c45e33d5dc28fp-5, -0x1.bdfcfee2a0092p-5, -0x1.b7ac07c0bce91p-5, -0x1.b16b49efbcad2p-5, -0x1.ab3ac011159dp-5, -0x1.a51a63e553d5p-5, -0x1.9f0a2e3ddc865p-5, -0x1.990a16fdad5e3p-5, -0x1.931a151c0c066p-5, -0x1.8d3a1eb179921p-5, -0x1.876a29098c966p-5, -0x1.81aa28b51526ep-5, -0x1.7bfa11976ccbp-5, -0x1.7659d6ecb7076p-5, -0x1.70c96b487cf2ep-5, -0x1.6b48c0904b0adp-5, -0x1.65d7c7f5cd8c3p-5, -0x1.607671f4577c8p-5, -0x1.5b24ae53dbb32p-5, -0x1.55e26c317d8a3p-5, -0x1.50af9a0bfe979p-5, -0x1.4b8c25d1008f3p-5, -0x1.4677fce8159afp-5, -0x1.41730c398acfdp-5, -0x1.3c7d40307ea1cp-5, -0x1.379684b9db78p-5, -0x1.32bec54234e91p-5, -0x1.2df5ecb54f667p-5, -0x1.293be58071cbbp-5, -0x1.24909997b9d1ep-5, -0x1.1ff3f27d84257p-5, -0x1.1b65d94a96b4p-5, -0x1.16e636b584893p-5, -0x1.1274f31850042p-5, -0x1.0e11f673eb569p-5, -0x1.09bd2872110bcp-5, -0x1.05767066572cap-5, -0x1.013db54f9eed1p-5, -0x1.fa25bbb56962dp-6, -0x1.f1eba0ccb92d3p-6, -0x1.e9cce610d13d1p-6, -0x1.e1c95725fd6cbp-6, -0x1.d9e0bf32a7845p-6, -0x1.d212e8e6d9b3dp-6, -0x1.ca5f9e81b79cep-6, -0x1.c2c6a9d603305p-6, -0x1.bb47d44e27194p-6, -0x1.b3e2e6f1b569p-6, -0x1.ac97aa6b52a16p-6, -0x1.a565e7104be1cp-6, -0x1.9e4d64e84aa2bp-6, -0x1.974debb4e325cp-6, -0x1.906742f8069bp-6, -0x1.899931f92f783p-6, -0x1.82e37fc95fedcp-6, -0x1.7c45f3469d797p-6, -0x1.75c0531ffe226p-6, -0x1.6f5265dadf5e5p-6, -0x1.68fbf1d9469fbp-6, -0x1.62bcbd610ea98p-6, -0x1.5c948ea2d2bdap-6, -0x1.56832bbfa9194p-6, -0x1.50885acd3b72ep-6, -0x1.4aa3e1d87fa15p-6, -0x1.44d586e7d1399p-6, -0x1.3f1d0ffd80b0bp-6, -0x1.397a431bb5ab7p-6, -0x1.33ece649cbe34p-6, -0x1.2e74bf9ac05e8p-6, -0x1.29119533b8b31p-6, -0x1.23c32d517452cp-6, -0x1.1e894e4c0dc8ap-6, -0x1.1963be98e0f7ep-6, -0x1.145244cb59feap-6, -0x1.0f54a795d176dp-6, -0x1.0a6aadcb9fbfp-6, -0x1.05941e652fd77p-6, -0x1.00d0c085d1176p-6, -0x1.f840b704d14e9p-7, -0x1.ef056dcec5c08p-7, -0x1.e5ef34f935111p-7, -0x1.dcfd9c8cfc871p-7, -0x1.d430350a1e0ap-7, -0x1.cb868f63dfef9p-7, -0x1.c3003cff17497p-7, -0x1.ba9ccfb77062ap-7, -0x1.b25bd9e668b46p-7, -0x1.aa3cee792d702p-7, -0x1.a23fa0f984da2p-7, -0x1.9a63859ffb117p-7, -0x1.92a8315617d3cp-7, -0x1.8b0d39b2acbbfp-7, -0x1.839234ef15d6ep-7, -0x1.7c36b9db25a31p-7, -0x1.74fa5fd5e0839p-7, -0x1.6ddcbed002bc9p-7, -0x1.66dd6f59adff7p-7, -0x1.5ffc0ab8b9f42p-7, -0x1.59382b00dad1ap-7, -0x1.52916b2642f67p-7, -0x1.4c0767039e216p-7, -0x1.4599bb5157f11p-7, -0x1.3f48059044bdbp-7, -0x1.3911e3ef8665bp-7, -0x1.32f6f53743cb1p-7, -0x1.2cf6d8c16e205p-7, -0x1.27112e854874bp-7, -0x1.214597344934ep-7, -0x1.1b93b460aeb3ep-7, -0x1.15fb28a1d72eep-7, -0x1.107b97aa3c548p-7, -0x1.0b14a646b46e2p-7, -0x1.05c5fa4564f71p-7, -0x1.008f3a4b26c14p-7, -0x1.f6e01b481bac6p-8, -0x1.ecd0383dd69fcp-8, -0x1.e2ee1c01391f6p-8, -0x1.d939182bddaf5p-8, -0x1.cfb07fc20c794p-8, -0x1.c653a7ad3bd53p-8, -0x1.bd21e732a9de4p-8, -0x1.b41a984136904p-8, -0x1.ab3d177bbd063p-8, -0x1.a288c3f81fe7ap-8, -0x1.99fcfec0ddb2cp-8, -0x1.91992a3afa8d4p-8, -0x1.895ca99bf2449p-8, -0x1.8146e098c6f5ep-8, -0x1.7957336a3131fp-8, -0x1.718d072984669p-8, -0x1.69e7c2715ebfap-8, -0x1.6266ce1a24704p-8, -0x1.5b0995dbbc628p-8, -0x1.53cf88a9081f1p-8, -0x1.4cb818a5d525fp-8, -0x1.45c2bab51a1ffp-8, -0x1.3eeee5b8dcf7cp-8, -0x1.383c11b2b296fp-8, -0x1.31a9b6fdd00dbp-8, -0x1.2b374dd740b85p-8, -0x1.24e44e566c376p-8, -0x1.1eb030dcf954cp-8, -0x1.189a6ee5eb744p-8, -0x1.12a284036dc23p-8, -0x1.0cc7eecb422b8p-8, -0x1.070a317586eb2p-8, -0x1.0168d203373a4p-8, -0x1.f7c6b3be46ddap-9, -0x1.ecf2aa1adb922p-9, -0x1.e254a230fa787p-9, -0x1.d7ebb7f327c47p-9, -0x1.cdb7067ab488ep-9, -0x1.c3b5a72e519a1p-9, -0x1.b9e6b1fdf6dfdp-9, -0x1.b0493eaef0c6fp-9, -0x1.a6dc66f4724b5p-9, -0x1.9d9f48dcdd87ep-9, -0x1.94910902e4375p-9, -0x1.8bb0d3fd20ab1p-9, -0x1.82fddeb436db3p-9, -0x1.7a77658c8b2dbp-9, -0x1.721caa96f1692p-9, -0x1.69ecf32eff65p-9, -0x1.61e7858537ba3p-9, -0x1.5a0ba68ecefd7p-9, -0x1.525898bd1343p-9, -0x1.4acd9bbc7a84dp-9, -0x1.4369ed4e2d95dp-9, -0x1.3c2ccb1eaceecp-9, -0x1.351575414f969p-9, -0x1.2e2330cc52343p-9, -0x1.275549fe522d4p-9, -0x1.20ab156c0141ap-9, -0x1.1a23eff5db806p-9, -0x1.13bf3d93c83efp-9, -0x1.0d7c67581e43cp-9, -0x1.075ad90f080e6p-9, -0x1.0159ff02b096bp-9, -0x1.f6f288718cfeep-10, -0x1.eb70228c1dfb2p-10, -0x1.e02b97cd34167p-10, -0x1.d523aed8fb803p-10, -0x1.ca572c10c836fp-10, -0x1.bfc4d5b12ef7cp-10, -0x1.b56b78cf3c348p-10, -0x1.ab49ee2564098p-10, -0x1.a15f1d7a159f5p-10, -0x1.97a9feb749dedp-10, -0x1.8e29987789c88p-10, -0x1.84dcfc92716e4p-10, -0x1.7bc343c171a16p-10, -0x1.72db898453cc2p-10, -0x1.6a24e907c4171p-10, -0x1.619e7b2ea92f2p-10, -0x1.5947556c277e5p-10, -0x1.511e89123d1f8p-10, -0x1.4923231b28f2bp-10, -0x1.41542ce1f31efp-10, -0x1.39b0ae567e3d3p-10, -0x1.3237b1caee449p-10, -0x1.2ae848b40c4e6p-10, -0x1.23c1901466886p-10, -0x1.1cc2b32986491p-10, -0x1.15eaeb74d140bp-10, -0x1.0f397e2a14f2ep-10, -0x1.08adb80396929p-10, -0x1.0246e9091004p-10, -0x1.f808c369ee9e2p-11, -0x1.ebcae4203aaf2p-11, -0x1.dfd2d48813927p-11, -0x1.d41f36c5b1a72p-11, -0x1.c8aeae686c8c2p-11, -0x1.bd7fdd78038cfp-11, -0x1.b29160ae613fep-11, -0x1.a7e1cde2444f5p-11, -0x1.9d6fb6fe53f1fp-11, -0x1.9339b19fb80fdp-11, -0x1.893e61027fca5p-11, -0x1.7f7c7e90ba1d8p-11, -0x1.75f2ddc7f647bp-11, -0x1.6ca069e14a528p-11, -0x1.63841e02b453ap-11, -0x1.5a9cfaef25597p-11, -0x1.51e9fe40d0c41p-11, -0x1.496a1ea365e22p-11, -0x1.411c4e1daf5eap-11, -0x1.38ff8053e4825p-11, -0x1.3112b07a59986p-11, -0x1.2954e2d2a14ap-11, -0x1.21c520362e00ep-11, -0x1.1a626de455b2cp-11, -0x1.132bc65fbd2f3p-11, -0x1.0c2017de93e02p-11, -0x1.053e49e470d41p-11, -0x1.fd0a8fe9e15c1p-12, -0x1.efe81a431dfc4p-12, -0x1.e31358af6b82ap-12, -0x1.d68aa5d0d6f61p-12, -0x1.ca4c895a73907p-12, -0x1.be57a649b86adp-12, -0x1.b2aaa5594a2efp-12, -0x1.a74424086ffbbp-12, -0x1.9c22af2519b26p-12, -0x1.9144cac00964cp-12, -0x1.86a903069be5dp-12, -0x1.7c4dfcb42ecb7p-12, -0x1.72327b54a507dp-12, -0x1.6855582f38becp-12, -0x1.5eb56cd8348cp-12, -0x1.55517bc8c2b84p-12, -0x1.4c28234ba45e5p-12, -0x1.4337e167d05e9p-12, -0x1.3a7f25b66c639p-12, -0x1.31fc675a74aa9p-12, -0x1.29ae3630fadf7p-12, -0x1.21934400ab844p-12, -0x1.19aa664377fd2p-12, -0x1.11f2910449c9bp-12, -0x1.0a6acb16e9879p-12, -0x1.03121e7cb640ap-12, -0x1.f7cf1569b7472p-13, -0x1.e9d3fd5c2339p-13, -0x1.dc30ba551bd02p-13, -0x1.cee314c810fe5p-13, -0x1.c1e8fb5d1111fp-13, -0x1.b5409d9e0d956p-13, -0x1.a8e86e0f071e2p-13, -0x1.9cdf065910b81p-13, -0x1.9122f924542d6p-13, -0x1.85b2aa831743dp-13, -0x1.7a8c455da99fcp-13, -0x1.6fadd18be3ad4p-13, -0x1.651558570c893p-13, -0x1.5ac0fb5aba02ep-13, -0x1.50aef73d459d8p-13, -0x1.46dda1403d929p-13, -0x1.3d4b6f326e374p-13, -0x1.33f704425c078p-13, -0x1.2adf30c24cadfp-13, -0x1.2202dd90365fp-13, -0x1.1960ecf94ab2ap-13, -0x1.10f820dd9d9eap-13, -0x1.08c711cf06591p-13, -0x1.00cc3ba3ec28fp-13, -0x1.f20c35c2fecb4p-14, -0x1.e2e69a8e34613p-14, -0x1.d42549d6e1c25p-14, -0x1.c5c6488ddc05cp-14, -0x1.b7c7cafe8e1fbp-14, -0x1.aa27f1da5071ap-14, -0x1.9ce496f325902p-14, -0x1.8ffb47db36dd5p-14, -0x1.836973ebb249fp-14, -0x1.772ca733cbdcap-14, -0x1.6b429779c276bp-14, -0x1.5fa8f8dc2a39ap-14, -0x1.545d5ce822109p-14, -0x1.495d600c2df44p-14, -0x1.3ea709c4526dp-14, -0x1.3438ff3a7ee8ep-14, -0x1.2a1254b78c6c8p-14, -0x1.20322649c660ap-14, -0x1.169742c707286p-14, -0x1.0d40154128c7ep-14, -0x1.042ac6d28820bp-14, -0x1.f6aae4700f434p-15, -0x1.e57c89c264a7bp-15, -0x1.d4c70cf53ef6bp-15, -0x1.c487313cc537fp-15, -0x1.b4b9faa819c08p-15, -0x1.a55cbe2c5a8d2p-15, -0x1.966d1248a146p-15, -0x1.87e890c1e2e4ap-15, -0x1.79cc900425ca2p-15, -0x1.6c1621609c7ddp-15, -0x1.5ec26c3bc5e89p-15, -0x1.51cefb3654f45p-15, -0x1.45397226e0ddfp-15, -0x1.38fee4d9bd176p-15, -0x1.2d1bc92f4c772p-15, -0x1.218cee7107eb5p-15, -0x1.16507bd9334c7p-15, -0x1.0b65c7e24da86p-15, -0x1.00cc37004cd08p-15, -0x1.ed049a1d23abdp-16, -0x1.d90b61e78dbecp-16, -0x1.c5a7c6d7b8b77p-16, -0x1.b2d5bee0194abp-16, -0x1.a0923ba0d34ep-16, -0x1.8eda50e3f84c9p-16, -0x1.7daa8ee8aa9ep-16, -0x1.6cff1c23bee9bp-16, -0x1.5cd442a71c87dp-16, -0x1.4d26ea80537acp-16, -0x1.3df4b80a9fc73p-16, -0x1.2f3bbd04976f3p-16, -0x1.20f9cd40cb369p-16, -0x1.132bcdc0090c6p-16, -0x1.05cda4d76084ep-16, -0x1.f1b63925111c2p-17, -0x1.d8a1b5c4504ep-17, -0x1.c0580e9810396p-17, -0x1.a8d194dc989b5p-17, -0x1.9203e9dc1e3a2p-17, -0x1.7be63f72e30d9p-17, -0x1.66758024eb223p-17, -0x1.51b24911b690dp-17, -0x1.3d9b48fd3ed0ap-17, -0x1.2a2aedcba9671p-17, -0x1.175a2694a3ec1p-17, -0x1.052431e357fdap-17, -0x1.e70e7bb95363cp-18, -0x1.c50406720c625p-18, -0x1.a4233e0e8276cp-18, -0x1.8462d28674afdp-18, -0x1.65b7e0b348a14p-18, -0x1.4817cf4eff6fep-18, -0x1.2b79596032aa3p-18, -0x1.0fd4ffdd2d878p-18, -0x1.ea4a566f21314p-19, -0x1.b6cc015976fd1p-19, -0x1.85293707ec77bp-19, -0x1.555ac65de8b81p-19, -0x1.2754ac6e984dap-19, -0x1.f60d877d9dfbbp-20, -0x1.a0c5763e31305p-20, -0x1.4ec12004c6605p-20, -0x1.ffe61a25fee84p-21, -0x1.68779cd7b0a18p-21, -0x1.adaaa8abd976fp-22, -0x1.2af55ac32e5a3p-23, 0x1.deac51c20bed4p-24, 0x1.79d848513cd41p-22, 0x1.38c6b2c20472p-21, 0x1.afb7947119b38p-21, 0x1.10f408e0253bfp-20, 0x1.47aea148a3382p-20, 0x1.7c12ac4c7583dp-20, 0x1.ae3407677c7ccp-20, 0x1.de2bc7dba404cp-20, 0x1.06088f4ecd899p-19, 0x1.1bfbd9e72a622p-19, 0x1.30f81fbb35bfp-19, 0x1.450483350bcb4p-19, 0x1.5827176f380b4p-19, 0x1.6a652a4c779aap-19, 0x1.7bc39350f26a7p-19, 0x1.8c46d1379c566p-19, 0x1.9bf32ed3da74ep-19, 0x1.aacdb0ba55c51p-19, 0x1.b8dddfe6d4db5p-19, 0x1.c62e3f208d32fp-19, 0x1.d2c8ff53cf05ap-19, 0x1.deb2f18c90896p-19, 0x1.e9ea23bc083b7p-19, 0x1.f46ca7c5abf31p-19, 0x1.fe42c6f693828p-19, 0x1.03bcd8994bab6p-18, 0x1.080a8c3876e76p-18, 0x1.0c0b46c9504fcp-18, 0x1.0fc47ba5ee49bp-18, 0x1.133b39938bdecp-18, 0x1.166fb836ae1a5p-18, 0x1.1961bd0f4b7a6p-18, 0x1.1c13d5cf98814p-18, 0x1.1e897c2b8eac7p-18, 0x1.20c55129fa277p-18, 0x1.22c91425262ep-18, 0x1.2496266853148p-18, 0x1.262de2bf24e16p-18, 0x1.2791bf85443dp-18, 0x1.28c35549752cap-18, 0x1.29c462423a00bp-18, 0x1.2a96d2de4b34fp-18, 0x1.2b3cc51299c31p-18, 0x1.2bb873bff2521p-18, 0x1.2c0bffd2636ccp-18, 0x1.2c392c458b63cp-18, 0x1.2c41527a48af3p-18, 0x1.2c25c66754641p-18, 0x1.2be8402cb121ap-18, 0x1.2b8a85d160f3ap-18, 0x1.2b0d77e2d344p-18, 0x1.2a706b06b4ef9p-18, 0x1.29b243e0874dbp-18, 0x1.28d53b94800d3p-18, 0x1.27de6ae6ad167p-18, 0x1.26cf15c27c7cep-18, 0x1.25a703143e666p-18, 0x1.2467c6590eecbp-18, 0x1.2310b5a747628p-18, 0x1.21a0eb1323ab6p-18, 0x1.201a4a592a721p-18, 0x1.1e7f7090b91b5p-18, 0x1.1cd2272576511p-18, 0x1.1b13880b9fa92p-18, 0x1.19445debf4b15p-18, 0x1.176554efc6437p-18, 0x1.15770fa9c37b3p-18, 0x1.137a3196c3974p-18, 0x1.116f647823cf5p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.eb9185af7870bp-7, -0x1.e4fe05e2175efp-7, -0x1.d9ef5f23715b1p-7, -0x1.ca42ac1209592p-7, -0x1.b5cae01c5f18p-7, -0x1.9c5384b111c42p-7, -0x1.7da384acf696dp-7, -0x1.597fdb9854f81p-7, -0x1.2fae0774665ebp-7, -0x1.ffec4f53cd151p-8, -0x1.94497f22f51e2p-8, -0x1.1c183996eff4ep-8, -0x1.2e15a0aeea17p-9, -0x1.38b5b950b4ac8p-14, 0x1.351ba3ce34d82p-9, 0x1.47645b1259a53p-8, 0x1.00d65f84f9479p-7, 0x1.64b0e14345f6fp-7, 0x1.cf3699733275p-7, 0x1.202a16279f071p-6, 0x1.5bf725888d8cap-6, 0x1.9af10b2d31e7p-6, 0x1.dd02c84977f02p-6, 0x1.110a075668217p-5, 0x1.3504c2ca86ecdp-5, 0x1.5a62891739205p-5, 0x1.8113112c5f27bp-5, 0x1.a904fc2b1919cp-5, 0x1.d225fb0fd66fep-5, 0x1.fc62f39bcde0cp-5, 0x1.13d411fefdaf7p-4, 0x1.29f0a26889d59p-4, 0x1.407cd48d7831fp-4, 0x1.576e2e0872489p-4, 0x1.6eba1e3d528ddp-4, 0x1.86560ad0f0f9p-4, 0x1.9e375ae755d24p-4, 0x1.b6538130286c9p-4, 0x1.cea004cf3ec1fp-4, 0x1.e71289341e823p-4, 0x1.ffa0d4f64cb65p-4, 0x1.0c206be74336bp-3, 0x1.187457e2d420bp-3, 0x1.24c756d8f745bp-3, 0x1.3114ac8d2b762p-3, 0x1.3d57b9cb1a034p-3, 0x1.498bfdde8e79fp-3, 0x1.55ad17dc850fp-3, 0x1.61b6c7c4ecf44p-3, 0x1.6da4ef839521bp-3, 0x1.797393d565b56p-3, 0x1.851edd15ef755p-3, 0x1.90a317f8496dcp-3, 0x1.9bfcb62d3592p-3, 0x1.a7284ef7d1d44p-3, 0x1.b2229fb14c737p-3, 0x1.bce88c3b9d418p-3, 0x1.c7771f62cc42p-3, 0x1.d1cb8b2c1776dp-3, 0x1.dbe32911fb68ep-3, 0x1.e5bb7a2c29e4ap-3, 0x1.ef5227426c4f1p-3, 0x1.f8a500c97ecep-3, 0x1.00d8ff6490ef7p-2, 0x1.053ba05558c75p-2, 0x1.09798677f6803p-2, 0x1.0d91e868d857cp-2, 0x1.11840fe35d273p-2, 0x1.154f59796080fp-2, 0x1.18f3343f3a00dp-2, 0x1.1c6f216c92c2p-2, 0x1.1fc2b3f290865p-2, 0x1.22ed9007f2401p-2, 0x1.25ef6aabcb461p-2, 0x1.28c8091fa1ca3p-2, 0x1.2b774059c48f3p-2, 0x1.2dfcf470b514ep-2, 0x1.30591800934b3p-2, 0x1.328bab8b73014p-2, 0x1.3494bcd59865ep-2, 0x1.3674663e827e5p-2, 0x1.382ace17babf8p-2, 0x1.39b825fa52011p-2, 0x1.3b1caa1befecep-2, 0x1.3c58a0a44bfcdp-2, 0x1.3d6c5903e7167p-2, 0x1.3e582b4cbf5d8p-2, 0x1.3f1c778dbf50fp-2, 0x1.3fb9a53188484p-2, 0x1.4030226138d9cp-2, 0x1.4080636bb2a87p-2, 0x1.40aae231e2ab4p-2, 0x1.40b01d9871848p-2, 0x1.409098ff39271p-2, 0x1.404cdbbed4ab7p-2, 0x1.3fe570ac7a449p-2, 0x1.3f5ae5a4630fcp-2, 0x1.3eadcb1ad1756p-2, 0x1.3ddeb3b3db0cep-2, 0x1.3cee33e1f754ep-2, 0x1.3bdce18b56545p-2, 0x1.3aab53b5f3444p-2, 0x1.395a223a4aa13p-2, 0x1.37e9e57c9b038p-2, 0x1.365b362c88b86p-2, 0x1.34aead0af49c7p-2, 0x1.32e4e2b5d4141p-2, 0x1.30fe6f79d55b6p-2, 0x1.2efbeb298b90bp-2, 0x1.2cddecf9e9bedp-2, 0x1.2aa50b63bdbbbp-2, 0x1.2851dc09ee9b3p-2, 0x1.25e4f3a42dc9cp-2, 0x1.235ee5edd550ap-2, 0x1.20c04598a5dd4p-2, 0x1.1e09a4431a36bp-2, 0x1.1b3b927205cecp-2, 0x1.18569f8d3419bp-2, 0x1.155b59dec0fddp-2, 0x1.124a4e94e005cp-2, 0x1.0f2409c5cfeddp-2, 0x1.0be91675b5eeep-2, 0x1.0899fe9e1fb0fp-2, 0x1.05374b36ecffdp-2, 0x1.01c1844068162p-2, 0x1.fc72619c9a516p-3, 0x1.f53dae27252a4p-3, 0x1.ede5f8dd7b98ep-3, 0x1.e66c4aed16bb4p-3, 0x1.ded1ac0d9b12ap-3, 0x1.d717229a968bdp-3, 0x1.cf3db3acf9ebdp-3, 0x1.c74663340d69ap-3, 0x1.bf32340d99371p-3, 0x1.b702281d09abbp-3, 0x1.aeb740615a4cp-3, 0x1.a6527d099f364p-3, 0x1.9dd4dd87fbb2ap-3, 0x1.953f60a2e55bap-3, 0x1.8c9304849b3dp-3, 0x1.83d0c6c8b2209p-3, 0x1.7af9a4879e487p-3, 0x1.720e9a603b786p-3, 0x1.6910a47f301ecp-3, 0x1.6000bea4370cap-3, 0x1.56dfe425444d3p-3, 0x1.4daf0fef851d5p-3, 0x1.446f3c86420c2p-3, 0x1.3b2163ffa506cp-3, 0x1.31c67fff6dde3p-3, 0x1.285f89afa43abp-3, 0x1.1eed79b74d24dp-3, 0x1.1571482f43cf8p-3, 0x1.0bebec952f7ap-3, 0x1.025e5dbcc345fp-3, 0x1.f193237e9c555p-4, 0x1.de5cfbd36ad01p-4, 0x1.cb1c2d51dd2b8p-4, 0x1.b7d29eea373a7p-4, 0x1.a4823576a6573p-4, 0x1.912cd38c74c28p-4, 0x1.7dd4594b0a0e9p-4, 0x1.6a7aa428f7659p-4, 0x1.57218ebf36e51p-4, 0x1.43caf092e007fp-4, 0x1.30789ddd7c0b7p-4, 0x1.1d2c67543d55dp-4, 0x1.09e819ee3a6a1p-4, 0x1.ed5afd53ea224p-5, 0x1.c6fcb4a49df07p-5, 0x1.a0b8da8650366p-5, 0x1.7a92e65ba04bbp-5, 0x1.548e45bafd639p-5, 0x1.2eae5bf7f6bb6p-5, 0x1.08f681ad54574p-5, 0x1.c6d40890569e6p-6, 0x1.7c184b28b8516p-6, 0x1.31c036958ba7ep-6, 0x1.cfa43a8577677p-7, 0x1.3ca86f76585bep-7, 0x1.55328f4966565p-8, 0x1.982c7a74dfb55p-11, -0x1.da3d1244822cep-9, -0x1.05914b43483d8p-7, -0x1.9377f658b70f1p-7, -0x1.101c1669aa583p-6, -0x1.55e38a160ac64p-6, -0x1.9b0d08d105e07p-6, -0x1.df9365bccfbadp-6, -0x1.11b8ca8ac87ep-5, -0x1.3351566021cdfp-5, -0x1.5490f2687d03p-5, -0x1.75754c04219a7p-5, -0x1.95fc2223c777dp-5, -0x1.b623457e4fc2cp-5, -0x1.d5e898c1e4da3p-5, -0x1.f54a10c076cedp-5, -0x1.0a22da4bd32aep-4, -0x1.196cceea0323dp-4, -0x1.2881fc47de3b4p-4, -0x1.376181c64472fp-4, -0x1.460a8824954b5p-4, -0x1.547c41891b82ep-4, -0x1.62b5e98735589p-4, -0x1.70b6c5233f7a1p-4, -0x1.7e7e22d44811ap-4, -0x1.8c0b5a8395909p-4, -0x1.995dcd8a0324fp-4, -0x1.a674e6ab4742dp-4, -0x1.b3501a0f227fap-4, -0x1.bfeee5388b263p-4, -0x1.cc50cefaddc9dp-4, -0x1.d875676d1e469p-4, -0x1.e45c47db51199p-4, -0x1.f00512b60d16dp-4, -0x1.fb6f738041f5fp-4, -0x1.034d8f5d9c7fbp-3, -0x1.08c3e8e883304p-3, -0x1.0e1aa97ea3fd2p-3, -0x1.1351b89a3174bp-3, -0x1.18690204a2892p-3, -0x1.1d6075c8dc60cp-3, -0x1.22380824aa778p-3, -0x1.26efb17996aa5p-3, -0x1.2b876e3d1be47p-3, -0x1.2fff3ee846c89p-3, -0x1.345727e6c618ep-3, -0x1.388f318571e6dp-3, -0x1.3ca767e0579dcp-3, -0x1.409fdad04bc96p-3, -0x1.44789dd80d07dp-3, -0x1.4831c81102b4ep-3, -0x1.4bcb7417958c7p-3, -0x1.4f45bff7367fbp-3, -0x1.52a0cd160f55bp-3, -0x1.55dcc0206dcfap-3, -0x1.58f9c0f3ea309p-3, -0x1.5bf7fa8a52d64p-3, -0x1.5ed79ae466901p-3, -0x1.6198d2f45b0fdp-3, -0x1.643bd68843b07p-3, -0x1.66c0dc3458928p-3, -0x1.69281d3d18c64p-3, -0x1.6b71d5816b959p-3, -0x1.6d9e4364a303bp-3, -0x1.6fada7b882b36p-3, -0x1.71a045a73ee26p-3, -0x1.7376629d8511cp-3, -0x1.75304634858f6p-3, -0x1.76ce3a1c15a0ap-3, -0x1.78508a04dd1c3p-3, -0x1.79b7838aa3aeap-3, -0x1.7b03761eb25ap-3, -0x1.7c34b2f261d13p-3, -0x1.7d4b8ce1c337ap-3, -0x1.7e48585e812b8p-3, -0x1.7f2b6b5adeb89p-3, -0x1.7ff51d34f6817p-3, -0x1.80a5c6a226c43p-3, -0x1.813dc19abaf24p-3, -0x1.81bd6945cf563p-3, -0x1.822519e574ef1p-3, -0x1.827530c319072p-3, -0x1.82ae0c1c2fa43p-3, -0x1.82d00b0f27daep-3, -0x1.82db8d88a923cp-3, -0x1.82d0f4311c568p-3, -0x1.82b0a05a88349p-3, -0x1.827af3eeb614ap-3, -0x1.8230515db3cbcp-3, -0x1.81d11b8c9f78bp-3, -0x1.815db5c4cc277p-3, -0x1.80d683a345734p-3, -0x1.803be9089ececp-3, -0x1.7f8e4a09246efp-3, -0x1.7ece0add66cf5p-3, -0x1.7dfb8fd319c6ep-3, -0x1.7d173d3e5d29cp-3, -0x1.7c21776b52d3ap-3, -0x1.7b1aa2901f203p-3, -0x1.7a0322bf3cf43p-3, -0x1.78db5bda36eddp-3, -0x1.77a3b184bdd28p-3, -0x1.765c8718144edp-3, -0x1.75063f96e7c91p-3, -0x1.73a13da17b015p-3, -0x1.722de36a3416fp-3, -0x1.70ac92aa88ac5p-3, -0x1.6f1dac9842e1ap-3, -0x1.6d8191db28d45p-3, -0x1.6bd8a282fc13bp-3, -0x1.6a233dfdd815dp-3, -0x1.6861c30ee7c09p-3, -0x1.66948fc57bb4dp-3, -0x1.64bc017470a54p-3, -0x1.62d874a9f911cp-3, -0x1.60ea4527b7f01p-3, -0x1.5ef1cddb334a2p-3, -0x1.5cef68d69b4ddp-3, -0x1.5ae36f49edb87p-3, -0x1.58ce397c64e7dp-3, -0x1.56b01ec637d7fp-3, -0x1.5489758ab67c6p-3, -0x1.525a9332aab61p-3, -0x1.5023cc270e9aep-3, -0x1.4de573cc1026p-3, -0x1.4b9fdc7c5a64ap-3, -0x1.49535784b6992p-3, -0x1.4700351fe84d3p-3, -0x1.44a6c472df978p-3, -0x1.42475389248e8p-3, -0x1.3fe22f5191e48p-3, -0x1.3d77a39b517d5p-3, -0x1.3b07fb131afbep-3, -0x1.38937f40ae1fcp-3, -0x1.361a788497069p-3, -0x1.339d2e162ab85p-3, -0x1.311be601bbff9p-3, -0x1.2e96e52715be9p-3, -0x1.2c0e6f382767cp-3, -0x1.2982c6b7eaa34p-3, -0x1.26f42cf9813f4p-3, -0x1.2462e21f8b6cbp-3, -0x1.21cf251ba833ap-3, -0x1.1f3933ae337b3p-3, -0x1.1ca14a662c875p-3, -0x1.1a07a4a1505bdp-3, -0x1.176c7c8c62beap-3, -0x1.14d00b239b4a2p-3, -0x1.123288334babep-3, -0x1.0f942a58a3cc2p-3, -0x1.0cf52702a10e7p-3, -0x1.0a55b27327cb9p-3, -0x1.07b5ffc03ff9fp-3, -0x1.051640d576c86p-3, -0x1.0276a6755d3f1p-3, -0x1.ffaec0766afefp-4, -0x1.fa7139395fb33p-4, -0x1.f53511d7a432ep-4, -0x1.effaa2b1f979fp-4, -0x1.eac241ea0383p-4, -0x1.e58c4366c287dp-4, -0x1.e058f8d93d837p-4, -0x1.db28b1c14a9d1p-4, -0x1.d5fbbb72a1758p-4, -0x1.d0d2611a099abp-4, -0x1.cbacebc2b6b85p-4, -0x1.c68ba25bc9ba5p-4, -0x1.c16ec9bdffac6p-4, -0x1.bc56a4b18206ap-4, -0x1.b74373f3d15dap-4, -0x1.b235763dd8883p-4, -0x1.ad2ce84a18673p-4, -0x1.a82a04daf1947p-4, -0x1.a32d04c106b36p-4, -0x1.9e361ee1b924bp-4, -0x1.9945883db752p-4, -0x1.945b73f7a0f66p-4, -0x1.8f78135ac138p-4, -0x1.8a9b95e1d67a4p-4, -0x1.85c6293de951p-4, -0x1.80f7f95d312c9p-4, -0x1.7c31307207ap-4, -0x1.7771f6f9e0ee1p-4, -0x1.72ba73c4524f2p-4, -0x1.6e0acbfa1f40dp-4, -0x1.696323244b3b2p-4, -0x1.64c39b333106dp-4, -0x1.602c54859c8a8p-4, -0x1.5b9d6defe9deap-4, -0x1.571704c32109cp-4, -0x1.529934d418996p-4, -0x1.4e2418828cf86p-4, -0x1.49b7c8c040eb6p-4, -0x1.45545d180fccfp-4, -0x1.40f9ebb50240bp-4, -0x1.3ca889695c63dp-4, -0x1.386049b5a223bp-4, -0x1.34213ecf9a86p-4, -0x1.2feb79a944b16p-4, -0x1.2bbf09f7c6739p-4, -0x1.279bfe3a51745p-4, -0x1.238263c0fcf96p-4, -0x1.1f7246b3962a9p-4, -0x1.1b6bb21860da5p-4, -0x1.176eafdaccdefp-4, -0x1.137b48d2210b5p-4, -0x1.0f9184c815f77p-4, -0x1.0bb16a7f617b7p-4, -0x1.07daffba32dc6p-4, -0x1.040e4940a199dp-4, -0x1.004b4ae70afeep-4, -0x1.f9240f28b9be5p-5, -0x1.f1c50290aa24fp-5, -0x1.ea7972435530bp-5, -0x1.e3415ec84c64ep-5, -0x1.dc1cc6fd50b1fp-5, -0x1.d50ba8223dfffp-5, -0x1.ce0dfde4ca09cp-5, -0x1.c723c26c2333ep-5, -0x1.c04cee6466ecap-5, -0x1.b9897909f2671p-5, -0x1.b2d95834864c7p-5, -0x1.ac3c8062468a3p-5, -0x1.a5b2e4c296973p-5, -0x1.9f3c7740bc046p-5, -0x1.98d9288e71ed1p-5, -0x1.9288e82e39331p-5, -0x1.8c4ba47d9452bp-5, -0x1.86214abf0aeb6p-5, -0x1.8009c7240d43cp-5, -0x1.7a0504d6a6e54p-5, -0x1.7412ee030adedp-5, -0x1.6e336be0f627ep-5, -0x1.686666bce5553p-5, -0x1.62abc6012669bp-5, -0x1.5d03703ebacdfp-5, -0x1.576d4b36112b2p-5, -0x1.51e93bdf9783ep-5, -0x1.4c7726741fea3p-5, -0x1.4716ee751d18bp-5, -0x1.41c876b4b5e1cp-5, -0x1.3c8ba15db1907p-5, -0x1.37604ffb3a11p-5, -0x1.3246638075fd1p-5, -0x1.2d3dbc4ff3dcp-5, -0x1.28463a42f55f8p-5, -0x1.235fbcb08f585p-5, -0x1.1e8a2274a45ffp-5, -0x1.19c549f6ac7dfp-5, -0x1.151111306a813p-5, -0x1.106d55b466f15p-5, -0x1.0bd9f4b4525f2p-5, -0x1.0756cb0739438p-5, -0x1.02e3b52f912a9p-5, -0x1.fd011ec257a9dp-6, -0x1.f45a6b0dea71bp-6, -0x1.ebd3069135fc9p-6, -0x1.e36aa8200c7b5p-6, -0x1.db21061d7d746p-6, -0x1.d2f5d68623e32p-6, -0x1.cae8cefa70d3ap-6, -0x1.c2f9a4c8769f2p-6, -0x1.bb280cf591aep-6, -0x1.b373bc47bd7d2p-6, -0x1.abdc674eb2bedp-6, -0x1.a461c26cbf1e7p-6, -0x1.9d0381df5dae8p-6, -0x1.95c159c79386cp-6, -0x1.8e9afe3200628p-6, -0x1.8790231ecb5bdp-6, -0x1.80a07c8927815p-6, -0x1.79cbbe6ed86bfp-6, -0x1.73119cd7485a4p-6, -0x1.6c71cbda79b3dp-6, -0x1.65ebffa7c5e32p-6, -0x1.5f7fec8c4ca9fp-6, -0x1.592d46f9512b5p-6, -0x1.52f3c38a4c5d2p-6, -0x1.4cd3170ab64b8p-6, -0x1.46caf67bc4196p-6, -0x1.40db1719d1903p-6, -0x1.3b032e61abb8ep-6, -0x1.3542f215a329bp-6, -0x1.2f9a184275837p-6, -0x1.2a085743efdc3p-6, -0x1.248d65c98f0d8p-6, -0x1.1f28fadac4888p-6, -0x1.19dacddb2badap-6, -0x1.14a2968e83557p-6, -0x1.0f800d1c8c9bp-6, -0x1.0a72ea14ad226p-6, -0x1.057ae67175ed5p-6, -0x1.0097bb9c037cp-6, -0x1.f79246de49dcep-7, -0x1.ee1db0750211bp-7, -0x1.e4d1298ad1c77p-7, -0x1.dbac28a35f118p-7, -0x1.d2ae253c6f58ep-7, -0x1.c9d697d2f354ep-7, -0x1.c124f9e7c86bep-7, -0x1.b898c60429dc5p-7, -0x1.b03177bdd5e57p-7, -0x1.a7ee8bbb16cb3p-7, -0x1.9fcf7fb65f7bp-7, -0x1.97d3d281fa7cbp-7, -0x1.8ffb040b29567p-7, -0x1.8844955d2ed3ap-7, -0x1.80b008a4334c9p-7, -0x1.793ce12fb6ee8p-7, -0x1.71eaa3752fa4bp-7, -0x1.6ab8d51211d31p-7, -0x1.63a6fccdf265ep-7, -0x1.5cb4a29c4bfe7p-7, -0x1.55e14f9e1e2p-7, -0x1.4f2c8e236a96p-7, -0x1.4895e9ac7a8e6p-7, -0x1.421ceeeb15112p-7, -0x1.3bc12bc3690c5p-7, -0x1.35822f4cbf806p-7, -0x1.2f5f89d23fb07p-7, -0x1.2958ccd36f106p-7, -0x1.236d8b047cfc2p-7, -0x1.1d9d584e8b571p-7, -0x1.17e7c9cfc11f4p-7, -0x1.124c75db44607p-7, -0x1.0ccaf3f905fd9p-7, -0x1.0762dce57a9ddp-7, -0x1.0213ca913c199p-7, -0x1.f9bab040ea47fp-8, -0x1.ef7e43d4b0b5bp-8, -0x1.e5718af09a573p-8, -0x1.db93c30a48a31p-8, -0x1.d1e42bf85201dp-8, -0x1.c86207f045be4p-8, -0x1.bf0c9b844e915p-8, -0x1.b5e32da0f10bfp-8, -0x1.ace5078a9dcfep-8, -0x1.a41174da9544dp-8, -0x1.9b67c37c5c43p-8, -0x1.92e743aa7a58ap-8, -0x1.8a8f47eb7a34ep-8, -0x1.825f250e9e5b6p-8, -0x1.7a56322860ecbp-8, -0x1.7273c88efe215p-8, -0x1.6ab743d6a61a1p-8, -0x1.632001cdddfacp-8, -0x1.5bad627989c27p-8, -0x1.545ec8110af84p-8, -0x1.4d3396fa2874fp-8, -0x1.462b35c4d8e66p-8, -0x1.3f450d270de32p-8, -0x1.388087f841a1cp-8, -0x1.31dd132d4f46ep-8, -0x1.2b5a1dd3bb5e6p-8, -0x1.24f7190d5f686p-8, -0x1.1eb3780bcb176p-8, -0x1.188eb00b6eaaep-8, -0x1.1288384f2545fp-8, -0x1.0c9f8a1b35112p-8, -0x1.06d420b0b198fp-8, -0x1.012579489b762p-8, -0x1.f726261def999p-9, -0x1.ec38de3bacaf5p-9, -0x1.e18220f0f8a5dp-9, -0x1.d700f80cd6bf7p-9, -0x1.ccb4711c63994p-9, -0x1.c29b9d610d2a8p-9, -0x1.b8b591c690386p-9, -0x1.af0166d8eb17bp-9, -0x1.a57e38b9fecd2p-9, -0x1.9c2b27177cbe5p-9, -0x1.93075520a367bp-9, -0x1.8a11e97c40e19p-9, -0x1.814a0e3e3f2c8p-9, -0x1.78aef0ddb8b9bp-9, -0x1.703fc22a8f69ap-9, -0x1.67fbb6438aa6ap-9, -0x1.5fe2048be200cp-9, -0x1.57f1e7a10646ep-9, -0x1.502a9d50b06ep-9, -0x1.488b668e9e477p-9, -0x1.4113876ac4dfbp-9, -0x1.39c2470721788p-9, -0x1.3296ef8da4693p-9, -0x1.2b90ce263c14ep-9, -0x1.24af32eccefd5p-9, -0x1.1df170e77d54cp-9, -0x1.1756ddfca2f27p-9, -0x1.10ded2e93599fp-9, -0x1.0a88ab37101fp-9, -0x1.0453c5331aa19p-9, -0x1.fc7f03c75bcd8p-10, -0x1.f09689fdf663bp-10, -0x1.e4ece9c314252p-10, -0x1.d980f5099f0ffp-10, -0x1.ce5182ebcdd51p-10, -0x1.c35d6f986d243p-10, -0x1.b8a39c3ff2ec4p-10, -0x1.ae22ef028dcfap-10, -0x1.a3da52ddfa0cdp-10, -0x1.99c8b79af8f34p-10, -0x1.8fed11bbabc76p-10, -0x1.86465a69d1601p-10, -0x1.7cd38f65bc6a5p-10, -0x1.7393b2f3edc59p-10, -0x1.6a85cbcc749cep-10, -0x1.61a8e50984f6fp-10, -0x1.58fc0e16312cfp-10, -0x1.507e5a9e1693bp-10, -0x1.482ee27cb5b2ep-10, -0x1.400cc1acc29b4p-10, -0x1.38171837cf4f2p-10, -0x1.304d0a26996bbp-10, -0x1.28adbf70a94f9p-10, -0x1.213863ec8dc0bp-10, -0x1.19ec274033b83p-10, -0x1.12c83cd1851ccp-10, -0x1.0bcbdbb717405p-10, -0x1.04f63ea992b05p-10, -0x1.fc8d47e85789ep-11, -0x1.ef789acc1b6b4p-11, -0x1.e2ad008816bcbp-11, -0x1.d6290a72aa1dfp-11, -0x1.c9eb50947d798p-11, -0x1.bdf2718bab84fp-11, -0x1.b23d126f23bf9p-11, -0x1.a6c9deb4f87d1p-11, -0x1.9b97881666d99p-11, -0x1.90a4c67514bf9p-11, -0x1.85f057c08dc21p-11, -0x1.7b78ffdbef3fap-11, -0x1.713d88856b261p-11, -0x1.673cc13b991ccp-11, -0x1.5d757f2599627p-11, -0x1.53e69cf99c7ddp-11, -0x1.4a8efae4ff938p-11, -0x1.416d7e7462a7fp-11, -0x1.3881127b1ccp-11, -0x1.2fc8a6fcf0779p-11, -0x1.2743311680636p-11, -0x1.1eefaae62d0efp-11, -0x1.16cd13770546dp-11, -0x1.0eda6eaa1d75dp-11, -0x1.0716c520cceacp-11, -0x1.ff02484ec0df4p-12, -0x1.f0313b3fc4fe8p-12, -0x1.e1b88fda22d47p-12, -0x1.d3967bbcdbab1p-12, -0x1.c5c93d3883958p-12, -0x1.b84f1b2647a78p-12, -0x1.ab2664c20118ep-12, -0x1.9e4d7183465b4p-12, -0x1.91c2a0f7ce67bp-12, -0x1.85845a9d87f05p-12, -0x1.79910dbf4c73cp-12, -0x1.6de7314dda5afp-12, -0x1.628543bf6a307p-12, -0x1.5769caeb0a147p-12, -0x1.4c9353e7ac4bcp-12, -0x1.420072e8b9001p-12, -0x1.37afc31e396f9p-12, -0x1.2d9fe6920ef59p-12, -0x1.23cf8609b4004p-12, -0x1.1a3d50e482aa6p-12, -0x1.10e7fcfec7e97p-12, -0x1.07ce469157df1p-12, -0x1.fddde02733228p-13, -0x1.ec91843e3d016p-13, -0x1.dbb516a32a526p-13, -0x1.cb46406170d3cp-13, -0x1.bb42b61a3e4b9p-13, -0x1.aba837cc87157p-13, -0x1.9c7490a1121aep-13, -0x1.8da596b46cdd7p-13, -0x1.7f392ae2180e8p-13, -0x1.712d3890b3f44p-13, -0x1.637fb57ee3a79p-13, -0x1.562ea1934726ep-13, -0x1.493806a8338a3p-13, -0x1.3c99f85dc6d09p-13, -0x1.305293eb20cep-13, -0x1.245fffeca2fd7p-13, -0x1.18c06c39a6bfdp-13, -0x1.0d7211b5885a5p-13, -0x1.027332270572ap-13, -0x1.ef843010c688fp-14, -0x1.daba2cc130f88p-14, -0x1.c6851133b577ap-14, -0x1.b2e1a4a678d34p-14, -0x1.9fccbe7bda2e9p-14, -0x1.8d4345e9dc8fbp-14, -0x1.7b4231a8a0a74p-14, -0x1.69c687ab20bb4p-14, -0x1.58cd5cd107e15p-14, -0x1.4853d4a017f82p-14, -0x1.385720fbb1865p-14, -0x1.28d481daa5d9dp-14, -0x1.19c94508db645p-14, -0x1.0b32c5d753774p-14, -0x1.fa1cd9cfddcb7p-15, -0x1.deb35fc31639p-15, -0x1.c424226b35718p-15, -0x1.aa6a3fbfed324p-15, -0x1.9180ee49657f1p-15, -0x1.79637cb8d58dfp-15, -0x1.620d515f54595p-15, -0x1.4b79e9c182041p-15, -0x1.35a4da21da5f5p-15, -0x1.2089cd144f2cfp-15, -0x1.0c24830c8eb1bp-15, -0x1.f0e1a3ebe977fp-16, -0x1.cad549890aa6cp-16, -0x1.a61bf624742b6p-16, -0x1.82add169b58c7p-16, -0x1.60832abc8acc1p-16, -0x1.3f947862fce23p-16, -0x1.1fda56d75fbb8p-16, -0x1.014d880217a9cp-16, -0x1.c7cde4ffac85cp-17, -0x1.8f3f41e8b0176p-17, -0x1.58e182b7a4b33p-17, -0x1.24a7488765a9ep-17, -0x1.e506f126e6d3ep-18, -0x1.84d2752d48fccp-18, -0x1.2897ef4d0092ep-18, -0x1.a07d63873845ep-19, -0x1.eeba32d3dd579p-20, -0x1.567e5acb73a3p-21, 0x1.13a670903391cp-21, 0x1.b0d8132f5565fp-20, 0x1.65145348b5a54p-19, 0x1.eb0e37311f73bp-19, 0x1.354249b17ecacp-18, 0x1.71d0b51b69887p-18, 0x1.ab46f3834dfefp-18, 0x1.e1b931128809dp-18, 0x1.0a9d99357fa1ap-17, 0x1.22f02b5480f58p-17, 0x1.39ddcc9d3ffd1p-17, 0x1.4f6fc9f3af1b1p-17, 0x1.63af404dd7f58p-17, 0x1.76a51dabf7ec6p-17, 0x1.885a21dc2f427p-17, 0x1.98d6df9767cb6p-17, 0x1.a823bd209d28bp-17, 0x1.b648f54253362p-17, 0x1.c34e9815b0b29p-17, 0x1.cf3c8bdd53b47p-17, 0x1.da1a8db9e12b9p-17, 0x1.e3f03287679dcp-17, 0x1.ecc4e79fe0647p-17, 0x1.f49ff38d43a17p-17, 0x1.fb8876cda2c5ap-17, 0x1.00c2b6445f2e4p-16, 0x1.034ed5a7def54p-16, 0x1.056bf2e23ec27p-16, 0x1.071d55a1b7022p-16, 0x1.0866344cc3865p-16, 0x1.0949b452a9c2ep-16, 0x1.09caea770e6e2p-16, 0x1.09ecdb2521148p-16, 0x1.09b27ad16b639p-16, 0x1.091eae2bc02edp-16, 0x1.08344a6f33b7bp-16, 0x1.06f615b93baa9p-16, 0x1.0566c74d511e6p-16, 0x1.038907d87cf6p-16, 0x1.015f71b4bbe82p-16, 0x1.fdd922773108ep-17, }}, 
      {{-0x1.ed0603109696fp-7, -0x1.ead61f18206ffp-7, -0x1.e72bf03655d73p-7, -0x1.e20045547b4bap-7, -0x1.db49a45140886p-7, -0x1.d2fcba3f898fbp-7, -0x1.c90cd12b8ed2p-7, -0x1.bd6c459d8d35bp-7, -0x1.b00cf6f9087e6p-7, -0x1.a0e0af001e4ebp-7, -0x1.8fd97e11010ccp-7, -0x1.7cea0af1597b1p-7, -0x1.6805d5fe68d02p-7, -0x1.5121704fd819ap-7, -0x1.3832a7c928c25p-7, -0x1.1d30a948a1acdp-7, -0x1.00141a2923757p-7, -0x1.c1ae54742579p-8, -0x1.7eeb3e5f460dbp-8, -0x1.37d9b4d5100c1p-8, -0x1.d8ef6750fbdddp-9, -0x1.398cd1c5bdb45p-9, -0x1.232899b2ba9a7p-10, 0x1.eeb6597f81ce9p-13, 0x1.afbb352e95ec3p-10, 0x1.9927fc9267411p-9, 0x1.315568e97143p-8, 0x1.9a20a4b092ce7p-8, 0x1.03707336d8fedp-7, 0x1.3bbf9575b6fddp-7, 0x1.75f1315e9e5aep-7, 0x1.b1f7cf4693ce6p-7, 0x1.efc51dae30222p-7, 0x1.17a5038e841e9p-6, 0x1.383b63c0ff2bap-6, 0x1.599d807606556p-6, 0x1.7bc2e7bb59e5dp-6, 0x1.9ea2ee275ae3bp-6, 0x1.c234b7dda90b1p-6, 0x1.e66f410faa7b6p-6, 0x1.05a4b2faf4d69p-5, 0x1.185cf5211c663p-5, 0x1.2b5bc0062b3efp-5, 0x1.3e9c671eb1b95p-5, 0x1.521a3b3f9c7c4p-5, 0x1.65d08d5b2a10bp-5, 0x1.79bab106af1d6p-5, 0x1.8dd3feccf1926p-5, 0x1.a217d650f717ap-5, 0x1.b681a04507a13p-5, 0x1.cb0cd0398561cp-5, 0x1.dfb4e6471dc53p-5, 0x1.f475709764c3ep-5, 0x1.04a506676c42cp-4, 0x1.0f1734ad67043p-4, 0x1.198f2352d4fa7p-4, 0x1.240abc199da9p-4, 0x1.2e87f2d383beap-4, 0x1.3904c5daf127ap-4, 0x1.437f3e820271ap-4, 0x1.4df57178486cfp-4, 0x1.58657f27a5e6ap-4, 0x1.62cd940895a92p-4, 0x1.6d2be8ee17365p-4, 0x1.777ec3496b0b8p-4, 0x1.81c47565d660fp-4, 0x1.8bfb5e9c75146p-4, 0x1.9621eb804b004p-4, 0x1.a03696029f7b3p-4, 0x1.aa37e58fc6b62p-4, 0x1.b4246f246b9dep-4, 0x1.bdfad55b7f60bp-4, 0x1.c7b9c874f2791p-4, 0x1.d16006555770cp-4, 0x1.daec5a7ea4a97p-4, 0x1.e45d9e024d766p-4, 0x1.edb2b76cde829p-4, 0x1.f6ea9aab621ebp-4, 0x1.000224756f937p-3, 0x1.047f683915654p-3, 0x1.08eca63b2f11cp-3, 0x1.0d497275266cfp-3, 0x1.11956724a8a28p-3, 0x1.15d024aede9a5p-3, 0x1.19f95181a811ap-3, 0x1.1e1099f30b8c5p-3, 0x1.2215b01f0475fp-3, 0x1.26084bc3def1ap-3, 0x1.29e82a1d545ddp-3, 0x1.2db50dbe92c43p-3, 0x1.316ebe6b5b313p-3, 0x1.351508f064bp-3, 0x1.38a7befb352d2p-3, 0x1.3c26b6f1871ebp-3, 0x1.3f91cbc87d092p-3, 0x1.42e8dcdbb2b68p-3, 0x1.462bcdc458fb1p-3, 0x1.495a863081db6p-3, 0x1.4c74f1bab310ep-3, 0x1.4f7affc1e21b6p-3, 0x1.526ca341f7c92p-3, 0x1.5549d2acebea6p-3, 0x1.581287c49394cp-3, 0x1.5ac6bf753efdp-3, 0x1.5d6679b12443fp-3, 0x1.5ff1b94cc330ep-3, 0x1.626883dc3123fp-3, 0x1.64cae19177785p-3, 0x1.6718dd1bf1de2p-3, 0x1.69528388cfda9p-3, 0x1.6b77e424a533cp-3, 0x1.6d89105e256d9p-3, 0x1.6f861ba9fd261p-3, 0x1.716f1b67d2fe4p-3, 0x1.734426c869067p-3, 0x1.750556b4e93acp-3, 0x1.76b2c5b74fe03p-3, 0x1.784c8fe3ef5a9p-3, 0x1.79d2d2c417299p-3, 0x1.7b45ad41c56abp-3, 0x1.7ca53f946c8e7p-3, 0x1.7df1ab2ebd6a1p-3, 0x1.7f2b12ad6e9dep-3, 0x1.805199c7014eap-3, 0x1.8165653c6b739p-3, 0x1.82669acab1651p-3, 0x1.8355611d560bp-3, 0x1.8431dfc19f081p-3, 0x1.84fc3f1aa0908p-3, 0x1.85b4a8560e49p-3, 0x1.865b4561bc127p-3, 0x1.86f040e1cc1cep-3, 0x1.8773c627833a9p-3, 0x1.87e60128a9ef3p-3, 0x1.88471e778e777p-3, 0x1.88974b3b7686p-3, 0x1.88d6b529a2238p-3, 0x1.89058a7eacacfp-3, 0x1.8923f9f86c7b6p-3, 0x1.893232d02297ep-3, 0x1.893064b50eb5p-3, 0x1.891ebfc75091p-3, 0x1.88fd749312598p-3, 0x1.88ccb40bfa4ecp-3, 0x1.888caf88d04c8p-3, 0x1.883d98bf60e6p-3, 0x1.87dfa1c08653dp-3, 0x1.8772fcf463859p-3, 0x1.86f7dd16bc3a9p-3, 0x1.866e75336cc48p-3, 0x1.85d6f8a2fa6bcp-3, 0x1.85319b0739d0cp-3, 0x1.847e904807c65p-3, 0x1.83be0c900773p-3, 0x1.82f0444974adap-3, 0x1.82156c1aee6f4p-3, 0x1.812db8e4549eep-3, 0x1.80395fbb96084p-3, 0x1.7f3895e987ff3p-3, 0x1.7e2b90e6b619p-3, 0x1.7d12865829192p-3, 0x1.7bedac0c2b3b2p-3, 0x1.7abd37f701ee4p-3, 0x1.7981602f9b3ffp-3, 0x1.783a5aec36003p-3, 0x1.76e85e7efa0fep-3, 0x1.758ba152837ddp-3, 0x1.742459e66a1f2p-3, 0x1.72b2becbb1672p-3, 0x1.713706a1359cdp-3, 0x1.6fb1681003f2ap-3, 0x1.6e2219c7b29fcp-3, 0x1.6c89527aa056cp-3, 0x1.6ae748da31fb6p-3, 0x1.693c339305c91p-3, 0x1.678849491786p-3, 0x1.65cbc093de8dap-3, 0x1.6406cffa67759p-3, 0x1.6239adef64e64p-3, 0x1.606490cd35e6p-3, 0x1.5e87aed1ede5fp-3, 0x1.5ca33e1b5a2b8p-3, 0x1.5ab774a2fa08ap-3, 0x1.58c4883a0363ep-3, 0x1.56caae855e751p-3, 0x1.54ca1cf9a3448p-3, 0x1.52c308d71e32fp-3, 0x1.50b5a725d1deep-3, 0x1.4ea22cb182b6p-3, 0x1.4c88ce05c52afp-3, 0x1.4a69bf6a15976p-3, 0x1.484534ddf2c2p-3, 0x1.461b621509fc1p-3, 0x1.43ec7a7369672p-3, 0x1.41b8b109b9444p-3, 0x1.3f8038918d02fp-3, 0x1.3d434369b6f4p-3, 0x1.3b020392b1184p-3, 0x1.38bcaaab14e38p-3, 0x1.367369ec1f503p-3, 0x1.342672264d93dp-3, 0x1.31d5f3be0542dp-3, 0x1.2f821ea855159p-3, 0x1.2d2b2267c4a14p-3, 0x1.2ad12e093e746p-3, 0x1.287470210ae95p-3, 0x1.261516c7e1d83p-3, 0x1.23b34f9815ca2p-3, 0x1.214f47aacfe3ap-3, 0x1.1ee92b956d3b8p-3, 0x1.1c812766e8824p-3, 0x1.1a1766a567ba2p-3, 0x1.17ac144bd9c3ep-3, 0x1.153f5ac7b2b57p-3, 0x1.12d163f6bff01p-3, 0x1.1062592513155p-3, 0x1.0df2630b0e68cp-3, 0x1.0b81a9cb7f44bp-3, 0x1.091054f1e1e61p-3, 0x1.069e8b70b1898p-3, 0x1.042c739fdad59p-3, 0x1.01ba333b47c7bp-3, 0x1.fe8fdec306c23p-4, 0x1.f9ab9924f6771p-4, 0x1.f4c7dd5cac74cp-4, 0x1.efe4f1e8d2481p-4, 0x1.eb031c04897a9p-4, 0x1.e6229fa5bace7p-4, 0x1.e143bf7b9174bp-4, 0x1.dc66bced391d2p-4, 0x1.d78bd818b82cap-4, 0x1.d2b34fd210512p-4, 0x1.cddd61a282453p-4, 0x1.c90a49c8065a4p-4, 0x1.c43a4334f6453p-4, 0x1.bf6d878fda19ap-4, 0x1.baa44f3379e18p-4, 0x1.b5ded12f00cc9p-4, 0x1.b11d434664fb6p-4, 0x1.ac5fd9f2e7ebap-4, 0x1.a7a6c863cf301p-4, 0x1.a2f2407f378b7p-4, 0x1.9e4272e32760ep-4, 0x1.99978ee6ae28ap-4, 0x1.94f1c29b3c5d6p-4, 0x1.90513ace19abep-4, 0x1.8bb6230a0398dp-4, 0x1.8720a598e9e1cp-4, 0x1.8290eb85d3271p-4, 0x1.7e071c9ee0b9ep-4, 0x1.79835f7770515p-4, 0x1.7505d96a600e8p-4, 0x1.708eae9c70684p-4, 0x1.6c1e01fec1885p-4, 0x1.67b3f5516d83p-4, 0x1.6350a9263c109p-4, 0x1.5ef43ce371b83p-4, 0x1.5a9ecec6b7428p-4, 0x1.56507be819454p-4, 0x1.5209603d1c71bp-4, 0x1.4dc9969beab14p-4, 0x1.499138be8fe9ap-4, 0x1.45605f4650441p-4, 0x1.413721bf0a973p-4, 0x1.3d1596a2b1293p-4, 0x1.38fbd35cd0b19p-4, 0x1.34e9ec4e25407p-4, 0x1.30dff4d0419f6p-4, 0x1.2cddff3940045p-4, 0x1.28e41cdf81321p-4, 0x1.24f25e1d78701p-4, 0x1.2108d2557ff3fp-4, 0x1.1d2787f5b6172p-4, 0x1.194e8c7be7099p-4, 0x1.157dec797a36bp-4, 0x1.11b5b3976cdb9p-4, 0x1.0df5ec9a4b625p-4, 0x1.0a3ea166346a1p-4, 0x1.068fdb02e1705p-4, 0x1.02e9a19fb0e2bp-4, 0x1.fe97f92f68d1ep-5, 0x1.f76de4eb834dp-5, 0x1.f05511f107b85p-5, 0x1.e94d8a2d1de53p-5, 0x1.e2575604e6181p-5, 0x1.db727c5d9ec3p-5, 0x1.d49f02a4c77p-5, 0x1.cddcecd844053p-5, 0x1.c72c3d8e74c6bp-5, 0x1.c08cf5fe4da4dp-5, 0x1.b9ff160768425p-5, 0x1.b3829c3a06da6p-5, 0x1.ad1785df1672p-5, 0x1.a6bdcf0021344p-5, 0x1.a075726f37a8cp-5, 0x1.9a3e69cecb22cp-5, 0x1.9418ad9983f82p-5, 0x1.8e043529fe082p-5, 0x1.8800f6c281641p-5, 0x1.820ee794a2b0ep-5, 0x1.7c2dfbc8dbcaep-5, 0x1.765e26860c7cdp-5, 0x1.709f59f8ec6fcp-5, 0x1.6af1875b6d463p-5, 0x1.65549efc04c95p-5, 0x1.5fc89044ea6cep-5, 0x1.5a4d49c336e9dp-5, 0x1.54e2b92df94b9p-5, 0x1.4f88cb6d33b5ep-5, 0x1.4a3f6ca0be21bp-5, 0x1.4506882718363p-5, 0x1.3fde08a42605cp-5, 0x1.3ac5d807d1b35p-5, 0x1.35bddf9496393p-5, 0x1.30c607e5f72f9p-5, 0x1.2bde38f6dd221p-5, 0x1.27065a27dc141p-5, 0x1.223e52455e943p-5, 0x1.1d86078dbb58cp-5, 0x1.18dd5fb7323b8p-5, 0x1.14443ff5d03a2p-5, 0x1.0fba8d0135e9p-5, 0x1.0b402b1a4ec45p-5, 0x1.06d4fe10e3ea1p-5, 0x1.0278e9491fb3p-5, 0x1.fc579f81dfbd6p-6, 0x1.f3db282aa6ae1p-6, 0x1.eb7c310f1bd5fp-6, 0x1.e33a7e04812ebp-6, 0x1.db15d23cd5e23p-6, 0x1.d30df050a0d35p-6, 0x1.cb229a4887c84p-6, 0x1.c35391a6bfe12p-6, 0x1.bba0977040219p-6, 0x1.b4096c35c63d4p-6, 0x1.ac8dd01ca0486p-6, 0x1.a52d82e758d97p-6, 0x1.9de843fe1ab14p-6, 0x1.96bdd276f4b78p-6, 0x1.8faded1de173ap-6, 0x1.88b8527ca668ep-6, 0x1.81dcc0e27c8fap-6, 0x1.7b1af66b8d2dcp-6, 0x1.7472b1083cb86p-6, 0x1.6de3ae844473bp-6, 0x1.676dac8da6c7ap-6, 0x1.611068bb643efp-6, 0x1.5acba0941cd26p-6, 0x1.549f11946a21bp-6, 0x1.4e8a793513ac7p-6, 0x1.488d94f12414cp-6, 0x1.42a8224bbfc11p-6, 0x1.3cd9ded5e228bp-6, 0x1.37228833de9c3p-6, 0x1.3181dc22c433dp-6, 0x1.2bf7987d94b47p-6, 0x1.26837b4248ca6p-6, 0x1.21254296bdbfcp-6, 0x1.1bdcaccd6ae6ep-6, 0x1.16a97869f977p-6, 0x1.118b6425b2303p-6, 0x1.0c822ef3bf5e7p-6, 0x1.078d9805541f3p-6, 0x1.02ad5ecdab8adp-6, 0x1.fbc2860bb16fep-7, 0x1.f252096100762p-7, 0x1.e908c83ad74afp-7, 0x1.dfe643d9e43p-7, 0x1.d6e9fe2698dabp-7, 0x1.ce1379b773152p-7, 0x1.c56239d71f5fcp-7, 0x1.bcd5c28a390e6p-7, 0x1.b46d9894f819dp-7, 0x1.ac2941807c6d1p-7, 0x1.a408439ff0624p-7, 0x1.9c0a26155dd7ep-7, 0x1.942e70d6563ccp-7, 0x1.8c74acb062503p-7, 0x1.84dc634d3dcfep-7, 0x1.7d651f36ce2f8p-7, 0x1.760e6bdae976ap-7, 0x1.6ed7d58ee63b2p-7, 0x1.67c0e9930e0ep-7, 0x1.60c93615bfaf4p-7, 0x1.59f04a366b427p-7, 0x1.5335b6086cbcp-7, 0x1.4c990a959ff07p-7, 0x1.4619d9e0db723p-7, 0x1.3fb7b6e839e56p-7, 0x1.397235a7303dp-7, 0x1.3348eb1877c77p-7, 0x1.2d3b6d37e6c6fp-7, 0x1.27495303febb5p-7, 0x1.2172347f750a2p-7, 0x1.1bb5aab2850bfp-7, 0x1.16134fac1924fp-7, 0x1.108abe82d4339p-7, 0x1.0b1b9355fac3fp-7, 0x1.05c56b4e3e91bp-7, 0x1.0087e49e5c703p-7, 0x1.f6c53d07571f7p-8, 0x1.ecaa728cf3a16p-8, 0x1.e2beac74b05ep-8, 0x1.d9012f7c89f59p-8, 0x1.cf71427981116p-8, 0x1.c60e2e5766e0ep-8, 0x1.bcd73e18b2996p-8, 0x1.b3cbbed5d2aa1p-8, 0x1.aaeaffbcae5a2p-8, 0x1.a234520f97498p-8, 0x1.99a70924563fp-8, 0x1.91427a62df048p-8, 0x1.8905fd43ec0dfp-8, 0x1.80f0eb4f633d1p-8, 0x1.7902a01aa2289p-8, 0x1.713a7946a14a3p-8, 0x1.6997d67de8bbdp-8, 0x1.621a1972695efp-8, 0x1.5ac0a5db30dbfp-8, 0x1.538ae171f7123p-8, 0x1.4c7833f094bb2p-8, 0x1.4588070e540d8p-8, 0x1.3eb9c67d385f1p-8, 0x1.380cdfe6f6adcp-8, 0x1.3180c2ea23ec1p-8, 0x1.2b14e11704bap-8, 0x1.24c8adec5e3e5p-8, 0x1.1e9b9ed4346c1p-8, 0x1.188d2b206758dp-8, 0x1.129ccc0742c93p-8, 0x1.0cc9fc9ffae01p-8, 0x1.071439df0ab12p-8, 0x1.017b0292a48ddp-8, 0x1.f7fbaebdc0ebp-9, 0x1.ed387573dd7cbp-9, 0x1.e2ab61d0b231fp-9, 0x1.d8537ff1ee095p-9, 0x1.ce2fdf822b8c1p-9, 0x1.c43f93b0cf03ep-9, 0x1.ba81b32a0a68fp-9, 0x1.b0f5580e9dc19p-9, 0x1.a7999febb167bp-9, 0x1.9e6dabb26bap-9, 0x1.95709fafa767bp-9, 0x1.8ca1a38360f39p-9, 0x1.83ffe2185568fp-9, 0x1.7b8a899b692b6p-9, 0x1.7340cb73238e8p-9, 0x1.6b21dc370710ap-9, 0x1.632cf3a6fa78cp-9, 0x1.5b614ca2a5924p-9, 0x1.53be2520911bep-9, 0x1.4c42be25a4bap-9, 0x1.44ee5bbc4c871p-9, 0x1.3dc044ebc4ebap-9, 0x1.36b7c3af60d52p-9, 0x1.2fd424edc26a4p-9, 0x1.2914b8703a97p-9, 0x1.2278d0da12a44p-9, 0x1.1bffc39fa836p-9, 0x1.15a8e8fdd158ap-9, 0x1.0f739bf1354b7p-9, 0x1.095f3a2d9b296p-9, 0x1.036b241525fddp-9, 0x1.fb2d795fb1d0ep-10, 0x1.efc2d3460616ep-10, 0x1.e49526513acf8p-10, 0x1.d9a3480db7e5ep-10, 0x1.ceec130f3e4e8p-10, 0x1.c46e66dff28eap-10, 0x1.ba2927ef9c2edp-10, 0x1.b01b3f82fbb22p-10, 0x1.a6439ba2fec64p-10, 0x1.9ca12f0c51e6ep-10, 0x1.9332f11ed39aap-10, 0x1.89f7ddcd68844p-10, 0x1.80eef58d8e25cp-10, 0x1.78173d4789042p-10, 0x1.6f6fbe460bafp-10, 0x1.66f786263fbcp-10, 0x1.5eada6c865a1ep-10, 0x1.5691363fc84f7p-10, 0x1.4ea14ec34e635p-10, 0x1.46dd0e9e0a439p-10, 0x1.3f43981ff3dd1p-10, 0x1.37d4118ed98f5p-10, 0x1.308da5175b391p-10, 0x1.296f80bdf5096p-10, 0x1.2278d65011113p-10, 0x1.1ba8db558f0d7p-10, 0x1.14fec9024e718p-10, 0x1.0e79dc27cdd65p-10, 0x1.08195526d5ab6p-10, 0x1.01dc77e18da43p-10, 0x1.f785175b132edp-11, 0x1.eb95b68bdbcacp-11, 0x1.dfe9697bd55bdp-11, 0x1.d47ed2e6bbf4ap-11, 0x1.c9549c0238914p-11, 0x1.be69746405064p-11, 0x1.b3bc11e758304p-11, 0x1.a94b3093c4c99p-11, 0x1.9f159282f58a2p-11, 0x1.9519ffc7eb03ap-11, 0x1.8b574656053f3p-11, 0x1.81cc39e83824bp-11, 0x1.7877b3e8f1c57p-11, 0x1.6f589359e327fp-11, 0x1.666dbcbc64735p-11, 0x1.5db619f9a95d9p-11, 0x1.55309a4bdbf5dp-11, 0x1.4cdc3227376eep-11, 0x1.44b7db234db1fp-11, 0x1.3cc293e4ec992p-11, 0x1.34fb600810389p-11, 0x1.2d61480a09a02p-11, 0x1.25f359344aaacp-11, 0x1.1eb0a5873d4a1p-11, 0x1.179843a57af94p-11, 0x1.10a94ebee3c23p-11, 0x1.09e2e67c7149ap-11, 0x1.03442eec8e7cbp-11, 0x1.f998a0ddc335ep-12, 0x1.ecf4ef425d33dp-12, 0x1.e09baa983237p-12, 0x1.d48b3ca061678p-12, 0x1.c8c2172629a68p-12, 0x1.bd3eb3db6d586p-12, 0x1.b1ff94332e045p-12, 0x1.a703413f5cef4p-12, 0x1.9c484b8c4ca0fp-12, 0x1.91cd4afebc0adp-12, 0x1.8790deb1b1f22p-12, 0x1.7d91acd4adeb3p-12, 0x1.73ce628b10fb1p-12, 0x1.6a45b3cb472c7p-12, 0x1.60f65b3ebd9abp-12, 0x1.57df1a2220ff8p-12, 0x1.4efeb826c663ap-12, 0x1.465403539c03dp-12, 0x1.3dddcfe78a27cp-12, 0x1.359af83b66fc3p-12, 0x1.2d8a5ca513364p-12, 0x1.25aae35a54101p-12, 0x1.1dfb7855229e4p-12, 0x1.167b0d378680dp-12, 0x1.0f2899308926cp-12, 0x1.080318e10497ep-12, 0x1.01098e41720b6p-12, 0x1.f476010fa7f07p-13, 0x1.e72cf81c736f3p-13, 0x1.da3624732055p-13, 0x1.cd8fb2c1795d3p-13, 0x1.c137d96924ffp-13, 0x1.b52cd84ed9588p-13, 0x1.a96cf8acea7b1p-13, 0x1.9df68ce2dc031p-13, 0x1.92c7f04afb6acp-13, 0x1.87df870b028c5p-13, 0x1.7d3bbde9806b4p-13, 0x1.72db0a2292592p-13, 0x1.68bbe93d2603ap-13, 0x1.5edce0e1c352cp-13, 0x1.553c7eb247ab4p-13, 0x1.4bd9582081dd1p-13, 0x1.42b20a47719bep-13, 0x1.39c539c3ac178p-13, 0x1.3111928ea4f8cp-13, 0x1.2895c7d7b601dp-13, 0x1.205093e13d515p-13, 0x1.1840b7dadd8f8p-13, 0x1.1064fbbf0afb6p-13, 0x1.08bc2e2fb663p-13, 0x1.01452454b08fbp-13, 0x1.f3fd737305f8cp-14, 0x1.e5cfa05a2f07dp-14, 0x1.d7fe9f426d41dp-14, 0x1.ca884c16122bp-14, 0x1.bd6a8e86318b9p-14, 0x1.b0a359cee3362p-14, 0x1.a430ac7bbca6cp-14, 0x1.9810902c7357dp-14, 0x1.8c41195a5bc49p-14, 0x1.80c067204b49dp-14, 0x1.758ca303d35c7p-14, 0x1.6aa400bd261dep-14, 0x1.6004be0318f61p-14, 0x1.55ad22562ec2ep-14, 0x1.4b9b7ecbfe425p-14, 0x1.41ce2ddd9338bp-14, 0x1.3843933552befp-14, 0x1.2efa1b7f440e9p-14, 0x1.25f03c37e6ed6p-14, 0x1.1d24737f82317p-14, 0x1.149547eb5dc35p-14, 0x1.0c41485797e95p-14, 0x1.04270bbbfdc5p-14, 0x1.f88a62026b331p-15, 0x1.e934bdab99effp-15, 0x1.da4a8709b9359p-15, 0x1.cbc9299b7d3a4p-15, 0x1.bdae1f75d5ce2p-15, 0x1.aff6f0f8bb72dp-15, 0x1.a2a1347d0b268p-15, 0x1.95aa8e0f3e7e8p-15, 0x1.8910af21ef476p-15, 0x1.7cd15645cffbp-15, 0x1.70ea4ee5a259ep-15, 0x1.655970fdad74ep-15, 0x1.5a1ca0d96da09p-15, 0x1.4f31cecf76e18p-15, 0x1.4496f700fbc54p-15, 0x1.3a4a211a29e21p-15, 0x1.30496011a5847p-15, 0x1.2692d1ed1eb01p-15, 0x1.1d249f842cc5dp-15, 0x1.13fcfc44f1352p-15, 0x1.0b1a25fb7919bp-15, 0x1.027a64960e239p-15, 0x1.f43813e00f56dp-16, 0x1.e3fae337a911bp-16, 0x1.d43a01588beb2p-16, 0x1.c4f24b02ce2acp-16, 0x1.b620af2b5029bp-16, 0x1.a7c22e96966d1p-16, 0x1.99d3db76af6a2p-16, 0x1.8c52d909a6863p-16, 0x1.7f3c5b3fde775p-16, 0x1.728da65b100e9p-16, 0x1.66440e9642edap-16, 0x1.5a5cf7cded251p-16, 0x1.4ed5d52a3e634p-16, 0x1.43ac28c6f7844p-16, 0x1.38dd83622055fp-16, 0x1.2e67840ba1c8ap-16, 0x1.2447d7d7dca77p-16, 0x1.1a7c398d18f11p-16, 0x1.11027158c4c91p-16, 0x1.07d85487d1179p-16, 0x1.fdf78a77c874ep-17, 0x1.ecd564440e0ap-17, 0x1.dc462c62a4af9p-17, 0x1.cc45f0c2221b2p-17, 0x1.bcd0d6d176681p-17, 0x1.ade31afa823b5p-17, 0x1.9f791023b7c9ap-17, 0x1.918f1f30f7ddfp-17, 0x1.8421c6833be8fp-17, 0x1.772d9985b74cep-17, 0x1.6aaf403977df8p-17, 0x1.5ea376bf9e22dp-17, 0x1.53070ce901517p-17, 0x1.47d6e5c19077cp-17, 0x1.3d0ff72faec64p-17, 0x1.32af4981cce9ep-17, 0x1.28b1f707c96c5p-17, 0x1.1f152bb0629a1p-17, 0x1.15d624a5f691fp-17, 0x1.0cf22feadd957p-17, 0x1.0466abf95f8dp-17, 0x1.f8620ed4ff14p-18, 0x1.e89d813426c5cp-18, 0x1.d97aca968be93p-18, 0x1.caf5249d04828p-18, 0x1.bd07e661b8f81p-18, 0x1.afae83d472d56p-18, 0x1.a2e48d1152795p-18, 0x1.96a5adc485404p-18, 0x1.8aedac8d947efp-18, 0x1.7fb86a5ea1f5p-18, 0x1.7501e1f2917cap-18, 0x1.6ac627332240ep-18, 0x1.610166b0222cbp-18, 0x1.57afe50b10a5dp-18, 0x1.4ecdfe6f28233p-18, 0x1.465826108dbd5p-18, 0x1.3e4ae5a5faf8cp-18, 0x1.36a2dcec8ccffp-18, 0x1.2f5cc12af1e7p-18, 0x1.28755c9c19b9p-18, 0x1.21e98e187830cp-18, 0x1.1bb648945e7d2p-18, 0x1.15d892a89ee6dp-18, 0x1.104d862943868p-18, 0x1.0b124fb186b02p-18, 0x1.06242e443015ap-18, 0x1.018072cb16324p-18, 0x1.fa48ff94f57a5p-19, 0x1.f21b91dadadf8p-19, 0x1.ea73a54050a0ap-19, 0x1.e34c6369aa812p-19, 0x1.dca1160beffcep-19, 0x1.d66d262eecf8bp-19, 0x1.d0ac1b81356a1p-19, 0x1.cb599ba5d2d6cp-19, 0x1.c671697ca1f4ap-19, 0x1.c1ef6474bd08ap-19, 0x1.bdcf87f5c3a73p-19, 0x1.ba0deabd0a492p-19, 0x1.b6a6be2e687f7p-19, 0x1.b3964dd42ed02p-19, 0x1.b0d8feb3c72b1p-19, 0x1.ae6b4ebab9039p-19, 0x1.ac49d437f1f92p-19, 0x1.aa713d5134c0bp-19, 0x1.a8de4f66f9f76p-19, 0x1.a78de68f7d50ep-19, 0x1.a67cf51d6264p-19, 0x1.a5a88317a1256p-19, 0x1.a50dadb02c1ap-19, 0x1.a4a9a6d86f879p-19, 0x1.a479b4cbfaa94p-19, 0x1.a47b3181d0d3cp-19, 0x1.a4ab8a3a13165p-19, 0x1.a5083f225234cp-19, 0x1.a58ee2dac7b57p-19, 0x1.a63d19ff31eacp-19, 0x1.a7109ac7e0e82p-19, 0x1.a8072c9db2d67p-19, 0x1.a91ea7bb719d4p-19, 0x1.aa54f4beafaa3p-19, 0x1.aba80c4ce1f35p-19, 0x1.ad15f6b41392p-19, 0x1.ae9ccb8c582c7p-19, 0x1.b03ab154e9d6bp-19, 0x1.b1eddd2b434f5p-19, 0x1.b3b492644d11dp-19, 0x1.b58d2232ff571p-19, 0x1.b775eb667ed7dp-19, 0x1.b96d5a16c568cp-19, 0x1.bb71e73f889efp-19, 0x1.bd82187c4f2ddp-19, 0x1.bf9c7fc3926d8p-19, 0x1.c1bfbb188387fp-19, 0x1.c3ea743ad4c9bp-19, 0x1.c61b606244128p-19, 0x1.c8513ffd4036ap-19, 0x1.ca8ade686afe8p-19, 0x1.ccc711a575b4ep-19, 0x1.cf04ba26c82acp-19, 0x1.d142c28556684p-19, 0x1.d3801f457c81dp-19, 0x1.d5bbce8d2872bp-19, 0x1.d7f4d7f6105bep-19, 0x1.da2a4c6030d25p-19, 0x1.dc5b458f32ce7p-19, 0x1.de86e60adf759p-19, 0x1.e0ac58ebb376dp-19, 0x1.e2cad1a95bd3bp-19, 0x1.e4e18bc7c7fa5p-19, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.15f4ec5178d8ap-11, 0x1.1fb42c789347cp-10, 0x1.c71881493688ep-10, 0x1.4469f981bf42fp-9, 0x1.b59254c5007f8p-9, 0x1.1cb24d1588ce3p-8, 0x1.68c19dc297865p-8, 0x1.bf70341fef363p-8, 0x1.107463dbfc572p-7, 0x1.4689ad7952112p-7, 0x1.81d0b2ccd6b07p-7, 0x1.c20cb7f5e7da3p-7, 0x1.03785e90d6673p-6, 0x1.2811fad0a365fp-6, 0x1.4ea2c0a36073ep-6, 0x1.76f7bdb0125e8p-6, 0x1.a0dcbdc457c3bp-6, 0x1.cc1d52adf7517p-6, 0x1.f885b017d07dfp-6, 0x1.12f1b28148c27p-5, 0x1.2a02fcaeeb5c7p-5, 0x1.415fb9d2dd344p-5, 0x1.58f2643ce1f87p-5, 0x1.70a71a7764e1dp-5, 0x1.886bc1e79542dp-5, 0x1.a0301ef6bd829p-5, 0x1.b7e5e2f9c7a5bp-5, 0x1.cf80b04605dd8p-5, 0x1.e6f615236b807p-5, 0x1.fe3d7e895879ap-5, 0x1.0aa811e1d17bcp-4, 0x1.1614761f489bap-4, 0x1.21622863d8923p-4, 0x1.2c901cc86f774p-4, 0x1.379ded19d2ad5p-4, 0x1.428bc66c68e9ap-4, 0x1.4d5a56c2d9b98p-4, 0x1.580abb346dc8ep-4, 0x1.629e6eeb415a7p-4, 0x1.6d173b3d7b774p-4, 0x1.77772910e36p-4, 0x1.81c073a5ee8b5p-4, 0x1.8bf57cd75f07p-4, 0x1.9618c2cdcdc0ep-4, 0x1.a02cd71b68e39p-4, 0x1.aa34572b5579p-4, 0x1.b431e5e9efa1cp-4, 0x1.be2826869d8d3p-4, 0x1.c819b82dde57dp-4, 0x1.d2093298f71afp-4, 0x1.dbf92351a4795p-4, 0x1.e5ec0b8938b0ap-4, 0x1.efe45e65516a2p-4, 0x1.f9e47fa6f5d34p-4, 0x1.01f7614a03772p-3, 0x1.0702b4875b90dp-3, 0x1.0c155164d69eep-3, 0x1.11304645914d5p-3, 0x1.165497ba281edp-3, 0x1.1b834022b0eacp-3, 0x1.20bd2f4c66344p-3, 0x1.26034a099d79dp-3, 0x1.2b5669c389d26p-3, 0x1.30b75c0632a49p-3, 0x1.3626e207a2d4p-3, 0x1.3ba5b02bcfe7fp-3, 0x1.41346d872a25bp-3, 0x1.46d3b361e8e78p-3, 0x1.4c840cbe5b3fcp-3, 0x1.5245f5e484f7p-3, 0x1.5819dbf53d7d3p-3, 0x1.5e001c86f68dfp-3, 0x1.63f9054e0bae4p-3, 0x1.6a04d3d26307bp-3, 0x1.7023b533ce6dap-3, 0x1.7655c5fe69347p-3, 0x1.7c9b120fe13b4p-3, 0x1.82f3948e5bf5p-3, 0x1.895f37f153cc9p-3, 0x1.8fddd61c9f26dp-3, 0x1.966f388d77aa2p-3, 0x1.9d1318993fd37p-3, 0x1.a3c91fbd69659p-3, 0x1.aa90e7ffd2eefp-3, 0x1.b169fc5ebc18fp-3, 0x1.b853d94f4478fp-3, 0x1.bf4ded4957e4cp-3, 0x1.c657995fda957p-3, 0x1.cd7031e3b9a7p-3, 0x1.d496ff10a5ef6p-3, 0x1.dbcb3dc1fef0cp-3, 0x1.e30c202eb3024p-3, 0x1.ea58ceaa97ce6p-3, 0x1.f1b0686c04a7cp-3, 0x1.f91204544c386p-3, 0x1.003e58dcedc31p-2, 0x1.03f7bc996cb19p-2, 0x1.07b4aeaf84609p-2, 0x1.0b74add80034p-2, 0x1.0f3736974ca7bp-2, 0x1.12fbc39e66d91p-2, 0x1.16c1ce298b0a9p-2, 0x1.1a88ce5c4db03p-2, 0x1.1e503b9ac7ef3p-2, 0x1.22178cdf87f75p-2, 0x1.25de390e10deep-2, 0x1.29a3b741a6b72p-2, 0x1.2d677f184961dp-2, 0x1.312908f9aab2bp-2, 0x1.34e7ce5a18636p-2, 0x1.38a349f93a9e7p-2, 0x1.3c5af81ca0fb8p-2, 0x1.400e56c6208dap-2, 0x1.43bce5e5fe2f2p-2, 0x1.47662788fb07ep-2, 0x1.4b09a00245f14p-2, 0x1.4ea6d61170108p-2, 0x1.523d53047e2aep-2, 0x1.55cca2d62a0b4p-2, 0x1.5954544881489p-2, 0x1.5cd3f8fbfd204p-2, 0x1.604b258339a8fp-2, 0x1.63b9717376963p-2, 0x1.671e777207cf7p-2, 0x1.6a79d53ee6ad9p-2, 0x1.6dcb2bbc83f86p-2, 0x1.71121ef510bd3p-2, 0x1.744e561d64428p-2, 0x1.777f7b95ab831p-2, 0x1.7aa53ce80c6a5p-2, 0x1.7dbf4ac569ad3p-2, 0x1.80cd59006df43p-2, 0x1.83cf1e8706cc3p-2, 0x1.86c4555a7a07dp-2, 0x1.89acba8634cb3p-2, 0x1.8c880e15803c5p-2, 0x1.8f56130839511p-2, 0x1.92168f46ac44bp-2, 0x1.94c94b94bb4bap-2, 0x1.976e13845f07bp-2, 0x1.9a04b567b03d7p-2, 0x1.9c8d02428162bp-2, 0x1.9f06cdbbb07d2p-2, 0x1.a171ee0e3c4f7p-2, 0x1.a3ce3bfa3b2dap-2, 0x1.a61b92b5bd966p-2, 0x1.a859cfddb5323p-2, 0x1.aa88d366ef2c5p-2, 0x1.aca87f8f2b22bp-2, 0x1.aeb8b8ce61949p-2, 0x1.b0b965c8445ffp-2, 0x1.b2aa6f3dfb0ecp-2, 0x1.b48bc0003476cp-2, 0x1.b65d44e1823c2p-2, 0x1.b81eeca9104p-2, 0x1.b9d0a805bd40cp-2, 0x1.bb7269818ef59p-2, 0x1.bd04257590983p-2, 0x1.be85d1fe16269p-2, 0x1.bff766ef69a1cp-2, 0x1.c158ddcadf379p-2, 0x1.c2aa31b452f99p-2, 0x1.c3eb5f6811e42p-2, 0x1.c51c653121e4dp-2, 0x1.c63d42dff7d42p-2, 0x1.c74df9c18798bp-2, 0x1.c84e8c96b81fcp-2, 0x1.c93eff8c310eap-2, 0x1.ca1f5832837dap-2, 0x1.caef9d76a4f2p-2, 0x1.cbafd79abbb48p-2, 0x1.cc60102f39713p-2, 0x1.cd00520c3b549p-2, 0x1.cd90a94b2fa5ap-2, 0x1.ce112340bab51p-2, 0x1.ce81ce76d4888p-2, 0x1.cee2baa721048p-2, 0x1.cf33f8b573a06p-2, 0x1.cf759aaa861f1p-2, 0x1.cfa7b3aed4a9bp-2, 0x1.cfca58059e6b6p-2, 0x1.cfdd9d0808eb8p-2, 0x1.cfe199205c094p-2, 0x1.cfd663c558caap-2, 0x1.cfbc1575a3f6dp-2, 0x1.cf92c7b34084dp-2, 0x1.cf5a94ff188e8p-2, 0x1.cf1398d48f0ecp-2, 0x1.cebdefa5198abp-2, 0x1.ce59b6d3dc5dfp-2, 0x1.cde70cb147e8dp-2, 0x1.cd661076b8615p-2, 0x1.ccd6e2420cd89p-2, 0x1.cc39a311396a2p-2, 0x1.cb8e74bdd504dp-2, 0x1.cad579f898b07p-2, 0x1.ca0ed644d7598p-2, 0x1.c93aadf3e5c75p-2, 0x1.c859262078e5bp-2, 0x1.c76a64a9efd2fp-2, 0x1.c66e902f94414p-2, 0x1.c565d00bc469ep-2, 0x1.c4504c4f0f5dfp-2, 0x1.c32e2dbb40a1p-2, 0x1.c1ff9dbe55556p-2, 0x1.c0c4c66d65f93p-2, 0x1.bf7dd27f7b071p-2, 0x1.be2aed484e3cep-2, 0x1.bccc42b2feb0fp-2, 0x1.bb61ff3cb2debp-2, 0x1.b9ec4fef26788p-2, 0x1.b86b625b2dab5p-2, 0x1.b6df6493273b2p-2, 0x1.b54885255eca4p-2, 0x1.b3a6f31664221p-2, 0x1.b1fadddb54d91p-2, 0x1.b04475541bdbdp-2, 0x1.ae83e9c5a271fp-2, 0x1.acb96bd3fe2f9p-2, 0x1.aae52c7c9225p-2, 0x1.a9075d1029055p-2, 0x1.a7202f2d0dfb6p-2, 0x1.a52fd4b91bd1ap-2, 0x1.a3367fdbcc198p-2, 0x1.a13462f844917p-2, 0x1.9f29b0a761054p-2, 0x1.9d169bb1c3c7bp-2, 0x1.9afb5709e0041p-2, 0x1.98d815c611b19p-2, 0x1.96ad0b1ab03ffp-2, 0x1.947a6a542ee64p-2, 0x1.924066d14157ap-2, 0x1.8fff33fd08629p-2, 0x1.8db705494ae0fp-2, 0x1.8b680e28b8c52p-2, 0x1.891282093a786p-2, 0x1.86b6944e4ddabp-2, 0x1.8454784b7389p-2, 0x1.81ec613ea9c5bp-2, 0x1.7f7e824afc0c6p-2, 0x1.7d0b0e731fd8p-2, 0x1.7a9238942b5b3p-2, 0x1.7814336057a88p-2, 0x1.75913159e213dp-2, 0x1.730964cdfb36dp-2, 0x1.707cffcfd139ap-2, 0x1.6dec3433b32cdp-2, 0x1.6b57338a47be4p-2, 0x1.68be2f1be2b64p-2, 0x1.662157e3f235p-2, 0x1.6380de8c84916p-2, 0x1.60dcf369efa41p-2, 0x1.5e35c6768c4dep-2, 0x1.5b8b874e93dc1p-2, 0x1.58de652c18b05p-2, 0x1.562e8ee31c611p-2, 0x1.537c32ddc26fcp-2, 0x1.50c77f18a38acp-2, 0x1.4e10a11f3c142p-2, 0x1.4b57c6087cf62p-2, 0x1.489d1a7377bc7p-2, 0x1.45e0ca842c1a1p-2, 0x1.432301e073c85p-2, 0x1.4063ebad0e0fcp-2, 0x1.3da3b28aca8b9p-2, 0x1.3ae28093d3263p-2, 0x1.38207f591631fp-2, 0x1.355dd7dfcf49bp-2, 0x1.329ab29f2efc3p-2, 0x1.2fd7377e23e3p-2, 0x1.2d138dd13fe03p-2, 0x1.2a4fdc58bec83p-2, 0x1.278c493ea9a26p-2, 0x1.24c8fa151ae5ap-2, 0x1.220613d49df9bp-2, 0x1.1f43badaaf444p-2, 0x1.1c8212e859adp-2, 0x1.19c13f20ee158p-2, 0x1.17016208de6fap-2, 0x1.14429d84ad104p-2, 0x1.118512d801636p-2, 0x1.0ec8e2a4cffa7p-2, 0x1.0c0e2ceaa3971p-2, 0x1.09551105fed65p-2, 0x1.069dadafda028p-2, 0x1.03e820fd39149p-2, 0x1.0134885edd6b7p-2, 0x1.fd060142193ep-3, 0x1.f7a74bd6ec39fp-3, 0x1.f24d278254b9dp-3, 0x1.ecf7ca015f18p-3, 0x1.e7a767c84ddeap-3, 0x1.e25c34031cd7p-3, 0x1.dd16609627492p-3, 0x1.d7d61e1f021fcp-3, 0x1.d29b9bf572335p-3, 0x1.cd67082c9bc0ap-3, 0x1.c8388f9446fc9p-3, 0x1.c3105dba5b307p-3, 0x1.bdee9cec743a3p-3, 0x1.b8d376399ecp-3, 0x1.b3bf11743b185p-3, 0x1.aeb19533f62f2p-3, 0x1.a9ab26d7f3ad4p-3, 0x1.a4abea890713dp-3, 0x1.9fb4033c162f5p-3, 0x1.9ac392b49187ep-3, 0x1.95dab9870ab9bp-3, 0x1.90f9971be8b5fp-3, 0x1.8c2049b232009p-3, 0x1.874eee626c0b4p-3, 0x1.8285a1219a39cp-3, 0x1.7dc47cc44d9ddp-3, 0x1.790b9b01c80cp-3, 0x1.745b147737d2ap-3, 0x1.6fb300ab06c96p-3, 0x1.6b13761034d1bp-3, 0x1.667c8a09caf6fp-3, 0x1.61ee50ee575b2p-3, 0x1.5d68de0b80022p-3, 0x1.58ec43a99d874p-3, 0x1.5478930f63053p-3, 0x1.500ddc85940fdp-3, 0x1.4bac2f5ac9a3p-3, 0x1.475399e7363p-3, 0x1.430429907ec68p-3, 0x1.3ebdeacd96012p-3, 0x1.3a80e92a9edb9p-3, 0x1.364d2f4cda17cp-3, 0x1.3222c6f696458p-3, 0x1.2e01b90b24315p-3, 0x1.29ea0d92d5e03p-3, 0x1.25dbcbbef3df6p-3, 0x1.21d6f9edc890dp-3, 0x1.1ddb9dae9c843p-3, 0x1.19e9bbc5bc7cap-3, 0x1.1601583080579p-3, 0x1.122276294e6f1p-3, 0x1.0e4d182ba0be5p-3, 0x1.0a813ff80ae76p-3, 0x1.06beee98376d5p-3, 0x1.03062462ef7c1p-3, 0x1.feadc2001ceb2p-4, 0x1.f76246d901dcp-4, 0x1.f029d3fc7071dp-4, 0x1.e90464d03dae6p-4, 0x1.e1f1f37bf85ddp-4, 0x1.daf278f0ccabep-4, 0x1.d405ecf134b4ap-4, 0x1.cd2c4618b1e12p-4, 0x1.c66579e379f36p-4, 0x1.bfb17cb6062a9p-4, 0x1.b91041e4a7adcp-4, 0x1.b281bbbafc4cap-4, 0x1.ac05db8358b1ep-4, 0x1.a59c918e2482bp-4, 0x1.9f45cd391f9fcp-4, 0x1.99017cf69844ap-4, 0x1.92cf8e5489951p-4, 0x1.8cafee03b04fap-4, 0x1.86a287de8301p-4, 0x1.80a746f01764p-4, 0x1.7abe157af6576p-4, 0x1.74e6dcffd7e68p-4, 0x1.6f2186444981bp-4, 0x1.696df9593e66p-4, 0x1.63cc1da18db98p-4, 0x1.5e3bd9d852bfp-4, 0x1.58bd14173bccap-4, 0x1.534fb1dcbf38ep-4, 0x1.4df398123b85bp-4, 0x1.48a8ab11fc194p-4, 0x1.436ecead29e9dp-4, 0x1.3e45e631a32d1p-4, 0x1.392dd46fb8a52p-4, 0x1.34267bbfd5a3fp-4, 0x1.2f2fbe080c9c8p-4, 0x1.2a497cc1905b3p-4, 0x1.257398fe0e196p-4, 0x1.20adf36cf4bfap-4, 0x1.1bf86c60a0881p-4, 0x1.1752e3d36c3dep-4, 0x1.12bd396cb13f6p-4, 0x1.0e374c85a5b9p-4, 0x1.09c0fc2e27592p-4, 0x1.055a27316dbd4p-4, 0x1.0102ac1aa2d59p-4, 0x1.f974d272c8205p-5, 0x1.f102794c53a8fp-5, 0x1.e8ae088d32033p-5, 0x1.e0773ba36f7f3p-5, 0x1.d85dcda8249d4p-5, 0x1.d06179677d2c1p-5, 0x1.c881f968a341dp-5, 0x1.c0bf07f569777p-5, 0x1.b9185f21d84a6p-5, 0x1.b18db8d3773cp-5, 0x1.aa1ecec87f12cp-5, 0x1.a2cb5a9ecf96cp-5, 0x1.9b9315daba616p-5, 0x1.9475b9edab8c2p-5, 0x1.8d73003c9418fp-5, 0x1.868aa22637da1p-5, 0x1.7fbc59094c34dp-5, 0x1.7907de4a66b04p-5, 0x1.726ceb59c30ddp-5, 0x1.6beb39b8e84e9p-5, 0x1.6582830014058p-5, 0x1.5f3280e39141p-5, 0x1.58faed38d3fe6p-5, 0x1.52db81fb77c3ap-5, 0x1.4cd3f95214b46p-5, 0x1.46e40d92ed3efp-5, 0x1.410b79487082ep-5, 0x1.3b49f735a57dep-5, 0x1.359f425a63355p-5, 0x1.300b15f767cc2p-5, 0x1.2a8d2d9252656p-5, 0x1.252544f96ffcfp-5, 0x1.1fd318476b0dp-5, 0x1.1a9663e6d96c1p-5, 0x1.156ee495a42b2p-5, 0x1.105c576856795p-5, 0x1.0b5e79cd419a4p-5, 0x1.0675098f88958p-5, 0x1.019fc4da0d49fp-5, 0x1.f9bcd47473ef9p-6, 0x1.f061714559107p-6, 0x1.e72cdedb9100ap-6, 0x1.de1e9cc051298p-6, 0x1.d5362b55ef39ep-6, 0x1.cc730bdc50325p-6, 0x1.c3d4c0753009p-6, 0x1.bb5acc2828911p-6, 0x1.b304b2e67a747p-6, 0x1.aad1f98ec27a7p-6, 0x1.a2c225f05623dp-6, 0x1.9ad4bece966cap-6, 0x1.93094be3ed69p-6, 0x1.8b5f55e4b779bp-6, 0x1.83d66681f2189p-6, 0x1.7c6e086bcc62dp-6, 0x1.7525c753f6e64p-6, 0x1.6dfd2fefd6947p-6, 0x1.66f3cffa87dbfp-6, 0x1.60093636c59c1p-6, 0x1.593cf27094486p-6, 0x1.528e957ed8a3bp-6, 0x1.4bfdb144c7137p-6, 0x1.4589d8b31f943p-6, 0x1.3f329fc95f203p-6, 0x1.38f79b96a94f2p-6, 0x1.32d8623ac0bd1p-6, 0x1.2cd48ae6b1552p-6, 0x1.26ebaddd77cbep-6, 0x1.211d64747cc47p-6, 0x1.1b694913f754ep-6, 0x1.15cef7373147cp-6, 0x1.104e0b6cb9c6ep-6, 0x1.0ae623565b811p-6, 0x1.0596dda927ecap-6, 0x1.005fda2d395a7p-6, 0x1.f681737b04d0ap-7, 0x1.ec723c8ed2c05p-7, 0x1.e2915594c72fp-7, 0x1.d8de06aed2cdap-7, 0x1.cf579a20acd9bp-7, 0x1.c5fd5c4e8428bp-7, 0x1.bcce9bbb61638p-7, 0x1.b3caa9078aa9dp-7, 0x1.aaf0d6ee942cfp-7, 0x1.a2407a4569c12p-7, 0x1.99b8e9f82f9e1p-7, 0x1.91597f08123c8p-7, 0x1.89219488bab9p-7, 0x1.8110879e1a782p-7, 0x1.7925b7796c21ep-7, 0x1.71608556cb334p-7, 0x1.69c0547a2df02p-7, 0x1.62448a2c7ce2bp-7, 0x1.5aec8db89977cp-7, 0x1.53b7c86825462p-7, 0x1.4ca5a58064131p-7, 0x1.45b5923ec49cep-7, 0x1.3ee6fdd5a5c5ep-7, 0x1.38395968c11c7p-7, 0x1.31ac1809c6ed7p-7, 0x1.2b3eaeb49c0b9p-7, 0x1.24f0944bbd4ddp-7, 0x1.1ec1419473e91p-7, 0x1.18b0313322fa1p-7, 0x1.12bcdfa75f4dp-7, 0x1.0ce6cb48025bdp-7, 0x1.072d743f452e2p-7, 0x1.01905c86c1bffp-7, 0x1.f81e0fc692af9p-8, 0x1.ed51f7c1e37f6p-8, 0x1.e2bb7f9e01b73p-8, 0x1.d859b97752c43p-8, 0x1.ce2bbadfcb664p-8, 0x1.c4309cd6810ecp-8, 0x1.ba677bbf57f46p-8, 0x1.b0cf775a44c93p-8, 0x1.a767b2bafe2fap-8, 0x1.9e2f54403f48ap-8, 0x1.9525858b3bccp-8, 0x1.8c497376f7faep-8, 0x1.839a4e0f8544bp-8, 0x1.7b17488983e28p-8, 0x1.72bf99394a174p-8, 0x1.6a92798a49ed6p-8, 0x1.628f25f643b99p-8, 0x1.5ab4ddfc99d4cp-8, 0x1.5302e4199a333p-8, 0x1.4b787dbdcf4e4p-8, 0x1.4414f3452f461p-8, 0x1.3cd78feeab8fdp-8, 0x1.35bfa1d34d83fp-8, 0x1.2ecc79ddaef7bp-8, 0x1.27fd6bc12b9f5p-8, 0x1.2151cdf169fb3p-8, 0x1.1ac8f999d3609p-8, 0x1.14624a94da78ap-8, 0x1.0e1d1f639ea29p-8, 0x1.07f8d9255511bp-8, 0x1.01f4db8ee5fe1p-8, 0x1.f82119c4aca53p-9, 0x1.ec96abcd70ee7p-9, 0x1.e14943bf09164p-9, 0x1.d637bd0936653p-9, 0x1.cb60f7f382913p-9, 0x1.c0c3d98d3a16cp-9, 0x1.b65f4b9d025dp-9, 0x1.ac323c90880ecp-9, 0x1.a23b9f6cb6d03p-9, 0x1.987a6bbd96512p-9, 0x1.8eed9d867990ep-9, 0x1.8594353235734p-9, 0x1.7c6d3783872f8p-9, 0x1.7377ad857b4f1p-9, 0x1.6ab2a47c2e2f1p-9, 0x1.621d2dd5732c6p-9, 0x1.59b65f19d040dp-9, 0x1.517d51dd37335p-9, 0x1.497123b0861p-9, 0x1.4190f61262af7p-9, 0x1.39dbee60d5143p-9, 0x1.325135caa46c7p-9, 0x1.2aeff94126ea7p-9, 0x1.23b7696a107d4p-9, 0x1.1ca6ba9127a42p-9, 0x1.15bd249a854e3p-9, 0x1.0ef9e2f4894a7p-9, 0x1.085c348a770bp-9, 0x1.01e35bb6a891bp-9, 0x1.f71d3c6b126dp-10, 0x1.eaba8a2fc6131p-10, 0x1.de9d396c7b9bfp-10, 0x1.d2c3e947127e7p-10, 0x1.c72d3f40c9edep-10, 0x1.bbd7e71cf92d6p-10, 0x1.b0c292c7c9045p-10, 0x1.a5ebfa3dc1fd9p-10, 0x1.9b52db7350855p-10, 0x1.90f5fa3c19bc8p-10, 0x1.86d42033924eep-10, 0x1.7cec1ca491334p-10, 0x1.733cc472edf74p-10, 0x1.69c4f20372132p-10, 0x1.608385261a76dp-10, 0x1.577762fea31d2p-10, 0x1.4e9f75eeddfd6p-10, 0x1.45faad808521bp-10, 0x1.3d87fe4f8ad6ap-10, 0x1.354661f47cff7p-10, 0x1.2d34d6efce18ep-10, 0x1.25526094c8aabp-10, 0x1.1d9e06f52efc3p-10, 0x1.1616d6cc9bbc1p-10, 0x1.0ebbe16c8dcb3p-10, 0x1.078c3ca8eec07p-10, 0x1.008702c4128abp-10, 0x1.f356a4b7823fp-11, 0x1.e5f09caca494ap-11, 0x1.d8da3ba054659p-11, 0x1.cc11d811a3231p-11, 0x1.bf95d0a2283c4p-11, 0x1.b3648bf24bb5bp-11, 0x1.a77c787c9f233p-11, 0x1.9bdc0c74dc73ep-11, 0x1.9081c5a4457afp-11, 0x1.856c2948c5699p-11, 0x1.7a99c3f25e1b6p-11, 0x1.70092963eb45dp-11, 0x1.65b8f471612fbp-11, 0x1.5ba7c6e06ec68p-11, 0x1.51d4494918b7ep-11, 0x1.483d2af68121fp-11, 0x1.3ee121c89b3fdp-11, 0x1.35beea16a3389p-11, 0x1.2cd546910068dp-11, 0x1.2423002438d1p-11, 0x1.1ba6e5dcc0bdcp-11, 0x1.135fccc99e0c2p-11, 0x1.0b4c8fe1a1e8fp-11, 0x1.036c0fe832323p-11, 0x1.f77a66a2602eap-12, 0x1.e87dcc507d07ap-12, 0x1.d9e033ea84302p-12, 0x1.cb9f8b47054c3p-12, 0x1.bdb9cacfd27efp-12, 0x1.b02cf55055da6p-12, 0x1.a2f717c609192p-12, 0x1.9616492e8f286p-12, 0x1.8988aa59fee73p-12, 0x1.7d4c65bb3cb36p-12, 0x1.715faf3b1045cp-12, 0x1.65c0c40afc67ap-12, 0x1.5a6dea77fc89fp-12, 0x1.4f6571bffa9d9p-12, 0x1.44a5b1e6cd937p-12, 0x1.3a2d0b8b3e9e3p-12, 0x1.2ff9e7bf5d20bp-12, 0x1.260ab7deafep-12, 0x1.1c5df5669a0f9p-12, 0x1.12f221ceab31ep-12, 0x1.09c5c66260457p-12, 0x1.00d7741a35c08p-12, 0x1.f04b86eea2c3dp-13, 0x1.df5ea8bced05fp-13, 0x1.cee59be7f7221p-13, 0x1.beddbcf022fdp-13, 0x1.af44764990509p-13, 0x1.a0174015e500ep-13, 0x1.91539fe0ab78ap-13, 0x1.82f7285ff84c9p-13, 0x1.74ff792f2b298p-13, 0x1.676a3e92c9ec6p-13, 0x1.5a353138850aep-13, 0x1.4d5e15fa5584ap-13, 0x1.40e2bda0f17e7p-13, 0x1.34c104aa3f2f3p-13, 0x1.28f6d30c4961ep-13, 0x1.1d821bfe66234p-13, 0x1.1260ddbf1a776p-13, 0x1.0791215e3b6d3p-13, 0x1.fa21f50c6a72cp-14, 0x1.e5bd0e8c4dc43p-14, 0x1.d1efdfbf01ad6p-14, 0x1.beb6cd21e6c12p-14, 0x1.ac0e4ec9f26f8p-14, 0x1.99f2effdc2c98p-14, 0x1.88614ed76d82dp-14, 0x1.77561be4101dp-14, 0x1.66ce19c5dbfa9p-14, 0x1.56c61cd967c1ep-14, 0x1.473b0adb2d6c6p-14, 0x1.3829da8d1f936p-14, 0x1.298f936433722p-14, 0x1.1b694d2d719bfp-14, 0x1.0db42fbdd83c1p-14, 0x1.006d72a0a51f6p-14, 0x1.e724b9859e585p-15, 0x1.ce408851e6b01p-15, 0x1.b6291b3c303afp-15, 0x1.9ed958d693102p-15, 0x1.884c440fd13cdp-15, 0x1.727cfba926dp-15, 0x1.5d66b9a7fddb4p-15, 0x1.4904d2bd298cap-15, 0x1.3552b5c4acb4cp-15, 0x1.224beb3c37d72p-15, 0x1.0fec14bb52e3fp-15, 0x1.fc5dd8eaadbe3p-16, 0x1.da208967c3957p-16, 0x1.b9180ebe6189dp-16, 0x1.993c6afe98a48p-16, 0x1.7a85cd83086ebp-16, 0x1.5cec920e8f333p-16, 0x1.40693fd1ac125p-16, 0x1.24f488a0bc201p-16, 0x1.0a8747fc907c7p-16, 0x1.e2350480f803fp-17, 0x1.b14ec7a824b31p-17, 0x1.824e808a9e602p-17, 0x1.5527231f12c76p-17, 0x1.29cbee7d85177p-17, 0x1.00306b6a03295p-17, 0x1.b090d57c48236p-18, 0x1.641007e787a9cp-18, 0x1.1ac7275575cacp-18, 0x1.a93ee91745118p-19, 0x1.230569c20463cp-19, 0x1.456cbe6697205p-20, 0x1.413ab27c04243p-22, -0x1.3344ab7ecf8bfp-21, -0x1.78b755455899ap-20, -0x1.269fc04084233p-19, -0x1.8bc419526b668p-19, -0x1.ebee7e9737ba9p-19, -0x1.23a1ec4e2e637p-18, -0x1.4ef41a3b05bdp-18, -0x1.77ff64484ae23p-18, -0x1.9ed4fc5d9b3e7p-18, -0x1.c385ad8f0ced6p-18, -0x1.e621de1be329ap-18, -0x1.035cc8d64940cp-17, -0x1.12ae35a1e91d1p-17, -0x1.210cd7b6438dbp-17, -0x1.2e80230b297ffp-17, -0x1.3b0f5e56a99cp-17, -0x1.46c1a3f0372e5p-17, -0x1.519de2d84314fp-17, -0x1.5baadf8e842fcp-17, -0x1.64ef34fe1c622p-17, -0x1.6d71556c35d02p-17, -0x1.75378b464867dp-17, -0x1.7c47fa04ee36p-17, -0x1.82a89f052b89ep-17, -0x1.885f524a7b76ap-17, -0x1.8d71c755883dap-17, -0x1.91e58de7e998ep-17, -0x1.95c012d074753p-17, -0x1.9906a095bf6f4p-17, -0x1.9bbe605154f57p-17, -0x1.9dec5a52d4faap-17, -0x1.9f9576df14118p-17, -0x1.a0be7ed7605ebp-17, -0x1.a16c1c742cc07p-17, -0x1.a1a2dbdf986d3p-17, -0x1.a1672be7409dap-17, -0x1.a0bd5e9c1cf09p-17, -0x1.9fa9a9ed3dcccp-17, -0x1.9e30284ee7885p-17, -0x1.9c54d94af964fp-17, -0x1.9a1ba2172f592p-17, -0x1.97884e2ec0371p-17, -0x1.949e8fdf558f2p-17, -0x1.916200d55f478p-17, -0x1.8dd622a3fec81p-17, -0x1.89fe5f4f329c2p-17, -0x1.85de09cbee6aap-17, -0x1.81785e912c015p-17, -0x1.7cd084021d381p-17, -0x1.77e98af3ec44fp-17, -0x1.72c66f2d4acb9p-17, -0x1.6d6a17da2a2e8p-17, -0x1.67d757faed315p-17, -0x1.6210eedc30ccap-17, -0x1.5c1988894bc4cp-17, }}, 
      {{0x1.5ed5eec0ff8e8p-4, 0x1.5f73a31c157afp-4, 0x1.6089bd0498516p-4, 0x1.62283415f88aep-4, 0x1.645e3ba6b4893p-4, 0x1.673865e0f708p-4, 0x1.6abfc881d96efp-4, 0x1.6ef9bf4808f89p-4, 0x1.73e807e5b59bp-4, 0x1.79890d7921b82p-4, 0x1.7fd84b8392f27p-4, 0x1.86cebb39ed699p-4, 0x1.8e6343fb2670ap-4, 0x1.968b2aa6700bcp-4, 0x1.9f3a7cde90b7cp-4, 0x1.a86475e574363p-4, 0x1.b1fbdb1ff2b98p-4, 0x1.bbf34eb6433a3p-4, 0x1.c63d973a37782p-4, 0x1.d0cddbbcddaf3p-4, 0x1.db97d43e7c365p-4, 0x1.e68feed9e668ep-4, 0x1.f1ab6a6e51239p-4, 0x1.fce067d403d6dp-4, 0x1.0412f96baf506p-3, 0x1.09ba022615061p-3, 0x1.0f61bf463623fp-3, 0x1.150712d342f33p-3, 0x1.1aa74a3139c6dp-3, 0x1.204017914568ap-3, 0x1.25cf8abe38cd5p-3, 0x1.2b54099f2cf13p-3, 0x1.30cc48b6e8455p-3, 0x1.363743d496441p-3, 0x1.3b94371abfdacp-3, 0x1.40e29873d3ecfp-3, 0x1.46221180b80c8p-3, 0x1.4b527a052ab9ep-3, 0x1.5073d2cf5484p-3, 0x1.5586411367b83p-3, 0x1.5a8a0a313d619p-3, 0x1.5f7f8fd8706a3p-3, 0x1.64674c7eda406p-3, 0x1.6941d01dcea32p-3, 0x1.6e0fbd2b42f0dp-3, 0x1.72d1c5c552c57p-3, 0x1.7788a9082a191p-3, 0x1.7c353087c692cp-3, 0x1.80d82de8a475dp-3, 0x1.85727893e165ap-3, 0x1.8a04eb8484247p-3, 0x1.8e90632cf140fp-3, 0x1.9315bb7434bb8p-3, 0x1.9795cdcbcd0bbp-3, 0x1.9c116f5ee5039p-3, 0x1.a0896f5c750a8p-3, 0x1.a4fe955dd6a0fp-3, 0x1.a9719feb6b1c7p-3, 0x1.ade34320e95ap-3, 0x1.b2542772add82p-3, 0x1.b6c4e89534c5cp-3, 0x1.bb361487a014bp-3, 0x1.bfa82ac1c83a1p-3, 0x1.c41b9b86136c9p-3, 0x1.c890c756d7906p-3, 0x1.cd07fe8edb812p-3, 0x1.d181811c0ea09p-3, 0x1.d5fd7e5b63595p-3, 0x1.da7c15145c069p-3, 0x1.defd5392ab14bp-3, 0x1.e38137dc07d7dp-3, 0x1.e807b000390b8p-3, 0x1.ec909a8131dd5p-3, 0x1.f11bc6d0fa544p-3, 0x1.f5a8f5e329f9p-3, 0x1.fa37dacf8ec7dp-3, 0x1.fec81b83bcc2bp-3, 0x1.01aca8c09870ep-2, 0x1.03f58552ed4bdp-2, 0x1.063e64fe65e29p-2, 0x1.0887044a87965p-2, 0x1.0acf1b2e555edp-2, 0x1.0d165d7ef488p-2, 0x1.0f5c7b5ea17ap-2, 0x1.11a121ab21727p-2, 0x1.13e3fa6afc6a5p-2, 0x1.1624ad38d3a48p-2, 0x1.1862dfac434fcp-2, 0x1.1a9e35bfc6056p-2, 0x1.1cd6523328abfp-2, 0x1.1f0ad6ea2d1adp-2, 0x1.213b65470a21ap-2, 0x1.23679e808062ap-2, 0x1.258f23f357933p-2, 0x1.27b1976f1352fp-2, 0x1.29ce9b7dcf515p-2, 0x1.2be5d3a72c55cp-2, 0x1.2df6e4ae4b145p-2, 0x1.300174cadc4a8p-2, 0x1.32052bdd52e46p-2, 0x1.3401b39e4cd5cp-2, 0x1.35f6b7c9501f9p-2, 0x1.37e3e642fbab4p-2, 0x1.39c8ef3ad6355p-2, 0x1.3ba58548e57f2p-2, 0x1.3d795d8739c3bp-2, 0x1.3f442fa7a0732p-2, 0x1.4105b605b4be5p-2, 0x1.42bdadb57d024p-2, 0x1.446bd68ecced1p-2, 0x1.460ff335a6dc1p-2, 0x1.47a9c91fc86d7p-2, 0x1.49392097a35cep-2, 0x1.4abdc4bcef16ep-2, 0x1.4c37838309fc8p-2, 0x1.4da62dad5c7a8p-2, 0x1.4f0996c9ec92bp-2, 0x1.5061952a55bd2p-2, 0x1.51ae01db49319p-2, 0x1.52eeb89acd929p-2, 0x1.542397cd593f3p-2, 0x1.554c8071f7abfp-2, 0x1.566956159a4f2p-2, 0x1.5779fec5b76ddp-2, 0x1.587e63025441bp-2, 0x1.59766daf9a21bp-2, 0x1.5a620c0712d3cp-2, 0x1.5b412d88a0b3p-2, 0x1.5c13c3eb4c9d3p-2, 0x1.5cd9c30dfd723p-2, 0x1.5d9320e829dbep-2, 0x1.5e3fd57a9a5b6p-2, 0x1.5edfdac041c54p-2, 0x1.5f732c9f41b7cp-2, 0x1.5ff9c8da21a5cp-2, 0x1.6073af014302dp-2, 0x1.60e0e0649bcebp-2, 0x1.61416005bcc54p-2, 0x1.6195328a2ce1dp-2, 0x1.61dc5e2e1a34p-2, 0x1.6216eab7638cbp-2, 0x1.6244e169035ccp-2, 0x1.62664cf6d44c4p-2, 0x1.627b3979ba88fp-2, 0x1.6283b46426ccep-2, 0x1.627fcc76fb78dp-2, 0x1.626f91b6ceebap-2, 0x1.6253156187213p-2, 0x1.622a69e4513d5p-2, 0x1.61f5a2d1eed8ap-2, 0x1.61b4d4d9558dp-2, 0x1.616815bca1a07p-2, 0x1.610f7c4854c6ep-2, 0x1.60ab204adec64p-2, 0x1.603b1a8c6965bp-2, 0x1.5fbf84c6eb2b3p-2, 0x1.5f38799e7578fp-2, 0x1.5ea61499bb66ep-2, 0x1.5e08721ad3fc1p-2, 0x1.5d5faf5829b46p-2, 0x1.5cabea559c9a9p-2, 0x1.5bed41ddcf0b2p-2, 0x1.5b23d57b97d97p-2, 0x1.5a4fc5739dccap-2, 0x1.597132be0e60bp-2, 0x1.58883f0077b6cp-2, 0x1.57950c87b7a21p-2, 0x1.5697be42097dep-2, 0x1.559077b9259b3p-2, 0x1.547f5d0c74084p-2, 0x1.536492eb507f3p-2, 0x1.52403e8f5cd84p-2, 0x1.511285b6e26fcp-2, 0x1.4fdb8e9f39b46p-2, 0x1.4e9b7fff411abp-2, 0x1.4d528101d8758p-2, 0x1.4c00b9406358cp-2, 0x1.4aa650bd51a3ep-2, 0x1.49436fdeaf15fp-2, 0x1.47d83f68b3c2fp-2, 0x1.4664e878595fbp-2, 0x1.44e9947df644ep-2, 0x1.43666d37d791cp-2, 0x1.41db9cacded2dp-2, 0x1.40494d2724f01p-2, 0x1.3eafa92e9bc9p-2, 0x1.3d0edb83b5185p-2, 0x1.3b670f1a0d4c3p-2, 0x1.39b86f1317409p-2, 0x1.380326b8cd3fbp-2, 0x1.3647617866d9cp-2, 0x1.34854add1241p-2, 0x1.32bd0e8ab3ce2p-2, 0x1.30eed838ac1d6p-2, 0x1.2f1ad3aca6874p-2, 0x1.2d412cb56bfecp-2, 0x1.2b620f25c15eep-2, 0x1.297da6cf4e849p-2, 0x1.27941f7d8f14cp-2, 0x1.25a5a4f0d074dp-2, 0x1.23b262d9373c9p-2, 0x1.21ba84d1d802ap-2, 0x1.1fbe365bda46p-2, 0x1.1dbda2d9a9db7p-2, 0x1.1bb8f58a3ad34p-2, 0x1.19b059845b01bp-2, 0x1.17a3f9b21832fp-2, 0x1.159400cc36346p-2, 0x1.13809955b918dp-2, 0x1.1169ed978428ep-2, 0x1.0f50279c0c9d7p-2, 0x1.0d33712b23a9bp-2, 0x1.0b13f3c5d44f8p-2, 0x1.08f1d8a25ce92p-2, 0x1.06cd48a83abb2p-2, 0x1.04a66c6c51abep-2, 0x1.027d6c2d2d7d6p-2, 0x1.00526fcf5904bp-2, 0x1.fc4b3db3a935ep-3, 0x1.f7ee40e545187p-3, 0x1.f38e36b6e1fb9p-3, 0x1.ef2b6bdcc1b64p-3, 0x1.eac62c35c662cp-3, 0x1.e65ec2c57535cp-3, 0x1.e1f579ae22ad1p-3, 0x1.dd8a9a2b61984p-3, 0x1.d91e6c8cadf12p-3, 0x1.d4b1383048154p-3, 0x1.d043437e52d99p-3, 0x1.cbd4d3e429e8ap-3, 0x1.c7662dcff3f2p-3, 0x1.c2f794ac6e05dp-3, 0x1.be894adcf1df9p-3, 0x1.ba1b91b9b8e25p-3, 0x1.b5aea98c567fp-3, 0x1.b142d18c702ep-3, 0x1.acd847dcae947p-3, 0x1.a86f4987e614ap-3, 0x1.a408127e7b2e8p-3, 0x1.9fa2dd94000c8p-3, 0x1.9b3fe47d04342p-3, 0x1.96df5fcd254d9p-3, 0x1.928186f5520e7p-3, 0x1.8e2690423f484p-3, 0x1.89ceb0db1a89p-3, 0x1.857a1cc069983p-3, 0x1.812906cb26a55p-3, 0x1.7cdba0ac040b3p-3, 0x1.78921aeaef687p-3, 0x1.744ca4e6b9a98p-3, 0x1.700b6cd4f67d2p-3, 0x1.6bce9fc20c296p-3, 0x1.679669916a14cp-3, 0x1.6362f4fdf2544p-3, 0x1.5f346b9a90f5ap-3, 0x1.5b0af5d2f3d6bp-3, 0x1.56e6baec7e4b9p-3, 0x1.52c7e10750201p-3, 0x1.4eae8d1f84e39p-3, 0x1.4a9ae30e95838p-3, 0x1.468d058cd60bcp-3, 0x1.42851633266aap-3, 0x1.3e83357cba14bp-3, 0x1.3a8782c9057a6p-3, 0x1.36921c5dd06fap-3, 0x1.32a31f6960532p-3, 0x1.2ebaa804c3a2ep-3, 0x1.2ad8d1363d3a9p-3, 0x1.26fdb4f3c9f5cp-3, 0x1.23296c25bb6e7p-3, 0x1.1f5c0ea975eaap-3, 0x1.1b95b3543fe15p-3, 0x1.17d66ff6277dap-3, 0x1.141e595d06ea8p-3, 0x1.106d8357924bfp-3, 0x1.0cc400b8839fdp-3, 0x1.0921e359d04c6p-3, 0x1.05873c1ff74f1p-3, 0x1.01f41afd5d7ebp-3, 0x1.fcd11deb6dfe2p-4, 0x1.f5c94c43081dbp-4, 0x1.eed0db6329bcfp-4, 0x1.e7e7e3e541829p-4, 0x1.e10e7ca1c70ep-4, 0x1.da44bab78c887p-4, 0x1.d38ab19327151p-4, 0x1.cce072f66553fp-4, 0x1.c6460effd77cap-4, 0x1.bfbb943260442p-4, 0x1.b9410f7cd2145p-4, 0x1.b2d68c419f9c3p-4, 0x1.ac7c145e8a9ebp-4, 0x1.a631b03456458p-4, 0x1.9ff766ae8e91p-4, 0x1.99cd3d4b45391p-4, 0x1.93b33822d2409p-4, 0x1.8da959ef9ab05p-4, 0x1.87afa415d5eaap-4, 0x1.81c616ab4bc74p-4, 0x1.7becb07f13379p-4, 0x1.76236f214c2a2p-4, 0x1.706a4eead291dp-4, 0x1.6ac14b04eaeb1p-4, 0x1.65285d70e4326p-4, 0x1.5f9f7f0fb5489p-4, 0x1.5a26a7a98cca8p-4, 0x1.54bdcdf552d69p-4, 0x1.4f64e7a025b7bp-4, 0x1.4a1be954c363cp-4, 0x1.44e2c6c2e5f5p-4, 0x1.3fb972a6915ccp-4, 0x1.3a9fdecf53032p-4, 0x1.3595fc276fa1ep-4, 0x1.309bbabafd119p-4, 0x1.2bb109beeda97p-4, 0x1.26d5d79807375p-4, 0x1.220a11e1c805ap-4, 0x1.1d4da575358a3p-4, 0x1.18a07e6f9841cp-4, 0x1.14028839229c8p-4, 0x1.0f73ad8b81cp-4, 0x1.0af3d87856892p-4, 0x1.0682f26f9e321p-4, 0x1.0220e445fcb55p-4, 0x1.fb9b2c75eb8e6p-5, 0x1.f311dffe12f73p-5, 0x1.eaa5b1737b24bp-5, 0x1.e2566e1f16fd9p-5, 0x1.da23e24f72a61p-5, 0x1.d20dd9642f279p-5, 0x1.ca141dd94a057p-5, 0x1.c2367952398adp-5, 0x1.ba74b4a4d722cp-5, 0x1.b2ce97e40f47bp-5, 0x1.ab43ea6a6c27dp-5, 0x1.a3d472e45e239p-5, 0x1.9c7ff75a5c305p-5, 0x1.95463d3acfcdcp-5, 0x1.8e270963ca18cp-5, 0x1.8722202c895dcp-5, 0x1.8037456ece1dfp-5, 0x1.79663c8ff7141p-5, 0x1.72aec889efd6ap-5, 0x1.6c10abf3e83c5p-5, 0x1.658ba90adeb75p-5, 0x1.5f1f81b9f6441p-5, 0x1.58cbf7a29736ep-5, 0x1.5290cc246b728p-5, 0x1.4c6dc065143f9p-5, 0x1.46629557bf12p-5, 0x1.406f0bc489663p-5, 0x1.3a92e44fa7bf5p-5, 0x1.34cddf8070268p-5, 0x1.2f1fbdc821cfbp-5, 0x1.29883f888d148p-5, 0x1.2407251a8160ep-5, 0x1.1e9c2ed4157a5p-5, 0x1.19471d0ebb59fp-5, 0x1.1407b02d2f15ap-5, 0x1.0edda8a132c42p-5, 0x1.09c8c6f1229f7p-5, 0x1.04c8cbbd56227p-5, 0x1.ffbaef8abe0b8p-6, 0x1.f60d17da39373p-6, 0x1.ec8792833ea3ep-6, 0x1.e329e1fbcdd1bp-6, 0x1.d9f3891efdc42p-6, 0x1.d0e40b35c81a9p-6, 0x1.c7faebff9df9fp-6, 0x1.bf37afbaa7d0bp-6, 0x1.b699db2bb596cp-6, 0x1.ae20f3a5e3c1bp-6, 0x1.a5cc7f11ff7c4p-6, 0x1.9d9c03f5a1ae5p-6, 0x1.958f0979eff2cp-6, 0x1.8da517723083ep-6, 0x1.85ddb6620361ap-6, 0x1.7e386f836a354p-6, 0x1.76b4cccc8a8b2p-6, 0x1.6f5258f52358ap-6, 0x1.68109f7bd08bdp-6, 0x1.60ef2cab04b83p-6, 0x1.59ed8d9dd39d9p-6, 0x1.530b5044759c7p-6, 0x1.4c48036890c2ap-6, 0x1.45a336b15149ap-6, 0x1.3f1c7aa740a3ep-6, 0x1.38b360b7f19d1p-6, 0x1.32677b3967847p-6, 0x1.2c385d6d5a27cp-6, 0x1.26259b842f373p-6, 0x1.202eca9fdff51p-6, 0x1.1a5380d692e61p-6, 0x1.149355351ce04p-6, 0x1.0eeddfc13ff4fp-6, 0x1.0962b97bcee8ap-6, 0x1.03f17c6294269p-6, 0x1.fd3386e430abcp-7, 0x1.f2b6554e8475p-7, 0x1.e86a9e017f667p-7, 0x1.de4f9d00ba3fdp-7, 0x1.d464905836ac9p-7, 0x1.caa8b81e7340cp-7, 0x1.c11b5676212afp-7, 0x1.b7bbaf8f8c7d6p-7, 0x1.ae8909a9c5234p-7, 0x1.a582ad139963ap-7, 0x1.9ca7e42c26d73p-7, 0x1.93f7fb63688d8p-7, 0x1.8b72413a451f9p-7, 0x1.831606429b5abp-7, 0x1.7ae29d1ef7a92p-7, 0x1.72d75a821f421p-7, 0x1.6af3952e54fb9p-7, 0x1.6336a5f48d38ap-7, 0x1.5b9fe7b35036cp-7, 0x1.542eb7557a94ap-7, 0x1.4ce273d0d3a01p-7, 0x1.45ba7e2471adcp-7, 0x1.3eb63956eedf7p-7, 0x1.37d50a7489819p-7, 0x1.3116588cffbb5p-7, 0x1.2a798cb1686dap-7, 0x1.23fe11f1c17b6p-7, 0x1.1da3555a7d5cdp-7, 0x1.1768c5f1dcc56p-7, 0x1.114dd4b5307f8p-7, 0x1.0b51f495f6217p-7, 0x1.05749a76d8546p-7, 0x1.ff6a7a513e681p-8, 0x1.f426aacdf093ap-8, 0x1.e91cbbaa4c5f2p-8, 0x1.de4ba5f55a7a4p-8, 0x1.d3b2667f99af8p-8, 0x1.c94ffdd3d1b43p-8, 0x1.bf23702ff8d47p-8, 0x1.b52bc57d88195p-8, 0x1.ab68094a2668ep-8, 0x1.a1d74abfc2f85p-8, 0x1.98789c9ce4195p-8, 0x1.8f4b152c9382ap-8, 0x1.864dce3e775aap-8, 0x1.7d7fe51e882c9p-8, 0x1.74e07a8ce34c9p-8, 0x1.6c6eb2b55d56p-8, 0x1.6429b52723dd3p-8, 0x1.5c10accc39f97p-8, 0x1.5422c7e0ec155p-8, 0x1.4c5f37eb399cep-8, 0x1.44c531b20d69bp-8, 0x1.3d53ed34a217fp-8, 0x1.360aa5a186a81p-8, 0x1.2ee8994e124eep-8, 0x1.27ed09ad587bcp-8, 0x1.21173b4753c1fp-8, 0x1.1a6675b00f11ap-8, 0x1.13da037ea788dp-8, 0x1.0d713244709b4p-8, 0x1.072b528412516p-8, 0x1.0107b7a868c1fp-8, 0x1.f60b6ff77fbe3p-9, 0x1.ea49593d9499bp-9, 0x1.dec7e2ff8451p-9, 0x1.d385caa2da34p-9, 0x1.c881d304953bdp-9, 0x1.bdbac4675c16ep-9, 0x1.b32f6c61b2e4ap-9, 0x1.a8de9dcc71af6p-9, 0x1.9ec730b10b9bap-9, 0x1.94e802381b562p-9, 0x1.8b3ff497e1fefp-9, 0x1.81cdef02cbb5bp-9, 0x1.7890dd9635731p-9, 0x1.6f87b1493eb53p-9, 0x1.66b15fdb66405p-9, 0x1.5e0ce3c40edp-9, 0x1.55993c20e26c4p-9, 0x1.4d556ca583937p-9, 0x1.45407d8a7b9c1p-9, 0x1.3d597b7cacd1cp-9, 0x1.359f778cfe8ep-9, 0x1.2e11871fce34ap-9, 0x1.26aec3dcc344ep-9, 0x1.1f764b9e80832p-9, 0x1.18674062d4ecbp-9, 0x1.1180c83ac2735p-9, 0x1.0ac20d3af1ee8p-9, 0x1.042a3d6bc87a2p-9, 0x1.fb7115743f0b6p-10, 0x1.eed855cf86f09p-10, 0x1.e288aef8ff428p-10, 0x1.d6809b6dcd366p-10, 0x1.cabe9cfaeaa28p-10, 0x1.bf413c9faf973p-10, 0x1.b4070a70ae282p-10, 0x1.a90e9d7a6eafcp-10, 0x1.9e5693a522a46p-10, 0x1.93dd9198955adp-10, 0x1.89a2429faf91cp-10, 0x1.7fa3588ce40dep-10, 0x1.75df8b9ec39cfp-10, 0x1.6c559a652c796p-10, 0x1.630449a60c778p-10, 0x1.59ea644366547p-10, 0x1.5106bb20e78e7p-10, 0x1.4858250a31425p-10, 0x1.3fdd7e99474fbp-10, 0x1.3795aa1d28069p-10, 0x1.2f7f8f814983p-10, 0x1.279a1c34ad342p-10, 0x1.1fe44311d7f0ep-10, 0x1.185cfc46aa86fp-10, 0x1.1103453cca672p-10, 0x1.09d6208243bd4p-10, 0x1.02d495b2a2507p-10, 0x1.f7fb62bfc429bp-11, 0x1.eaa109f90d004p-11, 0x1.dd984d8a79519p-11, 0x1.d0df6355e4157p-11, 0x1.c4748a7aba053p-11, 0x1.b8560b2ba2584p-11, 0x1.ac823684f4ddep-11, 0x1.a0f7666309959p-11, 0x1.95b3fd3a0461dp-11, 0x1.8ab665edb36b6p-11, 0x1.7ffd13a9f6a78p-11, 0x1.758681bba6d17p-11, 0x1.6b51336b15513p-11, 0x1.615bb3d58dae8p-11, 0x1.57a495c8ecb09p-11, 0x1.4e2a739e3dc51p-11, 0x1.44ebef1658aefp-11, 0x1.3be7b13609aacp-11, 0x1.331c6a232dab2p-11, 0x1.2a88d102820d1p-11, 0x1.222ba3d5c4762p-11, 0x1.1a03a75a8a38ap-11, 0x1.120fa6e91bfeap-11, 0x1.0a4e74549a387p-11, 0x1.02bee7cad5e1dp-11, 0x1.f6bfbf6ace04bp-12, 0x1.e8608135e6ba8p-12, 0x1.da5dea0227c4ap-12, 0x1.ccb5da9c9e1f6p-12, 0x1.bf663f5aaa37ep-12, 0x1.b26d0fdfcca9cp-12, 0x1.a5c84ee53318ap-12, 0x1.99760a0260c3dp-12, 0x1.8d745976c38ap-12, 0x1.81c15ff478785p-12, 0x1.765b4a6a81953p-12, 0x1.6b404fd1aa053p-12, 0x1.606eb0f8b60a6p-12, 0x1.55e4b8534df94p-12, 0x1.4ba0b9c82378dp-12, 0x1.41a112816cd5cp-12, 0x1.37e428bc6b57fp-12, 0x1.2e686b9be0c9ep-12, 0x1.252c52f956d03p-12, 0x1.1c2e5f383ce0cp-12, 0x1.136d191a0594dp-12, 0x1.0ae711925d337p-12, 0x1.029ae19d37c29p-12, 0x1.f50e5429aa601p-13, 0x1.e555270ffaa51p-13, 0x1.d6079c248e783p-13, 0x1.c7232267b9305p-13, 0x1.b8a5375731f08p-13, 0x1.aa8b669fe775bp-13, 0x1.9cd349d4d2044p-13, 0x1.8f7a882455d67p-13, 0x1.827ed610f4385p-13, 0x1.75ddf529b82fbp-13, 0x1.6995b3c538441p-13, 0x1.5da3ecbcd5874p-13, 0x1.5206872af9208p-13, 0x1.46bb7628f5f87p-13, 0x1.3bc0b88f4dfb9p-13, 0x1.311458b52bccep-13, 0x1.26b46c33a123fp-13, 0x1.1c9f13a9afd4ep-13, 0x1.12d27a7f2a81dp-13, 0x1.094cd6aad676cp-13, 0x1.000c68798705cp-13, 0x1.ee1ef4ae3e8bdp-14, 0x1.dca8c12b149d5p-14, 0x1.cbb2f270905f1p-14, 0x1.bb3a577e40102p-14, 0x1.ab3bd1e281d2dp-14, 0x1.9bb4555815acdp-14, 0x1.8ca0e7609573ep-14, 0x1.7dfe9ee3da751p-14, 0x1.6fcaa3ce81c03p-14, 0x1.62022eb847124p-14, 0x1.54a2888521dc2p-14, 0x1.47a90a0b16018p-14, 0x1.3b131bba1f39bp-14, 0x1.2ede35465697dp-14, 0x1.2307dd53384ecp-14, 0x1.178da92192c1fp-14, 0x1.0c6d3c3d8f881p-14, 0x1.01a4482e7c15ap-14, 0x1.ee61185565e59p-15, 0x1.da1fa98e3570bp-15, 0x1.c67ff75fe3aa1p-15, 0x1.b37dcebd7259p-15, 0x1.a11515a186ba9p-15, 0x1.8f41ca8a0422cp-15, 0x1.7e0003e7f6c8bp-15, 0x1.6d4bef9ae7ca9p-15, 0x1.5d21d26a72cbp-15, 0x1.4d7e0785a22e2p-15, 0x1.3e5d000804a17p-15, 0x1.2fbb42786b8a1p-15, 0x1.21956a556d6ddp-15, 0x1.13e82799ec71ap-15, 0x1.06b03e4bf7d85p-15, 0x1.f3d50c1472a6dp-16, 0x1.db27d330daaaep-16, 0x1.c352ccee63bdep-16, 0x1.ac5018ef6ee74p-16, 0x1.9619faa3b2de2p-16, 0x1.80aad88441375p-16, 0x1.6bfd3b453e445p-16, 0x1.580bcd12c8843p-16, 0x1.44d158d0eb058p-16, 0x1.3248c95fe06dp-16, 0x1.206d28e43eddap-16, 0x1.0f39a013a0796p-16, 0x1.fd52eb0f7a90bp-17, 0x1.dd701a1b08eep-17, 0x1.bec1ce02fd65bp-17, 0x1.a13f3f50c1bc1p-17, 0x1.84dfdd1b4c78ep-17, 0x1.699b4bcad4579p-17, 0x1.4f6963ed62ff6p-17, 0x1.364230f987ed3p-17, 0x1.1e1df03653657p-17, 0x1.06f50f93ed6e6p-17, 0x1.e180592aa967fp-18, 0x1.b6f026665b431p-18, 0x1.8e2b79b78b353p-18, 0x1.67249ebb9d016p-18, 0x1.41ce37d4b130dp-18, 0x1.1e1b3c2aa31b1p-18, 0x1.f7fdeb8af0252p-19, 0x1.b6d9ff4d62705p-19, 0x1.78b287d12416dp-19, 0x1.3d6ff3f2a630bp-19, 0x1.04fb49aac50f7p-19, 0x1.9e7c452fd6f7p-20, 0x1.3845511b7a33cp-20, 0x1.ae4e493dbd9ep-21, 0x1.ebe102e1fd1dep-22, 0x1.1c819bc8db6a6p-23, -0x1.79c3712f9d9a8p-23, -0x1.f62038c2a5724p-22, -0x1.8f0837b29f70bp-21, -0x1.0d5110f15e4dep-20, -0x1.4f12780af29e9p-20, -0x1.8ceaf191a6498p-20, -0x1.c6fc3959f5745p-20, -0x1.fd672bfda055ap-20, -0x1.1825e5fd03788p-19, -0x1.2fe4a35c01d69p-19, -0x1.45fefcaa99091p-19, -0x1.5a83bae820dd4p-19, -0x1.6d8143b520a22p-19, -0x1.7f059ba2730e8p-19, -0x1.8f1e68b02e0a4p-19, -0x1.9dd8f4436b774p-19, -0x1.ab422d567191cp-19, -0x1.b766aab1d6d16p-19, -0x1.c252acd4e70f4p-19, -0x1.cc12202001d1cp-19, -0x1.d4b09eaf814b9p-19, -0x1.dc397252e5aacp-19, -0x1.e2b796710c552p-19, -0x1.e835b9d73aaffp-19, -0x1.ecbe40aad25c5p-19, -0x1.f05b45ebf78fdp-19, -0x1.f3169d5cf2d2ep-19, -0x1.f4f9d52076ca9p-19, -0x1.f60e375563d5dp-19, -0x1.f65ccbc6bf187p-19, -0x1.f5ee59621cea4p-19, -0x1.f4cb67e750671p-19, -0x1.f2fc412f6be8ap-19, -0x1.f088f2da34bd7p-19, -0x1.ed794faa89bdap-19, -0x1.e9d4f0e0c310bp-19, -0x1.e5a337a697f65p-19, -0x1.e0eb4e611e1c7p-19, -0x1.dbb429fdbb615p-19, -0x1.d6048b356b1bap-19, -0x1.cfe2ffcfb58ffp-19, -0x1.c955e3f068009p-19, -0x1.c263632707ddfp-19, -0x1.bb1179a90e255p-19, -0x1.b365f5815e1c2p-19, -0x1.ab6677953f62ep-19, -0x1.a31874c8c7fedp-19, -0x1.9a8137195e8b2p-19, -0x1.91a5de90b12edp-19, -0x1.888b625796c0ep-19, -0x1.7f3691ab43528p-19, -0x1.75ac14ef1251ap-19, -0x1.6bf06e805595cp-19, -0x1.6207fbb6634d9p-19, -0x1.57f6f5c72c422p-19, -0x1.4dc172a9b0305p-19, -0x1.436b65e8ee53p-19, -0x1.38f8a194a6433p-19, -0x1.2e6cd70157522p-19, -0x1.23cb979f047a7p-19, -0x1.191855c1232cdp-19, -0x1.0e56655fa4687p-19, -0x1.0388fce6d548bp-19, -0x1.f1666bdfda544p-20, -0x1.dbb01be15e99cp-20, -0x1.c5f4cdf6d334cp-20, -0x1.b03a10d094fd7p-20, -0x1.9a853f0ea2d3bp-20, -0x1.84db805df46c2p-20, -0x1.6f41cb1dc45b1p-20, -0x1.59bce55d439b4p-20, -0x1.4451663b501cdp-20, -0x1.2f03b705346f7p-20, -0x1.19d8147639ea9p-20, -0x1.04d28fb8784cp-20, -0x1.dfee1f67743abp-21, -0x1.b692a3f369687p-21, -0x1.8d99d8030b61cp-21, -0x1.650a983a6c18dp-21, -0x1.3ceb74e95e109p-21, -0x1.1542b4247f068p-21, -0x1.dc2ca7c81a876p-22, -0x1.8ed8178718a4fp-22, -0x1.42929df053ff4p-22, -0x1.eecd38120c26ep-23, -0x1.5abbe25976563p-23, -0x1.9207f899e27ddp-24, -0x1.cdba96a946115p-26, 0x1.4c64f26b1eb4p-25, 0x1.babb7b14e51bp-24, 0x1.65071c72cb032p-23, 0x1.ea0721fc8b0b1p-23, 0x1.3628365571fafp-22, 0x1.75eb3595b789dp-22, 0x1.b446aac9999fdp-22, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      32, 0x1.9851eb851eb85p+2, 0x1.e612dfb43e9d4p+0, 0x1.44ce0fe95a09dp+2, -0x1.20ab685b95e6p-8, 
      {{
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.b0fd0e22890c8p-7, -0x1.120b6b4ceef17p-5, 0x1.042af0fd3f46dp-5, -0x1.b19f423c4143fp-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.7cba1ff8f007bp-7, -0x1.f1ae86f8b9282p-6, 0x1.e7d0569c600fp-6, -0x1.a1dd64f19ce9ap-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.4d58808f47ec9p-7, -0x1.c277a4c4df2d1p-6, 0x1.c8795570a77dp-6, -0x1.9477d0c7383f2p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.2287e1aafaeadp-7, -0x1.9656331683705p-6, 0x1.aa238c2e83453p-6, -0x1.867051a48a92ap-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.f7f54021b089bp-8, -0x1.6d2fddb228c08p-6, 0x1.8cdb1fa8927a5p-6, -0x1.78943542d401ap-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.b2cb870a28a5fp-8, -0x1.46e9de91df613p-6, 0x1.709ccedd28fa5p-6, -0x1.6aac78d571eefp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.7501fd969106cp-8, -0x1.23698e2d326e2p-6, 0x1.556979005a088p-6, -0x1.5cc7d9d5dccd1p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.3e0d5f4ce6b1bp-8, -0x1.02943cd0342c4p-6, 0x1.3b40e24383127p-6, -0x1.4ee2652aabfe1p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.0d67bdb1f0db3p-8, -0x1.c89e79eebec81p-7, 0x1.22231aad1c92ap-6, -0x1.40fd29c02dd67p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c521009281bcep-9, -0x1.90ffc1120b551p-7, 0x1.0a101df1e5ef7p-6, -0x1.3317defe7307bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.7a18c92a64869p-9, -0x1.5e16f32769baap-7, 0x1.e60fda70d4379p-7, -0x1.25329859021dcp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.38cafc2dd5784p-9, -0x1.2faeb43665cdbp-7, 0x1.ba1510637a4cep-7, -0x1.174d50999f775p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.00566c9cb44c1p-9, -0x1.0591a84c52726p-7, 0x1.902fdde608c6fp-7, -0x1.09680925c1b5dp-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.9fc932e8ea28dp-10, -0x1.bf14e6e9ec71dp-8, 0x1.686042ed2bb8ep-7, -0x1.f705833b65c79p-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.4d535b60406e3p-10, -0x1.7ac7737903d33p-8, 0x1.42a63f7bea7d2p-7, -0x1.db3af435fe1d8p-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.07c90090a4de9p-10, -0x1.3dd03e5e13a24p-8, 0x1.1f01d391776e4p-7, -0x1.bf70652de4f93p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.9b7a50ccf33c5p-11, -0x1.07c48fb153ddbp-8, 0x1.fae5fe5c0c843p-8, -0x1.a3a5d625e56bcp-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3bb0619292fc2p-11, -0x1.b0735f15ef109p-9, 0x1.bbf384a32a197p-8, -0x1.87db47206f7b6p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.db5f3e6f1fdfp-12, -0x1.5d89cc066d702p-9, 0x1.812c39f7e62d9p-8, -0x1.6c10b8105914cp-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.5e3c4aef44ce9p-12, -0x1.15f6f66473f07p-9, 0x1.4a901e5bd8d11p-8, -0x1.5046292897a06p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.f73300135008fp-13, -0x1.b1cadcc18b766p-10, 0x1.181f31c8f546p-8, -0x1.347b99a9d569p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.5edbaa1dfefdp-13, -0x1.4aff8854f9ff3p-10, 0x1.d3b2e8abc4201p-9, -0x1.18b10c5ef57ecp-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.d81684f28f77ep-14, -0x1.ebc21fdb958b8p-11, 0x1.7f7dcb5c14124p-9, -0x1.f9ccedb6e80e8p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.300a6ef241e6p-14, -0x1.61892790b851ep-11, 0x1.339f0e1a3e106p-9, -0x1.c238000d248e3p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.72dedd2b1acp-15, -0x1.e7fcd33631d31p-12, 0x1.e02d4f63bdf6cp-10, -0x1.8aa22d6016c23p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.a5dd7fa5d18ffp-16, -0x1.3f984589d2bap-12, 0x1.69c974fa1d89bp-10, -0x1.530fb1620d2d2p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.b54cf56c25c01p-17, -0x1.86728a760a496p-13, 0x1.04118c8fe663p-10, -0x1.1b70bfac44367p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8e30653d65cp-18, -0x1.b0cf95396ca1p-14, 0x1.5e12a61ed7091p-11, -0x1.c8009c4b6a24ep-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.2abe40218ap-19, -0x1.9ef21d34e25c7p-15, 0x1.aa8b54dd3b303p-12, -0x1.57c4a33535f4fp-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.451e4629f8p-21, -0x1.386dec7d7fecfp-16, 0x1.b891191435a25p-13, -0x1.d93003c59f5d4p-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.7501fd982p-24, -0x1.2629f4b07c6e3p-18, 0x1.394efa6e78d7p-14, -0x1.ba245e34f002dp-12}, 
        {0x1.9666666666666p+2, 0x1.9851eb851eb85p+2, 0x1.d816854fffffep-30, -0x1.464d43b9a73cp-24, 0x1.802fa8dc13801p-17, -0x1.4e1ed0814c5a3p-10}, 
      }}, 
      0x1.84c9c1cbc60f7p-5, -0x1.222bb793293ep-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.725a15de61abfp-3, -0x1.5e63e41d3fe5fp-3, -0x1.4467fbd9c9128p-3, -0x1.2b2a26335966fp-3, -0x1.187ac11de091cp-3, -0x1.10ade122121c3p-3, -0x1.168824a41c376p-3, -0x1.2b65eaef44b45p-3, -0x1.4f7aa653ae295p-3, -0x1.82153ff7f9b25p-3, -0x1.c1e00c989bb24p-3, -0x1.068c21fd2ca96p-2, -0x1.30dde96936afdp-2, -0x1.5ed6e2e1353a7p-2, -0x1.8f691326cafe9p-2, -0x1.c19131fb8ad0cp-2, -0x1.f45dbd4e7522ep-2, -0x1.1379c0550c225p-1, -0x1.2c480d05db343p-1, -0x1.44457a569d38p-1, -0x1.5b2a8fda06ebp-1, -0x1.70bc2afa5f564p-1, -0x1.84cabd45fa06ep-1, -0x1.97316040af59p-1, -0x1.a7d4d361238c1p-1, -0x1.b6a2734520ff7p-1, -0x1.c38f353034ccp-1, -0x1.ce96adce45032p-1, -0x1.d7ba2808ec1bap-1, -0x1.deffcdc8185cp-1, -0x1.e471e3937a576p-1, -0x1.e81e1742ed931p-1, -0x1.ea14e05ace727p-1, -0x1.ea68f165915efp-1, -0x1.e92eb97bf15p-1, -0x1.e67bf4f468cb7p-1, -0x1.e2674b9274407p-1, -0x1.dd07fb5d9b1cdp-1, -0x1.d6758f31b647dp-1, -0x1.cec79fb6f6cd9p-1, -0x1.c6159d470444bp-1, -0x1.bc76a217b1f96p-1, -0x1.b2014b846a94ap-1, -0x1.a6cb9a2baaf93p-1, -0x1.9aead79ec872cp-1, -0x1.8e73819c32a3ap-1, -0x1.8179399d73173p-1, -0x1.740eb88ea8276p-1, -0x1.6645c643faa78p-1, -0x1.582f33dcf9a15p-1, -0x1.49dad90ddb876p-1, -0x1.3b5793d9f7f95p-1, -0x1.2cb34a5ba9e2ep-1, -0x1.1dfaee075ffdep-1, -0x1.0f3a80fe0db34p-1, -0x1.007d1bc35e577p-1, -0x1.e399ea14b0be5p-2, -0x1.c666d191cc186p-2, -0x1.a972041d40e11p-2, -0x1.8ccb04db49409p-2, -0x1.707fdb0e6a3e4p-2, -0x1.549d1fd9c846ap-2, -0x1.392e18150976ap-2, -0x1.1e3cc0346bd15p-2, -0x1.03d1e7d5dc6a8p-2, -0x1.d3ea777000042p-3, -0x1.a15ac282234ccp-3, -0x1.6ffffff736d6dp-3, -0x1.3fe3b49eaafc8p-3, -0x1.110db15614ebap-3, -0x1.c708745d09f51p-4, -0x1.6e9844fc1e512p-4, -0x1.18d1d16b7dd9dp-4, -0x1.8b7357c3fcde1p-5, -0x1.d54898418337ep-6, -0x1.3cdc5c79054d8p-7, 0x1.1b5dba629b495p-7, 0x1.af1b949fb8b05p-6, 0x1.62f59404b938cp-5, 0x1.e91b27c22f91p-5, 0x1.3506afa748788p-4, 0x1.72eea7f636c9bp-4, 0x1.ae4f05b6975c4p-4, 0x1.e73233664ecc2p-4, 0x1.0ed1b0b7d014fp-3, 0x1.28d7369f0deefp-3, 0x1.41afe4851da9bp-3, 0x1.5962330a9c011p-3, 0x1.6ff4cfd4f6463p-3, 0x1.856e94247fc2p-3, 0x1.99d67bdd68d55p-3, 0x1.ad339d50dd5dbp-3, 0x1.bf8d21ce888e7p-3, 0x1.d0ea3e7dcb985p-3, 0x1.e1522e4faf094p-3, 0x1.f0cc2bffb4007p-3, 0x1.ff5f6cf030e5dp-3, 0x1.06898e455a8fbp-2, 0x1.0cf72be54cfcdp-2, 0x1.12fc14e86ce6cp-2, 0x1.189bc41c23455p-2, 0x1.1dd9a80cf55a7p-2, 0x1.22b921f134bfbp-2, 0x1.273d843d543b3p-2, 0x1.2b6a11e26345fp-2, 0x1.2f41fd65a93bp-2, 0x1.32c86820fcbcap-2, 0x1.360061c48e552p-2, 0x1.38ece7d6b6aedp-2, 0x1.3b90e5499b976p-2, 0x1.3def324a59acp-2, 0x1.400a94005e0fbp-2, 0x1.41e5bc704d727p-2, 0x1.43834a7aca0cp-2, 0x1.44e5c9d793e23p-2, 0x1.460fb324b3d1bp-2, 0x1.47036c11d7588p-2, 0x1.47c34782e022ap-2, 0x1.485185bfc16fcp-2, 0x1.48b054ba5fcf8p-2, 0x1.48e1d054043bcp-2, 0x1.48e802a5e4a5fp-2, 0x1.48c4e44d68a74p-2, 0x1.487a5cd067a9fp-2, 0x1.480a42f49691fp-2, 0x1.47765d13726f9p-2, 0x1.46c06187b1d02p-2, 0x1.45e9f71743cf7p-2, 0x1.44f4b54731feap-2, 0x1.43e224c9475ccp-2, 0x1.42b3bfef4766p-2, 0x1.416af3098b705p-2, 0x1.40091cc61818ep-2, 0x1.3e8f8ea5da6a8p-2, 0x1.3cff8d63e1164p-2, 0x1.3b5a5150475adp-2, 0x1.39a106b69488fp-2, 0x1.37d4ce49b9418p-2, 0x1.35f6bd814894p-2, 0x1.3407def2f4195p-2, 0x1.320932b5e64b9p-2, 0x1.2ffbaec16c333p-2, 0x1.2de03f41f52d6p-2, 0x1.2bb7c6f20c676p-2, 0x1.29831f6ee56adp-2, 0x1.2743198f74e3fp-2, 0x1.24f87db2c82a2p-2, 0x1.22a40c0d0b736p-2, 0x1.20467cfa22c2p-2, 0x1.1de0813da5fap-2, 0x1.1b72c25400e54p-2, 0x1.18fde2b687c7bp-2, 0x1.16827e1c0a4efp-2, 0x1.140129ba3ee4fp-2, 0x1.117a747eddcb2p-2, 0x1.0eeee75cfe62dp-2, 0x1.0c5f057eb75fbp-2, 0x1.09cb4c7333a94p-2, 0x1.0734346dacb68p-2, 0x1.049a3081abd2ep-2, 0x1.01fdaed2d2d81p-2, 0x1.febe317713012p-3, 0x1.f97da5f80e837p-3, 0x1.f43a7be2f915fp-3, 0x1.eef56b8c070b4p-3, 0x1.e9af2520f33d6p-3, 0x1.e46850eb77f9ap-3, 0x1.df218fab71cb2p-3, 0x1.d9db7af594269p-3, 0x1.d496a57606668p-3, 0x1.cf539b1ef523bp-3, 0x1.ca12e1650d172p-3, 0x1.c4d4f791f37bdp-3, 0x1.bf9a57100c153p-3, 0x1.ba637398e91a4p-3, 0x1.b530bb5882535p-3, 0x1.b00297273cd2ep-3, 0x1.aad96ace87e05p-3, 0x1.a5b5953e08ec7p-3, 0x1.a09770c08d77bp-3, 0x1.9b7f5306bf0dcp-3, 0x1.966d8d5cecacep-3, 0x1.91626ce826a03p-3, 0x1.8c5e3acae8cefp-3, 0x1.87613c5bcd3cdp-3, 0x1.826bb3280aa27p-3, 0x1.7d7ddd16a3a09p-3, 0x1.7897f49ccb085p-3, 0x1.73ba30ec4695p-3, 0x1.6ee4c60b18ca8p-3, 0x1.6a17e4ec55e55p-3, 0x1.6553bb7f73643p-3, 0x1.609874d535317p-3, 0x1.5be63944f6475p-3, 0x1.573d2e90accp-3, 0x1.529d77f5a669bp-3, 0x1.4e073638b7debp-3, 0x1.497a87bb3d929p-3, 0x1.44f788989c25cp-3, 0x1.407e52c730545p-3, 0x1.3c0efe302af86p-3, 0x1.37a9a0bb38ac1p-3, 0x1.334e4e59db237p-3, 0x1.2efd1918464b7p-3, 0x1.2ab611364ddbp-3, 0x1.26794541cd1eep-3, 0x1.2246c228e14ddp-3, 0x1.1e1e934486a53p-3, 0x1.1a00c26103742p-3, 0x1.15ed57cb03d12p-3, 0x1.11e45a62c32eap-3, 0x1.0de5cfb1422f6p-3, 0x1.09f1bbf8bbfa5p-3, 0x1.0608223ebcc3p-3, 0x1.02290452ecc66p-3, 0x1.fca8c5af95009p-4, 0x1.f5147aa08bd74p-4, 0x1.ed952460de075p-4, 0x1.e62abdd94ecb4p-4, 0x1.ded5400895ba5p-4, 0x1.d794a21085ed6p-4, 0x1.d068d941c1f1fp-4, 0x1.c951d92c75ba6p-4, 0x1.c24f93b7a5e2ep-4, 0x1.bb61f93b298a4p-4, 0x1.b488f89614e3dp-4, 0x1.adc47f3e4b9b4p-4, 0x1.a714794ae1404p-4, 0x1.a078d17e05962p-4, 0x1.99f17152b16c4p-4, 0x1.937e410eed424p-4, 0x1.8d1f27d7d8e05p-4, 0x1.86d40bc2d60b7p-4, 0x1.809cd1e283824p-4, 0x1.7a795e4f93defp-4, 0x1.7469943159e26p-4, 0x1.6e6d55c70affcp-4, 0x1.688484776195cp-4, 0x1.62af00da7feb7p-4, 0x1.5cecaace230fp-4, 0x1.573d617d03018p-4, 0x1.51a1036855fffp-4, 0x1.4c176e6e22774p-4, 0x1.46a07fd0b17b9p-4, 0x1.413c143fa7fcep-4, 0x1.3bea07e2a497bp-4, 0x1.36aa3664458c1p-4, 0x1.317c7afc1f6ep-4, 0x1.2c60b076bfb16p-4, 0x1.2756b13bdbc89p-4, 0x1.225e5753ab0cp-4, 0x1.1d777c6cadb3ap-4, 0x1.18a1f9e2b4df7p-4, 0x1.13dda8c6e6e52p-4, 0x1.0f2a61e7d3a06p-4, 0x1.0a87fdd8c8d4ep-4, 0x1.05f654f7ef88bp-4, 0x1.01753f7349085p-4, 0x1.fa092a99ee7e5p-5, 0x1.f1485cbf19f5p-5, 0x1.e8a7c4c63098fp-5, 0x1.e02711e5a007p-5, 0x1.d7c5f325d6006p-5, 0x1.cf84176c495fp-5, 0x1.c7612d851d9p-5, 0x1.bf5ce42b4c2d9p-5, 0x1.b776ea101b81cp-5, 0x1.afaeede100107p-5, 0x1.a8049e4ec9377p-5, 0x1.a077aa150a524p-5, 0x1.9907c001e608dp-5, 0x1.91b48efe2f76dp-5, 0x1.8a7dc614e0551p-5, 0x1.8363147a09149p-5, 0x1.7c6429911f7aep-5, 0x1.7580b4f278bb4p-5, 0x1.6eb8667022c48p-5, 0x1.680aee1a6cfc5p-5, 0x1.6177fc4496a0cp-5, 0x1.5aff41895d24ep-5, 0x1.54a06ecfc1705p-5, 0x1.4e5b35503057ep-5, 0x1.482f469a15b14p-5, 0x1.421c54999ff51p-5, 0x1.3c22119d1295bp-5, 0x1.36403058dd6f7p-5, 0x1.307663ea475c3p-5, 0x1.2ac45fd8e5f89p-5, 0x1.2529d81770bedp-5, 0x1.1fa68104df6d8p-5, 0x1.1a3a0f6ecde2fp-5, 0x1.14e4389601537p-5, 0x1.0fa4b234c87ep-5, 0x1.0a7b328618762p-5, 0x1.0567704b7b332p-5, 0x1.006922d032781p-5, 0x1.f70003d182836p-6, 0x1.ed578bdedeff9p-6, 0x1.e3d84f7f25d03p-6, 0x1.da81c1644c13bp-6, 0x1.d153553c1215bp-6, 0x1.c84c7fba94fcfp-6, 0x1.bf6cb6adbe912p-6, 0x1.b6b3711487214p-6, 0x1.ae2027326f23fp-6, 0x1.a5b2529819c1bp-6, 0x1.9d696e1d36deap-6, 0x1.9544f5ccdd24bp-6, 0x1.8d4466cad178ap-6, 0x1.85673f3bdb858p-6, 0x1.7dacfe3a2a112p-6, 0x1.761523dd6232p-6, 0x1.6e9f31559e395p-6, 0x1.674aa913c5045p-6, 0x1.60170ef13bef6p-6, 0x1.5903e84a1a629p-6, 0x1.5210bbff24795p-6, 0x1.4b3d125c2e0cdp-6, 0x1.448874e8e5931p-6, 0x1.3df26e32725e5p-6, 0x1.377a89a05b7fcp-6, 0x1.312053642cd66p-6, 0x1.2ae3588941be9p-6, 0x1.24c3272589305p-6, 0x1.1ebf4ea07953fp-6, 0x1.18d75ff66941cp-6, 0x1.130aede6a1673p-6, 0x1.0d598cf9eebf2p-6, 0x1.07c2d35850d91p-6, 0x1.0246587ad4b7ep-6, 0x1.f9c7699dc4bc5p-7, 0x1.ef3502c99ef1ap-7, 0x1.e4d4af86b7b72p-7, 0x1.daa5a3e173a3fp-7, 0x1.d0a71562f5df3p-7, 0x1.c6d83bdb20b52p-7, 0x1.bd3852417371fp-7, 0x1.b3c6976bfd00dp-7, 0x1.aa824e63a2fabp-7, 0x1.a16abe36c99eep-7, 0x1.987f314f5a9bbp-7, 0x1.8fbef474294dap-7, 0x1.872955b782bc7p-7, 0x1.7ebda39c16e6cp-7, 0x1.767b2caf2c65ep-7, 0x1.6e613fb6403bap-7, 0x1.666f2c6a3df92p-7, 0x1.5ea44491eb685p-7, 0x1.56ffdd345a706p-7, 0x1.4f814f94a08e6p-7, 0x1.4827f9b2ab424p-7, 0x1.40f33e2d36b8ep-7, 0x1.39e28386d5aecp-7, 0x1.32f532f78a638p-7, 0x1.2c2ab71264d5fp-7, 0x1.25827a90a6317p-7, 0x1.1efbe78cfac6ap-7, 0x1.1896675d630c3p-7, 0x1.12516315f2839p-7, 0x1.0c2c44924e8p-7, 0x1.062677cda1dbp-7, 0x1.003f6c38d57adp-7, 0x1.f4ed2b87231ebp-8, 0x1.e996dac1e26afp-8, 0x1.de7ae1ceb0ac8p-8, 0x1.d39844a681209p-8, 0x1.c8ee0d25ce8adp-8, 0x1.be7b48308fb42p-8, 0x1.b43f02f4cb44dp-8, 0x1.aa3848d444c7ep-8, 0x1.a066225ac7b51p-8, 0x1.96c79570d13eap-8, 0x1.8d5ba6bfa0546p-8, 0x1.84215c0570cb2p-8, 0x1.7b17beef6ea89p-8, 0x1.723ddff8ce74dp-8, 0x1.6992d8cbb8522p-8, 0x1.6115cdb3cc8d7p-8, 0x1.58c5edd5f97aep-8, 0x1.50a272127cb92p-8, 0x1.48aa9aaf2e049p-8, 0x1.40ddac1e9fe72p-8, 0x1.393aeb66da16ep-8, 0x1.31c19ac72bfd4p-8, 0x1.2a70f73ecd0e2p-8, 0x1.2348377cb2ff7p-8, 0x1.1c468c7d6d26p-8, 0x1.156b23dfab0c7p-8, 0x1.0eb52b8a69308p-8, 0x1.0823d60ffdce4p-8, 0x1.01b65f0b9a788p-8, 0x1.f6d81d6054431p-9, 0x1.ea8877ac3450ep-9, 0x1.de7c980c42bb6p-9, 0x1.d2b3629492579p-9, 0x1.c72bcbe8d547ep-9, 0x1.bbe4cdf431d62p-9, 0x1.b0dd5bdce0f6cp-9, 0x1.a61457ae6bec1p-9, 0x1.9b888c04674ap-9, 0x1.9138ab24baf4fp-9, 0x1.872353b38f192p-9, 0x1.7d4719f000754p-9, 0x1.73a293a57fb08p-9, 0x1.6a3464cb1a257p-9, 0x1.60fb4af70e3aep-9, 0x1.57f625ff27a1p-9, 0x1.4f23fc0dc975cp-9, 0x1.4683f7ddce124p-9, 0x1.3e1560d7355bap-9, 0x1.35d78de92ab83p-9, 0x1.2dc9d56cdabd7p-9, 0x1.25eb7d7382de2p-9, 0x1.1e3bb0720732cp-9, 0x1.16b978efe44c8p-9, 0x1.0f63c499b4f53p-9, 0x1.08396d019f5b6p-9, 0x1.013943368db67p-9, 0x1.f4c4373463e52p-10, 0x1.e765b12b19e45p-10, 0x1.da54e7cf00804p-10, 0x1.cd900cc2574c8p-10, 0x1.c11599f9b44dp-10, 0x1.b4e45289641bdp-10, 0x1.a8fb36535649fp-10, 0x1.9d596860b308ep-10, 0x1.91fe0d0741393p-10, 0x1.86e82934b3dc7p-10, 0x1.7c168cb6565aep-10, 0x1.7187cd6223037p-10, 0x1.673a5265f171cp-10, 0x1.5d2c68ee3fcfcp-10, 0x1.535c58c759cffp-10, 0x1.49c871d3620a3p-10, 0x1.406f10f95d4bbp-10, 0x1.374ea12a2fbdfp-10, 0x1.2e659f7a3a8b5p-10, 0x1.25b2a632179d9p-10, 0x1.1d347bf96a598p-10, 0x1.14ea1e7e8bdeap-10, 0x1.0cd2bfa3a99d7p-10, 0x1.04edb21ec21c7p-10, 0x1.fa74971790defp-11, 0x1.eb6f90ac2389cp-11, 0x1.dcca7ae17be34p-11, 0x1.ce833951c202cp-11, 0x1.c0978e38ba9f3p-11, 0x1.b30546b0920ebp-11, 0x1.a5ca583d4670ap-11, 0x1.98e4e1e594c29p-11, 0x1.8c531086c283bp-11, 0x1.8012f4b782009p-11, 0x1.7422626af0303p-11, 0x1.687ef10253b54p-11, 0x1.5d262353e27cfp-11, 0x1.5215a883c5d07p-11, 0x1.474b957b5f149p-11, 0x1.3cc6775cd111ep-11, 0x1.3285342fd37cap-11, 0x1.2886ccd019873p-11, 0x1.1eca2548a85c5p-11, 0x1.154df0d21bc31p-11, 0x1.0c10c505a56dcp-11, 0x1.031141cc40e5cp-11, 0x1.f49c6c32f5717p-12, 0x1.e38d6010b53b5p-12, 0x1.d2f3dc1cbae0dp-12, 0x1.c2ce62d4bfe2cp-12, 0x1.b31afc71ad496p-12, 0x1.a3d6c4cdff03fp-12, 0x1.94fdc3ad6ce94p-12, 0x1.868b34d012412p-12, 0x1.787a339e8d6abp-12, 0x1.6ac685da3d7afp-12, 0x1.5d6d26783e236p-12, 0x1.506c4d6dfc79dp-12, 0x1.43c2f9a327addp-12, 0x1.37704a8042dap-12, 0x1.2b7308afe1204p-12, 0x1.1fc98eeb9718p-12, 0x1.1472058d02095p-12, 0x1.096ac2a3ed3a6p-12, 0x1.fd65326b66152p-13, 0x1.e891cb8a1c53bp-13, 0x1.d45a86fdf4f0fp-13, 0x1.c0be17e7992d7p-13, 0x1.adb9c514ca5e7p-13, 0x1.9b48f40576092p-13, 0x1.89653f2c81d5ep-13, 0x1.78070e4cf535fp-13, 0x1.6726994a6941dp-13, 0x1.56bd16418a3ep-13, 0x1.46c5a9fecaf2bp-13, 0x1.373dbd20997e7p-13, 0x1.282485a51c71cp-13, 0x1.1979e58775756p-13, 0x1.0b3d32829f104p-13, 0x1.fad92ae10f97fp-14, 0x1.e00a90ef79cd3p-14, 0x1.c609007c5261bp-14, 0x1.acd0d3e678736p-14, 0x1.9460ebdca8c21p-14, 0x1.7cb926a8d925dp-14, 0x1.65d7eb378d787p-14, 0x1.4fb8cd2c7a64fp-14, 0x1.3a55049319b12p-14, 0x1.25a4c039ae1e9p-14, 0x1.11a00b5f5e56ep-14, 0x1.fc7dea89e3e82p-15, 0x1.d6f33427d4708p-15, 0x1.b29145ccd1849p-15, 0x1.8f4c27fc4ed9p-15, 0x1.6d1bc49d6a5e9p-15, 0x1.4bfc0aead074cp-15, 0x1.2bebb079d0df2p-15, 0x1.0ce9906f33922p-15, 0x1.dde3f296f607ep-16, 0x1.a3fbd0e6a4713p-16, 0x1.6c0a94d9fe1d4p-16, 0x1.3605abbc4cd8cp-16, 0x1.01eab301274a8p-16, 0x1.9f70fa5f48166p-17, 0x1.3ecc38cd0a003p-17, 0x1.c38685e689528p-18, 0x1.10574f9ade435p-18, 0x1.8efebebbe9274p-20, -0x1.09e96fab64254p-20, -0x1.c50b8b4cc2fe2p-19, -0x1.7c90c5b3e9917p-18, -0x1.08670deb179cdp-17, -0x1.4fb88ad8df267p-17, -0x1.9453da319de01p-17, -0x1.d64f408ec7b51p-17, -0x1.0ae19f65e8312p-16, -0x1.296252bb5428p-16, -0x1.46adf58eb461p-16, -0x1.62c52c382b749p-16, -0x1.7dac3fbaf1e12p-16, -0x1.976c6bb263d1cp-16, -0x1.b00db2a0d1e0dp-16, -0x1.c793ce7b8e83fp-16, -0x1.de0373fa933a5p-16, -0x1.f366e6816bcabp-16, -0x1.03e5a8300361ep-15, -0x1.0d9dfe0e5b152p-15, -0x1.16e06380b7c15p-15, -0x1.1fafa6f1b0779p-15, -0x1.280e4b4257a83p-15, -0x1.2fff1569b0a14p-15, -0x1.3785457fd6434p-15, -0x1.3ea47dd6140ap-15, -0x1.456041d10b7e4p-15, -0x1.4bbb423313b92p-15, -0x1.51b796a75b3e3p-15, -0x1.57588feeff891p-15, -0x1.5ca3779ef391ep-15, -0x1.619c5d25daa77p-15, -0x1.66433d02ffab2p-15, -0x1.6a96f11398d25p-15, -0x1.6e998f435b116p-15, -0x1.724f542de6ed3p-15, -0x1.75bb047fcea18p-15, -0x1.78de674faa4b4p-15, -0x1.7bbc50ef90dbcp-15, -0x1.7e58140b57935p-15, -0x1.80b449c7f2c41p-15, -0x1.82d2b5bc7639dp-15, -0x1.84b4ad4bde364p-15, -0x1.865b690b719b7p-15, -0x1.87c83bec0f091p-15, -0x1.88fcd63a6a779p-15, -0x1.89fb927503459p-15, -0x1.8ac75a9036c46p-15, -0x1.8b62c14da9c8cp-15, -0x1.8bcee8a84dea6p-15, -0x1.8c0bda2996e12p-15, -0x1.8c1a44486b054p-15, -0x1.8bfcd3f675798p-15, -0x1.8bb6ff7dcefcfp-15, -0x1.8b49c090c9cb6p-15, -0x1.8ab425229550cp-15, -0x1.89f79f094a5c9p-15, -0x1.8917a58067b67p-15, -0x1.8815ba532ff21p-15, -0x1.86f1e6c712c8p-15, -0x1.85ad4887bd3a2p-15, -0x1.8449aa0c7b35p-15, -0x1.82c87e40e88ep-15, -0x1.812ad8dc66f03p-15, -0x1.7f71a51f8354dp-15, -0x1.7d9db449e10afp-15, -0x1.7bafbd426b59cp-15, -0x1.79a87348f5328p-15, -0x1.7788c0dfc04cdp-15, -0x1.75521e7459449p-15, -0x1.73067c959ddd1p-15, -0x1.70a71c15e71e6p-15, -0x1.6e33f7610c549p-15, -0x1.6bad5081d4336p-15, -0x1.69148e34d2901p-15, -0x1.666a8096a3db5p-15, -0x1.63aef79b3f4f4p-15, -0x1.60e2eaa72b1d3p-15, -0x1.5e082237ccffdp-15, -0x1.5b1f5dc3a6132p-15, -0x1.58297af595541p-15, -0x1.55274a18e1fd6p-15, -0x1.5218a6b6d5b71p-15, -0x1.4efdfec223fc4p-15, -0x1.4bd85aec26c22p-15, -0x1.48a88d0d46f65p-15, -0x1.456f2be1c1d07p-15, -0x1.422cbf52ef707p-15, -0x1.3ee1cace90d3dp-15, -0x1.3b8ec714a87bcp-15, -0x1.38341f62493ddp-15, -0x1.34d23532ece3ap-15, -0x1.316972e5e40bbp-15, -0x1.2dfa8dec8ceap-15, -0x1.2a8677c2b9c3ep-15, -0x1.270d8cab5563p-15, -0x1.238fea2b65612p-15, -0x1.200e4771bd931p-15, -0x1.1c88ff5b9c745p-15, -0x1.19000f866ab9p-15, -0x1.1573f92cdec36p-15, -0x1.11e531e2bb33ap-15, -0x1.0e53f19fc5eaep-15, -0x1.0ac0e2dfa29eap-15, -0x1.072c91d9609ebp-15, -0x1.0397553fd0b6ap-15, -0x1.000158529300ap-15, -0x1.f8d4f5e573a99p-16, -0x1.f1a668ab11631p-16, -0x1.ea781629a3f64p-16, -0x1.e34a99cf49d8fp-16, -0x1.dc1e6d6015002p-16, -0x1.d4f40e1df5cc1p-16, -0x1.cdcbfb4d75072p-16, -0x1.c6a6af26193bcp-16, -0x1.bf849c2e7a7b5p-16, -0x1.b8661c0de7eaep-16, -0x1.b14b5785d119ap-16, -0x1.aa34cd9b1fa42p-16, -0x1.a3238e3ba6dcdp-16, -0x1.9c17f1dcfc8dcp-16, -0x1.951279147c81p-16, -0x1.8e135331811e9p-16, -0x1.871a3f1e3eaa1p-16, -0x1.8027ec8225d67p-16, -0x1.793d03f937d8fp-16, -0x1.7259db982c8a1p-16, -0x1.6b7eb843ab332p-16, -0x1.64aba7a8ce728p-16, -0x1.5de088c6b7468p-16, -0x1.571e1fc69cf73p-16, -0x1.506550ff83423p-16, -0x1.49b619994ad97p-16, -0x1.430fea2a90d2dp-16, -0x1.3c734e0381172p-16, -0x1.35e0d69ea73cep-16, -0x1.2f58b380e9e89p-16, -0x1.28db077620807p-16, -0x1.2268008f57d05p-16, -0x1.1bffd0ba39a57p-16, -0x1.15a2ab8a1331dp-16, -0x1.0f50c314ad599p-16, -0x1.090a3ba5480acp-16, -0x1.02ceef2bec119p-16, -0x1.f93d913f00dfcp-17, -0x1.ecf52e13a1085p-17, -0x1.e0c5994916b6cp-17, -0x1.d4ae965b54f87p-17, -0x1.c8af1818f5518p-17, -0x1.bcc7e4225ec4bp-17, -0x1.b0f9c68e7dc03p-17, -0x1.a544e65aecd03p-17, -0x1.99a9572deaa8fp-17, -0x1.8e27342acf0fep-17, -0x1.82be9df846e42p-17, -0x1.776fc907635bfp-17, -0x1.6c3af2bfa727cp-17, -0x1.611fb4349204ap-17, -0x1.561e446b6f73bp-17, -0x1.4b37e11e23695p-17, -0x1.406bdf84e6f8p-17, -0x1.35b9ced519c76p-17, -0x1.2b226a11bc51bp-17, -0x1.20a5d3cb7eccp-17, -0x1.1644014cf908p-17, -0x1.0bfcf875cd646p-17, -0x1.01d0c7c0c21e2p-17, -0x1.ef7ef90ceef07p-18, -0x1.db9244b9c97d7p-18, -0x1.c7db906af4bbdp-18, -0x1.b45ab1d972fc8p-18, -0x1.a10ed42d85e34p-18, -0x1.8df8c9ae429e8p-18, -0x1.7b19dfc25ddddp-18, -0x1.6870c77eecd27p-18, -0x1.55fd14ffba265p-18, -0x1.43bf75129d845p-18, -0x1.31b7d4b956359p-18, -0x1.1fe60939c2aap-18, -0x1.0e49fe250870ep-18, -0x1.f9c74c82ba608p-19, -0x1.d765e538a0c84p-19, -0x1.b56f9e88f1044p-19, -0x1.93e4451005612p-19, -0x1.72c39a1d2d442p-19, -0x1.520d53bb30308p-19, -0x1.31c11ea074d5fp-19, -0x1.11deac390e8adp-19, -0x1.e4cb4e3438973p-20, -0x1.a6ab4dadd432cp-20, -0x1.695cc8f25ab41p-20, -0x1.2cdef32855807p-20, -0x1.e26228639e6b7p-21, -0x1.6ca4e979dc3afp-21, -0x1.f10915d4d0968p-22, -0x1.0bfe7ed252b01p-22, -0x1.5133595306ac2p-25, 0x1.6905108f6eb62p-23, 0x1.90005c37b84a3p-22, 0x1.342b3cada68dcp-21, 0x1.9ec05d86d0e5ep-21, 0x1.03e3cc6a57cb5p-20, 0x1.37a10bdbb1c85p-20, 0x1.6a96056870c12p-20, 0x1.9cc6cf140ed91p-20, 0x1.ce345f2e214bp-20, 0x1.fedef6b53ca8bp-20, 0x1.17637e3ee0cabp-19, 0x1.2ef7683b2e94ap-19, 0x1.462b838e019acp-19, 0x1.5cffd50a136f5p-19, 0x1.7375a5f1f070dp-19, 0x1.898d6a2eb841ap-19, 0x1.9f47c1ad555b4p-19, 0x1.b4a52d56159b2p-19, 0x1.c9a61f52f15e7p-19, 0x1.de4b21cce226fp-19, 0x1.f2951a438259dp-19, 0x1.0342a38b68fe7p-18, 0x1.0d0dc582228b4p-18, 0x1.16abfb3a00f0ep-18, 0x1.201d7af189c4dp-18, 0x1.296328b5ed11ep-18, 0x1.327d6bfdabcaap-18, 0x1.3b6c62926b894p-18, }}, 
      {{-0x1.77658986729efp-3, -0x1.7045680550598p-3, -0x1.660a32d2f3fbap-3, -0x1.5a616ff3c1ddfp-3, -0x1.4ee6ddba12b98p-3, -0x1.44fd0d63ccb2bp-3, -0x1.3dbd961608221p-3, -0x1.39f6d04ded38dp-3, -0x1.3a30fb680fce1p-3, -0x1.3eb6fe7ab980ap-3, -0x1.47a0766e05701p-3, -0x1.54dbbe02faa08p-3, -0x1.66373bc9dba3dp-3, -0x1.7b69a1096e56dp-3, -0x1.9418fe90fc5a9p-3, -0x1.afe0b2deacdf8p-3, -0x1.ce5643475f0d5p-3, -0x1.ef0d3b01f123bp-3, -0x1.08cd1781b48b8p-2, -0x1.1aca83153f9fdp-2, -0x1.2d4d51dd6d7fap-2, -0x1.402707e965b7p-2, -0x1.532c9b4c3ea6bp-2, -0x1.6636a9e66f0fcp-2, -0x1.79218e8003cd1p-2, -0x1.8bcd5d014eefep-2, -0x1.9e1dcbea7a2fap-2, -0x1.affa1095754f5p-2, -0x1.c14cb1eab363dp-2, -0x1.d203553fe92e2p-2, -0x1.e20e87d8e1071p-2, -0x1.f16186889823bp-2, -0x1.fff205906cac9p-2, -0x1.06dbfcde0943cp-1, -0x1.0d56b1789f03ap-1, -0x1.13670c7bf7031p-1, -0x1.190bcd91ce966p-1, -0x1.1e447170108e9p-1, -0x1.23111c7eb1b4cp-1, -0x1.277286eb9a034p-1, -0x1.2b69ea32571cbp-1, -0x1.2ef8f02d111ffp-1, -0x1.3221a37b29a37p-1, -0x1.34e6614ae597fp-1, -0x1.3749cc3ffc32bp-1, -0x1.394ec0aca6f81p-1, -0x1.3af849cc19ed3p-1, -0x1.3c499813248eep-1, -0x1.3d45f89c61333p-1, -0x1.3df0cd4b40c95p-1, -0x1.3e4d85e0dda06p-1, -0x1.3e5f99e6344cp-1, -0x1.3e2a832a9bef7p-1, -0x1.3db1b8fad7fc6p-1, -0x1.3cf8abfc06bafp-1, -0x1.3c02c289b102cp-1, -0x1.3ad355970a17cp-1, -0x1.396dae000fd44p-1, -0x1.37d50254330b3p-1, -0x1.360c74f1c2e95p-1, -0x1.34171283763e7p-1, -0x1.31f7d0c19d60fp-1, -0x1.2fb18d77f32ffp-1, -0x1.2d470dd46af7p-1, -0x1.2abafde5f7dccp-1, -0x1.280ff045da5d8p-1, -0x1.25485df5ca575p-1, -0x1.2266a6615d42bp-1, -0x1.1f6d0f71b4d17p-1, -0x1.1c5dc5caf2bf2p-1, -0x1.193add2674accp-1, -0x1.160650ad739acp-1, -0x1.12c20372eff72p-1, -0x1.0f6fc0f69a125p-1, -0x1.0c113dc1839a5p-1, -0x1.08a817f3c8ccp-1, -0x1.0535d7e9c4f2p-1, -0x1.01bbf0eb7644ep-1, -0x1.fc7783b1cad49p-2, -0x1.f56d2bac33e33p-2, -0x1.ee5b49ffd3239p-2, -0x1.e7442a3b02b4dp-2, -0x1.e029f4a1f449cp-2, -0x1.d90eaf9677ba9p-2, -0x1.d1f440fb53c66p-2, -0x1.cadc6f7e7654p-2, -0x1.c3c8e3ef1a9f2p-2, -0x1.bcbb2a9cff5dp-2, -0x1.b5b4b493b0205p-2, -0x1.aeb6d8d8099a9p-2, -0x1.a7c2d5a1ea6bap-2, -0x1.a0d9d18980129p-2, -0x1.99fcdcadf2a9p-2, -0x1.932cf1d287b4cp-2, -0x1.8c6af7704cd67p-2, -0x1.85b7c0c32bbffp-2, -0x1.7f140ed1fe566p-2, -0x1.7880915abfeb6p-2, -0x1.71fde7bf33021p-2, -0x1.6b8ca1f4a23fap-2, -0x1.652d415e66b0dp-2, -0x1.5ee0399d3eeebp-2, -0x1.58a5f159d0a75p-2, -0x1.527ec30910d7ap-2, -0x1.4c6afda3f9ddcp-2, -0x1.466ae5597d8edp-2, -0x1.407eb4373f4f5p-2, -0x1.3aa69acba7af7p-2, -0x1.34e2c0bd85936p-2, -0x1.2f33455ef818bp-2, -0x1.29984037d22bap-2, -0x1.2411c18b96037p-2, -0x1.1e9fd2d93d5d2p-2, -0x1.1942774ce91dbp-2, -0x1.13f9ac2f85257p-2, -0x1.0ec569586dd46p-2, -0x1.09a5a1912c759p-2, -0x1.049a42f33ae79p-2, -0x1.ff466e86c7e25p-3, -0x1.f580c88e424b2p-3, -0x1.ebe3582c4567dp-3, -0x1.e26ddacaf8bfep-3, -0x1.d92007a1bcd82p-3, -0x1.cff9903acf9ap-3, -0x1.c6fa20f2daf12p-3, -0x1.be21617198c1cp-3, -0x1.b56ef51a352bap-3, -0x1.ace27b74bf1cp-3, -0x1.a47b909441e4bp-3, -0x1.9c39cd70d4acbp-3, -0x1.941cc840297d2p-3, -0x1.8c2414c7e1926p-3, -0x1.844f44ad36395p-3, -0x1.7c9de7ba02cc4p-3, -0x1.750f8c1cecc3bp-3, -0x1.6da3bea8ad3c6p-3, -0x1.665a0b1249cfbp-3, -0x1.5f31fc263c21cp-3, -0x1.582b1bf918451p-3, -0x1.5144f416d7ab8p-3, -0x1.4a7f0dae600a6p-3, -0x1.43d8f1bab41c4p-3, -0x1.3d52292955be3p-3, -0x1.36ea3cfb43112p-3, -0x1.30a0b665f1d81p-3, -0x1.2a751ef0c1b9p-3, -0x1.246700906866p-3, -0x1.1e75e5c029113p-3, -0x1.18a15998b4dd2p-3, -0x1.12e8e7e4ccea8p-3, -0x1.0d4c1d35cca63p-3, -0x1.07ca86f58eca7p-3, -0x1.0263b376a6019p-3, -0x1.fa2e6404ddcc8p-4, -0x1.efc925cc7aa0cp-4, -0x1.e596cef9d6d01p-4, -0x1.db96847398298p-4, -0x1.d1c76d6883d37p-4, -0x1.c828b362d137bp-4, -0x1.beb98258b6361p-4, -0x1.b57908b55d2a3p-4, -0x1.ac66775c6eea8p-4, -0x1.a38101b6dcb07p-4, -0x1.9ac7ddc2cc343p-4, -0x1.923a441b17dcdp-4, -0x1.89d76ffa71d59p-4, -0x1.819e9f3de4efcp-4, -0x1.798f1268465b8p-4, -0x1.71a80ca58e0acp-4, -0x1.69e8d3cc3aef6p-4, -0x1.6250b05c9ce69p-4, -0x1.5adeed81f1e49p-4, -0x1.5392d91190bccp-4, -0x1.4c6bc3899d85p-4, -0x1.4569000e01c4cp-4, -0x1.3e89e465a182ep-4, -0x1.37cdc8f6b54d9p-4, -0x1.313408c373122p-4, -0x1.2abc016640bd2p-4, -0x1.2465130c14a8ap-4, -0x1.1e2ea0700ce56p-4, -0x1.18180ed538311p-4, -0x1.1220c6011bddap-4, -0x1.0c483036d7dfbp-4, -0x1.068dba2f7697ap-4, -0x1.00f0d314cc445p-4, -0x1.f6e1d8f427b3cp-5, -0x1.ec1af4aa2da6fp-5, -0x1.e18be5eef87efp-5, -0x1.d7339e113dcfbp-5, -0x1.cd1112f9c47bfp-5, -0x1.c3233f1de1078p-5, -0x1.b9692170417eep-5, -0x1.afe1bd54f6504p-5, -0x1.a68c1a9174f26p-5, -0x1.9d67453ca0dfdp-5, -0x1.94724daeeb17bp-5, -0x1.8bac48745d7e4p-5, -0x1.83144e3b82a1fp-5, -0x1.7aa97bcd118eap-5, -0x1.726af1f57ea8fp-5, -0x1.6a57d57aed3cfp-5, -0x1.626f4f0a3bec1p-5, -0x1.5ab08b29a5961p-5, -0x1.531aba2a21077p-5, -0x1.4bad10183ba7ap-5, -0x1.4466c4af2b53fp-5, -0x1.3d471349370edp-5, -0x1.364d3ad07696fp-5, -0x1.2f787db0716a1p-5, -0x1.28c821c87b128p-5, -0x1.223b705dbb5d8p-5, -0x1.1bd1b60d52b76p-5, -0x1.158a42be539abp-5, -0x1.0f646993daf61p-5, -0x1.095f80df6462p-5, -0x1.037ae2136ee96p-5, -0x1.fb6bd36d4a1ccp-6, -0x1.f01feeadc4a9fp-6, -0x1.e510daf7f728cp-6, -0x1.da3d6335b2874p-6, -0x1.cfa458118afcfp-6, -0x1.c5448fddf913ep-6, -0x1.bb1ce67d1a6fp-6, -0x1.b12c3d48ae5fcp-6, -0x1.a7717afa1d0aep-6, -0x1.9deb8b92a75cap-6, -0x1.94996043ff232p-6, -0x1.8b79ef59344d7p-6, -0x1.828c341ff5e86p-6, -0x1.79cf2ed28e49p-6, -0x1.7141e480568f8p-6, -0x1.68e35ef7a8437p-6, -0x1.60b2acae8bf2ap-6, -0x1.58aee0b282d7cp-6, -0x1.50d7129bdb8edp-6, -0x1.492a5e83bc9f9p-6, -0x1.41a7e4bebaf93p-6, -0x1.3a4ec9f5a5e9ep-6, -0x1.331e36ed6199p-6, -0x1.2c1558a6f78b6p-6, -0x1.2533601e7d34ep-6, -0x1.1e7782376f6bap-6, -0x1.17e0f7c5e0b8ep-6, -0x1.116efd831273ep-6, -0x1.0b20d3eea3b76p-6, -0x1.04f5bf35fdb6bp-6, -0x1.fdda0e47dc7cep-7, -0x1.f20bee240bf47p-7, -0x1.e67fbbb27cb92p-7, -0x1.db341b83f1811p-7, -0x1.d027b8e7e8cb5p-7, -0x1.c55945cd20d69p-7, -0x1.bac77aa294a09p-7, -0x1.b07116392a3a4p-7, -0x1.a654dda5c507ep-7, -0x1.9c719c23e4be1p-7, -0x1.92c622f87e12cp-7, -0x1.895149554134ap-7, -0x1.8011ec3c8383cp-7, -0x1.7706ee660be0cp-7, -0x1.6e2f3824569c5p-7, -0x1.6589b749ee837p-7, -0x1.5d155f0ee91a1p-7, -0x1.54d127f7f558fp-7, -0x1.4cbc0fbe0adbep-7, -0x1.44d5193246cb9p-7, -0x1.3d1b4c29a8d8cp-7, -0x1.358db5622799ap-7, -0x1.2e2b666c3b69cp-7, -0x1.26f3759575888p-7, -0x1.1fe4fdd0180ebp-7, -0x1.18ff1e9cf3d6fp-7, -0x1.1240fbf5a09d3p-7, -0x1.0ba9be370f78p-7, -0x1.0538920c6eaacp-7, -0x1.fdd950b4a68cap-8, -0x1.f18a6c5484f9fp-8, -0x1.e582e92d0c842p-8, -0x1.d9c1416df187ep-8, -0x1.ce43f71bd97f9p-8, -0x1.c30993ea616e5p-8, -0x1.b810a917467dfp-8, -0x1.ad57cf459bp-8, -0x1.a2dda6598afb7p-8, -0x1.98a0d55494b2ep-8, -0x1.8ea00a328e5c4p-8, -0x1.84d9f9c7a8e45p-8, -0x1.7b4d5f9f13b35p-8, -0x1.71f8fdda40e24p-8, -0x1.68db9d1142a1ep-8, -0x1.5ff40c3390c6ep-8, -0x1.5741206986fbep-8, -0x1.4ec1b4f5e96cap-8, -0x1.4674ab177c959p-8, -0x1.3e58e9eaf604dp-8, -0x1.366d5e4d73a78p-8, -0x1.2eb0fabf945fbp-8, -0x1.2722b74973789p-8, -0x1.1fc1915f998d1p-8, -0x1.188c8bc8f2a45p-8, -0x1.1182ae856b7f6p-8, -0x1.0aa306b4f5ecfp-8, -0x1.03eca67e95d65p-8, -0x1.fabd49ee5d5f5p-9, -0x1.edf03c104cce8p-9, -0x1.e17064ac05f7cp-9, -0x1.d53c0e4f60cb7p-9, -0x1.c9518c9df17b3p-9, -0x1.bdaf3c216c9c5p-9, -0x1.b253822169bbep-9, -0x1.a73ccc797e0c4p-9, -0x1.9c6991745858ap-9, -0x1.91d84fa05f248p-9, -0x1.87878da95be42p-9, -0x1.7d75da2e73527p-9, -0x1.73a1cb944e308p-9, -0x1.6a09ffd0d482ep-9, -0x1.60ad1c2d31236p-9, -0x1.5789cd16fedbcp-9, -0x1.4e9ec6493de7cp-9, -0x1.45eac30d20f7p-9, -0x1.3d6c8592cce49p-9, -0x1.3522d66bdc866p-9, -0x1.2d0c84c11119ep-9, -0x1.252865cbdc20bp-9, -0x1.1d7555248c3f6p-9, -0x1.15f23543a564dp-9, -0x1.0e9deeeaa3e82p-9, -0x1.0777709cb2ba2p-9, -0x1.007dae8343599p-9, -0x1.f35f44e9de977p-10, -0x1.e61897e0a6bdep-10, -0x1.d9255ff7ddef6p-10, -0x1.cc83b21073633p-10, -0x1.c031adc2e0cf1p-10, -0x1.b42d7d3230f3fp-10, -0x1.a87554c595f52p-10, -0x1.9d0772dfd01dcp-10, -0x1.91e21f99cbae4p-10, -0x1.8703ac80f72cfp-10, -0x1.7c6a745d80f45p-10, -0x1.7214db01be019p-10, -0x1.68014d27d2eddp-10, -0x1.5e2e4052e6205p-10, -0x1.549a32b6c2528p-10, -0x1.4b43ab1973b81p-10, -0x1.422938b032b16p-10, -0x1.394972f05269ep-10, -0x1.30a2f954fcec3p-10, -0x1.283473217800ap-10, -0x1.1ffc8f223d6ddp-10, -0x1.17fa03744fc08p-10, -0x1.102b8d57b41b1p-10, -0x1.088ff10e933b6p-10, -0x1.0125f9c72185bp-10, -0x1.f3d8f31a54d24p-11, -0x1.e5c49276715fp-11, -0x1.d80c90bacc3cap-11, -0x1.caaeba3bfb2p-11, -0x1.bda8e83bc2405p-11, -0x1.b0f9007cef5cbp-11, -0x1.a49cf4eb1e27bp-11, -0x1.9892c3121c40dp-11, -0x1.8cd873ce06ceep-11, -0x1.816c1b03d5542p-11, -0x1.764bd768bca5dp-11, -0x1.6b75d25e4a00bp-11, -0x1.60e83fd9c18b7p-11, -0x1.56a15e4c6bc41p-11, -0x1.4c9f76846fa67p-11, -0x1.42e0db81bd956p-11, -0x1.3963ea3eb0461p-11, -0x1.3027096ee571cp-11, -0x1.2728a93807f05p-11, -0x1.1e6742e951f65p-11, -0x1.15e158b5bf798p-11, -0x1.0d957575d27b3p-11, -0x1.05822c737a85dp-11, -0x1.fb4c327e943d8p-12, -0x1.ebffbf18eaf72p-12, -0x1.dd1c561aa88a2p-12, -0x1.ce9f5e9667a3ep-12, -0x1.c0864eea132d7p-12, -0x1.b2ceac5977706p-12, -0x1.a5760a9833555p-12, -0x1.987a0bbdffa46p-12, -0x1.8bd85fe076dabp-12, -0x1.7f8ec50c91084p-12, -0x1.739b072f67755p-12, -0x1.67faffe1df537p-12, -0x1.5cac961e8e537p-12, -0x1.51adbde1ba815p-12, -0x1.46fc77be9e796p-12, -0x1.3c96d06ee5bdp-12, -0x1.327ae0547b062p-12, -0x1.28a6caf3d6463p-12, -0x1.1f18be5f8978fp-12, -0x1.15cef2b488642p-12, -0x1.0cc7a9ce3a27ep-12, -0x1.04012f4dcc179p-12, -0x1.f6f3b1a9feeaep-13, -0x1.e6600cd75e8a9p-13, -0x1.d644452d69aa6p-13, -0x1.c69d43804ae09p-13, -0x1.b768051ae37b7p-13, -0x1.a8a1a2ca892ep-13, -0x1.9a474efae4cd4p-13, -0x1.8c56478ff465cp-13, -0x1.7ecbd146fbc36p-13, -0x1.71a53f9e1f336p-13, -0x1.64dffec1f1423p-13, -0x1.58798b256e657p-13, -0x1.4c6f6a8f7fc77p-13, -0x1.40bf2d1128d97p-13, -0x1.35666f15b9342p-13, -0x1.2a62db32a61a6p-13, -0x1.1fb22be23a272p-13, -0x1.15522cd57ca4fp-13, -0x1.0b40bb6638fc3p-13, -0x1.017bc6026f9a7p-13, -0x1.f00295a84bd6dp-14, -0x1.dd9eac5a75b36p-14, -0x1.cbc8024e26d43p-14, -0x1.ba7ae146faabp-14, -0x1.a9b3a905e8837p-14, -0x1.996ecd8ead6ap-14, -0x1.89a8d4f896fcbp-14, -0x1.7a5e553623245p-14, -0x1.6b8bf2c12309bp-14, -0x1.5d2e611073e98p-14, -0x1.4f42650655e14p-14, -0x1.41c4d882bf23ap-14, -0x1.34b2ad9cf785ap-14, -0x1.2808f0320437cp-14, -0x1.1bc4c555a2c51p-14, -0x1.0fe3694b251c1p-14, -0x1.04622d3f7b3dcp-14, -0x1.f27ceb3b94f83p-15, -0x1.dceb72a07cacdp-15, -0x1.c80b01db26be9p-15, -0x1.b3d6cb1f0a6acp-15, -0x1.a04a1d3c989d2p-15, -0x1.8d605e8383fccp-15, -0x1.7b1508453782bp-15, -0x1.6963a5ab3975dp-15, -0x1.5847d6489693p-15, -0x1.47bd52090b4aep-15, -0x1.37bfece9a7cd5p-15, -0x1.284b9908b5e44p-15, -0x1.195c672265c89p-15, -0x1.0aee846988f97p-15, -0x1.f9fc6fb5a82cap-16, -0x1.df0fc40521p-16, -0x1.c50fffdf6a954p-16, -0x1.abf65fbd51691p-16, -0x1.93bc675913ce2p-16, -0x1.7c5bda8b99fa5p-16, -0x1.65ceab4cded88p-16, -0x1.500ee786ec31cp-16, -0x1.3b16ae8dc0742p-16, -0x1.26e0333955e89p-16, -0x1.1365c5d26f249p-16, -0x1.00a1dc3104a36p-16, -0x1.dd1e304da8eeep-17, -0x1.ba506cb31a0c6p-17, -0x1.98d02cebb8e6ep-17, -0x1.789364e80f953p-17, -0x1.599023124ddedp-17, -0x1.3bbca59fbded3p-17, -0x1.1f0f60cf52128p-17, -0x1.037f1dcecd89dp-17, -0x1.d2063af67774ap-18, -0x1.9f26542bf8c5bp-18, -0x1.6e4f0d2c3e89p-18, -0x1.3f717f4b919e2p-18, -0x1.127ef11a086c6p-18, -0x1.ced148f2a7a6dp-19, -0x1.7c3fdaf8a643dp-19, -0x1.2d2ce62bd85b6p-19, -0x1.c2f98b144b205p-20, -0x1.3229d7a3a5fb2p-20, -0x1.4f6e7b9e88b4p-21, -0x1.1b799ccf60011p-23, 0x1.6b81bef8f136fp-22, 0x1.a6d32edba8629p-21, 0x1.465db6af129b8p-20, 0x1.b3ed70ba326c7p-20, 0x1.0e24481a8f3e7p-19, 0x1.3fcf028f4d6e8p-19, 0x1.6f0c836df21e6p-19, 0x1.9beed8a865d7cp-19, 0x1.c687b6c6af202p-19, 0x1.eeeae5954a256p-19, 0x1.0a958b41fbe4ep-18, 0x1.1cac8a3ad0d95p-18, 0x1.2dc2f613f7e7cp-18, 0x1.3de172f011da8p-18, 0x1.4d106193838a2p-18, 0x1.5b57c29e02a44p-18, 0x1.68bf47ed1c48bp-18, 0x1.754e737aecaccp-18, 0x1.810cb4a2645d2p-18, 0x1.8c01785265613p-18, 0x1.9634225ebbd0bp-18, 0x1.9fabf2c2bf5edp-18, 0x1.a86fe967ee7e9p-18, 0x1.b086bb1f4a3d4p-18, 0x1.b7f6d6d48c99p-18, 0x1.bec667632ea6p-18, 0x1.c4fb466c2af46p-18, 0x1.ca9af18ed062bp-18, 0x1.cfaa9c877d9bap-18, 0x1.d42f5bb4b6acfp-18, 0x1.d82e4291b31dfp-18, 0x1.dbac5c2ef6b23p-18, 0x1.deae8d516008ep-18, 0x1.e139858ba0224p-18, 0x1.e351cb29c0959p-18, 0x1.e4fbcc3c10fe6p-18, 0x1.e63be3d18d62bp-18, 0x1.e71650b5a516ap-18, 0x1.e78f4009333a4p-18, 0x1.e7aac7efaa03p-18, 0x1.e76ce33eb2befp-18, 0x1.e6d96b0fa2cfep-18, 0x1.e5f415b7c206ep-18, 0x1.e4c0748fc3d9p-18, 0x1.e341f160c98fp-18, 0x1.e17bd338e7db1p-18, 0x1.df713fa01ebd7p-18, 0x1.dd253a3e9c673p-18, 0x1.da9aafe5d84f6p-18, 0x1.d7d4895b55fcap-18, 0x1.d4d5aa386c596p-18, 0x1.d1a0d4b74d7cfp-18, 0x1.ce3897e418157p-18, 0x1.ca9f6449a8e47p-18, 0x1.c6d7ab69a2b74p-18, 0x1.c2e3e24219ep-18, 0x1.bec66d05b69ccp-18, 0x1.ba8191dcd8d67p-18, 0x1.b617787bc6cc3p-18, 0x1.b18a2d9cb1bedp-18, 0x1.acdba99021864p-18, 0x1.a80dd90bfa3ccp-18, 0x1.a322a3a19ac4p-18, 0x1.9e1bea1f2d7d3p-18, 0x1.98fb7c9e582dbp-18, 0x1.93c30f89296abp-18, 0x1.8e743a272dfbbp-18, 0x1.89108405aa1d7p-18, 0x1.839975f164eep-18, 0x1.7e109cc4af067p-18, 0x1.78777db1d08dep-18, 0x1.72cf87afc23afp-18, 0x1.6d1a07bca6307p-18, 0x1.67582bc90b117p-18, 0x1.618b1b5fd6556p-18, 0x1.5bb40b85a0e9cp-18, 0x1.55d434c39d31ep-18, 0x1.4fecbe59b7ac4p-18, 0x1.49febb4330168p-18, 0x1.440b318a9f462p-18, 0x1.3e131c644545ap-18, 0x1.38176c0f994f2p-18, 0x1.321907a264a2ap-18, 0x1.2c18d257ff341p-18, 0x1.2617be8aff087p-18, 0x1.201687211c734p-18, 0x1.1a15a813a4443p-18, 0x1.14163b7ce31e5p-18, 0x1.0e19591cc456ap-18, 0x1.081f8ac5b4e06p-18, 0x1.0228b0f6672f8p-18, 0x1.f86b41060aafp-19, 0x1.ec8f7c14a2d9fp-19, 0x1.e0bef23237aecp-19, 0x1.d4fa2dd1bb6bap-19, 0x1.c9422970da176p-19, 0x1.bd97f070076d8p-19, 0x1.b1fc8d2157852p-19, 0x1.a6710443b48dp-19, 0x1.9af63f09a2bb5p-19, 0x1.8f8d0f4ef66b4p-19, 0x1.843640bc990dbp-19, 0x1.78f2994fa031ap-19, 0x1.6dc2d57b38f2bp-19, 0x1.62a7a878dbc64p-19, 0x1.57a1bc91f7f94p-19, 0x1.4cb1b17dc6e3ep-19, 0x1.41d81d931d0c1p-19, 0x1.37158cac5bee1p-19, 0x1.2c6a8912b2bd6p-19, 0x1.21d7a321c67d3p-19, 0x1.175d5a1928706p-19, 0x1.0cfc232875d85p-19, 0x1.02b457ce299c1p-19, 0x1.f10cae60a451dp-20, 0x1.dce50e6a57e65p-20, 0x1.c8f2925b3984dp-20, 0x1.b535e1c847567p-20, 0x1.a1af93b52004cp-20, 0x1.8e60333e4b106p-20, 0x1.7b4837e7bc19bp-20, 0x1.6868117a549f6p-20, 0x1.55c02178a7b5fp-20, 0x1.4350b3e76a5c3p-20, 0x1.311a10e526595p-20, 0x1.1f1c7d477f695p-20, 0x1.0d583ab1ea92cp-20, 0x1.f79b1e0edae7cp-21, 0x1.d4f9807a449acp-21, 0x1.b2cc0d3879496p-21, 0x1.911309bc51417p-21, 0x1.6fcea0b7af895p-21, 0x1.4eff172f03dedp-21, 0x1.2ea4dc82d3903p-21, 0x1.0ebfd67b7461p-21, 0x1.de9d75ed2b8ccp-22, 0x1.a0a24d495b3ep-22, 0x1.6392101998b7ep-22, 0x1.276eda4f1db8cp-22, 0x1.d86b62fb6ff2p-23, 0x1.63ca888216f95p-23, 0x1.e20118fddbf7bp-24, 0x1.001e644387b43p-24, 0x1.0f2bc77ef8b1cp-27, -0x1.71632b19608b7p-25, -0x1.8fac99c4c88cbp-24, -0x1.318839b5a660cp-23, -0x1.9970eb2ec7b45p-23, -0x1.ff92c510a0fp-23, -0x1.31f7f40001bcfp-22, -0x1.63453396088b3p-22, -0x1.93b23592e6746p-22, -0x1.c340161aece8fp-22, -0x1.f1effa37d59d3p-22, -0x1.0fe18add10cecp-21, -0x1.265d56090cd6bp-21, -0x1.3c6c032560757p-21, -0x1.520e37e1d8858p-21, -0x1.6744a07f4de49p-21, -0x1.7c0ff1cbb4d51p-21, -0x1.9070e6be4488ep-21, -0x1.a4684252608ccp-21, -0x1.b7f6c4be72735p-21, -0x1.cb1d334a57bbap-21, -0x1.dddc5fcf4db56p-21, -0x1.f0352751363b6p-21, -0x1.01144372175f4p-20, -0x1.09dbc89c40818p-20, -0x1.127160fc13ce6p-20, -0x1.1ad4950e3fbf4p-20, -0x1.230646b26b2aep-20, -0x1.2b08e1370f685p-20, -0x1.32db1b1a883e8p-20, -0x1.3a7c64d9db249p-20, -0x1.41ee47667a4eep-20, -0x1.49318e9c977f8p-20, -0x1.504695097ed22p-20, -0x1.572daff45fcfap-20, -0x1.5de73634c0a7ap-20, -0x1.6473a21e9e11ap-20, -0x1.6ad362b23ca8dp-20, -0x1.7106fb59e337ap-20, -0x1.770edee35ba03p-20, -0x1.7ceb8381781dp-20, -0x1.829d621b841e7p-20, -0x1.8824f3ea8ae9bp-20, -0x1.8d82aed32104cp-20, -0x1.92b7099394f2fp-20, -0x1.97c27d3078223p-20, -0x1.9ca5848ca8e04p-20, -0x1.a16096d9386f9p-20, -0x1.a5f42ad4934d6p-20, -0x1.aa60b8560f718p-20, -0x1.aea6b7e41eb8bp-20, -0x1.b2c6a3bd674fap-20, -0x1.b6c0f90d4f812p-20, -0x1.ba961cf45d595p-20, -0x1.be45f1a35fb52p-20, -0x1.c1d27bfb45179p-20, -0x1.c53b271515e9ep-20, -0x1.c8802255197bdp-20, -0x1.cba244f3eacf2p-20, -0x1.cea2008262ec3p-20, -0x1.d17fc1771bbd1p-20, -0x1.d43bf95271719p-20, -0x1.d6d71e2ba8b16p-20, -0x1.d951abdcde073p-20, -0x1.dbac24d7e7534p-20, -0x1.dde710142e7c8p-20, -0x1.e002f39116912p-20, -0x1.e2004d235e038p-20, -0x1.e3df8da4a7dc2p-20, -0x1.e5a119df14819p-20, -0x1.e7454f573b2afp-20, -0x1.e8cc9012214bfp-20, -0x1.ea374d60df2b1p-20, -0x1.eb8603e0b8df4p-20, -0x1.ecb9319f16e9dp-20, -0x1.edd14a234c151p-20, -0x1.eeceabb76c5aep-20, -0x1.efb19eb6daa1fp-20, -0x1.f07a5f2c8aab1p-20, -0x1.f1292bb5e7b73p-20, -0x1.f1be5271e7561p-20, -0x1.f23a36d7ab395p-20, -0x1.f29d4f8931798p-20, -0x1.f2e81ef379bap-20, -0x1.f31b2ab49466dp-20, -0x1.f336f4ce8eb62p-20, -0x1.f33bf7f59202dp-20, -0x1.f32aa6445dca2p-20, -0x1.f3036bdd63513p-20, -0x1.f2c6ac964af52p-20, -0x1.f274c9a6a393dp-20, -0x1.f20e21297dce1p-20, -0x1.f1930faac1aedp-20, -0x1.f103f0f5be90ap-20, -0x1.f06120e201726p-20, -0x1.efaafbc261b3ap-20, -0x1.eee1dc4d090c5p-20, -0x1.ee06194a8c474p-20, -0x1.ed180665d2ba5p-20, -0x1.ec17f94bcd0a5p-20, -0x1.eb064bee2f09ep-20, -0x1.e9e36084f37b3p-20, -0x1.e8afa319ea4f9p-20, -0x1.e76b8426ac826p-20, -0x1.e616faf0bad94p-20, -0x1.e4b19f98f774cp-20, -0x1.e33dfea4a4038p-20, -0x1.e1bb35a3c5e48p-20, -0x1.e027b354c2715p-20, -0x1.de867d0c7543dp-20, -0x1.dcd6f462f098fp-20, -0x1.db19904f5b211p-20, -0x1.d94e8298f86b9p-20, -0x1.d7760c16d4b1fp-20, -0x1.d59078af2fbd9p-20, -0x1.d39e16519e625p-20, -0x1.d19f324dac632p-20, -0x1.cf94179416056p-20, -0x1.cd7d0fe7de6d7p-20, -0x1.cb5a6443ab456p-20, -0x1.c92c5db4e4222p-20, -0x1.c6f343e6492e9p-20, -0x1.c4af5d768b8abp-20, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.14ad4c4a1c61bp-7, 0x1.b15e2f643d9cdp-7, 0x1.dcf3dbbad80fdp-7, 0x1.d8a508b3ba701p-7, 0x1.f122a0c9fcf76p-7, 0x1.346a63356e4d1p-6, 0x1.b7b6c96055da8p-6, 0x1.481fab3e533d6p-5, 0x1.e15f81b7111b6p-5, 0x1.53264e706ac35p-4, 0x1.c96dd14669a56p-4, 0x1.2848c0bdb9f0ap-3, 0x1.72869b82f585bp-3, 0x1.c18d8d1fe741p-3, 0x1.09bbec75c4fd2p-2, 0x1.333982c933bd7p-2, 0x1.5c6793dece062p-2, 0x1.84844f3200874p-2, 0x1.aae6b5e56036p-2, 0x1.ceff9aaae3fep-2, 0x1.f059663824e4bp-2, 0x1.074b7efd21feap-1, 0x1.14b90bdfed65bp-1, 0x1.205c9a82053eep-1, 0x1.2a26b942ba9bbp-1, 0x1.3210264d79c24p-1, 0x1.3818b7e92b105p-1, 0x1.3c465262ac595p-1, 0x1.3ea3f0c9626ap-1, 0x1.3f40c2686a927p-1, 0x1.3e2f5e036de8bp-1, 0x1.3b850b2690826p-1, 0x1.37591fc5e98cep-1, 0x1.31c4711aac81ap-1, 0x1.2ae0d71968ae7p-1, 0x1.22c8c0cb6cb8fp-1, 0x1.1996d795a8ebbp-1, 0x1.0f65b05831997p-1, 0x1.044f89644f03ep-1, 0x1.f0dc27973b753p-2, 0x1.d7b48ccac398p-2, 0x1.bd5872c0d4543p-2, 0x1.a1f612c2544dep-2, 0x1.85b982f0ca28ap-2, 0x1.68cc95f70549cp-2, 0x1.4b56c5265d484p-2, 0x1.2d7d233c87p-2, 0x1.0f6256bd1a345p-2, 0x1.e24d358b0968p-3, 0x1.a5cf8ac46575cp-3, 0x1.6982a4f1207cbp-3, 0x1.2d98e58628d61p-3, 0x1.e4807749b6565p-4, 0x1.6f4499af46415p-4, 0x1.f7928b7d7dacdp-5, 0x1.14a367b760223p-5, 0x1.b19aa2391428cp-8, -0x1.46a895ba00eeep-6, -0x1.779754b2475dap-5, -0x1.23231cf1e2ddcp-4, -0x1.878e84d2bc63cp-4, -0x1.e8f16a9bedfaep-4, -0x1.239a2d2c112a5p-3, -0x1.512250df5c345p-3, -0x1.7d09e92d104d2p-3, -0x1.a74bc57f4b6d3p-3, -0x1.cfe4802ccfe2ap-3, -0x1.f6d26595fb8dcp-3, -0x1.0e0aa03a1525cp-2, -0x1.1fd71f934f762p-2, -0x1.30cfe5df546a6p-2, -0x1.40f6b6ca804c2p-2, -0x1.504dd66af443cp-2, -0x1.5ed7f9652a924p-2, -0x1.6c983a297f5ffp-2, -0x1.79920ad3a9b8ep-2, -0x1.85c92b9a2e2cp-2, -0x1.91419f758389bp-2, -0x1.9bffa3371a414p-2, -0x1.a607a4898581p-2, -0x1.af5e39f54e231p-2, -0x1.b8081b8345224p-2, -0x1.c00a1be174682p-2, -0x1.c769223a981aap-2, -0x1.ce2a246cb7048p-2, -0x1.d45221e60f8ebp-2, -0x1.d9e61eca70404p-2, -0x1.deeb1fadc93c7p-2, -0x1.e36625908c077p-2, -0x1.e75c2a5a10491p-2, -0x1.ead21d9bd8a22p-2, -0x1.edcce1aaeccc3p-2, -0x1.f051491c10b98p-2, -0x1.f264146770421p-2, -0x1.f409f003e7563p-2, -0x1.f5477294cfb91p-2, -0x1.f6211b72fdce5p-2, -0x1.f69b516fd1709p-2, -0x1.f6ba61aea8feap-2, -0x1.f6827ee4db12fp-2, -0x1.f5f7c08cad257p-2, -0x1.f51e2259908fp-2, -0x1.f3f983f5318c7p-2, -0x1.f28da88de5846p-2, -0x1.f0de36d363006p-2, -0x1.eeeeb8e34b214p-2, -0x1.ecc29c4b90e81p-2, -0x1.ea5d32400034dp-2, -0x1.e7c1afcb67393p-2, -0x1.e4f32e0f20a5ep-2, -0x1.e1f4aaab3bb39p-2, -0x1.dec908197faafp-2, -0x1.db730e1c7fe75p-2, -0x1.d7f56a4451ddfp-2, -0x1.d452b06bb9b99p-2, -0x1.d08d5b3ed1cd2p-2, -0x1.cca7ccd5790ecp-2, -0x1.c8a44f441264dp-2, -0x1.c485152f533dap-2, -0x1.c04c3a6eecb49p-2, -0x1.bbfbc4acc66cap-2, -0x1.b795a3ffed06fp-2, -0x1.b31bb389af977p-2, -0x1.ae8fba1f69f9cp-2, -0x1.a9f36ae6594cfp-2, -0x1.a54865eb4f239p-2, -0x1.a09038c897b16p-2, -0x1.9bcc5f4513a95p-2, -0x1.96fe43e1ee685p-2, -0x1.922740765c021p-2, -0x1.8d489ecba7ca7p-2, -0x1.88639928a6655p-2, -0x1.83795ada7477fp-2, -0x1.7e8b00c87926p-2, -0x1.799999fccc5c4p-2, -0x1.74a62821eed6cp-2, -0x1.6fb1a0046097dp-2, -0x1.6abcea15cc6e6p-2, -0x1.65c8e2e4cb9f8p-2, -0x1.60d65b8ed7104p-2, -0x1.5be61a35dcd28p-2, -0x1.56f8da71c2eadp-2, -0x1.520f4db96d031p-2, -0x1.4d2a1bcac458bp-2, -0x1.4849e30f8d314p-2, -0x1.436f38ffefd93p-2, -0x1.3e9aaa7fe3049p-2, -0x1.39ccbc395b5a8p-2, -0x1.3505eaf4828c6p-2, -0x1.3046abe9b2cfdp-2, -0x1.2b8f6d154e37bp-2, -0x1.26e095865d7bap-2, -0x1.223a85a813a67p-2, -0x1.1d9d978923372p-2, -0x1.190a1f21b4bbap-2, -0x1.14806a9b59651p-2, -0x1.1000c28e24aeap-2, -0x1.0b8b6a3aa27eep-2, -0x1.07209fc83e2dfp-2, -0x1.02c09c82811ep-2, -0x1.fcd72a1d12e78p-3, -0x1.f44373371d39p-3, -0x1.ebc66c2af780ap-3, -0x1.e36064b424f37p-3, -0x1.db11a4d3405a5p-3, -0x1.d2da6d1fb3d1bp-3, -0x1.cabaf717ceb85p-3, -0x1.c2b37578a5b15p-3, -0x1.bac4149614f45p-3, -0x1.b2ecfaa572211p-3, -0x1.ab2e47fde7546p-3, -0x1.a388175c299e2p-3, -0x1.9bfa7e2d0eaefp-3, -0x1.94858cd49dcep-3, -0x1.8d294ee7bc16ep-3, -0x1.85e5cb600cd0fp-3, -0x1.7ebb04d5566dbp-3, -0x1.77a8f9bb1b4a6p-3, -0x1.70afa497f5f3cp-3, -0x1.69cefc37bfed3p-3, -0x1.6306f3d1d342ap-3, -0x1.5c577b39459bcp-3, -0x1.55c07f0fc97d6p-3, -0x1.4f41e8f1bae0cp-3, -0x1.48db9fa1a6178p-3, -0x1.428d87260e7d6p-3, -0x1.3c5780ee6c58p-3, -0x1.36396bfcd538ep-3, -0x1.3033250d884afp-3, -0x1.2a4486b6ade9cp-3, -0x1.246d6985baedbp-3, -0x1.1eada41a0c5dfp-3, -0x1.19050b44dbcep-3, -0x1.137372295c323p-3, -0x1.0df8aa5af4acbp-3, -0x1.089483f4ff88ep-3, -0x1.0346cdb0241f4p-3, -0x1.fc1ea9f3685b4p-4, -0x1.f1dbcc183e479p-4, -0x1.e7c498157713fp-4, -0x1.ddd8a22b8761ap-4, -0x1.d4177cbbbac8fp-4, -0x1.ca80b8695185ap-4, -0x1.c113e43e32b11p-4, -0x1.b7d08dd32172bp-4, -0x1.aeb64177bd692p-4, -0x1.a5c48a5501f13p-4, -0x1.9cfaf289de41bp-4, -0x1.945903456708bp-4, -0x1.8bde44e2f0eb5p-4, -0x1.838a3f08bccbdp-4, -0x1.7b5c78c6edc4dp-4, -0x1.735478b2ff877p-4, -0x1.6b71c4feb04b2p-4, -0x1.63b3e38c4db63p-4, -0x1.5c1a5a03338f5p-4, -0x1.54a4ade6510d3p-4, -0x1.4d5264ab919ddp-4, -0x1.462303d1d65a9p-4, -0x1.3f1610f3c74ccp-4, -0x1.382b11d7b79f2p-4, -0x1.31618c7e79d5ap-4, -0x1.2ab90732ece9fp-4, -0x1.2431089ab5e1ap-4, -0x1.1dc917c71cc07p-4, -0x1.1780bc4462c1ap-4, -0x1.11577e26c0d9bp-4, -0x1.0b4ce6158dde3p-4, -0x1.05607d55ac7d5p-4, -0x1.ff239ba91076bp-5, -0x1.f3c0c4679108cp-5, -0x1.e8978ba9af2c9p-5, -0x1.dda709c6ed49bp-5, -0x1.d2ee58bd1f433p-5, -0x1.c86c943fee149p-5, -0x1.be20d9c6395e5p-5, -0x1.b40a489c0b88ep-5, -0x1.aa2801e54e8bfp-5, -0x1.a07928c2403c4p-5, -0x1.96fce244d17c9p-5, -0x1.8db2558e84dcdp-5, -0x1.8498abd2585dap-5, -0x1.7baf105e2f382p-5, -0x1.72f4b0a399712p-5, -0x1.6a68bc404594p-5, -0x1.620a65062e84ep-5, -0x1.59d8df0387e19p-5, -0x1.51d36089ce21cp-5, -0x1.49f92233865a1p-5, -0x1.42495ee8aa77bp-5, -0x1.3ac353e23d19cp-5, -0x1.336640ad8fa8fp-5, -0x1.2c31672fb7eeap-5, -0x1.25240ba8f73f1p-5, -0x1.1e3d74b7cfa9p-5, -0x1.177ceb5b5accp-5, -0x1.10e1baf4cefc5p-5, -0x1.0a6b314824467p-5, -0x1.04189e7c200bcp-5, -0x1.fbd2aa341b2b3p-6, -0x1.efb9541ae648p-6, -0x1.e3e3e9477fe65p-6, -0x1.d8511d179bd6ap-6, -0x1.ccffa7a9e40bbp-6, -0x1.c1ee45db38ea7p-6, -0x1.b71bb942d988ep-6, -0x1.ac86c82d6e3a2p-6, -0x1.a22e3d978b4b1p-6, -0x1.9810e927d40b1p-6, -0x1.8e2d9f2928631p-6, -0x1.84833884ae896p-6, -0x1.7b1092bb1c99ep-6, -0x1.71d48fddcd67bp-6, -0x1.68ce168767889p-6, -0x1.5ffc11d40edb6p-6, -0x1.575d7158f9d7fp-6, -0x1.4ef1291b942ap-6, -0x1.46b631880d872p-6, -0x1.3eab8767832f3p-6, -0x1.36d02bd6036d5p-6, -0x1.2f23243864c3ap-6, -0x1.27a37a324262dp-6, -0x1.20503b9c5b25bp-6, -0x1.19287a7b07c58p-6, -0x1.122b4cf48ddf7p-6, -0x1.0b57cd46b4463p-6, -0x1.04ad19bb34012p-6, -0x1.fc54a93671424p-7, -0x1.ef9d484449674p-7, -0x1.e33264e0ea57bp-7, -0x1.d7125aff17364p-7, -0x1.cb3b8e2d972d8p-7, -0x1.bfac6984504a5p-7, -0x1.b4635f92ae79dp-7, -0x1.a95eea4cb489dp-7, -0x1.9e9d8af4cecf1p-7, -0x1.941dca00b7613p-7, -0x1.89de36fa325d5p-7, -0x1.7fdd685de76d2p-7, -0x1.7619fb7bb0433p-7, -0x1.6c92945bfa183p-7, -0x1.6345ddabb1efbp-7, -0x1.5a3288ae537d6p-7, -0x1.51574d32ea659p-7, -0x1.48b2e987257fdp-7, -0x1.40442263ea95dp-7, -0x1.3809c2d0e3a4fp-7, -0x1.30029bff2fdc4p-7, -0x1.282d851fa0a0dp-7, -0x1.20895b3a0c87p-7, -0x1.1915010cf9fdp-7, -0x1.11cf5ef936d59p-7, -0x1.0ab762fa2abdfp-7, -0x1.03cc00a5ffea6p-7, -0x1.fa18625e514bp-8, -0x1.ecede6bbeca19p-8, -0x1.e01696f7744e5p-8, -0x1.d390865ab8aaep-8, -0x1.c759d280c0cf8p-8, -0x1.bb70a2e69ea3ep-8, -0x1.afd3288bc7ac7p-8, -0x1.a47f9db1f2531p-8, -0x1.997445be77633p-8, -0x1.8eaf6d45b8a6dp-8, -0x1.842f6a3630964p-8, -0x1.79f29bfb97692p-8, -0x1.6ff76b934439cp-8, -0x1.663c4b747aabfp-8, -0x1.5cbfb737abac2p-8, -0x1.538033125647p-8, -0x1.4a7c4b44f0ecdp-8, -0x1.41b293966d1dbp-8, -0x1.3921a6f8e4aa2p-8, -0x1.30c82767f5f8ap-8, -0x1.28a4be06e307cp-8, -0x1.20b61b6efb617p-8, -0x1.18faf80cf59ccp-8, -0x1.1172146897ef8p-8, -0x1.0a1a3936ca80fp-8, -0x1.02f23724a58c5p-8, -0x1.f7f1ccb874557p-9, -0x1.ea5a4bb17773bp-9, -0x1.dd1bb558f6b8ap-9, -0x1.d033dec96bd76p-9, -0x1.c3a0a75452051p-9, -0x1.b75ff86976dbap-9, -0x1.ab6fc61adf86dp-9, -0x1.9fce10123c1d1p-9, -0x1.9478e2a7ad5a4p-9, -0x1.896e57c4b62f2p-9, -0x1.7eac9749e4ee7p-9, -0x1.7431d6ca32325p-9, -0x1.69fc589b57c23p-9, -0x1.600a6a6444458p-9, -0x1.565a6374e526ap-9, -0x1.4ceaa33ce36bcp-9, -0x1.43b99034e4bd1p-9, -0x1.3ac5976ef08f4p-9, -0x1.320d2cdada12fp-9, -0x1.298ecc264c5c9p-9, -0x1.2148f9f96abdcp-9, -0x1.193a453bfeffp-9, -0x1.116148168eb99p-9, -0x1.09bca868120e1p-9, -0x1.024b1793c12eap-9, -0x1.f616a3452b511p-10, -0x1.e7f837ba78215p-10, -0x1.da38863e982e7p-10, -0x1.ccd53460a2189p-10, -0x1.bfcbf0dc66f59p-10, -0x1.b31a72083da5p-10, -0x1.a6be75986248ap-10, -0x1.9ab5c1b502c88p-10, -0x1.8efe2723a24edp-10, -0x1.839584134eb3bp-10, -0x1.7879c6fd2d32ap-10, -0x1.6da8f1050ed12p-10, -0x1.6321175b8d537p-10, -0x1.58e0634acc589p-10, -0x1.4ee510cd15086p-10, -0x1.452d6bd283b01p-10, -0x1.3bb7cc94e6451p-10, -0x1.3282938bf5f54p-10, -0x1.298c25ae0e5ebp-10, -0x1.20d2e9b0d7a57p-10, -0x1.185546c03e80ap-10, -0x1.1011a52311894p-10, -0x1.08067079acf02p-10, -0x1.00321b6b0561ap-10, -0x1.f12647edd84fap-11, -0x1.e2502f4d4763ap-11, -0x1.d3df2d9ee403p-11, -0x1.c5d0ac783fc46p-11, -0x1.b8223d97a6ef8p-11, -0x1.aad195c5bbbd3p-11, -0x1.9ddc83dc5c24ep-11, -0x1.9140e554de833p-11, -0x1.84fc9a6158125p-11, -0x1.790d7bfcc4cdap-11, -0x1.6d7156109d59p-11, -0x1.6225e6f2766p-11, -0x1.5728e42733206p-11, -0x1.4c78035407bb4p-11, -0x1.4211057acf59p-11, -0x1.37f1c272c969fp-11, -0x1.2e1832f0f13f1p-11, -0x1.248277cb587d7p-11, -0x1.1b2edcbdf44cfp-11, -0x1.121bd5a73ddacp-11, -0x1.0947f687ff552p-11, -0x1.00b1e73a37c85p-11, -0x1.f0b0a9ae6e874p-12, -0x1.e073c6f9b1ab3p-12, -0x1.d0aa489822124p-12, -0x1.c15123fdd65f8p-12, -0x1.b265284558e42p-12, -0x1.a3e30e95ea67p-12, -0x1.95c78f18293b2p-12, -0x1.880f75a68ce3dp-12, -0x1.7ab7b3c08c513p-12, -0x1.6dbd6f6a1bff6p-12, -0x1.611e0ef69953fp-12, -0x1.54d7404c6d94p-12, -0x1.48e6f85e3d748p-12, -0x1.3d4b67cdc5195p-12, -0x1.3202e49121e13p-12, -0x1.270bcced3014fp-12, -0x1.1c646bb28900dp-12, -0x1.120ae6182b0cp-12, -0x1.07fd381fe5717p-12, -0x1.fc727d84d7913p-13, -0x1.e97993d000456p-13, -0x1.d70b5c0a09a0fp-13, -0x1.c5239e57691c2p-13, -0x1.b3be48d944b4p-13, -0x1.a2d76f0a80c64p-13, -0x1.926b4e0888fc5p-13, -0x1.82765ceb3a632p-13, -0x1.72f564cc9bc0bp-13, -0x1.63e5927f57cd5p-13, -0x1.55447272d075fp-13, -0x1.470fd1accfbeap-13, -0x1.39458cf35905fp-13, -0x1.2be362a8d3a4p-13, -0x1.1ee6db00ba23bp-13, -0x1.124d4ec81792dp-13, -0x1.0614057da4c92p-13, -0x1.f470b27df4965p-14, -0x1.dd6f9cde8dc01p-14, -0x1.c72027cf0fdecp-14, -0x1.b17dd771fae03p-14, -0x1.9c84107f26257p-14, -0x1.882de2a00ea3bp-14, -0x1.747607dc336bcp-14, -0x1.615724cd39babp-14, -0x1.4ecc3119e8a1bp-14, -0x1.3cd0d4370fb5fp-14, -0x1.2b61835b8e04bp-14, -0x1.1a7b4f854be18p-14, -0x1.0a1b82324d23bp-14, -0x1.f47e8730aab9fp-15, -0x1.d5c6f251bcd74p-15, -0x1.b809c4c83ec25p-15, -0x1.9b40ad3d04cdcp-15, -0x1.7f65fef39da38p-15, -0x1.6474daa5f663dp-15, -0x1.4a690746eed7p-15, -0x1.313e616f7a48bp-15, -0x1.18f011a49a1c8p-15, -0x1.0177e8c81bd51p-15, -0x1.d59c508605e9p-16, -0x1.a9d3ec49ccaa5p-16, -0x1.7f84c6b5dc90ap-16, -0x1.569f35cbe134ep-16, -0x1.2f1759a3a2fb2p-16, -0x1.08e5265ac0ea6p-16, -0x1.c805ef2b1468p-17, -0x1.80d73134ee002p-17, -0x1.3c31bd1ec1825p-17, -0x1.f40d93249e682p-18, -0x1.748d01b6c2c3bp-18, -0x1.f388ecbc38bc4p-19, -0x1.07392d2455f1ep-19, -0x1.20474d5735c05p-22, 0x1.6c47ccc784f6p-20, 0x1.876f283f59539p-19, 0x1.2805723e58e8ap-18, 0x1.881f026543be2p-18, 0x1.e431630f5244fp-18, 0x1.1e37e5b3e7a7cp-17, 0x1.4886de88e78cdp-17, 0x1.711c351c15dc4p-17, 0x1.9808e56be2929p-17, 0x1.bd578bcf070ffp-17, 0x1.e10db6de7e349p-17, 0x1.019789b665f34p-16, 0x1.11e06b4cacfa9p-16, 0x1.2165b54383e1dp-16, 0x1.302cd897e359ep-16, 0x1.3e3b406ce5974p-16, 0x1.4b94fb6f905f5p-16, 0x1.583c5cc8b20fap-16, 0x1.64330b14c8f09p-16, 0x1.6f7ba98ce7dc1p-16, 0x1.7a1abcd693e95p-16, 0x1.84165238c4c19p-16, 0x1.8d751633a0028p-16, 0x1.963db76407b0dp-16, 0x1.9e76ca09d6392p-16, 0x1.a626c14deb9f4p-16, 0x1.ad539cf3194f7p-16, 0x1.b40268cd93823p-16, 0x1.ba36e6cbbb301p-16, 0x1.bff38f4ea8815p-16, 0x1.c539fcb4993a6p-16, 0x1.ca0bbe0bb0606p-16, 0x1.ce6b2b264c9dep-16, 0x1.d25b9fa5a3947p-16, 0x1.d5e0c6b9fc3a1p-16, 0x1.d8fd670d9a523p-16, 0x1.dbb2fbcf14b1bp-16, 0x1.de02cb2cdf87ep-16, 0x1.dfef4e5c157d3p-16, 0x1.e17c5d6b74795p-16, 0x1.e2ae488c128e1p-16, 0x1.e388f54b4ed3bp-16, 0x1.e40f9adf702fep-16, 0x1.e445003816d4fp-16, 0x1.e42bdeb3ccf3bp-16, 0x1.e3c7114031672p-16, 0x1.e3196b8ce5492p-16, 0x1.e2258322ee63ep-16, 0x1.e0edd87a1b5f9p-16, 0x1.df7515111b0f1p-16, 0x1.ddbd9e4a2e6f1p-16, 0x1.dbc8f00a4e0cp-16, 0x1.d997f9fd074acp-16, 0x1.d72c2e4301989p-16, 0x1.d487b5afcdf0dp-16, 0x1.d1ac8b546fef2p-16, 0x1.ce9c06e7198a9p-16, 0x1.cb579bfbc0f6bp-16, 0x1.c7e183cf4727dp-16, 0x1.c43c5d5a36f58p-16, 0x1.c06a7eb21ad27p-16, 0x1.bc6dbca11850fp-16, 0x1.b84796d53ac1ep-16, 0x1.b3f975d8d7616p-16, 0x1.af84d3cb7fa43p-16, 0x1.aaeb4b5bf0568p-16, 0x1.a62e8de0fbeebp-16, 0x1.a1503c8188bd1p-16, 0x1.9c51b67a09d27p-16, 0x1.97342b5ea65cfp-16, 0x1.91f91c0e16facp-16, 0x1.8ca29001118dfp-16, 0x1.87323a5dc1704p-16, 0x1.81a8b61271939p-16, 0x1.7c064de4a37d8p-16, 0x1.764c26a169f89p-16, 0x1.707bf3597b6b2p-16, 0x1.6a96fcb78031fp-16, 0x1.649e41bdeb46fp-16, 0x1.5e930516a3c89p-16, 0x1.5876a9a45ebe4p-16, 0x1.524a60616741fp-16, 0x1.4c0f201e52686p-16, 0x1.45c5c0e421a28p-16, 0x1.3f6f151c83df3p-16, 0x1.390beb4bd08abp-16, 0x1.329d1de1854c5p-16, 0x1.2c23cbea06e11p-16, 0x1.25a12c078cf93p-16, 0x1.1f164ce7fef65p-16, 0x1.1883dcdb3083ep-16, 0x1.11ea4e985f6ap-16, 0x1.0b4a42524da3fp-16, 0x1.04a4c5940dc96p-16, 0x1.fbf61a66b4138p-17, 0x1.ee9b76bc7695dp-17, 0x1.e13a05148e7cap-17, 0x1.d3d33be584c93p-17, 0x1.c669736a48d32p-17, 0x1.b8fe1784554b5p-17, 0x1.ab91e45efd041p-17, 0x1.9e26114531298p-17, 0x1.90bc20927e1cfp-17, 0x1.8355680936082p-17, 0x1.75f30ced36e58p-17, 0x1.68961d4c1868p-17, 0x1.5b3f977f957eap-17, 0x1.4df06b7b2fed5p-17, 0x1.40a98429a7dd9p-17, 0x1.336be0a8be4e3p-17, 0x1.2638b7b3cf43ap-17, 0x1.1911680fb4f7bp-17, 0x1.0bf7005bc741ep-17, 0x1.fdd40e7cfb232p-18, 0x1.e3d645609c9d6p-18, 0x1.c9f6ccc391a67p-18, 0x1.b03748bb2b668p-18, 0x1.969897493910fp-18, 0x1.7d1c6f3ccc4b3p-18, 0x1.63c515d9cd92ep-18, 0x1.4a94007ba659p-18, 0x1.318ab1afb32c3p-18, 0x1.18aa9bd4ab741p-18, 0x1.ffe8f046923a3p-19, 0x1.ced2c8232d50ep-19, 0x1.9e15cc2260dabp-19, 0x1.6db4a85f158c1p-19, 0x1.3db1a32b5cc3ap-19, 0x1.0e0ede7345b77p-19, 0x1.bd9cce9c27dep-20, 0x1.5fe45e2517f46p-20, 0x1.02f813170abafp-20, 0x1.4db6d1f19da3p-21, 0x1.2e477af98f491p-22, -0x1.dc0f3a72b849cp-25, -0x1.a1dd2f9fa8f14p-22, -0x1.825f67b46fa49p-21, -0x1.1907298ea05ep-20, -0x1.6ff9fcf785ca2p-20, -0x1.c605bbc2bd461p-20, -0x1.0d94523a29853p-19, -0x1.37afd95eb8cebp-19, -0x1.61541b3eec907p-19, -0x1.8a8020eb6f211p-19, -0x1.b332947faf3c6p-19, -0x1.db6a427aa1c07p-19, -0x1.0193193c95f6p-18, -0x1.1532cfe861cd1p-18, -0x1.28940c06998c2p-18, -0x1.3bb652dbff73bp-18, -0x1.4e9927f45dbeep-18, -0x1.613c2f113b6e3p-18, -0x1.739f1950209abp-18, -0x1.85c19c8449cc9p-18, -0x1.97a3737b769a6p-18, -0x1.a9445f158762fp-18, -0x1.baa4266e8584bp-18, -0x1.cbc29a332d6c8p-18, -0x1.dc9f96bc246fcp-18, -0x1.ed3aebafc1bd8p-18, -0x1.fd945a98d9bdap-18, -0x1.06d5e45687c1bp-17, -0x1.0ec08eb84d1a6p-17, -0x1.168a27027bad9p-17, -0x1.1e32ab2668f31p-17, -0x1.25ba10e31d3bcp-17, -0x1.2d2053dc1187p-17, -0x1.34657576ac62ap-17, -0x1.3b89772b1fa55p-17, -0x1.428c57702a59p-17, -0x1.496e1f8723c6p-17, -0x1.502ee48104f18p-17, -0x1.56cea52d034cep-17, -0x1.5d4d675fce766p-17, -0x1.63ab40b232fc5p-17, -0x1.69e84450c2847p-17, -0x1.700484ed1a81dp-17, -0x1.760015670d60dp-17, -0x1.7bdb094067d17p-17, -0x1.8195789a3ffdep-17, -0x1.872f7ca9f65bap-17, -0x1.8ca93238a4588p-17, -0x1.9202b692c21acp-17, -0x1.973c2890bf866p-17, -0x1.9c55a2cd24107p-17, -0x1.a14f3d3f2528bp-17, -0x1.a629267e70083p-17, -0x1.aae38f4c4cc85p-17, -0x1.af7e9aedf152ep-17, -0x1.b3fa56a28dc89p-17, -0x1.b856f0f5d60e3p-17, -0x1.bc94a142fc2e2p-17, -0x1.c0b392f95661dp-17, -0x1.c4b3ef8acf9c7p-17, -0x1.c895e1a628493p-17, -0x1.cc59962131bddp-17, -0x1.cfff3b2e52e0ep-17, -0x1.d386f0a973b81p-17, -0x1.d6f106a3d5abdp-17, -0x1.da3d8f07b93b6p-17, -0x1.dd6ce2304d301p-17, -0x1.e07f216880571p-17, -0x1.e3746b342a63dp-17, -0x1.e64d0ea7854acp-17, -0x1.e90943c060337p-17, -0x1.eba93c7a4784dp-17, -0x1.ee2d2f2edad3p-17, -0x1.f09555d1296f2p-17, -0x1.f2e1ec031d39dp-17, -0x1.f5132e04f5e9ep-17, -0x1.f72959dd2076cp-17, -0x1.f924a46e30089p-17, -0x1.fb052011e8e5ap-17, -0x1.fccb210f7222fp-17, -0x1.fe7731dd14993p-17, -0x1.0004a891672fdp-16, -0x1.00c0c9e477f3fp-16, -0x1.0170355a5ba76p-16, -0x1.02130cc0a69f5p-16, -0x1.02a96b1eb4a9fp-16, -0x1.03336e2d3f476p-16, -0x1.03b1355ce2dadp-16, -0x1.0422e0b8cd7c7p-16, -0x1.0488901a8facfp-16, -0x1.04e2627bb401fp-16, -0x1.053076f5f9e55p-16, -0x1.0572f086a8ef7p-16, -0x1.05a9f6a155e4ap-16, -0x1.05d5a06389e8p-16, -0x1.05f60ae2b2432p-16, -0x1.060b6f48d6063p-16, -0x1.0615cf991a1e5p-16, -0x1.06155f9645b1cp-16, -0x1.060a4441dd93ep-16, -0x1.05f499e552323p-16, -0x1.05d480d6b0f6ep-16, -0x1.05aa1b451f8a1p-16, -0x1.05758afd4ffe7p-16, -0x1.0536f15071872p-16, -0x1.04ee728ec1a72p-16, -0x1.049c2d2c6b2eap-16, -0x1.044025a6285dp-16, -0x1.03daabd51dec5p-16, -0x1.036bd6ec54c22p-16, -0x1.02f3a8cd9e2cfp-16, -0x1.027264c0a012fp-16, -0x1.01e829582b9e7p-16, -0x1.0155101a5b63p-16, -0x1.00b932bf90293p-16, -0x1.0014c87e84333p-16, -0x1.fecfbd75eb816p-17, -0x1.fd650c1575b8ep-17, -0x1.fbea0e53a5cbep-17, -0x1.fa5eda875fa8fp-17, -0x1.f8c3bbafa9cdbp-17, -0x1.f718f09665fc8p-17, -0x1.f55eb5faf403fp-17, -0x1.f3954b0c18884p-17, -0x1.f1bcf7cd895cdp-17, -0x1.efd60cc78419ep-17, -0x1.ede0b6ed28b81p-17, -0x1.ebdd27763297cp-17, -0x1.e9cb98a8dc9e1p-17, -0x1.e7ac679e9846bp-17, -0x1.e57fd7c05a0bp-17, -0x1.e3461ce9c9849p-17, }}, 
      {{-0x1.48efd8f53191dp-1, -0x1.1e764a229a72bp-1, -0x1.fa122020e3e2fp-2, -0x1.dd3345fad7929p-2, -0x1.e905a0eb852cep-2, -0x1.0c099f7a379cfp-1, -0x1.30d94685f33e1p-1, -0x1.5e59e60a85f4ep-1, -0x1.905c858093be8p-1, -0x1.c36502d0b5722p-1, -0x1.f4bd8a3fc5569p-1, -0x1.1136b8f5c9bcap+0, -0x1.25913b0c22017p+0, -0x1.370a71d4de8fep+0, -0x1.4575bb822e52cp+0, -0x1.50d0b6f664663p+0, -0x1.5937f6b7aec1ap+0, -0x1.5edd89c7b7212p+0, -0x1.62014e819cabfp+0, -0x1.62eae6b47aa99p+0, -0x1.61e5172b1dd74p+0, -0x1.5f3a59a5d887fp+0, -0x1.5b326a3e8a92p+0, -0x1.56109e55ecf7bp+0, -0x1.5012d97d5d998p+0, -0x1.4970fb58a3e6p+0, -0x1.425ca7e0060e7p+0, -0x1.3b0151510078ap+0, -0x1.33847006f3992p+0, -0x1.2c05d90f561acp+0, -0x1.24a027d2fd591p+0, -0x1.1d6931fb600b6p+0, -0x1.16727f6793cf5p+0, -0x1.0fc9c19a2d2a1p+0, -0x1.0979472ca3f2cp+0, -0x1.0388693015e92p+0, -0x1.fbf7e27d9fa9cp-1, -0x1.f1aceee573dccp-1, -0x1.e8316fc1fd62dp-1, -0x1.df83bf6bd467cp-1, -0x1.d79fa4a0c14fep-1, -0x1.d07ecdaaf985p-1, -0x1.ca193d4df521ep-1, -0x1.c465aa78348e1p-1, -0x1.bf59d3acfc23ap-1, -0x1.baeac754c0f44p-1, -0x1.b70d21ea70156p-1, -0x1.b3b54313e6cb2p-1, -0x1.b0d77a96f5865p-1, -0x1.ae682deca5a52p-1, -0x1.ac5bf75ce1a83p-1, -0x1.aaa7bf5789d15p-1, -0x1.a940d0ba8eec1p-1, -0x1.a81ce8a6b8b0dp-1, -0x1.a732428546a32p-1, -0x1.a677a0ba083ebp-1, -0x1.a5e4526640997p-1, -0x1.a57036eb1d722p-1, -0x1.a513bf00a25abp-1, -0x1.a4c7eca230a2p-1, -0x1.a48650b1f0d06p-1, -0x1.a449089025e58p-1, -0x1.a40ab945eb0cfp-1, -0x1.a3c68bbc88d2dp-1, -0x1.a3782647d868bp-1, -0x1.a31ba80e053c3p-1, -0x1.a2ada1c6c16aap-1, -0x1.a22b108974fc6p-1, -0x1.a1915692f1afdp-1, -0x1.a0de357596d0fp-1, -0x1.a00fc78ee837cp-1, -0x1.9f2479b577d4cp-1, -0x1.9e1b0583ddbe4p-1, -0x1.9cf26afcecd79p-1, -0x1.9ba9eb6dc4c9p-1, -0x1.9a410390f100ap-1, -0x1.98b766ba67759p-1, -0x1.970cf9c197473p-1, -0x1.9541ce797f8ccp-1, -0x1.93561f47e3724p-1, -0x1.914a4b07e0f67p-1, -0x1.8f1ed1307fde7p-1, -0x1.8cd44e2fb6192p-1, -0x1.8a6b780c47e08p-1, -0x1.87e51b37457b5p-1, -0x1.8542179cf0dd4p-1, -0x1.82835de09be4bp-1, -0x1.7fa9ecd97f90fp-1, -0x1.7cb6cf30b9408p-1, -0x1.79ab1937d9298p-1, -0x1.7687e6e71dabcp-1, -0x1.734e5a04e1cf4p-1, -0x1.6fff987b0b87fp-1, -0x1.6c9ccac74481fp-1, -0x1.69271a9db486ap-1, -0x1.659fb19f9053dp-1, -0x1.6207b83c12588p-1, -0x1.5e6054abaed23p-1, -0x1.5aaaaa01ca042p-1, -0x1.56e7d7670d9c8p-1, -0x1.5318f75d7e6fp-1, -0x1.4f3f1f22306a1p-1, -0x1.4b5b5e281ea6fp-1, -0x1.476ebd9a7362fp-1, -0x1.437a3ffdd6d89p-1, -0x1.3f7ee0dbc3094p-1, -0x1.3b7d9478cbb8bp-1, -0x1.377747a399426p-1, -0x1.336cdf87646aap-1, -0x1.2f5f3989a7b06p-1, -0x1.2b4f2b3af606dp-1, -0x1.273d824793532p-1, -0x1.232b0473d3ffp-1, -0x1.1f186fa33443fp-1, -0x1.1b0679e11227dp-1, -0x1.16f5d170e3b4cp-1, -0x1.12e71ce76ce28p-1, -0x1.0edafb43e17ddp-1, -0x1.0ad2040d69387p-1, -0x1.06ccc777424bp-1, -0x1.02cbce867b90ep-1, -0x1.fd9f36706a01bp-2, -0x1.f5b15157b9ddep-2, -0x1.edced6a1c06ccp-2, -0x1.e5f8a225c4b77p-2, -0x1.de2f830d91225p-2, -0x1.d6743c37c420fp-2, -0x1.cec78498db043p-2, -0x1.c72a0796ea448p-2, -0x1.bf9c656b4fe0dp-2, -0x1.b81f338756b01p-2, -0x1.b0b2fcf18891p-2, -0x1.a95842a28737fp-2, -0x1.a20f7be70aa3bp-2, -0x1.9ad916bd8ad34p-2, -0x1.93b5782e85d0ep-2, -0x1.8ca4fca7582p-2, -0x1.85a7f85590509p-2, -0x1.7ebeb77c48eeap-2, -0x1.77e97ec6c9caap-2, -0x1.71288b9cb90b1p-2, -0x1.6a7c1473fb61cp-2, -0x1.63e4491de63adp-2, -0x1.5d615313628f2p-2, -0x1.56f355bfb6073p-2, -0x1.509a6ec8b473fp-2, -0x1.4a56b653fb0dep-2, -0x1.44283f4abeabp-2, -0x1.3e0f179bc600dp-2, -0x1.380b4878e40d2p-2, -0x1.321cd6952c886p-2, -0x1.2c43c26075d9bp-2, -0x1.2680083f9d928p-2, -0x1.20d1a0c23620ap-2, -0x1.1b3880d6ce0f8p-2, -0x1.15b49a00924b9p-2, -0x1.1045da86fe3abp-2, -0x1.0aec2da25e323p-2, -0x1.05a77ba9b77b8p-2, -0x1.0077aa40698aap-2, -0x1.f6b938ff61fbfp-3, -0x1.ecac6637d271ap-3, -0x1.e2c899141017dp-3, -0x1.d90d8a4d3c4eap-3, -0x1.cf7aeeb53ea43p-3, -0x1.c610777670df1p-3, -0x1.bccdd24fabec8p-3, -0x1.b3b2a9d35677dp-3, -0x1.aabea5a74073fp-3, -0x1.a1f16abd8185ap-3, -0x1.994a9b85c8494p-3, -0x1.90c9d81e3e48ap-3, -0x1.886ebe87bbe2bp-3, -0x1.8038ead894702p-3, -0x1.7827f7684ca75p-3, -0x1.703b7cf6090a5p-3, -0x1.687312cfcb0a2p-3, -0x1.60ce4efc74028p-3, -0x1.594cc663b871ap-3, -0x1.51ee0cf0403f8p-3, -0x1.4ab1b5ad4a408p-3, -0x1.439752e55253p-3, -0x1.3c9e7642f963ep-3, -0x1.35c6b0f08bd8dp-3, -0x1.2f0f93b313205p-3, -0x1.2878af00fa51dp-3, -0x1.22019319100a9p-3, -0x1.1ba9d01b8bbe9p-3, -0x1.1570f622eef8cp-3, -0x1.0f569559753cap-3, -0x1.095a3e0af6647p-3, -0x1.037b80b571117p-3, -0x1.fb73dc3619681p-4, -0x1.f02a2eaa1226p-4, -0x1.e5191bca63a88p-4, -0x1.da3fc788291aep-4, -0x1.cf9d56da15d52p-4, -0x1.c530efd4ff877p-4, -0x1.baf9b9c5a893p-4, -0x1.b0f6dd4d6d423p-4, -0x1.a7278477d273ep-4, -0x1.9d8adace7fa7ap-4, -0x1.94200d691e154p-4, -0x1.8ae64afdf07bep-4, -0x1.81dcc3f4158d6p-4, -0x1.7902aa75d5f67p-4, -0x1.705732803694dp-4, -0x1.67d991ef1d5bcp-4, -0x1.5f890087642a9p-4, -0x1.5764b801057f9p-4, -0x1.4f6bf4125924dp-4, -0x1.479df27bb2ac7p-4, -0x1.3ff9f3115b4cap-4, -0x1.387f37c2fbb78p-4, -0x1.312d04a11b4e6p-4, -0x1.2a029fe225c4cp-4, -0x1.22ff51e827b8bp-4, -0x1.1c2265470cf2fp-4, -0x1.156b26ca51bd2p-4, -0x1.0ed8e57914dep-4, -0x1.086af2986b181p-4, -0x1.0220a1acbf2fp-4, -0x1.f7f290f67f4a1p-5, -0x1.ebe87e1798bcbp-5, -0x1.e021bf561d52fp-5, -0x1.d49d0dd7d1255p-5, -0x1.c959274f62763p-5, -0x1.be54cdfaaa806p-5, -0x1.b38ec89fbc2afp-5, -0x1.a905e28a37595p-5, -0x1.9eb8eb88e1e52p-5, -0x1.94a6b7ec25a58p-5, -0x1.8ace20828b5c9p-5, -0x1.812e0294e133cp-5, -0x1.77c53fdfff1f8p-5, -0x1.6e92be8e6c4c4p-5, -0x1.6595693365cbep-5, -0x1.5ccc2ebd6d8ddp-5, -0x1.5436027a83f02p-5, -0x1.4bd1dc060df79p-5, -0x1.439eb74ab8be6p-5, -0x1.3b9b9474dd7f7p-5, -0x1.33c777e98f6fap-5, -0x1.2c216a3e6ac0dp-5, -0x1.24a878307518p-5, -0x1.1d5bb29a4659bp-5, -0x1.163a2e6a70179p-5, -0x1.0f430499f5e0dp-5, -0x1.0875522250696p-5, -0x1.01d037f2ce236p-5, -0x1.f6a5b5cafbf4ep-6, -0x1.e9f8c767f1f92p-6, -0x1.dd97fdd8c7345p-6, -0x1.d181b9cd0b894p-6, -0x1.c5b46371eeeafp-6, -0x1.ba2e6a5c14b6ep-6, -0x1.aeee4570fe36p-6, -0x1.a3f272cfc8026p-6, -0x1.993977b9778ap-6, -0x1.8ec1e07926ca7p-6, -0x1.848a404c6df94p-6, -0x1.7a91314c170fdp-6, -0x1.70d554550a565p-6, -0x1.675550f14bd2ap-6, -0x1.5e0fd5404ae74p-6, -0x1.550395deb294ap-6, -0x1.4c2f4dd0eaa3p-6, -0x1.4391be683e042p-6, -0x1.3b29af2d3fd74p-6, -0x1.32f5edc7c312ap-6, -0x1.2af54de6a5d76p-6, -0x1.2326a9299550cp-6, -0x1.1b88df09e252ap-6, -0x1.141ad4c38739dp-6, -0x1.0cdb753e53cc5p-6, -0x1.05c9b0f71d526p-6, -0x1.fdc8fbd1d0b4bp-7, -0x1.f055aeec303adp-7, -0x1.e3377ca337907p-7, -0x1.d66c70d106693p-7, -0x1.c9f2a1979d7e3p-7, -0x1.bdc82f3508262p-7, -0x1.b1eb43d8d4e16p-7, -0x1.a65a137a0df86p-7, -0x1.9b12dbad9606ap-7, -0x1.9013e37c43c89p-7, -0x1.855b7b384f651p-7, -0x1.7ae7fc527688dp-7, -0x1.70b7c92f05c3ap-7, -0x1.66c94cfbbaa27p-7, -0x1.5d1afb8716847p-7, -0x1.53ab5119aab01p-7, -0x1.4a78d2513a777p-7, -0x1.41820bfcd804ep-7, -0x1.38c592f8d02dp-7, -0x1.3042040965fa4p-7, -0x1.27f603b39e8cp-7, -0x1.1fe03e149d35p-7, -0x1.17ff66b8c653ap-7, -0x1.10523874499a3p-7, -0x1.08d7753ec957bp-7, -0x1.018de612a20d6p-7, -0x1.f4e8b59efa5b4p-8, -0x1.e713543d2745cp-8, -0x1.d99962ac5f55dp-8, -0x1.cc78a8b4af939p-8, -0x1.bfaefaf311045p-8, -0x1.b33a3a8b74efp-8, -0x1.a71854d85bc08p-8, -0x1.9b47431be63cap-8, -0x1.8fc50a3bea80fp-8, -0x1.848fba893fca1p-8, -0x1.79a56f94e6c7fp-8, -0x1.6f04500a9d554p-8, -0x1.64aa8d8eaa9ffp-8, -0x1.5a96649370328p-8, -0x1.50c61c214e491p-8, -0x1.4738058fd24b8p-8, -0x1.3dea7c32fb803p-8, -0x1.34dbe50693298p-8, -0x1.2c0aae6594b3p-8, -0x1.23754fd28c2fdp-8, -0x1.1b1a49c88c928p-8, -0x1.12f825a0be33ep-8, -0x1.0b0d758d172eap-8, -0x1.0358d488e2bcbp-8, -0x1.f7b1cc8ff1005p-9, -0x1.e918ae22eac57p-9, -0x1.dae3b6e721efap-9, -0x1.cd105fd74327fp-9, -0x1.bf9c311a87fdcp-9, -0x1.b284c152ddc32p-9, -0x1.a5c7b5151ad3ap-9, -0x1.9962beae4bc19p-9, -0x1.8d539e1fdabcap-9, -0x1.819821328af45p-9, -0x1.762e2398f826bp-9, -0x1.6b138f04ad513p-9, -0x1.60465b05d1539p-9, -0x1.55c48ca7f5f3bp-9, -0x1.4b8c35d1aeeb6p-9, -0x1.419b747cd499ap-9, -0x1.37f071ebcc77fp-9, -0x1.2e8961f7269a6p-9, -0x1.256482a22020fp-9, -0x1.1c801bf30f3e9p-9, -0x1.13da801400554p-9, -0x1.0b720ba2503p-9, -0x1.03452607790e4p-9, -0x1.f6a4836afb612p-10, -0x1.e72fb850e9133p-10, -0x1.d828fb3750d85p-10, -0x1.c98d70eb592dbp-10, -0x1.bb5a5101c9474p-10, -0x1.ad8ce4267ccdep-10, -0x1.a02282966a544p-10, -0x1.9318930b2c24fp-10, -0x1.866c8a3e5b218p-10, -0x1.7a1beb02e7522p-10, -0x1.6e2446eb4846ap-10, -0x1.62833f2c0ef2cp-10, -0x1.573685759f5aep-10, -0x1.4c3bdc9073cd5p-10, -0x1.4191186b4647ep-10, -0x1.37341da7c7417p-10, -0x1.2d22e097e3391p-10, -0x1.235b63d23c542p-10, -0x1.19dbb69b8b4adp-10, -0x1.10a1f364e69bap-10, -0x1.07ac3e9aec2b6p-10, -0x1.fdf18be2c3806p-11, -0x1.ed0b807a5c804p-11, -0x1.dca2dba928c38p-11, -0x1.ccb432ad1fa7ep-11, -0x1.bd3c3150c24a9p-11, -0x1.ae379be0041a3p-11, -0x1.9fa350a49e285p-11, -0x1.917c488dd2d72p-11, -0x1.83bf96c8c8377p-11, -0x1.766a6737bb35cp-11, -0x1.6979fbede42f6p-11, -0x1.5ceba9fe50febp-11, -0x1.50bcd6117dd72p-11, -0x1.44eaf14cd757p-11, -0x1.397376df6ebfdp-11, -0x1.2e53eb42795a7p-11, -0x1.2389dc1ab1f33p-11, -0x1.1912e233c63a6p-11, -0x1.0eeca40c0e37dp-11, -0x1.0514d9080ffa2p-11, -0x1.f71298f94e2c5p-12, -0x1.e48fbff8d2dap-12, -0x1.d29d18c7f0256p-12, -0x1.c136c29c06fa1p-12, -0x1.b05905ad0ea23p-12, -0x1.a0004bb3134d5p-12, -0x1.902916919d523p-12, -0x1.80cff6ac2c277p-12, -0x1.71f182dc83a6ep-12, -0x1.638a53a434bb6p-12, -0x1.55970290ef392p-12, -0x1.48142dce9b9adp-12, -0x1.3afe7ee5a8bbfp-12, -0x1.2e52b32e3a9ddp-12, -0x1.220da46d90037p-12, -0x1.162c5071e1a7dp-12, -0x1.0aabdeb623351p-12, -0x1.ff13445edda92p-13, -0x1.e9862cab7abf1p-13, -0x1.d4abb0c8b2ad1p-13, -0x1.c07f3b71222f5p-13, -0x1.acfc51158f848p-13, -0x1.9a1e78e19c376p-13, -0x1.87e12c9b71805p-13, -0x1.763fd3567358ep-13, -0x1.6535c662c59e3p-13, -0x1.54be5dbd921e6p-13, -0x1.44d4ffe1f2f68p-13, -0x1.3575315fd6456p-13, -0x1.269aa265f4c1ep-13, -0x1.184139f9decbdp-13, -0x1.0a651ebae50dbp-13, -0x1.fa0577e230bbp-14, -0x1.e02d80bafbf32p-14, -0x1.c73c292dc7d38p-14, -0x1.af2b9234b89bbp-14, -0x1.97f5ff3716e2fp-14, -0x1.8195ab70f7dc2p-14, -0x1.6c04ae9e4d328p-14, -0x1.573cf7e01a4e9p-14, -0x1.43385d2bc403fp-14, -0x1.2ff0b6067239fp-14, -0x1.1d5ff56519707p-14, -0x1.0b8039c24626ep-14, -0x1.f497a42286b8p-15, -0x1.d37a7b2a1fab9p-15, -0x1.b39e5ee6a5dap-15, -0x1.94f93584ca1eap-15, -0x1.77818675bd7c1p-15, -0x1.5b2e912b1f8e6p-15, -0x1.3ff8419a94212p-15, -0x1.25d6ff473bf3ap-15, -0x1.0cc3636396dd9p-15, -0x1.e96beb042c7a4p-16, -0x1.bb4e1438bc238p-16, -0x1.8f1d9b9aefb31p-16, -0x1.64cae3113ea6p-16, -0x1.3c46bbb7bdde6p-16, -0x1.1582a730c69d8p-16, -0x1.e0e1ab15d5f79p-17, -0x1.9a07c46169e36p-17, -0x1.565ce2ae04b7bp-17, -0x1.15c5cbc639284p-17, -0x1.b04d8a6b24143p-18, -0x1.3ac89391bd5cbp-18, -0x1.9590a8c429ffep-19, -0x1.807433e702d8bp-20, 0x1.58f5e055a97f5p-24, 0x1.9783c74a2c4edp-20, 0x1.82fe254310f58p-19, 0x1.186333b1f22b7p-18, 0x1.6ab328a10b35ep-18, 0x1.b894f76ff5a13p-18, 0x1.0116bceafb492p-17, 0x1.23cfb49443605p-17, 0x1.44851a1ab0284p-17, 0x1.6345ab62d1464p-17, 0x1.801fde0a35bd9p-17, 0x1.9b22a92d0c80ap-17, 0x1.b45eb553206c7p-17, 0x1.cbe687fe62179p-17, 0x1.e1cde70b90fcdp-17, 0x1.f628716359e9dp-17, 0x1.0484014922d3dp-16, 0x1.0d3dd17a174bcp-16, 0x1.1547c3e7618acp-16, 0x1.1ca708922dc2bp-16, 0x1.23609142e2f5ap-16, 0x1.29798ac34f2e4p-16, 0x1.2ef772e99a4adp-16, 0x1.33dfdbdcf822ap-16, 0x1.38380cbbc84b2p-16, 0x1.3c04b546953aap-16, 0x1.3f49e52d0b284p-16, 0x1.420b58a2d77fdp-16, 0x1.444cf662ae9b9p-16, 0x1.46133e5770d0dp-16, 0x1.47637d02f97dbp-16, 0x1.4843bb9141e2dp-16, 0x1.48ba7393a75d3p-16, 0x1.48ce0f3769293p-16, 0x1.4884581a8fc5fp-16, 0x1.47e2156afebb3p-16, 0x1.46eaf1183b0b3p-16, 0x1.45a1aa34ec4d9p-16, 0x1.44089bc1e31a7p-16, 0x1.42225457e9641p-16, 0x1.3ff1de1c9d168p-16, 0x1.3d7a9dabcd97fp-16, 0x1.3abfe68563f4p-16, 0x1.37c489c008158p-16, 0x1.348ab779c75c2p-16, 0x1.3114598cf5504p-16, 0x1.2d63a0ffb215ap-16, 0x1.297b5231bd963p-16, 0x1.255ea7c7b9529p-16, 0x1.2111059d05135p-16, 0x1.1c95c4d70daa6p-16, 0x1.17f02a6b9f565p-16, 0x1.132364a74effcp-16, 0x1.0e326f7bab386p-16, 0x1.091fe9b764997p-16, 0x1.03edf93d05e1p-16, 0x1.fd3c99b4d19f9p-17, 0x1.f2648326c4122p-17, 0x1.e756514972afbp-17, 0x1.dc151953e4c02p-17, 0x1.d0a4891ecceddp-17, 0x1.c5087126055c6p-17, 0x1.b943faa44727p-17, 0x1.ad5964aaf7ee3p-17, 0x1.a14ab4b4351a3p-17, 0x1.951aaff334921p-17, 0x1.88ccf52fd28d9p-17, 0x1.7c6568cd203ap-17, 0x1.6fe79c1b7f9a7p-17, 0x1.6356a16bf49ep-17, 0x1.56b535156e2acp-17, 0x1.4a05fd5b514e1p-17, 0x1.3d4ba83c8a3c8p-17, 0x1.3088cefdeb921p-17, 0x1.23bfd19845c5dp-17, 0x1.16f2f59e8b1afp-17, 0x1.0a24961500744p-17, 0x1.faadb97b591b8p-18, 0x1.e1169899a09b4p-18, 0x1.c785edb8f1cd1p-18, 0x1.adfe6e2184572p-18, 0x1.9483bc4e2d3f4p-18, 0x1.7b1937aa0f1cp-18, 0x1.61c14adddccd9p-18, 0x1.487e67b881436p-18, 0x1.2f53fd7bc7e4p-18, 0x1.16460203cd152p-18, 0x1.faafff2434556p-19, 0x1.c91980eb0392ep-19, 0x1.97cd166bef75bp-19, 0x1.66cef7b9f28d7p-19, 0x1.36237dc4028d6p-19, 0x1.05cf4819806e2p-19, 0x1.abae2c95dc26cp-20, 0x1.4c7ea2cd2a826p-20, 0x1.dc2dfd14fe173p-21, 0x1.20fa08d18fa88p-21, 0x1.9dc24e3792e27p-23, -0x1.4163020c1cfd5p-23, -0x1.06502e55e8b7ap-21, -0x1.ba71f2b76f424p-21, -0x1.365f8ff290999p-20, -0x1.8e9722e997146p-20, -0x1.e5d74605f27e5p-20, -0x1.1e0d32eb049c3p-19, -0x1.48ae9dbeb06bap-19, -0x1.72cd6e8b5f1e4p-19, -0x1.9c66abd0216ddp-19, -0x1.c577f49541fb1p-19, -0x1.edffb6050549ep-19, -0x1.0afe6d37ffadfp-18, -0x1.1eb738014ecd9p-18, -0x1.3229d03681236p-18, -0x1.4555b7dba8616p-18, -0x1.5839ea9c61d72p-18, -0x1.6ad538d6357cep-18, -0x1.7d26c9461c44ep-18, -0x1.8f2e87806e07bp-18, -0x1.a0ecc5999e5d4p-18, -0x1.b26174fbf5ae4p-18, -0x1.c38bc29c84425p-18, -0x1.d46a90c61b0fp-18, -0x1.e4fdd50c17d01p-18, -0x1.f5466c6558078p-18, -0x1.02a215cefb28dp-17, -0x1.0a7af61f01fc7p-17, -0x1.122dbd89e2d8ep-17, -0x1.19babba13a2f6p-17, -0x1.2121fba55ecd1p-17, -0x1.286354ed7379ep-17, -0x1.2f7eb3ca7dfdap-17, -0x1.36742178e54e5p-17, -0x1.3d43b6be4f56ap-17, -0x1.43ed975d6d22p-17, -0x1.4a71f0b5d1e01p-17, -0x1.50d0f242856ffp-17, -0x1.570abaed563d3p-17, -0x1.5d1f3f39e1251p-17, -0x1.630e541468e99p-17, -0x1.68d8059ac6c98p-17, -0x1.6e7cbf8a93d22p-17, -0x1.73fcd51b2232p-17, -0x1.79584694b5fa4p-17, -0x1.7e8f3f70277f5p-17, -0x1.83a233fe37b05p-17, -0x1.88914bc4e271dp-17, -0x1.8d5c7389ab97p-17, -0x1.9203e1776c2bep-17, -0x1.9687c04880436p-17, -0x1.9ae83afa5d073p-17, -0x1.9f25cfb0d680bp-17, -0x1.a340d284a2444p-17, -0x1.a7396047c5f99p-17, -0x1.ab0fa59d0c5cap-17, -0x1.aec3e433e17a3p-17, -0x1.b25663ed8ff19p-17, -0x1.b5c76e91e87e6p-17, -0x1.b917519f75e9dp-17, -0x1.bc4660066c5p-17, -0x1.bf54f2ec85ae9p-17, -0x1.c24362d95e60fp-17, -0x1.c511e526f1d53p-17, -0x1.c7c089c601bfcp-17, -0x1.ca4f9ef312063p-17, -0x1.ccbfa664c632ep-17, -0x1.cf10e2f0a74d9p-17, -0x1.d1438f5e02f66p-17, -0x1.d3580e33bb1edp-17, -0x1.d54ebbf3606c5p-17, -0x1.d727f004cec01p-17, -0x1.d8e4034a9e5bp-17, -0x1.da832f160e166p-17, -0x1.dc05b6d96c2c5p-17, -0x1.dd6bee0dbfeb3p-17, -0x1.deb634d44ad4bp-17, -0x1.dfe50062ee2a7p-17, -0x1.e0f89a9a4b411p-17, -0x1.e1f1484744d6bp-17, -0x1.e2cf5dd221bd5p-17, -0x1.e39333fd56acdp-17, -0x1.e43d22b78ec9ep-17, -0x1.e4cd814b1c3c3p-17, -0x1.e544a71947a0fp-17, -0x1.e5a2ebc883933p-17, -0x1.e5e8a93a90898p-17, -0x1.e6163cd0123f1p-17, -0x1.e62bf9514d47fp-17, -0x1.e62a26273d683p-17, -0x1.e6111c3c2b7dep-17, -0x1.e5e132afab065p-17, -0x1.e59ac574ec7adp-17, -0x1.e53e3155d8bfp-17, -0x1.e4cbc68426ea1p-17, -0x1.e443d8e025a9cp-17, -0x1.e3a6bff07a88p-17, -0x1.e2f4d17faa433p-17, -0x1.e22e5f8a4e005p-17, -0x1.e153c1161f77ap-17, -0x1.e06552c7de819p-17, -0x1.df6361cc4715ap-17, -0x1.de4e3e77d085fp-17, -0x1.dd26418833883p-17, -0x1.dbebbfa123baep-17, -0x1.da9f0af70cb96p-17, -0x1.d94075fc91bb5p-17, -0x1.d7d052d33416cp-17, -0x1.d64ef3d7fa6e7p-17, -0x1.d4bcaa6cbca36p-17, -0x1.d319c8af5a80dp-17, -0x1.d1669ff0708a2p-17, -0x1.cfa380fe823dcp-17, -0x1.cdd0b72341899p-17, -0x1.cbee899eff502p-17, -0x1.c9fd5190dc873p-17, -0x1.c7fd684ea0d89p-17, -0x1.c5ef19d4d9084p-17, -0x1.c3d29d5ee89ecp-17, -0x1.c1a8454270922p-17, -0x1.bf7069b6da97bp-17, -0x1.bd2b56e751a14p-17, -0x1.bad955ab453bp-17, -0x1.b87aae7a6a275p-17, -0x1.b60faa3ad5d2fp-17, -0x1.b3989277c62e2p-17, -0x1.b115a8b1bb457p-17, -0x1.ae873e3b725dap-17, -0x1.abed8c6b1ba4ap-17, -0x1.a948f6d441235p-17, -0x1.a699b2af3e47ap-17, -0x1.a3dff721f3f5cp-17, -0x1.a11c1ad99739fp-17, -0x1.9e4e62fe84192p-17, -0x1.9b770fd8cab2p-17, -0x1.98966388416ddp-17, -0x1.95aca15b0109ap-17, -0x1.92ba0c914be8ap-17, -0x1.8fbee7b147f2ap-17, -0x1.8cbb7536e35ecp-17, -0x1.89aff121fb6fbp-17, -0x1.869c81f75b92fp-17, -0x1.8381744387206p-17, -0x1.805f33b2d1b11p-17, -0x1.7d35d84c84a2dp-17, -0x1.7a0586609116fp-17, -0x1.76ce97c7e81dp-17, -0x1.73914a9615ff8p-17, -0x1.704dd3d22e547p-17, -0x1.6d046aaa106f9p-17, -0x1.69b5475cbee43p-17, -0x1.6660a1feccde6p-17, -0x1.6306b1b4aa532p-17, -0x1.5fa7ac22e711ap-17, -0x1.5c43c699b8b1p-17, -0x1.58db39a99a1e3p-17, -0x1.556e410e7e8d6p-17, -0x1.51fd070d327e6p-17, -0x1.4e87bc228b384p-17, -0x1.4b0eaa64262e9p-17, -0x1.4791e75656778p-17, -0x1.4411b625c2a43p-17, -0x1.408e4adc8d082p-17, -0x1.3d07d14ae269cp-17, -0x1.397e784a274b7p-17, -0x1.35f26f9e4289cp-17, -0x1.3263e612639e5p-17, -0x1.2ed3096970d42p-17, -0x1.2b40092643395p-17, -0x1.27ab0f707b8aep-17, -0x1.241431015b7efp-17, -0x1.207bbe9703ac4p-17, -0x1.1ce1daab6d858p-17, -0x1.194695ee64f4bp-17, -0x1.15aa350fce35dp-17, -0x1.120cde67fe34dp-17, -0x1.0e6eb3fd665a4p-17, -0x1.0acff0ed8bf2dp-17, -0x1.07305b4f57177p-17, -0x1.03908ba2273c7p-17, -0x1.ffe1d39e439f1p-18, -0x1.f8a185d4e6e36p-18, -0x1.f16195aab22a6p-18, -0x1.ea2211b6c5e8cp-18, -0x1.e2e33ce488953p-18, -0x1.dba55a9b7966dp-18, -0x1.d468aeb448d29p-18, -0x1.cd2d8177e83eap-18, -0x1.c5f41ee0d4656p-18, -0x1.bebcbace40cd4p-18, -0x1.b7878c6b5cc8ap-18, -0x1.b054d053a688ap-18, -0x1.a924d5ec9deacp-18, -0x1.a1f7db638822bp-18, -0x1.9ace158f96eap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.528f0fda11b6bp-1, 0x1.528e113d4ed44p-1, 0x1.528d38cd83f08p-1, 0x1.528d7438f313dp-1, 0x1.528fa44770169p-1, 0x1.529463a003c1p-1, 0x1.529bdc420e8e9p-1, 0x1.52a5acce3ddf9p-1, 0x1.52b0dc44c980bp-1, 0x1.52bbd9c110cd8p-1, 0x1.52c4856c01a21p-1, 0x1.52c840000ec57p-1, 0x1.52c3fe8edc706p-1, 0x1.52b4609f5b74ep-1, 0x1.5295c720b450fp-1, 0x1.52646b0abf5f7p-1, 0x1.521c72d4bbd9cp-1, 0x1.51ba062e0724bp-1, 0x1.51395f9b578fp-1, 0x1.5096dbc6bc9f8p-1, 0x1.4fcf06728d116p-1, 0x1.4edea518f21d4p-1, 0x1.4dc2bf5423c9bp-1, 0x1.4c78a537eca4fp-1, 0x1.4afdf3ccc3fe9p-1, 0x1.495097e0cc7b4p-1, 0x1.476ecf6416dc7p-1, 0x1.45572984812c3p-1, 0x1.430885bafeb25p-1, 0x1.408211f889584p-1, 0x1.3dc3481ce1c37p-1, 0x1.3acbeadcda774p-1, 0x1.379c02397f1e6p-1, 0x1.3433d7a515088p-1, 0x1.3093f1eeec51p-1, 0x1.2cbd110b2f98dp-1, 0x1.28b029c8854ccp-1, 0x1.246e618246963p-1, 0x1.1ff909db6fa05p-1, 0x1.1b519c8c12c2ap-1, 0x1.1679b74920c5dp-1, 0x1.117317cca2366p-1, 0x1.0c3f98030dd0ap-1, 0x1.06e12a6132e3fp-1, 0x1.0159d6652dea9p-1, 0x1.f7576a880faabp-2, 0x1.ebb1dd89e7d35p-2, 0x1.dfc76c9517444p-2, 0x1.d39c9013f8127p-2, 0x1.c735ccdf669b3p-2, 0x1.ba97af61a97eap-2, 0x1.adc6c71105455p-2, 0x1.a0c7a23fad0a1p-2, 0x1.939eca3e82292p-2, 0x1.8650bfcfe183dp-2, 0x1.78e1f7e786ccap-2, 0x1.6b56d8b47d2a7p-2, 0x1.5db3b6f1f779ep-2, 0x1.4ffcd37be0564p-2, 0x1.42365923ee1e5p-2, 0x1.34645ac404157p-2, 0x1.268ad18aab123p-2, 0x1.18ad9b7e7d544p-2, 0x1.0ad07a355fc83p-2, 0x1.f9ee2378f11ap-3, 0x1.de49cf5bc76e1p-3, 0x1.c2bac4e26f21bp-3, 0x1.a7479147ecb8p-3, 0x1.8bf6814e6c7ap-3, 0x1.70cda09f83aafp-3, 0x1.55d2b96c4d46ap-3, 0x1.3b0b54486355ep-3, 0x1.207cb83ae6467p-3, 0x1.062beb01076ebp-3, 0x1.d83b62fb66f35p-4, 0x1.a4ad20a4670e6p-4, 0x1.71b59937b2331p-4, 0x1.3f5cd9a5caa8cp-4, 0x1.0daa738e5729cp-4, 0x1.b94afedc5dbebp-5, 0x1.58a93df7a985p-5, 0x1.f2f7feb21d654p-6, 0x1.379d75716a21bp-6, 0x1.fd6051432950cp-8, -0x1.ae2502e4fd648p-9, -0x1.cf4d908aa0f57p-7, -0x1.963e1b0888ae7p-6, -0x1.20bdedf948af1p-5, -0x1.74a966ca1f7d9p-5, -0x1.c6db92a134dddp-5, -0x1.0ba79fa24b836p-4, -0x1.32fff3a764b2cp-4, -0x1.5974d5f5d43bcp-4, -0x1.7f04a74edea1bp-4, -0x1.a3ae1587fa857p-4, -0x1.c770187b9776fp-4, -0x1.ea49ef0377041p-4, -0x1.061d8dfeecb6fp-3, -0x1.16a1b1af6c06dp-3, -0x1.26b163a772febp-3, -0x1.364cc2abb3938p-3, -0x1.457409cf1a2c3p-3, -0x1.54278f1846653p-3, -0x1.6267c22f2095cp-3, -0x1.70352b129b0afp-3, -0x1.7d9068d6f52cep-3, -0x1.8a7a306c808dp-3, -0x1.96f34b6f0f739p-3, -0x1.a2fc96fe1bdf7p-3, -0x1.ae97029d9aa8dp-3, -0x1.b9c38f1f96eb3p-3, -0x1.c4834d966b7f5p-3, -0x1.ced75e4fa7b63p-3, -0x1.d8c0efd77de7dp-3, -0x1.e2413e04a254ap-3, -0x1.eb59910c8b64ap-3, -0x1.f40b3c9fe121p-3, -0x1.fc579f0f0dd5fp-3, -0x1.0220103b5ae72p-2, -0x1.05e318fa01677p-2, -0x1.0975a67045f43p-2, -0x1.0cd8790ad9e58p-2, -0x1.100c549bada7ep-2, -0x1.13120002d38fap-2, -0x1.15ea44dae21d5p-2, -0x1.1895ef28b6092p-2, -0x1.1b15cd0e80bafp-2, -0x1.1d6aae820b6f7p-2, -0x1.1f9565061d01bp-2, -0x1.2196c366e23e9p-2, -0x1.236f9d794d52bp-2, -0x1.2520c7dd4df98p-2, -0x1.26ab17c2d0d6cp-2, -0x1.280f62b170dd9p-2, -0x1.294e7e52bff14p-2, -0x1.2a69403f1ca2p-2, -0x1.2b607dccf55bap-2, -0x1.2c350be26b638p-2, -0x1.2ce7bec9432cfp-2, -0x1.2d796a0509d3ep-2, -0x1.2deae02b628bfp-2, -0x1.2e3cf2be63d3bp-2, -0x1.2e707208fc104p-2, -0x1.2e862cfd401a9p-2, -0x1.2e7ef1149ee72p-2, -0x1.2e5b8a31dfe55p-2, -0x1.2e1cc284e50c8p-2, -0x1.2dc3627018d73p-2, -0x1.2d50306f7e7f8p-2, -0x1.2cc3f10156696p-2, -0x1.2c1f66904442cp-2, -0x1.2b63515eea178p-2, -0x1.2a906f74ef1dep-2, -0x1.29a77c8d60322p-2, -0x1.28a9320660556p-2, -0x1.279646d21a3acp-2, -0x1.266f6f68ea179p-2, -0x1.25355dbcb1a3cp-2, -0x1.23e8c12d4b4b4p-2, -0x1.228a467e14356p-2, -0x1.211a97cc7e2edp-2, -0x1.1f9a5c87a1fa9p-2, -0x1.1e0a3968c94p-2, -0x1.1c6ad06cdfceep-2, -0x1.1abcc0cecedcep-2, -0x1.1900a702a92c1p-2, -0x1.17371cb1af935p-2, -0x1.1560b8b715479p-2, -0x1.137e0f1d8bd1bp-2, -0x1.118fb11d7eefep-2, -0x1.0f962d1c05aa3p-2, -0x1.0d920eaa75b0cp-2, -0x1.0b83de869a559p-2, -0x1.096c229b8493ap-2, -0x1.074b5e02e8b4p-2, -0x1.052211070d156p-2, -0x1.02f0b925379dcp-2, -0x1.00b7d1109cea7p-2, -0x1.fcefa16b88f8bp-3, -0x1.f8625a7cc2e22p-3, -0x1.f3c8b22b260e8p-3, -0x1.ef2387d92004p-3, -0x1.ea73b57f5b0ecp-3, -0x1.e5ba0fb78add1p-3, -0x1.e0f765c7df5b7p-3, -0x1.dc2c81af1ceep-3, -0x1.d75a28314bf5p-3, -0x1.d28118e4f6d07p-3, -0x1.cda20e40ecb5ep-3, -0x1.c8bdbdaa85d3ep-3, -0x1.c3d4d78453a62p-3, -0x1.bee8073d48098p-3, -0x1.b9f7f360398c8p-3, -0x1.b5053da3c41c4p-3, -0x1.b01082fa844a9p-3, -0x1.ab1a5ba398f2cp-3, -0x1.a6235b3b76ab9p-3, -0x1.a12c10ccee3eap-3, -0x1.9c3506e2789bfp-3, -0x1.973ec397b24ddp-3, -0x1.9249c8ab03c8fp-3, -0x1.8d56938f73137p-3, -0x1.88659d7e997cfp-3, -0x1.83775b8ab49adp-3, -0x1.7e8c3eb0cf045p-3, -0x1.79a4b3eb0290fp-3, -0x1.74c12442befd1p-3, -0x1.6fe1f4e324c91p-3, -0x1.6b07872b6018fp-3, -0x1.663238c107f9ap-3, -0x1.616263a27be4p-3, -0x1.5c985e3939556p-3, -0x1.57d47b6c27ba9p-3, -0x1.53170ab1db8ffp-3, -0x1.4e605822c8ca6p-3, -0x1.49b0ac8b591a8p-3, -0x1.45084d7dfb271p-3, -0x1.40677d650cd5p-3, -0x1.3bce7b94add04p-3, -0x1.373d845c75ee7p-3, -0x1.32b4d11908628p-3, -0x1.2e3498458745dp-3, -0x1.29bd0d8cdc077p-3, -0x1.254e61dae3b5ep-3, -0x1.20e8c36d64bf3p-3, -0x1.1c8c5de4e96cep-3, -0x1.18395a5560521p-3, -0x1.13efdf569989dp-3, -0x1.0fb011148f2f6p-3, -0x1.0b7a115f7d751p-3, -0x1.074dffbbcfa19p-3, -0x1.032bf971ce995p-3, -0x1.fe28333a51683p-4, -0x1.f60cf27872b85p-4, -0x1.ee065e7e4b284p-4, -0x1.e614a12d708c6p-4, -0x1.de37e0861c658p-4, -0x1.d6703ec40fa1fp-4, -0x1.cebdda7b04057p-4, -0x1.c720ceb2b2413p-4, -0x1.bf993302622dap-4, -0x1.b8271babfe1cbp-4, -0x1.b0ca99b6c8eecp-4, -0x1.a983bb098af04p-4, -0x1.a2528a8456eaep-4, -0x1.9b371019d2509p-4, -0x1.943150e813d79p-4, -0x1.8d414f50fb831p-4, -0x1.86670b122c05dp-4, -0x1.7fa2815c7caf3p-4, -0x1.78f3aceb02d9p-4, -0x1.725a8619a1982p-4, -0x1.6bd702fb29037p-4, -0x1.6569176efff68p-4, -0x1.5f10b5365e789p-4, -0x1.58cdcc091407cp-4, -0x1.52a049a9dbe4fp-4, -0x1.4c8819fa44a73p-4, -0x1.4685270e2684bp-4, -0x1.4097593ea8228p-4, -0x1.3abe973cdb6cap-4, -0x1.34fac623e89cp-4, -0x1.2f4bc98acfdb2p-4, -0x1.29b18395bf147p-4, -0x1.242bd507018a5p-4, -0x1.1eba9d4f8121bp-4, -0x1.195dba9ee6369p-4, -0x1.141509f34d2fp-4, -0x1.0ee06728992fcp-4, -0x1.09bfad07641fap-4, -0x1.04b2b55388751p-4, -0x1.ff72b1b49da9dp-5, -0x1.f5a6df0072b38p-5, -0x1.ec01a09ce06cbp-5, -0x1.e282a2ffa39d8p-5, -0x1.d929911b5016p-5, -0x1.cff61478072ebp-5, -0x1.c6e7d54b75915p-5, -0x1.bdfe7a902ba3bp-5, -0x1.b539aa1c42dbdp-5, -0x1.ac9908b75e6abp-5, -0x1.a41c3a3001418p-5, -0x1.9bc2e170434cap-5, -0x1.938ca091e5897p-5, -0x1.8b7918f1c7c76p-5, -0x1.8387eb42c1234p-5, -0x1.7bb8b79fe4bc5p-5, -0x1.740b1d9e2e0fap-5, -0x1.6c7ebc5d9c049p-5, -0x1.65133299b99a7p-5, -0x1.5dc81eb99b9c8p-5, -0x1.569d1edf58a1ep-5, -0x1.4f91d0f6ee563p-5, -0x1.48a5d2c4b0893p-5, -0x1.41d8c1f326ef9p-5, -0x1.3b2a3c2079f1dp-5, -0x1.3499deeb5eb53p-5, -0x1.2e2747ff7fe7dp-5, -0x1.27d215217cff1p-5, -0x1.2199e43a6df6bp-5, -0x1.1b7e5362f83b6p-5, -0x1.157f00edf1efcp-5, -0x1.0f9b8b7298d3bp-5, -0x1.09d391d66106p-5, -0x1.0426b3565a927p-5, -0x1.fd291f2060866p-6, -0x1.f2398d159adb2p-6, -0x1.e77df17d286ccp-6, -0x1.dcf58e3a7f7dap-6, -0x1.d29fa632d7c9ap-6, -0x1.c87b7d5b79ebfp-6, -0x1.be8858c771d86p-6, -0x1.b4c57eb488f75p-6, -0x1.ab323697a4bd6p-6, -0x1.a1cdc92882022p-6, -0x1.9897806cd099fp-6, -0x1.8f8ea7c2beae2p-6, -0x1.86b28beaf04f5p-6, -0x1.7e027b11dfbc7p-6, -0x1.757dc4d8b525bp-6, -0x1.6d23ba5d9a254p-6, -0x1.64f3ae438566fp-6, -0x1.5cecf4b99451cp-6, -0x1.550ee381ce19fp-6, -0x1.4d58d1f7893bcp-6, -0x1.45ca19154e142p-6, -0x1.3e62137a46113p-6, -0x1.37201d6f4912ep-6, -0x1.300394eb7c50dp-6, -0x1.290bd99884e2ap-6, -0x1.22384cd65e187p-6, -0x1.1b8851bec3761p-6, -0x1.14fb4d28539b1p-6, -0x1.0e90a5a93f0f8p-6, -0x1.0847c399b86f7p-6, -0x1.02201116037acp-6, -0x1.f831f4005dfffp-7, -0x1.ec63d8031237dp-7, -0x1.e0d4ad1794964p-7, -0x1.d58355b3dc4cbp-7, -0x1.ca6eb7e199936p-7, -0x1.bf95bd3ee866p-7, -0x1.b4f752fe6f7ap-7, -0x1.aa9269e6ff23p-7, -0x1.a065f652dd2d8p-7, -0x1.9670f02e6aa85p-7, -0x1.8cb252f6861fcp-7, -0x1.83291db679095p-7, -0x1.79d453055e132p-7, -0x1.70b2f90359028p-7, -0x1.67c419564e8p-7, -0x1.5f06c1264d131p-7, -0x1.567a0119a1ad4p-7, -0x1.4e1ced50a19d1p-7, -0x1.45ee9d611d1cp-7, -0x1.3dee2c51815b3p-7, -0x1.361ab893c4cdbp-7, -0x1.2e73640004c67p-7, -0x1.26f753ceeba2cp-7, -0x1.1fa5b093d26b2p-7, -0x1.187da636b7aabp-7, -0x1.117e63edecd09p-7, -0x1.0aa71c37936e4p-7, -0x1.03f704d2ff4d7p-7, -0x1.fadaad739cfc2p-8, -0x1.ee129c31da89p-8, -0x1.e1945492d924cp-8, -0x1.d55e5b924e32ap-8, -0x1.c96f3c669c516p-8, -0x1.bdc58871b9043p-8, -0x1.b25fd731b13f8p-8, -0x1.a73cc63110f89p-8, -0x1.9c5af8f70c7f3p-8, -0x1.91b918f798f51p-8, -0x1.8755d5832360cp-8, -0x1.7d2fe3b650c22p-8, -0x1.7345fe697bba1p-8, -0x1.6996e62015c39p-8, -0x1.602160f81f81dp-8, -0x1.56e43a992ccedp-8, -0x1.4dde4423a505fp-8, -0x1.450e541fce1b9p-8, -0x1.3c73466ccddb1p-8, -0x1.340bfc2f9cc97p-8, -0x1.2bd75bc1eceddp-8, -0x1.23d450a115aadp-8, -0x1.1c01cb5cf1851p-8, -0x1.145ec186d2b63p-8, -0x1.0cea2da04ea7fp-8, -0x1.05a30f0a38b85p-8, -0x1.fd10d3e712945p-9, -0x1.ef328e909b1e9p-9, -0x1.e1a96941584dep-9, -0x1.d473885fe72cap-9, -0x1.c78f196770785p-9, -0x1.bafa52c5efcb1p-9, -0x1.aeb373bac9958p-9, -0x1.a2b8c43557868p-9, -0x1.970894b3bd91bp-9, -0x1.8ba13e21cf496p-9, -0x1.808121b85f9eap-9, -0x1.75a6a8dc6db94p-9, -0x1.6b1044fedd6dap-9, -0x1.60bc6f7c30d18p-9, -0x1.56a9a97c9eb4dp-9, -0x1.4cd67bd4357c6p-9, -0x1.434176e367427p-9, -0x1.39e93277bbaebp-9, -0x1.30cc4dacfa478p-9, -0x1.27e96ece36ec2p-9, -0x1.1f3f433787c2ap-9, -0x1.16cc7f37b4f38p-9, -0x1.0e8fddf27d04ap-9, -0x1.06882142c7c02p-9, -0x1.fd68233b183f5p-10, -0x1.ee24fbe923423p-10, -0x1.df44773396932p-10, -0x1.d0c44c461df87p-10, -0x1.c2a23e9ba2a3p-10, -0x1.b4dc1dc6b06d8p-10, -0x1.a76fc53ae5f2bp-10, -0x1.9a5b1c161db48p-10, -0x1.8d9c14eafb0c9p-10, -0x1.8130ad8c223f5p-10, -0x1.7516eed745c67p-10, -0x1.694cec81aba87p-10, -0x1.5dd0c4e515e45p-10, -0x1.52a0a0cd4cfe9p-10, -0x1.47bab34633e9ep-10, -0x1.3d1d396ad9445p-10, -0x1.32c67a34c8c11p-10, -0x1.28b4c64c1e3a3p-10, -0x1.1ee677d8bd7dep-10, -0x1.1559f25358921p-10, -0x1.0c0da257b5b9p-10, -0x1.02fffd777d5bbp-10, -0x1.f45f041b24331p-11, -0x1.e3356e24915a1p-11, -0x1.d28057dfe79b7p-11, -0x1.c23cf0b0fc205p-11, -0x1.b2687835e7584p-11, -0x1.a3003df532bb5p-11, -0x1.9401a10c015e3p-11, -0x1.856a0fddedd34p-11, -0x1.773707c5c8ffcp-11, -0x1.696614c84c2a9p-11, -0x1.5bf4d14771e6ap-11, -0x1.4ee0e5b72ceb5p-11, -0x1.42280853e2dcap-11, -0x1.35c7fcd8e1384p-11, -0x1.29be9439311f4p-11, -0x1.1e09ac58b3db5p-11, -0x1.12a72fc7a4542p-11, -0x1.0795157e1a52bp-11, -0x1.f9a2c131eac19p-12, -0x1.e4b440312ff65p-12, -0x1.d05add3f6e81ep-12, -0x1.bc92e467fc39cp-12, -0x1.a958b8015f2d7p-12, -0x1.96a8d02f967a4p-12, -0x1.847fba6dac82ep-12, -0x1.72da1916aeae4p-12, -0x1.61b4a2f2184d7p-12, -0x1.510c22c1ac8dcp-12, -0x1.40dd76d1accbdp-12, -0x1.3125908b15b8p-12, -0x1.21e17407947b2p-12, -0x1.130e37a78d06ep-12, -0x1.04a903ab3dfd9p-12, -0x1.ed5e23982e133p-13, -0x1.d23b59b2534a9p-13, -0x1.b7e460a92b446p-13, -0x1.9e541028c8afbp-13, -0x1.85855fc7246adp-13, -0x1.6d73664a9125ep-13, -0x1.561958f8933c7p-13, -0x1.3f728adf81b17p-13, -0x1.297a6c2ac2d7p-13, -0x1.142c897726af1p-13, -0x1.ff0916587d09fp-14, -0x1.d6fc69b0e0c5ap-14, -0x1.b02ac9208391dp-14, -0x1.8a8c24a245f1cp-14, -0x1.66189ecd88f73p-14, -0x1.42c88ba7f3adap-14, -0x1.20946f7f0651ap-14, -0x1.fee9fb934700fp-15, -0x1.bec6300c13072p-15, -0x1.80af99502a732p-15, -0x1.4498ac0f14cc7p-15, -0x1.0a7432afce3f7p-15, -0x1.a46a9688a0472p-16, -0x1.379ecb1d56b05p-16, -0x1.9cd90438dc2a3p-17, -0x1.a2ef58af73c82p-18, -0x1.9d5e75e4aec46p-22, 0x1.61f5303e2ffd2p-18, 0x1.686547f6c55c9p-17, 0x1.0cc0292aaee2bp-16, 0x1.623aed17ebd95p-16, 0x1.b4b77ac686c15p-16, 0x1.0224ed069663cp-15, 0x1.2882c96398cf5p-15, 0x1.4d7ed7fa0a1aep-15, 0x1.7122616066533p-15, 0x1.937672c1c0279p-15, 0x1.b483df5806c11p-15, 0x1.d45341d7aa68p-15, 0x1.f2ecfdd06e301p-15, 0x1.082ca0864da7dp-14, 0x1.16500272958b2p-14, 0x1.23e487c775584p-14, 0x1.30edfaaf5d4f9p-14, 0x1.3d700d0465f57p-14, 0x1.496e58ea64c22p-14, 0x1.54ec6168aa2b7p-14, 0x1.5fed92f9388c4p-14, 0x1.6a75441c49e31p-14, 0x1.7486b5e613fd3p-14, 0x1.7e251487d57c4p-14, 0x1.875377d4fc80cp-14, 0x1.9014e3c81b6d7p-14, 0x1.986c49013c887p-14, 0x1.a05c85446e88ep-14, 0x1.a7e863f1ec2dp-14, 0x1.af129e7f2c326p-14, 0x1.b5dddceade788p-14, 0x1.bc4cb62df344cp-14, 0x1.c261b0a89318ep-14, 0x1.c81f428f46a21p-14, 0x1.cd87d254f0686p-14, 0x1.d29db710eee79p-14, 0x1.d76338e2bd586p-14, 0x1.dbda915436feap-14, 0x1.e005ebb8eedeep-14, 0x1.e3e7658ad3b3p-14, 0x1.e7810ec2ea44fp-14, 0x1.ead4ea344da71p-14, 0x1.ede4ede149d1ap-14, 0x1.f0b3034fef23ap-14, 0x1.f34107daf4231p-14, 0x1.f590cd00af0c4p-14, 0x1.f7a418b23368p-14, 0x1.f97ca59f0ef1ap-14, 0x1.fb1c237da798dp-14, 0x1.fc84375465135p-14, 0x1.fdb67bc0454e8p-14, 0x1.feb481382232ap-14, 0x1.ff7fce4fca5dep-14, 0x1.000ceffb325a8p-13, 0x1.004214dc9fa11p-13, 0x1.00600affbdb53p-13, 0x1.0067832362604p-13, 0x1.005929ae52acfp-13, 0x1.0035a6cbce717p-13, 0x1.fffb3d0f01db2p-14, 0x1.ff6361d078ec4p-14, 0x1.fea4f4141260bp-14, 0x1.fdc1246f9dd77p-14, 0x1.fcb91c09613e5p-14, 0x1.fb8dfcc7f803ap-14, 0x1.fa40e1818c8dp-14, 0x1.f8d2de2838184p-14, 0x1.f744fff8bc4b5p-14, 0x1.f5984da54a27dp-14, 0x1.f3cdc780743b3p-14, 0x1.f1e667a58d7aep-14, 0x1.efe3222102b95p-14, 0x1.edc4e5180c91ap-14, 0x1.eb8c98ee2d7a7p-14, 0x1.e93b2069c5a7bp-14, 0x1.e6d158d833a2bp-14, 0x1.e4501a318c65ep-14, 0x1.e1b8373aa6ba3p-14, 0x1.df0a7da63e328p-14, 0x1.dc47b634c1ad4p-14, 0x1.d970a4d3bb283p-14, 0x1.d68608bcb5dfap-14, 0x1.d3889c93a486dp-14, 0x1.d079168268837p-14, 0x1.cd582855ada22p-14, 0x1.ca267f98f3064p-14, 0x1.c6e4c5b08d48ep-14, 0x1.c3939ff426b1bp-14, 0x1.c033afc6456e1p-14, 0x1.bcc592ae7c86p-14, 0x1.b949e270d70dcp-14, 0x1.b5c1352558f48p-14, 0x1.b22c1d4ed1169p-14, 0x1.ae8b29f044d24p-14, 0x1.aadee6a235c8ep-14, 0x1.a727dba8574f8p-14, 0x1.a3668e05497e1p-14, 0x1.9f9b7f8dc085cp-14, 0x1.9bc72efc67056p-14, 0x1.97ea18045cf0ep-14, 0x1.9404b36403c0dp-14, 0x1.901776f5f27a4p-14, 0x1.8c22d5c22dcdbp-14, 0x1.8827400e696bp-14, 0x1.8425236f4ffb4p-14, 0x1.801cead7d19e4p-14, 0x1.7c0efea8a086fp-14, 0x1.77fbc4bffed59p-14, 0x1.73e3a086fcb9p-14, 0x1.6fc6f300a81eep-14, 0x1.6ba61ad7cbfe4p-14, 0x1.6781746bcd8e1p-14, 0x1.635959ddfc983p-14, 0x1.5f2e231e7f192p-14, 0x1.5b0025f920972p-14, 0x1.56cfb62168a5ep-14, 0x1.529d253d8ae0ap-14, 0x1.4e68c2f2b2642p-14, 0x1.4a32dcef88f0fp-14, 0x1.45fbbef79f0dbp-14, 0x1.41c3b2eddea01p-14, 0x1.3d8b00dee2245p-14, 0x1.3951ef0b29d7fp-14, 0x1.3518c1f0b2bafp-14, 0x1.30dfbc54b10cbp-14, 0x1.2ca71f4cd35a9p-14, 0x1.286f2a484652ep-14, 0x1.24381b18141f2p-14, 0x1.20022df8600fcp-14, 0x1.1bcd9d990e8efp-14, 0x1.179aa325233cfp-14, 0x1.1369764b93948p-14, 0x1.0f3a4d46ac0dbp-14, 0x1.0b0d5ce363f42p-14, 0x1.06e2d88917063p-14, 0x1.02baf240de291p-14, 0x1.fd2bb5795cee6p-15, 0x1.f4e782bb3a81fp-15, 0x1.eca9a8772ab16p-15, 0x1.e4728055d006p-15, 0x1.dc426186f7bfap-15, 0x1.d419a0cdd34a8p-15, 0x1.cbf8908c49af2p-15, 0x1.c3df80cea766fp-15, 0x1.bbcebf59eed97p-15, 0x1.b3c697b41eda9p-15, 0x1.abc75330befe9p-15, 0x1.a3d138fc49895p-15, 0x1.9be48e267523p-15, 0x1.940195ab5ab73p-15, 0x1.8c28907f3b43dp-15, 0x1.8459bd989fc2dp-15, 0x1.7c9559f83503p-15, 0x1.74dba0b4445d4p-15, 0x1.6d2ccb01429dap-15, 0x1.6589103a11768p-15, 0x1.5df0a5eaf22e9p-15, 0x1.5663bfd92ead3p-15, 0x1.4ee2900aa4fbp-15, 0x1.476d46cf93958p-15, 0x1.400412cb23a8ep-15, 0x1.38a720f9d7382p-15, 0x1.31569cba2fcdbp-15, 0x1.2a12afd554739p-15, 0x1.22db8285e17ebp-15, 0x1.1bb13b7ebe1dbp-15, 0x1.1493fff38f28p-15, 0x1.0d83f39fe663p-15, 0x1.068138ccab184p-15, 0x1.ff17e0b17f62cp-16, 0x1.f148737f4b1dap-16, 0x1.e394663c8ee6cp-16, 0x1.d5fbf2765d6eap-16, 0x1.c87f4f1af904fp-16, 0x1.bb1eb082eea88p-16, 0x1.adda487ebfb43p-16, 0x1.a0b24664e7c82p-16, 0x1.93a6d71b8e732p-16, 0x1.86b82522e179fp-16, 0x1.79e658a4dc643p-16, 0x1.6d31977d7c3dfp-16, 0x1.609a054716995p-16, 0x1.541fc3640f8b1p-16, 0x1.47c2f10c46179p-16, 0x1.3b83ab5489ba1p-16, 0x1.2f620d3a1cd38p-16, 0x1.235e2faea3306p-16, 0x1.177829a015a8fp-16, 0x1.0bb0100278d69p-16, 0x1.0005f5db4ef07p-16, 0x1.e8f3d8959263cp-17, 0x1.d21805275a23ap-17, 0x1.bb788c4f8a69ap-17, 0x1.a515855bfb977p-17, 0x1.8eef041aca9e5p-17, 0x1.790518e73d3b6p-17, 0x1.6357d0c142c73p-17, 0x1.4de7355d4cc39p-17, 0x1.38b34d30fe7ep-17, 0x1.23bc1b8a95a94p-17, 0x1.0f01a09c04755p-17, 0x1.f507b31b74cb1p-18, 0x1.cc85811c7c124p-18, 0x1.a47c99c476941p-18, 0x1.7cece5eb27fadp-18, 0x1.55d648caecddcp-18, 0x1.2f38a02cc7c4ap-18, 0x1.0913c47cc46e2p-18, 0x1.c6cf11d1038bep-19, 0x1.7c6777047fe43p-19, 0x1.32f04ab8ee3e5p-19, 0x1.d4d22a70dc87bp-20, 0x1.45a2aa889d802p-20, 0x1.70a200caabccp-21, 0x1.66e0241c143cap-23, -0x1.72f60a700fd42p-22, -0x1.c8f9bfcf74c12p-21, -0x1.6a636f50454f6p-20, -0x1.ee729d935a761p-20, -0x1.3855f3d1ffcb5p-19, -0x1.78886d2aa6ddbp-19, -0x1.b7d188fd9e3a6p-19, -0x1.f6321d050a2e6p-19, -0x1.19d5832c738dbp-18, -0x1.381e949e37e89p-18, -0x1.55f4b87e8948dp-18, -0x1.735867de179f3p-18, -0x1.904a1f1eba7fdp-18, -0x1.acca5dd8fe505p-18, -0x1.c8d9a6d3b448p-18, -0x1.e4787fe4da614p-18, -0x1.ffa771db913d4p-18, -0x1.0d338436d6c2bp-17, -0x1.1a5be910a49bfp-17, -0x1.274d301daf1a4p-17, -0x1.3407a351e7bb2p-17, -0x1.408b8dece66bcp-17, -0x1.4cd93c7030f47p-17, -0x1.58f0fc912860fp-17, -0x1.64d31d3285286p-17, -0x1.707fee5b06ef6p-17, -0x1.7bf7c12b48149p-17, -0x1.873ae7d26984bp-17, -0x1.9249b587ea1b1p-17, -0x1.9d247e84792a4p-17, -0x1.a7cb97f6d271bp-17, -0x1.b23f57f74033p-17, -0x1.bc801583b027ap-17, -0x1.c68e2877d354cp-17, -0x1.d069e983387fep-17, -0x1.da13b21fd1486p-17, -0x1.e38bdc8ad318ep-17, -0x1.ecd2c3bee9539p-17, -0x1.f5e8c3686a1b6p-17, }}, 
      {{0x1.528f57452b28ap-1, 0x1.528ef6d2d24f2p-1, 0x1.528e81f5a1e4cp-1, 0x1.528e2ed7230c9p-1, 0x1.528e3799b2f8cp-1, 0x1.528ecfefe5107p-1, 0x1.52901c76d17d8p-1, 0x1.52922c39f211p-1, 0x1.5294f464767bep-1, 0x1.52984dedb80cp-1, 0x1.529bf4f4e29eep-1, 0x1.529f897828bcfp-1, 0x1.52a2911655a94p-1, 0x1.52a479914b4dep-1, 0x1.52a49bd1f3e0ap-1, 0x1.52a23f38a7471p-1, 0x1.529c9d0ef9946p-1, 0x1.5292e3f9098b6p-1, 0x1.52843b4c518fap-1, 0x1.526fc638e5e31p-1, 0x1.5254a6b7bfa7cp-1, 0x1.5232003579e1cp-1, 0x1.5206f9f4bab22p-1, 0x1.51d2c1268fe45p-1, 0x1.51948ab957da6p-1, 0x1.514b94e099136p-1, 0x1.50f72859699a1p-1, 0x1.5096996fe23ffp-1, 0x1.502948caa288bp-1, 0x1.4faea401acca2p-1, 0x1.4f262605f2f5ap-1, 0x1.4e8f575ed5668p-1, 0x1.4de9ce42a1661p-1, 0x1.4d352e8edd4e4p-1, 0x1.4c7129a4d054dp-1, 0x1.4b9d7e2e6acd7p-1, 0x1.4ab9f7cf462fep-1, 0x1.49c66ec525e47p-1, 0x1.48c2c77afee54p-1, 0x1.47aef2113b8f1p-1, 0x1.468ae9dd9cc1fp-1, 0x1.4556b4e4d4d79p-1, 0x1.4412634fb062ap-1, 0x1.42be0edd63c11p-1, 0x1.4159da545eabbp-1, 0x1.3fe5f0f2d2251p-1, 0x1.3e6285dfec7d7p-1, 0x1.3ccfd39ea4752p-1, 0x1.3b2e1b82c922ep-1, 0x1.397da528f3673p-1, 0x1.37bebdf1d1a6ep-1, 0x1.35f1b88139c65p-1, 0x1.3416ec414c995p-1, 0x1.322eb4e9f1973p-1, 0x1.3039720cd5ed5p-1, 0x1.2e3786a613a79p-1, 0x1.2c2958b199caep-1, 0x1.2a0f50c5605d8p-1, 0x1.27e9d9b06ddf4p-1, 0x1.25b9601eab8bbp-1, 0x1.237e52417e82fp-1, 0x1.21391f7d18a66p-1, 0x1.1eea381a6b9c3p-1, 0x1.1c920cfda94eep-1, 0x1.1a310f613551bp-1, 0x1.17c7b094ec562p-1, 0x1.155661c19f2c7p-1, 0x1.12dd93b0a5614p-1, 0x1.105db6975e217p-1, 0x1.0dd739e6833d8p-1, 0x1.0b4a8c1d2486p-1, 0x1.08b81a9f28179p-1, 0x1.0620518f2e9c1p-1, 0x1.03839babaedbap-1, 0x1.00e2622f2b5f4p-1, 0x1.fc7a1966b27bdp-2, 0x1.f728022e28e72p-2, 0x1.f1cf46cdfc476p-2, 0x1.ec70ab9148e5dp-2, 0x1.e70cf0d01af89p-2, 0x1.e1a4d2cf0cc23p-2, 0x1.dc3909a32e00dp-2, 0x1.d6ca4919edde6p-2, 0x1.d15940a4d45dep-2, 0x1.cbe69b48c6a87p-2, 0x1.c672ff90a2c6ep-2, 0x1.c0ff0f82fa7ap-2, 0x1.bb8b689ab5599p-2, 0x1.b618a3c26dcb3p-2, 0x1.b0a7555251698p-2, 0x1.ab380d10586e6p-2, 0x1.a5cb5632ad6cfp-2, 0x1.a061b7640ed21p-2, 0x1.9afbb2ca0e761p-2, 0x1.9599c60d0263dp-2, 0x1.903c6a618101ep-2, 0x1.8ae414934b26cp-2, 0x1.8591351180e92p-2, 0x1.804437fc002e8p-2, 0x1.7afd8531d5ab4p-2, 0x1.75bd80609c41bp-2, 0x1.70848914ba7bp-2, 0x1.6b52faca60329p-2, 0x1.66292cff2d237p-2, 0x1.610773446f317p-2, 0x1.5bee1d51dfccap-2, 0x1.56dd7718d25cep-2, 0x1.51d5c8d7bcd5ap-2, 0x1.4cd7572e12f99p-2, 0x1.47e2633059077p-2, 0x1.42f72a7c69ddp-2, 0x1.3e15e74de35ccp-2, 0x1.393ed092a3196p-2, 0x1.347219ff55eaep-2, 0x1.2faff42403fefp-2, 0x1.2af88c809ab61p-2, 0x1.264c0d9960f45p-2, 0x1.21aa9f0b57363p-2, 0x1.1d1465a078dd1p-2, 0x1.18898363d493ep-2, 0x1.140a17b57a7bfp-2, 0x1.0f963f5e3c2b5p-2, 0x1.0b2e14a32f897p-2, 0x1.06d1af5900697p-2, 0x1.028124f6fb559p-2, 0x1.fc791153b9158p-3, 0x1.f407d6ccabe2cp-3, 0x1.ebaeb7f6a014cp-3, 0x1.e36dce47c02e7p-3, 0x1.db452f31e296dp-3, 0x1.d334ec4540497p-3, 0x1.cb3d13528fd7bp-3, 0x1.c35dae8c7a29bp-3, 0x1.bb96c4a872ae1p-3, 0x1.b3e858fee15fbp-3, 0x1.ac526baab0395p-3, 0x1.a4d4f9a8299eap-3, 0x1.9d6ffcf3378fbp-3, 0x1.96236ca4f20f1p-3, 0x1.8eef3d108f339p-3, 0x1.87d35fdfa5108p-3, 0x1.80cfc42dcb872p-3, 0x1.79e456a38f0d2p-3, 0x1.73110190cdeaap-3, 0x1.6c55ad0661267p-3, 0x1.65b23eef2fe95p-3, 0x1.5f269b289ca2bp-3, 0x1.58b2a39a575d5p-3, 0x1.5256384d8d59ep-3, 0x1.4c11378384021p-3, 0x1.45e37dcb92e3ap-3, 0x1.3fcce61892b15p-3, 0x1.39cd49d5a6e59p-3, 0x1.33e480fa8536ep-3, 0x1.2e12621f1f98cp-3, 0x1.2856c28ec504bp-3, 0x1.22b1765abacd8p-3, 0x1.1d22506c4069cp-3, 0x1.17a9229619dbep-3, 0x1.1245bda589d83p-3, 0x1.0cf7f172cf03ap-3, 0x1.07bf8cf120c67p-3, 0x1.029c5e3e2e55bp-3, 0x1.fb1c65623c63ep-4, 0x1.f129add23be01p-4, 0x1.e7602db6e168ap-4, 0x1.ddbf7bc2267e8p-4, 0x1.d4472d87cef0ap-4, 0x1.caf6d796ecd63p-4, 0x1.c1ce0d927c521p-4, 0x1.b8cc62493f945p-4, 0x1.aff167ccb0e22p-4, 0x1.a73caf87412d2p-4, 0x1.9eadca51c00aap-4, 0x1.96444888076e6p-4, 0x1.8dffba1ce5b4bp-4, 0x1.85dfaead5495fp-4, 0x1.7de3b592f40a9p-4, 0x1.760b5df5d86dcp-4, 0x1.6e5636ddaa767p-4, 0x1.66c3cf42206a5p-4, 0x1.5f53b61ad13e9p-4, 0x1.58057a6e69919p-4, 0x1.50d8ab6144126p-4, 0x1.49ccd8436880ep-4, 0x1.42e1909df95e3p-4, 0x1.3c1664400ee4fp-4, 0x1.356ae34b07076p-4, 0x1.2ede9e3e4d9d8p-4, 0x1.287126029c0f1p-4, 0x1.22220bf4bc70bp-4, 0x1.1bf0e1efcb52dp-4, 0x1.15dd3a56ffa73p-4, 0x1.0fe6a81efda94p-4, 0x1.0a0cbed6b3e85p-4, 0x1.044f12afc9aa7p-4, 0x1.fd5a710d3f109p-5, 0x1.f24d8bd3ccf8p-5, 0x1.e776a243a0651p-5, 0x1.dcd4e26db5d3bp-5, 0x1.d2677bf07b364p-5, 0x1.c82da003eb001p-5, 0x1.be268184f3be8p-5, 0x1.b45155002c41dp-5, 0x1.aaad50bbdf3d5p-5, 0x1.a139acc1723ddp-5, 0x1.97f5a2e62904bp-5, 0x1.8ee06ed351f2p-5, 0x1.85f94e0dd8534p-5, 0x1.7d3f7ffd4a4fp-5, 0x1.74b245f24ff7ap-5, 0x1.6c50e32c9926p-5, 0x1.641a9ce04e6c7p-5, 0x1.5c0eba3afb482p-5, 0x1.542c846807076p-5, 0x1.4c734694af06p-5, 0x1.44e24df398c46p-5, 0x1.3d78e9bfed6c2p-5, 0x1.36366b401385p-5, 0x1.2f1a25c7fdb3ap-5, 0x1.28236ebb1a79p-5, 0x1.21519d8de38a6p-5, 0x1.1aa40bc715e6dp-5, 0x1.141a15008f269p-5, 0x1.0db316e7d9ddfp-5, 0x1.076e713e69135p-5, 0x1.014b85d9853f5p-5, 0x1.f6937143e474dp-6, 0x1.ead0df269309dp-6, 0x1.df4e25762ead4p-6, 0x1.d40a186f5f1b5p-6, 0x1.c903906d96bf9p-6, 0x1.be3969e7cc9dcp-6, 0x1.b3aa856cc873dp-6, 0x1.a955c79f081eap-6, 0x1.9f3a193033002p-6, 0x1.955666dc3135cp-6, 0x1.8ba9a163e8bd3p-6, 0x1.8232bd879b991p-6, 0x1.78f0b400f2391p-6, 0x1.6fe2817cb92dcp-6, 0x1.67072694500dp-6, 0x1.5e5da7c6d2ab5p-6, 0x1.55e50d71fcabbp-6, 0x1.4d9c63cacd05ep-6, 0x1.4582bad5ee709p-6, 0x1.3d97265fe6cc6p-6, 0x1.35d8bdf50faafp-6, 0x1.2e469cd95efccp-6, 0x1.26dfe20002b56p-6, 0x1.1fa3b002cd4a6p-6, 0x1.18912d1976914p-6, 0x1.11a78310c6cc9p-6, 0x1.0ae5df41896dcp-6, 0x1.044b72877278bp-6, 0x1.fbaee26fb1f32p-7, 0x1.ef122630c4008p-7, 0x1.e2bf26ab1679ap-7, 0x1.d6b460f24ad9ap-7, 0x1.caf058c16816p-7, 0x1.bf719867918c6p-7, 0x1.b436b0b48003cp-7, 0x1.a93e38e4f50c9p-7, 0x1.9e86ce8f150b3p-7, 0x1.940f158ea9563p-7, 0x1.89d5b7f157119p-7, 0x1.7fd965e2c7f7cp-7, 0x1.7618d598da2bbp-7, 0x1.6c92c33fa8a2cp-7, 0x1.6345f0e5baf72p-7, 0x1.5a31266819143p-7, 0x1.5153315e7837fp-7, 0x1.48aae50755a8ep-7, 0x1.40371a34327ebp-7, 0x1.37f6af35d2a79p-7, 0x1.2fe887c885eb4p-7, 0x1.280b8d00862fp-7, 0x1.205ead366b897p-7, 0x1.18e0dbf3add9ap-7, 0x1.119111df40435p-7, 0x1.0a6e4caa4593fp-7, 0x1.03778efce52acp-7, 0x1.f957c0c663c9p-8, 0x1.ec149a7458a9p-8, 0x1.df23cd39ec7fdp-8, 0x1.d28384a428581p-8, 0x1.c631f571b3b24p-8, 0x1.ba2d5d6df0c0bp-8, 0x1.ae74034c5de12p-8, 0x1.a304368445e6dp-8, 0x1.97dc4f2cc054ep-8, 0x1.8cfaadd8fb0f6p-8, 0x1.825dbb74d2953p-8, 0x1.7803e921cd052p-8, 0x1.6debb01451605p-8, 0x1.6413917142b84p-8, 0x1.5a7a162c02f2dp-8, 0x1.511dcee4a5f74p-8, 0x1.47fd53c69e74fp-8, 0x1.3f174467b420cp-8, 0x1.366a47a76a415p-8, 0x1.2df50b8eafb27p-8, 0x1.25b6452fee9c6p-8, 0x1.1dacb0877a75cp-8, 0x1.15d7105c65535p-8, 0x1.0e342e21aba0ep-8, 0x1.06c2d9d7c4571p-8, 0x1.ff03d3dd19e7cp-9, 0x1.f0e0764f2adcfp-9, 0x1.e31960f1957dep-9, 0x1.d5ac65df11659p-9, 0x1.c8976328189a5p-9, 0x1.bbd8429a84f47p-9, 0x1.af6cf989e47a2p-9, 0x1.a35388989d75dp-9, 0x1.9789fb81ce02dp-9, 0x1.8c0e68e3eef23p-9, 0x1.80def20c4b7b2p-9, 0x1.75f9c2c305a7dp-9, 0x1.6b5d1117f91fep-9, 0x1.61071d30641c1p-9, 0x1.56f6311526a76p-9, 0x1.4d28a08207a72p-9, 0x1.439cc8b567185p-9, 0x1.3a511040ce1bp-9, 0x1.3143e6da3562bp-9, 0x1.2873c52dfb4acp-9, 0x1.1fdf2cb19b929p-9, 0x1.1784a77727a0ep-9, 0x1.0f62c80160585p-9, 0x1.077829186d8c2p-9, 0x1.ff86db3ee324p-10, 0x1.f08680d57dea2p-10, 0x1.e1eca82d3c8c8p-10, 0x1.d3b6c5be197f6p-10, 0x1.c5e25cef9b524p-10, 0x1.b86cffca992d8p-10, 0x1.ab544eac72dcdp-10, 0x1.9e95f7fb486d7p-10, 0x1.922fb7dbbbdd4p-10, 0x1.861f57e7e8692p-10, 0x1.7a62aee79f3dep-10, 0x1.6ef7a089bec2ep-10, 0x1.63dc1d1edcca8p-10, 0x1.590e215536249p-10, 0x1.4e8bb5f5c9ae8p-10, 0x1.4452efa2993f4p-10, 0x1.3a61ee965e1f8p-10, 0x1.30b6de64d1p-10, 0x1.274ff5bca368bp-10, 0x1.1e2b762a5b75ap-10, 0x1.1547abdc52104p-10, 0x1.0ca2ed67ec683p-10, 0x1.043b9b8fcdafap-10, 0x1.f820421666a1ep-11, 0x1.e83de49c646c5p-11, 0x1.d8cd1aa64df73p-11, 0x1.c9caf2ca51f58p-11, 0x1.bb348dd70d30ep-11, 0x1.ad071e6c670edp-11, 0x1.9f3fe896b3bap-11, 0x1.91dc416b4062bp-11, 0x1.84d98ea71d07p-11, 0x1.7835464ff47aep-11, 0x1.6becee565b95ap-11, 0x1.5ffe1c3a3d08bp-11, 0x1.546674b13e493p-11, 0x1.4923ab4e7d018p-11, 0x1.3e33822c443bbp-11, 0x1.3393c9978b1ep-11, 0x1.29425fbcf72f1p-11, 0x1.1f3d3057a2fe2p-11, 0x1.15823461aa87ap-11, 0x1.0c0f71c64aabdp-11, 0x1.02e2fb156abd6p-11, 0x1.f3f5de71ae9cp-12, 0x1.e2aaf255d799fp-12, 0x1.d1e19f5da1977p-12, 0x1.c1966a14e0048p-12, 0x1.b1c5ed82d85ep-12, 0x1.a26cdaa3d21f6p-12, 0x1.9387f7e53bd41p-12, 0x1.851420a47bcf9p-12, 0x1.770e44b08cf71p-12, 0x1.697367ce0fcc4p-12, 0x1.5c40a13e7e75bp-12, 0x1.4f731b496eccap-12, 0x1.430812c8f0a72p-12, 0x1.36fcd6b7e2bc8p-12, 0x1.2b4ec7c331c88p-12, 0x1.1ffb57dcbf058p-12, 0x1.150009d194e05p-12, 0x1.0a5a70e176732p-12, 0x1.00083059b184dp-12, 0x1.ec0df662efc9ep-13, 0x1.d8a9275121529p-13, 0x1.c5dd95d10f27bp-13, 0x1.b3a7014eb1279p-13, 0x1.a201459995f2cp-13, 0x1.90e85a3246c69p-13, 0x1.8058519d1e8ebp-13, 0x1.704d58b81f7a1p-13, 0x1.60c3b614c513dp-13, 0x1.51b7c955afbf4p-13, 0x1.43260a9089f7ep-13, 0x1.350b09b1d5c1bp-13, 0x1.27636de6802edp-13, 0x1.1a2bf50673cc2p-13, 0x1.0d6173053be56p-13, 0x1.0100d1638e5edp-13, 0x1.ea0e1d4bcd304p-14, 0x1.d2e27b99ecf98p-14, 0x1.bc790ba57ca84p-14, 0x1.a6cc42516cc8p-14, 0x1.91d6ba75ebc3fp-14, 0x1.7d9333e92c471p-14, 0x1.69fc9290252e3p-14, 0x1.570ddd7495ac7p-14, 0x1.44c23de0002c9p-14, 0x1.3314fe7baa85ap-14, 0x1.22018a781ee1ep-14, 0x1.11836cb6b5fbap-14, 0x1.01964efafe483p-14, 0x1.e46bf23d32eaap-15, 0x1.c6bca097b015fp-15, 0x1.aa16ac7859a13p-15, 0x1.8e7250f82e651p-15, 0x1.73c7ff648073ep-15, 0x1.5a105dd812f2dp-15, 0x1.414445de130b4p-15, 0x1.295cc31a1cda9p-15, 0x1.125311fac1362p-15, 0x1.f8413ce9aadd8p-16, 0x1.cd7e0587c7375p-16, 0x1.a4500c6b13f2ep-16, 0x1.7cab37f7369c5p-16, 0x1.5683c405af4a3p-16, 0x1.31ce3fad111cdp-16, 0x1.0e7f8b0bb9b3p-16, 0x1.d919aa4eddc99p-17, 0x1.97d733aa30f33p-17, 0x1.59233f6572b84p-17, 0x1.1ce9ec52cfc88p-17, 0x1.c62fce0abb265p-18, 0x1.5734cc09f9b5ep-18, 0x1.d97c988a2fb3bp-19, 0x1.0d519baab2fb2p-19, 0x1.268e722ff32d6p-21, -0x1.c741e99684b38p-21, -0x1.254bdcb695081p-19, -0x1.d10de8d86bb7fp-19, -0x1.3aaa1a6320a9ap-18, -0x1.892d4d16338b6p-18, -0x1.d42da13d3aac2p-18, -0x1.0de3aca2bb81ap-17, -0x1.300af57acd32fp-17, -0x1.509a027d6288dp-17, -0x1.6f9dca2758cdap-17, -0x1.8d22e4b61b5ep-17, -0x1.a9358ec10048ap-17, -0x1.c3e1abb0ad4e3p-17, -0x1.dd32c82df0ecdp-17, -0x1.f5341c7d54ea5p-17, -0x1.05f84767fbbcbp-16, -0x1.10b95ac044b6dp-16, -0x1.1ae26c9e036c8p-16, -0x1.24787b9546f6bp-16, -0x1.2d80617e0301dp-16, -0x1.35fed476f4382p-16, -0x1.3df867e2513d9p-16, -0x1.45718d58bd095p-16, -0x1.4c6e9598b034ap-16, -0x1.52f3b16d9d3c2p-16, -0x1.5904f2921fd1fp-16, -0x1.5ea64c8c93ae6p-16, -0x1.63db95813ceccp-16, -0x1.68a88706767fcp-16, -0x1.6d10beed3806p-16, -0x1.7117c007a3377p-16, -0x1.74c0f2e9910ddp-16, -0x1.780fa6a0c4423p-16, -0x1.7b07116d22465p-16, -0x1.7daa517081001p-16, -0x1.7ffc6d5c0256ep-16, -0x1.82005516142aap-16, -0x1.83b8e25d839dcp-16, -0x1.8528d96754193p-16, -0x1.8652e97ab4f83p-16, -0x1.8739ad86d965p-16, -0x1.87dfacb49193bp-16, -0x1.88475af41002p-16, -0x1.8873198717427p-16, -0x1.886537882e213p-16, -0x1.881ff26c62316p-16, -0x1.87a576829a551p-16, -0x1.86f7df6f3898cp-16, -0x1.861938a48ff8p-16, -0x1.850b7dd62963fp-16, -0x1.83d09b6d4ae2fp-16, -0x1.826a6ef5d7714p-16, -0x1.80dac78a75b16p-16, -0x1.7f23663c505ap-16, -0x1.7d45fe7a2b24cp-16, -0x1.7b443671d9775p-16, -0x1.791fa77103124p-16, -0x1.76d9de421b3f1p-16, -0x1.74745b8780bd8p-16, -0x1.71f09414244d6p-16, -0x1.6f4ff14061b92p-16, -0x1.6c93d13efb77p-16, -0x1.69bd876d01a5fp-16, -0x1.66ce5ca128edap-16, -0x1.63c78f7896b01p-16, -0x1.60aa54a135493p-16, -0x1.5d77d722017e2p-16, -0x1.5a3138a237b15p-16, -0x1.56d791ac949bp-16, -0x1.536bf1f1fa5d1p-16, -0x1.4fef608b0ddb3p-16, -0x1.4c62dc3671397p-16, -0x1.48c75b95da84cp-16, -0x1.451dcd693eed4p-16, -0x1.416718c93384ep-16, -0x1.3da41d5df81c1p-16, -0x1.39d5b3960e1bbp-16, -0x1.35fcacdbd6c4fp-16, -0x1.3219d3c915031p-16, -0x1.2e2dec57c1f8cp-16, -0x1.2a39b413ab502p-16, -0x1.263de248c395bp-16, -0x1.223b2831fe5edp-16, -0x1.1e323124e667ap-16, -0x1.1a23a2bd5fa5fp-16, -0x1.16101d083fc34p-16, -0x1.11f83aab37e0bp-16, -0x1.0ddc910cc5906p-16, -0x1.09bdb07a834ffp-16, -0x1.059c244f93accp-16, -0x1.0178731848148p-16, -0x1.faa63d6bb0714p-17, -0x1.f25949016af51p-17, -0x1.ea0afad436234p-17, -0x1.e1bc3c37aab11p-17, -0x1.d96dee30b50edp-17, -0x1.d120e9b2e4fdbp-17, -0x1.c8d5ffdbea367p-17, -0x1.c08dfa2d2883ap-17, -0x1.b8499ac3a2b79p-17, -0x1.b0099c8f01efp-17, -0x1.a7ceb385f3292p-17, -0x1.9f998cdad2b2ap-17, -0x1.976acf2ce1413p-17, -0x1.8f431aba5b525p-17, -0x1.8723098e68f7cp-17, -0x1.7f0b2faf331cbp-17, -0x1.76fc1b49a4274p-17, -0x1.6ef654df5090fp-17, -0x1.66fa5f6e001bfp-17, -0x1.5f08b89a27511p-17, -0x1.5721d8d5f071ep-17, -0x1.4f4633881b0f2p-17, -0x1.477637318edb7p-17, -0x1.3fb24d91f653ep-17, -0x1.37fadbcadfd33p-17, -0x1.305042831e7d6p-17, -0x1.28b2de08347e2p-17, -0x1.2123066e7e5a8p-17, -0x1.19a10faf6ded4p-17, -0x1.122d49ca5488dp-17, -0x1.0ac800e1c7a73p-17, -0x1.03717d586baf2p-17, -0x1.f85407d93a1bdp-18, -0x1.e9e3aba972dbp-18, -0x1.db9261b2700a8p-18, -0x1.cd609edda0a7ep-18, -0x1.bf4ed19fa86a8p-18, -0x1.b15d622a192b8p-18, -0x1.a38cb29952444p-18, -0x1.95dd1f26a49c1p-18, -0x1.884efe50c1df8p-18, -0x1.7ae2a1078738fp-18, -0x1.6d9852d7f0adp-18, -0x1.60705a182e79cp-18, -0x1.536af80cfd67p-18, -0x1.4688690f4d7c8p-18, -0x1.39c8e4b534f25p-18, -0x1.2d2c9df49d1c1p-18, -0x1.20b3c347fe80dp-18, -0x1.145e7ed1fdde8p-18, -0x1.082cf6804578dp-18, -0x1.f83e9856f2ba9p-19, -0x1.e06b3b706dafap-19, -0x1.c8e00a6ce63f2p-19, -0x1.b19d31f93bf5bp-19, -0x1.9aa2d78dd87d8p-19, -0x1.83f119abff7dfp-19, -0x1.6d88101727553p-19, -0x1.5767cc04df91dp-19, -0x1.41905854dbe6dp-19, -0x1.2c01b9c4d8221p-19, -0x1.16bbef2005036p-19, -0x1.01bef173a78bep-19, -0x1.da15687533473p-20, -0x1.b13e4b2926b9cp-20, -0x1.88f85cd4c6a6fp-20, -0x1.6143653dd3b27p-20, -0x1.3a1f226df677bp-20, -0x1.138b48fe86987p-20, -0x1.db0f08e319779p-21, -0x1.9026eefd63d2ap-21, -0x1.465d78cf02a16p-21, -0x1.fb6394e1b2362p-22, -0x1.6c45f04471d8cp-22, -0x1.bec01b8ed47adp-23, -0x1.52bf675c9970dp-24, 0x1.9e66dc159c529p-25, 0x1.7430bb6f548abp-23, 0x1.3e3512949a568p-22, 0x1.c0257940f70b2p-22, 0x1.1ff614bdf6c6ep-21, 0x1.5ec5e9490705cp-21, 0x1.9c839d4b513ecp-21, 0x1.d9309ebb4abfp-21, 0x1.0a673309cc94cp-20, 0x1.27af3af058832p-20, 0x1.44712d2c403e9p-20, 0x1.60add4818998dp-20, 0x1.7c66002b1d1fdp-20, 0x1.979a83a7e3b77p-20, 0x1.b24c36923c004p-20, 0x1.cc7bf46d682f7p-20, 0x1.e62a9c80e7956p-20, 0x1.ff59119ed8232p-20, 0x1.0c041d0336c75p-19, 0x1.181c7f9c7b7f1p-19, 0x1.23f626e9e33c3p-19, 0x1.2f918ab515633p-19, 0x1.3aef242f6c088p-19, 0x1.460f6de07f379p-19, 0x1.50f2e393732b7p-19, 0x1.5b9a0242a52c9p-19, 0x1.6605480e04472p-19, 0x1.70353425dcc34p-19, 0x1.7a2a46bab5cd6p-19, 0x1.83e500f088e55p-19, 0x1.8d65e4cceb25p-19, 0x1.96ad752b657e1p-19, 0x1.9fbc35a9d44bp-19, 0x1.a892aa9c8c3e7p-19, 0x1.b13159040877ap-19, 0x1.b998c67bc14d8p-19, 0x1.c1c979305c172p-19, 0x1.c9c3f7d15a08ep-19, 0x1.d188c98556809p-19, 0x1.d91875de8faecp-19, 0x1.e07384ccc82e9p-19, 0x1.e79a7e9496753p-19, 0x1.ee8debc4a27e2p-19, 0x1.f54e552984f95p-19, 0x1.fbdc43c302156p-19, 0x1.011c205e2f094p-18, 0x1.04316ab03d0fdp-18, 0x1.072e458886a78p-18, 0x1.0a12f59d239fp-18, 0x1.0cdfbfa6a7076p-18, 0x1.0f94e85b722efp-18, 0x1.1232b46ab0d9fp-18, 0x1.14b9687952c92p-18, 0x1.1729491d952dfp-18, 0x1.19829ada281bp-18, 0x1.1bc5a21baa9c1p-18, 0x1.1df2a3340f458p-18, 0x1.2009e256b93bep-18, 0x1.220ba39675199p-18, 0x1.23f82ae066742p-18, 0x1.25cfbbf988916p-18, 0x1.27929a7b7206fp-18, 0x1.294109d19169bp-18, 0x1.2adb4d356240cp-18, 0x1.2c61a7aaf13d4p-18, 0x1.2dd45bff65869p-18, 0x1.2f33acc5c12fap-18, 0x1.307fdc53d2aa9p-18, 0x1.31b92cc00e8e1p-18, 0x1.32dfdfdf2bf4bp-18, 0x1.33f437418fdddp-18, 0x1.34f6742ff3b0dp-18, 0x1.35e6d7ab7d739p-18, 0x1.36c5a26903345p-18, 0x1.379314cfd93a2p-18, 0x1.384f6ef89f56fp-18, 0x1.38faf0a9bb08cp-18, 0x1.3995d9568074p-18, 0x1.3a20681d0990ap-18, 0x1.3a9adbc4b1ea7p-18, 0x1.3b0572bbb9a2fp-18, 0x1.3b606b153892ap-18, 0x1.3bac02893353dp-18, 0x1.3be87671f75cp-18, 0x1.3c1603ca1ba9ep-18, 0x1.3c34e72c71c85p-18, 0x1.3c455cd1a55a3p-18, 0x1.3c47a08f2bb97p-18, 0x1.3c3bedd5a8a96p-18, 0x1.3c227fb0d6205p-18, 0x1.3bfb90c57e9e5p-18, 0x1.3bc75b5019362p-18, 0x1.3b86192452835p-18, 0x1.3b3803ac0c6dbp-18, 0x1.3add53e59ccf1p-18, 0x1.3a7642641f4f2p-18, 0x1.3a03074dc2291p-18, 0x1.3983da5b16eccp-18, 0x1.38f8f2d5f8e55p-18, 0x1.386287991eb47p-18, 0x1.37c0cf1059bb8p-18, 0x1.3713ff36aaadp-18, 0x1.365c4d95b8a38p-18, 0x1.3599ef45d72f4p-18, 0x1.34cd18ecff2edp-18, 0x1.33f5febe7ca97p-18, 0x1.3314d47a4aceap-18, 0x1.3229cd6d1a036p-18, 0x1.31351c7006ac9p-18, 0x1.3036f3e769f6ep-18, 0x1.2f2f85c33ddadp-18, 0x1.2e1f037e39b2fp-18, 0x1.2d059e1df565dp-18, 0x1.2be38632ac4b2p-18, 0x1.2ab8ebd761c6dp-18, 0x1.2985feb087fcp-18, 0x1.284aeded440f7p-18, 0x1.2707e845d6e2ap-18, 0x1.25bd1bfd6cd7p-18, 0x1.246ab6e0fddcap-18, 0x1.2310e6472c031p-18, 0x1.21afd7101bfc6p-18, 0x1.2047b5a5fcdf2p-18, 0x1.1ed8adfc87e2bp-18, 0x1.1d62eb918de53p-18, 0x1.1be6996ccd562p-18, 0x1.1a63e220a7cc7p-18, 0x1.18daefc9bb6a5p-18, 0x1.174bec0ee69c5p-18, 0x1.15b700224d866p-18, 0x1.141c54bfb8f1cp-18, 0x1.127c122ef0fddp-18, 0x1.10d66042d9b61p-18, 0x1.0f2b665a3cd4fp-18, 0x1.0d7b4b5f150bap-18, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.00e67f56718ap-9, -0x1.00a4608b6f431p-8, -0x1.806dc134660b4p-8, -0x1.ffc383d79903ep-8, -0x1.3f501d211e1c9p-7, -0x1.7e775f5cc1648p-7, -0x1.bd3bc1189094bp-7, -0x1.fb69dc968ap-7, -0x1.1c59b1873ae82p-6, -0x1.3a574d701eb39p-6, -0x1.576c0bb76fc98p-6, -0x1.734b06e11919dp-6, -0x1.8d9e59c5c2498p-6, -0x1.a60995f31d3f2p-6, -0x1.bc2c4f3cd2ec8p-6, -0x1.cfa4971b6be2cp-6, -0x1.e0114d5babc46p-6, -0x1.ed1434bbb936dp-6, -0x1.f653c15e2ac2bp-6, -0x1.fb7c9c9bcfcd7p-6, -0x1.fc42ddef27a4dp-6, -0x1.f862fbb555af5p-6, -0x1.efa2788bb8e59p-6, -0x1.e1d0535a9b2b6p-6, -0x1.cec540d1a9ea6p-6, -0x1.b663b55ecb927p-6, -0x1.9897c699a39dep-6, -0x1.7556ead5e67afp-6, -0x1.4c9f9d1f70ae6p-6, -0x1.1e78eb5c166dbp-6, -0x1.d5e3e776ae5a7p-7, -0x1.6442ac087b54ap-7, -0x1.d09272ef71345p-8, -0x1.88fd0c7b80fcbp-9, 0x1.6c4101919db07p-10, 0x1.8d5f5fda81ff8p-8, 0x1.68d1366411a72p-7, 0x1.09bf5a900cbb8p-6, 0x1.6321c339bc15p-6, 0x1.c052b92d9895p-6, 0x1.10896d533091cp-5, 0x1.42907dfe0f31ep-5, 0x1.761d4dd9450f8p-5, 0x1.ab0e27475da34p-5, 0x1.e14111d6d82f3p-5, 0x1.0c4a002bcc21ep-4, 0x1.28727d8735321p-4, 0x1.450923114d91ep-4, 0x1.61fd4233d45ecp-4, 0x1.7f3e6b54d077ap-4, 0x1.9cbc7bd2f4a65p-4, 0x1.ba67aa6e197c9p-4, 0x1.d83092325506ap-4, 0x1.f6083bfc4765ep-4, 0x1.09f01356aeba5p-3, 0x1.18d5271315f1fp-3, 0x1.27ac988e70409p-3, 0x1.366feaf264e6cp-3, 0x1.4518e71dce903p-3, 0x1.53a19d17f4509p-3, 0x1.62046519d6e99p-3, 0x1.703be036796acp-3, 0x1.7e42f8aaaefffp-3, 0x1.8c14e1dc74b21p-3, 0x1.99ad18117c3c6p-3, 0x1.a7075fe40f4ebp-3, 0x1.b41fc57d02dfp-3, 0x1.c0f29b99140fep-3, 0x1.cd7c7a5f9b1d7p-3, 0x1.d9ba3e10067f2p-3, 0x1.e5a9058b60ed3p-3, 0x1.f14630be8beabp-3, 0x1.fc8f5ef1b4653p-3, 0x1.03c136808d64ep-2, 0x1.090eb9c174075p-2, 0x1.0e2f626ed6f56p-2, 0x1.132275a954f21p-2, 0x1.17e7537f6ad29p-2, 0x1.1c7d75eab4f4ap-2, 0x1.20e46fcb27191p-2, 0x1.251bebe156bf2p-2, 0x1.2923abc8de923p-2, 0x1.2cfb86f3c07ccp-2, 0x1.30a369a79b3e7p-2, 0x1.341b53fd6c3d5p-2, 0x1.376358e489f91p-2, 0x1.3a7b9d29644dfp-2, 0x1.3d645680934f2p-2, 0x1.401dca96a0e8dp-2, 0x1.42a84e24f03f8p-2, 0x1.4504440c1a51dp-2, 0x1.47321c7402b65p-2, 0x1.493253f1def3bp-2, 0x1.4b0572b461b5fp-2, 0x1.4cac0bb63256p-2, 0x1.4e26bbf6c560ap-2, 0x1.4f7629b9b0efp-2, 0x1.509b03cc852e3p-2, 0x1.519600d332c0bp-2, 0x1.5267de9af7105p-2, 0x1.53116173d2861p-2, 0x1.5393539070764p-2, 0x1.53ee846c7effdp-2, 0x1.5423c83957a49p-2, 0x1.5433f750ea167p-2, 0x1.541fedaec7cd4p-2, 0x1.53e88a6f3c9acp-2, 0x1.538eaf544ae4cp-2, 0x1.531340507517dp-2, 0x1.527723172b6bap-2, 0x1.51bb3eb2bc1b4p-2, 0x1.50e07b1fa4a4dp-2, 0x1.4fe7c0ed1885cp-2, 0x1.4ed1f8e29c078p-2, 0x1.4da00baa8e2a3p-2, 0x1.4c52e18175b33p-2, 0x1.4aeb61e9ee2fcp-2, 0x1.496a73650f898p-2, 0x1.47d0fb2f25f4dp-2, 0x1.461fdd00977ap-2, 0x1.4457fad2cea29p-2, 0x1.427a34a9094f8p-2, 0x1.4087685cdfbc6p-2, 0x1.3e80716e678a6p-2, 0x1.3c6628d7c90a7p-2, 0x1.3a3964e429c08p-2, 0x1.37faf909c0946p-2, 0x1.35abb5c700574p-2, 0x1.334c6882a9fecp-2, 0x1.30dddb6eb0276p-2, 0x1.2e60d56dc8af9p-2, 0x1.2bd619fb8e832p-2, 0x1.293e69171a84dp-2, 0x1.269a7f2fef164p-2, 0x1.23eb151522724p-2, 0x1.2130dfe6aa636p-2, 0x1.1e6c9108aa8c4p-2, 0x1.1b9ed618b5de2p-2, 0x1.18c858e4e23ffp-2, 0x1.15e9bf64986a6p-2, 0x1.1303abb30fb0dp-2, 0x1.1016bc0b552dfp-2, 0x1.0d238ac5d3529p-2, 0x1.0a2aae573bf18p-2, 0x1.072cb950c9c6ep-2, 0x1.042a3a61c06bbp-2, 0x1.0123bc5a198c9p-2, 0x1.fc338c5c9d5ep-3, 0x1.f619b5f85cb9cp-3, 0x1.effaf4215800ep-3, 0x1.e9d83ddd34553p-3, 0x1.e3b282ac7fbecp-3, 0x1.dd8aaa9b792e5p-3, 0x1.d761965452bc3p-3, 0x1.d1381f32dac7dp-3, 0x1.cb0f17596a8c7p-3, 0x1.c4e749c706cffp-3, 0x1.bec17a6e9e71bp-3, 0x1.b89e664f40247p-3, 0x1.b27ec38d4591cp-3, 0x1.ac63418c543c6p-3, 0x1.a64c890a1c60bp-3, 0x1.a03b3c39d2505p-3, 0x1.9a2ff6e03c748p-3, 0x1.942b4e7051921p-3, 0x1.8e2dd2285779ep-3, 0x1.88380b2f65ffap-3, 0x1.824a7cb34ff9dp-3, 0x1.7c65a406d543p-3, 0x1.7689f8c016b46p-3, 0x1.70b7ecd7434c4p-3, 0x1.6aefecc56965dp-3, 0x1.65325fa362535p-3, 0x1.5f7fa748d5b8cp-3, 0x1.59d8206b406b2p-3, 0x1.543c22bcf5278p-3, 0x1.4eac010c18e3ep-3, 0x1.492809617f75ep-3, 0x1.43b0851f73fe3p-3, 0x1.3e45b92058ddcp-3, 0x1.38e7e5d5182b5p-3, 0x1.3397476361244p-3, 0x1.2e5415c3b2993p-3, 0x1.291e84df19b53p-3, 0x1.23f6c4acb2512p-3, 0x1.1edd014edd63bp-3, 0x1.19d163301e9a8p-3, 0x1.14d40f1fb0f15p-3, 0x1.0fe5266db9a5ep-3, 0x1.0b04c70723365p-3, 0x1.06330b91179d2p-3, 0x1.01700b8412c2bp-3, 0x1.f977b68d2d9f2p-4, 0x1.f02d188ee193dp-4, 0x1.e7005a2f2c903p-4, 0x1.ddf1930721948p-4, 0x1.d500d558fb87fp-4, 0x1.cc2e2e413c1d4p-4, 0x1.c379a5e6e0bdfp-4, 0x1.bae33faab2c2dp-4, 0x1.b26afa55abf01p-4, 0x1.aa10d046763e5p-4, 0x1.a1d4b79df559cp-4, 0x1.99b6a26aeef3p-4, 0x1.91b67ed4bd1fap-4, 0x1.89d4374511d39p-4, 0x1.820fb290d412dp-4, 0x1.7a68d42006abbp-4, 0x1.72df7c14c79a4p-4, 0x1.6b73877160855p-4, 0x1.6424d03d6c063p-4, 0x1.5cf32daa1150cp-4, 0x1.55de743556ef6p-4, 0x1.4ee675cc8e836p-4, 0x1.480b01eddb4adp-4, 0x1.414be5c8d47b2p-4, 0x1.3aa8ec5e493dcp-4, 0x1.3421de9f22443p-4, 0x1.2db6838a6af8ep-4, 0x1.2766a04a7dbbap-4, 0x1.2131f8515ae5dp-4, 0x1.1b184d742a97bp-4, 0x1.15196005eec12p-4, 0x1.0f34eef1650dep-4, 0x1.096ab7d21e27bp-4, 0x1.03ba770ccd4ccp-4, 0x1.fc47cfcda5072p-5, 0x1.f14d893a06f1cp-5, 0x1.e6858cf36828dp-5, 0x1.dbef4bd41199dp-5, 0x1.d18a35251491ep-5, 0x1.c755b6c616ba6p-5, 0x1.bd513d53b625fp-5, 0x1.b37c344c910a2p-5, 0x1.a9d6063500a11p-5, 0x1.a05e1cb97e67p-5, 0x1.9713e0cfcb47p-5, 0x1.8df6bad6d4238p-5, 0x1.850612b55ea34p-5, 0x1.7c414ff789847p-5, 0x1.73a7d9eb1ad56p-5, 0x1.6b3917bab23d5p-5, 0x1.62f47087defaap-5, 0x1.5ad94b841d75fp-5, 0x1.52e71008c4db9p-5, 0x1.4b1d25adf4ea6p-5, 0x1.437af4607c956p-5, 0x1.3bffe476c3aabp-5, 0x1.34ab5ec4c9732p-5, 0x1.2d7cccaf2f7ddp-5, 0x1.2673983d606cap-5, 0x1.1f8f2c2acee3dp-5, 0x1.18cef3f76a2ap-5, 0x1.12325bf72d06dp-5, 0x1.0bb8d160e9b66p-5, 0x1.0561c25c48bc1p-5, 0x1.fe593c1e1151bp-6, 0x1.f231a952fa22ep-6, 0x1.e64baee4bb328p-6, 0x1.daa631a3b93ddp-6, 0x1.cf4018b833337p-6, 0x1.c4184db5c931fp-6, 0x1.b92dbcadd2d46p-6, 0x1.ae7f5440776dep-6, 0x1.a40c05ac98632p-6, 0x1.99d2c4de91db6p-6, 0x1.8fd2887df7c7dp-6, 0x1.860a49fa304bfp-6, 0x1.7c79059606f7cp-6, 0x1.731dba7250c13p-6, 0x1.69f76a97962e7p-6, 0x1.61051afecfa75p-6, 0x1.5845d39940991p-6, 0x1.4fb89f577d61fp-6, 0x1.475c8c2f9880fp-6, 0x1.3f30ab228b711p-6, 0x1.37341040dc99p-6, 0x1.2f65d2ae8a0bfp-6, 0x1.27c50ca643aafp-6, 0x1.2050db7bf3f17p-6, 0x1.19085f9ea905ap-6, 0x1.11eabc99eab62p-6, 0x1.0af7191662a87p-6, 0x1.042c9eda030d2p-6, 0x1.fb14f58f43fdep-7, 0x1.ee1fb9bc2dd8fp-7, 0x1.e177f06d9251ap-7, 0x1.d51c0607af7d5p-7, 0x1.c90a6d1b82635p-7, 0x1.bd419e615b50ap-7, 0x1.b1c018b28cc58p-7, 0x1.a6846102582a3p-7, 0x1.9b8d0256238fap-7, 0x1.90d88dbd0523ep-7, 0x1.86659a46964ap-7, 0x1.7c32c4f93b5c8p-7, 0x1.723eb0c7d642p-7, 0x1.68880686ceb6cp-7, 0x1.5f0d74e0b541p-7, 0x1.55cdb04a58011p-7, 0x1.4cc772f67a9ep-7, 0x1.43f97cc903b5bp-7, 0x1.3b629349ce1e7p-7, 0x1.330181971e41bp-7, 0x1.2ad51857bc201p-7, 0x1.22dc2dacbd1cbp-7, 0x1.1b159d230f043p-7, 0x1.138047a49c323p-7, 0x1.0c1b13694ab37p-7, 0x1.04e4ebe7b4c1bp-7, 0x1.fbb9838b674bp-8, 0x1.ee03159184b1cp-8, 0x1.e0a4838c3c4fp-8, 0x1.d39bcd25a89efp-8, 0x1.c6e6fbe73a377p-8, 0x1.ba8423195ad8dp-8, 0x1.ae715fa2bc553p-8, 0x1.a2acd7e7b8a3bp-8, 0x1.9734bba9415cap-8, 0x1.8c0743e3ca243p-8, 0x1.8122b2ae4eab4p-8, 0x1.76855319055fp-8, 0x1.6c2d790c63291p-8, 0x1.62198127dc7ap-8, 0x1.5847d0a0a21b1p-8, 0x1.4eb6d520a4a62p-8, 0x1.456504a56e558p-8, 0x1.3c50dd5f33b6cp-8, 0x1.3378e59019904p-8, 0x1.2adbab6b6682cp-8, 0x1.2277c4f4d6723p-8, 0x1.1a4bcfe044575p-8, 0x1.125671715ccc2p-8, 0x1.0a96565b7c807p-8, 0x1.030a32a1fe26p-8, 0x1.f76182f0ee606p-9, 0x1.e9118a4666b35p-9, 0x1.db220db048415p-9, 0x1.cd90ad3f9936cp-9, 0x1.c05b166d3e968p-9, 0x1.b37f03dd2ab7ep-9, 0x1.a6fa3d2230b7p-9, 0x1.9aca9682060e1p-9, 0x1.8eedf0ba312f7p-9, 0x1.836238c57999bp-9, 0x1.782567a1f19bep-9, 0x1.6d358217ae0cep-9, 0x1.629098804c9d2p-9, 0x1.5834c68e895b5p-9, 0x1.4e203317148bp-9, 0x1.44510fd9b2ca2p-9, 0x1.3ac5994b42559p-9, 0x1.317c166049a97p-9, 0x1.2872d8585c0dep-9, 0x1.1fa83a8a25e56p-9, 0x1.171aa22fd6fedp-9, 0x1.0ec87e3498de4p-9, 0x1.06b04702a185bp-9, 0x1.fda0fca3dd208p-10, 0x1.ee4f5def54a03p-10, 0x1.df68d96d2582bp-10, 0x1.d0eaa81f4c961p-10, 0x1.c2d21427232f5p-10, 0x1.b51c786a4426p-10, 0x1.a7c7403833983p-10, 0x1.9acfe6f1c6c94p-10, 0x1.8e33f7b1db867p-10, 0x1.81f10cf7a05c5p-10, 0x1.7604d051d11fp-10, 0x1.6a6cfa0b87a4cp-10, 0x1.5f2750da824d1p-10, 0x1.5431a98ea9294p-10, 0x1.4989e6c2fecedp-10, 0x1.3f2df89004b69p-10, 0x1.351bdc3f6bbf4p-10, 0x1.2b519c00ecccep-10, 0x1.21cd4ea067eacp-10, 0x1.188d173d60756p-10, 0x1.0f8f25044da35p-10, 0x1.06d1b2e839df3p-10, 0x1.fca60ebcc547p-11, 0x1.ec22e83650635p-11, 0x1.dc16ab9f6c178p-11, 0x1.cc7e27d25be79p-11, 0x1.bd5640a1d3d4dp-11, 0x1.ae9bee5c7bfe4p-11, 0x1.a04c3d524c3c3p-11, 0x1.92644d5c7dfc1p-11, 0x1.84e15167eb9b9p-11, 0x1.77c08f01ac666p-11, 0x1.6aff5de5ce5b8p-11, 0x1.5e9b27903f859p-11, 0x1.529166cfe1f18p-11, 0x1.46dfa75c86834p-11, 0x1.3b83856e469f5p-11, 0x1.307aad5706a56p-11, 0x1.25c2db1f13874p-11, 0x1.1b59da227076ep-11, 0x1.113d84b120642p-11, 0x1.076bc3b096035p-11, 0x1.fbc51c8011ca5p-12, 0x1.e93fd2bcb9754p-12, 0x1.d743cf237fd87p-12, 0x1.c5cd5122e678p-12, 0x1.b4d8b1e37064p-12, 0x1.a46263a18ca31p-12, 0x1.9466f10c8d98dp-12, 0x1.84e2fca755459p-12, 0x1.75d3402f16de8p-12, 0x1.67348c03a6842p-12, 0x1.5903c6937e542p-12, 0x1.4b3debcb3dd86p-12, 0x1.3de00c895783cp-12, 0x1.30e74e12c8cc2p-12, 0x1.2450e98da39b1p-12, 0x1.181a2b7b2d031p-12, 0x1.0c4073382f055p-12, 0x1.00c1327f96f76p-12, 0x1.eb33d9dd9d38p-13, 0x1.d5906f1aee8f6p-13, 0x1.c09370b2fe6adp-13, 0x1.ac384ba65c99cp-13, 0x1.987a8d1cb7a21p-13, 0x1.8555e189faf64p-13, 0x1.72c613d7bf41ep-13, 0x1.60c70c96a8eebp-13, 0x1.4f54d13431f7ap-13, 0x1.3e6b8333165f8p-13, 0x1.2e075f6a507f8p-13, 0x1.1e24bd4a73a34p-13, 0x1.0ec00e2395db7p-13, 0x1.ffabb8e4eefefp-14, 0x1.e2c596647b3cfp-14, 0x1.c6c72a5fc62d6p-14, 0x1.abaa18cbc71e6p-14, 0x1.916832b27296ap-14, 0x1.77fb74f48d82bp-14, 0x1.5f5e0718eeca7p-14, 0x1.478a3a1d719bcp-14, 0x1.307a875407f28p-14, 0x1.1a298f4259f83p-14, 0x1.0492188d1b86bp-14, 0x1.df5e1dd058e47p-15, 0x1.b6f7042167fb7p-15, 0x1.8fe5499282a39p-15, 0x1.6a1f97bfca44dp-15, 0x1.459cda781e703p-15, 0x1.22543ddd9a703p-15, 0x1.003d2c9ba49fcp-15, 0x1.be9e9c4071f23p-16, 0x1.7f0509c8c8782p-16, 0x1.419dd983f0af6p-16, 0x1.0659b2ae2b7a2p-16, 0x1.9a5351c057875p-17, 0x1.2bfe71e9929a8p-17, 0x1.8331185c540a3p-18, 0x1.6c18b6966e0e9p-19, -0x1.f4d6e39678228p-23, -0x1.9c381668f7ef4p-19, -0x1.858621139bb21p-18, -0x1.1b0b0b625eba2p-17, -0x1.6ffdd93f16c48p-17, -0x1.c1b2b6322eae1p-17, -0x1.08201e0f1e225p-16, -0x1.2dde33ae58f0bp-16, -0x1.521e4d9955d46p-16, -0x1.74ead3293ad2fp-16, -0x1.964de38f217c3p-16, -0x1.b65157df95c9fp-16, -0x1.d4fec523f13d7p-16, -0x1.f25f7e4a78b47p-16, -0x1.073e4b0ab20d1p-15, -0x1.14af7075b6ee1p-15, -0x1.21877b57b305ap-15, -0x1.2dca9a3f03315p-15, -0x1.397cdf2a75f8cp-15, -0x1.44a240645669ep-15, -0x1.4f3e994cf40efp-15, -0x1.5955ab21ca8fbp-15, -0x1.62eb1dbed840bp-15, -0x1.6c02805a59acp-15, -0x1.749f4a3cbad7ep-15, -0x1.7cc4db6ec709dp-15, -0x1.84767d68605d8p-15, -0x1.8bb763b61d606p-15, -0x1.928aac9aeb6bdp-15, -0x1.98f361aabbbcp-15, -0x1.9ef478672f6a4p-15, -0x1.a490d2d2840c5p-15, -0x1.a9cb3ffd273bdp-15, -0x1.aea67c925dc44p-15, -0x1.b325335eeb44cp-15, -0x1.b749fdd5094fbp-15, -0x1.bb176488b917bp-15, -0x1.be8fdfad441ep-15, -0x1.c1b5d78c69057p-15, -0x1.c48ba4faca325p-15, -0x1.c71391c4d6acap-15, -0x1.c94fd91fa7c7cp-15, -0x1.cb42a811e67a4p-15, -0x1.ccee1dd89e656p-15, -0x1.ce544c4b8a1dbp-15, -0x1.cf77383dc3ac1p-15, -0x1.d058d9daabe1dp-15, -0x1.d0fb1cff3cbe7p-15, -0x1.d15fe192195ffp-15, -0x1.d188fbd91beaap-15, -0x1.d17834ccb7283p-15, -0x1.d12f4a64d8b37p-15, -0x1.d0afefe7c04d9p-15, -0x1.cffbce35f94aep-15, -0x1.cf148411192b6p-15, -0x1.cdfba6624d8f7p-15, -0x1.ccb2c07f6ad42p-15, -0x1.cb3b546c742ap-15, -0x1.c996db1d050bap-15, -0x1.c7c6c4ae61487p-15, -0x1.c5cc78a674f29p-15, -0x1.c3a9562dc1d31p-15, -0x1.c15eb448382a3p-15, -0x1.beede209427e8p-15, -0x1.bc5826cbb3753p-15, -0x1.b99ec263be348p-15, -0x1.b6c2ed4fb2ccfp-15, -0x1.b3c5d8e82632dp-15, -0x1.b0a8af8f7fa7p-15, -0x1.ad6c94e053e17p-15, -0x1.aa12a5d6ae1cfp-15, -0x1.a69bf8fac507dp-15, -0x1.a3099e8a54628p-15, -0x1.9f5ca0a1301a2p-15, -0x1.9b96035f13c71p-15, -0x1.97b6c50c1340fp-15, -0x1.93bfde3f5c96dp-15, -0x1.8fb2420014c8bp-15, -0x1.8b8edde78b22ep-15, -0x1.87569a413d12fp-15, -0x1.830a5a2c9bfc3p-15, -0x1.7eaafbbc2738bp-15, -0x1.7a39581231772p-15, -0x1.75b6437e4b783p-15, -0x1.71228d98f9c41p-15, -0x1.6c7f015f568f8p-15, -0x1.67cc654e1b96p-15, -0x1.630b7b7a3ca78p-15, -0x1.5e3d01ab32eb8p-15, -0x1.5961b172d031p-15, -0x1.547a40435d948p-15, -0x1.4f875f87ac6c6p-15, -0x1.4a89bcb74d199p-15, -0x1.4582016f8e778p-15, -0x1.4070d3853a91p-15, -0x1.3b56d51ac1e27p-15, -0x1.3634a4b22a234p-15, -0x1.310add40afeebp-15, -0x1.2bda164126aedp-15, -0x1.26a2e3c73678p-15, -0x1.2165d68ed285p-15, -0x1.1c237c0efb7e3p-15, -0x1.16dc5e894ca7fp-15, -0x1.11910519e2c79p-15, -0x1.0c41f3c73d448p-15, -0x1.06efab914a5b2p-15, -0x1.019aaa81299dep-15, -0x1.f886d76d178dp-16, -0x1.edd4ceecc9acep-16, -0x1.e320266fa5b2ap-16, -0x1.d869c361d11a9p-16, -0x1.cdb285ca517fep-16, -0x1.c2fb486367c1cp-16, -0x1.b844e0b1b3254p-16, -0x1.ad901f1d2c723p-16, -0x1.a2ddcf08652fap-16, -0x1.982eb6e65f4f2p-16, -0x1.8d839851caf89p-16, -0x1.82dd302314f8fp-16, -0x1.783c368667804p-16, -0x1.6da15f0e382b1p-16, -0x1.630d58ca13f41p-16, -0x1.5880ce579c99dp-16, -0x1.4dfc65f656978p-16, -0x1.4380c19b8b4aep-16, -0x1.390e7f06f2b3dp-16, -0x1.2ea637d1dd329p-16, -0x1.24488180a4f03p-16, -0x1.19f5ed9627891p-16, -0x1.0faf09a292d67p-16, -0x1.05745f549d6a6p-16, -0x1.f68ce915c1d34p-17, -0x1.e24b96caaf68p-17, -0x1.ce25c4a4bd596p-17, -0x1.ba1c683e818bap-17, -0x1.a630700f68a95p-17, -0x1.9262c384a38f2p-17, -0x1.7eb4432161e43p-17, -0x1.6b25c89d02ff8p-17, -0x1.57b82702a21f7p-17, -0x1.446c2ac45d343p-17, -0x1.314299dc914aap-17, -0x1.1e3c33e534bbdp-17, -0x1.0b59b2329dba4p-17, -0x1.f1378fdb19e2fp-18, -0x1.cc064458bcc8p-18, -0x1.a720d027607cfp-18, -0x1.828875ca4f1efp-18, -0x1.5e3e6c38d4108p-18, -0x1.3a43df0c26df9p-18, -0x1.1699eea93d97p-18, -0x1.e68360e9becc1p-19, -0x1.a0785dff8d5c8p-19, -0x1.5b14d47cb5606p-19, -0x1.165aaf4e6f8d1p-19, -0x1.a497899000d04p-20, -0x1.1dd3ae00637b8p-20, -0x1.30da505cdb08bp-21, -0x1.4672d2cbf2ff5p-24, 0x1.b8ecd22c65284p-22, 0x1.deee287ceded3p-21, 0x1.6f49ae784de7ep-20, 0x1.edb0646287d84p-20, 0x1.35545d941cdbap-19, 0x1.73182db0fbdbp-19, 0x1.b0228837ceaf4p-19, 0x1.ec7263f5dbfcep-19, 0x1.1403643dc4d39p-18, 0x1.316f66e98710dp-18, 0x1.4e7cce2501fafp-18, 0x1.6b2b36093222ap-18, 0x1.877a42823240cp-18, 0x1.a3699f2d5dd13p-18, 0x1.bef8ff34204p-18, 0x1.da281d29e4364p-18, 0x1.f4f6bade8a2p-18, 0x1.07b250a58a595p-17, 0x1.14b8d032e62bp-17, 0x1.218ec783f7bep-17, 0x1.2e342565480e7p-17, 0x1.3aa8dbf202876p-17, 0x1.46ece084fb42bp-17, 0x1.53002ba73184fp-17, 0x1.5ee2b8fe168fdp-17, 0x1.6a94874133a4ap-17, 0x1.761598271e064p-17, 0x1.8165f05547cddp-17, 0x1.8c8597539a808p-17, 0x1.9774977c39562p-17, 0x1.a232fded90ee9p-17, 0x1.acc0da777b75dp-17, 0x1.b71e3f8fc792bp-17, 0x1.c14b4244f39b5p-17, 0x1.cb47fa2d80e41p-17, 0x1.d514815bfa6bp-17, 0x1.deb0f4505d60ap-17, 0x1.e81d71e97a7c4p-17, 0x1.f15a1b58eb5bep-17, 0x1.fa671411cb9f5p-17, 0x1.01a240dfd2e29p-16, 0x1.05f9461bc1e54p-16, 0x1.0a38aeb5b7e7ap-16, 0x1.0e6090adfb483p-16, 0x1.1271030692f9bp-16, 0x1.166a1dbd62593p-16, 0x1.1a4bf9c45f586p-16, 0x1.1e16b0fc1b21ep-16, 0x1.21ca5e2dac36bp-16, 0x1.25671d04fb43ap-16, 0x1.28ed0a0a7acdfp-16, 0x1.2c5c429d9c62dp-16, 0x1.2fb4e4eeeafc6p-16, 0x1.32f70ff99d35dp-16, 0x1.3622e37f6db98p-16, 0x1.39388000eef6cp-16, 0x1.3c3806b8ecaadp-16, 0x1.3f21999828349p-16, 0x1.41f55b3e1cb36p-16, 0x1.44b36ef50c0f1p-16, 0x1.475bf8ab1affbp-16, 0x1.49ef1cef97895p-16, 0x1.4c6d00eb7734fp-16, 0x1.4ed5ca5cbb7b8p-16, 0x1.51299f930d7aap-16, 0x1.5368a76875d35p-16, 0x1.5593093e03e64p-16, 0x1.57a8ecf752ab6p-16, 0x1.59aa7af4a3cf6p-16, 0x1.5b97dc0e99dep-16, 0x1.5d713991ab162p-16, 0x1.5f36bd3aa04bcp-16, 0x1.60e8912feb4dep-16, 0x1.6286dffe41e27p-16, 0x1.6411d495628dcp-16, 0x1.65899a424c829p-16, 0x1.66ee5cabe1d2ep-16, 0x1.684047cdab2a6p-16, 0x1.697f87f5642f8p-16, 0x1.6aac49bda323bp-16, 0x1.6bc6ba092868ap-16, 0x1.6ccf060202014p-16, 0x1.6dc55b129b596p-16, 0x1.6ea9e6e27685cp-16, 0x1.6f7cd7544809cp-16, 0x1.703e5a80a159fp-16, 0x1.70ee9eb208b2dp-16, 0x1.718dd262622afp-16, 0x1.721c2437bc67bp-16, 0x1.7299c30011438p-16, 0x1.7306ddadd2611p-16, 0x1.7363a35453e02p-16, 0x1.73b043261c053p-16, 0x1.73ecec702db33p-16, 0x1.7419ce975e093p-16, 0x1.74371914f974fp-16, 0x1.7444fb7421f5dp-16, 0x1.7443a54e1006ep-16, 0x1.74334647d399bp-16, 0x1.74140e105e90ep-16, 0x1.73e62c5bbdef2p-16, 0x1.73a9d0e0f40a6p-16, 0x1.735f2b580af39p-16, 0x1.73066b76cb8d5p-16, 0x1.729fc0edba87ap-16, 0x1.722b5b65f4044p-16, 0x1.71a96a7f59601p-16, 0x1.711a1dcd696f5p-16, 0x1.707da4d4da8f5p-16, 0x1.6fd42f08cc3c2p-16, 0x1.6f1debc897e63p-16, 0x1.6e5b0a5f80f66p-16, 0x1.6d8bb9ff8cb55p-16, 0x1.6cb029c1606dcp-16, 0x1.6bc888a0c83bdp-16, 0x1.6ad5057b4d51ep-16, 0x1.69d5cf0e37ce2p-16, 0x1.68cb13f572d21p-16, 0x1.67b502a87498fp-16, 0x1.6693c9783d6aep-16, 0x1.6567968de0317p-16, 0x1.643097e8e92dep-16, 0x1.62eefb5d28527p-16, 0x1.61a2ee913584p-16, 0x1.604c9efcf2b21p-16, 0x1.5eec39e81f3abp-16, 0x1.5d81ec686264bp-16, 0x1.5c0de35fd33bep-16, 0x1.5a904b7b60001p-16, 0x1.590951302985fp-16, 0x1.577920bdc3ad2p-16, 0x1.55dfe62926806p-16, 0x1.543dcd3cd51e7p-16, 0x1.52930186b7352p-16, }}, 
      {{0x1.8eb3fd8d74f2bp-1, 0x1.8ebd9d8914a06p-1, 0x1.8ed2edb087c1bp-1, 0x1.8ef6c6a6aee6fp-1, 0x1.8f295335c014dp-1, 0x1.8f681c5982c0cp-1, 0x1.8fae948b30dc6p-1, 0x1.8ff6cbcf27226p-1, 0x1.903a1f8a2db19p-1, 0x1.9071d09c45c1ep-1, 0x1.909777e4664e9p-1, 0x1.90a558f499c9fp-1, 0x1.9096969c7cd36p-1, 0x1.90674e822f277p-1, 0x1.9014a143587f6p-1, 0x1.8f9cac2b44343p-1, 0x1.8efe78d314c4p-1, 0x1.8e39e63616154p-1, 0x1.8d4f8e0340e29p-1, 0x1.8c40a84b4b2f2p-1, 0x1.8b0eef1c14318p-1, 0x1.89bc83264be36p-1, 0x1.884bd22e1e74ep-1, 0x1.86bf7fc00214bp-1, 0x1.851a506c0ed34p-1, 0x1.835f17a15f8bep-1, 0x1.8190a82521956p-1, 0x1.7fb1c70be9321p-1, 0x1.7dc5210da4f08p-1, 0x1.7bcd42039fcdbp-1, 0x1.79cc8e5b27095p-1, 0x1.77c53e45837f9p-1, 0x1.75b95a6e605bap-1, 0x1.73aaba039d9edp-1, 0x1.719b01dc90d5ap-1, 0x1.6f8ba4926a515p-1, 0x1.6d7de35f7d77cp-1, 0x1.6b72cf9f6585cp-1, 0x1.696b4cce399c7p-1, 0x1.676812e90e3e4p-1, 0x1.6569b115e6c0dp-1, 0x1.6370907cd0daep-1, 0x1.617cf73f3742fp-1, 0x1.5f8f0b7d7361ep-1, 0x1.5da6d65d5ec54p-1, 0x1.5bc44707061cp-1, 0x1.59e7358ebf231p-1, 0x1.580f65c5b7129p-1, 0x1.563c89ebabdeap-1, 0x1.546e453ddf623p-1, 0x1.52a42e607e632p-1, 0x1.50ddd1a0b1616p-1, 0x1.4f1ab30e64332p-1, 0x1.4d5a506d781ffp-1, 0x1.4b9c22feabe6fp-1, 0x1.49dfa120eee4fp-1, 0x1.48243fcc3a23dp-1, 0x1.466973e743854p-1, 0x1.44aeb379a40ccp-1, 0x1.42f376bc1fa18p-1, 0x1.41373908e66b6p-1, 0x1.3f7979adac18p-1, 0x1.3db9bca17de1p-1, 0x1.3bf78b203f10ep-1, 0x1.3a32742dad9d8p-1, 0x1.386a0d01c8827p-1, 0x1.369df1606060ap-1, 0x1.34cdc3dd8d7d5p-1, 0x1.32f92e10b5137p-1, 0x1.311fe0b7aff31p-1, 0x1.2f4193cb93b3ep-1, 0x1.2d5e06888a6a9p-1, 0x1.2b74ff6a0d111p-1, 0x1.29864c1cc33bdp-1, 0x1.2791c16731d9fp-1, 0x1.25973b0a535bdp-1, 0x1.23969b9b1a897p-1, 0x1.218fcc55d2cd6p-1, 0x1.1f82bcec39a47p-1, 0x1.1d6f634f22508p-1, 0x1.1b55bb745b6f7p-1, 0x1.1935c71986cffp-1, 0x1.170f8d847ec74p-1, 0x1.14e31b41d89dep-1, 0x1.12b081e2075d7p-1, 0x1.1077d7b5954d5p-1, 0x1.0e393788db403p-1, 0x1.0bf4c05f99fa5p-1, 0x1.09aa9530c5821p-1, 0x1.075adca2d461cp-1, 0x1.0505c0c8d0dd8p-1, 0x1.02ab6ee06b02p-1, 0x1.004c17113e577p-1, 0x1.fbcfd85aee691p-2, 0x1.f6fe46e800bfdp-2, 0x1.f223e8a8b3f6dp-2, 0x1.ed41306866094p-2, 0x1.e856946dbf995p-2, 0x1.e3648e0d7b5bbp-2, 0x1.de6b994127a8dp-2, 0x1.d96c3441f35adp-2, 0x1.d466df279f09fp-2, 0x1.cf5c1b8b8eb24p-2, 0x1.ca4c6c300ce97p-2, 0x1.c53854abb5f7cp-2, 0x1.c020591907c01p-2, 0x1.bb04fdca112ffp-2, 0x1.b5e6c70031626p-2, 0x1.b0c638a7d7812p-2, 0x1.aba3d618338fdp-2, 0x1.a68021d6c4558p-2, 0x1.a15b9d5ea872ap-2, 0x1.9c36c8eb9fb98p-2, 0x1.97122348a3477p-2, 0x1.91ee29a1f7c7fp-2, 0x1.8ccb575a9fef2p-2, 0x1.87aa25e51619ep-2, 0x1.828b0c9f2b36cp-2, 0x1.7d6e80b0f64a8p-2, 0x1.7854f4eeadde1p-2, 0x1.733ed9bd58dcp-2, 0x1.6e2c9cfa317b9p-2, 0x1.691ea9e4a198bp-2, 0x1.6415690aba909p-2, 0x1.5f1140380cedp-2, 0x1.5a129266c49b2p-2, 0x1.5519bfb2eae3cp-2, 0x1.5027254fb8977p-2, 0x1.4b3b1d7ed773dp-2, 0x1.4655ff897e85cp-2, 0x1.41781fbb4d62bp-2, 0x1.3ca1cf5ece79cp-2, 0x1.37d35cbb868a1p-2, 0x1.330d13157e539p-2, 0x1.2e4f3aae2acedp-2, 0x1.299a18c6a253p-2, 0x1.24edefa3067a4p-2, 0x1.204afe8f0f6a5p-2, 0x1.1bb181e3a6e97p-2, 0x1.1721b30d7cd24p-2, 0x1.129bc894834e6p-2, 0x1.0e1ff62445355p-2, 0x1.09ae6c94ff419p-2, 0x1.054759f5734e4p-2, 0x1.00eae9955d6ecp-2, 0x1.f93288211076ep-3, 0x1.f0a51eb4c3f6dp-3, 0x1.e82ddd942fe43p-3, 0x1.dfcd064e2f6bap-3, 0x1.d782d56bfc12bp-3, 0x1.cf4f828ba7fc6p-3, 0x1.c733407b3f4ebp-3, 0x1.bf2e3d5469229p-3, 0x1.b740a2987acd9p-3, 0x1.af6a954ce6a65p-3, 0x1.a7ac3617f9f2fp-3, 0x1.a005a15dd94b9p-3, 0x1.9876ef5da1edep-3, 0x1.9100344eae409p-3, 0x1.89a1807de787dp-3, 0x1.825ae06b179a4p-3, 0x1.7b2c5ce638d36p-3, 0x1.7415fb2ca3b7cp-3, 0x1.6d17bd06293fdp-3, 0x1.6631a0e1f77ap-3, 0x1.5f63a1f3585a9p-3, 0x1.58adb84e24e5fp-3, 0x1.520fd903000f5p-3, 0x1.4b89f63b4510dp-3, 0x1.451bff549dcd8p-3, 0x1.3ec5e0fc45a36p-3, 0x1.38878549f2851p-3, 0x1.3260d3da4c9afp-3, 0x1.2c51b1e914173p-3, 0x1.265a026ac69cep-3, 0x1.2079a625e060ep-3, 0x1.1ab07bcbaaf17p-3, 0x1.14fe601090d87p-3, 0x1.0f632dc3fa7e4p-3, 0x1.09debde7b28afp-3, 0x1.0470e7c6ce41cp-3, 0x1.fe33021827595p-4, 0x1.f3b0bbafc785bp-4, 0x1.e95aa1ab42fd3p-4, 0x1.df3056a139dap-4, 0x1.d5317a90ebcdcp-4, 0x1.cb5dab0a02019p-4, 0x1.c1b48353581dbp-4, 0x1.b8359c90b11ecp-4, 0x1.aee08de7806e8p-4, 0x1.a5b4eca29eca4p-4, 0x1.9cb24c5501d55p-4, 0x1.93d83efb7d8e5p-4, 0x1.8b26551d7f4a8p-4, 0x1.829c1deccf695p-4, 0x1.7a3927645cbd9p-4, 0x1.71fcfe6610707p-4, 0x1.69e72ed7afa6ep-4, 0x1.61f743becbc8ap-4, 0x1.5a2cc75bc6b1bp-4, 0x1.52874343ed706p-4, 0x1.4b06407aac07dp-4, 0x1.43a94789e003dp-4, 0x1.3c6fe0994b741p-4, 0x1.355993852cb4cp-4, 0x1.2e65e7f4004b4p-4, 0x1.2794656b6ef35p-4, 0x1.20e493646bbbfp-4, 0x1.1a55f95e893d2p-4, 0x1.13e81ef286c78p-4, 0x1.0d9a8be41b5c6p-4, 0x1.076cc833016bbp-4, 0x1.015e5c2b4abb5p-4, 0x1.f6dda0e9f56a3p-5, 0x1.eb3b5c45e571ep-5, 0x1.dfd4fd825d044p-5, 0x1.d4a998c4b172p-5, 0x1.c9b8435971d5ep-5, 0x1.bf0013cd06b71p-5, 0x1.b480220313998p-5, 0x1.aa37874ca890ap-5, 0x1.a0255e7d4c9f8p-5, 0x1.9648c3fee7efdp-5, 0x1.8ca0d5e492195p-5, 0x1.832cb3fc555bcp-5, 0x1.79eb7fdfe2ee5p-5, 0x1.70dc5d044c711p-5, 0x1.67fe70c8c1cd3p-5, 0x1.5f50e2845a33p-5, 0x1.56d2db92fd528p-5, 0x1.4e8387615c441p-5, 0x1.466213781a277p-5, 0x1.3e6daf861d6ddp-5, 0x1.36a58d6a0fcbap-5, 0x1.2f08e13b21398p-5, 0x1.2796e150fe2f2p-5, 0x1.204ec64b1a858p-5, 0x1.192fcb174292dp-5, 0x1.12392cf77fdf1p-5, 0x1.0b6a2b875dc22p-5, 0x1.04c208c0873b8p-5, 0x1.fc8011fd9f374p-6, 0x1.efc6e6075252ap-6, 0x1.e3571ff210b61p-6, 0x1.d72f56e781512p-6, 0x1.cb4e26eac566p-6, 0x1.bfb230db2cf6ep-6, 0x1.b45a1a75fec35p-6, 0x1.a9448e575c471p-6, 0x1.9e703bfa48c34p-6, 0x1.93dbd7b7d78bdp-6, 0x1.89861ac58ef68p-6, 0x1.7f6dc3331aaacp-6, 0x1.759193e72f0e4p-6, 0x1.6bf0549bcfc61p-6, 0x1.6288d1d9e0aa7p-6, 0x1.5959dcf425108p-6, 0x1.50624c019d3b5p-6, 0x1.47a0f9d75bfcfp-6, 0x1.3f14c601ce321p-6, 0x1.36bc94bd88819p-6, 0x1.2e974eef9454bp-6, 0x1.26a3e21d4c392p-6, 0x1.1ee14063d0d13p-6, 0x1.174e606f10b24p-6, 0x1.0fea3d706fdaep-6, 0x1.08b3d71521c1fp-6, 0x1.01aa317c1f782p-6, 0x1.f598aa57ad708p-7, 0x1.e8329e0f1b55bp-7, 0x1.db2060890d439p-7, 0x1.ce601cbdc793dp-7, 0x1.c1f0061c92d7fp-7, 0x1.b5ce5874a4df3p-7, 0x1.a9f957dda468ep-7, 0x1.9e6f509fcff2dp-7, 0x1.932e971bd7207p-7, 0x1.883587b266b9bp-7, 0x1.7d8286ab78263p-7, 0x1.7314001d5d59ap-7, 0x1.68e867d3a558ep-7, 0x1.5efe3935d956dp-7, 0x1.5553f72dfa7bfp-7, 0x1.4be82c0ef46c2p-7, 0x1.42b9697af84b2p-7, 0x1.39c64849bc4fbp-7, 0x1.310d686eae643p-7, 0x1.288d70df20057p-7, 0x1.20450f7868fcp-7, 0x1.1832f8e613ef5p-7, 0x1.1055e8880d5dap-7, 0x1.08aca058db4d2p-7, 0x1.0135e8d3db76fp-7, 0x1.f3e121b74ee35p-8, 0x1.e5b6db40e6bdcp-8, 0x1.d7eab50d4787bp-8, 0x1.ca7a721ae40a7p-8, 0x1.bd63e16b4a05dp-8, 0x1.b0a4ddd0fcad7p-8, 0x1.a43b4dbd8921ep-8, 0x1.9825231003572p-8, 0x1.8c605ae3c761p-8, 0x1.80eafd5f87df7p-8, 0x1.75c31d84cf425p-8, 0x1.6ae6d8ffe97a8p-8, 0x1.605457f822ac5p-8, 0x1.5609cce09ac8bp-8, 0x1.4c0574494b886p-8, 0x1.424594b0a9c6fp-8, 0x1.38c87e55af4b7p-8, 0x1.2f8c8b0a6069fp-8, 0x1.26901e06de1a3p-8, 0x1.1dd1a3bcd3d11p-8, 0x1.154f91ab74e7p-8, 0x1.0d086633f6f86p-8, 0x1.04faa86e93196p-8, 0x1.fa49d00013d94p-9, 0x1.eb0b79df90e52p-9, 0x1.dc378efcbe13cp-9, 0x1.cdcb5ff931316p-9, 0x1.bfc44d465a2a7p-9, 0x1.b21fc6d5b3576p-9, 0x1.a4db4bca76c74p-9, 0x1.97f46a2c00ee9p-9, 0x1.8b68be995ed27p-9, 0x1.7f35f3fe1384ap-9, 0x1.7359c347d5512p-9, 0x1.67d1f31d6e884p-9, 0x1.5c9c5796ea6c2p-9, 0x1.51b6d1f68e789p-9, 0x1.471f5062e812cp-9, 0x1.3cd3cda22bfecp-9, 0x1.32d250d681b4dp-9, 0x1.2918ed3b5aadep-9, 0x1.1fa5c1e42c583p-9, 0x1.1676f97be6a2fp-9, 0x1.0d8aca05698dfp-9, 0x1.04df749d6e45p-9, 0x1.f8e68a7a2b7bap-10, 0x1.e88924fb8db3fp-10, 0x1.d8a37abc10594p-10, 0x1.c932620ed34f9p-10, 0x1.ba32c52a73069p-10, 0x1.aba1a1b8eb08bp-10, 0x1.9d7c08695b8d6p-10, 0x1.8fbf1c83c0b0ap-10, 0x1.8268137eb4164p-10, 0x1.757434976de23p-10, 0x1.68e0d86ad3e83p-10, 0x1.5cab68914acc5p-10, 0x1.50d15f3c04d13p-10, 0x1.455046d43eeb8p-10, 0x1.3a25b99c5e97cp-10, 0x1.2f4f6152ff15cp-10, 0x1.24caf6d7c2201p-10, 0x1.1a9641d17a4a4p-10, 0x1.10af1856a117ap-10, 0x1.07135e97499fbp-10, 0x1.fb820d11b4cc3p-11, 0x1.e96c1f26b7044p-11, 0x1.d7e10c81a31d2p-11, 0x1.c6dd07db66661p-11, 0x1.b65c5cf62f295p-11, 0x1.a65b7005a891ap-11, 0x1.96d6bd1996524p-11, 0x1.87cad78c0250dp-11, 0x1.7934697263a46p-11, 0x1.6b103311b41a9p-11, 0x1.5d5b0a555b44fp-11, 0x1.5011da49075f1p-11, 0x1.4331a2957c9d9p-11, 0x1.36b7770017563p-11, 0x1.2aa07eed27111p-11, 0x1.1ee9f4e534f8fp-11, 0x1.1391261cb0cf9p-11, 0x1.089371fe3d5ecp-11, 0x1.fbdc936efc73p-12, 0x1.e73e5f910d8d6p-12, 0x1.d3476f2c7bcd7p-12, 0x1.bff309fc79273p-12, 0x1.ad3c97dbd2c8p-12, 0x1.9b1f9ff795ab4p-12, 0x1.8997c805d0204p-12, 0x1.78a0d380f09b3p-12, 0x1.6836a2e7953b9p-12, 0x1.585533014b087p-12, 0x1.48f89c271e015p-12, 0x1.3a1d119095637p-12, 0x1.2bbee0a49a6f9p-12, 0x1.1dda704efc7aep-12, 0x1.106c4059298e4p-12, 0x1.0370e8c731p-12, 0x1.edca327077d1ap-13, 0x1.d58b30977a06dp-13, 0x1.be1e861280111p-13, 0x1.a77e189889bep-13, 0x1.91a3f867dadbp-13, 0x1.7c8a5f2b2e0afp-13, 0x1.682baee61e159p-13, 0x1.548270e784224p-13, 0x1.418954c3e665ep-13, 0x1.2f3b2f549a2d3p-13, 0x1.1d92f9be23964p-13, 0x1.0c8bd07c5d2aep-13, 0x1.f841e4ea3c6dcp-14, 0x1.d89b801ecee15p-14, 0x1.ba1b74a3408f7p-14, 0x1.9cb9040768531p-14, 0x1.806badb27c204p-14, 0x1.652b2d3d56624p-14, 0x1.4aef78d95c08ep-14, 0x1.31b0bfc0f0383p-14, 0x1.196768b414d2p-14, 0x1.020c107a41818p-14, 0x1.d72f10e770917p-15, 0x1.ac05aa5a60fd8p-15, 0x1.828e5a03fb69fp-15, 0x1.5abbed8d77f2dp-15, 0x1.348190f49d062p-15, 0x1.0fd2cbff7633bp-15, 0x1.d946ff8f7a508p-16, 0x1.95cfc8978272ap-16, 0x1.55290c2f7831ap-16, 0x1.173c87f85b71ep-16, 0x1.b7e933388556p-17, 0x1.467874f92c2d5p-17, 0x1.b3fbeddde5db8p-18, 0x1.c948062870063p-19, 0x1.e9bf7c75a0e37p-22, -0x1.3cce70170821cp-19, -0x1.52ae71f72d95bp-18, -0x1.fe808bef6a238p-18, -0x1.51112d50f5e6dp-17, -0x1.9eeb5fd59c001p-17, -0x1.e8ef5b97e95b5p-17, -0x1.179e594c7394bp-16, -0x1.38f908a69192ap-16, -0x1.5896a270ca9eep-16, -0x1.7685a0b3ddee5p-16, -0x1.92d413e5fee8ep-16, -0x1.ad8fa5da301ap-16, -0x1.c6c59c8fa180ep-16, -0x1.de82dcf5c6cf4p-16, -0x1.f4d3ed99f54c9p-16, -0x1.04e27ca3622a4p-15, -0x1.0eb0e8c60266dp-15, -0x1.17daf89bc098bp-15, -0x1.20663f5ec3876p-15, -0x1.28582745ee4f7p-15, -0x1.2fb5f2ab30867p-15, -0x1.3684bd25a0df6p-15, -0x1.3cc97c9d9bdd9p-15, -0x1.428902575035ep-15, -0x1.47c7fbf90612fp-15, -0x1.4c8af4891b2bcp-15, -0x1.50d65562e4df2p-15, -0x1.54ae672888cebp-15, -0x1.581752ac7f7dap-15, -0x1.5b1521d08cbcbp-15, -0x1.5dabc06822de5p-15, -0x1.5fdefd0b1c454p-15, -0x1.61b289e81a284p-15, -0x1.6329fd8e8d59bp-15, -0x1.6448d3b470fp-15, -0x1.65126df5ed9aep-15, -0x1.658a148eca42dp-15, -0x1.65b2f71197278p-15, -0x1.65902d1748161p-15, -0x1.6524b6e9b040bp-15, -0x1.64737e2a99134p-15, -0x1.637f567577496p-15, -0x1.624afdfdeaec8p-15, -0x1.60d91e2740b01p-15, -0x1.5f2c4c1a40cbep-15, -0x1.5d470955e7c1bp-15, -0x1.5b2bc4397588bp-15, -0x1.58dcd8901c22p-15, -0x1.565c901428a28p-15, -0x1.53ad22f1499d4p-15, -0x1.50d0b840435ebp-15, -0x1.4dc966818bda5p-15, -0x1.4a993413e0881p-15, -0x1.474217a744ccbp-15, -0x1.43c5f8ad74fc7p-15, -0x1.4026afc5fe45fp-15, -0x1.3c660728f4cf2p-15, -0x1.3885bb0b07c9bp-15, -0x1.34877a03fbd11p-15, -0x1.306ce56f88d1p-15, -0x1.2c3791caa46e3p-15, -0x1.27e9070f2d61bp-15, -0x1.2382c10d3cc9cp-15, -0x1.1f062fc1e765p-15, -0x1.1a74b7aafd3a6p-15, -0x1.15cfb218a6b2cp-15, -0x1.11186d7df2c26p-15, -0x1.0c502dbdbcaf8p-15, -0x1.07782c7387752p-15, -0x1.0291993ed9be2p-15, -0x1.fb3b3413ee2c7p-16, -0x1.f13a969b89d98p-16, -0x1.e72380a9c3051p-16, -0x1.dcf806fa4a4fap-16, -0x1.d2ba2cedf5989p-16, -0x1.c86be504c43cfp-16, -0x1.be0f1154c5a92p-16, -0x1.b3a58400af365p-16, -0x1.a930ffa847f7bp-16, -0x1.9eb337d336fbep-16, -0x1.942dd15ea7e51p-16, -0x1.89a262e4360c4p-16, -0x1.7f12751ed5dfdp-16, -0x1.747f834b64f76p-16, -0x1.69eafb896b277p-16, -0x1.5f563f37b8566p-16, -0x1.54c2a34fe2ce6p-16, -0x1.4a3170b982abdp-16, -0x1.3fa3e4a2e55f8p-16, -0x1.351b30d3cbbbdp-16, -0x1.2a987bfc4aa79p-16, -0x1.201ce203aeb33p-16, -0x1.15a9745564647p-16, -0x1.0b3f3a2a70afap-16, -0x1.00df30d0871cbp-16, -0x1.ed1497e006982p-17, -0x1.d882eba1c9acdp-17, -0x1.c40b1f3d9f636p-17, -0x1.afaee34d5bd87p-17, -0x1.9b6fd72bd10fap-17, -0x1.874f89707a2d2p-17, -0x1.734f78645854dp-17, -0x1.5f711275771a1p-17, -0x1.4bb5b6a936305p-17, -0x1.381eb507e4506p-17, -0x1.24ad4f084436fp-17, -0x1.1162b7f46ac4ep-17, -0x1.fc802a9becc3dp-18, -0x1.d68cfe6596c87p-18, -0x1.b0ee017b5f57bp-18, -0x1.8ba530c1ba5e7p-18, -0x1.66b47080c14b9p-18, -0x1.421d8d14eb205p-18, -0x1.1de23b966545dp-18, -0x1.f40835078035bp-19, -0x1.ad0964cac2b6cp-19, -0x1.66caeccec5af8p-19, -0x1.214f89f296361p-19, -0x1.b933a1779b88dp-20, -0x1.31585cf7d5d45p-20, -0x1.5623a997ba354p-21, -0x1.33226bb8931dap-23, 0x1.72b0f1c3277e9p-22, 0x1.bc382452443c5p-21, 0x1.5de7c0c82eebap-20, 0x1.dc0c174e1512p-20, 0x1.2c431263309e5p-19, 0x1.69a99b2ac9057p-19, 0x1.a6386abfd8046p-19, 0x1.e1ee6333118dfp-19, 0x1.0e6541813ed21p-18, 0x1.2b65f225cdddp-18, 0x1.47f8ddfdc5f99p-18, 0x1.641dac80fcb34p-18, 0x1.7fd411c292044p-18, 0x1.9b1bce1387e09p-18, 0x1.b5f4ada5bf361p-18, 0x1.d05e882e2ae02p-18, 0x1.ea59408efd94cp-18, 0x1.01f2623fc9a9cp-17, 0x1.0e8086195b017p-17, 0x1.1ad70d0554b57p-17, 0x1.26f5fd2320629p-17, 0x1.32dd6157f85e4p-17, 0x1.3e8d4929f92eap-17, 0x1.4a05c89adcae5p-17, 0x1.5546f80232c4dp-17, 0x1.6050f3e95340ep-17, 0x1.6b23dcea1271p-17, 0x1.75bfd78c36cedp-17, 0x1.80250c250efc9p-17, 0x1.8a53a6b6d52d9p-17, 0x1.944bd6d1a4a35p-17, 0x1.9e0dcf7341f6ep-17, 0x1.a799c6e99ce78p-17, 0x1.b0eff6b822bbcp-17, 0x1.ba109b77e71ap-17, 0x1.c2fbf4bdb8f87p-17, 0x1.cbb244feed866p-17, 0x1.d433d1766a7f7p-17, 0x1.dc80e2099f333p-17, 0x1.e499c13083728p-17, 0x1.ec7ebbdcad06p-17, 0x1.f4302162112a1p-17, 0x1.fbae435f0d92bp-17, 0x1.017cbad2b560dp-16, 0x1.050907124db51p-16, 0x1.087c3268d732ep-16, 0x1.0bd669ca3c4e9p-16, 0x1.0f17db193525dp-16, 0x1.1240b51ce6043p-16, 0x1.15512776e944cp-16, 0x1.1849629a2b9c3p-16, 0x1.1b2997c143cd4p-16, 0x1.1df1f8e4640a3p-16, 0x1.20a2b8b14dd4dp-16, 0x1.233c0a822e485p-16, 0x1.25be2255a6decp-16, 0x1.282934c617fa7p-16, 0x1.2a7d7701555cbp-16, 0x1.2cbb1ec12c4c1p-16, 0x1.2ee2624315293p-16, 0x1.30f378408f118p-16, 0x1.32ee97e8db263p-16, 0x1.34d3f8d87dd9cp-16, 0x1.36a3d31317094p-16, 0x1.385e5efc0c2abp-16, 0x1.3a03d55092d6fp-16, 0x1.3b946f20530aep-16, 0x1.3d1065c7489edp-16, 0x1.3e77f2e7aed5p-16, 0x1.3fcb506427b6dp-16, 0x1.410ab859e1486p-16, 0x1.4236651a86daap-16, 0x1.434e9126bee08p-16, 0x1.445377293ea58p-16, 0x1.454551f0a03dfp-16, 0x1.46245c6aae71dp-16, 0x1.46f0d19fbce7ap-16, 0x1.47aaecacf7dbfp-16, 0x1.4852e8c01887ap-16, 0x1.48e90112845e3p-16, 0x1.496d70e540dd7p-16, 0x1.49e0737bf5401p-16, 0x1.4a424419019ccp-16, 0x1.4a931df8ff6aep-16, 0x1.4ad33c4ed5bf9p-16, 0x1.4b02da401fafap-16, 0x1.4b2232e0dd1c3p-16, 0x1.4b31812fa0e01p-16, 0x1.4b310012a4dacp-16, 0x1.4b20ea539d535p-16, 0x1.4b017a9c3e564p-16, 0x1.4ad2eb73b3313p-16, 0x1.4a95773a756fdp-16, 0x1.4a4958277e71dp-16, 0x1.49eec8451fa7p-16, 0x1.4986016e2e617p-16, 0x1.490f3d4b93d09p-16, 0x1.488ab550ce0cfp-16, 0x1.47f8a2b9a0801p-16, 0x1.47593e8744c22p-16, 0x1.46acc17df6fafp-16, 0x1.45f3642291644p-16, 0x1.452d5eb7e4c96p-16, 0x1.445ae93cdb818p-16, 0x1.437c3b6a2079dp-16, 0x1.42918cafdf784p-16, 0x1.419b143364384p-16, 0x1.409908ce0fcdep-16, 0x1.3f8ba10a4b8b3p-16, 0x1.3e7313222f1ffp-16, 0x1.3d4f94fd9ff98p-16, 0x1.3c215c3031f2ap-16, 0x1.3ae89df8e7ea6p-16, 0x1.39a58f3f20e58p-16, 0x1.385864916fe66p-16, 0x1.3701522451e7p-16, 0x1.35a08bd0999abp-16, 0x1.343645120219p-16, 0x1.32c2b105db79cp-16, 0x1.3146026a0038p-16, 0x1.2fc06b9bfdbe2p-16, 0x1.2e321e96e764dp-16, 0x1.2c9b4cf300b3p-16, 0x1.2afc27e47edfcp-16, 0x1.2954e03b02caep-16, 0x1.27a5a65f71074p-16, 0x1.25eeaa5453219p-16, 0x1.24301bb3cd35bp-16, 0x1.226a29afd84c6p-16, 0x1.209d0311e61fap-16, 0x1.1ec8d638bd773p-16, 0x1.1cedd118b8d96p-16, 0x1.1b0c213ab79b5p-16, 0x1.1923f3bbdfe8bp-16, 0x1.1735754ca62a7p-16, 0x1.1540d230b3161p-16, 0x1.1346363e7b31cp-16, 0x1.1145ccdef0495p-16, 0x1.0f3fc10c543b2p-16, 0x1.0d343d5279d1ep-16, 0x1.0b236bce69f9dp-16, 0x1.090d762e795ebp-16, 0x1.06f285b0f2de5p-16, 0x1.04d2c324ad69bp-16, 0x1.02ae56e8aa057p-16, 0x1.008568ebb33b4p-16, 0x1.fcb0415b316dp-17, 0x1.f84d4a7afc66dp-17, 0x1.f3e23a745413fp-17, 0x1.ef6f5da49ecc1p-17, 0x1.eaf4ff889687fp-17, 0x1.e6736abc3906dp-17, 0x1.e1eae8fb734dcp-17, 0x1.dd5bc321c3fafp-17, 0x1.d8c6412c058fp-17, 0x1.d42aaa36a8766p-17, 0x1.cf89447e3a813p-17, 0x1.cae2556033885p-17, 0x1.c636215c9d1fbp-17, 0x1.c184ec14e8456p-17, 0x1.bccef84c1a0e1p-17, 0x1.b81487e833ef3p-17, 0x1.b355dbf250915p-17, 0x1.ae933498106ccp-17, 0x1.a9ccd12cd6d76p-17, 0x1.a502f028bf677p-17, 0x1.a035cf299181dp-17, 0x1.9b65aaf415e75p-17, 0x1.9692bf74a10eap-17, 0x1.91bd47bfd5b26p-17, 0x1.8ce57e13f32a4p-17, 0x1.880b9bd933177p-17, 0x1.832fd9a40e2dcp-17, 0x1.7e526f34aaa4cp-17, 0x1.797393781ab6ep-17, 0x1.74937c889364ap-17, 0x1.6fb25fb17451ep-17, 0x1.6ad0716dafedbp-17, 0x1.65ede56961d98p-17, 0x1.610aee8288d22p-17, 0x1.5c27becb3d0edp-17, 0x1.57448789beaadp-17, 0x1.5261793c00216p-17, 0x1.4d7ec396b2bfbp-17, 0x1.489c95868d7f6p-17, 0x1.43bb1d31c3013p-17, 0x1.3eda87f9845adp-17, 0x1.39fb027b2356dp-17, 0x1.351cb891a6fc2p-17, 0x1.303fd5569731p-17, 0x1.2b648324696f2p-17, 0x1.268aeb973bd34p-17, 0x1.21b3378dfa886p-17, 0x1.1cdd8f2b6e6dfp-17, 0x1.180a19d7653f9p-17, 0x1.1338fe42ccc27p-17, 0x1.0e6a626646976p-17, 0x1.099e6b8400ed9p-17, 0x1.04d53e298441p-17, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      33, 0x1.470a3d70a3d71p+2, 0x1.85c2d69b3e127p-2, -0x1.2d38ab1ba9836p-1, -0x1.b279742b9325cp-4, 
      {{
        {0x1.c28f5c28f5c29p+1, 0x1.c666666666666p+1, 0x1.4255b011bea3bp-5, -0x1.c56efed0ff247p-5, 0x1.592d61b7379e1p-7, 0x1.6413850d258ebp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.34cfd0bf5f462p-5, -0x1.c003fc13ac518p-5, 0x1.793960e3eba3p-7, 0x1.5f8dd93065c9fp-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1ea8626d53106p-5, -0x1.b5ed01165d46ap-5, 0x1.adf50e44c7b4cp-7, 0x1.5a0d8582d01e8p-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.090a7ef011bf6p-5, -0x1.aa872c290a223p-5, 0x1.e1dd7be533b92p-7, 0x1.55c97fa31e04bp-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.e80d8a36e0198p-6, -0x1.9dd72d76af061p-5, 0x1.0a910deba2837p-6, 0x1.4c8a2ebfe98ffp-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.bf5b2539c8bb1p-6, -0x1.8fe3817adcb35p-5, 0x1.2381d16d3a6e2p-6, 0x1.2a8d46f70826p-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.981d5611d9b43p-6, -0x1.80c0e8f49e157p-5, 0x1.39e6038c8e3ddp-6, 0x1.07e385d78b8bdp-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.7270c33100632p-6, -0x1.709057ba25451p-5, 0x1.4db0ad96524edp-6, 0x1.cab6566f239adp-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4e6ec2749301p-6, -0x1.5f73049115d76p-5, 0x1.5ee450d416d7ap-6, 0x1.8593bafc66266p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.2c2d585fe659ep-6, -0x1.4d8a1a8290715p-5, 0x1.6d804170c112ep-6, 0x1.4075eb559380fp-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.0bbf381c4dcf9p-6, -0x1.3af6c7bcc42bep-5, 0x1.7984ad7729cdfp-6, 0x1.f6ada5641f1d4p-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.da6786f236ad6p-7, -0x1.27da399629444p-5, 0x1.82f188910a634p-6, 0x1.6c70246ac2e8cp-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a12e15d73ef29p-7, -0x1.14559d9f04e58p-5, 0x1.89c6d60ca4714p-6, 0x1.c464e8676abfap-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.6be39b1e52a8p-7, -0x1.008a21581f6d9p-5, 0x1.8e049507363e5p-6, 0x1.5fd3429880cebp-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.3a92f24a0d344p-7, -0x1.d931e48ccf009p-6, 0x1.8faac5bd86d8dp-6, -0x1.9246b27b8aac5p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0d4054290722ap-7, -0x1.b1467bdb5ed3p-6, 0x1.8eb9681f3cb8fp-6, -0x1.790cf89e6a76fp-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c7d2adabac4f9p-8, -0x1.899463a42933cp-6, 0x1.8b307c30f3b97p-6, -0x1.46c422bd85ceap-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7d09db6e1a42ap-8, -0x1.625df6ef488e6p-6, 0x1.851001f099371p-6, -0x1.d101c8680d76p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3a06d2fe78282p-8, -0x1.3be590c4c2d84p-6, 0x1.7c57f961d8f66p-6, -0x1.2d9fb8594fac8p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.fd39e0b3c0be8p-9, -0x1.166d8c2d1056bp-6, 0x1.71086278192cdp-6, -0x1.72be87a06eb22p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.9524942acf2a8p-9, -0x1.e470885de8dbap-7, 0x1.63213d6215061p-6, -0x1.b7dd691093be6p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3b3f62bc398e1p-9, -0x1.9f1027af27c4ep-7, 0x1.52a2897175e24p-6, -0x1.fcfc06ba30b95p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.ddc2c7e425148p-10, -0x1.5d3eac38857ebp-7, 0x1.3f8c4930e0db7p-6, -0x1.210dd0aab1aa2p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.5e8e490cc2bb2p-10, -0x1.1f80cc966d0d9p-7, 0x1.29de73241387dp-6, -0x1.439bc5f8502b3p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.ee4a998c87b08p-11, -0x1.ccb6799bbf049p-8, 0x1.11992ab173eb1p-6, -0x1.66309cccee231p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.4b2d828912eep-11, -0x1.64a5751f84dd4p-8, 0x1.ed77d7775db77p-7, -0x1.88abc585d1138p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9ef1fc6d777bp-12, -0x1.07d7bee9a72d9p-8, 0x1.b29146a34b283p-7, -0x1.ab86c5264db14p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.d9da49f3a527fp-13, -0x1.6eaf2f2a2d81ap-9, 0x1.727042aa591aap-7, -0x1.ccfc174472c44p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.d82cd016a9783p-14, -0x1.d0ad491cfbe16p-10, 0x1.2d4a726014af4p-7, -0x1.f3a8488407834p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.79b442f8ba8p-15, -0x1.fb3f54915cb16p-11, 0x1.c4af35655a514p-8, -0x1.036f55603a7dp-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.90a54a7ada3fep-17, -0x1.9eba7caebfd7p-12, 0x1.2906022b9da08p-8, -0x1.315ab4f3fbcf1p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.38cbb14b5ffffp-20, -0x1.583e73784e30ep-14, 0x1.c73e5664e6fa4p-10, -0x1.6f9336f411b95p-7}, 
        {0x1.4666666666666p+2, 0x1.470a3d70a3d71p+2, 0x1.eeb2cf96821ffp-31, 0x1.f460af726d6ap-18, 0x1.c4e8f4cd6a19fp-15, -0x1.e3e8f4926ba14p-2}, 
      }}, 
      0x1.f4f412e4e038fp+5, -0x1.251b07a395be7p+11
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.eddcd1338f08dp-7, 0x1.e10be8e19b53fp-6, 0x1.59a398a4b9886p-5, 0x1.b2951f77bc8efp-5, 0x1.f8795457b7e4dp-5, 0x1.14d4ca3ba7fbp-4, 0x1.22c5c1b37ba14p-4, 0x1.262f47b35dda3p-4, 0x1.1f851fa539edp-4, 0x1.0f78307e64b9dp-4, 0x1.edc51bcc9acc1p-5, 0x1.ad6ddd45a324ap-5, 0x1.5fe712f8b9982p-5, 0x1.072fee7e42ca3p-5, 0x1.4a76ac244bb68p-6, 0x1.df29cf922809fp-8, -0x1.98a41ec0e07d1p-8, -0x1.4c2cc79713defp-6, -0x1.1ba9895b29072p-5, -0x1.927c7114a6223p-5, -0x1.04b142c0dc3b1p-4, -0x1.3fa971c1b8c9bp-4, -0x1.79b3473e1f056p-4, -0x1.b26b23b5d6675p-4, -0x1.e97c176cfb4p-4, -0x1.0f4f5459ef39bp-3, -0x1.28cbcda2a474p-3, -0x1.411b6074b49afp-3, -0x1.582aec5921f42p-3, -0x1.6debbfe95a9f5p-3, -0x1.82531bca5c98p-3, -0x1.9559bdb4b22f9p-3, -0x1.a6fb771d8b85fp-3, -0x1.b736cc8f60378p-3, -0x1.c60c9ec900049p-3, -0x1.d37fdc46f4d32p-3, -0x1.df953b892e031p-3, -0x1.ea52fd85a571ep-3, -0x1.f3c0b5eeb614fp-3, -0x1.fbe719829d83fp-3, -0x1.0167e861e2f11p-2, -0x1.0442a819ec99ap-2, -0x1.068959a6569a9p-2, -0x1.0841cdbb4da81p-2, -0x1.097209091fa97p-2, -0x1.0a203654b48c7p-2, -0x1.0a529a46da66ap-2, -0x1.0a0f884a58f4ep-2, -0x1.095d5885ac5f5p-2, -0x1.08425f0a576d7p-2, -0x1.06c4e3e64f895p-2, -0x1.04eb1c0f38f43p-2, -0x1.02bb233f1c9a8p-2, -0x1.003af66cd40abp-2, -0x1.fae0de9177a52p-3, -0x1.f4c27fe3e16f8p-3, -0x1.ee25dfd33af97p-3, -0x1.e715b1be6008p-3, -0x1.df9c49ad11e67p-3, -0x1.d7c397d0ea48p-3, -0x1.cf9526bdcfcd3p-3, -0x1.c71a18b887873p-3, -0x1.be5b2721b7596p-3, -0x1.b560a1feb291bp-3, -0x1.ac326f33a9ebcp-3, -0x1.a2d80d25fca68p-3, -0x1.99589108ffecdp-3, -0x1.8fbaabbd4649dp-3, -0x1.8604a894c4b1cp-3, -0x1.7c3c71a13e83cp-3, -0x1.7267926df77bdp-3, -0x1.688b37a95dc1bp-3, -0x1.5eac37e364bfep-3, -0x1.54cf0f4a36abep-3, -0x1.4af7e9e54ea0fp-3, -0x1.412aa25909027p-3, -0x1.376ac5c7eff9ap-3, -0x1.2dbb9a7248439p-3, -0x1.24201db180ba7p-3, -0x1.1a9b0c56eb027p-3, -0x1.112ee2eafe06ap-3, -0x1.07dde174177bep-3, -0x1.fd541f398f9cfp-4, -0x1.eb2a7c173dec2p-4, -0x1.d94216018fe1ap-4, -0x1.c79dc76067487p-4, -0x1.b6400fd6e6349p-4, -0x1.a52b1873e3f1bp-4, -0x1.9460b92a78abcp-4, -0x1.83e27d3088372p-4, -0x1.73b1a7da562dfp-4, -0x1.63cf39176dd34p-4, -0x1.543bf1620f59p-4, -0x1.44f8566fed32p-4, -0x1.3604b6937a105p-4, -0x1.27612d1f242a7p-4, -0x1.190da5ec3e5f7p-4, -0x1.0b09e0f6c2d26p-4, -0x1.faaaec23d2d0cp-5, -0x1.dfdfb00d3e85bp-5, -0x1.c5b0b024f9a6bp-5, -0x1.ac1c51d464487p-5, -0x1.9320c35e3e0b2p-5, -0x1.7abc01e55624fp-5, -0x1.62ebde6367111p-5, -0x1.4bae0322bd74ap-5, -0x1.34fff8c997125p-5, -0x1.1edf2a6365d88p-5, -0x1.0948e9effa5cdp-5, -0x1.e874e988d5ddap-6, -0x1.bf61ed5ab08bdp-6, -0x1.97531b6a5cd67p-6, -0x1.70429b7960be2p-6, -0x1.4a2a85845ba0bp-6, -0x1.2504e80d72e19p-6, -0x1.00cbcdc9a83dbp-6, -0x1.baf281f3f8dafp-7, -0x1.760ea0927fc56p-7, -0x1.32e0261b97b6dp-7, -0x1.e2b6b0a929a7ep-8, -0x1.62e93394b94afp-8, -0x1.cc81c7279f336p-9, -0x1.b29c7c6ce829p-10, 0x1.3f4c8022646b7p-13, 0x1.f6e62ff5d179cp-10, 0x1.dd57ad00a9a45p-9, 0x1.5ce6553813c5cp-8, 0x1.c87da5adb8babp-8, 0x1.18c2f62615cbep-7, 0x1.4c0969c2c88a9p-7, 0x1.7e1bc439d6f72p-7, 0x1.af035a5d101c7p-7, 0x1.dec94126d6a0bp-7, 0x1.06bb262dba8e7p-6, 0x1.1d8985fc6fe2fp-6, 0x1.33d3e73861ac6p-6, 0x1.499e5015be96bp-6, 0x1.5eeca68b30f2ap-6, 0x1.73c2ad26a2f3dp-6, 0x1.882409a186ba1p-6, 0x1.9c143e2977023p-6, 0x1.af96aecaaaa61p-6, 0x1.c2aea0a5bf411p-6, 0x1.d55f3837e374ap-6, 0x1.e7ab7c43205bp-6, 0x1.f99656d7414bap-6, 0x1.0591498be0b4ep-5, 0x1.0e29705bf9a07p-5, 0x1.1694e9017b812p-5, 0x1.1ed4efea961a7p-5, 0x1.26eab33e4a37ap-5, 0x1.2ed754a314808p-5, 0x1.369be8f364d86p-5, 0x1.3e39785a6c4f2p-5, 0x1.45b1000b2291bp-5, 0x1.4d037050b7081p-5, 0x1.5431af077c628p-5, 0x1.5b3c96fe5c9cbp-5, 0x1.6224f803b206bp-5, 0x1.68eb985ec4aa5p-5, 0x1.6f91342cc23dap-5, 0x1.76167d240d115p-5, 0x1.7c7c1d72332b5p-5, 0x1.82c2b4e9ec36dp-5, 0x1.88eadb1b1040bp-5, 0x1.8ef5203c345acp-5, 0x1.94e20c17247efp-5, 0x1.9ab21e232cecep-5, 0x1.a065cf28b6ddp-5, 0x1.a5fd9158fd1b2p-5, 0x1.ab79cfbe05f78p-5, 0x1.b0daeef946d15p-5, 0x1.b6214d33bb25p-5, 0x1.bb4d434159ef7p-5, 0x1.c05f24243f02ap-5, 0x1.c5573de28208ep-5, 0x1.ca35d8eff4803p-5, 0x1.cefb38a452e17p-5, 0x1.d3a79c1ce5c0ep-5, 0x1.d83b3ea560899p-5, 0x1.dcb656def16bep-5, 0x1.e1191795605cfp-5, 0x1.e563af0da010bp-5, 0x1.e99648e622c7fp-5, 0x1.edb10ddde5353p-5, 0x1.f1b4236ced22ap-5, 0x1.f59fab6ee4b17p-5, 0x1.f973c4e452a67p-5, 0x1.fd308cbe4c786p-5, 0x1.006b0f04057eep-4, 0x1.023248e1b3376p-4, 0x1.03edff1795359p-4, 0x1.059e3b899dc37p-4, 0x1.07430788bf5f2p-4, 0x1.08dc6bea6fe54p-4, 0x1.0a6a70ecb1c73p-4, 0x1.0bed1debd1c06p-4, 0x1.0d64795e5d78bp-4, 0x1.0ed08930edc0bp-4, 0x1.1031532c6f218p-4, 0x1.1186dcfb1be3p-4, 0x1.12d12c05a3ee4p-4, 0x1.1410450b06c9bp-4, 0x1.15442c4bbea83p-4, 0x1.166ce60354821p-4, 0x1.178a769e045d6p-4, 0x1.189ce2b91760ap-4, 0x1.19a42ed8deed7p-4, 0x1.1aa05f35a5a2p-4, 0x1.1b9177e41fd29p-4, 0x1.1c777d2da5f7bp-4, 0x1.1d5273cfe54b8p-4, 0x1.1e2260f77bae7p-4, 0x1.1ee74a036d1cdp-4, 0x1.1fa134550764cp-4, 0x1.205025472ac1ep-4, 0x1.20f4229e6b628p-4, 0x1.218d32b9497dbp-4, 0x1.221b5c9b130c2p-4, 0x1.229ea7bd95d0ap-4, 0x1.23171bd8c1b4cp-4, 0x1.2384c0d8263c1p-4, 0x1.23e79f097b10cp-4, 0x1.243fbf5fc556fp-4, 0x1.248d2b961e32ep-4, 0x1.24cfee1c1e11cp-4, 0x1.250811e145e3bp-4, 0x1.2535a23101ba9p-4, 0x1.2558aac17d892p-4, 0x1.257137ce550f9p-4, 0x1.257f565d86735p-4, 0x1.2583144adf4c9p-4, 0x1.257c802dec75fp-4, 0x1.256ba9309c14bp-4, 0x1.25509ef24920dp-4, 0x1.252b718d660c5p-4, 0x1.24fc31badbfc7p-4, 0x1.24c2f0f881231p-4, 0x1.247fc197d7ac6p-4, 0x1.2432b6ad2969ap-4, 0x1.23dbe3ed220c2p-4, 0x1.237b5d9094468p-4, 0x1.2311384f69146p-4, 0x1.229d89749e2cap-4, 0x1.22206700a6d95p-4, 0x1.2199e7b348452p-4, 0x1.210a230b53fe1p-4, 0x1.207131304cdeap-4, 0x1.1fcf2ad385d41p-4, 0x1.1f24292156185p-4, 0x1.1e7045c47736cp-4, 0x1.1db39af771b87p-4, 0x1.1cee43971077ep-4, 0x1.1c205b295cb2ep-4, 0x1.1b49fdd454fcp-4, 0x1.1a6b484929931p-4, 0x1.198457ae9a32cp-4, 0x1.18954994cbe5cp-4, 0x1.179e3bf6a22efp-4, 0x1.169f4d44876d9p-4, 0x1.15989c6fa989ap-4, 0x1.148a48ed58528p-4, 0x1.137472b10fe6ap-4, 0x1.12573a1bcf4ccp-4, 0x1.1132bfe94c499p-4, 0x1.100725253bdeep-4, 0x1.0ed48b27058dcp-4, 0x1.0d9b1395c73fcp-4, 0x1.0c5ae06e45c4ep-4, 0x1.0b14140709e54p-4, 0x1.09c6d10d2910bp-4, 0x1.08733a7a3cbbdp-4, 0x1.071973864e16fp-4, 0x1.05b99f9a75bc1p-4, 0x1.0453e24871b27p-4, 0x1.02e85f489dc2p-4, 0x1.01773a7c14fc2p-4, 0x1.000097ef5572ep-4, 0x1.fd0937b4b3761p-5, 0x1.fa06d538f160bp-5, 0x1.f6fa51678f25cp-5, 0x1.f3e3f5633edb9p-5, 0x1.f0c40a5ea563fp-5, 0x1.ed9ad98d9c8bdp-5, 0x1.ea68ac1f0ea7bp-5, 0x1.e72dcb3b77c52p-5, 0x1.e3ea8009199bp-5, 0x1.e09f13ac131c5p-5, 0x1.dd4bcf42154f7p-5, 0x1.d9f0fbd789d96p-5, 0x1.d68ee25510b6bp-5, 0x1.d325cb692b79bp-5, 0x1.cfb5ff74677b1p-5, 0x1.cc3fc67d5a09p-5, 0x1.c8c3682dc3dd1p-5, 0x1.c5412bd693162p-5, 0x1.c1b958769891dp-5, 0x1.be2c34bf873a4p-5, 0x1.ba9a0714a788p-5, 0x1.b703157fc61c5p-5, 0x1.b367a59c34a36p-5, 0x1.afc7fc7be222fp-5, 0x1.ac245e8dd1048p-5, 0x1.a87d0f8d57de2p-5, 0x1.a4d2527eeb302p-5, 0x1.a12469bac104ap-5, 0x1.9d739701a08d3p-5, 0x1.99c01b945112dp-5, 0x1.960a38436f8cep-5, 0x1.92522d6d53414p-5, 0x1.8e983ae68ce2dp-5, 0x1.8adc9fce25458p-5, 0x1.871f9a59d007p-5, 0x1.836167aa6edeep-5, 0x1.7fa243b84dc0fp-5, 0x1.7be2696083b66p-5, 0x1.7822129240b0ap-5, 0x1.74617890e0c67p-5, 0x1.70a0d434bd275p-5, 0x1.6ce05e135fe32p-5, 0x1.69204e7a2921bp-5, 0x1.6560dd34e5eb9p-5, 0x1.61a2412a93a3cp-5, 0x1.5de4afeb854c1p-5, 0x1.5a285d549c4fp-5, 0x1.566d7b69af1c7p-5, 0x1.52b43a7d281cfp-5, 0x1.4efcc9a24ee85p-5, 0x1.4b47574963bcap-5, 0x1.479411dd5a7c7p-5, 0x1.43e32830fa5edp-5, 0x1.4034c98af13cp-5, 0x1.3c89253dff846p-5, 0x1.38e069e261a6bp-5, 0x1.353ac461b02bcp-5, 0x1.31985f1b212eap-5, 0x1.2df9616925072p-5, 0x1.2a5defbb98147p-5, 0x1.26c62c5102585p-5, 0x1.23323869c26d3p-5, 0x1.1fa235a67fb12p-5, 0x1.1c16472cf27bdp-5, 0x1.188e9233ecc64p-5, 0x1.150b3dbab7938p-5, 0x1.118c7168a6c71p-5, 0x1.0e1253d198578p-5, 0x1.0a9d0890889f2p-5, 0x1.072caec19497ep-5, 0x1.03c16057083d2p-5, 0x1.005b3291e73d2p-5, 0x1.f9f46f3350addp-6, 0x1.f33d01b9d38ap-6, 0x1.ec9043484cdefp-6, 0x1.e5ee624849addp-6, 0x1.df5796e2f2af6p-6, 0x1.d8cc21eebdf36p-6, 0x1.d24c48ecb6f3dp-6, 0x1.cbd84fe673175p-6, 0x1.c57072a9296d1p-6, 0x1.bf14df2235a8ep-6, 0x1.b8c5b277589c5p-6, 0x1.b282f9db9023fp-6, 0x1.ac4cb734a6ee4p-6, 0x1.a622e8a57f233p-6, 0x1.a005913e8844ap-6, 0x1.99f4c0aafbd07p-6, 0x1.93f097d18f809p-6, 0x1.8df94907c9f3cp-6, 0x1.880f13831ab18p-6, 0x1.82323ae1d80ecp-6, 0x1.7c62fcaca0ecfp-6, 0x1.76a1864b82f92p-6, 0x1.70ededf00a672p-6, 0x1.6b48305f198d6p-6, 0x1.65b0346f43749p-6, 0x1.6025d3b6b12dap-6, 0x1.5aa8e694d025p-6, 0x1.553950d52d70ep-6, 0x1.4fd70be0fddc9p-6, 0x1.4a822bf1a6ffbp-6, 0x1.453adedeb1fafp-6, 0x1.400164a755eb2p-6, 0x1.3ad6034e8ac7ep-6, 0x1.35b8f8b4f709cp-6, 0x1.30aa6d886abf9p-6, 0x1.2baa6c32639fap-6, 0x1.26b8dde4f4aeep-6, 0x1.21d58eb6d410bp-6, 0x1.1d003841c4d5ep-6, 0x1.183890a805917p-6, 0x1.137e5aa4095b4p-6, 0x1.0ed172c78f4e1p-6, 0x1.0a31d6aaa521ap-6, 0x1.059fa4693d6bbp-6, 0x1.011b12ddeedfap-6, 0x1.f948c98133ed4p-7, 0x1.f077b34e35bddp-7, 0x1.e7c33fa5acdc3p-7, 0x1.df2b92513adc4p-7, 0x1.d6b08a50c3f18p-7, 0x1.ce51c23365138p-7, 0x1.c60e9e68d70bep-7, 0x1.bde66810e1441p-7, 0x1.b5d86f44acce5p-7, 0x1.ade42c227859bp-7, 0x1.a60954fee45c6p-7, 0x1.9e47e368f425fp-7, 0x1.96a0082a820b6p-7, 0x1.8f1214a97a2dbp-7, 0x1.879e626acfdc8p-7, 0x1.80453ee9a869fp-7, 0x1.7906dcee2f26p-7, 0x1.71e34924c7c29p-7, 0x1.6ada60773ffbp-7, 0x1.63ebcaa2b6263p-7, 0x1.5d16fed2844fdp-7, 0x1.565b56c655e34p-7, 0x1.4fb82e7249b27p-7, 0x1.492d05a5f879dp-7, 0x1.42b99504c0038p-7, 0x1.3c5dcbcc4800ep-7, 0x1.3619b7b2f3213p-7, 0x1.2fed64d767058p-7, 0x1.29d8c869e5377p-7, 0x1.23dbc0fa56acep-7, 0x1.1df627c14c9c3p-7, 0x1.1827e1f9c106p-7, 0x1.1270e1e6566d8p-7, 0x1.0cd1148764912p-7, 0x1.07484972f26e7p-7, 0x1.01d628f1d2da2p-7, 0x1.f8f487e1add7p-8, 0x1.ee686f15950c5p-8, 0x1.e4079e9d50475p-8, 0x1.d9d21e38847a4p-8, 0x1.cfc831f8b1aa8p-8, 0x1.c5e9efa2f0e72p-8, 0x1.bc36d669d06a9p-8, 0x1.b2adac47f25b6p-8, 0x1.a94cc263a29d9p-8, 0x1.a0128218cebdfp-8, 0x1.96fdf11e4badcp-8, 0x1.8e0edc546bcdp-8, 0x1.85459302c6d4ep-8, 0x1.7ca26834b9b2p-8, 0x1.7425561299b33p-8, 0x1.6bcdff950a9ccp-8, 0x1.639c040f02afbp-8, 0x1.5b8f62034301dp-8, 0x1.53a8a3627704bp-8, 0x1.4be8ae72a6f9dp-8, 0x1.44504288269eep-8, 0x1.3cdf53b418a99p-8, 0x1.359498025f659p-8, 0x1.2e6d930694df1p-8, 0x1.27673416818ecp-8, 0x1.207ec77256a4ap-8, 0x1.19b2c04d368d4p-8, 0x1.1302ef2ef07b2p-8, 0x1.0c700e40ce2d1p-8, 0x1.05faf8a854fb6p-8, 0x1.ff482ab036c45p-9, 0x1.f2d6941041d59p-9, 0x1.e6a0be3f01d2cp-9, 0x1.daa6f7c536481p-9, 0x1.ceead341f23c3p-9, 0x1.c36ee3a255464p-9, 0x1.b835b53476f93p-9, 0x1.ad4078ea5d222p-9, 0x1.a28e033b66acep-9, 0x1.981a868726c9fp-9, 0x1.8de028d317d62p-9, 0x1.83d85d0f8f324p-9, 0x1.79fd8fd4ff218p-9, 0x1.704c71322aac2p-9, 0x1.66c451adafb9ep-9, 0x1.5d667fc084344p-9, 0x1.543504acb7dfp-9, 0x1.4b316ccdc3819p-9, 0x1.425c31dd14c59p-9, 0x1.39b4fceb24b9ap-9, 0x1.313b9c992165dp-9, 0x1.28f1027b9bef9p-9, 0x1.20d741ed5c19fp-9, 0x1.18f06ce7377bbp-9, 0x1.113d6b661ea4fp-9, 0x1.09bdb0d67e9bap-9, 0x1.026f87b36d597p-9, 0x1.f6a09dd0e565fp-10, 0x1.e8b92c755ef4cp-10, 0x1.db20c0726b712p-10, 0x1.cdcf0cc96981cp-10, 0x1.c0bc6db83da7cp-10, 0x1.b3e3d13600ea2p-10, 0x1.a7450464364fcp-10, 0x1.9ae49fce062e8p-10, 0x1.8ec855a54207bp-10, 0x1.82f28f28b913bp-10, 0x1.7761cdba9a0edp-10, 0x1.6c144f3de0bf9p-10, 0x1.610aef58fdff4p-10, 0x1.5647daa1fb5a4p-10, 0x1.4bcbf778a7683p-10, 0x1.41965280eb9ebp-10, 0x1.37a518a6271f7p-10, 0x1.2df6a9ab2ff56p-10, 0x1.248a17c20fd31p-10, 0x1.1b5ecb5f81bf5p-10, 0x1.12739c54b9bc5p-10, 0x1.09c5d6eebcf1ep-10, 0x1.014febe04838p-10, 0x1.f2127f74ce03fp-11, 0x1.e1d4f26765d65p-11, 0x1.d1e68c9360868p-11, 0x1.c252514a2aa2ep-11, 0x1.b320396ba8f5cp-11, 0x1.a44eb5287720fp-11, 0x1.95db33d911d23p-11, 0x1.87c82f5a00a1fp-11, 0x1.7a174b75ff952p-11, 0x1.6cc53e676b76bp-11, 0x1.5fcde82afa77bp-11, 0x1.532f7f69ebcfap-11, 0x1.46e8ccc77c2cdp-11, 0x1.3af780cfb0e75p-11, 0x1.2f59b97cd702cp-11, 0x1.240f9c3eebp-11, 0x1.191a2ee18e26dp-11, 0x1.0e799ba1bcea8p-11, 0x1.042c19839dbc1p-11, 0x1.f4548c164c3p-12, 0x1.e0cff047c76c5p-12, 0x1.cdc37b481a356p-12, 0x1.bb3f4bd5b8d16p-12, 0x1.a944c647f539p-12, 0x1.97bd0044e2819p-12, 0x1.869fcd4b63a8dp-12, 0x1.75fef9fa63231p-12, 0x1.65e59f707628fp-12, 0x1.564af4ccc62c3p-12, 0x1.47210696dae34p-12, 0x1.386270a4cd3fcp-12, 0x1.2a136a6bb1ec2p-12, 0x1.1c37b17cc9e5cp-12, 0x1.0ecb324610523p-12, 0x1.01c66eb5d8e9cp-12, 0x1.ea4b4cf8920a8p-13, 0x1.d1d174a7f8236p-13, 0x1.ba1dc590569a7p-13, 0x1.a32ef4674a25ep-13, 0x1.8d039aa5b842cp-13, 0x1.77854444c7d66p-13, 0x1.629fc286a75a2p-13, 0x1.4e72ad3810c31p-13, 0x1.3b124bed9fff5p-13, 0x1.2858740825b3bp-13, 0x1.162ffb309dc0fp-13, 0x1.049fa3291e6e8p-13, 0x1.e73a5b55af0dp-14, 0x1.c642cde3e3d1dp-14, 0x1.a663af9b8df3fp-14, 0x1.87959f878a73cp-14, 0x1.69c4187ad61cfp-14, 0x1.4cf97b7bd1082p-14, 0x1.314e274e082a7p-14, 0x1.16b9a90b4c73dp-14, 0x1.fa37ce50d66c6p-15, 0x1.c8bdb750e22c3p-15, 0x1.98fc39e734f62p-15, 0x1.6aeefe86c4cbbp-15, 0x1.3e87d320ba2afp-15, 0x1.13da208db56ffp-15, 0x1.d606aae801d86p-16, 0x1.87639fc5760e5p-16, 0x1.3b7c573f79b1fp-16, 0x1.e54a13071c984p-17, 0x1.58c7b7bec9383p-17, 0x1.a4e48ba7de3c1p-18, 0x1.4ece4aca1fe72p-19, -0x1.24cdd5f0a0b2bp-20, -0x1.30b8f95a39a4cp-18, -0x1.08abef1e8d03p-17, -0x1.74ee9cc33355ep-17, -0x1.dc2ad5b129b5p-17, -0x1.1f6a32cee53fdp-16, -0x1.4eb796bf3c556p-16, -0x1.7ba281991b9ecp-16, -0x1.a60a91775c846p-16, -0x1.ce4f385e2d936p-16, -0x1.f4c4e26148409p-16, -0x1.0cc0b116e884fp-15, -0x1.1e3f82e129e2bp-15, -0x1.2ee611020188ap-15, -0x1.3ebb28cd3024ep-15, -0x1.4d94f3f42ad64p-15, -0x1.5b6099406f5ffp-15, -0x1.687a4d03ceb12p-15, -0x1.74f4e3fc12287p-15, -0x1.80e0b08dd8fe6p-15, -0x1.8c052b18ff6cep-15, -0x1.964c2e22ae07fp-15, -0x1.9fe50f4617d3dp-15, -0x1.a8d847a1521a7p-15, -0x1.b11924edbda9dp-15, -0x1.b8a918fbe0f03p-15, -0x1.bfb0285a89a17p-15, -0x1.c64678f5ffa5cp-15, -0x1.cc5081270b371p-15, -0x1.d1deaa3377946p-15, -0x1.d6fa9fb5bee4cp-15, -0x1.db7c34566ae5dp-15, -0x1.df6e19d153514p-15, -0x1.e2f3887f97a9dp-15, -0x1.e619a6eba793cp-15, -0x1.e8dec60c946acp-15, -0x1.eb40bc4f1f6b9p-15, -0x1.ed452547a1502p-15, -0x1.eeedaf1355deep-15, -0x1.f01ed52071badp-15, -0x1.f0de646a59dffp-15, -0x1.f166bff2a036dp-15, -0x1.f1bbaea2d1ad7p-15, -0x1.f1b225f8e4adp-15, -0x1.f14abc2572a74p-15, -0x1.f0a37a4940c6dp-15, -0x1.efbfca1b09c7bp-15, -0x1.ee9e6ed7d36c5p-15, -0x1.ed40667ad3b32p-15, -0x1.eba74020e752cp-15, -0x1.e9d01af19e00ep-15, -0x1.e7b237c4a2c55p-15, -0x1.e55936ef927c2p-15, -0x1.e2da601d5daecp-15, -0x1.e038224c91af5p-15, -0x1.dd74204d26386p-15, -0x1.da762e68b9ecp-15, -0x1.d7464af066656p-15, -0x1.d3f67541d62bfp-15, -0x1.d089a42536862p-15, -0x1.ccfddada63c02p-15, -0x1.c9521d44568a4p-15, -0x1.c588e3808903ep-15, -0x1.c1a5dc52d1504p-15, -0x1.bd9fcfd8c29cbp-15, -0x1.b9788dd37cedcp-15, -0x1.b54bd22afe48ep-15, -0x1.b10734eac8608p-15, -0x1.aca4be5e3c8a2p-15, -0x1.a83328566c334p-15, -0x1.a3b2ef3bcf515p-15, -0x1.9f23576ba22cp-15, -0x1.9a851ecd035a3p-15, -0x1.95d99d3e7bc1fp-15, -0x1.91226226f9561p-15, -0x1.8c6105b1817dep-15, -0x1.879726ea65bc4p-15, -0x1.82c5f40037a41p-15, -0x1.7dea36d3c50ep-15, -0x1.78fed89940cc9p-15, -0x1.740faa31d23c6p-15, -0x1.6f259a6352c62p-15, -0x1.6a377b3b5d41ep-15, -0x1.653f4e977220ep-15, -0x1.604633cf01d1p-15, -0x1.5b4e87817ecbcp-15, -0x1.565748a31ada6p-15, -0x1.515fdec471881p-15, -0x1.4c68ec0c0c79ap-15, -0x1.4774a83c1439fp-15, -0x1.42828e2733ef2p-15, -0x1.3d8ff16637c12p-15, -0x1.38a4ffbc71795p-15, -0x1.33bab31e91bb4p-15, -0x1.2ed51c1d38cfap-15, -0x1.29f5b51291d6cp-15, -0x1.251bf9667db1bp-15, -0x1.204820a44c4dap-15, -0x1.1b7a9a6e487f5p-15, -0x1.16b3d446ec64fp-15, -0x1.11f4318943b59p-15, -0x1.0d3c126a5cd6fp-15, -0x1.088bde7b50ce6p-15, -0x1.03e402f982d49p-15, -0x1.fe89c2327710ep-16, -0x1.f55da53bb5d8p-16, -0x1.ec449e72800dep-16, -0x1.e33db95aa15d5p-16, -0x1.da44c550ad283p-16, -0x1.d162a57ba061p-16, -0x1.c897cef0a2269p-16, -0x1.bfdd13cf48305p-16, -0x1.b73843b2810b4p-16, -0x1.aeaa0ee4e651ep-16, -0x1.a631711f4257cp-16, -0x1.9dce32f813aap-16, -0x1.9581053e1529ap-16, -0x1.8d4b3463b7f1ap-16, -0x1.852b5ffe71d9ap-16, -0x1.7d21e5dfe9bc6p-16, -0x1.752e223ff6773p-16, -0x1.6d521f20dbca8p-16, -0x1.658dcc239935bp-16, -0x1.5de0bca457ffbp-16, -0x1.564afa435fbf5p-16, -0x1.4ecc9ef574798p-16, -0x1.4765bfd025e23p-16, -0x1.40166b78e5913p-16, -0x1.38deaa5b00c5cp-16, -0x1.31be7eeca7ce4p-16, -0x1.2ab5e6cecfa82p-16, -0x1.23c4dd9051164p-16, -0x1.1ceb5fc9606fp-16, -0x1.16296aa0a4388p-16, -0x1.0f7ef471af738p-16, -0x1.08ebe4d2d2dd7p-16, -0x1.02702b4cdc9cp-16, -0x1.f817e43a17c1bp-17, -0x1.eb7d7d6204869p-17, -0x1.df102d1094c2p-17, -0x1.d2d14641e1742p-17, -0x1.c6bf39a7e05b7p-17, -0x1.badb806ff0f7cp-17, -0x1.af2458649f3eep-17, -0x1.a399a71a091e2p-17, -0x1.983c403e2d8eap-17, -0x1.8d0b483822885p-17, -0x1.82071ed7bcbacp-17, -0x1.772ca8f9dbee1p-17, -0x1.6c7d5f09c90a3p-17, -0x1.61f974b79a959p-17, -0x1.57a01ddbe41dcp-17, -0x1.4d70e28bd6de2p-17, -0x1.436b62d387efep-17, -0x1.398f37bbd7085p-17, -0x1.2fdc057059042p-17, -0x1.26515fcd37364p-17, -0x1.1ceee3ac3872fp-17, -0x1.13b427022dc34p-17, -0x1.0aa0bf60215b7p-17, -0x1.01b4417a01504p-17, -0x1.f1dc7f6b6f38ep-18, -0x1.e09c9cd6af43ep-18, -0x1.cfa8035c0685fp-18, -0x1.befdd7c7dffccp-18, -0x1.ae9d3a0e17c18p-18, -0x1.9e85448e2545ap-18, -0x1.8eb51687f5f6p-18, -0x1.7f2be046e2ebp-18, -0x1.6fe8b4085f1c2p-18, -0x1.60ea41ec98b9p-18, }}, 
      {{0x1.ad997e95e2e25p-7, 0x1.a7f9860875dcp-6, 0x1.3737a4a5c3522p-5, 0x1.92f7b59b51382p-5, 0x1.e5955a5a821dbp-5, 0x1.16ee775a17874p-4, 0x1.35822e0b9ee64p-4, 0x1.4e4ef1b17743ap-4, 0x1.6144fa6c3fe93p-4, 0x1.6e749343553a8p-4, 0x1.76077eea49594p-4, 0x1.783b029b5d51bp-4, 0x1.755ab9a8cba7cp-4, 0x1.6dbc3915018e1p-4, 0x1.61bb742f03a6p-4, 0x1.51b7cacb4a90ep-4, 0x1.3e11ad7a0453p-4, 0x1.2728c4213881dp-4, 0x1.0d5a83946694p-4, 0x1.e2024000b178bp-5, 0x1.a4e596248961cp-5, 0x1.64025e81525e3p-5, 0x1.1ff2387a8f8a5p-5, 0x1.b28969de4eea6p-6, 0x1.20fe743a81407p-6, 0x1.18745b2dc4f43p-7, -0x1.5c11999aabf7fp-11, -0x1.4703f84ed7e16p-7, -0x1.3cecb6b1e9b57p-6, -0x1.d674c70aa9081p-6, -0x1.37bf5e6fc332ep-5, -0x1.83bf59a6896dcp-5, -0x1.cefbac2690923p-5, -0x1.0c9e3e19866dfp-4, -0x1.3128238ef0283p-4, -0x1.5505b663c9807p-4, -0x1.7823e04c0a434p-4, -0x1.9a7210c77dd9cp-4, -0x1.bbe20a8022334p-4, -0x1.dc67b48f517f3p-4, -0x1.fbf8ece1e728dp-4, -0x1.0d46b02afb311p-3, -0x1.1c0f311c05baap-3, -0x1.2a536442e461ep-3, -0x1.3811652fe4e41p-3, -0x1.4547ef4650646p-3, -0x1.51f64fa68cf56p-3, -0x1.5e1c573f601fbp-3, -0x1.69ba4d7b19aecp-3, -0x1.74d0e49c01c56p-3, -0x1.7f612eed2f84p-3, -0x1.896c9404e4cf2p-3, -0x1.92f4c70624586p-3, -0x1.9bfbbe300258cp-3, -0x1.a483aa574dfe5p-3, -0x1.ac8eef9f05e24p-3, -0x1.b4201e07eca95p-3, -0x1.bb39eb06e9ae4p-3, -0x1.c1df2bfa1a084p-3, -0x1.c812d0462e6afp-3, -0x1.cdd7dc89d5a67p-3, -0x1.d331661f05bd7p-3, -0x1.d8228e9431e5dp-3, -0x1.dcae801e2abe3p-3, -0x1.e0d86a44136dbp-3, -0x1.e4a37e8ebd93cp-3, -0x1.e812edbb910fdp-3, -0x1.eb29e557adda4p-3, -0x1.edeb8d8d3d706p-3, -0x1.f05b06d6f03a6p-3, -0x1.f27b686ddffcep-3, -0x1.f44fbeb96f95dp-3, -0x1.f5db09f140c9cp-3, -0x1.f7203cb443115p-3, -0x1.f8223b3e91f12p-3, -0x1.f8e3da512f3edp-3, -0x1.f967de84fae24p-3, -0x1.f9b0fbe4cd241p-3, -0x1.f9c1d4f3d1c91p-3, -0x1.f99cfa8e98115p-3, -0x1.f944ebc0231f8p-3, -0x1.f8bc153b96867p-3, -0x1.f804d15a2bcc4p-3, -0x1.f7216801da6b1p-3, -0x1.f6140ebd7083cp-3, -0x1.f4dee88376e1ep-3, -0x1.f3840619d6881p-3, -0x1.f20566095fb4ep-3, -0x1.f064f50d93183p-3, -0x1.eea48e05a335cp-3, -0x1.ecc5fa577b9d9p-3, -0x1.eacaf25132a3fp-3, -0x1.e8b51d5800c2ep-3, -0x1.e68612696bc0fp-3, -0x1.e43f584260a59p-3, -0x1.e1e265d335f8cp-3, -0x1.df70a2b200c2cp-3, -0x1.dceb6764d4069p-3, -0x1.da53fdc5664e9p-3, -0x1.d7aba188537e2p-3, -0x1.d4f3807677424p-3, -0x1.d22cbae9e00f8p-3, -0x1.cf58644398238p-3, -0x1.cc778345445edp-3, -0x1.c98b12792a709p-3, -0x1.c6940092e814ap-3, -0x1.c39330f40c146p-3, -0x1.c0897bf6a5cc2p-3, -0x1.bd77af55371c2p-3, -0x1.ba5e8ea4763e3p-3, -0x1.b73ed3a0c8154p-3, -0x1.b4192e929caf4p-3, -0x1.b0ee46b3caddbp-3, -0x1.adbeba85bb0cep-3, -0x1.aa8b20338e2f7p-3, -0x1.a75405ebdc427p-3, -0x1.a419f2254bf0fp-3, -0x1.a0dd640aa9542p-3, -0x1.9d9ed3bf6bffcp-3, -0x1.9a5eb2b04f1f7p-3, -0x1.971d6be113e73p-3, -0x1.93db643764a8fp-3, -0x1.9098fac080aafp-3, -0x1.8d5688f7a8a0ep-3, -0x1.8a14630f0719ap-3, -0x1.86d2d8279ec76p-3, -0x1.8392328efbe1ap-3, -0x1.8052b805e459ap-3, -0x1.7d14a9f1a39aep-3, -0x1.79d84596e0f9bp-3, -0x1.769dc44a55eb9p-3, -0x1.73655baa2dbe6p-3, -0x1.702f3dcde7d4dp-3, -0x1.6cfb99719acf7p-3, -0x1.69ca9a257444dp-3, -0x1.669c687cd0ae2p-3, -0x1.63712a321b67bp-3, -0x1.6049024d9cff6p-3, -0x1.5d2411514a397p-3, -0x1.5a0275541ce02p-3, -0x1.56e44a31bbf1fp-3, -0x1.53c9a99acdc67p-3, -0x1.50b2ab3d44fe5p-3, -0x1.4d9f64e7f0786p-3, -0x1.4a8fea9d9c1a2p-3, -0x1.47844ea888aep-3, -0x1.447ca1cc54362p-3, -0x1.4178f348e597bp-3, -0x1.3e7951009206ep-3, -0x1.3b7dc77308f6fp-3, -0x1.388661fd2d008p-3, -0x1.35932aca24385p-3, -0x1.32a42af08bfcp-3, -0x1.2fb96a8ccba18p-3, -0x1.2cd2f0b84c2f9p-3, -0x1.29f0c3c7ede6fp-3, -0x1.2712e92694851p-3, -0x1.243965831dcc3p-3, -0x1.21643ce208117p-3, -0x1.1e93728470708p-3, -0x1.1bc70924b6242p-3, -0x1.18ff02ec83a82p-3, -0x1.163b616d236fbp-3, -0x1.137c25c76a515p-3, -0x1.10c150b00cb67p-3, -0x1.0e0ae25d77a22p-3, -0x1.0b58daaaf1d0bp-3, -0x1.08ab392f95aa6p-3, -0x1.0601fd165c49ap-3, -0x1.035d25455c608p-3, -0x1.00bcb06446ec9p-3, -0x1.fc4139ba31cacp-4, -0x1.f711d1becbcd6p-4, -0x1.f1eb24ac24511p-4, -0x1.eccd2e4546623p-4, -0x1.e7b7e9c25434cp-4, -0x1.e2ab521e99a02p-4, -0x1.dda7621b05708p-4, -0x1.d8ac143c5e3eep-4, -0x1.d3b962d1c9b33p-4, -0x1.cecf481c6dee1p-4, -0x1.c9edbde9ab81ep-4, -0x1.c514be4429f4cp-4, -0x1.c04442ea5e95bp-4, -0x1.bb7c4589efa6fp-4, -0x1.b6bcbfc394919p-4, -0x1.b205ab2d00b78p-4, -0x1.ad57014c56d96p-4, -0x1.a8b0bba1d6115p-4, -0x1.a412d3c3b937p-4, -0x1.9f7d431cc250fp-4, -0x1.9af0032aae5bfp-4, -0x1.966b0d9375ad1p-4, -0x1.91ee5bd1497f7p-4, -0x1.8d79e77e266e8p-4, -0x1.890daa3ec1d14p-4, -0x1.84a99dbfe81f9p-4, -0x1.804dbbb990052p-4, -0x1.7bf9fdf0eeb86p-4, -0x1.77ae5e3a1bba7p-4, -0x1.736ad68f1b25ep-4, -0x1.6f2f60c45b63ap-4, -0x1.6afbf6e6e4503p-4, -0x1.66d0931ac0b3bp-4, -0x1.62ad2f7241417p-4, -0x1.5e91c623eb4b8p-4, -0x1.5a7e51769838p-4, -0x1.5672cbbf50474p-4, -0x1.526f2f5e1451p-4, -0x1.4e7376c3d6007p-4, -0x1.4a7f9c70cbfccp-4, -0x1.46939aeddbdfdp-4, -0x1.42af6ce394dd1p-4, -0x1.3ed30cfb1fbc6p-4, -0x1.3afe75cd11284p-4, -0x1.3731a2393de64p-4, -0x1.336c8cfa32724p-4, -0x1.2faf30e0bef92p-4, -0x1.2bf988cc02868p-4, -0x1.284b8fa0cc6dbp-4, -0x1.24a54048cb4b7p-4, -0x1.210695b1d967fp-4, -0x1.1d6f8ace8dd95p-4, -0x1.19e01a96216cap-4, -0x1.1658400305d48p-4, -0x1.12d7f61086071p-4, -0x1.0f5f37c0b79d4p-4, -0x1.0bee001529f58p-4, -0x1.088449ec5af65p-4, -0x1.0522105524ac5p-4, -0x1.01c74e3ff78b2p-4, -0x1.fce7fd2d94a08p-5, -0x1.f650388ac7f62p-5, -0x1.efc7445d7b9dap-5, -0x1.e94d165a13aa1p-5, -0x1.e2e1a422729adp-5, -0x1.dc84e344cdf0ep-5, -0x1.d636c93b660dbp-5, -0x1.cff74b6ab894fp-5, -0x1.c9c65f1e67b82p-5, -0x1.c3a3f9858d624p-5, -0x1.bd900fafa1cf8p-5, -0x1.b78a96939965cp-5, -0x1.b193831440c13p-5, -0x1.abaac9bfe524p-5, -0x1.a5d05f39bbb55p-5, -0x1.a00437f97588ep-5, -0x1.9a46483748bd3p-5, -0x1.94968412ac249p-5, -0x1.8ef4df8208a4dp-5, -0x1.89614e5046eefp-5, -0x1.83dbc41d477a1p-5, -0x1.7e64345db3b7ap-5, -0x1.78fa925a19065p-5, -0x1.739ed12d8c5f5p-5, -0x1.6e50e3c413409p-5, -0x1.6910bcd936d04p-5, -0x1.63de4ef78532ep-5, -0x1.5eb98c77fed35p-5, -0x1.59a26780b3ba2p-5, -0x1.5498d2063bac9p-5, -0x1.4f9cbdd5d093ep-5, -0x1.4aae1c7b9074cp-5, -0x1.45ccdf42de8b4p-5, -0x1.40f8f76be3dd5p-5, -0x1.3c3255e334c4dp-5, -0x1.3778eb632d972p-5, -0x1.32cca8787a524p-5, -0x1.2e2d7d79ae62bp-5, -0x1.299b5a89183dp-5, -0x1.25162f94dddd8p-5, -0x1.209dec56f078p-5, -0x1.1c328054f1061p-5, -0x1.17d3dadff0f1ep-5, -0x1.1381eb153b57bp-5, -0x1.0f3c9fdeb0268p-5, -0x1.0b03e7f315665p-5, -0x1.06d7b1d6bc3c6p-5, -0x1.02b7ebdc37e03p-5, -0x1.fd490849a85c2p-6, -0x1.f53ad1413fb62p-6, -0x1.ed450e1fdd903p-6, -0x1.e5679a12d346fp-6, -0x1.dda24fdb2ec7ep-6, -0x1.d5f509c8e2abbp-6, -0x1.ce5fa2009d81p-6, -0x1.c6e1f2312475dp-6, -0x1.bf7bd3adb1d12p-6, -0x1.b82d1f7efc4adp-6, -0x1.b0f5ae5b964fep-6, -0x1.a9d558a8264e6p-6, -0x1.a2cbf678bcb2ep-6, -0x1.9bd95f925587ep-6, -0x1.94fd6b6cec726p-6, -0x1.8e37f136490c5p-6, -0x1.8788c7d51e489p-6, -0x1.80efc5ec562b2p-6, -0x1.7a6cc1de20fddp-6, -0x1.73ff91ce3d5f4p-6, -0x1.6da80ba37a966p-6, -0x1.67660508d4dc7p-6, -0x1.6139536ebc93ep-6, -0x1.5b21cc0cd19b2p-6, -0x1.551f43e42aa81p-6, -0x1.4f318fc257d15p-6, -0x1.495884479d1d1p-6, -0x1.4393f5f08bc76p-6, -0x1.3de3b9079115ep-6, -0x1.3847a1ab8f318p-6, -0x1.32bf83ef3e71dp-6, -0x1.2d4b33b3f8408p-6, -0x1.27ea84b7660dap-6, -0x1.229d4a9c8784dp-6, -0x1.1d6358e86ffa4p-6, -0x1.183c83049f5d8p-6, -0x1.13289c44050c5p-6, -0x1.0e2777e8013cap-6, -0x1.0938e925a5bbbp-6, -0x1.045cc3291e80dp-6, -0x1.ff25b230a3651p-7, -0x1.f5b5fc263f602p-7, -0x1.ec6a0a63e4ab5p-7, -0x1.e341830acfae9p-7, -0x1.da3c0c2d096d5p-7, -0x1.d1594bd105947p-7, -0x1.c898e7f976942p-7, -0x1.bffa86b44b892p-7, -0x1.b77dce2f0ff8p-7, -0x1.af2264bc3882dp-7, -0x1.a6e7f0d762cfap-7, -0x1.9ece192a65b9bp-7, -0x1.96d4848901efdp-7, -0x1.8efad9e75af94p-7, -0x1.8740c057b797ep-7, -0x1.7fa5def8b07afp-7, -0x1.7829dd017b22dp-7, -0x1.70cc61eb8d566p-7, -0x1.698d1564aaa01p-7, -0x1.626b9f6eb1f83p-7, -0x1.5b67a87822a8fp-7, -0x1.5480d95b2e75cp-7, -0x1.4db6db54d74a4p-7, -0x1.470957f5093d1p-7, -0x1.4077f90b372c8p-7, -0x1.3a026897644adp-7, -0x1.33a850c4b360ep-7, -0x1.2d695bf37c12fp-7, -0x1.274534d1b8af9p-7, -0x1.213b867be7d68p-7, -0x1.1b4bfc9e90ac5p-7, -0x1.1576438e9513fp-7, -0x1.0fba08506eea7p-7, -0x1.0a16f88b60d79p-7, -0x1.048cc26bdabf1p-7, -0x1.fe3628fa9c6afp-8, -0x1.f3833b0b2864cp-8, -0x1.e90018e593b56p-8, -0x1.deac20bac1612p-8, -0x1.d486b148a4897p-8, -0x1.ca8f2a39bc467p-8, -0x1.c0c4ec8fda3ffp-8, -0x1.b7275b0244083p-8, -0x1.adb5da36c5595p-8, -0x1.a46fd0c4fdea7p-8, -0x1.9b54a6ec727efp-8, -0x1.9263c622c8af2p-8, -0x1.899c98b57132ep-8, -0x1.80fe89493be2cp-8, -0x1.7889029f759b9p-8, -0x1.703b6fafc7e9cp-8, -0x1.68153bf3aa70fp-8, -0x1.6015d3e400e06p-8, -0x1.583ca58a19559p-8, -0x1.508920f8640fap-8, -0x1.48fab88f70dd8p-8, -0x1.4190e1000ea49p-8, -0x1.3a4b110af5271p-8, -0x1.3328c1114382fp-8, -0x1.2c296a8d26104p-8, -0x1.254c878f66b85p-8, -0x1.1e91925facb67p-8, -0x1.17f8055f7e18fp-8, -0x1.117f5b32742b7p-8, -0x1.0b270f361a258p-8, -0x1.04ee9e1608b0ep-8, -0x1.fdab0cc5ac77bp-9, -0x1.f1b691d65e588p-9, -0x1.e5fed1991bf61p-9, -0x1.da82d6891edf8p-9, -0x1.cf41aebf35a75p-9, -0x1.c43a6b49ac8e7p-9, -0x1.b96c1f9a74fcap-9, -0x1.aed5e1053e5c1p-9, -0x1.a476c64611029p-9, -0x1.9a4de726317cap-9, -0x1.905a5c752d11cp-9, -0x1.869b40883ce5p-9, -0x1.7d0fb0219cdaep-9, -0x1.73b6cb56ee2d3p-9, -0x1.6a8fb65351527p-9, -0x1.6199991c59a8dp-9, -0x1.58d39ed8816efp-9, -0x1.503cf4efe8455p-9, -0x1.47d4caa1a8bb1p-9, -0x1.3f9a51425a285p-9, -0x1.378cbcf1d6af7p-9, -0x1.2fab4532a8894p-9, -0x1.27f524ea0c459p-9, -0x1.206999c9ed78dp-9, -0x1.1907e39bc36c7p-9, -0x1.11cf43fba403ep-9, -0x1.0abefebbec112p-9, -0x1.03d65a99ca15ap-9, -0x1.fa29433138885p-10, -0x1.ecf240fecd569p-10, -0x1.e0064b2371edfp-10, -0x1.d363fe86e90cbp-10, -0x1.c709f7afffd9fp-10, -0x1.baf6d4bae74fdp-10, -0x1.af29393007f57p-10, -0x1.a39fd1a673008p-10, -0x1.98595549c8bd1p-10, -0x1.8d5484d54d6a4p-10, -0x1.829028366fb68p-10, -0x1.780b0c9d9a8d5p-10, -0x1.6dc403f5757c3p-10, -0x1.63b9e554c11edp-10, -0x1.59eb8d1dbcebcp-10, -0x1.5057dbbb59878p-10, -0x1.46fdb3080b297p-10, -0x1.3ddbf396f52fbp-10, -0x1.34f17b557048ap-10, -0x1.2c3d267ea06a5p-10, -0x1.23bdd2b08ca86p-10, -0x1.1b7262ced1bb8p-10, -0x1.1359c1ea5e6fbp-10, -0x1.0b72e41d1ef6cp-10, -0x1.03bcc592d2e8cp-10, -0x1.f86cd3017883ap-11, -0x1.e9bdb595c0917p-11, -0x1.db6a5bc4a1726p-11, -0x1.cd7102d015fb6p-11, -0x1.bfcff65b0513cp-11, -0x1.b28585922787dp-11, -0x1.a58ff84770459p-11, -0x1.98ed8bd6c6694p-11, -0x1.8c9c78b4fcc07p-11, -0x1.809afa78e097ap-11, -0x1.74e75475823fcp-11, -0x1.697fd0e943cd4p-11, -0x1.5e62bdd28e2a6p-11, -0x1.538e6adbc18cdp-11, -0x1.49012946c3d2ep-11, -0x1.3eb94e58a6ce5p-11, -0x1.34b53a31d4fcbp-11, -0x1.2af36456d2902p-11, -0x1.217267fd04cc9p-11, -0x1.1831054dd0fe7p-11, -0x1.0f2e10e898b7cp-11, -0x1.066859913c71dp-11, -0x1.fbbd2bcc8880bp-12, -0x1.eb1ece7f6ada6p-12, -0x1.daf2dbbc7be72p-12, -0x1.cb36b9d3105fap-12, -0x1.bbe7fdb6ee61fp-12, -0x1.ad0452e58a691p-12, -0x1.9e8958ea79b38p-12, -0x1.90748ecbe94bap-12, -0x1.82c354185c2bfp-12, -0x1.7572f86801227p-12, -0x1.6880cfb5912d5p-12, -0x1.5bea4be48a7bdp-12, -0x1.4fad1ddd2a7ep-12, -0x1.43c74f24d6778p-12, -0x1.383736f322811p-12, -0x1.2cfb438990c1ap-12, -0x1.2211bbc6d8ef1p-12, -0x1.1778a9b989f77p-12, -0x1.0d2dfb5d3952p-12, -0x1.032fb7ddea0ebp-12, -0x1.f2f83a5005024p-13, -0x1.e0232f634af03p-13, -0x1.cddd47fd43852p-13, -0x1.bc235a3b48447p-13, -0x1.aaf1ec36253e4p-13, -0x1.9a4533889c1a9p-13, -0x1.8a19408bd310fp-13, -0x1.7a6a33a85a347p-13, -0x1.6b345da95e62p-13, -0x1.5c7452eed75dep-13, -0x1.4e2704d232dcap-13, -0x1.4049cb46fa514p-13, -0x1.32da36910245fp-13, -0x1.25d5bfe78b6c2p-13, -0x1.1939a96b303e2p-13, -0x1.0d032c574e41p-13, -0x1.012fb57bbb36p-13, -0x1.eb79d32786419p-14, -0x1.d55107850b503p-14, -0x1.bfe0958ed671dp-14, -0x1.ab2431e2c4eebp-14, -0x1.971791d22e245p-14, -0x1.83b61633ddb86p-14, -0x1.70faa94f56be4p-14, -0x1.5ee005380ac2dp-14, -0x1.4d612f6193a17p-14, -0x1.3c79bee22803cp-14, -0x1.2c25b604c4cadp-14, -0x1.1c61294196a27p-14, -0x1.0d2814105d68cp-14, -0x1.fcecb1a9b51c8p-15, -0x1.e08f6be954a3fp-15, -0x1.c52fdbfc2f09bp-15, -0x1.aac6a6956e44fp-15, -0x1.914e1e1bd876bp-15, -0x1.78c12d2bb0844p-15, -0x1.6119ee3587adbp-15, -0x1.4a51b0ff3a698p-15, -0x1.3461ed0921418p-15, -0x1.1f44b4647e39fp-15, -0x1.0af4719fba095p-15, -0x1.eed6d08f00a77p-16, -0x1.c946ba4f15bf5p-16, -0x1.a52b8d2beb2e5p-16, -0x1.8278fcdfc6efp-16, -0x1.6124e748f54a2p-16, -0x1.41270e38b1eeep-16, -0x1.2276fb5eea36p-16, -0x1.050a40d8923c9p-16, -0x1.d1a9f1ecf5296p-17, -0x1.9b961f1a901eap-17, -0x1.67c22160c121cp-17, -0x1.361b7bd6a339bp-17, -0x1.069514c3a221bp-17, -0x1.b243f039622ebp-18, -0x1.5b635ee6f386cp-18, -0x1.08658d93f9bffp-18, -0x1.725400c1b433bp-19, -0x1.b64593091deb3p-20, -0x1.2bf0519f448d7p-21, 0x1.f2b0bb1e963c7p-22, 0x1.820fc53a1742p-20, 0x1.3d5074ca505d9p-19, 0x1.b36ab3dd68f26p-19, 0x1.11c829774a5afp-18, 0x1.46f93edd297a2p-18, 0x1.795c3101e52d7p-18, 0x1.a9042b16ae206p-18, 0x1.d609dc7886227p-18, 0x1.00456d6a60401p-17, 0x1.1451acdaf795ep-17, 0x1.2735b1f5ac4bp-17, 0x1.38fa9f3ae792p-17, 0x1.49a6cc395b854p-17, 0x1.5942baa83257dp-17, 0x1.67dabdd174e88p-17, 0x1.757a1f731c835p-17, 0x1.822a122a3012cp-17, 0x1.8df420587845cp-17, 0x1.98e185cc9521p-17, 0x1.a2f9f191b371dp-17, 0x1.ac4430e988a6p-17, 0x1.b4c741360d001p-17, 0x1.bc8a6f40a9d28p-17, 0x1.c39548d750e14p-17, 0x1.c9ef8e42f4051p-17, 0x1.cfa09197059edp-17, 0x1.d4aeaa64b37a2p-17, 0x1.d91f88c2fad66p-17, 0x1.dcf9790283236p-17, 0x1.e0442f4b6c0d6p-17, 0x1.e3070cae85762p-17, 0x1.e5475a3826fbap-17, 0x1.e709a69a6ff0ap-17, 0x1.e85272eb09151p-17, 0x1.e926cb63a5286p-17, 0x1.e98ced211583bp-17, 0x1.e989499076da2p-17, 0x1.e91fe7b03a268p-17, 0x1.e8569a8e7f3bfp-17, 0x1.e7339d8d6d5bp-17, 0x1.e5bc357fd3795p-17, 0x1.e3f3f7f397275p-17, 0x1.e1dd9a54cde91p-17, 0x1.df7c7bd6c2f89p-17, 0x1.dcd46e3542e66p-17, 0x1.d9e8ec14e0006p-17, 0x1.d6bd8efe9fe37p-17, 0x1.d3563f2420befp-17, 0x1.cfb6b1e7c1d6ep-17, 0x1.cbe20c11ec28ep-17, 0x1.c7db062cac2dbp-17, 0x1.c3a4b0912bdaap-17, 0x1.bf4270015223ep-17, 0x1.bab6974160fdp-17, 0x1.b6030001843e1p-17, 0x1.b12ae80b8f85p-17, 0x1.ac313b80d6a93p-17, 0x1.a7189f10ccb88p-17, 0x1.a1e2a39ceaa9ep-17, 0x1.9c9110533c70ep-17, 0x1.9726a7801258fp-17, 0x1.91a5e47201bcbp-17, 0x1.8c0f9a9837c4ep-17, 0x1.8666359e4213cp-17, 0x1.80ad58ab12054p-17, 0x1.7ae4f2c6dd839p-17, 0x1.750eb5ccc669bp-17, 0x1.6f2d39c313758p-17, 0x1.694183b25a9d1p-17, 0x1.634c86c6dbde5p-17, 0x1.5d4fd9dc8e265p-17, 0x1.574d420a10032p-17, 0x1.51463cd0b09dap-17, 0x1.4b3bed7fc45e7p-17, 0x1.452f4c331b916p-17, 0x1.3f217793d2f0dp-17, 0x1.391385b1a7261p-17, 0x1.33062870878d2p-17, 0x1.2cfa80953e0dfp-17, 0x1.26f2371cf08d8p-17, 0x1.20ee390a7e4c6p-17, 0x1.1aeed2fa9298ap-17, 0x1.14f4b8dcff1edp-17, 0x1.0f00ebc215e39p-17, 0x1.091421e542916p-17, 0x1.032f07b501275p-17, 0x1.faa4a2134bf05p-18, 0x1.eefd4e6a5d421p-18, 0x1.e36954d083ab5p-18, 0x1.d7e9d361ca136p-18, 0x1.cc7fde2390a7dp-18, 0x1.c12c74ad052f9p-18, 0x1.b5f072dfa06a7p-18, 0x1.aacccb2c24329p-18, 0x1.9fc2151a43c9cp-18, 0x1.94d1410a9f601p-18, 0x1.89fb4ebaaee01p-18, 0x1.7f40f0e61215ap-18, 0x1.74a29e3edabd9p-18, 0x1.6a20b3c60280fp-18, 0x1.5fbba8fa3096ap-18, 0x1.5574105f2e2eep-18, 0x1.4b4a46ace315dp-18, 0x1.413ece1e4b738p-18, 0x1.3752884f17354p-18, 0x1.2d855c9315e78p-18, 0x1.23d76d1ff4118p-18, 0x1.1a493fca227f2p-18, 0x1.10db0c2bb1701p-18, 0x1.078cfb057fe73p-18, 0x1.fcbe689c386bfp-19, 0x1.eaa3bba3e8b4ep-19, 0x1.d8ca364e252e3p-19, 0x1.c732143a01176p-19, 0x1.b5db7ca743267p-19, 0x1.a4c6838dc8bfp-19, 0x1.93f313739daebp-19, 0x1.8360f63b1330ap-19, 0x1.73105ba4ee213p-19, 0x1.6301568beb46dp-19, 0x1.533407a101a3ep-19, 0x1.43a75c4baa622p-19, 0x1.345c14af39b08p-19, 0x1.2551be20173b6p-19, 0x1.1687fda93021fp-19, 0x1.07fe652423db5p-19, 0x1.f3692cafff217p-20, 0x1.d754bb21ece02p-20, 0x1.bbbed02732ddep-20, 0x1.a0a668f2ebdd1p-20, 0x1.860b3ed4c634ap-20, 0x1.6bebce537c23p-20, 0x1.524770577eaabp-20, 0x1.391d43986567ap-20, 0x1.206c368d5250cp-20, 0x1.08333ab123c33p-20, 0x1.e0e270f5294f1p-21, 0x1.b24a2ce50ad23p-21, 0x1.849bb0f1ad11p-21, 0x1.57d535f1631e7p-21, 0x1.2bf457ea27fep-21, 0x1.00f646567ffep-21, 0x1.adb207cb43908p-22, 0x1.5b34e31feb2b4p-22, 0x1.0a6f493382a94p-22, 0x1.76b6c5492419p-23, 0x1.b7cf876a4d549p-24, 0x1.11a894950c31p-25, -0x1.3f2e6b1a7c1bbp-25, -0x1.c189f4d667087p-24, -0x1.6e8b1180e777dp-23, -0x1.f9282f1917bf3p-23, -0x1.4053a56379689p-22, -0x1.82898c48a1d3dp-22, -0x1.c33ac341b2ffp-22, -0x1.013611d8d15f2p-21, -0x1.20118ea896792p-21, -0x1.3e3274d60cddcp-21, -0x1.5b9b7492b456bp-21, -0x1.784f05a196936p-21, -0x1.944fc8d7ad266p-21, -0x1.afa0642defe74p-21, -0x1.ca437129dc302p-21, -0x1.e43b8347a6646p-21, -0x1.fd8b288293cafp-21, -0x1.0b1a74d75bd59p-20, -0x1.171da705cfe83p-20, -0x1.22d071dcbb3c2p-20, -0x1.2e3422b62f94p-20, -0x1.394a06ef05035p-20, -0x1.44135ea3d1174p-20, -0x1.4e9158a4007fbp-20, -0x1.58c51d865fae2p-20, -0x1.62afdb5f6053bp-20, -0x1.6c52c68a4d4cep-20, -0x1.75af150bd9462p-20, -0x1.7ec5fcb09f48dp-20, -0x1.8798c6081af71p-20, -0x1.9028fc0239055p-20, -0x1.9878cbe871dc3p-20, -0x1.a0894b44928c3p-20, -0x1.a850fca676a92p-20, -0x1.afd75d324a83fp-20, -0x1.b72a93ea2c861p-20, -0x1.be400bbc4c874p-20, -0x1.c524a2069781p-20, -0x1.cbc1a27dc9282p-20, -0x1.d224aa2e75e86p-20, -0x1.d851af95bb63p-20, -0x1.de488bb7cb59bp-20, -0x1.e409aed861d6dp-20, -0x1.e995e848c71fp-20, -0x1.eeee1cfa55fd4p-20, -0x1.f413630c35d7ep-20, -0x1.f9069d8fcd7a5p-20, -0x1.fdc8d271b5409p-20, -0x1.012d794d26807p-19, -0x1.035ef850febd8p-19, -0x1.05795ed6fe179p-19, -0x1.077d1b8a05c58p-19, -0x1.096aa557fd85p-19, -0x1.0b426ffd3d78cp-19, -0x1.0d04e9bab2a26p-19, -0x1.0eb280df2996dp-19, -0x1.104ba278319a6p-19, -0x1.11d0b9f44a643p-19, -0x1.134230e2d462dp-19, -0x1.14a06f5590e89p-19, -0x1.15ebdc8fe1ce6p-19, }}, 
      {{-0x1.4228f2a0e9b6bp-2, -0x1.3cbf45a62b6a6p-2, -0x1.35cc507b6f996p-2, -0x1.2f3f508b37e0dp-2, -0x1.2ac437ce9e4d5p-2, -0x1.299b73350cbp-2, -0x1.2c93212e561eap-2, -0x1.341137059886bp-2, -0x1.4024ef55a3e02p-2, -0x1.509a0dcbdc178p-2, -0x1.650b29aa12c4p-2, -0x1.7cf1bb2850a3p-2, -0x1.97b37ff8013d1p-2, -0x1.b4ad3c86f610ap-2, -0x1.d33b11df1e419p-2, -0x1.f2beafd91cd9dp-2, -0x1.0951d988366p-1, -0x1.1931407405681p-1, -0x1.28c0f7fd93c2cp-1, -0x1.37cc018744e79p-1, -0x1.4624f93a14eabp-1, -0x1.53a5dae796774p-1, -0x1.602f9b67425f8p-1, -0x1.6ba9a682a44a5p-1, -0x1.76014dcc35424p-1, -0x1.7f2931a3b9defp-1, -0x1.8718ab1106127p-1, -0x1.8dcb3ad51c931p-1, -0x1.934000d0d4acap-1, -0x1.97793cfbab5e8p-1, -0x1.9a7bdade5d2eap-1, -0x1.9c4f07a3e4de3p-1, -0x1.9cfbd25c8085cp-1, -0x1.9c8cd5c828398p-1, -0x1.9b0debb693363p-1, -0x1.988be8f815e86p-1, -0x1.9514610aba966p-1, -0x1.90b5712b7ad3ap-1, -0x1.8b7d9201cafddp-1, -0x1.857b6f6da0f89p-1, -0x1.7ebdc54febadp-1, -0x1.7753415d39e45p-1, -0x1.6f4a689d2a1e9p-1, -0x1.66b1814bcb0a1p-1, -0x1.5d967fe477225p-1, -0x1.5406f70e7b4bap-1, -0x1.4a100acda17c5p-1, -0x1.3fbe65b003f7fp-1, -0x1.351e306120545p-1, -0x1.2a3b0b2ce8bc4p-1, -0x1.1f20096acfc06p-1, -0x1.13d7ae4493defp-1, -0x1.086beb1c6f6a8p-1, -0x1.f9cc3df947203p-2, -0x1.e29e2e6ee2623p-2, -0x1.cb5e21d8519d7p-2, -0x1.b41b7694a9a5dp-2, -0x1.9ce47521ea86ap-2, -0x1.85c6573f1f39ap-2, -0x1.6ecd504db8fdp-2, -0x1.5804955c67dbfp-2, -0x1.41766826ae9b5p-2, -0x1.2b2c1eb9db48bp-2, -0x1.152e311fc5abep-2, -0x1.ff087e88c12c9p-3, -0x1.d46a433b278bdp-3, -0x1.aa8dd9ec83c3cp-3, -0x1.817e07b47b402p-3, -0x1.594437c6e804dp-3, -0x1.31e89419bf6edp-3, -0x1.0b721e84e17edp-3, -0x1.cbcd6d829d5dap-4, -0x1.82968387bb34ap-4, -0x1.3b474af0ebcbap-4, -0x1.ebcbb804f8e03p-5, -0x1.64ed4eff71d29p-5, -0x1.c3f25967a73a9p-6, -0x1.8bc9e239047fbp-7, 0x1.82650df7db4ep-9, 0x1.1ea5e39820712p-6, 0x1.02975682126fdp-5, 0x1.71f95e4418eb9p-5, 0x1.dd80a3add04abp-5, 0x1.229b315a49022p-4, 0x1.5492a0caf1039p-4, 0x1.84ac9b623209p-4, 0x1.b2efb066d2f2cp-4, 0x1.df62f41e054fbp-4, 0x1.0506f85018b48p-3, 0x1.197c4c148432fp-3, 0x1.2d159c0d18861p-3, 0x1.3fd7364619ba6p-3, 0x1.51c58accc7131p-3, 0x1.62e525f50417fp-3, 0x1.733aabe65a047p-3, 0x1.82cad39bb6b6dp-3, 0x1.919a62bb97933p-3, 0x1.9fae2993a591dp-3, 0x1.ad0aff399e576p-3, 0x1.b9b5be3d153b9p-3, 0x1.c5b3414e17a71p-3, 0x1.d108604b40533p-3, 0x1.dbb9ed9ff04d5p-3, 0x1.e5ccb3a282b33p-3, 0x1.ef45727576bebp-3, 0x1.f828ddee203a7p-3, 0x1.003dcdcd7a9ffp-2, 0x1.042120ac745dap-2, 0x1.07c0a9e379e91p-2, 0x1.0b1ea26d7db56p-2, 0x1.0e3d397936e55p-2, 0x1.111e93e9a7c9fp-2, 0x1.13c4cbd6f9433p-2, 0x1.1631f0557a08p-2, 0x1.1868051f953b8p-2, 0x1.1a69024c7b2a9p-2, 0x1.1c36d43fc88dap-2, 0x1.1dd35b7ef26abp-2, 0x1.1f406c8db22b3p-2, 0x1.207fcff1493ccp-2, 0x1.2193423ad44b3p-2, 0x1.227c73efbe69p-2, 0x1.233d09aab4f3cp-2, 0x1.23d69c3b64f87p-2, 0x1.244ab8aa71d44p-2, 0x1.249ae0604a1c6p-2, 0x1.24c8895d7d408p-2, 0x1.24d51e534c4e9p-2, 0x1.24c1fecd32ab2p-2, 0x1.24907f6f735a2p-2, 0x1.2441ea2a45051p-2, 0x1.23d77e61499c5p-2, 0x1.2352713179125p-2, 0x1.22b3edaa65ce2p-2, 0x1.21fd14fdb4e9ap-2, 0x1.212efec3e1d06p-2, 0x1.204ab937baec8p-2, 0x1.1f5149777b9c1p-2, 0x1.1e43aba95746bp-2, 0x1.1d22d36b1afddp-2, 0x1.1befabd26cd1dp-2, 0x1.1aab17d5a5fa3p-2, 0x1.1955f2812269dp-2, 0x1.17f10f1e2de6ap-2, 0x1.167d397e02d49p-2, 0x1.14fb363da1a7fp-2, 0x1.136bc2e87d087p-2, 0x1.11cf964709341p-2, 0x1.1027607be7711p-2, 0x1.0e73cb5d53342p-2, 0x1.0cb57a879d1b6p-2, 0x1.0aed0baa96499p-2, 0x1.091b16ad25313p-2, 0x1.07402dddd89e3p-2, 0x1.055cde3e07ed7p-2, 0x1.0371af829500fp-2, 0x1.017f246aba428p-2, 0x1.ff0b75b21b824p-3, 0x1.fb0bd7f34c597p-3, 0x1.f70059077eaa1p-3, 0x1.f2e9d992aff95p-3, 0x1.eec931b3e1cb4p-3, 0x1.ea9f31a63e6eap-3, 0x1.e66ca19ae3bbbp-3, 0x1.e232423b9061p-3, 0x1.ddf0cd0c72d9p-3, 0x1.d9a8f47733992p-3, 0x1.d55b63fc21289p-3, 0x1.d108c0ab8dafcp-3, 0x1.ccb1a95387edfp-3, 0x1.c856b69d4833p-3, 0x1.c3f87b510a046p-3, 0x1.bf97847fd4298p-3, 0x1.bb3459da8e5ebp-3, 0x1.b6cf7dbad7afcp-3, 0x1.b2696d7aa5631p-3, 0x1.ae02a1761a719p-3, 0x1.a99b8d408b052p-3, 0x1.a5349fe66d0d7p-3, 0x1.a0ce441defaf3p-3, 0x1.9c68e04528319p-3, 0x1.9804d6aa99aa9p-3, 0x1.93a2857742ee5p-3, 0x1.8f42471ff8decp-3, 0x1.8ae472720d244p-3, 0x1.86895aa0b2042p-3, 0x1.82314f51f58a7p-3, 0x1.7ddc9ccea74b2p-3, 0x1.798b8c31dd60ep-3, 0x1.753e6381bc2b6p-3, 0x1.70f565cce1867p-3, 0x1.6cb0d31e05506p-3, 0x1.6870e894a7a67p-3, 0x1.6435e0ad86f8ep-3, 0x1.5ffff34f30c69p-3, 0x1.5bcf55da9be28p-3, 0x1.57a43b2c8a0ep-3, 0x1.537ed3ac070b5p-3, 0x1.4f5f4d6dcad5p-3, 0x1.4b45d45a5c666p-3, 0x1.4732923b9e086p-3, 0x1.4325aed17749dp-3, 0x1.3f1f4fb9cde3fp-3, 0x1.3b1f988c52a58p-3, 0x1.3726ab079429ep-3, 0x1.3334a72009c6ep-3, 0x1.2f49ab10fdddfp-3, 0x1.2b65d35a4cd6p-3, 0x1.27893ac216c15p-3, 0x1.23b3fa6753696p-3, 0x1.1fe629ddbfc6p-3, 0x1.1c1fdf45926a2p-3, 0x1.18612f52dc08ep-3, 0x1.14aa2d5106e71p-3, 0x1.10faeb25f58abp-3, 0x1.0d53794baf5e4p-3, 0x1.09b3e6ffe934ep-3, 0x1.061c424c29f6cp-3, 0x1.028c98123e559p-3, 0x1.fe09e81c7f88cp-4, 0x1.f70ac1aa29eafp-4, 0x1.f01bcfb5592afp-4, 0x1.e93d230396fe8p-4, 0x1.e26eca5ee6048p-4, 0x1.dbb0d2b1b482bp-4, 0x1.d5034710332ccp-4, 0x1.ce6630b38e7c8p-4, 0x1.c7d996fe3f7bbp-4, 0x1.c15d7f98da691p-4, 0x1.baf1ee6ece9cp-4, 0x1.b496e5ea647f1p-4, 0x1.ae4c66fe37865p-4, 0x1.a81271273eea1p-4, 0x1.a1e9026f258b6p-4, 0x1.9bd0176f7bfd9p-4, 0x1.95c7ab5f3cbb3p-4, 0x1.8fcfb829863c9p-4, 0x1.89e83684f037ep-4, 0x1.84111e039dea1p-4, 0x1.7e4a65199c5bap-4, 0x1.7894011dd1ce1p-4, 0x1.72ede64c80341p-4, 0x1.6d5807cf0ff7fp-4, 0x1.67d257cb6a9b8p-4, 0x1.625cc780a19a7p-4, 0x1.5cf747454f3dap-4, 0x1.57a1c699c741ep-4, 0x1.525c342db36bep-4, 0x1.4d267ddb4f837p-4, 0x1.480090ae6aacdp-4, 0x1.42ea58ee7c5b4p-4, 0x1.3de3c22c06bfap-4, 0x1.38ecb74e247dp-4, 0x1.3405229cdad48p-4, 0x1.2f2cedc6e7a83p-4, 0x1.2a6401e45d47fp-4, 0x1.25aa4778dc6dcp-4, 0x1.20ffa67815c32p-4, 0x1.1c64064dbbe2fp-4, 0x1.17d74de7d90a1p-4, 0x1.135963c0bf45bp-4, 0x1.0eea2de615fp-4, 0x1.0a899200bacebp-4, 0x1.063775577e6b6p-4, 0x1.01f3bccb3b14dp-4, 0x1.fb7c99c4e54e8p-5, 0x1.f32e13962393ep-5, 0x1.eafbaec27144ap-5, 0x1.e2e5326ea38fap-5, 0x1.daea653a960e6p-5, 0x1.d30b0d4b452c3p-5, 0x1.cb46f0515459ep-5, 0x1.c39dd38d31ce9p-5, 0x1.bc0f7bd420bdfp-5, 0x1.b49bad965549fp-5, 0x1.ad422ce809d8cp-5, 0x1.a602bd8d0875p-5, 0x1.9edd23040129cp-5, 0x1.97d120906de06p-5, 0x1.90de79424aaf2p-5, 0x1.8a04effb51ab2p-5, 0x1.834447722a217p-5, 0x1.7c9c42347bdf6p-5, 0x1.760ca2ae1c86bp-5, 0x1.6f952b30709a3p-5, 0x1.69359df3f85ecp-5, 0x1.62edbd2915c2p-5, 0x1.5cbd4afe25d5cp-5, 0x1.56a409a511c7bp-5, 0x1.50a1bb5961ad7p-5, 0x1.4ab622621c14cp-5, 0x1.44e10112ccd72p-5, 0x1.3f2219cc599d7p-5, 0x1.39792effdb994p-5, 0x1.33e6033426fc5p-5, 0x1.2e68590dd2716p-5, 0x1.28fff3588d89p-5, 0x1.23ac951020f35p-5, 0x1.1e6e01673ef0cp-5, 0x1.1943fbca91784p-5, 0x1.142e47df9304bp-5, 0x1.0f2ca98061545p-5, 0x1.0a3ee4b732909p-5, 0x1.0564bdbc9189dp-5, 0x1.009df8faad4ecp-5, 0x1.f7d4b62c9a2a5p-6, 0x1.ee9351f84f264p-6, 0x1.e5774fe2633dep-6, 0x1.dc803b3d250aap-6, 0x1.d3ada02846ac9p-6, 0x1.caff0b8dea07cp-6, 0x1.c2740b067dd23p-6, 0x1.ba0c2cb586a39p-6, 0x1.b1c6ff2d6b1fap-6, 0x1.a9a4116514f33p-6, 0x1.a1a2f2c681aaep-6, 0x1.99c3335baf109p-6, 0x1.920464071b76bp-6, 0x1.8a6616c22ab8cp-6, 0x1.82e7dec2566b4p-6, 0x1.7b89507cecfbep-6, 0x1.744a0181dd48ep-6, 0x1.6d298832f621dp-6, 0x1.66277b6e341f2p-6, 0x1.5f43724918ed6p-6, 0x1.587d03f4c8649p-6, 0x1.51d3c7e0952dfp-6, 0x1.4b47560d626bdp-6, 0x1.44d7478e59e32p-6, 0x1.3e833700f1cb2p-6, 0x1.384ac0e398c4bp-6, 0x1.322d83a2417cp-6, 0x1.2c2b1f4cf7de7p-6, 0x1.264335071d68p-6, 0x1.20756655e8852p-6, 0x1.1ac1547fcf273p-6, 0x1.1526a0322201bp-6, 0x1.0fa4e995dd907p-6, 0x1.0a3bd0d4e686dp-6, 0x1.04eaf6f624e13p-6, 0x1.ff63fdb00b7dbp-7, 0x1.f5211c001cadfp-7, 0x1.eb0c99f8e8c9dp-7, 0x1.e125ce5fa93a9p-7, 0x1.d76c140ca8dedp-7, 0x1.cddec78133ebbp-7, 0x1.c47d4449da7abp-7, 0x1.bb46e2ea41051p-7, 0x1.b23af7f89d721p-7, 0x1.a958d4c796f93p-7, 0x1.a09fc991edbc5p-7, 0x1.980f28acef1f6p-7, 0x1.8fa649f302fadp-7, 0x1.87648d77cbe1fp-7, 0x1.7f495cb6dd6bbp-7, 0x1.775429c8dbd7ap-7, 0x1.6f846cafdd41bp-7, 0x1.67d99f4caf299p-7, 0x1.605338fb2cep-7, 0x1.58f0aafb9b2e7p-7, 0x1.51b15eab26e36p-7, 0x1.4a94b62589dd5p-7, 0x1.439a0f4ec2bcfp-7, 0x1.3cc0c8a1c2fdbp-7, 0x1.360846a165378p-7, 0x1.2f6ff88c97065p-7, 0x1.28f75b145e4c3p-7, 0x1.229df8478860ep-7, 0x1.1c63648f94179p-7, 0x1.1647395801788p-7, 0x1.10490e96c755cp-7, 0x1.0a6874bf3565ep-7, 0x1.04a4f09eee0adp-7, 0x1.fdfbf48518c74p-8, 0x1.f2e5fe957889cp-8, 0x1.e806d08cee77ep-8, 0x1.dd5d3fdf0ad7bp-8, 0x1.d2e8352d24cc6p-8, 0x1.c8a6b7e3f730fp-8, 0x1.be97f3b4479fep-8, 0x1.b4bb366e5ecfp-8, 0x1.ab0fe6a05fe45p-8, 0x1.a19575034983ap-8, 0x1.984b4c0017579p-8, 0x1.8f30c0e203594p-8, 0x1.86450a0834aa4p-8, 0x1.7d873c43b4712p-8, 0x1.74f6504a07ecbp-8, 0x1.6c912f4ed5d85p-8, 0x1.6456c441f5729p-8, 0x1.5c460dc82db74p-8, 0x1.545e2c9a4a33p-8, 0x1.4c9e6abc96a95p-8, 0x1.450639eaac6p-8, 0x1.3d9529f42cffdp-8, 0x1.364ad9b7e464dp-8, 0x1.2f26e63d7ee4ep-8, 0x1.2828db5814af9p-8, 0x1.215028541b11ap-8, 0x1.1a9c1a03d506ap-8, 0x1.140bdc4d2637ap-8, 0x1.0d9e826b19709p-8, 0x1.075315f49bea1p-8, 0x1.0128a969f7599p-8, 0x1.f63cd3695e7f5p-9, 0x1.ea6752ea2dc43p-9, 0x1.decfc59d61adep-9, 0x1.d3755fe2e169ep-9, 0x1.c8577c0e02323p-9, 0x1.bd757ee96139bp-9, 0x1.b2cec1e928305p-9, 0x1.a8628467de1c5p-9, 0x1.9e2fe1416b1fap-9, 0x1.9435c6a67608ap-9, 0x1.8a72f22118a23p-9, 0x1.80e5f66bfdefcp-9, 0x1.778d4fb61e7adp-9, 0x1.6e67844a7cda3p-9, 0x1.657346f0e4b62p-9, 0x1.5caf8bf1b9624p-9, 0x1.541b85f33f1eap-9, 0x1.4bb68c10a1626p-9, 0x1.437ff7a605e3ap-9, 0x1.3b770d2e5b824p-9, 0x1.339afbad63e8dp-9, 0x1.2beaee23f3a1cp-9, 0x1.24661ddf11263p-9, 0x1.1d0bd4b818a06p-9, 0x1.15db5bd24596cp-9, 0x1.0ed3e40cd73ebp-9, 0x1.07f47c213a07ep-9, 0x1.013c202b8c347p-9, 0x1.f553b92019663p-10, 0x1.e879df3da28adp-10, 0x1.dbe9a670a172ep-10, 0x1.cfa2465e3a5bap-10, 0x1.c3a2d272474dep-10, 0x1.b7e9d43141576p-10, 0x1.ac75292b4d4c4p-10, 0x1.a142449cb3684p-10, 0x1.964eb70f58787p-10, 0x1.8b98ad32c921p-10, 0x1.811f1886a71e7p-10, 0x1.76e16d045fd07p-10, 0x1.6cdf27616b3dep-10, 0x1.6317742598317p-10, 0x1.59893106646b9p-10, 0x1.50333bef8c867p-10, 0x1.4714cffd15d76p-10, 0x1.3e2dae3c4eef1p-10, 0x1.357df0b2c47b4p-10, 0x1.2d05900d78551p-10, 0x1.24c3ccd023121p-10, 0x1.1cb6c879fc006p-10, 0x1.14db93cf0cfedp-10, 0x1.0d2ec2d1bddffp-10, 0x1.05ad49ffd2196p-10, 0x1.fcaa697c1cd6dp-11, 0x1.ee4ba5a817f68p-11, 0x1.e03e95ae05b9ep-11, 0x1.d283c252174dap-11, 0x1.c51ae0c5d8256p-11, 0x1.b802be2e980d7p-11, 0x1.ab39f79819ee6p-11, 0x1.9ebfda34861c8p-11, 0x1.9294d894140a5p-11, 0x1.86ba49095c4e7p-11, 0x1.7b3177616b8fp-11, 0x1.6ffa77fe3db34p-11, 0x1.65134c2de0e53p-11, 0x1.5a77b1341e7a3p-11, 0x1.5021af3fc7f63p-11, 0x1.460acd6a95894p-11, 0x1.3c2d867e877b2p-11, 0x1.3286600d7a59bp-11, 0x1.29142eeddedaep-11, 0x1.1fd77eacae83ep-11, 0x1.16d17479c431ap-11, 0x1.0e02c458fa71fp-11, 0x1.056b36a9fa479p-11, 0x1.fa13cc0b8947fp-12, 0x1.e9bc25dedb767p-12, 0x1.d9cff2a98ef0bp-12, 0x1.ca5195c872e23p-12, 0x1.bb436637358fbp-12, 0x1.aca5b53392674p-12, 0x1.9e765a1022ceap-12, 0x1.90b144ec4cf74p-12, 0x1.8350f82e9d5p-12, 0x1.764ec184aecb5p-12, 0x1.69a328070b2cep-12, 0x1.5d468e757b539p-12, 0x1.5131fac204adap-12, 0x1.45609974c6621p-12, 0x1.39d1924e6e22fp-12, 0x1.2e87f1c5231cep-12, 0x1.2387a6678d5cep-12, 0x1.18d1f17d2b917p-12, 0x1.0e64e8ed0f819p-12, 0x1.043e70c6307e8p-12, 0x1.f4bd2677561c1p-13, 0x1.e18cdbfee73d9p-13, 0x1.ceec23afb53e6p-13, 0x1.bcd813e418a0ap-13, 0x1.ab4c597a03222p-13, 0x1.9a4505617f40dp-13, 0x1.89bf65c8902f9p-13, 0x1.79b97421cc981p-13, 0x1.6a305dfa3639ap-13, 0x1.5b1ef1339088bp-13, 0x1.4c7b90605ed09p-13, 0x1.3e37ec7a60daep-13, 0x1.3047b667e42d5p-13, 0x1.22a9967fa49a2p-13, 0x1.156553b5d7ba8p-13, 0x1.088066ae95b1ap-13, 0x1.f7f1bce4b3155p-14, 0x1.df97ea7cebf2ep-14, 0x1.c7f598e7f397fp-14, 0x1.b10bde6ea5f9ap-14, 0x1.9ad44aa21e46ep-14, 0x1.85471af44ae29p-14, 0x1.70601570a255p-14, 0x1.5c1be984a016fp-14, 0x1.4875be1bed72fp-14, 0x1.3569868fd23b4p-14, 0x1.22f663c9b786dp-14, 0x1.111cd613c383cp-14, 0x1.ffb8216270e9bp-15, 0x1.de60b1bef15fp-15, 0x1.be1b7409e7787p-15, 0x1.9ec284fce5dc3p-15, 0x1.804999fc7f8bap-15, 0x1.62c64ee47269bp-15, 0x1.4638f4cd49d2cp-15, 0x1.2a7e78ed3c97p-15, 0x1.0f8967dbd99cdp-15, 0x1.eae47ddeaf7c5p-16, 0x1.b88f37167542dp-16, 0x1.87f628d3f24ffp-16, 0x1.58edbec3d17b8p-16, 0x1.2b637d2fc7afcp-16, 0x1.fec11d9e82755p-17, 0x1.a9d93d0cdc429p-17, 0x1.57f26be506a5dp-17, 0x1.08dd2596d7556p-17, 0x1.78ff6c2b8e987p-18, 0x1.cb549124203bcp-19, 0x1.5ea50d3075abcp-20, -0x1.88a56f45e884dp-21, -0x1.69422918d8187p-19, -0x1.3380cdf6cda63p-18, -0x1.ae2b3312ee3e1p-18, -0x1.11fcc10daa8cfp-17, -0x1.4a4240bf1ee46p-17, -0x1.805454161edf1p-17, -0x1.b471cf0985f68p-17, -0x1.e68b276c28c59p-17, -0x1.0b5f70f92c0c2p-16, -0x1.2291d5604b4b5p-16, -0x1.38d7025412637p-16, -0x1.4e35b99265973p-16, -0x1.62bd47f2430e9p-16, -0x1.766814ba49de3p-16, -0x1.892771085f8bep-16, -0x1.9b02af0e029e7p-16, -0x1.ac10945031198p-16, -0x1.bc60f3a4aaa5ep-16, -0x1.cbf7e856b9d65p-16, -0x1.dad814a52ac9fp-16, -0x1.e9076a4026a5dp-16, -0x1.f681086f3cccp-16, -0x1.019e51e836e64p-15, -0x1.07aadf69f139cp-15, -0x1.0d6d139d4de9ep-15, -0x1.12dead6df194cp-15, -0x1.180a1ac9d8a22p-15, -0x1.1ce59095ac48fp-15, -0x1.21630aed86c37p-15, -0x1.258effb89be43p-15, -0x1.297d8644b2e57p-15, -0x1.2d3a199f3c465p-15, -0x1.30bee8ef40ae7p-15, -0x1.3402886faedd1p-15, -0x1.370a046c27ffap-15, -0x1.39dae8f3562d8p-15, -0x1.3c6e8d4e11a7dp-15, -0x1.3ec2f7a008634p-15, -0x1.40dffde06232cp-15, -0x1.42cc7cb936adp-15, -0x1.448a7b58184a1p-15, -0x1.4619e8ddc6ef5p-15, -0x1.477c3a719b45cp-15, -0x1.48b2dd25f523ap-15, -0x1.49b7f347cefe9p-15, -0x1.4a8907a96cbbfp-15, -0x1.4b34412294a45p-15, -0x1.4bbccf0492f9p-15, -0x1.4c257ab511514p-15, -0x1.4c66221923a99p-15, -0x1.4c7bc6c0e1763p-15, -0x1.4c6ddb6426fb6p-15, -0x1.4c3e071556635p-15, -0x1.4bea9498c935ep-15, -0x1.4b741271e4d31p-15, -0x1.4ae0d268e786p-15, -0x1.4a3462661e84ap-15, -0x1.496b22ddaf872p-15, -0x1.4887d7affc67cp-15, -0x1.478c0af5e56bcp-15, -0x1.46725354d3b31p-15, -0x1.453c8d7471918p-15, -0x1.43efee279cc69p-15, -0x1.428e87f92dc04p-15, -0x1.4118605aa124cp-15, -0x1.3f8d6d487c1b2p-15, -0x1.3deeb3fd4cfcp-15, -0x1.3c3cb30a40bfdp-15, -0x1.3a73fb9744f9fp-15, -0x1.38959933c29f6p-15, -0x1.36a9a77d5a938p-15, -0x1.34b0e6c8a8cadp-15, -0x1.32a5c846a9dbfp-15, -0x1.308899f1ccb66p-15, -0x1.2e5d9f3c07b27p-15, -0x1.2c25853229302p-15, -0x1.29e0586aee725p-15, -0x1.278e7277f8057p-15, -0x1.25303dbe59309p-15, -0x1.22c58f12da067p-15, -0x1.204d822bd7af7p-15, -0x1.1dc9d7de1aba6p-15, -0x1.1b3d79be81219p-15, -0x1.18a8df145383ep-15, -0x1.160c61d1733e7p-15, -0x1.136540e3d9029p-15, -0x1.10b4b694a5477p-15, -0x1.0dfd2093bd3b7p-15, -0x1.0b3f06167f5e7p-15, -0x1.087a5ac9f1eedp-15, -0x1.05af325674626p-15, -0x1.02de05c2a5987p-15, -0x1.000771376f3f6p-15, -0x1.fa553488a08f4p-16, -0x1.f48fca173c878p-16, -0x1.eec54755f0de8p-16, -0x1.e8f1daec4c9fep-16, -0x1.e314823e1aeeep-16, -0x1.dd30e8198b67bp-16, -0x1.d7477bbec31bcp-16, -0x1.d158643b5b9fbp-16, -0x1.cb641cb521afbp-16, -0x1.c56b411585a12p-16, -0x1.bf6e76a87c7f8p-16, -0x1.b96e615b2bcbdp-16, -0x1.b36ba3b2eb3eep-16, -0x1.ad66c585f07f1p-16, -0x1.a75f6ac8574cbp-16, -0x1.a154ea5866c42p-16, -0x1.9b49f2744fa19p-16, -0x1.95407ee626a67p-16, -0x1.8f36c749ac145p-16, -0x1.892c7ea925726p-16, -0x1.83232e20a989fp-16, -0x1.7d1ba4a391219p-16, -0x1.7715ff1126ac6p-16, -0x1.711260758679bp-16, -0x1.6b1125d35e007p-16, -0x1.6512ea6e46b15p-16, -0x1.5f17dab07fa1fp-16, -0x1.591fcb4a34b95p-16, -0x1.532c3ef28590bp-16, -0x1.4d3c59d1854fdp-16, -0x1.4750f7b349586p-16, -0x1.416a8bbf4bb13p-16, -0x1.3b8937d6024f3p-16, -0x1.35ad393332db5p-16, -0x1.2fd6d425f2a8p-16, -0x1.2a064baa754ap-16, -0x1.243be12371ab6p-16, -0x1.1e77d4eb28ffdp-16, -0x1.18ba648d45c42p-16, -0x1.1303ca8f3c713p-16, -0x1.0d5440aa620d9p-16, -0x1.07abfedd78964p-16, -0x1.020b3cc524eacp-16, -0x1.f8e430c6d73d5p-17, -0x1.edc127844d824p-17, -0x1.e2ae737a4e1f7p-17, -0x1.d7ac535b69971p-17, -0x1.ccbaaaaba07f6p-17, -0x1.c1da236c93637p-17, -0x1.b70b076918e4ep-17, -0x1.ac4d94b6ae80bp-17, -0x1.a1a212895df27p-17, -0x1.9708c6e46d51dp-17, -0x1.8c81f3e140e9dp-17, -0x1.820ddc34ed848p-17, -0x1.77acbcfa4f18fp-17, -0x1.6d5ed1ee77a59p-17, -0x1.632450411a1a8p-17, -0x1.58fd6da247fdep-17, -0x1.4eea5dc85963ap-17, -0x1.44eb512e99463p-17, -0x1.3b007591d302cp-17, -0x1.3129f61ab73b7p-17, -0x1.2767fb8638779p-17, -0x1.1dbaac707e0fp-17, -0x1.14222d94f75b1p-17, -0x1.0a9ea1ebedcbcp-17, -0x1.01302a7ff8adcp-17, -0x1.efadcba917611p-18, -0x1.dd25dea5b5b96p-18, -0x1.cac8c0a94ab8bp-18, -0x1.b896a6363890fp-18, -0x1.a68fc13b8c978p-18, -0x1.94b41e87978b3p-18, -0x1.83040d18a660dp-18, -0x1.717ff1341a455p-18, -0x1.6027608ab72e4p-18, -0x1.4efb01da61249p-18, -0x1.3dfa252f149f6p-18, -0x1.2d262ea1018aap-18, -0x1.1c7ec1631840cp-18, -0x1.0c02934bc9917p-18, -0x1.f76515b52ef33p-19, -0x1.d71b76da0f214p-19, -0x1.b72e9adba3a5dp-19, -0x1.979ab15a496afp-19, -0x1.785e9cdbc8e38p-19, -0x1.597b31e7354a8p-19, -0x1.3af0a35052368p-19, -0x1.1cbefec08b78ap-19, -0x1.fdcc0bee07013p-20, -0x1.c2cbe52bc5158p-20, -0x1.887ccc12a6701p-20, -0x1.4edeeae0350e3p-20, -0x1.15f1ec4910086p-20, -0x1.bb6b20ab5a82dp-21, -0x1.4c5353e101b75p-21, -0x1.bd365d62b39d7p-22, -0x1.c90914e68b49ep-23, -0x1.d214f5177adf1p-27, 0x1.894ea1efd6db3p-23, 0x1.952564abbb30bp-22, 0x1.3175d47737acfp-21, 0x1.96fdd2309018ep-21, 0x1.fb2b2135079cfp-21, 0x1.2f00044a8381bp-20, 0x1.5fc0b16529f1p-20, }}, 
      {{-0x1.43891539d30d4p-2, -0x1.4198f0c2abc0fp-2, -0x1.3ed59d4c1b68ep-2, -0x1.3bb99cd61f1c4p-2, -0x1.38badb52c15b3p-2, -0x1.363f4f4776b12p-2, -0x1.349841fcbafdbp-2, -0x1.340175e94966fp-2, -0x1.34a275a04c73ep-2, -0x1.3690f7d49d0fp-2, -0x1.39d3af3db74cp-2, -0x1.3e6523571ff21p-2, -0x1.44365b68111ccp-2, -0x1.4b3140c1cea96p-2, -0x1.533aaebb3c4ffp-2, -0x1.5c343036b40a7p-2, -0x1.65fd6f493e36p-2, -0x1.70755da20a82ap-2, -0x1.7b7b1d7fbc974p-2, -0x1.86eeb3f5c14cp-2, -0x1.92b18cc80f53dp-2, -0x1.9ea6d7aba3c8p-2, -0x1.aab3c62d6914p-2, -0x1.b6bfb0623255ap-2, -0x1.c2b425c341388p-2, -0x1.ce7ceeb8076d6p-2, -0x1.da08029d66b19p-2, -0x1.e54575677d019p-2, -0x1.f0275f1d7492p-2, -0x1.faa1bf8c060adp-2, -0x1.02552fc9fc795p-1, -0x1.071c5883b6677p-1, -0x1.0ba2d72ccb85p-1, -0x1.0fe5dd6f97b8fp-1, -0x1.13e341d108afp-1, -0x1.179970a3119f7p-1, -0x1.1b075dbfbd46ap-1, -0x1.1e2c771c41294p-1, -0x1.210898079566bp-1, -0x1.239bfd3a1637cp-1, -0x1.25e739a8633e9p-1, -0x1.27eb2c4c94e38p-1, -0x1.29a8f68e5f5d7p-1, -0x1.2b21f38e65ee5p-1, -0x1.2c57b01508d6ap-1, -0x1.2d4be30dd4974p-1, -0x1.2e0066e052358p-1, -0x1.2e77333b80b89p-1, -0x1.2eb2577a05fb8p-1, -0x1.2eb3f592c223ap-1, -0x1.2e7e3d96bb5a9p-1, -0x1.2e13697f1cd41p-1, -0x1.2d75b98477246p-1, -0x1.2ca770cd959b1p-1, -0x1.2baad281a449cp-1, -0x1.2a821f3566fbcp-1, -0x1.292f929646f34p-1, -0x1.27b56163c83b9p-1, -0x1.2615b7cd8231fp-1, -0x1.2452b7de14fa1p-1, -0x1.226e78395786ep-1, -0x1.206b030d977d9p-1, -0x1.1e4a552bfcb97p-1, -0x1.1c0e5d3ffa809p-1, -0x1.19b8fb541e715p-1, -0x1.174c004f52ef7p-1, -0x1.14c92da0d2236p-1, -0x1.12323517faaf8p-1, -0x1.0f88b8b0d956ap-1, -0x1.0cce4a95aa798p-1, -0x1.0a046d24ed752p-1, -0x1.072c930cf2a9ap-1, -0x1.04481f74585a9p-1, -0x1.01586621363adp-1, -0x1.fcbd578f4ea04p-2, -0x1.f6b84c9889432p-2, -0x1.f0a3fa1a8d339p-2, -0x1.ea82928b0df0ap-2, -0x1.e4562cabf5a5bp-2, -0x1.de20c46016bd8p-2, -0x1.d7e43b7763e75p-2, -0x1.d1a25a5af85dap-2, -0x1.cb5cd0efd9b7bp-2, -0x1.c51537670c9c2p-2, -0x1.becd0efb8983dp-2, -0x1.b885c2c7358cbp-2, -0x1.b240a8984cc49p-2, -0x1.abff01b87d525p-2, -0x1.a5c1fbc589114p-2, -0x1.9f8ab16764d17p-2, -0x1.995a2b1e080f5p-2, -0x1.933160093aac7p-2, -0x1.8d1136945f335p-2, -0x1.86fa854fb4195p-2, -0x1.80ee1381510ebp-2, -0x1.7aec99e67b178p-2, -0x1.74f6c35bf90b9p-2, -0x1.6f0d2d82e049cp-2, -0x1.6930695c055d7p-2, -0x1.6360fbec27b99p-2, -0x1.5d9f5ec80bcadp-2, -0x1.57ec00a9d6436p-2, -0x1.52474601ad801p-2, -0x1.4cb18971719fcp-2, -0x1.472b1c5a54556p-2, -0x1.41b4475a36c52p-2, -0x1.3c4d4abb4ce77p-2, -0x1.36f65eef366adp-2, -0x1.31afb4fc3d71p-2, -0x1.2c7976e910821p-2, -0x1.2753c826315c4p-2, -0x1.223ec5eabecd6p-2, -0x1.1d3a87968681ep-2, -0x1.18471f0a5bc63p-2, -0x1.136498ffba667p-2, -0x1.0e92fd5b32c06p-2, -0x1.09d24f76cc6c5p-2, -0x1.05228e72927b1p-2, -0x1.0083b5727ee66p-2, -0x1.f7eb77f036594p-3, -0x1.eef12bfd0243ap-3, -0x1.e61868b4ada4ap-3, -0x1.dd6109c05dbcp-3, -0x1.d4cae5442f19cp-3, -0x1.cc55cc48367a4p-3, -0x1.c4018b18ab47bp-3, -0x1.bbcde99f7a22fp-3, -0x1.b3baabc94967p-3, -0x1.abc791d0eabddp-3, -0x1.a3f45891ec236p-3, -0x1.9c40b9d4a287bp-3, -0x1.94ac6c91c9661p-3, -0x1.8d372537a3a14p-3, -0x1.85e095ebf4e42p-3, -0x1.7ea86ec231f36p-3, -0x1.778e5df57dd7bp-3, -0x1.709210212b0bp-3, -0x1.69b3306c2fe35p-3, -0x1.62f168bb383d9p-3, -0x1.5c4c61d61150fp-3, -0x1.55c3c3a289c9ap-3, -0x1.4f573531bfa1bp-3, -0x1.49065cf321ee2p-3, -0x1.42d0e0d50390ep-3, -0x1.3cb666611f19ap-3, -0x1.36b692d77e1dp-3, -0x1.30d10b511744dp-3, -0x1.2b0574d2d91bap-3, -0x1.25537469b9d19p-3, -0x1.1fbaaf389a9dfp-3, -0x1.1a3aca99dfafdp-3, -0x1.14d36c25ae6ep-3, -0x1.0f8439cb12726p-3, -0x1.0a4cd9de5a4dcp-3, -0x1.052cf3223988fp-3, -0x1.00242ce288663p-3, -0x1.f6645de39fae9p-4, -0x1.ecad437be5289p-4, -0x1.e3225cb7fa695p-4, -0x1.d9c2fd0c1ec37p-4, -0x1.d08e796726a61p-4, -0x1.c784283742458p-4, -0x1.bea3615de5612p-4, -0x1.b5eb7e6b4856dp-4, -0x1.ad5bda8cfe465p-4, -0x1.a4f3d296c9aa3p-4, -0x1.9cb2c5119932dp-4, -0x1.94981253d0804p-4, -0x1.8ca31c6b3a733p-4, -0x1.84d34733ecc7dp-4, -0x1.7d27f85e72fcp-4, -0x1.75a09771b2f97p-4, -0x1.6e3c8dcb84e79p-4, -0x1.66fb46998631fp-4, -0x1.5fdc2f032b1dap-4, -0x1.58deb5f77d9fp-4, -0x1.52024c4faf194p-4, -0x1.4b4664c438951p-4, -0x1.44aa73ef6ce03p-4, -0x1.3e2df04c4294p-4, -0x1.37d0523ede9ddp-4, -0x1.319113eec127bp-4, -0x1.2b6fb180b0775p-4, -0x1.256ba8e319809p-4, -0x1.1f8479de96a4bp-4, -0x1.19b9a612c7558p-4, -0x1.140ab0f31b68ap-4, -0x1.0e771fc276b12p-4, -0x1.08fe798fdd89p-4, -0x1.03a0473c33599p-4, -0x1.fcb826bca09d3p-5, -0x1.f262d4aceaabcp-5, -0x1.e83fb496a7388p-5, -0x1.de4de61a562bep-5, -0x1.d48c8c549ad1cp-5, -0x1.cafacdcb5d633p-5, -0x1.c197d4532141bp-5, -0x1.b862cd1391919p-5, -0x1.af5ae87bde2a4p-5, -0x1.a67f5a3935a9bp-5, -0x1.9dcf593eb7764p-5, -0x1.954a1f839656dp-5, -0x1.8ceeea40ac745p-5, -0x1.84bcf9cd2b6ep-5, -0x1.7cb3917628885p-5, -0x1.74d1f79cb012bp-5, -0x1.6d17759be64c1p-5, -0x1.658357c102baep-5, -0x1.5e14ed45cb861p-5, -0x1.56cb883c08b0ep-5, -0x1.4fa67d8906a14p-5, -0x1.48a524e634ce9p-5, -0x1.41c6d8d0b5b47p-5, -0x1.3b0af67407bf3p-5, -0x1.3470dd9bdb8b8p-5, -0x1.2df7f0e713c44p-5, -0x1.279f956a458eep-5, -0x1.216732d5f58a1p-5, -0x1.1b4e33681c6d6p-5, -0x1.155403dd78a46p-5, -0x1.0f781368e2862p-5, -0x1.09b9d3aa689bbp-5, -0x1.0418b8a71b1e4p-5, -0x1.fd287180ce713p-6, -0x1.f2579955b491dp-6, -0x1.e7bddec948cbep-6, -0x1.dd5a3c663d666p-6, -0x1.d32bb12c0b63cp-6, -0x1.c93140488c5eap-6, -0x1.bf69f17e9eedfp-6, -0x1.b5d4d0ad7efd1p-6, -0x1.ac70edec3fdb1p-6, -0x1.a33d5d702c746p-6, -0x1.9a39377b87afap-6, -0x1.9163984ff6196p-6, -0x1.88bba01f7a5a2p-6, -0x1.804072fc003c1p-6, -0x1.77f138c7deafbp-6, -0x1.6fcd1d272f07dp-6, -0x1.67d34f7076662p-6, -0x1.6003029cde90ep-6, -0x1.585b6d38b7432p-6, -0x1.50dbc95c38a96p-6, -0x1.498354a1a524ep-6, -0x1.42514fe2829dcp-6, -0x1.3b44ff82c1536p-6, -0x1.345dab2e99243p-6, -0x1.2d9a9dbe49c23p-6, -0x1.26fb254a4cb06p-6, -0x1.207e9311cf863p-6, -0x1.1a243b6c74b9p-6, -0x1.13eb75be77332p-6, -0x1.0dd39c6c86d79p-6, -0x1.07dc0ccf6665ap-6, -0x1.0204272793365p-6, -0x1.f8969d21eda72p-7, -0x1.ed61d1ed5cc06p-7, -0x1.e268be0f29d7p-7, -0x1.d7aa3855379ddp-7, -0x1.cd251ce4bed6cp-7, -0x1.c2d84d278f2cep-7, -0x1.b8c2afc484492p-7, -0x1.aee3306384536p-7, -0x1.a538bf9b93e78p-7, -0x1.9bc2532eaa8b5p-7, -0x1.927ee58699038p-7, -0x1.896d75d2ebd0fp-7, -0x1.808d07f9868a6p-7, -0x1.77dca47d9674p-7, -0x1.6f5b58679ff98p-7, -0x1.670835366e786p-7, -0x1.5ee250c71ee9ap-7, -0x1.56e8c533c826bp-7, -0x1.4f1ab0e7e316bp-7, -0x1.47773679cad59p-7, -0x1.3ffd7c88e2a73p-7, -0x1.38acadbc879bbp-7, -0x1.3183f8b0e9445p-7, -0x1.2a828fe4c4928p-7, -0x1.23a7a9a81404fp-7, -0x1.1cf2800a98b4cp-7, -0x1.166250cd1f46p-7, -0x1.0ff65d5ae8e26p-7, -0x1.09adeaa259d1ap-7, -0x1.03884100b848dp-7, -0x1.fb0958e10f144p-8, -0x1.ef44f86f346bbp-8, -0x1.e3c205da3022ap-8, -0x1.d87f2ce90554bp-8, -0x1.cd7b1fc5228acp-8, -0x1.c2b496de77ecbp-8, -0x1.b82a50d4485b7p-8, -0x1.addb1261bf279p-8, -0x1.a3c5a646cb954p-8, -0x1.99e8dd2bfc822p-8, -0x1.90438d82dcabep-8, -0x1.86d49366fca2ap-8, -0x1.7d9ad0826b7ebp-8, -0x1.74952bf5ddf7cp-8, -0x1.6bc29243d5a08p-8, -0x1.6321f53bdd3f6p-8, -0x1.5ab24be25271fp-8, -0x1.527292565e51ap-8, -0x1.4a61c9b8c9ed4p-8, -0x1.427ef8149b07fp-8, -0x1.3ac9284df14f9p-8, -0x1.333f6a169af69p-8, -0x1.2be0d1ba0be63p-8, -0x1.24ac780ddab22p-8, -0x1.1da17a93b563p-8, -0x1.16befb1c80257p-8, -0x1.10041fcb436b5p-8, -0x1.0970130e2fb5dp-8, -0x1.030203809518ap-8, -0x1.f97247aa05ff5p-9, -0x1.ed2955a0cf1f5p-9, -0x1.e127a63f2779ep-9, -0x1.d56bb6cfbed5fp-9, -0x1.c9f40c34472c4p-9, -0x1.bebf32e74e17cp-9, -0x1.b3cbbe955a19p-9, -0x1.a9184a5441c84p-9, -0x1.9ea37856b610fp-9, -0x1.946bf19334f8ap-9, -0x1.8a7065d0c6caap-9, -0x1.80af8b9c274ffp-9, -0x1.77282006d946ap-9, -0x1.6dd8e6aebd1f5p-9, -0x1.64c0a98574679p-9, -0x1.5bde38e81f65ep-9, -0x1.53306b5273ec9p-9, -0x1.4ab61d31bb746p-9, -0x1.426e30dc7e183p-9, -0x1.3a578e772a4c5p-9, -0x1.327123a6e9d49p-9, -0x1.2ab9e37fc06bcp-9, -0x1.2330c6a60a9ddp-9, -0x1.1bd4cb035ff99p-9, -0x1.14a4f3d0ab012p-9, -0x1.0da049988b66fp-9, -0x1.06c5da141c287p-9, -0x1.0014b8052942bp-9, -0x1.f317f61dab69bp-10, -0x1.e6557f14edf96p-10, -0x1.d9e04cc212463p-10, -0x1.cdb6a9dc92052p-10, -0x1.c1d6e9ddc9e47p-10, -0x1.b63f68f582534p-10, -0x1.aaee8c0f52bb8p-10, -0x1.9fe2c0d8e289cp-10, -0x1.951a7dba1e14bp-10, -0x1.8a9441b3b3422p-10, -0x1.804e941f6dc0fp-10, -0x1.76480453af3a8p-10, -0x1.6c7f2939c2334p-10, -0x1.62f2a0f4f3198p-10, -0x1.59a1108cb2341p-10, -0x1.508923d04f792p-10, -0x1.47a98d584a136p-10, -0x1.3f0106a07edd2p-10, -0x1.368e503782f0cp-10, -0x1.2e5031dfe5b7p-10, -0x1.26457a9a51d98p-10, -0x1.1e6d008c02089p-10, -0x1.16c5a09656fep-10, -0x1.0f4e3dd7ae583p-10, -0x1.0805c16470b5ep-10, -0x1.00eb19ac83accp-10, -0x1.f3fa745adbf68p-11, -0x1.e67636ec9a228p-11, -0x1.d947767b3776dp-11, -0x1.cc6c3936cd0acp-11, -0x1.bfe290439513ep-11, -0x1.b3a8988a4ae8bp-11, -0x1.a7bc7b61493b5p-11, -0x1.9c1c6d709a007p-11, -0x1.90c6ae72b103ap-11, -0x1.85b9887e9a4ccp-11, -0x1.7af34f094d50bp-11, -0x1.70725df800a2dp-11, -0x1.663518edfa58fp-11, -0x1.5c39eadfa1c15p-11, -0x1.527f463443d1fp-11, -0x1.4903a51b7767dp-11, -0x1.3fc58a4d082bfp-11, -0x1.36c3817d888d5p-11, -0x1.2dfc1fdae0d0ap-11, -0x1.256e03d7ee0c3p-11, -0x1.1d17d4dac587ap-11, -0x1.14f842993f167p-11, -0x1.0d0e047db667ap-11, -0x1.0557d91a80e3ap-11, -0x1.fba90b5541e6dp-12, -0x1.ed05ab37d2791p-12, -0x1.dec3345afc427p-12, -0x1.d0df5456e1507p-12, -0x1.c357c57e8b5c6p-12, -0x1.b62a4e6f4571dp-12, -0x1.a954bf84edf06p-12, -0x1.9cd4ff71c1ee9p-12, -0x1.90a8fb96c55ccp-12, -0x1.84ceb0f9502a7p-12, -0x1.794427845c6d9p-12, -0x1.6e0771ba40f8bp-12, -0x1.6316aca7f6ffdp-12, -0x1.58700075a5ec4p-12, -0x1.4e11a0e32be46p-12, -0x1.43f9cd10f368cp-12, -0x1.3a26ce956ebdcp-12, -0x1.3096f86b910dap-12, -0x1.2748a66de7f6ep-12, -0x1.1e3a3d9e6d7e8p-12, -0x1.156a2ce23b37ep-12, -0x1.0cd6ed51dbe6fp-12, -0x1.047f0181c2594p-12, -0x1.f8c1e7af3d634p-13, -0x1.e8f6a9a712082p-13, -0x1.d99974c7157ep-13, -0x1.caa781a04954ep-13, -0x1.bc1e198b73fdcp-13, -0x1.adfa9a87ff56bp-13, -0x1.a03a78a64a1a8p-13, -0x1.92db3c7f1c5b5p-13, -0x1.85da801ddee8ap-13, -0x1.7935ec81e404dp-13, -0x1.6ceb38edad223p-13, -0x1.60f82b9ba7119p-13, -0x1.555a9991d23c2p-13, -0x1.4a10646a81deap-13, -0x1.3f177916d6919p-13, -0x1.346dca14e4c64p-13, -0x1.2a114c9798e5cp-13, -0x1.1ffffa40784d8p-13, -0x1.1637d5424cbb4p-13, -0x1.0cb6eda055567p-13, -0x1.037b64be49665p-13, -0x1.f506dbb73a159p-14, -0x1.e39a9704ad24p-14, -0x1.d2ae993403017p-14, -0x1.c23f9924e5a51p-14, -0x1.b24a6b8d5724dp-14, -0x1.a2cc060ccc80ep-14, -0x1.93c17d3f49399p-14, -0x1.8527f463d8b05p-14, -0x1.76fc9251c1cap-14, -0x1.693c7cab17cbp-14, -0x1.5be4db3a19596p-14, -0x1.4ef2e2113b614p-14, -0x1.4263d67f8db6ap-14, -0x1.36350e11e89f8p-14, -0x1.2a63eafae3ef4p-14, -0x1.1eedd9a1e217p-14, -0x1.13d05070f951cp-14, -0x1.0908d1c363d46p-14, -0x1.fd29e670bab3fp-15, -0x1.e8e4d43f69d21p-15, -0x1.d53e30ec92372p-15, -0x1.c2321ae2bfbe9p-15, -0x1.afbce923e4ba1p-15, -0x1.9ddaf3a479629p-15, -0x1.8c886c415d9e2p-15, -0x1.7bc163b7d5fcep-15, -0x1.6b81f2ee634ecp-15, -0x1.5bc664379d32ap-15, -0x1.4c8b3bfd0bc75p-15, -0x1.3dcd22961aad5p-15, -0x1.2f88b8cbb3b0ep-15, -0x1.21ba8de371bedp-15, -0x1.145f1794ea91cp-15, -0x1.0772c90c90b3p-15, -0x1.f5e44e8431cfbp-16, -0x1.ddb3bad1bdb93p-16, -0x1.c64db4d36b8ap-16, -0x1.afacd73f68f09p-16, -0x1.99cc6b5678946p-16, -0x1.84a7fd30da38dp-16, -0x1.703adb25b52b6p-16, -0x1.5c7fe73dddd21p-16, -0x1.4971d67c8f76p-16, -0x1.370b9acc8e5c8p-16, -0x1.25489d5855c8ap-16, -0x1.1424adb906dc5p-16, -0x1.039bc6555a7eap-16, -0x1.e75397e04becap-17, -0x1.c894c43c8006fp-17, -0x1.aaf1cbb3410dcp-17, -0x1.8e613f81d6498p-17, -0x1.72d9efadc846bp-17, -0x1.585316b4fb838p-17, -0x1.3ec4863d81dap-17, -0x1.2626d5f06d59dp-17, -0x1.0e7372d7a1e7ep-17, -0x1.ef488b632e6e6p-18, -0x1.c3663a8c87004p-18, -0x1.9932e2f7492fap-18, -0x1.70a16ffaea737p-18, -0x1.49a5ab8f079adp-18, -0x1.24344b9a431d4p-18, -0x1.0042719312c7dp-18, -0x1.bb8b007a9c6fdp-19, -0x1.796673790dd57p-19, -0x1.3a02f58a38c0fp-19, -0x1.fa967f0da1affp-20, -0x1.86511ebaddee1p-20, -0x1.17075132b8e4bp-20, -0x1.591a4c5cf19cbp-21, -0x1.1aecba312ce89p-22, 0x1.a929f06f83fe4p-24, 0x1.ddfdc601f8edcp-22, 0x1.a05dbf15ea1ebp-21, 0x1.24c4eddc4457dp-20, 0x1.756659cb996e1p-20, 0x1.c2377492411d7p-20, 0x1.05ac1e79cc4bbp-19, 0x1.287135ee8b1a5p-19, 0x1.4976af2c02191p-19, 0x1.68c99019c46ecp-19, 0x1.86782c13bf01cp-19, 0x1.a29075fd03bd4p-19, 0x1.bd1f33042cc43p-19, 0x1.d63081a20f32p-19, 0x1.edd0ba54bf865p-19, 0x1.020666598efap-18, 0x1.0c7917c046797p-18, 0x1.1646ba30955d5p-18, 0x1.1f74a0c5cba58p-18, 0x1.28074b8c5db16p-18, 0x1.300342d6cc034p-18, 0x1.376ddb59e320dp-18, 0x1.3e4d01e0b0881p-18, 0x1.44a6ae723e377p-18, 0x1.4a808ae78e5d2p-18, 0x1.4fdf465e8c72ep-18, 0x1.54c660cd65e49p-18, 0x1.5939485461f62p-18, 0x1.5d3c218fe2ff6p-18, 0x1.60d3401e2262fp-18, 0x1.6402ae9bdf718p-18, 0x1.66ce50c9095bap-18, 0x1.6939d906db234p-18, 0x1.6b48ac7e96ff1p-18, 0x1.6cfe10d1dee62p-18, 0x1.6e5d6914605c2p-18, 0x1.6f6a4b41e5f54p-18, 0x1.702838a59bb82p-18, 0x1.709a2993e66e5p-18, 0x1.70c29bed32673p-18, 0x1.70a3ff6fea5ep-18, 0x1.70414ad0a1947p-18, 0x1.6f9dee1e7b2fap-18, 0x1.6ebd31ca3429ap-18, 0x1.6da1eeae17455p-18, 0x1.6c4e647872c98p-18, 0x1.6ac43f1bffdf9p-18, 0x1.690594b61100cp-18, 0x1.67153a0fd983dp-18, 0x1.64f5ca602d36cp-18, 0x1.62a971142763cp-18, 0x1.603266123f13ep-18, 0x1.5d92ce1f14ca3p-18, 0x1.5acc7d936d279p-18, 0x1.57e11a14ea36dp-18, 0x1.54d24e713bb2fp-18, 0x1.51a1d01f5767dp-18, 0x1.4e515e24c4911p-18, 0x1.4ae2bf8ff481fp-18, 0x1.4757a43a74cc4p-18, 0x1.43b188c6d5acfp-18, 0x1.3ff1c62576c89p-18, 0x1.3c19ce882f3d8p-18, 0x1.382b5bbffd8f1p-18, 0x1.3428001dcc6a6p-18, 0x1.30110c8c43123p-18, 0x1.2be7895c1a662p-18, 0x1.27ac8ae19c116p-18, 0x1.2361394b9824p-18, 0x1.1f06f2b55f8bbp-18, 0x1.1a9ebd2504b82p-18, 0x1.16298a8afb5b2p-18, 0x1.11a8a60022e08p-18, 0x1.0d1d709264d2p-18, 0x1.0889108db95d2p-18, 0x1.03ec458461a14p-18, 0x1.fe8f5bc3ad75fp-19, 0x1.f53846c541ee1p-19, 0x1.ebd51e431fb5bp-19, 0x1.e267675c9e0dap-19, 0x1.d8f0a63919795p-19, 0x1.cf7283842ba0dp-19, 0x1.c5ee9aecbd819p-19, 0x1.bc665389c8e2bp-19, 0x1.b2daeab93ff6dp-19, 0x1.a94db120cdd6bp-19, 0x1.9fc01d1c67427p-19, 0x1.96333f7331eb7p-19, 0x1.8ca7f4ba05b3ep-19, 0x1.831f90fc6beaep-19, 0x1.799b3595bef12p-19, 0x1.701be925ccc3bp-19, 0x1.66a23f30a0f5ap-19, 0x1.5d2f26b1d21ddp-19, 0x1.53c5517c11d43p-19, 0x1.4a67455dcc104p-19, 0x1.41105f27673bap-19, 0x1.37c1ab60a019p-19, 0x1.2e816ed543687p-19, 0x1.2549ad2847c26p-19, 0x1.1c1d8bf10c5cbp-19, 0x1.1302059e11265p-19, 0x1.09f56f53d7891p-19, 0x1.00f7064d07f34p-19, 0x1.f00eaccae3dcdp-20, 0x1.de4e2ba102895p-20, 0x1.ccae3507bc3d5p-20, 0x1.bb3004af22818p-20, 0x1.a9d45c9f8b184p-20, 0x1.989c0d35116a1p-20, 0x1.8787f9c7d247dp-20, 0x1.7698cd5091617p-20, 0x1.65cf9c6e5bbebp-20, 0x1.552ddbd52aa26p-20, 0x1.44b4255ba47edp-20, 0x1.34623560fb2f8p-20, 0x1.24384d84d5832p-20, 0x1.14373bc4dba09p-20, 0x1.045f6d92fcc41p-20, 0x1.e9632f37f5c67p-21, 0x1.ca5daa7204833p-21, 0x1.abaf8d4039834p-21, 0x1.8d592167bb534p-21, 0x1.6f5aabe843463p-21, 0x1.51b4c3bcff378p-21, 0x1.34681781bcd7p-21, 0x1.177532236b572p-21, 0x1.f5b922e1b49cap-22, 0x1.bd3cf1696f46ep-22, 0x1.8576d8f7e24abp-22, 0x1.4e681668ac268p-22, 0x1.181192f818672p-22, 0x1.c4e7909e51bd9p-23, 0x1.5b1dacaf5771p-23, 0x1.e58b7af39849bp-24, 0x1.17c0c45a9fe59p-24, 0x1.336fdf0c7558ep-26, -0x1.ec85c71f267edp-26, -0x1.40349b1fa4819p-24, -0x1.012f7f011da5bp-23, -0x1.60d0ad1759b79p-23, -0x1.befd8045c1d39p-23, -0x1.0ddb2c1d3632bp-22, -0x1.3b7de1edfe07cp-22, -0x1.686731134359dp-22, -0x1.949772592590fp-22, -0x1.c00f087b17bffp-22, -0x1.eace636faddc6p-22, -0x1.0a6b023a14d59p-21, -0x1.1f133f34b624ap-21, -0x1.3360474c29e5bp-21, -0x1.475299d59800cp-21, -0x1.5aea5a2dfc4ccp-21, -0x1.6e230e90f390dp-21, -0x1.8113884c8bd05p-21, -0x1.93924e539f7cfp-21, -0x1.a5c59b2a82aecp-21, -0x1.b7a081e22b8afp-21, -0x1.c9215ea5d37cep-21, -0x1.da4ad4f13d1c6p-21, -0x1.eb1d6dd1f1e1dp-21, -0x1.fb99a00afb92fp-21, -0x1.05dff77307103p-20, -0x1.0dc8752d40a16p-20, -0x1.15868a3ecbedep-20, -0x1.1d1a8745665f1p-20, -0x1.2484b48279f5ap-20, -0x1.2bc55ee935304p-20, -0x1.32dcd8c2ae6bdp-20, -0x1.39cb78a89d265p-20, -0x1.4091996d05e92p-20, -0x1.472f91402a3bbp-20, -0x1.4da59d2026687p-20, -0x1.53f3e74fe2b52p-20, -0x1.5a1acfa203d0fp-20, -0x1.601ada7807d85p-20, -0x1.65f44137fafc8p-20, -0x1.6ba73f238e159p-20, -0x1.71344d09a733dp-20, -0x1.769bdf6c29126p-20, -0x1.7bde4fe973024p-20, -0x1.80fbed13635e1p-20, -0x1.85f5096b3f34fp-20, -0x1.8ac9fbb2f4745p-20, -0x1.8f7b1b6da7ad2p-20, -0x1.9408c1e92d573p-20, -0x1.987349223b02bp-20, -0x1.9cbb0b73dc7fp-20, -0x1.a0e063a9b37ddp-20, -0x1.a4e3ad074b614p-20, -0x1.a8c5433efbb7fp-20, -0x1.ac85828bc3297p-20, -0x1.b024c7709a5b4p-20, -0x1.b3a36eda893fep-20, -0x1.b701d655c6f3dp-20, -0x1.ba405b8b924eep-20, -0x1.bd5f5bfb19df8p-20, -0x1.c05f34e0d5fa1p-20, -0x1.c34042e7711dcp-20, -0x1.c602e20e0417p-20, -0x1.c8a76e34d9b68p-20, -0x1.cb2e44c1f0408p-20, -0x1.cd97c5d506686p-20, -0x1.cfe45202560bp-20, -0x1.d2144548013b2p-20, -0x1.d427f573dc66bp-20, -0x1.d61fb653dd3adp-20, -0x1.d7fbdf5d09dfbp-20, -0x1.d9bcd063273fap-20, -0x1.db62d380634abp-20, -0x1.dcee449fbd502p-20, -0x1.de5fa4d1a6975p-20, -0x1.dfb792d8be6bbp-20, -0x1.e0f71dfc21ff2p-20, -0x1.e21e93ce17eafp-20, -0x1.e32699b450d2cp-20, -0x1.e414306c4f7c9p-20, -0x1.e4f1102e97c65p-20, -0x1.e5b526865d174p-20, -0x1.e6692aa937cd7p-20, -0x1.e6fc83f88001dp-20, -0x1.e778877b75265p-20, -0x1.e7df943eac34dp-20, -0x1.e8312a87020ep-20, -0x1.e86d1eb8feb45p-20, -0x1.e89373b33cf25p-20, -0x1.e8a5569ec61dp-20, -0x1.e8a1bf0a4c851p-20, -0x1.e88a533274884p-20, -0x1.e85e8f241d88bp-20, -0x1.e81efe8ffb4c2p-20, -0x1.e7cbf1d4dc8a3p-20, -0x1.e7659229efceep-20, -0x1.e6eca54c4faeap-20, -0x1.e6615672a08bbp-20, -0x1.e5c3ac67e40ccp-20, -0x1.e5141cc3b1866p-20, -0x1.e452fde5f7538p-20, -0x1.e3809db7fb09bp-20, -0x1.e29d49773934fp-20, -0x1.e1a94ddf4af85p-20, -0x1.e0a4f79d1d3f3p-20, -0x1.df9093c48d486p-20, }}, 
      {{-0x1.90d407eef7cd8p-8, -0x1.80f86dbf21a7p-6, -0x1.987ecbfae9552p-5, -0x1.5227837d96172p-4, -0x1.e78401d2e1eabp-4, -0x1.4198ef7c0189cp-3, -0x1.8ed4607175a2bp-3, -0x1.d882569fbfb3bp-3, -0x1.0e3b3ae08e555p-2, -0x1.2c99c487fd76fp-2, -0x1.46e83f1e97b04p-2, -0x1.5cee5d8789e7bp-2, -0x1.6ea303ceeeffp-2, -0x1.7c209d2fb7fb3p-2, -0x1.859b30e297fe8p-2, -0x1.8b584eb54c5f9p-2, -0x1.8da8ac508dc76p-2, -0x1.8ce33188342c4p-2, -0x1.896130b7e0476p-2, -0x1.837b8fe92f773p-2, -0x1.7b88b1cffa105p-2, -0x1.71daf71c7707cp-2, -0x1.66bfb8a3163dfp-2, -0x1.5a7ea13f03f14p-2, -0x1.4d5952ebcc402p-2, -0x1.3f8b4666800a8p-2, -0x1.3149d760b85aap-2, -0x1.22c471e077374p-2, -0x1.1424d767cc087p-2, -0x1.058f742d26244p-2, -0x1.ee477d77917c8p-3, -0x1.d1f93957070eep-3, -0x1.b66192bb14872p-3, -0x1.9ba676b46e6b5p-3, -0x1.81e70d292de04p-3, -0x1.693c731559903p-3, -0x1.51ba6865155b3p-3, -0x1.3b6ff09ff8193p-3, -0x1.2667e58c33421p-3, -0x1.12a97ca3b584dp-3, -0x1.0038bf2dd93abp-3, -0x1.de2ded993a5ecp-4, -0x1.be861c2ae4923p-4, -0x1.a173cecd19d89p-4, -0x1.86ed54b5232f3p-4, -0x1.6ee6107c0aa18p-4, -0x1.594ef262a8032p-4, -0x1.4616e3c99f252p-4, -0x1.352b25d6bab79p-4, -0x1.2677a50a2fd67p-4, -0x1.19e742a0c51a7p-4, -0x1.0f6414c28155dp-4, -0x1.06d79efb57576p-4, -0x1.002b037e9c6f7p-4, -0x1.f68e5c998c07ep-5, -0x1.f029f535f4674p-5, -0x1.ecfaa7158fb31p-5, -0x1.ecd2a0e9268ap-5, -0x1.ef849aa35162bp-5, -0x1.f4e3ffd53e218p-5, -0x1.fcc513a07ae58p-5, -0x1.037e87bf2022cp-4, -0x1.09b11ecc486acp-4, -0x1.10e606f726078p-4, -0x1.1909946608246p-4, -0x1.2208be3afbc2dp-4, -0x1.2bd12506351a6p-4, -0x1.365115ed9d776p-4, -0x1.41778ea3c8c8p-4, -0x1.4d343f0ef37f8p-4, -0x1.5977897fe5d0fp-4, -0x1.663284262a878p-4, -0x1.7356f5f6166d3p-4, -0x1.80d75760dd01fp-4, -0x1.8ea6ce6e51878p-4, -0x1.9cb92c56c3bf9p-4, -0x1.ab02eae867abcp-4, -0x1.b9792751afb64p-4, -0x1.c811a0158c70cp-4, -0x1.d6c2ae8c07b0ap-4, -0x1.e5834409c408cp-4, -0x1.f44ae44109353p-4, -0x1.0188cff11724p-3, -0x1.08e808748068ap-3, -0x1.103faa3d0541ep-3, -0x1.178c830279bddp-3, -0x1.1ecb9d43520e6p-3, -0x1.25fa3d939068bp-3, -0x1.2d15e04a2bbffp-3, -0x1.341c36daaa976p-3, -0x1.3b0b258e09ca6p-3, -0x1.41e0c118a1df9p-3, -0x1.489b4c3324e29p-3, -0x1.4f39355b412cbp-3, -0x1.55b9148a9c79ap-3, -0x1.5c19a8eac1037p-3, -0x1.6259d6cbe6ef9p-3, -0x1.6878a56c0aff7p-3, -0x1.6e753cd85d38p-3, -0x1.744ee40f35b7ep-3, -0x1.7a04fedb64c9bp-3, -0x1.7f970c0f7df75p-3, -0x1.8504a3ad4c406p-3, -0x1.8a4d74f48135fp-3, -0x1.8f7144f16a54dp-3, -0x1.946feca04f606p-3, -0x1.994957a8cd61dp-3, -0x1.9dfd826bac8p-3, -0x1.a28c79371e49cp-3, -0x1.a6f65651ac48fp-3, -0x1.ab3b4114dfd94p-3, -0x1.af5b6ccae5e4bp-3, -0x1.b3571725adb8cp-3, -0x1.b72e8794e0aep-3, -0x1.bae20e42e75d9p-3, -0x1.be7202d02dc0ap-3, -0x1.c1dec3cb55833p-3, -0x1.c528b5baac4ap-3, -0x1.c8504282c82dbp-3, -0x1.cb55d86461cdbp-3, -0x1.ce39e9b70cc04p-3, -0x1.d0fcec0141261p-3, -0x1.d39f57a3b67dp-3, -0x1.d621a7450ee4cp-3, -0x1.d8845735b84fcp-3, -0x1.dac7e545cb9fap-3, -0x1.dcecd034391ccp-3, -0x1.def39768078c3p-3, -0x1.e0dcbaa12d81cp-3, -0x1.e2a8b98530f93p-3, -0x1.e45813a954bd7p-3, -0x1.e5eb4814dcdd8p-3, -0x1.e762d52567941p-3, -0x1.e8bf3869b0f3ep-3, -0x1.ea00ee743c76p-3, -0x1.eb287290ce3fep-3, -0x1.ec363ee74260bp-3, -0x1.ed2acc39f5f45p-3, -0x1.ee0691bdca3ecp-3, -0x1.eeca053a79cc1p-3, -0x1.ef759ac5f8003p-3, -0x1.f009c4e5b1f31p-3, -0x1.f086f45b0edb1p-3, -0x1.f0ed983879e5ep-3, -0x1.f13e1dced1b13p-3, -0x1.f178f0b917d7cp-3, -0x1.f19e7ac489803p-3, -0x1.f1af240520df6p-3, -0x1.f1ab52c2cd464p-3, -0x1.f1936ba76e10dp-3, -0x1.f167d182178d7p-3, -0x1.f128e5888244ep-3, -0x1.f0d7073c1129fp-3, -0x1.f0729474b899dp-3, -0x1.effbe98114269p-3, -0x1.ef736102d3feap-3, -0x1.eed954217e83fp-3, -0x1.ee2e1a7abc7b1p-3, -0x1.ed720a35b3e23p-3, -0x1.eca5780f98ac2p-3, -0x1.ebc8b7538c7ap-3, -0x1.eadc19fc01c4cp-3, -0x1.e9dff0b265a9bp-3, -0x1.e8d48ad1ef6fdp-3, -0x1.e7ba36737dd21p-3, -0x1.e691408b943a5p-3, -0x1.e559f4e455ae1p-3, -0x1.e4149e11988ffp-3, -0x1.e2c1859aa17a5p-3, -0x1.e160f3fd50e33p-3, -0x1.dff330b63c591p-3, -0x1.de78823cc4a32p-3, -0x1.dcf12e0a6ad75p-3, -0x1.db5d78b628488p-3, -0x1.d9bda5ef10937p-3, -0x1.d811f89a55e33p-3, -0x1.d65ab2b252d94p-3, -0x1.d4981557c4ea6p-3, -0x1.d2ca60ed9a2acp-3, -0x1.d0f1d524e6583p-3, -0x1.cf0eb0eeefa3ep-3, -0x1.cd2132812cccep-3, -0x1.cb29974651f2bp-3, -0x1.c9281c11e546bp-3, -0x1.c71cfd263a727p-3, -0x1.c5087621368aap-3, -0x1.c2eac1ef7b987p-3, -0x1.c0c41ad769fd8p-3, -0x1.be94ba96ccc1cp-3, -0x1.bc5cda6d67bcdp-3, -0x1.ba1cb3180cdd3p-3, -0x1.b7d47cb35c0bp-3, -0x1.b5846ebbcdb66p-3, -0x1.b32cc035beaffp-3, -0x1.b0cda7b75d59ep-3, -0x1.ae675b658cbadp-3, -0x1.abfa10dd13e2ep-3, -0x1.a985fd272f75ap-3, -0x1.a70b54cb25bf4p-3, -0x1.a48a4be9aaf2ep-3, -0x1.a2031641963b8p-3, -0x1.9f75e7272daf1p-3, -0x1.9ce2f16399c46p-3, -0x1.9a4a67376e79fp-3, -0x1.97ac7a74963abp-3, -0x1.95095c8e4eb04p-3, -0x1.92613e9c2fb2bp-3, -0x1.8fb4514695827p-3, -0x1.8d02c4b35cd06p-3, -0x1.8a4cc8871315ep-3, -0x1.87928bf87f29p-3, -0x1.84d43de32d5e6p-3, -0x1.82120cc71a364p-3, -0x1.7f4c26b925404p-3, -0x1.7c82b951cfb54p-3, -0x1.79b5f1a37fa7cp-3, -0x1.76e5fc53210d5p-3, -0x1.741305a4adaeap-3, -0x1.713d39802ebe5p-3, -0x1.6e64c3661c4p-3, -0x1.6b89ce5da15e6p-3, -0x1.68ac84ec4135ap-3, -0x1.65cd111d06f7ep-3, -0x1.62eb9c9021fdcp-3, -0x1.60085084f9ab6p-3, -0x1.5d2355d6939bbp-3, -0x1.5a3cd4ed31952p-3, -0x1.5754f5b1914eap-3, -0x1.546bdf8c84a47p-3, -0x1.5181b96a2482ap-3, -0x1.4e96a9cb4efc6p-3, -0x1.4baad6c9bee99p-3, -0x1.48be66124546bp-3, -0x1.45d17cd985d99p-3, -0x1.42e43fd1ecf8dp-3, -0x1.3ff6d329e2a1ep-3, -0x1.3d095a9287631p-3, -0x1.3a1bf94955e6ap-3, -0x1.372ed21d023c6p-3, -0x1.3442076a525e4p-3, -0x1.3155bb135344cp-3, -0x1.2e6a0e76b12abp-3, -0x1.2b7f226c4fdbbp-3, -0x1.28951748bf976p-3, -0x1.25ac0ce5fbac5p-3, -0x1.22c422a63d81fp-3, -0x1.1fdd7775b000dp-3, -0x1.1cf829c5cc198p-3, -0x1.1a14578528a8ap-3, -0x1.17321e1ae5f24p-3, -0x1.14519a668df71p-3, -0x1.1172e8c433fc6p-3, -0x1.0e962511bd635p-3, -0x1.0bbb6ab20a04cp-3, -0x1.08e2d48c2e48p-3, -0x1.060c7d074e53ep-3, -0x1.03387e057f706p-3, -0x1.0066f0e0bcb14p-3, -0x1.fb2fdcd67c15ap-4, -0x1.f5971de52374ap-4, -0x1.f003d4872f7bp-4, -0x1.ea762f59d3195p-4, -0x1.e4ee5bfe9aaa4p-4, -0x1.df6c8716c6b75p-4, -0x1.d9f0dc3a1da7fp-4, -0x1.d47b85f50473ep-4, -0x1.cf0cadc6ba846p-4, -0x1.c9a47c25285p-4, -0x1.c443188392974p-4, -0x1.bee8a9578b459p-4, -0x1.b995541b6e47ap-4, -0x1.b4493d4d64378p-4, -0x1.af04886bd69acp-4, -0x1.a9c757f18a68ap-4, -0x1.a491cd5410b21p-4, -0x1.9f6409057928dp-4, -0x1.9a3e2a789151cp-4, -0x1.9520502601e7fp-4, -0x1.900a97907ec0dp-4, -0x1.8afd1d471a781p-4, -0x1.85f7fce550d0ep-4, -0x1.80fb51114adc2p-4, -0x1.7c073379bc8e7p-4, -0x1.771bbcd5beed7p-4, -0x1.723904e7073cp-4, -0x1.6d5f227d1091cp-4, -0x1.688e2b7ad8a08p-4, -0x1.63c634db37e23p-4, -0x1.5f0752b41ff24p-4, -0x1.5a51983859847p-4, -0x1.55a517b7445b4p-4, -0x1.5101e29b82858p-4, -0x1.4c68096a22183p-4, -0x1.47d79bc3aff93p-4, -0x1.4350a867b3441p-4, -0x1.3ed33d39fffb7p-4, -0x1.3a5f6748d435ep-4, -0x1.35f532d2a3d79p-4, -0x1.3194ab4a53b92p-4, -0x1.2d3ddb58fac84p-4, -0x1.28f0ccdcee8ep-4, -0x1.24ad88e726ae2p-4, -0x1.207417b8e399dp-4, -0x1.1c4480c3acfa9p-4, -0x1.181ecaacf7aa2p-4, -0x1.1402fb5566339p-4, -0x1.0ff117e2cc2e8p-4, -0x1.0be924ca454efp-4, -0x1.07eb25d8c723dp-4, -0x1.03f71e36177d9p-4, -0x1.000d106338b02p-4, -0x1.f859fc65e67a8p-5, -0x1.f0add181636f9p-5, -0x1.e915a0d36fc61p-5, -0x1.e1916999567efp-5, -0x1.da2129a342bf7p-5, -0x1.d2c4dd744d29fp-5, -0x1.cb7c806c4065cp-5, -0x1.c4480cefdcbcap-5, -0x1.bd277c839e047p-5, -0x1.b61ac7cf03d3fp-5, -0x1.af21e6857b3cbp-5, -0x1.a83ccf3af51b9p-5, -0x1.a16b773208265p-5, -0x1.9aadd236659b1p-5, -0x1.9403d29466d1fp-5, -0x1.8d6d6935d4d88p-5, -0x1.86ea85e22a8b8p-5, -0x1.807b179622cb9p-5, -0x1.7a1f0cd963f67p-5, -0x1.73d653f66c124p-5, -0x1.6da0db02f41b1p-5, -0x1.677e8fb158dc5p-5, -0x1.616f5ef262ff6p-5, -0x1.5b733481c01e7p-5, -0x1.5589fa818886fp-5, -0x1.4fb39948089d8p-5, -0x1.49eff777da186p-5, -0x1.443efa655a81fp-5, -0x1.3ea086b5ce80dp-5, -0x1.3914811076cb9p-5, -0x1.339aceafee515p-5, -0x1.2e3355a6246a6p-5, -0x1.28ddfcb771448p-5, -0x1.239aaacd5ac6fp-5, -0x1.1e694620a70a7p-5, -0x1.1949b352ffd2cp-5, -0x1.143bd4bb09dccp-5, -0x1.0f3f8a1dafea9p-5, -0x1.0a54b0f596c46p-5, -0x1.057b2543f9811p-5, -0x1.00b2c2bea1cfap-5, -0x1.f7f6cc215a3f6p-6, -0x1.eea9dbb1c1eb2p-6, -0x1.e57e763469debp-6, -0x1.dc7461e1a0635p-6, -0x1.d38b6734665f5p-6, -0x1.cac34df3084f8p-6, -0x1.c21bd9fa93d5dp-6, -0x1.b994c8a355ac9p-6, -0x1.b12dcf76faef1p-6, -0x1.a8e69cb514774p-6, -0x1.a0bed9a594297p-6, -0x1.98b62e41ec30ap-6, -0x1.90cc455c6de3p-6, -0x1.8900d03e6e76ep-6, -0x1.815388c932028p-6, -0x1.79c43178fd808p-6, -0x1.7252932a2d0aep-6, -0x1.6afe790ec77e5p-6, -0x1.63c7abbc80ab9p-6, -0x1.5cadec8004ae9p-6, -0x1.55b0f220e3fa1p-6, -0x1.4ed067f6defdep-6, -0x1.480befacd6135p-6, -0x1.4163256abf41ep-6, -0x1.3ad5a584b0dc9p-6, -0x1.34631261aa32bp-6, -0x1.2e0b192f76f59p-6, -0x1.27cd74385f9c6p-6, -0x1.21a9ea3c42e55p-6, -0x1.1ba04ae527218p-6, -0x1.15b0691a5e517p-6, -0x1.0fda1473aa114p-6, -0x1.0a1d1339baa46p-6, -0x1.04791e4b019f7p-6, -0x1.fddbbfb1d298cp-7, -0x1.f2f5eacda419ap-7, -0x1.e83fe983e4199p-7, -0x1.ddb8e5e7852e7p-7, -0x1.d360173f156bp-7, -0x1.c934ce0ed85bep-7, -0x1.bf367a83ebadap-7, -0x1.b564abd53630ep-7, -0x1.abbf090ff9b89p-7, -0x1.a24545506e334p-7, -0x1.98f7121fc0af8p-7, -0x1.8fd4129b44135p-7, -0x1.86dbd185944dp-7, -0x1.7e0dbbdfd7654p-7, -0x1.7569213368518p-7, -0x1.6ced3a20e8ccbp-7, -0x1.6499348f0c258p-7, -0x1.5c6c431ef6a78p-7, -0x1.5465abf4c2799p-7, -0x1.4c84d28b43798p-7, -0x1.44c939d326716p-7, -0x1.3d327ec9302fep-7, -0x1.35c04e6a7bfc1p-7, -0x1.2e725ae5d8906p-7, -0x1.274852b72cff4p-7, -0x1.2041da206701bp-7, -0x1.195e8601287eep-7, -0x1.129dd775f2c58p-7, -0x1.0bff396bebeb6p-7, -0x1.058202bb91eaep-7, -0x1.fe4afd6bec652p-8, -0x1.f1d1f638d728fp-8, -0x1.e597ada95251fp-8, -0x1.d99b15d77f598p-8, -0x1.cddb52e2120b7p-8, -0x1.c257a5cdcce48p-8, -0x1.b70f50f5a9c75p-8, -0x1.ac01862544de6p-8, -0x1.a12d676ce9df7p-8, -0x1.96921631eb6c7p-8, -0x1.8c2ec1b265104p-8, -0x1.8202a71b3c67bp-8, -0x1.780d0124897dcp-8, -0x1.6e4cf3296f4a2p-8, -0x1.64c1810386c7ap-8, -0x1.5b699d2d2516fp-8, -0x1.5244475da75b1p-8, -0x1.4950a9916118fp-8, -0x1.408e1fe16a937p-8, -0x1.37fc21b64deb6p-8, -0x1.2f9a145fd9ec7p-8, -0x1.27671f6baf49cp-8, -0x1.1f621f15ce166p-8, -0x1.1789c2502ead1p-8, -0x1.0fdcc6bff408bp-8, -0x1.085a2fde07ebap-8, -0x1.010157a2316c4p-8, -0x1.f3a3a0d7924d1p-9, -0x1.e5965ec567a5ep-9, -0x1.d7d9cc25c06cdp-9, -0x1.ca6c87ce7e3abp-9, -0x1.bd4d32d6e6bcfp-9, -0x1.b07ac2883394ep-9, -0x1.a3f4a3e849a39p-9, -0x1.97ba9349158bdp-9, -0x1.8bcc2eb708c6ep-9, -0x1.80286e42e2bcbp-9, -0x1.74cd46aa4416p-9, -0x1.69b7b54ee1533p-9, -0x1.5ee4450c94948p-9, -0x1.544fd5c78deb7p-9, -0x1.49f8415910fbcp-9, -0x1.3fdc855ab265p-9, -0x1.35fc617e16e4dp-9, -0x1.2c57b23495d06p-9, -0x1.22edf79b21f01p-9, -0x1.19be4c5dff164p-9, -0x1.10c7b7cc75ef6p-9, -0x1.08099238c8c9ep-9, -0x1.ff0774536b9f1p-10, -0x1.ee6cef7e2f986p-10, -0x1.de44240289f45p-10, -0x1.ce8c8bae32eb3p-10, -0x1.bf43be60fb4a6p-10, -0x1.b0653bbe52ac8p-10, -0x1.a1eae61147aa7p-10, -0x1.93ce1ad016d68p-10, -0x1.86090cb3d5917p-10, -0x1.7897cb3117edep-10, -0x1.6b788967880acp-10, -0x1.5eab186dfba64p-10, -0x1.522fe2ea23d72p-10, -0x1.4606f44eb969p-10, -0x1.3a2f829cb13f4p-10, -0x1.2ea8240900981p-10, -0x1.236f927c4c4fep-10, -0x1.1885729358e2p-10, -0x1.0dea5062b8abfp-10, -0x1.039eb9631a7f4p-10, -0x1.f344a9cdc9231p-11, -0x1.dfe7568aae55bp-11, -0x1.cd20c1705e328p-11, -0x1.baeac808d62a8p-11, -0x1.a93e0a3e595f9p-11, -0x1.981256e0b2886p-11, -0x1.875f4d7b17253p-11, -0x1.771d255e00b3ep-11, -0x1.67462bf9b1e1ep-11, -0x1.57d88d7de1b17p-11, -0x1.48d63c2c3cd24p-11, -0x1.3a42076d3b725p-11, -0x1.2c1c331ee3d5p-11, -0x1.1e620316fa016p-11, -0x1.1110915c3656dp-11, -0x1.042704ded6fadp-11, -0x1.ef4b19a9aec0fp-12, -0x1.d716c74f60f5ep-12, -0x1.bfacc2bf2e7e3p-12, -0x1.a907790f21263p-12, -0x1.9321b54fd6205p-12, -0x1.7df75daf1c4d2p-12, -0x1.6984e16132ee2p-12, -0x1.55c5d852257abp-12, -0x1.42b389ee737c3p-12, -0x1.3042f1ed7cef7p-12, -0x1.1e6480cdf42b1p-12, -0x1.0d0abd12bc95fp-12, -0x1.f86612d4f1f82p-13, -0x1.d7c75efa20519p-13, -0x1.b8413eef9b80ep-13, -0x1.99cd1f94197ebp-13, -0x1.7c630c76b5d0bp-13, -0x1.6002cbd644184p-13, -0x1.44aae8f88c38fp-13, -0x1.2a5293cba387cp-13, -0x1.10efdeaf222d1p-13, -0x1.f0f90514bf938p-14, -0x1.c1e64c920a234p-14, -0x1.9499b3d621344p-14, -0x1.6906d02a1853fp-14, -0x1.3f277c8d2b374p-14, -0x1.16f84f2f0f674p-14, -0x1.e0e6b98fda476p-15, -0x1.9719f5f7aa3bap-15, -0x1.5051a36768faep-15, -0x1.0c3903f31e847p-15, -0x1.95613bcde50cp-16, -0x1.17bccd9825aafp-16, -0x1.3ef013aeade64p-17, -0x1.5fa7b06ab95eep-19, 0x1.0c453605674fbp-18, 0x1.5a8805db3101ep-17, 0x1.12744612c7aebp-16, 0x1.72e92f3001a6p-16, 0x1.cf07d830d129dp-16, 0x1.1380e0f64a27fp-15, 0x1.3d67632e4b43fp-15, 0x1.6534a599290a9p-15, 0x1.8afcf876c10cp-15, 0x1.aede900f4c3ebp-15, 0x1.d0ec27feb5235p-15, 0x1.f12d75fd9ff38p-15, 0x1.07d60703da1a5p-14, 0x1.16388269a9bd9p-14, 0x1.23c2b4d90420dp-14, 0x1.3088ab4abc371p-14, 0x1.3c9c8b4ed5bf7p-14, 0x1.47e9dbc8e508dp-14, 0x1.52648b03c6f18p-14, 0x1.5c2be2a8ba565p-14, 0x1.655274024e026p-14, 0x1.6dd6003dcb8f5p-14, 0x1.75c0ce85e0e01p-14, 0x1.7d1acde2b583ap-14, 0x1.83e260cd4f1c5p-14, 0x1.8a1ca76b3c669p-14, 0x1.8fd38f953de57p-14, 0x1.950584b4b3be2p-14, 0x1.99abb302a2316p-14, 0x1.9dcb5f3d86ba8p-14, 0x1.a1727d2dcc56p-14, 0x1.a4ab2d6665707p-14, 0x1.a778f58e12aa3p-14, 0x1.a9de7d16e9db2p-14, 0x1.abe04007159adp-14, 0x1.ad7c75222cd15p-14, 0x1.aeaf5257aa7c7p-14, 0x1.af8986869c898p-14, 0x1.b013e0923017fp-14, 0x1.b048098b0d3bdp-14, 0x1.b032d895fb61fp-14, 0x1.afc9c05530316p-14, 0x1.aefd20681cd14p-14, 0x1.addbefc71cb6ap-14, 0x1.ac7e3f7be3845p-14, 0x1.aaf25e632055cp-14, 0x1.a93243468db02p-14, 0x1.a7334fca1b4bep-14, 0x1.a4fbf5926ab1dp-14, 0x1.a2935f0434925p-14, 0x1.9ff1f9fbf1f6fp-14, 0x1.9d15aa6bd5182p-14, 0x1.9a08456a51dc4p-14, 0x1.96d291b453817p-14, 0x1.93776ed71fdbep-14, 0x1.8ff71a1f6ea0ap-14, 0x1.8c53af49fb33dp-14, 0x1.888f3ef028d39p-14, 0x1.84a2912f893fbp-14, 0x1.808a9125442c8p-14, 0x1.7c594bf5e4298p-14, 0x1.781306cf923p-14, 0x1.73bb912c5684p-14, 0x1.6f489328691f2p-14, 0x1.6ab61b53dd517p-14, 0x1.660dbd23cb504p-14, 0x1.61519554c1aa1p-14, 0x1.5c7f8bf1d7736p-14, 0x1.57984f72e9181p-14, 0x1.52a41c68da531p-14, 0x1.4da7f0a1d6821p-14, 0x1.489eb73414931p-14, 0x1.438bf46728d5cp-14, 0x1.3e71c81e90043p-14, 0x1.39488e35a6244p-14, 0x1.34129a2422be2p-14, 0x1.2ed70e451666cp-14, 0x1.2998b913b4d7fp-14, 0x1.245777b170481p-14, 0x1.1f13032a860e1p-14, 0x1.19cc9d35a98a4p-14, 0x1.1484c293b5ae3p-14, 0x1.0f35ffe030e74p-14, 0x1.09e17857adc57p-14, 0x1.0493275f1d5fdp-14, 0x1.fe98224284b06p-15, 0x1.f406b1bb9e63ap-15, 0x1.e971fa632d8a5p-15, 0x1.dee69a9e62b91p-15, 0x1.d466182e05892p-15, 0x1.c9efed509268p-15, 0x1.bf847dc16d48bp-15, 0x1.b524613b127d1p-15, 0x1.aace3a16082d9p-15, 0x1.a07e18c8202d2p-15, 0x1.9638e2a731cadp-15, 0x1.8c07aaca2207ep-15, 0x1.81eb5302ecbaap-15, 0x1.77e465a64dd4p-15, 0x1.6de8354eef264p-15, 0x1.63fa0e74203a5p-15, 0x1.5a219439acd8ap-15, 0x1.505fdd717413cp-15, 0x1.46b3d21dc2bd2p-15, 0x1.3d1cbf73ed57p-15, 0x1.339b78bc021d5p-15, 0x1.2a316b3d87891p-15, 0x1.20da23fc10c1cp-15, 0x1.1796058a1de64p-15, 0x1.0e71bf1a185bfp-15, 0x1.056472d365e5p-15, 0x1.f8d5820496144p-16, 0x1.e716d4dd4958ap-16, 0x1.d58cbfda4762p-16, 0x1.c435d19e66ec7p-16, 0x1.b31203375a803p-16, 0x1.a221e8ddb0f1fp-16, 0x1.916651dc4fd38p-16, 0x1.80e0180ece229p-16, 0x1.70901d3ef9b71p-16, 0x1.6076cde7975dap-16, 0x1.509000f63c2b9p-16, 0x1.40d5966a462bap-16, 0x1.315312db3878p-16, 0x1.2210f8ace7b2ep-16, 0x1.1304f52c79e5p-16, 0x1.0427eafc18a28p-16, 0x1.eb055bbeb94b5p-17, 0x1.ce2dd784d72a6p-17, 0x1.b1c59ebd5b889p-17, 0x1.95c9c99f436f3p-17, 0x1.7a3a0743a9bedp-17, 0x1.5f19a7d3ac20ep-17, 0x1.4466231c695cdp-17, 0x1.2a17c572cbc66p-17, 0x1.103f78b847c57p-17, 0x1.ed97076237541p-18, 0x1.bb8739782b4f3p-18, 0x1.8a538682d3211p-18, 0x1.59f65f4e92edcp-18, 0x1.2a6da318911c2p-18, 0x1.f7709028c48cdp-19, 0x1.9baa8bf8aaafep-19, 0x1.4186dde6e40b6p-19, 0x1.d20649cd2a434p-20, 0x1.243abf751fe23p-20, 0x1.e69ee4ca463bap-22, -0x1.6db74fdd6810dp-23, -0x1.a3cb7b02f7857p-21, -0x1.72e6d6ccef9d2p-20, -0x1.0867adf35877p-19, -0x1.55ea9556755fp-19, -0x1.a1d45e5b319ep-19, -0x1.ec281f932e303p-19, -0x1.1a87dfb0cffdfp-18, -0x1.3e3973c5eb5bp-18, -0x1.6129a35938e1cp-18, -0x1.835d9b7bfa4a1p-18, -0x1.a4d8778a3c259p-18, -0x1.c59ae7fd99adp-18, -0x1.e5a3f103cdb3ep-18, -0x1.027cc92a5e2fep-17, -0x1.11cea0369c232p-17, -0x1.20c9875f637a6p-17, -0x1.2f6bef08c2b79p-17, -0x1.3db70d65ae9e3p-17, -0x1.4bac915365799p-17, -0x1.594d8706c31f5p-17, -0x1.669adff8e4da6p-17, -0x1.73958f7114a7dp-17, -0x1.803e8cba5680cp-17, -0x1.8c96d2e2eaa91p-17, -0x1.989f60549d1c3p-17, -0x1.a459354b59358p-17, -0x1.afc550587596fp-17, -0x1.bae4aaa62c475p-17, -0x1.c5b838c8ba9b8p-17, -0x1.d040f448f69ap-17, -0x1.da7fe5fe90767p-17, -0x1.e47608434d208p-17, -0x1.ee240441860c6p-17, -0x1.f78b580d7420bp-17, -0x1.0056bf74a762bp-16, -0x1.04c539f176a6fp-16, -0x1.09120d2882dc2p-16, -0x1.0d3d23ef744b5p-16, -0x1.11473ccb9fad1p-16, -0x1.1530e78151cd7p-16, -0x1.18fa8767598fap-16, -0x1.1ca485c1235ccp-16, -0x1.202f60e231143p-16, -0x1.239bf8ab85a8ep-16, -0x1.26ea71ecd474dp-16, -0x1.2a1b26864bd9cp-16, -0x1.2d2eaa2dafabdp-16, -0x1.3025776a07205p-16, -0x1.3300029b3c2c1p-16, -0x1.35bebe429f137p-16, -0x1.38621eb14d018p-16, -0x1.3aea94bf7499dp-16, -0x1.3d58928692f6ep-16, -0x1.3fac8851c5a17p-16, -0x1.41e6e5b1fd148p-16, -0x1.44081946b04dcp-16, -0x1.461090da182dfp-16, -0x1.4800b8a8f4562p-16, -0x1.49d8fbbbff0efp-16, -0x1.4b99c44aa499fp-16, -0x1.4d437c14db422p-16, -0x1.4ed68c762d55ap-16, -0x1.50535cf37161dp-16, -0x1.51ba5192e7c9ap-16, -0x1.530bd14ee2d74p-16, -0x1.54484f6400d07p-16, }}, 
      {{0x1.5bac16d445c33p-4, 0x1.22a889fdf99a7p-3, 0x1.4aad8a20178f7p-3, 0x1.27fc9693438acp-3, 0x1.8d7690eaf6579p-4, 0x1.b534f4d971172p-6, -0x1.e1a8132d13357p-5, -0x1.38445026a607bp-3, -0x1.fd14a38f9df76p-3, -0x1.5ec67239577e1p-2, -0x1.b95f7b923da97p-2, -0x1.05f51c299be2dp-1, -0x1.2a6e929153807p-1, -0x1.49b30ccc9a2d8p-1, -0x1.63a16d93c21f1p-1, -0x1.784f20ff23a43p-1, -0x1.87f9433a6f1dfp-1, -0x1.92f8535544ce6p-1, -0x1.99b642749b60bp-1, -0x1.9ca69c521abf8p-1, -0x1.9c40802d5cad7p-1, -0x1.98fa20f91a4aap-1, -0x1.9345876631d3ap-1, -0x1.8b8e57cc7ff59p-1, -0x1.823864e946adfp-1, -0x1.779ee125bccdfp-1, -0x1.6c14072cdae66p-1, -0x1.5fe11a732537cp-1, -0x1.5346a61df54e1p-1, -0x1.467ce676c28bp-1, -0x1.39b44df0f0841p-1, -0x1.2d1619ab5ed9ap-1, -0x1.20c4ed87c7e48p-1, -0x1.14dd714e8f168p-1, -0x1.0976ea6e45061p-1, -0x1.fd479e7960f48p-2, -0x1.e8e4a3d8f8868p-2, -0x1.d5d9c41ffc921p-2, -0x1.c43547fcbce18p-2, -0x1.b3ffbc7635073p-2, -0x1.a53cb9eb993bdp-2, -0x1.97eb990263658p-2, -0x1.8c081598b0794p-2, -0x1.818ae15808ccep-2, -0x1.786a270fd9027p-2, -0x1.7099ff9a4804dp-2, -0x1.6a0cd9eead53ep-2, -0x1.64b3d7410c4edp-2, -0x1.607f1bf9adbfap-2, -0x1.5d5e1704e8a06p-2, -0x1.5b3fbff7181ffp-2, -0x1.5a12ccead5eeap-2, -0x1.59c5e0f238c7fp-2, -0x1.5a47b4255f9fap-2, -0x1.5b873564fde7ap-2, -0x1.5d73a6f696757p-2, -0x1.5ffcb63ac958bp-2, -0x1.63128f220d3a3p-2, -0x1.66a5ebfb253eap-2, -0x1.6aa8219591a33p-2, -0x1.6f0b28e09365cp-2, -0x1.73c1a55896406p-2, -0x1.78bee9dbb1388p-2, -0x1.7df6faa1789d2p-2, -0x1.835e8ebbddb3ap-2, -0x1.88eb0e6e2469p-2, -0x1.8e9292384c548p-2, -0x1.944bdee6ca726p-2, -0x1.9a0e623043cd7p-2, -0x1.9fd22e4092f45p-2, -0x1.a58ff33aab877p-2, -0x1.ab40fbcfa2168p-2, -0x1.b0df2439832d1p-2, -0x1.b664d6c987783p-2, -0x1.bbcd0361ef57bp-2, -0x1.c11319731004dp-2, -0x1.c6330250be13p-2, -0x1.cb2918aac21f6p-2, -0x1.cff224452e901p-2, -0x1.d48b51be1d511p-2, -0x1.d8f22d5e8cef6p-2, -0x1.dd249cf44c9f7p-2, -0x1.e120d94fa1eadp-2, -0x1.e4e56989022f9p-2, -0x1.e8711ce9c5691p-2, -0x1.ebc3060b51976p-2, -0x1.eeda75e262f7dp-2, -0x1.f1b6f6f9bdf94p-2, -0x1.f458491e0aadbp-2, -0x1.f6be5cf97566ap-2, -0x1.f8e9502a9f2cbp-2, -0x1.fad9696d6e62fp-2, -0x1.fc8f15078ca2dp-2, -0x1.fe0ae1541d2a9p-2, -0x1.ff4d7b95618adp-2, -0x1.002bd66b92bb5p-1, -0x1.00952b916743dp-1, -0x1.00e3395fbaa42p-1, -0x1.011685cb12161p-1, -0x1.012f9f76cd16cp-1, -0x1.012f1c839cc8cp-1, -0x1.0115998aee29cp-1, -0x1.00e3b8a92f7e5p-1, -0x1.009a208668eedp-1, -0x1.00397b89c52d7p-1, -0x1.ff84ee10923d1p-2, -0x1.fe6b852adb8a3p-2, -0x1.fd281e92cf3d3p-2, -0x1.fbbc1e71e172cp-2, -0x1.fa28e99ee7ce2p-2, -0x1.f86fe4b97530fp-2, -0x1.f692733ccc9aep-2, -0x1.f491f6888aeddp-2, -0x1.f26fcd4266526p-2, -0x1.f02d52a718d8ep-2, -0x1.edcbddd036cdap-2, -0x1.eb4cc1466653p-2, -0x1.e8b14a8088abdp-2, -0x1.e5fac17f241c1p-2, -0x1.e32a685474446p-2, -0x1.e0417aff0a2ebp-2, -0x1.dd412efccb241p-2, -0x1.da2ab32b7e7d9p-2, -0x1.d6ff2f95b79c2p-2, -0x1.d3bfc53caf44p-2, -0x1.d06d8e0f4298ep-2, -0x1.cd099cc7b1d9dp-2, -0x1.c994fce641fdcp-2, -0x1.c610b2a45f714p-2, -0x1.c27dbae4d8afp-2, -0x1.bedd0b55fd34fp-2, -0x1.bb2f925d29346p-2, -0x1.b776372b1f7ecp-2, -0x1.b3b1d9d239996p-2, -0x1.afe353583f1c8p-2, -0x1.ac0b75b914ad1p-2, -0x1.a82b0c1de1467p-2, -0x1.a442dae4e974dp-2, -0x1.a0539fbcb20bep-2, -0x1.9c5e11d09f32cp-2, -0x1.9862e1d982592p-2, -0x1.9462ba4e981ffp-2, -0x1.905e3f75bc964p-2, -0x1.8c560f9837bd8p-2, -0x1.884ac319c9f4bp-2, -0x1.843ceca4db4e4p-2, -0x1.802d194a1e912p-2, -0x1.7c1bd0a7b70c7p-2, -0x1.78099508685ddp-2, -0x1.73f6e3986e65p-2, -0x1.6fe4346f8d331p-2, -0x1.6bd1facf86241p-2, -0x1.67c0a536eacf1p-2, -0x1.63b09d888938ep-2, -0x1.5fa24936bed27p-2, -0x1.5b9609570aba1p-2, -0x1.578c3ad01dc62p-2, -0x1.538536735694fp-2, -0x1.4f8151258b648p-2, -0x1.4b80dbf75c63p-2, -0x1.4784244487f5ap-2, -0x1.438b73d941e03p-2, -0x1.3f97110c2370fp-2, -0x1.3ba73ed81c8d3p-2, -0x1.37bc3cfa84b6cp-2, -0x1.33d64815352b8p-2, -0x1.2ff599c48fa14p-2, -0x1.2c1a68b162d71p-2, -0x1.2844e8b61712cp-2, -0x1.24754af77f1bfp-2, -0x1.20abbdf639bcbp-2, -0x1.1ce86da89217fp-2, -0x1.192b838ea22c5p-2, -0x1.157526cd5c793p-2, -0x1.11c57c3e8ef9cp-2, -0x1.0e1ca68f9e5e5p-2, -0x1.0a7ac6477a69bp-2, -0x1.06dff9dcfe656p-2, -0x1.034c5dcf93ee6p-2, -0x1.ff801975ddfc8p-3, -0x1.f8763ec489edp-3, -0x1.f17b598a32afap-3, -0x1.ea8f9447bef0fp-3, -0x1.e3b3163b55904p-3, -0x1.dce60386619e9p-3, -0x1.d6287d39892bdp-3, -0x1.cf7aa16985dd3p-3, -0x1.c8dc8b4e140dp-3, -0x1.c24e5369488edp-3, -0x1.bbd00fa3a237p-3, -0x1.b561d3668cebp-3, -0x1.af03afa09d4fbp-3, -0x1.a8b5b2da00b36p-3, -0x1.a277e962262ebp-3, -0x1.9c4a5d636faf7p-3, -0x1.962d16f7f653dp-3, -0x1.90201c373ac7ep-3, -0x1.8a23713e25e1ap-3, -0x1.8437184a018fcp-3, -0x1.7e5b11d95b975p-3, -0x1.788f5cbad673ep-3, -0x1.72d3f6216d46dp-3, -0x1.6d28d99fc792fp-3, -0x1.678e013b916f5p-3, -0x1.6203658a6f1e4p-3, -0x1.5c88fdc334c5cp-3, -0x1.571ebfcf9b105p-3, -0x1.51c4a052c9f36p-3, -0x1.4c7a92af4ececp-3, -0x1.474089148d749p-3, -0x1.42167492e1caep-3, -0x1.3cfc452f0b58ep-3, -0x1.37f1e9ed1c31bp-3, -0x1.32f750da58123p-3, -0x1.2e0c6711576e2p-3, -0x1.293118b9b8457p-3, -0x1.246551273e864p-3, -0x1.1fa8fae205096p-3, -0x1.1afbffb315575p-3, -0x1.165e48ab1a04p-3, -0x1.11cfbe259b464p-3, -0x1.0d5047cf2578p-3, -0x1.08dfccb08aafep-3, -0x1.047e333cc9a75p-3, -0x1.002b615cfd7e1p-3, -0x1.f7ce78eef1847p-4, -0x1.ef6352e489d41p-4, -0x1.e715196e1daf1p-4, -0x1.dee3947a838dbp-4, -0x1.d6ce8b169b47ep-4, -0x1.ced5c392ce239p-4, -0x1.c6f9038e8e01p-4, -0x1.bf3810015eb9ep-4, -0x1.b792ad42e7744p-4, -0x1.b0089f0e91bep-4, -0x1.a899a88e45731p-4, -0x1.a1458c6be5f3bp-4, -0x1.9a0c0ce09e29cp-4, -0x1.92ecebc28e6f1p-4, -0x1.8be7ea8dbb028p-4, -0x1.84fcca68f3688p-4, -0x1.7e2b4c2a71d8ap-4, -0x1.7773305e676c5p-4, -0x1.70d4375181d61p-4, -0x1.6a4e2124387f6p-4, -0x1.63e0adcb634cep-4, -0x1.5d8b9d1ee9e45p-4, -0x1.574eaee08df53p-4, -0x1.5129a2bb42dd8p-4, -0x1.4b1c3849285bbp-4, -0x1.45262f1a96fd4p-4, -0x1.3f4746beffccp-4, -0x1.397f3ece3f642p-4, -0x1.33cdd6f08101cp-4, -0x1.2e32cee3a4e64p-4, -0x1.28ade67ed6a7dp-4, -0x1.233eddb5f7598p-4, -0x1.1de5749cab572p-4, -0x1.18a16b6b61d7dp-4, -0x1.13728286a3aeap-4, -0x1.0e587a85193f3p-4, -0x1.095314342fe61p-4, -0x1.0462109eda675p-4, -0x1.ff0a622107fa5p-5, -0x1.f5786e23958edp-5, -0x1.ec0dc8e3ff7a8p-5, -0x1.e2c9f68e7f506p-5, -0x1.d9ac7be4ab416p-5, -0x1.d0b4de4866c94p-5, -0x1.c7e2a3c41ffc4p-5, -0x1.bf35531185ee8p-5, -0x1.b6ac739ead4ddp-5, -0x1.ae478d9211a72p-5, -0x1.a60629cb8d194p-5, -0x1.9de7d1e8def42p-5, -0x1.95ec104b8ce88p-5, -0x1.8e12701dc6305p-5, -0x1.865a7d58c8af3p-5, -0x1.7ec3c4ca57e15p-5, -0x1.774dd4192eb7ap-5, -0x1.6ff839c7c7b9ep-5, -0x1.68c28535bc2a7p-5, -0x1.61ac46a03a989p-5, -0x1.5ab50f2683a56p-5, -0x1.53dc70ccfa467p-5, -0x1.4d21fe7aad448p-5, -0x1.46854c04e859ep-5, -0x1.4005ee30653e4p-5, -0x1.39a37ab2ea1ffp-5, -0x1.335d8836181aep-5, -0x1.2d33ae57e7c5bp-5, -0x1.272585aa12f57p-5, -0x1.2132a7b16d9d4p-5, -0x1.1b5aaee63d6a1p-5, -0x1.159d36b5f4618p-5, -0x1.0ff9db8637fe4p-5, -0x1.0a703ab85f39p-5, -0x1.04fff2acd4c5fp-5, -0x1.ff51458adea67p-6, -0x1.f4d3d6cb5ccf4p-6, -0x1.ea86dbe126cbbp-6, -0x1.e0699989cdfdfp-6, -0x1.d67b5672ac5e6p-6, -0x1.ccbb5b341f954p-6, -0x1.c328f25223ca7p-6, -0x1.b9c368425cf2p-6, -0x1.b08a0b770feaap-6, -0x1.a77c2c6cf1d0ep-6, -0x1.9e991db50bdddp-6, -0x1.95e033ee8511p-6, -0x1.8d50c5c674738p-6, -0x1.84ea2be32f07bp-6, -0x1.7cabc0cde0079p-6, -0x1.7494e0e1c6831p-6, -0x1.6ca4ea442b16bp-6, -0x1.64db3ce9344cap-6, -0x1.5d373aa784d47p-6, -0x1.55b84751cdea5p-6, -0x1.4e5dc8d14aaa6p-6, -0x1.472727347362cp-6, -0x1.4013ccacfbe27p-6, -0x1.39232574c67c3p-6, -0x1.32549fa5b098fp-6, -0x1.2ba7ab0c3677cp-6, -0x1.251bb900e48dfp-6, -0x1.1eb03c58f2e0fp-6, -0x1.1864a9745e3ccp-6, -0x1.12387666c5386p-6, -0x1.0c2b1b32dc444p-6, -0x1.063c1203a0b23p-6, -0x1.006ad7500a171p-6, -0x1.f56dd3b4c0005p-7, -0x1.ea3f950b73117p-7, -0x1.df49f8104ca94p-7, -0x1.d48c051eebfc1p-7, -0x1.ca04c6de12794p-7, -0x1.bfb349e16acb6p-7, -0x1.b5969cc22cb37p-7, -0x1.abadd09fccdcfp-7, -0x1.a1f7f9f343b19p-7, -0x1.9874317d6d1f2p-7, -0x1.8f219505d92aep-7, -0x1.85ff47aa465cbp-7, -0x1.7d0c71999d8fep-7, -0x1.74483f3e728bep-7, -0x1.6bb1e005576d6p-7, -0x1.6348851062d71p-7, -0x1.5b0b6033c624fp-7, -0x1.52f9a38a18227p-7, -0x1.4b1281cb43dc3p-7, -0x1.43552f5bea472p-7, -0x1.3bc0e3d665a79p-7, -0x1.3454dba7516dbp-7, -0x1.2d10594c8f9c9p-7, -0x1.25f2a5d42f819p-7, -0x1.1efb1060aeaep-7, -0x1.1828ecd05bacp-7, -0x1.117b91bb344b7p-7, -0x1.0af25653283cp-7, -0x1.048c90b0f387ap-7, -0x1.fc9329febd24dp-8, -0x1.f0516ba32901dp-8, -0x1.e4528b3934d8fp-8, -0x1.d8953203bf58cp-8, -0x1.cd1812bef1dffp-8, -0x1.c1d9edf9de3a7p-8, -0x1.b6d9947a1b0eap-8, -0x1.ac15e6fcf2126p-8, -0x1.a18dd3322c15fp-8, -0x1.97404e8bb38ep-8, -0x1.8d2c50130f0e7p-8, -0x1.8350cab625458p-8, -0x1.79aca97473f59p-8, -0x1.703ece6695fd9p-8, -0x1.670614fe605acp-8, -0x1.5e015720abcfbp-8, -0x1.552f73e6083c1p-8, -0x1.4c8f5676b1285p-8, -0x1.441ffb54ca56bp-8, -0x1.3be072bdbc4ap-8, -0x1.33cfdf7de15aep-8, -0x1.2bed726f5d932p-8, -0x1.2438639b64896p-8, -0x1.1cafea8d7092ap-8, -0x1.15533779cd299p-8, -0x1.0e216ec24d95dp-8, -0x1.0719a7d1a9cb8p-8, -0x1.003aefab23126p-8, -0x1.f3089d86dab16p-9, -0x1.e5e9a1d460eb8p-9, -0x1.d9171af25558dp-9, -0x1.cc8f5b9a5bdcep-9, -0x1.c050e0dfd2ad1p-9, -0x1.b45a507a8074ep-9, -0x1.a8aa6fc7946b7p-9, -0x1.9d4015fa363c4p-9, -0x1.921a1cb532be5p-9, -0x1.8737520bb8434p-9, -0x1.7c966e3400e41p-9, -0x1.72360e5783308p-9, -0x1.6814b5bf4833p-9, -0x1.5e30d57e7f535p-9, -0x1.5488d9ee338c4p-9, -0x1.4b1b3b50438ecp-9, -0x1.41e68d61772e9p-9, -0x1.38e9894534ec3p-9, -0x1.30230eeca3009p-9, -0x1.27921e4ca6bdfp-9, -0x1.1f35cbb3dfd39p-9, -0x1.170d339e5688bp-9, -0x1.0f17710e90f63p-9, -0x1.075396f17bac1p-9, -0x1.ff8156b7add61p-10, -0x1.f0bb4780059fcp-10, -0x1.e252c623ea177p-10, -0x1.d44578b6ee78fp-10, -0x1.c690f76c04341p-10, -0x1.b932e94a980ap-10, -0x1.ac292216c4e01p-10, -0x1.9f71b43e4d392p-10, -0x1.930aeda2a6a65p-10, -0x1.86f340d345ce9p-10, -0x1.7b29278feea71p-10, -0x1.6fab0f49aa54fp-10, -0x1.647759295a661p-10, -0x1.598c693b00e4cp-10, -0x1.4ee8b5b3a89e9p-10, -0x1.448ac8050d2bbp-10, -0x1.3a712d4ae6315p-10, -0x1.309a61b3ab4e8p-10, -0x1.2704c85a6c208p-10, -0x1.1daeb9004129cp-10, -0x1.14969dfca06eep-10, -0x1.0bbb10a21be22p-10, -0x1.031ae0ce7a581p-10, -0x1.f569fd010d36cp-11, -0x1.e5109ae4de3f3p-11, -0x1.d526f4fc2d938p-11, -0x1.c5a9dc819d863p-11, -0x1.b695d3c9b018cp-11, -0x1.a7e78189d77ddp-11, -0x1.999c1a953e3b7p-11, -0x1.8bb1814589543p-11, -0x1.7e260b60e59dfp-11, -0x1.70f81ad6a374p-11, -0x1.6425d3f4ab3f5p-11, -0x1.57ad1ff46f7ddp-11, -0x1.4b8bef94486a6p-11, -0x1.3fc0881702653p-11, -0x1.3449a3e00ab71p-11, -0x1.29264bc35516ap-11, -0x1.1e5570db333fp-11, -0x1.13d56fece87bcp-11, -0x1.09a3bdc2fea5bp-11, -0x1.ff79ea4c05891p-12, -0x1.ec3aa5f3b378cp-12, -0x1.d982da61c7909p-12, -0x1.c74d8f2a1ef48p-12, -0x1.b597ecc6dc459p-12, -0x1.a460839c90cf8p-12, -0x1.93a61af4c9f87p-12, -0x1.8366d4d029563p-12, -0x1.73a01fe517062p-12, -0x1.644f4ea90f2e6p-12, -0x1.55724c7825b97p-12, -0x1.4707fa54cc121p-12, -0x1.390ff73265efcp-12, -0x1.2b89df03fc45dp-12, -0x1.1e74583b798c5p-12, -0x1.11cc646edd2a6p-12, -0x1.058d3a77df169p-12, -0x1.f36176cd6339ep-13, -0x1.dc60d8d60811bp-13, -0x1.c60d4703a032ap-13, -0x1.b05ecc77f3108p-13, -0x1.9b513a803f1e3p-13, -0x1.86e32e0e8a467p-13, -0x1.7314445874718p-13, -0x1.5fe3712101cf3p-13, -0x1.4d4e3d090496ep-13, -0x1.3b5129db186cp-13, -0x1.29e902a2a9f4cp-13, -0x1.19142ae85d80bp-13, -0x1.08d291a67de8ap-13, -0x1.f24845f75705fp-14, -0x1.d40e7bb929d7cp-14, -0x1.b6f0b6d6b8816p-14, -0x1.9ae502bf9334bp-14, -0x1.7fdf3e8f701f6p-14, -0x1.65d176bd4dc3ap-14, -0x1.4cac999a34923p-14, -0x1.34617cf9a9ce7p-14, -0x1.1ce219d49cfp-14, -0x1.0623ea4b9d28ep-14, -0x1.e0457ee8e2814p-15, -0x1.b5c11e887ac9p-15, -0x1.8cc16ce02b8e5p-15, -0x1.6544de7f0cdf9p-15, -0x1.3f403195fedacp-15, -0x1.1aa7b28743d58p-15, -0x1.eeece140a25b3p-16, -0x1.ab55c34da0197p-16, -0x1.6a80b346f71bep-16, -0x1.2c5b47590c9b9p-16, -0x1.e19e190fcb506p-17, -0x1.6f8e04164d69p-17, -0x1.02643d844c70ap-17, -0x1.3406077ab38d5p-18, -0x1.b23f8cb0f08efp-20, 0x1.47ec0bc24054ep-20, 0x1.0830b7ee08285p-18, 0x1.b6df1f0dac951p-18, 0x1.2f5cc0be6cd14p-17, 0x1.7ff5bd05d74ebp-17, 0x1.cd188646b3f1dp-17, 0x1.0b58a8bdde65ap-16, 0x1.2e6c9bd3f9c16p-16, 0x1.4fd6efc1a04f6p-16, 0x1.6f9a78eeacdb7p-16, 0x1.8dbbbd6ce3565p-16, 0x1.aa4a789f0706fp-16, 0x1.c55822455e5a3p-16, 0x1.def0abb7d1619p-16, 0x1.f71e826d052dfp-16, 0x1.06f72317743ddp-15, 0x1.11b59efbb3a3ap-15, 0x1.1bcde0b82c29fp-15, 0x1.2541ffe35bbc5p-15, 0x1.2e1504ed49bd8p-15, 0x1.364c1e3881369p-15, 0x1.3df2979f80a88p-15, 0x1.4518dc1d90a39p-15, 0x1.4bc58cfd2081p-15, 0x1.51f280118845dp-15, 0x1.57a18af6551fcp-15, 0x1.5ce1b98b1cd11p-15, 0x1.61b9eaae05507p-15, 0x1.6622c6401dff6p-15, 0x1.6a189de97e7e1p-15, 0x1.6da2857f2243dp-15, 0x1.70ca3c7f22548p-15, 0x1.7394c6bc014f7p-15, 0x1.7601f73bf7cadp-15, 0x1.7811df9d8cfa7p-15, 0x1.79c8a6b68d6b2p-15, 0x1.7b2c21232b4f5p-15, 0x1.7c400a7f2a3aep-15, 0x1.7d06251ffa7bdp-15, 0x1.7d80896ecae6ep-15, 0x1.7db14304905f4p-15, 0x1.7d9a5a03ae2dp-15, 0x1.7d43255c90ac4p-15, 0x1.7cb246b69dac7p-15, 0x1.7be107dd851acp-15, 0x1.7acba479b663bp-15, 0x1.797d58fcd4745p-15, 0x1.77fcf1d39042ep-15, 0x1.7649ed30cf5a5p-15, 0x1.746805ce5bab3p-15, 0x1.725a33566e23p-15, 0x1.702038c0c90a7p-15, 0x1.6dbc20deccd4cp-15, 0x1.6b31852e37698p-15, 0x1.688019f2e498fp-15, 0x1.65a5de0313de3p-15, 0x1.62a4dd28e4c59p-15, 0x1.5f81f82b8a43ep-15, 0x1.5c40bdbc247d9p-15, 0x1.58e2895e4b585p-15, 0x1.55686cc59ae19p-15, 0x1.51d415d1b9649p-15, 0x1.4e252ddd50902p-15, 0x1.4a5aad439f086p-15, 0x1.467a26ba5b673p-15, 0x1.42869d22bcbafp-15, 0x1.3e7e2ef62e96bp-15, 0x1.3a65302307092p-15, 0x1.363863bd6fc19p-15, 0x1.31f2eaf810d1cp-15, 0x1.2d99ca10c5d01p-15, 0x1.2934e3c5e65fdp-15, 0x1.24c8dd7221fd9p-15, 0x1.2053da49ee3b9p-15, 0x1.1bd29d19258dp-15, 0x1.17474fbb9163ep-15, 0x1.12b448d7d35dep-15, 0x1.0e17495b99817p-15, 0x1.096fcfd6873eep-15, 0x1.04c104f20bb9bp-15, 0x1.000db194d4d57p-15, 0x1.f6ad96d17115ap-16, 0x1.ed38f4c3b2156p-16, 0x1.e3beef133235ep-16, 0x1.da40f47cba6ebp-16, 0x1.d0bae1a134eap-16, 0x1.c72b05e4472ffp-16, 0x1.bd9c54665da22p-16, 0x1.b4118286ce47ap-16, 0x1.aa8cfa232d838p-16, 0x1.a108a831a2216p-16, 0x1.97824b7598d35p-16, 0x1.8dffbc240ee26p-16, 0x1.84825d24d3bd5p-16, 0x1.7b0904081979ep-16, 0x1.719436269a6cbp-16, 0x1.6828e633be7a6p-16, 0x1.5ec9f7529584ep-16, 0x1.55748f16abebfp-16, 0x1.4c2acb9f38fddp-16, 0x1.42ede4f1c1ff4p-16, 0x1.39b99c3d754adp-16, 0x1.308f600a8df88p-16, 0x1.27733cb5677eep-16, 0x1.1e66c8a3c8878p-16, 0x1.1569f95b5f825p-16, 0x1.0c7cb192ca096p-16, 0x1.039fa9e126061p-16, 0x1.f5a661367576ep-17, 0x1.e428c2b7b8e7p-17, 0x1.d2c7c237da4b9p-17, 0x1.c1904f3432815p-17, 0x1.b0838c01001e1p-17, 0x1.9f97fa5199e88p-17, 0x1.8ecd9cd158fbp-17, 0x1.7e2b3aeb28961p-17, 0x1.6db1a28444df5p-17, 0x1.5d6081f7d9b15p-17, 0x1.4d37ff3af61efp-17, 0x1.3d385d940145ep-17, 0x1.2d60df891c8ffp-17, 0x1.1daf84bd3f9b7p-17, 0x1.0e26e1d5f6da5p-17, 0x1.fd9714db9faffp-18, 0x1.df3b99900378ap-18, 0x1.c13b824c8b8b4p-18, 0x1.a38c325a57a7ep-18, 0x1.8630ebb110372p-18, 0x1.6930ed3d77f52p-18, 0x1.4c8d10f534886p-18, 0x1.3044207e27845p-18, 0x1.145540b9a6eefp-18, 0x1.f181f0a7cdca1p-19, 0x1.bb10baf77a8c1p-19, 0x1.854e6ed7d6d55p-19, 0x1.503b5a31e55ccp-19, 0x1.1bee08667f6dap-19, 0x1.d0abdb49c3934p-20, 0x1.6ad8ce320c9e3p-20, 0x1.067a4336fc6d5p-20, 0x1.471dad3ea4c19p-21, 0x1.084ad30d991a8p-22, -0x1.dfb6dbc2054cap-24, -0x1.f26f43ce27dap-22, -0x1.b39cc1e563991p-21, -0x1.35930f1a03c1p-20, -0x1.8fe9d39b558a1p-20, -0x1.e8d3804d81886p-20, -0x1.202c27986789dp-19, -0x1.4b4179830eaf6p-19, -0x1.75a11fafccd09p-19, -0x1.9f459e01f3103p-19, -0x1.c8380b74f67dcp-19, -0x1.f07ddbd8179c8p-19, -0x1.0c08d98e1a67ep-18, -0x1.1f799dc2d5281p-18, -0x1.32924cd9b5a49p-18, -0x1.4553d672adbf8p-18, -0x1.57beba328986dp-18, -0x1.69d2e7d6fec8ap-18, -0x1.7b913a0d0e59ep-18, -0x1.8cfb5bedbc96ap-18, -0x1.9e0f273a537e7p-18, -0x1.aecfd9b6d6438p-18, -0x1.bf3cbeaa0d704p-18, -0x1.cf5606ba56f86p-18, -0x1.df1ca2f32cda9p-18, -0x1.ee9142742db16p-18, -0x1.fdb480685bb02p-18, -0x1.06437c180bb94p-17, -0x1.0d84a350d527dp-17, -0x1.149e0438cfad7p-17, -0x1.1b8fee44d2012p-17, -0x1.225ab28ccd01cp-17, -0x1.28fea2b9391c7p-17, -0x1.2f7c11054450bp-17, -0x1.35d34d898cc41p-17, -0x1.3c04c75a434e7p-17, -0x1.42110ff4b05b4p-17, -0x1.47f8094332cc7p-17, -0x1.4dba1c8b34c75p-17, -0x1.5357eb8588d3bp-17, -0x1.58d197ed45d04p-17, -0x1.5e277f13e54b5p-17, -0x1.635a0419827bfp-17, -0x1.686982b792d85p-17, -0x1.6d5655da8f2cep-17, -0x1.7220d9613a024p-17, -0x1.76c96717ae947p-17, -0x1.7b505ad1cc3c1p-17, -0x1.7fb60ff4c827fp-17, -0x1.83fae4b9db82dp-17, -0x1.881f34d261f19p-17, -0x1.8c235bb80fdeep-17, -0x1.9007b5c0eef3cp-17, -0x1.93cc9f8bee52ep-17, -0x1.977275e030631p-17, -0x1.9af995989b6d6p-17, -0x1.9e625b673e2c7p-17, -0x1.a1ad2373e4aa1p-17, -0x1.a4da49225d3c4p-17, -0x1.a7ea2775a99dap-17, -0x1.aadd1a1d148cp-17, -0x1.adb37e0ef19b4p-17, -0x1.b06db0563631ap-17, -0x1.b30c0b42c6e89p-17, -0x1.b58ee7bd1c914p-17, -0x1.b7f6ac1cedc9dp-17, -0x1.ba43a5e839713p-17, -0x1.bc76166770964p-17, -0x1.be8e82cb698d4p-17, -0x1.c08d10bbed951p-17, -0x1.c2725bcf8c5fdp-17, -0x1.c43e978426d1bp-17, -0x1.c5f215fed8973p-17, -0x1.c78d4869c49dep-17, -0x1.c9108d94e8fe9p-17, -0x1.ca7c3dc1b05bcp-17, -0x1.cbd04c94437fdp-17, -0x1.cd0d5bf9928ep-17, -0x1.ce33dbe9d8428p-17, -0x1.cf44080aef4c5p-17, -0x1.d03e311376eap-17, -0x1.d122ac0cfc0c2p-17, -0x1.d1f1c8464bd69p-17, -0x1.d2abdfe795003p-17, -0x1.d3513e7c73e99p-17, -0x1.d3e23a719fc8dp-17, -0x1.d45f2417c0472p-17, -0x1.d4c84bb799fffp-17, -0x1.d51e005b9f9fep-17, -0x1.d5609489221c8p-17, -0x1.d590558b43a59p-17, -0x1.d5ad8efa4e15p-17, -0x1.d5b88f8ae8efcp-17, -0x1.d5b1a59ebe44cp-17, -0x1.d5991f0e4e78bp-17, -0x1.d56f4633a5a37p-17, -0x1.d53461a3eec15p-17, -0x1.d4e8c6b84ae24p-17, -0x1.d48ce039cea5p-17, }}, 
      {{-0x1.c0e67d59ebd8ap-1, -0x1.a41dca06e2acap-1, -0x1.8db4eb516be99p-1, -0x1.8486e91e1d8c1p-1, -0x1.8987b065604d9p-1, -0x1.9ad4c5da63028p-1, -0x1.b569036394121p-1, -0x1.d609ed81d59aep-1, -0x1.f9c0d9a05c568p-1, -0x1.0f0846a7334a5p+0, -0x1.208265e87e7ddp+0, -0x1.3096cef51bcf8p+0, -0x1.3ec86046a6873p+0, -0x1.4acb8be6f3b25p+0, -0x1.547cbcf5e1fap+0, -0x1.5bd758f6156c4p+0, -0x1.60edd0bf85811p+0, -0x1.63e2e887cb932p+0, -0x1.64e4355cc3e2fp+0, -0x1.6425b83f32449p+0, -0x1.61de756a6ea71p+0, -0x1.5e45e2babda19p+0, -0x1.5992086112d9bp+0, -0x1.53f63265d5d87p+0, -0x1.4da214d0b5a54p+0, -0x1.46c1490a74113p+0, -0x1.3f7b0ebba4e0bp+0, -0x1.37f23ede73fe8p+0, -0x1.304562c0477c6p+0, -0x1.288ee3dd86591p+0, -0x1.20e54c3d57fa5p+0, -0x1.195b905b1fbffp+0, -0x1.12015e309a6f5p+0, -0x1.0ae36d9a799ecp+0, -0x1.040bcf7b4c9bcp+0, -0x1.fb0473ad9c052p-1, -0x1.ee989fb4d1a36p-1, -0x1.e2dbca15ed4d2p-1, -0x1.d7d27672f5f57p-1, -0x1.cd7e7647ad934p-1, -0x1.c3df4f9482642p-1, -0x1.baf299d233e29p-1, -0x1.b2b4513fa86fep-1, -0x1.ab1f213774701p-1, -0x1.a42ca62d8c8f5p-1, -0x1.9dd5a7e7d17ddp-1, -0x1.98124ca30fb2bp-1, -0x1.92da45cf231efp-1, -0x1.8e24f6dbc42ep-1, -0x1.89e996c500886p-1, -0x1.861f4cc9075dfp-1, -0x1.82bd48bf0b563p-1, -0x1.7fbad799a4fe1p-1, -0x1.7d0f748a6a41bp-1, -0x1.7ab2d6eaad32ap-1, -0x1.789cfd993032p-1, -0x1.76c637e6650f9p-1, -0x1.75272c659419fp-1, -0x1.73b8ddfc7a5b4p-1, -0x1.7274af3afe93ep-1, -0x1.7154648b19be3p-1, -0x1.705224e38cdafp-1, -0x1.6f6879dcba697p-1, -0x1.6e924e6fbd50bp-1, -0x1.6dcaeda3f365ap-1, -0x1.6d0dffd56a0a3p-1, -0x1.6c57886e790fp-1, -0x1.6ba3e2605a1b5p-1, -0x1.6aefbceb95244p-1, -0x1.6a3818218b6fp-1, -0x1.697a40770c9a8p-1, -0x1.68b3cbf517fc8p-1, -0x1.67e294e71b03bp-1, -0x1.6704b739a2f54p-1, -0x1.66188b9d602b4p-1, -0x1.651ca3e7baff4p-1, -0x1.640fc7bc56313p-1, -0x1.62f0eff5830d4p-1, -0x1.61bf44137425cp-1, -0x1.607a160067c87p-1, -0x1.5f20df2c93687p-1, -0x1.5db33d6eb6335p-1, -0x1.5c30efb4c3eap-1, -0x1.5a99d38e9e978p-1, -0x1.58ede23570dbcp-1, -0x1.572d2e29f0364p-1, -0x1.5557e0c644762p-1, -0x1.536e3800a1353p-1, -0x1.51708459de7ffp-1, -0x1.4f5f26de294bbp-1, -0x1.4d3a8f55f8e4cp-1, -0x1.4b033a8990b7p-1, -0x1.48b9b0af78f0bp-1, -0x1.465e83e2b3967p-1, -0x1.43f24eca8264dp-1, -0x1.4175b3463c9d1p-1, -0x1.3ee9593f64a12p-1, -0x1.3c4ded8cb5f41p-1, -0x1.39a420e461572p-1, -0x1.36eca6f349321p-1, -0x1.3428357421d5ap-1, -0x1.3157836596daep-1, -0x1.2e7b485318595p-1, -0x1.2b943ba33080dp-1, -0x1.28a314012cf48p-1, -0x1.25a886cfdba29p-1, -0x1.22a547ababd1ap-1, -0x1.1f9a07fa1a639p-1, -0x1.1c87768835ffap-1, -0x1.196e3f2b291b6p-1, -0x1.164f0a7a78972p-1, -0x1.132a7d89e5feep-1, -0x1.100139aaad41bp-1, -0x1.0cd3dc40e918ep-1, -0x1.09a2fe983a1a5p-1, -0x1.066f35bd94fb4p-1, -0x1.0339126877e55p-1, -0x1.000120e4b981ep-1, -0x1.f98fd204d422fp-2, -0x1.f31bdc0e1f7b7p-2, -0x1.eca75d64f3945p-2, -0x1.e6334a6181a97p-2, -0x1.dfc08e46156fep-2, -0x1.d9500b4be526p-2, -0x1.d2e29aabf9f66p-2, -0x1.cc790cb945f69p-2, -0x1.c61428fe4eb2bp-2, -0x1.bfb4ae5d766d7p-2, -0x1.b95b532fc56c8p-2, -0x1.b308c56bf1037p-2, -0x1.acbdaad81e84dp-2, -0x1.a67aa12c07efap-2, -0x1.a0403e4116772p-2, -0x1.9a0f10454d003p-2, -0x1.93e79deac6f85p-2, -0x1.8dca6693ddfecp-2, -0x1.87b7e28d6ac99p-2, -0x1.81b0833d7709fp-2, -0x1.7bb4b35694fbdp-2, -0x1.75c4d70ece979p-2, -0x1.6fe14c4cb301bp-2, -0x1.6a0a6ae19f5b5p-2, -0x1.644084b7e76d6p-2, -0x1.5e83e60952f2p-2, -0x1.58d4d58c8bc5ep-2, -0x1.533394a9cf987p-2, -0x1.4da05fabbb40fp-2, -0x1.481b6deddf9b7p-2, -0x1.42a4f209c3892p-2, -0x1.3d3d1a09f8a6ep-2, -0x1.37e40f91a5d85p-2, -0x1.3299f80d9c0f2p-2, -0x1.2d5ef4da6ef65p-2, -0x1.283323705983dp-2, -0x1.23169d8e7f5f2p-2, -0x1.1e09795e996cdp-2, -0x1.190bc99db192bp-2, -0x1.141d9dc06cb6ap-2, -0x1.0f3f0219fa79fp-2, -0x1.0a6ffffca466ep-2, -0x1.05b09ddc9bf13p-2, -0x1.0100df729653cp-2, -0x1.f8c18bb77f385p-3, -0x1.efa09f6c4850fp-3, -0x1.e69ef28270b4dp-3, -0x1.ddbc78f77b439p-3, -0x1.d4f9227de2271p-3, -0x1.cc54daad84eadp-3, -0x1.c3cf893e4b049p-3, -0x1.bb69123c962f8p-3, -0x1.b3215635f29fp-3, -0x1.aaf83268a3078p-3, -0x1.a2ed80ee9902fp-3, -0x1.9b0118ecc1c4ap-3, -0x1.9332cebc27e6dp-3, -0x1.8b827415f654fp-3, -0x1.83efd8324d07dp-3, -0x1.7c7ac7eee8a01p-3, -0x1.75230df7bd9f9p-3, -0x1.6de872eb40349p-3, -0x1.66cabd7752893p-3, -0x1.5fc9b279e90d5p-3, -0x1.58e5151a34b8ep-3, -0x1.521ca6edf55c8p-3, -0x1.4b702818fc876p-3, -0x1.44df5762b1a43p-3, -0x1.3e69f24cfeba2p-3, -0x1.380fb52e5cbep-3, -0x1.31d05b4e3281ap-3, -0x1.2bab9efd2bdabp-3, -0x1.25a139ab114fep-3, -0x1.1fb0e3f5becbep-3, -0x1.19da55bd2d7ebp-3, -0x1.141d463cbf8d1p-3, -0x1.0e796c1e8245ep-3, -0x1.08ee7d8c687edp-3, -0x1.037c3040048d3p-3, -0x1.fc44731c9659bp-4, -0x1.f1c09cf3a9bafp-4, -0x1.e76c478ce750fp-4, -0x1.dd46dc0dc8be9p-4, -0x1.d34fc355cf498p-4, -0x1.c986660c8defbp-4, -0x1.bfea2cbbf42c7p-4, -0x1.b67a7fefa07d7p-4, -0x1.ad36c84db0ec4p-4, -0x1.a41e6eae39077p-4, -0x1.9b30dc2b4da91p-4, -0x1.926d7a302122p-4, -0x1.89d3b28b649bdp-4, -0x1.8162ef858574ep-4, -0x1.791a9bf6001b2p-4, -0x1.70fa2352a1564p-4, -0x1.6900f1bdf8283p-4, -0x1.612e741177c52p-4, -0x1.598217e500bbfp-4, -0x1.51fb4ba738fecp-4, -0x1.4a997ea8daadep-4, -0x1.435c2129eab83p-4, -0x1.3c42a46315704p-4, -0x1.354c7a8c9f2f3p-4, -0x1.2e7916e6762e3p-4, -0x1.27c7edc2b431cp-4, -0x1.2138749132a58p-4, -0x1.1aca21e9ac0c8p-4, -0x1.147c6d92d844ep-4, -0x1.0e4ed086a565p-4, -0x1.0840c4f6e8c04p-4, -0x1.0251c654e403bp-4, -0x1.f902a2a8f7ffap-5, -0x1.ed9dc7ecfaea1p-5, -0x1.e273fb19c0a4ap-5, -0x1.d7843d7fd1ed3p-5, -0x1.cccd932062e54p-5, -0x1.c24f02afbc8e4p-5, -0x1.b807959b97022p-5, -0x1.adf6581473bf6p-5, -0x1.a41a5914df654p-5, -0x1.9a72aa67a8bd1p-5, -0x1.90fe60ab4ffc5p-5, -0x1.87bc9352fc00cp-5, -0x1.7eac5ca6dcd48p-5, -0x1.75ccd9c519e11p-5, -0x1.6d1d2aa453583p-5, -0x1.649c721aa65dbp-5, -0x1.5c49d5d9d1c13p-5, -0x1.54247e735b278p-5, -0x1.4c2b975824c8bp-5, -0x1.445e4ed3b2646p-5, -0x1.3cbbd60ad0192p-5, -0x1.354360fa56c9bp-5, -0x1.2df426767d99ap-5, -0x1.26cd602a32189p-5, -0x1.1fce4a9572664p-5, -0x1.18f6250a612d5p-5, -0x1.124431a9564fp-5, -0x1.0bb7b55cc9e9cp-5, -0x1.054ff7d4a4355p-5, -0x1.fe188704b4fe6p-6, -0x1.f1d7cb2c4383fp-6, -0x1.e5dc5bf645b4bp-6, -0x1.da24dea541be7p-6, -0x1.ceaffde29341ap-6, -0x1.c37c69b1b8488p-6, -0x1.b888d76041a1bp-6, -0x1.add40181009b7p-6, -0x1.a35ca7ddaa3fbp-6, -0x1.99218f6be53e5p-6, -0x1.8f21824340c3ep-6, -0x1.855b4f92a86cbp-6, -0x1.7bcdcb9450f8ap-6, -0x1.7277cf81ef95bp-6, -0x1.695839898f7f3p-6, -0x1.606decb9e4ff3p-6, -0x1.57b7d0f818a3cp-6, -0x1.4f34d2f5071fdp-6, -0x1.46e3e41e5b4efp-6, -0x1.3ec3fa92353e5p-6, -0x1.36d41112c1bb2p-6, -0x1.2f1326f8f436dp-6, -0x1.27804026a5285p-6, -0x1.201a64f7e5c36p-6, -0x1.18e0a233d018fp-6, -0x1.11d208ffb7342p-6, -0x1.0aedaed14ea0ep-6, -0x1.0432ad5d99ee3p-6, -0x1.fb404520a88p-7, -0x1.ee6a60fa7187ep-7, -0x1.e1e1faa352e41p-7, -0x1.d5a5668e56092p-7, -0x1.c9b30129bbf68p-7, -0x1.be092ec06f05cp-7, -0x1.b2a65b5bafd6p-7, -0x1.a788faa607527p-7, -0x1.9caf87d01b72cp-7, -0x1.921885776f28ap-7, -0x1.87c27d8cd64dbp-7, -0x1.7dac013be9b59p-7, -0x1.73d3a8d2ebd7p-7, -0x1.6a3813a78b415p-7, -0x1.60d7e7f853035p-7, -0x1.57b1d2cc980b5p-7, -0x1.4ec487d4624e6p-7, -0x1.460ec14a555fep-7, -0x1.3d8f3fd9569d7p-7, -0x1.3544ca8621e87p-7, -0x1.2d2e2e9b31b17p-7, -0x1.254a3f9a4896bp-7, -0x1.1d97d7271695bp-7, -0x1.1615d4ed5ba01p-7, -0x1.0ec31e86075fep-7, -0x1.079e9f53667b4p-7, -0x1.00a7485adcff9p-7, -0x1.f3b82044b527ap-8, -0x1.e677e526dd1bap-8, -0x1.d98be1d17bfddp-8, -0x1.ccf2233e0323ep-8, -0x1.c0a8c0e7df2cdp-8, -0x1.b4addcb69d67ep-8, -0x1.a8ffa2ee36f65p-8, -0x1.9d9c4a0457ccfp-8, -0x1.9282124a7bd9cp-8, -0x1.87af4598de23dp-8, -0x1.7d2236f45d137p-8, -0x1.72d9423129a9ep-8, -0x1.68d2cbb77ea83p-8, -0x1.5f0d406c383dp-8, -0x1.558715c062e38p-8, -0x1.4c3ec9cce8ad2p-8, -0x1.4332e37302bd2p-8, -0x1.3a61f2646e7e6p-8, -0x1.31ca8f008c686p-8, -0x1.296b59fd97756p-8, -0x1.2142fbeaa9bb4p-8, -0x1.195024a41720bp-8, -0x1.11918ad1d3589p-8, -0x1.0a05eb8eb601ap-8, -0x1.02ac0a5636821p-8, -0x1.f705625c19578p-9, -0x1.e9116200528a3p-9, -0x1.db79c4091370fp-9, -0x1.ce3c4820b82b8p-9, -0x1.c156bd4ac01f8p-9, -0x1.b4c7015d0364p-9, -0x1.a88affd440bc6p-9, -0x1.9ca0b03d5efddp-9, -0x1.9106148a26c2cp-9, -0x1.85b937bb422fdp-9, -0x1.7ab82d35c1b21p-9, -0x1.700110f17e4c7p-9, -0x1.659208735d3d5p-9, -0x1.5b69444c49aadp-9, -0x1.518501ac5f51ap-9, -0x1.47e38b88d939ap-9, -0x1.3e833aef5a504p-9, -0x1.3562765db05bfp-9, -0x1.2c7fb00637872p-9, -0x1.23d963891c135p-9, -0x1.1b6e13833db1p-9, -0x1.133c478ee370bp-9, -0x1.0b428b4877699p-9, -0x1.037f6e89fce42p-9, -0x1.f7e30db1f4321p-10, -0x1.e92ee35ba29cp-10, -0x1.dadfadf9cbf1bp-10, -0x1.ccf2d69b03a41p-10, -0x1.bf65e18b63879p-10, -0x1.b2366db425222p-10, -0x1.a562311a0440dp-10, -0x1.98e6f32b704d9p-10, -0x1.8cc2862650164p-10, -0x1.80f2c11292262p-10, -0x1.75757bcaf82bcp-10, -0x1.6a488de101b83p-10, -0x1.5f69d0c253a9dp-10, -0x1.54d724e0f4b02p-10, -0x1.4a8e784458634p-10, -0x1.408dcd20b344dp-10, -0x1.36d33ec68f6bep-10, -0x1.2d5d0395aa38ap-10, -0x1.24296b6319b76p-10, -0x1.1b36da95cccd4p-10, -0x1.1283c314a8e3dp-10, -0x1.0a0e9c7ff83c2p-10, -0x1.01d5dd7374d03p-10, -0x1.f3afee578c0e4p-11, -0x1.e426a905595d2p-11, -0x1.d50cb91f80af9p-11, -0x1.c65ef0a23ca8p-11, -0x1.b81a347711ee1p-11, -0x1.aa3b8bc42ff84p-11, -0x1.9cc02ba5ca717p-11, -0x1.8fa57c57d2113p-11, -0x1.82e9169b5b8ffp-11, -0x1.7688ba377432cp-11, -0x1.6a8240255117ep-11, -0x1.5ed38b9db7c34p-11, -0x1.537a7cd0a019cp-11, -0x1.4874e749c537bp-11, -0x1.3dc08e34e19a4p-11, -0x1.335b25114bf96p-11, -0x1.294257c174602p-11, -0x1.1f73d6f0a839fp-11, -0x1.15ed6750b8621p-11, -0x1.0cacef860a0d2p-11, -0x1.03b0809bca507p-11, -0x1.f5ecace6719bcp-12, -0x1.e4f9a1373dc8p-12, -0x1.d484cd97c4ceap-12, -0x1.c48b3a4ad823ap-12, -0x1.b509f646f6c8cp-12, -0x1.a5fe0b6d59e37p-12, -0x1.976476c065ad2p-12, -0x1.893a229eb37dbp-12, -0x1.7b7be45b77c89p-12, -0x1.6e2681645241ap-12, -0x1.6136bf5f5142ap-12, -0x1.54a97d688fbc7p-12, -0x1.487bce03fa46p-12, -0x1.3cab0628cbd52p-12, -0x1.3134b968180dbp-12, -0x1.2616a4ae09349p-12, -0x1.1b4e931d64389p-12, -0x1.10da4bdbf8faap-12, -0x1.06b7915ca4914p-12, -0x1.f9c85cd93c06bp-13, -0x1.e6bc07acba587p-13, -0x1.d44614153c325p-13, -0x1.c26288bc00786p-13, -0x1.b10d5e80e5cb7p-13, -0x1.a04272c7b11adp-13, -0x1.8ffd9e76094ddp-13, -0x1.803ae81333081p-13, -0x1.70f6b35a75beep-13, -0x1.622dcd4e22e52p-13, -0x1.53dd45aab5e59p-13, -0x1.460223b7e0387p-13, -0x1.38991e57259c1p-13, -0x1.2b9e851d6dd77p-13, -0x1.1f0e6fcc071dap-13, -0x1.12e51da47f59ap-13, -0x1.071f4c75db2ccp-13, -0x1.f774a67bbc193p-14, -0x1.e167e1ff6d3afp-14, -0x1.cc13efa302dedp-14, -0x1.b7741f3367ccdp-14, -0x1.a3836e33ba6b3p-14, -0x1.903cf46c54401p-14, -0x1.7d9c60279b63cp-14, -0x1.6b9e29b7cc92ap-14, -0x1.5a3f5380418a4p-14, -0x1.497cc566690ccp-14, -0x1.3952872f96d73p-14, -0x1.29bb3ec759d53p-14, -0x1.1ab04ad1e3a47p-14, -0x1.0c2a8992dc3ebp-14, -0x1.fc46f2dd5c779p-15, -0x1.e12c3f7a07dbcp-15, -0x1.c6fe7592cc289p-15, -0x1.adb958ebca7b1p-15, -0x1.955911582f679p-15, -0x1.7dd8d09debd6bp-15, -0x1.6732bd7315b73p-15, -0x1.5160e020e2ce2p-15, -0x1.3c5e3ba7dd099p-15, -0x1.28275884bf4e8p-15, -0x1.14b9ed44cc744p-15, -0x1.0213ad6418241p-15, -0x1.e061baf2d5c87p-16, -0x1.be169fb1fa947p-16, -0x1.9d3475209fbb6p-16, -0x1.7da5ea9a3722cp-16, -0x1.5f54ea982eb68p-16, -0x1.422e165f67654p-16, -0x1.26234ad9e0221p-16, -0x1.0b2c20f09b83ap-16, -0x1.e288c55190063p-17, -0x1.b0d2ab3dd0904p-17, -0x1.812e8a94feccdp-17, -0x1.5390db45ab75dp-17, -0x1.27eb2eeeb7d11p-17, -0x1.fc6021297e459p-18, -0x1.acada449ee799p-18, -0x1.60b6adeb58f23p-18, -0x1.1872f9af493e3p-18, -0x1.a7a2889e7f84p-19, -0x1.256ad0be77bc6p-19, -0x1.53ed1f827acabp-20, -0x1.a794719a09b2bp-22, 0x1.cfe8edb9beba9p-22, 0x1.46724d0e2a168p-20, 0x1.072178c271a2fp-19, 0x1.660e9537ee29fp-19, 0x1.c044c238acae4p-19, 0x1.0af26af8732ebp-18, 0x1.3376debe02ebap-18, 0x1.59ab637ce8b4ep-18, 0x1.7d97052748db7p-18, 0x1.9f4e14d2616bap-18, 0x1.bee5550f67616p-18, 0x1.dc681258d49d7p-18, 0x1.f7dcd19869e3cp-18, 0x1.08a72c99d85c5p-17, 0x1.1466cf9b77717p-17, 0x1.1f3720e4e4553p-17, 0x1.2921563f84aa3p-17, 0x1.322d273aa9926p-17, 0x1.3a616462bddb8p-17, 0x1.41c579990472p-17, 0x1.4863071a11eb4p-17, 0x1.4e47e22b4842cp-17, 0x1.53864806f64dcp-17, 0x1.582e39d3b55dbp-17, 0x1.5c44bb9c25b04p-17, 0x1.5fc5c521a303bp-17, 0x1.62af851a10506p-17, 0x1.65075c4d48aabp-17, 0x1.66d36c53dda93p-17, 0x1.6815f8d56e258p-17, 0x1.68d1bb90e6469p-17, 0x1.690cf31ff7689p-17, 0x1.68ce73daff668p-17, 0x1.681b3d4d343d2p-17, 0x1.66f7d59bf8474p-17, 0x1.65695b540e211p-17, 0x1.6374626cbe222p-17, 0x1.611bf16760418p-17, 0x1.5e62530d0daafp-17, 0x1.5b4a58597501bp-17, 0x1.57d816a837a91p-17, 0x1.54133baaf7168p-17, 0x1.500676bf4e16dp-17, 0x1.4bb6b672a5d95p-17, 0x1.47215aa4975b2p-17, 0x1.42485a96b3a27p-17, 0x1.3d35522874427p-17, 0x1.37ed03be19a43p-17, 0x1.326bdd64835d4p-17, 0x1.2cb078e8ce836p-17, 0x1.26bfbb215ad3dp-17, 0x1.20a00a47a7b12p-17, 0x1.1a5500ccf567ap-17, 0x1.13df3d715e7d7p-17, 0x1.0d3f81001e1p-17, 0x1.0678ccb0d3e14p-17, 0x1.ff1e080fd07edp-18, 0x1.f109a7dc589d4p-18, 0x1.e2b79361b12a8p-18, 0x1.d42b3411ae56fp-18, 0x1.c567e6ba189c7p-18, 0x1.b670ffc6b6685p-18, 0x1.a74f5e48803ecp-18, 0x1.980b14d6422p-18, 0x1.889e236383bf1p-18, 0x1.7905adea6b4c4p-18, 0x1.694eacaa8a218p-18, 0x1.598150faa7c6p-18, 0x1.499ddc0aa3cfp-18, 0x1.39a8d5821b239p-18, 0x1.29a60ed7e2339p-18, 0x1.19962cf80e5c2p-18, 0x1.097c276a79e09p-18, 0x1.f2b8c18bb04a3p-19, 0x1.d26e848b63e3p-19, 0x1.b217323391561p-19, 0x1.91b8668ce1b96p-19, 0x1.715d0812a47a5p-19, 0x1.510d3895460e5p-19, 0x1.30cccb60f004p-19, 0x1.109ef2158770fp-19, 0x1.e1101afeb2a3dp-20, 0x1.a11120a005b7bp-20, 0x1.61400faa6e0fcp-20, 0x1.21b32a94c6cep-20, 0x1.c4ef29bb121ffp-21, 0x1.4710c68403166p-21, 0x1.93dd36720cc51p-22, 0x1.35d3a1d9ac708p-23, -0x1.73defd809f706p-24, -0x1.5376ccaab66e4p-22, -0x1.240dcbbc30cffp-21, -0x1.9d50522957d5cp-21, -0x1.0ac7375044b0fp-20, -0x1.466dd9e67cf1dp-20, -0x1.81932c8e86b1fp-20, -0x1.bc2e41459cea2p-20, -0x1.f6456064f9d3dp-20, -0x1.17ec5cd0bb417p-19, -0x1.346e705844562p-19, -0x1.50a40afcb29b1p-19, -0x1.6c8b43bdebebp-19, -0x1.882372ed4427cp-19, -0x1.a36b1d4f62fb1p-19, -0x1.be60c78c3da42p-19, -0x1.d907133cad434p-19, -0x1.f35ee35547187p-19, -0x1.06aff0f7f0ed2p-18, -0x1.1383e7996728bp-18, -0x1.202a554e10c4fp-18, -0x1.2ca55c61f11d4p-18, -0x1.38f5bc2f12d6fp-18, -0x1.451939ba1398bp-18, -0x1.510f3f7d2d7a5p-18, -0x1.5cd838b2f06b7p-18, -0x1.6873e8d71d08bp-18, -0x1.73e08c001b312p-18, -0x1.7f1d4aff18083p-18, -0x1.8a2b0c636aed3p-18, -0x1.95091968b9eb4p-18, -0x1.9fb72b001acf4p-18, -0x1.aa368aab74fa7p-18, -0x1.b486c73f9a4eep-18, -0x1.bea6caac75a68p-18, -0x1.c896375d51c5dp-18, -0x1.d2552299a1b8bp-18, -0x1.dbe3aa2b862c8p-18, -0x1.e541b907d63e4p-18, -0x1.ee6f50626d568p-18, -0x1.f76d38fa72523p-18, -0x1.001db53dfee71p-17, -0x1.046c4037474fep-17, -0x1.08a23d8746067p-17, -0x1.0cc04d399fe65p-17, -0x1.10c682de5b44fp-17, -0x1.14b48f1c16ecfp-17, -0x1.188a7db52e397p-17, -0x1.1c486e66eef15p-17, -0x1.1fee7ce60c1cfp-17, -0x1.237cc2973af7bp-17, -0x1.26f3638e1b6ap-17, -0x1.2a528cd727f0dp-17, -0x1.2d9a3353df804p-17, -0x1.30ca42b59795fp-17, -0x1.33e2dea303d5p-17, -0x1.36e432164c05fp-17, -0x1.39ce878f5286p-17, -0x1.3ca1ee155b63ap-17, -0x1.3f5e6f8509165p-17, -0x1.42042bd20fd21p-17, -0x1.4493490b9e9dbp-17, -0x1.470bef8fcd066p-17, -0x1.496e489d9c135p-17, -0x1.4bba7c3d3ac3ep-17, -0x1.4df0b18bf5c21p-17, -0x1.50110f25436cap-17, -0x1.521bbbabc808fp-17, -0x1.5410e122e5c29p-17, -0x1.55f0aa7f02f3p-17, -0x1.57bb4303defcfp-17, -0x1.5970d772a22f3p-17, -0x1.5b119538e635dp-17, -0x1.5c9daa3db996ep-17, -0x1.5e15452e29994p-17, -0x1.5f7895e9ff8ecp-17, -0x1.60c7cd89afcd5p-17, -0x1.62031e2f552fp-17, -0x1.632aba4c62264p-17, -0x1.643eca67ae075p-17, -0x1.653f6ab6cfbf6p-17, -0x1.662ce55fcf283p-17, -0x1.67078751c7ef2p-17, -0x1.67cf8ba1b90aap-17, -0x1.6884bff248f1fp-17, -0x1.6927b81a5b35fp-17, -0x1.69b89be1575b6p-17, -0x1.6a3795711716cp-17, -0x1.6aa4d496c4653p-17, -0x1.6b008dd509876p-17, -0x1.6b4b01468e473p-17, -0x1.6b845cf22b59fp-17, -0x1.6bacbed4a402ap-17, -0x1.6bc4932cdf2p-17, -0x1.6bcbd8c04a91cp-17, -0x1.6bc2df2d41d79p-17, -0x1.6ba9e4448033dp-17, -0x1.6b81170f0c777p-17, -0x1.6b48ac5c6a0d3p-17, -0x1.6b00daebb2bd3p-17, -0x1.6aa9d96ca1f74p-17, -0x1.6a43dded356f3p-17, -0x1.69cf1e49d0db9p-17, -0x1.694bd1abc158fp-17, -0x1.68ba30817fd4ap-17, -0x1.681a723ddbfafp-17, -0x1.676ccdd1686bap-17, -0x1.66b17c7960b46p-17, -0x1.65e8aa3bb9136p-17, -0x1.6512664e82518p-17, -0x1.642f28ddf2ef9p-17, -0x1.633f2dd1d8b4bp-17, -0x1.624264aaf20bcp-17, -0x1.613934640ea05p-17, -0x1.6023d7d2ff5cbp-17, -0x1.5f02765554adp-17, -0x1.5dd53ec89e3fep-17, -0x1.5c9c6b72adc66p-17, -0x1.5b583edc2d5a4p-17, -0x1.5a08d88c659cp-17, -0x1.58ae6ea0cb179p-17, -0x1.57492a45354a9p-17, -0x1.55d9587f23586p-17, -0x1.545f29db9c94dp-17, -0x1.52daca11fbe14p-17, -0x1.514c6b45dce16p-17, -0x1.4fb4407af1b6ep-17, -0x1.4e127c6b26a67p-17, -0x1.4c67516c29cbep-17, -0x1.4ab2f15ec4083p-17, -0x1.48f58d9658adfp-17, -0x1.472f56d60761fp-17, -0x1.45607d918574bp-17, -0x1.438932654ce42p-17, -0x1.41a9a63e3fcc1p-17, -0x1.3fc20995f2773p-17, -0x1.3dd28b035733cp-17, -0x1.3bdb59188372p-17, -0x1.39dca9d9e135cp-17, -0x1.37d6a2de5da2ep-17, -0x1.35c964e621fa8p-17, -0x1.33b5356828f38p-17, -0x1.319a28c66d146p-17, -0x1.2f788c15be969p-17, -0x1.2d5079667a4f9p-17, -0x1.2b221a9b8cbc7p-17, -0x1.28eda76612e8cp-17, -0x1.26b34cfa64b0cp-17, -0x1.24733839f792ap-17, -0x1.222d69675d2d8p-17, -0x1.1fe22afdc310dp-17, -0x1.1d91b1aee7443p-17, -0x1.1b3c1cba5a6b8p-17, -0x1.18e194265445ep-17, -0x1.168243bef544cp-17, -0x1.141e4773d1e15p-17, -0x1.11b5da52db4ebp-17, -0x1.0f49117af0ebp-17, -0x1.0cd81ff5d949ap-17, -0x1.0a632983dca5bp-17, -0x1.07ea535de1277p-17, -0x1.056dc1c889f61p-17, -0x1.02ed9f0fdb8e9p-17, -0x1.006a0e85801d5p-17, -0x1.fbc6635647d0bp-18, -0x1.f6b25ca00a24bp-18, -0x1.f19851be2a27ep-18, -0x1.ec788a1e09724p-18, -0x1.e7534abe60691p-18, -0x1.e228d63e9fc2fp-18, -0x1.dcf9773d248c4p-18, -0x1.d7c582e537f4ap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.359c1f4ce1755p-7, 0x1.35bf662646c6dp-6, 0x1.d0f4fd27115b9p-6, 0x1.3645be5779a4cp-5, 0x1.844cd5d858c49p-5, 0x1.d297ad4f96efap-5, 0x1.10952f4c7ec47p-4, 0x1.3802898f049ddp-4, 0x1.5f9205c7f8f74p-4, 0x1.873fe4985329ap-4, 0x1.af06a7f62cdecp-4, 0x1.d6df3c80773fp-4, 0x1.fec1279aae764p-4, 0x1.13515bcfc367ap-3, 0x1.273c9a1fa0181p-3, 0x1.3b1c86dfe6b22p-3, 0x1.4eeb0524a86dep-3, 0x1.62a1b85ae978ap-3, 0x1.763a1845240c7p-3, 0x1.89ad836dc8f88p-3, 0x1.9cf54ffa8c2d1p-3, 0x1.b00adad2daffep-3, 0x1.c2e7951318f7fp-3, 0x1.d5850fcd828cap-3, 0x1.e7dd06213a647p-3, 0x1.f9e965b726d22p-3, 0x1.05d22add76fddp-2, 0x1.0e841e35f6458p-2, 0x1.1707e1b303858p-2, 0x1.1f5aed629a1b9p-2, 0x1.277adda3d6b7cp-2, 0x1.2f6573c96521cp-2, 0x1.3718965eaba32p-2, 0x1.3e92512006abep-2, 0x1.45d0d4b50cb63p-2, 0x1.4cd2763a259e7p-2, 0x1.5395aea50dadap-2, 0x1.5a191a0e0b438p-2, 0x1.605b76e5eb873p-2, 0x1.665ba51f3caa4p-2, 0x1.6c18a54fb62dfp-2, 0x1.719197cd85251p-2, 0x1.76c5bbcb0448p-2, 0x1.7bb46e72836d1p-2, 0x1.805d2a030074dp-2, 0x1.84bf84ee23781p-2, 0x1.88db30f762f32p-2, 0x1.8caffa53edda2p-2, 0x1.903dc6cad1ee9p-2, 0x1.938494d4bd5d8p-2, 0x1.96847abac8c1ep-2, 0x1.993da5b3b4e2bp-2, 0x1.9bb058ff3afbep-2, 0x1.9ddcecff1dc33p-2, 0x1.9fc3ce4dd8db1p-2, 0x1.a1657cd2f9427p-2, 0x1.a2c28ad543418p-2, 0x1.a3db9c0afd59cp-2, 0x1.a4b164a8d3e39p-2, 0x1.a544a86fd94aep-2, 0x1.a59639bb5b324p-2, 0x1.a5a6f88f339c1p-2, 0x1.a577d1a767e3bp-2, 0x1.a509bd89da1e2p-2, 0x1.a45dbf9ae4d38p-2, 0x1.a374e535a68bbp-2, 0x1.a25044c8cb705p-2, 0x1.a0f0fcf89457cp-2, 0x1.9f5833c6cc036p-2, 0x1.9d8715c14e9fbp-2, 0x1.9b7ed537c1682p-2, 0x1.9940a978f04dfp-2, 0x1.96cdce184d378p-2, 0x1.9427823bed33ap-2, 0x1.914f07f3475c8p-2, 0x1.8e45a396f761cp-2, 0x1.8b0c9b31a2f4fp-2, 0x1.87a535f216519p-2, 0x1.8410bba69f5dp-2, 0x1.8050744195c4ep-2, 0x1.7c65a766f4d81p-2, 0x1.78519c02e5adbp-2, 0x1.741597e8f9635p-2, 0x1.6fb2df7bdf8dcp-2, 0x1.6b2ab55d47ee5p-2, 0x1.667e5a25a51abp-2, 0x1.61af0c2371871p-2, 0x1.5cbe0721a2118p-2, 0x1.57ac8434dd61fp-2, 0x1.527bb98f1a70ap-2, 0x1.4d2cda593ae44p-2, 0x1.47c11692390a8p-2, 0x1.42399af388399p-2, 0x1.3c9790da3692ep-2, 0x1.36dc1e3471278p-2, 0x1.3108657302b2ap-2, 0x1.2b1d857e6deb7p-2, 0x1.251c99af40083p-2, 0x1.1f06b9c944cf5p-2, 0x1.18dcf9f940baap-2, 0x1.12a06ad4e273dp-2, 0x1.0c52195c94958p-2, 0x1.05f30efeedb78p-2, 0x1.ff08a33ae3a02p-3, 0x1.f20dc724cf8f3p-3, 0x1.e4f7876f044e6p-3, 0x1.d7c7dada4edbbp-3, 0x1.ca80b1444704cp-3, 0x1.bd23f3b72909ep-3, 0x1.afb38479ceecp-3, 0x1.a2313f1f82254p-3, 0x1.949ef89761309p-3, 0x1.86fe7f3b17c87p-3, 0x1.79519adcc248cp-3, 0x1.6b9a0cd3c3e6fp-3, 0x1.5dd99008739bap-3, 0x1.5011d8fe82b67p-3, 0x1.424495ddfd71cp-3, 0x1.34736e7adbd89p-3, 0x1.26a0045b140bfp-3, 0x1.18cbf2bb27be5p-3, 0x1.0af8ce912960cp-3, 0x1.fa504d1c790cdp-4, 0x1.deb7063d2f4e6p-4, 0x1.c328ccd01c941p-4, 0x1.a7a8988e6c21p-4, 0x1.8c39549663f7ap-4, 0x1.70dddf6062ef5p-4, 0x1.55990ab188d46p-4, 0x1.3a6d9b8c1b0b8p-4, 0x1.1f5e4a1de34b5p-4, 0x1.046dc1acb5754p-4, 0x1.d33d41029f238p-5, 0x1.9de6efa19cb1p-5, 0x1.68dd9749c96b4p-5, 0x1.342625862b41dp-5, 0x1.ff8ada4c7e67dp-6, 0x1.97804c135f8acp-6, 0x1.3035d9d69fd7p-6, 0x1.93690caf0bc32p-7, 0x1.901474e24db1cp-8, -0x1.9f9ad7ee347dbp-15, -0x1.930775aebba7dp-8, -0x1.8f91dde22d9aap-7, -0x1.29dd16dd756acp-6, -0x1.8af6a326a04fbp-6, -0x1.eb0e1b3044f79p-6, -0x1.250e200fe840bp-5, -0x1.540d06955117ap-5, -0x1.82805beee14dbp-5, -0x1.b064d82f653dcp-5, -0x1.ddb750d2b459p-5, -0x1.053a5c6b437c1p-4, -0x1.1b4d10679fa4bp-4, -0x1.31125b7c346cep-4, -0x1.4688e3a06211ap-4, -0x1.5baf5da8e7269p-4, -0x1.70848d49493a2p-4, -0x1.85074512d8bccp-4, -0x1.99366671478d1p-4, -0x1.ad10e1a4c6e6dp-4, -0x1.c095b5b9aac5p-4, -0x1.d3c3f07d84a4p-4, -0x1.e69aae71c6b49p-4, -0x1.f9191abbdc7fdp-4, -0x1.059f37895e57p-3, -0x1.0e84f9d505239p-3, -0x1.173d7f8d5909fp-3, -0x1.1fc87b248f414p-3, -0x1.2825a6247f453p-3, -0x1.3054c11f542d4p-3, -0x1.3855939f1add5p-3, -0x1.4027ec1427c88p-3, -0x1.47cb9fc25fb5fp-3, -0x1.4f408aad6b71ap-3, -0x1.56868f83e2ba5p-3, -0x1.5d9d978965a04p-3, -0x1.6485927fcb08cp-3, -0x1.6b3e768f4ad51p-3, -0x1.71c8402dc97ddp-3, -0x1.7822f2053b77ep-3, -0x1.7e4e94d93820ep-3, -0x1.844b376bbc346p-3, -0x1.8a18ee612abd4p-3, -0x1.8fb7d4239a96bp-3, -0x1.952808c5723ebp-3, -0x1.9a69b1e35f2b6p-3, -0x1.9f7cfa85c3083p-3, -0x1.a46213017e379p-3, -0x1.a91930d84e243p-3, -0x1.ada28e98a8829p-3, -0x1.b1fe6bbd289e6p-3, -0x1.b62d0c8ba04c7p-3, -0x1.ba2eb9f3d38a7p-3, -0x1.be03c16ddb46cp-3, -0x1.c1ac74d853624p-3, -0x1.c5292a5644156p-3, -0x1.c87a3c2ce7458p-3, -0x1.cba008a1401c5p-3, -0x1.ce9af1d59bc0fp-3, -0x1.d16b5da7015a7p-3, -0x1.d411b58a94e0fp-3, -0x1.d68e666afd72bp-3, -0x1.d8e1e085d476p-3, -0x1.db0c974927332p-3, -0x1.dd0f01310ae73p-3, -0x1.dee997a55f75bp-3, -0x1.e09cd6d7ae401p-3, -0x1.e2293da144ccap-3, -0x1.e38f4d6180b08p-3, -0x1.e4cf89dc5ace1p-3, -0x1.e5ea79193d57dp-3, -0x1.e6e0a34220315p-3, -0x1.e7b29282faa36p-3, -0x1.e860d2e98c24p-3, -0x1.e8ebf24585e11p-3, -0x1.e95480090fc53p-3, -0x1.e99b0d29bc516p-3, -0x1.e9c02c01e9891p-3, -0x1.e9c470328b6bep-3, -0x1.e9a86e857518dp-3, -0x1.e96cbcd0144b9p-3, -0x1.e911f1d6afe8ep-3, -0x1.e898a53020cf9p-3, -0x1.e8016f2a13p-3, -0x1.e74ce8adcd588p-3, -0x1.e67bab257fe5cp-3, -0x1.e58e50621fd1ep-3, -0x1.e4857281d2b31p-3, -0x1.e361abd6e779p-3, -0x1.e22396cf631fdp-3, -0x1.e0cbcddd220adp-3, -0x1.df5aeb5e89a0ep-3, -0x1.ddd18987d75b8p-3, -0x1.dc30424cff36dp-3, -0x1.da77af4c27948p-3, -0x1.d8a869b8bb887p-3, -0x1.d6c30a4718d64p-3, -0x1.d4c82918d0d43p-3, -0x1.d2b85da988832p-3, -0x1.d0943ebc71b42p-3, -0x1.ce5c624a57f47p-3, -0x1.cc115d704aec1p-3, -0x1.c9b3c45ee0e96p-3, -0x1.c7442a4a0e136p-3, -0x1.c4c3215992e73p-3, -0x1.c2313a9a011f8p-3, -0x1.bf8f05ee57057p-3, -0x1.bcdd12022b036p-3, -0x1.ba1bec3c6a1c4p-3, -0x1.b74c20b2a948ap-3, -0x1.b46e3a1d01cd7p-3, -0x1.b182c1ca83fd3p-3, -0x1.ae8a3f9628a2ap-3, -0x1.ab8539dc5c5a2p-3, -0x1.a874357106102p-3, -0x1.a557b5961cep-3, -0x1.a2303bf2c021ap-3, -0x1.9efe488ace20cp-3, -0x1.9bc259b7040c7p-3, -0x1.987cec1d92e37p-3, -0x1.952e7aab368f7p-3, -0x1.91d77e8cc9064p-3, -0x1.8e786f2946028p-3, -0x1.8b11c21c481edp-3, -0x1.87a3eb30fbcf4p-3, -0x1.842f5c5d7f6d1p-3, -0x1.80b485beb1361p-3, -0x1.7d33d5946d017p-3, -0x1.79adb83e2ffe1p-3, -0x1.76229838251cap-3, -0x1.7292de18931d3p-3, -0x1.6efef08db50b2p-3, -0x1.6b67345be649bp-3, -0x1.67cc0c5c358ap-3, -0x1.642dd97b4ed65p-3, -0x1.608cfab8baefcp-3, -0x1.5ce9cd267daafp-3, -0x1.5944abe8f645fp-3, -0x1.559df03726a79p-3, -0x1.51f5f15b33cbcp-3, -0x1.4e4d04b3428bcp-3, -0x1.4aa37db29117cp-3, -0x1.46f9ade2e15ccp-3, -0x1.434fe4e6201cbp-3, -0x1.3fa6707854262p-3, -0x1.3bfd9c71c87c1p-3, -0x1.3855b2c975d25p-3, -0x1.34aefb97ac3fap-3, -0x1.3109bd18e9ccbp-3, -0x1.2d663bb0f3dc5p-3, -0x1.29c4b9ee20139p-3, -0x1.2625788cca1dfp-3, -0x1.2288b67b0460cp-3, -0x1.1eeeb0dc6e811p-3, -0x1.1b57a30e37e4dp-3, -0x1.17c3c6ab5294bp-3, -0x1.14335390c3252p-3, -0x1.10a67fe220fffp-3, -0x1.0d1d800e33b5p-3, -0x1.099886d3b37a6p-3, -0x1.0617c5462a37bp-3, -0x1.029b6ad2f27ap-3, -0x1.fe474a8ca89ecp-4, -0x1.f76141a16af9bp-4, -0x1.f0851017db891p-4, -0x1.e9b308014b73dp-4, -0x1.e2eb7857b18acp-4, -0x1.dc2ead08b71b1p-4, -0x1.d57cef00fecf7p-4, -0x1.ced6843787b64p-4, -0x1.c83bafb928e91p-4, -0x1.c1acb1b42cdebp-4, -0x1.bb29c78407209p-4, -0x1.b4b32bbd18131p-4, -0x1.ae49163885d9cp-4, -0x1.a7ebbc2031623p-4, -0x1.a19b4ffaa0dfdp-4, -0x1.9b5801b712be7p-4, -0x1.9521feb97b786p-4, -0x1.8ef971e69d76p-4, -0x1.88de83b0249eep-4, -0x1.82d15a20b7b6dp-4, -0x1.7cd218e8125a2p-4, -0x1.76e0e1671a931p-4, -0x1.70fdd2bbf453cp-4, -0x1.6b2909ce09808p-4, -0x1.6562a15a10915p-4, -0x1.5faab1fe0115ap-4, -0x1.5a01524504b25p-4, -0x1.546696b357f16p-4, -0x1.4eda91d21b958p-4, -0x1.495d543b15651p-4, -0x1.43eeeca461a68p-4, -0x1.3e8f67ec0d37p-4, -0x1.393ed123a1615p-4, -0x1.33fd319b94f75p-4, -0x1.2eca90eea8a8ap-4, -0x1.29a6f50d2950ep-4, -0x1.249262481fcc7p-4, -0x1.1f8cdb5c5a739p-4, -0x1.1a96617d68288p-4, -0x1.15aef4607063dp-4, -0x1.10d69246edb2p-4, -0x1.0c0d380950ccp-4, -0x1.0752e1217d823p-4, -0x1.02a787b52e7ffp-4, -0x1.fc164940645bbp-5, -0x1.f2fb5efd1d316p-5, -0x1.e9fe3d6d0345p-5, -0x1.e11ecf04b8296p-5, -0x1.d85cfbf480bf2p-5, -0x1.cfb8aa3b6faabp-5, -0x1.c731bdba52917p-5, -0x1.bec81846589fp-5, -0x1.b67b99bb70e91p-5, -0x1.ae4c200e5b121p-5, -0x1.a639875e734efp-5, -0x1.9e43aa0738c38p-5, -0x1.966a60b182f1ap-5, -0x1.8ead82646f08p-5, -0x1.870ce49607e0bp-5, -0x1.7f885b3b9e7b1p-5, -0x1.781fb8d9d568ap-5, -0x1.70d2ce946b21dp-5, -0x1.69a16c3db47cdp-5, -0x1.628b6065c2b35p-5, -0x1.5b9078694c895p-5, -0x1.54b0808045796p-5, -0x1.4deb43cc30452p-5, -0x1.47408c661e7c2p-5, -0x1.40b0236c71bcbp-5, -0x1.3a39d1104287dp-5, -0x1.33dd5ca28d612p-5, -0x1.2d9a8ca10d409p-5, -0x1.277126c2d383bp-5, -0x1.2160f0049277bp-5, -0x1.1b69acb4a3a13p-5, -0x1.158b207ec74bcp-5, -0x1.0fc50e7798cdbp-5, -0x1.0a173927be8a4p-5, -0x1.04816296d5577p-5, -0x1.fe0698ac2e9p-6, -0x1.f3396f157bb31p-6, -0x1.e89ac9f04290bp-6, -0x1.de2a2a131ed26p-6, -0x1.d3e70fb7ceccbp-6, -0x1.c9d0fa8de6afp-6, -0x1.bfe769ccebb3cp-6, -0x1.b629dc460d811p-6, -0x1.ac97d075559ccp-6, -0x1.a330c4924cf47p-6, -0x1.99f436a03cc4ep-6, -0x1.90e1a47de865ap-6, -0x1.87f88bf4c91f3p-6, -0x1.7f386ac7dda28p-6, -0x1.76a0bec204b14p-6, -0x1.6e3105c3e2416p-6, -0x1.65e8bdd14f1cfp-6, -0x1.5dc7651e5ef47p-6, -0x1.55cc7a1c011c2p-6, -0x1.4df77b841540fp-6, -0x1.4647e8653df7dp-6, -0x1.3ebd402e3557p-6, -0x1.375702b8b0448p-6, -0x1.3014b053fb663p-6, -0x1.28f5c9cf125dep-6, -0x1.21f9d0827d52bp-6, -0x1.1b204659a97a2p-6, -0x1.1468addbf0b55p-6, -0x1.0dd28a3555e29p-6, -0x1.075d5f3ecbaabp-6, -0x1.0108b18630b7cp-6, -0x1.f5a80cabf5fc5p-7, -0x1.e97dc779053e7p-7, -0x1.dd91a1260a084p-7, -0x1.d1e2a9088f233p-7, -0x1.c66ff025f7758p-7, -0x1.bb38893f8f31fp-7, -0x1.b03b88de104b8p-7, -0x1.a578055c975bp-7, -0x1.9aed16f2f2732p-7, -0x1.9099d7bf72b2ep-7, -0x1.867d63d046374p-7, -0x1.7c96d92c1c7ffp-7, -0x1.72e557da62aeep-7, -0x1.696801eafce49p-7, -0x1.601dfb7d852bdp-7, -0x1.57066ac7fda88p-7, -0x1.4e20781d13976p-7, -0x1.456b4df204b74p-7, -0x1.3ce618e3e2d85p-7, -0x1.349007bca0acfp-7, -0x1.2c684b7794f6p-7, -0x1.246e174582ae1p-7, -0x1.1ca0a0906a094p-7, -0x1.14ff1efecdfc9p-7, -0x1.0d88cc76b26afp-7, -0x1.063ce52024195p-7, -0x1.fe354ecf26ed4p-8, -0x1.f042a7ff218c3p-8, -0x1.e2a05bc51caf5p-8, -0x1.d54cf4a8076efp-8, -0x1.c84701c2bbd65p-8, -0x1.bb8d16c543259p-8, -0x1.af1dcbf594192p-8, -0x1.a2f7be2f8c6ffp-8, -0x1.97198ee49f031p-8, -0x1.8b81e41ae43c9p-8, -0x1.802f686b6f17fp-8, -0x1.7520cb00aadcdp-8, -0x1.6a54bf938219ap-8, -0x1.5fc9fe68e59a1p-8, -0x1.557f444e300a1p-8, -0x1.4b7352956e932p-8, -0x1.41a4ef114f1eep-8, -0x1.3812e410548c4p-8, -0x1.2ebc00581a5f4p-8, -0x1.259f172016ae5p-8, -0x1.1cbb000bb44d4p-8, -0x1.140e9724a814cp-8, -0x1.0b98bcd4646b1p-8, -0x1.035855dd9075dp-8, -0x1.f69896aa67b8cp-9, -0x1.e6e715372da4dp-9, -0x1.d79a0aa92acc4p-9, -0x1.c8af62c06716dp-9, -0x1.ba2511a5174a4p-9, -0x1.abf913d757c64p-9, -0x1.9e296e1eb6d63p-9, -0x1.90b42d78e5263p-9, -0x1.83976707f2d1p-9, -0x1.76d13800d11b8p-9, -0x1.6a5fc598ff65p-9, -0x1.5e413cf39445ap-9, -0x1.5273d30f5183cp-9, -0x1.46f5c4b271f21p-9, -0x1.3bc5565813f2p-9, -0x1.30e0d41c1c263p-9, -0x1.264691a7a4e1cp-9, -0x1.1bf4ea1ce16a7p-9, -0x1.11ea4002d4c29p-9, -0x1.0824fd30f15d1p-9, -0x1.fd472574d4052p-10, -0x1.eac8f1b2dce2dp-10, -0x1.d8cc5db50cc8dp-10, -0x1.c74e760f39526p-10, -0x1.b64c552505151p-10, -0x1.a5c32300ec5fep-10, -0x1.95b015288707fp-10, -0x1.86106e7340b62p-10, -0x1.76e17ede9e148p-10, -0x1.6820a3645d1ccp-10, -0x1.59cb45cf6448bp-10, -0x1.4bdedc911dd82p-10, -0x1.3e58ea963f991p-10, -0x1.3136ff1c57b87p-10, -0x1.2476b587821a5p-10, -0x1.1815b537b85e3p-10, -0x1.0c11b15d8d449p-10, -0x1.006868d081e82p-10, -0x1.ea2f4bc9287d5p-11, -0x1.d43a7c7f32449p-11, -0x1.beee255fb07f6p-11, -0x1.aa461e0370dap-11, -0x1.963e53ad010cp-11, -0x1.82d2c8f4be5ebp-11, -0x1.6fff9575fad91p-11, -0x1.5dc0e57e3acc9p-11, -0x1.4c12f9bae563fp-11, -0x1.3af226e840a98p-11, -0x1.2a5ad580673e6p-11, -0x1.1a49816bc2bbcp-11, -0x1.0abab9b0c22bcp-11, -0x1.f756404b96adep-12, -0x1.da2ed242f124cp-12, -0x1.bdf8b65d4790bp-12, -0x1.a2ad9d7d1720bp-12, -0x1.88475bb5faea9p-12, -0x1.6ebfe7b8add62p-12, -0x1.56115a3ad82cp-12, -0x1.3e35ed627e3c3p-12, -0x1.2727fc33148e5p-12, -0x1.10e201fa8281p-12, -0x1.f6bd338241726p-13, -0x1.cd30fb732379bp-13, -0x1.a5150d66cc591p-13, -0x1.7e5f571de4ab2p-13, -0x1.59060165e2c47p-13, -0x1.34ff6f059ba4bp-13, -0x1.12423bad0ec48p-13, -0x1.e18a75d63f329p-14, -0x1.a0feee447a615p-14, -0x1.62d061083b30cp-14, -0x1.26edb8197c06fp-14, -0x1.da8c8a11eac98p-15, -0x1.6b937e15373eap-15, -0x1.00d081f15e5b7p-15, -0x1.34491dc629be2p-16, -0x1.bb8aee745c3a3p-18, 0x1.3b34e3a32cb2ep-18, 0x1.050065883d2f4p-16, 0x1.b3ef06d222db1p-16, 0x1.2de7fbac47156p-15, 0x1.7e6c5b5790a28p-15, 0x1.cb9eb83f95534p-15, 0x1.0acc40de602fbp-14, 0x1.2e394202bbbf5p-14, 0x1.502275c73460cp-14, 0x1.7093a42103506p-14, 0x1.8f98487062fep-14, 0x1.ad3b930fc0646p-14, 0x1.c9886aed95bcep-14, 0x1.e4896f13e265dp-14, 0x1.fe48f832b1551p-14, 0x1.0b688d0fecdb5p-13, 0x1.1715d2a88055fp-13, 0x1.2231142821dfcp-13, 0x1.2cbef895ffaccp-13, 0x1.36c4077122751p-13, 0x1.4044a96036537p-13, 0x1.494528e16dc27p-13, 0x1.51c9b2f228039p-13, 0x1.59d657bb5f9bp-13, 0x1.616f0b35ef1f4p-13, 0x1.6897a5cf0b2d6p-13, 0x1.6f53e506087e8p-13, 0x1.75a76c0bbe847p-13, 0x1.7b95c45c0b9fdp-13, 0x1.81225e55a731p-13, 0x1.865091cda0ac5p-13, 0x1.8b239ea3afa5fp-13, 0x1.8f9ead5140644p-13, 0x1.93c4cf77332d5p-13, 0x1.97990068cf82p-13, 0x1.9b1e25b17bfa9p-13, 0x1.9e570f9a3ab03p-13, 0x1.a14679ad28beep-13, 0x1.a3ef0b36b7e99p-13, 0x1.a65357c21474ap-13, 0x1.a875df9489656p-13, 0x1.aa591029259b9p-13, 0x1.abff44a43ad98p-13, 0x1.ad6ac649d24dfp-13, 0x1.ae9dccec152b6p-13, 0x1.af9a7f5f12d83p-13, 0x1.b062f3e3d00a4p-13, 0x1.b0f93095853a7p-13, 0x1.b15f2bd233a4ap-13, 0x1.b196cca00c075p-13, 0x1.b1a1eb125bc9ep-13, 0x1.b18250adcfe77p-13, 0x1.b139b8c861421p-13, 0x1.b0c9d0e6e6621p-13, 0x1.b034391ac8558p-13, 0x1.af7a845cb5725p-13, 0x1.ae9e38e55c97ep-13, 0x1.ada0d0846e2f7p-13, 0x1.ac83b8f4d11a7p-13, 0x1.ab48542e3c317p-13, 0x1.a9eff8b946442p-13, 0x1.a87bf1fd70118p-13, 0x1.a6ed808e6f4b6p-13, 0x1.a545da79caab2p-13, 0x1.a3862b8ec2db8p-13, 0x1.a1af95a804f3bp-13, 0x1.9fc330f3b59aep-13, 0x1.9dc20c36c61ccp-13, 0x1.9bad2d1030444p-13, 0x1.9985903d27366p-13, 0x1.974c29d8ae27dp-13, 0x1.9501e59bdcea5p-13, 0x1.92a7a71990a2fp-13, 0x1.903e49fb83e3fp-13, 0x1.8dc6a23c580cfp-13, 0x1.8b417c61d11bap-13, 0x1.88af9db4855d6p-13, 0x1.8611c474f6332p-13, 0x1.8368a812a4d67p-13, 0x1.80b4f95f0b147p-13, 0x1.7df762c0d5c9p-13, 0x1.7b30886630a9bp-13, 0x1.7861087243adbp-13, 0x1.75897b2d763b2p-13, 0x1.72aa7333c3d4ep-13, 0x1.6fc47da096ad8p-13, 0x1.6cd8223aec158p-13, 0x1.69e5e3a03929p-13, 0x1.66ee3f6c9e6fbp-13, 0x1.63f1ae6276a83p-13, 0x1.60f0a493ae3d8p-13, 0x1.5deb91863fbe6p-13, 0x1.5ae2e0590b4d7p-13, 0x1.57d6f7e843c87p-13, 0x1.54c83af1a24ap-13, 0x1.51b70835d5b4ap-13, 0x1.4ea3ba9b60d4cp-13, 0x1.4b8ea94cba579p-13, 0x1.487827d92c384p-13, 0x1.456086522ada9p-13, 0x1.4248116abb10ep-13, 0x1.3f2f1293d6eb9p-13, 0x1.3c15d018a919ap-13, 0x1.38fc8d3a4861ep-13, 0x1.35e38a4a8f3adp-13, 0x1.32cb04c4600e5p-13, 0x1.2fb337678dbc9p-13, 0x1.2c9c5a4e5be88p-13, 0x1.2986a3062482ep-13, 0x1.267244a725293p-13, 0x1.235f6fea4dcf1p-13, 0x1.204e533f52f59p-13, 0x1.1d3f1ae28c8b4p-13, 0x1.1a31f0efe3cbep-13, 0x1.1726fd773b6cep-13, 0x1.141e668f203dbp-13, 0x1.1118506873472p-13, 0x1.0e14dd602ad3dp-13, 0x1.0b142e1052b78p-13, 0x1.08166161ecdep-13, 0x1.051b949d16b26p-13, 0x1.0223e378c43dbp-13, 0x1.fe5ed055be7f6p-14, 0x1.f87c76ec6ddfcp-14, 0x1.f2a0e972d27a8p-14, 0x1.eccc53f9931a8p-14, 0x1.e6fee0016e54fp-14, 0x1.e138b4942ca4bp-14, 0x1.db79f65e0b369p-14, 0x1.d5c2c7c8de441p-14, 0x1.d0134910e388ep-14, 0x1.ca6b985ba9f2fp-14, 0x1.c4cbd1d09b412p-14, 0x1.bf340facd7ad2p-14, 0x1.b9a46a57ef292p-14, 0x1.b41cf878d7dcep-14, 0x1.ae9dcf080cdaep-14, 0x1.a92701646d327p-14, 0x1.a3b8a16314c7ap-14, 0x1.9e52bf626c3e7p-14, 0x1.98f56a58dcbabp-14, 0x1.93a0afe7b2664p-14, 0x1.8e549c67773a6p-14, 0x1.89113af9cedfep-14, 0x1.83d695977aca9p-14, 0x1.7ea4b51e04146p-14, 0x1.797ba15c4b99bp-14, 0x1.745b6120d7666p-14, 0x1.6f43fa4614d1dp-14, 0x1.6a3571bdda075p-14, 0x1.652fcb9ce64c3p-14, 0x1.60330b267b7e4p-14, 0x1.5b3f32d6487c6p-14, 0x1.5654446baf98dp-14, 0x1.517240f2b1906p-14, 0x1.4c9928cdc9e5ep-14, 0x1.47c8fbbe7ae98p-14, 0x1.4301b8ef83f8dp-14, 0x1.3e435efbb769dp-14, 0x1.398debf64ee84p-14, 0x1.34e15d72d3044p-14, 0x1.303db08bad61ap-14, 0x1.2ba2e1ebb96a8p-14, 0x1.2710edd17efd2p-14, 0x1.2287d0178ac06p-14, 0x1.1e07843a31b25p-14, 0x1.1990055e94a75p-14, 0x1.15214e56a6886p-14, 0x1.10bb59a70384dp-14, 0x1.0c5e218c1f4afp-14, 0x1.08099fff926a5p-14, 0x1.03bdcebb6705cp-14, 0x1.fef54e8081174p-15, 0x1.f68045b0fdf1bp-15, 0x1.ee1c753780a62p-15, 0x1.e5c9cee85370fp-15, 0x1.dd884442c5a6p-15, 0x1.d557c6779752cp-15, 0x1.cd38466ecd326p-15, 0x1.c529b4cf06237p-15, 0x1.bd2c020420137p-15, 0x1.b53f1e42ac808p-15, 0x1.ad62f98dc9789p-15, 0x1.a59783ba9cf38p-15, 0x1.9ddcac798019ep-15, 0x1.963263567ca65p-15, 0x1.8e9897be7e5bcp-15, 0x1.870f3901965dap-15, 0x1.7f96365a842abp-15, 0x1.782d7eee3da3cp-15, 0x1.70d501cf32e97p-15, 0x1.698cae031f122p-15, 0x1.62547282c864ap-15, 0x1.5b2c3e3e83c9bp-15, 0x1.5414001fd09b1p-15, 0x1.4d0ba70c7651p-15, 0x1.461321e6e73a4p-15, 0x1.3f2a5f90f43d1p-15, 0x1.38514eedae8b3p-15, 0x1.3187dee3c99a1p-15, 0x1.2acdfe5ca961bp-15, 0x1.24239c46647e3p-15, 0x1.1d88a79763917p-15, 0x1.16fd0f4ca5633p-15, 0x1.1080c26c35be3p-15, 0x1.0a13b004b4be1p-15, 0x1.03b5c72ee1af2p-15, 0x1.facdee1e5d293p-16, 0x1.ee4e5da8bedefp-16, 0x1.e1ecbb7174a7dp-16, }}, 
      {{0x1.0c1c20066ef6dp-7, 0x1.0c2b7c43ab557p-6, 0x1.9266f51177fe8p-6, 0x1.0c66f186f8e4ep-5, 0x1.4fb5f38831bddp-5, 0x1.93253c5002d8ep-5, 0x1.d6b850b2bd3adp-5, 0x1.0d38b4b9823d1p-4, 0x1.2f28b4e67ac9p-4, 0x1.512bf00639601p-4, 0x1.734187317635cp-4, 0x1.9567fd132d016p-4, 0x1.b79d3fdf58fcap-4, 0x1.d9deb4dffc0b1p-4, 0x1.fc2944fa77c59p-4, 0x1.0f3cb4d91b33ep-3, 0x1.20659d261b269p-3, 0x1.318d3c67bf411p-3, 0x1.42b14f5881325p-3, 0x1.53cf74836bcfdp-3, 0x1.64e5321401943p-3, 0x1.75effb52ad67cp-3, 0x1.86ed35c6821fbp-3, 0x1.97da3df7544ep-3, 0x1.a8b46bcd24cefp-3, 0x1.b979168b8183cp-3, 0x1.ca2598692fca1p-3, 0x1.dab751c5e8536p-3, 0x1.eb2bac012df03p-3, 0x1.fb801bf67afbcp-3, 0x1.05d91211eb6acp-2, 0x1.0ddfab40490e8p-2, 0x1.15d2ab053be29p-2, 0x1.1db0ec07ef7e7p-2, 0x1.2579529e9b634p-2, 0x1.2d2acd3a3d5f9p-2, 0x1.34c454ba6a4f9p-2, 0x1.3c44ecac22a5fp-2, 0x1.43aba3766a6e4p-2, 0x1.4af7927727c76p-2, 0x1.5227de1282b32p-2, 0x1.593bb5b6d1294p-2, 0x1.603253d6c73b8p-2, 0x1.670afddb77ffp-2, 0x1.6dc5040f6caf7p-2, 0x1.745fc183f1ae1p-2, 0x1.7ada9bf177e6cp-2, 0x1.81350393d55bdp-2, 0x1.876e7302f97ecp-2, 0x1.8d866f0897f6ap-2, 0x1.937c86732a23dp-2, 0x1.995051e69fc96p-2, 0x1.9f0173aaf5d3ep-2, 0x1.a48f9778eaa99p-2, 0x1.a9fa724503786p-2, 0x1.af41c208f337fp-2, 0x1.b4654d8b96d4dp-2, 0x1.b964e42798fe2p-2, 0x1.be405d90da9bcp-2, 0x1.c2f79998c0795p-2, 0x1.c78a7ff17d04bp-2, 0x1.cbf8fff0794e8p-2, 0x1.d043104ffba6ap-2, 0x1.d468aef0294abp-2, 0x1.d869e0978b2d4p-2, 0x1.dc46b0b3342eap-2, 0x1.dfff3116b36f2p-2, 0x1.e39379bbef531p-2, 0x1.e703a8831b59fp-2, 0x1.ea4fe0f2e1dbcp-2, 0x1.ed784bf8eef86p-2, 0x1.f07d17aaff07ap-2, 0x1.f35e770892d77p-2, 0x1.f61ca1bd6d589p-2, 0x1.f8b7d3e4fa63cp-2, 0x1.fb304dcebc0f6p-2, 0x1.fd8653c3ddcedp-2, 0x1.ffba2dce01977p-2, 0x1.00e613bfb4741p-1, 0x1.01de47de4096bp-1, 0x1.02c5dc437926p-1, 0x1.039cfb651cef6p-1, 0x1.0463d114ef4cap-1, 0x1.051a8a68a803fp-1, 0x1.05c155a2b6436p-1, 0x1.0658621be297bp-1, 0x1.06dfe02dc9edfp-1, 0x1.0758011e38aa1p-1, 0x1.07c0f70b61336p-1, 0x1.081af4d8f10cp-1, 0x1.08662e1dfe82ep-1, 0x1.08a2d713d051fp-1, 0x1.08d1248577764p-1, 0x1.08f14bc03beb3p-1, 0x1.09038284d37cdp-1, 0x1.0907fef95ef4p-1, 0x1.08fef79c29ep-1, 0x1.08e8a3372317ap-1, 0x1.08c538d40b86ep-1, 0x1.0894efb150bb4p-1, 0x1.0857ff37908a8p-1, 0x1.080e9eefbb0e6p-1, 0x1.07b90679ce8e3p-1, 0x1.07576d84241adp-1, 0x1.06ea0bc347256p-1, 0x1.067118ea505dap-1, 0x1.05eccca3bd077p-1, 0x1.055d5e8abb4d3p-1, 0x1.04c30624e4156p-1, 0x1.041dfadc5e653p-1, 0x1.036e73fa6233fp-1, 0x1.02b4a8a216b84p-1, 0x1.01f0cfcbc47eap-1, 0x1.01232040578aap-1, 0x1.004bd095287fbp-1, 0x1.fed62e50168e2p-2, 0x1.fd025437353f6p-2, 0x1.fb1c7ea779b4bp-2, 0x1.f92518e4be3e8p-2, 0x1.f71c8da8bb906p-2, 0x1.f503471d37931p-2, 0x1.f2d9aed6812e3p-2, 0x1.f0a02dce35842p-2, 0x1.ee572c5e4726cp-2, 0x1.ebff123c43bfep-2, 0x1.e9984674c9a9ap-2, 0x1.e7232f673480fp-2, 0x1.e4a032c171bdcp-2, 0x1.e20fb57bfe31fp-2, 0x1.df721bd60332ap-2, 0x1.dcc7c95198b36p-2, 0x1.da1120b01f20fp-2, 0x1.d74e83eeb32efp-2, 0x1.d4805442b8842p-2, 0x1.d1a6f2167a647p-2, 0x1.cec2bd05dbbf6p-2, 0x1.cbd413db1a986p-2, 0x1.c8db548b9f4f7p-2, 0x1.c5d8dc34dfb3cp-2, 0x1.c2cd071948afcp-2, 0x1.bfb8309d38ab2p-2, 0x1.bc9ab344063dcp-2, 0x1.b974e8ad0fae1p-2, 0x1.b6472990d8826p-2, 0x1.b311cdbe32115p-2, 0x1.afd52c176f108p-2, 0x1.ac919a8fa3038p-2, 0x1.a9476e27ef4cdp-2, 0x1.a5f6faecdd004p-2, 0x1.a2a093f3c1435p-2, 0x1.9f448b5833451p-2, 0x1.9be332398ef76p-2, 0x1.987cd8b884f9ap-2, 0x1.9511cdf4c0811p-2, 0x1.91a2600a967d8p-2, 0x1.8e2edc10ccee7p-2, 0x1.8ab78e166fda8p-2, 0x1.873cc120bc445p-2, 0x1.83bebf291e08fp-2, 0x1.803dd11b42da4p-2, 0x1.7cba3ed342c6ep-2, 0x1.79344f1bdd6cfp-2, 0x1.75ac47acd3539p-2, 0x1.72226d294f18cp-2, 0x1.6e97031e6f9c3p-2, 0x1.6b0a4c01e431bp-2, 0x1.677c8930a80ep-2, 0x1.63edfaedd2cf8p-2, 0x1.605ee06188b1cp-2, 0x1.5ccf779802f15p-2, 0x1.593ffd80b5a7p-2, 0x1.55b0aded8f963p-2, 0x1.5221c39258539p-2, 0x1.4e9378042b027p-2, 0x1.4b0603b90e899p-2, 0x1.47799e07a668dp-2, 0x1.43ee7d2708f14p-2, 0x1.4064d62eac5b9p-2, 0x1.3cdcdd1672a86p-2, 0x1.3956c4b6d59abp-2, 0x1.35d2bec92d876p-2, 0x1.3250fbe8152bp-2, 0x1.2ed1ab8fed9a7p-2, 0x1.2b54fc1f7c273p-2, 0x1.27db1ad8a70c5p-2, 0x1.246433e14c7ebp-2, 0x1.20f072443a498p-2, 0x1.1d7ffff23bd86p-2, 0x1.1a1305c347ec2p-2, 0x1.16a9ab77c7611p-2, 0x1.134417b9f739fp-2, 0x1.0fe2701f67416p-2, 0x1.0c84d92a8d56bp-2, 0x1.092b764c7713cp-2, 0x1.05d669e690ffbp-2, 0x1.0285d54c88954p-2, 0x1.fe73b18c8509bp-3, 0x1.f7e52723d4f0ep-3, 0x1.f16047cc328b5p-3, 0x1.eae54de81cf36p-3, 0x1.e47471d4050d1p-3, 0x1.de0de9eb118a9p-3, 0x1.d7b1ea8c1513ep-3, 0x1.d160a61ea094ep-3, 0x1.cb1a4d183ee21p-3, 0x1.c4df0e01d54f9p-3, 0x1.beaf157d1f8cp-3, 0x1.b88a8e4a53f27p-3, 0x1.b271a14ddf9b5p-3, 0x1.ac64759643db2p-3, 0x1.a66330620fe63p-3, 0x1.a06df525ef90dp-3, 0x1.9a84e592dc5dfp-3, 0x1.94a8219c59fc8p-3, 0x1.8ed7c77ed5f48p-3, 0x1.8913f3c611e21p-3, 0x1.835cc153a3adcp-3, 0x1.7db249658ca3ep-3, 0x1.7814a39cd7952p-3, 0x1.7283e6044cf4ep-3, 0x1.6d00251733479p-3, 0x1.678973c81b00fp-3, 0x1.621fe387b40edp-3, 0x1.5cc3844bac301p-3, 0x1.577464959d20ap-3, 0x1.52329179f65f7p-3, 0x1.4cfe16a6f5e8cp-3, 0x1.47d6fe6ba1d19p-3, 0x1.42bd51bec2c4p-3, 0x1.3db11845e666ap-3, 0x1.38b2585c5c7c7p-3, 0x1.33c1171a386acp-3, 0x1.2edd585b501bep-3, 0x1.2a071ec6375ccp-3, 0x1.253e6bd33a596p-3, 0x1.20833fd3511p-3, 0x1.1bd599f70c9bfp-3, 0x1.1735785584808p-3, 0x1.12a2d7f336c2p-3, 0x1.0e1db4c8dd70dp-3, 0x1.09a609ca4515ap-3, 0x1.053bd0ed0fc37p-3, 0x1.00df032f72019p-3, 0x1.f91f313dc88cdp-4, 0x1.f09b10bd89395p-4, 0x1.e831915de27e8p-4, 0x1.dfe29de4a4fdbp-4, 0x1.d7ae1f6aa61fbp-4, 0x1.cf93fd68a0db1p-4, 0x1.c7941dc3ee049p-4, 0x1.bfae64db2079dp-4, 0x1.b7e2b5927a978p-4, 0x1.b030f1604b0f9p-4, 0x1.a898f8591c00cp-4, 0x1.a11aa93bc7abep-4, 0x1.99b5e17d5da8cp-4, 0x1.926a7d54f02e8p-4, 0x1.8b3857c72bb3ap-4, 0x1.841f4ab1d2959p-4, 0x1.7d1f2ed709c79p-4, 0x1.7637dbe881f87p-4, 0x1.6f6928927435dp-4, 0x1.68b2ea8676a0bp-4, 0x1.6214f6862553dp-4, 0x1.5b8f206da2797p-4, 0x1.55213b3dea93bp-4, 0x1.4ecb1926fc9c8p-4, 0x1.488c8b91d8a1p-4, 0x1.4265632a4febcp-4, 0x1.3c556fe8ab501p-4, 0x1.365c811b235e1p-4, 0x1.307a656f2c9bdp-4, 0x1.2aaeeafa98a44p-4, 0x1.24f9df4486b8dp-4, 0x1.1f5b0f4e2c094p-4, 0x1.19d2479b6c7c1p-4, 0x1.145f543b47d5bp-4, 0x1.0f0200d018f5dp-4, 0x1.09ba1897a9a01p-4, 0x1.0487667319694p-4, 0x1.fed369dd30447p-5, 0x1.f4c19c91e8348p-5, 0x1.ead8f8f5f7c03p-5, 0x1.e119127d67b5p-5, 0x1.d7817c2cc7894p-5, 0x1.ce11c8a6e24bfp-5, 0x1.c4c98a3a2ef8fp-5, 0x1.bba852eddfb0fp-5, 0x1.b2adb48e9faadp-5, 0x1.a9d940bafa3d8p-5, 0x1.a12a88ef75e9ep-5, 0x1.98a11e925119bp-5, 0x1.903c92fef6639p-5, 0x1.87fc779119e72p-5, 0x1.7fe05daf8a4fap-5, 0x1.77e7d6d6ab48fp-5, 0x1.701274a2abb24p-5, 0x1.685fc8d9648f1p-5, 0x1.60cf6573ed075p-5, 0x1.5960dca7e8624p-5, 0x1.5213c0f080f95p-5, 0x1.4ae7a5171e8e2p-5, 0x1.43dc1c3bd0475p-5, 0x1.3cf0b9dd71b76p-5, 0x1.362511e185ffcp-5, 0x1.2f78b89bcf0dp-5, 0x1.28eb42d59dbf4p-5, 0x1.227c45d4e3cd2p-5, 0x1.1c2b5762f94bfp-5, 0x1.15f80dd32aa16p-5, 0x1.0fe20008ff081p-5, 0x1.09e8c57e429p-5, 0x1.040bf648d28c1p-5, 0x1.fc96564050692p-6, 0x1.f14bfac55e6d9p-6, 0x1.e6380e35ad348p-6, 0x1.db59c607e500ep-6, 0x1.d0b0591dbd1f8p-6, 0x1.c63affccd024ep-6, 0x1.bbf8f3e70f107p-6, 0x1.b1e970c2bb66p-6, 0x1.a80bb341ff779p-6, 0x1.9e5ef9da28642p-6, 0x1.94e2849a6388bp-6, 0x1.8b9595323be7dp-6, 0x1.82776ef79292fp-6, 0x1.798756ec5b426p-6, 0x1.70c493c3e36a3p-6, 0x1.682e6de7ceb6fp-6, 0x1.5fc42f7cbae12p-6, 0x1.5785246684808p-6, 0x1.4f709a4c4148cp-6, 0x1.4785e09bed91cp-6, 0x1.3fc4488db53fep-6, 0x1.382b252713278p-6, 0x1.30b9cb3d84127p-6, 0x1.296f9178fd40fp-6, 0x1.224bd05622e18p-6, 0x1.1b4de2282d9c5p-6, 0x1.1475231a95028p-6, 0x1.0dc0f1327723cp-6, 0x1.0730ac4fc01abp-6, 0x1.00c3b62e0ebfap-6, 0x1.f4f2e4caca91ep-7, 0x1.e8a28cd53964dp-7, 0x1.dc95331f4af54p-7, 0x1.d0c9aa07029b7p-7, 0x1.c53ec7a4481dbp-7, 0x1.b9f365c8051a7p-7, 0x1.aee661fb05ed3p-7, 0x1.a4169d7c88f34p-7, 0x1.9982fd403468bp-7, 0x1.8f2a69ec01037p-7, 0x1.850bcfd58b26ap-7, 0x1.7b261eff451fbp-7, 0x1.71784b153a34dp-7, 0x1.68014b6988847p-7, 0x1.5ec01af098beep-7, 0x1.55b3b83d17f3dp-7, 0x1.4cdb257b95e49p-7, 0x1.4435686df5994p-7, 0x1.3bc18a66911e7p-7, 0x1.337e98432a97dp-7, 0x1.2b6ba267a062fp-7, 0x1.2387bcb86be3p-7, 0x1.1bd1fe94e5302p-7, 0x1.144982d167d0fp-7, 0x1.0ced67b12783p-7, 0x1.05bccedff420bp-7, 0x1.fd6dbad78cfddp-8, 0x1.efb5777c48666p-8, 0x1.e24f2b2abb8b4p-8, 0x1.d53933fb4aad5p-8, 0x1.c871f694287bcp-8, 0x1.bbf7de1ad7f46p-8, 0x1.afc95c25bd77ep-8, 0x1.a3e4e8ad37f51p-8, 0x1.984901fcaff25p-8, 0x1.8cf42ca36aeaep-8, 0x1.81e4f3651ad5dp-8, 0x1.7719e72a5b61cp-8, 0x1.6c919ef0e919fp-8, 0x1.624ab7bbe18d7p-8, 0x1.5843d483bbf73p-8, 0x1.4e7b9e2621404p-8, 0x1.44f0c355c5212p-8, 0x1.3ba1f88a0b318p-8, 0x1.328df7eeb661ap-8, 0x1.29b38153552dap-8, 0x1.21115a1ad732p-8, 0x1.18a64d2acdbe4p-8, 0x1.10712adaed6ccp-8, 0x1.0870c8e443737p-8, 0x1.00a40250a4efcp-8, 0x1.f2136ed3ae89cp-9, 0x1.e3419b51dc78p-9, 0x1.d4d05f4afd093p-9, 0x1.c6bd9a09daf3ep-9, 0x1.b90734d380221p-9, 0x1.abab22c5ac242p-9, 0x1.9ea760b5ccaebp-9, 0x1.91f9f50f740e3p-9, 0x1.85a0efb354751p-9, 0x1.799a69d63b4a3p-9, 0x1.6de485e00886cp-9, 0x1.627d6f4ac2396p-9, 0x1.57635a8210bf3p-9, 0x1.4c9484c27e3p-9, 0x1.420f33f946788p-9, 0x1.37d1b6a3d4231p-9, 0x1.2dda63aff0256p-9, 0x1.24279a5ba63eap-9, 0x1.1ab7c215b852ap-9, 0x1.11894a5df6c02p-9, 0x1.089aaaa6109eep-9, 0x1.ffd4c46504c8bp-10, 0x1.eeedeff728974p-10, 0x1.de7df51dba109p-10, 0x1.ce81ffe19af64p-10, 0x1.bef74afcde22ap-10, 0x1.afdb1f9f38994p-10, 0x1.a12ad53268749p-10, 0x1.92e3d11fa58bp-10, 0x1.85038695012fap-10, 0x1.7787764be62e7p-10, 0x1.6a6d2e4fb84edp-10, 0x1.5db249c53d5f4p-10, 0x1.515470b241ed6p-10, 0x1.455157c633702p-10, 0x1.39a6c02305e13p-10, 0x1.2e527726dc1edp-10, 0x1.23525635fdfccp-10, 0x1.18a44285d26b5p-10, 0x1.0e462ce7f382ep-10, 0x1.0436119603fdep-10, 0x1.f4e3effcffff9p-11, 0x1.e1efe522b04e6p-11, 0x1.cf8c3d1c0e4ecp-11, 0x1.bdb547a31f796p-11, 0x1.ac67694b3fda2p-11, 0x1.9b9f1b1f8a1e9p-11, 0x1.8b58ea439c3f9p-11, 0x1.7b9177946f161p-11, 0x1.6c45774b3b0dcp-11, 0x1.5d71b0a125eddp-11, 0x1.4f12fd742a4f3p-11, 0x1.412649ed72d7dp-11, 0x1.33a89428ee3c8p-11, 0x1.2696ebddb80ecp-11, 0x1.19ee7207fa7d5p-11, 0x1.0dac58944368p-11, 0x1.01cde20af5254p-11, 0x1.eca0c27d60c7ap-12, 0x1.d66271f465c6p-12, 0x1.c0dbb760b39cap-12, 0x1.ac07965a67c7bp-12, 0x1.97e1308fdb28p-12, 0x1.8463c52ca9dc9p-12, 0x1.718ab04319befp-12, 0x1.5f516a35eddc1p-12, 0x1.4db38726f0e3dp-12, 0x1.3cacb666566bbp-12, 0x1.2c38c1e4f1b84p-12, 0x1.1c538da801d9fp-12, 0x1.0cf91740054f3p-12, 0x1.fc4aea8388672p-13, 0x1.dfa9ad811059ep-13, 0x1.c4070597eae0cp-13, 0x1.a95bafdd1dd4p-13, 0x1.8fa0975e72b6ap-13, 0x1.76ced4294e3b2p-13, 0x1.5edfaa559e6b4p-13, 0x1.47cc89153fd32p-13, 0x1.318f09c76918fp-13, 0x1.1c20ef0ed2705p-13, 0x1.077c23eff8508p-13, 0x1.e73575dae68aep-14, 0x1.c0edda5b725cep-14, 0x1.9c1633418cb14p-14, 0x1.78a38854f1c3bp-14, 0x1.568b29a72ea96p-14, 0x1.35c2adf5494bdp-14, 0x1.163ff11650c4bp-14, 0x1.eff224db05ae7p-15, 0x1.b5c8e6cde13d1p-15, 0x1.7df16bf49a96fp-15, 0x1.4859766b35123p-15, 0x1.14ef439682eadp-15, 0x1.c74312a8bda68p-16, 0x1.68bee66c93c3ep-16, 0x1.0e313f9dbe77p-16, 0x1.6ef4781e0226ep-17, 0x1.91eb542194f52p-18, 0x1.514da28b9ec07p-20, -0x1.b6a89cdc263b5p-19, -0x1.fd7e1baa42d59p-18, -0x1.894c95a5c745ep-17, -0x1.06c4677c53a38p-16, -0x1.45d426dd0e0ddp-16, -0x1.81ef193b054f3p-16, -0x1.bb2e19a22aff7p-16, -0x1.f1a952376bfb8p-16, -0x1.12bc20454c9f3p-15, -0x1.2b58dcde33263p-15, -0x1.42b5f74e946dcp-15, -0x1.58de37d684f4ep-15, -0x1.6ddc188434c8ap-15, -0x1.81b9c72342829p-15, -0x1.9481271ba159fp-15, -0x1.a63bd34f3c64ap-15, -0x1.b6f31fe4e7c6cp-15, -0x1.c6b01c0c90242p-15, -0x1.d57b93bbcf136p-15, -0x1.e35e115f1de9ep-15, -0x1.f05fdf80da36p-15, -0x1.fc890a6a7cc12p-15, -0x1.03f0b0dbffcfap-14, -0x1.09383cf1e1c69p-14, -0x1.0e1ed6e726afap-14, -0x1.12a8101ca30f4p-14, -0x1.16d75e9deb1c4p-14, -0x1.1ab01dd61d574p-14, -0x1.1e358f419e69p-14, -0x1.216adb1c2facep-14, -0x1.24531109d6ca5p-14, -0x1.26f128be0ea82p-14, -0x1.2948029d106dp-14, -0x1.2b5a6859cb7aep-14, -0x1.2d2b0d9182798p-14, -0x1.2ebc90613fc21p-14, -0x1.301179fc691f7p-14, -0x1.312c3f3b30bbp-14, -0x1.320f41287f4a2p-14, -0x1.32bccd8ad1857p-14, -0x1.33371f6b2a8ccp-14, -0x1.33805f9877ab3p-14, -0x1.339aa526a7f6dp-14, -0x1.3387f5edadc89p-14, -0x1.334a47018e2e4p-14, -0x1.32e37d2b8b305p-14, -0x1.32556d5cf0545p-14, -0x1.31a1dd20d4825p-14, -0x1.30ca830b9ba2ep-14, -0x1.2fd10727597ap-14, -0x1.2eb7035bd9c8p-14, -0x1.2d7e03d5f416dp-14, -0x1.2c27876cd4ee1p-14, -0x1.2ab50003376b7p-14, -0x1.2927d2e697adcp-14, -0x1.2781592c12f49p-14, -0x1.25c2e00b0e7e9p-14, -0x1.23eda9365ce5fp-14, -0x1.2202eb3218f45p-14, -0x1.2003d1a6c3b37p-14, -0x1.1df17db4e9c8bp-14, -0x1.1bcd0643246abp-14, -0x1.1997784d397d7p-14, -0x1.1751d72df047bp-14, -0x1.14fd1cea9db4bp-14, -0x1.129a3a7ab2454p-14, -0x1.102a180d388a9p-14, -0x1.0dad954d344c6p-14, -0x1.0b2589a3b97aap-14, -0x1.0892c4782fd38p-14, -0x1.05f60d701674cp-14, -0x1.035024abdf9c4p-14, -0x1.00a1c3028fe55p-14, -0x1.fbd73476a23fep-15, -0x1.f65caa8d9bb42p-15, -0x1.f0d530ea122dfp-15, -0x1.eb42035628ae6p-15, -0x1.e5a4512e16625p-15, -0x1.dffd3dc5cc6e8p-15, -0x1.da4de0cb1fa9ep-15, -0x1.d49746a4816fap-15, -0x1.ceda70cefaee7p-15, -0x1.c91856377adf2p-15, -0x1.c351e392dc735p-15, -0x1.bd87fbb4e1d98p-15, -0x1.b7bb77e1257b2p-15, -0x1.b1ed281c36d3p-15, -0x1.ac1dd37a8421fp-15, -0x1.a64e386ca31f5p-15, -0x1.a07f0d08a0bbdp-15, -0x1.9ab0ff511febfp-15, -0x1.94e4b57c8a1adp-15, -0x1.8f1ace378a722p-15, -0x1.8953e0e7c3dd2p-15, -0x1.83907deb3a871p-15, -0x1.7dd12ed6b204cp-15, -0x1.781676b11dbb5p-15, -0x1.7260d22edd095p-15, -0x1.6cb0b7e9fb443p-15, -0x1.67069898a39efp-15, -0x1.6162df423061cp-15, -0x1.5bc5f1740cbc1p-15, -0x1.56302f73eb7b5p-15, -0x1.50a1f46f51923p-15, -0x1.4b1b96ab2c272p-15, -0x1.459d67b12bf09p-15, -0x1.4027b47c7a79ap-15, -0x1.3abac5a4b5b03p-15, -0x1.3556df86cb6ap-15, -0x1.2ffc426f6c09cp-15, -0x1.2aab2abf50ebap-15, -0x1.2563d11314256p-15, -0x1.20266a678447cp-15, -0x1.1af3283c35c27p-15, -0x1.15ca38b596e7fp-15, -0x1.10abc6bf45df5p-15, -0x1.0b97fa2c15ea1p-15, -0x1.068ef7d53ab01p-15, -0x1.0190e1b7a3228p-15, -0x1.f93bae2409d35p-16, -0x1.ef6be900f27c5p-16, -0x1.e5b2a8300a72ep-16, -0x1.dc101b0175295p-16, -0x1.d2846c1ed95bdp-16, -0x1.c90fc1be0944ep-16, -0x1.bfb23dcdd5c97p-16, -0x1.b66bfe269e916p-16, -0x1.ad3d1cb64a25ap-16, -0x1.a425afa9c61c1p-16, -0x1.9b25c9969ce16p-16, -0x1.923d79a3f9f4cp-16, -0x1.896ccbb127c83p-16, -0x1.80b3c87bb7285p-16, -0x1.781275c14ca24p-16, -0x1.6f88d6652db7ap-16, -0x1.6716ea8f5d65p-16, -0x1.5ebcafcebbadp-16, -0x1.567a21364f2fdp-16, -0x1.4e4f377e26efdp-16, -0x1.463be91e3a60bp-16, -0x1.3e402a6a6d4c3p-16, -0x1.365bedadd409bp-16, -0x1.2e8f23461f588p-16, -0x1.26d9b9ba2eabep-16, -0x1.1f3b9dd31a69ap-16, -0x1.17b4bab244825p-16, -0x1.1044f9ea6e372p-16, -0x1.08ec4391626f6p-16, -0x1.01aa7e57e29dep-16, -0x1.f4ff1f3778e89p-17, -0x1.e6d6b6f74555fp-17, -0x1.d8db89d08179dp-17, -0x1.cb0d5b6e47783p-17, -0x1.bd6bed681c5ddp-17, -0x1.aff6ff60eac97p-17, -0x1.a2ae4f23eb3bep-17, -0x1.959198c5d23e7p-17, -0x1.88a096beccbe7p-17, -0x1.7bdb020b19c2cp-17, -0x1.6f40923f7e20bp-17, -0x1.62d0fda4725d4p-17, -0x1.568bf94f5c7a8p-17, -0x1.4a71393b22984p-17, -0x1.3e807059a604cp-17, -0x1.32b950adcb1f7p-17, -0x1.271b8b5e3613ep-17, -0x1.1ba6d0c7b3fe8p-17, -0x1.105ad090b01eep-17, -0x1.053739bc16c39p-17, -0x1.f47775767e11ap-18, -0x1.ded002f6b0dap-18, -0x1.c97776eaafaaap-18, -0x1.b46d2b7d7403dp-18, -0x1.9fb07a2968433p-18, -0x1.8b40bbd61e9dfp-18, -0x1.771d48f613a2p-18, -0x1.63457996baa59p-18, -0x1.4fb8a57e0af6p-18, -0x1.3c762440b85b6p-18, -0x1.297d4d52e4668p-18, -0x1.16cd781cacf34p-18, -0x1.0465fc12c2d28p-18, -0x1.e48c617e47b9ep-19, -0x1.c0dadbb4a8ecdp-19, -0x1.9db616a959d4p-19, -0x1.7b1cc2e31e27ep-19, -0x1.590d91928bfdfp-19, -0x1.378734b31f6adp-19, -0x1.16885f2a7bc88p-19, -0x1.ec1f89c01da48p-20, -0x1.ac38359cf3accp-20, -0x1.6d582e2b51fecp-20, -0x1.2f7ce236daa73p-20, -0x1.e547864e9470ap-21, -0x1.6d948a72b34cp-21, -0x1.efb77e3ab8ed1p-22, -0x1.08303120608c2p-22, -0x1.244916892dccap-25, 0x1.768f54fa01e7ap-23, 0x1.974c274dd5d69p-22, 0x1.37c71b29899d6p-21, 0x1.a20bd60b3434ap-21, 0x1.053c93ae0b305p-20, 0x1.3889f568164b3p-20, 0x1.6af07a59fb3b2p-20, 0x1.9c7288d339f85p-20, 0x1.cd128347eb176p-20, 0x1.fcd2c858aa476p-20, 0x1.15dad951f390fp-19, 0x1.2cdecc6bbb5bep-19, 0x1.437666d004713p-19, 0x1.59a2cfc8d26e2p-19, 0x1.6f652c94f4dbdp-19, 0x1.84bea06e3da3ap-19, 0x1.99b04c7b3ee8bp-19, 0x1.ae3b4fcfb238p-19, 0x1.c260c76fadfd1p-19, 0x1.d621ce4d32e52p-19, 0x1.e97f7d3ccb03ep-19, 0x1.fc7aeafd61101p-19, 0x1.078a961d96513p-18, 0x1.10a7a9c6f76b9p-18, 0x1.199538b9bfa2bp-18, 0x1.2253ca296b1bcp-18, 0x1.2ae3e43fc07afp-18, 0x1.33460c1ec5d51p-18, 0x1.3b7ac5dd79126p-18, 0x1.4382948ab86ep-18, 0x1.4b5dfa3000e0fp-18, 0x1.530d77cd71cc4p-18, 0x1.5a918d5c291a8p-18, 0x1.61eab9d4c9415p-18, 0x1.69197b2b4a7b2p-18, 0x1.701e4e4f85b43p-18, 0x1.76f9af32226a2p-18, 0x1.7dac18c4fc20dp-18, 0x1.843604fa0304fp-18, 0x1.8a97ecc581483p-18, 0x1.90d24821083d9p-18, 0x1.96e58e0e278fcp-18, 0x1.9cd23495ac23dp-18, 0x1.a298b0c854d16p-18, 0x1.a83976c2c0e3p-18, 0x1.adb4f9aed93d5p-18, 0x1.b30babc43993p-18, 0x1.b83dfe48bec7bp-18, 0x1.bd4c6196abcf9p-18, 0x1.c237451d2bf71p-18, 0x1.c6ff175af3297p-18, 0x1.cba445e7576b5p-18, 0x1.d0273d75dcc7cp-18, 0x1.d48869d08d3ep-18, 0x1.d8c835de6566ap-18, 0x1.dce70ba318359p-18, 0x1.e0e5544387408p-18, 0x1.e4c3780374736p-18, }}, 
      {{0x1.88d499973cc5cp-1, 0x1.88c01a9e2cda8p-1, 0x1.889e5d94c5802p-1, 0x1.886fdb1bb930ap-1, 0x1.8834ffdbfce94p-1, 0x1.87ee0c5f3e895p-1, 0x1.879afd03a1942p-1, 0x1.873b7ac24f0f7p-1, 0x1.86ced41f00174p-1, 0x1.8653fcf21cb64p-1, 0x1.85c9938c686a6p-1, 0x1.852de9bf2c5p-1, 0x1.847f107dc32e3p-1, 0x1.83bae5023894cp-1, 0x1.82df1e9463289p-1, 0x1.81e95c449245ep-1, 0x1.80d73216c586ep-1, 0x1.7fa63540e504ap-1, 0x1.7e54073da321bp-1, 0x1.7cde5f8f3bb11p-1, 0x1.7b43142184effp-1, 0x1.7980204a7dac7p-1, 0x1.7793aa74438f8p-1, 0x1.757c0883c5c7p-1, 0x1.7337c31523641p-1, 0x1.70c597aa013a6p-1, 0x1.6e2479e7be7e8p-1, 0x1.6b539403a30dp-1, 0x1.6852467a56a4ep-1, 0x1.6520272e7498cp-1, 0x1.61bd00080fc5p-1, 0x1.5e28cd2cba728p-1, 0x1.5a63bae544e73p-1, 0x1.566e2343fc57dp-1, 0x1.52488b9be0a8dp-1, 0x1.4df3a1d710f3p-1, 0x1.497039b89f383p-1, 0x1.44bf4a1420ea5p-1, 0x1.3fe1ea039e83cp-1, 0x1.3ad94e230b4b7p-1, 0x1.35a6c5d716aaep-1, 0x1.304bb8a40d3f5p-1, 0x1.2ac9a3987be4fp-1, 0x1.252216ce72fbfp-1, 0x1.1f56b30595605p-1, 0x1.196927577931ap-1, 0x1.135b2f076f7bcp-1, 0x1.0d2e8f6e50a69p-1, 0x1.06e5160297ff7p-1, 0x1.0080967cd646fp-1, 0x1.f405d2307bd1fp-2, 0x1.e6dbd1ddd11b8p-2, 0x1.d986e4e290cbap-2, 0x1.cc0ac3f03d02ep-2, 0x1.be6b24e06f174p-2, 0x1.b0abb83e3f85fp-2, 0x1.a2d026ffe654ap-2, 0x1.94dc106ec5362p-2, 0x1.86d3083c0d362p-2, 0x1.78b894c02169fp-2, 0x1.6a902d62d34e7p-2, 0x1.5c5d392aa31c5p-2, 0x1.4e230d7120baep-2, 0x1.3fe4ecba9c713p-2, 0x1.31a605af5676cp-2, 0x1.2369723469445p-2, 0x1.153236a2ab67fp-2, 0x1.07034119e0029p-2, 0x1.f1bed1dd0cf7fp-3, 0x1.d592dc6165365p-3, 0x1.b987f294c2627p-3, 0x1.9da335677be58p-3, 0x1.81e99577e9e33p-3, 0x1.665fd2ca2e79ep-3, 0x1.4b0a7ca3919b2p-3, 0x1.2fedf186c4084p-3, 0x1.150e5f4e93a4cp-3, 0x1.f4df86c95f1c8p-4, 0x1.c02bd624644e4p-4, 0x1.8c08e7cf991c7p-4, 0x1.587d9876f39d3p-4, 0x1.2590677394f1cp-4, 0x1.e68ef0239b313p-5, 0x1.835125ee144e3p-5, 0x1.21724f48a98eap-5, 0x1.81f9384903502p-6, 0x1.87e6431a478b2p-7, 0x1.1c8254eea5c97p-11, -0x1.5e470a043b8a8p-7, -0x1.64147756bb8fdp-6, -0x1.0af067e1514a6p-5, -0x1.623de5a33ef5p-5, -0x1.b7ece832f9dd3p-5, -0x1.05fc19bf3accap-4, -0x1.2f2d8c0090c85p-4, -0x1.5788b74f96d09p-4, -0x1.7f0bca3ecee49p-4, -0x1.a5b5336cedd18p-4, -0x1.cb839f71a2525p-4, -0x1.f075f6cc69231p-4, -0x1.0a45adeb480fep-3, -0x1.1be1945c995f6p-3, -0x1.2d0e76b413b5ap-3, -0x1.3dcc36d146d6cp-3, -0x1.4e1acf7cd13e9p-3, -0x1.5dfa536f46363p-3, -0x1.6d6aec5bd00c9p-3, -0x1.7c6cd9febfb34p-3, -0x1.8b00713051e15p-3, -0x1.99261afbc41e8p-3, -0x1.a6de53baf4a6bp-3, -0x1.b429aa3698949p-3, -0x1.c108becb344e5p-3, -0x1.cd7c4292e4481p-3, -0x1.d984f6940ebbcp-3, -0x1.e523aaf4fd76ap-3, -0x1.f0593e34793dbp-3, -0x1.fb269c6762637p-3, -0x1.02c65f3da6cc5p-2, -0x1.07c654bf0be3p-2, -0x1.0c93b6f544574p-2, -0x1.112f137ceca0cp-2, -0x1.1598fcfd1bff7p-2, -0x1.19d20ad515e16p-2, -0x1.1ddad8cc66883p-2, -0x1.21b406c568486p-2, -0x1.255e387222e19p-2, -0x1.28da150b8720ap-2, -0x1.2c28470af13fbp-2, -0x1.2f497be5f356p-2, -0x1.323e63cc5b864p-2, -0x1.3507b168684ap-2, -0x1.37a619a12754fp-2, -0x1.3a1a535ef0fd3p-2, -0x1.3c651751f2868p-2, -0x1.3e871fbac6dfbp-2, -0x1.4081283507643p-2, -0x1.4253ed83d26e8p-2, -0x1.44002d603938ep-2, -0x1.4586a649899c1p-2, -0x1.46e817576d138p-2, -0x1.4825400dcda27p-2, -0x1.493ee03279203p-2, -0x1.4a35b7a475b9p-2, -0x1.4b0a8635002a8p-2, -0x1.4bbe0b8227db2p-2, -0x1.4c5106d2fc0b9p-2, -0x1.4cc436f5470e3p-2, -0x1.4d185a1cc57c5p-2, -0x1.4d4e2dc3d1ef5p-2, -0x1.4d666e8d8228bp-2, -0x1.4d61d8291fad3p-2, -0x1.4d412536fe74ap-2, -0x1.4d050f2ea0188p-2, -0x1.4cae4e461f8adp-2, -0x1.4c3d995ad894ap-2, -0x1.4bb3a5db44132p-2, -0x1.4b1127b202cap-2, -0x1.4a56d13206868p-2, -0x1.49855303dd16cp-2, -0x1.489d5c1407fa3p-2, -0x1.479f998262fcbp-2, -0x1.468cb6928c1b8p-2, -0x1.45655c9d484dp-2, -0x1.442a3302d7fa3p-2, -0x1.42dbdf1e3e3ddp-2, -0x1.417b043967ffdp-2, -0x1.40084382312a9p-2, -0x1.3e843c0044e63p-2, -0x1.3cef8a8bc9e59p-2, -0x1.3b4ac9c4d8214p-2, -0x1.3996920bb4ecfp-2, -0x1.37d37979c6e32p-2, -0x1.360213db444b5p-2, -0x1.3422f2a98c24fp-2, -0x1.3236a5062e3cfp-2, -0x1.303db7b693caep-2, -0x1.2e38b52048959p-2, -0x1.2c282545da10ap-2, -0x1.2a0c8dc44a402p-2, -0x1.27e671d1134efp-2, -0x1.25b65238ae342p-2, -0x1.237cad5d9e9bep-2, -0x1.2139ff38001d3p-2, -0x1.1eeec15586aabp-2, -0x1.1c9b6ad9f784bp-2, -0x1.1a4070800faeap-2, -0x1.17de449ad695p-2, -0x1.1575571756bcdp-2, -0x1.1306157eb6533p-2, -0x1.1090eaf8b1d0fp-2, -0x1.0e16404e6bf03p-2, -0x1.0b967bed95278p-2, -0x1.091201ebe5d47p-2, -0x1.0689340ae085fp-2, -0x1.03fc71bbe7674p-2, -0x1.016c18248d097p-2, -0x1.fdb1044661a6cp-3, -0x1.f88410a7a7793p-3, -0x1.f352022a5b5e2p-3, -0x1.ee1b811bf040dp-3, -0x1.e8e13164dca63p-3, -0x1.e3a3b2940137ap-3, -0x1.de639fea69e86p-3, -0x1.d921906767f0dp-3, -0x1.d3de16d501fe4p-3, -0x1.ce99c1d4a9dfbp-3, -0x1.c9551bec3dd8p-3, -0x1.c410ab934a265p-3, -0x1.beccf34089022p-3, -0x1.b98a71779a01ep-3, -0x1.b449a0d6e81fdp-3, -0x1.af0af825c5672p-3, -0x1.a9ceea62aab17p-3, -0x1.a495e6d1a0bb5p-3, -0x1.9f60590ac6406p-3, -0x1.9a2ea908fa273p-3, -0x1.95013b3896641p-3, -0x1.8fd870864a861p-3, -0x1.8ab4a66dfd4d6p-3, -0x1.85963709c6e31p-3, -0x1.807d7920edb3dp-3, -0x1.7b6ac036f4e31p-3, -0x1.765e5c9aa1105p-3, -0x1.71589b751076fp-3, -0x1.6c59c6d8c338bp-3, -0x1.676225d0a72cbp-3, -0x1.6271fc6f1ae2dp-3, -0x1.5d898bdce8bc6p-3, -0x1.58a912683695bp-3, -0x1.53d0cb9362f67p-3, -0x1.4f00f023d9768p-3, -0x1.4a39b630d0445p-3, -0x1.457b5131f250ap-3, -0x1.40c5f20df29c7p-3, -0x1.3c19c72907c64p-3, -0x1.3776fc73527b9p-3, -0x1.32ddbb771e176p-3, -0x1.2e4e2b670ec8p-3, -0x1.29c8712c2c858p-3, -0x1.254caf73cad96p-3, -0x1.20db06bd58e5ep-3, -0x1.1c73956803b01p-3, -0x1.181677c03e06ep-3, -0x1.13c3c80d1e311p-3, -0x1.0f7b9e9d994d3p-3, -0x1.0b3e11d594797p-3, -0x1.070b363ad1ea7p-3, -0x1.02e31e81b2e89p-3, -0x1.fd8bb733a6329p-4, -0x1.f566f974ef9b6p-4, -0x1.ed581eddadb4bp-4, -0x1.e55f3f445f643p-4, -0x1.dd7c6f577b99bp-4, -0x1.d5afc0b4ec8f4p-4, -0x1.cdf942014d766p-4, -0x1.c658fefead004p-4, -0x1.becf00a315d84p-4, -0x1.b75b4d2ea4c48p-4, -0x1.affde8414c184p-4, -0x1.a8b6d2f04476dp-4, -0x1.a1860bdb10843p-4, -0x1.9a6b8f40316bep-4, -0x1.9367571174232p-4, -0x1.8c795b07f65dbp-4, -0x1.85a190b7b4c31p-4, -0x1.7edfeba2d1034p-4, -0x1.78345d4c734aap-4, -0x1.719ed54b51fd7p-4, -0x1.6b1f415bddcc2p-4, -0x1.64b58d721110bp-4, -0x1.5e61a3cae7372p-4, -0x1.58236cfd779bfp-4, -0x1.51fad00bb6b33p-4, -0x1.4be7b272dd496p-4, -0x1.45e9f83b790a4p-4, -0x1.4001840923d5ap-4, -0x1.3a2e3729e07bap-4, -0x1.346ff1a5255p-4, -0x1.2ec6924a8dba3p-4, -0x1.2931f6c03834cp-4, -0x1.23b1fb90cc2ap-4, -0x1.1e467c392ff21p-4, -0x1.18ef5335e9d8bp-4, -0x1.13ac5a103144ep-4, -0x1.0e7d696aa8f88p-4, -0x1.0962590dcf6cbp-4, -0x1.045afff41d8e2p-4, -0x1.fece68abae049p-5, -0x1.f50d976915d2fp-5, -0x1.eb7335cc97967p-5, -0x1.e1feec4135f88p-5, -0x1.d8b062060dedcp-5, -0x1.cf873d430b3c2p-5, -0x1.c683231cfead5p-5, -0x1.bda3b7c933d48p-5, -0x1.b4e89ea0730e4p-5, -0x1.ac517a3175b4dp-5, -0x1.a3ddec52d934cp-5, -0x1.9b8d96348b051p-5, -0x1.93601870ae92bp-5, -0x1.8b55131c01571p-5, -0x1.836c25d5c0f8ap-5, -0x1.7ba4efd713d04p-5, -0x1.73ff1001f8659p-5, -0x1.6c7a24efb4d8dp-5, -0x1.6515ccfedd19cp-5, -0x1.5dd1a660d41fp-5, -0x1.56ad4f26e6ba5p-5, -0x1.4fa8654ef1f78p-5, -0x1.48c286cf9cc27p-5, -0x1.41fb51a4236d3p-5, -0x1.3b5263d7bb6a8p-5, -0x1.34c75b908f3d4p-5, -0x1.2e59d71a545ebp-5, -0x1.280974f07d93p-5, -0x1.21d5d3c80a049p-5, -0x1.1bbe9298fcc44p-5, -0x1.15c350a76d322p-5, -0x1.0fe3ad8c41e69p-5, -0x1.0a1f493d8fc7p-5, -0x1.0475c416a39acp-5, -0x1.fdcd7dbf74b31p-6, -0x1.f2e3b5aab38c8p-6, -0x1.e82d735ed14cfp-6, -0x1.dda9fb4fd2121p-6, -0x1.d3589302d2ba9p-6, -0x1.c938811a63f9cp-6, -0x1.bf490d62379aep-6, -0x1.b58980da5408p-6, -0x1.abf925c1ae697p-6, -0x1.a29747a03ad8bp-6, -0x1.99633350838afp-6, -0x1.905c3708afb9fp-6, -0x1.8781a2631b5dfp-6, -0x1.7ed2c66667cc5p-6, -0x1.764ef58d15698p-6, -0x1.6df583ccac103p-6, -0x1.65c5c69c75b18p-6, -0x1.5dbf14fbc58e2p-6, -0x1.55e0c777d0404p-6, -0x1.4e2a38312f546p-6, -0x1.469ac2e0e367ep-6, -0x1.3f31c4dd055a9p-6, -0x1.37ee9d1d1cbap-6, -0x1.30d0ac3e0d532p-6, -0x1.29d75485acce4p-6, -0x1.2301f9e616d93p-6, -0x1.1c50020081f3ap-6, -0x1.15c0d427f5455p-6, -0x1.0f53d96387875p-6, -0x1.09087c7067bedp-6, -0x1.02de29c393a2bp-6, -0x1.f9a89f16937eep-7, -0x1.edd4bb6071822p-7, -0x1.e23f8baccdecep-7, -0x1.d6e7f6bbb22f2p-7, -0x1.cbcce6c60017bp-7, -0x1.c0ed497dceb7bp-7, -0x1.b648100e5c4f2p-7, -0x1.abdc2f1b8e3b1p-7, -0x1.a1a89ec0fc138p-7, -0x1.97ac5a9095743p-7, -0x1.8de66190f6259p-7, -0x1.8455b63b48457p-7, -0x1.7af95e78cc5e2p-7, -0x1.71d063a02660bp-7, -0x1.68d9d27229253p-7, -0x1.6014bb166b079p-7, -0x1.57803117985f2p-7, -0x1.4f1b4b5f5c681p-7, -0x1.46e524321d241p-7, -0x1.3edcd92a68faep-7, -0x1.37018b3433ccfp-7, -0x1.2f525e87b6b6cp-7, -0x1.27ce7aa43cd49p-7, -0x1.20750a4a93471p-7, -0x1.19453b7755e49p-7, -0x1.123e3f5d1ea4dp-7, -0x1.0b5f4a5e56788p-7, -0x1.04a794070669fp-7, -0x1.fc2cae0cc7d55p-8, -0x1.ef55a25083186p-8, -0x1.e2c8869ca94e9p-8, -0x1.d683e2d2a9bfdp-8, -0x1.ca8644e405c7ep-8, -0x1.bece40c405f17p-8, -0x1.b35a7059746adp-8, -0x1.a829736fc5f47p-8, -0x1.9d39efa867f73p-8, -0x1.928a906ba62d2p-8, -0x1.881a06d97424fp-8, -0x1.7de709ba23a0ep-8, -0x1.73f0556ee9b3ep-8, -0x1.6a34abe244107p-8, -0x1.60b2d4783bfffp-8, -0x1.57699bfeb063ep-8, -0x1.4e57d49d5d914p-8, -0x1.457c55c5f0feap-8, -0x1.3cd5fc23ed601p-8, -0x1.3463a98cb162cp-8, -0x1.2c2444ef3c426p-8, -0x1.2416ba441e482p-8, -0x1.1c39fa7d3baffp-8, -0x1.148cfb75a8e32p-8, -0x1.0d0eb7e169fd2p-8, -0x1.05be2f3d41cb4p-8, -0x1.fd34cb7d0c4b8p-9, -0x1.ef44c88600364p-9, -0x1.e1aa70815a4a8p-9, -0x1.d463e76b90da4p-9, -0x1.c76f5a313666p-9, -0x1.bacafe8f3c8e8p-9, -0x1.ae7512f2ba0c5p-9, -0x1.a26bde59749p-9, -0x1.96adb031f2b9bp-9, -0x1.8b38e03c09e9bp-9, -0x1.800bce69abae6p-9, -0x1.7524e2bf8989ap-9, -0x1.6a828d360a56bp-9, -0x1.6023459ac6cbcp-9, -0x1.56058b718ab2bp-9, -0x1.4c27e5d611074p-9, -0x1.4288e35dea4efp-9, -0x1.392719fa3e584p-9, -0x1.300126da22094p-9, -0x1.2715ae4d20f81p-9, -0x1.1e635ba5d7e6fp-9, -0x1.15e8e11cdf311p-9, -0x1.0da4f7b430801p-9, -0x1.05965f1a6abafp-9, -0x1.fb77bb1d09b76p-10, -0x1.ec287f87ecd94p-10, -0x1.dd3cb18d737dp-10, -0x1.ceb203bfebc0bp-10, -0x1.c08634f58bbb4p-10, -0x1.b2b710127e12ap-10, -0x1.a5426bd3cfbfap-10, -0x1.98262a9a865a6p-10, -0x1.8b603a37dd62ep-10, -0x1.7eee93b91e354p-10, -0x1.72cf3b353a598p-10, -0x1.67003f9a1ee57p-10, -0x1.5b7fba7b1855fp-10, -0x1.504bcfdf76953p-10, -0x1.4562ae121b319p-10, -0x1.3ac28d71920ffp-10, -0x1.3069b0408af28p-10, -0x1.265662775b955p-10, -0x1.1c86f99577a8fp-10, -0x1.12f9d474288eap-10, -0x1.09ad5b193430cp-10, -0x1.009ffe8b0e428p-10, -0x1.efa07149980cep-11, -0x1.de7917d5c254cp-11, -0x1.cdc706c1ee41cp-11, -0x1.bd8764bf3e6c2p-11, -0x1.adb768d5f994ep-11, -0x1.9e545a1561184p-11, -0x1.8f5b8f4158b45p-11, -0x1.80ca6e8497572p-11, -0x1.729e6d2235cafp-11, -0x1.64d50f293470ap-11, -0x1.576be728a066dp-11, -0x1.4a6095e5453c2p-11, -0x1.3db0ca109934dp-11, -0x1.315a400046bd9p-11, -0x1.255ac1671238bp-11, -0x1.19b0250fa49afp-11, -0x1.0e584e96eb4cfp-11, -0x1.03512e2903441p-11, -0x1.f131807c61e3dp-12, -0x1.dc5a1ab4651d8p-12, -0x1.c818539663934p-12, -0x1.b4686ad49189cp-12, -0x1.a146b6bd97e0cp-12, -0x1.8eafa3bee00dbp-12, -0x1.7c9fb3ee0b4ddp-12, -0x1.6b137e925354p-12, -0x1.5a07afb04f001p-12, -0x1.497907983d5afp-12, -0x1.39645a75abcc8p-12, -0x1.29c68fe1dc3b7p-12, -0x1.1a9ca277060d1p-12, -0x1.0be39f6613809p-12, -0x1.fb314c1e59d5p-13, -0x1.df71cf37afd1cp-13, -0x1.c4834d31820c3p-13, -0x1.aa606d289744fp-13, -0x1.9103f77ab19f1p-13, -0x1.7868d5093915fp-13, -0x1.608a0e7e02611p-13, -0x1.4962cb954f6a5p-13, -0x1.32ee526a871e7p-13, -0x1.1d2806c7db8b4p-13, -0x1.080b6979200a3p-13, -0x1.e7282f45ffd5p-14, -0x1.bf7b943e2033p-14, -0x1.9908a9ad40455p-14, -0x1.73c74c469396p-14, -0x1.4faf8c67d965p-14, -0x1.2cb9ace550d3ep-14, -0x1.0ade21ddb8d4ep-14, -0x1.d42b1f27cf0e6p-15, -0x1.94b1929e5e698p-15, -0x1.5741a08500be3p-15, -0x1.1bcda4e929f0ap-15, -0x1.c490a6c50af77p-16, -0x1.55496a0b7a44fp-16, -0x1.d3589963ad27cp-17, -0x1.03415555eae8ap-17, -0x1.d0e7ef17575ffp-20, 0x1.1086812c065bp-18, 0x1.440d0ac2ddaecp-17, 0x1.f96cdda4a155fp-17, 0x1.54470ae8a7421p-16, 0x1.a8cd7b1d35ecp-16, 0x1.fa5e57927da44p-16, 0x1.2486d9390019p-15, 0x1.4a778d9913525p-15, 0x1.6f0ad0de9e25p-15, 0x1.9249ecd17e0fdp-15, 0x1.b43dee8dda587p-15, 0x1.d4efa80a13974p-15, 0x1.f467b18560363p-15, 0x1.0957357eeb444p-14, 0x1.17e5fecaba674p-14, 0x1.25e42e78182dap-14, 0x1.3355a4424634cp-14, 0x1.403e26774158bp-14, 0x1.4ca1629c7fc0dp-14, 0x1.5882ee0e5239cp-14, 0x1.63e646995a305p-14, 0x1.6eced315f13b8p-14, 0x1.793fe3fc060b8p-14, 0x1.833cb3f5bcd61p-14, 0x1.8cc868690ed1p-14, 0x1.95e612079ee84p-14, 0x1.9e98ad54230fp-14, 0x1.a6e32328299f3p-14, 0x1.aec8493340d34p-14, 0x1.b64ae277d46cdp-14, 0x1.bd6d9fc9a6cddp-14, 0x1.c4332045b643p-14, 0x1.ca9df1c379c9ap-14, 0x1.d0b0914ab7f86p-14, 0x1.d66d6b8368175p-14, 0x1.dbd6dd219966fp-14, 0x1.e0ef335014584p-14, 0x1.e5b8ac1409bf1p-14, 0x1.ea3576b845f45p-14, 0x1.ee67b42cc965fp-14, 0x1.f2517767df0dap-14, 0x1.f5f4c5c20a73bp-14, 0x1.f9539752926b5p-14, 0x1.fc6fd749dd5c7p-14, 0x1.ff4b6446d3efep-14, 0x1.00f4085540af4p-13, 0x1.0223d1762f724p-13, 0x1.0335eaf592a52p-13, 0x1.042b2c9d9790dp-13, 0x1.050468b90b85fp-13, 0x1.05c26c3774591p-13, 0x1.0665fed360533p-13, 0x1.06efe3348f48cp-13, 0x1.0760d71332e9ap-13, 0x1.07b99358604b1p-13, 0x1.07facc3f33c93p-13, 0x1.082531756bffep-13, 0x1.08396e395669ep-13, 0x1.08382977fa26fp-13, 0x1.082205ea7817fp-13, 0x1.07f7a2333df23p-13, 0x1.07b998f9dcbe3p-13, 0x1.07688105c81dbp-13, 0x1.0704ed58753d5p-13, 0x1.068f6d470afcfp-13, 0x1.06088c93d13d1p-13, 0x1.0570d386975d6p-13, 0x1.04c8c703b270fp-13, 0x1.0410e8a2f18a6p-13, 0x1.0349b6c724d8cp-13, 0x1.0273acb309562p-13, 0x1.018f429ee5004p-13, 0x1.009cedcc15f2ap-13, 0x1.ff3a4133e124p-14, 0x1.fd209532abb69p-14, 0x1.faedb13f6bf4fp-14, 0x1.f8a269b2bbac2p-14, 0x1.f63f8db668fa9p-14, 0x1.f3c5e76854726p-14, 0x1.f1363bfd13c93p-14, 0x1.ee914be0e5fcep-14, 0x1.ebd7d2d64bfc8p-14, 0x1.e90a8815ecc85p-14, 0x1.e62a1e6dbe38ap-14, 0x1.e337445e55c9fp-14, 0x1.e032a43703907p-14, 0x1.dd1ce431a34f8p-14, 0x1.d9f6a68c0746ap-14, 0x1.d6c089a5215c3p-14, 0x1.d37b281505a09p-14, 0x1.d02718c5898b6p-14, 0x1.ccc4ef0bd669cp-14, 0x1.c9553abda4507p-14, 0x1.c5d888498daf5p-14, 0x1.c24f60cd39dabp-14, 0x1.beba4a29c36bp-14, 0x1.bb19c71807317p-14, 0x1.b76e573ea71f5p-14, 0x1.b3b877452e309p-14, 0x1.aff8a0e773637p-14, 0x1.ac2f4b079f353p-14, 0x1.a85ce9bfbdd4p-14, 0x1.a481ee73b0cafp-14, 0x1.a09ec7e2d0843p-14, 0x1.9cb3e237d04b6p-14, 0x1.98c1a7191f565p-14, 0x1.94c87db877921p-14, 0x1.90c8cae1a7b96p-14, 0x1.8cc2f109f1226p-14, 0x1.88b7505e552bep-14, 0x1.84a646d09b57fp-14, 0x1.8090302470718p-14, 0x1.7c7565fe17979p-14, 0x1.78563fee48bacp-14, 0x1.7433137e9f37ap-14, 0x1.700c343e184b9p-14, 0x1.6be1f3cbde215p-14, 0x1.67b4a1e28e152p-14, 0x1.63848c643d34bp-14, 0x1.5f51ff6431d5ep-14, 0x1.5b1d45328bacep-14, 0x1.56e6a664730d1p-14, 0x1.52ae69df9733ep-14, 0x1.4e74d4e2c3ae4p-14, 0x1.4a3a2b0fef52fp-14, 0x1.45feae74d5faep-14, 0x1.41c29f93287acp-14, 0x1.3d863d68ef97dp-14, 0x1.3949c57ab946p-14, 0x1.350d73d94d14fp-14, 0x1.30d1832af5307p-14, 0x1.2c962cb2a0acep-14, 0x1.285ba8578530bp-14, 0x1.24222cab4a189p-14, 0x1.1fe9eef26747dp-14, 0x1.1bb3232ac47dfp-14, 0x1.177dfc1169713p-14, 0x1.134aab296b813p-14, 0x1.0f1960c276e49p-14, 0x1.0aea4bfe2931ap-14, 0x1.06bd9ad73b3c6p-14, 0x1.02937a26a256p-14, 0x1.fcd82b50d1e86p-15, 0x1.f48f300422a25p-15, 0x1.ec4c55906e963p-15, 0x1.e40fed057ce4ap-15, 0x1.dbda45652b8d5p-15, 0x1.d3ababacfbfc7p-15, 0x1.cb846ae07487p-15, 0x1.c364cc105349ep-15, 0x1.bb4d166647b96p-15, 0x1.b33d8f2dc4316p-15, 0x1.ab3679da986e3p-15, 0x1.a338181285ab2p-15, 0x1.9b42a9b6a1c17p-15, 0x1.93566ce945c56p-15, 0x1.8b739e16d2424p-15, 0x1.839a77ffb6478p-15, 0x1.7bcb33bceaed2p-15, 0x1.740608c81b8e5p-15, 0x1.6c4b2d041da3dp-15, 0x1.649ad4c2d717cp-15, 0x1.5cf532cb7776dp-15, 0x1.555a786351121p-15, 0x1.4dcad5527942fp-15, 0x1.464677ebbc67fp-15, 0x1.3ecd8d1119c59p-15, 0x1.3760403d1d46dp-15, 0x1.2ffebb85e95a1p-15, 0x1.28a927a455ff7p-15, 0x1.215fabf9e63e9p-15, 0x1.1a226e95ed5d1p-15, 0x1.12f1943b4c1f7p-15, 0x1.0bcd4065f06eap-15, 0x1.04b59550feaebp-15, 0x1.fb5567f613c82p-16, 0x1.ed59785950dp-16, 0x1.df7798f75efb4p-16, 0x1.d1b004a3a43acp-16, 0x1.c402f3dfd24bep-16, 0x1.b6709ce91f443p-16, 0x1.a8f933c025bd6p-16, 0x1.9b9cea30a0f9ap-16, 0x1.8e5befde13287p-16, 0x1.8136724a229f6p-16, 0x1.742c9cde88c4p-16, 0x1.673e98f616c5p-16, 0x1.5a6c8de49e6c4p-16, 0x1.4db6a0ffff7dap-16, 0x1.411cf5a5f7b4bp-16, 0x1.349fad48cf855p-16, 0x1.283ee773b7b8dp-16, 0x1.1bfac1d35adc9p-16, 0x1.0fd358412d411p-16, 0x1.03c8c4c85fbf8p-16, 0x1.efb63f568b944p-17, 0x1.d814fede992f3p-17, 0x1.c0adf1c225b53p-17, 0x1.a9813e3dedd52p-17, 0x1.928f073870178p-17, 0x1.7bd76c56cb379p-17, 0x1.655a8a0ca8468p-17, 0x1.4f18799f544fcp-17, 0x1.3911513d8b855p-17, 0x1.2345240ca0eeap-17, 0x1.0db4023151fdap-17, 0x1.f0bbf1bb7d43bp-18, 0x1.c68624c23998ep-18, 0x1.9cc6ac689b1dcp-18, 0x1.737d9206a47aap-18, 0x1.4aaad97507a62p-18, 0x1.224e813089d76p-18, 0x1.f4d104e5aa8b9p-19, 0x1.a5f1a26fcc49ap-19, 0x1.57feb8c352311p-19, 0x1.0af81bb0164bp-19, 0x1.7dbb2a5bed1aap-20, 0x1.cebb963babd2p-21, 0x1.4b5e1d2478773p-22, -0x1.fec22f27dab3fp-23, -0x1.a164a70873cc4p-21, -0x1.5fb76a9f0b0d3p-20, -0x1.ece865a038db6p-20, -0x1.3c2318121215fp-19, -0x1.80e8e357207ddp-19, -0x1.c4c61b2494d2ap-19, -0x1.03dda70250d3bp-18, -0x1.24e48937c317dp-18, -0x1.4578035bf7c5cp-18, -0x1.65986861b99ddp-18, -0x1.85460ee9b235dp-18, -0x1.a4815139c0539p-18, -0x1.c34a8d3139f8dp-18, -0x1.e1a2242bacbd2p-18, -0x1.ff887ae726e9p-18, -0x1.0e7efcbaae903p-17, -0x1.1d01859a5c93fp-17, -0x1.2b4c0f54bb5a2p-17, }}, 
      {{0x1.88d92f5883fb4p-1, 0x1.88d2544de31bep-1, 0x1.88c6fe17e2a95p-1, 0x1.88b74886555b9p-1, 0x1.88a350ae61f7p-1, 0x1.888b2f15a7f76p-1, 0x1.886ef2d40463ep-1, 0x1.884e9de8088f9p-1, 0x1.882a22c362294p-1, 0x1.880162f5d559fp-1, 0x1.87d42ece80d6ap-1, 0x1.87a245c623507p-1, 0x1.876b5785bada4p-1, 0x1.872f056099289p-1, 0x1.86ece41e0ea5dp-1, 0x1.86a47df44ecfp-1, 0x1.8655549b809ep-1, 0x1.85fee364d6bb2p-1, 0x1.85a0a145fc4ffp-1, 0x1.853a02cceae4bp-1, 0x1.84ca7bf390f06p-1, 0x1.845181cd6c7fdp-1, 0x1.83ce8c0b8217fp-1, 0x1.83411654efab7p-1, 0x1.82a8a173d0dfp-1, 0x1.8204b45744a2fp-1, 0x1.8154dcec41d33p-1, 0x1.8098b0cf794p-1, 0x1.7fcfcddaf4f99p-1, 0x1.7ef9da9257f6bp-1, 0x1.7e168670c7719p-1, 0x1.7d258a1b88de5p-1, 0x1.7c26a77c4d20dp-1, 0x1.7b19a9c609addp-1, 0x1.79fe656716ebcp-1, 0x1.78d4b7eb1aff9p-1, 0x1.779c87cf1df9ap-1, 0x1.7655c449e8f56p-1, 0x1.7500650aa869ep-1, 0x1.739c69ef8ebe7p-1, 0x1.7229dab60ca4cp-1, 0x1.70a8c6a605385p-1, 0x1.6f19443938588p-1, 0x1.6d7b70bffa4c5p-1, 0x1.6bcf70042b755p-1, 0x1.6a156beb42135p-1, 0x1.684d94181cd5cp-1, 0x1.66781d8d390b2p-1, 0x1.6495424fd291bp-1, 0x1.62a5410c5e20ep-1, 0x1.60a85cbcbaf04p-1, 0x1.5e9edc506a04ap-1, 0x1.5c890a570dfd7p-1, 0x1.5a6734ad638acp-1, 0x1.5839ac2cdcfd1p-1, 0x1.5600c45e025b6p-1, 0x1.53bcd32daa02ap-1, 0x1.516e30a51c7fbp-1, 0x1.4f1536a52e6ap-1, 0x1.4cb240a450afbp-1, 0x1.4a45ab6f9f059p-1, 0x1.47cfd4eee0d32p-1, 0x1.45511beb7bb9ap-1, 0x1.42c9dfda4c0e4p-1, 0x1.403a80a8548c3p-1, 0x1.3da35e8a3ce2ap-1, 0x1.3b04d9ce8879p-1, 0x1.385f52b279c18p-1, 0x1.35b329398cc54p-1, 0x1.3300bd0777c31p-1, 0x1.30486d3c9b029p-1, 0x1.2d8a9854ceb3fp-1, 0x1.2ac79c0878a6fp-1, 0x1.27ffd52fd4f58p-1, 0x1.25339fa85b6b4p-1, 0x1.2263563c2fa26p-1, 0x1.1f8f528b82c44p-1, 0x1.1cb7ecf7d6dfbp-1, 0x1.19dd7c9109727p-1, 0x1.1700570415f87p-1, 0x1.1420d08b79a2dp-1, 0x1.113f3be1262e8p-1, 0x1.0e5bea31eda43p-1, 0x1.0b772b12595fep-1, 0x1.08914c74d49fap-1, 0x1.05aa9aa11cbf7p-1, 0x1.02c3602ce31f1p-1, 0x1.ffb7cbeb261f4p-2, 0x1.f9e8e6364f8bdp-2, 0x1.f41a99f80ab14p-2, 0x1.ee4d6e6389e9p-2, 0x1.e881e71dcb86ap-2, 0x1.e2b8843aa723bp-2, 0x1.dcf1c23b6e37fp-2, 0x1.d72e1a0f044a1p-2, 0x1.d16e011355a65p-2, 0x1.cbb1e918162d3p-2, 0x1.c5fa4062b07a8p-2, 0x1.c04771b34fd81p-2, 0x1.ba99e44af0c01p-2, 0x1.b4f1fbf260a0ep-2, 0x1.af50190222537p-2, 0x1.a9b4986b19ccep-2, 0x1.a41fd3bff953dp-2, 0x1.9e92213f5808dp-2, 0x1.990bd3de641fbp-2, 0x1.938d3b5426abfp-2, 0x1.8e16a42545365p-2, 0x1.88a857b0376d8p-2, 0x1.83429c39e4324p-2, 0x1.7de5b4fa98cbcp-2, 0x1.7891e22b525aap-2, 0x1.734761134daa9p-2, 0x1.6e066c15d0a0bp-2, 0x1.68cf3ac02b855p-2, 0x1.63a201d7e1019p-2, 0x1.5e7ef368f3ef6p-2, 0x1.59663ed44f1cdp-2, 0x1.545810de430c9p-2, 0x1.4f5493bd0f25bp-2, 0x1.4a5bef277490ep-2, 0x1.456e48634c291p-2, 0x1.408bc25416b5p-2, 0x1.3bb47d8985a6bp-2, 0x1.36e8984dfa2d5p-2, 0x1.32282eb4f00cep-2, 0x1.2d735aa9551b4p-2, 0x1.28ca33fbc88dp-2, 0x1.242cd070bfdebp-2, 0x1.1f9b43ce8a519p-2, 0x1.1b159feb37611p-2, 0x1.169bf4ba5451ap-2, 0x1.122e505a87e22p-2, 0x1.0dccbf2304a55p-2, 0x1.09774bb0cf615p-2, 0x1.052dfef3dc86fp-2, 0x1.00f0e03bfdb9dp-2, 0x1.f97fea8b44f7bp-3, 0x1.f136848cd392bp-3, 0x1.e90593f2fcfc8p-3, 0x1.e0ed1b5790613p-3, 0x1.d8ed1a8fc77f3p-3, 0x1.d1058ec3d7038p-3, 0x1.c936728617fc3p-3, 0x1.c17fbde9c438p-3, 0x1.b9e166994f414p-3, 0x1.b25b5fec4cfedp-3, 0x1.aaed9afcf6b28p-3, 0x1.a39806bd43c61p-3, 0x1.9c5a900b911ffp-3, 0x1.953521c6e6d59p-3, 0x1.8e27a4e2cd45ap-3, 0x1.8732007abd0bdp-3, 0x1.805419e521p-3, 0x1.798dd4c5f14cp-3, 0x1.72df1320e5d51p-3, 0x1.6c47b56b429b9p-3, 0x1.65c79a9d35473p-3, 0x1.5f5ea042d9dbp-3, 0x1.590ca28cca6d5p-3, 0x1.52d17c6057c9fp-3, 0x1.4cad076756c56p-3, 0x1.469f1c1f8dae9p-3, 0x1.40a791e9be5bdp-3, 0x1.3ac63f18559e1p-3, 0x1.34faf8fdb4ab6p-3, 0x1.2f4593fa1f0e2p-3, 0x1.29a5e38951807p-3, 0x1.241bba4fb1dc6p-3, 0x1.1ea6ea2731a55p-3, 0x1.1947442bcd2b4p-3, 0x1.13fc98c7bc65ap-3, 0x1.0ec6b7bf44ce3p-3, 0x1.09a5703c3cf35p-3, 0x1.049890d939d65p-3, 0x1.ff3fcf58d4f8fp-4, 0x1.f57684a448aa7p-4, 0x1.ebd4dbee365f4p-4, 0x1.e25a6ec4a3ep-4, 0x1.d906d5fd74b26p-4, 0x1.cfd9a9c917a6dp-4, 0x1.c6d281c497d5bp-4, 0x1.bdf0f50b29a9fp-4, 0x1.b5349a471edf8p-4, 0x1.ac9d07c256905p-4, 0x1.a429d37617b88p-4, 0x1.9bda931a7b242p-4, 0x1.93aedc35397e7p-4, 0x1.8ba6442809245p-4, 0x1.83c0603e77522p-4, 0x1.7bfcc5bb4766bp-4, 0x1.745b09e557b5ep-4, 0x1.6cdac2140f9bcp-4, 0x1.657b83bb5c447p-4, 0x1.5e3ce47738d12p-4, 0x1.571e7a16ca1f1p-4, 0x1.501fdaa70cc7ep-4, 0x1.49409c7d19946p-4, 0x1.4280564002246p-4, 0x1.3bde9ef248f53p-4, 0x1.355b0dfaf5a9dp-4, 0x1.2ef53b2e49f89p-4, 0x1.28acbed618a81p-4, 0x1.228131b9bef5p-4, 0x1.1c722d25c5d4cp-4, 0x1.167f4af32cd75p-4, 0x1.10a8258e5ce66p-4, 0x1.0aec57fdca44ap-4, 0x1.054b7de84546bp-4, 0x1.ff8a6735f65bp-5, 0x1.f4b22c1e59e15p-5, 0x1.ea0d85df2d08ep-5, 0x1.df9bb13b26e66p-5, 0x1.d55bec6bf056bp-5, 0x1.cb4d772b4fd92p-5, 0x1.c16f92bbcf5ccp-5, 0x1.b7c181f0e254cp-5, 0x1.ae4289368836dp-5, 0x1.a4f1ee987adcep-5, 0x1.9bcef9c8de97dp-5, 0x1.92d8f426852f3p-5, 0x1.8a0f28c2b9f4fp-5, 0x1.8170e466a71c2p-5, 0x1.78fd75984e576p-5, 0x1.70b42c9f18f7ap-5, 0x1.68945b88090bfp-5, 0x1.609d562985e08p-5, 0x1.58ce7226d249dp-5, 0x1.512706f31df58p-5, 0x1.49a66dd44a614p-5, 0x1.424c01e554575p-5, 0x1.3b1720186f4eep-5, 0x1.34072738d1a21p-5, 0x1.2d1b77ec324e2p-5, 0x1.265374b3ffa11p-5, 0x1.1fae81ee4ed49p-5, 0x1.192c05d684f0bp-5, 0x1.12cb6885c10d7p-5, 0x1.0c8c13f304151p-5, 0x1.066d73f31d6ap-5, 0x1.006ef6385c16bp-5, 0x1.f52014a4090f1p-6, 0x1.e9a043572cd4ep-6, 0x1.de5d5f17aee5fp-6, 0x1.d35652275d3cap-6, 0x1.c88a0a799fef3p-6, 0x1.bdf779b07321ap-6, 0x1.b39d951902abfp-6, 0x1.a97b55a7fd458p-6, 0x1.9f8fb7f58b81dp-6, 0x1.95d9bc38ff065p-6, 0x1.8c5866442f6bcp-6, 0x1.830abd7ea3c07p-6, 0x1.79efcce05e73ep-6, 0x1.7106a2ec7e555p-6, 0x1.684e51ab9663ap-6, 0x1.5fc5eea5d5c2ep-6, 0x1.576c92dcea085p-6, 0x1.4f415ac5bfbebp-6, 0x1.4743664200c5ep-6, 0x1.3f71d8996f828p-6, 0x1.37cbd8731450dp-6, 0x1.30508fce36306p-6, 0x1.28ff2bfb407p-6, 0x1.21d6dd947663ap-6, 0x1.1ad6d876811a2p-6, 0x1.13fe53b8ed98p-6, 0x1.0d4c89a67f717p-6, 0x1.06c0b7b56ac32p-6, 0x1.005a1e7f790e6p-6, 0x1.f43003742981fp-7, 0x1.e7f3505c7836p-7, 0x1.dbfcb760c9345p-7, 0x1.d04ad2309128bp-7, 0x1.c4dc40715758dp-7, 0x1.b9afa7ae1184cp-7, 0x1.aec3b3466c12fp-7, 0x1.a417145e0862bp-7, 0x1.99a881cb93b64p-7, 0x1.8f76b807db4cbp-7, 0x1.8580791ccb5edp-7, 0x1.7bc48c9473bddp-7, 0x1.7241bf67ed7b8p-7, 0x1.68f6e3ee44cb4p-7, 0x1.5fe2d1cb69ec4p-7, 0x1.570465df183a1p-7, 0x1.4e5a8233b4cb5p-7, 0x1.45e40ded485dfp-7, 0x1.3d9ff5386c50dp-7, 0x1.358d293946ac6p-7, 0x1.2daa9ffa9125cp-7, 0x1.25f7545ca797p-7, 0x1.1e724604a587p-7, 0x1.171a794b98ccdp-7, 0x1.0feef72dbb19ap-7, 0x1.08eecd39c0e5dp-7, 0x1.02190d8044f0cp-7, 0x1.f6d99d06781c5p-8, 0x1.e9d2564b0c71cp-8, 0x1.dd1a85352aeddp-8, 0x1.d0b070ac6766ap-8, 0x1.c49267f8b3cf2p-8, 0x1.b8bec2a24fd84p-8, 0x1.ad33e051e8225p-8, 0x1.a1f028b0fee6dp-8, 0x1.96f20b4a8793dp-8, 0x1.8c37ff6bba22ep-8, 0x1.81c084053738fp-8, 0x1.778a1f8c5d3f9p-8, 0x1.6d935fdce6f5ep-8, 0x1.63dada1ad05f4p-8, 0x1.5a5f2a947fd08p-8, 0x1.511ef4a5355b5p-8, 0x1.4818e297bee74p-8, 0x1.3f4ba589760abp-8, 0x1.36b5f54d8abadp-8, 0x1.2e56905094ea6p-8, 0x1.262c3b7c7a09ap-8, 0x1.1e35c21c92232p-8, 0x1.1671f5c21a60cp-8, 0x1.0edfae29039bp-8, 0x1.077dc91cf302fp-8, 0x1.004b2a5ebe154p-8, 0x1.f28d771403b5dp-9, 0x1.e4ded7f65611ep-9, 0x1.d788616b7e4acp-9, 0x1.ca880895f16aep-9, 0x1.bddbcd816236ap-9, 0x1.b181baf14b4dbp-9, 0x1.a577e6300067fp-9, 0x1.99bc6ede4c4eep-9, 0x1.8e4d7ec3d980ep-9, 0x1.832949a031b33p-9, 0x1.784e0cfc2baa6p-9, 0x1.6dba0ffc5a577p-9, 0x1.636ba333af2fcp-9, 0x1.59612076f3909p-9, 0x1.4f98eab0e8c4ap-9, 0x1.46116db6dc02p-9, 0x1.3cc91e1df8ae3p-9, 0x1.33be79112fd17p-9, 0x1.2af00427bd297p-9, 0x1.225c4d3c3a1a3p-9, 0x1.1a01ea44453cp-9, 0x1.11df7928d59ddp-9, 0x1.09f39f9f2695cp-9, 0x1.023d0b021ffcp-9, 0x1.f574e05920bfcp-10, 0x1.e6d516a745d31p-10, 0x1.d8983fc45f50dp-10, 0x1.cabbf0a8fb315p-10, 0x1.bd3dcc294251bp-10, 0x1.b01b82aee57d6p-10, 0x1.a352d1f40109bp-10, 0x1.96e184bf5597cp-10, 0x1.8ac572a150009p-10, 0x1.7efc7fb23dde5p-10, 0x1.73849c51c8992p-10, 0x1.685bc4e756222p-10, 0x1.5d8001a372453p-10, 0x1.52ef66427b1c7p-10, 0x1.48a811d000888p-10, 0x1.3ea82e6b5827fp-10, 0x1.34edf10d50697p-10, 0x1.2b77994ea665cp-10, 0x1.2243712f9ad46p-10, 0x1.194fcce0a85b8p-10, 0x1.109b0a8bee04fp-10, 0x1.0823921fa6c9ep-10, 0x1.ffcfaa334693fp-11, 0x1.efcc9ca72d3b5p-11, 0x1.e03b03a0af2e6p-11, 0x1.d117f9144b853p-11, 0x1.c260a8839cacep-11, 0x1.b4124e9d20de2p-11, 0x1.a62a38de1ba19p-11, 0x1.98a5c535b7fbdp-11, 0x1.8b8261aa4d1d5p-11, 0x1.7ebd8c007650bp-11, 0x1.7254d16338e7cp-11, 0x1.6645ce0e4cabp-11, 0x1.5a8e2cf9f34e1p-11, 0x1.4f2ba78831dfdp-11, 0x1.441c0533c47b2p-11, 0x1.395d1b4061437p-11, 0x1.2eeccc6cf55acp-11, 0x1.24c908a6d1aap-11, 0x1.1aefccbeeadbap-11, 0x1.115f22202da23p-11, 0x1.08151e876ed9ep-11, 0x1.fe1fc778a96c5p-12, 0x1.ec9b3e98d268p-12, 0x1.db99148d62cf1p-12, 0x1.cb15d1f2c3563p-12, 0x1.bb0e1560dfab9p-12, 0x1.ab7e92eb064c2p-12, 0x1.9c6413a2fc73cp-12, 0x1.8dbb751d6c61ap-12, 0x1.7f81a8fa25cadp-12, 0x1.71b3b46d63f57p-12, 0x1.644eafccb6b9p-12, 0x1.574fc61dc545ep-12, 0x1.4ab434a73b51cp-12, 0x1.3e794a845ec1fp-12, 0x1.329c683b11eefp-12, 0x1.271aff52efd42p-12, 0x1.1bf291f036615p-12, 0x1.1120b26ee0151p-12, 0x1.06a30301f10d1p-12, 0x1.f8ee6aa61be59p-13, 0x1.e536144ab85ap-13, 0x1.d218a1f2e25ffp-13, 0x1.bf91cf68731e5p-13, 0x1.ad9d748d204c6p-13, 0x1.9c3784afa2228p-13, 0x1.8b5c0de2a4a94p-13, 0x1.7b073858ccc57p-13, 0x1.6b3545c402efap-13, 0x1.5be290b7c90adp-13, 0x1.4d0b8c0ee369cp-13, 0x1.3eacc255ed08cp-13, 0x1.30c2d536e62dfp-13, 0x1.234a7cea1153p-13, 0x1.164087a7ef629p-13, 0x1.09a1d920671efp-13, 0x1.fad6d3e70582dp-14, 0x1.e3348e5cd5f0bp-14, 0x1.cc572393b12fbp-14, 0x1.b638fc59754dfp-14, 0x1.a0d4a7633bbcep-14, 0x1.8c24d85ba8582p-14, 0x1.782466f7f1e0bp-14, 0x1.64ce4e12cb92fp-14, 0x1.521daacacc6e3p-14, 0x1.400dbba7f6435p-14, 0x1.2e99dfc5d910fp-14, 0x1.1dbd96002fc2fp-14, 0x1.0d747c2930686p-14, 0x1.fb749c7f55633p-15, 0x1.dd15cb5a4286fp-15, 0x1.bfc4710be9b05p-15, 0x1.a378b19fab13dp-15, 0x1.882ae795e83d3p-15, 0x1.6dd3a28424243p-15, 0x1.546ba5b6e0ee4p-15, 0x1.3bebe6df2faeep-15, 0x1.244d8ccb1320fp-15, 0x1.0d89ee204343bp-15, 0x1.ef35204439244p-16, 0x1.c4f24afa617bbp-16, 0x1.9c3f1a35c150ep-16, 0x1.750fa1f5363cp-16, 0x1.4f584a2e93b4ep-16, 0x1.2b0dcc9b03ab5p-16, 0x1.08253294fbd6dp-16, 0x1.cd27a6132b42dp-17, 0x1.8c9ea0df1fbfp-17, 0x1.4e9b2d9891595p-17, 0x1.1309b39342293p-17, 0x1.b3ae4b3195dbcp-18, 0x1.45e1fc8ae77dep-18, 0x1.b914f1cb7a791p-19, 0x1.de12fdd98518ep-20, 0x1.6aeca1374a405p-22, -0x1.1861e5a3cb495p-20, -0x1.3de25f0d5cea3p-19, -0x1.e7f52b38fb709p-19, -0x1.455307ee2acd8p-18, -0x1.931807add9ddep-18, -0x1.dd6640e6e9886p-18, -0x1.122cc8140f889p-17, -0x1.3406840b3c7ap-17, -0x1.544d7b6dbac1p-17, -0x1.730e75b97afcap-17, -0x1.9055dd6ae7c4ap-17, -0x1.ac2fc272ace86p-17, -0x1.c6a7dcb82337ep-17, -0x1.dfc98e74bf06cp-17, -0x1.f79fe6893c1f6p-17, -0x1.071ad1643b51ep-16, -0x1.11ca99103189fp-16, -0x1.1be45b659a298p-16, -0x1.256d0430b00d5p-16, -0x1.2e695af4b17bcp-16, -0x1.36de03e8eca46p-16, -0x1.3ecf80ee0d18ap-16, -0x1.464232815634cp-16, -0x1.4d3a58a9bc1dap-16, -0x1.53bc13db89c69p-16, -0x1.59cb65d8703a3p-16, -0x1.5f6c3287890abp-16, -0x1.64a240c96a1d9p-16, -0x1.69713b466ff56p-16, -0x1.6ddcb136974edp-16, -0x1.71e817251e98cp-16, -0x1.7596c7acd75ddp-16, -0x1.78ec043261bbbp-16, -0x1.7beaf5969c941p-16, -0x1.7e96ace9884fep-16, -0x1.80f2241235275p-16, -0x1.83003e7605321p-16, -0x1.84c3c998b4bfcp-16, -0x1.863f7dbbf01dcp-16, -0x1.8775fe7629182p-16, -0x1.8869db48a9ec2p-16, -0x1.891d902f517dep-16, -0x1.8993862cd4345p-16, -0x1.89ce13d56b783p-16, -0x1.89cf7dd3865ffp-16, -0x1.8999f76a81f3ep-16, -0x1.892fa2f4344fp-16, -0x1.8892925af5e99p-16, -0x1.87c4c792b3027p-16, -0x1.86c8350c03406p-16, -0x1.859ebe24f9a89p-16, -0x1.844a3797ee7dp-16, -0x1.82cc67e523e49p-16, -0x1.812707b975f86p-16, -0x1.7f5bc255687d5p-16, -0x1.7d6c35efaf5f8p-16, -0x1.7b59f413a3106p-16, -0x1.792681fe0bc06p-16, -0x1.76d358f81eb5dp-16, -0x1.7461e6aec3095p-16, -0x1.71d38d874c6c9p-16, -0x1.6f29a4f3be53bp-16, -0x1.6c6579c2ab059p-16, -0x1.69884e6d4357p-16, -0x1.66935b633cff9p-16, -0x1.6387cf53fbcf2p-16, -0x1.6066cf795092dp-16, -0x1.5d3177db590cfp-16, -0x1.59e8db945c527p-16, -0x1.568e0514326c9p-16, -0x1.5321f65ef675p-16, -0x1.4fa5a94c194p-16, -0x1.4c1a0fc1ab929p-16, -0x1.488013f1ab8efp-16, -0x1.44d89890ab687p-16, -0x1.4124790ec132cp-16, -0x1.3d6489cc9504dp-16, -0x1.3999984fed677p-16, -0x1.35c46b775dd3ep-16, -0x1.31e5c3ab635p-16, -0x1.2dfe5b0e054b9p-16, -0x1.2a0ee5aa1818cp-16, -0x1.261811a03648cp-16, -0x1.221a8752bbabcp-16, -0x1.1e16e990adc67p-16, -0x1.1a0dd5bf28894p-16, -0x1.15ffe401a7eb4p-16, -0x1.11eda7611e8cep-16, -0x1.0dd7adf29a81fp-16, -0x1.09be80fb1dda4p-16, -0x1.05a2a514a6877p-16, -0x1.01849a5026fe2p-16, -0x1.fac9b8b12716cp-17, -0x1.f287c5236ab71p-17, -0x1.ea44407437cdcp-17, -0x1.e2000911b3a8bp-17, -0x1.d9bbf5983410ap-17, -0x1.d178d50c5687dp-17, -0x1.c9376f144ae4ap-17, -0x1.c0f8842d32e11p-17, -0x1.b8bccde26191bp-17, -0x1.b084ff0194f67p-17, -0x1.a851c3cc352d4p-17, -0x1.a023c2278a77fp-17, -0x1.97fb99ced49b3p-17, -0x1.8fd9e47f79075p-17, -0x1.87bf36264b786p-17, -0x1.7fac1d0ae2823p-17, -0x1.77a121fa0e2bdp-17, -0x1.6f9ec86ebde7dp-17, -0x1.67a58eb9a3baap-17, -0x1.5fb5ee2906efap-17, -0x1.57d05b2c7f176p-17, -0x1.4ff5457a6dc6bp-17, -0x1.48251834ecfa5p-17, -0x1.40603a09abdd6p-17, -0x1.38a70d5326978p-17, -0x1.30f9f03a10fa6p-17, -0x1.29593cd699b22p-17, -0x1.21c5494c7e72ep-17, -0x1.1a3e67e8d4acap-17, -0x1.12c4e73fa92c2p-17, -0x1.0b5912474939bp-17, -0x1.03fb307377f8ep-17, -0x1.f9570ba125452p-18, -0x1.ead4a63b5a06ep-18, -0x1.dc6fabc6e6ab3p-18, -0x1.ce28911d62c91p-18, -0x1.bfffc50e29addp-18, -0x1.b1f5b087be4a3p-18, -0x1.a40ab6c5bd96ep-18, -0x1.963f357f26941p-18, -0x1.8893851126361p-18, -0x1.7b07f8a1c5c1ep-18, -0x1.6d9cde4b75887p-18, -0x1.60527f418d0b1p-18, -0x1.53291ff4c02b3p-18, -0x1.4621003973ae6p-18, -0x1.393a5b68d2073p-18, -0x1.2c75688864653p-18, -0x1.1fd25a634ccbep-18, -0x1.13515fb1bb1b4p-18, -0x1.06f2a3345f8aep-18, -0x1.f56c97a166051p-19, -0x1.dd38f96104e8p-19, -0x1.c54aaabeadb6bp-19, -0x1.ada1e3d21981bp-19, -0x1.963ed5e0a6b5p-19, -0x1.7f21ab9579f49p-19, -0x1.684a89364095fp-19, -0x1.51b98cd091767p-19, -0x1.3b6ece6e0e0c5p-19, -0x1.256a6041e136ep-19, -0x1.0fac4edbed0b3p-19, -0x1.f46942a4b5211p-20, -0x1.ca06b2d6656c5p-20, -0x1.a030e793a337ap-20, -0x1.76e7d0243a867p-20, -0x1.4e2b522897ebbp-20, -0x1.25fb49de226d2p-20, -0x1.fcaf14fb66643p-21, -0x1.ae7fbcf5889f2p-21, -0x1.61680f8fcc386p-21, -0x1.1567803e04525p-21, -0x1.94fae516c0c32p-22, -0x1.0152752655d8dp-22, -0x1.bf50ec73830ecp-24, 0x1.f815b794f4e94p-26, 0x1.595ff95cbaf0bp-23, 0x1.37b971a0e9627p-22, 0x1.c09f9d6b80eafp-22, 0x1.23b23e2ff91cp-21, 0x1.66051190d277p-21, 0x1.a7495ee69ec41p-21, 0x1.e78047a2efde1p-21, 0x1.13557c0f0119cp-20, 0x1.326553971cecdp-20, 0x1.50f04af7d2f4ep-20, 0x1.6ef707a3d35d8p-20, 0x1.8c7a33c8900b5p-20, 0x1.a97a7e26422p-20, 0x1.c5f899e1b6284p-20, 0x1.e1f53e5d5bf29p-20, 0x1.fd7127005069p-20, 0x1.0c36898d26db1p-19, 0x1.1974e2e14dd65p-19, 0x1.267402d3b5893p-19, 0x1.33344e7a83ab3p-19, 0x1.3fb62c92f9c63p-19, 0x1.4bfa0574cbc65p-19, 0x1.580042ff6b512p-19, 0x1.63c95083a6e79p-19, 0x1.6f559ab99e4ecp-19, 0x1.7aa58fb1db8b3p-19, 0x1.85b99ec1519a3p-19, 0x1.90923874bdf55p-19, 0x1.9b2fce82d1a49p-19, 0x1.a592d3bd82b8ap-19, 0x1.afbbbc030061ap-19, 0x1.b9aafc29e33b4p-19, 0x1.c36109fceb36ap-19, 0x1.ccde5c2b152d9p-19, 0x1.d6236a398e58bp-19, 0x1.df30ac7b1101cp-19, 0x1.e8069c0165428p-19, 0x1.f0a5b290eb76p-19, 0x1.f90e6a97ced6p-19, 0x1.00a09f8e86a2fp-18, 0x1.049f55dcfcb14p-18, 0x1.0883964888bbfp-18, 0x1.0c4d9f1fbe651p-18, 0x1.0ffdaeea92f8p-18, 0x1.13940465726bep-18, 0x1.1710de7cec4bcp-18, 0x1.1a747c4877276p-18, 0x1.1dbf1d0347b7ep-18, 0x1.20f1000aa0875p-18, 0x1.240a64d97ed8dp-18, 0x1.270b8b02f1b97p-18, 0x1.29f4b22fa3a43p-18, 0x1.2cc61a18e31fap-18, 0x1.2f8002857f279p-18, 0x1.3222ab43e4e29p-18, 0x1.34ae54295390cp-18, 0x1.37233d0a5448ep-18, 0x1.3981a5b9da03cp-18, 0x1.3bc9ce0627895p-18, 0x1.3dfbf5b36e465p-18, 0x1.40185c79a578ep-18, 0x1.421f42018ef4dp-18, 0x1.4410e5e1d66bdp-18, 0x1.45ed879a74d63p-18, 0x1.47b566919f98dp-18, 0x1.4968c2123d5b4p-18, 0x1.4b07d948d2024p-18, 0x1.4c92eb3f47d6dp-18, 0x1.4e0a36dce1faap-18, 0x1.4f6dfae206227p-18, 0x1.50be75e5acdd4p-18, 0x1.51fbe652acf5ep-18, 0x1.53268a670cc81p-18, 0x1.543ea02eb41c4p-18, 0x1.55446582dae34p-18, 0x1.5638180817b96p-18, 0x1.5719f52c32c0ap-18, 0x1.57ea3a224059cp-18, 0x1.58a923e325b9ep-18, 0x1.5956ef2a72bcdp-18, 0x1.59f3d87432267p-18, 0x1.5a801bfa774fcp-18, 0x1.5afbf5b44bc19p-18, 0x1.5b67a154e3b6ep-18, 0x1.5bc35a480b8efp-18, 0x1.5c0f5bb133f57p-18, 0x1.5c4be06afa8e9p-18, 0x1.5c79230437171p-18, 0x1.5c975dbf1dbdep-18, 0x1.5ca6ca8f1f8a4p-18, 0x1.5ca7a318ccab3p-18, 0x1.5c9a20aebe6dcp-18, 0x1.5c7e7c513056fp-18, 0x1.5c54eead345c5p-18, 0x1.5c1db01aacf0dp-18, 0x1.5bd8f89acba78p-18, 0x1.5b86ffd7e43dp-18, 0x1.5b27fd249625bp-18, 0x1.5abc2778fc445p-18, 0x1.5a43b573076afp-18, 0x1.59bedd54a9678p-18, 0x1.592dd5040c117p-18, 0x1.5890d20a0541ep-18, 0x1.57e80990ae8a5p-18, 0x1.5733b0634af9ep-18, 0x1.5673faed9cc53p-18, 0x1.55a91d3a33c6ep-18, 0x1.54d34af27d0fdp-18, 0x1.53f2b75e0c2a6p-18, 0x1.53079561bb261p-18, 0x1.5212177e9301ep-18, 0x1.51126fd1d6ea1p-18, 0x1.5008d01567154p-18, 0x1.4ef5699c31ab9p-18, 0x1.4dd86d547be27p-18, 0x1.4cb20bc683c93p-18, 0x1.4b8275149ed68p-18, 0x1.4a49d8f8b5233p-18, }}, 
      {{0x1.568de092208e9p-13, 0x1.5445fb6abc0dep-11, 0x1.7aae9b54f488dp-10, 0x1.4bbb0a51aa928p-9, 0x1.fd1f22819715dp-9, 0x1.6700a6b81e036p-8, 0x1.dd566093f5d04p-8, 0x1.2fd94914f09f2p-7, 0x1.76226b06e1afap-7, 0x1.c0abed349e3a5p-7, 0x1.07569cf1da55ep-6, 0x1.2fb93d1d50c47p-6, 0x1.592ee38bff495p-6, 0x1.8373a462594f3p-6, 0x1.ae4e50c0dd1c7p-6, 0x1.d98ff42041166p-6, 0x1.0289987e15e9fp-5, 0x1.185dc56ed8fecp-5, 0x1.2e3a52d255877p-5, 0x1.4418bf32e0e3bp-5, 0x1.59f5d04d5c8d1p-5, 0x1.6fd12cfbf5b6ep-5, 0x1.85acf7af0b6bfp-5, 0x1.9b8d6ad2cca5ep-5, 0x1.b178789491dfcp-5, 0x1.c7756f744f147p-5, 0x1.dd8ca4eafed73p-5, 0x1.f3c7273480abp-5, 0x1.05173b810489ep-4, 0x1.106624c578a8p-4, 0x1.1bd52991caef6p-4, 0x1.27690d1d6b73ap-4, 0x1.332669313e7ap-4, 0x1.3f119f6b8f5a8p-4, 0x1.4b2ecdecdffc7p-4, 0x1.5781c70bd7352p-4, 0x1.640e0ba972c29p-4, 0x1.70d6c7be529bep-4, 0x1.7dded0bd9214dp-4, 0x1.8b28a57032505p-4, 0x1.98b66ef4b192fp-4, 0x1.a68a0298477fap-4, 0x1.b4a4e449a7ae2p-4, 0x1.c308496fb1ef1p-4, 0x1.d1b51bf86819cp-4, 0x1.e0abfd7e0569cp-4, 0x1.efed4a6864cfap-4, 0x1.ff791cf877d45p-4, 0x1.07a7a818d5a3fp-3, 0x1.0fb7c14d55b82p-3, 0x1.17ec8c697a019p-3, 0x1.20459fff0226p-3, 0x1.28c27803c034ap-3, 0x1.316276e292f7ap-3, 0x1.3a24e67e481e2p-3, 0x1.4308f929a2d4fp-3, 0x1.4c0dca97d5df5p-3, 0x1.553260c880092p-3, 0x1.5e75acf222ee9p-3, 0x1.67d68c6d8e4b7p-3, 0x1.7153c9a45be7bp-3, 0x1.7aec1d0436915p-3, 0x1.849e2df818f87p-3, 0x1.8e6893e86216p-3, 0x1.9849d74212addp-3, 0x1.a2407285403bcp-3, 0x1.ac4ad35a68dc2p-3, 0x1.b6675bae010d1p-3, 0x1.c09462d169f24p-3, 0x1.cad036a02b302p-3, 0x1.d5191ca84d399p-3, 0x1.df6d53546a8a2p-3, 0x1.e9cb13161b796p-3, 0x1.f4308f8f4510ep-3, 0x1.fe9bf8b8d6cfbp-3, 0x1.0485be02cd146p-2, 0x1.09bea2bfd0449p-2, 0x1.0ef7c06f8a7fcp-2, 0x1.14302d4c9a6eep-2, 0x1.19670073299a9p-2, 0x1.1e9b525ef5cebp-2, 0x1.23cc3d63ef58ep-2, 0x1.28f8de210d93dp-2, 0x1.2e2053ed04dc7p-2, 0x1.3341c13c9e2c3p-2, 0x1.385c4c027e355p-2, 0x1.3d6f1e08362d7p-2, 0x1.4279654086879p-2, 0x1.477a5412d24b9p-2, 0x1.4c71219fbc715p-2, 0x1.515d09ff0771bp-2, 0x1.563d4e76c913ep-2, 0x1.5b1135ac1bcf9p-2, 0x1.5fd80bcd73963p-2, 0x1.649122b6ccfdap-2, 0x1.693bd20fe9cfbp-2, 0x1.6dd77764e0ed5p-2, 0x1.726376393b92fp-2, 0x1.76df3815eeb78p-2, 0x1.7b4a2c926e186p-2, 0x1.7fa3c95932abep-2, 0x1.83eb8a27ee162p-2, 0x1.8820f0cbc93f4p-2, 0x1.8c438519eb2d1p-2, 0x1.9052d4e49ec3dp-2, 0x1.944e73ed5a48dp-2, 0x1.9835fbd3f4bb9p-2, 0x1.9c090c0350b69p-2, 0x1.9fc7499bbfb18p-2, 0x1.a3705f5b5e4abp-2, 0x1.a703fd84adc42p-2, 0x1.aa81d9c3a28eep-2, 0x1.ade9af1161f21p-2, 0x1.b13b3d96ea2dep-2, 0x1.b4764a8ece013p-2, 0x1.b79aa0263e104p-2, 0x1.baa80d5d85fedp-2, 0x1.bd9e65e827068p-2, 0x1.c07d820cba419p-2, 0x1.c3453e84b7b1p-2, 0x1.c5f57c5c452d5p-2, 0x1.c88e20d229678p-2, 0x1.cb0f1537ff209p-2, 0x1.cd7846d2b71a3p-2, 0x1.cfc9a6bb8b0f6p-2, 0x1.d20329c1661a7p-2, 0x1.d424c84ad8f6bp-2, 0x1.d62e7e38a7bfep-2, 0x1.d8204ac8f9fb9p-2, 0x1.d9fa307b3384fp-2, 0x1.dbbc34f4854f5p-2, 0x1.dd6660e5343cap-2, 0x1.def8bfee9bc04p-2, 0x1.e0736089efd23p-2, 0x1.e1d653efc2283p-2, 0x1.e321ae0041085p-2, 0x1.e455852c3c041p-2, 0x1.e571f25edec8dp-2, 0x1.e67710e82acfcp-2, 0x1.e764fe6822bbdp-2, 0x1.e83bdabaaa7b3p-2, 0x1.e8fbc7e4120c9p-2, 0x1.e9a4e9fe46138p-2, 0x1.ea376726a478cp-2, 0x1.eab3676c68c61p-2, 0x1.eb1914bfaf5c3p-2, 0x1.eb689ae106b7cp-2, 0x1.eba2275183554p-2, 0x1.ebc5e9435b0aap-2, 0x1.ebd4118af32bp-2, 0x1.ebccd29064f92p-2, 0x1.ebb060416f2bep-2, 0x1.eb7ef003c8a58p-2, 0x1.eb38b8a7d61f8p-2, 0x1.eaddf25bb67a8p-2, 0x1.ea6ed69ea3f05p-2, 0x1.e9eba0349cf5fp-2, 0x1.e9548b1a5bd77p-2, 0x1.e8a9d47989429p-2, 0x1.e7ebba9d2f783p-2, 0x1.e71a7ce664072p-2, 0x1.e6365bc124fbcp-2, 0x1.e53f9899658f5p-2, 0x1.e43675d04580bp-2, 0x1.e31b36b16f20ep-2, 0x1.e1ee1f689c136p-2, 0x1.e0af74f736a53p-2, 0x1.df5f7d2a1de21p-2, 0x1.ddfe7e8f824b2p-2, 0x1.dc8cc06cdabdap-2, 0x1.db0a8ab4f50f3p-2, 0x1.d97825fe18415p-2, 0x1.d7d5db783a0f2p-2, 0x1.d623f4e34c3bp-2, 0x1.d462bc859388cp-2, 0x1.d2927d2217597p-2, 0x1.d0b381ef1cb61p-2, 0x1.cec6168cb12fap-2, 0x1.ccca86fb4594cp-2, 0x1.cac11f9259cdap-2, 0x1.c8aa2cf73498ap-2, 0x1.c685fc13adbf3p-2, 0x1.c454da0d042afp-2, 0x1.c217143ac8a64p-2, 0x1.bfccf81dd7912p-2, 0x1.bd76d35760a8ep-2, 0x1.bb14f3a007e13p-2, 0x1.b8a7a6bf12ffp-2, 0x1.b62f3a81ada07p-2, 0x1.b3abfcb243432p-2, 0x1.b11e3b0fec337p-2, 0x1.ae864345f3fe5p-2, 0x1.abe462e377319p-2, 0x1.a938e7531a9f8p-2, 0x1.a6841dd2db42bp-2, 0x1.a3c6536bfc0a7p-2, 0x1.a0ffd4eb0f5bep-2, 0x1.9e30eed81d29fp-2, 0x1.9b59ed6ee998cp-2, 0x1.987b1c975c2c8p-2, 0x1.9594c7de0713dp-2, 0x1.92a73a6ccfde9p-2, 0x1.8fb2bf03bfc9fp-2, 0x1.8cb79ff1f2657p-2, 0x1.89b6270eb0325p-2, 0x1.86ae9db2a9cf3p-2, 0x1.83a14cb160e0fp-2, 0x1.808e7c52b2682p-2, 0x1.7d76744c9177cp-2, 0x1.7a597bbce51abp-2, 0x1.7737d923970b4p-2, 0x1.7411d25cc83cfp-2, 0x1.70e7ac9b3637fp-2, 0x1.6db9ac62caad2p-2, 0x1.6a88158358574p-2, 0x1.67532b1386ea6p-2, 0x1.641b2f6beb7p-2, 0x1.60e064225092ap-2, 0x1.5da30a052bc5fp-2, 0x1.5a63611744921p-2, 0x1.5721a88b87d9ep-2, 0x1.53de1ec10c638p-2, 0x1.5099013f46e08p-2, 0x1.4d528cb26e569p-2, 0x1.4a0afce80b321p-2, 0x1.46c28ccbbce16p-2, 0x1.437976642afacp-2, 0x1.402ff2d0233e2p-2, 0x1.3ce63a43ec5e1p-2, 0x1.399c8406c2201p-2, 0x1.3653067084107p-2, 0x1.3309f6e78dfedp-2, 0x1.2fc189dec29d3p-2, 0x1.2c79f2d3bf76fp-2, 0x1.2933644d3f15cp-2, 0x1.25ee0fd9a9543p-2, 0x1.22aa260dcc26fp-2, 0x1.1f67d683c0d13p-2, 0x1.1c274fd9fca41p-2, 0x1.18e8bfb28b14bp-2, 0x1.15ac52b26e166p-2, 0x1.127234812d834p-2, 0x1.0f3a8fc885bf9p-2, 0x1.0c058e34448ap-2, 0x1.08d3587248fcp-2, 0x1.05a41632a8ebcp-2, 0x1.0277ee27fb401p-2, 0x1.fe9e0c0f8e6aep-3, 0x1.f8530516277dp-3, 0x1.f20f0ede396e3p-3, 0x1.ebd26eec4ce02p-3, 0x1.e59d68d0e630cp-3, 0x1.df703e2aacfe6p-3, 0x1.d94b2ea8d3006p-3, 0x1.d32e780db5ceep-3, 0x1.cd1a5631b7342p-3, 0x1.c70f030653f1p-3, 0x1.c10cb6996ae2ep-3, 0x1.bb13a718b56b4p-3, 0x1.b52408d57ac6dp-3, 0x1.af3e0e486d9ccp-3, 0x1.a961e815b66a7p-3, 0x1.a38fc51134783p-3, 0x1.9dc7d242da12fp-3, 0x1.980a3aeb4110cp-3, 0x1.925728885d3e3p-3, 0x1.8caec2da57416p-3, 0x1.87112fe88b8dep-3, 0x1.817e9406a902cp-3, 0x1.7bf711d9f3994p-3, 0x1.767aca5ea0956p-3, 0x1.7109dced52615p-3, 0x1.6ba46740afad3p-3, 0x1.664a857b132ffp-3, 0x1.60fc522c5246dp-3, 0x1.5bb9e6579c361p-3, 0x1.568359796a1fep-3, 0x1.5158c18d86bb4p-3, 0x1.4c3a3315217a5p-3, 0x1.4727c11cf88fp-3, 0x1.42217d438adacp-3, 0x1.3d2777bf5d37dp-3, 0x1.3839bf6543479p-3, 0x1.335861aebb9aap-3, 0x1.2e836ac04e7c7p-3, 0x1.29bae56ff58bp-3, 0x1.24fedb4b8b38ap-3, 0x1.204f549f3dd31p-3, 0x1.1bac587c052dcp-3, 0x1.1715ecbe1f559p-3, 0x1.128c161388decp-3, 0x1.0e0ed80277d69p-3, 0x1.099e34efdb1a5p-3, 0x1.053a2e25cabadp-3, 0x1.00e2c3da06727p-3, 0x1.f92fea68c3457p-4, 0x1.f0b380aa6227dp-4, 0x1.e85044b7689dap-4, 0x1.e0062ed8e70efp-4, 0x1.d7d5356f35c7cp-4, 0x1.cfbd4cfe9123p-4, 0x1.c7be683ba5df7p-4, 0x1.bfd8781812e7p-4, 0x1.b80b6bcec9a9p-4, 0x1.b05730f05cdd1p-4, 0x1.a8bbb36f315d3p-4, 0x1.a138ddaba0edfp-4, 0x1.99ce987ff8147p-4, 0x1.927ccb4c5d67cp-4, 0x1.8b435c0294a52p-4, 0x1.84222f31adb5fp-4, 0x1.7d1928118c4dcp-4, 0x1.7628288e53626p-4, 0x1.6f4f1153ad1adp-4, 0x1.688dc1d7f47c1p-4, 0x1.61e4186735eb4p-4, 0x1.5b51f22e138a7p-4, 0x1.54d72b447fe35p-4, 0x1.4e739eb856176p-4, 0x1.48272697cd4b4p-4, 0x1.41f19bfbc28ddp-4, 0x1.3bd2d711e043bp-4, 0x1.35caaf269be21p-4, 0x1.2fd8faaf0c139p-4, 0x1.29fd8f5299ec3p-4, 0x1.243841f484327p-4, 0x1.1e88e6bd42fe4p-4, 0x1.18ef5123b8265p-4, 0x1.136b53f63d054p-4, 0x1.0dfcc16387148p-4, 0x1.08a36b035f50fp-4, 0x1.035f21df3507fp-4, 0x1.fc5f6cf506dc2p-5, 0x1.f229f1b61946fp-5, 0x1.e81d7121dd702p-5, 0x1.de39897d1c3a4p-5, 0x1.d47dd840a2f12p-5, 0x1.cae9fa2879d87p-5, 0x1.c17d8b42b2ef9p-5, 0x1.b83826fdf7f7dp-5, 0x1.af196837bae3dp-5, 0x1.a620e94a16c27p-5, 0x1.9d4e44195eafp-5, 0x1.94a112215c89p-5, 0x1.8c18ec823e658p-5, 0x1.83b56c0d35e41p-5, 0x1.7b762950b938ap-5, 0x1.735abca48e60bp-5, 0x1.6b62be356e327p-5, 0x1.638dc61065472p-5, 0x1.5bdb6c2df0fd1p-5, 0x1.544b487cb6caep-5, 0x1.4cdcf2ec06722p-5, 0x1.459003760002cp-5, 0x1.3e6412297f76cp-5, 0x1.3758b733b1662p-5, 0x1.306d8ae967577p-5, 0x1.29a225d018538p-5, 0x1.22f620a6ae1a4p-5, 0x1.1c69146df7376p-5, 0x1.15fa9a70de546p-5, 0x1.0faa4c4c5da35p-5, 0x1.0977c3f72adc9p-5, 0x1.03629bc9227f6p-5, 0x1.fad4dd04e6c76p-6, 0x1.ef1daea50c12bp-6, 0x1.e39ee3bd4b42cp-6, 0x1.d857b490d0b2dp-6, 0x1.cd475a67c01ffp-6, 0x1.c26d0f9b1496fp-6, 0x1.b7c80fa00759cp-6, 0x1.ad57971304114p-6, 0x1.a31ae3c22aff6p-6, 0x1.991134b7629b1p-6, 0x1.8f39ca41f0d69p-6, 0x1.8593e5ffbbbc6p-6, 0x1.7c1ecae600d3cp-6, 0x1.72d9bd49cbc8p-6, 0x1.69c402e7e3d7cp-6, 0x1.60dce2ec5dc98p-6, 0x1.5823a5f9d806ap-6, 0x1.4f9796303adcep-6, 0x1.4737ff3344ad8p-6, 0x1.3f042e308c2fep-6, 0x1.36fb71e5457bfp-6, 0x1.2f1d1aa3a7608p-6, 0x1.27687a57f48b4p-6, 0x1.1fdce48d3a194p-6, 0x1.1879ae71aaef3p-6, 0x1.113e2edac5967p-6, 0x1.0a29be4908cf8p-6, 0x1.033bb6eb838c4p-6, 0x1.f8e6e945e3066p-7, 0x1.eba0aa0974687p-7, 0x1.dea36ebae2879p-7, 0x1.d1edf966a80aap-7, 0x1.c57f0f9088458p-7, 0x1.b9557a375ff16p-7, 0x1.ad7005d852a2dp-7, 0x1.a1cd8271647a5p-7, 0x1.966cc383e292p-7, 0x1.8b4ca015efdf4p-7, 0x1.806bf2b3fb8f2p-7, 0x1.75c99971b8b8fp-7, 0x1.6b6475ea6d2eap-7, 0x1.613b6d4121566p-7, 0x1.574d6820542bp-7, 0x1.4d9952b93d3d4p-7, 0x1.441e1cc2d4dd2p-7, 0x1.3adab9784f19fp-7, 0x1.31ce1f9773dc1p-7, 0x1.28f7495e846e6p-7, 0x1.20553489c97e4p-7, 0x1.17e6e250e9183p-7, 0x1.0fab5763e80edp-7, 0x1.07a19be7e5278p-7, 0x1.ff9176e6dc7d5p-8, 0x1.f03f8a15a57d6p-8, 0x1.e14b9637e4292p-8, 0x1.d2b3c6f3de851p-8, 0x1.c4764eb154a66p-8, 0x1.b691668fd0e74p-8, 0x1.a9034e5cc451p-8, 0x1.9bca4c8916918p-8, 0x1.8ee4ae1e44c9p-8, 0x1.8250c6b35277p-8, 0x1.760cf0612e824p-8, 0x1.6a178bb6d7cbep-8, 0x1.5e6effad217e4p-8, 0x1.5311b99a360f4p-8, 0x1.47fe2d24d30b2p-8, 0x1.3d32d4371d92ep-8, 0x1.32ae2ef16be02p-8, 0x1.286ec39cac44cp-8, 0x1.1e731e9c668dfp-8, 0x1.14b9d260f68adp-8, 0x1.0b41775915cecp-8, 0x1.0208abe3a1685p-8, 0x1.f21c2881a0a53p-9, 0x1.e0a0b507244d8p-9, 0x1.cf9c5d04f16bdp-9, 0x1.bf0c8b91cc117p-9, 0x1.aeeeb70f69e78p-9, 0x1.9f40610bda6cap-9, 0x1.8fff1622b776dp-9, 0x1.81286dde3fc13p-9, 0x1.72ba0a97e66d5p-9, 0x1.64b1995938a58p-9, 0x1.570cd1bc719f5p-9, 0x1.49c975cc97453p-9, 0x1.3ce551e648c43p-9, 0x1.305e3c976b2f2p-9, 0x1.2432168007cf8p-9, 0x1.185eca3200aa1p-9, 0x1.0ce24c1159118p-9, 0x1.01ba9a3468d47p-9, 0x1.edcb78878257ep-10, 0x1.d8c386b544aeap-10, 0x1.c45993ce51321p-10, 0x1.b089e7148bf29p-10, 0x1.9d50d9f10341ep-10, 0x1.8aaad7b3f53bfp-10, 0x1.78945d561630ep-10, 0x1.6709f939b0c81p-10, 0x1.56084aec455c3p-10, 0x1.458c02e7b560ap-10, 0x1.3591e25472dafp-10, 0x1.2616bacb8f36bp-10, 0x1.17176e191b295p-10, 0x1.0890edff8bcb5p-10, 0x1.f50077f489ddbp-11, 0x1.d9c4d20219b7bp-11, 0x1.bf692a9876cc5p-11, 0x1.a5e7e0322ba61p-11, 0x1.8d3b6edb58d62p-11, 0x1.755e6fbf0d321p-11, 0x1.5e4b98ae4ff9ep-11, 0x1.47fdbbaef9779p-11, 0x1.326fc6871d30ap-11, 0x1.1d9cc24b218afp-11, 0x1.097fd2ec9fa08p-11, 0x1.ec286d9393041p-12, 0x1.c6aa8c7ce2914p-12, 0x1.a27ce669af43fp-12, 0x1.7f969171c8f64p-12, 0x1.5deed5178ae7p-12, 0x1.3d7d2972a4ff7p-12, 0x1.1e393658c08f7p-12, 0x1.001ad28ea0ac4p-12, 0x1.c63405e96f768p-13, 0x1.8e5df379551fdp-13, 0x1.58a42b361cd5fp-13, 0x1.24f7c1ffc6ce9p-13, 0x1.e694453a4332dp-14, 0x1.871a18667b0c3p-14, 0x1.2b6521786f07ep-14, 0x1.a6b44e276d28cp-15, 0x1.fb7a3e5abc766p-16, 0x1.6ec2f143a5f74p-17, -0x1.fd1d032a6f1f4p-18, -0x1.a8e31dbd94212p-16, -0x1.62e97e9ba980bp-15, -0x1.eb3abc534c888p-15, -0x1.36c9bbb2ef64p-14, -0x1.751063abac501p-14, -0x1.b0875890456c9p-14, -0x1.e94416417cb5ap-14, -0x1.0fadca510fab5p-13, -0x1.2971251103accp-13, -0x1.41f61725ae5bdp-13, -0x1.59465e20777bap-13, -0x1.6f6b7a9c26758p-13, -0x1.846eb1726cfb9p-13, -0x1.98590cef6d8f3p-13, -0x1.ab335dfdfb56dp-13, -0x1.bd063d541f4efp-13, -0x1.cdda0c9321b9fp-13, -0x1.ddb6f76a8e788p-13, -0x1.eca4f4b6572fcp-13, -0x1.faabc793f64a6p-13, -0x1.03e9803b4508cp-12, -0x1.0a10ff1a8a7c5p-12, -0x1.0fcff78af05d1p-12, -0x1.1529e8ea50ca1p-12, -0x1.1a223b5241711p-12, -0x1.1ebc40172f6a7p-12, -0x1.22fb3245c8efp-12, -0x1.26e2371ccd9ecp-12, -0x1.2a745e86539d8p-12, -0x1.2db4a38e54e22p-12, -0x1.30a5ecd7eecd8p-12, -0x1.334b0d0f81eacp-12, -0x1.35a6c35c173d1p-12, -0x1.37bbbbcdb986fp-12, -0x1.398c8fcae13a9p-12, -0x1.3b1bc67ac66e4p-12, -0x1.3c6bd52e396a3p-12, -0x1.3d7f1fc7eeb2cp-12, -0x1.3e57f920bf3eep-12, -0x1.3ef8a36c87359p-12, -0x1.3f63509abb243p-12, -0x1.3f9a22b652f87p-12, -0x1.3f9f2c4449894p-12, -0x1.3f7470a0641fdp-12, -0x1.3f1be456cca6bp-12, -0x1.3e976d7de5f15p-12, -0x1.3de8e40dfd474p-12, -0x1.3d1212364cafap-12, -0x1.3c14b4b0ff3b7p-12, -0x1.3af27b14a116p-12, -0x1.39ad0826d7e4ep-12, -0x1.3845f22a38f55p-12, -0x1.36bec32ccf0d5p-12, -0x1.3518f9536479cp-12, -0x1.33560724d9456p-12, -0x1.317753d2a301dp-12, -0x1.2f7e3b80d36abp-12, -0x1.2d6c0f8bffe66p-12, -0x1.2b4216ce39e3p-12, -0x1.29018de2fc961p-12, -0x1.26aba7689bacdp-12, -0x1.24418c4143328p-12, -0x1.21c45bd158e0cp-12, -0x1.1f352c3e3f2a9p-12, -0x1.1c950aaae6ad7p-12, -0x1.19e4fb7323088p-12, -0x1.1725fa661e85cp-12, -0x1.1458fafeffb0fp-12, -0x1.117ee89cae347p-12, -0x1.0e98a6b82b5ddp-12, -0x1.0ba71119b28a2p-12, -0x1.08aafc0d38567p-12, -0x1.05a5349576b87p-12, -0x1.0296809dc57e3p-12, -0x1.feff3e567282dp-13, -0x1.f8c291176ef9ep-13, -0x1.f2785d0962057p-13, -0x1.ec21f9019459dp-13, -0x1.e5c0af798a03cp-13, -0x1.df55bee5a3ef2p-13, -0x1.d8e25a0a0d7a9p-13, -0x1.d267a84f55608p-13, -0x1.cbe6c612263a5p-13, -0x1.c560c4f3bb438p-13, -0x1.bed6ac25a55a8p-13, -0x1.b84978b7dee13p-13, -0x1.b1ba1de16b7f1p-13, -0x1.ab2985494ba86p-13, -0x1.a4988f4d78a45p-13, -0x1.9e0813469ae81p-13, -0x1.9778dfcb6bc67p-13, -0x1.90ebbaf31838ap-13, -0x1.8a616294f3809p-13, -0x1.83da8c8676be7p-13, -0x1.7d57e6d91e4dp-13, -0x1.76da18155a9d6p-13, -0x1.7061bf753904ap-13, -0x1.69ef751c9f0a3p-13, -0x1.6383ca5085016p-13, -0x1.5d1f49ac0965dp-13, -0x1.56c277561f242p-13, -0x1.506dd134113c6p-13, -0x1.4a21cf1b4dbfbp-13, -0x1.43dee303122ccp-13, -0x1.3da5793260a48p-13, -0x1.3775f86eee9ddp-13, -0x1.3150c22a5fa6dp-13, -0x1.2b3632ad3c15ap-13, -0x1.2526a141eb53dp-13, -0x1.1f22605e97d71p-13, -0x1.1929bdcda39b1p-13, -0x1.133d02d56ec5bp-13, -0x1.0d5c745db718fp-13, -0x1.078853160b046p-13, -0x1.01c0db991bf8cp-13, -0x1.f80c8d21b6cb4p-14, -0x1.ecb191b159a3cp-14, -0x1.e171273cfa422p-14, -0x1.d64ba9081c2dcp-14, -0x1.cb416b7cce586p-14, -0x1.c052bc695e24fp-14, -0x1.b57fe33ccb928p-14, -0x1.aac9213fba7dp-14, -0x1.a02eb1cda2ea5p-14, -0x1.95b0ca8c496ep-14, -0x1.8b4f9ba0d36c5p-14, -0x1.810b4fe435fd6p-14, -0x1.76e40d16cdb97p-14, -0x1.6cd9f40fb9df2p-14, -0x1.62ed20ec92a0bp-14, -0x1.591dab40ebbe4p-14, -0x1.4f6ba64262fa1p-14, -0x1.45d720f418d9cp-14, -0x1.3c602650fb4d9p-14, -0x1.3306bd766e60dp-14, -0x1.29cae9caae5c1p-14, -0x1.20acab24dd62ap-14, -0x1.17abfdf11516ap-14, -0x1.0ec8db55dfcdep-14, -0x1.0603395693053p-14, -0x1.fab615ec50367p-15, -0x1.e9a080b19c2a2p-15, -0x1.d8c58dc6832f5p-15, -0x1.c82512b620a75p-15, -0x1.b7bee008e68ap-15, -0x1.a792c17d5f174p-15, -0x1.97a07e43c4833p-15, -0x1.87e7d9323cb0dp-15, -0x1.786890f9c576cp-15, -0x1.6922605c6d6f8p-15, -0x1.5a14fe5ce83b4p-15, -0x1.4b401e6f7b304p-15, -0x1.3ca370aab90c5p-15, -0x1.2e3ea1f11cc9ap-15, -0x1.20115c1d8c73p-15, -0x1.121b462e958bap-15, -0x1.045c046e35ae4p-15, -0x1.eda6713360483p-16, -0x1.d301040d00594p-16, -0x1.b8c6fb9279a7fp-16, -0x1.9ef78dae5f29ap-16, -0x1.8591ec52ed26p-16, -0x1.6c9545bc445e2p-16, -0x1.5400c4ae4d59dp-16, -0x1.3bd390b232814p-16, -0x1.240cce53c8eaep-16, -0x1.0cab9f5a939fap-16, -0x1.eb5e45fab615p-17, -0x1.be2cec36f097p-17, -0x1.91c166ded10cbp-17, -0x1.6619e77bf4eafp-17, -0x1.3b349c0d75656p-17, -0x1.110faf674e0e2p-17, -0x1.cf529301ceffp-18, -0x1.7dff1f9c9362p-18, -0x1.2e214b23f6233p-18, -0x1.bf6ab0a7b091ap-19, -0x1.256f0d70818dap-19, -0x1.1c904ce2caef3p-20, 0x1.8463abe7062ep-25, 0x1.2f4b3f1020104p-20, 0x1.267b9bcaf6599p-19, 0x1.b29b1473bca5cp-19, 0x1.1e05cd6184137p-18, 0x1.616a5fb78207bp-18, 0x1.a37f08e271e0ep-18, 0x1.e4478f77ce63cp-18, 0x1.11e3dc48ba918p-17, 0x1.3101a3b41f3ap-17, 0x1.4f7efe85b0706p-17, 0x1.6d5dcc03ecbb4p-17, 0x1.8a9fea09be447p-17, 0x1.a74734e29557fp-17, 0x1.c355871ff2ca3p-17, 0x1.deccb97e6eb0dp-17, 0x1.f9aea2bf60b2dp-17, 0x1.09fe8bc532195p-16, 0x1.16dcf526b2e21p-16, 0x1.237375923c27ep-16, 0x1.2fc2f3ddd2ceap-16, 0x1.3bcc559b3961p-16, 0x1.47907f0e16c5p-16, 0x1.5310531bffd9p-16, 0x1.5e4cb346ee144p-16, 0x1.69467fa07a464p-16, 0x1.73fe96c00a7fcp-16, 0x1.7e75d5b98defep-16, 0x1.88ad18174dc94p-16, 0x1.92a537d1bc61cp-16, 0x1.9c5f0d482018ep-16, 0x1.a5db6f38cc63fp-16, 0x1.af1b32bc91c0bp-16, 0x1.b81f2b3f5244fp-16, 0x1.c0e82a7bf0633p-16, 0x1.c97700776f995p-16, 0x1.d1cc7b7bb82b8p-16, 0x1.d9e968142ff6ap-16, 0x1.e1ce9108d3326p-16, 0x1.e97cbf5d7917ap-16, 0x1.f0f4ba4cfea5ap-16, 0x1.f8374746e44e4p-16, 0x1.ff4529ee37d1bp-16, 0x1.030f920b61792p-15, 0x1.0662fae16f399p-15, 0x1.099d2e9111277p-15, 0x1.0cbe8b48a7541p-15, 0x1.0fc76e4c6cb48p-15, 0x1.12b833f6dc037p-15, 0x1.159137b738556p-15, 0x1.1852d412c0c82p-15, 0x1.1afd62a44bfdep-15, 0x1.1d913c1bfc17bp-15, 0x1.200eb840a2502p-15, 0x1.22762deec20f7p-15, 0x1.24c7f31a0e76dp-15, 0x1.27045ccd3ad1cp-15, 0x1.292bbf2b725d9p-15, 0x1.2b3e6d7080479p-15, 0x1.2d3cb9f1cb282p-15, 0x1.2f26f61f15675p-15, 0x1.30fd7283dfc33p-15, 0x1.32c07ec7e25e1p-15, 0x1.347069af21a45p-15, 0x1.360d811d2d7b4p-15, 0x1.37981214c223ap-15, 0x1.391068b9be778p-15, 0x1.3a76d052310cap-15, 0x1.3bcb934760a83p-15, 0x1.3d0efb2776d36p-15, 0x1.3e4150a685c97p-15, }}, 
      {{0x1.abf4625c5fe71p-7, 0x1.aca226c0b97ap-6, 0x1.4232f8ca97f9bp-5, 0x1.aeaeb423f6e6p-5, 0x1.0dd38d65528e5p-4, 0x1.446ee116a43dbp-4, 0x1.7afe5fa87941fp-4, 0x1.b1501b58dd535p-4, 0x1.e72f5911d3474p-4, 0x1.0e33f5b7e1e0cp-3, 0x1.28645cd495761p-3, 0x1.4212c2cc31307p-3, 0x1.5b2c06d17e6b2p-3, 0x1.73a0548a594aap-3, 0x1.8b633dd4b8ebdp-3, 0x1.a26bacd1244a9p-3, 0x1.b8b3b8fc6c77fp-3, 0x1.ce38684c2154cp-3, 0x1.e2f96393d683dp-3, 0x1.f6f8a3fd37e8ap-3, 0x1.051d0f09cb3bep-2, 0x1.0e61b6e5461dfp-2, 0x1.174dc2fdc13ccp-2, 0x1.1fe53289897eap-2, 0x1.282c6804bef4p-2, 0x1.30280a2228793p-2, 0x1.37dce84f357b5p-2, 0x1.3f4fe2c56188ap-2, 0x1.4685d608d32c3p-2, 0x1.4d8389a1d29bp-2, 0x1.544da1d330b8fp-2, 0x1.5ae894092d13cp-2, 0x1.61589db9defb7p-2, 0x1.67a1bd70823abp-2, 0x1.6dc7adbf6bb64p-2, 0x1.73cde1d8315c9p-2, 0x1.79b7838e456dep-2, 0x1.7f87728d61915p-2, 0x1.8540449272705p-2, 0x1.8ae4467aee758p-2, 0x1.90757e03a07a6p-2, 0x1.95f5ac149f666p-2, 0x1.9b664f7ca9dc8p-2, 0x1.a0c8a8020843bp-2, 0x1.a61db9b2d47aep-2, 0x1.ab665061a3771p-2, 0x1.b0a3033e89daep-2, 0x1.b5d4387ee047bp-2, 0x1.bafa290875177p-2, 0x1.c014e416b740ap-2, 0x1.c52452d21b50cp-2, 0x1.ca283bd35ec5p-2, 0x1.cf20468d9773cp-2, 0x1.d40bfe9b042acp-2, 0x1.d8ead6e977069p-2, 0x1.ddbc2cc407c71p-2, 0x1.e27f4ab8517c5p-2, 0x1.e7336b5619b6ap-2, 0x1.ebd7bbc8b5b4cp-2, 0x1.f06b5e49e56e7p-2, 0x1.f4ed6c6e2feafp-2, 0x1.f95cf94b1e91cp-2, 0x1.fdb91377e0acap-2, 0x1.010063748dd9dp-1, 0x1.03198f546ceb1p-1, 0x1.05279335cab3bp-1, 0x1.0729f601c9dc9p-1, 0x1.09204059de8c8p-1, 0x1.0b09fd31a2bc8p-1, 0x1.0ce6ba59b7cep-1, 0x1.0eb608fc6669ep-1, 0x1.10777e0cabe98p-1, 0x1.122ab2a863adap-1, 0x1.13cf446e3fd2cp-1, 0x1.1564d5c83c588p-1, 0x1.16eb0e2b3bc74p-1, 0x1.18619a4c76364p-1, 0x1.19c82c4d5da55p-1, 0x1.1b1e7bde9d06cp-1, 0x1.1c64465acc22p-1, 0x1.1d994ed970799p-1, 0x1.1ebd5e3adefb8p-1, 0x1.1fd0432d89aeap-1, 0x1.20d1d22d41b3cp-1, 0x1.21c1e57cf0aa6p-1, 0x1.22a05d1b42dc1p-1, 0x1.236d1eb2b8b4ep-1, 0x1.24281585928c2p-1, 0x1.24d13255fd36p-1, 0x1.25686b4ae6488p-1, 0x1.25edbbd1d6a2cp-1, 0x1.2661247e2d973p-1, 0x1.26c2aae60f68fp-1, 0x1.2712597d57963p-1, 0x1.27503f6ed6da9p-1, 0x1.277c707424271p-1, 0x1.279704ac3f74bp-1, 0x1.27a01871420a2p-1, 0x1.2797cc2d53d65p-1, 0x1.277e442f1874p-1, 0x1.2753a87dc3ffbp-1, 0x1.271824ad022f3p-1, 0x1.26cbe7b0d50f2p-1, 0x1.266f23b196459p-1, 0x1.26020de03263ap-1, 0x1.2584de4ac4877p-1, 0x1.24f7cfb1a76c3p-1, 0x1.245b1f5d17644p-1, 0x1.23af0cf37940cp-1, 0x1.22f3da505a28fp-1, 0x1.2229cb5c37565p-1, 0x1.215125e51f841p-1, 0x1.206a317839ba8p-1, 0x1.1f75373c39612p-1, 0x1.1e7281cccec2bp-1, 0x1.1d625d1716378p-1, 0x1.1c451637104aap-1, 0x1.1b1afb562383fp-1, 0x1.19e45b8ab14aep-1, 0x1.18a186b8b9ed3p-1, 0x1.1752cd7397431p-1, 0x1.15f880e0c9c3fp-1, 0x1.1492f29bdaae7p-1, 0x1.1322749b51f2bp-1, 0x1.11a75916bbe9p-1, 0x1.1021f26dbf7e3p-1, 0x1.0e9293103f8ep-1, 0x1.0cf98d67861aep-1, 0x1.0b5733c071af3p-1, 0x1.09abd836a602ep-1, 0x1.07f7cca0b751p-1, 0x1.063b627d4adecp-1, 0x1.0476eae12cb2cp-1, 0x1.02aab6664d4bcp-1, 0x1.00d7151baaa37p-1, 0x1.fdf8acec2b107p-2, 0x1.fa359283ab038p-2, 0x1.f665772a4082cp-2, 0x1.f288f586c2333p-2, 0x1.eea0a6a290426p-2, 0x1.eaad21d33c4d4p-2, 0x1.e6aefca5a94f1p-2, 0x1.e2a6caca9accfp-2, 0x1.de951e04a3694p-2, 0x1.da7a86176e075p-2, 0x1.d65790b84b82bp-2, 0x1.d22cc98004194p-2, 0x1.cdfab9ddd8bc2p-2, 0x1.c9c1e90badbp-2, 0x1.c582dc035068fp-2, 0x1.c13e1574d129p-2, 0x1.bcf415bde019bp-2, 0x1.b8a55ae22b3f1p-2, 0x1.b4526084aa596p-2, 0x1.affb9fe1d612cp-2, 0x1.aba18fcabb137p-2, 0x1.a744a4a0e264dp-2, 0x1.a2e5505306c67p-2, 0x1.9e84025a89c58p-2, 0x1.9a2127b9a42e7p-2, 0x1.95bd2afa474c9p-2, 0x1.9158742da4682p-2, 0x1.8cf368ec568edp-2, 0x1.888e6c57272b1p-2, 0x1.8429df185e06fp-2, 0x1.7fc61f659eecfp-2, 0x1.7b6389024ac91p-2, 0x1.7702754256a82p-2, 0x1.72a33b0d9f2ddp-2, 0x1.6e462ee3a2f53p-2, 0x1.69eba2dfab54fp-2, 0x1.6593e6bd53b29p-2, 0x1.613f47dd6d31ap-2, 0x1.5cee114b3baa6p-2, 0x1.58a08bc200eap-2, 0x1.5456fdb2d5caap-2, 0x1.5011ab4aca8b7p-2, 0x1.4bd0d679475e9p-2, 0x1.4794bef6ad2d8p-2, 0x1.435da24b2ea89p-2, 0x1.3f2bbbd5db79ep-2, 0x1.3aff44d3e1912p-2, 0x1.36d87467f4b23p-2, 0x1.32b77fa1e3c16p-2, 0x1.2e9c998652204p-2, 0x1.2a87f3168fd32p-2, 0x1.2679bb5894d6bp-2, 0x1.22721f5f13532p-2, 0x1.1e714a51a3c37p-2, 0x1.1a77657504e5fp-2, 0x1.168498336fe8ep-2, 0x1.12990824f8e73p-2, 0x1.0eb4d918001bbp-2, 0x1.0ad82d19a9acfp-2, 0x1.0703247e5e458p-2, 0x1.0335ddea54e7fp-2, 0x1.fee0ecb435201p-3, 0x1.f76612563e36ep-3, 0x1.effb604883829p-3, 0x1.e8a106fcb2484p-3, 0x1.e15733d9709f4p-3, 0x1.da1e114b5bfdcp-3, 0x1.d2f5c6d5fc551p-3, 0x1.cbde79249946cp-3, 0x1.c4d84a1b0d96dp-3, 0x1.bde358e66ea33p-3, 0x1.b6ffc20daa2e1p-3, 0x1.b02d9f81fe557p-3, 0x1.a96d08af55654p-3, 0x1.a2be128c83c0ep-3, 0x1.9c20cfab5ab34p-3, 0x1.959550489ffa6p-3, 0x1.8f1ba25bd794ep-3, 0x1.88b3d1a6e6dcap-3, 0x1.825de7c591cdbp-3, 0x1.7c19ec3cc7ed2p-3, 0x1.75e7e489c2909p-3, 0x1.6fc7d430fd53ap-3, 0x1.69b9bcccfaa76p-3, 0x1.63bd9e1cd0f7bp-3, 0x1.5dd376129744ap-3, 0x1.57fb40e18ee24p-3, 0x1.5234f90c24c2ap-3, 0x1.4c809771b8b11p-3, 0x1.46de135c36d0fp-3, 0x1.414d628d754b6p-3, 0x1.3bce794c5fda8p-3, 0x1.36614a71ef6e6p-3, 0x1.3105c775e6e37p-3, 0x1.2bbbe07b5d956p-3, 0x1.2683845d0f02cp-3, 0x1.215ca0b973e83p-3, 0x1.1c4721feaaf9cp-3, 0x1.1742f3761de22p-3, 0x1.124fff4ffb27ap-3, 0x1.0d6e2eae6efa3p-3, 0x1.089d69b0aabf1p-3, 0x1.03dd977db28e6p-3, 0x1.fe5d3c9dea133p-4, 0x1.f520c6f554084p-4, 0x1.ec0596fbf5475p-4, 0x1.e30b740deeb9ep-4, 0x1.da3223fc9d36ep-4, 0x1.d1796b21b09edp-4, 0x1.c8e10c71c28b7p-4, 0x1.c068c98e9184ep-4, 0x1.b81062d8cb9f3p-4, 0x1.afd797816c067p-4, 0x1.a7be259abd0f6p-4, 0x1.9fc3ca28e46a3p-4, 0x1.97e8413211373p-4, 0x1.902b45ce3f254p-4, 0x1.888c92369eca1p-4, 0x1.810bdfd48e446p-4, 0x1.79a8e75038d9cp-4, 0x1.7263609ecef6bp-4, 0x1.6b3b031063eebp-4, 0x1.642f855d671cp-4, 0x1.5d409db3c563dp-4, 0x1.566e01c3a6fa2p-4, 0x1.4fb766cbd9c37p-4, 0x1.491c81a5dbd58p-4, 0x1.429d06d18f3cfp-4, 0x1.3c38aa8097361p-4, 0x1.35ef20a15f31p-4, 0x1.2fc01ce9cb1bdp-4, 0x1.29ab52e1960bdp-4, 0x1.23b075ec5f18ap-4, 0x1.1dcf395363b61p-4, 0x1.1807504eedp-4, 0x1.12586e0f6ab0fp-4, 0x1.0cc245c647baep-4, 0x1.07448aae6e7a5p-4, 0x1.01def014838d6p-4, 0x1.f92252bdb43ebp-5, 0x1.eeb5d42a3e0b1p-5, 0x1.e477cbcf8042p-5, 0x1.da67a16e168b1p-5, 0x1.d084bd341bf16p-5, 0x1.c6ce87ca612ap-5, 0x1.bd446a61264c3p-5, 0x1.b3e5cebc4f8abp-5, 0x1.aab21f3f262bdp-5, 0x1.a1a8c6f797522p-5, 0x1.98c931a90829ep-5, 0x1.9012cbd6a408ap-5, 0x1.878502cd4e045p-5, 0x1.7f1f44ad14ee4p-5, 0x1.76e100723f832p-5, 0x1.6ec9a5fdef0d6p-5, 0x1.66d8a61e59e2p-5, 0x1.5f0d7296a2a5ap-5, 0x1.57677e26492dfp-5, 0x1.4fe63c9041ab5p-5, 0x1.488922a1a406ep-5, 0x1.414fa6380bbc6p-5, 0x1.3a393e4796987p-5, 0x1.334562e08fb92p-5, 0x1.2c738d34c130cp-5, 0x1.25c3379c7c79ap-5, 0x1.1f33dd9b4b4d8p-5, 0x1.18c4fbe454d7fp-5, 0x1.1276105e78514p-5, 0x1.0c469a281923ap-5, 0x1.0636199aacc8dp-5, 0x1.0044104df5f9ep-5, 0x1.f4e0023614c6bp-6, 0x1.e972e03e17ff5p-6, 0x1.de3fc57b4d44p-6, 0x1.d345bf46a08fep-6, 0x1.c883dd8e9beacp-6, 0x1.bdf932daf7637p-6, 0x1.b3a4d44fc0e51p-6, 0x1.a985d9b00c6c1p-6, 0x1.9f9b5d60480c2p-6, 0x1.95e47c681a71cp-6, 0x1.8c605673ead6fp-6, 0x1.830e0dd60aabcp-6, 0x1.79ecc78779eacp-6, 0x1.70fbab2855934p-6, 0x1.6839e2fff4839p-6, 0x1.5fa69bfca98c3p-6, 0x1.574105b347966p-6, 0x1.4f08525e3da5bp-6, 0x1.46fbb6dc851bep-6, 0x1.3f1a6ab02d789p-6, 0x1.3763a7fcbd2c9p-6, 0x1.2fd6ab853bdf2p-6, 0x1.2872b4aa0e41ap-6, 0x1.213705668b853p-6, 0x1.1a22e24e591c5p-6, 0x1.1335928a8cc88p-6, 0x1.0c6e5fd6a5d7ep-6, 0x1.05cc967d40b88p-6, 0x1.fe9f0aa959facp-7, 0x1.f1ecfb7691f75p-7, 0x1.e581a727584bdp-7, 0x1.d95bba81718c4p-7, 0x1.cd79e742e9708p-7, 0x1.c1dae41987c49p-7, 0x1.b67d6c99fc2a6p-7, 0x1.ab604136cbee8p-7, 0x1.a0822736e5ca9p-7, 0x1.95e1e8ac0cd75p-7, 0x1.8b7e54690862ap-7, 0x1.81563df79ce23p-7, 0x1.77687d8e3e87fp-7, 0x1.6db3f005c26e2p-7, 0x1.643776cea1fcbp-7, 0x1.5af1f7e648293p-7, 0x1.51e25dcc25025p-7, 0x1.490797769b3c3p-7, 0x1.40609847ca68ep-7, 0x1.37ec580245595p-7, 0x1.2fa9d2bdaacc1p-7, 0x1.279808db12c2cp-7, 0x1.1fb5fef978bfbp-7, 0x1.1802bdea01b32p-7, 0x1.107d52a4444dep-7, 0x1.0924ce3a685fp-7, 0x1.01f845cd4eeb5p-7, 0x1.f5eda50135356p-8, 0x1.e83f22dd603f3p-8, 0x1.dae3473982591p-8, 0x1.cdd85bdd75203p-8, 0x1.c11cb23670bb7p-8, 0x1.b4aea33efd2f7p-8, 0x1.a88c8f66b468dp-8, 0x1.9cb4de7a2f0efp-8, 0x1.9125ff8ae9bd6p-8, 0x1.85de68d7225b8p-8, 0x1.7adc97b1c7c06p-8, 0x1.701f106a7d09ep-8, 0x1.65a45e35b2e8cp-8, 0x1.5b6b1314ae593p-8, 0x1.5171c7bdd3788p-8, 0x1.47b71b84cfb51p-8, 0x1.3e39b44308ab6p-8, 0x1.34f83e4029223p-8, 0x1.2bf16c1a9468ap-8, 0x1.2323f6b03697fp-8, 0x1.1a8e9d074cf2fp-8, 0x1.123024376acacp-8, 0x1.0a07575289ecep-8, 0x1.0213074e46fb2p-8, 0x1.f4a415daa67c3p-9, 0x1.e5867d51ea34fp-9, 0x1.d6cb0935b68f6p-9, 0x1.c86f88cdc506fp-9, 0x1.ba71d64a81c4dp-9, 0x1.accfd699542dcp-9, 0x1.9f87793993b3bp-9, 0x1.9296b8119f8ddp-9, 0x1.85fb97449b631p-9, 0x1.79b425083a073p-9, 0x1.6dbe797b374b6p-9, 0x1.6218b67c0c5b8p-9, 0x1.56c1078014b1dp-9, 0x1.4bb5a16b26729p-9, 0x1.40f4c2676312fp-9, 0x1.367cb1bdd7badp-9, 0x1.2c4bbfaf02a0bp-9, 0x1.2260454c3993ap-9, 0x1.18b8a4514f027p-9, 0x1.0f5346fe93e56p-9, 0x1.062e9ff35bb2dp-9, 0x1.fa925411e0b4cp-10, 0x1.e942d05bbc253p-10, 0x1.d86bca83e3359p-10, 0x1.c80a67e46e19ep-10, 0x1.b81bdd2bb71cbp-10, 0x1.a89d6e165bec7p-10, 0x1.998c6d2a92eecp-10, 0x1.8ae63b73e0471p-10, 0x1.7ca848405a8f2p-10, 0x1.6ed010de1817ep-10, 0x1.615b2059d0a95p-10, 0x1.54470f3eb601fp-10, 0x1.4791835682617p-10, 0x1.3b382f6abb925p-10, 0x1.2f38d3072ef38p-10, 0x1.23913a3c7e65cp-10, 0x1.183f3d643bca5p-10, 0x1.0d40c0e5b4256p-10, 0x1.0293b4fb32e34p-10, 0x1.f06c2af15205bp-11, 0x1.dc4bd325dc51bp-11, 0x1.c8c2874fa182ap-11, 0x1.b5cc820df3d15p-11, 0x1.a3661377d730dp-11, 0x1.918ba0b0e02fap-11, 0x1.8039a37fe2b78p-11, 0x1.6f6ca9e81c09ap-11, 0x1.5f2155c29eeddp-11, 0x1.4f545c5a2ef53p-11, 0x1.40028608ce8eep-11, 0x1.3128add63ae73p-11, 0x1.22c3c118d5b96p-11, 0x1.14d0bf1734dcap-11, 0x1.074cb8ac1d499p-11, 0x1.f4699fd5af7dep-12, 0x1.db0c6f8d03c55p-12, 0x1.c27c67735123ap-12, 0x1.aab42edfea543p-12, 0x1.93ae8ce1e3323p-12, 0x1.7d66679968c5ap-12, 0x1.67d6c39336317p-12, 0x1.52fac3271eaa7p-12, 0x1.3ecda5da1397p-12, 0x1.2b4ac7c11f3b4p-12, 0x1.186da0e919f61p-12, 0x1.0631c4bf24bffp-12, 0x1.e925c2fcc0c69p-13, 0x1.c7197f3b71efcp-13, 0x1.a6368282bd3f6p-13, 0x1.8674c35ef4f37p-13, 0x1.67cc698babbfap-13, 0x1.4a35cce677033p-13, 0x1.2da97468a136bp-13, 0x1.1220151e8c93bp-13, 0x1.ef2522575ad41p-14, 0x1.bbf3ed9d22222p-14, 0x1.8a9efed7beabcp-14, 0x1.5b191d394076p-14, 0x1.2d55628418588p-14, 0x1.0147393b5b4d7p-14, 0x1.adc4b5b37a762p-15, 0x1.5c359c262ac9ep-15, 0x1.0dc9ca40890edp-15, 0x1.84d4f03f34336p-16, 0x1.e805b907e26cep-17, 0x1.a3c81255c236cp-18, -0x1.c87d845950331p-20, -0x1.3927da034d098p-17, -0x1.175a64eb6fa31p-16, -0x1.8d02697e6d4fdp-16, -0x1.fdb2285feae6cp-16, -0x1.34c76c829438fp-15, -0x1.685e612b28945p-15, -0x1.99afa016210fdp-15, -0x1.c8cc645830758p-15, -0x1.f5c578d3209e9p-15, -0x1.10559d64b85e5p-14, -0x1.24c6ce34d6648p-14, -0x1.383e13a3fdff5p-14, -0x1.4ac2ff6566ce2p-14, -0x1.5c5cf142eaf4ep-14, -0x1.6d13184c5edb9p-14, -0x1.7cec73f838c9p-14, -0x1.8befd5429578fp-14, -0x1.9a23dfc366738p-14, -0x1.a78f0ac1c9826p-14, -0x1.b437a23ee288bp-14, -0x1.c023c7fc2ab3dp-14, -0x1.cb59747c1f9aep-14, -0x1.d5de77ff7b844p-14, -0x1.dfb87b798afep-14, -0x1.e8ed017e37f92p-14, -0x1.f181673092fedp-14, -0x1.f97ae5294f8d2p-14, -0x1.006f482b1b813p-13, -0x1.03d8ad6b8d1cbp-13, -0x1.06fc0a6b08ca8p-13, -0x1.09dbb6acb4c76p-13, -0x1.0c79f988e30bbp-13, -0x1.0ed90a9171085p-13, -0x1.10fb11f5566c1p-13, -0x1.12e228e0fd8dap-13, -0x1.149059db57f76p-13, -0x1.1607a122d285ap-13, -0x1.1749ed07411ap-13, -0x1.18591e41da027p-13, -0x1.1937084b26f4ep-13, -0x1.19e571af7ca54p-13, -0x1.1a661460baff2p-13, -0x1.1aba9e0792e0ep-13, -0x1.1ae4b0502261fp-13, -0x1.1ae5e137d80fcp-13, -0x1.1abfbb58d30dp-13, -0x1.1a73be32aa762p-13, -0x1.1a035e71863a1p-13, -0x1.197006349ed3fp-13, -0x1.18bb155202f6p-13, -0x1.17e5e199a9f62p-13, -0x1.16f1b715e730cp-13, -0x1.15dfd84bcb68ep-13, -0x1.14b17e793caf6p-13, -0x1.1367d9d140395p-13, -0x1.120411b6e06dp-13, -0x1.108744f751478p-13, -0x1.0ef28a02c697ap-13, -0x1.0d46ef23307dbp-13, -0x1.0b857ab1f4836p-13, -0x1.09af2b4ccaecap-13, -0x1.07c4f808e72fcp-13, -0x1.05c7d0a4ef14cp-13, -0x1.03b89db9387abp-13, -0x1.019840e87fcfap-13, -0x1.fecf2a1bb187p-14, -0x1.fa4edcd53fc44p-14, -0x1.f5b135a4640a1p-14, -0x1.f0f7c3aa017b8p-14, -0x1.ec2409d66fec1p-14, -0x1.e7377f3bd7edp-14, -0x1.e2338f5d38f8dp-14, -0x1.dd199a7dd0e5ep-14, -0x1.d7eaf5eddfce6p-14, -0x1.d2a8ec545523cp-14, -0x1.cd54bdf7f940dp-14, -0x1.c7efa10471ef1p-14, -0x1.c27ac1d23452cp-14, -0x1.bcf743285795ep-14, -0x1.b7663e7f5ac4ep-14, -0x1.b1c8c43ff6432p-14, -0x1.ac1fdc025b221p-14, -0x1.a66c84cafa2a5p-14, -0x1.a0afb5460c94bp-14, -0x1.9aea5c00f7ae9p-14, -0x1.951d5fa3119b3p-14, -0x1.8f499f255a63fp-14, -0x1.896ff2079f2e5p-14, -0x1.8391288506aadp-14, -0x1.7dae0bc5b01d6p-14, -0x1.77c75e11df418p-14, -0x1.71dddb01f739ep-14, -0x1.6bf237ae11861p-14, -0x1.660522db4c65dp-14, -0x1.60174528d46cep-14, -0x1.5a29413bec1e8p-14, -0x1.543bb3ea1e437p-14, -0x1.4e4f34625118cp-14, -0x1.4864545552639p-14, -0x1.427ba01daab0ep-14, -0x1.3c959ee5c7cd9p-14, -0x1.36b2d2cd84931p-14, -0x1.30d3b90ded9f7p-14, -0x1.2af8ca1cb1342p-14, -0x1.252279cedf14fp-14, -0x1.1f51377b214b4p-14, -0x1.19856e1944382p-14, -0x1.13bf846299e32p-14, -0x1.0dffdcf19329cp-14, -0x1.0846d65f50231p-14, -0x1.0294cb61a6b02p-14, -0x1.f9d425ccc012ep-15, -0x1.ee8e006105c2fp-15, -0x1.e357c5e5d610ep-15, -0x1.d8320ed6328a3p-15, -0x1.cd1d6cf61e29ep-15, -0x1.c21a6b83d1035p-15, -0x1.b7298f683fb55p-15, -0x1.ac4b5768299cfp-15, -0x1.a1803c516289fp-15, -0x1.96c8b12716863p-15, -0x1.8c25234e9beccp-15, -0x1.8195fab9d5d89p-15, -0x1.771b9a11b8715p-15, -0x1.6cb65edd8a122p-15, -0x1.6266a1aa4ef45p-15, -0x1.582cb63057d45p-15, -0x1.4e08eb79e8883p-15, -0x1.43fb8c06b5bdfp-15, -0x1.3a04ddef30a4dp-15, -0x1.3025230803f2ap-15, -0x1.265c99016842ep-15, -0x1.1cab798940071p-15, -0x1.1311fa6a56a3dp-15, -0x1.09904daa6394cp-15, -0x1.0026a1a805a3dp-15, -0x1.edaa4270cafccp-16, -0x1.db37e7879d853p-16, -0x1.c8f67ac2835b9p-16, -0x1.b6e63de065286p-16, -0x1.a5076c6763fep-16, -0x1.935a3bd55ea25p-16, -0x1.81dedbd2d9e4fp-16, -0x1.7095766305a58p-16, -0x1.5f7e3011682c3p-16, -0x1.4e992820a7936p-16, -0x1.3de678b5751f3p-16, -0x1.2d6637024d27p-16, -0x1.1d18737104f2p-16, -0x1.0cfd39cafc8abp-16, -0x1.fa2922bedd019p-17, -0x1.dabcfa571c9p-17, -0x1.bbb5f8005331fp-17, -0x1.9d1411489360cp-17, -0x1.7ed733f5402bep-17, -0x1.60ff4644c258ep-17, -0x1.438c27301f3fap-17, -0x1.267daeadddffap-17, -0x1.09d3adf12971p-17, -0x1.db1bdf4e5fbdp-18, -0x1.a358705fe5acfp-18, -0x1.6c5c8bbad8d9p-18, -0x1.3627a24d6cca4p-18, -0x1.00b919c5a4927p-18, -0x1.982099f109aep-19, -0x1.3059188ea54a7p-19, -0x1.9434780649c3cp-20, -0x1.9589f6986f9fep-21, -0x1.1822157ee5fd1p-26, 0x1.7df86e709faf9p-21, 0x1.7f54bc05e7a9ap-20, 0x1.1e564fd8a3bf6p-19, 0x1.7b83cdcc6fe4ep-19, 0x1.d734c3b71ff65p-19, 0x1.18b595fe976cap-18, 0x1.451487818653dp-18, 0x1.70b84140dc1c5p-18, 0x1.9ba1d47f517bp-18, 0x1.c5d258a1bed06p-18, 0x1.ef4aeade7b67fp-18, 0x1.0c0657012c375p-17, 0x1.200c65195dbep-17, 0x1.33b8365394b36p-17, 0x1.470a63b56a5cdp-17, 0x1.5a038893e07f6p-17, 0x1.6ca442746d0ebp-17, 0x1.7eed30ee81f08p-17, 0x1.90def59272e49p-17, 0x1.a27a33cf228bdp-17, 0x1.b3bf90d6aabbdp-17, 0x1.c4afb3846a39fp-17, 0x1.d54b4448b0bb7p-17, 0x1.e592ed0c768c9p-17, 0x1.f587591b119a8p-17, 0x1.02949a881c7c4p-16, 0x1.0a3c975ebb7aep-16, 0x1.11bbfa8a65409p-16, 0x1.19131c0bd70adp-16, 0x1.204254610e479p-16, 0x1.2749fc7a4d9d5p-16, 0x1.2e2a6db24059bp-16, 0x1.34e401c59c2bdp-16, 0x1.3b7712c7d06dp-16, 0x1.41e3fb1c76777p-16, 0x1.482b156e036c8p-16, 0x1.4e4cbca697db4p-16, 0x1.54494be6e2869p-16, 0x1.5a211e8010467p-16, 0x1.5fd48febfddfap-16, 0x1.6563fbc562a6fp-16, 0x1.6acfbdc1608c3p-16, 0x1.701831a9a5b36p-16, 0x1.753db35489671p-16, 0x1.7a409e9f795afp-16, 0x1.7f214f695f00ep-16, 0x1.83e0218b27d91p-16, 0x1.887d70d3ac496p-16, 0x1.8cf999013420ap-16, 0x1.9154f5bd219f8p-16, 0x1.958fe2959c2cap-16, 0x1.99aabaf87af86p-16, 0x1.9da5da2fc26ep-16, 0x1.a1819b5b2c518p-16, 0x1.a53e596d17c2fp-16, 0x1.a8dc6f25157d3p-16, 0x1.ac5c370c4ef05p-16, 0x1.afbe0b710555dp-16, 0x1.b302466235848p-16, 0x1.b62941ad1babdp-16, 0x1.b93356d7a5a19p-16, 0x1.bc20df1e2e19p-16, 0x1.bef2336fdbd07p-16, 0x1.c1a7ac6aa81d5p-16, 0x1.c441a257dd159p-16, 0x1.c6c06d2a63c63p-16, 0x1.c924647a308b9p-16, 0x1.cb6ddf82e1fbep-16, 0x1.cd9d351f20472p-16, 0x1.cfb2bbc78d8eap-16, 0x1.d1aec98f16a9p-16, 0x1.d391b4206ef0dp-16, 0x1.d55bd0bcf2eadp-16, 0x1.d70d7438e7bf6p-16, 0x1.d8a6f2f9d4f84p-16, 0x1.da28a0f421744p-16, 0x1.db92d1a940787p-16, 0x1.dce5d82579dfbp-16, 0x1.de2206fdd1468p-16, 0x1.df47b04f17883p-16, 0x1.e05725bb85895p-16, 0x1.e150b869309ebp-16, 0x1.e234b8ff8c1fap-16, 0x1.e30377a78cb47p-16, 0x1.e3bd440908c33p-16, 0x1.e4626d499eb0ap-16, 0x1.e4f3420b617c4p-16, 0x1.e570106b87853p-16, 0x1.e5d926016d9e9p-16, 0x1.e62ecfdcdec9bp-16, 0x1.e6715a858c058p-16, 0x1.e6a111fa58e2bp-16, 0x1.e6be41af68272p-16, 0x1.e6c9348dc3e57p-16, 0x1.e6c234f28608ep-16, 0x1.e6a98cadd152ap-16, 0x1.e67f8501c604ep-16, 0x1.e64466a2483cdp-16, 0x1.e5f879b498e83p-16, 0x1.e59c05ce863e9p-16, 0x1.e52f51f4ee922p-16, 0x1.e4b2a49c25e94p-16, 0x1.e42643a76c5ddp-16, 0x1.e38a746848612p-16, 0x1.e2df7b9e1148p-16, 0x1.e2259d7595386p-16, 0x1.e15d1d890f129p-16, 0x1.e0863edf59cccp-16, }}, 
      {{0x1.c2b5a9f50317cp-1, 0x1.c2ad920346fb9p-1, 0x1.c2a39f882514fp-1, 0x1.c299adf40e4f3p-1, 0x1.c28fb9b8c6b9fp-1, 0x1.c283e80b820fp-1, 0x1.c272e762c08e6p-1, 0x1.c2586d5fbb419p-1, 0x1.c22fb2e37a322p-1, 0x1.c1f3df0d52b72p-1, 0x1.c1a05b4688c1fp-1, 0x1.c1310fd5ca05ep-1, 0x1.c0a28b39b5183p-1, 0x1.bff217b86e66p-1, 0x1.bf1dc2d56b80fp-1, 0x1.be245a24e051bp-1, 0x1.bd056081ca91dp-1, 0x1.bbc0fe27a52e9p-1, 0x1.ba57edb08c404p-1, 0x1.b8cb6785927b8p-1, 0x1.b71d0cecfb96ap-1, 0x1.b54ed390fafadp-1, 0x1.b362f21837f83p-1, 0x1.b15bce3586a6cp-1, 0x1.af3bec6c06a3p-1, 0x1.ad05e1a611f37p-1, 0x1.aabc46a65b82ep-1, 0x1.a861ad49dba1ep-1, 0x1.a5f897854f3cp-1, 0x1.a383700121639p-1, 0x1.a1048431bf3f4p-1, 0x1.9e7dffc7bc186p-1, 0x1.9bf1e952691acp-1, 0x1.99621feffcd8ep-1, 0x1.96d059e7cdc23p-1, 0x1.943e240d343e3p-1, 0x1.91ace1cc0a084p-1, 0x1.8f1dcdc27466p-1, 0x1.8c91face56adp-1, 0x1.8a0a55778e311p-1, 0x1.8787a5a2bb25fp-1, 0x1.850a907addde8p-1, 0x1.82939a8269eb7p-1, 0x1.802329be9bdc5p-1, 0x1.7db987f1d518p-1, 0x1.7b56e4db8b506p-1, 0x1.78fb5875f056cp-1, 0x1.76a6e52addc12p-1, 0x1.745979facd57fp-1, 0x1.7212f491c2122p-1, 0x1.6fd32346e934fp-1, 0x1.6d99c70498d65p-1, 0x1.6b669516f151fp-1, 0x1.693938e00aa0bp-1, 0x1.6711557108a6ep-1, 0x1.64ee8707e0272p-1, 0x1.62d06471ec75fp-1, 0x1.60b68053b2f22p-1, 0x1.5ea06a56776d6p-1, 0x1.5c8db03c63405p-1, 0x1.5a7ddedc2d324p-1, 0x1.587083053f4fbp-1, 0x1.56652a4d75b33p-1, 0x1.545b63c991b53p-1, 0x1.5252c0b18d046p-1, 0x1.504ad4f1f1fffp-1, 0x1.4e4337ab65ef8p-1, 0x1.4c3b83a189c89p-1, 0x1.4a33579a4e102p-1, 0x1.482a56aed4db6p-1, 0x1.4620288eeea84p-1, 0x1.441479b836a39p-1, 0x1.4206fba1c8639p-1, 0x1.3ff764dd7d3f9p-1, 0x1.3de5712f95852p-1, 0x1.3bd0e19da2a24p-1, 0x1.39b97c757efe6p-1, 0x1.379f0d4d14cdcp-1, 0x1.358164fba6362p-1, 0x1.3360598d432c8p-1, 0x1.313bc63108bc7p-1, 0x1.2f138b22c21d8p-1, 0x1.2ce78d90730c9p-1, 0x1.2ab7b77c4dcfap-1, 0x1.2883f79b8d2e5p-1, 0x1.264c41329fe09p-1, 0x1.24108bef0e21ap-1, 0x1.21d0d3bf76327p-1, 0x1.1f8d18a9f9844p-1, 0x1.1d455ea1690d8p-1, 0x1.1af9ad597ae2dp-1, 0x1.18aa101a4cd06p-1, 0x1.16569593722eep-1, 0x1.13ff4faec262ep-1, 0x1.11a453631d778p-1, 0x1.0f45b88752962p-1, 0x1.0ce399a55456cp-1, 0x1.0a7e13cddc1d2p-1, 0x1.0815466ca05b6p-1, 0x1.05a9531d3c11bp-1, 0x1.033a5d80dce11p-1, 0x1.00c88b14d40e3p-1, 0x1.fca806143574ep-2, 0x1.f7b9dc3bb4844p-2, 0x1.f2c6ece614ae9p-2, 0x1.edcf8eda5c2a6p-2, 0x1.e8d41b1874c64p-2, 0x1.e3d4ec935ff6bp-2, 0x1.ded25feddb6adp-2, 0x1.d9ccd3397c4e6p-2, 0x1.d4c4a5b8509ecp-2, 0x1.cfba37a0fffap-2, 0x1.caade9e573614p-2, 0x1.c5a01dfc01bc9p-2, 0x1.c09135ab1a15dp-2, 0x1.bb8192d76c6cdp-2, 0x1.b671975483f1bp-2, 0x1.b161a4b7d073ep-2, 0x1.ac521c2e10f2p-2, 0x1.a7435e53167f1p-2, 0x1.a235cb0bd32c6p-2, 0x1.9d29c162a9fap-2, 0x1.981f9f65eff77p-2, 0x1.9317c2089244ep-2, 0x1.8e128504d11fcp-2, 0x1.891042c103a98p-2, 0x1.8411543652609p-2, 0x1.7f1610d958773p-2, 0x1.7a1ece849f457p-2, 0x1.752be164e0ee6p-2, 0x1.703d9be70424cp-2, 0x1.6b544ea7be96ep-2, 0x1.66704864d2213p-2, 0x1.6191d5efd0fdcp-2, 0x1.5cb94222598b7p-2, 0x1.57e6d5d3bdccdp-2, 0x1.531ad7d002d4ap-2, 0x1.4e558cd02aee3p-2, 0x1.49973773bb1c4p-2, 0x1.44e0183b6e4cdp-2, 0x1.40306d8504aa9p-2, 0x1.3b887388271fdp-2, 0x1.36e864544a615p-2, 0x1.325077cf87d23p-2, 0x1.2dc0e3b65d4dap-2, 0x1.2939db9c4ccd6p-2, 0x1.24bb90ed449cbp-2, 0x1.204632efcf377p-2, 0x1.1bd9eec7f85c6p-2, 0x1.1776ef7adda53p-2, 0x1.131d5df2e2ba5p-2, 0x1.0ecd6104786bap-2, 0x1.0a871d73739a4p-2, 0x1.064ab5f8e2cc2p-2, 0x1.02184b4960a7p-2, 0x1.fbdff837a61b3p-3, 0x1.f3a3ca6126b2ap-3, 0x1.eb7c42b1e883cp-3, 0x1.e36992fe3e94bp-3, 0x1.db6be95c7e4a6p-3, 0x1.d3837035e7f7cp-3, 0x1.cbb04e580c539p-3, 0x1.c3f2a706a6ebcp-3, 0x1.bc4a9a0dddc03p-3, 0x1.b4b843d4dc58ap-3, 0x1.ad3bbd70b99ep-3, 0x1.a5d51cb7a4f49p-3, 0x1.9e84745446595p-3, 0x1.9749d3d95265dp-3, 0x1.902547d53dfdfp-3, 0x1.8916d9e60e23fp-3, 0x1.821e90cd3ce87p-3, 0x1.7b3c7083a7261p-3, 0x1.74707a4d7c002p-3, 0x1.6dbaacce2d41dp-3, 0x1.671b041c4aa14p-3, 0x1.609179d556da7p-3, 0x1.5a1e053180a47p-3, 0x1.53c09b1736b4dp-3, 0x1.4d792e2ea787dp-3, 0x1.4747aef510c86p-3, 0x1.412c0bcfe1dafp-3, 0x1.3b26311fb34f4p-3, 0x1.35360953098adp-3, 0x1.2f5b7cf8d9002p-3, 0x1.299672d2d59e8p-3, 0x1.23e6cfe787535p-3, 0x1.1e4c779412046p-3, 0x1.18c74b9dc37c6p-3, 0x1.13572c435936bp-3, 0x1.0dfbf84dfc481p-3, 0x1.08b58d21f4455p-3, 0x1.0383c6cf0f65bp-3, 0x1.fccd004176f66p-4, 0x1.f2bb255ba84cap-4, 0x1.e8d1add0376f4p-4, 0x1.df104856d61ebp-4, 0x1.d576a199130d5p-4, 0x1.cc04644f6d20ep-4, 0x1.c2b9395dbf92fp-4, 0x1.b994c7ef0c38dp-4, 0x1.b096b59097a1ap-4, 0x1.a7bea64c68a22p-4, 0x1.9f0c3cc31b798p-4, 0x1.967f1a45115acp-4, 0x1.8e16deeafc2d8p-4, 0x1.85d329adc0038p-4, 0x1.7db3987db5e08p-4, 0x1.75b7c8594950dp-4, 0x1.6ddf5562f4268p-4, 0x1.6629daf69a7abp-4, 0x1.5e96f3be4420dp-4, 0x1.572639c63dee3p-4, 0x1.4fd7469099283p-4, 0x1.48a9b32814892p-4, 0x1.419d183269666p-4, 0x1.3ab10e020679bp-4, 0x1.33e52ca7316f1p-4, 0x1.2d390c00999a2p-4, 0x1.26ac43cb584d1p-4, 0x1.203e6bb263924p-4, 0x1.19ef1b5d73fbp-4, 0x1.13bdea7f64352p-4, 0x1.0daa70e404c3cp-4, 0x1.07b4467d6f797p-4, 0x1.01db0370d45ddp-4, 0x1.f83c804594bf2p-5, 0x1.ecfb2a8641ab5p-5, 0x1.e1f137b0693f4p-5, 0x1.d71dda93a309ap-5, 0x1.cc8046d72fcddp-5, 0x1.c217b10de7999p-5, 0x1.b7e34ec941665p-5, 0x1.ade256ab8094ep-5, 0x1.a414007909538p-5, 0x1.9a778528e350ap-5, 0x1.910c1ef47001cp-5, 0x1.87d1096655e75p-5, 0x1.7ec58168ac689p-5, 0x1.75e8c5526848fp-5, 0x1.6d3a14f40a785p-5, 0x1.64b8b1a39ef7ap-5, 0x1.5c63de480cdefp-5, 0x1.543adf63b72cbp-5, 0x1.4c3cfb1e78ea6p-5, 0x1.4469794f02492p-5, 0x1.3cbfa383965bap-5, 0x1.353ec50a2fc2bp-5, 0x1.2de62af815181p-5, 0x1.26b52430d9edbp-5, 0x1.1fab016cd9bedp-5, 0x1.18c7153f22a02p-5, 0x1.1208b41aece2p-5, 0x1.0b6f345884e8p-5, 0x1.04f9ee39c4c32p-5, 0x1.fd5077dc254e8p-6, 0x1.f0f2f32be49b6p-6, 0x1.e4da0a8c40f4cp-6, 0x1.d9047e149a14ap-6, 0x1.cd7111cecaf3bp-6, 0x1.c21e8dbb0e35p-6, 0x1.b70bbdd309217p-6, 0x1.ac37720c357dep-6, 0x1.a1a07e598f7f9p-6, 0x1.9745baaca07e8p-6, 0x1.8d2602f5d79f7p-6, 0x1.834037245c16bp-6, 0x1.79933b25373c7p-6, 0x1.701df6e1ef135p-6, 0x1.66df563e9f551p-6, 0x1.5dd6491789facp-6, 0x1.5501c33e264acp-6, 0x1.4c60bc75b40d8p-6, 0x1.43f2306f669c7p-6, 0x1.3bb51ec613645p-6, 0x1.33a88af980b2ep-6, 0x1.2bcb7c694af7cp-6, 0x1.241cfe4f6c6ep-6, 0x1.1c9c1fba6d839p-6, 0x1.1547f387358d5p-6, 0x1.0e1f905a90e3ep-6, 0x1.0722109a70a22p-6, 0x1.004e9266d105p-6, 0x1.f3486f24c95f4p-7, 0x1.e6444b35ffcc8p-7, 0x1.d98f0b438e898p-7, 0x1.cd2708c63a076p-7, 0x1.c10aa45cc8098p-7, 0x1.b53845bb0b4dap-7, 0x1.a9ae5b98a8d53p-7, 0x1.9e6b5b9f7509cp-7, 0x1.936dc2598beacp-7, 0x1.88b4131f0f296p-7, 0x1.7e3cd803b8a32p-7, 0x1.7406a1c417034p-7, 0x1.6a1007b2a2fbap-7, 0x1.6057a7a49961ap-7, 0x1.56dc25dea6d9fp-7, 0x1.4d9c2d01694b5p-7, 0x1.44966df5d03e7p-7, 0x1.3bc99fd961f0dp-7, 0x1.33347fea61dcap-7, 0x1.2ad5d173d98f5p-7, 0x1.22ac5db992282p-7, 0x1.1ab6f3e4099eep-7, 0x1.12f468ec4cbcp-7, 0x1.0b639787dfd88p-7, 0x1.040360148a9f9p-7, 0x1.f9a5510862edep-8, 0x1.eba0b8915e5fp-8, 0x1.ddf6d87f6fff9p-8, 0x1.d0a59d3d8dd0dp-8, 0x1.c3aafdbe1b428p-8, 0x1.b704fb52f6a65p-8, 0x1.aab1a18598a73p-8, 0x1.9eaf05ef6bc39p-8, 0x1.92fb48124307p-8, 0x1.8794913121d35p-8, 0x1.7c79142908735p-8, 0x1.71a70d49ff726p-8, 0x1.671cc23089f8dp-8, 0x1.5cd8819f1900ap-8, 0x1.52d8a3581370cp-8, 0x1.491b87f7dbaf8p-8, 0x1.3f9f98cf30b02p-8, 0x1.366347bdf1843p-8, 0x1.2d650f0e15d8p-8, 0x1.24a3714f00818p-8, 0x1.1c1cf93143c5fp-8, 0x1.13d0396291896p-8, 0x1.0bbbcc6a03073p-8, 0x1.03de5484db449p-8, 0x1.f86cf7071d808p-9, 0x1.e985e54e38f7bp-9, 0x1.db04e4fdfce6cp-9, 0x1.cce7758e7a88dp-9, 0x1.bf2b248dcc22ap-9, 0x1.b1cd8d5e32771p-9, 0x1.a4cc58f472f98p-9, 0x1.98253d975eac6p-9, 0x1.8bd5fea009c48p-9, 0x1.7fdc6c3ae3596p-9, 0x1.74366329485fcp-9, 0x1.68e1cc84313d2p-9, 0x1.5ddc9d7f901fep-9, 0x1.5324d72e8e451p-9, 0x1.48b886488303fp-9, 0x1.3e95c2ef0ba4ap-9, 0x1.34bab07454c13p-9, 0x1.2b257d22bddd5p-9, 0x1.21d462050ecbcp-9, 0x1.18c5a2af8e422p-9, 0x1.0ff78d09e4c65p-9, 0x1.07687919d8e85p-9, 0x1.fe2d919dd3b33p-10, 0x1.ee01cf9cd39dfp-10, 0x1.de4a96815092fp-10, 0x1.cf04e33dc08f8p-10, 0x1.c02dc503d93fcp-10, 0x1.b1c25ce35d9b8p-10, 0x1.a3bfdd6b1454p-10, 0x1.96238a4a966dbp-10, 0x1.88eab7f5c0b05p-10, 0x1.7c12cb4a2b008p-10, 0x1.6f993935b2718p-10, 0x1.637b865eb16f5p-10, 0x1.57b746cdce5bep-10, 0x1.4c4a1d993ed8p-10, 0x1.4131bc9158515p-10, 0x1.366be3eea61f5p-10, 0x1.2bf6620185305p-10, 0x1.21cf12e3201e9p-10, 0x1.17f3e027ddb12p-10, 0x1.0e62c0934e2b1p-10, 0x1.0519b7cd6d301p-10, 0x1.f82dac3268639p-11, 0x1.e6b07018b5347p-11, 0x1.d5b80c9154528p-11, 0x1.c540ea6dcecf7p-11, 0x1.b5478984baf23p-11, 0x1.a5c8802c7ffa4p-11, 0x1.96c07ab8afea2p-11, 0x1.882c3af939132p-11, 0x1.7a0897bc5e11cp-11, 0x1.6c527c52f828dp-11, 0x1.5f06e817b2f2p-11, 0x1.5222edf805afep-11, 0x1.45a3b40002612p-11, 0x1.398672e84469ap-11, 0x1.2dc875a6537bdp-11, 0x1.226718fee5ebp-11, 0x1.175fcb1a9e389p-11, 0x1.0cb00b1caa112p-11, 0x1.025568bc5898p-11, 0x1.f09b07bfc0073p-12, 0x1.dd2c18733711bp-12, 0x1.ca5981cfb7d8dp-12, 0x1.b81ee02b91ff6p-12, 0x1.a677ed3e0767fp-12, 0x1.95607f68d71f7p-12, 0x1.84d4890784e7bp-12, 0x1.74d017c160ab4p-12, 0x1.654f53df48b4ap-12, 0x1.564e7fa56b1d8p-12, 0x1.47c9f6b0ef0a3p-12, 0x1.39be2d581800ep-12, 0x1.2c27b00eff572p-12, 0x1.1f0322ce24b2fp-12, 0x1.124d407e91bd3p-12, 0x1.0602da6796c08p-12, 0x1.f441af40bb0a3p-13, 0x1.dd486908f4784p-13, 0x1.c714045902fbp-13, 0x1.b19ecbcfc8ab9p-13, 0x1.9ce33177faacep-13, 0x1.88dbcdc6c6ea5p-13, 0x1.75835ea4b5205p-13, 0x1.62d4c67baa0bdp-13, 0x1.50cb0b4869048p-13, 0x1.3f6155b258dep-13, 0x1.2e92f02b3c6acp-13, 0x1.1e5b460f8a6b4p-13, 0x1.0eb5e2cffaad7p-13, 0x1.ff3ce23ba1a86p-14, 0x1.e221743786225p-14, 0x1.c611492b87272p-14, 0x1.ab046879f73f6p-14, 0x1.90f311cd72e7ap-14, 0x1.77d5bba2def04p-14, 0x1.5fa511de8c578p-14, 0x1.4859f4642aea8p-14, 0x1.31ed75bb1fb16p-14, 0x1.1c58d9bba69ep-14, 0x1.079594403daacp-14, 0x1.e73a8fc9e410ap-15, 0x1.c0d389955f27ep-15, 0x1.9bea0ec2cef63p-15, 0x1.78726e7cea654p-15, 0x1.56614beab80f6p-15, 0x1.35ab9bf70ecd9p-15, 0x1.1646a31de3056p-15, 0x1.f04fe69e6793dp-16, 0x1.b68ad3b495751p-16, 0x1.7f2a5ad8829cdp-16, 0x1.4a1b58274e071p-16, 0x1.174b32ab1adddp-16, 0x1.cd4fb143d573ap-17, 0x1.703f77a1b7b8ap-17, 0x1.17439bf7a0694p-17, 0x1.8475f59e9858dp-18, 0x1.c4158bc07c17cp-19, 0x1.1c1c763d7275p-20, -0x1.33470fa82f80ap-20, -0x1.b375c24b999ebp-19, -0x1.5fed8b02578bep-18, -0x1.dfa16c5fe2d6dp-18, -0x1.2c864ae3448bap-17, -0x1.6631c45d83a9dp-17, -0x1.9ceca13e1a0cdp-17, -0x1.d0cfa381c46cdp-17, -0x1.00f96ad05a9a1p-16, -0x1.1836c7d489ccep-16, -0x1.2e2b3e128cd74p-16, -0x1.42e1ce7a56a59p-16, -0x1.566527fca16b7p-16, -0x1.68bfa9cb2baaep-16, -0x1.79fb659a087d9p-16, -0x1.8a2221c6b86c8p-16, -0x1.993d5b6b7396ep-16, -0x1.a75648740d215p-16, -0x1.b475d9968e4d8p-16, -0x1.c0a4bc47fcdc9p-16, -0x1.cbeb5c979bfbfp-16, -0x1.d651e70c62d8bp-16, -0x1.dfe04a6da84e1p-16, -0x1.e89e3975839e2p-16, -0x1.f0932c8e317f4p-16, -0x1.f7c66372afd6p-16, -0x1.fe3ee6c839a73p-16, -0x1.0201c4d6afb28p-15, -0x1.048d759e859f2p-15, -0x1.06c5bc04e2d76p-15, -0x1.08adb5c43ed2ep-15, -0x1.0a4868bcb0d1bp-15, -0x1.0b98c3a0d484ap-15, -0x1.0ca19e9ddf3e1p-15, -0x1.0d65bbfe2ded8p-15, -0x1.0de7c8cbeed87p-15, -0x1.0e2a5d6b50979p-15, -0x1.0e2ffe3022d33p-15, -0x1.0dfb1bf16b7fep-15, -0x1.0d8e1497bc982p-15, -0x1.0ceb33a83c991p-15, -0x1.0c14b2c9c0627p-15, -0x1.0b0cba4910848p-15, -0x1.09d561983c81p-15, -0x1.0870afca95479p-15, -0x1.06e09c0a2f749p-15, -0x1.05270e0fe6273p-15, -0x1.0345de9464f95p-15, -0x1.013ed7bd35a1fp-15, -0x1.fe276b11900c2p-16, -0x1.f98c4c6dd9d5cp-16, -0x1.f4af955bddc68p-16, -0x1.ef946db88a486p-16, -0x1.ea3de43032b05p-16, -0x1.e4aeeefa226c7p-16, -0x1.deea6c8e084cp-16, -0x1.d8f3244f22297p-16, -0x1.d2cbc73937e8dp-16, -0x1.cc76f087365bfp-16, -0x1.c5f7265182eefp-16, -0x1.bf4eda2a82e33p-16, -0x1.b88069b74e8d9p-16, -0x1.b18e1f4273728p-16, -0x1.aa7a324d526bp-16, -0x1.a346c81552046p-16, -0x1.9bf5f41ecf91fp-16, -0x1.9489b8b8d0c34p-16, -0x1.8d04077bffb45p-16, -0x1.8566c1c35322dp-16, -0x1.7db3b92868089p-16, -0x1.75ecaff5e96afp-16, -0x1.6e1359989b679p-16, -0x1.66295b0c4aef3p-16, -0x1.5e304b48d0f55p-16, -0x1.5629b3aadeebep-16, -0x1.4e171056225dp-16, -0x1.45f9d0969564p-16, -0x1.3dd35740f07d9p-16, -0x1.35a4fb0f393aap-16, -0x1.2d7006f9e0683p-16, -0x1.2535ba8d64241p-16, -0x1.1cf74a41b9596p-16, -0x1.14b5dfca44c18p-16, -0x1.0c729a657bfbcp-16, -0x1.042e8f287f80cp-16, -0x1.f7d5929a99e7fp-17, -0x1.e75094f6c052ep-17, -0x1.d6d0161b4f3dcp-17, -0x1.c655f4ae05f4ep-17, -0x1.b5e3fdc9095bbp-17, -0x1.a57bed7dfee91p-17, -0x1.951f6f5540ebfp-17, -0x1.84d01ec4cae0cp-17, -0x1.748f87a9faad2p-17, -0x1.645f26bda24bp-17, -0x1.544069fff9df2p-17, -0x1.4434b12829fc7p-17, -0x1.343d4e089b3cdp-17, -0x1.245b84ffb2e7dp-17, -0x1.14908d53b344ap-17, -0x1.04dd9197c43e1p-17, -0x1.ea87600b9b81fp-18, -0x1.cb87f5b692521p-18, -0x1.acbef1640bd2cp-18, -0x1.8e2e49b0a84c8p-18, -0x1.6fd7df411c54dp-18, -0x1.51bd7d6b5cdc3p-18, -0x1.33e0dad2e13bfp-18, -0x1.16439a0007882p-18, -0x1.f1ce93eaf6013p-19, -0x1.b79acd7dfa4f5p-19, -0x1.7deeb40bccf59p-19, -0x1.44ccf725c1db6p-19, -0x1.0c3823adf6326p-19, -0x1.a865499fc4797p-20, -0x1.397d89f394536p-20, -0x1.977abb6dde753p-21, -0x1.7ca37298bf85ap-22, 0x1.8783ae449bf7dp-25, 0x1.d9b7bb9fadc01p-22, 0x1.bed25cf60784cp-21, 0x1.472aa9bb38c35p-20, 0x1.adaf63676b01ap-20, 0x1.097a48ed2203ap-19, 0x1.3b7bcebf866f2p-19, 0x1.6cdb0fb39bbdbp-19, 0x1.9d96efe3cd7f9p-19, 0x1.cdae6a568d552p-19, 0x1.fd20904e0fe4p-19, 0x1.15f6444d07badp-18, 0x1.2d08c77649cf7p-18, 0x1.43c779a18a0dfp-18, 0x1.5a320ca9223c6p-18, 0x1.70483bf0e62fdp-18, 0x1.8609cc21324cep-18, 0x1.9b768addfbad8p-18, 0x1.b08e4e807c64dp-18, 0x1.c550f5cf0badbp-18, 0x1.d9be67c18597dp-18, 0x1.edd6933db0d0ap-18, 0x1.00ccb76cca6afp-17, 0x1.0a837c5127196p-17, 0x1.140f9aef4c941p-17, 0x1.1d711969960bcp-17, 0x1.26a80143325a6p-17, 0x1.2fb45f495e688p-17, 0x1.389643761a6e8p-17, 0x1.414dc0d7eda6dp-17, 0x1.49daed777fe15p-17, 0x1.523de23fe1a66p-17, 0x1.5a76bae66de38p-17, 0x1.628595cfa48a6p-17, 0x1.6a6a93fd7ac13p-17, 0x1.7225d8f6896c5p-17, 0x1.79b78ab196981p-17, 0x1.811fd1814d004p-17, 0x1.885ed7ff22a07p-17, 0x1.8f74caf7148ep-17, 0x1.9661d95227364p-17, 0x1.9d2634061195fp-17, 0x1.a3c20e0283f42p-17, 0x1.aa359c1df13b6p-17, 0x1.b0811505f6fcp-17, 0x1.b6a4b12c92db8p-17, 0x1.bca0aab900c3cp-17, 0x1.c2753d742c53p-17, 0x1.c822a6baf754bp-17, 0x1.cda9256ebbb4dp-17, 0x1.d308f9e605a75p-17, 0x1.d84265de83a91p-17, 0x1.dd55ac6df76abp-17, 0x1.e24311f50af64p-17, 0x1.e70adc101c21fp-17, 0x1.ebad5189d52e1p-17, 0x1.f02aba5014429p-17, 0x1.f4835f65894a4p-17, 0x1.f8b78ad5e216bp-17, 0x1.fcc787aa83bfap-17, 0x1.0059d0eedb203p-16, 0x1.023e1328309fdp-16, 0x1.0410b15dc180bp-16, 0x1.05d1d2d494ec3p-16, 0x1.07819f339865bp-16, 0x1.09203e7f1b448p-16, 0x1.0aadd913cb5b2p-16, 0x1.0c2a97a15a6e5p-16, 0x1.0d96a325d9fa4p-16, 0x1.0ef224e91a922p-16, 0x1.103d46774516fp-16, 0x1.1178319d80831p-16, 0x1.12a310652b189p-16, 0x1.13be0d0f05dfbp-16, 0x1.14c9520fb4f93p-16, 0x1.15c50a0b80456p-16, 0x1.16b15fd26911cp-16, 0x1.178e7e5bd0cefp-16, 0x1.185c90c2e8d0bp-16, 0x1.191bc24378866p-16, 0x1.19cc3e35a9a91p-16, 0x1.1a6e300b08191p-16, 0x1.1b01c34acd973p-16, 0x1.1b87238e6ce62p-16, 0x1.1bfe7c7ee0ec3p-16, 0x1.1c67f9d094fb2p-16, 0x1.1cc3c7411bb51p-16, 0x1.1d121093c7267p-16, 0x1.1d53018f1ca73p-16, 0x1.1d86c5f951938p-16, 0x1.1dad8995f98a6p-16, 0x1.1dc7782375fbfp-16, 0x1.1dd4bd5795789p-16, 0x1.1dd584ddc0095p-16, 0x1.1dc9fa53fcd1ap-16, 0x1.1db24948b3c28p-16, 0x1.1d8e9d3847ac9p-16, 0x1.1d5f218ad3a06p-16, 0x1.1d240191d7bc9p-16, 0x1.1cdd6885b4fbdp-16, 0x1.1c8b81844714ap-16, 0x1.1c2e778e3acefp-16, 0x1.1bc67584ccd61p-16, 0x1.1b53a628b393ep-16, 0x1.1ad634176e522p-16, 0x1.1a4e49ca10d26p-16, 0x1.19bc11926daf4p-16, 0x1.191fb59ab2ebfp-16, 0x1.18795fe26355bp-16, 0x1.17c93a3d3a9bbp-16, 0x1.170f6e526a083p-16, 0x1.164c259983791p-16, 0x1.157f8959fe277p-16, 0x1.14a9c2a989e9cp-16, 0x1.13cafa6a839b3p-16, 0x1.12e3594a6fff4p-16, 0x1.11f307c0e7c68p-16, 0x1.10fa2e0eaedp-16, 0x1.0ff8f43bbb092p-16, 0x1.0eef82160ad5p-16, 0x1.0dddff311f053p-16, 0x1.0cc492e450fdbp-16, 0x1.0ba3644a3c1b1p-16, 0x1.0a7a9a3ec6bc2p-16, 0x1.094a5b5f2189dp-16, 0x1.0812ce08310f2p-16, 0x1.06d418554c58ep-16, 0x1.058e60210a53p-16, 0x1.0441cb028c968p-16, 0x1.02ee7e4d07cc5p-16, 0x1.01949f0fc970dp-16, 0x1.00345214bc155p-16, 0x1.fd9b77bf0477bp-17, 0x1.fac2015a865b1p-17, 0x1.f7dc88e811b37p-17, 0x1.f4eb55c42b8fp-17, 0x1.f1eeaeb9b6629p-17, 0x1.eee6da00babf9p-17, 0x1.ebd41d3e94015p-17, 0x1.e8b6bd8466dd5p-17, 0x1.e58eff4dceb7ep-17, 0x1.e25d267f8816ap-17, 0x1.df21766753cd7p-17, 0x1.dbdc31ba3e00ep-17, 0x1.d88d9a94e7a55p-17, 0x1.d535f27baa86cp-17, 0x1.d1d57a5797b56p-17, 0x1.ce6c72767eba4p-17, 0x1.cafb1a8b3fbcap-17, 0x1.c781b1ac88b09p-17, 0x1.c40076541fc12p-17, 0x1.c077a65eebf5ep-17, 0x1.bce77f0ce6c9cp-17, 0x1.b9503d00b185bp-17, 0x1.b5b21c3ea6058p-17, 0x1.b20d582c70657p-17, 0x1.ae622b9074ce5p-17, 0x1.aab0d09466635p-17, 0x1.a6f980c1cca0ap-17, 0x1.a33c7503956fcp-17, 0x1.9f79e5a4d81a3p-17, 0x1.9bb20a51b61b5p-17, 0x1.97e51a16dadcep-17, 0x1.94134b6361626p-17, 0x1.903cd406dbe18p-17, 0x1.8c61e931622bfp-17, 0x1.8882bf741d799p-17, 0x1.849f8ac1b19d2p-17, 0x1.80b87e6df2136p-17, 0x1.7ccdcd2e72207p-17, 0x1.78dfa91ab5dp-17, 0x1.74ee43ad0a214p-17, 0x1.70f9cdc242bbep-17, 0x1.6d027799f224ap-17, 0x1.690870d6b61edp-17, 0x1.650be87d8abc2p-17, 0x1.610d0cfa10324p-17, 0x1.5d0c0c1b04b18p-17, 0x1.5909131415e31p-17, 0x1.55044e7dc6f7cp-17, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      29, 0x1.3c28f5c28f5c3p+2, 0x1.0290bd1c203ddp+2, 0x1.411ff802da686p+3, -0x1.ff9d1ba237882p-7, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ca78b0f4c818p-11, -0x1.10d752db5ac55p-4, 0x1.1393442c9ef3bp-3, -0x1.4753e8fc89846p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.17252a841737cp-9, -0x1.b85cadf0542f5p-5, 0x1.f60d25668fad7p-4, -0x1.47698e022a8fdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.284a48b9ba0e6p-8, -0x1.58dce9de68b9ep-5, 0x1.c4f0834ca2e46p-4, -0x1.4712f9eba6a93p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.a0c59c669fcf8p-8, -0x1.032e602860689p-5, 0x1.93e0ddcfb04b1p-4, -0x1.4857a540148e7p-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.f8f22866ea5f8p-8, -0x1.6ea946260008ap-6, 0x1.62a08506139bdp-4, -0x1.3edf6a8adf4dp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.1a5d8c1e2fe69p-7, -0x1.d4c0d13afdc82p-7, 0x1.32cbcea4721d4p-4, -0x1.2aaa18532b3dfp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.2bf74009f682bp-7, -0x1.e278ea1cb0938p-8, 0x1.05ff17cb2ba0fp-4, -0x1.181099f0fb398p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.331159069a0c3p-7, -0x1.838b08240f28p-10, 0x1.b7f9349ad8b01p-5, -0x1.0508c2413995cp-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.3159e8cf1266ap-7, 0x1.bf89abb759c61p-9, 0x1.69a9c720e1038p-5, -0x1.e43cf7e47133p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.2861e9c97e513p-7, 0x1.e40b8f3f4fdfp-8, 0x1.21070858366eap-5, -0x1.be5892db9223fp-5}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.199d3f072366cp-7, 0x1.583e416f8dcdap-7, 0x1.bc26b16e8dd3p-6, -0x1.98786cbc9eb01p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.0662b4446e1d2p-7, 0x1.a4d1bdd1ed162p-7, 0x1.419c2a692b051p-6, -0x1.72972360e0ee4p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.dfd7fbd1e38bep-8, 0x1.da060a5c5f94ep-7, 0x1.a4dda5fe9be25p-7, -0x1.4cb6280e5cf65p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.aeab720ed11b5p-8, 0x1.fa20fb09e2246p-7, 0x1.ba7a4f1f2e971p-8, -0x1.26d517d3bb37ap-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.7b3ed6bb66faep-8, 0x1.03b4310f58633p-6, 0x1.62b730846af01p-10, -0x1.00f40d305d695p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.475706a9b4f22p-8, 0x1.0211092a53d0ap-6, -0x1.b7548765111bep-9, -0x1.b62602300e8e4p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.147eb00218801p-8, 0x1.f293de45e324dp-7, -0x1.e28dde9c2ae25p-8, -0x1.6a63ea7899312p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.c80ca48679b36p-9, 0x1.d5039895deb3dp-7, -0x1.5dfe82724365dp-7, -0x1.1ea1d3c644241p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6e087c8435d54p-9, 0x1.adb713e2597f9p-7, -0x1.b3fbdb9424a54p-7, -0x1.a5bf710c7b782p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.1ca92c53f2b2fp-9, 0x1.7ef422d6a444cp-7, -0x1.f33ef95603f71p-7, -0x1.0e3b5cef754e4p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.aa6535f1b1f81p-10, 0x1.4b0097ed86316p-7, -0x1.0de3f0702ac7bp-6, -0x1.dadb21883dd5ep-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.30e8a44559aafp-10, 0x1.142246565af63p-7, -0x1.16cb3f77858ap-6, 0x1.065f666956368p-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.9b25f8b73737p-11, 0x1.b93dfd3d6b642p-8, -0x1.14558db4ef21ap-6, 0x1.70ab3e08caf84p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.0063b88cdb98p-11, 0x1.4d79364d6e88dp-8, -0x1.068254fb011e6p-6, 0x1.4fc53c7a2154bp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.1ea89dc3f45p-12, 0x1.d303469848b27p-9, -0x1.daa71416e3a3cp-7, 0x1.e7962fed89b97p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.0fc034fd6957ep-13, 0x1.23c7828e930e4p-9, -0x1.9183c019a894bp-7, 0x1.3efdf016279ccp-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, -0x1.85dcfe0311401p-15, 0x1.2ca04090668ffp-10, -0x1.31d12b46364c9p-7, 0x1.8cd6a39f45c67p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, -0x1.3cbf6c8863p-17, 0x1.9e5f2cb79d5aep-12, -0x1.7587f4600f897p-8, 0x1.d0933bb5b9ba3p-6}, 
        {0x1.399999999999ap+2, 0x1.3c28f5c28f5c3p+2, -0x1.9e205728ef24cp-22, 0x1.3dbeb6dc5dba8p-15, -0x1.7b24dbcc19efp-10, 0x1.b55b980ae54cdp-6}, 
      }}, 
      -0x1.e548374a3231fp-3, 0x1.9e385c3b02d2p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{-0x1.dd562e301dca6p-3, -0x1.c0745ddf1d6a2p-3, -0x1.93558ca066298p-3, -0x1.5949e0a88e8ffp-3, -0x1.15ce861283b14p-3, -0x1.9881d1800dd42p-4, -0x1.febd1efb0815ap-5, -0x1.95f45201b372ep-6, 0x1.85ff62b246d4ap-7, 0x1.7fb5c7770338ep-5, 0x1.452b55a611702p-4, 0x1.bec633bcf7cefp-4, 0x1.15b1aa72b146ep-3, 0x1.45218d02658ddp-3, 0x1.6d8afa5574152p-3, 0x1.8ef34d7438f74p-3, 0x1.a98399f578c93p-3, 0x1.bd80a173303b8p-3, 0x1.cb440a819fd03p-3, 0x1.d336a7fdafea8p-3, 0x1.d5cba88f1bb78p-3, 0x1.d37c8e043d51bp-3, 0x1.ccc5d48aea28bp-3, 0x1.c22435af32d03p-3, 0x1.b41273d4388c1p-3, 0x1.a3079bb3f638bp-3, 0x1.8f75ab87273fp-3, 0x1.79c891c3fc7bbp-3, 0x1.626576ffd3f98p-3, 0x1.49aa47ba7a26dp-3, 0x1.2fed73b8ab158p-3, 0x1.157dd9b0d2884p-3, 0x1.f545adc0508c4p-4, 0x1.bf38e677b791bp-4, 0x1.894747a647e1ep-4, 0x1.53d53b8f2c67p-4, 0x1.1f3a6a78dce79p-4, 0x1.d78510f78c906p-5, 0x1.735c593afcad2p-5, 0x1.126756bf19d66p-5, 0x1.69ffc25ee0731p-6, 0x1.6dbaa99a6d4d2p-7, 0x1.7b36f1588b444p-11, -0x1.2d69785efb082p-7, -0x1.3090b77f1087dp-6, -0x1.c193324a4fb8ap-6, -0x1.24d46a6aa740cp-5, -0x1.6467c79882p-5, -0x1.9f8a2f547b56ep-5, -0x1.d648a07746f36p-5, -0x1.045ad516d8b22p-4, -0x1.1b74490966594p-4, -0x1.307e47b6558d4p-4, -0x1.43880d3d26d82p-4, -0x1.54a227494cb7p-4, -0x1.63de2ed8b4adcp-4, -0x1.714e89fd45ed4p-4, -0x1.7d0634de12d6cp-4, -0x1.871891497a524p-4, -0x1.8f993c39abbfap-4, -0x1.969be8b9ef509p-4, -0x1.9c343fa2b60a6p-4, -0x1.a075c3a64049bp-4, -0x1.a373b934332aap-4, -0x1.a54111cbe3fd7p-4, -0x1.a5f05a68097p-4, -0x1.a593acb9c0ae4p-4, -0x1.a43ca2eca5fccp-4, -0x1.a1fc4da32b1bep-4, -0x1.9ee32be1ef771p-4, -0x1.9b0124ab51e5dp-4, -0x1.9665821118213p-4, -0x1.911eedb61218p-4, -0x1.8b3b6e95da8ffp-4, -0x1.84c86810d8551p-4, -0x1.7dd29a129b69fp-4, -0x1.766622231e3f7p-4, -0x1.6e8e7d4793e5ep-4, -0x1.66568a70c4365p-4, -0x1.5dc88d816093p-4, -0x1.54ee32bd6d654p-4, -0x1.4bd092c6258dep-4, -0x1.427836fd75e0cp-4, -0x1.38ed1e6818b13p-4, -0x1.2f36c2dfd722dp-4, -0x1.255c1e93c481dp-4, -0x1.1b63b1a8a0d05p-4, -0x1.115387ec10776p-4, -0x1.07313e80d9d59p-4, -0x1.fa0412f8cf218p-5, -0x1.e59572d708704p-5, -0x1.d11f818f768dep-5, -0x1.bcaa7295f75f9p-5, -0x1.a83dd277dc3aep-5, -0x1.93e091214b44cp-5, -0x1.7f990bfcd51c4p-5, -0x1.6b6d17b639d02p-5, -0x1.576209a272dd1p-5, -0x1.437cc0ba2f5c1p-5, -0x1.2fc1ae20e8393p-5, -0x1.1c34dd202d8eap-5, -0x1.08d9fab5d8e2fp-5, -0x1.eb68b9208faep-6, -0x1.c58e0f35e303fp-6, -0x1.a0296c22a3145p-6, -0x1.7b3fba465ef12p-6, -0x1.56d5645a69423p-6, -0x1.32ee5f28ed262p-6, -0x1.0f8e32800c7eap-6, -0x1.d97002dcaf3a5p-7, -0x1.94dd23dc16087p-7, -0x1.5168a7946bd92p-7, -0x1.0f16ce1b34ea4p-7, -0x1.9bd68718395d6p-8, -0x1.1bd2554072ecep-8, -0x1.3c4c98af8e54dp-9, -0x1.16b61c96f77ccp-11, 0x1.586331d8e43b5p-10, 0x1.994b782247db6p-9, 0x1.40ce26f1f704ep-8, 0x1.b290e0b130054p-8, 0x1.10f6b514040aap-7, 0x1.4771f372e788fp-7, 0x1.7cba8a35c4f52p-7, 0x1.b0d12087d2fbap-7, 0x1.e3b6a1f713944p-7, 0x1.0ab61d573737dp-6, 0x1.22f9a9a5dafe9p-6, 0x1.3aa6c6e6c067bp-6, 0x1.51be6102d159p-6, 0x1.68417cd48dfa9p-6, 0x1.7e3136eeaa038p-6, 0x1.938ec1ee00d32p-6, 0x1.a85b64959a7ddp-6, 0x1.bc9878c70ec3ep-6, 0x1.d04769e94c4ebp-6, 0x1.e369b32c69b91p-6, 0x1.f600dea15d285p-6, 0x1.040741da0322bp-5, 0x1.0cca22c293253p-5, 0x1.1549e92125d0fp-5, 0x1.1d8770e179ed9p-5, 0x1.258399e8f8976p-5, 0x1.2d3f47d3541c3p-5, 0x1.34bb618119f76p-5, 0x1.3bf8d033411e1p-5, 0x1.42f87f2a336bap-5, 0x1.49bb5b850a61cp-5, 0x1.50425363d9231p-5, 0x1.568e55a24c14ap-5, 0x1.5ca051778ff49p-5, 0x1.6279363d777cp-5, 0x1.6819f2b12680bp-5, 0x1.6d8374de0d903p-5, 0x1.72b6aa10c1bcbp-5, 0x1.77b47e3139722p-5, 0x1.7c7ddb58802a2p-5, 0x1.8113aa0956621p-5, 0x1.8576d110beb7bp-5, 0x1.89a834c1df385p-5, 0x1.8da8b6c6679f3p-5, 0x1.91793696feefap-5, 0x1.951a914aacba5p-5, 0x1.988da0c89e9c1p-5, 0x1.9bd33bb774a3bp-5, 0x1.9eec361c9d98fp-5, 0x1.a1d96140340b1p-5, 0x1.a49b8ad6e5dbfp-5, 0x1.a7337ce38aa73p-5, 0x1.a9a1fe73b61fbp-5, 0x1.abe7d3c11a585p-5, 0x1.ae05bd59cb8fap-5, 0x1.affc77bf959bfp-5, 0x1.b1ccbc272f5d2p-5, 0x1.b3774105dc3b2p-5, 0x1.b4fcb9693659p-5, 0x1.b65dd425e15b8p-5, 0x1.b79b3c3f72d99p-5, 0x1.b8b599e661023p-5, 0x1.b9ad927c15d37p-5, 0x1.ba83c78497719p-5, 0x1.bb38d63213bb5p-5, 0x1.bbcd5848fef4bp-5, 0x1.bc41e50a87be3p-5, 0x1.bc9710d2c2d87p-5, 0x1.bccd6bfa06f75p-5, 0x1.bce582a1a6864p-5, 0x1.bcdfddbd0a16bp-5, 0x1.bcbd03e647e9fp-5, 0x1.bc7d78e71d387p-5, 0x1.bc21bca8c9447p-5, 0x1.bbaa4b064de1bp-5, 0x1.bb179cc0e207fp-5, 0x1.ba6a2854e206dp-5, 0x1.b9a261aca0af1p-5, 0x1.b8c0b92e5de25p-5, 0x1.b7c59b6c9ae59p-5, 0x1.b6b171e4188dap-5, 0x1.b584a3d930076p-5, 0x1.b43f96535fecap-5, 0x1.b2e2ab59f897p-5, 0x1.b16e417613b3ap-5, 0x1.afe2b4226fc4fp-5, 0x1.ae405cabc7958p-5, 0x1.ac8792864cc9fp-5, 0x1.aab8aacfbf797p-5, 0x1.a8d3f7a67ef4dp-5, 0x1.a6d9c829d9a4ep-5, 0x1.a4ca69378e4edp-5, 0x1.a2a626235f245p-5, 0x1.a06d48b8156cap-5, 0x1.9e20189d42ccdp-5, 0x1.9bbedad8239b9p-5, 0x1.9949d2009f612p-5, 0x1.96c13f0965a3dp-5, 0x1.942561e270f67p-5, 0x1.9176797155b37p-5, 0x1.8eb4c3079f4d5p-5, 0x1.8be079efeebfp-5, 0x1.88f9d79756ee7p-5, 0x1.86011438be87bp-5, 0x1.82f6677f392d1p-5, 0x1.7fda08af8492ap-5, 0x1.7cac2e495d24bp-5, 0x1.796d0d9aff7d5p-5, 0x1.761cdab3a2f3ap-5, 0x1.72bbc8d4cfb2ep-5, 0x1.6f4a0b0f33f75p-5, 0x1.6bc7d49a40af7p-5, 0x1.683558bfbcbc6p-5, 0x1.6492ca8a2005p-5, 0x1.60e05c8b3b7c2p-5, 0x1.5d1e40fbcafa8p-5, 0x1.594caa294fc2bp-5, 0x1.556bcae5dfb23p-5, 0x1.517bd6b7a0c07p-5, 0x1.4d7d01c02c2d7p-5, 0x1.496f8083963bep-5, 0x1.455387c7e8837p-5, 0x1.41294cb495e25p-5, 0x1.3cf1052588c1dp-5, 0x1.38aae7fbd26ccp-5, 0x1.34572d41cf24bp-5, 0x1.2ff60e1e3964bp-5, 0x1.2b87c4ad867f8p-5, 0x1.270c8be51a712p-5, 0x1.22849f9ee81dep-5, 0x1.1df03ccd6070ap-5, 0x1.194fa1b6fa77p-5, 0x1.14a30e18fac9bp-5, 0x1.0feac3285c778p-5, 0x1.0b27037a2a24dp-5, 0x1.065812e62bcfap-5, 0x1.017e367aeef49p-5, 0x1.f93369202115cp-6, 0x1.ef55a9d5d4a36p-6, 0x1.e563c1ba95be6p-6, 0x1.db5e469fe67ffp-6, 0x1.d145d1719e7dbp-6, 0x1.c71afe075dd73p-6, 0x1.bcde6af2585c3p-6, 0x1.b290b964cff4p-6, 0x1.a8328d40d76abp-6, 0x1.9dc48d3b1f203p-6, 0x1.934762f2b15f3p-6, 0x1.88bbbaeed1b6p-6, 0x1.7e224484aeacap-6, 0x1.737bb1abc18b4p-6, 0x1.68c8b6cb656e2p-6, 0x1.5e0a0a9477172p-6, 0x1.534065f5511c7p-6, 0x1.486c84213c163p-6, 0x1.3d8f228ebf423p-6, 0x1.32a8fefde05c2p-6, 0x1.27bade618cd9ap-6, 0x1.1cc58740e76d5p-6, 0x1.11c9ae03efdd1p-6, 0x1.06c835c7899a4p-6, 0x1.f78397e1177b6p-7, 0x1.e16e98e43123dp-7, 0x1.cb52ecac73aa7p-7, 0x1.b532388293512p-7, 0x1.9f0e11e037b37p-7, 0x1.88e8161463605p-7, 0x1.72c1e3de2a0e9p-7, 0x1.5c9d16779df92p-7, 0x1.467b4e4d81b65p-7, 0x1.305e2dbfb6b8fp-7, 0x1.1a4753f9a86b3p-7, 0x1.04385f43d27bbp-7, 0x1.dc65dd702962cp-8, 0x1.b071463750d0fp-8, 0x1.84963860d2de5p-8, 0x1.58d7ec2ec8067p-8, 0x1.2d3997c6ca24ep-8, 0x1.01be6ec50e0cfp-8, 0x1.acd341788e32dp-9, 0x1.567cb65b54eafp-9, 0x1.007f8897f2265p-9, 0x1.55c3e8d911a05p-10, 0x1.56a8b016d9021p-11, 0x1.bca949c81c9d1p-18, -0x1.4dedf1dde6a9fp-11, -0x1.4eba825e17d02p-10, -0x1.f5820ad6f22e2p-10, -0x1.4da0da72363f5p-9, -0x1.9ff6e0dcc41d8p-9, -0x1.f1bd6b31565e2p-9, -0x1.21777980647e5p-8, -0x1.49c2eda1abf2ap-8, -0x1.71be46be72508p-8, -0x1.9966d6c43e1f9p-8, -0x1.c0b9f1c83315ep-8, -0x1.e7b50dac1a5fbp-8, -0x1.072acc0d74de2p-7, -0x1.1a4c877a605bp-7, -0x1.2d3e83639a912p-7, -0x1.3fff8e4fafb93p-7, -0x1.528e7ceae6e66p-7, -0x1.64ea2c9bdf15ep-7, -0x1.77118243d657cp-7, -0x1.89036a1f62b03p-7, -0x1.9abed82572a82p-7, -0x1.ac42c86775b22p-7, -0x1.bd8e3eee62721p-7, -0x1.cea047a8bb379p-7, -0x1.df77f6b510246p-7, -0x1.f014689aa1f3ap-7, -0x1.003a6129b5eb9p-6, -0x1.084c18915685ep-6, -0x1.103ef5502ee8bp-6, -0x1.1812967fc79cfp-6, -0x1.1fc69f902b995p-6, -0x1.275ab844fb89cp-6, -0x1.2ece8cb668522p-6, -0x1.3621cd4eae7adp-6, -0x1.3d542ec681fcdp-6, -0x1.44656a2805896p-6, -0x1.4b553cd553e87p-6, -0x1.5223688887b6p-6, -0x1.58cfb34e1331ep-6, -0x1.5f59e787ca87p-6, -0x1.65c1d3eeeea26p-6, -0x1.6c074b8651e96p-6, -0x1.722a258b5d20ap-6, -0x1.782a3d702cd43p-6, -0x1.7e0772d8d52c2p-6, -0x1.83c1a997a86d4p-6, -0x1.8958c9a7d3bf3p-6, -0x1.8eccbf256e383p-6, -0x1.941d7a42330acp-6, -0x1.994aef3578359p-6, -0x1.9e55162a52a8p-6, -0x1.a33beb344d9f4p-6, -0x1.a7ff6e49956c8p-6, -0x1.ac9fa337c7733p-6, -0x1.b11c91946295bp-6, -0x1.b57644aeb9414p-6, -0x1.b9accb829419dp-6, -0x1.bdc038a94d661p-6, -0x1.c1b0a2491e28bp-6, -0x1.c57e2200222dp-6, -0x1.c928d4e011cb4p-6, -0x1.ccb0db4560ab3p-6, -0x1.d01658dd8cbabp-6, -0x1.d35974883806ep-6, -0x1.d67a58489460ap-6, -0x1.d97931365ae53p-6, -0x1.dc562f6f71563p-6, -0x1.df1186052119ap-6, -0x1.e1ab6ae6d2cbep-6, -0x1.e42416cd2a398p-6, -0x1.e67bc525fc7d5p-6, -0x1.e8b2b4009b44ap-6, -0x1.eac923fa9f708p-6, -0x1.ecbf582d03f0ap-6, -0x1.ee95961978e87p-6, -0x1.f04c2597d3af5p-6, -0x1.f1e350c33a8dfp-6, -0x1.f35b63e6c527cp-6, -0x1.f4b4ad68ea152p-6, -0x1.f5ef7db6cb6b4p-6, -0x1.f70c2730bbb36p-6, -0x1.f80afe17cb79p-6, -0x1.f8ec587a359fep-6, -0x1.f9b08e1efc249p-6, -0x1.fa57f871d731p-6, -0x1.fae2f27003f76p-6, -0x1.fb51d89587a87p-6, -0x1.fba508ca9e0bp-6, -0x1.fbdce25123da8p-6, -0x1.fbf9c5b22ee2bp-6, -0x1.fbfc14ababbcdp-6, -0x1.fbe4321e14e1cp-6, -0x1.fbb281fa3f8cbp-6, -0x1.fb67692f3f228p-6, -0x1.fb034d9824017p-6, -0x1.fa8695e995055p-6, -0x1.f9f1a99fe91ddp-6, -0x1.f944f0ee51ecep-6, -0x1.f880d4aeef50ap-6, -0x1.f7a5be52914c3p-6, -0x1.f6b417d057765p-6, -0x1.f5ac4b958a1afp-6, -0x1.f48ec475dd9f2p-6, -0x1.f35bed9bfb8efp-6, -0x1.f214327a2c09dp-6, -0x1.f0b7febb5ee31p-6, -0x1.ef47be3437924p-6, -0x1.edc3dcd46036ap-6, -0x1.ec2cc69821908p-6, -0x1.ea82e77a87b76p-6, -0x1.e8c6ab67ecd92p-6, -0x1.e6f87e3096447p-6, -0x1.e518cb7d8d8d2p-6, -0x1.e327fec0fd44ap-6, -0x1.e126832cfaebbp-6, -0x1.df14c3a607235p-6, -0x1.dcf32ab805c6cp-6, -0x1.dac2228b1cb09p-6, -0x1.d88214d88ac24p-6, -0x1.d6336adf7d832p-6, -0x1.d3d68d5a51015p-6, -0x1.d16be47439f44p-6, -0x1.cef3d7bf89fb2p-6, -0x1.cc6ece2c46e38p-6, -0x1.c9dd2dff2a167p-6, -0x1.c73f5cc8fa16cp-6, -0x1.c495bf5e1e683p-6, -0x1.c1e0b9ce8b6c2p-6, -0x1.bf20af5dd0b9ap-6, -0x1.bc56027b76453p-6, -0x1.b98114bb87fa8p-6, -0x1.b6a246cf6d553p-6, -0x1.b3b9f87f01b78p-6, -0x1.b0c888a1eaad2p-6, -0x1.adce55192eeb6p-6, -0x1.aacbbac92c50dp-6, -0x1.a7c11593fdc8p-6, -0x1.a4aec054716b5p-6, -0x1.a19514d93c95fp-6, -0x1.9e746be051074p-6, -0x1.9b4d1d1258063p-6, -0x1.981f7efe727a7p-6, -0x1.94ebe71634223p-6, -0x1.91b2a9a9cd391p-6, -0x1.8e7419e482ef2p-6, -0x1.8b3089c951649p-6, -0x1.87e84a2fbc16ep-6, -0x1.849baac0fbe52p-6, -0x1.814af9f55a1d3p-6, -0x1.7df68511dd2a6p-6, -0x1.7a9e98262ef72p-6, -0x1.77437e0ad7c04p-6, -0x1.73e5805f9aaf5p-6, -0x1.7084e78a2bd31p-6, -0x1.6d21fab4fbe82p-6, -0x1.69bcffce33fc1p-6, -0x1.66563b86d877fp-6, -0x1.62edf151f8d5ep-6, -0x1.5f8463641d42ep-6, -0x1.5c19d2b2f7ceep-6, -0x1.58ae7ef544c23p-6, -0x1.5542a6a2e994p-6, -0x1.51d686f51d063p-6, -0x1.4e6a5be6e51bap-6, -0x1.4afe6035a5f0ep-6, -0x1.4792cd6201827p-6, -0x1.4427dbb0ca722p-6, -0x1.40bdc22c1ee91p-6, -0x1.3d54b6a4815dp-6, -0x1.39ecedb211b4cp-6, -0x1.36869ab5b09b6p-6, -0x1.3321efda48d3cp-6, -0x1.2fbf1e16231a2p-6, -0x1.2c5e552c64f27p-6, -0x1.28ffc3aececbap-6, -0x1.25a396ffc78abp-6, -0x1.2249fb54b84e3p-6, -0x1.1ef31bb8bd577p-6, -0x1.1b9f220f9918bp-6, -0x1.184e3718c856bp-6, -0x1.15008272b1072p-6, -0x1.11b62a9d847bep-6, -0x1.0e6f54fdecc74p-6, -0x1.0b2c25df69337p-6, -0x1.07ecc0764565ep-6, -0x1.04b146e14319fp-6, -0x1.0179da2b22c98p-6, -0x1.fc8d3498611c4p-7, -0x1.f62f4c56f6513p-7, -0x1.efda374a096acp-7, -0x1.e98e2f0bc4f2cp-7, -0x1.e34b6b2fceaa6p-7, -0x1.dd12214691263p-7, -0x1.d6e284ea7051dp-7, -0x1.d0bcc7cc29705p-7, -0x1.caa119bec555fp-7, -0x1.c48fa8c211748p-7, -0x1.be88a10ae5f5p-7, -0x1.b88c2d081421dp-7, -0x1.b29a7564762aap-7, -0x1.acb3a105f7721p-7, -0x1.a6d7d50ad9162p-7, -0x1.a10734c64c2e8p-7, -0x1.9b41e1be39383p-7, -0x1.9587fbacd4001p-7, -0x1.8fd9a0831ecebp-7, -0x1.8a36ec777bf31p-7, -0x1.849ffa1225b02p-7, -0x1.7f14e24384669p-7, -0x1.7995bc7c31feap-7, -0x1.74229ec62be82p-7, -0x1.6ebb9ddc7297ap-7, -0x1.6960cd3e4b8f4p-7, -0x1.64123f3b7f982p-7, -0x1.5ed004f820379p-7, -0x1.599a2e671c03bp-7, -0x1.5470ca3c80331p-7, -0x1.4f53e5d99352ap-7, -0x1.4a438d35e17b8p-7, -0x1.453fcac966cb4p-7, -0x1.4048a77c2b955p-7, -0x1.3b5e2a9f30d06p-7, -0x1.368059f1e8fd1p-7, -0x1.31af39b58f02dp-7, -0x1.2ceaccce2e8a5p-7, -0x1.283314ef57eb1p-7, -0x1.238812d027249p-7, -0x1.1ee9c661597b7p-7, -0x1.1a582eff18a1bp-7, -0x1.15d34b9851773p-7, -0x1.115b1ac5df8fap-7, -0x1.0cef9acd9c427p-7, -0x1.0890c9901ee31p-7, -0x1.043ea4618c241p-7, -0x1.fff24fa49b0ecp-8, -0x1.f7809eda8cefdp-8, -0x1.ef282aea8044p-8, -0x1.e6e8e5534d4edp-8, -0x1.dec2bc39f8a57p-8, -0x1.d6b59a49a8288p-8, -0x1.cec166cf319f5p-8, -0x1.c6e606158ff2fp-8, -0x1.bf2359fde3207p-8, -0x1.b77942c68c867p-8, -0x1.afe79fee4a653p-8, -0x1.a86e511a975ap-8, -0x1.a10d36e5ea931p-8, -0x1.99c4337b666a1p-8, -0x1.92932ae7e3e9ap-8, -0x1.8b7a0310af5ffp-8, -0x1.8478a348a1f75p-8, -0x1.7d8ef389ba1d6p-8, -0x1.76bcdb640c0bdp-8, -0x1.700240c0c1733p-8, -0x1.695f069d4bcdbp-8, -0x1.62d30bea45aep-8, -0x1.5c5e2ab51f653p-8, -0x1.560037bedc48bp-8, -0x1.4fb90294b9a59p-8, -0x1.4988563216c9ap-8, -0x1.436dfa225cacep-8, -0x1.3d69b40a6448ap-8, -0x1.377b49748d3b4p-8, -0x1.31a281b08bd55p-8, -0x1.2bdf279438ef1p-8, -0x1.26310ae8ac7cdp-8, -0x1.20980155c720fp-8, -0x1.1b13e6a6effcdp-8, -0x1.15a49c5537b28p-8, -0x1.104a0855f7d12p-8, -0x1.0b0413443ab22p-8, -0x1.05d2a611ab88cp-8, -0x1.00b5a77debafcp-8, -0x1.f759f33bc4b8bp-9, -0x1.ed70ef8151111p-9, -0x1.e3afe9e4700a1p-9, -0x1.da16769deccfap-9, -0x1.d0a4187be07cdp-9, -0x1.c758431c61c0dp-9, -0x1.be325eb29fc8fp-9, -0x1.b531ccf2afc6bp-9, -0x1.ac55eea42b486p-9, -0x1.a39e295548c66p-9, -0x1.9b09eca590f53p-9, -0x1.9298b6af2395cp-9, -0x1.8a4a172703867p-9, -0x1.821db0e60b1aap-9, -0x1.7a1339ad78c07p-9, -0x1.722a781d27ed5p-9, -0x1.6a633ffe44b06p-9, -0x1.62bd6d321ae5bp-9, -0x1.5b38ddbff422ap-9, -0x1.53d56ba027c71p-9, -0x1.4c92e6f4dd409p-9, -0x1.4571115fa5c5cp-9, -0x1.3e6f9b03c268dp-9, -0x1.378e21908ef74p-9, -0x1.30cc316288bdap-9, -0x1.2a29487a5c77dp-9, -0x1.23a4dac36143bp-9, -0x1.1d3e56fabd434p-9, -0x1.16f52b8554095p-9, -0x1.10c8caa84fe18p-9, -0x1.0ab8adcee32b5p-9, -0x1.04c457d817f92p-9, -0x1.fdd6acf22579cp-10, -0x1.f25a856a93427p-10, -0x1.e7138264cfe76p-10, -0x1.dc0102a5961d2p-10, -0x1.d1227849159cfp-10, -0x1.c677648dfca7ap-10, -0x1.bbff51cdc9096p-10, -0x1.b1b9cc3c3f59bp-10, -0x1.a7a65953cc798p-10, -0x1.9dc46ffcbc6c5p-10, -0x1.941372478b8bdp-10, -0x1.8a92aa850df46p-10, -0x1.81414cb1722cp-10, -0x1.781e7c559ac6bp-10, -0x1.6f2955e4d8833p-10, -0x1.6660f9917dfa3p-10, -0x1.5dc494fa7db4p-10, -0x1.55536947efa86p-10, -0x1.4d0ccc4433047p-10, -0x1.44f0248ba026bp-10, -0x1.3cfce27ed8662p-10, -0x1.353278a70bc99p-10, -0x1.2d90564b29c46p-10, -0x1.2615e60450b2cp-10, -0x1.1ec2908e6dac9p-10, -0x1.1795c26a5579p-10, -0x1.108ef1cd7020ep-10, -0x1.09ada22607663p-10, -0x1.02f163350f6cp-10, -0x1.f8b396a3cc134p-11, -0x1.ebccdc030f9a5p-11, -0x1.df2da300a8a12p-11, -0x1.d2d4cca1d3117p-11, -0x1.c6c106f14c945p-11, -0x1.baf0d19f7b0a3p-11, -0x1.af628e6218f2ap-11, -0x1.a41499a3e9f4ap-11, -0x1.990565e432471p-11, -0x1.8e339326b50e4p-11, -0x1.839dfc311700cp-11, -0x1.7943b532294bcp-11, -0x1.6f23faee7fc39p-11, -0x1.653e161d5f1dap-11, -0x1.5b913b14f8fe1p-11, -0x1.521c703aeeb89p-11, -0x1.48de84643d6d3p-11, -0x1.3fd61959cf59p-11, -0x1.3701bfbb178dap-11, -0x1.2e601b5155433p-11, -0x1.25f003e389127p-11, -0x1.1db097cb7f919p-11, -0x1.15a13a4e31f96p-11, -0x1.0dc17e8a8f3cbp-11, -0x1.061106768e323p-11, -0x1.fd1ec2c21cc41p-12, -0x1.ee77ea0e0e855p-12, -0x1.e02bef0148e1ep-12, -0x1.d238f2c6869e8p-12, -0x1.c49cf3978a85dp-12, -0x1.b755f85bc512fp-12, -0x1.aa62334ed67bdp-12, -0x1.9dc016704f56p-12, -0x1.916e59f15142fp-12, -0x1.856bf5eb4a4ep-12, -0x1.79b80f3b89865p-12, -0x1.6e51d6a0e3928p-12, -0x1.63385c0420d7fp-12, -0x1.586a5dca58637p-12, -0x1.4de622800c98ep-12, -0x1.43a96d7324e04p-12, -0x1.39b1995e710fcp-12, -0x1.2ffbd6fb745a1p-12, -0x1.26857def25519p-12, -0x1.1d4c55f2425bp-12, -0x1.144ec197360aap-12, -0x1.0b8bc08359524p-12, -0x1.0302cc29e36bcp-12, -0x1.f5673658c2087p-13, -0x1.e53bba1e121fep-13, -0x1.d5820471925fap-13, -0x1.c638404974a9dp-13, -0x1.b75bebc804349p-13, -0x1.a8ea0fe66dddbp-13, -0x1.9adf895814257p-13, -0x1.8d394ca62bdf4p-13, -0x1.7ff49b52bb2c5p-13, -0x1.730f22919caf1p-13, -0x1.6686fa129bbcp-13, -0x1.5a5a80e75f767p-13, -0x1.4e882a0be5b43p-13, -0x1.430e5721d4529p-13, -0x1.37eb54df061b8p-13, -0x1.2d1d6f7ddb14ap-13, -0x1.22a3003d7e813p-13, -0x1.187a5bb3278a8p-13, -0x1.0ea1a695d0596p-13, -0x1.0516b251c0a44p-13, -0x1.f7ae042c22ea1p-14, -0x1.e5bff0c8cd78dp-14, -0x1.d45e101d5f1ap-14, -0x1.c38385b69310dp-14, -0x1.b32b97e8b7a21p-14, -0x1.a351bb69786c2p-14, -0x1.93f2050718bd7p-14, -0x1.8509c7646716bp-14, -0x1.7697dbc83fc0bp-14, -0x1.689c4a0fdcbabp-14, -0x1.5b176efc88af2p-14, -0x1.4e09084a54b83p-14, -0x1.416fa033bf8dep-14, -0x1.3548ad74b5fbbp-14, -0x1.29915479d0d98p-14, -0x1.1e473873009c8p-14, -0x1.1368adbc0dfaap-14, -0x1.08f41da730e05p-14, -0x1.fdce2a75118bcp-15, -0x1.ea7b5ed5825dap-15, -0x1.d7e5739070407p-15, -0x1.c600e0b9977efp-15, -0x1.b4c2c79c2c72ep-15, -0x1.a42256a1d8349p-15, -0x1.9419650cd2a73p-15, -0x1.84a42af320f3cp-15, -0x1.75c046086a102p-15, -0x1.676b888cdb03ep-15, -0x1.59a3373e12effp-15, -0x1.4c6415f682af7p-15, -0x1.3faad6e99c6b9p-15, -0x1.3373e524d7d8fp-15, -0x1.27ba38183c4acp-15, -0x1.1c769ecae999dp-15, -0x1.11a16081e849ep-15, -0x1.0735b5032c469p-15, -0x1.fa67d9490ccc6p-16, -0x1.e73f9a7b7a42ep-16, -0x1.d4f84cfbf7579p-16, -0x1.c38e3ab9486f8p-16, -0x1.b2f415f6c93adp-16, -0x1.a319dc5c91436p-16, -0x1.93f532c2517c4p-16, -0x1.85849220605f6p-16, -0x1.77cb9e42e071ep-16, -0x1.6acd00244043ep-16, -0x1.5e86d623d631p-16, -0x1.52f2d40f322b9p-16, -0x1.48080da5b2f96p-16, -0x1.3dbc875865a6ep-16, -0x1.3406235faf7d4p-16, -0x1.2adb5354366bp-16, -0x1.2233e05745f95p-16, -0x1.1a09b6d5f0e79p-16, -0x1.12595ce39b965p-16, -0x1.0b21af700267dp-16, -0x1.0462ae085e6f3p-16, -0x1.fc373bc63224dp-17, -0x1.f0931791b9022p-17, -0x1.e5cef8c3e66a2p-17, -0x1.dbe063ed1e6f5p-17, -0x1.d2be10e2148d4p-17, -0x1.ca5b2cc2a33abp-17, -0x1.c2a12f757c7a1p-17, -0x1.bb74c6fa3bb77p-17, -0x1.b4c6b0a79b527p-17, -0x1.ae9d4709ea324p-17, -0x1.a908850279b46p-17, -0x1.a40d560720cafp-17, -0x1.9f9edb81bdee7p-17, -0x1.9baacaa372a8ap-17, -0x1.98297a48fdc6p-17, -0x1.951ff9cb954cp-17, -0x1.92947923d8c56p-17, -0x1.90847c32a75eep-17, -0x1.8ee5898c8ef18p-17, -0x1.8dab45ec10979p-17, -0x1.8ccc022bb74d6p-17, -0x1.8c41f1f3f6187p-17, -0x1.8c0a65824e9f9p-17, -0x1.8c2488e189e69p-17, -0x1.8c8f4f6778786p-17, -0x1.8d484748799b5p-17, -0x1.8e4b073ccf25fp-17, -0x1.8f91aa0057311p-17, -0x1.9115eed25ddf3p-17, -0x1.92d25cfc5e575p-17, -0x1.94c2df4687d2p-17, -0x1.96e4853da926ep-17, -0x1.99346b76bfcffp-17, -0x1.9bae8e1f225d5p-17, -0x1.9e4e0a8dce58bp-17, -0x1.a10e64da9dbf9p-17, -0x1.a3f0200f18032p-17, -0x1.a6f3a11368643p-17, -0x1.aa1485f7b819ap-17, -0x1.ad4a65937721p-17, -0x1.b0903c714cd68p-17, -0x1.b3e9fdb9e54c4p-17, -0x1.b75b2a62036e1p-17, -0x1.bade51ce19adp-17, -0x1.be6b246987834p-17, -0x1.c200514055ba1p-17, -0x1.c5a17883d8e6p-17, -0x1.c94ec28c6b53p-17, -0x1.cd035cc002e8bp-17, -0x1.d0b9642ee1615p-17, -0x1.d46c801eb5898p-17, -0x1.d81a2b7e07ad1p-17, -0x1.dbc13c6434a89p-17, -0x1.df61627a22b46p-17, -0x1.e2faa2c9ea448p-17, -0x1.e68cd2d5ea6b8p-17, -0x1.ea1733004866ap-17, -0x1.ed984e50f4818p-17, -0x1.f10e39d24eaccp-17, -0x1.f4772588ab453p-17, -0x1.f7d1e969d7c51p-17, -0x1.fb1e175b23787p-17, -0x1.fe5b7a9ed4fecp-17, -0x1.00c4c028add7cp-16, -0x1.025387b84b138p-16, -0x1.03d9644279e59p-16, -0x1.05559f2969772p-16, -0x1.06c77bf13baep-16, -0x1.082e471d11befp-16, -0x1.098997fc3c519p-16, -0x1.0ad99355166ffp-16, -0x1.0c1eaf0976105p-16, -0x1.0d58b63a2520fp-16, -0x1.0e86656f14cfbp-16, -0x1.0fa6faef2b21fp-16, -0x1.10bac2ded1a7bp-16, -0x1.11c19b6aee469p-16, -0x1.12bb28e93f5cep-16, -0x1.13a7ae7418d2bp-16, -0x1.14874a7b3c53ap-16, -0x1.15599c502ccp-16, -0x1.161e484cb10c1p-16, -0x1.16d526fe8ab98p-16, -0x1.177e28121c027p-16, -0x1.18193d4154066p-16, -0x1.18a6566a6b84p-16, -0x1.19256340981b1p-16, -0x1.19965512aaaep-16, -0x1.19f920128677dp-16, -0x1.1a4dbe68c1537p-16, -0x1.1a942f5f6efd5p-16, -0x1.1acc65315f979p-16, -0x1.1af666e5f4fe9p-16, -0x1.1b123f51e9a89p-16, -0x1.1b1fa9734b43dp-16, -0x1.1b1f6f76cb22bp-16, -0x1.1b10ed479fe55p-16, -0x1.1af46423b0c48p-16, -0x1.1ac9e0ea36903p-16, -0x1.1a917363ffda6p-16, -0x1.1a4b2d66f9225p-16, -0x1.19f723c6c29e1p-16, -0x1.19956ec9d80a6p-16, -0x1.192628568f07bp-16, -0x1.18a96930996c7p-16, -0x1.181f49bc0f6acp-16, -0x1.1787e65037ca4p-16, -0x1.16e3645f59a3cp-16, -0x1.1631ef92b67b6p-16, -0x1.1573a19aa240bp-16, -0x1.14a88d1a217eap-16, -0x1.13d0d058bd91bp-16, -0x1.12ec8c9bf23ep-16, -0x1.11fc06596d5f8p-16, -0x1.10ff7373de9a6p-16, -0x1.0ff6eb2807b29p-16, -0x1.0ee28a17a41c7p-16, -0x1.0dc277b61854fp-16, -0x1.0c96df0e02372p-16, -0x1.0b5feb8210ff7p-16, -0x1.0a1dc8708672cp-16, -0x1.08d0a168b117ep-16, -0x1.0778a24b12a22p-16, -0x1.0615f73c23cbcp-16, -0x1.04a8cca9c75ebp-16, -0x1.03314f9961251p-16, -0x1.01afadd8db75dp-16, -0x1.002418bf1be88p-16, -0x1.fd1d83bc4296cp-17, -0x1.f9dfbb96bdfd6p-17, -0x1.f68f4036a4937p-17, -0x1.f32c743d3c692p-17, -0x1.efb7b67b47967p-17, -0x1.ec3167d246f3p-17, -0x1.e899f33c7e75bp-17, -0x1.e4f1d4bc74fa9p-17, -0x1.e1399ca29874ap-17, -0x1.dd71dfff4e344p-17, -0x1.d99af90aaf135p-17, -0x1.d5b4c3f5e0fe3p-17, -0x1.d1bf04973742cp-17, -0x1.cdba4832ea441p-17, -0x1.c9a7882bda589p-17, -0x1.c586a5f436144p-17, -0x1.c156f813de7f7p-17, -0x1.bd1a643ab070bp-17, -0x1.b8d45411340e6p-17, -0x1.b482ccc2efe28p-17, -0x1.b022f8e3e91acp-17, -0x1.abb697aa8ecfbp-17, -0x1.a74113c2db859p-17, -0x1.a2c14f1ef3758p-17, -0x1.9e365bfce2edbp-17, -0x1.99a0c9572b324p-17, -0x1.9501512e26022p-17, -0x1.90587fd4d6b75p-17, -0x1.8ba6c2b22c9a3p-17, -0x1.86ec795d2228dp-17, -0x1.8229fdedfd68p-17, -0x1.7d5fa81eeda0bp-17, -0x1.788dce2e9bf8ap-17, -0x1.73b4c4eb49b94p-17, -0x1.6ed4dfab35505p-17, -0x1.69ee710a44294p-17, -0x1.6501cd6cfa659p-17, -0x1.600f4afca11d5p-17, -0x1.5b169a3cbf1cp-17, -0x1.561a05ba91c89p-17, -0x1.5117fcf7c16abp-17, -0x1.4c118009f3d6dp-17, -0x1.4706df80b4656p-17, -0x1.41f85dfe5c27cp-17, -0x1.3ce63b791cb57p-17, -0x1.37d0b973c5b2bp-17, -0x1.32b8237906b7fp-17, -0x1.2d9c5d3509adfp-17, -0x1.287ec28835aadp-17, -0x1.235df1334cab3p-17, -0x1.1e3b3f732cb4bp-17, -0x1.1916f0a3de606p-17, -0x1.13f19c51e185p-17, -0x1.0ecb9f41ea64p-17, -0x1.09a4e3d5d8189p-17, -0x1.047ce6d964f56p-17, -0x1.fea5e28756899p-18, -0x1.f450e546c1f56p-18, -0x1.ea03770c108a9p-18, -0x1.dfb5ac19d38f8p-18, -0x1.d56d37df489e3p-18, -0x1.cb2ec2631237dp-18, -0x1.c0ed1d5e7a9cep-18, -0x1.b6a5be914a98p-18, -0x1.ac5c65c6f371cp-18, -0x1.a21abf85e8149p-18, -0x1.97e10b5542d59p-18, -0x1.8db3d31ffe7cp-18, -0x1.83857436fe5b8p-18, -0x1.795b88b371ff9p-18, -0x1.6f368a17b6d0cp-18, -0x1.651782e0ef67bp-18, -0x1.5afedc724ade6p-18, -0x1.50ed793151588p-18, -0x1.46e34773fa22bp-18, -0x1.3ce124101121ep-18, -0x1.32e742698992p-18, -0x1.28f5dcfd687ffp-18, -0x1.1f0d4f1a6ea31p-18, -0x1.152df75562e3dp-18, -0x1.0b58348c69d5cp-18, -0x1.018c60a93113dp-18, -0x1.ef959551a12e7p-19, -0x1.dc276f100f017p-19, -0x1.c8ced275247bbp-19, -0x1.b58c4857cfae1p-19, -0x1.a2605eced65e6p-19, -0x1.8f4ba27a8bd11p-19, -0x1.7c4e944ad8054p-19, -0x1.69699fb1522d2p-19, -0x1.569d165eca10dp-19, -0x1.43e9563306ae8p-19, -0x1.314f322fcb883p-19, -0x1.1ed0115ab6754p-19, -0x1.0c6cf772db0e1p-19, -0x1.f44b99b9b2375p-20, -0x1.cff46a27649e9p-20, -0x1.abd3b616ddc7ap-20, -0x1.87e58adbac63dp-20, -0x1.642ab2b57e0e7p-20, -0x1.40b4b25aa7c2fp-20, -0x1.1d7c9b0a5615fp-20, -0x1.f51113c07e904p-21, -0x1.af91e46e6e36bp-21, -0x1.6a864ba4b8123p-21, -0x1.25f69e41e35bap-21, -0x1.c3c9e06eed8d6p-22, -0x1.3ca3904f8e77ep-22, -0x1.6cf5863be8255p-23, -0x1.8a7fc0155de67p-25, 0x1.4b71fba1f29aap-24, 0x1.ac183d90c86e6p-23, 0x1.584205d9e11d5p-22, 0x1.d97148419a171p-22, 0x1.2caff3d730c15p-21, 0x1.6c02e29d9ae28p-21, 0x1.aaf4118238ef9p-21, 0x1.e9781ec26643ep-21, 0x1.13a75efe6dae9p-20, 0x1.3247d491263f4p-20, 0x1.50aa2a7694dd3p-20, 0x1.6ecc4dd23ba5p-20, 0x1.8caa7b10f7e88p-20, 0x1.aa42c8953ccc6p-20, 0x1.c794805c83cb4p-20, 0x1.e49f7a03c87adp-20, 0x1.00b1c721dd5d8p-19, 0x1.0ef0574858921p-19, 0x1.1d0b59e3500eap-19, 0x1.2b02b42a5332ap-19, 0x1.38d65ad0efd9bp-19, 0x1.4686428cac469p-19, 0x1.5412622b9aebbp-19, 0x1.617ab96fdbcbfp-19, 0x1.6ebf4f860d8d4p-19, 0x1.7be014d37bedep-19, 0x1.88dcbd66a1f4cp-19, 0x1.95b50e00c6904p-19, 0x1.a2693bb0adf36p-19, 0x1.aef96c56c6cf8p-19, 0x1.bb65a04e1e556p-19, 0x1.c7add013f0c9fp-19, 0x1.d3d319da96ec7p-19, 0x1.dfd6e5e68ce17p-19, 0x1.ebb29744f3004p-19, 0x1.f768bc067b3d7p-19, 0x1.017eb340cbfd7p-18, 0x1.0737580a1e701p-18, 0x1.0cde06e4a2a67p-18, 0x1.1272c9c9c4914p-18, 0x1.17f5af184fe73p-18, 0x1.1d66c2cb09386p-18, 0x1.22c60bba22802p-18, 0x1.28138cfc0fea1p-18, 0x1.2d4f5e222333ep-18, 0x1.327990c6e5dcep-18, 0x1.37922b73fce87p-18, 0x1.3c992810d3feep-18, 0x1.418e9b185e066p-18, 0x1.46729837f54c5p-18, 0x1.4b452d0eebeafp-18, 0x1.500667559d5d8p-18, 0x1.54b653f089f72p-18, 0x1.59550d2c6e794p-18, 0x1.5de29e1fd728p-18, 0x1.625f11aaa0edfp-18, 0x1.66c85ab1b89acp-18, 0x1.6b2076d200d5fp-18, 0x1.6f6e24b847d9ep-18, 0x1.73a6c9736635p-18, 0x1.77ce8392e2182p-18, 0x1.7be59c143d486p-18, 0x1.7fec186050409p-18, 0x1.83e20d812519ap-18, 0x1.87c7cccf240cp-18, 0x1.8b9db56dda351p-18, 0x1.8f6341bba1251p-18, 0x1.93163ff8c7994p-18, 0x1.96b99bc8f8e1cp-18, 0x1.9a4ee3b01c62cp-18, 0x1.9dd2fc2869fe8p-18, 0x1.a147a3aa38d9fp-18, 0x1.a4acf00d98502p-18, 0x1.a8022388db03ep-18, 0x1.ab47bc1c930f4p-18, 0x1.ae7dcfa294094p-18, 0x1.b1a473bcbe36cp-18, 0x1.b4bbc2dd17acap-18, 0x1.b7c416667821p-18, 0x1.babd3c808fa2p-18, 0x1.bda6e2d3df56ap-18, 0x1.c0822366b814dp-18, 0x1.c34e30dc6c99bp-18, 0x1.c60bb2289a6b6p-18, 0x1.c8ba91642319fp-18, 0x1.cb5ae9ad54963p-18, 0x1.cdecd5922a94dp-18, 0x1.d0706f82b9ae5p-18, 0x1.d2e5d1fbdc748p-18, 0x1.d54d1796e27eep-18, 0x1.d7a65b08902e2p-18, 0x1.d9f1b725c637bp-18, 0x1.dc2f46e1c85d9p-18, 0x1.de5f254cd1f91p-18, 0x1.e0816d91c5171p-18, 0x1.e2963af5e01afp-18, 0x1.e49da8d6c7ef6p-18, 0x1.e697d2a425c23p-18, 0x1.e884d3f40ce34p-18, 0x1.ea64c85839816p-18, 0x1.ec37cb82e58c3p-18, 0x1.edfdf939b6ec6p-18, 0x1.efb76bb0977c5p-18, 0x1.f16442c462cf9p-18, 0x1.f30496726b235p-18, 0x1.f49883fd31339p-18, 0x1.f620274b3048fp-18, 0x1.f79b9c407e07ap-18, 0x1.f90afe9450f1ap-18, 0x1.fa6e695672d04p-18, 0x1.fbc5f80cc5551p-18, 0x1.fd11ca7ca062dp-18, 0x1.fe51fb73063d8p-18, 0x1.ff86a474e8049p-18, 0x1.0057f169ce606p-17, 0x1.00e6ea0262929p-17, 0x1.017049bf82d84p-17, 0x1.01f41e1cfc0f4p-17, 0x1.027274e03693bp-17, 0x1.02eb5c7c5f396p-17, 0x1.035ed8bbe056bp-17, 0x1.03cd140383305p-17, 0x1.0436006c0813p-17, 0x1.0499b44c0f9ffp-17, 0x1.04f83dbc0c0e2p-17, 0x1.0551aeabdbfccp-17, 0x1.05a60b8892b08p-17, 0x1.05f5691e1ec03p-17, 0x1.063fd333b4efap-17, 0x1.06855a6aaee01p-17, 0x1.06c6084fdb11bp-17, 0x1.0701ebf158e5cp-17, 0x1.073913ec2bafp-17, 0x1.076b977d3d8bdp-17, 0x1.07974c593f3e5p-17, 0x1.07c255fb693fep-17, 0x1.07e763ad0119ep-17, 0x1.08079a1778d3bp-17, 0x1.08236e704cf29p-17, 0x1.083af0513131fp-17, 0x1.084dffb62054dp-17, 0x1.085ce4e55b762p-17, 0x1.086776e84a849p-17, 0x1.086e0fd21f064p-17, 0x1.087060544eb5dp-17, 0x1.086ea5e1102ecp-17, 0x1.0868e63ce7102p-17, 0x1.085f30a327c1ep-17, 0x1.0851911d4330dp-17, 0x1.084013165acacp-17, 0x1.082ac42b64ad6p-17, 0x1.0811abf06905ap-17, 0x1.07f4db5e5c15fp-17, 0x1.07d45d45ce995p-17, 0x1.07b03e2eb55bap-17, 0x1.07888ab743b9fp-17, 0x1.075d4f584102ep-17, 0x1.072e98b21bb47p-17, 0x1.06fc787298b66p-17, 0x1.06c5ed11a0802p-17, 0x1.068df72ba024bp-17, 0x1.0651cf23d0a39p-17, 0x1.06125773830e3p-17, 0x1.05cfad0328de1p-17, 0x1.0589d8c483379p-17, 0x1.0540e53392b75p-17, 0x1.04f4dd237bdabp-17, 0x1.04a5d005979c3p-17, 0x1.0453c636d792bp-17, 0x1.03fec9893f0b5p-17, 0x1.03a6e63949023p-17, 0x1.034c27819fbaep-17, 0x1.02ee985187b17p-17, 0x1.028e437e0cc8fp-17, 0x1.022b33cfb531dp-17, 0x1.01c573fb10ee4p-17, 0x1.015d0ea0d5a2ap-17, 0x1.00f20e50bf4d4p-17, 0x1.00847d87e3accp-17, 0x1.001466b1b1e96p-17, 0x1.ff43a8689f47dp-18, 0x1.fe59a17da4644p-18, 0x1.fd6cba7afd7edp-18, 0x1.fc77526d46494p-18, 0x1.fb7f0997f75c9p-18, 0x1.fa8237b9c85f2p-18, 0x1.f980ed1d888dp-18, 0x1.f87b387befb54p-18, 0x1.f7712c2def22p-18, 0x1.f662db2ac5e1dp-18, 0x1.f550584162ec7p-18, 0x1.f439b6014a12ep-18, 0x1.f31f06f3f7191p-18, 0x1.f2005d1766984p-18, 0x1.f0ddcbea07714p-18, 0x1.efb7707b6356bp-18, 0x1.ee8d73f12a4ecp-18, 0x1.ed67a7d22317ap-18, 0x1.ec2e508809b1bp-18, 0x1.eaf9094fb26bbp-18, 0x1.e9c085e8d541cp-18, 0x1.e8849d4faa865p-18, 0x1.e7455c20e1c64p-18, 0x1.e602c8e36c44p-18, 0x1.e4bd032432562p-18, 0x1.e3742ae63e9bap-18, 0x1.e22827f938874p-18, 0x1.e0d922506a8c6p-18, 0x1.df8726ffc6bb7p-18, 0x1.de3241746acd8p-18, 0x1.dcda8a81747d3p-18, 0x1.db80090733e9ep-18, 0x1.da22cf4e37761p-18, 0x1.d8c2f87e210f9p-18, 0x1.d760884209a25p-18, 0x1.d5fba159ced15p-18, 0x1.d493f4d16f85ap-18, 0x1.d32a13ab8a79ep-18, 0x1.d1bdd240cce99p-18, 0x1.d04f7aadb9b18p-18, 0x1.cede8930fc0e3p-18, 0x1.cd6b7dd5cca8ep-18, 0x1.cbf65768036d9p-18, 0x1.ca7f1c877b4b7p-18, 0x1.c905da8f9dbf2p-18, 0x1.c78a9c199c582p-18, 0x1.c60d72032c51p-18, 0x1.c48e6b31473b2p-18, 0x1.c30d916755c0cp-18, 0x1.c18adf30e3757p-18, 0x1.c006a022c2731p-18, 0x1.be83f664f30f1p-18, 0x1.bcf8f5d359eb6p-18, 0x1.bb6f9fd3c69bp-18, 0x1.b9e4dd17b529dp-18, 0x1.b858a5430d9ep-18, 0x1.b6cafefa6efadp-18, 0x1.b53bf7c75a06ap-18, 0x1.b3ab95eddc3f9p-18, 0x1.b219e392ec9c2p-18, 0x1.b086f89f214c9p-18, 0x1.aef2e35484a01p-18, 0x1.ad5d9afa21154p-18, 0x1.abc731d0c292dp-18, 0x1.aa2fbad6420c6p-18, 0x1.a89739e4c0199p-18, 0x1.a6fdc50ca8083p-18, 0x1.a5639c36520f2p-18, 0x1.a3c3d62c351fcp-18, 0x1.a22bd0e66c567p-18, 0x1.a08eb40e2e92ep-18, }}, 
      {{-0x1.e3fbb30e3583p-3, -0x1.da2951d65d4cp-3, -0x1.ca7390d1c6f7dp-3, -0x1.b59d5bd822303p-3, -0x1.9c7dffe4686f6p-3, -0x1.7ff0914b23a26p-3, -0x1.60c8dba6a792ep-3, -0x1.3fcc21991301p-3, -0x1.1dacbf192baf8p-3, -0x1.f61004f55ab96p-4, -0x1.b0cb4bfa77f31p-4, -0x1.6c70d0a7cdd6bp-4, -0x1.29beb5cfdab64p-4, -0x1.d29e55b68eeabp-5, -0x1.573854120a3bcp-5, -0x1.c40cff8423422p-6, -0x1.ce496190d0c6fp-7, -0x1.8750ab462757dp-10, 0x1.4f1bfd9045f11p-7, 0x1.58aeb2968a025p-6, 0x1.faeb9f2def72p-6, 0x1.4737611387ad3p-5, 0x1.89c2daae58a51p-5, 0x1.c54d65d6391dep-5, 0x1.fa17842c324bcp-5, 0x1.14353768ea0fdp-4, 0x1.284ae81c15573p-4, 0x1.3976e7dcf8a4dp-4, 0x1.47e4b35e0e008p-4, 0x1.53c07bc9ac5fcp-4, 0x1.5d368f7a11334p-4, 0x1.6472dc9d9ca11p-4, 0x1.69a08ab0bba6bp-4, 0x1.6ce9a7f9f051fp-4, 0x1.6e76e8722e61bp-4, 0x1.6e6f73c0e9bebp-4, 0x1.6cf8c02d037aap-4, 0x1.6a36789d26d5fp-4, 0x1.664a6bf7411b9p-4, 0x1.6154845fdf9b2p-4, 0x1.5b72c5075b6f6p-4, 0x1.54c14d5c91bdbp-4, 0x1.4d5a60a5ba74ap-4, 0x1.4556712269348p-4, 0x1.3ccc2df809ef4p-4, 0x1.33d0934461853p-4, 0x1.2a76fbc839a24p-4, 0x1.20d133b0c63e2p-4, 0x1.16ef8c1a2c49p-4, 0x1.0ce0eef7e1e65p-4, 0x1.02b2f31d633fap-4, 0x1.f0e3e0576b2d5p-5, 0x1.dc522463d2d4ap-5, 0x1.c7c4d9b3854adp-5, 0x1.b34e1c08c932p-5, 0x1.9efe1f82b9809p-5, 0x1.8ae3531bfd50bp-5, 0x1.770a819d35c66p-5, 0x1.637ef0f3c3ba1p-5, 0x1.504a7febad6c4p-5, 0x1.3d75c252aa63bp-5, 0x1.2b081b87ee967p-5, 0x1.1907d777ecab4p-5, 0x1.077a420603a56p-5, 0x1.ecc779e360d52p-6, 0x1.cb8fa8a2b89a8p-6, 0x1.ab52a380ca266p-6, 0x1.8c149ca8a7e46p-6, 0x1.6dd886bd70aa5p-6, 0x1.50a033f123272p-6, 0x1.346c72b337f73p-6, 0x1.193d28189e5a5p-6, 0x1.fe22d07ce193fp-7, 0x1.cbcf19e37152dp-7, 0x1.9b7a95a90b169p-7, 0x1.6d1f8a2f5cb6ep-7, 0x1.40b73f81f04e4p-7, 0x1.163a20d030d85p-7, 0x1.db3fb584b0292p-8, 0x1.8dbeed8733776p-8, 0x1.43dee73117c47p-8, 0x1.fb176ebebc8d4p-9, 0x1.75616675e08c4p-9, 0x1.ece25875a8abdp-10, 0x1.f86d2537693b6p-11, 0x1.86733e48accc8p-14, -0x1.7dc9e0b685259p-11, -0x1.8a078411284eap-10, -0x1.24ad29bd9e763p-9, -0x1.7e9b7f50fc9f4p-9, -0x1.d2fb5b004a412p-9, -0x1.10fc802ac7684p-8, -0x1.35e0228e061a4p-8, -0x1.583e3db447f32p-8, -0x1.782c2f16aac8cp-8, -0x1.95befffdc0c72p-8, -0x1.b10b5deca23b3p-8, -0x1.ca259412db976p-8, -0x1.e12185ca87c6ep-8, -0x1.f612aa2310217p-8, -0x1.04860439dbc86p-7, -0x1.0d101af185bd2p-7, -0x1.14b0a9e87e84bp-7, -0x1.1b70878133c6cp-7, -0x1.21584fb900f4dp-7, -0x1.26706452ded9dp-7, -0x1.2ac0ed3658e88p-7, -0x1.2e51d8f4834bcp-7, -0x1.312add6b12ee1p-7, -0x1.3353787bef8d1p-7, -0x1.34d2f0d586c69p-7, -0x1.35b056c92418dp-7, -0x1.35f2852c93c5p-7, -0x1.35a02248993ebp-7, -0x1.34bfa0cffce8ap-7, -0x1.335740e2b6208p-7, -0x1.316d11180fcf5p-7, -0x1.2f06ef901af58p-7, -0x1.2c2a8b0cf9f54p-7, -0x1.28dd640b67ad1p-7, -0x1.2524cde25194cp-7, -0x1.2105efe05a7cdp-7, -0x1.1c85c6666ca41p-7, -0x1.17a9240670ae1p-7, -0x1.1274b2973d4dp-7, -0x1.0cecf448de09cp-7, -0x1.071644b63007bp-7, -0x1.00f4d9e8a9d4cp-7, -0x1.f5198ac17e547p-8, -0x1.e7c3ea286edf3p-8, -0x1.d9f068c0f78d7p-8, -0x1.cba65a082207bp-8, -0x1.bcecd01481d36p-8, -0x1.adca9d59cdb2ep-8, -0x1.9e46567f9284fp-8, -0x1.8e665418dcf31p-8, -0x1.7e30b44cc447ap-8, -0x1.6dab5c92102cdp-8, -0x1.5cdbfb4f9fc06p-8, -0x1.4bc8096b7fb44p-8, -0x1.3a74cbed087c7p-8, -0x1.28e7558bf10eep-8, -0x1.17248822dbe58p-8, -0x1.05311638fd822p-8, -0x1.e62309051c50ap-9, -0x1.c19456723261cp-9, -0x1.9cbe6f0850dc3p-9, -0x1.77a959daf85a8p-9, -0x1.525ccd502651dp-9, -0x1.2ce031a262219p-9, -0x1.073aa39cbfcedp-9, -0x1.c2e5ee3c7ff2cp-10, -0x1.771f72bd7ff48p-10, -0x1.2b2e66ace0a48p-10, -0x1.be3db0e6f2791p-11, -0x1.25f8ae874c0f9p-11, -0x1.1b47dcdd08151p-12, 0x1.556a8669bb509p-16, 0x1.45c1852df23b8p-12, 0x1.3ae8e2e8f1f9fp-11, 0x1.d2b110ab3a488p-11, 0x1.3513ba3bd1a8ep-10, 0x1.809d7e302c4f2p-10, 0x1.cbedaabbc61a4p-10, 0x1.0b7e3946c2128p-9, 0x1.30e1306726796p-9, 0x1.561c2adc4bd5ep-9, 0x1.7b2bc1e26cf7bp-9, 0x1.a00cb6696730dp-9, 0x1.c4bbef773ffaap-9, 0x1.e936789ab1632p-9, 0x1.06bcc0542f984p-8, 0x1.18c12c47e5602p-8, 0x1.2aa738fe9568fp-8, 0x1.3c6daef3c6cc7p-8, 0x1.4e1365b0d719cp-8, 0x1.5f974351c4d02p-8, 0x1.70f83bfa5ce6cp-8, 0x1.823551314cb5bp-8, 0x1.934d91493c55bp-8, 0x1.a44016f1c3e78p-8, 0x1.b50c08d31f6e4p-8, 0x1.c5b0990c0fa79p-8, 0x1.d62d049ed6deap-8, 0x1.e68092fccd3a1p-8, 0x1.f6aa95b763da5p-8, 0x1.035534160ae76p-7, 0x1.0b3fb78753c2bp-7, 0x1.13148bf598827p-7, 0x1.1ad36c65a96c7p-7, 0x1.227c17fe769c9p-7, 0x1.2a0e51e6c2482p-7, 0x1.3189e1118a5b2p-7, 0x1.38ee900695445p-7, 0x1.403c2cbba6d0bp-7, 0x1.4772887db3395p-7, 0x1.4e9177d69d5ffp-7, 0x1.5598d26201afdp-7, 0x1.5c88729b96ba4p-7, 0x1.636035ba06bcap-7, 0x1.6a1ffb9aa8627p-7, 0x1.70c7a6af38a7ap-7, 0x1.77571bde92e27p-7, 0x1.7dce425af5615p-7, 0x1.842d037dc9a1ap-7, 0x1.8a734ab322cddp-7, 0x1.90a1056df9f4bp-7, 0x1.96b62316b12dfp-7, 0x1.9cb294edb5676p-7, 0x1.a2964deb212ddp-7, 0x1.a86142a7cd1bbp-7, 0x1.ae136952e0a68p-7, 0x1.b3acb9aa32173p-7, 0x1.b92d2ceb581c5p-7, 0x1.be94bdbb6cac3p-7, 0x1.c3e3680ecfe73p-7, 0x1.c9192919afbdcp-7, 0x1.ce35ff49a5f97p-7, 0x1.d339ea407f3bfp-7, 0x1.d824eac88aeaap-7, 0x1.dcf702c153848p-7, 0x1.e1b0350c4615p-7, 0x1.e650857ff2803p-7, 0x1.ead7f8e300f2bp-7, 0x1.ef4694e975021p-7, 0x1.f39c602dcba4bp-7, 0x1.f7d9622401c9cp-7, 0x1.fbfda30ac91a8p-7, 0x1.000495f06d6d8p-6, 0x1.01fe03306a14ap-6, 0x1.03eb1e8091d8cp-6, 0x1.05cbed799f826p-6, 0x1.07a0760f47175p-6, 0x1.0968be8bfc495p-6, 0x1.0b24cd8d167c4p-6, 0x1.0cd4aa011de4ap-6, 0x1.0e785b283cd32p-6, 0x1.100fe895d5077p-6, 0x1.119b5a314ffadp-6, 0x1.131ab8353e665p-6, 0x1.148e0b2d9ceffp-6, 0x1.15f55bf63178ep-6, 0x1.1750b3baa3bedp-6, 0x1.18a01bf7e92a3p-6, 0x1.19e39e7e2ffabp-6, 0x1.1b1b45727dc03p-6, 0x1.1c471b4ee9c28p-6, 0x1.1d672ae221dc7p-6, 0x1.1e7b7f4ec5d1dp-6, 0x1.1f84240bce0cbp-6, 0x1.208124e5c13cbp-6, 0x1.21728e0078cfap-6, 0x1.22586bd8c457p-6, 0x1.2332cb456087p-6, 0x1.2401b97722d74p-6, 0x1.24c543f8de10fp-6, 0x1.257d78af9f87bp-6, 0x1.262a65db80cc7p-6, 0x1.26cc1a18fb8ecp-6, 0x1.2762a4625f457p-6, 0x1.27ee14111e06bp-6, 0x1.286e78de93acap-6, 0x1.28e3e2e45afb1p-6, 0x1.294e629c8f109p-6, 0x1.29ae08e24252fp-6, 0x1.2a02e6f24eb9ep-6, 0x1.2a4d0e6c2294bp-6, 0x1.2a8c91531ac17p-6, 0x1.2ac1820f70855p-6, 0x1.2aebf36e6d9f7p-6, 0x1.2b0bf8a32a47ap-6, 0x1.2b21a5466241ep-6, 0x1.2b2d0d56850d5p-6, 0x1.2b2e4537a501p-6, 0x1.2b2561b256c8cp-6, 0x1.2b127803c97c5p-6, 0x1.2af59da57d36dp-6, 0x1.2acee8c62ac82p-6, 0x1.2a9e6f9326ef2p-6, 0x1.2a64490d5cc21p-6, 0x1.2a208c35666aap-6, 0x1.29d350b92b745p-6, 0x1.297cae8760d8fp-6, 0x1.291cbdfcbd24dp-6, 0x1.28b397d82b884p-6, 0x1.2841552456b78p-6, 0x1.27c60f63a281ep-6, 0x1.2741e07bd488cp-6, 0x1.26b4e29d3818cp-6, 0x1.261f304cafc5dp-6, 0x1.2580e46d0c8bfp-6, 0x1.24da1a49e7f7ep-6, 0x1.242aed82fb3cfp-6, 0x1.237379f6c225dp-6, 0x1.22b3dbd806956p-6, 0x1.21ec2fac2533bp-6, 0x1.211c9246f43b6p-6, 0x1.204520d6b4ff9p-6, 0x1.1f65f8c6b9f1ep-6, 0x1.1e7f37bb61d85p-6, 0x1.1d90fba3262eap-6, 0x1.1c9b62af17f8bp-6, 0x1.1b9e8b4b899e4p-6, 0x1.1a9a9428b4b7fp-6, 0x1.198f9c35c27f1p-6, 0x1.187dc289c93c6p-6, 0x1.1765266e541b8p-6, 0x1.1645e762a5bdep-6, 0x1.152025100556p-6, 0x1.13f3ff4c1090bp-6, 0x1.12c1960f2032p-6, 0x1.1189098b4d775p-6, 0x1.104a7a0f52858p-6, 0x1.0f0607ed05602p-6, 0x1.0dbbd3a9e3bcdp-6, 0x1.0c6bfde151982p-6, 0x1.0b16a739622a5p-6, 0x1.09bbf071891cfp-6, 0x1.085bfa5b094a8p-6, 0x1.06f6e5d26239fp-6, 0x1.058cd3c050435p-6, 0x1.041de50f4353fp-6, 0x1.02aa3aa9346c8p-6, 0x1.0131f577eb4bfp-6, 0x1.ff6a6cc67af5ep-7, 0x1.fc683c9b0c1eep-7, 0x1.f95d9c1d1fb4p-7, 0x1.f64accded96ffp-7, 0x1.f3301052479cbp-7, 0x1.f00da7cbf4526p-7, 0x1.ece3d478980b3p-7, 0x1.e9b2d74bc9d0cp-7, 0x1.e67af0fd0307cp-7, 0x1.e33c62075be23p-7, 0x1.dff76aa41037fp-7, 0x1.dcac4ac4bf6a2p-7, 0x1.d95b420e0d611p-7, 0x1.d6048fd167feap-7, 0x1.d2a87306c41ddp-7, 0x1.cf472a49788e5p-7, 0x1.cbe0f3d659f13p-7, 0x1.c8760d825b261p-7, 0x1.c506b4b065df4p-7, 0x1.c193264f88ca6p-7, 0x1.be1b9edad4611p-7, 0x1.baa05a54fc0c4p-7, 0x1.b721944272d79p-7, 0x1.b39f87a3f4834p-7, 0x1.b01a6ef19e23p-7, 0x1.ac92841654257p-7, 0x1.a908006c0f29bp-7, 0x1.a57b1cba4c4e2p-7, 0x1.a1ec11354dc8ep-7, 0x1.9e5b157937cp-7, 0x1.9ac86081ab39bp-7, 0x1.973428a5dc0f3p-7, 0x1.939ea397cd4cep-7, 0x1.9008066242d66p-7, 0x1.8c708565a2035p-7, 0x1.88d85454cf6adp-7, 0x1.853fa632a1de1p-7, 0x1.81a6ad4f6a7f2p-7, 0x1.7e0d9b4659a82p-7, 0x1.7a74a0fafbbffp-7, 0x1.76dbee973bc1dp-7, 0x1.7343b38adc21dp-7, 0x1.6fac1e8a94364p-7, 0x1.6c155d8c69b8cp-7, 0x1.687f9dc36e0eep-7, 0x1.64eb0b9eaeaaap-7, 0x1.6157d2c9773p-7, 0x1.5dc61e2af058fp-7, 0x1.5a3617e510561p-7, 0x1.56a7e9536c389p-7, 0x1.531bbb0a2c8b7p-7, 0x1.4f91b4d523b3cp-7, 0x1.4c09fdb6f96d3p-7, 0x1.4884bbe873d4cp-7, 0x1.450214d7b8493p-7, 0x1.41822d283c809p-7, 0x1.3e0528b35bda3p-7, 0x1.3a8b2a892f8b8p-7, 0x1.371454efe8215p-7, 0x1.33a0c9624bbd7p-7, 0x1.3030a88f90cadp-7, 0x1.2cc4125c7e5c7p-7, 0x1.295b25e47a40fp-7, 0x1.25f6017a2ab73p-7, 0x1.2294c2a7e8b63p-7, 0x1.1f3786304dc9bp-7, 0x1.1bde680ed31bp-7, 0x1.18898378afce6p-7, 0x1.1538f2dda3645p-7, 0x1.11eccfe8d7782p-7, 0x1.0ea53381cf488p-7, 0x1.0b6235cd79bbcp-7, 0x1.0823ee2f9594ep-7, 0x1.04ea734cc27b9p-7, 0x1.01b5db0c4b82p-7, 0x1.fd0c75322652dp-8, 0x1.f6b74cc44ee05p-8, 0x1.f06c6437eaa94p-8, 0x1.ea2be184cc385p-8, 0x1.e3f5e935922e5p-8, 0x1.ddca9e6b5b44p-8, 0x1.d7aa22e191a93p-8, 0x1.d19496f19213dp-8, 0x1.cb8a1995a7ac5p-8, 0x1.c58ac86c7cc9dp-8, 0x1.bf96bfbdbf9d9p-8, 0x1.b9ae1a7e14213p-8, 0x1.b3d0f252cd2ap-8, 0x1.adff5f95f44c1p-8, 0x1.a839795b8eae3p-8, 0x1.a27f5571116d5p-8, 0x1.9cd1086c52db5p-8, 0x1.972ea5a6a1b5bp-8, 0x1.91983f464b009p-8, 0x1.8c0de64161981p-8, 0x1.868faa60d83b2p-8, 0x1.811d9a44e4e8fp-8, 0x1.7bb7c36a49a61p-8, 0x1.765e322f47f7bp-8, 0x1.7110f1d89c407p-8, 0x1.6bd00c96498bep-8, 0x1.669b8b882724dp-8, 0x1.617376c2b99b4p-8, 0x1.5c57d553f73e2p-8, 0x1.5748ad4812c65p-8, 0x1.524603ae390f1p-8, 0x1.4d4fdc9d6c5c3p-8, 0x1.48663b392c1e1p-8, 0x1.438921b63f54ap-8, 0x1.3eb8915f4bffbp-8, 0x1.39f48a9998382p-8, 0x1.353d0cea02742p-8, 0x1.309216fa4d1cbp-8, 0x1.2bf3a69e7ef71p-8, 0x1.2761b8d94f84ap-8, 0x1.22dc49e083e73p-8, 0x1.1e635520e6713p-8, 0x1.19f6d5431a9a3p-8, 0x1.1596c43090c27p-8, 0x1.11431b187695bp-8, 0x1.0cfbd27475e37p-8, 0x1.08c0e20d2d19ap-8, 0x1.049240fed3174p-8, 0x1.006fe5bdc1623p-8, 0x1.f8b38c35bbfd7p-9, 0x1.f09fae907a93ap-9, 0x1.e8a41bbb27f47p-9, 0x1.e0c0bbb95d849p-9, 0x1.d8f5756babebfp-9, 0x1.d1422e9865c26p-9, 0x1.c9a6cbf3f2533p-9, 0x1.c2233129593d2p-9, 0x1.bab740e249c6dp-9, 0x1.b362dccf8ae8cp-9, 0x1.ac25e5b158336p-9, 0x1.a5003b604ed28p-9, 0x1.9df1bcd5a78c7p-9, 0x1.96fa483299b4dp-9, 0x1.9019bac7676d9p-9, 0x1.894ff11a9300ep-9, 0x1.829cc6f0c10dfp-9, 0x1.7c001754e7458p-9, 0x1.7579bca01e438p-9, 0x1.6f09908145cfap-9, 0x1.68af6c044d5a6p-9, 0x1.626b2799454f9p-9, 0x1.5c3c9b1b23d8cp-9, 0x1.56239dd6848efp-9, 0x1.5020069006c7cp-9, 0x1.4a31ab8ad22b6p-9, 0x1.4458628ed3cbp-9, 0x1.3e9400ef0f7bcp-9, 0x1.38e45b9010b85p-9, 0x1.334946ee4c4efp-9, 0x1.2dc297249e35ap-9, 0x1.28501ff29c056p-9, 0x1.22f1b4c2ee367p-9, 0x1.1da728b15e7ddp-9, 0x1.18704e90dc989p-9, 0x1.134cf8f18f794p-9, 0x1.0e3cfa2631c14p-9, 0x1.094024490b24cp-9, 0x1.0456493ff8debp-9, 0x1.fefe757ffd95ep-10, 0x1.f57594a284ae4p-10, 0x1.ec1192a7137c8p-10, 0x1.e2d21218c2fbp-10, 0x1.d9b6b4f461e6ap-10, 0x1.d0bf1d804a48fp-10, 0x1.c7eaed88c1706p-10, 0x1.bf39c6d2de137p-10, 0x1.b6ab4b136c932p-10, 0x1.ae3f1bf99b8a6p-10, 0x1.a5f4db3926e28p-10, 0x1.9dcc2a918c0cap-10, 0x1.95c4abd428222p-10, 0x1.8dde00e891687p-10, 0x1.8617cbd0b2e84p-10, 0x1.7e71aeaaa1edbp-10, 0x1.76eb4bb302857p-10, 0x1.6f844547faf77p-10, 0x1.683c3deebc28bp-10, 0x1.6112d85663121p-10, 0x1.5a07b76bfdd93p-10, 0x1.531a7e525da3bp-10, 0x1.4c4ad07f0ee4ep-10, 0x1.459851bf0e141p-10, 0x1.3f02a644ab446p-10, 0x1.388972b183aeep-10, 0x1.322c5c1cf2043p-10, 0x1.2beb081763daep-10, 0x1.25c51caa7ed71p-10, 0x1.1fba4057055c5p-10, 0x1.19ca1a1111a7ep-10, 0x1.13f4513b81c13p-10, 0x1.0e388da432943p-10, 0x1.08967781ec849p-10, 0x1.030db77552923p-10, 0x1.fb3bed1bc4fd7p-11, 0x1.f08dbca429ceep-11, 0x1.e6103196078ebp-11, 0x1.dbc2a123a4a4cp-11, 0x1.d1a461baf03c3p-11, 0x1.c7b4cb1f6fe53p-11, 0x1.bdf3367e19aafp-11, 0x1.b45efe79dbc42p-11, 0x1.aaf77f2f1595ap-11, 0x1.a1bc162e675c4p-11, 0x1.98ac226fcb75ep-11, 0x1.8fc70440a528ap-11, 0x1.870c1d2f8e813p-11, 0x1.7e7acff9d2eeep-11, 0x1.7612807f2cb4cp-11, 0x1.6dd293b962f28p-11, 0x1.65ba6fbef3095p-11, 0x1.5dc97bce5b052p-11, 0x1.55ff2062aed2dp-11, 0x1.4e5ac7485ab8dp-11, 0x1.46dbdbb7d2a0ap-11, 0x1.3f81ca6be06d3p-11, 0x1.384c01b496956p-11, 0x1.3139f184208fcp-11, 0x1.2a4b0b74438c6p-11, 0x1.237ec2c45e66p-11, 0x1.1cd48c502969dp-11, 0x1.164bde821687cp-11, 0x1.0fe4314290518p-11, 0x1.099cfde7c509ap-11, 0x1.0375bf26817d9p-11, 0x1.fadbe20fe933fp-12, 0x1.ef0a21c437e2ap-12, 0x1.e3753aad9decfp-12, 0x1.d81c2caafc63dp-12, 0x1.ccfdfa440940cp-12, 0x1.c219a8bad32e7p-12, 0x1.b76e40220ab1bp-12, 0x1.acfacb71f6667p-12, 0x1.a2be589ba8073p-12, 0x1.98b7f898b056dp-12, 0x1.8ee6bf7375d59p-12, 0x1.8549c44ae441dp-12, 0x1.7be02150f4181p-12, 0x1.72a8f3c64111fp-12, 0x1.69a35bf58687p-12, 0x1.60ce7d2ed096cp-12, 0x1.58297dc3aae12p-12, 0x1.4fb3870219653p-12, 0x1.476bc52b514eap-12, 0x1.3f5167623b07ap-12, 0x1.37639f905cee7p-12, 0x1.2fa1a23ecf248p-12, 0x1.280aa66f7ffbbp-12, 0x1.209de568dc666p-12, 0x1.195a9aa032d88p-12, 0x1.124003a43694ep-12, 0x1.0b4d60233b4ddp-12, 0x1.0481f20488863p-12, 0x1.fbb9fb26a2536p-13, 0x1.eebb9367c9436p-13, 0x1.e207403388804p-13, 0x1.d59b9af07b95ep-13, 0x1.c97743501fac7p-13, 0x1.bd98df7dec922p-13, 0x1.b1ff1c36d0223p-13, 0x1.a6a8acc67269ap-13, 0x1.9b944af3046b4p-13, 0x1.90c0b6ce25499p-13, 0x1.862cb668abc7fp-13, 0x1.7bd7156059811p-13, 0x1.71bea4408c1b1p-13, 0x1.67e237bcf6d03p-13, 0x1.5e40a7d4ea789p-13, 0x1.54d8cf01f0feap-13, 0x1.4ba9899552201p-13, 0x1.42b1b5702b6acp-13, 0x1.39f03229cdaf7p-13, 0x1.3163e1ab9ae6cp-13, 0x1.290ba925b4f51p-13, 0x1.20e6722f4e426p-13, 0x1.18f32bd7f8c05p-13, 0x1.1130cb7bf60ebp-13, 0x1.099e4d6e9e3f8p-13, 0x1.023ab415465dp-13, 0x1.f60a0f0d74201p-14, 0x1.e7f8b16a6cb76p-14, 0x1.da3f71ebaec91p-14, 0x1.ccdc84ba3c3fp-14, 0x1.bfce24064a5fcp-14, 0x1.b31291c7c7c82p-14, 0x1.a6a819ebdd4adp-14, 0x1.9a8d0ea36e5b1p-14, 0x1.8ebfcaf1aef2ap-14, 0x1.833eaeb681b98p-14, 0x1.78081de370b36p-14, 0x1.6d1a7eb34d968p-14, 0x1.627438b0e1806p-14, 0x1.5813b4d6999a2p-14, 0x1.4df75efb0a944p-14, 0x1.441da85002bcbp-14, 0x1.3a850a592609p-14, 0x1.312c099f646f1p-14, 0x1.28113762b738fp-14, 0x1.1f3331e407057p-14, 0x1.1690a34bb9c0ap-14, 0x1.0e283f93f64fbp-14, 0x1.05f8c21b80e8cp-14, 0x1.fc01d704149efp-15, 0x1.ec7f00898969ep-15, 0x1.dd669088b02bcp-15, 0x1.ceb61e3465694p-15, 0x1.c06b49a6e7b08p-15, 0x1.b283bdf56f919p-15, 0x1.a4fd31f5615e9p-15, 0x1.97d5687e1acb2p-15, 0x1.8b0a2f1485969p-15, 0x1.7e995bb893afcp-15, 0x1.7280ca6b921b9p-15, 0x1.66be5b4e9ea08p-15, 0x1.5b4ff22711166p-15, 0x1.503377b55e28ap-15, 0x1.4566dcc5f62cep-15, 0x1.3ae81e54ca874p-15, 0x1.30b5498fb014cp-15, 0x1.26cc7e66947a6p-15, 0x1.1d2befb9ca8a2p-15, 0x1.13d1e0fa63f73p-15, 0x1.0abca20bc6591p-15, 0x1.01ea8b03ffa78p-15, 0x1.f2b3f29c88edbp-16, 0x1.e2129e5da680dp-16, 0x1.d1edeac745b0ep-16, 0x1.c242bb86eaec1p-16, 0x1.b30e0a70f30c6p-16, 0x1.a44ce7ff5cf7p-16, 0x1.95fc77d9e94bfp-16, 0x1.8819eb0adee89p-16, 0x1.7aa27a8a2f011p-16, 0x1.6d9364bc4f9edp-16, 0x1.60e9eeed0387ap-16, 0x1.54a36a33d65bcp-16, 0x1.48bd392e685f7p-16, 0x1.3d34d407bb04bp-16, 0x1.3207c8d0ffcfap-16, 0x1.2733b8369b0cep-16, 0x1.1cb6504a01f4p-16, 0x1.128d4818c7e57p-16, 0x1.08b65dd37fbp-16, 0x1.fe5eaf91194b4p-17, 0x1.ebec0ccff8cbcp-17, 0x1.da108a0d6170dp-17, 0x1.c8c7f021d7385p-17, 0x1.b80e139c49169p-17, 0x1.a7ded1593209cp-17, 0x1.9836144016bdep-17, 0x1.890fe54e0151ap-17, 0x1.7a687fee80efep-17, 0x1.6c3c5faea21c4p-17, 0x1.5e883dc141453p-17, 0x1.5148fc5fb3f94p-17, 0x1.447b87605ddfbp-17, 0x1.381cb74300fa7p-17, 0x1.2c294319ad866p-17, 0x1.209dc722b56f8p-17, 0x1.1576dd19f7a41p-17, 0x1.0ab13be34f1d9p-17, 0x1.0049d234f8142p-17, 0x1.ec7ba529e2368p-18, 0x1.d9155c5410eedp-18, 0x1.c65c0470838f6p-18, 0x1.b44affda181f6p-18, 0x1.a2ddace5d787ap-18, 0x1.920f4a66f7b18p-18, 0x1.81daf2da3ee1ap-18, 0x1.723bad5c1ee67p-18, 0x1.632c8b8b75a8p-18, 0x1.54a8c5a22ff3dp-18, 0x1.46abc77dbddedp-18, 0x1.39312a91c3544p-18, 0x1.2c34a5edb0884p-18, 0x1.1fb204d6e099ep-18, 0x1.13a5309003c39p-18, 0x1.080a4a702ddcep-18, 0x1.f9bb86ee2d4bp-19, 0x1.e438b78ba7831p-19, 0x1.cf8604e56a3bbp-19, 0x1.bb9d48c074c96p-19, 0x1.a8780a22afddap-19, 0x1.960f6c191d9cfp-19, 0x1.845c5dcdda19p-19, 0x1.7357ed39f3355p-19, 0x1.62fb8f923fb3dp-19, 0x1.53413fa16607ep-19, 0x1.44237057b2304p-19, 0x1.359cee4158d6bp-19, 0x1.27a8c8865fd4dp-19, 0x1.1a422d43b563dp-19, 0x1.0d6426e87af39p-19, 0x1.0109c65a693e4p-19, 0x1.ea5ce6333ad83p-20, 0x1.d39a8be61eb5dp-20, 0x1.bdc167d24f65p-20, 0x1.a8c6e070882c5p-20, 0x1.94a17f8b29c38p-20, 0x1.81481d1fe10a3p-20, 0x1.6eb232cb591cbp-20, 0x1.5cd84856f2093p-20, 0x1.4bb3aceed27cdp-20, 0x1.3b3df73b9b0a7p-20, 0x1.2b70a8c19ae03p-20, 0x1.1c451e7303e0dp-20, 0x1.0db4c41e6a4dep-20, 0x1.ff72955fe337ep-21, 0x1.e4993fb9da31cp-21, 0x1.cad1671a0a9fp-21, 0x1.b20eb9381912p-21, 0x1.9a452635f0792p-21, 0x1.8369a6b4cd1b2p-21, 0x1.6d7291c7400d5p-21, 0x1.585720e71d6e1p-21, 0x1.440e8c2e7f924p-21, 0x1.308f77e0c6dcdp-21, 0x1.1dd01ae4c0c2fp-21, 0x1.0bc6d87e2bfe5p-21, 0x1.f4d57601adc7dp-22, 0x1.d367034605847p-22, 0x1.b332ca360642dp-22, 0x1.9429b24a656aep-22, 0x1.763ccaec3e43ap-22, 0x1.595d15373df8ep-22, 0x1.3d7b58d6c32a5p-22, 0x1.2288277562ba5p-22, 0x1.08743a0c125f3p-22, 0x1.de624c177d66p-23, 0x1.ad643e677091dp-23, 0x1.7dd8e41799c02p-23, 0x1.4fae971ddfa53p-23, 0x1.22d5cee756f23p-23, 0x1.ee7c06e27d8e8p-24, 0x1.99a70b99138a2p-24, 0x1.46fe4e1bcabf5p-24, 0x1.eca2e9645a71bp-25, 0x1.4ee806fa2c094p-25, 0x1.68fbb29eb0a86p-26, 0x1.d1c8cdd10ad06p-29, -0x1.ddf830a6246f6p-27, -0x1.09872cdbf697bp-25, -0x1.99239ae40d56dp-25, -0x1.1338a874f4b2ep-24, -0x1.58cb05cc0e9b5p-24, -0x1.9d6221ab937b4p-24, -0x1.e119e373e677dp-24, -0x1.1205dcf6def13p-23, -0x1.3326759b12359p-23, -0x1.53f85cd6510b9p-23, -0x1.74857e329c17ap-23, -0x1.94d7f5de404adp-23, -0x1.b4f8c1b6fff67p-23, -0x1.d4ed82c7233f9p-23, -0x1.f4be7634baaaep-23, -0x1.0a3da4a29d953p-22, -0x1.1a0e559b76c7fp-22, -0x1.29d6ef945ece8p-22, -0x1.399afff8b572ap-22, -0x1.495e18723d98ap-22, -0x1.59236ca9360a1p-22, -0x1.68ed9c9f2d5f2p-22, -0x1.78beb0ae1eb9ap-22, -0x1.88983e5e38c9bp-22, -0x1.987ba92c59dp-22, -0x1.a86a5a671ace2p-22, -0x1.b863d7d6cb16p-22, -0x1.c8629afcdecb1p-22, -0x1.d89521c4746d8p-22, -0x1.e8c4cc959b91p-22, -0x1.f8ff445fbbbe6p-22, -0x1.04b0ccf127193p-21, -0x1.0ce996b5f2742p-21, -0x1.152d63d716f63p-21, -0x1.1d7c8252c6381p-21, -0x1.25d72dafdc197p-21, -0x1.2e3de880082b9p-21, -0x1.36b13b4102bc9p-21, -0x1.3f316a2aef8fdp-21, -0x1.47be84980569bp-21, -0x1.50589e9e3e579p-21, -0x1.58ffdc3313e17p-21, -0x1.61b45842222aap-21, -0x1.6a76151e24c8ep-21, -0x1.7344fdabd7059p-21, -0x1.7c20ecf44be5ap-21, -0x1.8509b4cf8728cp-21, -0x1.8dff21964d8fap-21, -0x1.9700faf10c60bp-21, -0x1.a00f03c1b4083p-21, -0x1.a928fb11dc81dp-21, -0x1.b24e9dd823303p-21, -0x1.bb7fa7df360a7p-21, -0x1.c4bbd2b008a55p-21, -0x1.ce02d3f54d482p-21, -0x1.d7545c1433afp-21, -0x1.e0b0144d3082ep-21, -0x1.ea159c3b86137p-21, -0x1.f38489ce1182bp-21, -0x1.fcfc6fa1e4e2p-21, -0x1.033e7340e0567p-20, -0x1.0802c70560c15p-20, -0x1.0ccaffb34d928p-20, -0x1.1196dff87008dp-20, -0x1.166622c6354a3p-20, -0x1.1b38870b6e0ccp-20, -0x1.200dd5109e07ap-20, -0x1.24e5d48421984p-20, -0x1.29c044caf61dfp-20, -0x1.2e9ce51050fc6p-20, -0x1.337b766cb6002p-20, -0x1.385bb327a9ecap-20, -0x1.3d3d56ca8b0ep-20, -0x1.42201fef3d769p-20, -0x1.4703cd0a33d4dp-20, -0x1.4be81b5567caap-20, -0x1.50ccc7acdfe13p-20, -0x1.55b18f4fe62cfp-20, -0x1.5a963053a18abp-20, -0x1.5f7a6a5d1c335p-20, -0x1.645e006a626bp-20, -0x1.6940b4a48edfcp-20, -0x1.6e2212bda641ep-20, -0x1.730181f007aeap-20, -0x1.77dfb59c9a96bp-20, -0x1.7cbbfa23f187p-20, -0x1.81958ffd823a4p-20, -0x1.867189b83da1bp-20, -0x1.8b4276c7b1beep-20, -0x1.9013daaaa72cbp-20, -0x1.94e1f9882c8dp-20, -0x1.99aca7123079ap-20, -0x1.9e739b745f028p-20, -0x1.a33691ac1346bp-20, -0x1.a7f548c8d1596p-20, -0x1.acaf82238e2ebp-20, -0x1.b165009f56471p-20, -0x1.b615888ce8845p-20, -0x1.bac0df4f66ad4p-20, -0x1.bf66cacf3eb48p-20, -0x1.c407116ee61c5p-20, -0x1.c8a17a7cd78f4p-20, -0x1.cd35cebde23f6p-20, -0x1.d1c3d7cb2b504p-20, -0x1.d64b5f68a8b89p-20, -0x1.dacc2fdc5e803p-20, -0x1.df4613642fa9p-20, -0x1.e3b8d5c8b7031p-20, -0x1.e82445022c3e1p-20, -0x1.ec88306261149p-20, -0x1.f0e46861ed6d4p-20, -0x1.f538be9d44428p-20, -0x1.f98505b0a9f58p-20, -0x1.fdc9110e36767p-20, -0x1.01025a7fb86e8p-19, -0x1.031be34a0abdap-19, -0x1.05310dda9bbdp-19, -0x1.0741c59292969p-19, -0x1.094df5f4616d3p-19, -0x1.0b558f5751d5ap-19, -0x1.0d5873491d14bp-19, -0x1.0f56993bed75fp-19, -0x1.114fe9dd0b6b3p-19, -0x1.1344534a1dd6p-19, -0x1.1533c46faf13cp-19, -0x1.171e2d3e0c4a8p-19, -0x1.19037e5c93bb6p-19, -0x1.1ae3a8da417eep-19, -0x1.1cbe9e28d8b4cp-19, -0x1.1e94505e46c7ep-19, -0x1.2064b255e1258p-19, -0x1.222fb7597946bp-19, -0x1.23f5526e9496bp-19, -0x1.25b575f4d818ep-19, -0x1.2770141adfce8p-19, -0x1.29251feaa438dp-19, -0x1.2ad48ed105ebap-19, -0x1.2c7e588993c85p-19, -0x1.2e2272d4d0b6fp-19, -0x1.2fc0d15352f3cp-19, -0x1.31596efc9e7fep-19, -0x1.32ec472118d81p-19, -0x1.34794ddd2574dp-19, -0x1.3600758ba4fbap-19, -0x1.3781b8817dbd2p-19, -0x1.38fd12b45fbc6p-19, -0x1.3a727c6a0f493p-19, -0x1.3be1efdc2c9c6p-19, -0x1.3d4b675f32cdep-19, -0x1.3eaeddf5ad601p-19, -0x1.400c4f1062bd8p-19, -0x1.4163b67f7f132p-19, -0x1.42b51080595f5p-19, -0x1.440059e39f078p-19, -0x1.4545904822b1fp-19, -0x1.4684b21404fbbp-19, -0x1.47bdbca9fda72p-19, -0x1.48f0a5ab81a3dp-19, -0x1.4a1d65c5992b7p-19, -0x1.4b4625b1d3d2ep-19, -0x1.4c649e7b659ecp-19, -0x1.4d7f1c80fb0a4p-19, -0x1.4e937791cc752p-19, -0x1.4fa1a21833f51p-19, -0x1.50a9a739ff09ep-19, -0x1.51ab90dbec00bp-19, -0x1.52a7647a7456cp-19, -0x1.539d02d099459p-19, -0x1.548dac09cb43cp-19, -0x1.55755c9b9766ap-19, -0x1.5659b18fef717p-19, -0x1.57371575b21cfp-19, -0x1.580e6757b3b8p-19, -0x1.58dfadaeab273p-19, -0x1.59aae82ab5516p-19, -0x1.5a701bb332819p-19, -0x1.5b2f4f9c13862p-19, -0x1.5be88adebdb09p-19, -0x1.5c9bd02e18ff7p-19, -0x1.5d491e421044fp-19, -0x1.5df08330631e8p-19, -0x1.5e91fff92c286p-19, -0x1.5f2d93fd738fep-19, -0x1.5fc34f61912dp-19, -0x1.60533b3fb989dp-19, -0x1.60dd62f7ff395p-19, -0x1.6161c6cbea64ap-19, -0x1.61e3c4efcec62p-19, -0x1.62584183e37dbp-19, -0x1.62cc4c5fd3ef8p-19, -0x1.6339c2cb19954p-19, -0x1.63a17eda50ff1p-19, -0x1.64037b6935ce9p-19, -0x1.64603d06cc6edp-19, -0x1.64b724ba49a99p-19, -0x1.65090a531fe1p-19, -0x1.65551aada86acp-19, -0x1.659b9af2c3e1ep-19, -0x1.65dcc0f52a16dp-19, -0x1.66188de05ceddp-19, -0x1.664f0453ae572p-19, -0x1.66802acd1bddp-19, -0x1.66ac0990dfdacp-19, -0x1.66d2a9e64271bp-19, -0x1.66f415b92e89cp-19, -0x1.6710572bef6a7p-19, -0x1.6727784a3f115p-19, -0x1.6739830181679p-19, -0x1.67468162f2709p-19, -0x1.674e7d2074883p-19, -0x1.675180f414617p-19, -0x1.674f9792ddca1p-19, -0x1.6748cbd3cf48bp-19, -0x1.673d27be99429p-19, -0x1.672cb4230561fp-19, -0x1.67177aaca7eb8p-19, -0x1.66fd875dfc1a1p-19, -0x1.66dee69e000f4p-19, -0x1.66bba3bd692dp-19, -0x1.6693ca36d9611p-19, -0x1.666764a4d2e2p-19, -0x1.66369ef3bcd48p-19, -0x1.660123994a45fp-19, -0x1.65c74786ba1f6p-19, -0x1.658917a523878p-19, -0x1.65469277247d4p-19, -0x1.64ffc2722b367p-19, -0x1.64b4b2cf74a1dp-19, -0x1.64656f139d8cbp-19, -0x1.641202e1e45d3p-19, -0x1.63ba79d57b33ep-19, -0x1.635edf5be8fe2p-19, -0x1.62ff3eb1baa3ep-19, -0x1.629ba30a92d79p-19, -0x1.6234176952312p-19, -0x1.61c8a61620948p-19, -0x1.61595abcb916p-19, -0x1.60e64896a7c9dp-19, -0x1.606f6fdd78b7dp-19, -0x1.5ff4e3cc18bfap-19, -0x1.5f76ad3e5a265p-19, -0x1.5ef4d9367b23ep-19, -0x1.5e6f73549561p-19, -0x1.5de68646eeacfp-19, -0x1.5d5a193f10178p-19, -0x1.5cca36ba4a071p-19, -0x1.5c36f4250e7dfp-19, -0x1.5ba0573cdb1fdp-19, -0x1.5b067135ed194p-19, -0x1.5a694a0ce7ee6p-19, -0x1.59c8e41bbccdfp-19, -0x1.59254ff003eap-19, -0x1.587e9babd474dp-19, -0x1.57d4d272be5a1p-19, -0x1.5727ff1ca7499p-19, -0x1.56782cc1f6d21p-19, -0x1.55c5667a36926p-19, -0x1.550fb6fe616bep-19, -0x1.54572924200dcp-19, -0x1.539bcbf854134p-19, -0x1.52dda2a5f40f8p-19, -0x1.521cc0766d4a5p-19, -0x1.51592cfeb9554p-19, -0x1.5092f37326187p-19, -0x1.4fca1df176712p-19, -0x1.4efea9d945765p-19, -0x1.4e30ca0fe31a4p-19, -0x1.4d6061a9c41a3p-19, -0x1.4c8d88a51980ap-19, -0x1.4bb8499253959p-19, -0x1.4ae0af66b9b1ap-19, -0x1.4a06c5a246473p-19, -0x1.492a97e717814p-19, -0x1.484c2b5d11d8p-19, -0x1.476b7e78c0fccp-19, -0x1.4688af5a409dp-19, -0x1.45a3d3af656bcp-19, -0x1.44bcee6f3baeep-19, -0x1.43d3eeeb28ddap-19, -0x1.42e8ea8d1f1b1p-19, -0x1.41fbf47b5060ep-19, -0x1.410d16093b899p-19, -0x1.401c57d5d23cbp-19, -0x1.3f29bff2dc323p-19, -0x1.3e35694feceep-19, -0x1.3d3f50f3ec299p-19, -0x1.3c477b0356a98p-19, -0x1.3b4c6b5297393p-19, -0x1.3a4fad92f4ee1p-19, -0x1.3955d27b39244p-19, -0x1.385787e2a8328p-19, -0x1.375773045859p-19, -0x1.3655ee464d57cp-19, -0x1.3552fc77c8d15p-19, -0x1.344e9e1d0928cp-19, -0x1.3348d9eb3aa7ap-19, -0x1.3241b9a698aa9p-19, -0x1.31394ce677e96p-19, -0x1.302e5a036247p-19, -0x1.2f233b200ad88p-19, -0x1.2e18430403c7dp-19, -0x1.2d0a77861ef75p-19, -0x1.2bfbbf7adced4p-19, -0x1.2aec60ad747a2p-19, -0x1.29db83da35453p-19, -0x1.28c999d8faef5p-19, -0x1.27b6a81490038p-19, -0x1.26a2b5bb3516ap-19, -0x1.258dca818827ap-19, -0x1.2477ee96d30f8p-19, -0x1.236129993b4c8p-19, -0x1.224982ff1c4d5p-19, -0x1.21311d326e9c6p-19, -0x1.2017b1b189fc2p-19, -0x1.1efd95f1f619p-19, -0x1.1de2b77fde6e1p-19, -0x1.1cc71dc8d75eap-19, -0x1.1baad026ec82p-19, -0x1.1a8dd5df8598ap-19, -0x1.197036250b5d1p-19, -0x1.1851f81695a87p-19, -0x1.173322bf74b27p-19, -0x1.1613bd17fd223p-19, -0x1.14f3ce059ba8p-19, -0x1.13d35c5a0e1c3p-19, -0x1.12b26ed48326ap-19, -0x1.11910c20d5abfp-19, -0x1.106f3ad813b1cp-19, -0x1.0f4d018418b52p-19, -0x1.0e2a668b9bf41p-19, -0x1.0d07705b9b451p-19, -0x1.0be4253dd89d2p-19, -0x1.0ac08b816663bp-19, -0x1.099ca64dfa2fbp-19, -0x1.08788439d514dp-19, -0x1.075422e409225p-19, -0x1.062f8b10a2eb5p-19, -0x1.050ac294327e6p-19, -0x1.03e5cf3244c0dp-19, -0x1.02c0b685cebc5p-19, -0x1.019b7dcf4d04p-19, -0x1.00762a696174p-19, -0x1.fea1869ce73e2p-20, -0x1.fc569b0235d61p-20, -0x1.fa0b9b1c2592p-20, -0x1.f7c0928ca3099p-20, -0x1.f5758e5b1647bp-20, -0x1.f32a968c6545bp-20, -0x1.f0dfb4694bf64p-20, -0x1.ee94f38ad5614p-20, -0x1.ec4a5de447272p-20, -0x1.e9ffe129b02ffp-20, -0x1.e7b5d61a0a48p-20, -0x1.e56bf86a125dfp-20, -0x1.e32269e4892cfp-20, -0x1.e0d935358bb0bp-20, -0x1.de90638545157p-20, -0x1.dc47fd9922b97p-20, -0x1.da000c5dc3db3p-20, -0x1.d7b89310f4929p-20, -0x1.d571aaae49504p-20, -0x1.d32b4b5647baep-20, -0x1.d0e582a944779p-20, -0x1.cea05b017eb3ap-20, -0x1.cc5bef1c5efacp-20, -0x1.ca145c45e6e34p-20, -0x1.c7d4677be6568p-20, -0x1.c59295a93ff1cp-20, -0x1.c350e898a0c6ep-20, -0x1.c110248be75aap-20, -0x1.bed068216bbe5p-20, -0x1.bc9110a198161p-20, -0x1.ba52ee0c2710cp-20, -0x1.b8154de2d72b3p-20, -0x1.b5d973a94d1bbp-20, -0x1.b39e005a74696p-20, -0x1.b16395d7a8c48p-20, -0x1.af2a28ccbc77cp-20, -0x1.acf1d0616f9eap-20, -0x1.aaba912d8370cp-20, -0x1.a8846c85c61cap-20, -0x1.a64f688dfa646p-20, -0x1.a41b8491971dep-20, -0x1.a1e8cc3052cb3p-20, -0x1.9fb743508dac8p-20, -0x1.9d86f046b6235p-20, -0x1.9b57d9a55e93dp-20, -0x1.992a05ade199p-20, -0x1.96fd7ae215558p-20, -0x1.94d249d656d2dp-20, -0x1.92a65e8758c88p-20, -0x1.907fa2725b6abp-20, -0x1.8e5878a0120e9p-20, -0x1.8c32923f98fe2p-20, -0x1.8a0e165eda5d5p-20, -0x1.87eb049b50dc9p-20, -0x1.85c96037032b9p-20, -0x1.83a92d0b9077cp-20, -0x1.818a73c1c99ccp-20, -0x1.7f6d35ada8a5dp-20, -0x1.7d5175a51cfdfp-20, -0x1.7b3738f724c77p-20, -0x1.791e83e6b72c6p-20, -0x1.77075a63ec6e1p-20, -0x1.74f1c0449fe24p-20, -0x1.72ddb94c16c34p-20, -0x1.70cb4929726dep-20, -0x1.6eba7377579b3p-20, -0x1.6cab3bbab5ef5p-20, -0x1.6a9da5670e18dp-20, -0x1.6891b3df78ae9p-20, -0x1.66876a9336036p-20, -0x1.647ecdb3ce4bep-20, -0x1.627942c3142f4p-20, -0x1.6072bbd8ddd5ap-20, -0x1.5e6f1dba502bfp-20, -0x1.5c6d41cd6d84bp-20, -0x1.5a6d26dcb109bp-20, -0x1.586eca1419eabp-20, -0x1.56722ce88286bp-20, -0x1.547751a5df13p-20, -0x1.527e3a8db59a6p-20, -0x1.5086e9bbb1d98p-20, -0x1.4e91615905c62p-20, -0x1.4c9da3191afaep-20, -0x1.4aabb2147a49dp-20, -0x1.48bb99b8d38e1p-20, -0x1.46cd6588a9be8p-20, -0x1.44e57a8c3b9aap-20, -0x1.42f663c258bcp-20, -0x1.410d73af7558cp-20, -0x1.3f268123075a4p-20, -0x1.3d416cee06c67p-20, -0x1.3b5e366cf6421p-20, -0x1.397cd1ba367e3p-20, -0x1.379d55b772f9bp-20, -0x1.35bfd533deb24p-20, -0x1.33e41fdaad6bp-20, -0x1.320a52c7cfb23p-20, -0x1.30326d38fecd8p-20, -0x1.2e5c62342acd3p-20, -0x1.2c884e1c03f9ap-20, -0x1.2ab622fd770d2p-20, -0x1.28e5ddfeaab96p-20, -0x1.2717899fe1fbp-20, -0x1.254b26ee48a2p-20, -0x1.2380cb4f7b21ap-20, -0x1.21b7fe79abb3cp-20, -0x1.1ff15c669078dp-20, -0x1.1e2cb4d73f3fap-20, -0x1.1c6a42f51156p-20, -0x1.1aa94c52d85a1p-20, -0x1.18ea67b2895d1p-20, -0x1.172d8162c7f8p-20, -0x1.1572906dc9932p-20, -0x1.13b9986158776p-20, -0x1.12028b3dabd3cp-20, -0x1.104d77ec358p-20, -0x1.0e9a5eaa622e8p-20, -0x1.0ce93a75afcd9p-20, -0x1.0b39eea18455ap-20, -0x1.098cc09b24e0bp-20, -0x1.07e3a25fbe71dp-20, -0x1.06383aab705fap-20, -0x1.0490c8581628cp-20, -0x1.02eb610d9e1fbp-20, -0x1.0147f77e24c5dp-20, -0x1.ff4d05ef9ee62p-21, -0x1.fc0e10d52dd38p-21, -0x1.f8d2f916899d1p-21, -0x1.f59bba95c8a49p-21, -0x1.f268827987c6dp-21, -0x1.ef395786c7d26p-21, -0x1.ec0df4a1e0cdcp-21, -0x1.e8e672351cfe3p-21, -0x1.e5c2e3f890b87p-21, -0x1.e2a34255a535fp-21, -0x1.df878e11c502p-21, -0x1.dc6fee460757dp-21, -0x1.d958e578db396p-21, -0x1.d64bd1d38fad2p-21, -0x1.d33fa50ba35d6p-21, }}, 
      std::vector<double>(1250, 0.0), 
      {{0x1.483029c76550dp-4, 0x1.3876536a924d3p-3, 0x1.b51a0a96428dep-3, 0x1.0b990420b34e5p-2, 0x1.2f7dd53354c23p-2, 0x1.473e3654e26dp-2, 0x1.54579a0260fbcp-2, 0x1.587bce6af655dp-2, 0x1.556279ea397d6p-2, 0x1.4cabbad2215e8p-2, 0x1.3fcf3b1a5bf21p-2, 0x1.30141a89a0bc3p-2, 0x1.1e8edc163b98p-2, 0x1.0c2328fa542dep-2, 0x1.f30f93409f573p-3, 0x1.ce9764e15588p-3, 0x1.abb6c59783b24p-3, 0x1.8b0c39c1a27d6p-3, 0x1.6d056b86c5e6cp-3, 0x1.51e7c09ae36e2p-3, 0x1.39d7d9dd46734p-3, 0x1.24e008d4cdc4cp-3, 0x1.12f5d168a8298p-3, 0x1.03fe928b9c459p-3, 0x1.efa6e4cf88332p-4, 0x1.dc8953886ec7ap-4, 0x1.ce388dcfbc48cp-4, 0x1.c440f7936f171p-4, 0x1.be2b0eeee27dcp-4, 0x1.bb7e8f6cedba7p-4, 0x1.bbc4fba217081p-4, 0x1.be8ba01000b94p-4, 0x1.c3652013d9902p-4, 0x1.c9ea9c11afc72p-4, 0x1.d1bc7eba1a116p-4, 0x1.da82fe5afe5d9p-4, 0x1.e3ee5e18298a5p-4, 0x1.edb6fa1982e9dp-4, 0x1.f79d28d4d6bc1p-4, 0x1.00b47d5edaa9ap-3, 0x1.0574f03cb0fbbp-3, 0x1.09fb1f5e68b8dp-3, 0x1.0e357b0f6a586p-3, 0x1.121571f90afe1p-3, 0x1.158f302a1cd61p-3, 0x1.18995e6119ca5p-3, 0x1.1b2ce2d6969a8p-3, 0x1.1d44a47409bbbp-3, 0x1.1edd511f135dp-3, 0x1.1ff5278bb26e4p-3, 0x1.208bc4db6c385p-3, 0x1.20a1f62a147d8p-3, 0x1.20398e0aa4047p-3, 0x1.1f553ddeeec34p-3, 0x1.1df872e3314d3p-3, 0x1.1c2736b8b783fp-3, 0x1.19e61331908e5p-3, 0x1.1739f91c28ef7p-3, 0x1.142829cfe7401p-3, 0x1.10b6233ff6dedp-3, 0x1.0ce98e5c87f74p-3, 0x1.08c82f8bcd194p-3, 0x1.0457d9055e70cp-3, 0x1.ff3cbdc0f0affp-4, 0x1.f543195a85308p-4, 0x1.eace38f2d31bbp-4, 0x1.dfe95e4673522p-4, 0x1.d49f8bbbb5c23p-4, 0x1.c8fb79881dd3ap-4, 0x1.bd078cb12cefep-4, 0x1.b0cdcfb06b735p-4, 0x1.a457ec8b23fe6p-4, 0x1.97af28511ed19p-4, 0x1.8adc5fe106b57p-4, 0x1.7de805e5a1358p-4, 0x1.70da21e1bf462p-4, 0x1.63ba501c008b5p-4, 0x1.568fc2458f9ecp-4, 0x1.496140a60f823p-4, 0x1.3c352bc79fdap-4, 0x1.2f117e80f3cc7p-4, 0x1.21fbd06ff6c5ap-4, 0x1.14f958c8d225ep-4, 0x1.080ef18556cb4p-4, 0x1.f682359a586dp-5, 0x1.dd27fd263366fp-5, 0x1.c416e87e6a68p-5, 0x1.ab5608bc87ed9p-5, 0x1.92ebd87e6e74fp-5, 0x1.7ade42fc42c55p-5, 0x1.6332aae7fa199p-5, 0x1.4bedf12eddb0fp-5, 0x1.35147b829e433p-5, 0x1.1eaa3ad877fa4p-5, 0x1.08b2b1ad4974ep-5, 0x1.e661f46b774a3p-6, 0x1.bc4f98a54696dp-6, 0x1.933306a3a6c3p-6, 0x1.6b1046d90abfbp-6, 0x1.43eabe0e1eeabp-6, 0x1.1dc5373df3621p-6, 0x1.f143da0e3c527p-7, 0x1.a90524fcf5aafp-7, 0x1.62d0b730bee45p-7, 0x1.1ea80a3b51189p-7, 0x1.b91770f259782p-8, 0x1.38f716e262614p-8, 0x1.79da266fed074p-9, 0x1.13d81c106e142p-10, -0x1.7795fcbce5643p-11, -0x1.3da65a971d093p-9, -0x1.0ab2530a1c99dp-8, -0x1.72985030116c9p-8, -0x1.d68e3e0ae71a4p-8, -0x1.1b4f0e195c012p-7, -0x1.49695f0dcf4edp-7, -0x1.759bdcc21792p-7, -0x1.9fecaacdc3887p-7, -0x1.c8623dc9b55bbp-7, -0x1.ef0353a06f59ep-7, -0x1.09eb76405ca74p-6, -0x1.1b7222148e84cp-6, -0x1.2c1965a6674c2p-6, -0x1.3be510d0b0f97p-6, -0x1.4ad907f024bbfp-6, -0x1.58f941276ed81p-6, -0x1.6649c1cc6566ep-6, -0x1.72ce9bbcf27d9p-6, -0x1.7e8beb2c7c778p-6, -0x1.8985d467e7a4dp-6, -0x1.93c08181abc72p-6, -0x1.9d40208e738ddp-6, -0x1.a608e1b4f9eep-6, -0x1.ae1ef578ccaecp-6, -0x1.b5868afca716p-6, -0x1.bc43ce9483843p-6, -0x1.c25ae8709f072p-6, -0x1.c7cffb39c1dcep-6, -0x1.cca722dd6329ap-6, -0x1.d0e473aa98ddep-6, -0x1.d48bf913451dep-6, -0x1.d7a1b51093d7fp-6, -0x1.da299f1814d3fp-6, -0x1.dc27a372861bbp-6, -0x1.dd9fa2e9a19dbp-6, -0x1.de9571c42e612p-6, -0x1.df0cd760ccdcdp-6, -0x1.df098e15c5614p-6, -0x1.de8f43227b79dp-6, -0x1.dda194ace6e5cp-6, -0x1.dc4413a891c91p-6, -0x1.da7a429ed3bdfp-6, -0x1.d84795567b6d2p-6, -0x1.d5af70dc4e5bap-6, -0x1.d2b52be4771dbp-6, -0x1.cf5c0e4186f77p-6, -0x1.cba7508aa20f1p-6, -0x1.c79a1cd26c6b2p-6, -0x1.c3378eac4eea8p-6, -0x1.be82b2861e369p-6, -0x1.b97e85bf1ca0cp-6, -0x1.b42df76dc6132p-6, -0x1.ae93e866df224p-6, -0x1.a8b32a8879912p-6, -0x1.a28e80e149615p-6, -0x1.9c28a093cabd9p-6, -0x1.958430ec9065dp-6, -0x1.8ea3caa45c082p-6, -0x1.8789f7eaa77c5p-6, -0x1.80393561d816dp-6, -0x1.78b3f26c8403fp-6, -0x1.70fc9064de358p-6, -0x1.6915625396306p-6, -0x1.6100ade6e55d5p-6, -0x1.58c0ac343e429p-6, -0x1.5057891e055a8p-6, -0x1.47c762871c19dp-6, -0x1.3f1248dd944d1p-6, -0x1.363a40612bdep-6, -0x1.2d41412f8403dp-6, -0x1.2429364014351p-6, -0x1.1af3fcfc6a2d3p-6, -0x1.11a36649a13dep-6, -0x1.083937af111f3p-6, -0x1.fd6e560bce27cp-7, -0x1.ea3ddabb6082cp-7, -0x1.d6e43dac78b69p-7, -0x1.c364a7982e3d5p-7, -0x1.afc22bc2c29e7p-7, -0x1.9bffc75010136p-7, -0x1.88205f3b96d44p-7, -0x1.7426c0175d548p-7, -0x1.6015a03043d4fp-7, -0x1.4befa1905b918p-7, -0x1.37b751c14fefap-7, -0x1.236f282f91811p-7, -0x1.0f1985bb87cfdp-7, -0x1.f5716cc329a14p-8, -0x1.cc9de666010f3p-8, -0x1.a3bcc55023006p-8, -0x1.7ad22f0806be6p-8, -0x1.51e2206bfb903p-8, -0x1.28f06fee847f1p-8, -0x1.0000d16a72021p-8, -0x1.ae2dafd9a9332p-9, -0x1.5c6be8f4fe2bep-9, -0x1.0ac2e8acf3cd4p-9, -0x1.7272074b03608p-10, -0x1.9f513e53bc661p-11, -0x1.69aa9a43b052p-13, 0x1.d37245c32cc31p-12, 0x1.16823a69050b9p-10, 0x1.b7b14dbee5096p-10, 0x1.2c2ff2d9745fap-9, 0x1.7c4240f04b205p-9, 0x1.cc0afdda6ad5fp-9, 0x1.0dc2e1518e322p-8, 0x1.35572be827daep-8, 0x1.5cc05bab8d01ep-8, 0x1.83fc8508bb9d2p-8, 0x1.ab09d089e94e3p-8, 0x1.d1e677c957935p-8, 0x1.f890c4a4afa8p-8, 0x1.0f83890b4da1ap-7, 0x1.22a3e6aab1524p-7, 0x1.35a8bab642d83p-7, 0x1.48914c7ccdd84p-7, 0x1.5b5ce9aed4d3dp-7, 0x1.6e0ae586af3c2p-7, 0x1.809a98c2b4153p-7, 0x1.930b62100f799p-7, 0x1.a55ca642afd4p-7, 0x1.b78dcfe518639p-7, 0x1.c99e4e3a6fc56p-7, 0x1.db8d9444e219bp-7, 0x1.ed5b1849df99p-7, 0x1.ff0653e599b96p-7, 0x1.0847622887458p-6, 0x1.10f9f53cbac5ep-6, 0x1.199aa558d6b96p-6, 0x1.222935f60de79p-6, 0x1.2aa56b8eaa46bp-6, 0x1.330f0b6ed0d18p-6, 0x1.3b65dbb75ca9p-6, 0x1.43a9a378c1d89p-6, 0x1.4bda2ac49d32p-6, 0x1.53f73a9aa7bfap-6, 0x1.5c009cb1c847p-6, 0x1.63f61b3b5ad42p-6, 0x1.6bd780be55af1p-6, 0x1.73a49812240e5p-6, 0x1.7b5d2c7065185p-6, 0x1.8301098c42e63p-6, 0x1.8a8ffb9a5c6e2p-6, 0x1.9209cf3dc7bcbp-6, 0x1.996e5164c7501p-6, 0x1.a0bd4f2b98ef1p-6, 0x1.a7f695d239d52p-6, 0x1.af19f2c4e94fcp-6, 0x1.b62733b15c49ap-6, 0x1.bd1e269dcbd1bp-6, 0x1.c3fe99f4d88e9p-6, 0x1.cac85c7fa1d06p-6, 0x1.d17b3d56ee5bdp-6, 0x1.d8170bd8b08cbp-6, 0x1.de9b97aa3e367p-6, 0x1.e508b0cc7542dp-6, 0x1.eb5e27a6d0f6ep-6, 0x1.f19bcd1efb5d3p-6, 0x1.f7c172bc3dea7p-6, 0x1.fdceea997e175p-6, 0x1.01e203b9fb83ep-5, 0x1.04d04e5606ad3p-5, 0x1.07b23e5df02ffp-5, 0x1.0a87bf73153fep-5, 0x1.0d50bd7d0521ap-5, 0x1.100d1cc056639p-5, 0x1.12bcd4435f3eap-5, 0x1.155fc5342b818p-5, 0x1.17f5e3a92de61p-5, 0x1.1a7f17ea019b8p-5, 0x1.1cfb5256e5faep-5, 0x1.1f6a80330cee6p-5, 0x1.21cc9091a8ed9p-5, 0x1.24217329ea6ddp-5, 0x1.2669173b0d536p-5, 0x1.28a36df08e8f5p-5, 0x1.2ad06936b4e55p-5, 0x1.2ceffb1c833e8p-5, 0x1.2f021638a1072p-5, 0x1.3106ae23acap-5, 0x1.32fdb7b1f7f8fp-5, 0x1.34e7287c3415fp-5, 0x1.36c2f662231d8p-5, 0x1.3891182ff2503p-5, 0x1.3a5185af2c442p-5, 0x1.3c04379611f4bp-5, 0x1.3da927d31fdebp-5, 0x1.3f405103f91b5p-5, 0x1.40c9ae7a05928p-5, 0x1.42453c8c7b2dep-5, 0x1.43b2f8988e0c9p-5, 0x1.4512e0e3ca303p-5, 0x1.4664f4b3e16bep-5, 0x1.47a934464816bp-5, 0x1.48dfa17153af5p-5, 0x1.4a083f41618e8p-5, 0x1.4b23104ac28e9p-5, 0x1.4c30173ca831bp-5, 0x1.4d2f5a06733d1p-5, 0x1.4e20e0683caccp-5, 0x1.4f04b174df3bep-5, 0x1.4fdad642b83efp-5, 0x1.50a356bee2df7p-5, 0x1.515e3e0ec4326p-5, 0x1.520b980fc27d4p-5, 0x1.52ab70b59163cp-5, 0x1.533dd59412afbp-5, 0x1.53c2d57e98097p-5, 0x1.543a7ffb26e02p-5, 0x1.54a4e58e546d1p-5, 0x1.550217c809a0bp-5, 0x1.5552293290e6cp-5, 0x1.55952d4333f66p-5, 0x1.55cb386575ae5p-5, 0x1.55f46001578b5p-5, 0x1.5610ba6d71b3dp-5, 0x1.56205ee455adcp-5, 0x1.56236583d6012p-5, 0x1.5619e75714a87p-5, 0x1.5603fe519993bp-5, 0x1.55e1c53c2f3bap-5, 0x1.55b357b031ca4p-5, 0x1.5578d21793ad9p-5, 0x1.553251a8dec88p-5, 0x1.54dff463f294p-5, 0x1.5481d90f1110fp-5, 0x1.54181f3121d52p-5, 0x1.53a2e70a48e75p-5, 0x1.5322518f4d7a7p-5, 0x1.52968067c1c0dp-5, 0x1.51ff95e43e5e7p-5, 0x1.515db4f14ef85p-5, 0x1.50b10119765bdp-5, 0x1.4ff99e81c4de1p-5, 0x1.4f37b1e3051a6p-5, 0x1.4e6b6084c3adep-5, 0x1.4d94d03487fdcp-5, 0x1.4cb4273efed96p-5, 0x1.4bc98c6a04e1fp-5, 0x1.4ad526ef60de9p-5, 0x1.49d71e790b4b2p-5, 0x1.48cf9b1dcb0dp-5, 0x1.47bec559a86b8p-5, 0x1.46a4c6034a249p-5, 0x1.4581c6453b80cp-5, 0x1.4455ef9a289fbp-5, 0x1.43216bc807faep-5, 0x1.41e464da1cb5fp-5, 0x1.409f051af9489p-5, 0x1.3f51770ebb82dp-5, 0x1.3dfbe56dfd0ffp-5, 0x1.3c9e7b1cabd4dp-5, 0x1.3b396329702e7p-5, 0x1.39ccc8c29482dp-5, 0x1.3858d7347a7c4p-5, 0x1.36ddb9e43ed86p-5, 0x1.355b9c48f9269p-5, 0x1.33d2a9e47a662p-5, 0x1.32430e3e524b3p-5, 0x1.30acf4dfdc0bfp-5, 0x1.2f10894fa7382p-5, 0x1.2d6df70c6d28fp-5, 0x1.2bc56987b7fbp-5, 0x1.2a170c20bce6bp-5, 0x1.28630a1f91b94p-5, 0x1.26a98eb03c4ddp-5, 0x1.24eac4de4db59p-5, 0x1.2326d79024b53p-5, 0x1.215df182c2a0bp-5, 0x1.1f903d461fef1p-5, 0x1.1dbde53996447p-5, 0x1.1be7138746d33p-5, 0x1.1a0bf21eefc76p-5, 0x1.182caab1b9becp-5, 0x1.164966aef914ep-5, 0x1.14624f40fa175p-5, 0x1.12778d498a604p-5, 0x1.1089495e7f607p-5, 0x1.0e97abc6585aep-5, 0x1.0ca2dc7506ba6p-5, 0x1.0aab0308d995fp-5, 0x1.08b046c776947p-5, 0x1.06b2ce9ae4676p-5, 0x1.04b2c10ea0889p-5, 0x1.02b0444cd5afap-5, 0x1.00ab7e1be0646p-5, 0x1.fd4927b86e45fp-6, 0x1.f937550cb6984p-6, 0x1.f521cd507948bp-6, 0x1.f108d8c4e1b03p-6, 0x1.ececbecbc3d8ep-6, 0x1.e8cdc5e491826p-6, 0x1.e4ac33aad9eb8p-6, 0x1.e0884cd42bfb3p-6, 0x1.dc6255291b96fp-6, 0x1.d83a8f7fbebe6p-6, 0x1.d4113dbdfd57fp-6, 0x1.cfe6a0d8d602dp-6, 0x1.cbbaf8cc21238p-6, 0x1.c78e84964d783p-6, 0x1.c361823adda39p-6, 0x1.bf342ec1aae1cp-6, 0x1.bb06c633d303cp-6, 0x1.b6d98396b650ep-6, 0x1.b2aca0f0d0d4fp-6, 0x1.ae805743cf562p-6, 0x1.aa54de8f3ed5bp-6, 0x1.a62a6dccbf5cdp-6, 0x1.a2013aefeb5bap-6, 0x1.9dd97ae59354fp-6, 0x1.99b36191bfb2p-6, 0x1.958f21d181317p-6, 0x1.916ced7a1d17cp-6, 0x1.8d4cf558db397p-6, 0x1.892f69334c592p-6, 0x1.851477c7b51d9p-6, 0x1.80fc4ecd8b534p-6, 0x1.7ce71af614f4fp-6, 0x1.78d507ed1ae82p-6, 0x1.74c64059b0221p-6, 0x1.70baeddefe6d6p-6, 0x1.6cb3391d29b4dp-6, 0x1.68af49b236d22p-6, 0x1.64af463b1a7ap-6, 0x1.60b3545514268p-6, 0x1.5cbb989f3d152p-6, 0x1.58c836bc58019p-6, 0x1.54d951544bbb1p-6, 0x1.50ef0a158a05ep-6, 0x1.4d0981b696db9p-6, 0x1.4928d7f7f17acp-6, 0x1.454d2ba643219p-6, 0x1.41769a9c80694p-6, 0x1.3da541c60f8ecp-6, 0x1.39d93d20d6ce8p-6, 0x1.3612a7bf64c95p-6, 0x1.32519bcb2d517p-6, 0x1.2e963286b98dbp-6, 0x1.2ae0845017708p-6, 0x1.2730a8a33bd11p-6, 0x1.2386b61c891b5p-6, 0x1.1fe2c27b5e729p-6, 0x1.1c44e2a4bb3bp-6, 0x1.18ad2aa5d97ecp-6, 0x1.151badb6e8b05p-6, 0x1.11907e3db29d5p-6, 0x1.0e0badd065acbp-6, 0x1.0a8d4d38721c8p-6, 0x1.07156c757e791p-6, 0x1.03a41ac0458ecp-6, 0x1.0039668d51e16p-6, 0x1.f9aabb1f24de7p-7, 0x1.f2f019763bcbfp-7, 0x1.ec430090553bep-7, 0x1.e5a3876c5221bp-7, 0x1.df11c39dabbd1p-7, 0x1.d88dc952a9ef5p-7, 0x1.d217ab5a77ca2p-7, 0x1.cbaf7b2b2b733p-7, 0x1.c55548e7bbbc7p-7, 0x1.bf092365ddcf7p-7, 0x1.b8cb1833c111ap-7, 0x1.b29b339dc9a05p-7, 0x1.ac7980b43f8a9p-7, 0x1.a66609510c1ddp-7, 0x1.a060d61d98f97p-7, 0x1.9a69ee98e1cc9p-7, 0x1.9481591db7563p-7, 0x1.8ea71ae91ff33p-7, 0x1.88db3820e264fp-7, 0x1.831db3da10982p-7, 0x1.7d6e901f9974cp-7, 0x1.77cdcdf897207p-7, 0x1.723b6d6e4e70cp-7, 0x1.6cb76d91a8a9ep-7, 0x1.6741cc80018a5p-7, 0x1.61da876738c01p-7, 0x1.5c819a89d441p-7, 0x1.57370143bc0b2p-7, 0x1.51fab612e5926p-7, 0x1.4cccb285978fcp-7, 0x1.47acef6fb02bfp-7, 0x1.429b64c138257p-7, 0x1.3d9809a68d154p-7, 0x1.38a2d48cac73dp-7, 0x1.33bbbb27c6ad8p-7, 0x1.2ee2b2782db0ep-7, 0x1.2a17aed2fa078p-7, 0x1.255aa3eb24bebp-7, 0x1.20ab84d3b9caap-7, 0x1.1c0a43fecbc75p-7, 0x1.1776d33faf81dp-7, 0x1.12f123cdf7c05p-7, 0x1.0e792644f6081p-7, 0x1.0a0ecaa3138f5p-7, 0x1.05b2004cdc14ap-7, 0x1.0162b60d3ca3cp-7, 0x1.fa41b444f140cp-8, 0x1.f1d8b48345e7ap-8, 0x1.e98a4748d8812p-8, 0x1.e156462a77e75p-8, 0x1.d93c89f7f23d2p-8, 0x1.d13cead3190bap-8, 0x1.c957404253173p-8, 0x1.c18b613c46d2p-8, 0x1.b9d9242bcf63dp-8, 0x1.b2405eeb9dccbp-8, 0x1.aac0e6ba05ee4p-8, 0x1.a35a9027c65d9p-8, 0x1.9c0d2f03f72fdp-8, 0x1.94d8964995fc3p-8, 0x1.8dbc98128be3ap-8, 0x1.86b905935605cp-8, 0x1.7fcdaf2280f09p-8, 0x1.78fa644c8c826p-8, 0x1.723ef3f4150ebp-8, 0x1.6b9b2c7c178bbp-8, 0x1.650edbf819551p-8, 0x1.5e99d05d640eep-8, 0x1.583bd7afa30e8p-8, 0x1.51f4c02355f7p-8, 0x1.4bc4583110398p-8, 0x1.45aa6e965802bp-8, 0x1.3fa6d24323514p-8, 0x1.39b95234f118dp-8, 0x1.33e1bd44231cfp-8, 0x1.2e1fe1e7ae79fp-8, 0x1.28738dfa2f667p-8, 0x1.22dc8e856fcebp-8, 0x1.1d5aaf9e95284p-8, 0x1.17edbc5a69e44p-8, 0x1.12957edb2258fp-8, 0x1.0d51c07b6b08ep-8, 0x1.08224a139d3bep-8, 0x1.0306e45361666p-8, 0x1.fbfeb04e653dcp-9, 0x1.f216de3cf7852p-9, 0x1.e855e78c0f3dep-9, 0x1.debb63d698ad1p-9, 0x1.d546ed7b66209p-9, 0x1.cbf8218f27cp-9, 0x1.c2ce9f76f2c99p-9, 0x1.b9ca08313e0f6p-9, 0x1.b0e9fd5eadf2bp-9, 0x1.a82e202302a6dp-9, 0x1.9f961001b682p-9, 0x1.972169dbf0606p-9, 0x1.8ecfc7312f9dcp-9, 0x1.86a0bdc3d30e4p-9, 0x1.7e93dfb13f4f4p-9, 0x1.76a8bc04b021fp-9, 0x1.6ededfbbf0e44p-9, 0x1.6735d727727bap-9, 0x1.5fad2f84e1681p-9, 0x1.584478a9e6a63p-9, 0x1.50fb4691faf5dp-9, 0x1.49d132a05e9b3p-9, 0x1.42c5dc6d584ep-9, 0x1.3bd8e9fde82f3p-9, 0x1.350a07549cf98p-9, 0x1.2e58e55b13854p-9, 0x1.27c53837ed6c3p-9, 0x1.214eb537cfd0dp-9, 0x1.1af51083c4baep-9, 0x1.14b7faeae2b55p-9, 0x1.0e971ffa310ecp-9, 0x1.089224a917ee2p-9, 0x1.02a8a6be0118ap-9, 0x1.f9b47a0cdad67p-10, 0x1.ee4cf0b231f8ep-10, 0x1.e319ca903961bp-10, 0x1.d81a1cad73c09p-10, 0x1.cd4cfcf0677b5p-10, 0x1.c2b1873751cfdp-10, 0x1.b846e20dfb4eep-10, 0x1.ae0c4296d9953p-10, 0x1.a400ef4b3e816p-10, 0x1.9a24414d6b012p-10, 0x1.9075a425fa112p-10, 0x1.86f493e3a3398p-10, 0x1.7da099bd01416p-10, 0x1.7479477bb7b2fp-10, 0x1.6b7e321eb1443p-10, 0x1.62aeec41674eep-10, 0x1.5a0b00e6ca4bp-10, 0x1.5191ef46122f6p-10, 0x1.4943281af2555p-10, 0x1.411e0cccd1dddp-10, 0x1.3921f07938751p-10, 0x1.314e1aa6b1f04p-10, 0x1.29a1cb25309c1p-10, 0x1.221c3e7c57d4dp-10, 0x1.1abcb244e7188p-10, 0x1.138268ee03aa3p-10, 0x1.0c6cac92a7017p-10, 0x1.057ad26bf08c9p-10, 0x1.fd586b8fdec62p-11, 0x1.f00087e17b492p-11, 0x1.e2ece39bd5c1fp-11, 0x1.d61c7e6928a86p-11, 0x1.c98e6be4abf64p-11, 0x1.bd41cf5bdbd84p-11, 0x1.b135d5d0fb4dap-11, 0x1.a569b0463e6c5p-11, 0x1.99dc8b28237b7p-11, 0x1.8e8d87ebf348fp-11, 0x1.837bb708716ddp-11, 0x1.78a61577ef39bp-11, 0x1.6e0b8deb4cb0ep-11, 0x1.63aafe15e7fe6p-11, 0x1.59833f1cf54fcp-11, 0x1.4f932f5970267p-11, 0x1.45d9bb0f6b6d4p-11, 0x1.3c55e1e8c25bbp-11, 0x1.3306b7e8c7a5ap-11, 0x1.29eb61ef17df9p-11, 0x1.21030f4e4293fp-11, 0x1.184cf2e3abb3cp-11, 0x1.0fc83e2a2883dp-11, 0x1.07741fe6a0e59p-11, 0x1.fe9f8d46ae9b6p-12, 0x1.eeb4cb65ed65ap-12, 0x1.df2674f07c32ep-12, 0x1.cff31f1198fc8p-12, 0x1.c119779ef4d0ap-12, 0x1.b2983aed04b8p-12, 0x1.a46e22f399e9dp-12, 0x1.9699d4a8ebe05p-12, 0x1.8919d0f3d227dp-12, 0x1.7bec6e08a7682p-12, 0x1.6f0fdb8d81942p-12, 0x1.6282310bd78f1p-12, 0x1.564183dae4cbp-12, 0x1.4a4bff74e3215p-12, 0x1.3e9ffa1d287dbp-12, 0x1.333c006fa0925p-12, 0x1.281ed406ed5f5p-12, 0x1.1d475c6377794p-12, 0x1.12b48d66adc97p-12, 0x1.08654aad2d567p-12, 0x1.fcb0a2305e538p-13, 0x1.e9185d33c9fcap-13, 0x1.d5fe97c6a6042p-13, 0x1.c3600aa1ebed3p-13, 0x1.b139961c11ee5p-13, 0x1.9f887b9bed654p-13, 0x1.8e4a7d5fe452dp-13, 0x1.7d7dda5cdca95p-13, 0x1.6d212820a8c11p-13, 0x1.5d33183bd87cfp-13, 0x1.4db23d8d12339p-13, 0x1.3e9ce4ac273cap-13, 0x1.2ff10a2e80ed2p-13, 0x1.21ac6d0bda116p-13, 0x1.13ccb1e64d859p-13, 0x1.064f88cfdff15p-13, 0x1.f265959cba738p-14, 0x1.d8e915b5594e3p-14, 0x1.c02635b3a2fp-14, 0x1.a81a0baa7dd61p-14, 0x1.90c1fea936a23p-14, 0x1.7a1b8de3dbefdp-14, 0x1.642403719e9cp-14, 0x1.4ed820485d749p-14, 0x1.3a33da8d8ebcdp-14, 0x1.26324b403aa14p-14, 0x1.12cdde70d1f44p-14, 0x1.0000c19729feap-14, 0x1.db8ae140f59e6p-15, 0x1.b82e67852a248p-15, 0x1.95e4cdf8069e8p-15, 0x1.74a8f54a3a96ep-15, 0x1.54776753ccd98p-15, 0x1.354d82eb8aa3ap-15, 0x1.172890f3d417dp-15, 0x1.f40a0d40886e2p-16, 0x1.bbbc53b92e50ap-16, 0x1.855c478c01ab1p-16, 0x1.50dcc1b4cd4abp-16, 0x1.1e3018676aaf3p-16, 0x1.da920361b0d53p-17, 0x1.7c3682d4f9e03p-17, 0x1.21381526a41efp-17, 0x1.9307d6d37d097p-18, 0x1.d424457fafdcfp-19, 0x1.1db8e1cdc63dep-20, -0x1.5415ca5eda4e8p-20, -0x1.d6d62e5961c25p-19, -0x1.7be465c55cd6cp-18, -0x1.0348e982875b7p-17, -0x1.45c9d4891319bp-17, -0x1.85863cbfcf05bp-17, -0x1.c291885fc259fp-17, -0x1.fd011ad80c8bep-17, -0x1.1a7590ddf8477p-16, -0x1.3532a5966359ap-16, -0x1.4ec235382798ep-16, -0x1.672e6aab8cd1cp-16, -0x1.7e81169cf3bf1p-16, -0x1.94c2e4661f4fdp-16, -0x1.a9fa4a90e93cbp-16, -0x1.be2b15eb10bb9p-16, -0x1.d1570bb747da3p-16, -0x1.e37f649793e31p-16, -0x1.f4a669f346424p-16, -0x1.026836bad836ep-15, -0x1.0a01d0c5a10a3p-15, -0x1.11237935d57cdp-15, -0x1.17d02217892dcp-15, -0x1.1e099a355c0dbp-15, -0x1.23d1c67db33e7p-15, -0x1.292c4d297b92ap-15, -0x1.2e1d98cb327a6p-15, -0x1.32aa0d6287fd9p-15, -0x1.36d713958099p-15, -0x1.3aaa79d11aab6p-15, -0x1.3e28a0d175779p-15, -0x1.4154700b5fecfp-15, -0x1.442ff23243f6dp-15, -0x1.46bcc4dde295p-15, -0x1.48fc83b26be14p-15, -0x1.4af10ccd3586p-15, -0x1.4c9c748fa46cap-15, -0x1.4e00d46bb565bp-15, -0x1.4f205f67f11b9p-15, -0x1.4ffdd826d7e2ap-15, -0x1.509ccf2c7ffaep-15, -0x1.5100ef7b39b52p-15, -0x1.512c9cc8efb0dp-15, -0x1.51202dfcbe4ep-15, -0x1.50dab023b0854p-15, -0x1.505bb2cb9a179p-15, -0x1.4fa4a9d54a063p-15, -0x1.4eb8db623231dp-15, -0x1.4d9bf54ea0537p-15, -0x1.4c5077f0b16bcp-15, -0x1.4ad7336c5e96p-15, -0x1.49300c4a00475p-15, -0x1.475b22d39abbp-15, -0x1.4559701ffae9fp-15, -0x1.432cb55a611eap-15, -0x1.40d72566411d9p-15, -0x1.3e5b1e96bbb9p-15, -0x1.3bbb01981954p-15, -0x1.38f9103517b9cp-15, -0x1.361746f88357dp-15, -0x1.33173871f3fe7p-15, -0x1.2ff9fba62e344p-15, -0x1.2cc03ea67399fp-15, -0x1.296a8484801b4p-15, -0x1.25f97a8040798p-15, -0x1.226e3402279f6p-15, -0x1.1eca1380d3059p-15, -0x1.1b0e722f01c8ap-15, -0x1.173c80683246fp-15, -0x1.1355bce31d54fp-15, -0x1.0f5c7b9e63dd7p-15, -0x1.0b5365cdfb923p-15, -0x1.073c065e28555p-15, -0x1.03161ede60319p-15, -0x1.fdc19f8679c29p-16, -0x1.f5388a71cf77bp-16, -0x1.ec941e0573776p-16, -0x1.e3d7f9ab8da9bp-16, -0x1.db05db25e7622p-16, -0x1.d21db18a2f384p-16, -0x1.c91f81fd877a3p-16, -0x1.c00c95f469d02p-16, -0x1.b6e72ba21971p-16, -0x1.adb1ba113f699p-16, -0x1.a46e4bb8cccadp-16, -0x1.9b1e437043701p-16, -0x1.91c2b80b9b402p-16, -0x1.885c61cea56aep-16, -0x1.7eec3ab12dc9ep-16, -0x1.7573395e2ffddp-16, -0x1.6bf28c2a1d4f2p-16, -0x1.626b99cd0ec71p-16, -0x1.58dfdb0ecd97p-16, -0x1.4f50b1008f5dfp-16, -0x1.45bf4fb552b07p-16, -0x1.3c2cc71dd61d7p-16, -0x1.329a26864b559p-16, -0x1.2908aa1693c5bp-16, -0x1.1f79b8677f438p-16, -0x1.15ecaa01530b5p-16, -0x1.0c63bba2c50eep-16, -0x1.02dedc9cf5052p-16, -0x1.f2bc69f308515p-17, -0x1.dfc871e9d7b4ep-17, -0x1.cce38e09755e4p-17, -0x1.ba0e176d87a18p-17, -0x1.a748c3e514c83p-17, -0x1.94958b0a38b7p-17, -0x1.81f6130f47075p-17, -0x1.6f6ae82c3d8bbp-17, -0x1.5cf4bf743eabp-17, -0x1.4a952a12ba38cp-17, -0x1.384dd32533787p-17, -0x1.261fe9ad79691p-17, -0x1.140c43a58b2f1p-17, -0x1.0213a797c3561p-17, -0x1.e06dd8327b937p-18, -0x1.bcedeea5cdc88p-18, -0x1.99a96ba8df49bp-18, -0x1.76a225a7af979p-18, -0x1.53d9e6431bb42p-18, -0x1.3152633f1dd16p-18, -0x1.0f0d39bafc69p-18, -0x1.da17dc702760dp-19, -0x1.969fe014f29dap-19, -0x1.53b533a4165dcp-19, -0x1.115a55341416p-19, -0x1.9f23020a06f37p-20, -0x1.1cb991bead5a1p-20, -0x1.36f935a8ba99bp-21, -0x1.b70ae509743b8p-24, 0x1.8d9849858f6c2p-22, 0x1.c20a80f71b777p-21, 0x1.5d6c0fab29c1bp-20, 0x1.d8988028a705p-20, 0x1.2942171576f21p-19, 0x1.6593741ffb66dp-19, 0x1.a13f8c0223784p-19, 0x1.dc47a22d5fc0bp-19, 0x1.0b551eb920367p-18, 0x1.2833aa39259e1p-18, 0x1.44c0c08d79abdp-18, 0x1.60fadf0d131d3p-18, 0x1.7cdeeb2b53801p-18, 0x1.986c4455083p-18, 0x1.b3a3f6f20fdd1p-18, 0x1.ce86b0c61261ap-18, 0x1.e9146a95b62cbp-18, 0x1.01a6654d6af35p-17, 0x1.0e97b61d5b1bap-17, 0x1.1b5e00be6544ep-17, 0x1.27f93a359f7e8p-17, 0x1.3469550cd162ep-17, 0x1.40acf47406aaap-17, 0x1.4cc25c029d55fp-17, 0x1.58afaec3a09c6p-17, 0x1.64725631c3c93p-17, 0x1.7008393a79e4fp-17, 0x1.7b57371d379cbp-17, 0x1.86bc37b1da77p-17, 0x1.91d3445a7724ap-17, 0x1.9cbf8f1ed51a9p-17, 0x1.a78174d1f7944p-17, 0x1.b2190314deb62p-17, 0x1.bc86468786da9p-17, 0x1.c6c942629323bp-17, 0x1.d0e20d04068eap-17, 0x1.dad0d84cccdc6p-17, 0x1.e495d3a32204dp-17, 0x1.ee3122510c21p-17, 0x1.f7a2fac890b8ap-17, 0x1.0075e3df2631ap-16, 0x1.0505f2197281dp-16, 0x1.0981881a2299p-16, 0x1.0de8957d840acp-16, 0x1.123b39384b799p-16, 0x1.16799331505bp-16, 0x1.1aa40d534f91dp-16, 0x1.1ebadd219470ap-16, 0x1.22bdf815b5cf3p-16, 0x1.26ad66e3f9db3p-16, 0x1.2a8948bde3d14p-16, 0x1.2e51c1ec50932p-16, 0x1.3206f5aef0456p-16, 0x1.35a9062bc9e5dp-16, 0x1.393814f19d178p-16, 0x1.3cb443ae24de9p-16, 0x1.401db4386889bp-16, 0x1.437488897da6cp-16, 0x1.46b8e38e36991p-16, 0x1.49eae8dafb6a4p-16, 0x1.4d0ac30aa6c53p-16, 0x1.50189a2fcbe2p-16, 0x1.53149c00c808ap-16, 0x1.55fef35b18ce1p-16, 0x1.58d7c74478538p-16, 0x1.5b9f3c182a9abp-16, 0x1.5e557895744fdp-16, 0x1.60faac39d2183p-16, 0x1.638f14953cebdp-16, 0x1.6612ffeda3bc6p-16, 0x1.6886c1159b4ecp-16, 0x1.6aea7c49329e5p-16, 0x1.6d3defaf1c2b3p-16, 0x1.6f80c3170b257p-16, 0x1.71b33e0ec3cdap-16, 0x1.73d5ff26e5d83p-16, 0x1.75e8c68f053b1p-16, 0x1.77eaeda6d0277p-16, 0x1.79dde0e6aa439p-16, 0x1.7bc42abd4253p-16, 0x1.7d9c0b674869ep-16, 0x1.7f633c3280af7p-16, 0x1.811afc4f8eb39p-16, 0x1.82c5b1a724515p-16, 0x1.846260b1088dp-16, 0x1.85f0436c61db1p-16, 0x1.876faccb87427p-16, 0x1.88e10c4ec8ccfp-16, 0x1.8a44aec65c64bp-16, 0x1.8b9aca7ab3f0ep-16, 0x1.8ce38c0e2f885p-16, 0x1.8e1f1cc642758p-16, 0x1.8f4da538114bep-16, 0x1.906f4eb758fa9p-16, 0x1.9184447f172e2p-16, 0x1.928cb26713187p-16, 0x1.9388b58706b8dp-16, 0x1.94783db696d18p-16, 0x1.955b57f84bd29p-16, 0x1.96320b1abb17dp-16, 0x1.96fe694d620c3p-16, 0x1.97beddd6ae855p-16, 0x1.9873e100622e4p-16, 0x1.991d52502481cp-16, 0x1.99bb87ceab5e2p-16, 0x1.9a4ec1df477fcp-16, 0x1.9ad72129cea66p-16, 0x1.9b54b526ee08cp-16, 0x1.9bc7fc0c61fe2p-16, 0x1.9c2fc8a34a8dep-16, 0x1.9c8df387fb1ebp-16, 0x1.9ce1896d30102p-16, 0x1.9d2b1e2efa16ap-16, 0x1.9d6b126de830bp-16, 0x1.9da199b755b5p-16, 0x1.9dce9992bbbd4p-16, 0x1.9df1ac4f206d2p-16, 0x1.9e0a496b21bbdp-16, 0x1.9e1966d24a09bp-16, 0x1.9e21f5d3294d6p-16, 0x1.9e2132e11fda2p-16, 0x1.9e190b2d3138fp-16, 0x1.9e0b1091d53eep-16, 0x1.9df2b7df8fac4p-16, 0x1.9dcf1c71c1c3cp-16, 0x1.9da183555c25cp-16, 0x1.9d6d374b18bc5p-16, 0x1.9d34614d9e6dep-16, 0x1.9cf1b04d34bf5p-16, 0x1.9ca8ab995b39ep-16, 0x1.9c5788f800a14p-16, 0x1.9bfd6ce9fac1bp-16, 0x1.9b9af83b09c59p-16, 0x1.9b33ce2b77d23p-16, 0x1.9ac3af8581f6cp-16, 0x1.9a4f9cb0bccc6p-16, 0x1.99d2bdb12e0adp-16, 0x1.994ea81a8d379p-16, 0x1.98c46053a1414p-16, 0x1.9833d5bb1ea63p-16, 0x1.979d07cdb45edp-16, 0x1.97000d01ded0ap-16, 0x1.965d0269868cdp-16, 0x1.95b403da16957p-16, 0x1.95052a885dd18p-16, 0x1.94508f0991c7ap-16, 0x1.93964b20980b2p-16, 0x1.92d679ce96d31p-16, 0x1.92113629a1d1dp-16, 0x1.914699f1b63fep-16, 0x1.9076bb038aba1p-16, 0x1.8fa1ab0bf0751p-16, 0x1.8ec77df5e6eedp-16, 0x1.8de85cc5c73e8p-16, 0x1.8d048bd3edbbp-16, 0x1.8c1c3e894c5c6p-16, 0x1.8b2f75f7b7a52p-16, 0x1.8a3e262a9942ap-16, 0x1.8948454fafcacp-16, 0x1.884d7ff706599p-16, 0x1.874dec18ee3c1p-16, 0x1.8649b53204a0ap-16, 0x1.854401d02ae7ep-16, 0x1.843aa6a92dee1p-16, 0x1.832c351997c14p-16, 0x1.8219aa19ddfd7p-16, 0x1.81036d6f36c26p-16, 0x1.7fe99f18ae79ap-16, 0x1.7ecc4d24ce7e2p-16, 0x1.7dab825620312p-16, 0x1.7c8749d857d4ep-16, 0x1.7b5fae17ce09p-16, 0x1.7a34af2d84666p-16, 0x1.790643e28f36fp-16, 0x1.77d4c17a366e6p-16, 0x1.76a186507a63dp-16, 0x1.756ccbbd9abb5p-16, 0x1.74338bcf13ad2p-16, 0x1.72f657b6554afp-16, 0x1.71b82d0ccacc9p-16, 0x1.707800e07f895p-16, 0x1.6f34b50ec93aep-16, 0x1.6dee88e39ce52p-16, 0x1.6ca5db8e28583p-16, 0x1.6b5ac25abbeccp-16, 0x1.6a0d5959f2ea2p-16, 0x1.68be00df142cep-16, 0x1.676c96046ba7fp-16, 0x1.66194c8ad73c3p-16, 0x1.64c418da4dd9p-16, 0x1.636cd5678279fp-16, 0x1.6213b588db36fp-16, 0x1.60b8d8eea0993p-16, 0x1.5f5c4c87f7047p-16, 0x1.5dfe1a4194945p-16, 0x1.5c9e4c0d1c669p-16, 0x1.5b3cf1552d23ap-16, 0x1.59da2661da76cp-16, 0x1.58760500afe3cp-16, 0x1.5710904f6e542p-16, 0x1.55a9ce25a61dbp-16, 0x1.5441cbebaa98ep-16, 0x1.52d89975bcecdp-16, 0x1.516e0c7bac4e7p-16, 0x1.5001e92c3f6c8p-16, 0x1.4e958fc1bee1ap-16, 0x1.4d28922a52bfp-16, 0x1.4bba27e545fdp-16, 0x1.4a4ac236f2faep-16, 0x1.48da8dd8d222ep-16, 0x1.47699982b7da2p-16, 0x1.45f7f7c0be76p-16, 0x1.4485bbc7324fep-16, 0x1.4312bbe1dd737p-16, 0x1.419ea48ec74d3p-16, 0x1.402a2fddb4ecbp-16, 0x1.3eb5b17cc8bb8p-16, 0x1.3d40ed9a1f5a2p-16, 0x1.3bcb45881843bp-16, 0x1.3a55170298fe1p-16, 0x1.38dea18dece0fp-16, 0x1.3767e8e979599p-16, 0x1.35f0f024741a5p-16, 0x1.3479c5ffc78d3p-16, 0x1.3302a1efb6772p-16, 0x1.318bd60aba3e8p-16, 0x1.3013b1b3462cap-16, 0x1.2e99e36f1bb43p-16, 0x1.2d21d66eded05p-16, 0x1.2babb9e0f6209p-16, 0x1.2a352d1193287p-16, 0x1.28bca3f3856cap-16, 0x1.2744a1b4ec0cep-16, 0x1.25cd05d2faap-16, 0x1.2455a03995c3ap-16, 0x1.22de4e252f71ap-16, 0x1.2166f5a7934eap-16, 0x1.1fefee65373bap-16, 0x1.1e790fc1518fdp-16, 0x1.1d034c8f45b3ep-16, 0x1.1b8e44f453db5p-16, 0x1.1a18ab8fcecfep-16, 0x1.18a36fb80833dp-16, 0x1.172ec90ec2e87p-16, 0x1.15ba74d9c152dp-16, 0x1.14469e6479efp-16, 0x1.12d3480ef845fp-16, 0x1.116077c756543p-16, 0x1.0fee32da6d032p-16, 0x1.0e7c60049b96bp-16, 0x1.0d0b28df914ep-16, 0x1.0b9aca6f54d06p-16, 0x1.0a2965ece0e3ep-16, 0x1.08bb9fea981d7p-16, 0x1.074d0ba9c7a45p-16, 0x1.05df2a4aedc95p-16, 0x1.04720085500dfp-16, 0x1.03059348588f5p-16, 0x1.0199e78980188p-16, 0x1.002f022f741bap-16, 0x1.fd89d01600922p-17, 0x1.fab73ba98ae74p-17, 0x1.f7e650562a69ep-17, 0x1.f517172584595p-17, 0x1.f24998ed8d4cbp-17, 0x1.ef7dde51292acp-17, 0x1.ecb3efc09a21fp-17, 0x1.e9ebd579b5fb2p-17, 0x1.e725978814372p-17, 0x1.e4613dc70c3a1p-17, 0x1.e19ecfdaf1077p-17, 0x1.dede5538ea394p-17, 0x1.dc1fd4892fb84p-17, 0x1.d96356c61563cp-17, 0x1.d6a8e1cf6740dp-17, 0x1.d3f07c1aba0eep-17, 0x1.d13a2c6d227fbp-17, 0x1.ce85f94066fb3p-17, 0x1.cbd3e8e1238cbp-17, 0x1.c924015fa5302p-17, 0x1.c676485eba7a1p-17, 0x1.c3cac3a91ea53p-17, 0x1.c1217ac0bdd3ep-17, 0x1.be7a72714c30ep-17, 0x1.bbd5aee84aa6cp-17, 0x1.b9333c428ab94p-17, 0x1.b6930d8f4bd93p-17, 0x1.b3f533c2b5206p-17, 0x1.b159a776cf2f1p-17, 0x1.aec08205b76fbp-17, 0x1.ac29b2f3d7eebp-17, 0x1.a99576193293ep-17, 0x1.a703832e0c1bdp-17, 0x1.a473fe360b2a6p-17, 0x1.a1e6ea450bd61p-17, 0x1.9f5c4ebc29c7ep-17, 0x1.9cd4236a0a3fbp-17, 0x1.9a4e844f30fcap-17, 0x1.97cb616910cf2p-17, 0x1.954aff9c962d5p-17, 0x1.92cca33b3f7d2p-17, 0x1.9051113ffbfa5p-17, 0x1.8dd80c3a73c99p-17, 0x1.8b619962cd6f1p-17, 0x1.88edc9dfb4ea4p-17, 0x1.867a683959392p-17, 0x1.840da418e6ecap-17, 0x1.81a166f5f5da8p-17, 0x1.7f37b304a18cdp-17, 0x1.7cd166f27cc6ap-17, 0x1.7a6f8777733a2p-17, 0x1.780adedc53487p-17, 0x1.75acb82e4b00cp-17, 0x1.734d3f13a5cd3p-17, 0x1.70f7d2f27e139p-17, 0x1.6ea041a37fdd2p-17, 0x1.6c4ba4fc07d7ap-17, 0x1.69f9719dacb59p-17, 0x1.67aa328176102p-17, 0x1.655dd3a28651ap-17, 0x1.631431654f2cfp-17, 0x1.60cd1aa892a8ep-17, 0x1.5e88fef67cfcap-17, 0x1.5c476e2ad924bp-17, 0x1.5a088eab2a137p-17, 0x1.57cc61606b4bfp-17, 0x1.5592e6beb8902p-17, 0x1.535c1f58a9784p-17, 0x1.51280c920c949p-17, 0x1.4ef6b5c48627cp-17, 0x1.4cc6f56f1aa3ap-17, 0x1.4a9c058d9b47ep-17, 0x1.4872d10c88c5cp-17, 0x1.464c43c33d044p-17, 0x1.44286f4f82356p-17, 0x1.42075105dc149p-17, 0x1.3fe8e7da6f544p-17, 0x1.3dcd3323d2cb6p-17, 0x1.3bb435f152cc8p-17, 0x1.399dedaa6793fp-17, 0x1.378a58ef48d8ep-17, 0x1.35797822de344p-17, 0x1.336b4afe8053fp-17, 0x1.315fd0ea4aa2ap-17, 0x1.2f57095b6b0a8p-17, 0x1.2d50f3a1c1f4bp-17, 0x1.2b4d8f0bebacep-17, 0x1.294cdae4958fdp-17, 0x1.274ed65d80ff9p-17, 0x1.255380a05e32bp-17, 0x1.235ad8ce99e8p-17, 0x1.2164de0ec0513p-17, 0x1.1f718fe56451ep-17, 0x1.1d6759a0a9f5fp-17, 0x1.1b9300652b532p-17, 0x1.19a7a4d70cb8p-17, 0x1.17bef6be64458p-17, 0x1.15d8f28799bap-17, 0x1.13f5942a5abp-17, 0x1.1214d9d28a0b1p-17, 0x1.1036c2250baa6p-17, 0x1.0e5b4bdee29e4p-17, 0x1.0c8275cdc38e9p-17, 0x1.0aac3e99517dep-17, 0x1.08d8a53687b4ep-17, 0x1.0707a7fae65f9p-17, 0x1.0539420e07871p-17, 0x1.036d864335035p-17, 0x1.01a7ef1827e36p-17, 0x1.ffbb6f79fa9b5p-18, 0x1.fc3310bdcafe6p-18, 0x1.f8b00b1807de5p-18, 0x1.f5322650c8d02p-18, 0x1.f1b95ba67e243p-18, 0x1.ee45a77f32f35p-18, 0x1.ead72e57520c3p-18, 0x1.e76d90cd7c74p-18, 0x1.e4093d50fba2dp-18, 0x1.e0a9db90f227p-18, 0x1.dd4f7d6aeeb38p-18, 0x1.d9f9e8a429b0bp-18, 0x1.d6a96cbab95bdp-18, 0x1.d35df7537e1d6p-18, 0x1.d0177153fb7e6p-18, 0x1.ccd600fff0b37p-18, 0x1.c99a7d49c3461p-18, 0x1.c666bb8825039p-18, 0x1.c32b57bff69b2p-18, 0x1.c0009dbb23fbap-18, 0x1.bcd672a34aac7p-18, 0x1.b9b80eadb6195p-18, 0x1.b6953db07d628p-18, 0x1.b379d1e53c286p-18, 0x1.b063fcd8d407dp-18, 0x1.ad5307b93be51p-18, 0x1.aa46cd10b3c02p-18, 0x1.a73f57ef4677fp-18, 0x1.a43cbc564118bp-18, 0x1.a13f5a04c2fb1p-18, 0x1.9e4673db78034p-18, 0x1.9b4f3abb0495ep-18, 0x1.985f29028ec4bp-18, 0x1.95795218a4b96p-18, 0x1.928f20c364f0fp-18, 0x1.8fac04267b6aap-18, 0x1.8cce207104b88p-18, 0x1.89f53fad5d931p-18, 0x1.8720cc340c2ecp-18, 0x1.8451436d189e9p-18, 0x1.81854bcc6b408p-18, 0x1.7ebd2bbfede9dp-18, 0x1.7bfaad191c8d5p-18, 0x1.793dcd86768f6p-18, 0x1.7683f98cff207p-18, 0x1.73ce453c86534p-18, 0x1.711cfe2f1bde7p-18, 0x1.6e70c831475fp-18, 0x1.6bc899fcdc4b9p-18, 0x1.6924e30ba71f6p-18, 0x1.6681b9d2b3122p-18, 0x1.63e9d842eb12ap-18, 0x1.6152c656e6863p-18, }}, 
      {{-0x1.2154bb70fdb4fp-3, -0x1.94b63192170aep-4, -0x1.80bddd15b026bp-5, 0x1.69d9ac0e970a9p-8, 0x1.b830c5b7217b5p-5, 0x1.85ff33044506p-4, 0x1.084ae032dde56p-3, 0x1.3dfac1670935fp-3, 0x1.6534865508842p-3, 0x1.7fae0298fbfbcp-3, 0x1.8f574ae91968ap-3, 0x1.96256229b4965p-3, 0x1.95f294e48472ep-3, 0x1.906cfe1d15c1fp-3, 0x1.870e363a84862p-3, 0x1.7b18dd2a96c33p-3, 0x1.6d99cd11d3eadp-3, 0x1.5f6b7ef3bd249p-3, 0x1.513aa91eb3fa4p-3, 0x1.438b72bc83556p-3, 0x1.36bed0d3c1746p-3, 0x1.2b17c6566f56ap-3, 0x1.20c05985da4bep-3, 0x1.17ce225051cp-3, 0x1.10466268b46p-3, 0x1.0a21a17d8e2a3p-3, 0x1.054ece5c2a177p-3, 0x1.01b5e9d250b9dp-3, 0x1.fe74858d3b3c3p-4, 0x1.fb789998b5a15p-4, 0x1.fa363722ac18ap-4, 0x1.fa6b1c0951c8fp-4, 0x1.fbd66821c13f4p-4, 0x1.fe39f2bf57e7ap-4, 0x1.00ad9ee54e63fp-3, 0x1.02820c1b7bb4dp-3, 0x1.04817fc929e1ep-3, 0x1.0695a73977eaap-3, 0x1.08aaa1be25fb4p-3, 0x1.0aaef5748bdbcp-3, 0x1.0c9379538b08ep-3, 0x1.0e4b37c2c83ap-3, 0x1.0fcb4c5a68668p-3, 0x1.110abec7635ccp-3, 0x1.12025c55697fdp-3, 0x1.12ac913b674c7p-3, 0x1.13054272beb2cp-3, 0x1.1309a8a51ff36p-3, 0x1.12b82c907209dp-3, 0x1.121045216eb85p-3, 0x1.1112576e2a02dp-3, 0x1.0fbf98a7d2998p-3, 0x1.0e19f20d9a27cp-3, 0x1.0c23e6e16d886p-3, 0x1.09e07c5874465p-3, 0x1.0753237a82147p-3, 0x1.047fa4dea1895p-3, 0x1.016a0e30b001cp-3, 0x1.fc2d42dafb4bbp-4, 0x1.f5138b88c9e4cp-4, 0x1.ed8ff4188fd17p-4, 0x1.e5ab916bf0119p-4, 0x1.dd6f7a45c2ed7p-4, 0x1.d4e4b490f189dp-4, 0x1.cc14251ac4b2fp-4, 0x1.c30681a456e32p-4, 0x1.b9c4452c61faep-4, 0x1.b055a648bbd99p-4, 0x1.a6c28f5508a68p-4, 0x1.9d12983a88a91p-4, 0x1.934d019b67f65p-4, 0x1.8978b13bbe716p-4, 0x1.7f9c2f9af8143p-4, 0x1.75bda6aa1fbcep-4, 0x1.6be2e18ddf823p-4, 0x1.62114d45aa0bap-4, 0x1.584dfa034052cp-4, 0x1.4e9d9d068fa7dp-4, 0x1.450492c985198p-4, 0x1.3b86e170c2eb7p-4, 0x1.32283b6bf541ap-4, 0x1.28ec0256f7384p-4, 0x1.1fd54a1135abbp-4, 0x1.16e6dc143afacp-4, 0x1.0e233aefc4577p-4, 0x1.058ca5dfb9307p-4, 0x1.fa4a38b89c83cp-5, 0x1.e9dcc32b170cp-5, 0x1.d9d3ff91028aap-5, 0x1.ca3296d99a9f9p-5, 0x1.bafacc6f512ffp-5, 0x1.ac2e84056733ap-5, 0x1.9dcf4728a0b96p-5, 0x1.8fde4ab9a1586p-5, 0x1.825c743ed2b4cp-5, 0x1.754a5f221743ep-5, 0x1.68a861c66ffc1p-5, 0x1.5c769274b5dfbp-5, 0x1.50b4cc0f2ffa8p-5, 0x1.4562b29028df1p-5, 0x1.3a7fb73fe1e75p-5, 0x1.300b1cb3b585bp-5, 0x1.2603fa8a44776p-5, 0x1.1c6940f08d108p-5, 0x1.1339bbf3eef74p-5, 0x1.0a7416a7146a4p-5, 0x1.0216de1acde1bp-5, 0x1.f441086edf141p-6, 0x1.e51ec4e476712p-6, 0x1.d6c378bffc14dp-6, 0x1.c92b8461dd4c6p-6, 0x1.bc532605cf5d9p-6, 0x1.b0367e352b031p-6, 0x1.a4d193f14ddb6p-6, 0x1.9a2058a036938p-6, 0x1.901eabad6fa15p-6, 0x1.86c85df405decp-6, 0x1.7e1934ecd0af3p-6, 0x1.760ced86fb515p-6, 0x1.6e9f3eeb21a69p-6, 0x1.67cbdcf169c5p-6, 0x1.618e7a6002a3bp-6, 0x1.5be2cb11bacffp-6, 0x1.56c485d51f41bp-6, 0x1.522f6638bb60dp-6, 0x1.4e1f2e1e227c1p-6, 0x1.4a8fa728df063p-6, 0x1.477ca42f004b1p-6, 0x1.44e2024e31a61p-6, 0x1.42bbaa037b984p-6, 0x1.4105904b8b008p-6, 0x1.3fbbb75778853p-6, 0x1.3eda2f5836601p-6, 0x1.3e5d175eb95fep-6, 0x1.3e409dbb0cc11p-6, 0x1.3e8100941a64p-6, 0x1.3f1a8e83b7233p-6, 0x1.4009a6b7a297bp-6, 0x1.414ab95aea799p-6, 0x1.42da480d3053ap-6, 0x1.44b4e5be109e4p-6, 0x1.46d736f0a3e78p-6, 0x1.493df21b1912ep-6, 0x1.4be5df71c4542p-6, 0x1.4ecbd8dc1e52fp-6, 0x1.51ecca44ce236p-6, 0x1.5545b181f77dp-6, 0x1.58d39e00f67c8p-6, 0x1.5c93b118af8fap-6, 0x1.60831daf2023ep-6, 0x1.649f284c98f1ep-6, 0x1.68e526c530476p-6, 0x1.6d528071e5944p-6, 0x1.71e4adda4e1dp-6, 0x1.7699385f184c5p-6, 0x1.7b6dba5c1b179p-6, 0x1.805fdf2366e04p-6, 0x1.856d627f0246p-6, 0x1.8a94106842fd5p-6, 0x1.8fd1c54a2aef6p-6, 0x1.95246de4132dbp-6, 0x1.9a8a06a4b4d94p-6, 0x1.a0009b79c1328p-6, 0x1.a586481ee2fc3p-6, 0x1.ab1937f19f98p-6, 0x1.b0b7a53e03dd5p-6, 0x1.b65fd9097a145p-6, 0x1.bc102b6a5d719p-6, 0x1.c1c70367a9892p-6, 0x1.c782d639ba8cdp-6, 0x1.cd4226f0d3912p-6, 0x1.d30386cffc592p-6, 0x1.d8c5955c1ab15p-6, 0x1.de86ff9cbf583p-6, 0x1.e4467f763e3c3p-6, 0x1.ea02dbe0e1eeep-6, 0x1.efbae94acbd8p-6, 0x1.f56d891e04a22p-6, 0x1.fb19a8c9f6b9dp-6, 0x1.005f20b8a2e4ep-5, 0x1.032d2c35935fp-5, 0x1.05f67fb7fc322p-5, 0x1.08baa9e5c5b9dp-5, 0x1.0b793eb47888ep-5, 0x1.0e31d75c3f6ecp-5, 0x1.10e4129bf44e2p-5, 0x1.138f94bd10d96p-5, 0x1.163407256809fp-5, 0x1.18d117e42fcedp-5, 0x1.1b6679a4dc5dbp-5, 0x1.1df3e3e512c51p-5, 0x1.207912f4f2cf6p-5, 0x1.22f5c7987ea9cp-5, 0x1.2569c69e83294p-5, 0x1.27d4d8c49f11ap-5, 0x1.2a36cad5ce1b6p-5, 0x1.2c8f6da9d3c5p-5, 0x1.2ede95dc10926p-5, 0x1.31241b70ec62p-5, 0x1.335fd9aff3da9p-5, 0x1.3591af2f9ce6fp-5, 0x1.37b97dd3114cfp-5, 0x1.39d72a8f6b992p-5, 0x1.3bea9d18bc8e1p-5, 0x1.3df3bfb5787ffp-5, 0x1.3ff27f44fef02p-5, 0x1.41e6cb49afadbp-5, 0x1.43d095c2de642p-5, 0x1.45afd2da98da7p-5, 0x1.478478a0dcd1cp-5, 0x1.494e7eff1c935p-5, 0x1.4b0ddfd186c1p-5, 0x1.4cc296ee2c9fdp-5, 0x1.4e6ca1f48e318p-5, 0x1.500bfff9207c1p-5, 0x1.51a0b14709f5ep-5, 0x1.532ab75a12e4ap-5, 0x1.54aa14fbf35fep-5, 0x1.561ece53248bap-5, 0x1.5788e8c010646p-5, 0x1.58e86a94bf612p-5, 0x1.5a3d5ad661813p-5, 0x1.5b87c12b4f41ap-5, 0x1.5cc7a5efd8871p-5, 0x1.5dfd124d56aa7p-5, 0x1.5f281031859d7p-5, 0x1.6048aa20245bbp-5, 0x1.615eeafaea232p-5, 0x1.626adde1fece6p-5, 0x1.636c8e36d3d9dp-5, 0x1.646407b0f9a3p-5, 0x1.6551566a69987p-5, 0x1.663486d1264a8p-5, 0x1.670da582df64fp-5, 0x1.67dcbf2a03931p-5, 0x1.68a1e06fa2025p-5, 0x1.695d1602f8781p-5, 0x1.6a0e6caa74ae1p-5, 0x1.6ab5f14d28a82p-5, 0x1.6b53b0e98bd96p-5, 0x1.6be7b87e880e8p-5, 0x1.6c7214f5ab6d4p-5, 0x1.6cf2d31b96805p-5, 0x1.6d69ffa6aa2cbp-5, 0x1.6dd7a74509affp-5, 0x1.6e3bd6a793bebp-5, 0x1.6e969a8144302p-5, 0x1.6ee7ff7b59b18p-5, 0x1.6f3012279b8edp-5, 0x1.6f6edefa2d917p-5, 0x1.6fa4724d23d9dp-5, 0x1.6fd0d86b1540dp-5, 0x1.6ff41d9b1f298p-5, 0x1.700e4e27d1636p-5, 0x1.701f765d846f7p-5, 0x1.7027a2835fe4bp-5, 0x1.7026ded629e09p-5, 0x1.701d3788c5566p-5, 0x1.700ab8ca50782p-5, 0x1.6fef6ecfe88fep-5, 0x1.6fcb65deafa4ep-5, 0x1.6f9eaa520926p-5, 0x1.6f69489c0c436p-5, 0x1.6f2b4d43011ccp-5, 0x1.6ee4c4e03babap-5, 0x1.6e95bc2265eefp-5, 0x1.6e3e3fd2a1b44p-5, 0x1.6dde5cdc82573p-5, 0x1.6d7620563dbecp-5, 0x1.6d0597864c75dp-5, 0x1.6c8ccfe6a3182p-5, 0x1.6c0bd723f4538p-5, 0x1.6b82bb1d8d5e3p-5, 0x1.6af189ec76a0cp-5, 0x1.6a5851d41f3eap-5, 0x1.69b721546c505p-5, 0x1.690e0763bdf8ap-5, 0x1.685d12cf79139p-5, 0x1.67a4533465985p-5, 0x1.66e3d80e92723p-5, 0x1.661bb16e67db2p-5, 0x1.654bef8414537p-5, 0x1.6474a2dfef747p-5, 0x1.6395dc5bbd098p-5, 0x1.62afad2012c0cp-5, 0x1.61c226bb97f4cp-5, 0x1.60cd5af375c52p-5, 0x1.5fd15bfcfc1e7p-5, 0x1.5ece3c5f598d6p-5, 0x1.5dc40efbb39b6p-5, 0x1.5cb2e7063d623p-5, 0x1.5b9ad8086d4fdp-5, 0x1.5a7bf5e2250cep-5, 0x1.595654ccf1993p-5, 0x1.582a095984412p-5, 0x1.56f7286f94b58p-5, 0x1.55bdc74e2114cp-5, 0x1.547dfb898da6ap-5, 0x1.5337db0eb8496p-5, 0x1.51eb7c1958217p-5, 0x1.5098f5404119dp-5, 0x1.4f405d654a64ep-5, 0x1.4de1cbb6cdfeap-5, 0x1.4c7d57b4765e8p-5, 0x1.4b13192473701p-5, 0x1.49a3282855cd2p-5, 0x1.482d9d2f109f3p-5, 0x1.46b290d878bc5p-5, 0x1.45321bf958927p-5, 0x1.43ac57cb6aabp-5, 0x1.42215ddab6504p-5, 0x1.409147cd7dbc8p-5, 0x1.3efc2f99cb573p-5, 0x1.3d622f4bc2d33p-5, 0x1.3bc3614808dd8p-5, 0x1.3a1fe023ee54ap-5, 0x1.3877c6965e511p-5, 0x1.36cb2f8e2a1b9p-5, 0x1.351a3629d721ap-5, 0x1.3364f5aaa1af1p-5, 0x1.31ab8975eda9ap-5, 0x1.2fee0d1528a8cp-5, 0x1.2e2c9c31ae4c6p-5, 0x1.2c67528f7315bp-5, 0x1.2a9e4c0ad5acap-5, 0x1.28d1a496b1f15p-5, 0x1.27017838e45b1p-5, 0x1.252de306c161bp-5, 0x1.2357012193956p-5, 0x1.217ceeb389f43p-5, 0x1.1f9fc7ed4b9cfp-5, 0x1.1dbfa90313e21p-5, 0x1.1bdcae28ede21p-5, 0x1.19f6f38f1a58ep-5, 0x1.180e955ee2838p-5, 0x1.1623afb7b9d3dp-5, 0x1.14365eac73b25p-5, 0x1.1246be407b027p-5, 0x1.1054ea64f105ap-5, 0x1.0e60fef598e02p-5, 0x1.0c6b17b5e2c7fp-5, 0x1.0a73504e17edp-5, 0x1.0879c4484278ap-5, 0x1.067e8f0db6b2fp-5, 0x1.0481cbe3e58c1p-5, 0x1.028395e9947abp-5, 0x1.00840814b2461p-5, 0x1.fd067a5f66f88p-6, 0x1.f9029fae621a4p-6, 0x1.f4fcb4ef20175p-6, 0x1.f0f4ee95500d8p-6, 0x1.eceb80aa8bb1fp-6, 0x1.e8e09ec958b72p-6, 0x1.e4d47c1895299p-6, 0x1.e0c74b474a88dp-6, 0x1.dcb93e88ad35ep-6, 0x1.d8aa8790461a3p-6, 0x1.d49b578e64c99p-6, 0x1.d08bdf2ca990ep-6, 0x1.cc7c4e8a6ba13p-6, 0x1.c86cd5391e878p-6, 0x1.c45da238c9ef1p-6, 0x1.c04ee3f44f6eep-6, 0x1.bc40c83ec91b3p-6, 0x1.b8337c5027fcfp-6, 0x1.b4272cc2ce73ep-6, 0x1.b01c059135275p-6, 0x1.ac123213d5a0ep-6, 0x1.a809dcff0ffaap-6, 0x1.a4033060f7eb6p-6, 0x1.9ffe559f00c15p-6, 0x1.9bfb7573d00f7p-6, 0x1.97fab7ed598afp-6, 0x1.93fc446b0b171p-6, 0x1.9000419c3dc7ep-6, 0x1.8c06d57f08b43p-6, 0x1.8810255f017cap-6, 0x1.841c55d47ce41p-6, 0x1.802b8ac383695p-6, 0x1.7c3de75b08059p-6, 0x1.78538e13ff41p-6, 0x1.746ca0b098c21p-6, 0x1.7089403ba5e61p-6, 0x1.6ca98d082220bp-6, 0x1.68cda6b0d7818p-6, 0x1.64f5ac181097ap-6, 0x1.6121bb6781ed6p-6, 0x1.5d51f21053e23p-6, 0x1.59866ccb511cp-6, 0x1.55bf479929615p-6, 0x1.51fc9dc2bac7bp-6, 0x1.4e3e89d987ec4p-6, 0x1.4a8525b82aa71p-6, 0x1.46d08a82e013ep-6, 0x1.4320d0a8279a5p-6, 0x1.3f760fe1765f3p-6, 0x1.3bd05f33ea008p-6, 0x1.382fd4f12422bp-6, 0x1.349486b83578ap-6, 0x1.30fe8976ab46bp-6, 0x1.2d6df169c7d3p-6, 0x1.29e2d21fab59bp-6, 0x1.265d3e78a8a3p-6, 0x1.22dd48a8ce5fap-6, 0x1.1f63023978f6dp-6, 0x1.1bee7c0a36855p-6, 0x1.187fc651f1ee5p-6, 0x1.1516f0a12d8c3p-6, 0x1.11b409e3d7d8ap-6, 0x1.0e5720621e87ap-6, 0x1.0b0041c1d1302p-6, 0x1.07af7b08baf33p-6, 0x1.0464d89ea6496p-6, 0x1.0120664edf55fp-6, 0x1.fbc45e946b2fdp-7, 0x1.f5547c510ec5dp-7, 0x1.eef139d65e74dp-7, 0x1.e89aa9fe2f9d2p-7, 0x1.e250de7c15e16p-7, 0x1.dc13e7e290e5ep-7, 0x1.d5e3d5a70fb2ep-7, 0x1.cfc0b6247ae97p-7, 0x1.c9aa96a0e565cp-7, 0x1.c3a183511ad12p-7, 0x1.bda5875cb6b88p-7, 0x1.b7b6ace28eabbp-7, 0x1.b1d4fcfd32e0ep-7, 0x1.ac007fc744a06p-7, 0x1.a6393c5ff146dp-7, 0x1.a07f38ef48b0bp-7, 0x1.9ad27aaaacfa8p-7, 0x1.953305d9207a8p-7, 0x1.8fa0ddd7aa3e8p-7, 0x1.8a1c051da56ep-7, 0x1.84a47d4114e46p-7, 0x1.7f3a46fb0647p-7, 0x1.79dd622bdd2ep-7, 0x1.748dcddfd0f7cp-7, 0x1.6f4b885346044p-7, 0x1.6a168ef74e595p-7, 0x1.64eede7638595p-7, 0x1.5fd472b7ca709p-7, 0x1.5ac746e5de771p-7, 0x1.55c75570921bbp-7, 0x1.50d49812ae32dp-7, 0x1.4bef07d5cd47fp-7, 0x1.47169d16ab235p-7, 0x1.424b4f8963fc8p-7, 0x1.3d8d163d84631p-7, 0x1.38dbe7a24ec65p-7, 0x1.3437b98ade5e2p-7, 0x1.2fa081324eb87p-7, 0x1.2b16333fdda5bp-7, 0x1.2698c3cb0d496p-7, 0x1.2228265fa92cbp-7, 0x1.1dc44e01df71p-7, 0x1.196d2d322c8d8p-7, 0x1.1522b5f1534acp-7, 0x1.10e4d9c435807p-7, 0x1.0cb389b7a3f52p-7, 0x1.088eb66421db1p-7, 0x1.04764ff1a4ecep-7, 0x1.006a461b479b2p-7, 0x1.f8d51065eb31cp-8, 0x1.f0ee0a4a1d63bp-8, 0x1.e91f56f8153acp-8, 0x1.e168d2c80f694p-8, 0x1.d9ca595cc2cd2p-8, 0x1.d243c5aa5f2e4p-8, 0x1.cad4f1fd6e26dp-8, 0x1.c37db801797fap-8, 0x1.bc3df0c792de2p-8, 0x1.b51574cc9b456p-8, 0x1.ae041bff6767ep-8, 0x1.a709bdc6bf195p-8, 0x1.a0263107618a6p-8, 0x1.99594c29eded9p-8, 0x1.92a2e52112c3bp-8, 0x1.8c02d16fa7c35p-8, 0x1.8578e62ee15d6p-8, 0x1.7f04f814ab1a4p-8, 0x1.78a6db79c64a2p-8, 0x1.725e645fde038p-8, 0x1.6c2b66773b6dfp-8, 0x1.660db523f5c1cp-8, 0x1.60052382b9da8p-8, 0x1.5a11846dbc91dp-8, 0x1.5432aa8038269p-8, 0x1.4e6868198cc09p-8, 0x1.48b28f62819b7p-8, 0x1.4310f24e84c8ap-8, 0x1.3d8362a419d0cp-8, 0x1.3809b1fb6e993p-8, 0x1.32a3b1c934fcdp-8, 0x1.2d51336279b4bp-8, 0x1.28120804a653fp-8, 0x1.22e600daa64ccp-8, 0x1.1dccef0088a7p-8, 0x1.18c6a38a7a85dp-8, 0x1.13d2ef8c5452cp-8, 0x1.0ef1a41abf9a4p-8, 0x1.0a2292499d37cp-8, 0x1.05658b2d4c688p-8, 0x1.00ba5fdcd15c2p-8, 0x1.f841c2e0f4dc3p-9, 0x1.ef31c2018de75p-9, 0x1.e6445f4dc35a7p-9, 0x1.dd793cff558bp-9, 0x1.d4cffd5f66a4p-9, 0x1.cc4842d5020f7p-9, 0x1.c3e1aff51d0c1p-9, 0x1.bb9be795a894cp-9, 0x1.b3768ce0f6081p-9, 0x1.ab714367371dp-9, 0x1.a38baf2c83d1ap-9, 0x1.9bc574b0dd3e8p-9, 0x1.941e38f1b1763p-9, 0x1.8c95a16448716p-9, 0x1.852b53e990cf7p-9, 0x1.7ddef6bdfa19p-9, 0x1.76b03066b599ep-9, 0x1.6f9ea7a061c4ep-9, 0x1.68aa035222d0ap-9, 0x1.61d1ea87ad1e9p-9, 0x1.5b16047510526p-9, 0x1.5475f8849938cp-9, 0x1.4df16e6e9b356p-9, 0x1.47880e59a5ca7p-9, 0x1.413980ff54f09p-9, 0x1.3b056fd22193cp-9, 0x1.34eb851f6b7a9p-9, 0x1.2eeb6c29489ddp-9, 0x1.2904d1340bdd4p-9, 0x1.23376184cd829p-9, 0x1.1d82cb508c4dfp-9, 0x1.17e6bd9c35db4p-9, 0x1.1262e811ad774p-9, 0x1.0cf6facd26d2bp-9, 0x1.07a2a62b37aabp-9, 0x1.02659a9c21e2fp-9, 0x1.fa7f11099417cp-10, 0x1.f0604063eecd3p-10, 0x1.e66e23c25b89ap-10, 0x1.dca81bc101177p-10, 0x1.d30d8986fc2ffp-10, 0x1.c99dcf504612dp-10, 0x1.c058510ad46cap-10, 0x1.b73c74f494ca1p-10, 0x1.ae49a427146b5p-10, 0x1.a57f4afebda42p-10, 0x1.9cdcd94c0a2c7p-10, 0x1.9461c24505498p-10, 0x1.8c0d7c3174c64p-10, 0x1.83df7fd7ee438p-10, 0x1.7bd747b388f2ep-10, 0x1.73f44f0fbd294p-10, 0x1.6c36111c1263ep-10, 0x1.649c081aeddaap-10, 0x1.5d25acc725e7p-10, 0x1.55d27605137d8p-10, 0x1.4ea1d8f02ed6bp-10, 0x1.479349496602fp-10, 0x1.40a63a3f1d36ap-10, 0x1.39da1f7d2cf1bp-10, 0x1.332e6e6b32214p-10, 0x1.2ca29f77b4c1bp-10, 0x1.26362f4cdbe92p-10, 0x1.1fe89fc9c7ccep-10, 0x1.19b978a04d077p-10, 0x1.13a8477d6f61p-10, 0x1.0db49faf453f5p-10, 0x1.07de19499fa41p-10, 0x1.02244fd5e03ddp-10, 0x1.f90dc14e9456fp-11, 0x1.ee0ad2162376fp-11, 0x1.e33f092190d3fp-11, 0x1.d8a997129a60ep-11, 0x1.ce49a3e255071p-11, 0x1.c41e4de57a85fp-11, 0x1.ba26aa28a238bp-11, 0x1.b061c5fcf8a21p-11, 0x1.a6cea99440c2cp-11, 0x1.9d6c5b6ee268dp-11, 0x1.9439e43cc7ab5p-11, 0x1.8b3652d2296c2p-11, 0x1.8260bfce3a044p-11, 0x1.79b850a11b54p-11, 0x1.713c39a96f99bp-11, 0x1.68ebbf339a6bfp-11, 0x1.60c6353de77aep-11, 0x1.58cafdfa27df1p-11, 0x1.50f98725dcc4fp-11, 0x1.495146708cb0ap-11, 0x1.41d1b545540cfp-11, 0x1.3a7a4c663023ap-11, 0x1.334a7fd48c50cp-11, 0x1.2c41bb83163ecp-11, 0x1.255f6135e1583p-11, 0x1.1ea2c7d3727b1p-11, 0x1.180b3c3070002p-11, 0x1.119803288b5d4p-11, 0x1.0b485ca45dfddp-11, 0x1.051b870f0a99p-11, 0x1.fe218575c49e2p-12, 0x1.f24ea9a48403dp-12, 0x1.e6bd13319b89bp-12, 0x1.db6b6b8cf88b2p-12, 0x1.d05870247564ep-12, 0x1.c582f093cbb43p-12, 0x1.bae9d0bcc75adp-12, 0x1.b08c07018a8ep-12, 0x1.a6689a5ab8f6p-12, 0x1.9c7e9f7a966cp-12, 0x1.92cd34998d44bp-12, 0x1.89537c627bf9bp-12, 0x1.801097d6b03ddp-12, 0x1.7703a0c97cbcap-12, 0x1.6e2ba558b70cap-12, 0x1.6587a5c9a07e2p-12, 0x1.5d16957051286p-12, 0x1.54d75ebe250a6p-12, 0x1.4cc8e9d18559ep-12, 0x1.44ea241882ce3p-12, 0x1.3d3a07279026cp-12, 0x1.35b79d12095b9p-12, 0x1.2e6201336e0a1p-12, 0x1.27385d7ce7acdp-12, 0x1.2039e57169cedp-12, 0x1.1965d0b6178d1p-12, 0x1.12bb5727daae5p-12, 0x1.0c39afbdc90c3p-12, 0x1.05e01265ccb4cp-12, 0x1.ff5b77bd73de4p-13, 0x1.f343e39b9668cp-13, 0x1.e7780a590e12p-13, 0x1.dbf6a337a24e9p-13, 0x1.d0be72d20b6e6p-13, 0x1.c5ce3dea766ep-13, 0x1.bb24bad0a23bbp-13, 0x1.b0c0858c8d5fbp-13, 0x1.a6a01a5af82bbp-13, 0x1.9cc1d8a7ed41cp-13, 0x1.93240e703c9efp-13, 0x1.89c509459f0a1p-13, 0x1.80a32923e9c45p-13, 0x1.77bcf0d9bd75fp-13, 0x1.6f110f5a3353p-13, 0x1.669e5ebe1546fp-13, 0x1.5e63d87aaf17bp-13, 0x1.5660815d52736p-13, 0x1.4e9352fd9da5ep-13, 0x1.46fb2a0317c5fp-13, 0x1.3f96bfa447a44p-13, 0x1.3864b140f8bb6p-13, 0x1.3163940375d2bp-13, 0x1.2a920e2ee7446p-13, 0x1.23eeedb1bebdcp-13, 0x1.1d79348be43b8p-13, 0x1.17301702e5a6fp-13, 0x1.1112ec6f62aa4p-13, 0x1.0b211806b1b1bp-13, 0x1.0559f1ac0374fp-13, 0x1.ff796cce1d49fp-14, 0x1.f491093b36f0dp-14, 0x1.e9f8c6e49f798p-14, 0x1.dfaea154b1c78p-14, 0x1.d5b09f02cedb3p-14, 0x1.cbfce84d5cf75p-14, 0x1.c291d4a27c844p-14, 0x1.b96dee56834b2p-14, 0x1.b08fee362f112p-14, 0x1.a7f6aea0fb056p-14, 0x1.9fa1153721cdep-14, 0x1.978df41d3d0fap-14, 0x1.8fbbe82a88163p-14, 0x1.88293e2871a2bp-14, 0x1.80d3eb0cf65e6p-14, 0x1.79b99f3489219p-14, 0x1.72d7f2f853e13p-14, 0x1.6c2c9fe39c6f1p-14, 0x1.65b5b3c1d029bp-14, 0x1.5f71ad7ea162bp-14, 0x1.595f7d0afa465p-14, 0x1.537e690c0bc6fp-14, 0x1.4dcde375bf63fp-14, 0x1.484d59ccd3bd6p-14, 0x1.42fc0eefe6841p-14, 0x1.3dd909114e87ep-14, 0x1.38e31610b80f4p-14, 0x1.3418df6830e94p-14, 0x1.2f7903296193cp-14, 0x1.2b022a84ee589p-14, 0x1.26b31a9e768aep-14, 0x1.228abd7ce636ap-14, 0x1.1e882051e6a9bp-14, 0x1.1aaa67047162ep-14, 0x1.16f0bb7c3d84ep-14, 0x1.135a43159c4f2p-14, 0x1.0fe6200cbbc34p-14, 0x1.0c937a421407cp-14, 0x1.096183c9b2c07p-14, 0x1.064f711093aa9p-14, 0x1.035c67a4688b6p-14, 0x1.0087705d1f8b3p-14, 0x1.fb9ef21550b12p-15, 0x1.f666ca5f93fb4p-15, 0x1.f1643eed94dbbp-15, 0x1.ec953cf0d99d2p-15, 0x1.e7f7bf101d3dcp-15, 0x1.e389d20c3b819p-15, 0x1.df49bf2ed01f9p-15, 0x1.db36461ded055p-15, 0x1.d74eb698c7712p-15, 0x1.d392cf492bcafp-15, 0x1.d0026e742e13fp-15, 0x1.cc9d3b2f87976p-15, 0x1.c96272fb02f95p-15, 0x1.c650f8b787a9cp-15, 0x1.c3679aa2d8ce6p-15, 0x1.c0a554ae80fb6p-15, 0x1.be09534f64091p-15, 0x1.bb92c5d42d2dp-15, 0x1.b9409ad42007dp-15, 0x1.b7113436e587bp-15, 0x1.b5026dd0c7f6ap-15, 0x1.b31204408b33ep-15, 0x1.b13deac6475e9p-15, 0x1.af8471b8f2619p-15, 0x1.ade4628686be3p-15, 0x1.ac5cf6add0a59p-15, 0x1.aaeda5ad09e6p-15, 0x1.a995e974d2b71p-15, 0x1.a8551b34f8a6ep-15, 0x1.a72a78f8b6f61p-15, 0x1.a6153d57d8ee7p-15, 0x1.a514971f3b54ap-15, 0x1.a42773b7ad05p-15, 0x1.a34c62b61810bp-15, 0x1.a281e8493ecbap-15, 0x1.a1c71fc9f2bf2p-15, 0x1.a11c16553da8ep-15, 0x1.a081708580864p-15, 0x1.9ff796291e2e9p-15, 0x1.9f7e0eb2088c9p-15, 0x1.9f1389868b7b3p-15, 0x1.9eb6855a99cp-15, 0x1.9e660baf23f47p-15, 0x1.9e21ee0216365p-15, 0x1.9dea6bfaa868fp-15, 0x1.9dbfab592b40ep-15, 0x1.9da16e9fd0bb3p-15, 0x1.9d8f1aeaef275p-15, 0x1.9d87dd96cb825p-15, 0x1.9d8acb13f1a3ap-15, 0x1.9d96f1b61865ap-15, 0x1.9dab6aab942e8p-15, 0x1.9dc76ed93fce6p-15, 0x1.9dea6af01fa21p-15, 0x1.9e1409b2f610fp-15, 0x1.9e442b6725b22p-15, 0x1.9e7ac4fa904c6p-15, 0x1.9eb7b5412dea8p-15, 0x1.9efaa4779afb3p-15, 0x1.9f43116089d1fp-15, 0x1.9f907f768e452p-15, 0x1.9fe287be76a9bp-15, 0x1.a0389a4dc0623p-15, 0x1.a091b76a5b2p-15, 0x1.a0ecb1922fafap-15, 0x1.a148eee9c998ep-15, 0x1.a1a6c23f7c7a1p-15, 0x1.a206d0381f55cp-15, 0x1.a2692fc67d5d2p-15, 0x1.a2cd3d22c77fbp-15, 0x1.a332334f39f7cp-15, 0x1.a397cc7a2176p-15, 0x1.a3fe3d8574c54p-15, 0x1.a465b4a89522ep-15, 0x1.a4ce048028dcdp-15, 0x1.a536ba1c0f541p-15, 0x1.a59f592076d7fp-15, 0x1.a607836c2582dp-15, 0x1.a66f040408a41p-15, 0x1.a6d5c36ddc712p-15, 0x1.a73bb274b05c2p-15, 0x1.a7a0c277458a8p-15, 0x1.a804d80bc3968p-15, 0x1.a867c524f7cffp-15, 0x1.a8c94c7d0c7ebp-15, 0x1.a9292c3c50aabp-15, 0x1.a98728fad8d65p-15, 0x1.a9e3136169591p-15, 0x1.aa3cc5129124ap-15, 0x1.aa94161458a38p-15, 0x1.aae8d52ba2539p-15, 0x1.ab3ad2677c418p-15, 0x1.ab89ebb973b38p-15, 0x1.abd63c8a7797bp-15, 0x1.ac1fce43e73e9p-15, 0x1.ac666aa704f07p-15, 0x1.aca9b771824c2p-15, 0x1.ace980fdd2fd7p-15, 0x1.ad25de8d75831p-15, 0x1.ad5ed854522d2p-15, 0x1.ad9440830ca0bp-15, 0x1.adc5f5817ae6fp-15, 0x1.adf40301d7beap-15, 0x1.ae1e6d2f265cbp-15, 0x1.ae45136895c2fp-15, 0x1.ae67d03e01671p-15, 0x1.ae86921d0e93p-15, 0x1.aea15586f0b4ep-15, 0x1.aeb818dd81236p-15, 0x1.aecad708e3cccp-15, 0x1.aed9874c031c3p-15, 0x1.aee41e8464234p-15, 0x1.aeea904045a1p-15, 0x1.aeeccf96b137fp-15, 0x1.aeead00b52cf2p-15, 0x1.aee4866ffc091p-15, 0x1.aed9e944b9d7fp-15, 0x1.aecaf0842999ap-15, 0x1.aeb7959f0e81fp-15, 0x1.ae9fd449a3a81p-15, 0x1.ae83ab1841285p-15, 0x1.ae6319e50a2efp-15, 0x1.ae3e1df037b0bp-15, 0x1.ae14b0425bae8p-15, 0x1.ade6cc7588efap-15, 0x1.adb47c5ac0eebp-15, 0x1.ad7dd6d60832ep-15, 0x1.ad42e6a86133fp-15, 0x1.ad038dc72e02p-15, 0x1.acbf9c7d59834p-15, 0x1.ac771ccefb49fp-15, 0x1.ac2a3c35fbba3p-15, 0x1.abd8f5af00dffp-15, 0x1.ab835c858958bp-15, 0x1.ab29b20bb7dd4p-15, 0x1.aacbd1c6d061cp-15, 0x1.aa695d65f994p-15, 0x1.aa024ecc12719p-15, 0x1.a996db6e81e62p-15, 0x1.a9272af53319ap-15, 0x1.a8b34ae6dba66p-15, 0x1.a83b3bf829ad9p-15, 0x1.a7befaffa030fp-15, 0x1.a73e82f1c8894p-15, 0x1.a6b9ccdd48ccep-15, 0x1.a630d38d97537p-15, 0x1.a5a39d5424aa7p-15, 0x1.a51235906afep-15, 0x1.a47c88f67a32fp-15, 0x1.a3e2c1083963p-15, 0x1.a3451c125889dp-15, 0x1.a2a41bfd6f9d9p-15, 0x1.a1fe890d82092p-15, 0x1.a155a7592236dp-15, 0x1.a0a8db23a155fp-15, 0x1.9ff824cecc2bfp-15, 0x1.9f43ab355b881p-15, 0x1.9e8b9507b82adp-15, 0x1.9dcfdf5d4a52fp-15, 0x1.9d1066d794f4ep-15, 0x1.9c4d1c951bddep-15, 0x1.9b86215de607ap-15, 0x1.9abba5b387787p-15, 0x1.99edb54d51039p-15, 0x1.991c1bf5d392p-15, 0x1.9846b270c10afp-15, 0x1.976deaf2b715dp-15, 0x1.9692209c8fb19p-15, 0x1.95b359bf0126ep-15, 0x1.94d19efb072bcp-15, 0x1.93ec6d6c8c7d8p-15, 0x1.9303a71bcfc0cp-15, 0x1.9217a81e92774p-15, 0x1.9128a6c1e7e11p-15, 0x1.9036ad80cc552p-15, 0x1.8f41bd404b9cbp-15, 0x1.8e49d9dd9a678p-15, 0x1.8d4f0af076072p-15, 0x1.8c515a603bdb4p-15, 0x1.8b50d33f04596p-15, 0x1.8a4d813377f68p-15, 0x1.894770300623cp-15, 0x1.883eac335375ap-15, 0x1.873340f9e1212p-15, 0x1.86253a10e70a9p-15, 0x1.8514a22e91ce2p-15, 0x1.840183f1698ddp-15, 0x1.82ebe9eb14b45p-15, 0x1.81d3ded950c67p-15, 0x1.80b96d39a63a1p-15, 0x1.7f9c9e547b2fcp-15, 0x1.7e7d791cc3ef7p-15, 0x1.7d5c012a8170ap-15, 0x1.7c3836b1703fp-15, 0x1.7b121b9e31c1p-15, 0x1.79e9c26198798p-15, 0x1.78bf57abe7759p-15, 0x1.77930636f6ea8p-15, 0x1.7664cd16435eep-15, 0x1.75349a75b1d17p-15, 0x1.74028b30f87fp-15, 0x1.72cecaa6346cdp-15, 0x1.719928e11c54bp-15, 0x1.7061506175a18p-15, 0x1.6f279f571491fp-15, 0x1.6dec855bdb9e8p-15, 0x1.6cafdfd07467bp-15, 0x1.6b715d28f6c2fp-15, 0x1.6a313445cb0b9p-15, 0x1.68ef94c8fd1a4p-15, 0x1.67ac82db89af9p-15, 0x1.6667fe2297d8bp-15, 0x1.65220b7b1832bp-15, 0x1.63dab317c521cp-15, 0x1.6291fe8d0a735p-15, 0x1.6147f7e43ff5ep-15, 0x1.5ffca943a7f1dp-15, 0x1.5eb01cd9cc42bp-15, 0x1.5d625ce5465f1p-15, 0x1.5c13739e23ae6p-15, 0x1.5ac36a151a715p-15, 0x1.5972469df9367p-15, 0x1.582010abe68b2p-15, 0x1.56ccddb5a343bp-15, 0x1.5578aafbf7bap-15, 0x1.54238f796e259p-15, 0x1.52cd8aba6ea1fp-15, 0x1.5176a15061248p-15, 0x1.501edfcdd990ep-15, 0x1.4ec65168897c6p-15, 0x1.4d6cff1cc6e7dp-15, 0x1.4c12f0ccdb3cbp-15, 0x1.4ab834508bf33p-15, 0x1.495cc100e0aaep-15, 0x1.4800b738ad42fp-15, 0x1.46a4101a611b8p-15, 0x1.4546d73cb51f4p-15, 0x1.43e91475ff26dp-15, 0x1.428acfd050de4p-15, 0x1.412c11d6cd97fp-15, 0x1.3fcce3123934p-15, 0x1.3e6d4b82f12f1p-15, 0x1.3d0d4fca1e8ebp-15, 0x1.3bacf1913e1adp-15, 0x1.3a4c41ec57731p-15, 0x1.38eb43510560ep-15, 0x1.3789fbe8c158ap-15, 0x1.362881b78150ep-15, 0x1.34c6d9a47ee2cp-15, 0x1.3365009771f15p-15, 0x1.3202fac85844fp-15, 0x1.30a0cca3fb7dbp-15, 0x1.2f3e988781a34p-15, 0x1.2ddc43d9aeb78p-15, 0x1.2c79e170bedeep-15, 0x1.2b178323a09p-15, 0x1.29b52d38b63d7p-15, 0x1.2852c93ac3714p-15, 0x1.26f08372444e5p-15, 0x1.258e37b734b5cp-15, 0x1.242c18f61aa4ep-15, 0x1.22ca1efc6e847p-15, 0x1.2168480aba033p-15, 0x1.20069bf05061bp-15, 0x1.1ea521c2a548dp-15, 0x1.1d43dfdc6a2abp-15, 0x1.1be2dc3588f16p-15, 0x1.1a821c714f03bp-15, 0x1.1921a5f045b8cp-15, 0x1.17c17df61bc7dp-15, 0x1.1661a9c545604p-15, 0x1.15022ea07224p-15, 0x1.13a311bc38577p-15, 0x1.12445823fe0fp-15, 0x1.10e606a6e68fap-15, 0x1.0f8821c75ee7p-15, 0x1.0e2aae175e6f5p-15, 0x1.0ccdb1357bf4ap-15, 0x1.0b71321c409ep-15, 0x1.0a1536de70fd1p-15, 0x1.08b9c2caf4519p-15, 0x1.075ed87c30c35p-15, 0x1.06047a970675fp-15, 0x1.04aaa7d9933abp-15, 0x1.035164723b53cp-15, 0x1.01f8b5f9f1282p-15, 0x1.00a0d29a888e7p-15, 0x1.fe93053bb64f2p-16, 0x1.fbe5a803bf1c1p-16, 0x1.f93999202c309p-16, 0x1.f68ee8ded118fp-16, 0x1.f3e59fe7b91bep-16, 0x1.f13dc4c8e6d9ap-16, 0x1.ee975d780bb39p-16, 0x1.ebf26fc581e1dp-16, 0x1.e94f0150a5443p-16, 0x1.e6ad165ce0748p-16, 0x1.e40cb1ae6db8dp-16, 0x1.e16de1b758f18p-16, 0x1.ded0d8c1dd807p-16, 0x1.dc35a51ab5e0bp-16, 0x1.d99be107c6a98p-16, 0x1.d703a13c38f18p-16, 0x1.d46d55080ccb5p-16, 0x1.d1d8dc76de9f9p-16, 0x1.cf4611028f9c9p-16, 0x1.ccb4fed1c35cfp-16, 0x1.ca25b55c6bbdfp-16, 0x1.c7983102e7057p-16, 0x1.c50c78bfe8257p-16, 0x1.c282b3e06705fp-16, 0x1.bffad1ce1b09ep-16, 0x1.bd74e73206e23p-16, 0x1.baf0ed20bee63p-16, 0x1.b86ed14a4840ep-16, 0x1.b5eea799b52c7p-16, 0x1.b3707b7fb45a3p-16, 0x1.b0f4507716624p-16, 0x1.ae7a2901cf94ep-16, 0x1.ac0207e5c4cdp-16, 0x1.a98bf1298c467p-16, 0x1.a717eb75f8d65p-16, 0x1.a4a5fcee7939dp-16, 0x1.a236272f6b41fp-16, 0x1.9fc86bf44ce0ap-16, 0x1.9d5cceeda3fd4p-16, 0x1.9af353e176f9fp-16, 0x1.988bf2f6c6bp-16, 0x1.9626a0a7971c8p-16, 0x1.93c3a334afa55p-16, 0x1.9162e8965d20ep-16, 0x1.8f04453b9a33fp-16, 0x1.8ca7d18470b72p-16, 0x1.8a4d96a994805p-16, 0x1.87f5979dd10bp-16, 0x1.859fd7a007b6p-16, 0x1.834c5a12b80b6p-16, 0x1.80fb1ad9903e1p-16, 0x1.7eac108d9b3ecp-16, 0x1.7c5f52dcf1877p-16, 0x1.7a14ed08a8d91p-16, 0x1.77ccd894f6249p-16, 0x1.758702e1470d5p-16, 0x1.73437814cf4b4p-16, 0x1.7102409b49a4ep-16, 0x1.6ec35d7de4484p-16, 0x1.6c86cf4c107a9p-16, 0x1.6a4c93280f37dp-16, 0x1.6814b3606e8c6p-16, 0x1.65df18225850dp-16, 0x1.63abf830d2105p-16, 0x1.617b46cd047c6p-16, 0x1.5f4cd5c1ab22ap-16, 0x1.5d20a8ae52d7bp-16, 0x1.5af6df0564717p-16, 0x1.58cf96776ab92p-16, 0x1.56aaa8b21e6e6p-16, 0x1.54881aaf59939p-16, 0x1.5267efe9a3412p-16, 0x1.504a21c269b0dp-16, 0x1.4e2ea5054271ap-16, 0x1.4c158c7806768p-16, 0x1.49feeb1cd7fe2p-16, 0x1.47eae03465742p-16, 0x1.45d93faf6ffb3p-16, 0x1.43c9d32323d67p-16, 0x1.41bcd6786b6d9p-16, 0x1.3fb2591fb1cbep-16, 0x1.3daa34cf3932ep-16, 0x1.3ba477a097f89p-16, 0x1.39a124966e1d5p-16, 0x1.37a03d2ab573p-16, 0x1.35a1c121607ccp-16, 0x1.33a5a6360ec88p-16, 0x1.31abf78d32f35p-16, 0x1.2fb4c6982dcb3p-16, 0x1.2dc005a90b145p-16, 0x1.2bcd86a4eca49p-16, 0x1.29dd858649aep-16, 0x1.27efee18b5088p-16, 0x1.2604bfdd7f059p-16, 0x1.241bfa68b0837p-16, 0x1.22359d4ea25c9p-16, 0x1.2051a81c92af4p-16, 0x1.1e701a56d3602p-16, 0x1.1c90f3773c583p-16, 0x1.1ab432edaf61dp-16, 0x1.18d9d820224p-16, 0x1.1701e26a2e44ep-16, 0x1.152c511d59192p-16, 0x1.13592381444b1p-16, 0x1.118858d3ad4e2p-16, 0x1.0fb9f048d8208p-16, 0x1.0dede90b07d32p-16, 0x1.0c24423a4cd16p-16, 0x1.0a5cfaedc9236p-16, 0x1.08981233283dbp-16, 0x1.06d58637e3b57p-16, 0x1.051558bac1ad7p-16, 0x1.035785e063a31p-16, 0x1.019c0d83dc5ap-16, 0x1.ffc5dd101a297p-17, 0x1.fc584f96546afp-17, 0x1.f8ef704b0c3aep-17, 0x1.f58b3ce1d985ap-17, 0x1.f22bb2f43b096p-17, 0x1.eed0cfb21c27ap-17, 0x1.eb7a911c9694p-17, 0x1.e828f5f1df2eep-17, 0x1.e4dbf8ee830fcp-17, 0x1.e193a6435705cp-17, 0x1.de4fdd69adb3bp-17, 0x1.db108d8147e97p-17, 0x1.d7d5e99dd4a7bp-17, 0x1.d49fd711d3cadp-17, 0x1.d16e6cda10005p-17, 0x1.ce419340c25a7p-17, 0x1.cb1923b2007cbp-17, 0x1.c7f5343fd7edcp-17, 0x1.c4d5cbc511037p-17, 0x1.c1badf18aa83cp-17, 0x1.bea4778423395p-17, 0x1.bb92861c1007dp-17, 0x1.b8859dde31d4cp-17, 0x1.b57bfb7b5b94cp-17, 0x1.b2775d5e83621p-17, 0x1.af772a3b2002fp-17, 0x1.ac7b5f6713f9ap-17, 0x1.a983fb44fb2afp-17, 0x1.a6911f287e2d1p-17, 0x1.a3a26b9146d2p-17, 0x1.a0b7ea8b43d64p-17, 0x1.9dd1d7483fae4p-17, 0x1.9af02485b7f19p-17, 0x1.9812e1339fdd3p-17, 0x1.953a1dd8e5505p-17, 0x1.9265375793a9dp-17, 0x1.8f949efe59cc9p-17, 0x1.8cc8051bd3b02p-17, 0x1.8a0030dc5a512p-17, 0x1.873c7e78e6f14p-17, 0x1.847cd4a66f8dap-17, 0x1.81c15bf216afdp-17, 0x1.7f0a149e4149cp-17, 0x1.7c56f7727a416p-17, 0x1.79a800e2d04ap-17, 0x1.76fd26d6acf1bp-17, 0x1.74566ad85068fp-17, 0x1.71b3c7022247dp-17, 0x1.6f153750d4837p-17, 0x1.6c7ab7c27180ap-17, 0x1.69e4444fa0754p-17, 0x1.6751d8f57f6cap-17, 0x1.64c37241470d4p-17, 0x1.6238eecf1e004p-17, 0x1.5fb29ca7f456p-17, 0x1.5d30291bf2a2bp-17, 0x1.5ab1a7780a9cbp-17, 0x1.583715400bb1p-17, 0x1.55c06e3359affp-17, 0x1.534dae30927bcp-17, 0x1.50ded0fe31bebp-17, 0x1.4e73d1b05cbe1p-17, 0x1.4c0cac9843aebp-17, 0x1.49a95db8977e7p-17, 0x1.4749e0a6ae96p-17, 0x1.44ee3125ebd8ap-17, 0x1.42964acc5a42bp-17, 0x1.40422982b4e2cp-17, 0x1.3df1c8e98c823p-17, 0x1.3ba524bd70e88p-17, 0x1.395c38cffe799p-17, 0x1.371700cfaa9d3p-17, 0x1.34d578723ba7p-17, 0x1.32979b700d42bp-17, 0x1.305d6585fc9bbp-17, 0x1.2e26d2983c313p-17, 0x1.2bf164006802dp-17, 0x1.29c4886784dd8p-17, 0x1.2798c01759df3p-17, 0x1.25708b69361a6p-17, 0x1.234be536cbc83p-17, 0x1.212ac835f6c24p-17, 0x1.1f0d2fe4efa42p-17, 0x1.1cf317eb93f5p-17, 0x1.1adc7bf74ac09p-17, 0x1.18c957b0f5d3cp-17, 0x1.16b9a6d001554p-17, 0x1.14ad64fc07edfp-17, 0x1.12a48de9a75a8p-17, 0x1.109f1d79b7c0ap-17, 0x1.0e9d0e53f58f1p-17, 0x1.0c9e2f7dd590ap-17, 0x1.0aa306b0dc8bep-17, 0x1.08ab06f9b9eb5p-17, 0x1.06b65730392a9p-17, 0x1.04c4f4acdcce4p-17, 0x1.02d6db856410bp-17, 0x1.00ebf5672acb8p-17, 0x1.fe08a41b62cep-18, 0x1.fa40140cb9532p-18, 0x1.f67dcf1d5489ep-18, 0x1.f2c1e727e1469p-18, 0x1.ef0c5d7d61845p-18, 0x1.eb5d3b2832fap-18, 0x1.e7b45b4b974c5p-18, 0x1.e411b8e0370a3p-18, 0x1.e07553048f195p-18, 0x1.dcdf1deb5f7d5p-18, 0x1.d94f065c7f3b9p-18, 0x1.d5c4e8a6c2de9p-18, 0x1.d24192976efc7p-18, 0x1.cec3c136148a3p-18, 0x1.cb4c13bf3d467p-18, 0x1.c7da0d4f0c7b5p-18, 0x1.c46e8920298b2p-18, 0x1.c108cdf892d1bp-18, 0x1.bda8eec321f2ep-18, 0x1.ba4eed464e8c2p-18, 0x1.b6fac37948f08p-18, 0x1.b3ac688d94f17p-18, 0x1.b063d9499f0a7p-18, 0x1.ad21179e3fd6cp-18, 0x1.a9e406a21eb3bp-18, 0x1.a6ac4efcc46fcp-18, 0x1.a37a840cbe8bdp-18, 0x1.a04eecc799b04p-18, 0x1.9d2807b8dab73p-18, 0x1.9a06f59d1efafp-18, 0x1.96eb7028556e8p-18, 0x1.93d53bec61f5dp-18, 0x1.90c4c9be8ab4dp-18, 0x1.8db9c93f07ecp-18, 0x1.8ab3f2dc1ec8bp-18, 0x1.87b365524a6c3p-18, 0x1.84b868466a277p-18, 0x1.81c330adb91cdp-18, 0x1.7ed2722977eb3p-18, 0x1.7be7025ed2019p-18, 0x1.7900f23d19f7bp-18, 0x1.7620759c4c0f5p-18, 0x1.7344cb3924a3bp-18, 0x1.706e21419afadp-18, 0x1.6d9cda6b36b25p-18, 0x1.6ad049e8c9067p-18, 0x1.6808f07ad93a8p-18, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{-0x1.4b386b01229c6p-1, -0x1.4b44c70eadf46p-1, -0x1.4b5826919d66ap-1, -0x1.4b70d238420f5p-1, -0x1.4b8c9624695dep-1, -0x1.4ba8e5a6367ddp-1, -0x1.4bc2fe4b8543dp-1, -0x1.4bd808063bc46p-1, -0x1.4be530e8f68adp-1, -0x1.4be7c3b563eddp-1, -0x1.4bdd391d1cf7fp-1, -0x1.4bc3441135b53p-1, -0x1.4b97d9c7c8b6cp-1, -0x1.4b59363e270dfp-1, -0x1.4b05ddfd19fdep-1, -0x1.4a9c9dced290ap-1, -0x1.4a1c88f6bfffdp-1, -0x1.4984f65a61645p-1, -0x1.48d57cec69e3p-1, -0x1.480def93ae951p-1, -0x1.472e58b5e4bd9p-1, -0x1.4636f582acebfp-1, -0x1.4528311496f49p-1, -0x1.44029f7a3fca6p-1, -0x1.42c6f8b82fcf3p-1, -0x1.417613d39e025p-1, -0x1.4010e1f5f097cp-1, -0x1.3e9869b844588p-1, -0x1.3d0dc2a52eab3p-1, -0x1.3b7210fd51cf6p-1, -0x1.39c681c939eedp-1, -0x1.380c47407c5d9p-1, -0x1.3644958b71b5ep-1, -0x1.34709fe232bf9p-1, -0x1.329196090028fp-1, -0x1.30a8a227f8c41p-1, -0x1.2eb6e6fa1485fp-1, -0x1.2cbd7e4dd7b58p-1, -0x1.2abd77d109138p-1, -0x1.28b7d82004146p-1, -0x1.26ad9810d253cp-1, -0x1.249fa432348aep-1, -0x1.228edc76ec05p-1, -0x1.207c140608c39p-1, -0x1.1e68112989879p-1, -0x1.1c538d554a6e5p-1, -0x1.1a3f3540fccf1p-1, -0x1.182ba9109c694p-1, -0x1.16197c879c12fp-1, -0x1.14093743b393p-1, -0x1.11fb54fce482bp-1, -0x1.0ff045c8db714p-1, -0x1.0de86e6063a6ep-1, -0x1.0be42866031d8p-1, -0x1.09e3c2ad45843p-1, -0x1.07e7818273abfp-1, -0x1.05ef9ef2c0625p-1, -0x1.03fc4b150f724p-1, -0x1.020dac53a1586p-1, -0x1.0023dfb6f5777p-1, -0x1.fc7df264847a3p-2, -0x1.f8be07e3b73d5p-2, -0x1.f5080557acdabp-2, -0x1.f15bdfe65d537p-2, -0x1.edb97d1b3d25cp-2, -0x1.ea20b3988ca86p-2, -0x1.e6914bce61453p-2, -0x1.e30b00b74724cp-2, -0x1.df8d809a4e6fap-2, -0x1.dc186dd20eb76p-2, -0x1.d8ab5f9830d1cp-2, -0x1.d545e2d4ce58fp-2, -0x1.d1e77af0f04b1p-2, -0x1.ce8fa2ab60487p-2, -0x1.cb3dcceee4a79p-2, -0x1.c7f165a9038efp-2, -0x1.c4a9d2a0588bap-2, -0x1.c166744981841p-2, -0x1.be26a699bfa63p-2, -0x1.bae9c1d64b075p-2, -0x1.b7af1b5f856aep-2, -0x1.b4760677270b2p-2, -0x1.b13dd5009e2a4p-2, -0x1.ae05d83ae28acp-2, -0x1.aacd617313ec6p-2, -0x1.a793c2af4af25p-2, -0x1.a4584f51148a2p-2, -0x1.a11a5caf26ce2p-2, -0x1.9dd942a5f7dbdp-2, -0x1.9a945c1ee4d22p-2, -0x1.974b078db9062p-2, -0x1.93fca764707d3p-2, -0x1.90a8a27d26b86p-2, -0x1.8d4e647a32b28p-2, -0x1.89ed5e1c7cd13p-2, -0x1.868505903ba64p-2, -0x1.8314d6b034876p-2, -0x1.7f9c533fcd646p-2, -0x1.7c1b031c27b6fp-2, -0x1.78907464a0065p-2, -0x1.74fc3b9b02ec5p-2, -0x1.715df3bbe0465p-2, -0x1.6db53e4f5c756p-2, -0x1.6a01c372f041fp-2, -0x1.664331dc84774p-2, -0x1.62793ed75b1ebp-2, -0x1.5ea3a63b3d8abp-2, -0x1.5ac22a5e59a02p-2, -0x1.56d4940250fep-2, -0x1.52dab23cdba54p-2, -0x1.4ed45a5c7d3c4p-2, -0x1.4ac167c9af015p-2, -0x1.46a1bbe4f2f7bp-2, -0x1.42753de22dfe5p-2, -0x1.3e3bdaa1b3ae1p-2, -0x1.39f584875b157p-2, -0x1.35a2334ffb50ep-2, -0x1.3141e3e5a1cccp-2, -0x1.2cd49832d00a7p-2, -0x1.285a56f50e4fep-2, -0x1.23d32b8f1306fp-2, -0x1.1f3f25dac3d9ep-2, -0x1.1a9e59fb42afp-2, -0x1.15f0e02f43a73p-2, -0x1.1136d4a3d1f03p-2, -0x1.0c705747b8333p-2, -0x1.079d8b9fa5afep-2, -0x1.02be989b3e32ep-2, -0x1.fba750d64a5a2p-3, -0x1.f1b9d0b04569cp-3, -0x1.e7b51136eb981p-3, -0x1.dd997870c2359p-3, -0x1.d36771ae03ed2p-3, -0x1.c91f6d40eed63p-3, -0x1.bec1e038c5e73p-3, -0x1.b44f441f8e924p-3, -0x1.a9c816ba7f1edp-3, -0x1.9f2cd9cd25a9p-3, -0x1.947e12df4605ep-3, -0x1.89bc4b054ee0ap-3, -0x1.7ee80eab74251p-3, -0x1.7401ed6341da2p-3, -0x1.690a79b3aa105p-3, -0x1.5e0248eb69d3fp-3, -0x1.52e9f2f5b7f12p-3, -0x1.47c212311ddfp-3, -0x1.3c8b434861505p-3, -0x1.3146250d6a2ep-3, -0x1.25f35856038f2p-3, -0x1.1a937fda5c68cp-3, -0x1.0f27401533bc5p-3, -0x1.03af3f2586eb3p-3, -0x1.f0584963683b3p-4, -0x1.d93d3397e3e74p-4, -0x1.c20e91affd2f4p-4, -0x1.aacdbae3dea79p-4, -0x1.937c08ac13f24p-4, -0x1.7c1ad693148c5p-4, -0x1.64ab820891abap-4, -0x1.4d2f6a36309f4p-4, -0x1.35a7efd5c0d37p-4, -0x1.1e1675088905cp-4, -0x1.067c5d2fc3c36p-4, -0x1.ddb6198bdf6d7p-5, -0x1.ae67d27202f9cp-5, -0x1.7f10b18a74feap-5, -0x1.4fb384a13f6dep-5, -0x1.20531a8db5624p-5, -0x1.e1e485d654ca9p-6, -0x1.83279ba4435fep-6, -0x1.247517242ad4bp-6, -0x1.8ba531ae16c89p-7, -0x1.9d1702524f9adp-8, -0x1.1a85a000f0111p-11, 0x1.55f2140ac089fp-8, 0x1.674d75b43f74cp-7, 0x1.11a4dcc258e0ep-6, 0x1.6f71565873f73p-6, 0x1.cd069726512a5p-6, 0x1.152f89973738p-5, 0x1.43baa1bc56081p-5, 0x1.7221d34f6784ap-5, 0x1.a06260acec55ep-5, 0x1.ce798f87cca92p-5, 0x1.fc64a93029a41p-5, 0x1.15107d6d39ba4p-4, 0x1.2bd5eaf33fb01p-4, 0x1.42814813526e9p-4, 0x1.5911421373241p-4, 0x1.6f8488ba053c1p-4, 0x1.85d9ce713f30bp-4, 0x1.9c0fc86a9c6a6p-4, 0x1.b2252ec21b944p-4, 0x1.c818bca162052p-4, 0x1.dde93062ad607p-4, 0x1.f3954bb3955ccp-4, 0x1.048de9dbc03e3p-3, 0x1.0f3dc894eaf66p-3, 0x1.19d9a83ff01ddp-3, 0x1.2460f1052b299p-3, 0x1.2ed30d0b390ebp-3, 0x1.392f68875251cp-3, 0x1.437571cd6dacp-3, 0x1.4da499601a8fcp-3, 0x1.57bc52001c58p-3, 0x1.61bc10bbbb949p-3, 0x1.6ba34cfdc90d9p-3, 0x1.7571809c56e3dp-3, 0x1.7f2627e714737p-3, 0x1.88c0c1b55322dp-3, 0x1.9240cf73b4fcep-3, 0x1.9ba5d53176242p-3, 0x1.a4ef59ad4d997p-3, 0x1.ae1ce661f2879p-3, 0x1.b72e07922d738p-3, 0x1.c0224c5481a15p-3, 0x1.c8f9469e65e1ep-3, 0x1.d1b28b4f03fdep-3, 0x1.da4db2398db1ep-3, 0x1.e2ca562f113ebp-3, 0x1.eb281507d9dcfp-3, 0x1.f3668fac46187p-3, 0x1.fb856a1d39034p-3, 0x1.01c225bdfaf02p-2, 0x1.05b16f08c0c4dp-2, 0x1.099067aac1b5ep-2, 0x1.0d5ee7fa5298bp-2, 0x1.111cc9eb2fc5cp-2, 0x1.14c9e9112b317p-2, 0x1.186622a28d1c1p-2, 0x1.1bf1557a37301p-2, 0x1.1f6b621985a7ap-2, 0x1.22d42aa9e45bcp-2, 0x1.262b92fe28e49p-2, 0x1.29718093a57a7p-2, 0x1.2ca5da92f5e89p-2, 0x1.2fc889d08cba8p-2, 0x1.32d978ccfb5cep-2, 0x1.35d893b4fa08p-2, 0x1.38c5c86126a8bp-2, 0x1.3ba106558b0c8p-2, 0x1.3e6a3ec0dc3fcp-2, 0x1.4121647b76a09p-2, 0x1.43c66c0622f87p-2, 0x1.46594b889293fp-2, 0x1.48d9facfa29e4p-2, 0x1.4b48734b5f468p-2, 0x1.4da4b00ccd47ep-2, 0x1.4feeadc3725a5p-2, 0x1.52266abaa9bdep-2, 0x1.544be6d6b9709p-2, 0x1.565f2391affaap-2, 0x1.586023f80de3fp-2, 0x1.5a4eeca5351bcp-2, 0x1.5c2b83bfa47afp-2, 0x1.5df5f0f50274cp-2, 0x1.5fae3d75f0cd6p-2, 0x1.615473f1b061p-2, 0x1.62e8a09198ef1p-2, 0x1.646ad0f45ec2dp-2, 0x1.65db14292a2d9p-2, 0x1.67397aaa892e6p-2, 0x1.6886165930b8ep-2, 0x1.69c0fa769bae2p-2, 0x1.6aea3b9f7ba6fp-2, 0x1.6c01efc60b669p-2, 0x1.6d082e2c39b73p-2, 0x1.6dfd0f5daf55bp-2, 0x1.6ee0ad29bc3bdp-2, 0x1.6fb3229d1c745p-2, 0x1.70748bfba52f5p-2, 0x1.712506b9d1bb5p-2, 0x1.71c4b1763b622p-2, 0x1.7253abf2f19b6p-2, 0x1.72d2170ec0a6fp-2, 0x1.734014be5dc4dp-2, 0x1.739dc8058396bp-2, 0x1.73eb54eff8852p-2, 0x1.7428e08a838c1p-2, 0x1.745690dbd7cc1p-2, 0x1.74748cdd67796p-2, 0x1.7482fc7433b7cp-2, 0x1.748208698ca07p-2, 0x1.7471da63cb207p-2, 0x1.74529cdefbe25p-2, 0x1.74247b258e2d3p-2, 0x1.73e7a148f4b18p-2, 0x1.739c3c1a46551p-2, 0x1.73427922db0a2p-2, 0x1.72da869cededbp-2, 0x1.7264936c33858p-2, 0x1.71e0cf167fd38p-2, 0x1.714f69bc624bep-2, 0x1.70b09411d3d2dp-2, 0x1.70047f56db0dcp-2, 0x1.6f4b5d5046416p-2, 0x1.6e856040621b7p-2, 0x1.6db2badfbf708p-2, 0x1.6cd3a05601c61p-2, 0x1.6be84432b94b1p-2, 0x1.6af0da664921dp-2, 0x1.69ed973adb4bfp-2, 0x1.68deaf4d63194p-2, 0x1.67c45786aefc4p-2, 0x1.669ec5148bf55p-2, 0x1.656e2d62f8633p-2, 0x1.6432c6156a2cep-2, 0x1.62ecc5002a089p-2, 0x1.619c6021bc64p-2, 0x1.6041cd9c69877p-2, 0x1.5edd43afce137p-2, 0x1.5d6ef8b28f8f2p-2, 0x1.5bf7230c1aa38p-2, 0x1.5a75f92e84f67p-2, 0x1.58ebb1907ca82p-2, 0x1.575882a7585bdp-2, 0x1.55bca2e13d3eap-2, 0x1.5418489f5e1f5p-2, 0x1.526baa30571d3p-2, 0x1.50b6fdcaa116p-2, 0x1.4efa79872610cp-2, 0x1.4d36535be972dp-2, 0x1.4b6ac116d3642p-2, 0x1.4997f85893832p-2, 0x1.47be2e8fa2612p-2, 0x1.45dd98f361587p-2, 0x1.43f66c7f53e3dp-2, 0x1.4208ddee7a636p-2, 0x1.401521b6c6635p-2, 0x1.3e1b6c04b0c04p-2, 0x1.3c1bf0b6eb80fp-2, 0x1.3a16e35a30b63p-2, 0x1.380c772532582p-2, 0x1.35fcdef4a5d7bp-2, 0x1.33e84d476f5adp-2, 0x1.31cef43aea003p-2, 0x1.2fb105874fcc9p-2, 0x1.2d8eb27c3f101p-2, 0x1.2b682bfd5cd2ap-2, 0x1.293da27f17cbcp-2, 0x1.270f4603877ffp-2, 0x1.24dd46176946dp-2, 0x1.22a7d1cf3ac8p-2, 0x1.206f17c47575p-2, 0x1.1e334612dffffp-2, 0x1.1bf48a5606f75p-2, 0x1.19b311a6c7da2p-2, 0x1.176f089901ff2p-2, 0x1.15289b395de9bp-2, 0x1.12dff50b33d91p-2, 0x1.109541068d2b8p-2, 0x1.0e48a9964176p-2, 0x1.0bfa589630336p-2, 0x1.09aa775193f49p-2, 0x1.07592e817065cp-2, 0x1.0506a64b1d59bp-2, 0x1.02b3063ee6f22p-2, 0x1.005e7556cd014p-2, 0x1.fc1233eaaf10bp-3, 0x1.f76633c90cf46p-3, 0x1.f2b934a9b19acp-3, 0x1.ee0b7fb8da212p-3, 0x1.e95d5cec6ff86p-3, 0x1.e4af1302a82bcp-3, 0x1.e000e780cea2ep-3, 0x1.db531eb24002p-3, 0x1.d6a5fba78b1f7p-3, 0x1.d1f9c035c49c6p-3, 0x1.cd4eacf601318p-3, 0x1.c8a50144f871dp-3, 0x1.c3fcfb42d1c65p-3, 0x1.bf56d7d31c836p-3, 0x1.bab2d29ce5e62p-3, 0x1.b611260afe91dp-3, 0x1.b1720b4c60989p-3, 0x1.acd5ba54b994dp-3, 0x1.a83c69dd17f18p-3, 0x1.a3a64f64bc432p-3, 0x1.9f139f320b2c1p-3, 0x1.9a848c539eebdp-3, 0x1.95f948a17a5a9p-3, 0x1.917204be56486p-3, 0x1.8ceef01912edp-3, 0x1.887038ee42d98p-3, 0x1.83f60c49cf6c7p-3, 0x1.7f809608bcf04p-3, 0x1.7b1000db083cp-3, 0x1.76a4764597ae1p-3, 0x1.723e1ea44e75p-3, 0x1.6ddd212c2deadp-3, 0x1.6981a3ed93f7fp-3, 0x1.652bcbd68e919p-3, 0x1.60dbbcb53b896p-3, 0x1.5c91993a4d4e6p-3, 0x1.584d82fb9413bp-3, 0x1.540f9a769cf4ep-3, 0x1.4fd7ff1367f9p-3, 0x1.4ba6cf272a661p-3, 0x1.477c27f721cb1p-3, 0x1.435825bb75fdfp-3, 0x1.3f3ae3a22bcfep-3, 0x1.3b247bd2208dcp-3, 0x1.3715076e1b7ddp-3, 0x1.330c9e97e11f8p-3, 0x1.2f0b587358e4cp-3, 0x1.2b114b29b912bp-3, 0x1.271e8becc51bdp-3, 0x1.23332efa09564p-3, 0x1.1f4f479e27689p-3, 0x1.1b72e8382c637p-3, 0x1.179e223ce6dbap-3, 0x1.13d1063a4954p-3, 0x1.100ba3dad2d04p-3, 0x1.0c4e09e8f848ap-3, 0x1.089846529a6ep-3, 0x1.04ea662c77e99p-3, 0x1.014475b5aa2a7p-3, 0x1.fb4d00b63f1f9p-4, 0x1.f42121763cbddp-4, 0x1.ed0561518a2acp-4, 0x1.e5f9d25f18fc2p-4, 0x1.defe852d9c573p-4, 0x1.d81388ca95e65p-4, 0x1.d138eac95a027p-4, 0x1.ca6eb74a1ca83p-4, 0x1.c3b4f901002ffp-4, 0x1.bd0bb93d10ab2p-4, 0x1.b672ffef50d9dp-4, 0x1.afead3b1b3c62p-4, 0x1.a97339ce165f6p-4, 0x1.a30c364539159p-4, 0x1.9cb5cbd5a61abp-4, 0x1.966ffc029f62p-4, 0x1.903ac71af8366p-4, 0x1.8a162c3fecb52p-4, 0x1.8402296bf23ebp-4, 0x1.7dfebb7973ac5p-4, 0x1.780bde2993548p-4, 0x1.72298c2acd37p-4, 0x1.6c57bf1fa57a2p-4, 0x1.66966fa5324ffp-4, 0x1.60e59559ad3fap-4, 0x1.5b4526e2ec546p-4, 0x1.55b519f4cfb02p-4, 0x1.50356357a435fp-4, 0x1.4ac5f6ee6fb02p-4, 0x1.4566c7bd36faap-4, 0x1.4017c7ef36a2p-4, 0x1.3ad8e8dcfaf6dp-4, 0x1.35aa1b127a3cdp-4, 0x1.308b4e5518ddap-4, 0x1.2b7c71a994f98p-4, 0x1.267d7359f0bd4p-4, 0x1.218e40fb3b4b5p-4, 0x1.1caec7734e358p-4, 0x1.17def2fe80955p-4, 0x1.131eaf35396c1p-4, 0x1.0e6de7117d6fap-4, 0x1.09cc84f463282p-4, 0x1.053a72ab721e7p-4, 0x1.00b79975f9119p-4, 0x1.f887c4148df0ap-5, 0x1.efbe6935a90f7p-5, 0x1.e712f1b6baba1p-5, 0x1.de852c0bc5fa8p-5, 0x1.d614e5bf35cacp-5, 0x1.cdc1eb7b98d6cp-5, 0x1.c58c091537986p-5, 0x1.bd73099372dc4p-5, 0x1.b576b73a17b88p-5, 0x1.ad96db926a542p-5, 0x1.a5d33f74272efp-5, 0x1.9e2bab0e4a5b4p-5, 0x1.969fe5efb929dp-5, 0x1.8f2fb70fb43dep-5, 0x1.87dae4d64839bp-5, 0x1.80a135245a23bp-5, 0x1.79826d5bd0a66p-5, 0x1.727e526765b3ap-5, 0x1.6b94a8c259321p-5, 0x1.64c534801a2a3p-5, 0x1.5e0fb9539c36cp-5, 0x1.5773fa96b50c4p-5, 0x1.50f1bb51296eap-5, 0x1.4a88be3fab053p-5, 0x1.4438c5dabb178p-5, 0x1.3e01945d4c327p-5, 0x1.37e2ebcb4153p-5, 0x1.31dc8df7ed103p-5, 0x1.2bee3c8c38754p-5, 0x1.2617b90cca908p-5, 0x1.2058c4dff48bp-5, 0x1.1ab12153992e2p-5, 0x1.15208fa2bc18cp-5, 0x1.0fa6d0fb27d31p-5, 0x1.0a43a682c72efp-5, 0x1.04f6d15cee1e6p-5, 0x1.ff80255f02f02p-6, 0x1.f53e574fe6e83p-6, 0x1.eb27bb004cf45p-6, 0x1.e13bd3063f77p-6, 0x1.d77a222378875p-6, 0x1.cde22b4e254b8p-6, 0x1.c47371b9d7119p-6, 0x1.bb2d78dfbb55fp-6, 0x1.b20fc4870ee5ep-6, 0x1.a919d8cd15dcep-6, 0x1.a04b3a2cb1d23p-6, 0x1.97a36d86115b5p-6, 0x1.8f21f825e9567p-6, 0x1.86c65fcc81dfdp-6, 0x1.7e902ab486c29p-6, 0x1.767edf99afcd8p-6, 0x1.6e9205bf0c44cp-6, 0x1.66c924f55c669p-6, 0x1.5f23c5a0c916ap-6, 0x1.57a170becccbap-6, 0x1.5041afebccf8cp-6, 0x1.49040d682af2bp-6, 0x1.41e8141dc3501p-6, 0x1.3aed4fa49e66ap-6, 0x1.34134c47c8e56p-6, 0x1.2d599709ea48ep-6, 0x1.26bfbda989aeap-6, 0x1.20454ea560bbdp-6, 0x1.19e9d94051a0bp-6, 0x1.13aced85322f4p-6, 0x1.0d8e1c4a8dcc1p-6, 0x1.078cf7361b5f8p-6, 0x1.01a910bffe808p-6, 0x1.f7c3f86c05faep-7, 0x1.ec6e9b7d5af2p-7, 0x1.e15134b804472p-7, 0x1.d66aefdc5a64ap-7, 0x1.cbbafa6c52744p-7, 0x1.c14083b004a42p-7, 0x1.b6fabcbaa5d36p-7, 0x1.ace8d86e0979bp-7, 0x1.a30a0b7f73ec2p-7, 0x1.995d8c7a7a6b9p-7, 0x1.8fe293c4e357bp-7, 0x1.86985ba1c9cbap-7, 0x1.7d7e20345914cp-7, 0x1.74931f827ce7cp-7, 0x1.6bd6997776d8p-7, 0x1.6347cfe5da674p-7, 0x1.5ae60689a80c2p-7, 0x1.52b08309f6392p-7, 0x1.4aa68cfa6bf1fp-7, 0x1.42c76ddcba64ep-7, 0x1.3b1271216042ap-7, 0x1.3386e428ece09p-7, 0x1.2c24164471cbep-7, 0x1.24e958b639e32p-7, 0x1.1dd5feb1bfa03p-7, 0x1.16e95d5c5a57cp-7, 0x1.1022cbccaabafp-7, 0x1.0981a30abd76dp-7, 0x1.03053e0f88754p-7, 0x1.f959f388f7146p-8, 0x1.ecf06a05651b8p-8, 0x1.e0cca12444819p-8, 0x1.d4ed5e515d5a8p-8, 0x1.c9516ad1d4d0dp-8, 0x1.bdf793c2106f6p-8, 0x1.b2deaa124f3efp-8, 0x1.a80582843adebp-8, 0x1.9d6af5a6f6b6p-8, 0x1.930ddfd41f871p-8, 0x1.88ed212b8e58fp-8, 0x1.7f079d8faa16bp-8, 0x1.755c3ca0ee851p-8, 0x1.6be9e9b9aca4p-8, 0x1.62af93e934313p-8, 0x1.59ac2def352e3p-8, 0x1.50deae367492fp-8, 0x1.48460ecfdba32p-8, 0x1.3fe14d6ce1c1ap-8, 0x1.37af6b5a21e4ap-8, 0x1.2faf6d798483fp-8, 0x1.27e05c3c96008p-8, 0x1.2041439e36219p-8, 0x1.18d1331d04285p-8, 0x1.118f3db4504ecp-8, 0x1.0a7a79d68281dp-8, 0x1.03920165d85d9p-8, 0x1.f9a9e35c93ba8p-9, 0x1.ec84d6bd784ep-9, 0x1.dfb325039082dp-9, 0x1.d3331cee4aa54p-9, 0x1.c70313d9274adp-9, 0x1.bb2165ad3a5afp-9, 0x1.af8c74d2ca7ddp-9, 0x1.a442aa22faad5p-9, 0x1.994274d8e3a88p-9, 0x1.8e8a4a82a104ep-9, 0x1.8418a6f2d2368p-9, 0x1.79ec0c30c5e34p-9, 0x1.70030269dad4bp-9, 0x1.665c17e23ec9p-9, 0x1.5cf5e0e530daap-9, 0x1.53cef7b5ab7cdp-9, 0x1.4ae5fc7f4d853p-9, 0x1.42399545b0b32p-9, 0x1.39c86dd62273bp-9, 0x1.319137b6c06cep-9, 0x1.2992aa174e639p-9, 0x1.21cb81c185959p-9, 0x1.1a3a81093a6b2p-9, 0x1.12de6fbbd8b5cp-9, 0x1.0bb61b119949ep-9, 0x1.04c0559d07cf5p-9, 0x1.fbf7ee7646c45p-10, 0x1.eecfba0790c41p-10, 0x1.e205d2734b742p-10, 0x1.d598067549ffdp-10, 0x1.c9842edf2ad8cp-10, 0x1.bdc82e7a9ca13p-10, 0x1.b261f1e76138p-10, 0x1.a74f6f7e2bc28p-10, 0x1.9c8ea73021664p-10, 0x1.921da26725cc7p-10, 0x1.87fa73e877de9p-10, 0x1.7e2337b370d88p-10, 0x1.749612e3e7999p-10, 0x1.6b513392d3d97p-10, 0x1.6252d0b812b8cp-10, 0x1.59992a0b41217p-10, 0x1.512287e5f68f5p-10, 0x1.48ed3b25244c1p-10, 0x1.40f79d0a9430cp-10, 0x1.39400f1fb14bfp-10, 0x1.31c4fb17304c4p-10, 0x1.2a84d2afbf609p-10, 0x1.237e0f964fa4p-10, 0x1.1caf334a027f5p-10, 0x1.1616c6fd28109p-10, 0x1.0fb35b79bb8a1p-10, 0x1.098389049c6f1p-10, 0x1.0385ef40a7465p-10, 0x1.fb726a2601513p-11, 0x1.f038110da7d11p-11, 0x1.e55a3d62a8506p-11, 0x1.dad6672d0239ep-11, 0x1.d0aa141b62559p-11, 0x1.c6d2d74c368bbp-11, 0x1.bd4e51196f53fp-11, 0x1.b41a2ee07d262p-11, 0x1.ab342ad15c4f9p-11, 0x1.a29a0bb6e82e7p-11, 0x1.9a49a4c3fed6dp-11, 0x1.9240d55fd8b3bp-11, 0x1.8a7d88f3ba08dp-11, 0x1.82fdb6b8bf79ap-11, 0x1.7bbf6184f91fbp-11, 0x1.74c0979a97b36p-11, 0x1.6dff727629e3ep-11, 0x1.677a169f60a04p-11, 0x1.612eb378cc5dbp-11, 0x1.5b1b830fab41bp-11, 0x1.553ec9ed884adp-11, 0x1.4f96d6eb2ef2dp-11, 0x1.4a2202fffacb6p-11, 0x1.44deb116902fcp-11, 0x1.3fcb4ddfc9d27p-11, 0x1.3ae64fa589b19p-11, 0x1.362e361f6b40cp-11, 0x1.31a18a485f167p-11, 0x1.2d3ede31ecea7p-11, 0x1.2904ccdb9adacp-11, 0x1.24f1fa0848eb4p-11, 0x1.21051215896ep-11, 0x1.1d3cc9d1e76p-11, 0x1.1997de5651ca9p-11, 0x1.161514dcb0b67p-11, 0x1.12b33a9a2b6dbp-11, 0x1.0f71249730876p-11, 0x1.0c4daf8a01bddp-11, 0x1.0947bfb152751p-11, 0x1.065e40adaff5dp-11, 0x1.0390255eb7c85p-11, 0x1.00dc67bdc0973p-11, 0x1.fc84117481d9bp-12, 0x1.f780202e7ace8p-12, 0x1.f2ab188f150f3p-12, 0x1.ee0324997c6a6p-12, 0x1.e9867b2869908p-12, 0x1.e5335faf05dd5p-12, 0x1.e10821f412f5p-12, 0x1.dd031dd36d143p-12, 0x1.d922bafd4782cp-12, 0x1.d5656cb837cd2p-12, 0x1.d1c9b1a37707fp-12, 0x1.ce4e1378fe99fp-12, 0x1.caf126d2a5c8dp-12, 0x1.c7b18aefdc001p-12, 0x1.c48de9799d217p-12, 0x1.c184f64b3350ap-12, 0x1.be956f382cacdp-12, 0x1.bbbe1bd681ccp-12, 0x1.b8fdcd46e43bcp-12, 0x1.b6535dffe70b5p-12, 0x1.b3bdb19816dd4p-12, 0x1.b13bb494752cp-12, 0x1.aecc5c3201988p-12, 0x1.ac6ea6365944dp-12, 0x1.aa2198bc17eafp-12, 0x1.a7e442044915dp-12, 0x1.a5b5b8444de11p-12, 0x1.a3951979612b8p-12, 0x1.a1818b385f395p-12, 0x1.9f7a3a81c5c05p-12, 0x1.9d7e5b93bb8c8p-12, 0x1.9b8d29bf44249p-12, 0x1.99a5e73ce6786p-12, 0x1.97c7dd014b736p-12, 0x1.95f25a95b0ffp-12, 0x1.9424b5ed8b89ep-12, 0x1.925e4b3e6de0fp-12, 0x1.909e7cd9bf19bp-12, 0x1.8ee4b3041c358p-12, 0x1.8d305bd194c3ap-12, 0x1.8b80eafe25fe6p-12, 0x1.89d5d9cb2f868p-12, 0x1.882ea6d9bf45bp-12, 0x1.868ad608f801bp-12, 0x1.84e9f051ee115p-12, 0x1.834b83a6aeb6ap-12, 0x1.81af22d050ad7p-12, 0x1.8014654ea0ce4p-12, 0x1.7e7ae738093c9p-12, 0x1.7ce2491a3c0adp-12, 0x1.7b4a2fdafc0a2p-12, 0x1.79b2449ab7bap-12, 0x1.781a34961da85p-12, 0x1.7681b1093caf5p-12, 0x1.74e86f1306d47p-12, 0x1.734e2799e9201p-12, 0x1.71b2972fe38e1p-12, 0x1.70157df7c052bp-12, 0x1.6e769f8b4839fp-12, 0x1.6cd5c2e209d7ep-12, 0x1.6b32b236b307fp-12, 0x1.698d3aef84683p-12, 0x1.67e52d85e419cp-12, 0x1.663a5d6ed5bcfp-12, 0x1.648ca103b66eep-12, 0x1.62dbd16bcf98dp-12, 0x1.6127ca8638901p-12, 0x1.5f706ad4220b8p-12, 0x1.5db593635ed8ap-12, 0x1.5bf727ba002fbp-12, 0x1.5a350dc1ac392p-12, 0x1.586f2db4727b5p-12, 0x1.56a572084834bp-12, 0x1.54d7c75d61722p-12, 0x1.53061c6b128c1p-12, 0x1.513061edab233p-12, 0x1.4f568a9473578p-12, 0x1.4d788af0eb00fp-12, 0x1.4b965965d1837p-12, 0x1.49afee164a75ap-12, 0x1.47c542d5d57f6p-12, 0x1.45d65318e2f1ep-12, 0x1.43e31be575e34p-12, 0x1.41eb9bc393d84p-12, 0x1.3fefd2af45413p-12, 0x1.3defc209cca64p-12, 0x1.3beb6c8c01a9ep-12, 0x1.39e2d6389d2e2p-12, 0x1.37d6044ecd158p-12, 0x1.35c4fd3d996ecp-12, 0x1.33afc8970939cp-12, 0x1.31966f04077a6p-12, 0x1.2f78fa38443d6p-12, 0x1.2d5774e67263ep-12, 0x1.2b31eab50ba39p-12, 0x1.29086832d2c65p-12, 0x1.26dafacce96fbp-12, 0x1.24a9b0c30726fp-12, 0x1.2274991e8a693p-12, 0x1.203bc3a7dc179p-12, 0x1.1dff40dca20efp-12, 0x1.1bbf21e698627p-12, 0x1.197b789210831p-12, 0x1.173457455f8bcp-12, 0x1.14e9d0f7e2b7bp-12, 0x1.129bf929c1727p-12, 0x1.104ae3dbbb913p-12, 0x1.0df6a586fcf36p-12, 0x1.0b9f5315bef3fp-12, 0x1.094501db8d87ap-12, 0x1.06e7c78db9d7ap-12, 0x1.0487ba3c8a035p-12, 0x1.0224f04c6c089p-12, 0x1.ff7f00de39ed9p-13, 0x1.faaf033a928f3p-13, 0x1.f5da16208f92bp-13, 0x1.f10068782baf1p-13, 0x1.ec222992943bp-13, 0x1.e73f891f02cbdp-13, 0x1.e258b71fe449bp-13, 0x1.dd6de3df771b8p-13, 0x1.d87f3fe5d8d12p-13, 0x1.d38cfbef326d7p-13, 0x1.ce9748e1e1fc8p-13, 0x1.c99e57c4f9bb9p-13, 0x1.c4a259b7e0624p-13, 0x1.bfa37fe8cbc97p-13, 0x1.baa1fb8c9d8ep-13, 0x1.b59dfdd6a847ep-13, 0x1.b097b7f1022b2p-13, 0x1.ab8f5af53388fp-13, 0x1.a68517e489701p-13, 0x1.a1791fa0ada98p-13, 0x1.9c6ba2e6234a9p-13, 0x1.975cd244f19b2p-13, 0x1.924cde1a5f00bp-13, 0x1.8d3bf68b70442p-13, 0x1.882a4b7e5fef3p-13, 0x1.83180c95c34dap-13, 0x1.7e05692ae7797p-13, 0x1.78f29048f9103p-13, 0x1.73dfb0a7e3d9ep-13, 0x1.6eccf8a7fa64fp-13, 0x1.69ba964dba75ap-13, 0x1.64a8b73cd44e7p-13, 0x1.5f9788b478ee5p-13, 0x1.5a87378bfde0ep-13, 0x1.5577f02e33ca4p-13, 0x1.5069de968cd18p-13, 0x1.4b5d2e4e03fecp-13, 0x1.46520a67493f5p-13, 0x1.41489d7c719fep-13, 0x1.3c4111abf9afbp-13, 0x1.373b9095dc9b8p-13, 0x1.32384359334abp-13, 0x1.2d375291bdddep-13, 0x1.2838e655e32cdp-13, 0x1.233d2634f2ebp-13, 0x1.1e443934749aap-13, 0x1.194e45ceab723p-13, 0x1.145b71f1225d1p-13, 0x1.0f6be2fb49193p-13, 0x1.0a7fbdbc701a7p-13, 0x1.05972672d38bbp-13, 0x1.00b240ca927eep-13, 0x1.f7a25fb892ae4p-14, 0x1.ede82c58a5a9ep-14, 0x1.e4362b537e8c8p-14, 0x1.da8c9f5b61308p-14, 0x1.d0ebc9f5843d2p-14, 0x1.c753eb78d5e6p-14, 0x1.bdc5430cffb76p-14, 0x1.b4400ea9a23b1p-14, 0x1.aac48b15e37a9p-14, 0x1.a152f3e77ff21p-14, 0x1.97eb838331f79p-14, 0x1.8e8e731cb669dp-14, 0x1.853bfab5824e3p-14, 0x1.7bf4511e791aap-14, 0x1.72b7abf7bc40ap-14, 0x1.69863fb12ce14p-14, 0x1.60603f8afa4b5p-14, 0x1.5745dd9640547p-14, 0x1.4e374ab58b084p-14, 0x1.4534b69ef76a1p-14, 0x1.3c3e4fdbf8ba4p-14, 0x1.335443cb0534fp-14, 0x1.2a76bea18d924p-14, 0x1.21a5eb6c4ad92p-14, 0x1.18e1f41180d02p-14, 0x1.102b01528c784p-14, 0x1.07813acd3743p-14, 0x1.fdc98dfaf1c7cp-15, 0x1.ecab967f44515p-15, 0x1.dba8d7a45a68cp-15, 0x1.cac197aed8153p-15, 0x1.b9f61aafcfa6cp-15, 0x1.a946a288f0d9ap-15, 0x1.98b36ef18a60fp-15, 0x1.883cbd79665e7p-15, 0x1.77e2c98fab1c3p-15, 0x1.67a5cc84f5ae6p-15, 0x1.5785fd9284893p-15, 0x1.478391de8bbfep-15, 0x1.379ebc7fe2cf9p-15, 0x1.27d7ae85cf2d4p-15, 0x1.182e96fa80e6bp-15, 0x1.08a3a2e9a7b38p-15, 0x1.f26dfacd16029p-16, 0x1.d3d19f1fdc4bap-16, 0x1.b572812d47fe6p-16, 0x1.9750eb8625d77p-16, 0x1.796d24f3e47a8p-16, 0x1.5bc770867b5ebp-16, 0x1.3e600d9e176d8p-16, 0x1.213737f6e5809p-16, 0x1.044d27b49418dp-16, 0x1.cf4422d93fe95p-17, 0x1.966c4c6b19e01p-17, 0x1.5e1327630af0ep-17, 0x1.263908316acfap-17, 0x1.ddbc7917bdf94p-18, 0x1.7006170763f52p-18, 0x1.034f6b41df802p-18, 0x1.2f31d3e727f7dp-19, 0x1.6717d476c2ae4p-21, -0x1.e69040112ba63p-21, -0x1.4b0b9e49e87fp-19, -0x1.0d38186a1ab85p-18, -0x1.73e8ad5424d2cp-18, -0x1.d997632d43392p-18, -0x1.1f220d6a05e68p-17, -0x1.50f76047d62b7p-17, -0x1.824ba5ed5cafp-17, -0x1.b31edf9c57739p-17, -0x1.e3711400bb4e9p-17, -0x1.09a1278f0ba87p-16, -0x1.21495118348f2p-16, -0x1.38b111cc4ac95p-16, -0x1.4fd87762692a3p-16, -0x1.66bf920bfca18p-16, -0x1.7d66746b32feep-16, -0x1.93cd338439af5p-16, -0x1.a9f3e6b43c9dep-16, -0x1.bfdaa7a39c199p-16, -0x1.d581923e5e16bp-16, -0x1.eae8c4a505e12p-16, -0x1.00082f91540a8p-15, -0x1.0a7c421163312p-15, -0x1.14d0ac11f63eep-15, -0x1.1f0580d77db1ap-15, -0x1.291ad4a5cbe23p-15, -0x1.3310bcb9e13a2p-15, -0x1.3ce74f4573918p-15, -0x1.469ea36911f1ap-15, -0x1.5036d12f29858p-15, -0x1.59aff1866922bp-15, -0x1.630a1e3ccd11ep-15, -0x1.6c4571fa8cf16p-15, -0x1.7562083c58affp-15, -0x1.7e5ffd4ee15b4p-15, -0x1.873f6e49fa2bp-15, -0x1.9000790b3d9bbp-15, -0x1.98a33c3062e98p-15, -0x1.a127d713f2fd8p-15, -0x1.a98e69c73ad47p-15, -0x1.b1d7150dce2dp-15, -0x1.ba01fa596f742p-15, -0x1.c20f3bc45e679p-15, -0x1.c9fefc0dafb24p-15, -0x1.d1d15e93e961cp-15, -0x1.d9868750deee3p-15, -0x1.e11e9ad4852bdp-15, -0x1.e899be41ff7cep-15, -0x1.eff8174a5cb44p-15, -0x1.f739cc27b991p-15, -0x1.fe5f0399a32a3p-15, -0x1.02b3f270b8b6bp-14, -0x1.062a4bde4cadap-14, -0x1.0992a231115b2p-14, -0x1.0ced09beeef96p-14, -0x1.10399716146a3p-14, -0x1.13785efb258bp-14, -0x1.16a9766732f36p-14, -0x1.19ccf28615ae5p-14, -0x1.1ce2e8b449c9cp-14, -0x1.1feb6e7ce7e26p-14, -0x1.22e69998119ddp-14, -0x1.25d47fe936b15p-14, -0x1.28b5377d36997p-14, -0x1.2b88d6883537ap-14, -0x1.2e4f736443d4p-14, -0x1.3109248fbd32cp-14, -0x1.33b600ab60a1cp-14, -0x1.36561e789d7afp-14, -0x1.38e994d83014bp-14, -0x1.3b707ac855206p-14, -0x1.3deae763387c7p-14, -0x1.4058f1dd67161p-14, -0x1.42bab1847087ep-14, -0x1.45103dbd036a4p-14, -0x1.4759ae01a5a47p-14, -0x1.499719e18de4p-14, -0x1.4bc898feeb56dp-14, -0x1.4dee430d670afp-14, -0x1.50082fd0cb513p-14, -0x1.5216771ba446fp-14, -0x1.541930cdf998dp-14, -0x1.561074d42c1ddp-14, -0x1.57fc5b25b2aa3p-14, -0x1.59dcfbc3044aep-14, -0x1.5bb26eb54567dp-14, -0x1.5d7ccc0cc0da4p-14, -0x1.5f3c2bdfc1ee5p-14, -0x1.60f0a6491dddcp-14, -0x1.629a53677bb4cp-14, -0x1.64394b5c246a9p-14, -0x1.65cda649478cp-14, -0x1.67577c51bc2eap-14, -0x1.68d6e59784d62p-14, -0x1.6a4bfa3ada473p-14, -0x1.6bb6d258e3209p-14, -0x1.6d17860b07d16p-14, -0x1.6e6e2d660c8ep-14, -0x1.6fbae078e8cb9p-14, -0x1.70fdb74bd0a23p-14, -0x1.7236c9df570adp-14, -0x1.7366302b25788p-14, -0x1.748c021dbdep-14, -0x1.75a8579bb6004p-14, -0x1.76bb487e21e15p-14, -0x1.77c4ec92359d2p-14, -0x1.78c55b985fb0cp-14, -0x1.79bcad43a8a82p-14, -0x1.7aaaf938ccb6dp-14, -0x1.7b90570cfeaa1p-14, -0x1.7c6cde4635bbap-14, -0x1.7d40a659e97d3p-14, -0x1.7e0bc6ac7351ep-14, -0x1.7ece568fc29abp-14, -0x1.7f886d43c198p-14, -0x1.803a21f510cb5p-14, -0x1.80e38bbc81a83p-14, -0x1.8184c19e872fep-14, -0x1.821dda8a71673p-14, -0x1.82aeed5a09e68p-14, -0x1.833810d1147cep-14, -0x1.83b95b9cab6fep-14, -0x1.8432e452aa24dp-14, -0x1.84a4c17109321p-14, -0x1.850f095d57ce5p-14, -0x1.8571d264b271ep-14, -0x1.85cd32bb2b28dp-14, -0x1.8621407adf62bp-14, -0x1.866e11a3c3b4dp-14, -0x1.86b3bc1b66f6cp-14, -0x1.86f255ac68fd3p-14, -0x1.8729f405f51d8p-14, -0x1.875aacbb661fcp-14, -0x1.8784954421511p-14, -0x1.87a7c2fae8225p-14, -0x1.87c44b1d9f695p-14, -0x1.87da42cd1d1e6p-14, -0x1.87e9bf0c924cap-14, -0x1.87f2d4c19529p-14, -0x1.87f598b2fa2c9p-14, -0x1.87f21f89af7f1p-14, -0x1.87e87dcfeb46cp-14, -0x1.87d8c7f0db225p-14, -0x1.87c3123858dbep-14, -0x1.87a770d2b882bp-14, -0x1.8785f7cca0f7bp-14, -0x1.875ebb12be1aap-14, -0x1.8731ce71a878cp-14, -0x1.86ff4595803cfp-14, -0x1.86c73409d8d48p-14, -0x1.8689ad39a3234p-14, -0x1.8646c46f0a065p-14, -0x1.85fe8cd297d06p-14, -0x1.85b1196bd35fcp-14, -0x1.855e7d2133de2p-14, -0x1.8506cab75cc1dp-14, -0x1.84aa14d12bda7p-14, -0x1.84486deffbca6p-14, -0x1.83e1e87339619p-14, -0x1.837696983bcd7p-14, -0x1.83068a7a4e537p-14, -0x1.8291d61296ea8p-14, -0x1.82188b37c3011p-14, -0x1.819abb9e5d6acp-14, -0x1.811878d8a6909p-14, -0x1.8091d4565817dp-14, -0x1.8006df6478ed9p-14, -0x1.7f77ab2dad70ap-14, -0x1.7ee448ba38b44p-14, -0x1.7e4cc8ef7a701p-14, -0x1.7db13c9037f5p-14, -0x1.7d11b43ca6445p-14, -0x1.7c6e40725bd3ep-14, -0x1.7bc6f18c3d47fp-14, -0x1.7b1bd7c2b37e3p-14, -0x1.7a6d032b02c22p-14, -0x1.79ba83b8397ep-14, -0x1.7904693b06139p-14, -0x1.784ac360e1633p-14, -0x1.778da1b4d71e6p-14, -0x1.76cd139fefe23p-14, -0x1.760928686d0a2p-14, -0x1.7541ef31e5dfp-14, -0x1.747776fe08b44p-14, -0x1.73a9ceabdc224p-14, -0x1.72d904f839579p-14, -0x1.7205287dc9371p-14, -0x1.712e47b505c8ep-14, -0x1.705470f46d35bp-14, -0x1.6f77b270c2723p-14, -0x1.6e981a3c976f4p-14, -0x1.6db5b648ad1dap-14, -0x1.6cd094644c0ffp-14, -0x1.6be8c23ce3335p-14, -0x1.6afe4d5e88cb1p-14, -0x1.6a114333d18c4p-14, -0x1.6921b1061b602p-14, -0x1.682fa3fd7e706p-14, -0x1.673b29210e2f8p-14, -0x1.66444d57023d1p-14, -0x1.654b1d646f0fcp-14, -0x1.644fa5ee0f89cp-14, -0x1.6351f377a1951p-14, -0x1.6252126494b2cp-14, -0x1.61500ef85addp-14, -0x1.604bf5559cf7bp-14, -0x1.5f45d17f38a28p-14, -0x1.5e3daf587c362p-14, -0x1.5d339aa46dc24p-14, -0x1.5c279f065be34p-14, -0x1.5b19c802b6d56p-14, -0x1.5a0a20fe28f85p-14, -0x1.58f8b53e12075p-14, -0x1.57e58fe917eeep-14, -0x1.56d0bc06ee0e4p-14, -0x1.55ba4480a8432p-14, -0x1.54a234206dfdbp-14, -0x1.5388959245d0ep-14, -0x1.526d736427d22p-14, -0x1.5150d805828fap-14, -0x1.5032cdc82f84dp-14, -0x1.4f135ee0857a8p-14, -0x1.4df29564ede16p-14, -0x1.4cd07b4e6c1c1p-14, -0x1.4bad1a79123abp-14, -0x1.4a887ca3a9f88p-14, -0x1.4962ab704e376p-14, -0x1.483bb0646b8a4p-14, -0x1.471394e89a607p-14, -0x1.45ea62496a39ap-14, -0x1.44c021b769ef3p-14, -0x1.4394dc46a7cd1p-14, -0x1.42689aefdec58p-14, -0x1.413b66901d169p-14, -0x1.400d47e8b0a81p-14, -0x1.3ede47a03a4d6p-14, -0x1.3dae6e41a0d1bp-14, -0x1.3c7dc43d51434p-14, -0x1.3b4c51e942ea3p-14, -0x1.3a1a1f80482edp-14, -0x1.38e735237adap-14, -0x1.37b39ad98ef6fp-14, -0x1.367f588f1f347p-14, -0x1.354a7617689aep-14, -0x1.3414fb2bce9bfp-14, -0x1.32deef6c5fd65p-14, -0x1.31a85a5ffaa7fp-14, -0x1.307143747c32p-14, -0x1.2f39b1ff19e18p-14, -0x1.2e01ad3c23a4bp-14, -0x1.2cc93c4f9e7bcp-14, -0x1.2b9066456b61cp-14, -0x1.2a5732110fa2bp-14, -0x1.291da68e7316ep-14, -0x1.27e3ca81d8c01p-14, -0x1.26a9a497a018ep-14, -0x1.256f3b6549eep-14, -0x1.243495691c506p-14, -0x1.22f9b90a4869ep-14, -0x1.21beac9975051p-14, -0x1.208376507ad16p-14, -0x1.1f481c5316e8bp-14, -0x1.1e0ca4aedebdfp-14, -0x1.1cd1155ae4f55p-14, -0x1.1b95743927728p-14, -0x1.1a59c71593247p-14, -0x1.191e13a6cd1p-14, -0x1.17e25f8e3cc2ep-14, -0x1.16a6b0580c534p-14, -0x1.156b0b7bd0453p-14, -0x1.142f765c0fbe6p-14, -0x1.12f3f64748d57p-14, -0x1.11b89077367afp-14, -0x1.107d4a118dce5p-14, -0x1.0f42282849f52p-14, -0x1.0e072fb956b79p-14, -0x1.0ccc65af1ea2ap-14, -0x1.0b91cee0d8dadp-14, -0x1.0a5770120032fp-14, -0x1.091d4df37aca6p-14, -0x1.07e36d232a8a5p-14, -0x1.06a9d22c0b3b7p-14, -0x1.05708187006d9p-14, -0x1.04377f9a25a56p-14, -0x1.02fed0b9c0d6p-14, -0x1.01c67927d5923p-14, -0x1.008e7d14ddb24p-14, -0x1.feadc13eef72p-15, -0x1.fc3f4fa99092p-15, -0x1.f9d1ad61d5d3ap-15, -0x1.f764e23ceeb4bp-15, -0x1.f4f8f5ee91f84p-15, -0x1.f28df00956489p-15, -0x1.f023d7fda685p-15, -0x1.edbab51ba1a98p-15, -0x1.eb528e92d8dfep-15, -0x1.e8eb6b7265d63p-15, -0x1.e68552a9bc12ap-15, -0x1.e4204b085333fp-15, -0x1.e1bc5b3ef2683p-15, -0x1.df5989df347cbp-15, -0x1.dcf7dd5c32484p-15, -0x1.da975c0a66ed8p-15, -0x1.d8380c20e7ddp-15, -0x1.d5d9f3b8d1d6p-15, -0x1.d37d18cdbb1cap-15, -0x1.d121813f15a36p-15, -0x1.cec732ce4287fp-15, -0x1.cc6e3321ee14ep-15, -0x1.ca1687c356f59p-15, -0x1.c7c036203f68fp-15, -0x1.c56b438c02511p-15, -0x1.c317b53d1cb22p-15, -0x1.c0c590509ef64p-15, -0x1.be74d9c864712p-15, -0x1.bc25968beecabp-15, -0x1.b9d7cb6943929p-15, -0x1.b78b7d142221p-15, -0x1.b540b0276d51ap-15, -0x1.b2f76924bb1a8p-15, -0x1.b0afac7498481p-15, -0x1.ae697e676f6edp-15, -0x1.ac24e3354dd53p-15, -0x1.a9e1defe1869bp-15, -0x1.a7a075ca26afap-15, -0x1.a560ab8a9b043p-15, -0x1.a3228418fb378p-15, -0x1.a0e60338677a4p-15, -0x1.9eab2c9530cd2p-15, -0x1.9c7203c54f2dbp-15, -0x1.9a3a8c48b07d6p-15, -0x1.9804c98992f03p-15, -0x1.95d0bedc8a183p-15, -0x1.939e6f80dc35ap-15, -0x1.916ddea107297p-15, -0x1.8f3f0f526d3b6p-15, -0x1.8d1204965ea2p-15, -0x1.8ae6c15944f0dp-15, -0x1.88bd48744b279p-15, -0x1.86959cac3e8bcp-15, -0x1.846fc0b2cef49p-15, -0x1.824bb72655ddcp-15, }}, 
      {{-0x1.4b359756338ebp-1, -0x1.4b39c62ff5feep-1, -0x1.4b407f3bc47d2p-1, -0x1.4b4967bc84ac1p-1, -0x1.4b5408a4ac5dcp-1, -0x1.4b5fd46455704p-1, -0x1.4b6c2cd3efeddp-1, -0x1.4b7868e749689p-1, -0x1.4b83d9ea4aaf6p-1, -0x1.4b8dd01de8dc5p-1, -0x1.4b959e9fe18dfp-1, -0x1.4b9a9e98faf4ap-1, -0x1.4b9c31ba701a2p-1, -0x1.4b99c41b8a22ep-1, -0x1.4b92cd8cad827p-1, -0x1.4b86d2763e04fp-1, -0x1.4b7564589f558p-1, -0x1.4b5e22003c79ep-1, -0x1.4b40b77d8d5edp-1, -0x1.4b1cddee2d5e1p-1, -0x1.4af25b2155172p-1, -0x1.4ac1011fe3893p-1, -0x1.4a88ad9e50634p-1, -0x1.4a49495da0709p-1, -0x1.4a02c77f7ac92p-1, -0x1.49b524d0e1bb5p-1, -0x1.4960670e9a539p-1, -0x1.49049c260070cp-1, -0x1.48a1d974c4e2cp-1, -0x1.48383b09dd6c2p-1, -0x1.47c7e2e9b4df9p-1, -0x1.4750f857711p-1, -0x1.46d3a724e8083p-1, -0x1.46501f0a9849dp-1, -0x1.45c69308b72d2p-1, -0x1.453738d2228bfp-1, -0x1.44a24841c0b32p-1, -0x1.4407fadaa02fap-1, -0x1.43688b52e74c1p-1, -0x1.42c435297bfp-1, -0x1.421b34461a362p-1, -0x1.416dc4a37458cp-1, -0x1.40bc2202d3663p-1, -0x1.400687a8a52eap-1, -0x1.3f4d302152eedp-1, -0x1.3e90550db489p-1, -0x1.3dd02ef673abcp-1, -0x1.3d0cf525b6e65p-1, -0x1.3c46dd866ce0ap-1, -0x1.3b7e1c88a22eap-1, -0x1.3ab2e50a4b554p-1, -0x1.39e568440061bp-1, -0x1.3915d5b932aacp-1, -0x1.38445b2b6fe24p-1, -0x1.3771249053afep-1, -0x1.369c5c09d2113p-1, -0x1.35c629e096c54p-1, -0x1.34eeb4803954fp-1, -0x1.341620750f2e5p-1, -0x1.333c906b7600ep-1, -0x1.326225306a6p-1, -0x1.3186fdb351282p-1, -0x1.30ab3708d7827p-1, -0x1.2fceec6ed54a9p-1, -0x1.2ef2375122021p-1, -0x1.2e152f4f492fap-1, -0x1.2d37ea4316068p-1, -0x1.2c5a7c47e8b56p-1, -0x1.2b7cf7c2caccdp-1, -0x1.2a9f6d6b3a9b8p-1, -0x1.29c1ec54a2b95p-1, -0x1.28e481f874bd7p-1, -0x1.28073a40dec41p-1, -0x1.272a1f940fe3dp-1, -0x1.264d3ae0037p-1, -0x1.257093a6c5d62p-1, -0x1.2494300b2a82ep-1, -0x1.23b814dde7272p-1, -0x1.22dc45ab0487dp-1, -0x1.2200c4c79ee87p-1, -0x1.2125935fe4085p-1, -0x1.204ab185453dap-1, -0x1.1f701e3cd0447p-1, -0x1.1e95d78da11f6p-1, -0x1.1dbbda8f627b9p-1, -0x1.1ce22378ce85ap-1, -0x1.1c08adae24bf7p-1, -0x1.1b2f73cf8a492p-1, -0x1.1a566fc74814ap-1, -0x1.197d9ad7dc74cp-1, -0x1.18a4eda9d775bp-1, -0x1.17cc6059776fp-1, -0x1.16f3ea83fd054p-1, -0x1.161b8354aeaecp-1, -0x1.154321918676p-1, -0x1.146abba77ec1bp-1, -0x1.139247b67d415p-1, -0x1.12b9bb9cd52d8p-1, -0x1.11e10d025ab41p-1, -0x1.1108316306e58p-1, -0x1.102f1e19266e7p-1, -0x1.0f55c867146cbp-1, -0x1.0e7c25807be21p-1, -0x1.0da22a9321158p-1, -0x1.0cc7cccf3435ep-1, -0x1.0bed016f2714p-1, -0x1.0b11bdbf10bcap-1, -0x1.0a35f723950b7p-1, -0x1.0959a3205b36cp-1, -0x1.087cb75e0fce6p-1, -0x1.079f29aff65c7p-1, -0x1.06c0f0190e63ep-1, -0x1.05e200d0cc668p-1, -0x1.050252476c38fp-1, -0x1.0421db29dff18p-1, -0x1.034092655e153p-1, -0x1.025e6f2a93a11p-1, -0x1.017b68f07d042p-1, -0x1.00977776ecdaep-1, -0x1.ff6525917dc53p-2, -0x1.fd99667b81a24p-2, -0x1.fbcba2f8a7d9cp-2, -0x1.f9fbccf58f3bfp-2, -0x1.f829d700eb166p-2, -0x1.f655b44d443ebp-2, -0x1.f47f58b24752ap-2, -0x1.f2a6b8ada8fa8p-2, -0x1.f0cbc963ac7d8p-2, -0x1.eeee809f4d197p-2, -0x1.ed0ed4d213c9dp-2, -0x1.eb2cbd13a088dp-2, -0x1.e9483120eef3bp-2, -0x1.e761295b58f7p-2, -0x1.e5779ec75e8cp-2, -0x1.e38b8b0b398fbp-2, -0x1.e19ce86d428b7p-2, -0x1.dfabb1d229f2ep-2, -0x1.ddb7e2bb0bffbp-2, -0x1.dbc17743615e5p-2, -0x1.d9c86c1ed5e79p-2, -0x1.d7ccbe9701e2ep-2, -0x1.d5ce6c8910d01p-2, -0x1.d3cd746350e14p-2, -0x1.d1c9d522b9a97p-2, -0x1.cfc38e505e1f1p-2, -0x1.cdba9ffed9c86p-2, -0x1.cbaf0ac7b58c3p-2, -0x1.c9a0cfc8c1f4fp-2, -0x1.c78ff0a17416fp-2, -0x1.c57c6f703b6d2p-2, -0x1.c3664ecfd9e95p-2, -0x1.c14d91d4bab21p-2, -0x1.bf323c0a4b844p-2, -0x1.bd1451705a7aep-2, -0x1.baf3d67875282p-2, -0x1.b8d0d0034f995p-2, -0x1.b6ab435e2c3c5p-2, -0x1.b48336404f33ap-2, -0x1.b258aec873ddfp-2, -0x1.b02bb37a49d7ap-2, -0x1.adfc4b3bfac7ep-2, -0x1.abca7d53b6c6ep-2, -0x1.a9965165459a4p-2, -0x1.a75fcf6fa3d1bp-2, -0x1.a526ffcaa2f77p-2, -0x1.a2ebeb24944f6p-2, -0x1.a0ae9a7ffb8p-2, -0x1.9e6f173142fe9p-2, -0x1.9c2d6adc7e8dbp-2, -0x1.99e99f7331b11p-2, -0x1.97a3bf321a878p-2, -0x1.955bd49f08f56p-2, -0x1.9311ea86b55e6p-2, -0x1.90c60bfaa3afap-2, -0x1.8e78444f082cap-2, -0x1.8c289f18b496fp-2, -0x1.89d7282b086a6p-2, -0x1.8783eb95e892dp-2, -0x1.852ef5a3b9c61p-2, -0x1.82d852d762c7cp-2, -0x1.80800fea4f1e5p-2, -0x1.7e2639ca7be56p-2, -0x1.7bcadd98811b5p-2, -0x1.796e08a5a65e2p-2, -0x1.770fc871f657p-2, -0x1.74b02aaa592e7p-2, -0x1.724f3d26af721p-2, -0x1.6fed0de7f15f5p-2, -0x1.6d89ab1655383p-2, -0x1.6b2522ff6fe06p-2, -0x1.68bf841462ab6p-2, -0x1.6658dce804c5ap-2, -0x1.63f13c2d11e43p-2, -0x1.6188b0b45d5a4p-2, -0x1.5f1f496b044ep-2, -0x1.5cb51558a5a46p-2, -0x1.5a4a239d9b3f6p-2, -0x1.57de83713882ep-2, -0x1.557244200473ep-2, -0x1.5305750a00281p-2, -0x1.509825a0e85fp-2, -0x1.4e2a65667d43ap-2, -0x1.4bbc43eaccd1p-2, -0x1.494dd0ca7f6a8p-2, -0x1.46df1bad2554bp-2, -0x1.447034438ddb8p-2, -0x1.42012a46184ffp-2, -0x1.3f920d731004cp-2, -0x1.3d22ed8d06f94p-2, -0x1.3ab3da59363b8p-2, -0x1.3844e39ddebbcp-2, -0x1.35d61920b27a7p-2, -0x1.33678aa53d45dp-2, -0x1.30f947eb51dddp-2, -0x1.2e8b60ad7d3f9p-2, -0x1.2c1de49f7b432p-2, -0x1.29b0e36cb1616p-2, -0x1.27446cb6acfe7p-2, -0x1.24d89013a4c8bp-2, -0x1.226d5d0d0201bp-2, -0x1.2002e31de9c7ep-2, -0x1.1d9931b1d07d3p-2, -0x1.1b3058230e0f5p-2, -0x1.18c865b977163p-2, -0x1.166169a8ff9f9p-2, -0x1.13fb73105e6b2p-2, -0x1.119690f7b881ep-2, -0x1.0f32d24f4f70fp-2, -0x1.0cd045ee3a835p-2, -0x1.0a6efa911ea9cp-2, -0x1.080efed8f2424p-2, -0x1.05b06149c3f47p-2, -0x1.0353304989e86p-2, -0x1.00f77a1ef24fap-2, -0x1.fd3a99e0823f9p-3, -0x1.f8896d845f1fp-3, -0x1.f3db8aeda4585p-3, -0x1.ef310d9912fc3p-3, -0x1.ea8a10b9e7fc4p-3, -0x1.e5e6af37d5332p-3, -0x1.e14703ad079dcp-3, -0x1.dcab28643660fp-3, -0x1.d8133756c7cc1p-3, -0x1.d37f4a2afba2fp-3, -0x1.ceef7a3228c1ap-3, -0x1.ca63e0670d393p-3, -0x1.c5dc956c202e8p-3, -0x1.c159b18a0363fp-3, -0x1.bcdb4cadf21f2p-3, -0x1.b8617e684a726p-3, -0x1.b3ec5deb22d67p-3, -0x1.af7c0208eb33dp-3, -0x1.ab1081331f836p-3, -0x1.a6a9f17908824p-3, -0x1.a24868868d1bbp-3, -0x1.9debfba30e616p-3, -0x1.9994bfb057bfp-3, -0x1.9542c92999bb8p-3, -0x1.90f62c2275713p-3, -0x1.8caefc4615378p-3, -0x1.886d4cd657c54p-3, -0x1.843130ab05e16p-3, -0x1.7ffaba3119ab2p-3, -0x1.7bc9fb6a10704p-3, -0x1.779f05eb50becp-3, -0x1.7379eadd9a236p-3, -0x1.6f5abafc82197p-3, -0x1.6b41869608bb3p-3, -0x1.672e5d8a2baf9p-3, -0x1.63214f4a97e0ep-3, -0x1.5f1a6ada59719p-3, -0x1.5b19becda999p-3, -0x1.571f5949b657fp-3, -0x1.532b480489d77p-3, -0x1.4f3d9844f7fp-3, -0x1.4b5656e290f82p-3, -0x1.47759045b0b83p-3, -0x1.439b50678b9c1p-3, -0x1.3fc7a2d252c3bp-3, -0x1.3bfa92a15c793p-3, -0x1.38342a8160e29p-3, -0x1.347474b0b793dp-3, -0x1.30bb7affac00cp-3, -0x1.2d0946d0d8161p-3, -0x1.295de11988804p-3, -0x1.25b952622f04bp-3, -0x1.221ba2c6dda6fp-3, -0x1.1e84d9f7ce1eap-3, -0x1.1af4ff39f0566p-3, -0x1.176c196789a17p-3, -0x1.13ea2ef0d3103p-3, -0x1.106f45dcabff8p-3, -0x1.0cfb63c952d0dp-3, -0x1.098e8ded1e82bp-3, -0x1.0628c917500a1p-3, -0x1.02ca19b0dd82ap-3, -0x1.fee5077aa4f74p-4, -0x1.f84415b75980ap-4, -0x1.f1b1648e93ac8p-4, -0x1.eb2cf9b1b001bp-4, -0x1.e4b6da0e9ad98p-4, -0x1.de4f09d1d595fp-4, -0x1.d7f58c687f5bdp-4, -0x1.d1aa648278312p-4, -0x1.cb6d941477ca2p-4, -0x1.c53f1c5a52146p-4, -0x1.bf1efdd92dae8p-4, -0x1.b90d3861cdba2p-4, -0x1.b309cb12e7fe4p-4, -0x1.ad14b45b8597cp-4, -0x1.a72df1fd60254p-4, -0x1.a155810f62222p-4, -0x1.9b8b5e00176c7p-4, -0x1.95cf84982f07ep-4, -0x1.9021effd0418p-4, -0x1.8a829ab333575p-4, -0x1.84f17ea12d09dp-4, -0x1.7f6e9511d2e67p-4, -0x1.79f9d6b71ba0dp-4, -0x1.74933bacb9f8bp-4, -0x1.6f3abb7acda27p-4, -0x1.69f04d188ddbp-4, -0x1.64b3e6ef042aep-4, -0x1.5f857edbc100bp-4, -0x1.5a650a339b342p-4, -0x1.55527dc56a151p-4, -0x1.504dcddcc954p-4, -0x1.4b56ee44daa1dp-4, -0x1.466dd24b0721cp-4, -0x1.41926cc1c8c6cp-4, -0x1.3cc4b0036921fp-4, -0x1.38048df4cdbd8p-4, -0x1.3351f8083a15cp-4, -0x1.2eacdf4015f8fp-4, -0x1.2a153431af806p-4, -0x1.258ae708046d7p-4, -0x1.210de7867b846p-4, -0x1.1c9e250baa378p-4, -0x1.183b8e94101e3p-4, -0x1.13e612bcd4889p-4, -0x1.0f9d9fc67caf8p-4, -0x1.0b622397a379ep-4, -0x1.07338bbfa70e2p-4, -0x1.0311c5795f2fp-4, -0x1.fdf97b5b8131cp-5, -0x1.f5e8c1ed11a1bp-5, -0x1.edf13741b9835p-5, -0x1.e612b35fd236fp-5, -0x1.de4d0dbef5eb9p-5, -0x1.d6a01d4d1f4b5p-5, -0x1.cf0bb873d46a2p-5, -0x1.c78fb51d2c0e9p-5, -0x1.c02be8b8d78e1p-5, -0x1.b8e028411f4ap-5, -0x1.b1ac483fd3362p-5, -0x1.aa901cd32751bp-5, -0x1.a38b79b28be6fp-5, -0x1.9c9e32337270ep-5, -0x1.95c8194e0b1ddp-5, -0x1.8f0901a1eef78p-5, -0x1.8860bd7abf7d6p-5, -0x1.81cf1ed4b5b55p-5, -0x1.7b53f76122759p-5, -0x1.74ef188ae52e6p-5, -0x1.6ea0537ac904bp-5, -0x1.6867791bda2f2p-5, -0x1.62445a1fae4e5p-5, -0x1.5c36c70299111p-5, -0x1.563e900fc9fa5p-5, -0x1.505b85656a264p-5, -0x1.4a8d76f89d90ap-5, -0x1.44d4349978098p-5, -0x1.3f2f8df6dc009p-5, -0x1.399f52a25bc5cp-5, -0x1.34235213ec598p-5, -0x1.2ebb5bada540cp-5, -0x1.29673ebf5c763p-5, -0x1.2426ca8a37cd5p-5, -0x1.1ef9ce4429ecap-5, -0x1.19e0191b6ab61p-5, -0x1.14d97a39cd333p-5, -0x1.0fe5c0c80e1ebp-5, -0x1.0b04bbf117854p-5, -0x1.06363ae524082p-5, -0x1.017a0cdcdde63p-5, -0x1.f9a00238d1d32p-6, -0x1.f06fcdecb1f53p-6, -0x1.e7631b9d38c54p-6, -0x1.de798a3aa9a25p-6, -0x1.d5b2b8e33959dp-6, -0x1.cd0e46e871621p-6, -0x1.c48bd3d48cbf3p-6, -0x1.bc2aff6f942a6p-6, -0x1.b3eb69c46cdb7p-6, -0x1.abccb325bfe91p-6, -0x1.a3ce7c32c7a0dp-6, -0x1.9bf065dbec508p-6, -0x1.9432116757ea1p-6, -0x1.8c93207559192p-6, -0x1.85133504a4925p-6, -0x1.7db1f17692dcdp-6, -0x1.766ef89310b55p-6, -0x1.6f49ed8c9f9f5p-6, -0x1.68427404193e4p-6, -0x1.6158300c649bdp-6, -0x1.5a8ac62df978p-6, -0x1.53d9db6a60c86p-6, -0x1.4d45153f8996dp-6, -0x1.46cc19aafc18fp-6, -0x1.406e8f2d001d1p-6, -0x1.3a2c1ccb90cdp-6, -0x1.34046a154a1b8p-6, -0x1.2df71f24324ddp-6, -0x1.2803e4a0610b3p-6, -0x1.222a63c2990c9p-6, -0x1.1c6a4656bd35cp-6, -0x1.16c336be2f292p-6, -0x1.1134dff20e31ap-6, -0x1.0bbeed85713f4p-6, -0x1.06610ba7694c2p-6, -0x1.011ae7250259dp-6, -0x1.f7d85ad646b66p-7, -0x1.eda91910b4d59p-7, -0x1.e3a7665d076abp-7, -0x1.d9d2a168eedb6p-7, -0x1.d02a2a2eef6f6p-7, -0x1.c6ad61f961bd7p-7, -0x1.bd5bab650af3cp-7, -0x1.b4346a63b0e69p-7, -0x1.ab37043e621fdp-7, -0x1.a262df97bc868p-7, -0x1.99b7646ddf948p-7, -0x1.9133fc1c62c53p-7, -0x1.88d8115e00052p-7, -0x1.80a3104e2092fp-7, -0x1.7894666a643f6p-7, -0x1.70ab8293c358dp-7, -0x1.68e7d50fe0704p-7, -0x1.6148cf89d73bbp-7, -0x1.59cde5134d9ddp-7, -0x1.52768a250a3d2p-7, -0x1.4b42349fa19f4p-7, -0x1.44305bcbf099bp-7, -0x1.3d40785b6dabp-7, -0x1.367204688354cp-7, -0x1.2fc47b7687864p-7, -0x1.29375a71d4a93p-7, -0x1.22ca1fafbfc81p-7, -0x1.1c7c4aee39226p-7, -0x1.164d5d5398ce4p-7, -0x1.103cd96e30cddp-7, -0x1.0a4a4333be7e3p-7, -0x1.04752000d5f8fp-7, -0x1.fd79ed304e13cp-8, -0x1.f2429e434fef1p-8, -0x1.e7436653828eep-8, -0x1.dc7b5b4081defp-8, -0x1.d1e995aeb1018p-8, -0x1.c78d3104e0ccfp-8, -0x1.bd654b69d2d0dp-8, -0x1.b37105c1b1f1cp-8, -0x1.a9af83ab457e9p-8, -0x1.a01feb7d0ee17p-8, -0x1.96c16642369e8p-8, -0x1.8d931fb764c71p-8, -0x1.8494464784dfbp-8, -0x1.7bc40b083a66fp-8, -0x1.7321a1b664466p-8, -0x1.6aac40b26cc1cp-8, -0x1.626320fc93345p-8, -0x1.5a457e30ed2f8p-8, -0x1.525296837cb62p-8, -0x1.4a89aabc0ba35p-8, -0x1.42e9fe3214041p-8, -0x1.3b72d6c859a0dp-8, -0x1.34237ce8af6fep-8, -0x1.2cfb3b7f53326p-8, -0x1.25f95ff6a2db6p-8, -0x1.1f1d3a325ed79p-8, -0x1.18661c8af59edp-8, -0x1.11d35bc8df09p-8, -0x1.0b644f1fac332p-8, -0x1.051850295551cp-8, -0x1.fddd75c243cbcp-9, -0x1.f1cddb3d70245p-9, -0x1.e600922232b94p-9, -0x1.da7460732d6c3p-9, -0x1.cf2810cd1bcd4p-9, -0x1.c41a725caec83p-9, -0x1.b94a58d40f5e9p-9, -0x1.aeb69c6042fc1p-9, -0x1.a45e199ec5463p-9, -0x1.9a3fb192de5d5p-9, -0x1.905a499ad095ep-9, -0x1.86accb65333afp-9, -0x1.7d3624e61a16p-9, -0x1.73f5484c36358p-9, -0x1.6ae92bf636504p-9, -0x1.6210ca67904a4p-9, -0x1.596b223dca837p-9, -0x1.50f7362548bcfp-9, -0x1.48b40ccebd602p-9, -0x1.40a0b0e3a703ep-9, -0x1.38bc30fbdc28ap-9, -0x1.31059f921760dp-9, -0x1.297c12f9304cp-9, -0x1.221ea5512b7a6p-9, -0x1.1aec747c0d82dp-9, -0x1.13e4a212f8695p-9, -0x1.0d06535b40026p-9, -0x1.0650b13b4ccd4p-9, -0x1.ff85d05faafecp-10, -0x1.f2b85081e00f4p-10, -0x1.e63749ee259cep-10, -0x1.da012aa0c98c1p-10, -0x1.ce14676b7452cp-10, -0x1.c26f7bdfdc3dp-10, -0x1.b710ea3a4606fp-10, -0x1.abf73b4bd3ec3p-10, -0x1.a120fe65953f7p-10, -0x1.968cc94303a37p-10, -0x1.8c3937f4e1181p-10, -0x1.8224eccc46717p-10, -0x1.784e90459007dp-10, -0x1.6eb4d0f3a479fp-10, -0x1.6556636b5af64p-10, -0x1.5c32022e6a2b3p-10, -0x1.53466d979037cp-10, -0x1.4a926bc5bd484p-10, -0x1.4214c887fd9a3p-10, -0x1.39cc554942d97p-10, -0x1.31b7e8fca4d5bp-10, -0x1.29d66009a1184p-10, -0x1.22269c37e6813p-10, -0x1.1aa7849c5c25cp-10, -0x1.135805852adafp-10, -0x1.0c37106730292p-10, -0x1.05439bca2af7dp-10, -0x1.fcf9466cbdd6dp-11, -0x1.efc24e426f04ep-11, -0x1.e2e059b64336cp-11, -0x1.d6517cf9a9811p-11, -0x1.ca13d5aa2557ep-11, -0x1.be258aac7b9f8p-11, -0x1.b284cc09a252fp-11, -0x1.a72fd2ca06934p-11, -0x1.9c24e0d2fdc89p-11, -0x1.916240c38c4d3p-11, -0x1.86e645d16fa61p-11, -0x1.7caf4ba72c973p-11, -0x1.72bbb641c0e53p-11, -0x1.6909f1cf2fbcdp-11, -0x1.5f98728ce8466p-11, -0x1.5665b4a76a2d1p-11, -0x1.4d703c188289cp-11, -0x1.44b69488a376ap-11, -0x1.3c37512d27481p-11, -0x1.33f10caa44a03p-11, -0x1.2be268f2ac6ecp-11, -0x1.240a0f298ce17p-11, -0x1.1c66af83682ap-11, -0x1.14f70127e5712p-11, -0x1.0db9c21439c8bp-11, -0x1.06adb6fd9564cp-11, -0x1.ffa35667f3887p-12, -0x1.f248e10ae9018p-12, -0x1.e549be42d437fp-12, -0x1.d8a3aaf9e4c91p-12, -0x1.cc54706cce15p-12, -0x1.c059e3f53963p-12, -0x1.b4b1e6d2a0e62p-12, -0x1.a95a65f57e949p-12, -0x1.9e5159ca24144p-12, -0x1.9394c604af47bp-12, -0x1.8922b96da917cp-12, -0x1.7ef94daf4c38cp-12, -0x1.7516a722cffdap-12, -0x1.6b78f49fef936p-12, -0x1.621e6f4b3efdcp-12, -0x1.59055a669fa99p-12, -0x1.502c032171e47p-12, -0x1.4790c069d07e6p-12, -0x1.3f31f2bf1ffdap-12, -0x1.370e040349cc8p-12, -0x1.2f23674ed98bcp-12, -0x1.277098c404853p-12, -0x1.1ff41d637f303p-12, -0x1.18ac82e1ed2f5p-12, -0x1.11985f7c1ccf2p-12, -0x1.0ab651ced5a63p-12, -0x1.040500acee4e7p-12, -0x1.fb0635ede0793p-13, -0x1.ee5eaee5ed2dfp-13, -0x1.e210e94b560d7p-13, -0x1.d61a715705dfbp-13, -0x1.ca78e2248408ap-13, -0x1.bf29e567ba0b1p-13, -0x1.b42b3321fafe4p-13, -0x1.a97a915a96f0dp-13, -0x1.9f15d3d62e8ap-13, -0x1.94fadbd066a7p-13, -0x1.8b2797b64802bp-13, -0x1.819a02e2b8976p-13, -0x1.785025594843p-13, -0x1.6f481386efa27p-13, -0x1.667fedfdffa42p-13, -0x1.5df5e137abf3ep-13, -0x1.55a825558448ep-13, -0x1.4d94fde2b40eep-13, -0x1.45bab996697eep-13, -0x1.3e17b219954d6p-13, -0x1.36aa4bcab4a52p-13, -0x1.2f70f5844c2f2p-13, -0x1.286a2863b090dp-13, -0x1.21946791922c8p-13, -0x1.1aee400aeeaadp-13, -0x1.14764869cf2bap-13, -0x1.0e2b20b282e32p-13, -0x1.080b721c9a8abp-13, -0x1.0215eee1de254p-13, -0x1.f892a41550755p-14, -0x1.ed48be7898c9dp-14, -0x1.e24bc513b9e63p-14, -0x1.d79960845af72p-14, -0x1.cd2f4985b01cap-14, -0x1.c30b48923f551p-14, -0x1.b92b358a43273p-14, -0x1.af8cf75a2a1ebp-14, -0x1.a62e83a45124fp-14, -0x1.9d0dde6ab701bp-14, -0x1.942919baf72ap-14, -0x1.8b7e555ba432fp-14, -0x1.830bbe7bafeep-14, -0x1.7acf8f6345b6fp-14, -0x1.72c80f24588eap-14, -0x1.6af391515fc64p-14, -0x1.635075ae30c38p-14, -0x1.5bdd27e9a4eccp-14, -0x1.54981f545b8e6p-14, -0x1.4d7fde9990407p-14, -0x1.4692f379bc4fp-14, -0x1.3fcff687a3d3cp-14, -0x1.39358ae452414p-14, -0x1.32c25dfdfeeccp-14, -0x1.2c75275021db2p-14, -0x1.264ca82492167p-14, -0x1.2047ab56964a5p-14, -0x1.1a65051453cdfp-14, -0x1.14a392a6b3949p-14, -0x1.0f023a35cded3p-14, -0x1.097fea8eeb958p-14, -0x1.041b9aeef63f1p-14, -0x1.fda895955c0c4p-15, -0x1.f35203358ae4bp-15, -0x1.e9319d4b38704p-15, -0x1.df45919b1d116p-15, -0x1.d58c1cbbec124p-15, -0x1.cc0389b51cc0dp-15, -0x1.c2aa319f816ep-15, -0x1.b97e7b44ef8e3p-15, -0x1.b07edac5b327dp-15, -0x1.a7a9d13faa514p-15, -0x1.9efdec7380c75p-15, -0x1.9679c66fc36dcp-15, -0x1.8e1c053cd4a26p-15, -0x1.85e35a8922da7p-15, -0x1.7dce83590d679p-15, -0x1.75dc47b9803bap-15, -0x1.6e0b7a6e7a1ep-15, -0x1.665af8ac63552p-15, -0x1.5ec9a9cb39e3bp-15, -0x1.57567efe18817p-15, -0x1.5000730d76038p-15, -0x1.48c68a13a02f3p-15, -0x1.41a7d13652291p-15, -0x1.3aa35e66cc23ap-15, -0x1.33b8502032109p-15, -0x1.2ce5cd293678ep-15, -0x1.262b045781ee2p-15, -0x1.1f872c511feabp-15, -0x1.18f983543dbf9p-15, -0x1.12814efceb57bp-15, -0x1.0c1ddc0cb5c2p-15, -0x1.05ce7e35376b7p-15, -0x1.ff251fc0c9497p-16, -0x1.f2d2e3ff19237p-16, -0x1.e6a517aae2d2bp-16, -0x1.da9a958f84d71p-16, -0x1.ceb24457a0edbp-16, -0x1.c2eb1632bd413p-16, -0x1.b74408774d6d4p-16, -0x1.abbc23481f14ap-16, -0x1.a052793e2d72cp-16, -0x1.9506271161aa3p-16, -0x1.89d65346b86bbp-16, -0x1.7ec22ddf16b67p-16, -0x1.73c8f00637185p-16, -0x1.68e9dbc6dc92p-16, -0x1.5e243bbf1bd0ep-16, -0x1.537762d6f79bfp-16, -0x1.48e2abf82b2b9p-16, -0x1.3e6579c96f23dp-16, -0x1.33ff366a1a11fp-16, -0x1.29af5331529a4p-16, -0x1.1f75486ac10ebp-16, -0x1.1550951b93c3ep-16, -0x1.0b40bec201f34p-16, -0x1.0145511c35bb2p-16, -0x1.eebbbbdb5c401p-17, -0x1.db13f98e4d62dp-17, -0x1.c792959f6fd0fp-17, -0x1.b436d520716c5p-17, -0x1.a100077d2a835p-17, -0x1.8ded8618710b1p-17, -0x1.7afeb3e81dc3dp-17, -0x1.6832fd16acc0dp-17, -0x1.5589d6aa428f8p-17, -0x1.4302be2683828p-17, -0x1.309d3935ae37fp-17, -0x1.1e58d555f101p-17, -0x1.0c3527838dddep-17, -0x1.f46397dba47c3p-18, -0x1.d09ccb4ad949bp-18, -0x1.ad153ca4a2f61p-18, -0x1.89cc4bd19091cp-18, -0x1.66c164cec0856p-18, -0x1.43f3ff1a87924p-18, -0x1.21639d3012715p-18, -0x1.fe1f98101e82cp-19, -0x1.b9f0453677885p-19, -0x1.763882cf7a858p-19, -0x1.32f7a3f8d1bacp-19, -0x1.e05a1a0c1f7a5p-20, -0x1.5bb0655c25069p-20, -0x1.afe264b513ff3p-21, -0x1.546e9bba79c24p-22, 0x1.6687d90789a8cp-23, 0x1.5baaaf7496d2ep-21, 0x1.2df1f9e90cf4fp-20, 0x1.ad275532197a8p-20, 0x1.15bae38906344p-19, 0x1.546ecc1e8099bp-19, 0x1.92af7ef5055ap-19, 0x1.d07d0d8c9413bp-19, 0x1.06ebc06ee039bp-18, 0x1.255f6cf87099cp-18, 0x1.43998933a6d4cp-18, 0x1.619a0e86c1e76p-18, 0x1.7f60f32ae244ep-18, 0x1.9cee2a6e40618p-18, 0x1.ba41a4f370a65p-18, 0x1.d75b50e71e5f8p-18, 0x1.f43b1a406b04ep-18, 0x1.087075796137fp-17, 0x1.16a655927fc26p-17, 0x1.24bf20b0c1fa5p-17, 0x1.32bac964d0b5ap-17, 0x1.409941a162adbp-17, 0x1.4e5a7ad20cc4ap-17, 0x1.5bfe65f04d7a1p-17, 0x1.6984f39950fd3p-17, 0x1.76ee142089e04p-17, 0x1.8439b7a37bc0bp-17, 0x1.9167ce1b33e4fp-17, 0x1.9e78476e4898dp-17, 0x1.ab6b13813c5f7p-17, 0x1.b84022458e787p-17, 0x1.c4f763caa418ap-17, 0x1.d190c84a0127dp-17, 0x1.de0c40362efafp-17, 0x1.ea69bc47e5be6p-17, 0x1.f6a92d8a257e8p-17, 0x1.016542b2f2fe7p-16, 0x1.0766dad65d3b7p-16, 0x1.0d59585259f5dp-16, 0x1.133cb488bdb9bp-16, 0x1.1910e91efe5a4p-16, 0x1.1ed5f002aa7fdp-16, 0x1.248bc36d96451p-16, 0x1.2a325deab6351p-16, 0x1.2fc9ba57b7dc9p-16, 0x1.3551d3ea55d6dp-16, 0x1.3acaa63319f7ap-16, 0x1.40342d1f9a27p-16, 0x1.458e64fe6c117p-16, 0x1.4ad94a819f432p-16, 0x1.5014dac06e394p-16, 0x1.55411339f7e6p-16, 0x1.5a5df1d71cb66p-16, 0x1.5f6b74ec20813p-16, 0x1.64699b3abe4ffp-16, 0x1.695863f39e599p-16, 0x1.6e37ceb7bd939p-16, 0x1.7307db996c0f2p-16, 0x1.77c88b1d63d5fp-16, 0x1.7c79de3bc4656p-16, 0x1.811bd660e969dp-16, 0x1.85ae756d8e0d7p-16, 0x1.8a31bdb813641p-16, 0x1.8ea5b20c4c897p-16, 0x1.930a55ab83acap-16, 0x1.975fac4d81129p-16, 0x1.9ba5ba1feeb87p-16, 0x1.9fdc83c6d5b55p-16, 0x1.a4040e5bd52fbp-16, 0x1.a81c5f6dc1ce8p-16, 0x1.ac257d013a29fp-16, 0x1.b01f6d8f5b54p-16, 0x1.b40a3805ad641p-16, 0x1.b7e5e3c533834p-16, 0x1.bbb278a1ffd64p-16, 0x1.bf6ffee223d5p-16, 0x1.c31e7f3d1616ep-16, 0x1.c6be02dae71ecp-16, 0x1.ca4e93533a584p-16, 0x1.cdd03aabbbf05p-16, 0x1.d1430357e5065p-16, 0x1.d4a6f8376d315p-16, 0x1.d7fc249442f78p-16, 0x1.db42942313fe3p-16, 0x1.de7a5301198c4p-16, 0x1.e1a36db2ca319p-16, 0x1.e4bdf12246f96p-16, 0x1.e7c9ea9e292bcp-16, 0x1.eac767d8500fp-16, 0x1.edb676e402712p-16, 0x1.f097263450534p-16, 0x1.f369849b148c7p-16, 0x1.f62da1477a7c4p-16, 0x1.f8e38bc38a6bep-16, 0x1.fb8b53f317bc4p-16, 0x1.fe250a127851p-16, 0x1.00585f5a3f3c2p-15, 0x1.0197416039696p-15, 0x1.02cf33b84f88dp-15, 0x1.04003f28cc302p-15, 0x1.052a6c9fa6d61p-15, 0x1.064dc531ce3c4p-15, 0x1.076a521a892ffp-15, 0x1.08801cba42daap-15, 0x1.098f2e95cdf77p-15, 0x1.0a9791559f631p-15, 0x1.0b994ec4ee5eap-15, 0x1.0c9470d08baefp-15, 0x1.0d890186459bbp-15, 0x1.0e770b13e3ce5p-15, 0x1.0f5e97c66a87bp-15, 0x1.103fb2094217bp-15, 0x1.111a646500a7ep-15, 0x1.11eeb97ee37c2p-15, 0x1.12bcbc17eb3efp-15, 0x1.1384770bcb448p-15, 0x1.1445f5503847bp-15, 0x1.150141f42018p-15, 0x1.15b6681e70268p-15, 0x1.1665730d66c82p-15, 0x1.170e6e15f3f6cp-15, 0x1.17b164a2a6c6cp-15, 0x1.184e6232d9319p-15, 0x1.18e57259eccedp-15, 0x1.1976a0be80594p-15, 0x1.1a01f91993e7ep-15, 0x1.1a87873584cd8p-15, 0x1.1b0756ed66c82p-15, 0x1.1b81742c9d52bp-15, 0x1.1bf5eaed67d3ep-15, 0x1.1c64c7387e898p-15, 0x1.1cce152438334p-15, 0x1.1d31e0d3d47cbp-15, 0x1.1d9036768dd6bp-15, 0x1.1de92246ff9fep-15, 0x1.1e3cb08a3630ep-15, 0x1.1e8aed8f2b5aep-15, 0x1.1ed3e5ae05a6cp-15, 0x1.1f17a54742523p-15, 0x1.1f5638c306923p-15, 0x1.1f8fac90791f6p-15, 0x1.1fc40d25304b1p-15, 0x1.1ff366fc3ad72p-15, 0x1.201dc695b1b64p-15, 0x1.20433875e37a6p-15, 0x1.2063c924d6f3p-15, 0x1.207f852d9a46ap-15, 0x1.2096791dad119p-15, 0x1.20a8b184467d3p-15, 0x1.20b63af1b600bp-15, 0x1.20bf21f6d343cp-15, 0x1.20c373246951cp-15, 0x1.20c33b0a975a9p-15, 0x1.20be863861baap-15, 0x1.20b5613aeb19ep-15, 0x1.20a7d89d0bf02p-15, 0x1.2095f8e6cc7ddp-15, 0x1.207fce9cab9cp-15, 0x1.2065663f34177p-15, 0x1.2046cc4ab6127p-15, 0x1.20240d36576d7p-15, 0x1.1ffd3573d1201p-15, 0x1.1fd2516f18c0cp-15, 0x1.1fa36d8dad74cp-15, 0x1.1f70962e4c47p-15, 0x1.1f39d7a845bd8p-15, 0x1.1eff3e4af4946p-15, 0x1.1ec0d65dc1581p-15, 0x1.1e7eac1f6820cp-15, 0x1.1e38cbc5739fdp-15, 0x1.1def417c14c5fp-15, 0x1.1da21965aa6ccp-15, 0x1.1d515f9a3fa2fp-15, 0x1.1cfd20273b54p-15, 0x1.1ca5670f138a8p-15, 0x1.1c4a4048c2ba1p-15, 0x1.1bebb7bfaf3f8p-15, 0x1.1b89d9532a08fp-15, 0x1.1b24b0d5fee55p-15, 0x1.1abc4a0e586a1p-15, 0x1.1a50b0b571685p-15, 0x1.19e1f077172f7p-15, 0x1.197014f162929p-15, 0x1.18fb29b490475p-15, 0x1.18833a427a827p-15, 0x1.1808520e9a68cp-15, 0x1.178a7c7d84eap-15, 0x1.1709c4e4f1997p-15, 0x1.1686368b33923p-15, 0x1.15ffdca7019edp-15, 0x1.1576c25f4e3b9p-15, 0x1.14eaf2cb38749p-15, 0x1.145c78f175a84p-15, 0x1.13cb5fc85521bp-15, 0x1.1337b23588408p-15, 0x1.12a17b0df3a25p-15, 0x1.1208c51563d6p-15, 0x1.116d9afe7dddbp-15, 0x1.10d0076a8a947p-15, 0x1.103014e912e1dp-15, 0x1.0f8dcdf817edfp-15, 0x1.0ee93d0391119p-15, 0x1.0e426c657c0c2p-15, 0x1.0d9966659c865p-15, 0x1.0cee353971fb6p-15, 0x1.0c40e30406b94p-15, 0x1.0b9179d5ae4ep-15, 0x1.0ae003ac1f78fp-15, 0x1.0a2c8a7271a4bp-15, 0x1.09771800772bdp-15, 0x1.08bfb61b2a274p-15, 0x1.08066e746b947p-15, 0x1.074b4aaacf73ap-15, 0x1.068e5449c7a78p-15, 0x1.05cf94c947b9ap-15, 0x1.050f158dde6ecp-15, 0x1.044cdfe8ae364p-15, 0x1.0388fd1730463p-15, 0x1.02c3764317c91p-15, 0x1.01fc5482a9c68p-15, 0x1.0133a0d85842p-15, 0x1.00696432c4644p-15, 0x1.ff3b4ed95f6b5p-16, 0x1.fda0e69a42745p-16, 0x1.fc03a10e8ceaep-16, 0x1.fa638f7482acap-16, 0x1.f8c0c2e2cff8p-16, 0x1.f71b4c483dc38p-16, 0x1.f5733c6b68f62p-16, 0x1.f3c8a3eb44d45p-16, 0x1.f21b933ec25e6p-16, 0x1.f06c1ab53dd73p-16, 0x1.eeba4a75b4496p-16, 0x1.ed06327f453b2p-16, 0x1.eb4fe2a9d1351p-16, 0x1.e9976aa4bf969p-16, 0x1.e7dcd9f7deaefp-16, 0x1.e62040034a853p-16, 0x1.e461abff4d23ap-16, 0x1.e2a12cfcc378ep-16, 0x1.e0ded1e49f3e7p-16, 0x1.df1aa9788919bp-16, 0x1.dd54c252ed947p-16, 0x1.db8d2ae6829d4p-16, 0x1.d9c3f17ed3526p-16, 0x1.d7f924408e8c8p-16, 0x1.d62cd12900d7fp-16, 0x1.d45f060e6ff7dp-16, 0x1.d28fd0a08c07bp-16, 0x1.d0bf3e68633b9p-16, 0x1.ceed5cc83250cp-16, 0x1.cd1a38fbcb991p-16, 0x1.cb45e018c96b7p-16, 0x1.c9705f0e44a43p-16, 0x1.c799c2a594516p-16, 0x1.c5c21782732bp-16, 0x1.c3e96a21fd9cp-16, 0x1.c20fc6dc0ba24p-16, 0x1.c03539e38f33fp-16, 0x1.be59cf456e40fp-16, 0x1.bc7d92e9bb6d8p-16, 0x1.baa090939fbcp-16, 0x1.b8c2d3e18004ep-16, 0x1.b6e4684d042bdp-16, 0x1.b505592b5740dp-16, 0x1.b325b1adafb0fp-16, 0x1.b1457ce0fc685p-16, 0x1.af64c5ae38689p-16, 0x1.ad8396dae829ep-16, 0x1.aba1fb08f422fp-16, 0x1.a9bffcb70cf1ep-16, 0x1.a7dda640c7764p-16, 0x1.a5fb01deee3e4p-16, 0x1.a41819a7628a3p-16, 0x1.a234f78d93322p-16, 0x1.a051a5630c0a4p-16, 0x1.9e6e2cd6d6a44p-16, 0x1.9c8a977643593p-16, 0x1.9aa6eead44cd3p-16, 0x1.98c33bc5e8777p-16, 0x1.96df87e9a7dcfp-16, 0x1.94fbdc208b59p-16, 0x1.93184151ad428p-16, 0x1.9134c044810fcp-16, 0x1.8f51619f7241bp-16, 0x1.8d6e2de8d8aa7p-16, 0x1.8b8b2d87a051fp-16, 0x1.89a868c2c4e02p-16, 0x1.87c5e7c2016efp-16, 0x1.85e3b28de56fdp-16, 0x1.8401d110135c9p-16, 0x1.82204b13777a9p-16, 0x1.803f2844ac043p-16, 0x1.7e5e7031e7248p-16, 0x1.7c7e2a4b88ec1p-16, 0x1.7a9e5de43035cp-16, 0x1.78bf1230a7eb5p-16, 0x1.76e04e48e78b4p-16, 0x1.75021927b070fp-16, 0x1.732479aae44cdp-16, 0x1.71477693f363dp-16, 0x1.6f6b1687deb8ep-16, 0x1.6d8f600fc31eep-16, 0x1.6bb45998b531ap-16, 0x1.69da097445eb9p-16, 0x1.680075d8a6ad6p-16, 0x1.6627a4e0f42e8p-16, 0x1.644f9c8d63e27p-16, 0x1.627862c358deap-16, 0x1.60a1fd4e4111ap-16, 0x1.5ecc71df22b1p-16, 0x1.5cf7c60cd74fap-16, 0x1.5b23ff54db643p-16, 0x1.5951231b3ad4ap-16, 0x1.577f36aab38ccp-16, 0x1.55ae3f34faaabp-16, 0x1.53de41d32f11cp-16, 0x1.520f4385f35acp-16, 0x1.504149357e673p-16, 0x1.4e7457b20d3abp-16, 0x1.4ca873b447dcep-16, 0x1.4adda1dd04194p-16, 0x1.4913e6b5f3e09p-16, 0x1.474b46b1b5db8p-16, 0x1.4583c62be826dp-16, 0x1.43bd6969a2d2bp-16, 0x1.41f83499c8976p-16, 0x1.40342bd4cea07p-16, 0x1.3e71531d50fd4p-16, 0x1.3cafae605209ep-16, 0x1.3aef417553a7dp-16, 0x1.3930101ea5c8ap-16, 0x1.37721e097c0c1p-16, 0x1.35b56ece55836p-16, 0x1.33fa05f119841p-16, 0x1.323fe6e147ef3p-16, 0x1.308714fa78037p-16, 0x1.2ecf938439616p-16, 0x1.2d1965b26b3bcp-16, 0x1.2b648ea578264p-16, 0x1.29b1116ac2e45p-16, 0x1.27fef0fc613c4p-16, 0x1.264e3041ba7dap-16, 0x1.249ed20fbb63ap-16, 0x1.22f0d928d55c1p-16, 0x1.2144483d42fbdp-16, 0x1.1f9921eb8c952p-16, 0x1.1def68c03d46ep-16, 0x1.1c471f3669034p-16, 0x1.1aa047b806a2ap-16, 0x1.18fae49daf091p-16, 0x1.1756f82f1d69fp-16, 0x1.15b484a391473p-16, 0x1.14138c21888bfp-16, 0x1.127410bf6600dp-16, 0x1.10d61483667cbp-16, 0x1.0f399963d40dep-16, 0x1.0d9ea14754853p-16, 0x1.0c052e0519bd1p-16, 0x1.0a6d4164f1741p-16, 0x1.08d6dd1f811bap-16, 0x1.074202deb640dp-16, 0x1.05aeb43dab2acp-16, 0x1.041cf2c8d721fp-16, 0x1.028cbffe8a607p-16, 0x1.00fe1d4ec0accp-16, 0x1.fee218372f0c2p-17, 0x1.fbcb1b729c495p-17, 0x1.f8b746dd66019p-17, 0x1.f5a69ce9d73c4p-17, 0x1.f2991feffae97p-17, 0x1.ef8ed22dfaffap-17, 0x1.ec87b5c7b4656p-17, 0x1.e983ccc82ac2ep-17, 0x1.e6831920ecdcap-17, 0x1.e3859caabd311p-17, 0x1.e08b592671596p-17, 0x1.dd94503c73373p-17, 0x1.daa0837d60ec6p-17, 0x1.d7aff46325e18p-17, 0x1.d4c2a44fcc212p-17, 0x1.d1d8948f0a1a5p-17, 0x1.cef1c656722f2p-17, 0x1.cc0e3ac5362d6p-17, 0x1.c92df2e4d43f2p-17, 0x1.c650efa983006p-17, 0x1.c37731f26843p-17, 0x1.c0a0ba89bba4cp-17, 0x1.bdcd8a254c96ap-17, 0x1.bafda166a2113p-17, 0x1.b83100dbc4578p-17, 0x1.b567a8fec277ap-17, 0x1.b2a19a3686243p-17, 0x1.afded4d73724ap-17, 0x1.ad1f59221a301p-17, 0x1.aa6327462c91fp-17, 0x1.a7aa3f603f8bep-17, 0x1.a4f4a17b7b7adp-17, 0x1.a2424d9140226p-17, 0x1.9f93438a29864p-17, 0x1.9ce7833d5ea6cp-17, 0x1.9a3f0c7158627p-17, 0x1.9799dedcb3de4p-17, 0x1.94f7fa2510d97p-17, 0x1.92595de0ed429p-17, 0x1.8fbe0996ce7bdp-17, 0x1.8d25fcbdb8f8cp-17, 0x1.8a9136be253d1p-17, 0x1.87ffb6f0fde59p-17, 0x1.85717ca110972p-17, 0x1.82e6870ae9f7bp-17, 0x1.805ed55c5c9f7p-17, 0x1.7dda66b62e8f8p-17, 0x1.7b593a2af0516p-17, 0x1.78db4ebff648bp-17, 0x1.7660a36dac495p-17, 0x1.73e9371f889f2p-17, 0x1.717508b4231ccp-17, 0x1.6f0416fdd6847p-17, 0x1.6c9660c2b38f9p-17, 0x1.6a2be4bcd3141p-17, 0x1.67c4a19a8e38ap-17, 0x1.656095fec512bp-17, 0x1.62ffc0810b536p-17, 0x1.60a21fad9138bp-17, 0x1.5e47b20605cfep-17, 0x1.5bf076012c50cp-17, 0x1.599c6a0b50d92p-17, 0x1.574b8c8673a8cp-17, 0x1.54fddbcad37b8p-17, 0x1.52b3562659189p-17, 0x1.506bf9ddc0336p-17, 0x1.4e27c52be876fp-17, 0x1.4be6b64297c9dp-17, 0x1.49a8cb4a9be3p-17, 0x1.476e026383868p-17, 0x1.453659a49b035p-17, 0x1.4301cf1c3b83ap-17, 0x1.40d060d0ace11p-17, 0x1.3ea20cc010507p-17, 0x1.3c76d0e04549ep-17, 0x1.3a4eab1fda7e8p-17, 0x1.3829996539ff2p-17, 0x1.3607998fb1d4cp-17, 0x1.33e8a9773ffap-17, 0x1.31ccc6ec51cacp-17, 0x1.2fb3efb92f0adp-17, 0x1.2d9e21a08e95cp-17, 0x1.2b8b5a5f0899cp-17, 0x1.297b97aa93e1ap-17, 0x1.276ed732af312p-17, 0x1.256516a0d898bp-17, 0x1.235e539893ccdp-17, 0x1.215a8bb77f7a6p-17, 0x1.1f59bc9579e14p-17, 0x1.1d5be3c500614p-17, 0x1.1b60fed2ede7p-17, 0x1.19690b4703667p-17, 0x1.177406a3d76cep-17, 0x1.1581ee671be16p-17, 0x1.1392c00968d71p-17, 0x1.11a678feeb136p-17, 0x1.0fbd16b7045c5p-17, 0x1.0dd6969cb1a68p-17, 0x1.0bf2f616df635p-17, 0x1.0a123287d7f2dp-17, 0x1.0834494e4ef93p-17, 0x1.065937c4b64dfp-17, 0x1.0480fb41e1fcdp-17, 0x1.02ab9118d9b94p-17, 0x1.00d8f6991949ap-17, 0x1.fe12521d9d92cp-18, 0x1.fa784b854129ep-18, 0x1.f6e3d3f4885a2p-18, 0x1.f354e5efe84e1p-18, 0x1.efcb7bf6a854p-18, 0x1.ec4790819cbeap-18, 0x1.e8c91e049b497p-18, 0x1.e5501eede6f2ap-18, 0x1.e1dc8da69c5a7p-18, 0x1.de6e64933aac9p-18, 0x1.db059e1353354p-18, 0x1.d7a23481effd8p-18, 0x1.d444223652e3cp-18, 0x1.d0eb6182e8673p-18, 0x1.cd97ecb6cc303p-18, 0x1.ca49be1d2a89ap-18, 0x1.c700cffd72d1cp-18, 0x1.c3bd1c9c3724ap-18, 0x1.c07e9e3a51046p-18, 0x1.bd454f163bcd3p-18, 0x1.ba11296b3df9ep-18, 0x1.b6e227722e941p-18, 0x1.b3b843615783fp-18, 0x1.b093776cc3632p-18, 0x1.ad73bdc65ea1dp-18, 0x1.aa59109e030e5p-18, 0x1.a7436a2230032p-18, 0x1.a432c47f07dbdp-18, 0x1.a12719e00fdep-18, 0x1.9e20646ecd69bp-18, 0x1.9b1e9e53d2e48p-18, 0x1.9821c1b6a2e6dp-18, 0x1.9529c8bdc21aep-18, 0x1.9236ad8f495e7p-18, 0x1.8f486a5055ef3p-18, 0x1.8c5ef925edb25p-18, 0x1.897a54346cc83p-18, 0x1.869a75a056ce2p-18, 0x1.83bf578de067ep-18, 0x1.80e8f42170601p-18, 0x1.7e17457fa3676p-18, 0x1.7b4a45cd5a346p-18, 0x1.7881ef2fd8a45p-18, }}, 
      std::vector<double>(1250, 0.0), 
      {{-0x1.4214942863344p-7, -0x1.416618261eba1p-6, -0x1.e0780e520b156p-6, -0x1.3ee01b4a9e11dp-5, -0x1.8c6e199075334p-5, -0x1.d8c35b034e998p-5, -0x1.11e54fdbd9434p-4, -0x1.36bd29ddf2224p-4, -0x1.5ae93d90e4eeep-4, -0x1.7e6d42aa8dbafp-4, -0x1.a14f9e2894d51p-4, -0x1.c398793d3f90ep-4, -0x1.e550ffefb4626p-4, -0x1.0341644f1364fp-3, -0x1.139bb06b3876ap-3, -0x1.23bbfcc8e6592p-3, -0x1.33a6961f19e73p-3, -0x1.435f693ffc42fp-3, -0x1.52e9f5d563549p-3, -0x1.62494617d8299p-3, -0x1.717fea32e2c7p-3, -0x1.808ff6804487p-3, -0x1.8f7b041919087p-3, -0x1.9e42337128623p-3, -0x1.ace630cc45842p-3, -0x1.bb673a666a097p-3, -0x1.c9c528246db95p-3, -0x1.d7ff749a9ba2ap-3, -0x1.e615472c468b8p-3, -0x1.f4057efeebcdcp-3, -0x1.00e75f3b0d866p-2, -0x1.07b7bb75f6134p-2, -0x1.0e72fa2e0c2c6p-2, -0x1.1518345ecc2b7p-2, -0x1.1ba67b67876adp-2, -0x1.221cde12227a9p-2, -0x1.287a6d27199e3p-2, -0x1.2ebe3f810d948p-2, -0x1.34e775979f50cp-2, -0x1.3af53c7e4177p-2, -0x1.40e6d05819f71p-2, -0x1.46bb7e45aefe9p-2, -0x1.4c72a5d41c232p-2, -0x1.520bb9f7b73eap-2, -0x1.5786419da9e0ep-2, -0x1.5ce1d7e0e1e41p-2, -0x1.621e2bef237cdp-2, -0x1.673b00aaf515ap-2, -0x1.6c382c169fee2p-2, -0x1.71159693d40f2p-2, -0x1.75d33a027e2c7p-2, -0x1.7a7120c84f237p-2, -0x1.7eef64c9520d4p-2, -0x1.834e2e58ba00cp-2, -0x1.878db327e2ea2p-2, -0x1.8bae35387a4e2p-2, -0x1.8fb001d59c61bp-2, -0x1.93937096e0858p-2, -0x1.9758e26f6479p-2, -0x1.9b00c0ca3459ep-2, -0x1.9e8b7cb4d1656p-2, -0x1.a1f98e180c40cp-2, -0x1.a54b72ff065eep-2, -0x1.a881aeebdbd7ap-2, -0x1.ab9cca3933bddp-2, -0x1.ae9d5187d00dcp-2, -0x1.b183d5371c5b4p-2, -0x1.b450e8e7aef81p-2, -0x1.b7052306ab744p-2, -0x1.b9a11c6104bd9p-2, -0x1.bc256fbda42f8p-2, -0x1.be92b97d9c4edp-2, -0x1.c0e9974191e36p-2, -0x1.c32aa793bae8cp-2, -0x1.c5568995cd161p-2, -0x1.c76ddcb26e7b4p-2, -0x1.c9714051c37b6p-2, -0x1.cb615390c9a8ep-2, -0x1.cd3eb4fb570d7p-2, -0x1.cf0a02488faeep-2, -0x1.d0c3d819c886p-2, -0x1.d26cd1bbd5b3fp-2, -0x1.d40588eac5b8fp-2, -0x1.d58e95982019dp-2, -0x1.d7088db3bd729p-2, -0x1.d87404f753585p-2, -0x1.d9d18cb4d1135p-2, -0x1.db21b3a7adba8p-2, -0x1.dc6505c940c41p-2, -0x1.dd9c0c2841a06p-2, -0x1.dec74cc3822a2p-2, -0x1.dfe74a67fdde9p-2, -0x1.e0fc84923baa7p-2, -0x1.e20777531c3f5p-2, -0x1.e3089b380c249p-2, -0x1.e400653699f4fp-2, -0x1.e4ef469b64e95p-2, -0x1.e5d5acfc5c35ap-2, -0x1.e6b4022e3626ep-2, -0x1.e78aac3d049f7p-2, -0x1.e85a0d67d94dcp-2, -0x1.e922841f41c45p-2, -0x1.e9e46b0691c49p-2, -0x1.eaa018f7c05dep-2, -0x1.eb55e109bbba4p-2, -0x1.ec06129905dc7p-2, -0x1.ecb0f9526acdfp-2, -0x1.ed56dd3fa9fbcp-2, -0x1.edf802d5e2cfap-2, -0x1.ee94ab0594969p-2, -0x1.ef2d134c08cep-2, -0x1.efc175c601225p-2, -0x1.f05209436dc08p-2, -0x1.f0df015c174eep-2, -0x1.f1688e8507546p-2, -0x1.f1eede268b70cp-2, -0x1.f2721ab2b5ebdp-2, -0x1.f2f26bbc2dep-2, -0x1.f36ff60d3d683p-2, -0x1.f3eadbbef4088p-2, -0x1.f4633c504c9bap-2, -0x1.f4d934bd32b4fp-2, -0x1.f54cdf955e3a3p-2, -0x1.f5be5512e4391p-2, -0x1.f62dab3076d03p-2, -0x1.f69af5bf38e6fp-2, -0x1.f706467c1f1b3p-2, -0x1.f76fad24d6dbfp-2, -0x1.f7d7378c19bd4p-2, -0x1.f83cf1ad78053p-2, -0x1.f8a0e5c085547p-2, -0x1.f9031c4b6d236p-2, -0x1.f9639c34e5d5ep-2, -0x1.f9c26ad57ee2bp-2, -0x1.fa1f8c08542a9p-2, -0x1.fa7b023b194e2p-2, -0x1.fad4ce7d86af8p-2, -0x1.fb2cf09029e1cp-2, -0x1.fb8366f299f6dp-2, -0x1.fbd82ef114f39p-2, -0x1.fc2b44b18fa5p-2, -0x1.fc7ca3402f7dp-2, -0x1.fccc449b4716fp-2, -0x1.fd1a21bec7c1p-2, -0x1.fd6632af403ccp-2, -0x1.fdb06e845bf3bp-2, -0x1.fdf8cb72fd044p-2, -0x1.fe3f3ed6e5b83p-2, -0x1.fe83bd3c060f5p-2, -0x1.fec63a6769698p-2, -0x1.ff06a95fd2635p-2, -0x1.ff44fc7602413p-2, -0x1.ff81254cc1057p-2, -0x1.ffbb14e0973dbp-2, -0x1.fff2bb8f561d2p-2, -0x1.0014048fb0212p-1, -0x1.002d766361b6cp-1, -0x1.0045aa99131e1p-1, -0x1.005c9845c5d5bp-1, -0x1.007236407a26cp-1, -0x1.00867b25705a3p-1, -0x1.00995d595ba3dp-1, -0x1.00aad30c8965p-1, -0x1.00bad23dfe8a4p-1, -0x1.00c950be8c1d4p-1, -0x1.00d64433dd056p-1, -0x1.00e1a21b7da06p-1, -0x1.00eb5fcddebc5p-1, -0x1.00f372815464ap-1, -0x1.00f9cf4d127b7p-1, -0x1.00fe6b2c2758dp-1, -0x1.01013b0073558p-1, -0x1.01023395a1a8p-1, -0x1.010149a41f7e6p-1, -0x1.00fe71d4111e4p-1, -0x1.00f9a0c04b6a5p-1, -0x1.00f2caf947e88p-1, -0x1.00e9e5081d665p-1, -0x1.00dee3717550ep-1, -0x1.00d1bab882cf5p-1, -0x1.00c25f61f88b2p-1, -0x1.00b0c5f6fd97ap-1, -0x1.009ce30821e8fp-1, -0x1.0086ab305026dp-1, -0x1.006e1317be9f3p-1, -0x1.00530f76dcb31p-1, -0x1.003595193e81dp-1, -0x1.001598e08314cp-1, -0x1.ffe61f8e6e0b9p-2, -0x1.ff9bddc766d34p-2, -0x1.ff4c56d5e99dap-2, -0x1.fef77566dacdp-2, -0x1.fe9d246fa047cp-2, -0x1.fe3d4f33a4cd9p-2, -0x1.fdd7e149cdaa3p-2, -0x1.fd6cc6a1ddeffp-2, -0x1.fcfbeb89c1f1fp-2, -0x1.fc853cb2ca08p-2, -0x1.fc08a736c8bc4p-2, -0x1.fb86189d1e0f5p-2, -0x1.fafd7edfa4d49p-2, -0x1.fa6ec86f86fc4p-2, -0x1.f9d9e439f3151p-2, -0x1.f93ec1acb5a74p-2, -0x1.f89d50bab2e5ap-2, -0x1.f7f581e03bdd9p-2, -0x1.f74746274a955p-2, -0x1.f6928f2b8f1b3p-2, -0x1.f5d74f1e63f3cp-2, -0x1.f51578ca953b1p-2, -0x1.f44cff9805783p-2, -0x1.f37dd78f29fa6p-2, -0x1.f2a7f55c5d6dep-2, -0x1.f1cb4e530ed15p-2, -0x1.f0e7d870c00a2p-2, -0x1.effd8a5fdea5fp-2, -0x1.ef0c5b7a6e6e8p-2, -0x1.ee1443cc8d493p-2, -0x1.ed153c16c4129p-2, -0x1.ec0f3dd030c58p-2, -0x1.eb02432881231p-2, -0x1.e9ee4709bf2c2p-2, -0x1.e8d34519f4b43p-2, -0x1.e7b139bc98dbep-2, -0x1.e6882213dacc4p-2, -0x1.e557fc01b497dp-2, -0x1.e420c628d8489p-2, -0x1.e2e27fed67b66p-2, -0x1.e19d2975876c4p-2, -0x1.e050c3a9bbe54p-2, -0x1.defd50351fa54p-2, -0x1.dda2d1856ab2bp-2, -0x1.dc414acacd34dp-2, -0x1.dad8bff79f67fp-2, -0x1.d96935bfe4b6p-2, -0x1.d7f2b198a6c98p-2, -0x1.d67539b722e28p-2, -0x1.d4f0d50fd007fp-2, -0x1.d3658b553b704p-2, -0x1.d1d364f6bdc5ap-2, -0x1.d03a6b1f0864dp-2, -0x1.ce9aa7b28be7bp-2, -0x1.ccf4254db94e1p-2, -0x1.cb46ef431e344p-2, -0x1.c99311995ddb8p-2, -0x1.c7d8990906917p-2, -0x1.c61792fa461c1p-2, -0x1.c4500d827af69p-2, -0x1.c2821761a9d83p-2, -0x1.c0adbfffd07dap-2, -0x1.bed3176a1bdbp-2, -0x1.bcf22e50053cep-2, -0x1.bb0b16004d1b2p-2, -0x1.b91de065e13fcp-2, -0x1.b72aa004a88adp-2, -0x1.b53167f63452ap-2, -0x1.b3324be65d88cp-2, -0x1.b12d600fcbe1cp-2, -0x1.af22b938676fep-2, -0x1.ad126cadb602cp-2, -0x1.aafc90412a73ep-2, -0x1.a8e13a445ca43p-2, -0x1.a6c08185398ecp-2, -0x1.a49a7d4a1cedcp-2, -0x1.a26f454de283ap-2, -0x1.a03ef1bbe9521p-2, -0x1.9e099b2c0bd19p-2, -0x1.9bcf5a9e8e7cap-2, -0x1.9990497805ff3p-2, -0x1.974c817d33b99p-2, -0x1.95041ccedcfbep-2, -0x1.92b735e59f9e5p-2, -0x1.9065e78dbab92p-2, -0x1.8e104ce2dbc2ep-2, -0x1.8bb6814be5862p-2, -0x1.8958a076b4e44p-2, -0x1.86f6c653e98ddp-2, -0x1.84910f12a9735p-2, -0x1.8227971c6c213p-2, -0x1.7fba7b10c296bp-2, -0x1.7d49d7c128c9cp-2, -0x1.7ad5ca2cd649fp-2, -0x1.785e6f7c973e5p-2, -0x1.75e3e4fea9c97p-2, -0x1.73664822a4a98p-2, -0x1.70e5b67561ce1p-2, -0x1.6e624d9cf5aebp-2, -0x1.6bdc2b54ae8c5p-2, -0x1.69536d6919dabp-2, -0x1.66c831b419f01p-2, -0x1.643a961905612p-2, -0x1.61aab880ceb94p-2, -0x1.5f18b6d63f8b5p-2, -0x1.5c84af02385a7p-2, -0x1.59eebee8067f1p-2, -0x1.57570461c186bp-2, -0x1.54bd9d3cbc5e1p-2, -0x1.5222a73602cbcp-2, -0x1.4f863ff6e7a12p-2, -0x1.4ce88511a2507p-2, -0x1.4a4993fdfe19ap-2, -0x1.47a98a1619ee6p-2, -0x1.45088493382b3p-2, -0x1.4266a08aa21a7p-2, -0x1.3fc3faea9bbe6p-2, -0x1.3d20b0776a12bp-2, -0x1.3a7cddc86b574p-2, -0x1.37d89f4543954p-2, -0x1.35341123196abp-2, -0x1.328f4f61e8d32p-2, -0x1.2fea75c9e6366p-2, -0x1.2d459fe8f6934p-2, -0x1.2aa0e9103a239p-2, -0x1.27fc6c51abab5p-2, -0x1.2558447dd15fdp-2, -0x1.22b48c21851e4p-2, -0x1.20115d83ca43ep-2, -0x1.1d6ed2a3bdea6p-2, -0x1.1acd053694c61p-2, -0x1.182c0ea5b2f6dp-2, -0x1.158c080cd10b3p-2, -0x1.12ed0a3839336p-2, -0x1.104f2da3144ap-2, -0x1.0db28a75cf0ccp-2, -0x1.0b1738848e49bp-2, -0x1.087d4f4db6661p-2, -0x1.05e4e5f88a348p-2, -0x1.034e1353d6fd1p-2, -0x1.00b8edd4b7d45p-2, -0x1.fc4b172acfcd9p-3, -0x1.f72804a855831p-3, -0x1.f208cee4863d2p-3, -0x1.eced9fe5fcb94p-3, -0x1.e7d6a0f5a31dcp-3, -0x1.e2c3fa9d093e8p-3, -0x1.ddb5d4a4e980bp-3, -0x1.d8ac5613c49c9p-3, -0x1.d3a7a52ca5d5dp-3, -0x1.cea7e76e00b69p-3, -0x1.c9ad4190be495p-3, -0x1.c4b7d78759477p-3, -0x1.bfc7cc7d21dcdp-3, -0x1.badd42d5a0346p-3, -0x1.b5f85c2c15ce5p-3, -0x1.b11939531afbfp-3, -0x1.ac3ffa5456beep-3, -0x1.a76cbe7058f65p-3, -0x1.a29fa41e8d2d6p-3, -0x1.9dd8c90d4a706p-3, -0x1.99184a21f75cfp-3, -0x1.945e437954058p-3, -0x1.8faad067d024cp-3, -0x1.8afe0b7a039f3p-3, -0x1.86580e753b401p-3, -0x1.81b8f2581e175p-3, -0x1.7d20cf5b66312p-3, -0x1.788fbcf2b4925p-3, -0x1.7405d1cd788fp-3, -0x1.6f8323d7e7d6fp-3, -0x1.6b07c83c146aap-3, -0x1.6693d3630999ap-3, -0x1.622758f608ab2p-3, -0x1.5dc26bdfcd71cp-3, -0x1.59651e4deb7fap-3, -0x1.550f81b236ca7p-3, -0x1.50c1a6c4408a3p-3, -0x1.4c7b9d82e5afep-3, -0x1.483d7535e5468p-3, -0x1.44073c6f8db2fp-3, -0x1.3fd9010e701c4p-3, -0x1.3bb2d03f280e7p-3, -0x1.3794b67e2bea1p-3, -0x1.337ebf99a8c2p-3, -0x1.2f70f6b36d2e8p-3, -0x1.2b6b6642dead2p-3, -0x1.276e1816f367ep-3, -0x1.2379155841178p-3, -0x1.1f8c668b0861dp-3, -0x1.1ba8139151cf7p-3, -0x1.17cc23ad154f7p-3, -0x1.13f89d825b931p-3, -0x1.102d871976483p-3, -0x1.0c6ae5e13a156p-3, -0x1.08b0beb135f3ap-3, -0x1.04ff15cbfec23p-3, -0x1.0155eee17675p-3, -0x1.fb6a9a2234992p-4, -0x1.f43a65d8aae6bp-4, -0x1.ed1b44f1b388p-4, -0x1.e60d3a65f4a2fp-4, -0x1.df1048200697ap-4, -0x1.d8246f0146f9p-4, -0x1.d149aee68a18ep-4, -0x1.ca8006acefc2ap-4, -0x1.c3c77436a9e3cp-4, -0x1.bd1ff46fca3d5p-4, -0x1.b68983530e533p-4, -0x1.b0041beeb4271p-4, -0x1.a98fb8694627ep-4, -0x1.a32c5206639c2p-4, -0x1.9cd9e12b9c668p-4, -0x1.96985d652cf2fp-4, -0x1.9067bd6acf12bp-4, -0x1.8a47f7247f694p-4, -0x1.8438ffaf3bd02p-4, -0x1.7e3acb61be8f5p-4, -0x1.784d4dd13bb2cp-4, -0x1.727079d61187fp-4, -0x1.6ca44190750fcp-4, -0x1.66e8966d18a21p-4, -0x1.613d6929cb2dbp-4, -0x1.5ba2a9da106f6p-4, -0x1.561847ebb2d3p-4, -0x1.509e322b49316p-4, -0x1.4b3456c8b8287p-4, -0x1.45daa35baa7a2p-4, -0x1.409104e7f93cbp-4, -0x1.3b5767e212fbbp-4, -0x1.362db833576afp-4, -0x1.3113e13e6126ap-4, -0x1.2c09cde34eecfp-4, -0x1.270f6883fb404p-4, -0x1.22249b082e679p-4, -0x1.1d494ee1b9368p-4, -0x1.187d6d109576cp-4, -0x1.13c0de26ebedap-4, -0x1.0f138a4d18cc6p-4, -0x1.0a75594596cbcp-4, -0x1.05e63270ecbd9p-4, -0x1.0165fcd1835e8p-4, -0x1.f9e93e1ee9a6p-5, -0x1.f123fef892477p-5, -0x1.e87c082d5a8c4p-5, -0x1.dff1251c2a12p-5, -0x1.d783208ca3d67p-5, -0x1.cf31c4b648fd9p-5, -0x1.c6fcdb475cf65p-5, -0x1.bee42d6bddadfp-5, -0x1.b6e783d42be4ap-5, -0x1.af06a6bbc7ea5p-5, -0x1.a7415defd2317p-5, -0x1.9f9770d57d747p-5, -0x1.9808a67062995p-5, -0x1.9094c568b544ap-5, -0x1.893b94116d844p-5, -0x1.81fcd86e32d99p-5, -0x1.7ad858394b221p-5, -0x1.73cdd8e96e0e9p-5, -0x1.6cdd1fb759f99p-5, -0x1.6605f1a37297dp-5, -0x1.5f48137b378c2p-5, -0x1.58a349de922b9p-5, -0x1.5217594520165p-5, -0x1.4ba4060349be6p-5, -0x1.4549144f4be96p-5, -0x1.3f064846261adp-5, -0x1.38db65f064c13p-5, -0x1.32c83146dbe74p-5, -0x1.2ccc6e373c40ap-5, -0x1.26e7e0a892befp-5, -0x1.211a4c7fb1fd4p-5, -0x1.1b6375a37821ap-5, -0x1.15c3200100b11p-5, -0x1.10390f8fb92f1p-5, -0x1.0ac508555edefp-5, -0x1.0566ce69e8768p-5, -0x1.001e25fb426ddp-5, -0x1.f5d5a6a21c3f4p-6, -0x1.eb9935a05c7e1p-6, -0x1.e18681fca5e6ep-6, -0x1.d79d150aa9644p-6, -0x1.cddc786d1672dp-6, -0x1.c444361c04d4dp-6, -0x1.bad3d86b40041p-6, -0x1.b18aea103f9a9p-6, -0x1.a868f62839c49p-6, -0x1.9f6d883d975e5p-6, -0x1.96982c4dc17p-6, -0x1.8de86ece5db3ep-6, -0x1.855ddcb276009p-6, -0x1.7cf8036fa066cp-6, -0x1.74b67102bdc22p-6, -0x1.6c98b3f4c9e12p-6, -0x1.649e5b5f4b459p-6, -0x1.5cc6f6f0c2e51p-6, -0x1.551216f0e505fp-6, -0x1.4d7f4c44b542dp-6, -0x1.460e287253093p-6, -0x1.3ebe3da4e50f3p-6, -0x1.378f1eb01ca35p-6, -0x1.30805f13c16e4p-6, -0x1.299192ff02189p-6, -0x1.22c24f53ac4f3p-6, -0x1.1c1229a9321dcp-6, -0x1.1580b84fab1p-6, -0x1.0f0d92528682fp-6, -0x1.08b84f7b40c6bp-6, -0x1.0280885401bbcp-6, -0x1.f8cbac53d39eep-7, -0x1.eccfa61ed8ae7p-7, -0x1.e10c33bcd0f51p-7, -0x1.d5808c74c225fp-7, -0x1.ca2be92466241p-7, -0x1.bf0d844447b99p-7, -0x1.b42499eac19c9p-7, -0x1.a97067cf80572p-7, -0x1.9ef02d4e73392p-7, -0x1.94a32b6a78545p-7, -0x1.8a88a4d00f81ap-7, -0x1.809fddd7b78d1p-7, -0x1.76e81c8815e6ap-7, -0x1.6d60a897f9bb9p-7, -0x1.6408cb70309e6p-7, -0x1.5adfd02d217bp-7, -0x1.51e503a05c484p-7, -0x1.4917b451a9a7dp-7, -0x1.4077328059da8p-7, -0x1.3802d0243058ap-7, -0x1.2fb9e0ee03467p-7, -0x1.279bba489965bp-7, -0x1.1fa7b358f53d1p-7, -0x1.17dd24fec58afp-7, -0x1.103b69d47d7abp-7, -0x1.08c1de2f66ccp-7, -0x1.016fe01f85f57p-7, -0x1.f4899edeec827p-8, -0x1.e6801b47ae959p-8, -0x1.d8c1fbf63bb32p-8, -0x1.cb4e0ad95fc46p-8, -0x1.be23155095adfp-8, -0x1.b13fec2a30f7ep-8, -0x1.a4a363a1af6d6p-8, -0x1.984c535d8d7bp-8, -0x1.8c39966c8d888p-8, -0x1.806a0b43a3fb9p-8, -0x1.74dc93bad6242p-8, -0x1.6990150ac0a2cp-8, -0x1.5e8377c8cbc1bp-8, -0x1.53b5a7e4af0aap-8, -0x1.492594a422753p-8, -0x1.3ed2309fcb1ddp-8, -0x1.34ba71bf424dap-8, -0x1.2add51351b62p-8, -0x1.2139cb7a93dafp-8, -0x1.17cee04bcb14cp-8, -0x1.0e9b92a2d6ae4p-8, -0x1.059ee8b3a3013p-8, -0x1.f9afd7ce3a68ep-9, -0x1.e88b51ac86433p-9, -0x1.d7ce5e8b6067fp-9, -0x1.c777243ffeb44p-9, -0x1.b783cee2696bap-9, -0x1.a7f290c262926p-9, -0x1.98c1a25d4e8d2p-9, -0x1.89ef425250422p-9, -0x1.7b79b558fbd1dp-9, -0x1.6d5f46342a84ep-9, -0x1.5f9e45a845efep-9, -0x1.52350a6eb620fp-9, -0x1.4521f12b08972p-9, -0x1.38635c5e8157cp-9, -0x1.2bf7b45c65c8ap-9, -0x1.1fdd673e1600dp-9, -0x1.1412e8d6bc43bp-9, -0x1.0896b2a73c18bp-9, -0x1.face87a33b517p-10, -0x1.e5064219704eep-10, -0x1.cfd1a92f57a7dp-10, -0x1.bb2ddc5a25924p-10, -0x1.a71805ed5fd27p-10, -0x1.938d5b008b378p-10, -0x1.808b1b55e6302p-10, -0x1.6e0e9140ef942p-10, -0x1.5c15118bffdd2p-10, -0x1.4a9bfb5ec14dfp-10, -0x1.39a0b8240dd8fp-10, -0x1.2920bb6fc7668p-10, -0x1.191982e50c6dap-10, -0x1.0988961b90ffep-10, -0x1.f4d70d0b3f2fap-11, -0x1.d77fdeac7cc33p-11, -0x1.bb06eacc20f6fp-11, -0x1.9f678e34fe341p-11, -0x1.849d38938b86dp-11, -0x1.6aa36c44f9024p-11, -0x1.5175be1f1fe7bp-11, -0x1.390fd53f00653p-11, -0x1.216d6ad459dp-11, -0x1.0a8a49eae0db2p-11, -0x1.e8c49e722baa5p-12, -0x1.bde2d1d5ee666p-12, -0x1.94672cdcdc46dp-12, -0x1.6c49d07dd0b53p-12, -0x1.4582ff66834f7p-12, -0x1.200b1d928083fp-12, -0x1.f7b55fc9ada98p-13, -0x1.b1d4b7893fe1dp-13, -0x1.6e65cd663f942p-13, -0x1.2d5a6bd463a2p-13, -0x1.dd4937dd57cf9p-14, -0x1.646d495587ebap-14, -0x1.e00c284fa3a85p-15, -0x1.ffe4644ebfb4ep-16, -0x1.42c4fdad76d38p-18, 0x1.4de76894a95adp-16, 0x1.6e250727a1a1cp-15, 0x1.16b65896464c9p-14, 0x1.727d944e29852p-14, 0x1.ca80025c3cd74p-14, 0x1.0f6a8032d6246p-13, 0x1.37c9bfbf50004p-13, 0x1.5e6902d59a008p-13, 0x1.835357aa335a9p-13, 0x1.a693985cb4f3ap-13, 0x1.c8346baeb699fp-13, 0x1.e84045b9caf4ap-13, 0x1.0360b454ad925p-12, 0x1.11e0f2b1ea0aep-12, 0x1.1fa5ce25f1045p-12, 0x1.2cb41ef17a69ap-12, 0x1.3910a5bfca7e7p-12, 0x1.44c00bfed7282p-12, 0x1.4fc6e43068bacp-12, 0x1.5a29aa45ab354p-12, 0x1.63ecc3ef57cf3p-12, 0x1.6d1480f46b369p-12, 0x1.75a51b82de543p-12, 0x1.7da2b88446dccp-12, 0x1.851167ed6e0cfp-12, 0x1.8bf525106bdc6p-12, 0x1.9251d6ec67294p-12, 0x1.982b507d00c49p-12, 0x1.9d85510891351p-12, 0x1.a263846d79222p-12, 0x1.a6c98370b602p-12, 0x1.aabad405b40b9p-12, 0x1.ae3ae99fa3415p-12, 0x1.b14d2577c0ac3p-12, 0x1.b3f4d6d83e3c7p-12, 0x1.b6353b6542ecbp-12, 0x1.b8117f6554793p-12, 0x1.b98cbe077a536p-12, 0x1.baaa01abd13bcp-12, 0x1.bb6c4427a9a4dp-12, 0x1.bbd66f0aba9c5p-12, 0x1.bbeb5be486b0ep-12, 0x1.bbadd4859f66cp-12, 0x1.bb20934598e11p-12, 0x1.ba46434055c6ap-12, 0x1.b921809a71c16p-12, 0x1.b7b4d8c1659e7p-12, 0x1.b602caaa073e3p-12, 0x1.b40dc70fb267p-12, 0x1.b1d830b0f7f02p-12, 0x1.af645c8f2274p-12, 0x1.acb49228b53b9p-12, 0x1.a9cb0bb6a451cp-12, 0x1.a6a9f66653fb2p-12, 0x1.a353729338405p-12, 0x1.9fc99401f1799p-12, 0x1.9c0e62180a69bp-12, 0x1.9823d8125aabcp-12, 0x1.940be53fc6786p-12, 0x1.8fc86d34cb8bbp-12, 0x1.8b5b480217d09p-12, 0x1.86c6426a16c95p-12, 0x1.820b1e153b288p-12, 0x1.7d2b91c3ef2fcp-12, 0x1.782949846197fp-12, 0x1.7305e6e22f9ebp-12, 0x1.6dc301195a9a7p-12, 0x1.686225462b39bp-12, 0x1.62e4d696b5582p-12, 0x1.5d4c8e784b0b1p-12, 0x1.579abcc843c35p-12, 0x1.51d0c80074f31p-12, 0x1.4bf00d661fdb7p-12, 0x1.45f9e135d3c72p-12, 0x1.3fef8ecf2cb14p-12, 0x1.39d258e23dc32p-12, 0x1.33a37997e23adp-12, 0x1.2d6422bdba37cp-12, 0x1.27157def53cd7p-12, 0x1.20b8acbe81512p-12, 0x1.1a4ec8dd56fe2p-12, 0x1.13d8e443bfffcp-12, 0x1.0d580958f56ddp-12, 0x1.06cd3b1775e85p-12, 0x1.003975356de8cp-12, 0x1.f33b5890c2e9fp-13, 0x1.e5f59bd615235p-13, 0x1.d8a381c20336p-13, 0x1.cb46ca74690d4p-13, 0x1.bde128edce1bfp-13, 0x1.b074435312b5ap-13, 0x1.a301b3304708dp-13, 0x1.958b05be78808p-13, 0x1.8811bc227f9e5p-13, 0x1.7a974bb05d294p-13, 0x1.6d1d1e28b38ebp-13, 0x1.5fa491f934de4p-13, 0x1.522efa78b2139p-13, 0x1.44bda02603f5bp-13, 0x1.3751c0df7bbc1p-13, 0x1.29ec9022a89aap-13, 0x1.1c8f3741990e4p-13, 0x1.0f3ad59eb6cfp-13, 0x1.01f080e1df942p-13, 0x1.e9628a63be7a4p-14, 0x1.cefc4acef185fp-14, 0x1.b4b03688d75aep-14, 0x1.9a802f4bdf074p-14, 0x1.806e05731e156p-14, 0x1.667b785b1b2bcp-14, 0x1.4caa36c6662c9p-14, 0x1.32fbdf3fc8c7dp-14, 0x1.197200761a5f2p-14, 0x1.000e199c48cfdp-14, 0x1.cda3358b9b7f1p-15, 0x1.9b7bca7be42b6p-15, 0x1.69a897ca62ddp-15, 0x1.382c2704c0425p-15, 0x1.0708e63e1f3a7p-15, 0x1.ac8251507f886p-16, 0x1.4bae4e8add1fap-16, 0x1.d734060460b29p-17, 0x1.1892f74f556b9p-17, 0x1.6e04a5d79a49dp-19, -0x1.7fe8281076555p-19, -0x1.19d7a64051198p-17, -0x1.d21108b547202p-17, -0x1.444ff37aec6f2p-16, -0x1.9ebf263306b99p-16, -0x1.f8534c1374cd7p-16, -0x1.2884deb891d76p-15, -0x1.546ffd2d762bap-15, -0x1.7fe9d4c967e4cp-15, -0x1.aaf14bc82c254p-15, -0x1.d5855abf81a85p-15, -0x1.ffa50c233a15fp-15, -0x1.14a7bde657da7p-14, -0x1.2941eb44024efp-14, -0x1.3da0acca95db7p-14, -0x1.51c3a91f18a73p-14, -0x1.65aa8eb1ca958p-14, -0x1.7955138739082p-14, -0x1.8cc2f5024a279p-14, -0x1.9ff3f7b05295p-14, -0x1.b2e7e7148a10cp-14, -0x1.c59e9575c0961p-14, -0x1.d817dbac4dd53p-14, -0x1.ea5398f222df3p-14, -0x1.fc51b2b203a65p-14, -0x1.07090a2d5567fp-13, -0x1.0fca579726e47p-13, -0x1.186cbd0cbbe05p-13, -0x1.20f038c24960bp-13, -0x1.2954cb9537e64p-13, -0x1.319a78f66b492p-13, -0x1.39c146d69c32cp-13, -0x1.41c93d91bc9a5p-13, -0x1.49b267db6e11cp-13, -0x1.517cd2ab98802p-13, -0x1.59288d2baf99ap-13, -0x1.60b5a8a4e7082p-13, -0x1.6824386ce6deap-13, -0x1.6f7451d560d73p-13, -0x1.76a60c1a1b0cbp-13, -0x1.7db9805084518p-13, -0x1.84aec95716164p-13, -0x1.8b8603c4dfbefp-13, -0x1.923f4dda8a785p-13, -0x1.98dac772281aep-13, -0x1.9f5891f11e7ccp-13, -0x1.a5b8d0385b35ep-13, -0x1.abfba696d9de6p-13, -0x1.b2213abb2fe62p-13, -0x1.b829b3a5cd77dp-13, -0x1.be15399c1855cp-13, -0x1.c3e3f61a74e47p-13, -0x1.c99613c8d16c7p-13, -0x1.cf2bbe6d34735p-13, -0x1.d4a522dfcd7e3p-13, -0x1.da026eff3dabbp-13, -0x1.df43d1a4c9c9bp-13, -0x1.e4697a9943438p-13, -0x1.e9739a89df0cdp-13, -0x1.ee6262fd8624dp-13, -0x1.f336064a772a4p-13, -0x1.f7eeb78bac7d4p-13, -0x1.fc8caa9779202p-13, -0x1.008809fab2df1p-12, -0x1.02bc946a3e3dfp-12, -0x1.04e40f815e8fp-12, -0x1.06fe9671adabap-12, -0x1.090c44b33c983p-12, -0x1.0b0d360047498p-12, -0x1.0d018650f8a06p-12, -0x1.0ee951d765cabp-12, -0x1.10c4b4fb9b344p-12, -0x1.1293cc57c5641p-12, -0x1.1456b4b496a62p-12, -0x1.160d8b0552a29p-12, -0x1.17b86c6484a4bp-12, -0x1.195776107e7cep-12, -0x1.1aeac568022b9p-12, -0x1.1c7277e705379p-12, -0x1.1deeab238be3p-12, -0x1.1f5f7cca886dfp-12, -0x1.20c50a9cdfba2p-12, -0x1.221f726c814c4p-12, -0x1.236ed21995d24p-12, -0x1.24b3478fee82fp-12, -0x1.25ecf0c41fd38p-12, -0x1.271bebb0f965dp-12, -0x1.28405655338eep-12, -0x1.295a4eb0d21adp-12, -0x1.2a69f2c2eea5ep-12, -0x1.2b6f60875e074p-12, -0x1.2c6ab5f479c42p-12, -0x1.2d5c10f8fb853p-12, -0x1.2e438f79f392ep-12, -0x1.2f214f50d1545p-12, -0x1.2ff56e49650dbp-12, -0x1.30c00a1ff73cp-12, -0x1.3181407f9af06p-12, -0x1.32392f004dbacp-12, -0x1.32e7f3254bd26p-12, -0x1.338daa5b71c0bp-12, -0x1.342a71f7998c1p-12, -0x1.34be6735279eep-12, -0x1.3549a7348f934p-12, -0x1.35cc4ef9d88c6p-12, -0x1.36467b6b5de7ep-12, -0x1.36b8495069a7fp-12, -0x1.3721d54feed73p-12, -0x1.37833bef4cee6p-12, -0x1.37dc9991277dfp-12, -0x1.382e0a744e819p-12, -0x1.3877aab2b75dfp-12, -0x1.38b9964048613p-12, -0x1.38f3e8e9f314p-12, -0x1.3926be54c4a27p-12, -0x1.395231fcf6443p-12, -0x1.39765f3511764p-12, -0x1.3993612508f1fp-12, -0x1.39a952c98ca33p-12, -0x1.39b84ef329614p-12, -0x1.39c070459d585p-12, -0x1.39c1d1371bc95p-12, -0x1.39bc8c0faf69ep-12, -0x1.39b0bae8a3853p-12, -0x1.399e77abe1dbp-12, -0x1.3985dc136702fp-12, -0x1.396701a8b5e98p-12, -0x1.394201c460043p-12, -0x1.3916f58d8738p-12, -0x1.38e5f5f972361p-12, -0x1.38af1bcb3269cp-12, -0x1.38727f9320772p-12, -0x1.383039ae91787p-12, -0x1.37e8624788a15p-12, -0x1.379b115468e1fp-12, -0x1.37485e97a4bd1p-12, -0x1.36f0619f7b2d7p-12, -0x1.369331c5b07dbp-12, -0x1.3630e62f7aeadp-12, -0x1.35c995cd2ad2p-12, -0x1.355d575a142c3p-12, -0x1.34ec415c6afa1p-12, -0x1.34766a2508b7dp-12, -0x1.33fbe7cf6b039p-12, -0x1.337cd0418b14dp-12, -0x1.32f9392bda224p-12, -0x1.3271380921681p-12, -0x1.31e4e21e805a9p-12, -0x1.31544c7b6c33p-12, -0x1.30bf8bf991c32p-12, -0x1.3026b53cfd8ap-12, -0x1.2f89dcb4076fep-12, -0x1.2ee916976f98fp-12, -0x1.2e4476ea564a2p-12, -0x1.2d9c117a638abp-12, -0x1.2ceff9dfbe95bp-12, -0x1.2c40437d39163p-12, -0x1.2b8d018073a19p-12, -0x1.2ad646e1db778p-12, -0x1.2a1c2664eb5bbp-12, -0x1.295eb2983bcc8p-12, -0x1.289dfdd5a4c9fp-12, -0x1.27da1a4279bb7p-12, -0x1.271319cfaf445p-12, -0x1.26490e3a01ff1p-12, -0x1.257c090a2cfbap-12, -0x1.24ac1b9512bbp-12, -0x1.23d956fc05b11p-12, -0x1.2303cc2cf2274p-12, -0x1.222b8be29206ap-12, -0x1.2150a6a4b1bfcp-12, -0x1.20732cc865e2ap-12, -0x1.1f932e705894cp-12, -0x1.1eb0bb8d01dcbp-12, -0x1.1dcbe3dce4e1cp-12, -0x1.1ce4b6ecd954ep-12, -0x1.1bfb441854657p-12, -0x1.1b0f9a89ad364p-12, -0x1.1a21c93a70a18p-12, -0x1.1931def38c01ap-12, -0x1.183fea4dae787p-12, -0x1.174bf9b195f21p-12, -0x1.16561b586202cp-12, -0x1.155e5d4bda9b9p-12, -0x1.1464cd66c3cf1p-12, -0x1.1369795527396p-12, -0x1.126c6e949e501p-12, -0x1.116dba74c19edp-12, -0x1.106d6a175c921p-12, -0x1.0f6b8a70eaaa9p-12, -0x1.0e682848b61cep-12, -0x1.0d6350395d1ffp-12, -0x1.0c5d0eb10c794p-12, -0x1.0b556ff1e8defp-12, -0x1.0a4c801255397p-12, -0x1.09424afd59c5ap-12, -0x1.0836dc72fdb3ap-12, -0x1.072a400885c08p-12, -0x1.061c8128f490ap-12, -0x1.050dab153cad3p-12, -0x1.03fdc8e4b769p-12, -0x1.02ece58581339p-12, -0x1.01db0bbcbcb3dp-12, -0x1.00c8462704b8ap-12, -0x1.ff693e716fc46p-13, -0x1.fd40427caf512p-13, -0x1.fb15acb9d42c3p-13, -0x1.f8e991248ae0ep-13, -0x1.f6bc036b15701p-13, -0x1.f48d16eec6b69p-13, -0x1.f25cdec4dc65fp-13, -0x1.f02b6db722f36p-13, -0x1.edf8d644a7088p-13, -0x1.ebc52aa28a158p-13, -0x1.e9907cbc96ef3p-13, -0x1.e75ade362bff5p-13, -0x1.e524606aa673cp-13, -0x1.e2ed146e78915p-13, -0x1.e0b50b0f7d77fp-13, -0x1.de7c54d5f80a2p-13, -0x1.dc4302051f7p-13, -0x1.da09229bec749p-13, -0x1.d7cec655a9a37p-13, -0x1.d593fcaade5ecp-13, -0x1.d358d4d1d2613p-13, -0x1.d11d5dbf67b6cp-13, -0x1.cee1a6279d58p-13, -0x1.cca5bc7e86dc5p-13, -0x1.ca69aef8a68cap-13, -0x1.c82d8b8bec4aap-13, -0x1.c5f15ff025413p-13, -0x1.c3b5399fe9aedp-13, -0x1.c17925d91116cp-13, -0x1.bf3d319d85ec9p-13, -0x1.bd0169b3da324p-13, -0x1.bac5daa812221p-13, -0x1.b88a90cc12f8p-13, -0x1.b64f9838a2c02p-13, -0x1.b414fccdc435cp-13, -0x1.b1daca3386d4dp-13, -0x1.afa10bdaa8144p-13, -0x1.ad67ccfd26374p-13, -0x1.ab2f189f09299p-13, -0x1.a8f6f98ecf7c4p-13, -0x1.a6bf7a6655e1ep-13, -0x1.a488a58b4090ap-13, -0x1.a252852fb94ffp-13, -0x1.a01d235306ca7p-13, -0x1.9de889c228612p-13, -0x1.9bb4c2188067dp-13, -0x1.9981d5c051583p-13, -0x1.974fcdf38c15dp-13, -0x1.951eb3bc3a37p-13, -0x1.92ee8ff536aa8p-13, -0x1.90bf6b4aa66ap-13, -0x1.8e914e3ab5a0ap-13, -0x1.8c644115f7251p-13, -0x1.8a384c004941cp-13, -0x1.880d76f114c1fp-13, -0x1.85e3c9b4179b2p-13, -0x1.83bb4be9d01cbp-13, -0x1.8194050842318p-13, -0x1.7f6dfc5b4ebf2p-13, -0x1.7d4939055312bp-13, -0x1.7b25c1ffbacc1p-13, -0x1.79039e1b8a936p-13, -0x1.76e2d401f938bp-13, -0x1.74c36a34ce473p-13, -0x1.72a5670f1710bp-13, -0x1.7088d0c5845a4p-13, -0x1.6e6dad6712cbcp-13, -0x1.6c5402dd7284bp-13, -0x1.6a3bd6edb5d9fp-13, -0x1.68252f38922f8p-13, -0x1.6610113b29bb9p-13, -0x1.63fc824f3c29fp-13, -0x1.61ea87abf793dp-13, -0x1.5fda26661ab9ap-13, -0x1.5dcb6370de4ccp-13, -0x1.5bbe439dfc23fp-13, -0x1.59b2cb9e86812p-13, -0x1.57a900030c18bp-13, -0x1.55a0e53c6e707p-13, -0x1.539a7f9c09819p-13, -0x1.5195d3545b412p-13, -0x1.4f92e4793c5fp-13, -0x1.4d91b700a66e3p-13, -0x1.4b924ec2d705fp-13, -0x1.4994af7ae1ac2p-13, -0x1.4798dcc72887ap-13, -0x1.459eda29a9d6cp-13, -0x1.43a6ab089adb6p-13, -0x1.41b052aeae1cfp-13, -0x1.3fbbd44b887ffp-13, -0x1.3dc932f41c3f7p-13, -0x1.3bd871a33ad76p-13, -0x1.39e99339d15ddp-13, -0x1.37fc9a7f67835p-13, -0x1.36118a22696efp-13, -0x1.342864b8a5d7ep-13, -0x1.32412cbfa3973p-13, -0x1.305be49d188ccp-13, -0x1.2e788e9f28ac1p-13, -0x1.2c972cfcddc86p-13, -0x1.2ab7c1d66b22p-13, -0x1.28da4f35ad4dap-13, -0x1.26fed70e74f6cp-13, -0x1.25255b3ed8d6cp-13, -0x1.234ddd8fa3984p-13, -0x1.21785fb48baf4p-13, -0x1.1fa4e34ccc78cp-13, -0x1.1dd369e3246d1p-13, -0x1.1c03f4ee83ddcp-13, -0x1.1a3685d2095aep-13, -0x1.186b1dddb1571p-13, -0x1.16a1be4e4ef2dp-13, -0x1.14da684e31b82p-13, -0x1.13151cf52934bp-13, -0x1.1151dd491a7fp-13, -0x1.0f90aa3e15d42p-13, -0x1.0dd184b6cf4a8p-13, -0x1.0c146d84ce8e4p-13, -0x1.0a596568ce5bcp-13, -0x1.08a06d12fe3fdp-13, -0x1.06e985234d5a6p-13, -0x1.0534ae29b607cp-13, -0x1.0381e8a680876p-13, -0x1.01d1350aa18fdp-13, -0x1.002293b7d29ffp-13, -0x1.fcec0a022766cp-14, -0x1.f997125558524p-14, -0x1.f64640d57ec3bp-14, -0x1.f2f995d271ddep-14, -0x1.efb11180bb2dbp-14, -0x1.ec6cb3f982d8fp-14, -0x1.e92c7d3bc7446p-14, -0x1.e5f06d2c116bp-14, -0x1.e2b88395ae513p-14, -0x1.df84c02a755f4p-14, -0x1.dc5522840ca3ep-14, -0x1.d929aa238ec1bp-14, -0x1.d6025672c62fbp-14, -0x1.d2df26c400302p-14, -0x1.cfc01a530c9e5p-14, -0x1.cca5304519e78p-14, -0x1.c98e67a9d5459p-14, -0x1.c67bbf7b22b07p-14, -0x1.c36d369e40b35p-14, -0x1.c062cbe39efdfp-14, -0x1.bd5c7e07a48cfp-14, -0x1.ba5a4bb2eeb6ep-14, -0x1.b75c337ac8116p-14, -0x1.b46233e17ee92p-14, -0x1.b16c4b56fe615p-14, -0x1.ae7a7838d9427p-14, -0x1.ab8cb8d31757dp-14, -0x1.a8a30b603007ep-14, -0x1.a5bd6e09cce28p-14, -0x1.a2dbdee8b712dp-14, -0x1.9ffe5c05b468bp-14, -0x1.9d24e359484bep-14, -0x1.9a4f72cce14b8p-14, -0x1.977e083a3b7ep-14, -0x1.94b0a16c94309p-14, -0x1.91e73c2061d85p-14, -0x1.8f21d60424239p-14, -0x1.8c606cb838615p-14, -0x1.89a2fdcf9cf62p-14, -0x1.86e986d017309p-14, -0x1.843405326fd0ap-14, -0x1.81827662f3a7p-14, -0x1.7ed4d7c17f79p-14, -0x1.7c2b26a2074a2p-14, -0x1.7985604cd1727p-14, -0x1.76e381feb917bp-14, -0x1.744588e96971ep-14, -0x1.71ab7233cc951p-14, -0x1.6f153afa2af79p-14, -0x1.6c82e04ea6aa5p-14, -0x1.69f45f393876cp-14, -0x1.6769b4b83923cp-14, -0x1.64e2ddc06aa6p-14, -0x1.625fd73d6491ep-14, -0x1.5fe09e11d71f2p-14, -0x1.5d652f17a098ep-14, -0x1.5aed87201ef86p-14, -0x1.5879a2f4abd5ap-14, -0x1.56097f5644da4p-14, -0x1.539d18fe95a64p-14, -0x1.51346c9f75073p-14, -0x1.4ecf76e38a293p-14, -0x1.4c6e346e69c5dp-14, -0x1.4a10a1dcd89d7p-14, -0x1.47b6bbc4e33e9p-14, -0x1.45607eb6428aep-14, -0x1.430de73a6efep-14, -0x1.40bef1d4d8b39p-14, -0x1.3e739b03473dcp-14, -0x1.3c2bdf3db56f6p-14, -0x1.39e7baf6e489ap-14, -0x1.37a72a9c53f2bp-14, -0x1.356a2a967a228p-14, -0x1.3330b7490f376p-14, -0x1.30facd1305c12p-14, -0x1.2ec8684eed1cfp-14, -0x1.2c99855315209p-14, -0x1.2a6e2071b1692p-14, -0x1.284635f8f62ddp-14, -0x1.2621c23370854p-14, -0x1.2400c1680f395p-14, -0x1.21e32fda1e73ep-14, -0x1.1fc909c9fe0dap-14, -0x1.1db24b74a2312p-14, -0x1.1b9ef11440a73p-14, -0x1.198ef6e03a246p-14, -0x1.1782590d1cce9p-14, -0x1.157913cd2afc4p-14, -0x1.1373235040e78p-14, -0x1.117083c3d5386p-14, -0x1.0f713153972fbp-14, -0x1.0d752828f3127p-14, -0x1.0b7c646bcccb3p-14, -0x1.0986e2422f63cp-14, -0x1.07949dd0a96f2p-14, -0x1.05a5933a64d0fp-14, -0x1.03b9bea13ce5cp-14, -0x1.01d11c25d5641p-14, -0x1.ffd74fcfc026cp-15, -0x1.fc12bc0bf8be5p-15, -0x1.f854753c38149p-15, -0x1.f49c739ad391p-15, -0x1.f0eaaf60da2f5p-15, -0x1.ed3f20c6d0edap-15, -0x1.e999c0040806p-15, -0x1.e5fa854f84656p-15, -0x1.e26168dfbfe6ap-15, -0x1.dece62eb84607p-15, -0x1.db416ba916b75p-15, -0x1.d7ba7b4fb3b09p-15, -0x1.d4398a16366e2p-15, -0x1.d0be9034f2923p-15, -0x1.cd4985e494bc9p-15, -0x1.c9da635ee96cp-15, -0x1.c67120df15325p-15, -0x1.c30db6a13f513p-15, -0x1.bfb01ce3538fep-15, -0x1.bc584be50f8fbp-15, -0x1.b9063be7a9726p-15, -0x1.b5b9e52edf25dp-15, -0x1.b27340001086fp-15, -0x1.af3244a3535dp-15, -0x1.abf6eb6328c4dp-15, -0x1.a8c12c8c54d6fp-15, -0x1.a591006f39f8cp-15, -0x1.a2665f5dd9f92p-15, -0x1.9f4141aea47a7p-15, -0x1.9c219fba16c82p-15, -0x1.990771dca1255p-15, -0x1.95f2b0760b283p-15, -0x1.92e353e962caap-15, -0x1.8fd9549dcc4d3p-15, -0x1.8cd4aafdd8855p-15, -0x1.89d54f785e7a1p-15, -0x1.86db3a7ff3903p-15, -0x1.83e6648b9b5c4p-15, -0x1.80f6c61633325p-15, -0x1.7e0c579f7f487p-15, -0x1.7b2711ab2ba13p-15, -0x1.7846ecc20ae6bp-15, -0x1.756be17127e79p-15, -0x1.7295e84a7903dp-15, -0x1.6fc4f9e500f58p-15, -0x1.6cf90edc26901p-15, -0x1.6a321fd1307e7p-15, -0x1.67702569bbd3dp-15, -0x1.64b318513b64ap-15, -0x1.61faf13811e8fp-15, -0x1.5f47a8d410cf1p-15, -0x1.5c9937e0b4c2cp-15, -0x1.59ef971e9d7cep-15, -0x1.574abf54a0a9ap-15, -0x1.54aaa94e8a556p-15, -0x1.520f4ddeb9d06p-15, -0x1.4f78a5dc6f894p-15, -0x1.4ce6aa25c3a6ep-15, -0x1.4a59539e16d5ap-15, -0x1.47d09b2f051cbp-15, -0x1.454c79c86d6f2p-15, -0x1.42cce85ff55f3p-15, -0x1.4051dff1e488bp-15, -0x1.3ddb59806e429p-15, -0x1.3b694e140fa83p-15, -0x1.38fbb6bbe1622p-15, -0x1.36928c8d3d37bp-15, -0x1.342dc8a3e6c53p-15, -0x1.31cd64226308cp-15, -0x1.2f71583153bbap-15, -0x1.2d199e0073e1fp-15, -0x1.2ac62ec5abcdbp-15, -0x1.287703bde43f7p-15, -0x1.262c162c97caep-15, -0x1.23e55f5bfad4cp-15, -0x1.21a2d89d3d814p-15, -0x1.1f647b480d3e8p-15, -0x1.1d2a40bb66744p-15, -0x1.1af4225c9007p-15, -0x1.18c219987c10bp-15, -0x1.16941fe25ff37p-15, -0x1.146a2eb4ddf27p-15, -0x1.12443f915b23ap-15, -0x1.10224c005fa23p-15, -0x1.0e044d918b071p-15, -0x1.0bea3ddb65eeap-15, -0x1.09d4167be6eb4p-15, -0x1.07c1d1179156cp-15, -0x1.05b3675acf8fbp-15, -0x1.03a8d2f87b30dp-15, -0x1.01a20dab438e3p-15, -0x1.ff3e226901034p-16, -0x1.fb3faeba11935p-16, -0x1.f748b3e9a8b9ap-16, -0x1.f35925a60db92p-16, }}, 
      {{-0x1.73879f45794edp-1, -0x1.738edd34023d2p-1, -0x1.739804fc9cc9fp-1, -0x1.73a01548e3701p-1, -0x1.73a43300ded59p-1, -0x1.73a1f5025f55ap-1, -0x1.73977ed7cc6f5p-1, -0x1.73838086ee58cp-1, -0x1.7365297a6e136p-1, -0x1.733c166f94106p-1, -0x1.73083e65bee83p-1, -0x1.72c9e052eabd8p-1, -0x1.72817243e9131p-1, -0x1.722f9216cfdd3p-1, -0x1.71d4f7d8580a2p-1, -0x1.717269c82ffcfp-1, -0x1.7108b20b04d48p-1, -0x1.70989610add35p-1, -0x1.7022cfaec0efbp-1, -0x1.6fa807e565c7fp-1, -0x1.6f28d337e7f5fp-1, -0x1.6ea5af76c6643p-1, -0x1.6e1f02cf737b4p-1, -0x1.6d951befb8023p-1, -0x1.6d083307b41a2p-1, -0x1.6c786b75cff1ap-1, -0x1.6be5d5eac9303p-1, -0x1.6b5072d8e17bfp-1, -0x1.6ab835074878bp-1, -0x1.6a1d042982597p-1, -0x1.697ebf615bb32p-1, -0x1.68dd3f98657eap-1, -0x1.683859a3deac5p-1, -0x1.678fe02b03349p-1, -0x1.66e3a54c075cap-1, -0x1.66337bff6ac0bp-1, -0x1.657f393bf3fbfp-1, -0x1.64c6b4df8334fp-1, -0x1.6409ca6226e95p-1, -0x1.634859599b048p-1, -0x1.628245d396533p-1, -0x1.61b7788d42edp-1, -0x1.60e7df0de7f96p-1, -0x1.60136baa55fecp-1, -0x1.5f3a15760b74ap-1, -0x1.5e5bd82669a32p-1, -0x1.5d78b3eba1802p-1, -0x1.5c90ad426caa9p-1, -0x1.5ba3ccc100668p-1, -0x1.5ab21ee12dc7cp-1, -0x1.59bbb3c91e476p-1, -0x1.58c09f13c0be2p-1, -0x1.57c0f7999d81ep-1, -0x1.56bcd73a890cbp-1, -0x1.55b45aa8744c3p-1, -0x1.54a7a13374c21p-1, -0x1.5396cc96ffa15p-1, -0x1.528200c848824p-1, -0x1.516963c59da28p-1, -0x1.504d1d66a89ffp-1, -0x1.4f2d572d6ddbp-1, -0x1.4e0a3c17f4f4p-1, -0x1.4ce3f872834c5p-1, -0x1.4bbab9aa622abp-1, -0x1.4a8eae212cfecp-1, -0x1.49600500b2184p-1, -0x1.482eee0f74c72p-1, -0x1.46fb9985e94d2p-1, -0x1.45c637e48a4abp-1, -0x1.448ef9cae638ep-1, -0x1.43560fcfcdd6fp-1, -0x1.421baa5acb58cp-1, -0x1.40dff97f04dc9p-1, -0x1.3fa32cd7b7e5dp-1, -0x1.3e6573666b8bdp-1, -0x1.3d26fb7301635p-1, -0x1.3be7f26dbc711p-1, -0x1.3aa884d35d27ap-1, -0x1.3968de136407fp-1, -0x1.382928788b626p-1, -0x1.36e98d1383701p-1, -0x1.35aa33a7f32efp-1, -0x1.346b429bc1bep-1, -0x1.332cdee8a1d94p-1, -0x1.31ef2c0fd5c7fp-1, -0x1.30b24c101de3p-1, -0x1.2f765f5dc3682p-1, -0x1.2e3b84dca5df7p-1, -0x1.2d01d9dc37f16p-1, -0x1.2bc97a154f4f3p-1, -0x1.2a927fa9abf97p-1, -0x1.295d032519dc2p-1, -0x1.28291b800bfddp-1, -0x1.26f6de23958c1p-1, -0x1.25c65eee9cecfp-1, -0x1.2497b03c2c77dp-1, -0x1.236ae2eabe877p-1, -0x1.224006646a111p-1, -0x1.211728a7ccc9dp-1, -0x1.1ff056519ca4fp-1, -0x1.1ecb9aa6bf04bp-1, -0x1.1da8ff9ed0831p-1, -0x1.1c888def0244ap-1, -0x1.1b6a4d1537115p-1, -0x1.1a4e43634b4eap-1, -0x1.1934760a75625p-1, -0x1.181ce926aa433p-1, -0x1.17079fc9f9e6bp-1, -0x1.15f49c07d3459p-1, -0x1.14e3df00236f4p-1, -0x1.13d568ea46dffp-1, -0x1.12c9391fc057fp-1, -0x1.11bf4e26b1e83p-1, -0x1.10b7a5bc0cfd4p-1, -0x1.0fb23cdd76fc3p-1, -0x1.0eaf0fd2ddd53p-1, -0x1.0dae1a37b9055p-1, -0x1.0caf5703f65f9p-1, -0x1.0bb2c0948fc0ep-1, -0x1.0ab850b3c93f2p-1, -0x1.09c000a11b8f9p-1, -0x1.08c9c918c8393p-1, -0x1.07d5a25b19c74p-1, -0x1.06e38433530e7p-1, -0x1.05f365fe4ff12p-1, -0x1.05053eb0da0dap-1, -0x1.041904ddb388fp-1, -0x1.032eaebb5e1f5p-1, -0x1.024632299cb69p-1, -0x1.015f84b6b9216p-1, -0x1.007a9ba48d3p-1, -0x1.ff2ed7daaa71bp-2, -0x1.fd6bd490998p-2, -0x1.fbac165c3971ep-2, -0x1.f9ef85ba35014p-2, -0x1.f8360ababfd71p-2, -0x1.f67f8d097316fp-2, -0x1.f4cbf3f4e9b4fp-2, -0x1.f31b267614aa6p-2, -0x1.f16d0b375bb5bp-2, -0x1.efc1889b80f88p-2, -0x1.ee1884c4589a4p-2, -0x1.ec71e5994e47cp-2, -0x1.eacd90cdc8651p-2, -0x1.e92b6be762c88p-2, -0x1.e78b5c440798dp-2, -0x1.e5ed471fec05p-2, -0x1.e451119b73eafp-2, -0x1.e2b6a0c0f562dp-2, -0x1.e11dd98a6f18fp-2, -0x1.df86a0e723d31p-2, -0x1.ddf0dbc124cfcp-2, -0x1.dc5c6f02ca1c6p-2, -0x1.dac93f9c1d497p-2, -0x1.d93732882e923p-2, -0x1.d7a62cd262192p-2, -0x1.d616139ba8e97p-2, -0x1.d486cc1fae19p-2, -0x1.d2f83bb9f7288p-2, -0x1.d16a47eaf17b1p-2, -0x1.cfdcd65cf8c36p-2, -0x1.ce4fcce944d11p-2, -0x1.ccc3119cd2864p-2, -0x1.cb368abd342d3p-2, -0x1.c9aa1ecd565ddp-2, -0x1.c81db492326acp-2, -0x1.c69133176de53p-2, -0x1.c50481b3e7a7ap-2, -0x1.c377880e33492p-2, -0x1.c1ea2e20fa9dfp-2, -0x1.c05c5c3f4f628p-2, -0x1.becdfb18e283ap-2, -0x1.bd3ef3be25d9p-2, -0x1.bbaf2fa4522b5p-2, -0x1.ba1e98a9596f4p-2, -0x1.b88d1917b6b2dp-2, -0x1.b6fa9baa2a3fdp-2, -0x1.b5670b8f53709p-2, -0x1.b3d2546d3173p-2, -0x1.b23c6264829e9p-2, -0x1.b0a5221406532p-2, -0x1.af0c809ba07eap-2, -0x1.ad726b9f5912cp-2, -0x1.abd6d14a3d926p-2, -0x1.aa39a0511e8e9p-2, -0x1.a89ac7f52c273p-2, -0x1.a6fa38066e7bap-2, -0x1.a557e0e61a7b4p-2, -0x1.a3b3b388c3f75p-2, -0x1.a20da17869e27p-2, -0x1.a0659cd65d9e2p-2, -0x1.9ebb985d06a8dp-2, -0x1.9d0f876180087p-2, -0x1.9b615dd50fe24p-2, -0x1.99b110467a91bp-2, -0x1.97fe93e32db9bp-2, -0x1.9649de7849e8dp-2, -0x1.9492e67381949p-2, -0x1.92d9a2e3d4e56p-2, -0x1.911e0b7a2890cp-2, -0x1.8f601889b6706p-2, -0x1.8d9fc30858469p-2, -0x1.8bdd048eafc3cp-2, -0x1.8a17d7582849p-2, -0x1.88503642d50a8p-2, -0x1.86861ccf2b21bp-2, -0x1.84b9871f9a32ep-2, -0x1.82ea71f7fecedp-2, -0x1.8118dabcf75dbp-2, -0x1.7f44bf7312554p-2, -0x1.7d6e1ebdde87cp-2, -0x1.7b94f7dedae63p-2, -0x1.79b94ab446287p-2, -0x1.77db17b7ce59dp-2, -0x1.75fa5ffd219c4p-2, -0x1.74172530679ccp-2, -0x1.7231699494533p-2, -0x1.70493001a6879p-2, -0x1.6e5e7be2c8df4p-2, -0x1.6c71513458f83p-2, -0x1.6a81b481d1ec9p-2, -0x1.688faae3a6215p-2, -0x1.669b39fcf8881p-2, -0x1.64a467f9452bp-2, -0x1.62ab3b89f2da2p-2, -0x1.60afbbe3cf4b7p-2, -0x1.5eb1f0bc761fp-2, -0x1.5cb1e247aa405p-2, -0x1.5aaf993495c61p-2, -0x1.58ab1eab00246p-2, -0x1.56a47c4870241p-2, -0x1.549bbc1d40a87p-2, -0x1.5290e8a9a680bp-2, -0x1.50840cdaa9787p-2, -0x1.4e75340711f8ap-2, -0x1.4c6469ec4c8b6p-2, -0x1.4a51baab3f4c5p-2, -0x1.483d32c51c454p-2, -0x1.4626df1823f59p-2, -0x1.440eccdc68ba4p-2, -0x1.41f509a086571p-2, -0x1.3fd9a34654a7ep-2, -0x1.3dbca7ff9891p-2, -0x1.3b9e264aae558p-2, -0x1.397e2cef337dcp-2, -0x1.375ccafaab05ep-2, -0x1.353a0fbd25f23p-2, -0x1.33160ac5e85f1p-2, -0x1.30f0cbe00c5d9p-2, -0x1.2eca630f2d9c5p-2, -0x1.2ca2e08c0fc8ap-2, -0x1.2a7a54c14b894p-2, -0x1.2850d047ff6dcp-2, -0x1.262663e482303p-2, -0x1.23fb20831dc24p-2, -0x1.21cf1734cbac3p-2, -0x1.1fa2592bfcdb7p-2, -0x1.1d74f7b964144p-2, -0x1.1b470448ca10ap-2, -0x1.1918905de8383p-2, -0x1.16e9ad914de5fp-2, -0x1.14ba6d8d4e095p-2, -0x1.128ae20af6747p-2, -0x1.105b1ccf10d6fp-2, -0x1.0e2b2fa72f28ap-2, -0x1.0bfb2c66c4d4cp-2, -0x1.09cb24e4452cbp-2, -0x1.079b2af658b94p-2, -0x1.056b5071136dp-2, -0x1.033ba7233f82bp-2, -0x1.010c40d3b0b64p-2, -0x1.fdba5e7d530d6p-3, -0x1.f95d08268fe33p-3, -0x1.f500a1e20cd3ap-3, -0x1.f0a54eca8f9a1p-3, -0x1.ec4b31d1e034bp-3, -0x1.e7f26dbc21e6ep-3, -0x1.e39b251b3eb41p-3, -0x1.df457a4a78adfp-3, -0x1.daf18f6a15a54p-3, -0x1.d69f865b2c482p-3, -0x1.d24f80bb8ba39p-3, -0x1.ce019fe1c8778p-3, -0x1.c9b604d95fa74p-3, -0x1.c56cd05f05869p-3, -0x1.c12622dd05dc6p-3, -0x1.bce21c67ce1ebp-3, -0x1.b8a0dcba95969p-3, -0x1.b46283341b816p-3, -0x1.b0272ed3920e5p-3, -0x1.abeefe35a11bfp-3, -0x1.a7ba0f9188a01p-3, -0x1.a38880b6647c7p-3, -0x1.9f5a6f0889d5ap-3, -0x1.9b2ff77f0ea2cp-3, -0x1.970936a15e6ecp-3, -0x1.92e64885021ep-3, -0x1.8ec748cb72425p-3, -0x1.8aac52a01569ep-3, -0x1.869580b6554c9p-3, -0x1.8282ed47cd7c3p-3, -0x1.7e74b212a60ebp-3, -0x1.7a6ae857f8d7cp-3, -0x1.7665a8da5c73dp-3, -0x1.72650bdc8a98ep-3, -0x1.6e692920228c4p-3, -0x1.6a7217e47d305p-3, -0x1.667feee5ad0cfp-3, -0x1.6292c45b88056p-3, -0x1.5eaaadf8d27a9p-3, -0x1.5ac7c0ea84d0cp-3, -0x1.56ea11d7244fdp-3, -0x1.5311b4de39eabp-3, -0x1.4f3ebd97dd42bp-3, -0x1.4b713f14584b8p-3, -0x1.47a94bdbe1ce1p-3, -0x1.43e6f5ee6d079p-3, -0x1.402a4ec391e9bp-3, -0x1.3c73674a87d37p-3, -0x1.38c24fea33a41p-3, -0x1.3517188153b61p-3, -0x1.3171d066acbb5p-3, -0x1.2dd2866963758p-3, -0x1.2a3948d14cc18p-3, -0x1.26a6255f6a7eep-3, -0x1.2319294e64f2ap-3, -0x1.1f92615322f3ap-3, -0x1.1c11d99d691fep-3, -0x1.18979dd89456dp-3, -0x1.1523b92c56d72p-3, -0x1.11b6363d8c3abp-3, -0x1.0e4f1f2f1aa55p-3, -0x1.0aee7da2e2e64p-3, -0x1.07945abab8854p-3, -0x1.0440bf196e0a8p-3, -0x1.00f3b2e3eaf36p-3, -0x1.fb5a7b849323cp-4, -0x1.f4dacdc20b457p-4, -0x1.ee6869e4675ep-4, -0x1.e8035c5d85f7dp-4, -0x1.e1abb0af95d47p-4, -0x1.db61716fbb389p-4, -0x1.d524a848d15eep-4, -0x1.cef55dfe34b5ep-4, -0x1.c8d39a6ea23a9p-4, -0x1.c2bf6497286a6p-4, -0x1.bcb8c2961d7c5p-4, -0x1.b6bfb9ae2ab68p-4, -0x1.b0d44e496414p-4, -0x1.aaf683fc636fdp-4, -0x1.a5265d898359cp-4, -0x1.9f63dce4030d2p-4, -0x1.99af033358249p-4, -0x1.9407d0d6677fap-4, -0x1.8e6e4566e7ad9p-4, -0x1.88e25fbcab3dp-4, -0x1.83641df104351p-4, -0x1.7df37d6226251p-4, -0x1.78907ab6931d7p-4, -0x1.733b11e085d72p-4, -0x1.6df33e2162b85p-4, -0x1.68b8fa0d2ed36p-4, -0x1.638c3f8e03084p-4, -0x1.5e6d07e787693p-4, -0x1.595b4bba6b1bcp-4, -0x1.54570307dceddp-4, -0x1.4f6025350a993p-4, -0x1.4a76a90e970f9p-4, -0x1.459a84cc1287dp-4, -0x1.40cbae13755c7p-4, -0x1.3c0a19fc932c6p-4, -0x1.3755bd148f36bp-4, -0x1.32ae8b614818p-4, -0x1.2e147864cdbb8p-4, -0x1.29877720bf05bp-4, -0x1.25077a19b861ap-4, -0x1.2094735aae13fp-4, -0x1.1c2e5478495dep-4, -0x1.17d50e943db5ep-4, -0x1.138892609aa89p-4, -0x1.0f48d02314669p-4, -0x1.0b15b7b846de8p-4, -0x1.06ef3896f5d96p-4, -0x1.02d541d340c61p-4, -0x1.fd8f8443a54cbp-5, -0x1.f58d4fb611ac3p-5, -0x1.eda3c1fc26f9fp-5, -0x1.e5d2b6681a0ebp-5, -0x1.de1a07a6130f5p-5, -0x1.d6798fc240edp-5, -0x1.cef1282ec84e4p-5, -0x1.c780a9c9bf7bep-5, -0x1.c027ece2fb837p-5, -0x1.b8e6c941df1bp-5, -0x1.b1bd162b05fc9p-5, -0x1.aaaaaa65f14edp-5, -0x1.a3af5c428a8a1p-5, -0x1.9ccb019ea3e66p-5, -0x1.95fd6feb5fceap-5, -0x1.8f467c327c2ep-5, -0x1.88a5fb1b9ecb1p-5, -0x1.821bc0f16ef97p-5, -0x1.7ba7a1a6b491cp-5, -0x1.754970db5d94dp-5, -0x1.6f0101e162bbep-5, -0x1.68ce27c19ce7cp-5, -0x1.62b0b5408ef3dp-5, -0x1.5ca87ce31308dp-5, -0x1.56b550f2ee9adp-5, -0x1.50d7038359623p-5, -0x1.4b0d667569f19p-5, -0x1.45584b7c6f4b8p-5, -0x1.3fb7842238e0cp-5, -0x1.3a2ae1cb3ee45p-5, -0x1.34b235bac178fp-5, -0x1.2f4d5116cf985p-5, -0x1.29fc04ec2f039p-5, -0x1.24be22323d2a9p-5, -0x1.1f9379ceb717dp-5, -0x1.1a7bdc9964dcbp-5, -0x1.15771b5fbb7ddp-5, -0x1.108506e8636dap-5, -0x1.0ba56ff6adc9bp-5, -0x1.06d8274dedcbcp-5, -0x1.021cfdb4cda8cp-5, -0x1.fae787f0f53d2p-6, -0x1.f1b895dfaa767p-6, -0x1.e8acc6fce4fcap-6, -0x1.dfc3bd2f469f1p-6, -0x1.d6fd1a82a9ceep-6, -0x1.ce58812dd7e23p-6, -0x1.c5d5939800b65p-6, -0x1.bd73f45e243f5p-6, -0x1.b533465845e8ap-6, -0x1.ad132c9e79414p-6, -0x1.a5134a8de149cp-6, -0x1.9d3343cd63c26p-6, -0x1.9572bc526e10ep-6, -0x1.8dd1586552b53p-6, -0x1.864ebca5d0427p-6, -0x1.7eea8e0f319b6p-6, -0x1.77a471fc7753fp-6, -0x1.707c0e2c4f1d8p-6, -0x1.697108c4e5325p-6, -0x1.62830857af6cep-6, -0x1.5bb1b3e4e8258p-6, -0x1.54fcb2df17241p-6, -0x1.4e63ad2e71c08p-6, -0x1.47e64b33ff338p-6, -0x1.418435ccbaca9p-6, -0x1.3b3d16549cc71p-6, -0x1.351096a965508p-6, -0x1.2efe612d71f4ep-6, -0x1.290620ca56a4dp-6, -0x1.232780f365cc5p-6, -0x1.1d622da82b0c5p-6, -0x1.17b5d376ae5d7p-6, -0x1.12221f7dba02fp-6, -0x1.0ca6bf6ef0a43p-6, -0x1.07436190d065dp-6, -0x1.01f7b4c0a51fcp-6, -0x1.f986d0e8ad5fap-7, -0x1.ef4c597842f8p-7, -0x1.e53f648875186p-7, -0x1.db5f54acb76eap-7, -0x1.d1ab8db6712fap-7, -0x1.c82374b7b01c1p-7, -0x1.bec67005c66a2p-7, -0x1.b593e73b9e16ep-7, -0x1.ac8b433c0adp-7, -0x1.a3abee33c603bp-7, -0x1.9af5539b654f8p-7, -0x1.9266e0391b741p-7, -0x1.8a0002225a52cp-7, -0x1.81c028bd2e8cep-7, -0x1.79a6c4c1cc64cp-7, -0x1.71b3483b6e1b2p-7, -0x1.69e52689a8851p-7, -0x1.623bd46132e4dp-7, -0x1.5ab6c7cca650ep-7, -0x1.5355782d3e836p-7, -0x1.4c175e3b4a717p-7, -0x1.44fbf406b43eap-7, -0x1.3e02b4f72c4dep-7, -0x1.372b1dcc6536p-7, -0x1.3074ac9e2d167p-7, -0x1.29dee0dc66d64p-7, -0x1.23693b4ec6723p-7, -0x1.1d133e14bc4c2p-7, -0x1.16dc6ca4feab7p-7, -0x1.10c44bcd27a44p-7, -0x1.0aca61b127cb2p-7, -0x1.04ee35cab3227p-7, -0x1.fe5ea1d0decfep-8, -0x1.f31a7a5a8e3a1p-8, -0x1.e80f0c1ee168p-8, -0x1.dd3b70aefa655p-8, -0x1.d29ec43ec898ap-8, -0x1.c83825a295134p-8, -0x1.be06b64ccbf55p-8, -0x1.b4099a4b48d84p-8, -0x1.aa3ff8450a864p-8, -0x1.a0a8f976fa41bp-8, -0x1.9743c9b17e8ep-8, -0x1.8e0f9754fbd05p-8, -0x1.850b934f03bc6p-8, -0x1.7c36f1171110ep-8, -0x1.7390e6aaf3ac9p-8, -0x1.6b18ac8b8e434p-8, -0x1.62cd7db9345fap-8, -0x1.5aae97aff8a1cp-8, -0x1.52bb3a63f55c3p-8, -0x1.4af2a83d78c3fp-8, -0x1.4354261501d5dp-8, -0x1.3bdefb2f6f9edp-8, -0x1.34927139a457bp-8, -0x1.2d6dd444983f2p-8, -0x1.267072c11a432p-8, -0x1.1f999d7b4c8dp-8, -0x1.18e8a7969d2dfp-8, -0x1.125ce6891d833p-8, -0x1.0bf5b21723e93p-8, -0x1.05b2644ec1cdbp-8, -0x1.ff24b3063fba2p-9, -0x1.f329e08fe4377p-9, -0x1.e77312d9ad37dp-9, -0x1.dbff0ff0de79cp-9, -0x1.d0cca247d892ep-9, -0x1.c5da98ac0a912p-9, -0x1.bb27c63c795a8p-9, -0x1.b0b3025ff8cd4p-9, -0x1.a67b28bba98d7p-9, -0x1.9c7f1929168f8p-9, -0x1.92bdb7ac0853p-9, -0x1.8935ec691274p-9, -0x1.7fe6a39b3d3d4p-9, -0x1.76cecd8a99fb4p-9, -0x1.6ded5e817e378p-9, -0x1.65414ec36f4d9p-9, -0x1.5cc99a822dccbp-9, -0x1.548541d44549ap-9, -0x1.4c7348aad0f6bp-9, -0x1.4492b6c75990ep-9, -0x1.3ce297b1a38ap-9, -0x1.3561faadf6cb6p-9, -0x1.2e0ff2b29f3p-9, -0x1.26eb965e27e4fp-9, -0x1.1ff3ffed2b439p-9, -0x1.19284d30269cbp-9, -0x1.12879f81ca6d5p-9, -0x1.0c111bbc67248p-9, -0x1.05c3ea307242fp-9, -0x1.ff3e6d34633b6p-10, -0x1.f344603029298p-10, -0x1.e79812407b1d9p-10, -0x1.dc37eeeed45a1p-10, -0x1.d122684c6970cp-10, -0x1.c655f6dfdda4ap-10, -0x1.bbd11990cc1a1p-10, -0x1.b1925594ebfabp-10, -0x1.a798365c169f5p-10, -0x1.9de14d7d1ce3ep-10, -0x1.946c32a2a45cdp-10, -0x1.8b378377cd61fp-10, -0x1.8241e39576b87p-10, -0x1.7989fc6ee15d3p-10, -0x1.710e7d3f1dd7bp-10, -0x1.68ce1af6251bfp-10, -0x1.60c7902634fa2p-10, -0x1.58f99cf165fa1p-10, -0x1.516306f722d05p-10, -0x1.4a029941e4816p-10, -0x1.42d72435200f6p-10, -0x1.3bdf7d7b13806p-10, -0x1.351a7ff3025c1p-10, -0x1.2e870b9f3e5eep-10, -0x1.2824059395812p-10, -0x1.21f057e3cea24p-10, -0x1.1beaf1922512dp-10, -0x1.1612c67e0c2dcp-10, -0x1.1066cf5338bfdp-10, -0x1.0ae6097840997p-10, -0x1.058f76fe6d7f6p-10, -0x1.00621e9020802p-10, -0x1.f6ba16c23cfaep-11, -0x1.ecfe9a3aab5f3p-11, -0x1.e38fefb24d291p-11, -0x1.da6c48027a96fp-11, -0x1.d191dc9411123p-11, -0x1.c8feef40e3fb8p-11, -0x1.c0b1ca33ea8e3p-11, -0x1.b8a8bfca1c811p-11, -0x1.b0e22a7373cf3p-11, -0x1.a95c6c94dc4abp-11, -0x1.a215f069a3485p-11, -0x1.9b0d27e5760f3p-11, -0x1.94408c974bd1bp-11, -0x1.8dae9f8b39548p-11, -0x1.8755e92e2677bp-11, -0x1.8134f930fb841p-11, -0x1.7b4a666be7eadp-11, -0x1.7594cec25d297p-11, -0x1.7012d707cae2bp-11, -0x1.6ac32ae2c7715p-11, -0x1.65a47cb38728p-11, -0x1.60b585778b53p-11, -0x1.5bf504af9957bp-11, -0x1.5761c045ab85dp-11, -0x1.52fa8472ae1e6p-11, -0x1.4ebe23a44ac3bp-11, -0x1.4aab76645c9ap-11, -0x1.46c15b3f3e18bp-11, -0x1.42feb6ab04328p-11, -0x1.3f6272ef018c7p-11, -0x1.3beb800b8be88p-11, -0x1.3898d3a23021p-11, -0x1.356968dd6b30ap-11, -0x1.325c405a68eb4p-11, -0x1.2f7060107196ep-11, -0x1.2ca4d33b78b5p-11, -0x1.29f8aa44e562cp-11, -0x1.276afaad21c7cp-11, -0x1.24fadef69ae9fp-11, -0x1.22a7768eddf23p-11, -0x1.206fe5ba0d51dp-11, -0x1.1e53557d4a2acp-11, -0x1.1c50f38a3acc4p-11, -0x1.1a67f22a19297p-11, -0x1.18978829c88ccp-11, -0x1.16def0c58d2b1p-11, -0x1.153d6b9539085p-11, -0x1.13b23c78ccd42p-11, -0x1.123cab852cd0cp-11, -0x1.10dc04f139b5p-11, -0x1.0f8f9902d37c8p-11, -0x1.0e56bbfd25a8ep-11, -0x1.0d30c60d51592p-11, -0x1.0c1d1339484eap-11, -0x1.0b1b034df0debp-11, -0x1.0a29f9cd8d392p-11, -0x1.09495dde9b271p-11, -0x1.08789a3afa452p-11, -0x1.07b71d1eef8ffp-11, -0x1.07045838e0e9ep-11, -0x1.065fc0990d3f9p-11, -0x1.05c8cea164a68p-11, -0x1.053efdf622d07p-11, -0x1.04c1cd6d90a4dp-11, -0x1.0450bf01b132ep-11, -0x1.03eb57c078633p-11, -0x1.03911fbceb669p-11, -0x1.0341a200b87c9p-11, -0x1.02fc6c7db6a28p-11, -0x1.02c10fffecd16p-11, -0x1.028f201f31a6p-11, -0x1.02663331b07f4p-11, -0x1.0245e23e11d5ap-11, -0x1.022dc8ee63a72p-11, -0x1.021d8582f7873p-11, -0x1.0214b8c52bbep-11, -0x1.021305fad7e25p-11, -0x1.021812da0bddfp-11, -0x1.0223877c17336p-11, -0x1.02350e51dbf37p-11, -0x1.024c5417c560ap-11, -0x1.026907c9da7e4p-11, -0x1.028ada983ef63p-11, -0x1.02b17fdc1499p-11, -0x1.02dcad0bb58eap-11, -0x1.030c19b035b73p-11, -0x1.033f7f5a430afp-11, -0x1.037699979891p-11, -0x1.03b125e8468ebp-11, -0x1.03eee3b4cac66p-11, -0x1.042f944379fa4p-11, -0x1.0472faaedcd96p-11, -0x1.04b8dbdb93c84p-11, -0x1.0500fe6edd769p-11, -0x1.054b2ac5305f8p-11, -0x1.05972ae8882e5p-11, -0x1.05e4ca87b242bp-11, -0x1.0633d6ed01507p-11, -0x1.06841ef57569ep-11, -0x1.06d5730830d36p-11, -0x1.0727a50d9dcd5p-11, -0x1.077a88675dad9p-11, -0x1.07cdf1e7a2e73p-11, -0x1.0821b7c98f615p-11, -0x1.0875b1a8bd8ebp-11, -0x1.08c9b879c3b27p-11, -0x1.091da682468dbp-11, -0x1.09715751856c3p-11, -0x1.09c4a7b8fa3bdp-11, -0x1.0a1775c4dd0aap-11, -0x1.0a69a0b519e98p-11, -0x1.0abb08f667aeep-11, -0x1.0b0b901b1c4bcp-11, -0x1.0b5b18d49ab3fp-11, -0x1.0ba986ec7a4a2p-11, -0x1.0bf6bf3e29795p-11, -0x1.0c42a7b05da32p-11, -0x1.0c8d272ee41c4p-11, -0x1.0cd625a44778ep-11, -0x1.0d1d8bf40e328p-11, -0x1.0d6343f45d075p-11, -0x1.0da738687c1b6p-11, -0x1.0de954facb884p-11, -0x1.0e29863765c48p-11, -0x1.0e67b9865ae86p-11, -0x1.0ea3dd268224fp-11, -0x1.0edde027f4894p-11, -0x1.0f15b26702ba6p-11, -0x1.0f4b4486e95ep-11, -0x1.0f7e87ecf4155p-11, -0x1.0faf6ebb7b167p-11, -0x1.0fddebcd0c3c1p-11, -0x1.1009f2afd5d51p-11, -0x1.103377a0dd705p-11, -0x1.105a6f8777829p-11, -0x1.107ecff0eabb7p-11, -0x1.10a08f0bdf565p-11, -0x1.10bfa3a45d2efp-11, -0x1.10dc051f4ea93p-11, -0x1.10f5ab76a5478p-11, -0x1.110c8f351efffp-11, -0x1.1120a9727acfcp-11, -0x1.1131f3cf7a2fdp-11, -0x1.1140687228925p-11, -0x1.114c02021d04bp-11, -0x1.1154bba4d5b76p-11, -0x1.115a90fa2a7d5p-11, -0x1.115d7e18dc57dp-11, -0x1.115d7f8b08dc7p-11, -0x1.115a924afcdbcp-11, -0x1.1154b3bfc9545p-11, -0x1.114be1ba1cda9p-11, -0x1.11401a711a86ap-11, -0x1.11315c7f526fp-11, -0x1.111fa6dfaf1aep-11, -0x1.110af8ea87a8ep-11, -0x1.10f35252bfb1cp-11, -0x1.10d8b32314e1cp-11, -0x1.10bb1bbb20e89p-11, -0x1.109a8cccceeddp-11, -0x1.10770759a7236p-11, -0x1.10508cb03e259p-11, -0x1.10271e69ae435p-11, -0x1.0ffabe672170bp-11, -0x1.0fcb6ecf64016p-11, -0x1.0f99320c89a04p-11, -0x1.0f640ac996553p-11, -0x1.0f2bfbf0486a7p-11, -0x1.0ef108a6d57cep-11, -0x1.0eb3344dd5eeep-11, -0x1.0e72827e063f9p-11, -0x1.0e2ef706672efp-11, -0x1.0de895ea14b37p-11, -0x1.0d9f635e64509p-11, -0x1.0d5363c8e5ee7p-11, -0x1.0d049bbd93c17p-11, -0x1.0cb30ffcf80f5p-11, -0x1.0c5ec57262449p-11, -0x1.0c07c13225455p-11, -0x1.0bae0877eb959p-11, -0x1.0b51a0a50f1c4p-11, -0x1.0af28f3ee0af6p-11, -0x1.0a90d9ed3534dp-11, -0x1.0a2c8678c052cp-11, -0x1.09c59ac99d0f7p-11, -0x1.095c1ce5d4ddfp-11, -0x1.08f012efea0afp-11, -0x1.088183257fa9ep-11, -0x1.081073dde1c16p-11, -0x1.079ceb88d4dap-11, -0x1.0726f0ad2b009p-11, -0x1.06ae89e78fba7p-11, -0x1.0633bde94af7cp-11, -0x1.05b6937701ff1p-11, -0x1.05371167a2014p-11, -0x1.04b53ea321053p-11, -0x1.04312221871b6p-11, -0x1.03aac2e9bdecdp-11, -0x1.032228108570cp-11, -0x1.029758b779f9cp-11, -0x1.020a5c0c0a7f4p-11, -0x1.017b394682b84p-11, -0x1.00e9f7a921d18p-11, -0x1.00569e7f2775ep-11, -0x1.ff826a37e9c13p-12, -0x1.fe5385b45269cp-12, -0x1.fd209e35aa826p-12, -0x1.fbe9c28944d8ap-12, -0x1.faaf018609c9ap-12, -0x1.f9706a0af54cep-12, -0x1.f82e0afd8ce37p-12, -0x1.f6e7f34875f45p-12, -0x1.f59e31da14447p-12, -0x1.f450d5a31ef8dp-12, -0x1.f2ffed954475cp-12, -0x1.f1ab88a1f1d27p-12, -0x1.f053b5b90b6f1p-12, -0x1.eef883c7c42bcp-12, -0x1.ed9a01b755fecp-12, -0x1.ec383e6bea485p-12, -0x1.ead348c38b28p-12, -0x1.e96b2f950d9d8p-12, -0x1.e80001af0af91p-12, -0x1.e691cdd6e3c1ap-12, -0x1.e520a2c7c1409p-12, -0x1.e3ac8f31aade9p-12, -0x1.e235a1b89e341p-12, -0x1.e0bbe8f3b1e8ep-12, -0x1.df3f736c4ea51p-12, -0x1.ddc04f9d4794dp-12, -0x1.dc3e8bf219341p-12, -0x1.daba36c63275bp-12, -0x1.d9335e6432a9p-12, -0x1.d7aa110547585p-12, -0x1.d61e5cd06ce1ap-12, -0x1.d4904fd9c9a21p-12, -0x1.d2fff8221549bp-12, -0x1.d16d639601892p-12, -0x1.cfd8a00da6cd5p-12, -0x1.ce41bb4bff645p-12, -0x1.cca8c2fe4729p-12, -0x1.cb0dc4bb9b22ep-12, -0x1.c970ce046c1c4p-12, -0x1.c7d1ec42098a1p-12, -0x1.c6312cc631dbep-12, -0x1.c48e9ccaa0fdbp-12, -0x1.c2ea4970b55f7p-12, -0x1.c1443fc10b133p-12, -0x1.bf9c8cab1592p-12, -0x1.bdf33d04d412fp-12, -0x1.bc485d8a73dep-12, -0x1.ba9bfade13f34p-12, -0x1.b8ee21875a4e6p-12, -0x1.b73eddf33f35bp-12, -0x1.b58e3c73d0e0dp-12, -0x1.b3dc493fef048p-12, -0x1.b2291073089e6p-12, -0x1.b0749e0cee057p-12, -0x1.aebefdf19d927p-12, -0x1.ad083be90e088p-12, -0x1.ab50639f0b00bp-12, -0x1.a99780a300ac6p-12, -0x1.a7dd9e67e4dd2p-12, -0x1.a622c8440b558p-12, -0x1.a46709710dea9p-12, -0x1.a2aa6d0b9f076p-12, -0x1.a0ecfe1384b8ap-12, -0x1.9f2ec76b7e8dfp-12, -0x1.9d6fd3d92ea1dp-12, -0x1.9bb02e0504e23p-12, -0x1.99efe07a3be97p-12, -0x1.982ef5a6c7e14p-12, -0x1.966d77db45d8fp-12, -0x1.94ab714b0c6fp-12, -0x1.92e8ec0c10587p-12, -0x1.9125f216ed62bp-12, -0x1.8f628d46e519ap-12, -0x1.8d9ec759dabap-12, -0x1.8bdaa9f06b831p-12, -0x1.8a163e8de134p-12, -0x1.88518e984903cp-12, -0x1.868ca3587006ap-12, -0x1.84c785f9f7729p-12, -0x1.83023f8b5f6e1p-12, -0x1.813cd8fe20488p-12, -0x1.7f775b26b2223p-12, -0x1.7db1cebcabff7p-12, -0x1.7bec3c5ac26eep-12, -0x1.7a26ac7ef16b6p-12, -0x1.7861278a93541p-12, -0x1.769bb5c26f55cp-12, -0x1.74d65f4edb31ap-12, -0x1.73112c3bd475dp-12, -0x1.714c24791a29p-12, -0x1.6f874fda58ed1p-12, -0x1.6dc2b61736413p-12, -0x1.6bfe5ecb827f9p-12, -0x1.6a3a51774c3acp-12, -0x1.6876957f12aeap-12, -0x1.66b3322bd8aa6p-12, -0x1.64f02eab4ca59p-12, -0x1.632d92100433p-12, -0x1.616b6351865cp-12, -0x1.5fa9a94c7a03dp-12, -0x1.5de86ac2de33p-12, -0x1.5c27ae5c180d7p-12, -0x1.5a677aa52a377p-12, -0x1.58a7d610f5afbp-12, -0x1.56e8c6f839cf3p-12, -0x1.552a5399e065dp-12, -0x1.536c821b2067bp-12, -0x1.51af58879ecd8p-12, -0x1.4ff2dcd1b462cp-12, -0x1.4e3714d287e4fp-12, -0x1.4c7c064a3b0c6p-12, -0x1.4ac1b6e02d33dp-12, -0x1.49082c231984ep-12, -0x1.474f6b894ed01p-12, -0x1.45977a70d8fcp-12, -0x1.43e05e1fb86a3p-12, -0x1.422a1bc40d33p-12, -0x1.4074b87455bf7p-12, -0x1.3ec0392f942a1p-12, -0x1.3d0ca2dd75e15p-12, -0x1.3b59fa4e99751p-12, -0x1.39a8443cb8ecbp-12, -0x1.37f7854ad9839p-12, -0x1.3647c2058d6a1p-12, -0x1.3498fee3110b7p-12, -0x1.32eb404387da3p-12, -0x1.313e8a712fa76p-12, -0x1.2f92e1a090d3p-12, -0x1.2de849f0b8648p-12, -0x1.2c3ec76b62d3dp-12, -0x1.2a965e0539bc1p-12, -0x1.28ef119df9b04p-12, -0x1.2748e600b388ap-12, -0x1.25a3dee3f9df3p-12, -0x1.23ffffea1299dp-12, -0x1.225d4ca131e99p-12, -0x1.20bbc883a3462p-12, -0x1.1f1b76f8046d4p-12, -0x1.1d7c5b5173c5ep-12, -0x1.1bde78cfccb91p-12, -0x1.1a41d29fcc2ccp-12, -0x1.18a66bdb54f86p-12, -0x1.170c4789a014cp-12, -0x1.1573689f5b3c3p-12, -0x1.13dbd1fefae1cp-12, -0x1.12458678d0424p-12, -0x1.10b088cb508cbp-12, -0x1.0f1cdba3378fap-12, -0x1.0d8a819bc7acap-12, -0x1.0bf97d3f013d6p-12, -0x1.0a69d105bfd98p-12, -0x1.08db7f57ffb19p-12, -0x1.074e8a8cfe6f8p-12, -0x1.05c2f4eb73822p-12, -0x1.0438c0a9c9c25p-12, -0x1.02afefee45bb2p-12, -0x1.012884cf411c4p-12, -0x1.ff4502a6a203ap-13, -0x1.fc3bcee2f8e57p-13, -0x1.f9357222cd6c3p-13, -0x1.f631f01719266p-13, -0x1.f3314c52c895ep-13, -0x1.f0338a4b1f2adp-13, -0x1.ed38ad5829a7fp-13, -0x1.ea40b8b50d661p-13, -0x1.e74baf80634cdp-13, -0x1.e45994bcaceadp-13, -0x1.e16a6b50899a3p-13, -0x1.de7e360741365p-13, -0x1.db94f790e6566p-13, -0x1.d8aeb282e750fp-13, -0x1.d5cb6958427a7p-13, -0x1.d2eb1e71ef87p-13, -0x1.d00dd4173feb6p-13, -0x1.cd338c76299f1p-13, -0x1.ca5c49a399fa7p-13, -0x1.c7880d9bdc652p-13, -0x1.c4b6da42e7cc5p-13, -0x1.c1e8b164c29d8p-13, -0x1.bf1d94b5b9b87p-13, -0x1.bc5585d2c9d13p-13, -0x1.b9908641fd1cfp-13, -0x1.b6ce977294c12p-13, -0x1.b40fbabd946fap-13, -0x1.b153f165e3babp-13, -0x1.ae9b3c98beabep-13, -0x1.abe59d6dfcecp-13, -0x1.a93314e856381p-13, -0x1.a683a3f5c2c12p-13, -0x1.a3d74b6fbc06dp-13, -0x1.a12e0c1b8c1acp-13, -0x1.9e87e6aaae00cp-13, -0x1.9be4dbbb0921bp-13, -0x1.9944ebd7313ecp-13, -0x1.96a81776d1a15p-13, -0x1.940e5efed5a2cp-13, -0x1.9177c2c1d4c31p-13, -0x1.8ee443003cfdep-13, -0x1.8c53dfe8ba6p-13, -0x1.89c699984d8bdp-13, -0x1.873c701ad107cp-13, -0x1.84b5636b0edcap-13, -0x1.8231737330458p-13, -0x1.7fb0a00cd51b9p-13, -0x1.7d32e9017436p-13, -0x1.7ab84e0aaaaep-13, -0x1.7840ced25fe5bp-13, -0x1.75cc6af32c36dp-13, -0x1.735b21f8722b8p-13, -0x1.70ecf35ebc2a6p-13, -0x1.6e81de93f44f4p-13, -0x1.6c19e2f79fddbp-13, -0x1.69b4ffdb33051p-13, -0x1.675334823d035p-13, -0x1.64f48022a47e4p-13, -0x1.6298e1e50363p-13, -0x1.604058e49c16fp-13, -0x1.5deae42ff6318p-13, -0x1.5b9882c8c543dp-13, -0x1.594933a469a6p-13, -0x1.56fcf5abe4c22p-13, -0x1.54b3c7bc4e2b6p-13, -0x1.526da8a6e03b2p-13, -0x1.502a973168a72p-13, -0x1.4dea9216367e8p-13, -0x1.4bad98049af6dp-13, -0x1.4973a7a0ddb6ep-13, -0x1.473cbf84b3bb8p-13, -0x1.4508de3f3ca41p-13, -0x1.42d802553f0b6p-13, -0x1.40aa2a419751cp-13, -0x1.3e7f5475035f2p-13, -0x1.3c577f56db48bp-13, -0x1.3a32a944b90bap-13, -0x1.3810d0930a78p-13, -0x1.35f1f38d1ce62p-13, -0x1.33d6107557c2bp-13, -0x1.31bd25855b2e6p-13, -0x1.2fa730ee4ac0cp-13, -0x1.2d9430d8e40c7p-13, -0x1.2b842365ba121p-13, -0x1.297706ad5eaefp-13, -0x1.276cd8c096dafp-13, -0x1.256597a875ae2p-13, -0x1.23614166a555fp-13, -0x1.215fd3f56d636p-13, -0x1.1f614d4804c25p-13, -0x1.1d65ab4aa58ap-13, -0x1.1b6cebe2a802fp-13, -0x1.19770ceed8383p-13, -0x1.17840c47678e1p-13, -0x1.1593e7be5d593p-13, -0x1.13a69d1f5e1fcp-13, -0x1.11bc2a303f513p-13, -0x1.0fd48cb0ccba4p-13, -0x1.0defc25b32cep-13, -0x1.0c0dc8e400731p-13, -0x1.0a2e9dfa55d9cp-13, -0x1.08523f48109efp-13, -0x1.0678aa71eeecbp-13, -0x1.04a1dd179de3cp-13, -0x1.02cdd4d3fa757p-13, -0x1.00fc8f3d1e001p-13, -0x1.fe5c13c91fb1ap-14, -0x1.fac484aed2a6bp-14, -0x1.f7326c3cb6522p-14, -0x1.f3a5c57bfee11p-14, -0x1.f01e8b6d87fe8p-14, -0x1.ec9cb90a6fcp-14, -0x1.e92049440da4p-14, -0x1.e5a9370470ab3p-14, -0x1.e2377d2e50ef8p-14, -0x1.decb169db8f9ep-14, -0x1.db63fe27c31b1p-14, -0x1.d8022e9b4bc33p-14, -0x1.d4a5a2c0bf112p-14, -0x1.d14e555acb2a2p-14, -0x1.cdfc4125fb589p-14, -0x1.caaf60d9ab3d6p-14, -0x1.c767af2773188p-14, -0x1.c42526bc3432fp-14, -0x1.c0e7c23f6f88dp-14, -0x1.bdaf7c545400cp-14, -0x1.ba7c4f99301bap-14, -0x1.b74e36a82f1bp-14, -0x1.b4252c1746fdcp-14, -0x1.b1012a788b5dap-14, -0x1.ade22c5a3a0b9p-14, -0x1.aac82c472abffp-14, -0x1.a7b324c691dbp-14, -0x1.a4a3105cbbbe7p-14, -0x1.a197e98aa1f9fp-14, -0x1.9e91aace97df5p-14, -0x1.9b904ea4264cbp-14, -0x1.9893cf84739e7p-14, -0x1.959c27e61f4bp-14, -0x1.92a9523de8e1cp-14, -0x1.8fbb48fe2aea4p-14, -0x1.8cd20697ce726p-14, -0x1.89ed8579a49a6p-14, -0x1.870dc01143421p-14, -0x1.8432b0caa3654p-14, -0x1.815c5210b926bp-14, -0x1.7e8a9e4d14b23p-14, -0x1.7bbd8fe8a697ep-14, -0x1.78f5214b44f0dp-14, -0x1.76314cdc50058p-14, -0x1.73720d026e07fp-14, -0x1.70b75c2421acdp-14, -0x1.6e0134a7699d7p-14, -0x1.6b4f90f24e996p-14, -0x1.68a26b6acd208p-14, -0x1.65f9be76e351ap-14, -0x1.6355847d0bf47p-14, -0x1.60b5b7e3c05fap-14, -0x1.5e1a531256692p-14, -0x1.5b83507071b91p-14, -0x1.58f0aa669dd03p-14, -0x1.56625b5e2d104p-14, -0x1.53d85dc15647p-14, -0x1.5152abfb74d02p-14, -0x1.4ed14078ef008p-14, -0x1.4c5415a776a3fp-14, -0x1.49db25f639169p-14, -0x1.47666bd5a7103p-14, -0x1.44f5e1b7f0c2fp-14, -0x1.42898210d3f4ep-14, -0x1.40214755c9375p-14, -0x1.3dbd2bfe345c2p-14, -0x1.3b5d2a8377041p-14, -0x1.39013d60c92aep-14, -0x1.36a95f13c85e6p-14, -0x1.34558a1c0e5c1p-14, -0x1.3205b8fb9e983p-14, -0x1.2fb9e636d468p-14, -0x1.2d720c54836f1p-14, -0x1.2b2e25ddeef97p-14, -0x1.28ee2d5f2e811p-14, -0x1.26b21d66c24fep-14, -0x1.2479f0863234fp-14, -0x1.2245a151b653fp-14, -0x1.20152a607182dp-14, -0x1.1de8864cad74fp-14, -0x1.1bbfafb375d9cp-14, -0x1.199aa135451eap-14, -0x1.177955756cc0bp-14, -0x1.155bc71ae7b52p-14, -0x1.1341f0cf92738p-14, -0x1.112bcd410f06p-14, -0x1.0f19572024589p-14, -0x1.0d0a8921290cep-14, -0x1.0aff5dfc0a526p-14, -0x1.08f7d06c53a57p-14, -0x1.06f3db311c9d5p-14, -0x1.04f3790d6da01p-14, -0x1.02f6a4c7c41f8p-14, -0x1.00fd592ab45ecp-14, -0x1.fe0f2209345d1p-15, -0x1.fa2a8e4f2a497p-15, -0x1.f64cecd3fea6fp-15, -0x1.f276334bda68p-15, -0x1.eea657734f93ep-15, -0x1.eadd4f0f1fa11p-15, -0x1.e71b0fec22f59p-15, -0x1.e35f8fdfb6118p-15, -0x1.dfaac4c7c4baap-15, -0x1.dbfca48a31f17p-15, -0x1.d8552516557cdp-15, -0x1.d4b43c630ce1p-15, -0x1.d119e0713a85ep-15, -0x1.cd860749515fcp-15, -0x1.c9f8a6fdb2f04p-15, -0x1.c671b5a8ccd95p-15, -0x1.c2f1296eddbf4p-15, -0x1.bf76f87c44effp-15, -0x1.bc0319076755cp-15, -0x1.b895814f1b39p-15, -0x1.b52e279c05badp-15, -0x1.b1cd023fb32afp-15, -0x1.ae7207952d45p-15, -0x1.ab1d2e00c581cp-15, -0x1.a7ce6bf08e25dp-15, -0x1.a485b7db8c87dp-15, -0x1.a1430842f9004p-15, -0x1.9e0653b0ddd46p-15, -0x1.9acf90b96083bp-15, -0x1.979eb5fa4bf7cp-15, -0x1.9473ba1aa5827p-15, -0x1.914e93cc0d973p-15, -0x1.8e2f39c8bebdbp-15, -0x1.8b15a2d602a26p-15, -0x1.8801c5c1c9fe8p-15, -0x1.84f39964cca13p-15, -0x1.81eb14a119389p-15, -0x1.7ee82e62ef4b1p-15, -0x1.7beadda04e162p-15, -0x1.78f319597a38ep-15, -0x1.7600d8984f53p-15, -0x1.731412711c83dp-15, -0x1.702cbe01d992ap-15, -0x1.6d4ad272b42a7p-15, -0x1.6a6e46f618dbcp-15, -0x1.679712c825285p-15, -0x1.64c52d2faaebcp-15, -0x1.61f88d7cf5d32p-15, -0x1.5f312b0b12819p-15, -0x1.5c6efd3eab16ep-15, -0x1.59b1fb870c08cp-15, -0x1.56fa1d5d55b12p-15, -0x1.54475a450f4d5p-15, -0x1.5199a9cbbba06p-15, -0x1.4ef10389651a1p-15, -0x1.4c4d5f1fcd97cp-15, -0x1.49aeb43b83742p-15, -0x1.4714fa92cc778p-15, -0x1.448029e6755e8p-15, -0x1.41f03a01770eep-15, -0x1.3f6522b8be638p-15, -0x1.3cdedbec00618p-15, -0x1.3a5d5d84695a5p-15, -0x1.37e09f7638ba4p-15, -0x1.356899bf22b42p-15, -0x1.32f5446793129p-15, -0x1.30869781e994fp-15, -0x1.2e1c8b2ab056fp-15, -0x1.2bb7178921d72p-15, -0x1.295634cda6bcfp-15, -0x1.26f9db3423468p-15, -0x1.24a203016daf8p-15, -0x1.224ea48573a1ap-15, -0x1.1fffb819d5e16p-15, -0x1.1db536224b06p-15, -0x1.1b6f170d109b2p-15, -0x1.192d535207109p-15, -0x1.16efe3738d80ep-15, -0x1.14b6bffde8eeap-15, -0x1.1281e1876c9e2p-15, -0x1.105140b0906c3p-15, -0x1.0e24d623da777p-15, -0x1.0bfc9a95b3886p-15, -0x1.09d886c4d8eadp-15, -0x1.07b8937993bfep-15, -0x1.059cb986a9aa6p-15, -0x1.0384f1c84fabcp-15, -0x1.0171352531833p-15, -0x1.fec2f91ab9f45p-16, -0x1.faab81f6a5428p-16, -0x1.f69bf6e601edep-16, -0x1.f2944a04eeefcp-16, -0x1.ee946d82f3a03p-16, -0x1.ea9c53a3316ebp-16, -0x1.e6abeebcbb129p-16, -0x1.e2c331397e665p-16, -0x1.dee20d97eefcdp-16, -0x1.db0876686dc1ep-16, -0x1.d7365e50b75c7p-16, -0x1.d36bb807b1cd3p-16, -0x1.cfa87659c5b93p-16, -0x1.cbec8c24966aap-16, -0x1.c837ec5a800dp-16, -0x1.c48a8a0012c2cp-16, -0x1.c0e4582d1d424p-16, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
    }}, 
    {
      29, 0x1p+3, 0x1.0c88043b33894p+1, 0x1.907b5ecc39101p+2, -0x1.1a9fffbc067fcp-13, 
      {{
        {0x1.a47ae147ae148p+2, 0x1.a666666666666p+2, 0x1.a7ef802980468p-12, -0x1.2875668dcb8dep-10, 0x1.36f86aa150c4p-10, -0x1.200cf5af374c8p-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.8576e69e06a1cp-12, -0x1.16307226d948p-10, 0x1.2a0212c63b141p-10, -0x1.16ffb4db83448p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.50bca80eb629ap-12, -0x1.f2de8e10a85ep-11, 0x1.15154b9c2ad4fp-10, -0x1.0c9ae58e13a76p-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.218dbe42fcebp-12, -0x1.bd779e1acf4f1p-11, 0x1.00f013fe4fc22p-10, -0x1.028916b706585p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.ef05fdee500c2p-13, -0x1.8c04ca46c29bp-11, 0x1.db1864945e90cp-11, -0x1.f0c214bba9191p-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.a47249094705fp-13, -0x1.5e5f3d18a080fp-11, 0x1.b5d6a3064b7bdp-11, -0x1.dc7de72da370cp-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.62a19bc3f4a0fp-13, -0x1.346001d216b05p-11, 0x1.9219fe7c78d38p-11, -0x1.c8368812860abp-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.28dcfd45ac86fp-13, -0x1.0de02c1512258p-11, 0x1.6fe2b447e1f89p-11, -0x1.b3f0040754e53p-12}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.ecea7be00062bp-14, -0x1.d5719a89e674fp-12, 0x1.4f30b3fa88678p-11, -0x1.9fa945499100bp-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.9585eebd7dc86p-14, -0x1.9585eebe1afc1p-12, 0x1.300401fb6a546p-11, -0x1.8b6296462ab09p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.4a4d18cfeb635p-14, -0x1.5baf786ee8997p-12, 0x1.125c9d1c8d874p-11, -0x1.771be30be7592p-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.0a105237def1ap-14, -0x1.27a05b5a913adp-12, 0x1.ec750b5db85afp-12, -0x1.62d530f2b07d2p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.a75f0b14d396ap-15, -0x1.f2157672d4b5cp-13, 0x1.b73b773951142p-12, -0x1.4e8e7e8c2bf21p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.4c345fa231cb2p-15, -0x1.9f41778ac008ep-13, 0x1.850c7dd77dbp-12, -0x1.3a47cc39d0605p-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.009ec113e998cp-15, -0x1.5629016fe1106p-13, 0x1.55e81f3538081p-12, -0x1.260119e41200ap-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.8576e69e06a38p-16, -0x1.16305b9574d93p-13, 0x1.29ce5b530221ep-12, -0x1.11ba6787d75a6p-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.218dbe42fcee6p-16, -0x1.bd779add25115p-14, 0x1.00bf3231d507ap-12, -0x1.fae76a919240cp-13}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a4724909470a6p-17, -0x1.5e5f3cdd50c36p-14, 0x1.b575479aa0eadp-13, -0x1.d25a053733bd6p-13}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.28dcfd45ac8fp-17, -0x1.0de02c0fdb98dp-14, 0x1.6f81606bf2c1dp-13, -0x1.a9cca3138bb48p-13}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.9585eebd7dd7p-18, -0x1.9585eec47b906p-15, 0x1.2fa2ae5c3766fp-13, -0x1.813f34f11e703p-13}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.0a105237df1p-18, -0x1.27a05b406dff7p-15, 0x1.ebb2667018dfdp-14, -0x1.58b1f39375b36p-13}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.4c345fa231eep-19, -0x1.9f41784d8211ep-16, 0x1.8449d090a8c44p-14, -0x1.30240b20c397p-13}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.8576e69e075ffp-20, -0x1.163058be91f8cp-16, 0x1.290bcd3a07af1p-14, -0x1.0798923e73f13p-13}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.a472490948dp-21, -0x1.5e5f520e87df5p-17, 0x1.b3ef42b4fd014p-15, -0x1.be08045d79191p-14}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.9585eebd82401p-22, -0x1.9585508d3f651p-18, 0x1.2e200e328be0bp-15, -0x1.6d22be89bd676p-14}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.4c345fa238401p-23, -0x1.9f461446d6afap-19, 0x1.812b43ac0c844p-16, -0x1.1b403de0c351dp-14}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.a472490964001p-25, -0x1.5e3ccfbd5343cp-20, 0x1.ae6fd6b0c8411p-17, -0x1.9a1d9c848881fp-15}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.4c345fa2e8p-27, -0x1.a14363a53ac6dp-22, 0x1.70bc24c286451p-18, -0x1.c459553cacff8p-16}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.4c345fac8p-31, -0x1.6351982ff555p-25, 0x1.854d6012138p-20, -0x1.2eafc63b8fd1fp-15}, 
      }}, 
      0x1.1cd1be69e99aap-11, -0x1.b6fde1151ec55p-9
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.388a627be32dcp-1, -0x1.333a374d63906p-1, -0x1.2a9bb4837cf27p-1, -0x1.1ef93c65be0eap-1, -0x1.10a915b057dafp-1, -0x1.0007192f55534p-1, -0x1.dae07fb93e0fbp-2, -0x1.b27f10ace8147p-2, -0x1.8797a413b53d8p-2, -0x1.5accde199bd95p-2, -0x1.2cb4845e3d168p-2, -0x1.fbad1ee4334cfp-3, -0x1.9d59b5a06092p-3, -0x1.3f4690bf60744p-3, -0x1.c460d74fd88d3p-4, -0x1.0d74aa6be29bdp-4, -0x1.6b7aaa8428053p-6, 0x1.49de139140fe4p-6, 0x1.f399c113d8a9bp-5, 0x1.9a85363ba6c0fp-4, 0x1.1a12b09c0babap-3, 0x1.6327d81fde79fp-3, 0x1.a860415500c0cp-3, 0x1.e9a58c94fcc28p-3, 0x1.1375a928e738bp-2, 0x1.3016e7596f70dp-2, 0x1.4ab85621ca5a2p-2, 0x1.635ef69168f79p-2, 0x1.7a1279fb53867p-2, 0x1.8edcd43c55036p-2, 0x1.a1c9dac4bba77p-2, 0x1.b2e6ef1e0ddbdp-2, 0x1.c242b36dc6b43p-2, 0x1.cfecc7ab69a9ap-2, 0x1.dbf58e77e93p-2, 0x1.e66df8c0eed04p-2, 0x1.ef67578acbe43p-2, 0x1.f6f33361981fep-2, 0x1.fd232907c8babp-2, 0x1.0104657d2c6adp-1, 0x1.02dac3aca9f47p-1, 0x1.041d48de360d8p-1, 0x1.04d4683eee25ap-1, 0x1.0508668898cb4p-1, 0x1.04c153851cbf5p-1, 0x1.040704c3275fp-1, 0x1.02e1115a8a56cp-1, 0x1.0156cea2dbf17p-1, 0x1.fede9b8335676p-2, 0x1.fa62b3ed151bbp-2, 0x1.f546ef2657ea8p-2, 0x1.ef97c707fa12p-2, 0x1.e96126b44bc75p-2, 0x1.e2ae6b8d0e4efp-2, 0x1.db8a66ee5f58p-2, 0x1.d3ff60798ad1fp-2, 0x1.cc1718f9699ddp-2, 0x1.c3dacdbe1e515p-2, 0x1.bb533c204849bp-2, 0x1.b288a5a0178a2p-2, 0x1.a982d3e64b2f1p-2, 0x1.a0491d154aa6ep-2, 0x1.96e268572d77ap-2, 0x1.8d553215e04e6p-2, 0x1.83a790b830e7p-2, 0x1.79df38f11513ep-2, 0x1.70018247a5858p-2, 0x1.66136b67a8845p-2, 0x1.5c199e76e7477p-2, 0x1.5218753406031p-2, 0x1.4813fd2053ad5p-2, 0x1.3e0ffb5ac23f1p-2, 0x1.340ff0791c283p-2, 0x1.2a171c33e11eep-2, 0x1.202880e97c46cp-2, 0x1.1646e6f6e6399p-2, 0x1.0c74dffbf57dfp-2, 0x1.02b4c9dc434cbp-2, 0x1.f211a371fb528p-3, 0x1.dee5ed5b7006bp-3, 0x1.cbea18f0e38a2p-3, 0x1.b9217beeb7c4ep-3, 0x1.a68f1f186a95fp-3, 0x1.9435c2ba2c178p-3, 0x1.8217e2f158066p-3, 0x1.7037bbc2e1e38p-3, 0x1.5e974cf3269b8p-3, 0x1.4d385db896f5dp-3, 0x1.3c1c80358b85bp-3, 0x1.2b4514cda3119p-3, 0x1.1ab34d45feb3dp-3, 0x1.0a682fcd44bcp-3, 0x1.f4c933942dfafp-4, 0x1.d552852380ea3p-4, 0x1.b66d7bec6fc37p-4, 0x1.981afd5896ee2p-4, 0x1.7a5bb130e408ep-4, 0x1.5d3005df1b834p-4, 0x1.40983481f51fap-4, 0x1.249444b86d68bp-4, 0x1.0924102f404adp-4, 0x1.dc8e8bffee8edp-5, 0x1.a7fadba6667a2p-5, 0x1.748bd593848cp-5, 0x1.423ffc932495fp-5, 0x1.111595135f414p-5, 0x1.c21553feb2a29p-6, 0x1.643a22a9f3e8bp-6, 0x1.0894e0c52b3c9p-6, 0x1.5e40ff39b6b0ap-7, 0x1.5f5e7b28f1b0bp-8, 0x1.5a49af8bccafdp-13, -0x1.413a45c2616e4p-8, -0x1.426ff7bde65f9p-7, -0x1.e01c1edeb27fcp-7, -0x1.3cd7617708b8ep-6, -0x1.879ab3991beb2p-6, -0x1.d05eee80e1e99p-6, -0x1.0b958eb34c5adp-5, -0x1.2e0334ad69724p-5, -0x1.4f7c0a61e25b3p-5, -0x1.7003bbce11c69p-5, -0x1.8f9dfdd8f8236p-5, -0x1.ae4e8c3b5bc0ap-5, -0x1.cc19283a51bf7p-5, -0x1.e90196ae3fc82p-5, -0x1.0285cf6d12132p-4, -0x1.101d84577a96p-4, -0x1.1d49cdef6ad84p-4, -0x1.2a0c8f356efcfp-4, -0x1.3667a9afd5a63p-4, -0x1.425cfd1d7e7afp-4, -0x1.4dee66ccf3e6ap-4, -0x1.591dc1224c8d6p-4, -0x1.63ece363ee634p-4, -0x1.6e5da11b8b0e8p-4, -0x1.7871c9e9da51p-4, -0x1.822b290e683ep-4, -0x1.8b8b855816e48p-4, -0x1.9494a0a04e6bap-4, -0x1.9d4837bb6188dp-4, -0x1.a5a8023ea625dp-4, -0x1.adb5b230f771p-4, -0x1.b572f414405cbp-4, -0x1.bce16e975de1cp-4, -0x1.c402c286804b2p-4, -0x1.cad88aaf87a25p-4, -0x1.d1645bcb03942p-4, -0x1.d7a7c47d0a113p-4, -0x1.dda44d1f4c794p-4, -0x1.e35b77cdd6f5p-4, -0x1.e8cec0744cb78p-4, -0x1.edff9cb6df176p-4, -0x1.f2ef7be95789bp-4, -0x1.f79fc6fbf97c3p-4, -0x1.fc11e0d92e3e5p-4, -0x1.002393131b8a7p-3, -0x1.022076a245a81p-3, -0x1.0400433149feep-3, -0x1.05c39ddbc279p-3, -0x1.076b28c95a8eep-3, -0x1.08f7830df0059p-3, -0x1.0a6948c8de6a2p-3, -0x1.0bc1133169fap-3, -0x1.0cff78b9d7164p-3, -0x1.0e250cfb90c2ap-3, -0x1.0f3260af085f2p-3, -0x1.102801cbf4ca1p-3, -0x1.11067bafb7211p-3, -0x1.11ce5725e81a3p-3, -0x1.12801a44157f7p-3, -0x1.131c488bf24bbp-3, -0x1.13a362fd179bcp-3, -0x1.1415e8438a96fp-3, -0x1.147454aa9fd8bp-3, -0x1.14bf220efdab7p-3, -0x1.14f6c7efb254bp-3, -0x1.151bbb98040c5p-3, -0x1.152e703820fa9p-3, -0x1.152f56e3aa44p-3, -0x1.151ede760343bp-3, -0x1.14fd73b993f5ep-3, -0x1.14cb81753ae15p-3, -0x1.14897096411ebp-3, -0x1.1437a8293f507p-3, -0x1.13d68d4de8625p-3, -0x1.13668341ce3b9p-3, -0x1.12e7eb727feccp-3, -0x1.125b25b2166e7p-3, -0x1.11c090236148ep-3, -0x1.11188749f41cap-3, -0x1.106365f474c85p-3, -0x1.0fa1854fe82cbp-3, -0x1.0ed33d145b55ap-3, -0x1.0df8e3864515p-3, -0x1.0d12cd7f6447cp-3, -0x1.0c214e61703aep-3, -0x1.0b24b8174ba75p-3, -0x1.0a1d5b2a46d64p-3, -0x1.090b86dcc17b7p-3, -0x1.07ef8935c525ap-3, -0x1.06c9aefae2438p-3, -0x1.059a43a7501b9p-3, -0x1.0461916fccff3p-3, -0x1.031fe15785d5bp-3, -0x1.01d57b3f9b4e4p-3, -0x1.0082a5f4ccf5cp-3, -0x1.fe4f4e5758bc3p-4, -0x1.fb8986e6647bep-4, -0x1.f8b47c7760438p-4, -0x1.f5d0b3c410b08p-4, -0x1.f2deaf8201e01p-4, -0x1.efdef0757d1e1p-4, -0x1.ecd1f56f05054p-4, -0x1.e9b83b3e5c17ep-4, -0x1.e6923cad9925dp-4, -0x1.e360728ef7543p-4, -0x1.e02353d6b04b4p-4, -0x1.dcdb55b07b0cdp-4, -0x1.d988eb85125d4p-4, -0x1.d62c86f631619p-4, -0x1.d2c697cd8fcbep-4, -0x1.cf578c025a322p-4, -0x1.cbdfcfcd77cp-4, -0x1.c85fcdaec6bd1p-4, -0x1.c4d7ee866d82dp-4, -0x1.c1489992488a7p-4, -0x1.bdb234679d383p-4, -0x1.ba1522ec3aa4p-4, -0x1.b671c7577df62p-4, -0x1.b2c8823cc0e62p-4, -0x1.af19b2999c1b9p-4, -0x1.ab65b5e03b48dp-4, -0x1.a7ace7f979402p-4, -0x1.a3efa3407140cp-4, -0x1.a02e407ce371dp-4, -0x1.9c6916e2719bfp-4, -0x1.98a07c16a16c6p-4, -0x1.94d4c43a5d747p-4, -0x1.910641f7649c9p-4, -0x1.8d3546782f248p-4, -0x1.89622176ccb57p-4, -0x1.858d212f364dfp-4, -0x1.81b6925bd715fp-4, -0x1.7ddec040a3652p-4, -0x1.7a05f4a168cbp-4, -0x1.762c77de18c28p-4, -0x1.725290e5cffeap-4, -0x1.6e788542b2d3cp-4, -0x1.6a9e9917194cap-4, -0x1.66c50f1b1334fp-4, -0x1.62ec289b1ca9dp-4, -0x1.5f14257bf2835p-4, -0x1.5b3d443de813fp-4, -0x1.5767c203467bbp-4, -0x1.5393da94917bbp-4, -0x1.4fc1c863155cbp-4, -0x1.4bf1c48944597p-4, -0x1.482406ca02d3cp-4, -0x1.4458c5909914dp-4, -0x1.409035f24c7e9p-4, -0x1.3cca8bb50867dp-4, -0x1.3907f94c878d8p-4, -0x1.3548afe6591f5p-4, -0x1.318cdf6cb126p-4, -0x1.2dd4b67f91092p-4, -0x1.2a206280c4b0fp-4, -0x1.26700f8d72aa6p-4, -0x1.22c3e88263cafp-4, -0x1.1f1c16fe0401p-4, -0x1.1b78c3650cd5ep-4, -0x1.17da14e58bd69p-4, -0x1.1440317b49882p-4, -0x1.10ab3df2f21e5p-4, -0x1.0d1b5dec5e3f1p-4, -0x1.0990b3dc3ace5p-4, -0x1.060b610dec2fep-4, -0x1.028b85a66340ep-4, -0x1.fe22814da4f2bp-5, -0x1.f7395fe18bc7ap-5, -0x1.f05be09390687p-5, -0x1.e98a3abe53a57p-5, -0x1.e2c4a393ff561p-5, -0x1.dc0b4e23b9c28p-5, -0x1.d55e6b5f89a3ep-5, -0x1.cebe2a21b038ep-5, -0x1.c82ab73181dfbp-5, -0x1.c1a43d4e5f8e9p-5, -0x1.bb2ae52ce09f6p-5, -0x1.b4bed58b528f8p-5, -0x1.ae60333461d0ep-5, -0x1.a80f2102ba4e2p-5, -0x1.a1cbbfee8300fp-5, -0x1.9b962f1182c0ep-5, -0x1.956e8bae4ea5bp-5, -0x1.8f54f137369dfp-5, -0x1.89497954c7c3fp-5, -0x1.834c3bed4a447p-5, -0x1.7d5d4f2cc2db9p-5, -0x1.777cc78d1835cp-5, -0x1.71aab7de0d09dp-5, -0x1.6be7314ce4b2bp-5, -0x1.6632436c5e582p-5, -0x1.608bfc3c9cbc6p-5, -0x1.5af4683266905p-5, -0x1.556b923e63f67p-5, -0x1.4ff183d4663a4p-5, -0x1.4a8644f2dfbbdp-5, -0x1.4529dc2ab8635p-5, -0x1.3fdc4ea74923cp-5, -0x1.3a9da03648017p-5, -0x1.356dd34fd41dep-5, -0x1.304ce91e8e6dbp-5, -0x1.2b3ae18757a83p-5, -0x1.2637bb30bbe21p-5, -0x1.2143738a2257cp-5, -0x1.1c5e06d29c1c2p-5, -0x1.178770211c793p-5, -0x1.12bfa96b511e4p-5, -0x1.0e06ab89543bep-5, -0x1.095c6e48b2bc2p-5, -0x1.04c0e8683c8b7p-5, -0x1.00340fa681bbbp-5, -0x1.f76bb18e4413cp-6, -0x1.ee8c6f31ef2fap-6, -0x1.e5ca3df8c081dp-6, -0x1.dd2501d36faf6p-6, -0x1.d49c9cf0f2527p-6, -0x1.cc30efce4c4a7p-6, -0x1.c3e1d94797c86p-6, -0x1.bbaf36a8dcccdp-6, -0x1.b398e3bd14b29p-6, -0x1.ab9ebada2d4bcp-6, -0x1.a3c094e9df3cdp-6, -0x1.9bfe4970f1d4dp-6, -0x1.9457ae96e21ecp-6, -0x1.8ccc9930a9558p-6, -0x1.855cdcd02cccep-6, -0x1.7e084bd8314e2p-6, -0x1.76ceb79284ed8p-6, -0x1.6faff044bd106p-6, -0x1.68abc53fb02fep-6, -0x1.61c204e70b527p-6, -0x1.5af27cb13b86cp-6, -0x1.543cf922a84a5p-6, -0x1.4da145c9b026bp-6, -0x1.471f2d419c74bp-6, -0x1.40b67941030d3p-6, -0x1.3a66f2b4132b1p-6, -0x1.343061df58402p-6, -0x1.2e128e8312ac3p-6, -0x1.280d3ff633d71p-6, -0x1.22203d31823bfp-6, -0x1.1c4b4cc9e97b4p-6, -0x1.168e34d169fcp-6, -0x1.10e8bac296b4ep-6, -0x1.0b5aa3624ec31p-6, -0x1.05e3b2b9a98f3p-6, -0x1.0083ac2d03395p-6, -0x1.f674a553332b7p-7, -0x1.ec0ed1cbc55e8p-7, -0x1.e1d56346c15efp-7, -0x1.d7c7dfbef79adp-7, -0x1.cde5cdc7a999ap-7, -0x1.c42eb45d6f987p-7, -0x1.baa21a708bae4p-7, -0x1.b13f8648b4a55p-7, -0x1.a8067cf2162f6p-7, -0x1.9ef681e621569p-7, -0x1.960f1715e3c35p-7, -0x1.8d4fbd628c34dp-7, -0x1.84b7f57174f47p-7, -0x1.7c4740ac4405cp-7, -0x1.73fd222bf33ep-7, -0x1.6bd91f4c4d518p-7, -0x1.63dabfb7b3046p-7, -0x1.5c018cdbd352fp-7, -0x1.544d10e14f01cp-7, -0x1.4cbcd5658d10ap-7, -0x1.4550624ca6ff5p-7, -0x1.3e073d02265eep-7, -0x1.36e0e867c3a24p-7, -0x1.2fdce5883c958p-7, -0x1.28fab4f2cccb7p-7, -0x1.2239d8766d772p-7, -0x1.1b99d4d6c25fp-7, -0x1.151a330e28d6bp-7, -0x1.0eba80c4b7ec7p-7, -0x1.087a4fcf94613p-7, -0x1.025934c78de26p-7, -0x1.f8ad8a020c1dap-8, -0x1.ece528b839e3bp-8, -0x1.e15866e7c9e99p-8, -0x1.d6065d446982ap-8, -0x1.caee1c3f8266p-8, -0x1.c00eae7d459cap-8, -0x1.b5671d2be5511p-8, -0x1.aaf6753706667p-8, -0x1.a0bbcc4fb0185p-8, -0x1.96b644b4a8571p-8, -0x1.8ce50ec97e611p-8, -0x1.8347681114db4p-8, -0x1.79dc97a6ab967p-8, -0x1.70a3e8e56e566p-8, -0x1.679ca560eeedbp-8, -0x1.5ec60f7f6313ap-8, -0x1.561f5ee3dfd18p-8, -0x1.4da7bf6be7695p-8, -0x1.455e52f06363fp-8, -0x1.3d423565e9f99p-8, -0x1.355282894a28fp-8, -0x1.2d8e5bfeba1a3p-8, -0x1.25f4eebed24bdp-8, -0x1.1e8576d3a5f0dp-8, -0x1.173f40acf97d9p-8, -0x1.1021a7bc36954p-8, -0x1.092c1292e6203p-8, -0x1.025ded4088fd2p-8, -0x1.f76d462a0a2cdp-9, -0x1.ea6b321be4fa6p-9, -0x1.ddb4541957f5ap-9, -0x1.d1474b0b999c2p-9, -0x1.c522a169fe9ccp-9, -0x1.b944d3bc507d8p-9, -0x1.adac59921b325p-9, -0x1.a257af2f8cebbp-9, -0x1.97455e78f4135p-9, -0x1.8c74060d727e4p-9, -0x1.81e25dd0532d5p-9, -0x1.778f384c9b5e2p-9, -0x1.6d7980948cc22p-9, -0x1.63a034b6313d3p-9, -0x1.5a025d9491e8cp-9, -0x1.509f05bde8374p-9, -0x1.477531509ef05p-9, -0x1.3e83d8c84fc9p-9, -0x1.35c9e79d61792p-9, -0x1.2d463e49a7d0fp-9, -0x1.24f7b628379aap-9, -0x1.1cdd25625d8bdp-9, -0x1.14f561d0f1238p-9, -0x1.0d3f42f946edbp-9, -0x1.05b9a430cc8fbp-9, -0x1.fcc6cff9100f5p-10, -0x1.ee76f94a95ebcp-10, -0x1.e081c1749b7ap-10, -0x1.d2e54b1333716p-10, -0x1.c59fdc0dd00f6p-10, -0x1.b8afd4571a67fp-10, -0x1.ac13a12071196p-10, -0x1.9fc9b1d362e49p-10, -0x1.93d0730624a81p-10, -0x1.882650109fa1ep-10, -0x1.7cc9b7c88270cp-10, -0x1.71b91ec46ed6fp-10, -0x1.66f2fad78919ep-10, -0x1.5c75b7e61e514p-10, -0x1.523fab58a0989p-10, -0x1.484f0e08987fp-10, -0x1.3ea202787c9e7p-10, -0x1.3536a738861adp-10, -0x1.2c0b2ebbafbd6p-10, -0x1.231df29beae92p-10, -0x1.1a6d7a704dd79p-10, -0x1.11f874d375fb7p-10, -0x1.09bda84023ca9p-10, -0x1.01bbe4d4653d2p-10, -0x1.f3e3fc1ed7adcp-11, -0x1.e4bd9bbe1e333p-11, -0x1.d60278f71fcffp-11, -0x1.c7b08b44fe7dp-11, -0x1.b9c5e994dde76p-11, -0x1.ac40abf0402bdp-11, -0x1.9f1ebee670778p-11, -0x1.925dbb4357407p-11, -0x1.85fad868d8d75p-11, -0x1.79f305990b06bp-11, -0x1.6e4323f9d7d17p-11, -0x1.62e849b94d3cdp-11, -0x1.57dff165f6182p-11, -0x1.4d2802cf25a8ep-11, -0x1.42beb72274b7fp-11, -0x1.38a26c9f5605ep-11, -0x1.2ed18355ff58ep-11, -0x1.254a517ac7be5p-11, -0x1.1c0b2c8767677p-11, -0x1.131279ebe717bp-11, -0x1.0a5ebae345c6dp-11, -0x1.01ee8cb67ca3dp-11, -0x1.f38135d1509bp-12, -0x1.e3a7086d4fa3dp-12, -0x1.d44b73362233dp-12, -0x1.c56acb746d012p-12, -0x1.b700d87d84958p-12, -0x1.a9090f36ddf53p-12, -0x1.9b7ef8a7ce40ep-12, -0x1.8e5e99da99d9fp-12, -0x1.81a4b2011c562p-12, -0x1.754eb822535d2p-12, -0x1.695aa0ff988dep-12, -0x1.5dc6914f86973p-12, -0x1.5290a4cb10a6fp-12, -0x1.47b6da748cdf3p-12, -0x1.3d37183881484p-12, -0x1.330f31210b5f8p-12, -0x1.293ce7b5e74d7p-12, -0x1.1fbdef9de1d03p-12, -0x1.168feea9cece8p-12, -0x1.0db07cf6098c5p-12, -0x1.051d27f0c867cp-12, -0x1.f9a6f1557e462p-13, -0x1.e9a1edd7bd5d2p-13, -0x1.da264e8b57b2cp-13, -0x1.cb2f1a88afa7p-13, -0x1.bcb77264a1cedp-13, -0x1.aebabb145cb2p-13, -0x1.a134cc9a5e09cp-13, -0x1.942221369d896p-13, -0x1.877ff419771f4p-13, -0x1.7b4c2fd380ac3p-13, -0x1.6f85232036e45p-13, -0x1.6429149d0caf8p-13, -0x1.5935ded6a91f9p-13, -0x1.4ea8c4ea6a671p-13, -0x1.447e940033dbep-13, -0x1.3ab3dd3e21937p-13, -0x1.3144fe5200c4p-13, -0x1.282e064f39315p-13, -0x1.1f6acf478829cp-13, -0x1.16f76e5575e3bp-13, -0x1.0ed0b07c2bfe1p-13, -0x1.06f444d0d316cp-13, -0x1.fec0ef4564c19p-14, -0x1.f0276695f2763p-14, -0x1.e2181cd892013p-14, -0x1.d48e1a9c2f658p-14, -0x1.c78351d030285p-14, -0x1.baf17b94161bdp-14, -0x1.aed3a801b2f3ap-14, -0x1.a32762e1d03eap-14, -0x1.97ec36ca92653p-14, -0x1.8d21bc26cde3bp-14, -0x1.82c5c05a3fc43p-14, -0x1.78d40bebd480cp-14, -0x1.6f47c389c94ccp-14, -0x1.661cb7708f775p-14, -0x1.5d4f3c0a04eb7p-14, -0x1.54db266f02da9p-14, -0x1.4cbb624f2b029p-14, -0x1.44ea8552aaa34p-14, -0x1.3d63c910e1f85p-14, -0x1.3623d27176dbfp-14, -0x1.2f28ec9ee82d6p-14, -0x1.28728b65b70a8p-14, -0x1.220042514b0ep-14, -0x1.1bd0c931e200cp-14, -0x1.15e19beb1cb14p-14, -0x1.102f22264ed57p-14, -0x1.0ab5188b1f24bp-14, -0x1.056f96b5d7b4dp-14, -0x1.005ca33fd30e6p-14, -0x1.f6f9284b0bb58p-15, -0x1.eda02c0915b9cp-15, -0x1.e4ab8db2206fap-15, -0x1.dc14452aaaf68p-15, -0x1.d3d359e9ec695p-15, -0x1.cbe5186dcbf27p-15, -0x1.c447c57292297p-15, -0x1.bcf8c78d075bdp-15, -0x1.b5f3df100ebc3p-15, -0x1.af33fbd0bf5d1p-15, -0x1.a8b4060074434p-15, -0x1.a26f62debecdbp-15, -0x1.9c6292d5bce65p-15, -0x1.968baa91682d1p-15, -0x1.90ea137ad869ep-15, -0x1.8b7d857e5dcc5p-15, -0x1.8644e95b1e63ap-15, -0x1.813df7c4428bap-15, -0x1.7c65d58a9712ap-15, -0x1.77b9d81dd01f3p-15, -0x1.73373d6d1e5fap-15, -0x1.6edac4090168p-15, -0x1.6aa223d2f2a28p-15, -0x1.668d15af20e1dp-15, -0x1.629aeb0469cc7p-15, -0x1.5ec86289888bdp-15, -0x1.5b11bd4d7e153p-15, -0x1.5775c29434957p-15, -0x1.53f4da84799f3p-15, -0x1.508e79e037b59p-15, -0x1.4d40e4d2c957ep-15, -0x1.4a0a3b60fa286p-15, -0x1.46e8cdd13d885p-15, -0x1.43dad703422afp-15, -0x1.40de5c77cb156p-15, -0x1.3df183e3d8136p-15, -0x1.3b1323c6126c1p-15, -0x1.3842e3008f5eep-15, -0x1.3580af24ae756p-15, }}, 
      {{-0x1.39bc7d7b9486cp-1, -0x1.37f252a12cefdp-1, -0x1.3503918d4b6dp-1, -0x1.31009b681092ap-1, -0x1.2bfd10b078cfep-1, -0x1.260e882b7d795p-1, -0x1.1f4b984d6e1cep-1, -0x1.17cb2072845dcp-1, -0x1.0fa3c2d9ef567p-1, -0x1.06eb82e573173p-1, -0x1.fb6efd94b349cp-2, -0x1.e8377d3ceb371p-2, -0x1.d456286c27f07p-2, -0x1.bfee10c91410bp-2, -0x1.ab1fa50792f5fp-2, -0x1.9608b02322e8p-2, -0x1.80c46488c9c41p-2, -0x1.6b6b704e3f02ap-2, -0x1.561417e14156cp-2, -0x1.40d2552e96b2dp-2, -0x1.2bb7f9a640921p-2, -0x1.16d4d1d0a481cp-2, -0x1.0236c97224de6p-2, -0x1.dbd41edf212dp-3, -0x1.b3f271930edafp-3, -0x1.8cdac4949b8a8p-3, -0x1.669ca10ff4124p-3, -0x1.41451c22523c1p-3, -0x1.1cdf0f6504489p-3, -0x1.f2e69b4a83bd9p-4, -0x1.ae11a7cac43adp-4, -0x1.6b49edb829dbp-4, -0x1.2a971a33c095ep-4, -0x1.d7fc57e9a431fp-5, -0x1.5f037647814b9p-5, -0x1.d488ee3e65aa3p-6, -0x1.e6f1cc86424c2p-7, -0x1.aca479c480e9dp-10, 0x1.6b2ad8c8df7b2p-7, 0x1.7dbdeac01b1fp-6, 0x1.1ee5b9c20ee2fp-5, 0x1.7aef1abc32823p-5, 0x1.d30cdfddc86eep-5, 0x1.13a920155a349p-4, 0x1.3be9d3b320659p-4, 0x1.625340757c777p-4, 0x1.86f083d1111e9p-4, 0x1.a9cd0d5ac69fcp-4, 0x1.caf48b4efd41dp-4, 0x1.ea72d91b3fea8p-4, 0x1.0429f7e0d3e42p-3, 0x1.1251ebf772d7p-3, 0x1.1fb74ecf7c2a1p-3, 0x1.2c602297591dbp-3, 0x1.385260dd9bea6p-3, 0x1.4393f65886b1p-3, 0x1.4e2abf38b5512p-3, 0x1.581c83f9f19f5p-3, 0x1.616ef6a641563p-3, 0x1.6a27b0813ed06p-3, 0x1.724c300ff7e01p-3, 0x1.79e1d775bad5cp-3, 0x1.80edeb1e23c8ep-3, 0x1.877590a7dceaap-3, 0x1.8d7dce0faafa8p-3, 0x1.930b89140b9dep-3, 0x1.982386c37a4e7p-3, 0x1.9cca6b3d95a8ep-3, 0x1.a104b9953c957p-3, 0x1.a4d6d3d3452c1p-3, 0x1.a844fb1e7998ep-3, 0x1.ab534ff13c928p-3, 0x1.ae05d2685ffc2p-3, 0x1.b06062ae6b2e3p-3, 0x1.b266c166c275p-3, 0x1.b41c90337af8p-3, 0x1.b5855243169bfp-3, 0x1.b6a46ce4b832dp-3, 0x1.b77d282ac445fp-3, 0x1.b812af8fdc67bp-3, 0x1.b868129fd8a0bp-3, 0x1.b88045a6cf9d2p-3, 0x1.b85e2260967aep-3, 0x1.b80468aa80bc3p-3, 0x1.b775bf335fa0ap-3, 0x1.b6b4b42f35b62p-3, 0x1.b5c3be04a35e5p-3, 0x1.b4a53bfed1dafp-3, 0x1.b35b76fa1583fp-3, 0x1.b1e8a2112666ap-3, 0x1.b04edb4362cf1p-3, 0x1.ae902c21d948bp-3, 0x1.acae8a6d86259p-3, 0x1.aaabd8bd0787fp-3, 0x1.a889e7195e0a1p-3, 0x1.a64a7398ef704p-3, 0x1.a3ef2af82df0bp-3, 0x1.a179a92a853e2p-3, 0x1.9eeb79ef4a133p-3, 0x1.9c461959861dep-3, 0x1.998af45c03fdfp-3, 0x1.96bb694d4f38bp-3, 0x1.93d8c8692f6b4p-3, 0x1.90e4544e70261p-3, 0x1.8ddf42795eff4p-3, 0x1.8acabbb98762dp-3, 0x1.87a7dca582aefp-3, 0x1.8477b6098e6d9p-3, 0x1.813b4d540f45ep-3, 0x1.7df39cfe381fap-3, 0x1.7aa194f15889fp-3, 0x1.77461ae87a6ebp-3, 0x1.73e20acfdae53p-3, 0x1.70763720721bfp-3, 0x1.6d0369391d353p-3, 0x1.698a61b43558p-3, 0x1.660bd8bacd1abp-3, 0x1.62887e54f18bap-3, 0x1.5f00fab7442bp-3, 0x1.5b75ee8e61f1bp-3, 0x1.57e7f347016fbp-3, 0x1.54579b543187fp-3, 0x1.50c57272f826p-3, 0x1.4d31fdebbfc38p-3, 0x1.499dbcd10fcb7p-3, 0x1.4609283d79cdp-3, 0x1.4274b38d09083p-3, 0x1.3ee0cc9785156p-3, 0x1.3b4ddbe62630ap-3, 0x1.37bc44e8c4b2cp-3, 0x1.342c6629bcecep-3, 0x1.309e997dcec1ap-3, 0x1.2d133434cb11dp-3, 0x1.298a8747f04dbp-3, 0x1.2604df83a7125p-3, 0x1.228285b5baaafp-3, 0x1.1f03bed357c8dp-3, 0x1.1b88cc23df156p-3, 0x1.1811eb62ce0fep-3, 0x1.149f56e9676eep-3, 0x1.113145cef4e67p-3, 0x1.0dc7ec0af2decp-3, 0x1.0a637a98fb028p-3, 0x1.07041f93d40c8p-3, 0x1.03aa06580468ap-3, 0x1.0055579e7dbacp-3, 0x1.fa0c73332d3b5p-4, 0x1.f379a023c0a2bp-4, 0x1.ecf278f9f06eap-4, 0x1.e6773c3373cbp-4, 0x1.e008240e52874p-4, 0x1.d9a566b7d2ca5p-4, 0x1.d34f367a707cap-4, 0x1.cd05c1e3905acp-4, 0x1.c6c933f9f786bp-4, 0x1.c099b4531addbp-4, 0x1.ba77674a11aefp-4, 0x1.b4626e1a0e3dfp-4, 0x1.ae5ae704facf1p-4, 0x1.a860ed756df45p-4, 0x1.a2749a1b83c06p-4, 0x1.9c96031690b6cp-4, 0x1.96c53bfefefabp-4, 0x1.91025617ace3p-4, 0x1.8b4d605d679ep-4, 0x1.85a667a43c8c2p-4, 0x1.800d76b05755cp-4, 0x1.7a82964e842bbp-4, 0x1.7505cd6cdaab8p-4, 0x1.6f97212a39376p-4, 0x1.6a3694fc4543dp-4, 0x1.64e42aaa1b774p-4, 0x1.5f9fe279b6d26p-4, 0x1.5a69bb32ece47p-4, 0x1.5541b23702baap-4, 0x1.5027c39081c35p-4, 0x1.4b1bea03c1b72p-4, 0x1.461e1f1f3c53bp-4, 0x1.412e5b4bc8474p-4, 0x1.3c4c95d33f967p-4, 0x1.3778c50182311p-4, 0x1.32b2de12f3a22p-4, 0x1.2dfad5601ac2p-4, 0x1.29509e56951aep-4, 0x1.24b42b8b13aa4p-4, 0x1.20256ec30fc64p-4, 0x1.1ba458ff2ee0ep-4, 0x1.1730da85d5f8p-4, 0x1.12cae2ed0d194p-4, 0x1.0e7261242e4c8p-4, 0x1.0a27437bd0053p-4, 0x1.05e977a95bcc8p-4, 0x1.01b8eae1c4295p-4, 0x1.fb2b138378ffap-5, 0x1.f2fe80ebb4c06p-5, 0x1.eaebf55a9f314p-5, 0x1.e2f3474e333dap-5, 0x1.db144c6f8de8cp-5, 0x1.d34ed99feebe7p-5, 0x1.cba2c304fdca6p-5, 0x1.c40fdc13f8c94p-5, 0x1.bc95f79c12863p-5, 0x1.b534e7d06bd52p-5, 0x1.adec7e5350998p-5, 0x1.a6bc8c375f52cp-5, 0x1.9fa4e21e1e565p-5, 0x1.98a5502c8c787p-5, 0x1.91bda6105d92dp-5, 0x1.8aedb31f41127p-5, 0x1.843546487d764p-5, 0x1.7d942e25a118cp-5, 0x1.770a3900ca779p-5, 0x1.709734db746b8p-5, 0x1.6a3aef748ffdbp-5, 0x1.63f5364e67007p-5, 0x1.5dc5d6b494778p-5, 0x1.57ac9dc20b14p-5, 0x1.51a95866fc5f6p-5, 0x1.4bbbd36e8ce29p-5, 0x1.45e3db8531e2dp-5, 0x1.40213d346bdaap-5, 0x1.3a73c4fa2647cp-5, 0x1.34db3f40e11a8p-5, 0x1.2f57785519677p-5, 0x1.29e83c8db796ap-5, 0x1.248d583317725p-5, 0x1.1f46978dd68ffp-5, 0x1.1a13c6e900ee7p-5, 0x1.14f4b295624fdp-5, 0x1.0fe926ed12af4p-5, 0x1.0af0f0570ace5p-5, 0x1.060bdb4a9cf72p-5, 0x1.0139b452a813bp-5, 0x1.f8f49021265dp-6, 0x1.ef9ac67e2a735p-6, 0x1.e665a569d3ae2p-6, 0x1.dd54c6cf0fc4bp-6, 0x1.d467c4dc45249p-6, 0x1.cb9e3a0bfc431p-6, 0x1.c2f7c10d5103cp-6, 0x1.ba73f51689022p-6, 0x1.b21271831abdcp-6, 0x1.a9d2d215f6527p-6, 0x1.a1b4b2ff42c4dp-6, 0x1.99b7b0c6fb52p-6, 0x1.91db685f17ff2p-6, 0x1.8a1f77259b406p-6, 0x1.82837ae830bb2p-6, 0x1.7b0711e7ce23bp-6, 0x1.73a9dadc14125p-6, 0x1.6c6b74f68d115p-6, 0x1.654b7fe5e21cfp-6, 0x1.5e499bd927102p-6, 0x1.5765698305fe9p-6, 0x1.509e8a1ce3851p-6, 0x1.49f49f69c5e1fp-6, 0x1.43674bb917756p-6, 0x1.3cf631e935e36p-6, 0x1.36a0f569f106dp-6, 0x1.30673a3f70a0ep-6, 0x1.2a48a507350f5p-6, 0x1.2444dae2d9e7bp-6, 0x1.1e5b81b554d3dp-6, 0x1.188c3fe5c84cdp-6, 0x1.12d6bc6e8238ep-6, 0x1.0d3a9f06e727p-6, 0x1.07b78ff9aa423p-6, 0x1.024d38386a212p-6, 0x1.f9f682b6b740ap-7, 0x1.ef82ab45499b1p-7, 0x1.e53e3fefda9afp-7, 0x1.db2897dff6d8ap-7, 0x1.d1410b9826834p-7, 0x1.c786f4f69d957p-7, 0x1.bdf9af37c0692p-7, 0x1.b49896f8824bfp-7, 0x1.ab630a3890007p-7, 0x1.a258685c31109p-7, 0x1.9978122e849b2p-7, 0x1.90c169e358cbfp-7, 0x1.8833d31918d9p-7, 0x1.7fceb2da74a16p-7, 0x1.77916f9f9ebep-7, 0x1.6f7b714fd963p-7, 0x1.678c2142be4aep-7, 0x1.5fc2ea42747a1p-7, 0x1.581f3890405e3p-7, 0x1.50a079b8aa951p-7, 0x1.49461d0c8477cp-7, 0x1.420f93127e56ep-7, 0x1.3afc4dc1f35a5p-7, 0x1.340bc0b06c996p-7, 0x1.2d3d60d0bddbcp-7, 0x1.2690a48f8399fp-7, 0x1.200503d05d885p-7, 0x1.1999f7ecff55dp-7, 0x1.134efbb53701ap-7, 0x1.0d238b6eb783dp-7, 0x1.071724d4d2939p-7, 0x1.0129471816d68p-7, 0x1.f6b2e5bbb622ap-8, 0x1.eb4e547f91d6ep-8, 0x1.e023e1962c6d2p-8, 0x1.d53296ff47811p-8, 0x1.ca79819e87628p-8, 0x1.bff7b139afe17p-8, 0x1.b5ac38767d751p-8, 0x1.ab962cd89b18dp-8, 0x1.a1b4a6bf382e5p-8, 0x1.9806c1627db7fp-8, 0x1.8e8b9ad11b386p-8, 0x1.854253ed36ca8p-8, 0x1.7c2a10695af86p-8, 0x1.7341f6c56e247p-8, 0x1.6a89304bf99acp-8, 0x1.61fee9100b2a2p-8, 0x1.59a24fef3dde9p-8, 0x1.5172966d8d7abp-8, 0x1.496ef0c54d7b9p-8, 0x1.41969662dbe0bp-8, 0x1.39e8c0987ca58p-8, 0x1.3264ac0531563p-8, 0x1.2b0997c1c2752p-8, 0x1.23d6c58c487b7p-8, 0x1.1ccb79c9cef66p-8, 0x1.15e6fb7fb72d6p-8, 0x1.0f28944ef23f7p-8, 0x1.088f906f39d96p-8, 0x1.021b3ea9e155fp-8, 0x1.f795e0a890967p-9, 0x1.eb3bf2942e19p-9, 0x1.df275fcfaefeep-9, 0x1.d356da0c1033ep-9, 0x1.c7c917e913959p-9, 0x1.bc7cd4ed2219fp-9, 0x1.b170d17cec193p-9, 0x1.a6a3d2d2cf0a7p-9, 0x1.9c14a2f478559p-9, 0x1.91c210a683ea3p-9, 0x1.87aaef5eb04d2p-9, 0x1.7dce173553ceep-9, 0x1.742a64d7602eap-9, 0x1.6abeb979f4cf7p-9, 0x1.6189fad04757cp-9, 0x1.588b1303aa6f6p-9, 0x1.4fc0f0ad09baap-9, 0x1.472a86cdf77e1p-9, 0x1.3ec6ccc8113bep-9, 0x1.3694be51472dbp-9, 0x1.2e935b65177f6p-9, 0x1.26c1a83450ebfp-9, 0x1.1f1ead182769p-9, 0x1.17a9767cd296fp-9, 0x1.10611471e7183p-9, 0x1.09449be4478e2p-9, 0x1.025324df3465bp-9, 0x1.f717971fe9f1dp-10, 0x1.e9db609a8045bp-10, 0x1.dcefee44d9d1fp-10, 0x1.d0538ff67360ap-10, 0x1.c4049d2279e2cp-10, 0x1.b80174ad5bc12p-10, 0x1.ac487cc1daf44p-10, 0x1.a0d822a83eea7p-10, 0x1.95aedaa3bb139p-10, 0x1.8acb1fda0aa39p-10, 0x1.802b7445b2226p-10, 0x1.75ce60b0349c6p-10, 0x1.6bb274b050265p-10, 0x1.61d646a67383cp-10, 0x1.583873b1e6cefp-10, 0x1.4ed79f9b791c5p-10, 0x1.45b274b56207ep-10, 0x1.3cc7a3b27a5d4p-10, 0x1.3415e37954a73p-10, 0x1.2b9bf0f952a83p-10, 0x1.23588f0643e84p-10, 0x1.1b4a863e8609dp-10, 0x1.1370a4fc54486p-10, 0x1.0bc9bf5010edp-10, 0x1.0454af0046a87p-10, 0x1.fa20a71457efp-11, 0x1.ebf7243af9ecfp-11, 0x1.de2aab1fca556p-11, 0x1.d0b91c8c1b279p-11, 0x1.c3a064282c70cp-11, 0x1.b6de782d8edddp-11, 0x1.aa7159153797ep-11, 0x1.9e571147a874bp-11, 0x1.928db4d6d3175p-11, 0x1.87136146bc8fbp-11, 0x1.7be63d6b78be2p-11, 0x1.710479630ead2p-11, 0x1.666c4e80a85bep-11, 0x1.5c1bfe57169cfp-11, 0x1.5211d5bd444abp-11, 0x1.484c29383a98cp-11, 0x1.3ec956539180ep-11, 0x1.3587c4992151fp-11, 0x1.2c85e3d4d8074p-11, 0x1.23c22c6e800dap-11, 0x1.1b3b1f1b8d4ffp-11, 0x1.12ef4483b890bp-11, 0x1.0add2ceb43926p-11, 0x1.03036fe7896e4p-11, 0x1.f6c1584b68c44p-12, 0x1.e7e70e9a41ce5p-12, 0x1.d9755bfb2a835p-12, 0x1.cb69a7cd38f7p-12, 0x1.bdc167d524ecap-12, 0x1.b07a208315ac6p-12, 0x1.a3916519e43efp-12, 0x1.9704d7a8b9f8bp-12, 0x1.8ad228cab7a9p-12, 0x1.7ef7173200522p-12, 0x1.73716f037ce7ap-12, 0x1.683f090f0284p-12, 0x1.5d5dc9f2e85b5p-12, 0x1.52cba14a491dap-12, 0x1.488688ec03531p-12, 0x1.3e8c849ba045ep-12, 0x1.34dba1e9458d2p-12, 0x1.2b71f8936d319p-12, 0x1.224dab136eaf4p-12, 0x1.196ce73b1c0f3p-12, 0x1.10cde6a75c26ep-12, 0x1.086eeeea4d2b2p-12, 0x1.004e51657e1b2p-12, 0x1.f0d4d5cd973cfp-13, 0x1.e183464618463p-13, 0x1.d2a4d8016d04cp-13, 0x1.c43681e2f068p-13, 0x1.b6354c50760dbp-13, 0x1.a89e4f556c156p-13, 0x1.9b6eb14c097b2p-13, 0x1.8ea3a5ebcbc66p-13, 0x1.823a6e45f0849p-13, 0x1.763059b50cb5cp-13, 0x1.6a82c769243ecp-13, 0x1.5f2f2811a8935p-13, 0x1.5432fe8ef66e1p-13, 0x1.498bddc3b84fcp-13, 0x1.3f376ea65527bp-13, 0x1.3533680e15de2p-13, 0x1.2b7d8fb0ab9b1p-13, 0x1.2213bcda0ac1cp-13, 0x1.18f3d40b2a69fp-13, 0x1.101bc7ae23d4ep-13, 0x1.0789970d17e2p-13, 0x1.fe769994c4fa9p-14, 0x1.ee5dfae20269cp-14, 0x1.dec58d3fed09ap-14, 0x1.cfa99e6742996p-14, 0x1.c10690b41be6p-14, 0x1.b2d8de1497305p-14, 0x1.a51d1a48d006ep-14, 0x1.97cff3639fdbcp-14, 0x1.8aee308c9be33p-14, 0x1.7e74afed643b1p-14, 0x1.726064f6ac5bdp-14, 0x1.66ae57bb5f249p-14, 0x1.5b5ba53b37051p-14, 0x1.50657fda29816p-14, 0x1.45c92f25ba6dfp-14, 0x1.3b840e78573d1p-14, 0x1.31938ab18f00fp-14, 0x1.27f51fc2e0cf4p-14, 0x1.1ea656ff6fb7dp-14, 0x1.15a4c6c1af4e9p-14, 0x1.0cee136881761p-14, 0x1.047ff13bd13b2p-14, 0x1.f8b04a194c542p-15, 0x1.e8e90b778b508p-15, 0x1.d9a5f3abe027bp-15, 0x1.cae2ed0b03535p-15, 0x1.bc9bfc46229ep-15, 0x1.aecd409e5659p-15, 0x1.a172f69cdf6bfp-15, 0x1.94897adb62ap-15, 0x1.880d4a4b52b75p-15, 0x1.7bfaff20b0bc4p-15, 0x1.704f4bc69a08cp-15, 0x1.6506f69f3da57p-15, 0x1.5a1ed8792af7ap-15, 0x1.4f93ddaa6784bp-15, 0x1.456307f19bf64p-15, 0x1.3b896f6c05251p-15, 0x1.320441fe5ed34p-15, 0x1.28d0c23fa3a97p-15, 0x1.1fec46964e23bp-15, 0x1.17543867d8a02p-15, 0x1.0f0612d49b72ep-15, 0x1.06ff61a11cacdp-15, 0x1.fe7b81b766ea1p-16, 0x1.ef7db55cc5be1p-16, 0x1.e100f0c050892p-16, 0x1.d300f65f0aaccp-16, 0x1.c579af4a524fdp-16, 0x1.b8673202f969p-16, 0x1.abc5a1005ae4dp-16, 0x1.9f9129dbe2b1bp-16, 0x1.93c60aff56d65p-16, 0x1.88609eac9882p-16, 0x1.7d5d63b5728dp-16, 0x1.72b8fdb6354d6p-16, 0x1.68702e0802511p-16, 0x1.5e7fcba4187b1p-16, 0x1.54e4bf77f8d33p-16, 0x1.4b9c06212d3f6p-16, 0x1.42a2b3b2f3627p-16, 0x1.39f5f5616c41fp-16, 0x1.31931001b4339p-16, 0x1.29775e9b5ba0ap-16, 0x1.21a055232c295p-16, 0x1.1a0b86a7a85b8p-16, 0x1.12b6a86af506ap-16, 0x1.0b9f8bf720da2p-16, 0x1.04c411f84186bp-16, 0x1.fc443d7b8e226p-17, 0x1.ef6f30b5ca6cap-17, 0x1.e304dcd5c0581p-17, 0x1.d7014849a4582p-17, 0x1.cb60a9f43c65fp-17, 0x1.c01f6417205d2p-17, 0x1.b539f9425b3cfp-17, 0x1.aaad03dca67aap-17, 0x1.a075328f3c4d3p-17, 0x1.968f48a3a9ea4p-17, 0x1.8cf823356b6bcp-17, 0x1.83acbea413f57p-17, 0x1.7aaa3e77b6cacp-17, 0x1.71ede994cbc2ep-17, 0x1.6975255b47bd1p-17, 0x1.613d6f2358709p-17, 0x1.59445c2686774p-17, 0x1.51879bd8394c1p-17, 0x1.4a04f534e53f1p-17, 0x1.42ba3e0e31cc8p-17, 0x1.3ba55516d1f48p-17, 0x1.34c42576bf31bp-17, 0x1.2e14af8f6654p-17, 0x1.27950c424e62ap-17, 0x1.214366f84e986p-17, 0x1.1b1df67047e87p-17, 0x1.1522fd1ab52fap-17, 0x1.0f50cebb16656p-17, 0x1.09a5d2aaf8728p-17, 0x1.042080349635ap-17, 0x1.fd7eb38d42fafp-18, 0x1.f301d84427829p-18, 0x1.e8c7a68513842p-18, 0x1.decd859cd9dfp-18, 0x1.d5111174945d3p-18, 0x1.cb8ffcbf4201fp-18, 0x1.c2482f4e9e8fep-18, 0x1.b93785c6f37dep-18, 0x1.b05bd19c8e956p-18, 0x1.a7b300de303a2p-18, 0x1.9f3b0e23a881ep-18, 0x1.96f20bfc9f38p-18, 0x1.8ed625a25033ap-18, 0x1.86e5b4520aab9p-18, 0x1.7f1f2ab40d20bp-18, 0x1.7780fdedf9e7bp-18, 0x1.7009a18653107p-18, 0x1.68b791af4daedp-18, 0x1.61896134a1a67p-18, 0x1.5a7dbc267ec0ep-18, 0x1.53935eb68f5dbp-18, 0x1.4cc90eefbb502p-18, 0x1.461d9b45c4e8fp-18, 0x1.3f8fdc345dfdbp-18, 0x1.391eb911f91d5p-18, 0x1.32c92e817beacp-18, 0x1.2c8e519a7f575p-18, 0x1.266d4bec05e56p-18, 0x1.206551d4004fap-18, 0x1.1a75983ad394cp-18, 0x1.149d4f73888cep-18, 0x1.0edba6be3e467p-18, 0x1.092fd4b3751c3p-18, 0x1.03991b4ef808ep-18, 0x1.fc2d922951f5bp-19, 0x1.f15080983838fp-19, 0x1.e699f2bcb5609p-19, 0x1.dc08e6cf265p-19, 0x1.d19c4be5e0c4cp-19, 0x1.c7530f019c467p-19, 0x1.bd2c35c6c46bfp-19, 0x1.b326dd66029e7p-19, 0x1.a94229a0b02bep-19, 0x1.9f7d4106c4e15p-19, 0x1.95d7518d96016p-19, 0x1.8c4f99e048041p-19, 0x1.82e56303b434dp-19, 0x1.7997fa6a0d2e1p-19, 0x1.7066d4e9fffbfp-19, 0x1.675155321243ap-19, 0x1.5e56f1933b041p-19, 0x1.55772aaf52559p-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.15e4fe594e961p-7, 0x1.ecd734a183376p-7, 0x1.2ea095d7b3c53p-6, 0x1.293fc5bac61ccp-6, 0x1.c54b52c5fad34p-7, 0x1.6f1f993b553adp-8, -0x1.9d5131af5ba4ap-8, -0x1.60ba82b737c09p-6, -0x1.44ac786efab7ap-5, -0x1.eccc086b8b41ap-5, -0x1.5271b7e324b5cp-4, -0x1.b4999d6ced9a4p-4, -0x1.0d8ba27794e33p-3, -0x1.4222d997ddce6p-3, -0x1.775311632fbcfp-3, -0x1.ac712159da11bp-3, -0x1.e0e651ce1106dp-3, -0x1.0a17f69b2df51p-2, -0x1.22ef2fcfd5fb3p-2, -0x1.3aca05eae2421p-2, -0x1.5181f986769e2p-2, -0x1.66f82299fd34ap-2, -0x1.7b1475bcd7732p-2, -0x1.8dc50bb591a0fp-2, -0x1.9efd6f5deb428p-2, -0x1.aeb5f576a73cdp-2, -0x1.bceb1fb38239bp-2, -0x1.c99d0bbaf95d3p-2, -0x1.d4ceef145ccf8p-2, -0x1.de869faec062cp-2, -0x1.e6cc28a00aba1p-2, -0x1.eda96a85353bdp-2, -0x1.f329c69a11a68p-2, -0x1.f759d38b3ed0dp-2, -0x1.fa471b0cfa3bcp-2, -0x1.fbffdf55ad954p-2, -0x1.fc92e7adc3f77p-2, -0x1.fc0f535ecde69p-2, -0x1.fa847267f387bp-2, -0x1.f801a372076acp-2, -0x1.f4963686d56a9p-2, -0x1.f0515412a9cabp-2, -0x1.eb41e7bbf9a8dp-2, -0x1.e5768ea576c25p-2, -0x1.defd88b95b4a9p-2, -0x1.d7e4aca725f7ap-2, -0x1.d0395e45e9712p-2, -0x1.c8088714bcf16p-2, -0x1.bf5e90995354bp-2, -0x1.b64760627ebb1p-2, -0x1.acce557c19333p-2, -0x1.a2fe4722f03f7p-2, -0x1.98e1848b9b373p-2, -0x1.8e81d59ae3075p-2, -0x1.83e87c6d011bap-2, -0x1.791e377c5c6d8p-2, -0x1.6e2b446421358p-2, -0x1.6317631dde258p-2, -0x1.57e9d97f454d4p-2, -0x1.4ca9773bdd8d9p-2, -0x1.415c99e8878f1p-2, -0x1.36093147916e1p-2, -0x1.2ab4c3c2a1b5ap-2, -0x1.1f6472b9a19a3p-2, -0x1.141cff258a6d4p-2, -0x1.08e2cdf889533p-2, -0x1.fb73d93b92fdep-3, -0x1.e54c2a9b753acp-3, -0x1.cf5566cb6fd1fp-3, -0x1.b995cf0bf1c34p-3, -0x1.a413177d1d6a1p-3, -0x1.8ed26ed2576d6p-3, -0x1.79d886101c992p-3, -0x1.652997d82b9a9p-3, -0x1.50c96f7c6ced1p-3, -0x1.3cbb6faa6da86p-3, -0x1.290298f5bca24p-3, -0x1.15a18fdae532bp-3, -0x1.029aa2afb2bc4p-3, -0x1.dfdf9e39729d5p-4, -0x1.bb458ed33662cp-4, -0x1.9769eee9a58b2p-4, -0x1.744f12e7afda8p-4, -0x1.51f6d4d9aa623p-4, -0x1.30629cea6b9eap-4, -0x1.0f9369750418bp-4, -0x1.df13ad30090e1p-5, -0x1.a08c4ae75d63ep-5, -0x1.639085eb99e44p-5, -0x1.281f9ca4246ddp-5, -0x1.dc707c3ac16a7p-6, -0x1.6bb12b5aaa4eep-6, -0x1.fbf956ba3fe95p-7, -0x1.269b07386ab57p-7, -0x1.5ceb8ad0a8e6fp-9, 0x1.c8d431d1ddb6cp-9, 0x1.35c409e0597c6p-7, 0x1.f382879f77ab3p-7, 0x1.55c1041f4f37dp-6, 0x1.aeea81982172dp-6, 0x1.02a3b2baec063p-5, 0x1.2c70dd352318dp-5, 0x1.54e1f0b31420cp-5, 0x1.7bfc43a2c5d4ap-5, 0x1.a1c54d8580407p-5, 0x1.c642a27a31867p-5, 0x1.e979ef0f5b092p-5, 0x1.05b87a2ff2545p-4, 0x1.1616c23bbbad2p-4, 0x1.25dabf7c6a3dp-4, 0x1.350766ffd445fp-4, 0x1.439fb19848c98p-4, 0x1.51a69a87f1c0bp-4, 0x1.5f1f1e3df8ad3p-4, 0x1.6c0c392325ceap-4, 0x1.7870e68ea6ceap-4, 0x1.84501fc073c41p-4, 0x1.8facdae7db08bp-4, 0x1.9a8a0a53acd35p-4, 0x1.a4ea9ba0d9689p-4, 0x1.aed176f2f1ef4p-4, 0x1.b8417e518313bp-4, 0x1.c13d8d0c2aff8p-4, 0x1.c9c87710e02b8p-4, 0x1.d1e50885cfddep-4, 0x1.d996053315dp-4, 0x1.e0de282ec0c57p-4, 0x1.e7c0235ee6a01p-4, 0x1.ee3e9f3e0aabfp-4, 0x1.f45c3a7b1d56dp-4, 0x1.fa1b89aa09dc8p-4, 0x1.ff7f172995ba3p-4, 0x1.0244b169b453fp-3, 0x1.049e70e5f1feap-3, 0x1.06cdff3fe566cp-3, 0x1.08d48c2edbc2fp-3, 0x1.0ab341ed9c64ep-3, 0x1.0c6b45254fec3p-3, 0x1.0dfdb4fa30ac1p-3, 0x1.0f6baaf232abcp-3, 0x1.10b63b028d4fbp-3, 0x1.11de739015f32p-3, 0x1.12e55d678e75ep-3, 0x1.13cbfbd3f3a92p-3, 0x1.14934c97d11b9p-3, 0x1.153c47fbfe9fdp-3, 0x1.15c7e0d9230e5p-3, 0x1.163704a2a3304p-3, 0x1.168a9b7afe502p-3, 0x1.16c38834fbee4p-3, 0x1.16e2a86a19d7fp-3, 0x1.16e8d491068edp-3, 0x1.16d6e00942c3p-3, 0x1.16ad992b76fdp-3, 0x1.166dc952c7c0fp-3, 0x1.1618350e41dbcp-3, 0x1.15ad9c1cfb114p-3, 0x1.152eb98188378p-3, 0x1.149c4396e8469p-3, 0x1.13f6ec3326cebp-3, 0x1.133f60bdbb1b4p-3, 0x1.12764a2b24efep-3, 0x1.119c4d22efa66p-3, 0x1.10b20a12ab632p-3, 0x1.0fb81d54c5f14p-3, 0x1.0eaf1f3419287p-3, 0x1.0d97a3f691b6bp-3, 0x1.0c723bfea05d1p-3, 0x1.0b3f73efa5cb8p-3, 0x1.09ffd4c2d15ffp-3, 0x1.08b3e3bdab962p-3, 0x1.075c2299264e6p-3, 0x1.05f90f93de2b3p-3, 0x1.048b259c8d42ap-3, 0x1.0312dc56dc548p-3, 0x1.0190a82183229p-3, 0x1.0004fa2cc57b2p-3, 0x1.fce0813a8192ep-4, 0x1.f9a5cd497b011p-4, 0x1.f65aa91e75f71p-4, 0x1.f2ffdf78a0f81p-4, 0x1.ef96358d2ace2p-4, 0x1.ec1e6b1d5df2cp-4, 0x1.e8993ac0a5197p-4, 0x1.e50759f072279p-4, 0x1.e16979129e9fep-4, 0x1.ddc04399a49c1p-4, 0x1.da0c602ae7688p-4, 0x1.d64e70e7ef822p-4, 0x1.d287136e68d42p-4, 0x1.ceb6e0fce305p-4, 0x1.cade6e71e0737p-4, 0x1.c6fe4c692384ep-4, 0x1.c3170787f97e2p-4, 0x1.bf29288250556p-4, 0x1.bb35343e3f9dfp-4, 0x1.b73babd4ed3aep-4, 0x1.b33d0ca416e5ap-4, 0x1.af39d072aa04bp-4, 0x1.ab326d9a98091p-4, 0x1.a7275723ca159p-4, 0x1.a318fccd38717p-4, 0x1.9f07cb12d6fa7p-4, 0x1.9af42b3f19647p-4, 0x1.96de838eb0eb9p-4, 0x1.92c73748988ap-4, 0x1.8eaea6dcbcd78p-4, 0x1.8a952fede3997p-4, 0x1.867b2d4cc0dd3p-4, 0x1.8260f70f70a28p-4, 0x1.7e46e2a638946p-4, 0x1.7a2d42f7c85b5p-4, 0x1.76146875b4ca6p-4, 0x1.71fca126ba35bp-4, 0x1.6de638abd5f65p-4, 0x1.69d17848cb51dp-4, 0x1.65bea6f500123p-4, 0x1.61ae0971a0b9dp-4, 0x1.5d9fe25d85a0ap-4, 0x1.5994724161851p-4, 0x1.558bf79966c99p-4, 0x1.5186aed347857p-4, 0x1.4d84d25c5d28dp-4, 0x1.49869ab69412fp-4, 0x1.458c3e7ca6b93p-4, 0x1.4195f27bae793p-4, 0x1.3da3e9b848e63p-4, 0x1.39b65574559cep-4, 0x1.35cd6533fa244p-4, 0x1.31e946c5ed4dcp-4, 0x1.2e0a264fbe0dbp-4, 0x1.2a302e5b9a02bp-4, 0x1.265b87e42a66p-4, 0x1.228c5a5cc238p-4, 0x1.1ec2cbb6819eap-4, 0x1.1aff0064daeecp-4, 0x1.17411b63fe7ccp-4, 0x1.13893e4204e17p-4, 0x1.0fd789293ccp-4, 0x1.0c2c1aeeca63ep-4, 0x1.0887110e95f16p-4, 0x1.04e887c0c9e22p-4, 0x1.015099f483d85p-4, 0x1.fb7ec2a836104p-5, 0x1.f469eca4030a4p-5, 0x1.ed62e050e86e1p-5, 0x1.e669c9d813978p-5, 0x1.df7ed3158d9c4p-5, 0x1.d8a223ada8e46p-5, 0x1.d1d3e114f6b13p-5, 0x1.cb142e983d583p-5, 0x1.c4632d64db369p-5, 0x1.bdc0fc9757e22p-5, 0x1.b72db945bc7d2p-5, 0x1.b0a97e8f4bbfep-5, 0x1.aa3465a8bf7d9p-5, 0x1.a3ce85e7838edp-5, 0x1.9d77f4cac14d6p-5, 0x1.9730c6036279ap-5, 0x1.90f90b7c76febp-5, 0x1.8ad0d564547c2p-5, 0x1.84b8323da93a6p-5, 0x1.7eaf2edbf00efp-5, 0x1.78b5d67eb81b7p-5, 0x1.72cc32d9acfa1p-5, 0x1.6cf24c0f6b754p-5, 0x1.672828ca9a8bdp-5, 0x1.616dce3bc9bbep-5, 0x1.5bc34024cd595p-5, 0x1.562880e0eb529p-5, 0x1.509d916f73332p-5, 0x1.4b22717c4a9bap-5, 0x1.45b71f69efbbfp-5, 0x1.405b985a2d331p-5, 0x1.3b0fd835ed1b3p-5, 0x1.35d3d9b460082p-5, 0x1.30a79662510f3p-5, 0x1.2b8b06aa3287p-5, 0x1.267e21db948a4p-5, 0x1.2180de33cbd3p-5, 0x1.1c9330e5e79b9p-5, 0x1.17b50e22cff5dp-5, 0x1.12e6692178e4dp-5, 0x1.0e273425be69fp-5, 0x1.0977608774a4ep-5, 0x1.04d6deb922744p-5, 0x1.00459e4e02a9fp-5, 0x1.f7871c0b342c7p-6, 0x1.eea1378e6babp-6, 0x1.e5d9696e37609p-6, 0x1.dd2f8a6f92751p-6, 0x1.d4a371d8f2eb6p-6, 0x1.cc34f58c7d2dep-6, 0x1.c3e3ea0eef3dp-6, 0x1.bbb02294c0ca8p-6, 0x1.b399710ea17bfp-6, 0x1.ab9fa6351e70dp-6, 0x1.a3c29194e8edbp-6, 0x1.9c02019b549e7p-6, 0x1.945dc3a29ef57p-6, 0x1.8cd5a3fdf5cd8p-6, 0x1.85696e04e11fep-6, 0x1.7e18ec1eeedf8p-6, 0x1.76e3e7cf20335p-6, 0x1.6fca29be87cefp-6, 0x1.68cb79c6ca084p-6, 0x1.61e79efc6babbp-6, 0x1.5b1e5fb916f5dp-6, 0x1.546f81a5e62eep-6, 0x1.4ddac9c5a51f7p-6, 0x1.475ffc7eda3a9p-6, 0x1.40fedda5bf98p-6, 0x1.3ab7308640274p-6, 0x1.3488b7ed4e1dp-6, 0x1.2e733631e3868p-6, 0x1.28766d3d989b6p-6, 0x1.22921e947e2d1p-6, 0x1.1cc60b5fdf2e3p-6, 0x1.1711f47529c46p-6, 0x1.11759a54fa669p-6, 0x1.0bf0bd4c7667ap-6, 0x1.06831d625a266p-6, 0x1.012c7a6e8eb0ep-6, 0x1.f7d9283b72157p-7, 0x1.ed8653eea5e95p-7, 0x1.e35ff6c845667p-7, 0x1.d9658f69508edp-7, 0x1.cf969c4ffd864p-7, 0x1.c5f29be6f738cp-7, 0x1.bc790c955025fp-7, 0x1.b3296cce1f53p-7, 0x1.aa033b1e553f3p-7, 0x1.a105f6376bd38p-7, 0x1.98311cf6dd9ap-7, 0x1.8f842e6c2f09cp-7, 0x1.86fea9deb9e66p-7, 0x1.7ea00ed658ae8p-7, 0x1.7667dd283fa43p-7, 0x1.6e559507d0c6ep-7, 0x1.6668b7199fef6p-7, 0x1.5ea0c48515ab7p-7, 0x1.56fd3f0112cc2p-7, 0x1.4f7da8d92d9ffp-7, 0x1.482184eb96ecfp-7, 0x1.40e856a263f4ap-7, 0x1.39d1a1ed618d1p-7, 0x1.32dceb41da009p-7, 0x1.2c09b7a4d7eb8p-7, 0x1.25578cc029a4bp-7, 0x1.1ec5f0ff1edb2p-7, 0x1.18546bac06babp-7, 0x1.120285061eed5p-7, 0x1.0bcfc649b3242p-7, 0x1.05bbb9abb1002p-7, 0x1.ff8bd460c1976p-8, 0x1.f3dbc74817ebcp-8, 0x1.e86664e6d159dp-8, 0x1.dd2ac74397e99p-8, 0x1.d22809ba34f79p-8, 0x1.c75d49413e468p-8, 0x1.bcc9a4d5d0a24p-8, 0x1.b26c3dea64d59p-8, 0x1.a84438b8523f8p-8, 0x1.9e50bc5832392p-8, 0x1.9490f2938fcb4p-8, 0x1.8b040777a102ap-8, 0x1.81a928c519f7dp-8, 0x1.787f8566eae13p-8, 0x1.6f864d1c29b5dp-8, 0x1.66bcb07713294p-8, 0x1.5e21e13c5c4c4p-8, 0x1.55b5131303869p-8, 0x1.4d757c5ba7769p-8, 0x1.456256f68a0d7p-8, 0x1.3d7ae0beb4117p-8, 0x1.35be5b8fb853bp-8, 0x1.2e2c0cc8b945ap-8, 0x1.26c33c62d7ce8p-8, 0x1.1f8333d17ffcfp-8, 0x1.186b3cf636ceep-8, 0x1.117aa172f250dp-8, 0x1.0ab0aa917e7d2p-8, 0x1.040ca1d28ba98p-8, 0x1.fb1ba41af263ep-9, 0x1.ee6711c4affcap-9, 0x1.e1fa304ee40afp-9, 0x1.d5d3adea3b545p-9, 0x1.c9f2440b0737fp-9, 0x1.be54b684c17dfp-9, 0x1.b2f9d11adf14bp-9, 0x1.a7e06404e3003p-9, 0x1.9d07402fabe06p-9, 0x1.926d341e941aap-9, 0x1.88110a347306ep-9, 0x1.7df188dfbd168p-9, 0x1.740d748c7998cp-9, 0x1.6a63934cce9bep-9, 0x1.60f2b11da66p-9, 0x1.57b9a40789164p-9, 0x1.4eb74f3f6cacap-9, 0x1.45eaa46779301p-9, 0x1.3d52a2a62625ap-9, 0x1.34ee53a8dcefcp-9, 0x1.2cbcc726b3654p-9, 0x1.24bd0dd5243abp-9, 0x1.1cee34e5ec5adp-9, 0x1.154f43084a12dp-9, 0x1.0ddf378c991a3p-9, 0x1.069d0bd0e84c1p-9, 0x1.ff0f6d407dd56p-10, 0x1.f13c61a8d6e31p-10, 0x1.e3bef4a1fe4e6p-10, 0x1.d6953ccde38ddp-10, 0x1.c9bd6da0f1f7ap-10, 0x1.bd35d962c6cacp-10, 0x1.b0fceebe93545p-10, 0x1.a511324af1ef8p-10, 0x1.997135411e925p-10, 0x1.8e1b8b44d23ffp-10, 0x1.830ec14339377p-10, 0x1.78495754b9bacp-10, 0x1.6dc9be8d62af5p-10, 0x1.638e5af719b1p-10, 0x1.599588d2bd4ddp-10, 0x1.4fdda3d2fdfc2p-10, 0x1.46650ede1eeb9p-10, 0x1.3d2a3b24c55b1p-10, 0x1.342badb22b22cp-10, 0x1.2b6802e0b653fp-10, 0x1.22ddef44a3dd7p-10, 0x1.1a8c3dcb37a9fp-10, 0x1.1271cb2bdf9dfp-10, 0x1.0a8d7f539f46fp-10, 0x1.02de460d7c4afp-10, 0x1.f6c611144efep-11, 0x1.e835527295717p-11, 0x1.da08055b3504dp-11, 0x1.cc3bd26d1da82p-11, 0x1.bece5bef1985p-11, 0x1.b1bd441bc6474p-11, 0x1.a50631c05ec7bp-11, 0x1.98a6d35da8741p-11, 0x1.8c9ce24bde543p-11, 0x1.80e627bfd83fbp-11, 0x1.7580838a72f8dp-11, 0x1.6a69f2bd0dfedp-11, 0x1.5fa09344b384fp-11, 0x1.5522a20b7282bp-11, 0x1.4aee73b9121a8p-11, 0x1.41026ab94cc97p-11, 0x1.375cee9b8e827p-11, 0x1.2dfc680b03ce3p-11, 0x1.24df41e7c2c6p-11, 0x1.1c03ece208a92p-11, 0x1.1368e14c6bb42p-11, 0x1.0b0c9bd56a3ebp-11, 0x1.02ed952c2494bp-11, 0x1.f61470ffbe92ep-12, 0x1.e6c1bd8cbef6dp-12, 0x1.d7dfa66256fe3p-12, 0x1.c96ac1977a196p-12, 0x1.bb5fc8763360dp-12, 0x1.adbbb43e803b8p-12, 0x1.a07bc8541a1abp-12, 0x1.939d87b58a4cp-12, 0x1.871e9e25ca9dcp-12, 0x1.7afcca965547ep-12, 0x1.6f35d578d7ep-12, 0x1.63c7950776826p-12, 0x1.58aff8d8e0915p-12, 0x1.4ded11cbd5112p-12, 0x1.437d0c453cc68p-12, 0x1.395e1a788ce1dp-12, 0x1.2f8e530f1dc42p-12, 0x1.260b93ae0797dp-12, 0x1.1cd376976469fp-12, 0x1.13e364e1299b1p-12, 0x1.0b38c0b0579a7p-12, 0x1.02d1162cf2946p-12, 0x1.f5547c0406044p-13, 0x1.e584c788c7ac6p-13, 0x1.d62fe2f65f14ap-13, 0x1.c752de4f27f44p-13, 0x1.b8ead1c109abbp-13, 0x1.aaf4cc5491bb7p-13, 0x1.9d6de111bb72dp-13, 0x1.90533f70d9ff9p-13, 0x1.83a244c8393efp-13, 0x1.77587d01b217ep-13, 0x1.6b738ed05688ep-13, 0x1.5ff114cf741fbp-13, 0x1.54ce6df663c24p-13, 0x1.4a089a16729d3p-13, 0x1.3f9c3899f211ep-13, 0x1.3585b29e80d07p-13, 0x1.2bc183d4873c6p-13, 0x1.224c8403843e6p-13, 0x1.192412cd73d9fp-13, 0x1.104615aba844ep-13, 0x1.07b0ce3b26685p-13, 0x1.fec54594db0cbp-14, 0x1.eeb3eb89e98f6p-14, 0x1.df2a2f52c695dp-14, 0x1.d024939cdf93p-14, 0x1.c19f8694133cfp-14, 0x1.b39766a5af2c2p-14, 0x1.a608860ac94fap-14, 0x1.98ef2cbecbe9fp-14, 0x1.8c47982c68411p-14, 0x1.800dfe317ed77p-14, 0x1.743e94bbf80bcp-14, 0x1.68d5956beb75fp-14, 0x1.5dcf3aa935934p-14, 0x1.5327c28b27af3p-14, 0x1.48db81b5077dfp-14, 0x1.3ee700af5c5ddp-14, 0x1.35471b8be0b11p-14, 0x1.2bf9216dd9ca3p-14, 0x1.22fae8888c372p-14, 0x1.1a4ac142cd08ap-14, 0x1.11e7425deb348p-14, 0x1.09cefef269f2cp-14, 0x1.020042978e9cap-14, 0x1.f4f1e93d093a4p-15, 0x1.e66d602eb31cdp-15, 0x1.d86dd911810cfp-15, 0x1.caee08efe1337p-15, 0x1.bde84549e64afp-15, 0x1.b156a4e4c0865p-15, 0x1.a53393d82371bp-15, 0x1.997a7befd68e9p-15, 0x1.8e27faf27066ap-15, 0x1.8339866aeeb7bp-15, 0x1.78acc027051f5p-15, 0x1.6e7ede3703244p-15, 0x1.64ac58609a6f2p-15, 0x1.5b30f29dc79dp-15, 0x1.520850067e321p-15, 0x1.492ef9d72f809p-15, 0x1.40a31f27ad80ap-15, 0x1.386441a6127e6p-15, 0x1.3071eddbd9f4cp-15, 0x1.28ca842fb00b9p-15, 0x1.216b13c58bf39p-15, 0x1.1a50444844fd7p-15, 0x1.1377335edff28p-15, 0x1.0cdd5a6ef9c31p-15, 0x1.067fe3280c72fp-15, 0x1.005b6157631a7p-15, 0x1.f4d867868691fp-16, 0x1.e95e4fb56bef7p-16, 0x1.de43f5fd6146bp-16, 0x1.d386fe06949d1p-16, 0x1.c9268d348fa7p-16, 0x1.bf21f345f5b82p-16, 0x1.b57765704afd1p-16, 0x1.ac2385592102p-16, 0x1.a32198369b9c8p-16, 0x1.9a6c0f196f768p-16, 0x1.91fdd300fae4fp-16, 0x1.89d4435dee79p-16, 0x1.81efb471439dep-16, 0x1.7a50e9cd2d449p-16, 0x1.72f60b6e5a886p-16, 0x1.6bda8fca1c8b9p-16, 0x1.64f9fba606859p-16, 0x1.5e51eb52a1668p-16, 0x1.57e13cbfa939cp-16, 0x1.51a640604366fp-16, 0x1.4b9e3b52f70cp-16, 0x1.45c5f08fba08fp-16, 0x1.401a21b1f60acp-16, 0x1.3a97e3feff03ap-16, 0x1.353d02d900f26p-16, 0x1.300848d93c241p-16, 0x1.2af95541c5466p-16, 0x1.260ff723ab112p-16, 0x1.214b7c22dd6aep-16, 0x1.1caa75a7eb3d8p-16, 0x1.182b1abbe6235p-16, 0x1.13cbc2360c0b9p-16, 0x1.0f8ab6219f388p-16, 0x1.0b65f28d0c563p-16, 0x1.075c0cbf5a2bdp-16, 0x1.036cd69f2ef31p-16, 0x1.ff2fca1a2897ep-17, 0x1.f7b67467cb19fp-17, 0x1.f06916b51407dp-17, 0x1.e94633e0804d8p-17, 0x1.e24e4dc134ab8p-17, 0x1.db80bafa04f55p-17, 0x1.d4db5c27ee68cp-17, 0x1.ce5be4f87cce6p-17, 0x1.c800471022336p-17, 0x1.c1c65a958ddb2p-17, 0x1.bbabb5525772fp-17, 0x1.b5ae2327e89c7p-17, 0x1.afcc3c36e60d3p-17, 0x1.aa0598b9c556bp-17, 0x1.a45a22773096bp-17, }}, 
      {{-0x1.24847a2081334p-1, -0x1.0aee063644643p-1, -0x1.cfa17c82c37ecp-2, -0x1.7ef68d836380cp-2, -0x1.2a0e068088ed3p-2, -0x1.aa8ff46b54bap-3, -0x1.074bcd1905763p-3, -0x1.b916b56f23674p-5, 0x1.e132dd392a4d3p-7, 0x1.38e0458cd68f2p-4, 0x1.0c55197a20cc5p-3, 0x1.6ddce4a89b5a7p-3, 0x1.c18bc5f698575p-3, 0x1.04166ae5983d7p-2, 0x1.215bebdd36c68p-2, 0x1.391ecbdf224eap-2, 0x1.4becad0c1a192p-2, 0x1.5a531d6b1b86cp-2, 0x1.64dbccc7587d3p-2, 0x1.6c09efa72c004p-2, 0x1.705888e522f5p-2, 0x1.723962b8275ffp-2, 0x1.72148c30e0883p-2, 0x1.7048387969a57p-2, 0x1.6d28e5236e5ccp-2, 0x1.6901b301c1653p-2, 0x1.6414e122eb8d7p-2, 0x1.5e9c5d647887bp-2, 0x1.58ca6141d6ab3p-2, 0x1.52ca13aa8990bp-2, 0x1.4cc02a9a9be94p-2, 0x1.46cb88b2263a7p-2, 0x1.4105d43ec3d16p-2, 0x1.3b84061c5b49p-2, 0x1.3656ef7cf15e8p-2, 0x1.318bb61f47b3fp-2, 0x1.2d2c46d20b86p-2, 0x1.293fbe5a6dba7p-2, 0x1.25cac8f98691ap-2, 0x1.22cff8e8656dcp-2, 0x1.2050143ca1b36p-2, 0x1.1e4a5abd448efp-2, 0x1.1cbcc43d4f9c2p-2, 0x1.1ba4381522861p-2, 0x1.1afcbe50905b3p-2, 0x1.1ac1ab1ff8a23p-2, 0x1.1aedc511c38b2p-2, 0x1.1b7b66909abccp-2, 0x1.1c649b19ccc6fp-2, 0x1.1da33896c1319p-2, 0x1.1f30f53c4ba31p-2, 0x1.21077a4b5c5c6p-2, 0x1.23207407e164p-2, 0x1.25759f31711a6p-2, 0x1.2800d445abf4cp-2, 0x1.2abc10d060b67p-2, 0x1.2da17efc7b1dcp-2, 0x1.30ab7ba4bf4aep-2, 0x1.33d49b09137fbp-2, 0x1.3717ac67e88d5p-2, 0x1.3a6fbc80669bep-2, 0x1.3dd81749c002ep-2, 0x1.414c48e545476p-2, 0x1.44c81de3b73a8p-2, 0x1.4847a3055a483p-2, 0x1.4bc7249db2b6dp-2, 0x1.4f432d64a155cp-2, 0x1.52b885305172p-2, 0x1.56242f449e116p-2, 0x1.59836881a9fcdp-2, 0x1.5cd3a5751d4a5p-2, 0x1.601290375cbc2p-2, 0x1.633e06343c8adp-2, 0x1.6654160c89e03p-2, 0x1.6952fd3753a16p-2, 0x1.6c3925d200d1ep-2, 0x1.6f05245cbcf54p-2, 0x1.71b5b581b7a6dp-2, 0x1.7449bbed0904ap-2, 0x1.76c03e2eea363p-2, 0x1.791864a6ff3c6p-2, 0x1.7b517787e48eep-2, 0x1.7d6adce639b2dp-2, 0x1.7f6416dc85495p-2, 0x1.813cc1bc2650ap-2, 0x1.82f4925812d1cp-2, 0x1.848b5457c558ap-2, 0x1.8600e8a686b7dp-2, 0x1.875543eea8706p-2, 0x1.88886d2a522b5p-2, 0x1.899a7c3ec3d92p-2, 0x1.8a8b98b7d7d53p-2, 0x1.8b5bf88073fbap-2, 0x1.8c0bdebd6a311p-2, 0x1.8c9b9aadc9c71p-2, 0x1.8d0b869ed75ccp-2, 0x1.8d5c06efbc147p-2, 0x1.8d8d891e22e45p-2, 0x1.8da082ed19327p-2, 0x1.8d957189fe75bp-2, 0x1.8d6cd8cc509fcp-2, 0x1.8d27427a4fe67p-2, 0x1.8cc53d9b7688dp-2, 0x1.8c475dd75d3fep-2, 0x1.8bae3ade65bb8p-2, 0x1.8afa6fdbdc017p-2, 0x1.8a2c9af416135p-2, 0x1.89455cc8489c7p-2, 0x1.884558056c67cp-2, 0x1.872d30fa577f1p-2, 0x1.85fd8d346f23bp-2, 0x1.84b71323dc2a5p-2, 0x1.835a69c680a65p-2, 0x1.81e83858d13b9p-2, 0x1.8061260bdce4p-2, 0x1.7ec5d9c1d6affp-2, 0x1.7d16f9cf29ed6p-2, 0x1.7b552bbef8342p-2, 0x1.7981141eb7504p-2, 0x1.779b564d1733cp-2, 0x1.75a4944b2dc46p-2, 0x1.739d6e92bff64p-2, 0x1.718683f38c6cp-2, 0x1.6f60716949cd6p-2, 0x1.6d2bd20798efdp-2, 0x1.6ae93ecd22f12p-2, 0x1.68994e9dce322p-2, 0x1.663c961907e18p-2, 0x1.63d3a7925330bp-2, 0x1.615f12fb10e4ep-2, 0x1.5edf65ca549b9p-2, 0x1.5c552b002081p-2, 0x1.59c0eb0c992c5p-2, 0x1.57232bc404446p-2, 0x1.547c7067ba906p-2, 0x1.51cd3988ad5b8p-2, 0x1.4f1605152a2cbp-2, 0x1.4c574e442cd85p-2, 0x1.49918da9583b1p-2, 0x1.46c5391a13b94p-2, 0x1.43f2c3bea6d1dp-2, 0x1.411a9e11f4824p-2, 0x1.3e3d35d5c04a6p-2, 0x1.3b5af629ad65bp-2, 0x1.3874477d4b94cp-2, 0x1.35898f9e1beb8p-2, 0x1.329b31ba4977dp-2, 0x1.2fa98e618609cp-2, 0x1.2cb503977406fp-2, 0x1.29bdeccd4176ap-2, 0x1.26c4a2ee0ef4fp-2, 0x1.23c97c68dff8p-2, 0x1.20cccd364b013p-2, 0x1.1dcee6e6422acp-2, 0x1.1ad01894f2fb3p-2, 0x1.17d0af144ffdbp-2, 0x1.14d0f4da91cap-2, 0x1.11d13217107c7p-2, 0x1.0ed1acb6851b1p-2, 0x1.0bd2a871091d7p-2, 0x1.08d466d97fe8ep-2, 0x1.05d72753db52ap-2, 0x1.02db273881cc3p-2, 0x1.ffc1438c9cd7bp-3, 0x1.f9cfa08034173p-3, 0x1.f3e1d3ddd56f4p-3, 0x1.edf8485071efcp-3, 0x1.e81364b45f3d2p-3, 0x1.e2338c327ab7fp-3, 0x1.dc591e640354dp-3, 0x1.d68477332a10fp-3, 0x1.d0b5ef2acb84cp-3, 0x1.caeddb5414adep-3, 0x1.c52c8d77fda58p-3, 0x1.bf7254204dfdfp-3, 0x1.b9bf7aa4a7c1ep-3, 0x1.b414493c9951ap-3, 0x1.ae7105195e0f8p-3, 0x1.a8d5f07afff83p-3, 0x1.a3434acf111a9p-3, 0x1.9db9508fca9c6p-3, 0x1.98383b9877d8ep-3, 0x1.92c042f919beap-3, 0x1.8d519b37270bbp-3, 0x1.87ec764da6b19p-3, 0x1.829103b96433fp-3, 0x1.7d3f7086d3ebep-3, 0x1.77f7e76457083p-3, 0x1.72ba90b9f8c61p-3, 0x1.6d8792b6ad56p-3, 0x1.685f115db30eap-3, 0x1.63412e9903497p-3, 0x1.5e2e0a23d7f3p-3, 0x1.5925c1de81214p-3, 0x1.5428719e8c842p-3, 0x1.4f36336346b5p-3, 0x1.4a4f1f5097517p-3, 0x1.45734bbad0329p-3, 0x1.40a2cd35dd4dp-3, 0x1.3bddb6a6acca4p-3, 0x1.37241951a7f2ep-3, 0x1.327604e45d86p-3, 0x1.2dd3877d0026bp-3, 0x1.293cadb2ee6dap-3, 0x1.24b182ac9fb32p-3, 0x1.2032101aa1961p-3, 0x1.1bbe5e56efc84p-3, 0x1.1756746fe2179p-3, 0x1.12fa58192889ap-3, 0x1.0eaa0dc8cfa89p-3, 0x1.0a6598ba35db3p-3, 0x1.062cfafbb599bp-3, 0x1.02003579ee10bp-3, 0x1.fbbe90108a15ap-4, 0x1.f39462cef88b4p-4, 0x1.eb81de99285cap-4, 0x1.e386fcd2fc585p-4, 0x1.dba3b4eee4fbep-4, 0x1.d3d7fc820bc28p-4, 0x1.cc23c752f2c2bp-4, 0x1.c48707764c1f6p-4, 0x1.bd01ad3970a3ap-4, 0x1.b593a74561383p-4, 0x1.ae3ce2c8ec2d6p-4, 0x1.a6fd4b4bb162bp-4, 0x1.9fd4caf150658p-4, 0x1.98c34a7411e21p-4, 0x1.91c8b13278826p-4, 0x1.8ae4e539ce098p-4, 0x1.8417cb519f27cp-4, 0x1.7d614709205f6p-4, 0x1.76c13ac597466p-4, 0x1.703787d015f9p-4, 0x1.69c40e6156749p-4, 0x1.6366adabb4cd6p-4, 0x1.5d1f43e44727ep-4, 0x1.56edae4c734dap-4, 0x1.50d1c93c6164cp-4, 0x1.4acb702c1118cp-4, 0x1.44da7dd6b5225p-4, 0x1.3efecc04c1c3dp-4, 0x1.393833e9cd1fp-4, 0x1.33868df932e31p-4, 0x1.2de9b1ed05fdfp-4, 0x1.286176e34e9cep-4, 0x1.22edb35cb4886p-4, 0x1.1d8e3d46b03d4p-4, 0x1.1842ea05de537p-4, 0x1.130b8e7ddb82cp-4, 0x1.0de7ff18bc06ep-4, 0x1.08d80fcde4afp-4, 0x1.03db9428f747cp-4, 0x1.fde4bea0d039ap-5, 0x1.f438881b82de1p-5, 0x1.eab229a9c4653p-5, 0x1.e1514796e2752p-5, 0x1.d815859f3d6b3p-5, 0x1.cefe86fc9e283p-5, 0x1.c60bee7196fa4p-5, 0x1.bd3d5e53c5c66p-5, 0x1.b492789329788p-5, 0x1.ac0adeeb6092fp-5, 0x1.a3a63292af40fp-5, 0x1.9b6414a9dc3fep-5, 0x1.93442631dd78bp-5, 0x1.8b4607d92bdf6p-5, 0x1.83695a4735352p-5, 0x1.7badbe0b24d65p-5, 0x1.7412d3a6f6e29p-5, 0x1.6c983b998274fp-5, 0x1.653d9667992dbp-5, 0x1.5e0284a58236ap-5, 0x1.56e6a6ff8b4e6p-5, 0x1.4fe99e426187p-5, 0x1.490b0b62ed1ep-5, 0x1.424a8f85a9bd2p-5, 0x1.3ba7cc0586c03p-5, 0x1.3522627a930eep-5, 0x1.2eb9f4c10fb2fp-5, 0x1.286e25004806fp-5, 0x1.223e95b16e77bp-5, 0x1.1c2ae9a620413p-5, 0x1.1632c40e6a287p-5, 0x1.1055c87ec4c25p-5, 0x1.0a939af56e888p-5, 0x1.04ebdfde90a83p-5, 0x1.febc782d5f0fcp-6, 0x1.f3d4aa22d98bap-6, 0x1.e91fa106287ebp-6, 0x1.de9ca9a48087bp-6, 0x1.d44b11dff8b5p-6, 0x1.ca2a28750aa45p-6, 0x1.c0393d64a2fe6p-6, 0x1.b677a1d1f3d0dp-6, 0x1.ace4a80dbd314p-6, 0x1.a37fa39e1feebp-6, 0x1.9a47e9457f9abp-6, 0x1.913ccf08efc16p-6, 0x1.885dac368cba6p-6, 0x1.7fa9d96b8eceap-6, 0x1.7720b09a17009p-6, 0x1.6ec18d0ea97edp-6, 0x1.668bcb7540a62p-6, 0x1.5e7ec9ddfb627p-6, 0x1.5699e7c1ab31bp-6, 0x1.4edc8605dff79p-6, 0x1.47460700a3992p-6, 0x1.3fd5ce7c0aab7p-6, 0x1.388b41b99b9ep-6, 0x1.3165c77597a2cp-6, 0x1.2a64c7ea211afp-6, 0x1.2387acd20cdefp-6, 0x1.1ccde16b77b56p-6, 0x1.1636d27a16d47p-6, 0x1.0fc1ee492fb92p-6, 0x1.096ea4ac62d08p-6, 0x1.033c66fd0fab1p-6, 0x1.fa5550672fc04p-7, 0x1.ee71b9b34f4e7p-7, 0x1.e2ccf55ca1bd3p-7, 0x1.d765f32d807f7p-7, 0x1.cc3ba52bf8c2dp-7, 0x1.c14d00c8d8f9fp-7, 0x1.b698fe9a2f6b7p-7, 0x1.ac1e9a5325dfcp-7, 0x1.a1dcd2c70eb8bp-7, 0x1.97d2a9e930dfp-7, 0x1.8dff24cc4a809p-7, 0x1.84614ba27ec4bp-7, 0x1.7af829bd57348p-7, 0x1.71c2cd8d70b1ep-7, 0x1.68c048a143077p-7, 0x1.5fefafa281976p-7, 0x1.57501a51d5d38p-7, 0x1.4ee0a3820b909p-7, 0x1.46a069130d7f8p-7, 0x1.3e8e8bee466bfp-7, 0x1.36aa3004c3023p-7, 0x1.2ef27c4ecf6f4p-7, 0x1.27669acc5d8dbp-7, 0x1.2005b8848a506p-7, 0x1.18cf0582c42dap-7, 0x1.11c1b4d09d5efp-7, 0x1.0adcfc6c894cap-7, 0x1.0420153ed3633p-7, 0x1.fb14761e36f1ap-8, 0x1.ee3558f93fa2fp-8, 0x1.e1a155f648693p-8, 0x1.d556f5a87518cp-8, 0x1.c954c6573e748p-8, 0x1.bd995c059d64ep-8, 0x1.b223506bc56fdp-8, 0x1.a6f142f2cbc4dp-8, 0x1.9c01d925c87aep-8, 0x1.9153bcbb6bb32p-8, 0x1.86e59de2e741p-8, 0x1.7cb631a4508f8p-8, 0x1.72c431bc42002p-8, 0x1.690e5d3735ec8p-8, 0x1.5f937836950f3p-8, 0x1.56524c14830e7p-8, 0x1.4d49a784dfcd6p-8, 0x1.44785ea5b9714p-8, 0x1.3bdd4af5eec6fp-8, 0x1.33774b2da6d4p-8, 0x1.2b4542fd590bfp-8, 0x1.23461ac03e111p-8, 0x1.1b78bf3440ae3p-8, 0x1.13dc214a0515cp-8, 0x1.0c6f361a459cbp-8, 0x1.0530f703b21f2p-8, 0x1.fc40c3d24c45dp-9, 0x1.ee78f2fb9cc97p-9, 0x1.e1088b0dbd436p-9, 0x1.d3eda5f632e66p-9, 0x1.c72667dfa317ap-9, 0x1.bab0fe9f2e8d5p-9, 0x1.ae8ba0cbad0dep-9, 0x1.a2b48caf11614p-9, 0x1.972a075011f9p-9, 0x1.8bea5bd1e4056p-9, 0x1.80f3db53d6a43p-9, 0x1.7644dd5bfde49p-9, 0x1.6bdbc0b544d6ep-9, 0x1.61b6ec89ebcadp-9, 0x1.57d4d1715a445p-9, 0x1.4e33ea2535598p-9, 0x1.44d2bba3e2a28p-9, 0x1.3bafd4a5b5316p-9, 0x1.32c9cc74d0fb9p-9, 0x1.2a1f415eff312p-9, 0x1.21aed7154f0a5p-9, 0x1.1977354f3d16ep-9, 0x1.1177071d8adf8p-9, 0x1.09acfba52be56p-9, 0x1.0217c4cf5e77p-9, 0x1.f56c3668a4d17p-10, 0x1.e70d7d87415a4p-10, 0x1.d910ef2098662p-10, 0x1.cb742ff490908p-10, 0x1.be34f931a816ap-10, 0x1.b1511762b63abp-10, 0x1.a4c667c450d8p-10, 0x1.9892d4724029p-10, 0x1.8cb45039975c3p-10, 0x1.8128d2ef27fe3p-10, 0x1.75ee570c3ec68p-10, 0x1.6b02d904fc01p-10, 0x1.6064586bee189p-10, 0x1.5610da933f34fp-10, 0x1.4c066e190956cp-10, 0x1.42432ea4fb29bp-10, 0x1.38c5481e8f01ep-10, 0x1.2f8af8b9c3b94p-10, 0x1.269291716bf69p-10, 0x1.1dda74c829e69p-10, 0x1.15611401adedcp-10, 0x1.0d24eb54d1a28p-10, 0x1.05247dd4f855p-10, 0x1.fabca3b7a62d6p-11, 0x1.eba1dd5bcf389p-11, 0x1.dcf5b7503f3cdp-11, 0x1.ceb5420cc05edp-11, 0x1.c0dd93c11bcb4p-11, 0x1.b36bcdb50c3a7p-11, 0x1.a65d21f291725p-11, 0x1.99aed857d90cap-11, 0x1.8d5e52726c274p-11, 0x1.81690db9ec19bp-11, 0x1.75cca3da408f2p-11, 0x1.6a86c8e8af86dp-11, 0x1.5f95478f13cb7p-11, 0x1.54f5fbc62da21p-11, 0x1.4aa6cd1e02c9p-11, 0x1.40a5a9bd952d6p-11, 0x1.36f0833dddbfcp-11, 0x1.2d854dd1e4e6ap-11, 0x1.2462016c20124p-11, 0x1.1b849be54952bp-11, 0x1.12eb2305aebc1p-11, 0x1.0a93a629da397p-11, 0x1.027c40c7b58ep-11, 0x1.f5462d8199fa8p-12, 0x1.e60cb656eb6d6p-12, 0x1.d748a2b261263p-12, 0x1.c8f6998cf7563p-12, 0x1.bb1369a5dfd13p-12, 0x1.ad9c058c9e181p-12, 0x1.a08d7d9f0a66fp-12, 0x1.93e4f8621b05dp-12, 0x1.879fabf928044p-12, 0x1.7bbadb13ebcbfp-12, 0x1.7033d59851ac6p-12, 0x1.6507fafd6953ep-12, 0x1.5a34bb3447a95p-12, 0x1.4fb793d1af136p-12, 0x1.458e09a7bd25cp-12, 0x1.3bb5a1cf60b17p-12, 0x1.322bde69daf01p-12, 0x1.28ee421c53beep-12, 0x1.1ffa5a03c128cp-12, 0x1.174dca4ba1de7p-12, 0x1.0ee657fd63555p-12, 0x1.06c1ebef264bfp-12, 0x1.fdbd1c9cce4fp-13, 0x1.ee74bbf6b1b8dp-13, 0x1.dfa7112d771f3p-13, 0x1.d1508de714721p-13, 0x1.c36dbcf5a833bp-13, 0x1.b5fb4a082e4cbp-13, 0x1.a8f6067f768c2p-13, 0x1.9c5ae4660ce46p-13, 0x1.9026e69244147p-13, 0x1.845708d958905p-13, 0x1.78e82bd1e2e14p-13, 0x1.6dd70e5fd49f2p-13, 0x1.63205b4c26eedp-13, 0x1.58c0c72d23672p-13, 0x1.4eb5322f73b13p-13, 0x1.44fabf1152ec8p-13, 0x1.3b8ed63b8ca4bp-13, 0x1.326f165ede374p-13, 0x1.29993d42c195cp-13, 0x1.210b15a186a8ep-13, 0x1.18c271231f8f9p-13, 0x1.10bd2cba2f7d4p-13, 0x1.08f938a1be018p-13, 0x1.01749dbcbcc8dp-13, 0x1.f45afa6c41611p-14, 0x1.e644128481fb4p-14, 0x1.d8a0ef38cb39ap-14, 0x1.cb6de29f10747p-14, 0x1.bea70d6059a2dp-14, 0x1.b2485f778a311p-14, 0x1.a64dbcc36436p-14, 0x1.9ab31d055ea3ap-14, 0x1.8f74cac331d17p-14, 0x1.848f828b360b2p-14, 0x1.7a00613e65757p-14, 0x1.6fc4d33ed4c2fp-14, 0x1.65da69f509c2ep-14, 0x1.5c3ebfa7398f4p-14, 0x1.52ef6e5d8f676p-14, 0x1.49ea11c8ccbdp-14, 0x1.412c4a2b21735p-14, 0x1.38b3bd46508f4p-14, 0x1.307e16dd99512p-14, 0x1.288908f65859dp-14, 0x1.20d24bb23f322p-14, 0x1.19579e6e32546p-14, 0x1.1216ca4b951bdp-14, 0x1.0b0da32d8cd9dp-14, 0x1.043a068075b3ep-14, 0x1.fb33b82e4ef33p-15, 0x1.ee5638ef2d1a6p-15, 0x1.e1d7b5133aa6bp-15, 0x1.d5b49b7d786aap-15, 0x1.c9e9b7a67a716p-15, 0x1.be743d0fb69fcp-15, 0x1.b351bd377cbf8p-15, 0x1.a8800494414d5p-15, 0x1.9dfce9be94913p-15, 0x1.93c620e31401cp-15, 0x1.89d9289ad85c8p-15, 0x1.8033592e41995p-15, 0x1.76d1fed796c8ep-15, 0x1.6db25dc0af026p-15, 0x1.64d1a5760edd1p-15, 0x1.5c2cfb77257c6p-15, 0x1.53c1ab97d9275p-15, 0x1.4b8d5f47c3p-15, 0x1.438e2f20f46e4p-15, 0x1.3bc2844c0d6b5p-15, 0x1.3428dfab8f777p-15, 0x1.2cbfa78b564a7p-15, 0x1.25850c386553bp-15, 0x1.1e770afa1746fp-15, 0x1.17939d8f4e03ap-15, 0x1.10d910001c822p-15, 0x1.0a463fca9143bp-15, 0x1.03da81461df62p-15, 0x1.fb2a681f785d2p-16, 0x1.eeeab72280ef7p-16, 0x1.e2f32135db678p-16, 0x1.d7409cafecfbap-16, 0x1.cbd0799e801ecp-16, 0x1.c0a0519ff4db3p-16, 0x1.b5ad93653dbfbp-16, 0x1.aaf54f9c06bfp-16, 0x1.a074778d805f1p-16, 0x1.96284bb678f71p-16, 0x1.8c0eb48336eedp-16, 0x1.822660a211f86p-16, 0x1.786e9d9573328p-16, 0x1.6ee6bbb92e812p-16, 0x1.658dbb8dc49bcp-16, 0x1.5c621fe2b10a8p-16, 0x1.5361edc0cfba6p-16, 0x1.4a8aee8dae08cp-16, 0x1.41db151b94407p-16, 0x1.39512b8539e93p-16, 0x1.30ed085d6f59bp-16, 0x1.28aeb7a4c5a9ep-16, 0x1.2095697bcfeep-16, 0x1.189f5ebc6ca0ep-16, 0x1.10cad9bdb5c3ep-16, 0x1.0916dc34d5b1ap-16, 0x1.0182e380ee25ap-16, 0x1.f41c7f153a3dep-17, 0x1.e56fb4d6076a9p-17, 0x1.d6fcd4dfb521bp-17, 0x1.c8c14d52242e8p-17, 0x1.babaceb1043d6p-17, 0x1.ace796e0b9982p-17, 0x1.9f46ab299a564p-17, 0x1.91d7ba74f0338p-17, 0x1.849aa1b44a3d9p-17, 0x1.778ee40882da7p-17, 0x1.6ab37864b411ep-17, 0x1.5e070e0b39cadp-17, 0x1.51886a7477d9bp-17, 0x1.4536490717872p-17, 0x1.390f21d21f7b5p-17, 0x1.2d11de63cc8fbp-17, 0x1.213e739387771p-17, 0x1.1594c1a88f02fp-17, 0x1.0a13612b9bc83p-17, 0x1.fd711dbe4a9a9p-18, 0x1.e7079156d6977p-18, 0x1.d0eaf0a92516bp-18, 0x1.bb1b23a2c45dap-18, 0x1.a596b55e19f77p-18, 0x1.905bec50dbf55p-18, 0x1.7b69396bb27b5p-18, 0x1.66bcf4cb22dp-18, 0x1.52553c670fd62p-18, 0x1.3e306452f3638p-18, 0x1.2a4d85210ff36p-18, 0x1.16aca9882084bp-18, 0x1.034e27796f9fep-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.817084421415cp-2, -0x1.81f8781c2147fp-2, -0x1.82d92d9a96165p-2, -0x1.840fe83df6843p-2, -0x1.8598f7ffe8e7dp-2, -0x1.876fd64baa67ap-2, -0x1.898f44e6bc34p-2, -0x1.8bf16d2c5305dp-2, -0x1.8e8ffe780dde1p-2, -0x1.91644af9f1052p-2, -0x1.94676274df39p-2, -0x1.97922a9e67151p-2, -0x1.9add74fe81889p-2, -0x1.9e42124ad1c9dp-2, -0x1.a1b8e34d6db49p-2, -0x1.a53ae7751fefep-2, -0x1.a8c14935fa14p-2, -0x1.ac4568662119ep-2, -0x1.afc0e2c51019fp-2, -0x1.b32d9adbc2273p-2, -0x1.b685bd6309723p-2, -0x1.b9c3c55b33ae3p-2, -0x1.bce27efd56baep-2, -0x1.bfdd09ab8ea7dp-2, -0x1.c2aed90232851p-2, -0x1.c553b528db555p-2, -0x1.c7c7ba7ee7bf6p-2, -0x1.ca0758bc3f663p-2, -0x1.cc0f519c54489p-2, -0x1.cddcb726d21b8p-2, -0x1.cf6ce9a7293b4p-2, -0x1.d0bd9562095c3p-2, -0x1.d1ccb015fd3fp-2, -0x1.d2987652bf359p-2, -0x1.d31f68b151906p-2, -0x1.d36048f5a8854p-2, -0x1.d35a172177c63p-2, -0x1.d30c0e7ec4fdap-2, -0x1.d275a2a7e462fp-2, -0x1.d1967c91ca9p-2, -0x1.d06e779cd785bp-2, -0x1.cefd9eafb4b48p-2, -0x1.cd44295f3bd12p-2, -0x1.cb427925f401ep-2, -0x1.c8f916ad367b6p-2, -0x1.c668af29ad126p-2, -0x1.c39211cc8e203p-2, -0x1.c0762d4a9e7c8p-2, -0x1.bd160d79cedb5p-2, -0x1.b972d905fea73p-2, -0x1.b58dcf3d42771p-2, -0x1.b16845f3de807p-2, -0x1.ad03a77ff6c73p-2, -0x1.a86170ccdb8a8p-2, -0x1.a3832f85ace1p-2, -0x1.9e6a8057088d4p-2, -0x1.99190d474ed01p-2, -0x1.93908c24fc0ap-2, -0x1.8dd2bd0a8aep-2, -0x1.87e168f73f3c2p-2, -0x1.81be607c33ed2p-2, -0x1.7b6b7a7cf7016p-2, -0x1.74ea93030411cp-2, -0x1.6e3d8a236190fp-2, -0x1.676642f5a00c2p-2, -0x1.6066a29b869aap-2, -0x1.59408f58a4d14p-2, -0x1.51f5efb91b2d4p-2, -0x1.4a88a9c6d47f7p-2, -0x1.42faa24c85b14p-2, -0x1.3b4dbc25b889ap-2, -0x1.3383d79b3c834p-2, -0x1.2b9ed1cb4ffc4p-2, -0x1.23a0841ce2183p-2, -0x1.1b8ac3bd4e1f6p-2, -0x1.135f6128001a5p-2, -0x1.0b2027b766f7p-2, -0x1.02cedd3eb51f5p-2, -0x1.f4da8357ce50fp-3, -0x1.e3fa1d631e9d1p-3, -0x1.d2ffeeefeb2a7p-3, -0x1.c1ef50aa2e41fp-3, -0x1.b0cb8d1634b1bp-3, -0x1.9f97e019a7f8p-3, -0x1.8e57768ff62d6p-3, -0x1.7d0d6de96fac9p-3, -0x1.6bbcd3d45ffe7p-3, -0x1.5a68a5ef97f08p-3, -0x1.4913d185c4598p-3, -0x1.37c133510e7b9p-3, -0x1.2673974681332p-3, -0x1.152db868ba6f7p-3, -0x1.03f240a17be36p-3, -0x1.e5879143469b7p-4, -0x1.c349af8e72d83p-4, -0x1.a12fc812615e4p-4, -0x1.7f3ea3d0fc05ap-4, -0x1.5d7ae8cc879bfp-4, -0x1.3be919fd7542p-4, -0x1.1a8d9751372dap-4, -0x1.f2d93b6316095p-5, -0x1.b1148e2796ac7p-5, -0x1.6fd5151fa28c8p-5, -0x1.2f2278fc022d4p-5, -0x1.de083a708fd9ap-6, -0x1.5f0240e2b030ap-6, -0x1.c28173209b20bp-7, -0x1.934342804f4dfp-8, 0x1.640d4eff1d6ecp-10, 0x1.1fd03085c0d18p-7, 0x1.08195f81b1ef5p-6, 0x1.7ec994ad172a8p-6, 0x1.f3ee245d65f8ep-6, 0x1.33be7e38c44afp-5, 0x1.6cb64556e0ce7p-5, 0x1.a4d9dda57ea05p-5, 0x1.dc24fbbbd418dp-5, 0x1.0949c8f2a2b69p-4, 0x1.2410e7aa26ee5p-4, 0x1.3e660fa7912cdp-4, 0x1.5847942b3e6dap-4, 0x1.71b3e5a36425ep-4, 0x1.8aa9913a0a6e9p-4, 0x1.a32740608aeddp-4, 0x1.bb2bb858be30cp-4, 0x1.d2b5d9bbf6c68p-4, 0x1.e9c49ffff99b8p-4, 0x1.002b907d0631fp-3, 0x1.0b36463020914p-3, 0x1.160215a495a75p-3, 0x1.208eafd507372p-3, 0x1.2adbd1e9d66bbp-3, 0x1.34e944f6f8546p-3, 0x1.3eb6ddb92ced4p-3, 0x1.48447c52cad7fp-3, 0x1.51920c0810d08p-3, 0x1.5a9f82fb1ac5fp-3, 0x1.636ce1e78df19p-3, 0x1.6bfa33ddfe8eep-3, 0x1.74478dff2b5cp-3, 0x1.7c550f370dff5p-3, 0x1.8422dff7dab75p-3, 0x1.8bb131f5000a1p-3, 0x1.93003fde212dep-3, 0x1.9a104d1a2f3afp-3, 0x1.a0e1a5829cc0cp-3, 0x1.a7749d1ec6221p-3, 0x1.adc98fdf907a2p-3, 0x1.b3e0e15b5264ep-3, 0x1.b9bafc8a0a2f4p-3, 0x1.bf585381fe75fp-3, 0x1.c4b95f34b79bap-3, 0x1.c9de9f2c7ef26p-3, 0x1.cec8994a52e21p-3, 0x1.d377d98466094p-3, 0x1.d7ecf1a5368ap-3, 0x1.dc28790b3bc0dp-3, 0x1.e02b0c693ea02p-3, 0x1.e3f54d8761171p-3, 0x1.e787e304d8e84p-3, 0x1.eae3781a6ea87p-3, 0x1.ee08bc5dc1c5p-3, 0x1.f0f86385597dbp-3, 0x1.f3b3252d91c51p-3, 0x1.f639bc9e5898bp-3, 0x1.f88ce891de1f4p-3, 0x1.faad6afc1c475p-3, 0x1.fc9c08d35ad92p-3, 0x1.fe5989d99adecp-3, 0x1.ffe6b8670040cp-3, 0x1.00a2309a9d3cdp-2, 0x1.0139a995f1c9ap-2, 0x1.01ba2f96f859ep-2, 0x1.02242bf40f1dap-2, 0x1.027808d035d74p-2, 0x1.02b631035509p-2, 0x1.02df100307c19p-2, 0x1.02f311cbf3773p-2, 0x1.02f2a2cba6778p-2, 0x1.02de2fcb02a38p-2, 0x1.02b625d933967p-2, 0x1.027af2372e757p-2, 0x1.022d0243c03e7p-2, 0x1.01ccc36825bf9p-2, 0x1.015aa305335f7p-2, 0x1.00d70e61053ccp-2, 0x1.004272953c09ep-2, 0x1.ff3a78fb8f0edp-3, 0x1.fdcfb15071c8ap-3, 0x1.fc45668742d51p-3, 0x1.fa9c7021f5a84p-3, 0x1.f8d5a4a82fef4p-3, 0x1.f6f1d98a3b95dp-3, 0x1.f4f1e30503522p-3, 0x1.f2d6940721a09p-3, 0x1.f0a0be16f33b8p-3, 0x1.ee513139b2566p-3, 0x1.ebe8bbdb93927p-3, 0x1.e9682ab8ead5bp-3, 0x1.e6d048c842e71p-3, 0x1.e421df257cecdp-3, 0x1.e15db4fddac68p-3, 0x1.de848f7d079aep-3, 0x1.db9731bb097f7p-3, 0x1.d8965cab26c66p-3, 0x1.d582cf0baab87p-3, 0x1.d25d45569c331p-3, 0x1.cf2679b349244p-3, 0x1.cbdf23e8b95ccp-3, 0x1.c887f950f0f8ap-3, 0x1.c521accd11527p-3, 0x1.c1aceeba40c12p-3, 0x1.be2a6ce769d6fp-3, 0x1.ba9ad28bb6dcep-3, 0x1.b6fec83dd95fdp-3, 0x1.b356f3ec109ddp-3, 0x1.afa3f8d4e2832p-3, 0x1.abe6778097ecap-3, 0x1.a81f0dbb600aep-3, 0x1.a44e569023b12p-3, 0x1.a074ea4408906p-3, 0x1.9c935e528d7f4p-3, 0x1.98aa456a4ec42p-3, 0x1.94ba2f6a644cdp-3, 0x1.90c3a96053ad4p-3, 0x1.8cc73d869a49fp-3, 0x1.88c57343bef81p-3, 0x1.84becf29f05a7p-3, 0x1.80b3d2f72c771p-3, 0x1.7ca4fd95df0aep-3, 0x1.7892cb1e09f7fp-3, 0x1.747db4d6d65f4p-3, 0x1.70663138a8caap-3, 0x1.6c4cb3ef9a7e7p-3, 0x1.6831adde619fcp-3, 0x1.64158d21a4aa8p-3, 0x1.5ff8bd13a962bp-3, 0x1.5bdba6506b903p-3, 0x1.57beaeba082c9p-3, 0x1.53a2397d86ae8p-3, 0x1.4f86a717edfb3p-3, 0x1.4b6c555bb3f0fp-3, 0x1.47539f766c46ep-3, 0x1.433cddf6ca1bbp-3, 0x1.3f2866d2e53eep-3, 0x1.3b168d6eba698p-3, 0x1.3707a2a2ef316p-3, 0x1.32fbf4c3d0eb9p-3, 0x1.2ef3cfa885b23p-3, 0x1.2aef7cb27777ep-3, 0x1.26ef42d4ea354p-3, 0x1.22f3669cc4397p-3, 0x1.1efc2a3880b3ap-3, 0x1.1b09cd8043a8ep-3, 0x1.171c8dfe1e4b8p-3, 0x1.1334a6f6694f6p-3, 0x1.0f525170434edp-3, 0x1.0b75c43e309c7p-3, 0x1.079f3406ccacbp-3, 0x1.03ced34d9500ep-3, 0x1.0004d27bcd95ap-3, 0x1.f882bfd2e3417p-4, 0x1.f1094fcc72d7cp-4, 0x1.e99da98551f68p-4, 0x1.e2401db25d12p-4, 0x1.daf0f92e9014ep-4, 0x1.d3b0850d613f8p-4, 0x1.cc7f06ad2d9f2p-4, 0x1.c55cbfc99af6bp-4, 0x1.be49ee8e15cd8p-4, 0x1.b746cda8351aap-4, 0x1.b053945a2c02dp-4, 0x1.a970768d348d5p-4, 0x1.a29da4e3e379ep-4, 0x1.9bdb4ccc750d5p-4, 0x1.952998930f502p-4, 0x1.8e88af73ec058p-4, 0x1.87f8b5ad69a82p-4, 0x1.8179cc92074ap-4, 0x1.7b0c129a47a65p-4, 0x1.74afa3767320cp-4, 0x1.6e6498203a743p-4, 0x1.682b06ec398a2p-4, 0x1.6203039b55331p-4, 0x1.5bec9f6bf393bp-4, 0x1.55e7e92b0ae06p-4, 0x1.4ff4ed450991fp-4, 0x1.4a13b5d69244cp-4, 0x1.44444abd0b70cp-4, 0x1.3e86b1a6fdde9p-4, 0x1.38daee2448305p-4, 0x1.334101b62073ep-4, 0x1.2db8ebdee067ap-4, 0x1.2842aa31a37a3p-4, 0x1.22de3861ab71p-4, 0x1.1d8b90519507ep-4, 0x1.184aaa22557fep-4, 0x1.131b7c41fc318p-4, 0x1.0dfdfb7a4309ap-4, 0x1.08f21afee3bd3p-4, 0x1.03f7cc7bb5387p-4, 0x1.fe1e00451e5bbp-5, 0x1.f46f4971e56a1p-5, 0x1.eae34f4af64c9p-5, 0x1.e179e9fa23798p-5, 0x1.d832ef1fd1815p-5, 0x1.cf0e31ec76cffp-5, 0x1.c60b83399fef7p-5, 0x1.bd2ab1a28116bp-5, 0x1.b46b899c11808p-5, 0x1.abcdd58cab42ap-5, 0x1.a3515de33bf6ep-5, 0x1.9af5e92df65fcp-5, 0x1.92bb3c3091b3bp-5, 0x1.8aa119fa12563p-5, 0x1.82a743fa1af0ap-5, 0x1.7acd7a15c8ba7p-5, 0x1.73137abc1fdfap-5, 0x1.6b7902f9faa46p-5, 0x1.63fdce8d8a0eep-5, 0x1.5ca197f9621afp-5, 0x1.5564189713949p-5, 0x1.4e4508a95aa22p-5, 0x1.47441f6dd1758p-5, 0x1.4061132e3be5fp-5, 0x1.399b995162cd4p-5, 0x1.32f3666b7ba2ep-5, 0x1.2c682e4e3117ep-5, 0x1.25f9a41832aa1p-5, 0x1.1fa77a4463752p-5, 0x1.197162b899d57p-5, 0x1.13570ed3f7f36p-5, 0x1.0d582f7ce3e6fp-5, 0x1.0774752e91611p-5, 0x1.01ab900631f68p-5, 0x1.f7fa5f9f74e8fp-6, 0x1.ecd208248ee85p-6, 0x1.e1dd78384c31cp-6, 0x1.d71c0e1cf981cp-6, 0x1.cc8d27d12cf1cp-6, 0x1.c2302325a1b17p-6, 0x1.b8045dd26dad5p-6, 0x1.ae09358b70115p-6, 0x1.a43e08141bd54p-6, 0x1.9aa233529fbc5p-6, 0x1.9135156253da7p-6, 0x1.87f60ca591eafp-6, 0x1.7ee477d6e578fp-6, 0x1.75ffb6198d83ep-6, 0x1.6d4727097bf5ap-6, 0x1.64ba2acaa25bdp-6, 0x1.5c582217bbbeap-6, 0x1.54206e507281bp-6, 0x1.4c12718701461p-6, 0x1.442d8e8d438aap-6, 0x1.3c7129012f016p-6, 0x1.34dca558d6acbp-6, 0x1.2d6f68edda367p-6, 0x1.2628da085fc2cp-6, 0x1.1f085fe9848adp-6, 0x1.180d62d558a8p-6, 0x1.11374c1c57fc1p-6, 0x1.0a8586246fb18p-6, 0x1.03f77c7196a9ep-6, 0x1.fb19375bd155p-7, 0x1.ee88a362c0da5p-7, 0x1.e23c1b123dfaap-7, 0x1.d6327efc822c2p-7, 0x1.ca6ab238b7ac2p-7, 0x1.bee39a6f2c75ap-7, 0x1.b39c1fe4a40abp-7, 0x1.a8932d8508cc6p-7, 0x1.9dc7b0ed5579cp-7, 0x1.93389a74e547fp-7, 0x1.88e4dd35e86d2p-7, 0x1.7ecb6f155cd1dp-7, 0x1.74eb48ca4051fp-7, 0x1.6b4365e42dcf3p-7, 0x1.61d2c4d182a35p-7, 0x1.589866e4a5b4p-7, 0x1.4f935058fa169p-7, 0x1.46c288572b10bp-7, 0x1.3e2518f8f512ep-7, 0x1.35ba0f4c63ca4p-7, 0x1.2d807b5691d07p-7, 0x1.25777015ee7adp-7, 0x1.1d9e038406afep-7, 0x1.15f34e96ef052p-7, 0x1.0e766d4214524p-7, 0x1.07267e76c7dd3p-7, 0x1.0002a4244c717p-7, 0x1.f214066f00c3ep-8, 0x1.e47787345cebp-8, 0x1.d72e2063f9bddp-8, 0x1.ca362dbe099e5p-8, 0x1.bd8e10f41899p-8, 0x1.b13431a4ed253p-8, 0x1.a526fd57b30f9p-8, 0x1.9964e776a2f25p-8, 0x1.8dec6948f6186p-8, 0x1.82bc01ec82d6cp-8, 0x1.77d2364e8b6bep-8, 0x1.6d2d912450ea4p-8, 0x1.62cca2e2fbd94p-8, 0x1.58ae01b72c727p-8, 0x1.4ed0497bf3296p-8, 0x1.45321bb1843bfp-8, 0x1.3bd21f7370425p-8, 0x1.32af016ea1eadp-8, 0x1.29c773d6b0928p-8, 0x1.211a2e5b387efp-8, 0x1.18a5ee1c8fd6dp-8, 0x1.106975a073709p-8, 0x1.08638cc630767p-8, 0x1.009300bab6f5ap-8, 0x1.f1ed47d882ef9p-9, 0x1.e31a9bfbad388p-9, 0x1.d4abb7755d185p-9, 0x1.c69e5e12422b5p-9, 0x1.b8f05dbb134aap-9, 0x1.ab9f8e5a3b792p-9, 0x1.9ea9d1c08a0cdp-9, 0x1.920d138a31a88p-9, 0x1.85c7490368a1bp-9, 0x1.79d6710c5932dp-9, 0x1.6e3893fd4ba93p-9, 0x1.62ebc38a77108p-9, 0x1.57ee1aa7ae676p-9, 0x1.4d3dbd6bc3847p-9, 0x1.42d8d8f3fbff4p-9, 0x1.38bda3473a199p-9, 0x1.2eea5b390591ep-9, 0x1.255d484ce7379p-9, 0x1.1c14ba99237d4p-9, 0x1.130f0aa9af077p-9, 0x1.0a4a996345924p-9, 0x1.01c5cfe62a253p-9, 0x1.f2fe3ee2ad7c2p-10, 0x1.e2ea028a67054p-10, 0x1.d34bed0db43f7p-10, 0x1.c42110458010bp-10, 0x1.b5668d6087277p-10, 0x1.a71994a9579bfp-10, 0x1.9937654d05d76p-10, 0x1.8bbd4d21b4719p-10, 0x1.7ea8a86df9dbfp-10, 0x1.71f6e1b004bf3p-10, 0x1.65a571653450dp-10, 0x1.59b1ddd24f68fp-10, 0x1.4e19bacb1856ep-10, 0x1.42daa97b6885dp-10, 0x1.37f2582f4ecd7p-10, 0x1.2d5e821d42503p-10, 0x1.231cef2f44e0dp-10, 0x1.192b73ccc4dp-10, 0x1.0f87f0a578ac8p-10, 0x1.0630527bca6c7p-10, 0x1.fa4523e0a7ea7p-11, 0x1.e8b9669ca096cp-11, 0x1.d7b98cad4e202p-11, 0x1.c741cc1ad92acp-11, 0x1.b74e710d4e18cp-11, 0x1.a7dbdd685bed8p-11, 0x1.98e688679de61p-11, 0x1.8a6afe3c18716p-11, 0x1.7c65dfaa4ded4p-11, 0x1.6ed3e1a9cc1dbp-11, 0x1.61b1cd05927d3p-11, 0x1.54fc7dfdd8f4fp-11, 0x1.48b0e3ea9f383p-11, 0x1.3ccc00df4d7d9p-11, 0x1.314ae94f0fe5p-11, 0x1.262ac3b3716dp-11, 0x1.1b68c8330c133p-11, 0x1.11024048f4871p-11, 0x1.06f4867039934p-11, 0x1.fa7a0b96f6193p-12, 0x1.e7b273a468becp-12, 0x1.d58d5bf8b8575p-12, 0x1.c405fae106557p-12, 0x1.b317a565c3fd9p-12, 0x1.a2bdceaa44b98p-12, 0x1.92f4074f1a3d1p-12, 0x1.83b5fcd5d55a6p-12, 0x1.74ff7908494e6p-12, 0x1.66cc61618ce8p-12, 0x1.5918b67ac71cfp-12, 0x1.4be093759faf6p-12, 0x1.3f202d6e56e4ap-12, 0x1.32d3d2eba4e13p-12, 0x1.26f7eb54e381ap-12, 0x1.1b88f666a9a16p-12, 0x1.10838baca0da9p-12, 0x1.05e459fb9ed2ep-12, 0x1.f7504ddd1283dp-13, 0x1.e3979cc8f456cp-13, 0x1.d098840572df1p-13, 0x1.be4d117156509p-13, 0x1.acaf7c88bae74p-13, 0x1.9bba257262a5cp-13, 0x1.8b679414a8bd1p-13, 0x1.7bb2772c3f6bfp-13, 0x1.6c95a3665cf8p-13, 0x1.5e0c1281293bfp-13, 0x1.5010e26eae521p-13, 0x1.429f547cd3143p-13, 0x1.35b2cc7e5ad0ep-13, 0x1.2946cff9eea2dp-13, 0x1.1d57055f147fbp-13, 0x1.11df333b4fb4ep-13, 0x1.06db3f755df1ep-13, 0x1.f88e5d14508aap-14, 0x1.e43e459ee4265p-14, 0x1.d0beb76fe277cp-14, 0x1.be086a3c29753p-14, 0x1.ac144d1b7f803p-14, 0x1.9adb85314d8fp-14, 0x1.8a576c4ee7933p-14, 0x1.7a818f9edc4ebp-14, 0x1.6b53ae5c0e351p-14, 0x1.5cc7b88cdf84p-14, 0x1.4ed7cdc4e6184p-14, 0x1.417e3bedec40ep-14, 0x1.34b57e15b1b99p-14, 0x1.28783b445cb35p-14, 0x1.1cc145558a716p-14, 0x1.118b97d97f4cbp-14, 0x1.06d256fd4d3dap-14, 0x1.f9219cf39ed56p-15, 0x1.e584e10d33868p-15, 0x1.d2c5a99f72004p-15, 0x1.c0db6eee471a6p-15, 0x1.afbdf02f5226fp-15, 0x1.9f65319e7db81p-15, 0x1.8fc97a9a79496p-15, 0x1.80e353cef45e9p-15, 0x1.72ab856e4157dp-15, 0x1.651b1563fa5d4p-15, 0x1.582b45a3eb08dp-15, 0x1.4bd5927621ebfp-15, 0x1.4013b0d722334p-15, 0x1.34df8cdfe5f85p-15, 0x1.2a33482fb9fe5p-15, 0x1.200938647067fp-15, 0x1.165be59fcedb8p-15, 0x1.0d26090e3c957p-15, 0x1.04628b77a6033p-15, 0x1.f81907bee6d1ep-16, 0x1.e83e6c4b9b088p-16, 0x1.d92c237bad04dp-16, 0x1.cad960a973e27p-16, 0x1.bd3da92b443dp-16, 0x1.b050d1d5fef55p-16, 0x1.a40afc9cede0cp-16, 0x1.986496388ff8bp-16, 0x1.8d5653db64f69p-16, 0x1.82d930fb5a096p-16, 0x1.78e66d2534971p-16, 0x1.6f7789e00ec25p-16, 0x1.66864894bfb37p-16, 0x1.5e0ca88fd33c4p-16, 0x1.5604e50bfd4cap-16, 0x1.4e6973549ab94p-16, 0x1.473500dde342fp-16, 0x1.40627177dbf84p-16, 0x1.39ecdd893a55bp-16, 0x1.33cf905d0e5c7p-16, 0x1.2e060675ba39bp-16, 0x1.288bebe9e7f95p-16, 0x1.235d1ad20fcf3p-16, 0x1.1e7599c467ba9p-16, 0x1.19d19a509025p-16, 0x1.156d778a82c02p-16, 0x1.1145b49d34292p-16, 0x1.0d56fb6c15cb8p-16, 0x1.099e1b40aa4fdp-16, 0x1.0618077c14efdp-16, 0x1.02c1d65346cdep-16, 0x1.ff317f1b1d409p-17, 0x1.f93436bed4716p-17, 0x1.f386c27629a81p-17, 0x1.ee244d57d00e8p-17, 0x1.e9083c8c12ee9p-17, 0x1.e42e2d1ecf843p-17, 0x1.df91f20dd7cf8p-17, 0x1.db2f922d54f77p-17, 0x1.d7034641ccf88p-17, 0x1.d3097715e8417p-17, 0x1.cf3ebba89a61ap-17, 0x1.cb9fd76f598aap-17, 0x1.c829b89f91f34p-17, 0x1.c4d9767753ca1p-17, 0x1.c1ac4faf4c01dp-17, 0x1.be9fa8e68ebadp-17, 0x1.bbb10b1f0fcecp-17, 0x1.b8de22439924bp-17, 0x1.b624bbb4572a9p-17, 0x1.b382c4f387676p-17, 0x1.b0f64a4ce393p-17, 0x1.ae7d7594a0399p-17, }}, 
      {{-0x1.81522f33a527bp-2, -0x1.817f98d2b5e2p-2, -0x1.81cae818ffcdap-2, -0x1.82338efc937aep-2, -0x1.82b8cc2c8a1e3p-2, -0x1.8359af954f345p-2, -0x1.84151f528772p-2, -0x1.84e9dcd169506p-2, -0x1.85d689f5db011p-2, -0x1.86d9ae20f5b41p-2, -0x1.87f1bb012f34dp-2, -0x1.891d111c1004ap-2, -0x1.8a5a0407321ep-2, -0x1.8ba6de4ae6b25p-2, -0x1.8d01e4ec44ef9p-2, -0x1.8e695a9ef792ap-2, -0x1.8fdb82a11234bp-2, -0x1.9156a3446f89ap-2, -0x1.92d9082a107bfp-2, -0x1.9461043474828p-2, -0x1.95ecf336378abp-2, -0x1.977b3b624e946p-2, -0x1.990a4e833907ap-2, -0x1.9a98aafe4a38ep-2, -0x1.9c24dca806fbcp-2, -0x1.9dad7d6e310f6p-2, -0x1.9f3135dbef885p-2, -0x1.a0aebd7c16b8p-2, -0x1.a224db1d4de81p-2, -0x1.a39264fb8d12ep-2, -0x1.a4f640d204f97p-2, -0x1.a64f63d85a9c9p-2, -0x1.a79cd2adc8ee6p-2, -0x1.a8dda1347d8c4p-2, -0x1.aa10f25f5723dp-2, -0x1.ab35f7f3e4e5ep-2, -0x1.ac4bf24266508p-2, -0x1.ad522fd551dap-2, -0x1.ae480d19c5dbfp-2, -0x1.af2cf40222983p-2, -0x1.b0005ba3e2dcep-2, -0x1.b0c1c7d1b6c38p-2, -0x1.b170c8b2c1489p-2, -0x1.b20cfa57baafbp-2, -0x1.b296044eb22eap-2, -0x1.b30b993605491p-2, -0x1.b36d764f1dff8p-2, -0x1.b3bb63116c5ddp-2, -0x1.b3f530be095d1p-2, -0x1.b41ab9f463dap-2, -0x1.b42be24840327p-2, -0x1.b42895d959b26p-2, -0x1.b410c8ecdbeabp-2, -0x1.b3e47788ea79bp-2, -0x1.b3a3a5125ca8cp-2, -0x1.b34e5becd715cp-2, -0x1.b2e4ad1d58f7ap-2, -0x1.b266afef5921ep-2, -0x1.b1d4819c7ff9ep-2, -0x1.b12e44f70bff4p-2, -0x1.b0742216eb76ep-2, -0x1.afa646098904p-2, -0x1.aec4e284554e7p-2, -0x1.add02d9a00833p-2, -0x1.acc861726b298p-2, -0x1.abadbc053bd4ep-2, -0x1.aa807ed717efbp-2, -0x1.a940eeb9734f8p-2, -0x1.a7ef538ce8f03p-2, -0x1.a68bf80610146p-2, -0x1.a5172974c17bcp-2, -0x1.a391378db7916p-2, -0x1.a1fa743683dc4p-2, -0x1.a0533353bb574p-2, -0x1.9e9bca9958d16p-2, -0x1.9cd4915d33e7dp-2, -0x1.9afde06b8b48fp-2, -0x1.991811dd82254p-2, -0x1.972380f18b861p-2, -0x1.952089e5ab5b7p-2, -0x1.930f89d3800d4p-2, -0x1.90f0de8dff75ap-2, -0x1.8ec4e680de76ap-2, -0x1.8c8c00918858cp-2, -0x1.8a468c01a1fc8p-2, -0x1.87f4e853011ecp-2, -0x1.8597752d092cep-2, -0x1.832e9243669f6p-2, -0x1.80ba9f3e126c5p-2, -0x1.7e3bfba291419p-2, -0x1.7bb306be68ceap-2, -0x1.79201f92b20d8p-2, -0x1.7683a4c0ca4b6p-2, -0x1.73ddf47809708p-2, -0x1.712f6c647c341p-2, -0x1.6e78699e95ed1p-2, -0x1.6bb9489bc714fp-2, -0x1.68f2651ffc737p-2, -0x1.66241a2ff0837p-2, -0x1.634ec2044e316p-2, -0x1.6072b5fd96df6p-2, -0x1.5d904e98c97c3p-2, -0x1.5aa7e364b9867p-2, -0x1.57b9caf819805p-2, -0x1.54c65ae825eafp-2, -0x1.51cde7bff4bdfp-2, -0x1.4ed0c4f859165p-2, -0x1.4bcf44f05d4eep-2, -0x1.48c9b8e6448e3p-2, -0x1.45c070f1166e2p-2, -0x1.42b3bbfaaa9eep-2, -0x1.3fa3e7ba2ece5p-2, -0x1.3c9140af234dfp-2, -0x1.397c121ccbd58p-2, -0x1.3664a60608f16p-2, -0x1.334b45299e835p-2, -0x1.303036fedb76p-2, -0x1.2d13c1b2a3135p-2, -0x1.29f62a24d326dp-2, -0x1.26d7b3e602875p-2, -0x1.23b8a13595d3cp-2, -0x1.2099330023cb2p-2, -0x1.1d79a8de2a909p-2, -0x1.1a5a41131024cp-2, -0x1.173b388c6a8f2p-2, -0x1.141ccae18ed69p-2, -0x1.10ff3253602f8p-2, -0x1.0de2a7cc64376p-2, -0x1.0ac762e10f7b1p-2, -0x1.07ad99d050719p-2, -0x1.0495818452511p-2, -0x1.017f4d9376de5p-2, -0x1.fcd66083059efp-3, -0x1.f6b2b501fa672p-3, -0x1.f093f7e97f567p-3, -0x1.ea7a85e3661adp-3, -0x1.e466b90171cfcp-3, -0x1.de58e8c17caebp-3, -0x1.d8516a11ec085p-3, -0x1.d2508f5677cep-3, -0x1.cc56a86d34136p-3, -0x1.c66402b3e2b13p-3, -0x1.c078e90d8a64fp-3, -0x1.ba95a3e8471dcp-3, -0x1.b4ba7943599d6p-3, -0x1.aee7acb573cb7p-3, -0x1.a91d7f7332c5bp-3, -0x1.a35c3055d21ccp-3, -0x1.9da3fbe20f724p-3, -0x1.97f51c4f368cdp-3, -0x1.924fc98e5eae3p-3, -0x1.8cb43951ca37bp-3, -0x1.87229f146ec49p-3, -0x1.819b2c21a2365p-3, -0x1.7c1e0f9ce3e62p-3, -0x1.76ab7689c8252p-3, -0x1.71438bd3fa9aap-3, -0x1.6be6785764b32p-3, -0x1.669462e85cdb5p-3, -0x1.614d705bf564cp-3, -0x1.5c11c3905fa68p-3, -0x1.56e17d7557084p-3, -0x1.51bcbd14a4addp-3, -0x1.4ca39f9aabef6p-3, -0x1.4796405f007e3p-3, -0x1.4294b8ed0e20ap-3, -0x1.3d9f210cbb27ep-3, -0x1.38b58ecb20016p-3, -0x1.33d8168336ddcp-3, -0x1.2f06cae69423cp-3, -0x1.2a41bd061ee2fp-3, -0x1.2588fc5acbeap-3, -0x1.20dc96ce4f302p-3, -0x1.1c3c98c3cfe21p-3, -0x1.17a90d209b8dap-3, -0x1.1321fd54c9782p-3, -0x1.0ea77163ded65p-3, -0x1.0a396fed64f0cp-3, -0x1.05d7fe357bc46p-3, -0x1.0183202d5a292p-3, -0x1.fa75b0f794ea7p-4, -0x1.f1fe510b2080bp-4, -0x1.e9a020eb98cb7p-4, -0x1.e15b1e8c863a4p-4, -0x1.d92f458f40a43p-4, -0x1.d11c8f5346b3ep-4, -0x1.c922f3066b1abp-4, -0x1.c14265b4f3b14p-4, -0x1.b97ada597cc7bp-4, -0x1.b1cc41ecb7845p-4, -0x1.aa368b750ddf1p-4, -0x1.a2b9a41607477p-4, -0x1.9b55771f8a1bep-4, -0x1.9409ee1cf2342p-4, -0x1.8cd6f0e3f845dp-4, -0x1.85bc65a361deep-4, -0x1.7eba30f189caap-4, -0x1.77d035dab3296p-4, -0x1.70fe55ef29833p-4, -0x1.6a4471512e8a5p-4, -0x1.63a266c2b3719p-4, -0x1.5d1813b2dee32p-4, -0x1.56a5544b5c6f1p-4, -0x1.504a037d75ca8p-4, -0x1.4a05fb0ef882fp-4, -0x1.43d913a6e2857p-4, -0x1.3dc324d9d6b3ep-4, -0x1.37c405365d3aap-4, -0x1.31db8a50e9abap-4, -0x1.2c0988cfa9dbap-4, -0x1.264dd4761daf9p-4, -0x1.20a8403074821p-4, -0x1.1b189e1eb5948p-4, -0x1.159ebf9faba26p-4, -0x1.103a755b9c8e9p-4, -0x1.0aeb8f4ec4324p-4, -0x1.05b1dcd39bcd5p-4, -0x1.008d2cace51fap-4, -0x1.f6fa9a1f00c22p-5, -0x1.ed041758110bep-5, -0x1.e3366b7070324p-5, -0x1.d9912ff031908p-5, -0x1.d013fd8df1c3cp-5, -0x1.c6be6c4058742p-5, -0x1.bd90134f2b494p-5, -0x1.b4888963f6428p-5, -0x1.aba7649a45956p-5, -0x1.a2ec3a8f7b9e8p-5, -0x1.9a56a07233c6p-5, -0x1.91e62b1145af8p-5, -0x1.899a6eea5afeap-5, -0x1.817300382188p-5, -0x1.796f7300177a7p-5, -0x1.718f5b1ff0ca7p-5, -0x1.69d24c5a9c906p-5, -0x1.6237da64e5c5dp-5, -0x1.5abf98f1b3415p-5, -0x1.53691bbde90c9p-5, -0x1.4c33f69beabb8p-5, -0x1.451fbd7ebf1dbp-5, -0x1.3e2c0484db457p-5, -0x1.375860028d81fp-5, -0x1.30a4648c14f59p-5, -0x1.2a0fa6ff5e0c2p-5, -0x1.2399bc8d6754cp-5, -0x1.1d423ac3529ecp-5, -0x1.1708b79322b3cp-5, -0x1.10ecc95c23ec1p-5, -0x1.0aee06f30701p-5, -0x1.050c07a9aba74p-5, -0x1.fe8cc6ad325c7p-6, -0x1.f33964b85be08p-6, -0x1.e81d1b5f0b284p-6, -0x1.dd371dbe193f2p-6, -0x1.d286a031ac3a1p-6, -0x1.c80ad861415ep-6, -0x1.bdc2fd4b3d89cp-6, -0x1.b3ae474fe2d01p-6, -0x1.a9cbf03bd08dcp-6, -0x1.a01b3351f82adp-6, -0x1.969b4d5513329p-6, -0x1.8d4b7c909cdd6p-6, -0x1.842b00e15075bp-6, -0x1.7b391bbd3184cp-6, -0x1.7275103b1e7b6p-6, -0x1.69de2319f0a6fp-6, -0x1.61739ac72c43ep-6, -0x1.5934bf654a873p-6, -0x1.5120dad18b52fp-6, -0x1.493738a97111ep-6, -0x1.4177264fccaf7p-6, -0x1.39dff2f16bf95p-6, -0x1.3270ef8961f79p-6, -0x1.2b296ee4ffc0ap-6, -0x1.2408c5a765283p-6, -0x1.1d0e4a4cc1e9bp-6, -0x1.1639552d3e288p-6, -0x1.0f89407f936c3p-6, -0x1.08fd685b512b2p-6, -0x1.02952abad3396p-6, -0x1.f89fcef9e0e1ap-7, -0x1.ec5a00ccc1bcfp-7, -0x1.e057b245aa3f1p-7, -0x1.d497ae8b989a8p-7, -0x1.c918c4965f019p-7, -0x1.bdd9c72f38d49p-7, -0x1.b2d98cf109f74p-7, -0x1.a816f0480085p-7, -0x1.9d90cf70dc739p-7, -0x1.93460c77b9f36p-7, -0x1.89358d36794c2p-7, -0x1.7f5e3b52adb0cp-7, -0x1.75bf043b3a71fp-7, -0x1.6c56d92586a4p-7, -0x1.6324af0a5278dp-7, -0x1.5a277ea22a15ep-7, -0x1.515e4461a5bfcp-7, -0x1.48c8007529f39p-7, -0x1.4063b6bc751e4p-7, -0x1.38306ec5d340ep-7, -0x1.302d33c91bf6ap-7, -0x1.285914a259a49p-7, -0x1.20b323cc3208dp-7, -0x1.193a775a1100fp-7, -0x1.11ee28f21b4d1p-7, -0x1.0acd55c6e5829p-7, -0x1.03d71e90ef2e9p-7, -0x1.fa154f0feae05p-8, -0x1.ecce30b8172dep-8, -0x1.dfd7385d09c73p-8, -0x1.d32ec31571b24p-8, -0x1.c6d334bd3bcacp-8, -0x1.bac2f7e67a1b5p-8, -0x1.aefc7dc9f04c4p-8, -0x1.a37e3e377308ep-8, -0x1.9846b785f9b51p-8, -0x1.8d546e838000ep-8, -0x1.82a5ee64b2d97p-8, -0x1.7839c8b4539afp-8, -0x1.6e0e954280ccdp-8, -0x1.6422f213d4a59p-8, -0x1.5a75835040d8fp-8, -0x1.5104f33202e3p-8, -0x1.47cff1f432fe7p-8, -0x1.3ed535c1663fp-8, -0x1.36137aa21aa0bp-8, -0x1.2d89826b1ede1p-8, -0x1.253614abe2a2p-8, -0x1.1d17fe9cbe474p-8, -0x1.152e130d25c41p-8, -0x1.0d772a51c1b09p-8, -0x1.05f222329db14p-8, -0x1.fd3bbbb2922ddp-9, -0x1.eef28b7dc4c3ep-9, -0x1.e1068f34a2ff3p-9, -0x1.d375ac9c99a81p-9, -0x1.c63dd3aefe668p-9, -0x1.b95cfe757b3a8p-9, -0x1.acd130e65a6dbp-9, -0x1.a09878c11cd48p-9, -0x1.94b0ed6b094dbp-9, -0x1.8918afcbf2dd4p-9, -0x1.7dcdea2afec72p-9, -0x1.72ced00ba1d56p-9, -0x1.68199e0ac866fp-9, -0x1.5dac99bc32491p-9, -0x1.53861187e0049p-9, -0x1.49a45c87f6f2ap-9, -0x1.4005da666525bp-9, -0x1.36a8f33b1de02p-9, -0x1.2d8c176a6ed15p-9, -0x1.24adbf837d49dp-9, -0x1.1c0c6c1f36d81p-9, -0x1.13a6a5bf41e44p-9, -0x1.0b7afcad66357p-9, -0x1.038808db06598p-9, -0x1.f798d381ff052p-10, -0x1.e88d8c7f90e25p-10, -0x1.d9eb98ffc09cfp-10, -0x1.cbb063a4f386bp-10, -0x1.bdd9652516c77p-10, -0x1.b064240bf3fefp-10, -0x1.a34e347e7136dp-10, -0x1.969537fe7bf7p-10, -0x1.8a36dd2f4c2dp-10, -0x1.7e30df9a775cfp-10, -0x1.72810775dd1fap-10, -0x1.67252969ad85ep-10, -0x1.5c1b265785942p-10, -0x1.5160eb221f3d4p-10, -0x1.46f4707578b4dp-10, -0x1.3cd3ba8fcc0ccp-10, -0x1.32fcd90b42d8cp-10, -0x1.296de6a854f55p-10, -0x1.202509189003ep-10, -0x1.172070ca4d98p-10, -0x1.0e5e58b4e9be7p-10, -0x1.05dd0625c467dp-10, -0x1.fb35911c080e8p-11, -0x1.eb2bf2a186147p-11, -0x1.db99f7244cf9dp-11, -0x1.cc7c780df51a7p-11, -0x1.bdd0618a30ba5p-11, -0x1.af92b228c8c93p-11, -0x1.a1c07a80d0d92p-11, -0x1.9456dcd58ecdcp-11, -0x1.87530cbc4f361p-11, -0x1.7ab24ec415ad7p-11, -0x1.6e71f81e03a28p-11, -0x1.628f6e479d9fcp-11, -0x1.570826b5a1d1bp-11, -0x1.4bd9a68124ddep-11, -0x1.41018214fa9cep-11, -0x1.367d5cdd547abp-11, -0x1.2c4ae8f808f3fp-11, -0x1.2267e6e64df1bp-11, -0x1.18d2253fcb38ap-11, -0x1.0f878066b4fb4p-11, -0x1.0685e23d7d8bep-11, -0x1.fb9683ba750dcp-12, -0x1.eaab469bd0fcep-12, -0x1.da462e7ec1164p-12, -0x1.ca63758779ce8p-12, -0x1.baff6e15d128ep-12, -0x1.ac16823ef0e28p-12, -0x1.9da53348556eap-12, -0x1.8fa81926d7e03p-12, -0x1.821be1fdef388p-12, -0x1.74fd51a3810b1p-12, -0x1.68494123a7524p-12, -0x1.5bfc9e48924e8p-12, -0x1.50146b233175p-12, -0x1.448dbd97411c5p-12, -0x1.3965bee81e521p-12, -0x1.2e99ab490ebeep-12, -0x1.2426d16e9fc38p-12, -0x1.1a0a922289264p-12, -0x1.10425fd9adfccp-12, -0x1.06cbbe4bec19dp-12, -0x1.fb48841b5c979p-13, -0x1.e993205885225p-13, -0x1.d872bb9624c56p-13, -0x1.c7e2df877ec29p-13, -0x1.b7df348e42644p-13, -0x1.a8638102235b9p-13, -0x1.996ba87ac74c1p-13, -0x1.8af3ab1e38c43p-13, -0x1.7cf7a4f20b427p-13, -0x1.6f73cd3066211p-13, -0x1.626475a116d45p-13, -0x1.55c609f4fea48p-13, -0x1.49950f2541793p-13, -0x1.3dce22d6785d3p-13, -0x1.326dfabdae7a6p-13, -0x1.27716409a55b3p-13, -0x1.1cd542cf78f75p-13, -0x1.12969178bc3ffp-13, -0x1.08b26036fd2e1p-13, -0x1.fe4ba8f066008p-14, -0x1.ebdc50bf1f567p-14, -0x1.da1154800a7abp-14, -0x1.c8e57835c1fc8p-14, -0x1.b853a63faa4dp-14, -0x1.a856ee62a9593p-14, -0x1.98ea84d3eedd2p-14, -0x1.8a09c14b0b549p-14, -0x1.7bb01e1a0bdf6p-14, -0x1.6dd93748e9538p-14, -0x1.6080c9b7556f5p-14, -0x1.53a2b2424b17fp-14, -0x1.473aecef5bd93p-14, -0x1.3b45941b7695ep-14, -0x1.2fbedfb186492p-14, -0x1.24a32461abb42p-14, -0x1.19eed2df4a431p-14, -0x1.0f9e7724016a1p-14, -0x1.05aeb7b56b6a1p-14, -0x1.f838a9e0707c3p-15, -0x1.e5c850afb8bcap-15, -0x1.d40647cf497a4p-15, -0x1.c2eca2d665908p-15, -0x1.b275a3b27f13ap-15, -0x1.a29bb96582878p-15, -0x1.93597ec9f6c31p-15, -0x1.84a9b960ab8a3p-15, -0x1.768758271d9e7p-15, -0x1.68ed726fe0e7cp-15, -0x1.5bd746c7d2073p-15, -0x1.4f4039de0846bp-15, -0x1.4323d5738465ep-15, -0x1.377dc752dbacep-15, -0x1.2c49e04d0df96p-15, -0x1.2184133cf3becp-15, -0x1.17287411961e8p-15, -0x1.0d3336dce60e6p-15, -0x1.03a0aeecf171p-15, -0x1.f4da9bc860509p-16, -0x1.e32b45ba3b173p-16, -0x1.d22cb31f12d71p-16, -0x1.c1d872f96357ep-16, -0x1.b2284a47e1165p-16, -0x1.a316326ee9ffp-16, -0x1.949c57b213766p-16, -0x1.86b517b53c4fcp-16, -0x1.795b000adff64p-16, -0x1.6c88ccca9a75cp-16, -0x1.60396730f5b1bp-16, -0x1.5467e4453d5d1p-16, -0x1.490f838bc049fp-16, -0x1.3e2badbfab46ep-16, -0x1.33b7f396e3796p-16, -0x1.29b00c8ceae06p-16, -0x1.200fd5b512bcep-16, -0x1.16d35096633dbp-16, -0x1.0df6a20fbbf9ap-16, -0x1.057611422e52ap-16, -0x1.fa9c0d05c5fd3p-17, -0x1.eaf614ae8fa61p-17, -0x1.dbf388e2b91a9p-17, -0x1.cd8df573699dcp-17, -0x1.bfbf20ba0efp-17, -0x1.b28109c61cc96p-17, -0x1.a5cde68ea8f51p-17, -0x1.99a0223b4a442p-17, -0x1.8df25b715011ap-17, -0x1.82bf62b1642d5p-17, -0x1.780238bf716efp-17, -0x1.6db60d13c174ap-17, -0x1.63d63c5d83dc2p-17, -0x1.5a5e4f0726fabp-17, -0x1.5149f7d00ade9p-17, -0x1.4895126627ebep-17, -0x1.403ba2109e67cp-17, -0x1.3839d06150e56p-17, -0x1.308bebf307b63p-17, -0x1.292e672b3225cp-17, -0x1.221dd70c97457p-17, -0x1.1b56f21057b13p-17, -0x1.14d68effedfa9p-17, -0x1.0e99a3e1e9127p-17, -0x1.089d44e91ec8ap-17, -0x1.02dea36ff3e02p-17, -0x1.fab619ebdac5dp-18, -0x1.f01fd4561d50ap-18, -0x1.e5f57c01d914fp-18, -0x1.dc32497b92974p-18, -0x1.d2d1a637c8129p-18, -0x1.c9cf2ae19f1bfp-18, -0x1.c1269dad1fa45p-18, -0x1.b8d3f0c1e964ep-18, -0x1.b0d340a375d13p-18, -0x1.a920d2b7c527ep-18, -0x1.a1b913cbb6034p-18, -0x1.9a9896a73a143p-18, -0x1.93bc12b017605p-18, -0x1.8d20629680a2ap-18, -0x1.86c2830c6a86p-18, -0x1.809f917f5a68p-18, -0x1.7ab4caeac56ep-18, -0x1.74ff8aa877c65p-18, -0x1.6f7d495064ec3p-18, -0x1.6a2b9b9f99dcp-18, -0x1.6508316be113ap-18, -0x1.6010d49b47d0dp-18, -0x1.5b4368243b15cp-18, -0x1.569de71ba07fcp-18, -0x1.521e63c40f0f5p-18, -0x1.4dc306ac7fef6p-18, -0x1.498a0dd026ac1p-18, -0x1.4571cbc1a5f22p-18, -0x1.4178a6da1e576p-18, -0x1.3d9d1870d4e95p-18, -0x1.39ddac15fb03fp-18, -0x1.3638fedcc45bfp-18, -0x1.32adbea627f58p-18, -0x1.2f3aa97427df2p-18, -0x1.2bde8cbe458ccp-18, -0x1.289844d1e774fp-18, -0x1.2566bc34b7a93p-18, -0x1.2248eb0c18142p-18, -0x1.1f3dd68ca4b7ap-18, -0x1.1c44906c4ep-18, -0x1.195c365c4cec6p-18, -0x1.1683f1867e3e8p-18, -0x1.13baf60cbc2p-18, -0x1.1100828dadb1ep-18, -0x1.0e53dfb3dfe25p-18, -0x1.0bb45fc6023c6p-18, -0x1.09215e36a6ea1p-18, -0x1.069a3f3a8fecbp-18, -0x1.041e6f681a22bp-18, -0x1.01ad6355465a8p-18, -0x1.fe8d2e700369ep-19, -0x1.f9d31d1f065cbp-19, -0x1.f52ba797776a5p-19, -0x1.f095eff5e6f66p-19, -0x1.ec1124f13e4a1p-19, -0x1.e79c8144e5441p-19, -0x1.e3374b0f2af2cp-19, -0x1.dee0d357e1bb3p-19, -0x1.da98758337547p-19, -0x1.d65d96ccd6b68p-19, -0x1.d22fa5c392a84p-19, -0x1.ce0e19d61094bp-19, -0x1.c9f872e84e98cp-19, -0x1.c5ee38d7ba07bp-19, -0x1.c1eefb19672fcp-19, -0x1.bdfa50505ad39p-19, -0x1.ba0fd5ed9322bp-19, -0x1.b62f2fcd2e40cp-19, -0x1.b25807e2ebae3p-19, -0x1.ae8a0ddddb1fap-19, -0x1.aac4f6da6ee99p-19, -0x1.a7087d1c14615p-19, -0x1.a3545fbeca58fp-19, -0x1.9fa862664b559p-19, -0x1.9c044cfa9e49dp-19, -0x1.9867eb70b9b92p-19, -0x1.94d30d872ca86p-19, -0x1.91458688e539cp-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.7d8cb74a3fc49p-8, 0x1.7da43a87a4b98p-7, 0x1.1e5418582a547p-6, 0x1.7de8fe4bb3de2p-6, 0x1.dd87ba45f7204p-6, 0x1.1e8ee05f5775bp-5, 0x1.4e47a2b2a24dcp-5, 0x1.7ddbf6bf957ebp-5, 0x1.ad35e88b5c457p-5, 0x1.dc3c545ce6b5dp-5, 0x1.0569c3a0cb96dp-4, 0x1.1c6ef00d0d865p-4, 0x1.331e3567bd8d1p-4, 0x1.4967b8b693302p-4, 0x1.5f3b803c646ebp-4, 0x1.7489ae8b3c6a4p-4, 0x1.8942b63614bfcp-4, 0x1.9d57862df6eebp-4, 0x1.b0b9af0fade11p-4, 0x1.c35b81cd54b8fp-4, 0x1.d530283693b96p-4, 0x1.e62bb7eeb3b03p-4, 0x1.f64340646690bp-4, 0x1.02b66a2e9e67ep-3, 0x1.09cfc7d0e4746p-3, 0x1.1069cca77ae8fp-3, 0x1.168111a3d03a2p-3, 0x1.1c12b39b5ee64p-3, 0x1.211c50c3f003ep-3, 0x1.259c05586828p-3, 0x1.2990678ea2fcfp-3, 0x1.2cf88301d8635p-3, 0x1.2fd3d3b0bb536p-3, 0x1.322240aa59801p-3, 0x1.33e4168137de4p-3, 0x1.351a0198a2966p-3, 0x1.35c5085d8b491p-3, 0x1.35e685795cfa1p-3, 0x1.3580220b332cp-3, 0x1.3493cff1b0895p-3, 0x1.3323c42e0191ap-3, 0x1.313271671bc5dp-3, 0x1.2ec28292e58e7p-3, 0x1.2bd6d5c9d8becp-3, 0x1.28727748b9883p-3, 0x1.24989ca3145cfp-3, 0x1.204ca02882b03p-3, 0x1.1b91fc7e11251p-3, 0x1.166c486c9c0ap-3, 0x1.10df32e4730cbp-3, 0x1.0aee7f363fc1p-3, 0x1.049e0180d1bd9p-3, 0x1.fbe336a62824p-4, 0x1.edda7102aaec7p-4, 0x1.df29985988e4ep-4, 0x1.cfd89bf78d632p-4, 0x1.bfef6f03bc3cbp-4, 0x1.af7603ab0208ep-4, 0x1.9e7446a4a2efdp-4, 0x1.8cf21b0c0898bp-4, 0x1.7af7568c92f67p-4, 0x1.688bbddbcb6e3p-4, 0x1.55b7017e8bf6dp-4, 0x1.4280bad587ed4p-4, 0x1.2ef0696dabbdfp-4, 0x1.1b0d7090d9bf5p-4, 0x1.06df151394fbep-4, 0x1.e4d8f6b86acacp-5, 0x1.bb794b40b5e6bp-5, 0x1.91ace4aad27b4p-5, 0x1.678135a1de5aep-5, 0x1.3d03642beb2ecp-5, 0x1.124047989d0ecp-5, 0x1.ce88cd7c7692ap-6, 0x1.7837ecff9cb9dp-6, 0x1.21a5b12e6f92p-6, 0x1.95d26a7994804p-7, 0x1.d063aa97921e3p-8, 0x1.d4a981fc648f8p-10, -0x1.cb65386c8bcffp-9, -0x1.1ff0c6aa0843ep-7, -0x1.cc89b1b95fcbp-7, -0x1.3c3eef28c5d26p-6, -0x1.91d4387f5fe95p-6, -0x1.e6f2f10b7d32cp-6, -0x1.1dc4fee27083cp-5, -0x1.47c4759113e8fp-5, -0x1.716ff5cd1774p-5, -0x1.9abfeafc9ddfp-5, -0x1.c3ad11c734588p-5, -0x1.ec30771a9c2b5p-5, -0x1.0a21bb8fc314p-4, -0x1.1defde0ff8d29p-4, -0x1.317f9eb06699cp-4, -0x1.44ce1ef81e5efp-4, -0x1.57d8a5b4f6549p-4, -0x1.6a9c9e5950cd1p-4, -0x1.7d17985617446p-4, -0x1.8f4746716983ep-4, -0x1.a1297e1a7ce75p-4, -0x1.b2bc36bb1cb3p-4, -0x1.c3fd89072a7bep-4, -0x1.d4ebae4a858a4p-4, -0x1.e584ffb5a916ep-4, -0x1.f5c7f5a951995p-4, -0x1.02d99380b20c2p-3, -0x1.0aa2a42fb97a7p-3, -0x1.123e95ba81b1p-3, -0x1.19acdf26e96d5p-3, -0x1.20ed054d260c3p-3, -0x1.27fe9a7d31eacp-3, -0x1.2ee13e247a1c2p-3, -0x1.35949c73e4157p-3, -0x1.3c186e0643f09p-3, -0x1.426c77873ee02p-3, -0x1.4890895ac791fp-3, -0x1.4e847f451bdf2p-3, -0x1.5448401379718p-3, -0x1.59dbbd4577c6ap-3, -0x1.5f3ef2b71a09cp-3, -0x1.6471e64bab3d3p-3, -0x1.6974a79968375p-3, -0x1.6e474f95fd9cdp-3, -0x1.72ea0043e545bp-3, -0x1.775ce460b202ap-3, -0x1.7ba02f1442b8bp-3, -0x1.7fb41ba0f02cep-3, -0x1.8398ed14b9e68p-3, -0x1.874eedfb6f83bp-3, -0x1.8ad67011eb9d1p-3, -0x1.8e2fcbfa592f1p-3, -0x1.915b60f190ba4p-3, -0x1.9459948589967p-3, -0x1.972ad24cf1f0bp-3, -0x1.99cf8b9fe3c82p-3, -0x1.9c483751c177p-3, -0x1.9e95516c4293ap-3, -0x1.a0b75aeba77d8p-3, -0x1.a2aed97c28b11p-3, -0x1.a47c57389755dp-3, -0x1.a620626a30c75p-3, -0x1.a79b8d49bbf99p-3, -0x1.a8ee6dc1d572dp-3, -0x1.aa199d32843e9p-3, -0x1.ab1db8360e2d6p-3, -0x1.abfb5e671188cp-3, -0x1.acb33227e198ap-3, -0x1.ad45d86b297e1p-3, -0x1.adb3f87dd8e8cp-3, -0x1.adfe3bd256413p-3, -0x1.ae254dccfaad1p-3, -0x1.ae29db91d70d4p-3, -0x1.ae0c93d3bf514p-3, -0x1.adce26a4a086cp-3, -0x1.ad6f45471c5d5p-3, -0x1.acf0a2016f65ep-3, -0x1.ac52eff199426p-3, -0x1.ab96e2e2cb2bp-3, -0x1.aabd2f241b06ap-3, -0x1.a9c6896075cfcp-3, -0x1.a8b3a677d3e99p-3, -0x1.a7853b59aafe9p-3, -0x1.a63bfce097411p-3, -0x1.a4d89faf44d97p-3, -0x1.a35bd80e88caep-3, -0x1.a1c659ccb13a9p-3, -0x1.a018d81e01a8dp-3, -0x1.9e54057e6225ep-3, -0x1.9c78939435329p-3, -0x1.9a87331450c6ep-3, -0x1.988093a720a7fp-3, -0x1.966563cedcf03p-3, -0x1.943650cee823fp-3, -0x1.91f4069437cbcp-3, -0x1.8f9f2f9ed84acp-3, -0x1.8d3874ec77b56p-3, -0x1.8ac07de3fdd1ap-3, -0x1.8837f0422b182p-3, -0x1.859f70073183bp-3, -0x1.82f79f654d594p-3, -0x1.80411eb0551a7p-3, -0x1.7d7c8c4e399adp-3, -0x1.7aaa84a876373p-3, -0x1.77cba21e60788p-3, -0x1.74e07cf867d8dp-3, -0x1.71e9ab5c26e17p-3, -0x1.6ee7c14154959p-3, -0x1.6bdb506788f88p-3, -0x1.68c4e84ccda53p-3, -0x1.65a51624f8b57p-3, -0x1.627c64d1ccb1ap-3, -0x1.5f4b5cdbd75ffp-3, -0x1.5c12846c094bfp-3, -0x1.58d25f460361ep-3, -0x1.558b6ec31476cp-3, -0x1.523e31cdded0ap-3, -0x1.4eeb24dea774p-3, -0x1.4b92c1f84202p-3, -0x1.483580a599298p-3, -0x1.44d3d5f7cbbf2p-3, -0x1.416e3484df5e2p-3, -0x1.3e050c66fa7efp-3, -0x1.3a98cb3c2a691p-3, -0x1.3729dc26a6ee4p-3, -0x1.33b8a7cd9a161p-3, -0x1.3045945e5b049p-3, -0x1.2cd1058e23249p-3, -0x1.295b5c9c2cdfcp-3, -0x1.25e4f85443cfp-3, -0x1.226e3511b9312p-3, -0x1.1ef76cc2b9235p-3, -0x1.1b80f6ec025e2p-3, -0x1.180b28acf506fp-3, -0x1.149654c3f9776p-3, -0x1.1122cb93362f6p-3, -0x1.0db0db25932e6p-3, -0x1.0a40cf340d589p-3, -0x1.06d2f12b468d4p-3, -0x1.036788316325p-3, -0x1.fffdb2582fa1cp-4, -0x1.f9324d8dff343p-4, -0x1.f26d62f449cd5p-4, -0x1.ebaf6f217075ap-4, -0x1.e4f8ea6003d3cp-4, -0x1.de4a48bcf4f5ep-4, -0x1.d7a3fa161e10dp-4, -0x1.d1066a29119dfp-4, -0x1.ca7200a24a3a9p-4, -0x1.c3e7212c76ad7p-4, -0x1.bd662b8026ad8p-4, -0x1.b6ef7b739753bp-4, -0x1.b083690ab99a5p-4, -0x1.aa2248876699ap-4, -0x1.a3cc6a79b6f45p-4, -0x1.9d821bd079ed6p-4, -0x1.9743a5e9d8d43p-4, -0x1.91114ea3fc8cp-4, -0x1.8aeb586ddc6bep-4, -0x1.84d2025811ddap-4, -0x1.7ec58825bb1eap-4, -0x1.78c6225d6725fp-4, -0x1.72d4065a03a77p-4, -0x1.6cef665bcec82p-4, -0x1.67187199435e8p-4, -0x1.614f544ffede1p-4, -0x1.5b9437d5a038ap-4, -0x1.55e742a898535p-4, -0x1.50489880e889ap-4, -0x1.4ab85a60d485ep-4, -0x1.4536a6a579892p-4, -0x1.3fc399174fe32p-4, -0x1.3a5f4afa91521p-4, -0x1.3509d31f852c4p-4, -0x1.2fc345f2a987ep-4, -0x1.2a8bb58cbea73p-4, -0x1.256331c2acec9p-4, -0x1.2049c835488p-4, -0x1.1b3f8460ea622p-4, -0x1.16446face48ep-4, -0x1.1158917aca1f4p-4, -0x1.0c7bef358d6d5p-4, -0x1.07ae8c606ce3cp-4, -0x1.02f06aa5b7926p-4, -0x1.fc8313cabb536p-5, -0x1.f343d086a7ddap-5, -0x1.ea23046b7dc73p-5, -0x1.e120a525ea97p-5, -0x1.d83ca53e8e1a7p-5, -0x1.cf76f435221fcp-5, -0x1.c6cf7e9b3dea2p-5, -0x1.be462e2ead474p-5, -0x1.b5dae9f354f1ap-5, -0x1.ad8d964cad0b3p-5, -0x1.a55e1516cfedep-5, -0x1.9d4c45bf17b12p-5, -0x1.9558055c48475p-5, -0x1.8d812ec64c899p-5, -0x1.85c79aad87f33p-5, -0x1.7e2b1fb1ab1b5p-5, -0x1.76ab927820bdcp-5, -0x1.6f48c5c2026f5p-5, -0x1.68028a81a856ap-5, -0x1.60d8afefb9884p-5, -0x1.59cb039fce40bp-5, -0x1.52d95194a8ec8p-5, -0x1.4c036453fbc76p-5, -0x1.454904f9b89dfp-5, -0x1.3ea9fb4af80ffp-5, -0x1.38260dc86e79p-5, -0x1.31bd01c075897p-5, -0x1.2b6e9b60a5fc5p-5, -0x1.253a9dc706575p-5, -0x1.1f20cb12c913ep-5, -0x1.1920e474abc8bp-5, -0x1.133aaa3edc3c6p-5, -0x1.0d6ddbf47fe0ep-5, -0x1.07ba3858d5a01p-5, -0x1.021f7d7de2246p-5, -0x1.f93ad1a58d442p-6, -0x1.ee676e634bf54p-6, -0x1.e3c449da69776p-6, -0x1.d950dbbbb490ep-6, -0x1.cf0c9adce98cfp-6, -0x1.c4f6fd5181b6fp-6, -0x1.bb0f7882bbb16p-6, -0x1.b1558146f5494p-6, -0x1.a7c88bf847fep-6, -0x1.9e680c8a6f493p-6, -0x1.9533769ffef92p-6, -0x1.8c2a3d9ee8ec4p-6, -0x1.834bd4c459e95p-6, -0x1.7a97af37eefddp-6, -0x1.720d401e41451p-6, -0x1.69abfaaacaeap-6, -0x1.617352312c6b7p-6, -0x1.5962ba35da96p-6, -0x1.5179a67e29f08p-6, -0x1.49b78b1fd0f05p-6, -0x1.421bdc8fc1ff7p-6, -0x1.3aa60fb075f4bp-6, -0x1.335599dfb7e2dp-6, -0x1.2c29f103cda59p-6, -0x1.25228b9835791p-6, -0x1.1e3ee0b9c1b8p-6, -0x1.177e683235f01p-6, -0x1.10e09a83708ebp-6, -0x1.0a64f0f2044c1p-6, -0x1.040ae58f6754ep-6, -0x1.fba3e6874e9cbp-7, -0x1.ef732bad446bp-7, -0x1.e38293f18f3b2p-7, -0x1.d7d11a96e933fp-7, -0x1.cc5dbcd1c693ep-7, -0x1.c12779d745877p-7, -0x1.b62d52eb805f8p-7, -0x1.ab6e4b6ede3aap-7, -0x1.a0e968eab52abp-7, -0x1.969db31d3b06bp-7, -0x1.8c8a34049d7fap-7, -0x1.82adf7e980ce4p-7, -0x1.79080d68c6032p-7, -0x1.6f97857ca2d2fp-7, -0x1.665b73850adf2p-7, -0x1.5d52ed4f7cc67p-7, -0x1.547d0b1e31955p-7, -0x1.4bd8e7aeb707bp-7, -0x1.4365a03ff7912p-7, -0x1.3b225497bc8d3p-7, -0x1.330e270774f9ap-7, -0x1.2b283c70b63e5p-7, -0x1.236fbc49020eep-7, -0x1.1be3d09d38231p-7, -0x1.1483a6147741ap-7, -0x1.0d4e6bf292c51p-7, -0x1.0643541a144ccp-7, -0x1.fec3261b7cf86p-8, -0x1.f150bfe3699e7p-8, -0x1.e42de918776b6p-8, -0x1.d7591a8c2bc4cp-8, -0x1.cad0d254f7225p-8, -0x1.be9393cd98463p-8, -0x1.b29fe79384193p-8, -0x1.a6f45b84c6fbdp-8, -0x1.9b8f82bd5fd3bp-8, -0x1.906ff593c2a4fp-8, -0x1.85945194fc4fcp-8, -0x1.7afb398033e51p-8, -0x1.70a35541987cep-8, -0x1.668b51ecb9de3p-8, -0x1.5cb1e1b69406fp-8, -0x1.5315bbeee4df1p-8, -0x1.49b59cf93242ep-8, -0x1.4090464567102p-8, -0x1.37a47e4804f57p-8, -0x1.2ef11071e2015p-8, -0x1.2674cd2789068p-8, -0x1.1e2e89b8422eap-8, -0x1.161d2054ba703p-8, -0x1.0e3f700597514p-8, -0x1.06945ca15a75dp-8, -0x1.fe359d849aaf4p-9, -0x1.efa367782d29bp-9, -0x1.e16ffb21eb77cp-9, -0x1.d39945cdabfep-9, -0x1.c61d3df840e5fp-9, -0x1.b8f9e338caf9dp-9, -0x1.ac2d3e2990179p-9, -0x1.9fb56050afdcbp-9, -0x1.9390640836309p-9, -0x1.87bc6c662d3f7p-9, -0x1.7c37a5241a45fp-9, -0x1.710042867c0dep-9, -0x1.66148143d331fp-9, -0x1.5b72a66bbab5bp-9, -0x1.5118ff4daf8bfp-9, -0x1.4705e15f8caebp-9, -0x1.3d37aa244e24ep-9, -0x1.33acbf1226a4dp-9, -0x1.2a638d78f45a7p-9, -0x1.215a8a6839438p-9, -0x1.18903295601c2p-9, -0x1.10030a41b6fb5p-9, -0x1.07b19d2081954p-9, -0x1.ff34fc79ee717p-10, -0x1.ef788fc0eb6fp-10, -0x1.e02b36f088906p-10, -0x1.d14a42f7afc44p-10, -0x1.c2d312a56008bp-10, -0x1.b4c31275a118fp-10, -0x1.a717bc5d5c81ep-10, -0x1.99ce97976594p-10, -0x1.8ce53870f1384p-10, -0x1.805940171e3c5p-10, -0x1.74285c639d915p-10, -0x1.685047aab5515p-10, -0x1.5ccec8885874cp-10, -0x1.51a1b1ae850a9p-10, -0x1.46c6e1b3ba153p-10, -0x1.3c3c42e15ec4ep-10, -0x1.31ffcb029ec97p-10, -0x1.280f7b3449994p-10, -0x1.1e695fb3d98c4p-10, -0x1.150b8faff1e31p-10, -0x1.0bf42d18a242ep-10, -0x1.032164701a8dfp-10, -0x1.f522d937f14bcp-11, -0x1.e4850d6e3db96p-11, -0x1.d465fbc73ce0dp-11, -0x1.c4c24e3a51d17p-11, -0x1.b596c218f2c21p-11, -0x1.a6e027b4a291ep-11, -0x1.989b6206c3641p-11, -0x1.8ac56659f05edp-11, -0x1.7d5b3bf2d21b2p-11, -0x1.7059fbbb309e1p-11, -0x1.63becfeda4befp-11, -0x1.5786f3c176d06p-11, -0x1.4bafb3194f707p-11, -0x1.40366a30e88adp-11, -0x1.3518854d34dbep-11, -0x1.2a53806c1a3dcp-11, -0x1.1fe4e6f6b31f9p-11, -0x1.15ca53738fc3fp-11, -0x1.0c016f3ab679fp-11, -0x1.0287f229956d9p-11, -0x1.f2b744b1de3ecp-12, -0x1.e0f4a7a7e2725p-12, -0x1.cfc3d09ed8137p-12, -0x1.bf209dc661952p-12, -0x1.af070785f033ep-12, -0x1.9f731ff336509p-12, -0x1.90611248beb9p-12, -0x1.81cd22615253p-12, -0x1.73b3ac325edfdp-12, -0x1.661123492637dp-12, -0x1.58e2124c025bcp-12, -0x1.4c231a7af1543p-12, -0x1.3fd0f33337e54p-12, -0x1.33e86976e380ap-12, -0x1.28665f7182658p-12, -0x1.1d47cc03b24d7p-12, -0x1.1289ba4e005b3p-12, -0x1.0829493ebd319p-12, -0x1.fc4756422b8p-13, -0x1.e8ec4a5d4c53ep-13, -0x1.d63c1e46cf6dfp-13, -0x1.c431a5a364408p-13, -0x1.b2c7d7735455fp-13, -0x1.a1f9cd44da6f8p-13, -0x1.91c2c268768b8p-13, -0x1.821e132ac727p-13, -0x1.73073c0fb6113p-13, -0x1.6479d91436e4p-13, -0x1.5671a4f0dbdbbp-13, -0x1.48ea786035a84p-13, -0x1.3be0496e3c4b6p-13, -0x1.2f4f2ac058f43p-13, -0x1.23334aea133e3p-13, -0x1.1788f3c02a031p-13, -0x1.0c4c89b1556f7p-13, -0x1.017a8b2256dep-13, -0x1.ee1f1f9643715p-14, -0x1.da109032f824p-14, -0x1.c6c2f928fd3f6p-14, -0x1.b4301a8b0a701p-14, -0x1.a251e24619cf9p-14, -0x1.91226b0076f84p-14, -0x1.809bfaf55516fp-14, -0x1.70b902e02cb68p-14, -0x1.61741ce8b44a7p-14, -0x1.52c80b9836143p-14, -0x1.44afb8d00500fp-14, -0x1.372634c8d82b2p-14, -0x1.2a26b5175e7d7p-14, -0x1.1dac93b49af74p-14, -0x1.11b34e0ba1f74p-14, -0x1.0636840d79324p-14, -0x1.f663ee99afac6p-15, -0x1.e1431430ac13p-15, -0x1.cd027d3b17674p-15, -0x1.b99a6c23f1323p-15, -0x1.a7035fbe9207p-15, -0x1.953611a59b69fp-15, -0x1.842b74aa6d7f8p-15, -0x1.73dcb3496da2fp-15, -0x1.64432e28dfd52p-15, -0x1.55587a9c5ea24p-15, -0x1.4716613264878p-15, -0x1.3976dc522ad9ap-15, -0x1.2c7416d7bbdc3p-15, -0x1.20086abd0a3b6p-15, -0x1.142e5fc9fe81cp-15, -0x1.08e0aa4dee859p-15, -0x1.fc3453b9423ddp-16, -0x1.e7abd0331698bp-16, -0x1.d41e2f0290eb6p-16, -0x1.c1822493a06e7p-16, -0x1.afceb274d9c68p-16, -0x1.9efb251c6fc6dp-16, -0x1.8eff11c402f4p-16, -0x1.7fd25450c2451p-16, -0x1.716d0d4144199p-16, -0x1.63c79fada52aep-16, -0x1.56daaf57bc23cp-16, -0x1.4a9f1ec383dbdp-16, -0x1.3f0e0d57569d7p-16, -0x1.3420d58aeb65dp-16, -0x1.29d10b2b5d73fp-16, -0x1.201879a28e0bap-16, -0x1.16f1224bbf7d1p-16, -0x1.0e553acb72993p-16, -0x1.063f2b809391cp-16, -0x1.fd531bee3f6afp-17, -0x1.ef1e56c2d560dp-17, -0x1.e1d5f64d7386bp-17, -0x1.d57042eb8cd6cp-17, -0x1.c9e3dbcd1c2dep-17, -0x1.bf27b429b4e31p-17, -0x1.b53310adb3a87p-17, -0x1.abfd84e3ed956p-17, -0x1.a37ef0bca3bd5p-17, -0x1.9baf7e26a15f3p-17, -0x1.94879eb1c3b01p-17, -0x1.8e00094166056p-17, -0x1.8811b7d8fcca8p-17, -0x1.82b5e56942056p-17, -0x1.7de60bb7bbe32p-17, -0x1.799be15c9b332p-17, -0x1.75d157bc4b66ep-17, -0x1.7280992cca68fp-17, -0x1.6fa406f9b85bdp-17, -0x1.6d3637a54c4aap-17, -0x1.6b31f51473251p-17, -0x1.69923ae43c76ap-17, -0x1.685234bef4f8cp-17, -0x1.676d3cbc6c63ep-17, -0x1.66ded9ca637aap-17, -0x1.66a2be2f9f0e7p-17, -0x1.66b4c60b35713p-17, -0x1.6710f5e4d3893p-17, -0x1.67b3794b6caeep-17, -0x1.6898a178fb944p-17, -0x1.69bce40c93e5cp-17, -0x1.6b1cd9bcc7a19p-17, -0x1.6cb53d1bbdf8bp-17, -0x1.6e82e964f7875p-17, -0x1.7082d95ba0fa6p-17, -0x1.72b2263097c3cp-17, -0x1.750e06618db75p-17, -0x1.7793ccaed82d4p-17, -0x1.7a40e71dcce8dp-17, -0x1.7d12ddfa3417p-17, -0x1.800752df56bcep-17, -0x1.831bffce4f0fdp-17, -0x1.864eb645c6db4p-17, -0x1.899d5e6a17a67p-17, -0x1.8d05f62b23301p-17, -0x1.908690785e7fbp-17, -0x1.941d546db0efbp-17, -0x1.97c87ca2737aep-17, -0x1.9b86566bd82e7p-17, -0x1.9f5541210c0b5p-17, -0x1.a333ad695b455p-17, -0x1.a7201c96cac7cp-17, -0x1.ab19201022cd7p-17, -0x1.af1d58a29668p-17, -0x1.b32b75f3a8807p-17, -0x1.b74235e9bb69cp-17, -0x1.bb60641cd5a7p-17, -0x1.bf84d94dcbd6fp-17, -0x1.c3ae7ae62a2ccp-17, -0x1.c7dc3a71f549fp-17, -0x1.cc0d152936f77p-17, -0x1.d0401380d97c5p-17, -0x1.d47448b4d44e9p-17, -0x1.d8a8d253b8685p-17, -0x1.dcdcd7cee301p-17, -0x1.e10f8a23d023p-17, -0x1.e5402372b28afp-17, -0x1.e96de6a2bdd97p-17, }}, 
      {{-0x1.d92da6361884ep-2, -0x1.d98b40a1378a3p-2, -0x1.da205dac45737p-2, -0x1.dae4bcc3557e9p-2, -0x1.dbcf1a3e7767cp-2, -0x1.dcd5fc2a5227p-2, -0x1.ddf03d5cac753p-2, -0x1.df1567b0aaf46p-2, -0x1.e03dea41d6f98p-2, -0x1.e163356c6e88ap-2, -0x1.e27fc40114f3cp-2, -0x1.e38f174d83246p-2, -0x1.e48daa39b064cp-2, -0x1.e578dea89715fp-2, -0x1.e64ee779f9e3fp-2, -0x1.e70eb0e965452p-2, -0x1.e7b7c88af24f1p-2, -0x1.e84a45c7ceb1cp-2, -0x1.e8c6b3748ad1cp-2, -0x1.e92dfae4f3383p-2, -0x1.e98150b87c97fp-2, -0x1.e9c2237c45d3fp-2, -0x1.e9f20c29d4bc2p-2, -0x1.ea12c07a20b2fp-2, -0x1.ea2606f9cd87p-2, -0x1.ea2dacc46e0ap-2, -0x1.ea2b7cc85e5f7p-2, -0x1.ea213872953e8p-2, -0x1.ea1091a1088c3p-2, -0x1.e9fb25babe9b6p-2, -0x1.e9e279cd9ebep-2, -0x1.e9c7f793dc572p-2, -0x1.e9aceb44ac031p-2, -0x1.e99282161c202p-2, -0x1.e979c95816ce1p-2, -0x1.e963ae12ba1d4p-2, -0x1.e950fd1457257p-2, -0x1.e942635d60bfap-2, -0x1.e9386eda855d5p-2, -0x1.e9338f5ee9e5fp-2, -0x1.e93417d21ab3ap-2, -0x1.e93a3f86d1d6fp-2, -0x1.e94623b0fb331p-2, -0x1.e957c8f2a950dp-2, -0x1.e96f1cf8c1159p-2, -0x1.e98bf8211fe1fp-2, -0x1.e9ae1f24eca6fp-2, -0x1.e9d544c27fdefp-2, -0x1.ea010b63151f8p-2, -0x1.ea3106b90afebp-2, -0x1.ea64bd54095c5p-2, -0x1.ea9baa28e3058p-2, -0x1.ead53e0b752ep-2, -0x1.eb10e11927fa4p-2, -0x1.eb4df4130281dp-2, -0x1.eb8bd1a6983f3p-2, -0x1.ebc9cfa54bfd8p-2, -0x1.ec0740299e5fdp-2, -0x1.ec4372aa6fd1ap-2, -0x1.ec7db4fc43f4cp-2, -0x1.ecb55440b2152p-2, -0x1.ece99dc459484p-2, -0x1.ed19dfcbb02d4p-2, -0x1.ed456a4f38a5cp-2, -0x1.ed6b8fa78f25dp-2, -0x1.ed8ba529fa8b3p-2, -0x1.eda503b60d2afp-2, -0x1.edb708350bda6p-2, -0x1.edc1140bb5c13p-2, -0x1.edc28d7f27708p-2, -0x1.edbae00d83718p-2, -0x1.eda97cbb0b62bp-2, -0x1.ed8dda545f468p-2, -0x1.ed6775a6846cp-2, -0x1.ed35d1ad60592p-2, -0x1.ecf877b94f471p-2, -0x1.ecaef78c66e32p-2, -0x1.ec58e7700ea6ap-2, -0x1.ebf5e44375adp-2, -0x1.eb859183787c4p-2, -0x1.eb07994c80d81p-2, -0x1.ea7bac56d893cp-2, -0x1.e9e181edf4a3ep-2, -0x1.e938d7e326645p-2, -0x1.e881727c256b8p-2, -0x1.e7bb1c5dd46f8p-2, -0x1.e6e5a673ae4e7p-2, -0x1.e600e7d42b47p-2, -0x1.e50cbda27e3fep-2, -0x1.e4090aedf635ep-2, -0x1.e2f5b88f50568p-2, -0x1.e1d2b50442061p-2, -0x1.e09ff4497bea5p-2, -0x1.df5d6fb36238dp-2, -0x1.de0b25c5b0d28p-2, -0x1.dca91a0a41b6ep-2, -0x1.db3754e7246b3p-2, -0x1.d9b5e3742f3eap-2, -0x1.d824d75037b6dp-2, -0x1.d684467612407p-2, -0x1.d4d44b117a904p-2, -0x1.d315035407039p-2, -0x1.d146914a3ebe6p-2, -0x1.cf691ab0eb29ep-2, -0x1.cd7cc8cabde42p-2, -0x1.cb81c8365e09ep-2, -0x1.c97848c4eb5f6p-2, -0x1.c7607d510ce32p-2, -0x1.c53a9b96963c4p-2, -0x1.c306dc0acccdcp-2, -0x1.c0c579b55e794p-2, -0x1.be76b20a0d233p-2, -0x1.bc1ac4c31b4b3p-2, -0x1.b9b1f3bc7be92p-2, -0x1.b73c82cfd2c2dp-2, -0x1.b4bab7b13ff1dp-2, -0x1.b22cd9cd035bp-2, -0x1.af933225f6c64p-2, -0x1.acee0b34e21a4p-2, -0x1.aa3db0c8a94d1p-2, -0x1.a7826fe7578cdp-2, -0x1.a4bc96b00730fp-2, -0x1.a1ec743da6739p-2, -0x1.9f12588a95debp-2, -0x1.9c2e945524d39p-2, -0x1.99417904e5933p-2, -0x1.964b5890da194p-2, -0x1.934c856676b6ap-2, -0x1.9045525178a75p-2, -0x1.8d3612649034cp-2, -0x1.8a1f18e2d6793p-2, -0x1.8700b92a1248dp-2, -0x1.83db469dc4563p-2, -0x1.80af1492fe878p-2, -0x1.7d7c763cf787ep-2, -0x1.7a43be9a64b33p-2, -0x1.770540638eec7p-2, -0x1.73c14df9209c7p-2, -0x1.70783953aa359p-2, -0x1.6d2a53f3dbea7p-2, -0x1.69d7eed36b5b4p-2, -0x1.66815a56a6fc4p-2, -0x1.6326e63eb5025p-2, -0x1.5fc8e19c72d6bp-2, -0x1.5c679ac3f7456p-2, -0x1.59035f40b6f4cp-2, -0x1.559c7bca3ed7p-2, -0x1.52333c3988896p-2, -0x1.4ec7eb7ee27ap-2, -0x1.4b5ad398661c7p-2, -0x1.47ec3d88ffb15p-2, -0x1.447c714ffc31dp-2, -0x1.410bb5e12002bp-2, -0x1.3d9a511d3da36p-2, -0x1.3a2887cb504d7p-2, -0x1.36b69d920e35p-2, -0x1.3344d4f1f9e38p-2, -0x1.2fd36f3fe50a9p-2, -0x1.2c62ac9fe7024p-2, -0x1.28f2cc00c6112p-2, -0x1.25840b17c72dfp-2, -0x1.2216a65cefa9fp-2, -0x1.1eaad907a4f9bp-2, -0x1.1b40dd0bb6ec5p-2, -0x1.17d8eb16c47cap-2, -0x1.14733a8e0396cp-2, -0x1.1110018c5e309p-2, -0x1.0daf74e0ec2e1p-2, -0x1.0a51c80dbe32bp-2, -0x1.06f72d46fdc52p-2, -0x1.039fd57259f9ap-2, -0x1.004bf026c2d5fp-2, -0x1.f9f75758d8ca9p-3, -0x1.f35e69fa39223p-3, -0x1.eccd6f89734p-3, -0x1.e644bcc43f07ep-3, -0x1.dfc4a3d05bc8ep-3, -0x1.d94d743e366b4p-3, -0x1.d2df7b0bf687cp-3, -0x1.cc7b02a90867ap-3, -0x1.c62052fa0602fp-3, -0x1.bfcfb15d141b7p-3, -0x1.b98960ae958a9p-3, -0x1.b34da14e43b7ap-3, -0x1.ad1cb1249f036p-3, -0x1.a6f6cba8b567dp-3, -0x1.a0dc29e633dc2p-3, -0x1.9acd0283cdebap-3, -0x1.94c989c9e4a3p-3, -0x1.8ed1f1a978405p-3, -0x1.88e669c35a1a5p-3, -0x1.83071f6f96d2cp-3, -0x1.7d343dc51b77cp-3, -0x1.776deda195947p-3, -0x1.71b455b17d7ap-3, -0x1.6c079a7850e9bp-3, -0x1.6667de58fd3efp-3, -0x1.60d5419e69432p-3, -0x1.5b4fe2842afd3p-3, -0x1.55d7dd3f5b68ep-3, -0x1.506d4c0784917p-3, -0x1.4b10471fb3bdp-3, -0x1.45c0e4df9b6cap-3, -0x1.407f39bccdfe2p-3, -0x1.3b4b58540e4abp-3, -0x1.36255172aad4p-3, -0x1.310d341fe7e5bp-3, -0x1.2c030da6798b4p-3, -0x1.2706e99dfe681p-3, -0x1.2218d1f487c04p-3, -0x1.1d38cef81fc01p-3, -0x1.1866e760596f3p-3, -0x1.13a32057d535ep-3, -0x1.0eed7d85d0d05p-3, -0x1.0a460117a68c9p-3, -0x1.05acabca4c87ap-3, -0x1.01217cf3cf855p-3, -0x1.f948e519769dap-4, -0x1.f06b1273029eap-4, -0x1.e7a978a795ea4p-4, -0x1.df040be7868e9p-4, -0x1.d67abdf29a42p-4, -0x1.ce0d7e2a56b4cp-4, -0x1.c5bc39a4296bdp-4, -0x1.bd86db3b65632p-4, -0x1.b56d4ba3264dp-4, -0x1.ad6f7177ef34ap-4, -0x1.a58d315135c75p-4, -0x1.9dc66dd2a73efp-4, -0x1.961b07bd4fbeap-4, -0x1.8e8ade007a9cap-4, -0x1.8715cdca6de7dp-4, -0x1.7fbbb298e74c6p-4, -0x1.787c66495ff8dp-4, -0x1.7157c1291d516p-4, -0x1.6a4d9a04ff7e3p-4, -0x1.635dc6391a513p-4, -0x1.5c8819c00df5ep-4, -0x1.55cc6742231d1p-4, -0x1.4f2a8024282d4p-4, -0x1.48a234960fa57p-4, -0x1.423353a14c876p-4, -0x1.3bddab36f0d53p-4, -0x1.35a1083d89625p-4, -0x1.2f7d369eb69dap-4, -0x1.2972015485d9bp-4, -0x1.237f327687075p-4, -0x1.1da493469da6bp-4, -0x1.17e1ec3d939f3p-4, -0x1.12370517658b5p-4, -0x1.0ca3a4df4c587p-4, -0x1.072791fb83dfbp-4, -0x1.01c29238d256ap-4, -0x1.f8e8d5ab8b609p-5, -0x1.ee79c11b6c1dp-5, -0x1.e4376f46fe0a1p-5, -0x1.da2167d7fa71ap-5, -0x1.d03731b086af5p-5, -0x1.c67852ff2842p-5, -0x1.bce451522b118p-5, -0x1.b37ab1aa9122dp-5, -0x1.aa3af88e796dep-5, -0x1.a124aa1b0809dp-5, -0x1.98374a15d8205p-5, -0x1.8f725bfde8e29p-5, -0x1.86d5631c0d962p-5, -0x1.7e5fe292ea3a7p-5, -0x1.76115d6e72ec8p-5, -0x1.6de956b2f07fap-5, -0x1.65e7516b9208ap-5, -0x1.5e0ad0b88aa6fp-5, -0x1.565357dcb8621p-5, -0x1.4ec06a4ad7f91p-5, -0x1.47518bb24dbc1p-5, -0x1.4006400b7b588p-5, -0x1.38de0ba3a72acp-5, -0x1.31d873287bc44p-5, -0x1.2af4fbb31cd6p-5, -0x1.24332ad2d1254p-5, -0x1.1d92869747856p-5, -0x1.1712959a767cfp-5, -0x1.10b2df0a1d9ffp-5, -0x1.0a72eab0df783p-5, -0x1.045240fef99e2p-5, -0x1.fca0d62557ca3p-6, -0x1.f0d9e58069d73p-6, -0x1.e54ec532ff031p-6, -0x1.d9fe8beae1696p-6, -0x1.cee851edc65d1p-6, -0x1.c40b312697549p-6, -0x1.b96645321a645p-6, -0x1.aef8ab6af55cap-6, -0x1.a4c182f50c3c9p-6, -0x1.9abfecc854517p-6, -0x1.90f30bbafdbeep-6, -0x1.875a048b11b2cp-6, -0x1.7df3fde7897d4p-6, -0x1.74c02078c5ec5p-6, -0x1.6bbd96e887fd6p-6, -0x1.62eb8de95d861p-6, -0x1.5a49343d99c17p-6, -0x1.51d5babdc1207p-6, -0x1.4990545e77243p-6, -0x1.41783635fa398p-6, -0x1.398c97812d94dp-6, -0x1.31ccb1a823afcp-6, -0x1.2a37c0424eb4ep-6, -0x1.22cd011a2f708p-6, -0x1.1b8bb430a97b2p-6, -0x1.14731bbfe8e9p-6, -0x1.0d827c3dede7cp-6, -0x1.06b91c5eb7f3bp-6, -0x1.001645160ff1cp-6, -0x1.f3328331f4a66p-7, -0x1.e682bebda2868p-7, -0x1.da1bdc441d391p-7, -0x1.cdfc7fc180099p-7, -0x1.c22351b978cf8p-7, -0x1.b68eff36e6d2cp-7, -0x1.ab3e39cb0be9p-7, -0x1.a02fb78c29cd4p-7, -0x1.956233138fea1p-7, -0x1.8ad46b7b3cc51p-7, -0x1.8085245ae8d48p-7, -0x1.767325c4a65dep-7, -0x1.6c9d3c40fba25p-7, -0x1.630238caa5c82p-7, -0x1.59a0f0c9de836p-7, -0x1.50783e0f501d8p-7, -0x1.4786fece95611p-7, -0x1.3ecc159851187p-7, -0x1.3646695407c3ap-7, -0x1.2df4e53993454p-7, -0x1.25d678ca3d313p-7, -0x1.1dea17c9af2aep-7, -0x1.162eba36721c1p-7, -0x1.0ea35c422755bp-7, -0x1.0746fe49a229fp-7, -0x1.0018a4cc98f5p-7, -0x1.f22eb0ca74005p-8, -0x1.e4844b7ef52d3p-8, -0x1.d7303b206d109p-8, -0x1.ca30a9181d076p-8, -0x1.bd83c6bc45a89p-8, -0x1.b127cd3d458fep-8, -0x1.a51afd9267a89p-8, -0x1.995ba06652548p-8, -0x1.8de806036c712p-8, -0x1.82be863f89b6ep-8, -0x1.77dd8067d15c3p-8, -0x1.6d435b2c31092p-8, -0x1.62ee848a9f18dp-8, -0x1.58dd71ba4c3fcp-8, -0x1.4f0e9f169083dp-8, -0x1.45809009cdca2p-8, -0x1.3c31cef8019cbp-8, -0x1.3320ed296dbc5p-8, -0x1.2a4c82b505069p-8, -0x1.21b32e6ae42e2p-8, -0x1.195395be98a0ep-8, -0x1.112c64b188ecdp-8, -0x1.093c4dbd13aep-8, -0x1.018209bcce934p-8, -0x1.f3f8afb19576bp-9, -0x1.e553fadf6fb87p-9, -0x1.d7138c025d131p-9, -0x1.c935062fee35cp-9, -0x1.bbb61868846ddp-9, -0x1.ae947d6c037a7p-9, -0x1.a1cdfb8eac789p-9, -0x1.9560648de5abp-9, -0x1.89499565438fcp-9, -0x1.7d877623d7342p-9, -0x1.7217f9c1a1af4p-9, -0x1.66f91df515b0cp-9, -0x1.5c28eb08eaaf5p-9, -0x1.51a573b21a503p-9, -0x1.476cd4e62dbefp-9, -0x1.3d7d35b1ebd91p-9, -0x1.33d4c70feb34p-9, -0x1.2a71c3bfd6073p-9, -0x1.2152701dbc294p-9, -0x1.187519f9d363cp-9, -0x1.0fd818705e0eep-9, -0x1.0779cbc1ff731p-9, -0x1.feb13a58d6bcp-10, -0x1.eee5fd86b4cabp-10, -0x1.df8ed6940187cp-10, -0x1.d0a8cc192d55bp-10, -0x1.c230f575284f1p-10, -0x1.b4247a81f3f77p-10, -0x1.a680934a74adbp-10, -0x1.994287c08fadbp-10, -0x1.8c67af74aa9adp-10, -0x1.7fed714d54b2bp-10, -0x1.73d143402fc12p-10, -0x1.6810aa0b69322p-10, -0x1.5ca938f00a2f8p-10, -0x1.5198916d354eep-10, -0x1.46dc62fbe37a8p-10, -0x1.3c726acc02619p-10, -0x1.32587381bc917p-10, -0x1.288c54f426783p-10, -0x1.1f0bf3ec89069p-10, -0x1.15d541e6835efp-10, -0x1.0ce63cd0dc275p-10, -0x1.043ceecf7e598p-10, -0x1.f7aedbfbb89b2p-11, -0x1.e767b865b157p-11, -0x1.d7a0cd895ae47p-11, -0x1.c8568c9cbc5f3p-11, -0x1.b9857ceb1ee11p-11, -0x1.ab2a3b6339a42p-11, -0x1.9d417a25f8d7fp-11, -0x1.8fc800183f261p-11, -0x1.82baa874e55cbp-11, -0x1.7616626148793p-11, -0x1.69d83083a2d66p-11, -0x1.5dfd289a68c39p-11, -0x1.52827315673ep-11, -0x1.47654ab13afecp-11, -0x1.3ca2fc132a294p-11, -0x1.3238e567c6ac3p-11, -0x1.282476028c28cp-11, -0x1.1e632dfed9fabp-11, -0x1.14f29de3111d7p-11, -0x1.0bd066450cd82p-11, -0x1.02fa377012563p-11, -0x1.f4dba2183e299p-12, -0x1.e452038e9b543p-12, -0x1.d4534e0024ff1p-12, -0x1.c4db58e28a138p-12, -0x1.b5e617bfe5971p-12, -0x1.a76f9993e8737p-12, -0x1.9974082cc7ea1p-12, -0x1.8befa78f7801bp-12, -0x1.7eded55d5a65ep-12, -0x1.723e083eab72ap-12, -0x1.6609cf4dd0e17p-12, -0x1.5a3ed186d0a93p-12, -0x1.4ed9cd37f7dcbp-12, -0x1.43d7977724af4p-12, -0x1.39351b9835a87p-12, -0x1.2eef5aa6d748p-12, -0x1.25036ae20b04ap-12, -0x1.1b6e773b37839p-12, -0x1.122dbed75dcd6p-12, -0x1.093e9492aae4fp-12, -0x1.009e5e8726818p-12, -0x1.f0952b28c0792p-13, -0x1.e08189d5c0242p-13, -0x1.d0fd1331ac5cfp-13, -0x1.c20324358e819p-13, -0x1.b38f3bd92dd9bp-13, -0x1.a59cfa3b762c8p-13, -0x1.98281fd043242p-13, -0x1.8b2c8c9007459p-13, -0x1.7ea63f2dcbcfp-13, -0x1.729154527c2b3p-13, -0x1.66ea05d7afb0ep-13, -0x1.5bacaa0be403bp-13, -0x1.50d5b2f74144cp-13, -0x1.4661ada63adc5p-13, -0x1.3c4d417721445p-13, -0x1.32952f6c0e039p-13, -0x1.293651808d1fap-13, -0x1.202d9a023ec48p-13, -0x1.177812ee449a8p-13, -0x1.0f12dd51daa82p-13, -0x1.06fb30ae80a29p-13, -0x1.fe5cb4c294927p-14, -0x1.ef537a1acc39bp-14, -0x1.e0d5a01627cb1p-14, -0x1.d2de3db2507c6p-14, -0x1.c568912290c3fp-14, -0x1.b86ffec44f014p-14, -0x1.abf0100fbefa3p-14, -0x1.9fe472983d583p-14, -0x1.9448f70c539a1p-14, -0x1.8919904014504p-14, -0x1.7e52523b47bbfp-14, -0x1.73ef714cfed9cp-14, -0x1.69ed412556129p-14, -0x1.604833f35d546p-14, -0x1.56fcd98a80dd6p-14, -0x1.4e07de8bd552dp-14, -0x1.45660b970a8cp-14, -0x1.3d14447b449bp-14, -0x1.350f877203737p-14, -0x1.2d54ec5b895f8p-14, -0x1.25e1a402dd5abp-14, -0x1.1eb2f763f75ddp-14, -0x1.17c646f84cc5cp-14, -0x1.11190a06cf40cp-14, -0x1.0aa8cdf8dd9aep-14, -0x1.047335b21f3cfp-14, -0x1.fcebf1dc8a8cdp-15, -0x1.f15dc7485d50cp-15, -0x1.e637aad3340c3p-15, -0x1.db7581b820817p-15, -0x1.d113561e3a3c3p-15, -0x1.c70d55fa93d71p-15, -0x1.bd5fd1f8375e5p-15, -0x1.b4073c6aba952p-15, -0x1.ab00284566e3ep-15, -0x1.a247481a542dbp-15, -0x1.99d96d1e129f6p-15, -0x1.91b38633919ebp-15, -0x1.89d29f02615c9p-15, -0x1.8233df0cff36ep-15, -0x1.7ad488d2313ebp-15, -0x1.73b1f8ef52c67p-15, -0x1.6cc9a54e3730dp-15, -0x1.66191c5413661p-15, -0x1.5f9e041a03b0cp-15, -0x1.595619a64563fp-15, -0x1.533f30329259ap-15, -0x1.4d57307048979p-15, -0x1.479c17d276d74p-15, -0x1.420bf7e23bc3bp-15, -0x1.3ca4f592c5614p-15, -0x1.3765489cd9cd6p-15, -0x1.324b3ade322c4p-15, -0x1.2d5527be151a9p-15, -0x1.28817b95e7b12p-15, -0x1.23ceb31d221b3p-15, -0x1.1f3b5ad9785b5p-15, -0x1.1ac60e95a461p-15, -0x1.166d78da17f29p-15, -0x1.1230526a70b9ep-15, -0x1.0e0d61c5fbf09p-15, -0x1.0a037aadbc941p-15, -0x1.06117daac41abp-15, -0x1.0236579c3f041p-15, -0x1.fce2028a0d1b6p-16, -0x1.f580fdc084a8fp-16, -0x1.ee47bf6f8a3b5p-16, -0x1.e7347b77be7c5p-16, -0x1.e0457a40927ffp-16, -0x1.d97917f61a1d5p-16, -0x1.d2cdc3cf37827p-16, -0x1.cc41ff58fc90ep-16, -0x1.c5d45dc89be43p-16, -0x1.bf83834e94bc9p-16, -0x1.b94e24722c9c9p-16, -0x1.b3330573ae9b3p-16, -0x1.ad30f9ae3c76fp-16, -0x1.a746e30619f86p-16, -0x1.a173b1564c1dcp-16, -0x1.9bb661e87e5ffp-16, -0x1.960dfee641f83p-16, -0x1.90799ed962b5ep-16, -0x1.8af8642b1f34bp-16, -0x1.85897caabed14p-16, -0x1.802c211840c69p-16, -0x1.7adf94b115b6ep-16, -0x1.75a324c09c9cap-16, -0x1.707628342c619p-16, -0x1.6b57ff3639a23p-16, -0x1.664812c61d317p-16, -0x1.6145d459f06f4p-16, -0x1.5c50bd80e870ep-16, -0x1.57684f8b56a3ep-16, -0x1.528c133001369p-16, -0x1.4dbb983962e27p-16, -0x1.48f67534dca05p-16, -0x1.443c472486388p-16, -0x1.3f8cb134b3d25p-16, -0x1.3ae75c73612e7p-16, -0x1.364bf786ffccp-16, -0x1.31ba366fc63d5p-16, -0x1.2d31d2444d919p-16, -0x1.28b288f219c8ep-16, -0x1.243c1d02625a7p-16, -0x1.1fce555fbcfd1p-16, -0x1.1b68fd1f0d06cp-16, -0x1.170be34724734p-16, -0x1.12b6da9f856a3p-16, -0x1.0e69b97c3435ap-16, -0x1.0a245990dab7ep-16, -0x1.05e697c14461p-16, -0x1.01b053f4fb6b5p-16, -0x1.fb02e1d9f3c31p-17, -0x1.f2b3a832e92adp-17, -0x1.ea72caef4ecfbp-17, -0x1.e2401eccd7af5p-17, -0x1.da1b7d0bd4786p-17, -0x1.d204c325f798ep-17, -0x1.c9fbd28f2cf59p-17, -0x1.c2009072a4da9p-17, -0x1.ba12e5775e89p-17, -0x1.b232bd85c607cp-17, -0x1.aa60079275b8bp-17, -0x1.a29ab5676d0fp-17, -0x1.9ae2bb71450b8p-17, -0x1.9338108e16829p-17, -0x1.8b9aaddb5cf9fp-17, -0x1.840a8e8efaae7p-17, -0x1.7c87afcb9a88fp-17, -0x1.75121076e21f7p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      46, 0x1.6p+2, 0x1.06efcc5ea35cfp+1, 0x1.f82d09afb096fp+1, -0x1.16f2ce9cf5898p-7, 
      {{
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.0306c9a74d212p-4, -0x1.2ddbcddb2b0ffp-3, 0x1.3609b5de3d103p-3, -0x1.41ae61534856cp-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.ccb3862b8ffffp-5, -0x1.100fa5a2606d9p-3, 0x1.1de96e9197a38p-3, -0x1.3183e7b07994p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.991260445ef81p-5, -0x1.e93b326999333p-4, 0x1.06ff89fdf4ebap-3, -0x1.23c562f4e1617p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.6ab4a88c8ba41p-5, -0x1.b6d1e3b75d1aap-4, 0x1.e23b11f0c8083p-4, -0x1.1560c05006addp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.412a5f6312b08p-5, -0x1.88ad591fe2c0ap-4, 0x1.b89fc1e4c7081p-4, -0x1.0728a06910832p-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.1c08fe9268f8fp-5, -0x1.5e96a31927eebp-4, 0x1.912676a1d15a7p-4, -0x1.f1c926e77968bp-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.f5d6f2a0f7182p-6, -0x1.385710a933c5ep-4, 0x1.6bd0fa1d41d92p-4, -0x1.d5476ff3fa922p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.bae4787d5f522p-6, -0x1.15b7e011c05e4p-4, 0x1.489ed1b7c2418p-4, -0x1.b8c40740a8117p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.86865ad3c57f8p-6, -0x1.ed04a82b65627p-5, 0x1.27901df94f4p-4, -0x1.9c4102955e288p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.58135894d4e5bp-6, -0x1.b4ff5c6f2266cp-5, 0x1.08a4d7614e96bp-4, -0x1.7fbe1f89dcd77p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.2eed23882929bp-6, -0x1.82f260f4630f2p-5, 0x1.d7b9f6d455a65p-5, -0x1.633a51f71def5p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.0a80604c4e559p-6, -0x1.5670383f163d3p-5, 0x1.a2713755aac2bp-5, -0x1.46ba0ce1a992ap-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.d4894cad81a73p-7, -0x1.2f0b69d97e1d9p-5, 0x1.716ee89a37b9ap-5, -0x1.2a2c905e1bc59p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.9b78ffe7dae45p-7, -0x1.0c566ab64bf36p-5, 0x1.44b50625b38efp-5, -0x1.0dd06915de367p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.68ead48e62c35p-7, -0x1.dbc7ea4042d8p-6, 0x1.1c3c29959f06fp-5, -0x1.e0548a1092486p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.3c0fbd41a4ccap-7, -0x1.a689510cb37e8p-6, 0x1.f06ba4dbf4e91p-6, -0x1.a26c4da74a7dfp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.142f725f51d1p-7, -0x1.78085310eb9p-6, 0x1.b1a832cfa9bccp-6, -0x1.64feabfe1976dp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.e1527ecb28204p-8, -0x1.4f58227994615p-6, 0x1.7c1b990325eb2p-6, -0x1.271ed516dca61p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a1e82b3dff332p-8, -0x1.2b8c019265719p-6, 0x1.4fd6f90c84d26p-6, -0x1.d51a70cf705e4p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.693d184524978p-8, -0x1.0bb8d9170ad24p-6, 0x1.2ca830968f979p-6, -0x1.5269d02c7a8cfp-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.369dbfa767ac7p-8, -0x1.ddd9cfc8a03e5p-7, 0x1.1346a7600666bp-6, -0x1.0f64dc3524d52p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.09841ad48b9bdp-8, -0x1.a8d4c1e156ebbp-7, 0x1.fdd7c751adad9p-7, -0x1.0c0a4937a855dp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c307bf2d52e1p-9, -0x1.77db6aa84f22dp-7, 0x1.d5a30922ee076p-7, -0x1.fe4c6415e6773p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7c6d79872449ap-9, -0x1.4ace997aa884ap-7, 0x1.af5d4e6e16581p-7, -0x1.e9a09d54aeffp-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3e751c99dda3ep-9, -0x1.2181b610ed567p-7, 0x1.8aa475d489378p-7, -0x1.d39640911a22dp-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.0862ba8081651p-9, -0x1.f7977f4a5af2fp-8, 0x1.6792ca96740ecp-7, -0x1.bde9d43eccad4p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b3057f1b847bfp-10, -0x1.b3057e1fef837p-8, 0x1.46214111be4eap-7, -0x1.a8243c29bcb85p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.6253e498063fp-10, -0x1.74f9fe5cb3304p-8, 0x1.2651bc8e9cf42p-7, -0x1.926562ae6c455p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1d6ae6faae743p-10, -0x1.3d217259ce35ep-8, 0x1.0823bb8e54d57p-7, -0x1.7ca4ba8ee6625p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.c62af86e07f2fp-11, -0x1.0b2855eb36024p-8, 0x1.d72ec1873a4e7p-8, -0x1.66e48e666f2ap-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.645e9d5fdc5cap-11, -0x1.bd7644b53bap-9, 0x1.a15945c4a9a1fp-8, -0x1.51244105fd76ap-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.13497a6f69d96p-11, -0x1.6f0ca33fe9059p-9, 0x1.6ec708d09069fp-8, -0x1.3b63fc8e55a98p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a1cb6c40023d9p-12, -0x1.2a6cbb08f8f1dp-9, 0x1.3f780954d05d8p-8, -0x1.25a3b5ab9ba05p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.369dbfa767b63p-12, -0x1.dddeff77ba40fp-10, 0x1.136c47ae45d27p-8, -0x1.0fe36f8c3c25dp-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.c307bf2d52f62p-13, -0x1.77dbc9fb58717p-10, 0x1.d547877f46651p-9, -0x1.f446519564326p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.3e751c99ddb8dp-13, -0x1.2181bce7f8ab2p-10, 0x1.8a3cfb42775ddp-9, -0x1.c8c5c79c96d9fp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.b3057f1b849ffp-14, -0x1.b3057f23038efp-11, 0x1.45b8ea1e2d8a3p-9, -0x1.9d4530bf25f91p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1d6ae6faaea18p-14, -0x1.3d21724fe0903p-11, 0x1.07bb56018171fp-9, -0x1.71c4c9ea25dd2p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.645e9d5fdcbdfp-15, -0x1.bd764588c23ebp-12, 0x1.a0886f6ff7882p-10, -0x1.4643afd7cb58cp-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a1cb6c4002fp-16, -0x1.2a6cb7fd664e3p-12, 0x1.3ea75448d41f3p-10, -0x1.1ac532b26e3ebp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c307bf2d54b82p-17, -0x1.77dbe0b73a625p-13, 0x1.d3a523c032e68p-11, -0x1.de79ea2d8e04ap-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b3057f1b86ep-18, -0x1.b304d569860ddp-14, 0x1.441a2a4c21e5bp-11, -0x1.87b238cd33befp-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.645e9d5fe34p-19, -0x1.bd7b375748b2bp-15, 0x1.9d2fcc1d24c03p-12, -0x1.2fdae0ff6487ap-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c307bf2d72p-21, -0x1.77b6dbc753a7cp-16, 0x1.cdbf5707d0dfp-13, -0x1.b7f2b21e3645fp-11}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.645e9d606c001p-23, -0x1.bf9d92f856ef2p-18, 0x1.8b8ea51e93c8ap-14, -0x1.e540e05b27b57p-12}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.645e9d697fffep-27, -0x1.7d2a431e7bb4cp-21, 0x1.a19ee06c56401p-16, -0x1.44b456a2f8899p-11}, 
      }}, 
      0x1.318996387f57p-7, -0x1.d6ecafe23db44p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.16a81a76087cfp-1, -0x1.0b9fac1db1c2cp-1, -0x1.f5aa644850cdfp-2, -0x1.cbeeab40a900cp-2, -0x1.9d4ff7f2e0f23p-2, -0x1.6ca7069d2d2bcp-2, -0x1.3c43aa79c408fp-2, -0x1.0dea353b38118p-2, -0x1.c5bcfdc824b75p-3, -0x1.77ea7b2c860d4p-3, -0x1.334e32e081c44p-3, -0x1.f08f53f93010fp-4, -0x1.8d8c875682534p-4, -0x1.3cce3e50bd717p-4, -0x1.fa359c297407p-5, -0x1.99d979040183ap-5, -0x1.55255593f0c49p-5, -0x1.2890fe5b96e53p-5, -0x1.109575e4d0892p-5, -0x1.09c9b16c1d6d1p-5, -0x1.10f6f4c6b7dfcp-5, -0x1.232640a6caa76p-5, -0x1.3da827cfef2d6p-5, -0x1.5e183ee92fb38p-5, -0x1.825d3499b8fe6p-5, -0x1.a8a68160a4bcap-5, -0x1.cf6871dacd585p-5, -0x1.f5572dc2827e4p-5, -0x1.0cb09c9f6fbc4p-4, -0x1.1d54e64de30a6p-4, -0x1.2c41a161890ap-4, -0x1.3934e38c2c2c8p-4, -0x1.43ff2c93f7e79p-4, -0x1.4c8117e565d38p-4, -0x1.52a93e72fe645p-4, -0x1.5672471eb591dp-4, -0x1.57e122f082564p-4, -0x1.570371ef2196dp-4, -0x1.53ee0db6bca38p-4, -0x1.4ebbb734757a4p-4, -0x1.478be54cd6322p-4, -0x1.3e81b283c58d8p-4, -0x1.33c2e7f6f8e0ep-4, -0x1.277724210557dp-4, -0x1.19c71bd3355b6p-4, -0x1.0adbf3d964c8bp-4, -0x1.f5bd63ab211c8p-5, -0x1.d3ef849f55fp-5, -0x1.b09d2695d36a1p-5, -0x1.8c127f0480956p-5, -0x1.669896b09704bp-5, -0x1.4074dea8bbb04p-5, -0x1.19e8e2547ca5ep-5, -0x1.e66411d23368p-6, -0x1.9912f08b0be83p-6, -0x1.4c47e4fd5d75ap-6, -0x1.0063c9fc57501p-6, -0x1.6b7d592811dfep-7, -0x1.b2a090cece22ep-8, -0x1.2b3a6dd96d7fcp-9, 0x1.fc4bec488a93cp-10, 0x1.8a932735d154fp-8, 0x1.46120e6c10c6fp-7, 0x1.c1919c823f6ep-7, 0x1.1bc22f9f2ec57p-6, 0x1.53d997324d366p-6, 0x1.88f964e2fcd67p-6, 0x1.bb1186101c54ep-6, 0x1.ea170eab839b5p-6, 0x1.0b01e9aeac97fp-5, 0x1.1f6b02b321f8fp-5, 0x1.3247e836d434ap-5, 0x1.439b7d0ce9641p-5, 0x1.536a4230b1d84p-5, 0x1.61ba2908de347p-5, 0x1.6e92678c23d08p-5, 0x1.79fb4e4796d05p-5, 0x1.83fe20aed9f7ap-5, 0x1.8ca4efd4f7bbcp-5, 0x1.93fa77cec55b2p-5, 0x1.9a09ff94ecd7p-5, 0x1.9edf3bab9d358p-5, 0x1.a28633610cad2p-5, 0x1.a50b289718c6dp-5, 0x1.a67a820dd0ba1p-5, 0x1.a6e0b816c0f34p-5, 0x1.a64a43a0446ccp-5, 0x1.a4c38f33b0fc2p-5, 0x1.a258ea1f8004ep-5, 0x1.9f167d4c0ff12p-5, 0x1.9b0841c42cc1p-5, 0x1.9639f8bbc2f7fp-5, 0x1.90b724d7ac7e7p-5, 0x1.8a8b04c3058a1p-5, 0x1.83c08ea870b17p-5, 0x1.7c626ceb124b3p-5, 0x1.747afb0f680dep-5, 0x1.6c14442ab835dp-5, 0x1.6338014235356p-5, 0x1.59ef9893644f9p-5, 0x1.50441d164722bp-5, 0x1.463e4e8a193fbp-5, 0x1.3be699b2da51ap-5, 0x1.314518ef842bdp-5, 0x1.26619504ab763p-5, 0x1.1b43860d9ec9p-5, 0x1.0ff214ac8b3adp-5, 0x1.04741b3f43b29p-5, 0x1.f1a04ea8b93ecp-6, 0x1.da18f632a8213p-6, 0x1.c25e1deb14be2p-6, 0x1.aa7b2660ded65p-6, 0x1.927ae33d1c0a2p-6, 0x1.7a679edb0df5ep-6, 0x1.624b1dd36ae75p-6, 0x1.4a2ea2ab97488p-6, 0x1.321af18f31647p-6, 0x1.1a18541429eb8p-6, 0x1.022e9d0d160d8p-6, 0x1.d4ca5881f7646p-7, 0x1.a585e4aff605cp-7, 0x1.769ce96178c69p-7, 0x1.481ba23877a6fp-7, 0x1.1a0d83771de6dp-7, 0x1.d8fa832f3995cp-8, 0x1.7ee9b14910f8ap-8, 0x1.25fb2758f5839p-8, 0x1.9c8050cbd4bf8p-9, 0x1.df22c828f4367p-10, 0x1.151c583d79b39p-11, -0x1.890d7689a55d7p-11, -0x1.06f4f4539710dp-9, -0x1.a8b6c85fe139p-9, -0x1.23b9fbc9a6166p-8, -0x1.718cc6a97c1ap-8, -0x1.bdcb34404f15ap-8, -0x1.0436c8fe64fa4p-7, -0x1.28b6810c39f57p-7, -0x1.4c61b7f3eb88cp-7, -0x1.6f35c263436e2p-7, -0x1.9130505533ffep-7, -0x1.b24f682d1783ep-7, -0x1.d291615b62d49p-7, -0x1.f1f4e13131e3ap-7, -0x1.083c6bbcea374p-6, -0x1.170e3c8fcd466p-6, -0x1.256f9e8d8be35p-6, -0x1.33606d38c92bap-6, -0x1.40e0a1ee4d3fep-6, -0x1.4df051dfd949p-6, -0x1.5a8fad7edc185p-6, -0x1.66beff56ec4c5p-6, -0x1.727ea9c1f9ae6p-6, -0x1.7dcf25c3fcf71p-6, -0x1.88b102f27cc39p-6, -0x1.9324e5fe57b07p-6, -0x1.9d2b869190ba6p-6, -0x1.a6c5aedbfed9ep-6, -0x1.aff43baff92d7p-6, -0x1.b8b81ae2fae04p-6, -0x1.c1124950ac65dp-6, -0x1.c903d2c493a57p-6, -0x1.d08dd24e3cc66p-6, -0x1.d7b170b08c7bep-6, -0x1.de6fe25a5c2acp-6, -0x1.e4ca675469fb2p-6, -0x1.eac24be5583fp-6, -0x1.f058e7596caa1p-6, -0x1.f58f99d0270d7p-6, -0x1.fa67cbc4e3b77p-6, -0x1.fee2eef7015fbp-6, -0x1.01813ef52457dp-5, -0x1.0363fcda80d41p-5, -0x1.051a745fd00f8p-5, -0x1.06a56bc181addp-5, -0x1.0805ac7ee2544p-5, -0x1.093c02901cd67p-5, -0x1.0a493b652b1fbp-5, -0x1.0b2e25ce2198bp-5, -0x1.0beb927b24dccp-5, -0x1.0c8253d993e4fp-5, -0x1.0cf33d1eb717cp-5, -0x1.0d3f218f56f3ep-5, -0x1.0d66d4acc7bd5p-5, -0x1.0d6b2a9e002a5p-5, -0x1.0d4cf7dc8252fp-5, -0x1.0d0d1051b145fp-5, -0x1.0cac46d4f3ac4p-5, -0x1.0c2b6d64cf3e9p-5, -0x1.0b8b5576db2a9p-5, -0x1.0acccfa6e51c4p-5, -0x1.09f0aafd30275p-5, -0x1.08f7b4894bac7p-5, -0x1.07e2b789db774p-5, -0x1.06b27dade64cdp-5, -0x1.0567cee15818ep-5, -0x1.040370c3c492bp-5, -0x1.028626550dad3p-5, -0x1.00f0b006b1a78p-5, -0x1.fe8797cf6b064p-6, -0x1.fb006b403e327p-6, -0x1.f74d4bf1a9d03p-6, -0x1.f36fa5b47ddeep-6, -0x1.ef68ddfb6de65p-6, -0x1.eb3a54873ff1cp-6, -0x1.e6e5636b6033ep-6, -0x1.e26b5e77e93f4p-6, -0x1.ddcd92ea6b0c5p-6, -0x1.d90d477e8db0fp-6, -0x1.d42bbcb59ad7ap-6, -0x1.cf2a2cea2ef7p-6, -0x1.ca09cc159f683p-6, -0x1.c4cbc76e9afa5p-6, -0x1.bf71455de2038p-6, -0x1.b9fb65ef7d274p-6, -0x1.b46b4331717b5p-6, -0x1.aec1f12530648p-6, -0x1.a9007d66fa1d3p-6, -0x1.a327eedde3ecp-6, -0x1.9d3945d9684c4p-6, -0x1.97357cb9321f6p-6, -0x1.911d8872d0bc8p-6, -0x1.8af25884efcadp-6, -0x1.84b4d69126f8dp-6, -0x1.7e65e5fc2a419p-6, -0x1.780663f9a4eddp-6, -0x1.719728361ade5p-6, -0x1.6b19059a6d21bp-6, -0x1.648cca7d5e2dbp-6, -0x1.5df340496297dp-6, -0x1.574d2b0370e8cp-6, -0x1.509b49120f51ap-6, -0x1.49de5399990d6p-6, -0x1.4316ff559bdeap-6, -0x1.3c45fd407b24bp-6, -0x1.356bfa9338f86p-6, -0x1.2e89a05627c1ap-6, -0x1.279f92ed217e8p-6, -0x1.20ae71f126e1p-6, -0x1.19b6d89b980b7p-6, -0x1.12b95e9c17e3fp-6, -0x1.0bb698b76a66bp-6, -0x1.04af18ca8cffcp-6, -0x1.fb46dac94a712p-7, -0x1.ed2842ac03128p-7, -0x1.df0376ee189fep-7, -0x1.d0d97dcd34996p-7, -0x1.c2ab577646f11p-7, -0x1.b479ff57e1bebp-7, -0x1.a6466c7ef2089p-7, -0x1.9811910dc704ep-7, -0x1.89dc59671e06bp-7, -0x1.7ba7ab8388d6p-7, -0x1.6d7466d58ce3p-7, -0x1.5f43650e2b852p-7, -0x1.51157b5e998ebp-7, -0x1.42eb7b51e71a6p-7, -0x1.34c632cc4a45ep-7, -0x1.26a66b758038bp-7, -0x1.188cea033c554p-7, -0x1.0a7a6db011c86p-7, -0x1.f8df6057fb6ep-8, -0x1.dcdacc9752bep-8, -0x1.c0e88217cca5fp-8, -0x1.a509dc6e1faa8p-8, -0x1.894030e730e4bp-8, -0x1.6d8ccd83a34f2p-8, -0x1.51f0f7d0c9af2p-8, -0x1.366dec02b29f1p-8, -0x1.1b04dc7920ea2p-8, -0x1.ff6de508db2a1p-9, -0x1.c90a9fe5bf27ap-9, -0x1.92e220bdf993p-9, -0x1.5cf69311b6bdcp-9, -0x1.274a15b2f4316p-9, -0x1.e3bd7216eb39ep-10, -0x1.796cfaa47ce4fp-10, -0x1.0fa6a25377c12p-10, -0x1.4cdc45eeee254p-11, -0x1.ee38b1b9ea0e3p-13, 0x1.52582d179ce69p-13, 0x1.238995024ec02p-11, 0x1.f145d45fb4cdfp-11, 0x1.5ee2300777758p-10, 0x1.c47f836ee5e7ep-10, 0x1.14bbf5425530bp-9, 0x1.46e4462d41d5dp-9, 0x1.78b758b177092p-9, 0x1.aa33e08d21ecap-9, 0x1.db589f2948cd2p-9, 0x1.06123123ac50ep-8, 0x1.1e4b01d2f3908p-8, 0x1.365634aac8e6ep-8, 0x1.4e334332a87d5p-8, 0x1.65e1addb6766p-8, 0x1.7d60fc702a116p-8, 0x1.94b0be574b35ap-8, 0x1.abd08a580a602p-8, 0x1.c2bffdebe9d98p-8, 0x1.d97ebc8d2a3b9p-8, 0x1.f00c6f552f101p-8, 0x1.033462727bc42p-7, 0x1.0e49b8b963585p-7, 0x1.1946177791ad5p-7, 0x1.24295e9fbdba4p-7, 0x1.2ef37141dc96fp-7, 0x1.39a4359bf98a3p-7, 0x1.443b94fa5f3a3p-7, 0x1.4eb97b6e1489cp-7, 0x1.591dd785c19b9p-7, 0x1.63689a24a33c3p-7, 0x1.6d99b6711e112p-7, 0x1.77b121ccdb4bdp-7, 0x1.81aed3d3470a9p-7, 0x1.8b92c66248716p-7, 0x1.955cf5ad49feep-7, 0x1.9f0d604e3385ap-7, 0x1.a8a40738fd81p-7, 0x1.b220ed89ca57ep-7, 0x1.bb84184612e1p-7, 0x1.c4cd8e2ff8a75p-7, 0x1.cdfd57ae81d49p-7, 0x1.d7137ebe0078ap-7, 0x1.e0100ee1fe3fdp-7, 0x1.e8f3151b15073p-7, 0x1.f1bc9fe62f753p-7, 0x1.fa6cbf4588d96p-7, 0x1.0181c2639a91p-6, 0x1.05c081ba88f5cp-6, 0x1.09f2a7d4753b3p-6, 0x1.0e183f6d1191bp-6, 0x1.123153bcc3a5bp-6, 0x1.163df06e6b9c2p-6, 0x1.1a3e219781316p-6, 0x1.1e31f3af6797p-6, 0x1.221973871b63fp-6, 0x1.25f4ae440dfb1p-6, 0x1.29c3b15fa35c7p-6, 0x1.2d868aa8e93f8p-6, 0x1.313d4841ee9b6p-6, 0x1.34e7f892d8529p-6, 0x1.3886aa3626d54p-6, 0x1.3c196be7ddef2p-6, 0x1.3fa04c7b4ffcbp-6, 0x1.431b5ad4e6e1ep-6, 0x1.468aa5e4254bbp-6, 0x1.49ee3c9c56e1ap-6, 0x1.4d462dedaef0dp-6, 0x1.509288c0f2b55p-6, 0x1.53d35bf71d2b4p-6, 0x1.5708b66b41151p-6, 0x1.5a32a6f1e4525p-6, 0x1.5d513c512a5cep-6, 0x1.60648533fec52p-6, 0x1.636c901ebc5f2p-6, 0x1.66696b68ff5f4p-6, 0x1.695b253b01cfdp-6, 0x1.6c41cb8b88487p-6, 0x1.6f1d6c1cf0fbfp-6, 0x1.71ee14799171fp-6, 0x1.74b3d1f102197p-6, 0x1.776eb19790d77p-6, 0x1.7a1ec048647f5p-6, 0x1.7cc40aa852533p-6, 0x1.7f5e9d25ba208p-6, 0x1.81ee83f38b2b2p-6, 0x1.8473cb021a5e4p-6, 0x1.86ee7dfa9010ep-6, 0x1.895ea83e06d79p-6, 0x1.8bc454e69f5d3p-6, 0x1.8e1f8ec888f8fp-6, 0x1.9070607211dd7p-6, 0x1.92b6d42aa9113p-6, 0x1.94f2f3f1d0eafp-6, 0x1.9724c97f83b2ap-6, 0x1.994c5e467fe9bp-6, 0x1.9b69bb7835289p-6, 0x1.9d7cea081bcdcp-6, 0x1.9f85f2ac0fc4bp-6, 0x1.a184ddda5a167p-6, 0x1.a379b3c7d484dp-6, 0x1.a5647c6858045p-6, 0x1.a7453f707f19p-6, 0x1.a91c0457cc1e6p-6, 0x1.aae8d25a2d036p-6, 0x1.acabb07929dfcp-6, 0x1.ae64a57cb3229p-6, 0x1.b013b7f51e562p-6, 0x1.b1b8ee3de8a0dp-6, 0x1.b3544e814fe54p-6, 0x1.b4e5debee8cb5p-6, 0x1.b66da4d0ce9c1p-6, 0x1.b7eba66cb71a2p-6, 0x1.b95fe923ee488p-6, 0x1.baca726312dd4p-6, 0x1.bc2b47722d79dp-6, 0x1.bd826d7695829p-6, 0x1.becfe975fc19ep-6, 0x1.c013c05a6cb1fp-6, 0x1.c14df6f6a15bbp-6, 0x1.c27e920a7fe59p-6, 0x1.c3a596475204cp-6, 0x1.c4c308538529bp-6, 0x1.c5d6ecce09385p-6, 0x1.c6e148514f8d2p-6, 0x1.c7e21f75f428dp-6, 0x1.c8d976d4ccbf9p-6, 0x1.c9c7530d5321bp-6, 0x1.caabb8b5dca87p-6, 0x1.cb86ac6f37b9cp-6, 0x1.cc5832e731102p-6, 0x1.cd2050d3020efp-6, 0x1.cddf0afa31405p-6, 0x1.ce94663eb26eap-6, 0x1.cf40679d8ed2cp-6, 0x1.cfe3143132c54p-6, 0x1.d07c713216a04p-6, 0x1.d10c83f69fc9bp-6, 0x1.d19351f345fe8p-6, 0x1.d210e0bbea052p-6, 0x1.d2853606f3a88p-6, 0x1.d2f057b1f4d7p-6, 0x1.d3524bc6ccd3dp-6, 0x1.d3ab18804938fp-6, 0x1.d3fac44da5c3p-6, 0x1.d44155d52985cp-6, 0x1.d47ed3f5725c2p-6, 0x1.d4b345c6003cbp-6, 0x1.d4deb296876ap-6, 0x1.d50121ee2ab66p-6, 0x1.d51a9b8b09844p-6, 0x1.d52b2762fba8ep-6, 0x1.d532cda57c98bp-6, 0x1.d53196bf03167p-6, 0x1.d5278b5ce9d7fp-6, 0x1.d514b4718cf1ap-6, 0x1.d4f91b37f8c77p-6, 0x1.d4d4c9363871ap-6, 0x1.d4a7c83e40c5p-6, 0x1.d472226cd083dp-6, 0x1.d433e2272ea3ap-6, 0x1.d3ed121888dfcp-6, 0x1.d39dbd3012663p-6, 0x1.d345eea0c8083p-6, 0x1.d2e5b1e2ae4a8p-6, 0x1.d27d12b547e71p-6, 0x1.d20c1d22d642fp-6, 0x1.d192dd83651dfp-6, 0x1.d111607f2872bp-6, 0x1.d087b30f80d3ep-6, 0x1.cff5e27e6eaf5p-6, 0x1.cf5bfc64b8b92p-6, 0x1.ceba0ea746454p-6, 0x1.ce1027744b2fp-6, 0x1.cd5e554149acep-6, 0x1.cca4a6c9f8d6dp-6, 0x1.cbe32b107cf1fp-6, 0x1.cb19f15e6848dp-6, 0x1.ca49094645f08p-6, 0x1.c97082a5524a7p-6, 0x1.c8906da4bbe66p-6, 0x1.c7a8daba6aa6ep-6, 0x1.c6b9daa760948p-6, 0x1.c5c37e771da5cp-6, 0x1.c4c5d77b9fe1cp-6, 0x1.c3c0f74ab277p-6, 0x1.c2b4efbab66b4p-6, 0x1.c1a1d2e059235p-6, 0x1.c087b30d2d821p-6, 0x1.bf66a2cf7504ep-6, 0x1.be3eb4f28e3e5p-6, 0x1.bd0ffc802bddfp-6, 0x1.bbda8cc123925p-6, 0x1.ba9e793d9a5e8p-6, 0x1.b95bd5bc5dd38p-6, 0x1.b812b6425ad87p-6, 0x1.b6c32f0f37e89p-6, 0x1.b56d549863d85p-6, 0x1.b4113b86fceb9p-6, 0x1.b2aef8b4f5b3cp-6, 0x1.b146a128fd45ep-6, 0x1.afd84a153da46p-6, 0x1.ae6408d713446p-6, 0x1.ace9f2f709893p-6, 0x1.ab6a1e2916943p-6, 0x1.a9e4a04cf3ef3p-6, 0x1.a8598f6ddbb2cp-6, 0x1.a6c901c15e292p-6, 0x1.a5330da57e5f2p-6, 0x1.a397c99dcc74cp-6, 0x1.a1f74c4ff113dp-6, 0x1.a051ac8006f13p-6, 0x1.9ea7010d258fp-6, 0x1.9cf760ee8a54ap-6, 0x1.9b42e3317d87dp-6, 0x1.99899ef840913p-6, 0x1.97cbab7951651p-6, 0x1.96091fff67b36p-6, 0x1.944213e96bc1cp-6, 0x1.92769eaa4c328p-6, 0x1.90a6d7c827652p-6, 0x1.8ed2d6dad681cp-6, 0x1.8cfab3897b31p-6, 0x1.8b1e85878d41fp-6, 0x1.893e649157599p-6, 0x1.875a686879f87p-6, 0x1.8572a8d0a6cb7p-6, 0x1.83873d8ce4807p-6, 0x1.81983e5db0f89p-6, 0x1.7fa5c2ffcaf4ap-6, 0x1.7dafe32ba774ep-6, 0x1.7bb6b6957050bp-6, 0x1.79ba54ed11953p-6, 0x1.77bad5de2469p-6, 0x1.75b8510f54f0fp-6, 0x1.73b2de213ac31p-6, 0x1.71aa94ac55cdap-6, 0x1.6f9f8c3e7fe92p-6, 0x1.6d91dc57df0c4p-6, 0x1.6b819c67abdf2p-6, 0x1.696ee3c918accp-6, 0x1.6759c9c0bd545p-6, 0x1.6542657a6f981p-6, 0x1.6328ce0802efep-6, 0x1.610d1a60859d4p-6, 0x1.5eef616022697p-6, 0x1.5ccfb9c8426cp-6, 0x1.5aae3a3fb5db4p-6, 0x1.588af952b3584p-6, 0x1.56660d72631edp-6, 0x1.543f8cf3cc956p-6, 0x1.52178e0e3232ep-6, 0x1.4fee26d8ed52dp-6, 0x1.4dc36d48e8392p-6, 0x1.4b97772df37e2p-6, 0x1.496a5a303eaa8p-6, 0x1.473c2bce27603p-6, 0x1.450d015a85c5ap-6, 0x1.42dceffb9473fp-6, 0x1.40ac0caa5a94dp-6, 0x1.3e7a6c32b88ccp-6, 0x1.3c48233398891p-6, 0x1.3a15461f66d47p-6, 0x1.37e1e93c512c4p-6, 0x1.35ae20a4433b4p-6, 0x1.337a00447c586p-6, 0x1.31459bdc8bdd4p-6, 0x1.2f1106fcd528ap-6, 0x1.2cdc5504a0ed2p-6, 0x1.2aa799200cb9p-6, 0x1.2872e645b858cp-6, 0x1.263e4f34db5e4p-6, 0x1.2409e6736e5d1p-6, 0x1.21d5be4d1879dp-6, 0x1.1fa1e8d2716b6p-6, 0x1.1d6e77d90cbd7p-6, 0x1.1b3b7cfbdaec2p-6, 0x1.1909099c0d62bp-6, 0x1.16d72ee21fc5ep-6, 0x1.14a5fdbef876ep-6, 0x1.127586ecb5594p-6, 0x1.1045daef3f994p-6, 0x1.0e170a1460c7fp-6, 0x1.0be924733a578p-6, 0x1.09bc39eb36af9p-6, 0x1.07905a227055dp-6, 0x1.05659483b03cap-6, 0x1.033bf83c1367fp-6, 0x1.0113943762519p-6, 0x1.fdd8ee4b08a5ep-7, 0x1.f98d5ebbe4e22p-7, 0x1.f5449620e342fp-7, 0x1.f0feb00ea7b6fp-7, 0x1.ecbbc7a147dap-7, 0x1.e87bf75c44ffap-7, 0x1.e43f592ede656p-7, 0x1.e006067700bc8p-7, 0x1.dbd018058e829p-7, 0x1.d79da62433d26p-7, 0x1.d36ec89d3a7e2p-7, 0x1.cf4396c4ad1e4p-7, 0x1.cb1c2782acee7p-7, 0x1.c6f8915ee9969p-7, 0x1.c2d8ea8a417aep-7, 0x1.bebd48ea5712ep-7, 0x1.baa5c21fade93p-7, 0x1.b6926b8a7b785p-7, 0x1.b2835a4a44a5fp-7, 0x1.ae78a3385b92dp-7, 0x1.aa725adc2f866p-7, 0x1.a67095591a858p-7, 0x1.a273665655771p-7, 0x1.9e7ae0e1efcbp-7, 0x1.9a8717502be4dp-7, 0x1.96981b1a02c96p-7, 0x1.92adfcbd3345ep-7, 0x1.8ec8cba188b02p-7, 0x1.8ae8960648c9ap-7, 0x1.870d68fb7ec04p-7, 0x1.83375069563fbp-7, 0x1.7f665727c901bp-7, 0x1.7b9a872738449p-7, 0x1.77d3e9a8fa75bp-7, 0x1.741287861241ap-7, 0x1.7056697fd7955p-7, 0x1.6c9f98954a133p-7, 0x1.68ee1e56c8947p-7, 0x1.65420530a2cb4p-7, 0x1.619b58a54619cp-7, 0x1.5dfa256fdbcfap-7, 0x1.5a5e7989568aap-7, 0x1.56c8640c0fefep-7, 0x1.5337f4f3b9f08p-7, 0x1.4fad3cbaf9973p-7, 0x1.4c284bda31807p-7, 0x1.48a9322ee5205p-7, 0x1.452ffe54e00edp-7, 0x1.41bcbcfd5cc35p-7, 0x1.3e4f785115efdp-7, 0x1.3ae8376b37873p-7, 0x1.3786fdf99da58p-7, 0x1.342bcc0df9ed8p-7, 0x1.30d69e27f8fc6p-7, 0x1.2d876d7cad7aap-7, 0x1.2a3e307bc4194p-7, 0x1.26fadb8dcc9d8p-7, 0x1.23bd62025bde7p-7, 0x1.2085b720c075bp-7, 0x1.1d53cf4a4bf1p-7, 0x1.1a27a11aa7b1bp-7, 0x1.1701267158345p-7, 0x1.13e05d4f8bff6p-7, 0x1.10c5487746a9p-7, 0x1.0dafefbb74614p-7, 0x1.0aa05ff593849p-7, 0x1.0796aa9b4033cp-7, 0x1.0492e4f4e001dp-7, 0x1.019526fe31ebbp-7, 0x1.fd3b140108456p-8, 0x1.f7584dfa1837p-8, 0x1.f1822a05f18f4p-8, 0x1.ebb8cf1e2b46fp-8, 0x1.e5fc5a2724d6ep-8, 0x1.e04cdb8806251p-8, 0x1.daaa5578bf6fp-8, 0x1.d514bb267dc58p-8, 0x1.cf8bf0bfcb28p-8, 0x1.ca0fcc6801dcap-8, 0x1.c4a018043dc97p-8, 0x1.bf3c93c6dd12ap-8, 0x1.b9e4f954678dp-8, 0x1.b498ff57f016fp-8, 0x1.af585d54dcea7p-8, 0x1.aa22cf844d6fp-8, 0x1.a4f81a86a7631p-8, 0x1.9fd80eb3fb34p-8, 0x1.9ac28ad2da1acp-8, 0x1.95b77e03b1e5cp-8, 0x1.90b6e8b45c2f3p-8, 0x1.8bc0dc7c10cc4p-8, 0x1.86d57ad34190bp-8, 0x1.81f4f2b04b016p-8, 0x1.7d1f7d2be1f31p-8, 0x1.78555969a25f6p-8, 0x1.7396c81548a41p-8, 0x1.6ee406d1db41cp-8, 0x1.6a3d4bf9555b3p-8, 0x1.65a2c2fff7613p-8, 0x1.611489b86d6fp-8, 0x1.5c92ae9a99037p-8, 0x1.581d300dbb83ep-8, 0x1.53b3fca12a2e6p-8, 0x1.4f56f40adfb8bp-8, 0x1.4b05e8bf7bcb7p-8, 0x1.46c0a1f8cdb47p-8, 0x1.4286de0a9bba9p-8, 0x1.3e5854ee1b02ap-8, 0x1.3a34baf3e62cfp-8, 0x1.361bc38e4b3d5p-8, 0x1.320d2423f6f9cp-8, 0x1.2e0896d4e539bp-8, 0x1.2a0ddd1618b5ep-8, 0x1.261cc20447566p-8, 0x1.22351c48d95f7p-8, 0x1.1e56cf6d55e4fp-8, 0x1.1a81cc7b3fp-8, 0x1.16b611cbf54f1p-8, 0x1.12f3a9f8d7a48p-8, 0x1.0f3aa9edd027p-8, 0x1.0b8b2e3bce04cp-8, 0x1.07e557df328efp-8, 0x1.044948c879e91p-8, 0x1.00b7207ef0b5dp-8, 0x1.fa5df269b822bp-9, 0x1.f361cb2b0d9c3p-9, 0x1.ec79def6cccc6p-9, 0x1.e5a62f3e6c0c3p-9, 0x1.dee6ac5a745ebp-9, 0x1.d83b38dbf9117p-9, 0x1.d1a3abe9ad0bap-9, 0x1.cb1fd8510bec9p-9, 0x1.c4af8e63d47eap-9, 0x1.be52a08a6e627p-9, 0x1.b808e4b34249p-9, 0x1.b1d23418459dap-9, 0x1.abae68ec585a5p-9, 0x1.a59d5a536ff6bp-9, 0x1.9f9ed7673170dp-9, 0x1.99b2a278d8b12p-9, 0x1.93d86cd28c10dp-9, 0x1.8e0fd69a34329p-9, 0x1.88586f7e1c24ep-9, 0x1.82b1bd31d1191p-9, 0x1.7d1b445f83647p-9, 0x1.77949474cf796p-9, 0x1.721d54438f13p-9, 0x1.6cb54d1fd399dp-9, 0x1.675c71eb17f9ap-9, 0x1.6212dfc515b03p-9, 0x1.5cd8d70a4ce4fp-9, 0x1.57aeacbf841edp-9, 0x1.5294b6528621cp-9, 0x1.4d8b334bb60e4p-9, 0x1.489239abac681p-9, 0x1.43a9a9c268e89p-9, 0x1.3ed12d0e2f959p-9, 0x1.3a084147469aap-9, 0x1.354e4dae1146ep-9, 0x1.30a2bdf7ddac9p-9, 0x1.2c051ca9f6fe4p-9, 0x1.277526e8fceb5p-9, 0x1.22f2d597119bcp-9, 0x1.1e7e5a62cc9ap-9, 0x1.1a18123aeb584p-9, 0x1.15c070944fbf6p-9, 0x1.1177e7c4ce7c4p-9, 0x1.0d3ed24a193cp-9, 0x1.09155fab0773cp-9, 0x1.04fb86501393bp-9, 0x1.00f0faf453f5cp-9, 0x1.f9ea5ceae9eddp-10, 0x1.f20ea7280d311p-10, 0x1.ea4cdd4766ef6p-10, 0x1.e2a2e0dd7286cp-10, 0x1.db0eb5dec4d74p-10, 0x1.d38ed584d43b2p-10, 0x1.cc22793fe5014p-10, 0x1.c4c9c907fb29ap-10, 0x1.bd85db9f21b54p-10, 0x1.b65881aa3b01dp-10, 0x1.af43e38c6d8b7p-10, 0x1.a84a08ce6b669p-10, 0x1.a16c687f7d40fp-10, 0x1.9aaba01765a01p-10, 0x1.940761eea6bedp-10, 0x1.8d7e9a4ae012ep-10, 0x1.870fb9e275174p-10, 0x1.80b90d040c717p-10, 0x1.7a7908861af2bp-10, 0x1.744e7dc757264p-10, 0x1.6e38afec90bb4p-10, 0x1.68374b6f99737p-10, 0x1.624a46ad65e39p-10, 0x1.5c71b797875bfp-10, 0x1.56adae4d2e18ep-10, 0x1.50fe22909beadp-10, 0x1.4b62f96452687p-10, 0x1.45dc1bcf0eac8p-10, 0x1.40698e0f0b796p-10, 0x1.3b0b7496864adp-10, 0x1.35c1fb8e00936p-10, 0x1.308d23ebde9d7p-10, 0x1.2b6c889fe10eap-10, 0x1.265f37893f60bp-10, 0x1.2163b6d33079p-10, 0x1.1c783f5692e3ep-10, 0x1.179b1e450b38fp-10, 0x1.12cb1eb8056bep-10, 0x1.0e07d7139d48ep-10, 0x1.0951bfe2047d8p-10, 0x1.04aa0cf7ac65p-10, 0x1.0012574c6080dp-10, 0x1.f7186c1988114p-11, 0x1.ee31d0dcc603ep-11, 0x1.e5724a628f44ep-11, 0x1.dcda217d6f604p-11, 0x1.d4689cd9a165cp-11, 0x1.cc1c47dc110b7p-11, 0x1.c3f35bc15344dp-11, 0x1.bbec42569c4c5p-11, 0x1.b406098dcdb3dp-11, 0x1.ac408cf219995p-11, 0x1.a49c3a4b57ef2p-11, 0x1.9d1996a47ec95p-11, 0x1.95b8cd272551dp-11, 0x1.8e797a95f6717p-11, 0x1.875ab3c7773f9p-11, 0x1.805b25729ea5bp-11, 0x1.7979323c1d1bbp-11, 0x1.72b30d3ab9152p-11, 0x1.6c06dedeaf07cp-11, 0x1.6572fc22ef0d7p-11, 0x1.5ef62481a5783p-11, 0x1.588facff8e37fp-11, 0x1.523f82ab37c14p-11, 0x1.4c060401254a1p-11, 0x1.45e3c4d72e9a8p-11, 0x1.3fd9508994f3p-11, 0x1.39e6eb20b3603p-11, 0x1.340c49c4fda68p-11, 0x1.2e48587ec636dp-11, 0x1.28994be94252ap-11, 0x1.22fd2c5e9000fp-11, 0x1.1d72accdac5eep-11, 0x1.17f9d6184346bp-11, 0x1.12941662b815cp-11, 0x1.0d43a9aa5ad3p-11, 0x1.080aa483486b1p-11, 0x1.02ea17a1c295fp-11, 0x1.fbc3c28bbd56cp-12, 0x1.f1e2a17e07bdbp-12, 0x1.e8302387a075cp-12, 0x1.deacff1febc0fp-12, 0x1.d55a1f0b4202fp-12, 0x1.cc36dd9816b61p-12, 0x1.c34054350ace3p-12, 0x1.ba72322e2ea18p-12, 0x1.b1c83f4c81e4cp-12, 0x1.a93f7fddbbd9ap-12, 0x1.a0d68b2600481p-12, 0x1.988d39cdf4895p-12, 0x1.906409946cf21p-12, 0x1.885b8acd900f3p-12, 0x1.80740ffea7a19p-12, 0x1.78adb8c0237a5p-12, 0x1.7108cc74860a4p-12, 0x1.6986312ce7746p-12, 0x1.6227af01e4f58p-12, 0x1.5aefb70df1a2bp-12, 0x1.53e09e5fcce41p-12, 0x1.4cfb9c4c4aeb9p-12, 0x1.46401bee6901ap-12, 0x1.3fabaabaf911dp-12, 0x1.393a0f52c65b8p-12, 0x1.32e4ebbb02e21p-12, 0x1.2ca3a77ac0036p-12, 0x1.266da76c160ecp-12, 0x1.203f0b7890a6dp-12, 0x1.1a1c3a0bfcbdap-12, 0x1.140ff73276bdap-12, 0x1.0e24848fa1e63p-12, 0x1.085d1d0816fc9p-12, 0x1.02b50c7bd9b74p-12, 0x1.fa49de49367dcp-13, 0x1.ef5280b96feaep-13, 0x1.e488d889a57ddp-13, 0x1.d9f73a70a93bfp-13, 0x1.cfa513254ea6ep-13, 0x1.c59397cfa29d5p-13, 0x1.bbbee62d60adep-13, 0x1.b2208ce7c9a61p-13, 0x1.a8b1c16b3e516p-13, 0x1.9f6cdf5b7b0ffp-13, 0x1.964e1e15177b2p-13, 0x1.8d5391fa8708bp-13, 0x1.847cb8bdc7c4cp-13, 0x1.7bc9d5c6af307p-13, 0x1.733b4fbd5733cp-13, 0x1.6ad1310f6d439p-13, 0x1.628aecf1387bep-13, 0x1.5a678821ace7p-13, 0x1.52662a425464cp-13, 0x1.4a86e827cfb1ap-13, 0x1.42cb608466b62p-13, 0x1.3b36ad1177153p-13, 0x1.33cc5902e7b92p-13, 0x1.2c8eae24017d2p-13, 0x1.257d998f697bfp-13, 0x1.1e9788461311ep-13, 0x1.17db6a4417165p-13, 0x1.114822c1e0c2cp-13, 0x1.0ad81dfb12264p-13, 0x1.048076ba9e127p-13, 0x1.fc7637fcc8889p-14, 0x1.f022945a1a145p-14, 0x1.e427f22a5dcaep-14, 0x1.d8901e94abfc8p-14, 0x1.cd3e7a21b599cp-14, 0x1.c20d4c3219206p-14, 0x1.b6f17a9f9e664p-14, 0x1.abfa53ffd96f1p-14, 0x1.a13982d9e454fp-14, 0x1.96b7c95b66ea8p-14, 0x1.8c77cc2764607p-14, 0x1.8276a8affb896p-14, 0x1.78aa7deb0aeb4p-14, 0x1.6f072de08ccf2p-14, 0x1.65881557e1a23p-14, 0x1.5c3437b2a6167p-14, 0x1.5317661eb08b7p-14, 0x1.4a37fb8822a78p-14, 0x1.4193674880774p-14, 0x1.39222154b0ee1p-14, 0x1.30dcf19553f14p-14, 0x1.28bf78cbab6aep-14, 0x1.20c808f175483p-14, 0x1.18f667870df42p-14, 0x1.114aab22518c4p-14, 0x1.09c4adad3f966p-14, 0x1.02640f56d20afp-14, 0x1.f6511dee63da5p-15, 0x1.e824eaba106b9p-15, 0x1.da45af0c05ef2p-15, 0x1.ccb6a0d444a6bp-15, 0x1.bf79857859e09p-15, 0x1.b28b45c7d4135p-15, 0x1.a5e48115032abp-15, 0x1.99827c78df21ap-15, 0x1.8d709f3f1ec77p-15, 0x1.81bd8bf0b1343p-15, 0x1.765c036be7e6dp-15, 0x1.6b27f9630eddbp-15, 0x1.601ddc3fab38ep-15, 0x1.5556983596889p-15, 0x1.4ac756a317f1bp-15, 0x1.4052187705bc9p-15, 0x1.3607a4c270d3ap-15, 0x1.2c0f4a2419081p-15, 0x1.226eb4d724643p-15, 0x1.1913efc6ada49p-15, 0x1.0ff251da1bebbp-15, 0x1.07082ac4c275ep-15, 0x1.fcb1dbcce0ee7p-16, 0x1.ebcec5f749c91p-16, 0x1.db606198ac3a2p-16, 0x1.cb4d9532fef29p-16, 0x1.bb78f111abcd4p-16, 0x1.abdf3dab0ddfdp-16, 0x1.9c9d7d5ed4c1dp-16, 0x1.8dca62c3e3d6cp-16, 0x1.7f5451f7ddbefp-16, 0x1.7119556e88496p-16, 0x1.631a885d31af5p-16, 0x1.557c826ab703bp-16, 0x1.4857f5616c008p-16, 0x1.3ba4769d09807p-16, 0x1.2f4b98911f4e2p-16, 0x1.233cd0603b59p-16, 0x1.17713a8f12e7ep-16, 0x1.0be7626832b45p-16, 0x1.009f491b4bd7ep-16, 0x1.eb31b6a7c5d11p-17, 0x1.d5a87a72dcdacp-17, 0x1.c0a533fb98d9p-17, 0x1.ac2b5db37e4b5p-17, 0x1.9839b524c4facp-17, 0x1.84c4574f400c4p-17, 0x1.71bcb1947857dp-17, 0x1.5f2d6de036fcep-17, 0x1.4d4e1fc5cbe46p-17, 0x1.3c4863785c42ap-17, 0x1.2bd01da1a1305p-17, 0x1.1b8bde2d00c49p-17, 0x1.0b8821baffa6cp-17, 0x1.f775341a58c5cp-18, 0x1.d8909bbd65bb4p-18, 0x1.bb0045f65ba7ap-18, 0x1.9e9fcc5c21539p-18, 0x1.830a3d5a9b84bp-18, 0x1.681b31fa1f8e1p-18, 0x1.4dd6490e2599p-18, 0x1.34443cf390f53p-18, 0x1.1b692456214d5p-18, 0x1.0344c682d5b25p-18, 0x1.d7a8b8ed3d9a1p-19, 0x1.aa27a266b3c17p-19, 0x1.7dfd1ef6f0086p-19, 0x1.53202186de49bp-19, 0x1.29883990f20ffp-19, 0x1.012cdb2fc07p-19, 0x1.b409dcc05c0bap-20, 0x1.68143a4761a1fp-20, 0x1.1e8858f083be8p-20, 0x1.af5cd064ae3b4p-21, 0x1.279968ed15bf3p-21, 0x1.4a4c42acaabe2p-22, 0x1.335af279c64cdp-24, -0x1.5487697e6a34cp-23, -0x1.9ad7c9a5f6af8p-22, -0x1.430deb9705d7p-21, -0x1.b55acbd8de6e1p-21, -0x1.11435c0014d2ep-20, -0x1.453cf27d72695p-20, -0x1.77381dff1fac7p-20, -0x1.a7a42d42e38cp-20, -0x1.d69b2493744aep-20, -0x1.0207c1ced7d36p-19, -0x1.17f75281b1afdp-19, -0x1.2d1990a1dda86p-19, -0x1.417646147a492p-19, }}, 
      {{-0x1.193ad878bd251p-1, -0x1.1573e41c048efp-1, -0x1.0f81bef136ce2p-1, -0x1.07c9c1f76c71p-1, -0x1.fd6c5f68c65ccp-2, -0x1.e958089bb3a6cp-2, -0x1.d40b7aed6deffp-2, -0x1.be224ed72ed53p-2, -0x1.a81ddaf057291p-2, -0x1.92665582571edp-2, -0x1.7d4d0ae591eep-2, -0x1.690f12b3d6d02p-2, -0x1.55d8277ead9adp-2, -0x1.43c56663237fep-2, -0x1.32e7d9ac7dfa2p-2, -0x1.2346bfc16d3fp-2, -0x1.14e18c60685fap-2, -0x1.07b1a534d7e55p-2, -0x1.f757b8f03ae67p-3, -0x1.e1836078f654cp-3, -0x1.cdc4a6e770a1ep-3, -0x1.bbf70dcb0cee1p-3, -0x1.abf491162c2eap-3, -0x1.9d96bcc61776ap-3, -0x1.90b7837bbf74ap-3, -0x1.8531e1b2c22eep-3, -0x1.7ae25481c616cp-3, -0x1.71a72ccaad492p-3, -0x1.6960c597b7c92p-3, -0x1.61f1a3a88db79p-3, -0x1.5b3e8356a8b11p-3, -0x1.552e58ec456ffp-3, -0x1.4faa46af51029p-3, -0x1.4a9d8c1acd85fp-3, -0x1.45f56fad6f49dp-3, -0x1.41a124a8962b2p-3, -0x1.3d91af7a169c1p-3, -0x1.39b9c84a9bed5p-3, -0x1.360dbd2d65c16p-3, -0x1.328354535fffp-3, -0x1.2f11aeac4c2b7p-3, -0x1.2bb12b4714b6p-3, -0x1.285b4bab5d5d4p-3, -0x1.250a995751de3p-3, -0x1.21ba8c8483212p-3, -0x1.1e67744aba5e4p-3, -0x1.1b0e6027a5d75p-3, -0x1.17ad0aefbb5fdp-3, -0x1.1441c73b09b26p-3, -0x1.10cb6d45036d8p-3, -0x1.0d494a2defda6p-3, -0x1.09bb1082cafbcp-3, -0x1.0620ca207647ap-3, -0x1.027acb7723e31p-3, -0x1.fd934ff72904cp-4, -0x1.f61c4ef2929c6p-4, -0x1.ee9278e5eee83p-4, -0x1.e6f7f79ae3cd1p-4, -0x1.df4f2a9e3873p-4, -0x1.d79a9979a32f8p-4, -0x1.cfdce7ef95f47p-4, -0x1.c818cb4c23b6cp-4, -0x1.c0510104d9abap-4, -0x1.b88846cb95b17p-4, -0x1.b0c153d0730f9p-4, -0x1.a8fed300d2c06p-4, -0x1.a1435e0c803e1p-4, -0x1.9991792bbffa2p-4, -0x1.91eb8f994cdb7p-4, -0x1.8a53f0cb107fcp-4, -0x1.82ccce4e54a87p-4, -0x1.7b583a371c08fp-4, -0x1.73f8260f31747p-4, -0x1.6cae6216e46a7p-4, -0x1.657c9cf04e736p-4, -0x1.5e6463850aff3p-4, -0x1.57672138f5a4p-4, -0x1.5086205b4d038p-4, -0x1.49c28ad3cb0c1p-4, -0x1.431d6af6eb95bp-4, -0x1.3c97ac8c8a54ap-4, -0x1.36321deb3c2eap-4, -0x1.2fed712c9db1p-4, -0x1.29ca3d7058e5bp-4, -0x1.23c9002bf04f2p-4, -0x1.1dea1e7d02281p-4, -0x1.182de6807e197p-4, -0x1.129490ac18f8cp-4, -0x1.0d1e4120b98cp-4, -0x1.07cb08fa866p-4, -0x1.029ae797ca3a3p-4, -0x1.fb1b97afaf297p-5, -0x1.f1472a9d9dd6p-5, -0x1.e7b82adddb1e6p-5, -0x1.de6e21431785fp-5, -0x1.d5687eb7ad61fp-5, -0x1.cca69e405760ap-5, -0x1.c427c6ec16536p-5, -0x1.bbeb2da9f7d42p-5, -0x1.b3eff706b8145p-5, -0x1.ac3538cc8567p-5, -0x1.a4b9fb95e5217p-5, -0x1.9d7d3c3937ce1p-5, -0x1.967ded2c4b5e6p-5, -0x1.8fbaf7c2b56e6p-5, -0x1.89333d651550cp-5, -0x1.82e598ac20dd9p-5, -0x1.7cd0de710a1ccp-5, -0x1.76f3dec74597cp-5, -0x1.714d65bd58bedp-5, -0x1.6bdc3c5f8feafp-5, -0x1.669f299dd47cap-5, -0x1.6194f2c0bccc5p-5, -0x1.5cbc5c335bd7p-5, -0x1.58142a317a02bp-5, -0x1.539b2154e718ap-5, -0x1.4f500722917e1p-5, -0x1.4b31a2756754ap-5, -0x1.473ebc1004db4p-5, -0x1.43761eee92b4dp-5, -0x1.3fd698b0e2b43p-5, -0x1.3c5ef9f0041d2p-5, -0x1.390e168d33152p-5, -0x1.35e2c5f8bfe72p-5, -0x1.32dbe37265e02p-5, -0x1.2ff84e41371ffp-5, -0x1.2d36e9e6ad5a9p-5, -0x1.2a969e4b36815p-5, -0x1.281657e3f4268p-5, -0x1.25b507d51cdbep-5, -0x1.2371a40ee4874p-5, -0x1.214b2764e0699p-5, -0x1.1f4091a2824bbp-5, -0x1.1d50e79b0e1a8p-5, -0x1.1b7b33359c4fep-5, -0x1.19be8376f504ep-5, -0x1.1819ec881de35p-5, -0x1.168c87b7999fp-5, -0x1.1515737b07229p-5, -0x1.13b3d36e71a39p-5, -0x1.1266d04e166e8p-5, -0x1.112d97eebc133p-5, -0x1.10075d41fc7fcp-5, -0x1.0ef35832ce06dp-5, -0x1.0df0c5be52db2p-5, -0x1.0cfee7c23f055p-5, -0x1.0c1d050cd292fp-5, -0x1.0b4a693f3235p-5, -0x1.0a8664c1ff4c9p-5, -0x1.09d04cb71eafcp-5, -0x1.09277ae72145cp-5, -0x1.088b4daf4cb9fp-5, -0x1.07fb27f274c1fp-5, -0x1.07767106bc0a4p-5, -0x1.06fc94a196a4cp-5, -0x1.068d02c56af09p-5, -0x1.06272fb12b67p-5, -0x1.05ca93ccfb979p-5, -0x1.0576ab95218f5p-5, -0x1.052af787ae7dbp-5, -0x1.04e6fc13cabfdp-5, -0x1.04aa41861a797p-5, -0x1.047453f3bd68fp-5, -0x1.0444c327b23c2p-5, -0x1.041b22926196ap-5, -0x1.03f709370ca8fp-5, -0x1.03d81196ab3d9p-5, -0x1.03bdd99d003ep-5, -0x1.03a80290daf9fp-5, -0x1.03963102f0d9p-5, -0x1.03880cb9541b1p-5, -0x1.037d409bdbf5bp-5, -0x1.03757aa464195p-5, -0x1.03706bcfb2fc2p-5, -0x1.036dc80a83d0ep-5, -0x1.036d461d12639p-5, -0x1.036e9f9a6b5d1p-5, -0x1.037190d2b0a44p-5, -0x1.0375d8c2faf16p-5, -0x1.037b3901428d9p-5, -0x1.038175a9d54e2p-5, -0x1.0388555138169p-5, -0x1.038fa0f6fc2f2p-5, -0x1.039723f4a32a7p-5, -0x1.039eabea46b24p-5, -0x1.03a608ae2603fp-5, -0x1.03ad0c401cc5fp-5, -0x1.03b38abc9da96p-5, -0x1.03b95a4bde17p-5, -0x1.03be530fabdd1p-5, -0x1.03c24f168f94p-5, -0x1.03c52a4e10febp-5, -0x1.03c6c275519edp-5, -0x1.03c6f7102cfcap-5, -0x1.03c5a953784e3p-5, -0x1.03c2bc1915deep-5, -0x1.03be13d431fb4p-5, -0x1.03b79686c3351p-5, -0x1.03af2bc47993p-5, -0x1.03a4bc62120acp-5, -0x1.039832bbadddep-5, -0x1.03897a9299b0dp-5, -0x1.037880daa2792p-5, -0x1.036533cfc9741p-5, -0x1.034f82e874d36p-5, -0x1.03375ec2c06c9p-5, -0x1.031cb91b79faap-5, -0x1.02ff84c56364p-5, -0x1.02dfb59f428c8p-5, -0x1.02bd4088d3cdcp-5, -0x1.02981b57e1bc4p-5, -0x1.02703ccecfc3cp-5, -0x1.02459c9452ffcp-5, -0x1.0218332b543e4p-5, -0x1.01e7f9e9960dep-5, -0x1.01b4eaedbffc6p-5, -0x1.017f0116ecdc5p-5, -0x1.014637fafe7eap-5, -0x1.010a8be2caddcp-5, -0x1.00cbf9c020ad6p-5, -0x1.008a7f26d4141p-5, -0x1.00461a4417cffp-5, -0x1.fffd93ae5a1bep-6, -0x1.ff691a56d54d9p-6, -0x1.fecec8260299dp-6, -0x1.fe2e9dc300ca9p-6, -0x1.fd889ccad19ddp-6, -0x1.fcdcc7c2c4d9dp-6, -0x1.fc2b220cdebdep-6, -0x1.fb73afded6063p-6, -0x1.fab6763a8f564p-6, -0x1.f9f37ae69d8fep-6, -0x1.f92ac464d9cebp-6, -0x1.f85c59e72af43p-6, -0x1.f7884344f129bp-6, -0x1.f6ae88f283427p-6, -0x1.f5cf33faf6fep-6, -0x1.f4ea4dfa538c4p-6, -0x1.f3ffe11712bd4p-6, -0x1.f30ff7f98e33fp-6, -0x1.f21a9dc232c1p-6, -0x1.f11fde00b4962p-6, -0x1.f01fc4ad7ede1p-6, -0x1.ef1a5e2516f3p-6, -0x1.ee0fb72412a76p-6, -0x1.ecffdcc277f6ep-6, -0x1.ebeadc6d72fdep-6, -0x1.ead0c3e01cae3p-6, -0x1.e9b1a11ccfaa6p-6, -0x1.e88d82689f2fep-6, -0x1.e7647648b38cfp-6, -0x1.e6368b801cce5p-6, -0x1.e503d10dfa931p-6, -0x1.e3cc5629bacf7p-6, -0x1.e2902a3ebe74fp-6, -0x1.e14f5ce6fdf5bp-6, -0x1.e009fde75bbbap-6, -0x1.dec01d2d3f3f3p-6, -0x1.dd71cacd352f3p-6, -0x1.dc1f1701677dp-6, -0x1.dac81228eed85p-6, -0x1.d96cccc07b23p-6, -0x1.d80d576450e91p-6, -0x1.d6a9c2c7ec0ebp-6, -0x1.d5421fb278474p-6, -0x1.d3d67efe07d41p-6, -0x1.d266f19522a4cp-6, -0x1.d0f3887137599p-6, -0x1.cf7c5498830d5p-6, -0x1.ce01671b4b509p-6, -0x1.cc82d1103a7abp-6, -0x1.cb00a390d117dp-6, -0x1.c97aefb651c72p-6, -0x1.c7f1c697bf8a5p-6, -0x1.c665394884425p-6, -0x1.c4d558d76495p-6, -0x1.c342364d5a7cbp-6, -0x1.c1abe2ac1e37ap-6, -0x1.c0126eec465dcp-6, -0x1.be75ebfb27394p-6, -0x1.bcd66ab8ce44dp-6, -0x1.bb33fbf69b4a4p-6, -0x1.b98eb0766f63dp-6, -0x1.b7e698ea46f33p-6, -0x1.b63bc5f3bc5fdp-6, -0x1.b48e48240e6c6p-6, -0x1.b2de2ffc295cap-6, -0x1.b12b8dea7bbfap-6, -0x1.af7672480ea3ap-6, -0x1.adbeed58af1acp-6, -0x1.ac050f4ae67d2p-6, -0x1.aa48e8367f1f6p-6, -0x1.a88a881b75676p-6, -0x1.a6c9fee16d2b9p-6, -0x1.a5075c5706b43p-6, -0x1.a342b030fabc9p-6, -0x1.a17c0a090c3bdp-6, -0x1.9fb3795c92084p-6, -0x1.9de90d8af809p-6, -0x1.9c1cd5d441d01p-6, -0x1.9a4ee157d2de9p-6, -0x1.987f3f136c63ap-6, -0x1.96adfde244512p-6, -0x1.94db2c7c16ce8p-6, -0x1.9306d974553a4p-6, -0x1.913113394a9cfp-6, -0x1.8f59e81342388p-6, -0x1.8d8166237e3e6p-6, -0x1.8ba79b633ep-6, -0x1.89cc95a2d17eap-6, -0x1.87f0628909ddfp-6, -0x1.86130f92c32bcp-6, -0x1.8434aa12a9f84p-6, -0x1.82553f310a13cp-6, -0x1.8074dbebb755fp-6, -0x1.7e938d1627a76p-6, -0x1.7cb15f5977ee5p-6, -0x1.7ace5f34769cfp-6, -0x1.78ea98fb92cdep-6, -0x1.770618d8d101fp-6, -0x1.7520eacbef039p-6, -0x1.733b1aaaa557ep-6, -0x1.7154b420f7778p-6, -0x1.6f6dc2b188f3cp-6, -0x1.6d8651b607b84p-6, -0x1.6b9e6c5f883a3p-6, -0x1.69b61db7009d4p-6, -0x1.67cd709da7b3p-6, -0x1.65e46fcd4c3cfp-6, -0x1.63fb25d868a04p-6, -0x1.62119d2a43f9p-6, -0x1.6027e007338b1p-6, -0x1.5e3df88cb6341p-6, -0x1.5c53f0b1d2027p-6, -0x1.5a69d2472c222p-6, -0x1.587fa6f746157p-6, -0x1.56957846ba394p-6, -0x1.54ab4f94713ffp-6, -0x1.52c13619d914ap-6, -0x1.50d734eb32431p-6, -0x1.4eed54f78b0a9p-6, -0x1.4d039f08d7ff3p-6, -0x1.4b1a1bc40f7b2p-6, -0x1.4930d3a95052cp-6, -0x1.4747cf142c6bep-6, -0x1.455f163bd45ecp-6, -0x1.4376b133701ffp-6, -0x1.418ea7ea63f6dp-6, -0x1.3fa7022cb6862p-6, -0x1.3dbfc7a387b88p-6, -0x1.3bd8ffd581576p-6, -0x1.39f2b22760432p-6, -0x1.380ce5dc520a3p-6, -0x1.3627a2167a9cap-6, -0x1.3442edd74da9fp-6, -0x1.325ed000312eep-6, -0x1.307b4f532d61p-6, -0x1.2e98727373ca9p-6, -0x1.2cb63fe6293fep-6, -0x1.2ad4be12f56c5p-6, -0x1.28f3f344beb56p-6, -0x1.2713e5aa504cp-6, -0x1.25349b57182bep-6, -0x1.23561a43e51a5p-6, -0x1.2178684f9fb7cp-6, -0x1.1f9b8b3fe76c5p-6, -0x1.1dbf88c1bb4a2p-6, -0x1.1be4666a24581p-6, -0x1.1a0a29b6d602ep-6, -0x1.1830d80ecb09p-6, -0x1.165876c2de2e2p-6, -0x1.14810b0e5a7c4p-6, -0x1.12aa9a178698bp-6, -0x1.10d528f01bb02p-6, -0x1.0f00bc95ef0d4p-6, -0x1.0d2d59f372df6p-6, -0x1.0b5b05e039d13p-6, -0x1.0989c5217a9fap-6, -0x1.07b99c6a61babp-6, -0x1.05ea905c72615p-6, -0x1.041ca587b94bap-6, -0x1.024fe06b2338cp-6, -0x1.00844574bb8fap-6, -0x1.fd73b203f38dbp-7, -0x1.f9e13ec0e9aa7p-7, -0x1.f651399fdc121p-7, -0x1.f2c3ab05725a2p-7, -0x1.ef389b28a1feep-7, -0x1.ebb01219fe31ap-7, -0x1.e82a17eda3152p-7, -0x1.e4a6b49227769p-7, -0x1.e125efbd0d5d3p-7, -0x1.dda7d11c3dd25p-7, -0x1.da2c604ec184p-7, -0x1.d6b3a4ca375eep-7, -0x1.d33da5e523628p-7, -0x1.cfca6ade0353cp-7, -0x1.cc59fadb1aaa8p-7, -0x1.c8ec5ce94b054p-7, -0x1.c58197fc0bb6ep-7, -0x1.c219b2ed9c71ap-7, -0x1.beb4b47f4d0d6p-7, -0x1.bb52a359e7156p-7, -0x1.b7f3860ddf0a6p-7, -0x1.b4976312ef0dcp-7, -0x1.b13e40c3fa2a4p-7, -0x1.ade82561ec629p-7, -0x1.aa951790b8c47p-7, -0x1.a7451cd7a87ecp-7, -0x1.a3f83b3daa969p-7, -0x1.a0ae7923fd038p-7, -0x1.9d67dc4e5298ep-7, -0x1.9a246a5c411e4p-7, -0x1.96e4290e36038p-7, -0x1.93a71e05a429fp-7, -0x1.906d4eccdc36ep-7, -0x1.8d36c0d9a7ac8p-7, -0x1.8a03798dd70edp-7, -0x1.86d37e3797bd1p-7, -0x1.83a6d4115ed5bp-7, -0x1.807d804212067p-7, -0x1.7d5787dd0a5d1p-7, -0x1.7a34efe201fb9p-7, -0x1.7715bd3d38afap-7, -0x1.73f9f4c771222p-7, -0x1.70e19b460b949p-7, -0x1.6dccb56b182ccp-7, -0x1.6abb47d58b078p-7, -0x1.67ad57112012fp-7, -0x1.64a2e7966ec28p-7, -0x1.619bfdcac13e7p-7, -0x1.5e989dffee645p-7, -0x1.5b98cc7475ec8p-7, -0x1.589c8d52a4dd7p-7, -0x1.55a3e4b1413ebp-7, -0x1.52aed6935fe03p-7, -0x1.4fbd66e7c6ba4p-7, -0x1.4ccf998983844p-7, -0x1.49e5723f9ce46p-7, -0x1.46fef4bd16a8bp-7, -0x1.441c24a0c1391p-7, -0x1.413d05750d662p-7, -0x1.3e619aafc98fdp-7, -0x1.3b89e7b1fce99p-7, -0x1.38b5efc7b43ffp-7, -0x1.35e5b627ce52p-7, -0x1.33193df3f1f79p-7, -0x1.30508a3871fb1p-7, -0x1.2d8b9dec3d0e9p-7, -0x1.2aca7bf0db8bp-7, -0x1.280d271251e28p-7, -0x1.2553a2070b5fbp-7, -0x1.229def6fac68ap-7, -0x1.1fec11d6f4a87p-7, -0x1.1d3e0bb1821fp-7, -0x1.1a93df5db9e84p-7, -0x1.17ed8f2393e15p-7, -0x1.154b1d34901a4p-7, -0x1.12ac8bab8cc1fp-7, -0x1.1011dc8ce66p-7, -0x1.0d7b11c687508p-7, -0x1.0ae82d2ea652p-7, -0x1.085930872dd3bp-7, -0x1.05ce1d78d1a02p-7, -0x1.0346f596e993p-7, -0x1.00c3ba5d89615p-7, -0x1.fc88da6384ed9p-8, -0x1.f7921ec3021dap-8, -0x1.f2a34446dddcdp-8, -0x1.edbc4d2e222c7p-8, -0x1.e8dd3b8b3603dp-8, -0x1.e40611486815fp-8, -0x1.df36d0269ebcep-8, -0x1.da6f799fdc815p-8, -0x1.d5b00ee69a50cp-8, -0x1.d0f89140a915ep-8, -0x1.cc4901d48712bp-8, -0x1.c7a1613e8ffd8p-8, -0x1.c301b01078e6ap-8, -0x1.be69eeef20fa5p-8, -0x1.b9da1e204ca71p-8, -0x1.b5523daa52e9p-8, -0x1.b0d24d7223867p-8, -0x1.ac5a4d34519b9p-8, -0x1.a7ea3c8001b8dp-8, -0x1.a3821ab75efabp-8, -0x1.9f21e70ff24bcp-8, -0x1.9ac9a090ad5e1p-8, -0x1.96794613859f6p-8, -0x1.9230d646e9755p-8, -0x1.8df04fad1abbap-8, -0x1.89b7b09bfca9ep-8, -0x1.8586f73d73cf4p-8, -0x1.815e218e01715p-8, -0x1.7d3d2d60754dbp-8, -0x1.7924185a61483p-8, -0x1.7512dff6a3e7fp-8, -0x1.710981853cb67p-8, -0x1.6d07fa2b7ab0fp-8, -0x1.690e46e4bda83p-8, -0x1.651c648289ac4p-8, -0x1.61324facfd8dp-8, -0x1.5d5004e2fdea9p-8, -0x1.5975807a94111p-8, -0x1.55a2bea0f9cadp-8, -0x1.51d7bb5af372fp-8, -0x1.4e147285017f6p-8, -0x1.4a58dfd3971cp-8, -0x1.46a4fed3a1d6ap-8, -0x1.42f8caeacc546p-8, -0x1.3f543f580ddf4p-8, -0x1.3bb757341dcd9p-8, -0x1.38220d720bc95p-8, -0x1.34945cdfbe31ep-8, -0x1.310e40265f0a6p-8, -0x1.2d8fb1cae6be2p-8, -0x1.2a18ac2e6747dp-8, -0x1.26a9298e72a6ap-8, -0x1.234124057658fp-8, -0x1.1fe0958b075bfp-8, -0x1.1c8777f43c3ddp-8, -0x1.1935c4f41302dp-8, -0x1.15eb761bf20fcp-8, -0x1.12a884dc220a8p-8, -0x1.0f6cea845f182p-8, -0x1.0c38a0447093bp-8, -0x1.090b9f2ccc98p-8, -0x1.05e5e02f359f7p-8, -0x1.02c75c1f3fa78p-8, -0x1.ff601765db11fp-9, -0x1.f93fcf065641cp-9, -0x1.f32dd01880dfep-9, -0x1.ed2a0b5c6cbedp-9, -0x1.e734715aa9b54p-9, -0x1.e14cf264e7bfap-9, -0x1.db737e96f0f31p-9, -0x1.d5a805d7aac22p-9, -0x1.cfea77da2824cp-9, -0x1.ca3ac41ed3657p-9, -0x1.c498d9f48eecp-9, -0x1.bf04a87a5032p-9, -0x1.b97e1ea036fbap-9, -0x1.b4052b29221acp-9, -0x1.ae99bcabb804bp-9, -0x1.a93bc193b4a6fp-9, -0x1.a3eb28231e764p-9, -0x1.9ea7de73231b9p-9, -0x1.9971d2752cfd3p-9, -0x1.9448f1f38a70bp-9, -0x1.8f2d2a92b55e2p-9, -0x1.8a1e69d1b894ap-9, -0x1.851c9d0bb319dp-9, -0x1.8027b1785b547p-9, -0x1.7b3f942da813ap-9, -0x1.76643220649cdp-9, -0x1.71957826086cbp-9, -0x1.6cd352f595041p-9, -0x1.681daf2908545p-9, -0x1.6374793e6dc69p-9, -0x1.5ed79d9943b55p-9, -0x1.5a4708834b26dp-9, -0x1.55c2a62d6d7bfp-9, -0x1.514a62b11f19p-9, -0x1.4cde2a10bf18fp-9, -0x1.487de838c2cb2p-9, -0x1.44298900d55dbp-9, -0x1.3fe0f82cf0c77p-9, -0x1.3ba4216e42e68p-9, -0x1.3772f0397d18ap-9, -0x1.334d50ec83e2dp-9, -0x1.2f332d117ae2fp-9, -0x1.2b24729d7ae02p-9, -0x1.27210b6463be7p-9, -0x1.2328e31a52e5ep-9, -0x1.1f3be51ed4f09p-9, -0x1.1b59fcbd1f2f5p-9, -0x1.178315398dec2p-9, -0x1.13b719d21c52cp-9, -0x1.0ff5f5be2323cp-9, -0x1.0c3f942e64863p-9, -0x1.0893e04d03968p-9, -0x1.04f2c53dac5e9p-9, -0x1.015c2e1a60bdcp-9, -0x1.fba00bf9f536ep-10, -0x1.f49c6fe4f3fbap-10, -0x1.edad5e11e466bp-10, -0x1.e6d2ac9187e03p-10, -0x1.e00c316ff2fb5p-10, -0x1.d959c2bd2698cp-10, -0x1.d2bb369147a39p-10, -0x1.cc30631009e47p-10, -0x1.c5b91e6d6ed9cp-10, -0x1.bf553ef287f18p-10, -0x1.b9049b005ec0ep-10, -0x1.b2c709120ab23p-10, -0x1.ac9c5fbd826fp-10, -0x1.a68475b39be0cp-10, -0x1.a07f21bdf7a34p-10, -0x1.9a8c3abd64f0fp-10, -0x1.94ab97a6d201ep-10, -0x1.8edd0f8113781p-10, -0x1.89207962dc347p-10, -0x1.8375ac71989b7p-10, -0x1.7ddc7fe1c4263p-10, -0x1.7854caf8c5a43p-10, -0x1.72de650fcc31p-10, -0x1.6d7925987ae94p-10, -0x1.6824e42210785p-10, -0x1.62e1785f3d2a4p-10, -0x1.5daeba2beedb6p-10, -0x1.588c8191aa7cp-10, -0x1.537aa6cb57b76p-10, -0x1.4e790246dd081p-10, -0x1.49876ca4ca261p-10, -0x1.44a5beb5cc22p-10, -0x1.3fd3d176c477cp-10, -0x1.3b117e0adfd95p-10, -0x1.365e9db5b83b1p-10, -0x1.31bb09d4f6866p-10, -0x1.2d269bdc12fb3p-10, -0x1.28a12d50ec9d3p-10, -0x1.242a97cbbbb14p-10, -0x1.1fc2b4fa3121p-10, -0x1.1b695ea5925abp-10, -0x1.171e6ebc4c66cp-10, -0x1.12e1bf5e07a09p-10, -0x1.0eb32ae98fcebp-10, -0x1.0a928c0b8c86p-10, -0x1.067fbdcc9becbp-10, -0x1.027a9b9df05eep-10, -0x1.fd0602c52fefbp-11, -0x1.f53196e8e11ecp-11, -0x1.ed77ad48cf202p-11, -0x1.e5d8006910da4p-11, -0x1.de524b98b1e0cp-11, -0x1.d6e64ace6588bp-11, -0x1.cf93ba7c22f98p-11, -0x1.c85a575c28d7ep-11, -0x1.c139de3ad11cfp-11, -0x1.ba320bc3374e2p-11, -0x1.b3429c532397fp-11, -0x1.ac6b4bdc583fdp-11, -0x1.a5abd5d6e8985p-11, -0x1.9f03f5463ba16p-11, -0x1.987364d359d05p-11, -0x1.91f9def9fff6p-11, -0x1.8b971e43184fp-11, -0x1.854add899e292p-11, -0x1.7f14d8410c0c9p-11, -0x1.78f4cab9a6b55p-11, -0x1.72ea725ac7f9fp-11, -0x1.6cf58dd3af28ep-11, -0x1.6715dd3caf7fp-11, -0x1.614b222d8aa79p-11, -0x1.5b951fc548709p-11, -0x1.55f39aa934bc3p-11, -0x1.506658f6bb0f7p-11, -0x1.4aed222aeaaf8p-11, -0x1.4587befbdedc3p-11, -0x1.4035f922c9257p-11, -0x1.3af79b15a0c1cp-11, -0x1.35cc6fb223308p-11, -0x1.30b441dd9ae2ap-11, -0x1.2baedc22efb14p-11, -0x1.26bc0858bf718p-11, -0x1.21db8f5cb020fp-11, -0x1.1d0d38ef256b7p-11, -0x1.1850cbb6961a4p-11, -0x1.13a60d6cb7be7p-11, -0x1.0f0cc331d31e4p-11, -0x1.0a84b1f737f01p-11, -0x1.060d9ef5043a6p-11, -0x1.01a75015ef757p-11, -0x1.faa3189954203p-12, -0x1.f218378e72f02p-12, -0x1.e9ad8ffde7b2ap-12, -0x1.e162b75987875p-12, -0x1.d937455119f19p-12, -0x1.d12ad3905516p-12, -0x1.c93cfd8dc107ap-12, -0x1.c16d607f9e75ep-12, -0x1.b9bb9b795e34p-12, -0x1.b2274facd72a7p-12, -0x1.aab020ac2eap-12, -0x1.a355b485a86aep-12, -0x1.9c17b3bd1ab2ep-12, -0x1.94f5c9004c853p-12, -0x1.8defa085d234cp-12, -0x1.8704e7345174cp-12, -0x1.803549b8d4efp-12, -0x1.798073aec9eaap-12, -0x1.72e60f0d0ea12p-12, -0x1.6c65c3f53c3a4p-12, -0x1.65ff38f3c1033p-12, -0x1.5fb213a8cf997p-12, -0x1.597df9b535139p-12, -0x1.536291ce4303p-12, -0x1.4d5f82f0c34c1p-12, -0x1.4774805578391p-12, -0x1.41a126a7c8034p-12, -0x1.3be5353fa3aa5p-12, -0x1.364058513201fp-12, -0x1.30b243409b429p-12, -0x1.2b3aa8e61ef73p-12, -0x1.25d93b91ff644p-12, -0x1.208daccbd157ep-12, -0x1.1b57ad2d6eafp-12, -0x1.1636eccb28406p-12, -0x1.112b1fe29481cp-12, -0x1.0c33f07fc9ea9p-12, -0x1.07511d0f25c6ap-12, -0x1.028257cf3d22cp-12, -0x1.fb8eb6c87b5f8p-13, -0x1.f23fc78d69872p-13, -0x1.e9175c5221db6p-13, -0x1.e014f0a3a8e11p-13, -0x1.d738000316929p-13, -0x1.ce80055a37f5bp-13, -0x1.c5ec7b2111ae3p-13, -0x1.bd7cdc09e0967p-13, -0x1.b530a3df6d569p-13, -0x1.ad07503962cafp-13, -0x1.a50060cdbb607p-13, -0x1.9d1b575bacde1p-13, -0x1.9557b768758b8p-13, -0x1.8db50612d4addp-13, -0x1.8632ca4556528p-13, -0x1.7ed08d3e34362p-13, -0x1.778ddb31e053bp-13, -0x1.706a439dc4061p-13, -0x1.696558f449401p-13, -0x1.627eaf91b02fp-13, -0x1.5bb5dc40142dcp-13, -0x1.550a72e2ae72fp-13, -0x1.4e7c05cfe39bfp-13, -0x1.480a263581302p-13, -0x1.41b4655597f5dp-13, -0x1.3b7a560e479d1p-13, -0x1.355b8dddd5c48p-13, -0x1.2f57a4c54dddp-13, -0x1.296e34051d4a9p-13, -0x1.239ed3f69126bp-13, -0x1.1de91a774dfa1p-13, -0x1.184c9a85ad266p-13, -0x1.12c8e5f161edp-13, -0x1.0d5d90d715c51p-13, -0x1.080a35e6e7cf2p-13, -0x1.02ce79f1b0fb4p-13, -0x1.fb541a8587f68p-14, -0x1.f13953f39c934p-14, -0x1.e74c1f2dc6d24p-14, -0x1.dd8bf9dd6261bp-14, -0x1.d3f854baa9d1fp-14, -0x1.ca908be8e4317p-14, -0x1.c153e565eb4ecp-14, -0x1.b84195810ec58p-14, -0x1.af58c7573c0ccp-14, -0x1.a698a674ba97ap-14, -0x1.9e0066fd72b9dp-14, -0x1.958f4ae3b42b7p-14, -0x1.8d44a3f4af7ddp-14, -0x1.851fd3436352cp-14, -0x1.7d2046c666583p-14, -0x1.754575f74fc0cp-14, -0x1.6d8ede38b9c04p-14, -0x1.65fbffc1a9918p-14, -0x1.5e8c5b942c7a5p-14, -0x1.573f7286dc0a9p-14, -0x1.5014c4b12af7ep-14, -0x1.490bd023ee643p-14, -0x1.42240e0e24208p-14, -0x1.3b5ceea32511ep-14, -0x1.34b5d5adac92p-14, -0x1.2e2e1acdf9875p-14, -0x1.27c50fc074702p-14, -0x1.217a0c78471acp-14, -0x1.1b4c7d596ccefp-14, -0x1.153bedb1c6fe2p-14, -0x1.0f480936d6e4p-14, -0x1.097092de886e4p-14, -0x1.03b5547679f1bp-14, -0x1.fc2c1bc1fbd95p-15, -0x1.f124d450be9ffp-15, -0x1.e653fbca4d5cp-15, -0x1.dbb89b647e3ebp-15, -0x1.d151af5f0191ep-15, -0x1.c71e353b916ffp-15, -0x1.bd1d2f90950c5p-15, -0x1.b34da1eab3305p-15, -0x1.a9ae8c12cb487p-15, -0x1.a03eeb127769ep-15, -0x1.96fdc12f31ddp-15, -0x1.8dea214a85f38p-15, -0x1.8503385f6e51bp-15, -0x1.7c4850f15826cp-15, -0x1.73b8ce77adc02p-15, -0x1.6b54212c90f5ap-15, -0x1.6319b596d7f33p-15, -0x1.5b08e4b592105p-15, -0x1.5320eb1bbb871p-15, -0x1.4b60ead191bdap-15, -0x1.43c7f6fdcc895p-15, -0x1.3c5524fe22675p-15, -0x1.35079a85a7713p-15, -0x1.2dde9492a2128p-15, -0x1.26d967162558ap-15, -0x1.1ff779fa1f90ap-15, -0x1.193847d1c454ap-15, -0x1.129b5db3d41bfp-15, -0x1.0c2056c2a8cdp-15, -0x1.05c6cfebb1e1ap-15, -0x1.ff1cac57b62ebp-16, -0x1.f2ecb476e2047p-16, -0x1.e6fc3e7506831p-16, -0x1.db4a236470a2dp-16, -0x1.cfd52d05af26dp-16, -0x1.c49c042c176f5p-16, -0x1.b99e0daac1542p-16, -0x1.aeda98b654161p-16, -0x1.a450db484177ep-16, -0x1.99ffd7ab67a91p-16, -0x1.8fe66127591fcp-16, -0x1.860331b88d042p-16, -0x1.7c54ff4a2f304p-16, -0x1.72da8ab5b91bfp-16, -0x1.6992abef57c33p-16, -0x1.607c5d511db67p-16, -0x1.5796c29f07e08p-16, -0x1.4ee12747e990cp-16, -0x1.465af261581bdp-16, -0x1.3e03928c78396p-16, -0x1.35da66d92ca02p-16, -0x1.2ddeab8edfe08p-16, -0x1.260f72273a427p-16, -0x1.1e6ba9a032559p-16, -0x1.16f23654fc95dp-16, -0x1.0fa210b897836p-16, -0x1.087a5cd78e522p-16, -0x1.017a6dab54793p-16, -0x1.f543607e05215p-17, -0x1.e7df12536cd03p-17, -0x1.dac675755a58p-17, -0x1.cdf7cda65c187p-17, -0x1.c1714ea681ab3p-17, -0x1.b53141b6389e9p-17, -0x1.a935fb3d7be9fp-17, -0x1.9d7dc557555cp-17, -0x1.9206ff9869e5ap-17, -0x1.86d06a5580296p-17, -0x1.7bd94a0f2694ep-17, -0x1.71212aa2c9fdcp-17, -0x1.66a77076c380cp-17, -0x1.5c6b1aa59b25ap-17, -0x1.526ae19f4f5b2p-17, -0x1.48a566c404252p-17, -0x1.3f199543d3521p-17, -0x1.35c6b95e69c65p-17, -0x1.2cab255703e32p-17, -0x1.23c5d7823aa5p-17, -0x1.1b158ce55f436p-17, -0x1.12990a6c02b9ep-17, -0x1.0a4f26e3b29d2p-17, -0x1.0236ced72fd6ep-17, -0x1.f49e08ad4e906p-18, -0x1.e52db827f1fb3p-18, -0x1.d61af06bdaaadp-18, -0x1.c76400133207fp-18, -0x1.b9072861eb0abp-18, -0x1.ab0284aa5f53ep-18, -0x1.9d54004e88693p-18, -0x1.8ff96ddd4e7a9p-18, -0x1.82f0c44965cabp-18, -0x1.76386b36554abp-18, -0x1.69cf6e16f40a4p-18, -0x1.5db56a912d118p-18, -0x1.51ea2310fbf0bp-18, -0x1.466cd8428790dp-18, -0x1.3b3bc6c9e1d3ap-18, -0x1.3054330dc8d7dp-18, -0x1.25b309a1f0304p-18, -0x1.1b5585c75919bp-18, -0x1.11395f81e0574p-18, -0x1.075ccf5f0c781p-18, -0x1.fb7dc683889aep-19, -0x1.e8bf3f7dd672bp-19, -0x1.d67e4f39e03c6p-19, -0x1.c4b90d80b9fbp-19, -0x1.b36aefddc473cp-19, -0x1.a28eb56866a7bp-19, -0x1.92207735b83afp-19, -0x1.821de5f3523a1p-19, -0x1.7285607219da4p-19, -0x1.635581e849793p-19, -0x1.548d23416dbf2p-19, -0x1.462b11a396b15p-19, -0x1.382d94de8ea18p-19, -0x1.2a9254b663637p-19, -0x1.1d56b51c26cc6p-19, -0x1.107837f5de809p-19, -0x1.03f487c4f4d3dp-19, -0x1.ef929feb407bap-20, -0x1.d7e86af2a1b69p-20, -0x1.c0e5f8be7cfe3p-20, -0x1.aa8758daab916p-20, -0x1.94c931b4fd907p-20, -0x1.7fa86fa28b817p-20, -0x1.6b221c5ad0782p-20, -0x1.5732ef2890684p-20, -0x1.43d771e001975p-20, -0x1.310c298d2e045p-20, -0x1.1ecde47766ebap-20, -0x1.0d19eabe43803p-20, -0x1.f7dc0518f68dep-21, -0x1.d6907198792d5p-21, -0x1.b64c936b14f5fp-21, -0x1.970984fb538a8p-21, -0x1.78bd5e21257c7p-21, -0x1.5b5d74048e662p-21, -0x1.3ee222f39b6fep-21, -0x1.2347ebe97a251p-21, -0x1.088ba69453adap-21, -0x1.dd554b1a0702fp-22, -0x1.ab3d03f891dc4p-22, -0x1.7ac8f2f0ac89fp-22, -0x1.4be8f324d70fdp-22, -0x1.1e8af1f58c15cp-22, -0x1.e54e98d9ac07ep-23, -0x1.90789fbbe7d76p-23, -0x1.3e88b296b366ap-23, -0x1.deda05f9819c9p-24, -0x1.4628a617b751ep-24, -0x1.65b74a92edde3p-25, -0x1.2669cb5abcdddp-27, 0x1.90b602058d8b9p-26, 0x1.d08401b1112p-25, 0x1.679ca295b04fdp-24, 0x1.e262580ee24f9p-24, 0x1.2c54fcdfe1e83p-23, 0x1.65401fe3e43edp-23, 0x1.9bfbde49947c1p-23, 0x1.d099d9783f47ap-23, 0x1.0197ba697526ep-22, 0x1.19e66b0340b57p-22, 0x1.313dae1db78eap-22, 0x1.47a1c966efa16p-22, 0x1.5d18548ff933cp-22, 0x1.71a7870f165e3p-22, 0x1.85556d5b938fdp-22, 0x1.9827f477c5859p-22, 0x1.aa253d3e33b81p-22, 0x1.bb53b77df007p-22, 0x1.cbb9e0e780e7p-22, 0x1.db5db461e7c5ep-22, 0x1.ea4417be3286bp-22, 0x1.f870f1ce7d12ep-22, 0x1.02f4362b73b77p-21, 0x1.09583aa325bccp-21, 0x1.0f680c5728c5bp-21, 0x1.152626ea29c19p-21, 0x1.1a9317cb1513dp-21, 0x1.1faf7f6acc767p-21, 0x1.247f0e509635bp-21, 0x1.290645480c5e7p-21, 0x1.2d4777cf4bb7p-21, 0x1.314510c6eb74bp-21, 0x1.350035edc7566p-21, 0x1.3878a537e12e6p-21, 0x1.3bb2812666848p-21, 0x1.3ead99cfd2da2p-21, 0x1.416e2b91f1564p-21, 0x1.43f549c63e4ecp-21, 0x1.4644962d43d9bp-21, 0x1.485da381aa337p-21, 0x1.4a42074b4fcdcp-21, 0x1.4bf359821cfaep-21, 0x1.4d7333f8bb588p-21, 0x1.4ec32f453cac2p-21, 0x1.4fe4db553a6afp-21, 0x1.50d9b0021c2b3p-21, 0x1.51a3dae4abd1cp-21, 0x1.524465e70788fp-21, 0x1.52bad7a811597p-21, 0x1.530bbb06ca1ccp-21, 0x1.53371bb3d32a9p-21, 0x1.533e183ff93ffp-21, 0x1.5321dd9488659p-21, 0x1.52e3c7f12282p-21, 0x1.52850731b9d4bp-21, 0x1.5206c1d736456p-21, 0x1.516a5959ff944p-21, 0x1.50b0d745d2601p-21, 0x1.4fdaf244cf627p-21, 0x1.4ee9c5aa49573p-21, 0x1.4ddeb56fb6c2fp-21, 0x1.4cbafb51af7fcp-21, 0x1.4b7f8e4ebab62p-21, 0x1.4a2d36e6b7cacp-21, 0x1.48c4a8d9b9f2cp-21, 0x1.4746a536b6728p-21, 0x1.45b40fbca572bp-21, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.5dd61a99ecc2bp-5, 0x1.321f6e46ed38dp-4, 0x1.786e74f4f32efp-4, 0x1.825eb44bd7dd3p-4, 0x1.592e56a8d2b7ap-4, 0x1.095b19c097264p-4, 0x1.3f3b6fd906642p-5, 0x1.3b30cba156f7dp-7, -0x1.57239bdaad517p-6, -0x1.a1006affa47c9p-5, -0x1.4347fd3421f43p-4, -0x1.aa6321a7c9028p-4, -0x1.01c3755769e44p-3, -0x1.26c9496e8d9d7p-3, -0x1.44267cfa7ceafp-3, -0x1.5a1554c5dca91p-3, -0x1.690e6c95c3d94p-3, -0x1.71b46e6f1deebp-3, -0x1.74c396f99d153p-3, -0x1.73049527dea2p-3, -0x1.6d4256b490601p-3, -0x1.644258e4c9275p-3, -0x1.58bf1c0141ba1p-3, -0x1.4b645f6c05b3fp-3, -0x1.3cccd3bc803fap-3, -0x1.2d80f7e4bfec8p-3, -0x1.1df6de13dd55ap-3, -0x1.0e929d2d22286p-3, -0x1.ff4e7831a614fp-4, -0x1.e2efd98e414e3p-4, -0x1.c872ea4b8791bp-4, -0x1.b027584cfcc54p-4, -0x1.9a45efe96ce7p-4, -0x1.86f380baad9d5p-4, -0x1.76439a31928f6p-4, -0x1.683b165d2b0dep-4, -0x1.5cd26e65c398ep-4, -0x1.53f7d7a4b5035p-4, -0x1.4d912a7b5dfebp-4, -0x1.497d95568a467p-4, -0x1.47971ef983e2ap-4, -0x1.47b3fb6d86bfdp-4, -0x1.49a7b6f23c34ep-4, -0x1.4d443a264fc4ap-4, -0x1.525aaa919de3cp-4, -0x1.58bc2a7c60aep-4, -0x1.603a7aa4c6674p-4, -0x1.68a880a256787p-4, -0x1.71dab47a30222p-4, -0x1.7ba7782bd1e8ep-4, -0x1.85e75ae97f7ddp-4, -0x1.90754a92bc91p-4, -0x1.9b2eb53a349abp-4, -0x1.a5f39ff148e81p-4, -0x1.b0a6ad6a68b51p-4, -0x1.bb2d22762b5ffp-4, -0x1.c56ed5dfa89d6p-4, -0x1.cf562b44c65e9p-4, -0x1.d8cff54266fdcp-4, -0x1.e1cb69456d2d8p-4, -0x1.ea39fa73909b8p-4, -0x1.f20f44cbb4c1bp-4, -0x1.f940e89163cd2p-4, -0x1.ffc66fca3e4dcp-4, -0x1.02cc96dd65c5cp-3, -0x1.055a10c692e29p-3, -0x1.0789ebcc73f58p-3, -0x1.095b25a634be1p-3, -0x1.0acd64c2212abp-3, -0x1.0be0e9e439274p-3, -0x1.0c968244c4815p-3, -0x1.0cef7a2d7aba8p-3, -0x1.0ced900491279p-3, -0x1.0c92e7bb53584p-3, -0x1.0be1fe9d9a52p-3, -0x1.0add9f8ce66fp-3, -0x1.0988d7b716f12p-3, -0x1.07e6ebdc7a00dp-3, -0x1.05fb4e34089bp-3, -0x1.03c994f889738p-3, -0x1.015571a46cdabp-3, -0x1.fd4551b8d3217p-4, -0x1.f76a1610c0863p-4, -0x1.f120db2bb6621p-4, -0x1.ea7149c226664p-4, -0x1.e362fd7dee808p-4, -0x1.dbfd7b46f832cp-4, -0x1.d44828c010854p-4, -0x1.cc4a44e2fbcb2p-4, -0x1.c40ae1b50cb43p-4, -0x1.bb90defbad77dp-4, -0x1.b2e2e5eaf3ed7p-4, -0x1.aa0765ad937ccp-4, -0x1.a10490c4e3ecbp-4, -0x1.97e05b17a3ac9p-4, -0x1.8ea078b3a3b82p-4, -0x1.854a5d164a857p-4, -0x1.7be33b014214bp-4, -0x1.727004b188e87p-4, -0x1.68f56c82dd78fp-4, -0x1.5f77e5d4dd31p-4, -0x1.55fba640357a9p-4, -0x1.4c84a6f84a3c9p-4, -0x1.4316a65e8bac4p-4, -0x1.39b529b6ec14cp-4, -0x1.30637ef3769ecp-4, -0x1.2724be95caca5p-4, -0x1.1dfbcd975eacdp-4, -0x1.14eb5f5adbf82p-4, -0x1.0bf5f79a3e4eep-4, -0x1.031dec52fd723p-4, -0x1.f4cacf5339171p-5, -0x1.e39cd38419f21p-5, -0x1.d2b595165ff2p-5, -0x1.c21876fb4118bp-5, -0x1.b1c8928d81beap-5, -0x1.a1c8bacfb4ca8p-5, -0x1.921b7f86cb95dp-5, -0x1.82c3302fb1cb6p-5, -0x1.73c1dee1adec7p-5, -0x1.651963038a87dp-5, -0x1.56cb5bf439167p-5, -0x1.48d9338f6476fp-5, -0x1.3b442094cb36cp-5, -0x1.2e0d290f1f6a5p-5, -0x1.21352485b576ap-5, -0x1.14bcbe2e7013ap-5, -0x1.08a47718bce73p-5, -0x1.f9d95039c3ebbp-6, -0x1.e32b07d389038p-6, -0x1.cd3e31f679829p-6, -0x1.b812a6a773257p-6, -0x1.a3a7fcdd9b5e5p-6, -0x1.8ffd8e1ce5fc8p-6, -0x1.7d127988caa0fp-6, -0x1.6ae5a793a1592p-6, -0x1.5975cd6344c7ap-6, -0x1.48c16f852c14ep-6, -0x1.38c6e558a1942p-6, -0x1.29845c59f5b36p-6, -0x1.1af7da7c607ebp-6, -0x1.0d1f412b1bf72p-6, -0x1.fff0a1263fe39p-7, -0x1.e70153814a722p-7, -0x1.cf6ba1f802504p-7, -0x1.b92a6210f6d63p-7, -0x1.a4383aa137567p-7, -0x1.908fa70057272p-7, -0x1.7e2afca30b254p-7, -0x1.6d0470460ff44p-7, -0x1.5d16183eb243bp-7, -0x1.4e59eff78b9a1p-7, -0x1.40c9dd8b02924p-7, -0x1.345fb4ef2ea75p-7, -0x1.2915392ec00aep-7, -0x1.1ee42041c0a87p-7, -0x1.15c617ee1342ep-7, -0x1.0db4c74b35443p-7, -0x1.06a9cf4fc169cp-7, -0x1.009ece970813cp-7, -0x1.f71acb0837172p-8, -0x1.eede6d690f6ap-8, -0x1.e87bcd9c1d6a5p-8, -0x1.e3e63f801b626p-8, -0x1.e1112914ff4ecp-8, -0x1.dff002890f94p-8, -0x1.e07653edd6701p-8, -0x1.e297b9be8f3a4p-8, -0x1.e647ec60a170ep-8, -0x1.eb7ac0ee077b7p-8, -0x1.f2242539be042p-8, -0x1.fa38211e9359ep-8, -0x1.01d56ec9996efp-7, -0x1.073853eb9e052p-7, -0x1.0d3ef6ba2087ep-7, -0x1.13e39cc8d836p-7, -0x1.1b209cca7b3e4p-7, -0x1.22f061745ce94p-7, -0x1.2b4d69013b4fcp-7, -0x1.343242aa0c255p-7, -0x1.3d998e82193c5p-7, -0x1.477e003c11c43p-7, -0x1.51da60f7ef1bbp-7, -0x1.5ca98dd27b6p-7, -0x1.67e675afa1152p-7, -0x1.738c19b90499p-7, -0x1.7f958fe5ab99p-7, -0x1.8bfe0422a304ap-7, -0x1.98c0b6d5c33bcp-7, -0x1.a5d8fb09fe748p-7, -0x1.b34236eca25c1p-7, -0x1.c0f7e5dfe7064p-7, -0x1.cef59978e8d51p-7, -0x1.dd36f8734a0f4p-7, -0x1.ebb7bd269b22ep-7, -0x1.fa73b59c4ce2fp-7, -0x1.04b3628921744p-6, -0x1.0c46727df7233p-6, -0x1.13f1124bd1d2dp-6, -0x1.1bb153e6844ecp-6, -0x1.238553606551cp-6, -0x1.2b6b3754f3c77p-6, -0x1.336131626ae52p-6, -0x1.3b657e2f5104ap-6, -0x1.43766527acbdep-6, -0x1.4b923834e09fbp-6, -0x1.53b753cf973aep-6, -0x1.5be41f4c0f62bp-6, -0x1.64170cf6cb274p-6, -0x1.6c4e9a03a60bbp-6, -0x1.74894e6cc0255p-6, -0x1.7cc5bcd8b6391p-6, -0x1.850282ab03019p-6, -0x1.8d3e4813a547p-6, -0x1.9577bff44eb22p-6, -0x1.9dada7cc43661p-6, -0x1.a5dec7b73db65p-6, -0x1.ae09f26536d44p-6, -0x1.b62e0512730aap-6, -0x1.be49e769149f9p-6, -0x1.c65c8b3de8c9p-6, -0x1.ce64ec6ce4bc4p-6, -0x1.d66210e9ab8b5p-6, -0x1.de5308c8b83d8p-6, -0x1.e636ee2d60e0ap-6, -0x1.ee0ce5176fb92p-6, -0x1.f5d41b0511aabp-6, -0x1.fd8bc6a56fc9cp-6, -0x1.029993ec88effp-5, -0x1.0664c3e7e1288p-5, -0x1.0a271c821474ep-5, -0x1.0de04b878c1afp-5, -0x1.11900325a62bdp-5, -0x1.1535f9ae214cep-5, -0x1.18d1e9740e974p-5, -0x1.1c6390d0561a9p-5, -0x1.1feab22c27d21p-5, -0x1.236713f6d9d9ap-5, -0x1.26d8808717bd9p-5, -0x1.2a3ec5e513185p-5, -0x1.2d99b5894c962p-5, -0x1.30e92434613b7p-5, -0x1.342ce9ec678edp-5, -0x1.3764e202d06f1p-5, -0x1.3a90eb09251f2p-5, -0x1.3db0e6b49638cp-5, -0x1.40c4b9af37d66p-5, -0x1.43cc4b5a4b17p-5, -0x1.46c7859cbcb4bp-5, -0x1.49b654d2cf00fp-5, -0x1.4c98a7d0bf315p-5, -0x1.4f6e6fdd573dp-5, -0x1.5237a09dc613p-5, -0x1.54f42ff5b29fdp-5, -0x1.57a415d7eca37p-5, -0x1.5a474c113fdbbp-5, -0x1.5cddce256bdf8p-5, -0x1.5f6799463d948p-5, -0x1.61e4ac539acb8p-5, -0x1.645507d214407p-5, -0x1.66b8add71512ap-5, -0x1.690fa1ecca60cp-5, -0x1.6b59e8ea325b4p-5, -0x1.6d9788c6f3e0cp-5, -0x1.6fc8887d7f858p-5, -0x1.71ecf0021ed55p-5, -0x1.7404c84248461p-5, -0x1.76101b1dd846dp-5, -0x1.780ef35832a7p-5, -0x1.7a015c83d95b1p-5, -0x1.7be762e6ae2b7p-5, -0x1.7dc113581f209p-5, -0x1.7f8e7b2595efp-5, -0x1.814fa806b867fp-5, -0x1.8304a81d692dap-5, -0x1.84ad89f5c759p-5, -0x1.864a5c7f35ecap-5, -0x1.87db2f00eabb9p-5, -0x1.8960110bbb834p-5, -0x1.8ad91266573dep-5, -0x1.8c4642f76d39fp-5, -0x1.8da7b2b6dad1dp-5, -0x1.8efd71aa151bep-5, -0x1.90478fe7bbb5bp-5, -0x1.91861d9a1ca3bp-5, -0x1.92b92afc7e215p-5, -0x1.93e0c85580a4ap-5, -0x1.94fd05f057393p-5, -0x1.960df41279604p-5, -0x1.9713a2ef5bb1ap-5, -0x1.980e229fcefbcp-5, -0x1.98fd8320a8834p-5, -0x1.99e1d4572c223p-5, -0x1.9abb261663e5fp-5, -0x1.9b8988211f49ep-5, -0x1.9c4d0a2905b8ap-5, -0x1.9d05bbcd0b6d4p-5, -0x1.9db3ac96a0dfep-5, -0x1.9e56ebf4920b2p-5, -0x1.9eef8936071e2p-5, -0x1.9f7d9388fb7a6p-5, -0x1.a00119fd31d05p-5, -0x1.a07a2b8a01412p-5, -0x1.a0e8d71419b5p-5, -0x1.a14d2b70c0188p-5, -0x1.a1a7376740264p-5, -0x1.a1f709b23c69ap-5, -0x1.a23cb1003c09ep-5, -0x1.a2783bf2cdd4dp-5, -0x1.a2a9b91da115ap-5, -0x1.a2d1370791af9p-5, -0x1.a2eec42e332bbp-5, -0x1.a3026f0b47a72p-5, -0x1.a30c461ab6d36p-5, -0x1.a30c57df34f42p-5, -0x1.a302b2e53b8edp-5, -0x1.a2ef65c59a4f2p-5, -0x1.a2d27f27ecd3ep-5, -0x1.a2ac0dc432783p-5, -0x1.a27c2063c9e57p-5, -0x1.a242c5e2f7f8bp-5, -0x1.a2000d339256fp-5, -0x1.a1b40560cbeb9p-5, -0x1.a15ebd93f6fdfp-5, -0x1.a10045193067cp-5, -0x1.a098ab6313733p-5, -0x1.a028000d54992p-5, -0x1.9fae52df0a44fp-5, -0x1.9f2bb3cce676fp-5, -0x1.9ea032fabe5ebp-5, -0x1.9e0be0bcc5f54p-5, -0x1.9d6ecd98fc804p-5, -0x1.9cc90a4904bdfp-5, -0x1.9c1aa7bc83d3ep-5, -0x1.9b63b71bd345cp-5, -0x1.9aa449cafe925p-5, -0x1.99dc716c4171ap-5, -0x1.990c3fe1af743p-5, -0x1.9833c74e54dfap-5, -0x1.97531a175a029p-5, -0x1.966a4ae4d5417p-5, -0x1.95796ca23774ep-5, -0x1.9480927eb24c7p-5, -0x1.937fcfedcd233p-5, -0x1.927738a801379p-5, -0x1.9166e0ab74d9dp-5, -0x1.904edc3cdb31bp-5, -0x1.8f2f3fe874bcep-5, -0x1.8e082082bb5c5p-5, -0x1.8cd99328841b2p-5, -0x1.8ba3ad3edba54p-5, -0x1.8a668472bb561p-5, -0x1.89222eb8a0b92p-5, -0x1.87d6c24bde525p-5, -0x1.868455adc990cp-5, -0x1.852affa5059bdp-5, -0x1.83cad73cc6627p-5, -0x1.8263f3c403d53p-5, -0x1.80f66cccbfc65p-5, -0x1.7f825a2b5e152p-5, -0x1.7e07d3f5f8fb4p-5, -0x1.7c86f2836688fp-5, -0x1.7affce69f70fcp-5, -0x1.7972807de408p-5, -0x1.77df21cfbcdaap-5, -0x1.7645cbaaa917bp-5, -0x1.74a6979290fe1p-5, -0x1.73019f425903p-5, -0x1.7156fcaa197a6p-5, -0x1.6fa6c9ed6614ep-5, -0x1.6df12161825dcp-5, -0x1.6c361d8b7d3ep-5, -0x1.6a75d91e4737bp-5, -0x1.68b06ef8bd05dp-5, -0x1.66e5fa23988c2p-5, -0x1.651695cf167c4p-5, -0x1.63425d509f7e9p-5, -0x1.61696c2069f8ep-5, -0x1.5f8bddd72553cp-5, -0x1.5da9ce2bb8408p-5, -0x1.5bc358f0e116fp-5, -0x1.59d89a12ed11bp-5, -0x1.57e9ad955526fp-5, -0x1.55f6af902c163p-5, -0x1.53ffbc2d834f6p-5, -0x1.5204efa6ad057p-5, -0x1.50066641a49a8p-5, -0x1.4e043c4ea6e6p-5, -0x1.4bfe8e25d075bp-5, -0x1.49f5782477e73p-5, -0x1.47e916ab1828bp-5, -0x1.45d9861b20b05p-5, -0x1.43c6e2d42ec2fp-5, -0x1.41b1493177fcap-5, -0x1.3f98d58746cb1p-5, -0x1.3d7da42027638p-5, -0x1.3b5fd13a0daf9p-5, -0x1.393f7903be6d7p-5, -0x1.371cb79a5259ap-5, -0x1.34f7a906e9e6ap-5, -0x1.32d0693c8c956p-5, -0x1.30a7141622574p-5, -0x1.2e7bc5547074ap-5, -0x1.2c4e989bea786p-5, -0x1.2a1fa9725f385p-5, -0x1.27ef133c6ea01p-5, -0x1.25bcf13af8729p-5, -0x1.23895e87e6bcp-5, -0x1.21547615acb15p-5, -0x1.1f1e52ab0e874p-5, -0x1.1ce70ee162f5p-5, -0x1.1aaec52418691p-5, -0x1.18758fae84e6ap-5, -0x1.163b8889f592p-5, -0x1.1400c98c411fcp-5, -0x1.11c56c55e0e14p-5, -0x1.0f898a4fde2fdp-5, -0x1.0d4d3ca9b3e1fp-5, -0x1.0b109c573e873p-5, -0x1.08d3c20ebe3cp-5, -0x1.0696c64715014p-5, -0x1.0459c1364b732p-5, -0x1.021ccad04e7efp-5, -0x1.ffbff58ba631dp-6, -0x1.fb46d10699e42p-6, -0x1.f6ce565fab653p-6, -0x1.f256b357d77cap-6, -0x1.ede015203217cp-6, -0x1.e96aa856e03b4p-6, -0x1.e4f69904108cbp-6, -0x1.e08412970c7cbp-6, -0x1.dc133fe3a4ecp-6, -0x1.d7a44b201508fp-6, -0x1.d3375de35b64dp-6, -0x1.cecca12405bccp-6, -0x1.ca643d373c179p-6, -0x1.c5fe59cfc4da6p-6, -0x1.c19b1dfcfb7e5p-6, -0x1.bd3ab02980e7ap-6, -0x1.b8dd3619b425ep-6, -0x1.b482d4ea0c3d6p-6, -0x1.b02bb10d55cb3p-6, -0x1.abd7ee4b1fce7p-6, -0x1.a787afbe8067fp-6, -0x1.a33b17d53d861p-6, -0x1.9ef2484f359ap-6, -0x1.9aad623e42094p-6, -0x1.966c860642708p-6, -0x1.922fd35d2514cp-6, -0x1.8df7694afe1cap-6, -0x1.89c36629d86a7p-6, -0x1.8593e7a581897p-6, -0x1.81690abb19171p-6, -0x1.7d42ebb8a02bbp-6, -0x1.7921a63ca9d66p-6, -0x1.750555362cab7p-6, -0x1.70ee12e4a3d74p-6, -0x1.6cdbf8d878abap-6, -0x1.68cf1ff397cebp-6, -0x1.64c7a06a5f133p-6, -0x1.60c591c47418ap-6, -0x1.5cc90addc2533p-6, -0x1.58d221e742e49p-6, -0x1.54e0ec67d8dd3p-6, -0x1.50f57f3cd6ef6p-6, -0x1.4d0fee9ac3c3cp-6, -0x1.49304e0de1c8ap-6, -0x1.4556b07afcacap-6, -0x1.418328204e11p-6, -0x1.3db5c69692165p-6, -0x1.39ee9cd246d6p-6, -0x1.362dbb2511db6p-6, -0x1.3273313f3ef1ep-6, -0x1.2ebf0e31898aep-6, -0x1.2b11606e9a238p-6, -0x1.276a35cbe772dp-6, -0x1.23c99b836eec1p-6, -0x1.202f9e35e2106p-6, -0x1.1c9c49eb14359p-6, -0x1.190faa13318dap-6, -0x1.1589c989002cep-6, -0x1.120ab2933fe1dp-6, -0x1.0e926ee61e755p-6, -0x1.0b2107a51b19cp-6, -0x1.07b68564e7091p-6, -0x1.0452f02d50b17p-6, -0x1.00f64f7b3a24p-6, -0x1.fb415484e553ap-7, -0x1.f4a40ddf46b14p-7, -0x1.ee14d6d410925p-7, -0x1.e793ba2a9890bp-7, -0x1.e120c1a6a1a9bp-7, -0x1.dabbf60bd2e31p-7, -0x1.d4655f219e87dp-7, -0x1.ce1d03b6e73ebp-7, -0x1.c7e2e9a61720fp-7, -0x1.c1b715d92a25ap-7, -0x1.bb998c4e08c5dp-7, -0x1.b58a501a9538cp-7, -0x1.af89637107804p-7, -0x1.a996c7a3fd759p-7, -0x1.a3b27d2ab7df6p-7, -0x1.9ddc83a4cacafp-7, -0x1.9814d9de52308p-7, -0x1.925b7dd383562p-7, -0x1.8cb06cb4a4efap-7, -0x1.8713a2e9d764ap-7, -0x1.81851c1711299p-7, -0x1.7c04d32018478p-7, -0x1.7692c22cb5988p-7, -0x1.712ee2acd5b7bp-7, -0x1.6bd92d5cdb33dp-7, -0x1.66919a49c7f0ep-7, -0x1.615820d5922b5p-7, -0x1.5c2cb7bb2aaaep-7, -0x1.570f5512818cdp-7, -0x1.51ffee5475f26p-7, -0x1.4cfe785e8ecb9p-7, -0x1.480ae776c5eep-7, -0x1.43252f4f151abp-7, -0x1.3e4d43092a485p-7, -0x1.3983153a16941p-7, -0x1.34c697edf0cffp-7, -0x1.3017bcabbac6ep-7, -0x1.2b7674790f0dcp-7, -0x1.26e2afde2909ep-7, -0x1.225c5ee99c0c6p-7, -0x1.1de371345112bp-7, -0x1.1977d5e523d81p-7, -0x1.15197bb4bb271p-7, -0x1.10c850f102bb7p-7, -0x1.0c844380ad4ep-7, -0x1.084d40e69bbeep-7, -0x1.042336450c185p-7, -0x1.00061060df5dep-7, -0x1.f7eb77498b35ep-8, -0x1.efe44848d81a3p-8, -0x1.e7f66b3f42593p-8, -0x1.e021b70b29b5ap-8, -0x1.d86601efee6b2p-8, -0x1.d0c3219c9e942p-8, -0x1.c938eb323d1a9p-8, -0x1.c1c7334a3d037p-8, -0x1.ba6dcdfc83f99p-8, -0x1.b32c8ee5d85e8p-8, -0x1.ac03492d6ebd5p-8, -0x1.a4f1cf8add225p-8, -0x1.9df7f44b7e9d4p-8, -0x1.971589578ddcdp-8, -0x1.904a6037a716fp-8, -0x1.89964a197fd81p-8, -0x1.82f917d518232p-8, -0x1.7c7299f199186p-8, -0x1.7602a0aa7a435p-8, -0x1.6fa8fbf457cfdp-8, -0x1.69657b8279cbbp-8, -0x1.6337eecb82acp-8, -0x1.5d20250f22bfap-8, -0x1.571ded5aea2bfp-8, -0x1.5131168fc72c3p-8, -0x1.4b596f66b8cffp-8, -0x1.4596c675c7875p-8, -0x1.3fe8ea34a0cc5p-8, -0x1.3a4fa900e5ac9p-8, -0x1.34cad1220c1c7p-8, -0x1.2f5a30cd30872p-8, -0x1.29fd962823769p-8, -0x1.24b4cf4ca09bcp-8, -0x1.1f7faa4b32867p-8, -0x1.1a5df52a5e213p-8, -0x1.154f7df42d0fp-8, -0x1.105412a22579cp-8, -0x1.0b6b8139ee7ebp-8, -0x1.069597bd15544p-8, -0x1.01d22432a600dp-8, -0x1.fa41e9533e15ap-9, -0x1.f103ae78b5c7dp-9, -0x1.e7e9342a5573bp-9, -0x1.def216e64b453p-9, -0x1.d61df36029d4dp-9, -0x1.cd6c668d6d97cp-9, -0x1.c4dd0db2b4345p-9, -0x1.bc6f867200ecdp-9, -0x1.b4236ed7429ffp-9, -0x1.abf86565965f4p-9, -0x1.a3ee09208fa57p-9, -0x1.9c03f9943c49ep-9, -0x1.9439d6d8f1482p-9, -0x1.8c8f41927dd5cp-9, -0x1.8503daebd26e7p-9, -0x1.7d97448d5a0adp-9, -0x1.7649208fc08b8p-9, -0x1.6f19116b4e515p-9, -0x1.6806b9e5b423cp-9, -0x1.6111bcff51ac7p-9, -0x1.5a39bde269a6dp-9, -0x1.537e5fd67508ap-9, -0x1.4cdf4638db148p-9, -0x1.465c147e3b3d2p-9, -0x1.3ff46e3c658fep-9, -0x1.39a7f73e8a05ep-9, -0x1.337653a37904cp-9, -0x1.2d5f28054b9cp-9, -0x1.276219a78cf6dp-9, -0x1.217eceab53354p-9, -0x1.1bb4ee4335edep-9, -0x1.160420e546177p-9, -0x1.106c10757dd77p-9, -0x1.0aec6864e1a13p-9, -0x1.0584d5c1827bfp-9, -0x1.00350734bba6fp-9, -0x1.f5f959db0fb5p-10, -0x1.ebb6f0ede78ecp-10, -0x1.e1a238f7f0901p-10, -0x1.d7ba98f7ac0d4p-10, -0x1.cdff78e6b8dc4p-10, -0x1.c4704101c34b5p-10, -0x1.bb0c591552566p-10, -0x1.b1d327da62382p-10, -0x1.a8c412763bb0cp-10, -0x1.9fde7c257180fp-10, -0x1.9721c61f4e91ap-10, -0x1.8e8d4fb8a5733p-10, -0x1.862076c56033ep-10, -0x1.7dda983a5cde7p-10, -0x1.75bb11045f956p-10, -0x1.6dc13f0af46b6p-10, -0x1.65ec824d34481p-10, -0x1.5e3c3e06f3a53p-10, -0x1.56afd9c90687ap-10, -0x1.4f46c27018c14p-10, -0x1.48006ae5f27cap-10, -0x1.40dc4c9d39ef8p-10, -0x1.39d9e7b9ff06dp-10, -0x1.32f8c2df3e11dp-10, -0x1.2c386aa1c6a35p-10, -0x1.259870a295942p-10, -0x1.1f186a608ba8fp-10, -0x1.18b7efd0f9c5fp-10, -0x1.127699d82533dp-10, -0x1.0c5400bbe06fbp-10, -0x1.064fbaadcf924p-10, -0x1.00695a86d1f87p-10, -0x1.f540dd9b79051p-11, -0x1.e9e9023446c4ep-11, -0x1.deca2bbe02562p-11, -0x1.d3e359431049p-11, -0x1.c933812d4a8d5p-11, -0x1.beb9933bf9b5cp-11, -0x1.b4747b0f8dfe8p-11, -0x1.aa6323235549p-11, -0x1.a0847809533f9p-11, -0x1.96d76bb39fd74p-11, -0x1.8d5af89f844d5p-11, -0x1.840e24af3f803p-11, -0x1.7af0038d35c4ap-11, -0x1.71ffb86c8fddcp-11, -0x1.693c770bf44dbp-11, -0x1.60a583e3687fp-11, -0x1.583a33716a502p-11, -0x1.4ff9e8aecbcb4p-11, -0x1.47e412bd35f02p-11, -0x1.3ff829f40a71cp-11, -0x1.3835ac8561726p-11, -0x1.309c1af71a358p-11, -0x1.292af4b75c4f6p-11, -0x1.21e1b50eb8166p-11, -0x1.1abfd0a8764e9p-11, -0x1.13c4b3d49995p-11, -0x1.0cefc19a4c3p-11, -0x1.06405391502b7p-11, -0x1.ff6b74e35c8a8p-12, -0x1.f29e7e6ad3b61p-12, -0x1.e618495353b1ep-12, -0x1.d9d752900f314p-12, -0x1.cdda1276d62cfp-12, -0x1.c21f00e8796d1p-12, -0x1.b6a499703d59p-12, -0x1.ab695f3144168p-12, -0x1.a06be07cc8b92p-12, -0x1.95aab9f17ec5ap-12, -0x1.8b2498fd89c05p-12, -0x1.80d83dae771cfp-12, -0x1.76c47bb9cefa7p-12, -0x1.6ce83ab3321c2p-12, -0x1.63427572f12c7p-12, -0x1.59d238aa4e0f5p-12, -0x1.5096a0bf829c1p-12, -0x1.478ed70146f6cp-12, -0x1.3eba0e681fd6fp-12, -0x1.361780181772dp-12, -0x1.2da667f05172ap-12, -0x1.2566017127332p-12, -0x1.1d55853a2567fp-12, -0x1.1574275427a8bp-12, -0x1.0dc1165e28fabp-12, -0x1.063b7b9c8d719p-12, -0x1.fdc4f7dade72dp-13, -0x1.ef6a7217fa1b1p-13, -0x1.e165a96d48402p-13, -0x1.d3b4e2ca2be44p-13, -0x1.c6566c5c56b83p-13, -0x1.b9489fc8bcec6p-13, -0x1.ac89e4cef2618p-13, -0x1.a018b1473d103p-13, -0x1.93f386d5b80b8p-13, -0x1.8818ee80584afp-13, -0x1.7c8772e68ac1dp-13, -0x1.713d99e8b15f3p-13, -0x1.6639e098df1bp-13, -0x1.5b7ab66b66b06p-13, -0x1.50fe7fcb346f1p-13, -0x1.46c398d48bce1p-13, -0x1.3cc85d67acafep-13, -0x1.330b3354e350fp-13, -0x1.298a958ab8a04p-13, -0x1.20451e1d5d2e2p-13, -0x1.17398ce593942p-13, -0x1.0e66c8c7bd138p-13, -0x1.05cbda8dec9d8p-13, -0x1.facfc2e650aeep-14, -0x1.ea74060f5572bp-14, -0x1.da82b2c9c3746p-14, -0x1.caf9c756323ep-14, -0x1.bbd6f95623bbep-14, -0x1.ad17b560b0acap-14, -0x1.9eb9328d1f7f1p-14, -0x1.90b89699b0124p-14, -0x1.831322cc7895cp-14, -0x1.75c65f1664d78p-14, -0x1.68d03972399c6p-14, -0x1.5c2f129dd9314p-14, -0x1.4fe1b60341faep-14, -0x1.43e73f8c25bbcp-14, -0x1.383ef574e12b9p-14, -0x1.2ce81dd8fa3a5p-14, -0x1.21e1d717c0841p-14, -0x1.172af83dd5003p-14, -0x1.0cc1fc21eeec3p-14, -0x1.02a4f80191d34p-14, -0x1.f1a33b9d9717ap-15, -0x1.de8a95afefd9ap-15, -0x1.cbfa47bd201a8p-15, -0x1.b9ec7de5c7b0ep-15, -0x1.a85bb0747a77ap-15, -0x1.974314d6ea4a9p-15, -0x1.869eff11f054bp-15, -0x1.766d194da325fp-15, -0x1.66ac5c0586c9cp-15, -0x1.575cbf8d5a5fcp-15, -0x1.487eb368e49dp-15, -0x1.3a127b4e29e87p-15, -0x1.2c179c47938cp-15, -0x1.1e8c80d06debfp-15, -0x1.116e690ef1bc5p-15, -0x1.04b9a3b92228bp-15, -0x1.f0d3ed241974bp-16, -0x1.d8f6285898c14p-16, -0x1.c1d200960ca0bp-16, -0x1.ab60a0eecf799p-16, -0x1.959c85836f66p-16, -0x1.80815bc3adc69p-16, -0x1.6c0ba9073aa82p-16, -0x1.5838579a0c8aap-16, -0x1.4504523f61c6dp-16, -0x1.326c505b9bd7fp-16, -0x1.206cdf36ee5bp-16, -0x1.0f029634603adp-16, -0x1.fc549b3effa1fp-17, -0x1.dbc259a197b2ep-17, -0x1.bc48eea625097p-17, -0x1.9de2439b79383p-17, -0x1.8086b09d92c4cp-17, -0x1.642c630db1383p-17, -0x1.48c781fc6effp-17, -0x1.2e4b2e2f8cab2p-17, -0x1.14ab1cff87731p-17, -0x1.f7ba8ed4e3fc8p-18, -0x1.c7b6307ee32c3p-18, -0x1.9943637dedc57p-18, -0x1.6c626a261e6cbp-18, -0x1.41169d359b71bp-18, -0x1.1763144ef60bep-18, -0x1.de8fea9534548p-19, -0x1.918226bc3f28ep-19, -0x1.478bb827a67bbp-19, -0x1.00944837164c5p-19, -0x1.78fddacc3f904p-20, -0x1.ecb673fba9f3fp-21, -0x1.e428f20b312a4p-22, -0x1.c11341274242cp-29, 0x1.c8fa44c4252eap-22, 0x1.c0cdbb228ce43p-21, 0x1.49abade40502fp-20, 0x1.ae273d0ac927bp-20, 0x1.06fedb3724131p-19, 0x1.34ae067596c25p-19, 0x1.603a7584147bbp-19, 0x1.89bee0d0b58e9p-19, 0x1.b1563754d4372p-19, 0x1.d71a70e398b84p-19, 0x1.fb231f1d3889ap-19, 0x1.0ec1fa44203c6p-18, 0x1.1f25e9e318397p-18, 0x1.2ec2770ac39a5p-18, 0x1.3d9afb8dc288bp-18, 0x1.4bb1f977d4cecp-18, 0x1.590a077c68caep-18, 0x1.65a6ac20b9debp-18, 0x1.718d3085bd719p-18, 0x1.7cc5307a9866dp-18, 0x1.87584ad9006d5p-18, 0x1.915086df753a5p-18, 0x1.9ab5ef1052acep-18, 0x1.a38ccfddbe253p-18, 0x1.abd5760a869a3p-18, 0x1.b38dd02a4550ap-18, 0x1.bab44e6815cf9p-18, 0x1.c14a36407beap-18, 0x1.c75431198370fp-18, 0x1.ccd873d530291p-18, 0x1.d1dc0625fd217p-18, 0x1.d661a89775304p-18, 0x1.da6b5151c81edp-18, 0x1.ddfca3663841ap-18, 0x1.e11c0b955c6e7p-18, 0x1.e3d1d0b0efbe1p-18, 0x1.e6262f31d6af7p-18, 0x1.e81fe0471917dp-18, 0x1.e9c3a0d2338b6p-18, 0x1.eb14896750e2p-18, 0x1.ec14c1b93691p-18, 0x1.ecc62a7212d81p-18, 0x1.ed2ac1bfa2a61p-18, 0x1.ed44acfb1c416p-18, 0x1.ed15f5dbe384ep-18, 0x1.eca02bb1f1965p-18, 0x1.ebe42e7e1e8bep-18, 0x1.eae260dcfffafp-18, 0x1.e99b4c2148d5p-18, 0x1.e81072a86b705p-18, 0x1.e644d89c4e2a9p-18, 0x1.e43d051e84175p-18, 0x1.e1fedaf6f42a5p-18, 0x1.df91ca3f24456p-18, 0x1.dcfec8928184bp-18, 0x1.da4e75f6db114p-18, 0x1.d7854bc1273f9p-18, 0x1.d4a0dcd68f112p-18, 0x1.d19992080f934p-18, 0x1.ce6869ef6114dp-18, 0x1.cb0c54ef18f4dp-18, 0x1.c78add347bdadp-18, 0x1.c3ebb2518abe3p-18, 0x1.c03328b92ee09p-18, 0x1.bc6094e76dbfbp-18, 0x1.b8711cb737fcdp-18, 0x1.b463354fded45p-18, 0x1.b0381b2c4557p-18, 0x1.abf302ddb7666p-18, 0x1.a797d228cccbbp-18, 0x1.a32a26eeb1a59p-18, 0x1.9eacdc6b625cfp-18, 0x1.9a21f5fe2a84ap-18, 0x1.958ac71cb435fp-18, 0x1.90e8320a9ca4p-18, 0x1.8c3ae3a08673cp-18, 0x1.878380f474fefp-18, 0x1.82c2c43e59ae5p-18, 0x1.7df987f2d074cp-18, 0x1.7928be7eb06b8p-18, 0x1.7451584b3f151p-18, 0x1.6f74209085ec8p-18, 0x1.6a91a1f403008p-18, 0x1.65aa26fb055ffp-18, 0x1.60bde281694b6p-18, 0x1.5bcd32dace10ep-18, 0x1.56d8cc2a132b7p-18, 0x1.51e192068cfbp-18, 0x1.4ce8438d29933p-18, 0x1.47ed94bc37935p-18, 0x1.42f2ea6a0f92bp-18, 0x1.3dfa86af22ee8p-18, 0x1.3905f08bc7841p-18, 0x1.34144a28744f8p-18, 0x1.2f23867389d21p-18, 0x1.2a338def354d9p-18, 0x1.2547514d046b4p-18, 0x1.206251094eb2bp-18, 0x1.1b85a5fbe215dp-18, 0x1.16b010eaf99d5p-18, 0x1.11e0286b8eec5p-18, 0x1.0d158b8eab162p-18, 0x1.0850b3bc0d2bap-18, 0x1.039296a51f838p-18, 0x1.fdb8b16e75646p-19, 0x1.f45db249b2b17p-19, 0x1.eb14ac7b67e19p-19, 0x1.e1dd22cfe670fp-19, 0x1.d8b6a72398a67p-19, 0x1.cfa18b1c2680dp-19, 0x1.c69eb68144dafp-19, 0x1.bdaf206f81da5p-19, 0x1.b4d37f5cf367fp-19, 0x1.ac0c474ae72f3p-19, 0x1.a359c6658562dp-19, 0x1.9abc3dc43c669p-19, 0x1.9233eadf71cc2p-19, 0x1.89c10bb06bb92p-19, 0x1.8163e0928ea3p-19, 0x1.791caf81e0239p-19, 0x1.70ebc7961238fp-19, 0x1.68d18257fc16p-19, 0x1.60ce3e02b27a2p-19, 0x1.58e24a354f204p-19, 0x1.510dce3ea7898p-19, 0x1.4950cc9373967p-19, 0x1.41ab630d32e04p-19, 0x1.3a1e0f8857ebap-19, 0x1.32a961f0a6db7p-19, 0x1.2b4d1acf17d7ap-19, 0x1.2408568026b1fp-19, 0x1.1cdb0bb5944adp-19, 0x1.15c60349e4a5ep-19, 0x1.0ec8fb247aa2ep-19, 0x1.07e3222568ab3p-19, 0x1.0114f67f2207ap-19, 0x1.f4bf35d72a3cdp-20, 0x1.e7868c7928d2ep-20, 0x1.da7f19749f91dp-20, 0x1.cda85987ac3cap-20, 0x1.c102620bd2877p-20, 0x1.b48d864ee2e4ep-20, 0x1.a84a0084a548dp-20, 0x1.9c377cc455d5cp-20, 0x1.90549e42553b9p-20, 0x1.849f7c6b6654p-20, 0x1.7917748b8c725p-20, 0x1.6dbe0d353e7dcp-20, 0x1.6294cc5025a9fp-20, 0x1.579a76bf06488p-20, 0x1.4ccc2a568c3abp-20, 0x1.42296b791ec42p-20, 0x1.37b4f52cba603p-20, 0x1.2d7113e0fde21p-20, 0x1.235d52b2b076fp-20, 0x1.1977b1fe2c747p-20, 0x1.0fbe6ffae8a4fp-20, 0x1.063090ff2cfeap-20, 0x1.f99b3623df9dfp-21, 0x1.e72a7ef821afap-21, 0x1.d50e6c2e82995p-21, 0x1.c3468d3134655p-21, 0x1.b1d2be0246bebp-21, 0x1.a0b3033591aa9p-21, 0x1.8fe6c7c0e2442p-21, 0x1.7f6c1c79b3bcfp-21, 0x1.6f40b6c2d157dp-21, 0x1.5f6573fc8f6a9p-21, 0x1.4fe0d338c7419p-21, 0x1.40b78f5508e2fp-21, 0x1.31df9632ae3ep-21, 0x1.234d249a66e62p-21, 0x1.150140dad9159p-21, 0x1.06fa11992c347p-21, 0x1.f27758b882e26p-22, 0x1.d79ed56131971p-22, 0x1.bd64a9a8c9e96p-22, 0x1.a3bb399e1ac88p-22, 0x1.8a9c89f93f48bp-22, 0x1.7207e3f9d8deep-22, 0x1.59fd254a5401cp-22, 0x1.427b970728236p-22, 0x1.2b81f515538dap-22, 0x1.150ea3cf613e5p-22, 0x1.fe3fac640539bp-23, 0x1.d3674fa545ffcp-23, 0x1.a99063b14ee7cp-23, 0x1.80b72edce773ep-23, 0x1.58d7d0be3b44p-23, 0x1.31ee72e93970dp-23, 0x1.0bf7cf6603eep-23, 0x1.cde4129cb2941p-24, 0x1.85c1bb7dccf6dp-24, 0x1.3f90ef1a59fe6p-24, 0x1.f68353c142597p-25, 0x1.715a65975349ap-25, 0x1.df0741de8cacep-26, 0x1.c3dab1de1daadp-27, -0x1.4eac65fcdbee8p-30, -0x1.0559c86dcda31p-26, -0x1.eec349108411ep-26, -0x1.689451282a854p-25, -0x1.d688ef48493ccp-25, -0x1.20ba39e00854cp-24, -0x1.54b58ad4ae0a5p-24, -0x1.873861f8dc0f5p-24, -0x1.b8435e0dca92dp-24, -0x1.e7d9b9d697546p-24, -0x1.0b018a4374808p-23, }}, 
      {{-0x1.abf076e0dfeb1p-1, -0x1.8c63e2df9d137p-1, -0x1.68001cc4421ffp-1, -0x1.4539f2471b4bfp-1, -0x1.2701fc433b27ap-1, -0x1.0e42df788384p-1, -0x1.f5a37d4116ad1p-2, -0x1.d7fe2bdbe4cbcp-2, -0x1.c1d5a503e6775p-2, -0x1.b165a4642eed5p-2, -0x1.a5151ee1bf264p-2, -0x1.9b8a8140bb9e4p-2, -0x1.93b07a8b0248ep-2, -0x1.8cb27d0ff222p-2, -0x1.85f551f077be6p-2, -0x1.7f0e4210b2355p-2, -0x1.77ba353e141f9p-2, -0x1.6fd5741eb2885p-2, -0x1.6754575fb55b7p-2, -0x1.5e3cfaaa5adfp-2, -0x1.54a1efe0a393ap-2, -0x1.4a9de254a5786p-2, -0x1.405013f7546bcp-2, -0x1.35d99c77e2818p-2, -0x1.2b5b51fd13effp-2, -0x1.20f4438bffa04p-2, -0x1.16c0ae08e1948p-2, -0x1.0cd955e5a1dd2p-2, -0x1.03533122a86b6p-2, -0x1.f47e9e7367b69p-3, -0x1.e355dd9e150e6p-3, -0x1.d33f66f54622ap-3, -0x1.c447e0ee06337p-3, -0x1.b675febd7914dp-3, -0x1.a9cb3885b4765p-3, -0x1.9e44846c4683p-3, -0x1.93db09cc59c8cp-3, -0x1.8a84ca1e88fbep-3, -0x1.82353cf8eaa32p-3, -0x1.7adddddea45d8p-3, -0x1.746eab8186b5p-3, -0x1.6ed698b20147dp-3, -0x1.6a03ef9673cb7p-3, -0x1.65e4a7f209f54p-3, -0x1.6266b165ca50cp-3, -0x1.5f78329324ad1p-3, -0x1.5d07bdfb44662p-3, -0x1.5b047d76dd271p-3, -0x1.595e553284963p-3, -0x1.5805fefd24e6cp-3, -0x1.56ed1e925f67bp-3, -0x1.56064faafc506p-3, -0x1.55452e743d6eep-3, -0x1.549e5c0e014b3p-3, -0x1.54077db69d6ffp-3, -0x1.53773a758737ep-3, -0x1.52e532c36b649p-3, -0x1.5249fa5c9833p-3, -0x1.519f0b795e68p-3, -0x1.50debe2640b5bp-3, -0x1.50043936f19c3p-3, -0x1.4f0b6755331f7p-3, -0x1.4df0e83aea03bp-3, -0x1.4cb204b1e99d9p-3, -0x1.4b4ca14d35161p-3, -0x1.49bf323e953aep-3, -0x1.4808af2b3e2c7p-3, -0x1.4628878b7a0a9p-3, -0x1.441e978979918p-3, -0x1.41eb1d76c3457p-3, -0x1.3f8eafd573684p-3, -0x1.3d0a33e9efdc3p-3, -0x1.3a5ed4c5c7726p-3, -0x1.378dfac20a63ap-3, -0x1.34994363b371dp-3, -0x1.318279ab6c6e4p-3, -0x1.2e4b8ed2401f6p-3, -0x1.2af69375407ebp-3, -0x1.2785b13008ad4p-3, -0x1.23fb24a503c98p-3, -0x1.205937f1a3d0ep-3, -0x1.1ca23d8d12b79p-3, -0x1.18d88b90210e2p-3, -0x1.14fe77652afe2p-3, -0x1.111651dec1824p-3, -0x1.0d2263b3549d8p-3, -0x1.0924ea5b52c69p-3, -0x1.0520154eed219p-3, -0x1.0116039f79a05p-3, -0x1.fa1183d2ed50ap-4, -0x1.f1f49133638p-4, -0x1.e9d8f507e0a5bp-4, -0x1.e1c24786ab833p-4, -0x1.d9b3f1ca0c91bp-4, -0x1.d1b12ca4c6f2ap-4, -0x1.c9bcfff8388dp-4, -0x1.c1da4274195c4p-4, -0x1.ba0b99c15eb86p-4, -0x1.b2537aff88edbp-4, -0x1.aab42b967abc8p-4, -0x1.a32fc24465b24p-4, -0x1.9bc8286943d49p-4, -0x1.947f1b7d88522p-4, -0x1.8d562eadfa0e3p-4, -0x1.864ecc9716589p-4, -0x1.7f6a3910d2a2ep-4, -0x1.78a9930d91495p-4, -0x1.720dd67d18838p-4, -0x1.6b97de345e97p-4, -0x1.654865d30edb4p-4, -0x1.5f200b9f81f5p-4, -0x1.591f525c9071ep-4, -0x1.5346a30c83f0bp-4, -0x1.4d964ea6ca9fdp-4, -0x1.480e8fba6c377p-4, -0x1.42af8bf7f9e2cp-4, -0x1.3d7955ad6768dp-4, -0x1.386bed242e004p-4, -0x1.338741ee576e9p-4, -0x1.2ecb341e4fa1dp-4, -0x1.2a379562be71bp-4, -0x1.25cc2a1a02d42p-4, -0x1.2188aa476cee7p-4, -0x1.1d6cc278d5667p-4, -0x1.197814a6026a9p-4, -0x1.15aa38edb3cc3p-4, -0x1.1202be52a4321p-4, -0x1.0e812b6ed916dp-4, -0x1.0b24ff061c5adp-4, -0x1.07edb0a698b8fp-4, -0x1.04dab13a78257p-4, -0x1.01eb6b7becea1p-4, -0x1.fe3e8904bc4fbp-5, -0x1.f8eb387c42ae2p-5, -0x1.f3db9bac7f642p-5, -0x1.ef0e604ef357p-5, -0x1.ea822c6a02a84p-5, -0x1.e6359eeab40fp-5, -0x1.e2275088821bcp-5, -0x1.de55d4a3319c3p-5, -0x1.dabfb9c420d2dp-5, -0x1.d7638a5ffc519p-5, -0x1.d43fcdbd21216p-5, -0x1.d153086d4ec33p-5, -0x1.ce9bbcdc96eefp-5, -0x1.cc186c3ac190dp-5, -0x1.c9c7970b1e6adp-5, -0x1.c7a7bd7ac5bcep-5, -0x1.c5b76026583f1p-5, -0x1.c3f500d9dbcfep-5, -0x1.c25f22d0b29c9p-5, -0x1.c0f44b21f83f9p-5, -0x1.bfb30194841bfp-5, -0x1.be99d11367a31p-5, -0x1.bda747c3d0095p-5, -0x1.bcd9f78705c34p-5, -0x1.bc3076b84457fp-5, -0x1.bba9606009c2cp-5, -0x1.bb43542ea1474p-5, -0x1.bafcf6fc002b1p-5, -0x1.bad4f368d6a0bp-5, -0x1.bac9f9e6a065bp-5, -0x1.badac091416a5p-5, -0x1.bb0603951290ap-5, -0x1.bb4a85bd63ffap-5, -0x1.bba7106a8591p-5, -0x1.bc1a734236ef7p-5, -0x1.bca38464a546bp-5, -0x1.bd4120f0e4127p-5, -0x1.bdf22d0867485p-5, -0x1.beb5935d8bd4cp-5, -0x1.bf8a451ea8acp-5, -0x1.c06f3a640b6fbp-5, -0x1.c163725f6f5afp-5, -0x1.c265f2ef30f58p-5, -0x1.c375c8364f786p-5, -0x1.c49204c974423p-5, -0x1.c5b9c207b6513p-5, -0x1.c6ec1ff01fd4p-5, -0x1.c8284491ef2ddp-5, -0x1.c96d5bcf1ec0cp-5, -0x1.caba979f6b4acp-5, -0x1.cc0f303e82326p-5, -0x1.cd6a63d559c7ep-5, -0x1.cecb75f2671c3p-5, -0x1.d031af674fa2p-5, -0x1.d19c5e85dfe92p-5, -0x1.d30ad7348aaa3p-5, -0x1.d47c7294f93fbp-5, -0x1.d5f08e8e738c6p-5, -0x1.d7668db080068p-5, -0x1.d8ddd760ac562p-5, -0x1.da55d7e9e5aacp-5, -0x1.dbce0038c6ab7p-5, -0x1.dd45c5796495p-5, -0x1.debca0f10d4e1p-5, -0x1.e0321018de2bcp-5, -0x1.e1a594aff6b4dp-5, -0x1.e316b497a35d1p-5, -0x1.e484f98c0f29cp-5, -0x1.e5eff0f3e3da1p-5, -0x1.e7572be4b29dcp-5, -0x1.e8ba3f339347fp-5, -0x1.ea18c36b2e7f9p-5, -0x1.eb7254a6e1a64p-5, -0x1.ecc6926874f79p-5, -0x1.ee151f886bf0fp-5, -0x1.ef5da23c13314p-5, -0x1.f09fc413f4ff7p-5, -0x1.f1db31ef0bde7p-5, -0x1.f30f9be75867ap-5, -0x1.f43cb53e658eap-5, -0x1.f562345633946p-5, -0x1.f67fd2ad2637ap-5, -0x1.f7954cd14dcd3p-5, -0x1.f8a26257610b4p-5, -0x1.f9a6d5d6fa645p-5, -0x1.faa26ce3ba919p-5, -0x1.fb94f0061543cp-5, -0x1.fc7e2aae91155p-5, -0x1.fd5deb20a6a5bp-5, -0x1.fe34026890617p-5, -0x1.ff004461011fep-5, -0x1.ffc287b6acb9dp-5, -0x1.003d52f189737p-4, -0x1.00943d8e9d4dep-4, -0x1.00e5f31f400dfp-4, -0x1.01326456c768ep-4, -0x1.017983308becdp-4, -0x1.01bb42f5ea07ep-4, -0x1.01f7983f2af42p-4, -0x1.022e78ede9e6p-4, -0x1.025fdc201b2bap-4, -0x1.028bba1f0c928p-4, -0x1.02b20c5631486p-4, -0x1.02d2cd55cb06cp-4, -0x1.02edf8d7ad632p-4, -0x1.03038bbdec0a4p-4, -0x1.0313840ad5908p-4, -0x1.031de0d1bea5ep-4, -0x1.0322a2247db1bp-4, -0x1.0321c9084531fp-4, -0x1.031b577593b8ap-4, -0x1.030f505af96a8p-4, -0x1.02fdb79b04e2dp-4, -0x1.02e69204c38bp-4, -0x1.02c9e5465e78p-4, -0x1.02a7b7db3b91ap-4, -0x1.028010fd9ad2bp-4, -0x1.0252f8a1b678cp-4, -0x1.0220777686773p-4, -0x1.01e896e489c99p-4, -0x1.01ab61084740cp-4, -0x1.0168e0a8e4f6fp-4, -0x1.01212129fca0bp-4, -0x1.00d42e7ba07c7p-4, -0x1.0082150f71dc3p-4, -0x1.002ae1d50dd32p-4, -0x1.ff9d44727921fp-5, -0x1.fedac8457ad25p-5, -0x1.fe0e6bd833facp-5, -0x1.fd384cb54d707p-5, -0x1.fc588923de28fp-5, -0x1.fb6f400ba0f24p-5, -0x1.fa7c90e12e1f3p-5, -0x1.f9809b9d9839ep-5, -0x1.f87b80bb3f418p-5, -0x1.f76d612fcdb38p-5, -0x1.f6565e61bdbc6p-5, -0x1.f5369a1a96352p-5, -0x1.f40e36743fe53p-5, -0x1.f2dd55c30a796p-5, -0x1.f1a41a8321701p-5, -0x1.f062a74ebe0c3p-5, -0x1.ef191edad8717p-5, -0x1.edc7a3f4554edp-5, -0x1.ec6e5979ff62dp-5, -0x1.eb0d625410d42p-5, -0x1.e9a4e169d103dp-5, -0x1.e834f993d2f2cp-5, -0x1.e6bdcd8d30b1ep-5, -0x1.e53f7fe8b02bdp-5, -0x1.e3ba330bfb141p-5, -0x1.e22e092eb655bp-5, -0x1.e09b245971bf8p-5, -0x1.df01a66257047p-5, -0x1.dd61b0e86ad0ap-5, -0x1.dbbb654de16fp-5, -0x1.da0ee4b0526c3p-5, -0x1.d85c4fdfed7e6p-5, -0x1.d6a3c758d17c3p-5, -0x1.d4e56b4046577p-5, -0x1.d3215b64f72b3p-5, -0x1.d157b73fddf7ap-5, -0x1.cf889df3e448fp-5, -0x1.cdb42e4c61f23p-5, -0x1.cbda86bb3c152p-5, -0x1.c9fbc5561109ep-5, -0x1.c81807d225818p-5, -0x1.c62f6b808f3b8p-5, -0x1.c4420d4c5e9b4p-5, -0x1.c25009bb19192p-5, -0x1.c0597ceeaea34p-5, -0x1.be5e82a79936ap-5, -0x1.bc5f364620eb4p-5, -0x1.ba5bb2cb0a1e1p-5, -0x1.b85412d81ce69p-5, -0x1.b64870b022a03p-5, -0x1.b438e63614918p-5, -0x1.b2258cec7a6d7p-5, -0x1.b00e7df5e8fcap-5, -0x1.adf3d216dcc15p-5, -0x1.abd5a1b878f25p-5, -0x1.a9b404eb98726p-5, -0x1.a78f136b7f12ep-5, -0x1.a566e49ffe19fp-5, -0x1.a33b8f9f753fcp-5, -0x1.a10d2b3099432p-5, -0x1.9edbcdcbae1c6p-5, -0x1.9ca78d9b75898p-5, -0x1.9a70807e92c57p-5, -0x1.9836bc098c38fp-5, -0x1.95fa55895dc74p-5, -0x1.93bb62066ead7p-5, -0x1.9179f6478b4p-5, -0x1.8f3626d48a376p-5, -0x1.8cf007f89ef4p-5, -0x1.8aa7adc4812e9p-5, -0x1.885d2c1064cfap-5, -0x1.8610967d78bdbp-5, -0x1.83c2007742224p-5, -0x1.81717d352e383p-5, -0x1.7f1f1fbc658b3p-5, -0x1.7ccafae1e2c53p-5, -0x1.7a75214c92a1dp-5, -0x1.781da577a3613p-5, -0x1.75c499b4959a8p-5, -0x1.736a102d1738ap-5, -0x1.710e1ae49cac8p-5, -0x1.6eb0cbb9fc3adp-5, -0x1.6c523468a6c61p-5, -0x1.69f26689b49ddp-5, -0x1.67917394f24d8p-5, -0x1.652f6ce217fe2p-5, -0x1.62cc63aa083bap-5, -0x1.60686908150f3p-5, -0x1.5e038dfb4a612p-5, -0x1.5b9de367bf098p-5, -0x1.59377a17c5dcep-5, -0x1.56d062bcf4d9fp-5, -0x1.5468adf1162dp-5, -0x1.52006c36f116ep-5, -0x1.4f97adfaecd47p-5, -0x1.4d2e839383acp-5, -0x1.4ac4fd41a3552p-5, -0x1.485b2b31243fp-5, -0x1.45f11d794948ap-5, -0x1.4386e41d2ab6ap-5, -0x1.411c8f0c2d79ap-5, -0x1.3eb22e2269375p-5, -0x1.3c47d12914a86p-5, -0x1.39dd87d6c4edap-5, -0x1.377361cf9d69bp-5, -0x1.35096ea555624p-5, -0x1.329fbdd722e3ap-5, -0x1.30365ed18b9b5p-5, -0x1.2dcd60ee1c02dp-5, -0x1.2b64d3733130cp-5, -0x1.28fcc593bcae7p-5, -0x1.2695466f19311p-5, -0x1.242e6510c8746p-5, -0x1.21c8307024c42p-5, -0x1.1f62b76ffb4ddp-5, -0x1.1cfe08de20d05p-5, -0x1.1a9a3372f676ep-5, -0x1.183745d0d7d55p-5, -0x1.15d54e838cc2ap-5, -0x1.13745bffb42aep-5, -0x1.11147ca226c8ap-5, -0x1.0eb5beaf5fda5p-5, -0x1.0c583052cfac7p-5, -0x1.09fbdf9e38b28p-5, -0x1.07a0da8902116p-5, -0x1.05472eef6b338p-5, -0x1.02eeea91bf5d2p-5, -0x1.00981b1374d8p-5, -0x1.fc859bf4bcd76p-6, -0x1.f7de215bc4ebdp-6, -0x1.f339e0eca2a84p-6, -0x1.ee98f4f876313p-6, -0x1.e9fb778f8c9bap-6, -0x1.e561828018b5fp-6, -0x1.e0cb2f54ae989p-6, -0x1.dc38975282b1dp-6, -0x1.d7a9d3779199ep-6, -0x1.d31efc78c3ac8p-6, -0x1.ce982ac001293p-6, -0x1.ca15766a8f80fp-6, -0x1.c596f7478c32dp-6, -0x1.c11cc4d69f3fdp-6, -0x1.bca6f646de2c5p-6, -0x1.b835a275b60b7p-6, -0x1.b3c8dfeddeafdp-6, -0x1.af60c4e612c0dp-6, -0x1.aafd673f9e4a9p-6, -0x1.a69edc84c0456p-6, -0x1.a24539e6f91dp-6, -0x1.9df0943cdf7b1p-6, -0x1.99a10002193dap-6, -0x1.955691549084ap-6, -0x1.91115bf3a5844p-6, -0x1.8cd173406e8d8p-6, -0x1.8896ea3caf785p-6, -0x1.8461d389f0b7dp-6, -0x1.80324168ee64cp-6, -0x1.7c0845b89d06p-6, -0x1.77e3f1f4ece7ep-6, -0x1.73c5573582e5p-6, -0x1.6fac862c9512ep-6, -0x1.6b998f25ca3ecp-6, -0x1.678c820579d25p-6, -0x1.63856e4839d47p-6, -0x1.5f84630299f3p-6, -0x1.5b896ee116d85p-6, -0x1.5794a02805c3p-6, -0x1.53a604b37156ap-6, -0x1.4fbda9f6bf899p-6, -0x1.4bdb9cfc35172p-6, -0x1.47ffea64572b9p-6, -0x1.442a9e653d942p-6, -0x1.405bc4ca09876p-6, -0x1.3c9368f2880dcp-6, -0x1.38d195d32f30fp-6, -0x1.351655f525b9dp-6, -0x1.3161b376d1552p-6, -0x1.2db3b80c61342p-6, -0x1.2a0c6d001b745p-6, -0x1.266bdb32f686cp-6, -0x1.22d20b1cbfe44p-6, -0x1.1f3f04cc3e881p-6, -0x1.1bb2cfe732f02p-6, -0x1.182d73aa571cfp-6, -0x1.14aef6e975ca8p-6, -0x1.1137600fb66f9p-6, -0x1.0dc6b5202ccb5p-6, -0x1.0a5cfbb67abe4p-6, -0x1.06fa3907c25bep-6, -0x1.039e71e3a28a4p-6, -0x1.0049aab51dd16p-6, -0x1.f9f7cf071fe2ap-7, -0x1.f36a57e6d7c24p-7, -0x1.eceaf68dda464p-7, -0x1.e679b0bd6d9afp-7, -0x1.e0168b74baec9p-7, -0x1.d9c18af233e0cp-7, -0x1.d37ab2b514351p-7, -0x1.cd42057f3ed8fp-7, -0x1.c71785576ca7cp-7, -0x1.c0fb338b8c656p-7, -0x1.baed10b3620f9p-7, -0x1.b4ed1cb3127b3p-7, -0x1.aefb56bdba33dp-7, -0x1.a917bd57b85cp-7, -0x1.a3424e5907a02p-7, -0x1.9d7b06ef2962cp-7, -0x1.97c1e39f503e6p-7, -0x1.9216e04856741p-7, -0x1.8c79f824fab8cp-7, -0x1.86eb25ce321e9p-7, -0x1.816a633dcfd81p-7, -0x1.7bf7a9d1329c9p-7, -0x1.7692f24c3e0bcp-7, -0x1.713c34dc3d8dp-7, -0x1.6bf3691aed2e3p-7, -0x1.66b8861136835p-7, -0x1.618b8239fb988p-7, -0x1.5c6c53849b864p-7, -0x1.575aef579763ap-7, -0x1.52574a92f242dp-7, -0x1.4d615992bcce7p-7, -0x1.48791031ba3c2p-7, -0x1.439e61cc0bb82p-7, -0x1.3ed14142177dap-7, -0x1.3a11a0fb7bc12p-7, -0x1.355f72ea0d6d4p-7, -0x1.30baa88ce89b5p-7, -0x1.2c2332f371b4dp-7, -0x1.279902c03070cp-7, -0x1.231c082bb3f75p-7, -0x1.1eac33072dfa2p-7, -0x1.1a4972bf1dd86p-7, -0x1.15f3b65dee87ap-7, -0x1.11aaec8e83515p-7, -0x1.0d6f039ee04a3p-7, -0x1.093fe982dbef8p-7, -0x1.051d8bd6e91cap-7, -0x1.0107d7e2edd05p-7, -0x1.f9fd753a6fd66p-8, -0x1.f204415a923cap-8, -0x1.ea23ecdd8a19ap-8, -0x1.e25c4fe844693p-8, -0x1.daad4212eed2dp-8, -0x1.d3169a6dd37fdp-8, -0x1.cb982f86a7816p-8, -0x1.c431d76d19cf8p-8, -0x1.bce367b7cf35ep-8, -0x1.b5acb58916c26p-8, -0x1.ae8d9593b740bp-8, -0x1.a785dc1fe7c6ap-8, -0x1.a0955d1052f2cp-8, -0x1.99bbebe716824p-8, -0x1.92f95bcaf07fep-8, -0x1.8c4d7f8c47dbcp-8, -0x1.85b829aa2cd99p-8, -0x1.7f392c572fd5bp-8, -0x1.78d0597dfb866p-8, -0x1.727d82c5d7e03p-8, -0x1.6c407996f9bfdp-8, -0x1.66190f1e94a7p-8, -0x1.60071452fe35ap-8, -0x1.5a0a59f78eecap-8, -0x1.5422b0a0b74cp-8, -0x1.4e4fe8b7e9078p-8, -0x1.4891d27fb71edp-8, -0x1.42e83e17d27e7p-8, -0x1.3d52fb8145656p-8, -0x1.37d1daa25e4a4p-8, -0x1.3264ab4ae23f1p-8, -0x1.2d0b3d37cf967p-8, -0x1.27c5601747605p-8, -0x1.2292e38c192bcp-8, -0x1.1d73973150311p-8, -0x1.18674a9d84875p-8, -0x1.136dcd65f7ffbp-8, -0x1.0e86ef21c5941p-8, -0x1.09b27f6cd018dp-8, -0x1.04f04deae8a9bp-8, -0x1.00402a4a94433p-8, -0x1.f743c89082c49p-9, -0x1.ee2a976207885p-9, -0x1.e53460cb84d8ap-9, -0x1.dc60c4bc29356p-9, -0x1.d3af63565d9a1p-9, -0x1.cb1fdcf53369dp-9, -0x1.c2b1d23218ba8p-9, -0x1.ba64e3e9bb348p-9, -0x1.b238b341233e4p-9, -0x1.aa2ce1aa438b1p-9, -0x1.a24110e82b37p-9, -0x1.9a74e3139a66ep-9, -0x1.92c7fa9eaa779p-9, -0x1.8b39fa5912addp-9, -0x1.83ca8573d727p-9, -0x1.7c793f857d359p-9, -0x1.7545cc8d8dd8bp-9, -0x1.6e2fd0f92edd5p-9, -0x1.6736f1a6757bfp-9, -0x1.605ad3e8f557dp-9, -0x1.599b1d8d561a2p-9, -0x1.52f774dd83ddfp-9, -0x1.4c6f80a41341bp-9, -0x1.4602e82fd3a2p-9, -0x1.3fb1535723f88p-9, -0x1.397a6a7ac63fbp-9, -0x1.335dd68873ca2p-9, -0x1.2d5b40fd1f68ap-9, -0x1.277253e6cd2adp-9, -0x1.21a2b9e63414cp-9, -0x1.1bec1e30428e3p-9, -0x1.164e2c8cef84cp-9, -0x1.10c8915fb3779p-9, -0x1.0b5af999924c5p-9, -0x1.060512cb86039p-9, -0x1.00c68b1b2c17bp-9, -0x1.f73e229154639p-10, -0x1.ed1ca95fbd6fdp-10, -0x1.e3280a94b4a8ep-10, -0x1.d95fa76483fa3p-10, -0x1.cfc2e24ad5ebdp-10, -0x1.c6511f12a8229p-10, -0x1.bd09c2dec85cbp-10, -0x1.b3ec3432d0a88p-10, -0x1.aaf7dafcfce79p-10, -0x1.a22c209e2bf1ep-10, -0x1.99886ff28e1cbp-10, -0x1.910c3556b1c31p-10, -0x1.88b6deab6c328p-10, -0x1.8087db561af86p-10, -0x1.787e9c3cac525p-10, -0x1.709a93bf01d34p-10, -0x1.68db35ab9431p-10, -0x1.613ff731479d7p-10, -0x1.59c84ece92743p-10, -0x1.5273b43f5b24bp-10, -0x1.4b41a06ad97d3p-10, -0x1.44318d5324ed4p-10, -0x1.3d42f608af15dp-10, -0x1.367556a240659p-10, -0x1.2fc82c3c8661bp-10, -0x1.293af500d9887p-10, -0x1.22cd303488127p-10, -0x1.1c7e5e5079a8dp-10, -0x1.164e012049c26p-10, -0x1.103b9be679cbap-10, -0x1.0a46b3854180cp-10, -0x1.046ecea66a488p-10, -0x1.fd66ebc29c281p-11, -0x1.f22867b3d91cap-11, -0x1.e7212aac72d6cp-11, -0x1.dc50528cf83ddp-11, -0x1.d1b5017e413d6p-11, -0x1.c74e5dc3e3a07p-11, -0x1.bd1b916e5f98p-11, -0x1.b31bc9f010663p-11, -0x1.a94e379951e3bp-11, -0x1.9fb20d04b3819p-11, -0x1.96467e7b94aafp-11, -0x1.8d0ac161330a9p-11, -0x1.83fe0babc40a7p-11, -0x1.7b1f937c643bfp-11, -0x1.726e8edad84dap-11, -0x1.69ea339fe99ep-11, -0x1.6191b793c16bp-11, -0x1.596450bde964p-11, -0x1.516135e8cc854p-11, -0x1.49879f4e683a9p-11, -0x1.41d6c7663a623p-11, -0x1.3a4debc5e604p-11, -0x1.32ec4e06223cbp-11, -0x1.2bb1349ae7d2cp-11, -0x1.249beb8e69ebep-11, -0x1.1dabc50fb64edp-11, -0x1.16e019c80a198p-11, -0x1.103848ed32701p-11, -0x1.09b3b80b5c806p-11, -0x1.0351d2877513cp-11, -0x1.fa2411b8b9c02p-12, -0x1.ede79f41b855bp-12, -0x1.e1ed3cc5c3ddcp-12, -0x1.d633dcd868169p-12, -0x1.caba730bfc2d8p-12, -0x1.bf7ff1a3c5809p-12, -0x1.b483479996347p-12, -0x1.a9c35f1dfcd28p-12, -0x1.9f3f1cac3447fp-12, -0x1.94f55ec24cffap-12, -0x1.8ae4fe4282665p-12, -0x1.810ccf7268fadp-12, -0x1.776ba389d9079p-12, -0x1.6e004ab13e9a2p-12, -0x1.64c996512fa95p-12, -0x1.5bc65b90a712cp-12, -0x1.52f575d8a6339p-12, -0x1.4a55c93c32p-12, -0x1.41e6449d08891p-12, -0x1.39a5e37187b69p-12, -0x1.3193af09b4e21p-12, -0x1.29aebf403dceap-12, -0x1.21f63a85a3181p-12, -0x1.1a69553de662ep-12, -0x1.1307507803e38p-12, -0x1.0bcf781025f44p-12, -0x1.04c1205868c53p-12, -0x1.fbb746ee0cab4p-13, -0x1.ee3cbd50722e2p-13, -0x1.e1115f34b8444p-13, -0x1.d433e42f6583ap-13, -0x1.c7a2fc4e5bc9fp-13, -0x1.bb5d4d7b81142p-13, -0x1.af61722219dd7p-13, -0x1.a3adf900c101p-13, -0x1.9841660e9504dp-13, -0x1.8d1a34383ec27p-13, -0x1.8236d7c0f951cp-13, -0x1.7795c1094274p-13, -0x1.6d355f93a1ffcp-13, -0x1.6314251c0fe91p-13, -0x1.593088a6cad67p-13, -0x1.4f8909689234ep-13, -0x1.461c316e26a7ep-13, -0x1.3ce897ec4c455p-13, -0x1.33ece31b5c645p-13, -0x1.2b27c98fcde94p-13, -0x1.229812fe47b12p-13, -0x1.1a3c98623c2b1p-13, -0x1.12144386c276fp-13, -0x1.0a1e0dee2cd1ep-13, -0x1.0258ff2a58cbp-13, -0x1.f588555e0d854p-14, -0x1.e6bd5a92a5071p-14, -0x1.d84f54c13e34bp-14, -0x1.ca3c927e58e1bp-14, -0x1.bc836534f8bcap-14, -0x1.af221d1fb1c2ep-14, -0x1.a2170680041dap-14, -0x1.956068395d7c1p-14, -0x1.88fc83d25b5abp-14, -0x1.7ce996d960a28p-14, -0x1.7125dced2c003p-14, -0x1.65af9426df2c2p-14, -0x1.5a84febe21e16p-14, -0x1.4fa4685144e53p-14, -0x1.450c27b9b8055p-14, -0x1.3abaa0ceeb02ap-14, -0x1.30ae443c6431p-14, -0x1.26e58dd751642p-14, -0x1.1d5f00db7d5cep-14, -0x1.141924277d9d3p-14, -0x1.0b127de280013p-14, -0x1.02498f915891dp-14, -0x1.f379a9740b10fp-15, -0x1.e2d586dc76a2bp-15, -0x1.d2a39f31e9995p-15, -0x1.c2e0e1b32d8c4p-15, -0x1.b38a542f58832p-15, -0x1.a49d233aa5654p-15, -0x1.9616b0414c2c7p-15, -0x1.87f49a39bda74p-15, -0x1.7a34be3df08ffp-15, -0x1.6cd52eab549c8p-15, -0x1.5fd42134770ap-15, -0x1.532fd68e2ca08p-15, -0x1.46e680343debdp-15, -0x1.3af62a150f6c3p-15, -0x1.2f5cada77f1a1p-15, -0x1.2417b2681292dp-15, -0x1.1924bca52035dp-15, -0x1.0e8147ddc5695p-15, -0x1.042ae6ddafbccp-15, -0x1.f43ec426c94aap-16, -0x1.e0b99a4caf8c6p-16, -0x1.cdc31e578abb1p-16, -0x1.bb58b8771a1c5p-16, -0x1.a978452f27871p-16, -0x1.981fdf8e12fd1p-16, -0x1.874da639f84acp-16, -0x1.76ff851285e1dp-16, -0x1.67330a56d525fp-16, -0x1.57e54aba98284p-16, -0x1.4912d55b9a5e5p-16, -0x1.3ab7b7d81735dp-16, -0x1.2ccf937833db6p-16, -0x1.1f55c4e990b9ep-16, -0x1.12459edae9ed5p-16, -0x1.059ab326838cap-16, -0x1.f2a24055fc57ep-17, -0x1.dacba485bcdecp-17, -0x1.c3ad4e89324f7p-17, -0x1.ad44cbb0133b4p-17, -0x1.97910908ebc91p-17, -0x1.829193f8bf54dp-17, -0x1.6e45ba471573dp-17, -0x1.5aabc3dae037p-17, -0x1.47c07a17e8946p-17, -0x1.357f17bd91cap-17, -0x1.23e19a98420d5p-17, -0x1.12e1538fd9389p-17, -0x1.0277864392e4bp-17, -0x1.e53bde4767954p-18, -0x1.c69e302208bf5p-18, -0x1.a90ce87efef8p-18, -0x1.8c8090f801b2dp-18, -0x1.70f2db67dcb3p-18, -0x1.565e0781af62cp-18, -0x1.3cbc5e788bf01p-18, -0x1.2407f14134162p-18, -0x1.0c3aa83c7f971p-18, -0x1.ea9d14d242f19p-19, -0x1.be7c0b6f1d86dp-19, -0x1.9407ff4507f4dp-19, -0x1.6b371e5bf9315p-19, -0x1.43fedb677872ap-19, -0x1.1e52ad3241af9p-19, -0x1.f446924bd9649p-20, -0x1.aebdb355d6f5cp-20, -0x1.6be4a624a8774p-20, -0x1.2b971bafdb637p-20, -0x1.db6dd2ed35b01p-21, -0x1.645e16c3fd286p-21, -0x1.e3d11514e75dep-22, -0x1.080cd09fee4edp-22, -0x1.ab90586f094cfp-25, 0x1.27fb5045f473dp-23, 0x1.544fa5e5656fap-22, 0x1.05d3a67f25a75p-21, 0x1.5d1f2f4a8fcc7p-21, 0x1.b0306f11c6943p-21, 0x1.ff3323061f1d5p-21, 0x1.252a258d0d017p-20, 0x1.48de89ff1f2bdp-20, 0x1.6ac75f8be6fcfp-20, 0x1.8af0db6eafe4p-20, 0x1.a9644d9bfe6e6p-20, 0x1.c62ac7d91a222p-20, 0x1.e14f641bd98aep-20, 0x1.fae02aa9b6258p-20, 0x1.0976d6a63c12ap-19, 0x1.14c5093bb2446p-19, 0x1.1f6417ba7c20bp-19, 0x1.295d69bee7df9p-19, 0x1.32ba090ad4abap-19, 0x1.3b823309d309ap-19, 0x1.43bce8b187cfdp-19, 0x1.4b6fa9e20ad35p-19, 0x1.529e8442902e8p-19, 0x1.594c75217c4a7p-19, 0x1.5f7bf73d58e3cp-19, 0x1.652f9167d5e81p-19, 0x1.6a6a5a0fdd9b7p-19, 0x1.6f3075bca347ep-19, 0x1.73876a7740183p-19, 0x1.7775e680b90ffp-19, 0x1.7b02bc2ae262dp-19, 0x1.7e336a097368cp-19, 0x1.810b11439b1dcp-19, 0x1.838a61f73646ep-19, 0x1.85b0a9e6f63c9p-19, 0x1.877d93cf9a89ap-19, 0x1.88f28717894ep-19, 0x1.8a12ec4563b06p-19, 0x1.8ae3073cd9f82p-19, 0x1.8b665ab5c48cbp-19, 0x1.8b9f0e1d7d2ep-19, 0x1.8b8eda2d9a41ep-19, 0x1.8b387c701b76bp-19, 0x1.8aa05303fa432p-19, 0x1.89cbc3216a994p-19, 0x1.88c0179f33b78p-19, 0x1.8781a6d884513p-19, 0x1.86139263076e4p-19, 0x1.8478009772dffp-19, 0x1.82b088d7a43cep-19, 0x1.80be9749134a3p-19, 0x1.7ea3a6127502fp-19, 0x1.7c6140e5b7155p-19, 0x1.79f8dcbba119ep-19, 0x1.776ba12369e52p-19, 0x1.74ba4c0722107p-19, 0x1.71e5523ef2481p-19, 0x1.6eed4171c0988p-19, 0x1.6bd339b0ef21ep-19, 0x1.6899393f06709p-19, 0x1.6542193e06ac2p-19, 0x1.61d17552c6f03p-19, 0x1.5e4bc7ae9567ap-19, 0x1.5ab6607843817p-19, 0x1.57164deb3e087p-19, 0x1.536e2ced098eap-19, 0x1.4fbca6e80b77bp-19, 0x1.4bfd854aab94p-19, 0x1.482cfdb00836p-19, 0x1.444aab76e986dp-19, 0x1.4059d58dd9bc8p-19, 0x1.3c5ee168068e4p-19, 0x1.385c4938f96p-19, 0x1.3451c109c4902p-19, 0x1.303dcd16a6f17p-19, 0x1.2c1fb6fef834ap-19, 0x1.27f842621727dp-19, 0x1.23c9431f71d56p-19, 0x1.1f94ea7f5388bp-19, 0x1.1b5d4162e3a2ep-19, 0x1.1723e5918fd2ap-19, 0x1.12e9fd6988205p-19, 0x1.0eb04d1af8158p-19, 0x1.0a7758d774738p-19, 0x1.063f85bd2f371p-19, 0x1.0209330ae4cffp-19, 0x1.fba993e7ae7b8p-20, 0x1.f34587006dc28p-20, 0x1.eae74795fac9dp-20, 0x1.e28fd7d94ae6cp-20, 0x1.da400ed2b6664p-20, 0x1.d1f87ccd01b87p-20, 0x1.c9b96e15c4bddp-20, 0x1.c18317a727e4ap-20, 0x1.b955dddff726cp-20, 0x1.b1327e1d72b81p-20, 0x1.a919e26aad9d6p-20, 0x1.a10cc91b79573p-20, 0x1.990be472e4416p-20, 0x1.9118a2657584cp-20, 0x1.8935541b04957p-20, 0x1.81637c4eb8a01p-20, 0x1.79a21ccf8479p-20, 0x1.71ef07584c3a4p-20, 0x1.6a4a19d2261a7p-20, 0x1.62b642e9b97bfp-20, 0x1.5b36f0330b0c4p-20, 0x1.53cd19bae8b11p-20, 0x1.4c77676b8f99bp-20, 0x1.453462857103p-20, 0x1.3e039a151146cp-20, 0x1.36e56d7969718p-20, 0x1.2fdab25239b19p-20, 0x1.28e46c6d99764p-20, 0x1.22035be9a263cp-20, 0x1.1b37a14334382p-20, 0x1.1480e05e1071bp-20, 0x1.0ddec449e9b0fp-20, 0x1.0751574740b11p-20, 0x1.00d8edda23e3ap-20, 0x1.f4ebc6af0c435p-21, 0x1.e850e520c0f6fp-21, 0x1.dbe1625a4e55fp-21, 0x1.cf9d525550de5p-21, 0x1.c384a18400b37p-21, 0x1.b7974feb314dcp-21, 0x1.abd551009fc96p-21, 0x1.a03e9d13950bap-21, 0x1.94d3313dd02adp-21, 0x1.899312715487ap-21, 0x1.7e7e4e4fa162bp-21, 0x1.7394f551e0201p-21, 0x1.68d708987c9bfp-21, 0x1.5e446329b55c4p-21, 0x1.53dcbfc385d1dp-21, 0x1.499ff598f83fp-21, 0x1.3f8e33c9c3dfdp-21, 0x1.35a7b2c6f7cfcp-21, 0x1.2bebe69e34625p-21, 0x1.2259b2c32395cp-21, 0x1.18f0c7d62289dp-21, 0x1.0fb1927fa5fffp-21, 0x1.069b91b620a93p-21, 0x1.fb5b9aa78983ap-22, 0x1.e9d0ddf1f44f8p-22, 0x1.d898414aaacaap-22, 0x1.c7b17a51103fep-22, 0x1.b71b35801774bp-22, 0x1.a6d46f688e2f7p-22, 0x1.96dca49e30fa5p-22, 0x1.873381edceffp-22, 0x1.77d89d412b93p-22, 0x1.68cb19a9916ecp-22, 0x1.5a09473cff265p-22, 0x1.4b910855f2dd3p-22, 0x1.3d6145c8b0a07p-22, 0x1.2f7aa427976eap-22, 0x1.21ddc93d185b4p-22, 0x1.1489295f85107p-22, 0x1.0779e7c9a75c3p-22, 0x1.f55e2390969b9p-23, 0x1.dc5487fdfd506p-23, 0x1.c3d9825ac2722p-23, 0x1.abeb2e9b3bdaap-23, 0x1.94852faa14eb6p-23, 0x1.7da38b1ae1499p-23, 0x1.67438717a2726p-23, 0x1.516342025b889p-23, 0x1.3c012c217ca2fp-23, 0x1.271bcd2d8b622p-23, 0x1.12b1cc5830b39p-23, 0x1.fd840bb9a26dp-24, 0x1.d696c742eb5dep-24, 0x1.b098a400a64e9p-24, 0x1.8b84a6b6005bap-24, 0x1.6755ab56f52e5p-24, 0x1.440b211cfc4d2p-24, 0x1.21aba085684cdp-24, 0x1.003a2765cdcd2p-24, 0x1.bf4bf499066c1p-25, 0x1.7fbc1a28e8911p-25, 0x1.41c52891a8d41p-25, 0x1.05606bfe98e36p-25, 0x1.9528ef7cd1215p-26, 0x1.22e1325892a51p-26, 0x1.679b0b76495adp-27, 0x1.1f25feaf7e977p-28, -0x1.0a02133ceaca2p-29, -0x1.0eb195d1533p-27, -0x1.d5128c75676e7p-27, -0x1.4adc5fcfd1072p-26, -0x1.a85de339e098bp-26, -0x1.018d1385674c8p-25, -0x1.2d8ed8574417dp-25, -0x1.583a7f72f90cbp-25, -0x1.8196338cf9e2dp-25, -0x1.a9a80214c3fc8p-25, -0x1.d075e204a2995p-25, -0x1.f605bb352918fp-25, -0x1.0d2ea7473bc58p-24, -0x1.1ec0e6f56fc3ap-24, -0x1.2fbb9d432c942p-24, -0x1.4020b27e2ea66p-24, -0x1.4ff36e9222e2cp-24, -0x1.5f38665c093ccp-24, -0x1.6df30497356c6p-24, -0x1.7c25f74bd27fdp-24, -0x1.89d4db6b58a04p-24, -0x1.97018912b8444p-24, -0x1.a3ac137d8883p-24, -0x1.afd6a80341e16p-24, -0x1.bb853ab713c3ap-24, -0x1.c6bb381f5cdd7p-24, -0x1.d17b1827e7e2bp-24, -0x1.dbc6f720c5405p-24, -0x1.e5a117d6c0563p-24, -0x1.ef0c075153518p-24, -0x1.f80a5f5537b81p-24, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{0x1.d3703140706b6p-1, 0x1.d32e03b9de747p-1, 0x1.d2c194ee94e4ap-1, 0x1.d22d6c863afbep-1, 0x1.d174a84e53d2fp-1, 0x1.d09ab8c759c32p-1, 0x1.cfa328ea7034cp-1, 0x1.ce917311770a9p-1, 0x1.cd68e1a810cc3p-1, 0x1.cc2c795b6b23fp-1, 0x1.cadeeab90cf36p-1, 0x1.c98289bc5319dp-1, 0x1.c8194a42ef5d9p-1, 0x1.c6a4c0a3c5a57p-1, 0x1.c52625b959d45p-1, 0x1.c39e5daeb7decp-1, 0x1.c20e00d6336bdp-1, 0x1.c07565d063d38p-1, 0x1.bed4ac53fefb8p-1, 0x1.bd2bc7fc273bp-1, 0x1.bb7a8a9f46f1dp-1, 0x1.b9c0add0a10e7p-1, 0x1.b7fddb4ec45d1p-1, 0x1.b631b43e0d2b8p-1, 0x1.b45bd726f23efp-1, 0x1.b27be4c2d8ff9p-1, 0x1.b09183afd0967p-1, 0x1.ae9c632c1d8afp-1, 0x1.ac9c3cfec5e3ep-1, 0x1.aa90d6b31e45dp-1, 0x1.a87a024b938a5p-1, 0x1.a6579e8c7534ap-1, 0x1.a42996faf5eacp-1, 0x1.a1efe3a79b02ap-1, 0x1.9faa88d65b9ebp-1, 0x1.9d5996920207fp-1, 0x1.9afd283443bbbp-1, 0x1.989563e893b6ep-1, 0x1.96227a2cee398p-1, 0x1.93a4a551d288dp-1, 0x1.911c28f934969p-1, 0x1.8e89519352948p-1, 0x1.8bec73d7f864bp-1, 0x1.8945ec3aa829bp-1, 0x1.86961e5865cc6p-1, 0x1.83dd745e36a9p-1, 0x1.811c5e67f42f5p-1, 0x1.7e5351d78ba29p-1, 0x1.7b82c8a547c22p-1, 0x1.78ab40aa3b31ep-1, 0x1.75cd3ae637cacp-1, 0x1.72e93ac3121a8p-1, 0x1.6fffc5571a94ep-1, 0x1.6d1160a8ce5e5p-1, 0x1.6a1e92f5cad68p-1, 0x1.6727e1fef710bp-1, 0x1.642dd25bba40cp-1, 0x1.6130e6d5e8d94p-1, 0x1.5e319fcfdca5p-1, 0x1.5b307ab5e7fcbp-1, 0x1.582df17c2447cp-1, 0x1.552a7a294b44ap-1, 0x1.5226866f147a1p-1, 0x1.4f228350550e5p-1, 0x1.4c1ed8d4e4362p-1, 0x1.491be9cb14f4bp-1, 0x1.461a139670f35p-1, 0x1.4319ae0b2d6b9p-1, 0x1.401b0b55c1175p-1, 0x1.3d1e77edda82bp-1, 0x1.3a243a93efbf3p-1, 0x1.372c945888b2dp-1, 0x1.3437c0ac5e39p-1, 0x1.3145f5786684dp-1, 0x1.2e57633ce2998p-1, 0x1.2b6c353684a02p-1, 0x1.28849188cfafdp-1, 0x1.25a0996cd397p-1, 0x1.22c0696377ebp-1, 0x1.1fe4196a9074ep-1, 0x1.1d0bbd3405c79p-1, 0x1.1a37645e67cc8p-1, 0x1.17671aae53a2cp-1, 0x1.149ae848182b1p-1, 0x1.11d2d1e929f9ep-1, 0x1.0f0ed920eaaabp-1, 0x1.0c4efc886b9d2p-1, 0x1.099337f8d8fd2p-1, 0x1.06db84c0436bap-1, 0x1.0427d9d49428bp-1, 0x1.01782c047b274p-1, 0x1.fd98dc4c6b399p-2, 0x1.f84922882948bp-2, 0x1.f301098d64bbp-2, 0x1.edc06d39a07fbp-2, 0x1.e88726c1b8e12p-2, 0x1.e3550cf848837p-2, 0x1.de29f48f80c94p-2, 0x1.d905b05692a4dp-2, 0x1.d3e81172d12d5p-2, 0x1.ced0e794bfab3p-2, 0x1.c9c0012939488p-2, 0x1.c4b52b86ec74ep-2, 0x1.bfb0331865cb4p-2, 0x1.bab0e382e3a81p-2, 0x1.b5b707ca2dcep-2, 0x1.b0c26a71b3f3ep-2, 0x1.abd2d59b239c7p-2, 0x1.a6e81322bb252p-2, 0x1.a201ecb98527p-2, 0x1.9d202bfdbf025p-2, 0x1.98429a919067ep-2, 0x1.9369023048a71p-2, 0x1.8e932cc251b0ep-2, 0x1.89c0e46ff4f5cp-2, 0x1.84f1f3b326e45p-2, 0x1.8026256867fe5p-2, 0x1.7b5d44deeb027p-2, 0x1.76971de80a492p-2, 0x1.71d37ce62cdfap-2, 0x1.6d122edb2d6a2p-2, 0x1.685301764ab6cp-2, 0x1.6395c321bcd5fp-2, 0x1.5eda430fea52ap-2, 0x1.5a20514853f76p-2, 0x1.5567beb42ec5cp-2, 0x1.50b05d2ab9525p-2, 0x1.4bf9ff7d4f97dp-2, 0x1.474479832d6dfp-2, 0x1.428fa024f7629p-2, 0x1.3ddb4967f2a61p-2, 0x1.39274c78edce1p-2, 0x1.347381b6ded38p-2, 0x1.2fbfc2bd25961p-2, 0x1.2b0bea6d73555p-2, 0x1.2657d4f954ed1p-2, 0x1.21a35feb4f1e4p-2, 0x1.1cee6a2f930c1p-2, 0x1.1838d41c3d4c2p-2, 0x1.13827f791dc68p-2, 0x1.0ecb4f8701cd2p-2, 0x1.0a13290679d17p-2, 0x1.0559f23e1b999p-2, 0x1.009f930032723p-2, 0x1.f7c7e95fd981p-3, 0x1.ee4e048bd138ep-3, 0x1.e4d150a86e662p-3, 0x1.db51aa138e36fp-3, 0x1.d1cef06a6cfedp-3, 0x1.c849068e194edp-3, 0x1.bebfd2a6bdbefp-3, 0x1.b5333e25afd09p-3, 0x1.aba335c66011p-3, 0x1.a20fa98e0f54ep-3, 0x1.98788cca6a7a7p-3, 0x1.8eddd60efdbddp-3, 0x1.853f7f318f755p-3, 0x1.7b9d85456234cp-3, 0x1.71f7e89569c85p-3, 0x1.684eac9d7a0f4p-3, 0x1.5ea1d8027ce8ep-3, 0x1.54f17489a667fp-3, 0x1.4b3d8f0ecfc24p-3, 0x1.41863779ddb8bp-3, 0x1.37cb80b361f65p-3, 0x1.2e0d8098640dcp-3, 0x1.244c4fed6ab53p-3, 0x1.1a880a50cfcfp-3, 0x1.10c0ce2c680b6p-3, 0x1.06f6bca689924p-3, 0x1.fa53f324f6c32p-4, 0x1.e6b556c0b1a13p-4, 0x1.d311f618ecd22p-4, 0x1.bf6a281c9c7d3p-4, 0x1.abbe488e0c7abp-4, 0x1.980eb7df20856p-4, 0x1.845bdb0cea7b1p-4, 0x1.70a61b7aa5199p-4, 0x1.5cede6cc33693p-4, 0x1.4933aec01e7f9p-4, 0x1.3577e9093470bp-4, 0x1.21bb0f27e086dp-4, 0x1.0dfd9e433e2a9p-4, 0x1.f4802e03ef165p-5, 0x1.cd05fac62cc1cp-5, 0x1.a58db12d662b9p-5, 0x1.7e1865ad53789p-5, 0x1.56a7327ebf78dp-5, 0x1.2f3b375141cdap-5, 0x1.07d598fd2ee49p-5, 0x1.c0ef026c25d95p-6, 0x1.72443c7aee126p-6, 0x1.23ad452cd664bp-6, 0x1.aa5912e60df7bp-7, 0x1.0d88fb2685791p-7, 0x1.c3bce49818fd3p-9, -0x1.5b7985bca3d67p-10, -0x1.8f1a69b09830cp-8, -0x1.6365bb8afa631p-7, -0x1.fef3a422b1aadp-7, -0x1.4d18e306843d9p-6, -0x1.9a8d78f25d5e8p-6, -0x1.e7d4f93fbdc3ep-6, -0x1.1a76637dc9df5p-5, -0x1.40e921ab741bbp-5, -0x1.67416713548e6p-5, -0x1.8d7de3304f823p-5, -0x1.b39d454b1ef64p-5, -0x1.d99e3cb611f7bp-5, -0x1.ff7f7907cce4fp-5, -0x1.129fd52a459e8p-4, -0x1.256ec0b2f9ef1p-4, -0x1.382bd7f8d3608p-4, -0x1.4ad674672ffa1p-4, -0x1.5d6df013d70aap-4, -0x1.6ff1a5d8203fdp-4, -0x1.8260f1696e297p-4, -0x1.94bb2f70e9af9p-4, -0x1.a6ffbda290f47p-4, -0x1.b92dfad399a1ep-4, -0x1.cb45471005bccp-4, -0x1.dd4503af9cc7bp-4, -0x1.ef2c936a2c009p-4, -0x1.007dad3589ad8p-3, -0x1.09585f32095c8p-3, -0x1.1226134fc7d71p-3, -0x1.1ae67e08fdeb5p-3, -0x1.239954b55c807p-3, -0x1.2c3e4d9218a2p-3, -0x1.34d51fc9ae896p-3, -0x1.3d5d837b4aef5p-3, -0x1.45d731c1dfeb9p-3, -0x1.4e41e4baee2fap-3, -0x1.569d578cf9cfbp-3, -0x1.5ee9466dae1f4p-3, -0x1.67256ea7b88c1p-3, -0x1.6f518ea04c63ep-3, -0x1.776d65dc6ac9ep-3, -0x1.7f78b505c9eacp-3, -0x1.87733def86889p-3, -0x1.8f5cc39a8499dp-3, -0x1.97350a398524bp-3, -0x1.9efbd734ff688p-3, -0x1.a6b0f12eb2c7bp-3, -0x1.ae542004f415fp-3, -0x1.b5e52cd5bd534p-3, -0x1.bd63e20176281p-3, -0x1.c4d00b2d86b8bp-3, -0x1.cc297546aa437p-3, -0x1.d36fee83050c7p-3, -0x1.daa34663fd98ap-3, -0x1.e1c34db7eacefp-3, -0x1.e8cfd69b76738p-3, -0x1.efc8b47ae0da3p-3, -0x1.f6adbc12f8f31p-3, -0x1.fd7ec371f7507p-3, -0x1.021dd0fc0cebep-2, -0x1.0572182c0a9cdp-2, -0x1.08bc244ba9423p-2, -0x1.0bfbe30707677p-2, -0x1.0f3142b39d564p-2, -0x1.125c325020f0fp-2, -0x1.157ca1844f99bp-2, -0x1.189280a0a763fp-2, -0x1.1b9dc09e0c09ep-2, -0x1.1e9e531d58f8fp-2, -0x1.21942a66e318ep-2, -0x1.247f3969e8fa8p-2, -0x1.275f73bbf4834p-2, -0x1.2a34cd98285dep-2, -0x1.2cff3bde83bdcp-2, -0x1.2fbeb413141a4p-2, -0x1.32732c5d1a29p-2, -0x1.351c9b8623688p-2, -0x1.37baf8f913655p-2, -0x1.3a4e3cc120aeap-2, -0x1.3cd65f88cc837p-2, -0x1.3f535a98c6b58p-2, -0x1.41c527d6cd269p-2, -0x1.442bc1c47da2ap-2, -0x1.4687237e22e46p-2, -0x1.48d748b971538p-2, -0x1.4b1c2dc442714p-2, -0x1.4d55cf8342322p-2, -0x1.4f842b7099b42p-2, -0x1.51a73f9a8cc32p-2, -0x1.53bf0aa2160bbp-2, -0x1.55cb8bb9784eep-2, -0x1.57ccc2a2cd635p-2, -0x1.59c2afae8b18ap-2, -0x1.5bad53ba06c92p-2, -0x1.5d8cb02df100bp-2, -0x1.5f60c6fcce0fep-2, -0x1.61299aa16a38ep-2, -0x1.62e72e1d44ap-2, -0x1.649984f701b69p-2, -0x1.6640a338cabbfp-2, -0x1.67dc8d6eb83dap-2, -0x1.696d48a530b77p-2, -0x1.6af2da6745e1ep-2, -0x1.6c6d48bd12e18p-2, -0x1.6ddc9a2a144e2p-2, -0x1.6f40d5ab7e781p-2, -0x1.709a02b6948dap-2, -0x1.71e82936fcadap-2, -0x1.732b518d0d602p-2, -0x1.7463848c236aep-2, -0x1.7590cb78edf89p-2, -0x1.76b33007bc829p-2, -0x1.77cabc5acb68bp-2, -0x1.78d77b00924bbp-2, -0x1.79d976f20e721p-2, -0x1.7ad0bb910c4bfp-2, -0x1.7bbd54a6747b5p-2, -0x1.7c9f4e60971aap-2, -0x1.7d76b5516f17dp-2, -0x1.7e43966cf727dp-2, -0x1.7f05ff0768bcp-2, -0x1.7fbdfcd38de11p-2, -0x1.806b9de107aefp-2, -0x1.810ef09a983cfp-2, -0x1.81a803c4716cdp-2, -0x1.8236e67a7a79p-2, -0x1.82bba82e9ebf9p-2, -0x1.833658a71babfp-2, -0x1.83a707fccaab6p-2, -0x1.840dc6996e354p-2, -0x1.846aa53603396p-2, -0x1.84bdb4d90db85p-2, -0x1.850706d4e9504p-2, -0x1.8546acc61b1c2p-2, -0x1.857cb8919ebcp-2, -0x1.85a93c63401eep-2, -0x1.85cc4aabe88bp-2, -0x1.85e5f61ff715ep-2, -0x1.85f651b594b5fp-2, -0x1.85fd70a30c4a4p-2, -0x1.85fb665d2230ap-2, -0x1.85f046956e0fap-2, -0x1.85dc2538b5108p-2, -0x1.85bf166d472dfp-2, -0x1.85992e915ba09p-2, -0x1.856a82396e2dfp-2, -0x1.8533262ea3f05p-2, -0x1.84f32f6d2753cp-2, -0x1.84aab3228f81ap-2, -0x1.8459c6ac43d76p-2, -0x1.84007f95e11f5p-2, -0x1.839ef397a3a06p-2, -0x1.83353894d04cp-2, -0x1.82c3649a1ecdcp-2, -0x1.82498ddc28716p-2, -0x1.81c7cab5d7791p-2, -0x1.813e31a6d6037p-2, -0x1.80acd952046bdp-2, -0x1.8013d87be9f1fp-2, -0x1.7f7346092dbe1p-2, -0x1.7ecb38fd11a65p-2, -0x1.7e1bc877e9703p-2, -0x1.7d650bb598aa6p-2, -0x1.7ca71a0c147c1p-2, -0x1.7be20ae9e1ef8p-2, -0x1.7b15f5d49c97fp-2, -0x1.7a42f2677941fp-2, -0x1.79691851d250cp-2, -0x1.78887f55b107fp-2, -0x1.77a13f4659e8bp-2, -0x1.76b37006dc233p-2, -0x1.75bf2988a9d46p-2, -0x1.74c483ca2625ap-2, -0x1.73c396d5409ep-2, -0x1.72bc7abe1003bp-2, -0x1.71af47a16efeep-2, -0x1.709c15a39cb26p-2, -0x1.6f82fceedf877p-2, -0x1.6e6415b22c5efp-2, -0x1.6d3f781fcea44p-2, -0x1.6c153c6c15a6ap-2, -0x1.6ae57acc03b59p-2, -0x1.69b04b73ffe04p-2, -0x1.6875c6968d6cdp-2, -0x1.6736046305123p-2, -0x1.65f11d044dc0fp-2, -0x1.64a7289fa30e8p-2, -0x1.63583f5352649p-2, -0x1.6204793586426p-2, -0x1.60abee530bc75p-2, -0x1.5f4eb6ae28121p-2, -0x1.5decea3d60deep-2, -0x1.5c86a0ea59613p-2, -0x1.5b1bf290a7a2ep-2, -0x1.59acf6fcb15d9p-2, -0x1.5839c5ea8daafp-2, -0x1.56c27704e9c86p-2, -0x1.554721e3f07ebp-2, -0x1.53c7de0c37417p-2, -0x1.5244c2edaf436p-2, -0x1.50bde7e298be3p-2, -0x1.4f33642e7cd29p-2, -0x1.4da54efd292b1p-2, -0x1.4c13bf61b1c72p-2, -0x1.4a7ecc5574887p-2, -0x1.48e68cb7251b6p-2, -0x1.474b1749d8dfcp-2, -0x1.45ac82b41888ap-2, -0x1.440ae57ef7044p-2, -0x1.426656152b76fp-2, -0x1.40beeac232b0cp-2, -0x1.3f14b9b16d1e5p-2, -0x1.3d67d8ed4d6fep-2, -0x1.3bb85e5e7fc66p-2, -0x1.3a065fcb1c503p-2, -0x1.3851f2d5dcf96p-2, -0x1.369b2cfd5630bp-2, -0x1.34e2239b35d48p-2, -0x1.3326ebe38614fp-2, -0x1.31699ae3f44bdp-2, -0x1.2faa45831dfc2p-2, -0x1.2de9007fdeb39p-2, -0x1.2c25e070ab1ccp-2, -0x1.2a60f9c2e1844p-2, -0x1.289a60ba321ccp-2, -0x1.26d2296ff84fbp-2, -0x1.250867d2abcd5p-2, -0x1.233d2fa5446b5p-2, -0x1.2170947eb00b9p-2, -0x1.1fa2a9c943ac6p-2, -0x1.1dd382c23b6cdp-2, -0x1.1c03327931c53p-2, -0x1.1a31cbcfa776p-2, -0x1.185f61788943fp-2, -0x1.168c05f7bbdcp-2, -0x1.14b7cba1ad6fbp-2, -0x1.12e2c49ae9f43p-2, -0x1.110d02d7b4a9p-2, -0x1.0f36981ba6046p-2, -0x1.0d5f95f95038ap-2, -0x1.0b880dd1e1f6ep-2, -0x1.09b010d4d5f37p-2, -0x1.07d7afffa117ap-2, -0x1.05fefc1d64a9ep-2, -0x1.042605c6aa924p-2, -0x1.024cdd611daadp-2, -0x1.0073931f4e5fbp-2, -0x1.fd346e00ebfb8p-3, -0x1.f981b1a07f719p-3, -0x1.f5cf104d31769p-3, -0x1.f21ca8cefc065p-3, -0x1.ee6a9985a9993p-3, -0x1.eab90068897eap-3, -0x1.e707fb0625fa2p-3, -0x1.e357a6840cd9p-3, -0x1.dfa81f9e9aab3p-3, -0x1.dbf982a8ca62bp-3, -0x1.d84beb8c13059p-3, -0x1.d49f75c84b87fp-3, -0x1.d0f43c738ea67p-3, -0x1.cd4a5a3a32fb6p-3, -0x1.c9a1e95ec2335p-3, -0x1.c5fb03b9f4a6cp-3, -0x1.c255c2babe8cp-3, -0x1.beb23f665b669p-3, -0x1.bb1092585f9edp-3, -0x1.b770d3c2dbb0dp-3, -0x1.b3d31b6e77716p-3, -0x1.b03780baa18d9p-3, -0x1.ac9e1a9db9c32p-3, -0x1.a906ffa54aeedp-3, -0x1.a57245f64438cp-3, -0x1.a1e0034d3f72dp-3, -0x1.9e504cfec5b5p-3, -0x1.9ac337f7a20cp-3, -0x1.9738d8bd30a39p-3, -0x1.93b1436dbf883p-3, -0x1.902c8bc0e77e8p-3, -0x1.8caac507f671cp-3, -0x1.892c022e5901ap-3, -0x1.85b055ba0875cp-3, -0x1.8237d1cc025e1p-3, -0x1.7ec28820c1146p-3, -0x1.7b508a10bd0a3p-3, -0x1.77e1e890ed349p-3, -0x1.7476b4335206cp-3, -0x1.710efd2785b3dp-3, -0x1.6daad33b4728ep-3, -0x1.6a4a45db14dcep-3, -0x1.66ed6412c5ddcp-3, -0x1.63943c8e2ac8cp-3, -0x1.603edd99aa5c1p-3, -0x1.5ced5522eebf6p-3, -0x1.599fb0b98a00cp-3, -0x1.5655fd8fa6e18p-3, -0x1.5310487aba84cp-3, -0x1.4fce9df439a27p-3, -0x1.4c910a1a4b16cp-3, -0x1.495798b08c09ap-3, -0x1.46225520c7c4cp-3, -0x1.42f14a7bbbdb6p-3, -0x1.3fc48379db6fdp-3, -0x1.3c9c0a7c1982ep-3, -0x1.3977e98cac3a3p-3, -0x1.36582a5fe1bd2p-3, -0x1.333cd654e61fp-3, -0x1.3025f6769ca2p-3, -0x1.2d13937c6d8b9p-3, -0x1.2a05b5cb1e867p-3, -0x1.26fc6575a861cp-3, -0x1.23f7aa3e12168p-3, -0x1.20f78b964d8fep-3, -0x1.1dfc10a10f2c6p-3, -0x1.1b054032b18f5p-3, -0x1.181320d215edep-3, -0x1.1525b8b982998p-3, -0x1.123d0dd787b2dp-3, -0x1.0f5925cfe3dc3p-3, -0x1.0c7a05fc680bbp-3, -0x1.099fb36de0a37p-3, -0x1.06ca32ecfa24cp-3, -0x1.03f988fb2a489p-3, -0x1.012db9d399f94p-3, -0x1.fccd92d8205c3p-4, -0x1.f74976ebb2824p-4, -0x1.f1cf26bd65576p-4, -0x1.ec5ea8a372cc3p-4, -0x1.e6f80270a43e4p-4, -0x1.e19b39762f37cp-4, -0x1.dc4852858ce7dp-4, -0x1.d6ff51f2535d7p-4, -0x1.d1c03b940b3d8p-4, -0x1.cc8b12c80e44fp-4, -0x1.c75fda735b3c1p-4, -0x1.c23e95047478ep-4, -0x1.bd27447532104p-4, -0x1.b819ea4c9b10cp-4, -0x1.b31687a0c07fep-4, -0x1.ae1d1d1884fd6p-4, -0x1.a92daaed8957fp-4, -0x1.a44830ede9a22p-4, -0x1.9f6cae7e22be1p-4, -0x1.9a9b229acf723p-4, -0x1.95d38bda8a701p-4, -0x1.9115e86fb0838p-4, -0x1.8c62362a36758p-4, -0x1.87b87279675cdp-4, -0x1.83189a6db972dp-4, -0x1.7e82aaba8f8e6p-4, -0x1.79f69fb7fc8e3p-4, -0x1.75747564893ap-4, -0x1.70fc2766ee59ap-4, -0x1.6c8db10fdbd13p-4, -0x1.68290d5ba7fdbp-4, -0x1.63ce36f413a6p-4, -0x1.5f7d2831f43d7p-4, -0x1.5b35db1ef8894p-4, -0x1.56f849773e4dcp-4, -0x1.52c46cab20468p-4, -0x1.4e9a3de0c0be7p-4, -0x1.4a79b5f5c80d2p-4, -0x1.4662cd80fb51cp-4, -0x1.42557cd3e9e07p-4, -0x1.3e51bbfc7ee2ep-4, -0x1.3a5782c69db52p-4, -0x1.3666c8bdc1c6bp-4, -0x1.327f852e8931dp-4, -0x1.2ea1af284900dp-4, -0x1.2acd3d7e99e1ep-4, -0x1.270226cadeb2fp-4, -0x1.2340616dce0b7p-4, -0x1.1f87e390ef483p-4, -0x1.1bd8a3281b761p-4, -0x1.183295f2f7336p-4, -0x1.1495b17e6b28ep-4, -0x1.1101eb2611409p-4, -0x1.0d773815a804ap-4, -0x1.09f58d4a7c516p-4, -0x1.067cdf94d442bp-4, -0x1.030d2399463ffp-4, -0x1.ff4c9ba44feadp-5, -0x1.f890a521b81a6p-5, -0x1.f1e64bfe6300fp-5, -0x1.eb4d7841678e1p-5, -0x1.e4c611a7eb801p-5, -0x1.de4fffa7cdf7fp-5, -0x1.d7eb29721cebcp-5, -0x1.d19775f5aa442p-5, -0x1.cb54cbe1809afp-5, -0x1.c52311a75745cp-5, -0x1.bf022d7e1364fp-5, -0x1.b8f2056403a2cp-5, -0x1.b2f27f2164c74p-5, -0x1.ad03804a9c0ecp-5, -0x1.a724ee428913cp-5, -0x1.a156ae3ccc1bcp-5, -0x1.9b98a53ffdf78p-5, -0x1.95eab827e404ap-5, -0x1.904ccba7907abp-5, -0x1.8abec44b98894p-5, -0x1.8540867c100dap-5, -0x1.7fd1f67ebb1dep-5, -0x1.7a72f878ff308p-5, -0x1.75237071ee4d7p-5, -0x1.6fe342543a526p-5, -0x1.6ab251f033d2fp-5, -0x1.659082fd8d83ap-5, -0x1.607db91d719e5p-5, -0x1.5b79d7dc2656dp-5, -0x1.5684c2b2fd99fp-5, -0x1.519e5d0a15a78p-5, -0x1.4cc68a3a17e9bp-5, -0x1.47fd2d8de68fp-5, -0x1.43422a445cc9ep-5, -0x1.3e956391f1285p-5, -0x1.39f6bca24f79dp-5, -0x1.35661899f6ee3p-5, -0x1.30e35a97cad54p-5, -0x1.2c6e65b6a5218p-5, -0x1.28071d0eb8b66p-5, -0x1.23ad63b73c8bfp-5, -0x1.1f611cc7a099dp-5, -0x1.1b222b5936de4p-5, -0x1.16f0728870bb1p-5, -0x1.12cbd57638d27p-5, -0x1.0eb437496d424p-5, -0x1.0aa97b2ff9d1ep-5, -0x1.06ab846049bbdp-5, -0x1.02ba361a6c699p-5, -0x1.fdaae752b7ecep-6, -0x1.f5fa40c84e656p-6, -0x1.ee623f5e3c397p-6, -0x1.e6e2a9f9f7147p-6, -0x1.df7b479ff2b52p-6, -0x1.d82bdf75ccd77p-6, -0x1.d0f438c47214dp-6, -0x1.c9d41afa38ea9p-6, -0x1.c2cb4dacc8ad2p-6, -0x1.bbd9989b5000ap-6, -0x1.b4fec3b019772p-6, -0x1.ae3a9702a9679p-6, -0x1.a78cdad97c117p-6, -0x1.a0f557abc6902p-6, -0x1.9a73d6233179dp-6, -0x1.94081f1d99d34p-6, -0x1.8db1fbae8fde2p-6, -0x1.87713521050cep-6, -0x1.814594f8d77bcp-6, -0x1.7b2ee4f43a3abp-6, -0x1.752cef0d471b1p-6, -0x1.6f3f7d7b393c9p-6, -0x1.69665ab405306p-6, -0x1.63a1516d94edfp-6, -0x1.5df02c9ed98efp-6, -0x1.5852b7815bb55p-6, -0x1.52c8bd922963bp-6, -0x1.4d520a934ba63p-6, -0x1.47ee6a8c7ab71p-6, -0x1.429da9cc9b64ap-6, -0x1.3d5f94ea7ba82p-6, -0x1.3833f8c5ecd35p-6, -0x1.331aa288d8d12p-6, -0x1.2e135fa7fca01p-6, -0x1.291dfde3db17ap-6, -0x1.243a4b49c9b76p-6, -0x1.1f68163467936p-6, -0x1.1aa72d4cada7dp-6, -0x1.15f75f8a9b404p-6, -0x1.11587c35dcbdfp-6, -0x1.0cca52e6882e3p-6, -0x1.084cb385e306dp-6, -0x1.03df6e4ea9ed2p-6, -0x1.ff04a79c28bd4p-7, -0x1.f66a69c80eb78p-7, -0x1.edefc587b7b09p-7, -0x1.e5945de956de3p-7, -0x1.dd57d6a402048p-7, -0x1.d539d418220d3p-7, -0x1.cd39fb5094f2bp-7, -0x1.c557f2033a7d1p-7, -0x1.bd935e91d8409p-7, -0x1.b5ebe80ab8a66p-7, -0x1.ae61362911a96p-7, -0x1.a6f2f155fb20cp-7, -0x1.9fa0c2a87cd29p-7, -0x1.986a53e657b57p-7, -0x1.914f4f8465a3ap-7, -0x1.8a4f60a6aa3edp-7, -0x1.836a332124a2dp-7, -0x1.7c9f737773ebp-7, -0x1.75eeceddd31dcp-7, -0x1.6f57f3387a23fp-7, -0x1.68da8f1c70e43p-7, -0x1.627651cf325fcp-7, -0x1.5c2aeb46ec079p-7, -0x1.55f80c2aa7f4ep-7, -0x1.4fdd65d1e4c3ep-7, -0x1.49daaa44cc76fp-7, -0x1.43ef8c3c376b4p-7, -0x1.3e1bbf212fef8p-7, -0x1.385ef70d19639p-7, -0x1.32b8e8c94b983p-7, -0x1.2d2949cef6a91p-7, -0x1.27afd046d15c4p-7, -0x1.224c3308d1136p-7, -0x1.1cfe299b99d23p-7, -0x1.17c56c34b569cp-7, -0x1.12a1b3b772d19p-7, -0x1.0d92b9b524141p-7, -0x1.0898386c2c3d3p-7, -0x1.03b1eac7e965dp-7, -0x1.fdbf18bfab448p-8, -0x1.f441b2ee9db53p-8, -0x1.eaeb1df9bed28p-8, -0x1.e1bad5139055bp-8, -0x1.d8b054c24e638p-8, -0x1.cfcb1adf662ffp-8, -0x1.c70aa6959a4d3p-8, -0x1.be6e785ff6b47p-8, -0x1.b5f612083e43ep-8, -0x1.ada0f6a5cacb9p-8, -0x1.a56eaa9ba0789p-8, -0x1.9d5eb397823dp-8, -0x1.9570988fce9ffp-8, -0x1.8da3e1c2b6c44p-8, -0x1.85f818b36cb4fp-8, -0x1.7e6cc829ea899p-8, -0x1.77017c3063f86p-8, -0x1.6fb5c21198ce5p-8, -0x1.688928578f445p-8, -0x1.617b3ec95d63ap-8, -0x1.5a8b9669b699ep-8, -0x1.53b9c174d69bcp-8, -0x1.4d05535eb847fp-8, -0x1.466de0d19f924p-8, -0x1.3ff2ffab61253p-8, -0x1.399446fc89a5bp-8, -0x1.33514f0581dd5p-8, -0x1.2d29b1350df36p-8, -0x1.271d082640c2p-8, -0x1.212aef9e9962ep-8, -0x1.1b53048be631p-8, -0x1.1594e5021e7fep-8, -0x1.0ff030396b548p-8, -0x1.0a64868cd0474p-8, -0x1.04f189768c562p-8, -0x1.ff2db71ef0178p-9, -0x1.f4a84118de5f4p-9, -0x1.ea51fa77f4b7ap-9, -0x1.e02a2f08a1e94p-9, -0x1.d6302cc33dec3p-9, -0x1.cc6343c68ba82p-9, -0x1.c2c2c65435ec8p-9, -0x1.b94e08cc7b8dcp-9, -0x1.b00461a97fcp-9, -0x1.a6e5297b10a9ap-9, -0x1.9defbae2dcdcbp-9, -0x1.9523728ed8f17p-9, -0x1.8c7faf36c003bp-9, -0x1.8403d195d60b7p-9, -0x1.7baf3c67c489p-9, -0x1.738154635eb28p-9, -0x1.6b7980372ebf7p-9, -0x1.63972884536bap-9, -0x1.5bd9b7da88f7bp-9, -0x1.54409ab37bc3cp-9, -0x1.4ccb3f6e0225bp-9, -0x1.4579164b4a25p-9, -0x1.3e499168ac27bp-9, -0x1.373c24bc1e57ep-9, -0x1.3050460fba79ap-9, -0x1.29856cfd766a9p-9, -0x1.22db12ead9d15p-9, -0x1.1c50b303cd8d9p-9, -0x1.15e5ca37a4dccp-9, -0x1.0f99d7339cda1p-9, -0x1.096c5a5f64287p-9, -0x1.035cd5d7ab55dp-9, -0x1.fad59ad66983p-10, -0x1.ef2b8d2abd9bdp-10, -0x1.e3ba90f507258p-10, -0x1.d881b7c6f5832p-10, -0x1.cd801672b52fp-10, -0x1.c2b4c502b52b3p-10, -0x1.b81edeb07ee22p-10, -0x1.adbd81dd1035ep-10, -0x1.a38fd007c323dp-10, -0x1.9994edc6ea419p-10, -0x1.8fcc02be94593p-10, -0x1.86343998af4d4p-10, -0x1.7cccbffc5e12fp-10, -0x1.7394c686345b5p-10, -0x1.6a8b80bff8a3bp-10, -0x1.61b02518a5529p-10, -0x1.5901ecdbbb511p-10, -0x1.508014293124dp-10, -0x1.4829d9ef26a5bp-10, -0x1.3ffe7fdf5a35ap-10, -0x1.37fd4a6903defp-10, -0x1.302580b05857bp-10, -0x1.28766c86c38a6p-10, -0x1.20ef5a630edbp-10, -0x1.198f995a5575ep-10, -0x1.12567b16beea1p-10, -0x1.0b4353d21f4f9p-10, -0x1.04557a4b8baf9p-10, -0x1.fb188f8687357p-11, -0x1.edce2fdfb7771p-11, -0x1.e0ca91f0ec5bbp-11, -0x1.d40c76dcd899p-11, -0x1.c792a4863b10dp-11, -0x1.bb5be5865cd86p-11, -0x1.af67091c0d1d3p-11, -0x1.a3b2e31fb62e3p-11, -0x1.983e4bf121ba9p-11, -0x1.8d08206d980bep-11, -0x1.820f41de1996ap-11, -0x1.775295ed2c3d4p-11, -0x1.6cd10696018aap-11, -0x1.62898217cb33bp-11, -0x1.587afae984eb4p-11, -0x1.4ea467a8d6279p-11, -0x1.4504c3122c047p-11, -0x1.3b9b0bed4cd7p-11, -0x1.32664505ad0ecp-11, -0x1.296575198b147p-11, -0x1.2097a6ced1767p-11, -0x1.17fbe8a6be49p-11, -0x1.0f914ceed5de3p-11, -0x1.0756e9b671a98p-11, -0x1.fe97b185ce269p-12, -0x1.eede6eff7afaep-12, -0x1.df804deb8894cp-12, -0x1.d07b977d5e67fp-12, -0x1.c1ce9bece5b2ep-12, -0x1.b377b2635dec6p-12, -0x1.a57538e2e5286p-12, -0x1.97c5942f077f6p-12, -0x1.8a672fb4189c8p-12, -0x1.7d587d72b98d5p-12, -0x1.7097f5e75d18bp-12, -0x1.642417f47988ap-12, -0x1.57fb68ca199dcp-12, -0x1.4c1c73d599e1bp-12, -0x1.4085caa5307a7p-12, -0x1.353604d692d06p-12, -0x1.2a2bbffe10101p-12, -0x1.1f659f96a81bap-12, -0x1.14e24ce86d66ep-12, -0x1.0aa076f4d7b04p-12, -0x1.009ed26451fadp-12, -0x1.edb832dc2abb2p-13, -0x1.daae179124beep-13, -0x1.c81cdd26885bdp-13, -0x1.b602188353d27p-13, -0x1.a45b6914b3753p-13, -0x1.932678a695173p-13, -0x1.8260fb3b1d0dap-13, -0x1.7208aee5e8de5p-13, -0x1.621b5bab1c019p-13, -0x1.5296d35448c4cp-13, -0x1.4378f14d82d75p-13, -0x1.34bf9a86a8025p-13, -0x1.2668bd47dc0d9p-13, -0x1.187251163875cp-13, -0x1.0ada568b4b56p-13, -0x1.fb3dae69224d1p-14, -0x1.e17bcae51c35cp-14, -0x1.c86b38af581b3p-14, -0x1.b0083f060e609p-14, -0x1.984f3607a495dp-14, -0x1.813c867403d2ap-14, -0x1.6acca95f78ef4p-14, -0x1.54fc2803b3cc5p-14, -0x1.3fc79b7523178p-14, -0x1.2b2bac6cc19adp-14, -0x1.172513062690dp-14, -0x1.03b096864c83ap-14, -0x1.e1961a3d12d33p-15, -0x1.bce2b7679bb4cp-15, -0x1.9940eb49392b2p-15, -0x1.76aab91760f43p-15, -0x1.551a40178e905p-15, -0x1.3489bb2abf60cp-15, -0x1.14f3806bc4824p-15, -0x1.eca401472b524p-16, -0x1.b13f8e0d891b5p-16, -0x1.77aef15bb50e9p-16, -0x1.3fe7a85f7c8ffp-16, -0x1.09df6299bf00ep-16, -0x1.ab1801cfac82fp-17, -0x1.45c72996223c1p-17, -0x1.c7717e9b5fc9ep-18, -0x1.09b347db0cebep-18, -0x1.48b8a88019d1cp-20, 0x1.7d0aa335d8dap-20, 0x1.0ac34be6b8ab8p-18, 0x1.b07729859b441p-18, 0x1.28407f29e6298p-17, 0x1.75816e2d2b22ep-17, 0x1.c00f16b7cca78p-17, 0x1.03fced87df8cfp-16, 0x1.26a8e618c739p-16, 0x1.48135591fe507p-16, 0x1.6843f5321b297p-16, 0x1.8742578b60e83p-16, 0x1.a515e9213c704p-16, 0x1.c1c5f115cd576p-16, 0x1.dd5991d5b521bp-16, 0x1.f7d7c9a5193a9p-16, 0x1.08a3b99b8cefp-15, 0x1.14d7a3272cfddp-15, 0x1.208aec30f766ep-15, 0x1.2bc0ce890eddfp-15, 0x1.367c737149076p-15, 0x1.40c0f3d445f0ep-15, 0x1.4a915896effc7p-15, 0x1.53f09adaa0b02p-15, 0x1.5ce1a4462dd23p-15, 0x1.65674f439f50bp-15, 0x1.6d84674d44f34p-15, 0x1.753ba9234182bp-15, 0x1.7c8fc31a03b8fp-15, 0x1.83835551975f5p-15, 0x1.8a18f1fbd596cp-15, 0x1.90531d94b5c3fp-15, 0x1.96344f210db88p-15, 0x1.9bbef07353911p-15, 0x1.a0f55e5a95996p-15, 0x1.a5d9e8e8d6e53p-15, 0x1.aa6ed3a148406p-15, 0x1.aeb655bd9fee6p-15, 0x1.b2b29a602c59ep-15, 0x1.b665c0cc61e49p-15, 0x1.b9d1dc9ba1b3bp-15, 0x1.bcf8f5f77834bp-15, 0x1.bfdd09c65aaadp-15, 0x1.c28009ebc24d8p-15, 0x1.c4e3dd6d9e1a8p-15, 0x1.c70a60b2f96a2p-15, 0x1.c8f565b0d81d5p-15, 0x1.caa6b418ee038p-15, 0x1.cc20098eb999dp-15, 0x1.cd6319d153d68p-15, 0x1.ce718eef229e4p-15, 0x1.cf4d0972c6996p-15, 0x1.cff7208ccdd0cp-15, 0x1.d0716244bb63dp-15, 0x1.d0bd53a4726b3p-15, 0x1.d0dc70de872b9p-15, 0x1.d0d02d7fc0efbp-15, 0x1.d099f493d41b3p-15, 0x1.d03b28d05b8f7p-15, 0x1.cfb524bcdcbcfp-15, 0x1.cf093ad9e7a47p-15, 0x1.ce38b5cc4dd81p-15, 0x1.cd44d87cba396p-15, 0x1.cc2ede443ccf6p-15, 0x1.caf7fb0b1a332p-15, 0x1.c9a15b750efa2p-15, 0x1.c82c24fef4199p-15, 0x1.c69976252f715p-15, 0x1.c4ea66863b769p-15, 0x1.c3200705849ddp-15, 0x1.c13b61ea645f9p-15, 0x1.bf3d7b04ae426p-15, 0x1.bd274fccc49e9p-15, 0x1.baf9d7807db0ap-15, 0x1.b8b60347ac508p-15, 0x1.b65cbe4f5c98bp-15, 0x1.b3eeede8ae21cp-15, 0x1.b16d71a96ad69p-15, 0x1.aed923877d9dp-15, 0x1.ac32d7f4d5cd5p-15, 0x1.a97b5dfd41fc5p-15, 0x1.a6b37f63b3729p-15, 0x1.a3dc00bb91329p-15, 0x1.a0f5a1842319ap-15, 0x1.9e011c4412fbcp-15, 0x1.9aff26a2ea88ep-15, 0x1.97f07183047d2p-15, 0x1.94d5a91a5fbf4p-15, 0x1.91af750bb63b5p-15, 0x1.8e7e787f028b1p-15, 0x1.8b4352378f1dp-15, 0x1.87fe9caf3a10ap-15, 0x1.84b0ee298df57p-15, 0x1.815ad8cbde9b9p-15, 0x1.7dfceab4683f4p-15, 0x1.7a97ae107d506p-15, 0x1.772ba92f6982cp-15, 0x1.73b95e9aa609bp-15, 0x1.70414d27d9ad6p-15, 0x1.6cc3f00fee3c3p-15, 0x1.6941beff707e4p-15, 0x1.65bb2e2d06c3bp-15, 0x1.6230ae6c98699p-15, 0x1.5ea2ad41f9124p-15, 0x1.5b1194f0f5bafp-15, 0x1.577dcc93c18fdp-15, 0x1.53e7b82966d64p-15, 0x1.504fb8a8b80a4p-15, 0x1.4cb62c11ff3fep-15, }}, 
      {{0x1.d37f05a363011p-1, 0x1.d368dd9efbf7ap-1, 0x1.d344519f55d16p-1, 0x1.d311e9649f794p-1, 0x1.d2d251d0b42e8p-1, 0x1.d286513ecb4c4p-1, 0x1.d22ebcf5d7106p-1, 0x1.d1cc7050a4e8ap-1, 0x1.d16045ae22804p-1, 0x1.d0eb10fb36a69p-1, 0x1.d06d9b958ded3p-1, 0x1.cfe8a14bafeap-1, 0x1.cf5cce4ada19p-1, 0x1.cecabdd618cc9p-1, 0x1.ce32f9a968654p-1, 0x1.cd95f9ef58326p-1, 0x1.ccf425b0ffdb4p-1, 0x1.cc4dd3a889a66p-1, 0x1.cba34b5efe65fp-1, 0x1.caf4c67f14a9bp-1, 0x1.ca42724883aeap-1, 0x1.c98c7111d39f5p-1, 0x1.c8d2dbc9860a9p-1, 0x1.c815c36a8c325p-1, 0x1.c755325b078afp-1, 0x1.c6912daf308dfp-1, 0x1.c5c9b64cadadap-1, 0x1.c4fec9ecd091ep-1, 0x1.c43063fdc268dp-1, 0x1.c35e7e63f496p-1, 0x1.c289121e01e1fp-1, 0x1.c1b017cdb77eep-1, 0x1.c0d3882940813p-1, 0x1.bff35c577ee9ep-1, 0x1.bf0f8e3a81a98p-1, 0x1.be2818aace818p-1, 0x1.bd3cf7a5f58fp-1, 0x1.bc4e28728c8ffp-1, 0x1.bb5ba9bb64f3ap-1, 0x1.ba657ba37a079p-1, 0x1.b96b9fd3d539bp-1, 0x1.b86e19845a563p-1, 0x1.b76ced804727ep-1, 0x1.b6682226f2c96p-1, 0x1.b55fbf694b875p-1, 0x1.b453cec4627f4p-1, 0x1.b3445b39537c1p-1, 0x1.b2317142bf27fp-1, 0x1.b11b1ec80947dp-1, 0x1.b001730e8e73bp-1, 0x1.aee47ea8f98bap-1, 0x1.adc45364eb43p-1, 0x1.aca10437230b7p-1, 0x1.ab7aa5265b48dp-1, 0x1.aa514b350f905p-1, 0x1.a9250c4a5f874p-1, 0x1.a7f5ff1a4aa09p-1, 0x1.a6c43b0d774edp-1, 0x1.a58fd828bf7f3p-1, 0x1.a458eef4b60adp-1, 0x1.a31f9865577aap-1, 0x1.a1e3edc21726bp-1, 0x1.a0a6088e71d1p-1, 0x1.9f66027331b5ep-1, 0x1.9e23f52883149p-1, 0x1.9cdffa60fbb53p-1, 0x1.9b9a2bb5aac1fp-1, 0x1.9a52a2934eda8p-1, 0x1.99097828b7e18p-1, 0x1.97bec5566af2cp-1, 0x1.9672a29f8ab3dp-1, 0x1.9525281c0bb27p-1, 0x1.93d66d6c337eep-1, 0x1.928689ad6167bp-1, 0x1.913593701b20fp-1, 0x1.8fe3a0af55db3p-1, 0x1.8e90c6c8f104fp-1, 0x1.8d3d1a7758d0ap-1, 0x1.8be8afcc40721p-1, 0x1.8a939a2c67c27p-1, 0x1.893dec4c5d1e9p-1, 0x1.87e7b82e28cecp-1, 0x1.86910f1fd617bp-1, 0x1.853a01bac3164p-1, 0x1.83e29fe3adb8fp-1, 0x1.828af8cb6811ap-1, 0x1.81331af026257p-1, 0x1.7fdb141f55655p-1, 0x1.7e82f177efbc2p-1, 0x1.7d2abf6d37f23p-1, 0x1.7bd289c9d77bep-1, 0x1.7a7a5bb34b00ep-1, 0x1.79223fad95b3ap-1, 0x1.77ca3f9f2c4a5p-1, 0x1.767264d5121cp-1, 0x1.751ab80718c35p-1, 0x1.73c3415c3e1a8p-1, 0x1.726c086f1e722p-1, 0x1.7115145273893p-1, 0x1.6fbe6b959ac6bp-1, 0x1.6e6814491c54fp-1, 0x1.6d1214032e7eep-1, 0x1.6bbc6fe42f61ap-1, 0x1.6a672c9b1365fp-1, 0x1.69124e69c536cp-1, 0x1.67bdd9296fba1p-1, 0x1.6669d04eb8dd8p-1, 0x1.651636ede0759p-1, 0x1.63c30fbecc332p-1, 0x1.62705d20f854ap-1, 0x1.611e211f4f0d5p-1, 0x1.5fcc5d73e82cdp-1, 0x1.5e7b138baaddep-1, 0x1.5d2a4489daba6p-1, 0x1.5bd9f14b856c8p-1, 0x1.5a8a1a6adc14cp-1, 0x1.593ac0426fe1bp-1, 0x1.57ebe2f058e22p-1, 0x1.569d8259438dbp-1, 0x1.554f9e2b684fap-1, 0x1.540235e16d84ep-1, 0x1.52b548c531116p-1, 0x1.5168d5f282581p-1, 0x1.501cdc59c2e9bp-1, 0x1.4ed15ac278af8p-1, 0x1.4d864fcdcb323p-1, 0x1.4c3bb9f8efb9dp-1, 0x1.4af1979f8527cp-1, 0x1.49a7e6fddffbap-1, 0x1.485ea63344c08p-1, 0x1.4715d344151p-1, 0x1.45cd6c1bee123p-1, 0x1.44856e8fb841ap-1, 0x1.433dd85fa9548p-1, 0x1.41f6a73938f4ap-1, 0x1.40afd8b90a3fep-1, 0x1.3f696a6cc4caep-1, 0x1.3e2359d4e6d25p-1, 0x1.3cdda46684126p-1, 0x1.3b98478cffc7cp-1, 0x1.3a5340abb6a2fp-1, 0x1.390e8d1f9cdbbp-1, 0x1.37ca2a40d421ep-1, 0x1.3686156431802p-1, 0x1.35424bdcbc6ddp-1, 0x1.33fecafd1d2adp-1, 0x1.32bb901905d37p-1, 0x1.317898868b2f5p-1, 0x1.3035e19f747bap-1, 0x1.2ef368c27ffecp-1, 0x1.2db12b549bf3ep-1, 0x1.2c6f26c212edfp-1, 0x1.2b2d587fb0c0bp-1, 0x1.29ebbe0bd6eb6p-1, 0x1.28aa54ef8bbcbp-1, 0x1.27691abf78bfbp-1, 0x1.26280d1ce2202p-1, 0x1.24e729b691148p-1, 0x1.23a66e49b3f2fp-1, 0x1.2265d8a2b347p-1, 0x1.2125669dfb3fbp-1, 0x1.1fe51628bc522p-1, 0x1.1ea4e5419ee27p-1, 0x1.1d64d1f96de8bp-1, 0x1.1c24da73b5ee4p-1, 0x1.1ae4fce75be7fp-1, 0x1.19a5379f27172p-1, 0x1.186588fa42576p-1, 0x1.1725ef6cb42f3p-1, 0x1.15e6697fcb399p-1, 0x1.14a6f5d28386p-1, 0x1.13679319df378p-1, 0x1.1228402139dc2p-1, 0x1.10e8fbca8facbp-1, 0x1.0fa9c50ebd529p-1, 0x1.0e6a9afdb789bp-1, 0x1.0d2b7cbeb8a66p-1, 0x1.0bec69906748ap-1, 0x1.0aad60c8f63f4p-1, 0x1.096e61d639337p-1, 0x1.082f6c3db5272p-1, 0x1.06f07f9ca826ep-1, 0x1.05b19ba809f32p-1, 0x1.0472c02c8680cp-1, 0x1.0333ed0e7137fp-1, 0x1.01f52249b2b3ap-1, 0x1.00b65ff1ae5e1p-1, 0x1.feef4c624ad43p-2, 0x1.fc71ea9422712p-2, 0x1.f9f49b2af2affp-2, 0x1.f7775f068a3c7p-2, 0x1.f4fa37340d533p-2, 0x1.f27d24ed867c1p-2, 0x1.f000299968c1cp-2, 0x1.ed8346ca0ed49p-2, 0x1.eb067e3d2e4e1p-2, 0x1.e889d1db43ea5p-2, 0x1.e60d43b6f9293p-2, 0x1.e390d60c84a81p-2, 0x1.e1148b40fe2b3p-2, 0x1.de9865e1b2364p-2, 0x1.dc1c68a36e9bfp-2, 0x1.d9a09661c792ep-2, 0x1.d724f21e5a279p-2, 0x1.d4a97f0008152p-2, 0x1.d22e40522fa9p-2, 0x1.cfb33983e335bp-2, 0x1.cd386e2715169p-2, 0x1.cabde1efc9dbcp-2, 0x1.c84398b33fe7cp-2, 0x1.c5c99667169c8p-2, 0x1.c34fdf20774b3p-2, 0x1.c0d677133324bp-2, 0x1.be5d6290e9f63p-2, 0x1.bbe4a6082424bp-2, 0x1.b96c46037817cp-2, 0x1.b6f447289fcf1p-2, 0x1.b47cae379b38ep-2, 0x1.b2058009c8dcp-2, 0x1.af8ec19103c84p-2, 0x1.ad1877d6bb5f4p-2, 0x1.aaa2a7fb13073p-2, 0x1.a82d5733f9f38p-2, 0x1.a5b88acc49f6cp-2, 0x1.a3444822e1eebp-2, 0x1.a0d094a9c4963p-2, 0x1.9e5d75e53757p-2, 0x1.9beaf16adfca4p-2, 0x1.99790ce0e67f5p-2, 0x1.9707cdfd19529p-2, 0x1.94973a840c01ep-2, 0x1.9227584842de3p-2, 0x1.8fb82d2954b1bp-2, 0x1.8d49bf131885dp-2, 0x1.8adc13fcccd05p-2, 0x1.886f31e8499f5p-2, 0x1.86031ee12b4afp-2, 0x1.8397e0fc07b55p-2, 0x1.812d7e55a2392p-2, 0x1.7ec3fd1222abbp-2, 0x1.7c5b635c4d409p-2, 0x1.79f3b764c176bp-2, 0x1.778cff6137b38p-2, 0x1.7527418bc3b48p-2, 0x1.72c284221853p-2, 0x1.705ecd64cf3cep-2, 0x1.6dfc2396b5131p-2, 0x1.6b9a8cfc15888p-2, 0x1.693a0fda0be67p-2, 0x1.66dab275d786ap-2, 0x1.647c7b1432f0bp-2, 0x1.621f6ff8ac492p-2, 0x1.5fc397650459ap-2, 0x1.5d68f7988c475p-2, 0x1.5b0f96cf8cf5fp-2, 0x1.58b77b42a9241p-2, 0x1.5660ab264af6bp-2, 0x1.540b2caa0fc26p-2, 0x1.51b705f837c9cp-2, 0x1.4f643d351b431p-2, 0x1.4d12d87ea03edp-2, 0x1.4ac2ddebb4138p-2, 0x1.4874538bcaf1p-2, 0x1.46273f665e22cp-2, 0x1.43dba77a70095p-2, 0x1.419191be14094p-2, 0x1.3f49041df83c8p-2, 0x1.3d02047cf156ap-2, 0x1.3abc98b38c40ap-2, 0x1.3878c68fa2c91p-2, 0x1.363693d3edb08p-2, 0x1.33f60637a3772p-2, 0x1.31b7236611025p-2, 0x1.2f79f0fe3a9cep-2, 0x1.2d3e74927f9b3p-2, 0x1.2b04b3a83e702p-2, 0x1.28ccb3b77cb7p-2, 0x1.26967a2a93329p-2, 0x1.24620c5ddbffcp-2, 0x1.222f6f9f636bp-2, 0x1.1ffea92e9cbbdp-2, 0x1.1dcfbe3c153d2p-2, 0x1.1ba2b3e93082cp-2, 0x1.19778f47e4ae4p-2, 0x1.174e555a7562ap-2, 0x1.15270b1337f3ap-2, 0x1.1301b55456444p-2, 0x1.10de58ef93d76p-2, 0x1.0ebcfaa616d61p-2, 0x1.0c9d9f28350b1p-2, 0x1.0a804b153ce94p-2, 0x1.086502fb4ae24p-2, 0x1.064bcb5715f17p-2, 0x1.0434a893c7963p-2, 0x1.021f9f0ad27cbp-2, 0x1.000cb303c763ap-2, 0x1.fbf7d1686d87dp-3, 0x1.f7da887f0d2ffp-3, 0x1.f3c1936dad4ccp-3, 0x1.efacfa31bf0b9p-3, 0x1.eb9cc4a3acee2p-3, 0x1.e790fa76a441ap-3, 0x1.e389a33864bdap-3, 0x1.df86c65111048p-3, 0x1.db886b03054bep-3, 0x1.d78e986ab0a8dp-3, 0x1.d399557e70ff5p-3, 0x1.cfa8a90e751a3p-3, 0x1.cbbc99c49ec31p-3, 0x1.c7d52e246be3ap-3, 0x1.c3f26c8adec5cp-3, 0x1.c0145b2e6b9adp-3, 0x1.bc3b001eeded4p-3, 0x1.b86661459465fp-3, 0x1.b4968464dfea7p-3, 0x1.b0cb6f1899f07p-3, 0x1.ad0526d5ce555p-3, 0x1.a943b0eacee2cp-3, 0x1.a587127f35f28p-3, 0x1.a1cf5093e66e6p-3, 0x1.9e1c70031ac4p-3, 0x1.9a6e75806788cp-3, 0x1.96c56598ced38p-3, 0x1.932144b2c9086p-3, 0x1.8f82170e5c98cp-3, 0x1.8be7e0c52dd86p-3, 0x1.8852a5ca96bd6p-3, 0x1.84c269ebbcddap-3, 0x1.813730cfb1fa6p-3, 0x1.7db0fdf789fdfp-3, 0x1.7a2fd4be7c684p-3, 0x1.76b3b85a0a221p-3, 0x1.733cabda145bp-3, 0x1.6fcab2291150dp-3, 0x1.6c5dce0c232e1p-3, 0x1.68f602234cd0bp-3, 0x1.659350e995da6p-3, 0x1.6235bcb536abdp-3, 0x1.5edd47b7ca87ep-3, 0x1.5b89f3fe7b8e6p-3, 0x1.583bc37233fe6p-3, 0x1.54f2b7d7d21bdp-3, 0x1.51aed2d05dd77p-3, 0x1.4e7015d9392f8p-3, 0x1.4b36824c60666p-3, 0x1.4802196097bf7p-3, 0x1.44d2dc29b01b5p-3, 0x1.41a8cb98badd7p-3, 0x1.3e83e87c4a226p-3, 0x1.3b643380ae523p-3, 0x1.3849ad3035757p-3, 0x1.353455f36c4cap-3, 0x1.32242e115be2bp-3, 0x1.2f1935afd4515p-3, 0x1.2c136cd3a9726p-3, 0x1.2912d360fa1f8p-3, 0x1.2617691b7af66p-3, 0x1.23212da6b30a3p-3, 0x1.203020865054dp-3, 0x1.1d44411e65499p-3, 0x1.1a5d8eb3bb83fp-3, 0x1.177c086c1be88p-3, 0x1.149fad4e95e46p-3, 0x1.11c87c43d3decp-3, 0x1.0ef67416643a6p-3, 0x1.0c29937304fb8p-3, 0x1.0961d8e8f5955p-3, 0x1.069f42ea4b5b6p-3, 0x1.03e1cfcc37dffp-3, 0x1.01297dc760e9ep-3, 0x1.fcec95f05f3e8p-4, 0x1.f7906abe49ecp-4, 0x1.f23e75c24ffaep-4, 0x1.ecf6b28fb9e5dp-4, 0x1.e7b91c83f365fp-4, 0x1.e285aec72f0ebp-4, 0x1.dd5c644d10f26p-4, 0x1.d83d37d56212fp-4, 0x1.d32823eca7ad3p-4, 0x1.ce1d22ece67e8p-4, 0x1.c91c2efe46605p-4, 0x1.c4254217b7a61p-4, 0x1.bf3855ffb4a0bp-4, 0x1.ba55644cdc6e6p-4, 0x1.b57c6666b0f97p-4, 0x1.b0ad5586435f8p-4, 0x1.abe82ab6e058dp-4, 0x1.a72cded6c72ddp-4, 0x1.a27b6a97d9a2fp-4, 0x1.9dd3c6804be4bp-4, 0x1.9935eaeb57445p-4, 0x1.94a1d009f1b43p-4, 0x1.90176de379d51p-4, 0x1.8b96bc566aedfp-4, 0x1.871fb319132d6p-4, 0x1.82b249ba49368p-4, 0x1.7e4e77a212ba3p-4, 0x1.79f4341268f87p-4, 0x1.75a37627de77fp-4, 0x1.715c34da56afep-4, 0x1.6d1e66fdbb0dfp-4, 0x1.68ea0342a97a1p-4, 0x1.64bf00372d682p-4, 0x1.609d54476914cp-4, 0x1.5c84f5be5194dp-4, 0x1.5875dac657e4dp-4, 0x1.546ff96a20bfdp-4, 0x1.5073479531ba7p-4, 0x1.4c7fbb14a34bbp-4, 0x1.48954997d4109p-4, 0x1.44b3e8b110fa3p-4, 0x1.40db8dd64d24bp-4, 0x1.3d0c2e61cb6dfp-4, 0x1.3945bf92c9fb6p-4, 0x1.3588368e3902bp-4, 0x1.31d3885f5e0b1p-4, 0x1.2e27a9f88541ap-4, 0x1.2a849033a8122p-4, 0x1.26ea2fd31fb71p-4, 0x1.23587d82476c7p-4, 0x1.1fcf6dd626e7cp-4, 0x1.1c4ef54e1ffaap-4, 0x1.18d708548c05ep-4, 0x1.15679b3f6b318p-4, 0x1.1200a2510835p-4, 0x1.0ea211b897062p-4, 0x1.0b4bdd92ddbb2p-4, 0x1.07fdf9ead7726p-4, 0x1.04b85aba521f8p-4, 0x1.017af3ea91189p-4, 0x1.fc8b72a9d8f1ap-5, 0x1.f6313d86d786bp-5, 0x1.efe72fe2d4bf5p-5, 0x1.e9ad311856bfdp-5, 0x1.e3832866f27b5p-5, 0x1.dd68fcf478873p-5, 0x1.d75e95ce26db9p-5, 0x1.d163d9e9e251cp-5, 0x1.cb78b02744271p-5, 0x1.c59cff50e9ffcp-5, 0x1.bfd0ae1d7e22fp-5, 0x1.ba13a330e82d3p-5, 0x1.b465c51d65d5bp-5, 0x1.aec6fa64b05e8p-5, 0x1.a93729791baf3p-5, 0x1.a3b638be9ff95p-5, 0x1.9e440e8bf9e11p-5, 0x1.98e0912bc0ccap-5, 0x1.938ba6dd68169p-5, 0x1.8e4535d65cc05p-5, 0x1.890d244304886p-5, 0x1.83e35847cab96p-5, 0x1.7ec7b8021ff46p-5, 0x1.79ba2989826cep-5, 0x1.74ba92f06f463p-5, 0x1.6fc8da456dfa7p-5, 0x1.6ae4e593f7dd7p-5, 0x1.660e9ae57de2bp-5, 0x1.6145e04245927p-5, 0x1.5c8a9bb270918p-5, 0x1.57dcb33ed2e73p-5, 0x1.533c0cf1e6d16p-5, 0x1.4ea88ed8ace3fp-5, 0x1.4a221f0393e6ap-5, 0x1.45a8a3874cfe3p-5, 0x1.413c027db65aap-5, 0x1.3cdc2206a5e06p-5, 0x1.3888e848c45b7p-5, 0x1.34423b72625cbp-5, 0x1.300801ba41215p-5, 0x1.2bda2160611aap-5, 0x1.27b880aecad59p-5, 0x1.23a305fa50241p-5, 0x1.1f9997a357208p-5, 0x1.1b9c1c16906f2p-5, 0x1.17aa79cdb1042p-5, 0x1.13c4975033a7p-5, 0x1.0fea5b34044bbp-5, 0x1.0c1bac1e3bf55p-5, 0x1.085870c3c39d2p-5, 0x1.04a08fea07493p-5, 0x1.00f3f067a0578p-5, 0x1.faa4f249d6c0fp-6, 0x1.f3782239877e7p-6, 0x1.ec613eba106dbp-6, 0x1.e560160e84255p-6, 0x1.de7476a286f4ep-6, 0x1.d79e2f0b59979p-6, 0x1.d0dd0e091fb72p-6, 0x1.ca30e287dd3f8p-6, 0x1.c3997ba09f53cp-6, 0x1.bd16a89a92f6fp-6, 0x1.b6a838ec0043cp-6, 0x1.b04dfc3b5b74p-6, 0x1.aa07c2603bdf8p-6, 0x1.a3d55b645462dp-6, 0x1.9db69784678dp-6, 0x1.97ab473148789p-6, 0x1.91b33b108c1f5p-6, 0x1.8bce43fdb0e72p-6, 0x1.85fc330ab8bd7p-6, 0x1.803cd9812e288p-6, 0x1.7a9008e2ca59ap-6, 0x1.74f592ea6b774p-6, 0x1.6f6d498ca9cbdp-6, 0x1.69f6fef8b8f39p-6, 0x1.649285990f56fp-6, 0x1.5f3fb0141d201p-6, 0x1.59fe514cf955ep-6, 0x1.54ce3c640a0bp-6, 0x1.4faf44b7a41a2p-6, 0x1.4aa13de4a6a9dp-6, 0x1.45a3fbc718ccep-6, 0x1.40b7527abc947p-6, 0x1.3bdb165b908a6p-6, 0x1.370f1c066377ap-6, 0x1.325338594ed52p-6, 0x1.2da7407438faap-6, 0x1.290b09b94e276p-6, 0x1.247e69cd749dbp-6, 0x1.20013698b4c8ap-6, 0x1.1b934646a4e5bp-6, 0x1.17346f46d6cb8p-6, 0x1.12e4884d3148p-6, 0x1.0ea3685246ae1p-6, 0x1.0a70e693b759fp-6, 0x1.064cda94753ecp-6, 0x1.02371c1d2aa3ap-6, 0x1.fc5f0678c1afbp-7, 0x1.f46bd08dc56d3p-7, 0x1.ec9447afda6a8p-7, 0x1.e4d81da2e1a92p-7, 0x1.dd3704b8a0832p-7, 0x1.d5b0afd10caa8p-7, 0x1.ce44d25ac0f97p-7, 0x1.c6f320533f977p-7, 0x1.bfbb4e476290ap-7, 0x1.b89d11538baf6p-7, 0x1.b1981f23f1e45p-7, 0x1.aaac2df4ba9b6p-7, 0x1.a3d8f492596f7p-7, 0x1.9d1e2a598ec1fp-7, 0x1.967b8737bac4p-7, 0x1.8ff0c3aab60e7p-7, 0x1.897d98c1277b1p-7, 0x1.8321c01a63c62p-7, 0x1.7cdcf3e68c84fp-7, 0x1.76aeeee6972efp-7, 0x1.70976c6c1201dp-7, 0x1.6a96285968f78p-7, 0x1.64aadf217c38bp-7, 0x1.5ed54dc7d2c74p-7, 0x1.591531e03aca4p-7, 0x1.536a498ee71cap-7, 0x1.4dd45387e6c8bp-7, 0x1.48530f0f672dfp-7, 0x1.42e63bf90f0f6p-7, 0x1.3d8d9aa81a04dp-7, 0x1.3848ec0ec7198p-7, 0x1.3317f1ae6792dp-7, 0x1.2dfa6d96d1c7bp-7, 0x1.28f022660f37ap-7, 0x1.23f8d3484040ep-7, 0x1.1f1443f70a76dp-7, 0x1.1a4238b941601p-7, 0x1.15827662a474ep-7, 0x1.10d4c2533f869p-7, 0x1.0c38e277361c9p-7, 0x1.07ae9d461ada4p-7, 0x1.0335b9c2b41a8p-7, 0x1.fd9bfef495372p-8, 0x1.f4ee6d08a1619p-8, 0x1.ec624f039f397p-8, 0x1.e3f73739d91fcp-8, 0x1.dbacb91093886p-8, 0x1.d38268fd4c72dp-8, 0x1.cb77dc84196c9p-8, 0x1.c38caa370f49ep-8, 0x1.bbc069b48fd51p-8, 0x1.b412b3a6754bp-8, 0x1.ac8321c0b98c6p-8, 0x1.a5114ec015b5ep-8, 0x1.9dbcd668ea0e7p-8, 0x1.96855585e1488p-8, 0x1.8f6a69e68d48dp-8, 0x1.886bb25e340fdp-8, 0x1.8188cec23e9f8p-8, 0x1.7ac15fe933c61p-8, 0x1.741507a8c9d8ap-8, 0x1.6d8368d5119fbp-8, 0x1.670c273e98658p-8, 0x1.60aee7b11e125p-8, 0x1.5a6b4ff228a9fp-8, 0x1.544106bf7e2bdp-8, 0x1.4e2fb3cda3cc6p-8, 0x1.4836ffc64150bp-8, 0x1.42569446eecf9p-8, 0x1.3c8e1bdf35412p-8, 0x1.36dd420f6cdb5p-8, 0x1.3143b346eaf2ep-8, 0x1.2bc11ce28e6efp-8, 0x1.26552d2b13198p-8, 0x1.20ff9353a8358p-8, 0x1.1bbfff7802399p-8, 0x1.1696229b28d9ap-8, 0x1.1181aea5723cdp-8, 0x1.0c825663391a5p-8, 0x1.0797cd83014fep-8, 0x1.02c1c893d7dcdp-8, 0x1.fbfffa07a5e6bp-9, 0x1.f2a4423c7620ap-9, 0x1.e96fd81405c5dp-9, 0x1.e0622b9019142p-9, 0x1.d77aae6302cbap-9, 0x1.ceb8d3ec40ac8p-9, 0x1.c61c11356094fp-9, 0x1.bda3dcee1673fp-9, 0x1.b54faf69a7f1fp-9, 0x1.ad1f029a78781p-9, 0x1.a511520fe8d02p-9, 0x1.9d261af210c56p-9, 0x1.955cdbfe6f566p-9, 0x1.8db515851fc32p-9, 0x1.862e4964a5c0fp-9, 0x1.7ec7fb0743beap-9, 0x1.7781af5f0e976p-9, 0x1.705aece2ddf22p-9, 0x1.69533b8acaea3p-9, 0x1.626a24cca4054p-9, 0x1.5b9f3398eb15fp-9, 0x1.54f1f45742708p-9, 0x1.4e61f4e2d6bf2p-9, 0x1.47eec4874a506p-9, 0x1.4197f3fd53462p-9, 0x1.3b5d15672a7acp-9, 0x1.353dbc4d82a21p-9, 0x1.2f397d9bd8385p-9, 0x1.294fef9d65d25p-9, 0x1.2380a9f995d3bp-9, 0x1.1dcb45b0da09p-9, 0x1.182f5d1939838p-9, 0x1.12ac8bdb4579ap-9, 0x1.0d426eee69c61p-9, 0x1.07f0a495f69c5p-9, 0x1.02b6cc5dd02b6p-9, 0x1.fb290e2e0c164p-10, 0x1.f112eda95eafap-10, 0x1.e72a7dd170551p-10, 0x1.dd6f07c118554p-10, 0x1.d3dfd70465acep-10, 0x1.ca7c3990dbcfbp-10, 0x1.c1437fc0c5d3bp-10, 0x1.b834fc4b8adf8p-10, 0x1.af5004409e413p-10, 0x1.a693eeff8cedcp-10, 0x1.9e001633b1804p-10, 0x1.9593d5cc8ae87p-10, 0x1.8d4e8bf7f85ccp-10, 0x1.852f991c82cf1p-10, 0x1.7d365fd2aeae9p-10, 0x1.756244df17335p-10, 0x1.6db2af2cc9d6ap-10, 0x1.662707c66f8cbp-10, 0x1.5ebeb9d11c34bp-10, 0x1.57793285f5ecbp-10, 0x1.5055e12c64a0dp-10, 0x1.4954371436585p-10, 0x1.4273a79008311p-10, 0x1.3bb3a7eeb4472p-10, 0x1.3513af76cd684p-10, 0x1.2e93375f8ee1ep-10, 0x1.2831bacc4ab1bp-10, 0x1.21eeb6c606b76p-10, 0x1.1bc9aa366ccb1p-10, 0x1.15c215e1d9a68p-10, 0x1.0fd77c61ef887p-10, 0x1.0a0962201b55cp-10, 0x1.04574d5054b99p-10, 0x1.fd818bd6d5bc4p-11, 0x1.f28aab539421dp-11, 0x1.e7c90ffca0151p-11, 0x1.dd3bd42120316p-11, 0x1.d2e215702db8fp-11, 0x1.c8baf4ee1f3d7p-11, 0x1.bec596e994e8fp-11, 0x1.b50122f275126p-11, 0x1.ab6cc3ce2fe3ap-11, 0x1.a207a76f95747p-11, 0x1.98d0feeab4c87p-11, 0x1.8fc7fe6d100a5p-11, 0x1.86ebdd321abd8p-11, 0x1.7e3bd57a4f51dp-11, 0x1.75b72481c5b66p-11, 0x1.6d5d0a75a2099p-11, 0x1.652cca6b8be6ep-11, 0x1.5d25aa581ce52p-11, 0x1.5546f30502845p-11, 0x1.4d8ff0082ab94p-11, 0x1.45ffefbaaf651p-11, 0x1.3e96432f889abp-11, 0x1.37523e2afe11ap-11, 0x1.303337190fc97p-11, 0x1.29388704ece42p-11, 0x1.22618990acb45p-11, 0x1.1bad9cebf0cccp-11, 0x1.151c21cbe6c9cp-11, 0x1.0eac7b6251f5fp-11, 0x1.085e0f55a47f1p-11, 0x1.023045b80d61fp-11, 0x1.f84511ff59bc7p-12, 0x1.ec688bfcd43d6p-12, 0x1.e0c9d7b382e37p-12, 0x1.d567d804fe4acp-12, 0x1.ca41745b0ef39p-12, 0x1.bf5598965db7bp-12, 0x1.b4a3350099a81p-12, 0x1.aa293e3b399f4p-12, 0x1.9fe6ad320e34fp-12, 0x1.95da7f0b25cbdp-12, 0x1.8c03b51846659p-12, 0x1.826154c83913dp-12, 0x1.78f26798930f9p-12, 0x1.6fb5fb05ead76p-12, 0x1.66ab207f33e64p-12, 0x1.5dd0ed57c57e1p-12, 0x1.55267ab714d2cp-12, 0x1.4caae58db156cp-12, 0x1.445d4e85e9fcap-12, 0x1.3c3cd9f72d6fp-12, 0x1.3448afd8131b1p-12, 0x1.2c7ffbb13e353p-12, 0x1.24e1ec914d273p-12, 0x1.1d6db4fe2ca97p-12, 0x1.16228aea9faadp-12, 0x1.0effa7a7327dp-12, 0x1.080447d78b574p-12, 0x1.012fab654c018p-12, 0x1.f5022ae8d2958p-13, 0x1.e7ef98ad4abfdp-13, 0x1.db2632ffbb9aap-13, 0x1.cea492f43d02ep-13, 0x1.c26957b6cb36p-13, 0x1.b673266ea0425p-13, 0x1.aac0aa2c75b1fp-13, 0x1.9f5093d38008dp-13, 0x1.94219a016d279p-13, 0x1.893278f8d2e2p-13, 0x1.7e81f28dc5b96p-13, 0x1.740ece0e0a974p-13, 0x1.69d7d82d41716p-13, 0x1.5fdbe2f0a5a59p-13, 0x1.5619c5984b375p-13, 0x1.4c905c8d216eap-13, 0x1.433e894c64d68p-13, 0x1.3a2332523574bp-13, 0x1.313d4308f2622p-13, 0x1.288babb351e91p-13, 0x1.200d615a9eaf6p-13, 0x1.17c15dbb6d10fp-13, 0x1.0fa69f3389ed4p-13, 0x1.07bc28af857a4p-13, 0x1.00010198b8966p-13, 0x1.f0e86b853c22ap-14, 0x1.e229aab270bd5p-14, 0x1.d3c3e9a311d0ap-14, 0x1.c5b559ae15555p-14, 0x1.b7fc3473caed4p-14, 0x1.aa96bbbf7210ap-14, 0x1.9d833964a5f59p-14, 0x1.90bfff2072c1cp-14, 0x1.844b667661ca2p-14, 0x1.7823d093b406ap-14, 0x1.6c47a62e97b8dp-14, 0x1.60b557684586cp-14, 0x1.556b5bac15866p-14, 0x1.4a683196026ccp-14, 0x1.3faa5ed03dfe2p-14, 0x1.35306ff9c0ab1p-14, 0x1.2af8f88681e71p-14, 0x1.210292a6c7ce7p-14, 0x1.174bdf26e7269p-14, 0x1.0dd38556c4bc2p-14, 0x1.049832ed1f832p-14, 0x1.f73137d8e4671p-15, 0x1.e5a6f515952a5p-15, 0x1.d48f1e2a3eaa5p-15, 0x1.c3e73fae6780cp-15, 0x1.b3acf200f262ep-15, 0x1.a3ddd91976f2p-15, 0x1.9477a4565b5cdp-15, 0x1.85780e4b9a385p-15, 0x1.76dcdc92089bdp-15, 0x1.68a3df99cf2c6p-15, 0x1.5acaf27bfa693p-15, 0x1.4d4ffaca2b10ep-15, 0x1.4030e86410bfbp-15, 0x1.336bb549f951ap-15, 0x1.26fe656f9aa24p-15, 0x1.1ae7069318678p-15, 0x1.0f23b012899f6p-15, 0x1.03b282bda0a3cp-15, 0x1.f12351657eae4p-16, 0x1.db7eaa6054f95p-16, 0x1.c67388e4222d5p-16, 0x1.b1fe770b23ea2p-16, 0x1.9e1c1044b3dfp-16, 0x1.8ac90114025b1p-16, 0x1.780206b48a49fp-16, 0x1.65c3eedaa811ep-16, 0x1.540b9763b06c8p-16, 0x1.42d5ee1720c03p-16, 0x1.321ff052f90c9p-16, 0x1.21e6aacfd2752p-16, 0x1.12273954d59dbp-16, 0x1.02dec67bb00f7p-16, 0x1.e81516c671446p-17, 0x1.cb4f9ef118831p-17, 0x1.af67d05f82079p-17, 0x1.9458718313bbcp-17, 0x1.7a1c63eea2c1cp-17, 0x1.60aea3c1bf6d9p-17, 0x1.480a47409e5eep-17, 0x1.302a7e511cef6p-17, 0x1.190a920b99f16p-17, 0x1.02a5e44a136bap-17, 0x1.d9efde48eea39p-18, 0x1.aff88926d3cbp-18, 0x1.875d1bf9fec81p-18, 0x1.6015177bbf5fbp-18, 0x1.3a18299799217p-18, 0x1.155e2c89f1028p-18, 0x1.e3be4c0be1078p-19, 0x1.9f268d05e540cp-19, 0x1.5ce5d0c28cddap-19, 0x1.1ced1e5115589p-19, 0x1.be5b9b12c6dabp-20, 0x1.47330b31b6c13p-20, 0x1.a888eddfcc61fp-21, 0x1.95d1844755f03p-22, -0x1.5607791d92577p-26, -0x1.b0ed6838bd292p-22, -0x1.9e9e2ebcba1e6p-21, -0x1.2eac8c06bc4ap-20, -0x1.8a6c6354f806ap-20, -0x1.e2a6c01aba9eep-20, -0x1.1bb99faa78e1ep-19, -0x1.44747d6e0ba0ap-19, -0x1.6b8f45dab2c0cp-19, -0x1.911506527687p-19, -0x1.b5108e2f100bp-19, -0x1.d78c700a20683p-19, -0x1.f89302ec869dcp-19, -0x1.0c1731aee633fp-18, -0x1.1b343a482355ap-18, -0x1.29a570b90e15cp-18, -0x1.376f8eef03951p-18, -0x1.449733c2192e6p-18, -0x1.5120e38a02edcp-18, -0x1.5d1108a44d3d1p-18, -0x1.686bf3e843e68p-18, -0x1.7335dd37c1b25p-18, -0x1.7d72e3e8cfde5p-18, -0x1.87270f5370b2cp-18, -0x1.90564f41e66afp-18, -0x1.99047c67a0682p-18, -0x1.a13558d719747p-18, -0x1.a8ec907797c25p-18, -0x1.b02db970cc49cp-18, -0x1.b6fc549b604f3p-18, -0x1.bd5bcdf5e13fbp-18, -0x1.c34f7d0048aaap-18, -0x1.c8daa532fdebap-18, -0x1.ce00765ef0ef3p-18, -0x1.d2c40d1761274p-18, -0x1.d7287310227f3p-18, -0x1.db309f85b48b9p-18, -0x1.dedf779b3a3f3p-18, -0x1.e237ceb11b3a7p-18, -0x1.e53c66cfc6162p-18, -0x1.e7eff0fa975e1p-18, -0x1.ea550d87ed40cp-18, -0x1.ec6e4c7ab5b13p-18, -0x1.ee3e2dddf8af3p-18, -0x1.efc7220f326fep-18, -0x1.f10b8a19af3e2p-18, -0x1.f20db808005ebp-18, -0x1.f2cfef2c5dd18p-18, -0x1.f3546477db33ep-18, -0x1.f39d3ec590483p-18, -0x1.f3ac97225fefap-18, -0x1.f384791ae16aep-18, -0x1.f326e30548a8fp-18, -0x1.f295c6444c597p-18, -0x1.f1d307917f37bp-18, -0x1.f0e07f43f635ap-18, -0x1.efbff98deb5e2p-18, -0x1.ee7336c5d9c87p-18, -0x1.ecfbeba2d4b9bp-18, -0x1.eb5bc17df46c4p-18, -0x1.e9945692a738bp-18, -0x1.e7a73e3927f28p-18, -0x1.e5960127e535dp-18, -0x1.e3621dab142a8p-18, -0x1.e10d07dcb725ep-18, -0x1.de9829e2cae6ep-18, -0x1.dc04e42579b54p-18, -0x1.d9548d850d13p-18, -0x1.d688738f58402p-18, -0x1.d3a1dab5bc5e7p-18, -0x1.d0a1fe812c663p-18, -0x1.cd8a11c374b43p-18, -0x1.ca5b3ecced086p-18, -0x1.c716a7973aa62p-18, -0x1.c3bd65f983d75p-18, -0x1.c0508bd7e6902p-18, -0x1.bcd1234e27894p-18, -0x1.b9402ede1d696p-18, -0x1.b59ea99e47744p-18, -0x1.b1ed8761d4b57p-18, -0x1.ae2db4e4ec63dp-18, -0x1.aa6017f6af78p-18, -0x1.a6858fa26fa22p-18, -0x1.a29ef454edf35p-18, -0x1.9ead1806451b2p-18, -0x1.9ab0c6619eb68p-18, -0x1.96aac4e594d18p-18, -0x1.929bd30f7e60ap-18, -0x1.8e84aa7a5dceep-18, -0x1.8a65ff05883a3p-18, -0x1.86407ef7a5614p-18, -0x1.8214d31e9fdfp-18, -0x1.7de39ef0e77dap-18, -0x1.79ad80b15a08ap-18, -0x1.7573118b38a2ap-18, -0x1.7134e5b4b13d4p-18, -0x1.6cf38c8b24101p-18, -0x1.68af90b338b84p-18, -0x1.646978359e78ep-18, -0x1.6021c49b22b6dp-18, -0x1.5bd8f30b94923p-18, -0x1.578f7c659a293p-18, -0x1.5345d55bdf3ccp-18, -0x1.4efc6e8fe487fp-18, -0x1.4ab3b4ab4a44fp-18, -0x1.466c10786d77bp-18, -0x1.4225e6fd9c70fp-18, -0x1.3de19993e532dp-18, -0x1.399f85ff098b3p-18, -0x1.3560068509f8fp-18, -0x1.31237204b8fafp-18, -0x1.2cea1c0ccd7aap-18, -0x1.28b454f0b06dep-18, -0x1.248269df82dd1p-18, -0x1.2054a4f6e4b48p-18, -0x1.1c2b4d59cfd7ap-18, -0x1.1806a742806f8p-18, -0x1.13e6f4180ade4p-18, -0x1.0fcc727f3d792p-18, -0x1.0bb75e6f930f4p-18, -0x1.07a7f14509a25p-18, -0x1.039e61d0f4467p-18, -0x1.ff35c8d9f60aap-19, -0x1.f73b5617bf8a9p-19, -0x1.ef4dca932da85p-19, -0x1.e76d80f7a3be3p-19, -0x1.df9acf8783d5dp-19, -0x1.d7d6083880cdbp-19, -0x1.d01f78d16577p-19, -0x1.c8776b0c37bafp-19, -0x1.c0de24afdf114p-19, -0x1.b953e7ab4a506p-19, -0x1.b1d8f236e54e4p-19, -0x1.aa6d7eece69e4p-19, -0x1.a311c4e2d4053p-19, -0x1.9bc5f7c6ab108p-19, -0x1.948a47f687139p-19, -0x1.8d5ee29a9eaadp-19, -0x1.8643f1bce3f53p-19, -0x1.7f399c5fd9e41p-19, -0x1.784006991e663p-19, -0x1.715751a5a399p-19, -0x1.6a7f9bfe92751p-19, -0x1.63b90172edcfdp-19, -0x1.5d039b39f5bc2p-19, -0x1.565f8007b8eefp-19, -0x1.4fccc42176debp-19, -0x1.494b7973e4622p-19, -0x1.42dbafa23c36p-19, -0x1.3c7d741c055d3p-19, -0x1.3630d22ed1a37p-19, -0x1.2ff5d31856a17p-19, -0x1.29cc7e14d1e58p-19, -0x1.23b4d8747bbdep-19, -0x1.1daee5aabd36bp-19, -0x1.17baa75bc1da7p-19, -0x1.11d81d70e431ep-19, -0x1.0c074624d3c58p-19, -0x1.06481e11f00d5p-19, -0x1.009aa0432e342p-19, -0x1.f5fd8c8221db1p-20, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.a3288bd6fa8e1p-8, 0x1.a3cc972d9a7e1p-7, 0x1.3b8ec8a40da92p-6, 0x1.a5db12e5cae45p-6, 0x1.08602f673c0dfp-5, 0x1.3e0c3b8bad725p-5, 0x1.73d53adedbf46p-5, 0x1.a9996ff48c05fp-5, 0x1.df35178d7ff53p-5, 0x1.0a426bdca67dap-4, 0x1.24b3bd770ffd9p-4, 0x1.3edf905e638b2p-4, 0x1.58b903202bd9fp-4, 0x1.72357ed712aabp-4, 0x1.8b4cd2012d5cbp-4, 0x1.a3f92f7ef50cep-4, 0x1.bc3715eca0f53p-4, 0x1.d405237c05a15p-4, 0x1.eb63dab871439p-4, 0x1.012aae68b5324p-3, 0x1.0c6e8eff50a6fp-3, 0x1.177fcc1df379cp-3, 0x1.2261000584cdcp-3, 0x1.2d14ff187f8a3p-3, 0x1.379eb84cc177ap-3, 0x1.420119e2ef22cp-3, 0x1.4c3efabb16deep-3, 0x1.565b08519ed95p-3, 0x1.6057b932a5bf8p-3, 0x1.6a37438599cebp-3, 0x1.73fb9735ccde8p-3, 0x1.7da65b2d4a4bbp-3, 0x1.8738ed12cf84ap-3, 0x1.90b4630042198p-3, 0x1.9a198eb17ac44p-3, 0x1.a36901ba13039p-3, 0x1.aca31261c8cefp-3, 0x1.b5c7e0d8a9ab7p-3, 0x1.bed75c8572889p-3, 0x1.c7d1494049204p-3, 0x1.d0b5445a24609p-3, 0x1.d982c95cc8648p-3, 0x1.e2393679153bcp-3, 0x1.ead7d0a08d569p-3, 0x1.f35dc74c798c9p-3, 0x1.fbca37f8948eep-3, 0x1.020e18ac97454p-2, 0x1.06295b2ad24f6p-2, 0x1.0a366067f8046p-2, 0x1.0e34a2209e75p-2, 0x1.122398193542dp-2, 0x1.1602b94ae65fcp-2, 0x1.19d17d031134bp-2, 0x1.1d8f5bf690173p-2, 0x1.213bd1495ee83p-2, 0x1.24d65b8a968cp-2, 0x1.285e7da450284p-2, 0x1.2bd3bfbe93d0fp-2, 0x1.2f35b014546fap-2, 0x1.3283e3b950059p-2, 0x1.35bdf74f9ffcap-2, 0x1.38e38fabeb7b6p-2, 0x1.3bf45a672fe62p-2, 0x1.3ef00e5d5a83fp-2, 0x1.41d66c181796bp-2, 0x1.44a73e2571bf5p-2, 0x1.4762595a2fa4ep-2, 0x1.4a079d0003398p-2, 0x1.4c96f2efe687ap-2, 0x1.4f104f993c71ep-2, 0x1.5173b1f676e93p-2, 0x1.53c12370347d2p-2, 0x1.55f8b7afe7467p-2, 0x1.581a8c63471bcp-2, 0x1.5a26c8f1ce5c9p-2, 0x1.5c1d9e25aad76p-2, 0x1.5dff45c98bdf7p-2, 0x1.5fcc023cbb0d1p-2, 0x1.61841dfef1167p-2, 0x1.6327eb35543d9p-2, 0x1.64b7c329ffb8p-2, 0x1.663405c76c00cp-2, 0x1.679d1911009ap-2, 0x1.68f36899fe48p-2, 0x1.6a3764fbeb118p-2, 0x1.6b69834d82322p-2, 0x1.6c8a3c9b26a2bp-2, 0x1.6d9a0d61af48ep-2, 0x1.6e99750c571d9p-2, 0x1.6f88f57684bap-2, 0x1.70691271f9feap-2, 0x1.713a5151f73e3p-2, 0x1.71fd387bb9b83p-2, 0x1.72b24efcb06d9p-2, 0x1.735a1c26ab096p-2, 0x1.73f5273237a53p-2, 0x1.7483f6e7495bcp-2, 0x1.7507114c419c5p-2, 0x1.757efb5b58ba7p-2, 0x1.75ec38be5817ep-2, 0x1.764f4b909764cp-2, 0x1.76a8b4270bb46p-2, 0x1.76f8f0de4f54bp-2, 0x1.77407dee58858p-2, 0x1.777fd543b77a6p-2, 0x1.77b76e5e0ced3p-2, 0x1.77e7be337749ep-2, 0x1.78113718afa2ap-2, 0x1.783448ad85117p-2, 0x1.78515fcd69fecp-2, 0x1.7868e683c504cp-2, 0x1.787b4403b726fp-2, 0x1.7888dca3020ap-2, 0x1.789211d7c8b05p-2, 0x1.78974238d9cdcp-2, 0x1.7898c9803b91bp-2, 0x1.7897008fb36b3p-2, 0x1.78923d7702869p-2, 0x1.788ad37b99722p-2, 0x1.7881132186393p-2, 0x1.78754a3562e6bp-2, 0x1.7867c3d710fadp-2, 0x1.7858c8850d0cfp-2, 0x1.78489e2834c6cp-2, 0x1.7837881fcfb92p-2, 0x1.7825c74dbd22bp-2, 0x1.78139a229c6efp-2, 0x1.78013ca9e1eb5p-2, 0x1.77eee895ae59dp-2, 0x1.77dcd54a656cbp-2, 0x1.77cb37e9e22e3p-2, 0x1.77ba435e440dcp-2, 0x1.77aa286446f0bp-2, 0x1.779b15951de9ep-2, 0x1.778d376fc83f3p-2, 0x1.7780b861e35dep-2, 0x1.7775c0cff1d5bp-2, 0x1.776c771d1d80dp-2, 0x1.7764ffb2754b2p-2, 0x1.775f7d05aafcdp-2, 0x1.775c0f9f5813dp-2, 0x1.775ad620cfd24p-2, 0x1.775bed49866e3p-2, 0x1.775f6ffc162d7p-2, 0x1.77657742ef9fcp-2, 0x1.776e1a54b4867p-2, 0x1.77796e98583dap-2, 0x1.778787a90140ap-2, 0x1.77987759bd628p-2, 0x1.77ac4db913473p-2, 0x1.77c319147c8d9p-2, 0x1.77dce5fbced2dp-2, 0x1.77f9bf44a130bp-2, 0x1.7819ae0db703p-2, 0x1.783cb9c27a11dp-2, 0x1.7862e81e8c0aep-2, 0x1.788c3d3174913p-2, 0x1.78b8bb627a66ep-2, 0x1.78e86374a7b08p-2, 0x1.791b348b03e02p-2, 0x1.79512c2d08904p-2, 0x1.798a464b53f08p-2, 0x1.79c67d449fcedp-2, 0x1.7a05c9eb01a26p-2, 0x1.7a4823897165dp-2, 0x1.7a8d7fe9a15d9p-2, 0x1.7ad5d35a24981p-2, 0x1.7b2110b4e3b6fp-2, 0x1.7b6f2965e3f6bp-2, 0x1.7bc00d7261c61p-2, 0x1.7c13ab8037e46p-2, 0x1.7c69f0dd9c43p-2, 0x1.7cc2c98927aacp-2, 0x1.7d1e203a2dddbp-2, 0x1.7d7bde695e49dp-2, 0x1.7ddbec59b142ep-2, 0x1.7e3e312197a4fp-2, 0x1.7ea292b471b6bp-2, 0x1.7f08f5ec424c7p-2, 0x1.7f713e93a05f1p-2, 0x1.7fdb4f6fe15fp-2, 0x1.80470a4b776cdp-2, 0x1.80b450007f821p-2, 0x1.812300837ea96p-2, 0x1.8192faee4498ap-2, 0x1.82041d8af2cc1p-2, 0x1.827645df249dbp-2, 0x1.82e950b72f8d2p-2, 0x1.835d1a317a665p-2, 0x1.83d17dc9ead5cp-2, 0x1.8446566558b53p-2, 0x1.84bb7e5d10bc5p-2, 0x1.8530cf8a59d54p-2, 0x1.85a62351f99p-2, 0x1.861b52afb976bp-2, 0x1.86903641dddefp-2, 0x1.8704a65498547p-2, 0x1.87787aed64e85p-2, 0x1.87eb8bd656c92p-2, 0x1.885db0a94eddbp-2, 0x1.88cec0db15ca1p-2, 0x1.893e93c659cdap-2, 0x1.89ad00b68ac51p-2, 0x1.8a19def2952fp-2, 0x1.8a8505c770c5ap-2, 0x1.8aee4c928be92p-2, 0x1.8b558acc06a8fp-2, 0x1.8bba9810c242bp-2, 0x1.8c1d4c2c3bda7p-2, 0x1.8c7d7f2238947p-2, 0x1.8cdb093838f29p-2, 0x1.8d35c2feb92d5p-2, 0x1.8d8d855a346b3p-2, 0x1.8de2298bf24f6p-2, 0x1.8e33893a9615ap-2, 0x1.8e817e7a716c3p-2, 0x1.8ecbe3d5994bap-2, 0x1.8f129453bc5ap-2, 0x1.8f556b81b8375p-2, 0x1.8f944578ee936p-2, 0x1.8fcefee657dbp-2, 0x1.9005751157712p-2, 0x1.903785e246e61p-2, 0x1.90650fe8c39c4p-2, 0x1.908df261b6efap-2, 0x1.90b20d3d1bf42p-2, 0x1.90d1412381086p-2, 0x1.90eb6f7b45aep-2, 0x1.91007a6d97bacp-2, 0x1.911044eb294a8p-2, 0x1.911ab2b0a67aap-2, 0x1.911fa84aea0e5p-2, 0x1.911f0b1ae981cp-2, 0x1.9118c1596860cp-2, 0x1.910cb21a637ccp-2, 0x1.90fac5503e90bp-2, 0x1.90e2e3ceb21e8p-2, 0x1.90c4f74d7987bp-2, 0x1.90a0ea6ac0efap-2, 0x1.9076a8ad589f4p-2, 0x1.90461e86aad65p-2, 0x1.900f395471664p-2, 0x1.8fd1e76237d88p-2, 0x1.8f8e17ea9c0c3p-2, 0x1.8f43bb185b5fbp-2, 0x1.8ef2c2072479bp-2, 0x1.8e9b1ec43137bp-2, 0x1.8e3cc44eb0ac8p-2, 0x1.8dd7a697f31aep-2, 0x1.8d6bba8368336p-2, 0x1.8cf8f5e66b2ecp-2, 0x1.8c7f4f87d9403p-2, 0x1.8bfebf1f7b9c4p-2, 0x1.8b773d553e7b4p-2, 0x1.8ae8c3c040867p-2, 0x1.8a534ce5ac2ccp-2, 0x1.89b6d4376e391p-2, 0x1.89135612bdc97p-2, 0x1.8868cfbe7a7eep-2, 0x1.87b73f69654aap-2, 0x1.86fea42830549p-2, 0x1.863efdf36d046p-2, 0x1.85784da551945p-2, 0x1.84aa94f75e187p-2, 0x1.83d5d67fe0891p-2, 0x1.82fa15af560fap-2, 0x1.821756cdafbc2p-2, 0x1.812d9ef777202p-2, 0x1.803cf41ad7a52p-2, 0x1.7f455cf48c2d9p-2, 0x1.7e46e10cb1714p-2, 0x1.7d4188b381ebep-2, 0x1.7c355cfdf5a5dp-2, 0x1.7b2267c25064fp-2, 0x1.7a08b39497ad7p-2, 0x1.78e84bc2f1e3ap-2, 0x1.77c13c51f9feap-2, 0x1.769391f8f6a49p-2, 0x1.755f5a1e0c707p-2, 0x1.7424a2d25411fp-2, 0x1.72e37acdee3aap-2, 0x1.719bf16bfee9fp-2, 0x1.704e16a6a3e2bp-2, 0x1.6ef9fb12de5f9p-2, 0x1.6d9fafdc6e43cp-2, 0x1.6c3f46c1aa384p-2, 0x1.6ad8d20f4a26p-2, 0x1.696c649c2dbb2p-2, 0x1.67fa11c51cc83p-2, 0x1.6681ed687ed1p-2, 0x1.65040be213efbp-2, 0x1.63808206a4ebfp-2, 0x1.61f7651fb351dp-2, 0x1.6068cae72918ap-2, 0x1.5ed4c9830535p-2, 0x1.5d3b7781089c5p-2, 0x1.5b9cebd266cbdp-2, 0x1.59f93dc7748eap-2, 0x1.5850850b5b991p-2, 0x1.56a2d99fcfe71p-2, 0x1.54f053d8ca619p-2, 0x1.53390c58493b4p-2, 0x1.517d1c0a13d24p-2, 0x1.4fbc9c1f852aep-2, 0x1.4df7a60b5c922p-2, 0x1.4c2e537d9b727p-2, 0x1.4a60be5f5fa32p-2, 0x1.488f00ced5785p-2, 0x1.46b9351b241adp-2, 0x1.44df75c06efc2p-2, 0x1.4301dd63dc924p-2, 0x1.412086cfa7303p-2, 0x1.3f3b8cef3fe76p-2, 0x1.3d530acb7249bp-2, 0x1.3b671b869f0aap-2, 0x1.3977da58fe8adp-2, 0x1.3785628cf0956p-2, 0x1.358fcf7b5a2ffp-2, 0x1.33973c8812cfap-2, 0x1.319bc51e5c8c7p-2, 0x1.2f9d84ad70904p-2, 0x1.2d9c96a512ff3p-2, 0x1.2b9916723cde3p-2, 0x1.29931f7bd2ba3p-2, 0x1.278acd1f6a437p-2, 0x1.25803aae21f17p-2, 0x1.23738369880abp-2, 0x1.2164c2809030fp-2, 0x1.1f54130c9fcb3p-2, 0x1.1d41900ea2cb7p-2, 0x1.1b2d546c3752fp-2, 0x1.19177aece92bdp-2, 0x1.17001e377e699p-2, 0x1.14e758cf536e1p-2, 0x1.12cd4511cab98p-2, 0x1.10b1fd33cfa39p-2, 0x1.0e959b3f6412fp-2, 0x1.0c7839114898fp-2, 0x1.0a59f056af1a9p-2, 0x1.083ada8b0296cp-2, 0x1.061b10f5c0f39p-2, 0x1.03faaca863c0fp-2, 0x1.01d9c67c5b025p-2, 0x1.ff70ee223b0bap-3, 0x1.fb2dad948955fp-3, 0x1.f6e9fb9b7e0eep-3, 0x1.f2a608041f9acp-3, 0x1.ee62021945bafp-3, 0x1.ea1e18a0631e4p-3, 0x1.e5da79d66873fp-3, 0x1.e197536cd8c1p-3, 0x1.dd54d286f10edp-3, 0x1.d91323b6f7af6p-3, 0x1.d4d272fbadcf5p-3, 0x1.d092ebbde0b29p-3, 0x1.cc54b8ce1716ap-3, 0x1.c818046263868p-3, 0x1.c3dcf8145577ep-3, 0x1.bfa3bcdf08505p-3, 0x1.bb6c7b1d52154p-3, 0x1.b7375a880e416p-3, 0x1.b30482348e6d1p-3, 0x1.aed418931c8e2p-3, 0x1.aaa6436da5aep-3, 0x1.a67b27e67c5ffp-3, 0x1.a252ea7732f6ap-3, 0x1.9e2daeef9c6e3p-3, 0x1.9a0b9874e0affp-3, 0x1.95ecc980acfbdp-3, 0x1.91d163e0823a1p-3, 0x1.8db988b515c5ap-3, 0x1.89a55871d565fp-3, 0x1.8594f2dc7bfebp-3, 0x1.8188770cc5eaap-3, 0x1.7d80036c32878p-3, 0x1.797bb5b5eb955p-3, 0x1.757baaf6b641fp-3, 0x1.717fff8d03dffp-3, 0x1.6d88cf290e0bep-3, 0x1.699634cd17c4p-3, 0x1.65a84acdb3c68p-3, 0x1.61bf2ad227f6bp-3, 0x1.5ddaedd4e1793p-3, 0x1.59fbac23fb47ep-3, 0x1.56217d61dba5cp-3, 0x1.524c7885dfa46p-3, 0x1.4e7cb3dd167fdp-3, 0x1.4ab2450b159a9p-3, 0x1.46ed410ad3838p-3, 0x1.432dbc2fa002ep-3, 0x1.3f73ca2615fe7p-3, 0x1.3bbf7df53796cp-3, 0x1.3810e9ff833afp-3, 0x1.346820041f9aep-3, 0x1.30c53120168dep-3, 0x1.2d282dcf97e38p-3, 0x1.299125ef4ceb2p-3, 0x1.260028bdb3e63p-3, 0x1.227544dc8df2cp-3, 0x1.1ef088524b344p-3, 0x1.1b72008b94e41p-3, 0x1.17f9ba5cccd4p-3, 0x1.1487c203a4b08p-3, 0x1.111c2328b8c7ep-3, 0x1.0db6e8e13640ap-3, 0x1.0a581db083f35p-3, 0x1.06ffcb89fa38ap-3, 0x1.03adfbd29f1d5p-3, 0x1.0062b762e8be1p-3, 0x1.fa3c0d110f1d7p-4, 0x1.f3bfe2106a0d2p-4, 0x1.ed50fc3f0f287p-4, 0x1.e6ef690da948ap-4, 0x1.e09b34e60e718p-4, 0x1.da546b2f1abd2p-4, 0x1.d41b165072a71p-4, 0x1.cdef3fb668864p-4, 0x1.c7d0efd5d06fbp-4, 0x1.c1c02e2ff90a2p-4, 0x1.bbbd015681336p-4, 0x1.b5c76eef5b625p-4, 0x1.afdf7bb8ba2a7p-4, 0x1.aa052b8d0c947p-4, 0x1.a4388166f6f2dp-4, 0x1.9e797f655805cp-4, 0x1.98c826cf3c5bap-4, 0x1.93247817f2967p-4, 0x1.8d8e72e2fbcep-4, 0x1.880616081953bp-4, 0x1.828b5f9747758p-4, 0x1.7d1e4cdcc5195p-4, 0x1.77beda650b55bp-4, 0x1.726d0400d3d1bp-4, 0x1.6d28c4c90de72p-4, 0x1.67f21722d5876p-4, 0x1.62c8f4c36fedfp-4, 0x1.5dad56b43148p-4, 0x1.589f355678b2ap-4, 0x1.539e886785e03p-4, 0x1.4eab47046f1b5p-4, 0x1.49c567adf2e03p-4, 0x1.44ece04c548bp-4, 0x1.4021a6332e4aap-4, 0x1.3b63ae253afc8p-4, 0x1.36b2ec58235f7p-4, 0x1.320f54782db8ep-4, 0x1.2d78d9abfe307p-4, 0x1.28ef6e984cf71p-4, 0x1.247305637a4ddp-4, 0x1.20038fb93bb44p-4, 0x1.1ba0fece31b12p-4, 0x1.174b43636f5b7p-4, 0x1.13024dca06765p-4, 0x1.0ec60de680058p-4, 0x1.0a9673344c43cp-4, 0x1.06736cc932f2dp-4, 0x1.025ce958ac45bp-4, 0x1.fca5ae6e74fe9p-5, 0x1.f4aa48bb6b55dp-5, 0x1.ecc77cd914469p-5, 0x1.e4fd255de837dp-5, 0x1.dd4b1c3c54e79p-5, 0x1.d5b13ac9006b5p-5, 0x1.ce2f59c0fe76ep-5, 0x1.c6c5514fe1c06p-5, 0x1.bf72f915cdbe4p-5, 0x1.b838282d54ac6p-5, 0x1.b114b531601fbp-5, 0x1.aa087642e63b3p-5, 0x1.a313410ea2c3ap-5, 0x1.9c34ead29f4b6p-5, 0x1.956d4863bc124p-5, 0x1.8ebc2e33166a9p-5, 0x1.882170535c77dp-5, 0x1.819ce27e00356p-5, 0x1.7b2e581870d1fp-5, 0x1.74d5a43909ce2p-5, 0x1.6e9299ac29dcdp-5, 0x1.68650af90473dp-5, 0x1.624cca666657ap-5, 0x1.5c49a9ff7a80fp-5, 0x1.565b7b9852d86p-5, 0x1.508210d2833ddp-5, 0x1.4abd3b21838fcp-5, 0x1.450ccbcf08331p-5, 0x1.3f7093ff4fb26p-5, 0x1.39e864b550591p-5, 0x1.34740ed6ba86fp-5, 0x1.2f13633014b3ep-5, 0x1.29c6327893e4fp-5, 0x1.248c4d55f58a5p-5, 0x1.1f65846041701p-5, 0x1.1a51a8257a717p-5, 0x1.1550892d20067p-5, 0x1.1061f7fbc1694p-5, 0x1.0b85c5165a322p-5, 0x1.06bbc105ab6efp-5, 0x1.0203bc5987b5cp-5, 0x1.fabb0f57d91aap-6, 0x1.f191e7485cf63p-6, 0x1.e88ba1f3c68cp-6, 0x1.dfa7e0efe7f68p-6, 0x1.d6e645fea7a51p-6, 0x1.ce467313dc9efp-6, 0x1.c5c80a5a71006p-6, 0x1.bd6aae39d3478p-6, 0x1.b52e015b1dbe6p-6, 0x1.ad11a6ade1b62p-6, 0x1.a515416d23502p-6, 0x1.9d387524023dbp-6, 0x1.957ae5b231f28p-6, 0x1.8ddc37507777ep-6, 0x1.865c0e94eb6fap-6, 0x1.7efa10770b894p-6, 0x1.77b5e253dd8e9p-6, 0x1.708f29f1a1d99p-6, 0x1.69858d83af4e5p-6, 0x1.6298b3ae1655bp-6, 0x1.5bc84388f0ce9p-6, 0x1.5513e4a3fd4b1p-6, 0x1.4e7b3f09ad908p-6, 0x1.47fdfb42540dcp-6, 0x1.419bc25730f35p-6, 0x1.3b543dd538384p-6, 0x1.352717cff3118p-6, 0x1.2f13fae420ab2p-6, 0x1.291a923a2ec61p-6, 0x1.233a8988d1ffdp-6, 0x1.1d738d173811ap-6, 0x1.17c549bf4d0f7p-6, 0x1.122f6cefd5b9fp-6, 0x1.0cb1a4ae891c9p-6, 0x1.074b9f99f6191p-6, 0x1.01fd0ceb3b352p-6, 0x1.f98b38efd84c2p-7, 0x1.ef49fd670ab94p-7, 0x1.e535c9627bb8ep-7, 0x1.db4e004a3e9a7p-7, 0x1.d19206cb9a881p-7, 0x1.c80142dacce2ap-7, 0x1.be9b1bb5f7631p-7, 0x1.b55ef9e739b8bp-7, 0x1.ac4c4746b8db4p-7, 0x1.a3626efc6e11cp-7, 0x1.9aa0dd8225d3p-7, 0x1.920700a4dcccfp-7, 0x1.8994478664b2dp-7, 0x1.8148229ea3b68p-7, 0x1.792203bc98e5dp-7, 0x1.71215e07bc029p-7, 0x1.6945a60072525p-7, 0x1.618e51813bcc1p-7, 0x1.59fad7bf0bc28p-7, 0x1.528ab14a14f58p-7, 0x1.4b3d580dba175p-7, 0x1.4412475179ac8p-7, 0x1.3d08fbb86858dp-7, 0x1.3620f341be4fep-7, 0x1.2f59ad487ade9p-7, 0x1.28b2aa8376fe9p-7, 0x1.222b6d04e8812p-7, 0x1.1bc3783a128a4p-7, 0x1.157a50eae03cbp-7, 0x1.0f4f7d393ab67p-7, 0x1.094284a081659p-7, 0x1.0352eff49d2b5p-7, 0x1.fb0092c2b8cdcp-8, 0x1.ef9438d2bc40ep-8, 0x1.e45febca5d7dep-8, 0x1.d962c80448008p-8, 0x1.ce9bec828235fp-8, 0x1.c40a7aebeed26p-8, 0x1.b9ad9789b3b0fp-8, 0x1.af84694470d9bp-8, 0x1.a58e19a19004bp-8, 0x1.9bc9d4c013c32p-8, 0x1.9236c9558aaf2p-8, 0x1.88d428aae5568p-8, 0x1.7fa12698fbec3p-8, 0x1.769cf985302p-8, 0x1.6dc6da5ddf647p-8, 0x1.651e049677797p-8, 0x1.5ca1b62447d5bp-8, 0x1.54512f79dd8b5p-8, 0x1.4c2bb383cd17fp-8, 0x1.443087a406f7fp-8, 0x1.3c5ef3ae23ec8p-8, 0x1.34b641e33efa7p-8, 0x1.2d35beed39aa2p-8, 0x1.25dcb9dada242p-8, 0x1.1eaa841b2f3fep-8, 0x1.179e71791971cp-8, 0x1.10b7d816c1fd7p-8, 0x1.09f6106910c04p-8, 0x1.03587532ff144p-8, 0x1.f9bcc7018f97dp-9, 0x1.ed0e7546ed338p-9, 0x1.e0a4b857551bbp-9, 0x1.d47e57ca3d777p-9, 0x1.c89a1fa363ec7p-9, 0x1.bcf6e048ca825p-9, 0x1.b1936e78e6a08p-9, 0x1.a66ea341259d8p-9, 0x1.9b875bf2beb55p-9, 0x1.90dc7a1a2b5acp-9, 0x1.866ce373ab7dap-9, 0x1.7c3781e1ed91ap-9, 0x1.723b4363ba611p-9, 0x1.68771a09bc758p-9, 0x1.5ee9fbebbbe4p-9, 0x1.5592e31f23fc6p-9, 0x1.4c70cdac51a94p-9, 0x1.4382bd840c085p-9, 0x1.3ac7b875a3a53p-9, 0x1.323ec82441693p-9, 0x1.29e6f9fcf7c2fp-9, 0x1.21bf5f2babb1cp-9, 0x1.19c70c91e0435p-9, 0x1.11fd1abaf62bep-9, 0x1.0a60a5d32d4fap-9, 0x1.02f0cd9cac33bp-9, 0x1.f7596ac9cf661p-10, 0x1.e92707f6c8b53p-10, 0x1.db48c74c82e1ep-10, 0x1.cdbd04319df22p-10, 0x1.c08220d1ebef6p-10, 0x1.b396860a81321p-10, 0x1.a6f8a355198a6p-10, 0x1.9aa6eeb420aa4p-10, 0x1.8e9fe49e85a4cp-10, 0x1.82e207eb5e035p-10, 0x1.776be1be4cc36p-10, 0x1.6c3c01734071p-10, 0x1.6150fc8afd0bbp-10, 0x1.56a96e96dc61ap-10, 0x1.4c43f92695753p-10, 0x1.421f43b2bf576p-10, 0x1.3839fb8aa7309p-10, 0x1.2e92d3c0fbeb8p-10, 0x1.252885183d14ep-10, 0x1.1bf9cdefce1bdp-10, 0x1.130572314e407p-10, 0x1.0a4a3b3d3c5e2p-10, 0x1.01c6f7d8c5a22p-10, 0x1.f2f4f8361c8f5p-11, 0x1.e2c742b4c355dp-11, 0x1.d3028c3561821p-11, 0x1.c3a49bf44662ep-11, 0x1.b4ab43417cf46p-11, 0x1.a6145d5abdb04p-11, 0x1.97ddcf477030ap-11, 0x1.8a0587b706f3cp-11, 0x1.7c897edcfbd16p-11, 0x1.6f67b64f91f9bp-11, 0x1.629e38e37904ep-11, 0x1.562b1a8b8a797p-11, 0x1.4a0c78355bc58p-11, 0x1.3e4077a8efd62p-11, 0x1.32c54767cdfb5p-11, 0x1.27991e8b04bap-11, 0x1.1cba3ca2dc832p-11, 0x1.1226e99857962p-11, 0x1.07dd758a512abp-11, 0x1.fbb8715ffa425p-12, 0x1.e8432672d02d6p-12, 0x1.d557da5ecc784p-12, 0x1.c2f36cab3f03ap-12, 0x1.b112cc1a4f334p-12, 0x1.9fb2f6674f8a9p-12, 0x1.8ed0f8119ff51p-12, 0x1.7e69ec1d918f8p-12, 0x1.6e7afbdc7c6a4p-12, 0x1.5f015eb0b27f9p-12, 0x1.4ffa59d82bf1p-12, 0x1.4163403084594p-12, 0x1.33397201eb0a6p-12, 0x1.257a5cc651c74p-12, 0x1.18237af4372d5p-12, 0x1.0b3253c8b5c46p-12, 0x1.fd48f6217311bp-13, 0x1.e4ef21eeba07p-13, 0x1.cd52839e9eee5p-13, 0x1.b66e8bc1c2b6bp-13, 0x1.a03ec26f6bbbbp-13, 0x1.8abec6dda069ep-13, 0x1.75ea4f0375f93p-13, 0x1.61bd27311adaep-13, 0x1.4e3331b804c12p-13, 0x1.3b486682060ddp-13, 0x1.28f8d2baee0cap-13, 0x1.1740986f1c03cp-13, 0x1.061bee31cc3f8p-13, 0x1.eb0e3d881ce88p-14, 0x1.cafd116ef9e99p-14, 0x1.abfd3c320e1f4p-14, 0x1.8e07c8369bf92p-14, 0x1.7115e57a6866ap-14, 0x1.5520e8f158d0dp-14, 0x1.3a224bda3a77ap-14, 0x1.2013ab1d1ab04p-14, 0x1.06eec6a6dddfap-14, 0x1.dd5b01971337dp-15, 0x1.ae93bb43b46c2p-15, 0x1.817c04e8c1576p-15, 0x1.56086a32a25a7p-15, 0x1.2c2db6cfc4c8ep-15, 0x1.03e0f533b0e75p-15, 0x1.ba2edaffbf1e2p-16, 0x1.6f8d48a79f96ap-16, 0x1.27c8b377feaf1p-16, 0x1.c59a2045d971dp-17, 0x1.410d8bab15f17p-17, 0x1.838ab0034f674p-18, 0x1.1e7042d845cb1p-19, -0x1.6c973492274cap-20, -0x1.3bd6abe22a911p-18, -0x1.0990354e2050cp-17, -0x1.70a3b04add62cp-17, -0x1.d3472a40ccc9bp-17, -0x1.18cda0f4605a4p-16, -0x1.45dfeaac506f8p-16, -0x1.70ea02bca0cf1p-16, -0x1.99fb1d01e965ep-16, -0x1.c122125f96d01p-16, -0x1.e66d62a3f4e87p-16, -0x1.04f59b201516p-15, -0x1.15d4affc2c5a5p-15, -0x1.25daaf4f116cap-15, -0x1.350e2f5760feap-15, -0x1.43759e0088cc2p-15, -0x1.511741ad7f207p-15, -0x1.5df939fcf2422p-15, -0x1.6a2180a2f34ecp-15, -0x1.7595ea1434fd6p-15, -0x1.805c2658ce8b4p-15, -0x1.8a79c1c42edp-15, -0x1.93f425afcd292p-15, -0x1.9cd0992e1ef97p-15, -0x1.a51441c1c323ep-15, -0x1.acc42413c6f05p-15, -0x1.b3e5249c16c07p-15, -0x1.ba7c08421232bp-15, -0x1.c08d751d643b7p-15, -0x1.c61df3065b001p-15, -0x1.cb31ec3db8939p-15, -0x1.cfcdae1144e07p-15, -0x1.d3f569749a1fep-15, -0x1.d7ad339789f16p-15, -0x1.daf90684d983ap-15, -0x1.dddcc1b084359p-15, -0x1.e05c2a8d6a03ap-15, -0x1.e27aed1b221bep-15, -0x1.e43c9c735e7a9p-15, -0x1.e5a4b3516a46ep-15, -0x1.e6b694a2fb18ep-15, -0x1.e7758bfd85d28p-15, -0x1.e7e4ce3170c7ep-15, -0x1.e80779bf58624p-15, -0x1.e7e0975ed0561p-15, -0x1.e7731a71df6d7p-15, -0x1.e6c1e1839e479p-15, -0x1.e5cfb6bd52302p-15, -0x1.e49f505dad675p-15, -0x1.e333512c67623p-15, -0x1.e18e48e244eb4p-15, -0x1.dfb2b4a52bd78p-15, -0x1.dda2ff6b05381p-15, -0x1.db618266bf18dp-15, -0x1.d8f08571627b7p-15, -0x1.d6523f6e17917p-15, -0x1.d388d6b4af887p-15, -0x1.d096616b393bp-15, -0x1.cd7ce5ef6a65ep-15, -0x1.ca3e5b2c329bp-15, -0x1.c6dca90147cep-15, -0x1.c359a8943d66bp-15, -0x1.bfb724b03a5b5p-15, -0x1.bbf6da1b0f1efp-15, -0x1.b81a77eab5d87p-15, -0x1.b4239fdb21242p-15, -0x1.b013e69d4d6aap-15, -0x1.abecd42c200b8p-15, -0x1.a7afe41922fbcp-15, -0x1.a35e85da75297p-15, -0x1.9efa1d15a914dp-15, -0x1.9a8401ed00568p-15, -0x1.95fd8145905fdp-15, -0x1.9167dd106dda1p-15, -0x1.8cc44c8edd52cp-15, -0x1.8813fc99bc9acp-15, -0x1.83580fe079567p-15, -0x1.7e919f2de7658p-15, -0x1.79c1b9a9df504p-15, -0x1.74e965116c41p-15, -0x1.70099dfd6ff35p-15, -0x1.6b235818f5196p-15, -0x1.66377e5d59ab1p-15, -0x1.6146f34d83226p-15, -0x1.5c52912dff201p-15, -0x1.575b2a3ab8027p-15, -0x1.526188e0cd17dp-15, -0x1.4d666fed4a608p-15, -0x1.486a9aca1ecadp-15, -0x1.436ebda767c4dp-15, -0x1.3e7385b41562cp-15, -0x1.3979994b96136p-15, -0x1.3481982330e7ap-15, -0x1.2f8c1b7e6c2ccp-15, -0x1.2a99b6565e116p-15, -0x1.25aaf589fe699p-15, -0x1.20c0600641cf8p-15, -0x1.1bda76f5aaa68p-15, -0x1.16f9b5e31c124p-15, -0x1.121e92e8650c4p-15, -0x1.0d497ed1e95dcp-15, -0x1.087ae5479152p-15, -0x1.03b32cf24c1b6p-15, -0x1.fde56f3da2462p-16, -0x1.f473c4ccf71c7p-16, -0x1.eb120b97ae166p-16, -0x1.e1c0ebca639e6p-16, -0x1.d88104eda3bd1p-16, -0x1.cf52ee315c6a8p-16, -0x1.c63736a88d5ebp-16, -0x1.bd2e65895e239p-16, -0x1.b438fa6bd5f54p-16, -0x1.ab576d82c685ap-16, -0x1.a28a2fd58d7bfp-16, -0x1.99d1ab7fa2575p-16, -0x1.912e43e147acbp-16, -0x1.88a055d5aa63p-16, -0x1.802837ed99a27p-16, -0x1.77c63a9ebf36p-16, -0x1.6f7aa8762ff91p-16, -0x1.6745c64af6803p-16, -0x1.5f27d36d97dcfp-16, -0x1.572109d5ffcffp-16, -0x1.4f319e52aa08cp-16, -0x1.4759c0b2f90d7p-16, -0x1.3f999bf58ba0bp-16, -0x1.37f1566dbdb66p-16, -0x1.306111f22e215p-16, -0x1.28e8ec0075f66p-16, -0x1.2188fde921634p-16, -0x1.1a415cef02f83p-16, -0x1.13121a72687f8p-16, -0x1.0bfb44126a494p-16, -0x1.04fce3cf66391p-16, -0x1.fc2e00615c409p-17, -0x1.ee9338c32c7dep-17, -0x1.e12970a8b5ee7p-17, -0x1.d3f0a1c5fc7ebp-17, -0x1.c6e8bfd5eb8cbp-17, -0x1.ba11b8d88931ap-17, -0x1.ad6b754feb0ccp-17, -0x1.a0f5d8773651p-17, -0x1.94b0c0789f4cbp-17, -0x1.889c06a31c8fp-17, -0x1.7cb77fa14d055p-17, -0x1.7102fba78eb0ap-17, -0x1.657e46ab259d2p-17, -0x1.5a29288c5d765p-17, -0x1.4f036548cbfd3p-17, -0x1.440cbd2874549p-17, -0x1.3944ece7bf83ap-17, -0x1.2eabade27fde2p-17, -0x1.2440b63ff2ca9p-17, -0x1.1a03b918bae98p-17, -0x1.0ff4669c15cf8p-17, -0x1.06126c3c5a4edp-17, -0x1.f8bae99692584p-18, -0x1.e5aa514a7b457p-18, -0x1.d2f25b9d86289p-18, -0x1.c0925031d42bp-18, -0x1.ae8972816904p-18, -0x1.9cd7021f81d83p-18, -0x1.8b7a3af16e8d9p-18, -0x1.7a72556df4035p-18, -0x1.69be86d4f9a32p-18, -0x1.595e01685d851p-18, -0x1.494ff4a2ffbb2p-18, -0x1.39938d65c3c02p-18, -0x1.2a27f6378a94ep-18, -0x1.1b0c5765c05b1p-18, -0x1.0c3fd74113bbap-18, -0x1.fb833487364adp-19, -0x1.df21867ce7378p-19, -0x1.c358e70f2075cp-19, -0x1.a827963e104fap-19, -0x1.8d8bd1b243e6ep-19, -0x1.7383d50a1e9c5p-19, -0x1.5a0dda1f7227fp-19, -0x1.412819523873p-19, -0x1.28d0c9cf07e57p-19, -0x1.110621d07fe3ep-19, -0x1.f38cadb89dcafp-20, -0x1.c61f3c0c73eb9p-20, -0x1.99c0584f87de6p-20, -0x1.6e6c6c3c2d61cp-20, -0x1.441fe1fb8a24ep-20, -0x1.1ad7248737f6bp-20, -0x1.e51d403ecf7fbp-21, -0x1.96858551e103ap-21, -0x1.49dff80a74a75p-21, -0x1.fe4af9b1664d7p-22, -0x1.6c9dfb3cada11p-22, -0x1.bd55a8cba7a69p-23, -0x1.518dc926239cep-24, 0x1.92317c98c9069p-25, 0x1.6ac00bbde03f2p-23, 0x1.34f7f4daa2ca4p-22, 0x1.b11bcec523afbp-22, 0x1.14eca9a63936dp-21, 0x1.4f9f172455ac2p-21, 0x1.88abfb7977d7fp-21, 0x1.c01a178b6f042p-21, 0x1.f5f02122585a6p-21, 0x1.151a613ae4288p-20, 0x1.2e774cf30684cp-20, 0x1.47121cc483dcep-20, 0x1.5eee1373239d6p-20, 0x1.760e6d501116fp-20, 0x1.8c7660149a874p-20, 0x1.a2291ac45e73bp-20, 0x1.b729c580bb806p-20, 0x1.cb7b8170de5b4p-20, 0x1.df2168a406254p-20, 0x1.f21e8df9ee98dp-20, 0x1.023afe7d711e5p-19, 0x1.0b155ce9febb8p-19, 0x1.139fe09722b4ep-19, 0x1.1bdc0414b996p-19, 0x1.23cb3e1f344f9p-19, 0x1.2b6f019a135p-19, 0x1.32c8bd84f04d3p-19, 0x1.39d9dcf943927p-19, 0x1.40a3c7214dfb6p-19, 0x1.4727df32137f7p-19, 0x1.4d678468b7951p-19, 0x1.53641202de739p-19, 0x1.591edf3d71bfdp-19, 0x1.5e993f4f54235p-19, 0x1.63d48166cd3f7p-19, 0x1.68d1f0ac28adep-19, 0x1.6d92d43b69a45p-19, 0x1.72186f260b709p-19, 0x1.766400721801bp-19, 0x1.7a76c3177426dp-19, 0x1.7e51ee0642fa8p-19, 0x1.81f6b42190405p-19, 0x1.8566444204b8dp-19, 0x1.88a1c93cd104fp-19, 0x1.8baa69e06dd0cp-19, 0x1.8e8148fb9eecbp-19, 0x1.9127855b6874p-19, 0x1.939e39d3ece7p-19, 0x1.95e67d3e53548p-19, 0x1.9801627f93afbp-19, 0x1.99eff88ce7046p-19, 0x1.9bb34a7119a4p-19, 0x1.9d4c5f4f7ada6p-19, 0x1.9ebc3a6bef8a4p-19, 0x1.a003db2d509dp-19, 0x1.a1243d243b616p-19, 0x1.a21e580fbdb3bp-19, 0x1.a2f31fe66d298p-19, 0x1.a3a384da2ae9ap-19, 0x1.a430735fbef4cp-19, 0x1.a49ad434e1a35p-19, 0x1.a4e38c6660ce9p-19, 0x1.a50b7d5841fe1p-19, 0x1.a51384cd95075p-19, 0x1.a4fc7ceefb36ap-19, 0x1.a4c73c516c26cp-19, 0x1.a47496002e52p-19, 0x1.a4055981d7f79p-19, 0x1.a37a52e141633p-19, 0x1.a2d44ab56c4d5p-19, 0x1.a21406296329ep-19, 0x1.a13a47067f8c3p-19, 0x1.a047cbba13f36p-19, 0x1.9f3d4f5f3c01dp-19, 0x1.9e1b89c5dd47fp-19, 0x1.9ce32f7bcf27fp-19, 0x1.9b94f1d54d24p-19, 0x1.9a317ef6c9634p-19, 0x1.98b981dc99467p-19, 0x1.972da26186f0dp-19, 0x1.958e854a5c382p-19, 0x1.93dccc4fe5032p-19, 0x1.9219162553dbep-19, 0x1.9043fe80e1345p-19, 0x1.8e5e1e2457a53p-19, 0x1.8c680ae7a5d5fp-19, 0x1.8a6257c110ce2p-19, 0x1.884d94ceabf9ep-19, 0x1.862a4f5daaa8fp-19, 0x1.83f911f37fe0bp-19, 0x1.81ba6457410c5p-19, 0x1.7f6ecb99f76eap-19, }}, 
      {{0x1.fc1ac233371d2p-1, 0x1.fbeb054979716p-1, 0x1.fb9f9faf926fp-1, 0x1.fb3c9db4e0daep-1, 0x1.fac5953f5dc5bp-1, 0x1.fa3d533ddde23p-1, 0x1.f9a5d9721418cp-1, 0x1.f9007f440121ep-1, 0x1.f84e1b601c8f2p-1, 0x1.f78f29eab7ae2p-1, 0x1.f6c3eb5b05d45p-1, 0x1.f5ec7c0815d41p-1, 0x1.f508e5d034db4p-1, 0x1.f4192d5926cecp-1, 0x1.f31d5c0693ddfp-1, 0x1.f215875796634p-1, 0x1.f101d60e57002p-1, 0x1.efe2835c1efedp-1, 0x1.eeb7e040620b9p-1, 0x1.ed82534e3ea33p-1, 0x1.ec425716ec123p-1, 0x1.eaf87781b8bd1p-1, 0x1.e9a54e5fb9b09p-1, 0x1.e8497f88fd4f3p-1, 0x1.e6e5b4cb75a7ep-1, 0x1.e57a99ea2b452p-1, 0x1.e408d8df23d6bp-1, 0x1.e29116855edccp-1, 0x1.e113efc36d003p-1, 0x1.df91f7437c0d6p-1, 0x1.de0bb3bbbae19p-1, 0x1.dc819ec1f7fe5p-1, 0x1.daf4241f77d57p-1, 0x1.d963a195ff917p-1, 0x1.d7d06704d5d13p-1, 0x1.d63ab6dba1185p-1, 0x1.d4a2c6c97ac2bp-1, 0x1.d308c097a8f7fp-1, 0x1.d16cc32148e7fp-1, 0x1.cfcee35b43eb6p-1, 0x1.ce2f2d6232a06p-1, 0x1.cc8da585fc5d4p-1, 0x1.caea494d1da0ep-1, 0x1.c945106b51e7bp-1, 0x1.c79deda8fee5bp-1, 0x1.c5f4cfb9fd575p-1, 0x1.c449a203673c4p-1, 0x1.c29c4d50d29ccp-1, 0x1.c0ecb879df88dp-1, 0x1.bf3ac8f94af9bp-1, 0x1.bd866376e3221p-1, 0x1.bbcf6c45b31fcp-1, 0x1.ba15c7d7acd4bp-1, 0x1.b8595b27e9f0dp-1, 0x1.b69a0c1c79cdbp-1, 0x1.b4d7c1e06d92ep-1, 0x1.b3126536b23a8p-1, 0x1.b149e0c6142a6p-1, 0x1.af7e215e9afebp-1, 0x1.adaf163855b83p-1, 0x1.abdcb12b94008p-1, 0x1.aa06e6e276bfap-1, 0x1.a82daf03bfd21p-1, 0x1.a6510456c5634p-1, 0x1.a470e4e070badp-1, 0x1.a28d51f938e0dp-1, 0x1.a0a6505c20caap-1, 0x1.9ebbe82ebb437p-1, 0x1.9cce25025ec92p-1, 0x1.9add15ceb04a3p-1, 0x1.98e8cce5cc034p-1, 0x1.96f15fe258933p-1, 0x1.94f6e78fe1f31p-1, 0x1.92f97fcdea7dfp-1, 0x1.90f9476e22d74p-1, 0x1.8ef6600e4598bp-1, 0x1.8cf0edee1d5ap-1, 0x1.8ae917c236d32p-1, 0x1.88df0683c8bf9p-1, 0x1.86d2e53e5931bp-1, 0x1.84c4e0dba641ap-1, 0x1.82b527ee51db4p-1, 0x1.80a3ea7bcf8cep-1, 0x1.7e9159c60a358p-1, 0x1.7c7da8152f4d9p-1, 0x1.7a6908820ae16p-1, 0x1.7853aec15061ep-1, 0x1.763dcef026eedp-1, 0x1.74279d6249267p-1, 0x1.72114e71fae3ap-1, 0x1.6ffb16520fd96p-1, 0x1.6de528e23648bp-1, 0x1.6bcfb985b203cp-1, 0x1.69bafafca3e46p-1, 0x1.67a71f3ffeb1fp-1, 0x1.6594576036385p-1, 0x1.6382d366b588p-1, 0x1.6172c23a22513p-1, 0x1.5f6451856aeccp-1, 0x1.5d57ada197d2dp-1, 0x1.5b4d01825903fp-1, 0x1.594476a53734fp-1, 0x1.573e35035e2f2p-1, 0x1.553a6305e0f2bp-1, 0x1.5339257c636p-1, 0x1.513a9f96078abp-1, 0x1.4f3ef2dc8371bp-1, 0x1.4d463f313c96p-1, 0x1.4b50a2cc475a5p-1, 0x1.495e3a3d2a10ep-1, 0x1.476f206d3c21cp-1, 0x1.45836ea3847b9p-1, 0x1.439b3c89ec34ap-1, 0x1.41b6a033a7e4bp-1, 0x1.3fd5ae24b5da2p-1, 0x1.3df8795a4a76bp-1, 0x1.3c1f13541131ap-1, 0x1.3a498c1e1ca45p-1, 0x1.3877f25b6de22p-1, 0x1.36aa5350efb39p-1, 0x1.34e0baf0d303fp-1, 0x1.331b33e62b147p-1, 0x1.3159c7a0b9d81p-1, 0x1.2f9c7e60ce1f2p-1, 0x1.2de35f432904ap-1, 0x1.2c2e704cd001dp-1, 0x1.2a7db676bfc79p-1, 0x1.28d135b971cb6p-1, 0x1.2728f118219dcp-1, 0x1.2584eaabcf9fap-1, 0x1.23e523adee652p-1, 0x1.22499c82b9e4ap-1, 0x1.20b254c32bb16p-1, 0x1.1f1f4b468aefp-1, 0x1.1d907e2b92b83p-1, 0x1.1c05eae12b3a4p-1, 0x1.1a7f8e2eb62efp-1, 0x1.18fd643beb301p-1, 0x1.177f689846881p-1, 0x1.160596420a477p-1, 0x1.148fe7acd5cc7p-1, 0x1.131e56c7d34cdp-1, 0x1.11b0dd0382db2p-1, 0x1.1047735720449p-1, 0x1.0ee21245b3d49p-1, 0x1.0d80b1e2c1e5fp-1, 0x1.0c2349d6b091p-1, 0x1.0ac9d162da3a2p-1, 0x1.09743f655989bp-1, 0x1.08228a5c959e3p-1, 0x1.06d4a86a8cb7p-1, 0x1.058a8f57edd4cp-1, 0x1.04443496fa0e8p-1, 0x1.03018d463f32fp-1, 0x1.01c28e3329f37p-1, 0x1.00872bdc74df9p-1, 0x1.fe9eb4e8fd7fcp-2, 0x1.fc361bc708b4bp-2, 0x1.f9d4739396f57p-2, 0x1.f779a30377757p-2, 0x1.f5259043df2fbp-2, 0x1.f2d820fe74335p-2, 0x1.f0913a5d5c04dp-2, 0x1.ee50c10f3e8f9p-2, 0x1.ec16994b53a58p-2, 0x1.e9e2a6d57869dp-2, 0x1.e7b4cd02533e6p-2, 0x1.e58ceebb87f81p-2, 0x1.e36aee84027ffp-2, 0x1.e14eae7c59354p-2, 0x1.df3810674941fp-2, 0x1.dd26f5ae4f852p-2, 0x1.db1b3f665be1cp-2, 0x1.d914ce54a90d6p-2, 0x1.d71382f3a97c1p-2, 0x1.d5173d7819ad9p-2, 0x1.d31fddd62e30ap-2, 0x1.d12d43c6de3bcp-2, 0x1.cf3f4ecd48399p-2, 0x1.cd55de3c366f8p-2, 0x1.cb70d13bb4cc1p-2, 0x1.c99006cec57e3p-2, 0x1.c7b35dd9241p-2, 0x1.c5dab5251f606p-2, 0x1.c405eb697fecfp-2, 0x1.c234df4f81761p-2, 0x1.c0676f78cfb6ep-2, 0x1.be9d7a8593638p-2, 0x1.bcd6df1a7eb62p-2, 0x1.bb137be6df438p-2, 0x1.b9532faab0b0ap-2, 0x1.b795d93ca69cap-2, 0x1.b5db57903af05p-2, 0x1.b42389bba9b51p-2, 0x1.b26e4efde5e2bp-2, 0x1.b0bb86c4808a4p-2, 0x1.af0b10b17d88ap-2, 0x1.ad5ccca11863cp-2, 0x1.abb09aaf70162p-2, 0x1.aa065b3e19c8cp-2, 0x1.a85deef9a0332p-2, 0x1.a6b736dee11dbp-2, 0x1.a51214404baaap-2, 0x1.a36e68cb043bp-2, 0x1.a1cc168be04e7p-2, 0x1.a02afff4447a5p-2, 0x1.9e8b07ded8998p-2, 0x1.9cec119417eb1p-2, 0x1.9b4e00cebb5edp-2, 0x1.99b0b9bff7053p-2, 0x1.981421138f092p-2, 0x1.96781bf3c6d74p-2, 0x1.94dc900d1b7ep-2, 0x1.93416391dca13p-2, 0x1.91a67d3d8e03p-2, 0x1.900bc45828f22p-2, 0x1.8e7120b920251p-2, 0x1.8cd67aca46ff8p-2, 0x1.8b3bbb8a7c962p-2, 0x1.89a0cc903384p-2, 0x1.8805980bc5d9ep-2, 0x1.866a08c99f45cp-2, 0x1.84ce0a343749ap-2, 0x1.83318855de262p-2, 0x1.81946fda61bfp-2, 0x1.7ff6ae10813dap-2, 0x1.7e5830eb34b89p-2, 0x1.7cb8e702cf791p-2, 0x1.7b18bf95f25p-2, 0x1.7977aa8a55043p-2, 0x1.77d5986d6a5e5p-2, 0x1.76327a74d6075p-2, 0x1.748e427ebde53p-2, 0x1.72e8e311f7682p-2, 0x1.71424f5e06a8fp-2, 0x1.6f9a7b3b0476bp-2, 0x1.6df15b2954732p-2, 0x1.6c46e4513feb5p-2, 0x1.6a9b0c8269fbdp-2, 0x1.68edca3325cd2p-2, 0x1.673f147faa81dp-2, 0x1.658ee32925475p-2, 0x1.63dd2e94b4882p-2, 0x1.6229efca3d4b2p-2, 0x1.6075207329b49p-2, 0x1.5ebebad90a0ebp-2, 0x1.5d06b9e41b702p-2, 0x1.5b4d1919b782cp-2, 0x1.5991d49aa5f1ep-2, 0x1.57d4e9215d934p-2, 0x1.561654002abb3p-2, 0x1.5456131f4004bp-2, 0x1.529424fab6d2ep-2, 0x1.50d088a0756fap-2, 0x1.4f0b3dae0b0cap-2, 0x1.4d44444e700e9p-2, 0x1.4b7b9d37c0a1bp-2, 0x1.49b149a8de3bfp-2, 0x1.47e54b6707727p-2, 0x1.4617a4bb5ea7ep-2, 0x1.44485870662cdp-2, 0x1.427769cf700f5p-2, 0x1.40a4dc9dfe863p-2, 0x1.3ed0b51b1f14dp-2, 0x1.3cfaf7fcb6bb4p-2, 0x1.3b23aa6ccaa16p-2, 0x1.394ad206b95d6p-2, 0x1.377074d473cap-2, 0x1.3594994baa6cfp-2, 0x1.33b7464af607p-2, 0x1.31d88316fa6cdp-2, 0x1.2ff85757872c2p-2, 0x1.2e16cb14afd64p-2, 0x1.2c33e6b3e52b9p-2, 0x1.2a4fb2f5081eap-2, 0x1.286a38ef7bf69p-2, 0x1.2683820f3a331p-2, 0x1.249b9811dd34cp-2, 0x1.22b28503b6547p-2, 0x1.20c8533cd88b2p-2, 0x1.1edd0d5e2d37ap-2, 0x1.1cf0be4e81daep-2, 0x1.1b037137a1b3dp-2, 0x1.1915318367006p-2, 0x1.17260ad8d8ff6p-2, 0x1.15360919435ap-2, 0x1.1345385d5b9f6p-2, 0x1.1153a4f261ea6p-2, 0x1.0f615b574c85dp-2, 0x1.0d6e6839f6346p-2, 0x1.0b7ad8744ffdp-2, 0x1.0986b9099e66fp-2, 0x1.07921723b796ap-2, 0x1.059d00104803dp-2, 0x1.03a7813e25b2dp-2, 0x1.01b1a83a9f07fp-2, 0x1.ff77055db746bp-3, 0x1.fb8a3cba7fc04p-3, 0x1.f79d123db15d6p-3, 0x1.f3afa1c1a319dp-3, 0x1.efc20743e4d15p-3, 0x1.ebd45ee04e5ebp-3, 0x1.e7e6c4cc22151p-3, 0x1.e3f955513e2d4p-3, 0x1.e00c2cc9634efp-3, 0x1.dc1f6799965f2p-3, 0x1.d833222d85d2ap-3, 0x1.d44778f31cbeap-3, 0x1.d05c88560b5a5p-3, 0x1.cc726cbb86eb8p-3, 0x1.c889427e00e72p-3, 0x1.c4a125e907696p-3, 0x1.c0ba333539e89p-3, 0x1.bcd4868446b45p-3, 0x1.b8f03bdd11cbfp-3, 0x1.b50d6f27e6432p-3, 0x1.b12c3c2ac2eaep-3, 0x1.ad4cbe85bb35fp-3, 0x1.a96f11af76e65p-3, 0x1.a59350f1bc494p-3, 0x1.a1b99766266dcp-3, 0x1.9de1fff2d6145p-3, 0x1.9a0ca5475846ap-3, 0x1.9639a1d98eb19p-3, 0x1.92690fe2bdd1fp-3, 0x1.8e9b095ca9344p-3, 0x1.8acfa7fecbd9ep-3, 0x1.8707053babe33p-3, 0x1.83413a3e3d2d7p-3, 0x1.7f7e5fe762ba6p-3, 0x1.7bbe8ecb84527p-3, 0x1.7801df303f6bfp-3, 0x1.7448690a29a9bp-3, 0x1.709243faaf7f6p-3, 0x1.6cdf874e046dbp-3, 0x1.693049f934aafp-3, 0x1.6584a2983f982p-3, 0x1.61dca76c5483p-3, 0x1.5e386e5a1e5d7p-3, 0x1.5a980ce82b997p-3, 0x1.56fb983d687eap-3, 0x1.5363251fae9bep-3, 0x1.4fcec7f26b176p-3, 0x1.4c3e94b55da01p-3, 0x1.48b29f036490cp-3, 0x1.452afa116538ap-3, 0x1.41a7b8ad477e3p-3, 0x1.3e28ed3d0075fp-3, 0x1.3aaea9bdbae14p-3, 0x1.3738ffc304f49p-3, 0x1.33c80076222d6p-3, 0x1.305bbc9563515p-3, 0x1.2cf44473962c3p-3, 0x1.2991a7f78a6b3p-3, 0x1.2633f69ba3a9p-3, 0x1.22db3f6d7fb5cp-3, 0x1.1f87910dad94fp-3, 0x1.1c38f9af7531fp-3, 0x1.18ef8718b34fap-3, 0x1.15ab46a1c2a9ap-3, 0x1.126c453572478p-3, 0x1.0f328f51138f7p-3, 0x1.0bfe31048f62bp-3, 0x1.08cf35f29218ap-3, 0x1.05a5a950bf641p-3, 0x1.028195e7f44c3p-3, 0x1.fec60c294006ap-4, 0x1.f894078e4248cp-4, 0x1.f26d31086589cp-4, 0x1.ec519acacd723p-4, 0x1.e64156335a139p-4, 0x1.e03c73cbcf74cp-4, 0x1.da43034b07acbp-4, 0x1.d45513965d486p-4, 0x1.ce72b2c2f606ep-4, 0x1.c89bee175cbecp-4, 0x1.c2d0d20d07ea5p-4, 0x1.bd116a5201a03p-4, 0x1.b75dc1ca9d9f1p-4, 0x1.b1b5e29352889p-4, 0x1.ac19d6028dd4bp-4, 0x1.a689a4aaa2295p-4, 0x1.a105565bd014ap-4, 0x1.9b8cf22645fbep-4, 0x1.96207e5c4fe3bp-4, 0x1.90c000947276ep-4, 0x1.8b6b7dabaedc8p-4, 0x1.8622f9c7c4728p-4, 0x1.80e6785985e1bp-4, 0x1.7bb5fc1f38ed2p-4, 0x1.76918726f5605p-4, 0x1.71791ad124e32p-4, 0x1.6c6cb7d2f86ccp-4, 0x1.676c5e38f05bep-4, 0x1.62780d6968c8bp-4, 0x1.5d8fc42736325p-4, 0x1.58b380943af66p-4, 0x1.53e34034107c4p-4, 0x1.4f1effeeb3041p-4, 0x1.4a66bc13293cbp-4, 0x1.45ba705a48b3cp-4, 0x1.411a17e95f00ep-4, 0x1.3c85ad54f9609p-4, 0x1.37fd2aa3a7347p-4, 0x1.33808950b9e09p-4, 0x1.2f0fc24f0aa35p-4, 0x1.2aaace0bc5e24p-4, 0x1.2651a4713a27bp-4, 0x1.22043ce99b84dp-4, 0x1.1dc28e61d7a9cp-4, 0x1.198c8f4c5d531p-4, 0x1.156235a3e9dfbp-4, 0x1.114376ee5a6b5p-4, 0x1.0d30483f6fb77p-4, 0x1.09289e3b9db07p-4, 0x1.052c6d1ad3084p-4, 0x1.013ba8ab3c6b2p-4, 0x1.faac88a8112a8p-5, 0x1.f2f866306035ap-5, 0x1.eb5acf32545edp-5, 0x1.e3d3a83359ba7p-5, 0x1.dc62d500c71e8p-5, 0x1.d50838b544e15p-5, 0x1.cdc3b5be1f8a6p-5, 0x1.c6952de0b2161p-5, 0x1.bf7c823f97eddp-5, 0x1.b879936004ep-5, 0x1.b18c412ee7f6cp-5, 0x1.aab46b06252e2p-5, 0x1.a3f1efb1aa91ep-5, 0x1.9d44ad748d738p-5, 0x1.96ac820e06e7bp-5, 0x1.90294abe7b857p-5, 0x1.89bae44c5f424p-5, 0x1.83612b0915c9dp-5, 0x1.7d1bfad5cd8e3p-5, 0x1.76eb2f2834d85p-5, 0x1.70cea30f46c5bp-5, 0x1.6ac63137d29b5p-5, 0x1.64d1b3f1361d8p-5, 0x1.5ef10531ce049p-5, 0x1.5923fe9b7916cp-5, 0x1.536a798001edfp-5, 0x1.4dc44ee575084p-5, 0x1.4831578a778dbp-5, 0x1.42b16bea6b6afp-5, 0x1.3d446441a6122p-5, 0x1.37ea189197c06p-5, 0x1.32a260a4b2ba1p-5, 0x1.2d6d14127afdep-5, 0x1.284a0a436b64dp-5, 0x1.23391a74c0b89p-5, 0x1.1e3a1bbc4ac5cp-5, 0x1.194ce50c1a988p-5, 0x1.14714d361fd62p-5, 0x1.0fa72aefc77e5p-5, 0x1.0aee54d56f0c1p-5, 0x1.0646a16ddd37ap-5, 0x1.01afe72d9d2a2p-5, 0x1.fa53f8f49033cp-6, 0x1.f1696f5b8f05fp-6, 0x1.e89fde32f674bp-6, 0x1.dff6f212a7c87p-6, 0x1.d76e578db90ebp-6, 0x1.cf05bb386023cp-6, 0x1.c6bcc9adc8a06p-6, 0x1.be932f95b2307p-6, 0x1.b68899aa07df6p-6, 0x1.ae9cb4bc3b94fp-6, 0x1.a6cf2dba9ec19p-6, 0x1.9f1fb1b5728f1p-6, 0x1.978dede3fcff5p-6, 0x1.90198fa969f76p-6, 0x1.88c2449990dap-6, 0x1.8187ba7d8afb8p-6, 0x1.7a699f585a459p-6, 0x1.7367a16b1bbefp-6, 0x1.6c816f397da19p-6, 0x1.65b6b78dcc962p-6, 0x1.5f07297cf662ep-6, 0x1.5872746a89c87p-6, 0x1.51f8480c66276p-6, 0x1.4b98546e874afp-6, 0x1.455249f67c0e4p-6, 0x1.3f25d966df1e8p-6, 0x1.3912b3e2b937dp-6, 0x1.33188af0b70ddp-6, 0x1.2d37107e322a5p-6, 0x1.276df6e251b94p-6, 0x1.21bcf0e0dd38bp-6, 0x1.1c23b1ad0c57dp-6, 0x1.16a1ecec38945p-6, 0x1.113756b884493p-6, 0x1.0be3a3a335be4p-6, 0x1.06a688b73c701p-6, 0x1.017fbb7b661f8p-6, 0x1.f8dde3e92d644p-7, 0x1.eee7c54fdb8d3p-7, 0x1.e51c893967fadp-7, 0x1.db7b9ebcbd8d7p-7, 0x1.d20475fc7f7ccp-7, 0x1.c8b6802ae281cp-7, 0x1.bf912f8c96bf1p-7, 0x1.b693f77c45701p-7, 0x1.adbe4c6d303ap-7, 0x1.a50fa3ee35d27p-7, 0x1.9c8774ac7c928p-7, 0x1.94253675b91e5p-7, 0x1.8be8623aabef9p-7, 0x1.83d0721144cd3p-7, 0x1.7bdce1369501bp-7, 0x1.740d2c10c2f92p-7, 0x1.6c60d030c6fc3p-7, 0x1.64d74c53eb66bp-7, 0x1.5d7020656bd4ep-7, 0x1.562acd7f8e9c8p-7, 0x1.4f06d5ed006c7p-7, 0x1.4803bd29e6bc8p-7, 0x1.412107e4967b1p-7, 0x1.3a5e3bfeb85c9p-7, 0x1.33bae08dbb8f5p-7, 0x1.2d367ddb7d359p-7, 0x1.26d09d66cdd0fp-7, 0x1.2088c9e3aa65ep-7, 0x1.1a5e8f3b9b7b7p-7, 0x1.14517a8dd284fp-7, 0x1.0e611a2f17de9p-7, 0x1.088cfda9ecb83p-7, 0x1.02d4b5be3c693p-7, 0x1.fa6fa8c243c95p-8, 0x1.ef6bd979163cap-8, 0x1.e49d265dcae2fp-8, 0x1.da02ba9515f5ep-8, 0x1.cf9bc3aa0f65cp-8, 0x1.c567718d3a96bp-8, 0x1.bb64f69289309p-8, 0x1.b193877053a8dp-8, 0x1.a7f25b3ca8c5dp-8, 0x1.9e80ab6c47d94p-8, 0x1.953db3cf98b95p-8, 0x1.8c28b29101516p-8, 0x1.8340e83264ff2p-8, 0x1.7a85978a8ed2fp-8, 0x1.71f605c27c01fp-8, 0x1.69917a52ddcbcp-8, 0x1.61573f00f93e5p-8, 0x1.59469fdbe1552p-8, 0x1.515eeb395a1dbp-8, 0x1.499f71b278972p-8, 0x1.42078620c13bp-8, 0x1.3a967d9a4fabfp-8, 0x1.334baf6ed17fbp-8, 0x1.2c267523afe5cp-8, 0x1.25262a70bfda2p-8, 0x1.1e4a2d3c062f7p-8, 0x1.1791dd96b769ep-8, 0x1.10fc9db8908b3p-8, 0x1.0a89d1fc86b59p-8, 0x1.0438e0dc74f8ap-8, 0x1.fc1265daac08dp-9, 0x1.eff465b5e1ac8p-9, 0x1.e4169ac781054p-9, 0x1.d877e2a9b2ecp-9, 0x1.cd171f0b101edp-9, 0x1.c1f335a65ff09p-9, 0x1.b70b10396f99p-9, 0x1.ac5d9c7cd0e48p-9, 0x1.a1e9cc1a916dcp-9, 0x1.97ae94a5a7ac6p-9, 0x1.8daaef90bf034p-9, 0x1.83ddda255cc05p-9, 0x1.7a46557aaf8b5p-9, 0x1.70e3666c6fb81p-9, 0x1.67b41591a132p-9, 0x1.5eb76f339355p-9, 0x1.55ec83445c7a8p-9, 0x1.4d526555a9f8ap-9, 0x1.44e82c8f7cfcep-9, 0x1.3cacf3a6b78d1p-9, 0x1.349fd8d3d210bp-9, 0x1.2cbffdc98087p-9, 0x1.250c87ab0c4d8p-9, 0x1.1d849f0393958p-9, 0x1.16276fbbbf592p-9, 0x1.0ef42911333adp-9, 0x1.07e9fd8c73544p-9, 0x1.010822f7f2b19p-9, 0x1.f49ba4ad7c51dp-10, 0x1.e7748fb53baa2p-10, 0x1.da9985b66b2ap-10, 0x1.ce090b98f8309p-10, 0x1.c1c1ac6ac6eb5p-10, 0x1.b5c1f94d278b3p-10, 0x1.aa0889625e9d2p-10, 0x1.9e93f9bb1d9f4p-10, 0x1.9362ed43d78f3p-10, 0x1.88740cb306697p-10, 0x1.7dc60675f77b4p-10, 0x1.73578e9f510f8p-10, 0x1.69275ed4bdae2p-10, 0x1.5f34363cb1419p-10, 0x1.557cd96c7e2bep-10, 0x1.4c001256f4d8cp-10, 0x1.42bcb039697b4p-10, 0x1.39b1878b92411p-10, 0x1.30dd71ec8acfap-10, 0x1.283f4e122b5bdp-10, 0x1.1fd5ffb78e561p-10, 0x1.17a06f8bc7a15p-10, 0x1.0f9d8b2030d38p-10, 0x1.07cc44d841c79p-10, 0x1.002b93d82fd8cp-10, 0x1.f174e7e7e1842p-11, 0x1.e2efcb3e0cb55p-11, 0x1.d4c5dbb717682p-11, 0x1.c6f52c547c9fcp-11, 0x1.b97bd8f2d1ce5p-11, 0x1.ac58062bc2ca2p-11, 0x1.9f87e13330be4p-11, 0x1.93099fba00e42p-11, 0x1.86db7fcd4e33ep-11, 0x1.7afbc7b6916cep-11, 0x1.6f68c5deb6be6p-11, 0x1.6420d0ad0b768p-11, 0x1.5922466a67b51p-11, 0x1.4e6b8d22579c8p-11, 0x1.43fb12859ed5dp-11, 0x1.39cf4bcc5ffbbp-11, 0x1.2fe6b599107c6p-11, 0x1.263fd3db7dd1cp-11, 0x1.1cd931b3b7eep-11, 0x1.13b1615633c1cp-11, 0x1.0ac6fbef2fb47p-11, 0x1.0218a18742b41p-11, 0x1.f349f1ceac64fp-12, 0x1.e2d55efd75fdp-12, 0x1.d2d0f28ca2c6ap-12, 0x1.c33a214e1da3bp-12, 0x1.b40e6cbf61fe4p-12, 0x1.a54b62d469535p-12, 0x1.96ee9dc4a241p-12, 0x1.88f5c3d84b90bp-12, 0x1.7b5e8735615ccp-12, 0x1.6e26a5aea78c9p-12, 0x1.614be8922e8dbp-12, 0x1.54cc247825843p-12, 0x1.48a53914676fap-12, 0x1.3cd511048d0d9p-12, 0x1.3159a1a478821p-12, 0x1.2630eaddc3cdfp-12, 0x1.1b58f6f9d08edp-12, 0x1.10cfda7607181p-12, 0x1.0693b3d66ea89p-12, 0x1.f94556f5e3719p-13, 0x1.e5f5e6e4a7baep-13, 0x1.d3358ea19a84ap-13, 0x1.c100d808acbebp-13, 0x1.af545f5845a94p-13, 0x1.9e2cd2df2fbccp-13, 0x1.8d86f2a983f6bp-13, 0x1.7d5f9030e687ap-13, 0x1.6db38e10e325dp-13, 0x1.5e7fdfb3a7b6cp-13, 0x1.4fc18908d809p-13, 0x1.41759e39d0ef3p-13, 0x1.3399435cae4c1p-13, 0x1.2629ac2c446fap-13, 0x1.19241bc11a285p-13, 0x1.0c85e444d57e4p-13, 0x1.004c66b19a606p-13, 0x1.e8ea25116477cp-14, 0x1.d1facb1fe9ebdp-14, 0x1.bbc5d718585a2p-14, 0x1.a6467c03ec389p-14, 0x1.917807e18d277p-14, 0x1.7d55e329c142bp-14, 0x1.69db904c59912p-14, 0x1.5704ab356f39ep-14, 0x1.44cce8d1c7f72p-14, 0x1.33301692b39b9p-14, 0x1.222a19fb940c5p-14, 0x1.11b6f027a5208p-14, 0x1.01d2ad584419cp-14, 0x1.e4f2f90717333p-15, 0x1.c74f3dc24c0bcp-15, 0x1.aab2d6ff70c5ep-15, 0x1.8f169da6c17b8p-15, 0x1.747394a3a8592p-15, 0x1.5ac2e80184675p-15, 0x1.41fdec29b4d07p-15, 0x1.2a1e1d0ff0172p-15, 0x1.131d1d6d17bdbp-15, 0x1.f9e96bf8614cap-16, 0x1.cf3da963a64f2p-16, 0x1.a62b18044d6a2p-16, 0x1.7ea6244eb18p-16, 0x1.58a380c621364p-16, 0x1.3418249ce237ap-16, 0x1.10f94a49818d8p-16, 0x1.de78dc5677673p-17, 0x1.9dae9a5f0e201p-17, 0x1.5f7fc70435219p-17, 0x1.23d8d66c7d26fp-17, 0x1.d54d6c4a582ffp-18, 0x1.67ad94e78066bp-18, 0x1.fd5bb00da2565p-19, 0x1.3455956c413efp-19, 0x1.d00f09247b36bp-21, -0x1.0f74b1bfc2ed8p-21, -0x1.e71ddc5b794e8p-20, -0x1.9b5197eebb1c1p-19, -0x1.1db1d27c3f57fp-18, -0x1.6a00ffe9886e4p-18, -0x1.b2b405429249ep-18, -0x1.f7e7d3a305c5p-18, -0x1.1cdc50229a42ep-17, -0x1.3c20f44d5c7b8p-17, -0x1.59cf3b208ea5fp-17, -0x1.75f4317dc9a0ep-17, -0x1.909c8e324e928p-17, -0x1.a9d4b3ee610dcp-17, -0x1.c1a8b30542559p-17, -0x1.d8244b5afee24p-17, -0x1.ed52ee0cb5ac4p-17, -0x1.009fdfa0f5741p-16, -0x1.09facbf053c03p-16, -0x1.12bf839accbbap-16, -0x1.1af32a50a6fc3p-16, -0x1.229ac096a832fp-16, -0x1.29bb2495b2dadp-16, -0x1.305912dedafb7p-16, -0x1.3679272a32668p-16, -0x1.3c1fdd255f63bp-16, -0x1.4151911a805bdp-16, -0x1.461280b77c8c6p-16, -0x1.4a66cbbe1f95fp-16, -0x1.4e5274b55ea2bp-16, -0x1.51d961932019dp-16, -0x1.54ff5c68e0de2p-16, -0x1.57c8140f26964p-16, -0x1.5a371cc3a4832p-16, -0x1.5c4ff0c1a3cdep-16, -0x1.5e15f0f16757p-16, -0x1.5f8c65731087ap-16, -0x1.60b67e385de61p-16, -0x1.6197539cbda4p-16, -0x1.6231e6f246398p-16, -0x1.6289230d4f5b6p-16, -0x1.629fdcd4361ebp-16, -0x1.6278d3c2940fp-16, -0x1.6216b2719e5dcp-16, -0x1.617c0f18cf68ap-16, -0x1.60ab6c0dc1728p-16, -0x1.5fa7383fc7d8dp-16, -0x1.5e71cfb8a92d7p-16, -0x1.5d0d7c084150fp-16, -0x1.5b7c74c62fd26p-16, -0x1.59c0dffc275e6p-16, -0x1.57dcd29ccaf28p-16, -0x1.55d250eba7f08p-16, -0x1.53a34eebf0db1p-16, -0x1.5151b0c8b8fb8p-16, -0x1.4edf4b3db04aep-16, -0x1.4c4de3fbbfb61p-16, -0x1.499f320664758p-16, -0x1.46d4de1d6ea5dp-16, -0x1.43f0831470883p-16, -0x1.40f3ae30bcb35p-16, -0x1.3ddfdf84d038dp-16, -0x1.3ab68a4669758p-16, -0x1.377915294c7b6p-16, -0x1.3428daadbf9b6p-16, -0x1.30c7297925afbp-16, -0x1.2d55449fdce73p-16, -0x1.29d463fc60ebap-16, -0x1.2645b47519e27p-16, -0x1.22aa584c2ba2bp-16, -0x1.1f036767c3dcdp-16, -0x1.1b51ef99d0373p-16, -0x1.1796f4e7a99ccp-16, -0x1.13d371cc58c14p-16, -0x1.1008577ecce61p-16, -0x1.0c368e3222341p-16, -0x1.085ef55562c71p-16, -0x1.048263d1fe6bcp-16, -0x1.00a1a84b16373p-16, -0x1.f97b12ad7a14bp-17, -0x1.f1ad8b73d63c6p-17, -0x1.e9dc2940197c5p-17, -0x1.e2084baa8f49ep-17, -0x1.da3343f282e97p-17, -0x1.d25e556d4e79bp-17, -0x1.ca8ab5efbec18p-17, -0x1.c2b98e29c78d5p-17, -0x1.baebfa157305bp-17, -0x1.b323094f0a1fbp-17, -0x1.ab5fbf73e5ef1p-17, -0x1.a3a31480cc3ccp-17, -0x1.9bedf52a5e94cp-17, -0x1.9441433242948p-17, -0x1.8c9dd5c0bcbadp-17, -0x1.850479af58f6cp-17, -0x1.7d75f1e676467p-17, -0x1.75f2f79fa8c6dp-17, -0x1.6e7c3abae0916p-17, -0x1.67126206982e7p-17, -0x1.5fb60b864a0aap-17, -0x1.5867ccc10862cp-17, -0x1.512832fef2518p-17, -0x1.49f7c3929f2bbp-17, -0x1.42d6fc166b58fp-17, -0x1.3bc652b3c07adp-17, -0x1.34c636585f14ep-17, -0x1.2dd70efbcd489p-17, -0x1.26f93dd5c1959p-17, -0x1.202d1d9a71308p-17, -0x1.197302b2ad69fp-17, -0x1.12cb3b6ffcf75p-17, -0x1.0c361047eb0f3p-17, -0x1.05b3c3ff97e8ep-17, -0x1.fe8927d200ca3p-18, -0x1.f1d17014bd89p-18, -0x1.e540c6a886cf1p-18, -0x1.d8d7879af78bep-18, -0x1.cc9605838aba4p-18, -0x1.c07c89dc97169p-18, -0x1.b48b55559dap-18, -0x1.a8c2a0275c55dp-18, -0x1.9d229a6ca6795p-18, -0x1.91ab6c68a1cedp-18, -0x1.865d36d378009p-18, -0x1.7b38132c73437p-18, -0x1.703c13fd22f4fp-18, -0x1.6569451fb6423p-18, -0x1.5abfac05e9cddp-18, -0x1.503f47fa71df9p-18, -0x1.45e81260efe5p-18, -0x1.3bb9fef6eb107p-18, -0x1.31b4fc0d83947p-18, -0x1.27d8f2c8ada8p-18, -0x1.1e25c7537047bp-18, -0x1.149b591d6d93ap-18, -0x1.0b39830be4e6ep-18, -0x1.02001bb491412p-18, -0x1.f1ddeb0fa8bd5p-19, -0x1.e00bbe13e8b42p-19, -0x1.ce8945fe63d17p-19, -0x1.bd56113333347p-19, -0x1.ac71a7542415cp-19, -0x1.9bdb898dd4ad4p-19, -0x1.8b9332f20c60ep-19, -0x1.7b9818ccac718p-19, -0x1.6be9aaeaa5697p-19, -0x1.5c8753eaf1374p-19, -0x1.4d70798b2dcc4p-19, -0x1.3ea47cee14df8p-19, -0x1.3022bae10acd6p-19, -0x1.21ea8c1c4d73ep-19, -0x1.13fb4589ff88fp-19, -0x1.0654387f210f4p-19, -0x1.f1e965fe9566ap-20, -0x1.d7b7ffe1a8191p-20, -0x1.be12ceb43a4b2p-20, -0x1.a4f85d30dc83cp-20, -0x1.8c673125e5e04p-20, -0x1.745dcbdbf2443p-20, -0x1.5cdaaa7ef7779p-20, -0x1.45dc4678c3f4ap-20, -0x1.2f6115c94e8b8p-20, -0x1.19678b6e9b20dp-20, -0x1.03ee17a4caa46p-20, -0x1.dde65099a343bp-21, -0x1.b4ea525c181dcp-21, -0x1.8ce50893bcb55p-21, -0x1.65d3444675b88p-21, -0x1.3fb1d40e62ed5p-21, -0x1.1a7d8498bdea3p-21, -0x1.ec66426584ed1p-22, -0x1.a59ee88302582p-22, -0x1.609e8f81bddafp-22, -0x1.1d5ecb72ae85dp-22, -0x1.b7b2627751dfbp-23, -0x1.380eaf53f2e6ap-23, -0x1.778b5fe506a1fp-24, -0x1.0b2a769e016f4p-25, 0x1.977a31e88feaap-26, 0x1.4ae961ab95a0ep-24, 0x1.14d24c46d6713p-23, 0x1.8114b6a612dc4p-23, 0x1.ea4880987616bp-23, 0x1.283d16140cb94p-22, 0x1.59db15e4c4114p-22, 0x1.8a047095023acp-22, 0x1.b8bf4e1c7d3aep-22, 0x1.e611cd1560699p-22, 0x1.0901012915593p-21, 0x1.1e4afc332003p-21, 0x1.32e9d7a00c0d3p-21, 0x1.46e08ddd4e55cp-21, 0x1.5a3213a47a14p-21, 0x1.6ce157d69e853p-21, 0x1.7ef14346aa162p-21, 0x1.9064b8958310cp-21, 0x1.a13e940ce19f6p-21, 0x1.b181ab8045672p-21, 0x1.c130ce27d163p-21, 0x1.d04ec488d38e9p-21, 0x1.dede504e287d8p-21, 0x1.ece22c3a5a0e2p-21, 0x1.fa5d0c04602fdp-21, 0x1.03a8ce28b29fp-20, 0x1.09e14147153bdp-20, 0x1.0fd92e759b63dp-20, 0x1.1591e11fbd6fdp-20, 0x1.1b0ca0fed8f81p-20, 0x1.204ab214e2b01p-20, 0x1.254d54a55a8a3p-20, 0x1.2a15c52ec1acep-20, 0x1.2ea53c688f056p-20, 0x1.32fcef3bf725dp-20, 0x1.371e0ec281199p-20, 0x1.3b09c842fd539p-20, 0x1.3ec1452edc4ddp-20, 0x1.4245ab222d626p-20, 0x1.45981be08c805p-20, 0x1.48b9b55578a4p-20, 0x1.4bab919579d5bp-20, 0x1.4e6ec6dedf64fp-20, 0x1.51046796de0ap-20, 0x1.536d82518adfdp-20, 0x1.55ab21cdab2cap-20, 0x1.57be4cfb9cf6cp-20, 0x1.59a806fd18c29p-20, 0x1.5b694f29a9453p-20, 0x1.5d03211120e37p-20, 0x1.5e767481b883cp-20, 0x1.5fc43d8af8578p-20, 0x1.60ed6c81e49d9p-20, 0x1.61f2ee073cbbfp-20, 0x1.62d5ab0aaefa5p-20, 0x1.639688d1603e6p-20, 0x1.643668faac60cp-20, 0x1.64b62985fd842p-20, 0x1.6516a4db3ef65p-20, 0x1.6558b1ceab68ap-20, 0x1.657d23a98188ap-20, 0x1.6584ca2f7ba57p-20, 0x1.657071a4a707p-20, 0x1.6540e2d8207e7p-20, 0x1.64f6e3273a4a8p-20, 0x1.649334861befbp-20, 0x1.6416958a0ef3bp-20, 0x1.6381c16e60a1bp-20, 0x1.62d5701eb925cp-20, 0x1.6212563c5054p-20, 0x1.6139252876579p-20, 0x1.604a8b0a6b096p-20, 0x1.5f4732d8b9b56p-20, 0x1.5e2fc461f2504p-20, 0x1.5d04e455c25e1p-20, 0x1.5bc7344bcb14cp-20, 0x1.5a7752ce774a1p-20, 0x1.5915db61e4086p-20, 0x1.57a3668d04fdp-20, 0x1.562089e1ae6f3p-20, 0x1.548dd80776b57p-20, 0x1.52ebe0c2b13cbp-20, 0x1.513b30fde5f97p-20, 0x1.4f7c52d3207e3p-20, 0x1.4dafcd93820b3p-20, 0x1.4bd625d07be4bp-20, 0x1.49efdd6670378p-20, 0x1.47fd73840df95p-20, 0x1.45ff64b31c9p-20, 0x1.43f62ae2ce50fp-20, 0x1.41e23d6ef1b8p-20, 0x1.3fc41129fb449p-20, 0x1.3d9c1864e2795p-20, 0x1.3b6ac2f83bea9p-20, 0x1.39307e4ecfc2cp-20, 0x1.36edb56c54395p-20, 0x1.34a2d0f6a34c8p-20, 0x1.3250373edbb9fp-20, 0x1.2ff64c49742ebp-20, 0x1.2d9571d6bad7dp-20, 0x1.2b2e076c606c4p-20, 0x1.28c06a5df8e46p-20, 0x1.264cf5d3845d9p-20, 0x1.23d402d3df931p-20, 0x1.2155e84dc6dcbp-20, 0x1.1ed2fb1f088dap-20, 0x1.1c4b8e1bf6bb8p-20, 0x1.19bff218793a9p-20, 0x1.173075f0ac4e9p-20, 0x1.149d66902b3f6p-20, 0x1.12070efb429cdp-20, 0x1.0f6db855c09dap-20, 0x1.0cd1a9ea9f653p-20, 0x1.0a332934949ap-20, 0x1.079279e59478bp-20, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      32, 0x1.1c7ae147ae148p+3, 0x1.e6133234f022cp+0, 0x1.a190e2474bfe1p+2, -0x1.4f24961afd8b4p-13, 
      {{
        {0x1.d3d70a3d70a3dp+2, 0x1.d666666666666p+2, 0x1.f6b4d62aeecd7p-12, -0x1.3e2b52f345b8dp-10, 0x1.2e0f0d8b9fef9p-10, -0x1.f8ffb8e16f3bbp-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.c5b33e75ce93dp-12, -0x1.269c4ba32686bp-10, 0x1.1ee8a9476bf59p-10, -0x1.e8dd1a229d68cp-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.8d9607225de1ap-12, -0x1.0ad6157a7924cp-10, 0x1.0c9391e61fa7cp-10, -0x1.d8b06add12a08p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.5ad870d40487p-12, -0x1.e1bad5db973ap-11, 0x1.f5b3822edde9cp-11, -0x1.c89135599b1e7p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.2d1fb97ea23d5p-12, -0x1.b14596ccae191p-11, 0x1.d3756afb58aep-11, -0x1.b86e6379fce5cp-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.0414380ea3a45p-12, -0x1.842d76130afaap-11, 0x1.b26d238565b68p-11, -0x1.a84c8948ddae3p-12}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.bec2b8d20483dp-13, -0x1.5a53796fe57adp-11, 0x1.929a993988499p-11, -0x1.982a6cba0067dp-12}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.7d6b5ed689009p-13, -0x1.3398a752854a5p-11, 0x1.73fdd111fb748p-11, -0x1.880861f389197p-12}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.4385a5d6fb629p-13, -0x1.0fde05fb8e426p-11, 0x1.5696c9b9512c5p-11, -0x1.77e652694135ap-12}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.107b03709c14dp-13, -0x1.de09377047039p-12, 0x1.3a65838b05e2p-11, -0x1.67c44425d1e01p-12}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.c7763e638a9d7p-14, -0x1.a1dadda41ddp-12, 0x1.1f69fe6e96248p-11, -0x1.57a2358ace554p-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.7977a533d625p-14, -0x1.6af30b28000d6p-12, 0x1.05a43a6a9377dp-11, -0x1.47802707475b4p-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.35f25233365b2p-14, -0x1.3913cc90d1cf9p-12, 0x1.da286efa75d45p-12, -0x1.375e187d6c313p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.f7d58049f4e4cp-15, -0x1.0bff2e73981edp-12, 0x1.ab73eb4e0c007p-12, -0x1.273c09f54cb51p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.94e39b5d4a62ep-15, -0x1.c6ee7aca9e5ap-13, 0x1.7f2ae9cfa6e56p-12, -0x1.1719fb6ca97fep-12}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.41497aafd9e96p-15, -0x1.7e7c0bf5eb07ep-13, 0x1.554d6a7f5a44dp-12, -0x1.06f7ece44a9a8p-12}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.f6b4d62aeec9bp-16, -0x1.3e2b2993126cp-13, 0x1.2ddb6d5d1be1bp-12, -0x1.edabbcb6d0ea7p-13}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.8305024cbbc68p-16, -0x1.057feccc0fb08p-13, 0x1.08d4f268ff692p-12, -0x1.cd679fa88adcap-13}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.248d327e5f545p-16, -0x1.a7fcdd95c58b8p-14, 0x1.cc73f34583993p-13, -0x1.ad23828d78592p-13}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.b1115e03d87edp-17, -0x1.52559172f36dp-14, 0x1.8c150616b18adp-13, -0x1.8cdf65a1b9ea1p-13}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.38c89f4487937p-17, -0x1.0912278409bdfp-14, 0x1.508d1d3e6f408p-13, -0x1.6c9b480630b2ap-13}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.b6f9eecc55b5fp-18, -0x1.9675a436f7d09p-15, 0x1.19dc38d71b26dp-13, -0x1.4c572cf9a4297p-13}, 
        {0x1.0cccccccccccdp+3, 0x1.0e66666666666p+3, 0x1.299ca8437c49p-18, -0x1.2faf8725dad55p-15, 0x1.d004b0fceb72cp-14, -0x1.2c130861797ffp-13}, 
        {0x1.0e66666666666p+3, 0x1.1p+3, 0x1.82ff090767ac1p-19, -0x1.b7c4b8a4b5d4ap-16, 0x1.75fefb4613cebp-14, -0x1.0bcf07689aacfp-13}, 
        {0x1.1p+3, 0x1.119999999999ap+3, 0x1.ddbb6d159ab7fp-20, -0x1.323d1204b72e5p-16, 0x1.25a745d9e5666p-14, -0x1.d71502fc926e4p-14}, 
        {0x1.119999999999ap+3, 0x1.1333333333333p+3, 0x1.13f50990e1f81p-20, -0x1.95d1be414ef9ep-17, 0x1.bdfb7134d20fdp-15, -0x1.968fd7749be8fp-14}, 
        {0x1.1333333333333p+3, 0x1.14ccccccccccdp+3, 0x1.241c6ef8334p-21, -0x1.f7a3e9e13bd64p-18, 0x1.44037d5ea34cdp-15, -0x1.55fc349d35b45p-14}, 
        {0x1.14ccccccccccdp+3, 0x1.1666666666666p+3, 0x1.120cfd7e6d3ffp-22, -0x1.1d77b4db96abbp-18, 0x1.bad60e5ef32a5p-16, -0x1.159e8eb6aa627p-14}, 
        {0x1.1666666666666p+3, 0x1.18p+3, 0x1.ae96250a65p-24, -0x1.1b4b807856482p-19, 0x1.1443b8be268cbp-16, -0x1.a8eed8b72228p-15}, 
        {0x1.18p+3, 0x1.199999999999ap+3, 0x1.fbb67c5828001p-26, -0x1.c519dd496903ap-21, 0x1.2991bc419efd6p-17, -0x1.2c807dc6dd509p-15}, 
        {0x1.199999999999ap+3, 0x1.1b33333333333p+3, 0x1.5ad870d3cp-28, -0x1.e4eca78ed884dp-23, 0x1.d5128ff6025c4p-19, -0x1.344ae94a6e499p-16}, 
        {0x1.1b33333333333p+3, 0x1.1c7ae147ae148p+3, 0x1.b1115df000001p-33, -0x1.e5e8cb315ac33p-27, 0x1.8c7c4672c5p-21, -0x1.15e58a0368f2cp-15}, 
      }}, 
      0x1.942d421292332p-11, -0x1.aa6142d7af5aep-8
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.9e80da45acfafp-3, -0x1.7c54f408f6b54p-3, -0x1.45758e4d4931cp-3, -0x1.f8c01b67c9b05p-4, -0x1.47c6f7659f497p-4, -0x1.f7375967bfff8p-6, 0x1.7de78fb23132ap-6, 0x1.4aad46b77af9bp-4, 0x1.1f6b6043b7cbap-3, 0x1.9bbfbd1c6192ap-3, 0x1.0c2da162ac98bp-2, 0x1.49c434e6884f8p-2, 0x1.85e9174b79f23p-2, 0x1.c0001155ce4e5p-2, 0x1.f788cf33661c3p-2, 0x1.160e21e419cb9p-1, 0x1.2eb4ffc8f2561p-1, 0x1.459acb0eea09dp-1, 0x1.5aaa12a63668p-1, 0x1.6dd504c97802cp-1, 0x1.7f146242c36d4p-1, 0x1.8e668befdaabp-1, 0x1.9bceaa3886ccp-1, 0x1.a753ecd81bbcap-1, 0x1.b100e1156cf12p-1, 0x1.b8e2dc0ba148dp-1, 0x1.bf0976b8b1969p-1, 0x1.c38619ca94576p-1, 0x1.c66b977d3f3ebp-1, 0x1.c7cdd2285fd51p-1, 0x1.c7c16e4f11953p-1, 0x1.c65b8f0fe5da5p-1, 0x1.c3b19bcc35608p-1, 0x1.bfd90de3dea68p-1, 0x1.bae7457fbca7dp-1, 0x1.b4f1648eef5f8p-1, 0x1.ae0c2f414ab74p-1, 0x1.a64bf16a936a5p-1, 0x1.9dc4684ac3bddp-1, 0x1.9488b04f3812ep-1, 0x1.8aab36608e399p-1, 0x1.803dac6181a5cp-1, 0x1.7551008ba655p-1, 0x1.69f5575083a7fp-1, 0x1.5e3a077018a95p-1, 0x1.522d9813d03f3p-1, 0x1.45ddc0af280d9p-1, 0x1.39576a240171ap-1, 0x1.2ca6b172a1a2ap-1, 0x1.1fd6eb7a63cbep-1, 0x1.12f2a947fe21fp-1, 0x1.0603bdd513282p-1, 0x1.f22687447122dp-2, 0x1.d85346dff68f4p-2, 0x1.be9d3610d369dp-2, 0x1.a512884e450b5p-2, 0x1.8bc038c96cc74p-2, 0x1.72b2172205f0ep-2, 0x1.59f2d96a2f9edp-2, 0x1.418c271074902p-2, 0x1.2986ac3962456p-2, 0x1.11ea23383ad0ap-2, 0x1.f57acffb2d51p-3, 0x1.c80d018883b1bp-3, 0x1.9b9560ad72721p-3, 0x1.701cfd261039dp-3, 0x1.45ab91173243bp-3, 0x1.1c4792a2afc4ep-3, 0x1.e7ec9deb885c4p-4, 0x1.9977f8ead799cp-4, 0x1.4d37a1f37f9ep-4, 0x1.0330277ffb2cbp-4, 0x1.76c8c00d44056p-5, 0x1.d7562dd158ef4p-6, 0x1.941b9af232727p-7, -0x1.d26eda1b8f47cp-9, -0x1.35c7f53f7800cp-6, -0x1.143815cf31efap-5, -0x1.892d22aaae449p-5, -0x1.f9cee1bfb445fp-5, -0x1.331561370b1a9p-4, -0x1.6727db69e21fep-4, -0x1.9927051ac8b5p-4, -0x1.c91b9ccb6da1p-4, -0x1.f70ee75a1084ep-4, -0x1.11854f4fe8cc8p-3, -0x1.268c708ffa166p-3, -0x1.3aa2117001a11p-3, -0x1.4dcb8f96fdabfp-3, -0x1.600e65c4b3e05p-3, -0x1.717025b97a913p-3, -0x1.81f6729c3d113p-3, -0x1.91a6fbdbb975fp-3, -0x1.a087787106bc8p-3, -0x1.ae9da297dce63p-3, -0x1.bbef33db4ad77p-3, -0x1.c881e1779d3f9p-3, -0x1.d45b591646dep-3, -0x1.df813dc457f6p-3, -0x1.e9f925392b5bbp-3, -0x1.f3c89561bafa8p-3, -0x1.fcf5022213155p-3, -0x1.02c1e5b296aa5p-2, -0x1.06bd1db08606ap-2, -0x1.0a6ec2893c13ep-2, -0x1.0dd9617af329dp-2, -0x1.10ff7af3bb15fp-2, -0x1.13e38218f4d03p-2, -0x1.1687dc60f5288p-2, -0x1.18eee13f3c62ap-2, -0x1.1b1ad9df9985p-2, -0x1.1d0e00ee2d1d7p-2, -0x1.1eca8274c6ca9p-2, -0x1.20527bbedf94ap-2, -0x1.21a7fb4be3d8dp-2, -0x1.22cd00d733043p-2, -0x1.23c37d6015311p-2, -0x1.248d53406037ep-2, -0x1.252c56554eb81p-2, -0x1.25a24c234858fp-2, -0x1.25f0ec049f1c6p-2, -0x1.2619df66ffaa8p-2, -0x1.261ec200ad8bap-2, -0x1.2601220bf7ea7p-2, -0x1.25c280904ae93p-2, -0x1.256451a209d9bp-2, -0x1.24e7fca54f68fp-2, -0x1.244edc9e6b593p-2, -0x1.239a407a09dd1p-2, -0x1.22cb6b55495b2p-2, -0x1.21e394d2da4fp-2, -0x1.20e3e96a289b5p-2, -0x1.1fcd8ab2eb066p-2, -0x1.1ea18fba8c1dcp-2, -0x1.1d610557598d7p-2, -0x1.1c0cee757a7eap-2, -0x1.1aa644682a6f1p-2, -0x1.192df73c0a6fp-2, -0x1.17a4ee039a274p-2, -0x1.160c0722921e8p-2, -0x1.1464189b58c24p-2, -0x1.12adf058aa956p-2, -0x1.10ea54733e8d1p-2, -0x1.0f1a037985a07p-2, -0x1.0d3db4b5c5e44p-2, -0x1.0b56186d923f1p-2, -0x1.0963d822a346dp-2, -0x1.076796d6c3cf7p-2, -0x1.0561f147fdf49p-2, -0x1.03537e276e24fp-2, -0x1.013cce56b5308p-2, -0x1.fe3cda4d3d467p-3, -0x1.f9f1c11313ea8p-3, -0x1.f599528556bdap-3, -0x1.f134863dcbb7fp-3, -0x1.ecc44a57e9b95p-3, -0x1.e84983c86ce63p-3, -0x1.e3c50eae97a77p-3, -0x1.df37beb018b27p-3, -0x1.daa25f60d8e94p-3, -0x1.d605b493e383cp-3, -0x1.d1627a96ec699p-3, -0x1.ccb9667ceeabfp-3, -0x1.c80b26795731ep-3, -0x1.c358622e19d75p-3, -0x1.bea1bade39d76p-3, -0x1.b9e7cba08a817p-3, -0x1.b52b29a96c85p-3, -0x1.b06c6497340e8p-3, -0x1.abac06a57c61ep-3, -0x1.a6ea94d091fcbp-3, -0x1.a2288f054c064p-3, -0x1.9d6670622c6d9p-3, -0x1.98a4af7202712p-3, -0x1.93e3be4ffbe18p-3, -0x1.8f240ac23f10bp-3, -0x1.8a65fe61fb109p-3, -0x1.85a9fed1f9a7bp-3, -0x1.80f06dede0953p-3, -0x1.7c39a9e490916p-3, -0x1.77860d4a5ec03p-3, -0x1.72d5ef383a59fp-3, -0x1.6e29a3787d699p-3, -0x1.69817aae06c11p-3, -0x1.64ddc2693863p-3, -0x1.603ec534a3826p-3, -0x1.5ba4caaaa5409p-3, -0x1.571017977b85cp-3, -0x1.5280ee1a573e2p-3, -0x1.4df78db9c0d52p-3, -0x1.4974336e06b3cp-3, -0x1.44f719adcfbe6p-3, -0x1.408078846b833p-3, -0x1.3c1085ad51bddp-3, -0x1.37a774aa20b87p-3, -0x1.334576ce7007ep-3, -0x1.2eeabb46e3a96p-3, -0x1.2a976f24bda77p-3, -0x1.264bbd7166ae3p-3, -0x1.2207cf442fbaep-3, -0x1.1dcbcbd1dad2cp-3, -0x1.1997d8742cca4p-3, -0x1.156c18af4f9e6p-3, -0x1.1148ae3c0522ap-3, -0x1.0d2db917f763bp-3, -0x1.091b5796c9ac4p-3, -0x1.0511a66e0cae8p-3, -0x1.0110c0bb820adp-3, -0x1.fa318013eca43p-4, -0x1.f25378b2f75fap-4, -0x1.ea879857d21b4p-4, -0x1.e2ce092524b5fp-4, -0x1.db26f271db297p-4, -0x1.d39278d6340e3p-4, -0x1.cc10be35354abp-4, -0x1.c4a1e1c8a4a27p-4, -0x1.bd46003377b2p-4, -0x1.b5fd3397ed943p-4, -0x1.aec793ab9fcdbp-4, -0x1.a7a535c5f9746p-4, -0x1.a0962cea5683ap-4, -0x1.999a89d1dcd26p-4, -0x1.92b25af8d013ep-4, -0x1.8bddacaf6de94p-4, -0x1.851c892b7ecb3p-4, -0x1.7e6ef8978ad6dp-4, -0x1.77d5011ef66d2p-4, -0x1.714ea6f8694dap-4, -0x1.6adbec708643ep-4, -0x1.647cd1f610bfep-4, -0x1.5e3156276c78p-4, -0x1.57f975e089964p-4, -0x1.51d52c4847dabp-4, -0x1.4bc472dcd2bcap-4, -0x1.45c7417eb2768p-4, -0x1.3fdd8e7ac4d31p-4, -0x1.3a074e93fcce4p-4, -0x1.3444750e0931cp-4, -0x1.2e94f3b967e1ep-4, -0x1.28f8bb005e09bp-4, -0x1.236fb9f384ca8p-4, -0x1.1df9de54993p-4, -0x1.1897149f48579p-4, -0x1.1347481129898p-4, -0x1.0e0a62b2ae70bp-4, -0x1.08e04d61f9371p-4, -0x1.03c8efdf051b8p-4, -0x1.fd8861af0f35fp-5, -0x1.f3a3ebe2490e9p-5, -0x1.e9e447a338c0ap-5, -0x1.e0493c4c0c4b8p-5, -0x1.d6d28f55435d4p-5, -0x1.cd80046886bfep-5, -0x1.c4515d76164b9p-5, -0x1.bb465aca2fdp-5, -0x1.b25ebb1fb9d1ep-5, -0x1.a99a3bb04198dp-5, -0x1.a0f898421b6f4p-5, -0x1.98798b3674759p-5, -0x1.901ccd996d894p-5, -0x1.87e2173414afp-5, -0x1.7fc91e9ece04bp-5, -0x1.77d1995268781p-5, -0x1.6ffb3bb71d18bp-5, -0x1.6845b932050c8p-5, -0x1.60b0c432389dbp-5, -0x1.593c0e3eb56c5p-5, -0x1.51e74805581efp-5, -0x1.4ab2216a6275ep-5, -0x1.439c499792896p-5, -0x1.3ca56f09f439bp-5, -0x1.35cd3f9e51b8ap-5, -0x1.2f13689cd3145p-5, -0x1.287796c4ae4b7p-5, -0x1.21f976587f9p-5, -0x1.1b98b32b349bep-5, -0x1.1554f8ad27df8p-5, -0x1.0f2df1f8c1994p-5, -0x1.092349de47945p-5, -0x1.0334aaee96983p-5, -0x1.fac37f09e3bep-6, -0x1.ef5463a0b5d4bp-6, -0x1.e41b57ba082d7p-6, -0x1.d917af3c4e34dp-6, -0x1.ce48bdf0e2cf8p-6, -0x1.c3add799a409ep-6, -0x1.b9465006c87bep-6, -0x1.af117b2bcc74fp-6, -0x1.a50ead322a18cp-6, -0x1.9b3d3a88fd5a5p-6, -0x1.919c77f182f2bp-6, -0x1.882bba89a95a8p-6, -0x1.7eea57d6c92b3p-6, -0x1.75d7a5d2e1609p-6, -0x1.6cf2fafdd20f5p-6, -0x1.643bae729c9ap-6, -0x1.5bb117fe92977p-6, -0x1.53529036d7796p-6, -0x1.4b1f70886cadp-6, -0x1.4317134049f7p-6, -0x1.3b38d38bc0abbp-6, -0x1.33840d74adc81p-6, -0x1.2bf81ddf2ad88p-6, -0x1.2494628ea533dp-6, -0x1.1d583a35fe838p-6, -0x1.1643049259041p-6, -0x1.0f54228bc2d7bp-6, -0x1.088af65366ap-6, -0x1.01e6e376cfa32p-6, -0x1.f6ce9dc466875p-7, -0x1.ea173da2ee9fap-7, -0x1.dda6756bcfe1cp-7, -0x1.d17b16375b214p-7, -0x1.c593f33725208p-7, -0x1.b9efe1c5182ep-7, -0x1.ae8db9a3d1afep-7, -0x1.a36c5564379cfp-7, -0x1.988a92d59244dp-7, -0x1.8de7535d68fa3p-7, -0x1.83817c18e3a76p-7, -0x1.7957f5b7c6f37p-7, -0x1.6f69ac17cb396p-7, -0x1.65b58dbd11b47p-7, -0x1.5c3a8b53b9eap-7, -0x1.52f79768a2158p-7, -0x1.49eba679e5488p-7, -0x1.4115af6652816p-7, -0x1.3874ac2490202p-7, -0x1.30079a909a2aep-7, -0x1.27cd7d119a947p-7, -0x1.1fc55adfb58d3p-7, -0x1.17ee3fc9c5065p-7, -0x1.10473b7fede31p-7, -0x1.08cf608e66ddep-7, -0x1.0185c3518afd5p-7, -0x1.f4d2f269f6fbbp-8, -0x1.e6f33101b20bcp-8, -0x1.d96a71a633a35p-8, -0x1.cc36e863a4e53p-8, -0x1.bf56d0e752f08p-8, -0x1.b2c8713855b48p-8, -0x1.a68a1b8821072p-8, -0x1.9a9a2e7c55778p-8, -0x1.8ef713b79abb6p-8, -0x1.839f3ce393037p-8, -0x1.78911ff1f0356p-8, -0x1.6dcb33939c5f7p-8, -0x1.634bece91d52dp-8, -0x1.5911bf294b768p-8, -0x1.4f1b1d7d5986bp-8, -0x1.45667eb6277bdp-8, -0x1.3bf261f64d0bfp-8, -0x1.32bd5318b820dp-8, -0x1.29c5ed993dc99p-8, -0x1.210add1a20d49p-8, -0x1.188adb39e3f3p-8, -0x1.1044ab0f08627p-8, -0x1.083713716cb65p-8, -0x1.0060d9737096fp-8, -0x1.f18178f4acb17p-9, -0x1.e2aaea34e5ebdp-9, -0x1.d43b6e387b37p-9, -0x1.c6306c8dd2681p-9, -0x1.b887599e3d538p-9, -0x1.ab3dc39e5f917p-9, -0x1.9e515c3a361f9p-9, -0x1.91bffc61fb22cp-9, -0x1.8587a10b54a78p-9, -0x1.79a661807a732p-9, -0x1.6e1a617d19c62p-9, -0x1.62e1c274f7c71p-9, -0x1.57fa97a37f2d6p-9, -0x1.4d62dfdce6015p-9, -0x1.431886afe8848p-9, -0x1.39196c97e7102p-9, -0x1.2f6374435303cp-9, -0x1.25f491b06b7f5p-9, -0x1.1ccad769e9a2dp-9, -0x1.13e47e9b37fe9p-9, -0x1.0b3fe7fb54629p-9, -0x1.02db95623013cp-9, -0x1.f56c3b731f7eap-10, -0x1.e59c3cba6c9f7p-10, -0x1.d6445b0486778p-10, -0x1.c761a19c5eb65p-10, -0x1.b8f0f42fd1064p-10, -0x1.aaef1583617ddp-10, -0x1.9d58b93a25036p-10, -0x1.902a9c40c299fp-10, -0x1.83619e163c6f4p-10, -0x1.76fad4ef80c3cp-10, -0x1.6af397c23af2p-10, -0x1.5f497b9839da3p-10, -0x1.53fa44cdb8c7ap-10, -0x1.4903d0b42d1b1p-10, -0x1.3e63fe8190189p-10, -0x1.34189d34552d8p-10, -0x1.2a1f62f003b4p-10, -0x1.2075ef4627a2fp-10, -0x1.1719d5a7ceb74p-10, -0x1.0e08abbc506cep-10, -0x1.0540186350843p-10, -0x1.f97bc1fa01fa5p-11, -0x1.e8ffe5d790e15p-11, -0x1.d908cf90dc753p-11, -0x1.c993056db6abbp-11, -0x1.ba9b4b9a7a42bp-11, -0x1.ac1e81324bd25p-11, -0x1.9e1977d33cb26p-11, -0x1.9088d306ae73p-11, -0x1.8368fc989877p-11, -0x1.76b633b2e64d3p-11, -0x1.6a6cb11d35d05p-11, -0x1.5e88d1837b2dap-11, -0x1.530734debb2ccp-11, -0x1.47e4c8f2d1e2ap-11, -0x1.3d1ec0484ea7ap-11, -0x1.32b2802d5b75cp-11, -0x1.289d91ee69286p-11, -0x1.1edd9d0d3cc92p-11, -0x1.1570667a97baap-11, -0x1.0c53cabba2298p-11, -0x1.0385ab13bec21p-11, -0x1.f6079e89e143cp-12, -0x1.e59790e2ec6b2p-12, -0x1.d5b5cd7af26bcp-12, -0x1.c65c9b7f178d2p-12, -0x1.b78649d653952p-12, -0x1.a92da0d2de4a7p-12, -0x1.9b4e2d84010e9p-12, -0x1.8de43f11fde06p-12, -0x1.80ec99e89abe4p-12, -0x1.746411ac1f88ap-12, -0x1.684749924157p-12, -0x1.5c92bdb0f1138p-12, -0x1.514303f4c102bp-12, -0x1.46550fcdec46dp-12, -0x1.3bc646ffc28bep-12, -0x1.3194576fdac58p-12, -0x1.27bce3c2635f9p-12, -0x1.1e3d32f38c091p-12, -0x1.15120d8b71c69p-12, -0x1.0c37dab714771p-12, -0x1.03aaed43394e6p-12, -0x1.f6cfaf82b55ddp-13, -0x1.e6d73b437bc8dp-13, -0x1.d76757ca67381p-13, -0x1.c87b47ee63a39p-13, -0x1.ba0e3df5e1257p-13, -0x1.ac1b2d6f9c1a5p-13, -0x1.9e9d1195bf84cp-13, -0x1.918f7875de0e4p-13, -0x1.84eee950f9962p-13, -0x1.78b8d975e5004p-13, -0x1.6ceb3b385478dp-13, -0x1.6183f673d712dp-13, -0x1.568099cdd43f9p-13, -0x1.4bde5bab35df9p-13, -0x1.419a3d23b0e91p-13, -0x1.37b107f3b3904p-13, -0x1.2e1f1134c3a6fp-13, -0x1.24dffa3e145ap-13, -0x1.1beec206574a8p-13, -0x1.13463dbadd0e1p-13, -0x1.0ae1bf4a95592p-13, -0x1.02bd973987936p-13, -0x1.f5ae8023236e9p-14, -0x1.e65a5ccb2e52dp-14, -0x1.d77cb3fe8f2e8p-14, -0x1.c913590a7b53p-14, -0x1.bb1b4c7908d5cp-14, -0x1.ad90fe61cf704p-14, -0x1.a07141a85db7dp-14, -0x1.93b9e957d407bp-14, -0x1.876971b660fbdp-14, -0x1.7b7e14b81210dp-14, -0x1.6ff503f5519abp-14, -0x1.64ca29bbeeb32p-14, -0x1.59f856b5c2cfap-14, -0x1.4f79884d9599dp-14, -0x1.454732353bc97p-14, -0x1.3b5ad4948e1ccp-14, -0x1.31af09a3e545ap-14, -0x1.284096fc7cc2fp-14, -0x1.1f0e9e44bcbe1p-14, -0x1.16197cf179ff2p-14, -0x1.0d61195cf3406p-14, -0x1.04e3ee6455a62p-14, -0x1.f93ec73bd2cccp-15, -0x1.e9220a3fd05fdp-15, -0x1.d96f4517eb78ap-15, -0x1.ca26597e781c4p-15, -0x1.bb46899a250c1p-15, -0x1.accc34ef0728ep-15, -0x1.9eb17f87fb57ap-15, -0x1.90f069cb79383p-15, -0x1.8383f6518cc7ep-15, -0x1.7667e4db50131p-15, -0x1.6998105719062p-15, -0x1.5d1075f65ddb9p-15, -0x1.50cde36625dfcp-15, -0x1.44ce46b944108p-15, -0x1.390fd0a7e14edp-15, -0x1.2d8fe1d3ad9e3p-15, -0x1.224b8289aeb75p-15, -0x1.1740ebd37ecc1p-15, -0x1.0c700b30fab22p-15, -0x1.01d93e4125629p-15, -0x1.eef706f0cb90ap-16, -0x1.daa8d43403d3ap-16, -0x1.c6c36d79d766fp-16, -0x1.b343cf4f2fbf3p-16, -0x1.a026b14ad2d05p-16, -0x1.8d683388878b9p-16, -0x1.7b04e8993961cp-16, -0x1.68f9de0323232p-16, -0x1.5743a7e6fbf9cp-16, -0x1.45ddf55bb4438p-16, -0x1.34c4a39862559p-16, -0x1.23f5d8a4dc2c2p-16, -0x1.1372b7b34f9d2p-16, -0x1.033cf86f7b06dp-16, -0x1.e6a749fb3448ep-17, -0x1.c7657bcb23f58p-17, -0x1.a8ac07ebb820ap-17, -0x1.8a7655fa507a9p-17, -0x1.6cc3e8282a38ep-17, -0x1.4f9598faeb629p-17, -0x1.32e8807a9f182p-17, -0x1.16b5b4e555569p-17, -0x1.f5f2cdf78ad96p-18, -0x1.bf6ad3c13c9eap-18, -0x1.89d69b35588e4p-18, -0x1.5532fbcde4099p-18, -0x1.217acb47a5631p-18, -0x1.dd5098aee2839p-19, -0x1.7964718c48925p-19, -0x1.17197d2459dfdp-19, -0x1.6cccbed493d8cp-20, -0x1.5d5cbe76ddfa6p-21, 0x1.831f14e2a324p-25, 0x1.873f48785a445p-21, 0x1.77f12b4df9609p-20, 0x1.147e127d6dab3p-19, 0x1.6b5faaeb3c762p-19, 0x1.c0a8cb41d62d4p-19, 0x1.0a338c6b5a961p-18, 0x1.335473e4e070ap-18, 0x1.5bba45f6b3699p-18, 0x1.83611b7024a49p-18, 0x1.aa47b31582ae6p-18, 0x1.d072eb17e19a8p-18, 0x1.f5e2e937f9849p-18, 0x1.0d49818cf7361p-17, 0x1.1f4173fbe51c6p-17, 0x1.30db59ff27d1dp-17, 0x1.421a6d7b93ee2p-17, 0x1.530179ff77792p-17, 0x1.638f79aaab08fp-17, 0x1.73c29c7dd3be8p-17, 0x1.839c8de4f697ap-17, 0x1.931e1d6bcf9dap-17, 0x1.a246033bcc689p-17, 0x1.b114d9409d003p-17, 0x1.bf8c4175b48eap-17, 0x1.cdad146170cf2p-17, 0x1.db778fa77110ep-17, 0x1.e8ebe12b0f92ep-17, 0x1.f60a4b9dd3c13p-17, 0x1.016978f097b6dp-16, 0x1.07a30e17faa6p-16, 0x1.0db27fce43fa8p-16, 0x1.139837f8a2e4bp-16, 0x1.19541bdc99136p-16, 0x1.1ee682d1ab761p-16, 0x1.244f71b864a3fp-16, 0x1.298eb25373de1p-16, 0x1.2ea515a8d3742p-16, 0x1.3393383f8fa94p-16, 0x1.385900ad68bbbp-16, 0x1.3cf6ebc220298p-16, 0x1.416d0799ebdc8p-16, 0x1.45bb3080097e2p-16, 0x1.49e1e477e96cfp-16, 0x1.4de197ab73349p-16, 0x1.51ba8a9b5eb41p-16, 0x1.556cf4e055e61p-16, 0x1.58f9155d28b0fp-16, 0x1.5c5f31ffe85adp-16, 0x1.5f9f94b966f9p-16, 0x1.62ba88f8b7b9p-16, 0x1.65b05ac462889p-16, 0x1.688158b992703p-16, 0x1.6b2dd42a1408cp-16, 0x1.6db610535c03ap-16, 0x1.701a394bc6dbep-16, 0x1.725aaa23d122cp-16, 0x1.7477d1777cf7dp-16, 0x1.7672065217895p-16, 0x1.7849d2d98b15p-16, 0x1.79ff4e4fc0065p-16, 0x1.7b92e918c5a49p-16, 0x1.7d04e1a396b23p-16, 0x1.7e558c828de4ep-16, 0x1.7f856854f3038p-16, 0x1.8094d205f9eaap-16, 0x1.81841ddfd04ddp-16, 0x1.8253a5aa7e043p-16, 0x1.8303c803b69eep-16, 0x1.8394e63c1f9efp-16, 0x1.840762e015337p-16, 0x1.845ba0c212887p-16, 0x1.8492029ff6bb6p-16, 0x1.84aaebb680271p-16, 0x1.84a6c12ced6efp-16, 0x1.8485eafb166b4p-16, 0x1.8448d2af13adbp-16, 0x1.83efe1a2863fp-16, 0x1.837b8253634a7p-16, 0x1.82ec13f3157bep-16, 0x1.8241dc54c9b77p-16, 0x1.817d5ee98b55p-16, 0x1.809f17a073c68p-16, 0x1.7fa77c09da2c2p-16, 0x1.7e96e5fad23bcp-16, 0x1.7d6dc63ef0943p-16, 0x1.7c2c6ffa2b44dp-16, 0x1.7ad36417755ddp-16, 0x1.79631832bec55p-16, 0x1.77dbf26c16df3p-16, 0x1.763e5b2b5311bp-16, 0x1.748abe2bafd9fp-16, 0x1.72c188b398686p-16, 0x1.70e328760155fp-16, 0x1.6ef00aea88c58p-16, 0x1.6ce89cedf6b06p-16, 0x1.6acd4afcbf834p-16, 0x1.689e822915962p-16, 0x1.665cb0f678423p-16, 0x1.640846756f55cp-16, 0x1.61a1afc17cd31p-16, 0x1.5f295968e665ap-16, 0x1.5c9fb2304b5dfp-16, 0x1.5a05090d186d1p-16, 0x1.5759b81041605p-16, 0x1.549e8a6116e67p-16, 0x1.51d3c143341b8p-16, 0x1.4ef98f66c6eb8p-16, 0x1.4c1094904cc1dp-16, 0x1.49193c574c292p-16, 0x1.4613ca3f0d26cp-16, 0x1.4300b766d3f72p-16, 0x1.3fe09abc190d9p-16, 0x1.3cb395692d2e7p-16, 0x1.397a2083f0bedp-16, 0x1.3634b971d9119p-16, 0x1.32e3be9755999p-16, 0x1.2f879021e9f43p-16, 0x1.2c2090daa9dbap-16, 0x1.28af23444598ep-16, 0x1.2533a8e09e452p-16, 0x1.21ae82fe1a5c6p-16, 0x1.1e2013e35f8ccp-16, 0x1.1a88be8fe540cp-16, 0x1.16e8e3fd2b393p-16, 0x1.1340e05678da1p-16, 0x1.0f9112256af46p-16, 0x1.0bd9dcab331ddp-16, 0x1.081b6790978cap-16, 0x1.04564cde01c2bp-16, 0x1.008ae45454b9fp-16, 0x1.f97299c81cc1dp-17, 0x1.f1c434c3a9691p-17, 0x1.ea0b323dd2f8p-17, 0x1.e2482fd12bfdbp-17, 0x1.da7bd50d4ad7fp-17, 0x1.d2a6c4ebded06p-17, 0x1.cac9a05baeea5p-17, 0x1.c2e518fcb7156p-17, 0x1.baf9e1f18b7a3p-17, 0x1.b308587842098p-17, 0x1.ab115e8f0bf76p-17, 0x1.a315524238ecp-17, 0x1.9b14efef853d9p-17, 0x1.9310ef8434664p-17, 0x1.8b09cc0fbb33cp-17, 0x1.83000f08903aep-17, 0x1.7af4499bb786fp-17, 0x1.72e70eb3e2401p-17, 0x1.6ad8ef010b04ep-17, 0x1.62ca71bde1803p-17, 0x1.5abc131c2ab39p-17, 0x1.52ae66461ada5p-17, 0x1.4aa20bbbcc5acp-17, 0x1.429724b20b1c4p-17, 0x1.3a8e88056648ep-17, 0x1.32885da314bfbp-17, 0x1.2a858c950e57bp-17, 0x1.2286695ee52abp-17, 0x1.1a8b593f423p-17, 0x1.1294ced947d3p-17, 0x1.0aa33c302b3edp-17, 0x1.02b7110a3bc57p-17, 0x1.f5a17698c1871p-18, 0x1.e5e14e3fcc7adp-18, 0x1.d62e7d8f3fe2p-18, 0x1.c689d2d7ec958p-18, 0x1.b6f41087a0d13p-18, 0x1.a76dee3c4b0f1p-18, 0x1.97f830bf579cap-18, 0x1.8893c9d59d477p-18, 0x1.79417abb576adp-18, 0x1.6a01665abd291p-18, 0x1.5ad433b998121p-18, 0x1.4bbb266104819p-18, 0x1.3cb6e0004bf98p-18, 0x1.2dc7d806b5e7ap-18, 0x1.1eee9a7b47d3dp-18, 0x1.102bae8af9527p-18, 0x1.017fd1411f86ap-18, 0x1.e5d7d9c43faf3p-19, 0x1.c8dfa1916f4cbp-19, 0x1.ac17be6612ecep-19, 0x1.8f82e8193b0cdp-19, 0x1.7321cf0b3cfdp-19, 0x1.56f50c34d467p-19, 0x1.3afd90c6c093ep-19, 0x1.1f3c4eb9253efp-19, 0x1.03b22df9e8096p-19, 0x1.d0c01a54b412ap-20, 0x1.9a8d850c83a19p-20, 0x1.64ce38f111a67p-20, 0x1.2f83c38a7716p-20, 0x1.f55f46fe157c7p-21, 0x1.8ca69349b354ap-21, 0x1.24e034996690dp-21, 0x1.7c1db70480756p-22, 0x1.60d47a4ba5445p-23, -0x1.95510a78b19a5p-26, -0x1.c237062f79406p-23, -0x1.a6e4cb882f2a6p-22, -0x1.35567fb5d78cfp-21, -0x1.96380cc8ac9fap-21, -0x1.f6148e47a39b7p-21, -0x1.2a7451ad905cep-20, -0x1.595a7b6bf3077p-20, -0x1.87bd7e6cfc122p-20, -0x1.b599f3107fa2dp-20, -0x1.e2ee50fd1ac31p-20, -0x1.07de18937388ap-19, }}, 
      {{-0x1.a63d808b42683p-3, -0x1.9ab56255e6c82p-3, -0x1.87eecee6466d6p-3, -0x1.6e774fd1bc7aap-3, -0x1.4ef4d30ffe795p-3, -0x1.2a19c1cf3ebaep-3, -0x1.009c682d1558bp-3, -0x1.a661c6c8391ccp-4, -0x1.4509ee2f6668cp-4, -0x1.bcf4fe7d0689dp-5, -0x1.cf9b189604448p-6, -0x1.9a82fa0b71f41p-10, 0x1.a3e554b775786p-6, 0x1.b2b3ff2b18b6cp-5, 0x1.49e70217e6e81p-4, 0x1.b9e6da2587d2ap-4, 0x1.145b1767f51c3p-3, 0x1.4ae330927edf3p-3, 0x1.804e03bd52766p-3, 0x1.b466b1bc63fdp-3, 0x1.e7006f1fad974p-3, 0x1.0bfae497142ap-2, 0x1.2393fa198fa77p-2, 0x1.3a3f1244db367p-2, 0x1.4ff2797e52758p-2, 0x1.64a6e64a44746p-2, 0x1.785736d8c60cep-2, 0x1.8b0033f7f2b6ep-2, 0x1.9ca05924270bbp-2, 0x1.ad37a1692d028p-2, 0x1.bcc758be158cep-2, 0x1.cb51f1853c54dp-2, 0x1.d8dadde094738p-2, 0x1.e5666c9280c5p-2, 0x1.f0f9a926510a6p-2, 0x1.fb9a3f20c815p-2, 0x1.02a72ffcb35ebp-1, 0x1.070e55d1ae823p-1, 0x1.0b060db8c1144p-1, 0x1.0e91f7918ec13p-1, 0x1.11b5cdf62d446p-1, 0x1.14755ea7e23cap-1, 0x1.16d483d087244p-1, 0x1.18d71e0675afcp-1, 0x1.1a810f02b962p-1, 0x1.1bd634f9e373bp-1, 0x1.1cda6688f5749p-1, 0x1.1d916f2a03d3ap-1, 0x1.1dff0c2455c94p-1, 0x1.1e26e9ec00d61p-1, 0x1.1e0ca1e81e7ddp-1, 0x1.1db3b894fe783p-1, 0x1.1d1f9bf927e75p-1, 0x1.1c53a26684db9p-1, 0x1.1b53097bb29aep-1, 0x1.1a20f56517ad9p-1, 0x1.18c0704e7176dp-1, 0x1.17346a08f1684p-1, 0x1.157fb7d7d60dap-1, 0x1.13a51463d114dp-1, 0x1.11a71fcde30a8p-1, 0x1.0f885fdb43381p-1, 0x1.0d4b403b1e9bfp-1, 0x1.0af212dcb86b1p-1, 0x1.087f105a348b3p-1, 0x1.05f4586fee9a7p-1, 0x1.0353f28248c7cp-1, 0x1.009fce2d293p-1, 0x1.fbb387b790a6ep-2, 0x1.f6072ace8458fp-2, 0x1.f03ddd7281bdbp-2, 0x1.ea5acce526f2dp-2, 0x1.e460fd278081ep-2, 0x1.de534a4f15326p-2, 0x1.d83469dcddffcp-2, 0x1.d206ec1593ca5p-2, 0x1.cbcd3d59a03b1p-2, 0x1.c589a77aa9918p-2, 0x1.bf3e530cf065fp-2, 0x1.b8ed48b2d615cp-2, 0x1.b2987261c50edp-2, 0x1.ac419ca04effep-2, 0x1.a5ea77bdde297p-2, 0x1.9f94990419ec4p-2, 0x1.99417be1e34edp-2, 0x1.92f2830f360a7p-2, 0x1.8ca8f9a91319dp-2, 0x1.86661444babf5p-2, 0x1.802af1f9c8801p-2, 0x1.79f89d6389eb4p-2, 0x1.73d00d9a03684p-2, 0x1.6db227237c4e8p-2, 0x1.679fbcdf0663bp-2, 0x1.619990e816bd1p-2, 0x1.5ba05572f0af1p-2, 0x1.55b4ada11aaf7p-2, 0x1.4fd72e4d4d57ep-2, 0x1.4a085ece60f41p-2, 0x1.4448b9b128e4dp-2, 0x1.3e98ad69baa08p-2, 0x1.38f89cfcd9ea5p-2, 0x1.3368e0a25eacbp-2, 0x1.2de9c6618d659p-2, 0x1.287b92a7c2751p-2, 0x1.231e80d9b78e9p-2, 0x1.1dd2c3df5e05p-2, 0x1.189886a9bc5ebp-2, 0x1.136fecb2a79c5p-2, 0x1.0e591275e1e4p-2, 0x1.09540de389e45p-2, 0x1.0460eecc0d83fp-2, 0x1.feff7e8bdb6b8p-3, 0x1.f561081be0071p-3, 0x1.ebe679c4bcad6p-3, 0x1.e28fc9b39317p-3, 0x1.d95ce56c12914p-3, 0x1.d04db26708342p-3, 0x1.c7620eaa02ae7p-3, 0x1.be99d15860bcfp-3, 0x1.b5f4cb3d08c96p-3, 0x1.ad72c74ccfd8dp-3, 0x1.a5138b21c1edep-3, 0x1.9cd6d76e826ebp-3, 0x1.94bc686a2d3d5p-3, 0x1.8cc3f6356325ap-3, 0x1.84ed353846b26p-3, 0x1.7d37d67a2302cp-3, 0x1.75a387f3bf3a8p-3, 0x1.6e2ff4dc772ebp-3, 0x1.66dcc5f27d944p-3, 0x1.5fa9a1bf5da6dp-3, 0x1.58962cd8912cdp-3, 0x1.51a20a1c3e32dp-3, 0x1.4accdaeac8e6ap-3, 0x1.44163f5d1f2dp-3, 0x1.3d7dd677732fp-3, 0x1.37033e58c5a04p-3, 0x1.30a6146779cbep-3, 0x1.2a65f57a89db1p-3, 0x1.24427dff9805dp-3, 0x1.1e3b4a1e42b7ep-3, 0x1.184ff5d8b039p-3, 0x1.12801d2950181p-3, 0x1.0ccb5c1e33fa7p-3, 0x1.07314ef25ecf6p-3, 0x1.01b19224d4c0ap-3, 0x1.f897851b7edc9p-4, 0x1.edfefae3fcdc4p-4, 0x1.e398c12a4493fp-4, 0x1.d96414939cf48p-4, 0x1.cf603301a4cd2p-4, 0x1.c58c5bae474bdp-4, 0x1.bbe7cf4505ea3p-4, 0x1.b271cff9fdcf5p-4, 0x1.a929a19ee2b48p-4, 0x1.a00e89b641fc5p-4, 0x1.971fcf849ea02p-4, 0x1.8e5cbc1f66201p-4, 0x1.85c49a7aa0e05p-4, 0x1.7d56b77509819p-4, 0x1.751261e2850c4p-4, 0x1.6cf6ea94e0aa7p-4, 0x1.6503a46331d33p-4, 0x1.5d37e430979a9p-4, 0x1.559300f19fdafp-4, 0x1.4e1453b01ef67p-4, 0x1.46bb378e1d9e8p-4, 0x1.3f8709c8587a8p-4, 0x1.387729b7f4443p-4, 0x1.318af8d33ae53p-4, 0x1.2ac1daad59d8cp-4, 0x1.241b34f5b9493p-4, 0x1.1d966f771a007p-4, 0x1.1732f4163a7d4p-4, 0x1.10f02ecfb0508p-4, 0x1.0acd8db52163cp-4, 0x1.04ca80ea5cb41p-4, 0x1.fdccf544f0a83p-5, 0x1.f241de3912caap-5, 0x1.e6f2a93f6a957p-5, 0x1.dbde46edc8138p-5, 0x1.d103abd917a57p-5, 0x1.c661d08d31b94p-5, 0x1.bbf7b183e9b18p-5, 0x1.b1c44f1b2249ep-5, 0x1.a7c6ad8a57012p-5, 0x1.9dfdd4d8f843fp-5, 0x1.9468d0d46ab54p-5, 0x1.8b06b1060f41bp-5, 0x1.81d688a85c4d2p-5, 0x1.78d76e9bcc4c2p-5, 0x1.70087d5bfc38dp-5, 0x1.6768d2f51118dp-5, 0x1.5ef790f92541bp-5, 0x1.56b3dc756bb9fp-5, 0x1.4e9cdde6ff83p-5, 0x1.46b1c12fa3679p-5, 0x1.3ef1b58ac5586p-5, 0x1.375bed82d8563p-5, 0x1.2fef9ee6be8bap-5, 0x1.28ac02bef687dp-5, 0x1.2190554291f0ap-5, 0x1.1a9bd5cc49686p-5, 0x1.13cdc6cfeae05p-5, 0x1.0d256dd01173ep-5, 0x1.06a21353df06ap-5, 0x1.004302dc8f882p-5, 0x1.f40f15b6078c6p-6, 0x1.e7ddf94ae69ap-6, 0x1.dbf158dac18ep-6, 0x1.d047e26bb8f15p-6, 0x1.c4e04993195ccp-6, 0x1.b9b9476230a8cp-6, 0x1.aed19a5357309p-6, 0x1.a4280635890d1p-6, 0x1.99bb541a3a012p-6, 0x1.8f8a524278c58p-6, 0x1.8593d40cc72dep-6, 0x1.7bd6b1e3238ffp-6, 0x1.7251c928ff2a7p-6, 0x1.6903fc2933d85p-6, 0x1.5fec320423482p-6, 0x1.5709569e59cabp-6, 0x1.4e5a5a8fa5f12p-6, 0x1.45de33126bfbap-6, 0x1.3d93d9f2ef6e2p-6, 0x1.357a4d7e94e71p-6, 0x1.2d909073504bap-6, 0x1.25d5a9ef6c51fp-6, 0x1.1e48a561c5733p-6, 0x1.16e8927a31326p-6, 0x1.0fb4851a06769p-6, 0x1.08ab95449c0a2p-6, 0x1.01ccdf1000cedp-6, 0x1.f62f052bd8791p-7, 0x1.e91547c9ff9a4p-7, 0x1.dc4ad5e463d91p-7, 0x1.cfce0714b55fcp-7, 0x1.c39d3a87b3c36p-7, 0x1.b7b6d6e0d9cfep-7, 0x1.ac194a1e825dp-7, 0x1.a0c3097e7ae9ap-7, 0x1.95b29162ddfdap-7, 0x1.8ae6653709b1ep-7, 0x1.805d0f54e0ceep-7, 0x1.761520ea605dap-7, 0x1.6c0d31dfb279p-7, 0x1.6243e0bdb1b72p-7, 0x1.58b7d294c1036p-7, 0x1.4f67b2e3bb659p-7, 0x1.4652337f034fcp-7, 0x1.3d760c77b7c73p-7, 0x1.34d1fc03ef77ap-7, 0x1.2c64c6663d84cp-7, 0x1.242d35d52ceep-7, 0x1.1c2a1a672755ap-7, 0x1.145a49f98f90dp-7, 0x1.0cbca018865e1p-7, 0x1.054ffdea45003p-7, 0x1.fc26942fdfc78p-8, 0x1.ee0ae16f2233ep-8, 0x1.e04ac66cfb917p-8, 0x1.d2e43087e97ep-8, 0x1.c5d51777e66f4p-8, 0x1.b91b7d24447b8p-8, 0x1.acb56d79e4bcbp-8, 0x1.a0a0fe420c541p-8, 0x1.94dc4ef9caf39p-8, 0x1.896588a9fc7edp-8, 0x1.7e3addbfe96ccp-8, 0x1.735a89e64d56p-8, 0x1.68c2d1de9bb83p-8, 0x1.5e72035aa7cd4p-8, 0x1.546674d6cc753p-8, 0x1.4a9e85749ee45p-8, 0x1.41189cd6328e9p-8, 0x1.37d32af9e7d85p-8, 0x1.2ecca816a76c1p-8, 0x1.260394786a695p-8, 0x1.1d76785d0c512p-8, 0x1.1523e3d1735d8p-8, 0x1.0d0a6e8f33d92p-8, 0x1.0528b7dac2751p-8, 0x1.fafaccc46c55fp-9, 0x1.ec0e503988eccp-9, 0x1.dd8964551049p-9, 0x1.cf6981692de94p-9, 0x1.c1ac2d9ab46bdp-9, 0x1.b44efca215291p-9, 0x1.a74f8f8ce87b8p-9, 0x1.9aab948057355p-9, 0x1.8e60c67ca8d27p-9, 0x1.826ced223d54cp-9, 0x1.76cddc77f86cp-9, 0x1.6b8174b29cfe6p-9, 0x1.6085a1fcda968p-9, 0x1.55d85c3fa1bebp-9, 0x1.4b77a6ea6779fp-9, 0x1.416190bb82a15p-9, 0x1.37943388de435p-9, 0x1.2e0db409ae67ap-9, 0x1.24cc41a16be64p-9, 0x1.1bce162caa3f8p-9, 0x1.131175cf93a9fp-9, 0x1.0a94aec5b5c61p-9, 0x1.0256193268009p-9, 0x1.f4a82de203164p-10, 0x1.e51a26c91cd6p-10, 0x1.d5ff068dc82c8p-10, 0x1.c753c8ef38586p-10, 0x1.b9157b97a86b8p-10, 0x1.ab413dbefeb0dp-10, 0x1.9dd43fd206624p-10, 0x1.90cbc31e833c5p-10, 0x1.84251982f5b3ap-10, 0x1.77dda520410cep-10, 0x1.6bf2d80aad12bp-10, 0x1.606233f898b33p-10, 0x1.552949ed9dc2bp-10, 0x1.4a45b9e37f8b1p-10, 0x1.3fb53273171a9p-10, 0x1.3575707fba945p-10, 0x1.2b843ee89fbaap-10, 0x1.21df7640c1edfp-10, 0x1.1884fc8d7429dp-10, 0x1.0f72c509804fbp-10, 0x1.06a6cfe8bcaaap-10, 0x1.fc3e543185249p-11, 0x1.ebb3d9f8337ebp-11, 0x1.dbaa7c3d9431ep-11, 0x1.cc1e9dccb0a4ep-11, 0x1.bd0cb882d9eecp-11, 0x1.ae715cb708bc4p-11, 0x1.a04930b1deaf9p-11, 0x1.9290f03c48475p-11, 0x1.85456c4127714p-11, 0x1.78638a7ca8bc5p-11, 0x1.6be8452dcea41p-11, 0x1.5fd0aabd00d0ep-11, 0x1.5419dd4f5bf44p-11, 0x1.48c11242d2ccfp-11, 0x1.3dc391975e5ebp-11, 0x1.331eb54fc07dp-11, 0x1.28cfe8d9784e9p-11, 0x1.1ed4a889fac4cp-11, 0x1.152a813add947p-11, 0x1.0bcf100676dfep-11, 0x1.02c0021e3ccc3p-11, 0x1.f3f62956318b9p-12, 0x1.e2fc294ed71c3p-12, 0x1.d28dbd4307bbcp-12, 0x1.c2a6bcb97faa5p-12, 0x1.b3431ca0c9cf7p-12, 0x1.a45eee1b6e71p-12, 0x1.95f65d3cf6768p-12, 0x1.8805afe030f0bp-12, 0x1.7a8944bccd238p-12, 0x1.6d7d92d063557p-12, 0x1.60df2919eac97p-12, 0x1.54aaae93ac0e6p-12, 0x1.48dce246f0135p-12, 0x1.3d729b4a976ap-12, 0x1.3268c88846b13p-12, 0x1.27bc70349008dp-12, 0x1.1d6aaef632384p-12, 0x1.1370b6ce80f9p-12, 0x1.09cbcde6a017ep-12, 0x1.00794d6a902a5p-12, 0x1.eeed41364d34p-13, 0x1.dd828865a0289p-13, 0x1.ccad8c4c43d23p-13, 0x1.bc698b5f9b93ap-13, 0x1.acb1e707e92d2p-13, 0x1.9d8223fca2541p-13, 0x1.8ed5ea497f089p-13, 0x1.80a904d14490ap-13, 0x1.72f760487e01fp-13, 0x1.65bd09c1e39fap-13, 0x1.58f62cf1fad34p-13, 0x1.4c9f1253d2bb2p-13, 0x1.40b41d62fba97p-13, 0x1.3531cb1f007b2p-13, 0x1.2a14b1088ca09p-13, 0x1.1f597cb8d0d01p-13, 0x1.14fcf4066377dp-13, 0x1.0afbf57dc6008p-13, 0x1.015378cd4ec83p-13, 0x1.f0011d9eb50b2p-14, 0x1.de00c20d1b71ap-14, 0x1.cca06141d63e7p-14, 0x1.bbdaaa82e72f4p-14, 0x1.abaa77a69fc1ap-14, 0x1.9c0acb04f7511p-14, 0x1.8cf6cda7eb39dp-14, 0x1.7e69cd8a5a863p-14, 0x1.705f3beb18117p-14, 0x1.62d2ac013fa04p-14, 0x1.55bfd2739dc47p-14, 0x1.492285c297b6fp-14, 0x1.3cf6bf291d11ap-14, 0x1.31389b39c150bp-14, 0x1.25e4596e6069dp-14, 0x1.1af65a59a32p-14, 0x1.106b1cfd2ca52p-14, 0x1.063f3c310e0bp-14, 0x1.f8ded9c1a0e68p-15, 0x1.e5f0faa508ad5p-15, 0x1.d3aea9f9a40ap-15, 0x1.c211e8b50cfa9p-15, 0x1.b114e8e49be0fp-15, 0x1.a0b20c73755abp-15, 0x1.90e3e4a1c859ap-15, 0x1.81a532607f432p-15, 0x1.72f0e714433dbp-15, 0x1.64c224a4288d7p-15, 0x1.57143bccf3b1dp-15, 0x1.49e2a8b82255dp-15, 0x1.3d290eb3b4d97p-15, 0x1.30e3345064899p-15, 0x1.250d00b5e9f63p-15, 0x1.19a27a2d0aa25p-15, 0x1.0e9fc559ce80bp-15, 0x1.040124db60a53p-15, 0x1.f385f282cfc75p-16, 0x1.dfc382f220f66p-16, 0x1.ccb43738c877dp-16, 0x1.ba518bcf4cd22p-16, 0x1.a8953ee712d94p-16, 0x1.9779509b9b702p-16, 0x1.86f800eedfc8fp-16, 0x1.770bcb3de223fp-16, 0x1.67af602b05919p-16, 0x1.58dd9feea4a0fp-16, 0x1.4a9196b9bc5b9p-16, 0x1.3cc67b1b4266dp-16, 0x1.2f77acb0d2ce4p-16, 0x1.22a0b1cd58e39p-16, 0x1.163d34a32ccc5p-16, 0x1.0a49017d79731p-16, 0x1.fd800d4b50428p-17, 0x1.e73ca9111485bp-17, 0x1.d1c0395f73015p-17, 0x1.bd0360424ff71p-17, 0x1.a8feff442f0a3p-17, 0x1.95ac3f1e79d41p-17, 0x1.83049bd6b92adp-17, 0x1.7101ec6f99f11p-17, 0x1.5f9e5da96f4ecp-17, 0x1.4ed45ffc64e8cp-17, 0x1.3e9e92fa436aap-17, 0x1.2ef7bae9fe205p-17, 0x1.1fdac4d249b5bp-17, 0x1.1142d0d37f71dp-17, 0x1.032b3667fb497p-17, 0x1.eb1efb1bfdf18p-18, 0x1.d0d6a4d079264p-18, 0x1.b774f7c0f414bp-18, 0x1.9ef1b0619617dp-18, 0x1.8744b7f44903p-18, 0x1.706622e61a325p-18, 0x1.5a4e37c2bb8dp-18, 0x1.44f5895dc5d9bp-18, 0x1.30551dfeac4bp-18, 0x1.1c6688d822c99p-18, 0x1.0923de5390e08p-18, 0x1.ed0f1197becd8p-19, 0x1.c9183b9915c68p-19, 0x1.a6589ff3c376dp-19, 0x1.84c5f612b0e96p-19, 0x1.645660fe7608ep-19, 0x1.45006a1bd06b3p-19, 0x1.26baec0c22f93p-19, 0x1.097d07fb4515p-19, 0x1.da7c43821efb8p-20, 0x1.a3eba714f3357p-20, 0x1.6f37be2800a23p-20, 0x1.3c505cb037c75p-20, 0x1.0b25caaffafecp-20, 0x1.b751cc59aa85cp-21, 0x1.5b965afaa21d6p-21, 0x1.02fd9aecba1a3p-21, 0x1.5adb5c14a87c6p-22, 0x1.6b3c1c9896ef5p-23, 0x1.6189124a87013p-26, -0x1.07ba19c47db2ep-23, -0x1.186a92adadd87p-22, -0x1.a7b84ac4ae61ep-22, -0x1.18f705dd167dp-21, -0x1.5b98fff470312p-21, -0x1.9bd44c2dee89cp-21, -0x1.d9ba92c582da9p-21, -0x1.0aae82a7b2ed3p-20, -0x1.276621155e2c8p-20, -0x1.430c217a609c9p-20, -0x1.5da8389fb28ffp-20, -0x1.7741e8a39c363p-20, -0x1.8fe0916d9b94dp-20, -0x1.a78b6b2270729p-20, -0x1.be49611434ccp-20, -0x1.d420dcbe2bafdp-20, -0x1.e917b152e3367p-20, -0x1.fd334b9c9b7d7p-20, -0x1.083c8276f08aep-19, -0x1.117725ba6e98dp-19, -0x1.1a4c3fef074dfp-19, -0x1.22be5e1726579p-19, -0x1.2acfe2cd677fcp-19, -0x1.328317f0c59c2p-19, -0x1.39da43a613cb6p-19, -0x1.40d7a9311609ep-19, -0x1.477d78da07facp-19, -0x1.4dcdc92d9bd6ep-19, -0x1.53ca9f3e69657p-19, -0x1.5975f5484701ap-19, -0x1.5ed1bb6a6ab2ep-19, -0x1.63dfd7da11a87p-19, -0x1.68a22397f1e7fp-19, -0x1.6d1a60acf5aa7p-19, -0x1.714a3580134e6p-19, -0x1.753335e33426dp-19, -0x1.78d6ed5b3e65ap-19, -0x1.7c36e052b6ebbp-19, -0x1.7f548e541be06p-19, -0x1.82317a204b7f2p-19, -0x1.84cf297a49158p-19, -0x1.872f17cfbc432p-19, -0x1.8952a5d49177dp-19, -0x1.8b3b173f9324bp-19, -0x1.8ce9a636f57ecp-19, -0x1.8e5f94a4ec879p-19, -0x1.8f9e276f148dcp-19, -0x1.90a69c909b232p-19, -0x1.917a2a9a761ep-19, -0x1.921a00b95cf32p-19, -0x1.9287463446b8cp-19, -0x1.92c31d624eb3p-19, -0x1.92cea5da63126p-19, -0x1.92aafc53bc31ep-19, -0x1.9259364d05affp-19, -0x1.91da5b98aa298p-19, -0x1.912f6a3aabd8ap-19, -0x1.905960ad53911p-19, -0x1.8f593cffd119bp-19, -0x1.8e2ff9984ac3fp-19, -0x1.8cde925f6f3fdp-19, -0x1.8b6604ed6327dp-19, -0x1.89c74a199d45bp-19, -0x1.8803523114ff5p-19, -0x1.861b02692dbb7p-19, -0x1.840f379483adbp-19, -0x1.81e0d2261d3afp-19, -0x1.7f90b7edd5d7dp-19, -0x1.7d1fc78d0d03ep-19, -0x1.7a8ed6a4350ddp-19, -0x1.77debbe137989p-19, -0x1.751051bb37172p-19, -0x1.7224720e4e64ep-19, -0x1.6f1bf0ad36d7bp-19, -0x1.6bf796f6d7bb1p-19, -0x1.68b829e99aa2cp-19, -0x1.655e72ea83f17p-19, -0x1.61eb3acf8d85bp-19, -0x1.5e5f45817e38cp-19, -0x1.5abb550d69401p-19, -0x1.57002973e08b3p-19, -0x1.532e7f72349a7p-19, -0x1.4f47112987007p-19, -0x1.4b4a976f660bp-19, -0x1.4739caa02dc29p-19, -0x1.4315619e00612p-19, -0x1.3ede10418055cp-19, -0x1.3a94877d4b8fbp-19, -0x1.363974d146307p-19, -0x1.31cd832a3922ap-19, -0x1.2d515e3e1e5a9p-19, -0x1.28c5b0846c00dp-19, -0x1.242b21d0ca91dp-19, -0x1.1f82585c4d917p-19, -0x1.1acbf62f1e425p-19, -0x1.16089a5edb20ep-19, -0x1.1138e4e2ea134p-19, -0x1.0c5d73411b8e3p-19, -0x1.0776e017e07ecp-19, -0x1.0285c4e119bbep-19, -0x1.fb1571d08634ap-20, -0x1.f10ca238be9e4p-20, -0x1.e6f240f97bbeap-20, -0x1.dcc7708842879p-20, -0x1.d28d4fcea406ap-20, -0x1.c844f9f29ecfep-20, -0x1.bdef8602d2956p-20, -0x1.b38e06dd4206bp-20, -0x1.a9218b6812c7fp-20, -0x1.9eab1ef21aedbp-20, -0x1.942bc8afcf836p-20, -0x1.89a48b02651dep-20, -0x1.7f1665b1c3d6bp-20, -0x1.7482560afb59ep-20, -0x1.69e954389771ep-20, -0x1.5f4c542a7abbdp-20, -0x1.54ac445615287p-20, -0x1.4a0a1185b41f7p-20, -0x1.3f66a38868efp-20, -0x1.34c2de194ec6p-20, -0x1.2a1fa1824afafp-20, -0x1.1f7dc9a8084d2p-20, -0x1.14de2e81eaf5p-20, -0x1.0a41a45fb24e8p-20, -0x1.ff51f7d8b9d14p-21, -0x1.ea2a043345c68p-21, -0x1.d50cfff2072b4p-21, -0x1.bffc7503ffc24p-21, -0x1.aaf9e507f1575p-21, -0x1.9606c97ee80fdp-21, -0x1.8124946f80344p-21, -0x1.6c54b0e961bb2p-21, -0x1.579882cd5b252p-21, -0x1.42f166133041bp-21, -0x1.2e60aeacc1f34p-21, -0x1.19e7a8a5f6dd6p-21, -0x1.0587974727e2fp-21, -0x1.e2837082891e1p-22, -0x1.ba2e84e1c13bdp-22, -0x1.9212cbc72aff8p-22, -0x1.6a329402eefcbp-22, -0x1.42901cc811368p-22, -0x1.1b2d93c91797dp-22, -0x1.e81a3861fccbcp-23, -0x1.9a61934aeab94p-23, -0x1.4d35404e4b299p-23, -0x1.00992b9f625a1p-23, -0x1.69224cbd97d73p-24, -0x1.a4839aad9d245p-25, -0x1.e4c06e4c5c6bdp-27, 0x1.5f4fd61c7d2fcp-26, 0x1.d5f6f34a8e046p-25, 0x1.7cd7f4003c266p-24, 0x1.06b18795062f9p-23, 0x1.4e4b54046fde5p-23, 0x1.9536677ae9217p-23, 0x1.db6fe6f307af3p-23, 0x1.107a8a6fd53a1p-22, 0x1.32e1a656e28ep-22, 0x1.54ec023ffb935p-22, 0x1.7698636c7f567p-22, 0x1.97e5940d43061p-22, 0x1.b8d275c22b831p-22, 0x1.d95df908169fdp-22, 0x1.f9871360b19f8p-22, 0x1.0ca6642fba72p-21, 0x1.1c5714a565b37p-21, 0x1.2bd527880fbafp-21, 0x1.3b202e68920e3p-21, 0x1.4a37c58757792p-21, 0x1.591b8b1b63aaep-21, 0x1.67cb2282797d1p-21, 0x1.764635ad04c69p-21, 0x1.848c73e991c7bp-21, 0x1.929d91ef70d3ap-21, 0x1.a0794a0c04ef6p-21, 0x1.ae1f5bfe21087p-21, 0x1.bb8f8c7a80b45p-21, 0x1.c8c9a49bc836fp-21, 0x1.d5cd71e0072d2p-21, 0x1.e29ac6ebf5144p-21, 0x1.ef317c535488cp-21, 0x1.fb916fed9ee8bp-21, 0x1.03dd41a180e1fp-20, 0x1.09d64ea71024bp-20, 0x1.0fb3d308623cbp-20, 0x1.1575c6786ebb2p-20, 0x1.1b1c23c54b718p-20, 0x1.20a6e5c8b66a4p-20, 0x1.26160a7710ebcp-20, 0x1.2b6991c2bed53p-20, 0x1.30a17db5a54e5p-20, 0x1.35bdd2ae242f4p-20, 0x1.3abe972919eeap-20, 0x1.3fa3d3061db87p-20, 0x1.446d8f8096d99p-20, 0x1.491bd87d033edp-20, 0x1.4daeba8927b15p-20, 0x1.52264561182c6p-20, 0x1.5682898b9b5c4p-20, 0x1.5ac399531a5a9p-20, 0x1.5ee98950aad39p-20, 0x1.62f46f836e044p-20, 0x1.66e4633271fd3p-20, 0x1.6ab97cef5e786p-20, 0x1.6e73d6ce9ca09p-20, 0x1.72138cbe88c79p-20, 0x1.7598bca162136p-20, 0x1.7903854eeb2dfp-20, 0x1.7c540618ca935p-20, 0x1.7f8a60a727194p-20, 0x1.82a6b6cc684b2p-20, 0x1.85a92d214c8e1p-20, 0x1.8891e7d1cbc3ap-20, 0x1.8b610d5de7816p-20, 0x1.8e16c5450d4e4p-20, 0x1.90b3380d64ac8p-20, 0x1.93368f5185bf2p-20, 0x1.95a0f5ae093a6p-20, 0x1.97f296b0dfbb6p-20, 0x1.9a2b9ed41f5p-20, 0x1.9c4c3b7a14f61p-20, 0x1.9e549afa981a9p-20, 0x1.a044ecc1f567bp-20, 0x1.a21d614576474p-20, 0x1.a3de29761e597p-20, 0x1.a587765f9962fp-20, 0x1.a71979c7f15b1p-20, 0x1.a89466f552a99p-20, 0x1.a9f872c03145dp-20, 0x1.ab45d3f3c04acp-20, 0x1.ac7cbec053f94p-20, 0x1.ad9d6867bf303p-20, 0x1.aea808a44592cp-20, 0x1.af9cd5063a92fp-20, 0x1.b07c04533024dp-20, 0x1.b145ce762ee82p-20, 0x1.b1fa6d24d3b85p-20, 0x1.b29a19d5da59ap-20, 0x1.b3250d3b930b7p-20, 0x1.b39b816ad093p-20, 0x1.b3fdb0d9ce3f9p-20, 0x1.b44bd625f8194p-20, 0x1.b4862c3fccf2cp-20, 0x1.b4acee6afc62ap-20, 0x1.b4c05839ca2c3p-20, 0x1.b4c0a5864e04ap-20, 0x1.b4ae126b7d288p-20, 0x1.b488db3fe1fb1p-20, 0x1.b4513c8a87d68p-20, 0x1.b40772fb5d74fp-20, 0x1.b3abbb6cd524bp-20, 0x1.b33e52dab15dp-20, 0x1.b2bf765ac6d88p-20, 0x1.b22f6322418p-20, 0x1.b18e5687fac86p-20, 0x1.b0dc8e05a1ff9p-20, 0x1.b01a472adf8e1p-20, 0x1.af47bf6b7d954p-20, 0x1.ae653400604e1p-20, 0x1.ad72e206f4467p-20, 0x1.ac71076ae1c85p-20, 0x1.ab5fe244f4d93p-20, 0x1.aa3faf10ab94ep-20, 0x1.a910aabe02b6p-20, 0x1.a7d3131e67e94p-20, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.2d59f3bb8b35cp-8, -0x1.946e39fc5051fp-7, -0x1.9958cc38440c7p-6, -0x1.61eabcab0b635p-5, -0x1.124a4713c17c3p-4, -0x1.885ea4b0f9aa2p-4, -0x1.08144b8ecc8dcp-3, -0x1.5308fa2a80a9fp-3, -0x1.a32aac94ff04ep-3, -0x1.f69e6213cffa5p-3, -0x1.25d283dd2f8a3p-2, -0x1.5053d6efec4aep-2, -0x1.7a1f00a5dc596p-2, -0x1.a2986093c5943p-2, -0x1.c93cbc557a4bcp-2, -0x1.eda03662503dcp-2, -0x1.07b65b3d1e6f9p-1, -0x1.17300132a1a75p-1, -0x1.2524d9cabd9a9p-1, -0x1.3184943a1a1bep-1, -0x1.3c45c2e112cfp-1, -0x1.4564ea713c0b5p-1, -0x1.4ce3a3605d6d9p-1, -0x1.52c7cf4cab44p-1, -0x1.571ae2ba5f9bfp-1, -0x1.59e9428c698b6p-1, -0x1.5b41b4018c598p-1, -0x1.5b34ddc4108bcp-1, -0x1.59d4d888b714bp-1, -0x1.5734cdc3e8df2p-1, -0x1.5368a31cac576p-1, -0x1.4e84b160fddbcp-1, -0x1.489d85cc9155bp-1, -0x1.41c7ac7eea6a8p-1, -0x1.3a178312f2ee9p-1, -0x1.31a1126618dbp-1, -0x1.2877eeb970d9bp-1, -0x1.1eaf1d703e285p-1, -0x1.1458ffc5373eep-1, -0x1.098741e160b5cp-1, -0x1.fc959b9f82b45p-2, -0x1.e56783ade04bap-2, -0x1.cda2d3a287878p-2, -0x1.b564763b3f9dcp-2, -0x1.9cc7a596f6443p-2, -0x1.83e5eb8a25f92p-2, -0x1.6ad72567fd7dfp-2, -0x1.51b18a3f1b84cp-2, -0x1.3889b3deb029ep-2, -0x1.1f72a9ea06f7dp-2, -0x1.067dedc72853dp-2, -0x1.db77120853af7p-3, -0x1.aa743751acd95p-3, -0x1.7a0dd7a2ebf39p-3, -0x1.4a5bebf03c4afp-3, -0x1.1b73f949f1b3ap-3, -0x1.dad267e512bdfp-4, -0x1.80993a720cbd8p-4, -0x1.285a50794d31p-4, -0x1.a45f543272b61p-5, -0x1.f8beb00acb35bp-6, -0x1.636a81a898e35p-7, 0x1.183c89775e8e1p-7, 0x1.c08856511f473p-6, 0x1.75b018394d83ap-5, 0x1.0321cc490fcbcp-4, 0x1.48f9f9c8ecec2p-4, 0x1.8c5d5cd2a9242p-4, 0x1.cd4aaee92108bp-4, 0x1.05e13a4d5b04cp-3, 0x1.23e3695f923c2p-3, 0x1.40adb53d5f036p-3, 0x1.5c429aa049178p-3, 0x1.76a5321cb4bfep-3, 0x1.8fd920aca3f98p-3, 0x1.a7e2894dda8ffp-3, 0x1.bec5ff8bc9008p-3, 0x1.d4887ae12470dp-3, 0x1.e92f4ae727a8fp-3, 0x1.fcc00c3988779p-3, 0x1.07a04f07fdd2p-2, 0x1.105b8c3e2eff6p-2, 0x1.1894e1a95ab4cp-2, 0x1.204f86d86d56ep-2, 0x1.278ec31171fd5p-2, 0x1.2e55e9b087167p-2, 0x1.34a856cb089b9p-2, 0x1.3a896c1ab2206p-2, 0x1.3ffc8e24e35dep-2, 0x1.450521a3dc5bdp-2, 0x1.49a6892ae0be9p-2, 0x1.4de42303a45dfp-2, 0x1.51c14746d6dcp-2, 0x1.55414624293b5p-2, 0x1.5867665d4026dp-2, 0x1.5b36e3ea2938ap-2, 0x1.5db2eec16b35p-2, 0x1.5fdea9c617307p-2, 0x1.61bd29d13ed58p-2, 0x1.635174da64c8fp-2, 0x1.649e813ea3e19p-2, 0x1.65a73520784bdp-2, 0x1.666e65e6b5cf3p-2, 0x1.66f6d7d4caa46p-2, 0x1.67433dba4d2a5p-2, 0x1.675638ba652ccp-2, 0x1.6732582489e9ep-2, 0x1.66da195dbffb2p-2, 0x1.664fe7d62984fp-2, 0x1.65961d0badb61p-2, 0x1.64af0095b90b4p-2, 0x1.639cc838ede94p-2, 0x1.626198095b522p-2, 0x1.60ff8291b613dp-2, 0x1.5f78890442e5dp-2, 0x1.5dce9b7af7e18p-2, 0x1.5c039939652cp-2, 0x1.5a1950f7ffd77p-2, 0x1.5811813b251ccp-2, 0x1.55edd8a7b80e8p-2, 0x1.53aff65cfd239p-2, 0x1.51596a55d100ap-2, 0x1.4eebb5c41982dp-2, 0x1.4c684b6d99b6bp-2, 0x1.49d0900e6f68p-2, 0x1.4725dab4de554p-2, 0x1.4469751d0799p-2, 0x1.419c9c12f23ccp-2, 0x1.3ec07fcea4b53p-2, 0x1.3bd6444f7b8a6p-2, 0x1.38df01be07407p-2, 0x1.35dbc4c9903b1p-2, 0x1.32cd8f02fdaeep-2, 0x1.2fb5573c73d66p-2, 0x1.2c9409e66d668p-2, 0x1.296a8968633c3p-2, 0x1.2639ae7a7a2a2p-2, 0x1.2302487e2d4ap-2, 0x1.1fc51dd2593acp-2, 0x1.1c82ec250264p-2, 0x1.193c68c4795f4p-2, 0x1.15f240ed08bcdp-2, 0x1.12a51a12c5a94p-2, 0x1.0f55922afa193p-2, 0x1.0c043ff37ec13p-2, 0x1.08b1b335300c1p-2, 0x1.055e7505bdb3cp-2, 0x1.020b080a3777dp-2, 0x1.fd6fd16917d85p-3, 0x1.f6cb1afa54519p-3, 0x1.f028ce3e20147p-3, 0x1.e989c1a6aac3ap-3, 0x1.e2eec10c50d4dp-3, 0x1.dc588e126525p-3, 0x1.d5c7e09230e21p-3, 0x1.cf3d670440edfp-3, 0x1.c8b9c6dcf3068p-3, 0x1.c23d9ce228fc9p-3, 0x1.bbc97d8610dc4p-3, 0x1.b55df544e26d3p-3, 0x1.aefb88f6db8e4p-3, 0x1.a8a2b6166d593p-3, 0x1.a253f30a8468dp-3, 0x1.9c0faf78506dcp-3, 0x1.95d6548d6e8c6p-3, 0x1.8fa8453b57158p-3, 0x1.8985de71797abp-3, 0x1.836f7760c0a05p-3, 0x1.7d6561bf164f8p-3, 0x1.7767e9fe6a276p-3, 0x1.7177577b3bebdp-3, 0x1.6b93ecaf73fadp-3, 0x1.65bde76be0ec1p-3, 0x1.5ff5810e1614bp-3, 0x1.5a3aeeab8558dp-3, 0x1.548e61371618ap-3, 0x1.4ef005ab69435p-3, 0x1.4960053ae5cbfp-3, 0x1.43de857c24404p-3, 0x1.3e6ba88c4214bp-3, 0x1.39078d2c71ccep-3, 0x1.33b24ee46c2ffp-3, 0x1.2e6c062a66237p-3, 0x1.2934c887d39c2p-3, 0x1.240ca8b574bf6p-3, 0x1.1ef3b6b322f0cp-3, 0x1.19e9ffe305915p-3, 0x1.14ef8f295de6ep-3, 0x1.10046d0b1c835p-3, 0x1.0b289fc69cb1fp-3, 0x1.065c2b67c7db4p-3, 0x1.019f11dc9ef1fp-3, 0x1.f9e2a61a0b7c3p-4, 0x1.f0a5d9e84c981p-4, 0x1.e787b76e9d72ap-4, 0x1.de883370a2b5ep-4, 0x1.d5a73f4a9ed9dp-4, 0x1.cce4c9135be24p-4, 0x1.c440bbc3de60cp-4, 0x1.bbbaff608ba7bp-4, 0x1.b353791ca11e6p-4, 0x1.ab0a0b76237a3p-4, 0x1.a2de964f23641p-4, 0x1.9ad0f70a24524p-4, 0x1.92e108ab15438p-4, 0x1.8b0ea3f83c757p-4, 0x1.83599f9644e01p-4, 0x1.7bc1d01f06e61p-4, 0x1.74470836b2328p-4, 0x1.6ce918a31d2afp-4, 0x1.65a7d065f1724p-4, 0x1.5e82fcd719561p-4, 0x1.577a69bc3ec08p-4, 0x1.508de15c87b1ep-4, 0x1.49bd2c9268c98p-4, 0x1.430812de16227p-4, 0x1.3c6e5a79fb289p-4, 0x1.35efc8701cc21p-4, 0x1.2f8c20ae1b461p-4, 0x1.2943261680332p-4, 0x1.23149a8fffd38p-4, 0x1.1d003f1478bbcp-4, 0x1.1705d3c0f9c2dp-4, 0x1.112517e69c513p-4, 0x1.0b5dca1aee456p-4, 0x1.05afa846dfdafp-4, 0x1.001a6fb457b5p-4, 0x1.f53bba3662651p-5, 0x1.ea73595c530b5p-5, 0x1.dfdb344f9778fp-5, 0x1.d572c1ae1ec41p-5, 0x1.cb39775722e15p-5, 0x1.c12eca830120dp-5, 0x1.b7522fdaa8699p-5, 0x1.ada31b8e02637p-5, 0x1.a42101687f2dp-5, 0x1.9acb54e3edd75p-5, 0x1.91a1893aca403p-5, 0x1.88a3117b5f70ap-5, 0x1.7fcf609bff961p-5, 0x1.7725e98f11c2ap-5, 0x1.6ea61f552d1d9p-5, 0x1.664f750c63265p-5, 0x1.5e215dfda1414p-5, 0x1.561b4daa49281p-5, 0x1.4e3cb7db7c949p-5, 0x1.468510b2b9a34p-5, 0x1.3ef3ccba1348bp-5, 0x1.378860f234b79p-5, 0x1.304242ddaf4aep-5, 0x1.2920e88abcf73p-5, 0x1.2223c89d556acp-5, 0x1.1b4a5a5ae41cep-5, 0x1.149415b70f0b2p-5, 0x1.0e0073602ea6bp-5, 0x1.078eecc9ddbf8p-5, 0x1.013efc35805abp-5, 0x1.f6203972e7aedp-6, 0x1.ea039490a85f2p-6, 0x1.de270372939d6p-6, 0x1.d28981a27dd8dp-6, 0x1.c72a0c97dafd8p-6, 0x1.bc07a3c77c78bp-6, 0x1.b12148b013p-6, 0x1.a675fee468495p-6, 0x1.9c04cc1529933p-6, 0x1.91ccb81bd4cdcp-6, 0x1.87cccd06d0d3cp-6, 0x1.7e041725d5dcbp-6, 0x1.7471a5152fcaap-6, 0x1.6b1487c6b64bfp-6, 0x1.61ebd288a0d12p-6, 0x1.58f69b0b32419p-6, 0x1.5033f96693d68p-6, 0x1.47a3082187499p-6, 0x1.3f42e438c6d33p-6, 0x1.3712ad264ea45p-6, 0x1.2f1184e7ad453p-6, 0x1.273e9002c0bd7p-6, 0x1.1f98f588f385cp-6, 0x1.181fdf1958f69p-6, 0x1.10d278e284c05p-6, 0x1.09aff1a49676cp-6, 0x1.02b77ab3b44acp-6, 0x1.f7d08ff5da6adp-7, 0x1.ea831ffe30a4cp-7, 0x1.dd8517c284761p-7, 0x1.d0d4eec0d7bc3p-7, 0x1.c47121b426069p-7, 0x1.b8583292e731p-7, 0x1.ac88a88af57cap-7, 0x1.a1010ffbe55fbp-7, 0x1.95bffa7173d9ep-7, 0x1.8ac3fe9fb7248p-7, 0x1.800bb86233aacp-7, 0x1.7595c8be068adp-7, 0x1.6b60d5e55ad36p-7, 0x1.616b8b39956dp-7, 0x1.57b49948f51e1p-7, 0x1.4e3ab5c59ded5p-7, 0x1.44fc9b7631ab5p-7, 0x1.3bf90a22992bbp-7, 0x1.332ec681cd7f4p-7, 0x1.2a9c9a2d7db8ep-7, 0x1.2241539ed94d7p-7, 0x1.1a1bc6344025bp-7, 0x1.122aca3c14e51p-7, 0x1.0a6d3cfdc2226p-7, 0x1.02e200b9ed7ep-7, 0x1.f70ff939691a6p-8, 0x1.e8bc394318094p-8, 0x1.dac6a2db1361fp-8, 0x1.cd2d205252e1p-8, 0x1.bfeda4c8234p-8, 0x1.b3062c155bcccp-8, 0x1.a674bae07e877p-8, 0x1.9a375ed0f05dcp-8, 0x1.8e4c2ecb8b0f3p-8, 0x1.82b14b1bf8dbfp-8, 0x1.7764dd72044fcp-8, 0x1.6c6518a636138p-8, 0x1.61b0384a30cd4p-8, 0x1.5744801d31d51p-8, 0x1.4d203b876bc8dp-8, 0x1.4341bd41d600fp-8, 0x1.39a75f453f897p-8, 0x1.304f8305b150dp-8, 0x1.273891e7bdd8ep-8, 0x1.1e60fdc851d8cp-8, 0x1.15c74164ba062p-8, 0x1.0d69e0766a43fp-8, 0x1.05476769b1ab4p-8, 0x1.fabcd565b6291p-9, 0x1.eb5b0bca1d88fp-9, 0x1.dc66b58a168ebp-9, 0x1.cddd212ef33cp-9, 0x1.bfbba7bf39016p-9, 0x1.b1ffad4af3247p-9, 0x1.a4a6a265712aap-9, 0x1.97ae06247ab2bp-9, 0x1.8b13680a05989p-9, 0x1.7ed46937c4238p-9, 0x1.72eebc7306118p-9, 0x1.676024cfb6406p-9, 0x1.5c267337b3aadp-9, 0x1.513f835d8f5cbp-9, 0x1.46a938dee5257p-9, 0x1.3c617d5bf2281p-9, 0x1.32664010c0c12p-9, 0x1.28b5771c62db3p-9, 0x1.1f4d222b79c6ep-9, 0x1.162b4dd4dc74fp-9, 0x1.0d4e16bb9e018p-9, 0x1.04b3ab8b1b68cp-9, 0x1.f8b49a475af7dp-10, 0x1.e880998362159p-10, 0x1.d8c810ed07fcfp-10, 0x1.c987cd781f631p-10, 0x1.babca472528c7p-10, 0x1.ac636d98615b8p-10, 0x1.9e790148aa44cp-10, 0x1.90fa3b6075d97p-10, 0x1.83e4022073926p-10, 0x1.77334f6314ddbp-10, 0x1.6ae539c427e8cp-10, 0x1.5ef6fb4ba09bap-10, 0x1.5365f3bf80ff4p-10, 0x1.482fa5d224711p-10, 0x1.3d51afae2916bp-10, 0x1.32c9c09602125p-10, 0x1.28958e10ffe76p-10, 0x1.1eb2cb40ee502p-10, 0x1.151f2474de9ecp-10, 0x1.0bd8400277946p-10, 0x1.02dbc4227eb95p-10, 0x1.f44ec0a77dbdcp-11, 0x1.e371afd62e9afp-11, 0x1.d31c16559fdf3p-11, 0x1.c349f928fcf1cp-11, 0x1.b3f7a231b3c4cp-11, 0x1.a521963a95254p-11, 0x1.96c4833adeee8p-11, 0x1.88dd2b42573b7p-11, 0x1.7b68512b05d01p-11, 0x1.6e62ab72a7cd3p-11, 0x1.61c8dfe34e5c2p-11, 0x1.559788771419ap-11, 0x1.49cb3fd49eb7p-11, 0x1.3e60b22f74753p-11, 0x1.3354ae7b6f8e1p-11, 0x1.28a433d18efe8p-11, 0x1.1e4c77a9afc5ep-11, 0x1.144ae33cec1c1p-11, 0x1.0a9d08c58a0d4p-11, 0x1.0140939ba409bp-11, 0x1.f0666f5b082d1p-12, 0x1.dee549fb0f1bfp-12, 0x1.cdf903ed818cbp-12, 0x1.bd9cd9e596788p-12, 0x1.adcc06a6e4089p-12, 0x1.9e81d719c0fc4p-12, 0x1.8fb9bedeaaf31p-12, 0x1.816f69a9386b7p-12, 0x1.739ec7467ecbfp-12, 0x1.6644106a79b12p-12, 0x1.595bc239c1733p-12, 0x1.4ce28f49c5d28p-12, 0x1.40d5476ff75e7p-12, 0x1.3530bbf51a60fp-12, 0x1.29f1a92712adcp-12, 0x1.1f14ae23b2a5ap-12, 0x1.149656c8c05bfp-12, 0x1.0a7333eb449bfp-12, 0x1.00a7f79a910e6p-12, 0x1.ee63141518165p-13, 0x1.dc1a20b8c9b5cp-13, 0x1.ca6fcc8a3a24p-13, 0x1.b95f235e685f9p-13, 0x1.a8e3711d265dfp-13, 0x1.98f8399520662p-13, 0x1.89993715df833p-13, 0x1.7ac252396a572p-13, 0x1.6c6f885e380a2p-13, 0x1.5e9cc2e85dc99p-13, 0x1.5145affdd9bfbp-13, 0x1.4465b4074e4bep-13, 0x1.37f803c550c9bp-13, 0x1.2bf7e32a01f09p-13, 0x1.2060ef50009b2p-13, 0x1.152f4f6eef6b8p-13, 0x1.0a5fb3161854bp-13, 0x1.ffde409999b53p-14, 0x1.ebb563031ae5p-14, 0x1.d83ed8e7482d1p-14, 0x1.c574906ae744bp-14, 0x1.b350ad73b8fe2p-14, 0x1.a1cddf3a09e28p-14, 0x1.90e778c0ef8d9p-14, 0x1.8099383fbb1cap-14, 0x1.70deda6add64dp-14, 0x1.61b3b29b570c4p-14, 0x1.53127e12d8645p-14, 0x1.44f588f94b85ep-14, 0x1.375710169a9d3p-14, 0x1.2a31ab6e167c4p-14, 0x1.1d808cbb9bd81p-14, 0x1.113f773805589p-14, 0x1.056a7ddaa5a7dp-14, 0x1.f3fb6fa0da1bfp-15, 0x1.ddea46bd0529dp-15, 0x1.c899a1ab4777ap-15, 0x1.b4026f7b72b1bp-15, 0x1.a01ee8f6ca161p-15, 0x1.8cea7e5736e4ap-15, 0x1.7a614795e40b7p-15, 0x1.687f5b08c7a79p-15, 0x1.57406bb4f2287p-15, 0x1.469fca2e3d669p-15, 0x1.36988ed24c17ap-15, 0x1.272596256470fp-15, 0x1.1841355ec1c07p-15, 0x1.09e4eeab06828p-15, 0x1.f813144648096p-16, 0x1.dd4f5b40037e5p-16, 0x1.c37156a50046bp-16, 0x1.aa6e41200c317p-16, 0x1.923e4f91482a8p-16, 0x1.7adc310b2d454p-16, 0x1.6443e18e271e8p-16, 0x1.4e7140a4cf935p-16, 0x1.395f337ca385cp-16, 0x1.2507fb0f485acp-16, 0x1.116660994a279p-16, 0x1.fcece6f9fba28p-17, 0x1.d86a3309ccf07p-17, 0x1.b53dd7ed19c0ap-17, 0x1.935e9046db912p-17, 0x1.72c0119f6b8c2p-17, 0x1.5353866573aa8p-17, 0x1.35083d5b3c9f8p-17, 0x1.17cc5c29dcfc8p-17, 0x1.f71c93d4a3689p-18, 0x1.c07e6d46e44a4p-18, 0x1.8bab465b580aap-18, 0x1.589b8d0b0a443p-18, 0x1.274d9ba2bb5ap-18, 0x1.ef7b2932bf393p-19, 0x1.93c1c4ed079dbp-19, 0x1.3b4fd5dd295e3p-19, 0x1.cc0f75f8dfb23p-20, 0x1.27b0084b64209p-20, 0x1.12e86e97ca461p-21, -0x1.d6dc7a03a5d1ap-25, -0x1.41fe9f5b18839p-21, -0x1.2da7e435bf577p-20, -0x1.b4f46f8589b9cp-20, -0x1.1b8f763bb35a9p-19, -0x1.5a2d0f19cef4p-19, -0x1.966bbea9ecd12p-19, -0x1.d0636cb3bd795p-19, -0x1.0413f9a799b49p-18, -0x1.1ee3da47a2125p-18, -0x1.38a7e16335223p-18, -0x1.51687d0e79c07p-18, -0x1.692ee99496cccp-18, -0x1.8001957731347p-18, -0x1.95e2e89f8007p-18, -0x1.aad43c9741135p-18, -0x1.beda1a9154d93p-18, -0x1.d1fc5c3b1c3d9p-18, -0x1.e4424fe29f9c8p-18, -0x1.f5b1853cdba92p-18, -0x1.0327eadd85433p-17, -0x1.0b11e4ccd20c2p-17, -0x1.1299b172a1257p-17, -0x1.19c208bf1f733p-17, -0x1.208de5c74696p-17, -0x1.2700c374460cbp-17, -0x1.2d1dfc7027ae4p-17, -0x1.32e79583fef76p-17, -0x1.385dd97976ba4p-17, -0x1.3d80bee3f6bc2p-17, -0x1.4251c535a90f6p-17, -0x1.46d425080682ep-17, -0x1.4b0b375838eefp-17, -0x1.4ef9383dfa893p-17, -0x1.529f386c620b2p-17, -0x1.55fde2ade2a49p-17, -0x1.5916eeecaf20fp-17, -0x1.5bed36d08a003p-17, -0x1.5e82b227f846dp-17, -0x1.60d7be63005aep-17, -0x1.62ecca8750f14p-17, -0x1.64c328d939c0fp-17, -0x1.665c73ca28006p-17, -0x1.67ba59356b927p-17, -0x1.68df03d2b4e82p-17, -0x1.69ccf5b7377d1p-17, -0x1.6a85abe05968p-17, -0x1.6b09216901751p-17, -0x1.6b57a38a94c23p-17, -0x1.6b72ce04be088p-17, -0x1.6b5bd93e1e6bap-17, -0x1.6b12fb152bfa1p-17, -0x1.6a98f8ed1f465p-17, -0x1.69ef6bac6fc07p-17, -0x1.69181093616edp-17, -0x1.6814ae86a1bccp-17, -0x1.66e67d3d730a7p-17, -0x1.658db916f455ap-17, -0x1.640afaa4c5b84p-17, -0x1.625fb154985c8p-17, -0x1.608ca40a3079bp-17, -0x1.5e91ee000ebb6p-17, -0x1.5c7042d7ea43bp-17, -0x1.5a28f0e816633p-17, -0x1.57bd9676ecb4bp-17, -0x1.552fafecf29bp-17, -0x1.527fab8e491bcp-17, -0x1.4fadbfe8eed41p-17, -0x1.4cbb1509bae8ap-17, -0x1.49a89480f2caep-17, -0x1.467695523330dp-17, -0x1.4325ef9c5d928p-17, -0x1.3fb7c03e2bb87p-17, -0x1.3c2ceb4d77c11p-17, -0x1.38862935d1649p-17, -0x1.34c42c4c5208p-17, -0x1.30e7aaa09898fp-17, -0x1.2cf14fcd7d6a5p-17, -0x1.28e1cf3f2c3ecp-17, -0x1.24ba195a57a94p-17, -0x1.207b0259d27dcp-17, -0x1.1c2515a4d1fb7p-17, -0x1.17b9198ed0549p-17, -0x1.1337a6490aaa9p-17, -0x1.0ea132586172cp-17, -0x1.09f6be4ce7867p-17, -0x1.05392c442ceb2p-17, -0x1.0068fbb482d01p-17, -0x1.f70df21c6f0e3p-18, -0x1.ed27682c49523p-18, -0x1.e31f41dbb07adp-18, -0x1.d8f70c4332373p-18, -0x1.ceb044dc4f196p-18, -0x1.c44c2ebd4bb3bp-18, -0x1.b9cbff6a593c6p-18, -0x1.af30ef8e677dp-18, -0x1.a47c3a96e5f17p-18, -0x1.99af1b8ed0eeap-18, -0x1.8ecaca7bc6ccep-18, -0x1.83d07b7c700cep-18, -0x1.78c160ce6da37p-18, -0x1.6d9eaaddee5f7p-18, -0x1.62697746d881p-18, -0x1.5722c7b81d191p-18, -0x1.4bcbc8c3b42d1p-18, -0x1.4065b613be91bp-18, -0x1.34f1afcd2dd3fp-18, -0x1.2971052994d29p-18, -0x1.1de48be9827a9p-18, -0x1.124d6f071f2e7p-18, -0x1.06aca3e722708p-18, -0x1.f60663dff96acp-19, -0x1.dea489fd3ae55p-19, -0x1.c735c5d886fa9p-19, -0x1.afbc09cd79b64p-19, -0x1.98394a7fe38aep-19, -0x1.80af7d5b57e75p-19, -0x1.6920945c87de1p-19, -0x1.518e7b4fd118fp-19, -0x1.39fb15d716273p-19, -0x1.22683eff2fca3p-19, -0x1.0ad7ca60a59b1p-19, -0x1.e6970d9926eb3p-20, -0x1.b78a7ff682e63p-20, -0x1.888d7862a2acp-20, -0x1.59a372251bb01p-20, -0x1.2acfdc65f4e84p-20, -0x1.f82bd55a7674ap-21, -0x1.9af0c4be50bedp-21, -0x1.3df5c6ba4e63dp-21, -0x1.c283752f7f309p-22, -0x1.09b652bed0754p-22, -0x1.463dccdd6fc3cp-24, 0x1.9793246dcca1dp-24, 0x1.1c9bfee5a5587p-22, 0x1.d2895e0a969efp-22, 0x1.43d07c0105ab9p-21, 0x1.9debff840e9a5p-21, 0x1.f791dfcd17834p-21, 0x1.285e640f5225dp-20, 0x1.54b3baaebeb22p-20, 0x1.80c65f311fa03p-20, 0x1.ac93cc08b1771p-20, 0x1.d8198bd21b4ccp-20, 0x1.01aa9c1d69df6p-19, 0x1.17223b45f9b08p-19, 0x1.2c727a5fe4571p-19, 0x1.419a363d8f36ap-19, 0x1.569855bda939ep-19, 0x1.6b6bc73206b1cp-19, 0x1.80137b97f508p-19, 0x1.948ea0edac362p-19, 0x1.a8dc573b74415p-19, 0x1.bcfb05cab6252p-19, 0x1.d0ea04e8ee522p-19, 0x1.e4a8c8befb216p-19, 0x1.f83615a13a175p-19, 0x1.05c886bd8644cp-18, 0x1.0f5c8ce7cf5f7p-18, 0x1.18d6a8b05036cp-18, 0x1.22364fc23ff3dp-18, 0x1.2b7b5b98b49bap-18, 0x1.34a56002c5265p-18, 0x1.3db3eff0997ddp-18, 0x1.46a6ba8a9a6d2p-18, 0x1.4f7d702172ce6p-18, 0x1.5837c16a40886p-18, 0x1.60d561d6c0a4p-18, 0x1.69560821f42c6p-18, 0x1.71b96da404221p-18, 0x1.79ff4d5ea02cdp-18, 0x1.8227642494362p-18, 0x1.8a3172c4b88d4p-18, 0x1.921d401f8932p-18, 0x1.99ea93605ede2p-18, 0x1.a19932494d3cbp-18, 0x1.a929138be6c65p-18, 0x1.b099d62aa8549p-18, 0x1.b7eb4f875f0c9p-18, 0x1.bf1d82b12135bp-18, 0x1.c6301a61682e4p-18, 0x1.cd22fab048e57p-18, 0x1.d3f607933b834p-18, 0x1.daa92307b74c8p-18, 0x1.e13c32a53924ep-18, 0x1.e7af1e9ed41a7p-18, 0x1.ee01ca97954afp-18, 0x1.f4341b542f1c5p-18, 0x1.fa4617d6b8039p-18, 0x1.001bcb3e2481dp-17, 0x1.030450a0af29ep-17, 0x1.05dc8ffc4be05p-17, 0x1.08a47ed34ee06p-17, 0x1.0b5c1eee90858p-17, 0x1.0e037014ccfb7p-17, 0x1.109a714c89985p-17, 0x1.132121f888aebp-17, 0x1.1597829670775p-17, 0x1.17fd96117406cp-17, 0x1.1a5361ff62c18p-17, 0x1.1c98e848dfa11p-17, 0x1.1ece290672c1p-17, 0x1.20f33c7f8c495p-17, 0x1.230819d53bb3ep-17, 0x1.250cd90b4e956p-17, 0x1.27016f7c308bfp-17, 0x1.28e5ee055e9d8p-17, 0x1.2aba62e440744p-17, 0x1.2c7eda5ba67d1p-17, 0x1.2e3361424bfc4p-17, 0x1.2fd805492ed2ap-17, 0x1.316cd4e7b3404p-17, 0x1.32f1df50b4057p-17, 0x1.346734732561bp-17, 0x1.35cce5328cb19p-17, 0x1.372303e3c387ap-17, 0x1.3869a4326ac47p-17, 0x1.39a0d8ed14908p-17, 0x1.3ac8b123b2f24p-17, 0x1.3be14096a89afp-17, 0x1.3ceaa99dc7856p-17, 0x1.3de502e94dbb5p-17, 0x1.3ed0554904e6ep-17, 0x1.3facb86a6487fp-17, 0x1.407a4807101eap-17, 0x1.41391e33c1d3bp-17, 0x1.41e955a55d28ep-17, 0x1.428b046b2038ap-17, 0x1.431e3cbdbd622p-17, 0x1.43a32a572a0f1p-17, 0x1.4419ebdc1c1d4p-17, 0x1.448289d56caedp-17, 0x1.44dd2429ac51bp-17, 0x1.4529dbdec9a01p-17, 0x1.4568ce25db6bbp-17, 0x1.459a1841f01acp-17, 0x1.45bdd7fb5ac0cp-17, 0x1.45d42b976ca03p-17, 0x1.45dd31c96888dp-17, 0x1.45d909a8f5354p-17, 0x1.45c7d2af71e61p-17, 0x1.45a9acafc83e8p-17, 0x1.457eb7cf503c8p-17, 0x1.4547147bf7a5ep-17, 0x1.4502e36731236p-17, 0x1.44b24588036d7p-17, 0x1.44555c20cf32dp-17, 0x1.43ec48cb5f0d5p-17, 0x1.43772d9f54f4p-17, 0x1.42f62d32ce179p-17, 0x1.426969e714c0fp-17, 0x1.41d104b3ba025p-17, 0x1.412d1c0455cc3p-17, 0x1.407dd97f36dc5p-17, 0x1.3fc368ea5831p-17, 0x1.3efddecd82a8ap-17, 0x1.3e2d5a14e445ep-17, 0x1.3d520b0e3f1c7p-17, }}, 
      {{0x1.5cbaf50d56358p-3, 0x1.0239325b9b432p-2, 0x1.70cdf1b795857p-2, 0x1.ea69fd8d50b11p-2, 0x1.323a3d5580af9p-1, 0x1.6c02ab9722bc2p-1, 0x1.a06e0d97626c7p-1, 0x1.ce4f068c88038p-1, 0x1.f5239df376ad6p-1, 0x1.0a701f2d74251p+0, 0x1.16e44ce36444p+0, 0x1.20297f57acefdp+0, 0x1.2689c05c69cbfp+0, 0x1.2a5680f7e1513p+0, 0x1.2be352760e361p+0, 0x1.2b82457c35336p+0, 0x1.298182b64bcccp+0, 0x1.2629ca6c52febp+0, 0x1.21bd9c3396e59p+0, 0x1.1c78d71a8d0aap+0, 0x1.1690ae6282305p+0, 0x1.1033d7cfbe7b7p+0, 0x1.098adfa184e21p+0, 0x1.02b8937876cacp+0, 0x1.f7b4f3226aaeep-1, 0x1.ea1299a1b6661p-1, 0x1.dcb2f0dfaba0fp-1, 0x1.cfb71f95e8aa8p-1, 0x1.c339802e24d47p-1, 0x1.b74e752d62dabp-1, 0x1.ac052d238d2d7p-1, 0x1.a168558bdfadcp-1, 0x1.977ebcc1b8ee2p-1, 0x1.8e4be3af2d48dp-1, 0x1.85d080285d10ep-1, 0x1.7e0af107aecap-1, 0x1.76f7a52b6bd09p-1, 0x1.7091766ee1b61p-1, 0x1.6ad1f9ad9c39fp-1, 0x1.65b1c4d338667p-1, 0x1.6128abe978d71p-1, 0x1.5d2df606a8a72p-1, 0x1.59b88af065569p-1, 0x1.56bf1a3594137p-1, 0x1.54383c737c902p-1, 0x1.521a8f68b3344p-1, 0x1.505ccd6f5ea27p-1, 0x1.4ef5e0ec7e085p-1, 0x1.4ddcf41fa5ffap-1, 0x1.4d097dd4b6752p-1, 0x1.4c734b61a1475p-1, 0x1.4c12882475142p-1, 0x1.4bdfc3123a407p-1, 0x1.4bd3f261b2c91p-1, 0x1.4be875b722cdbp-1, 0x1.4c1717108baf4p-1, 0x1.4c5a0a6ccdd92p-1, 0x1.4cabecd621696p-1, 0x1.4d07c22fb02e6p-1, 0x1.4d68f30bfda36p-1, 0x1.4dcb492c7e544p-1, 0x1.4e2aec9699b97p-1, 0x1.4e845f407b12fp-1, 0x1.4ed479aebab28p-1, 0x1.4f18663e7852ap-1, 0x1.4f4d9d7c0d5e3p-1, 0x1.4f71e16a6bfdp-1, 0x1.4f8339affa5b3p-1, 0x1.4f7fef1c5eabep-1, 0x1.4f6687c77941bp-1, 0x1.4f35c2f107464p-1, 0x1.4eec9535cee0cp-1, 0x1.4e8a24ca220e2p-1, 0x1.4e0dc5e75dc67p-1, 0x1.4d76f75bc10c8p-1, 0x1.4cc55f436e5ebp-1, 0x1.4bf8c7e948671p-1, 0x1.4b111ccd7fc3fp-1, 0x1.4a0e67d1b4e11p-1, 0x1.48f0ce8783c3dp-1, 0x1.47b88fa23d476p-1, 0x1.46660089b09c7p-1, 0x1.44f98b0f40293p-1, 0x1.4373ab4403287p-1, 0x1.41d4ed6fafa1fp-1, 0x1.401dec27e0541p-1, 0x1.3e4f4e850bfa8p-1, 0x1.3c69c676506f9p-1, 0x1.3a6e0f306c648p-1, 0x1.385cebb9b3f1dp-1, 0x1.36372590e1809p-1, 0x1.33fd8b6e48571p-1, 0x1.31b0f01fd79e6p-1, 0x1.2f52297c43fe4p-1, 0x1.2ce20f6e0436cp-1, 0x1.2a617b12f547p-1, 0x1.27d145ee80d02p-1, 0x1.2532492e83473p-1, 0x1.22855cff99a94p-1, 0x1.1fcb57f16c727p-1, 0x1.1d050e6ace808p-1, 0x1.1a33522b8be23p-1, 0x1.1756f1dd88a0ap-1, 0x1.1470b8b356f1fp-1, 0x1.11816e1305c02p-1, 0x1.0e89d54d57042p-1, 0x1.0b8aad5ec093ep-1, 0x1.0884b0b9b7662p-1, 0x1.05789518fe16ep-1, 0x1.02670b59464e4p-1, 0x1.fea17eb2da689p-2, 0x1.f86cafc0e5483p-2, 0x1.f230ed14ff7fep-2, 0x1.ebef6f7602488p-2, 0x1.e5a9652820344p-2, 0x1.df5ff1e981e32p-2, 0x1.d9142ef6118a1p-2, 0x1.d2c72b1429969p-2, 0x1.cc79eaac21156p-2, 0x1.c62d67e36f4acp-2, 0x1.bfe292bd076aep-2, 0x1.b99a514129838p-2, 0x1.b3557fa5e432bp-2, 0x1.ad14f079cc651p-2, 0x1.a6d96cd45c799p-2, 0x1.a0a3b485d2881p-2, 0x1.9a747e481c427p-2, 0x1.944c77f4e72aap-2, 0x1.8e2c46bb0e7f6p-2, 0x1.88148754a4695p-2, 0x1.8205ce4174685p-2, 0x1.7c00a800f1fa6p-2, 0x1.7605994be4d9dp-2, 0x1.70151f5102a87p-2, 0x1.6a2faff1089f4p-2, 0x1.6455b9f978eaep-2, 0x1.5e87a5604667ap-2, 0x1.58c5d37f2401dp-2, 0x1.53109f4cd4272p-2, 0x1.4d685d95bd4d9p-2, 0x1.47cd5d345d0d3p-2, 0x1.423fe747cff73p-2, 0x1.3cc03f684d9dfp-2, 0x1.374ea3dbe9394p-2, 0x1.31eb4dca5b8fcp-2, 0x1.2c96716d9deaep-2, 0x1.27503e420e4b9p-2, 0x1.2218df379cd2bp-2, 0x1.1cf07ae02fccap-2, 0x1.17d7339af9533p-2, 0x1.12cd27c0fe292p-2, 0x1.0dd271d21d71fp-2, 0x1.08e7289e39fa2p-2, 0x1.040b5f6bdc19ap-2, 0x1.fe7e4c40c882p-3, 0x1.f50512d076a55p-3, 0x1.ebab25b734d45p-3, 0x1.e2709241071d7p-3, 0x1.d955601a2adf6p-3, 0x1.d0599197226f3p-3, 0x1.c77d23f6db553p-3, 0x1.bec00f9c3ca2cp-3, 0x1.b62248482dcap-3, 0x1.ada3bd57eb9b9p-3, 0x1.a5445a00968bap-3, 0x1.9d040581ec5d9p-3, 0x1.94e2a355c2953p-3, 0x1.8ce01363c8e5ep-3, 0x1.84fc323686885p-3, 0x1.7d36d929ed551p-3, 0x1.758fde93b223fp-3, 0x1.6e0715ec0eb91p-3, 0x1.669c4ff9fc194p-3, 0x1.5f4f5afe89eedp-3, 0x1.582002da41906p-3, 0x1.510e112de2ec3p-3, 0x1.4a194d7c1de55p-3, 0x1.43417d4e8d9p-3, 0x1.3c8664598cc28p-3, 0x1.35e7c49a69d8ep-3, 0x1.2f655e718ac6ap-3, 0x1.28fef0bde4af3p-3, 0x1.22b438fb6b7a7p-3, 0x1.1c84f3607a68p-3, 0x1.1670daf67356ep-3, 0x1.1077a9af14446p-3, 0x1.0a99187a3738ep-3, 0x1.04d4df5ded9fp-3, 0x1.fe556b1cb88a5p-4, 0x1.f334a3055221cp-4, 0x1.e846d20d7b643p-4, 0x1.dd8b629865ab1p-4, 0x1.d301bdf8d59bap-4, 0x1.c8a94c9756a65p-4, 0x1.be8176163d54ap-4, 0x1.b489a17067ca4p-4, 0x1.aac13513ecd0bp-4, 0x1.a12796fc89cb9p-4, 0x1.97bc2cd099a7p-4, 0x1.8e7e5bff050dcp-4, 0x1.856d89da61defp-4, 0x1.7c891baf952a9p-4, 0x1.73d076d9dd9a6p-4, 0x1.6b4300d781a31p-4, 0x1.62e01f6068b4fp-4, 0x1.5aa7387cd660bp-4, 0x1.5297b299b0635p-4, 0x1.4ab0f49989831p-4, 0x1.42f265e3f145ep-4, 0x1.3b5b6e750a8ebp-4, 0x1.33eb76ee2cebep-4, 0x1.2ca1e8a6d1e66p-4, 0x1.257e2dbbd8eefp-4, 0x1.1e7fb11c814d4p-4, 0x1.17a5de9621975p-4, 0x1.10f022df1425cp-4, 0x1.0a5deba2826cep-4, 0x1.03eea78c74c3fp-4, 0x1.fb438caa6861bp-5, 0x1.eeed71964d10fp-5, 0x1.e2d9e1b67a569p-5, 0x1.d707c331723a6p-5, 0x1.cb75fe8a0656fp-5, 0x1.c0237eaf70febp-5, 0x1.b50f310ced9afp-5, 0x1.aa380597bff0dp-5, 0x1.9f9ceedb6a427p-5, 0x1.953ce20492063p-5, 0x1.8b16d6eb085bbp-5, 0x1.8129c81b6ab69p-5, 0x1.7774b2e03b046p-5, 0x1.6df6974a81412p-5, 0x1.64ae7839db075p-5, 0x1.5b9b5b63de5ebp-5, 0x1.52bc495a7afecp-5, 0x1.4a104d9111894p-5, 0x1.41967660817a7p-5, 0x1.394dd50ac51a5p-5, 0x1.31357dbeb6981p-5, 0x1.294c879c09923p-5, 0x1.21920cb6e0585p-5, 0x1.1a052a1a3bbc9p-5, 0x1.12a4ffc8f2128p-5, 0x1.0b70b0bd92afp-5, 0x1.046762ea2855ap-5, 0x1.fb107e7108545p-6, 0x1.eda4e315bada9p-6, 0x1.e08a5178414d1p-6, 0x1.d3bf2d3e66d01p-6, 0x1.c741dff9dcc8dp-6, 0x1.bb10d9228115bp-6, 0x1.af2a8e107b75ep-6, 0x1.a38d79f724e68p-6, 0x1.98381de0fc82dp-6, 0x1.8d2900ab76648p-6, 0x1.825eaeff3bf2p-6, 0x1.77d7bb4907b03p-6, 0x1.6d92bdb0bf6c9p-6, 0x1.638e540efb305p-6, 0x1.59c921e435ef4p-6, 0x1.5041d050405b8p-6, 0x1.46f70e0976815p-6, 0x1.3de78f531218p-6, 0x1.35120df23ca56p-6, 0x1.2c7549222cbf3p-6, 0x1.24100587f0f7dp-6, 0x1.1be10d26899aep-6, 0x1.13e72f534327p-6, 0x1.0c2140aa23c7ep-6, 0x1.048e1b01f7b43p-6, 0x1.fa593abf28949p-7, 0x1.ebf757d0a106ep-7, 0x1.ddf45fa818386p-7, 0x1.d04e2ebe7a232p-7, 0x1.c302ab7a8e034p-7, 0x1.b60fc61623c26p-7, 0x1.a97378835ab72p-7, 0x1.9d2bc6514efe8p-7, 0x1.9136bc8fe5a65p-7, 0x1.859271b28ed97p-7, 0x1.7a3d05723d62dp-7, 0x1.6f34a0af2b85bp-7, 0x1.64777552c73e6p-7, 0x1.5a03be322e0fdp-7, 0x1.4fd7bef1737b5p-7, 0x1.45f1c3e73768p-7, 0x1.3c5022004eb23p-7, 0x1.32f136a332df8p-7, 0x1.29d3679287c66p-7, 0x1.20f522ce9bb8ep-7, 0x1.1854de75d6caep-7, 0x1.0ff118a4b56cep-7, 0x1.07c85756287fap-7, 0x1.ffb2508ad73fdp-8, 0x1.f04441a33d4e2p-8, 0x1.e143bbc6affcep-8, 0x1.d2ae07a61465p-8, 0x1.c4807c9dd7677p-8, 0x1.b6b8807dd9e4p-8, 0x1.a953874b9340bp-8, 0x1.9c4f12fefcap-8, 0x1.8fa8b33cfd6c3p-8, 0x1.835e051414684p-8, 0x1.776cb2bfd2757p-8, 0x1.6bd27375d6b33p-8, 0x1.608d0b3ba50ecp-8, 0x1.559a4ac176c7p-8, 0x1.4af80f3b2d8f5p-8, 0x1.40a442314db82p-8, 0x1.369cd9456b96bp-8, 0x1.2cdfd5ea4d305p-8, 0x1.236b4514ae4cp-8, 0x1.1a3d3eed25975p-8, 0x1.1153e68ceea5ap-8, 0x1.08ad69cc49d8ap-8, 0x1.004801243abfdp-8, 0x1.f043df3ce70b3p-9, 0x1.e07305924a22fp-9, 0x1.d11a2542b343ap-9, 0x1.c23602d277552p-9, 0x1.b3c376ca4ea63p-9, 0x1.a5bf6d04a15cp-9, 0x1.9826e3e5d685ep-9, 0x1.8af6eb9f1023ap-9, 0x1.7e2ca59d2768fp-9, 0x1.71c5443aad782p-9, 0x1.65be0ab724a69p-9, 0x1.5a144d6144f22p-9, 0x1.4ec571cf8d55p-9, 0x1.43ceeef9ab87dp-9, 0x1.392e4d0c50087p-9, 0x1.2ee124e373fcap-9, 0x1.24e51f3070cc2p-9, 0x1.1b37f36d83509p-9, 0x1.11d766d39eaefp-9, 0x1.08c14b8a66f72p-9, 0x1.ffe7007eca653p-10, 0x1.eed7e06d4473bp-10, 0x1.de512784c5895p-10, 0x1.ce4ee1e4d2cc5p-10, 0x1.becd386af8b36p-10, 0x1.afc8714eab2a6p-10, 0x1.a13cefaf77c99p-10, 0x1.932731f82a3b2p-10, 0x1.8583cf4b8355p-10, 0x1.784f747bd95d3p-10, 0x1.6b86e13a945c5p-10, 0x1.5f26e62973e3p-10, 0x1.532c644205739p-10, 0x1.47944db3e15b7p-10, 0x1.3c5ba7f14acb9p-10, 0x1.317f8e4c321c6p-10, 0x1.26fd34554824dp-10, 0x1.1cd1e7346413p-10, 0x1.12fb0d6d58b07p-10, 0x1.097624e9a63adp-10, 0x1.0040bf99ff908p-10, 0x1.eeb0fec1ec5f8p-11, 0x1.dd76246d8e2dp-11, 0x1.cccc5ee24cfccp-11, 0x1.bcaf2daa74fe4p-11, 0x1.ad1a2351b30edp-11, 0x1.9e08eaed448ccp-11, 0x1.8f774f8a72d11p-11, 0x1.816143777af97p-11, 0x1.73c2e55a5dd4bp-11, 0x1.6698818c37a24p-11, 0x1.59de8f1cd3db8p-11, 0x1.4d91a8fb3e88ap-11, 0x1.41ae84bec86afp-11, 0x1.3631e92a0fd5cp-11, 0x1.2b18a69661dap-11, 0x1.205f9300b78e4p-11, 0x1.16038a8c85791p-11, 0x1.0c017435b8bp-11, 0x1.02564966832fep-11, 0x1.f1fe3ce739d4ap-12, 0x1.dff25394cb0f8p-12, 0x1.ce838fdcedb8p-12, 0x1.bdacf65f80dbcp-12, 0x1.ad69ce4136969p-12, 0x1.9db591c7afdc1p-12, 0x1.8e8bdc5b2bcc1p-12, 0x1.7fe85a243e484p-12, 0x1.71c6bcd5a2f8fp-12, 0x1.6422b7c0d830fp-12, 0x1.56f8037c76f5ap-12, 0x1.4a4267b759488p-12, 0x1.3dfdc88e575afp-12, 0x1.3226340dd485fp-12, 0x1.26b7ec82fe7a9p-12, 0x1.1baf6cee394b9p-12, 0x1.110966504d602p-12, 0x1.06c2b67b4b6e1p-12, 0x1.f9b0b5c767a9bp-13, 0x1.e68ec62a97f6p-13, 0x1.d419cce88d909p-13, 0x1.c24bfeecfc991p-13, 0x1.b11f991f67e0bp-13, 0x1.a08eeaf40ce24p-13, 0x1.90946581da5f8p-13, 0x1.812aaaed6696bp-13, 0x1.724c9b4606c6cp-13, 0x1.63f55d23727ddp-13, 0x1.562060850b259p-13, 0x1.48c95a64db15ep-13, 0x1.3bec38285be5p-13, 0x1.2f850c2f4465ep-13, 0x1.238ff804db8dfp-13, 0x1.18091b269e8ap-13, 0x1.0cec8d03089abp-13, 0x1.023664dc9ae76p-13, 0x1.efc5987e5285ep-14, 0x1.dbdc2807875cep-14, 0x1.c8a98692d8c25p-14, 0x1.b62736efff01fp-14, 0x1.a44f24c1ca11dp-14, 0x1.931b900e34b38p-14, 0x1.8286fc7fc48bap-14, 0x1.728c29fcc2b8cp-14, 0x1.632612659bea7p-14, 0x1.544fe26068556p-14, 0x1.4604e5af1eba7p-14, 0x1.384068ef9ade3p-14, 0x1.2afd9d4d9a2b7p-14, 0x1.1e378f2dc5486p-14, 0x1.11e93ad97944bp-14, 0x1.060dbb846e71bp-14, 0x1.f5410249e7f98p-15, 0x1.df3ae4fd7658fp-15, 0x1.ca01d229ca092p-15, 0x1.b58f13ed17baep-15, 0x1.a1dc2730e1275p-15, 0x1.8ee27e14334f3p-15, 0x1.7c9b8885ab7c8p-15, 0x1.6b00f0d55ba3ep-15, 0x1.5a0cd986d5148p-15, 0x1.49b9ee537fa2p-15, 0x1.3a033a8fa84cap-15, 0x1.2ae3da93a44f8p-15, 0x1.1c56b197c03d2p-15, 0x1.0e564ae94e303p-15, 0x1.00dcf60a53c21p-15, 0x1.e7ca1b7162f11p-16, 0x1.ced287899592p-16, 0x1.b6c996d21591ep-16, 0x1.9fa69f56e4172p-16, 0x1.8961814c10e1ep-16, 0x1.73f23685b4f04p-16, 0x1.5f50a7f70e6b5p-16, 0x1.4b74ec4bb7a76p-16, 0x1.3857c2915e01dp-16, 0x1.25f2e9fcb616p-16, 0x1.144113d5eab75p-16, 0x1.033d7c028916dp-16, 0x1.e5c6dfad744f4p-17, 0x1.c65c11779f828p-17, 0x1.a8305b1dfe89ep-17, 0x1.8b396310ade9fp-17, 0x1.6f6ca4efeb703p-17, 0x1.54bf089c7b198p-17, 0x1.3b24784cf4fe4p-17, 0x1.2290021735f3ep-17, 0x1.0af4a7a8c0a49p-17, 0x1.e88cee043ba92p-18, 0x1.bcf6bea487da3p-18, 0x1.9316e16a25031p-18, 0x1.6ae1057a6ff85p-18, 0x1.444acebded792p-18, 0x1.1f49eaa29e8cep-18, 0x1.f7a5c054f5ed9p-19, 0x1.b3b2ffbe7d3fp-19, 0x1.72a4ec783e2f1p-19, 0x1.3468952076ea6p-19, 0x1.f1db244420a1fp-20, 0x1.8045eeb3b09f1p-20, 0x1.13e997d73d051p-20, 0x1.592d15f223047p-21, 0x1.285b427fc76f6p-22, -0x1.3d014f65598c1p-24, -0x1.b56cf88b3fdfep-22, -0x1.858d1026227e8p-21, -0x1.1445cdf3ae25cp-20, -0x1.61fe3078c929cp-20, -0x1.ac051decf1852p-20, -0x1.f267cb16f8613p-20, -0x1.1a9b1104a4eb4p-19, -0x1.3a4460042ab49p-19, -0x1.583f5181c1ba8p-19, -0x1.749ab438674f3p-19, -0x1.8f6123d406423p-19, -0x1.a89980204b21dp-19, -0x1.c04b7bd415dbbp-19, -0x1.d68327b981022p-19, -0x1.eb4fe7bb50c67p-19, -0x1.fec12b97a341cp-19, -0x1.08725463d32e7p-18, -0x1.10e3656a0ef92p-18, -0x1.18b9d6a849d43p-18, -0x1.1ffb83dbb94c9p-18, -0x1.26ad8c3a46dc7p-18, -0x1.2cd4173c2e0fcp-18, -0x1.3273083d3bbebp-18, -0x1.378edaa58f888p-18, -0x1.3c2c47cdef59ep-18, -0x1.404f13ca8c49p-18, -0x1.43f9a1d3b566ap-18, -0x1.472dee2b49949p-18, -0x1.49eef9d312b39p-18, -0x1.4c40d9352e247p-18, -0x1.4e276973e71bbp-18, -0x1.4fa5e72082724p-18, -0x1.50bf9ee09a363p-18, -0x1.5178142bb4e08p-18, -0x1.51d29b1019ee2p-18, -0x1.51d2533b3d5efp-18, -0x1.517a85a118e29p-18, -0x1.50cecc9d881bp-18, -0x1.4fd2a57ce8c8fp-18, -0x1.4e889b5fa5bc1p-18, -0x1.4cf20168fcdc7p-18, -0x1.4b0fe81b135ecp-18, -0x1.48e466dab3d44p-18, -0x1.4672c0420b8c8p-18, -0x1.43be4d3ff51c6p-18, -0x1.40c9a5f5dfa96p-18, -0x1.3d968ff65be2dp-18, -0x1.3a26784c9dcf3p-18, -0x1.367b790535f89p-18, -0x1.32987b64f6f84p-18, -0x1.2e7fd00f42d1fp-18, -0x1.2a329ac21b1eep-18, -0x1.25b1fdfc020c3p-18, -0x1.20ffbcac8a6dap-18, -0x1.1c1dd0f72e2dap-18, -0x1.170e456301dbap-18, -0x1.11d38154b6156p-18, -0x1.0c702a4129f4p-18, -0x1.06e61913b6077p-18, -0x1.0135fb484eca2p-18, -0x1.f6c1738d9721cp-19, -0x1.ead073c6ec88ep-19, -0x1.de9c1f7a83089p-19, -0x1.d226083060ef8p-19, -0x1.c57095b4ce11cp-19, -0x1.b87f72139bd38p-19, -0x1.ab567d2a7bd09p-19, -0x1.9df9aaed32d4ap-19, -0x1.906c0f32cddcep-19, -0x1.82af135bae582p-19, -0x1.74c4a5248ce03p-19, -0x1.66b025b6acbcep-19, -0x1.5873d192a8143p-19, -0x1.4a1092e6762d2p-19, -0x1.3b8854cd1cf37p-19, -0x1.2cde2e83af613p-19, -0x1.1e15dc93ba121p-19, -0x1.0f32d6c63ec26p-19, -0x1.0036809fd86acp-19, -0x1.e243942cd68fep-20, -0x1.c3eee2756ce3p-20, -0x1.a5736ae1833eap-20, -0x1.86d369036054cp-20, -0x1.681302b126c89p-20, -0x1.49375efb822aap-20, -0x1.2a44be3049e5dp-20, -0x1.0b3eaab3e274dp-20, -0x1.d8511adf74b94p-21, -0x1.9a0bb50847674p-21, -0x1.5bb3a1e11618ap-21, -0x1.1d4f6cfc5c468p-21, -0x1.bdcf48491e64cp-22, -0x1.4107bd9b09478p-22, -0x1.88a39db6f9c0ep-23, -0x1.1eeee34d854e9p-24, 0x1.a58077ec878d2p-25, 0x1.61d55175cbc91p-23, 0x1.2ce15a1482929p-22, 0x1.a883c763034d1p-22, 0x1.11e5347922d86p-21, 0x1.4f538256b87c8p-21, 0x1.8c887fd60951dp-21, 0x1.c9812b88b234ap-21, 0x1.031b6ddf60261p-20, 0x1.2151a60fef967p-20, 0x1.3f60c9ddee487p-20, 0x1.5d46919f5fab3p-20, 0x1.7b00b2115bcb6p-20, 0x1.988cdcdb7658ep-20, 0x1.b5e8c9705549cp-20, 0x1.d3123cf1a7834p-20, 0x1.f0070d5fbdc82p-20, 0x1.06628d474191cp-19, 0x1.14a525e11e519p-19, 0x1.22ca682814418p-19, 0x1.30d1a8840df14p-19, 0x1.3eb9ef0573e8p-19, 0x1.4c821f623a56cp-19, 0x1.5a294a06db1d4p-19, 0x1.67ae19d10f272p-19, 0x1.7510499946808p-19, 0x1.824edbdaae978p-19, 0x1.8f693f82aaabp-19, 0x1.9c5ebd704fa04p-19, 0x1.a92e50cd2459ap-19, 0x1.b5d7469be254bp-19, 0x1.c259061c15f72p-19, 0x1.ceb2f2b59fb08p-19, 0x1.dae46da3025fap-19, 0x1.e6ecdaa0e75a6p-19, 0x1.f2cba2fee8cd3p-19, 0x1.fe80379c7d51cp-19, 0x1.050508b7188a4p-18, 0x1.0ab457ef70525p-18, 0x1.104dcabd94b5ap-18, 0x1.15d122f912fe1p-18, 0x1.1b3e2476d508ap-18, 0x1.209496f7b689p-18, 0x1.25d4449218c9dp-18, 0x1.2afd073b306eep-18, 0x1.300ed76838ff4p-18, 0x1.35096d234b395p-18, 0x1.39ec8c932263fp-18, 0x1.3eb8041668d75p-18, 0x1.436bc3851e8f4p-18, 0x1.4807a4dff140cp-18, 0x1.4c8ba204b7734p-18, 0x1.50f78947eab9p-18, 0x1.554b386fffe4dp-18, 0x1.59869f0af0aa4p-18, 0x1.5da9ac854ca2fp-18, 0x1.61b44f6b7fa87p-18, 0x1.65a67737c4724p-18, 0x1.6980155662bb4p-18, 0x1.6d411da053e7p-18, 0x1.70e986957edbfp-18, 0x1.7479491a620e1p-18, 0x1.77f05fa805b1bp-18, 0x1.7b4ec59cd200ap-18, 0x1.7e9477dd6ebc8p-18, 0x1.81c1769be8063p-18, 0x1.84d5c42506801p-18, 0x1.87d162db1526dp-18, 0x1.8ab46e78f1cb3p-18, 0x1.8d7efba63bbaep-18, 0x1.9030ce08e0f86p-18, 0x1.92ca106241d72p-18, 0x1.954af81973549p-18, 0x1.97b36d2d66da4p-18, 0x1.9a037f4624726p-18, 0x1.9c3b5a74c8248p-18, 0x1.9e5b06e79005bp-18, 0x1.a0627cc50609fp-18, 0x1.a251ff8a823b1p-18, 0x1.a4299b6aa92b8p-18, 0x1.a5e95cb61e2c7p-18, 0x1.a79163696ac1ap-18, 0x1.a921cf0b4d7b9p-18, 0x1.aa9abe73cfa21p-18, 0x1.abfc5178cbfdbp-18, 0x1.ad46a953454e6p-18, 0x1.ae79e837b2427p-18, 0x1.af9630be06251p-18, 0x1.b09ba5fdfe1d5p-18, 0x1.b18a6ccd5fcd8p-18, 0x1.b262acfab9477p-18, 0x1.b3248dddbab11p-18, 0x1.b3d0354a9484p-18, 0x1.b465e5553f36fp-18, 0x1.b4e5ab7714089p-18, 0x1.b54fb49f487aap-18, 0x1.b5a448138d728p-18, 0x1.b5e378219e07ap-18, 0x1.b60d785bae40dp-18, 0x1.b6227b8c85ea3p-18, 0x1.b622b28b7b8cp-18, 0x1.b60e4f5170bcp-18, 0x1.b5e584684dba9p-18, 0x1.b5a8815ae68fdp-18, 0x1.b5577637b9806p-18, 0x1.b4f2a3e1da39bp-18, 0x1.b47a3192ece09p-18, 0x1.b3ee5fa5d4364p-18, 0x1.b34f5d19bd517p-18, 0x1.b29d5a9b1ce5cp-18, 0x1.b1d89392a1c9ep-18, 0x1.b10140d0afbcdp-18, 0x1.b01799f4e894ap-18, 0x1.af1bd67b0db15p-18, 0x1.ae0e2e5351cfbp-18, 0x1.aceedaef7f155p-18, 0x1.abbe177599f04p-18, 0x1.aa7c1b9f12741p-18, 0x1.a9291d2f0265fp-18, 0x1.a7c564e1476c6p-18, 0x1.a651204a4a808p-18, 0x1.a4cc96f2c3762p-18, 0x1.a337f40101e76p-18, 0x1.a19378351010cp-18, 0x1.9fdf61a7e29bbp-18, 0x1.9e1bec4ee52afp-18, 0x1.9c495408c083ap-18, 0x1.9a67d4d83a1e8p-18, 0x1.9877aad8d79f4p-18, 0x1.96791235d04e7p-18, 0x1.946c472ac21b4p-18, 0x1.92518626a2434p-18, 0x1.90290c116262fp-18, 0x1.8df316257e8bfp-18, 0x1.8bafe091a1bd8p-18, 0x1.895fa4d4380f2p-18, 0x1.87029f4e984f1p-18, 0x1.849914b2c8a1cp-18, 0x1.822341303c0eap-18, 0x1.7fa1584879a1bp-18, 0x1.7d1396f38e1a1p-18, 0x1.7a7a3bba44575p-18, 0x1.77d583340725ep-18, 0x1.7525aa902554p-18, 0x1.726aebe0bb044p-18, 0x1.6fa57e8197a0dp-18, 0x1.6cd5a680379b4p-18, 0x1.69fba0ca0683ep-18, 0x1.67179e7e9f3dep-18, 0x1.6429dc50bd0dbp-18, 0x1.6132971043cefp-18, 0x1.5e3209187a01p-18, 0x1.5b286c586fbd7p-18, 0x1.5815fa86d5222p-18, 0x1.54faed1d6ddddp-18, 0x1.51d77d50b966cp-18, 0x1.4eabe40b1e788p-18, 0x1.4b7859ea94b6p-18, 0x1.483d173e07ae7p-18, 0x1.44fa53fe0761dp-18, 0x1.41b047c94013dp-18, 0x1.3e5f29e3882e4p-18, 0x1.3b073135367ccp-18, 0x1.37a8944ae682fp-18, 0x1.344389597bbd1p-18, 0x1.30d84648b7dafp-18, 0x1.2d6700ad81195p-18, 0x1.29efed9020e72p-18, 0x1.2673411b33e31p-18, 0x1.22f12e5a2f3e2p-18, 0x1.1f69eb37d4ca7p-18, 0x1.1bddad3b86901p-18, 0x1.184ca35fd839fp-18, 0x1.14b6ff4ecb195p-18, 0x1.111cf63ed3804p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.678e16b77f3fbp-1, -0x1.67a4771cd3b9ep-1, -0x1.67c84b1be1f73p-1, -0x1.67f7763257767p-1, -0x1.682f2a6f58d1bp-1, -0x1.686c06042c0b9p-1, -0x1.68aa31e6f2eb2p-1, -0x1.68e57fd3e895ep-1, -0x1.691986907dcfcp-1, -0x1.6941bbc28e84bp-1, -0x1.69598afe36d69p-1, -0x1.695c69e5dced2p-1, -0x1.6945e95f981c5p-1, -0x1.6911c3fda3724p-1, -0x1.68bbe9c859aaap-1, -0x1.684089a2059bfp-1, -0x1.679c18817d262p-1, -0x1.66cb56c19bda6p-1, -0x1.65cb53c253d6dp-1, -0x1.649970151da9fp-1, -0x1.63335e6a8aedep-1, -0x1.619723724875cp-1, -0x1.5fc314da16e9p-1, -0x1.5db5d79384fe2p-1, -0x1.5b6e5d83a2026p-1, -0x1.58ebe2bb866dfp-1, -0x1.562dea54895e6p-1, -0x1.53343b07513f4p-1, -0x1.4ffedb919056ep-1, -0x1.4c8e0efb4d316p-1, -0x1.48e250c9eb714p-1, -0x1.44fc512cd7963p-1, -0x1.40dcf12daee91p-1, -0x1.3c853eebf9ee2p-1, -0x1.37f671eb00d71p-1, -0x1.3331e776fb1adp-1, -0x1.2e391f25b15e5p-1, -0x1.290db775bcaf7p-1, -0x1.23b16a8eb8c3p-1, -0x1.1e260b2414ec4p-1, -0x1.186d817b9aa35p-1, -0x1.1289c8984acb4p-1, -0x1.0c7ceb89caac3p-1, -0x1.064902e04a6b5p-1, -0x1.ffe0648915afep-2, -0x1.f2e94c66e4993p-2, -0x1.e5b123b8e9ae7p-2, -0x1.d83c5a43e5c3p-2, -0x1.ca8f65752d786p-2, -0x1.bcaebce55024bp-2, -0x1.ae9ed7186f3adp-2, -0x1.a064267a0c373p-2, -0x1.92031691ed41dp-2, -0x1.8380096fcabecp-2, -0x1.74df554b66de5p-2, -0x1.66254256b7b9ap-2, -0x1.575608bfd4e17p-2, -0x1.4875cee060511p-2, -0x1.3988a7982bf11p-2, -0x1.2a9290d0f1126p-2, -0x1.1b977228efbaap-2, -0x1.0c9b1bc26982p-2, -0x1.fb428a6beadfep-3, -0x1.dd5b194b6c4bdp-3, -0x1.bf86ebdf296afp-3, -0x1.a1ccd3f960496p-3, -0x1.84336c5884b07p-3, -0x1.66c117b095e11p-3, -0x1.497bffe4d4531p-3, -0x1.2c6a156eb1c06p-3, -0x1.0f910eef14377p-3, -0x1.e5ecd1ce26054p-4, -0x1.ad3ecb2af5cb5p-4, -0x1.752219ed1aee3p-4, -0x1.3da059c6f4578p-4, -0x1.06c2b29e9c3e8p-4, -0x1.a123b27c4e063p-5, -0x1.362c206c303bap-5, -0x1.995ca3b829288p-6, -0x1.92e426fe1252dp-7, 0x1.a5d20de0bd751p-13, 0x1.9984d6f73c4bdp-7, 0x1.92d9d88893553p-6, 0x1.2abd93d253cb5p-5, 0x1.8a489a1c01648p-5, 0x1.e804386f5c72cp-5, 0x1.21f3b7d09968bp-4, 0x1.4ef501ea49651p-4, 0x1.7b023c10c421p-4, 0x1.a618050fa4f1ep-4, 0x1.d03356aaeb3e4p-4, 0x1.f951834d6893cp-4, 0x1.10b819d73ce78p-3, 0x1.2446b23865872p-3, 0x1.3753b1ddcca2bp-3, 0x1.49de6767f838ep-3, 0x1.5be647cd9973cp-3, 0x1.6d6aed241879ap-3, 0x1.7e6c156800932p-3, 0x1.8ee9a145d179p-3, 0x1.9ee392e3ba9bbp-3, 0x1.ae5a0cacbb8a5p-3, 0x1.bd4d501d94c85p-3, 0x1.cbbdbc93effc3p-3, 0x1.d9abce2028242p-3, 0x1.e7181c59fbb3p-3, 0x1.f4035938824ep-3, 0x1.003727f6db8c5p-2, 0x1.062cf1e2e549p-2, 0x1.0be387854607cp-2, 0x1.115b70f58e7c5p-2, 0x1.169540b40dc02p-2, 0x1.1b91932240562p-2, 0x1.20510dfda83a6p-2, 0x1.24d45fdd238a7p-2, 0x1.291c3fb0d3ce3p-2, 0x1.2d296c449fffbp-2, 0x1.30fcabc5651b8p-2, 0x1.3496cb48d84e6p-2, 0x1.37f89e582d38cp-2, 0x1.3b22fe7d81295p-2, 0x1.3e16cad4148b1p-2, 0x1.40d4e79b583e6p-2, 0x1.435e3dccd1105p-2, 0x1.45b3bab4d697p-2, 0x1.47d64f8e297ddp-2, 0x1.49c6f12068bb8p-2, 0x1.4b8697615f193p-2, 0x1.4d163d1929ebfp-2, 0x1.4e76df89357b8p-2, 0x1.4fa97e160c72cp-2, 0x1.50af19f3f4a34p-2, 0x1.5188b5d657c86p-2, 0x1.523755a1e9577p-2, 0x1.52bbfe2191b76p-2, 0x1.5317b4be06af9p-2, 0x1.534b7f3818f85p-2, 0x1.53586365a393bp-2, 0x1.533f66f11968fp-2, 0x1.53018f1ba9391p-2, 0x1.529fe081e7a51p-2, 0x1.521b5ee2fed7cp-2, 0x1.51750cea51c8p-2, 0x1.50adebfb8c0c8p-2, 0x1.4fc6fc0111ef2p-2, 0x1.4ec13b3cc7131p-2, 0x1.4d9da61b1eed3p-2, 0x1.4c5d37086d611p-2, 0x1.4b00e648665cp-2, 0x1.4989a9cfca3afp-2, 0x1.47f87520273b4p-2, 0x1.464e3925ad537p-2, 0x1.448be41703bcbp-2, 0x1.42b26157128b5p-2, 0x1.40c29958b86b3p-2, 0x1.3ebd71845c3afp-2, 0x1.3ca3cc1f4d53bp-2, 0x1.3a768834ed36p-2, 0x1.38368181898b6p-2, 0x1.35e4905ee83dbp-2, 0x1.338189b26de51p-2, 0x1.310e3edcd8d4fp-2, 0x1.2e8b7dab80f22p-2, 0x1.2bfa104b11542p-2, 0x1.295abd3bb3c67p-2, 0x1.26ae4746974b3p-2, 0x1.23f56d74d3d2dp-2, 0x1.2130eb079215bp-2, 0x1.1e6177717720dp-2, 0x1.1b87c6513fc9cp-2, 0x1.18a4876d85e1ep-2, 0x1.15b866b1a0357p-2, 0x1.12c40c2b980e9p-2, 0x1.0fc81c0b20018p-2, 0x1.0cc536a18ce31p-2, 0x1.09bbf862bbcd6p-2, 0x1.06acf9e6e28ecp-2, 0x1.0398cfed3b8f3p-2, 0x1.00800b5f8774bp-2, 0x1.fac672acab239p-3, 0x1.f485c63c1f353p-3, 0x1.ee3f1c797275dp-3, 0x1.e7f378f0c0117p-3, 0x1.e1a3d7bc5f067p-3, 0x1.db512d943fc2p-3, 0x1.d4fc67de74ce9p-3, 0x1.cea66cc0d0956p-3, 0x1.c8501b33894p-3, 0x1.c1fa4b14d668cp-3, 0x1.bba5cd3d6ff93p-3, 0x1.b5536b95ed55fp-3, 0x1.af03e92ce8b1p-3, 0x1.a8b8024de13c6p-3, 0x1.a2706c98caa5ap-3, 0x1.9c2dd71a3d888p-3, 0x1.95f0ea643f2d1p-3, 0x1.8fba48a789b22p-3, 0x1.898a8dcd55851p-3, 0x1.83624f919613cp-3, 0x1.7d421d9d9037dp-3, 0x1.772a81a2d4e75p-3, 0x1.711bff7684e86p-3, 0x1.6b17152cdca4bp-3, 0x1.651c3b34fbcdfp-3, 0x1.5f2be474dba06p-3, 0x1.59467e656d9bcp-3, 0x1.536c712ee1d19p-3, 0x1.4d9e1fc4fd081p-3, 0x1.47dbe8037f945p-3, 0x1.422622ca99655p-3, 0x1.3c7d241b58c8ap-3, 0x1.36e13b34184d4p-3, 0x1.3152b2acd94d2p-3, 0x1.2bd1d09390633p-3, 0x1.265ed688577e8p-3, 0x1.20fa01d97cc5fp-3, 0x1.1ba38b9f71d14p-3, 0x1.165ba8d88e067p-3, 0x1.11228a84a095bp-3, 0x1.0bf85dc04f713p-3, 0x1.06dd4be0425f5p-3, 0x1.01d17a8c07ae1p-3, 0x1.f9aa17b18bc57p-4, 0x1.efd03cc73574p-4, 0x1.e6159ad7792b9p-4, 0x1.dc7a61d89d063p-4, 0x1.d2febb6bc8695p-4, 0x1.c9a2cb0f6f68bp-4, 0x1.c066ae5111c26p-4, 0x1.b74a7cfe58011p-4, 0x1.ae4e49556d593p-4, 0x1.a5722034c23a3p-4, 0x1.9cb60949f67e8p-4, 0x1.941a074025cd3p-4, 0x1.8b9e17ed5bc77p-4, 0x1.8342347f5a0b6p-4, 0x1.7b0651a79144bp-4, 0x1.72ea5fc656c9fp-4, 0x1.6aee4b1552e82p-4, 0x1.6311fbd125c04p-4, 0x1.5b5556623fb88p-4, 0x1.53b83b84f3238p-4, 0x1.4c3a8870b5f64p-4, 0x1.44dc16fe968bfp-4, 0x1.3d9cbdcee5928p-4, 0x1.367c506e119c7p-4, 0x1.2f7a9f78b4842p-4, 0x1.289778bed6261p-4, 0x1.21d2a7666146ap-4, 0x1.1b2bf40ccc391p-4, 0x1.14a324e7f7be8p-4, 0x1.0e37fde643c24p-4, 0x1.07ea40cddbb67p-4, 0x1.01b9ad5b38a0cp-4, 0x1.f74c02bdc50adp-5, 0x1.eb5df1b4ce503p-5, 0x1.dfa89c3921bep-5, 0x1.d42b73b9b9e09p-5, 0x1.c8e5e6ac64b6bp-5, 0x1.bdd760c1af4b8p-5, 0x1.b2ff4b1767f82p-5, 0x1.a85d0c69a33f5p-5, 0x1.9df0094257513p-5, 0x1.93b7a4278c74dp-5, 0x1.89b33dc830c42p-5, 0x1.7fe235278127fp-5, 0x1.7643e7c71e185p-5, 0x1.6cd7b1cfcc7b1p-5, 0x1.639cee38e1eccp-5, 0x1.5a92f6ee69d32p-5, 0x1.51b924f601cfbp-5, 0x1.490ed0927989ap-5, 0x1.409351663791cp-5, 0x1.3845fe94646dcp-5, 0x1.30262ee0ecaeap-5, 0x1.283338cf5417cp-5, 0x1.206c72c06c20dp-5, 0x1.18d1330edf678p-5, 0x1.1160d02ab15f7p-5, 0x1.0a1aa0b3a37b5p-5, 0x1.02fdfb928eee5p-5, 0x1.f81470236f352p-6, 0x1.ea7d5be8348f8p-6, 0x1.dd356b17859a8p-6, 0x1.d03b4f9e518ep-6, 0x1.c38dbcdb31a17p-6, 0x1.b72b67c5721c9p-6, 0x1.ab13071244a3cp-6, 0x1.9f435358389a3p-6, 0x1.93bb0730f6146p-6, 0x1.8878df5954b16p-6, 0x1.7d7b9acfd6171p-6, 0x1.72c1faf17dbd1p-6, 0x1.684ac39530f2bp-6, 0x1.5e14bb257e0d3p-6, 0x1.541eaab90ac7ap-6, 0x1.4a675e2988c11p-6, 0x1.40eda4293e2cdp-6, 0x1.37b04e5748b39p-6, 0x1.2eae315290acp-6, 0x1.25e624cb702f9p-6, 0x1.1d57039428c8cp-6, 0x1.14ffabb022cd7p-6, 0x1.0cdefe6207fe1p-6, 0x1.04f3e038c3f66p-6, 0x1.fa7a7236c566ep-7, 0x1.eb73e8a7fb775p-7, 0x1.dcd201330d4ffp-7, 0x1.ce92a03152e9ep-7, 0x1.c0b3b0f773e45p-7, 0x1.b33325e366b1bp-7, 0x1.a60ef868bfb44p-7, 0x1.9945291b2d1b5p-7, 0x1.8cd3bfb76e512p-7, 0x1.80b8cb2a9f90ap-7, 0x1.74f261980ae68p-7, 0x1.697ea05d78fbp-7, 0x1.5e5bac1637205p-7, 0x1.5387b09c98f1ap-7, 0x1.4900e10a42ea5p-7, 0x1.3ec577b73126ep-7, 0x1.34d3b6378b0f4p-7, 0x1.2b29e558673d3p-7, 0x1.21c6551b4afc8p-7, 0x1.18a75cb0c4ac8p-7, 0x1.0fcb5a71eda3cp-7, 0x1.0730b3d8fab69p-7, 0x1.fdabaaf1e3c9ap-8, 0x1.ed7265e8e4a64p-8, 0x1.ddb28de75f8bep-8, 0x1.ce692633388c1p-8, 0x1.bf933ff0a1123p-8, 0x1.b12dfa09ab7c8p-8, 0x1.a33681143fcfbp-8, 0x1.95aa0f371828p-8, 0x1.8885ec0d5d09ep-8, 0x1.7bc76c890b83cp-8, 0x1.6f6bf2d483231p-8, 0x1.6370ee32f1b62p-8, 0x1.57d3dadfd0152p-8, 0x1.4c9241ed8ee87p-8, 0x1.41a9b92381c78p-8, 0x1.3717e2dad0ac4p-8, 0x1.2cda6ddadd3a8p-8, 0x1.22ef15350d7eep-8, 0x1.1953a01fdfb9p-8, 0x1.1005e1d1836c5p-8, 0x1.0703b95a1a56cp-8, 0x1.fc9622fa2801bp-9, 0x1.ebb3c1155ce99p-9, 0x1.db5c5071646cp-9, 0x1.cb8beaf62e46fp-9, 0x1.bc3ec0b880b95p-9, 0x1.ad7117aa40739p-9, 0x1.9f1f4b4a1ae75p-9, 0x1.9145cc52d053cp-9, 0x1.83e1206a67dd6p-9, 0x1.76ede1d113253p-9, 0x1.6a68bf10115p-9, 0x1.5e4e7aa85ff34p-9, 0x1.529beac1a20d2p-9, 0x1.474df8d8cfd11p-9, 0x1.3c61a16efe196p-9, 0x1.31d3f3b8b295ap-9, 0x1.27a2114cf34adp-9, 0x1.1dc92dd4e510ep-9, 0x1.14468ebbb7c04p-9, 0x1.0b178adeb1559p-9, 0x1.02398a3dc7829p-9, 0x1.f3540b595a6d2p-10, 0x1.e2cd0d085ccedp-10, 0x1.d2d94ca83b4f7p-10, 0x1.c3741d2ba5f66p-10, 0x1.b498f0beab9b6p-10, 0x1.a643582da5d47p-10, 0x1.986f024dee007p-10, 0x1.8b17bb677380cp-10, 0x1.7e396c9fc21d2p-10, 0x1.71d01b6708b19p-10, 0x1.65d7e8e557068p-10, 0x1.5a4d116a73f19p-10, 0x1.4f2bebdec50dcp-10, 0x1.4470e935ac40cp-10, 0x1.3a1893e196b86p-10, 0x1.301f8f4982d4ep-10, 0x1.268297406014ap-10, 0x1.1d3e7f7dedcd7p-10, 0x1.145033198eed1p-10, 0x1.0bb4b4064c972p-10, 0x1.03691a91321b8p-10, 0x1.f6d529c1d3d4bp-11, 0x1.e76cccee7b516p-11, 0x1.d893cf68dcb6bp-11, 0x1.ca450ab89875p-11, 0x1.bc7b803a31f99p-11, 0x1.af325830339b4p-11, 0x1.a264e0d89092bp-11, 0x1.960e8d84d50b9p-11, 0x1.8a2af5b667abp-11, 0x1.7eb5d43e182fcp-11, 0x1.73ab065ff7d31p-11, 0x1.69068af9bb149p-11, 0x1.5ec481ade81b5p-11, 0x1.54e12a11e199bp-11, 0x1.4b58e2dfe44c9p-11, 0x1.4228292c3f1d5p-11, 0x1.394b979e4473cp-11, 0x1.30bfe5accb82bp-11, 0x1.2881e6deb78d8p-11, 0x1.208e8a0df48e7p-11, 0x1.18e2d8aee913ap-11, 0x1.117bf61ada75cp-11, 0x1.0a571ede60f13p-11, 0x1.0371a80a2d17ap-11, 0x1.f991fd11a1921p-12, 0x1.ecb54cebbf25p-12, 0x1.e04874f403d41p-12, 0x1.d446d65430889p-12, 0x1.c8abfcd1f6cd3p-12, 0x1.bd739d99987fep-12, 0x1.b299961099c53p-12, 0x1.a819eaab8b9dp-12, 0x1.9df0c5cca9ec4p-12, 0x1.941a76a8faf5p-12, 0x1.8a9370307bbb4p-12, 0x1.815847ffb06efp-12, 0x1.7865b555d62f2p-12, 0x1.6fb89011293ecp-12, 0x1.674dcfb0628acp-12, 0x1.5f228a5bccf0cp-12, 0x1.5733f3f19c241p-12, 0x1.4f7f5d190901bp-12, 0x1.4802325c5a826p-12, 0x1.40b9fb4534fdap-12, 0x1.39a4598131449p-12, 0x1.32bf080a11ad8p-12, 0x1.2c07da541d955p-12, 0x1.257cbb812b487p-12, 0x1.1f1bad98aa4c2p-12, 0x1.18e2c8c518c34p-12, 0x1.12d03a95044ccp-12, 0x1.0ce245428febp-12, 0x1.07173efef4a1ap-12, 0x1.016d914270158p-12, 0x1.f7c770414a77p-13, 0x1.ecf083447801ap-13, 0x1.e2539a448d0aap-13, 0x1.d7ee155f9df9ep-13, 0x1.cdbd74e9d7641p-13, 0x1.c3bf583fd16a5p-13, 0x1.b9f17ca385138p-13, 0x1.b051bc213f2e2p-13, 0x1.a6de0c7c953cbp-13, 0x1.9d947e244c66cp-13, 0x1.94733b2d5591p-13, 0x1.8b78865785bf3p-13, 0x1.82a2ba163e5edp-13, 0x1.79f047a18ae58p-13, 0x1.715fb61247ff8p-13, 0x1.68efa17c6372bp-13, 0x1.609eba171778fp-13, 0x1.586bc368dd427p-13, 0x1.5055937a6635ap-13, 0x1.485b120f2a9ffp-13, 0x1.407b37e47e55ep-13, 0x1.38b50df778b93p-13, 0x1.3107acce4a0b2p-13, 0x1.29723bc8ab4d8p-13, 0x1.21f3f07851fap-13, 0x1.1a8c0df9b2fd3p-13, 0x1.1339e4561d1b2p-13, 0x1.0bfccfe8f0766p-13, 0x1.04d438cc06438p-13, 0x1.fb7f248c1c5f1p-14, 0x1.ed7cb47fc2ccbp-14, 0x1.dfa0317f0a527p-14, 0x1.d1e8bec9208fap-14, 0x1.c45591d530dc8p-14, 0x1.b6e5f161b3d7bp-14, 0x1.a999348ac2fc3p-14, 0x1.9c6ec1e7c99afp-14, 0x1.8f660eb2f89aep-14, 0x1.827e9df7c00f8p-14, 0x1.75b7ffc8c8f71p-14, 0x1.6911d07c742fap-14, 0x1.5c8bb7f29998p-14, 0x1.502568e36f96p-14, 0x1.43dea02debdd3p-14, 0x1.37b724321177bp-14, 0x1.2baec43308773p-14, 0x1.1fc557bb1a3bdp-14, 0x1.13fabe096131ep-14, 0x1.084edd839e26cp-14, 0x1.f983465e5a1p-15, 0x1.e2a6045cd3f9p-15, 0x1.cc05e685589c4p-15, 0x1.b5a2e8ab18ae6p-15, 0x1.9f7d101188e51p-15, 0x1.89946a8be63bap-15, 0x1.73e90dad87558p-15, 0x1.5e7b160494683p-15, 0x1.494aa657bcc18p-15, 0x1.3457e6f4e44cp-15, 0x1.1fa304fed0e95p-15, 0x1.0b2c31cdfd27ep-15, 0x1.ede744a38db06p-16, 0x1.c5f31cf076b1fp-16, 0x1.9e7c614440767p-16, 0x1.77838a3dad554p-16, 0x1.51091356b84e7p-16, 0x1.2b0d79f0fe665p-16, 0x1.05913c7593facp-16, 0x1.c129b2f977699p-17, 0x1.78319e02d1622p-17, 0x1.303b33428f736p-17, 0x1.d28ecf987eebap-18, 0x1.46ae56a3e9e9dp-18, 0x1.79ad9b3e4cdb2p-19, 0x1.a84fb69e1d50dp-21, -0x1.42d9f5714d4ccp-20, -0x1.a8d1e4a7e1f04p-19, -0x1.560be147f6446p-18, -0x1.d59ddad4fbe72p-18, -0x1.298ec45b8b308p-17, -0x1.6744d790fa6p-17, -0x1.a3f0971c2c906p-17, -0x1.df9181a6adbc9p-17, -0x1.0d13927ec4263p-16, -0x1.29d88f4397b91p-16, -0x1.46178de39dc82p-16, -0x1.61d06d6215858p-16, -0x1.7d03153399581p-16, -0x1.97af75603fd74p-16, -0x1.b1d586ac9ddd1p-16, -0x1.cb754ab52285bp-16, -0x1.e48ecc07d087ap-16, -0x1.fd221e322801bp-16, -0x1.0a97aeea9bbcp-15, -0x1.165b5858fdbd5p-15, -0x1.21dc22d73a5d1p-15, -0x1.2d1a2a6a8746p-15, -0x1.38158faa2495bp-15, -0x1.42ce77bda54f2p-15, -0x1.4d450c598040cp-15, -0x1.57797bb6e6588p-15, -0x1.616bf88e5220fp-15, -0x1.6b1cba0f3ebcdp-15, -0x1.748bfbd4e9343p-15, -0x1.7db9fddbcf438p-15, -0x1.86a70471fba03p-15, -0x1.8f53582dfc8fdp-15, -0x1.97bf45ddfdeep-15, -0x1.9feb1e78c48a3p-15, -0x1.a7d7370b9afa1p-15, -0x1.af83e8a8f79c1p-15, -0x1.b6f1905801faap-15, -0x1.be208effcbddep-15, -0x1.c5114953d406fp-15, -0x1.cbc427bf42239p-15, -0x1.d239965155004p-15, -0x1.d87204a7552dcp-15, -0x1.de6de5d6932eep-15, -0x1.e42db053e7938p-15, -0x1.e9b1dde04f48dp-15, -0x1.eefaeb702ca7cp-15, -0x1.f40959144b97fp-15, -0x1.f8dda9e18abe2p-15, -0x1.fd7863d8d27c6p-15, -0x1.00ed07e82fab6p-14, -0x1.03019cad41e9dp-14, -0x1.04fa37569392ep-14, -0x1.06d720445e8bcp-14, -0x1.0898a110a5734p-14, -0x1.0a3f04829b6a3p-14, -0x1.0bca96828dec5p-14, -0x1.0d3ba40d25811p-14, -0x1.0e927b27610e3p-14, -0x1.0fcf6ad2b1969p-14, -0x1.10f2c300eba3fp-14, -0x1.11fcd487876dfp-14, -0x1.12edf113e7a6ep-14, -0x1.13c66b1fcddc8p-14, -0x1.148695e52d41ep-14, -0x1.152ec552fb1dfp-14, -0x1.15bf4e00723p-14, -0x1.163885222aa2cp-14, -0x1.169ac07eebeb8p-14, -0x1.16e656641e491p-14, -0x1.171b9d9b1b756p-14, -0x1.173aed5da10aap-14, -0x1.17449d4b24fdap-14, -0x1.1739055e5b73bp-14, -0x1.17187de2b16dap-14, -0x1.16e35f6953f95p-14, -0x1.169a02bf7a359p-14, -0x1.163cc0e431693p-14, -0x1.15cbf2ff053dep-14, -0x1.1547f255b7aa9p-14, -0x1.14b11842d1666p-14, -0x1.1407be2bede78p-14, -0x1.134c3d796c9b5p-14, -0x1.127eef8cd508cp-14, -0x1.11a02db8611f5p-14, -0x1.10b0513683bdfp-14, -0x1.0fafb320e2b64p-14, -0x1.0e9eac68bce25p-14, -0x1.0d7d95cebf648p-14, -0x1.0c4cc7dadd6cbp-14, -0x1.0b0c9ad4d5a65p-14, -0x1.09bd66bcb5abp-14, -0x1.085f8343f3b31p-14, -0x1.06f347c61d71fp-14, -0x1.05790b41c93e7p-14, -0x1.03f1245225934p-14, -0x1.025be92829cep-14, -0x1.00b9af8474f36p-14, -0x1.fe159962c5b51p-15, -0x1.fa9f2af9f8d44p-15, -0x1.f710bc6654fabp-15, -0x1.f36af5305682cp-15, -0x1.efae7bc6659e6p-15, -0x1.ebdbf5727ddd2p-15, -0x1.e7f406504c976p-15, -0x1.e3f75142864e7p-15, -0x1.dfe677eaa8784p-15, -0x1.dbc21aa0996c3p-15, -0x1.d78ad86822839p-15, -0x1.d3414eea86448p-15, -0x1.cee61a6d6833fp-15, -0x1.ca79d5cbadc69p-15, -0x1.c5fd1a6d7693ap-15, -0x1.c1708042b2a9bp-15, -0x1.bcd49dbb9c758p-15, -0x1.b82a07c1d6969p-15, -0x1.b37151b4151acp-15, -0x1.aeab0d5e562e8p-15, -0x1.a9d7caf61c2e2p-15, -0x1.a4f8191523afbp-15, -0x1.a00c84b3ba128p-15, -0x1.9b1599247a2f6p-15, -0x1.9613e011bd57ap-15, -0x1.9107e1772a4b7p-15, -0x1.8bf2239f9530bp-15, -0x1.86d32b213d3f1p-15, -0x1.81ab7adb28d93p-15, -0x1.7c7b93f0edc49p-15, -0x1.7743f5c91ceb2p-15, -0x1.72051e0b9540bp-15, -0x1.6cbf889d68cd9p-15, -0x1.6773afa0eabb9p-15, -0x1.62220b72f1225p-15, -0x1.5ccb12a901bc4p-15, -0x1.576f3a114c22dp-15, -0x1.520ef4b16d1d3p-15, -0x1.4caab3c455134p-15, -0x1.4742e6bb1d585p-15, -0x1.41d7fb3c95989p-15, -0x1.3c6a5d24560eep-15, -0x1.36fa76829b7d5p-15, -0x1.3188af9db1446p-15, -0x1.2c156ef1be95ap-15, -0x1.26a119301c659p-15, -0x1.212c1141f1c13p-15, -0x1.1bb6b8484ed39p-15, -0x1.16416d9c9ac91p-15, -0x1.10cc8ed2adb81p-15, -0x1.0b5877ba480d1p-15, -0x1.05e5825f0d228p-15, -0x1.0074070b92856p-15, -0x1.f608b89706783p-16, -0x1.eb2dadd81b535p-16, -0x1.e05793fdc30d5p-16, -0x1.d5870db8fc104p-16, -0x1.cabcba4c7b76ap-16, -0x1.bff935900c4b4p-16, -0x1.b53d17f7e279fp-16, -0x1.aa88f69951c61p-16, -0x1.9fdd632fa5e73p-16, -0x1.953aec2124709p-16, -0x1.8aa21c878a132p-16, -0x1.80137c331e342p-16, -0x1.758f8fb23906ep-16, -0x1.6b16d8593e61bp-16, -0x1.60a9d44602096p-16, -0x1.5648fe6842c97p-16, -0x1.4bf4ce88aa86dp-16, -0x1.41adb95014379p-16, -0x1.3774304d176bbp-16, -0x1.2d48a1fd4bb7dp-16, -0x1.232b79d32b6e1p-16, -0x1.191d203f7df23p-16, -0x1.0f1dfab528d33p-16, -0x1.052e6bb574c8bp-16, -0x1.f69da5ac1d60dp-17, -0x1.e2ff198e633afp-17, -0x1.cf81e6bd9cfa3p-17, -0x1.bc26bb3caca03p-17, -0x1.a8ee3f764960dp-17, -0x1.95d9164ff9c2p-17, -0x1.82e7dd38bdceep-17, -0x1.701b2c3a4793ap-17, -0x1.5d7396084c7d4p-17, -0x1.4af1a814a022fp-17, -0x1.3895ea9d20d15p-17, -0x1.2660e0bd9daf1p-17, -0x1.1453088285334p-17, -0x1.026cdaf96eac8p-17, -0x1.e15d987f5f1d9p-18, -0x1.be3297315b3c5p-18, -0x1.9b5986f0bd132p-18, -0x1.78d3333a84ccep-18, -0x1.56a05e34a37a5p-18, -0x1.34c1c0d7c0b45p-18, -0x1.13380b146ce07p-18, -0x1.e407c7d53f638p-19, -0x1.a24bd333b933fp-19, -0x1.613d637a0ccdap-19, -0x1.20dd92da08c9ap-19, -0x1.c25ad597d6053p-20, -0x1.445bc89e14739p-20, -0x1.8f7fa0d775016p-21, -0x1.32227af306a11p-22, 0x1.6a41d020cbd41p-23, 0x1.4b628c6978d44p-21, 0x1.1cb1306084986p-20, 0x1.9246c0e26b048p-20, 0x1.03386ea3472bap-19, 0x1.3c9743df9dff7p-19, 0x1.753f6f524c495p-19, 0x1.ad308df6a94dp-19, 0x1.e46a4a5ccfac3p-19, 0x1.0d762e2b43934p-18, 0x1.285b4464b55a8p-18, 0x1.42e450b54ba5cp-18, 0x1.5d11423712849p-18, 0x1.76e20e2b39c34p-18, 0x1.9056afd9d28a7p-18, 0x1.a96f286fc751dp-18, 0x1.c22b7edc2e17dp-18, 0x1.da8bbfb75659p-18, 0x1.f28ffd25aad97p-18, 0x1.051c2759f802fp-17, 0x1.10c2689b81a72p-17, 0x1.1c3ad358cb13cp-17, 0x1.27857b1bdbef6p-17, 0x1.32a275e8a27adp-17, 0x1.3d91dc2b7e8dbp-17, 0x1.4853c8ad08208p-17, 0x1.52e858849e67ap-17, 0x1.5d4fab074ab99p-17, }}, 
      {{-0x1.6789058608797p-1, -0x1.67908e1297646p-1, -0x1.679cd0a0dc996p-1, -0x1.67ad5f0250c8bp-1, -0x1.67c1a4dc7971bp-1, -0x1.67d8ec54da191p-1, -0x1.67f2630ee2839p-1, -0x1.680d1f3953d74p-1, -0x1.6828247c20a48p-1, -0x1.684268a6c60e8p-1, -0x1.685ad80a698ccp-1, -0x1.687059739531ap-1, -0x1.6881d1bdb52fap-1, -0x1.688e26ff0d6cap-1, -0x1.6894434f2b05ep-1, -0x1.6893172c07132p-1, -0x1.68899b8398ec6p-1, -0x1.6876d3686d804p-1, -0x1.6859cd7857f0cp-1, -0x1.6831a4fc6c0d2p-1, -0x1.67fd82c966ec2p-1, -0x1.67bc9de76121fp-1, -0x1.676e3c07520ccp-1, -0x1.6711b1cc8029p-1, -0x1.66a662ef83d89p-1, -0x1.662bc2400aa07p-1, -0x1.65a1518a14fb1p-1, -0x1.6506a162ed11bp-1, -0x1.645b50e1ac00cp-1, -0x1.639f0d46b7c47p-1, -0x1.62d191954165ep-1, -0x1.61f2a62174248p-1, -0x1.61022015afebap-1, -0x1.5fffe0f0e1edp-1, -0x1.5eebd5ffc8ba7p-1, -0x1.5dc5f7d2b5696p-1, -0x1.5c8e49b12370ap-1, -0x1.5b44d90c51377p-1, -0x1.59e9bcf1d9858p-1, -0x1.587d157f2403ep-1, -0x1.56ff0b56669f6p-1, -0x1.556fcf15cd1d5p-1, -0x1.53cf98d14ad2fp-1, -0x1.521ea78f7c512p-1, -0x1.505d40c9eb411p-1, -0x1.4e8baff0fe1f2p-1, -0x1.4caa45f3c1ff3p-1, -0x1.4ab958cbb93dfp-1, -0x1.48b9430cc9499p-1, -0x1.46aa63795bf5p-1, -0x1.448d1c9abc78fp-1, -0x1.4261d45db4509p-1, -0x1.4028f3b365f66p-1, -0x1.3de2e6365abbep-1, -0x1.3b9019d3b99d2p-1, -0x1.3930fe78981ep-1, -0x1.36c605c34ef92p-1, -0x1.344fa2b8bf80ap-1, -0x1.31ce497d7260bp-1, -0x1.2f426f1275282p-1, -0x1.2cac8915df801p-1, -0x1.2a0d0d86dff84p-1, -0x1.2764728d39f8cp-1, -0x1.24b32e4413dep-1, -0x1.21f9b687fbf47p-1, -0x1.1f3880c806338p-1, -0x1.1c7001d9e3b7p-1, -0x1.19a0add0de307p-1, -0x1.16caf7d7910e3p-1, -0x1.13ef520c4f69p-1, -0x1.110e2d6010e5dp-1, -0x1.0e27f977d2d99p-1, -0x1.0b3d24904dcep-1, -0x1.084e1b63e7a5dp-1, -0x1.055b4912c94fep-1, -0x1.0265170cfe86ap-1, -0x1.fed7d9fd1027dp-2, -0x1.f8e0617a9295cp-2, -0x1.f2e48c7175023p-2, -0x1.ece51ed69270bp-2, -0x1.e6e2d89aa61e8p-2, -0x1.e0de759348c48p-2, -0x1.dad8ad66d35b7p-2, -0x1.d4d2337afcb9ep-2, -0x1.cecbb6e60d8a7p-2, -0x1.c8c5e2628a801p-2, -0x1.c2c15c452ef41p-2, -0x1.bcbec67519972p-2, -0x1.b6bebe660aa81p-2, -0x1.b0c1dd1494e7fp-2, -0x1.aac8b70425253p-2, -0x1.a4d3dc3ec3c8p-2, -0x1.9ee3d856766c7p-2, -0x1.98f9326826b74p-2, -0x1.93146d1ff947ep-2, -0x1.8d3606bef43d3p-2, -0x1.875e7921edd1ep-2, -0x1.818e39c99d3ebp-2, -0x1.7bc5b9e3c748cp-2, -0x1.7605665566d25p-2, -0x1.704da7c5c9f37p-2, -0x1.6a9ee2aa89a7ap-2, -0x1.64f977544bcb8p-2, -0x1.5f5dc1fc477e8p-2, -0x1.59cc1ad26ee2fp-2, -0x1.5444d60c3a464p-2, -0x1.4ec843f4046c6p-2, -0x1.4956b0f8e5847p-2, -0x1.43f065bf062f4p-2, -0x1.3e95a7305d644p-2, -0x1.3946b68dc79f4p-2, -0x1.3403d18077c5ap-2, -0x1.2ecd322babc72p-2, -0x1.29a30f3ea2c5dp-2, -0x1.24859c06c9575p-2, -0x1.1f7508820ffe4p-2, -0x1.1a7181716938dp-2, -0x1.157b306b63b56p-2, -0x1.10923beed8516p-2, -0x1.0bb6c775a69bcp-2, -0x1.06e8f3877b74cp-2, -0x1.0228ddcc9429bp-2, -0x1.faed4241031f8p-3, -0x1.f1a4ab49bbdbdp-3, -0x1.e87821a7e6222p-3, -0x1.df67cb269d91dp-3, -0x1.d673c88c767ddp-3, -0x1.cd9c35c037303p-3, -0x1.c4e129ed4acf5p-3, -0x1.bc42b7a7f0888p-3, -0x1.b3c0ed110e5e2p-3, -0x1.ab5bd3f9b76fcp-3, -0x1.a313720648b45p-3, -0x1.9ae7c8d12cddp-3, -0x1.92d8d60d2c1cbp-3, -0x1.8ae693a755e66p-3, -0x1.8310f7e875ae9p-3, -0x1.7b57f5960ba68p-3, -0x1.73bb7c12d5c13p-3, -0x1.6c3b777ed2246p-3, -0x1.64d7d0d6c2ef2p-3, -0x1.5d906e1332759p-3, -0x1.56653246e9decp-3, -0x1.4f55fdbce8371p-3, -0x1.4862ae15ca228p-3, -0x1.418b1e64a3f15p-3, -0x1.3acf274b551f4p-3, -0x1.342e9f1649cfep-3, -0x1.2da959d7ab279p-3, -0x1.273f298203c92p-3, -0x1.20efde02508d3p-3, -0x1.1abb455981d9p-3, -0x1.14a12bb56d956p-3, -0x1.0ea15b892b9cap-3, -0x1.08bb9da4e2c84p-3, -0x1.02efb94d0be57p-3, -0x1.fa7ae8a233b3cp-4, -0x1.ef49264331212p-4, -0x1.e449b1cb7c90cp-4, -0x1.d97c0f20d2396p-4, -0x1.cedfbfe92db51p-4, -0x1.c47443b28e9a1p-4, -0x1.ba391819bfc05p-4, -0x1.b02db8eff1b34p-4, -0x1.a651a05f5b53fp-4, -0x1.9ca4470eb836ep-4, -0x1.93252443cfa81p-4, -0x1.89d3ae04e1824p-4, -0x1.80af59391ed7ap-4, -0x1.77b799c81706fp-4, -0x1.6eebe2b82a20bp-4, -0x1.664ba64c03119p-4, -0x1.5dd6561f18591p-4, -0x1.558b63413c9d2p-4, -0x1.4d6a3e513fa2ep-4, -0x1.45725796a38b7p-4, -0x1.3da31f1a6c227p-4, -0x1.35fc04bf0ae2p-4, -0x1.2e7c78576ad73p-4, -0x1.2723e9bd2450ap-4, -0x1.1ff1c8e5d6f02p-4, -0x1.18e585f7b2bd8p-4, -0x1.11fe915d32dddp-4, -0x1.0b3c5bd80cc02p-4, -0x1.049e56935a153p-4, -0x1.fc47e66a01d22p-5, -0x1.ef9947dcbc306p-5, -0x1.e32fb71869861p-5, -0x1.d70a1b0bd718bp-5, -0x1.cb275c182894ap-5, -0x1.bf86642c965e4p-5, -0x1.b4261ee0d314ep-5, -0x1.a905798e2aec5p-5, -0x1.9e23636760bd2p-5, -0x1.937ecd8f51f0ap-5, -0x1.8916ab2e6743dp-5, -0x1.7ee9f186e0747p-5, -0x1.74f79807fa243p-5, -0x1.6b3e985ffc045p-5, -0x1.61bdee8d33dd4p-5, -0x1.587498ede90dep-5, -0x1.4f61984f4991bp-5, -0x1.4683effb5ef9bp-5, -0x1.3ddaa5c60d752p-5, -0x1.3564c21926c42p-5, -0x1.2d214fff99df5p-5, -0x1.250f5d2fbfafdp-5, -0x1.1d2dfa14d3f6fp-5, -0x1.157c39d79b759p-5, -0x1.0df9326642943p-5, -0x1.06a3fc7b77b7p-5, -0x1.fef767498a394p-6, -0x1.f0feec9077be2p-6, -0x1.e35ccb52cf49ep-6, -0x1.d60f4bdb39ea4p-6, -0x1.c914bc3f3f6bfp-6, -0x1.bc6b7065635adp-6, -0x1.b011c209ff04p-6, -0x1.a40610c30d40ap-6, -0x1.9846c202c7ab1p-6, -0x1.8cd241194192cp-6, -0x1.81a6ff34f83dbp-6, -0x1.76c373626b777p-6, -0x1.6c261a8ac9af8p-6, -0x1.61cd7771ad8bp-6, -0x1.57b812b2085b1p-6, -0x1.4de47aba33d6ep-6, -0x1.445143c73ecdbp-6, -0x1.3afd07df72b3ap-6, -0x1.31e666cc2ee3fp-6, -0x1.290c061300f77p-6, -0x1.206c90ee2a089p-6, -0x1.1806b8447b15p-6, -0x1.0fd932a09ac8ep-6, -0x1.07e2bc27c15cdp-6, -0x1.0022168fe7042p-6, -0x1.f12c122aefd28p-7, -0x1.e27ac0e111988p-7, -0x1.d42ddd9345904p-7, -0x1.c643175c33273p-7, -0x1.b8b82808041ddp-7, -0x1.ab8ad3fb8f6a7p-7, -0x1.9eb8ea1ade0abp-7, -0x1.924043aefd183p-7, -0x1.861ec44b30d48p-7, -0x1.7a5259b1b5b64p-7, -0x1.6ed8fbb7d8932p-7, -0x1.63b0ac29ac462p-7, -0x1.58d776ad491d7p-7, -0x1.4e4b70a5a58b5p-7, -0x1.440ab91513c85p-7, -0x1.3a13787f5e59ep-7, -0x1.3063e0cbb66efp-7, -0x1.26fa2d263ee0ep-7, -0x1.1dd4a1e172547p-7, -0x1.14f18c5748797p-7, -0x1.0c4f42ca3fb5p-7, -0x1.03ec24462cac1p-7, -0x1.f78d3102041fp-8, -0x1.e7ba1f76e292bp-8, -0x1.d85c05431020fp-8, -0x1.c96fe4566ea85p-8, -0x1.baf2cef9b3bebp-8, -0x1.ace1e78f86938p-8, -0x1.9f3a60559d89bp-8, -0x1.91f97b25e7a42p-8, -0x1.851c8937f426cp-8, -0x1.78a0eae274654p-8, -0x1.6c840f5ce661cp-8, -0x1.60c374818f5c4p-8, -0x1.555ca68fb44e5p-8, -0x1.4a4d3fee1c6e4p-8, -0x1.3f92e8ede2824p-8, -0x1.352b578da9d81p-8, -0x1.2b144f3d3187cp-8, -0x1.214ba0a14691ep-8, -0x1.17cf29582d566p-8, -0x1.0e9cd3be80fb5p-8, -0x1.05b296b47af8fp-8, -0x1.fa1ceac784138p-9, -0x1.e95cfe0b6ef79p-9, -0x1.d9219d54aee1ap-9, -0x1.c96715ff20ec8p-9, -0x1.ba29cc324aa36p-9, -0x1.ab663a727aa23p-9, -0x1.9d18f132d906fp-9, -0x1.8f3e9668bdd5bp-9, -0x1.81d3e5203d8c8p-9, -0x1.74d5ad11e644ep-9, -0x1.6840d239bff8p-9, -0x1.5c124c6f9585fp-9, -0x1.504727007f2eep-9, -0x1.44dc8049a4eb8p-9, -0x1.39cf89547a83bp-9, -0x1.2f1d857412dd7p-9, -0x1.24c3c9e3ebe97p-9, -0x1.1abfbd681af73p-9, -0x1.110ed7ee91f35p-9, -0x1.07aea231f5774p-9, -0x1.fd396abb4c707p-10, -0x1.ebad756694c8fp-10, -0x1.dab4d66319407p-10, -0x1.ca4b1e787b55ap-10, -0x1.ba6bfc8b91d2dp-10, -0x1.ab133cf42817fp-10, -0x1.9c3cc8d5512b9p-10, -0x1.8de4a5788a3eap-10, -0x1.8006f3ab53b2p-10, -0x1.729fef1f9bcf1p-10, -0x1.65abedceb7a64p-10, -0x1.59275f5f2920cp-10, -0x1.4d0ecc8ceeb6bp-10, -0x1.415ed694710e5p-10, -0x1.3614369fffe1fp-10, -0x1.2b2bbd37ef0e7p-10, -0x1.20a251b53c277p-10, -0x1.1674f1b6ce92fp-10, -0x1.0ca0b09965523p-10, -0x1.0322b6f1a45f6p-10, -0x1.f3f08411a511p-11, -0x1.e23d46b84d949p-11, -0x1.d126803c85f8fp-11, -0x1.c0a721771af72p-11, -0x1.b0ba40c0eb336p-11, -0x1.a15b19047b87ep-11, -0x1.928508d46cd4ep-11, -0x1.843391863c3eep-11, -0x1.76625651d52f7p-11, -0x1.690d1b75e4a8dp-11, -0x1.5c2fc5602b974p-11, -0x1.4fc657da365c7p-11, -0x1.43ccf53ac8642p-11, -0x1.383fdd9b74e01p-11, -0x1.2d1b6e122852dp-11, -0x1.225c1fefb9aecp-11, -0x1.17fe880199f1bp-11, -0x1.0dff55d7f4affp-11, -0x1.045b53102001p-11, -0x1.f61ec544f8dap-12, -0x1.e43100693a821p-12, -0x1.d2e77ede7ae18p-12, -0x1.c23c96afe9462p-12, -0x1.b22acb5cbb329p-12, -0x1.a2accc9a2c66ap-12, -0x1.93bd751cd9dcp-12, -0x1.8557c9690720bp-12, -0x1.7776f6a9ef622p-12, -0x1.6a16519069c4fp-12, -0x1.5d315536cc42ep-12, -0x1.50c3a20d086a3p-12, -0x1.44c8fcca42fd1p-12, -0x1.393d4d65516c7p-12, -0x1.2e1c9e1358d4dp-12, -0x1.23631a4ccd157p-12, -0x1.190d0dd85cb79p-12, -0x1.0f16e3db4289ep-12, -0x1.057d25f00cf5p-12, -0x1.f878f685e1b12p-13, -0x1.e6a34f67a00c9p-13, -0x1.d57315fb38decp-13, -0x1.c4e23fc72a6fdp-13, -0x1.b4eaf6c5fe9cbp-13, -0x1.a58797d4c3c7fp-13, -0x1.96b2b12c8d8cdp-13, -0x1.886700e4b0218p-13, -0x1.7a9f737f79acp-13, -0x1.6d572280f8f24p-13, -0x1.6089530e4d2fdp-13, -0x1.5431749602926p-13, -0x1.484b1f8210e22p-13, -0x1.3cd213f21d0ddp-13, -0x1.31c2387e8f85fp-13, -0x1.2717990470fc8p-13, -0x1.1cce657970d0dp-13, -0x1.12e2f0c7b9472p-13, -0x1.0951afb18fbf3p-13, -0x1.001737bcc651p-13, -0x1.ee607c4b3776bp-14, -0x1.dd332db3baa1p-14, -0x1.cca066f3ae241p-14, -0x1.bca244c30460ap-14, -0x1.ad331b711fe25p-14, -0x1.9e4d75106467dp-14, -0x1.8fec0fb0959bp-14, -0x1.8209dba4dafd9p-14, -0x1.74a1f9d7e690ap-14, -0x1.67afba2adb8c3p-14, -0x1.5b2e99e1d02b4p-14, -0x1.4f1a421a9e0aap-14, -0x1.436e8650276f6p-14, -0x1.382762e72019ep-14, -0x1.2d40fbc77b48bp-14, -0x1.22b79afeb339p-14, -0x1.1887af6e6550dp-14, -0x1.0eadcb83b0b7ep-14, -0x1.0526a3f82ed31p-14, -0x1.f7de1d3da7edap-15, -0x1.e608026d37898p-15, -0x1.d4c520929e942p-15, -0x1.c40fdc2137764p-15, -0x1.b3e2d2cbc5275p-15, -0x1.a438d973edb72p-15, -0x1.950cfa28e1772p-15, -0x1.865a7236c97ep-15, -0x1.781cb0486ca83p-15, -0x1.6a4f5291902e4p-15, -0x1.5cee250ef97f9p-15, -0x1.4ff51fce7397bp-15, -0x1.4360654b32c68p-15, -0x1.372c40d2b0527p-15, -0x1.2b5524f9e15f1p-15, -0x1.1fd7aa1d0a661p-15, -0x1.14b08cf07b302p-15, -0x1.09dcad168b65bp-15, -0x1.feb21790e6b0fp-16, -0x1.ea4595075ee4dp-16, -0x1.d66e53913c952p-16, -0x1.c3270fc2de9c6p-16, -0x1.b06abf66ead7ep-16, -0x1.9e348f3554757p-16, -0x1.8c7fe0a41ae13p-16, -0x1.7b4847c14e46ep-16, -0x1.6a898928ef9d6p-16, -0x1.5a3f980680877p-16, -0x1.4a66942b889c4p-16, -0x1.3afac8374299cp-16, -0x1.2bf8a7d03f957p-16, -0x1.1d5ccde9f17dcp-16, -0x1.0f23fb1e36058p-16, -0x1.014b141714791p-16, -0x1.e79e4002861b8p-17, -0x1.cd5a8e2496a72p-17, -0x1.b3c5a23472076p-17, -0x1.9ada48436518p-17, -0x1.82938634096fap-17, -0x1.6aec9929a84d2p-17, -0x1.53e0f311a3f6ap-17, -0x1.3d6c384f41c79p-17, -0x1.278a3d6efa332p-17, -0x1.123704fb5cf58p-17, -0x1.fadd7abedf103p-18, -0x1.d25b7dc595acbp-18, -0x1.aae1136fe1e51p-18, -0x1.8467884888b65p-18, -0x1.5ee8715f6cfc6p-18, -0x1.3a5da8da7f41fp-18, -0x1.16c14ab78625dp-18, -0x1.e81b632936549p-19, -0x1.a47ae7600ba3fp-19, -0x1.6296bff3c87a1p-19, -0x1.2264f68ba1f2fp-19, -0x1.c7b7f684d6921p-20, -0x1.4de53f2375869p-20, -0x1.ae80457c06205p-21, -0x1.8edeb228c20f2p-22, 0x1.988e3599a1a5cp-25, 0x1.e90fa0ad45d36p-22, 0x1.c9aba3324909ap-21, 0x1.4c88baa6ca13dp-20, 0x1.b16aa9d245e6cp-20, 0x1.09c4933587594p-19, 0x1.39789fb75a38ep-19, 0x1.67d7c90423666p-19, 0x1.94e827eda0413p-19, 0x1.c0afa278a6788p-19, 0x1.eb33ee9ab628p-19, 0x1.0a3d4a8321467p-18, 0x1.1e4479d6deabbp-18, 0x1.31b22017a002dp-18, 0x1.4488c51bb8403p-18, 0x1.56caded2930b8p-18, 0x1.687ad2546bf67p-18, 0x1.799af4dd92dcp-18, 0x1.8a2d8cc2c4c97p-18, 0x1.9a34d2534902ep-18, 0x1.a9b2f0a9d3d14p-18, 0x1.b8aa068385d48p-18, 0x1.c71c26fdb2f8bp-18, 0x1.d50b5a4d10f81p-18, 0x1.e2799e6c0aa39p-18, 0x1.ef68e7b9a620fp-18, 0x1.fbdb2196502adp-18, 0x1.03e91778f1e01p-17, 0x1.09a7f56bbc244p-17, 0x1.0f2b147459b9fp-17, 0x1.14735aeb476afp-17, 0x1.1981abe8165c3p-17, 0x1.1e56e777bddf6p-17, 0x1.22f3eacd5cd52p-17, 0x1.2759906f47a59p-17, 0x1.2b88b062cd7eep-17, 0x1.2f822052fdb0bp-17, 0x1.3346b3b720efcp-17, 0x1.36d73bf352c2p-17, 0x1.3a3488791595ap-17, 0x1.3d5f66e367cbfp-17, 0x1.4058a313556cdp-17, 0x1.4321074681f28p-17, 0x1.45b95c30ef08bp-17, 0x1.4822690f59baep-17, 0x1.4a5cf3bacbe61p-17, 0x1.4c69c0b957099p-17, 0x1.4e49934dd172ep-17, 0x1.4ffd2d85092abp-17, 0x1.5185504290fdap-17, 0x1.52e2bb4a8bf26p-17, 0x1.54162d4bfe7c5p-17, 0x1.552063e95924bp-17, 0x1.56021bbe44ed4p-17, 0x1.56bc1066bc9b8p-17, 0x1.574efc83b48d9p-17, 0x1.57bb99be6fe39p-17, 0x1.5802a0cc237cp-17, 0x1.5824c96fc48f4p-17, 0x1.5822ca7baef2p-17, 0x1.57fd59d2e3939p-17, 0x1.57b52c671016cp-17, 0x1.574af63909517p-17, 0x1.56bf6a57c954fp-17, 0x1.56133adea3b42p-17, 0x1.554718f236f79p-17, 0x1.545bb4be93eaep-17, 0x1.5351bd7427dcap-17, 0x1.5229e142f0c18p-17, 0x1.50e4cd573221bp-17, 0x1.4f832dd5a3216p-17, 0x1.4e05add7bdd46p-17, 0x1.4c6cf76584515p-17, 0x1.4ab9b37195cc5p-17, 0x1.48ec89d39db8dp-17, 0x1.47062143e4bccp-17, 0x1.45071f5527a2bp-17, 0x1.42f0286f1cd2bp-17, 0x1.40c1dfca98fd2p-17, 0x1.3e7ce769d2f5bp-17, 0x1.3c21e013d9fdap-17, 0x1.39b1694e2fbfbp-17, 0x1.372c21584aff1p-17, 0x1.3492a525becf7p-17, 0x1.31e5905807df9p-17, 0x1.2f257d398e513p-17, 0x1.2c5304b83950ep-17, 0x1.296ebe5f326f5p-17, 0x1.2679405243fe6p-17, 0x1.23731f488f64ep-17, 0x1.205cee8814d7fp-17, 0x1.1d373fdf5d0d2p-17, 0x1.1a02a3a115d9ep-17, 0x1.16bfa89f8f8c9p-17, 0x1.136edc278441bp-17, 0x1.1010c9fcfac9cp-17, 0x1.0ca5fc558bdb9p-17, 0x1.092efbd585f91p-17, 0x1.05ac4f8b295b5p-17, 0x1.021e7cea8e7ffp-17, 0x1.fd0c0f936b492p-18, 0x1.f5c6e4bdbf4fp-18, 0x1.ee6e7a767e0c7p-18, 0x1.e703ce9267d68p-18, 0x1.df87db903bf6ap-18, 0x1.d7fb9894b801ap-18, 0x1.d05ff964c6d83p-18, 0x1.c8b5ee619e422p-18, 0x1.c0fe6483b3f21p-18, 0x1.b93a45576eb3bp-18, 0x1.b16a76f964e21p-18, 0x1.a98fdc12c868fp-18, 0x1.a1ab53d3e6c31p-18, 0x1.99bdb9f585292p-18, 0x1.91c7e6b5120fcp-18, 0x1.89caaed37bfd7p-18, 0x1.81c6e3922e3c4p-18, 0x1.79bd52b2a8ccdp-18, 0x1.71aec675b250fp-18, 0x1.699c059affd86p-18, 0x1.6185d3617bc8ap-18, 0x1.596cef880be0ap-18, 0x1.5152164d0b31bp-18, 0x1.49360070ef2d4p-18, 0x1.41196335a6cf8p-18, 0x1.38fcf05f8383ap-18, 0x1.30e1563820323p-18, 0x1.28c73f92e50f6p-18, 0x1.20af53cd2d5cap-18, 0x1.189a36d076003p-18, 0x1.10888916cbb49p-18, 0x1.087ae7ad0d834p-18, 0x1.0071ec369f9acp-18, 0x1.f0dc59e4f37fap-19, 0x1.e0e0797ed10dap-19, 0x1.d0f1563fc04fap-19, 0x1.c110087d38843p-19, 0x1.b13da1e916bfap-19, 0x1.a17b2d96395c9p-19, 0x1.91c9b0065373ep-19, 0x1.822a2735df903p-19, 0x1.729d8aaac3d3ap-19, 0x1.6324cb7ab5634p-19, 0x1.53c0d459f14d6p-19, 0x1.447289a754b57p-19, 0x1.353ac978fabcbp-19, 0x1.261a6bab461d3p-19, 0x1.171241ec342f3p-19, 0x1.082317d021081p-19, 0x1.f29b65b2dee39p-20, 0x1.d525a513fd96cp-20, 0x1.b7e660e4a2eccp-20, 0x1.9adf007aa2d8fp-20, 0x1.7e10df85df27dp-20, 0x1.617d4e2de3f4bp-20, 0x1.4525913967efep-20, 0x1.290ae2264fbf8p-20, 0x1.0d2e6f4b08888p-20, 0x1.e322b7f637008p-21, 0x1.ac6981473af0ap-21, 0x1.763355e44ba8ep-21, 0x1.40823be4d6ecap-21, 0x1.0b5824734a34fp-21, 0x1.ad6dd813f7e85p-22, 0x1.4540b56879116p-22, 0x1.bc589169699a4p-23, 0x1.e0cf480cb04cep-24, 0x1.35a6a2e453e73p-26, -0x1.4173f267a25c2p-24, -0x1.65df2c4cae7efp-23, -0x1.145abbb952fcbp-22, -0x1.749beb9579dbp-22, -0x1.d3b0c85487c8fp-22, -0x1.18cb8c2d81a7bp-21, -0x1.472662a6213b3p-21, -0x1.74e7edba73593p-21, -0x1.a20f449e1b66p-21, -0x1.ce9b8f3ad0949p-21, -0x1.fa8c05f83abbfp-21, -0x1.12eff8b57fdd6p-20, -0x1.284b55095a174p-20, -0x1.3d57cc07c3ef1p-20, -0x1.5215196b86b31p-20, -0x1.66830078f725bp-20, -0x1.7aa14bd581f35p-20, -0x1.8e6fcd618d5dfp-20, -0x1.a1ee5e1e625dep-20, -0x1.b51cde033a5eep-20, -0x1.c7fb33db1093dp-20, -0x1.da894d247d901p-20, -0x1.ecc71dead61b9p-20, -0x1.feb4a0a7372b2p-20, -0x1.0828eb0b216e7p-19, -0x1.10cf628d1dbp-19, -0x1.194dbd4da0471p-19, -0x1.21a404b0347dcp-19, -0x1.29d244f91edbcp-19, -0x1.31d88d3c1f30cp-19, -0x1.39b6ef4b29655p-19, -0x1.416d7fa675de2p-19, -0x1.48fc556a40b18p-19, -0x1.50638a407c8d2p-19, -0x1.57a33a50603e3p-19, -0x1.5ebb842e66fp-19, -0x1.65ac88cbe0962p-19, -0x1.6c766b67f18a9p-19, -0x1.73195180b42ecp-19, -0x1.799562c1f250ap-19, -0x1.7feac8f6729afp-19, -0x1.8619aff95bee4p-19, -0x1.8c2245a811346p-19, -0x1.9204b9d1dd75ap-19, -0x1.97c13e2b220e5p-19, -0x1.9d58063e8625dp-19, -0x1.a2c9475d89593p-19, -0x1.a81538943b23ap-19, -0x1.ad3c1299522cp-19, -0x1.b23e0fc163b41p-19, -0x1.b71b6bf2a7aebp-19, -0x1.bbd4649576aa7p-19, -0x1.c0693888d83e6p-19, -0x1.c4da281462e71p-19, -0x1.c92774dc9a073p-19, -0x1.cd5161d52a002p-19, -0x1.d15833342e09fp-19, -0x1.d53c2e673cdf5p-19, -0x1.d8fd9a060ee79p-19, -0x1.dc9cbdc703fep-19, -0x1.e019e2745a33p-19, -0x1.e37551df4fe65p-19, -0x1.e6af56d5a60cp-19, -0x1.e9c83d152fcdep-19, -0x1.ecc0514327bf6p-19, -0x1.ef97e0decdf5dp-19, -0x1.f24f3a3753376p-19, -0x1.f4e6ac631e9ecp-19, -0x1.f75e873368307p-19, -0x1.f9b71b2b2899ap-19, -0x1.fbf0b974a2f3ap-19, -0x1.fe0bb3d881797p-19, -0x1.00042e59b2876p-18, -0x1.00f38375bfddcp-18, -0x1.01d402f542b4cp-18, -0x1.02a5d6c8e9919p-18, -0x1.03692918d5be1p-18, -0x1.041e2441294d1p-18, -0x1.04c4f2cce7142p-18, -0x1.055dbf71fa5e3p-18, -0x1.05e8b50d1ea0dp-18, -0x1.0665fe9e011fdp-18, -0x1.06d5c7434f8bap-18, -0x1.07383a369195fp-18, -0x1.078d82c872132p-18, -0x1.07d5cc5d6eb6ap-18, -0x1.08114269a261ep-18, -0x1.0840106dd1b03p-18, -0x1.086261f36722dp-18, -0x1.087862897df26p-18, -0x1.08823dc12e117p-18, -0x1.08801f2a83ae8p-18, -0x1.0872325201a33p-18, -0x1.0858a2bc8fcap-18, -0x1.08339be4ac25ep-18, -0x1.08034937eb02dp-18, -0x1.07c7d613a7d9fp-18, -0x1.07816dc26d868p-18, -0x1.07303b7908956p-18, -0x1.06d46a544514ep-18, -0x1.066e2556914bdp-18, -0x1.05fd9764b9db6p-18, -0x1.0582eb43d88e3p-18, -0x1.04fe4b96c5c64p-18, -0x1.046fe2dc4abdep-18, -0x1.03d7db6c4ae71p-18, -0x1.03365f7603b88p-18, -0x1.028b98fd5406cp-18, -0x1.01d7b1d976509p-18, -0x1.011ad3b2209b2p-18, -0x1.005527fef985p-18, -0x1.ff0db00968c4cp-19, -0x1.fd6019a6584c6p-19, -0x1.fba1de8782e54p-19, -0x1.f9d34fefdf6eep-19, -0x1.f7f4beae7a508p-19, -0x1.f6067b1be6095p-19, -0x1.f408d516eaa3cp-19, -0x1.f1fc1c022ec41p-19, -0x1.efe09ec1491b3p-19, -0x1.edb6abb4fbfb6p-19, -0x1.eb7e90b99c0ebp-19, -0x1.e9389b22f3b8fp-19, -0x1.e6e517bc5f57p-19, -0x1.e48452c47fa0ep-19, -0x1.e21697eb98e19p-19, -0x1.df9c32507806dp-19, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.b454f2857a3f3p-9, 0x1.b41d7f055636fp-8, 0x1.46c27f2b7ed22p-7, 0x1.b2efac728ce66p-7, 0x1.0f1db8a92be75p-6, 0x1.44189ad0ad7e2p-6, 0x1.782292e726cfdp-6, 0x1.aaec07be820b4p-6, 0x1.dc1df55d5e85cp-6, 0x1.05ae264555009p-5, 0x1.1c242275c24efp-5, 0x1.314143b881acfp-5, 0x1.44d6909945b8p-5, 0x1.56b69b2a4381fp-5, 0x1.66b638f91767ep-5, 0x1.74ad19d9c44e2p-5, 0x1.80763f18554f4p-5, 0x1.89f055689e1e2p-5, 0x1.90fdf45cf15e4p-5, 0x1.9585c660258f4p-5, 0x1.97729c36f9cddp-5, 0x1.96b36ef6bd47ap-5, 0x1.933b53352619bp-5, 0x1.8d015fff483fap-5, 0x1.84008be924cecp-5, 0x1.783782487dap-5, 0x1.69a8726f1c45ep-5, 0x1.5858da7cce6bep-5, 0x1.44514f28d9749p-5, 0x1.2d9d41aecddb3p-5, 0x1.144ac4db4e13p-5, 0x1.f0d4a4163ed17p-6, 0x1.b41d1d927a31cp-6, 0x1.7298272f8898ap-6, 0x1.2c7268a5acfa4p-6, 0x1.c3b72a0f732a5p-7, 0x1.260c0799c6289p-7, 0x1.00993a724013p-8, -0x1.68d0be366d218p-10, -0x1.c370005a7a329p-8, -0x1.9d1a906b66a8ep-7, -0x1.2f66b1dbd6864p-6, -0x1.932d6662a513ep-6, -0x1.f9a62e235ae0bp-6, -0x1.314ad75e93a1p-5, -0x1.66e0524383a0ep-5, -0x1.9d760bac38abbp-5, -0x1.d4eec56be2708p-5, -0x1.0696ca9ff6308p-4, -0x1.230afc63dc732p-4, -0x1.3fc5f3c5949f1p-4, -0x1.5cb9f194de2e1p-4, -0x1.79d982e60110ap-4, -0x1.971787784dfa6p-4, -0x1.b4673756cd75bp-4, -0x1.d1bc27bf2d5b1p-4, -0x1.ef0a4f5a8d43ep-4, -0x1.062304e9cc646p-3, -0x1.14b20d6a51da5p-3, -0x1.232cd83c2ec5fp-3, -0x1.318e329b8173ep-3, -0x1.3fd120acd78abp-3, -0x1.4df0ddfe69e8p-3, -0x1.5be8ddd552542p-3, -0x1.69b4cb4ac2d36p-3, -0x1.7750893d41f78p-3, -0x1.84b832198a6c5p-3, -0x1.91e8177e989f4p-3, -0x1.9edcc1c037553p-3, -0x1.ab92ef4b1f4f2p-3, -0x1.b80793edad69bp-3, -0x1.c437d807d9c99p-3, -0x1.d02117a51b8b6p-3, -0x1.dbc0e182a6d79p-3, -0x1.e714f6043cb5p-3, -0x1.f21b4619c8582p-3, -0x1.fcd1f217adb83p-3, -0x1.039ba441d9adbp-2, -0x1.08a4e26c2389ap-2, -0x1.0d84071fd057cp-2, -0x1.12387b242f285p-2, -0x1.16c1bbca72fb2p-2, -0x1.1b1f5a436cd44p-2, -0x1.1f50faf3e89ccp-2, -0x1.235654c831a07p-2, -0x1.272f308743ec8p-2, -0x1.2adb68261d58fp-2, -0x1.2e5ae61b9758dp-2, -0x1.31ada4b52d685p-2, -0x1.34d3ad6d095ffp-2, -0x1.37cd1841a3854p-2, -0x1.3a9a0b0f411dcp-2, -0x1.3d3ab8eb930b1p-2, -0x1.3faf6183ad9e5p-2, -0x1.41f8507c909b1p-2, -0x1.4415dcd669a3ep-2, -0x1.46086852c0ff7p-2, -0x1.47d05eddacdd3p-2, -0x1.496e35fa30eb2p-2, -0x1.4ae26c31df5a3p-2, -0x1.4c2d8887d8c7fp-2, -0x1.4d5019ef367dp-2, -0x1.4e4ab6c4f56ecp-2, -0x1.4f1dfc4d69ee9p-2, -0x1.4fca8e354775dp-2, -0x1.505116164165ap-2, -0x1.50b242ff4c33dp-2, -0x1.50eec9007d431p-2, -0x1.510760ba8c7a7p-2, -0x1.50fcc6f1f0929p-2, -0x1.50cfbc259b5f8p-2, -0x1.50810429439f4p-2, -0x1.501165c34203bp-2, -0x1.4f81aa4df283ep-2, -0x1.4ed29d5c8f67bp-2, -0x1.4e050c638135fp-2, -0x1.4d19c664133ffp-2, -0x1.4c119b9b815adp-2, -0x1.4aed5d3554a96p-2, -0x1.49addd00fd6dcp-2, -0x1.4853ed2a9d22ap-2, -0x1.46e05ff6f56b7p-2, -0x1.45540782656eep-2, -0x1.43afb582ecce8p-2, -0x1.41f43b0d1f912p-2, -0x1.4022685bfc7b1p-2, -0x1.3e3b0c9b943ep-2, -0x1.3c3ef5b673dd4p-2, -0x1.3a2ef025ba164p-2, -0x1.380bc6c3d134ap-2, -0x1.35d642a1af697p-2, -0x1.338f2ade9a918p-2, -0x1.3137448250a1bp-2, -0x1.2ecf52598e911p-2, -0x1.2c5814d4dc3dbp-2, -0x1.29d249e993301p-2, -0x1.273eacf509cdap-2, -0x1.249df6a1d478p-2, -0x1.21f0dccf0d337p-2, -0x1.1f3812798d298p-2, -0x1.1c7447a70d087p-2, -0x1.19a6295316b34p-2, -0x1.16ce615dbdb37p-2, -0x1.13ed967c06acfp-2, -0x1.11046c29f9df6p-2, -0x1.0e13829e42cbap-2, -0x1.0b1b76bf5e4fdp-2, -0x1.081ce21a36aeep-2, -0x1.05185ada2ed4p-2, -0x1.020e73c28432p-2, -0x1.fdff7851f87f6p-3, -0x1.f7d97fe3a2809p-3, -0x1.f1ac0f199b43cp-3, -0x1.eb782fe7196adp-3, -0x1.e53ee5519accbp-3, -0x1.df012b71a5175p-3, -0x1.d8bff7757af1ep-3, -0x1.d27c37a5b162bp-3, -0x1.cc36d36b921fap-3, -0x1.c5f0ab592dc1ep-3, -0x1.bfaa993307dfdp-3, -0x1.b9656ffb4fda6p-3, -0x1.b321fbfe808ccp-3, -0x1.ace102e15e111p-3, -0x1.a6a343b044693p-3, -0x1.a06976ef95c96p-3, -0x1.9a344ead5cc02p-3, -0x1.94047693f0177p-3, -0x1.8dda93fd96ad6p-3, -0x1.87b7460912a3bp-3, -0x1.819b25af0956ap-3, -0x1.7b86c5d833004p-3, -0x1.757ab3743f8edp-3, -0x1.6f7775916d28fp-3, -0x1.697d8d74b0b68p-3, -0x1.638d76b2722fp-3, -0x1.5da7a747c32c7p-3, -0x1.57cc8fb40dff9p-3, -0x1.51fc9b131d9b7p-3, -0x1.4c382f378d4c6p-3, -0x1.467facc57985dp-3, -0x1.40d36f4d7a93ap-3, -0x1.3b33cd67cecb1p-3, -0x1.35a118cfba639p-3, -0x1.301b9e7eff0fbp-3, -0x1.2aa3a6c976c51p-3, -0x1.25397578b9125p-3, -0x1.1fdd49e7c9414p-3, -0x1.1a8f5f1ec0f3fp-3, -0x1.154febee781e5p-3, -0x1.101f230c1702ap-3, -0x1.0afd332c922fbp-3, -0x1.05ea47200979p-3, -0x1.00e685ed02ddep-3, -0x1.f7e425d6f1298p-4, -0x1.ee1a1bbf70ef3p-4, -0x1.e46f262a1d541p-4, -0x1.dae376f06a9fep-4, -0x1.d1773962fd8e3p-4, -0x1.c82a927d92aedp-4, -0x1.befda11a395ffp-4, -0x1.b5f07e24058eep-4, -0x1.ad033cc9286cep-4, -0x1.a435eaac506aep-4, -0x1.9b8890157028fp-4, -0x1.92fb3021c9828p-4, -0x1.8a8dc8f344fd7p-4, -0x1.824053df0d565p-4, -0x1.7a12c59b6ce0fp-4, -0x1.72050e6ce4d21p-4, -0x1.6a171a527fae7p-4, -0x1.6248d13158016p-4, -0x1.5a9a16ff535c4p-4, -0x1.530acbed0e196p-4, -0x1.4b9acc8ef5f3p-4, -0x1.4449f2058f8fdp-4, -0x1.3d181224ed003p-4, -0x1.3604ff9b49626p-4, -0x1.2f108a16d32ep-4, -0x1.283a7e6a9d3c6p-4, -0x1.2182a6b2b98a4p-4, -0x1.1ae8ca777eeffp-4, -0x1.146caecff7b18p-4, -0x1.0e0e16837915ap-4, -0x1.07ccc22a6894fp-4, -0x1.01a8704e29b5cp-4, -0x1.f741bb1078a1dp-5, -0x1.eb6b89410ca6cp-5, -0x1.dfcdbd559a6a7p-5, -0x1.d467c646c933ap-5, -0x1.c93910161404dp-5, -0x1.be410403f6ef8p-5, -0x1.b37f08c483eaep-5, -0x1.a8f282b269ba8p-5, -0x1.9e9ad40077743p-5, -0x1.94775ce995405p-5, -0x1.8a877bdf41d19p-5, -0x1.80ca8db697bcdp-5, -0x1.773fedd3d8965p-5, -0x1.6de6f6548e5c5p-5, -0x1.64bf003840055p-5, -0x1.5bc76387c1fd7p-5, -0x1.52ff777b2e897p-5, -0x1.4a66929e7e519p-5, -0x1.41fc0af4d0e9bp-5, -0x1.39bf361a6fe52p-5, -0x1.31af6965845dbp-5, -0x1.29cbfa058f786p-5, -0x1.22143d21acf08p-5, -0x1.1a8787f59fa9p-5, -0x1.13252fedb2d34p-5, -0x1.0bec8ac17003cp-5, -0x1.04dcee8d438bcp-5, -0x1.fbeb63d5ee527p-6, -0x1.ee6c581246259p-6, -0x1.e13b69831e144p-6, -0x1.d457495d225a7p-6, -0x1.c7beaa7ecbe82p-6, -0x1.bb7041972b857p-6, -0x1.af6ac54ac6457p-6, -0x1.a3acee569863ep-6, -0x1.983577b149d0fp-6, -0x1.8d031eaaa1c83p-6, -0x1.8214a309483bcp-6, -0x1.7768c726d8967p-6, -0x1.6cfe500a5118ap-6, -0x1.62d405810366ap-6, -0x1.58e8b235ecf38p-6, -0x1.4f3b23c7958aap-6, -0x1.45ca2adc8643bp-6, -0x1.3c949b3658e11p-6, -0x1.33994bc36dab6p-6, -0x1.2ad716af4e202p-6, -0x1.224cd971d18eap-6, -0x1.19f974dd04583p-6, -0x1.11dbcd29e2033p-6, -0x1.09f2ca03ea917p-6, -0x1.023d56939a24ap-6, -0x1.f574c30fa7a71p-7, -0x1.e6d1ba3c741ecp-7, -0x1.d88f7e552e274p-7, -0x1.caac023a943d5p-7, -0x1.bd2540118da3ep-7, -0x1.aff9394c574c2p-7, -0x1.a325f6b2189aep-7, -0x1.96a98864c6b53p-7, -0x1.8a8205e567372p-7, -0x1.7ead8e16e398p-7, -0x1.732a473f581efp-7, -0x1.67f65f080cd96p-7, -0x1.5d100a7c172b6p-7, -0x1.52758605af3bep-7, -0x1.4825156a48b88p-7, -0x1.3e1d03c59bf9p-7, -0x1.345ba38367c8fp-7, -0x1.2adf4e585562ap-7, -0x1.21a66539c2195p-7, -0x1.18af505482ad7p-7, -0x1.0ff87f02dd3b1p-7, -0x1.078067c191601p-7, -0x1.fe8b1048459c2p-8, -0x1.ee8cc9909e246p-8, -0x1.df03129183f8bp-8, -0x1.cfeb105e4eaaep-8, -0x1.c141f5cb20a54p-8, -0x1.b305034e7687dp-8, -0x1.a53186e1bdfb2p-8, -0x1.97c4dbe081688p-8, -0x1.8abc6ae6d8cc1p-8, -0x1.7e15a9aece002p-8, -0x1.71ce1aecf41e7p-8, -0x1.65e34e2c3c195p-8, -0x1.5a52dfa8e3162p-8, -0x1.4f1a782ad7b37p-8, -0x1.4437ccdf59fefp-8, -0x1.39a89f3235ce7p-8, -0x1.2f6abca655568p-8, -0x1.257bfeae1a0dbp-8, -0x1.1bda4a82fe51bp-8, -0x1.128390fce68c7p-8, -0x1.0975ce695f7dp-8, -0x1.00af0a6242d1bp-8, -0x1.f05aaf48fd50cp-9, -0x1.dfdda7cccecedp-9, -0x1.cfe34f5bb2e94p-9, -0x1.c0680c4cf2145p-9, -0x1.b16859ef4af7ep-9, -0x1.a2e0c834f9a0dp-9, -0x1.94cdfb6003f09p-9, -0x1.872cabae10f4cp-9, -0x1.79f9a5046c27ep-9, -0x1.6d31c69c800a3p-9, -0x1.60d202b04baap-9, -0x1.54d75e270ad5dp-9, -0x1.493ef042bc1cp-9, -0x1.3e05e24d5fdc5p-9, -0x1.33296f46b2a24p-9, -0x1.28a6e392d3efbp-9, -0x1.1e7b9ca8d7a3dp-9, -0x1.14a508c241911p-9, -0x1.0b20a68b0b8ffp-9, -0x1.01ec04d24ed37p-9, -0x1.f209847657733p-10, -0x1.e0d119dd7d675p-10, -0x1.d02a449d44f5ep-10, -0x1.c0109d50659a3p-10, -0x1.b07fd9d128616p-10, -0x1.a173cca363785p-10, -0x1.92e8645ecfcbfp-10, -0x1.84d9ab1c46e1dp-10, -0x1.7743c5e3ca39ep-10, -0x1.6a22f41cca062p-10, -0x1.5d738effc6a9p-10, -0x1.5132090a19e4ap-10, -0x1.455aed7358be3p-10, -0x1.39eadfa3f1c16p-10, -0x1.2ede9aae41c52p-10, -0x1.2432f0c95247cp-10, -0x1.19e4cacd6c2a4p-10, -0x1.0ff127b25ac48p-10, -0x1.06551c1046217p-10, -0x1.fa1ba34304392p-11, -0x1.e8310d8cae0fp-11, -0x1.d6e51c16c64ecp-11, -0x1.c6329b626536bp-11, -0x1.b6147e6c2fe5ap-11, -0x1.a685ddc3bad4ep-11, -0x1.9781f6a722efdp-11, -0x1.89042a216bfc3p-11, -0x1.7b07fc2d30a44p-11, -0x1.6d8912db4062ep-11, -0x1.6083357ccddc9p-11, -0x1.53f24bd174222p-11, -0x1.47d25d3933bcfp-11, -0x1.3c1f8fea342cap-11, -0x1.30d62829ab50fp-11, -0x1.25f287887e02fp-11, -0x1.1b712c23aecf1p-11, -0x1.114eafe955435p-11, -0x1.0787c7df6daadp-11, -0x1.fc3286df1da0fp-12, -0x1.ea00176ce7ed3p-12, -0x1.d87245ab6fea1p-12, -0x1.c78346939a83dp-12, -0x1.b72d7e86222dp-12, -0x1.a76b8005b2968p-12, -0x1.98380a76ccbc5p-12, -0x1.898e08e6a178dp-12, -0x1.7b6890d8ec14p-12, -0x1.6dc2e11c013d1p-12, -0x1.609860a30e632p-12, -0x1.53e49d669185ap-12, -0x1.47a34b4b0657dp-12, -0x1.3bd0430f1d2e7p-12, -0x1.3067813e8fac8p-12, -0x1.2565252b11fc6p-12, -0x1.1ac56fed4d48p-12, -0x1.1084c368b5937p-12, -0x1.069fa1572ebcep-12, -0x1.fa2554b15a352p-13, -0x1.e7b53a146b1bfp-13, -0x1.d5e8aa433c05dp-13, -0x1.c4b9951cd642p-13, -0x1.b422214100763p-13, -0x1.a41caa695161ap-13, -0x1.94a3bfc95b60bp-13, -0x1.85b2227bbee1bp-13, -0x1.7742c3f5cd979p-13, -0x1.6950c489fccdbp-13, -0x1.5bd771f068939p-13, -0x1.4ed245d93ad47p-13, -0x1.423ce48911618p-13, -0x1.36131b80394c9p-13, -0x1.2a50e02640d97p-13, -0x1.1ef24e843823ep-13, -0x1.13f3a7ffe890fp-13, -0x1.0951522680375p-13, -0x1.fe0faafb3c913p-14, -0x1.ea27b8b51c166p-14, -0x1.d6e46384893e7p-14, -0x1.c43f80a8e0db7p-14, -0x1.b2332270af1fbp-14, -0x1.a0b9962c57812p-14, -0x1.8fcd622a9333fp-14, -0x1.7f6943c0cab63p-14, -0x1.6f882d67fc1a4p-14, -0x1.602544e576701p-14, -0x1.513be17cee08bp-14, -0x1.42c78a331653dp-14, -0x1.34c3f420cbf79p-14, -0x1.272d00c9be397p-14, -0x1.19febc85c84e4p-14, -0x1.0d355cf60916ep-14, -0x1.00cd3f80960d6p-14, -0x1.e985cfc0210ep-15, -0x1.d225fd6f909ecp-15, -0x1.bb74a067aed59p-15, -0x1.a56b957019f27p-15, -0x1.9004fb28a6d86p-15, -0x1.7b3b2f8d35295p-15, -0x1.6708cd85bd349p-15, -0x1.5368aa90237d2p-15, -0x1.4055d47afb3cp-15, -0x1.2dcb8f3682e9fp-15, -0x1.1bc552af5ce59p-15, -0x1.0a3ec8c06adfbp-15, -0x1.f2679671f7ad5p-16, -0x1.d140c3d5412fep-16, -0x1.b10181a278c5ep-16, -0x1.91a28c82f10fep-16, -0x1.731cf25252ae2p-16, -0x1.556a0ec544bf7p-16, -0x1.3883882b04906p-16, -0x1.1c634c4795afep-16, -0x1.01038d43dc6a6p-16, -0x1.ccbd7d973eda1p-17, -0x1.98df2667299f8p-17, -0x1.6661f16d7c6e1p-17, -0x1.353c2dd55ae61p-17, -0x1.056498372daa6p-17, -0x1.ada4ab9c1d2c3p-18, -0x1.52f9df6f0076dp-18, -0x1.f57139ce9901ap-19, -0x1.49a2d5d7a084bp-19, -0x1.44d5f776dc2e1p-20, 0x1.4a82b907f6085p-29, 0x1.3d62212798e9ep-20, 0x1.38ca3919d2b6p-19, 0x1.ceb6e17a11b1cp-19, 0x1.304760addc229p-18, 0x1.773446f6d0cf7p-18, 0x1.bc2d037849d0bp-18, 0x1.ff3c015ab159ap-18, 0x1.20359e93d346ep-17, 0x1.3fe225334c1c7p-17, 0x1.5ea82c7569917p-17, 0x1.7c8c1d1daebcep-17, 0x1.99923346c08a2p-17, 0x1.b5be80c24bc9fp-17, 0x1.d114ef65857c3p-17, 0x1.eb99433e1ab9dp-17, 0x1.02a78e584c90ep-16, 0x1.0f1cfd37d5de8p-16, 0x1.1b2e9db9a79e3p-16, 0x1.26de106601955p-16, 0x1.322ce7b12a076p-16, 0x1.3d1ca8cd25a96p-16, 0x1.47aecc7d3d795p-16, 0x1.51e4bfd90491p-16, 0x1.5bbfe4feffd33p-16, 0x1.654193cb6b14p-16, 0x1.6e6b1a7d28af4p-16, 0x1.773dbe5934a87p-16, 0x1.7fbabc3bf0cc1p-16, 0x1.87e3492e245f8p-16, 0x1.8fb892ecdbc58p-16, 0x1.973bc06c9e239p-16, 0x1.9e6df24d4902cp-16, 0x1.a550435645e27p-16, 0x1.abe3c8e1ef136p-16, 0x1.b22993428273fp-16, 0x1.b822ae26f8ca7p-16, 0x1.bdd020f5fec91p-16, 0x1.c332ef26aa014p-16, 0x1.c84c188db6367p-16, 0x1.cd1c99ac604dep-16, 0x1.d1a56bf8def96p-16, 0x1.d5e786239eb95p-16, 0x1.d9e3dc50a890ep-16, 0x1.dd9b60550f272p-16, 0x1.e10f01f0bf686p-16, 0x1.e43faefc3a478p-16, 0x1.e72e5398b8084p-16, 0x1.e9dbda5d202b2p-16, 0x1.ec492c7e6db11p-16, 0x1.ee7731f60d473p-16, 0x1.f066d19d10ecp-16, 0x1.f218f15175cd8p-16, 0x1.f38e76104e09dp-16, 0x1.f4c84411cbc88p-16, 0x1.f5c73eda1081ep-16, 0x1.f68c49555b673p-16, 0x1.f71845e69499ep-16, 0x1.f76c16768df8ap-16, 0x1.f7889c81ea0bfp-16, 0x1.f76eb927500dp-16, 0x1.f71f4d345ffcep-16, 0x1.f69b3929c0456p-16, 0x1.f5e35d42238f8p-16, 0x1.f4f8997983ec5p-16, 0x1.f3dbcd91a0dfp-16, 0x1.f28dd9143f1a1p-16, 0x1.f10f9b51b7908p-16, 0x1.ef61f3670f815p-16, 0x1.ed85c038080d7p-16, 0x1.eb7be06e41006p-16, 0x1.e9453274708dbp-16, 0x1.e6e294751ce58p-16, 0x1.e454e45764962p-16, 0x1.e19cffb64cb03p-16, 0x1.debbc3dafadfdp-16, 0x1.dbb20db5a40efp-16, 0x1.d880b9d5e6973p-16, 0x1.d528a46401abbp-16, 0x1.d1aaa9160091cp-16, 0x1.ce07a3294cd5dp-16, 0x1.ca406d57f880ap-16, 0x1.c655e1ccb3774p-16, 0x1.c248da1af61ebp-16, 0x1.be1a2f3119b65p-16, 0x1.b9cab9540360bp-16, 0x1.b55b500e72673p-16, 0x1.b0ccca294cbaep-16, 0x1.ac1ffd9d077d8p-16, 0x1.a755bf8756d0bp-16, 0x1.a26ee41f8a412p-16, 0x1.9d6c3ead73dfdp-16, 0x1.984ea179cca9fp-16, 0x1.9316ddc5a5fc3p-16, 0x1.8dc5c3bcc9fbfp-16, 0x1.885c226a313bp-16, 0x1.82dac7accd623p-16, 0x1.7d42802be0915p-16, 0x1.7794174dbd8efp-16, 0x1.71d0572a0cd05p-16, 0x1.6bf8087ffeb56p-16, 0x1.660bf2aa2b4bp-16, 0x1.600cdb927c237p-16, 0x1.59fb87aace97bp-16, 0x1.53d8b9e19bdb2p-16, 0x1.4da5339687d7ap-16, 0x1.4761b490cff0bp-16, 0x1.410efaf57a5d9p-16, 0x1.3aadc33ccfed2p-16, 0x1.343ec829f5d3bp-16, 0x1.2dc2c2c2159d9p-16, 0x1.273a6a446d296p-16, 0x1.20a6741f976c8p-16, 0x1.1a0793eb3727p-16, 0x1.135e7b5da8dc9p-16, 0x1.0cabda44827ecp-16, 0x1.05f05e7dabda7p-16, 0x1.fe5967e5497d5p-17, 0x1.f0c3091d519f4p-17, 0x1.e31ef06facba2p-17, 0x1.d56e69947b8c1p-17, 0x1.c7b2bc20970a5p-17, 0x1.b9ed2b79f90c5p-17, 0x1.ac1ef6cf49205p-17, 0x1.9e4959101d852p-17, 0x1.906d88de2a0d8p-17, 0x1.828cb88544928p-17, 0x1.74a815f42a82ep-17, 0x1.66c0caafb2449p-17, 0x1.58d7fbce47668p-17, 0x1.4aeec9f19b192p-17, 0x1.3d0651446e622p-17, 0x1.2f1fa96c5fabap-17, 0x1.213be58a1eefep-17, 0x1.135c143149d12p-17, 0x1.05813f658c098p-17, 0x1.ef58d92bfab29p-18, 0x1.d3bd3934cfbbdp-18, 0x1.b831976ecb64p-18, 0x1.9cb7e325b6eebp-18, 0x1.8152026d66e23p-18, 0x1.6601d21deba8ep-18, 0x1.4ac925cd4b41bp-18, 0x1.2fa9c7d4d401bp-18, 0x1.14a5794eaad4p-18, 0x1.f37be445ce2f9p-19, 0x1.bde9c1f6de6dap-19, 0x1.8897d698facb9p-19, 0x1.53895ab6af99cp-19, 0x1.1ec17479a5406p-19, 0x1.d4866f7e37776p-20, 0x1.6c234c3aa1ed8p-20, 0x1.045f5e1ae8befp-20, 0x1.3a80bf94eb56dp-21, 0x1.b65f3ed6441afp-23, -0x1.77c4b8bbe9222p-23, -0x1.280f9c86cc723p-21, -0x1.f0b924f37d1eep-21, -0x1.5bf1dc047e12ep-20, -0x1.bec2c658fd707p-20, -0x1.106547f0703cap-19, -0x1.41024cf8b8e5ep-19, -0x1.71363430e9dp-19, -0x1.a0fed0b4b09cbp-19, -0x1.d05a06af77ac5p-19, -0x1.ff45cb3e7eb7dp-19, -0x1.16e012260eedfp-18, -0x1.2de3942e2623ep-18, -0x1.44ac7f42c6364p-18, -0x1.5b39ef1bfe16bp-18, -0x1.718b0794657d1p-18, -0x1.879ef493763bap-18, -0x1.9d74e9f88e315p-18, -0x1.b30c2389a7d09p-18, -0x1.c863e4dc00cd5p-18, -0x1.dd7b793cbe326p-18, -0x1.f25233a64ea85p-18, -0x1.0373b751f280bp-17, -0x1.0d9d461e2c147p-17, -0x1.17a57aeff8f47p-17, -0x1.218c0e286100fp-17, -0x1.2b50bbc772c3p-17, -0x1.34f3435c6e791p-17, -0x1.3e7367fdecd5bp-17, -0x1.47d0f03f39594p-17, -0x1.510ba6229e8e6p-17, -0x1.5a23570f8fe9dp-17, -0x1.6317d3c6eeb85p-17, -0x1.6be8f055a6ea6p-17, -0x1.7496840ae39e4p-17, -0x1.7d20696816941p-17, -0x1.85867e197e542p-17, -0x1.8dc8a2e7f67afp-17, -0x1.95e6bbae24638p-17, -0x1.9de0af4a4a555p-17, -0x1.a5b66793c372p-17, -0x1.ad67d15071398p-17, -0x1.b4f4dc24459cbp-17, -0x1.bc5d7a88004b3p-17, -0x1.c3a1a1bb5296p-17, -0x1.cac149ba85283p-17, -0x1.d1bc6d3113868p-17, -0x1.d893096e35e06p-17, -0x1.df451e589706dp-17, -0x1.e5d2ae60da4e8p-17, -0x1.ec3bbe788e302p-17, -0x1.f2805601729f6p-17, -0x1.f8a07ec3cbb36p-17, -0x1.fe9c44e483503p-17, -0x1.0239db6a9ec97p-16, -0x1.051372a5f1621p-16, -0x1.07daf19939758p-16, -0x1.0a9062d06afc3p-16, -0x1.0d33d1e60ee6p-16, -0x1.0fc54b7ddb983p-16, -0x1.1244dd4089c16p-16, -0x1.14b295d35d93dp-16, -0x1.170e84d420594p-16, -0x1.1958bad3db877p-16, -0x1.1b91494f8d04ep-16, -0x1.1db842ab3dc0fp-16, -0x1.1fcdba2c608d1p-16, -0x1.21d1c3f514a9bp-16, -0x1.23c474fcb3211p-16, -0x1.25a5e30b229fcp-16, -0x1.277624b478666p-16, -0x1.293551526676ap-16, -0x1.2ae380ff475ccp-16, -0x1.2c80cc8ffc0cep-16, -0x1.2e0d4d9040417p-16, -0x1.2f891e3c42735p-16, -0x1.30f4597a88ec2p-16, -0x1.324f1ada53711p-16, -0x1.33997e8ad8d49p-16, -0x1.34d3a1572528p-16, -0x1.35fda0a31dec2p-16, -0x1.37179a649f89cp-16, -0x1.3821ad1e812e1p-16, -0x1.391bf7dce646ep-16, -0x1.3a069a3089b56p-16, -0x1.3ae1b4296d5b9p-16, -0x1.3bad66523246ep-16, -0x1.3c69d1ab2197dp-16, -0x1.3d1717a7654c9p-16, -0x1.3db55a271947ap-16, -0x1.3e44bb73252ecp-16, -0x1.3ec55e38d3ffp-16, -0x1.3f37658602f2cp-16, -0x1.3f9af4c4210b5p-16, -0x1.3ff02fb4b18d1p-16, -0x1.40373a6e15d24p-16, -0x1.40703955a1334p-16, -0x1.409b511c29345p-16, -0x1.40b8a6baf35efp-16, -0x1.40c85f6f49f4ap-16, -0x1.40caa0b62867fp-16, -0x1.40bf9048f49cap-16, -0x1.40a7541a93aaep-16, -0x1.4082125308a8p-16, -0x1.404ff14bedc49p-16, -0x1.4011178c63c99p-16, -0x1.3fc5abc5fb9fbp-16, -0x1.3f6dd4d33b493p-16, -0x1.3f09b9b1111a7p-16, -0x1.3e99817dd27afp-16, -0x1.3e1d5374b253cp-16, -0x1.3d9556eb0ebfap-16, -0x1.3d01b34da5833p-16, -0x1.3c62901e4474cp-16, -0x1.3bb814ef8d04fp-16, -0x1.3b02696206205p-16, -0x1.3a41b5219a269p-16, -0x1.39761fe2f8c7fp-16, -0x1.389fd1605a5bcp-16, -0x1.37bef157095f4p-16, -0x1.36d3a784ed658p-16, -0x1.35de1ba617787p-16, -0x1.34de7571f7491p-16, -0x1.33d4dc98c94cap-16, -0x1.32c178c10e37ep-16, -0x1.31a4718447d9ap-16, -0x1.307dee70046fap-16, -0x1.2f4e16ffee3cdp-16, -0x1.2e15129d1f515p-16, -0x1.2cd3089b2b7ebp-16, }}, 
      {{-0x1.9020d2be760f5p-1, -0x1.90354d84a7571p-1, -0x1.9051daeeefc9p-1, -0x1.90701cf64ba7bp-1, -0x1.90894a1978ae2p-1, -0x1.9096d85481b84p-1, -0x1.9092e5f611e75p-1, -0x1.907873be4d53cp-1, -0x1.90437e8ecfd44p-1, -0x1.8ff1031cc4c09p-1, -0x1.8f7ef33a6d254p-1, -0x1.8eec222e51b6bp-1, -0x1.8e382bfc684a9p-1, -0x1.8d635a5cef36bp-1, -0x1.8c6e8942ec948p-1, -0x1.8b5b0c34ee92fp-1, -0x1.8a2a9546ee1bcp-1, -0x1.88df1e30bd63ap-1, -0x1.877ad3c0eb1fbp-1, -0x1.860003c238de2p-1, -0x1.84710d4cfbd14p-1, -0x1.82d0536a94088p-1, -0x1.812031e4f963fp-1, -0x1.7f62f41541de2p-1, -0x1.7d9acd8092893p-1, -0x1.7bc9d41204641p-1, -0x1.79f1fbc0f7a08p-1, -0x1.781513755c6a6p-1, -0x1.7634c2fe67713p-1, -0x1.745289f36694p-1, -0x1.726fbf5a061aep-1, -0x1.708d91f0dcb77p-1, -0x1.6ead0900a9168p-1, -0x1.6ccf059a0416fp-1, -0x1.6af4442880bafp-1, -0x1.691d5e4729c8ep-1, -0x1.674accc5042ecp-1, -0x1.657ce9cab9301p-1, -0x1.63b3f314ca006p-1, -0x1.61f00c37a6005p-1, -0x1.603140e4d0c7fp-1, -0x1.5e778729c8661p-1, -0x1.5cc2c1a2c66d8p-1, -0x1.5b12c19ca4534p-1, -0x1.5967492234d57p-1, -0x1.57c00cf24a993p-1, -0x1.561cb65c66c8cp-1, -0x1.547ce502ab3b9p-1, -0x1.52e030804173cp-1, -0x1.514629f3ce34ap-1, -0x1.4fae5d6df769bp-1, -0x1.4e18534445611p-1, -0x1.4c839148ed9eap-1, -0x1.4aef9be848cd5p-1, -0x1.495bf72cd4c2cp-1, -0x1.47c827aacbc9dp-1, -0x1.4633b3546566ap-1, -0x1.449e2237ea1aep-1, -0x1.4306ff28c8f87p-1, -0x1.416dd854e1c6ap-1, -0x1.3fd23fc73aaa6p-1, -0x1.3e33cbd94db4dp-1, -0x1.3c9217941ced9p-1, -0x1.3aecc3022d954p-1, -0x1.3943737386bbcp-1, -0x1.3795d3b4c1dedp-1, -0x1.35e3943a32ce8p-1, -0x1.342c6b401f1d2p-1, -0x1.327014e0f2282p-1, -0x1.30ae53224f592p-1, -0x1.2ee6edf9d4a07p-1, -0x1.2d19b34a5902dp-1, -0x1.2b4676da5d4e5p-1, -0x1.296d1244688fap-1, -0x1.278d64e1eb883p-1, -0x1.25a753b14f307p-1, -0x1.23bac937b5f54p-1, -0x1.21c7b55efc341p-1, -0x1.1fce0d5070788p-1, -0x1.1dcdcb4cb795ap-1, -0x1.1bc6ee8148cep-1, -0x1.19b97adbe2214p-1, -0x1.17a578dc5317ep-1, -0x1.158af564ec1c2p-1, -0x1.136a0189e5104p-1, -0x1.1142b25ffd19dp-1, -0x1.0f1520ca95628p-1, -0x1.0ce16949814d3p-1, -0x1.0aa7abc6c03cap-1, -0x1.08680b645347dp-1, -0x1.0622ae4a586b4p-1, -0x1.03d7bd7591ebep-1, -0x1.01876486802ep-1, -0x1.fe63a322552e8p-2, -0x1.f9ae69db6975p-2, -0x1.f4ef8213ae3a6p-2, -0x1.f0275476aa304p-2, -0x1.eb564d26fa7bap-2, -0x1.e67cdb679254fp-2, -0x1.e19b714752fcfp-2, -0x1.dcb2834f1042ap-2, -0x1.d7c2883219c99p-2, -0x1.d2cbf8815794fp-2, -0x1.cdcf4e6103f4ap-2, -0x1.c8cd054110059p-2, -0x1.c3c599983569dp-2, -0x1.beb988a1ba7e3p-2, -0x1.b9a9501dede5dp-2, -0x1.b4956e15509d6p-2, -0x1.af7e609e75a19p-2, -0x1.aa64a5a68833cp-2, -0x1.a548babc7e041p-2, -0x1.a02b1cdee1762p-2, -0x1.9b0c484c3633fp-2, -0x1.95ecb855e4b4bp-2, -0x1.90cce735aa135p-2, -0x1.8bad4de57638ep-2, -0x1.868e63f9b7777p-2, -0x1.81709f7df9a4fp-2, -0x1.7c5474d3d4bebp-2, -0x1.773a56941589dp-2, -0x1.7222b57216134p-2, -0x1.6d0e002131622p-2, -0x1.67fca33c47dp-2, -0x1.62ef092f411ccp-2, -0x1.5de59a227b87cp-2, -0x1.58e0bbe81b9ep-2, -0x1.53e0d1eb272ffp-2, -0x1.4ee63d205f8fep-2, -0x1.49f15bf8c74d1p-2, -0x1.45028a55c94fap-2, -0x1.401a217ee59e3p-2, -0x1.3b387818e521p-2, -0x1.365de21e71a22p-2, -0x1.318ab0da127ccp-2, -0x1.2cbf32e174785p-2, -0x1.27fbb411f3232p-2, -0x1.23407d8e52149p-2, -0x1.1e8dd5bd9874fp-2, -0x1.19e4004b0198ap-2, -0x1.15433e26f2d9fp-2, -0x1.10abcd88e9f05p-2, -0x1.0c1de9f258557p-2, -0x1.0799cc3259b04p-2, -0x1.031faa6a3eaccp-2, -0x1.fd5f7025b7f6bp-3, -0x1.f4944c0524efdp-3, -0x1.ebde44e80bd7cp-3, -0x1.e33db21aea705p-3, -0x1.dab2e5d154761p-3, -0x1.d23e2d36eea7ap-3, -0x1.c9dfd0816c686p-3, -0x1.c1981303856f1p-3, -0x1.b9673340bdaf7p-3, -0x1.b14d6b020849p-3, -0x1.a94aef6b189f9p-3, -0x1.a15ff11063601p-3, -0x1.998c9c0db42c6p-3, -0x1.91d1181d52a7bp-3, -0x1.8a2d88af9738cp-3, -0x1.82a20d02f4c94p-3, -0x1.7b2ec03c59994p-3, -0x1.73d3b97fe3a3dp-3, -0x1.6c910c09d538ep-3, -0x1.6566c747c3a56p-3, -0x1.5e54f6f1f0142p-3, -0x1.575ba324bf379p-3, -0x1.507ad07a46f1bp-3, -0x1.49b28023ef55p-3, -0x1.4302b00408373p-3, -0x1.3c6b5ac76409ep-3, -0x1.35ec77fee11cbp-3, -0x1.2f85fc38d4153p-3, -0x1.2937d91a5fee9p-3, -0x1.2301fd789e799p-3, -0x1.1ce455719f84cp-3, -0x1.16deca8535e1ap-3, -0x1.10f143ad8c1e2p-3, -0x1.0b1ba5777745dp-3, -0x1.055dd21a8a4e2p-3, -0x1.ff6f5321bd7bfp-4, -0x1.f452135d2522ap-4, -0x1.e9639c71e194cp-4, -0x1.dea3a1fa9e7c9p-4, -0x1.d411d3cf0e747p-4, -0x1.c9adde303a77ep-4, -0x1.bf7769f40fd0cp-4, -0x1.b56e1cb021f36p-4, -0x1.ab9198e3b8e93p-4, -0x1.a1e17e2107599p-4, -0x1.985d693598b97p-4, -0x1.8f04f451e8547p-4, -0x1.85d7b7302e32fp-4, -0x1.7cd5473a4da34p-4, -0x1.73fd37aeeeb7dp-4, -0x1.6b4f19c5bcecdp-4, -0x1.62ca7cd2cbd6p-4, -0x1.5a6eee691eaa9p-4, -0x1.523bfa7c54f81p-4, -0x1.4a312b8178caap-4, -0x1.424e0a8ef1a29p-4, -0x1.3a921f7b9acf1p-4, -0x1.32fcf0fcfe953p-4, -0x1.2b8e04c4b67f2p-4, -0x1.2444df9cf0ffp-4, -0x1.1d21058420ccp-4, -0x1.1621f9c7d4ebcp-4, -0x1.0f473f1eb967p-4, -0x1.089057c1c976cp-4, -0x1.01fcc584aca67p-4, -0x1.f71813da90224p-5, -0x1.ea7b4c9501202p-5, -0x1.de2237946c95ap-5, -0x1.d20bd71cee679p-5, -0x1.c6372d83d9527p-5, -0x1.baa33d5712aa2p-5, -0x1.af4f0982ef4b1p-5, -0x1.a43995769812dp-5, -0x1.9961e547017b8p-5, -0x1.8ec6fdd0765adp-5, -0x1.8467e4d6bd81ep-5, -0x1.7a43a123e5809p-5, -0x1.70593aa5b95c4p-5, -0x1.66a7ba89e435ep-5, -0x1.5d2e2b58cdb8dp-5, -0x1.53eb990f338c3p-5, -0x1.4adf113689f95p-5, -0x1.4207a2fc28b61p-5, -0x1.39645f474593fp-5, -0x1.30f458cdd6c3ep-5, -0x1.28b6a428440e3p-5, -0x1.20aa57e412f84p-5, -0x1.18ce8c9575ec5p-5, -0x1.11225ce7d75e7p-5, -0x1.09a4e5ad6255cp-5, -0x1.025545ed8d484p-5, -0x1.f6653de564625p-6, -0x1.e87828ad72505p-6, -0x1.dae1981db6ebp-6, -0x1.cd9fdced0c58dp-6, -0x1.c0b14cb2ca2dap-6, -0x1.b41441f92d4f6p-6, -0x1.a7c71c4e31908p-6, -0x1.9bc84052ddb51p-6, -0x1.901617c9007abp-6, -0x1.84af119f97a1fp-6, -0x1.7991a1fdb8dep-6, -0x1.6ebc424c2796cp-6, -0x1.642d713da373bp-6, -0x1.59e3b2d5ecdfbp-6, -0x1.4fdd906f98261p-6, -0x1.461998c0a8d3fp-6, -0x1.3c965fde29706p-6, -0x1.33527f3e88a82p-6, -0x1.2a4c95bb0d8e1p-6, -0x1.2183479033c9bp-6, -0x1.18f53e5d26983p-6, -0x1.10a129223a408p-6, -0x1.0885bc3e9cfa2p-6, -0x1.00a1b16d19fbep-6, -0x1.f1e78f803d16p-7, -0x1.e2f58739dab05p-7, -0x1.d46add6c410efp-7, -0x1.c645300ae27d9p-7, -0x1.b8822789b5144p-7, -0x1.ab1f76ce211a3p-7, -0x1.9e1adb1ed4864p-7, -0x1.91721c126681dp-7, -0x1.85230b7cd62f6p-7, -0x1.792b855c1fd16p-7, -0x1.6d896fc3c7f2cp-7, -0x1.623abac78b028p-7, -0x1.573d6065234f5p-7, -0x1.4c8f646d472a7p-7, -0x1.422ed46bf1c57p-7, -0x1.3819c78fdeba2p-7, -0x1.2e4e5e917d7a2p-7, -0x1.24cac3992d5d7p-7, -0x1.1b8d2a24fa0acp-7, -0x1.1293ceedc6118p-7, -0x1.09dcf7cc04a5dp-7, -0x1.0166f39c0624fp-7, -0x1.f2603443a60e3p-8, -0x1.e26d97d94ecbdp-8, -0x1.d2f2e47457e1ap-8, -0x1.c3ecfdb2bac9ep-8, -0x1.b558d81a55f48p-8, -0x1.a73378ddc83cep-8, -0x1.9979f5a0daf09p-8, -0x1.8c29743cac396p-8, -0x1.7f3f2a8387e63p-8, -0x1.72b85e0494033p-8, -0x1.669263cf3a741p-8, -0x1.5acaa036a6d29p-8, -0x1.4f5e8694f84d7p-8, -0x1.444b990eb4d4cp-8, -0x1.398f68562260cp-8, -0x1.2f27936e9c002p-8, -0x1.2511c7702eacfp-8, -0x1.1b4bbf4b474c9p-8, -0x1.11d3438cab8fdp-8, -0x1.08a62a219c7acp-8, -0x1.ff84ac385d602p-9, -0x1.ee4b6ef0020f2p-9, -0x1.dd9c95be982d5p-9, -0x1.cd7432e072ffcp-9, -0x1.bdce710592ce9p-9, -0x1.aea792ddbf2e1p-9, -0x1.9ffbf2a5d4167p-9, -0x1.91c801b5e7286p-9, -0x1.840848106262fp-9, -0x1.76b963f23fa53p-9, -0x1.69d809640d28ep-9, -0x1.5d6101cc2dcd8p-9, -0x1.51512b821c589p-9, -0x1.45a57962e6957p-9, -0x1.3a5af266c03ebp-9, -0x1.2f6eb1381545ep-9, -0x1.24dde3cb4f1fcp-9, -0x1.1aa5caf80e2c9p-9, -0x1.10c3ba13d58cap-9, -0x1.0735168da5152p-9, -0x1.fbeeaf16aa221p-10, -0x1.ea100b0faf629p-10, -0x1.d8c973e5b5c9ap-10, -0x1.c8163da3d8bf6p-10, -0x1.b7f1dcc5803b5p-10, -0x1.a857e57dda82dp-10, -0x1.99440b026c48dp-10, -0x1.8ab21ed7b31afp-10, -0x1.7c9e10209aa18p-10, -0x1.6f03eaf103c0fp-10, -0x1.61dfd7a2d43fdp-10, -0x1.552e1a2da6964p-10, -0x1.48eb1181d28cep-10, -0x1.3d1336e58b88ap-10, -0x1.31a31d54a2615p-10, -0x1.269770e3b9ec3p-10, -0x1.1becf6256f6d1p-10, -0x1.11a08992b58f5p-10, -0x1.07af1ef5d2e86p-10, -0x1.fc2b81b03f6eep-11, -0x1.e9a31fe3e17a8p-11, -0x1.d7bf853b34c02p-11, -0x1.c67b489a02561p-11, -0x1.b5d12a03764fbp-11, -0x1.a5bc118fbc34cp-11, -0x1.96370e6738591p-11, -0x1.873d55c13cb09p-11, -0x1.78ca41e995504p-11, -0x1.6ad9514a0463dp-11, -0x1.5d6625791fc9ep-11, -0x1.506c824de7745p-11, -0x1.43e84cf8bd358p-11, -0x1.37d58b20cf10bp-11, -0x1.2c30620593ab9p-11, -0x1.20f515a5e73a6p-11, -0x1.162007eb7145fp-11, -0x1.0badb7dab0bebp-11, -0x1.019ac0c7581e9p-11, -0x1.efc7b31bbb69dp-12, -0x1.dd0ba7a0d6204p-12, -0x1.cafb36709bff4p-12, -0x1.b9906978debaep-12, -0x1.a8c57bd648748p-12, -0x1.9894d87161325p-12, -0x1.88f918a38ceb3p-12, -0x1.79ed02e43424ep-12, -0x1.6b6b897d37c3bp-12, -0x1.5d6fc94773f2fp-12, -0x1.4ff5086f2183cp-12, -0x1.42f6b53f868a9p-12, -0x1.367064f640172p-12, -0x1.2a5dd29e35b1ap-12, -0x1.1ebaddf139f52p-12, -0x1.13838a408e532p-12, -0x1.08b3fd646337ap-12, -0x1.fc90fd64426fbp-13, -0x1.e87aebf49fb82p-13, -0x1.d51ed51657713p-13, -0x1.c2760476716bfp-13, -0x1.b07a00f428f4p-13, -0x1.9f248acd1a634p-13, -0x1.8e6f99d6540b7p-13, -0x1.7e555bc0d590cp-13, -0x1.6ed0326ad87b5p-13, -0x1.5fdab23bdfb0bp-13, -0x1.516fa08bf1cf8p-13, -0x1.4389f215af2acp-13, -0x1.3624c973c34b1p-13, -0x1.293b75a7ece5cp-13, -0x1.1cc970ac56bdep-13, -0x1.10ca5e0f14646p-13, -0x1.053a09986dfbcp-13, -0x1.f428cbf34d6fcp-14, -0x1.deab170a81369p-14, -0x1.c9f36de3aebf2p-14, -0x1.b5fa90488d1dep-14, -0x1.a2b982068ced1p-14, -0x1.902988a60abd2p-14, -0x1.7e442934dda5p-14, -0x1.6d03261ee934cp-14, -0x1.5c607d1826952p-14, -0x1.4c566515c5bddp-14, -0x1.3cdf4c57f5c6ap-14, -0x1.2df5d67f90377p-14, -0x1.1f94dab508b74p-14, -0x1.11b761dab617dp-14, -0x1.0458a4d16d9c3p-14, -0x1.eee8158d1631p-15, -0x1.d60a4f212e093p-15, -0x1.be0f7431874b9p-15, -0x1.a6ef55a5f6c26p-15, -0x1.90a2147ace91ap-15, -0x1.7b201ee429cfep-15, -0x1.66622d78b9e5fp-15, -0x1.5261408093bdp-15, -0x1.3f169d56b4c0cp-15, -0x1.2c7bcbdcb2d75p-15, -0x1.1a8a9403fbf5p-15, -0x1.093cfb7176edap-15, -0x1.f11a8655625ecp-16, -0x1.d0ebcabd25493p-16, -0x1.b1e3267dc8efcp-16, -0x1.93f665cc5a173p-16, -0x1.771bbaafa67c1p-16, -0x1.5b49b91bdf59fp-16, -0x1.4077532c4bb31p-16, -0x1.269bd57f4c933p-16, -0x1.0daee3bb0fcfp-16, -0x1.eb50ea40a9d71p-17, -0x1.bd01a28ca4b7bp-17, -0x1.906119eada1a4p-17, -0x1.65610e21de59fp-17, -0x1.3bf3cb5887d07p-17, -0x1.140c265fea2dap-17, -0x1.db3aee6d93a02p-18, -0x1.9137278c54e45p-18, -0x1.49f595872edd5p-18, -0x1.055fbd9443224p-18, -0x1.86c006508bfe8p-19, -0x1.07c33dc5b2df7p-19, -0x1.1b425712d2f0fp-20, -0x1.833616fdbbb45p-23, 0x1.62ac5d2482caap-21, 0x1.8a3b9b361be6ap-20, 0x1.2d46f7cf8e23bp-19, 0x1.9147821b9efd9p-19, 0x1.f13f1c74ae407p-19, 0x1.26a6241946261p-18, 0x1.52c6327baa515p-18, 0x1.7d0dde88de366p-18, 0x1.a58ac8b51e76fp-18, 0x1.cc4a128431cc5p-18, 0x1.f1586410301d5p-18, 0x1.0a60f8a1c8341p-17, 0x1.1b493f7ee3188p-17, 0x1.2b6ab3fca464fp-17, 0x1.3acad0aa4b14fp-17, 0x1.496edf9e15912p-17, 0x1.575bfc8ded24fp-17, 0x1.649716e361fb2p-17, 0x1.7124f3b3596d3p-17, 0x1.7d0a2fa49ec96p-17, 0x1.884b40bf3cc9dp-17, 0x1.92ec7822393ap-17, 0x1.9cf203b6ef00cp-17, 0x1.a65fefc39a93p-17, 0x1.af3a286adddd7p-17, 0x1.b7847b25145aep-17, 0x1.bf429820c999p-17, 0x1.c6781399c6226p-17, 0x1.cd286717b3929p-17, 0x1.d356f2a90af22p-17, 0x1.d906fe07b6abbp-17, 0x1.de3bb9ad38cf9p-17, 0x1.e2f83fe72c226p-17, 0x1.e73f95d4a65c2p-17, 0x1.eb14ac5c4a58ap-17, 0x1.ee7a610e5fa27p-17, 0x1.f1737f059e865p-17, 0x1.f402bfb93691fp-17, 0x1.f62acbc42cf8bp-17, 0x1.f7ee3ba581f9p-17, 0x1.f94f987296f6ep-17, 0x1.fa515c87aeeafp-17, 0x1.faf5f41f6a578p-17, 0x1.fb3fbdf70090cp-17, 0x1.fb310be2ba1e2p-17, 0x1.facc2350e920bp-17, 0x1.fa133dd196866p-17, 0x1.f90889919a443p-17, 0x1.f7ae29d2ee848p-17, 0x1.f6063759cd7fbp-17, 0x1.f412c0d52a61bp-17, 0x1.f1d5cb46916cap-17, 0x1.ef51525f5026fp-17, 0x1.ec8748d096b6ap-17, 0x1.e97998a92334dp-17, 0x1.e62a23a146fe4p-17, 0x1.e29ac3625b3dfp-17, 0x1.decd49cd3943bp-17, 0x1.dac3813b9a9d4p-17, 0x1.d67f2cc092993p-17, 0x1.d202085e59ecdp-17, 0x1.cd4dc93c8c33cp-17, 0x1.c8641ddeba76ap-17, 0x1.c346ae5331b2fp-17, 0x1.bdf71c59866c6p-17, 0x1.b8770391ff7f2p-17, 0x1.b2c7f9a3c2935p-17, 0x1.aceb8e5f5d94dp-17, 0x1.a6e34bde8b1e6p-17, 0x1.a0b0b6a64cf95p-17, 0x1.9a554dc4a565bp-17, 0x1.93d28aedd754p-17, 0x1.8d29e28d0a70ap-17, 0x1.865cc3e44c169p-17, 0x1.7f6c991ef9519p-17, 0x1.785ac7659b405p-17, 0x1.7128aeefc82d9p-17, 0x1.69d7ab1826dbdp-17, 0x1.6269126a47c0fp-17, 0x1.5ade36afbe95bp-17, 0x1.533864fd98213p-17, 0x1.4b78e5c1c6a5ep-17, 0x1.43a0fcd334cd5p-17, 0x1.3bb1e975be1a5p-17, 0x1.33ace6656180bp-17, 0x1.2b9329e086341p-17, 0x1.2365e5aed71efp-17, 0x1.1b264728a71e5p-17, 0x1.12d5773f29cf3p-17, 0x1.0a749a828217ap-17, 0x1.0204d1271b3ebp-17, 0x1.f30e6e144b554p-18, 0x1.e1f9c76b54416p-18, 0x1.d0cdd4ce6ed18p-18, 0x1.bf8cb42d48ceep-18, 0x1.ae387aed8278bp-18, 0x1.9cd335f3199d7p-18, 0x1.8b5ee9a952f25p-18, 0x1.79dd9205844ffp-18, 0x1.685122916af04p-18, 0x1.56bb86731c52p-18, 0x1.451ea06f8d02fp-18, 0x1.337c4af45fbp-18, 0x1.21d6581a0149ap-18, 0x1.102e91aa45cb5p-18, 0x1.fd0d7247195d4p-19, 0x1.d9c10f943e525p-19, 0x1.b67b5d4a1490cp-19, 0x1.933fad0eb0408p-19, 0x1.7011402ae4396p-19, 0x1.4cf347964a9e7p-19, 0x1.29e8e400ef091p-19, 0x1.06f525f024b14p-19, 0x1.c8361b81cae1dp-20, 0x1.82bb1770a1d51p-20, 0x1.3d7f00301c2a6p-20, 0x1.f10eeca1db48ep-21, 0x1.67b3f526b6d46p-21, 0x1.bdefb841bda78p-22, 0x1.5b9493493c0dfp-23, -0x1.83cf61ee4f0bep-24, -0x1.6e36a2036e029p-22, -0x1.3cf54177cfee5p-21, -0x1.c1fe337cbb5a4p-21, -0x1.23166d2e80f4bp-20, -0x1.64bc1332ea8cp-20, -0x1.a5eba25444542p-20, -0x1.e6a0cf4d4f5bbp-20, -0x1.136bb66792aa3p-19, -0x1.3345b5ac17939p-19, -0x1.52dc6c80ba694p-19, -0x1.722df09f8a003p-19, -0x1.9138665315655p-19, -0x1.affa005eb80aap-19, -0x1.ce70ffe1b7839p-19, -0x1.ec9bb438f3351p-19, -0x1.053c3d7088443p-18, -0x1.1402dfacdcc2p-18, -0x1.22a0fd7f2c3cbp-18, -0x1.3115da7466fefp-18, -0x1.3f60c0ec5edc4p-18, -0x1.4d81020441f49p-18, -0x1.5b75f587846bp-18, -0x1.693ef9e0a1c2p-18, -0x1.76db74043d5a7p-18, -0x1.844acf5f45adbp-18, -0x1.918c7dc587a6p-18, -0x1.9e9ff76094fap-18, -0x1.ab84ba9cf626ap-18, -0x1.b83a4c17949d8p-18, -0x1.c4c0368a054c1p-18, -0x1.d1160ab90296bp-18, -0x1.dd3b5f5ca3c52p-18, -0x1.e92fd11129524p-18, -0x1.f4f30242c9c84p-18, -0x1.00424d8c84f04p-17, -0x1.05f224b0e31fp-17, -0x1.0b88e03fe644cp-17, -0x1.11065caa7636cp-17, -0x1.166a79159327dp-17, -0x1.1bb51751a6f7fp-17, -0x1.20e61bcf9af47p-17, -0x1.25fd6d972959dp-17, -0x1.2afaf63c473dcp-17, -0x1.2fdea1d3d28bcp-17, -0x1.34a85eeaa63a4p-17, -0x1.39581e799c0fbp-17, -0x1.3dedd3db20c64p-17, -0x1.426974c2a0985p-17, -0x1.46caf92fb6c25p-17, -0x1.4b125b64f939dp-17, -0x1.4f3f97dcbf05cp-17, -0x1.5352ad3ff374p-17, -0x1.574b9c5998e7ap-17, -0x1.5b2a680d62d7fp-17, -0x1.5eef154cba456p-17, -0x1.6299ab0d0f607p-17, -0x1.662a323d32e0bp-17, -0x1.69a0b5ba54912p-17, -0x1.6cfd4245efa6ap-17, -0x1.703fe67c38cadp-17, -0x1.7368b2c83a65bp-17, -0x1.7677b95a8945cp-17, -0x1.796d0e1fab764p-17, -0x1.7c48c6b48c72p-17, -0x1.7f0afa5cef806p-17, -0x1.81b3c1f97bc0cp-17, -0x1.844337fdeacc3p-17, -0x1.86b97866a1755p-17, -0x1.8916a0af54971p-17, -0x1.8b5acfc84b5c9p-17, -0x1.8d86260d78cb6p-17, -0x1.8f98c53ce1283p-17, -0x1.9192d06c41211p-17, -0x1.93746bffafb93p-17, -0x1.953dbda123e96p-17, -0x1.96eeec360bef5p-17, -0x1.98881fd5edc8fp-17, -0x1.9a0981c264725p-17, -0x1.9b733c5cdf8eep-17, -0x1.9cc57b1dbe64ap-17, -0x1.9e006a8b65132p-17, -0x1.9f2438317b95bp-17, -0x1.a031129914cc6p-17, -0x1.a127293ebd68ep-17, -0x1.a206ac8aa0155p-17, -0x1.a2cfcdc79376fp-17, -0x1.a382bf1ae94d9p-17, -0x1.a41fb37c7fdecp-17, -0x1.a4a6deadcd15fp-17, -0x1.a5187532b3eebp-17, -0x1.a574ac4983232p-17, -0x1.a5bbb9e2b01ebp-17, -0x1.a5edd49866b4ap-17, -0x1.a60b33a924807p-17, -0x1.a6140eedbc4b7p-17, -0x1.a6089ed2c157dp-17, -0x1.a5e91c51b4b3ap-17, -0x1.a5b5c0e80642bp-17, -0x1.a56ec693c1066p-17, -0x1.a51467c8fe655p-17, -0x1.a4a6df6c3c5f2p-17, -0x1.a42668cb9213cp-17, -0x1.a3933f97c8e9dp-17, -0x1.a2ed9fddeec25p-17, -0x1.a235c6008d629p-17, -0x1.a16beeb1e6b6dp-17, -0x1.a09056ee4823bp-17, -0x1.9fa33bf42496bp-17, -0x1.9ea4db3f4cfc7p-17, -0x1.9d95728289a9ep-17, -0x1.9c753fa323869p-17, -0x1.9b4480b0512d5p-17, -0x1.9a0373e06aabp-17, -0x1.98b257891c0f5p-17, -0x1.97516a1bb1256p-17, -0x1.95e0ea212ebbep-17, -0x1.94611631b890ap-17, -0x1.92d22cf189f98p-17, -0x1.91346d0b8b813p-17, -0x1.8f88152c5d3f8p-17, -0x1.8dcd63fd6f9b2p-17, -0x1.8c049820d1a11p-17, -0x1.8a2df02cbe825p-17, -0x1.8849aaa7b3f9ap-17, -0x1.865806024278bp-17, -0x1.84594093f5f67p-17, -0x1.824d98978c0a1p-17, -0x1.80354c270a512p-17, -0x1.7e10993617853p-17, -0x1.7bdfbd8f8fc99p-17, -0x1.79a2f6d158c6ap-17, -0x1.775a826821982p-17, -0x1.75069d8f166b8p-17, -0x1.72a7854884eap-17, -0x1.703d765b73688p-17, -0x1.6dc8ad51422e2p-17, -0x1.6b496671924b6p-17, -0x1.68bfddbf32bcp-17, -0x1.662c4ef5db9dfp-17, -0x1.638ef58665bd3p-17, -0x1.60e80c95bba42p-17, -0x1.5e37cef807fb3p-17, -0x1.5b7e772e46f5p-17, -0x1.58bc3f6415b2ap-17, -0x1.55f1616e80bdap-17, -0x1.531e16c7cc9b9p-17, -0x1.5042988d1150bp-17, -0x1.4d5f1f7c9fa5cp-17, -0x1.4a73e3f35d663p-17, -0x1.47811deba8071p-17, -0x1.448704fbc08dep-17, -0x1.4185d05208027p-17, -0x1.3e7db6b36ea66p-17, -0x1.3b6eee7a2fd78p-17, -0x1.3859ad93ddb18p-17, -0x1.353e297f9451dp-17, -0x1.321c974cc3d96p-17, -0x1.2ef52b993241fp-17, -0x1.2bc81a90f395ap-17, -0x1.289597eb38a81p-17, -0x1.255dd6e964c19p-17, -0x1.22210a550fbdep-17, -0x1.1edf6481b7424p-17, -0x1.1b991748c874cp-17, -0x1.184e540944542p-17, -0x1.14ff4ba634fccp-17, -0x1.11ac2e86aac66p-17, -0x1.0e552c93f82dap-17, -0x1.0afa753b237b6p-17, -0x1.079c3769c65aep-17, -0x1.043aa18d5f9cfp-17, -0x1.00d5e19305d4ap-17, -0x1.fadc49cdc410dp-18, -0x1.f40730e6dc4cep-18, -0x1.ed2cd142889ccp-18, -0x1.e64d82ac1ce1fp-18, -0x1.df699bea5cfccp-18, -0x1.d88172bd6be5fp-18, -0x1.d1955bdd9e7adp-18, -0x1.caa5aafa5aaefp-18, -0x1.c3b2b2b93593p-18, -0x1.bcbcc4ba7d7a2p-18, -0x1.b5c43193902dp-18, -0x1.aec948cf4ec8ap-18, -0x1.a7cc58ee829fap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      46, 0x1.4p+2, 0x1.ef88d0d4ebb39p+0, 0x1.e7fa87ac41405p+1, -0x1.c0d77be46b524p-5, 
      {{
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.81cbafc0f36aep-3, -0x1.e1fd950686155p-2, 0x1.d27d7586d9ca8p-2, -0x1.96cb4bb9ecf19p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.53e753b0a8385p-3, -0x1.b41ab288e844ep-2, 0x1.c33c3c497a818p-2, -0x1.c1045e698510ep-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.2a85743e7ec41p-3, -0x1.87d29a1f846dcp-2, 0x1.b265abf25250ep-2, -0x1.e4ea35546d86bp-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.057b1047bbd8ep-3, -0x1.5d4acb44b933ap-2, 0x1.a0367d258e356p-2, -0x1.0540f5d8eda09p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c933272d3e835p-4, -0x1.34a68c79c8085p-2, 0x1.8c9e6ab5492fep-2, -0x1.17d2b004f80dep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.8f5dadc4c78f3p-4, -0x1.0e09bcb478aeep-2, 0x1.77a1d0b4e9c83p-2, -0x1.2a73fe826af9p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.5d0a3f9e7e681p-4, -0x1.d33024232da73p-3, 0x1.613f8404bb5c2p-2, -0x1.3d111cbceac96p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.31c641dcc49dep-4, -0x1.8eea9b3ab057dp-3, 0x1.4977d51029c04p-2, -0x1.4faf67b1cf5a3p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.0d17f37bf1bf5p-4, -0x1.4f8a5afe8cbf1p-3, 0x1.304aad493a32ep-2, -0x1.624d30001540cp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.dcfcdaa4a6b52p-5, -0x1.1556e104628cp-3, 0x1.15b8167c6bce2p-2, -0x1.74ebd62e6ba81p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.aae3442059f69p-5, -0x1.c12f5721f0105p-4, 0x1.f380000b7aa94p-3, -0x1.878787832402cp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.82c4bc7f7059ap-5, -0x1.632869cbd95a8p-4, 0x1.b8c545516875ep-3, -0x1.9a2e2e5e48749p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.6374908a48ef9p-5, -0x1.11280d44a963bp-4, 0x1.7b3e57f677317p-3, -0x1.acabf3f944d6p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.4bb7c0bd2ec92p-5, -0x1.9779c3ca600b3p-5, 0x1.3af159c446776p-3, -0x1.bfc2490e93527p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3a45014858f35p-5, -0x1.26ee69c16c1e5p-5, 0x1.ef8ed0d0fa568p-4, -0x1.d09f417aaf696p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.2dc4ba0fea77fp-5, -0x1.a3844b97e505dp-6, 0x1.642bd6c5c5b62p-4, -0x1.e9c91d1139336p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.24d106abf26p-5, -0x1.326f776da8bb7p-6, 0x1.a2789c1acf81cp-5, -0x1.cb8a6d677bd9fp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1df8d6f72c2e8p-5, -0x1.f4a0949555012p-7, 0x1.1d7e4e863d99ep-6, -0x1.75e31bd4ce846p-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.17e255314576p-5, -0x1.e86521d175f27p-7, -0x1.4657a5bf0e0f2p-7, -0x1.2888f166ef801p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.116d4c212360bp-5, -0x1.164e86668a0b9p-6, -0x1.0381ad7a53366p-5, -0x1.b1e8e21d9c68ep-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.09b647a3a3331p-5, -0x1.5739afe12c2e9p-6, -0x1.85adf15002237p-5, -0x1.13f84275c752cp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.001694ab9a4bcp-5, -0x1.ad70b92d07117p-6, -0x1.d8786ba68abbfp-5, -0x1.d66b2a0335b84p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.e8488283ac463p-6, -0x1.07bb34a16b873p-5, -0x1.fbc0753395299p-5, 0x1.423d6a408f751p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.cb64390a38979p-6, -0x1.39e6f9e956562p-5, -0x1.efaaf46ac2fb9p-5, 0x1.8f529ae864c58p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a99f6d5454e5ap-6, -0x1.68795f4578703p-5, -0x1.b3c4f6c7e7116p-5, 0x1.61894c3f682cfp-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.8392c1f76cbdcp-6, -0x1.8ebf7d34ab6c6p-5, -0x1.49b55fe8149cep-5, 0x1.07f85415844abp-3}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5a505bb4dbe28p-6, -0x1.a7ccbc98083c5p-5, -0x1.56a727b65747cp-6, 0x1.1aa8744fe8364p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2f5c25aa04094p-6, -0x1.b073e17d78d56p-5, -0x1.bb4e11a050c25p-13, 0x1.d1aa1e1c5fa89p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0456bf613c103p-6, -0x1.a9a40f3ecf1c4p-5, 0x1.13ef75edc58f7p-6, 0x1.828a7f3d825b2p-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b550d5c57e69p-7, -0x1.960bc4e15b986p-5, 0x1.fbdc28ac46fcep-6, 0x1.2de9f46e75a2fp-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.66f2a1c985a74p-7, -0x1.781fcfd1f78fdp-5, 0x1.588110ddad2fp-5, 0x1.b58bdb7720562p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1f630196eccd3p-7, -0x1.52646a914e525p-5, 0x1.9a22d82f8ba21p-5, 0x1.0e6185107fa66p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.bfe3c2a40e17bp-8, -0x1.2759cce93a482p-5, 0x1.c2b178f2052e2p-5, 0x1.9f1d29d38f8cdp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.52ddf4f637ap-8, -0x1.f30198d60ed49p-6, 0x1.d24290e9f429ap-5, -0x1.00c45947d524p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f0a74fb99b082p-9, -0x1.96b7948218b61p-6, 0x1.c8a19a5da8f82p-5, -0x1.c681f46db176p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5fc707905f27bp-9, -0x1.3eccb6d406f84p-6, 0x1.a68b0e6f0875ep-5, -0x1.9894ab7862c6bp-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.e0af2f8298403p-10, -0x1.e0d6e7e8367aep-7, 0x1.69418e502cd84p-5, -0x1.d4021c3d4de17p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3b6081dc01a4p-10, -0x1.5e60963a9f333p-7, 0x1.230e0a13c7906p-5, -0x1.9589ea754dc53p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.89c6cedb36b04p-11, -0x1.ec3e37956b195p-8, 0x1.cc72b4379166p-6, -0x1.6953ac3ab6eedp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.cda63342bf799p-12, -0x1.49be50dedfbf2p-8, 0x1.600ccd59274ffp-6, -0x1.383bba6b83806p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.f25f9dcd71347p-13, -0x1.9f5098f3f781ap-9, 0x1.0261489f4ca9ep-6, -0x1.0868a361599edp-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.e0af2f8298432p-14, -0x1.e0ae03a4422f5p-10, 0x1.661d626a96c1ep-7, -0x1.b0c7a9af4c59fp-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.89c6cedb36b6p-15, -0x1.ec3e3661a57dp-11, 0x1.c88fc56bffb5p-8, -0x1.4fc2130e1e2c5p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.f25f9dcd7151ep-17, -0x1.9f26bf2782e4fp-12, 0x1.fe36a72d74d02p-9, -0x1.e61fa34641139p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.89c6cedb374ffp-19, -0x1.ee99d45007683p-14, 0x1.b51424069b7f8p-10, -0x1.0c1869da5212bp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.89c6cedb3ffffp-23, -0x1.a52c2b47b804p-17, 0x1.cd74fa68e40ffp-12, -0x1.66caff9737f61p-7}, 
      }}, 
      0x1.519e1aeaa2852p-3, -0x1.042fb1aaabdc7p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.057b1f083dfc4p-8, 0x1.f1c7e79548489p-8, 0x1.5a78f12289a51p-7, 0x1.a2fb964348d02p-7, 0x1.d053ab1ff4ab8p-7, 0x1.e21cdffb68075p-7, 0x1.d922e02fe2814p-7, 0x1.b6fd64726dcb2p-7, 0x1.7dc5367487474p-7, 0x1.2fdd6a212431ap-7, 0x1.9f97935e18da7p-8, 0x1.8071f5ecc112ep-9, -0x1.cb1b22b5b1a66p-11, -0x1.4875204e2acfap-8, -0x1.343cdae73f70ap-7, -0x1.ca9f2ffed8666p-7, -0x1.32b945c4e2eb5p-6, -0x1.81798deb2badp-6, -0x1.d0c3f8ca0c5p-6, -0x1.0ff07aab55a62p-5, -0x1.37168643d2106p-5, -0x1.5d8bf464b13e9p-5, -0x1.8311a08862641p-5, -0x1.a770d95a2590dp-5, -0x1.ca7ac8e3d51c9p-5, -0x1.ec07dae5c3d3dp-5, -0x1.05fb91c98786dp-4, -0x1.1516e4361c47fp-4, -0x1.234b367188496p-4, -0x1.3090526daa04p-4, -0x1.3ce037db7390dp-4, -0x1.4836df709974ep-4, -0x1.5292050a715d6p-4, -0x1.5bf0f8d538d51p-4, -0x1.64547629f93fap-4, -0x1.6bbe7dc3c15fcp-4, -0x1.723230a51248dp-4, -0x1.77b3aa7f35a4ep-4, -0x1.7c47dc6d2ac31p-4, -0x1.7ff469cb2c196p-4, -0x1.82bf889755f76p-4, -0x1.84afe5b1c23ecp-4, -0x1.85cc8cba4eba2p-4, -0x1.861cd30b2c45bp-4, -0x1.85a8454e78bfbp-4, -0x1.8476975838208p-4, -0x1.828f95f6037dp-4, -0x1.7ffb1a7122445p-4, -0x1.7cc0ffaaf209ep-4, -0x1.78e918b6ba275p-4, -0x1.747b286931c4ap-4, -0x1.6f7eda190abaap-4, -0x1.69fbbbf143cfdp-4, -0x1.63f939ba60f61p-4, -0x1.5d7e97c137bbep-4, -0x1.5692ef3ee602dp-4, -0x1.4f3d2c4462f89p-4, -0x1.47840b5115372p-4, -0x1.3f6e164f09747p-4, -0x1.3701a2b419848p-4, -0x1.2e44d1740cd6ep-4, -0x1.253d8f411c2fp-4, -0x1.1bf193b768b44p-4, -0x1.126660088b332p-4, -0x1.08a13eabfec7cp-4, -0x1.fd4e890af6d2cp-5, -0x1.e8faa51ee8996p-5, -0x1.d4502db1babe1p-5, -0x1.bf5819478ada1p-5, -0x1.aa1af8be686b4p-5, -0x1.94a0f8a14d19ap-5, -0x1.7ef1e44f6329ap-5, -0x1.69152a11fadfp-5, -0x1.5311dee3b3f83p-5, -0x1.3ceec12180adap-5, -0x1.26b23a525a848p-5, -0x1.106260ae80408p-5, -0x1.f409f23f2c7fbp-6, -0x1.c73ef416caccdp-6, -0x1.9a6e1d815c872p-6, -0x1.6da13652759c8p-6, -0x1.40e17e80d6602p-6, -0x1.1437b4471eed2p-6, -0x1.cf58326bdf888p-7, -0x1.768ced733e7d7p-7, -0x1.1e1c44aec42cp-7, -0x1.8c28085eb94dep-8, -0x1.ba048a46359bp-9, -0x1.76fcb08720b05p-11, 0x1.f8a4c100db28dp-10, 0x1.2a02a664be989p-8, 0x1.d498be44ad726p-8, 0x1.3eec5848f6c85p-7, 0x1.92d876007f62bp-7, 0x1.e60882df577bcp-7, 0x1.1c3a6acd07fd7p-6, 0x1.450b252ba9b25p-6, 0x1.6d731e1b2286dp-6, 0x1.956f3f8c8ee22p-6, 0x1.bcfcacc438469p-6, 0x1.e418bf5a8ef83p-6, 0x1.0560822c1c888p-5, 0x1.18799cb57233bp-5, 0x1.2b56a51ce664p-5, 0x1.3df6a6f14edd6p-5, 0x1.5058c24e8b7cep-5, 0x1.627c2ac2d15fcp-5, 0x1.7460264915e1dp-5, 0x1.86040c56c4158p-5, 0x1.976744f6c9957p-5, 0x1.a88947fa51ab4p-5, 0x1.b9699c2fe1b8ap-5, 0x1.ca07d6ace6aaap-5, 0x1.da639a1c913e9p-5, 0x1.ea7c961bdb891p-5, 0x1.fa52869e2365ap-5, 0x1.04f299ab2021fp-4, 0x1.0c9a379815eb1p-4, 0x1.14200be3954dep-4, 0x1.1b840a7716944p-4, 0x1.22c62c1cafd4ap-4, 0x1.29e66e466d6aep-4, 0x1.30e4d2de1ba58p-4, 0x1.37c1600fe961bp-4, 0x1.3e7c201fbb798p-4, 0x1.4515213e48f3ep-4, 0x1.4b8c755b8b392p-4, 0x1.51e2320698192p-4, 0x1.581670451d43bp-4, 0x1.5e294c6e5b059p-4, 0x1.641ae611566acp-4, 0x1.69eb5fcdc9ab4p-4, 0x1.6f9adf367cf72p-4, 0x1.75298cbb1a84cp-4, 0x1.7a97938299c09p-4, 0x1.7fe521521a7ecp-4, 0x1.85126679dc4c5p-4, 0x1.8a1f95b1286dp-4, 0x1.8f0ce3fec2e6fp-4, 0x1.93da88a9340efp-4, 0x1.9888bd14b5183p-4, 0x1.9d17bcaa92624p-4, 0x1.a187c4ccb6e33p-4, 0x1.a5d914b71cbc2p-4, 0x1.aa0bed63d9c6fp-4, 0x1.ae209180881a7p-4, 0x1.b2174555eb5eep-4, 0x1.b5f04ea80fc9dp-4, 0x1.b9abf4a9b881ep-4, 0x1.bd4a7fecb49a2p-4, 0x1.c0cc3a410d0aap-4, 0x1.c4316ea12f95dp-4, 0x1.c77a6929a52a6p-4, 0x1.caa776ff04b07p-4, 0x1.cdb8e63018fe2p-4, 0x1.d0af05ac73319p-4, 0x1.d38a25386b185p-4, 0x1.d64a954d90daap-4, 0x1.d8f0a703b2279p-4, 0x1.db7cac0ca3ce6p-4, 0x1.ddeef6a461f32p-4, 0x1.e047d9705f74p-4, 0x1.e287a76d8a09cp-4, 0x1.e4aeb3eefdc93p-4, 0x1.e6bd528da4ebep-4, 0x1.e8b3d707d65f9p-4, 0x1.ea929530cb55ep-4, 0x1.ec59e0f1bc42ep-4, 0x1.ee0a0e3d5b90fp-4, 0x1.efa370f0ab924p-4, 0x1.f1265cbfee6eap-4, 0x1.f2932538e01fdp-4, 0x1.f3ea1dbe06a82p-4, 0x1.f52b996be8a35p-4, 0x1.f657eb00a2c5ap-4, 0x1.f76f64da97d9p-4, 0x1.f87258fcb536ap-4, 0x1.f96118fe6fcc3p-4, 0x1.fa3bf5f06c2dcp-4, 0x1.fb03405153daap-4, 0x1.fbb74814d25d7p-4, 0x1.fc585ca303487p-4, 0x1.fce6ccc3d108bp-4, 0x1.fd62e689728bap-4, 0x1.fdccf74e822ebp-4, 0x1.fe254bbf6299bp-4, 0x1.fe6c2fd731a6ap-4, 0x1.fea1eeccd637bp-4, 0x1.fec6d3020fbdap-4, 0x1.fedb2605583e9p-4, 0x1.fedf309b94d57p-4, 0x1.fed33abe8f262p-4, 0x1.feb78b8da24ecp-4, 0x1.fe8c6940f0ffcp-4, 0x1.fe52192b9a318p-4, 0x1.fe08dfc5b8cddp-4, 0x1.fdb100ae1d40dp-4, 0x1.fd4abe9f19f18p-4, 0x1.fcd65b62fd0ccp-4, 0x1.fc5417d324c89p-4, 0x1.fbc433e8c2207p-4, 0x1.fb26eeaaf3d3ap-4, 0x1.fa7c865a9c73bp-4, 0x1.f9c5383ac5091p-4, 0x1.f90140a34e266p-4, 0x1.f830db0084984p-4, 0x1.f75441dec745ap-4, 0x1.f66baee8f6159p-4, 0x1.f5775af1aace7p-4, 0x1.f4777de381c0bp-4, 0x1.f36c4ec97dc83p-4, 0x1.f25603d2ae719p-4, 0x1.f134d25be5c0ap-4, 0x1.f008eef1d282cp-4, 0x1.eed28d5154bffp-4, 0x1.ed91e065e212ep-4, 0x1.ec471a4fca10cp-4, 0x1.eaf26c6acf236p-4, 0x1.e994075498ae5p-4, 0x1.e82c1aecaa438p-4, 0x1.e6bad656f595ap-4, 0x1.e54067fa3988dp-4, 0x1.e3bcfd896a919p-4, 0x1.e230c40e75a47p-4, 0x1.e09be7f354235p-4, 0x1.defe9502e7c4cp-4, 0x1.dd58f662ab9d4p-4, 0x1.dbab368ad24c9p-4, 0x1.d9f57f4465b95p-4, 0x1.d837f9b2af6fdp-4, 0x1.d672ce6631d6p-4, 0x1.d4a62571cd48fp-4, 0x1.d2d22679c5c3bp-4, 0x1.d0f6f8b36e6e1p-4, 0x1.cf14c2d6b4376p-4, 0x1.cd2bab06ec796p-4, 0x1.cb3bd6c0a998bp-4, 0x1.c9456ada3d333p-4, 0x1.c7488b9e45bf4p-4, 0x1.c5455cf9631b9p-4, 0x1.c33c02a89e903p-4, 0x1.c12ca050264dp-4, 0x1.bf17596b863fbp-4, 0x1.bcfc511b538efp-4, 0x1.badba9e885bd8p-4, 0x1.b8b5859ed52f6p-4, 0x1.b68a0557397cfp-4, 0x1.b45949b485c25p-4, 0x1.b223733b65a7ep-4, 0x1.afe8a29d58384p-4, 0x1.ada8f8d30c3cdp-4, 0x1.ab6496f4ec913p-4, 0x1.a91b9ddf67d92p-4, 0x1.a6ce2dc9a23bdp-4, 0x1.a47c65ff5653ap-4, 0x1.a22664e3c45dp-4, 0x1.9fcc4845d291cp-4, 0x1.9d6e2de82a009p-4, 0x1.9b0c34064f18bp-4, 0x1.98a6799545671p-4, 0x1.963d1e1c1d24dp-4, 0x1.93d0412931132p-4, 0x1.9160019be6987p-4, 0x1.8eec7d15cd22bp-4, 0x1.8c75cfdc8e191p-4, 0x1.89fc154733c7dp-4, 0x1.877f6890b1526p-4, 0x1.84ffe5b50b75ap-4, 0x1.827da9f08c04bp-4, 0x1.7ff8d39e43204p-4, 0x1.7d718177f3a57p-4, 0x1.7ae7d1898db64p-4, 0x1.785be0517b68fp-4, 0x1.75cdc87a84003p-4, 0x1.733da358bbbe9p-4, 0x1.70ab89f8f96f1p-4, 0x1.6e17964ac7137p-4, 0x1.6b81e3da8fdfep-4, 0x1.68ea8fc05b501p-4, 0x1.6651b7c3a72dcp-4, 0x1.63b77914ea8f9p-4, 0x1.611bef32105c1p-4, 0x1.5e7f337be5262p-4, 0x1.5be15db0861e6p-4, 0x1.59428515e0139p-4, 0x1.56a2c1ca4cd67p-4, 0x1.54022d9dd78eep-4, 0x1.5160e40cf38bbp-4, 0x1.4ebf015e407e9p-4, 0x1.4c1ca14e1c342p-4, 0x1.4979dde904f8ep-4, 0x1.46d6cf1e8b26bp-4, 0x1.44338b3d3f986p-4, 0x1.4190281831404p-4, 0x1.3eecbc46bb251p-4, 0x1.3c495fe4f887dp-4, 0x1.39a62c7cfd9bap-4, 0x1.37033c2911ab3p-4, 0x1.3460a8613495ap-4, 0x1.31be8909b9ae1p-4, 0x1.2f1cf43386c22p-4, 0x1.2c7bfea42baa8p-4, 0x1.29dbbcd959764p-4, 0x1.273c44021ed01p-4, 0x1.249daa7653b1dp-4, 0x1.220007788b1edp-4, 0x1.1f63726c8a2f6p-4, 0x1.1cc801edefdc8p-4, 0x1.1a2dcb3b05c5cp-4, 0x1.1794e236398b4p-4, 0x1.14fd59f1138bep-4, 0x1.1267457033fc6p-4, 0x1.0fd2b842ce3d6p-4, 0x1.0d3fc6a55f5f6p-4, 0x1.0aae8529d52a9p-4, 0x1.081f081c4cf9p-4, 0x1.059162f8d4a27p-4, 0x1.0305a8354c1cp-4, 0x1.007be970a98dap-4, 0x1.fbe86fc67edd5p-5, 0x1.f6dd499c96a74p-5, 0x1.f1d6836265e61p-5, 0x1.ecd44060ea4f1p-5, 0x1.e7d6a38d1ecafp-5, 0x1.e2ddcee24116dp-5, 0x1.dde9e30fc8ebp-5, 0x1.d8faff9afe564p-5, 0x1.d411434d2c386p-5, 0x1.cf2ccc9efefep-5, 0x1.ca4db9dbaccabp-5, 0x1.c57428ec2b271p-5, 0x1.c0a036f4b34acp-5, 0x1.bbd2000fd9b86p-5, 0x1.b7099f5dda9d3p-5, 0x1.b2472f671bdd1p-5, 0x1.ad8aca95ffcbap-5, 0x1.a8d48b744d8cep-5, 0x1.a4248c742b053p-5, 0x1.9f7ae74ed0d23p-5, 0x1.9ad7b447f8471p-5, 0x1.963b09c416967p-5, 0x1.91a4fc81118a8p-5, 0x1.8d15a06f2d205p-5, 0x1.888d09cc3ad1p-5, 0x1.840b4df108011p-5, 0x1.7f90835840629p-5, 0x1.7b1cc0bea6698p-5, 0x1.76b01bae96422p-5, 0x1.724aa71dfa85cp-5, 0x1.6dec72d1f1c8ap-5, 0x1.69958bef42c8cp-5, 0x1.6545fe944c80dp-5, 0x1.60fdd7d307c1dp-5, 0x1.5cbd272499343p-5, 0x1.5883fe9efb6f1p-5, 0x1.545271bb2f325p-5, 0x1.5028931a568e1p-5, 0x1.4c0672301ff0cp-5, 0x1.47ec19d823d5bp-5, 0x1.43d9908ce426p-5, 0x1.3fceda4c4a0ecp-5, 0x1.3bcbfb72d7ca7p-5, 0x1.37d0fb5c29a14p-5, 0x1.33dde5a7e0951p-5, 0x1.2ff2c993a5829p-5, 0x1.2c0fb7a0c9a81p-5, 0x1.2834be61b6dc3p-5, 0x1.2461e7a093209p-5, 0x1.209737033ce0bp-5, 0x1.1cd4aad72de78p-5, 0x1.191a3eda53577p-5, 0x1.1567eff25b92cp-5, 0x1.11bdbf4d55c1ep-5, 0x1.0e1bb3abb0e8bp-5, 0x1.0a81d867e5f67p-5, 0x1.06f03ab37aa8cp-5, 0x1.0366e6061809dp-5, 0x1.ffcbc1beb5845p-6, 0x1.f8da55d74eec8p-6, 0x1.f1f97aa975998p-6, 0x1.eb291ac6aa4c8p-6, 0x1.e469211b16cbbp-6, 0x1.ddb980967364bp-6, 0x1.d71a382853bdap-6, 0x1.d08b51c880d0cp-6, 0x1.ca0cddafc4032p-6, 0x1.c39eec076c43p-6, 0x1.bd4186ec7d48ep-6, 0x1.b6f4adcce8a6p-6, 0x1.b0b85317dab6bp-6, 0x1.aa8c5da6f2331p-6, 0x1.a470ae6779cbcp-6, 0x1.9e6528a8e1b1ep-6, 0x1.9869b93d6a59ap-6, 0x1.927e58d9a01bp-6, 0x1.8ca30903d5dfdp-6, 0x1.86d7ce395f8f9p-6, 0x1.811caaefff79fp-6, 0x1.7b719cff25aaep-6, 0x1.75d69c339e973p-6, 0x1.704b9880f8085p-6, 0x1.6ad078a34f55p-6, 0x1.65651bdc88ee1p-6, 0x1.60096002373cbp-6, 0x1.5abd2947219e6p-6, 0x1.558066c1f72b3p-6, 0x1.50531052d7442p-6, 0x1.4b351f6049502p-6, 0x1.462688108f4b5p-6, 0x1.41273820dd59p-6, 0x1.3c371b1719142p-6, 0x1.37561e42f3036p-6, 0x1.32842f90adb71p-6, 0x1.2dc1383e8550ep-6, 0x1.290d1975a439ep-6, 0x1.2467af5a80584p-6, 0x1.1fd0d925046e5p-6, 0x1.1b487ffbab59ap-6, 0x1.16ce968770b68p-6, 0x1.1263107b96553p-6, 0x1.0e05d83dcc2fdp-6, 0x1.09b6cbdb4cf2fp-6, 0x1.0575c542abcaep-6, 0x1.0142a731fa66p-6, 0x1.fa3ac57b8f189p-7, 0x1.f20bdfd7a6cb8p-7, 0x1.e9f8807a930f5p-7, 0x1.e2006de781eb5p-7, 0x1.da235935037a7p-7, 0x1.d260f41a4e26bp-7, 0x1.cab904fec2df3p-7, 0x1.c32b69f5e92a9p-7, 0x1.bbb80627a4922p-7, 0x1.b45ea56178bb4p-7, 0x1.ad1eee28cdd4ep-7, 0x1.a5f874a25e67fp-7, 0x1.9eeae414a653bp-7, 0x1.97f61a0035c46p-7, 0x1.911a16fec88eep-7, 0x1.8a56d2c1d934dp-7, 0x1.83ac1a6e4a95ep-7, 0x1.7d1990157d8c9p-7, 0x1.769ec3281c335p-7, 0x1.703b4e75aae7p-7, 0x1.69eeed2df3ccap-7, 0x1.63b97d62365b7p-7, 0x1.5d9aebfb0d6a5p-7, 0x1.579312d2b5906p-7, 0x1.51a1a25204745p-7, 0x1.4bc631ff52d57p-7, 0x1.46007427a3d4ap-7, 0x1.40505c5d76dap-7, 0x1.3ab60a855f762p-7, 0x1.35318b4e93e6cp-7, 0x1.2fc2ae0069db5p-7, 0x1.2a690ef4ad7ddp-7, 0x1.25243a652d8a2p-7, 0x1.1ff3c4b9c81a1p-7, 0x1.1ad7558076b6fp-7, 0x1.15ceaf5780ccfp-7, 0x1.10d9b3bdc239cp-7, 0x1.0bf8573d3047fp-7, 0x1.072a8029149f3p-7, 0x1.026fe3d065bb6p-7, 0x1.fb901937f3e91p-8, 0x1.f2652b9c66f93p-8, 0x1.e95ec0d9312b2p-8, 0x1.e07cef09c2187p-8, 0x1.d7bf79246c012p-8, 0x1.cf2587636fbabp-8, 0x1.c6ae0ea0c39a3p-8, 0x1.be58496308639p-8, 0x1.b623b96404dfbp-8, 0x1.ae0fe4e2d1ed8p-8, 0x1.a61c41afa6996p-8, 0x1.9e48688fc52b9p-8, 0x1.969457f69f781p-8, 0x1.8f00756200c36p-8, 0x1.878d25627abp-8, 0x1.803a3ed23ae4ep-8, 0x1.7906f7dc0c1cbp-8, 0x1.71f28aa268657p-8, 0x1.6afcd491dbf2ep-8, 0x1.642605a21de2cp-8, 0x1.5d6db59dc4fadp-8, 0x1.56d2b3dc05a9cp-8, 0x1.5053e97660a12p-8, 0x1.49f1069a75422p-8, 0x1.43aa1601f6046p-8, 0x1.3d7eb27b1b211p-8, 0x1.376dddd0d27f5p-8, 0x1.317681b5eff03p-8, 0x1.2b9807da9814p-8, 0x1.25d291f98ba7fp-8, 0x1.2026afff3f42bp-8, 0x1.1a94b33aebb06p-8, 0x1.151c0b8c24b7fp-8, 0x1.0fbb616389aadp-8, 0x1.0a719521a3044p-8, 0x1.053e8c349ab22p-8, 0x1.0022a9a9d886ap-8, 0x1.f63b2394f6ff2p-9, 0x1.ec5c265017d23p-9, 0x1.e2a713ccdcc73p-9, 0x1.d91d351a6677bp-9, 0x1.cfc03adf199b7p-9, 0x1.c68fce5322309p-9, 0x1.bd89d3cb4e42ap-9, 0x1.b4ac4d2d5613fp-9, 0x1.abf68560ddfcbp-9, 0x1.a368de37cf612p-9, 0x1.9b042a16a5ecap-9, 0x1.92c92b159a456p-9, 0x1.8ab7d8496b3b2p-9, 0x1.82ce74cf5d39ap-9, 0x1.7b09e2fece271p-9, 0x1.7367c255f3f58p-9, 0x1.6be7fd73002edp-9, 0x1.648b983e92495p-9, 0x1.5d52031585065p-9, 0x1.5638b2dc442a7p-9, 0x1.4f3e594853becp-9, 0x1.48647e65f2be3p-9, 0x1.41ac74aa9861dp-9, 0x1.3b14f3212fa47p-9, 0x1.349b9c3360084p-9, 0x1.2e3f5d01f51b7p-9, 0x1.28008dd3d9429p-9, 0x1.21dfa782bb1efp-9, 0x1.1bdcacfe65346p-9, 0x1.15f79b6f0d986p-9, 0x1.1030df132dd66p-9, 0x1.0a88d80c134ddp-9, 0x1.04fe9aa5dfdb9p-9, 0x1.ff1f8200186dcp-10, 0x1.f47465b3ba31bp-10, 0x1.e9fb65ae924edp-10, 0x1.dfb6f9fcfaa34p-10, 0x1.d5a829f2969ffp-10, 0x1.cbca9a54c4ce3p-10, 0x1.c219dc04d3adbp-10, 0x1.b8977e3a1ac65p-10, 0x1.af44ef6156f68p-10, 0x1.a61eda2d977a8p-10, 0x1.9d2236c50c5dp-10, 0x1.944fd271be77ap-10, 0x1.8ba94e9ccfc05p-10, 0x1.832e5d66a997ap-10, 0x1.7add4cde23b7ep-10, 0x1.72b46bd6eee2cp-10, 0x1.6ab2f204d9158p-10, 0x1.62d9708884adep-10, 0x1.5b291aa99c529p-10, 0x1.53a17bb1c7d3ep-10, 0x1.4c3f63768b586p-10, 0x1.44ff7af427b33p-10, 0x1.3de13e6b768e8p-10, 0x1.36e811cf59b96p-10, 0x1.301910cdf7abbp-10, 0x1.29736f4de23f6p-10, 0x1.22f1251a8b753p-10, 0x1.1c92255f4615p-10, 0x1.1657fdcbcf861p-10, 0x1.103f7b354454dp-10, 0x1.0a47161223b6dp-10, 0x1.04702d668fed6p-10, 0x1.fd745777e374dp-11, 0x1.f244c6bd9e651p-11, 0x1.e74c7260c0d6dp-11, 0x1.dc87a015b4f96p-11, 0x1.d1f3b644dfccbp-11, 0x1.c78f3cc8e02efp-11, 0x1.bd5a9a3cfa6e6p-11, 0x1.b3584037c713bp-11, 0x1.a989f698185bbp-11, 0x1.9fed606dd236p-11, 0x1.967df59d2a5d9p-11, 0x1.8d39b90fdfffep-11, 0x1.842312cd9c113p-11, 0x1.7b41229d06bd9p-11, 0x1.7298a9a7172ddp-11, 0x1.6a1e97398064fp-11, 0x1.61ca9c0b6388fp-11, 0x1.59a0bc334ea4fp-11, 0x1.519e3a84baffep-11, 0x1.49c51ac7ec7c7p-11, 0x1.421ba908e919p-11, 0x1.3aa1a7998801p-11, 0x1.3354711f09e12p-11, 0x1.2c329c190068bp-11, 0x1.253b37098e3aap-11, 0x1.1e6cdbedee07cp-11, 0x1.17c5930962c37p-11, 0x1.11432b3b3cb5bp-11, 0x1.0ae3eaa42c98dp-11, 0x1.04a7760dae61bp-11, 0x1.fd1d4bc19dcffp-12, 0x1.f132173a4f45ep-12, 0x1.e587a60774d8p-12, 0x1.da19522d1bcd7p-12, 0x1.cee5a6b90c2dep-12, 0x1.c3eba18f3ef83p-12, 0x1.b930403c674d8p-12, 0x1.aeb9d3c49ace4p-12, 0x1.a47481775537bp-12, 0x1.9a596b3fd7c4p-12, 0x1.906b20ef414d9p-12, 0x1.86ad0eef77f7ep-12, 0x1.7d2b447131bbcp-12, 0x1.73e3032522946p-12, 0x1.6acec25fe2debp-12, 0x1.61ec7be7bf32p-12, 0x1.593ad26f0913cp-12, 0x1.50b8099b4e6f5p-12, 0x1.4862ab2fe7497p-12, 0x1.403a4973b0ebdp-12, 0x1.383f9a7ed9a9dp-12, 0x1.3073ce2041878p-12, 0x1.28d7c3a76e9cp-12, 0x1.216bfea8837cap-12, 0x1.1a30641114f18p-12, 0x1.13223d1d24af1p-12, 0x1.0c3cd75b23fe4p-12, 0x1.057d1a88a17fep-12, 0x1.fdc11e7eaf22cp-13, 0x1.f0c74041934f3p-13, 0x1.e40deb1990b46p-13, 0x1.d7ab33dcf40d6p-13, 0x1.cb91f27cf5d45p-13, 0x1.bfae7b651709cp-13, 0x1.b40663ce6d954p-13, 0x1.a8ae4ebe63e41p-13, 0x1.9da834606902cp-13, 0x1.92e7fede8f603p-13, 0x1.886aa787ce4d7p-13, 0x1.7e2ee3835871bp-13, 0x1.74314c3206dadp-13, 0x1.6a6cc44e19d0cp-13, 0x1.60dbef46596eap-13, 0x1.577aed986496ap-13, 0x1.4e489aa942626p-13, 0x1.454661a2d6aa8p-13, 0x1.3c767679d62c3p-13, 0x1.33d9a268313c4p-13, 0x1.2b6eba4d15474p-13, 0x1.23343672bad9cp-13, 0x1.1b2919cb152a4p-13, 0x1.134d9a2320954p-13, 0x1.0ba46de5bd83cp-13, 0x1.042ffd252faf2p-13, 0x1.f9dd4c7311b6ap-14, 0x1.ebb3a1380c43dp-14, 0x1.dddf992362afp-14, 0x1.d076778455bd6p-14, 0x1.c34b350d1547ap-14, 0x1.b65030a10ce62p-14, 0x1.a9aa7ad13912cp-14, 0x1.9d54297dd8b24p-14, 0x1.913f07607efb9p-14, 0x1.856ccfe806b53p-14, 0x1.79df5421006d4p-14, 0x1.6e966d99e4556p-14, 0x1.6391288ffdabcp-14, 0x1.58ce67b43837dp-14, 0x1.4e4d26b796cf7p-14, 0x1.440ca42110ad8p-14, 0x1.3a0c8a9f31c4cp-14, 0x1.304d1420c501fp-14, 0x1.26cf08e5122d6p-14, 0x1.1d936a5d14f43p-14, 0x1.149abea9dea94p-14, 0x1.0be45eb16e73cp-14, 0x1.036d7a285f8a7p-14, 0x1.f65dca23a1b92p-15, 0x1.e63c1b1926a1fp-15, 0x1.d66763a7d2824p-15, 0x1.c6e2000b03639p-15, 0x1.b7b7a52885b44p-15, 0x1.a8e92654183dap-15, 0x1.9a69f125da869p-15, 0x1.8c544ea7af598p-15, 0x1.7e9068839b4b7p-15, 0x1.7128324595b0cp-15, 0x1.6442dc1479233p-15, 0x1.57ba9be540378p-15, 0x1.4b7ee99e4efa6p-15, 0x1.3f89343d36071p-15, 0x1.33d730934cbbfp-15, 0x1.2869604e5d82p-15, 0x1.1d4103142a5adp-15, 0x1.125eee40708a4p-15, 0x1.07c33c8b7d0d7p-15, 0x1.fadac65f69b65p-16, 0x1.e6b8c3f7a9632p-16, 0x1.d31ddccddcec4p-16, 0x1.c0071f079d6c1p-16, 0x1.ad714d1b6cc06p-16, 0x1.9b58c188c5e65p-16, 0x1.89b953ddb3d2cp-16, 0x1.788f364335ad2p-16, }}, 
      {{-0x1.958cfa4770486p-8, -0x1.2959dae43867p-8, -0x1.4eb359fec9545p-9, -0x1.4bfd3da7b12c8p-11, 0x1.fdb9737516d7ap-11, 0x1.151b781d71b5dp-9, 0x1.640db3ff8a5c7p-9, 0x1.68e3bcf1d351bp-9, 0x1.24be74e4732f6p-9, 0x1.37837e8d0ef02p-10, -0x1.5ff6e16a1c2c8p-12, -0x1.2b4788b548717p-9, -0x1.2d22661b53a24p-8, -0x1.d879fc2a0f418p-8, -0x1.49db68b67aec9p-7, -0x1.ad866579d6f88p-7, -0x1.0aba37938cecp-6, -0x1.3fff06d43f7bap-6, -0x1.75d0788feb855p-6, -0x1.ab80a03cfb857p-6, -0x1.e074cb395d5d2p-6, -0x1.0a1282f953b8ap-5, -0x1.230da63e7b1e2p-5, -0x1.3af941a7323c8p-5, -0x1.51aaa6cd27087p-5, -0x1.66fe68b7395f8p-5, -0x1.7ad7bad44852dp-5, -0x1.8d1fd13a0f44ep-5, -0x1.9dc54554161acp-5, -0x1.acbb81a055185p-5, -0x1.b9fa36ed9df33p-5, -0x1.c57cdd6379902p-5, -0x1.cf4242f9cf6c2p-5, -0x1.d74c27a0d223bp-5, -0x1.dd9ee590247bp-5, -0x1.e24122240eae4p-5, -0x1.e53b835d5e8ep-5, -0x1.e69867865aee8p-5, -0x1.e6639f4c8f12cp-5, -0x1.e4aa2c6dcd75cp-5, -0x1.e17a06a1d4d5ep-5, -0x1.dce1e7672babap-5, -0x1.d6f11c37e89c6p-5, -0x1.cfb75e5a12995p-5, -0x1.c744af99ee2ecp-5, -0x1.bda93b3ab22f6p-5, -0x1.b2f53ab24b558p-5, -0x1.a738dda2c4f1ep-5, -0x1.9a8434fa963cfp-5, -0x1.8ce720f9c4ecp-5, -0x1.7e7141232e7p-5, -0x1.6f31e6a80c101p-5, -0x1.5f3809e1c3c27p-5, -0x1.4e9240c0f96b7p-5, -0x1.3d4eb598c5d3cp-5, -0x1.2b7b2111f3d23p-5, -0x1.1924c725e454cp-5, -0x1.0658736d27fd7p-5, -0x1.e644e87209718p-6, -0x1.bf1d304f7cp-6, -0x1.97505f290a90fp-6, -0x1.6ef41d4eb9eddp-6, -0x1.461d1a05d259p-6, -0x1.1cdf088f15067p-6, -0x1.e6994335895dap-7, -0x1.92ef569bc9b8p-7, -0x1.3ee2073da09a9p-7, -0x1.d5229def0d77fp-8, -0x1.2c36d68403afp-8, -0x1.067382f98b9abp-9, 0x1.2cf7b241c2345p-11, 0x1.9c41bfc4178f4p-9, 0x1.761c96708cd4ep-8, 0x1.0eb2cb3eb3334p-7, 0x1.61e90f4b15fap-7, 0x1.b49d8d5a6553bp-7, 0x1.035f04e7d121ep-6, 0x1.2c1cc6bd57c6fp-6, 0x1.54802bed9b0b6p-6, 0x1.7c81e70d7bab3p-6, 0x1.a41b34481201fp-6, 0x1.cb45d0a5f8664p-6, 0x1.f1fbf287ab5ebp-6, 0x1.0c1c21cf56ce3p-5, 0x1.1efaedfa15cb8p-5, 0x1.31981ebfab5fcp-5, 0x1.43f1a7da619d4p-5, 0x1.5605ad59fb24ep-5, 0x1.67d2810b15607p-5, 0x1.79569fb3e3f93p-5, 0x1.8a90ae507bb6ep-5, 0x1.9b7f776c08dep-5, 0x1.ac21e8ad8a105p-5, 0x1.bc7710ab9bf62p-5, 0x1.cc7e1cff58116p-5, 0x1.dc36588f9431fp-5, 0x1.eb9f2a070b2dep-5, 0x1.fab8126119afbp-5, 0x1.04c055c33e4cp-4, 0x1.0bfc5378c4dfep-4, 0x1.130fe62a5bea8p-4, 0x1.19fafc24d43cbp-4, 0x1.20bd8d831aac9p-4, 0x1.27579b8ffbc9ep-4, 0x1.2dc9302e584fbp-4, 0x1.34125d4bf70d6p-4, 0x1.3a333c5d03d27p-4, 0x1.402bede213043p-4, 0x1.45fc98f850233p-4, 0x1.4ba56af12cae1p-4, 0x1.512696f3e1d2p-4, 0x1.568055a369118p-4, 0x1.5bb2e4cc12aap-4, 0x1.60be8713d00c3p-4, 0x1.65a383afeca44p-4, 0x1.6a62261d78999p-4, 0x1.6efabddbba85dp-4, 0x1.736d9e2c822ffp-4, 0x1.77bb1dd2e34fdp-4, 0x1.7be396d8dc35p-4, 0x1.7fe766553ap-4, 0x1.83c6ec338c454p-4, 0x1.87828b027c95fp-4, 0x1.8b1aa7be925cap-4, 0x1.8e8fa9a4f31cep-4, 0x1.91e1fa06ab0a3p-4, 0x1.9512041a0e7dap-4, 0x1.982034d66d3dap-4, 0x1.9b0cfaca51a81p-4, 0x1.9dd8c5f477a12p-4, 0x1.a08407a584946p-4, 0x1.a30f3258db61ep-4, 0x1.a57ab99433307p-4, 0x1.a7c711cd83317p-4, 0x1.a9f4b04659328p-4, 0x1.ac040af0165f6p-4, 0x1.adf5985596472p-4, 0x1.afc9cf7905c8ep-4, 0x1.b18127bad334fp-4, 0x1.b31c18c7222b8p-4, 0x1.b49b1a76b3256p-4, 0x1.b5fea4b6aa35ap-4, 0x1.b7472f79e1586p-4, 0x1.b875329e02dddp-4, 0x1.b98925d2bc658p-4, 0x1.ba83808de5f97p-4, 0x1.bb64b9f6ed322p-4, 0x1.bc2d48ccf07a1p-4, 0x1.bcdda35b2ac58p-4, 0x1.bd763f6c34389p-4, 0x1.bdf7923169e8cp-4, 0x1.be621033990c2p-4, 0x1.beb62d4d07f8ep-4, 0x1.bef45c979f369p-4, 0x1.bf1d10582fb0dp-4, 0x1.bf30b9f8999edp-4, 0x1.bf2fca0181119p-4, 0x1.bf1ab0067716cp-4, 0x1.bef1da97b3d3p-4, 0x1.beb5b741e54p-4, 0x1.be66b286f7fe5p-4, 0x1.be0537cb1a9cep-4, 0x1.bd91b14b650f8p-4, 0x1.bd0c882128a05p-4, 0x1.bc76243bf1e5fp-4, 0x1.bbceec501296cp-4, 0x1.bb1745cf71647p-4, 0x1.ba4f94ef8805dp-4, 0x1.b9783ca7141dep-4, 0x1.b8919e9ec5ef8p-4, 0x1.b79c1b292b862p-4, 0x1.b6981149eeedp-4, 0x1.b585deb9835e2p-4, 0x1.b465dfd9ce8bep-4, 0x1.b3386fab37f44p-4, 0x1.b1fde7d17bd95p-4, 0x1.b0b6a09d7b6b9p-4, 0x1.af62f109e40c4p-4, 0x1.ae032eaf2df2ep-4, 0x1.ac97adc1c2f22p-4, 0x1.ab20c11d0ecf6p-4, 0x1.a99eba4a852edp-4, 0x1.a811e97ab98f8p-4, 0x1.a67a9d7ce9b24p-4, 0x1.a4d923c36c4bdp-4, 0x1.a32dc870b1762p-4, 0x1.a178d65c90cdfp-4, 0x1.9fba970ddad1ep-4, 0x1.9df352b4aa031p-4, 0x1.9c235030ddd64p-4, 0x1.9a4ad51ec16cbp-4, 0x1.986a25dca1d29p-4, 0x1.968185869ea22p-4, 0x1.949135f3611b5p-4, 0x1.929977baa3ecfp-4, 0x1.909a8a41622p-4, 0x1.8e94abc08e332p-4, 0x1.8c881942b16a4p-4, 0x1.8a750ea061a25p-4, 0x1.885bc684a89f9p-4, 0x1.863c7a78dbe44p-4, 0x1.841762edf9f9ep-4, 0x1.81ecb7415c848p-4, 0x1.7fbcadb7de133p-4, 0x1.7d877b7f3fc68p-4, 0x1.7b4d54b4b79bap-4, 0x1.790e6c6f25916p-4, 0x1.76caf4c609377p-4, 0x1.74831ed467043p-4, 0x1.72371ab90424fp-4, 0x1.6fe7179aa8db2p-4, 0x1.6d9343af4e571p-4, 0x1.6b3bcc43f467cp-4, 0x1.68e0ddc16fe03p-4, 0x1.6682a3aeba92p-4, 0x1.642148b3b4bf4p-4, 0x1.61bcf69ed8607p-4, 0x1.5f55d66c5020dp-4, 0x1.5cec104b971cap-4, 0x1.5a7fcba1b1a2fp-4, 0x1.58112f0a1ffb2p-4, 0x1.55a06059eb7cbp-4, 0x1.532d84a7b8fp-4, 0x1.50b8c05650bc1p-4, 0x1.4e42371cb5da6p-4, 0x1.4bca0c0778d7p-4, 0x1.4950617365a72p-4, 0x1.46d55906a471p-4, 0x1.445913af2abb4p-4, 0x1.41dbb1aad2e7fp-4, 0x1.3f5d52982bc7dp-4, 0x1.3cde1589e941fp-4, 0x1.3a5e1914b42e1p-4, 0x1.37dd7b5013404p-4, 0x1.355c59c919ab3p-4, 0x1.32dad16cb13a4p-4, 0x1.3058fe7578173p-4, 0x1.2dd6fc6a725d3p-4, 0x1.2b54e63569c26p-4, 0x1.28d2d64b79562p-4, 0x1.2650e6d65d92ap-4, 0x1.23cf31c9052d8p-4, 0x1.214dd0d1bde57p-4, 0x1.1eccdd2d858acp-4, 0x1.1c4c6f71d89f7p-4, 0x1.19cc9f6a2a44ap-4, 0x1.174d841eccc55p-4, 0x1.14cf340763d5dp-4, 0x1.1251c55511956p-4, 0x1.0fd54e330d46p-4, 0x1.0d59e4de6247ep-4, 0x1.0adf9f868d37dp-4, 0x1.0866940154196p-4, 0x1.05eed771c577ap-4, 0x1.03787e0b24fd3p-4, 0x1.01039b0fccb2fp-4, 0x1.fd208227b99fcp-5, 0x1.f83d04d99295ep-5, 0x1.f35ce33e978a9p-5, 0x1.ee8043300213cp-5, 0x1.e9a74b1cb8f78p-5, 0x1.e4d2212cfddd8p-5, 0x1.e000ea1c7195ap-5, 0x1.db33c85056084p-5, 0x1.d66adba05a0e9p-5, 0x1.d1a641fd4967cp-5, 0x1.cce618b9dd933p-5, 0x1.c82a7de734f95p-5, 0x1.c3739121d718ap-5, 0x1.bec17365434ep-5, 0x1.ba1445ebb267fp-5, 0x1.b56c2894b9a55p-5, 0x1.b0c9388d40d66p-5, 0x1.ac2b8fdd55a63p-5, 0x1.a793461b2bba8p-5, 0x1.a30071fbba391p-5, 0x1.9e732b0f3fe3dp-5, 0x1.99eb8add53907p-5, 0x1.9569acd8acf8dp-5, 0x1.90edad296cbf4p-5, 0x1.8c77a6d802e48p-5, 0x1.8807b22fdc773p-5, 0x1.839de41a3104bp-5, 0x1.7f3a4ebf7932ep-5, 0x1.7add0326cf11dp-5, 0x1.7686131378526p-5, 0x1.7235924344c2ap-5, 0x1.6deb967ab4406p-5, 0x1.69a8365c268d5p-5, 0x1.656b87990deb5p-5, 0x1.61359d58b9dcep-5, 0x1.5d06879350eb6p-5, 0x1.58de53a84c5f6p-5, 0x1.54bd0de10f34fp-5, 0x1.50a2c322a25b2p-5, 0x1.4c8f8200c0054p-5, 0x1.48835ab6cecd6p-5, 0x1.447e5e1683a2cp-5, 0x1.40809bfb26947p-5, 0x1.3c8a2203c9c88p-5, 0x1.389afb2fe0463p-5, 0x1.34b3307d07618p-5, 0x1.30d2ca294f44ap-5, 0x1.2cf9d0ffd5786p-5, 0x1.29284f0281f12p-5, 0x1.255e4f32d611fp-5, 0x1.219bdca511afcp-5, 0x1.1de1015c0d0e2p-5, 0x1.1a2dc583bf9d5p-5, 0x1.16822f60b25f5p-5, 0x1.12de43edc3579p-5, 0x1.0f4207cbf0c5ap-5, 0x1.0bad8007f0a9cp-5, 0x1.0820b259add5fp-5, 0x1.049ba4cd331d1p-5, 0x1.011e5d107fb58p-5, 0x1.fb51bf91e0c3bp-6, 0x1.f4766088615f2p-6, 0x1.edaaa1428d8e2p-6, 0x1.e6ee849d66d49p-6, 0x1.e0420d28559dbp-6, 0x1.d9a53dc3f1bd5p-6, 0x1.d318198ee5b2bp-6, 0x1.cc9aa347cf0ap-6, 0x1.c62cdc8e28d2ap-6, 0x1.bfcec56d12df4p-6, 0x1.b9805c6222eafp-6, 0x1.b3419ec60aaebp-6, 0x1.ad12894a07f3fp-6, 0x1.a6f3183d335b5p-6, 0x1.a0e3477ad8938p-6, 0x1.9ae3121f2fde7p-6, 0x1.94f272447d5a1p-6, 0x1.8f116100cffa3p-6, 0x1.893fd6ad3742bp-6, 0x1.837dcb48b5ea8p-6, 0x1.7dcb36b011871p-6, 0x1.78281077882eap-6, 0x1.72944f6b9a84cp-6, 0x1.6d0fe8fa261a2p-6, 0x1.679ad0e149b8p-6, 0x1.6234f967f7f79p-6, 0x1.5cde541d5ae7p-6, 0x1.5796d2ccb54cap-6, 0x1.525e68299526ap-6, 0x1.4d3507ce8c74p-6, 0x1.481aa5771186dp-6, 0x1.430f33bfc9212p-6, 0x1.3e12a2ff1350cp-6, 0x1.3924e0ce88a7ep-6, 0x1.3445d89856c58p-6, 0x1.2f7575031683cp-6, 0x1.2ab3a1a4a96ecp-6, 0x1.26004c359dba7p-6, 0x1.215b64adf9626p-6, 0x1.1cc4dc2b6733cp-6, 0x1.183ca3087dfd4p-6, 0x1.13c2a6ed856a2p-6, 0x1.0f56d1b52caf4p-6, 0x1.0af909b627ff5p-6, 0x1.06a9336f85573p-6, 0x1.026733f334f1cp-6, 0x1.fc65e6153f677p-7, 0x1.f418b852a1655p-7, 0x1.ebe6bb8975a9bp-7, 0x1.e3cfce9f646a2p-7, 0x1.dbd3cd36c3b09p-7, 0x1.d3f28b342f797p-7, 0x1.cc2bd2d38e75p-7, 0x1.c47f66436fab4p-7, 0x1.bced045eab2e4p-7, 0x1.b5746eb36bdc9p-7, 0x1.ae156e5a9edcbp-7, 0x1.a6cfd5adaacd7p-7, 0x1.9fa37e586336bp-7, 0x1.989044b713ff5p-7, 0x1.919602336b268p-7, 0x1.8ab4886a56426p-7, 0x1.83eb9eabf649dp-7, 0x1.7d3b02ea41802p-7, 0x1.76a26e242b48bp-7, 0x1.70219acf83b2cp-7, 0x1.69b84a9b2ce69p-7, 0x1.6366491405373p-7, 0x1.5d2b6a59e3af9p-7, 0x1.5707870203b67p-7, 0x1.50fa771d651bep-7, 0x1.4b040de077201p-7, 0x1.45241699bf0c2p-7, 0x1.3f5a538268fc1p-7, 0x1.39a67f4747c0cp-7, 0x1.3408519047c13p-7, 0x1.2e7f853c06666p-7, 0x1.290bdd69d0a6dp-7, 0x1.23ad26b2c9e9fp-7, 0x1.1e63343b61d5bp-7, 0x1.192ddad75ae59p-7, 0x1.140ced2fdcc9ep-7, 0x1.0f003a21a185cp-7, 0x1.0a078c464339ap-7, 0x1.0522a946ad5p-7, 0x1.0051515b2d782p-7, 0x1.f72681a5bd41fp-8, 0x1.edd068fa223a7p-8, 0x1.e49fde27b56b3p-8, 0x1.db94781fb5e15p-8, 0x1.d2addb1b8399dp-8, 0x1.c9ebad0291c9ap-8, 0x1.c14d8af68e38dp-8, 0x1.b8d307afe9265p-8, 0x1.b07bb247ffd78p-8, 0x1.a8471d2af7d7p-8, 0x1.a034dd9b5bf91p-8, 0x1.984484f98acddp-8, 0x1.90759c3c6953p-8, 0x1.88c7a81b5cf1ep-8, 0x1.813a33ef00b1dp-8, 0x1.79ccda908a6b8p-8, 0x1.727f44ed5c2fcp-8, 0x1.6b511d70c69d5p-8, 0x1.6442010f951d4p-8, 0x1.5d517adbc46bdp-8, 0x1.567f0faf7a3e7p-8, 0x1.4fca50be34be9p-8, 0x1.4932e414e95dcp-8, 0x1.42b87b31aa8dp-8, 0x1.3c5ac10785d95p-8, 0x1.36194f90f8b1p-8, 0x1.2ff3b46f82691p-8, 0x1.29e97f664d4d3p-8, 0x1.23fa4f4e5901dp-8, 0x1.1e25d397de07p-8, 0x1.186bbf841e9f8p-8, 0x1.12cbb6f983ce7p-8, 0x1.0d45451fadbd9p-8, 0x1.07d7e8ea85e6p-8, 0x1.028330c8fee68p-8, 0x1.fa8d99d9027d1p-9, 0x1.f0450b7be07efp-9, 0x1.e62c3ea918dfep-9, 0x1.dc42878eed79dp-9, 0x1.d2870638d983p-9, 0x1.c8f8c64ec7c15p-9, 0x1.bf96e5169d09cp-9, 0x1.b660ab6185d84p-9, 0x1.ad558ffcef80bp-9, 0x1.a4751de8b6ea1p-9, 0x1.9bbec9465a66ep-9, 0x1.9331d2da6800dp-9, 0x1.8acd5c9e6b25ep-9, 0x1.8290aa93f3d06p-9, 0x1.7a7b5326222c2p-9, 0x1.728d24fb94fe2p-9, 0x1.6ac5d7aaeb3f1p-9, 0x1.6324d7d27acfbp-9, 0x1.5ba95595cc5c9p-9, 0x1.545270f7f1434p-9, 0x1.4d1f57ae219acp-9, 0x1.460f512fcd30bp-9, 0x1.3f21c7028f818p-9, 0x1.385648f3395a8p-9, 0x1.31ac7f37b0411p-9, 0x1.2b2402e19c375p-9, 0x1.24bc340676b91p-9, 0x1.1e74407a27449p-9, 0x1.184b6abb6a6dap-9, 0x1.124148f4a0e07p-9, 0x1.0c55a3f510097p-9, 0x1.06881379a3f29p-9, 0x1.00d7d46c03c63p-9, 0x1.f6880f9788d9dp-10, 0x1.eb97f821a5134p-10, 0x1.e0de5bd5e5f14p-10, 0x1.d65a3e0805726p-10, 0x1.cc0a8f0d9295ap-10, 0x1.c1ee668e23c36p-10, 0x1.b8055205fd4a7p-10, 0x1.ae4f58329ffb3p-10, 0x1.a4cc826330762p-10, 0x1.9b7c3a6847efdp-10, 0x1.925d332ab0008p-10, 0x1.896e231a1fc15p-10, 0x1.80ae799a2de28p-10, 0x1.781e042d6625ep-10, 0x1.6fbbe4d03840cp-10, 0x1.67865c23b8629p-10, 0x1.5f7bcbb7c8ac6p-10, 0x1.579b7ccf07108p-10, 0x1.4fe5266f161d3p-10, 0x1.4858068ea6895p-10, 0x1.40f2b08f25877p-10, 0x1.39b39c73faa06p-10, 0x1.3299d10c116ccp-10, 0x1.2ba5224ba87bcp-10, 0x1.24d5df5b1e33p-10, 0x1.1e2c1565d3c84p-10, 0x1.17a6def1bde73p-10, 0x1.1144801b62864p-10, 0x1.0b037a019e3b7p-10, 0x1.04e367cbec2d1p-10, 0x1.fdc8da241e986p-11, 0x1.f20bc329acbcp-11, 0x1.e68c707aab79bp-11, 0x1.db48f9a7575dcp-11, 0x1.d0423beaf2098p-11, 0x1.c5798bc8fa31dp-11, 0x1.baee187397f94p-11, 0x1.b09d2f823f31p-11, 0x1.a6843e95d627bp-11, 0x1.9ca2124b1236p-11, 0x1.92f69edfb64b4p-11, 0x1.89824c69cd7ccp-11, 0x1.80456f731665p-11, 0x1.773f8d65ecc1dp-11, 0x1.6e6e73538dfbcp-11, 0x1.65ce8c482ebc6p-11, 0x1.5d5d07e0de629p-11, 0x1.55196d937b03cp-11, 0x1.4d0465373e5e9p-11, 0x1.451cffcb37027p-11, 0x1.3d604d92d831ap-11, 0x1.35cca0a220ee5p-11, 0x1.2e632cd0bfea2p-11, 0x1.2724f4bc63addp-11, 0x1.20105d53dbcbep-11, 0x1.1922b73534ba7p-11, 0x1.125aa265a6106p-11, 0x1.0bb82de02d0cep-11, 0x1.053b89245acb1p-11, 0x1.fdc8d63647429p-12, 0x1.f165017562df1p-12, 0x1.e54bc46fc6115p-12, 0x1.d97d3eb6199fbp-12, 0x1.cdf71af98711cp-12, 0x1.c2b43544baebcp-12, 0x1.b7b002900e29p-12, 0x1.ace9882d0b127p-12, 0x1.a262a0f7ffb3bp-12, 0x1.981bcdaaf565p-12, 0x1.8e10719646b8ep-12, 0x1.843bdf2b8b2c8p-12, 0x1.7a9f20bcf6f1p-12, 0x1.713b268a37e86p-12, 0x1.680c5e666c1fap-12, 0x1.5f0f85ca70bd8p-12, 0x1.5645029dcecfcp-12, 0x1.4dae04b2aaac3p-12, 0x1.4549e5abae267p-12, 0x1.3d16b000ffae2p-12, 0x1.3512718fccc39p-12, 0x1.2d3c11a0c547ep-12, 0x1.2593b464e789dp-12, 0x1.1e1a14299ac75p-12, 0x1.16ce71df7b4a9p-12, 0x1.0fad9d40e6256p-12, 0x1.08b44563c5283p-12, 0x1.01e1a3946d947p-12, 0x1.f670e2720a1a8p-13, 0x1.e979e2c42d635p-13, 0x1.dcdc3d5bdbb36p-13, 0x1.d08c86e5201e7p-13, 0x1.c48a01d6eccd1p-13, 0x1.b8d6d2071c453p-13, 0x1.ad6ca7b94565ap-13, 0x1.a2483e2381dbdp-13, 0x1.976b8c74954dfp-13, 0x1.8cd51559a0a3p-13, 0x1.827fa6cf955f3p-13, 0x1.78663ac853f25p-13, 0x1.6e8528afbe186p-13, 0x1.64d9cf75c4b39p-13, 0x1.5b628c2a4746ap-13, 0x1.521f53408b209p-13, 0x1.4911d2f3b1fcdp-13, 0x1.403b2d5a31144p-13, 0x1.37990cb9a2ec8p-13, 0x1.2f274a4a19cap-13, 0x1.26e3e00c670a4p-13, 0x1.1ed0747d24a72p-13, 0x1.16f29d358d9afp-13, 0x1.0f4df53fc344cp-13, 0x1.07d8e8208a8eep-13, 0x1.008c2f7fb2ba2p-13, 0x1.f2d59b64024f4p-14, 0x1.e4e44b6e672a8p-14, 0x1.d747267a26af4p-14, 0x1.ca080a00159b3p-14, 0x1.bd25ec46fdbe7p-14, 0x1.b09bc10575038p-14, 0x1.a4668ffbc6dc8p-14, 0x1.98843557fafa9p-14, 0x1.8cf1dc5cb96adp-14, 0x1.81abd022ace82p-14, 0x1.76ae09fbdefedp-14, 0x1.6bf547290de6bp-14, 0x1.61806fd739f09p-14, 0x1.57505208526e3p-14, 0x1.4d63c68f4b0fap-14, 0x1.43b5f203bdccep-14, 0x1.3a42c4477b8a6p-14, 0x1.3108aa4d89553p-14, 0x1.28066d2e57eb7p-14, 0x1.1f3f7a47261cap-14, 0x1.16b84bde557f8p-14, 0x1.0e613313aea66p-14, 0x1.06348c38823d6p-14, 0x1.fc67f78d24d6ep-15, 0x1.ecc39dd2e5aa8p-15, 0x1.dd8df5df4cd77p-15, 0x1.cec21264cf80cp-15, 0x1.c056bcdc4cba9p-15, 0x1.b24833fde9e6ep-15, 0x1.a493c9f72952ep-15, 0x1.97364beb0490cp-15, 0x1.8a2cf873466a6p-15, 0x1.7d769eda9baf3p-15, 0x1.7113c05ea5fe2p-15, 0x1.65058bc3337d6p-15, 0x1.594cab310a21p-15, 0x1.4de92e6cf5a8ep-15, 0x1.42da369f51975p-15, 0x1.381b368bfe3fp-15, 0x1.2da4e37d3b917p-15, 0x1.23724f540beb1p-15, 0x1.197f834189e8bp-15, 0x1.0fc6feebc1058p-15, 0x1.0649447f5ba04p-15, 0x1.fa2afff78bc44p-16, 0x1.e843fd8cc73f2p-16, 0x1.d6c0e126a1afap-16, 0x1.c5a8a78a08f8ep-16, 0x1.b517831a2f1bfp-16, 0x1.a50f479910564p-16, 0x1.957df7ad9d084p-16, 0x1.865e6f1eee931p-16, 0x1.77ae11b7f4008p-16, 0x1.69676536b1b5bp-16, 0x1.5b82a6077dbcdp-16, 0x1.4df7d66e4168bp-16, 0x1.40c11f054f4c4p-16, 0x1.33dc72297f1b6p-16, 0x1.274b3c062f5dcp-16, 0x1.1b0feb711127ep-16, 0x1.0f2af7e79b768p-16, 0x1.039a2ac167095p-16, 0x1.f0b58aa180ec1p-17, 0x1.dad5a32dfa9fp-17, 0x1.c5941543ff917p-17, 0x1.b0f6ddf1b1364p-17, 0x1.9d030864d58f2p-17, 0x1.89b30fe389b21p-17, 0x1.76f4b7685da78p-17, 0x1.64c258642487dp-17, 0x1.5335c898f345ep-17, 0x1.421511f236ae4p-17, 0x1.314e1a7852efap-17, 0x1.210eff3780511p-17, 0x1.114f5bcfadaabp-17, 0x1.01fc455dc17a4p-17, 0x1.e62e14f36d48bp-18, 0x1.c9423eea7c246p-18, 0x1.ad3302a6d7d3bp-18, 0x1.91fc579f71c87p-18, 0x1.7799d03037245p-18, 0x1.5e0742514320ap-18, 0x1.45412e392ca55p-18, 0x1.2d451f3c1236p-18, 0x1.1611fa982e124p-18, 0x1.ff4fecfe2e64dp-19, 0x1.d40f9143117fp-19, 0x1.aa61dd0c705ffp-19, 0x1.823fdf172cd4p-19, 0x1.5b98275f410f8p-19, 0x1.364580bb80153p-19, 0x1.12146cd11b732p-19, 0x1.ddc3f4c845309p-20, 0x1.99645e47ce072p-20, 0x1.573b95df74231p-20, 0x1.1748c7d010339p-20, 0x1.b29ce725d9177p-21, 0x1.3b75d8b7e3bffp-21, 0x1.9084e3b42fb52p-22, 0x1.653f079da24d5p-23, -0x1.01709cd9082c7p-25, -0x1.d52a08a710ccap-23, -0x1.adc8814e5c4b9p-22, -0x1.352415c774e09p-21, -0x1.90247285886dp-21, -0x1.e7e83b43a9358p-21, -0x1.1e36557b5a78ap-20, -0x1.46d97d9bd8468p-20, -0x1.6de15f884d6e6p-20, -0x1.93547a0c9cd4dp-20, -0x1.b73b250ff5165p-20, -0x1.d99ed366fd11fp-20, -0x1.fa899815e82d6p-20, -0x1.0d02fd3a4979ap-19, -0x1.1c0f90fe9d148p-19, -0x1.2a70818d43637p-19, -0x1.382b688f3d3f2p-19, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.7fd993d45f02cp-13, 0x1.80854698f7df9p-12, 0x1.211b5085495fcp-11, 0x1.82863c9842907p-11, 0x1.e44f2ac13b91dp-11, 0x1.2301925114753p-10, 0x1.5377c5d1f0abdp-10, 0x1.831231a9fd70ap-10, 0x1.b13c8b7fee09cp-10, 0x1.dd496cf35f2fbp-10, 0x1.033af3ca92b3bp-9, 0x1.15f69520a38adp-9, 0x1.266600b0ab5fcp-9, 0x1.34120a7d4605bp-9, 0x1.3e7f6d3dbfbcfp-9, 0x1.45301e217a0f8p-9, 0x1.47a47f6dc6e8ep-9, 0x1.455c76c2c2491p-9, 0x1.3dd86b4ecc82p-9, 0x1.309a2f0d19067p-9, 0x1.1d25d4e3aa4f1p-9, 0x1.03027455206fap-9, 0x1.c375b562dce6ap-10, 0x1.71bc528441c4p-10, 0x1.1000bfa8a21dcp-10, 0x1.3aeb4ca8c7b8ep-11, 0x1.9591e60ddbcc2p-14, -0x1.f42ad61c884d3p-12, -0x1.265f31ef0148fp-10, -0x1.e340e0ef27d18p-10, -0x1.5a1fa4f7009f7p-9, -0x1.ccee6fb4f2571p-9, -0x1.2523c1c5351bdp-8, -0x1.692f8e1a9447ap-8, -0x1.b2b18b7b2276bp-8, -0x1.00dec4aba9e6fp-7, -0x1.2b322571bc97ap-7, -0x1.5859ce16702bfp-7, -0x1.885b3452a436bp-7, -0x1.bb3a6949a064ap-7, -0x1.f0fa25787f802p-7, -0x1.14cdea56e5cacp-6, -0x1.328fd0f32a82ap-6, -0x1.51c2417b2a9cbp-6, -0x1.726421f7dd3f6p-6, -0x1.9473c91e99dbcp-6, -0x1.b7ef03b85e378p-6, -0x1.dcd319e443467p-6, -0x1.018e6a1c42966p-5, -0x1.156440634d6adp-5, -0x1.29e8fc03ceeeep-5, -0x1.3f1a50db2cafbp-5, -0x1.54f5bcce37699p-5, -0x1.6b788a2bb9079p-5, -0x1.829fd20d2c936p-5, -0x1.9a687eb76d58dp-5, -0x1.b2cf4dfcbd16p-5, -0x1.cbd0d3a116736p-5, -0x1.e5697bc13fe09p-5, -0x1.ff958d3cbf8d5p-5, -0x1.0d289611250e8p-4, -0x1.1acc2e0f05d13p-4, -0x1.28b3817457d4cp-4, -0x1.36dc755afa924p-4, -0x1.4544e2509bc19p-4, -0x1.53ea958b23305p-4, -0x1.62cb521a5d54cp-4, -0x1.71e4d215f3f11p-4, -0x1.8134c7c6bed84p-4, -0x1.90b8deca795a6p-4, -0x1.a06ebd30efe77p-4, -0x1.b0540491c2181p-4, -0x1.c0665319de421p-4, -0x1.d0a3448ff9223p-4, -0x1.e108734f47d4cp-4, -0x1.f1937937d8811p-4, -0x1.0120f84a0de28p-3, -0x1.0988ba797a1dbp-3, -0x1.11ffd1fb1e241p-3, -0x1.1a850f0a98f3dp-3, -0x1.231743a968a7ep-3, -0x1.2bb543f3f2286p-3, -0x1.345de6706cea1p-3, -0x1.3d100457ae554p-3, -0x1.45ca79d7f1dbbp-3, -0x1.4e8c2651ad937p-3, -0x1.5753ec8e9e6eep-3, -0x1.6020b2f32bbe1p-3, -0x1.68f163aa533a5p-3, -0x1.71c4eccc588bbp-3, -0x1.7a9a408067c79p-3, -0x1.837055196b1f9p-3, -0x1.8c46252e5afe8p-3, -0x1.951aafae3ab8dp-3, -0x1.9decf7f019c4ap-3, -0x1.a6bc05bf5003dp-3, -0x1.af86e56442874p-3, -0x1.b84ca7a9f2c3fp-3, -0x1.c10c61e0a2fe9p-3, -0x1.c9c52dddcf422p-3, -0x1.d27629f9c05e9p-3, -0x1.db1e790afa07ap-3, -0x1.e3bd425fc52a7p-3, -0x1.ec51b1b6140ccp-3, -0x1.f4daf731efb57p-3, -0x1.fd584752bdc8ep-3, -0x1.02e46d73bd7efp-2, -0x1.0715f78115317p-2, -0x1.0b4062755164bp-2, -0x1.0f63510876ae9p-2, -0x1.137e67ffa7e4fp-2, -0x1.17914e261bcbep-2, -0x1.1b9bac460c9b7p-2, -0x1.1f9d2d21b83c5p-2, -0x1.23957d6c78441p-2, -0x1.27844bc402673p-2, -0x1.2b6948a9dbf0dp-2, -0x1.2f44267d06d64p-2, -0x1.33149973f52ap-2, -0x1.36da5796c3cdfp-2, -0x1.3a9518b9c9262p-2, -0x1.3e4496787529p-2, -0x1.41e88c308ab71p-2, -0x1.4580b6fdb46d8p-2, -0x1.490cd5b571df5p-2, -0x1.4c8ca8e363cdfp-2, -0x1.4ffff2c5f2fb3p-2, -0x1.5366774b50b3dp-2, -0x1.56bffc0ecedf9p-2, -0x1.5a0c485692aa3p-2, -0x1.5d4b25119505bp-2, -0x1.607c5cd5f4f9ap-2, -0x1.639fbbdf95986p-2, -0x1.66b5100f02525p-2, -0x1.69bc28e89693ep-2, -0x1.6cb4d793e1335p-2, -0x1.6f9eeedb433e5p-2, -0x1.727a432bbcf59p-2, -0x1.7546aa94ee3d7p-2, -0x1.7803fcc9380abp-2, -0x1.7ab2131e05d53p-2, -0x1.7d50c88c2fab5p-2, -0x1.7fdff9b075571p-2, -0x1.825f84cc0958cp-2, -0x1.84cf49c52831fp-2, -0x1.872f2a27b4f71p-2, -0x1.897f0925d8f64p-2, -0x1.8bbecb989cc41p-2, -0x1.8dee5800787d6p-2, -0x1.900d9685d828cp-2, -0x1.921c70f98a1aap-2, -0x1.941ad2d5191e5p-2, -0x1.9608a93b09274p-2, -0x1.97e5e2f6f4c8cp-2, -0x1.99b2707d8b02dp-2, -0x1.9b6e43ec61f58p-2, -0x1.9d195109a18e8p-2, -0x1.9eb38d43838d6p-2, -0x1.a03cefaf9f31ap-2, -0x1.a1b5710a087d6p-2, -0x1.a31d0bb435da6p-2, -0x1.a473bbb3b24a6p-2, -0x1.a5b97eb0982cep-2, -0x1.a6ee53f3ce01cp-2, -0x1.a8123c650c329p-2, -0x1.a9253a88a6295p-2, -0x1.aa27527d13a34p-2, -0x1.ab1889f83f132p-2, -0x1.abf8e84494af6p-2, -0x1.acc8763dd3ed8p-2, -0x1.ad873e4d9f757p-2, -0x1.ae354c67d458cp-2, -0x1.aed2ae069e70ap-2, -0x1.af5f722650eacp-2, -0x1.afdba94103071p-2, -0x1.b0476549ed7f8p-2, -0x1.b0a2b9a893299p-2, -0x1.b0edbb33a80ffp-2, -0x1.b128802bc5875p-2, -0x1.b1532035e435bp-2, -0x1.b16db455a152fp-2, -0x1.b17856e74f21fp-2, -0x1.b1732399d1146p-2, -0x1.b15e37684b827p-2, -0x1.b139b093a05ddp-2, -0x1.b105ae9bbe98dp-2, -0x1.b0c25238cad89p-2, -0x1.b06fbd5418a85p-2, -0x1.b00e1301015e1p-2, -0x1.af9d777594bc4p-2, -0x1.af1e100324a1dp-2, -0x1.ae90030eb656ep-2, -0x1.adf378094cb4cp-2, -0x1.ad4897681e12ep-2, -0x1.ac8f8a9caa191p-2, -0x1.abc87c0cbe69ep-2, -0x1.aaf3970a5f284p-2, -0x1.aa1107cba2bb4p-2, -0x1.a920fb627643p-2, -0x1.a8239fb459b2p-2, -0x1.a71923720c825p-2, -0x1.a601b60f2e8a8p-2, -0x1.a4dd87b9dcdcfp-2, -0x1.a3acc952456b9p-2, -0x1.a26fac623878p-2, -0x1.a1266314b6efap-2, -0x1.9fd1202d859e7p-2, -0x1.9e701700ba397p-2, -0x1.9d037b6a560b6p-2, -0x1.9b8b81c5e1827p-2, -0x1.9a085ee6108a4p-2, -0x1.987a480c71739p-2, -0x1.96e172e127bcp-2, -0x1.953e156ab3269p-2, -0x1.93906605c78ap-2, -0x1.91d89b5d35565p-2, -0x1.9016ec61e02cbp-2, -0x1.8e4b9042d04b5p-2, -0x1.8c76be65527dp-2, -0x1.8a98ae5d32dcdp-2, -0x1.88b197e50e076p-2, -0x1.86c1b2d6ba7cep-2, -0x1.84c93723cd481p-2, -0x1.82c85cce3ac9fp-2, -0x1.80bf5be1133bep-2, -0x1.7eae6c695d18fp-2, -0x1.7c95c66f0cff3p-2, -0x1.7a75a1ee1fdebp-2, -0x1.784e36cfd1bf4p-2, -0x1.761fbce3f9e81p-2, -0x1.73ea6bda839dap-2, -0x1.71ae7b3d0fc6bp-2, -0x1.6f6c2268b4ea1p-2, -0x1.6d239887e41d9p-2, -0x1.6ad5148c74387p-2, -0x1.6880cd29cfc4dp-2, -0x1.6626f8cf4933ep-2, -0x1.63c7cda294e52p-2, -0x1.6163817a673dfp-2, -0x1.5efa49d93c188p-2, -0x1.5c8c5be843249p-2, -0x1.5a19ec7271398p-2, -0x1.57a32fdfbcc21p-2, -0x1.55285a307b25p-2, -0x1.52a99ef8ec5adp-2, -0x1.5027315ce7f0fp-2, -0x1.4da1440bb2f3ap-2, -0x1.4b18093bfc8bcp-2, -0x1.488bb2a803f3bp-2, -0x1.45fc7189def8fp-2, -0x1.436a7697ef8b6p-2, -0x1.40d5f20178171p-2, -0x1.3e3f136b5b67dp-2, -0x1.3ba609ecfd896p-2, -0x1.390b040d50a2p-2, -0x1.366e2fc001785p-2, -0x1.33cfba62caacap-2, -0x1.312fd0baee357p-2, -0x1.2e8e9ef2d20b8p-2, -0x1.2bec5097bf947p-2, -0x1.29491097c7fe9p-2, -0x1.26a5093fcaeb5p-2, -0x1.24006439a0484p-2, -0x1.215b4a8a63954p-2, -0x1.1eb5e490dfb6ap-2, -0x1.1c105a041df58p-2, -0x1.196ad1f213caep-2, -0x1.16c572be71a58p-2, -0x1.142062218eb7bp-2, -0x1.117bc52778d52p-2, -0x1.0ed7c02f1abfp-2, -0x1.0c3476e988b2dp-2, -0x1.09920c5961a5fp-2, -0x1.06f0a2d2533edp-2, -0x1.04505bf8b6e09p-2, -0x1.01b158c149195p-2, -0x1.fe2772e1fc3p-3, -0x1.f8ef3b39dca4cp-3, -0x1.f3ba4854b5d58p-3, -0x1.ee88d69d9f1b6p-3, -0x1.e95b2120ae714p-3, -0x1.e431618b9505bp-3, -0x1.df0bd02e698abp-3, -0x1.d9eaa3fc9e7fep-3, -0x1.d4ce128e22b58p-3, -0x1.cfb65020aa45ep-3, -0x1.caa38f9921c74p-3, -0x1.c59602854831ap-3, -0x1.c08dd91d6cd52p-3, -0x1.bb8b42465160ap-3, -0x1.b68e6b933702p-3, -0x1.b1978147fd1e9p-3, -0x1.aca6ae5b722dfp-3, -0x1.a7bc1c79ba931p-3, -0x1.a2d7f406d71f9p-3, -0x1.9dfa5c2145fa5p-3, -0x1.99237aa4c958fp-3, -0x1.9453742d3c4cp-3, -0x1.8f8a6c198735ep-3, -0x1.8ac8848eaf863p-3, -0x1.860dde7af82b6p-3, -0x1.815a99991c682p-3, -0x1.7caed4739c4p-3, -0x1.780aac682428cp-3, -0x1.736e3daafae43p-3, -0x1.6ed9a34a90c64p-3, -0x1.6a4cf7330fddp-3, -0x1.65c85232083ep-3, -0x1.614bcbfa26006p-3, -0x1.5cd77b26f0e49p-3, -0x1.586b7540a3bb3p-3, -0x1.5407cec00129p-3, -0x1.4fac9b1243af2p-3, -0x1.4b59ec9d06a99p-3, -0x1.470fd4c2454cp-3, -0x1.42ce63e45d228p-3, -0x1.3e95a96a195e4p-3, -0x1.3a65b3c2bf041p-3, -0x1.363e906a264b8p-3, -0x1.32204becd8651p-3, -0x1.2e0af1ec29baap-3, -0x1.29fe8d2263249p-3, -0x1.25fb2766dfaf7p-3, -0x1.2200c9b23e9ccp-3, -0x1.1e0f7c2284ad2p-3, -0x1.1a2745ff4717ep-3, -0x1.16482dbdda06ap-3, -0x1.127239057564fp-3, -0x1.0ea56cb35d33bp-3, -0x1.0ae1ccdf09dccp-3, -0x1.07275cde4d029p-3, -0x1.03761f496f454p-3, -0x1.ff9c2bfe9dd34p-4, -0x1.f85e8452f4342p-4, -0x1.f133488087c0bp-4, -0x1.ea1a781dab356p-4, -0x1.e314116e6d88p-4, -0x1.dc20116ca9779p-4, -0x1.d53e73cffc7bdp-4, -0x1.ce6f3315bf76cp-4, -0x1.c7b24888e17dfp-4, -0x1.c107ac49bd5cdp-4, -0x1.ba6f5555dbbd5p-4, -0x1.b3e9398faac2p-4, -0x1.ad754dc615f5bp-4, -0x1.a71385bc2382ap-4, -0x1.a0c3d43067303p-4, -0x1.9a862ae47724p-4, -0x1.945a7aa43d45bp-4, -0x1.8e40b34d3ef6ep-4, -0x1.8838c3d5cef95p-4, -0x1.82429a54243fp-4, -0x1.7c5e240565fd9p-4, -0x1.768b4d54989fcp-4, -0x1.70ca01e17b3a7p-4, -0x1.6b1a2c874af93p-4, -0x1.657bb7637303bp-4, -0x1.5fee8bdc230d5p-4, -0x1.5a7292a6cfbb5p-4, -0x1.5507b3ce9d93ap-4, -0x1.4fadd6bab0d47p-4, -0x1.4a64e234674eap-4, -0x1.452cbc6d7b8dfp-4, -0x1.40054b060e526p-4, -0x1.3aee731296e13p-4, -0x1.35e81921bd58ap-4, -0x1.30f221421c083p-4, -0x1.2c0c6f07e638cp-4, -0x1.2736e5927843p-4, -0x1.22716791ce7dap-4, -0x1.1dbbd74be3b79p-4, -0x1.191616a1f5a8fp-4, -0x1.14800715b2df3p-4, -0x1.0ff989ce4ea07p-4, -0x1.0b827f9d7c001p-4, -0x1.071ac904507f8p-4, -0x1.02c246380d877p-4, -0x1.fcf1ae4da9e1ep-5, -0x1.f47cb6f87cd7p-5, -0x1.ec25654bb7fffp-5, -0x1.e3eb77af40a19p-5, -0x1.dbceac205ec8p-5, -0x1.d3cec03a34486p-5, -0x1.cbeb713df8a5cp-5, -0x1.c4247c1b0b725p-5, -0x1.bc799d76db0ecp-5, -0x1.b4ea91b4980c4p-5, -0x1.ad7714fcbb841p-5, -0x1.a61ee3445fb2dp-5, -0x1.9ee1b8546b899p-5, -0x1.97bf4fd08db21p-5, -0x1.90b7653e10ddep-5, -0x1.89c9b40a7c5e1p-5, -0x1.82f5f7921298ep-5, -0x1.7c3beb2618f72p-5, -0x1.759b4a12ffcc7p-5, -0x1.6f13cfa653029p-5, -0x1.68a537348dea6p-5, -0x1.624f3c1ebd172p-5, -0x1.5c1199d7f81d3p-5, -0x1.55ec0beab9e41p-5, -0x1.4fde4dfe048b9p-5, -0x1.49e81bda692b5p-5, -0x1.4409316ee60dcp-5, -0x1.3e414ad5972ep-5, -0x1.389024584926fp-5, -0x1.32f57a74e623ap-5, -0x1.2d7109e1b56b5p-5, -0x1.28028f9187ee7p-5, -0x1.22a9c8b7ad3bbp-5, -0x1.1d6672cbd3592p-5, -0x1.18384b8dbf34dp-5, -0x1.131f1108e132ap-5, -0x1.0e1a8197ca0f3p-5, -0x1.092a5be782e8ep-5, -0x1.044e5efac0b1fp-5, -0x1.ff0c9459e8e4ep-6, -0x1.f5a3ba6a90623p-6, -0x1.ec61b052dda4fp-6, -0x1.e345f700bfd46p-6, -0x1.da501029e8777p-6, -0x1.d17f7e50be18p-6, -0x1.c8d3c4c93157dp-6, -0x1.c04c67bd395b9p-6, -0x1.b7e8ec3134c46p-6, -0x1.afa8d8080937bp-6, -0x1.a78bb2070ed48p-6, -0x1.9f9101d9c7963p-6, -0x1.97b8501568f9bp-6, -0x1.9001263c32445p-6, -0x1.886b0ec0950d5p-6, -0x1.80f595082a68cp-6, -0x1.79a0456e84e3p-6, -0x1.726aad47c8c91p-6, -0x1.6b545ae314966p-6, -0x1.645cdd8cdc047p-6, -0x1.5d83c590f0c52p-6, -0x1.56c8a43c886cfp-6, -0x1.502b0bdfff82fp-6, -0x1.49aa8fd084a4ap-6, -0x1.4346c469931afp-6, -0x1.3cff3f0e5d40ap-6, -0x1.36d3962af847ap-6, -0x1.30c36135744a4p-6, -0x1.2ace38aecfc51p-6, -0x1.24f3b623ce36ep-6, -0x1.1f33742da6a44p-6, -0x1.198d0e7295f5ap-6, -0x1.140021a65ad09p-6, -0x1.0e8c4b8a86848p-6, -0x1.09312aeec2b4ap-6, -0x1.03ee5fb0dd4ecp-6, -0x1.fd871579c257fp-7, -0x1.f3609c19eb64bp-7, -0x1.e9689952622ecp-7, -0x1.df9e554ea6d3ep-7, -0x1.d6011a54c6b3fp-7, -0x1.cc9034c475a1cp-7, -0x1.c34af316081d6p-7, -0x1.ba30a5d90b0abp-7, -0x1.b1409fb2f78dp-7, -0x1.a87a355d8a008p-7, -0x1.9fdcbda511e99p-7, -0x1.9767916685603p-7, -0x1.8f1a0b8d89389p-7, -0x1.86f3891246821p-7, -0x1.7ef368f71e3e8p-7, -0x1.77190c464965ep-7, -0x1.6f63d60f4be0ep-7, -0x1.67d32b64569f6p-7, -0x1.6066735780dfap-7, -0x1.591d16f7e81f2p-7, -0x1.51f6814ebf28ep-7, -0x1.4af21f5c4da7fp-7, -0x1.440f6014a58f2p-7, -0x1.3d4db45ca317fp-7, -0x1.36ac8f0653a1ep-7, -0x1.302b64cdcb78fp-7, -0x1.29c9ac55899c2p-7, -0x1.2386de22ee84ap-7, -0x1.1d62749aa8ee6p-7, -0x1.175bebfcff296p-7, -0x1.1172c2621aabep-7, -0x1.0ba677b61fd9ap-7, -0x1.05f68db576112p-7, -0x1.006287e8c1c0bp-7, -0x1.f5d3d7422324ep-8, -0x1.eb187fe78519fp-8, -0x1.e0921b6cfb5a7p-8, -0x1.d63fbef6338e1p-8, -0x1.cc2083172593p-8, -0x1.c23383cbb01f5p-8, -0x1.b877e06f32905p-8, -0x1.aeecbbb440103p-8, -0x1.a5913b9c25b1ep-8, -0x1.9c64896e3b5a5p-8, -0x1.9365d1af8d0b4p-8, -0x1.8a94441a58461p-8, -0x1.81ef13953c95dp-8, -0x1.7975762aa8561p-8, -0x1.7126a50032e65p-8, -0x1.6901dc4e0bb0dp-8, -0x1.61065b561e9aep-8, -0x1.5933645b8ede6p-8, -0x1.51883c99f0064p-8, -0x1.4a042c3c9a381p-8, -0x1.42a67e55fb1d2p-8, -0x1.3b6e80d6d1678p-8, -0x1.345b8485aa7cp-8, -0x1.2d6cdcf611dc9p-8, -0x1.26a1e08007813p-8, -0x1.1ff9e8374a476p-8, -0x1.19744fe2caa28p-8, -0x1.131075f411313p-8, -0x1.0ccdbb7eb907p-8, -0x1.06ab842fd130dp-8, -0x1.00a9364594132p-8, -0x1.f58c750d8d5bdp-9, -0x1.ea03f874d6f3bp-9, -0x1.deb7d23e74e3p-9, -0x1.d3a6e2c6d7b6bp-9, -0x1.c8d00f38f4b41p-9, -0x1.be32417d7faa2p-9, -0x1.b3cc682acda58p-9, -0x1.a99d76746603ap-9, -0x1.9fa4641adf859p-9, -0x1.95e02d5ba13ccp-9, -0x1.8c4fd2e14b3acp-9, -0x1.82f259b3684abp-9, -0x1.79c6cb272f02ep-9, -0x1.70cc34cf66291p-9, -0x1.6801a86d2e359p-9, -0x1.5f663be08f2a1p-9, -0x1.56f9091911aaep-9, -0x1.4eb92e06df34p-9, -0x1.46a5cc8b9d9fap-9, -0x1.3ebe0a6b9bbdfp-9, -0x1.3701113f05cd9p-9, -0x1.2f6e0e6350906p-9, -0x1.280432ecb5d2cp-9, -0x1.20c2b397f8726p-9, -0x1.19a8c8bc22c31p-9, -0x1.12b5ae3c8a329p-9, -0x1.0be8a37ab5159p-9, -0x1.0540eb48e3265p-9, -0x1.fd7b97b842f74p-10, -0x1.f0bd1d7de75b9p-10, -0x1.e4450187b78a9p-10, -0x1.d811e3f0949dp-10, -0x1.cc226b2f323f6p-10, -0x1.c07543fbf018p-10, -0x1.b50921378d9a3p-10, -0x1.a9dcbbd1a10c5p-10, -0x1.9eeed2affe5fbp-10, -0x1.943e2a95bc139p-10, -0x1.89c98e0b4e32p-10, -0x1.7f8fcd45cec0ep-10, -0x1.758fbe0ff0ea7p-10, -0x1.6bc83bb1f6d23p-10, -0x1.623826da8897bp-10, -0x1.58de6587f76fap-10, -0x1.4fb9e2f16496cp-10, -0x1.46c98f70c733p-10, -0x1.3e0c606cd84e9p-10, -0x1.35815042f2718p-10, -0x1.2d275e31faf08p-10, -0x1.24fd8e44ad9c4p-10, -0x1.1d02e93d73a15p-10, -0x1.15367c80ec03ep-10, -0x1.0d975a027e85cp-10, -0x1.0624982f99bddp-10, -0x1.fdbaa3b892115p-11, -0x1.ef814c5f23e7bp-11, -0x1.e19b7120524a2p-11, -0x1.d4076122ce692p-11, -0x1.c6c373c1c6865p-11, -0x1.b9ce0867c46e9p-11, -0x1.ad25866aa3da6p-11, -0x1.a0c85ce73b1e4p-11, -0x1.94b5029e7c5b5p-11, -0x1.88e9f5d2faabp-11, -0x1.7d65bc25ed22bp-11, -0x1.7226e275f2a0ep-11, -0x1.672bfcbe05902p-11, -0x1.5c73a5f52e2b4p-11, -0x1.51fc7fed85c9fp-11, -0x1.47c53334f1f48p-11, -0x1.3dcc6ef637101p-11, -0x1.3410e8d90ccfcp-11, -0x1.2a915ce589e28p-11, -0x1.214c8d652cb66p-11, -0x1.184142c6754f4p-11, -0x1.0f6e4b7f3d8f7p-11, -0x1.06d27bf16de18p-11, -0x1.fcd95c9c48e36p-12, -0x1.ec7784f53c2b5p-12, -0x1.dc7d3bea98efdp-12, -0x1.cce857761310fp-12, -0x1.bdb6b85a7170ep-12, -0x1.aee649f0cb44p-12, -0x1.a07501f5250d3p-12, -0x1.9260e054e186ap-12, -0x1.84a7eefeb733dp-12, -0x1.774841b0cedffp-12, -0x1.6a3ff5cb0ac2dp-12, -0x1.5d8d32214430dp-12, -0x1.512e26cb5ad88p-12, -0x1.45210cfb7784fp-12, -0x1.396426cf890ccp-12, -0x1.2df5bf2791e35p-12, -0x1.22d4297a24e4ep-12, -0x1.17fdc1aa6b4c8p-12, -0x1.0d70ebe069c62p-12, -0x1.032c145f4ca64p-12, -0x1.f25b5ebdb9f3fp-13, -0x1.dee871c73a222p-13, -0x1.cbfc693332771p-13, -0x1.b9945b5ce4be2p-13, -0x1.a7ad6d576eb89p-13, -0x1.9644d2a74897p-13, -0x1.8557ccfa9ce94p-13, -0x1.74e3abe253ccfp-13, -0x1.64e5cc8fbda78p-13, -0x1.555b99902fdb8p-13, -0x1.46428a8b9c65dp-13, -0x1.37982402a2609p-13, -0x1.2959f70fa609ep-13, -0x1.1b85a1274a448p-13, -0x1.0e18cbdc18589p-13, -0x1.01112ca227b42p-13, -0x1.e8d90927ddd14p-14, -0x1.d0514070e4463p-14, -0x1.b886ae9554624p-14, -0x1.a17519022620dp-14, -0x1.8b185aad307c8p-14, -0x1.756c63adb6497p-14, -0x1.606d38cbf4477p-14, -0x1.4c16f31f743fap-14, -0x1.3865bfa7799f9p-14, -0x1.2555deea7fce8p-14, -0x1.12e3a48ff521ep-14, -0x1.010b77057eeafp-14, -0x1.df939e36f79d8p-15, -0x1.be366f5a1f276p-15, -0x1.9df89a85f9803p-15, -0x1.7ed37b7af78c7p-15, -0x1.60c08ff829d66p-15, -0x1.43b9770ed6097p-15, -0x1.27b7f081a6a44p-15, -0x1.0cb5dc1d3280ep-15, -0x1.e55a722f123dep-16, -0x1.b3304ae1adbe8p-16, -0x1.82e1bab4e0652p-16, -0x1.5463753f3cd83p-16, -0x1.27aa682278dddp-16, -0x1.f95773da9219fp-17, -0x1.a6b991ee9545ep-17, -0x1.57665495b865dp-17, -0x1.0b49513822d0cp-17, -0x1.849d0cab0c20fp-18, -0x1.f1896647032c3p-19, -0x1.cb8cad539eecap-20, 0x1.a5a5e513209cep-23, 0x1.0f227c9bf8b0bp-19, 0x1.f8da4b20d840cp-19, 0x1.6be44d6d3a198p-18, 0x1.d619676081257p-18, 0x1.1d973896cae26p-17, 0x1.4da25c2a61e32p-17, 0x1.7b3e6ef559f45p-17, 0x1.a67b6ccd0a34bp-17, 0x1.cf68fe7dfa16bp-17, 0x1.f6167b7bf2374p-17, 0x1.0d4975ae425bap-16, 0x1.1e7683bc7868ep-16, 0x1.2e999e34c83f7p-16, 0x1.3db9d5be8d192p-16, 0x1.4bde16226e2a2p-16, 0x1.590d26f4e2666p-16, 0x1.654dac5b3afb9p-16, 0x1.70a627a14e809p-16, 0x1.7b1cf7fb64511p-16, 0x1.84b85b28136f6p-16, 0x1.8d7e6e10a37e3p-16, 0x1.95752d74f3c4p-16, 0x1.9ca2767aafe94p-16, 0x1.a30c075a8a6p-16, 0x1.a8b77fec0aad2p-16, 0x1.adaa62462807cp-16, 0x1.b1ea1348908ebp-16, 0x1.b57bdb2e0c467p-16, 0x1.b864e6160470ep-16, 0x1.baaa44940f7b2p-16, 0x1.bc50ec310ff9p-16, 0x1.bd5db7f30dccdp-16, 0x1.bdd568dde4b98p-16, 0x1.bdbca676ee0b8p-16, 0x1.bd17ff36b66c9p-16, 0x1.bbebe90a3787ep-16, 0x1.ba3cc1ce3b34dp-16, }}, 
      {{-0x1.8df0e099b83c7p-5, -0x1.8e841dce2d68ap-5, -0x1.8f77a038230e2p-5, -0x1.90c97b52898bcp-5, -0x1.9277f21c10377p-5, -0x1.9481ba9e802aep-5, -0x1.96e61f3f1d7efp-5, -0x1.99a50a28983b5p-5, -0x1.9cbf0365b34dp-5, -0x1.a035271c10cdep-5, -0x1.a4091724c95e9p-5, -0x1.a83ce9e84d9ccp-5, -0x1.acd317a5902cdp-5, -0x1.b1ce66ed9819fp-5, -0x1.b731d8efe794ep-5, -0x1.bd00961d18ccbp-5, -0x1.c33ddb9451fc9p-5, -0x1.c9ece9be23445p-5, -0x1.d110f462d3c1cp-5, -0x1.d8ad1473450eep-5, -0x1.e0c43ba49d523p-5, -0x1.e95929e92dc38p-5, -0x1.f26e64be5df85p-5, -0x1.fc06303840632p-5, -0x1.031144d435907p-4, -0x1.086291db40baep-4, -0x1.0df7b1de9587p-4, -0x1.13d1301eb6984p-4, -0x1.19ef701df9fbep-4, -0x1.2052adaf762ebp-4, -0x1.26fafd53b057fp-4, -0x1.2de84cd2f1855p-4, -0x1.351a640798b41p-4, -0x1.3c90e5cd3cfbep-4, -0x1.444b510ba97dp-4, -0x1.4c4901d6c7019p-4, -0x1.5489329e331a2p-4, -0x1.5d0afd68c23d5p-4, -0x1.65cd5d194365ap-4, -0x1.6ecf2ebac0b43p-4, -0x1.780f32d310f96p-4, -0x1.818c0ebb0e709p-4, -0x1.8b444dfbf0ac4p-4, -0x1.953663b179d5cp-4, -0x1.9f60abf0a0844p-4, -0x1.a9c16d3250d76p-4, -0x1.b456d9c1d2a91p-4, -0x1.bf1f112e164fap-4, -0x1.ca1821bd4861bp-4, -0x1.d54009e196869p-4, -0x1.e094b9ae3aa45p-4, -0x1.ec14144b7c6aap-4, -0x1.f7bbf1688dfc3p-4, -0x1.01c50f54ef4ccp-3, -0x1.07be308940d8cp-3, -0x1.0dc83b33c085p-3, -0x1.13e20b45c553cp-3, -0x1.1a0a7a68fbed1p-3, -0x1.204060a3e7acap-3, -0x1.268294f8dc654p-3, -0x1.2ccfedfefcbdep-3, -0x1.33274274b4d15p-3, -0x1.398769cb6c74dp-3, -0x1.3fef3cac0878dp-3, -0x1.465d95740fca6p-3, -0x1.4cd150ab3600cp-3, -0x1.53494d7138dfep-3, -0x1.59c46de3f5892p-3, -0x1.6041977dc4504p-3, -0x1.66bfb36c1dd6cp-3, -0x1.6d3daedea2f0dp-3, -0x1.73ba7b4eb5f1cp-3, -0x1.7a350ebfd5c0ep-3, -0x1.80ac63f8e5d14p-3, -0x1.871f7ab6bf571p-3, -0x1.8d8d57d832702p-3, -0x1.93f50583ec3abp-3, -0x1.9a5593486cf5fp-3, -0x1.a0ae1636878dbp-3, -0x1.a6fda8f6a4a06p-3, -0x1.ad436bd939956p-3, -0x1.b37e84e2c04afp-3, -0x1.b9ae1fd38913dp-3, -0x1.bfd16e2bcb4b3p-3, -0x1.c5e7a72c35963p-3, -0x1.cbf007d36e69fp-3, -0x1.d1e9d2d8b7dbp-3, -0x1.d7d450a41d9fap-3, -0x1.ddaecf44701ecp-3, -0x1.e378a263477b7p-3, -0x1.e93123376af75p-3, -0x1.eed7b075c28p-3, -0x1.f46bae4120b03p-3, -0x1.f9ec86190bf79p-3, -0x1.ff59a6c7cc681p-3, -0x1.02594227eaf3ap-2, -0x1.04fb4bec662b5p-2, -0x1.0792afce1f5d9p-2, -0x1.0a1f2f691c85ap-2, -0x1.0ca08eceea8eep-2, -0x1.0f16947ced45ep-2, -0x1.11810952c4659p-2, -0x1.13dfb888d3d3fp-2, -0x1.16326fa6ee2c9p-2, -0x1.1878fe7b33a17p-2, -0x1.1ab3371120cc1p-2, -0x1.1ce0eda8da2ffp-2, -0x1.1f01f8aeb0791p-2, -0x1.211630b2e561ap-2, -0x1.231d7061af7b7p-2, -0x1.2517947b7c6d9p-2, -0x1.27047bcd73d86p-2, -0x1.28e4072a375c2p-2, -0x1.2ab61962dedfbp-2, -0x1.2c7a97402fc6ep-2, -0x1.2e31677c0ab19p-2, -0x1.2fda72bb0aedfp-2, -0x1.3175a3865ab0ep-2, -0x1.3302e645b0a66p-2, -0x1.348229397668cp-2, -0x1.35f35c7515ab4p-2, -0x1.375671d963be3p-2, -0x1.38ab5d0f28c79p-2, -0x1.39f21381c15f6p-2, -0x1.3b2a8c59d1c39p-2, -0x1.3c54c07808709p-2, -0x1.3d70aa6fec99bp-2, -0x1.3e7e4682b3abp-2, -0x1.3f7d929a1b313p-2, -0x1.406e8e43408e7p-2, -0x1.41513aa977cep-2, -0x1.42259a9117089p-2, -0x1.42ebb2523eb47p-2, -0x1.43a387d38b87cp-2, -0x1.444d2284c1c19p-2, -0x1.44e88b596124p-2, -0x1.4575ccc324b3p-2, -0x1.45f4f2ac6d56ep-2, -0x1.46660a7296816p-2, -0x1.46c922e029d66p-2, -0x1.471e4c27021e6p-2, -0x1.476597da48d6ap-2, -0x1.479f18e85c017p-2, -0x1.47cae394959dfp-2, -0x1.47e90d70f3752p-2, -0x1.47f9ad57a2c17p-2, -0x1.47fcdb646b4a4p-2, -0x1.47f2b0edfd79p-2, -0x1.47db487f22f61p-2, -0x1.47b6bdcfd0edap-2, -0x1.47852dbe1cdcdp-2, -0x1.4746b6471619bp-2, -0x1.46fb767f8417ap-2, -0x1.46a38e8c8c09ep-2, -0x1.463f1f9c37bd2p-2, -0x1.45ce4bddebbabp-2, -0x1.4551367ac3085p-2, -0x1.44c8038dd55adp-2, -0x1.4432d81c6c21dp-2, -0x1.4391da0e2358bp-2, -0x1.42e53024fb631p-2, -0x1.422d01f55b849p-2, -0x1.416977de08792p-2, -0x1.409abb000d6a9p-2, -0x1.3fc0f536a0806p-2, -0x1.3edc510ef9cd8p-2, -0x1.3decf9c0295c5p-2, -0x1.3cf31b22e7134p-2, -0x1.3beee1a962986p-2, -0x1.3ae07a5712549p-2, -0x1.39c812b882769p-2, -0x1.38a5d8db2be04p-2, -0x1.3779fb454b84fp-2, -0x1.3644a8edc6889p-2, -0x1.3506113413a61p-2, -0x1.33be63d83156bp-2, -0x1.326dd0f2a768fp-2, -0x1.311488ec978b5p-2, -0x1.2fb2bc77de8d8p-2, -0x1.2e489c8745e7bp-2, -0x1.2cd65a46c90bcp-2, -0x1.2b5c2713f0445p-2, -0x1.29da34763e7c7p-2, -0x1.2850b417bb2d1p-2, -0x1.26bfd7bd8fa51p-2, -0x1.2527d140c4dc3p-2, -0x1.2388d28715112p-2, -0x1.21e30d7be177ap-2, -0x1.2036b4093fa68p-2, -0x1.1e83f8112aa5ap-2, -0x1.1ccb0b66cd7e1p-2, -0x1.1b0c1fc7f55f1p-2, -0x1.194766d69f788p-2, -0x1.177d1212ae6a6p-2, -0x1.15ad52d3bbdap-2, -0x1.13d85a431591cp-2, -0x1.11fe5955dabb5p-2, -0x1.101f80c73e0c8p-2, -0x1.0e3c0112eea73p-2, -0x1.0c540a6fa7ad3p-2, -0x1.0a67ccc9e303dp-2, -0x1.087777beb7a1bp-2, -0x1.06833a96db0b3p-2, -0x1.048b4441cd78ep-2, -0x1.028fc351299d9p-2, -0x1.0090e5f420d78p-2, -0x1.fd1db3e636036p-3, -0x1.f913995702be8p-3, -0x1.f503d6175eb24p-3, -0x1.f0eec31e1ae8fp-3, -0x1.ecd4b8749fd24p-3, -0x1.e8b60d2fc88ddp-3, -0x1.e4931768fae76p-3, -0x1.e06c2c37a1d79p-3, -0x1.dc419faae5967p-3, -0x1.d813c4c3b9014p-3, -0x1.d3e2ed6f37ec5p-3, -0x1.cfaf6a814af24p-3, -0x1.cb798baf9b4eap-3, -0x1.c7419f8ccfba9p-3, -0x1.c307f3841792p-3, -0x1.beccd3d4f9b4ap-3, -0x1.ba908b8f73714p-3, -0x1.b653649055e57p-3, -0x1.b215a77df1a67p-3, -0x1.add79bc5029f7p-3, -0x1.a9998795e4f2bp-3, -0x1.a55bafe20a0fep-3, -0x1.a11e5859b0a51p-3, -0x1.9ce1c369da217p-3, -0x1.98a6323a893a9p-3, -0x1.946be4ad3375bp-3, -0x1.9033195b774d5p-3, -0x1.8bfc0d960b837p-3, -0x1.87c6fd63e8819p-3, -0x1.83942381ad892p-3, -0x1.7f63b9613725dp-3, -0x1.7b35f72975d62p-3, -0x1.770b13b66fcdbp-3, -0x1.72e344997e87fp-3, -0x1.6ebebe19b855cp-3, -0x1.6a9db3348cef4p-3, -0x1.6680559e94297p-3, -0x1.6266d5c488a63p-3, -0x1.5e5162cc6bdc3p-3, -0x1.5a402a96d7dcp-3, -0x1.563359c07fb3ap-3, -0x1.522b1ba3ce9b9p-3, -0x1.4e279a5ab6a39p-3, -0x1.4a28fec09feabp-3, -0x1.462f70747e8bdp-3, -0x1.423b15db09f68p-3, -0x1.3e4c142115b54p-3, -0x1.3a628f3e0e436p-3, -0x1.367ea9f68cc25p-3, -0x1.32a085df10815p-3, -0x1.2ec8435ed1261p-3, -0x1.2af601b2a7b42p-3, -0x1.2729def019e2cp-3, -0x1.2363f80877ea8p-3, -0x1.1fa468cc1132ep-3, -0x1.1beb4bed819f9p-3, -0x1.1838bb0512392p-3, -0x1.148cce942e0f4p-3, -0x1.10e79e08e9955p-3, -0x1.0d493fc199d31p-3, -0x1.09b1c9107a89ap-3, -0x1.06214e3f69758p-3, -0x1.0297e293a899p-3, -0x1.fe2b30a3627b4p-4, -0x1.f7350182268c4p-4, -0x1.f04d5860b7132p-4, -0x1.e97453f20cfe7p-4, -0x1.e2aa1106fe75cp-4, -0x1.dbeeaa963cd24p-4, -0x1.d54239c4707f9p-4, -0x1.cea4d5ec569eep-4, -0x1.c81694a6ee7f2p-4, -0x1.c19789d3b1a3dp-4, -0x1.bb27c7a0c6841p-4, -0x1.b4c75e934a293p-4, -0x1.ae765d8f980a1p-4, -0x1.a834d1e18add8p-4, -0x1.a202c744c4763p-4, -0x1.9be047ed03b15p-4, -0x1.95cd5c8e5db8p-4, -0x1.8fca0c658743dp-4, -0x1.89d65d4016abfp-4, -0x1.83f25384ba299p-4, -0x1.7e1df23b6ce0cp-4, -0x1.78593b15a31d7p-4, -0x1.72a42e7669b91p-4, -0x1.6cfecb7a8147p-4, -0x1.6769100068e5p-4, -0x1.61e2f8b0617aep-4, -0x1.5c6c81045cbedp-4, -0x1.5705a34fe7d48p-4, -0x1.51ae58c7ffeep-4, -0x1.4c66998ad9342p-4, -0x1.472e5ca7949e7p-4, -0x1.42059825e7042p-4, -0x1.3cec410dab6a5p-4, -0x1.37e24b6e63e88p-4, -0x1.32e7aa66a5f74p-4, -0x1.2dfc502b75544p-4, -0x1.29202e0f89709p-4, -0x1.2453348a7a101p-4, -0x1.1f95533fdcf56p-4, -0x1.1ae679064a388p-4, -0x1.164693ee47fc2p-4, -0x1.11b5914921e82p-4, -0x1.0d335dafaaa69p-4, -0x1.08bfe508e3b0ep-4, -0x1.045b12908b41ep-4, -0x1.0004d0dd96bf8p-4, -0x1.f77a13d1214bp-5, -0x1.ef074e23c08b3p-5, -0x1.e6b1224fed938p-5, -0x1.de7760dac7858p-5, -0x1.d659d93da068fp-5, -0x1.ce5859f1c1a82p-5, -0x1.c672b07bf6d8ap-5, -0x1.bea8a977f175bp-5, -0x1.b6fa10a36da01p-5, -0x1.af66b0e92704p-5, -0x1.a7ee546b98f83p-5, -0x1.a090c48f8ec34p-5, -0x1.994dca06786aep-5, -0x1.92252cd893e1fp-5, -0x1.8b16b46edf53bp-5, -0x1.8422279ccf9e7p-5, -0x1.7d474ca9e0ceap-5, -0x1.7685e95aea6f4p-5, -0x1.6fddc2fb41e4bp-5, -0x1.694e9e65ada14p-5, -0x1.62d8400d1e4c5p-5, -0x1.5c7a6c053adfep-5, -0x1.5634e60aba1bfp-5, -0x1.5007718b86d91p-5, -0x1.49f1d1aeb5353p-5, -0x1.43f3c95c47328p-5, -0x1.3e0d1b44bf06p-5, -0x1.383d89e880d86p-5, -0x1.3284d79f02ea3p-5, -0x1.2ce2c69dd0557p-5, -0x1.275718ff5f1f7p-5, -0x1.21e190c9aeb3bp-5, -0x1.1c81eff4c7c22p-5, -0x1.1737f870f9f84p-5, -0x1.12036c2cfb77bp-5, -0x1.0ce40d1bd9dbap-5, -0x1.07d99d3ab72b1p-5, -0x1.02e3de9665b8ep-5, -0x1.fc0526a19fe1fp-6, -0x1.f26afb4c77cfap-6, -0x1.e8f8bfe4c3c22p-6, -0x1.dfadf96aafd2cp-6, -0x1.d68a2d30b048bp-6, -0x1.cd8ce0e4c0cdap-6, -0x1.c4b59a9947734p-6, -0x1.bc03e0cdbb343p-6, -0x1.b3773a76e5d4ap-6, -0x1.ab0f2f06f3188p-6, -0x1.a2cb46752c3c9p-6, -0x1.9aab094561ceap-6, -0x1.92ae008f19019p-6, -0x1.8ad3b604740b2p-6, -0x1.831bb3f8c9951p-6, -0x1.7b8585670112cp-6, -0x1.7410b5f7ac3c2p-6, -0x1.6cbcd206da2b3p-6, -0x1.658966a9a9bbcp-6, -0x1.5e7601b3a7247p-6, -0x1.578231bbe81e6p-6, -0x1.50ad8621deddfp-6, -0x1.49f78f1202d2dp-6, -0x1.435fdd8a2ed0cp-6, -0x1.3ce6035dd71cp-6, -0x1.3689933a050e4p-6, -0x1.304a20a90dc5p-6, -0x1.2a2740162655p-6, -0x1.242086d0b036fp-6, -0x1.1e358b0f6c5f5p-6, -0x1.1865e3f365dbp-6, -0x1.12b1298ab44fep-6, -0x1.0d16f4d315adp-6, -0x1.0796dfbc4aa24p-6, -0x1.0230852a5c939p-6, -0x1.f9c701ef3e93dp-7, -0x1.ef5edfed383f9p-7, -0x1.e527dfe77bb1ap-7, -0x1.db213f6de105bp-7, -0x1.d14a3e09f5f13p-7, -0x1.c7a21d41a14dbp-7, -0x1.be28209943c02p-7, -0x1.b4db8d95bc3aap-7, -0x1.abbbabbe07297p-7, -0x1.a2c7c49ca3ecp-7, -0x1.99ff23c0c63bap-7, -0x1.916116bf2c17p-7, -0x1.88eced32cf16bp-7, -0x1.80a1f8bd42b85p-7, -0x1.787f8d06e4387p-7, -0x1.7084ffbed92a2p-7, -0x1.68b1a89ac6482p-7, -0x1.6104e1564f629p-7, -0x1.597e05b280c83p-7, -0x1.521c7374da645p-7, -0x1.4adf8a665dad1p-7, -0x1.43c6ac52375dap-7, -0x1.3cd13d046ae06p-7, -0x1.35fea24837a2fp-7, -0x1.2f4e43e661p-7, -0x1.28bf8ba33cbdcp-7, -0x1.2251e53cb8ae1p-7, -0x1.1c04be6821ae1p-7, -0x1.15d786cfc9933p-7, -0x1.0fc9b0109e74bp-7, -0x1.09daadb78b7e7p-7, -0x1.0409f53ebfde6p-7, -0x1.fcadfc15ce658p-8, -0x1.f18282d05282p-8, -0x1.e690750e5ee36p-8, -0x1.dbd6ccf3d1fe7p-8, -0x1.d1548860b79ep-8, -0x1.c708a8ea8dfa1p-8, -0x1.bcf233d575b37p-8, -0x1.b310320d2351dp-8, -0x1.a961b01da6897p-8, -0x1.9fe5be2c3139p-8, -0x1.969b6fef888dbp-8, -0x1.8d81dca865438p-8, -0x1.84981f19d7d73p-8, -0x1.7bdd558157b6p-8, -0x1.7350a18ec4ebp-8, -0x1.6af1285c81b95p-8, -0x1.62be12670d448p-8, -0x1.5ab68b8502fcfp-8, -0x1.52d9c2de996adp-8, -0x1.4b26eae55b845p-8, -0x1.439d394b94e48p-8, -0x1.3c3be6fbe9eaep-8, -0x1.35023010a3937p-8, -0x1.2def53cb253fbp-8, -0x1.2702948b1d88ap-8, -0x1.203b37c5e1daap-8, -0x1.199885fda8918p-8, -0x1.1319cab8bfb47p-8, -0x1.0cbe5478cb934p-8, -0x1.068574b1da0b3p-8, -0x1.006e7fc1a484ap-8, -0x1.f4f199cd1605ap-9, -0x1.e9476c6ddf7e7p-9, -0x1.dddd31305e40cp-9, -0x1.d2b1a76b98171p-9, -0x1.c7c393f153721p-9, -0x1.bd11c0fc3cd1ap-9, -0x1.b29afe1e651f7p-9, -0x1.a85e202faf26fp-9, -0x1.9e5a013bf3dd8p-9, -0x1.948d8071c56bdp-9, -0x1.8af78210d8243p-9, -0x1.8196ef589f43fp-9, -0x1.786ab676df929p-9, -0x1.6f71ca768fb09p-9, -0x1.66ab232eaa53dp-9, -0x1.5e15bd30f8a1fp-9, -0x1.55b099b92c7b7p-9, -0x1.4d7abe9bde106p-9, -0x1.45733635c2513p-9, -0x1.3d990f5af8745p-9, -0x1.35eb5d46589b5p-9, -0x1.2e693788fac46p-9, -0x1.2711b9f9e884p-9, -0x1.1fe404a59dc51p-9, -0x1.18df3bbe5822ap-9, -0x1.1202878b8b459p-9, -0x1.0b4d145a64995p-9, -0x1.04be126db821cp-9, -0x1.fca96bdcdfd81p-10, -0x1.f0206db870975p-10, -0x1.e3dfa1fbeaf8fp-10, -0x1.d7e587a531f03p-10, -0x1.cc30a503def47p-10, -0x1.c0bf879bb2d44p-10, -0x1.b590c406dce1p-10, -0x1.aaa2f5d8fbdfcp-10, -0x1.9ff4bf819d7fep-10, -0x1.9584ca2fd1aa3p-10, -0x1.8b51c5b591e74p-10, -0x1.815a686c00f13p-10, -0x1.779d6f175a563p-10, -0x1.6e199ccb75984p-10, -0x1.64cdbad0bb051p-10, -0x1.5bb898895439p-10, -0x1.52d90b565dc38p-10, -0x1.4a2dee7ddb92bp-10, -0x1.41b6231116144p-10, -0x1.39708fd27a5d5p-10, -0x1.315c211c88892p-10, -0x1.2977c8c8c4585p-10, -0x1.21c27e174eb3p-10, -0x1.1a3b3d9611f42p-10, -0x1.12e109093036ep-10, -0x1.0bb2e7531d33p-10, -0x1.04afe45d42782p-10, -0x1.fbae2201bdff2p-11, -0x1.ee4f05e04ef51p-11, -0x1.e140a9402147dp-11, -0x1.d4814a63b69cbp-11, -0x1.c80f30bb01e77p-11, -0x1.bbe8acb7e3c2ep-11, -0x1.b00c17a3de364p-11, -0x1.a477d3762e422p-11, -0x1.992a4aaacae36p-11, -0x1.8e21f01919c62p-11, -0x1.835d3eccd438cp-11, -0x1.78dab9de2e4afp-11, -0x1.6e98ec4abd542p-11, -0x1.649668cf46691p-11, -0x1.5ad1c9c22fd99p-11, -0x1.5149b0eea2182p-11, -0x1.47fcc76f68ae6p-11, -0x1.3ee9bd8b93c07p-11, -0x1.360f4a92f802dp-11, -0x1.2d6c2cbb21fb6p-11, -0x1.24ff28fcdcc03p-11, -0x1.1cc70af355b1dp-11, -0x1.14c2a4ba0d492p-11, -0x1.0cf0cecd0040dp-11, -0x1.055067e7c1668p-11, -0x1.fbc0a9cd2d455p-12, -0x1.ed3f014e40035p-12, -0x1.df19b7d358414p-12, -0x1.d14eba672bb9dp-12, -0x1.c3dc016369693p-12, -0x1.b6bf9036db68fp-12, -0x1.a9f7752bee20ap-12, -0x1.9d81c9315eb48p-12, -0x1.915cafa294c87p-12, -0x1.85865611e9689p-12, -0x1.79fcf41389c4ap-12, -0x1.6ebecb09a8fcap-12, -0x1.63ca25f0ccf32p-12, -0x1.591d592dfc1bap-12, -0x1.4eb6c25cdeac9p-12, -0x1.4494c81f44f46p-12, -0x1.3ab5d9edd269cp-12, -0x1.31186fe93e41bp-12, -0x1.27bb0aace5ca2p-12, -0x1.1e9c3320d0e7ep-12, -0x1.15ba7a4e38cabp-12, -0x1.0d1479331f7ddp-12, -0x1.04a8d098cfea1p-12, -0x1.f8ec51d35c67cp-13, -0x1.e8f6641173988p-13, -0x1.d96d46510c49cp-13, -0x1.ca4e7549c5491p-13, -0x1.bb977bb66e48fp-13, -0x1.ad45f209cd959p-13, -0x1.9f577e24bb296p-13, -0x1.91c9d30c1eef1p-13, -0x1.849ab0a2e19eep-13, -0x1.77c7e363b5fa2p-13, -0x1.6b4f441a9744cp-13, -0x1.5f2eb7a2c25bep-13, -0x1.53642ea38bdeap-13, -0x1.47eda551dd164p-13, -0x1.3cc9232e87202p-13, -0x1.31f4bac9bcbe4p-13, -0x1.276e8985190f6p-13, -0x1.1d34b758eea69p-13, -0x1.13457698a8d7fp-13, -0x1.099f03ba884f2p-13, -0x1.003fa51e2e4dfp-13, -0x1.ee4b55ae7b4d5p-14, -0x1.dc9edced3c78ep-14, -0x1.cb76a5acc0e5fp-14, -0x1.bacf87c8503ccp-14, -0x1.aaa66ce0ffe7bp-14, -0x1.9af84ffc5517bp-14, -0x1.8bc23d1fc7d89p-14, -0x1.7d0150f155bd6p-14, -0x1.6eb2b85c84e66p-14, -0x1.60d3b0396d4cdp-14, -0x1.536184efa2f46p-14, -0x1.46599221f6005p-14, -0x1.39b9425873a9cp-14, -0x1.2d7e0eaa99797p-14, -0x1.21a57e7084408p-14, -0x1.162d26f127f16p-14, -0x1.0b12ab1498575p-14, -0x1.0053bb15dabb4p-14, -0x1.ebdc287acdbd6p-15, -0x1.d7bf0128ffcbbp-15, -0x1.c44bad3780bf8p-15, -0x1.b17df20bafeccp-15, -0x1.9f51ace8ad8fcp-15, -0x1.8dc2d26855226p-15, -0x1.7ccd6df7ce11p-15, -0x1.6c6da158fd314p-15, -0x1.5c9fa4210afc5p-15, -0x1.4d5fc342d8aabp-15, -0x1.3eaa608d40896p-15, -0x1.307bf23e481c8p-15, -0x1.22d1028bfed41p-15, -0x1.15a62f33fe6d2p-15, -0x1.08f829162557ep-15, -0x1.f9876781db104p-16, -0x1.e20b4a171895bp-16, -0x1.cb75c956b1f73p-16, -0x1.b5c0d7a464a6fp-16, -0x1.a0e6899eb4727p-16, -0x1.8ce1155285722p-16, -0x1.79aad19067fd3p-16, -0x1.673e352727244p-16, -0x1.5595d63905836p-16, -0x1.44ac698b387fdp-16, -0x1.347cc1cdeeb78p-16, -0x1.2501cf0469676p-16, -0x1.16369ddbe1a84p-16, -0x1.0816570d5194ap-16, -0x1.f5387d8c0363dp-17, -0x1.db876814927cdp-17, -0x1.c310603f6f8c3p-17, -0x1.abca8bf6761a6p-17, -0x1.95ad43665030bp-17, -0x1.80b00fedb3a86p-17, -0x1.6ccaab04e637p-17, -0x1.59f4fd410b01dp-17, -0x1.48271d410ab5dp-17, -0x1.37594ebfb0c6ep-17, -0x1.2784018a5d1e1p-17, -0x1.189fd0967f71ap-17, -0x1.0aa5811200ff2p-17, -0x1.fb1c030cc4239p-18, -0x1.e2a4d1d238336p-18, -0x1.cbd7eb9545d07p-18, -0x1.b6a81af56d865p-18, -0x1.a308766b7c702p-18, -0x1.90ec5e95badadp-18, -0x1.80477cd5fe797p-18, -0x1.710dc1a4cf281p-18, -0x1.6333630f90f73p-18, -0x1.56acdb4d2e35ep-18, -0x1.4b6ee74986dc6p-18, -0x1.416e854570c71p-18, -0x1.38a0f364fae05p-18, -0x1.30fbae5f3c667p-18, -0x1.2a7470413c01bp-18, -0x1.25012f1273835p-18, -0x1.20981ba16e1f7p-18, -0x1.1d2fa03d19846p-18, -0x1.1abe5f97ac724p-18, -0x1.193b33891e455p-18, -0x1.189d2beb22f41p-18, -0x1.18db8d8fec4eap-18, -0x1.19edd1174cf88p-18, -0x1.1bcba1f04e6e6p-18, -0x1.1e6cdd2918e1ep-18, -0x1.21c99097fc438p-18, -0x1.25d9f9c03506cp-18, -0x1.2a9684e255932p-18, -0x1.2ff7cbef7947dp-18, -0x1.35f695bb3e127p-18, -0x1.3c8bd50e8b724p-18, -0x1.43b0a7ad23192p-18, -0x1.4b5e55951986cp-18, -0x1.538e501d1d08p-18, -0x1.5c3a31000fd5bp-18, -0x1.655bb9b13869ep-18, -0x1.6eecd286cb9d3p-18, -0x1.78e789e407cc5p-18, -0x1.8346138f398cdp-18, -0x1.8e02c7d25d5d7p-18, -0x1.991822da2f6bdp-18, -0x1.a480c3f525a74p-18, -0x1.b0376cea1e3a5p-18, -0x1.bc37013d4a515p-18, -0x1.c87a856bd551dp-18, -0x1.d4fd1e7576307p-18, -0x1.e1ba111e140afp-18, -0x1.eeacc149bf9a6p-18, -0x1.fbd0b16d710dep-18, -0x1.0490c0f536f52p-17, -0x1.0b4d78406d337p-17, -0x1.121c6bcf0f8d8p-17, -0x1.18fb9704e2e2fp-17, -0x1.1fe9030b4faa7p-17, -0x1.26e2c6975c233p-17, -0x1.2de705ac6c4fap-17, -0x1.34f3f14f3a3e5p-17, -0x1.3c07c74b8ae9cp-17, -0x1.4320d1f257cddp-17, -0x1.4a3d67df94a38p-17, -0x1.515bebb3c4bb2p-17, -0x1.587acbd439a72p-17, -0x1.5f98823d7e83ap-17, -0x1.66b3944560c62p-17, -0x1.6dca92578e152p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      33, 0x1.70a3d70a3d70ap+2, 0x1.dfffc3e40e35fp+0, 0x1.7cd833deadfc1p+1, -0x1.071cd3041eb19p-9, 
      {{
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.8aa9b124630d6p-8, -0x1.ed545b34bfa98p-7, 0x1.ce7edb96a4132p-7, -0x1.7dd366df764dfp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.64a6ec89584ccp-8, -0x1.c93f0a9a48877p-7, 0x1.b796037efe418p-7, -0x1.71c7ad7e1d197p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.391441c6a9ee6p-8, -0x1.9eaca0fbd1225p-7, 0x1.9bda3ce255accp-7, -0x1.65b47099b2c89p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.11a0519581ae3p-8, -0x1.76d49a09998e7p-7, 0x1.81064e0a01dddp-7, -0x1.59ab432223fa2p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.dc0cdb75caee9p-9, -0x1.519fd03ecea02p-7, 0x1.671975cdd8c49p-7, -0x1.4d9f639549b35p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.9c086ff4c9d53p-9, -0x1.2ef725288ad2cp-7, 0x1.4e13e7ef733d1p-7, -0x1.41943cf0b14c1p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.62b3442c32c2bp-9, -0x1.0ec3786ef09adp-7, 0x1.35f5969099246p-7, -0x1.3588e4c0651c9p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.2f91db9d4bd3ap-9, -0x1.e1db547829bd9p-8, 0x1.1ebe8568918f2p-7, -0x1.297d99d6a92dbp-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.022d59c66e921p-9, -0x1.aabd352e75941p-8, 0x1.086eb37878123p-7, -0x1.1d724b5e50debp-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.b42704460fec7p-10, -0x1.77fe5321f3ee7p-8, 0x1.e60c420930cffp-8, -0x1.1166fdd9efd8cp-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.6dad705730c7fp-10, -0x1.49706e6ed40bep-8, 0x1.bd099bf54cd53p-8, -0x1.055bb01438952p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.301bfeab675eap-10, -0x1.1ee547329c25ep-8, 0x1.95d574bf11256p-8, -0x1.f2a0c4bff47ffp-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.f553ec5004577p-11, -0x1.f05d3b14ed19fp-9, 0x1.706fcc63decf2p-8, -0x1.da8a294e26dd4p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.992fbb58ed123p-11, -0x1.aa3c63274c5a3p-9, 0x1.4cd8a2e468b1ep-8, -0x1.c2738dded3d4cp-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4a5ef824c1536p-11, -0x1.6b0b86d6cec34p-9, 0x1.2b0ff8407f355p-8, -0x1.aa5cf26ed7d13p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.0787b05b0734ap-11, -0x1.326e265df0897p-9, 0x1.0b15cc782f051p-8, -0x1.924656ff04e37p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.9ec4e32f2510dp-12, -0x1.0007c1f72cee2p-9, 0x1.d9d43f16ea1b7p-9, -0x1.7a2fbb8f4591dp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.417492d509a0cp-12, -0x1.a6f7b3b9ff48dp-10, 0x1.a119e2f49fac2p-9, -0x1.6219201ef1913p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.e9b3156135189p-13, -0x1.58dbdc93c6d05p-10, 0x1.6bfc84899509ep-9, -0x1.4a0284b106192p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.6da7cb66a3544p-13, -0x1.1502fef0acf04p-10, 0x1.3a7c23d56db98p-9, -0x1.31ebe939ccee4p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.0ad17d6e8887p-13, -0x1.b568368b27544p-11, 0x1.0c98c0d98efb7p-9, -0x1.19d54de5ab60bp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7b08c1fc8c14p-14, -0x1.526c640f80144p-11, 0x1.c4a4b7216a8d2p-10, -0x1.01beb20e65559p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.04bd56d8e7f8p-14, -0x1.ff410eac190f5p-12, 0x1.7751e81d18f4p-10, -0x1.d35030407960bp-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.5922478385e4p-15, -0x1.772542a264a44p-12, 0x1.313914136d258p-10, -0x1.a322ee2308c76p-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.b3a24aa4a1a7fp-16, -0x1.09a165968dba7p-12, 0x1.e4b47a4f8adcap-11, -0x1.72f5e13627cb5p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.02f0348e47581p-16, -0x1.67a2f4908a214p-13, 0x1.756ab6bf4bb79p-11, -0x1.42c80dc9854c2p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1cbfe33f305p-17, -0x1.cb45fc6d06677p-14, 0x1.14951902d6edfp-11, -0x1.129d1f2a93eeap-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.19cc94f7998p-18, -0x1.0ef60ae080b2p-14, 0x1.846585b8eeb3cp-12, -0x1.c4cec7a9650bap-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.dfb71583b27fep-20, -0x1.1d8ab87ed3ad8p-15, 0x1.f91bc6d9072e7p-13, -0x1.64b3ed1a3172fp-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.434ecceac2p-21, -0x1.f93615a265345p-17, 0x1.231638961cb72p-13, -0x1.036c3b86339dcp-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.20e9b6d6bffffp-23, -0x1.47fd9adb0671cp-18, 0x1.0eddc357fb78cp-14, -0x1.4d0e93d652d66p-12}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.992fbb6280004p-27, -0x1.b3c691d1fd8bbp-21, 0x1.1c20ddc3f3e39p-16, -0x1.ca217b5b2a1d4p-14}, 
        {0x1.7p+2, 0x1.70a3d70a3d70ap+2, 0x1.434ef3fffffffp-37, 0x1.0d097060cd5c1p-24, 0x1.27ff44db54p-21, -0x1.072c24fe7bd2ep-8}, 
      }}, 
      0x1.101967798dc0bp-1, -0x1.3e50a0dcbeb0ep+4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.c1dd8543e00ecp+0, -0x1.bdff135936d94p+0, -0x1.b7b2f84817454p+0, -0x1.af2d87c35b718p+0, -0x1.a4af654a51e23p+0, -0x1.98805e5a2ff9ap+0, -0x1.8aeb0bbaf5fbap+0, -0x1.7c395ea16ac1dp+0, -0x1.6cb2112f1fbf3p+0, -0x1.5c96dedf7939p+0, -0x1.4c23630247d18p+0, -0x1.3b8c7ce1edf01p+0, -0x1.2b001c33dda4bp+0, -0x1.1aa55ba08cdbcp+0, -0x1.0a9cd3339bf45p+0, -0x1.f602207950a1cp-1, -0x1.d7ce46b2638bbp-1, -0x1.babe71a1b12a9p-1, -0x1.9eea64036052cp-1, -0x1.84627491eaad6p-1, -0x1.6b30a50caf175p-1, -0x1.5359a27b2219ep-1, -0x1.3cddaca7387bp-1, -0x1.27b96434f83bap-1, -0x1.13e6806137c4cp-1, -0x1.015c6dc8bcf0ep-1, -0x1.e021af69a3b33p-2, -0x1.bff03aca1bf12p-2, -0x1.a20b69d3a1917p-2, -0x1.8658faa3e2d77p-2, -0x1.6cbe040b1e5b3p-2, -0x1.551f62543ccdbp-2, -0x1.3f620d7e42721p-2, -0x1.2b6b5bea9b533p-2, -0x1.19213489c267ep-2, -0x1.086a337aeb3e6p-2, -0x1.f25b872fb3e91p-3, -0x1.d6a85e27a7abdp-3, -0x1.bd8d52aa0d4fbp-3, -0x1.a6dea7da5ac8ap-3, -0x1.92727fdd5d096p-3, -0x1.8020d8ceb4c6fp-3, -0x1.6fc3859917b72p-3, -0x1.61362470ad432p-3, -0x1.54561437a174fp-3, -0x1.4902693fe5d86p-3, -0x1.3f1be15a486fap-3, -0x1.3684d73290afap-3, -0x1.2f21354215ed2p-3, -0x1.28d668bf6be11p-3, -0x1.238b54cc65eccp-3, -0x1.1f2845e97c528p-3, -0x1.1b96e594f8878p-3, -0x1.18c22e0623381p-3, -0x1.16965e12c00bbp-3, -0x1.1500ed5fb7437p-3, -0x1.13f080ff07512p-3, -0x1.1354e08c05c03p-3, -0x1.131eebb7a6e68p-3, -0x1.13409027c2c95p-3, -0x1.13acbf7f3814fp-3, -0x1.1457656a8e7cep-3, -0x1.15355d9b19428p-3, -0x1.163c69a32c5e9p-3, -0x1.176326b7df508p-3, -0x1.18a1035f8cd6bp-3, -0x1.19ee351d3b00ep-3, -0x1.1b43ae27e8774p-3, -0x1.1c9b133c8386fp-3, -0x1.1deeb196baebap-3, -0x1.1f39751a6d12ep-3, -0x1.2076deb69b265p-3, -0x1.21a2fb052fcf7p-3, -0x1.22ba592e2aa3bp-3, -0x1.23ba0216b5a6dp-3, -0x1.249f6fd0fa28cp-3, -0x1.2568856718658p-3, -0x1.261386efcc9b5p-3, -0x1.269f11e0fdceep-3, -0x1.270a15f61028bp-3, -0x1.2753cdebf5e2ep-3, -0x1.277bb93d906e8p-3, -0x1.2781958216854p-3, -0x1.27655881779eep-3, -0x1.27272afb954d9p-3, -0x1.26c76229d17a1p-3, -0x1.26467c9896a65p-3, -0x1.25a51b4e886fcp-3, -0x1.24e3fef04b4cdp-3, -0x1.24040395dfea5p-3, -0x1.23061b27e9c78p-3, -0x1.21eb4cda7b65cp-3, -0x1.20b4aeffbdef6p-3, -0x1.1f6364f489b8fp-3, -0x1.1df89e5a536adp-3, -0x1.1c758ff10e2eep-3, -0x1.1adb760fa15fep-3, -0x1.192b90a5ff893p-3, -0x1.17671eb8481b6p-3, -0x1.158f626ce3c7cp-3, -0x1.13a59a46ae36ep-3, -0x1.11ab0148bf29ap-3, -0x1.0fa0d0d275b45p-3, -0x1.0d883a4025fabp-3, -0x1.0b6269eb6f053p-3, -0x1.0930865c32c6cp-3, -0x1.06f3ac4ec4b9cp-3, -0x1.04acf1ec30a0ep-3, -0x1.025d64c67fcf6p-3, -0x1.0006084ed8074p-3, -0x1.fb4fb02b73bd5p-4, -0x1.f6878b6ee358p-4, -0x1.f1b571db3081dp-4, -0x1.ecdb219fb1334p-4, -0x1.e7fa444033a4ap-4, -0x1.e3147067cfc8dp-4, -0x1.de2b2b1824574p-4, -0x1.d93fe4e6caf9ep-4, -0x1.d453fc8e23613p-4, -0x1.cf68bfad35ed6p-4, -0x1.ca7f6843de7d4p-4, -0x1.c5991f4960c55p-4, -0x1.c0b6fdd54f5ap-4, -0x1.bbda0aadde598p-4, -0x1.b7033c20dd296p-4, -0x1.b2337a1ad14bap-4, -0x1.ad6b9c2917635p-4, -0x1.a8ac69d69e198p-4, -0x1.a3f69d70dd2e6p-4, -0x1.9f4ae368d2e9bp-4, -0x1.9aa9d91be7003p-4, -0x1.96140f061e02cp-4, -0x1.918a0a21b2e88p-4, -0x1.8d0c425f9b036p-4, -0x1.889b22e3e9d67p-4, -0x1.84370c710a83ap-4, -0x1.7fe05583646dep-4, -0x1.7b9748fae2a1p-4, -0x1.775c2743af0ddp-4, -0x1.732f284c34731p-4, -0x1.6f107b0e4805ap-4, -0x1.6b0044b0af9dcp-4, -0x1.66fea1e76a4c5p-4, -0x1.630ba8839e209p-4, -0x1.5f2766f9a83b2p-4, -0x1.5b51e3b708519p-4, -0x1.578b1e5afa4e2p-4, -0x1.53d311230075ep-4, -0x1.5029b0a277e2p-4, -0x1.4c8eeb1be77c7p-4, -0x1.4902a96120bd1p-4, -0x1.4584d02f0b4c9p-4, -0x1.4215403c8c965p-4, -0x1.3eb3d59883639p-4, -0x1.3b606805a706ep-4, -0x1.381acc2d60b17p-4, -0x1.34e2d41d7295ap-4, -0x1.31b84ed6c099fp-4, -0x1.2e9b0820b2cbbp-4, -0x1.2b8ac955f2d3ep-4, -0x1.28875a35b8d66p-4, -0x1.259080deb8ca5p-4, -0x1.22a60164c5a4cp-4, -0x1.1fc79e0022cc2p-4, -0x1.1cf517d480075p-4, -0x1.1a2e2f626d228p-4, -0x1.1772a458dae2bp-4, -0x1.14c235522d1cbp-4, -0x1.121ca01dcc8cdp-4, -0x1.0f81a25745d11p-4, -0x1.0cf0f9aa2e7d3p-4, -0x1.0a6a63aadcb54p-4, -0x1.07ed9da5b8859p-4, -0x1.057a64d661ca5p-4, -0x1.031076da1c0e3p-4, -0x1.00af91e9c93e6p-4, -0x1.fcaee980b9c8dp-5, -0x1.f80fbcdb61f5bp-5, -0x1.f3811cdf849ccp-5, -0x1.ef028a148efbep-5, -0x1.ea9386fab93c9p-5, -0x1.e63397fc3377ap-5, -0x1.e1e2431f0f00cp-5, -0x1.dd9f0ffeb77eap-5, -0x1.d969883796432p-5, -0x1.d54137cc96e1p-5, -0x1.d125ad3f40663p-5, -0x1.cd16796671f48p-5, -0x1.c9132f3e6e396p-5, -0x1.c51b6404b6f35p-5, -0x1.c12eaf879d2d8p-5, -0x1.bd4cac58842cbp-5, -0x1.b974f7cbb682p-5, -0x1.b5a731cef48c8p-5, -0x1.b1e2fcc6f8b6dp-5, -0x1.ae27fda9d7587p-5, -0x1.aa75dc334408p-5, -0x1.a6cc42fbe89dcp-5, -0x1.a32adf7002dp-5, -0x1.9f9161ad51a45p-5, -0x1.9bff7c676ceeep-5, -0x1.9874e4f37b079p-5, -0x1.94f15362cab9dp-5, -0x1.9174828b287eap-5, -0x1.8dfe30001d2d3p-5, -0x1.8a8e1bfe98734p-5, -0x1.87240950c409cp-5, -0x1.83bfbd42c653cp-5, -0x1.8060ffa9f2291p-5, -0x1.7d079ae9fb9ecp-5, -0x1.79b35bf3b346fp-5, -0x1.766412398a2fp-5, -0x1.73198f93553ecp-5, -0x1.6fd3a821968p-5, -0x1.6c923246415ep-5, -0x1.695506aa4db95p-5, -0x1.661c003e7b87cp-5, -0x1.62e6fc311b395p-5, -0x1.5fb5d9d6943aap-5, -0x1.5c887a8a9552bp-5, -0x1.595ec19ccb371p-5, -0x1.56389450dbf86p-5, -0x1.5315d9e01c005p-5, -0x1.4ff67b6e9221fp-5, -0x1.4cda63f5ef55fp-5, -0x1.49c1802dea506p-5, -0x1.46abbe785f7d8p-5, -0x1.43990ed6eaf53p-5, -0x1.408962e7fd29ep-5, -0x1.3d7caddea5b29p-5, -0x1.3a72e46f8c046p-5, -0x1.376bfcbb7c38bp-5, -0x1.3467ee3ff291bp-5, -0x1.3166b1cd2226p-5, -0x1.2e68417cece96p-5, -0x1.2b6c98a85475dp-5, -0x1.2873b3d8ec051p-5, -0x1.257d90b61e91cp-5, -0x1.228a2df4894f7p-5, -0x1.1f998b4c474c3p-5, -0x1.1caba9734dd33p-5, -0x1.19c08a149aa4fp-5, -0x1.16d82fc183cfap-5, -0x1.13f29de09ca34p-5, -0x1.110fd89e1fc94p-5, -0x1.0e2fe4e00d3ap-5, -0x1.0b52c83f1968bp-5, -0x1.08788901df91cp-5, -0x1.05a12e155c70dp-5, -0x1.02ccbeffe017p-5, -0x1.fff687a0ba412p-6, -0x1.fa598a1fdee16p-6, -0x1.f4c297711d20ap-6, -0x1.ef31c25fc57e8p-6, -0x1.e9a71e863aa98p-6, -0x1.e422c041aa1f9p-6, -0x1.dea4bc9e7aa11p-6, -0x1.d92d293eb9153p-6, -0x1.d3bc1c3ffa19fp-6, -0x1.ce51ac27e1ccp-6, -0x1.c8edefd9d9e02p-6, -0x1.c390fe91604cap-6, -0x1.be3aefda63096p-6, -0x1.b8ebdb840a23bp-6, -0x1.b3a3d98e58fffp-6, -0x1.ae6302164d489p-6, -0x1.a9296d44258d4p-6, -0x1.a3f7333ec78f7p-6, -0x1.9ecc6c2494562p-6, -0x1.99a93006da2b8p-6, -0x1.948d96e3aba68p-6, -0x1.8f79b89b54521p-6, -0x1.8a6dace2510e8p-6, -0x1.85698b32f6d1fp-6, -0x1.806d6ac14f2c3p-6, -0x1.7b79627319403p-6, -0x1.768d88da65217p-6, -0x1.71a9f43252a95p-6, -0x1.6cceba5a61adfp-6, -0x1.67fbf0cfd5a38p-6, -0x1.6331aca4f2419p-6, -0x1.5e7002772c0dp-6, -0x1.59b70666d6fc5p-6, -0x1.5506cc113247dp-6, -0x1.505f668d41488p-6, -0x1.4bc0e869ae552p-6, -0x1.472b63aa9c083p-6, -0x1.429ee9c62f4e7p-6, -0x1.3e1b8b9fd50f3p-6, -0x1.39a15982eb9cfp-6, -0x1.3530631d5e12ap-6, -0x1.30c8b77b9e20ep-6, -0x1.2c6a65064411dp-6, -0x1.281579812961cp-6, -0x1.23ca020b10158p-6, -0x1.1f880b1d07362p-6, -0x1.1b4fa0892aa3bp-6, -0x1.1720cd785e8a5p-6, -0x1.12fb9c67f452ep-6, -0x1.0ee01727926d7p-6, -0x1.0ace46d7a5534p-6, -0x1.06c633e93331ep-6, -0x1.02c7e61e3f23bp-6, -0x1.fda6c91592a79p-7, -0x1.f5d16b2b713cdp-7, -0x1.ee0fbdf32a151p-7, -0x1.e661cb88afe0ep-7, -0x1.dec79cb0bd7eap-7, -0x1.d74138d9b1871p-7, -0x1.cfcea619b29c9p-7, -0x1.c86fe9308b1bfp-7, -0x1.c125058a15c3cp-7, -0x1.b9edfd413176ep-7, -0x1.b2cad1238f23ap-7, -0x1.abbb80b5f0427p-7, -0x1.a4c00a390e364p-7, -0x1.9dd86aaf49869p-7, -0x1.97049de139fe8p-7, -0x1.90449e6253e81p-7, -0x1.8998659377e21p-7, -0x1.82ffeba5013c6p-7, -0x1.7c7b2797acc6bp-7, -0x1.760a0f3e406f7p-7, -0x1.6fac9740a39dap-7, -0x1.6962b3217c1f7p-7, -0x1.632c5547134b7p-7, -0x1.5d096f0686033p-7, -0x1.56f9f0aeec433p-7, -0x1.50fdc9933e696p-7, -0x1.4b14e810533fp-7, -0x1.453f398e466dep-7, -0x1.3f7caa7e540c4p-7, -0x1.39cd2657799c4p-7, -0x1.34309794ef37ep-7, -0x1.2ea6e7b96ec88p-7, -0x1.292fff588292ep-7, -0x1.23cbc625c73ddp-7, -0x1.1e7a230638b0ep-7, -0x1.193afc2056d58p-7, -0x1.140e36e62282bp-7, -0x1.0ef3b818279fep-7, -0x1.09eb63c12575bp-7, -0x1.04f51d2f304ep-7, -0x1.0010c6eec17d3p-7, -0x1.f67c859aa225ap-8, -0x1.ecfae3cb47632p-8, -0x1.e39c69689a1cp-8, -0x1.da60d65e19241p-8, -0x1.d147e9ae1feb3p-8, -0x1.c851617e0ad0fp-8, -0x1.bf7cfb024a893p-8, -0x1.b6ca7250706d2p-8, -0x1.ae3982286765ap-8, -0x1.a5c9e3ced6a93p-8, -0x1.9d7b4f12f97dfp-8, -0x1.954d7a8eb4fe9p-8, -0x1.8d401c1e4b704p-8, -0x1.8552e975fd58ap-8, -0x1.7d8598ab83fefp-8, -0x1.75d7e0836f20dp-8, -0x1.6e49785a6d641p-8, -0x1.66da179e25277p-8, -0x1.5f8974ea1b429p-8, -0x1.58574500db4e2p-8, -0x1.514339f0694f1p-8, -0x1.4a4d02b38d25bp-8, -0x1.43744b88eb083p-8, -0x1.3cb8bf0d1170ap-8, -0x1.361a07eabe284p-8, -0x1.2f97d2c00404p-8, -0x1.2931cfbbd54a6p-8, -0x1.22e7b36a651d7p-8, -0x1.1cb93667aa3f6p-8, -0x1.16a613d484ap-8, -0x1.10ae06d80cc4ep-8, -0x1.0ad0c7b757913p-8, -0x1.050e093f27997p-8, -0x1.fecaee7897f1fp-9, -0x1.f3ad6d184af6dp-9, -0x1.e8c2cde6b6ea3p-9, -0x1.de0a4ced3c426p-9, -0x1.d3832b113ba07p-9, -0x1.c92cb624fb324p-9, -0x1.bf064ebd8fdfdp-9, -0x1.b50f6a136abf5p-9, -0x1.ab478f33f5c6ep-9, -0x1.a1ae4fcbf1079p-9, -0x1.98433df47c6f2p-9, -0x1.8f05e13fda526p-9, -0x1.85f5ad8f8a0b9p-9, -0x1.7d11fdf49c272p-9, -0x1.745a15050e6b2p-9, -0x1.6bcd22d859bc5p-9, -0x1.636a4f981216dp-9, -0x1.5b30c878f3874p-9, -0x1.531fcc5269703p-9, -0x1.4b36b506717abp-9, -0x1.4374fb8b068a3p-9, -0x1.3bda3590b54d5p-9, -0x1.34660d2ac4f76p-9, -0x1.2d18343b72102p-9, -0x1.25f05652f1ec8p-9, -0x1.1eee0c0409383p-9, -0x1.1810d256275f9p-9, -0x1.115807fee05d8p-9, -0x1.0ac2f0ed299dfp-9, -0x1.0450bf63f76eap-9, -0x1.fc0141790da8dp-10, -0x1.efa39665c9b46p-10, -0x1.e38713c46e841p-10, -0x1.d7aa88eec05cbp-10, -0x1.cc0d0237903c1p-10, -0x1.c0adc0e0fc0cep-10, -0x1.b58c299caca6dp-10, -0x1.aaa7adee1e846p-10, -0x1.9fffb55f0c768p-10, -0x1.95938b0c73ffep-10, -0x1.8b625228eeacdp-10, -0x1.816b0300a2dcbp-10, -0x1.77ac702e2d1dfp-10, -0x1.6e2552b052523p-10, -0x1.64d45a3e99f8bp-10, -0x1.5bb83eb85542p-10, -0x1.52cfcf030e4aap-10, -0x1.4a19fa8a7bf89p-10, -0x1.4195d3de2c00fp-10, -0x1.39428ca7eaeb1p-10, -0x1.311f6cc2b4b34p-10, -0x1.292bc6ef4c6a4p-10, -0x1.2166edb4ad0e5p-10, -0x1.19d02a819c9aap-10, -0x1.1266b88087b7p-10, -0x1.0b29c3e3d313fp-10, -0x1.04186d91a3bbfp-10, -0x1.fa63a39d8f65fp-11, -0x1.ecea1e799f898p-11, -0x1.dfc29642af362p-11, -0x1.d2eb6298f8a14p-11, -0x1.c662e161d4e8ap-11, -0x1.ba277052266c4p-11, -0x1.ae376e1d8c91fp-11, -0x1.a2914564eb9e7p-11, -0x1.97337bbb6224dp-11, -0x1.8c1cba232947ap-11, -0x1.814bc64009868p-11, -0x1.76bf6c2adb0bdp-11, -0x1.6c76637f51389p-11, -0x1.626f3fe33388ap-11, -0x1.58a878a15da1ep-11, -0x1.4f20857b625b5p-11, -0x1.45d600209434fp-11, -0x1.3cc7b44fb5508p-11, -0x1.33f4908096729p-11, -0x1.2b5b7d4b91f7ap-11, -0x1.22fb314e51b2dp-11, -0x1.1ad21fc515c64p-11, -0x1.12de92a6742f3p-11, -0x1.0b1ee831dcc0ap-11, -0x1.0391d51201082p-11, -0x1.f86d0a9f9fb4ap-12, -0x1.ea190d8e344c5p-12, -0x1.dc270e67b497cp-12, -0x1.ce961480a8ccbp-12, -0x1.c1647d3dd827p-12, -0x1.b490059861d24p-12, -0x1.a816189bf0e3fp-12, -0x1.9bf4280eee318p-12, -0x1.9027dc2178246p-12, -0x1.84af06681b307p-12, -0x1.798766c38d1abp-12, -0x1.6eae65f686082p-12, -0x1.6420f4853a3fap-12, -0x1.59dbb1c2706b2p-12, -0x1.4fdb621016c53p-12, -0x1.461d8ac1a1cb9p-12, -0x1.3ca0e108cb8dp-12, -0x1.33653ffd7bd06p-12, -0x1.2a6b215cb5848p-12, -0x1.21b2ecb891659p-12, -0x1.193c87e141cd5p-12, -0x1.1107518e33d1p-12, -0x1.09125a10f82d2p-12, -0x1.015c8bad09f09p-12, -0x1.f3c93d6623469p-13, -0x1.e551a114a6833p-13, -0x1.d74d4cd54129cp-13, -0x1.c9b5e95970a23p-13, -0x1.bc84779ec2ce6p-13, -0x1.afb246bb3fed6p-13, -0x1.a339a4eaa1bb1p-13, -0x1.971632efe0f64p-13, -0x1.8b4510afc6969p-13, -0x1.7fc4f542bf00bp-13, -0x1.7495f0c34ebc3p-13, -0x1.69b8aa913314bp-13, -0x1.5f2d8169b0533p-13, -0x1.54f4391a5f443p-13, -0x1.4b0c4bb4af27ap-13, -0x1.4175524c3133dp-13, -0x1.382f2837ec1a1p-13, -0x1.2f39c2c279387p-13, -0x1.26949e7ec8785p-13, -0x1.1e3dda24f58d4p-13, -0x1.1631a85aaa1bfp-13, -0x1.0e6aa084ed5fep-13, -0x1.06e2b70f6126ep-13, -0x1.ff289208a9c5cp-14, -0x1.f0f5bca17f8ecp-14, -0x1.e32710bb029abp-14, -0x1.d5b9997cb36bcp-14, -0x1.c8ac4f959782bp-14, -0x1.bbfefba085fe6p-14, -0x1.afb183c044aacp-14, -0x1.a3c38f6489a33p-14, -0x1.9834770508785p-14, -0x1.8d038a5fa6ccdp-14, -0x1.82302d6208338p-14, -0x1.77b9ee4af9e01p-14, -0x1.6da0b46b197b2p-14, -0x1.63e3e442f4833p-14, -0x1.5a80c28d10625p-14, -0x1.5172644b157b4p-14, -0x1.48b377c5789adp-14, -0x1.403fd4ffb6054p-14, -0x1.381497c861726p-14, -0x1.302f3349996b8p-14, -0x1.288c6e299ab2ep-14, -0x1.212803cb8fa51p-14, -0x1.19fd2fcf3ac5p-14, -0x1.1307869fef161p-14, -0x1.0c4384d4b5bbfp-14, -0x1.05af8517ceb01p-14, -0x1.fe9941695ae0dp-15, -0x1.f23a64a96ddecp-15, -0x1.e643c7158018ep-15, -0x1.dab244904add8p-15, -0x1.cf838145dbe62p-15, -0x1.c4b8fd0d6e578p-15, -0x1.ba52b1f9555fdp-15, -0x1.b049a22e3dd35p-15, -0x1.a692fc1a59158p-15, -0x1.9d2630242e94ep-15, -0x1.93fee64bc6207p-15, -0x1.8b1bd8f438e09p-15, -0x1.827deb6765762p-15, -0x1.7a280c123acb2p-15, -0x1.721e40a6c61ecp-15, -0x1.6a62b389f74f8p-15, -0x1.62f1c02c50fep-15, -0x1.5bbff9451131p-15, -0x1.54bd2c0165bf1p-15, -0x1.4ddd4e35a0763p-15, -0x1.472289bb54c56p-15, -0x1.4099fba76ecc4p-15, -0x1.3a4935edb0c6fp-15, -0x1.3428439f97d4p-15, -0x1.2e32917f3cbd9p-15, -0x1.286ec23604f48p-15, -0x1.22e0250f101c6p-15, -0x1.1d7f0d08e883fp-15, -0x1.1841910fe3077p-15, -0x1.13229a6fddcc2p-15, -0x1.0e213e6cd08fap-15, -0x1.093dd1cd51c22p-15, -0x1.047823866c932p-15, -0x1.ff9eb9d34d828p-16, -0x1.f68670db2727dp-16, -0x1.edab0bfa23204p-16, -0x1.e51449179d93dp-16, -0x1.dcc933f530a37p-16, -0x1.d4c9cdd42e604p-16, -0x1.cd09305b3265dp-16, -0x1.c56b3cb3aa001p-16, -0x1.bdda1a7e52e63p-16, -0x1.b66641e08b44ap-16, -0x1.af295236491edp-16, -0x1.a814d325bbfc3p-16, -0x1.a1183f91eed9dp-16, -0x1.9a477951501b3p-16, -0x1.93ae157f0f04ep-16, -0x1.8d3d04df00f14p-16, -0x1.86e5b38bc707cp-16, -0x1.80a43e36caad7p-16, -0x1.7a79c1172bfb5p-16, -0x1.7467abe562edap-16, -0x1.6e6e899f62ae9p-16, -0x1.688e0c8b42ca5p-16, -0x1.62c5256edf568p-16, -0x1.5d1236a87a005p-16, -0x1.5773f34309d58p-16, -0x1.51eabde309a29p-16, -0x1.4c78f02b1ebfep-16, -0x1.4720d7f7daffp-16, -0x1.41e3b6902ac7ap-16, -0x1.3cc39d2541f78p-16, -0x1.37ba563566bbep-16, -0x1.32b5a65dc0d82p-16, -0x1.2dba942a16e97p-16, -0x1.28d19db2f71f3p-16, -0x1.23e98bec5575ep-16, -0x1.1f0f2a502b7cep-16, -0x1.1a5331f267013p-16, -0x1.15a9629728433p-16, -0x1.11071412e693cp-16, -0x1.0c6ba3c8d3815p-16, -0x1.07d92454f8c13p-16, -0x1.0350e180e4dfdp-16, -0x1.fda648b917b65p-17, -0x1.f4bf63100d8a3p-17, -0x1.ebec6af0fd029p-17, -0x1.e32cedf23888p-17, -0x1.da8090f13f212p-17, -0x1.d1e6a277f2b73p-17, -0x1.c95de4e69c672p-17, -0x1.c0e5165edbc1cp-17, -0x1.b87becf15846dp-17, -0x1.b0228a7b365c1p-17, -0x1.a7d79af7f66ccp-17, -0x1.9fa01d31bcb72p-17, -0x1.978eea5bd3d99p-17, -0x1.8f98689c31d2bp-17, -0x1.87a1453944ceap-17, -0x1.7fa9880b59f88p-17, -0x1.77af9d7ed0e4ep-17, -0x1.6fd8190a2a599p-17, -0x1.681c9d802b587p-17, -0x1.606917836bbdcp-17, -0x1.58bc4c4e52d82p-17, -0x1.511a2180626b8p-17, -0x1.4984ed64d87fp-17, -0x1.41fd80f9bd32ap-17, -0x1.3a83e5b601978p-17, -0x1.3317db5e2713p-17, -0x1.2bb91881f96a4p-17, -0x1.2467770f15927p-17, -0x1.1d230ef0f4093p-17, -0x1.15ec2c485e695p-17, -0x1.0ec301198997cp-17, -0x1.07a7968dcbcaap-17, -0x1.00991244dff0bp-17, -0x1.f32d72a6acbc3p-18, -0x1.e540b71332469p-18, -0x1.d76b901171315p-18, -0x1.c9ab775ed4caap-18, -0x1.bc0bdce9a5473p-18, -0x1.aeada2ea40135p-18, -0x1.a16ea2b7b9094p-18, -0x1.9424284c4aad1p-18, -0x1.86e6b6df23e9cp-18, -0x1.79e4da5ac0358p-18, -0x1.6d047bf35a13ap-18, -0x1.60361aa339d5ap-18, -0x1.537ef81e95cap-18, -0x1.46e38223b5f26p-18, -0x1.3a655c6873d57p-18, -0x1.2e0502f564b37p-18, -0x1.21c296b9295bcp-18, -0x1.159e1cd37e9f9p-18, -0x1.0997912daa7acp-18, -0x1.fb5e2342adca5p-19, -0x1.e3c86b6780e86p-19, -0x1.cc6ff7fc0245fp-19, -0x1.b5547d5b35a96p-19, -0x1.9e776c9967cc5p-19, -0x1.87d95c5cf412p-19, -0x1.717a1bfbf0063p-19, -0x1.5b5871b5aae14p-19, -0x1.45732563bcbc5p-19, -0x1.2fcac26a3ebecp-19, -0x1.1a6106c63959cp-19, -0x1.05337973cf815p-19, -0x1.e085e4f5fd0b1p-20, -0x1.b768c4f8e37bep-20, -0x1.8ecec44ace0cp-20, -0x1.665e94b1017a5p-20, -0x1.3eabe7274a7p-20, -0x1.178ce721cad42p-20, -0x1.e1b25ff7a548ap-21, -0x1.9541aa64f25c4p-21, -0x1.49d98281de97dp-21, -0x1.fefbf59833c5p-22, -0x1.6c5f2e6496283p-22, -0x1.b7b96e118b33dp-23, -0x1.35d25a4e6b0dfp-24, 0x1.f6c68077cae44p-25, 0x1.9214586973fbep-23, 0x1.5123fe9c5efe2p-22, 0x1.d721a4bbbb502p-22, 0x1.2d8289f14e902p-21, 0x1.6e66c23ba247ap-21, 0x1.ae3cb5df33525p-21, 0x1.ed03701afd8cbp-21, 0x1.155d4048ee6a9p-20, 0x1.33b15e0e293eap-20, 0x1.517f2d341f517p-20, 0x1.6ec7fdf435c57p-20, 0x1.8b8bf84243ffbp-20, 0x1.a7c8b3f413b05p-20, 0x1.c37cda1e484c9p-20, 0x1.deb16a5d30b21p-20, 0x1.f9632d160f54p-20, 0x1.09bce895ab05ap-19, 0x1.16900e5a2e7dbp-19, 0x1.2314f793e9778p-19, 0x1.2f5cca43feb79p-19, 0x1.3b6678aa0190bp-19, 0x1.472e969085f75p-19, 0x1.52b4cf49b02c9p-19, 0x1.5df97de20c183p-19, 0x1.68fd06680fe3cp-19, 0x1.73bfc3641af2ap-19, 0x1.7e4209cc77738p-19, 0x1.88842dddad9bp-19, 0x1.92868644710afp-19, 0x1.9c496d3663ad6p-19, 0x1.a5cd4080c3a75p-19, 0x1.af1260b6321fcp-19, 0x1.b8193044a14e3p-19, 0x1.c0e2112e1e4c4p-19, 0x1.c96d60f47051p-19, 0x1.d1bb78e745ae4p-19, 0x1.d9ccb5d63c9b8p-19, 0x1.e1a18606dfd92p-19, 0x1.e93a6efba3436p-19, 0x1.f098075f18cc7p-19, 0x1.f7bae58c7e43cp-19, 0x1.fea36518f27cep-19, 0x1.02a8b163effcep-18, 0x1.05e28c12d9c55p-18, 0x1.090080931b00ep-18, 0x1.0c037bd775355p-18, 0x1.0ee9079c3820dp-18, 0x1.11b0e10be3f4dp-18, 0x1.145e31143d8abp-18, 0x1.16f13321a68f5p-18, 0x1.19693626c67cbp-18, 0x1.1bc6669ab9959p-18, 0x1.1e0914b4e6cb1p-18, 0x1.20318e5cc3a5bp-18, 0x1.22401ea27c62dp-18, 0x1.24350fe8da59p-18, 0x1.2610aaae86fabp-18, 0x1.27d338d494055p-18, 0x1.297d046faacafp-18, 0x1.2b0e582755221p-18, 0x1.2c877f3c02da6p-18, 0x1.2de8c568b845p-18, 0x1.2f3276ce6372cp-18, 0x1.3064dfe033b3ap-18, 0x1.31804d2b3f15p-18, 0x1.32850af8c9823p-18, 0x1.337365199959bp-18, 0x1.344ba7b0d6811p-18, 0x1.350e209397bcbp-18, 0x1.35bb1f92c0e74p-18, 0x1.3652f5c2261c8p-18, 0x1.36d5f49a0d13fp-18, 0x1.3744697069988p-18, 0x1.379e95ac43a77p-18, 0x1.37e4bb07ee868p-18, 0x1.3817486340573p-18, 0x1.3836e12caf5a7p-18, 0x1.3843400df1c32p-18, 0x1.383c93768a2bfp-18, 0x1.38236535d668fp-18, 0x1.37f86b4ea027cp-18, 0x1.37bb912dcdf7ap-18, 0x1.376d6dbb0ca19p-18, 0x1.370dfefe875c1p-18, 0x1.369da9262807bp-18, 0x1.361cbed26972cp-18, 0x1.358b8dcdb8d6cp-18, 0x1.34ea638f8a4a1p-18, 0x1.34398d2fa1c39p-18, 0x1.337957764877cp-18, 0x1.32aa0eda1f1f4p-18, 0x1.31cbffc704fb9p-18, 0x1.30df755b82f4dp-18, 0x1.2fe4bbe1d56aap-18, 0x1.2edc1e41498d5p-18, 0x1.2dc5e74301b4ep-18, 0x1.2ca261555f208p-18, 0x1.2b71d61f853c4p-18, 0x1.2a34914d253edp-18, 0x1.28eae8df47ba1p-18, 0x1.2795a39ea26e7p-18, 0x1.26333b2aa6d82p-18, 0x1.24c5ca67627e1p-18, 0x1.234d1539c102cp-18, 0x1.21c95564e4e71p-18, 0x1.203ace99ec7aep-18, 0x1.1ea1c4da25888p-18, 0x1.1cfe7e86b2316p-18, 0x1.1b514ce9200e6p-18, 0x1.199a6aa791319p-18, 0x1.17d9f3e401939p-18, 0x1.16107132a5025p-18, 0x1.143e03dcf2ba7p-18, 0x1.1262d490e9dap-18, 0x1.107f4bdcc220cp-18, }}, 
      {{-0x1.c219ffe901a08p+0, -0x1.beeba23ff392bp+0, -0x1.b9b43f62c24ffp+0, -0x1.b2922dc733321p+0, -0x1.a9abf33a292e9p+0, -0x1.9f2dbbf6e3e71p+0, -0x1.93471010724cfp+0, -0x1.8628e1cda515bp+0, -0x1.7803fb15e42eap+0, -0x1.6907c5213085ap+0, -0x1.596160af4083fp+0, -0x1.493b036ca1439p+0, -0x1.38bb8f33bcd67p+0, -0x1.280658864eb39p+0, -0x1.173b1282f07dp+0, -0x1.0675d79a67828p+0, -0x1.eb9e8f0173545p-1, -0x1.cab968412aa62p-1, -0x1.aa60b0f475798p-1, -0x1.8ab32aaeb4facp-1, -0x1.6bca614e8bafp-1, -0x1.4dbb2a42ab183p-1, -0x1.309621038e8ecp-1, -0x1.14681e7f2f59bp-1, -0x1.f27553f3bfac1p-2, -0x1.be28c4d7428f4p-2, -0x1.8bf2bf84f7b22p-2, -0x1.5bd7177711779p-2, -0x1.2dd5e4a9d8b6bp-2, -0x1.01ec143849451p-2, -0x1.b027d298250e4p-3, -0x1.608adee41df5bp-3, -0x1.14edbf0678903p-3, -0x1.9a73df3baca51p-4, -0x1.12ad22494f5f3p-4, -0x1.24a3b286dbd51p-5, -0x1.929cbe454f8c4p-8, 0x1.64151ac59b85bp-6, 0x1.88ee08baffbb7p-5, 0x1.2967ec8a56791p-4, 0x1.8814e1c054eaep-4, 0x1.e0bac766bdb57p-4, 0x1.19cb18bc14188p-3, 0x1.4071911016616p-3, 0x1.646e68f704f27p-3, 0x1.85dec0aa37537p-3, 0x1.a4df29964accdp-3, 0x1.c18b97b2dd8c5p-3, 0x1.dbff561ca8d59p-3, 0x1.f454fe15e906p-3, 0x1.055337f0632bcp-2, 0x1.0f86669edd75ap-2, 0x1.18d03abe7611p-2, 0x1.213c8183633ddp-2, 0x1.28d6a514d00dep-2, 0x1.2fa9ac757018ap-2, 0x1.35c03bd039285p-2, 0x1.3b24951356f7ap-2, 0x1.3fe098cc32bc1p-2, 0x1.43fdc73dbeaap-2, 0x1.478541ac592d7p-2, 0x1.4a7fcbda9ea6dp-2, 0x1.4cf5cdb19fbep-2, 0x1.4eef550e12f12p-2, 0x1.507417ac4e8f4p-2, 0x1.518b752d3bb2ap-2, 0x1.523c792f4f27fp-2, 0x1.528ddd7781caep-2, 0x1.52860c271e3a8p-2, 0x1.522b21fb9d9b9p-2, 0x1.5182f096a2df9p-2, 0x1.509300cc111c1p-2, 0x1.4f6094f413ad5p-2, 0x1.4df0ab3fb4c62p-2, 0x1.4c48000d052b6p-2, 0x1.4a6b1039ddef9p-2, 0x1.485e1b7239a3bp-2, 0x1.4625267990c82p-2, 0x1.43c3fd6d9d638p-2, 0x1.413e36012abecp-2, 0x1.3e9731af309aep-2, 0x1.3bd21fe537b63p-2, 0x1.38f2002317f8ep-2, 0x1.35f9a4113995dp-2, 0x1.32ebb189c1f12p-2, 0x1.2fcaa492f55d6p-2, 0x1.2c98d15154822p-2, 0x1.295865de3d533p-2, 0x1.260b6c22ec36ap-2, 0x1.22b3cb91331aep-2, 0x1.1f534ade04f19p-2, 0x1.1beb91ac6d041p-2, 0x1.187e2a1fa426bp-2, 0x1.150c8277e1618p-2, 0x1.1197ee86ba098p-2, 0x1.0e21a9234284ap-2, 0x1.0aaad5940ae35p-2, 0x1.073480cf8bb89p-2, 0x1.03bfa2cb8620ap-2, 0x1.004d1fad032fcp-2, 0x1.f9bb91c42d186p-3, 0x1.f2e4bc989ff36p-3, 0x1.ec171e80440e7p-3, 0x1.e553f7102b2b7p-3, 0x1.de9c68cca4a4ap-3, 0x1.d7f17ae3e3bacp-3, 0x1.d1541afdad197p-3, 0x1.cac51eea8340bp-3, 0x1.c445461eb6c6bp-3, 0x1.bdd53b3e6631fp-3, 0x1.b775957d3e376p-3, 0x1.b126d9e0ee6c5p-3, 0x1.aae97c8ac9b67p-3, 0x1.a4bde1dc752d3p-3, 0x1.9ea45f89505f5p-3, 0x1.989d3dad56cfdp-3, 0x1.92a8b7c53907fp-3, 0x1.8cc6fd9602f81p-3, 0x1.86f8341abb1cp-3, 0x1.813c7656e580ap-3, 0x1.7b93d616360c5p-3, 0x1.75fe5cb4ba22ep-3, 0x1.707c0bcf0cc52p-3, 0x1.6b0cdddcfea94p-3, 0x1.65b0c6d56215ap-3, 0x1.6067b4c210725p-3, 0x1.5b31903bbcc42p-3, 0x1.560e3ceb869fp-3, 0x1.50fd9a090a223p-3, 0x1.4bff82c0a66b8p-3, 0x1.4713ce96f1e25p-3, 0x1.423a51d23476p-3, 0x1.3d72ddd4738a5p-3, 0x1.38bd41679b624p-3, 0x1.3419490fbbb26p-3, 0x1.2f86bf5c0bef1p-3, 0x1.2b056d2592188p-3, 0x1.269519cabc6eap-3, 0x1.22358b70eb1c4p-3, 0x1.1de6873e21bbcp-3, 0x1.19a7d1867e54fp-3, 0x1.15792df8f5e04p-3, 0x1.115a5fcf94a14p-3, 0x1.0d4b29f920607p-3, 0x1.094b4f38ec3d8p-3, 0x1.055a9246048p-3, 0x1.0178b5ee3b7c8p-3, 0x1.fb4afa670baeap-4, 0x1.f3c156c2ed6e4p-4, 0x1.ec540843be5e3p-4, 0x1.e502972949f35p-4, 0x1.ddcc8cc96219cp-4, 0x1.d6b173ac63f71p-4, 0x1.cfb0d7a5dc789p-4, 0x1.c8ca45f20dee3p-4, 0x1.c1fd4d5271478p-4, 0x1.bb497e21ea2ddp-4, 0x1.b4ae6a6156de5p-4, 0x1.ae2ba5c563b65p-4, 0x1.a7c0c5c87ac2dp-4, 0x1.a16d61b8f2c75p-4, 0x1.9b3112bed881p-4, 0x1.950b73de960fdp-4, 0x1.8efc21ffeafc6p-4, 0x1.8902bbf69eaf8p-4, 0x1.831ee285664f5p-4, 0x1.7d50385b4b3bap-4, 0x1.779662114fffp-4, 0x1.71f1062b885fbp-4, 0x1.6c5fcd19e1bfcp-4, 0x1.66e26134e4963p-4, 0x1.61786eb755763p-4, 0x1.5c21a3b79b816p-4, 0x1.56ddb023e08eep-4, 0x1.51ac45be18576p-4, 0x1.4c8d18166a633p-4, 0x1.477fdc83f31f1p-4, 0x1.42844a16a152bp-4, 0x1.3d9a1994e247ap-4, 0x1.38c10573bdad2p-4, 0x1.33f8c9cfb684p-4, 0x1.2f412462a9dafp-4, 0x1.2a99d479025f3p-4, 0x1.26029ae8e964cp-4, 0x1.217b3a0b0d422p-4, 0x1.1d0375b25677p-4, 0x1.189b132219715p-4, 0x1.1441d903abee1p-4, 0x1.0ff78f5c5ef9fp-4, 0x1.0bbbff84b4e7p-4, 0x1.078ef42019f83p-4, 0x1.037039142a2bfp-4, 0x1.febf36fea3acbp-5, 0x1.f6b9d35d7c445p-5, 0x1.eecfe629234d9p-5, 0x1.e701107f47dfdp-5, 0x1.df4cf5a72e723p-5, 0x1.d7b33b01e2a75p-5, 0x1.d03387f7d726bp-5, 0x1.c8cd85e6364c7p-5, 0x1.c180e00e1b341p-5, 0x1.ba4d4384e9846p-5, 0x1.b3325f272addap-5, 0x1.ac2fe388bff16p-5, 0x1.a54582e4f6dccp-5, 0x1.9e72f10ef8c52p-5, 0x1.97b7e3631198fp-5, 0x1.911410b94bb2p-5, 0x1.8a873158a9ccbp-5, 0x1.8410fee9c6892p-5, 0x1.7db13469dc6bcp-5, 0x1.77678e1e511bp-5, 0x1.7133c98843137p-5, 0x1.6b15a5585ec7fp-5, 0x1.650ce16388468p-5, 0x1.5f193e9829858p-5, 0x1.593a7ef405b1p-5, 0x1.5370657a52d61p-5, 0x1.4dbab629a4c2ep-5, 0x1.481935f15febbp-5, 0x1.428baaa81974ep-5, 0x1.3d11db030952dp-5, 0x1.37ab8e8e41183p-5, 0x1.32588da4e919p-5, 0x1.2d18a1694a8a3p-5, 0x1.27eb93bca154bp-5, 0x1.22d12f37295f4p-5, 0x1.1dc93f2118fcap-5, 0x1.18d38f6c9c8c7p-5, 0x1.13efecb008ff1p-5, 0x1.0f1e241fc963dp-5, 0x1.0a5e03882d264p-5, 0x1.05af594772761p-5, 0x1.0111f4484a6bep-5, 0x1.f90b47f9eb0eap-6, 0x1.f01470b5c4023p-6, 0x1.e73f03acba3b8p-6, 0x1.de8aa2bc245f5p-6, 0x1.d5f6f0ad29b68p-6, 0x1.cd83912cb514ap-6, 0x1.c53028c450a9dp-6, 0x1.bcfc5cd392ca4p-6, 0x1.b4e7d389c6863p-6, 0x1.acf233dfb770bp-6, 0x1.a51b259185248p-6, 0x1.9d625118b5695p-6, 0x1.95c75fa6fbe68p-6, 0x1.8e49fb21c1f0bp-6, 0x1.86e9ce1e11907p-6, 0x1.7fa683dc6b6b8p-6, 0x1.787fc844732abp-6, 0x1.717547e0f53d6p-6, 0x1.6a86afdc70e8p-6, 0x1.63b3adfd7f23fp-6, 0x1.5cfbf0a46327ap-6, 0x1.565f26c8d286bp-6, 0x1.4fdcfff79c3e8p-6, 0x1.49752c500cea3p-6, 0x1.43275c816fcf4p-6, 0x1.3cf341c8d15cap-6, 0x1.36d88def5353p-6, 0x1.30d6f348cc38bp-6, 0x1.2aee24b2bca71p-6, 0x1.251dd5932ec79p-6, 0x1.1f65b9d7902f7p-6, 0x1.19c585f373ceap-6, 0x1.143ceedf68471p-6, 0x1.0ecbaa1801a21p-6, 0x1.09716d9d47a69p-6, 0x1.042deff26d5e7p-6, 0x1.fe01d03b3cd7cp-7, 0x1.f3d41b4f6d1dap-7, 0x1.e9d23137cc541p-7, 0x1.dffb830e8a61ep-7, 0x1.d64f82f19ddd3p-7, 0x1.cccda40045192p-7, 0x1.c3755a5f514e2p-7, 0x1.ba461b34c6553p-7, 0x1.b13f5cab78b53p-7, 0x1.a86095f28ef8fp-7, 0x1.9fa93f3dd4b84p-7, 0x1.9718d1c5e638bp-7, 0x1.8eaec7c876cc4p-7, 0x1.866a9c88b78e2p-7, 0x1.7e4bcc4ff7d3cp-7, 0x1.7651d46e8221cp-7, 0x1.6e7c333c6b0eap-7, 0x1.66ca681a76a94p-7, 0x1.5f3bf372c9cd9p-7, 0x1.57d056b990365p-7, 0x1.5087146d91abcp-7, 0x1.495fb018cb6acp-7, 0x1.4259ae512cbbap-7, 0x1.3b7494b9622bdp-7, 0x1.34afea01b40fp-7, 0x1.2e0b35e8e495p-7, 0x1.2786013cdc9cbp-7, 0x1.211fd5db64ea7p-7, 0x1.1ad83eb2abdafp-7, 0x1.14aec7c1c8fa6p-7, 0x1.0ea2fe195d2d5p-7, 0x1.08b46fdc08e8ap-7, 0x1.02e2ac3f0c7e7p-7, 0x1.fa5a8715bd69fp-8, 0x1.ef278e376df57p-8, 0x1.e42b92c380fa1p-8, 0x1.d965bbc1ab83fp-8, 0x1.ced53263bba7ap-8, 0x1.c47922072a2c7p-8, 0x1.ba50b83273114p-8, 0x1.b05b2495a63a2p-8, 0x1.a697990ba5818p-8, 0x1.9d05499a34c36p-8, 0x1.93a36c71f7e4dp-8, 0x1.8a7139ee489b8p-8, 0x1.816dec94ecf6bp-8, 0x1.7898c115b17a4p-8, 0x1.6ff0f649f5b7p-8, 0x1.6775cd3410a3p-8, 0x1.5f2688feb4a9cp-8, 0x1.57026efc25da8p-8, 0x1.4f08c6a54ee08p-8, 0x1.4738d998ad2a9p-8, 0x1.3f91f39917a2cp-8, 0x1.3813628c5664cp-8, 0x1.30bc7679c56e6p-8, 0x1.298c8188e6fcfp-8, 0x1.2282d80014506p-8, 0x1.1b9ed0431bdb1p-8, 0x1.14dfc2d1ade71p-8, 0x1.0e450a4585f63p-8, 0x1.07ce035042c89p-8, 0x1.017a0cb8dd004p-8, 0x1.f6910eb1dea53p-9, 0x1.ea71ac33c4981p-9, 0x1.de94bbe4b864p-9, 0x1.d2f90bc7d0afap-9, 0x1.c79d6df207015p-9, 0x1.bc80b887cbf02p-9, 0x1.b1a1c5b66e4a1p-9, 0x1.a6ff73b324822p-9, 0x1.9c98a4b29e563p-9, 0x1.926c3ee28aebfp-9, 0x1.88792c60c0a1cp-9, 0x1.7ebe5b3231a4bp-9, 0x1.753abd3a4dbd3p-9, 0x1.6bed483388d78p-9, 0x1.62d4f5a9a4788p-9, 0x1.59f0c2f53352ap-9, 0x1.513fb137e423cp-9, 0x1.48c0c558a2ea5p-9, 0x1.407307fdd5679p-9, 0x1.385585868f0b6p-9, 0x1.30674e01494e5p-9, 0x1.28a77521adeacp-9, 0x1.211512361245cp-9, 0x1.19af401d7332cp-9, 0x1.12751d3eb1982p-9, 0x1.0b65cb80bc15p-9, 0x1.0480704357f72p-9, 0x1.fb8868af2c9f9p-10, 0x1.ee6087eecc54dp-10, 0x1.e1879d78c4955p-10, 0x1.d4fc0f2d06aabp-10, 0x1.c8bc4987d6e4cp-10, 0x1.bcc6bf95d6273p-10, 0x1.b119eaed101dcp-10, 0x1.a5b44baa1303fp-10, 0x1.9a94686d1bb1p-10, 0x1.8fb8ce4b422f2p-10, 0x1.852010d08d284p-10, 0x1.7ac8c9b61c4aap-10, 0x1.70b198d83a009p-10, 0x1.66d923eb7c1e5p-10, 0x1.5d3e164d6a724p-10, 0x1.53df20de6638fp-10, 0x1.4abaf9f42879ep-10, 0x1.41d05d67b321dp-10, 0x1.391e0cbe62a9bp-10, 0x1.30a2cf5a0c8fcp-10, 0x1.285d72a6a86ebp-10, 0x1.204cca4d57cf2p-10, 0x1.186fafece8a6bp-10, 0x1.10c5031605305p-10, 0x1.094ba8c75f12ap-10, 0x1.02028af960f3dp-10, 0x1.f5d13049ddc18p-11, 0x1.e7f985d1af245p-11, 0x1.da7c03c66b1efp-11, 0x1.cd569f91f31f5p-11, 0x1.c087576be5d9ap-11, 0x1.b40c334327e45p-11, 0x1.a7e345b42a0f7p-11, 0x1.9c0aacc937244p-11, 0x1.9080924ad8386p-11, 0x1.85432b7f48beep-11, 0x1.7a50b8578f212p-11, 0x1.6fa7822e80bd9p-11, 0x1.6545da5a1b75dp-11, 0x1.5b2a18e0735p-11, 0x1.51529b9ac9a3cp-11, 0x1.47bdc5e7da46ep-11, 0x1.3e6a00f424652p-11, 0x1.3555bcc6ffc2p-11, 0x1.2c7f712faab9fp-11, 0x1.23e59ec9fb86ep-11, 0x1.1b86cfdb2919fp-11, 0x1.136198b2f18f7p-11, 0x1.0b7497903ffc9p-11, 0x1.03be7407d508cp-11, 0x1.f87bbbfb91e3p-12, 0x1.e9e318bab8e13p-12, 0x1.dbb077a92beb4p-12, 0x1.cde15bc8ef91fp-12, 0x1.c07351275ecd1p-12, 0x1.b363ecd67a438p-12, 0x1.a6b0cf80bd419p-12, 0x1.9a57a600cee92p-12, 0x1.8e562afb910c3p-12, 0x1.82aa2709b6af7p-12, 0x1.77517160309a2p-12, 0x1.6c49eeb11223cp-12, 0x1.619190e29f7a6p-12, 0x1.572656f4bf006p-12, 0x1.4d064c60799bbp-12, 0x1.432f87f025ba4p-12, 0x1.39a02a2d4d722p-12, 0x1.30565bf994c7p-12, 0x1.27504e0e60c0fp-12, 0x1.1e8c39c344dfdp-12, 0x1.160862c0379ap-12, 0x1.0dc318a46012bp-12, 0x1.05bab7a343f68p-12, 0x1.fbdb4f592ac9ap-13, 0x1.ecb4b525928afp-13, 0x1.ddfe946e01b59p-13, 0x1.cfb5ef488d7f9p-13, 0x1.c1d7d6c1af938p-13, 0x1.b4616cdbd389ap-13, 0x1.a74fe61c9de4ep-13, 0x1.9aa0894a0b303p-13, 0x1.8e50ad6bd1374p-13, 0x1.825db7751e02cp-13, 0x1.76c5194894e2p-13, 0x1.6b8452ccb8c63p-13, 0x1.6098f45509218p-13, 0x1.5600a0b6abb1bp-13, 0x1.4bb90da970f35p-13, 0x1.41c001f9a2dc9p-13, 0x1.3813529cd9c8p-13, 0x1.2eb0dfe425c67p-13, 0x1.25969495affbep-13, 0x1.1cc265103519bp-13, 0x1.1432534c51763p-13, 0x1.0be46ee444f02p-13, 0x1.03d6d5a224a0ap-13, 0x1.f80f673ec29cbp-14, 0x1.e8ea852e4d679p-14, 0x1.da3b9362cbb8p-14, 0x1.cbff39e22438bp-14, 0x1.be3236b4d3e6ep-14, 0x1.b0d157c526798p-14, 0x1.a3d97592c1a0ep-14, 0x1.9747726da9804p-14, 0x1.8b183e933668fp-14, 0x1.7f48dda48cbdcp-14, 0x1.73d669affd124p-14, 0x1.68be1367f62b9p-14, 0x1.5dfd2078e4a63p-14, 0x1.5390ec99ca0ebp-14, 0x1.4976e72396015p-14, 0x1.3fac9484ec03bp-14, 0x1.362f8c70fc61ap-14, 0x1.2cfd80d4892e2p-14, 0x1.241442880f33fp-14, 0x1.1b71c349c0268p-14, 0x1.13140d51d24e2p-14, 0x1.0af931f545f89p-14, 0x1.031f38e15a8dbp-14, 0x1.f70835e536aacp-15, 0x1.e84b9547bb804p-15, 0x1.da048f1526f9ap-15, 0x1.cc2f394cf381dp-15, 0x1.bec7f0b42599p-15, 0x1.b1cb1fbd5e11fp-15, 0x1.a5354bf781a15p-15, 0x1.99030dda230f9p-15, 0x1.8d311420f83d3p-15, 0x1.81bc2a070edbfp-15, 0x1.76a140bbd5d05p-15, 0x1.6bdd7e017918ep-15, 0x1.616e4a53c1428p-15, 0x1.5751502770fdfp-15, 0x1.4d84617fbd49dp-15, 0x1.44054d494d1aap-15, 0x1.3ad1bed4cb90fp-15, 0x1.31e73d0be245bp-15, 0x1.294344efae153p-15, 0x1.20e366bdaa198p-15, 0x1.18c553779c31ep-15, 0x1.10e6dbdb31accp-15, 0x1.0945e88a7b26cp-15, 0x1.01e06e2db9ae3p-15, 0x1.f568c02fc0529p-16, 0x1.e77f525dcaaf2p-16, 0x1.da00651ccf17ap-16, 0x1.cce7ed4d28917p-16, 0x1.c0322fa948f94p-16, 0x1.b3dbe28496e4ep-16, 0x1.a7e233f2e15cp-16, 0x1.9c42af861a0bdp-16, 0x1.90faf2cc8ddf2p-16, 0x1.8608741a8070bp-16, 0x1.7b687559056d8p-16, 0x1.71181f14dd716p-16, 0x1.6714b7e80a35cp-16, 0x1.5d5b9cf3a53f6p-16, 0x1.53ea401d9c37ep-16, 0x1.4abe2af2ba19fp-16, 0x1.41d5100a5946fp-16, 0x1.392cccbf5dff9p-16, 0x1.30c3513d1c45ep-16, 0x1.28967f9eccac5p-16, 0x1.20a419d7cd2b1p-16, 0x1.18e9cc6076ddcp-16, 0x1.116551b754713p-16, 0x1.0a149b78b6ecfp-16, 0x1.02f5ea519ed09p-16, 0x1.f80f8c6507a32p-17, 0x1.ea91acde9726ap-17, 0x1.dd6f5ef0d5477p-17, 0x1.d0a584273c7c1p-17, 0x1.c4310358b8932p-17, 0x1.b80f283e01399p-17, 0x1.ac3d97dfbc6abp-17, 0x1.a0b9e7f88cbp-17, 0x1.9581665ad4b01p-17, 0x1.8a914a9cc2325p-17, 0x1.7fe7005659edp-17, 0x1.7580473f920c2p-17, 0x1.6b5b29a7bc698p-17, 0x1.6175cfaedccbcp-17, 0x1.57ce443f4a0c9p-17, 0x1.4e625b9e04f5bp-17, 0x1.452fd3c75fb55p-17, 0x1.3c34a06e3e3ddp-17, 0x1.336f0e3687fb8p-17, 0x1.2adda88055f4p-17, 0x1.227ef1e3d4a8p-17, 0x1.1a51321a5307p-17, 0x1.1252750d3a137p-17, 0x1.0a80cbb300723p-17, 0x1.02dab93688ee8p-17, 0x1.f6beb8cb00689p-18, 0x1.e81bff9087657p-18, 0x1.d9cb0e7299004p-18, 0x1.cbc912f92a4b1p-18, 0x1.be1369270641ep-18, 0x1.b0a7b4686cb32p-18, 0x1.a383b753a4cbfp-18, 0x1.96a56bd958d0bp-18, 0x1.8a0b0e061bccap-18, 0x1.7db2fd5978198p-18, 0x1.719b8cd18844bp-18, 0x1.65c2e2783433dp-18, 0x1.5a270417e73ddp-18, 0x1.4ec62599888aep-18, 0x1.439f083991f52p-18, 0x1.38b0f00572a5bp-18, 0x1.2dfaf90d2fd77p-18, 0x1.237b6bc4d73b3p-18, 0x1.192fdbfecdfacp-18, 0x1.0f15def84525fp-18, 0x1.052bdef50b7a5p-18, 0x1.f6e3318f74e14p-19, 0x1.e3ce2660f405p-19, 0x1.d1165cae7203p-19, 0x1.beb88a49b32c5p-19, 0x1.acb29cd6b70adp-19, 0x1.9b02fc5ab80a4p-19, 0x1.89a7d06cb5756p-19, 0x1.789f59aade1bdp-19, 0x1.67e809e981292p-19, 0x1.578055c445bc9p-19, 0x1.4766a93aa1299p-19, 0x1.37997b3348c2cp-19, 0x1.28175a6980b65p-19, 0x1.18dee20726098p-19, 0x1.09eeaf8e8ba07p-19, 0x1.f68b0bed19978p-20, 0x1.d9c52099a40f1p-20, 0x1.bd8ac83d3c75cp-20, 0x1.a1da1118edf88p-20, 0x1.86afbc1bd4114p-20, 0x1.6c07599e34f6bp-20, 0x1.51dd51cb1128dp-20, 0x1.38300173459aep-20, 0x1.1effaf54e1866p-20, 0x1.064b59368cf5ep-20, 0x1.dc1e72dda0cc5p-21, 0x1.ac9310d1394edp-21, 0x1.7df31445fe2d1p-21, 0x1.503ad63ca524bp-21, 0x1.2367154c09c57p-21, 0x1.eeeaef7c1899dp-22, 0x1.98c732b56429cp-22, 0x1.445d520fc4c9ap-22, 0x1.e34dfc5afe802p-23, 0x1.413bac20968c9p-23, 0x1.44f04b501ca03p-24, 0x1.be716ce4d9061p-29, -0x1.228f42f52ebbfp-24, -0x1.26541c859e5bbp-23, -0x1.b8347e5df0ae8p-23, -0x1.2378dde0f6845p-22, -0x1.694a9edc511dbp-22, -0x1.ad92eda538cd3p-22, -0x1.f056ccb9d83b7p-22, -0x1.18ce7c18ae55bp-21, -0x1.38b42e57f524ep-21, -0x1.57dded0106a9ep-21, -0x1.764e98b973311p-21, -0x1.9408f523ba0e5p-21, -0x1.b10fd5c79c6b5p-21, -0x1.cd63428b422edp-21, -0x1.e90532799c9d7p-21, -0x1.01fc1f9ebeeebp-20, -0x1.0f1f02f1edae1p-20, -0x1.1bebee6a1be52p-20, -0x1.2863c335da9eep-20, -0x1.34874994fc2b8p-20, -0x1.40577f54e5dddp-20, -0x1.4bd565bab9765p-20, -0x1.5701fc43c986p-20, -0x1.61de31a9e6ccp-20, -0x1.6c6ad8a285b05p-20, -0x1.76a8a9a953a5dp-20, -0x1.809887349e015p-20, -0x1.8a3ab78a15da2p-20, -0x1.9390b80845cb4p-20, -0x1.9c9b65844423cp-20, -0x1.a55ba78f6bb61p-20, -0x1.add232a811ceap-20, -0x1.b5ffd20025fcep-20, -0x1.bde531e0bca9p-20, -0x1.c582aa7806593p-20, -0x1.ccd9a64336b32p-20, -0x1.d3ebc1c83cf13p-20, -0x1.dab98ac4962ddp-20, -0x1.e143275de578cp-20, -0x1.e789b520f18f8p-20, -0x1.ed8e31e5dc559p-20, -0x1.f351508ef8115p-20, -0x1.f8d3d30bbe64ap-20, -0x1.fe167ec29a74fp-20, -0x1.018d10717e115p-19, -0x1.03efc5be5d263p-19, -0x1.0633caedec85cp-19, -0x1.08598df82e3ep-19, -0x1.0a616042f5f25p-19, -0x1.0c4c21d4a0ea8p-19, -0x1.0e196d92875c2p-19, -0x1.0fca5ee816728p-19, -0x1.115efa491b9fap-19, -0x1.12d7b6a544e16p-19, -0x1.1434ff4c3ec3p-19, -0x1.15774700fef39p-19, -0x1.169f016ff16e3p-19, -0x1.17ac93ac2502fp-19, -0x1.18a054bb44234p-19, -0x1.197aa4b3dfdb1p-19, -0x1.1a3be05b3eb2fp-19, -0x1.1ae45e60fa345p-19, -0x1.1b74af86b34a8p-19, -0x1.1bed5c3a95ebp-19, -0x1.1c4e914821804p-19, -0x1.1c98c1e473fa5p-19, -0x1.1ccc57ccb09d8p-19, -0x1.1ce9b5076ea89p-19, -0x1.1cf13c24f477fp-19, -0x1.1ce349a47ae26p-19, -0x1.1cc04654ba15cp-19, -0x1.1c88916c0727dp-19, -0x1.1c3c8a430da19p-19, -0x1.1bdc9d314d59bp-19, -0x1.1b695b061f082p-19, -0x1.1ae2871556a35p-19, -0x1.1a4933d2df7bap-19, -0x1.199d77541c8b1p-19, -0x1.18dfb5c1b0c2dp-19, -0x1.18104dfcf0678p-19, -0x1.172f9d26c5139p-19, -0x1.163dfffa14673p-19, -0x1.153bd5c375c89p-19, -0x1.14297ffa7fbfp-19, -0x1.13075fcf07523p-19, -0x1.11d5d20930e04p-19, -0x1.10952bce8020bp-19, -0x1.0f45c0079c068p-19, -0x1.0de7ec567fbffp-19, -0x1.0c7c100877b58p-19, -0x1.0b027e13c6678p-19, -0x1.097ba08d83a8ep-19, -0x1.07e7b9e6d4bb6p-19, -0x1.06472ec14914ep-19, -0x1.049a53cf497b5p-19, -0x1.02e17b6e660dbp-19, -0x1.011cf9fe75e82p-19, -0x1.fe9a475827e17p-20, -0x1.fae497aafe12ap-20, -0x1.f71989f809cd6p-20, -0x1.f339c1a88838fp-20, -0x1.ef45e0a4d4a99p-20, -0x1.eb3e86bef1778p-20, -0x1.e72452496b7adp-20, -0x1.e2f7e474ac1aap-20, -0x1.deb9db9445e56p-20, -0x1.da6acba1585aep-20, -0x1.d60b507d02a8p-20, -0x1.d19bfeecf44c9p-20, -0x1.cd1d6b95bbe48p-20, -0x1.c89028bdb0bd7p-20, -0x1.c3f4c8992b125p-20, -0x1.bf4bde36d799p-20, -0x1.ba95f437340e8p-20, -0x1.b5d37a1d63cd1p-20, -0x1.b105625dc14a6p-20, -0x1.ac2bc4c151994p-20, -0x1.a7474aee26f37p-20, -0x1.a2588214bff02p-20, -0x1.9d60015175ea1p-20, -0x1.985e0c3e96341p-20, -0x1.935365cbcefd3p-20, -0x1.8e407b366e3c5p-20, -0x1.8925aa615ba3ep-20, -0x1.8403902641cf7p-20, -0x1.7eda9cf14f2cap-20, -0x1.79ab450e6379ep-20, -0x1.7475fea028431p-20, -0x1.6f3b3e8d00dbfp-20, -0x1.69fb6ef56b22fp-20, -0x1.64b709fe0e9afp-20, -0x1.5f6e7a47a31d8p-20, -0x1.5a222c17d1c86p-20, -0x1.54d28a6688c84p-20, -0x1.4f7ffe6026b82p-20, -0x1.4a2aef65626b1p-20, -0x1.44d3c30ab2bcfp-20, -0x1.3f7add1966bb4p-20, -0x1.3a209f8aeb13cp-20, -0x1.34c56a7b59c33p-20, -0x1.2f699c24da087p-20, -0x1.2a0d9107164a5p-20, -0x1.24b1a42768124p-20, -0x1.1f562f186209ap-20, -0x1.19fb89c8dcdfap-20, -0x1.14a20a627c772p-20, -0x1.0f4a0506f3e99p-20, -0x1.09f3cb578c87ap-20, -0x1.049fad4220b9dp-20, -0x1.fe9bf5381e8fdp-21, -0x1.f3fe054959688p-21, -0x1.e9661d8fa44c1p-21, -0x1.ded4d323e242fp-21, -0x1.d44aba0fad56ep-21, -0x1.c9c85fafee3bbp-21, -0x1.bf4ea9b71e9fap-21, -0x1.b4dd12b76e424p-21, -0x1.aa75138f91b18p-21, -0x1.a016fba4f8ff3p-21, -0x1.95c332cf8fe78p-21, -0x1.8b7a37f1535ap-21, -0x1.813c82d225dd5p-21, -0x1.770a87ff8c669p-21, -0x1.6ce4b8401d5d9p-21, -0x1.62cb835416424p-21, -0x1.58bf5a016f4ep-21, -0x1.4ec09e6906ee1p-21, -0x1.44cfb9846c04ap-21, -0x1.3aed0e85b370bp-21, -0x1.3118fc8178f97p-21, -0x1.2753e296208b5p-21, -0x1.1d9e12fc4882ap-21, -0x1.13f7aeec1b9f5p-21, -0x1.0a611ecac4b13p-21, -0x1.00d4e69b20d72p-21, -0x1.eecc61060ee87p-22, -0x1.dc0525648faffp-22, -0x1.c95f57690edb4p-22, -0x1.b6dc69cc03e01p-22, -0x1.a47cff69605e2p-22, -0x1.9241b8b863238p-22, -0x1.802b171184d4fp-22, -0x1.6e397ac104a06p-22, -0x1.5c6d741aae56ap-22, -0x1.4ac76d5c152c1p-22, -0x1.3947d9bdaccdep-22, -0x1.27ef217c32802p-22, -0x1.16bda8ab4398bp-22, -0x1.05b3d28fcf8d9p-22, }}, 
      {{-0x1.c2d05b9e5b5ap+0, -0x1.c1bf9e6c2d9b2p+0, -0x1.bffd8260a59d2p+0, -0x1.bd9054095ba8ap+0, -0x1.ba8044c66702cp+0, -0x1.b6d6fd6ea62a3p+0, -0x1.b29f3606e848ap+0, -0x1.ade457c9b1c92p+0, -0x1.a8b22bc9b0219p+0, -0x1.a31496a885932p+0, -0x1.9d1760d478789p+0, -0x1.96c60a3cc87bcp+0, -0x1.902ba8381e355p+0, -0x1.8952cc4c201e7p+0, -0x1.8245728a332fep+0, -0x1.7b0cf6456f675p+0, -0x1.73b20bfbf4695p+0, -0x1.6c3cbf6c4265dp+0, -0x1.64b474f0dc905p+0, -0x1.5d1fed5d7259ap+0, -0x1.55854bb75a837p+0, -0x1.4dea1c3f6cd77p+0, -0x1.46535c5db149fp+0, -0x1.3ec58316f9882p+0, -0x1.374489c92fc7ep+0, -0x1.2fd3f4fb77d79p+0, -0x1.2876dd1a4d8d4p+0, -0x1.212ff700da961p+0, -0x1.1a019c36aaf8cp+0, -0x1.12edd2cdb7126p+0, -0x1.0bf654d840ebap+0, -0x1.051c976c7d8aap+0, -0x1.fcc3a25c4dffcp-1, -0x1.ef8e00ca522cp-1, -0x1.e299e147f95afp-1, -0x1.d5e87fec40694p-1, -0x1.c97ac73a164e6p-1, -0x1.bd5158d8c7a5cp-1, -0x1.b16c9590da8b9p-1, -0x1.a5cca48385952p-1, -0x1.9a7179aa293e3p-1, -0x1.8f5adbbf2d6d8p-1, -0x1.848869a383492p-1, -0x1.79f99f3fe6e24p-1, -0x1.6fadd9e0f9283p-1, -0x1.65a45c1c97b3ep-1, -0x1.5bdc51553d97dp-1, -0x1.5254d0ea7e4bfp-1, -0x1.490ce11c29b0dp-1, -0x1.400379a1b7af8p-1, -0x1.373785f9e8a1bp-1, -0x1.2ea7e77a4328cp-1, -0x1.265377277c1f7p-1, -0x1.1e39075edc9c2p-1, -0x1.1657655594088p-1, -0x1.0ead5a71d4cp-1, -0x1.0739ad801a226p-1, -0x1.fff6478e54fc8p-2, -0x1.f1e103fb8b8a7p-2, -0x1.e4311a4a218aap-2, -0x1.d6e416959b785p-2, -0x1.c9f7886c19b04p-2, -0x1.bd6904012d1c5p-2, -0x1.b136233dd3505p-2, -0x1.a55c86b0bc4c8p-2, -0x1.99d9d66183273p-2, -0x1.8eabc2894d376p-2, -0x1.83d0043307fafp-2, -0x1.79445dc56b79fp-2, -0x1.6f069b78bf52cp-2, -0x1.651493ba5f4afp-2, -0x1.5b6c277fb41dp-2, -0x1.520b428a43a6cp-2, -0x1.48efdb9e30652p-2, -0x1.4017f4ac64e6p-2, -0x1.37819af154b9ap-2, -0x1.2f2ae709d8fedp-2, -0x1.2711fcfe0c646p-2, -0x1.1f350c4458b19p-2, -0x1.17924fbcc3072p-2, -0x1.10280da5ce561p-2, -0x1.08f4978ba0e41p-2, -0x1.01f64a32081d2p-2, -0x1.f6571af3914d7p-3, -0x1.e925a8831822ap-3, -0x1.dc55388548e71p-3, -0x1.cfe2dbd327ce6p-3, -0x1.c3cbb8585513cp-3, -0x1.b80d08b6aa0abp-3, -0x1.aca41be7c66bap-3, -0x1.a18e54da71c8p-3, -0x1.96c92a0e7672bp-3, -0x1.8c52252e54e45p-3, -0x1.8226e2a8a1cd3p-3, -0x1.7845114746508p-3, -0x1.6eaa71c5419ep-3, -0x1.6554d6633f7acp-3, -0x1.5c42227971bd2p-3, -0x1.53704a0959128p-3, -0x1.4add514e7df8cp-3, -0x1.42874c4f3df1fp-3, -0x1.3a6c5e6fbe7aap-3, -0x1.328aba060e953p-3, -0x1.2ae09fee065d1p-3, -0x1.236c5f2635406p-3, -0x1.1c2c54656363ap-3, -0x1.151ee9b929965p-3, -0x1.0e429622e7773p-3, -0x1.0795dd3640248p-3, -0x1.01174eb97f1acp-3, -0x1.f58b0c8d77e82p-4, -0x1.e93e55dd339e6p-4, -0x1.dd45ddba8329dp-4, -0x1.d19f1e0166926p-4, -0x1.c647a5638ae9dp-4, -0x1.bb3d16bf150e2p-4, -0x1.b07d2879ecb66p-4, -0x1.a605a3e20bb99p-4, -0x1.9bd4649335d74p-4, -0x1.91e757e0653fp-4, -0x1.883c7c41f9008p-4, -0x1.7ed1e0c83ce3dp-4, -0x1.75a5a4917bf5cp-4, -0x1.6cb5f643bc36dp-4, -0x1.6401138a864acp-4, -0x1.5b8548980d49ep-4, -0x1.5340efa960ab4p-4, -0x1.4b32708efecf8p-4, -0x1.435840388667p-4, -0x1.3bb0e043bdf2dp-4, -0x1.343ade8f5f24dp-4, -0x1.2cf4d4d18c44ap-4, -0x1.25dd68315af0ap-4, -0x1.1ef348e44bbc9p-4, -0x1.183531ceeebfcp-4, -0x1.11a1e8240d338p-4, -0x1.0b383b1317597p-4, -0x1.04f7036e7db72p-4, -0x1.fdba46a95cc76p-5, -0x1.f1d30bc695fcbp-5, -0x1.e6363dd05caabp-5, -0x1.dae1d52bc0db7p-5, -0x1.cfd3da75b7ffcp-5, -0x1.c50a65f5b84e4p-5, -0x1.ba839f15282a3p-5, -0x1.b03dbbdcf78efp-5, -0x1.a6370074d1448p-5, -0x1.9c6dbea933beap-5, -0x1.92e055743c4bfp-5, -0x1.898d308b10d24p-5, -0x1.8072c7ef3f337p-5, -0x1.778f9f83d46f8p-5, -0x1.6ee246a623c58p-5, -0x1.666957ca5e8cap-5, -0x1.5e23781b034fdp-5, -0x1.560f571d65328p-5, -0x1.4e2bae571e5d2p-5, -0x1.467740f85292p-5, -0x1.3ef0db887e13dp-5, -0x1.37975396411ap-5, -0x1.3069876a00123p-5, -0x1.29665dbb40662p-5, -0x1.228cc568a3dfbp-5, -0x1.1bdbb532884a8p-5, -0x1.15522b781b20bp-5, -0x1.0eef2df6c2ff6p-5, -0x1.08b1c98bcb8a2p-5, -0x1.029911f855d8ap-5, -0x1.f948434edfc2fp-6, -0x1.eda432ec688a7p-6, -0x1.e24440fbc8ce9p-6, -0x1.d726c7bfcb36bp-6, -0x1.cc4a2d2759547p-6, -0x1.c1ace26c2afep-6, -0x1.b74d63b77953ep-6, -0x1.ad2a37c821197p-6, -0x1.a341ef8e6dc7dp-6, -0x1.999325f7db45bp-6, -0x1.901c7f7cf4ccap-6, -0x1.86dca9e4d8451p-6, -0x1.7dd25bf6fe24bp-6, -0x1.74fc55324158ap-6, -0x1.6c595d870962dp-6, -0x1.63e84513ec61dp-6, -0x1.5ba7e3e4b27c5p-6, -0x1.539719b39836dp-6, -0x1.4bb4cdacbecf4p-6, -0x1.43ffee33c22d6p-6, -0x1.3c7770ab5bc61p-6, -0x1.351a513f02433p-6, -0x1.2de792ae71874p-6, -0x1.26de3e1b080cdp-6, -0x1.1ffd62d6e269dp-6, -0x1.19441635a8fefp-6, -0x1.12b1735f216c1p-6, -0x1.0c449b2247201p-6, -0x1.05fcb3cd1e405p-6, -0x1.ffb1d201b4dfcp-7, -0x1.f3b0d718dffd8p-7, -0x1.e7f4e28afaf46p-7, -0x1.dc7c69c55463bp-7, -0x1.d145ebb3b7931p-7, -0x1.c64ff077e92c6p-7, -0x1.bb990928b752p-7, -0x1.b11fcf91777c1p-7, -0x1.a6e2e5f373babp-7, -0x1.9ce0f6ca1206ep-7, -0x1.9318b49113c9cp-7, -0x1.8988d98bb961ep-7, -0x1.8030278edf0cbp-7, -0x1.770d67cc5eea2p-7, -0x1.6e1f6aa04eb22p-7, -0x1.6565075fd85d8p-7, -0x1.5cdd1c29af2bep-7, -0x1.54868db80d519p-7, -0x1.4c604734377d5p-7, -0x1.44693a0b697ffp-7, -0x1.3ca05dc536a3fp-7, -0x1.3504afdb03c6fp-7, -0x1.2d95339123b8cp-7, -0x1.2650f1d0b3d93p-7, -0x1.1f36f90319282p-7, -0x1.18465cee788bfp-7, -0x1.117e36934baabp-7, -0x1.0adda40b009a1p-7, -0x1.0463c867972aap-7, -0x1.fc1f97287f38dp-8, -0x1.efc1b46de68c3p-8, -0x1.e3ac4b2600dc8p-8, -0x1.d7ddc6d8dfba4p-8, -0x1.cc549bd884a4dp-8, -0x1.c10f470af5824p-8, -0x1.b60c4db5e6f9fp-8, -0x1.ab4a3d4bf8794p-8, -0x1.a0c7ab3b7027p-8, -0x1.968334be6551ep-8, -0x1.8c7b7eac431d4p-8, -0x1.82af354c91b0bp-8, -0x1.791d0c2b079adp-8, -0x1.6fc3bdecdbcdbp-8, -0x1.66a20c2750531p-8, -0x1.5db6bf375ea42p-8, -0x1.5500a61a816b7p-8, -0x1.4c7e96488d9eap-8, -0x1.442f6b8e8ae3fp-8, -0x1.3c1207ea8e15p-8, -0x1.3425536891a56p-8, -0x1.2c683c003e22p-8, -0x1.24d9b5739d294p-8, -0x1.1d78b92eb3797p-8, -0x1.164446280a891p-8, -0x1.0f3b60c199d25p-8, -0x1.085d12a96d68bp-8, -0x1.01a86abed0dbcp-8, -0x1.f638f9ebabb7p-9, -0x1.e970c47345fa3p-9, -0x1.dcf670a384b93p-9, -0x1.d0c8439097074p-9, -0x1.c4e48b9feac63p-9, -0x1.b949a055b2b2ap-9, -0x1.adf5e2239f3e8p-9, -0x1.a2e7ba392c2ebp-9, -0x1.981d9a549efccp-9, -0x1.8d95fc9578c4bp-9, -0x1.834f634fc960fp-9, -0x1.794858e0989eep-9, -0x1.6f7f6f833fd4cp-9, -0x1.65f34127d2cf8p-9, -0x1.5ca26f4a725f6p-9, -0x1.538ba2cb9d59fp-9, -0x1.4aad8bc95ed82p-9, -0x1.4206e1795a427p-9, -0x1.39966203c0fcdp-9, -0x1.315ad25f9b878p-9, -0x1.2952fe2744b7ep-9, -0x1.217db7937ef6cp-9, -0x1.19d9d71f5f48ep-9, -0x1.12663ba8f12ccp-9, -0x1.0b21ca261e6d1p-9, -0x1.040b6d922f07dp-9, -0x1.fa442d9bdb724p-10, -0x1.ecc97901ac7abp-10, -0x1.dfa4b5f655e38p-10, -0x1.d2d3e83168f0dp-10, -0x1.c6551e484399ap-10, -0x1.ba267175f8cd5p-10, -0x1.ae460564763aap-10, -0x1.a2b207f6b60d5p-10, -0x1.9768b1140c655p-10, -0x1.8c68427489c7bp-10, -0x1.81af076e5e42fp-10, -0x1.773b54c4440ap-10, -0x1.6d0b8874f3c56p-10, -0x1.631e098b8674ap-10, -0x1.597147f0ed693p-10, -0x1.5003bc3e011fep-10, -0x1.46d3e78f12495p-10, -0x1.3de053577d12dp-10, -0x1.35279136ede84p-10, -0x1.2ca83acf4a973p-10, -0x1.2460f19ac87b9p-10, -0x1.1c505ec3da6c9p-10, -0x1.147532fd9ba35p-10, -0x1.0cce265e04df4p-10, -0x1.0559f8390c2dap-10, -0x1.fc2edde7e24efp-11, -0x1.ee0aafa2565ffp-11, -0x1.e0450dd7519e8p-11, -0x1.d2dbae451345p-11, -0x1.c5cc5398d0607p-11, -0x1.b914cd3446021p-11, -0x1.acb2f7034f12p-11, -0x1.a0a4b93a84b4dp-11, -0x1.94e808140b725p-11, -0x1.897ae38f78fep-11, -0x1.7e5b5733ab324p-11, -0x1.738779d2137e3p-11, -0x1.68fd6d4b48d6p-11, -0x1.5ebb5e54ba521p-11, -0x1.54bf843f90385p-11, -0x1.4b0820c099363p-11, -0x1.41937fb92ffa8p-11, -0x1.385ff7010c922p-11, -0x1.2f6be630dedb6p-11, -0x1.26b5b66e45199p-11, -0x1.1e3bda3937e22p-11, -0x1.15fccd3a1503dp-11, -0x1.0df714101ed8dp-11, -0x1.06293c21445c4p-11, -0x1.fd23b6d6e45ffp-12, -0x1.ee5f20acf3a8dp-12, -0x1.e002030d73b5fp-12, -0x1.d209bb60eff9fp-12, -0x1.c473b6d727d5ep-12, -0x1.b73d7210f17aep-12, -0x1.aa6478cb45948p-12, -0x1.9de6658c763eep-12, -0x1.91c0e1541c714p-12, -0x1.85f1a3495d9e8p-12, -0x1.7a767076a2fc4p-12, -0x1.6f4d1b72eb6p-12, -0x1.64738420579bp-12, -0x1.59e7975e8f4bep-12, -0x1.4fa74ec2a49dap-12, -0x1.45b0b04ee51c2p-12, -0x1.3c01ce2c2fa4dp-12, -0x1.3298c665050c3p-12, -0x1.2973c2a32abc2p-12, -0x1.2090f7ef61338p-12, -0x1.17eea67351855p-12, -0x1.0f8b193ccdf7fp-12, -0x1.0764a60231f8p-12, -0x1.fef359cca6838p-13, -0x1.ef9130797464dp-13, -0x1.e09fb89b8f457p-13, -0x1.d21bee369ecc1p-13, -0x1.c402e04d9ea22p-13, -0x1.b651b0754e089p-13, -0x1.a905926cd6189p-13, -0x1.9c1bcbb4e8346p-13, -0x1.8f91b3283d8c9p-13, -0x1.8364b09fed921p-13, -0x1.77923c993ce82p-13, -0x1.6c17dfd4cd2ebp-13, -0x1.60f332f4af459p-13, -0x1.5621de1ac305cp-13, -0x1.4ba1988902c5fp-13, -0x1.41702845ecb6bp-13, -0x1.378b61ca2fd6bp-13, -0x1.2df1273982b28p-13, -0x1.249f69bdf428fp-13, -0x1.1b94264c1da2bp-13, -0x1.12cd6826d060bp-13, -0x1.0a494719812d6p-13, -0x1.0205e78631ce8p-13, -0x1.f402f4253c264p-14, -0x1.e47476b33a7a2p-14, -0x1.d55ce7445cf45p-14, -0x1.c6b8ed2f98a71p-14, -0x1.b88546123cd49p-14, -0x1.aabec3eabe0d8p-14, -0x1.9d6252fe8109fp-14, -0x1.906ced324f335p-14, -0x1.83dba5d727f2dp-14, -0x1.77aba2821a3fp-14, -0x1.6bda1c1d540abp-14, -0x1.60645e5081903p-14, -0x1.5547c6f69efc1p-14, -0x1.4a81c5a32da91p-14, -0x1.400fdb394c9eep-14, -0x1.35ef9994578d4p-14, -0x1.2c1ea33f1b152p-14, -0x1.229aab2e8ba01p-14, -0x1.19617472020e9p-14, -0x1.1070d1d459768p-14, -0x1.07c6a5775a9e4p-14, -0x1.fec1c0bb89a86p-15, -0x1.ee7b03c12402fp-15, -0x1.deb52e436a8fap-15, -0x1.cf6c752dac05fp-15, -0x1.c09d27920e2dep-15, -0x1.b243ad3e3e9e5p-15, -0x1.a45c849729bfbp-15, -0x1.96e44817b3f49p-15, -0x1.89d7aa089808ap-15, -0x1.7d33736d89827p-15, -0x1.70f4855ed3cc4p-15, -0x1.6517d8421c981p-15, -0x1.599a7ae51a7bp-15, -0x1.4e79918e4b52ap-15, -0x1.43b254fd43df9p-15, -0x1.3942116d49ebcp-15, -0x1.2f2625b5cfb79p-15, -0x1.255c02a3f7596p-15, -0x1.1be12a4d1c2afp-15, -0x1.12b331743bb7dp-15, -0x1.09cfbce680691p-15, -0x1.01348508f7b3dp-15, -0x1.f1bea43a23e51p-16, -0x1.e19bf34c35775p-16, -0x1.d1fcd37567426p-16, -0x1.c2dd3c13600e6p-16, -0x1.b4393deb32efep-16, -0x1.a60d08bc9dccp-16, -0x1.9854e89a01146p-16, -0x1.8b0d43f6bcd5ep-16, -0x1.7e329a874b7e1p-16, -0x1.71c1847368b25p-16, -0x1.65b6b2146d7b2p-16, -0x1.5a0eebffa91a9p-16, -0x1.4ec713616e3ccp-16, -0x1.43dc226ccfac4p-16, -0x1.394b2c216c3fep-16, -0x1.2f115b96399e4p-16, -0x1.252bf2b960181p-16, -0x1.1b9848d9d621ap-16, -0x1.1253c94a7168p-16, -0x1.095bf2543e335p-16, -0x1.00ae54928d747p-16, -0x1.f091253ecb81cp-17, -0x1.e050c133e79e5p-17, -0x1.d09706edecc1dp-17, -0x1.c15fa113a0f91p-17, -0x1.b2a65ae81895fp-17, -0x1.a46720b7d579p-17, -0x1.969e006ab32adp-17, -0x1.894729e1f59f9p-17, -0x1.7c5eedc50a078p-17, -0x1.6fe1bd32c235bp-17, -0x1.63cc265d1090ep-17, -0x1.581ad30de3f01p-17, -0x1.4cca80fadca3ap-17, -0x1.41d81677bf18ep-17, -0x1.37407f7392995p-17, -0x1.2d00c34ea0e5ep-17, -0x1.23160507fd87cp-17, -0x1.197d7ac7ad6ecp-17, -0x1.1034708f65ae1p-17, -0x1.073847e77b6eap-17, -0x1.fd0cefb99198fp-18, -0x1.ec3919d330d01p-18, -0x1.dbf0513207a35p-18, -0x1.cc2e01d8d0588p-18, -0x1.bcedbf5ad1476p-18, -0x1.ae2b4384e3d2ep-18, -0x1.9fe26ce3d8d82p-18, -0x1.920f3cf637a9fp-18, -0x1.84add47277c5ep-18, -0x1.77ba7a2ddfe51p-18, -0x1.6b31883f32477p-18, -0x1.5f0f76930369bp-18, -0x1.5350e9347951cp-18, -0x1.47f2842759893p-18, -0x1.3cf118ee6b506p-18, -0x1.324990087765cp-18, -0x1.27f8ee910f362p-18, -0x1.1dfc54c4a9eaap-18, -0x1.1450fb54fdc57p-18, -0x1.0af431944eb9cp-18, -0x1.01e35c7230cd3p-18, -0x1.f237cf7204bf4p-19, -0x1.e1369488d6f06p-19, -0x1.d0bef14885e22p-19, -0x1.c0cbc2d23116dp-19, -0x1.b158df5c695c3p-19, -0x1.a262118a4983cp-19, -0x1.93e3459e6e2c7p-19, -0x1.85d8851b8b972p-19, -0x1.783df5d279853p-19, -0x1.6b0fdbeb6a48dp-19, -0x1.5e4a9dc9de2c4p-19, -0x1.51eac848202e9p-19, -0x1.45ed0e002c43p-19, -0x1.3a4e43fcb5fadp-19, -0x1.2f0b597795cffp-19, -0x1.242150e4e0b63p-19, -0x1.198d3d345eb14p-19, -0x1.0f4c440c52f33p-19, -0x1.055ba2b209a49p-19, -0x1.f771652b08cbap-20, -0x1.e4c1d6fd4dc01p-20, -0x1.d2a3c526e4a3ep-20, -0x1.c1128cb759911p-20, -0x1.b009b23bf81e7p-20, -0x1.9f84d7ffcf378p-20, -0x1.8f7fba530f159p-20, -0x1.7ff632e696b1cp-20, -0x1.70e44080178e5p-20, -0x1.62460f558bfd9p-20, -0x1.5417e795e1289p-20, -0x1.465687cdc9dc5p-20, -0x1.38fe586aa0971p-20, -0x1.2c0c7394de6a7p-20, -0x1.1f7d5de2b0396p-20, -0x1.134de77b58f18p-20, -0x1.077b6268cf1c7p-20, -0x1.f8058555533p-21, -0x1.e1c2655688f04p-21, -0x1.cc2806bfb17eap-21, -0x1.b7314c2591aacp-21, -0x1.a2d953da46a53p-21, -0x1.8f1b691490a4ap-21, -0x1.7bf2f3030e02ep-21, -0x1.695b6b82d60a8p-21, -0x1.575063645ca8p-21, -0x1.45cd90bf687c7p-21, -0x1.34ceddc727048p-21, -0x1.24506f3566d57p-21, -0x1.144e9e82fdc81p-21, -0x1.04c5eaa348702p-21, -0x1.eb65cf73c27fep-22, -0x1.ce2470260544p-22, -0x1.b1c122fa7e45cp-22, -0x1.96358e614e58ap-22, -0x1.7b7ba33fef123p-22, -0x1.618d7e3fd1177p-22, -0x1.48656c592bd5ap-22, -0x1.2ffdeaf18829p-22, -0x1.1851b08811bb9p-22, -0x1.015bb27f96704p-22, -0x1.d62e38dc8180ep-23, -0x1.aafe79429fc99p-23, -0x1.811ee21d5330bp-23, -0x1.5886336035ca9p-23, -0x1.312b8864c39ep-23, -0x1.0b061a5c9e884p-23, -0x1.cc1b9fea7b7f7p-24, -0x1.84760c11a8496p-24, -0x1.3f0d0f05bd0cdp-24, -0x1.f7a5900dda985p-25, -0x1.756ff5032733dp-25, -0x1.eeb96668cd0a4p-26, -0x1.f54dd0d197da5p-27, -0x1.ce3c3eed1c851p-31, 0x1.ac30d0aa6134ep-27, 0x1.b32737b228eefp-26, 0x1.4474808bc78acp-25, 0x1.abc5ac959b0ccp-25, 0x1.07ce8a2eadca2p-24, 0x1.38080a04f6463p-24, 0x1.66997e42fe1edp-24, 0x1.938d01dde82aap-24, 0x1.beec55bf7c3fdp-24, 0x1.e8c11cc073506p-24, 0x1.088a6a8352e47p-23, 0x1.1bf86798e6432p-23, 0x1.2eaf04efd84a4p-23, 0x1.40b28321ebe1fp-23, 0x1.5206e2bb82db1p-23, 0x1.62b00315bde1ep-23, 0x1.72b1c736b6498p-23, 0x1.82101ae644d3bp-23, 0x1.90ceda427b0ebp-23, 0x1.9ef1b8cebe8bcp-23, 0x1.ac7c38bf93953p-23, 0x1.b971be6a0ce36p-23, 0x1.c5d5a84efbdeep-23, 0x1.d1ab49329ed14p-23, 0x1.dcf5d7717f26p-23, 0x1.e7b8604323502p-23, 0x1.f1f5e708cecb4p-23, 0x1.fbb157c6257dp-23, 0x1.0276cbeb293cep-22, 0x1.06d6c2d0e9517p-22, 0x1.0af9fb05711d1p-22, 0x1.0ee1d7daafd87p-22, 0x1.128fb3d081458p-22, 0x1.1604e0d95d954p-22, 0x1.1942a9b070dcap-22, 0x1.1c4a51d8b47edp-22, 0x1.1f1d05a7b88acp-22, 0x1.21bb8f14a81c7p-22, 0x1.2428146c5b4d5p-22, 0x1.2663297d3762fp-22, 0x1.286dc92e9aa6cp-22, 0x1.2a49417a47b97p-22, 0x1.2bf6a933f3171p-22, 0x1.2d77360fc457ep-22, 0x1.2ecbc7a5687d6p-22, 0x1.2ff577782affp-22, 0x1.30f54b903f666p-22, 0x1.31cc40f5a6039p-22, 0x1.327b4e17eb0b4p-22, 0x1.330364e6b5a82p-22, 0x1.3365764d40a42p-22, 0x1.33a26fc9f194ap-22, 0x1.33bb3974e8ef4p-22, 0x1.33b0bb382852dp-22, 0x1.3383dbb7d5f67p-22, 0x1.33357cc5108f3p-22, 0x1.32c67a2975b8fp-22, 0x1.3237aa552d4e4p-22, 0x1.3189dfccbffd6p-22, 0x1.30bde42eefa6dp-22, 0x1.2fd468f29a929p-22, 0x1.2ece83641fbc9p-22, 0x1.2dacd46b010dap-22, 0x1.2c7001055c78ep-22, 0x1.2b18edf8f5329p-22, 0x1.29a85362f9633p-22, 0x1.281ee4aeaa205p-22, 0x1.267d5d62e00afp-22, 0x1.24c4734b7b6aap-22, 0x1.22f4dab6e03c6p-22, 0x1.210f431724e25p-22, 0x1.1f1458cbaef45p-22, 0x1.1d04c535fe854p-22, 0x1.1ae12e8daadd2p-22, 0x1.18aa484c158d7p-22, 0x1.1660857462e66p-22, 0x1.1404b2887556ap-22, 0x1.11975f0dab5f8p-22, 0x1.0f1928a333c05p-22, 0x1.0c8aa8faf3ed3p-22, 0x1.09ec772f1b28ep-22, 0x1.073f27323f997p-22, 0x1.04834bf798221p-22, 0x1.01b881a5c1512p-22, 0x1.fdc4348cf7c36p-23, 0x1.f7fbb42d502b2p-23, 0x1.f21a79d5de563p-23, 0x1.ec21a3b2d546ep-23, 0x1.e61222d0a4f5dp-23, 0x1.dfecf6eaa54bcp-23, 0x1.d9b324e26515cp-23, 0x1.d365a8f1484a9p-23, 0x1.cd057b98fcbd2p-23, 0x1.c693928f3eefdp-23, 0x1.c010dd2fad90cp-23, 0x1.b97e459fc84b8p-23, 0x1.b2dcb17a96b25p-23, 0x1.ac2d0e91723efp-23, 0x1.a57024ba8b7b7p-23, 0x1.9ea6e298c7ef7p-23, 0x1.97d217173bef1p-23, 0x1.90f29576dab46p-23, 0x1.8a092cbdf399ep-23, 0x1.8316a7012c4bdp-23, 0x1.7c1bc5d5aea81p-23, 0x1.751b38cf98ef9p-23, 0x1.6e0dfe7b28ebep-23, 0x1.6700a9e1c1a1ep-23, 0x1.5fec24ea23936p-23, 0x1.58d36a14b843fp-23, 0x1.51b63c8f98b7ep-23, 0x1.4a95d05cfcda6p-23, 0x1.4372d25a14be8p-23, 0x1.3c4dee11ae8e8p-23, 0x1.3527b95e7a886p-23, 0x1.2e00d2fdf5de2p-23, 0x1.26da018475077p-23, 0x1.1fb3a86d338fcp-23, 0x1.188e73b5bf25ap-23, 0x1.116af52f22188p-23, 0x1.0a4997066deccp-23, 0x1.032b30b9871b9p-23, 0x1.f82089c37e5dep-24, 0x1.e9f231fff3e9cp-24, 0x1.dbcca11c5d85fp-24, 0x1.cdb0f2535a282p-24, 0x1.bf9fd80bf0537p-24, 0x1.b19a8503b1fd1p-24, 0x1.a3a1b0d41dc93p-24, 0x1.95b5db4685057p-24, 0x1.87d909ff735a2p-24, 0x1.7a11e453657e6p-24, 0x1.6c4d951bc1feep-24, 0x1.5ea27e8e92a23p-24, 0x1.51084438ecc5dp-24, 0x1.4380393ca06abp-24, 0x1.360b4df4ba72fp-24, 0x1.28aa525e6192ep-24, 0x1.1b5dfa6fdec2bp-24, 0x1.0e26f686974p-24, 0x1.0105f0e6b9fd7p-24, 0x1.e7f719ef7f2d8p-25, 0x1.ce10cd3b912e2p-25, 0x1.b45a37659fd46p-25, 0x1.9ad49414e8617p-25, 0x1.8180eeb51cbdfp-25, 0x1.68605474e0647p-25, 0x1.4f73d7332f9f9p-25, 0x1.36bc7c7c756bp-25, 0x1.1e3b3c6c8e2abp-25, 0x1.05f1069f1fc5ep-25, 0x1.dbbd82003f6e5p-26, 0x1.ac0a90d627a7dp-26, 0x1.7ccae1cd105d9p-26, 0x1.4e000b595fcfdp-26, 0x1.1fab929d8432ap-26, 0x1.e39dd7b4c67c1p-27, 0x1.88d6f5ac3c5fdp-27, 0x1.2f05218b647p-27, 0x1.ac55695d64d72p-28, 0x1.f927860b7a864p-29, 0x1.3b2c9abddb02ep-30, -0x1.73fd279a55d54p-30, -0x1.06c9a5df31671p-28, -0x1.ae9007188034fp-28, -0x1.2a2709d90c71fp-27, -0x1.7c00434a4a771p-27, -0x1.ccd21b222524bp-27, -0x1.0e4d83c527278p-26, -0x1.35acb62ea4f15p-26, -0x1.5c8685e0b7953p-26, -0x1.82dcffa7f7248p-26, -0x1.a8a6ba02bf34p-26, -0x1.cdec6be4f5ddcp-26, -0x1.f2aa675955956p-26, -0x1.0b701b86bb261p-25, -0x1.1d450372a1e36p-25, -0x1.2ed9929d8e59dp-25, -0x1.4027574282643p-25, -0x1.51305efba9e66p-25, -0x1.61f5c5b5d9f46p-25, -0x1.7276186b111bcp-25, -0x1.82b1a62d57182p-25, -0x1.92a888c893bbfp-25, -0x1.a25aafb0707f5p-25, -0x1.b1c8190ef1727p-25, -0x1.c0f1583b819afp-25, -0x1.cfd5d1f590b18p-25, -0x1.de75dc509d5c4p-25, -0x1.ecd197910413p-25, -0x1.fae9216735f68p-25, -0x1.045e4e7a9d89ep-24, -0x1.0b26191145741p-24, -0x1.11cc0697f6852p-24, -0x1.18502f40815f9p-24, -0x1.1eb2ad3c202bdp-24, -0x1.24f39caf8d591p-24, -0x1.2b131ba47f84ap-24, -0x1.311149f850f9cp-24, -0x1.36ee494915cbp-24, -0x1.3caa3ce7fa401p-24, -0x1.424549d4ac54cp-24, -0x1.47bf96b4219dfp-24, -0x1.4d194bc4c720ep-24, -0x1.525292d321dffp-24, -0x1.576b972cc7aefp-24, -0x1.5c6485619a0e4p-24, -0x1.613d8ca1ea966p-24, -0x1.65f6e084645b6p-24, -0x1.6a90aa767b667p-24, -0x1.6f0b1664c1262p-24, -0x1.73665efe24b3bp-24, -0x1.779eee8af25cdp-24, -0x1.7bc00421594e6p-24, -0x1.7fbfad368e154p-24, -0x1.83a084b65f4adp-24, -0x1.8763580b46df9p-24, -0x1.8b0854b796954p-24, -0x1.8e8fb61c2fc11p-24, -0x1.91f9b8d3a0cb7p-24, -0x1.95469c679311dp-24, -0x1.98769bfcbd6f2p-24, -0x1.9b89f0be3f29dp-24, -0x1.9e80d52134367p-24, -0x1.a15b98d812255p-24, -0x1.a41a75426f7f2p-24, -0x1.a6bdaf83db7a7p-24, -0x1.a945880317c9p-24, -0x1.abb2517f341cfp-24, -0x1.ae0532ced655p-24, -0x1.b03f5a7a5fd6bp-24, -0x1.b27d931e2996dp-24, -0x1.b45eb5d056861p-24, -0x1.b644806351c4bp-24, -0x1.b81398bcd8f0ep-24, -0x1.b9c9c1f1d4247p-24, -0x1.bb67054a6b841p-24, -0x1.bceb8b98e1ca7p-24, -0x1.be579aa7cd2dfp-24, -0x1.bfab948097ec8p-24, -0x1.c0e7a8a05166cp-24, -0x1.c20c25bc3018p-24, -0x1.c31952db1d935p-24, -0x1.c40f77f59ba9ep-24, -0x1.c4eedd3943bccp-24, -0x1.c5b7caf6d1cecp-24, }}, 
      {{0x1.56ae0696939ecp-2, 0x1.4dae163e89436p-1, 0x1.df8633cf52762p-1, 0x1.2dc1fad37ddeap+0, 0x1.5f3a6f01ee90dp+0, 0x1.83850891ed96dp+0, 0x1.9abbf738ce32fp+0, 0x1.a589ccccae384p+0, 0x1.a4fd30c6ad789p+0, 0x1.9a63a22d0d2c1p+0, 0x1.872b9b14d2d78p+0, 0x1.6ccd73ae847f8p+0, 0x1.4cba20ef56008p+0, 0x1.284ee2cd96c4fp+0, 0x1.00cd03f0cb4c6p+0, 0x1.aea9d26512d86p-1, 0x1.59c77c4fbf156p-1, 0x1.04a62efc3f996p-1, 0x1.616810ea9c252p-2, 0x1.7c788824fd017p-3, 0x1.0d5dcb162dc42p-5, -0x1.cb49680e7e641p-4, -0x1.fc4bed630bf2dp-3, -0x1.7f8a1e613ba8ap-2, -0x1.f68131884b2e2p-2, -0x1.31650eb64cd67p-1, -0x1.622b3bb9ecd63p-1, -0x1.8da0c5ec6d038p-1, -0x1.b3e42dbaf2975p-1, -0x1.d52140d048acfp-1, -0x1.f18dfd1996bc5p-1, -0x1.04b3efa473fb9p+0, -0x1.0e78cb589a7f3p+0, -0x1.16388b4e7fa35p+0, -0x1.1c16fe0ec1c26p+0, -0x1.20381f76060bp+0, -0x1.22bf9217ca1cep+0, -0x1.23d0353fd173fp+0, -0x1.238bd38226cacp+0, -0x1.2212e612bdcdap+0, -0x1.1f84697fd81ddp+0, -0x1.1bfdc0d51d18dp+0, -0x1.179aa48432902p+0, -0x1.12751ab93627dp+0, -0x1.0ca577151c0e1p+0, -0x1.0642602716a13p+0, -0x1.fec1b2a5ec4c2p-1, -0x1.f028a01edc949p-1, -0x1.e0dd572287134p-1, -0x1.d100bc3bb01d1p-1, -0x1.c0b0eecdaf547p-1, -0x1.b0096eec5487ep-1, -0x1.9f23439e5d34ep-1, -0x1.8e1520fac9dd1p-1, -0x1.7cf38da6f9d29p-1, -0x1.6bd10750d1c1bp-1, -0x1.5abe25d6808b6p-1, -0x1.49c9bce41c2f1p-1, -0x1.3900fbeb28a36p-1, -0x1.286f8c6f050cbp-1, -0x1.181faeae464d6p-1, -0x1.081a54bab23f1p-1, -0x1.f0ce7829f9eap-2, -0x1.d21a0bbb86167p-2, -0x1.b4229b5b2ccd1p-2, -0x1.96f17e45a6018p-2, -0x1.7a8e545face6bp-2, -0x1.5eff2c6e27b75p-2, -0x1.4448a7fa848f1p-2, -0x1.2a6e1cfbcf588p-2, -0x1.1171b5594f48p-2, -0x1.f2a918b32d2a5p-3, -0x1.c42d94381f7ecp-3, -0x1.976f7a50a90c5p-3, -0x1.6c6be46c00df9p-3, -0x1.431e947188d18p-3, -0x1.1b821d9c07e98p-3, -0x1.eb20146c8dd4ep-4, -0x1.a281fcf0e0a14p-4, -0x1.5d19b0fe5339dp-4, -0x1.1ad59bb02392ep-4, -0x1.b746196de2275p-5, -0x1.3edcd348730c7p-5, -0x1.988d6d0a434a7p-6, -0x1.7d67aa7ad281p-7, 0x1.02889f61e688ap-10, 0x1.a8bcad4413c4fp-7, 0x1.8e44efe06c435p-6, 0x1.1f1a040e59d0dp-5, 0x1.7241a343c2289p-5, 0x1.c0c4f24204acdp-5, 0x1.05679cde01342p-4, 0x1.2845a2ec8fdccp-4, 0x1.4911a4bc515p-4, 0x1.67e066d678f0ep-4, 0x1.84c64639387f5p-4, 0x1.9fd736587499ep-4, 0x1.b926b764c7dadp-4, 0x1.d0c7ca50c07cdp-4, 0x1.e6ccf5c825c5p-4, 0x1.fb483989af34fp-4, 0x1.0725867f4035p-3, 0x1.0ff331955b898p-3, 0x1.18155008c7f52p-3, 0x1.1f93cf48e77d1p-3, 0x1.2676589cfcc85p-3, 0x1.2cc44e6e69357p-3, 0x1.3284d02bfe8edp-3, 0x1.37beb9ff1a32dp-3, 0x1.3c78a489fbbe2p-3, 0x1.40b8e85818ddbp-3, 0x1.44859da8270b1p-3, 0x1.47e49dc829551p-3, 0x1.4adb85dc88cbfp-3, 0x1.4d6fb70cdab1ap-3, 0x1.4fa658c312979p-3, 0x1.51845af604288p-3, 0x1.530e76a4fffbep-3, 0x1.5449307a9e0dfp-3, 0x1.5538dade8dfc9p-3, 0x1.55e196886e02ap-3, 0x1.5647551bbf047p-3, 0x1.566ddb42f91acp-3, 0x1.5658c13bded1p-3, 0x1.560b750a9465fp-3, 0x1.55893cc4e238p-3, 0x1.54d53737b083dp-3, 0x1.53f25d65c3122p-3, 0x1.52e384e4fe8ddp-3, 0x1.51ab60efacb8fp-3, 0x1.504c8330d48cfp-3, 0x1.4ec95dbf4a91cp-3, 0x1.4d2444c930fa9p-3, 0x1.4b5f6f2ca0affp-3, 0x1.497cf79d61d58p-3, 0x1.477ede892801fp-3, 0x1.45670b2631278p-3, 0x1.43374bf74f342p-3, 0x1.40f1581cf8dcdp-3, 0x1.3e96d0e25cc8ap-3, 0x1.3c294275804f5p-3, 0x1.39aa24720b4abp-3, 0x1.371adb1ae910fp-3, 0x1.347cb89cb0d5ep-3, 0x1.31d0fda4497f9p-3, 0x1.2f18d9dac2499p-3, 0x1.2c556ced9baddp-3, 0x1.2987c7a29f4e5p-3, 0x1.26b0ec5fc2bf6p-3, 0x1.23d1cf8d47695p-3, 0x1.20eb5865a8f85p-3, 0x1.1dfe61e42e64ep-3, 0x1.1b0bbb4c0f9ffp-3, 0x1.1814287740c66p-3, 0x1.151862671d32cp-3, 0x1.1219180ac5f96p-3, 0x1.0f16eecf5c63p-3, 0x1.0c1282ea26229p-3, 0x1.090c67ae98825p-3, 0x1.0605282255299p-3, 0x1.02fd478fc6294p-3, 0x1.ffea83b75f8cap-4, 0x1.f9db177543d64p-4, 0x1.f3cd261569d1ep-4, 0x1.edc17ea2c5d64p-4, 0x1.e7b8e43db2252p-4, 0x1.e1b40e8a99603p-4, 0x1.dbb3aa130e88bp-4, 0x1.d5b858e551bd8p-4, 0x1.cfc2b3502a3b1p-4, 0x1.c9d3487165837p-4, 0x1.c3ea9e8fa85bp-4, 0x1.be093369cdc23p-4, 0x1.b82f7cae32fe6p-4, 0x1.b25de88974547p-4, 0x1.ac94de1a1d7b4p-4, 0x1.a6d4bdba7ce42p-4, 0x1.a11de137f3aeap-4, 0x1.9b709c2a8ca89p-4, 0x1.95cd3c63a09a4p-4, 0x1.90340a4b36033p-4, 0x1.8aa5491cc855p-4, 0x1.8521371444266p-4, 0x1.7fa80da9678d1p-4, 0x1.7a3a01dfc5942p-4, 0x1.74d74490835a7p-4, 0x1.6f8002a185e52p-4, 0x1.6a34652f30251p-4, 0x1.64f491b31c294p-4, 0x1.5fc0aa35e151p-4, 0x1.5a98cd881bb35p-4, 0x1.557d1774f6d26p-4, 0x1.506da0e9e9958p-4, 0x1.4b6a80140041p-4, 0x1.4673c87c0c6cp-4, 0x1.41898b2d75c62p-4, 0x1.3cabd6e0c488ap-4, 0x1.37dab81f13833p-4, 0x1.3316395c3a284p-4, 0x1.2e5e630c6db13p-4, 0x1.29b33bbb884bcp-4, 0x1.2514c82a2ce4p-4, 0x1.20830b6a26c82p-4, 0x1.1bfe06f50d0ccp-4, 0x1.1785bac0da39fp-4, 0x1.131a255401f64p-4, 0x1.0ebb43d75fb4cp-4, 0x1.0a691227248b4p-4, 0x1.06238ae3d2936p-4, 0x1.01eaa783b1282p-4, 0x1.fb7cc0cb9e254p-5, 0x1.f33d59c730c1dp-5, 0x1.eb1706b889b84p-5, 0x1.e309b278c74f1p-5, 0x1.db154610ed364p-5, 0x1.d339a8d922a4p-5, 0x1.cb76c09a93fb7p-5, 0x1.c3cc71a9da6b7p-5, 0x1.bc3a9ef48a2b2p-5, 0x1.b4c12a07ee824p-5, 0x1.ad5ff31ea88eep-5, 0x1.a616d93b1305cp-5, 0x1.9ee5ba4403783p-5, 0x1.97cc7317defap-5, 0x1.90cadf941b8c5p-5, 0x1.89e0da99242f8p-5, 0x1.830e3e14539fep-5, 0x1.7c52e313a6418p-5, 0x1.75aea1dcdf2c4p-5, 0x1.6f2151fd32d6dp-5, 0x1.68aaca4dfc80fp-5, 0x1.624ae0f5b4243p-5, 0x1.5c016b6ec8647p-5, 0x1.55ce3e96ddeacp-5, 0x1.4fb12ec114ce8p-5, 0x1.49aa0fc3abedap-5, 0x1.43b8b4fd1d6e6p-5, 0x1.3ddcf153a7d32p-5, 0x1.381697374b726p-5, 0x1.326578ab944bcp-5, 0x1.2cc967570124ap-5, 0x1.27423490c84d7p-5, 0x1.21cfb16788681p-5, 0x1.1c71aea172468p-5, 0x1.1727fcbb46aa1p-5, 0x1.11f26beb8c2b3p-5, 0x1.0cd0cc2c5a771p-5, 0x1.07c2ed485bce5p-5, 0x1.02c89ee5217a6p-5, 0x1.fbc3610e897bbp-6, 0x1.f21be3225ee52p-6, 0x1.e89a62838e33fp-6, 0x1.df3e7d6e73235p-6, 0x1.d607d1ee42cbfp-6, 0x1.ccf5fdf1dbf64p-6, 0x1.c4089f5cfce3bp-6, 0x1.bb3f540fe139dp-6, 0x1.b299b9e66891fp-6, 0x1.aa176eb4e090dp-6, 0x1.a1b8104a35093p-6, 0x1.997b3c7a9bb2fp-6, 0x1.9160912fd7e2ep-6, 0x1.8967ac78998fep-6, 0x1.81902c91b6324p-6, 0x1.79d9afe80ce66p-6, 0x1.7243d516ab6ffp-6, 0x1.6ace3ae60cb5ep-6, 0x1.63788050c0cebp-6, 0x1.5c42448da9888p-6, 0x1.552b271cc1263p-6, 0x1.4e32c7d1dd4f5p-6, 0x1.4758c6da5ce16p-6, 0x1.409cc4bdfe8fcp-6, 0x1.39fe625dcba33p-6, 0x1.337d40f4b0accp-6, 0x1.2d19021acaa7p-6, 0x1.26d147cf1c625p-6, 0x1.20a5b47ee4a97p-6, 0x1.1a95eb0eecf0dp-6, 0x1.14a18edfcc0dcp-6, 0x1.0ec843cf62e89p-6, 0x1.0909ae387e311p-6, 0x1.036572f33070ep-6, 0x1.fbb66eaeb5b12p-7, 0x1.f0d54283cb198p-7, 0x1.e626ae369912cp-7, 0x1.dba9ffbbb45fdp-7, 0x1.d15e863424357p-7, 0x1.c74391f1bfaefp-7, 0x1.bd5874785afbcp-7, 0x1.b39c807deec77p-7, 0x1.aa0f09ec9e23ep-7, 0x1.a0af65e7f25b2p-7, 0x1.977cead4c9c73p-7, 0x1.8e76f0623fc46p-7, 0x1.859ccf91866cap-7, 0x1.7cede2bb79ab7p-7, 0x1.7469859326a26p-7, 0x1.6c0f1526d8783p-7, 0x1.63ddefe099d2fp-7, 0x1.5bd57587636e5p-7, 0x1.53f50742a50cbp-7, 0x1.4c3c079ee7e1ap-7, 0x1.44a9da9345388p-7, 0x1.3d3de5863c195p-7, 0x1.35f78f51c4da9p-7, 0x1.2ed64045f2b2dp-7, 0x1.27d96228bc8d8p-7, 0x1.21006035a5c93p-7, 0x1.1a4aa71f5c683p-7, 0x1.13b7a5108cdfcp-7, 0x1.0d46c9ad02539p-7, 0x1.06f78613fcff8p-7, 0x1.00c94ce2d74ecp-7, 0x1.f577246ea958bp-8, 0x1.e99b97632923p-8, 0x1.ddfee0eaf9471p-8, 0x1.d29ff25644832p-8, 0x1.c77dbffd861dfp-8, 0x1.bc97413fa84c2p-8, 0x1.b1eb707ff8ed6p-8, 0x1.a7794b23be957p-8, 0x1.9d3fd190a1d13p-8, 0x1.933e072c3fa81p-8, 0x1.8972f25d40d55p-8, 0x1.7fdd9c8e29cb3p-8, 0x1.767d1230efbebp-8, 0x1.6d5062c183b4bp-8, 0x1.6456a0c683464p-8, 0x1.5b8ee1ce8af44p-8, 0x1.52f83e6a4d399p-8, 0x1.4a91d22484bdcp-8, 0x1.425abb799bef6p-8, 0x1.3a521bd117d37p-8, 0x1.3277177aa24a5p-8, 0x1.2ac8d5aecd67bp-8, 0x1.2346809315248p-8, 0x1.1bef453de6f9fp-8, 0x1.14c253b8d99d9p-8, 0x1.0dbedefc8b813p-8, 0x1.06e41ce9fc762p-8, 0x1.0031463cf41d4p-8, 0x1.f34b2d00f154dp-9, 0x1.e680980b3c165p-9, 0x1.da014fc19d50ep-9, 0x1.cdcbdbdb7a1a5p-9, 0x1.c1dec9aee4885p-9, 0x1.b638ac3f05d3dp-9, 0x1.aad81c3ceb429p-9, 0x1.9fbbb7f242fd6p-9, 0x1.94e22313b388dp-9, 0x1.8a4a0683b150fp-9, 0x1.7ff21015b7d9cp-9, 0x1.75d8f2667a1ap-9, 0x1.6bfd64daa349cp-9, 0x1.625e23cb132f8p-9, 0x1.58f9f0d6bcc0bp-9, 0x1.4fcf9342b2a8ep-9, 0x1.46ddd84689eadp-9, 0x1.3e239322ff22cp-9, 0x1.359f9cea51a3cp-9, 0x1.2d50d3f7930fbp-9, 0x1.25361b2b6823cp-9, 0x1.1d4e591b7f0d3p-9, 0x1.1598776f0a73cp-9, 0x1.0e13629e90f79p-9, 0x1.06be0a38b3735p-9, 0x1.ff2ec355d29e8p-10, 0x1.f13cc2cc9f162p-10, 0x1.e3a410360e2a3p-10, 0x1.d662b73f81369p-10, 0x1.c976d2c113cdfp-10, 0x1.bcde8bbcecd4ap-10, 0x1.b0981702a86b7p-10, 0x1.a4a1b193b492p-10, 0x1.98f99cafdbd1p-10, 0x1.8d9e1a7df1575p-10, 0x1.828d6c3aa4cbp-10, 0x1.77c5d288f8a09p-10, 0x1.6d458ffd476ffp-10, 0x1.630aed7808adfp-10, 0x1.59143f35c3f82p-10, 0x1.4f5fe9c0a4e96p-10, 0x1.45ec64e393bb1p-10, 0x1.3cb83c5acea7bp-10, 0x1.33c20d8170471p-10, 0x1.2b088276791a9p-10, 0x1.228a4bac11111p-10, 0x1.1a46194916f2p-10, 0x1.123a95e0029edp-10, 0x1.0a6663bcba1b6p-10, 0x1.02c81d7c70572p-10, 0x1.f6bcb3cc0eb82p-11, 0x1.e84f6478ddcp-11, 0x1.da459361e894dp-11, 0x1.cc9ca8a2952bep-11, 0x1.bf5237c4b32cap-11, 0x1.b264030bb80dap-11, 0x1.a5cff77dbc3e4p-11, 0x1.9994226deaf5p-11, 0x1.8daea2c049c84p-11, 0x1.821d990fd012p-11, 0x1.76df1a048b8c5p-11, 0x1.6bf125703e0a2p-11, 0x1.6151a429a1a33p-11, 0x1.56fe6cab425bp-11, 0x1.4cf54d6418433p-11, 0x1.43341a99f6ac1p-11, 0x1.39b8bcebe173bp-11, 0x1.30813d6fb45e8p-11, 0x1.278bccee29579p-11, 0x1.1ed6c4de5f1b5p-11, 0x1.1660a236bae49p-11, 0x1.0e27fb89d3007p-11, 0x1.062b74d65415ap-11, 0x1.fcd367287223fp-12, 0x1.edc2aabedb3acp-12, 0x1.df21d497524a9p-12, 0x1.d0ede785245a7p-12, 0x1.c323cef902a47p-12, 0x1.b5c06b54495a2p-12, 0x1.a8c0a2bf1da86p-12, 0x1.9c2172ac9b3f2p-12, 0x1.8fdffe21e89a9p-12, 0x1.83f996b4ecbadp-12, 0x1.786bbeaa786d2p-12, 0x1.6d3424799e833p-12, 0x1.625099775ea33p-12, 0x1.57bf0617a58d7p-12, 0x1.4d7d5e333162p-12, 0x1.43899767b9a3dp-12, 0x1.39e1a31ba7b16p-12, 0x1.30836cfcc05f6p-12, 0x1.276cddfb86058p-12, 0x1.1e9be265bb01ep-12, 0x1.160e70818f903p-12, 0x1.0dc28cca7201bp-12, 0x1.05b64a60cbcddp-12, 0x1.fbcf91ad4bcbcp-13, 0x1.ecaa651b59105p-13, 0x1.ddf97d58d6b83p-13, 0x1.cfb96e1209293p-13, 0x1.c1e6fdd29977dp-13, 0x1.b47f2b39d199bp-13, 0x1.a77f22afb126cp-13, 0x1.9ae425e80ea4dp-13, 0x1.8eab6ff5c3abap-13, 0x1.82d22531fcbd7p-13, 0x1.7755581e8f6ap-13, 0x1.6c32220d7b097p-13, 0x1.6165bf434e0dcp-13, 0x1.56ed9cf168e0ap-13, 0x1.4cc74b341875bp-13, 0x1.42f05f8f9da17p-13, 0x1.396652ce6c1eep-13, 0x1.30267843e962bp-13, 0x1.272e194c53f9ep-13, 0x1.1e7aaa23d97c8p-13, 0x1.1609fe0d601fdp-13, 0x1.0dda5c444a4fep-13, 0x1.05ea672f194edp-13, 0x1.fc71c2c14b805p-14, 0x1.ed88df47cc3c2p-14, 0x1.df16ed82af212p-14, 0x1.d1183fe370a89p-14, 0x1.c388ef0a20804p-14, 0x1.b6651c5ce61ecp-14, 0x1.a9a9145ae0b0ep-14, 0x1.9d5143bfefe83p-14, 0x1.915a1050616f8p-14, 0x1.85bfac60a6855p-14, 0x1.7a7e0acb032cdp-14, 0x1.6f9109b1420ep-14, 0x1.64f4d08e1102fp-14, 0x1.5aa641ee52ff8p-14, 0x1.50a340b44f2d3p-14, 0x1.46ea974de1fd4p-14, 0x1.3d7b86b740adep-14, 0x1.34554130174abp-14, 0x1.2b769d555b906p-14, 0x1.22de18244c33ep-14, 0x1.1a89feec3d945p-14, 0x1.12788348d2d16p-14, 0x1.0aa7b6a6e438ap-14, 0x1.03154a7aadb3bp-14, 0x1.f77cd9869d8e2p-15, 0x1.e93fa742c67b6p-15, 0x1.db6c0efd62e54p-15, 0x1.cdfb81ae795ap-15, 0x1.c0e85770bd765p-15, 0x1.b42e0e7b1113fp-15, 0x1.a7c963cc9654fp-15, 0x1.9bb850a78f3cbp-15, 0x1.8ff9c66b944bap-15, 0x1.848d17b291b49p-15, 0x1.79715df44a406p-15, 0x1.6ea54d43e4718p-15, 0x1.642776714609ep-15, 0x1.59f68dafa5fcdp-15, 0x1.5011783b75fb2p-15, 0x1.467725f3e9113p-15, 0x1.3d262c6653d99p-15, 0x1.341c3955c9ab3p-15, 0x1.2b55c839a7p-15, 0x1.22ce65efda603p-15, 0x1.1a8153805068bp-15, 0x1.126a2a3822acfp-15, 0x1.0a8550289081dp-15, 0x1.02d033017593cp-15, 0x1.f6927903bf325p-16, 0x1.e7df043606d13p-16, 0x1.d984d2a92372bp-16, 0x1.cb82d45bcdddfp-16, 0x1.bdd7de4ed7762p-16, 0x1.b08293aed91a5p-16, 0x1.a381903f5c6p-16, 0x1.96d3863c54221p-16, 0x1.8a774d28a39fp-16, 0x1.7e6bed4dad68ep-16, 0x1.72b0095a3505ep-16, 0x1.6740f2c49bbb4p-16, 0x1.5c1ac36351ae8p-16, 0x1.51398508d46ddp-16, 0x1.469a1e312756cp-16, 0x1.3c3a5371472cbp-16, 0x1.32182b676e53ap-16, 0x1.2831472368f44p-16, 0x1.1e82a1e835ce9p-16, 0x1.1508e1b09a5ap-16, 0x1.0bc0dd00f89a8p-16, 0x1.02a803656a713p-16, 0x1.f37a057fa79e1p-17, 0x1.e2007d4930b42p-17, 0x1.d0e5928cfa724p-17, 0x1.c0293d4900bdbp-17, 0x1.afc8e8ed3bf22p-17, 0x1.9fc2a57fe6d83p-17, 0x1.9016ae227ce01p-17, 0x1.80c43326afe34p-17, 0x1.71c686ffb8dabp-17, 0x1.63171ced0ef3ap-17, 0x1.54b0de611ec66p-17, 0x1.46911748edbdbp-17, 0x1.38b6bd365a5b4p-17, 0x1.2b21eaf9d0f22p-17, 0x1.1dd3cfc922ep-17, 0x1.10ce2a6fc8589p-17, 0x1.0411b819b5aecp-17, 0x1.ef38568195ec7p-18, 0x1.d6ce65d9bf86cp-18, 0x1.bed4255782cadp-18, 0x1.a73ca5ca591adp-18, 0x1.9009ee2f055aap-18, 0x1.7949258ff75f5p-18, 0x1.62ff48a4f2b83p-18, 0x1.4d23a68b5826ap-18, 0x1.37b16521ab17p-18, 0x1.22aec4c56ad8ep-18, 0x1.0e1e4fe07a09ap-18, 0x1.f3efa7d7295f8p-19, 0x1.cc62a0765493ap-19, 0x1.a58b514434432p-19, 0x1.7f67947a8e89bp-19, 0x1.59f790d18a75bp-19, 0x1.353a5ec427ab6p-19, 0x1.112dd8e026cd6p-19, 0x1.dba1c650a8b25p-20, 0x1.964c57fbe3aafp-20, 0x1.52680de11b41cp-20, 0x1.0ffffda2806c8p-20, 0x1.9e24fdf52b674p-21, 0x1.1f0e2a66c0dfdp-21, 0x1.44a902f9e9d07p-22, 0x1.3d40b43ab21f1p-24, -0x1.42f71d576fa3p-23, -0x1.8d09a8798a948p-22, -0x1.39e2f1169548bp-21, -0x1.ab12f50377531p-21, -0x1.0ce8b4f2000adp-20, -0x1.42fd19dc4a053p-20, -0x1.77e23516790bbp-20, -0x1.abb1e1e5f8e59p-20, -0x1.de7387be7c6cep-20, -0x1.08131911052cp-19, -0x1.206440ab031c3p-19, -0x1.382d556dad19ep-19, -0x1.4f6f2d6c6777cp-19, -0x1.662b41b96c2fdp-19, -0x1.7c637fe41c3eep-19, -0x1.921994fd46206p-19, -0x1.a74dda6005afcp-19, -0x1.bbff27d7aee9cp-19, -0x1.d02c672b98d5bp-19, -0x1.e3d560111514ap-19, -0x1.f6f91902a35dp-19, -0x1.04ce945b25898p-18, -0x1.0de83b57e557p-18, -0x1.16c7e71a2775dp-18, -0x1.1f6ab06e7726ep-18, -0x1.27d7710f5aa95p-18, -0x1.3009a65b4c4dcp-18, -0x1.37fb7ea1625d1p-18, -0x1.3fb202e4c1f87p-18, -0x1.47318c81f7708p-18, -0x1.4e7ab7a44bae7p-18, -0x1.558d24ebdbe48p-18, -0x1.5c68c23a3d496p-18, -0x1.630dde8eda2b1p-18, -0x1.697cfae7b8141p-18, -0x1.6fb6a2dc03745p-18, -0x1.75bb5ad68a5c4p-18, -0x1.7b8ba53681e69p-18, -0x1.812814e845864p-18, -0x1.869155d250708p-18, -0x1.8bc8149d6b35fp-18, -0x1.90ccd2c9064edp-18, -0x1.95a002674b76ap-18, -0x1.9a4256908d588p-18, -0x1.9eb36dbdfc8d4p-18, -0x1.a2f0974f37bb8p-18, -0x1.a6fc53dea9068p-18, -0x1.aadbb89facb51p-18, -0x1.ae8f369519e3dp-18, -0x1.b217882ddd22bp-18, -0x1.b56f214a100cfp-18, -0x1.b897969b893bfp-18, -0x1.bb94ba26c1a83p-18, -0x1.be674172c0b71p-18, -0x1.c10f0c47d2f6bp-18, -0x1.c38c3c5050226p-18, -0x1.c5df36e9e5cbap-18, -0x1.c808807ca7574p-18, -0x1.ca08aa4b81c74p-18, -0x1.cbe0483b43337p-18, -0x1.cd8fe8fad4392p-18, -0x1.cf1811ded64e2p-18, -0x1.d07940698819ep-18, -0x1.d1b3fd79f61b4p-18, -0x1.d2c8be455a679p-18, -0x1.d3b8436512accp-18, -0x1.d4832e68c4ddp-18, -0x1.d52a11fe1c0a3p-18, -0x1.d5ad8123224fdp-18, -0x1.d60e3960b5ed3p-18, -0x1.d64be2c60d947p-18, -0x1.d6647ef59805fp-18, -0x1.d65b411371e75p-18, -0x1.d63400cd57c6p-18, -0x1.d5ed65268f3dp-18, -0x1.d5846355d8203p-18, -0x1.d4fb8a4a1255p-18, -0x1.d454982943e6fp-18, -0x1.d38fb106d61ffp-18, -0x1.d2ad08f1f11f3p-18, -0x1.d1ad0abf73492p-18, -0x1.d09037cfbccf5p-18, -0x1.cf5718556154fp-18, -0x1.ce0236737e685p-18, -0x1.cc921cc2681adp-18, -0x1.cb07568976767p-18, -0x1.c96266f10b033p-18, -0x1.c7a3da92b67c6p-18, -0x1.c5cc270abbcbp-18, -0x1.c3dbd69bb8997p-18, -0x1.c1d35d526d96ep-18, -0x1.bfb34773b06dfp-18, -0x1.bd7c282a0298fp-18, -0x1.bb2e926818025p-18, -0x1.b8cb057fef649p-18, -0x1.b651f297b8909p-18, -0x1.b3c3f4d491b41p-18, -0x1.b121868afd8dap-18, -0x1.ae69aaaca2df9p-18, -0x1.ab9e2fd624421p-18, -0x1.a8c16c1c5c0bfp-18, -0x1.a5d0d738df5b4p-18, -0x1.a2cdca37dc8b5p-18, -0x1.9fb997a0c5a32p-18, -0x1.9c9466cc5c507p-18, -0x1.995e8365fb08p-18, -0x1.96185c5b06c9dp-18, -0x1.92c26919365fcp-18, -0x1.8f5d21a3f9bd8p-18, -0x1.8be8fe9909e99p-18, -0x1.88666fb6a092ap-18, -0x1.84d5c90678af1p-18, -0x1.8137e941290dfp-18, -0x1.7d8ccee8084p-18, -0x1.79d51c1d2ea12p-18, -0x1.76113cfbd8c9fp-18, -0x1.72419c12f318cp-18, -0x1.6e66a33c48923p-18, -0x1.6a80bc8a1581fp-18, -0x1.66905557653p-18, -0x1.6295deb9dbe1ap-18, -0x1.5e91ca39e09b2p-18, -0x1.5a84806fc76b2p-18, -0x1.566e5692de139p-18, -0x1.524fa5eafd645p-18, -0x1.4e290cacf69eep-18, -0x1.49fada2747ed8p-18, -0x1.45c4c9072dac3p-18, -0x1.41885b4462988p-18, -0x1.3d44bc3e0942fp-18, -0x1.38fb36a5bc99ap-18, -0x1.34ac179603511p-18, -0x1.30578806bfa5bp-18, -0x1.2bfddaba8ef72p-18, -0x1.279f6ad70e566p-18, -0x1.233c92a5ce386p-18, -0x1.1ed5aa80e8695p-18, -0x1.1a6b090ae417dp-18, -0x1.15fd037be732p-18, -0x1.118bedd76864p-18, -0x1.0d181b057faa5p-18, -0x1.08a1dcbe3a1f6p-18, -0x1.0429838aefd2ap-18, -0x1.ff5ebd2ad134cp-19, -0x1.f6677761d8167p-19, -0x1.ed6dcd322942ap-19, -0x1.e472529756d5ep-19, -0x1.db7598feefaap-19, -0x1.d27831e8f1811p-19, -0x1.c97ab0172b00cp-19, -0x1.c07da6844a79fp-19, -0x1.b781a55988d3cp-19, -0x1.ae8730fe58e79p-19, -0x1.a58eb39262225p-19, -0x1.9c98a3511a9fap-19, -0x1.93a5d5adda2c1p-19, -0x1.8ab6f9c4e95b3p-19, -0x1.81cbc7ca81a2cp-19, -0x1.78e461b3969ddp-19, -0x1.700245f412c33p-19, -0x1.6725ec930d9f4p-19, -0x1.5e4f71e9261fp-19, -0x1.557f3ca640812p-19, -0x1.4cb5bdb2d741dp-19, -0x1.43f3612e81462p-19, -0x1.3b3891522542p-19, -0x1.3285bc814861ep-19, -0x1.29db3df835d37p-19, -0x1.21397b3e2803p-19, -0x1.18a0d4759694bp-19, -0x1.1011a738bc896p-19, -0x1.078c4f0a67c6p-19, -0x1.fe224a8ac4952p-20, -0x1.ed4102248492cp-20, -0x1.dc756eca66fc2p-20, -0x1.cbc035d11c607p-20, -0x1.bb21f79324afcp-20, -0x1.aa9b4f4acc922p-20, -0x1.9a2cd3fe7ea85p-20, -0x1.89d71a24ed5afp-20, -0x1.799ab4237798dp-20, -0x1.6978318e46503p-20, -0x1.59701e3910169p-20, -0x1.4982fd41b902dp-20, -0x1.39b140650fc7fp-20, -0x1.29fb555ce8a45p-20, -0x1.1a61d7e940b9dp-20, -0x1.0ae59abb89a57p-20, -0x1.f70cd42c249cap-21, -0x1.d88924378fd61p-21, -0x1.ba416e285ac56p-21, -0x1.9c37704f2f261p-21, -0x1.7e6b0c354c011p-21, -0x1.60ddab459d875p-21, -0x1.438f4a1c28b2fp-21, -0x1.2680b959c50afp-21, -0x1.09b2bf1cd6c7cp-21, -0x1.da4bec9d064edp-22, -0x1.a1b5f2faff2dap-22, -0x1.69a4b853e4137p-22, -0x1.3219563a3c91ep-22, -0x1.f629b2d397f0cp-23, -0x1.8930a614193acp-23, -0x1.1d49066943a96p-23, -0x1.64ea1110b204cp-24, -0x1.22d900c8e38cep-25, 0x1.ff1b460421803p-27, 0x1.0f029c652b4cfp-24, 0x1.dbee5c5b55d46p-24, 0x1.5351a8b4d31e4p-23, 0x1.b78e9ef9f875ep-23, 0x1.0d50f998de836p-22, 0x1.3e590fdd217cep-22, 0x1.6ecb204cf6b5fp-22, 0x1.9eac52cf5449ep-22, 0x1.cdfccd54dba07p-22, 0x1.fcbc436a99d38p-22, 0x1.157534eeda84ap-21, 0x1.2c43770f7739cp-21, 0x1.42c8a200e1aacp-21, 0x1.5904b5488529dp-21, 0x1.6ef80c128136cp-21, 0x1.84a1c82b73e45p-21, 0x1.9a023b9a7c7d1p-21, 0x1.af19a641661efp-21, 0x1.c3e78ed71acfep-21, }}, 
      {{0x1.2a1db55ab86a7p-2, 0x1.2626dfd663444p-1, 0x1.afc950d5b4e6ap-1, 0x1.1795a58155ec5p+0, 0x1.5121e147d7616p+0, 0x1.83e062722c1c6p+0, 0x1.af785dd7c6f43p+0, 0x1.d3d3a98a21394p+0, 0x1.f111274e55c36p+0, 0x1.03bc202ee40c1p+1, 0x1.0bb6f5c87260dp+1, 0x1.10b5aef420c97p+1, 0x1.12fb2bd1dfbb4p+1, 0x1.12cd7568f596cp+1, 0x1.107348478ca45p+1, 0x1.0c323117494fbp+1, 0x1.064d263b6fcbdp+1, 0x1.fe0713f7c4f83p+0, 0x1.ed21046257e97p+0, 0x1.da5528f064a6dp+0, 0x1.c606f03f3f467p+0, 0x1.b0902252220bdp+0, 0x1.9a4113424dea8p+0, 0x1.8361011571158p+0, 0x1.6c2e8eeb0c7f2p+0, 0x1.54e052ed4b0f2p+0, 0x1.3da56f022d94ep+0, 0x1.26a62e2f60acbp+0, 0x1.1004a2142eee5p+0, 0x1.f3ba79ffd6579p-1, 0x1.c88ecc4816317p-1, 0x1.9eac0c42c71c6p-1, 0x1.763015a16f307p-1, 0x1.4f31c33df58fdp-1, 0x1.29c1d04c2187bp-1, 0x1.05eba5f6c9a2ap-1, 0x1.c76c2baa16564p-2, 0x1.864803b81ba0bp-2, 0x1.4869e566d9c47p-2, 0x1.0dcb3b3d01523p-2, 0x1.acc16ce2911cp-3, 0x1.443640a444fap-3, 0x1.c3a047bb08042p-4, 0x1.0aca522d3c6f2p-4, 0x1.763ad610ae0e4p-6, -0x1.11d2925669506p-6, -0x1.b74cb696322a2p-5, -0x1.68702fb10fa5ep-4, -0x1.eb3dd251ffa3ap-4, -0x1.323def46e0e53p-3, -0x1.6a4b7efa68065p-3, -0x1.9dfd9758f4744p-3, -0x1.cd8994656ebcfp-3, -0x1.f923ef37679a3p-3, -0x1.108004f5917aep-2, -0x1.22a802df2918bp-2, -0x1.332250f4c7b05p-2, -0x1.420690fb03649p-2, -0x1.4f6b9d3e66041p-2, -0x1.5b6781b2fa2c9p-2, -0x1.660f776ec9d48p-2, -0x1.6f77e2274fe0ap-2, -0x1.77b44f644ce8bp-2, -0x1.7ed77723efdf1p-2, -0x1.84f33db4abb4ap-2, -0x1.8a18b690e18d4p-2, -0x1.8e58280f7cbd2p-2, -0x1.91c10fc2e2a1ep-2, -0x1.946227650b084p-2, -0x1.96496a342036ap-2, -0x1.97841aa73e4ecp-2, -0x1.981ec86611a41p-2, -0x1.982556709551ap-2, -0x1.97a301673f1fep-2, -0x1.96a265e4a58c9p-2, -0x1.952d86dd0e4f8p-2, -0x1.934dd3f87f42p-2, -0x1.910c2fdf64661p-2, -0x1.8e70f672323d2p-2, -0x1.8b8402e67af06p-2, -0x1.884cb5c55ceb2p-2, -0x1.84d1fac717946p-2, -0x1.811a4e889d5b5p-2, -0x1.7d2bc4176eddap-2, -0x1.790c0a51f1cep-2, -0x1.74c0711676d1fp-2, -0x1.704dee46146f7p-2, -0x1.6bb9228efa358p-2, -0x1.67065e0f4f564p-2, -0x1.6239a4bfb181bp-2, -0x1.5d56b2b546b54p-2, -0x1.5861003842dfbp-2, -0x1.535bc5a73a06ap-2, -0x1.4e49ff3af2995p-2, -0x1.492e7093208d3p-2, -0x1.440ba81b21626p-2, -0x1.3ee4024861095p-2, -0x1.39b9ac9e72036p-2, -0x1.348ea89815b5bp-2, -0x1.2f64ce6249cd8p-2, -0x1.2a3dcf6a9ed8ep-2, -0x1.251b38dc6d94cp-2, -0x1.1ffe75ecffce6p-2, -0x1.1ae8d20ff25fap-2, -0x1.15db7b14e9bf6p-2, -0x1.10d7831a2c4f8p-2, -0x1.0bdde26ed72bfp-2, -0x1.06ef795740687p-2, -0x1.020d11ada3f6fp-2, -0x1.fa6ec0e710fcap-3, -0x1.f0de0e879d3p-3, -0x1.e7692b55bdac8p-3, -0x1.de1114df93905p-3, -0x1.d4d6a987d8bcap-3, -0x1.cbbaaabedb9e1p-3, -0x1.c2bdbf2284981p-3, -0x1.b9e0747650793p-3, -0x1.b123417ba3f93p-3, -0x1.a88687b5f92fcp-3, -0x1.a00a950d43d87p-3, -0x1.97afa55296cfap-3, -0x1.8f75e3b4c22eap-3, -0x1.875d6c175955p-3, -0x1.7f664c4d85fd4p-3, -0x1.77908547a376ap-3, -0x1.6fdc0c29e9992p-3, -0x1.6848cb48e6766p-3, -0x1.60d6a31a522a9p-3, -0x1.59856b1726e9ep-3, -0x1.5254f287671cp-3, -0x1.4b4501413e822p-3, -0x1.445558600e85p-3, -0x1.3d85b2eb9571p-3, -0x1.36d5c6702364ap-3, -0x1.30454390ab62ep-3, -0x1.29d3d690bb281p-3, -0x1.238127cf2c40dp-3, -0x1.1d4cdc38eee7dp-3, -0x1.173695b78dc7p-3, -0x1.113df3961d5e6p-3, -0x1.0b6292dbdad51p-3, -0x1.05a40ea0dc959p-3, -0x1.0002005eccb91p-3, -0x1.f4f80074be27dp-4, -0x1.ea234a8946eb6p-4, -0x1.df850b6f73711p-4, -0x1.d51c6e61adabap-4, -0x1.cae89dc981dd4p-4, -0x1.c0e8c39bdc954p-4, -0x1.b71c09ae44842p-4, -0x1.ad819a085c935p-4, -0x1.a4189f2de8705p-4, -0x1.9ae0445f2963ep-4, -0x1.91d7b5d33fc36p-4, -0x1.88fe20efbf801p-4, -0x1.8052b47b88f65p-4, -0x1.77d4a0cb9de55p-4, -0x1.6f8317e9c3958p-4, -0x1.675d4db82a336p-4, -0x1.5f62781347127p-4, -0x1.5791ceefe731cp-4, -0x1.4fea8c73f1858p-4, -0x1.486bed0b8a259p-4, -0x1.41152f7d65e5p-4, -0x1.39e594fd9b0fdp-4, -0x1.32dc613c8e9dap-4, -0x1.2bf8da7266b35p-4, -0x1.253a49691b8aap-4, -0x1.1e9ff985e9235p-4, -0x1.182938d0fc22cp-4, -0x1.11d557fab0d05p-4, -0x1.0ba3aa5ef9e5bp-4, -0x1.059386078352dp-4, -0x1.ff48875a6d5acp-5, -0x1.f3aa7d71fb2adp-5, -0x1.e84baa867da56p-5, -0x1.dd2ad02454cafp-5, -0x1.d246b52a72d37p-5, -0x1.c79e25c65168ap-5, -0x1.bd2ff36c28ce4p-5, -0x1.b2faf4ce53efp-5, -0x1.a8fe05d1cc437p-5, -0x1.9f38078188605p-5, -0x1.95a7e00264172p-5, -0x1.8c4c7a86f8c14p-5, -0x1.8324c741e0389p-5, -0x1.7a2fbb56b25b4p-5, -0x1.716c50ca90e9dp-5, -0x1.68d986747e9f8p-5, -0x1.60765fed7c3b8p-5, -0x1.5841e5805e78cp-5, -0x1.503b24196ff24p-5, -0x1.48612d35bb6bdp-5, -0x1.40b316d198d03p-5, -0x1.392ffb56dbe3cp-5, -0x1.31d6f98baa173p-5, -0x1.2aa73481770e7p-5, -0x1.239fd3844bbedp-5, -0x1.1cc00208c3856p-5, -0x1.1606ef9a04aacp-5, -0x1.0f73cfc82165ep-5, -0x1.0905da1741c65p-5, -0x1.02bc49eee9c3ep-5, -0x1.f92cbd1148fe2p-6, -0x1.ed26b5bd1acp-6, -0x1.e1650b34814dep-6, -0x1.d5e65208a57c5p-6, -0x1.caa925e8076c6p-6, -0x1.bfac297db2d9cp-6, -0x1.b4ee065036307p-6, -0x1.aa6d6ca1725e8p-6, -0x1.a029134f79919p-6, -0x1.961fb7b5a9c45p-6, -0x1.8c501d8d97729p-6, -0x1.82b90ed023edbp-6, -0x1.79595b976293ep-6, -0x1.702fda01912b6p-6, -0x1.673b6614bec1dp-6, -0x1.5e7ae1a249068p-6, -0x1.55ed342a29cb7p-6, -0x1.4d914abe98433p-6, -0x1.456617e8f716bp-6, -0x1.3d6a938fbf1b7p-6, -0x1.359dbadcd0c5dp-6, -0x1.2dfe9023a6a5bp-6, -0x1.268c1ac7607adp-6, -0x1.1f45672144812p-6, -0x1.182986684cd88p-6, -0x1.11378e99beea3p-6, -0x1.0a6e9a622ba86p-6, -0x1.03cdc90656784p-6, -0x1.faa87c981508ap-7, -0x1.ee0244c6b609dp-7, -0x1.e1a743a162053p-7, -0x1.d595daaf73252p-7, -0x1.c9cc73cdc19f7p-7, -0x1.be498105bcd6dp-7, -0x1.b30b7c6469bf2p-7, -0x1.a810e7d1cacecp-7, -0x1.9d584ce98a3a3p-7, -0x1.92e03cd5408c6p-7, -0x1.88a75027cc45fp-7, -0x1.7eac26b937a28p-7, -0x1.74ed678298bc4p-7, -0x1.6b69c07a2b639p-7, -0x1.621fe6700ccfcp-7, -0x1.590e94ec3f3aap-7, -0x1.50348e0de483fp-7, -0x1.47909a6b5d87ep-7, -0x1.3f2188f29d1b8p-7, -0x1.36e62ec994a6dp-7, -0x1.2edd672ed89e8p-7, -0x1.2706135b0830ep-7, -0x1.1f5f1a634397p-7, -0x1.17e7691c851fap-7, -0x1.109df1ffdec93p-7, -0x1.0981ad0ee0641p-7, -0x1.029197b81e137p-7, -0x1.f7996977cb9f5p-8, -0x1.ea64182318f77p-8, -0x1.dd81559afe9dep-8, -0x1.d0ef4610c38b3p-8, -0x1.c4ac178d30275p-8, -0x1.b8b601c0ae05dp-8, -0x1.ad0b45d39733ap-8, -0x1.a1aa2e36d184fp-8, -0x1.96910e752bd1bp-8, -0x1.8bbe4305ddaefp-8, -0x1.813031207c1b1p-8, -0x1.76e546923a97p-8, -0x1.6cdbf994130e9p-8, -0x1.6312c8a161b7ep-8, -0x1.59883a4ed63d1p-8, -0x1.503add21cba26p-8, -0x1.47294768a0994p-8, -0x1.3e521712cb6cbp-8, -0x1.35b3f18d0b7e4p-8, -0x1.2d4d839a5cbp-8, -0x1.251d8131569f2p-8, -0x1.1d22a5581a022p-8, -0x1.155bb201155b5p-8, -0x1.0dc76fe8268e8p-8, -0x1.0664ae706480cp-8, -0x1.fe648705407cp-9, -0x1.f05e16d9a7edcp-9, -0x1.e2b3d184a50d3p-9, -0x1.d563887947071p-9, -0x1.c86b1939c465cp-9, -0x1.bbc86d1ad5789p-9, -0x1.af797907f6aa7p-9, -0x1.a37c3d4881545p-9, -0x1.97cec545fa2f5p-9, -0x1.8c6f2753b21bdp-9, -0x1.815b8477b15c1p-9, -0x1.76920834e7a19p-9, -0x1.6c10e8563dd8ap-9, -0x1.61d664baa8a7fp-9, -0x1.57e0c72186f07p-9, -0x1.4e2e62f84c708p-9, -0x1.44bd9528e08c9p-9, -0x1.3b8cc3e884c2dp-9, -0x1.329a5e8853d34p-9, -0x1.29e4dd46b388dp-9, -0x1.216ac121a8d12p-9, -0x1.192a93aa1f962p-9, -0x1.1122e6d715515p-9, -0x1.095254d88e24cp-9, -0x1.01b77fefec9d8p-9, -0x1.f4a2248f27421p-10, -0x1.e63b7b8ac97bdp-10, -0x1.d83877c58398ep-10, -0x1.ca969b0c92151p-10, -0x1.bd5375b9f931bp-10, -0x1.b06ca6683e7a1p-10, -0x1.a3dfd9a77beefp-10, -0x1.97aac9b3d6fa9p-10, -0x1.8bcb3e2d3f07bp-10, -0x1.803f0bd08ec1ap-10, -0x1.75041431cfcf1p-10, -0x1.6a184577ea37cp-10, -0x1.5f799a19992cdp-10, -0x1.5526189b9c316p-10, -0x1.4b1bd35037c83p-10, -0x1.4158e817c218p-10, -0x1.37db802285d61p-10, -0x1.2ea1cfb3dbeffp-10, -0x1.25aa15e671d31p-10, -0x1.1cf29c71a38cap-10, -0x1.1479b77044f4ep-10, -0x1.0c3dc52805193p-10, -0x1.043d2dd1ff9ebp-10, -0x1.f8ecc6c8089ebp-11, -0x1.e9cfc2b5d2505p-11, -0x1.db20590ad20d6p-11, -0x1.ccdba5a132078p-11, -0x1.befed62a91c8ep-11, -0x1.b18729cd7f583p-11, -0x1.a471f0c58509ep-11, -0x1.97bc8c08f584cp-11, -0x1.8b646ce2b76bep-11, -0x1.7f6714a6de7d5p-11, -0x1.73c2144ba7649p-11, -0x1.68730c164f36ap-11, -0x1.5d77ab411fdd8p-11, -0x1.52cdafa4c1bb6p-11, -0x1.4872e5638dd1p-11, -0x1.3e65269782871p-11, -0x1.34a25b0357db6p-11, -0x1.2b2877c6046e1p-11, -0x1.21f57f108e46fp-11, -0x1.19077fdd38db9p-11, -0x1.105c95a6e9cdep-11, -0x1.07f2e8218afe4p-11, -0x1.ff9155e463b05p-12, -0x1.efb83ad0a938ep-12, -0x1.e05714702b888p-12, -0x1.d16a8e6c679b2p-12, -0x1.c2ef6a2bc60a7p-12, -0x1.b4e27e50aa5f6p-12, -0x1.a740b63b0d283p-12, -0x1.9a07118c185e3p-12, -0x1.8d32a3abf157bp-12, -0x1.80c09351bc6ep-12, -0x1.74ae1a101901p-12, -0x1.68f883e74aca5p-12, -0x1.5d9d2ede2084fp-12, -0x1.52998aa0ca8bdp-12, -0x1.47eb182392f6cp-12, -0x1.3d8f69461190ep-12, -0x1.33842063509b9p-12, -0x1.29c6f018aaebp-12, -0x1.20559a7a7089cp-12, -0x1.172df0ed24d75p-12, -0x1.0e4dd37e46ebp-12, -0x1.05b3307b2f9d6p-12, -0x1.fab8081a021dap-13, -0x1.ea8cafd56f6aep-13, -0x1.dae08642ca1a4p-13, -0x1.cbafd3e37ce3dp-13, -0x1.bcf6fb547c73bp-13, -0x1.aeb27909e9865p-13, -0x1.a0dee30e59f7ap-13, -0x1.9378e7f2305f3p-13, -0x1.867d4e5163c14p-13, -0x1.79e8f384004f5p-13, -0x1.6db8ca84e1279p-13, -0x1.61e9dadc28717p-13, -0x1.56793fc107b2dp-13, -0x1.4b64278ac8db9p-13, -0x1.40a7d3796b24p-13, -0x1.364197c6e17a4p-13, -0x1.2c2edbe210e14p-13, -0x1.226d1aa8ae94dp-13, -0x1.18f9e2750f5d1p-13, -0x1.0fd2d4ddef9d8p-13, -0x1.06f5a6188bec9p-13, -0x1.fcc038060e717p-14, -0x1.ec2019e70a31fp-14, -0x1.dc06bcf2e7c5ep-14, -0x1.cc70088a1af2bp-14, -0x1.bd57fec805dbbp-14, -0x1.aebabb92fe819p-14, -0x1.a094744216233p-14, -0x1.92e1793a1b876p-14, -0x1.859e35eed49e9p-14, -0x1.78c73163d149ep-14, -0x1.6c590ecf888dcp-14, -0x1.60508d5ecf24p-14, -0x1.54aa876966f5bp-14, -0x1.4963f11f1f867p-14, -0x1.3e79d6c4d6f48p-14, -0x1.33e95ab6ce34ap-14, -0x1.29afb383c9379p-14, -0x1.1fca2a7b17acbp-14, -0x1.16361b0f52ca4p-14, -0x1.0cf0f23b26672p-14, -0x1.03f830264d051p-14, -0x1.f692cf2057ef4p-15, -0x1.e5c47ceca3474p-15, -0x1.d580db2b812dfp-15, -0x1.c5c381714dfe3p-15, -0x1.b6882a9932c04p-15, -0x1.a7cab4339cddfp-15, -0x1.99871d8fe0a4cp-15, -0x1.8bb9866851f6cp-15, -0x1.7e5e2d097f46cp-15, -0x1.71716bf6203b9p-15, -0x1.64efb7cc1f3f6p-15, -0x1.58d59e352c007p-15, -0x1.4d1fc629a1baap-15, -0x1.41caf1202d261p-15, -0x1.36d3fc24103dep-15, -0x1.2c37dfc1b3c18p-15, -0x1.21f3ae8588902p-15, -0x1.180492961b8fep-15, -0x1.0e67cb7db6fdcp-15, -0x1.051aad04d5903p-15, -0x1.f8353e8e145d6p-16, -0x1.e6ca3ec0f2cdp-16, -0x1.d5ef7f8893e2fp-16, -0x1.c5a04f2dc7972p-16, -0x1.b5d82253d549cp-16, -0x1.a69290a417077p-16, -0x1.97cb52dabebf6p-16, -0x1.897e42d529fe2p-16, -0x1.7ba75cd9768eep-16, -0x1.6e42c073ef4edp-16, -0x1.614cb063e3efap-16, -0x1.54c18f6448a75p-16, -0x1.489dddfe81b16p-16, -0x1.3cde375043b6ap-16, -0x1.317f5168ceb72p-16, -0x1.267df7c9f8b77p-16, -0x1.1bd715cacfabp-16, -0x1.1187b17cba5e4p-16, -0x1.078ceb6b5905fp-16, -0x1.fbc7ff7953c4dp-17, -0x1.e9148887de4e6p-17, -0x1.d6fa4f06b53d9p-17, -0x1.c5745e3f00177p-17, -0x1.b47dea2103d52p-17, -0x1.a41247d5a2badp-17, -0x1.942ce7ea93bd8p-17, -0x1.84c9557cb797cp-17, -0x1.75e33a4536c21p-17, -0x1.677663cedd273p-17, -0x1.597ec627c437ap-17, -0x1.4bf87c259574bp-17, -0x1.3edfc2e268bcfp-17, -0x1.3230feaf3cf4dp-17, -0x1.25e8b27d78d21p-17, -0x1.1a038784e9516p-17, -0x1.0e7e42efc6ae7p-17, -0x1.0355d39aff08p-17, -0x1.f10ea13f48541p-18, -0x1.dc1ff37a39bb6p-18, -0x1.c7da5b57dad28p-18, -0x1.b438b3a737373p-18, -0x1.a135d885a3dbp-18, -0x1.8ecca0cfb969dp-18, -0x1.7cf7e8017f822p-18, -0x1.6bb2c0ac294ffp-18, -0x1.5af84ca83c336p-18, -0x1.4ac41dae67125p-18, -0x1.3b11c993e999fp-18, -0x1.2bdd147a0beebp-18, -0x1.1d21e27331e4ep-18, -0x1.0edc3a06f2177p-18, -0x1.010849994c296p-18, -0x1.e744df84fc2c4p-19, -0x1.cd4e8e15de516p-19, -0x1.b4275dd54b38bp-19, -0x1.9bc98eb9130c4p-19, -0x1.842faefd524aep-19, -0x1.6d5455227ae67p-19, -0x1.5731efd627741p-19, -0x1.41c2ca09f85a2p-19, -0x1.2d01371378e27p-19, -0x1.18e7bee1aaf8p-19, -0x1.0571300d194e7p-19, -0x1.e5313774ab4a3p-20, -0x1.c0b28fe16851p-20, -0x1.9d5d3915f2521p-20, -0x1.7b281d813bd5ep-20, -0x1.5a0a2db868baap-20, -0x1.39fa75503cd24p-20, -0x1.1af0544328132p-20, -0x1.f9c783e73d017p-21, -0x1.bf9afb52e8284p-21, -0x1.874e1ede6fbb1p-21, -0x1.50d546ad3aef5p-21, -0x1.1c24fd68b3d68p-21, -0x1.d26310e8420cfp-22, -0x1.6fdd58effbab5p-22, -0x1.10a027c855bc7p-22, -0x1.6928444bf5acp-23, -0x1.6e89a0cb0a5aap-24, -0x1.6d364d210d9b2p-28, 0x1.35278c4caac8cp-24, 0x1.3adbf9fdaf6f4p-23, 0x1.d594f52aa7f22p-23, 0x1.3571c484a77eap-22, 0x1.7d765c79b9c58p-22, 0x1.c2eb38c72ad1cp-22, 0x1.02f1c158611aap-21, 0x1.2338ecb32b888p-21, 0x1.4253c1af351b7p-21, 0x1.6049fe7aa9992p-21, 0x1.7d2294aeb431cp-21, 0x1.98e4141cce31dp-21, 0x1.b3952e745728ep-21, 0x1.cd3cddccdc8a4p-21, 0x1.e5e1fb2f601b2p-21, 0x1.fd8ac5029bd61p-21, 0x1.0a1e7e87c55bfp-20, 0x1.14ff387590cf8p-20, 0x1.1f6a9ff86d061p-20, 0x1.2963cad9b4e8ep-20, 0x1.32eda5f6cb6ddp-20, 0x1.3c0ae279df4fbp-20, 0x1.44bdfcc05b26dp-20, 0x1.4d0958bd53f9cp-20, 0x1.54ef66499af0dp-20, 0x1.5c72b098f6673p-20, 0x1.6395c790b2f42p-20, 0x1.6a5b1695a7572p-20, 0x1.70c4cdd6a6fe6p-20, 0x1.76d4f6f467a7ep-20, 0x1.7c8d9e33c054p-20, 0x1.81f0ec782886dp-20, 0x1.87013488af9bdp-20, 0x1.8bc0b7083de64p-20, 0x1.90315a05b7751p-20, 0x1.9454b7c8fd37cp-20, 0x1.982c4e4ff95f5p-20, 0x1.9bb9d526db0c1p-20, 0x1.9eff2bb86cbd1p-20, 0x1.a1fe1f7d1c9c8p-20, 0x1.a4b8668218bc2p-20, 0x1.a72faac716d24p-20, 0x1.a9658360d25f4p-20, 0x1.ab5b71854600bp-20, 0x1.ad12e98ed50f4p-20, 0x1.ae8d600012688p-20, 0x1.afcc5238bda3p-20, 0x1.b0d142fc16df8p-20, 0x1.b19da5e27b4c9p-20, 0x1.b232c70bb551p-20, 0x1.b291cf04b6c6dp-20, 0x1.b2bbefab038fep-20, 0x1.b2b28f456fb96p-20, 0x1.b2773e2b8646cp-20, 0x1.b20b874e6699cp-20, 0x1.b170bb48834a2p-20, 0x1.b0a7d23a5881fp-20, 0x1.afb1b117ca244p-20, 0x1.ae8f85c58a9c2p-20, 0x1.ad429c220ee1bp-20, 0x1.abcc16daa1aebp-20, 0x1.aa2d059604ccbp-20, 0x1.a866814688d9fp-20, 0x1.a6799ad6afb19p-20, 0x1.a4675afea7b07p-20, 0x1.a230c7648df9ep-20, 0x1.9fd6e407ee384p-20, 0x1.9d5ab123bd0d7p-20, 0x1.9abd29e68efcbp-20, 0x1.97ff45e8a69e2p-20, 0x1.9521fa58e1aebp-20, 0x1.922635f864bb6p-20, 0x1.8f0cd8c8c81a2p-20, 0x1.8bd6af4aa2a52p-20, 0x1.8884a97f3fcb7p-20, 0x1.8517af46b498p-20, 0x1.8190bbc08d1a5p-20, 0x1.7df0bde93cb21p-20, 0x1.7a388888df2dcp-20, 0x1.7668d599d25a6p-20, 0x1.7282668231707p-20, 0x1.6e8623e6ab1d9p-20, 0x1.6a74d7e80355ep-20, 0x1.664f3c80c28fp-20, 0x1.621618ba5d833p-20, 0x1.5dca2e8095843p-20, 0x1.596c37097637ap-20, 0x1.54fce98869c4ep-20, 0x1.507cfde589892p-20, 0x1.4bed2bb2d8c98p-20, 0x1.474e28321f4f4p-20, 0x1.42a0a464f9b09p-20, 0x1.3de54c0d4753p-20, 0x1.391cc67e089d5p-20, 0x1.3447b8ae80c38p-20, 0x1.2f66c555e965ap-20, 0x1.2a7a88bfc64ebp-20, 0x1.2583b16bc3cd9p-20, 0x1.2082d19ba8201p-20, 0x1.1b787f43e8888p-20, 0x1.166560aa43b5ep-20, 0x1.114a051b4a98p-20, 0x1.0c26fb7ec00c3p-20, 0x1.06fcd9959055ep-20, 0x1.01cc31cb89393p-20, 0x1.f92b292452ef5p-21, 0x1.eeb2fe4716251p-21, 0x1.e430f0c2e8c4p-21, 0x1.d9a6119817a41p-21, 0x1.cf13615dad6b4p-21, 0x1.c479da0af523cp-21, 0x1.b9da72cab8df7p-21, 0x1.af361f673acddp-21, 0x1.a48dd2fe651e4p-21, 0x1.99e27da96b3p-21, 0x1.8f3509d724ee8p-21, 0x1.84865c5ae6626p-21, 0x1.79d75349d44bfp-21, 0x1.6f28c60fc33c2p-21, 0x1.647b939ef266bp-21, 0x1.59d06983647p-21, 0x1.4f283b677deb3p-21, 0x1.4483cb5d726c8p-21, 0x1.39e3e0015afacp-21, 0x1.2f493771e6ebap-21, 0x1.24b48da9afb9bp-21, 0x1.1a2697be1c85cp-21, 0x1.0f9fff4d99e07p-21, 0x1.05218254be1f9p-21, 0x1.f557bee2a08bp-22, 0x1.e07f72244f766p-22, 0x1.cbbb4923b951cp-22, 0x1.b70c92d149ca7p-22, 0x1.a27490956c38cp-22, 0x1.8df46f3c38a44p-22, 0x1.798d561074203p-22, 0x1.654065c52e1abp-22, 0x1.510eb8dfe308bp-22, 0x1.3cf9637437f3ap-22, 0x1.2901734fe6b04p-22, 0x1.1527efee914a8p-22, 0x1.016dde8a2ededp-22, 0x1.dba84cd30a5a7p-23, 0x1.b4b76622b4bf8p-23, 0x1.8e0b0ebc563cp-23, 0x1.67a5490e0619ap-23, 0x1.41871da8f653fp-23, 0x1.1bb28a97471ffp-23, 0x1.ec525ff0bbd41p-24, 0x1.a1d93b1a63778p-24, 0x1.57fcb190897d7p-24, 0x1.0ebf9a10810bp-24, 0x1.8c49a0c3093dcp-25, 0x1.f8bb550465e7ep-26, 0x1.b701ef42e6b3p-27, -0x1.f886ba4b05a41p-29, -0x1.56f0b73482499p-26, -0x1.360a360d05c52p-25, -0x1.bf3970bd9116dp-25, -0x1.238155f79aeeep-24, -0x1.66b0ab85e3979p-24, -0x1.a928a955bd768p-24, -0x1.eae7c018ab933p-24, -0x1.15f5edf5ac5d2p-23, -0x1.3619bc07e2b5bp-23, -0x1.55de9647f0f41p-23, -0x1.75435cdd80e94p-23, -0x1.9445f4236bfd6p-23, -0x1.b2eabec2987aap-23, -0x1.d12b61ceafac5p-23, -0x1.ef09b2d423d65p-23, -0x1.06427fe2a5222p-22, -0x1.14ce55c4c6719p-22, -0x1.23281eac0550cp-22, -0x1.314f9f83ae973p-22, -0x1.3f44a1f0c7334p-22, -0x1.4d06f2b10b039p-22, -0x1.5a96629f7a6b7p-22, -0x1.67f2c8a1dbecdp-22, -0x1.751c047562b5ep-22, -0x1.8211fbd2ad89p-22, -0x1.8ed490aeb4dbp-22, -0x1.9b63a82592ccp-22, -0x1.a7bf32082d882p-22, -0x1.b3e7165a2f994p-22, -0x1.bfdb5435c51b9p-22, -0x1.cb9bdd010fa5bp-22, -0x1.d728ad7908dp-22, -0x1.e281c6e3f43bap-22, -0x1.eda72cc029361p-22, -0x1.f898e5ce4c10ap-22, -0x1.01ab7e2790415p-21, -0x1.06f0befbf7de3p-21, -0x1.0c1c3de946a38p-21, -0x1.112e050ad6bbfp-21, -0x1.16262001aa792p-21, -0x1.1b049c3dea291p-21, -0x1.1fc987c31fb01p-21, -0x1.2474f2c2f134cp-21, -0x1.2906efd04eb19p-21, -0x1.2d7f8f921b275p-21, -0x1.31dee8cf593f6p-21, -0x1.362510c45110ap-21, -0x1.3a521eb6cd294p-21, -0x1.3e662ad2a9511p-21, -0x1.42614dd11b991p-21, -0x1.4643a43c643dfp-21, -0x1.4a0d552cc7088p-21, -0x1.4dbe56b367fa6p-21, -0x1.5156f0beaa479p-21, -0x1.54d734fac6706p-21, -0x1.583f41ef6cde3p-21, -0x1.5b8f28a1f7ca4p-21, -0x1.5ec745858941cp-21, -0x1.61e7770a0fcbep-21, -0x1.64efff5516cd7p-21, -0x1.67e10a922d873p-21, -0x1.6abab3308ef48p-21, -0x1.6d7d217e2aac4p-21, -0x1.7028800f0460ep-21, -0x1.72bcf21d86c71p-21, -0x1.753a9ff3a81f5p-21, -0x1.77a1d059cd5c7p-21, -0x1.79f289642e49fp-21, -0x1.7c2d04273eb28p-21, -0x1.7e516dfcd53d1p-21, -0x1.805ff35bb46b1p-21, -0x1.8258c18fa215cp-21, -0x1.843c0697153eap-21, -0x1.8609f10d5bdb5p-21, -0x1.87c2b01ec1b9fp-21, -0x1.89667382b7c89p-21, -0x1.8af56b7a498d4p-21, -0x1.8c6fc8cc1421dp-21, -0x1.8dd5bcb292871p-21, -0x1.8f2778c23f43cp-21, -0x1.90652ee0b1ad5p-21, -0x1.918f114f9b441p-21, -0x1.92a552b39bfd4p-21, -0x1.93a82625d4807p-21, -0x1.9497bf571d4ecp-21, -0x1.9574524b31bd6p-21, -0x1.963e12d48f516p-21, -0x1.96f534595b099p-21, -0x1.9799eaf4d3dd8p-21, -0x1.982c6d5840b0bp-21, -0x1.98acf1b01dd1bp-21, -0x1.991ba977b27d9p-21, -0x1.9978bef483e6bp-21, -0x1.99c48b302ad61p-21, -0x1.99ff2a5c6017fp-21, -0x1.9a28c595c9e5fp-21, -0x1.9a41a8c7d8aa1p-21, -0x1.9a4a02ba2aa32p-21, -0x1.9a42098df270ep-21, -0x1.9a29f348e6a69p-21, -0x1.9a01f5d99f34p-21, -0x1.99ca47851d24p-21, -0x1.99831c8abadcdp-21, -0x1.992cb1ec30d7ap-21, -0x1.98c73623d358ep-21, -0x1.9852e1d42dc94p-21, -0x1.97cfeadad9a98p-21, -0x1.973e86deb2419p-21, -0x1.969ef3a057763p-21, -0x1.95f16385ab6d3p-21, -0x1.9536282abd0ap-21, -0x1.946eebf3084bap-21, -0x1.9396d311ab286p-21, -0x1.92b326afcbf6bp-21, -0x1.91c2a8a671cap-21, -0x1.90c5709b3b838p-21, -0x1.8fbbaf4be949ep-21, -0x1.8ea5976f2a49ap-21, -0x1.8d835dcc84a4fp-21, -0x1.8c5538132465p-21, -0x1.8b1b59b1b48d7p-21, -0x1.89d5f6fb0e83fp-21, -0x1.88854356fdf07p-21, -0x1.8729728ebf172p-21, -0x1.85c2b82533c1ap-21, -0x1.845146fc0abe7p-21, }}, 
      {{-0x1.923b174f18df8p-5, 0x1.698ba882fadf3p-6, 0x1.fffb5c043978ep-4, 0x1.f543f1412fc06p-3, 0x1.78f200862397p-2, 0x1.f04c2dd2af432p-2, 0x1.2c98326596989p-1, 0x1.577c3deff567cp-1, 0x1.77adc55e6fce2p-1, 0x1.8cf32c3b482a7p-1, 0x1.97be5857ce662p-1, 0x1.98f633511f4a9p-1, 0x1.91ca14f15615fp-1, 0x1.838ea16618d6bp-1, 0x1.6fa32441a4b77p-1, 0x1.575e370e191bp-1, 0x1.3c006e63e44dcp-1, 0x1.1eabdeba253e5p-1, 0x1.005f6a57dbbcep-1, 0x1.c3e9e413ea06fp-2, 0x1.88433d6bd272fp-2, 0x1.4eef42183a769p-2, 0x1.18d1c60548b2cp-2, 0x1.cd291147c7c83p-3, 0x1.715c5346d6d5p-3, 0x1.1ed254c62141ap-3, 0x1.abaac39360401p-4, 0x1.2ce374ab144bap-4, 0x1.8204b0fbd50fap-5, 0x1.9dac07699b6dp-6, 0x1.f436a6419c892p-8, -0x1.87c04c7e40d84p-8, -0x1.03eae67996c65p-6, -0x1.6dd1a0f8e0f9bp-6, -0x1.a4bdc81113a66p-6, -0x1.add43f88e0b2bp-6, -0x1.8e2c2b7a0a3b7p-6, -0x1.4abb3c33586d2p-6, -0x1.d08d41e34eaeap-7, -0x1.ad5fbf6592a15p-8, 0x1.3e54f9b532f68p-9, 0x1.9a467134aa15ep-7, 0x1.80ff3638af729p-6, 0x1.1ffc0dc075f04p-5, 0x1.83799186b0b65p-5, 0x1.e98fd7d4b1ec2p-5, 0x1.287d39c53da8bp-4, 0x1.5c4bac2a2e676p-4, 0x1.8fb2919112fa1p-4, 0x1.c2409f158b04fp-4, 0x1.f392f7b1073f6p-4, 0x1.11aa17632153fp-3, 0x1.289da57860abfp-3, 0x1.3e85667c18fb4p-3, 0x1.5347dee7b9892p-3, 0x1.66d062d0d4bp-3, 0x1.790ea6b25d0f6p-3, 0x1.89f655e791f32p-3, 0x1.997eaf1e3dfacp-3, 0x1.a7a226df9a868p-3, 0x1.b45e102845402p-3, 0x1.bfb24afaacbbfp-3, 0x1.c9a0f8ba7e383p-3, 0x1.d22e361deb189p-3, 0x1.d95fda73686dcp-3, 0x1.df3d3bfe4e062p-3, 0x1.e3cef926842c8p-3, 0x1.e71ec63c2d1a6p-3, 0x1.e9373f8e946c6p-3, 0x1.ea23bf9770681p-3, 0x1.e9f038fe067f4p-3, 0x1.e8a914347e2adp-3, 0x1.e65b10769a91dp-3, 0x1.e31327ee8421bp-3, 0x1.dede76cc8183p-3, 0x1.d9ca2516e6819p-3, 0x1.d3e35308350d7p-3, 0x1.cd3707bf8774ap-3, 0x1.c5d2222573783p-3, 0x1.bdc14bbfb43d3p-3, 0x1.b510ed6b509acp-3, 0x1.abcd25a8b21a1p-3, 0x1.a201c08a6bep-3, 0x1.97ba30e56a009p-3, 0x1.8d018ae33732bp-3, 0x1.81e27fabd853cp-3, 0x1.76675a106fc1dp-3, 0x1.6a99fc52cacbap-3, 0x1.5e83de8ffa592p-3, 0x1.522e0e00c675bp-3, 0x1.45a12d24c9032p-3, 0x1.38e573b8a81d8p-3, 0x1.2c02b058f03dbp-3, 0x1.1f00495e82ad9p-3, 0x1.11e53ea55cdc1p-3, 0x1.04b82c4b520efp-3, 0x1.eefe97f8d8c8dp-4, 0x1.d480f0e95c0b6p-4, 0x1.ba02609d7330ep-4, 0x1.9f8d30701cd06p-4, 0x1.852afe7588b5bp-4, 0x1.6ae4c2bb78eabp-4, 0x1.50c2d506bf16bp-4, 0x1.36ccf5862c373p-4, 0x1.1d0a5185efe7cp-4, 0x1.0381899f6e456p-4, 0x1.d47173e5eec83p-5, 0x1.a26afd16c381dp-5, 0x1.70f9f317ac056p-5, 0x1.4027b5b422ae6p-5, 0x1.0ffcc8b6fe563p-5, 0x1.c101c00fa0ecfp-6, 0x1.6375db06b5ca7p-6, 0x1.07625251471e3p-6, 0x1.59a470c04e9b1p-7, 0x1.4f3d67b0798d3p-8, -0x1.ced9473ed9671p-13, -0x1.65b5e7c450ed3p-8, -0x1.5b3331aee6e79p-7, -0x1.001cacd65c866p-6, -0x1.50f24526c633p-6, -0x1.a016d281d0fbbp-6, -0x1.ed8798d5525d3p-6, -0x1.1ca1515597254p-5, -0x1.41a359f99f13p-5, -0x1.65c99e0b8f45ep-5, -0x1.891425867ff81p-5, -0x1.ab834368a7db9p-5, -0x1.cd178f414addp-5, -0x1.edd1e01553a23p-5, -0x1.06d9a4218fbp-4, -0x1.165e88155c7b7p-4, -0x1.2578589ed5425p-4, -0x1.3427e940fdff2p-4, -0x1.426e225967595p-4, -0x1.504bfeea8842ep-4, -0x1.5dc28ade1e72fp-4, -0x1.6ad2e1a117bc3p-4, -0x1.777e2c841c44bp-4, -0x1.83c5a0fd17253p-4, -0x1.8faa7f596a205p-4, -0x1.9b2e11b33fa36p-4, -0x1.a651aa96dab99p-4, -0x1.b116a3a2f4b5cp-4, -0x1.bb7e5c9929e91p-4, -0x1.c58a3a8a7d822p-4, -0x1.cf3ba6c839573p-4, -0x1.d8940ddf5f5d9p-4, -0x1.e194deda56582p-4, -0x1.ea3f8aa5ec6cdp-4, -0x1.f295835c25d38p-4, -0x1.fa983b7ab9826p-4, -0x1.012492a4e94d6p-3, -0x1.04d4d93f8cd9dp-3, -0x1.085da9e66bb8dp-3, -0x1.0bbfbc264cd59p-3, -0x1.0efbc6861f99dp-3, -0x1.12127e6b57789p-3, -0x1.150497f932883p-3, -0x1.17d2c5e1dba34p-3, -0x1.1a7db94057755p-3, -0x1.1d062180b4c98p-3, -0x1.1f6cac4d52abdp-3, -0x1.21b2057cde60bp-3, -0x1.23d6d6fc96fc6p-3, -0x1.25dbc8b86b392p-3, -0x1.27c1808d92fd2p-3, -0x1.2988a24b92d67p-3, -0x1.2b31cfaece33p-3, -0x1.2cbda84d095a2p-3, -0x1.2e2cc98999544p-3, -0x1.2f7fce9b8604bp-3, -0x1.30b750933909cp-3, -0x1.31d3e65203bd6p-3, -0x1.32d62482971afp-3, -0x1.33be9d9e4d76fp-3, -0x1.348de1f2e852ep-3, -0x1.35447fa51b46ap-3, -0x1.35e302af84ff5p-3, -0x1.3669f4eacea4ep-3, -0x1.36d9de12ff3f4p-3, -0x1.373343c81e705p-3, -0x1.3776a99380cfcp-3, -0x1.37a490f4527dcp-3, -0x1.37bd79689b3b7p-3, -0x1.37c1e06e67b98p-3, -0x1.37b2418650fdp-3, -0x1.378f163ec420dp-3, -0x1.3758d641e3f52p-3, -0x1.370ff75c4345bp-3, -0x1.36b4ed7f6ee1cp-3, -0x1.36482ac91ea1fp-3, -0x1.35ca1f8e680d9p-3, -0x1.353b3a64e13c8p-3, -0x1.349be8290e96bp-3, -0x1.33ec9405e688ep-3, -0x1.332da77f1db4fp-3, -0x1.325f8a77f2d01p-3, -0x1.3182a3377a256p-3, -0x1.3097566ef0f2bp-3, -0x1.2f9e074642b42p-3, -0x1.2e971767a0102p-3, -0x1.2d82e702d16cbp-3, -0x1.2c61d4cc772e2p-3, -0x1.2b343e03a6ffp-3, -0x1.29fa7e80aa376p-3, -0x1.28b4f0c2b0dddp-3, -0x1.2763edf1da615p-3, -0x1.2607cdd9c60f3p-3, -0x1.24a0e6ebaac13p-3, -0x1.232f8e4d3a36ap-3, -0x1.21b417e959423p-3, -0x1.202ed6745c58ap-3, -0x1.1ea01b6400cc9p-3, -0x1.1d0836ea4726bp-3, -0x1.1b6777ff9de97p-3, -0x1.19be2c76ade02p-3, -0x1.180ca10807085p-3, -0x1.1653214cb1e85p-3, -0x1.1491f7b1a0969p-3, -0x1.12c96d76355f1p-3, -0x1.10f9cabbfcbc9p-3, -0x1.0f23569af5ad8p-3, -0x1.0d4657288d125p-3, -0x1.0b63116ce8dp-3, -0x1.0979c9545b8cap-3, -0x1.078ac1aefce3ap-3, -0x1.05963c41cf877p-3, -0x1.039c79db3bba1p-3, -0x1.019dba596e18ap-3, -0x1.ff34793d8f721p-4, -0x1.fb247d02ddfb8p-4, -0x1.f70bf98f219fep-4, -0x1.f2eb666b85558p-4, -0x1.eec339483f9c7p-4, -0x1.ea93e61176851p-4, -0x1.e65ddedffc769p-4, -0x1.e22193d6c4972p-4, -0x1.dddf730e419fap-4, -0x1.d997e8a1f8509p-4, -0x1.d54b5ed6d45dcp-4, -0x1.d0fa3e3c34835p-4, -0x1.cca4edaf31abdp-4, -0x1.c84bd2408c76p-4, -0x1.c3ef4f1519994p-4, -0x1.bf8fc55c24bfap-4, -0x1.bb2d9464dc022p-4, -0x1.b6c919c319018p-4, -0x1.b262b168b39e9p-4, -0x1.adfab5a2ce9afp-4, -0x1.a9917f0009bb5p-4, -0x1.a52764352816dp-4, -0x1.a0bcba16183dep-4, -0x1.9c51d3a9650ebp-4, -0x1.97e70248dffa5p-4, -0x1.937c95b95408fp-4, -0x1.8f12dc2b494dp-4, -0x1.8aaa222703462p-4, -0x1.8642b27404416p-4, -0x1.81dcd60e64a05p-4, -0x1.7d78d432528bep-4, -0x1.7916f27676f02p-4, -0x1.74b774e53ad61p-4, -0x1.705a9e0633ce2p-4, -0x1.6c00aed4b1b79p-4, -0x1.67a9e6ac0b3f1p-4, -0x1.6356833832e3ap-4, -0x1.5f06c07595896p-4, -0x1.5abad8c153d0ap-4, -0x1.567304f0b489ep-4, -0x1.522f7c6334d12p-4, -0x1.4df07506d6344p-4, -0x1.49b6234f04ca6p-4, -0x1.4580ba25f6e1dp-4, -0x1.41506ae2ea348p-4, -0x1.3d25654cff91p-4, -0x1.38ffd7a86f5dfp-4, -0x1.34dfeecac86fcp-4, -0x1.30c5d6296b3cp-4, -0x1.2cb1b7df21809p-4, -0x1.28a3bca787a2p-4, -0x1.249c0bd5990aap-4, -0x1.209acb4c90bc7p-4, -0x1.1ca01f80a722ep-4, -0x1.18ac2b80b560cp-4, -0x1.14bf11051713ap-4, -0x1.10d8f07dd73e8p-4, -0x1.0cf9e91b43cbp-4, -0x1.092218cf3d051p-4, -0x1.05519c49369e7p-4, -0x1.01888ef135097p-4, -0x1.fb8e15cca29c5p-5, -0x1.f41a5206540bdp-5, -0x1.ecb601cf99013p-5, -0x1.e561520b972bbp-5, -0x1.de1c6d55ea6bdp-5, -0x1.d6e77c0fd3021p-5, -0x1.cfc2a4644e674p-5, -0x1.c8ae0a45be59cp-5, -0x1.c1a9cf6aab378p-5, -0x1.bab6134f5ab97p-5, -0x1.b3d2f33ec544cp-5, -0x1.ad008a627f361p-5, -0x1.a63ef1d5ec7dap-5, -0x1.9f8e40b83a629p-5, -0x1.98ee8c3a0f863p-5, -0x1.925fe7a5caf39p-5, -0x1.8be264626c461p-5, -0x1.857611f4cc195p-5, -0x1.7f1afe0321cf6p-5, -0x1.78d1345b9aa87p-5, -0x1.7298beff3a9a3p-5, -0x1.6c71a63025607p-5, -0x1.665bf080c8071p-5, -0x1.6057a2e1dbf63p-5, -0x1.5a64c0ae0c784p-5, -0x1.54834bb2ccba9p-5, -0x1.4eb34436c77cep-5, -0x1.48f4a8fef8c22p-5, -0x1.43477753d9cdap-5, -0x1.3dabab07f7e02p-5, -0x1.38213e80664c3p-5, -0x1.32a82abee479bp-5, -0x1.2d40676d15a5bp-5, -0x1.27e9eae866cb5p-5, -0x1.22a4aa4e08f57p-5, -0x1.1d70998671792p-5, -0x1.184dab4fa219ep-5, -0x1.133bd1454ae61p-5, -0x1.0e3afbe755b18p-5, -0x1.094b1a9ed96ccp-5, -0x1.046c1bc2d4d6ep-5, -0x1.ff3bd93b40fd8p-6, -0x1.f5c0f2e84b2dep-6, -0x1.ec675b1ea3e17p-6, -0x1.e32ee68fbdde6p-6, -0x1.da176826c93bfp-6, -0x1.d120b12192595p-6, -0x1.c84a912373aep-6, -0x1.bf94d64431ec3p-6, -0x1.b6ff4d113e4aap-6, -0x1.ae89c092c3315p-6, -0x1.a633fa4e8cb99p-6, -0x1.9dfdc254c374fp-6, -0x1.95e6df579e369p-6, -0x1.8def16cd343e7p-6, -0x1.86162d15cea0ap-6, -0x1.7e5be59d32a15p-6, -0x1.76c002ecc069bp-6, -0x1.6f4246a792d51p-6, -0x1.67e2717087b49p-6, -0x1.60a042c3de38bp-6, -0x1.597b78d42a398p-6, -0x1.5273d07ef0d5cp-6, -0x1.4b8905683b23ap-6, -0x1.44bad24282dfep-6, -0x1.3e08f139c6931p-6, -0x1.37731c6a0a3cbp-6, -0x1.30f90e401d587p-6, -0x1.2a9a81a333c5p-6, -0x1.245731d0ac92dp-6, -0x1.1e2ed9e7c938cp-6, -0x1.1821343c17037p-6, -0x1.122df99c1353cp-6, -0x1.0c54e0c578d17p-6, -0x1.06959e3d5c359p-6, -0x1.00efe4ad5ed04p-6, -0x1.f6c6cb89ea7aap-7, -0x1.ebdfa6edd60f9p-7, -0x1.e129c29771795p-7, -0x1.d6a48acdb05f2p-7, -0x1.cc4f7204303dep-7, -0x1.c229f014edcdp-7, -0x1.b8337ff9f0cf7p-7, -0x1.ae6b9c4c5232bp-7, -0x1.a4d1bb638a5fep-7, -0x1.9b654c105cb46p-7, -0x1.9225b3e548d93p-7, -0x1.89124faced2c2p-7, -0x1.802a7632a44f7p-7, -0x1.776d7ce399ee5p-7, -0x1.6edabd4d72576p-7, -0x1.66719a4b2f9cfp-7, -0x1.5e31836b0b78ap-7, -0x1.5619f5c2d08efp-7, -0x1.4e2a79b1cc591p-7, -0x1.46629dee46022p-7, -0x1.3ec1f0de854adp-7, -0x1.3747f9b66d649p-7, -0x1.2ff432f502eeep-7, -0x1.28c6079c2dd28p-7, -0x1.21bcd3e93585cp-7, -0x1.1ad7e98d81c76p-7, -0x1.1416969b5dcaap-7, -0x1.0d782db740723p-7, -0x1.06fc0dc8f53f5p-7, -0x1.00a1a7768df27p-7, -0x1.f4d0fe4c65ca7p-8, -0x1.e8a0560b60dep-8, -0x1.dcb09af39eceap-8, -0x1.d1011a4b99173p-8, -0x1.c591188295d4fp-8, -0x1.ba5fc21ff33b6p-8, -0x1.af6c21f445789p-8, -0x1.a4b51e9c9a03dp-8, -0x1.9a397fa553704p-8, -0x1.8ff7f939b4d9cp-8, -0x1.85ef3c0cb0f14p-8, -0x1.7c1e063925a09p-8, -0x1.7283319f3302dp-8, -0x1.691dbcc8da297p-8, -0x1.5feccc9cec2a7p-8, -0x1.56efa6d860d25p-8, -0x1.4e25a6edbfbf1p-8, -0x1.458e3004ca3eep-8, -0x1.3d289f4260674p-8, -0x1.34f44081a8d3cp-8, -0x1.2cf047b935646p-8, -0x1.251bcf2051347p-8, -0x1.1d75da5a32a6p-8, -0x1.15fd5db954256p-8, -0x1.0eb1486afe724p-8, -0x1.07908f6ec8cccp-8, -0x1.009a37472cc5ep-8, -0x1.f39ab4e6cb12p-9, -0x1.e652573dd68d7p-9, -0x1.d959e70d37465p-9, -0x1.ccb0170c7a62p-9, -0x1.c053aca7459d3p-9, -0x1.b443710193715p-9, -0x1.a87e2431f44ap-9, -0x1.9d0274a44a5a5p-9, -0x1.91cefbe8688d3p-9, -0x1.86e241314de13p-9, -0x1.7c3ac04339396p-9, -0x1.71d6f1de77854p-9, -0x1.67b55225e9a4ep-9, -0x1.5dd4630cfa5c4p-9, -0x1.5432abfb85fb1p-9, -0x1.4aceba6799023p-9, -0x1.41a726e8f249cp-9, -0x1.38ba9ee5c0788p-9, -0x1.3007ee767d423p-9, -0x1.278e03ba1bb6p-9, -0x1.1f4be6baf0762p-9, -0x1.1740a6d3ef6f9p-9, -0x1.0f6b452de093dp-9, -0x1.07caa6ff1d3dp-9, -0x1.005d9742d67f4p-9, -0x1.f245acdd2d2a6p-10, -0x1.e4325ccc0f82p-10, -0x1.d67efa187ecfp-10, -0x1.c9295c00c49bbp-10, -0x1.bc2f4b65632b3p-10, -0x1.af8e5aec41c9p-10, -0x1.a343e05a194a3p-10, -0x1.974d207c3e2a4p-10, -0x1.8ba7a07832dap-10, -0x1.805173b5c2655p-10, -0x1.7549595a81c8ep-10, -0x1.6a8e939e7760bp-10, -0x1.60208ac1d673bp-10, -0x1.55fe6b7befc4fp-10, -0x1.4c26efe520348p-10, -0x1.429863852674cp-10, -0x1.3950cf66948e1p-10, -0x1.304e2a96e1425p-10, -0x1.278e732e57b67p-10, -0x1.1f0fa842c98f6p-10, -0x1.16cfad87b005cp-10, -0x1.0ecc30d876854p-10, -0x1.0702a729f4eedp-10, -0x1.fee0eb176577p-11, -0x1.f02683def58e8p-11, -0x1.e1d2a0fd4b69fp-11, -0x1.d3e372d100508p-11, -0x1.c6589e68589d2p-11, -0x1.b9327928e0b0bp-11, -0x1.ac7128592ae6p-11, -0x1.a01424c9ec034p-11, -0x1.941a43ce75187p-11, -0x1.8881fcc631d3dp-11, -0x1.7d4992c5dd254p-11, -0x1.726ee72992681p-11, -0x1.67ef1fcdd5064p-11, -0x1.5dc656a008681p-11, -0x1.53efb02dae94dp-11, -0x1.4a65e0d5f4789p-11, -0x1.4123da9dfa733p-11, -0x1.3825537d35e36p-11, -0x1.2f670e5d72e71p-11, -0x1.26e6fbd6b98fp-11, -0x1.1ea435587f9e1p-11, -0x1.169eb2246dce5p-11, -0x1.0ed6af869808fp-11, -0x1.074c1ea311107p-11, -0x1.fffd051cc69fep-12, -0x1.f1da71997322ap-12, -0x1.e42f8202e3586p-12, -0x1.d6fb8dab3e0b8p-12, -0x1.ca3deda5523a2p-12, -0x1.bdf5356f26241p-12, -0x1.b21e2735a41acp-12, -0x1.a6b3273975679p-12, -0x1.9bacb62503aedp-12, -0x1.91029c2c0d8f3p-12, -0x1.86ad1d9da7d9ap-12, -0x1.7ca5e51a3c2ep-12, -0x1.72e88f0c713efp-12, -0x1.6972adc9f9c2p-12, -0x1.6043371e4fff4p-12, -0x1.5759c4f51b572p-12, -0x1.4eb60eb7fbe7p-12, -0x1.46579a131ab07p-12, -0x1.3e3da97e8db13p-12, -0x1.36676e671d9afp-12, -0x1.2ed42f5105e1ap-12, -0x1.278357ede32c6p-12, -0x1.20747afc97ad4p-12, -0x1.19a6b12e97598p-12, -0x1.1317aa774f89bp-12, -0x1.0cc3cdcd04838p-12, -0x1.06a76a60401e1p-12, -0x1.00bfab2fb7847p-12, -0x1.f6153493ecfb2p-13, -0x1.eb0d0052ed4c8p-13, -0x1.e0626419060bbp-13, -0x1.d60f90f3c3a52p-13, -0x1.cc0ddc2d4eff5p-13, -0x1.c256d5e4af15bp-13, -0x1.b8e5381de03c5p-13, -0x1.afb6755d8a1c1p-13, -0x1.a6cbdcffb788ap-13, -0x1.9e284ffdf96fcp-13, -0x1.95cc3bb379a6dp-13, -0x1.8db52a2374d06p-13, -0x1.85e15679d5b3ep-13, -0x1.7e51581a74f33p-13, -0x1.7704863353ccfp-13, -0x1.6ff5de55dd2ep-13, -0x1.691e4b8989cebp-13, -0x1.62785a4d9ecap-13, -0x1.5c013377a9b5ap-13, -0x1.55b7ca0b8dd9p-13, -0x1.4f9c553b32654p-13, -0x1.49b05451d10cbp-13, -0x1.43f602246befp-13, -0x1.3e6e7ed6dd72ap-13, -0x1.39175f5aa731ep-13, -0x1.33e97254a66fdp-13, -0x1.2eda86b6792b5p-13, -0x1.29e2f4d2b1b3ap-13, -0x1.2503ebddab22p-13, -0x1.2045493091835p-13, -0x1.1baa230feeba9p-13, -0x1.172d6dae12835p-13, -0x1.12cc5831d52cp-13, -0x1.0e8a9fbcbb887p-13, -0x1.0a69cc5a741fcp-13, -0x1.06650b9f5cfc1p-13, -0x1.02767ba39e29p-13, -0x1.fd3641aa20908p-14, -0x1.f5a4c56fce459p-14, -0x1.ee38a904e82abp-14, -0x1.e6f16a6a5771dp-14, -0x1.dfcdc59375b83p-14, -0x1.d8cd1a5795086p-14, -0x1.d1f11ce296159p-14, -0x1.cb3dbdf2c9f08p-14, -0x1.c4b6718b5844p-14, -0x1.be5ac5e324017p-14, -0x1.b8236038ee49ap-14, -0x1.b200c95383285p-14, -0x1.abe71377058a8p-14, -0x1.a5df086d83501p-14, -0x1.9ff6187d56f8fp-14, -0x1.9a24482ed03e2p-14, -0x1.9460db5888665p-14, -0x1.8eb6103f82d84p-14, -0x1.892970b97f0a8p-14, -0x1.83b2e1611314fp-14, -0x1.7e4ad2380bf73p-14, -0x1.78ef3f6b53a48p-14, -0x1.73a0a62f05f07p-14, -0x1.6e5fa40d7162dp-14, -0x1.692c5f461e8f1p-14, -0x1.6406918204d39p-14, -0x1.5eed977f7ea8p-14, -0x1.59e08d7cf247ep-14, -0x1.54deba1ed1275p-14, -0x1.4fe82e2c4c135p-14, -0x1.4afddbb421c29p-14, -0x1.4620a7634f09ep-14, -0x1.4150f7ca318fap-14, -0x1.3c8f9533036ep-14, -0x1.37d991048bd43p-14, -0x1.3326bef400f49p-14, -0x1.2e79555383259p-14, -0x1.29d4f90a7c963p-14, -0x1.25324c83098cbp-14, -0x1.2096d51c10e5p-14, -0x1.1c096f896a491p-14, -0x1.1784cb3bb9204p-14, -0x1.13047af48c219p-14, -0x1.0e884635e9fb7p-14, -0x1.0a1108c921084p-14, -0x1.059f4753b5433p-14, -0x1.01331d4043111p-14, -0x1.f998e4aae56ecp-15, -0x1.f0d64b155a0cfp-15, -0x1.e81e3f783dd19p-15, -0x1.df709c42f1d4bp-15, -0x1.d6cd1f24a9fa5p-15, -0x1.ce33599017b43p-15, -0x1.c5a2e1c202a64p-15, -0x1.bd1baace7a147p-15, -0x1.b49dc8e651e54p-15, -0x1.ac28dc71a1743p-15, -0x1.a3bea8db44a9ep-15, -0x1.9b653d0c8c3a2p-15, -0x1.93189ddc6a9fap-15, -0x1.8ad02c7685983p-15, -0x1.828c3e4f0cbd2p-15, -0x1.7a4cb7beb014fp-15, -0x1.721cc4d7467c1p-15, -0x1.69fa461a902cfp-15, -0x1.61df6346efb9dp-15, -0x1.59cbf9f547e82p-15, -0x1.51c152fb127b5p-15, -0x1.49c037ae032ebp-15, -0x1.41c8fdfaf3fa4p-15, -0x1.39dbc7759b3d6p-15, -0x1.31f8a4220695p-15, -0x1.2a1fa37e4666bp-15, -0x1.2250dedf93643p-15, -0x1.1a8c7e45272c5p-15, -0x1.12d2b4d4f37c4p-15, -0x1.0b23b5de9e7b1p-15, -0x1.037f929c8fc12p-15, -0x1.f7cca7e213ca3p-16, -0x1.e8afe8519463ep-16, -0x1.d9a92625c94dep-16, -0x1.cab8a136f8fa4p-16, -0x1.bbde2fc91bb23p-16, -0x1.ad1c6c6b535e2p-16, -0x1.9e79e54214ec1p-16, -0x1.8ff00bcfbd6c1p-16, -0x1.81774464ba894p-16, -0x1.7314d61aa2de9p-16, -0x1.64d1650b0763bp-16, -0x1.56a84349e3a96p-16, -0x1.48972626d7556p-16, -0x1.3a9f5c11fe324p-16, -0x1.2cc1f2e22c6c5p-16, -0x1.1eff779875c83p-16, -0x1.1158454d2f15ep-16, -0x1.03cca89ebb558p-16, -0x1.ecb9d42b0c222p-17, -0x1.d212a1da8c0dbp-17, -0x1.b7a44a0bf06b9p-17, -0x1.9d6f59b9c825cp-17, -0x1.83746a00e823ep-17, -0x1.69b41b15c148bp-17, -0x1.502f1eac8992cp-17, -0x1.36e5ed8b9a64ep-17, -0x1.1dd908864a9e4p-17, -0x1.0508c8e67a97cp-17, -0x1.d8eb10fccb56bp-18, -0x1.a83f9dfc06a4p-18, -0x1.78107a1179fccp-18, -0x1.485e07c560e92p-18, -0x1.19293b7af5356p-18, -0x1.d4f3e5dd363ffp-19, -0x1.78952a3c33558p-19, -0x1.1d279a1499f97p-19, -0x1.858ffc0938271p-20, -0x1.a5bccbe77c5d4p-21, -0x1.117cff5168ddep-23, 0x1.18e79f9a46d6ep-21, 0x1.390696f7bd508p-20, 0x1.e386380ef81fep-20, 0x1.45f82d034cf83p-19, 0x1.99219ce37a4b6p-19, 0x1.eb3e921450b31p-19, 0x1.1e2705df268f4p-18, 0x1.46275fcb8ad3bp-18, 0x1.6da107fd51795p-18, 0x1.94927c09ad2cbp-18, 0x1.bafbf6093e577p-18, 0x1.e0dd2d2c3b169p-18, 0x1.031aef5bc2ffdp-17, 0x1.1582ec0f154a7p-17, 0x1.27a677cc9fb04p-17, 0x1.398586194d2a7p-17, 0x1.4b20120293a03p-17, 0x1.5c761b194acdep-17, 0x1.6d879e6b7699ap-17, 0x1.7e549073f8f08p-17, 0x1.8edcf1375e45ep-17, 0x1.9f20f8d07802bp-17, 0x1.af20a0ba673c7p-17, 0x1.bedb82c0146a7p-17, 0x1.ce5284ee99024p-17, 0x1.dd84f036be553p-17, 0x1.ec7383523995fp-17, 0x1.fb1e5000b0a09p-17, 0x1.04c2adc7d0b0bp-16, 0x1.0bd465a2d33e4p-16, 0x1.12c466d039d8cp-16, 0x1.1992ca5891c99p-16, 0x1.203faac3496a4p-16, 0x1.26cb2426361e3p-16, 0x1.2d3554331153p-16, 0x1.337e5a3d4fb21p-16, 0x1.39a6575b7d64ep-16, 0x1.3fad6dec986d5p-16, 0x1.4593c2258af45p-16, 0x1.4b597a1001b1p-16, 0x1.50febb97ab9e1p-16, 0x1.5683b038ffae1p-16, 0x1.5be88136d3c14p-16, 0x1.612d598b086ecp-16, 0x1.665265bc85b3bp-16, 0x1.6b57d3f1a4f52p-16, 0x1.703dd48bff0a3p-16, 0x1.75049b46780b5p-16, 0x1.79ac508e38c41p-16, 0x1.7e352d89d2ae1p-16, 0x1.829f61222a821p-16, 0x1.86eb2912c0347p-16, 0x1.8b18b9c1e7fc4p-16, 0x1.8f284f664cb93p-16, 0x1.9319f9f87cd6fp-16, 0x1.96ee1a5c8eaa6p-16, 0x1.9aa4f12ac2cefp-16, 0x1.9e3ea9363f744p-16, 0x1.a1bb7d6d3a079p-16, 0x1.a51bac1b0fd8cp-16, 0x1.a85f71f83f9fdp-16, 0x1.ab870cdb58ef4p-16, 0x1.ae92c20a63635p-16, 0x1.b182c8e407559p-16, 0x1.b45764a0ab4ffp-16, 0x1.b710d65a59afap-16, 0x1.b9af5f7b38692p-16, 0x1.bc334217ce9fcp-16, 0x1.be9cc0db19212p-16, 0x1.c0ec1ef711643p-16, 0x1.c321a019824ap-16, 0x1.c53d885c2ffebp-16, 0x1.c7401c2812f79p-16, 0x1.c929a01e33603p-16, 0x1.cafa59322fcf2p-16, 0x1.ccb28cf519b64p-16, 0x1.ce5281b13c075p-16, 0x1.cfda7e43576e8p-16, 0x1.d14ac9edfc8bbp-16, 0x1.d2a3ab8276941p-16, 0x1.d3e5677d43e74p-16, 0x1.d51041d91417ep-16, 0x1.d624876161c66p-16, 0x1.d722916772f82p-16, 0x1.d80a8c7fc52ap-16, 0x1.d8dcb602ea3b7p-16, 0x1.d99962a359ef3p-16, 0x1.da40f0dcfc9a3p-16, 0x1.dad3938e3187dp-16, 0x1.db51a14509507p-16, 0x1.dbbb54e046237p-16, 0x1.dc10f097f35e3p-16, 0x1.dc52c794dfe52p-16, 0x1.dc811e1972d8cp-16, 0x1.dc9c3be7f38a3p-16, 0x1.dca4688cc806dp-16, 0x1.dc99eb67fc3e9p-16, 0x1.dc7d0bcbe1e1ap-16, 0x1.dc4e0f3d53151p-16, 0x1.dc0d41ef0819p-16, 0x1.dbbae54ee8d9fp-16, 0x1.db5741c4a54e2p-16, 0x1.dae29da5d8661p-16, 0x1.da5d3efc93b1ep-16, 0x1.d9c76de9df423p-16, 0x1.d921699cc9f38p-16, 0x1.d86b8d2070c2dp-16, 0x1.d7a668be9dcc5p-16, 0x1.d6d10b67c1395p-16, 0x1.d5ecf640cbddp-16, 0x1.d4fa113a99f19p-16, 0x1.d3f89b54be35cp-16, 0x1.d2e8d5968798p-16, 0x1.d1cb00731ef3dp-16, 0x1.d09f5f8b7e62p-16, 0x1.cf663fa6b5353p-16, 0x1.ce1fdc6e6d0cbp-16, 0x1.cccc56c8f9e24p-16, 0x1.cb6c28c1cc976p-16, 0x1.c9ff78275bda1p-16, 0x1.c8866f3491809p-16, 0x1.c701703c96e71p-16, }}, 
      {{-0x1.0f2def12426d3p-4, -0x1.53bec291afdf6p-5, -0x1.ef1df9a02c13ap-9, 0x1.6208aa987d60bp-5, 0x1.88eb7c60c5ccfp-4, 0x1.359f8f2383448p-3, 0x1.a6a0ce97df251p-3, 0x1.09a3f6beaa2d7p-2, 0x1.3c3f0200ce756p-2, 0x1.6a126b10bd544p-2, 0x1.9277adf619983p-2, 0x1.b51d302cbb74bp-2, 0x1.d1f40c5027c28p-2, 0x1.e91ffe92bcb18p-2, 0x1.fae9a38891fbep-2, 0x1.03d97fc505d7dp-1, 0x1.07f713823e5f9p-1, 0x1.0a0ae823e034ep-1, 0x1.0a53c7dc760b5p-1, 0x1.090fbf3f713a4p-1, 0x1.067a878d36539p-1, 0x1.02cc6c5446a2p-1, 0x1.fc7327d83b6cfp-2, 0x1.f1e32b2ffabd8p-2, 0x1.e63e96d51a7a6p-2, 0x1.d9d1a2348adb9p-2, 0x1.ccdf47698d3ffp-2, 0x1.bfa1b100f56cbp-2, 0x1.b24ac6b9233a9p-2, 0x1.a504cd3334c92p-2, 0x1.97f30f5af52c2p-2, 0x1.8b328a8477769p-2, 0x1.7eda9818b931ep-2, 0x1.72fd912174dc4p-2, 0x1.67a96922f5f45p-2, 0x1.5ce83ea25ebbdp-2, 0x1.52c0e07599092p-2, 0x1.4937476bb945dp-2, 0x1.404d045636494p-2, 0x1.3801a2c363134p-2, 0x1.305300fd225edp-2, 0x1.293d9de144757p-2, 0x1.22bcdd42a7b6p-2, 0x1.1ccb4397c43f3p-2, 0x1.1762a9d649648p-2, 0x1.127c6a38b79aep-2, 0x1.0e1186a260f29p-2, 0x1.0a1ac9472b51fp-2, 0x1.0690e03c7db58p-2, 0x1.036c7493e4a52p-2, 0x1.00a63d9151a3ap-2, 0x1.fc6e20f697e6ep-3, 0x1.f82fdae6e05bfp-3, 0x1.f48413662aa1dp-3, 0x1.f15daf1ace381p-3, 0x1.eeb01900f7424p-3, 0x1.ec6f4b44345cp-3, 0x1.ea8fd551fa139p-3, 0x1.e906df93363ebp-3, 0x1.e7ca2d2d8b9ep-3, 0x1.e6d01c1d393cfp-3, 0x1.e60fa3ef11326p-3, 0x1.e58053585191dp-3, 0x1.e51a4ce242763p-3, 0x1.e4d642d8bac0cp-3, 0x1.e4ad72a467db7p-3, 0x1.e4999fb3b7a7ap-3, 0x1.e4950e1055827p-3, 0x1.e49a7cbaa93d8p-3, 0x1.e4a51fe11a9dp-3, 0x1.e4b09b0477c72p-3, 0x1.e4b8fb19657adp-3, 0x1.e4bab0b2a844fp-3, 0x1.e4b28a3fda1afp-3, 0x1.e49dae67fa12cp-3, 0x1.e479968785061p-3, 0x1.e4440952a680fp-3, 0x1.e3fb15a945b3bp-3, 0x1.e39d0d95431d2p-3, 0x1.e328817e64583p-3, 0x1.e29c3b9261583p-3, 0x1.e1f73b646a0e1p-3, 0x1.e138b1c40bd71p-3, 0x1.e05ffccbef354p-3, 0x1.df6ca425bc34fp-3, 0x1.de5e5581096b2p-3, 0x1.dd34e13f7fb3fp-3, 0x1.dbf037455f3e3p-3, 0x1.da90640767b15p-3, 0x1.d9158dbaea472p-3, 0x1.d77ff1ba3843ap-3, 0x1.d5cfe21826b62p-3, 0x1.d405c35f71f58p-3, 0x1.d2220a82706bp-3, 0x1.d0253aef0e098p-3, 0x1.ce0fe4c9b0772p-3, 0x1.cbe2a3495cf3dp-3, 0x1.c99e1b29b7af2p-3, 0x1.c742f93fbff84p-3, 0x1.c4d1f1207f819p-3, 0x1.c24bbbe259bc5p-3, 0x1.bfb116fe7e309p-3, 0x1.bd02c3414fc59p-3, 0x1.ba4183ea6c4dap-3, 0x1.b76e1dc98ad51p-3, 0x1.b48956912fa82p-3, 0x1.b193f42c79c24p-3, 0x1.ae8ebc2a9160bp-3, 0x1.ab7a733895a78p-3, 0x1.a857dca96da86p-3, 0x1.a527ba0327bd3p-3, 0x1.a1eaca9921081p-3, 0x1.9ea1cb2d22293p-3, 0x1.9b4d75999447dp-3, 0x1.97ee80874faadp-3, 0x1.94859f2b6d912p-3, 0x1.911381108a426p-3, 0x1.8d98d1ebd1f1p-3, 0x1.8a163977745b7p-3, 0x1.868c5b5a26f12p-3, 0x1.82fbd7138c696p-3, 0x1.7f6547eeb060ep-3, 0x1.7bc944f9ad05ap-3, 0x1.7828610188ebp-3, 0x1.74832a8fefdbcp-3, 0x1.70da2beb00b68p-3, 0x1.6d2deb182077fp-3, 0x1.697ee9df5e672p-3, 0x1.65cda5d036581p-3, 0x1.621a9848c6175p-3, 0x1.5e66367eee88ep-3, 0x1.5ab0f18a437dp-3, 0x1.56fb3670b7affp-3, 0x1.53456e344379cp-3, 0x1.4f8ffde3014bap-3, 0x1.4bdb46b0d235cp-3, 0x1.4827a5fc32a29p-3, 0x1.44757569139b1p-3, 0x1.40c50afd24997p-3, 0x1.3d16b92e72464p-3, 0x1.396acefc023b2p-3, 0x1.35c1980576b94p-3, 0x1.321b5ca1bf99bp-3, 0x1.2e7861f652b42p-3, 0x1.2ad8ea0e6a6cfp-3, 0x1.273d33f12745fp-3, 0x1.23a57bb896211p-3, 0x1.2011faa71837dp-3, 0x1.1c82e73d4a9dap-3, 0x1.18f8754f68f01p-3, 0x1.1572d61a3beb6p-3, 0x1.11f238577ec68p-3, 0x1.0e76c85215104p-3, 0x1.0b00affa1652ep-3, 0x1.079016f995f4ep-3, 0x1.042522c50998dp-3, 0x1.00bff6b0f4cfbp-3, 0x1.fac16806dff7ap-4, 0x1.f40ef40d0f2ccp-4, 0x1.ed68cc33e6e69p-4, 0x1.e6cf27896ac85p-4, 0x1.e042398c6d1b8p-4, 0x1.d9c2324d9922ep-4, 0x1.d34f3e90105a9p-4, 0x1.cce987e9598efp-4, 0x1.c69134df9f2ecp-4, 0x1.c04669074136p-4, 0x1.ba0945204cb5cp-4, 0x1.b3d9e732bf7e5p-4, 0x1.adb86aa904269p-4, 0x1.a7a4e869da4d5p-4, 0x1.a19f76f253f65p-4, 0x1.9ba82a6e92ba7p-4, 0x1.95bf14d0e8f5p-4, 0x1.8fe445e7cf862p-4, 0x1.8a17cb7409527p-4, 0x1.8459b14496b56p-4, 0x1.7eaa013ba850dp-4, 0x1.7908c37201cc5p-4, 0x1.7375fe4242d1dp-4, 0x1.6df1b65cd95c9p-4, 0x1.687beed95c472p-4, 0x1.6314a94755f22p-4, 0x1.5dbbe5bf2ca59p-4, 0x1.5871a2f22be12p-4, 0x1.5335de393d7c4p-4, 0x1.4e0893a33965ep-4, 0x1.48e9be036c473p-4, 0x1.43d956ffac545p-4, 0x1.3ed7571d295cap-4, 0x1.39e3b5cc82336p-4, 0x1.34fe697606c81p-4, 0x1.30276785f4ca3p-4, 0x1.2b5ea477c4858p-4, 0x1.26a413e03346ap-4, 0x1.21f7a87933a59p-4, 0x1.1d5954281c1d8p-4, 0x1.18c9080d30a4bp-4, 0x1.1446b48872208p-4, 0x1.0fd24943f117fp-4, 0x1.0b6bb53bf1ac4p-4, 0x1.0712e6c7a6af3p-4, 0x1.02c7cba1970cep-4, 0x1.fd14a1dd6e7d2p-5, 0x1.f4b4c68a54dbp-5, 0x1.ec6fdd671a4ffp-5, 0x1.e445bd90a030cp-5, 0x1.dc363d30cfd53p-5, 0x1.d441318afc009p-5, 0x1.cc666f06398f8p-5, 0x1.c4a5c939152d8p-5, 0x1.bcff12f60e6c7p-5, 0x1.b5721e5761887p-5, 0x1.adfebcc8e54a6p-5, 0x1.a6a4bf10a268p-5, 0x1.9f63f557d8aa8p-5, 0x1.983c2f3529dfp-5, 0x1.912d3bb6e5d9fp-5, 0x1.8a36e96bd2bf5p-5, 0x1.8359066a8f1cfp-5, 0x1.7c9360582bd2ep-5, 0x1.75e5c46ff8c96p-5, 0x1.6f4fff8c22a69p-5, 0x1.68d1de2e03d01p-5, 0x1.626b2c84f048dp-5, 0x1.5c1bb673b34ecp-5, 0x1.55e34795f9448p-5, 0x1.4fc1ab46bf065p-5, 0x1.49b6aca7842bp-5, 0x1.43c216a72af05p-5, 0x1.3de3b4077efdfp-5, 0x1.381b4f618d397p-5, 0x1.3268b329dc493p-5, 0x1.2ccba9b583cefp-5, 0x1.2743fd4019e87p-5, 0x1.21d177f1967bdp-5, 0x1.1c73e3e3268a6p-5, 0x1.172b0b22d0934p-5, 0x1.11f6b7b6b4afep-5, 0x1.0cd6b3a0c77b4p-5, 0x1.07cac8e37f0abp-5, 0x1.02d2c186d5c0cp-5, 0x1.fbdccf399e52fp-6, 0x1.f23b0a89c49f3p-6, 0x1.e8bfc95d2f4bp-6, 0x1.df6aa0384ddcap-6, 0x1.d63b23cb7f97bp-6, 0x1.cd30e8fb17713p-6, 0x1.c44b84e7957e5p-6, 0x1.bb8a8cf4b064ep-6, 0x1.b2ed96ce80fe4p-6, 0x1.aa74386d6a481p-6, 0x1.a21e081a66a95p-6, 0x1.99ea9c7477d78p-6, 0x1.91d98c76c3223p-6, 0x1.89ea6f7fc8a1ap-6, 0x1.821cdd56f7b28p-6, 0x1.7a706e30f3c9bp-6, 0x1.72e4bab2ae36fp-6, 0x1.6b795bf49c0c9p-6, 0x1.642deb867cfddp-6, 0x1.5d020374d24cap-6, 0x1.55f53e4de959fp-6, 0x1.4f0737270acd7p-6, 0x1.483789a0227c9p-6, 0x1.4185d1e67540ep-6, 0x1.3af1acb6ddc53p-6, 0x1.347ab7607ed6cp-6, 0x1.2e208fc8427c5p-6, 0x1.27e2d46cfdb74p-6, 0x1.21c1246b92dbbp-6, 0x1.1bbb1f826d237p-6, 0x1.15d06613fd83ep-6, 0x1.1000992846272p-6, 0x1.0a4b5a722c0e8p-6, 0x1.04b04c43db66ap-6, 0x1.fe5e235829ac4p-7, 0x1.f38e9cb616c9p-7, 0x1.e8f14d71dc052p-7, 0x1.de857fc487b7dp-7, 0x1.d44a7f54172bfp-7, 0x1.ca3f993637b85p-7, 0x1.c0641bf2838d3p-7, 0x1.b6b7578518936p-7, 0x1.ad389d621783fp-7, 0x1.a3e740799c07dp-7, 0x1.9ac2953bea52bp-7, 0x1.91c9f19ceb699p-7, 0x1.88fcad16b757ep-7, 0x1.805a20ab3f9ecp-7, 0x1.77e1a6e57afa4p-7, 0x1.6f929bda9b00dp-7, 0x1.676c5d2baf89p-7, 0x1.5f6e4a07adfbdp-7, 0x1.5797c32dfb89bp-7, 0x1.4fe82af05f609p-7, 0x1.485ee535045cbp-7, 0x1.40fb5776ec4cbp-7, 0x1.39bce8c6cb35dp-7, 0x1.32a301cb74f71p-7, 0x1.2bad0cc1420ccp-7, 0x1.24da757ae9fdcp-7, 0x1.1e2aa96213c0bp-7, 0x1.179d17776bb08p-7, 0x1.11313052b398p-7, 0x1.0ae66626732eap-7, 0x1.04bc2cc6de363p-7, 0x1.fd63f3356f36ap-8, 0x1.f18e872750476p-8, 0x1.e5f706820983fp-8, 0x1.da9c659968cep-8, 0x1.cf7d9be9f6299p-8, 0x1.c499a417d5327p-8, 0x1.b9ef7beeef54ap-8, 0x1.af7e2461f0478p-8, 0x1.a544a18859c0bp-8, 0x1.9b41fa9c148d2p-8, 0x1.917539f68e899p-8, 0x1.87dd6d0d9a1f1p-8, 0x1.7e79a470397bp-8, 0x1.7548f3c366f67p-8, 0x1.6c4a71bec7d15p-8, 0x1.637d382967a72p-8, 0x1.5ae063d607cdcp-8, 0x1.5273149f96645p-8, 0x1.4a346d656a8dep-8, 0x1.4223940775fa1p-8, 0x1.3a3fb161c99a6p-8, 0x1.3287f1491011bp-8, 0x1.2afb8285a3cadp-8, 0x1.239996cf47787p-8, 0x1.1c6162c818245p-8, 0x1.15521df794eadp-8, 0x1.0e6b02c4646dp-8, 0x1.07ab4e6f5a4b7p-8, 0x1.0112410dc2dbap-8, 0x1.f53e3b0865303p-9, 0x1.e8a2530393a0cp-9, 0x1.dc4f5afd11a2dp-9, 0x1.d043e95be763ap-9, 0x1.c47e9a0ffb49fp-9, 0x1.b8fe0e6e6d1b2p-9, 0x1.adc0ed309ff8cp-9, 0x1.a2c5e26301ea8p-9, 0x1.980b9f563e16ep-9, 0x1.8d90da9090c28p-9, 0x1.83544fc02e08p-9, 0x1.7954bfaf92e3cp-9, 0x1.6f90f03b62911p-9, 0x1.6607ac494e2e1p-9, 0x1.5cb7c3bf57013p-9, 0x1.53a00b796f9acp-9, 0x1.4abf5d3e43a87p-9, 0x1.421497b18e5a4p-9, 0x1.399e9e454309p-9, 0x1.315c5929c72bbp-9, 0x1.294cb53e303e8p-9, 0x1.216ea4010ef61p-9, 0x1.19c11b8203fc5p-9, 0x1.1243165411d3bp-9, 0x1.0af3938068e3ap-9, 0x1.03d19678c52e9p-9, 0x1.f9b84e1437effp-10, 0x1.ec24a2a1b8f9ep-10, 0x1.dee64b5ba47c3p-10, 0x1.d1fb717b0c77ep-10, 0x1.c56246a2e8062p-10, 0x1.b91904d239e2ep-10, 0x1.ad1dee4efd1cep-10, 0x1.a16f4dfbe280cp-10, 0x1.960b759e4c47ap-10, 0x1.8af0c07745a7p-10, 0x1.801d905b7af37p-10, 0x1.75904edb40d2dp-10, 0x1.6b476cb39c9b8p-10, 0x1.614161ad29ae7p-10, 0x1.577cac8fce932p-10, 0x1.4df7d32f27621p-10, 0x1.44b1628f5d6e7p-10, 0x1.3ba7ef067376ap-10, 0x1.32da14b4c74c1p-10, 0x1.2a4676100dc07p-10, 0x1.21ebbe8de52fep-10, 0x1.19c89f844847p-10, 0x1.11dbd13d8a7b9p-10, 0x1.0a24121cb5bbep-10, 0x1.02a0262e02bc9p-10, 0x1.f69dadb01c7f6p-11, 0x1.e85de58035225p-11, 0x1.da7e9bcf0e56p-11, 0x1.ccfd83f1f2514p-11, 0x1.bfd85d6037699p-11, 0x1.b30cf47c94d82p-11, 0x1.a699231d95184p-11, 0x1.9a7ad0a47e0acp-11, 0x1.8eaff18b89eddp-11, 0x1.83368674c0ebdp-11, 0x1.780c9ae3639b6p-11, 0x1.6d3043e07a41cp-11, 0x1.629f9ecf222cbp-11, 0x1.5858d0a6fef34p-11, 0x1.4e5a060b498d7p-11, 0x1.44a17426ea70cp-11, 0x1.3b2d58165c1f3p-11, 0x1.31fbf8dfffe5ep-11, 0x1.290ba87e2a403p-11, 0x1.205ac3fe8088fp-11, 0x1.17e7b3b214bfap-11, 0x1.0fb0eae5a8fa5p-11, 0x1.07b4e725be178p-11, 0x1.ffe45e5759633p-12, 0x1.f0cea343db70cp-12, 0x1.e225c80387ddep-12, 0x1.d3e703a126bbap-12, 0x1.c60f9910d54b7p-12, 0x1.b89cd70883d04p-12, 0x1.ab8c1b43c479cp-12, 0x1.9edad21b939dfp-12, 0x1.928678ee6fd5fp-12, 0x1.868c9ec482e1dp-12, 0x1.7aeae0fa3cf0dp-12, 0x1.6f9eecc3151dbp-12, 0x1.64a67f9509943p-12, 0x1.59ff64eb880d6p-12, 0x1.4fa775cc60ef7p-12, 0x1.459c97e1e736fp-12, 0x1.3bdcbbfa26955p-12, 0x1.3265dcc9d550ap-12, 0x1.2935feb47e4a1p-12, 0x1.204b3087c4e9p-12, 0x1.17a38d031299p-12, 0x1.0f3d3c6c58b54p-12, 0x1.071674e0dbc4p-12, 0x1.fe5af30394b5bp-13, 0x1.ef01318552ceap-13, 0x1.e01c559331d65p-13, 0x1.d1a9214ce576ep-13, 0x1.c3a4691d619ep-13, 0x1.b60b153f6416dp-13, 0x1.a8da22c48bdedp-13, 0x1.9c0ea30ce73acp-13, 0x1.8fa5b9d5cdca4p-13, 0x1.839c9b1c6da3fp-13, 0x1.77f08a272b5f4p-13, 0x1.6c9eda41370fap-13, 0x1.61a4f083c69fbp-13, 0x1.570044df2cc22p-13, 0x1.4cae64046ab7cp-13, 0x1.42acea31e49b9p-13, 0x1.38f984890f328p-13, 0x1.2f91ed11aea8ap-13, 0x1.2673ecde240eep-13, 0x1.1d9d5324e5d54p-13, 0x1.150c05ac131bep-13, 0x1.0cbdf86007131p-13, 0x1.04b12d4241492p-13, 0x1.f9c76f306f941p-14, 0x1.eaa7740db9623p-14, 0x1.dbfecc384c09dp-14, 0x1.cdc9f66053d3fp-14, 0x1.c005880696501p-14, 0x1.b2ae26f4c279cp-14, 0x1.a5c0844181d8bp-14, 0x1.99395c1e3fce7p-14, 0x1.8d157a5870a54p-14, 0x1.8151c00027b27p-14, 0x1.75eb26a1519c3p-14, 0x1.6adec215f1a19p-14, 0x1.6029b72ff5843p-14, 0x1.55c94b3c9cddp-14, 0x1.4bbad5be8e3ep-14, 0x1.41fbbc521722p-14, 0x1.38898a7010042p-14, 0x1.2f61dedf436dfp-14, 0x1.26827c60018edp-14, 0x1.1de94631e528dp-14, 0x1.1594362e293d1p-14, 0x1.0d814bf93d15fp-14, 0x1.05ae7e2a4db48p-14, 0x1.fc336e1b18d78p-15, 0x1.ed81c4833202ap-15, 0x1.df43f52ce6599p-15, 0x1.d175eb6c352b3p-15, 0x1.c41412fcbf72dp-15, 0x1.b71ac3fde1e89p-15, 0x1.aa867ba8491fp-15, 0x1.9e53ca25c56d4p-15, 0x1.927f54b8dc1c9p-15, 0x1.8705dcca5692bp-15, 0x1.7be44c108249ep-15, 0x1.7117c4ebf4197p-15, 0x1.669dae3bb68adp-15, 0x1.5c73aeed117b8p-15, 0x1.52979062eebe7p-15, 0x1.490716bc94f6ep-15, 0x1.3fbfe5a5cfbebp-15, 0x1.36bf82af2bf29p-15, 0x1.2e036e72d9944p-15, 0x1.25893e920c0d6p-15, 0x1.1d4ea9c3fc31dp-15, 0x1.1551874e5d45fp-15, 0x1.0d8fc7fa5b64ep-15, 0x1.06076a90b6842p-15, 0x1.fd6cdd3663255p-16, 0x1.ef3599dd5210dp-16, 0x1.e164f9eaf9079p-16, 0x1.d3f70c20cf4bdp-16, 0x1.c6e82aba145fap-16, 0x1.ba351d58bf915p-16, 0x1.addb255ecd3b8p-16, 0x1.a1d7c50a79488p-16, 0x1.9628af0b16865p-16, 0x1.8acb534c1ed4dp-16, 0x1.7fbd0e59f86a9p-16, 0x1.74fb27e92cd03p-16, 0x1.6a82f0316daf9p-16, 0x1.6051e108d511bp-16, 0x1.566582fd4806ep-16, 0x1.4cbb76c2a4b52p-16, 0x1.43518780da63fp-16, 0x1.3a25ab042ea47p-16, 0x1.3135ea18781c3p-16, 0x1.288041e809799p-16, 0x1.20029495f9519p-16, 0x1.17bab46112821p-16, 0x1.0fa683412a88bp-16, 0x1.07c41561d64f4p-16, 0x1.0011c48cd7ea4p-16, 0x1.f11c52563d38ep-17, 0x1.e26fef68d54dfp-17, 0x1.d41baa80c4da5p-17, 0x1.c61c95373c911p-17, 0x1.b86fce2f75eafp-17, 0x1.ab12d0b73c5fdp-17, 0x1.9e0368fa2bf2fp-17, 0x1.913f4d78eaf16p-17, 0x1.84c3fc61a1413p-17, 0x1.788ee73269621p-17, 0x1.6c9dafad13974p-17, 0x1.60ee4297ef6ecp-17, 0x1.557ecec256358p-17, 0x1.4a4d9e001c74p-17, 0x1.3f58e31d33f16p-17, 0x1.349ea4c68d601p-17, 0x1.2a1cdd2b2a0bcp-17, 0x1.1fd1b4a96cf9p-17, 0x1.15bba26955619p-17, 0x1.0bd9509d4a313p-17, 0x1.02295e03a9dc9p-17, 0x1.f1547360f9f29p-18, 0x1.deb46c807cfadp-18, 0x1.cc6f47c83837ap-18, 0x1.ba8248d7112d3p-18, 0x1.a8ebdafdeff6cp-18, 0x1.97aaa1552287ep-18, 0x1.86bc94841c4b5p-18, 0x1.761f3a58e3101p-18, 0x1.65d0447675233p-18, 0x1.55cd9f12e08e1p-18, 0x1.46155273ea359p-18, 0x1.36a5947430aa6p-18, 0x1.277cd25c2066bp-18, 0x1.18999684987b6p-18, 0x1.09fa653aada3fp-18, 0x1.f73b48e7dd9dep-19, 0x1.db034b91e16c5p-19, 0x1.bf49c0ffb63a8p-19, 0x1.a40c6c0ca4d94p-19, 0x1.8949ce3da2e5bp-19, 0x1.6f002b1c40d08p-19, 0x1.552c95b7890b2p-19, 0x1.3bcb2a952715ap-19, 0x1.22d81a9471d2bp-19, 0x1.0a50d306c7b3dp-19, 0x1.e469482bea7afp-20, 0x1.b5067ee6c1637p-20, 0x1.86756bda55ffep-20, 0x1.58b0cfd98c1cp-20, 0x1.2bb5250f70476p-20, 0x1.feff3523fe996p-21, 0x1.a819e85d5ac0ap-21, 0x1.52b45e2fb30bcp-21, 0x1.fd924253c012dp-22, 0x1.58a5abf6d9b2cp-22, 0x1.6d3073e14fd27p-23, 0x1.75f830f5ee30dp-26, -0x1.0a1ca5c1f297dp-23, -0x1.1ebad2931e8dp-22, -0x1.b5af6886f6c5bp-22, -0x1.24fa5a6eab1f7p-21, -0x1.6dc8be9fa1ee3p-21, -0x1.b545ced4bd978p-21, -0x1.fb73a4e71e264p-21, -0x1.202c1fc83d1f4p-20, -0x1.41fd331dc6a4p-20, -0x1.632fdade1288p-20, -0x1.83c588a286f6p-20, -0x1.a3be41d7918f2p-20, -0x1.c31b7932ccc1dp-20, -0x1.e1dfe27747647p-20, -0x1.0006878994684p-19, -0x1.0ed1fe2b4fd5cp-19, -0x1.1d5322eeecf98p-19, -0x1.2b8ab4b16e332p-19, -0x1.3979523ba1c44p-19, -0x1.471f9a36d4ab7p-19, -0x1.547e36e896b24p-19, -0x1.6195dbabd153p-19, -0x1.6e673b56bbc66p-19, -0x1.7af2fe38e8981p-19, -0x1.8739bdb775138p-19, -0x1.933c088b9288p-19, -0x1.9efa6cd8e9d14p-19, -0x1.aa7582e8dc71ep-19, -0x1.b5adf2f186eadp-19, -0x1.c0a41d5ccc7b6p-19, -0x1.cb58a2b0e636fp-19, -0x1.d5cc3666dc54fp-19, -0x1.dfff68b93b067p-19, -0x1.e9f2bfcdfcbc3p-19, -0x1.f3a6bacd4c24bp-19, -0x1.fd1bfbf7d8407p-19, -0x1.03299046d7617p-18, -0x1.07a66306e592bp-18, -0x1.0c04a16aef614p-18, -0x1.104490bc8ed29p-18, -0x1.14667e0e57695p-18, -0x1.186aaa1a6e7f5p-18, -0x1.1c5153c6c76c3p-18, -0x1.201ab6abdaf6dp-18, -0x1.23c7201528684p-18, -0x1.2756d07e3449bp-18, -0x1.2aca09981c714p-18, -0x1.2e2111e5887bdp-18, -0x1.315c2d9c5ee28p-18, -0x1.347b9eb047e5bp-18, -0x1.377fa4dc00acfp-18, -0x1.3a68c301799e1p-18, -0x1.3d367824ef158p-18, -0x1.3fe9cc6d442c3p-18, -0x1.4282c4fb1b6bap-18, -0x1.4501a5a811a1fp-18, -0x1.4766aff14df3p-18, -0x1.49b2269fb6e1p-18, -0x1.4be44a77379c8p-18, -0x1.4dfd576eb27b6p-18, -0x1.4ffd9b2829d25p-18, -0x1.51e565eb01bb4p-18, -0x1.53b4f68526246p-18, -0x1.556c867eb1a34p-18, -0x1.570c5ed0a83cbp-18, -0x1.5894c5c02697ap-18, -0x1.5a05febbf7137p-18, -0x1.5b604cadf264ap-18, -0x1.5ca3f3ebf5035p-18, -0x1.5dd138ff52fd9p-18, -0x1.5ee860bd49bd1p-18, -0x1.5fe9b0327465dp-18, -0x1.60d56c764983cp-18, -0x1.61abdf1dcad99p-18, -0x1.626d3aeb0c2e1p-18, -0x1.6319ed0e291fp-18, -0x1.63b1fcc64770dp-18, -0x1.6435f40331b69p-18, -0x1.64a5ea859b90fp-18, -0x1.65022f41a3c7p-18, -0x1.654b09a626f68p-18, -0x1.6580c1a4f2eecp-18, -0x1.65a39b6169588p-18, -0x1.65b3d9f594523p-18, -0x1.65b1bbc63eda9p-18, -0x1.659d8e67c2c09p-18, -0x1.6577924450f98p-18, -0x1.65400f37c7bcep-18, -0x1.64f752bc79d43p-18, -0x1.649d900827865p-18, -0x1.64330de79af7bp-18, -0x1.63b81c39b2646p-18, -0x1.632cf933875abp-18, -0x1.6291e41cec32fp-18, -0x1.61e72cc610593p-18, -0x1.612d0b146e028p-18, -0x1.6063ca1fe1bf8p-18, -0x1.5f8bb84e2cc35p-18, -0x1.5ea4fa8bb2f2bp-18, -0x1.5daf28cb6c656p-18, -0x1.5cacb78184f44p-18, -0x1.5b9b86e889045p-18, -0x1.5a7cda0e0c04bp-18, -0x1.5950e5199b749p-18, -0x1.5817df353fca4p-18, -0x1.56d20ae8237d1p-18, -0x1.557fa753f843p-18, -0x1.5420f4e081ee9p-18, -0x1.52b633afcffa8p-18, -0x1.513fa384b8823p-18, -0x1.4fbd839fca7e3p-18, -0x1.4e3012fefc5cfp-18, -0x1.4c97906888dbfp-18, -0x1.4af439e0d4facp-18, -0x1.49464d3f318e2p-18, -0x1.478e07e7d9f2dp-18, -0x1.45cba7650fed6p-18, -0x1.43ff67d62195bp-18, -0x1.422985c70c784p-18, -0x1.404a3cf2899d9p-18, -0x1.3e61c89b7e45cp-18, -0x1.3c7063a328516p-18, -0x1.3a7648792289ap-18, -0x1.3873b116159e5p-18, -0x1.3668d6f99c019p-18, -0x1.3455f32901f7fp-18, -0x1.323b3e2daa945p-18, -0x1.3018f00989649p-18, -0x1.2def40b90da23p-18, -0x1.2bbe66a2fa3d5p-18, -0x1.2986989e979acp-18, -0x1.27480c4f6291p-18, -0x1.2502f8d2f867fp-18, -0x1.22b79187dff3bp-18, -0x1.20660b6d505d9p-18, -0x1.1e0e9a6fc9bfep-18, -0x1.1bb171e069884p-18, -0x1.194ec450fde6cp-18, -0x1.16e6c58dbd60ap-18, -0x1.1479ae7b567b6p-18, -0x1.1207983743686p-18, -0x1.0f90cc67df41dp-18, -0x1.0d1572377a348p-18, -0x1.0a95b8e55642cp-18, -0x1.08119287999fap-18, -0x1.0589ea3f63d21p-18, -0x1.02fe2d3e84d3p-18, -0x1.006ec73640b3p-18, -0x1.fbb7e745c02c6p-19, -0x1.f68b9fdec46ddp-19, -0x1.f15912d35a1abp-19, -0x1.ec209c8ba5e45p-19, -0x1.e6e287d403ea7p-19, -0x1.e19f26d376f59p-19, -0x1.dc57032701755p-19, -0x1.d70a2800dcab7p-19, -0x1.d1b90005c6007p-19, -0x1.cc63dccf4e6e8p-19, -0x1.c70b0c0936a2ep-19, -0x1.c1aedab3ed013p-19, -0x1.bc4f94e523edcp-19, -0x1.b6ed85a48f944p-19, -0x1.b188f6e0c757bp-19, -0x1.ac22316b2b82bp-19, -0x1.a6b97cf4e0d27p-19, -0x1.a14f200d508a4p-19, -0x1.9be36026c880bp-19, -0x1.967681a0e6fbap-19, -0x1.9108c7cbf4766p-19, -0x1.8b9a74e41e1c9p-19, -0x1.862bca0cbb38ap-19, -0x1.80bd0749e24a5p-19, -0x1.7b4e6b6ea1dep-19, -0x1.75e03439326a7p-19, -0x1.70729e77fe365p-19, -0x1.6b05e5d1d7878p-19, -0x1.659a43339c53p-19, -0x1.602ff2c1cfc1ap-19, -0x1.5ac72f0d6fcb7p-19, -0x1.55602a4de204p-19, -0x1.4ffa96c6644fbp-19, -0x1.4a982f3983949p-19, -0x1.4537d8fb21076p-19, -0x1.3fd9d82dd8e11p-19, -0x1.3a7eb743a57efp-19, -0x1.35268e7d0413ep-19, -0x1.2fd18eaa587cbp-19, -0x1.2a7fe71b8226p-19, -0x1.2531c5f3095bp-19, -0x1.1fe758cc5ac1bp-19, -0x1.1aa0da7fda296p-19, -0x1.155e4cc180231p-19, -0x1.102002e0d61f9p-19, -0x1.0ae618e76ef8p-19, -0x1.05b0b757da26ap-19, -0x1.008005b2ce5b1p-19, -0x1.f6a867db2f169p-20, -0x1.ec5b1c32d2fbap-20, -0x1.e2184d5ae2adp-20, -0x1.d7e82aee62492p-20, -0x1.cdb12e9e5488bp-20, -0x1.c38d5d17f188ap-20, -0x1.b9759a9710879p-20, -0x1.af698ec8310adp-20, -0x1.a56964cb90d2fp-20, -0x1.9b7550d51b01cp-20, -0x1.918d8fe36d025p-20, -0x1.87b2625822523p-20, -0x1.7de3fd23414ccp-20, -0x1.742297888a741p-20, -0x1.6a6e683b09c4fp-20, -0x1.60c7a2dfeffdbp-20, -0x1.572e79a63beb7p-20, -0x1.4da31e470bca3p-20, }}, 
      {{-0x1.c0121a1493c01p-6, -0x1.a0f306ec5a103p-4, -0x1.a76e40fce70c6p-3, -0x1.4bfaa8804bca3p-2, -0x1.c0e7c7c12c5a2p-2, -0x1.1314b9b145893p-1, -0x1.39b3ea8e13fe4p-1, -0x1.51efc36883a91p-1, -0x1.5addab399be4bp-1, -0x1.54b1d85c1ca38p-1, -0x1.406e093cfcc27p-1, -0x1.1f9c516dbac9dp-1, -0x1.e82e2927e02f1p-2, -0x1.7fbaf8154c56p-2, -0x1.09e5b55304a96p-2, -0x1.151cbf23594efp-3, -0x1.5390a73b5c16dp-8, 0x1.053837fd8fe8bp-3, 0x1.0a57bbccca3ep-2, 0x1.8f74dd9b110c4p-2, 0x1.07f5d10e0e677p-1, 0x1.450b8be556f0ap-1, 0x1.7e56fc0ff548p-1, 0x1.b35d03da030c8p-1, 0x1.e3c76a7ffd065p-1, 0x1.07b0178a65c01p+0, 0x1.1b067ecbb0c2bp+0, 0x1.2be571d5a3b7ep+0, 0x1.3a552b00ceaaap+0, 0x1.4665c7bb1b8a1p+0, 0x1.502da6ee908b2p+0, 0x1.57c7f6b003075p+0, 0x1.5d53706b9885ep+0, 0x1.60f141b295b93p+0, 0x1.62c41ef2a0f56p+0, 0x1.62ef7cc0c466fp+0, 0x1.6196ec09bf4bap+0, 0x1.5edd955f3b995p+0, 0x1.5ae5cf9ef75d8p+0, 0x1.55d0ce4e2fb41p+0, 0x1.4fbe644131197p+0, 0x1.48ccd77784cbap+0, 0x1.4118c35f67329p+0, 0x1.38bd06f634c15p+0, 0x1.2fd2bc87ffa8ap+0, 0x1.26713927c5ae7p+0, 0x1.1cae124af7725p+0, 0x1.129d283300098p+0, 0x1.0850b3ffd3f44p+0, 0x1.fbb2b0e4d436ep-1, 0x1.e68c69232149fp-1, 0x1.d149ef194eb13p-1, 0x1.bc03eab3d19f3p-1, 0x1.a6d0774cb19e4p-1, 0x1.91c34d7dc5667p-1, 0x1.7cedec53ebd1fp-1, 0x1.685fc16f77de4p-1, 0x1.54264fbb760a7p-1, 0x1.404d54849c1c3p-1, 0x1.2cdeead150f8bp-1, 0x1.19e3acee5129ep-1, 0x1.0762d4308805cp-1, 0x1.eac4ade64f8e6p-2, 0x1.c7ce09b773cb5p-2, 0x1.a5e942e00e505p-2, 0x1.851bfa147a298p-2, 0x1.656a186dbd4adp-2, 0x1.46d5fb15b1afep-2, 0x1.29609bfc01403p-2, 0x1.0d09b7b32fac5p-2, 0x1.e39fe12608d27p-3, 0x1.af61de7cea69cp-3, 0x1.7d530162c617dp-3, 0x1.4d6b63e0586afp-3, 0x1.1fa1d3019bc19p-3, 0x1.e7d7fb1e1d084p-4, 0x1.947d3da9eceb8p-4, 0x1.451b4b5f8aac8p-4, 0x1.f33160889499cp-5, 0x1.63b5ce5884a72p-5, 0x1.b71a514dcc19dp-6, 0x1.69fdd0793b8e7p-7, -0x1.fac2f8721fae4p-9, -0x1.265e6347f02c7p-6, -0x1.00434621fcbddp-5, -0x1.67221f126520cp-5, -0x1.c8053418c00b8p-5, -0x1.1192c4f76c123p-4, -0x1.3c5dc2f34bd6ap-4, -0x1.647f634281a99p-4, -0x1.8a12fe2ffd21bp-4, -0x1.ad3369343b80cp-4, -0x1.cdfae81b732f4p-4, -0x1.ec8322b25c2dap-4, -0x1.04728f9b69e85p-3, -0x1.119c9b2ad9823p-3, -0x1.1dcb895199d14p-3, -0x1.290ad5aaa4141p-3, -0x1.33659ee753455p-3, -0x1.3ce6a95060fbfp-3, -0x1.45985b9ca28ebp-3, -0x1.4d84bf8cbc932p-3, -0x1.54b5846f562cdp-3, -0x1.5b33fced3154dp-3, -0x1.6109224143dd9p-3, -0x1.663d95f1cca73p-3, -0x1.6ad9a1681446ep-3, -0x1.6ee539e109f0bp-3, -0x1.726801be73eccp-3, -0x1.756949ac25ee6p-3, -0x1.77f014451c939p-3, -0x1.7a031762c3e92p-3, -0x1.7ba8be39f5059p-3, -0x1.7ce72c87159c8p-3, -0x1.7dc4400890144p-3, -0x1.7e45931cb5e95p-3, -0x1.7e707f8b91a28p-3, -0x1.7e4a20215eb3bp-3, -0x1.7dd75378ffeeap-3, -0x1.7d1cbe84c6759p-3, -0x1.7c1ece2311676p-3, -0x1.7ae1b9cbc7ed9p-3, -0x1.796985f657051p-3, -0x1.77ba0590e26e8p-3, -0x1.75d6dc52e7ap-3, -0x1.73c381133cf9p-3, -0x1.71833f2fa15aep-3, -0x1.6f19385d5e34dp-3, -0x1.6c8866e22c6dbp-3, -0x1.69d39f1752736p-3, -0x1.66fd90bfe2985p-3, -0x1.6408c8ee17ce7p-3, -0x1.60f7b3b965ae7p-3, -0x1.5dcc9d60ee3d9p-3, -0x1.5a89b3a9a5a28p-3, -0x1.5731079510563p-3, -0x1.53c48ea6bde42p-3, -0x1.504623db03e66p-3, -0x1.4cb788fb23d2ep-3, -0x1.491a68080594p-3, -0x1.4570543555c73p-3, -0x1.41bacac765a16p-3, -0x1.3dfb343d9ead1p-3, -0x1.3a32e57ac71a5p-3, -0x1.3663209585b74p-3, -0x1.328d1594b3904p-3, -0x1.2eb1e367a7251p-3, -0x1.2ad298df51d7cp-3, -0x1.26f0355fe81fdp-3, -0x1.230ba97afea79p-3, -0x1.1f25d7b80942bp-3, -0x1.1b3f956611e24p-3, -0x1.1759ab38f462p-3, -0x1.1374d5c90f73bp-3, -0x1.0f91c62c6fd8bp-3, -0x1.0bb122a387b3bp-3, -0x1.07d3872a33538p-3, -0x1.03f985e636cb2p-3, -0x1.0023a7968336dp-3, -0x1.f8a4d834b003fp-4, -0x1.f10c95eac185dp-4, -0x1.e97f676b49325p-4, -0x1.e1fe1c8f579e8p-4, -0x1.da8976b012a6p-4, -0x1.d32229844b6b9p-4, -0x1.cbc8dbe0729a2p-4, -0x1.c47e284b66838p-4, -0x1.bd429d8a426dbp-4, -0x1.b616bf41edcdbp-4, -0x1.aefb069e45458p-4, -0x1.a7efe2e25debp-4, -0x1.a0f5b9e084c14p-4, -0x1.9a0ce8696290bp-4, -0x1.9335c2c6206dcp-4, -0x1.8c7095397fb3p-4, -0x1.85bda473f0d66p-4, -0x1.7f1d2df2870f8p-4, -0x1.788f68526ec1dp-4, -0x1.721483ae381c6p-4, -0x1.6bacaa03c8947p-4, -0x1.6557ff8fd7e73p-4, -0x1.5f16a31887b6dp-4, -0x1.58e8ae2fb8bffp-4, -0x1.52ce357a0d628p-4, -0x1.4cc748fb9f15dp-4, -0x1.46d3f45ee4712p-4, -0x1.40f43f324bdcfp-4, -0x1.3b282d1fcd244p-4, -0x1.356fbe21b60fcp-4, -0x1.2fcaeeb907c04p-4, -0x1.2a39b82495e71p-4, -0x1.24bc1094c637dp-4, -0x1.1f51eb5a0db27p-4, -0x1.19fb390d72e11p-4, -0x1.14b7e7b6d781cp-4, -0x1.0f87e2f66437p-4, -0x1.0a6b142ea58cfp-4, -0x1.056162aa33f69p-4, -0x1.006ab3bc1a84fp-4, -0x1.f70dd5bb786b2p-5, -0x1.ed6bd39a8e15dp-5, -0x1.e3ef215ac6e8dp-5, -0x1.da977c44ff5bap-5, -0x1.d1649ed8b31p-5, -0x1.c85640fd6978fp-5, -0x1.bf6c1834c5689p-5, -0x1.b6a5d7c96566p-5, -0x1.ae0330f88b012p-5, -0x1.a583d31830c34p-5, -0x1.9d276bbdd066cp-5, -0x1.94eda6e84caap-5, -0x1.8cd62f286033ap-5, -0x1.84e0adc071ebbp-5, -0x1.7d0ccabd598f3p-5, -0x1.755a2d10a8b2ap-5, -0x1.6dc87ab11d701p-5, -0x1.665758bd8810bp-5, -0x1.5f066b9a6ff8p-5, -0x1.57d557064d04dp-5, -0x1.50c3be28ae4b4p-5, -0x1.49d143a53e30ap-5, -0x1.42fd89b66093bp-5, -0x1.3c4832491a487p-5, -0x1.35b0df12276ebp-5, -0x1.2f37319a746d3p-5, -0x1.28dacb48a4ed1p-5, -0x1.229b4d6ef6e0bp-5, -0x1.1c78595fa07d3p-5, -0x1.16719082aa307p-5, -0x1.10869465e4f1ap-5, -0x1.0ab706c4e5c33p-5, -0x1.0502898e11ab2p-5, -0x1.fed17dd72fe2ep-6, -0x1.f3d292a4d909p-6, -0x1.e9079726a172fp-6, -0x1.de6fd1cfd537fp-6, -0x1.d40a89f229e5ap-6, -0x1.c9d707c1f1078p-6, -0x1.bfd4945d944b8p-6, -0x1.b60279dfe62dp-6, -0x1.ac60037a498b1p-6, -0x1.a2ec7d8c5bb3ep-6, -0x1.99a735b0ff63fp-6, -0x1.908f7ac0fee82p-6, -0x1.87a49cd32de49p-6, -0x1.7ee5ed427f4b4p-6, -0x1.7652bebd6b6bp-6, -0x1.6dea6559c1852p-6, -0x1.65ac36a46d9p-6, -0x1.5d9789a7ed2d3p-6, -0x1.55abb6eacb39dp-6, -0x1.4de8186d3814bp-6, -0x1.464c09ac2799bp-6, -0x1.3ed6e7ac0766bp-6, -0x1.37881106b9cfep-6, -0x1.305ee5f6ba9fap-6, -0x1.295ac85b1ef3ep-6, -0x1.227b1bb520d9ap-6, -0x1.1bbf4523cc665p-6, -0x1.1526ab633676cp-6, -0x1.0eb0b6d19c5b8p-6, -0x1.085cd1785a927p-6, -0x1.022a671447482p-6, -0x1.f831ca32d0a4ep-7, -0x1.ec4f75626e536p-7, -0x1.e0acb16bce89fp-7, -0x1.d548635cb3243p-7, -0x1.ca21739bb770ep-7, -0x1.bf36cdefc1c7cp-7, -0x1.b487618abbebp-7, -0x1.aa12211146c2cp-7, -0x1.9fd6029ae1c51p-7, -0x1.95d1ffaad3729p-7, -0x1.8c0515260d2cep-7, -0x1.826e434afba1ap-7, -0x1.790c8daea553ep-7, -0x1.6fdefb3f904bap-7, -0x1.66e49649f551cp-7, -0x1.5e1c6c7a718d9p-7, -0x1.55858edb6b6bbp-7, -0x1.4d1f11cdaf1b8p-7, -0x1.44e80cfe6d8f1p-7, -0x1.3cdf9b5e19002p-7, -0x1.3504db1a75ad9p-7, -0x1.2d56ed9c7c046p-7, -0x1.25d4f78834985p-7, -0x1.1e7e20bc0cddp-7, -0x1.1751944d8006bp-7, -0x1.104e80826a7cep-7, -0x1.097416c7f7afp-7, -0x1.02c18ba8e72aep-7, -0x1.f86c2d8a593cp-8, -0x1.eba1e597c5792p-8, -0x1.df22baee9f817p-8, -0x1.d2ed2f1330dbep-8, -0x1.c6ffc9918216dp-8, -0x1.bb5917f1dda6bp-8, -0x1.aff7ada93ec67p-8, -0x1.a4da24074cef8p-8, -0x1.99ff1a23cdf66p-8, -0x1.8f6534cd80b81p-8, -0x1.850b1e7c10fa6p-8, -0x1.7aef87443224fp-8, -0x1.711124ccead07p-8, -0x1.676eb244244f3p-8, -0x1.5e06f051b5c6dp-8, -0x1.54d8a50856cb5p-8, -0x1.4be29bd41ce27p-8, -0x1.4323a56876fb7p-8, -0x1.3a9a97af60372p-8, -0x1.32464db93ef31p-8, -0x1.2a25a7adf26abp-8, -0x1.22378abf42709p-8, -0x1.1a7ae11bb284ap-8, -0x1.12ee99e0e2a24p-8, -0x1.0b91a90d4fe64p-8, -0x1.0463077130edcp-8, -0x1.fac3653cbf26ep-9, -0x1.ed1959afb2cf2p-9, -0x1.dfc5fa01c5f9p-9, -0x1.d2c75d193c162p-9, -0x1.c61ba2dc0b876p-9, -0x1.b9c0f411562d7p-9, -0x1.adb5824414c8bp-9, -0x1.a1f787a6ff49bp-9, -0x1.968546f97b771p-9, -0x1.8b5d0b6ccfb1fp-9, -0x1.807d28886f7a7p-9, -0x1.75e3fa0cbf95p-9, -0x1.6b8fe3d3ca229p-9, -0x1.617f51b035fe4p-9, -0x1.57b0b74b91d7fp-9, -0x1.4e2290053a1e4p-9, -0x1.44d35ed3239bdp-9, -0x1.3bc1ae25ad431p-9, -0x1.32ec0fce2db96p-9, -0x1.2a511ce7a892fp-9, -0x1.21ef75bf5dd7p-9, -0x1.19c5c1bbaf5cep-9, -0x1.11d2af3efff61p-9, -0x1.0a14f3883a7dfp-9, -0x1.028b4a9084648p-9, -0x1.f668edd54d87bp-10, -0x1.e81e834b55184p-10, -0x1.da34f4699ef1dp-10, -0x1.cca9ecb909b8ap-10, -0x1.bf7b24440e29ap-10, -0x1.b2a65f737060dp-10, -0x1.a6296edf57003p-10, -0x1.9a022f0f8d84ep-10, -0x1.8e2e882a3804cp-10, -0x1.82ac6d991d7e9p-10, -0x1.7779ddb25bddbp-10, -0x1.6c94e17421816p-10, -0x1.61fb8c5fcb71p-10, -0x1.57abfc780499ap-10, -0x1.4da45a5a2be0ap-10, -0x1.43e2d9604394ep-10, -0x1.3a65b7b17e31fp-10, -0x1.312b3e28aa243p-10, -0x1.2831c00012b26p-10, -0x1.1f779a42b8c6ap-10, -0x1.16fb3315be52ap-10, -0x1.0ebaf8fcb2077p-10, -0x1.06b56243b5ac4p-10, -0x1.fdd1d96c04b67p-11, -0x1.eea83b6de2ef7p-11, -0x1.dfeb0573a7c08p-11, -0x1.d19763f1eeefap-11, -0x1.c3aa966dc7669p-11, -0x1.b621f086d1995p-11, -0x1.a8fada37078d2p-11, -0x1.9c32ced73019p-11, -0x1.8fc75b1c3c65ap-11, -0x1.83b61a4639166p-11, -0x1.77fcb31e860d3p-11, -0x1.6c98d573bff3dp-11, -0x1.618838b490459p-11, -0x1.56c89c0ec4f8ep-11, -0x1.4c57c81b91e01p-11, -0x1.423391c129c8dp-11, -0x1.3859dd939d59cp-11, -0x1.2ec8a2e8e43ep-11, -0x1.257dedb04edbep-11, -0x1.1c77de8d2ea2dp-11, -0x1.13b4a8f1c4116p-11, -0x1.0b328f85376bap-11, -0x1.02efdf86904cdp-11, -0x1.f5d5d84b9057ep-12, -0x1.e64415b22cab8p-12, -0x1.d7272303e251cp-12, -0x1.c87bada14a5fap-12, -0x1.ba3e69a9aaab4p-12, -0x1.ac6c1a55b991ap-12, -0x1.9f019bae3842ep-12, -0x1.91fbeb68733a3p-12, -0x1.85582edaf8522p-12, -0x1.7913b4988ca84p-12, -0x1.6d2bf13880ba7p-12, -0x1.619e77e4d1fb1p-12, -0x1.5668f037db3bcp-12, -0x1.4b890b86626eap-12, -0x1.40fc7bc1cdf88p-12, -0x1.36c0eda544d5fp-12, -0x1.2cd40750bc1eap-12, -0x1.23336b5335b65p-12, -0x1.19dcbf5e916e5p-12, -0x1.10cdb531242bap-12, -0x1.080413c6eaf3cp-12, -0x1.fefb7dbe6996cp-13, -0x1.ee7176866dc22p-13, -0x1.de665df15f6d8p-13, -0x1.ced6bafed648fp-13, -0x1.bfbf423216a05p-13, -0x1.b11cc55c0be66p-13, -0x1.a2ec23f66e0d5p-13, -0x1.952a3ee0f548p-13, -0x1.87d3f118c8b83p-13, -0x1.7ae60e1d1c753p-13, -0x1.6e5d659cc24ddp-13, -0x1.6236cb4b34583p-13, -0x1.566f214a47afep-13, -0x1.4b0362f54b3c9p-13, -0x1.3ff0adb67b1f5p-13, -0x1.3534465b1382p-13, -0x1.2acb9a09082b3p-13, -0x1.20b43b0da7257p-13, -0x1.16ebda9aee51fp-13, -0x1.0d7040fc037d5p-13, -0x1.043f45cbd3b38p-13, -0x1.f6ad92fbc957dp-14, -0x1.e569626ae8fefp-14, -0x1.d4adcaf2b4674p-14, -0x1.c476a78a5369ep-14, -0x1.b4bfe43a7bc07p-14, -0x1.a5858602de3bfp-14, -0x1.96c3aff0bbb24p-14, -0x1.8876a3adce6f6p-14, -0x1.7a9abf025c238p-14, -0x1.6d2c7a2ecfefep-14, -0x1.60286aa1d7592p-14, -0x1.538b4a39f2cdcp-14, -0x1.4751ff0c2d054p-14, -0x1.3b799d98451dbp-14, -0x1.2fff613c55761p-14, -0x1.24e09c0574957p-14, -0x1.1a1aa4aed1cdp-14, -0x1.0faacc10d3b2cp-14, -0x1.058e5fada3caap-14, -0x1.f78570182f41dp-15, -0x1.e48a92bc2c522p-15, -0x1.d22756fb3bce7p-15, -0x1.c05724820b88dp-15, -0x1.af1576ac2b1d9p-15, -0x1.9e5db6f8d0f31p-15, -0x1.8e2b34e692e8dp-15, -0x1.7e7947be8937p-15, -0x1.6f438d78dd734p-15, -0x1.6086269ab71eep-15, -0x1.523dcbb70ce65p-15, -0x1.4467acbd8d44dp-15, -0x1.3701290efea89p-15, -0x1.2a0785a814aa3p-15, -0x1.1d77c4f168008p-15, -0x1.114eac003ab3bp-15, -0x1.0588e5eb931ecp-15, -0x1.f446535f5f2dcp-16, -0x1.de349a95d2c25p-16, -0x1.c8d67f64be564p-16, -0x1.b425e51f1aecep-16, -0x1.a01c863bc9678p-16, -0x1.8cb3eb1a7526bp-16, -0x1.79e59ee284369p-16, -0x1.67ab9d92ca29dp-16, -0x1.5600d379280ffp-16, -0x1.44e16641584bbp-16, -0x1.344a9111f689ep-16, -0x1.243a1e253410cp-16, -0x1.14adcd8724bd4p-16, -0x1.05a2ff620354cp-16, -0x1.ee2d70581d57ap-17, -0x1.d20b9ee056415p-17, -0x1.b6da12e3f5d74p-17, -0x1.9c920b2068fdap-17, -0x1.832bff89df16ep-17, -0x1.6a9f494ca1ff4p-17, -0x1.52e24436cba15p-17, -0x1.3beafb267087fp-17, -0x1.25afff6aec62ep-17, -0x1.102903a5dbecfp-17, -0x1.f69e475130ecap-18, -0x1.ce39fa9022cebp-18, -0x1.a71d4b58f80c7p-18, -0x1.8142a62ae7604p-18, -0x1.5ca55a2d544cdp-18, -0x1.39403f2ff9fa3p-18, -0x1.170d5b5af9ed2p-18, -0x1.ec0cfcc68cc97p-19, -0x1.ac4bbd4ac8d91p-19, -0x1.6ecc6075b04efp-19, -0x1.33848f4aa13c7p-19, -0x1.f4d0e0f077eb2p-20, -0x1.86d08b150bc1p-20, -0x1.1cde754da5a63p-20, -0x1.6d92843e7ffadp-21, -0x1.5175c7babd806p-22, 0x1.52a2e0e96ba8ep-25, 0x1.98dca43a4c933p-22, 0x1.7d509077e0086p-21, 0x1.13ff0d0256b4dp-20, 0x1.664be0d366ec1p-20, 0x1.b59c35196c9cp-20, 0x1.00fe4e87809c5p-19, 0x1.25bd04c8977eep-19, 0x1.491112e00b167p-19, 0x1.6b014f2e0a531p-19, 0x1.8b944d34ac8ffp-19, 0x1.aad03aaf57c4p-19, 0x1.c8bad2539342ap-19, 0x1.e55aa8ed0f8a3p-19, 0x1.005c8f59324b5p-18, 0x1.0d710a76adc9fp-18, 0x1.19f0b51a8152fp-18, 0x1.25e0818e5408cp-18, 0x1.314467e7532c4p-18, 0x1.3c2010e44b0fdp-18, 0x1.46778c0564735p-18, 0x1.504f95b7edb67p-18, 0x1.59ad41c66182p-18, 0x1.62956b979939dp-18, 0x1.6b0c42980515ap-18, 0x1.731495642318dp-18, 0x1.7aaf55ddc9ba7p-18, 0x1.81dcbb1835102p-18, 0x1.889e265688278p-18, 0x1.8ef64e4295b96p-18, 0x1.94e78936a05c8p-18, 0x1.9a7305f62052cp-18, 0x1.9f9a81f2ed922p-18, 0x1.a461be0c39547p-18, 0x1.a8cd6a6b055fcp-18, 0x1.ace1687680a89p-18, 0x1.b0a054c8aab36p-18, 0x1.b40beb4edddbep-18, 0x1.b7254cbc1e52bp-18, 0x1.b9ed06e0bd8fbp-18, 0x1.bc6359a41b556p-18, 0x1.be890800eec4ep-18, 0x1.c06065865c11bp-18, 0x1.c1edd5b1ef5d3p-18, 0x1.c336f843408a1p-18, 0x1.c4403a339d68bp-18, 0x1.c50a2341b60ecp-18, 0x1.c5925adbb6631p-18, 0x1.c5d8a63b16357p-18, 0x1.c5e04c5191bb6p-18, 0x1.c5ab8fd7a1f1fp-18, 0x1.c539da0e25871p-18, 0x1.c48b89f7b517p-18, 0x1.c3a3b85ef3c6p-18, 0x1.c285eb840ce86p-18, 0x1.c13464fe60918p-18, 0x1.bfb05cd732f78p-18, 0x1.bdfabe903ca4cp-18, 0x1.bc149601bc2dcp-18, 0x1.b9ff14f83eb02p-18, 0x1.b7bb4918e4b3dp-18, 0x1.b549c2f8198a1p-18, 0x1.b2aa9b8af6021p-18, 0x1.afde03b11926fp-18, 0x1.ace4f7565ec1cp-18, 0x1.a9c1dd63af642p-18, 0x1.a678c9c9a5befp-18, 0x1.a30d1305d9f8p-18, 0x1.9f7dc0b936498p-18, 0x1.9bc8e2d520ef6p-18, 0x1.97f0f7b10e39ep-18, 0x1.93f89fd83df25p-18, 0x1.8fde8c2290826p-18, 0x1.8ba267e5b258dp-18, 0x1.8746af56eead5p-18, 0x1.82cdbe983cd7bp-18, 0x1.7e38c9fb45078p-18, 0x1.79887f4b6980fp-18, 0x1.74bd83980a7f9p-18, 0x1.6fd892a7d5ecp-18, 0x1.6ada7cee113cp-18, 0x1.65c42473daa06p-18, 0x1.6096770bed007p-18, 0x1.5b525809c6472p-18, 0x1.55f87e92f0beep-18, 0x1.508970237db61p-18, 0x1.4b05b2ca44c4cp-18, 0x1.456de4b887ca1p-18, 0x1.3fc28c9f9a559p-18, 0x1.3a04f84118cf3p-18, 0x1.3437943d88dc7p-18, 0x1.2e5a984257b94p-18, 0x1.286de857be519p-18, 0x1.2273c334b8822p-18, 0x1.1c6ba4f6e1116p-18, 0x1.1654b8105a114p-18, 0x1.1030c398cbff7p-18, 0x1.0a0160a39d487p-18, 0x1.03c73ec69526cp-18, 0x1.fb059d8e8f0bdp-19, 0x1.ee69239557147p-19, 0x1.e1ba3bfd2e83dp-19, 0x1.d4fa2664dc9e2p-19, 0x1.c82a22ba497c2p-19, 0x1.bb4b68b8d6fdfp-19, 0x1.ae5f2a6cce1c6p-19, 0x1.a1669d18f2fc7p-19, 0x1.9462fd2975426p-19, 0x1.87558296d2cc3p-19, 0x1.7a3f4c3ebe21p-19, 0x1.6d216ce2809b1p-19, 0x1.5ffd11a5f1aa4p-19, 0x1.52d2e04df6e7ep-19, 0x1.45a2631205e4fp-19, 0x1.386d94c59747p-19, 0x1.2b37a1c338b73p-19, 0x1.1e017fdce59c7p-19, 0x1.10cc4357213c9p-19, 0x1.039609d193046p-19, 0x1.ecc08ddabf82ap-20, 0x1.d25aec71a9d45p-20, 0x1.b7fd313fb9beep-20, 0x1.9da88d97bada6p-20, 0x1.835e671a9fa54p-20, 0x1.69205bfe30fe6p-20, 0x1.4ef01e2228281p-20, 0x1.34cf6342dfb8bp-20, 0x1.1abfdaf392636p-20, 0x1.00c327a311fffp-20, 0x1.cdb5b5b14ba5fp-21, 0x1.9a10edb2844cbp-21, 0x1.669af03439355p-21, 0x1.3356c28e6d403p-21, 0x1.0047849b3392cp-21, 0x1.9ae099bb3f383p-22, 0x1.35a7ecfb81397p-22, 0x1.a1d536eca816fp-23, 0x1.b2baeab6a69f4p-24, 0x1.1ec930f1171f7p-27, -0x1.690b59038f32bp-24, -0x1.79dbcbe16d468p-23, -0x1.1efa0106b34bcp-22, -0x1.80694894fc5c1p-22, -0x1.e1441503596bdp-22, -0x1.20bf4297f462ap-21, -0x1.5087e6a2a306fp-21, -0x1.7ffa86b21d339p-21, -0x1.af15a2ec4819bp-21, -0x1.ddd765da95cf5p-21, -0x1.061eef5110439p-20, -0x1.1d238ebd5012fp-20, -0x1.33f89e3263522p-20, -0x1.4a9d30ea199p-20, -0x1.61105ae74333fp-20, -0x1.77515725700e6p-20, -0x1.8d5f29b5e19a2p-20, -0x1.a33928085b761p-20, -0x1.b8de7ff15d85p-20, -0x1.ce4e7ccee1936p-20, -0x1.e3885bc9a36eep-20, -0x1.f88b59d288f99p-20, -0x1.06ab5d023bd1ap-19, -0x1.10f4eb26012a4p-19, -0x1.1b220d21c824bp-19, -0x1.2532692902cdbp-19, -0x1.2f25b6c6da823p-19, -0x1.38fc5239c5162p-19, -0x1.42b56457ce8f7p-19, -0x1.4c4fe010eab1dp-19, -0x1.55ccd28b95946p-19, -0x1.5f2ba04148c91p-19, -0x1.686bb342a2f8dp-19, -0x1.718cf85ab9437p-19, -0x1.7a8f4f0e6e223p-19, -0x1.83728a1ba35dfp-19, -0x1.8c367af115ca2p-19, -0x1.94daf5113c35bp-19, -0x1.9d5fce49aa9fep-19, -0x1.a5c4e0e7aed5fp-19, -0x1.ae0a1050152p-19, -0x1.b62f2081cb3fep-19, -0x1.be340e0e516c2p-19, -0x1.c618b03c4f73fp-19, -0x1.cddcedbc56141p-19, -0x1.d580b012426b3p-19, -0x1.dd03e31d4ba3cp-19, -0x1.e466748a2150dp-19, -0x1.eba85290bb6cbp-19, -0x1.f2c96bc0ff01ap-19, -0x1.f9c9b04d2d2b3p-19, -0x1.00548ade24724p-18, -0x1.03b3cd79a9bc9p-18, -0x1.07029f5c16514p-18, -0x1.0a40f30b4d3c7p-18, -0x1.0d6ecbb36fac9p-18, -0x1.108c4a7ee044dp-18, -0x1.13993750e7f13p-18, -0x1.1695d0e82f5f9p-18, -0x1.1981ebd1362c7p-18, -0x1.1c5d8f39e2b58p-18, -0x1.1f28ca028700ep-18, -0x1.21e3a37faa07fp-18, -0x1.248e220852d4ep-18, -0x1.27284cc12fbdap-18, -0x1.29b22bcd11972p-18, -0x1.2c2bc83dbbc4bp-18, -0x1.2e952c0068f7ep-18, -0x1.30ee61d01a98fp-18, -0x1.3337752bae9e6p-18, -0x1.357072551f4d4p-18, -0x1.3799664dbc35cp-18, -0x1.39b25edc421a8p-18, -0x1.3bbb6a86ce908p-18, -0x1.3db498ac14e69p-18, -0x1.3f9df975facbcp-18, -0x1.41779dbc393fp-18, -0x1.434196c4d5729p-18, -0x1.44fbf626a2506p-18, -0x1.46a6cddc605bcp-18, -0x1.48423085349c4p-18, -0x1.49ce3240a156bp-18, -0x1.4b4ae9c891c7p-18, -0x1.4cb86d274ea9dp-18, -0x1.4e16ca40a28a9p-18, -0x1.4f661253ff578p-18, -0x1.50a66ea7c46abp-18, -0x1.51d7fca324376p-18, -0x1.52fabcd65bef2p-18, -0x1.540ec7184be51p-18, -0x1.55143b7efa48cp-18, -0x1.560b33cae01e3p-18, -0x1.56f3c9137b113p-18, -0x1.57ce15119b51p-18, -0x1.589a31e59a6d6p-18, -0x1.5958399c7fa3dp-18, -0x1.5a0847ec98dc3p-18, -0x1.5aaa77fb3847bp-18, -0x1.5b3ee58764703p-18, -0x1.5bc5acaf659abp-18, -0x1.5c3ee9e593e76p-18, -0x1.5caab9eeb9b55p-18, -0x1.5d0939e02b5f8p-18, -0x1.5d5a871d1784dp-18, -0x1.5d9ebf558638p-18, -0x1.5dd6008815298p-18, -0x1.5e006900838c5p-18, -0x1.5e1e174b89329p-18, -0x1.5e2f2a23a9fdap-18, -0x1.5e33c069b5adp-18, -0x1.5e2bf92a5b2f7p-18, -0x1.5e17f3a53b96ap-18, -0x1.5df7cf7d5321dp-18, -0x1.5dcbad0f11a43p-18, -0x1.5d93ace488a17p-18, -0x1.5d4fedb57af7cp-18, -0x1.5d008c0d5ae01p-18, -0x1.5ca5aee2a548bp-18, -0x1.5c3f781c1042fp-18, -0x1.5bce06008c8d3p-18, -0x1.5b5174a1c7f91p-18, -0x1.5ac9e802f1d69p-18, -0x1.5a3781ce84c11p-18, -0x1.599a630aab469p-18, -0x1.58f2ad2564d9ap-18, -0x1.584080fc2dfafp-18, -0x1.5784000138eccp-18, -0x1.56bd4b976d32bp-18, -0x1.55ec852fb070dp-18, -0x1.5511ce45e1f6ap-18, -0x1.542d485d6b5b2p-18, -0x1.533f14d955dafp-18, -0x1.524755b915f7cp-18, -0x1.51462c1a18cc9p-18, -0x1.503bb9b1443d8p-18, -0x1.4f28200b61afep-18, -0x1.4e0b80b1a689fp-18, -0x1.4ce5fd39b1121p-18, -0x1.4bb7b6cfed9ddp-18, -0x1.4a80ce888d813p-18, -0x1.49415e8abbd1fp-18, -0x1.47f9a1f84a2e7p-18, -0x1.46a9a02b9d3e2p-18, -0x1.455181ac95815p-18, -0x1.43f168687c039p-18, -0x1.4289759adfc8bp-18, -0x1.4119ca63b4b5bp-18, -0x1.3fa287a504087p-18, -0x1.3e23cd8fb775p-18, -0x1.3c9dbd649b6bdp-18, -0x1.3b1079cfb8189p-18, -0x1.397c1fcbe8f6cp-18, -0x1.37e0d17cacc92p-18, -0x1.363eb079facbep-18, -0x1.3495daf6573dap-18, }}, 
      {{0x1.55f806b661ea8p-2, 0x1.36888670128bfp-1, 0x1.9806776543bb5p-1, 0x1.d0f8c56a16e77p-1, 0x1.e833d7f740733p-1, 0x1.e628f2b1c004fp-1, 0x1.d2fc91a179699p-1, 0x1.b5a77957d991ep-1, 0x1.93ad5acd8a2e9p-1, 0x1.7122b5fa15e42p-1, 0x1.50d7db1ff1e66p-1, 0x1.34918bd9ee398p-1, 0x1.1d429bb6e90ccp-1, 0x1.0b407bb8daa48p-1, 0x1.fce05c28a2917p-2, 0x1.ecd61f01bf1a2p-2, 0x1.e537debb7daa5p-2, 0x1.e4aab822637ffp-2, 0x1.e9c44c01269c6p-2, 0x1.f3223498855bcp-2, 0x1.ff79cc9c5850ep-2, 0x1.06d0fa6d34308p-1, 0x1.0e4c247774fa9p-1, 0x1.15c17b5398ed7p-1, 0x1.1cd8192aad9b1p-1, 0x1.234a076105987p-1, 0x1.28e2a90713e4ep-1, 0x1.2d7cdd21dabd9p-1, 0x1.310102789152cp-1, 0x1.3362fa6c3d1ap-1, 0x1.34a03f3ec161ap-1, 0x1.34be1b4f2a8bcp-1, 0x1.33c809913b6ecp-1, 0x1.31ce43786d1fcp-1, 0x1.2ee47d746d11ep-1, 0x1.2b20d0f69cbbdp-1, 0x1.269ad1929c116p-1, 0x1.216ac9e1fda2cp-1, 0x1.1ba91c54e39c1p-1, 0x1.156dc3f6130a9p-1, 0x1.0ecff129b650dp-1, 0x1.07e5be85daeafp-1, 0x1.00c3fa20ca5a2p-1, 0x1.f2fc001d0422cp-2, 0x1.e44b46455136dp-2, 0x1.d59642b7a7a24p-2, 0x1.c6fa4350e0a7fp-2, 0x1.b8917211d1402p-2, 0x1.aa72eaccba32cp-2, 0x1.9cb2d97bb0ca4p-2, 0x1.8f629ef250affp-2, 0x1.8290f9fa0f61dp-2, 0x1.764a333ab6dd4p-2, 0x1.6a984a9c83822p-2, 0x1.5f832517d8a8fp-2, 0x1.5510ba23abf68p-2, 0x1.4b4540224658cp-2, 0x1.4223575733836p-2, 0x1.39ac330ec3346p-2, 0x1.31dfc0baa9499p-2, 0x1.2abcccdecb181p-2, 0x1.244125b7ce919p-2, 0x1.1e69bb967743p-2, 0x1.1932bef186575p-2, 0x1.1497bc39f0ca7p-2, 0x1.1093b57ffffcp-2, 0x1.0d2139fd37e41p-2, 0x1.0a3a7b97f9da8p-2, 0x1.07d96278767f3p-2, 0x1.05f79ec79899ep-2, 0x1.048eb8b0e1809p-2, 0x1.03981ec1a1748p-2, 0x1.030d32bf0a389p-2, 0x1.02e7550d3482cp-2, 0x1.031feebf7d12ap-2, 0x1.03b07a6c381b1p-2, 0x1.04928bd8971bcp-2, 0x1.05bfd69837e15p-2, 0x1.073233b0a7c89p-2, 0x1.08e3a65ec98a3p-2, 0x1.0ace6008e8db3p-2, 0x1.0cecc37d84eb1p-2, 0x1.0f396781a458dp-2, 0x1.11af18d03d5e4p-2, 0x1.1448db873644ep-2, 0x1.1701ec1b02939p-2, 0x1.19d5bfde122d8p-2, 0x1.1cc0051508f12p-2, 0x1.1fbca2c44e7e9p-2, 0x1.22c7b82c4e09dp-2, 0x1.25dd9bee62774p-2, 0x1.28fadb403a102p-2, 0x1.2c1c38914fb6cp-2, 0x1.2f3eaa6e4177bp-2, 0x1.325f5a1b6f7f1p-2, 0x1.357ba1d96a7ep-2, 0x1.38910ba472269p-2, 0x1.3b9d4f399c3eap-2, 0x1.3e9e5053515dp-2, 0x1.41921d20189fep-2, 0x1.4476ec08e8737p-2, 0x1.474b1a0d4f8cbp-2, 0x1.4a0d291543307p-2, 0x1.4cbbbdcd585d9p-2, 0x1.4f559e3a2ab34p-2, 0x1.51d9b015b8673p-2, 0x1.5446f6dde2c2dp-2, 0x1.569c9290249d2p-2, 0x1.58d9be197d865p-2, 0x1.5afdcd8f4fda9p-2, 0x1.5d082cfd15becp-2, 0x1.5ef85ee3ffacdp-2, 0x1.60cdfa9ff0b4ep-2, 0x1.6288ab48504e2p-2, 0x1.64282e54c9104p-2, 0x1.65ac523f5cd9fp-2, 0x1.6714f5839f9c8p-2, 0x1.6862057d4a598p-2, 0x1.69937d4e81c53p-2, 0x1.6aa964fe4933ap-2, 0x1.6ba3d0907e8ap-2, 0x1.6c82df237f57cp-2, 0x1.6d46ba23c709dp-2, 0x1.6def948d9651ep-2, 0x1.6e7daa31de2edp-2, 0x1.6ef13ef76add4p-2, 0x1.6f4a9e363dd7cp-2, 0x1.6f8a1a1c08f6dp-2, 0x1.6fb00afef089fp-2, 0x1.6fbccec971fbap-2, 0x1.6fb0c87b90ffcp-2, 0x1.6f8c5f9a959e5p-2, 0x1.6f4fffabe1ap-2, 0x1.6efc17cb6ca19p-2, 0x1.6e911a3f6bcc9p-2, 0x1.6e0f7c07d28d5p-2, 0x1.6d77b47fc3b9bp-2, 0x1.6cca3d0d7eb6bp-2, 0x1.6c0790cec4d0ap-2, 0x1.6b302c4370c8dp-2, 0x1.6a448d085b401p-2, 0x1.6945319d3f33ep-2, 0x1.6832992250067p-2, 0x1.670d4317091b6p-2, 0x1.65d5af288a209p-2, 0x1.648c5d0429bdcp-2, 0x1.6331cc2488731p-2, 0x1.61c67ba1b252cp-2, 0x1.604aea0a36befp-2, 0x1.5ebf95418e46ap-2, 0x1.5d24fa5d8e2c8p-2, 0x1.5b7b95822eaebp-2, 0x1.59c3e1c39da0fp-2, 0x1.57fe59115fadbp-2, 0x1.562b742045a41p-2, 0x1.544baa50342bcp-2, 0x1.525f7197f724cp-2, 0x1.50673e79039adp-2, 0x1.4e6383f205dc9p-2, 0x1.4c54b36f40238p-2, 0x1.4a3b3cbec88e1p-2, 0x1.48178e0807a6ep-2, 0x1.45ea13c4036dbp-2, 0x1.43b338b789c41p-2, 0x1.417365edb7358p-2, 0x1.3f2b02b11c258p-2, 0x1.3cda748764fbdp-2, 0x1.3a821f31fb8d6p-2, 0x1.382264ad7d02ap-2, 0x1.35bba52cf876bp-2, 0x1.334e3f178e46bp-2, 0x1.30da8f0b9e25fp-2, 0x1.2e60efe1632e2p-2, 0x1.2be1baa95bbbap-2, 0x1.295d46abd6a3ap-2, 0x1.26d3e96ce17a3p-2, 0x1.2445f6afbb421p-2, 0x1.21b3c077c813cp-2, 0x1.1f1d970a7a2d8p-2, 0x1.1c83c8f430cbfp-2, 0x1.19e6a30c2ecb4p-2, 0x1.17467076333b2p-2, 0x1.14a37aa59b226p-2, 0x1.11fe09638aa2bp-2, 0x1.0f5662d4405dbp-2, 0x1.0caccb799088ap-2, 0x1.0a018635bb0abp-2, 0x1.0754d45146578p-2, 0x1.04a6f581aac1ap-2, 0x1.01f827ed9f4f4p-2, 0x1.fe91506088931p-3, 0x1.f93162bc50b1p-3, 0x1.f3d0fa171ab84p-3, 0x1.ee7086a32958fp-3, 0x1.e91075a4d503cp-3, 0x1.e3b1317cc844ep-3, 0x1.de5321b4994bp-3, 0x1.d8f6ab0911b1bp-3, 0x1.d39c2f7172002p-3, 0x1.ce440e2866cd3p-3, 0x1.c8eea3b9fcd75p-3, 0x1.c39c4a11667dep-3, 0x1.be4d5880e9039p-3, 0x1.b90223c64436dp-3, 0x1.b3bafe13bbd18p-3, 0x1.ae7837202cec2p-3, 0x1.a93a1c3689832p-3, 0x1.a400f83cd9fc7p-3, 0x1.9ecd13b5c02f1p-3, 0x1.999eb4c7620a6p-3, 0x1.94761f4c0056bp-3, 0x1.8f5394e41e90cp-3, 0x1.8a3754ff7b923p-3, 0x1.85219cdcd7843p-3, 0x1.8012a78bda4b8p-3, 0x1.7b0aadfa6befdp-3, 0x1.7609e7095cd1cp-3, 0x1.7110879b33e73p-3, 0x1.6c1ec2965d48fp-3, 0x1.6734c8e1e6915p-3, 0x1.6252c96a5397bp-3, 0x1.5d78f13345debp-3, 0x1.58a76b6cbb348p-3, 0x1.53de617e9f579p-3, 0x1.4f1dfb0757e38p-3, 0x1.4a665dd752fbap-3, 0x1.45b7adf6d6b5ep-3, 0x1.41120db8bd9dap-3, 0x1.3c759dcfd6c02p-3, 0x1.37e27d5a1f5bbp-3, 0x1.3358c9decc9dcp-3, 0x1.2ed89f48a047dp-3, 0x1.2a6217e95a0e4p-3, 0x1.25f54c8a6a7e8p-3, 0x1.21925482a073bp-3, 0x1.1d3945c43dba8p-3, 0x1.18ea34dddbc3ap-3, 0x1.14a534f4281cdp-3, 0x1.106a57c082d66p-3, 0x1.0c39ad9bfa9fep-3, 0x1.0813459360566p-3, 0x1.03f72d797dd3fp-3, 0x1.ffcae3dd0e561p-4, 0x1.f7bc3cb99023dp-4, 0x1.efc279e64038bp-4, 0x1.e7ddad4eb1bccp-4, 0x1.e00de6877d127p-4, 0x1.d85332f49a09bp-4, 0x1.d0ad9de79aadap-4, 0x1.c91d30a970e01p-4, 0x1.c1a1f273096e7p-4, 0x1.ba3be864901a3p-4, 0x1.b2eb158b2ac8fp-4, 0x1.abaf7af9d9e3dp-4, 0x1.a48917ebfce51p-4, 0x1.9d77e9e16a081p-4, 0x1.967beca99dc3fp-4, 0x1.8f951a5f9b16bp-4, 0x1.88c36b6222804p-4, 0x1.8206d655bec91p-4, 0x1.7b5f5036c466bp-4, 0x1.74cccc763bec6p-4, 0x1.6e4f3d15cefbp-4, 0x1.67e692b825a85p-4, 0x1.6192bca336a5fp-4, 0x1.5b53a8bad56d4p-4, 0x1.5529437e15919p-4, 0x1.4f13780fa9d49p-4, 0x1.4912304a091fcp-4, 0x1.432554d8c9ae3p-4, 0x1.3d4ccd4deb1c3p-4, 0x1.3788802ce5563p-4, 0x1.31d852eba619ap-4, 0x1.2c3c29ef48674p-4, 0x1.26b3e88c361cap-4, 0x1.213f710eee202p-4, 0x1.1bdea4cd2bbd1p-4, 0x1.1691643ab128p-4, 0x1.11578efae3241p-4, 0x1.0c3103eb0bb37p-4, 0x1.071da1251b026p-4, 0x1.021d43fe9e1d4p-4, 0x1.fa5f921277558p-5, 0x1.f0aa18318bae4p-5, 0x1.e719d09f5aa82p-5, 0x1.ddae705e2c8a7p-5, 0x1.d467ab4c89482p-5, 0x1.cb45343b657f5p-5, 0x1.c246bcf9413dep-5, 0x1.b96bf6551b0ffp-5, 0x1.b0b4901f989a9p-5, 0x1.a820393104a59p-5, 0x1.9fae9f77c20a7p-5, 0x1.975f700e58555p-5, 0x1.8f32575476f92p-5, 0x1.872701057bad9p-5, 0x1.7f3d184898f3p-5, 0x1.777447b9e350bp-5, 0x1.6fcc396e60533p-5, 0x1.684496f7394a3p-5, 0x1.60dd09681093fp-5, 0x1.59953962a6c99p-5, 0x1.526ccf2747fb2p-5, 0x1.4b6372a7430f5p-5, 0x1.4478cb962b832p-5, 0x1.3dac817779979p-5, 0x1.36fe3ba7cbfcep-5, 0x1.306da162564e9p-5, 0x1.29fa59c4ca6cap-5, 0x1.23a40bd453ea7p-5, 0x1.1d6a5e851a2e1p-5, 0x1.174cf8c4cfa74p-5, 0x1.114b8187571ffp-5, 0x1.0b659fd3afc54p-5, 0x1.059afacf94b21p-5, 0x1.ffd67391c933dp-6, 0x1.f4ac087942beap-6, 0x1.e9b603b802a7p-6, 0x1.def3b52114567p-6, 0x1.d4646d00dce7p-6, 0x1.ca077c284854cp-6, 0x1.bfdc33fad338ep-6, 0x1.b5e1e67eab52ep-6, 0x1.ac17e66d4ebacp-6, 0x1.a27d8743b8607p-6, 0x1.99121d51054b2p-6, 0x1.8fd4fdc3344ccp-6, 0x1.86c57eb184514p-6, 0x1.7de2f72482e0ap-6, 0x1.752cbf1ca714ep-6, 0x1.6ca22f9866dccp-6, 0x1.6442a29af8a56p-6, 0x1.5c0d7334466bp-6, 0x1.5401fd8a2ad0cp-6, 0x1.4c1f9ee2fd2d2p-6, 0x1.4465b5b0dcfdap-6, 0x1.3cd3a19cd26dap-6, 0x1.3568c39081a67p-6, 0x1.2e247dbcd3d86p-6, 0x1.2706339de2afdp-6, 0x1.200d49fb715e2p-6, 0x1.193926e9cfe43p-6, 0x1.128931cbc58aap-6, 0x1.0bfcd35857546p-6, 0x1.059375a4bb58p-6, 0x1.fe9908632027ep-7, 0x1.f24ed7f15d24ap-7, 0x1.e64736eff83fap-7, 0x1.da81056ad0198p-7, 0x1.cefb2673e1301p-7, 0x1.c3b48008a48bcp-7, 0x1.b8abfaeecfa8ep-7, 0x1.ade08295e53dap-7, 0x1.a351050c6bf4ep-7, 0x1.98fc7313e063p-7, 0x1.8ee1c0559960ap-7, 0x1.84ffe3b04a9e6p-7, 0x1.7b55d78afcbf3p-7, 0x1.71e29a14bf30cp-7, 0x1.68a52d588503bp-7, 0x1.5f9c971653728p-7, 0x1.56c7e061de3bdp-7, 0x1.4e2615195ad17p-7, 0x1.45b6435758058p-7, 0x1.3d777b09bb5ap-7, 0x1.3568cdd44ed29p-7, 0x1.2d894f54c29a5p-7, 0x1.25d815c478335p-7, 0x1.1e543ad8bc7f8p-7, 0x1.16fcdcabbf3c3p-7, 0x1.0fd11e6b34693p-7, 0x1.08d0289ad33p-7, 0x1.01f928bdc4a97p-7, 0x1.f696a0e96e766p-8, 0x1.e98ba867641ap-8, 0x1.dccfd3b9a275p-8, 0x1.d0618f31d3879p-8, 0x1.c43f46828f7dcp-8, 0x1.b867651e3bc0cp-8, 0x1.acd8582f3dd18p-8, 0x1.a19091ce5d9ecp-8, 0x1.968e8cc44da3p-8, 0x1.8bd0cff5bd16ep-8, 0x1.8155f09370b37p-8, 0x1.771c9272733ddp-8, 0x1.6d23664e5d7bep-8, 0x1.6369263b89339p-8, 0x1.59ec9101f43b3p-8, 0x1.50ac65656f5e4p-8, 0x1.47a75e712ceccp-8, 0x1.3edc31a9e2f1fp-8, 0x1.36498fa1ebcb2p-8, 0x1.2dee26e291fffp-8, 0x1.25c8a8967445cp-8, 0x1.1dd7cdf72676bp-8, 0x1.161a5d4df0592p-8, 0x1.0e8f2d673781dp-8, 0x1.073526ab00a97p-8, 0x1.000b41913573dp-8, 0x1.f221057e0e99p-9, 0x1.e487eb41848c8p-9, 0x1.d7494d4a3ef94p-9, 0x1.ca633c999b128p-9, 0x1.bdd3bc0bd4eb8p-9, 0x1.b198bee29fbfdp-9, 0x1.a5b02c493caf7p-9, 0x1.9a17e70aae623p-9, 0x1.8ecdd7e5e972ap-9, 0x1.83cff85ca25edp-9, 0x1.791c5bbd3d905p-9, 0x1.6eb13487f5063p-9, 0x1.648cd5221ed44p-9, 0x1.5aadabe637742p-9, 0x1.51123baca1237p-9, 0x1.47b9129a6881cp-9, 0x1.3ea0c12e2133ap-9, 0x1.35c7d315a070ap-9, 0x1.2d2ccae46defcp-9, 0x1.24ce20f6fa818p-9, 0x1.1caa457a4874fp-9, 0x1.14bfa5127a622p-9, 0x1.0d0caf42da1ddp-9, 0x1.058fdd53c2de5p-9, 0x1.fc8f70b3e348fp-10, 0x1.ee65ba5c51795p-10, 0x1.e09ffb520f5dap-10, 0x1.d33bbe4a91c3p-10, 0x1.c636adc90060bp-10, 0x1.b98e8a967c83cp-10, 0x1.ad4121ec8bec8p-10, 0x1.a14c45008de87p-10, 0x1.95adc33059897p-10, 0x1.8a6367a2e6c0bp-10, 0x1.7f6afa8de15c6p-10, 0x1.74c245573b6dp-10, 0x1.6a6717bb8fc89p-10, 0x1.60574bcd1afafp-10, 0x1.5690c79cabb92p-10, 0x1.4d117d4a98597p-10, 0x1.43d76bc2ffd8ap-10, 0x1.3ae0a22ab4c7fp-10, 0x1.322b45e1fac6ep-10, 0x1.29b5984b9345bp-10, 0x1.217df835e3eb4p-10, 0x1.1982dc1453a7ap-10, 0x1.11c2c5d54da8ep-10, 0x1.0a3c3520b9ec6p-10, 0x1.02ed9e8b3c2bep-10, 0x1.f7aad88be366bp-11, 0x1.e9e40ec49b3e8p-11, 0x1.dc83c73f1ad83p-11, 0x1.cf870b6c090a1p-11, 0x1.c2eaff404630bp-11, 0x1.b6acc985aa329p-11, 0x1.aac97d7696bbfp-11, 0x1.9f3e18a0a862bp-11, 0x1.94079e6483734p-11, 0x1.8923483e6dedep-11, 0x1.7e8eb27b40fc6p-11, 0x1.7447eb25871a9p-11, 0x1.6a4d576a57461p-11, 0x1.609d7b0007bd3p-11, 0x1.5736be21ac18bp-11, 0x1.4e174d5124f7ap-11, 0x1.453d1bcd79263p-11, 0x1.3ca5fcf4d5aebp-11, 0x1.344fbfd0b058bp-11, 0x1.2c383d12223afp-11, 0x1.245d537851b66p-11, 0x1.1cbcd8952480fp-11, 0x1.15548b0411991p-11, 0x1.0e22131395f8ep-11, 0x1.07231c10d44b9p-11, 0x1.00558390022d7p-11, 0x1.f36f1b829259cp-12, 0x1.e690030ce8036p-12, 0x1.da0c2cf85dc19p-12, 0x1.cde27540863bdp-12, 0x1.c211a3bcd962p-12, 0x1.b698272910502p-12, 0x1.ab741c17d6c0ap-12, 0x1.a0a374b6789d8p-12, 0x1.96240d44b8f38p-12, 0x1.8bf392d8822b2p-12, 0x1.820f4d72f88bbp-12, 0x1.7873f502f16f1p-12, 0x1.6f1dc023ae529p-12, 0x1.6608b196307dp-12, 0x1.5d30fc2b72566p-12, 0x1.54934ff8d9a8ep-12, 0x1.4c2d042b79e55p-12, 0x1.43fc282e8a8abp-12, 0x1.3bff7d446362p-12, 0x1.343647a804ep-12, 0x1.2c9ff64e0437fp-12, 0x1.253bd0ff64122p-12, 0x1.1e08e788eb8c3p-12, 0x1.17063c0e9a389p-12, 0x1.1032eaea04be9p-12, 0x1.098e2e639fb64p-12, 0x1.031744c0434e1p-12, 0x1.f99a710d15256p-13, 0x1.ed5d3075675c8p-13, 0x1.e172a50c4f6c3p-13, 0x1.d5d5b3bf350a8p-13, 0x1.ca80ed1e050e6p-13, 0x1.bf6f338e0daafp-13, 0x1.b49c3936d57b2p-13, 0x1.aa04cc4433b8dp-13, 0x1.9fa6d9d7441a7p-13, 0x1.95811dcbb7cc8p-13, 0x1.8b92b7e17cbfbp-13, 0x1.81dae05b8441ap-13, 0x1.7858baee104cap-13, 0x1.6f0b4bae066c4p-13, 0x1.65f1931b17ff6p-13, 0x1.5d0aa3e9889e4p-13, 0x1.5455ac0039228p-13, 0x1.4bd1f27b4a6e4p-13, 0x1.437e7e8096dd5p-13, 0x1.3b599938e69d6p-13, 0x1.3360e3c9571f2p-13, 0x1.2b91fd779d54fp-13, 0x1.23eb052f13082p-13, 0x1.1c6a990bfc906p-13, 0x1.150f7e60fadf5p-13, 0x1.0dd84126415a5p-13, 0x1.06c30bd7f86bp-13, 0x1.ff9ba29afa5c4p-14, 0x1.f1ed2ef7ba261p-14, 0x1.e47772b14aedp-14, 0x1.d738a6fcfd6e4p-14, 0x1.ca312069ccc36p-14, 0x1.bd620b6c14c62p-14, 0x1.b0cb453bcd5cfp-14, 0x1.a46b28d826f71p-14, 0x1.984079eadeaf2p-14, 0x1.8c4b3e9046e77p-14, 0x1.808ad261240a7p-14, 0x1.74fc4d5dfb43ep-14, 0x1.699bbedd2c48ep-14, 0x1.5e661cf43adb5p-14, 0x1.5359c16cae556p-14, 0x1.4875f7f6c99d7p-14, 0x1.3dbab793b75dcp-14, 0x1.3328a5551345fp-14, 0x1.28c0cadc7726ep-14, 0x1.1e83a162a1b62p-14, 0x1.146fce8309bb4p-14, 0x1.0a8182bafb365p-14, 0x1.00b3656b003b5p-14, 0x1.ee02e86379cbcp-15, 0x1.dad88b34e2545p-15, 0x1.c7efc62e78ed8p-15, 0x1.b54bb5253b5dp-15, 0x1.a2e71974c8b48p-15, 0x1.90bf0e26b8f74p-15, 0x1.7ed7655df8173p-15, 0x1.6d31a4fbb88dp-15, 0x1.5bc8db90b7faap-15, 0x1.4a97128126e3p-15, 0x1.399950bbf3ebfp-15, 0x1.28cf0d176e924p-15, 0x1.18386ca73df8dp-15, 0x1.07d53f07b5232p-15, 0x1.ef49e472392e5p-16, 0x1.cf4e90bd67b48p-16, 0x1.afba638294599p-16, 0x1.90917dc465e9ep-16, 0x1.71d77e7d7fcdfp-16, 0x1.538c179597fp-16, 0x1.35a811aae5ce3p-16, 0x1.181c1ca5f4eadp-16, 0x1.f5b8fb892a289p-17, 0x1.bbe47ba0e4292p-17, 0x1.82d5ffe0cb8p-17, 0x1.4a7df8a3a3234p-17, 0x1.12cb70ad7ec2fp-17, 0x1.b7a6680be36c8p-18, 0x1.4b411eece75b5p-18, 0x1.c08efa3f68771p-19, 0x1.da714f21aee1ap-20, 0x1.c70f3bc33aca7p-23, -0x1.6385736d44bbcp-20, -0x1.7d5c16070ca6ep-19, -0x1.232c4d7281a4bp-18, -0x1.865c966bd017dp-18, -0x1.e840ce88a2692p-18, -0x1.246df1e1a1d6bp-17, -0x1.5418126f6695ap-17, -0x1.831e6807677ddp-17, -0x1.b17ede36176dcp-17, -0x1.df3787f5d5d1bp-17, -0x1.0623bb17d809ap-16, -0x1.1c567d214e5dep-16, -0x1.3236d5bc018cdp-16, -0x1.47cca9664817ap-16, -0x1.5d15c1cb00fb4p-16, -0x1.720e89f8bebfdp-16, -0x1.86be1c8718e3fp-16, -0x1.9b1f1be187bb6p-16, -0x1.af2ae99af66b7p-16, -0x1.c2e6ada24c707p-16, -0x1.d656b2030928ep-16, -0x1.e97b343cfb485p-16, -0x1.fc536bc209ff7p-16, -0x1.076f73fa0258bp-15, -0x1.108ed07d5a44ap-15, -0x1.1987e1ee0dec1p-15, -0x1.225ac49bff7ebp-15, -0x1.2b0791aeb12adp-15, -0x1.338e61d33807ap-15, -0x1.3bef562f92c4p-15, -0x1.442a9bfdb532fp-15, -0x1.4c4060bc57e7ap-15, -0x1.5430bdab7acbap-15, -0x1.5bfbc563ba156p-15, -0x1.63a1a7a47d954p-15, -0x1.6b2214a08a0b5p-15, -0x1.727bba60f11adp-15, -0x1.79afa8a44c437p-15, -0x1.80c0075f44a71p-15, -0x1.87ace1e9aa51p-15, -0x1.8e765ffade88dp-15, -0x1.951a05040a437p-15, -0x1.9b9876711e73cp-15, -0x1.a1f339d8c73e7p-15, -0x1.a82a7ec1c6dc6p-15, -0x1.ae3e20f9bcbe1p-15, -0x1.b42e1c0babdd8p-15, -0x1.b9fa875e4cb38p-15, -0x1.bfa38845d4cb9p-15, -0x1.c529495b96d23p-15, -0x1.ca8bf68b16a71p-15, -0x1.cfcbbaaa6f149p-15, -0x1.d4e8be5a9f62cp-15, -0x1.d9e328d52e75p-15, -0x1.debb232eb93b8p-15, -0x1.e370dca79352cp-15, -0x1.e8048ba7f087cp-15, -0x1.ec76682c2f6efp-15, -0x1.f0c6a343803b7p-15, -0x1.f4f56ef18ccp-15, -0x1.f9030a4c7f6f6p-15, -0x1.fcef645725f9dp-15, -0x1.005cfd1128f0cp-14, -0x1.0231e47870f3ep-14, -0x1.03f6f6028abdap-14, -0x1.05ac03f5ca86ep-14, -0x1.0750b0ac0c1e9p-14, -0x1.08e5605c8a777p-14, -0x1.0a6a54d364ca6p-14, -0x1.0bdf9bffa3665p-14, -0x1.0d4547ea6dfe9p-14, -0x1.0e9b723ae09fcp-14, -0x1.0fe237c11bff1p-14, -0x1.1119b66e03cdbp-14, -0x1.12420cb9283bfp-14, -0x1.135b5975d0b93p-14, -0x1.1465bb8f92b3p-14, -0x1.156152fb52603p-14, -0x1.164e3e02e4be9p-14, -0x1.172c9ce2a2051p-14, -0x1.17fc8e6c96629p-14, -0x1.18be336933d23p-14, -0x1.1971acc665e0ap-14, -0x1.1a171c9f5f21p-14, -0x1.1aaea53549d1dp-14, -0x1.1b3867b044aacp-14, -0x1.1bb484b9aa87fp-14, -0x1.1c232039a3d37p-14, -0x1.1c845c08ff9f7p-14, -0x1.1cd84261c277cp-14, -0x1.1d1f0c34d5513p-14, -0x1.1d58f83726dd1p-14, -0x1.1d85faa44e85dp-14, -0x1.1da6457d936ep-14, -0x1.1dba07be4c3d7p-14, -0x1.1dc15ff57ec84p-14, -0x1.1dbc6f7f190e2p-14, -0x1.1dab5a0ae8a48p-14, -0x1.1d8e439dd5ebep-14, -0x1.1d65509ade56fp-14, -0x1.1d30a5773435ep-14, -0x1.1cf0668995936p-14, -0x1.1ca4b7efb37bcp-14, -0x1.1c4dc05a29d8dp-14, -0x1.1beba2409220cp-14, -0x1.1b7e8374bed56p-14, -0x1.1b0688ca19c15p-14, -0x1.1a83d714debb8p-14, -0x1.19f69348b0b5ap-14, -0x1.195ee2632edfep-14, -0x1.18bce9830ccdep-14, -0x1.1810cde0771b4p-14, -0x1.175ab4b7c0b32p-14, -0x1.169ac31a6d711p-14, -0x1.15d11dc8655a5p-14, -0x1.14fde9af0be1p-14, -0x1.14214cff30cdcp-14, -0x1.133b6c36af78fp-14, -0x1.124c6956f000dp-14, -0x1.11546e72e0cfap-14, -0x1.10539b46a7d7p-14, -0x1.0f4a1897d5e9ep-14, -0x1.0e380ac0d11a1p-14, -0x1.0d1d95a4eb545p-14, -0x1.0bfaddc413ba1p-14, -0x1.0ad007a9fe55p-14, -0x1.099d37c998ac9p-14, -0x1.08629277eed41p-14, -0x1.07203bebc4316p-14, -0x1.05d6583cc9e89p-14, -0x1.04850b6234689p-14, -0x1.032c7933d2d28p-14, -0x1.01ccc5650f699p-14, -0x1.0066138808073p-14, -0x1.fdf10e0be4c6dp-15, -0x1.fb088631af709p-15, -0x1.f812d5c135d64p-15, -0x1.f510428ba3cf5p-15, -0x1.f201120fbeb2ep-15, -0x1.eee58977696fcp-15, -0x1.ebbded9880aeap-15, -0x1.e88a82f5ba8fbp-15, -0x1.e54b8dc0e4f71p-15, -0x1.e2015154d5f56p-15, -0x1.deac10fe51cedp-15, -0x1.db4c0f5660c35p-15, -0x1.d7e18f93799b5p-15, -0x1.d46cd3df723c7p-15, -0x1.d0ee1d438b23fp-15, -0x1.cd65aa636573ap-15, -0x1.c9d3bf308a82cp-15, -0x1.c6389c1607eaap-15, -0x1.c2947fd0f4691p-15, -0x1.bee7a986a31a5p-15, -0x1.bb325825eff57p-15, -0x1.b774c9f75eb52p-15, -0x1.b3af3cd049cb5p-15, -0x1.afe1ee865133p-15, -0x1.ac0d1b55ee585p-15, -0x1.a830ffd127d6dp-15, -0x1.a44dd7d24d049p-15, -0x1.a063deaa00c47p-15, -0x1.9c734f2586e4bp-15, -0x1.987c638ca4ce9p-15, -0x1.947f559fe65eap-15, -0x1.907c5e975bccp-15, -0x1.8c73b720ee5b3p-15, -0x1.8865975dc68dep-15, -0x1.845236e046c3dp-15, -0x1.8039ccadd6f48p-15, -0x1.7c1c8f44d4bdap-15, -0x1.77fab49e78b1bp-15, -0x1.73d4722bab561p-15, -0x1.6fa9fcd14e56p-15, -0x1.6b7b88d706308p-15, -0x1.674949c09ecc8p-15, -0x1.63137273e9be1p-15, -0x1.5eda35f66e9b6p-15, -0x1.5a9dc7b84de8fp-15, -0x1.565e5707544cbp-15, -0x1.521c13f274587p-15, -0x1.4dd72fd996904p-15, -0x1.498fdc3e2e36bp-15, -0x1.4546471fe2366p-15, -0x1.40fa9edb5d44bp-15, -0x1.3cad11b8aa6e3p-15, -0x1.385dcc7de861bp-15, -0x1.340cfcd2ad04ep-15, -0x1.2fbacec9788d8p-15, -0x1.2b676e242c751p-15, -0x1.271306109681fp-15, -0x1.22bdc1292a544p-15, -0x1.1e67c979b465dp-15, -0x1.1a1148616ab72p-15, -0x1.15ba6722b2bf9p-15, -0x1.11634db52da47p-15, -0x1.0d0c2400b4fecp-15, -0x1.08b5113a4a733p-15, -0x1.045e3c07b0d1fp-15, -0x1.0007caa94d2d7p-15, -0x1.f763c440713e3p-16, -0x1.eeb9518f7cd0dp-16, -0x1.e6108b3e36093p-16, -0x1.dd69a03fdb2ecp-16, -0x1.d4c4f0f42075ap-16, -0x1.cc22bb52f0fbfp-16, -0x1.c3834387a152bp-16, -0x1.bae6cc9ff2919p-16, -0x1.b24d989f9b236p-16, -0x1.a9b7e8d9120fap-16, -0x1.a125fec1e0bep-16, -0x1.989818a654723p-16, -0x1.900e6fe5331bbp-16, -0x1.8789496fc313cp-16, -0x1.7f08dd5e9eab6p-16, -0x1.768d638080afcp-16, -0x1.6e171a6aa25a5p-16, }}, 
      {{0x1.54ef3a9d69d54p-2, 0x1.102b2cb4f25c9p-1, 0x1.76e4273dbe24cp-1, 0x1.c9a650802d6ebp-1, 0x1.011fedc04a82cp+0, 0x1.10f0979f6e93p+0, 0x1.167688af85abcp+0, 0x1.145824bb96963p+0, 0x1.0d1bef2e442bep+0, 0x1.02e6287c6ede5p+0, 0x1.eec84a15a1588p-1, 0x1.d79efdf470f11p-1, 0x1.c1f8d925df79cp-1, 0x1.aed83300db7b1p-1, 0x1.9ebe5daf15fdp-1, 0x1.91cd48ae8cc5bp-1, 0x1.87e428c510684p-1, 0x1.80b6cd96f37c8p-1, 0x1.7bdfe9ab7d8d9p-1, 0x1.78eedd067c134p-1, 0x1.7771b15b00af9p-1, 0x1.76fbf9a1ba11fp-1, 0x1.772b3aa50a669p-1, 0x1.77a96efbc8cb2p-1, 0x1.782e22ba3359bp-1, 0x1.787e8d16740a3p-1, 0x1.786cf98f7dea3p-1, 0x1.77d7bfbadd57fp-1, 0x1.76a7f9429006bp-1, 0x1.74d01903f4144p-1, 0x1.724a7c75b4243p-1, 0x1.6f1808dc29c82p-1, 0x1.6b3edfec343c6p-1, 0x1.66c932e987be9p-1, 0x1.61c437c396c19p-1, 0x1.5c3f412fcd83p-1, 0x1.564af90cc2ad7p-1, 0x1.4ff8bb28d80e3p-1, 0x1.495a0dce75842p-1, 0x1.42803525f0acfp-1, 0x1.3b7bde56fe93ep-1, 0x1.345cdf427113ap-1, 0x1.2d3207cb02225p-1, 0x1.260901ec170bfp-1, 0x1.1eee3e2901dc7p-1, 0x1.17ecea1833473p-1, 0x1.110eef04fe193p-1, 0x1.0a5cf6e68af6dp-1, 0x1.03de76369270cp-1, 0x1.fb3372ebaa1a2p-2, 0x1.ef27eabda4cf4p-2, 0x1.e3a2b1db0ec6bp-2, 0x1.d8aa41091123ep-2, 0x1.ce4353317bcc9p-2, 0x1.c4710cdcaa7d2p-2, 0x1.bb35231a37c57p-2, 0x1.b290015338f7cp-2, 0x1.aa80eda5b94d9p-2, 0x1.a3062b81ce35bp-2, 0x1.9c1d1c57fcf65p-2, 0x1.95c25e39c805cp-2, 0x1.8ff1e85c29b47p-2, 0x1.8aa725792ca35p-2, 0x1.85dd0c161b3ddp-2, 0x1.818e34bc31f5p-2, 0x1.7db4ee3533f92p-2, 0x1.7a4b4fe20240fp-2, 0x1.774b4a4202d54p-2, 0x1.74aeb5c499116p-2, 0x1.726f5ffe2531p-2, 0x1.7087175a03b5ep-2, 0x1.6eefb56406eb9p-2, 0x1.6da327c23a301p-2, 0x1.6c9b77f8a5213p-2, 0x1.6bd2d20e4be9fp-2, 0x1.6b438a2c1f51ep-2, 0x1.6ae82149c5e56p-2, 0x1.6abb4901a3d78p-2, 0x1.6ab7e69b80fd1p-2, 0x1.6ad91568e50a2p-2, 0x1.6b1a287d32163p-2, 0x1.6b76abde402c7p-2, 0x1.6bea653051c8ap-2, 0x1.6c7153f950796p-2, 0x1.6d07b17cb8197p-2, 0x1.6da9f03d61005p-2, 0x1.6e54bb3d7320ap-2, 0x1.6f04f4e6395e7p-2, 0x1.6fb7b5cc8b34bp-2, 0x1.706a4b4140758p-2, 0x1.711a35a2912d5p-2, 0x1.71c526d4cc2bp-2, 0x1.7269004b041c8p-2, 0x1.7303d152d9331p-2, 0x1.7393d53d99b7fp-2, 0x1.7417713c6306dp-2, 0x1.748d32c2b5343p-2, 0x1.74f3cd556254p-2, 0x1.754a1889d3a89p-2, 0x1.758f0e57876d3p-2, 0x1.75c1c8cfc9794p-2, 0x1.75e18061b7a7dp-2, 0x1.75ed8a27e3d56p-2, 0x1.75e555d061187p-2, 0x1.75c86c2c26d49p-2, 0x1.75966d99f1f44p-2, 0x1.754f1032857fp-2, 0x1.74f21e8e72c47p-2, 0x1.747f76526d959p-2, 0x1.73f70696d2fe5p-2, 0x1.7358cecd115dbp-2, 0x1.72a4dd6bf9c85p-2, 0x1.71db4e8eb2db2p-2, 0x1.70fc4af8405cbp-2, 0x1.700806ecfdc44p-2, 0x1.6efec1100b6d6p-2, 0x1.6de0c18a064cbp-2, 0x1.6cae591a704ecp-2, 0x1.6b67e0338886cp-2, 0x1.6a0db641d2472p-2, 0x1.68a040f106c2ep-2, 0x1.671feb79c3f7fp-2, 0x1.658d2600c04a1p-2, 0x1.63e86501e5f5bp-2, 0x1.623220c22ef24p-2, 0x1.606ad4c087e61p-2, 0x1.5e92ff3a63439p-2, 0x1.5cab20baa78b2p-2, 0x1.5ab3bb9e2f0e8p-2, 0x1.58ad53aa400f3p-2, 0x1.56986db4a1bep-2, 0x1.54758f41e10fep-2, 0x1.52453e2b7928dp-2, 0x1.5008005a2a98fp-2, 0x1.4dbe5b80a8ce5p-2, 0x1.4b68d4d45d94bp-2, 0x1.4907f0d1d4a8ap-2, 0x1.469c330cf13b4p-2, 0x1.44261e0027034p-2, 0x1.41a632da3ec9ep-2, 0x1.3f1cf15776148p-2, 0x1.3c8ad7a3316d4p-2, 0x1.39f0623510eb5p-2, 0x1.374e0baeb9ed9p-2, 0x1.34a44cc42a28p-2, 0x1.31f39c27e59d2p-2, 0x1.2f3c6e740f948p-2, 0x1.2c7f36154eb9fp-2, 0x1.29bc633bcfd16p-2, 0x1.26f463d062ac8p-2, 0x1.2427a3694470dp-2, 0x1.21568b3dbb483p-2, 0x1.1e81821db17dfp-2, 0x1.1ba8ec6f64334p-2, 0x1.18cd2c2cbbdf6p-2, 0x1.15eea0dda6ac7p-2, 0x1.130da7962a204p-2, 0x1.102a9af965359p-2, 0x1.0d45d33c42697p-2, 0x1.0a5fa6268db06p-2, 0x1.07786715f9a36p-2, 0x1.049067033beb5p-2, 0x1.01a7f487df4fbp-2, 0x1.fd7eb7ca0e72ep-3, 0x1.f7adce141ac63p-3, 0x1.f1ddbb348581p-3, 0x1.ec0f09e859aa5p-3, 0x1.e642407738795p-3, 0x1.e077e0c5e7391p-3, 0x1.dab068639b5f2p-3, 0x1.d4ec50997d1a1p-3, 0x1.cf2c0e80738f4p-3, 0x1.c970131668c19p-3, 0x1.c3b8cb4e877b7p-3, 0x1.be06a02206d68p-3, 0x1.b859f6a554a03p-3, 0x1.b2b3301d0772ep-3, 0x1.ad12aa0fc498cp-3, 0x1.a778be591fbcep-3, 0x1.a1e5c33e940e6p-3, 0x1.9c5a0b8381d14p-3, 0x1.96d5e67a9addfp-3, 0x1.9159a018b9878p-3, 0x1.8be5810a7d599p-3, 0x1.8679cec88b82fp-3, 0x1.8116cba891c81p-3, 0x1.7bbcb6ee6e664p-3, 0x1.766bcce02be2dp-3, 0x1.712446daa77eap-3, 0x1.6be65b636039cp-3, 0x1.66b23e38c7367p-3, 0x1.618820640a56bp-3, 0x1.5c68304bf0693p-3, 0x1.575299c66b7c2p-3, 0x1.52478628e4d95p-3, 0x1.4d471c591be84p-3, 0x1.485180deb095dp-3, 0x1.4366d5f393615p-3, 0x1.3e873b928008ep-3, 0x1.39b2cf862d69p-3, 0x1.34e9ad7a83732p-3, 0x1.302bef0d90eep-3, 0x1.2b79abdd5d3f8p-3, 0x1.26d2f993d66dap-3, 0x1.2237ebf49150ap-3, 0x1.1da894ed9fa93p-3, 0x1.192504a8002d2p-3, 0x1.14ad4993e55fbp-3, 0x1.1041707225dbp-3, 0x1.0be1845fc2857p-3, 0x1.078d8ee59d06p-3, 0x1.03459808d0115p-3, 0x1.fe134cad6f9cp-4, 0x1.f5b37dd93f83bp-4, 0x1.ed6bcb000c8f5p-4, 0x1.e53c38d74d5afp-4, 0x1.dd24c97f44039p-4, 0x1.d5257c9dfe1fbp-4, 0x1.cd3e4f6ee39e1p-4, 0x1.c56f3ccd0e65ap-4, 0x1.bdb83d43ef293p-4, 0x1.b619472ab52bp-4, 0x1.ae924ec28acccp-4, 0x1.a723464c600aap-4, 0x1.9fcc1e1335cbp-4, 0x1.988cc4735836cp-4, 0x1.916525e9c65d2p-4, 0x1.8a552d2e31dafp-4, 0x1.835cc34efe15bp-4, 0x1.7c7bcfc495447p-4, 0x1.75b238796dccp-4, 0x1.6effe1ce886c2p-4, 0x1.6864aea70401p-4, 0x1.61e0807e4c184p-4, 0x1.5b73378231389p-4, 0x1.551cb2a6a47acp-4, 0x1.4edccfae6f47fp-4, 0x1.48b36b2dc43e6p-4, 0x1.42a060905f5cp-4, 0x1.3ca38a29461fbp-4, 0x1.36bcc14997f71p-4, 0x1.30ebde55c3b8bp-4, 0x1.2b30b8d1fd74bp-4, 0x1.258b2765e35e9p-4, 0x1.1ffaffde1b37cp-4, 0x1.1a801733cd659p-4, 0x1.151a419cabcadp-4, 0x1.0fc9529f336d9p-4, 0x1.0a8d1d239830cp-4, 0x1.0565737c9e59ap-4, 0x1.005227699b328p-4, 0x1.f6a6142f4a6cdp-5, 0x1.eccfd8503488cp-5, 0x1.e3213b7c7e329p-5, 0x1.d999dd20b18dp-5, 0x1.d0395bec70ddbp-5, 0x1.c6ff55e287f4bp-5, 0x1.bdeb685d0d76fp-5, 0x1.b4fd300e6a0c1p-5, 0x1.ac3449094e3f5p-5, 0x1.a3904ed424084p-5, 0x1.9b10dc8459b4p-5, 0x1.92b58cd89d2fap-5, 0x1.8a7dfa4a65e8dp-5, 0x1.8269bf14dcd15p-5, 0x1.7a787535cba06p-5, 0x1.72a9b6704b9edp-5, 0x1.6afd1c5721dap-5, 0x1.6372405f573bcp-5, 0x1.5c08bbf65668cp-5, 0x1.54c02894e5a8cp-5, 0x1.4d981fca8f8dfp-5, 0x1.46903b41a2789p-5, 0x1.3fa814bfe56fdp-5, 0x1.38df462985e96p-5, 0x1.32356989b19fbp-5, 0x1.2baa19215ac7dp-5, 0x1.253cef77ab48cp-5, 0x1.1eed87689fc6dp-5, 0x1.18bb7c2e0836dp-5, 0x1.12a66963307a3p-5, 0x1.0cadeb05bb375p-5, 0x1.06d19d775a5bfp-5, 0x1.01111d832d103p-5, 0x1.f6d810ceb4171p-6, 0x1.ebc3f7c1e9943p-6, 0x1.e0e52c6e9bda2p-6, 0x1.d63aec884bf47p-6, 0x1.cbc476eff75fp-6, 0x1.c1810bb6e5c8dp-6, 0x1.b76fec1ff7549p-6, 0x1.ad905aa3f6ca9p-6, 0x1.a3e19afb4694p-6, 0x1.9a62f22c64e74p-6, 0x1.9113a69c2d632p-6, 0x1.87f3001c2b455p-6, 0x1.7f0047f48505fp-6, 0x1.763ac8e8f1173p-6, 0x1.6da1cf3a39a09p-6, 0x1.6534a8a7001fp-6, 0x1.5cf2a46e43611p-6, 0x1.54db1355416afp-6, 0x1.4ced47b0455fbp-6, 0x1.4528956c8c13ap-6, 0x1.3d8c521943374p-6, 0x1.3617d4ee0e7dp-6, 0x1.2eca76ceb034ep-6, 0x1.27a3924bb667ep-6, 0x1.20a283a2271abp-6, 0x1.19c6a8bc24438p-6, 0x1.130f6132a5002p-6, 0x1.0c7c0e50e96adp-6, 0x1.060c13193f801p-6, 0x1.ff7da893cb258p-7, 0x1.f32770c215bacp-7, 0x1.e7144f3eb7a79p-7, 0x1.db4318121139bp-7, 0x1.cfb2a2cae1423p-7, 0x1.c461ca7c219d9p-7, 0x1.b94f6dbac35d2p-7, 0x1.ae7a6e9c8cdb9p-7, 0x1.a3e1b2b870fefp-7, 0x1.9984232819492p-7, 0x1.8f60ac89c72a8p-7, 0x1.85763f024bd8fp-7, 0x1.7bc3ce3e44f8ap-7, 0x1.7248517273dddp-7, 0x1.6902c35a6bc7dp-7, 0x1.5ff2223595accp-7, 0x1.57156fc2a01a5p-7, 0x1.4e6bb139f5fbcp-7, 0x1.45f3ef481a129p-7, 0x1.3dad3608ab996p-7, 0x1.35969502474cp-7, 0x1.2daf1f23ff971p-7, 0x1.25f5eac3ddc9ap-7, 0x1.1e6a119dd71a5p-7, 0x1.170ab0d20a4b9p-7, 0x1.0fd6e8e0f0c7ep-7, 0x1.08cddda46127ep-7, 0x1.01eeb64711151p-7, 0x1.f6713a7429484p-8, 0x1.e95580580db31p-8, 0x1.dc88a00536e9ap-8, 0x1.d00901afdedf9p-8, 0x1.c3d513f5c3518p-8, 0x1.b7eb4be0f6107p-8, 0x1.ac4a24e6ef291p-8, 0x1.a0f020dd0af8dp-8, 0x1.95dbc7dee436cp-8, 0x1.8b0ba826c62b5p-8, 0x1.807e55deb0b35p-8, 0x1.76326af4ace8bp-8, 0x1.6c2686fea12e7p-8, 0x1.62594f3722523p-8, 0x1.58c96e956cd3fp-8, 0x1.4f7595fa1b5bfp-8, 0x1.465c7c6132a0ap-8, 0x1.3d7cdf050d537p-8, 0x1.34d5815df24b7p-8, 0x1.2c652cf1fc3ddp-8, 0x1.242ab0f54fecap-8, 0x1.1c24e1c9e9036p-8, 0x1.1452987b7e06ap-8, 0x1.0cb2b259ed641p-8, 0x1.054410d190b39p-8, 0x1.fc0b3326cbbe9p-9, 0x1.edec6e1386e9bp-9, 0x1.e029b1ffce5bdp-9, 0x1.d2c0eaa1eeefp-9, 0x1.c5b010c8488fep-9, 0x1.b8f52aadd1889p-9, 0x1.ac8e4b45861e7p-9, 0x1.a07990b086aa1p-9, 0x1.94b5220812865p-9, 0x1.893f2d000e8c6p-9, 0x1.7e15e3f15f3f2p-9, 0x1.73377cd24c9abp-9, 0x1.68a23170b48cbp-9, 0x1.5e5440f56f98cp-9, 0x1.544bf268549eep-9, 0x1.4a87979b9aa83p-9, 0x1.41058fd6085d2p-9, 0x1.37c4496fe082fp-9, 0x1.2ec241fa4079ap-9, 0x1.25fe04b6fcbf7p-9, 0x1.1d7627a0de4b7p-9, 0x1.1529479abc8ap-9, 0x1.0d16049784e73p-9, 0x1.053afe995eac9p-9, 0x1.fb2da8754f8bp-10, 0x1.ec50463e58738p-10, 0x1.dddb147cec4a7p-10, 0x1.cfcb5b19d00dcp-10, 0x1.c21e746e3bdb9p-10, 0x1.b4d1d4fb8df4p-10, 0x1.a7e3109eccebcp-10, 0x1.9b4fdc02af42cp-10, 0x1.8f1609e760eeap-10, 0x1.833384c49b1ap-10, 0x1.77a6461bc9a41p-10, 0x1.6c6c4d4c9bafp-10, 0x1.618397cce120ap-10, 0x1.56ea1c3ca336ep-10, 0x1.4c9dc94fc271fp-10, 0x1.429c88956c072p-10, 0x1.38e444769b1cap-10, 0x1.2f72f02ba8b43p-10, 0x1.26468ffa44665p-10, 0x1.1d5d3fff9eaa2p-10, 0x1.14b5381ab72b5p-10, 0x1.0c4ccc319c15bp-10, 0x1.042268e90753cp-10, 0x1.f8691b67083bcp-11, 0x1.e9038b4612a7cp-11, 0x1.da1140f24a3a1p-11, 0x1.cb8f5a7548f61p-11, 0x1.bd7aedd5dc727p-11, 0x1.afd1079354641p-11, 0x1.a28eadd19fdd1p-11, 0x1.95b0e7614fc25p-11, 0x1.8934c555ff473p-11, 0x1.7d176d3fec40fp-11, 0x1.715621db5e311p-11, 0x1.65ee48983b9f3p-11, 0x1.5add6afcb644ap-11, 0x1.502133f90a6a8p-11, 0x1.45b76a2e8b55fp-11, 0x1.3b9de8aa0bf91p-11, 0x1.31d29792a6159p-11, 0x1.28536606dc49dp-11, 0x1.1f1e46034b768p-11, 0x1.16312ad0ffe1bp-11, 0x1.0d8a0a0fa52e3p-11, 0x1.0526deba76c34p-11, 0x1.fa0b5999d3055p-12, 0x1.ea4907e88bed4p-12, 0x1.db0300eb0265ep-12, 0x1.cc3595ad186fdp-12, 0x1.bddd2fef723cdp-12, 0x1.aff656422c2d6p-12, 0x1.a27db402f4541p-12, 0x1.9570214b03126p-12, 0x1.88caa4e640bf7p-12, 0x1.7c8a6c4182789p-12, 0x1.70acba65b9c25p-12, 0x1.652ed4c656887p-12, 0x1.5a0df747f1e74p-12, 0x1.4f47558555c6fp-12, 0x1.44d8287168724p-12, 0x1.3abdbf0afe634p-12, 0x1.30f587133846fp-12, 0x1.277d06b0dd324p-12, 0x1.1e51cb5a23bffp-12, 0x1.1571588e99bd4p-12, 0x1.0cd925640f8d9p-12, 0x1.0486af65fafd4p-12, 0x1.f8ef387760d18p-13, 0x1.e953b24723077p-13, 0x1.da374b4a2046fp-13, 0x1.cb970234b23b3p-13, 0x1.bd70064be97b3p-13, 0x1.afbf666b7024dp-13, 0x1.a281e4809144ep-13, 0x1.95b3fa0751aap-13, 0x1.8951fcc5191e2p-13, 0x1.7d58464353ac3p-13, 0x1.71c347bee1769p-13, 0x1.668f8450159cap-13, 0x1.5bb97b246d588p-13, 0x1.513d91cd67efdp-13, 0x1.471813434cfcfp-13, 0x1.3d45510d09943p-13, 0x1.33c1e3191ec92p-13, 0x1.2a8aefb8bb71ep-13, 0x1.219e52d6238ffp-13, 0x1.18fa8616f0aaap-13, 0x1.109e512b5468ap-13, 0x1.0888712a8a53cp-13, 0x1.00b768c84b45ep-13, 0x1.f25309fe7805p-14, 0x1.e3b9f232da77cp-14, 0x1.d59fd9bf90a2fp-14, 0x1.c800de2f4ef12p-14, 0x1.bad89f0194a43p-14, 0x1.ae2206859c44ep-14, 0x1.a1d75d139ceb8p-14, 0x1.95f2b047dea63p-14, 0x1.8a6e56f8fb9ccp-14, 0x1.7f45554cba9efp-14, 0x1.7473912f5089dp-14, 0x1.69f5e743fde28p-14, 0x1.5fca22b300d7dp-14, 0x1.55eec04e7a283p-14, 0x1.4c627a6cfa706p-14, 0x1.4323dbe0ec69cp-14, 0x1.3a312842b85e6p-14, 0x1.318892c18a708p-14, 0x1.292872f0a5c59p-14, 0x1.210f4b1788881p-14, 0x1.193ba7b3a6e69p-14, 0x1.11abd7064121cp-14, 0x1.0a5d89cc01563p-14, 0x1.034da372c78b5p-14, 0x1.f8f0d1e5b10d6p-15, 0x1.ebb3db0c4f0a6p-15, 0x1.dedd0188e716fp-15, 0x1.d266018570628p-15, 0x1.c64a133f9b6d2p-15, 0x1.ba85e8f388457p-15, 0x1.af174257f4b8cp-15, 0x1.a3fc60cfe60a5p-15, 0x1.9933a6023641cp-15, 0x1.8ebb5bba84d96p-15, 0x1.8491a798b54b2p-15, 0x1.7ab4af5f077f2p-15, 0x1.7122b34ed69ccp-15, 0x1.67da18c6b7f7ep-15, 0x1.5ed96a2f04a51p-15, 0x1.561ee7e3bfa66p-15, 0x1.4da7e6f7da8dbp-15, 0x1.4570ea9762fecp-15, 0x1.3d76758bd7a5bp-15, 0x1.35b5ae3022328p-15, 0x1.2e2c5e0b0c91fp-15, 0x1.26d883ae335dp-15, 0x1.1fb7db140ca13p-15, 0x1.18c7ad6bebf83p-15, 0x1.120506ddb4fdep-15, 0x1.0b6d13509e3d2p-15, 0x1.04fd6ce7dd87ep-15, 0x1.fd693d4f7fa33p-16, 0x1.f12503a974f22p-16, 0x1.e52eefc2231cfp-16, 0x1.d9862cf9ef16ep-16, 0x1.ce280b3defac2p-16, 0x1.c3125b5d36f7ap-16, 0x1.b84481bb99e44p-16, 0x1.adbd196f5aa77p-16, 0x1.a377f82230dedp-16, 0x1.996fb08952e49p-16, 0x1.8f9ff6a44433cp-16, 0x1.86063a7d0a5dp-16, 0x1.7ca11ad776007p-16, 0x1.73700c874dafp-16, 0x1.6a735b0d55683p-16, 0x1.61abcd96f2efp-16, 0x1.59197b20f5fc4p-16, 0x1.50ba41a75e6b5p-16, 0x1.4889063f1db25p-16, 0x1.407edb9e03539p-16, 0x1.38968006bf179p-16, 0x1.30d04942f209p-16, 0x1.2930ba2b29f7p-16, 0x1.21b954b6092c6p-16, 0x1.1a668e8af1c1p-16, 0x1.13364929b1ad9p-16, 0x1.0c2a772f54a73p-16, 0x1.0543acabe2a82p-16, 0x1.fcfd346613e07p-17, 0x1.efaeac206b63ap-17, 0x1.e2978f04fedap-17, 0x1.d5b6a0e40ed43p-17, 0x1.c90b7b7f651fp-17, 0x1.bc9555c405ceep-17, 0x1.b052f5a7ff8dap-17, 0x1.a4438a138d48fp-17, 0x1.9867ae79c1ad6p-17, 0x1.8cc157c03b17p-17, 0x1.81522cb4016a8p-17, 0x1.76197c60b1e98p-17, 0x1.6b127bc5cdb0ap-17, 0x1.60339e56159c2p-17, 0x1.55758adbffe34p-17, 0x1.4add39d77d88fp-17, 0x1.4072567923008p-17, 0x1.362fe257376p-17, 0x1.2c107a05e10c4p-17, 0x1.2219e057534ep-17, 0x1.184f0dac55779p-17, 0x1.0eab041e3ba0cp-17, 0x1.052924741bc17p-17, 0x1.f790222e272cfp-18, 0x1.e50fc445287e2p-18, 0x1.d2d184c888b06p-18, 0x1.c0d53036fcf55p-18, 0x1.af1a17d8eadc5p-18, 0x1.9d9f24cf5244ep-18, 0x1.8c62f976beaf3p-18, 0x1.7b646c38f442fp-18, 0x1.6aa33d07db931p-18, 0x1.5a202cc9e6444p-18, 0x1.49dbe892c3396p-18, 0x1.39d68b522312cp-18, 0x1.2a109e99bfe4cp-18, 0x1.1a867c1e86bbap-18, 0x1.0b2eab76d6c2dp-18, 0x1.f816d0b880f1ap-19, 0x1.da40fbcdd4e5cp-19, 0x1.bccad7c20b091p-19, 0x1.9fc025e63b9bdp-19, 0x1.832f83e1a0f26p-19, 0x1.670c8606c1285p-19, 0x1.4b4cd15ddc471p-19, 0x1.2fef604f9ac08p-19, 0x1.14f58ae964b9fp-19, 0x1.f4bfc92cdb5e3p-20, 0x1.c05c2dd8ca6afp-20, 0x1.8cbeb2b0c8efcp-20, 0x1.59e59f94365a4p-20, 0x1.27cf670ea5abbp-20, 0x1.ecf51aea51014p-21, 0x1.8bcaae3119888p-21, 0x1.2c1b4e8e256bp-21, 0x1.9bc5abac25a9dp-22, 0x1.c47aa5cdd952dp-23, 0x1.5ccb98cebadd9p-25, -0x1.105bfc50f106ap-23, -0x1.390ef3ef6cd01p-22, -0x1.e6db18e60f6ecp-22, -0x1.48dcc2b5c1d3fp-21, -0x1.9cfc16efc8afap-21, -0x1.efcc82a735cdp-21, -0x1.20a86ff3d4731p-20, -0x1.48ae6d666f50cp-20, -0x1.6ffe0f37754b4p-20, -0x1.96a4de26433f9p-20, -0x1.bca46a7abca33p-20, -0x1.e1fb5952425dap-20, -0x1.0354abc59ffd6p-19, -0x1.15578ab076352p-19, -0x1.2706d3e70b299p-19, -0x1.3863264612245p-19, -0x1.496d22a573e96p-19, -0x1.5a2560cef02fdp-19, -0x1.6a8c6acf9865ap-19, -0x1.7aa2c0b91ed0bp-19, -0x1.8a68e780919a1p-19, -0x1.99df7961650b8p-19, -0x1.a9072eccf25e4p-19, -0x1.b7e0c1587b21ep-19, -0x1.c66cc95658507p-19, -0x1.d4abdf7fa9b69p-19, -0x1.e29ed1695d71cp-19, -0x1.f04511c717cacp-19, -0x1.fd9c2ab09d29fp-19, -0x1.05540965e083p-18, -0x1.0bb69b2db536p-18, -0x1.11f4dd62b74c8p-18, -0x1.180d1a313c60bp-18, -0x1.1e00d3cfbf219p-18, -0x1.23d0f5402c82dp-18, -0x1.297d8cdc63ccap-18, -0x1.2f06b9fcce97ap-18, -0x1.346cbb034ccaap-18, -0x1.39afda69c3aap-18, -0x1.3ed0662c4b242p-18, -0x1.43cead45f588fp-18, -0x1.48aafefaa8796p-18, -0x1.4d65ae684b57p-18, -0x1.51fefb2fb9289p-18, -0x1.56774c9cb3a26p-18, -0x1.5acedba27fe41p-18, -0x1.5f06023b8f925p-18, -0x1.631d083ba5a28p-18, -0x1.671441e9bd5a1p-18, -0x1.6aec0449afc68p-18, -0x1.6ea4a40ac0a6ap-18, -0x1.723e70a42c561p-18, -0x1.75b9b726eb9cfp-18, -0x1.7916d0701c34fp-18, -0x1.7c560ce270abap-18, -0x1.7f7763a7326f4p-18, -0x1.827b7b2d2b9eep-18, -0x1.85630c0f2aabfp-18, -0x1.882dbb4dbb399p-18, -0x1.8adc13a851ee2p-18, -0x1.8d6e9131662p-18, -0x1.8fe5740e778b5p-18, -0x1.924106c6601fp-18, -0x1.94819c156bf82p-18, -0x1.96a7870dd5854p-18, -0x1.98b31c033d734p-18, -0x1.9aa4af79003f8p-18, -0x1.9c7c938a6a867p-18, -0x1.9e3b10a8792bap-18, -0x1.9fe09e19aa2dbp-18, -0x1.a16d693f8ade6p-18, -0x1.a2e1d5a129f4p-18, -0x1.a43e35da7ddb8p-18, -0x1.a582dc836f607p-18, -0x1.a6b01cfe1eec7p-18, -0x1.a7c64a60cff2ap-18, -0x1.a8c5b7df88677p-18, -0x1.a9aeb89450bcep-18, -0x1.aa819f560e811p-18, -0x1.ab3ebe819fb2dp-18, -0x1.abe66802c0ed5p-18, -0x1.ac78ee29b1691p-18, -0x1.acf6a46f9060ep-18, -0x1.ad5fdb3cef377p-18, -0x1.adb4e0f9681c4p-18, -0x1.adf60bc86c86fp-18, -0x1.ae23a8d0bb55ep-18, -0x1.ae3e0b74dc228p-18, -0x1.ae4582f4d9f1p-18, -0x1.ae3a5ee32196bp-18, -0x1.ae1ceeddcb6acp-18, -0x1.aded8221bdb44p-18, -0x1.adac678426f1ep-18, -0x1.ad59ed739d37cp-18, -0x1.acf661f6f5988p-18, -0x1.ac8212a8ea22ap-18, -0x1.abfd4cb003ce9p-18, -0x1.ab685ccb4e4f3p-18, -0x1.aac38f3ae9feep-18, -0x1.aa0f2fdab3707p-18, -0x1.a94b89d7dc049p-18, -0x1.a878e849bfbedp-18, -0x1.a797955f50f8p-18, -0x1.a6a7db15967a1p-18, -0x1.a5aa02d3b181bp-18, -0x1.a49e556b2fe3fp-18, -0x1.a3851b0e2715fp-18, -0x1.a25e9b6343004p-18, -0x1.a12b1db5e0a31p-18, -0x1.9feae7eaedfd7p-18, -0x1.9e9e41845c9adp-18, -0x1.9d456ffd6a00fp-18, -0x1.9be0b66de3e15p-18, -0x1.9a705479b6b02p-18, -0x1.98f49d339e466p-18, -0x1.976dca0602dc6p-18, -0x1.95dc1bf075816p-18, -0x1.943fd5287675ep-18, -0x1.9299386531c25p-18, -0x1.90e886717ce7p-18, -0x1.8f2dff7d0f072p-18, -0x1.8d69e277c0bc3p-18, -0x1.8b9c6e148e9e6p-18, -0x1.89c5e2b4ecae6p-18, -0x1.87e67af90ad93p-18, -0x1.85fe74ce16856p-18, -0x1.840e0c823c3fp-18, -0x1.82157d9f81f0ep-18, -0x1.8015030dc7bc4p-18, -0x1.7e0cd70fb71fap-18, -0x1.7bfd334092eep-18, -0x1.79e6509395094p-18, -0x1.77c867536e1ecp-18, -0x1.75a3af21a9b8ap-18, -0x1.73785ef604793p-18, -0x1.7146ad1d22151p-18, -0x1.6f0ecf39155e3p-18, -0x1.6cd0fa4298b58p-18, -0x1.6a8d6289ad6e9p-18, -0x1.68443bb631fbp-18, -0x1.65f5b8ca1c52bp-18, -0x1.63a20c1aa05bdp-18, -0x1.61496743abf31p-18, -0x1.5eebfb2d9a848p-18, -0x1.5c89f84298ee4p-18, -0x1.5a238e59546fbp-18, -0x1.57b8ec27df532p-18, -0x1.554a4059cc234p-18, -0x1.52d7b885c8584p-18, -0x1.5061817996b44p-18, -0x1.4de7c8370e122p-18, -0x1.4b6ab8db35f81p-18, -0x1.48ea7bfadb7f3p-18, -0x1.46673ec2ad8a2p-18, -0x1.43e12a190977cp-18, -0x1.41586731cb8cbp-18, -0x1.3ecd1e98ce50dp-18, -0x1.3c3f7833e9045p-18, -0x1.39af9b51a5a4p-18, -0x1.371daf5e974bdp-18, -0x1.3489d84130812p-18, -0x1.31f43d7669025p-18, -0x1.2f5d031f965bp-18, -0x1.2cc44d6a3ec28p-18, -0x1.2a2a3feb72028p-18, -0x1.278efe1135379p-18, -0x1.24f2ab825d4f1p-18, -0x1.2255679a7e18ep-18, -0x1.1fb76e26d4da3p-18, -0x1.1d188f2ecdff8p-18, -0x1.1a793a7e7d50bp-18, -0x1.17d9789d5ee3ep-18, -0x1.153966b46b8b7p-18, -0x1.129922b59583p-18, -0x1.0ff8ca3531884p-18, -0x1.0d587a6e6836dp-18, -0x1.0ab850843e815p-18, -0x1.081868505f0d3p-18, -0x1.0578db5d3ab14p-18, -0x1.02d9c806ae11bp-18, -0x1.003b472767d16p-18, -0x1.fb3ae2b1c08bbp-19, -0x1.f600c4228dd0fp-19, }}, 
      {{0x1.39439cdfab847p-1, 0x1.3895debfbf6b4p-1, 0x1.3775e6af0710ep-1, 0x1.35e60d08cb2ffp-1, 0x1.33e97e909bac2p-1, 0x1.318424885baacp-1, 0x1.2eba8a098d16fp-1, 0x1.2b91c0449c317p-1, 0x1.280f42ef531aep-1, 0x1.2438ddd42cc25p-1, 0x1.201494284e9ccp-1, 0x1.1ba88a1061abap-1, 0x1.16faf08cc7625p-1, 0x1.1211f3e1e3c7p-1, 0x1.0cf3ac7730731p-1, 0x1.07a612156f76bp-1, 0x1.022ef15fe4106p-1, 0x1.f927c6b8ff26bp-2, 0x1.edb48db4ccdcap-2, 0x1.e20e77088811p-2, 0x1.d63f3cd7bf14ep-2, 0x1.ca500fbbaaa46p-2, 0x1.be49949db1056p-2, 0x1.b233e46e0a5f2p-2, 0x1.a6168d66f0c71p-2, 0x1.99f895946ba28p-2, 0x1.8de07e60900dep-2, 0x1.81d448ebb8321p-2, 0x1.75d97aff752a3p-2, 0x1.69f52471c696p-2, 0x1.5e2be4d45635bp-2, 0x1.5281f1511333dp-2, 0x1.46fb1a9a8cfd5p-2, 0x1.3b9ad2dacf077p-2, 0x1.3064338f5e36p-2, 0x1.255a034460451p-2, 0x1.1a7ebb23c832dp-2, 0x1.0fd48c4ff8ffp-2, 0x1.055d6503701efp-2, 0x1.f635eae1a5b69p-3, 0x1.e21d68c0cc576p-3, 0x1.ce73c7126eff1p-3, 0x1.bb3b274ac9c24p-3, 0x1.a8755083df856p-3, 0x1.9623b696807f1p-3, 0x1.844780b06418fp-3, 0x1.72e18f6c0b3e2p-3, 0x1.61f2826ff263fp-3, 0x1.517abd9b4b62bp-3, 0x1.417a6dc6d9bbap-3, 0x1.31f18d20e924fp-3, 0x1.22dfe72b7f8b9p-3, 0x1.14451c63e2f07p-3, 0x1.0620a59a9dfdfp-3, 0x1.f0e3ae05d32e7p-4, 0x1.d66fc6005d3c4p-4, 0x1.bce3b97035c34p-4, 0x1.a43d74dea1d68p-4, 0x1.8c7aaf6cd7242p-4, 0x1.7598eed953344p-4, 0x1.5f958b3a24feap-4, 0x1.4a6db2752998dp-4, 0x1.361e6b7e35627p-4, 0x1.22a49962578ap-4, 0x1.0ffcfe269331dp-4, 0x1.fc487aff3a79cp-5, 0x1.da2dbecece5d6p-5, 0x1.b9a2a5292fc0ap-5, 0x1.9a9fddaebe62dp-5, 0x1.7d1deebd065acp-5, 0x1.611539cde7f7cp-5, 0x1.467dffaf7efacp-5, 0x1.2d50649794cd8p-5, 0x1.15847414b6fbfp-5, 0x1.fe2449bccc60bp-6, 0x1.d3e2b90a8b1dap-6, 0x1.ac33e6079aa83p-6, 0x1.87076c5f3f596p-6, 0x1.644cda16c73f7p-6, 0x1.43f3b5f1a3eb2p-6, 0x1.25eb8594fbc4cp-6, 0x1.0a23d369b2c44p-6, 0x1.e118687780602p-7, 0x1.b228992b9737cp-7, 0x1.8757abb022086p-7, 0x1.6085461382b8dp-7, 0x1.3d914ac880361p-7, 0x1.1e5be12fbb6ccp-7, 0x1.02c57d93ee01cp-7, 0x1.d55dd1326996fp-8, 0x1.abf28c409bf5ep-8, 0x1.890c373e7d027p-8, 0x1.6c6eabe2b3412p-8, 0x1.55de9d423c6bdp-8, 0x1.4521a15e1e0e7p-8, 0x1.39fe39b1a6b7cp-8, 0x1.343bdac9532d1p-8, 0x1.33a2f2eac0116p-8, 0x1.37fcefd6d0afap-8, 0x1.411443afe69c6p-8, 0x1.4eb4690e59348p-8, 0x1.60a9e64dc3037p-8, 0x1.76c2501e00a18p-8, 0x1.90cc4b630b6b7p-8, 0x1.ae978e6eb6fcap-8, 0x1.cff4e19f96d24p-8, 0x1.f4b61f7022346p-8, 0x1.0e571a009688dp-7, 0x1.23d88e152bd56p-7, 0x1.3ac9f20da4822p-7, 0x1.531652cbe067p-7, 0x1.6ca942ec4ebc9p-7, 0x1.876ed98da2e99p-7, 0x1.a353b0f45e9e5p-7, 0x1.c044e50e8b51p-7, 0x1.de3011dbbb525p-7, 0x1.fd0351bd4dd6cp-7, 0x1.0e569dd94b692p-6, 0x1.1e8e70c22f3dap-6, 0x1.2f20e6f16ebd3p-6, 0x1.4006013c96e07p-6, 0x1.5135fafc83d27p-6, 0x1.62a9491081eabp-6, 0x1.745898dfef25p-6, 0x1.863ccf5b4f283p-6, 0x1.984f07fdcf301p-6, 0x1.aa8893cff0cf3p-6, 0x1.bce2f86c1af08p-6, 0x1.cf57ef05be33dp-6, 0x1.e1e163737d3c3p-6, 0x1.f479733ce2288p-6, 0x1.038d3655f4d84p-5, 0x1.0cdf66f160bf1p-5, 0x1.1630a1fafd9a4p-5, 0x1.1f7e5505a7cacp-5, 0x1.28c6043e89c68p-5, 0x1.32054a013f0ccp-5, 0x1.3b39d66e5af4fp-5, 0x1.44616f0457ec2p-5, 0x1.4d79ee3adfa5p-5, 0x1.568143206315bp-5, 0x1.5f7570f9fe62cp-5, 0x1.68548ee5863e9p-5, 0x1.711cc77db757cp-5, 0x1.79cc588067d2fp-5, 0x1.82619276a8de2p-5, 0x1.8adad85ebbddbp-5, 0x1.93369f57c5625p-5, 0x1.9b736e4f18432p-5, 0x1.a38fddaf05dabp-5, 0x1.ab8a970f1525fp-5, 0x1.b36254e586bafp-5, 0x1.bb15e23a06fbap-5, 0x1.c2a41a597ad06p-5, 0x1.ca0be88abe73fp-5, 0x1.d14c47c44eedap-5, 0x1.d8644262bbbe6p-5, 0x1.df52f1dfd361cp-5, 0x1.e6177e8a65b23p-5, 0x1.ecb11f3e96343p-5, 0x1.f31f191ea3319p-5, 0x1.f960bf4c198d3p-5, 0x1.ff7572a15d618p-5, 0x1.02ae50b5bd604p-4, 0x1.058ae39219a8dp-4, 0x1.085036161d309p-4, 0x1.0afe12c2cc595p-4, 0x1.0d944a471a1a8p-4, 0x1.1012b35d33f3dp-4, 0x1.12792aa7d8c77p-4, 0x1.14c7928fb4479p-4, 0x1.16fdd320c0049p-4, 0x1.191bd9e7aa1d2p-4, 0x1.1b2199cf3e90fp-4, 0x1.1d0f0afdd4a03p-4, 0x1.1ee42ab2c009p-4, 0x1.20a0fb23c7b9ap-4, 0x1.2245835aa412dp-4, 0x1.23d1cf12878b8p-4, 0x1.2545ee95b2c3ap-4, 0x1.26a1f69b17312p-4, 0x1.27e600240a295p-4, 0x1.2912285a0e149p-4, 0x1.2a26906cb3bc2p-4, 0x1.2b235d6f98cbbp-4, 0x1.2c08b83887c06p-4, 0x1.2cd6cd3dbc6e4p-4, 0x1.2d8dcc7450a3p-4, 0x1.2e2de92ed70c6p-4, 0x1.2eb759fc29237p-4, 0x1.2f2a58866aedp-4, 0x1.2f8721724d002p-4, 0x1.2fcdf43e8d5b2p-4, 0x1.2fff1323bde28p-4, 0x1.301ac2f453881p-4, 0x1.30214afd046ebp-4, 0x1.3012f4e578bd7p-4, 0x1.2ff00c91552aep-4, 0x1.2fb8e0019eb9ap-4, 0x1.2f6dbf36809f2p-4, 0x1.2f0efc1175e99p-4, 0x1.2e9cea37d989p-4, 0x1.2e17def5e55a3p-4, 0x1.2d8031221f249p-4, 0x1.2cd639013a689p-4, 0x1.2c1a502a71ce5p-4, 0x1.2b4cd16c5a511p-4, 0x1.2a6e18b23216dp-4, 0x1.297e82e9b0f02p-4, 0x1.287e6de95c41p-4, 0x1.276e38575d18fp-4, 0x1.264e4190e3348p-4, 0x1.251ee9920d58ap-4, 0x1.23e090de60b39p-4, 0x1.22939869cadebp-4, 0x1.21386182363e1p-4, 0x1.1fcf4db9a92d6p-4, 0x1.1e58bed0fd2c1p-4, 0x1.1cd516a3242eap-4, 0x1.1b44b71103782p-4, 0x1.19a801ede1861p-4, 0x1.17ff58ec6a0c6p-4, 0x1.164b1d8c444e5p-4, 0x1.148bb1083dc5ep-4, 0x1.12c174450cf66p-4, 0x1.10ecc7c0a4813p-4, 0x1.0f0e0b821cfe2p-4, 0x1.0d259f0a318bcp-4, 0x1.0b33e14450adp-4, 0x1.093930783bd36p-4, 0x1.0735ea3c3c711p-4, 0x1.052a6b67e2cb3p-4, 0x1.031710075b34dp-4, 0x1.00fc334f48d0ep-4, 0x1.fdb45f2263fbcp-5, 0x1.f962bc60e86e8p-5, 0x1.f5042f2f86f02p-5, 0x1.f099665e59b58p-5, 0x1.ec230ea542c5dp-5, 0x1.e7a1d29204824p-5, 0x1.e3165a775dd78p-5, 0x1.de814c5d230ecp-5, 0x1.d9e34bf15121dp-5, 0x1.d53cfa7a1759ep-5, 0x1.d08ef6c8d1f14p-5, 0x1.cbd9dd2dee557p-5, 0x1.c71e476dbbd8dp-5, 0x1.c25cccb617f22p-5, 0x1.bd960194fd6bcp-5, 0x1.b8ca77efe97edp-5, 0x1.b3fabefc14641p-5, 0x1.af2763377b97p-5, 0x1.aa50ee62ad9dp-5, 0x1.a577e77b6508dp-5, 0x1.a09cd2b7d8b0fp-5, 0x1.9bc03182cba77p-5, 0x1.96e282784b5b7p-5, 0x1.9204416324559p-5, 0x1.8d25e73afa367p-5, 0x1.8847ea2306d4bp-5, 0x1.836abd697a267p-5, 0x1.7e8ed1876e4acp-5, 0x1.79b494217c042p-5, 0x1.74dc7008d1bb6p-5, 0x1.7006cd3cdea32p-5, 0x1.6b3410ed7f55fp-5, 0x1.66649d7dacfc6p-5, 0x1.6198d286a414cp-5, 0x1.5cd10cdb88213p-5, 0x1.580da68d708a2p-5, 0x1.534ef6efebb87p-5, 0x1.4e95529de4b43p-5, 0x1.49e10b7eeaed1p-5, 0x1.453270ccdf57bp-5, 0x1.4089cf19f764bp-5, 0x1.3be770571468ap-5, 0x1.374b9bda72a05p-5, 0x1.32b696669c76cp-5, 0x1.2e28a231b07a2p-5, 0x1.29a1feece42f4p-5, 0x1.2522e9cc4ce97p-5, 0x1.20ab9d8ee256p-5, 0x1.1c3c5286ba617p-5, 0x1.17d53ea17e1c9p-5, 0x1.1376957109342p-5, 0x1.0f2088343f97bp-5, 0x1.0ad345e0048dp-5, 0x1.068efb285f812p-5, 0x1.0253d289c083ep-5, 0x1.fc43e8a4d0993p-6, 0x1.f3f30d57d327bp-6, 0x1.ebb55b498a561p-6, 0x1.e38b16744039cp-6, 0x1.db747ec3199c5p-6, 0x1.d371d025c5168p-6, 0x1.cb8342a44b3ddp-6, 0x1.c3a90a72ff315p-6, 0x1.bbe358066e71bp-6, 0x1.b432582776057p-6, 0x1.ac9634074fdefp-6, 0x1.a50f1153a5e46p-6, 0x1.9d9d124ab309bp-6, 0x1.964055cf4bca5p-6, 0x1.8ef8f77cf8ee2p-6, 0x1.87c70fbbe815ep-6, 0x1.80aab3d4e29d1p-6, 0x1.79a3f60530136p-6, 0x1.72b2e5924dc9ap-6, 0x1.6bd78eddabffcp-6, 0x1.6511fb7830aa9p-6, 0x1.5e623235aa0abp-6, 0x1.57c837401e141p-6, 0x1.51440c2ae8933p-6, 0x1.4ad5b005bf494p-6, 0x1.447d1f6f7fd96p-6, 0x1.3e3a54a8dbee4p-6, 0x1.380d47a6c774p-6, 0x1.31f5ee24c4566p-6, 0x1.2bf43bb6f0525p-6, 0x1.260821dbe3a23p-6, 0x1.2031900e5541dp-6, 0x1.1a7073d68d3c5p-6, 0x1.14c4b8db8e7f4p-6, 0x1.0f2e48f418915p-6, 0x1.09ad0c375dfddp-6, 0x1.0440e90d83ddp-6, 0x1.fdd3887fc13dap-7, 0x1.f34f0211f701fp-7, 0x1.e8f402489256bp-7, 0x1.dec249bb578f9p-7, 0x1.d4b9964159777p-7, 0x1.cad9a30ee9e09p-7, 0x1.c12228d2fc0fdp-7, 0x1.b792ddd417f91p-7, 0x1.ae2b760ca4993p-7, 0x1.a4eba346b50e3p-7, 0x1.9bd3153763b07p-7, 0x1.92e179997635bp-7, 0x1.8a167c47a65a6p-7, 0x1.8171c75637cd6p-7, 0x1.78f3032c20562p-7, 0x1.7099d69b9692dp-7, 0x1.6865e6fa220cdp-7, 0x1.6056d838134ep-7, 0x1.586c4cf7801cfp-7, 0x1.50a5e6a2b02b5p-7, 0x1.4903458204114p-7, 0x1.418408d152ecap-7, 0x1.3a27ced4bfa02p-7, 0x1.32ee34ed191eap-7, 0x1.2bd6d7ab921c2p-7, 0x1.24e152e520c8ap-7, 0x1.1e0d41c53a4dp-7, 0x1.175a3ee01d21ap-7, 0x1.10c7e444961cap-7, 0x1.0a55cb8d46d74p-7, 0x1.04038df171a15p-7, 0x1.fba188aa901f6p-8, 0x1.ef7a0eb369ee2p-8, 0x1.e38fded78074bp-8, 0x1.d7e229a6d66ap-8, 0x1.cc701f8437fc7p-8, 0x1.c138f0c122f01p-8, 0x1.b63bcdb8dde16p-8, 0x1.ab77e6ea8349bp-8, 0x1.a0ec6d12597e6p-8, 0x1.969891422f554p-8, 0x1.8c7b84f8f690fp-8, 0x1.82947a3966e26p-8, 0x1.78e2a3a005d32p-8, 0x1.6f65347822705p-8, 0x1.661b60d033e5bp-8, 0x1.5d045d8d5dabcp-8, 0x1.541f607e35275p-8, 0x1.4b6ba06cc2407p-8, 0x1.42e8552fc82bap-8, 0x1.3a94b7bb58ee3p-8, 0x1.32700230a3da6p-8, 0x1.2a796fed2dbc8p-8, 0x1.22b03d993d3e3p-8, 0x1.1b13a935b5349p-8, 0x1.13a2f2293b58ap-8, 0x1.0c5d594cba569p-8, 0x1.054220f74e66ap-8, 0x1.fca11a132529ap-9, 0x1.ef0fc5f09c508p-9, 0x1.e1ced3ad2f1cap-9, 0x1.d4dcd4bec30d8p-9, 0x1.c8385dfcefd4fp-9, 0x1.bbe007b1eb3dcp-9, 0x1.afd26daa769ddp-9, 0x1.a40e2f448da73p-9, 0x1.9891ef7d78293p-9, 0x1.8d5c54fe6604cp-9, 0x1.826c0a2893388p-9, 0x1.77bfbd2003a2fp-9, 0x1.6d561fd5ec03bp-9, 0x1.632de8119f8f4p-9, 0x1.5945cf791e5f3p-9, 0x1.4f9c93989009dp-9, 0x1.4630f5e8ff62fp-9, 0x1.3d01bbd65404dp-9, 0x1.340daec4a2f6ap-9, 0x1.2b539c14843f7p-9, 0x1.22d25526f9026p-9, 0x1.1a88af6081507p-9, 0x1.1275842b6ab11p-9, 0x1.0a97b0f9d9fd3p-9, 0x1.02ee1746c0411p-9, 0x1.f6ef392d019dp-10, 0x1.e86654edffbf7p-10, 0x1.da3f5cfdf5aa1p-10, 0x1.cc78349a04de8p-10, 0x1.bf0ec70ba2719p-10, 0x1.b20107a47271cp-10, 0x1.a54cf1b8fc523p-10, 0x1.98f0889aa6af7p-10, 0x1.8ce9d790b4a03p-10, 0x1.8136f1d04b536p-10, 0x1.75d5f273e790dp-10, 0x1.6ac4fc71eb4a8p-10, 0x1.60023a924e803p-10, 0x1.558bdf63b1637p-10, 0x1.4b60252fef40bp-10, 0x1.417d4defa9f3p-10, 0x1.37e1a33d63a06p-10, 0x1.2e8b76481edd3p-10, 0x1.25791fc54749ep-10, 0x1.1ca8ffe1fff19p-10, 0x1.14197e343efddp-10, 0x1.0bc909aafbd9dp-10, 0x1.03b6187e46ee7p-10, 0x1.f7be503d861ffp-11, 0x1.e8857a498e35fp-11, 0x1.d9bec67e3069ep-11, 0x1.cb675a42929bap-11, 0x1.bd7c68e3935b3p-11, 0x1.affb336f20a24p-11, 0x1.a2e1088f247dfp-11, 0x1.962b4463f9b35p-11, 0x1.89d7505dfe891p-11, 0x1.7de2a31730cc8p-11, 0x1.724ac02bf4246p-11, 0x1.670d3813a5b9cp-11, 0x1.5c27a7f8de22bp-11, 0x1.5197b991439cdp-11, 0x1.475b22f5554d5p-11, 0x1.3d6fa677a0faep-11, 0x1.33d3127bfacf8p-11, 0x1.2a83414e4d84ap-11, 0x1.217e18f9e2cep-11, 0x1.18c18b1f81683p-11, 0x1.104b94cc6f084p-11, 0x1.081a3e51142bdp-11, 0x1.002b9b16f946dp-11, 0x1.f0fb92ef8b18bp-12, 0x1.e21de526d418bp-12, 0x1.d3ba944db79cfp-12, 0x1.c5ce1cc5638e2p-12, 0x1.b8550f8317b58p-12, 0x1.ab4c11be35524p-12, 0x1.9eafdc9da80cep-12, 0x1.927d3ce5da876p-12, 0x1.86b112a749008p-12, 0x1.7b4850ed69fc4p-12, 0x1.703ffd6cb9586p-12, 0x1.6595303382d76p-12, 0x1.5b451358c5615p-12, 0x1.514ce2acf6cd4p-12, 0x1.47a9eb6a98d48p-12, 0x1.3e598be84b7a6p-12, 0x1.35593349da3dep-12, 0x1.2ca66133733dep-12, 0x1.243ea57c88574p-12, 0x1.1c1f9fe305d56p-12, 0x1.1446ffc0d71bp-12, 0x1.0cb283bf909d5p-12, 0x1.055ff98f7768bp-12, 0x1.fc9a7b39b6e8ap-13, 0x1.eef0758faeb3p-13, 0x1.e1bdd437b065ap-13, 0x1.d4fea5106be6p-13, 0x1.c8af11335639cp-13, 0x1.bccb5c68c0659p-13, 0x1.b14fe49d4913dp-13, 0x1.a6392159d40b7p-13, 0x1.9b83a33c1645ap-13, 0x1.912c13707a16cp-13, 0x1.872f332f81c11p-13, 0x1.7d89db39fe176p-13, 0x1.7438fb5ab03b2p-13, 0x1.6b3999e518fa3p-13, 0x1.6288d3398ba68p-13, 0x1.5a23d9497b79ep-13, 0x1.5207f31d833a9p-13, 0x1.4a327c5cdc5e4p-13, 0x1.42a0e4d76d1b4p-13, 0x1.3b50b010bb41dp-13, 0x1.343f74cd43931p-13, 0x1.2d6adca07e07fp-13, 0x1.26d0a37df552fp-13, 0x1.206e974acef88p-13, 0x1.1a42977188288p-13, 0x1.144a9477e7578p-13, 0x1.0e848f956bf1cp-13, 0x1.08ee9a4d25f47p-13, 0x1.0386d60792ed9p-13, 0x1.fc96e75daebd6p-14, 0x1.f275669a49888p-14, 0x1.e8a5c7574d718p-14, 0x1.df24c3e847b14p-14, 0x1.d5ef32a786c4p-14, 0x1.cd02053f82a6ap-14, 0x1.c45a47f6bf2eep-14, 0x1.bbf520ffad9bfp-14, 0x1.b3cfcfcaf80b3p-14, 0x1.abe7ac5dd18cap-14, 0x1.a43a26ab0dc9p-14, 0x1.9cc4c5ee65d6cp-14, 0x1.9585280df5e53p-14, 0x1.8e7900facc07dp-14, 0x1.879e1a174e624p-14, 0x1.80f2519f902efp-14, 0x1.7a739a14c4173p-14, 0x1.741ff9abae231p-14, 0x1.6df589be3c2abp-14, 0x1.67f2763f81afbp-14, 0x1.6214fd33fe69dp-14, 0x1.5c5b6e2ab7c67p-14, 0x1.56c429ba1fb8dp-14, 0x1.514da1000cf8ep-14, 0x1.4bf6552478a94p-14, 0x1.46bcd6dda050dp-14, 0x1.419fc5f847a78p-14, 0x1.3c9dd0e24ed77p-14, 0x1.37b5b437b4142p-14, 0x1.32e63a525e629p-14, 0x1.2e2e3adafdcc9p-14, 0x1.298c9a5fe925cp-14, 0x1.250049e9c0c1ap-14, 0x1.20884696a807fp-14, 0x1.1c2399354cc6ap-14, 0x1.17d155e38b038p-14, 0x1.13909baee7288p-14, 0x1.0f609437b122dp-14, 0x1.0b407355bca56p-14, 0x1.072f76bfe88f4p-14, 0x1.032ce5b58b9fdp-14, 0x1.fe702154009bbp-15, 0x1.f6a0a1e5c862p-15, 0x1.eeea10edb85eep-15, 0x1.e74b42c1e76cdp-15, 0x1.dfc31ba6d357bp-15, 0x1.d8508f3bc1894p-15, 0x1.d0f29fe9d1a97p-15, 0x1.c9a85e583e1a9p-15, 0x1.c270e8e28840ap-15, 0x1.bb4b6b1305478p-15, 0x1.b4371d2271dbep-15, 0x1.ad334378a7905p-15, 0x1.a63f2e327496cp-15, 0x1.9f5a38aa9632cp-15, 0x1.9883c904ba585p-15, 0x1.91bb4fbdfdb29p-15, 0x1.8b00473e69773p-15, 0x1.8452336f5a465p-15, 0x1.7db0a153992f6p-15, 0x1.771b26a32cf44p-15, 0x1.7091616afb51p-15, 0x1.6a12f7ad00254p-15, 0x1.639f9705c253bp-15, 0x1.5d36f45292c0dp-15, 0x1.56d8cb5c51a52p-15, 0x1.5084de82d209dp-15, 0x1.4a3af66d36e3bp-15, 0x1.43fae1ba96136p-15, 0x1.3dc474b6c0721p-15, 0x1.379789107d52fp-15, 0x1.3173fd92ec57dp-15, 0x1.2b59b5dfedec2p-15, 0x1.25489a2ec2178p-15, 0x1.1f40970a259c1p-15, 0x1.19419d146880fp-15, 0x1.134ba0c922491p-15, 0x1.0d5e9a44b062fp-15, 0x1.077a850bf0c44p-15, 0x1.019f5fd6258f5p-15, 0x1.f79a58b2c55e3p-16, 0x1.ec07de2e9623ep-16, 0x1.e0875e5be5e2fp-16, 0x1.d518ec50ad788p-16, 0x1.c9bc9fa30f1b4p-16, 0x1.be729414f20c9p-16, 0x1.b33ae93e17bc4p-16, 0x1.a815c23e1be79p-16, 0x1.9d03456f54d12p-16, 0x1.92039c1ccaaa6p-16, 0x1.8716f23ba3226p-16, 0x1.7c3d7626d2764p-16, 0x1.7177585ea6407p-16, 0x1.66c4cb49a7ff7p-16, 0x1.5c2602f907ef2p-16, 0x1.519b34ef744c1p-16, 0x1.472497ea8eba9p-16, 0x1.3cc263aeeff4bp-16, 0x1.3274d0d52b47dp-16, 0x1.283c189b21448p-16, 0x1.1e1874b648df1p-16, 0x1.140a1f2855d87p-16, 0x1.0a115215976cdp-16, 0x1.002e479f10547p-16, 0x1.ecc27378737b1p-17, 0x1.d954c42f75c2p-17, 0x1.c613f3dd3e0a4p-17, 0x1.b30073e045a4fp-17, 0x1.a01ab4411ef84p-17, 0x1.8d632377be485p-17, 0x1.7ada2e3850873p-17, 0x1.68803f40828dbp-17, 0x1.5655bf26a3e84p-17, 0x1.445b1430e1bb1p-17, 0x1.3290a22a4c6d9p-17, 0x1.20f6ca3b712fdp-17, 0x1.0f8deac8b20ddp-17, 0x1.fcacbe9e0d2fcp-18, 0x1.daa1008d58c55p-18, 0x1.b8f9460a6302cp-18, 0x1.97b633482aca5p-18, 0x1.76d865d44e007p-18, 0x1.5660746693888p-18, 0x1.364eeeba587f2p-18, 0x1.16a45d703a261p-18, 0x1.eec283cfbaaaap-19, 0x1.b10c2c4d15c64p-19, 0x1.7426997fadca7p-19, 0x1.3812a178ea999p-19, 0x1.f9a2163488479p-20, 0x1.84c51be3b1f57p-20, 0x1.118fa43d70c97p-20, 0x1.4005c122cb045p-21, 0x1.80ff18ba82543p-23, -0x1.f0c308fb97471p-23, -0x1.554a303c0b4e6p-21, -0x1.15858d1c964e1p-20, -0x1.7eb92a67352aap-20, -0x1.e63f79489d0fbp-20, -0x1.260c10f8325ffp-19, -0x1.582175a19a59ap-19, -0x1.895fdd5a4846ep-19, -0x1.b9c74a0cac277p-19, -0x1.e957ccaf285afp-19, -0x1.0c08c2928c7e6p-18, -0x1.22fa510fc6b6ap-18, -0x1.3980b07930381p-18, -0x1.4f9c06b3eb5a6p-18, -0x1.654c80cecb218p-18, -0x1.7a9252e8b240dp-18, -0x1.8f6db815b5a3cp-18, -0x1.a3def24b7e4dbp-18, -0x1.b7e64a42b1d84p-18, -0x1.cb840f5cd6192p-18, -0x1.deb8978a47ce7p-18, -0x1.f1843f2920ef9p-18, -0x1.01f3b475afbdcp-17, -0x1.0af13edc69b54p-17, -0x1.13baf64749fa6p-17, -0x1.1c51153047ebdp-17, -0x1.24b3d8fcbb622p-17, -0x1.2ce381ecff424p-17, -0x1.34e0530c9d674p-17, -0x1.3caa922175b2dp-17, -0x1.4442879b0fa18p-17, -0x1.4ba87e828c8f3p-17, -0x1.52dcc4687409bp-17, -0x1.59dfa95465167p-17, -0x1.60b17fb3b9658p-17, -0x1.67529c4899371p-17, -0x1.6dc356193752p-17, -0x1.7404065e8007cp-17, -0x1.7a15087236aa7p-17, -0x1.7ff6b9bd4b373p-17, -0x1.85a979a7bdc27p-17, -0x1.8b2da987cdbf9p-17, -0x1.9083ac90079c5p-17, -0x1.95abe7be90db1p-17, -0x1.9aa6c1cb7adb6p-17, -0x1.9f74a318d4644p-17, -0x1.a415f5a251fa1p-17, -0x1.a88b24ea94995p-17, -0x1.acd49ded253eap-17, -0x1.b0f2cf0c79dcdp-17, -0x1.b4e62801a93a7p-17, -0x1.b8af19cc9da17p-17, -0x1.bc4e16a47b70bp-17, -0x1.bfc391e76926cp-17, -0x1.c310000b522edp-17, -0x1.c633d68d6b2f9p-17, -0x1.c92f8be3751bbp-17, -0x1.cc03976d91d0bp-17, -0x1.ceb071660c21ap-17, -0x1.d13692d30b504p-17, -0x1.d3967578df49dp-17, -0x1.d5d093ca4612ep-17, -0x1.d7e568dab23ffp-17, -0x1.d9d570513cedbp-17, -0x1.dba1265aa9eeap-17, -0x1.dd49079bb4078p-17, -0x1.decd9123b3f6dp-17, -0x1.e02f406008997p-17, -0x1.e16e930ee92e4p-17, -0x1.e28c073371c4fp-17, -0x1.e3881b08f1725p-17, -0x1.e4634cf74a558p-17, -0x1.e51e1b86dce1cp-17, -0x1.e5b905540b64ep-17, -0x1.e63489058cb04p-17, -0x1.e691253f82181p-17, -0x1.e6cf589a3ed83p-17, -0x1.e6efa19767c5bp-17, -0x1.e6f27e9620e3fp-17, -0x1.e6d86dca0a1b7p-17, -0x1.e6a1ed3138893p-17, -0x1.e64f7a8b1d97cp-17, -0x1.e5e1934d91131p-17, -0x1.e558b49c750cp-17, -0x1.e4b55b41c2f0ap-17, -0x1.e3f803a2cdd42p-17, -0x1.e32129b84b342p-17, -0x1.e2314907212dep-17, -0x1.e128dc97420ffp-17, -0x1.e0085eecae714p-17, -0x1.ded049ff9957cp-17, -0x1.dd811733930ddp-17, -0x1.dc1b3f52ad6b5p-17, -0x1.da9f3a85734f8p-17, -0x1.d90d804be2127p-17, -0x1.d76687771b6ddp-17, -0x1.d5aac6240811fp-17, -0x1.d3dab1b434448p-17, -0x1.d1f6bec7b2c92p-17, -0x1.cfff6138130cbp-17, -0x1.cdf50c130dd1p-17, -0x1.cbd8319546058p-17, -0x1.c9a94324ce895p-17, -0x1.c768b14c417c9p-17, -0x1.c516ebb6353d8p-17, -0x1.c2b4612947475p-17, -0x1.c0417f830b291p-17, -0x1.bdbeb3b4845c1p-17, -0x1.bb2c69bde6323p-17, -0x1.b88b0cab13708p-17, -0x1.b5db06900c9e6p-17, -0x1.b31cc08504faep-17, -0x1.b050a2a3343c8p-17, -0x1.ad771402b5cfep-17, -0x1.aa907ab730cc7p-17, -0x1.a79d3bcd08d1ep-17, -0x1.a49dbb4649b8bp-17, -0x1.a1925c18cd6edp-17, -0x1.9e7b802c2c813p-17, -0x1.9b598857428fcp-17, -0x1.982cd45ead83ap-17, -0x1.94f5c2f21128dp-17, -0x1.91b4b1abc2271p-17, -0x1.8e69fd0e06b9cp-17, -0x1.8b160081f6749p-17, -0x1.87b91656a4f99p-17, -0x1.845397c008f29p-17, -0x1.80e5dcd572a23p-17, -0x1.7d703c914f5c5p-17, -0x1.79f30ccfdc9e4p-17, -0x1.766ea24e6f972p-17, -0x1.72e350ab7245fp-17, -0x1.6f516a662cb62p-17, -0x1.6bb940ddb04bdp-17, -0x1.681b2450b980ap-17, -0x1.647763dea2004p-17, -0x1.60ce4d86887c9p-17, -0x1.5d202e2702db2p-17, -0x1.596d517f5860ap-17, -0x1.55b6022f6aa25p-17, -0x1.51fa89b811c1ep-17, -0x1.4e3b307ba4787p-17, -0x1.4a783dbe7eb18p-17, -0x1.46b1f7a7b822dp-17, -0x1.42e8a341d9987p-17, -0x1.3f1c847bcbe62p-17, -0x1.3b4dde29e07fcp-17, -0x1.377cf2069ffdcp-17, -0x1.33aa00b37654cp-17, -0x1.2fd549ba9195bp-17, -0x1.2bff0b8fc557fp-17, -0x1.282783919cafbp-17, -0x1.244eee0a920b7p-17, -0x1.2075863304de5p-17, -0x1.1c9b86324d761p-17, -0x1.18c127206541cp-17, -0x1.14e6a1074e18ep-17, -0x1.110c2ae49cf6ep-17, -0x1.0d31faab4d7dap-17, }}, 
      {{0x1.394e295269166p-1, 0x1.38bfd95fcac9ep-1, 0x1.37d38e4cff398p-1, 0x1.368a99249f3b9p-1, 0x1.34e6c600e203ep-1, 0x1.32ea51a1c14f6p-1, 0x1.3097dd8644207p-1, 0x1.2df2632ea4be2p-1, 0x1.2afd2711ecbf5p-1, 0x1.27bbabb49a15fp-1, 0x1.2431a532c50d3p-1, 0x1.2062ed78c10f1p-1, 0x1.1c537951d6bf9p-1, 0x1.18074e6532c52p-1, 0x1.13827a2d0e8cep-1, 0x1.0ec909eae8113p-1, 0x1.09df0394b5696p-1, 0x1.04c85fb201f85p-1, 0x1.ff120838bd1dfp-2, 0x1.f4497f2854949p-2, 0x1.e93e8c32ae145p-2, 0x1.ddf85bee106b1p-2, 0x1.d27ddae19c468p-2, 0x1.c6d5b201016a3p-2, 0x1.bb064428a4379p-2, 0x1.af15ac7b178c5p-2, 0x1.a309bd82b4f85p-2, 0x1.96e800fc511eap-2, 0x1.8ab5b83242c23p-2, 0x1.7e77dcd13636dp-2, 0x1.7233222288d51p-2, 0x1.65ebf699f928dp-2, 0x1.59a685a699792p-2, 0x1.4d66b9b8bbb0bp-2, 0x1.41303e705efd2p-2, 0x1.350682e93baap-2, 0x1.28ecbc1af8875p-2, 0x1.1ce5e7456caa3p-2, 0x1.10f4cc61fa13ap-2, 0x1.051c00941cb6ap-2, 0x1.f2bbd1287591cp-3, 0x1.db79762124e17p-3, 0x1.c4750601de4efp-3, 0x1.adb243d4be697p-3, 0x1.9734a421a329ap-3, 0x1.80ff5129d0e27p-3, 0x1.6b152ef9b3e0ap-3, 0x1.5578df4f1098ap-3, 0x1.402cc552a5ef3p-3, 0x1.2b330924e703bp-3, 0x1.168d9b3de7c0cp-3, 0x1.023e37a0f04fp-3, 0x1.dc8cd1c9529bfp-4, 0x1.b54f1621dbf9ap-4, 0x1.8ec59ca7717f4p-4, 0x1.68f2731d587c5p-4, 0x1.43d7597dd41a8p-4, 0x1.1f75c68201a02p-4, 0x1.f79dd7cb2ce1ep-5, 0x1.b1c774d474b73p-5, 0x1.6d69cb3c8b89dp-5, 0x1.2a85ced52e6afp-5, 0x1.d2380dacc1205p-6, 0x1.52592858687c8p-6, 0x1.aadcdda034ebep-7, 0x1.6ddab2deccefp-8, -0x1.b8ffd3515f87ep-10, -0x1.1f501e3fa6598p-7, -0x1.00d4a09d8568cp-6, -0x1.6f1957b37d466p-6, -0x1.da7a60518b0f6p-6, -0x1.217e321c59718p-5, -0x1.545241a3352eep-5, -0x1.85bc260e892cbp-5, -0x1.b5beda9179ea2p-5, -0x1.e45d8ae8ec979p-5, -0x1.08cdc8146f831p-4, -0x1.1ebe36d673596p-4, -0x1.3401e714d337cp-4, -0x1.489ac06ea4ef5p-4, -0x1.5c8abb6eaafc8p-4, -0x1.6fd3e04020868p-4, -0x1.82784570be74ap-4, -0x1.947a0ebf62aa3p-4, -0x1.a5db6bf6d0e38p-4, -0x1.b69e97d41101bp-4, -0x1.c6c5d6f81816p-4, -0x1.d65376e43213p-4, -0x1.e549cd010b3eep-4, -0x1.f3ab35afe51cep-4, -0x1.00bd09b2e2dcbp-3, -0x1.075c66e82f4p-3, -0x1.0db4e88235a1fp-3, -0x1.13c7c65aa4333p-3, -0x1.199639bad49dbp-3, -0x1.1f217d008997fp-3, -0x1.246acb4700c7dp-3, -0x1.2973601442f63p-3, -0x1.2e3c770a8afecp-3, -0x1.32c74b9db64abp-3, -0x1.371518cca9b8fp-3, -0x1.3b2718de7d37cp-3, -0x1.3efe852367057p-3, -0x1.429c95b946edcp-3, -0x1.46028153af36ap-3, -0x1.49317d075e097p-3, -0x1.4c2abc18f8bbcp-3, -0x1.4eef6fcf01ec6p-3, -0x1.5180c746de7afp-3, -0x1.53dfef4cd51efp-3, -0x1.560e1236e56dcp-3, -0x1.580c57c2659bp-3, -0x1.59dbe4f43e7b5p-3, -0x1.5b7ddbfbab673p-3, -0x1.5cf35c1768e17p-3, -0x1.5e3d817d32563p-3, -0x1.5f5d65436ca52p-3, -0x1.60541d4cf044ap-3, -0x1.6122bc36ca886p-3, -0x1.61ca5147e6352p-3, -0x1.624be8627670fp-3, -0x1.62a889f71ec86p-3, -0x1.62e13af9a5449p-3, -0x1.62f6fcd73053cp-3, -0x1.62eacd6de64c9p-3, -0x1.62bda705e944dp-3, -0x1.6270804b8b2a7p-3, -0x1.62044c4aaf91cp-3, -0x1.6179fa6b41b65p-3, -0x1.60d2766eb25d1p-3, -0x1.600ea86e679bfp-3, -0x1.5f2f74db08879p-3, -0x1.5e35bc7ca062cp-3, -0x1.5d225c7380ad8p-3, -0x1.5bf62e39d7865p-3, -0x1.5ab207a5e9a6fp-3, -0x1.5956baece64f2p-3, -0x1.57e516a6462a8p-3, -0x1.565de5cfad45dp-3, -0x1.54c1efd1403f1p-3, -0x1.5311f88267689p-3, -0x1.514ec02ef38ffp-3, -0x1.4f79039c9c7c5p-3, -0x1.4d917c10d21c8p-3, -0x1.4b98df56d7979p-3, -0x1.498fdfc620564p-3, -0x1.47772c48ed426p-3, -0x1.454f70631c29bp-3, -0x1.431954392da99p-3, -0x1.40d57c9774728p-3, -0x1.3e848af96ec4p-3, -0x1.3c271d9140744p-3, -0x1.39bdcf4f51083p-3, -0x1.374937ea042edp-3, -0x1.34c9ebe58f43ap-3, -0x1.32407c9bdea62p-3, -0x1.2fad784495751p-3, -0x1.2d1169fd20a31p-3, -0x1.2a6cd9d0d2d7ap-3, -0x1.27c04cc1164d2p-3, -0x1.250c44cda4d7bp-3, -0x1.225140fcd2642p-3, -0x1.1f8fbd63da1b2p-3, -0x1.1cc8332f39969p-3, -0x1.19fb18ab107d8p-3, -0x1.1728e14b88eb5p-3, -0x1.1451fdb547c1ep-3, -0x1.1176dbc5debdep-3, -0x1.0e97e69c43d27p-3, -0x1.0bb586a151503p-3, -0x1.08d02190452b8p-3, -0x1.05e81a7f4589ap-3, -0x1.02fdd1e7e8d29p-3, -0x1.0011a5afbf854p-3, -0x1.fa47e261bf9cep-4, -0x1.f46a1a84eb09cp-4, -0x1.ee8aa082a0c75p-4, -0x1.e8aa1c30f29b9p-4, -0x1.e2c9309382d2fp-4, -0x1.dce87becaec77p-4, -0x1.d70897ceb5e36p-4, -0x1.d12a192ce96f3p-4, -0x1.cb4d906cc743dp-4, -0x1.c57389772edfcp-4, -0x1.bf9c8bc98322ap-4, -0x1.b9c91a86cf8d3p-4, -0x1.b3f9b488e83a7p-4, -0x1.ae2ed4718b9aep-4, -0x1.a868f0bb761d1p-4, -0x1.a2a87bcb80646p-4, -0x1.9cede401a4deap-4, -0x1.973993ca0f8dap-4, -0x1.918bf1ae174c6p-4, -0x1.8be560653b201p-4, -0x1.86463ee60d103p-4, -0x1.80aee87717307p-4, -0x1.7b1fb4bfb2c5p-4, -0x1.7598f7d8d3f72p-4, -0x1.701b025dc7774p-4, -0x1.6aa6217ce1b1bp-4, -0x1.653a9f081da79p-4, -0x1.5fd8c185ab3dbp-4, -0x1.5a80cc406b6d7p-4, -0x1.5532ff585a833p-4, -0x1.4fef97d2e4061p-4, -0x1.4ab6cfab22eaap-4, -0x1.4588dde20a8dfp-4, -0x1.4065f68e792afp-4, -0x1.3b4e4aed2f933p-4, -0x1.36420970b1ae5p-4, -0x1.31415dd109c6p-4, -0x1.2c4c711b7221fp-4, -0x1.276369c1defa4p-4, -0x1.22866baa6c706p-4, -0x1.1db5983eacdep-4, -0x1.18f10e7ad610fp-4, -0x1.1438eafcce55bp-4, -0x1.0f8d481317068p-4, -0x1.0aee3dcb93ebbp-4, -0x1.065be2022eb87p-4, -0x1.01d6486f55c3p-4, -0x1.fabb056ca812p-5, -0x1.f1e340e7071cap-5, -0x1.e9255e94aff29p-5, -0x1.e08175e681724p-5, -0x1.d7f79a92c4037p-5, -0x1.cf87dcb04993fp-5, -0x1.c73248d13652cp-5, -0x1.bef6e81d7607ep-5, -0x1.b6d5c06cd8c25p-5, -0x1.aeced460d5cd1p-5, -0x1.a6e2237df6afp-5, -0x1.9f0faa44e7639p-5, -0x1.9757624b2abebp-5, -0x1.8fb9425371941p-5, -0x1.88353e6595afp-5, -0x1.80cb47e636256p-5, -0x1.797b4dadf6131p-5, -0x1.72453c205985dp-5, -0x1.6b28fd424639ap-5, -0x1.642678d020c37p-5, -0x1.5d3d94538bcap-5, -0x1.566e3338c406ep-5, -0x1.4fb836e39d47ep-5, -0x1.491b7ec41bddep-5, -0x1.4297e86ab01adp-5, -0x1.3c2d4f9c0ab85p-5, -0x1.35db8e6494b58p-5, -0x1.2fa27d2b8564bp-5, -0x1.2981f2c592163p-5, -0x1.2379c48744bf2p-5, -0x1.1d89c656ea205p-5, -0x1.17b1cabe23befp-5, -0x1.11f1a2fb1974dp-5, -0x1.0c491f11487d4p-5, -0x1.06b80dd9f7068p-5, -0x1.013e3d14448b6p-5, -0x1.f7b6f2e9bf805p-6, -0x1.ed1f1d6aba4bfp-6, -0x1.e2b48f465f5a1p-6, -0x1.d876dc5c8ff16p-6, -0x1.ce6596eea676cp-6, -0x1.c4804fbb48731p-6, -0x1.bac696197cb5ap-6, -0x1.b137f81315c41p-6, -0x1.a7d4027e64a07p-6, -0x1.9e9a411740902p-6, -0x1.958a3e976498ap-6, -0x1.8ca384ce176e2p-6, -0x1.83e59cb737df1p-6, -0x1.7b500e91989f8p-6, -0x1.72e261f4b81e5p-6, -0x1.6a9c1de5dabbp-6, -0x1.627cc8ec7c182p-6, -0x1.5a83e92629d7ap-6, -0x1.52b10459bbc97p-6, -0x1.4b03a009f41bp-6, -0x1.437b41878b0cdp-6, -0x1.3c176e029c52fp-6, -0x1.34d7aa9b8bf26p-6, -0x1.2dbb7c73526a5p-6, -0x1.26c268bb3fa6p-6, -0x1.1febf4c42b906p-6, -0x1.1937a60d2478fp-6, -0x1.12a5025192248p-6, -0x1.0c338f96d1c1ep-6, -0x1.05e2d43956057p-6, -0x1.ff64adf280527p-7, -0x1.f3433e0d06d0ap-7, -0x1.e760681909c86p-7, -0x1.dbbb3c7a93143p-7, -0x1.d052ccb855dfep-7, -0x1.c5262b90302a9p-7, -0x1.ba346d0ad0bc1p-7, -0x1.af7ca68e764acp-7, -0x1.a4fdeef0db865p-7, -0x1.9ab75e8850077p-7, -0x1.90a80f3bfb53bp-7, -0x1.86cf1c935f118p-7, -0x1.7d2ba3c508f27p-7, -0x1.73bcc3c48f0f7p-7, -0x1.6a819d4fc46cap-7, -0x1.617952fb3d91p-7, -0x1.58a3093e25323p-7, -0x1.4ffde67d4ea86p-7, -0x1.47891315b8b0dp-7, -0x1.3f43b9665c9bep-7, -0x1.372d05d95720ap-7, -0x1.2f4426ec7f62cp-7, -0x1.27884d395ef02p-7, -0x1.1ff8ab7c97844p-7, -0x1.1894769cb7d61p-7, -0x1.115ae5b081688p-7, -0x1.0a4b3204ae24ep-7, -0x1.0364972128844p-7, -0x1.f94ca59b93f7ep-8, -0x1.ec1f4a2d31473p-8, -0x1.df3fa09f25704p-8, -0x1.d2ac3230010afp-8, -0x1.c6638cbaa85a6p-8, -0x1.ba6442bb42477p-8, -0x1.aeaceb534c163p-8, -0x1.a33c224ced6c4p-8, -0x1.9810881d6db1ap-8, -0x1.8d28c1e70990cp-8, -0x1.82837979fa6c6p-8, -0x1.781f5d54d5832p-8, -0x1.6dfb20a443508p-8, -0x1.64157b4207922p-8, -0x1.5a6d29b3780f8p-8, -0x1.5100ed2752186p-8, -0x1.47cf8b72fda54p-8, -0x1.3ed7cf0f50f64p-8, -0x1.36188714b5b8ap-8, -0x1.2d908736e4e7ep-8, -0x1.253ea7c018319p-8, -0x1.1d21c58bc83a1p-8, -0x1.1538c200fd1aep-8, -0x1.0d82830c2d714p-8, -0x1.05fdf318be022p-8, -0x1.fd5402141beb1p-9, -0x1.ef0b406878d85p-9, -0x1.e11f90a912101p-9, -0x1.d38eeb12a3521p-9, -0x1.c6575093bf7ecp-9, -0x1.b976cabb9f72fp-9, -0x1.aceb6ba86d282p-9, -0x1.a0b34df5153c2p-9, -0x1.94cc94a682ba6p-9, -0x1.89356b187bc0ep-9, -0x1.7dec04e9f1698p-9, -0x1.72ee9de90442dp-9, -0x1.683b79fe862fp-9, -0x1.5dd0e5192ce1ep-9, -0x1.53ad331884c29p-9, -0x1.49cebfb77695fp-9, -0x1.4033ee768c6cep-9, -0x1.36db2a85f393dp-9, -0x1.2dc2e6af532a3p-9, -0x1.24e99d3f53e96p-9, -0x1.1c4dcfeef6617p-9, -0x1.13ee07ccdc436p-9, -0x1.0bc8d5263558bp-9, -0x1.03dccf6fbb1d7p-9, -0x1.f8512a5cedbf4p-10, -0x1.e95597c0e3d4bp-10, -0x1.dac43fcaa879ap-10, -0x1.cc9a88cdc9b75p-10, -0x1.bed5e68320a66p-10, -0x1.b173d9d9ceb06p-10, -0x1.a471f0c80b87cp-10, -0x1.97cdc61c0d04ap-10, -0x1.8b85014ce3c02p-10, -0x1.7f95564b97dbdp-10, -0x1.73fc8553edf81p-10, -0x1.68b85abdc9ca2p-10, -0x1.5dc6aece357fep-10, -0x1.53256588dada6p-10, -0x1.48d26e81a3b11p-10, -0x1.3ecbc4ae5292fp-10, -0x1.350f6e38877dfp-10, -0x1.2b9b7c4fdd5b8p-10, -0x1.226e0afc5bee7p-10, -0x1.198540f1256c8p-10, -0x1.10df4f5f5903bp-10, -0x1.087a71c95752cp-10, -0x1.0054edd639361p-10, -0x1.f0da264b9b601p-11, -0x1.e18276493c3edp-11, -0x1.d29f91c135caap-11, -0x1.c42e51bbc00bfp-11, -0x1.b62ba1d809735p-11, -0x1.a8947ff770003p-11, -0x1.9b65fbe99bd07p-11, -0x1.8e9d37192e86cp-11, -0x1.8237643974c0cp-11, -0x1.7631c6f4ea8a6p-11, -0x1.6a89b39c6ec8bp-11, -0x1.5f3c8ed784dc6p-11, -0x1.5447cd553490ap-11, -0x1.49a8f37e2057p-11, -0x1.3f5d9527151bbp-11, -0x1.35635544d9a1fp-11, -0x1.2bb7e5a0d84dp-11, -0x1.2259068e7acd5p-11, -0x1.194486a19c5a5p-11, -0x1.10784265e85c1p-11, -0x1.07f2241736692p-11, -0x1.ff6046b56caafp-12, -0x1.ef6089f1f00efp-12, -0x1.dfe135327e6f7p-12, -0x1.d0de84faca8e8p-12, -0x1.c254ce7ddb8f9p-12, -0x1.b4407f19e4935p-12, -0x1.a69e1bd6152dep-12, -0x1.996a40e2544e2p-12, -0x1.8ca1a118a03b9p-12, -0x1.80410580e9226p-12, -0x1.74454cd6129cp-12, -0x1.68ab6b0d4dffap-12, -0x1.5d7068df72f43p-12, -0x1.52916353bd25cp-12, -0x1.480b8b4cc9165p-12, -0x1.3ddc251744e2p-12, -0x1.340087fa97293p-12, -0x1.2a761dcb1fcf8p-12, -0x1.213a627eb92fep-12, -0x1.184ae3c270f79p-12, -0x1.0fa54092acb24p-12, -0x1.074728d4a01c2p-12, -0x1.fe5cb9e3e1fe6p-13, -0x1.eeb15aeb54441p-13, -0x1.df87f556abcebp-13, -0x1.d0dc687f601bep-13, -0x1.c2aab1c5dc39ep-13, -0x1.b4eeebd9ee6c4p-13, -0x1.a7a54e0627e8ep-13, -0x1.9aca2b7f57b9fp-13, -0x1.8e59f2b5eb1cap-13, -0x1.82512cac64503p-13, -0x1.76ac7c4f49e5ep-13, -0x1.6b689dd1d8bd5p-13, -0x1.6082660ccfbb4p-13, -0x1.55f6c1e0cf893p-13, -0x1.4bc2b59bbd58bp-13, -0x1.41e35c6131adp-13, -0x1.3855e795f4f78p-13, -0x1.2f179e4eb2901p-13, -0x1.2625dcc12060cp-13, -0x1.1d7e13b8521e9p-13, -0x1.151dc80c634a1p-13, -0x1.0d02921bc31fbp-13, -0x1.052a1d48cfe94p-13, -0x1.fb244ef1fd426p-14, -0x1.ec71012e95e88p-14, -0x1.de361432a79fdp-14, -0x1.d06f6d0d9dd5cp-14, -0x1.c3191207fcd6fp-14, -0x1.b62f29bcd1a1dp-14, -0x1.a9adfa381b57cp-14, -0x1.9d91e81b1ad36p-14, -0x1.91d775c46fed2p-14, -0x1.867b427d6c889p-14, -0x1.7b7a09ac3f33ep-14, -0x1.70d0a20b1ccd5p-14, -0x1.667bfce2ed6fcp-14, -0x1.5c79254ba4408p-14, -0x1.52c53f70a8a6dp-14, -0x1.495d87d8fdb2fp-14, -0x1.403f52b4e8436p-14, -0x1.37680b2e7f80ep-14, -0x1.2ed532bf35874p-14, -0x1.26846089695cep-14, -0x1.1e7340b58cf1cp-14, -0x1.169f93d32a46ap-14, -0x1.0f072e3f2dda1p-14, -0x1.07a7f78b364c3p-14, -0x1.007fe9eb6e15bp-14, -0x1.f31a234cf0429p-15, -0x1.e59b1911c06e6p-15, -0x1.d87f12ba4893bp-15, -0x1.cbc28ecc0f2d1p-15, -0x1.bf622bba22f9ep-15, -0x1.b35aa6e7325cp-15, -0x1.a7a8dbaf79272p-15, -0x1.9c49c27894c42p-15, -0x1.913a6fc777387p-15, -0x1.8678135bb3fe6p-15, -0x1.7bfff75314141p-15, -0x1.71cf7f501379fp-15, -0x1.67e427a848f3dp-15, -0x1.5e3b849711d1fp-15, -0x1.54d341772df31p-15, -0x1.4ba91fff8389cp-15, -0x1.42baf787e098fp-15, -0x1.3a06b450bac61p-15, -0x1.318a56d0e6c9cp-15, -0x1.2943f3081a4bep-15, -0x1.2131afd61bb56p-15, -0x1.1951c656fd474p-15, -0x1.11a2814332a9bp-15, -0x1.0a223c55a26cbp-15, -0x1.02cf63b459febp-15, -0x1.f750e6be284b7p-16, -0x1.e957ed408249ap-16, -0x1.dbb10f0857397p-16, -0x1.ce599ca5eb21ap-16, -0x1.c14f021bc1b6p-16, -0x1.b48ec5e4797adp-16, -0x1.a81687fd10c46p-16, -0x1.9be400f7ff29ap-16, -0x1.8ff5011660862p-16, -0x1.84476f68e6376p-16, -0x1.78d948f6d36d6p-16, -0x1.6da89fed52b61p-16, -0x1.62b39ad212488p-16, -0x1.57f873bfe366fp-16, -0x1.4d7577a741313p-16, -0x1.43290593e938cp-16, -0x1.39118dfb9207p-16, -0x1.2f2d920efeec4p-16, -0x1.257ba31266068p-16, -0x1.1bfa61bb26ba5p-16, -0x1.12a87d91a36bap-16, -0x1.0984b45a02c88p-16, -0x1.008dd180a9ae1p-16, -0x1.ef855b16495cep-17, -0x1.de445b1ef33bdp-17, -0x1.cd56855ceb517p-17, -0x1.bcb9d3263e5bep-17, -0x1.ac6c53ed246p-17, -0x1.9c6c2c50db16dp-17, -0x1.8cb7953568a59p-17, -0x1.7d4cdae34b7abp-17, -0x1.6e2a5c3095369p-17, -0x1.5f4e89af33704p-17, -0x1.50b7e4e6216e3p-17, -0x1.4264ff8c680c7p-17, -0x1.34547ad213425p-17, -0x1.268506a90818ep-17, -0x1.18f561198365ep-17, -0x1.0ba45599f34fcp-17, -0x1.fd2178dc55a1ap-18, -0x1.e372f418e7437p-18, -0x1.ca3afd10c6076p-18, -0x1.b1778a06e31ebp-18, -0x1.9926a64592c19p-18, -0x1.814671164e3e3p-18, -0x1.69d51cc23b0f1p-18, -0x1.52d0ed9da9983p-18, -0x1.3c38391aca016p-18, -0x1.260964ea0d0c9p-18, -0x1.1042e62008188p-18, -0x1.f5c680cd2c829p-19, -0x1.cbd20a668175p-19, -0x1.a2a5a6158e1f7p-19, -0x1.7a3ea99338f25p-19, -0x1.529a81e5ba25bp-19, -0x1.2bb6b2133c6fbp-19, -0x1.0590d1e04f93cp-19, -0x1.c04d193708b56p-20, -0x1.76eb3ff24917p-20, -0x1.2ef7b5f45814bp-20, -0x1.d0dc737e68bbdp-21, -0x1.469550b439039p-21, -0x1.7e23ed9ba9e8ap-22, -0x1.d254751c313dap-24, 0x1.1f223358f42a2p-23, 0x1.8e5da3a83570cp-22, 0x1.43ef8ae02bd7dp-21, 0x1.be11d9c59dbf6p-21, 0x1.1ace5d37975dcp-20, 0x1.554b82caec3b2p-20, 0x1.8e83b9a273e65p-20, 0x1.c67a4ea4d009ap-20, 0x1.fd3280be65e4bp-20, 0x1.1957c0fa9191ep-19, 0x1.337a3c37590f3p-19, 0x1.4d023fb3ba9abp-19, 0x1.65f1540c31645p-19, 0x1.7e48fd4ae382bp-19, 0x1.960abb4da9f6p-19, 0x1.ad380a248bcc7p-19, 0x1.c3d2627273645p-19, 0x1.d9db39bc872b9p-19, 0x1.ef5402bc215f7p-19, 0x1.021f16d4badc4p-18, 0x1.0c4d943fccb9dp-18, 0x1.16362f9ebdf82p-18, 0x1.1fd99e10a897ep-18, 0x1.293893efa9868p-18, 0x1.3253c4eac2bf1p-18, 0x1.3b2be41c64827p-18, 0x1.43c1a4214e785p-18, 0x1.4c15b72b1d6efp-18, 0x1.5428cf129a8ecp-18, 0x1.5bfb9d680cf72p-18, 0x1.638ed38132f82p-18, 0x1.6ae32286df111p-18, 0x1.71f93b8049cedp-18, 0x1.78d1cf5c8eb68p-18, 0x1.7f6d8efd5415ap-18, 0x1.85cd2b3cc0e61p-18, 0x1.8bf154f4688eep-18, 0x1.91dabd0312f44p-18, 0x1.978a14509bb1p-18, 0x1.9d000bd136886p-18, 0x1.a23d5487b9f28p-18, 0x1.a7429f87202fdp-18, 0x1.ac109df32210bp-18, 0x1.b0a800ff5debbp-18, 0x1.b50979efbbebdp-18, 0x1.b935ba157ea55p-18, 0x1.bd2d72cd80defp-18, 0x1.c0f1557d91f4fp-18, 0x1.c482138ffd92fp-18, 0x1.c7e05e70b19d6p-18, 0x1.cb0ce7882438fp-18, 0x1.ce08603615369p-18, 0x1.d0d379ccef77bp-18, 0x1.d36ee58b61c38p-18, 0x1.d5db54966a9dcp-18, 0x1.d81977f34e7edp-18, 0x1.da2a0080114bcp-18, 0x1.dc0d9eed3ddd4p-18, 0x1.ddc503b67dbb1p-18, 0x1.df50df1aac418p-18, 0x1.e0b1e114cb761p-18, 0x1.e1e8b953f9334p-18, 0x1.e2f6173327ccbp-18, 0x1.e3daa9b1f1be5p-18, 0x1.e4971f6b76f92p-18, 0x1.e52c268eea3e1p-18, 0x1.e59a6cd6c97f4p-18, 0x1.e5e29f80c9d26p-18, 0x1.e6056b4562d4bp-18, 0x1.e6037c4f35bd8p-18, 0x1.e5dd7e3314688p-18, 0x1.e5941be797f79p-18, 0x1.e527ffbc91b1ep-18, 0x1.e499d352f2a3bp-18, 0x1.e3ea3f947abfcp-18, 0x1.e319ecaba360cp-18, 0x1.e22981fb93e15p-18, 0x1.e119a6181a3d3p-18, 0x1.dfeafebdca51dp-18, 0x1.de9e30ca39f17p-18, 0x1.dd33e03454e29p-18, 0x1.dbacb004d77f3p-18, 0x1.da09424ed5b89p-18, 0x1.d84a382890373p-18, 0x1.d67031a42f8a2p-18, 0x1.d47bcdc8e7f71p-18, 0x1.d26daa8c0e972p-18, 0x1.d04664caa85f6p-18, 0x1.ce069842512p-18, 0x1.cbaedf8b58a5dp-18, 0x1.c93fd412ceda8p-18, 0x1.c6ba0e13e995fp-18, 0x1.c41e24928efdp-18, 0x1.c16cad5597d1ep-18, 0x1.bea63ce14edfp-18, 0x1.bbcb66722ce97p-18, 0x1.b8dcbbf7baf8fp-18, 0x1.b5dace0fc758ap-18, 0x1.b2c62c012ff2bp-18, 0x1.af9f63b7f1821p-18, 0x1.ac6701c06d011p-18, 0x1.a91d9143021f4p-18, 0x1.a5c39c00850f2p-18, 0x1.a259aa4e8961cp-18, 0x1.9ee0431325b4p-18, 0x1.9b57ebc1a72adp-18, 0x1.97c12857dc8b3p-18, 0x1.941c7b5a705c9p-18, 0x1.906a65d20b5cdp-18, 0x1.8cab6748deb7dp-18, 0x1.88dffdc7f8589p-18, 0x1.8508a5d4deff9p-18, 0x1.8125da6f81a59p-18, 0x1.7d3815100a554p-18, 0x1.793fcda51912p-18, 0x1.753d7a9274ebap-18, 0x1.713190ae6bd72p-18, 0x1.6d1c83420ea22p-18, 0x1.68fec406b9b9dp-18, 0x1.64d8c325d5779p-18, 0x1.60aaef3796c55p-18, 0x1.5c75b54237a8fp-18, 0x1.583980b9d7459p-18, 0x1.53f6bb7fc1f8p-18, 0x1.4fadcde2478b2p-18, 0x1.4b5f1e9c9e1bdp-18, 0x1.470b12d71d78cp-18, 0x1.42b20e2702e51p-18, 0x1.3e54728f0b963p-18, 0x1.39f2a07ff78f3p-18, 0x1.358cf6d8ce39fp-18, 0x1.3123d2e7d56a8p-18, 0x1.2cb7906b5ee18p-18, 0x1.28488992945d1p-18, 0x1.23d716fea7646p-18, 0x1.1f638fc42b71fp-18, 0x1.1aee496bdb638p-18, 0x1.167797f4dfb3cp-18, 0x1.11ffcdd580e49p-18, 0x1.0d873bfd0a91ep-18, 0x1.090e31d5b525dp-18, 0x1.0494fd46681p-18, 0x1.001beab46e70cp-18, 0x1.f7468a0b267b8p-19, 0x1.ee56ab449e8bcp-19, 0x1.e568c8f0162fep-19, 0x1.dc7d6ff62d193p-19, 0x1.d3952a5241ba5p-19, 0x1.cab07f17fffb9p-19, 0x1.c1cff277f3726p-19, 0x1.b8f405c3dda47p-19, 0x1.b01d377544af4p-19, 0x1.a74c0331ec21ep-19, 0x1.9e80e1d21cbcdp-19, 0x1.95bc4965a39c7p-19, 0x1.8cfead3ac5c1dp-19, 0x1.84487de2357dep-19, 0x1.7b9a2937129b9p-19, 0x1.72f41a641029dp-19, 0x1.6a56b9e9c574ap-19, 0x1.61c26da50f22p-19, 0x1.593798d5c06fbp-19, 0x1.50b69c24d7ed1p-19, 0x1.483fd5ab12bf3p-19, 0x1.3fd3a0f7a4359p-19, 0x1.37725716a3029p-19, 0x1.2f1c4e9884cf7p-19, 0x1.26d1db983be75p-19, 0x1.1e934fc2b237cp-19, 0x1.1660fa5d22ef5p-19, 0x1.0e3b284cc838ep-19, 0x1.0622241dba03ap-19, 0x1.fc2c6c130e154p-20, 0x1.ec2f47fe0b74bp-20, 0x1.dc4d635229fd4p-20, 0x1.cc8740ecc904ep-20, 0x1.bcdd5f3f74428p-20, 0x1.ad50385f7c5f5p-20, 0x1.9de042150c194p-20, 0x1.8e8dede97153bp-20, 0x1.7f59a93492061p-20, 0x1.7043dd2d039eap-20, 0x1.614ceef637418p-20, 0x1.52753fae82491p-20, 0x1.43bd2c7e91f2ep-20, 0x1.35250ea8b7d8bp-20, 0x1.26ad3b9648f6dp-20, 0x1.185604e65ea4bp-20, 0x1.0a1fb87cc679cp-20, 0x1.f8154121e217p-21, 0x1.dc2e0778f11f1p-21, 0x1.c08a4a123ea91p-21, 0x1.a52a87fe7c97cp-21, 0x1.8a0f396a207c7p-21, 0x1.6f38cfb8c2204p-21, 0x1.54a7b5a28666p-21, 0x1.3a5c4f5191524p-21, 0x1.2056fa7b74d2ap-21, 0x1.06980e80b21e6p-21, 0x1.da3fb9112e995p-22, 0x1.a7dd5f38a89dep-22, 0x1.760999843dd07p-22, 0x1.44c4e6356b8acp-22, 0x1.140fb7fb3bff3p-22, 0x1.c7d4ec4a7c20ap-23, 0x1.68aaf9b132612p-23, 0x1.0aa23a96d9275p-23, 0x1.5b7677e93af34p-24, 0x1.47d9d6d0b4a51p-25, -0x1.15769c216434p-28, -0x1.88abd2f18bd6p-25, -0x1.750e1d374b342p-24, -0x1.11bfdaa4e32fap-23, -0x1.67d543fd3bb36p-23, -0x1.bcc74868119a6p-23, -0x1.084afbef24632p-22, -0x1.31a0ba13cd79dp-22, -0x1.5a64f83e9288cp-22, -0x1.8297d89133bd2p-22, -0x1.aa39858235d79p-22, -0x1.d14a31acc0ab8p-22, -0x1.f7ca17a105a9cp-22, -0x1.0edcbcdbcad4dp-21, -0x1.218c50eeb87adp-21, -0x1.33f3f0b3e77e4p-21, -0x1.4613c8735f6efp-21, -0x1.57ec07fd000f5p-21, -0x1.697ce29001aacp-21, -0x1.7ac68ec58f532p-21, -0x1.8bc9467b06094p-21, -0x1.9c8546bd3b393p-21, -0x1.acfacfb11f5efp-21, -0x1.bd2a2480411a9p-21, }}, 
      {{0x1.396dd7eada927p-1, 0x1.393e5c694bda7p-1, 0x1.38ef672a38b1ep-1, 0x1.38813c2c517a1p-1, 0x1.37f438e81b6a1p-1, 0x1.3748d2c010f29p-1, 0x1.367f952d5b7e2p-1, 0x1.35991fbf21339p-1, 0x1.349623ffc9424p-1, 0x1.3377635084e83p-1, 0x1.323dacc83a728p-1, 0x1.30e9db201a013p-1, 0x1.2f7cd2b58bbfbp-1, 0x1.2df77fa7076e6p-1, 0x1.2c5ad40f9e5aep-1, 0x1.2aa7c6638e90fp-1, 0x1.28df4fef0ddbp-1, 0x1.27026b779b128p-1, 0x1.251213ff6aa9fp-1, 0x1.230f43a9fd6b7p-1, 0x1.20faf2c08f37cp-1, 0x1.1ed616d4c13b6p-1, 0x1.1ca1a1ffafd3fp-1, 0x1.1a5e823b8e9a4p-1, 0x1.180da0d5cfe9ep-1, 0x1.15afe1f7dd767p-1, 0x1.134624446da75p-1, 0x1.10d140879229ep-1, 0x1.0e520977ac6e7p-1, 0x1.0bc94b858d66cp-1, 0x1.0937ccba21911p-1, 0x1.069e4ca02139fp-1, 0x1.03fd84385d6a7p-1, 0x1.015625f75d04ap-1, 0x1.fd51bb96286d4p-2, 0x1.f7eca24f46578p-2, 0x1.f27e3e3433a0dp-2, 0x1.ed07c0c0ba20bp-2, 0x1.e78a4f0ab9bdfp-2, 0x1.e2070201beebfp-2, 0x1.dc7ee6b47949cp-2, 0x1.d6f2fe9ae3ccdp-2, 0x1.d1643fe416963p-2, 0x1.cbd395c6dc6c4p-2, 0x1.c641e0d433e8dp-2, 0x1.c0aff74b11b51p-2, 0x1.bb1ea56cbbd3bp-2, 0x1.b58eadd13d1adp-2, 0x1.b000c9bb73f72p-2, 0x1.aa75a96c5de91p-2, 0x1.a4edf47543d09p-2, 0x1.9f6a4a08842dfp-2, 0x1.99eb4148bff85p-2, 0x1.9471699635b32p-2, 0x1.8efd4ada2aa78p-2, 0x1.898f65d041462p-2, 0x1.8428344da9569p-2, 0x1.7ec82986170b2p-2, 0x1.796fb24e7ec6bp-2, 0x1.741f355d8cc7fp-2, 0x1.6ed71389db5e1p-2, 0x1.6997a805ecee3p-2, 0x1.64614899ef805p-2, 0x1.5f3445db55b4ep-2, 0x1.5a10eb6251e2cp-2, 0x1.54f77ffd4101bp-2, 0x1.4fe845e214531p-2, 0x1.4ae37addca816p-2, 0x1.45e958820d51bp-2, 0x1.40fa1450fd94p-2, 0x1.3c15dfe749794p-2, 0x1.373ce92493053p-2, 0x1.326f5a524799ap-2, 0x1.2dad5a48ebae9p-2, 0x1.28f70c93f3c8dp-2, 0x1.244c91943b65fp-2, 0x1.1fae06a1277f6p-2, 0x1.1b1b862883284p-2, 0x1.169527cd2af23p-2, 0x1.121b00848e923p-2, 0x1.0dad22b31ace5p-2, 0x1.094b9e4795d27p-2, 0x1.04f680d57d4ecp-2, 0x1.00add5ae6cfb5p-2, 0x1.f8e34bf53f0dap-3, 0x1.f083f1a117681p-3, 0x1.e83da6975af5cp-3, 0x1.e0107145062f9p-3, 0x1.d7fc547785bf4p-3, 0x1.d0014f85ad334p-3, 0x1.c81f5e7740a8bp-3, 0x1.c0567a2b24c5ep-3, 0x1.b8a6987c3c0ep-3, 0x1.b10fac6501646p-3, 0x1.a991a621eeb26p-3, 0x1.a22c7352adeep-3, 0x1.9adfff1a3187ep-3, 0x1.93ac323dac56fp-3, 0x1.8c90f3427c5ap-3, 0x1.858e268b0d983p-3, 0x1.7ea3ae72bd098p-3, 0x1.77d16b68c6167p-3, 0x1.71173c0a3b8f6p-3, 0x1.6a74fd3b1cd29p-3, 0x1.63ea8a3e863fp-3, 0x1.5d77bcce06a1ep-3, 0x1.571c6d301d22bp-3, 0x1.50d8724decdfep-3, 0x1.4aaba1c82398cp-3, 0x1.4495d00b1d116p-3, 0x1.3e96d0624cdd9p-3, 0x1.38ae750ae86a2p-3, 0x1.32dc8f45e7436p-3, 0x1.2d20ef694aa2dp-3, 0x1.277b64f0c78a3p-3, 0x1.21ebbe8dc5586p-3, 0x1.1c71ca36c0ad2p-3, 0x1.170d553611bb5p-3, 0x1.11be2c382177cp-3, 0x1.0c841b590b02ap-3, 0x1.075eee31adafcp-3, 0x1.024e6fe43dc1fp-3, 0x1.faa4d6509ee5dp-4, 0x1.f0d554acb6ccdp-4, 0x1.e72deee5ac16ap-4, 0x1.ddae38717d4b7p-4, 0x1.d455c447996bdp-4, 0x1.cb2424f439e6cp-4, 0x1.c218ecab075bep-4, 0x1.b933ad58cf1d6p-4, 0x1.b073f8b488c55p-4, 0x1.a7d9604f88b07p-4, 0x1.9f6375a50995cp-4, 0x1.9711ca28eef9cp-4, 0x1.8ee3ef55ee3a3p-4, 0x1.86d976bafff02p-4, 0x1.7ef1f2083b6fap-4, 0x1.772cf31b144cap-4, 0x1.6f8a0c0a030c1p-4, 0x1.6808cf2f9f54ep-4, 0x1.60a8cf3531443p-4, 0x1.59699f1cbc85cp-4, 0x1.524ad24a8fc15p-4, 0x1.4b4bfc8e56985p-4, 0x1.446cb22bb869ap-4, 0x1.3dac87e286d81p-4, 0x1.370b12f67e8a7p-4, 0x1.3087e936a101dp-4, 0x1.2a22a1042c724p-4, 0x1.23dad1593117cp-4, 0x1.1db011ceccfffp-4, 0x1.17a1faa30fb05p-4, 0x1.11b024be88204p-4, 0x1.0bda29b9841p-4, 0x1.061fa3e0fe72fp-4, 0x1.00802e3b474e5p-4, 0x1.f5f6c918c1a82p-5, 0x1.eb21c6b43346ep-5, 0x1.e0808fdfcad78p-5, 0x1.d61260c4ebbf3p-5, 0x1.cbd677262fb03p-5, 0x1.c1cc1265abc69p-5, 0x1.b7f2738ac6cf7p-5, 0x1.ae48dd47a65dbp-5, 0x1.a4ce93fe335e6p-5, 0x1.9b82ddc4bcddfp-5, 0x1.9265026a3e9dfp-5, 0x1.89744b7a4905bp-5, 0x1.80b0044097724p-5, 0x1.781779cc4e364p-5, 0x1.6fa9faf2eb8bdp-5, 0x1.6766d852ec2d1p-5, 0x1.5f4d6456211c8p-5, 0x1.575cf333c6187p-5, 0x1.4f94daf24d1ccp-5, 0x1.47f47368ebf87p-5, 0x1.407b1640e9d9ep-5, 0x1.39281ef6b0568p-5, 0x1.31faeadaa3194p-5, 0x1.2af2d911bddc8p-5, 0x1.240f4a95feac2p-5, 0x1.1d4fa2369aac4p-5, 0x1.16b3449801f7dp-5, 0x1.10399833b3fffp-5, 0x1.09e20557e46b1p-5, 0x1.03abf626f561bp-5, 0x1.fb2dad2d8c745p-6, 0x1.ef4428dfb35bcp-6, 0x1.e39a3e98a7e59p-6, 0x1.d82ed12da5a94p-6, 0x1.cd00c71246a71p-6, 0x1.c20f0a55a284dp-6, 0x1.b758889f2e76ap-6, 0x1.acdc332b59991p-6, 0x1.a298fec7f04c1p-6, 0x1.988de3d037c72p-6, 0x1.8eb9de28e2453p-6, 0x1.851bed3bb7315p-6, 0x1.7bb313f318d8p-6, 0x1.727e58b54b77fp-6, 0x1.697cc55f8de1p-6, 0x1.60ad67410726ap-6, 0x1.580f4f1581a8p-6, 0x1.4fa1910002346p-6, 0x1.476344852d39bp-6, 0x1.3f5384858b944p-6, 0x1.37716f37a95fp-6, 0x1.2fbc26220b3e9p-6, 0x1.2832ce1507878p-6, 0x1.20d48f247e50fp-6, 0x1.19a094a16b882p-6, 0x1.12960d1366b79p-6, 0x1.0bb42a31fe374p-6, 0x1.04fa20ddf9074p-6, 0x1.fcce5235071cfp-7, 0x1.eff4fc0c86078p-7, 0x1.e366bba89d9bbp-7, 0x1.d722138a33688p-7, 0x1.cb258c3e8d4eep-7, 0x1.bf6fb450d242ep-7, 0x1.b3ff203b6944ep-7, 0x1.a8d26a593c36p-7, 0x1.9de832d6d8e4cp-7, 0x1.933f1fa37fce8p-7, 0x1.88d5dc6205d7bp-7, 0x1.7eab1a59be756p-7, 0x1.74bd90672c236p-7, 0x1.6b0bfaecc5f6ap-7, 0x1.61951bc387b48p-7, 0x1.5857ba2b8e94bp-7, 0x1.4f52a2bc98757p-7, 0x1.4684a75689ac6p-7, 0x1.3dec9f11d4bap-7, 0x1.3589662fefa38p-7, 0x1.2d59de0bb5747p-7, 0x1.255ced09ce3a2p-7, 0x1.1d917e890ed5p-7, 0x1.15f682d2db9acp-7, 0x1.0e8aef0b8decfp-7, 0x1.074dbd22d987ep-7, 0x1.003debc438923p-7, 0x1.f2b4fc8eba9cdp-8, 0x1.e544f94157eb1p-8, 0x1.d829e6a3792f2p-8, 0x1.cb61e6b3cc8bep-8, 0x1.beeb244db251ep-8, 0x1.b2c3d30a829dbp-8, 0x1.a6ea2f22f2c4cp-8, 0x1.9b5c7d509a00fp-8, 0x1.90190aaf95122p-8, 0x1.851e2ca04f074p-8, 0x1.7a6a40a9650d7p-8, 0x1.6ffbac59c4825p-8, 0x1.65d0dd2add4b4p-8, 0x1.5be848630b574p-8, 0x1.52406af828618p-8, 0x1.48d7c9724fcddp-8, 0x1.3facefceca7d9p-8, 0x1.36be71633608bp-8, 0x1.2e0ae8c0d74f7p-8, 0x1.2590f79827e02p-8, 0x1.1d4f469c949f8p-8, 0x1.15448568730b4p-8, 0x1.0d6f6a61358abp-8, 0x1.05ceb29bd4f11p-8, 0x1.fcc24382e7f97p-9, 0x1.ee4b03e87fd48p-9, 0x1.e035476925ca9p-9, 0x1.d27ebb8c95a78p-9, 0x1.c5251a2cd2113p-9, 0x1.b8262941d8739p-9, 0x1.ab7fbaadd547ap-9, 0x1.9f2fac09e4874p-9, 0x1.9333e6734bb94p-9, 0x1.878a5e593f9a7p-9, 0x1.7c31134b2f323p-9, 0x1.71260fc793c18p-9, 0x1.6667690b4fb03p-9, 0x1.5bf33ee191341p-9, 0x1.51c7bb743f755p-9, 0x1.47e3131cf86p-9, 0x1.3e43843691a0ap-9, 0x1.34e756ef34702p-9, 0x1.2bccdd1aecc7ap-9, 0x1.22f27206e7181p-9, 0x1.1a567a4d18675p-9, 0x1.11f763a892b09p-9, 0x1.09d3a4ca51bddp-9, 0x1.01e9bd2ea2d01p-9, 0x1.f47069e61825fp-10, 0x1.e57b3959ac60dp-10, 0x1.d6f11a801efbbp-10, 0x1.c8cf4f6e5090fp-10, 0x1.bb132a362c7a9p-10, 0x1.adba0c981c3fap-10, 0x1.a0c167b571942p-10, 0x1.9426bbc4125aep-10, 0x1.87e797c31d7a5p-10, 0x1.7c019930ab6b1p-10, 0x1.70726bc0ade1bp-10, 0x1.6537c914dfeffp-10, 0x1.5a4f7875ba3b2p-10, 0x1.4fb74e8c93d06p-10, 0x1.456d2d1eb1a91p-10, 0x1.3b6f02c97d2cbp-10, 0x1.31bacabfbfe6dp-10, 0x1.284e8c87e2333p-10, 0x1.1f285bbb42429p-10, 0x1.164657c678b07p-10, 0x1.0da6abaabf93fp-10, 0x1.05478dc049d56p-10, 0x1.fa4e7ef33636cp-11, 0x1.ea881a4fd182bp-11, 0x1.db389b80de065p-11, 0x1.cc5cc54589e73p-11, 0x1.bdf16ec044ce3p-11, 0x1.aff3830743eb6p-11, 0x1.a26000b6efbd6p-11, 0x1.9533f986210b3p-11, 0x1.886c91dc4f83dp-11, 0x1.7c0700698ad4ep-11, 0x1.70008dc0461adp-11, 0x1.645693f116fd6p-11, 0x1.59067e27f0ad2p-11, 0x1.4e0dc84b7c6fbp-11, 0x1.4369fe9deaac7p-11, 0x1.3918bd5faa5c6p-11, 0x1.2f17b073c4e3cp-11, 0x1.25649305dbda1p-11, 0x1.1bfd2f31f80bap-11, 0x1.12df5dadcbccfp-11, 0x1.0a090573bf527p-11, 0x1.01781b6f8c46dp-11, 0x1.f25544589de79p-12, 0x1.e23d5308c02b3p-12, 0x1.d2a49ca524076p-12, 0x1.c3877449db1cep-12, 0x1.b4e245e221249p-12, 0x1.a6b19593d7323p-12, 0x1.98f1ff2e09303p-12, 0x1.8ba0359a2cf67p-12, 0x1.7eb902506e4eap-12, 0x1.723944ce9b5a7p-12, 0x1.661df211cb7d5p-12, 0x1.5a641412e94f5p-12, 0x1.4f08c945d2255p-12, 0x1.4409441aeabf6p-12, 0x1.3962ca83a003ep-12, 0x1.2f12b5792e7ebp-12, 0x1.2516708606a91p-12, 0x1.1b6b7951b7e9p-12, 0x1.120f5f2f2a703p-12, 0x1.08ffc2ad50f57p-12, 0x1.003a552a25b35p-12, 0x1.ef79b0d0391c4p-13, 0x1.df0a3c4b68b73p-13, 0x1.cf220f6e96a9ep-13, 0x1.bfbd0b465e14bp-13, 0x1.b0d72e7fd17d5p-13, 0x1.a26c94a9036e9p-13, 0x1.94797575ea2f3p-13, 0x1.86fa240982a4p-13, 0x1.79eb0e429689fp-13, 0x1.6d48bc0cd860cp-13, 0x1.610fceb5cfb5ep-13, 0x1.553d004568c8ap-13, 0x1.49cd22da8b80ep-13, 0x1.3ebd200b0afb2p-13, 0x1.3409f84786ca5p-13, 0x1.29b0c242beed9p-13, 0x1.1faeaa5c4229p-13, 0x1.1600f20eb79bep-13, 0x1.0ca4ef6147463p-13, 0x1.03980c5cc0ec9p-13, 0x1.f5af8d0698ceep-14, 0x1.e4c35c9808e42p-14, 0x1.d466cd421390cp-14, 0x1.c49548c2278fdp-14, 0x1.b54a5bc79de15p-14, 0x1.a681b5024161dp-14, 0x1.98372436ba2fdp-14, 0x1.8a6699587320dp-14, 0x1.7d0c23a94321fp-14, 0x1.7023f0de47b29p-14, 0x1.63aa4c4a0fd18p-14, 0x1.579b9e0c03e83p-14, 0x1.4bf46a44c5e33p-14, 0x1.40b1504fd7d48p-14, 0x1.35cf0a01b1da8p-14, 0x1.2b4a6aeb189f8p-14, 0x1.21205fa082ea9p-14, 0x1.174ded06c6175p-14, 0x1.0dd02fa3a09fbp-14, 0x1.04a45af32bb62p-14, 0x1.f78f7182133c1p-15, 0x1.e66f510c895aap-15, 0x1.d5e33d95fbedfp-15, 0x1.c5e64918795ddp-15, 0x1.b673ad4b63915p-15, 0x1.a786ca7e2cecfp-15, 0x1.991b267ba663fp-15, 0x1.8b2c6b733324fp-15, 0x1.7db666ea5d119p-15, 0x1.70b508b5487f7p-15, 0x1.642461f548ab1p-15, 0x1.5800a41ebc4bap-15, 0x1.4c46200599851p-15, 0x1.40f144f01ff39p-15, 0x1.35fe9fafd814fp-15, 0x1.2b6ad9c0985f2p-15, 0x1.2132b86ddfa17p-15, 0x1.17531bfd97441p-15, 0x1.0dc8fee0f6956p-15, 0x1.049174eaa0ebap-15, 0x1.f7535514c2a69p-16, 0x1.e61dc81c921f6p-16, 0x1.d57cf9d16cddap-16, 0x1.c56bcdf78584cp-16, 0x1.b5e553d2f07cfp-16, 0x1.a6e4c4d181f24p-16, 0x1.9865833ec5403p-16, 0x1.8a6319005413fp-16, 0x1.7cd9365be1625p-16, 0x1.6fc3b0c53adf8p-16, 0x1.631e81b5ecff8p-16, 0x1.56e5c58bf400cp-16, 0x1.4b15ba71f13bfp-16, 0x1.3faabf4dae8a7p-16, 0x1.34a152b81e041p-16, 0x1.29f611fb4f324p-16, 0x1.1fa5b8190c094p-16, 0x1.15ad1cd79dc6cp-16, 0x1.0c0933d61508dp-16, 0x1.02b70ba7682bbp-16, 0x1.f36799e7776f7p-17, 0x1.e1f97341a0b4p-17, 0x1.d11e580002e1ap-17, 0x1.c0d12c06b8562p-17, 0x1.b10d00ee7f007p-17, 0x1.a1cd14870e9aep-17, 0x1.930ccf61af9f2p-17, 0x1.84c7c368f5e0ep-17, 0x1.76f9aa828a7eep-17, 0x1.699e653b0aee2p-17, 0x1.5cb1f97cae62cp-17, 0x1.5030914f5c08bp-17, 0x1.441679a2bbacfp-17, 0x1.38602122234dap-17, 0x1.2d0a171067234p-17, 0x1.22110a2daf34bp-17, 0x1.1771c7a5bc31bp-17, 0x1.0d293a05d2d44p-17, 0x1.0334683c5f1e2p-17, 0x1.f320e93dc6be1p-18, 0x1.e07537f183c01p-18, 0x1.ce60694305227p-18, 0x1.bcdd5b33588b5p-18, 0x1.abe71b5f05b8ep-18, 0x1.9b78e5552943p-18, 0x1.8b8e20fa7adb4p-18, 0x1.7c2260fc3e441p-18, 0x1.6d31614d97c77p-18, 0x1.5eb705b1f8393p-18, 0x1.50af585388eefp-18, 0x1.4316886598408p-18, 0x1.35e8e8d1c60f4p-18, 0x1.2922eef056a54p-18, 0x1.1cc1314c2c7a1p-18, 0x1.10c0666f65453p-18, 0x1.051d63bbe2459p-18, 0x1.f3aa38970654ap-19, 0x1.ddc93fb85fe36p-19, 0x1.c8923386a7f72p-19, 0x1.b3ff9fd62dc24p-19, 0x1.a00c43b036fb6p-19, 0x1.8cb30f70e7134p-19, 0x1.79ef22f0c2a68p-19, 0x1.67bbcbc452a93p-19, 0x1.5614838666292p-19, 0x1.44f4ee3299918p-19, 0x1.3458d8905878dp-19, 0x1.243c36a9029bcp-19, 0x1.149b224daf2c8p-19, 0x1.0571d9a80f465p-19, 0x1.ed797bb3e3496p-20, 0x1.d0f0a351bd0d5p-20, 0x1.b542706983fb3p-20, 0x1.9a68677506586p-20, 0x1.805c48c73929bp-20, 0x1.67180e3c1cff8p-20, 0x1.4e95e8fe74a9ap-20, 0x1.36d03f6573c4bp-20, 0x1.1fc1aae46fcf5p-20, 0x1.0964f60993d26p-20, 0x1.e76a352f673dp-21, 0x1.bd5a7f572c105p-21, 0x1.94916fe70350fp-21, 0x1.6d05fff12a15p-21, 0x1.46af78f0bfb63p-21, 0x1.2185719c18f45p-21, 0x1.faff95a4cd1e8p-22, 0x1.b52d595edfa96p-22, 0x1.71850764f2cacp-22, 0x1.2ff7fc0d137c3p-22, 0x1.e0f02375c2604p-23, 0x1.65ef37b98a61fp-23, 0x1.dda5884d59aeap-24, 0x1.ee04dbe27c10dp-25, 0x1.7c3a8f519d91ap-28, -0x1.808d4630b9cf3p-25, -0x1.914ac85317264p-24, -0x1.2dbacf4262815p-23, -0x1.8f794926d0356p-23, -0x1.edf5d9f7d93abp-23, -0x1.24a271527885dp-22, -0x1.50bd11e09f3edp-22, -0x1.7b5461f834df9p-22, -0x1.a471ab108c7c5p-22, -0x1.cc1defcc2eae7p-22, -0x1.f261eed0c95b2p-22, -0x1.0ba312c488009p-21, -0x1.1d69696431f64p-21, -0x1.2e87fca766ecp-21, -0x1.3f02b11c6a894p-21, -0x1.4edd4fa5bdc5ep-21, -0x1.5e1b86970c568p-21, -0x1.6cc0eac8d08b1p-21, -0x1.7ad0f89a5d8f2p-21, -0x1.884f14ec82083p-21, -0x1.953e8e10e68dfp-21, -0x1.a1a29caf3cb01p-21, -0x1.ad7e649df0b3bp-21, -0x1.b8d4f5b289a3cp-21, -0x1.c3a94c8cdbc09p-21, -0x1.cdfe53547dd48p-21, -0x1.d7d6e270cd1dbp-21, -0x1.e135c135b7718p-21, -0x1.ea1da68d01a2ep-21, -0x1.f29139937e279p-21, -0x1.fa931231640bep-21, -0x1.0112dcd554c57p-20, -0x1.04a5d59562695p-20, -0x1.0803aa24b31d7p-20, -0x1.0b2d8ac381943p-20, -0x1.0e24a1633fa7p-20, -0x1.10ea11dff8dcep-20, -0x1.137efa3621859p-20, -0x1.15e472b6eff06p-20, -0x1.181b8e39a1f5ap-20, -0x1.1a255a4b0bd0ap-20, -0x1.1c02df5af7ceep-20, -0x1.1db520e638e7cp-20, -0x1.1f3d1da0199d3p-20, -0x1.209bcf98b1a6bp-20, -0x1.21d22c62159dap-20, -0x1.22e125332baf1p-20, -0x1.23c9a70819cbdp-20, -0x1.248c9ac332aafp-20, -0x1.252ae54b33a79p-20, -0x1.25a567a703e7ap-20, -0x1.25fcff19b412p-20, -0x1.2632853c4eda6p-20, -0x1.2646d015cd652p-20, -0x1.263ab233352c3p-20, -0x1.260efabc9938fp-20, -0x1.25c4758b0569p-20, -0x1.255beb3c212b3p-20, -0x1.24d621458872ep-20, -0x1.2433da06949b2p-20, -0x1.2375d4d959387p-20, -0x1.229cce232d9ffp-20, -0x1.21a97f640173p-20, -0x1.209c9f4490ef8p-20, -0x1.1f76e1a43740dp-20, -0x1.1e38f7a6e6dcbp-20, -0x1.1ce38fc128e54p-20, -0x1.1b7755c406a32p-20, -0x1.19f4f2e8bf1e1p-20, -0x1.185d0ddb78261p-20, -0x1.16b04ac501dbfp-20, -0x1.14ef4b5548517p-20, -0x1.131aaecbf1135p-20, -0x1.11331201402dep-20, -0x1.0f390f6f1fc95p-20, -0x1.0d2d3f3898db7p-20, -0x1.0b103731da783p-20, -0x1.08e28ae78c1f7p-20, -0x1.06a4cba5b6348p-20, -0x1.0457887ea34f7p-20, -0x1.01fb4e513b205p-20, -0x1.ff214f9dcd9a9p-21, -0x1.fa303b039dcafp-21, -0x1.f5246ba55fe7p-21, -0x1.effeea1c38214p-21, -0x1.eac0bad3eb898p-21, -0x1.e56ade15a6c28p-21, -0x1.dffe5010d3593p-21, -0x1.da7c08e5a8c0cp-21, -0x1.d4e4fcae611ffp-21, -0x1.cf3a1b87c8543p-21, -0x1.c97c5199f6c42p-21, -0x1.c3ac872291e28p-21, -0x1.bdcba07b2642bp-21, -0x1.b7da7e22d96p-21, -0x1.b1d9fcc68ff18p-21, -0x1.abcaf5483543ep-21, -0x1.a5ae3cc6b6a9cp-21, -0x1.9f84a4a61635ap-21, -0x1.994efa9737203p-21, -0x1.930e089e6e82dp-21, -0x1.8cc2951bd666fp-21, -0x1.866d62d2b01abp-21, -0x1.800f30f0776e1p-21, -0x1.79a8bb141b4b4p-21, -0x1.733ab955c9e19p-21, -0x1.6cc5e04ddbc3dp-21, -0x1.664ae11be0b0bp-21, -0x1.5fca696e01714p-21, -0x1.5945238832728p-21, -0x1.52bbb64b3bf0ep-21, -0x1.4c2ec53c13c52p-21, -0x1.459ef08b46a38p-21, -0x1.3f0cd51b9caaep-21, -0x1.38790c89d01e2p-21, -0x1.31e42d33bfc28p-21, -0x1.2b4eca3fbefccp-21, -0x1.24b973a3576e2p-21, -0x1.1e24b62b1a6dp-21, -0x1.17911b824c71cp-21, -0x1.10ff2a391d813p-21, -0x1.0a6f65cd43f2p-21, -0x1.03e24eb0ef9d2p-21, -0x1.fab0c4a441552p-22, -0x1.eda43644e52b5p-22, -0x1.e09fe13d30331p-22, -0x1.d3a4aeab3740ep-22, -0x1.c6b381e1805fp-22, -0x1.b9cd3876c2cc8p-22, -0x1.acf2aa54693dfp-22, -0x1.a024a9c60ad76p-22, -0x1.9364038a0a605p-22, -0x1.86b17edf21ca9p-22, -0x1.7a0ddd95f895dp-22, -0x1.6d79dc1fb80c8p-22, -0x1.60f6319d88da5p-22, -0x1.54838ff0e9d92p-22, -0x1.4822a3cbc3fecp-22, -0x1.3bd414bf4b27bp-22, -0x1.2f98854ca7704p-22, -0x1.237092f45c329p-22, -0x1.175cd646fb84cp-22, -0x1.0b5de2f4c5044p-22, -0x1.fee88fb9df8b5p-23, -0x1.e7411e3cee615p-23, -0x1.cfc67c51c76a6p-23, -0x1.b879ab94b3822p-23, -0x1.a15ba4820b6c8p-23, -0x1.8a6d5697c0f2fp-23, -0x1.73afa8721a88p-23, -0x1.5d2377ee502c3p-23, -0x1.46c99a49e774p-23, -0x1.30a2dc41f87e7p-23, -0x1.1ab002362d8acp-23, -0x1.04f1c845ca3dbp-23, -0x1.ded1c4e1d4129p-24, -0x1.b42bf96e7cf4fp-24, -0x1.89f37673fb389p-24, -0x1.602974b5cef3ap-24, -0x1.36cf1db54f73ep-24, -0x1.0de58bf4f0f12p-24, -0x1.cadb966f8a398p-25, -0x1.7ad1b1783497cp-25, -0x1.2baf46f652722p-25, -0x1.baec31af21b8ep-26, -0x1.204f9af23d235p-26, -0x1.0f17c093fb9a5p-27, 0x1.eb839c33e7a8dp-31, 0x1.48cb5ed000188p-27, 0x1.378e5d6419e5ap-26, 0x1.c8d3df43a6be7p-26, 0x1.2c1a0f687f9cep-25, 0x1.72d69b23883fap-25, 0x1.b89eb7aef1439p-25, 0x1.fd71a138e3a9ap-25, 0x1.20a7555eaf84p-24, 0x1.421a9ecd52a4dp-24, 0x1.63126c8cfd079p-24, 0x1.838e88ff25e61p-24, 0x1.a38ec90895e1dp-24, 0x1.c3130bd731bccp-24, 0x1.e21b3aab441a7p-24, 0x1.0053a44f6d45bp-23, 0x1.0f5b99370d428p-23, 0x1.1e257f1fc23a1p-23, 0x1.2cb15db84e37ep-23, 0x1.3aff412f1a855p-23, 0x1.490f3a1628807p-23, 0x1.56e15d4a82092p-23, 0x1.6475c3d97926ep-23, 0x1.71cc8ae697d87p-23, 0x1.7ee5d39212dcep-23, 0x1.8bc1c2deceba5p-23, 0x1.9860819949822p-23, 0x1.a4c23c3ff1d3ap-23, 0x1.b0e722e7e29cfp-23, 0x1.bccf6926e8d8fp-23, 0x1.c87b45fb878fcp-23, 0x1.d3eaf3b368c75p-23, 0x1.df1eafd4fbf44p-23, 0x1.ea16bb08335e1p-23, 0x1.f4d358ffc0cbbp-23, 0x1.ff54d061ff2cep-23, 0x1.04cdb5594fe6cp-22, 0x1.09d3ba1e9f0efp-22, 0x1.0ebc9dff74004p-22, 0x1.138889c815ebp-22, 0x1.1837a787f5f4ap-22, 0x1.1cca2287f822cp-22, 0x1.2140273f8c5dp-22, 0x1.2599e34aaaca5p-22, 0x1.29d7855f79f0dp-22, 0x1.2df93d4510747p-22, 0x1.31ff3bc8ee7bp-22, 0x1.35e9b2b67259ep-22, 0x1.39b8d4cc7bf17p-22, 0x1.3d6cd5b48c7fcp-22, 0x1.4105e9f975ec8p-22, 0x1.448446fe6564fp-22, 0x1.47e822f5cf87bp-22, 0x1.4b31b4d8edd52p-22, 0x1.4e61345f62672p-22, 0x1.5176d9f6aeec7p-22, 0x1.5472deb99495ap-22, 0x1.57557c682ddb6p-22, 0x1.5a1eed600246dp-22, 0x1.5ccf6c93df312p-22, 0x1.5f6735848aa63p-22, 0x1.61e68438e578p-22, 0x1.644d95365bb8ap-22, 0x1.669ca579b0834p-22, 0x1.68d3f26fbbf01p-22, 0x1.6af3b9ee7f45p-22, 0x1.6cfc3a2e263ddp-22, 0x1.6eedb1c266687p-22, 0x1.70c85f93cfbfcp-22, 0x1.728c82d8f94dp-22, 0x1.743a5b10637d2p-22, 0x1.75d227fa61d6ep-22, 0x1.77542992a9615p-22, 0x1.78c0a00a9182ap-22, 0x1.7a17cbc331d38p-22, 0x1.7b59ed4768e28p-22, 0x1.7c8745461115fp-22, 0x1.7da0148cd4a81p-22, 0x1.7ea49c02ba9e3p-22, 0x1.7f951ca31a208p-22, 0x1.8071d7784058cp-22, 0x1.813b0d965243dp-22, 0x1.81f1001660524p-22, 0x1.8293f011f6164p-22, 0x1.83241e9e22d2dp-22, 0x1.83a1ccc6eee08p-22, 0x1.840d3b8af1d07p-22, 0x1.8466abd6f99f7p-22, 0x1.84ae5e81fd8b5p-22, 0x1.84e49448843f7p-22, 0x1.85098dc8c8784p-22, 0x1.851d8b7efab43p-22, 0x1.8520cdc186956p-22, 0x1.851394bd3d839p-22, 0x1.84f62071a6332p-22, 0x1.84c8b0ad6ceap-22, 0x1.848b850b333afp-22, 0x1.843edcee0ae62p-22, 0x1.83e2f77e60c98p-22, 0x1.837813a6d1af4p-22, 0x1.82fe70111eed7p-22, 0x1.82764b232cb55p-22, 0x1.81dfe2fc3db89p-22, 0x1.813b7572260b4p-22, 0x1.8089400e6ecddp-22, 0x1.7fc9800c20c8cp-22, 0x1.7efc725507e86p-22, 0x1.7e22537f5a561p-22, 0x1.7d3b5fcb394a1p-22, 0x1.7c47d3209b793p-22, 0x1.7b47e90d1a748p-22, 0x1.7a3bdcc1c0094p-22, 0x1.7923e910fb49ap-22, 0x1.7800486cec491p-22, 0x1.76d134e544da5p-22, 0x1.7596e8259785dp-22, 0x1.74519b736f296p-22, 0x1.730187acc4ab5p-22, 0x1.71a6e54670116p-22, 0x1.7041ec4aa8cf8p-22, 0x1.6ed2d4578702dp-22, 0x1.6d59d49da3923p-22, 0x1.6bd723dea9179p-22, 0x1.6a4af86c341abp-22, }}, 
      {{-0x1.768af6136fd17p-8, -0x1.6eb525d9d6571p-7, -0x1.096ec3fa98d8ap-6, -0x1.5082d252792a6p-6, -0x1.89b4aeea012ccp-6, -0x1.b2aecdbb8e9a1p-6, -0x1.c9af94b56bce7p-6, -0x1.cd883f0e333f9p-6, -0x1.bd9560dcd1176p-6, -0x1.99b305fa133a6p-6, -0x1.622e19c7f41f3p-6, -0x1.17b47069d7049p-6, -0x1.7688f12cd6ab6p-7, -0x1.38755515c6358p-8, 0x1.7280ec6795b6fp-9, 0x1.70de0f72a13b8p-7, 0x1.4e92e4df56e5cp-6, 0x1.ef02543071791p-6, 0x1.4c0034264a17dp-5, 0x1.a3ea4266dc018p-5, 0x1.fe686feecba04p-5, 0x1.2d55f0dfe5df6p-4, 0x1.5bf7eb41cc1f6p-4, 0x1.8abd9a8e37f74p-4, 0x1.b950d4d65dd7ep-4, 0x1.e762301672a04p-4, 0x1.0a549ab495e7fp-3, 0x1.20723861fd1a3p-3, 0x1.35ecb1a6c4a26p-3, 0x1.4aaa2ee57a97ep-3, 0x1.5e94240528aa5p-3, 0x1.71972ccf03929p-3, 0x1.83a2e3d7d1ebfp-3, 0x1.94a9b595af01ap-3, 0x1.a4a0b104e46d1p-3, 0x1.b37f5705c349ep-3, 0x1.c13f6969f521p-3, 0x1.cddcba797c429p-3, 0x1.d954fd8ef1f85p-3, 0x1.e3a79946ce031p-3, 0x1.ecd57b9e88459p-3, 0x1.f4e0f0463c273p-3, 0x1.fbcd7950ebdd8p-3, 0x1.00cfd52ea821fp-2, 0x1.032e8320d3316p-2, 0x1.0505ef9c7fc5p-2, 0x1.06599cc35ff65p-2, 0x1.072d583edaf7p-2, 0x1.07852ee95451bp-2, 0x1.0765618f29852p-2, 0x1.06d25ab819f4bp-2, 0x1.05d0a569100cp-2, 0x1.0464e4cdf4282p-2, 0x1.0293ccbb3e2cdp-2, 0x1.00621af7479fdp-2, 0x1.fba92277c66d6p-3, 0x1.f5dfdfc2daba9p-3, 0x1.ef71e24a813f9p-3, 0x1.e86889fca1ad1p-3, 0x1.e0cd1ae707db1p-3, 0x1.d8a8b6d07edbcp-3, 0x1.d00457a8dce62p-3, 0x1.c6e8cabc54539p-3, 0x1.bd5eac97b5dafp-3, 0x1.b36e658d00f84p-3, 0x1.a92026c8eccd3p-3, 0x1.9e7be7eb5b013p-3, 0x1.93896515ef1cdp-3, 0x1.88501d651f3bcp-3, 0x1.7cd751c8fc04p-3, 0x1.7126043414823p-3, 0x1.6542f717860adp-3, 0x1.5934ad2420a8p-3, 0x1.4d01694954a95p-3, 0x1.40af2eeb19121p-3, 0x1.3443c248c7954p-3, 0x1.27c4a90f36739p-3, 0x1.1b372b111a138p-3, 0x1.0ea05320eb306p-3, 0x1.0204f00825c72p-3, 0x1.ead32b2ffa14ap-4, 0x1.d1a53b9ff2f68p-4, 0x1.b888542e98f96p-4, 0x1.9f84490bd29afp-4, 0x1.86a0827578e54p-4, 0x1.6de3ff791b0e4p-4, 0x1.555558c6b28f8p-4, 0x1.3cfac3904ad85p-4, 0x1.24da1472f6faap-4, 0x1.0cf8c265cf961p-4, 0x1.eab7d3580f69dp-5, 0x1.bc109d8ed8896p-5, 0x1.8e04c2d1da9a9p-5, 0x1.609c7eba25102p-5, 0x1.33df6ee4e0af9p-5, 0x1.07d498b0ea516p-5, 0x1.b904ddd441a93p-6, 0x1.63ddaebfa6894p-6, 0x1.103e60c80ef91p-6, 0x1.7c6158c6bf753p-7, 0x1.b6f541c0da7bcp-8, 0x1.eec1c9487e338p-10, -0x1.71e024f35297cp-9, -0x1.e6d40f1280a68p-8, -0x1.86f345fbea2fcp-7, -0x1.0b856c83e3ba6p-6, -0x1.51d4a97f47378p-6, -0x1.9664591eb0042p-6, -0x1.d93227ed7c19p-6, -0x1.0d1e33b5e3654p-5, -0x1.2cc102f38602ap-5, -0x1.4b8143498b0b8p-5, -0x1.695efcf15b525p-5, -0x1.865a7b0fd1a9ep-5, -0x1.a274482056732p-5, -0x1.bdad2a7eb11dap-5, -0x1.d806210f16921p-5, -0x1.f1806003e9e61p-5, -0x1.050ea6e04ed81p-4, -0x1.10ef3fec8e49ap-4, -0x1.1c62dc168f1a1p-4, -0x1.276a710f627d5p-4, -0x1.320707f1ef47bp-4, -0x1.3c39bbf88fccbp-4, -0x1.4603b93f57df1p-4, -0x1.4f663b92af34dp-4, -0x1.58628d49eadc6p-4, -0x1.60fa062d8eae4p-4, -0x1.692e0a68e358bp-4, -0x1.7100098690f8bp-4, -0x1.78717d77e4b6cp-4, -0x1.7f83e9a674b1cp-4, -0x1.8638da0fcfb81p-4, -0x1.8c91e26aebec2p-4, -0x1.92909d57033ccp-4, -0x1.9836ab93939fep-4, -0x1.9d85b34139b41p-4, -0x1.a27f5f2b18babp-4, -0x1.a7255e188dc64p-4, -0x1.ab796226e9d98p-4, -0x1.af7d202ae0d08p-4, -0x1.b3324f1981458p-4, -0x1.b69aa77861e1p-4, -0x1.b9b7e2d4d4965p-4, -0x1.bc8bbb41d2639p-4, -0x1.bf17eadc772p-4, -0x1.c15e2b56bc6acp-4, -0x1.c36035885e9f9p-4, -0x1.c51fc1058788cp-4, -0x1.c69e83bb327fep-4, -0x1.c7de3190fe565p-4, -0x1.c8e07c1052a3p-4, -0x1.c9a7121079758p-4, -0x1.ca339f67c6101p-4, -0x1.ca87cca14d828p-4, -0x1.caa53eb740fc3p-4, -0x1.ca8d96d1a8bdp-4, -0x1.ca4272093e8e7p-4, -0x1.c9c5692e7252cp-4, -0x1.c918109449802p-4, -0x1.c83bf7def2d3cp-4, -0x1.c732a9d60ab87p-4, -0x1.c5fdac3a4f48dp-4, -0x1.c49e7f9e9efc6p-4, -0x1.c3169f443e79fp-4, -0x1.c16780fa263bp-4, -0x1.bf9294ff38552p-4, -0x1.bd9945e765738p-4, -0x1.bb7cf8837397ep-4, -0x1.b93f0bcb64e12p-4, -0x1.b6e0d8cb5b288p-4, -0x1.b463b292e3583p-4, -0x1.b1c8e6267e43dp-4, -0x1.af11ba73653fbp-4, -0x1.ac3f7045603e7p-4, -0x1.a953423e94d3cp-4, -0x1.a64e64d13c853p-4, -0x1.a332063b3b5f3p-4, -0x1.9fff4e83593b5p-4, -0x1.9cb75f783659cp-4, -0x1.995b54b0c4973p-4, -0x1.95ec438e3ddb6p-4, -0x1.926b3b3f9030bp-4, -0x1.8ed944c61577ep-4, -0x1.8b3762fb98d5ep-4, -0x1.878692998cd32p-4, -0x1.83c7ca4169bc5p-4, -0x1.7ffbfa861b752p-4, -0x1.7c240df67678dp-4, -0x1.7840e928a1bd7p-4, -0x1.74536ac665fd5p-4, -0x1.705c6b9a5752bp-4, -0x1.6c5cbe9dc922bp-4, -0x1.685531077fd9ap-4, -0x1.64468a5b13cf7p-4, -0x1.60318c78fa977p-4, -0x1.5c16f3af27143p-4, -0x1.57f776ca3b352p-4, -0x1.53d3c7273a4ddp-4, -0x1.4fac90c5b5b08p-4, -0x1.4b827a5a670ffp-4, -0x1.4756256231168p-4, -0x1.43282e357a6a6p-4, -0x1.3ef92c1bdc411p-4, -0x1.3ac9b1601bb82p-4, -0x1.369a4b6464717p-4, -0x1.326b82b6bd98p-4, -0x1.2e3ddb25b215ep-4, -0x1.2a11d3d5233p-4, -0x1.25e7e75340134p-4, -0x1.21c08bad9afp-4, -0x1.1d9c328655d55p-4, -0x1.197b492961d7cp-4, -0x1.155e38a1c78b3p-4, -0x1.114565cef875ap-4, -0x1.0d31317a1fcdbp-4, -0x1.0921f86b6e1efp-4, -0x1.0518137f5f208p-4, -0x1.0113d7bbef5bdp-4, -0x1.fa2b2ccb82ee8p-5, -0x1.f23b3a2a5c152p-5, -0x1.ea586b96732d3p-5, -0x1.e2834e0cd984dp-5, -0x1.dabc67af1980fp-5, -0x1.d30437ec5ffb8p-5, -0x1.cb5b37aa550fp-5, -0x1.c3c1d96da5041p-5, -0x1.bc3889822cb56p-5, -0x1.b4bfae22cc3bep-5, -0x1.ad57a7a0d1cfap-5, -0x1.a600d08b00bbdp-5, -0x1.9ebb7dd42c4f3p-5, -0x1.9787fef964519p-5, -0x1.90669e27ac4f7p-5, -0x1.8957a0613e6fdp-5, -0x1.825b45a256a98p-5, -0x1.7b71c90580b6bp-5, -0x1.749b60e76704ep-5, -0x1.6dd83f0a23549p-5, -0x1.672890b80b68p-5, -0x1.608c7ee5f6f0cp-5, -0x1.5a042e5505106p-5, -0x1.538fbfb3d3b4ap-5, -0x1.4d2f4fbf32a83p-5, -0x1.46e2f7624ba9p-5, -0x1.40aacbd63e1bfp-5, -0x1.3a86dec130d48p-5, -0x1.34773e54d7795p-5, -0x1.2e7bf56c69c3fp-5, -0x1.28950baa112e3p-5, -0x1.22c28593c3e7ep-5, -0x1.1d0464af99648p-5, -0x1.175aa79f8c318p-5, -0x1.11c54a3cb2eep-5, -0x1.0c4445b1eac39p-5, -0x1.06d79095f68adp-5, -0x1.017f1f051132ap-5, -0x1.f875c573f163dp-6, -0x1.ee15964cd4409p-6, -0x1.e3dd8b162ece4p-6, -0x1.d9cd7a1e2af9ap-6, -0x1.cfe535ad7e971p-6, -0x1.c6248c342b6aep-6, -0x1.bc8b487532622p-6, -0x1.b31931b13c195p-6, -0x1.a9ce0bd03fd61p-6, -0x1.a0a9978a24074p-6, -0x1.97ab928e5ea0dp-6, -0x1.8ed3b7aa98d7ap-6, -0x1.8621bef055899p-6, -0x1.7d955dd9a2c3dp-6, -0x1.752e476cd44a3p-6, -0x1.6cec2c5f49f0dp-6, -0x1.64cebb374e725p-6, -0x1.5cd5a06d00af7p-6, -0x1.5500868a5e92p-6, -0x1.4d4f164a637eap-6, -0x1.45c0f6b7464cdp-6, -0x1.3e55cd47df371p-6, -0x1.370d3dfc2a802p-6, -0x1.2fe6eb78f7fd7p-6, -0x1.28e27722c61d8p-6, -0x1.21ff8137cf75p-6, -0x1.1b3da8e943137p-6, -0x1.149c8c73bd717p-6, -0x1.0e1bc936f600ap-6, -0x1.07bafbcca91c4p-6, -0x1.0179c01ec8335p-6, -0x1.f6af62f9d94ffp-7, -0x1.eaa8d5621f018p-7, -0x1.dedf0c2723c47p-7, -0x1.d3513b3d26fefp-7, -0x1.c7fe9601323eep-7, -0x1.bce64f5d1fc06p-7, -0x1.b20799ea45563p-7, -0x1.a761a812e14p-7, -0x1.9cf3ac3254331p-7, -0x1.92bcd8b4099cdp-7, -0x1.88bc6031493d1p-7, -0x1.7ef1758dd1b8p-7, -0x1.755b4c134d049p-7, -0x1.6bf9178bb1022p-7, -0x1.62ca0c5a87fccp-7, -0x1.59cd5f9523f0dp-7, -0x1.51024719d47bp-7, -0x1.4867f9a6034e4p-7, -0x1.3ffdaeeb75657p-7, -0x1.37c29fa476639p-7, -0x1.2fb605a727fb7p-7, -0x1.27d71bf7df219p-7, -0x1.20251edaa0a02p-7, -0x1.189f4be3be753p-7, -0x1.1144e20797cfep-7, -0x1.0a1521a995254p-7, -0x1.030f4caa44135p-7, -0x1.f8654ce9810e9p-8, -0x1.eafce81691e9fp-8, -0x1.dde3f8264b73ep-8, -0x1.d1190dbfa9cd7p-8, -0x1.c49abcfaf83c2p-8, -0x1.b8679d757d081p-8, -0x1.ac7e4a63b968p-8, -0x1.a0dd62a276e68p-8, -0x1.958388c68ed4ap-8, -0x1.8a6f632b8a2fdp-8, -0x1.7f9f9c01157a9p-8, -0x1.7512e15752f21p-8, -0x1.6ac7e52a24752p-8, -0x1.60bd5d6b5a41ep-8, -0x1.56f2040be33efp-8, -0x1.4d6497040d73bp-8, -0x1.4413d85ac3d39p-8, -0x1.3afe8e2bef144p-8, -0x1.322382adeb7b9p-8, -0x1.298184362e1afp-8, -0x1.2117653d0e7d9p-8, -0x1.18e3fc60ceaf8p-8, -0x1.10e62467d6ea7p-8, -0x1.091cbc42458fcp-8, -0x1.0186a70ab3e86p-8, -0x1.f445980cbdeb2p-9, -0x1.e5e02d494bec7p-9, -0x1.d7daecfbc6d4fp-9, -0x1.ca33bea363822p-9, -0x1.bce89209336bcp-9, -0x1.aff75f3a6bd81p-9, -0x1.a35e268193067p-9, -0x1.971af05ecb9bap-9, -0x1.8b2bcd7ee70e6p-9, -0x1.7f8ed6b1eac69p-9, -0x1.74422ce04d999p-9, -0x1.6943f8ffb72d3p-9, -0x1.5e926c06bb44ap-9, -0x1.542bbedfe329cp-9, -0x1.4a0e325c06e1cp-9, -0x1.40380f23edbc8p-9, -0x1.36a7a5a94e72ap-9, -0x1.2d5b4e1732c41p-9, -0x1.24516841be05fp-9, -0x1.1b885b9571a64p-9, -0x1.12fe9705f6663p-9, -0x1.0ab290fc57b74p-9, -0x1.02a2c744cdf1ap-9, -0x1.f59b7df864d1p-10, -0x1.e66408f9e768cp-10, -0x1.d79c56977d1c8p-10, -0x1.c9419c0795cfp-10, -0x1.bb511c85a3808p-10, -0x1.adc82929739dap-10, -0x1.a0a420be3dfe6p-10, -0x1.93e26f98d6189p-10, -0x1.87808f6db5e9cp-10, -0x1.7b7c072680a5cp-10, -0x1.6fd26ab749b8ap-10, -0x1.64815af367d14p-10, -0x1.5986856237081p-10, -0x1.4edfa4135bcc2p-10, -0x1.448a7d7304afbp-10, -0x1.3a84e41e1a314p-10, -0x1.30ccb6b5f84c8p-10, -0x1.275fdfb46b988p-10, -0x1.1e3c553f68989p-10, -0x1.156018fccc0e2p-10, -0x1.0cc937e6190a9p-10, -0x1.0475ca1c50c94p-10, -0x1.f8c7e577692afp-11, -0x1.e923bf5f515a9p-11, -0x1.d9fb930da81aep-11, -0x1.cb4be68e4782dp-11, -0x1.bd11548450181p-11, -0x1.af488bd3210d2p-11, -0x1.a1ee4f4772f33p-11, -0x1.94ff75414ea5cp-11, -0x1.8878e75e13c01p-11, -0x1.7c57a2233b8c2p-11, -0x1.7098b4a96c8f1p-11, -0x1.653940488d36ap-11, -0x1.5a367843c6163p-11, -0x1.4f8da176c131fp-11, -0x1.453c1203239bcp-11, -0x1.3b3f30ff0056ep-11, -0x1.319476239f72fp-11, -0x1.2839697d77d8cp-11, -0x1.1f2ba31c7a62p-11, -0x1.1668cac54c141p-11, -0x1.0dee97a36f0cdp-11, -0x1.05bacffbb7fdfp-11, -0x1.fb9691c0b3c5bp-12, -0x1.ec3bcbca0cda3p-12, -0x1.dd6131a86d1c4p-12, -0x1.cf02c2cb0115ep-12, -0x1.c11c99e8cbb6ep-12, -0x1.b3aaec70a2f78p-12, -0x1.a6aa09fa7aa49p-12, -0x1.9a165bbaf50a1p-12, -0x1.8dec63f858bfcp-12, -0x1.8228bd81788f8p-12, -0x1.76c81b26b4a29p-12, -0x1.6bc7473443ff3p-12, -0x1.612322eebf62bp-12, -0x1.56d8a611b2ec1p-12, -0x1.4ce4de4f747c3p-12, -0x1.4344eed353513p-12, -0x1.39f60fc5a00f1p-12, -0x1.30f58dd14b02p-12, -0x1.2840c9ab78879p-12, -0x1.1fd5379d3e0ecp-12, -0x1.17b05f0efec78p-12, -0x1.0fcfda155efeap-12, -0x1.08315500f26eep-12, -0x1.00d28deeaf613p-12, -0x1.f362a8b5c385ep-13, -0x1.e597116c0dbfcp-13, -0x1.d83e37f625802p-13, -0x1.cb541e8fba6cdp-13, -0x1.bed4e6ee6d72bp-13, -0x1.b2bcd179c73d9p-13, -0x1.a7083c8661717p-13, -0x1.9bb3a39545271p-13, -0x1.90bb9e964e38cp-13, -0x1.861ce12e2ab3ep-13, -0x1.7bd439fffe884p-13, -0x1.71de91fa43e14p-13, -0x1.6838eba71a99cp-13, -0x1.5ee0628050a57p-13, -0x1.55d22a4634cp-13, -0x1.4d0b8e5a6686ep-13, -0x1.4489f11d626eep-13, -0x1.3c4acb4f9525cp-13, -0x1.344bab754b3d1p-13, -0x1.2c8a353ec895p-13, -0x1.250420f223f09p-13, -0x1.1db73ad94a499p-13, -0x1.16a162b306f63p-13, -0x1.0fc08b262af1p-13, -0x1.0912b938d3c58p-13, -0x1.029603c9e90a5p-13, -0x1.f891261bffe76p-14, -0x1.ec51401dd17d1p-14, -0x1.e068e85bc68p-14, -0x1.d4d4d15205371p-14, -0x1.c991cc463a30cp-14, -0x1.be9cc85ca22f4p-14, -0x1.b3f2d1b353c2fp-14, -0x1.a991108245426p-14, -0x1.9f74c840128e4p-14, -0x1.959b56ccfe8b3p-14, -0x1.8c0233a200faep-14, -0x1.82a6ef054815dp-14, -0x1.7987314353bfep-14, -0x1.70a0b9edb6077p-14, -0x1.67f15f1d0551bp-14, -0x1.5f770cb94a315p-14, -0x1.572fc3c56b35ep-14, -0x1.4f1999af8f49ep-14, -0x1.4732b7a6dda97p-14, -0x1.3f7959f405f52p-14, -0x1.37ebcf5764eaap-14, -0x1.3088786a62893p-14, -0x1.294dc70563af8p-14, -0x1.223a3da9bb7c2p-14, -0x1.1b4c6eef5add4p-14, -0x1.1482fcf6a4184p-14, -0x1.0ddc98dded8dp-14, -0x1.0758023a91a8cp-14, -0x1.00f4069623b7fp-14, -0x1.f55f01dda30c7p-15, -0x1.e912b27631701p-15, -0x1.dd0107e2d3675p-15, -0x1.d1280325f9273p-15, -0x1.c585bc745eff8p-15, -0x1.ba1862567635ep-15, -0x1.aede38d2d40b4p-15, -0x1.a3d5989c424bfp-15, -0x1.98fcee4800083p-15, -0x1.8e52b9883450dp-15, -0x1.83d58c6d9206ap-15, -0x1.79840aad6920bp-15, -0x1.6f5ce8ee93fe4p-15, -0x1.655eec1afff13p-15, -0x1.5b88e8b6c37adp-15, -0x1.51d9c23ba1a41p-15, -0x1.48506a7b60badp-15, -0x1.3eebe1051a592p-15, -0x1.35ab3290bd69ap-15, -0x1.2c8d786eddee2p-15, -0x1.2391d7fd02749p-15, -0x1.1ab7821e69196p-15, -0x1.11fdb2b99c5d2p-15, -0x1.0963b03993e71p-15, -0x1.00e8cb13c249ap-15, -0x1.f118baa3867b5p-16, -0x1.e09b943f423e9p-16, -0x1.d058fab96aa05p-16, -0x1.c04fd66381179p-16, -0x1.b07f1f53a9101p-16, -0x1.a0e5dc9dedd04p-16, -0x1.9183239502383p-16, -0x1.8256171093f7p-16, -0x1.735de6bd344fep-16, -0x1.6499ce6e8154bp-16, -0x1.5609157a65de7p-16, -0x1.47ab0e1ab3dc7p-16, -0x1.397f14d25f75fp-16, -0x1.2b848fdb021b7p-16, -0x1.1dbaee95fe69cp-16, -0x1.1021a9044fd1dp-16, -0x1.02b83f4383106p-16, -0x1.eafc72200b2aep-17, -0x1.d0e64a95e64d7p-17, -0x1.b72d330db01c4p-17, -0x1.9dd0632ffe69p-17, -0x1.84cf1e52a205bp-17, -0x1.6c28b2ac6574dp-17, -0x1.53dc78908d80bp-17, -0x1.3be9d1b32916p-17, -0x1.245028756ba88p-17, -0x1.0d0eef38f37dp-17, -0x1.ec4b3f7b9670bp-18, -0x1.bf277504a3a34p-18, -0x1.92b18c6150e74p-18, -0x1.66e89e1b6aaaep-18, -0x1.3bcbcce5b5d8ap-18, -0x1.115a4496aa8aap-18, -0x1.cf267265db495p-19, -0x1.7cebcc06e86b4p-19, -0x1.2c03196a1e05fp-19, -0x1.b8d5d21d75703p-20, -0x1.1c43a610649dfp-20, -0x1.0499de0b57f33p-21, 0x1.5110548434f3dp-24, 0x1.53b1bcbd3dd01p-21, 0x1.3c0d3b865dd22p-20, 0x1.cbb0b61e38beap-20, 0x1.2c62f1ece17b2p-19, 0x1.71a7ac6b80aa6p-19, 0x1.b5a7d4c474fb4p-19, 0x1.f864b64d8a924p-19, 0x1.1cefcf247f067p-18, 0x1.3d0cee5dbc7f7p-18, 0x1.5c8a6291df0f3p-18, 0x1.7b68d7974c8c1p-18, 0x1.99a8fbab2e58fp-18, 0x1.b74b7fbeab683p-18, 0x1.d45117ba422c6p-18, 0x1.f0ba7abee0ebfp-18, 0x1.064431aeebac6p-17, 0x1.13ddc7e86bdbfp-17, 0x1.212a61125a325p-17, 0x1.2e2a60348bcc5p-17, 0x1.3ade2a68bcf86p-17, 0x1.474626ed0a10cp-17, 0x1.5362bf320fe8ap-17, 0x1.5f345ee75b721p-17, 0x1.6abb7405dacabp-17, 0x1.75f86ed8c342cp-17, 0x1.80ebc204cbcdbp-17, 0x1.8b95e28d29de7p-17, 0x1.95f747d7e9f9p-17, 0x1.a0106baf00137p-17, 0x1.a9e1ca41afdf4p-17, 0x1.b36be22489e7cp-17, 0x1.bcaf344dba2cbp-17, 0x1.c5ac4414246e7p-17, 0x1.ce63972941534p-17, 0x1.d6d5b594ba4ddp-17, 0x1.df0329ad89f7dp-17, 0x1.e6ec8012c4836p-17, 0x1.ee9247a35871cp-17, 0x1.f5f51174bee88p-17, 0x1.fd1570c8d3db6p-17, 0x1.01f9fd8212e9bp-16, 0x1.0548a3d06e2f9p-16, 0x1.0876f811e3f52p-16, 0x1.0b854807fa8f5p-16, 0x1.0e73e26c6639ap-16, 0x1.114316ea78b45p-16, 0x1.13f33617bc505p-16, 0x1.1684916ce068p-16, 0x1.18f77b3e02461p-16, 0x1.1b4c46b354718p-16, 0x1.1d8347c10fab4p-16, 0x1.1f9cd31f81771p-16, 0x1.21993e4311fefp-16, 0x1.2378df53ab6f4p-16, 0x1.253c0d251ccecp-16, 0x1.26e31f2e61a6p-16, 0x1.286e6d80c7c99p-16, 0x1.29de50c047626p-16, 0x1.2b33221a58bc1p-16, 0x1.2c6d3b3d8d593p-16, 0x1.2d8cf65145228p-16, 0x1.2e92adec9356ap-16, 0x1.2f7ebd0e6874ep-16, 0x1.30517f1456bfdp-16, 0x1.310b4fb28c992p-16, 0x1.31ac8aeb27b12p-16, 0x1.32358d05642e7p-16, 0x1.32a6b2862163dp-16, 0x1.33005826a2p-16, 0x1.3342dacce921ap-16, 0x1.336e978326bebp-16, 0x1.3383eb6fc2938p-16, 0x1.338333cd7350dp-16, 0x1.336ccde30ad9fp-16, 0x1.334116fc33e7p-16, 0x1.33006c60d7384p-16, 0x1.32ab2b4e54702p-16, 0x1.3241b0ef5a917p-16, 0x1.31c45a54e1705p-16, 0x1.3133846ed8eb9p-16, 0x1.308f8c04e465ap-16, 0x1.2fd8cdaf47f5dp-16, 0x1.2f0fa5d0403fp-16, 0x1.2e34708d15d1cp-16, 0x1.2d4789c766991p-16, 0x1.2c494d16e1da7p-16, 0x1.2b3a15c27d756p-16, 0x1.2a1a3ebacfb1cp-16, 0x1.28ea22936e4a9p-16, 0x1.27aa1b7d714e9p-16, 0x1.265a834134e3bp-16, 0x1.24fbb3391966dp-16, 0x1.238e044ba7e7ap-16, 0x1.2211cee693224p-16, 0x1.20876af9424d8p-16, 0x1.1eef2fefbc76ap-16, 0x1.1d4974adc7bfap-16, 0x1.1b968f8a12b38p-16, 0x1.19d6d649bc001p-16, 0x1.180a9e1b9502bp-16, 0x1.16323b9417092p-16, 0x1.144e02a8ca9e2p-16, 0x1.125e46aca998cp-16, 0x1.10635a4bcb963p-16, 0x1.0e5d8f8808e2ap-16, 0x1.0c4d37b4fedc6p-16, 0x1.0a32a374de19p-16, 0x1.080e22b490a5fp-16, 0x1.05e004a944f88p-16, 0x1.03a897ccacae2p-16, 0x1.016829da4f481p-16, 0x1.fe3e0f99d810fp-17, 0x1.f99afbb674ce4p-17, 0x1.f4e7aeec7200cp-17, 0x1.f024be8bbdcfep-17, 0x1.eb52be4f11b78p-17, 0x1.e6724056cec1bp-17, 0x1.e183d524d8d77p-17, 0x1.dc880b996e43ap-17, 0x1.d77f70eed4e54p-17, 0x1.d26a90b67b32ap-17, 0x1.cd49f4d5d12dep-17, 0x1.c81e2582d4f7ap-17, 0x1.c2e7a9426dfe7p-17, 0x1.bda704e4a3194p-17, 0x1.b85cbb83ab4c7p-17, 0x1.b3094e8159bd6p-17, 0x1.adad3d8501443p-17, 0x1.a849067ab7a1p-17, 0x1.a2dd2590be8ep-17, 0x1.9d6a15374e6cfp-17, 0x1.97f04e1f4f22bp-17, 0x1.927047391998dp-17, 0x1.8cea75b4e3d3cp-17, 0x1.875f4d00c88b6p-17, 0x1.81cf3ec9da6dap-17, 0x1.7c3abafb7fd41p-17, 0x1.76a22fbf65cb7p-17, 0x1.7106097ddc4f4p-17, 0x1.6b66b2debe50cp-17, 0x1.65c494c8a7f38p-17, 0x1.6020166343fc3p-17, 0x1.5a799d16f9ab2p-17, 0x1.54d18c8eaa0d3p-17, 0x1.4f2846b8321e9p-17, 0x1.497e2bc68f01ap-17, 0x1.43d39a31e2c09p-17, 0x1.3e28eebaa5941p-17, 0x1.387e846a4f147p-17, 0x1.32d4b494f6b7ep-17, 0x1.2d2bd6dc0a74fp-17, 0x1.2784412fefd44p-17, 0x1.21de47d16c843p-17, 0x1.1c3a3d5535279p-17, 0x1.169872a56170cp-17, 0x1.10f9370421099p-17, 0x1.0b5cd80dfa295p-17, 0x1.05c3a1bd2e99p-17, 0x1.002dde6b42f8cp-17, 0x1.f537ada9fd609p-18, 0x1.ea1ba438f6366p-18, 0x1.df082b995ae2bp-18, 0x1.d3fdcbb7b2346p-18, 0x1.c8fd095df2062p-18, 0x1.be06663adb683p-18, 0x1.b31a60e63b8f6p-18, 0x1.a83974e94fb9bp-18, 0x1.9d641ac5a48a2p-18, 0x1.929ac7fa6c3ebp-18, 0x1.87ddef0ce8a2dp-18, 0x1.7d2dff8e9a051p-18, 0x1.728b66259a2c9p-18, 0x1.67f68c91f72bbp-18, 0x1.5d6fd9b6fbd5ep-18, 0x1.52f7b1a1b4502p-18, 0x1.488e75907b847p-18, 0x1.3e3483fa58284p-18, 0x1.33ea3897bad89p-18, 0x1.29afec68c38b4p-18, 0x1.1f85f5be199bdp-18, 0x1.156ca8409f944p-18, 0x1.0b6454f866b58p-18, 0x1.016d4a56168e6p-18, 0x1.ef0fa87424c29p-19, 0x1.db6877f8488eep-19, 0x1.c7e590e8552a4p-19, 0x1.b4877c045abp-19, 0x1.a14ebd2c9b93dp-19, 0x1.8e3bd371147b3p-19, 0x1.7b4f39227ac9dp-19, 0x1.688963e28d174p-19, 0x1.55eac4b525e84p-19, 0x1.4373c80e275d3p-19, 0x1.3124d5e4970abp-19, 0x1.1efe51c107e61p-19, 0x1.0d009acf72b96p-19, 0x1.f65817dbca7a1p-20, 0x1.d301f77c8b95p-20, 0x1.afff796c6a475p-20, 0x1.8d513a5bb833ap-20, 0x1.6af7cee50a3d2p-20, 0x1.48f3c3ac6634ap-20, 0x1.27459d7bd8704p-20, 0x1.05edd96737601p-20, 0x1.c9d9d9d60be36p-21, 0x1.88868c1afe057p-21, 0x1.47e296fa01924p-21, 0x1.07eeb9613f954p-21, 0x1.9157481b75c31p-22, 0x1.1433f393cf357p-22, 0x1.30e93ec442b45p-23, 0x1.e1a5aceb5a732p-26, -0x1.6b679532693dfp-24, -0x1.a4ce8c168745fp-23, -0x1.488d05fa0ff6ep-22, -0x1.bd4a7cacda0fcp-22, -0x1.184f8d1c4675ep-21, -0x1.51453363e10cdp-21, -0x1.8986010d52a0ap-21, -0x1.c111d18911d4ap-21, -0x1.f7e88b9e6dff2p-21, -0x1.170510999fa19p-20, -0x1.31bb478738173p-20, -0x1.4c16ee50bea6ap-20, -0x1.66180de75cb36p-20, -0x1.7fbeb458716bcp-20, -0x1.990af4b309ec6p-20, -0x1.b1fce6ea4a8e6p-20, -0x1.ca94a7ba704b1p-20, -0x1.e2d2588f04cc7p-20, -0x1.fab61f67569e6p-20, -0x1.0920135e3caecp-19, -0x1.14b84eb2fa9fbp-19, -0x1.2023db3faf2b6p-19, -0x1.2b62d4a81f60ap-19, -0x1.36755898ca472p-19, -0x1.415b86ba604aep-19, -0x1.4c1580a52e8c9p-19, -0x1.56a369d5551bfp-19, -0x1.6105679e116c6p-19, -0x1.6b3ba11dc4b69p-19, -0x1.75463f31cb154p-19, -0x1.7f256c6b53285p-19, -0x1.88d9550352979p-19, -0x1.926226cf74313p-19, -0x1.9bc011364987dp-19, -0x1.a4f3452464e03p-19, -0x1.adfbf500c06b9p-19, -0x1.b6da54a2acec7p-19, }}, 
      {{-0x1.45815b00104c5p-8, -0x1.421910ced8019p-7, -0x1.dabe4a2a6f8a2p-7, -0x1.34ce49080fb6ap-6, -0x1.75f59b5e1ad04p-6, -0x1.af9d403fa86f8p-6, -0x1.e0bdf4b2575a9p-6, -0x1.04415d47f0218p-5, -0x1.1324455d74a5ep-5, -0x1.1cce40ef35037p-5, -0x1.211c78b110d0ap-5, -0x1.2000d7d6eaf5fp-5, -0x1.197ff996082d5p-5, -0x1.0daefa2ff18d8p-5, -0x1.f96285b4d0f4ap-6, -0x1.cd6cc3ddbd68cp-6, -0x1.97eff7ba18f66p-6, -0x1.596fbab81d0b6p-6, -0x1.127c6856fe8e8p-6, -0x1.875fc50f55bep-7, -0x1.b6aaabde3c519p-8, -0x1.11150959c0a3ep-10, 0x1.45d745537a88p-8, 0x1.72890cf4e2f6fp-7, 0x1.25b66c375650ep-6, 0x1.962a59096ef4dp-6, 0x1.0501c34556c96p-5, 0x1.405541dbd3ed3p-5, 0x1.7cc6fa9bf45b6p-5, 0x1.ba1194969ed9ep-5, 0x1.f7f341e5e2813p-5, 0x1.1b16f26ae8cfdp-4, 0x1.3a43931b12bd3p-4, 0x1.59643f78ed27ep-4, 0x1.785f9b6d472f5p-4, 0x1.971e2d33348afp-4, 0x1.b58a5478c8ebdp-4, 0x1.d3903e743a59bp-4, 0x1.f11dd78b642acp-4, 0x1.07115d8c13716p-3, 0x1.154810e12d9e1p-3, 0x1.232c676bce394p-3, 0x1.30b87e7d04a61p-3, 0x1.3de72538f2fb1p-3, 0x1.4ab3d2b0dc23ep-3, 0x1.571a9c08e432bp-3, 0x1.63182abf4492ap-3, 0x1.6ea9b32671505p-3, 0x1.79cceb2027f6dp-3, 0x1.848001242f561p-3, 0x1.8ec1939adc299p-3, 0x1.9890a8912d8ecp-3, 0x1.a1eca5ca5fbcap-3, 0x1.aad549312ef7ep-3, 0x1.b34aa1a9ba06p-3, 0x1.bb4d0843c5aa8p-3, 0x1.c2dd19cc56a8fp-3, 0x1.c9fbb0bccbb53p-3, 0x1.d0a9df85123ap-3, 0x1.d6e8eb2e453bfp-3, 0x1.dcba465280c89p-3, 0x1.e21f8c66a3aebp-3, 0x1.e71a7d528f022p-3, 0x1.ebacf954428cdp-3, 0x1.efd8fd2a579d4p-3, 0x1.f3a09e823f7cep-3, 0x1.f70608a6bb8ep-3, 0x1.fa0b796b32d09p-3, 0x1.fcb33e506b84p-3, 0x1.feffb1df85d09p-3, 0x1.00799c9c047a3p-2, 0x1.014820e701164p-2, 0x1.01ec9faaab6ffp-2, 0x1.026854ebc7d29p-2, 0x1.02bc7df8ba18ap-2, 0x1.02ea589b02f3cp-2, 0x1.02f3225a3d7f8p-2, 0x1.02d817cf79869p-2, 0x1.029a7407eccc5p-2, 0x1.023b6ff5f1b6p-2, 0x1.01bc41ef6b1c2p-2, 0x1.011e1d389fc54p-2, 0x1.0062319aba6f7p-2, 0x1.ff13560a4bb51p-3, 0x1.fd2b6272031cep-3, 0x1.fb0ecefbf7d73p-3, 0x1.f8bfd8bfdaf46p-3, 0x1.f640b2e916877p-3, 0x1.f393865155069p-3, 0x1.f0ba7128edd02p-3, 0x1.edb786ac4f7c6p-3, 0x1.ea8ccee55bb58p-3, 0x1.e73c4677d1a49p-3, 0x1.e3c7de77ef727p-3, 0x1.e0317c4a808d7p-3, 0x1.dc7af98d89fe9p-3, 0x1.d8a62408f9fe6p-3, 0x1.d4b4bda69f6e1p-3, 0x1.d0a87c70d108dp-3, 0x1.cc830a9738724p-3, 0x1.c84606792f1ccp-3, 0x1.c3f302b532c58p-3, 0x1.bf8b863cf902cp-3, 0x1.bb110c6dadc9fp-3, 0x1.b685052bffafep-3, 0x1.b1e8d5038bef9p-3, 0x1.ad3dd5495b0dep-3, 0x1.a885544117049p-3, 0x1.a3c09544abcbp-3, 0x1.9ef0d0ee0a1bcp-3, 0x1.9a173542cb5f9p-3, 0x1.9534e5e17a0c3p-3, 0x1.904afc303f228p-3, 0x1.8b5a878cca93p-3, 0x1.86648d7d3652ap-3, 0x1.816a09e1c6378p-3, 0x1.7c6bef274ef67p-3, 0x1.776b267a281a2p-3, 0x1.72688ff97ebccp-3, 0x1.6d6502eae4f2dp-3, 0x1.68614dee0fd45p-3, 0x1.635e373096676p-3, 0x1.5e5c7ca1a5fcap-3, 0x1.595cd4258e154p-3, 0x1.545febc90f979p-3, 0x1.4f6669f46848fp-3, 0x1.4a70ed9dee91ap-3, 0x1.45800e7c5469cp-3, 0x1.40945d385ae58p-3, 0x1.3bae639e0d3ffp-3, 0x1.36cea4cd5d918p-3, 0x1.31f59d6a2ea14p-3, 0x1.2d23c3cbaf8c8p-3, 0x1.2859882b0daadp-3, 0x1.239754d173016p-3, 0x1.1edd8e454cdf5p-3, 0x1.1a2c9376c90c4p-3, 0x1.1584bdeba0675p-3, 0x1.10e661ea09236p-3, 0x1.0c51cea2ebe65p-3, 0x1.07c74e5b46adap-3, 0x1.03472694c3a1ap-3, 0x1.fda3306afb5d7p-4, 0x1.f4cdbf5df59d7p-4, 0x1.ec0e6a489a1f1p-4, 0x1.e365991ed7da8p-4, 0x1.dad3abcb6a94ep-4, 0x1.d258fa7748318p-4, 0x1.c9f5d5cf67cd4p-4, 0x1.c1aa8748f5fcbp-4, 0x1.b9775163df502p-4, 0x1.b15c6febe25dbp-4, 0x1.a95a1837e9fe2p-4, 0x1.a1707967f7dbcp-4, 0x1.999fbca178a0fp-4, 0x1.91e8054a108bcp-4, 0x1.8a497140ea422p-4, 0x1.82c419168b971p-4, 0x1.7b58104330421p-4, 0x1.7405655bb59d1p-4, 0x1.6ccc22451958ep-4, 0x1.65ac4c66933f8p-4, 0x1.5ea5e4da4d5c2p-4, 0x1.57b8e89cc2465p-4, 0x1.50e550bac7b8cp-4, 0x1.4a2b127e49254p-4, 0x1.438a1f99ba8aap-4, 0x1.3d02665247984p-4, 0x1.3693d1a8c953ep-4, 0x1.303e4981818c5p-4, 0x1.2a01b2caa91fcp-4, 0x1.23ddefa1d2d59p-4, 0x1.1dd2df782a8b1p-4, 0x1.17e05f3595cccp-4, 0x1.1206495abd3f1p-4, 0x1.0c44762203f1p-4, 0x1.069abb9f723a5p-4, 0x1.0108eddf9b2dep-4, 0x1.f71dbe0b01b25p-5, 0x1.ec58becefe789p-5, 0x1.e1c27b56840bp-5, 0x1.d75a8dc196cb9p-5, 0x1.cd208d39217dcp-5, 0x1.c3140e216a28fp-5, 0x1.b934a24ac8d8bp-5, 0x1.af81d920a9b8bp-5, 0x1.a5fb3fd6ee41fp-5, 0x1.9ca06195aaa8p-5, 0x1.9370c7a35719p-5, 0x1.8a6bf98d73c27p-5, 0x1.81917d4fb4b72p-5, 0x1.78e0d779b33f9p-5, 0x1.70598b5338a2ep-5, 0x1.67fb1aff28bddp-5, 0x1.5fc5079d12632p-5, 0x1.57b6d169733d3p-5, 0x1.4fcff7dcb6962p-5, 0x1.480ff9c8f8845p-5, 0x1.40765576926a1p-5, 0x1.390288bf81ab1p-5, 0x1.31b41129a7e32p-5, 0x1.2a8a6bfff1fddp-5, 0x1.2385166a6d923p-5, 0x1.1ca38d8554f3cp-5, 0x1.15e54e7716e6bp-5, 0x1.0f49d685642a6p-5, 0x1.08d0a3294a3ebp-5, 0x1.0279322261b8ap-5, 0x1.f88603122f148p-6, 0x1.ec5b1fc02f25ep-6, 0x1.e070b849c4a43p-6, 0x1.d4c5cbbf1c2cdp-6, 0x1.c9595a6387b1fp-6, 0x1.be2a65c9e391dp-6, 0x1.b337f0ef8d0f2p-6, 0x1.a8810055e104ap-6, 0x1.9e049a1a5fad6p-6, 0x1.93c1c60d71496p-6, 0x1.89b78dc7e65c2p-6, 0x1.7fe4fcbf3167bp-6, 0x1.764920586f41ep-6, 0x1.6ce307fa3e02bp-6, 0x1.63b1c51d79c4dp-6, 0x1.5ab46b5cddd0bp-6, 0x1.51ea108399ac2p-6, 0x1.4951cc9adefc5p-6, 0x1.40eab9f67b39dp-6, 0x1.38b3f5407849cp-6, 0x1.30ac9d83db348p-6, 0x1.28d3d4367b596p-6, 0x1.2128bd4205d26p-6, 0x1.19aa7f0c31f67p-6, 0x1.1258427e2a7d4p-6, 0x1.0b31330b35d42p-6, 0x1.04347eb6a999dp-6, 0x1.fac2ac324fb1bp-7, 0x1.ed6dd8ca698f5p-7, 0x1.e068eed648b4cp-7, 0x1.d3b25f38e3e4p-7, 0x1.c748a01cf09d6p-7, 0x1.bb2a2cf93f2c1p-7, 0x1.af558693fbd04p-7, 0x1.a3c93304e8bc3p-7, 0x1.9883bdb69d8d5p-7, 0x1.8d83b766c539p-7, 0x1.82c7b625914fap-7, 0x1.784e555431546p-7, 0x1.6e1635a283a45p-7, 0x1.641dfd0c0b2f1p-7, 0x1.5a6456d4083a4p-7, 0x1.50e7f380f9262p-7, 0x1.47a788d74d03dp-7, 0x1.3ea1d1d39979ep-7, 0x1.35d58ea40d994p-7, 0x1.2d4184a167dc9p-7, 0x1.24e47e47571cep-7, 0x1.1cbd4b2c5b2c3p-7, 0x1.14cabff91f98ap-7, 0x1.0d0bb65f6bc1cp-7, 0x1.057f0d109858ap-7, 0x1.fc474f674a59ap-8, 0x1.edf0ddb5c8dd9p-8, 0x1.dff89ff29929cp-8, 0x1.d25c7aaeed94fp-8, 0x1.c51a5c1097c61p-8, 0x1.b8303bbabd17ap-8, 0x1.ab9c1ab6174c1p-8, 0x1.9f5c0358a4dc1p-8, 0x1.936e092ce0849p-8, 0x1.87d048d897707p-8, 0x1.7c80e8034e3b9p-8, 0x1.717e153c525c3p-8, 0x1.66c607e075b33p-8, 0x1.5c56ffff7dd45p-8, 0x1.522f464154422p-8, 0x1.484d2bcaf43b8p-8, 0x1.3eaf0a232d795p-8, 0x1.3553431733689p-8, 0x1.2c38409f07cdfp-8, 0x1.235c74c1c431dp-8, 0x1.1abe5979ca87cp-8, 0x1.125c7098e269bp-8, 0x1.0a3543ac49f0ep-8, 0x1.024763e0b2924p-8, 0x1.f522d3cc9b7d1p-9, 0x1.e623eba987abap-9, 0x1.d78f5e1e872f7p-9, 0x1.c962885124d8ap-9, 0x1.bb9ad58e5f11p-9, 0x1.ae35bf1305cap-9, 0x1.a130cbd457776p-9, 0x1.94899048c7226p-9, 0x1.883dae30fbe8ap-9, 0x1.7c4ad46124ec9p-9, 0x1.70aebe8a792e3p-9, 0x1.656735051b991p-9, 0x1.5a720c9a5142ep-9, 0x1.4fcd264f01f8cp-9, 0x1.45766f2ea8d45p-9, 0x1.3b6be0169dc23p-9, 0x1.31ab7d81ce7ffp-9, 0x1.28335754d62cdp-9, 0x1.1f0188aa97756p-9, 0x1.161437a136732p-9, 0x1.0d6995279c77dp-9, 0x1.04ffdccb61bddp-9, 0x1.f9aaa90e99aep-10, 0x1.e9d099247362ap-10, 0x1.da6e3e5d216ffp-10, 0x1.cb8060f48240dp-10, 0x1.bd03dc7e85c48p-10, 0x1.aef59f893695p-10, 0x1.a152ab3fe358p-10, 0x1.9418130f673a7p-10, 0x1.8742fc4b7e636p-10, 0x1.7ad09dd53f221p-10, 0x1.6ebe3fc2b2378p-10, 0x1.63093b079b1dbp-10, 0x1.57aef91f50c6dp-10, 0x1.4cacf3b7c1d9bp-10, 0x1.4200b45da22aep-10, 0x1.37a7d429be128p-10, 0x1.2d9ffb6f89019p-10, 0x1.23e6e16ca18a9p-10, 0x1.1a7a4bf9b811ep-10, 0x1.11580f3c80552p-10, 0x1.087e0d5acb0f1p-10, 0x1.ffd46c5daa75cp-11, 0x1.ef350df95b8d3p-11, 0x1.df1a1451abb2dp-11, 0x1.cf7faddff0a6p-11, 0x1.c062223f891fbp-11, 0x1.b1bdd1a210f81p-11, 0x1.a38f344570333p-11, 0x1.95d2d9eca8642p-11, 0x1.8885695a813e7p-11, 0x1.7ba39fce931dcp-11, 0x1.6f2a50849cd23p-11, 0x1.63166435e8921p-11, 0x1.5764d89cfbbd5p-11, 0x1.4c12bffb5386p-11, 0x1.411d40a1744c4p-11, 0x1.368194790484ep-11, 0x1.2c3d0890d9f34p-11, 0x1.224cfcab7715dp-11, 0x1.18aee2cf60196p-11, 0x1.0f603ed979c48p-11, 0x1.065ea61198db6p-11, 0x1.fb4f7d81ccae3p-12, 0x1.ea727f94ea6cep-12, 0x1.da21e08b4023cp-12, 0x1.ca594e34fc54dp-12, 0x1.bb1495404651fp-12, 0x1.ac4fa079aefe4p-12, 0x1.9e06781091ea4p-12, 0x1.903540dede555p-12, 0x1.82d83bb4a30e8p-12, 0x1.75ebc4a735917p-12, 0x1.696c526425042p-12, 0x1.5d5675875c5bdp-12, 0x1.51a6d7f4d648ep-12, 0x1.465a3c3602719p-12, 0x1.3b6d7cda0b033p-12, 0x1.30dd8bd9ea316p-12, 0x1.26a771ff8d889p-12, 0x1.1cc84e50294ddp-12, 0x1.133d5579e5ce2p-12, 0x1.0a03d14477d3bp-12, 0x1.01192004fb9f2p-12, 0x1.f0f56829bb687p-13, 0x1.e04c2697308ecp-13, 0x1.d031acf704322p-13, 0x1.c0a151e2dcaeep-13, 0x1.b1968feeb4a74p-13, 0x1.a30d04b2ee4b2p-13, 0x1.95006fdd20cc9p-13, 0x1.876cb2451215fp-13, 0x1.7a4dcd07eac6p-13, 0x1.6d9fe0a86f7fcp-13, 0x1.615f2c33eae32p-13, 0x1.55880c6cbc47p-13, 0x1.4a16faf97fb0cp-13, 0x1.3f088d993304ap-13, 0x1.3459755c42d05p-13, 0x1.2a067de1f22d2p-13, 0x1.200c8c9abc402p-13, 0x1.1668a00ee67c5p-13, 0x1.0d17cf29f998ep-13, 0x1.04174889eefc7p-13, 0x1.f6c8a3a69bbc7p-14, 0x1.e5f88e11e7b56p-14, 0x1.d5b933d08fdebp-14, 0x1.c605a292aa864p-14, 0x1.b6d91105dc514p-14, 0x1.a82edda4f8c12p-14, 0x1.9a028d8f9687dp-14, 0x1.8c4fcb6928e02p-14, 0x1.7f12663eeb097p-14, 0x1.72465075674c7p-14, 0x1.65e79ebc8364cp-14, 0x1.59f2870afd382p-14, 0x1.4e635f9fe0cb8p-14, 0x1.43369e0b1e898p-14, 0x1.3868d63c8aa5dp-14, 0x1.2df6b9989de5bp-14, 0x1.23dd1613e2e59p-14, 0x1.1a18d5540fde7p-14, 0x1.10a6fbd779234p-14, 0x1.0784a821cbc78p-14, 0x1.fd5e23dcaf2e9p-15, 0x1.ec4712d0f9fd8p-15, 0x1.dbbeecd19e6a1p-15, 0x1.cbc0af6fd37fap-15, 0x1.bc4784ac371b3p-15, 0x1.ad4ec190d9325p-15, 0x1.9ed1e4d474e68p-15, 0x1.90cc95877e90cp-15, 0x1.833aa1cb1812p-15, 0x1.7617fd901ef3cp-15, 0x1.6960c15ff253ep-15, 0x1.5d11292e2846ep-15, 0x1.51259331f37c3p-15, 0x1.459a7ec87d64ep-15, 0x1.3a6c8b5f403b1p-15, 0x1.2f98776654a9fp-15, 0x1.251b1f4a2918ap-15, 0x1.1af17c758d246p-15, 0x1.1118a45a1c7cdp-15, 0x1.078dc780b8667p-15, 0x1.fc9c6140ed333p-16, 0x1.eaae87799f3a4p-16, 0x1.d94cfa93fb59bp-16, 0x1.c872e2b0ce744p-16, 0x1.b81b958be48bap-16, 0x1.a84294eba66d6p-16, 0x1.98e38d1bf55acp-16, 0x1.89fa5375d54f5p-16, 0x1.7b82e4f22b77cp-16, 0x1.6d7964c675a83p-16, 0x1.5fda1b0e9204ap-16, 0x1.52a1737ed9671p-16, 0x1.45cbfc2230f1p-16, 0x1.395664215cddbp-16, 0x1.2d3d7a94206p-16, 0x1.217e2d5be1c55p-16, 0x1.16158807a858p-16, 0x1.0b00b2c112049p-16, 0x1.003cf1422b211p-16, 0x1.eb8f43a6ce75dp-17, 0x1.d73c78a44c903p-17, 0x1.c37ca27f348f8p-17, 0x1.b04b11ad1bf1ep-17, 0x1.9da34453d63cbp-17, 0x1.8b80e493f5dep-17, 0x1.79dfc6e199954p-17, 0x1.68bbe86c55e87p-17, 0x1.58116d93759bp-17, 0x1.47dca0682743cp-17, 0x1.3819ef3c86551p-17, 0x1.28c5eb3e6ec8p-17, 0x1.19dd471f718cp-17, 0x1.0b5cd5c7e0e53p-17, 0x1.fa83122a5418dp-18, 0x1.df10e14713ce4p-18, 0x1.c45d71465839ap-18, 0x1.aa63516b97395p-18, 0x1.911d45b130d48p-18, 0x1.788644ae10fa3p-18, 0x1.6099758db4eaap-18, 0x1.49522e1babe15p-18, 0x1.32abf0e0b5654p-18, 0x1.1ca26b5123e6ep-18, 0x1.0731740cd133ap-18, 0x1.e4aa125b31972p-19, 0x1.bc129d4f9148fp-19, 0x1.9495197362df9p-19, 0x1.6e2a5ccee4ff8p-19, 0x1.48cb801169cb2p-19, 0x1.2471dbc419c26p-19, 0x1.01170598737a7p-19, 0x1.bd699ba6083bfp-20, 0x1.7a8a7999e4b6p-20, 0x1.3985211e95c01p-20, 0x1.f49cea14690b9p-21, 0x1.79b7751562d53p-21, 0x1.024529c90a86bp-21, 0x1.1c64057c00a3ap-22, 0x1.d6aa6a6e79fe4p-25, -0x1.408e7c88d9637p-23, -0x1.7515cbc18897p-22, -0x1.21dcae606cf42p-21, -0x1.8629e9a20227ep-21, -0x1.e782ff39dfe82p-21, -0x1.22fbe9b9c750bp-20, -0x1.50cbe69532197p-20, -0x1.7d38edb4bf4bfp-20, -0x1.a84a3d68f47dp-20, -0x1.d206dd5fed023p-20, -0x1.fa75a11efb14bp-20, -0x1.10ce952daa83ep-19, -0x1.23c1f5a0c8522p-19, -0x1.3618144d6e1ecp-19, -0x1.47d3fdefbb81cp-19, -0x1.58f8aa973885ap-19, -0x1.6988fe998a52ap-19, -0x1.7987cb77d73ddp-19, -0x1.88f7d0ba8cc6ap-19, -0x1.97dbbcc458c67p-19, -0x1.a6362d9972cb1p-19, -0x1.b409b19e5a591p-19, -0x1.c158c84e11025p-19, -0x1.ce25e2e6ef7d7p-19, -0x1.da73650ff6838p-19, -0x1.e643a57592db7p-19, -0x1.f198ee5ea4ad8p-19, -0x1.fc757e3b21b06p-19, -0x1.036dc414c76fbp-18, -0x1.08669a3c103bdp-18, -0x1.0d26508f0ce3bp-18, -0x1.11adf11750529p-18, -0x1.15fe812374ad1p-18, -0x1.1a19017a98f56p-18, -0x1.1dfe6e8d6570bp-18, -0x1.21afc0a4a8adfp-18, -0x1.252dec0d41159p-18, -0x1.2879e14132702p-18, -0x1.2b948d0fae381p-18, -0x1.2e7ed8c1112c4p-18, -0x1.3139aa3aa2569p-18, -0x1.33c5e41ee74b5p-18, -0x1.362465ed01f87p-18, -0x1.38560c1da6824p-18, -0x1.3a5bb03e051f4p-18, -0x1.3c36290a7c9ccp-18, -0x1.3de64a85d2425p-18, -0x1.3f6ce6105f9ddp-18, -0x1.40caca7d14074p-18, -0x1.4200c425539b2p-18, -0x1.430f9cfb3fccfp-18, -0x1.43f81c9b6c674p-18, -0x1.44bb085c6687bp-18, -0x1.4559235e6e55cp-18, -0x1.45d32e9898a42p-18, -0x1.4629e8e684255p-18, -0x1.465e0f138d5p-18, -0x1.46705be6ee094p-18, -0x1.4661882cfbb9ap-18, -0x1.46324ac12cd74p-18, -0x1.45e35896b0abfp-18, -0x1.457564c03b9dcp-18, -0x1.44e92077e14d7p-18, -0x1.443f3b251977bp-18, -0x1.4378626377d3cp-18, -0x1.42954207bc3fcp-18, -0x1.4196842574313p-18, -0x1.407cd112cdd35p-18, -0x1.3f48cf6d99ca1p-18, -0x1.3dfb241dec361p-18, -0x1.3c94725a90f2bp-18, -0x1.3b155bab04901p-18, -0x1.397e7feaa857bp-18, -0x1.37d07d4ad65eap-18, -0x1.360bf054f54fp-18, -0x1.343173ec01432p-18, -0x1.3241a14e93bdap-18, -0x1.303d1017627b9p-18, -0x1.2e24563f4b75p-18, -0x1.2bf8081d3ef58p-18, -0x1.29b8b86820aa5p-18, -0x1.2766f835fb916p-18, -0x1.250356fde6c6ep-18, -0x1.228e629773ad2p-18, -0x1.2008a73b486a6p-18, -0x1.1d72af834030ep-18, -0x1.1acd046aa859fp-18, -0x1.18182d4e05991p-18, -0x1.1554afeb5690fp-18, -0x1.12831061f38b6p-18, -0x1.0fa3d13277204p-18, -0x1.0cb7733ebe7fbp-18, -0x1.09be75c99e376p-18, -0x1.06b956772fbb5p-18, -0x1.03a8914c52dd7p-18, -0x1.008ca0aefc7d5p-18, -0x1.facbfacbb9c9p-19, -0x1.f46a3d3118e73p-19, -0x1.edf4f39f21a44p-19, -0x1.e76d05e840cf3p-19, -0x1.e0d358a1f9abbp-19, -0x1.da28cd234121p-19, -0x1.d36e4186c3f42p-19, -0x1.cca490a9e640fp-19, -0x1.c5cc922ee562dp-19, -0x1.bee71a7c1a4dp-19, -0x1.b7f4fabe5c96cp-19, -0x1.b0f700e944c6ap-19, -0x1.a9edf7b8639c1p-19, -0x1.a2daa6b0fd5c2p-19, -0x1.9bbdd22370f3ap-19, -0x1.94983b2c9b114p-19, -0x1.8d6a9fb8197cep-19, -0x1.8635ba8264ee4p-19, -0x1.7efa431a34ba3p-19, -0x1.77b8ede3adf03p-19, -0x1.70726c1a8669ep-19, -0x1.69276bd46213cp-19, -0x1.61d898044455fp-19, -0x1.5a86987cbc5cep-19, -0x1.533211f40ef99p-19, -0x1.4bdba606c1748p-19, -0x1.4483f33b2983fp-19, -0x1.3d2b950560685p-19, -0x1.35d323cab8f18p-19, -0x1.2e7b34e5ddd7ap-19, -0x1.27245aaacfcbap-19, -0x1.1fcf246b278dap-19, -0x1.187c1e7ab5f9dp-19, -0x1.112bd23389979p-19, -0x1.09dec5fb471dep-19, -0x1.02957d47a24d7p-19, -0x1.f6a0f1465a84dp-20, -0x1.e8206b65cadccp-20, -0x1.d9aa5e75fa4cdp-20, -0x1.cb3fba48ff57dp-20, -0x1.bce1690538ddfp-20, -0x1.ae904f316eee1p-20, -0x1.a04d4bbea799ap-20, -0x1.92193815905bp-20, -0x1.83f4e821295bp-20, -0x1.75e12a5bde22dp-20, -0x1.67dec7da9093p-20, -0x1.59ee845b2284ap-20, -0x1.4c111e4ee7695p-20, -0x1.3e474ee8cf629p-20, -0x1.3091ca2b2e0b5p-20, -0x1.22f13ef2b0adep-20, -0x1.15665705fdbfdp-20, -0x1.07f1b72281f2cp-20, -0x1.f527fe13d1a4bp-21, -0x1.da9b93202edf8p-21, -0x1.c03f5953f8e8dp-21, -0x1.a61472f3493a9p-21, -0x1.8c1bf8bdb18f4p-21, -0x1.7256fa078caf6p-21, -0x1.58c67cd7b56b5p-21, -0x1.3f6b7e056e778p-21, -0x1.2646f1545dfc4p-21, -0x1.0d59c19332105p-21, -0x1.e949a17012b39p-22, -0x1.b851effc96785p-22, -0x1.87ce100a09af5p-22, -0x1.57bf91d9ad52p-22, -0x1.2827f4e85d2cep-22, -0x1.f211505bf9656p-23, -0x1.94c614b728281p-23, -0x1.3870d421b8f82p-23, -0x1.ba28187441ccdp-24, -0x1.056436f82a4bp-24, -0x1.4a6a0d5c39918p-26, 0x1.78c2fd45fcf5bp-26, 0x1.0cf9895b22d79p-24, 0x1.b9bc0dbcabb5p-24, 0x1.323a5c78be5f3p-23, 0x1.86901818268f6p-23, 0x1.d9dda82fa84dep-23, 0x1.1610cb4eb71d3p-22, 0x1.3ead441354f0bp-22, 0x1.66c39e04b0906p-22, 0x1.8e5345c29b786p-22, 0x1.b55bb4afa1d36p-22, 0x1.dbdc70b77dfc5p-22, 0x1.00ea860a1e98ep-21, 0x1.13a2928acee9fp-21, 0x1.261632f1cf9e5p-21, 0x1.3845422293fe6p-21, 0x1.4a2fa0b4b7c33p-21, 0x1.5bd534d580322p-21, 0x1.6d35ea2bd32d3p-21, 0x1.7e51b1bcfef13p-21, 0x1.8f2881ce74253p-21, 0x1.9fba55cc2b44p-21, 0x1.b0072e2afd14fp-21, 0x1.c00f104d44d48p-21, 0x1.cfd2066a10871p-21, 0x1.df501f6d4b33bp-21, 0x1.ee896ee1d54f8p-21, 0x1.fd7e0cd2b910ap-21, 0x1.06170ad976b3ep-20, 0x1.0d4cd5218c4f8p-20, 0x1.146077baf616ap-20, 0x1.1b52072bee4fcp-20, 0x1.222199faa2e02p-20, 0x1.28cf48a04e0f8p-20, 0x1.2f5b2d7cb72ccp-20, 0x1.35c564ca38ef9p-20, 0x1.3c0e0c9128bfbp-20, 0x1.4235449b3cd53p-20, 0x1.483b2e68b1adep-20, 0x1.4e1fed23588e6p-20, 0x1.53e3a5933cfe3p-20, 0x1.59867e133fe38p-20, 0x1.5f089e8551c68p-20, 0x1.646a3046da0b9p-20, 0x1.69ab5e26a504ap-20, 0x1.6ecc5458187dep-20, 0x1.73cd4069bfc23p-20, 0x1.78ae513a013bbp-20, 0x1.7d6fb6ec40739p-20, 0x1.8211a2de9cde3p-20, 0x1.8694479f9abffp-20, 0x1.8af7d8e3d2fc1p-20, 0x1.8f3c8b7beefc1p-20, 0x1.9362954a61b81p-20, 0x1.976a2d3a52454p-20, 0x1.9b538b3572d8ap-20, 0x1.9f1ee81a4428fp-20, 0x1.a2cc7db32bcdp-20, 0x1.a65c86ad6803dp-20, 0x1.a9cf3e8f115efp-20, 0x1.ad24e1af35b08p-20, 0x1.b05dad2c52c48p-20, 0x1.b379dee412c47p-20, 0x1.b679b56a27c8cp-20, 0x1.b95d700112902p-20, 0x1.bc254e90afaaap-20, 0x1.bed1919ead7c7p-20, 0x1.c1627a46982ebp-20, 0x1.c3d84a31f5c42p-20, 0x1.c6334390622e1p-20, 0x1.c873a9104ccap-20, 0x1.ca99bdd75755p-20, 0x1.cca5c57b0c7e8p-20, 0x1.ce9803fa1fad8p-20, 0x1.d070bdb4c193bp-20, 0x1.d23037661f5bdp-20, 0x1.d3d6b61d82271p-20, 0x1.d5647f38046b2p-20, 0x1.d6d9d85978f15p-20, 0x1.d837076667bp-20, 0x1.d97c527df3956p-20, 0x1.daa9fff37c4bfp-20, 0x1.dbc05648bc83ep-20, 0x1.dcbf9c27b580dp-20, 0x1.dda8185d5fcefp-20, 0x1.de7a11d3c615fp-20, 0x1.df35cf8c6f7a2p-20, 0x1.dfdb989b25111p-20, 0x1.e06bb420c1b7dp-20, 0x1.e0e66945e078fp-20, 0x1.e14bff35dcce3p-20, 0x1.e19cbd1a295aep-20, 0x1.e1d8ea1540092p-20, 0x1.e200cd3dd5068p-20, 0x1.e214ad9aa3171p-20, 0x1.e214d21dc5c47p-20, 0x1.e20181a05fa54p-20, 0x1.e1db02de42f26p-20, 0x1.e1a19c71fd43p-20, 0x1.e15594d0baeefp-20, 0x1.e0f7324660a02p-20, 0x1.e086baf1a60bep-20, 0x1.e00474c05c7b8p-20, 0x1.df70a56be936fp-20, 0x1.decb927590a97p-20, 0x1.de15812364175p-20, 0x1.dd4eb67c79295p-20, 0x1.dc777745dd659p-20, 0x1.db9007ff83e4dp-20, 0x1.da98ace139f26p-20, 0x1.d991a9d7914bbp-20, 0x1.d87b42810653fp-20, 0x1.d755ba2b5c773p-20, 0x1.d62153d0d35adp-20, 0x1.d4de5215666ep-20, 0x1.d38cf74470c84p-20, 0x1.d22d854e48f62p-20, 0x1.d0c03dc5ba2ecp-20, 0x1.cf4561ddd08d2p-20, 0x1.cdbd3267a66f4p-20, 0x1.cc27efd055942p-20, 0x1.ca85da1ed2512p-20, 0x1.c8d730f1e70f9p-20, 0x1.c71c337e6f33dp-20, 0x1.c555208d6197fp-20, 0x1.c382367a38694p-20, 0x1.c1a3b33134212p-20, 0x1.bfb9d42da8de9p-20, 0x1.bdc4d6787b042p-20, 0x1.bbc4f6a6a3e89p-20, 0x1.b9ba70d7f5f02p-20, 0x1.b7a580b586b88p-20, 0x1.b586617068d2p-20, 0x1.b35d4dc098335p-20, 0x1.b12a7fe3d43a9p-20, 0x1.aeee319c45cd3p-20, 0x1.aca89c2fb90a3p-20, 0x1.aa59f8666727bp-20, 0x1.a8027e8a4297bp-20, 0x1.a5a26665f2788p-20, 0x1.a339e74401e75p-20, }}, 
      {{-0x1.acc6efe36c28p-1, -0x1.acba0736f0241p-1, -0x1.ac9e8c79a1caap-1, -0x1.ac6cdce555f65p-1, -0x1.ac1c359036d38p-1, -0x1.aba3bf0c40504p-1, -0x1.aafb5afb100b1p-1, -0x1.aa1c2ff9b1968p-1, -0x1.a900fab645856p-1, -0x1.a7a62f224fb0fp-1, -0x1.a609f56d21586p-1, -0x1.a42c0d7999aafp-1, -0x1.a20da1d6a7cfp-1, -0x1.9fb1116d06db5p-1, -0x1.9d19b55c74ac7p-1, -0x1.9a4ba7055dc4bp-1, -0x1.974b890200c9dp-1, -0x1.941e54d8e5bccp-1, -0x1.90c92e72a5adep-1, -0x1.8d513dcd6dde3p-1, -0x1.89bb8f0079bap-1, -0x1.860cf858d8e0bp-1, -0x1.824a062872e0bp-1, -0x1.7e76ebc28769ep-1, -0x1.7a97791140048p-1, -0x1.76af142aa53c1p-1, -0x1.72c0b64d45265p-1, -0x1.6eceebb404461p-1, -0x1.6adbd5bae7335p-1, -0x1.66e92edaf8283p-1, -0x1.62f85010a1705p-1, -0x1.5f0a374d3e2e3p-1, -0x1.5b1f8ea1afe3cp-1, -0x1.5738b3dc29f08p-1, -0x1.5355c05ed2753p-1, -0x1.4f7690ff43783p-1, -0x1.4b9acdc8427c1p-1, -0x1.47c1f17f3ebb8p-1, -0x1.43eb50d641804p-1, -0x1.40162139259aap-1, -0x1.3c417f2a1d352p-1, -0x1.386c7425e464ap-1, -0x1.3495fc0ba0d28p-1, -0x1.30bd0a0753ebap-1, -0x1.2ce08d0025b2dp-1, -0x1.28ff738d99ec7p-1, -0x1.2518af7833a9bp-1, -0x1.212b38cb06cccp-1, -0x1.1d36107c7c959p-1, -0x1.193842b4fbd1fp-1, -0x1.1530e8ba735a3p-1, -0x1.111f2a87d1658p-1, -0x1.0d02401771251p-1, -0x1.08d9726755844p-1, -0x1.04a41c3ddb7ep-1, -0x1.0061aab53a08p-1, -0x1.f8233b27a6a8cp-2, -0x1.ef670eee10198p-2, -0x1.e68e1baba3b0ep-2, -0x1.dd97d1c02fa1cp-2, -0x1.d483c67e855afp-2, -0x1.cb51b3788944ep-2, -0x1.c201759dca2fdp-2, -0x1.b8930c339a0e2p-2, -0x1.af0697acfdfadp-2, -0x1.a55c586829b25p-2, -0x1.9b94ad56ad77ep-2, -0x1.91b01294ed1e9p-2, -0x1.87af1ff506c7dp-2, -0x1.7d928780c6403p-2, -0x1.735b13f5f0153p-2, -0x1.6909a73fadc15p-2, -0x1.5e9f38efadc1dp-2, -0x1.541cd4b918111p-2, -0x1.498398ef40f65p-2, -0x1.3ed4b509c142dp-2, -0x1.3411682f49b64p-2, -0x1.293affc8737afp-2, -0x1.1e52d61b77b2fp-2, -0x1.135a50f1ae642p-2, -0x1.0852e04775b97p-2, -0x1.fa7bfa0e20345p-3, -0x1.e43a4f9db491bp-3, -0x1.cde3cf865e998p-3, -0x1.b77b92d8534b8p-3, -0x1.a104bb3ec8322p-3, -0x1.8a8270eb8dae9p-3, -0x1.73f7e09ac1f81p-3, -0x1.5d6839ae7b61fp-3, -0x1.46d6ac6223897p-3, -0x1.304668154f85ap-3, -0x1.19ba99ad9f3c1p-3, -0x1.03366a0f3f92ap-3, -0x1.d979f95728b4ep-4, -0x1.aca2dc4b0f882p-4, -0x1.7feda615d8f23p-4, -0x1.53606d44c83dp-4, -0x1.2701339a6374cp-4, -0x1.f5abc7f15e886p-5, -0x1.9dc8a0e1aa1e2p-5, -0x1.466460edbb4dp-5, -0x1.df147ce158e8fp-6, -0x1.328a68522ffd2p-6, -0x1.0e7ff9a951638p-7, 0x1.15ae77408973ap-9, 0x1.968515ab59713p-7, 0x1.725251bd2e3dep-6, 0x1.0be8e683a3ae7p-5, 0x1.5dd71c0d9e7ecp-5, 0x1.aeeab1ac635f7p-5, 0x1.ff1adb58bfec3p-5, 0x1.272f8cf985b46p-4, 0x1.4e579e1adea44p-4, 0x1.7501afbf0ad43p-4, 0x1.9b29f8366851fp-4, 0x1.c0ccd5b06072ep-4, 0x1.e5e6ce66ab2adp-4, 0x1.053a485badae8p-3, 0x1.1739799750094p-3, 0x1.28ef7a40890abp-3, 0x1.3a5addbbad728p-3, 0x1.4b7a4b66016b7p-3, 0x1.5c4c7e7e1859ep-3, 0x1.6cd04605fc925p-3, 0x1.7d04849f93f55p-3, 0x1.8ce830637f033p-3, 0x1.9c7a52b2d1669p-3, 0x1.abba0803fbecfp-3, 0x1.baa67fab2ac4fp-3, 0x1.c93efb9e656c9p-3, 0x1.d782d035c21afp-3, 0x1.e57163e7e24eep-3, 0x1.f30a2f030dd49p-3, 0x1.00265db18cff8p-2, 0x1.069c521235af9p-2, 0x1.0ce6caaa212c6p-2, 0x1.1305a5cf47a3ep-2, 0x1.18f8c9fcc420fp-2, 0x1.1ec025a7986bbp-2, 0x1.245baf12836b6p-2, 0x1.29cb6421046c9p-2, 0x1.2f0f4a299f176p-2, 0x1.34276dc77926p-2, 0x1.3913e2ab68bb6p-2, 0x1.3dd4c36c832e9p-2, 0x1.426a315842489p-2, 0x1.46d4544255f1ep-2, 0x1.4b135a542f822p-2, 0x1.4f2777dc5a7b5p-2, 0x1.5310e71db216p-2, 0x1.56cfe81e87692p-2, 0x1.5a64c077bf365p-2, 0x1.5dcfbb23fffc2p-2, 0x1.6111284ef2f1bp-2, 0x1.64295d24b0fd1p-2, 0x1.6718b3a15cf72p-2, 0x1.69df8a60ffe6fp-2, 0x1.6c7e446fadcf4p-2, 0x1.6ef54919fbd8ap-2, 0x1.714503bddb334p-2, 0x1.736de39bd67c6p-2, 0x1.75705ba8c3b03p-2, 0x1.774ce25ff0d09p-2, 0x1.7903f195d016cp-2, 0x1.7a96064b2f1f8p-2, 0x1.7c03a08101dd3p-2, 0x1.7d4d430cc2321p-2, 0x1.7e73736d6f2fap-2, 0x1.7f76b9a12ff29p-2, 0x1.80579ffba2e5p-2, 0x1.8116b2fcd8171p-2, 0x1.81b4812901ab3p-2, 0x1.82319ae0db37ep-2, 0x1.828e923ace47ap-2, 0x1.82cbfadcd4668p-2, 0x1.82ea69d71e386p-2, 0x1.82ea757f7f97ap-2, 0x1.82ccb54da3cfep-2, 0x1.8291c1b80c286p-2, 0x1.823a3411de051p-2, 0x1.81c6a6697a753p-2, 0x1.8137b367ed43ep-2, 0x1.808df63125e6dp-2, 0x1.7fca0a4505bb5p-2, 0x1.7eec8b6142b08p-2, 0x1.7df615641ad9bp-2, 0x1.7ce7442fdb8c4p-2, 0x1.7bc0b38f3c7ap-2, 0x1.7a82ff1a8fa9bp-2, 0x1.792ec21dbf429p-2, 0x1.77c4977f242bcp-2, 0x1.764519a7284c4p-2, 0x1.74b0e268b942dp-2, 0x1.73088aea8f8abp-2, 0x1.714cab913bfa8p-2, 0x1.6f7ddbea069bfp-2, 0x1.6d9cb296944e5p-2, 0x1.6ba9c53957992p-2, 0x1.69a5a862c768fp-2, 0x1.6790ef7f57bfap-2, 0x1.656c2cc6384fp-2, 0x1.6337f128d181ep-2, 0x1.60f4cc42fc70cp-2, 0x1.5ea34c4bfb788p-2, 0x1.5c43fe08239e3p-2, 0x1.59d76cbb42a06p-2, 0x1.575e221bb412ap-2, 0x1.54d8a6462432dp-2, 0x1.52477fb2062e5p-2, 0x1.4fab3326ac412p-2, 0x1.4d0443b10d8d8p-2, 0x1.4a53329a2c0a6p-2, 0x1.47987f5e1855ep-2, 0x1.44d4a7a39a74fp-2, 0x1.420827346c25fp-2, 0x1.3f3377f60ee4dp-2, 0x1.3c5711e333f26p-2, 0x1.39736b05b2db1p-2, 0x1.3688f7710f5e6p-2, 0x1.3398293d865adp-2, 0x1.30a170839ffcfp-2, 0x1.2da53b5846c0bp-2, 0x1.2aa3f5c95bca7p-2, 0x1.279e09dac665dp-2, 0x1.2493df83fc766p-2, 0x1.2185dcadff74ap-2, 0x1.1e746531cae38p-2, 0x1.1b5fdad7319a3p-2, 0x1.18489d5421175p-2, 0x1.152f0a4c5418ep-2, 0x1.12137d5162717p-2, 0x1.0ef64fe33280ap-2, 0x1.0bd7d970ccbeap-2, 0x1.08b86f5982d84p-2, 0x1.059864ee72458p-2, 0x1.02780b7459ff8p-2, 0x1.feaf644b7de12p-3, 0x1.f86f4c6abd593p-3, 0x1.f23065a1e004ep-3, 0x1.ebf3424849489p-3, 0x1.e5b870b7e966cp-3, 0x1.df807b545340ep-3, 0x1.d94be89251a3bp-3, 0x1.d31b3afff0af4p-3, 0x1.cceef14cf9985p-3, 0x1.c6c78653e447ap-3, 0x1.c0a571231e4c2p-3, 0x1.ba892506c7abp-3, 0x1.b4731192bb54fp-3, 0x1.ae63a2acfda4fp-3, 0x1.a85b40986e995p-3, 0x1.a25a4fffdb0c7p-3, 0x1.9c6132014476fp-3, 0x1.967044397ee4ap-3, 0x1.9087e0cffd893p-3, 0x1.8aa85e82eaf95p-3, 0x1.84d210b369da9p-3, 0x1.7f0547721325fp-3, 0x1.79424f8b9ce06p-3, 0x1.73897295ae91p-3, 0x1.6ddaf6fbd8e63p-3, 0x1.6837200cb32dbp-3, 0x1.629e2e071795ep-3, 0x1.5d105e2779d25p-3, 0x1.578deab55661bp-3, 0x1.52170b10b52d6p-3, 0x1.4cabf3bfc0644p-3, 0x1.474cd67c6502ap-3, 0x1.41f9e24205d2ap-3, 0x1.3cb3435b2bc97p-3, 0x1.3779236f46398p-3, 0x1.324ba99063fb5p-3, 0x1.2d2afa48f8e6ep-3, 0x1.281737a98d4f7p-3, 0x1.231081567f175p-3, 0x1.1e16f495a69dp-3, 0x1.192aac5bfe4cfp-3, 0x1.144bc15b37b9dp-3, 0x1.0f7a4a0f4707dp-3, 0x1.0ab65acbd93c5p-3, 0x1.060005c9b9d6p-3, 0x1.01575b3425ed5p-3, 0x1.f978d26c0ba43p-4, 0x1.f05e780e24dbep-4, 0x1.e75fbbf1bd02dp-4, 0x1.de7caf078e7f2p-4, 0x1.d5b55ea78a7eep-4, 0x1.cd09d4aa4451ap-4, 0x1.c47a178220f17p-4, 0x1.bc062a543e6b7p-4, 0x1.b3ae0d111bf3ap-4, 0x1.ab71bc8d00e0ep-4, 0x1.a351329810fa4p-4, 0x1.9b4c661624f4p-4, 0x1.93634b164e21bp-4, 0x1.8b95d2ea10f85p-4, 0x1.83e3ec3c5256dp-4, 0x1.7c4d8327ee6cfp-4, 0x1.74d2814e08905p-4, 0x1.6d72cdec004a6p-4, 0x1.662e4df1170f2p-4, 0x1.5f04e413beb2cp-4, 0x1.57f670e695021p-4, 0x1.5102d2ed070c2p-4, 0x1.4a29e6af9e374p-4, 0x1.436b86cff4d98p-4, 0x1.3cc78c1c55d87p-4, 0x1.363dcda2fe2afp-4, 0x1.2fce20c509087p-4, 0x1.2978594902b98p-4, 0x1.233c496d21b0cp-4, 0x1.1d19c1f924af9p-4, 0x1.1710924fd6d8cp-4, 0x1.112088803ef79p-4, 0x1.0b4971566e322p-4, 0x1.058b186bfad1dp-4, 0x1.ffca90703ae81p-5, 0x1.f4af943ef3eeep-5, 0x1.e9c4cd071ae99p-5, 0x1.df09c9a3806d1p-5, 0x1.d47e17244eefap-5, 0x1.ca2140ebd2647p-5, 0x1.bff2d0ca9da39p-5, 0x1.b5f24f1af3f05p-5, 0x1.ac1f42db98637p-5, 0x1.a27931c9e8d65p-5, 0x1.98ffa07b4fec3p-5, 0x1.8fb2127619209p-5, 0x1.86900a4992732p-5, 0x1.7d9909a59614ep-5, 0x1.74cc91716a7e3p-5, 0x1.6c2a21e201ba7p-5, 0x1.63b13a8fa32a7p-5, 0x1.5b615a8ae93a3p-5, 0x1.533a007131ff5p-5, 0x1.4b3aaa806eb32p-5, 0x1.4362d6aa5f0bcp-5, 0x1.3bb202a7354a8p-5, 0x1.3427ac07abcb8p-5, 0x1.2cc35046850cp-5, 0x1.25846cd977eafp-5, 0x1.1e6a7f41a0103p-5, 0x1.1775051b5383dp-5, 0x1.10a37c2d701b9p-5, 0x1.09f562782f2bfp-5, 0x1.036a36436b6d4p-5, 0x1.fa02ec58c6959p-6, 0x1.ed754266093e4p-6, 0x1.e12a6d8d5c548p-6, 0x1.d5216da50d8cp-6, 0x1.c959439293402p-6, 0x1.bdd0f161576dfp-6, 0x1.b2877a587e50cp-6, 0x1.a77be30fd713p-6, 0x1.9cad3183f52b1p-6, 0x1.921a6d295b2b6p-6, 0x1.87c29efeda34bp-6, 0x1.7da4d19f19605p-6, 0x1.73c011515af2bp-6, 0x1.6a136c1968d13p-6, 0x1.609df1c6c2459p-6, 0x1.575eb403137f9p-6, 0x1.4e54c65fd72acp-6, 0x1.457f3e635d356p-6, 0x1.3cdd33950bd9cp-6, 0x1.346dbf88f92e1p-6, 0x1.2c2ffdead57c4p-6, 0x1.24230c882b4eap-6, 0x1.1c460b5a04ad9p-6, 0x1.14981c8df640bp-6, 0x1.0d18648e7e09cp-6, 0x1.05c60a0adb034p-6, 0x1.fd406bfc910e2p-7, 0x1.ef4c276d76177p-7, 0x1.e1ada1b5ed9e3p-7, 0x1.d4633ae08529dp-7, 0x1.c76b57bee8a6ap-7, 0x1.bac461f328a37p-7, 0x1.ae6cc7f81df9p-7, 0x1.a262fd288df86p-7, 0x1.96a579c5bc3a8p-7, 0x1.8b32bafce2f76p-7, 0x1.800942ebed5d2p-7, 0x1.752798a5565b3p-7, 0x1.6a8c4833388a6p-7, 0x1.6035e2999a759p-7, 0x1.5622fdd7e7c68p-7, 0x1.4c5234e9ebc96p-7, 0x1.42c227c7c59a5p-7, 0x1.39717b6579aaap-7, 0x1.305ed9b1b223bp-7, 0x1.2788f193e671fp-7, 0x1.1eee76e9f9084p-7, 0x1.168e228530315p-7, 0x1.0e66b2269a669p-7, 0x1.0676e87af4213p-7, 0x1.fd7b1a2c2ee6ap-8, 0x1.ee72d8db89251p-8, 0x1.dfd2afa83fdf3p-8, 0x1.d1984ae318f87p-8, 0x1.c3c1607c8ee8cp-8, 0x1.b64baff6c4e5p-8, 0x1.a93502571882ap-8, 0x1.9c7b2a16bf0a3p-8, 0x1.901c03128c957p-8, 0x1.8415727a4b6e8p-8, 0x1.786566bf1b74ep-8, 0x1.6d09d7819f67ap-8, 0x1.6200c57f31ed1p-8, 0x1.57483a7e8cbd5p-8, 0x1.4cde493c46246p-8, 0x1.42c10d5660ab5p-8, 0x1.38eeab37abc06p-8, 0x1.2f65500287de8p-8, 0x1.2623317b68d79p-8, 0x1.1d268df2cc3a4p-8, 0x1.146dac2edea6dp-8, 0x1.0bf6db54f8e42p-8, 0x1.03c072d273399p-8, 0x1.f791a48aebf19p-9, 0x1.e81cc2cb25b77p-9, 0x1.d91f1fd79c8acp-9, 0x1.ca95aaf57d7e7p-9, 0x1.bc7d630cb51b2p-9, 0x1.aed3567737c79p-9, 0x1.a194a2cfd6c8cp-9, 0x1.94be74c123e5dp-9, 0x1.884e07d3c06cep-9, 0x1.7c40a63c87109p-9, 0x1.7093a8aae2ceep-9, 0x1.654476168957bp-9, 0x1.5a50838d4f58dp-9, 0x1.4fb554010fedfp-9, 0x1.457078154e422p-9, 0x1.3b7f8decf2c73p-9, 0x1.31e040f803ebfp-9, 0x1.289049c175575p-9, 0x1.1f8d6dbd13d9p-9, 0x1.16d57f1544e12p-9, 0x1.0e665c7960c7fp-9, 0x1.063df0eba3cf5p-9, 0x1.fcb4671f948fdp-10, 0x1.ed724ef315dep-10, 0x1.deb1b6f6ba98p-10, 0x1.d06ed3eb09782p-10, 0x1.c2a5f14a7de9bp-10, 0x1.b55370e8d7206p-10, 0x1.a873ca929558bp-10, 0x1.9c038bad30dedp-10, 0x1.8fff56d7c08bcp-10, 0x1.8463e38d1bb09p-10, 0x1.792dfdc514123p-10, 0x1.6e5a85983508bp-10, 0x1.63e66ee3264c4p-10, 0x1.59cec0eac1c67p-10, 0x1.50109601c6985p-10, 0x1.46a91b2e64b7fp-10, 0x1.3d958fd157202p-10, 0x1.34d3454da020cp-10, 0x1.2c5f9eb0a8c3dp-10, 0x1.2438105c204ddp-10, 0x1.1c5a1fb0176acp-10, 0x1.14c362b61e4f8p-10, 0x1.0d717fcd84372p-10, 0x1.06622d589673cp-10, 0x1.ff2662d476f95p-11, 0x1.f204c2ea7706fp-11, 0x1.e55b43f87328dp-11, 0x1.d925cc84c5171p-11, 0x1.cd605ffae5136p-11, 0x1.c2071e114ff42p-11, 0x1.b7164230cae43p-11, 0x1.ac8a22dee0ddfp-11, 0x1.a25f31291412ep-11, 0x1.9891f81220f17p-11, 0x1.8f1f1c039bcffp-11, 0x1.86035a3d6a805p-11, 0x1.7d3b884b64597p-11, 0x1.74c4937a525fep-11, 0x1.6c9b804fad8acp-11, 0x1.64bd6a04237a8p-11, 0x1.5d2781ff09dfcp-11, 0x1.55d70f54a88acp-11, 0x1.4ec96e45c869cp-11, 0x1.47fc0fc1cdbfep-11, 0x1.416c78eb07c97p-11, 0x1.3b18429c6e846p-11, 0x1.34fd18f115c61p-11, 0x1.2f18bacf20c13p-11, 0x1.2968f972c4dcap-11, 0x1.23ebb7fd008b7p-11, 0x1.1e9eeb026cf13p-11, 0x1.1980981e08e32p-11, 0x1.148ed583f8e0ap-11, 0x1.0fc7c997f32c3p-11, 0x1.0b29aa8439fafp-11, 0x1.06b2bdd3309fdp-11, 0x1.0261580a76f37p-11, 0x1.fc67b8904bcaap-12, 0x1.f45177c3a7a09p-12, 0x1.ec7cec0a21456p-12, 0x1.e4e72eb484053p-12, 0x1.dd8d7351885p-12, 0x1.d66d06fadbb43p-12, 0x1.cf834fa361dap-12, 0x1.c8cdcb6c022edp-12, 0x1.c24a0ff9d3f25p-12, 0x1.bbf5c9cf55d61p-12, 0x1.b5cebbab09f7cp-12, 0x1.afd2bde765e0ap-12, 0x1.a9ffbddf40bdbp-12, 0x1.a453bd54ab08ep-12, 0x1.9eccd1dbc5dd6p-12, 0x1.99692447d31a6p-12, 0x1.9426f01cc9982p-12, 0x1.8f048301eaf8ap-12, 0x1.8a003c399309ap-12, 0x1.85188c1ae655fp-12, 0x1.804bf38da5b33p-12, 0x1.7b99038b7b558p-12, 0x1.76fe5ca10f23dp-12, 0x1.727aae740c8f5p-12, 0x1.6e0cb74b869a4p-12, 0x1.69b3439a3cda9p-12, 0x1.656d2d8cc3c86p-12, 0x1.61395c99a332dp-12, 0x1.5d16c51405555p-12, 0x1.590467c1b8a79p-12, 0x1.55015172ba64p-12, 0x1.510c9a9bdb7e1p-12, 0x1.4d2566f3ae9c9p-12, 0x1.494ae512549dfp-12, 0x1.457c4e12c128fp-12, 0x1.41b8e537135f3p-12, 0x1.3dfff78eff485p-12, 0x1.3a50dba0541eep-12, 0x1.36aaf1123d1ffp-12, 0x1.330da0597264bp-12, 0x1.2f785a68de7fcp-12, 0x1.2bea9861676cap-12, 0x1.2863db461fa6bp-12, 0x1.24e3abb192f99p-12, 0x1.2169998ceee6ap-12, 0x1.1df53bc97df72p-12, 0x1.1a86301bcee5ap-12, 0x1.171c1ab8b843p-12, 0x1.13b6a6146ea16p-12, 0x1.105582a31258cp-12, 0x1.0cf8669b5946ap-12, 0x1.099f0dbafc444p-12, 0x1.0649390bc730cp-12, 0x1.02f6aeac42debp-12, 0x1.ff4e7330583abp-13, 0x1.f8b552e759d8bp-13, 0x1.f221a4ae9ca97p-13, 0x1.eb93193c84471p-13, 0x1.e509696b0a875p-13, 0x1.de8455d975171p-13, 0x1.d803a691154e7p-13, 0x1.d1872aac86a12p-13, 0x1.cb0eb8017593cp-13, 0x1.c49a2acdc2e09p-13, 0x1.be296566a29e9p-13, 0x1.b7bc4fea5d252p-13, 0x1.b152d7f55f835p-13, 0x1.aaecf05801033p-13, 0x1.a48a90d0ed9fep-13, 0x1.9e2bb5c7670d1p-13, 0x1.97d0600a3bceep-13, 0x1.9178948f0012p-13, 0x1.8b245c3505c8dp-13, 0x1.84d3c388dccap-13, 0x1.7e86da8b124dp-13, 0x1.783db4786ab39p-13, 0x1.71f86794acd9fp-13, 0x1.6bb70cf63f455p-13, 0x1.6579c054d5d92p-13, 0x1.5f409fd8b42a8p-13, 0x1.590bcbecf1f1cp-13, 0x1.52db6712bc95cp-13, 0x1.4caf95b65ce09p-13, 0x1.46887e05df8a3p-13, 0x1.406647c9efcf5p-13, 0x1.3a491c3ea004fp-13, 0x1.343125efdaeb5p-13, 0x1.2e1e9095af2c7p-13, 0x1.281188f2d5e92p-13, 0x1.220a3cb4245c7p-13, 0x1.1c08da51c45c1p-13, 0x1.160d90f147b91p-13, 0x1.1018904955741p-13, 0x1.0a2a088683c8fp-13, 0x1.04422a31b108ap-13, 0x1.fcc24c2d49036p-14, 0x1.f10e5a5956d4ep-14, 0x1.e568e10014ba2p-14, 0x1.d9d24238e2aadp-14, 0x1.ce4adff14cdc4p-14, 0x1.c2d31bc5e48bbp-14, 0x1.b76b56dd35368p-14, 0x1.ac13f1c4dba8bp-14, 0x1.a0cd4c4ff7487p-14, 0x1.9597c577dc332p-14, 0x1.8a73bb3ec9a5cp-14, 0x1.7f618a931c275p-14, 0x1.74618f34f29a7p-14, 0x1.6974239da63d2p-14, 0x1.5e99a0e7bad0fp-14, 0x1.53d25eb938d63p-14, 0x1.491eb32f1d8fp-14, 0x1.3e7ef2ca3ded3p-14, 0x1.33f3705d3af57p-14, 0x1.297c7cfb39c5bp-14, 0x1.1f1a67e9a912p-14, 0x1.14cd7e90f2d4ap-14, 0x1.0a960c704af39p-14, 0x1.00745b10f248dp-14, 0x1.ecd163f6c6f59p-15, 0x1.d8e6ad5b8df1fp-15, 0x1.c529192470a05p-15, 0x1.b19929eee27dap-15, 0x1.9e375e1302132p-15, 0x1.8b042f9656543p-15, 0x1.78001422719f4p-15, 0x1.652b7cf9ec53ep-15, 0x1.5286d6f254b37p-15, 0x1.40128a6c4780ep-15, 0x1.2dcefb50793c6p-15, 0x1.1bbc890adcf24p-15, 0x1.09db8e8931da9p-15, 0x1.f058c4732644ep-16, 0x1.cd5eac174198dp-16, 0x1.aac96ee150ce1p-16, 0x1.88999ebe474a6p-16, 0x1.66cfc4ac3a0afp-16, 0x1.456c60c1d0201p-16, 0x1.246fea3c7995ap-16, 0x1.03dacf887c4bep-16, 0x1.c75aeca6685cfp-17, 0x1.87d0773175702p-17, 0x1.4916e76cad6fbp-17, 0x1.0b2ed4fa574afp-17, 0x1.9c318d1e1e188p-18, 0x1.23aa64304eabp-18, 0x1.5991f3b2a37d1p-19, 0x1.bc6fbfbd629bap-21, -0x1.e030c011f2817p-21, -0x1.5be5994105b08p-19, -0x1.1e37dc0bd787ap-18, -0x1.8cd51b947fb84p-18, -0x1.f9ca7f422a9dep-18, -0x1.328c0cae5e466p-17, -0x1.675f0cfb31018p-17, -0x1.9b5e6738f8384p-17, -0x1.ce8a5080e827dp-17, -0x1.0071860a7ed12p-16, -0x1.19347590a8edcp-16, -0x1.318e263c81618p-16, -0x1.497ece2adfa28p-16, -0x1.6106aa08e3484p-16, -0x1.7825fcf3a8287p-16, -0x1.8edd105575892p-16, -0x1.a52c33c38b215p-16, -0x1.bb13bcdc9f5c9p-16, -0x1.d09407248dc3ap-16, -0x1.e5ad73e315618p-16, -0x1.fa606a002894fp-16, -0x1.0756aaf0be689p-15, -0x1.114a54a38eb96p-15, -0x1.1b0b6d9490d89p-15, -0x1.249a33ca28034p-15, -0x1.2df6e7c40d5f5p-15, -0x1.3721cc694e759p-15, -0x1.401b26f78bf6fp-15, -0x1.48e33ef13e1cp-15, -0x1.517a5e0cea685p-15, -0x1.59e0d023b3b2ep-15, -0x1.6216e320c932ep-15, -0x1.6a1ce6f04d001p-15, -0x1.71f32d6e4d4f4p-15, -0x1.799a0a569f95p-15, -0x1.8111d333bfd1ap-15, -0x1.885adf4f084c3p-15, -0x1.8f7587a00aa4cp-15, -0x1.966226bcc7ec4p-15, -0x1.9d2118c97b908p-15, -0x1.a3b2bb6911c82p-15, -0x1.aa176dadbbe5ap-15, -0x1.b04f9008a65e6p-15, -0x1.b65b843c14074p-15, -0x1.bc3bad4b40c89p-15, -0x1.c1f06f6bfb82ep-15, -0x1.c77a2ff8209b8p-15, -0x1.ccd9555f12bbap-15, -0x1.d20e4716eb814p-15, -0x1.d7196d8f58ed8p-15, -0x1.dbfb32231cfc8p-15, -0x1.e0b3ff0ac4e35p-15, -0x1.e5443f4ee2906p-15, -0x1.e9ac5ebb7aefep-15, -0x1.edecc9d249df4p-15, -0x1.f205edbe9a01ep-15, -0x1.f5f838485162cp-15, -0x1.f9c417c7d923bp-15, -0x1.fd69fb19e4074p-15, -0x1.007528c9ec749p-14, -0x1.0222c57bc178bp-14, -0x1.03be0bb43ded5p-14, -0x1.054733b023094p-14, -0x1.06be75d1d9564p-14, -0x1.08240a9be3e58p-14, -0x1.09782aabcf745p-14, -0x1.0abb0eb4eef2p-14, -0x1.0becef7b3506bp-14, -0x1.0d0e05ce7a3a2p-14, -0x1.0e1e8a859a08bp-14, -0x1.0f1eb679a424bp-14, -0x1.100ec2812ae6fp-14, -0x1.10eee76c22c38p-14, -0x1.11bf5dff19d93p-14, -0x1.12805eef136fcp-14, -0x1.133222dd76605p-14, -0x1.13d4e253dd0bap-14, -0x1.1468d5c01a755p-14, -0x1.14ee357064a9p-14, -0x1.1565398faa89ep-14, -0x1.15ce1a21baf9ap-14, -0x1.16290effd4d7bp-14, -0x1.16764fd5467e6p-14, -0x1.16b6141beece5p-14, -0x1.16e8931903c3p-14, -0x1.170e03d9fc849p-14, -0x1.17269d3147f37p-14, -0x1.173295b3b1681p-14, -0x1.173223b535824p-14, -0x1.17257d465965dp-14, -0x1.170cd8314ad71p-14, -0x1.16e869f79e822p-14, -0x1.16b867cf947bp-14, -0x1.167d06a18f8bp-14, -0x1.16367b05dd8e6p-14, -0x1.15e4f94299f11p-14, -0x1.1588b5495c49bp-14, -0x1.1521e2b50acdfp-14, -0x1.14b0b4c7ef401p-14, -0x1.14355e69e4b86p-14, -0x1.13b012266811ap-14, -0x1.1321022ab85e4p-14, -0x1.1288604449b07p-14, -0x1.11e65ddf1970bp-14, -0x1.113b2c040b5a4p-14, -0x1.1086fb579f74cp-14, -0x1.0fc9fc187e9f5p-14, -0x1.0f045e1e03816p-14, -0x1.0e3650d6fcf29p-14, -0x1.0d60034890a19p-14, -0x1.0c81a40d29fbp-14, -0x1.0b9b615342b15p-14, -0x1.0aad68dc5f54bp-14, -0x1.09b7e7fc2d3e2p-14, -0x1.08bb0b97a0d74p-14, -0x1.07b7002437bbp-14, -0x1.06abf1a7066a6p-14, -0x1.059a0bb42915cp-14, -0x1.0481796dedf63p-14, -0x1.0362658474346p-14, -0x1.023cfa350dec4p-14, -0x1.01116149afe14p-14, -0x1.ffbf8830f2adp-15, -0x1.fd509706db3e5p-15, -0x1.fad63ff0369d3p-15, -0x1.f850d2de6ce12p-15, -0x1.f5c09ed89c45dp-15, -0x1.f325f1fb95908p-15, -0x1.f0811979434d5p-15, -0x1.edd261986107ap-15, -0x1.eb1a15b4763f3p-15, -0x1.e858803d88955p-15, -0x1.e58deab86e4eap-15, -0x1.e2ba9dbea5f8dp-15, -0x1.dfdee0fe9f8dep-15, -0x1.dcfafb3be01fbp-15, -0x1.da0f324f402c1p-15, -0x1.d71bcb2778d87p-15, -0x1.d42109c94e75ap-15, -0x1.d11f315043ec1p-15, -0x1.ce1683ef1e3d1p-15, -0x1.cb0742f09117p-15, -0x1.c7f1aeb7de145p-15, -0x1.c4d606c146397p-15, -0x1.c1b489a3447c8p-15, -0x1.be8d750f6142fp-15, -0x1.bb6105d2da45ep-15, -0x1.b82f77d77104ap-15, -0x1.b4f90624d5376p-15, -0x1.b1bdeae17117ep-15, -0x1.ae7e5f539f96cp-15, -0x1.ab3a9be29c4efp-15, -0x1.a7f2d817da282p-15, -0x1.a4a74aa00df3bp-15, }}, 
      {{-0x1.acc966163a0cdp-1, -0x1.acc56a287fe3fp-1, -0x1.acbd8a970774cp-1, -0x1.acb0225dc2dd3p-1, -0x1.ac9b349fb07c1p-1, -0x1.ac7c9ce5c9ec3p-1, -0x1.ac5237f419a85p-1, -0x1.ac1a038eb0aep-1, -0x1.abd23540c9254p-1, -0x1.ab794916fb034p-1, -0x1.ab0e099a02dcap-1, -0x1.aa8f9269d48b5p-1, -0x1.a9fd4ec31e7a6p-1, -0x1.a956f5110e38ap-1, -0x1.a89c807e79e3ap-1, -0x1.a7ce294b6281ap-1, -0x1.a6ec5c818f5a1p-1, -0x1.a5f7b37e52c75p-1, -0x1.a4f0eba89ee98p-1, -0x1.a3d8de913eccep-1, -0x1.a2b07aa6aee0cp-1, -0x1.a178bc960d822p-1, -0x1.a032a966396p-1, -0x1.9edf4950e70ddp-1, -0x1.9d7fa3568ea36p-1, -0x1.9c14b9853767dp-1, -0x1.9a9f85e6d55eep-1, -0x1.9920f809dc958p-1, -0x1.9799f31587cep-1, -0x1.960b4c5aeec2cp-1, -0x1.9475ca5426ff9p-1, -0x1.92da240327a92p-1, -0x1.913900a2f42c1p-1, -0x1.8f92f79e7ff45p-1, -0x1.8de890c1c5d81p-1, -0x1.8c3a449aaa6fcp-1, -0x1.8a887d004a70cp-1, -0x1.88d395b874a93p-1, -0x1.871bdd3404dd2p-1, -0x1.8561955bcfe49p-1, -0x1.83a4f468b0d7dp-1, -0x1.81e625c2119e3p-1, -0x1.80254adf0a0cep-1, -0x1.7e627c26d22e5p-1, -0x1.7c9dc9cddcadap-1, -0x1.7ad73cad6faebp-1, -0x1.790ed71407ca6p-1, -0x1.7744958d3055p-1, -0x1.75786f9fd83a3p-1, -0x1.73aa58826eaacp-1, -0x1.71da3fc453f21p-1, -0x1.700811ec6037p-1, -0x1.6e33b90c6a2bap-1, -0x1.6c5d1d49dfb2ap-1, -0x1.6a84255b9caf8p-1, -0x1.68a8b6fd43117p-1, -0x1.66cab7586e439p-1, -0x1.64ea0b642139ap-1, -0x1.6306983ae3dd6p-1, -0x1.61204367feea3p-1, -0x1.5f36f32c5713cp-1, -0x1.5d4a8ebb5d1d2p-1, -0x1.5b5afe709629p-1, -0x1.59682bfe32591p-1, -0x1.577202952f854p-1, -0x1.55786f077d78ap-1, -0x1.537b5fe494f4p-1, -0x1.517ac590f20c5p-1, -0x1.4f769258da92cp-1, -0x1.4d6eba7ed6fe6p-1, -0x1.4b6334463872bp-1, -0x1.4953f7fa0e2cdp-1, -0x1.4740fff0d86a2p-1, -0x1.452a488d4c8f4p-1, -0x1.430fd03c73ca5p-1, -0x1.40f197716d325p-1, -0x1.3ecfa09f104d3p-1, -0x1.3ca9f02faf193p-1, -0x1.3a808c7b31a81p-1, -0x1.38537dbbba59ep-1, -0x1.3622ce010909ep-1, -0x1.33ee8922c4c1ap-1, -0x1.31b6bcb1d5f25p-1, -0x1.2f7b77e8f8cacp-1, -0x1.2d3ccb9ca752fp-1, -0x1.2afaca2a7ba2p-1, -0x1.28b5876828157p-1, -0x1.266d18921c30bp-1, -0x1.24219439f2bb9p-1, -0x1.21d31234ba459p-1, -0x1.1f81ab892cbb3p-1, -0x1.1d2d7a5de84cap-1, -0x1.1ad699e7b9435p-1, -0x1.187d2658022ffp-1, -0x1.16213ccb4d381p-1, -0x1.13c2fb38168ffp-1, -0x1.1162805dd416dp-1, -0x1.0effebb447b71p-1, -0x1.0c9b5d5b1f66ep-1, -0x1.0a34f609ef51bp-1, -0x1.07ccd70083f79p-1, -0x1.056321f79903cp-1, -0x1.02f7f911f3889p-1, -0x1.008b7ecde5589p-1, -0x1.fc3babee74ba2p-2, -0x1.f75e43332a665p-2, -0x1.f27f09e67294fp-2, -0x1.ed9e46d08ac6ep-2, -0x1.e8bc40ecbd48ap-2, -0x1.e3d93f519c7fap-2, -0x1.def5891a1b001p-2, -0x1.da11654f8af8dp-2, -0x1.d52d1ad479f72p-2, -0x1.d048f0506d677p-2, -0x1.cb652c1c793b4p-2, -0x1.c6821430b4383p-2, -0x1.c19fee127fd2bp-2, -0x1.bcbefec3a5574p-2, -0x1.b7df8ab24238fp-2, -0x1.b301d5a98548dp-2, -0x1.ae2622c32cfffp-2, -0x1.a94cb459d40e2p-2, -0x1.a475cbfbf54efp-2, -0x1.9fa1aa5fb2231p-2, -0x1.9ad08f574ede8p-2, -0x1.9602b9c662368p-2, -0x1.91386797b3499p-2, -0x1.8c71d5b3c2bd8p-2, -0x1.87af3ff7f9ab4p-2, -0x1.82f0e12e7831bp-2, -0x1.7e36f30682cc7p-2, -0x1.7981ae0d8453p-2, -0x1.74d149a8a7b2cp-2, -0x1.7025fc0efb523p-2, -0x1.6b7ffa4423634p-2, -0x1.66df78138d134p-2, -0x1.6244a80c2a114p-2, -0x1.5dafbb7c9f4edp-2, -0x1.5920e26ff5f02p-2, -0x1.54984baabc61dp-2, -0x1.501624a89410dp-2, -0x1.4b9a999a341f6p-2, -0x1.4725d563ca37fp-2, -0x1.42b8019bc8727p-2, -0x1.3e51468a0ba07p-2, -0x1.39f1cb2763ac9p-2, -0x1.3599b51d714c7p-2, -0x1.314928c6da57p-2, -0x1.2d00492fcf77dp-2, -0x1.28bf3816dd174p-2, -0x1.248615ee0afc6p-2, -0x1.205501dc3e57fp-2, -0x1.1c2c19bee4d15p-2, -0x1.180b7a2bda119p-2, -0x1.13f33e739028ep-2, -0x1.0fe380a36f5d9p-2, -0x1.0bdc59886eb7dp-2, -0x1.07dde0b1df20dp-2, -0x1.03e82c746bb99p-2, -0x1.fff6a3da8b781p-3, -0x1.f82eca0afdf56p-3, -0x1.f078f0eb1b6f9p-3, -0x1.e8d53b91eadbcp-3, -0x1.e143cac430ffp-3, -0x1.d9c4bcfc54e4bp-3, -0x1.d2582e727d818p-3, -0x1.cafe3924fa1bp-3, -0x1.c3b6f4e0d3254p-3, -0x1.bc82774a99943p-3, -0x1.b560d3e75c001p-3, -0x1.ae521c25d0904p-3, -0x1.a7565f679dafcp-3, -0x1.a06dab0aca565p-3, -0x1.99980a7351814p-3, -0x1.92d58714cc8acp-3, -0x1.8c26287c36223p-3, -0x1.8589f459ceb11p-3, -0x1.7f00ee8b04454p-3, -0x1.788b192475bf2p-3, -0x1.7228747bfc28ap-3, -0x1.6bd8ff32c6845p-3, -0x1.659cb63f7218cp-3, -0x1.5f7394f8328ffp-3, -0x1.595d951cf5b1dp-3, -0x1.535aaee18b842p-3, -0x1.4d6ad8f7c8425p-3, -0x1.478e0899a6551p-3, -0x1.41c431935f7e8p-3, -0x1.3c0d464d7e1b6p-3, -0x1.366937d6e4b7ap-3, -0x1.30d7f5eec951ep-3, -0x1.2b596f0ea1abap-3, -0x1.25ed907403484p-3, -0x1.2094462a6d6edp-3, -0x1.1b4d7b1506db7p-3, -0x1.161918f8402bdp-3, -0x1.10f708836757dp-3, -0x1.0be7315a22895p-3, -0x1.06e97a1dd2525p-3, -0x1.01fdc876d7bep-3, -0x1.fa48023b9194p-4, -0x1.f0b80fc906e49p-4, -0x1.e74b7f7e4af2cp-4, -0x1.de021599cc8f6p-4, -0x1.d4db94c1b0549p-4, -0x1.cbd7be1510492p-4, -0x1.c2f6513cf1a0dp-4, -0x1.ba370c7d1206bp-4, -0x1.b199acc463fa8p-4, -0x1.a91dedbd48549p-4, -0x1.a0c389dd8bf97p-4, -0x1.988a3a762286ep-4, -0x1.9071b7c294a71p-4, -0x1.8879b8f82ee1ep-4, -0x1.80a1f454e84d9p-4, -0x1.78ea1f2e02b3bp-4, -0x1.7151edfe65393p-4, -0x1.69d91474acc91p-4, -0x1.627f4580f788ap-4, -0x1.5b44336265e27p-4, -0x1.54278fb45612fp-4, -0x1.4d290b7b543d7p-4, -0x1.46485731c3f55p-4, -0x1.3f8522d44368ep-4, -0x1.38df1dedc17e6p-4, -0x1.3255f7a350eaap-4, -0x1.2be95ebfae936p-4, -0x1.259901be8680fp-4, -0x1.1f648ed76a594p-4, -0x1.194bb408860fap-4, -0x1.134e1f210b92cp-4, -0x1.0d6b7dcb5a928p-4, -0x1.07a37d96debcfp-4, -0x1.01f5cc01ad10fp-4, -0x1.f8c42d03b279fp-5, -0x1.edd0151d12bf7p-5, -0x1.e30eab518a58fp-5, -0x1.d87f4ac802a94p-5, -0x1.ce214edcd8a13p-5, -0x1.c3f41331eb564p-5, -0x1.b9f6f3be2d58bp-5, -0x1.b0294cdcb7046p-5, -0x1.a68a7b5b5adcdp-5, -0x1.9d19dc88ba8aep-5, -0x1.93d6ce41e169p-5, -0x1.8ac0aeff6b4e9p-5, -0x1.81d6dde22b48p-5, -0x1.7918babf637b8p-5, -0x1.7085a62c845dcp-5, -0x1.681d018a7ed54p-5, -0x1.5fde2f10a34f9p-5, -0x1.57c891d70b52fp-5, -0x1.4fdb8de0a7ef1p-5, -0x1.48168824d3a03p-5, -0x1.4078e6988424cp-5, -0x1.39021037131fcp-5, -0x1.31b16d0aa6acfp-5, -0x1.2a8666342ce31p-5, -0x1.238065f2ffbap-5, -0x1.1c9ed7ac23424p-5, -0x1.15e127f12be63p-5, -0x1.0f46c486c6067p-5, -0x1.08cf1c6ae1668p-5, -0x1.02799fda8d164p-5, -0x1.f88b80aeec3abp-6, -0x1.ec65e15a2df9fp-6, -0x1.e08149eb22afep-6, -0x1.d4dca53c7e3ffp-6, -0x1.c976e0d7d7999p-6, -0x1.be4eecfd913abp-6, -0x1.b363bcac2c834p-6, -0x1.a8b445a703a1bp-6, -0x1.9e3f807c809c9p-6, -0x1.9404688bc366p-6, -0x1.8a01fc09c675cp-6, -0x1.80373c05fdaebp-6, -0x1.76a32c6e796bcp-6, -0x1.6d44d4139137fp-6, -0x1.641b3cab0f286p-6, -0x1.5b2572d2ea9f6p-6, -0x1.526286139548bp-6, -0x1.49d188e1d562cp-6, -0x1.417190a03fa01p-6, -0x1.3941b5a0352fp-6, -0x1.314113229d7fep-6, -0x1.296ec7581a579p-6, -0x1.21c9f361022eap-6, -0x1.1a51bb4ce8906p-6, -0x1.13054619d912dp-6, -0x1.0be3bdb3361f9p-6, -0x1.04ec4ef0537a7p-6, -0x1.fc3c53256ed4ap-7, -0x1.eef1008822946p-7, -0x1.e1f51127d3787p-7, -0x1.d546f5ea270f4p-7, -0x1.c8e525758a69ap-7, -0x1.bcce1c2b13b24p-7, -0x1.b1005c1fc624dp-7, -0x1.a57a6d1566d6ap-7, -0x1.9a3adc72e7f17p-7, -0x1.8f403d3c5db62p-7, -0x1.8489280a87215p-7, -0x1.7a143b0204eefp-7, -0x1.6fe019ca135cfp-7, -0x1.65eb6d8308d0cp-7, -0x1.5c34e4bc63e6ep-7, -0x1.52bb336a98c45p-7, -0x1.497d12dc8726ep-7, -0x1.407941b0a691bp-7, -0x1.37ae83c9ecf42p-7, -0x1.2f1ba2447b0c3p-7, -0x1.26bf6b69fa416p-7, -0x1.1e98b2a5ce964p-7, -0x1.16a6507907dcep-7, -0x1.0ee7226e27b62p-7, -0x1.075a0b0ca980fp-7, -0x1.fffbe398d7c56p-8, -0x1.f1a38611d6e48p-8, -0x1.e3a8dfe8a45c8p-8, -0x1.d609dd14d08ap-8, -0x1.c8c47306c6732p-8, -0x1.bbd6a08d23b3p-8, -0x1.af3e6dba056b5p-8, -0x1.a2f9ebc7d2532p-8, -0x1.970734fe376fap-8, -0x1.8b646c96b7dfp-8, -0x1.800fbea1428c7p-8, -0x1.75075fe89e3b8p-8, -0x1.6a498dd6b57cfp-8, -0x1.5fd48e58ea3d4p-8, -0x1.55a6afc437c8bp-8, -0x1.4bbe48b9617a8p-8, -0x1.4219b809255c4p-8, -0x1.38b7649837e29p-8, -0x1.2f95bd4389f89p-8, -0x1.26b338c45ea1bp-8, -0x1.1e0e55946f3e7p-8, -0x1.15a599d236a93p-8, -0x1.0d7793252f17cp-8, -0x1.0582d6a2332d3p-8, -0x1.fb8c015fc8c71p-9, -0x1.ec7f69d67b4ebp-9, -0x1.dddd3c186adc7p-9, -0x1.cfa2db94d73f3p-9, -0x1.c1cdb9843cd89p-9, -0x1.b45b54b2543ffp-9, -0x1.a74939483dcf2p-9, -0x1.9a95009741ccbp-9, -0x1.8e3c50e3aa7c6p-9, -0x1.823cdd300bf54p-9, -0x1.76946508ec3c3p-9, -0x1.6b40b450b1bc2p-9, -0x1.603fa30c00a5ap-9, -0x1.558f152e72605p-9, -0x1.4b2cfa67dc8a3p-9, -0x1.41174df1ce91cp-9, -0x1.374c165d8b297p-9, -0x1.2dc9656279a43p-9, -0x1.248d57ad201cfp-9, -0x1.1b9614ae612d3p-9, -0x1.12e1ce6b492fdp-9, -0x1.0a6ec14d6ba21p-9, -0x1.023b33f383824p-9, -0x1.f48aee0586a38p-10, -0x1.e517c9f12fdecp-10, -0x1.d619c3f999a9dp-10, -0x1.c78db768c112ap-10, -0x1.b97092294903cp-10, -0x1.abbf546e29126p-10, -0x1.9e77105b2c96dp-10, -0x1.9194e9ae781a7p-10, -0x1.8516156b39231p-10, -0x1.78f7d9852f4a7p-10, -0x1.6d378c8dae82fp-10, -0x1.61d29560fc8f4p-10, -0x1.56c66ad594dd6p-10, -0x1.4c10936bb8f1p-10, -0x1.41aea4fe9ce2ap-10, -0x1.379e44766e4b7p-10, -0x1.2ddd257b57641p-10, -0x1.24690a29bc44cp-10, -0x1.1b3fc2c76d96ap-10, -0x1.125f2d79fa604p-10, -0x1.09c535fe1a2bfp-10, -0x1.016fd56002605p-10, -0x1.f2ba2369e4b33p-11, -0x1.e315fbab5076dp-11, -0x1.d3ef7234388bp-11, -0x1.c542de2be2dbap-11, -0x1.b70caeacaab7bp-11, -0x1.a9496a40fe831p-11, -0x1.9bf5ae633736bp-11, -0x1.8f0e2efed5b0dp-11, -0x1.828fb5f45f0eap-11, -0x1.7677229e97d9cp-11, -0x1.6ac1695a5aa5ap-11, -0x1.5f6b931026e67p-11, -0x1.5472bcbfa013fp-11, -0x1.49d4170d335d3p-11, -0x1.3f8ce5d15816ep-11, -0x1.359a7faa63efdp-11, -0x1.2bfa4d8f6e7e2p-11, -0x1.22a9ca65c6187p-11, -0x1.19a6829837eefp-11, -0x1.10ee13afbdbacp-11, -0x1.087e2bee6f7cfp-11, -0x1.005489ec3679dp-11, -0x1.f0ddf86a9d732p-12, -0x1.e196c1d4fba9fp-12, -0x1.d2cf4ac5ec8dcp-12, -0x1.c4838ba0c3f6cp-12, -0x1.b6af99c85cdaep-12, -0x1.a94fa6edda2fbp-12, -0x1.9c6000623dc75p-12, -0x1.8fdd0e6bb4895p-12, -0x1.83c3539e21221p-12, -0x1.780f6c36997ffp-12, -0x1.6cbe0d7aac967p-12, -0x1.61cc051a4b38bp-12, -0x1.57363894f45e2p-12, -0x1.4cf9a4a26f959p-12, -0x1.43135c9de03f1p-12, -0x1.398089f467674p-12, -0x1.303e6b96580f3p-12, -0x1.274a556bc4f11p-12, -0x1.1ea1afcb5fd78p-12, -0x1.1641f6f4ffe77p-12, -0x1.0e28ba8df66f4p-12, -0x1.06539d211bc58p-12, -0x1.fd80a7419b99cp-13, -0x1.eed949d8787fbp-13, -0x1.e0acd2ad9d6c8p-13, -0x1.d2f7146504da5p-13, -0x1.c5b402b97d1f4p-13, -0x1.b8dfb19b12c5p-13, -0x1.ac765452b725dp-13, -0x1.a0743caa89492p-13, -0x1.94d5da1b9dac6p-13, -0x1.8997b8feedfedp-13, -0x1.7eb681c4fcbb8p-13, -0x1.742ef82ffbe11p-13, -0x1.69fdfa93f9b1bp-13, -0x1.6020811ab2982p-13, -0x1.56939d0bc80cfp-13, -0x1.4d5478194fdf2p-13, -0x1.446053b06e6a2p-13, -0x1.3bb4884e38125p-13, -0x1.334e84d8b17fap-13, -0x1.2b2bcdfb2dd5dp-13, -0x1.2349fd870e516p-13, -0x1.1ba6c1d8876b4p-13, -0x1.143fdd3e200a7p-13, -0x1.0d132565438cfp-13, -0x1.061e82c921c8fp-13, -0x1.febfe04b769e7p-14, -0x1.f1aaf3dd05387p-14, -0x1.e4fa7b8fa2edep-14, -0x1.d8aad4087a355p-14, -0x1.ccb87a49f79c5p-14, -0x1.c1200aba297ffp-14, -0x1.b5de40313206cp-14, -0x1.aaeff30c15fe6p-14, -0x1.a052184650b5ep-14, -0x1.9601c099684a5p-14, -0x1.8bfc17a2521f4p-14, -0x1.823e630ba3051p-14, -0x1.78c601be41589p-14, -0x1.6f906b17a0258p-14, -0x1.669b2e23e100dp-14, -0x1.5de3f0df0fb88p-14, -0x1.55686f79aa87p-14, -0x1.4d267ba370149p-14, -0x1.451bfbda7d082p-14, -0x1.3d46eabf07574p-14, -0x1.35a5566bcd7c7p-14, -0x1.2e355fd42b56p-14, -0x1.26f53a246730ep-14, -0x1.1fe32a289527bp-14, -0x1.18fd85b66d4f3p-14, -0x1.1242b31b52d33p-14, -0x1.0bb1288f8554cp-14, -0x1.05476babc758dp-14, -0x1.fe0821c86524ep-15, -0x1.f1cb760bb0246p-15, -0x1.e5d6357147899p-15, -0x1.da25dc09fc9f5p-15, -0x1.ceb7ffb8ded88p-15, -0x1.c38a4f4b5da5fp-15, -0x1.b89a919a67753p-15, -0x1.ade6a4af29823p-15, -0x1.a36c7cefcb361p-15, -0x1.992a2451d185ap-15, -0x1.8f1db99418438p-15, -0x1.85456f7b9fa03p-15, -0x1.7b9f8c19e8bd2p-15, -0x1.722a68167ce62p-15, -0x1.68e46dfeac2efp-15, -0x1.5fcc199aa9d7ep-15, -0x1.56dff7483326dp-15, -0x1.4e1ea35a1cc5bp-15, -0x1.4586c97c34044p-15, -0x1.3d17241d917f2p-15, -0x1.34ce7bde2f497p-15, -0x1.2caba7021f843p-15, -0x1.24ad88e7e15c8p-15, -0x1.1cd31184f1c01p-15, -0x1.151b3ce59e7f8p-15, -0x1.0d8512b0281dap-15, -0x1.060fa5adbd567p-15, -0x1.fd7426ace098bp-16, -0x1.ef0706c1a9a1bp-16, -0x1.e0d64eab354edp-16, -0x1.d2e0744dc73fep-16, -0x1.c523ff952c734p-16, -0x1.b79f89b2e1ed7p-16, -0x1.aa51bc5ea096ap-16, -0x1.9d395121a10c9p-16, -0x1.905510a6bbe36p-16, -0x1.83a3d20e1f315p-16, -0x1.77247a4bada59p-16, -0x1.6ad5fb8731466p-16, -0x1.5eb7548394bd7p-16, -0x1.52c7900ce482ep-16, -0x1.4705c4688890cp-16, -0x1.3b7112ce0a7a7p-16, -0x1.3008a6e2a7c45p-16, -0x1.24cbb63a77b1ap-16, -0x1.19b97fddb16fap-16, -0x1.0ed14bd4307d9p-16, -0x1.04126ab2ab963p-16, -0x1.f2f86a5ce6acep-17, -0x1.de1c176ac0c46p-17, -0x1.c98eac1071871p-17, -0x1.b54f05b46807p-17, -0x1.a15c0ee8137eep-17, -0x1.8db4beb3ee043p-17, -0x1.7a5817eeb83ccp-17, -0x1.674528953b1acp-17, -0x1.547b092ff701ap-17, -0x1.41f8dc3948a95p-17, -0x1.2fbdcd8d05283p-17, -0x1.1dc911ddfbbd6p-17, -0x1.0c19e62f41ca2p-17, -0x1.f55f1eae41355p-18, -0x1.d312b304493c2p-18, -0x1.b14d2f7fe5c8ap-18, -0x1.900d4727ccf97p-18, -0x1.6f51b9140ac73p-18, -0x1.4f194fa2e1609p-18, -0x1.2f62dfb62ad0ap-18, -0x1.102d47f96eaa6p-18, -0x1.e2eee064ea4c3p-19, -0x1.a6809130705ecp-19, -0x1.6b0d9263ecaep-19, -0x1.3093e27fc4348p-19, -0x1.ee231aa0371a7p-20, -0x1.7d0955c361999p-20, -0x1.0dd6bce5a14f6p-20, -0x1.410f5602e31cep-21, -0x1.a8c46da042dd6p-23, 0x1.a3d0e3e47bf25p-23, 0x1.38678b99e6f28p-21, 0x1.0217d2c197d84p-20, 0x1.66299ba838536p-20, 0x1.c86c6df0592b8p-20, 0x1.1471c6c3fdba5p-19, 0x1.43c91b01698bbp-19, 0x1.723dcdec31e28p-19, 0x1.9fd176b0498ebp-19, 0x1.cc85a9f5bb453p-19, 0x1.f85bfa52e2052p-19, 0x1.11aafc616034cp-18, 0x1.26ba9a85eb3c3p-18, 0x1.3b5d9f11c95c2p-18, 0x1.4f94d143d40e9p-18, 0x1.6360f84a2c018p-18, 0x1.76c2db676392dp-18, 0x1.89bb4218ed8e9p-18, 0x1.9c4af435a8e02p-18, 0x1.ae72ba0bd009cp-18, 0x1.c0335c7de04e8p-18, 0x1.d18da5191ee1p-18, 0x1.e2825e2d7d6dp-18, 0x1.f31252e05bb8dp-18, 0x1.019f279f38d6dp-17, 0x1.098390255fa59p-17, 0x1.1136ca0615b0bp-17, 0x1.18b93cccb0e61p-17, 0x1.200b50909024dp-17, 0x1.272d6df9d8415p-17, 0x1.2e1ffe43bf00bp-17, 0x1.34e36b3fc54fp-17, 0x1.3b781f561cd95p-17, 0x1.41de8587b75ebp-17, 0x1.4817096daceb3p-17, 0x1.4e2217393a66bp-17, 0x1.54001bb252aa3p-17, 0x1.59b18436493bfp-17, 0x1.5f36beb5fb32ap-17, 0x1.649039b315b11p-17, 0x1.69be643d08f01p-17, 0x1.6ec1adedbe9cfp-17, 0x1.739a86e5ba55bp-17, 0x1.78495fc760892p-17, 0x1.7ccea9b34f281p-17, 0x1.812ad642eeeefp-17, 0x1.855e57833a025p-17, 0x1.89699fefd4b0dp-17, 0x1.8d4d226d1463p-17, 0x1.910952421c298p-17, 0x1.949ea312d9969p-17, 0x1.980d88d9ae018p-17, 0x1.9b5677e154512p-17, 0x1.9e79e4bd81133p-17, 0x1.a17844451d4dfp-17, 0x1.a4520b8aec5b6p-17, 0x1.a707afd6740f4p-17, 0x1.a999a69db4639p-17, 0x1.ac08657d331fdp-17, 0x1.ae546231e8d82p-17, 0x1.b07e129149b26p-17, 0x1.b285ec8241b97p-17, 0x1.b46c65f63f999p-17, 0x1.b631f4e174293p-17, 0x1.b7d70f345915ap-17, 0x1.b95c2ad3f1dcdp-17, 0x1.bac1bd92d0c6p-17, 0x1.bc083d29cf79p-17, 0x1.bd301f318a239p-17, 0x1.be39d91aa6369p-17, 0x1.bf25e02744e63p-17, 0x1.bff4a963de572p-17, 0x1.c0a6a9a07d5b4p-17, 0x1.c13c556a0544p-17, 0x1.c1b621033b2e7p-17, 0x1.c214805e9d63fp-17, 0x1.c257e71758791p-17, 0x1.c280c86b97bd4p-17, 0x1.c28f9735972bdp-17, 0x1.c284c5e5e8548p-17, 0x1.c260c67ceef16p-17, 0x1.c2240a85217dp-17, 0x1.c1cf030d2e656p-17, 0x1.c16220a229e6p-17, 0x1.c0ddd349f867ep-17, 0x1.c0428a7dba537p-17, 0x1.bf90b524b3d24p-17, 0x1.bec8c18ead193p-17, 0x1.bdeb1d6f2dc0ap-17, 0x1.bcf835d86a49fp-17, 0x1.bbf0773661343p-17, 0x1.bad44d4a572e4p-17, 0x1.b9a42325cd422p-17, 0x1.b86063267052p-17, 0x1.b70976f1bda4ap-17, 0x1.b59fc7708ef1bp-17, 0x1.b423bccb817cap-17, 0x1.b295be66e13eep-17, 0x1.b0f632deb98ap-17, 0x1.af4580037e6ddp-17, 0x1.ad840ad666da4p-17, 0x1.abb23785f9325p-17, 0x1.a9d0696b18226p-17, 0x1.a7df0305b4ab2p-17, 0x1.a5de65f9c3e91p-17, 0x1.a3cef30c7a084p-17, 0x1.a1b10a21b6384p-17, 0x1.9f850a3977459p-17, 0x1.9d4b516d03d1ap-17, 0x1.9b043ced15f2bp-17, 0x1.98b028ff97dc4p-17, 0x1.964f70fd5ac36p-17, 0x1.93e26f500bbb6p-17, 0x1.91697d70c5a85p-17, 0x1.8ee4f3e61767p-17, 0x1.8c552a426ed6p-17, 0x1.89ba7722a504bp-17, 0x1.8715302c832d5p-17, 0x1.8465aa0dc22eap-17, 0x1.81ac387aaf3a6p-17, 0x1.7ee92e2d4c74ap-17, 0x1.7c1cdce45631p-17, 0x1.794795626f194p-17, 0x1.7669a76d46903p-17, 0x1.738361cd2e0c5p-17, 0x1.7095124c6d98ap-17, 0x1.6d9f05b6e0644p-17, 0x1.6aa187d9ae248p-17, 0x1.679ce382daacp-17, 0x1.6491628183e2ep-17, 0x1.617f4da58419fp-17, 0x1.5e66ecbf66836p-17, 0x1.5b4886a0e493dp-17, 0x1.5824611cdd5cfp-17, 0x1.54fac10770ef4p-17, 0x1.51cbea36b8d18p-17, 0x1.4e981f82fdc24p-17, 0x1.4b5fa2c73bdefp-17, 0x1.4822b4e1b4a15p-17, 0x1.44e195b4b2946p-17, 0x1.419c84272115ap-17, 0x1.3e53be25773d1p-17, 0x1.3b0780a26b49fp-17, 0x1.37b80797f69e7p-17, 0x1.34658e0861a8ap-17, 0x1.31104dff43fa3p-17, 0x1.2db880926f55dp-17, 0x1.2a5e5de34d05p-17, 0x1.27021d2002af8p-17, 0x1.23a3f484ae41fp-17, 0x1.2044195cadca8p-17, 0x1.1ce2c004079dbp-17, 0x1.19801be8d5f0bp-17, 0x1.161c5f8cafdb9p-17, 0x1.12b7bc861b946p-17, 0x1.0f52638241ceep-17, 0x1.0bec84467d13dp-17, 0x1.08864db1b83e7p-17, 0x1.051fedbe589eep-17, 0x1.01b99183cd76fp-17, 0x1.fca6ca708182ep-18, 0x1.f5db2864f15e5p-18, 0x1.ef1091d74d19bp-18, 0x1.e8475a01e6722p-18, 0x1.e17fd26b44681p-18, 0x1.daba4ae9a3111p-18, 0x1.d3f711a6a7018p-18, 0x1.cd3673235b136p-18, 0x1.c678ba3c2135p-18, 0x1.bfbe302c85871p-18, 0x1.b9071c9316f51p-18, 0x1.b253c575bd2efp-18, 0x1.aba46f4545bd4p-18, 0x1.a4f95ce1fc45cp-18, 0x1.9e52cf9f5f1c4p-18, 0x1.97b107489afeap-18, 0x1.911442245791dp-18, 0x1.8a7cbcf91d35dp-18, 0x1.83eab31179ffbp-18, 0x1.7d5e5e4049499p-18, 0x1.76d7f6e4c888cp-18, 0x1.7057b3ef0b8acp-18, 0x1.69ddcae44d3efp-18, 0x1.636a6fe2f13c9p-18, 0x1.5cfdd5a6d84b5p-18, 0x1.56982d8de276ap-18, 0x1.5039a79c35769p-18, 0x1.49e272803c7b6p-18, 0x1.4392bb9761041p-18, 0x1.3d4aaef209826p-18, 0x1.370a7758017d2p-18, 0x1.30d23e4cf54c3p-18, 0x1.2aa22c1491046p-18, 0x1.247a67b6c5263p-18, 0x1.1e5b17041f794p-18, 0x1.18445e9a1a1b1p-18, 0x1.123661e7663afp-18, 0x1.0c3143301b2a6p-18, 0x1.06352391f420cp-18, 0x1.00422308aa3ddp-18, 0x1.f4b0c0e44f462p-19, 0x1.e8eff32569938p-19, 0x1.dd4216324559p-19, 0x1.d1a761462c2e5p-19, 0x1.c6200981ed748p-19, 0x1.baac41f459dd6p-19, 0x1.af4c3ba2cc34bp-19, 0x1.a4002590ee2a3p-19, 0x1.98c82cc905bafp-19, 0x1.8da47c642f00dp-19, 0x1.82953d9294db1p-19, 0x1.779a97a2cccep-19, 0x1.6cb4b00a1f3c1p-19, 0x1.61e3aa6cb486bp-19, 0x1.5727a8a530573p-19, 0x1.4c80cacc648a3p-19, 0x1.41ef2f4154cf2p-19, 0x1.3772f2b0ab51dp-19, 0x1.2d0c301c3a126p-19, 0x1.22bb00e2bfaf3p-19, 0x1.187f7cc786236p-19, 0x1.0e59b9f98f616p-19, 0x1.0449cd1b23ed1p-19, 0x1.f49f92923643ap-20, 0x1.e0d78043e3cb4p-20, 0x1.cd3b839a1b7d8p-20, 0x1.b9cbba042a7c7p-20, 0x1.a6883e1f87a7cp-20, 0x1.937127c6059f1p-20, 0x1.80868c1b58fb4p-20, 0x1.6dc87d9b2b2f4p-20, 0x1.5b370c26a7acap-20, 0x1.48d24511b3b65p-20, 0x1.369a33300cd69p-20, 0x1.248edee23a5dfp-20, 0x1.12b04e238a5cep-20, 0x1.00fe8496b814ap-20, 0x1.def307245ad2p-21, 0x1.bc429458f32dp-21, 0x1.99ebaa91a5069p-21, }}, 
      {{-0x1.a8a1a4e46893ap-15, -0x1.cfcc23daa47abp-13, -0x1.2720dfb7ac8cfp-11, -0x1.2d35d841b7054p-10, -0x1.0e5537e1f5d5ep-9, -0x1.bbbf9310af9a7p-9, -0x1.543ca744327b5p-8, -0x1.ee1e9f517ba8dp-8, -0x1.571d1328008fdp-7, -0x1.cb0225e11046dp-7, -0x1.296d4f41623a8p-6, -0x1.7717310060b8fp-6, -0x1.ce00aaf05cb43p-6, -0x1.16b9c154f9becp-5, -0x1.4a45f181e9141p-5, -0x1.81217ac65da48p-5, -0x1.babc80e15c792p-5, -0x1.f67f5eddcf805p-5, -0x1.19e767bacb3efp-4, -0x1.3907c4f1f98bfp-4, -0x1.5854a8707eca7p-4, -0x1.7784bbf58f8a6p-4, -0x1.96527398a1219p-4, -0x1.b47cd47a4ef74p-4, -0x1.d1c80644c093bp-4, -0x1.edfdb5cb5217ap-4, -0x1.0476a785427d5p-3, -0x1.11360a44b4dcdp-3, -0x1.1d2a8cdeccd7dp-3, -0x1.284492d0233a2p-3, -0x1.327741133e4f2p-3, -0x1.3bb85e6760af7p-3, -0x1.44002dfbd092p-3, -0x1.4b49461c46dbbp-3, -0x1.5190644139c21p-3, -0x1.56d43fb0d76f1p-3, -0x1.5b155babf75c4p-3, -0x1.5e55d9f548db8p-3, -0x1.60994e58eb594p-3, -0x1.61e493b6d2e05p-3, -0x1.623da2f349fbcp-3, -0x1.61ab6c15e2f9dp-3, -0x1.6035b1c82a7a6p-3, -0x1.5de4e7520df51p-3, -0x1.5ac21121c8e23p-3, -0x1.56d6a7e022d61p-3, -0x1.522c7e071cccep-3, -0x1.4ccda7e926e3cp-3, -0x1.46c466108adc3p-3, -0x1.401b11da52c2ep-3, -0x1.38dc0c2cc56eep-3, -0x1.3111ae27a517ep-3, -0x1.28c63bab71684p-3, -0x1.2003d794ca5dap-3, -0x1.16d47989720e8p-3, -0x1.0d41e535742cap-3, -0x1.0355a2d827d19p-3, -0x1.f231f204de4c7p-4, -0x1.dd29ced24181ep-4, -0x1.c7a445611096fp-4, -0x1.b1b2222f1b9c8p-4, -0x1.9b638fd657237p-4, -0x1.84c81358e331fp-4, -0x1.6dee89aa800cfp-4, -0x1.56e5265303eadp-4, -0x1.3fb97308902bep-4, -0x1.287850235039fp-4, -0x1.112df5cf52047p-4, -0x1.f3cbebc73c7c9p-5, -0x1.c5567c903a572p-5, -0x1.971037ac17f46p-5, -0x1.690c7b418453cp-5, -0x1.3b5d712ccd3cp-5, -0x1.0e1416d3be8b6p-5, -0x1.c2808ae31edb9p-6, -0x1.69e17586a9024p-6, -0x1.126643ffab50ep-6, -0x1.785074202ce36p-7, -0x1.9cfa6dfbfa769p-8, -0x1.3bebefb8165b3p-10, 0x1.f21ef7446ea7p-9, 0x1.1d6f117ab66f2p-7, 0x1.bb187a9b7862p-7, 0x1.2ab39cdda242cp-6, 0x1.7620d69e17051p-6, 0x1.bfc8966456f2ep-6, 0x1.03d07957e35ffp-5, 0x1.26d0ad846be4dp-5, 0x1.48e14360af202p-5, 0x1.69ff320ec2d3ep-5, 0x1.8a2803f5a432ep-5, 0x1.a959cec699bdap-5, 0x1.c7932bbe2065ap-5, 0x1.e4d33021ccf65p-5, 0x1.008cb2fe16ee9p-4, 0x1.0e32e28ba8769p-4, 0x1.1b5c561b20133p-4, 0x1.28096d46c1f79p-4, 0x1.343ab4bd37fdcp-4, 0x1.3ff0e33c61fc5p-4, 0x1.4b2cd6ab012cap-4, 0x1.55ef9150d0dc9p-4, 0x1.603a372c92adep-4, 0x1.6a0e0b677f2ffp-4, 0x1.736c6de57faaap-4, 0x1.7c56d8f18a26ep-4, 0x1.84cedf056adbbp-4, 0x1.8cd628ac47bc6p-4, 0x1.946e727f18113p-4, 0x1.9b998b3a4de2bp-4, 0x1.a25951ebec2f8p-4, 0x1.a8afb43936d15p-4, 0x1.ae9eacbb440d7p-4, 0x1.b4284171809p-4, 0x1.b94e824991de8p-4, 0x1.be1387bb91d62p-4, 0x1.c279717a0a28ap-4, 0x1.c6826534dcbcbp-4, 0x1.ca308d6e495aep-4, 0x1.cd86186174159p-4, 0x1.d08536f99409ap-4, 0x1.d3301bd92c22dp-4, 0x1.d588fa7091a82p-4, 0x1.d79206232079p-4, 0x1.d94d717a62813p-4, 0x1.dabd6d66b2c29p-4, 0x1.dbe4288c8393dp-4, 0x1.dcc3ce9df01bep-4, 0x1.dd5e87bfe054ap-4, 0x1.ddb677fa365afp-4, 0x1.ddcdbeb294765p-4, 0x1.dda6763122c9ep-4, 0x1.dd42b32eded11p-4, 0x1.dca4846d024efp-4, 0x1.dbcdf254ff809p-4, 0x1.dac0fea0bfe43p-4, 0x1.d97fa40a8ac5cp-4, 0x1.d80bd6047061p-4, 0x1.d667807690b67p-4, 0x1.d494878417604p-4, 0x1.d294c75674c5ep-4, 0x1.d06a13ee8e4fap-4, 0x1.ce1638fb885e4p-4, 0x1.cb9af9b6e3a71p-4, 0x1.c8fa10c59d08cp-4, 0x1.c635301e10837p-4, 0x1.c34e00f24e67cp-4, 0x1.c046239eb33dp-4, 0x1.bd1f2f9c6ded3p-4, 0x1.b9dab377cf45ep-4, 0x1.b67a34ca101d8p-4, 0x1.b2ff30367c877p-4, 0x1.af6b196aa516p-4, 0x1.abbf5b2184935p-4, 0x1.a7fd5729672c6p-4, 0x1.a426666c4e72dp-4, 0x1.a03bd8fac5e3ep-4, 0x1.9c3ef618f32f3p-4, 0x1.9830fc4db1da9p-4, 0x1.94132173a4477p-4, 0x1.8fe692cc0af28p-4, 0x1.8bac75134a2eep-4, 0x1.8765e496f77bp-4, 0x1.8313f54d524a7p-4, 0x1.7eb7b2ee0b0f7p-4, 0x1.7a52210c3ce6dp-4, 0x1.75e43b318008dp-4, 0x1.716ef4f9faf69p-4, 0x1.6cf33a315c387p-4, 0x1.6871eef0a43afp-4, 0x1.63ebefbcaa86p-4, 0x1.5f6211a54c5e9p-4, 0x1.5ad522652ba97p-4, 0x1.5645e881f2cd2p-4, 0x1.51b5236d0688p-4, 0x1.4d238ba498872p-4, 0x1.4891d2d50928p-4, 0x1.4400a3fa8b32fp-4, 0x1.3f70a382f98bp-4, 0x1.3ae26f6fd527cp-4, 0x1.36569f785aa19p-4, 0x1.31cdc52ba576fp-4, 0x1.2d486c12d7304p-4, 0x1.28c719d336123p-4, 0x1.244a4e5038fd2p-4, 0x1.1fd283cd7a7e7p-4, 0x1.1b602f10874a3p-4, 0x1.16f3bf827f51ep-4, 0x1.128d9f51867a2p-4, 0x1.0e2e3391f89eap-4, 0x1.09d5dc5f5c7f5p-4, 0x1.0584f4fd107bep-4, 0x1.013bd3f6a9e76p-4, 0x1.f9f5968000e3bp-5, 0x1.f18450a9c932ep-5, 0x1.e92468b0f0aeep-5, 0x1.e0d668684fd92p-5, 0x1.d89ad16c80524p-5, 0x1.d0721d6037038p-5, 0x1.c85cbe27cad3p-5, 0x1.c05b1e23e132cp-5, 0x1.b86da06b381a2p-5, 0x1.b094a1038dc26p-5, 0x1.a8d075199db57p-5, 0x1.a1216b38332edp-5, 0x1.9987cb7e48b68p-5, 0x1.9203d7d43af1bp-5, 0x1.8a95cc200095fp-5, 0x1.833dde7870ff3p-5, 0x1.7bfc3f57909c8p-5, 0x1.74d119cbe49b9p-5, 0x1.6dbc93a8cdd41p-5, 0x1.66becdb5ea3d5p-5, 0x1.5fd7e3dd796a4p-5, 0x1.5907ed59cbc99p-5, 0x1.524efce1b2cf6p-5, 0x1.4bad20d3fe595p-5, 0x1.45226361fd72cp-5, 0x1.3eaecab90aeb7p-5, 0x1.3852592b250b9p-5, 0x1.320d0d56911a4p-5, 0x1.2bdee24c8cd27p-5, 0x1.25c7cfb710966p-5, 0x1.1fc7c9fda4255p-5, 0x1.19dec26948487p-5, 0x1.140ca74776862p-5, 0x1.0e51640c3b6e6p-5, 0x1.08ace1736bda5p-5, 0x1.031f05a0fbce3p-5, 0x1.fb4f6880eb2aep-6, 0x1.f08d9d47293bep-6, 0x1.e5f867c01582fp-6, 0x1.db8f81d8de924p-6, 0x1.d152a178b9308p-6, 0x1.c74178b77e9dcp-6, 0x1.bd5bb612b2008p-6, 0x1.b3a104a0f9a67p-6, 0x1.aa110c440e33ap-6, 0x1.a0ab71d926cb5p-6, 0x1.976fd767eaa2ap-6, 0x1.8e5ddc4feb82dp-6, 0x1.85751d74b74dfp-6, 0x1.7cb535687e687p-6, 0x1.741dbc9560a12p-6, 0x1.6bae49655607p-6, 0x1.63667068d5767p-6, 0x1.5b45c47c2256fp-6, 0x1.534bd6eb5f189p-6, 0x1.4b7837955f842p-6, 0x1.43ca750d46d4p-6, 0x1.3c421cbaf2fe7p-6, 0x1.34debafa41271p-6, 0x1.2d9fdb3935c6fp-6, 0x1.26850814feafep-6, 0x1.1f8dcb75ede1ep-6, 0x1.18b9aeaa58cb2p-6, 0x1.12083a807ae77p-6, 0x1.0b78f75f534f3p-6, 0x1.050b6d5e87c22p-6, 0x1.fd7e48baa2d14p-7, 0x1.f127483104219p-7, 0x1.e510e87f32eep-7, 0x1.d93a3911f9cap-7, 0x1.cda2498aa51f4p-7, 0x1.c24829e40f7a7p-7, 0x1.b72aea9604d12p-7, 0x1.ac499cb71fef6p-7, 0x1.a1a3521d07507p-7, 0x1.97371d7b41adep-7, 0x1.8d0412808bbffp-7, 0x1.830945f2c0138p-7, 0x1.7945cdc966111p-7, 0x1.6fb8c146f0a76p-7, 0x1.66613910a426dp-7, 0x1.5d3e4f454ab73p-7, 0x1.544f1f929f794p-7, 0x1.4b92c749a8a13p-7, 0x1.43086571c740ap-7, 0x1.3aaf1adaceaaap-7, 0x1.32860a2df3729p-7, 0x1.2a8c57fdba8eep-7, 0x1.22c12ad4e4ae7p-7, 0x1.1b23ab4462fb9p-7, 0x1.13b303f057212p-7, 0x1.0c6e619c31914p-7, 0x1.0554f335e890ep-7, 0x1.fccbd3c0b57eep-8, 0x1.ef40f1f9c140ep-8, 0x1.e207ac68219ccp-8, 0x1.d51e72fb8d36bp-8, 0x1.c883ba50c79a1p-8, 0x1.bc35fbbed37ccp-8, 0x1.b033b562acf57p-8, 0x1.a47b6a29d5ac2p-8, 0x1.990ba1db744p-8, 0x1.8de2e9205fd4cp-8, 0x1.82ffd189f4085p-8, 0x1.7860f197bfe4bp-8, 0x1.6e04e4bc28928p-8, 0x1.63ea4b6005263p-8, 0x1.5a0fcae5333f2p-8, 0x1.50740da843275p-8, 0x1.4715c30132296p-8, 0x1.3df39f434a7ap-8, 0x1.350c5bbc30de9p-8, 0x1.2c5eb6b215ee2p-8, 0x1.23e973613eb87p-8, 0x1.1bab59f8bb29cp-8, 0x1.13a3379676148p-8, 0x1.0bcfde429c589p-8, 0x1.043024ea62314p-8, 0x1.f985ceb45806ep-9, 0x1.eb0e0c6e4d8c2p-9, 0x1.dcf6cdf0b95f7p-9, 0x1.cf3de7be79beap-9, 0x1.c1e137df5f3a6p-9, 0x1.b4dea5cf5994dp-9, 0x1.a834226cdcc7ap-9, 0x1.9bdfa7e669ec7p-9, 0x1.8fdf39a7462adp-9, 0x1.8430e44397f6bp-9, 0x1.78d2bd63b403ep-9, 0x1.6dc2e3aeef80ep-9, 0x1.62ff7eb5add93p-9, 0x1.5886bedb0bf3dp-9, 0x1.4e56dd3de8bfep-9, 0x1.446e1ba186bcap-9, 0x1.3acac455ba1ap-9, 0x1.316b2a1ea7f1dp-9, 0x1.284da81c2bff4p-9, 0x1.1f70a1b0ef863p-9, 0x1.16d2826922c6bp-9, 0x1.0e71bde103c73p-9, 0x1.064ccfab0d4cp-9, 0x1.fcc4766c0db13p-10, 0x1.ed611765ad88dp-10, 0x1.de6ca7f451ed2p-10, 0x1.cfe45ce3f0b78p-10, 0x1.c1c579e5f3ebap-10, 0x1.b40d515bd66b1p-10, 0x1.a6b944219ca12p-10, 0x1.99c6c158466ddp-10, 0x1.8d3346301f497p-10, 0x1.80fc5db308c78p-10, 0x1.751fa08ed83cep-10, 0x1.699ab4dfb7c76p-10, 0x1.5e6b4dfa8cf63p-10, 0x1.538f2c37b743fp-10, 0x1.49041cbd97663p-10, 0x1.3ec7f94bab3a7p-10, 0x1.34d8a80586cdp-10, 0x1.2b341b3e4a589p-10, 0x1.21d85144322b9p-10, 0x1.18c3542c71fcdp-10, 0x1.0ff3399f7d769p-10, 0x1.076622a5800bp-10, 0x1.fe3476e67a16cp-11, 0x1.ee1b766ea618ep-11, 0x1.de7dc7cfae744p-11, 0x1.cf580420a5048p-11, 0x1.c0a6d9408a95ap-11, 0x1.b2670973f7fe7p-11, 0x1.a4956b03aae3p-11, 0x1.972ee7dc3b412p-11, 0x1.8a307d2e879b1p-11, 0x1.7d973b11319acp-11, 0x1.716044231674bp-11, 0x1.6588cd2eb54f5p-11, 0x1.5a0e1cceab159p-11, 0x1.4eed8b1361a98p-11, 0x1.442481297caf8p-11, 0x1.39b07901903e4p-11, 0x1.2f8efcf8dcfdp-11, 0x1.25bda7832ebd8p-11, 0x1.1c3a22d5bb578p-11, 0x1.130228935468cp-11, 0x1.0a13817965c66p-11, 0x1.016c050e57093p-11, 0x1.f21332a2394adp-12, 0x1.e1d464d32349dp-12, 0x1.d217a4b4aa48p-12, 0x1.c2d9116731f23p-12, 0x1.b414e48e419cp-12, 0x1.a5c771bad0de5p-12, 0x1.97ed25d7f34b7p-12, 0x1.8a828699aa7a7p-12, 0x1.7d8431ede6f7fp-12, 0x1.70eedd704bd48p-12, 0x1.64bf55df982f8p-12, 0x1.58f27e95cd113p-12, 0x1.4d8551027434dp-12, 0x1.4274dc26f0c9dp-12, 0x1.37be44156f3e8p-12, 0x1.2d5ec171c1bc5p-12, 0x1.2353a0f489b64p-12, 0x1.199a42f08f765p-12, 0x1.10301ada84032p-12, 0x1.0712aed2776b2p-12, 0x1.fc7f2e5fe7e9cp-13, 0x1.eb68fc1fbcbc4p-13, 0x1.dade3dc982b51p-13, 0x1.cada8c11a13dbp-13, 0x1.bb59a0a4f6656p-13, 0x1.ac5755555980fp-13, 0x1.9dcfa34a6992bp-13, 0x1.8fbea236bee4cp-13, 0x1.8220879044956p-13, 0x1.74f1a5cdbf18fp-13, 0x1.682e6ba72435fp-13, 0x1.5bd3635a210fp-13, 0x1.4fdd31f2fc2b1p-13, 0x1.444896986de56p-13, 0x1.391269dbca0c6p-13, 0x1.2e379d0c812fdp-13, 0x1.23b5398f8286dp-13, 0x1.1988603a04d4cp-13, 0x1.0fae48afe1895p-13, 0x1.062440c5ae3e4p-13, 0x1.f9cf57cb7a9a4p-14, 0x1.e7ec04f1df5a7p-14, 0x1.d699a2a5fa401p-14, 0x1.c5d37242f0745p-14, 0x1.b594dbbd1a5eap-14, 0x1.a5d96c8da97f2p-14, 0x1.969cd6a46b60fp-14, 0x1.87daef5f92382p-14, 0x1.798fae8a34124p-14, 0x1.6bb72d605bb0ap-14, 0x1.5e4da59894298p-14, 0x1.514f70749f7c8p-14, 0x1.44b905d6235c8p-14, 0x1.3886fb59f12a6p-14, 0x1.2cb60378fe394p-14, 0x1.2142ecae04715p-14, 0x1.162aa0a10fc36p-14, 0x1.0b6a2357e35bfp-14, 0x1.00fe926bc45d2p-14, 0x1.edca488807b14p-15, 0x1.da364eab87985p-15, 0x1.c73c02d0de996p-15, 0x1.b4d65dbdb50d7p-15, 0x1.a300840a875d4p-15, 0x1.91b5c4c765fe4p-15, 0x1.80f19829ce56p-15, 0x1.70af9e438a24cp-15, 0x1.60eb9dc18b35bp-15, 0x1.51a182b4383bcp-15, 0x1.42cd5d5f11a98p-15, 0x1.346b6110e62b3p-15, 0x1.2677e3036030ap-15, 0x1.18ef5943df2afp-15, 0x1.0bce59a1aa9b6p-15, 0x1.fe23314b11f0fp-16, 0x1.e56bd12025d5fp-16, 0x1.cd7070bc34863p-16, 0x1.b62b25ab4572bp-16, 0x1.9f963b3134ebfp-16, 0x1.89ac307d824ap-16, 0x1.7467b6ec10bb2p-16, 0x1.5fc3b051be17cp-16, 0x1.4bbb2d56bd545p-16, 0x1.38496bdc5b9b4p-16, 0x1.2569d56e85157p-16, 0x1.1317fdc1bd879p-16, 0x1.014fa13c040bcp-16, 0x1.e01947109ca59p-17, 0x1.be961c6b0e19dp-17, 0x1.9e0e1ec085ab9p-17, 0x1.7e79f0cbcbe08p-17, 0x1.5fd27944d00a3p-17, 0x1.4210e07115c15p-17, 0x1.252e8dc43595bp-17, 0x1.0925259748acap-17, 0x1.dbdd0ddc2ba75p-18, 0x1.a709929ffdffdp-18, 0x1.73c47569cd6d6p-18, 0x1.4202bafb0a527p-18, 0x1.11b9cd03222efp-18, 0x1.c5beeca8a45p-19, 0x1.6ad3be759bfd5p-19, 0x1.129f13e6a39bcp-19, 0x1.7a1d3cf24beadp-20, 0x1.a842d846ba2c7p-21, 0x1.994528f53ad78p-23, -0x1.a3b7d31169fcap-22, -0x1.00421691c968ep-20, -0x1.92f2594313583p-20, -0x1.108e227bf5ceap-19, -0x1.556e2ddc8d783p-19, -0x1.982711f1d7528p-19, -0x1.d8c6191a9f406p-19, -0x1.0bac0ce290273p-18, -0x1.29f4bd8c27b22p-18, -0x1.47431cbe92f0cp-18, -0x1.639cf579fb32p-18, -0x1.7f07e1a670cd6p-18, -0x1.99894c17d93f3p-18, -0x1.b3267282f3153p-18, -0x1.cbe4675d6d619p-18, -0x1.e3c813ab1c1d9p-18, -0x1.fad638be37e1cp-18, -0x1.0889b8f226ccdp-17, -0x1.13421b00eec2dp-17, -0x1.1d966c8ff3646p-17, -0x1.2788c6f5241a8p-17, -0x1.311b338f53f91p-17, -0x1.3a4fac762ba67p-17, -0x1.43281d248330bp-17, -0x1.4ba6631a3abc8p-17, -0x1.53cc4e78f557ap-17, -0x1.5b9ba29a2da63p-17, -0x1.6316169eba2dap-17, -0x1.6a3d55f894a8dp-17, -0x1.711300efebd5cp-17, -0x1.7798ad20ef706p-17, -0x1.7dcfe5f61d391p-17, -0x1.83ba2d1b81a85p-17, -0x1.8958faef701dep-17, -0x1.8eadbeeb77b6bp-17, -0x1.93b9e00b135a2p-17, -0x1.987ebd2cf8096p-17, -0x1.9cfdad6fff15ap-17, -0x1.a138008bd6083p-17, -0x1.a52eff25f761bp-17, -0x1.a8e3eb22afa8dp-17, -0x1.ac57fff1ec7ddp-17, -0x1.af8c72d9b2b82p-17, -0x1.b282733ad7fbbp-17, -0x1.b53b2ad506b7dp-17, -0x1.b7b7be051b3cp-17, -0x1.b9f94c02df63dp-17, -0x1.bc00ef1941eebp-17, -0x1.bdcfbcdd3849fp-17, -0x1.bf66c66221ecdp-17, -0x1.c0c71869c90c5p-17, -0x1.c1f1bb93ee931p-17, -0x1.c2e7b489ec7fcp-17, -0x1.c3aa042879ccdp-17, -0x1.c439a7a726adfp-17, -0x1.c49798bdd4de7p-17, -0x1.c4c4cdc7cfc54p-17, -0x1.c4c239e5176ep-17, -0x1.c490cd199eedbp-17, -0x1.c431746b02c89p-17, -0x1.c3a519fbc6ae8p-17, -0x1.c2eca5266adc6p-17, -0x1.c208fa94c3205p-17, -0x1.c0fafc57a002cp-17, -0x1.bfc389fc19367p-17, -0x1.be63809f5e73p-17, -0x1.bcdbbb022aa31p-17, -0x1.bb2d1199793afp-17, -0x1.b9585a9f7816ap-17, -0x1.b75e6a221087bp-17, -0x1.b54012117345p-17, -0x1.b2fe224ca4be9p-17, -0x1.b09968ae2d78bp-17, -0x1.ae12b11633796p-17, -0x1.ab6ac57599ff5p-17, -0x1.a8a26dd6aa001p-17, -0x1.a5ba7065f89ddp-17, -0x1.a2b3917a234c2p-17, -0x1.9f8e939ad20bcp-17, -0x1.9c4c37870e276p-17, -0x1.98ed3c3b3b437p-17, -0x1.95725ef5e33abp-17, -0x1.91dc5b3cd13e2p-17, -0x1.8e2beae085424p-17, -0x1.8a61c600baae5p-17, -0x1.867ea30e36f8dp-17, -0x1.828336ceb4b1fp-17, -0x1.7e70345e86e3cp-17, -0x1.7a464d3288d3ap-17, -0x1.76063119e1172p-17, -0x1.71b08e3f2ec7p-17, -0x1.6d4611294d7ecp-17, -0x1.68c764bc306a8p-17, -0x1.6435323959e49p-17, -0x1.5f90213fca2a7p-17, -0x1.5ad8d7cc40369p-17, -0x1.560ffa38a6c14p-17, -0x1.51362b3c1e571p-17, -0x1.4c4c0bea242a6p-17, -0x1.47523bb1fea56p-17, -0x1.4249585de1ed2p-17, -0x1.3d31fe122b4f2p-17, -0x1.380cc74c4a891p-17, -0x1.32da4ce16ccedp-17, -0x1.2d9b25fe1d881p-17, -0x1.284fe824105f6p-17, -0x1.22f92729e54eap-17, -0x1.1d977538f94f4p-17, -0x1.182b62cd11096p-17, -0x1.12b57eb208cd7p-17, -0x1.0d3656038506ep-17, -0x1.07ae742b42526p-17, -0x1.021e62dfb6922p-17, -0x1.f90d54460cecp-18, -0x1.edcfa083c1db3p-18, -0x1.e284b3a43337p-18, -0x1.d72d9363a19bfp-18, -0x1.cbcb420ce0c1p-18, -0x1.c05ebe76b501fp-18, -0x1.b4e90402cbee3p-18, -0x1.a96b0a9ba50a2p-18, -0x1.9de5c6b286ac1p-18, -0x1.925a293f8bd1dp-18, -0x1.86c91fbe40443p-18, -0x1.7b33942edf159p-18, -0x1.6f9a6d13a1c2fp-18, -0x1.63fe8d70ea92ep-18, -0x1.5860d4cca9cd8p-18, -0x1.4cc21f2d792bep-18, -0x1.4123451b3a14bp-18, -0x1.35851b9e96ca1p-18, -0x1.29e874419364bp-18, -0x1.1e4e1d0fdc832p-18, -0x1.12b6e09707dacp-18, -0x1.072385e83ba02p-18, -0x1.f729a1315bdbp-19, -0x1.e0170185b254cp-19, -0x1.c910a610ee161p-19, -0x1.b2180126a55e7p-19, -0x1.9b2e7e2ff6777p-19, -0x1.845581aee0e71p-19, -0x1.6d8e6943b221ap-19, -0x1.56da8baff8b38p-19, -0x1.403b38de62fcp-19, -0x1.29b1b9e66b62cp-19, -0x1.133f5114029dp-19, -0x1.f9ca73d9934aap-20, -0x1.cd4952722bc27p-20, -0x1.a0fd9a107fcccp-20, -0x1.74e99975a6c65p-20, -0x1.490f9214c5cb4p-20, -0x1.1d71b81f3ae8ep-20, -0x1.e424653987c61p-21, -0x1.8de636f23b5b1p-21, -0x1.382cff3081396p-21, -0x1.c5f97ba9229fcp-22, -0x1.1cb2b20271d13p-22, -0x1.d234e9f4e1bc7p-24, 0x1.937c2501ed59bp-25, 0x1.b078af2d2199p-23, 0x1.7cd23cc36218fp-22, 0x1.101532244830ap-21, 0x1.611f17d7f614bp-21, 0x1.b18398c1b416p-21, 0x1.009fcb3c039d3p-20, 0x1.28280557455d4p-20, 0x1.4f590380fec24p-20, 0x1.76315a600a766p-20, 0x1.9cafaa5d8504p-20, 0x1.c2d29f84c71a9p-20, 0x1.e898f1688cfd9p-20, 0x1.0700b18461693p-19, 0x1.1985615a97d2bp-19, 0x1.2bd9f4f6c3066p-19, 0x1.3dfddea4fda2dp-19, 0x1.4ff0962c1f4ffp-19, 0x1.61b198bfd51a4p-19, 0x1.734068f25988cp-19, 0x1.849c8ea2b0e9dp-19, 0x1.95c596f049acap-19, 0x1.a6bb1428ab725p-19, 0x1.b77c9dba7b2efp-19, 0x1.c809d0230d67ep-19, 0x1.d8624cdfdd263p-19, 0x1.e885ba5f617ffp-19, 0x1.f873c3eefc12fp-19, 0x1.04160cd61b727p-18, 0x1.0bd73839f10bp-18, 0x1.137d40e92571cp-18, 0x1.1b0805f95d632p-18, 0x1.227768c6f215fp-18, 0x1.29cb4cede002cp-18, 0x1.3103984058abbp-18, 0x1.382032bf05516p-18, 0x1.3f210690fe6c6p-18, 0x1.4605fffab514fp-18, 0x1.4ccf0d56a139ep-18, 0x1.537c1f0c1f36cp-18, 0x1.5a0d27873e6p-18, 0x1.60821b3162419p-18, 0x1.66daf06750f83p-18, 0x1.6d179f7290133p-18, 0x1.7338227fd8192p-18, 0x1.793c7597740eep-18, 0x1.7f249694ebb29p-18, 0x1.84f0851eb9d1cp-18, 0x1.8aa0429dbc4b6p-18, 0x1.9033d235e776cp-18, 0x1.95ab38bd080e6p-18, 0x1.9b067cb370897p-18, 0x1.a045a63b5ebd7p-18, 0x1.a568bf115c8c8p-18, 0x1.aa6fd28373a9dp-18, 0x1.af5aed6a5e61fp-18, 0x1.b42a1e2053e63p-18, 0x1.b8dd7479bbb33p-18, 0x1.bd7501bd85e39p-18, 0x1.c1f0d89cc9061p-18, 0x1.c6510d2b1a26p-18, 0x1.ca95b4d776625p-18, 0x1.cebee66376685p-18, 0x1.d2ccb9dc8f604p-18, 0x1.d6bf489429d1ep-18, 0x1.da96ad183556dp-18, 0x1.de53032b54d3dp-18, 0x1.e1f467be2cf0fp-18, 0x1.e57af8e734608p-18, 0x1.e8e6d5dc1b213p-18, 0x1.ec381eea0443p-18, 0x1.ef6ef56edcbb7p-18, 0x1.f28b7bd1f92ecp-18, 0x1.f58dd57cab12fp-18, 0x1.f87626d416568p-18, 0x1.fb449531e9f7cp-18, 0x1.fdf946dd28761p-18, 0x1.004a318207abap-17, 0x1.018b08da6c324p-17, 0x1.02bf3debb7f3p-17, 0x1.03e6e5933c84p-17, 0x1.05021514c276cp-17, 0x1.0610e216faf8p-17, 0x1.071362a07d3a4p-17, 0x1.0809ad1492bb5p-17, 0x1.08f3d8303fa32p-17, 0x1.09d1fb06fd2acp-17, 0x1.0aa42cffe1406p-17, 0x1.0b6a85d28c869p-17, 0x1.0c251d84303f4p-17, 0x1.0cd40c64cddc9p-17, 0x1.0d776b0c1345cp-17, 0x1.0e0f5256a7165p-17, 0x1.0e9bdb6372459p-17, 0x1.0f1d1f90c85ep-17, 0x1.0f9338799ed76p-17, 0x1.0ffe3ff2edf1ap-17, 0x1.105e50090c849p-17, 0x1.10b382fd1149bp-17, 0x1.10fdf3423d5eep-17, 0x1.113dbb7b66c98p-17, 0x1.1172f678a621bp-17, 0x1.119dbf34af5b2p-17, 0x1.11be30d27edccp-17, 0x1.11d4669aec82ep-17, 0x1.11e07bfa696e7p-17, 0x1.11e28c7e977ebp-17, 0x1.11dab3d40c757p-17, 0x1.11c90dc4317f9p-17, 0x1.11adb632ef25bp-17, 0x1.1188c91c81e05p-17, 0x1.115a62937d5e2p-17, 0x1.11229ebe9ae6p-17, 0x1.10e199d6bd0bap-17, 0x1.10977024de34bp-17, 0x1.10443e002ac94p-17, 0x1.0fe81fcc05c59p-17, 0x1.0f8331f62333dp-17, 0x1.0f1590f4af3p-17, 0x1.0e9f594468867p-17, 0x1.0e20a766f1cc3p-17, 0x1.0d9997e0fd493p-17, 0x1.0d0a473899bddp-17, 0x1.0c72d1f36e272p-17, 0x1.0bd3549523eacp-17, 0x1.0b2beb9dc32d4p-17, 0x1.0a7cb3882e6dep-17, 0x1.09c5c8c87db5ep-17, 0x1.090747ca7931fp-17, 0x1.08414cf028682p-17, 0x1.0773f49050b5ap-17, 0x1.069f5af505f53p-17, 0x1.05c39c5a5d289p-17, 0x1.04e0d4ed00b97p-17, 0x1.03f720c8dc5c9p-17, 0x1.03069bf7cf717p-17, 0x1.020f627069789p-17, 0x1.01119014adbe2p-17, 0x1.000d40b0e446ep-17, 0x1.fe051ff4b49efp-18, 0x1.fbe3331cac7cfp-18, 0x1.f9b4f1e1d652cp-18, 0x1.f77a9317bc279p-18, 0x1.f5344d5b3a19ep-18, 0x1.f2e2571074f72p-18, 0x1.f084e660b97a4p-18, 0x1.ee1c3138949cp-18, 0x1.eba86d460f576p-18, 0x1.e929cff6bee7cp-18, 0x1.e6a08e75dd638p-18, 0x1.e40cddaa955a1p-18, 0x1.e16ef23677d19p-18, 0x1.dec70073aac87p-18, 0x1.dc153c737a012p-18, 0x1.d959d9fcb109fp-18, 0x1.d6950c8a2f33fp-18, 0x1.d3c7074963e77p-18, 0x1.d0effd18e8154p-18, }}, 
      {{-0x1.de7dfecb49caep-7, -0x1.dbdc9bb7c438ap-6, -0x1.61e03c0541393p-5, -0x1.d2c63da8b20fap-5, -0x1.2024bcdaf393bp-4, -0x1.552cf83e4a555p-4, -0x1.888cf5c6fdb17p-4, -0x1.ba6564cf68f78p-4, -0x1.eade8d65f7bdp-4, -0x1.0d1124d7ebe2ep-3, -0x1.242be8076afe6p-3, -0x1.3ad084ff31c7fp-3, -0x1.510c93857e373p-3, -0x1.66ea0ee95a9bdp-3, -0x1.7c6f6b40a4637p-3, -0x1.919fe311993f5p-3, -0x1.a67be707ddd4fp-3, -0x1.bb019eb24ddadp-3, -0x1.cf2d6dd64e73p-3, -0x1.e2fa759fc043dp-3, -0x1.f6630be8e7211p-3, -0x1.04b0928e9d929p-2, -0x1.0df757787a797p-2, -0x1.1702edb3bf4a7p-2, -0x1.1fd0ae4266052p-2, -0x1.285e48ce9b756p-2, -0x1.30a9d3caed464p-2, -0x1.38b1d6cd7511bp-2, -0x1.40754ff276749p-2, -0x1.47f3b511705b2p-2, -0x1.4f2cf186308bfp-2, -0x1.562161412c6c4p-2, -0x1.5cd1c9c0ed1d4p-2, -0x1.633f5183bee61p-2, -0x1.696b766daa4d5p-2, -0x1.6f58038c6c7ebp-2, -0x1.750706919b163p-2, -0x1.7a7ac54b30a8fp-2, -0x1.7fb5b354564f6p-2, -0x1.84ba682b66ea4p-2, -0x1.898b95cf20df7p-2, -0x1.8e2bfffb5e577p-2, -0x1.929e74159b20ap-2, -0x1.96e5c1d2dd741p-2, -0x1.9b04b49b041cep-2, -0x1.9efe0da91cc49p-2, -0x1.a2d47ee4d41e9p-2, -0x1.a68aa66e6fe62p-2, -0x1.aa230ad4b65fcp-2, -0x1.ada017eac81c5p-2, -0x1.b1041c32f3d51p-2, -0x1.b45146d312d7cp-2, -0x1.b789a606b7dc8p-2, -0x1.baaf26038de9cp-2, -0x1.bdc390447d36bp-2, -0x1.c0c88b3090b3ap-2, -0x1.c3bf9a13189ccp-2, -0x1.c6aa1d5b19d34p-2, -0x1.c9895318bc003p-2, -0x1.cc5e57b00e556p-2, -0x1.cf2a26b924824p-2, -0x1.d1ed9c0643174p-2, -0x1.d4a974c96344cp-2, -0x1.d75e50d30c664p-2, -0x1.da0cb3e5120d3p-2, -0x1.dcb507144cb41p-2, -0x1.df579a35051aep-2, -0x1.e1f4a54e286e6p-2, -0x1.e48c4a0ff5469p-2, -0x1.e71e954b185c2p-2, -0x1.e9ab8065b8273p-2, -0x1.ec32f2cc2bbf5p-2, -0x1.eeb4c35b7f5b5p-2, -0x1.f130b9c426d3p-2, -0x1.f3a68fe390542p-2, -0x1.f615f313709e1p-2, -0x1.f87e856df0d36p-2, -0x1.fadfdf0602f63p-2, -0x1.fd398f1354b85p-2, -0x1.ff8b1d117fdd9p-2, -0x1.00ea04e918403p-1, -0x1.0209e84112891p-1, -0x1.0324f3d0782cp-1, -0x1.043ae0f5c745ep-1, -0x1.054b679cf5c36p-1, -0x1.06563ea7c08f2p-1, -0x1.075b1c4fa4875p-1, -0x1.0859b681a70ep-1, -0x1.0951c3341081cp-1, -0x1.0a42f8b649002p-1, -0x1.0b2d0dfb0253p-1, -0x1.0c0fbadce12cp-1, -0x1.0ceab85dd7997p-1, -0x1.0dbdc0e1665c2p-1, -0x1.0e889061f49e8p-1, -0x1.0f4ae4a179a45p-1, -0x1.10047d55a7f2dp-1, -0x1.10b51c4fcfd27p-1, -0x1.115c85a0afb17p-1, -0x1.11fa7fb861083p-1, -0x1.128ed382996p-1, -0x1.13194c7f6b3fep-1, -0x1.1399b8d8bb55ap-1, -0x1.140fe9749727dp-1, -0x1.147bb2049788ep-1, -0x1.14dce91281984p-1, -0x1.1533680a482ebp-1, -0x1.157f0b419da56p-1, -0x1.15bfb1fd37d69p-1, -0x1.15f53e73f08f3p-1, -0x1.161f95cfe3363p-1, -0x1.163ea02daad82p-1, -0x1.16524899e4e09p-1, -0x1.165a7d0d11ca3p-1, -0x1.16572e65f9287p-1, -0x1.16485062a8caap-1, -0x1.162dd9982c371p-1, -0x1.1607c36915588p-1, -0x1.15d609faf1a14p-1, -0x1.1598ac2abfa86p-1, -0x1.154fab807f32p-1, -0x1.14fb0c21ec934p-1, -0x1.149ad4c480113p-1, -0x1.142f0e9ebfbf9p-1, -0x1.13b7c558f8c25p-1, -0x1.133506fd6f902p-1, -0x1.12a6e3e81741bp-1, -0x1.120d6eb5dfc49p-1, -0x1.1168bc33a6d13p-1, -0x1.10b8e34cdd027p-1, -0x1.0ffdfcf9e6fa8p-1, -0x1.0f38242e4988ap-1, -0x1.0e6775c6ac3edp-1, -0x1.0d8c1076b9498p-1, -0x1.0ca614b6e90b5p-1, -0x1.0bb5a4b240172p-1, -0x1.0abae4340658ep-1, -0x1.09b5f895850f5p-1, -0x1.08a708abcdca1p-1, -0x1.078e3cb592c6ap-1, -0x1.066bbe491a5a7p-1, -0x1.053fb8424e81bp-1, -0x1.040a56b0f3937p-1, -0x1.02cbc6c7068a7p-1, -0x1.018436c74b3e8p-1, -0x1.0033d5f40ebb5p-1, -0x1.fdb5a8fc3e7fep-2, -0x1.faf2c6e804118p-2, -0x1.f81f6962cd57bp-2, -0x1.f53bf59dbc618p-2, -0x1.f248d223adf84p-2, -0x1.ef4666b9c2295p-2, -0x1.ec351c407c1adp-2, -0x1.e9155c957a7cfp-2, -0x1.e5e79275d0125p-2, -0x1.e2ac2960fe112p-2, -0x1.df638d7c9301p-2, -0x1.dc0e2b78735d1p-2, -0x1.d8ac7073cdbb2p-2, -0x1.d53ec9e2ba098p-2, -0x1.d1c5a5748a7a5p-2, -0x1.ce4170facb09bp-2, -0x1.cab29a50f4e46p-2, -0x1.c7198f44d1bb9p-2, -0x1.c376bd7f960d1p-2, -0x1.bfca926fae6c3p-2, -0x1.bc157b333e78ap-2, -0x1.b857e48357acap-2, -0x1.b4923a9fe168p-2, -0x1.b0c4e93c34dcfp-2, -0x1.acf05b6c6dbfbp-2, -0x1.a914fb9368ae5p-2, -0x1.a5333351773d1p-2, -0x1.a14b6b73bf17ap-2, -0x1.9d5e0be4490edp-2, -0x1.996b7b9abf309p-2, -0x1.9574208dd0aefp-2, -0x1.91785fa54460fp-2, -0x1.8d789cacad8d4p-2, -0x1.89753a46c9973p-2, -0x1.856e99e17ea43p-2, -0x1.81651baa7ac81p-2, -0x1.7d591e8473b91p-2, -0x1.794afffcff201p-2, -0x1.753b1c43070b1p-2, -0x1.7129ce1dd2958p-2, -0x1.6d176ee4a56c1p-2, -0x1.69045676ed5dcp-2, -0x1.64f0db3501f24p-2, -0x1.60dd51f96b74bp-2, -0x1.5cca0e12b6bc3p-2, -0x1.58b7613dc9d0cp-2, -0x1.54a59ba0c157cp-2, -0x1.50950bc648b54p-2, -0x1.4c85fe996ff58p-2, -0x1.4878bf61fc6bcp-2, -0x1.446d97c12f2ebp-2, -0x1.4064cfaefe5f2p-2, -0x1.3c5ead77be242p-2, -0x1.385b75ba395dbp-2, -0x1.345b6b66305fcp-2, -0x1.305ecfbb413adp-2, -0x1.2c65e24833daep-2, -0x1.2870e0eaa3d3bp-2, -0x1.248007cf0a0dap-2, -0x1.2093917121ed9p-2, -0x1.1cabb69ca12b7p-2, -0x1.18c8ae6e488p-2, -0x1.14eaae55437ccp-2, -0x1.1111ea14d4eadp-2, -0x1.0d3e93c652c43p-2, -0x1.0970dbdb6658ap-2, -0x1.05a8f12092606p-2, -0x1.01e700bffdaafp-2, -0x1.fc566c88f5dffp-3, -0x1.f4eb77399b832p-3, -0x1.ed8d723e5861ep-3, -0x1.e63cab19e449ep-3, -0x1.def96c2d2102bp-3, -0x1.d7c3fcbf4ecf1p-3, -0x1.d09ca106a6f8p-3, -0x1.c9839a314f2e9p-3, -0x1.c279266e9f9c6p-3, -0x1.bb7d80f8bac26p-3, -0x1.b490e21e6c96ep-3, -0x1.adb37f4d5467dp-3, -0x1.a6e58b1c4b6edp-3, -0x1.a02735560c7bep-3, -0x1.9978ab041149p-3, -0x1.92da1679a574fp-3, -0x1.8c4b9f5f29df2p-3, -0x1.85cd6abd7f991p-3, -0x1.7f5f9b09a256dp-3, -0x1.79025030636b9p-3, -0x1.72b5a7a2400abp-3, -0x1.6c79bc5f5b994p-3, -0x1.664ea70391bf1p-3, -0x1.60347dd2976c2p-3, -0x1.5a2b54c43803dp-3, -0x1.54333d909a726p-3, -0x1.4e4c47bc93749p-3, -0x1.487680a6026d3p-3, -0x1.42b1f3903462bp-3, -0x1.3cfea9b04459dp-3, -0x1.375caa39847b5p-3, -0x1.31cbfa69df4fep-3, -0x1.2c4c9d9633b4p-3, -0x1.26de9536ae294p-3, -0x1.2181e0f311709p-3, -0x1.1c367eaefabecp-3, -0x1.16fc6a961297p-3, -0x1.11d39f282eb18p-3, -0x1.0cbc154561696p-3, -0x1.07b5c439fa35dp-3, -0x1.02c0a1ca63d64p-3, -0x1.fbb9447df363fp-4, -0x1.f21370df77966p-4, -0x1.e88fab9fcd189p-4, -0x1.df2dd4f2e92fp-4, -0x1.d5edca70f74acp-4, -0x1.cccf672ce88cap-4, -0x1.c3d283caab534p-4, -0x1.baf6f69533493p-4, -0x1.b23c93942ec3fp-4, -0x1.a9a32ca18599bp-4, -0x1.a12a917e7c7dp-4, -0x1.98d28fe89b796p-4, -0x1.909af3ae42751p-4, -0x1.888386c2f12cep-4, -0x1.808c115340e63p-4, -0x1.78b459d88c538p-4, -0x1.70fc252c48223p-4, -0x1.6963369b07161p-4, -0x1.61e94ff72ba42p-4, -0x1.5a8e31ab45a21p-4, -0x1.53519acc19962p-4, -0x1.4c33492a54fd2p-4, -0x1.4532f963ea6dep-4, -0x1.3e5066f5186a3p-4, -0x1.378b4c4917b28p-4, -0x1.30e362ca75557p-4, -0x1.2a5862f31252fp-4, -0x1.23ea045bd0ea5p-4, -0x1.1d97fdcbe180cp-4, -0x1.17620547c4f08p-4, -0x1.1147d01fe9dd8p-4, -0x1.0b4912feff9f9p-4, -0x1.056581f7ea5a4p-4, -0x1.ff39a126c8cc2p-5, -0x1.f3dd63ba903a8p-5, -0x1.e8b5b0e30a6f7p-5, -0x1.ddc1ed1182b71p-5, -0x1.d3017c0946016p-5, -0x1.c873c0f7950eap-5, -0x1.be181e8aecaaep-5, -0x1.b3edf709a88bfp-5, -0x1.a9f4ac6808344p-5, -0x1.a02ba05d8d10dp-5, -0x1.96923479b608bp-5, -0x1.8d27ca3825847p-5, -0x1.83ebc3142163fp-5, -0x1.7add809b7d10dp-5, -0x1.71fc6480ebec2p-5, -0x1.6947d0adb23d5p-5, -0x1.60bf2752d33dfp-5, -0x1.5861caf996432p-5, -0x1.502f1e938df0ep-5, -0x1.4826858a07c92p-5, -0x1.404763cce901cp-5, -0x1.38911de10f27ep-5, -0x1.310318ee1d571p-5, -0x1.299cbacbc524cp-5, -0x1.225d6a0e8e6c2p-5, -0x1.1b448e141cea8p-5, -0x1.14518f0ef4623p-5, -0x1.0d83d611bfd4dp-5, -0x1.06dacd1a1ea75p-5, -0x1.0055df1afd4fep-5, -0x1.f3e8f00ce454dp-6, -0x1.e76c09ae4dcbcp-6, -0x1.db33e732ac8dep-6, -0x1.cf3f66e6a1c4bp-6, -0x1.c38d695b4b505p-6, -0x1.b81cd17591e9ap-6, -0x1.acec847cd61e6p-6, -0x1.a1fb6a28ad598p-6, -0x1.97486cadf3eb4p-6, -0x1.8cd278cb04394p-6, -0x1.82987dd34457bp-6, -0x1.78996db9f0b6cp-6, -0x1.6ed43d1c335ebp-6, -0x1.6547e34a88708p-6, -0x1.5bf35a518889cp-6, -0x1.52d59f01e7cbep-6, -0x1.49edb0f7fdf69p-6, -0x1.413a92a291eb9p-6, -0x1.38bb49490d33ap-6, -0x1.306edd112f714p-6, -0x1.28545904134f6p-6, -0x1.206acb12bf549p-6, -0x1.18b1441a16459p-6, -0x1.1126d7e65a75p-6, -0x1.09ca9d361eb5cp-6, -0x1.029badbcb6866p-6, -0x1.f7324c4881d09p-7, -0x1.e9844c1e5dd74p-7, -0x1.dc2ba032a5356p-7, -0x1.cf2693b130177p-7, -0x1.c27377ba663cdp-7, -0x1.b610a363097c9p-7, -0x1.a9fc73b31ae3ap-7, -0x1.9e354ba3ff03cp-7, -0x1.92b9941df68e9p-7, -0x1.8787bbf4cdb03p-7, -0x1.7c9e37e413c95p-7, -0x1.71fb828a6af11p-7, -0x1.679e1c6469b15p-7, -0x1.5d848bc6ca05ep-7, -0x1.53ad5cd8238bdp-7, -0x1.4a172189f45cep-7, -0x1.40c071913e885p-7, -0x1.37a7ea5ea1655p-7, -0x1.2ecc2f15e42fap-7, -0x1.262be8852aef5p-7, -0x1.1dc5c51ba780ep-7, -0x1.159878dfdecfap-7, -0x1.0da2bd6596aa6p-7, -0x1.05e351c349dacp-7, -0x1.fcb1f50ebc584p-8, -0x1.ee050359f0b51p-8, -0x1.dfbd6d20e5644p-8, -0x1.d1d8dbc723eb4p-8, -0x1.c4550342db69ap-8, -0x1.b72fa2043c766p-8, -0x1.aa6680dc12c56p-8, -0x1.9df772e251da5p-8, -0x1.91e0555bad218p-8, -0x1.861f0f9f37a24p-8, -0x1.7ab192fb839fp-8, -0x1.6f95da9b26d5ep-8, -0x1.64c9eb6946ea8p-8, -0x1.5a4bd3f5995b5p-8, -0x1.5019ac584829ap-8, -0x1.463196157c266p-8, -0x1.3c91bc00b3bd3p-8, -0x1.3338521ff7f81p-8, -0x1.2a23958eb4e81p-8, -0x1.2151cc60c3e0ap-8, -0x1.18c14584e3e48p-8, -0x1.107058a77d827p-8, -0x1.085d6615015d4p-8, -0x1.0086d69c66ca2p-8, -0x1.f1d636e3045dcp-9, -0x1.e3115c1ee69ap-9, -0x1.d4bc20359ede1p-9, -0x1.c6d39688316adp-9, -0x1.b954e25419261p-9, -0x1.ac3d3677f727fp-9, -0x1.9f89d5389fba8p-9, -0x1.93381005cd481p-9, -0x1.8745473fa4232p-9, -0x1.7baee9fb99cf3p-9, -0x1.707275ca4eeabp-9, -0x1.658d767d4ab2cp-9, -0x1.5afd85ecd21cep-9, -0x1.50c04bbe62c1fp-9, -0x1.46d37d2b2af89p-9, -0x1.3d34dcc7168ep-9, -0x1.33e23a4812aa4p-9, -0x1.2ad9724d6dda1p-9, -0x1.22186e28356c9p-9, -0x1.199d23a357b52p-9, -0x1.116594cc8ac4dp-9, -0x1.096fcfbd81f4cp-9, -0x1.01b9ee659d08dp-9, -0x1.f4842ca825375p-10, -0x1.e60cf104c5334p-10, -0x1.d80aa23f39eep-10, -0x1.ca79ceb784971p-10, -0x1.bd571a67b4864p-10, -0x1.b09f3e7d5ce0cp-10, -0x1.a44f08f3548cdp-10, -0x1.98635c2d35218p-10, -0x1.8cd92e93993cfp-10, -0x1.81ad8a3181d7ap-10, -0x1.76dd8c52c66ddp-10, -0x1.6c666523c96b7p-10, -0x1.6245575227ab7p-10, -0x1.5877b7ae8711bp-10, -0x1.4efaeccfb80aap-10, -0x1.45cc6eb6dd601p-10, -0x1.3ce9c67495e31p-10, -0x1.34508dcfa2a3ap-10, -0x1.2bfe6eec895c1p-10, -0x1.23f123f64bd4cp-10, -0x1.1c2676c891b42p-10, -0x1.149c409ab91d8p-10, -0x1.0d5069ac577b4p-10, -0x1.0640e8f29816dp-10, -0x1.fed7878e7771ap-11, -0x1.f19e1b3068385p-11, -0x1.e4d1cf322b56ep-11, -0x1.d86f00ea464dfp-11, -0x1.cc722805cc1f2p-11, -0x1.c0d7d5f1881cep-11, -0x1.b59cb54595192p-11, -0x1.aabd89337fcd1p-11, -0x1.a0372cf6907dcp-11, -0x1.960693465da5bp-11, -0x1.8c28c5cb7ca04p-11, -0x1.829ae49770928p-11, -0x1.795a259d1686ep-11, -0x1.7063d42d876c6p-11, -0x1.67b550758912cp-11, -0x1.5f4c0efdc96c6p-11, -0x1.5725982dbc004p-11, -0x1.4f3f87cfd3f01p-11, -0x1.47978c98e0c2bp-11, -0x1.402b67b0f579p-11, -0x1.38f8ec3e605b7p-11, -0x1.31fdfef376f56p-11, -0x1.2b38959dc88d7p-11, -0x1.24a6b6b7a8b8p-11, -0x1.1e4678fbfbf3cp-11, -0x1.181602fbfcp-11, -0x1.12138ab68decp-11, -0x1.0c3d55327a103p-11, -0x1.0691b619ff083p-11, -0x1.010f0f5857ac9p-11, -0x1.f767a1733c364p-12, -0x1.ecfcef189b838p-12, -0x1.e2db1c893d059p-12, -0x1.d8ff584441869p-12, -0x1.cf66e9ad9cbdbp-12, -0x1.c60f305f6cabdp-12, -0x1.bcf5a3817a94ep-12, -0x1.b417d120857a9p-12, -0x1.ab735d8c7ccf3p-12, -0x1.a30602b7f2cf1p-12, -0x1.9acd8f9bcd1e1p-12, -0x1.92c7e79eda0b7p-12, -0x1.8af301ffc4775p-12, -0x1.834ce942e11bfp-12, -0x1.7bd3baa30e2b2p-12, -0x1.7485a5855efdap-12, -0x1.6d60eaf1625abp-12, -0x1.6663dd0a6973dp-12, -0x1.5f8cde8ccb648p-12, -0x1.58da624f540ccp-12, -0x1.524aeac547fcbp-12, -0x1.4bdd09859fb1fp-12, -0x1.458f5ed2fb07p-12, -0x1.3f6099288f9b7p-12, -0x1.394f74c7c7528p-12, -0x1.335abb4a24bebp-12, -0x1.2d8143350d7dcp-12, -0x1.27c1ef904befap-12, -0x1.221baf7f140a6p-12, -0x1.1c8d7ddc1b68ep-12, -0x1.171660d753bc6p-12, -0x1.11b56996af02fp-12, -0x1.0c69b3d9210dp-12, -0x1.0732659bd2294p-12, -0x1.020eaec2122d4p-12, -0x1.f9fb917d5da64p-13, -0x1.effdec816962ep-13, -0x1.e62305c2d4322p-13, -0x1.dc6985a9370c9p-13, -0x1.d2d02536e4c7bp-13, -0x1.c955ad71bbf3ap-13, -0x1.bff8f6d09dac4p-13, -0x1.b6b8e8ac14777p-13, -0x1.ad9478b3e825ap-13, -0x1.a48aaa67536f6p-13, -0x1.9b9a8e9282742p-13, -0x1.92c342cd9ad73p-13, -0x1.8a03f100d6b23p-13, -0x1.815bceec8da33p-13, -0x1.78ca1db1f1187p-13, -0x1.704e2963695f1p-13, -0x1.67e74893cd0f7p-13, -0x1.5f94dbebaceafp-13, -0x1.57564dc1283eap-13, -0x1.4f2b11b1c3958p-13, -0x1.4712a440a8eb7p-13, -0x1.3f0c8a76c6284p-13, -0x1.37185186c898ep-13, -0x1.2f358e7288ccbp-13, -0x1.2763ddb4d2715p-13, -0x1.1fa2e2ec212d8p-13, -0x1.17f2488967825p-13, -0x1.1051bf8106d2ap-13, -0x1.08c0fefd45522p-13, -0x1.013fc414ed823p-13, -0x1.f39ba305216b1p-14, -0x1.e4d5debe81944p-14, -0x1.d62dd5bf1db3ap-14, -0x1.c7a32c22d631bp-14, -0x1.b9358f3d09741p-14, -0x1.aae4b51c41d34p-14, -0x1.9cb05c156da17p-14, -0x1.8e984a52c8f24p-14, -0x1.809c4d64e2602p-14, -0x1.72bc39d9e3483p-14, -0x1.64f7ead5d185bp-14, -0x1.574f41b0f6ea5p-14, -0x1.49c22597f96bap-14, -0x1.3c50833056decp-14, -0x1.2efa4c3fcea5p-14, -0x1.21bf7757a2c03p-14, -0x1.149fff816ef29p-14, -0x1.079be3f13718bp-14, -0x1.f5664f71fefa2p-15, -0x1.dbcba2fec9871p-15, -0x1.c267d67386b86p-15, -0x1.a93b03d06faddp-15, -0x1.90454aab2f88ap-15, -0x1.7786cfafb3d63p-15, -0x1.5effbc2b596bp-15, -0x1.46b03d9898c87p-15, -0x1.2e9885318cc0bp-15, -0x1.16b8c78740484p-15, -0x1.fe2278397c7dap-16, -0x1.cf443a0bebda8p-16, -0x1.a0d74d1b5bfd5p-16, -0x1.72dc2db3eb378p-16, -0x1.45535b3958cabp-16, -0x1.183d577d0c364p-16, -0x1.d7354c5cfb81fp-17, -0x1.7ed798823e873p-17, -0x1.27629ed405023p-17, -0x1.a1aed655d7d92p-18, -0x1.ecdc236965a27p-19, -0x1.34140dfd2a011p-20, 0x1.6a2914c526588p-20, 0x1.003dbf9ea5778p-18, 0x1.a4136aecb2ae6p-18, 0x1.2304a7d3dddc4p-17, 0x1.730ec092aa0e1p-17, 0x1.c2270f698cf69p-17, 0x1.0826555facfadp-16, 0x1.2ebf581d86262p-16, 0x1.54de22a8212a8p-16, 0x1.7a824be2bc2c2p-16, 0x1.9fab6f1453b97p-16, 0x1.c4592c21ff36fp-16, 0x1.e88b27c219571p-16, 0x1.062085d764a95p-15, 0x1.17bd436797bf2p-15, 0x1.291ba6b299409p-15, 0x1.3a3b8c978704ap-15, 0x1.4b1cd4c65c8b6p-15, 0x1.5bbf61cd560cep-15, 0x1.6c231929643dbp-15, 0x1.7c47e35081e6bp-15, 0x1.8c2dabbdad3ap-15, 0x1.9bd460fa35536p-15, 0x1.ab3bf4a5a58fep-15, 0x1.ba645b7cea03ap-15, 0x1.c94d8d607369bp-15, 0x1.d7f785581d7f9p-15, 0x1.e6624196ea251p-15, 0x1.f48dc37d80829p-15, 0x1.013d07cd67c37p-14, 0x1.081396d685f3cp-14, 0x1.0eca94509311bp-14, 0x1.156207482e81ep-14, 0x1.1bd9f85faa6ebp-14, 0x1.223271ccdbb6ap-14, 0x1.286b7f5759e7fp-14, 0x1.2e852e5631d24p-14, 0x1.347f8dad0f013p-14, 0x1.3a5aadc9aa35cp-14, 0x1.4016a09fc3286p-14, 0x1.45b379a63126ep-14, 0x1.4b314dd2820bdp-14, 0x1.50903394fe72cp-14, 0x1.55d042d46ff44p-14, 0x1.5af194e8f263ap-14, 0x1.5ff44497ca9dbp-14, 0x1.64d86e0de2beep-14, 0x1.699e2eda7dd5cp-14, 0x1.6e45a5ea15bbfp-14, 0x1.72cef38069699p-14, 0x1.773a39330ef74p-14, 0x1.7b8799e329d9fp-14, 0x1.7fb739b7eb9ap-14, 0x1.83c93e17abe44p-14, 0x1.87bdcda26a27dp-14, 0x1.8b95102add018p-14, 0x1.8f4f2eb0719b1p-14, 0x1.92ec535831d5ep-14, 0x1.966ca966c1aeep-14, 0x1.99d05d394ec79p-14, 0x1.9d179c3ec4bf2p-14, 0x1.a04294f17b817p-14, 0x1.a35176cfbe25bp-14, 0x1.a6447255a6d0cp-14, 0x1.a91bb8f59dd4ep-14, 0x1.abd77d11c38c3p-14, 0x1.ae77f1f4fa8a8p-14, 0x1.b0fd4bcc14382p-14, 0x1.b367bf9e8686cp-14, 0x1.b5b78348083cep-14, 0x1.b7eccd714c122p-14, 0x1.ba07d58927e29p-14, 0x1.bc08d3bdf01f7p-14, 0x1.bdf000f63bedcp-14, 0x1.bfbd96ca7c09ep-14, 0x1.c171cf7de854dp-14, 0x1.c30ce5f804b44p-14, 0x1.c48f15bdb2a74p-14, 0x1.c5f89aeaa7bc9p-14, 0x1.c749b22ac903dp-14, 0x1.c88298b39de93p-14, 0x1.c9a38c3dcde09p-14, 0x1.caaccafedd1dap-14, 0x1.cb9e93a27d355p-14, 0x1.cc7925448c7d9p-14, 0x1.cd3cbf6a8e505p-14, 0x1.cde9a1fdb53ap-14, 0x1.ce800d44c1eb9p-14, 0x1.cf0041ddc8f45p-14, 0x1.cf6a80b89a9cfp-14, 0x1.cfbf0b106499cp-14, 0x1.cffe22665abfep-14, 0x1.d028087bad628p-14, 0x1.d03cff4c239ebp-14, 0x1.d03d490852929p-14, 0x1.d029281042784p-14, 0x1.d000deedffef7p-14, 0x1.cfc4b0505deb1p-14, 0x1.cf74df059e662p-14, 0x1.cf11adf67ffa6p-14, 0x1.ce9b6020edc9cp-14, 0x1.ce12389358be2p-14, 0x1.cd767a6792aefp-14, 0x1.ccc868be296e1p-14, 0x1.cc0846b9cca36p-14, 0x1.cb36577a71018p-14, 0x1.ca52de1917684p-14, 0x1.c95e1da32b8c2p-14, 0x1.c8585916541a9p-14, 0x1.c741d35c20a4fp-14, 0x1.c61acf45d2901p-14, 0x1.c4e38f887c7c8p-14, 0x1.c39c56b8dd3a6p-14, 0x1.c245674798699p-14, 0x1.c0df037d4b132p-14, 0x1.bf696d77138cep-14, 0x1.bde4e722af145p-14, 0x1.bc51b23b1750fp-14, 0x1.bab010450f9f1p-14, 0x1.b900428bc2923p-14, 0x1.b7428a1d6a45ap-14, 0x1.b57727c864c39p-14, 0x1.b39e5c17b4b49p-14, 0x1.b1b867505c07ap-14, 0x1.afc5896e21166p-14, 0x1.adc60220f41c5p-14, 0x1.abba10ca0c9fcp-14, 0x1.a9a1f479394b7p-14, 0x1.a77debea36fdp-14, 0x1.a54e358258e36p-14, 0x1.a3130f4ddb68fp-14, 0x1.a0ccb6fdbc0edp-14, 0x1.9e7b69e5428ffp-14, 0x1.9c1f64f7e8f35p-14, 0x1.99b8e4c71a8bbp-14, 0x1.974825804c515p-14, 0x1.94cd62eacb317p-14, 0x1.9248d865f75aap-14, 0x1.8fbac0e751c79p-14, 0x1.8d2356f8c84c4p-14, 0x1.8a82d4b6fe36cp-14, 0x1.87d973cf8c78dp-14, 0x1.85276d7fa0c12p-14, 0x1.826cfa924a128p-14, 0x1.7faa535f2364dp-14, 0x1.7cdfafc8ee0e9p-14, 0x1.7a0d473c2ee34p-14, 0x1.773350ae135f5p-14, 0x1.7452029b1b348p-14, 0x1.7169930613cc7p-14, 0x1.6e7a3776ef967p-14, 0x1.6b8424f9d0da7p-14, 0x1.6887901e09046p-14, 0x1.6584acf542733p-14, 0x1.627baf1295ecfp-14, 0x1.5f6cc989dd804p-14, 0x1.5c582eeed0d09p-14, 0x1.593e11546b6cbp-14, 0x1.561ea24c4d051p-14, 0x1.52fa12e622a3cp-14, 0x1.4fd093af0dbbap-14, 0x1.4ca254b13e31bp-14, 0x1.496f85737471ep-14, 0x1.463854f8a13c6p-14, 0x1.42fcf1bf8d8ebp-14, 0x1.3fbd89c2828c3p-14, 0x1.3c7a4a7712e9p-14, 0x1.393360cde1fcfp-14, 0x1.35e8f93273aa4p-14, 0x1.329b3f8b08848p-14, 0x1.2f4a5f387dbfcp-14, 0x1.2bf68316509cbp-14, 0x1.289fd57a92b31p-14, 0x1.25468035e0093p-14, 0x1.21eaac937b006p-14, 0x1.1e8c835958c28p-14, 0x1.1b2c2cc84ab15p-14, 0x1.17c9d09c31ebap-14, 0x1.1465960c10c6bp-14, 0x1.10ffa3ca53c3ap-14, 0x1.0d982005073e1p-14, 0x1.0a2f30662d5a1p-14, 0x1.06c4fa140cbd1p-14, 0x1.0359a1b17da7fp-14, 0x1.ffda96bc8eeb7p-15, 0x1.f900356f13fbbp-15, 0x1.f22465b052f86p-15, 0x1.eb476cb288c31p-15, 0x1.e4698ea538b34p-15, 0x1.dd8b0eb6442bep-15, 0x1.d6ac2f12dba3cp-15, 0x1.cfcd30e8a1098p-15, 0x1.c8ee5466b4e6cp-15, 0x1.c20fd8befafe4p-15, 0x1.bb31fc27357bdp-15, 0x1.b454fbda54bep-15, 0x1.ad791419b96f5p-15, 0x1.a69e802e77575p-15, 0x1.9fc57a6aa2fb1p-15, 0x1.98ee3c2ad9f8p-15, 0x1.9218fdd79f0d4p-15, 0x1.8b45f6e6b796bp-15, 0x1.84755ddcc8ccdp-15, 0x1.7da7684eb1a53p-15, 0x1.76dc4ae32e8edp-15, 0x1.7014395468a4cp-15, 0x1.694f66718de38p-15, 0x1.628e042049a8bp-15, 0x1.5bd0435e8f58fp-15, 0x1.551654443b3ap-15, 0x1.4e606604b576ep-15, 0x1.47aea6f0ac8ebp-15, 0x1.41014477d1ed1p-15, 0x1.3a586b2a8e391p-15, 0x1.33b446bbbd91bp-15, 0x1.2d1502028ac5dp-15, 0x1.267ac6fc273ddp-15, 0x1.1fe5becd96b5ap-15, 0x1.195611c58db31p-15, 0x1.12cbe75e4589dp-15, 0x1.0c47663f2e245p-15, 0x1.05c8b43f033dfp-15, 0x1.fe9feccb26dcbp-16, 0x1.f1baa1db3833bp-16, 0x1.e4e1ce8d421f2p-16, 0x1.d815b82da0cebp-16, }}, 
      {{-0x1.b6c8697ff7116p-1, -0x1.b6c40a6fa460cp-1, -0x1.b6aff34322e2fp-1, -0x1.b681c3c24b0dep-1, -0x1.b63239267d142p-1, -0x1.b5bda88e52261p-1, -0x1.b5238995351ecp-1, -0x1.b465a91f1bacep-1, -0x1.b38752e11715ep-1, -0x1.b28c963d91ddbp-1, -0x1.b179b3db8cdc4p-1, -0x1.b052b533b41bdp-1, -0x1.af1b297bb8658p-1, -0x1.add601166eba4p-1, -0x1.ac8580575ab2fp-1, -0x1.ab2b4303c3bc6p-1, -0x1.a9c84afd7dd24p-1, -0x1.a85d159ec06bbp-1, -0x1.a6e9b45a885c8p-1, -0x1.a56de61fca769p-1, -0x1.a3e92fc0ec731p-1, -0x1.a25af23d180bep-1, -0x1.a0c27e419def8p-1, -0x1.9f1f2493e433p-1, -0x1.9d70435570cep-1, -0x1.9bb550409d639p-1, -0x1.99ede019a47a5p-1, -0x1.9819aba0f465bp-1, -0x1.9638925beb0c1p-1, -0x1.944a9b8afdc62p-1, -0x1.924ff5a1b018cp-1, -0x1.9048f48f36169p-1, -0x1.8e360f1f57bebp-1, -0x1.8c17dbb2f2aa2p-1, -0x1.89ef0c86ffc47p-1, -0x1.87bc6bb8b2cdap-1, -0x1.8580d72d60f88p-1, -0x1.833d3c7d9ed8dp-1, -0x1.80f294fc7e5cdp-1, -0x1.7ea1e1ee0cb8ap-1, -0x1.7c4c28fb34bdap-1, -0x1.79f270ece2173p-1, -0x1.7795beb4a92cfp-1, -0x1.753712c649fc3p-1, -0x1.72d766c2f1119p-1, -0x1.7077ab753a682p-1, -0x1.6e18c71b7c6c6p-1, -0x1.6bbb93fcbe71dp-1, -0x1.6960df43faddep-1, -0x1.6709681cb718p-1, -0x1.64b5df0bb0fbcp-1, -0x1.6266e57e2f9ecp-1, -0x1.601d0d8a8abb9p-1, -0x1.5dd8d9dc8c1fcp-1, -0x1.5b9abdc87d1b4p-1, -0x1.59631d7ff17a3p-1, -0x1.57324e63a1cabp-1, -0x1.5508976dfc725p-1, -0x1.52e631b26397p-1, -0x1.50cb48ed63346p-1, -0x1.4eb7fc227fcdep-1, -0x1.4cac5e448f8cap-1, -0x1.4aa876e5e1662p-1, -0x1.48ac42edbfca5p-1, -0x1.46b7b55124eadp-1, -0x1.44cab7ccbd7a8p-1, -0x1.42e52b9e8df83p-1, -0x1.4106ea3dd2501p-1, -0x1.3f2fc60fd96a2p-1, -0x1.3d5f8b18db938p-1, -0x1.3b95ffa7e89abp-1, -0x1.39d2e4fd3e232p-1, -0x1.3815f7ea72314p-1, -0x1.365ef16c00afdp-1, -0x1.34ad873be8253p-1, -0x1.33016c5d167cbp-1, -0x1.315a519f7fa07p-1, -0x1.2fb7e61ccb6aap-1, -0x1.2e19d7ad9618p-1, -0x1.2c7fd3574c07bp-1, -0x1.2ae985b2bb633p-1, -0x1.29569b4b7a07fp-1, -0x1.27c6c0f84747ap-1, -0x1.2639a42ca0079p-1, -0x1.24aef343b21c9p-1, -0x1.23265dc4f30d6p-1, -0x1.219f94a290fe8p-1, -0x1.201a4a720148dp-1, -0x1.1e96339eefcdap-1, -0x1.1d130698cfe7p-1, -0x1.1b907bfb54719p-1, -0x1.1a0e4eb211c9bp-1, -0x1.188c3c178d3dep-1, -0x1.170a040ffcd15p-1, -0x1.1587691ff5888p-1, -0x1.1404307f4aaabp-1, -0x1.128022285bf9fp-1, -0x1.10fb08e40b663p-1, -0x1.0f74b25297ce7p-1, -0x1.0deceef192af2p-1, -0x1.0c63921f270f8p-1, -0x1.0ad8721ae4eacp-1, -0x1.094b680442565p-1, -0x1.07bc4fd701ad1p-1, -0x1.062b0865a963dp-1, -0x1.04977352366d3p-1, -0x1.0301750535281p-1, -0x1.0168f4a362ef1p-1, -0x1.ff9bb803fe683p-2, -0x1.fc602f33da4ap-2, -0x1.f91f2cf38a96dp-2, -0x1.f5d8946def667p-2, -0x1.f28c4dbc2ee27p-2, -0x1.ef3a45c4db547p-2, -0x1.ebe26e19d4a0ap-2, -0x1.e884bcd51750bp-2, -0x1.e5212c74a1a46p-2, -0x1.e1b7bbb599c25p-2, -0x1.de486d6edadb4p-2, -0x1.dad3486b06473p-2, -0x1.d75857424497p-2, -0x1.d3d7a833c8324p-2, -0x1.d0514cff3672cp-2, -0x1.ccc55abe0b795p-2, -0x1.c933e9bd12adcp-2, -0x1.c59d15560c1b9p-2, -0x1.c200fbc98a19dp-2, -0x1.be5fbe1923d5p-2, -0x1.bab97fe20748fp-2, -0x1.b70e6737f92e1p-2, -0x1.b35e9c80d4e28p-2, -0x1.afaa4a5093c91p-2, -0x1.abf19d45ebf2bp-2, -0x1.a834c3e78bcacp-2, -0x1.a473ee81fdc54p-2, -0x1.a0af4f063d49dp-2, -0x1.9ce718e8ff80cp-2, -0x1.991b8102bb708p-2, -0x1.954cbd70724cdp-2, -0x1.917b05753f017p-2, -0x1.8da6915cadd8fp-2, -0x1.89cf9a5de3ba5p-2, -0x1.85f65a7f956d7p-2, -0x1.821b0c7ccc432p-2, -0x1.7e3debaa815d3p-2, -0x1.7a5f33de0c118p-2, -0x1.767f215464499p-2, -0x1.729df09a363bp-2, -0x1.6ebbde74cfd3cp-2, -0x1.6ad927cbdb19bp-2, -0x1.66f60993ec863p-2, -0x1.6312c0b9e55e4p-2, -0x1.5f2f8a0f1e97bp-2, -0x1.5b4ca23664a6bp-2, -0x1.576a4591beebfp-2, -0x1.5388b030fada2p-2, -0x1.4fa81dc101dafp-2, -0x1.4bc8c97beef54p-2, -0x1.47eaee19e667cp-2, -0x1.440ec5c2a89edp-2, -0x1.403489ffe0151p-2, -0x1.3c5c73b024d79p-2, -0x1.3886bafab53d3p-2, -0x1.34b39743da94cp-2, -0x1.30e33f21fbfc9p-2, -0x1.2d15e8535a8d3p-2, -0x1.294bc7b46e0bdp-2, -0x1.25851136e7db1p-2, -0x1.21c1f7d94d378p-2, -0x1.1e02ad9f2e059p-2, -0x1.1a476389ef66p-2, -0x1.16904992292f5p-2, -0x1.12dd8ea18df14p-2, -0x1.0f2f608d5d819p-2, -0x1.0b85ec115dad9p-2, -0x1.07e15ccb54a8ep-2, -0x1.0441dd36fea21p-2, -0x1.00a796aa7eec9p-2, -0x1.fa2562a68fd48p-3, -0x1.f306a866e1d08p-3, -0x1.ebf34a3eff4e4p-3, -0x1.e4eb91792b71bp-3, -0x1.ddefc4fe141fep-3, -0x1.d7002952c4de8p-3, -0x1.d01d009755f03p-3, -0x1.c9468a86588dfp-3, -0x1.c27d0474eea73p-3, -0x1.bbc0a95388e0bp-3, -0x1.b511b1af49f11p-3, -0x1.ae7053b405aeap-3, -0x1.a7dcc32ecf7cfp-3, -0x1.a157319119ddcp-3, -0x1.9adfcdf459115p-3, -0x1.9476c51e27e55p-3, -0x1.8e1c4184e7a94p-3, -0x1.87d06b54d35d5p-3, -0x1.819368757d4fep-3, -0x1.7b655c8fb729dp-3, -0x1.75466913dd609p-3, -0x1.6f36ad407c5fdp-3, -0x1.693646294da9dp-3, -0x1.63454ebe8502dp-3, -0x1.5d63dfd46cc6ap-3, -0x1.5792102b45182p-3, -0x1.51cff4776b313p-3, -0x1.4c1d9f69b579ap-3, -0x1.467b21b80fd44p-3, -0x1.40e88a26484cdp-3, -0x1.3b65e58f0a648p-3, -0x1.35f33eed073a6p-3, -0x1.30909f64470bep-3, -0x1.2b3e0e4b95f92p-3, -0x1.25fb91361a215p-3, -0x1.20c92bfcf994p-3, -0x1.1ba6e0c922907p-3, -0x1.1694b01d21d81p-3, -0x1.119298df0a983p-3, -0x1.0ca0986268e23p-3, -0x1.07beaa72469c4p-3, -0x1.02ecc95b31537p-3, -0x1.fc55dbea81dd5p-4, -0x1.f2f21f5c55658p-4, -0x1.e9ae49268c661p-4, -0x1.e08a42b7361bfp-4, -0x1.d785f2e3bbe6ep-4, -0x1.cea13dfcd7d11p-4, -0x1.c5dc05e26ef1p-4, -0x1.bd362a17532abp-4, -0x1.b4af87d4e707fp-4, -0x1.ac47fa1ea1e7p-4, -0x1.a3ff59d569f04p-4, -0x1.9bd57dcacc9eap-4, -0x1.93ca3ad4000bbp-4, -0x1.8bdd63dcc3afp-4, -0x1.840ec9f9fecb9p-4, -0x1.7c5e3c7c35dfep-4, -0x1.74cb8901c4186p-4, -0x1.6d567b88d9a6p-4, -0x1.65fede81419c2p-4, -0x1.5ec47adde6304p-4, -0x1.57a7182616b2ap-4, -0x1.50a67c86899f4p-4, -0x1.49c26ce21effep-4, -0x1.42faace25a7fbp-4, -0x1.3c4eff07958c3p-4, -0x1.35bf24b8ef4fap-4, -0x1.2f4ade53ef9e4p-4, -0x1.28f1eb3bdfd32p-4, -0x1.22b409e8dc136p-4, -0x1.1c90f7f69756dp-4, -0x1.16887232d4abep-4, -0x1.109a34ab8e26fp-4, -0x1.0ac5fabcdb41bp-4, -0x1.050b7f1e7b921p-4, -0x1.fed4f7e23b34p-5, -0x1.f3c55596a6de1p-5, -0x1.e8e7898c7a492p-5, -0x1.de3b0513bef2cp-5, -0x1.d3bf38b2668a8p-5, -0x1.c973943bc4c9cp-5, -0x1.bf5786e776395p-5, -0x1.b56a7f67a73a3p-5, -0x1.ababebfebfe4fp-5, -0x1.a21b3a947fa75p-5, -0x1.98b7d8ca7b41ap-5, -0x1.8f813410026afp-5, -0x1.8676b9b57533dp-5, -0x1.7d97d6ff02d26p-5, -0x1.74e3f936d3998p-5, -0x1.6c5a8dbea6339p-5, -0x1.63fb0220d7aedp-5, -0x1.5bc4c420e08eap-5, -0x1.53b741cb473d3p-5, -0x1.4bd1e98501871p-5, -0x1.44142a1a5334p-5, -0x1.3c7d72cd1f89p-5, -0x1.350d3362bc7abp-5, -0x1.2dc2dc313ca7p-5, -0x1.269dde2c3b59cp-5, -0x1.1f9daaf12770bp-5, -0x1.18c1b4d310a35p-5, -0x1.12096ee5fd2afp-5, -0x1.0b744d09c4f94p-5, -0x1.0501c3f46e9fp-5, -0x1.fd62927851f55p-6, -0x1.f104a6c1797a3p-6, -0x1.e4e8b3a940ae3p-6, -0x1.d90daa0b27242p-6, -0x1.cd727cc9a8242p-6, -0x1.c21620ddc8d63p-6, -0x1.b6f78d65dd2bep-6, -0x1.ac15bbb38875bp-6, -0x1.a16fa758e80cdp-6, -0x1.97044e3513b23p-6, -0x1.8cd2b07fcad1bp-6, -0x1.82d9d0d47bp-6, -0x1.7918b43c89e18p-6, -0x1.6f8e6238f4c64p-6, -0x1.6639e4cb410e5p-6, -0x1.5d1a487dcb691p-6, -0x1.542e9c6b74871p-6, -0x1.4b75f246a9226p-6, -0x1.42ef5e5fe1833p-6, -0x1.3a99f7ab73346p-6, -0x1.3274d7c6ef50bp-6, -0x1.2a7f1afdd6855p-6, -0x1.22b7e04de0b5fp-6, -0x1.1b1e496aabedcp-6, -0x1.13b17ac0f02afp-6, -0x1.0c709b793fc34p-6, -0x1.055ad57a44e5p-6, -0x1.fcdeaad51b9acp-7, -0x1.ef5a9563d39f7p-7, -0x1.e227cef4b12d6p-7, -0x1.d544c16123e7dp-7, -0x1.c8afdc0842a35p-7, -0x1.bc6793ce4b534p-7, -0x1.b06a631b6c02ap-7, -0x1.a4b6c9d9c6c3cp-7, -0x1.994b4d72c44c2p-7, -0x1.8e2678cbd161ap-7, -0x1.8346dc426119ap-7, -0x1.78ab0da77a47bp-7, -0x1.6e51a83a71d1bp-7, -0x1.64394ca359042p-7, -0x1.5a60a0ecb4f0bp-7, -0x1.50c6507cc265bp-7, -0x1.47690c0e428cep-7, -0x1.3e4789a8bdc22p-7, -0x1.3560849868428p-7, -0x1.2cb2bd658b92dp-7, -0x1.243cf9cb8a009p-7, -0x1.1bfe04af9112cp-7, -0x1.13f4ae16c9a7ep-7, -0x1.0c1fcb1c5a0edp-7, -0x1.047e35e6f7f3fp-7, -0x1.fa1d9b3c5b7f7p-8, -0x1.eba0ecbecec15p-8, -0x1.dd843265441ep-8, -0x1.cfc547fdd47b8p-8, -0x1.c26212fd1e316p-8, -0x1.b55882665a1bep-8, -0x1.a8a68eb2eb8bfp-8, -0x1.9c4a39b97d175p-8, -0x1.90418e94efdp-8, -0x1.848aa18adb941p-8, -0x1.79238ff1a660fp-8, -0x1.6e0a80169574cp-8, -0x1.633da1234ee2cp-8, -0x1.58bb2b036b327p-8, -0x1.4e815e49a162dp-8, -0x1.448e8414d7e6fp-8, -0x1.3ae0edf50659fp-8, -0x1.3176f5cfef823p-8, -0x1.284efdc5de253p-8, -0x1.1f6770161d2dap-8, -0x1.16bebf03740ap-8, -0x1.0e5364b88bf6dp-8, -0x1.0623e32c6553ap-8, -0x1.fc5d880d37fdcp-9, -0x1.ece531079a5edp-9, -0x1.dddbf2b3eecbcp-9, -0x1.cf3f0d399fe6dp-9, -0x1.c10bcf448962fp-9, -0x1.b33f95cdecd06p-9, -0x1.a5d7cbe5843fcp-9, -0x1.98d1ea7ae6856p-9, -0x1.8c2b7826e93c7p-9, -0x1.7fe208f56a5f5p-9, -0x1.73f33e2f4eca9p-9, -0x1.685cc624a5e79p-9, -0x1.5d1c5bf7333c5p-9, -0x1.522fc76539d83p-9, -0x1.4794dc94b4675p-9, -0x1.3d497bdea069ep-9, -0x1.334b919b10239p-9, -0x1.299915ed23c6dp-9, -0x1.20300c8fc5f73p-9, -0x1.170e84a2c0ae6p-9, -0x1.0e329877f5981p-9, -0x1.059a6d616087dp-9, -0x1.fa8866fea5932p-10, -0x1.ea5c4b1e8081dp-10, -0x1.daad1175e95a5p-10, -0x1.cb7758d083ecap-10, -0x1.bcb7d41278ae4p-10, -0x1.ae6b49d995f0dp-10, -0x1.a08e94200aec1p-10, -0x1.931e9fdf68971p-10, -0x1.86186cb54e582p-10, -0x1.79790c88bc371p-10, -0x1.6d3da330a04fbp-10, -0x1.6163661b6859bp-10, -0x1.55e79bf7c20e7p-10, -0x1.4ac79c5e1e56cp-10, -0x1.4000cf7bab65p-10, -0x1.3590adbe46825p-10, -0x1.2b74bf815dacdp-10, -0x1.21aa9cbc3a9f7p-10, -0x1.182fecb1067ffp-10, -0x1.0f02659d609f6p-10, -0x1.061fcc6b865aep-10, -0x1.fb0be8ca3c8c9p-11, -0x1.ea657dcdbfcd2p-11, -0x1.da48362a651dcp-11, -0x1.cab00b247d197p-11, -0x1.bb9910698a8c7p-11, -0x1.acff7380d461ep-11, -0x1.9edf7b3dbb0d4p-11, -0x1.91358733fd59bp-11, -0x1.83fe0f2f139a7p-11, -0x1.7735a2aad1987p-11, -0x1.6ad8e84ebaacbp-11, -0x1.5ee49d6b45799p-11, -0x1.53559579708abp-11, -0x1.4828b99c53a2dp-11, -0x1.3d5b0824bf49p-11, -0x1.32e99417654d3p-11, -0x1.28d184b4742cbp-11, -0x1.1f101501b6066p-11, -0x1.15a29356e85d6p-11, -0x1.0c8660eb7937cp-11, -0x1.03b8f166ebd55p-11, -0x1.f66f94e5e732fp-12, -0x1.e601069f40432p-12, -0x1.d62188d2cc929p-12, -0x1.c6cc8de2a7285p-12, -0x1.b7fda8edfbbc9p-12, -0x1.a9b08d08b8497p-12, -0x1.9be10c77832ep-12, -0x1.8e8b17eedcdep-12, -0x1.81aabdd619279p-12, -0x1.753c298e48d42p-12, -0x1.693ba2bc6640dp-12, -0x1.5da58c973f6e2p-12, -0x1.52766538d65e7p-12, -0x1.47aac4f34c7b2p-12, -0x1.3d3f5da94b7cdp-12, -0x1.3330fa296ffeap-12, -0x1.297c7d8dbcbdap-12, -0x1.201ee29d7fd8ep-12, -0x1.17153b33524e7p-12, -0x1.0e5cafa5ab3fcp-12, -0x1.05f27e32f4c6cp-12, -0x1.fba7f4e10c2c8p-13, -0x1.ebfd197984cb1p-13, -0x1.dcdf6368d538ep-13, -0x1.ce49f3556b566p-13, -0x1.c0381048c5c81p-13, -0x1.b2a526ab13fcap-13, -0x1.a58cc745cbd2ap-13, -0x1.98eaa6496395ep-13, -0x1.8cba9a5b74b5cp-13, -0x1.80f89ba83c77fp-13, -0x1.75a0c2f9d1a3ap-13, -0x1.6aaf48d586efdp-13, -0x1.6020849d0019cp-13, -0x1.55f0ebb5b0fe5p-13, -0x1.4c1d10b4a313fp-13, -0x1.42a1a28ec1376p-13, -0x1.397b6bcf0f622p-13, -0x1.30a751d0a1a4fp-13, -0x1.282253fd66059p-13, -0x1.1fe98b11d3434p-13, -0x1.17fa2864f900cp-13, -0x1.105175344716fp-13, -0x1.08ecd1f4a417fp-13, -0x1.01c9b5a74c175p-13, -0x1.f5cb5a64ea0bap-14, -0x1.e87cb57d1fc83p-14, -0x1.dba2ea2ec14b1p-14, -0x1.cf398e214b344p-14, -0x1.c33c5ddea3903p-14, -0x1.b7a73bab80c21p-14, -0x1.ac762e6735bedp-14, -0x1.a1a5607595012p-14, -0x1.97311eaaf9d4bp-14, -0x1.8d15d743f7317p-14, -0x1.835018e0c12c4p-14, -0x1.79dc918828c0ep-14, -0x1.70b80db210327p-14, -0x1.67df7756ce98p-14, -0x1.5f4fd505b134p-14, -0x1.5706490114c37p-14, -0x1.4f00106092296p-14, -0x1.473a823a0f418p-14, -0x1.3fb30ecedc9adp-14, -0x1.38673ebee0134p-14, -0x1.3154b242f13e2p-14, -0x1.2a792069e1fa8p-14, -0x1.23d2565d34964p-14, -0x1.1d5e36a896a15p-14, -0x1.171ab888f6074p-14, -0x1.1105e73dfef8dp-14, -0x1.0b1de162688c7p-14, -0x1.0560d847b8378p-14, -0x1.ff9a1eadef071p-15, -0x1.f4c1b6eb5858bp-15, -0x1.ea3544df826dep-15, -0x1.dff1b4ca508c4p-15, -0x1.d5f412773c5cbp-15, -0x1.cc398829cc614p-15, -0x1.c2bf5d91447f2p-15, -0x1.b982f6c50a8e7p-15, -0x1.b081d34677d28p-15, -0x1.a7b98d0d0066dp-15, -0x1.9f27d7976dde9p-15, -0x1.96ca7f04338bcp-15, -0x1.8e9f673213b7p-15, -0x1.86a48ae60ca42p-15, -0x1.7ed7faf86954cp-15, -0x1.7737dd87bda9fp-15, -0x1.6fc26d32c22adp-15, -0x1.6875f85745e09p-15, -0x1.6150e0589c911p-15, -0x1.5a5198e95ff9ap-15, -0x1.5376a75d00ff9p-15, -0x1.4cbea1fe3c83ep-15, -0x1.46282f692808bp-15, -0x1.3fb205ede5bebp-15, -0x1.395aeaf465b63p-15, -0x1.3321b267d01bap-15, -0x1.2d053e2626843p-15, -0x1.27047d7370cbbp-15, -0x1.211e6c72cb966p-15, -0x1.1b5213a31972ep-15, -0x1.159e87603c792p-15, -0x1.1002e76861dcbp-15, -0x1.0a7e5e6589f73p-15, -0x1.0510217a7388cp-15, -0x1.ff6edfa7d4b2dp-16, -0x1.f4e7247c4d742p-16, -0x1.ea87b579149acp-16, -0x1.e04f484c50a35p-16, -0x1.d63ca389d6a91p-16, -0x1.cc4e9df09a9ffp-16, -0x1.c2841db78a467p-16, -0x1.b8dc17de0778ep-16, -0x1.af558f86e74f7p-16, -0x1.a5ef9553f51a1p-16, -0x1.9ca946cb3beb8p-16, -0x1.9381cdc0ce2e6p-16, -0x1.8a785fc508629p-16, -0x1.818c3d99a516cp-16, -0x1.78bcb2aa54e17p-16, -0x1.7009148b22054p-16, -0x1.6770c27be0ca9p-16, -0x1.5ef324ef8c562p-16, -0x1.568fad18a4adap-16, -0x1.4e45d47a6b55bp-16, -0x1.46151c7c20fc9p-16, -0x1.3dfd0e03be6eap-16, -0x1.35fd3911fb2c7p-16, -0x1.2e1534635023ap-16, -0x1.26449d146f464p-16, -0x1.1e8b164a8cf47p-16, -0x1.16e848df095eap-16, -0x1.0f5be30e476f1p-16, -0x1.07e5982a610dap-16, -0x1.0085205092be8p-16, -0x1.f274704310cdep-17, -0x1.e40940fab6ef2p-17, -0x1.d5c83c83cce3fp-17, -0x1.c7b0f41787132p-17, -0x1.b9c2fff5ce173p-17, -0x1.abfdfef001508p-17, -0x1.9e6195fde882bp-17, -0x1.90ed6fd1aaaf5p-17, -0x1.83a13c7610ce7p-17, -0x1.767cb0ece278p-17, -0x1.697f86d521486p-17, -0x1.5ca97c11d4621p-17, -0x1.4ffa5278382bp-17, -0x1.4371cf7f67555p-17, -0x1.370fbbf686e2bp-17, -0x1.2ad3e3bb82d8dp-17, -0x1.1ebe1577c5523p-17, -0x1.12ce225e423e9p-17, -0x1.0703ddeebd1adp-17, -0x1.f6be3b76d2697p-18, -0x1.dfbf7261b355cp-18, -0x1.c90b12c3c228ap-18, -0x1.b2a0d1ac58ce4p-18, -0x1.9c8066b46a4efp-18, -0x1.86a98ba855a7dp-18, -0x1.711bfc326422fp-18, -0x1.5bd7758d44f8p-18, -0x1.46dbb63889af8p-18, -0x1.32287db3d57edp-18, -0x1.1dbd8c3bf735ep-18, -0x1.099aa28e24e05p-18, -0x1.eb7f035b9248fp-19, -0x1.c457d5615ee38p-19, -0x1.9dbf3d13f81fdp-19, -0x1.77b4bbba571b4p-19, -0x1.5237d1a3aeabp-19, -0x1.2d47fdd82199ap-19, -0x1.08e4bdce104b9p-19, -0x1.ca1b1a4a5d7c7p-20, -0x1.8383cacd2b508p-20, -0x1.3e027b96c233ep-20, -0x1.f32c2c1f47fe4p-21, -0x1.6c7afc6e8eaa8p-21, -0x1.cfde493c96525p-22, -0x1.96195456074d5p-23, 0x1.ac1ce6bb19db6p-25, 0x1.31d75e845f2e6p-22, 0x1.14f9c45b5c573p-21, 0x1.8eee928e56254p-21, 0x1.0366567569a47p-20, 0x1.3e4b5a7d7543bp-20, 0x1.7827ad7cbb41fp-20, 0x1.b0fcaf0309c3fp-20, 0x1.e8cbc61938b2cp-20, 0x1.0fcb30a9d4817p-19, 0x1.2aaefb690a243p-19, 0x1.45120221c9b66p-19, 0x1.5ef507716150dp-19, 0x1.7858d1b5a591dp-19, 0x1.913e2b0a4715dp-19, 0x1.a9a5e13decf92p-19, 0x1.c190c5c9bd598p-19, 0x1.d8ffadc6f45c2p-19, 0x1.eff371e1216cfp-19, 0x1.03367724f88cap-18, 0x1.0e36815429fdcp-18, 0x1.18fa4904fc913p-18, 0x1.238241674b9a5p-18, 0x1.2dcedf4c6ba74p-18, 0x1.37e0991c66bb7p-18, 0x1.41b7e6cc0451fp-18, 0x1.4b5541d20bef7p-18, 0x1.54b9251c89253p-18, 0x1.5de40d0524f55p-18, 0x1.66d677458ec7cp-18, 0x1.6f90e2ebdab5p-18, 0x1.7813d04dc8cfp-18, 0x1.805fc0fdec07dp-18, 0x1.887537bd5f657p-18, 0x1.9054b8703ed14p-18, 0x1.97fec8109959ap-18, 0x1.9f73eca161257p-18, 0x1.a6b4ad215c8eep-18, 0x1.adc1917ea4798p-18, 0x1.b49b2288ec85fp-18, 0x1.bb41e9e4bbf13p-18, 0x1.c1b671fe91b3ep-18, 0x1.c7f945fd20e46p-18, 0x1.ce0af1b4de09ep-18, 0x1.d3ec019a9d7e4p-18, 0x1.d99d02b71c24cp-18, 0x1.df1e8299bae82p-18, 0x1.e4710f4b83b8ap-18, 0x1.e9953742bae84p-18, 0x1.ee8b89566a796p-18, 0x1.f35494b13c744p-18, 0x1.f7f0e8c634468p-18, 0x1.fc611543d093ap-18, 0x1.0052d503f7cap-17, 0x1.025f9b8a096d9p-17, 0x1.04572640fb5a1p-17, 0x1.0639bd3ba3e7cp-17, 0x1.0807a88d7ee08p-17, 0x1.09c13044f8e46p-17, 0x1.0b669c65adb0fp-17, 0x1.0cf834e34e722p-17, 0x1.0e76419c37153p-17, 0x1.0fe10a5445e65p-17, 0x1.1138d6af8d91cp-17, 0x1.127dee2d94849p-17, 0x1.13b098245b85ep-17, 0x1.14d11bbba5e2bp-17, 0x1.15dfbfe805122p-17, 0x1.16dccb669c62fp-17, 0x1.17c884b87ae11p-17, 0x1.18a3321e4c46bp-17, 0x1.196d19940acb3p-17, 0x1.1a2680cd00a39p-17, 0x1.1acfad2fb1bbbp-17, 0x1.1b68e3d1eac35p-17, 0x1.1bf269750ce68p-17, 0x1.1c6c828245c88p-17, 0x1.1cd773071fb08p-17, 0x1.1d337eb1cd1e2p-17, 0x1.1d80e8ce1bae4p-17, 0x1.1dbff441ebc8bp-17, 0x1.1df0e38a49229p-17, 0x1.1e13f8b84b0c5p-17, 0x1.1e29756e03291p-17, 0x1.1e319adc0883ap-17, 0x1.1e2ca9be74406p-17, 0x1.1e1ae25a4d225p-17, 0x1.1dfc847b3099fp-17, 0x1.1dd1cf70d4c5dp-17, 0x1.1d9b020c9cc03p-17, 0x1.1d585a9fb05c6p-17, 0x1.1d0a16f8975f2p-17, 0x1.1cb0746155fd6p-17, 0x1.1c4baf9d7eb07p-17, 0x1.1bdc04e884068p-17, 0x1.1b61aff3cac15p-17, 0x1.1adcebe527e4fp-17, 0x1.1a4df3554ec7ep-17, 0x1.19b5004e4b3e6p-17, 0x1.19124c4a48023p-17, 0x1.1866103246d58p-17, 0x1.17b0845cc2504p-17, 0x1.16f1e08caf393p-17, 0x1.162a5bf07ad8p-17, 0x1.155a2d2109236p-17, 0x1.14818a20d88b5p-17, 0x1.13a0a85b2f225p-17, 0x1.12b7bca37326cp-17, 0x1.11c6fb346ef15p-17, 0x1.10ce97afd01dcp-17, 0x1.0fcec51d9ec76p-17, 0x1.0ec7b5ebd2064p-17, 0x1.0db99bedc4dd4p-17, 0x1.0ca4a85c36f21p-17, 0x1.0b890bd4cb483p-17, 0x1.0a66f659e3cabp-17, 0x1.093e9752a2736p-17, 0x1.08101d8acde8fp-17, 0x1.06dbb732ad092p-17, 0x1.05a191df3e647p-17, 0x1.0461da8a4b693p-17, 0x1.031cbd926d251p-17, 0x1.01d266bb6a602p-17, 0x1.0083012e6dcd6p-17, 0x1.fe5d6ef4aa517p-18, 0x1.fbab672800f59p-18, 0x1.f8f03dada74fep-18, 0x1.f62c4409ea8cp-18, 0x1.f35fca901c90ep-18, 0x1.f08b206344fa3p-18, 0x1.edae937769f71p-18, 0x1.eaca7092a99a6p-18, 0x1.e7df034ebaa46p-18, 0x1.e4ec961a1e9c4p-18, 0x1.e1f372398f004p-18, 0x1.def3dfc979bccp-18, 0x1.dbee25bfb9e06p-18, 0x1.d8e289ed3c23p-18, 0x1.d5d150ff7a35dp-18, 0x1.d2babe824837fp-18, 0x1.cf9f14e1bd8d5p-18, 0x1.cc7e956c229bbp-18, 0x1.c959805390b54p-18, 0x1.c63014b02ff6bp-18, 0x1.c30290820753dp-18, 0x1.bfd130b31872fp-18, 0x1.bc9c3119b046dp-18, 0x1.b963cc7a3439bp-18, 0x1.b6283c8955f49p-18, 0x1.b2e9b9ee67255p-18, 0x1.afa87c45a4545p-18, 0x1.ac64ba228a1bap-18, 0x1.a91ea911d50c5p-18, 0x1.a5d67d9bffd31p-18, 0x1.a28c6b47b78f9p-18, 0x1.9f40a49c3ad7fp-18, 0x1.9bf35b23c92a3p-18, 0x1.98a4bf6de68d8p-18, 0x1.9555011204a8fp-18, 0x1.92044eb1cb01ep-18, 0x1.8eb2d5fbb4412p-18, 0x1.8b60c3ad8ae65p-18, 0x1.880e4396fb999p-18, 0x1.84bb809c077e8p-18, 0x1.8168a4b7b6cddp-18, 0x1.7e15d8fe94616p-18, 0x1.7ac345a119b09p-18, 0x1.777111ee73db7p-18, 0x1.741f645720f0fp-18, 0x1.70ce626f70aaap-18, 0x1.6d7e30f20e18ep-18, 0x1.6a2ef3c2ce31fp-18, 0x1.66e0cdf117c44p-18, 0x1.6393e1ba7e244p-18, 0x1.6048508d76a76p-18, 0x1.5cfe3b0be7368p-18, 0x1.59b5c10dcfae9p-18, 0x1.566f01a3d4fcdp-18, 0x1.532a1b19e54f9p-18, 0x1.4fe72af9b153ep-18, 0x1.4ca64e0d5750fp-18, 0x1.4967a062059d3p-18, 0x1.462b3d4a8b7f7p-18, 0x1.42f13f61de3d6p-18, 0x1.3fb9c08d9cbabp-18, 0x1.3c84da00b486p-18, 0x1.3952a43deb3b4p-18, 0x1.3623371a4e888p-18, 0x1.32f6a9bfb85fcp-18, 0x1.2fcd12af59803p-18, 0x1.2ca687c4521edp-18, 0x1.29831e3629fd9p-18, 0x1.2662ea9b304bdp-18, 0x1.234600eadc1aap-18, 0x1.202c748052938p-18, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      44, 0x1.6cccccccccccdp+2, 0x1.0c9252ab22fc8p+2, 0x1.d7da0c21f77a1p+3, -0x1.f361d3b2e505p-3, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.a1a6f258f3e3ap-1, -0x1.1c91b9faa7a91p+2, 0x1.2a8b35b362461p+3, -0x1.119b3279a3c14p+3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.3b380edded431p-1, -0x1.c9eddd6ea53ebp+1, 0x1.0180baedf01c7p+3, -0x1.f5d7f6791bdacp+2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.d2dce278677adp-2, -0x1.6a74a6ff5defbp+1, 0x1.b7baaa7ce8d7ap+2, -0x1.cf45690529a29p+2}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.528b0e377fdfap-2, -0x1.19757af48adfap+1, 0x1.723d0def55cc5p+2, -0x1.a6e0a82fe042bp+2}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dfd8c8d8f1bf3p-3, -0x1.ab823d0fe83bcp+0, 0x1.32ce8e4e8dc1fp+2, -0x1.7ef8d3d9bc6bdp+2}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.4bdb215c17402p-3, -0x1.3c4670e519065p+0, 0x1.f2b8dd0efc972p+1, -0x1.56ef80e857f53p+2}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.bfd89ad954e65p-4, -0x1.c5a33a0f94da2p-1, 0x1.8bd769961567ap+1, -0x1.2eef3be4d240ap+2}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.27a2898b5aec1p-4, -0x1.397a22c7ad61fp-1, 0x1.30f60ad16fed6p+1, -0x1.06ec3dc50f00fp+2}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.81133da3a95a7p-5, -0x1.9e893a13ee8bep-2, 0x1.c42b23c63d414p+0, -0x1.bdd62c50cf9e7p+1}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.f7bc2cf7984b7p-6, -0x1.046b38aac3c75p-2, 0x1.3e6ae3479890bp+0, -0x1.6dca9b37114fdp+1}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.547e7fb90b9d7p-6, -0x1.35ffa52d19d33p-3, 0x1.a15c363af38c4p-1, -0x1.1de06498e34dfp+1}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ea9e7479763bdp-7, -0x1.62b82cdf18022p-4, 0x1.ebab26f1a322cp-2, -0x1.9af40bd9c506ep+0}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.7d7d4ad3e937fp-7, -0x1.9ebb99978ae0ap-5, 0x1.ea3172ddf3726p-3, -0x1.fb8bb3f25946ep-1}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3a1718bc8aaffp-7, -0x1.178f9ff571a5dp-5, 0x1.7354da991553p-4, -0x1.4c57295a9ce74p-2}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.084678daf3c1fp-7, -0x1.c278685220cb7p-6, 0x1.57dab6c56e5eep-5, -0x1.4838190cc9366p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.bd4064145e402p-8, -0x1.7eee27b3546fbp-6, 0x1.4b8bcf6e8d39bp-5, -0x1.86b961e789ec2p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.76e7d9ca4a29bp-8, -0x1.427b5faec5c7fp-6, 0x1.10f000bf05569p-5, -0x1.0b2933e2d486fp-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3b99d2a61094fp-8, -0x1.0fe6df0821808p-6, 0x1.d1ba0b86caeb3p-6, -0x1.0369ca059c988p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.099e4c9c909d8p-8, -0x1.ca70d3bd26cb2p-7, 0x1.83e71bb84f22bp-6, -0x1.b945b266f20b7p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.bedd879246556p-9, -0x1.837ab0def4325p-7, 0x1.41b640f5aad48p-6, -0x1.7c52801b1540cp-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.776c64db35d1ap-9, -0x1.48d77a47d3a15p-7, 0x1.08a9e0f19ad7cp-6, -0x1.3b039e575ef16p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3aa221e4889b7p-9, -0x1.18a25b2fdb351p-7, 0x1.b2d2abfc32cdfp-7, -0x1.f511963552641p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.069aabcbcb2f6p-9, -0x1.e1d1e1bffe217p-8, 0x1.67a9a241000cp-7, -0x1.7632da7392af4p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.b3a9d7f6fb33bp-10, -0x1.9f8013ef9b32ap-8, 0x1.2f8867e2dd3d9p-7, -0x1.daa0ad8a39846p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.6665905626f59p-10, -0x1.665a7b571c2e9p-8, 0x1.0bef8e1218ed6p-7, -0x1.50c2c8f7a4d9p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.23ea97d972c3ap-10, -0x1.334ac06ef2ac7p-8, 0x1.e55b7dff0c541p-8, -0x1.4ee9da2fe06a9p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.d649c71340215p-11, -0x1.0544a2e900908p-8, 0x1.b31ed077dddddp-8, -0x1.38afe28d64d79p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.762bb1059e192p-11, -0x1.b833d40145a13p-9, 0x1.8437a1af75242p-8, -0x1.27ebd15ed8275p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.25993e2012ce7p-11, -0x1.6eff70689028dp-9, 0x1.57d44247a183ep-8, -0x1.15b12f3b48a4fp-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c5988aad094e6p-12, -0x1.2e65b99ef758dp-9, 0x1.2e2ce198569e8p-8, -0x1.03daea77d3e2bp-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.583447f55a0cbp-12, -0x1.ebb862991267cp-10, 0x1.0732719ff6d64p-8, -0x1.e3d38251ef48fp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.ffcef6f06149ep-13, -0x1.89b2e67679a92p-10, 0x1.c5d1f61a09c85p-9, -0x1.bfff994f3e876p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.7395f2a097cdfp-13, -0x1.35a79f38db33fp-10, 0x1.829ed24e26cdep-9, -0x1.9c27d2f7383fdp-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.065d44a8214dp-13, -0x1.dd06ab87f2cdep-11, 0x1.44cc0c42ab29bp-9, -0x1.7851185988807p-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.6665905626f31p-14, -0x1.666590513f3c6p-11, 0x1.0c597bced6b03p-9, -0x1.547a0c27ce85cp-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.d649c713401b9p-15, -0x1.05456e84d365cp-11, 0x1.b28e5a5e8905ap-10, -0x1.30a33a8be7aabp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.25993e2012c9cp-15, -0x1.6eff8e52a1ba8p-12, 0x1.572a2f349052ap-10, -0x1.0ccbd02cbf492p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.583447f55a051p-16, -0x1.ebb861c8431dbp-13, 0x1.0686a3f3f089fp-10, -0x1.d1ed1c8996948p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.7395f2a097be2p-17, -0x1.35a7b24090d48p-13, 0x1.814625be9a4b7p-11, -0x1.8a32868693e0bp-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.666590562694p-18, -0x1.66650488289d2p-14, 0x1.0b03ca2fd4554p-11, -0x1.42b3e8616f65cp-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.25993e20121p-19, -0x1.6f03a12d183cp-15, 0x1.54686f5865d49p-12, -0x1.f4aaf9f042f21p-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.7395f2a0954p-21, -0x1.35893295c6924p-16, 0x1.7c6a48ba3d192p-13, -0x1.6a749d83039d6p-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.25993e2005p-23, -0x1.70c5c080e99c4p-18, 0x1.45e23ad742aa3p-14, -0x1.8fc7e4111b46bp-12}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.25993e1fp-27, -0x1.3a06d08fe55d8p-21, 0x1.580f94cd95fp-16, -0x1.0b82ce850f0fdp-11}, 
      }}, 
      0x1.f770a95da70f8p-8, -0x1.83f9d0f34ceb7p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.2ca920415bc34p-11, 0x1.ec310f1135f86p-11, 0x1.dfef3d6fea4d4p-11, 0x1.7ec30211202c5p-12, -0x1.a5c9ceda5f5dcp-11, -0x1.5a39d9ffd5ea6p-9, -0x1.51e55f45da9bdp-8, -0x1.10d2dd69e9c23p-7, -0x1.8ca9468a11a15p-7, -0x1.0d2c1bbdc25c3p-6, -0x1.5bad74b3bf4d6p-6, -0x1.b077b6fa9b112p-6, -0x1.050e4a6c920a2p-5, -0x1.33970395e98f9p-5, -0x1.63247ae6c0ad8p-5, -0x1.930e7baa8c59cp-5, -0x1.c2b8fd2268552p-5, -0x1.f195f16f9cc36p-5, -0x1.0f9327fb97389p-4, -0x1.257d3de3a38aap-4, -0x1.3a590dfa91ca1p-4, -0x1.4dfdd70f6bf39p-4, -0x1.6049e0c34c62bp-4, -0x1.712208df81b3bp-4, -0x1.80714580d349dp-4, -0x1.8e281b18a25fp-4, -0x1.9a3c18c2fcebdp-4, -0x1.a4a7510549a5ep-4, -0x1.ad67dbda1ab13p-4, -0x1.b47f5e2f1bf14p-4, -0x1.b9f2994189ea2p-4, -0x1.bdc9025f5605bp-4, -0x1.c00c6386e14d5p-4, -0x1.c0c880debcdbdp-4, -0x1.c00acb52c25d2p-4, -0x1.bde214af1decep-4, -0x1.ba5e4df20b486p-4, -0x1.b5904ab7c5ffbp-4, -0x1.af898a7f79598p-4, -0x1.a85c0741e62d5p-4, -0x1.a01a08f4f0ba1p-4, -0x1.96d5fdad7090dp-4, -0x1.8ca2561dde07dp-4, -0x1.8191663dec819p-4, -0x1.75b549682a366p-4, -0x1.691fcb62b1bc7p-4, -0x1.5be252f99315dp-4, -0x1.4e0dd168f68eap-4, -0x1.3fb2b363ca6d6p-4, -0x1.30e0d641751adp-4, -0x1.21a77df9d4714p-4, -0x1.12154e712a52ap-4, -0x1.02384751b13d7p-4, -0x1.e43b7cfb715e9p-5, -0x1.c3a4c4484c3ap-5, -0x1.a2c469447f3dap-5, -0x1.81b11e442050bp-5, -0x1.60804e27b7dfcp-5, -0x1.3f4615d0438p-5, -0x1.1e155386e5d34p-5, -0x1.f9ff676938ba2p-6, -0x1.b82b598e840c1p-6, -0x1.76cd2a47551d5p-6, -0x1.36015b441bba9p-6, -0x1.ebc49e9ca448ap-7, -0x1.6d10ef16b0df5p-7, -0x1.e0291b6846c1fp-8, -0x1.d3e32aedd642ep-9, 0x1.072241a4184f8p-13, 0x1.ec23f0cf109a1p-9, 0x1.df5a628e1d1ap-8, 0x1.61ecc78da1792p-7, 0x1.d1ae3d915fddfp-7, 0x1.1f6d5667f3ce7p-6, 0x1.54aeea319075ep-6, 0x1.8892f15ec67cep-6, 0x1.bb11b3d2e3ea4p-6, 0x1.ec24923f11dbdp-6, 0x1.0de2ff235987p-5, 0x1.24f8b4a2d11f7p-5, 0x1.3b519c2e2b90ep-5, 0x1.50ec5c576566fp-5, 0x1.65c809bc2187ep-5, 0x1.79e42280eb748p-5, 0x1.8d40881e8318ap-5, 0x1.9fdd7a4244cf6p-5, 0x1.b1bb9110cb822p-5, 0x1.c2dbb7578c7cdp-5, 0x1.d33f24a829c32p-5, 0x1.e2e757d0ee1ffp-5, 0x1.f1d6111b68028p-5, 0x1.0006a68d28ac3p-4, 0x1.06c79fcef8481p-4, 0x1.0d2f277823aacp-4, 0x1.133e879e040b7p-4, 0x1.18f71f2542ceap-4, 0x1.1e5a6083dc7fap-4, 0x1.2369ce3563a6p-4, 0x1.2826f9b91a872p-4, 0x1.2c9382d6d3a0ap-4, 0x1.30b113106093cp-4, 0x1.348160271c53fp-4, 0x1.380626bd5cdb1p-4, 0x1.3b412a94b5285p-4, 0x1.3e343576312bdp-4, 0x1.40e11433d5d5p-4, 0x1.434997e5cbdedp-4, 0x1.456f92a79926p-4, 0x1.4754d7848bf1bp-4, 0x1.48fb3946b672ap-4, 0x1.4a648980496b1p-4, 0x1.4b92980299531p-4, 0x1.4c8730baa4be6p-4, 0x1.4d441db0aed7ap-4, 0x1.4dcb237f2e5edp-4, 0x1.4e1e028d2c1b5p-4, 0x1.4e3e75aa799a4p-4, 0x1.4e2e315da677ap-4, 0x1.4deee520aa917p-4, 0x1.4d8238e82fc87p-4, 0x1.4ce9cdffa3917p-4, 0x1.4c273e4a91d68p-4, 0x1.4b3c1cf3a8eafp-4, 0x1.4a29f47011f1cp-4, 0x1.48f247ffa66c9p-4, 0x1.4796930c7ad51p-4, 0x1.461848adde6cfp-4, 0x1.4478d3981a299p-4, 0x1.42b996727910ap-4, 0x1.40dbeca0b073dp-4, 0x1.3ee128139f36cp-4, 0x1.3cca923231e6fp-4, 0x1.3a996d1dbdd9dp-4, 0x1.384ef25116befp-4, 0x1.35ec532a7e8ap-4, 0x1.3372b94fb86cp-4, 0x1.30e345f64805fp-4, 0x1.2e3f128bb3867p-4, 0x1.2b873147f6b8fp-4, 0x1.28bcabfaa3016p-4, 0x1.25e0859f41fcp-4, 0x1.22f3b980b323cp-4, 0x1.1ff73bced57d8p-4, 0x1.1cebf97f73871p-4, 0x1.19d2d8b6322abp-4, 0x1.16acb895570b1p-4, 0x1.137a7201d4e8dp-4, 0x1.103cd6effdcp-4, 0x1.0cf4b2ae7a464p-4, 0x1.09a2caab23f72p-4, 0x1.0647dddf306a6p-4, 0x1.02e4a590e0607p-4, 0x1.fef3aa0edd962p-5, 0x1.f81032e6b15dap-5, 0x1.f120354b77325p-5, 0x1.ea24f670633edp-5, 0x1.e31fb05c41236p-5, 0x1.dc1192270e4cap-5, 0x1.d4fbc170319bdp-5, 0x1.cddf5a8883d65p-5, 0x1.c6bd6f974ae35p-5, 0x1.bf9708f16a68fp-5, 0x1.b86d26a252dc7p-5, 0x1.b140c08800371p-5, 0x1.aa12c5b6efbcp-5, 0x1.a2e41c11289c6p-5, 0x1.9bb5a23d653f8p-5, 0x1.948830de321fep-5, 0x1.8d5c95614d699p-5, 0x1.86339abb69b6ep-5, 0x1.7f0e009370377p-5, 0x1.77ec82d139af8p-5, 0x1.70cfd5a210e3cp-5, 0x1.69b8a765d8b33p-5, 0x1.62a79f6be2053p-5, 0x1.5b9d5f1596dd4p-5, 0x1.549a83bf37bddp-5, 0x1.4d9fa43d70836p-5, 0x1.46ad513e96646p-5, 0x1.3fc415dd3ff1ep-5, 0x1.38e47930f7b8bp-5, 0x1.320efdf3c85d5p-5, 0x1.2b4421381d81cp-5, 0x1.24845a7ae43d1p-5, 0x1.1dd01caa117a9p-5, 0x1.1727d754c0e67p-5, 0x1.108bf60454104p-5, 0x1.09fcdf63fff4fp-5, 0x1.037af4cea156ep-5, 0x1.fa0d279d4b322p-6, 0x1.ed402dad5975ep-6, 0x1.e08fa9cc0fe1bp-6, 0x1.d3fc4147ec9e8p-6, 0x1.c7869009e75c6p-6, 0x1.bb2f2b1231d06p-6, 0x1.aef69d3cb1e5bp-6, 0x1.a2dd74747fac9p-6, 0x1.96e42ec95772p-6, 0x1.8b0b45bb2ba48p-6, 0x1.7f532a3ec473bp-6, 0x1.73bc4776da77bp-6, 0x1.6847036a038a5p-6, 0x1.5cf3be2381787p-6, 0x1.51c2d06aa377ep-6, 0x1.46b48c12bd208p-6, 0x1.3bc93bc811cc4p-6, 0x1.310122bbae9b9p-6, 0x1.265c85715188p-6, 0x1.1bdb9cb1896bcp-6, 0x1.117e9db1bfe09p-6, 0x1.0745b58adeb6p-6, 0x1.fa62192141784p-7, 0x1.e6818b845d39fp-7, 0x1.d2e9fffdbe4ap-7, 0x1.bf9ba9a4da89fp-7, 0x1.ac96b0159578p-7, 0x1.99db2e19b13fbp-7, 0x1.8769347136ce8p-7, 0x1.7540cad2f016fp-7, 0x1.6361f1c222651p-7, 0x1.51cc9ffb401f6p-7, 0x1.4080c27fcb859p-7, 0x1.2f7e3b7ea364fp-7, 0x1.1ec4e3304742bp-7, 0x1.0e5489f1792a3p-7, 0x1.fc59f19acecbbp-8, 0x1.dc9be367d93a8p-8, 0x1.bd6e5bef5dd81p-8, 0x1.9ed0c23bb965ap-8, 0x1.80c25381aaf31p-8, 0x1.634263c5f8dd7p-8, 0x1.46501c03cba2fp-8, 0x1.29eaa53f90df5p-8, 0x1.0e111941f74bcp-8, 0x1.e5850a15eed85p-9, 0x1.affbc84b7d44cp-9, 0x1.7b844cfb4f64ap-9, 0x1.481c63e82eaaep-9, 0x1.15c1ab7995714p-9, 0x1.c8e3b07a71d07p-10, 0x1.6854dbc31463ep-10, 0x1.09d1b5f49b70bp-10, 0x1.5aaa11e9de957p-11, 0x1.4b65561679b1fp-12, -0x1.69bcec785c5dp-16, -0x1.70c5eb6384127p-12, -0x1.619823133694fp-11, -0x1.037ca76ce1b23p-10, -0x1.54494744805e6p-10, -0x1.a338273ef930ep-10, -0x1.f04f8afde47d8p-10, -0x1.1dcae771934abp-9, -0x1.4288b2731762fp-9, -0x1.66646737ec252p-9, -0x1.896157fc45b33p-9, -0x1.ab82dec3b2451p-9, -0x1.cccc5ec5d98a8p-9, -0x1.ed4141f88504bp-9, -0x1.06727890d0e42p-8, -0x1.15dd70b1c52b7p-8, -0x1.24e343f928b96p-8, -0x1.3385b2f43a4adp-8, -0x1.41c6814f0a18p-8, -0x1.4fa774e93b21ep-8, -0x1.5d2a5215e7066p-8, -0x1.6a50ddb286735p-8, -0x1.771cdbd479dd8p-8, -0x1.83900d0227d33p-8, -0x1.8fac3a39d8e7dp-8, -0x1.9b7328ea1ca93p-8, -0x1.a6e69cef56fbp-8, -0x1.b2086d2e3211cp-8, -0x1.bcda4ccf38c2p-8, -0x1.c75e00d7125dfp-8, -0x1.d195451c8b3f2p-8, -0x1.db81d32b5a76bp-8, -0x1.e52566fe72b3cp-8, -0x1.ee81bb2c33bf6p-8, -0x1.f798899f7fbbfp-8, -0x1.0035c3b16dba3p-7, -0x1.047e32393f072p-7, -0x1.08a66500ff181p-7, -0x1.0caf2e0f0861cp-7, -0x1.10995d628ddedp-7, -0x1.1465c2b663b8ap-7, -0x1.18152ca608f1bp-7, -0x1.1ba868afaa36cp-7, -0x1.1f204191d858cp-7, -0x1.227d7f071d3c9p-7, -0x1.25c0e3e51989bp-7, -0x1.28eb30470c098p-7, -0x1.2bfd207754af4p-7, -0x1.2ef76f6a09bcdp-7, -0x1.31dad687e3461p-7, -0x1.34a80e15c304p-7, -0x1.375fca23438e3p-7, -0x1.3a02bd561e0c7p-7, -0x1.3c9198da7f56p-7, -0x1.3f0cffe0fadd6p-7, -0x1.41759b3d86c7cp-7, -0x1.43cc0c095b611p-7, -0x1.4610f1c608976p-7, -0x1.4844ea2f58376p-7, -0x1.4a6890c2d9c71p-7, -0x1.4c7c7e92e85d5p-7, -0x1.4e8148b8f6761p-7, -0x1.50777fdf14742p-7, -0x1.525fafec17592p-7, -0x1.543a605d0c2bp-7, -0x1.5608150c6ac6ap-7, -0x1.57c94f0c7435dp-7, -0x1.597e8d29ef77fp-7, -0x1.5b284c0508787p-7, -0x1.5cc705bd0d395p-7, -0x1.5e5b30ed97ccap-7, -0x1.5fe5400fc24eep-7, -0x1.6165a0fe998ecp-7, -0x1.62dcbcfef28fdp-7, -0x1.644af93d48636p-7, -0x1.65b0b7c1e74e7p-7, -0x1.670e567533e82p-7, -0x1.686436858173ep-7, -0x1.69b2ad5aa7edfp-7, -0x1.6afa1650dad2bp-7, -0x1.6c3ac561b59e9p-7, -0x1.6d750b6ecf86cp-7, -0x1.6ea93527f8b2ap-7, -0x1.6fd78ac709276p-7, -0x1.710050fa632c3p-7, -0x1.7223c947e971fp-7, -0x1.7342328f210b8p-7, -0x1.745bc9a5ca811p-7, -0x1.7570c952ab9ebp-7, -0x1.76816a1a4e7fdp-7, -0x1.778de1c7fa7c3p-7, -0x1.789662e34c165p-7, -0x1.799b1c57f193ap-7, -0x1.7a9c396578dc8p-7, -0x1.7b99e1d81f4bep-7, -0x1.7c943a7ab6456p-7, -0x1.7d8b65a12d0dep-7, -0x1.7e7f839c70095p-7, -0x1.7f70b3059d9ep-7, -0x1.805f10c4d320dp-7, -0x1.814ab7da1f618p-7, -0x1.8233c0ff9e1c8p-7, -0x1.831a425104b9bp-7, -0x1.83fe4f049c6c1p-7, -0x1.84dff7678967p-7, -0x1.85bf490f4daf6p-7, -0x1.869c4f3408935p-7, -0x1.8777131b3cb2ap-7, -0x1.884f9c77a1227p-7, -0x1.8925f1b0ca8e4p-7, -0x1.89fa17f9c4f06p-7, -0x1.8acc134031851p-7, -0x1.8b9be5f3ff7f1p-7, -0x1.8c6990c0e097dp-7, -0x1.8d3512515df11p-7, -0x1.8dfe673c621d5p-7, -0x1.8ec58a1718805p-7, -0x1.8f8a73a93f4bbp-7, -0x1.904d1b3c152d3p-7, -0x1.910d76eaf70d9p-7, -0x1.91cb7be4ed9a5p-7, -0x1.92871e9da7931p-7, -0x1.934052e1147cep-7, -0x1.93f70bcbc8d33p-7, -0x1.94ab3bac7c824p-7, -0x1.955cd39e15ba2p-7, -0x1.960bc3c8c4798p-7, -0x1.96b7faff9d5b3p-7, -0x1.976166d74599fp-7, -0x1.9807f3def58acp-7, -0x1.98ab8dd08d835p-7, -0x1.994c1fcae30ffp-7, -0x1.99e994813298dp-7, -0x1.9a83d6621b14p-7, -0x1.9b1ad0712ee1dp-7, -0x1.9bae6ae10ea66p-7, -0x1.9c3e92029b151p-7, -0x1.9ccb2e794b30ap-7, -0x1.9d5429de33459p-7, -0x1.9dd96d068de54p-7, -0x1.9e5ae059a221cp-7, -0x1.9ed86bcaefbc8p-7, -0x1.9f51f6f876f88p-7, -0x1.9fc7694b7c8e4p-7, -0x1.a038aa2db89e4p-7, -0x1.a0a5a13050fap-7, -0x1.a10e36126f2d8p-7, -0x1.a172513de1af4p-7, -0x1.a1d1d8f53ae35p-7, -0x1.a22cbaaa56264p-7, -0x1.a282da725eb67p-7, -0x1.a2d4239e46592p-7, -0x1.a3207f595272cp-7, -0x1.a367d6d156d5cp-7, -0x1.a3aa13745ee06p-7, -0x1.a3e71edb1821ep-7, -0x1.a41ee2dec4989p-7, -0x1.a45149b45aae2p-7, -0x1.a47e3e0428ee5p-7, -0x1.a4a5aafc492d2p-7, -0x1.a4c77c5e00abbp-7, -0x1.a4e39e861cb5dp-7, -0x1.a4f9fe72da27cp-7, -0x1.a50a89c35cea2p-7, -0x1.a5152eb25962p-7, -0x1.a519dc0fe254ep-7, -0x1.a51880d192adfp-7, -0x1.a5110cb87db2bp-7, -0x1.a503708ac5432p-7, -0x1.a4ef9c88b4b47p-7, -0x1.a4d581ae715bfp-7, -0x1.a4b5124b91835p-7, -0x1.a48e40e274c89p-7, -0x1.a46100a4dfadp-7, -0x1.a42d45a6e9813p-7, -0x1.a3f3049ed724bp-7, -0x1.a3b232fec4a69p-7, -0x1.a36ac6f5850bp-7, -0x1.a31cb76e31b43p-7, -0x1.a2c7fc0cb3bd2p-7, -0x1.a26c8d2a70834p-7, -0x1.a20a63d45337ap-7, -0x1.a1a179cbbab7dp-7, -0x1.a131c98b17bf6p-7, -0x1.a0bb4e4c493d6p-7, -0x1.a03e040d0d7dp-7, -0x1.9fb9e78e49c7dp-7, -0x1.9f2ef64bf1558p-7, -0x1.9e9d2e6d2bd5cp-7, -0x1.9e048eb23c5c4p-7, -0x1.9d65166848c86p-7, -0x1.9cbec561caa19p-7, -0x1.9c119bfb96d66p-7, -0x1.9b5d9b309b9efp-7, -0x1.9aa2c4b32d3a2p-7, -0x1.99e11b0f0efc3p-7, -0x1.9918a1c90e4e8p-7, -0x1.98495d74d1bddp-7, -0x1.977353beb7374p-7, -0x1.96968b5aeaf28p-7, -0x1.95b30c7e24362p-7, -0x1.94c8de6717aa6p-7, -0x1.93d80a383a83p-7, -0x1.92e0996fdaf72p-7, -0x1.91e2946d51164p-7, -0x1.90de03b3e92b2p-7, -0x1.8fd2ef914ff7cp-7, -0x1.8ec160507c683p-7, -0x1.8da95ea10767cp-7, -0x1.8c8af41af2a79p-7, -0x1.8b662bc8081acp-7, -0x1.8a3b12953e799p-7, -0x1.8909b7914225ap-7, -0x1.87d22be105d26p-7, -0x1.8694825f80cb7p-7, -0x1.8550ceef432cp-7, -0x1.84072594893b1p-7, -0x1.82b7997bdfb5bp-7, -0x1.81623c21f86bbp-7, -0x1.80071cb8e033bp-7, -0x1.7ea64810f333bp-7, -0x1.7d3fc8fe62df5p-7, -0x1.7bd3a94c76157p-7, -0x1.7a61f31da343cp-7, -0x1.78eab2872bf7ap-7, -0x1.776df71c74027p-7, -0x1.75ebd516bc644p-7, -0x1.7464660c4023ep-7, -0x1.72d7c890c00e9p-7, -0x1.71461f16219abp-7, -0x1.6faf8dfe9c0c8p-7, -0x1.6e14390734735p-7, -0x1.6c7440979852cp-7, -0x1.6acfbf7e9195ep-7, -0x1.6926c94de6f83p-7, -0x1.677969c783a1ap-7, -0x1.65c7a5c8cf765p-7, -0x1.64117d71cacaap-7, -0x1.6256ef4c9be7bp-7, -0x1.6097fc2118e13p-7, -0x1.5ed4aadbb101ep-7, -0x1.5d0d0bdf5082p-7, -0x1.5b413b22b31a9p-7, -0x1.5971609d57604p-7, -0x1.579daec2cff3ep-7, -0x1.55c65f288fd82p-7, -0x1.53ebaeba9e441p-7, -0x1.520dd21426cdcp-7, -0x1.502cfe3e8c18cp-7, -0x1.4e4952ad13fe8p-7, -0x1.4c62e385679cep-7, -0x1.4a79b42bb22fep-7, -0x1.488dbac5060cdp-7, -0x1.469ee4922d51ep-7, -0x1.44ad1c0d1124ap-7, -0x1.42b84fdb84552p-7, -0x1.40c0799bbf23cp-7, -0x1.3ec5a382190eap-7, -0x1.3cc7ebcb14453p-7, -0x1.3ac7853d08238p-7, -0x1.38c4b457af65p-7, -0x1.36bfc95bb010ap-7, -0x1.34b917efc214dp-7, -0x1.32b0edac2d49dp-7, -0x1.30a789222c31bp-7, -0x1.2e9d12eef4299p-7, -0x1.2c919a0c61d0bp-7, -0x1.2a8513f8c1c8ap-7, -0x1.287760a587c24p-7, -0x1.2668518c69671p-7, -0x1.2457b2ebdcbcbp-7, -0x1.22455608087f2p-7, -0x1.20311bb0ea7c4p-7, -0x1.1e1afb6f1ap-7, -0x1.1c030bf55fabcp-7, -0x1.19e985695eefep-7, -0x1.17cebe8feb60fp-7, -0x1.15b327ba694bep-7, -0x1.13973fa275dc4p-7, -0x1.117b857025bffp-7, -0x1.0f606995bea25p-7, -0x1.0d46400abb103p-7, -0x1.0b2d365b587ap-7, -0x1.09154f4cb6c0ep-7, -0x1.06fe64a352346p-7, -0x1.04e82e7d392f8p-7, -0x1.02d24e7220878p-7, -0x1.00bc5c7544937p-7, -0x1.fd4be79bb3036p-8, -0x1.f91d7dccf948fp-8, -0x1.f4ed02fe98a43p-8, -0x1.f0ba422cddab7p-8, -0x1.ec855653311b1p-8, -0x1.e84eb10c1e4d7p-8, -0x1.e41718e91a961p-8, -0x1.dfdf9d3b10b46p-8, -0x1.dba97e6f89344p-8, -0x1.d7760cb3cc8e5p-8, -0x1.d3468196c15e9p-8, -0x1.cf1bdbb347827p-8, -0x1.caf6c3f45c9d7p-8, -0x1.c6d78222eea22p-8, -0x1.c2be027168006p-8, -0x1.bea9e8dbd4086p-8, -0x1.ba9aab57f8f5fp-8, -0x1.b68faa9c5f915p-8, -0x1.b288435fd9b33p-8, -0x1.ae83d677e751dp-8, -0x1.aa81cb0f14847p-8, -0x1.a68190ff9df26p-8, -0x1.a282a8d73716p-8, -0x1.9e84b37d9cf31p-8, -0x1.9a878694ed865p-8, -0x1.968b3eb6701bp-8, -0x1.929047662deebp-8, -0x1.8e9752c543bedp-8, -0x1.8aa14017b7f82p-8, -0x1.86aef6729c51p-8, -0x1.82c13df33cc36p-8, -0x1.7ed8a394966a7p-8, -0x1.7af570eee9ae5p-8, -0x1.7717ba8346207p-8, -0x1.733f7ec64298cp-8, -0x1.6f6cc91d082c5p-8, -0x1.6b9fc9922d355p-8, -0x1.67d8d5f0f970ap-8, -0x1.6418527d9cffdp-8, -0x1.605e88480af73p-8, -0x1.5cab862c07fddp-8, -0x1.58ff038977397p-8, -0x1.5558728dcc1b9p-8, -0x1.51b71f6523188p-8, -0x1.4e1a63fdda21ap-8, -0x1.4a81d5f3ec582p-8, -0x1.46ed600833a57p-8, -0x1.435d3e1288ad9p-8, -0x1.3fd1dda135a28p-8, -0x1.3c4bafa6cf309p-8, -0x1.38cafce1039edp-8, -0x1.354fccdd11577p-8, -0x1.31d9e8ab0ba15p-8, -0x1.2e68f7ee87019p-8, -0x1.2afcafbf7d1bcp-8, -0x1.2795037faedadp-8, -0x1.243247de06ac5p-8, -0x1.20d52b8ee5a9p-8, -0x1.1d7ea72cdb24p-8, -0x1.1a2fa0c7ccabp-8, -0x1.16e8b1a2372e4p-8, -0x1.13a9e7819212ep-8, -0x1.1072c0852a011p-8, -0x1.0d42528acbdd9p-8, -0x1.0a17958ba94e8p-8, -0x1.06f1b3f946937p-8, -0x1.03d0420c81b44p-8, -0x1.00b34d371f15bp-8, -0x1.fb3684f3e0bebp-9, -0x1.f511738be304fp-9, -0x1.eef87b2dc87cap-9, -0x1.e8ec4914e7f8ap-9, -0x1.e2ed0e3f1b098p-9, -0x1.dcfa9ad0a4fb4p-9, -0x1.d714917407657p-9, -0x1.d13a9ed39fb8fp-9, -0x1.cb6cada5ff3c6p-9, -0x1.c5ab14161ac86p-9, -0x1.bff6aebdc442dp-9, -0x1.ba50d31e29bf6p-9, -0x1.b4bb07f60e4c8p-9, -0x1.af368b3e64e7ep-9, -0x1.a9c3d096e64e8p-9, -0x1.a462371c6cdcfp-9, -0x1.9f10250feea6ap-9, -0x1.99cb837708fb3p-9, -0x1.94925cdc39a14p-9, -0x1.8f635375a7096p-9, -0x1.8a3dc6720867cp-9, -0x1.8521aff2412d5p-9, -0x1.800f5d4d6ebcbp-9, -0x1.7b072198f51p-9, -0x1.76091d9ec04d3p-9, -0x1.7115329aa1ce5p-9, -0x1.6c2b215a04c16p-9, -0x1.674abe3cb3e74p-9, -0x1.62741c15614a4p-9, -0x1.5da79f1600c8bp-9, -0x1.58e5f80aa8d8ap-9, -0x1.54300b3d12b99p-9, -0x1.4f86c965833d7p-9, -0x1.4aeb0b8d3b609p-9, -0x1.465d8406fd98ep-9, -0x1.41dec099f3808p-9, -0x1.3d6f20c198a8fp-9, -0x1.390eaa619f61bp-9, -0x1.34bcd38c04443p-9, -0x1.30787d975c8c4p-9, -0x1.2c4048532255p-9, -0x1.2813143af55ccp-9, -0x1.23f04f1c9369p-9, -0x1.1fd7d4a3f31c2p-9, -0x1.1bc9a1fa42ce6p-9, -0x1.17c5c7a7240abp-9, -0x1.13cca7f048161p-9, -0x1.0fdf25d30d9efp-9, -0x1.0bfe74ccb0c1ep-9, -0x1.082b96b21959p-9, -0x1.0466d80700663p-9, -0x1.00afa305a60c1p-9, -0x1.fa09a79322916p-10, -0x1.f2cab5d282095p-10, -0x1.eba15adc5b737p-10, -0x1.e48d43cdcafbp-10, -0x1.dd8dc60db0916p-10, -0x1.d6a10c6d5b9fep-10, -0x1.cfc45ea8ca5afp-10, -0x1.c8f559f3c065ap-10, -0x1.c2333c272ee0ap-10, -0x1.bb7f670e8f372p-10, -0x1.b4dccb398e4dp-10, -0x1.ae4e95aa0da7fp-10, -0x1.a7d6f71ad61fcp-10, -0x1.a176cbff3cda6p-10, -0x1.9b2e105bdc423p-10, -0x1.94fc04eb730f2p-10, -0x1.8ede491520c9dp-10, -0x1.88d0268770b94p-10, -0x1.82cc2acf42894p-10, -0x1.7ccfc5849d749p-10, -0x1.76ddaa375e03ep-10, -0x1.70fc7ee141134p-10, -0x1.6b32c4529f093p-10, -0x1.658379d035cd6p-10, -0x1.5fedeec5f650ap-10, -0x1.5a70705c107b5p-10, -0x1.550b004dcf21ap-10, -0x1.4fbf8cb02c41p-10, -0x1.4a8fea0e5b5c5p-10, -0x1.457bd9868f993p-10, -0x1.4080a40560bf7p-10, -0x1.3b9a02f672df2p-10, -0x1.36c364b038f6p-10, -0x1.31f90a129c3e3p-10, -0x1.2d38b2f284cc1p-10, -0x1.28821fe725257p-10, -0x1.23d6dc6e7e412p-10, -0x1.1f392d91e54a9p-10, -0x1.1aaac1f462062p-10, -0x1.162bc0c2c47fcp-10, -0x1.11bb68322a744p-10, -0x1.0d59949641071p-10, -0x1.0906b0608cc21p-10, -0x1.04c1329e2527ep-10, -0x1.008472a1aebf2p-10, -0x1.f899290fed288p-11, -0x1.f037ae5100c1ap-11, -0x1.e7f35b4afd3e3p-11, -0x1.dfd7b79bc26bep-11, -0x1.d7e28c8507de6p-11, -0x1.d0083f2ed21e5p-11, -0x1.c840c7a5a6e03p-11, -0x1.c08f45d7366c1p-11, -0x1.b8fd9736387f7p-11, -0x1.b1937ece03688p-11, -0x1.aa52d554ba19fp-11, -0x1.a3392ba032f7bp-11, -0x1.9c427505a5682p-11, -0x1.956a3a271209bp-11, -0x1.8eabf95230f81p-11, -0x1.8803754c8fc4dp-11, -0x1.816d7bd565bcap-11, -0x1.7ae8e049d9228p-11, -0x1.74772d22f9089p-11, -0x1.6e1c89bf51a23p-11, -0x1.67de631e645fcp-11, -0x1.61c0d5a0a08bdp-11, -0x1.5bc438437195bp-11, -0x1.55e5881392eep-11, -0x1.50224e9b3b60cp-11, -0x1.4a7ad776f845dp-11, -0x1.44ed38b3aece6p-11, -0x1.3f6f2d1230025p-11, -0x1.39f49be875073p-11, -0x1.347e79b522149p-11, -0x1.2f19ff076e5f4p-11, -0x1.29ceed317486ap-11, -0x1.24974fa19594ep-11, -0x1.1f6b596983c28p-11, -0x1.1a4e1ec5a3047p-11, -0x1.1548efef535fdp-11, -0x1.105f680641fc7p-11, -0x1.0b8d73b2da0e8p-11, -0x1.06cd4c46812b1p-11, -0x1.021c1ce5c7c91p-11, -0x1.faf5a5d829165p-12, -0x1.f1d953952400ap-12, -0x1.e8e9d47eaec7fp-12, -0x1.e029f6c16171dp-12, -0x1.d79765530937ap-12, -0x1.cf2c209cbc4f7p-12, -0x1.c6e163d65034cp-12, -0x1.beb2248265c0ap-12, -0x1.b69c5d6af8f9ep-12, -0x1.aea14c60b2f2dp-12, -0x1.a6c48387406f7p-12, -0x1.9f09067bb1638p-12, -0x1.976d682a711d7p-12, -0x1.8febde11ddcc2p-12, -0x1.8881be826a552p-12, -0x1.8137218d763c8p-12, -0x1.7a18b046c7c1cp-12, -0x1.7323cfd9244dap-12, -0x1.6c4829b738975p-12, -0x1.6587169d1f2f8p-12, -0x1.5ef028d8791ebp-12, -0x1.587dda0effdedp-12, -0x1.521ef465242dp-12, -0x1.4bd79c7dcc475p-12, -0x1.45b56946ec075p-12, -0x1.3fb56d96488fdp-12, -0x1.39ca44ab28f5p-12, -0x1.33eb5c64e3e1ap-12, -0x1.2e18b003bb133p-12, -0x1.2857332494d14p-12, -0x1.22ac4a8032be9p-12, -0x1.1d1aa9b7af5e3p-12, -0x1.17a174eaf2a46p-12, -0x1.123e21acc0cf3p-12, -0x1.0cf01078cbbe7p-12, -0x1.07ba806f84497p-12, -0x1.02a241a3dabcep-12, -0x1.fb52aaabfdc02p-13, -0x1.f19a2cf08f651p-13, -0x1.e81050c488379p-13, -0x1.deab78480f694p-13, -0x1.d56784b8416dap-13, -0x1.cc4603cf18c44p-13, -0x1.c34983f81c82dp-13, -0x1.ba6ee87a9650ap-13, -0x1.b1ad866dbca3fp-13, -0x1.a903b8241e194p-13, -0x1.a08446f4554fap-13, -0x1.984ab7b8a53a5p-13, -0x1.904c40073a44ep-13, -0x1.88603ab11465ep-13, -0x1.8087cf04ff459p-13, -0x1.78c89e67237c5p-13, -0x1.7115c9cbf19f8p-13, -0x1.6986e9915f80cp-13, -0x1.62320f22dc0b7p-13, -0x1.5b0bde1e403e5p-13, -0x1.5406794d30a1ap-13, -0x1.4d1f95e8577aap-13, -0x1.465b0a4985ab7p-13, -0x1.3fbd63f02bfebp-13, -0x1.3948e9862abb2p-13, -0x1.32fb1e95c65f1p-13, -0x1.2ccb5c75cf6b3p-13, -0x1.26adaebc78519p-13, -0x1.209aec2a984f1p-13, -0x1.1a9777ec327d1p-13, -0x1.14af7c61292e9p-13, -0x1.0eea5bf5f9451p-13, -0x1.094339027f6a6p-13, -0x1.03b0d6c8d08fp-13, -0x1.fc66af2c56f2ep-14, -0x1.f1a8096c5dca9p-14, -0x1.e730d4645b3dfp-14, -0x1.dcf99808ab57fp-14, -0x1.d2f4b8739238ap-14, -0x1.c91ab5250e0e3p-14, -0x1.bf691e92e180dp-14, -0x1.b5dbc94bc68e5p-14, -0x1.ac6d11bcc847ap-14, -0x1.a31eb56bdb424p-14, -0x1.9a052c0c072dep-14, -0x1.913fd96a7e1e1p-14, -0x1.88b70780acf89p-14, -0x1.8038c95ded1a3p-14, -0x1.77c67b5ca94ep-14, -0x1.6f670b10f72b3p-14, -0x1.6745a16942587p-14, -0x1.5f671fd0ea76dp-14, -0x1.57b0568a1dd6bp-14, -0x1.50176a5430e1dp-14, -0x1.489deb5a420bcp-14, -0x1.4146284c65bf5p-14, -0x1.3a10f065d5ee1p-14, -0x1.32fe0981a2abap-14, -0x1.2c0c9158b20c3p-14, -0x1.253bd5b09acebp-14, -0x1.1e8b5375098eep-14, -0x1.17fb6c4db0e05p-14, -0x1.118dc9ba7bd23p-14, -0x1.0b45a392950d1p-14, -0x1.0527772910607p-14, -0x1.fe6d3f275b2fbp-15, -0x1.f2de2fa89c8a4p-15, -0x1.e783cf2555341p-15, -0x1.dc4477177eb9dp-15, -0x1.d12c3c7529a5ep-15, -0x1.c650b1cd5d161p-15, -0x1.bba287cfcf6cp-15, -0x1.b10f5d2d67e22p-15, -0x1.a6b15262920e6p-15, -0x1.9ca688e339133p-15, -0x1.92e8e907235cfp-15, }}, 
      {{0x1.0c7824048eb56p-11, 0x1.e90949f4a9cb2p-11, 0x1.351fd70b6191cp-10, 0x1.35e1474c13113p-10, 0x1.d1651c84310cfp-11, 0x1.0e6b1642dd789p-12, -0x1.7f0a16ceb9838p-11, -0x1.11aee716aeccdp-9, -0x1.f3d742039c2b7p-9, -0x1.82719a82d8287p-8, -0x1.109ffb36443dcp-7, -0x1.6a667343e62ccp-7, -0x1.cda3cded4c89cp-7, -0x1.1caba1f200949p-6, -0x1.563867d3c1a06p-6, -0x1.92eccd8ca5df9p-6, -0x1.d23d07cd0886p-6, -0x1.09cfd367b2cd1p-5, -0x1.2b47cd603b1c9p-5, -0x1.4d46da4e3ab5p-5, -0x1.6f90f73de0f35p-5, -0x1.91edff345215ep-5, -0x1.b429f9f6e0af7p-5, -0x1.d6153792a63c7p-5, -0x1.f7844e944572ap-5, -0x1.0c280dd10e982p-4, -0x1.1c2acce40285cp-4, -0x1.2bbae2cdab51bp-4, -0x1.3acab5c5ecb23p-4, -0x1.494e7ac9beae4p-4, -0x1.573c1b0c6894p-4, -0x1.648b17fc0bc99p-4, -0x1.71346e2215178p-4, -0x1.7d327cc7c2c5dp-4, -0x1.8880e614f468cp-4, -0x1.931c78534bbfdp-4, -0x1.9d0313127cea7p-4, -0x1.a6338f08ffb51p-4, -0x1.aeada6f69c96bp-4, -0x1.b671e1b34fccdp-4, -0x1.bd817d74eecc6p-4, -0x1.c3de5c4a59df3p-4, -0x1.c98af1c83ba79p-4, -0x1.ce8a31da6eb8cp-4, -0x1.d2df813aeb6a6p-4, -0x1.d68ea597b4004p-4, -0x1.d99bb8e20029cp-4, -0x1.dc0b1bcd05f61p-4, -0x1.dde16accf8dd1p-4, -0x1.df237272ff52ap-4, -0x1.dfd626802c33ap-4, -0x1.dffe986b1d124p-4, -0x1.dfa1ef2992df6p-4, -0x1.dec55fd92c672p-4, -0x1.dd6e277edffd7p-4, -0x1.dba1851f8f313p-4, -0x1.d964b44536f3p-4, -0x1.d6bce895b9437p-4, -0x1.d3af484a24b12p-4, -0x1.d040e975fdf7bp-4, -0x1.cc76d09a721fp-4, -0x1.c855eb920feefp-4, -0x1.c3e3116e82b5ep-4, -0x1.bf22fed40a8fcp-4, -0x1.ba1a534ec58c3p-4, -0x1.b4cd92cf548f7p-4, -0x1.af4120ba9fdfep-4, -0x1.a97943e1f7c45p-4, -0x1.a37a24b0f83c9p-4, -0x1.9d47cac155c41p-4, -0x1.96e61df2da389p-4, -0x1.9058e5888141ep-4, -0x1.89a3c4c2789b7p-4, -0x1.82ca427cb0407p-4, -0x1.7bcfc2f54514ap-4, -0x1.74b78b54fd3eap-4, -0x1.6d84c297b608p-4, -0x1.663a70be7c658p-4, -0x1.5edb7ea16667dp-4, -0x1.576ab74ef1d6bp-4, -0x1.4feac78c97b46p-4, -0x1.485e3e2114ddcp-4, -0x1.40c78e7d3d1abp-4, -0x1.39290dc5daf49p-4, -0x1.3184f756b033dp-4, -0x1.29dd6ba888e06p-4, -0x1.2234716ee6da6p-4, -0x1.1a8bf63f57b48p-4, -0x1.12e5ce94ba444p-4, -0x1.0b43b7b095577p-4, -0x1.03a756d0a2d5ep-4, -0x1.f82474c846932p-5, -0x1.e90bb537f37aap-5, -0x1.da0734277befap-5, -0x1.cb198c37409c7p-5, -0x1.bc4531fc3e49fp-5, -0x1.ad8c719125263p-5, -0x1.9ef17017a665dp-5, -0x1.907630f207d9cp-5, -0x1.821c93e3a079dp-5, -0x1.73e657984b491p-5, -0x1.65d51a2ca0ad6p-5, -0x1.57ea5b2ec8799p-5, -0x1.4a277bf892571p-5, -0x1.3c8dc18f902c1p-5, -0x1.2f1e596c9b97bp-5, -0x1.21da4eed383aap-5, -0x1.14c29a6b39491p-5, -0x1.07d81a8f5e06p-5, -0x1.f6372e2cc7d76p-6, -0x1.dd1b83d75c4aap-6, -0x1.c45e6fbe26306p-6, -0x1.ac0105e84bc87p-6, -0x1.940431ace5c28p-6, -0x1.7c68bc531381p-6, -0x1.652f4eced5c3ap-6, -0x1.4e586cfab5febp-6, -0x1.37e4834e774a7p-6, -0x1.21d3dbbe12fb8p-6, -0x1.0c26a7c3ea359p-6, -0x1.edb9fd54f8b9fp-7, -0x1.c3edc02e001c7p-7, -0x1.9ae86460fc45dp-7, -0x1.72a9934fea8acp-7, -0x1.4b30c879560b6p-7, -0x1.247d59decb5b4p-7, -0x1.fd1cf54e959b2p-8, -0x1.b2c67c95bf1b7p-8, -0x1.69f51be3c155p-8, -0x1.22a696656c4dcp-8, -0x1.b9b0ba955acdep-9, -0x1.310f43cf3ffdap-9, -0x1.56c5ff4a8ffa1p-10, -0x1.452dea98e1f7bp-12, 0x1.5cbbf9d73c48bp-11, 0x1.a8441b9d5eebcp-10, 0x1.4e3a6f070d8b5p-9, 0x1.c57f73201a39fp-9, 0x1.1cfc50444e61ep-8, 0x1.55d6d8198de94p-8, 0x1.8d53488c0928ep-8, 0x1.c375a6b18e87dp-8, 0x1.f842189cbf2dcp-8, 0x1.15de6278bc6cep-7, 0x1.2ef4f84f3cd37p-7, 0x1.4766f5b44f6c6p-7, 0x1.5f368173b9b0ep-7, 0x1.7665ceaa1dd5ap-7, 0x1.8cf715ca6d80bp-7, 0x1.a2ec8e0b31de4p-7, 0x1.b84873556afd4p-7, 0x1.cd0d039571a75p-7, 0x1.e13c7e1aadf4ap-7, 0x1.f4d9249cfd284p-7, 0x1.03f29b67e4747p-6, 0x1.0d317ae95f0eep-6, 0x1.162a51019d01fp-6, 0x1.1ede3d601b317p-6, 0x1.274e5f08a9b49p-6, 0x1.2f7bd411d95f6p-6, 0x1.3767b98c713cdp-6, 0x1.3f132b5c8e4ecp-6, 0x1.467f440da238ap-6, 0x1.4dad1cdba5157p-6, 0x1.549dcc6320155p-6, 0x1.5b52691bd7e29p-6, 0x1.61cc06824edacp-6, 0x1.680bb4ce3d6b5p-6, 0x1.6e1288cf1f45dp-6, 0x1.73e18a322d97cp-6, 0x1.7979c711d1bffp-6, 0x1.7edc47f903632p-6, 0x1.840a136cd7ea9p-6, 0x1.89042d8d8c39cp-6, 0x1.8dcb9803b4a4ep-6, 0x1.926151c930e59p-6, 0x1.96c65752aa445p-6, 0x1.9afba253eefc2p-6, 0x1.9f02298c52fabp-6, 0x1.a2dae1ba75b15p-6, 0x1.a686bc3be3afap-6, 0x1.aa06a7cf72441p-6, 0x1.ad5b90646eb31p-6, 0x1.b0865f2fce3c9p-6, 0x1.b387fa89e8894p-6, 0x1.b66145f4cc41ep-6, 0x1.b91321f79e6c9p-6, 0x1.bb9e6c738e972p-6, 0x1.be040054a702ep-6, 0x1.c044b5b399e36p-6, 0x1.c26161d550c73p-6, 0x1.c45ad701843f2p-6, 0x1.c631e4e24dac5p-6, 0x1.c7e757a012149p-6, 0x1.c97bf9ae00c84p-6, 0x1.caf0937003c45p-6, 0x1.cc45e5d614c13p-6, 0x1.cd7cb3e6c1e55p-6, 0x1.ce95bd09157eap-6, 0x1.cf91bbfa6f78fp-6, 0x1.d07169e3bf673p-6, 0x1.d1357cf8546a7p-6, 0x1.d1dea87a772b7p-6, 0x1.d26d9d03a992bp-6, 0x1.d2e309f8d6105p-6, 0x1.d33f988368da2p-6, 0x1.d383f0b702ca9p-6, 0x1.d3b0baf828d96p-6, 0x1.d3c698800d096p-6, 0x1.d3c62a0b1c49ap-6, 0x1.d3b00d693055cp-6, 0x1.d384dded5d7e7p-6, 0x1.d34533b922ce1p-6, 0x1.d2f1a5098b52cp-6, 0x1.d28ac5016322dp-6, 0x1.d2112462d10acp-6, 0x1.d18551797fc16p-6, 0x1.d0e7d7c93bd4ep-6, 0x1.d0394095d23bbp-6, 0x1.cf7a12805aea4p-6, 0x1.ceaad1a6e1e51p-6, 0x1.cdcbffc439d8p-6, 0x1.ccde1c15a1218p-6, 0x1.cbe1a37bf2d96p-6, 0x1.cad7106b44224p-6, 0x1.c9bedaeffd80fp-6, 0x1.c89978b7ff533p-6, 0x1.c7675d2a3a43cp-6, 0x1.c628f8961f016p-6, 0x1.c4debbcd74fa2p-6, 0x1.c38910f38ad73p-6, 0x1.c228636358bedp-6, 0x1.c0bd1ae666945p-6, 0x1.bf479d5581934p-6, 0x1.bdc84e042e3aap-6, 0x1.bc3f8e9a8ac94p-6, 0x1.baadbe635597dp-6, 0x1.b9133a84bacbfp-6, 0x1.b7705e10b86edp-6, 0x1.b5c5821463694p-6, 0x1.b412fd81ba29ap-6, 0x1.b2592547a0508p-6, 0x1.b0984c65bcf14p-6, 0x1.aed0c3dc1b686p-6, 0x1.ad02dab5645f2p-6, 0x1.ab2ede106c841p-6, 0x1.a955191ceba2fp-6, 0x1.a775d52a1e5f4p-6, 0x1.a59159bb6ae5ap-6, 0x1.a3a7ec70c43eap-6, 0x1.a1b9d12df3691p-6, 0x1.9fc74a019b89p-6, 0x1.9dd0973ecc4f6p-6, 0x1.9bd5f7777f154p-6, 0x1.99d7a781ea9aep-6, 0x1.97d5e29805663p-6, 0x1.95d0e2457cde1p-6, 0x1.93c8de790b72bp-6, 0x1.91be0d96ac6ebp-6, 0x1.8fb0a451bf601p-6, 0x1.8da0d5e0079b7p-6, 0x1.8b8ed3b01b72cp-6, 0x1.897ace46a4029p-6, 0x1.8764f42d3b4acp-6, 0x1.854d72bf09f9p-6, 0x1.833475c969ad2p-6, 0x1.811a27c4b1442p-6, 0x1.7efeb1c0c8973p-6, 0x1.7ce23b74e7e85p-6, 0x1.7ac4eb60e45a7p-6, 0x1.78a6e64f2ee96p-6, 0x1.768850d3bf97ap-6, 0x1.74694cf839b26p-6, 0x1.7249fc6123625p-6, 0x1.702a7f35aa24bp-6, 0x1.6e0af4804871bp-6, 0x1.6beb7a20c0ee3p-6, 0x1.69cc2cde2cf1ep-6, 0x1.67ad2868ebebfp-6, 0x1.658e87698e4d4p-6, 0x1.637063752a609p-6, 0x1.6152d511f3735p-6, 0x1.5f35f3c5d04d8p-6, 0x1.5d19d61d1cdbep-6, 0x1.5afe91a7c3179p-6, 0x1.58e43b11c2072p-6, 0x1.56cae627fe9adp-6, 0x1.54b2a5cd5e418p-6, 0x1.529b8c04d71c2p-6, 0x1.5085aa166ccf3p-6, 0x1.4e71104d8bbfep-6, 0x1.4c5dce2615d04p-6, 0x1.4a4bf275699c2p-6, 0x1.483b8b3bb473ep-6, 0x1.462ca57b111f6p-6, 0x1.441f4eda6f047p-6, 0x1.421392cd049c5p-6, 0x1.40097a1cdf1cp-6, 0x1.3e0113bc4c22fp-6, 0x1.3bfa66de3202ep-6, 0x1.39f57d667cddbp-6, 0x1.37f26017f4a78p-6, 0x1.35f1171b46804p-6, 0x1.33f1aa1d695fcp-6, 0x1.31f42034c1a67p-6, 0x1.2ff87fffa0873p-6, 0x1.2dfecf9839e07p-6, 0x1.2c07149926489p-6, 0x1.2a11542173ce6p-6, 0x1.281d92db9b022p-6, 0x1.262bd4feeac39p-6, 0x1.243c1e641235ep-6, 0x1.224e727dd03c9p-6, 0x1.2062d45a556ffp-6, 0x1.1e7946b53c1e2p-6, 0x1.1c91cbeb5f2e6p-6, 0x1.1aac6601a7c14p-6, 0x1.18c916a5d9f69p-6, 0x1.16e7df3115484p-6, 0x1.1508c0ae129dbp-6, 0x1.132bbbfb73b8bp-6, 0x1.1150d1520a858p-6, 0x1.0f78015dfabd1p-6, 0x1.0da14bed0f858p-6, 0x1.0bccb0e2efbdfp-6, 0x1.09fa2fde3e164p-6, 0x1.0829c8404cca9p-6, 0x1.065b79325adddp-6, 0x1.048f41b430e6fp-6, 0x1.02c5209750e91p-6, 0x1.00fd147fc264ep-6, 0x1.fe6e37dfcca1p-7, 0x1.fae66a982610fp-7, 0x1.f762bdadf2259p-7, 0x1.f3e32d6b59accp-7, 0x1.f067b5e794b82p-7, 0x1.ecf052fb06763p-7, 0x1.e97d004c17a35p-7, 0x1.e60db946965e4p-7, 0x1.e2a2793db9959p-7, 0x1.df3b3b504745p-7, 0x1.dbd7fa8293ef1p-7, 0x1.d878b1c41881bp-7, 0x1.d51d5bf0c8545p-7, 0x1.d1c5f3d479ba4p-7, 0x1.ce72742f32941p-7, 0x1.cb22d7a8916bfp-7, 0x1.c7d718df8ac63p-7, 0x1.c48f3265659acp-7, 0x1.c14b1ec0f6de6p-7, 0x1.be0ad8736f8e5p-7, 0x1.bace59fcc12e8p-7, 0x1.b7959de3b138ap-7, 0x1.b4609eb335919p-7, 0x1.b12f5703e9392p-7, 0x1.ae01c17af9d9ap-7, 0x1.aad7d8ccaf2c8p-7, 0x1.a7b197b9215ep-7, 0x1.a48ef909e4532p-7, 0x1.a16ff79b97166p-7, 0x1.9e548e546aefap-7, 0x1.9b3cb82e3f8dcp-7, 0x1.982870367e6efp-7, 0x1.9517b191d0db4p-7, 0x1.920a777e0c798p-7, 0x1.8f00bd54fa086p-7, 0x1.8bfa7e8dab5c9p-7, 0x1.88f7b6bd3f01p-7, 0x1.85f86196ee495p-7, 0x1.82fc7ae5b535ep-7, 0x1.8003fe96ba9ccp-7, 0x1.7d0ee8b096a8cp-7, 0x1.7a1d355469827p-7, 0x1.772ee0c1302e9p-7, 0x1.7443e7569689ep-7, 0x1.715c4593ac8d8p-7, 0x1.6e77f8186abe6p-7, 0x1.6b96fba82a166p-7, 0x1.68b94cdbe6546p-7, 0x1.65dee99b5d166p-7, 0x1.6307ce101935dp-7, 0x1.6033f8017c819p-7, 0x1.5d6364bdd1f1cp-7, 0x1.5a9611d16d501p-7, 0x1.57cbfcf27f8eep-7, 0x1.550524361fbbap-7, 0x1.524185b7861cdp-7, 0x1.4f811e9f9a1c1p-7, 0x1.4cc3ecd3d6e9p-7, 0x1.4a09efd8d0f2bp-7, 0x1.475325d35d032p-7, 0x1.449f8ba043b89p-7, 0x1.41ef240d3eee9p-7, 0x1.3f41e66f7a33ap-7, 0x1.3c97d9dd6c7cp-7, 0x1.39f0f9681d2f7p-7, 0x1.374d444a85d18p-7, 0x1.34acb9fd3fddbp-7, 0x1.320f59ce3abcap-7, 0x1.2f752326a3ce2p-7, 0x1.2cde1588d127ap-7, 0x1.2a4a308fd5a28p-7, 0x1.27b973ef98c8cp-7, 0x1.252bdf747aee5p-7, 0x1.22a1730250436p-7, 0x1.201a2e92239bbp-7, 0x1.1d9612307531ep-7, 0x1.1b151df76d083p-7, 0x1.189751f54a54dp-7, 0x1.161cae05c09e7p-7, 0x1.13a53468b332ep-7, 0x1.1130e52f982ccp-7, 0x1.0ebfbcf44a80ap-7, 0x1.0c51bf32d2448p-7, 0x1.09e6ee59640c5p-7, 0x1.077f489089102p-7, 0x1.051acef90581fp-7, 0x1.02b9827faef37p-7, 0x1.005b63f0c3333p-7, 0x1.fc00e834824eep-8, 0x1.f7516799781b8p-8, 0x1.f2a847b9b0a14p-8, 0x1.ee058a4fdddd1p-8, 0x1.e969312cf369dp-8, 0x1.e4d33e3d79672p-8, 0x1.e043b38ccf0bep-8, 0x1.dbba934401b1dp-8, 0x1.d737dfa33a2dp-8, 0x1.d2bb9af631df6p-8, 0x1.ce45c7856418dp-8, 0x1.c9d66787cc7cdp-8, 0x1.c56d7d198a3fbp-8, 0x1.c10b0a3d00f1fp-8, 0x1.bcaf107df9ff7p-8, 0x1.b85991f48f8ap-8, 0x1.b40a906e7be3ap-8, 0x1.afc20d3b65c23p-8, 0x1.ab800a9cda9adp-8, 0x1.a7448aa142cb7p-8, 0x1.a30f8f8f40c35p-8, 0x1.9ee11bd340f53p-8, 0x1.9ab931e647475p-8, 0x1.9697d428ad94p-8, 0x1.927d04cecec5p-8, 0x1.8e68c4e3fbe4cp-8, 0x1.8a5b176f375f7p-8, 0x1.8653fcf6c9befp-8, 0x1.8253755cc61bcp-8, 0x1.7e5981c078bfp-8, 0x1.7a6622ad99874p-8, 0x1.767958d37f8d3p-8, 0x1.72932530f2327p-8, 0x1.6eb38924113bp-8, 0x1.6ada866580d86p-8, 0x1.67081eec0e24p-8, 0x1.633c54bb4c647p-8, 0x1.5f7729a7b9d62p-8, 0x1.5bb89f1af5e75p-8, 0x1.5800b5e1fa00ep-8, 0x1.544f6e1163cacp-8, 0x1.50a4c708123cbp-8, 0x1.4d00bf9e38f86p-8, 0x1.496356043e99ep-8, 0x1.45cc88b9bb415p-8, 0x1.423c56357f331p-8, 0x1.3eb2bd6d8197ep-8, 0x1.3b2fbdef19a9bp-8, 0x1.37b357e9ea4fcp-8, 0x1.343d8c0f442a2p-8, 0x1.30ce5b5bc6598p-8, 0x1.2d65c6e15f8adp-8, 0x1.2a03cf8e4ffe1p-8, 0x1.26a87605740e1p-8, 0x1.2353b920833bep-8, 0x1.200594ad020c8p-8, 0x1.1cbe05cdb277bp-8, 0x1.197d0bc91b52p-8, 0x1.1642a0fb1f269p-8, 0x1.130ebe46ed7c8p-8, 0x1.0fe161c850f84p-8, 0x1.0cba892c983aep-8, 0x1.099a308eeeadp-8, 0x1.0680554a285f5p-8, 0x1.036cf5fe7bf6cp-8, 0x1.006011edaf77p-8, 0x1.fab3511ad0a19p-9, 0x1.f4b37258307f2p-9, 0x1.eec08536eea2dp-9, 0x1.e8da85d39bee4p-9, 0x1.e3016e15e19cap-9, 0x1.dd352d715a394p-9, 0x1.d775d7b87e346p-9, 0x1.d1c33883d8dcap-9, 0x1.cc1d5bb0d1f1ep-9, 0x1.c6842c145c722p-9, 0x1.c0f79cc454c11p-9, 0x1.bb77a08973897p-9, 0x1.b6042b4e0a07cp-9, 0x1.b09d327eba44p-9, 0x1.ab42ad17a564ap-9, 0x1.a5f49386802eep-9, 0x1.a0b2df61ea09p-9, 0x1.9b7d8afed2da3p-9, 0x1.965490ec05c04p-9, 0x1.9137eb5a0a6f5p-9, 0x1.8c27937a135ccp-9, 0x1.872380e4075e9p-9, 0x1.822ba91637bb3p-9, 0x1.7d3fff2664b07p-9, 0x1.786073b9cc136p-9, 0x1.738cf54e28701p-9, 0x1.6ec570cd5b205p-9, 0x1.6a09d2566a7c2p-9, 0x1.655a061cea3p-9, 0x1.60b5f940bbf29p-9, 0x1.5c1d9a78a41b8p-9, 0x1.5790d8da80e83p-9, 0x1.530faa665548ap-9, 0x1.4e9a03ccf2d6fp-9, 0x1.4a2fda652e855p-9, 0x1.45d128afa079dp-9, 0x1.417de8bb26351p-9, 0x1.3d36149695563p-9, 0x1.38f9a50c73105p-9, 0x1.34c89053fe80bp-9, 0x1.30a2c8f5e196ep-9, 0x1.2c883d25d55a3p-9, 0x1.2878d6c7c2b6fp-9, 0x1.24747c41cb87dp-9, 0x1.207b11b9ae479p-9, 0x1.1c8c7ac65c98bp-9, 0x1.18a89c32c1d21p-9, 0x1.14cf5d446a656p-9, 0x1.1100a898977b5p-9, 0x1.0d3c6c87166d6p-9, 0x1.09829b14be91dp-9, 0x1.05d329b4bb974p-9, 0x1.022e10dc5f31dp-9, 0x1.fd2696d9de1f5p-10, 0x1.f605abaf34c5cp-10, 0x1.eef959ba32478p-10, 0x1.e80197c267097p-10, 0x1.e11e55f768cdbp-10, 0x1.da4f7a481d292p-10, 0x1.d394dde98e35ap-10, 0x1.ccee4cf1bafdp-10, 0x1.c65b8873fe2cep-10, 0x1.bfdc4ad38bdd9p-10, 0x1.b9704d4b98d6bp-10, 0x1.b3174d474a95ep-10, 0x1.acd1103f033b2p-10, 0x1.a69d6562843acp-10, 0x1.a07c252056307p-10, 0x1.9a6d2f4b3e86p-10, 0x1.947068e716384p-10, 0x1.8e85ba848e1a8p-10, 0x1.88ad0f8f897d4p-10, 0x1.82e6565ac2702p-10, 0x1.7d3180334b1f5p-10, 0x1.778e809f091bp-10, 0x1.71fd4b285f7e9p-10, 0x1.6c7dcfaa2875ap-10, 0x1.670ff6099c3d9p-10, 0x1.61b39a7c1a86bp-10, 0x1.5c688c1b7eea2p-10, 0x1.572e8e98d5fcfp-10, 0x1.52055f06f9abap-10, 0x1.4cecba7920358p-10, 0x1.47e46467c05b8p-10, 0x1.42ec2a0f3ea4bp-10, 0x1.3e03dd57edac8p-10, 0x1.392b7fff74e3p-10, 0x1.3462c2fcafc66p-10, 0x1.2fa9b881fc42cp-10, 0x1.2b002f3e4b50fp-10, 0x1.26660a44fdd8p-10, 0x1.21db26356f77ap-10, 0x1.1d5f5fa9cd804p-10, 0x1.18f295a25006ap-10, 0x1.1494aaaa63004p-10, 0x1.1045844e94e2dp-10, 0x1.0c0508fa3ffa9p-10, 0x1.07d31c2f456adp-10, 0x1.03af9d01b4712p-10, 0x1.ff34c05304179p-11, 0x1.f7266b4fdf66ep-11, 0x1.ef33ceaeb863dp-11, 0x1.e75c7f2537e09p-11, 0x1.df9ffd4b898c1p-11, 0x1.d7fe5e14a86bep-11, 0x1.d076e2994797cp-11, 0x1.c909a7249874p-11, 0x1.c1b668799ca9dp-11, 0x1.ba7d00591caaep-11, 0x1.b35d2b31a492p-11, 0x1.ac569e1e0ea17p-11, 0x1.a569111094838p-11, 0x1.9e9439e4ffe8p-11, 0x1.97d7d2fd01d1dp-11, 0x1.91339a4452fa1p-11, 0x1.8aa74e81fe40cp-11, 0x1.8432ad78db952p-11, 0x1.7dd5746be8fd5p-11, 0x1.778f62ab963c8p-11, 0x1.71603c2d9df56p-11, 0x1.6b47c9e0614b6p-11, 0x1.6545d6bd9a4afp-11, 0x1.5f5a2add32086p-11, 0x1.5984878d75dabp-11, 0x1.53c4a73e683f6p-11, 0x1.4e1a41ad48f6bp-11, 0x1.4885117fc93a4p-11, 0x1.4304d6f7056c3p-11, 0x1.3d99551ded579p-11, 0x1.38424b19370d3p-11, 0x1.32ff6ee9a2f9fp-11, 0x1.2dd06ec3f8cf5p-11, 0x1.28b4f98afbf22p-11, 0x1.23acc910f76dcp-11, 0x1.1eb7a671bd6b9p-11, 0x1.19d56461f3cf9p-11, 0x1.1505d2560ac8ap-11, 0x1.1048b08d535adp-11, 0x1.0b9dacc9b2e94p-11, 0x1.07046a949397cp-11, 0x1.027c93501e059p-11, 0x1.fc0bccb37393dp-12, 0x1.f34082a9db27bp-12, 0x1.ea973934d2f76p-12, 0x1.e20ffaa4d3977p-12, 0x1.d9aac64dd8622p-12, 0x1.d167720e85cb5p-12, 0x1.c9459dca5d9f7p-12, 0x1.c144bca9b57cp-12, 0x1.b9642da9ab78ep-12, 0x1.b1a3553dbcb52p-12, 0x1.aa01aa08917abp-12, 0x1.a27eb06b8a0f2p-12, 0x1.9b19eddf700a9p-12, 0x1.93d2e393e3b95p-12, 0x1.8ca919438ebe1p-12, 0x1.859c311ff512p-12, 0x1.7eabf18940355p-12, 0x1.77d835b70bdecp-12, 0x1.7120ca059b992p-12, 0x1.6a854a2f5ca8cp-12, 0x1.640517c537bffp-12, 0x1.5d9f6f2eb562bp-12, 0x1.57538f185edd6p-12, 0x1.5120dd610dcebp-12, 0x1.4b06f8fe34da1p-12, 0x1.4505b56d34a2bp-12, 0x1.3f1d07d217898p-12, 0x1.394ceffce7d7dp-12, 0x1.3395625c22c8ap-12, 0x1.2df634723c25dp-12, 0x1.286f0ff0cf09ep-12, 0x1.22ff73bc4a27bp-12, 0x1.1da6c532384f2p-12, 0x1.18646deede862p-12, 0x1.1337f6b9894d5p-12, 0x1.0e21117ad834ap-12, 0x1.091f8f4a159efp-12, 0x1.04334a0b801f6p-12, 0x1.feb820d3efcd6p-13, 0x1.f53342e6d3051p-13, 0x1.ebd7719c11de9p-13, 0x1.e2a437848b7bp-13, 0x1.d9992922e2e27p-13, 0x1.d0b5bbd29be1cp-13, 0x1.c7f92676a573p-13, 0x1.bf6274a339415p-13, 0x1.b6f0f2703584bp-13, 0x1.aea3e37457af2p-13, 0x1.a67af2f7e56a5p-13, 0x1.9e75c99957c4bp-13, 0x1.9693ff1ab8176p-13, 0x1.8ed51ee81dc4fp-13, 0x1.8738bd052f0cbp-13, 0x1.7fbe7fcab3aa8p-13, 0x1.78661208e9388p-13, 0x1.712f0738de9a9p-13, 0x1.6a18c2515d3d2p-13, 0x1.63226d2d703a9p-13, 0x1.5c4b09e11b2cdp-13, 0x1.559106c9c7d6dp-13, 0x1.4ef4a3c2cea2bp-13, 0x1.48755fabccba4p-13, 0x1.42120c6ae8856p-13, 0x1.3bcb4724c69aep-13, 0x1.35a10a323dab2p-13, 0x1.2f9303b08d9d9p-13, 0x1.29a09165dc35cp-13, 0x1.23c8fa265f9ebp-13, 0x1.1e0ba3e4c4926p-13, 0x1.1868121a0ca43p-13, 0x1.12ddb7bd1c13ep-13, 0x1.0d6c365a07e73p-13, 0x1.081323ee9f089p-13, 0x1.02d32249025cfp-13, 0x1.fb568305f36d2p-14, 0x1.f137df663154cp-14, 0x1.e748bdda1ceddp-14, 0x1.dd87ff3df9065p-14, 0x1.d3f48dad9e112p-14, 0x1.ca8dc46da6597p-14, 0x1.c15331cc92727p-14, 0x1.b843d84f3c0cap-14, 0x1.af6016913c73dp-14, 0x1.a6a578af7d9bap-14, 0x1.9e151a0d2141ap-14, 0x1.95ad62cf4a8e5p-14, 0x1.8d6d3ada2d34ep-14, 0x1.85539ab6d3427p-14, 0x1.7d5fafe832bdap-14, 0x1.7591129225035p-14, 0x1.6de7be45b200fp-14, 0x1.6663d20eb48b7p-14, 0x1.5f052721638fep-14, 0x1.57caf3ff22793p-14, 0x1.50b3d13b76daap-14, 0x1.49be37b3f2248p-14, 0x1.42e900a7ecdddp-14, 0x1.3c3367dfc6ef7p-14, 0x1.359cd18750b97p-14, 0x1.2f24e52100ff6p-14, 0x1.28cbc5e81c98p-14, 0x1.2291c22c87dadp-14, 0x1.1c76b65138bc8p-14, 0x1.1679e50c1e43fp-14, 0x1.109a65dc41b14p-14, 0x1.0ad78e16d4cc3p-14, 0x1.0530e3eefce2ep-14, 0x1.ff4bc1f2ec25ap-15, 0x1.f46bd758a4f15p-15, 0x1.e9c0f366c0fa8p-15, 0x1.df4a48710c6afp-15, 0x1.d50743a38ddf4p-15, 0x1.caf764b51d582p-15, 0x1.c11a0e84d387ep-15, 0x1.b76e62e5e1db3p-15, 0x1.adf33fbc41ccap-15, 0x1.a4a765e7808d1p-15, 0x1.9b89b30a97b09p-15, 0x1.929947b047844p-15, 0x1.89d58affebccbp-15, 0x1.813e1c5208ed8p-15, 0x1.78d2b7836e99dp-15, 0x1.7092ee1c08207p-15, 0x1.687dbedbdf04dp-15, 0x1.60916f84bdb2ap-15, 0x1.58cc2af85f197p-15, 0x1.512daa6c638d4p-15, 0x1.49b527e0a9419p-15, 0x1.426306f230d2ep-15, 0x1.3b370777a44d6p-15, 0x1.3430d3c3916aap-15, 0x1.2d4fe054f86d6p-15, 0x1.2692f167e0c07p-15, 0x1.1ff8984f2d96ep-15, 0x1.1980071555941p-15, 0x1.1328cb4b23ea9p-15, 0x1.0cf23572e60bap-15, 0x1.06db7090b2596p-15, 0x1.00e3c5919bb47p-15, 0x1.f6153ff606baep-16, 0x1.ea9ef822c2c52p-16, 0x1.df63ca59f9abdp-16, 0x1.d462fdf7f380cp-16, 0x1.c99c080428358p-16, 0x1.bf0e6381289e6p-16, 0x1.b4b960dafe6b3p-16, 0x1.aa9c0da014c5dp-16, 0x1.a0b5391c9eaedp-16, 0x1.9703865352d9bp-16, 0x1.8d85809f56843p-16, 0x1.8439b768a86fap-16, 0x1.7b1eec370fbep-16, 0x1.72344dc8ca883p-16, 0x1.69798fccabec8p-16, 0x1.60eddb025f37ep-16, 0x1.588fa1bab667fp-16, 0x1.505fa799c7b07p-16, 0x1.4859ce6f20ec4p-16, 0x1.407f07690c795p-16, 0x1.38cfd8b6b2de6p-16, 0x1.314bac6061771p-16, 0x1.29f0b41171d29p-16, 0x1.22bde500784b9p-16, 0x1.1bb276432a545p-16, 0x1.14cd6611f6408p-16, 0x1.0e0e98070395p-16, 0x1.0775df41dc7cdp-16, 0x1.01023f0601113p-16, 0x1.f5653da5fc9c9p-17, 0x1.e90c47cf6e94p-17, 0x1.dcf82ff198409p-17, 0x1.d1278be0c05aap-17, 0x1.c598e9aa6b109p-17, 0x1.ba4aaa52c8b0bp-17, 0x1.af3b672453856p-17, 0x1.a469434889c3fp-17, 0x1.99d33119cc5bbp-17, 0x1.8f786314ca8c7p-17, 0x1.855877193cd3ep-17, 0x1.7b72fe55f1cap-17, 0x1.71c709917495cp-17, 0x1.685322ddb32c3p-17, 0x1.5f15a9673010fp-17, 0x1.560d11cfb8fd5p-17, 0x1.4d37e535ac084p-17, 0x1.4494d6d38b106p-17, 0x1.3c23099418b26p-17, 0x1.33e206c75a015p-17, 0x1.2bd1338872fb6p-17, 0x1.23edf5e1ca1c5p-17, 0x1.1c3a9e41ab7cdp-17, 0x1.14b31e81a7f7ep-17, 0x1.0d588121fe3dbp-17, 0x1.062a706a75e1ep-17, 0x1.fe4e6092fb7f1p-18, 0x1.f0992adaa87b5p-18, 0x1.e333b1e95795ap-18, 0x1.d61cdc81fe0cap-18, 0x1.c95537dcda116p-18, 0x1.bcdb82c7b2c87p-18, 0x1.b0acfc3455603p-18, 0x1.a4c7a7a1509ccp-18, 0x1.992a116006b9ap-18, 0x1.8dd2e81d9e764p-18, 0x1.82c090d5519cfp-18, 0x1.77efc5a6e8102p-18, 0x1.6d6458c2f6355p-18, 0x1.631756d57b11ap-18, 0x1.5909b1cef594bp-18, 0x1.4f3a0ee28b953p-18, 0x1.45a7571ff2e1fp-18, 0x1.3c5095d150745p-18, 0x1.3334c66cc257cp-18, 0x1.2a52a40341319p-18, 0x1.21a88f0473a7fp-18, 0x1.1934aea591f17p-18, 0x1.10f571489a567p-18, 0x1.08e9eee124be7p-18, 0x1.011164bac15f3p-18, 0x1.f2d4fb36b62c7p-19, 0x1.e3e767c21ca57p-19, 0x1.d5581dbcf6fe8p-19, 0x1.c725de651dd89p-19, 0x1.b94f461bc7b89p-19, }}, 
      {{-0x1.bca6c94e6bca6p-2, -0x1.a345d2c8fcd6dp-2, -0x1.7c292b5429eefp-2, -0x1.4abe97a3e2af7p-2, -0x1.127b97208e3eap-2, -0x1.ad1265a3d4611p-3, -0x1.3337ec3a8466bp-3, -0x1.779a618d25329p-4, -0x1.28e14270b086ep-5, 0x1.f0ad50f6cb21bp-7, 0x1.f9349722fe803p-5, 0x1.a51882602122fp-4, 0x1.1b52f9634fb4cp-3, 0x1.589bcc06f2538p-3, 0x1.8ab702258cabbp-3, 0x1.b23441de4f348p-3, 0x1.cfcfbd0250a3p-3, 0x1.e462ab8ad664bp-3, 0x1.f0d6b619832ecp-3, 0x1.f61bf5fa46756p-3, 0x1.f5213872114d8p-3, 0x1.eece32d1d16fdp-3, 0x1.e3ff58f65efafp-3, 0x1.d5830963619c3p-3, 0x1.c417cb3ac04ccp-3, 0x1.b06b633a1eaddp-3, 0x1.9b1a8c967b0bdp-3, 0x1.84b12c2cee2cep-3, 0x1.6daadb1285b85p-3, 0x1.5673ad16e591cp-3, 0x1.3f691dcca4cdap-3, 0x1.28db138c6915p-3, 0x1.130cec733d167p-3, 0x1.fc6d1991862afp-4, 0x1.d50ad0f72901p-4, 0x1.b03b07f555dccp-4, 0x1.8e34d2c99a9f3p-4, 0x1.6f2020f185c4dp-4, 0x1.531770782d339p-4, 0x1.3a2963e1fc378p-4, 0x1.245a3ada2383p-4, 0x1.11a52e71d0846p-4, 0x1.01fdb224d06adp-4, 0x1.eaa135f1108edp-5, 0x1.d70a5c0a65d8dp-5, 0x1.c8fc2f0d81f2cp-5, 0x1.c034974fd1e23p-5, 0x1.bc6ba3e12e87dp-5, 0x1.bd54f8fe1ac3cp-5, 0x1.c2a117e693cbcp-5, 0x1.cbfe823da415ep-5, 0x1.d91aba8280eeap-5, 0x1.e9a324ea54904p-5, 0x1.fd45c7e23ebaap-5, 0x1.09d8fade7db8cp-4, 0x1.164c6b597cbddp-4, 0x1.23d6ef1b1e034p-4, 0x1.3253965939678p-4, 0x1.419eea419b938p-4, 0x1.51970c46c08bfp-4, 0x1.621bcdc8ede54p-4, 0x1.730eba77ddf56p-4, 0x1.845324abeccaap-4, 0x1.95ce25dbc88c5p-4, 0x1.a7669c8c71dabp-4, 0x1.b90529e94dbf9p-4, 0x1.ca94264254b0fp-4, 0x1.dbff9b09de97ap-4, 0x1.ed35344ccda45p-4, 0x1.fe24317ab0d22p-4, 0x1.075eaa9909ec4p-3, 0x1.0f796a9952afbp-3, 0x1.175c230faaab7p-3, 0x1.1f014845d158ap-3, 0x1.2663ed5cb7d17p-3, 0x1.2d7fbd4e8a1cp-3, 0x1.3450f220b6804p-3, 0x1.3ad44c7d75561p-3, 0x1.41070b06acf02p-3, 0x1.46e6e2a95c476p-3, 0x1.4c71f6a33deeep-3, 0x1.51a6d116f0586p-3, 0x1.56845c7b5d161p-3, 0x1.5b09dbf1101aap-3, 0x1.5f36e59d848ecp-3, 0x1.630b5bdf47b17p-3, 0x1.66876740ef764p-3, 0x1.69ab7088c2c1bp-3, 0x1.6c781ae41892bp-3, 0x1.6eee3ebd2831fp-3, 0x1.710ee44f45278p-3, 0x1.72db3ef0f01d1p-3, 0x1.7454a88a53578p-3, 0x1.757c9d5c0742p-3, 0x1.7654b7fd317b5p-3, 0x1.76deae163da37p-3, 0x1.771c4c3be0903p-3, 0x1.770f734db83a3p-3, 0x1.76ba15b8c88cp-3, 0x1.761e33f4ce73p-3, 0x1.753ddb192d513p-3, 0x1.741b20f777875p-3, 0x1.72b8235393fb9p-3, 0x1.71170527bb4b7p-3, 0x1.6f39ecc379ee3p-3, 0x1.6d230330fcadp-3, 0x1.6ad4701753d0fp-3, 0x1.68505b07b7f5dp-3, 0x1.6598e8bc54638p-3, 0x1.62b03a302d71fp-3, 0x1.5f986b9f5c2dfp-3, 0x1.5c53935801afcp-3, 0x1.58e3c19c51cb1p-3, 0x1.554afe73fdda6p-3, 0x1.518b4a68310d3p-3, 0x1.4da69d4416553p-3, 0x1.499ee55782687p-3, 0x1.45760803bbfd2p-3, 0x1.412ddfb9ada65p-3, 0x1.3cc83d13b3dd8p-3, 0x1.3846e5e2400adp-3, 0x1.33ab952421cbfp-3, 0x1.2ef7fa4226a4cp-3, 0x1.2a2dba2c94561p-3, 0x1.254e6df0e17fbp-3, 0x1.205ba35e69b33p-3, 0x1.1b56dcd414896p-3, 0x1.16419160250eap-3, 0x1.111d2c1e26974p-3, 0x1.0beb0de2a6082p-3, 0x1.06ac8b89b5734p-3, 0x1.0162eeec25cefp-3, 0x1.f81eee1d08fe7p-4, 0x1.ed66afea16736p-4, 0x1.e29f766d838b5p-4, 0x1.d7cb7eb36d0e4p-4, 0x1.ccecf1e219374p-4, 0x1.c205e4e62d8dbp-4, 0x1.b71857815e2ccp-4, 0x1.ac2636fe3c0f3p-4, 0x1.a1315c1fe99c8p-4, 0x1.963b8e22009b8p-4, 0x1.8b4680544a1b5p-4, 0x1.8053d4f43164cp-4, 0x1.75651c67050e1p-4, 0x1.6a7bd56381485p-4, 0x1.5f996e5540763p-4, 0x1.54bf45087aa05p-4, 0x1.49eea7c8e1c02p-4, 0x1.3f28d4cc19db4p-4, 0x1.346efb8d42272p-4, 0x1.29c23d0c3e8edp-4, 0x1.1f23abf9fa799p-4, 0x1.14944cf547c68p-4, 0x1.0a151794e307ap-4, 0x1.ff4decfefa827p-5, 0x1.ea958f3b5b79cp-5, 0x1.d602b902d74bbp-5, 0x1.c196f628bc653p-5, 0x1.ad53bc18e00ecp-5, 0x1.993a69ac389b2p-5, 0x1.854c47fdabd46p-5, 0x1.718a8bcfdf08ap-5, 0x1.5df6569ab6aaep-5, 0x1.4a90b6343ceeap-5, 0x1.375aa51e18655p-5, 0x1.24550ca6a4076p-5, 0x1.1180c582a61cp-5, 0x1.fdbd2e1f556ep-6, 0x1.d8de724f98646p-6, 0x1.b466a79a93472p-6, 0x1.905702d6dca51p-6, 0x1.6cb09ae648f01p-6, 0x1.49746d4f9f434p-6, 0x1.26a35c6625b31p-6, 0x1.043e313cebcbp-6, 0x1.c48b3f563f16p-7, 0x1.817487918b4f7p-7, 0x1.3f39461e08b3p-7, 0x1.fbb4b7861ab2cp-8, 0x1.7ab1081e8d841p-8, 0x1.f6d1581616eadp-9, 0x1.f77214d8ba714p-10, 0x1.069697b71d666p-15, -0x1.e0141418b0b1ep-10, -0x1.e0b3ea095b84ap-9, -0x1.66f1c022de01fp-8, -0x1.dbccc094ff71fp-8, -0x1.2775c5b782bb1p-7, -0x1.602774440da3ap-7, -0x1.97fbe721f12fdp-7, -0x1.cef3b04fbfbecp-7, -0x1.0287bc7034542p-6, -0x1.1d2800a0735b8p-6, -0x1.375b0f22f0cacp-6, -0x1.51215bddc478fp-6, -0x1.6a7b6216c754bp-6, -0x1.8369a70749c88p-6, -0x1.9becb81548885p-6, -0x1.b4052b3ae9b21p-6, -0x1.cbb39d3ffc329p-6, -0x1.e2f8b13e6c89cp-6, -0x1.f9d51087322cep-6, -0x1.0824b5734c9dap-5, -0x1.132b3b57a58c3p-5, -0x1.1dfe778ddd15ep-5, -0x1.289eca6ff49e4p-5, -0x1.330c9631247ecp-5, -0x1.3d483f385a1e9p-5, -0x1.47522c232998ep-5, -0x1.512ac5bb1f8f7p-5, -0x1.5ad276843e64cp-5, -0x1.6449aa6d2bdacp-5, -0x1.6d90cec702e69p-5, -0x1.76a85226364c6p-5, -0x1.7f90a479d4a22p-5, -0x1.884a370acee4p-5, -0x1.90d57c23df9f3p-5, -0x1.9932e6eb7777cp-5, -0x1.a162eb1c746ecp-5, -0x1.a965fd1cde6ecp-5, -0x1.b13c91fe6bf19p-5, -0x1.b8e71f6dd0815p-5, -0x1.c0661bc2bdf12p-5, -0x1.c7b9fd8cfc781p-5, -0x1.cee33b85fd095p-5, -0x1.d5e24c7467ec5p-5, -0x1.dcb7a74022bfbp-5, -0x1.e363c2f7c27a8p-5, -0x1.e9e716ffd2247p-5, -0x1.f0421a64015eep-5, -0x1.f675442e0b78bp-5, -0x1.fc810aecadf66p-5, -0x1.0132f27c1d33ep-4, -0x1.0412242d083a9p-4, -0x1.06de558ab9369p-4, -0x1.0997c16310a1fp-4, -0x1.0c3ea24d21b96p-4, -0x1.0ed332718abfap-4, -0x1.1155abcccbf58p-4, -0x1.13c6480551fdp-4, -0x1.162540902db4bp-4, -0x1.1872ceae9139p-4, -0x1.1aaf2b3c552aap-4, -0x1.1cda8eacbc9dfp-4, -0x1.1ef53102b80ccp-4, -0x1.20ff49db22656p-4, -0x1.22f9108867154p-4, -0x1.24e2bc15b769ep-4, -0x1.26bc832b4075fp-4, -0x1.28869bf911907p-4, -0x1.2a413c211fb5bp-4, -0x1.2bec98bd5b7e4p-4, -0x1.2d88e6836b797p-4, -0x1.2f1659cf0aa96p-4, -0x1.309526aaca1bcp-4, -0x1.320580ae0d4f1p-4, -0x1.33679adfd1a5dp-4, -0x1.34bba7aa94f23p-4, -0x1.3601d8ddadbcfp-4, -0x1.373a5fd4d8478p-4, -0x1.38656d936b78p-4, -0x1.398332cc3b335p-4, -0x1.3a93dfbee58a3p-4, -0x1.3b97a419a9dep-4, -0x1.3c8eaedb5a67cp-4, -0x1.3d792e57ce9c8p-4, -0x1.3e57506de15b3p-4, -0x1.3f2942802cba6p-4, -0x1.3fef31c1f00ap-4, -0x1.40a94ae59a399p-4, -0x1.4157ba3e82ae9p-4, -0x1.41faab68c82afp-4, -0x1.429249516e168p-4, -0x1.431ebe4083ea6p-4, -0x1.43a0340bfcc59p-4, -0x1.4416d42bea637p-4, -0x1.4482c7d6cce9ap-4, -0x1.44e437e7e07c6p-4, -0x1.453b4cbe27539p-4, -0x1.45882e0eac5f3p-4, -0x1.45cb02dec2a2bp-4, -0x1.4603f192e2bffp-4, -0x1.4633201ce23ccp-4, -0x1.4658b41aa45bfp-4, -0x1.4674d2f2beb64p-4, -0x1.4687a1bd9b6dep-4, -0x1.4691452e16355p-4, -0x1.4691e15a3a6fp-4, -0x1.468999b7a5a6cp-4, -0x1.467891156c27p-4, -0x1.465ee9c36e363p-4, -0x1.463cc5c16abc3p-4, -0x1.461246d716bacp-4, -0x1.45df8e9761a23p-4, -0x1.45a4be50efc59p-4, -0x1.4561f6de11107p-4, -0x1.45175880ec48fp-4, -0x1.44c502f4ff708p-4, -0x1.446b1553de004p-4, -0x1.4409ae575dd54p-4, -0x1.43a0ec750873ep-4, -0x1.4330edf920a1ap-4, -0x1.42b9d10c86653p-4, -0x1.423bb3950555bp-4, -0x1.41b6b31b76065p-4, -0x1.412aeca8f3a13p-4, -0x1.40987cbb7c927p-4, -0x1.3fff7f50f6623p-4, -0x1.3f601004b7e23p-4, -0x1.3eba4a3409716p-4, -0x1.3e0e491a313c6p-4, -0x1.3d5c27d88922ep-4, -0x1.3ca401677e58p-4, -0x1.3be5f07e18471p-4, -0x1.3b220f7177a65p-4, -0x1.3a58782197f2ap-4, -0x1.398943f85e6c8p-4, -0x1.38b48bfb4b066p-4, -0x1.37da68e882da1p-4, -0x1.36faf355feca3p-4, -0x1.361643c13a656p-4, -0x1.352c729b919d6p-4, -0x1.343d982ed3e94p-4, -0x1.3349cc8ee04aap-4, -0x1.3251277c16336p-4, -0x1.3153c0542957ep-4, -0x1.3051ae110943ap-4, -0x1.2f4b0758e0cf1p-4, -0x1.2e3fe294cc2a8p-4, -0x1.2d305609baff7p-4, -0x1.2c1c77eb5b0a4p-4, -0x1.2b045e61bee28p-4, -0x1.29e81f80911fcp-4, -0x1.28c7d1347835fp-4, -0x1.27a3892e48f38p-4, -0x1.267b5cd1dcdb8p-4, -0x1.254f612f94369p-4, -0x1.241fab0c30823p-4, -0x1.22ec4eebc81b6p-4, -0x1.21b5612d139fp-4, -0x1.207af6146a8dp-4, -0x1.1f3d21dbaf0a8p-4, -0x1.1dfbf8b2291d6p-4, -0x1.1cb78eb46bd97p-4, -0x1.1b6ff7dd1ce29p-4, -0x1.1a2547f2f96d6p-4, -0x1.18d7927d62dccp-4, -0x1.1786eabf65425p-4, -0x1.163363bc57256p-4, -0x1.14dd104371aa5p-4, -0x1.138402fe97c5fp-4, -0x1.12284e7fe44c4p-4, -0x1.10ca054c094dep-4, -0x1.0f6939dccfbefp-4, -0x1.0e05fe9d403ccp-4, -0x1.0ca065df7debbp-4, -0x1.0b3881cfa43efp-4, -0x1.09ce64684bd85p-4, -0x1.08621f6bbf5e3p-4, -0x1.06f3c4636bc15p-4, -0x1.058364a63da02p-4, -0x1.04111161f5104p-4, -0x1.029cdba5a2e3fp-4, -0x1.0126d46a68269p-4, -0x1.ff5e1932c955ep-5, -0x1.fc6b2a1a5a767p-5, -0x1.f974fd1cd7a3fp-5, -0x1.f67bb398c8aecp-5, -0x1.f37f6ea6331dep-5, -0x1.f0804f061180cp-5, -0x1.ed7e7516a13eep-5, -0x1.ea7a00d1f6151p-5, -0x1.e77311d557f73p-5, -0x1.e469c76de2bfcp-5, -0x1.e15e40a5b6d49p-5, -0x1.de509c50e36d5p-5, -0x1.db40f916818a8p-5, -0x1.d82f7571c9ea6p-5, -0x1.d51c2fc03e14ap-5, -0x1.d207461ade449p-5, -0x1.cef0d66ce97adp-5, -0x1.cbd8fe50884a6p-5, -0x1.c8bfdb0aa04c5p-5, -0x1.c5a589832a981p-5, -0x1.c28a26464f59ap-5, -0x1.bf6dcd897aefdp-5, -0x1.bc509b31fd752p-5, -0x1.b932aae161f42p-5, -0x1.b61417fe75aa8p-5, -0x1.b2f4fdb46d8a3p-5, -0x1.afd576f5349e6p-5, -0x1.acb59e900f42fp-5, -0x1.a9958eef24558p-5, -0x1.a675627667e2cp-5, -0x1.a3553316053e9p-5, -0x1.a0351a77b8cd6p-5, -0x1.9d1531edab785p-5, -0x1.99f5926e5e0d4p-5, -0x1.96d6549877265p-5, -0x1.93b790b7afd1dp-5, -0x1.90995eca8db42p-5, -0x1.8d7bd687587b5p-5, -0x1.8a5f0f5f9d89bp-5, -0x1.8743208286cbbp-5, -0x1.842820de0fa3dp-5, -0x1.810e271ed61e5p-5, -0x1.7df549adf71fap-5, -0x1.7add9eacd6955p-5, -0x1.77c73bef8af99p-5, -0x1.74b236f764a2ep-5, -0x1.719ea4ee07172p-5, -0x1.6e8c9aa3db765p-5, -0x1.6b7c2c927e2fcp-5, -0x1.686d6edef51fdp-5, -0x1.6560755cd494fp-5, -0x1.625553920b1a2p-5, -0x1.5f4c1cb882665p-5, -0x1.5c44e3bec1e9fp-5, -0x1.593fbb495d139p-5, -0x1.563cb5b326ae7p-5, -0x1.533be50d584aap-5, -0x1.503d5b1ee4136p-5, -0x1.4d41296291ba5p-5, -0x1.4a47610422a19p-5, -0x1.475012dd50064p-5, -0x1.445b4f7396a54p-5, -0x1.416926f76cc58p-5, -0x1.3e79a944f7c57p-5, -0x1.3b8ce5e5940f2p-5, -0x1.38a2ec116d3bbp-5, -0x1.35bbcab0431bbp-5, -0x1.32d79058c4b36p-5, -0x1.2ff64b587cf5bp-5, -0x1.2d18099f87cb8p-5, -0x1.2a3cd8d4d061bp-5, -0x1.2764c65d6802p-5, -0x1.248fdf42338fdp-5, -0x1.21be304acc8a4p-5, -0x1.1eefc5f622766p-5, -0x1.1c24ac7b3c086p-5, -0x1.195cefc8a3037p-5, -0x1.16989b837f2cfp-5, -0x1.13d7bb04c7d53p-5, -0x1.111a5952f6fdcp-5, -0x1.0e608130ac21cp-5, -0x1.0baa3d00d7606p-5, -0x1.08f796cdd31c6p-5, -0x1.064898518e4a4p-5, -0x1.039d4aeb10389p-5, -0x1.00f5b7a4e3526p-5, -0x1.fca3ce774c766p-6, -0x1.f763c44d84fe6p-6, -0x1.f22b614459d07p-6, -0x1.ecfab56e5265bp-6, -0x1.e7d1d083f1dcp-6, -0x1.e2b0c1e5b46e5p-6, -0x1.dd979893212cbp-6, -0x1.d88663172ffdbp-6, -0x1.d37d2f6cee856p-6, -0x1.ce7c0ae0dd8cbp-6, -0x1.c98301f346cf6p-6, -0x1.c492204bcee91p-6, -0x1.bfa970a2c5ccep-6, -0x1.bac8fcd86fb53p-6, -0x1.b5f0ce08e3642p-6, -0x1.b120ecb6fd41dp-6, -0x1.ac5960ffd02a4p-6, -0x1.a79a32d140e25p-6, -0x1.a2e36a19cce22p-6, -0x1.9e350ee8888ccp-6, -0x1.998f2971894fbp-6, -0x1.94f1c1f9c04f9p-6, -0x1.905ce0a6a2a79p-6, -0x1.8bd08d36ef77p-6, -0x1.874ccea59547ep-6, -0x1.82d1aad5ad264p-6, -0x1.7e5f266145367p-6, -0x1.79f544736fb58p-6, -0x1.759406c2a827dp-6, -0x1.713b6dcf8d7ebp-6, -0x1.6ceb79407e973p-6, -0x1.68a4284ed7785p-6, -0x1.64657a443d82p-6, -0x1.602f6ef08fd75p-6, -0x1.5c020702fe94dp-6, -0x1.57dd443570a1fp-6, -0x1.53c1293ef7375p-6, -0x1.4fadb98a76151p-6, -0x1.4ba2f8b83e8dcp-6, -0x1.47a0e9ea17b3bp-6, -0x1.43a78f8931e02p-6, -0x1.3fb6e9a9cf404p-6, -0x1.3bcef6e8a9a24p-6, -0x1.37efb35571b16p-6, -0x1.341918fb2b7cbp-6, -0x1.304b202dd3866p-6, -0x1.2c85c0356902bp-6, -0x1.28c8f015a38d8p-6, -0x1.2514a76123786p-6, -0x1.2168def7e7975p-6, -0x1.1dc5919389fa7p-6, -0x1.1a2abc075ed8dp-6, -0x1.16985d235011fp-6, -0x1.130e75357ff6bp-6, -0x1.0f8d0537a888p-6, -0x1.0c140dc5ee08dp-6, -0x1.08a38e09d8ab1p-6, -0x1.053b82c927ba6p-6, -0x1.01dbe5c2d5dedp-6, -0x1.fd095aed2c021p-7, -0x1.f66b9abe9de25p-7, -0x1.efde6d2bdf78ep-7, -0x1.e961b18671744p-7, -0x1.e2f5467f16472p-7, -0x1.dc990c7b9eb19p-7, -0x1.d64ce7acd498fp-7, -0x1.d010c21b98a9cp-7, -0x1.c9e48c617423fp-7, -0x1.c3c83e05da27ap-7, -0x1.bdbbd4ffb77e4p-7, -0x1.b7bf53b8e292ep-7, -0x1.b1d2be7cc672dp-7, -0x1.abf6184770141p-7, -0x1.a6295f856c716p-7, -0x1.a06c8b5288dc3p-7, -0x1.9abf89b51c7abp-7, -0x1.95223f229f87dp-7, -0x1.8f94875642cbap-7, -0x1.8a16373681fe2p-7, -0x1.84a71f68f4e9ep-7, -0x1.7f470f21c6924p-7, -0x1.79f5d6cfd2eedp-7, -0x1.74b34a7a2cd11p-7, -0x1.6f7f43bd72f47p-7, -0x1.6a59a3661c9a2p-7, -0x1.654252907f503p-7, -0x1.60394321c130fp-7, -0x1.5b3e6f59779dp-7, -0x1.5651d8470b453p-7, -0x1.5173831d08119p-7, -0x1.4ca375a45ca76p-7, -0x1.47e1b25d7929ep-7, -0x1.432e350d55ee4p-7, -0x1.3e88f07007815p-7, -0x1.39f1cd8869629p-7, -0x1.3568ac94bcd9fp-7, -0x1.30ed67378ccd3p-7, -0x1.2c7fd312e3f0fp-7, -0x1.281fc40da7dd6p-7, -0x1.23cd0dc501e45p-7, -0x1.1f8784252dc16p-7, -0x1.1b4efb9522693p-7, -0x1.17234951135ddp-7, -0x1.1304446a808c2p-7, -0x1.0ef1c77dbc816p-7, -0x1.0aebb2b49f80ap-7, -0x1.06f1ed5dc3a5ap-7, -0x1.03046658b2a7dp-7, -0x1.fe4625c7e930fp-8, -0x1.f69bd7c098675p-8, -0x1.ef09d45c5e2b3p-8, -0x1.e790065f7cb07p-8, -0x1.e02e4d06d15cap-8, -0x1.d8e47b5fbc09bp-8, -0x1.d1b25b9afaff8p-8, -0x1.ca97b4f3d5e0bp-8, -0x1.c39451b04b062p-8, -0x1.bca802965bd43p-8, -0x1.b5d29e290f1cap-8, -0x1.af13fbcad7b05p-8, -0x1.a86becd57b7ffp-8, -0x1.a1da369285d6p-8, -0x1.9b5e904dbf134p-8, -0x1.94f8a634a2badp-8, -0x1.8ea820a98aa2cp-8, -0x1.886cad2b59affp-8, -0x1.824605c093a3cp-8, -0x1.7c33f443253a4p-8, -0x1.7636507ba49a7p-8, -0x1.704cf9e1fe979p-8, -0x1.6a77cf6944457p-8, -0x1.64b6a86699c4p-8, -0x1.5f0950e7de4bbp-8, -0x1.596f8b100d3e3p-8, -0x1.53e9142a2f9efp-8, -0x1.4e75acbf95348p-8, -0x1.4915202d55634p-8, -0x1.43c748f5d272p-8, -0x1.3e8c11f4186e5p-8, -0x1.39636b77608b7p-8, -0x1.344d453b2ab2dp-8, -0x1.2f497f2e38b02p-8, -0x1.2a57e42673f6fp-8, -0x1.257828ead2874p-8, -0x1.20a9f4853fa52p-8, -0x1.1becec91f839bp-8, -0x1.1740c0e6fa181p-8, -0x1.12a53348e30adp-8, -0x1.0e1a189db801cp-8, -0x1.099f54156d24ep-8, -0x1.0534cebbb592cp-8, -0x1.00da6efe789d5p-8, -0x1.f920267528596p-9, -0x1.f0ab210d8cf1ep-9, -0x1.e85569c71c725p-9, -0x1.e01e960c20b8fp-9, -0x1.d8063cc97ace4p-9, -0x1.d00bfe2015ff7p-9, -0x1.c82f8a23c2e5fp-9, -0x1.c070a4b09b85fp-9, -0x1.b8cf230891866p-9, -0x1.b14ae0f5987c8p-9, -0x1.a9e3af2b05ca9p-9, -0x1.a29941956788p-9, -0x1.9b6b268f03c0bp-9, -0x1.9458ccc03e572p-9, -0x1.8d6195a3abe8fp-9, -0x1.8684eb6200d1ap-9, -0x1.7fc24fca4b3cbp-9, -0x1.79195feb638fcp-9, -0x1.7289ce8ea60dp-9, -0x1.6c135a4d8f0f1p-9, -0x1.65b5c32778d9dp-9, -0x1.5f70c2d4b89f5p-9, -0x1.59440a91a7a5ep-9, -0x1.532f46a59a5a9p-9, -0x1.4d3224b1e566bp-9, -0x1.474c59066be4ep-9, -0x1.417da121a2962p-9, -0x1.3bc5c35f19f68p-9, -0x1.36248c4f460eap-9, -0x1.3099cab49ed63p-9, -0x1.2b254c436a9bbp-9, -0x1.25c6dce19923cp-9, -0x1.207e471d5f7dep-9, -0x1.1b4b51eb6238ep-9, -0x1.162db9a848993p-9, -0x1.1125285590aebp-9, -0x1.0c3135226d83ap-9, -0x1.07516f756887ep-9, -0x1.02856f3d528afp-9, -0x1.fb99bbc90e5fcp-10, -0x1.f24ee4c7b5ec5p-10, -0x1.e929d2bfe29a4p-10, -0x1.e02a0b5b8c44ep-10, -0x1.d74f317a79fa4p-10, -0x1.ce990d07b253p-10, -0x1.c60778e5bd2a2p-10, -0x1.bd9a3ef6edb3bp-10, -0x1.b550f8929d849p-10, -0x1.ad2b07728e379p-10, -0x1.a527ad1f27d95p-10, -0x1.9d463151cda63p-10, -0x1.9585f960fe101p-10, -0x1.8de67e473335ep-10, -0x1.86672e1e847c8p-10, -0x1.7f0759451743cp-10, -0x1.77c63f2db9899p-10, -0x1.70a332ef27762p-10, -0x1.699dbd7986e5ep-10, -0x1.62b5a6a94fb6fp-10, -0x1.5beadf627dd4dp-10, -0x1.553d5989f0fb8p-10, -0x1.4eace6b17ef42p-10, -0x1.483931d82cde9p-10, -0x1.41e1ce83089fcp-10, -0x1.3ba63cb326bc2p-10, -0x1.3585d05181e1p-10, -0x1.2f7fa24399032p-10, -0x1.2992c2312da69p-10, -0x1.23be988cff0a2p-10, -0x1.1e031f5ca0c7ep-10, -0x1.1860af5acac65p-10, -0x1.12d794df97ea5p-10, -0x1.0d67bbd8c0154p-10, -0x1.0810b4fd866dp-10, -0x1.02d1fe0ef1fe1p-10, -0x1.fb5684f77dc7ep-11, -0x1.f138b4cb21702p-11, -0x1.e74a2c213d8d3p-11, -0x1.dd8a2062d7389p-11, -0x1.d3f7523ba91dp-11, -0x1.ca9040c3adeb3p-11, -0x1.c15369e03640dp-11, -0x1.b83f7ab57ca92p-11, -0x1.af5382770064cp-11, -0x1.a68eec1bc806bp-11, -0x1.9df16daa97fd3p-11, -0x1.957ae78a563adp-11, -0x1.8d2b0fd3aeb7bp-11, -0x1.850150654cdc9p-11, -0x1.7cfcecfc0bd4ep-11, -0x1.751d4db438dc1p-11, -0x1.6d61f53560fd1p-11, -0x1.65ca0787e295p-11, -0x1.5e541f249385cp-11, -0x1.56ff0d7ed2414p-11, -0x1.4fcac8b103171p-11, -0x1.48b8282015ff7p-11, -0x1.41c7a07cc0a94p-11, -0x1.3af86ff9a26ecp-11, -0x1.3449120a87eap-11, -0x1.2db862fc652fap-11, -0x1.2746335120f7cp-11, -0x1.20f2e1dc6ddcp-11, -0x1.1abe9d22d8ae2p-11, -0x1.14a90de0a8427p-11, -0x1.0eb18b921b26dp-11, -0x1.08d7568122514p-11, -0x1.031991d755b02p-11, -0x1.faeeda224acb3p-12, -0x1.efe0379ff8311p-12, -0x1.e505d729fbd9ep-12, -0x1.da5eb25061b8p-12, -0x1.cfea3a52ef3e2p-12, -0x1.c5a84e2dd4813p-12, -0x1.bb98fd8c4f6a3p-12, -0x1.b1bc1cb5dd911p-12, -0x1.a810e68c3af7bp-12, -0x1.9e961a66e8782p-12, -0x1.954aa019d54bp-12, -0x1.8c2dd4e6fba8ap-12, -0x1.833eb28c5b5dbp-12, -0x1.7a7ade91d2165p-12, -0x1.71dfc63c4414p-12, -0x1.696ceac08f427p-12, -0x1.6123a38c98297p-12, -0x1.590462a55589fp-12, -0x1.510d921f55c4cp-12, -0x1.493d6c866b85cp-12, -0x1.4193ccf472ed8p-12, -0x1.3a116976a6d1ap-12, -0x1.32b61a700330fp-12, -0x1.2b80a2e56d11bp-12, -0x1.246f931a4d5d3p-12, -0x1.1d81ef06bbe08p-12, -0x1.16b747578a31cp-12, -0x1.100f81abc15b8p-12, -0x1.098a84df0dcbfp-12, -0x1.0327f1f2a3c4ap-12, -0x1.f9ce17a132fafp-13, -0x1.ed8da8133baeep-13, -0x1.e18c82fd5fad2p-13, -0x1.d5c8ddb12d26fp-13, -0x1.ca4163e4e79f3p-13, -0x1.bef53deef591p-13, -0x1.b3e3ea8db7f2fp-13, -0x1.a90cd3acbfc48p-13, -0x1.9e6ec6d43ee0bp-13, -0x1.94080063ba661p-13, -0x1.89d73986ea227p-13, -0x1.7fdcb9a9151ecp-13, -0x1.76193d025172dp-13, -0x1.6c8b6d246ace8p-13, -0x1.6330211a6ad78p-13, -0x1.5a06b12aaa5c6p-13, -0x1.51105eeadff33p-13, -0x1.484b951179dcp-13, -0x1.3fb53cb1e76bdp-13, -0x1.374d1510cc48cp-13, -0x1.2f14132aba1b7p-13, -0x1.270902f65ac94p-13, -0x1.1f295c4441d2ep-13, -0x1.17733f0cabd31p-13, -0x1.0fe5eb35f5ccep-13, -0x1.0881480c40173p-13, -0x1.01454e2af88cp-13, -0x1.f4633ff417c02p-14, -0x1.e68ad9e6a2f52p-14, -0x1.d8ff5fa84deaep-14, -0x1.cbbf4c07d3f4dp-14, -0x1.beca20be3e168p-14, -0x1.b21fcd1666f1ap-14, -0x1.a5bf8ad420addp-14, -0x1.99a763a6a9cf7p-14, -0x1.8dd4b1b3ee238p-14, -0x1.8244f930cbb9bp-14, -0x1.76f67abb7a6cap-14, -0x1.6be83a4bf6628p-14, -0x1.61195ddb81775p-14, -0x1.568853775cb02p-14, -0x1.4c32f0e29be3cp-14, -0x1.4217c370ff94dp-14, -0x1.383829febf0edp-14, -0x1.2e96a72753cc2p-14, -0x1.2530d67ea18ebp-14, -0x1.1c00735b9aaa6p-14, -0x1.13049a2bcfaf4p-14, -0x1.0a3cfe6c5c8f8p-14, -0x1.01a6e87c9059ap-14, -0x1.f288ed2daf407p-15, -0x1.e22f69c729e2bp-15, -0x1.d23c8afaf68bp-15, -0x1.c2aaca64909d7p-15, -0x1.b377b36a2a961p-15, -0x1.a4a284ff7af55p-15, -0x1.962abcd295751p-15, -0x1.880f45756bbc9p-15, -0x1.7a4dc5a1a64c3p-15, -0x1.6ce2383a07a9cp-15, -0x1.5fc7be51c3d36p-15, -0x1.52face761c83dp-15, -0x1.467b18206b9f2p-15, -0x1.3a4a785bb5a49p-15, -0x1.2e6985d38eb4fp-15, -0x1.22d57fbc70da5p-15, -0x1.178a72a7904d6p-15, -0x1.0c86fbb733ce3p-15, -0x1.01cc3a4d5e385p-15, -0x1.eeb4935980bep-16, -0x1.da5d80878a1fdp-16, -0x1.c68cd66aca494p-16, -0x1.b33e0773f9934p-16, -0x1.a06e081e56387p-16, -0x1.8e193d176248ap-16, -0x1.7c3b8e2a4a889p-16, -0x1.6ad2f89b8fba4p-16, -0x1.59e312a362468p-16, -0x1.4973073c67cd9p-16, -0x1.397a0ecc346cep-16, -0x1.29e6c674863bap-16, -0x1.1ab6c88eae515p-16, -0x1.0be98e689dc4cp-16, -0x1.fb1600bbcf763p-17, -0x1.df36e72338e39p-17, -0x1.c4203988211b6p-17, -0x1.a9c705b58462p-17, -0x1.90283ee11492bp-17, -0x1.7741b03ddd12p-17, -0x1.5f103f1ac8831p-17, -0x1.478fe69a4f5e2p-17, -0x1.30bd71aee3361p-17, -0x1.1a9403d0c4529p-17, -0x1.05104d8e2da09p-17, -0x1.e05ea9075e36p-18, -0x1.b7de662eec585p-18, -0x1.909e9eeb9fab2p-18, -0x1.6aa0471e2a913p-18, -0x1.45e2bb88377bap-18, -0x1.225a074921356p-18, -0x1.ffd291ad5f2d7p-19, -0x1.bcedf6388f4p-19, -0x1.7c0dcf215e575p-19, -0x1.3d487a960c7f2p-19, -0x1.007b28582169cp-19, -0x1.8afca614cd428p-20, -0x1.18df5e5fc54c1p-20, -0x1.55ceb5db3adebp-21, -0x1.03bc95b748b39p-22, }}, 
      {{-0x1.c288730f4df21p-2, -0x1.b9df64582938p-2, -0x1.ac22a1760bee1p-2, -0x1.9a1e44af33962p-2, -0x1.84adc471adaaap-2, -0x1.6ca8725326faep-2, -0x1.52d61ed7dfbe5p-2, -0x1.37e91d96cc019p-2, -0x1.1c7bc56a07be9p-2, -0x1.0110252e8416ap-2, -0x1.cc22247cd4ef6p-3, -0x1.97a7faac94c3p-3, -0x1.65365723ec753p-3, -0x1.35302444be8cdp-3, -0x1.07db56e0ee976p-3, -0x1.bacaa783ef586p-4, -0x1.6bcdfdf4745a5p-4, -0x1.22d0c489621adp-4, -0x1.bf8fae88e5c7cp-5, -0x1.452511b0ed824p-5, -0x1.abfe11b904cf6p-6, -0x1.c68801d1d4a84p-7, -0x1.7807d820dae82p-9, 0x1.c7f82b94d0a9p-8, 0x1.00fa855cb132bp-6, 0x1.7f3c8ec61aa29p-6, 0x1.ee0c99f088a71p-6, 0x1.275748aa169dcp-5, 0x1.512f03e8a2caep-5, 0x1.7525af102dbddp-5, 0x1.93ccd78c809dp-5, 0x1.adaeae3339cd8p-5, 0x1.c34d8df1c7058p-5, 0x1.d523be168abfap-5, 0x1.e3a3527cd548dp-5, 0x1.ef36394a5b38ap-5, 0x1.f83e5ac14106bp-5, 0x1.ff15cf3bc727ep-5, 0x1.020791d9c2811p-4, 0x1.03bad4820e88dp-4, 0x1.04c6e55bad16ap-4, 0x1.054ab55f4f572p-4, 0x1.05621fff4cc83p-4, 0x1.05261af49264ap-4, 0x1.04ace693aa6eap-4, 0x1.040a3bc6db2eep-4, 0x1.034f7bace9efep-4, 0x1.028bdb9644e81p-4, 0x1.01cc91373d79ep-4, 0x1.011cfb0987c8fp-4, 0x1.0086c92730d9fp-4, 0x1.001222a85d76ap-4, 0x1.ff8b932c22815p-5, 0x1.ff4e794a85917p-5, 0x1.ff75ad8dfda87p-5, 0x1.0003eca43c467p-4, 0x1.0084e85732d0bp-4, 0x1.013f638b863d6p-4, 0x1.02343f30fb802p-4, 0x1.0363b96d9a23bp-4, 0x1.04cd81c037f3bp-4, 0x1.0670caace9525p-4, 0x1.084c5b835cccdp-4, 0x1.0a5ea00be0a27p-4, 0x1.0ca5b6b6bbe2dp-4, 0x1.0f1f7deb9ae1cp-4, 0x1.11c99ddb4a2b6p-4, 0x1.14a1938beb5b7p-4, 0x1.17a4b9bb832aep-4, 0x1.1ad050fe2cfc6p-4, 0x1.1e218826ed691p-4, 0x1.219583034b7b4p-4, 0x1.25295fa88fdbp-4, 0x1.28da3be49097dp-4, 0x1.2ca53958510dfp-4, 0x1.30877f8f9f44cp-4, 0x1.347e42b8154c9p-4, 0x1.3886c2986e591p-4, 0x1.3c9e4f83f7eecp-4, 0x1.40c24c5d4ffb2p-4, 0x1.44f0301cfdef7p-4, 0x1.492587284fccap-4, 0x1.4d5ff50a8c8bep-4, 0x1.519d33e095e2ap-4, 0x1.55db16281a1abp-4, 0x1.5a178674af672p-4, 0x1.5e5087d2ce44cp-4, 0x1.628435f107dd1p-4, 0x1.66b0c4f270f37p-4, 0x1.6ad481de148d1p-4, 0x1.6eedd1f1ff0c2p-4, 0x1.72fb32940ed78p-4, 0x1.76fb38e9cede2p-4, 0x1.7aec915ef2ae5p-4, 0x1.7ecdfeedadef1p-4, 0x1.829e5b2cf14d2p-4, 0x1.865c94da21951p-4, 0x1.8a07af303f868p-4, 0x1.8d9ec205dff45p-4, 0x1.9120f866cf55cp-4, 0x1.948d9026b7dafp-4, 0x1.97e3d8fd0d7d3p-4, 0x1.9b2333fcfdfeap-4, 0x1.9e4b12afa1207p-4, 0x1.a15af68de80a5p-4, 0x1.a452712521f46p-4, 0x1.a73120b190909p-4, 0x1.a9f6b2b48a082p-4, 0x1.aca2e17a70703p-4, 0x1.af3573d90dbb4p-4, 0x1.b1ae3c8da57fp-4, 0x1.b40d19891ff67p-4, 0x1.b651f39cff9c6p-4, 0x1.b87cbd4e27945p-4, 0x1.ba8d72c74af86p-4, 0x1.bc84194825a14p-4, 0x1.be60bdd95edfep-4, 0x1.c02376217fac4p-4, 0x1.c1cc5e777929p-4, 0x1.c35b9a5f6c874p-4, 0x1.c4d153b6ab21ep-4, 0x1.c62dba6b08fe9p-4, 0x1.c77103a78e974p-4, 0x1.c89b6a42d424ep-4, 0x1.c9ad2d7e816cdp-4, 0x1.caa69172a844bp-4, 0x1.cb87ddefcc726p-4, 0x1.cc515e95e0426p-4, 0x1.cd03613eb2f78p-4, 0x1.cd9e3a260a83ep-4, 0x1.ce223d86e0c8p-4, 0x1.ce8fc2213a749p-4, 0x1.cee72205c6729p-4, 0x1.cf28b8df4e50dp-4, 0x1.cf54e42d7795ep-4, 0x1.cf6c0297f8324p-4, 0x1.cf6e74aca8bb4p-4, 0x1.cf5c9bc130d04p-4, 0x1.cf36da2cd5a7p-4, 0x1.cefd931db4ab1p-4, 0x1.ceb12a5697f9fp-4, 0x1.ce5204230be68p-4, 0x1.cde08504137c6p-4, 0x1.cd5d11fe2ce84p-4, 0x1.ccc80fbf99e79p-4, 0x1.cc21e2e8e14ccp-4, 0x1.cb6af0a809fcp-4, 0x1.caa39d2ba223cp-4, 0x1.c9cc4c28a59c2p-4, 0x1.c8e5614960a7bp-4, 0x1.c7ef3f7cd4082p-4, 0x1.c6ea49099e5dp-4, 0x1.c5d6df7d9a298p-4, 0x1.c4b5637e33e3dp-4, 0x1.c3863507571f6p-4, 0x1.c249b3068efabp-4, 0x1.c1003b7566014p-4, 0x1.bfaa2b4c801dbp-4, 0x1.be47de72c6462p-4, 0x1.bcd9afb755188p-4, 0x1.bb5ff8c703cdfp-4, 0x1.b9db12273789bp-4, 0x1.b84b532a7b0bap-4, 0x1.b6b111e735fbcp-4, 0x1.b50ca360bc3f4p-4, 0x1.b35e5b15d23bfp-4, 0x1.b1a68b7407169p-4, 0x1.afe585f463ad3p-4, 0x1.ae1b991ec8449p-4, 0x1.ac4914e5a3be9p-4, 0x1.aa6e45c94c2b8p-4, 0x1.a88b77c2d86d6p-4, 0x1.a6a0f55958838p-4, 0x1.a4af07c36c9a5p-4, 0x1.a2b5f6e594467p-4, 0x1.a0b6094e94b06p-4, 0x1.9eaf8436824a1p-4, 0x1.9ca2ab8698137p-4, 0x1.9a8fc1e515c63p-4, 0x1.987708883e024p-4, 0x1.9658bf73cedddp-4, 0x1.94352555ba98p-4, 0x1.920c77931d7c6p-4, 0x1.8fdef24cfff78p-4, 0x1.8dacd05fd43bep-4, 0x1.8b764b648dcbbp-4, 0x1.893b9bbec8ef9p-4, 0x1.86fcf88d49631p-4, 0x1.84ba97c01a4fdp-4, 0x1.8274ae1543a31p-4, 0x1.802b6f1861346p-4, 0x1.7ddf0d2bb1c5ap-4, 0x1.7b8fb983064b6p-4, 0x1.793da4495f5b9p-4, 0x1.76e8fcaa0f5b7p-4, 0x1.7491ef94d6083p-4, 0x1.7238ab1f18a4dp-4, 0x1.6fdd5a32ed85dp-4, 0x1.6d8027abd189cp-4, 0x1.6b213d2460142p-4, 0x1.68c0c33574d14p-4, 0x1.665ee17416d7ep-4, 0x1.63fbbe6eac222p-4, 0x1.61977fc14bbc8p-4, 0x1.5f324a8ca1d6cp-4, 0x1.5ccc41e5d6e41p-4, 0x1.5a65887e4ce58p-4, 0x1.57fe410ad35b7p-4, 0x1.55968c00aaf2cp-4, 0x1.532e8996b1476p-4, 0x1.50c65918ce29dp-4, 0x1.4e5e18ec07307p-4, 0x1.4bf5e6c2852d7p-4, 0x1.498ddf4f53e5p-4, 0x1.47261e9a252a9p-4, 0x1.44bebfda8bd3ep-4, 0x1.4257dd807e29cp-4, 0x1.3ff19144cf751p-4, 0x1.3d8bf41a020e8p-4, 0x1.3b271e40421f6p-4, 0x1.38c327410967ep-4, 0x1.366025f2f80eep-4, 0x1.33fe3087cdd3dp-4, 0x1.319d5c7b614e4p-4, 0x1.2f3dbeac2eac7p-4, 0x1.2cdf6b53cb8cfp-4, 0x1.2a82760d0918bp-4, 0x1.2826f1cd16069p-4, 0x1.25ccf1608c83cp-4, 0x1.23748571836d5p-4, 0x1.211dc08f087f6p-4, 0x1.1ec8b2c60d218p-4, 0x1.1c756c5b87e19p-4, 0x1.1a23fce04a9e4p-4, 0x1.17d4738337e26p-4, 0x1.1586dec4ca4f1p-4, 0x1.133b4cc3a8fd1p-4, 0x1.10f1cb19d8b1ap-4, 0x1.0eaa66ed9a393p-4, 0x1.0c652ce4704b3p-4, 0x1.0a222936bb78cp-4, 0x1.07e167aa9674p-4, 0x1.05a2f397cb5fbp-4, 0x1.0366d7ebbf9eap-4, 0x1.012d1f29e7c23p-4, 0x1.fdeba6db6d2b5p-5, 0x1.f981fcddd5d5cp-5, 0x1.f51d5306876c8p-5, 0x1.f0bdbb432b8adp-5, 0x1.ec6346c90167fp-5, 0x1.e80e0617875cdp-5, 0x1.e3be08fbf946bp-5, 0x1.df735e969ce2dp-5, 0x1.db2e155cc86cdp-5, 0x1.d6ee3b219ffep-5, 0x1.d2b3dd16889b5p-5, 0x1.ce7f07da8c274p-5, 0x1.ca4fc76cb068ap-5, 0x1.c6262737a55bfp-5, 0x1.c202320be0d96p-5, 0x1.bde3f2493afffp-5, 0x1.b9cb71b6b4cc9p-5, 0x1.b5b8b97f1bd85p-5, 0x1.b1abd26f43b79p-5, 0x1.ada4c4c92eb93p-5, 0x1.a9a3985309597p-5, 0x1.a5a85459dced3p-5, 0x1.a1b2ffb599599p-5, 0x1.9dc3a0ce36dc7p-5, 0x1.99da3d6727e6p-5, 0x1.95f6dc2901eedp-5, 0x1.92197ffda903dp-5, 0x1.8e422fa656784p-5, 0x1.8a70eec628ad7p-5, 0x1.86a5c16be6fe4p-5, 0x1.82e0ab32bed7fp-5, 0x1.7f21af5b9b061p-5, 0x1.7b68d0d5a3d95p-5, 0x1.77b61236f1cf3p-5, 0x1.740975c33045bp-5, 0x1.7062fd6f47d91p-5, 0x1.6cc2aadec7deap-5, 0x1.69287f66f80fp-5, 0x1.65947c1158e19p-5, 0x1.6206a1a04056p-5, 0x1.5e7ef090cb75ep-5, 0x1.5afd691e87a4bp-5, 0x1.57820b4372458p-5, 0x1.540cd6ba4aa4ep-5, 0x1.509dcafcce34p-5, 0x1.4d34e73e8df46p-5, 0x1.49d22a983d103p-5, 0x1.467593bebcfcdp-5, 0x1.431f21428cd4p-5, 0x1.3fced169c98dp-5, 0x1.3c84a2c1be1bap-5, 0x1.394093152f9a5p-5, 0x1.36029f409d667p-5, 0x1.32cac67e15353p-5, 0x1.2f99052cbf4c8p-5, 0x1.2c6d58bc9caa5p-5, 0x1.2947be426ad21p-5, 0x1.262832a67dccdp-5, 0x1.230eb2a5609a1p-5, 0x1.1ffb3adaf2e62p-5, 0x1.1cedc7bc31a65p-5, 0x1.19e65598d483dp-5, 0x1.16e4e09b797c5p-5, 0x1.13e964ca866a5p-5, 0x1.10f3de0a92db7p-5, 0x1.0e04481efd3f4p-5, 0x1.0b1a9eac7b712p-5, 0x1.0836dd3b5ff7ap-5, 0x1.0558ff38bb956p-5, 0x1.0280fff566a5p-5, 0x1.ff5db54dbb67ap-6, 0x1.f9c514ce7659dp-6, 0x1.f438146b4e77ap-6, 0x1.eeb6a9efe6e9cp-6, 0x1.e940cadfbb0d1p-6, 0x1.e3d66d551dcbfp-6, 0x1.de778472f8ed9p-6, 0x1.d924080814f6dp-6, 0x1.d3dbeb63c5dd4p-6, 0x1.ce9f23b46b6bfp-6, 0x1.c96da595291d6p-6, 0x1.c44765703b1e6p-6, 0x1.bf2c57afb3633p-6, 0x1.ba1c707154ceep-6, 0x1.b517a3b2bca49p-6, 0x1.b01de56431dccp-6, 0x1.ab2f294b61b0ap-6, 0x1.a64b6314b72a1p-6, 0x1.a1728650491f2p-6, 0x1.9ca48673ba1c3p-6, 0x1.97e156d89e23fp-6, 0x1.9328eabc37219p-6, 0x1.8e7b3542814c9p-6, 0x1.89d82969af45p-6, 0x1.853fba2f11c89p-6, 0x1.80b1da5a1e3c2p-6, 0x1.7c2e7cb38057fp-6, 0x1.77b593e6f9bd8p-6, 0x1.7347128fbd0b4p-6, 0x1.6ee2eb36c63d6p-6, 0x1.6a89105278de1p-6, 0x1.66397447c0888p-6, 0x1.61f4096830fe9p-6, 0x1.5db8c1f2fb0b2p-6, 0x1.59879015a20fp-6, 0x1.556065ed27c66p-6, 0x1.514335875d59fp-6, 0x1.4d2ff0e554f28p-6, 0x1.492689fab76e7p-6, 0x1.4526f2b097119p-6, 0x1.41311ce5097c2p-6, 0x1.3d44fa6b3239p-6, 0x1.39627d0b62685p-6, 0x1.35899681e8c0fp-6, 0x1.31ba387f97f85p-6, 0x1.2df454aacd3bfp-6, 0x1.2a37dca147aa1p-6, 0x1.2684c1f6ee792p-6, 0x1.22daf6354b44bp-6, 0x1.1f3a6ae15a59fp-6, 0x1.1ba3117a123e7p-6, 0x1.1814db78ca6d8p-6, 0x1.148fba4fbdf1cp-6, 0x1.11139f6694c01p-6, 0x1.0da07c3cd21adp-6, 0x1.0a364226cd272p-6, 0x1.06d4e280f61a1p-6, 0x1.037c4ea9b5001p-6, 0x1.002c77f6b8645p-6, 0x1.f9ca9f7337e98p-7, 0x1.f34d8e83e3e12p-7, 0x1.ece19fbc80f84p-7, 0x1.e686b5bb89626p-7, 0x1.e03cb2662bc12p-7, 0x1.da037a51c8b6ap-7, 0x1.d3daedcc0d3abp-7, 0x1.cdc2f08b7f2e1p-7, 0x1.c7bb64ef0b836p-7, 0x1.c1c42d9cb3207p-7, 0x1.bbdd2d1b3d075p-7, 0x1.b60645cf0a487p-7, 0x1.b03f5a2e47a02p-7, 0x1.aa884d5c04eb1p-7, 0x1.a4e1021f9d9a1p-7, 0x1.9f495a59eb4bcp-7, 0x1.99c138deadaa3p-7, 0x1.944880a407809p-7, 0x1.8edf160873657p-7, 0x1.8984d71467d3dp-7, 0x1.8439ab21a74ffp-7, 0x1.7efd73243f9ccp-7, 0x1.79d01219f65d8p-7, 0x1.74b16b09f93a2p-7, 0x1.6fa160ddd8535p-7, 0x1.6a9fd6867939dp-7, 0x1.65acaf0390f65p-7, 0x1.60c7cd62c2db2p-7, 0x1.5bf114befbda9p-7, 0x1.57286841524cdp-7, 0x1.526dab21ac01ep-7, 0x1.4dc0c0a6f0ebcp-7, 0x1.49218c279c147p-7, 0x1.448ff10a23c3p-7, 0x1.400bd2c4e0feap-7, 0x1.3b9514dd93d95p-7, 0x1.372b9af5b484fp-7, 0x1.32cf48b6a7a6ap-7, 0x1.2e8001cc22889p-7, 0x1.2a3daa147d397p-7, 0x1.2608257c2705fp-7, 0x1.21df57e9fc4bp-7, 0x1.1dc3256fcc5fp-7, 0x1.19b3724585c16p-7, 0x1.15b022881122p-7, 0x1.11b91a88cf092p-7, 0x1.0dce3ead70872p-7, 0x1.09ef736fc38ep-7, 0x1.061c9d616b4ffp-7, 0x1.0255a12d41a4p-7, 0x1.fd34c730853c4p-8, 0x1.f5d593040d286p-8, 0x1.ee8d6fc9eee9bp-8, 0x1.e75c27ac1e1c3p-8, 0x1.e0418508b9388p-8, 0x1.d93d5270c791fp-8, 0x1.d24f5aa792b47p-8, 0x1.cb7768a81aca5p-8, 0x1.c4b547c2868a5p-8, 0x1.be08c276b3749p-8, 0x1.b771a56ed3be2p-8, 0x1.b0efbcb99e839p-8, 0x1.aa82d2effef5ap-8, 0x1.a42ab56c9943bp-8, 0x1.9de730a76aa4cp-8, 0x1.97b81178d5814p-8, 0x1.919d25044a4dp-8, 0x1.8b9638b1d2251p-8, 0x1.85a31a2695e84p-8, 0x1.7fc39747a538ap-8, 0x1.79f77d0b34608p-8, 0x1.743e9bde8bb4cp-8, 0x1.6e98c17eaabcfp-8, 0x1.6905bb71df979p-8, 0x1.63855974e5518p-8, 0x1.5e176ac8c6287p-8, 0x1.58bbbef9242d6p-8, 0x1.537225ecb6d45p-8, 0x1.4e3a6fe3e8dc2p-8, 0x1.49146d75bb2bp-8, 0x1.43ffef893f611p-8, 0x1.3efcc74e83b5cp-8, 0x1.3a0ac635c189ap-8, 0x1.3529bde6affffp-8, 0x1.3059803b14621p-8, 0x1.2b99df3d53141p-8, 0x1.26eaad2c745f7p-8, 0x1.224bbc8e3a267p-8, 0x1.1dbcdffe96bd9p-8, 0x1.193deaaeb0e8cp-8, 0x1.14ceb004dafd6p-8, 0x1.106f03d4ffe54p-8, 0x1.0c1eba5b3ccc8p-8, 0x1.07dda83dbc422p-8, 0x1.03aba28076defp-8, 0x1.ff10fd003a55ep-9, 0x1.f6e823f4a7292p-9, 0x1.eedc650a50a18p-9, 0x1.e6ed6b886cf43p-9, 0x1.df1ae43ca69b4p-9, 0x1.d7647ec178dc5p-9, 0x1.cfc9e82f2604bp-9, 0x1.c84aca6b37ebbp-9, 0x1.c0e6d5641e24cp-9, 0x1.b99dbb596d512p-9, 0x1.b26f291b7f476p-9, 0x1.ab5acd8881558p-9, 0x1.a4605b42f61adp-9, 0x1.9d7f85479cdd6p-9, 0x1.96b7fec4e03cfp-9, 0x1.90097b8c9d3afp-9, 0x1.8973b01f0784cp-9, 0x1.82f651978a0a5p-9, 0x1.7c9115913d2b9p-9, 0x1.7643b21390b35p-9, 0x1.700ddd6992927p-9, 0x1.69ef4abcd1da6p-9, 0x1.63e7bdc2a4508p-9, 0x1.5df6dd08278fap-9, 0x1.581c6b2b888e7p-9, 0x1.52581dcb17d58p-9, 0x1.4ca9aeb011fc3p-9, 0x1.4710d80364ee7p-9, 0x1.418d54c2c1b11p-9, 0x1.3c1ee0cd8e77bp-9, 0x1.36c538dea6bd7p-9, 0x1.31801a82233dep-9, 0x1.2c4f440660444p-9, 0x1.273274691b9e8p-9, 0x1.22296b427f238p-9, 0x1.1d33e8af485acp-9, 0x1.1851ad3c52cc6p-9, 0x1.138279d4899fep-9, 0x1.0ec60fb4dce4cp-9, 0x1.0a1c3068f1c58p-9, 0x1.05849dd190982p-9, 0x1.00ff1a34d39e1p-9, 0x1.f916d0ade00c4p-10, 0x1.f052972e94c04p-10, 0x1.e7b1101bacfeap-10, 0x1.df31c54f45232p-10, 0x1.d6d442694e05dp-10, 0x1.ce981188cb7bdp-10, 0x1.c67cc7b2d61ecp-10, 0x1.be81f47686fb1p-10, 0x1.b6a7260b8a182p-10, 0x1.aeebf2eddbc4cp-10, 0x1.a74ff004f24a5p-10, 0x1.9fd2b340f51b4p-10, 0x1.9873d341badc7p-10, 0x1.9132e70937e63p-10, 0x1.8a0f85c69b524p-10, 0x1.830946bde75dp-10, 0x1.7c1fc15e42368p-10, 0x1.75528dddd3e76p-10, 0x1.6ea1450d86a28p-10, 0x1.680b80d1904f4p-10, 0x1.6190dcf1e24f8p-10, 0x1.5b30f70b34507p-10, 0x1.54eb6eb1d4e9cp-10, 0x1.4ebfe57311e7dp-10, 0x1.48adfebdae7a6p-10, 0x1.42b55fc5e83b3p-10, 0x1.3cd5af5b5e109p-10, 0x1.370e95bb0f43cp-10, 0x1.315fbc547c355p-10, 0x1.2bc8cd7b4a342p-10, 0x1.26497407a1ec9p-10, 0x1.20e15af06a151p-10, 0x1.1b902cf468a82p-10, 0x1.1655946d1485ap-10, 0x1.11313b5ef64c7p-10, 0x1.0c22cbcdbe6f6p-10, 0x1.0729f044107ep-10, 0x1.0246546e8ed4dp-10, 0x1.faef4b45b0d7ep-11, 0x1.f17b26649c8e5p-11, 0x1.e82f9cf7a8159p-11, 0x1.df0c158b3eb05p-11, 0x1.d60ff9f1b4f42p-11, 0x1.cd3ab6b9a8008p-11, 0x1.c48bbad1337bfp-11, 0x1.bc027761638c8p-11, 0x1.b39e5fd0b33a3p-11, 0x1.ab5ee9bfff829p-11, 0x1.a3438cd7af449p-11, 0x1.9b4bc2498a234p-11, 0x1.9377040a59085p-11, 0x1.8bc4cc072eb65p-11, 0x1.8434937d3b9f9p-11, 0x1.7cc5d2dd44628p-11, 0x1.7578024bac8fep-11, 0x1.6e4a9aaed5238p-11, 0x1.673d16ff499a8p-11, 0x1.604ef56d4f4acp-11, 0x1.597fb7f904b03p-11, 0x1.52cee42f8bcc8p-11, 0x1.4c3c03e8023eap-11, 0x1.45c6a07abaa0bp-11, 0x1.3f6e4788b9b9ap-11, 0x1.393285834c24fp-11, 0x1.3312e86250b56p-11, 0x1.2d0eff1a4eb6fp-11, 0x1.27265a36e1a0dp-11, 0x1.21588c4291d55p-11, 0x1.1ba529edda10fp-11, 0x1.160bc9e1a7c18p-11, 0x1.108c04570d684p-11, 0x1.0b25720a86f6bp-11, 0x1.05d7ad14801cap-11, 0x1.00a24d5e88366p-11, 0x1.f709da63c98b6p-12, 0x1.ecfe4c9540cd4p-12, 0x1.e321287c95b1ep-12, 0x1.d97194da86334p-12, 0x1.cfef18a8344e1p-12, 0x1.c698a13a7776bp-12, 0x1.bd6dafd439455p-12, 0x1.b46d7e09dcd35p-12, 0x1.ab976dce6db46p-12, 0x1.a2eac68cb62fcp-12, 0x1.9a66d3d1f8a0fp-12, 0x1.920aedb9a435p-12, 0x1.89d6699ec384ap-12, 0x1.81c8a07b86511p-12, 0x1.79e0ee7342f8dp-12, 0x1.721eb243879fp-12, 0x1.6a814cf02f8c9p-12, 0x1.630821d6360a6p-12, 0x1.5bb29701f4d34p-12, 0x1.548015713472ap-12, 0x1.4d7008e675043p-12, 0x1.4681df3cdab1bp-12, 0x1.3fb5078574354p-12, 0x1.3908f17c2b3e7p-12, 0x1.327d0db43e72ep-12, 0x1.2c10ce776af0fp-12, 0x1.25c3a8c15e433p-12, 0x1.1f95149f1dd8bp-12, 0x1.19848c980a6d3p-12, 0x1.13918c8222cdap-12, 0x1.0dbb90ac46e94p-12, 0x1.080216273219fp-12, 0x1.02649c265bf1cp-12, 0x1.f9c54b0bda8bdp-13, 0x1.eef77295b5e3p-13, 0x1.e45ec32daaab5p-13, 0x1.d9fa5353e98f2p-13, 0x1.cfc93872d346ep-13, 0x1.c5ca8659ce268p-13, 0x1.bbfd52184ae4ap-13, 0x1.b260b6b2c4f71p-13, 0x1.a8f3d965b7e64p-13, 0x1.9fb5eb449635fp-13, 0x1.96a6276044b4ap-13, 0x1.8dc3ce3f4cc5p-13, 0x1.850e20908588ep-13, 0x1.7c845b3e05a18p-13, 0x1.7425b6604cf9ep-13, 0x1.6bf1674db165cp-13, 0x1.63e6a484d98d5p-13, 0x1.5c04a9423bdc9p-13, 0x1.544ab6d99cb45p-13, 0x1.4cb8138aa6c11p-13, 0x1.454c085dda8a8p-13, 0x1.3e05e051d2bbap-13, 0x1.36e4e9f074d7fp-13, 0x1.2fe87a145715ep-13, 0x1.290fed152355bp-13, 0x1.225aa47656f13p-13, 0x1.1bc801f9a316p-13, 0x1.1557635bcd1c8p-13, 0x1.0f08219721254p-13, 0x1.08d99400d60e5p-13, 0x1.02cb1567560ddp-13, 0x1.f9b810e8aec8dp-14, 0x1.ee17b2c875559p-14, 0x1.e2b3f9da958b8p-14, 0x1.d78bdb1b4362ep-14, 0x1.cc9e511c25ea3p-14, 0x1.c1ea568cdc854p-14, 0x1.b76ee187b9b7ap-14, 0x1.ad2ae1614843p-14, 0x1.a31d418e80385p-14, 0x1.9944ead69e0bcp-14, 0x1.8fa0cccabeee4p-14, 0x1.862fe5aa03738p-14, 0x1.7cf1423bad289p-14, 0x1.73e3fa4366ed2p-14, 0x1.6b072a56d2894p-14, 0x1.6259eeda21eefp-14, 0x1.59db636ebb9b2p-14, 0x1.518aa6974fb8dp-14, 0x1.4966dd3834cc8p-14, 0x1.416f317f5a8a7p-14, 0x1.39a2ce8a391fcp-14, 0x1.3200d839e4fa5p-14, 0x1.2a8868bb4f197p-14, 0x1.2338d79a2523ep-14, 0x1.1c112ea06897p-14, 0x1.1510c15bc86cbp-14, 0x1.0e36d3a613127p-14, 0x1.0782a9adfef43p-14, 0x1.00f389e87d9ffp-14, 0x1.f5117df92fd41p-15, 0x1.e883310857172p-15, 0x1.dc3ad286bb123p-15, 0x1.d03708224acap-15, 0x1.c47672a9a6a53p-15, 0x1.b8f7ad73d8e74p-15, 0x1.adb95459e4c84p-15, 0x1.a2b95deb6fbecp-15, 0x1.97f7be71f992dp-15, 0x1.8d7339df976f4p-15, 0x1.832976216d80cp-15, 0x1.791a08f9089adp-15, 0x1.6f43dca798593p-15, 0x1.65a5d13163398p-15, 0x1.5c3ebbe807794p-15, 0x1.530d7434336aep-15, 0x1.4a10de68abf95p-15, 0x1.4147ed1285178p-15, 0x1.38b184aa2cfebp-15, 0x1.304cb7223d4fbp-15, 0x1.28187a1fb697p-15, 0x1.2013f8f4cfe1p-15, 0x1.183e404a1db6bp-15, 0x1.10966b4393c5fp-15, 0x1.091b85b0aa687p-15, 0x1.01ccc21bc38cep-15, 0x1.f5511f56eed04p-16, 0x1.e75cfafbd4b76p-16, 0x1.d9bd60f50a55ep-16, 0x1.cc6d1f428e789p-16, 0x1.bf6b18a5973c8p-16, 0x1.b2b97f7cf5c7bp-16, 0x1.a6528e64aa869p-16, 0x1.9a36243f54795p-16, 0x1.8e62a7b08420ep-16, 0x1.82d669f7db4b7p-16, 0x1.778feace6f751p-16, 0x1.6c8dc38714228p-16, 0x1.61cea4dbead67p-16, 0x1.57514aae06d76p-16, 0x1.4d1468df40afdp-16, 0x1.43169b8aa280cp-16, 0x1.395669bbbf7b9p-16, 0x1.2fd25d45be945p-16, 0x1.268918bc62d4ep-16, 0x1.1d7955851e55cp-16, 0x1.14a1d7d10406bp-16, 0x1.0c0176b68f9bap-16, 0x1.0397253a02ef7p-16, 0x1.f6c3b5dd83e9bp-17, 0x1.e6c10867782e2p-17, 0x1.d723f517d8ce3p-17, 0x1.c7ea2be90d884p-17, 0x1.b9117cb9c8003p-17, 0x1.aa97d1545e7c2p-17, 0x1.9c7b18a00a46ap-17, 0x1.8eb9451b171f1p-17, 0x1.8150583bcb17p-17, 0x1.743e6880ceef9p-17, 0x1.67819ea8273edp-17, 0x1.5b182e8a33f3fp-17, 0x1.4f004f2b1e8dap-17, 0x1.433834f3f495bp-17, 0x1.37be12147e8f6p-17, 0x1.2c901d05e3778p-17, 0x1.21ac99b7f62p-17, 0x1.1711df77cb3cap-17, 0x1.0cbe591e9845dp-17, 0x1.02b0826c86728p-17, 0x1.f1cdc673168ap-18, 0x1.dec0090a5376ap-18, 0x1.cc34c994c41d4p-18, 0x1.ba2891dab6ba3p-18, 0x1.a8978ad4932d6p-18, 0x1.97818acadd9fep-18, 0x1.86e0f84fc6a57p-18, 0x1.76b4aba985b5bp-18, 0x1.66fa0c4633c28p-18, 0x1.57ae952a7d6e5p-18, 0x1.48cfc4505a47ap-18, 0x1.3a5aefac90d65p-18, 0x1.2c4d6ad650025p-18, 0x1.1ea4c643a8ec5p-18, 0x1.115eb9056dc7ap-18, 0x1.0478f2e1bb2cap-18, 0x1.efe247decc2ecp-19, 0x1.d78a21af1e511p-19, 0x1.bfe526c1986b7p-19, 0x1.a8ef2897f63d6p-19, 0x1.92a41695dcc8p-19, 0x1.7d00041a94edep-19, 0x1.67ff26dd2ad92p-19, 0x1.539dca513fcbfp-19, 0x1.3fd8409e76231p-19, 0x1.2caadae930e1fp-19, 0x1.1a11ea516ae98p-19, 0x1.0809c4fccd683p-19, 0x1.ed1d97d19a967p-20, 0x1.cb3ae5bd2e901p-20, 0x1.aa649e0d9c5e5p-20, 0x1.8a9461b8bd81bp-20, 0x1.6bc48a6c5c2bap-20, 0x1.4ded45f5eb761p-20, 0x1.3106524503d46p-20, 0x1.151394f6fc32ap-20, 0x1.f4074e7f36c6p-21, 0x1.bfab1e3ac8fa7p-21, 0x1.8d0880381513ap-21, 0x1.5c14ada06e16cp-21, 0x1.2cc3b18012451p-21, 0x1.fe1569c3cc026p-22, 0x1.a5becbba3caa7p-22, 0x1.506ec7f4aa378p-22, 0x1.fc266b33a4d75p-23, 0x1.5d346253fa253p-23, 0x1.87c0ac81d5f7ap-24, 0x1.8017ec1f551b7p-26, -0x1.7a210a8a1b6f7p-25, -0x1.cfc7a32abe2ap-24, -0x1.6c33da930ac71p-23, -0x1.eb9aaee318b37p-23, -0x1.331d6bfa0ec2p-22, -0x1.6e1902e4581cp-22, -0x1.a6d2b0e9a6412p-22, -0x1.dd5866b2f5ed3p-22, -0x1.08dc79c0bd80cp-21, -0x1.22010435c646bp-21, -0x1.3a20858ca70e6p-21, -0x1.5141de7ee125ap-21, -0x1.676c25e5dc6f6p-21, -0x1.7ca6718c3bb51p-21, -0x1.90f7ad5e3b756p-21, -0x1.a46699db4afefp-21, -0x1.b6f9bb6854ea6p-21, -0x1.c8b72cf96033p-21, -0x1.d9a49a7cf6fcap-21, -0x1.e9c795adfa20fp-21, -0x1.f926391fcd72bp-21, -0x1.03e2d6e96f48fp-20, -0x1.0ad5f8d3b6294p-20, -0x1.116ecd2d78f2p-20, -0x1.17afb6dbb531ap-20, -0x1.1d9b8b1b7d20ep-20, -0x1.23353eea094eap-20, -0x1.287f3f4c7066cp-20, -0x1.2d7bd45137dfdp-20, -0x1.322ce4e3a5ff9p-20, -0x1.36949c8a4dd5ap-20, -0x1.3ab5679a572cfp-20, -0x1.3e9182a3265d4p-20, -0x1.422afdddeb03cp-20, -0x1.4583b6f935c09p-20, -0x1.489dfcab26932p-20, -0x1.4b7f32da1541ap-20, -0x1.4e1f4404a84ddp-20, -0x1.508a87d123108p-20, -0x1.52be79fd5dfb5p-20, -0x1.54bd2463da3d7p-20, -0x1.56884c7022bf4p-20, -0x1.5821949b9eb62p-20, -0x1.598a945145c69p-20, -0x1.5ac4e59219594p-20, -0x1.5bd22ce453319p-20, -0x1.5cb41447e2ab3p-20, -0x1.5d6c303617c45p-20, -0x1.5dfbe9bb81bedp-20, -0x1.5e649af358f2ap-20, -0x1.5ea7b710c741bp-20, -0x1.5ec6b40fbe4ap-20, -0x1.5ec2e06d6a76p-20, -0x1.5e9d6dc1c68cp-20, -0x1.5e578729a05b5p-20, }}, 
      {{-0x1.3ed64831653bp-14, -0x1.fd0b5398453acp-13, -0x1.7d747c586052bp-12, -0x1.2f6e4e5d6099dp-12, 0x1.ce49d0e1b5e44p-14, 0x1.e782c0851a617p-11, 0x1.23b61a1486c19p-9, 0x1.073bb8df26d8p-8, 0x1.9c3dfe2025433p-8, 0x1.272f1a2374ac6p-7, 0x1.8cea124d7bd0cp-7, 0x1.fcfb8940e4254p-7, 0x1.3a6584ef8b9bdp-6, 0x1.78d0a05ea0c9ap-6, 0x1.b8631e6c0d5ebp-6, 0x1.f7cc8d72addbcp-6, 0x1.1ae873e032523p-5, 0x1.38a777110efd7p-5, 0x1.54a229f8a1957p-5, 0x1.6e680aeed46cbp-5, 0x1.8599aacc93ec1p-5, 0x1.99e88333e0124p-5, 0x1.ab165ece14b26p-5, 0x1.b8f47016655aap-5, 0x1.c3623117831fap-5, 0x1.ca4c2346c55c2p-5, 0x1.cdaa7da7d9ae9p-5, 0x1.cd7fd9b57d581p-5, 0x1.c9d7e6c262082p-5, 0x1.c2c62c1e660d4p-5, 0x1.b864de6970461p-5, 0x1.aad3cacc8033p-5, 0x1.9a375962956aep-5, 0x1.86b7a83acf866p-5, 0x1.707fbc0ad488ap-5, 0x1.57bcc8ca446acp-5, 0x1.3c9d8e35a09f6p-5, 0x1.1f51c7ea918cbp-5, 0x1.0009af0a9d779p-5, 0x1.bdeb177994ef2p-6, 0x1.788aaa0df23ffp-6, 0x1.3050bb4aa070ap-6, 0x1.cb3432bbe031p-7, 0x1.318283d3c6dc9p-7, 0x1.2877f2923447dp-8, -0x1.7ebe4c5033ac8p-12, -0x1.5ce0bf68597cfp-8, -0x1.5297762420b1ep-7, -0x1.f7d6b4aefca92p-7, -0x1.4ed096dd8583fp-6, -0x1.a1b8d5b85b657p-6, -0x1.f465617ced41fp-6, -0x1.234db5d14edbp-5, -0x1.4c1203aad6c4ep-5, -0x1.74660fef6f425p-5, -0x1.9c3233b174346p-5, -0x1.c360a09da35efp-5, -0x1.e9dd5426a4f37p-5, -0x1.07cb03bd81c58p-4, -0x1.1a3d116aed83bp-4, -0x1.2c3d56d3803cbp-4, -0x1.3dc51e2cd1f55p-4, -0x1.4ece70418cf4ap-4, -0x1.5f5408988ce28p-4, -0x1.6f514d96c9ccp-4, -0x1.7ec24668f0c94p-4, -0x1.8da3944c710c6p-4, -0x1.9bf2693d3d3f6p-4, -0x1.a9ac7fb44ccc6p-4, -0x1.b6d011c6263b4p-4, -0x1.c35bceabb06a5p-4, -0x1.cf4ed3dd133f4p-4, -0x1.daa8a46633b62p-4, -0x1.e56923da75db5p-4, -0x1.ef908f4ab1623p-4, -0x1.f91f78667a722p-4, -0x1.010b5f4c2be74p-3, -0x1.053bc4cfb1743p-3, -0x1.0921a18409fcdp-3, -0x1.0cbdc8560150fp-3, -0x1.101127c669e8cp-3, -0x1.131cc7a48a396p-3, -0x1.15e1c708496d8p-3, -0x1.18615a6e36e8p-3, -0x1.1a9cc9ede0112p-3, -0x1.1c956f6b74973p-3, -0x1.1e4cb4c87b6eep-3, -0x1.1fc41210524d7p-3, -0x1.20fd0ba90ce1dp-3, -0x1.21f93094a550ap-3, -0x1.22ba18c859b06p-3, -0x1.234163a2e3889p-3, -0x1.2390b682af1dcp-3, -0x1.23a9bb7a3bf3bp-3, -0x1.238e2023db43ap-3, -0x1.233f948b7bc76p-3, -0x1.22bfca2c8d794p-3, -0x1.22107309caf14p-3, -0x1.213340c6d08ep-3, -0x1.2029e3d0fde07p-3, -0x1.1ef60a9ec1a9cp-3, -0x1.1d9960e1b5e87p-3, -0x1.1c158ee02b2c3p-3, -0x1.1a6c38c8fa7bep-3, -0x1.189efe164ecf9p-3, -0x1.16af7906cbea9p-3, -0x1.149f3e194648p-3, -0x1.126fdb9b1a818p-3, -0x1.1022d943da7abp-3, -0x1.0db9b7d6bb02fp-3, -0x1.0b35f0d7cf894p-3, -0x1.0898f63f8ee3p-3, -0x1.05e43248d961p-3, -0x1.031907317c45p-3, -0x1.0038cf18f62d2p-3, -0x1.fa89b7bb54c97p-4, -0x1.f47cedfd2e46p-4, -0x1.ee4dc320521b5p-4, -0x1.e7fea84b5aef4p-4, -0x1.e191fda587a0dp-4, -0x1.db0a125d39bedp-4, -0x1.d4692496d751p-4, -0x1.cdb1619209ceep-4, -0x1.c6e4e5ceb333ep-4, -0x1.c005bcfcc997cp-4, -0x1.b915e24d208e2p-4, -0x1.b217409898372p-4, -0x1.ab0bb26884c5bp-4, -0x1.a3f5026e79323p-4, -0x1.9cd4eb4e2258ap-4, -0x1.95ad18378a42cp-4, -0x1.8e7f251fc5505p-4, -0x1.874c9ed1f00ebp-4, -0x1.80170332d4447p-4, -0x1.78dfc1be4f83ep-4, -0x1.71a83bab5f536p-4, -0x1.6a71c41f25169p-4, -0x1.633da0aeea78fp-4, -0x1.5c0d09917167bp-4, -0x1.54e129c82cbe1p-4, -0x1.4dbb1f9a2cd27p-4, -0x1.469bfce6c50e4p-4, -0x1.3f84c720228bbp-4, -0x1.387677cc91731p-4, -0x1.3171fceb0111dp-4, -0x1.2a7838ef24e32p-4, -0x1.238a02f22e4cdp-4, -0x1.1ca8275d4a4f3p-4, -0x1.15d367fbc4fap-4, -0x1.0f0c7bdf5ba4bp-4, -0x1.08540ff19b9e1p-4, -0x1.01aac766e095dp-4, -0x1.f622773928c52p-5, -0x1.e90ff86006436p-5, -0x1.dc1f1f4f4851ap-5, -0x1.cf50e782f8bfp-5, -0x1.c2a63a6c42035p-5, -0x1.b61fefe2a280dp-5, -0x1.a9becf98cb5d4p-5, -0x1.9d83918846ab2p-5, -0x1.916edd5c596c8p-5, -0x1.85814af3a0324p-5, -0x1.79bb63e817b78p-5, -0x1.6e1da40640743p-5, -0x1.62a8789e59d06p-5, -0x1.575c40d6920b6p-5, -0x1.4c394f34b2f12p-5, -0x1.413fea5577b17p-5, -0x1.36704c8fd4cb4p-5, -0x1.2bcaa32c6ff08p-5, -0x1.214f1072f978ap-5, -0x1.16fdac7f93812p-5, -0x1.0cd68520cb54fp-5, -0x1.02d99d1151a2ap-5, -0x1.f20dd9834f5cp-6, -0x1.debcc7ea0ebe5p-6, -0x1.cbbfd46fc7db5p-6, -0x1.b916bc427628ap-6, -0x1.a6c12a1ad0d77p-6, -0x1.94beb8ca12aa7p-6, -0x1.830ef5f40e6c6p-6, -0x1.71b162062fc4ep-6, -0x1.60a56e8ec52d2p-6, -0x1.4fea7e703d604p-6, -0x1.3f7fe8a45d77fp-6, -0x1.2f64fa7cd22dcp-6, -0x1.1f98f7403d385p-6, -0x1.101b16a496867p-6, -0x1.00ea852c0a538p-6, -0x1.e40ccd4a34f4dp-7, -0x1.c6dbb0899808ap-7, -0x1.aa3fe0ea663c3p-7, -0x1.8e377af7178aap-7, -0x1.72c08adfdc1bcp-7, -0x1.57d9103df6c99p-7, -0x1.3d7f036c744bdp-7, -0x1.23b0540132181p-7, -0x1.0a6ae97549bcp-7, -0x1.e3593fad826c6p-8, -0x1.b2e6961944539p-8, -0x1.8379751d2b5a9p-8, -0x1.550d778c17cdbp-8, -0x1.279e327611028p-8, -0x1.f64e6262c15ccp-9, -0x1.9f47e9351e78cp-9, -0x1.4a1ff7ab3ce85p-9, -0x1.ed9b1f654afbep-10, -0x1.4a8f6f9bb2bc3p-10, -0x1.5616053b24f7cp-11, -0x1.df7e51276bc92p-15, 0x1.135f47208febap-11, 0x1.1f098cec6d65fp-10, 0x1.b1236d41b10fap-10, 0x1.20075cec089d7p-9, 0x1.65ee60d6504e1p-9, 0x1.aa4f5b418cbdfp-9, 0x1.ed32d5300b3a2p-9, 0x1.1750a045ac146p-8, 0x1.37517820c0b46p-8, 0x1.56a00abeecddp-8, 0x1.754060eef813ap-8, 0x1.933675dde24dcp-8, 0x1.b0863795afebp-8, 0x1.cd3384ecc8c29p-8, 0x1.e9422a6061558p-8, 0x1.025af00f6e256p-7, 0x1.0fc92526cd345p-7, 0x1.1ced7d57a015dp-7, 0x1.29c9b9573bae8p-7, 0x1.365f9049e22d1p-7, 0x1.42b0b12622491p-7, 0x1.4ebebef046d58p-7, 0x1.5a8b521203876p-7, 0x1.6617f84ad2863p-7, 0x1.716635a1d1099p-7, 0x1.7c7784c094d6ep-7, 0x1.874d56bac1c65p-7, 0x1.91e91231ca19fp-7, 0x1.9c4c12925cad9p-7, 0x1.a677a89ea438bp-7, 0x1.b06d1a8c66502p-7, 0x1.ba2da4d1801d7p-7, 0x1.c3ba7a74121e1p-7, 0x1.cd14c494eb34cp-7, 0x1.d63da2241b7a4p-7, 0x1.df3627accc796p-7, 0x1.e7ff5f97ef3bdp-7, 0x1.f09a4aba37275p-7, 0x1.f907e0b18df4fp-7, 0x1.00a487f3e4c36p-6, 0x1.04af5ec57891ap-6, 0x1.08a4e2b2fe66ap-6, 0x1.0c857d0450ap-6, 0x1.1051929e31b24p-6, 0x1.14098433e9b79p-6, 0x1.17adae66e2234p-6, 0x1.1b3e69ba6d29fp-6, 0x1.1ebc0a88ac44p-6, 0x1.2226e1184b87fp-6, 0x1.257f39c0a01e4p-6, 0x1.28c55d3d2a47ep-6, 0x1.2bf990daf7f35p-6, 0x1.2f1c169923bafp-6, 0x1.322d2d124c10cp-6, 0x1.352d0f66fc7b3p-6, 0x1.381bf53f72c22p-6, 0x1.3afa1306dccdfp-6, 0x1.3dc79a4593e5fp-6, 0x1.4084b9da0d933p-6, 0x1.43319e2f16acdp-6, 0x1.45ce7159a38a1p-6, 0x1.485b5a55256cep-6, 0x1.4ad87e0fce2ddp-6, 0x1.4d45fe6a6a6afp-6, 0x1.4fa3fb0dad906p-6, 0x1.51f291a6caa2ap-6, 0x1.5431de2c4893ep-6, 0x1.5661fb005049p-6, 0x1.588300deac267p-6, 0x1.5a9506be495b1p-6, 0x1.5c9821b8b02b1p-6, 0x1.5e8c651d876a3p-6, 0x1.6071e2b035dc1p-6, 0x1.6248aaffd2927p-6, 0x1.6410cdae333f4p-6, 0x1.65ca5995ee17cp-6, 0x1.67755cc075f5fp-6, 0x1.6911e4499f713p-6, 0x1.6a9ffc43fa79bp-6, 0x1.6c1fafbfc3dc4p-6, 0x1.6d9108ea1112fp-6, 0x1.6ef4115869153p-6, 0x1.7048d2465eae6p-6, 0x1.718f54cd0ff14p-6, 0x1.72c7a1e8f51bap-6, 0x1.73f1c28fea0d5p-6, 0x1.750dbf4dfc4fbp-6, 0x1.761ba028555e8p-6, 0x1.771b6d8368088p-6, 0x1.780d2eea41e13p-6, 0x1.78f0ec495f63ap-6, 0x1.79c6adc41503cp-6, 0x1.7a8e7be45c4e1p-6, 0x1.7b485fa66451ap-6, 0x1.7bf46267fcfb6p-6, 0x1.7c928dd19539p-6, 0x1.7d22ebc34bf92p-6, 0x1.7da586575460dp-6, 0x1.7e1a67f9df2bdp-6, 0x1.7e819b8f915f5p-6, 0x1.7edb2c9dd0591p-6, 0x1.7f272768d2be2p-6, 0x1.7f6598ff22d1ap-6, 0x1.7f968f321f804p-6, 0x1.7fba1883b4dabp-6, 0x1.7fd04411623fp-6, 0x1.7fd9218a518d5p-6, 0x1.7fd4c13587dc4p-6, 0x1.7fc33406f5202p-6, 0x1.7fa48bb9750dp-6, 0x1.7f78daf9b36d9p-6, 0x1.7f40352e4e646p-6, 0x1.7efaaf1282367p-6, 0x1.7ea85df2f7bep-6, 0x1.7e49581ca3a68p-6, 0x1.7dddb49a0bb56p-6, 0x1.7d658b316a642p-6, 0x1.7ce0f46805278p-6, 0x1.7c500989c1347p-6, 0x1.7bb2e4bb818a3p-6, 0x1.7b09a10b94e3p-6, 0x1.7a545a7999491p-6, 0x1.79932df706034p-6, 0x1.78c6395dc00b4p-6, 0x1.77ed9b60d18d1p-6, 0x1.7709737c3bffbp-6, 0x1.7619e1e812716p-6, 0x1.751f0792557e2p-6, 0x1.7419061fdad2dp-6, 0x1.7307fff262703p-6, 0x1.71ec183072821p-6, 0x1.70c572cb0ceedp-6, 0x1.6f94347ea8722p-6, 0x1.6e5882ce0d6bep-6, 0x1.6d1283f77345fp-6, 0x1.6bc25ee63db97p-6, 0x1.6a683b2437e4dp-6, 0x1.690440cdf7ebbp-6, 0x1.6796988b8ba34p-6, 0x1.661f6b8db3411p-6, 0x1.649ee38e65a64p-6, 0x1.63152ad225a9p-6, 0x1.61826c2895271p-6, 0x1.5fe6d2ea78416p-6, 0x1.5e428af4332b9p-6, 0x1.5c95c09ccb00dp-6, 0x1.5ae0a0aa1989bp-6, 0x1.5923584403ae8p-6, 0x1.575e14e8b3929p-6, 0x1.5591046327696p-6, 0x1.53bc54c510f22p-6, 0x1.51e03463457cap-6, 0x1.4ffcd1d35ded5p-6, 0x1.4e125be978877p-6, 0x1.4c2101b539e84p-6, 0x1.4a28f27d3c33ep-6, 0x1.482a5db8c01edp-6, 0x1.462573075e62ep-6, 0x1.441a62271952ep-6, 0x1.42095aeb92765p-6, 0x1.3ff28d311776bp-6, 0x1.3dd628d6ad3c2p-6, 0x1.3bb45db761f6ep-6, 0x1.398d5ba536992p-6, 0x1.376152659ad2cp-6, 0x1.353071adfaa4cp-6, 0x1.32fae92002c5dp-6, 0x1.30c0e84546b23p-6, 0x1.2e829e82be30ap-6, 0x1.2c403b3478614p-6, 0x1.29f9ed61c44cap-6, 0x1.27afe401830b1p-6, 0x1.25624dc377333p-6, 0x1.2311591936a72p-6, 0x1.20bd342cbda24p-6, 0x1.1e660cdccbbfp-6, 0x1.1c0c10b8548c1p-6, 0x1.19af6cf93eccep-6, 0x1.17504e848640dp-6, 0x1.14eee1e8a59c2p-6, 0x1.128b5353d1ap-6, 0x1.1025ce8c0772ap-6, 0x1.0dbe7f197cda3p-6, 0x1.0b558fb7674e8p-6, 0x1.08eb2b3b3de6dp-6, 0x1.067f7ba10ac14p-6, 0x1.0412aa8ccefc8p-6, 0x1.01a4e126c127p-6, 0x1.fe6c90290d4f8p-7, 0x1.f98e0ef19a031p-7, 0x1.f4ae8de276ee1p-7, 0x1.efce5b28b9e38p-7, 0x1.eaedc3df21e3dp-7, 0x1.e60d1409c4eb2p-7, 0x1.e12c96916d85dp-7, 0x1.dc4c953f07e19p-7, 0x1.d76d58b6e33c7p-7, 0x1.d28f2873a8bd4p-7, 0x1.cdb24ac08eabap-7, 0x1.c8d704b327bcp-7, 0x1.c3fd9a3ce9c56p-7, 0x1.bf264e007ee5cp-7, 0x1.ba516143fd38p-7, 0x1.b57f1447ae3dbp-7, 0x1.b0afa6014fa5dp-7, 0x1.abe353ffbc485p-7, 0x1.a71a5aa8cabf3p-7, 0x1.a254f51d92997p-7, 0x1.9d935d36d11ecp-7, 0x1.98d5cb876408fp-7, 0x1.941c7758b9898p-7, 0x1.8f6796a874863p-7, 0x1.8ab75e2657339p-7, 0x1.860c0132e7762p-7, 0x1.8165b1df4070ep-7, 0x1.7cc4a0ee644a2p-7, 0x1.7828fdd847db3p-7, 0x1.7392f6ce3896ep-7, 0x1.6f02b8bfc98b5p-7, 0x1.6a786f5ef723p-7, 0x1.65f445226afb2p-7, 0x1.61766344c656dp-7, 0x1.5cfef1c0ed8cdp-7, 0x1.588e174bbc95bp-7, 0x1.5423f94d266bdp-7, 0x1.4fc0bbda0e30fp-7, 0x1.4b6481b18bb71p-7, 0x1.470f6c4022f51p-7, 0x1.42c19ba862ee5p-7, 0x1.3e7b2ed1d588cp-7, 0x1.3a3c437bdfea1p-7, 0x1.3604f6519bcb1p-7, 0x1.31d562fad465dp-7, 0x1.2dada425e24dep-7, 0x1.298dd37ce303ap-7, 0x1.257609c47f03fp-7, 0x1.21665e8c74daap-7, 0x1.1d5ee82c1589cp-7, 0x1.195fbbbe4e62bp-7, 0x1.1568ecf358bbcp-7, 0x1.117a8e10be054p-7, 0x1.0d94affc285fdp-7, 0x1.09b7625866e07p-7, 0x1.05e2b3b2507fdp-7, 0x1.0216b1b7060c2p-7, 0x1.fca6d2d3b1895p-8, 0x1.f531ce9e0a582p-8, 0x1.edce6f02e69f4p-8, 0x1.e67ccb5979ec9p-8, 0x1.df3cf9d38fecdp-8, 0x1.d80f0f04b0691p-8, 0x1.d0f31d4b30144p-8, 0x1.c9e93439baaa2p-8, 0x1.c2f1601e4ef41p-8, 0x1.bc0ba9ca867a8p-8, 0x1.b53816ac9a7b5p-8, 0x1.ae76a94273fd3p-8, 0x1.a7c761dbe0bc7p-8, 0x1.a12a3f90f84d5p-8, 0x1.9a9f4145e313dp-8, 0x1.9426668d68becp-8, 0x1.8dbfb036d4e8ap-8, 0x1.876b206f1c6f9p-8, 0x1.8128ba53eaaacp-8, 0x1.7af881081a60dp-8, 0x1.74da767fc94eap-8, 0x1.6ece9a12a6237p-8, 0x1.68d4e7060797p-8, 0x1.62ed53992deap-8, 0x1.5d17d0ae715a3p-8, 0x1.575449f4d4b4p-8, 0x1.51a2a6d8d3b8ap-8, 0x1.4c02cc20ea8e9p-8, 0x1.46749de4d0e9dp-8, 0x1.40f8019d9d746p-8, 0x1.3b8cdffc93b3fp-8, 0x1.363326346b518p-8, 0x1.30eac671cc213p-8, 0x1.2bb3b75eabd1p-8, 0x1.268df2b228c57p-8, 0x1.217972cee8e3fp-8, 0x1.1c763146b1247p-8, 0x1.178421a380b5ep-8, 0x1.12a3328544dbbp-8, 0x1.0dd349f2de6b1p-8, 0x1.0914461304178p-8, 0x1.0465fdce48e21p-8, 0x1.ff90857a6865p-9, 0x1.f675c7a95964ap-9, 0x1.ed7b60fa44ddbp-9, 0x1.e4a0f74917095p-9, 0x1.dbe63cabf83fp-9, 0x1.d34af2d265beap-9, 0x1.caceebee06d5p-9, 0x1.c27208d33b217p-9, 0x1.ba343475e3865p-9, 0x1.b2155d61708dcp-9, 0x1.aa156e369975ep-9, 0x1.a2344675cecfep-9, 0x1.9a71b4d32ec3cp-9, 0x1.92cd740987a6ap-9, 0x1.8b472aa8c7a6cp-9, 0x1.83de6dd59d042p-9, 0x1.7c92c67b8276cp-9, 0x1.7563b828e4b3fp-9, 0x1.6e50c8a961d9ap-9, 0x1.67598756225adp-9, 0x1.607d93e94dbddp-9, 0x1.59bca272dea9dp-9, 0x1.53167d779fa0fp-9, 0x1.4c8b052e55a34p-9, 0x1.461a2ac9aa65ap-9, 0x1.3fc3e9425381dp-9, 0x1.39883bf91caep-9, 0x1.336714b40ed69p-9, 0x1.2d6052a46637ep-9, 0x1.2773bc0d0a626p-9, 0x1.21a0fba5cdd47p-9, 0x1.1be7a2140b9a2p-9, 0x1.16472af43199p-9, 0x1.10bf045c5e85ep-9, 0x1.0b4e97741ece2p-9, 0x1.05f550de88db6p-9, 0x1.00b2a82bfd353p-9, 0x1.f70c4be6d48d9p-10, 0x1.ecded0eb49637p-10, 0x1.e2dc4d5502c26p-10, 0x1.d90462c4064b2p-10, 0x1.cf56e3ee9b5d8p-10, 0x1.c5d3cc2d42cd2p-10, 0x1.bc7b30f9fd337p-10, 0x1.b34d2e82ffd36p-10, 0x1.aa49d20523f5cp-10, 0x1.a17105ce9b962p-10, 0x1.98c282fdbd13fp-10, 0x1.903dcbfbfeb2bp-10, 0x1.87e23083cd125p-10, 0x1.7faed95e66da6p-10, 0x1.77a2d7f0ade33p-10, 0x1.6fbd3505b67f9p-10, 0x1.67fcfb5db56bdp-10, 0x1.60613cef3f503p-10, 0x1.58e9145d29812p-10, 0x1.5193a5ba53aecp-10, 0x1.4a60218dbddfdp-10, 0x1.434dcb562f2c1p-10, 0x1.3c5c025a2835bp-10, 0x1.358a499624f57p-10, 0x1.2ed84aec20f88p-10, 0x1.2845d2bedebdep-10, 0x1.21d2c390d7062p-10, 0x1.1b7f043869c37p-10, 0x1.154a6d9640abcp-10, 0x1.0f34bd7193f38p-10, 0x1.093d92bbbb1ap-10, 0x1.0364745041d7cp-10, 0x1.fb51bed6a2e62p-11, 0x1.f014afd6d67afp-11, 0x1.e510e6ef867e9p-11, 0x1.da45b4d7cd716p-11, 0x1.cfb27b13e359cp-11, 0x1.c5568bab30751p-11, 0x1.bb310160adb7ep-11, 0x1.b140b6b9aeafbp-11, 0x1.a7844529c59c5p-11, 0x1.9dfa27bab9b2fp-11, 0x1.94a0e48c07129p-11, 0x1.8b7734b55dbc7p-11, 0x1.827c1a8b563b1p-11, 0x1.79aedef5f0afap-11, 0x1.710ef7ec43cf9p-11, 0x1.689be2bfb13bdp-11, 0x1.6055011bac3b7p-11, 0x1.583985b3c4169p-11, 0x1.5048777c3896p-11, 0x1.4880c973a6d37p-11, 0x1.40e17f5a78f1p-11, 0x1.3969d27dfa88fp-11, 0x1.3219484515518p-11, 0x1.2aefb73f0e1cp-11, 0x1.23ed1d2d56787p-11, 0x1.1d117b09997ccp-11, 0x1.165c91854165dp-11, 0x1.0fcdbe85d8dd3p-11, 0x1.0963f4ab62344p-11, 0x1.031ddb1b78c7bp-11, 0x1.f9f409d1a71ep-12, 0x1.edee55a7cd8abp-12, 0x1.e228a8d01bbd7p-12, 0x1.d6a1c6c5fa963p-12, 0x1.cb59022e47ca1p-12, 0x1.c04df0640cb54p-12, 0x1.b58017bc7c16p-12, 0x1.aaeeb859378fep-12, 0x1.a098be96c5d51p-12, 0x1.967cd90896e06p-12, 0x1.8c99a00598b3cp-12, 0x1.82edbeb953e28p-12, 0x1.7978165371e4ep-12, 0x1.7037d856a434fp-12, 0x1.672c91a464688p-12, 0x1.5e561b30d457bp-12, 0x1.55b468d1110e8p-12, 0x1.4d473d4bc0f23p-12, 0x1.450dddd45f8f4p-12, 0x1.3d06e8f647384p-12, 0x1.35306a1e441eep-12, 0x1.2d8824da9c57p-12, 0x1.260bf400ee13bp-12, 0x1.1eba11050f6ap-12, 0x1.17912c31fac4ap-12, 0x1.10905adb51414p-12, 0x1.09b6ee808ae61p-12, 0x1.03044730d4381p-12, 0x1.f8ef61fc605f4p-13, 0x1.ec20b245094fep-13, 0x1.df9ab90b64328p-13, 0x1.d35bc69978144p-13, 0x1.c7627294155e9p-13, 0x1.bbadb620f4424p-13, 0x1.b03ced9745ed5p-13, 0x1.a50fc12969b61p-13, 0x1.9a25f6aa21a0ep-13, 0x1.8f7f3d7812befp-13, 0x1.851b0d706a0eap-13, 0x1.7af89f0dc5db8p-13, 0x1.7116e643497b1p-13, 0x1.677478e7790bap-13, 0x1.5e0f6db33c5d7p-13, 0x1.54e563d694bebp-13, 0x1.4bf3d371e11d6p-13, 0x1.433882b7018a6p-13, 0x1.3ab1c7b2ad9ep-13, 0x1.325e67a931a7ep-13, 0x1.2a3d4d775efd5p-13, 0x1.224d778b42eacp-13, 0x1.1a8e2b674f64dp-13, 0x1.12ff1dd0feef6p-13, 0x1.0ba048a1821c7p-13, 0x1.047179168d313p-13, 0x1.fae3ba926e67ep-14, 0x1.ed3fbe055be59p-14, 0x1.dff2e4b9773a5p-14, 0x1.d2f958454bd0dp-14, 0x1.c6505ae4503bep-14, 0x1.b9f619fc98389p-14, 0x1.ade8ba5bc3deep-14, 0x1.a225902496e8ap-14, 0x1.96a93879803e9p-14, 0x1.8b707afac593cp-14, 0x1.807943e816933p-14, 0x1.75c30d01a595dp-14, 0x1.6b4e787fa18aep-14, 0x1.611c61210dfdfp-14, 0x1.572cf984353c7p-14, 0x1.4d7f8861e7b77p-14, 0x1.4412b60a776bfp-14, 0x1.3ae4aa0b921adp-14, 0x1.31f275d6ccb35p-14, 0x1.2937a0c692b44p-14, 0x1.20af4222a2585p-14, 0x1.1856765f87053p-14, 0x1.102dff83fc8dbp-14, 0x1.083947acd8923p-14, 0x1.007b9d0071a9dp-14, 0x1.f1ebaf4076f25p-15, 0x1.e34c7564b16adp-15, 0x1.d5149ab3a4928p-15, 0x1.c7417ee226d7bp-15, 0x1.b9d33b79a6869p-15, 0x1.acc9ff302fdbep-15, 0x1.a0237683e8561p-15, 0x1.93da53d2b3d98p-15, 0x1.87e78b34ad31fp-15, 0x1.7c43eda97ac5fp-15, 0x1.70e95806510ep-15, 0x1.65d3b2405fc38p-15, 0x1.5b00f799e3312p-15, 0x1.5070f1824bebbp-15, 0x1.462480ea6f472p-15, 0x1.3c1bf6a829199p-15, 0x1.3256359f31c2bp-15, 0x1.28d14dc2ea59p-15, 0x1.1f8bfc9d0fc9dp-15, 0x1.168591da3f33bp-15, 0x1.0dbb5f0072ee3p-15, 0x1.052781445dff9p-15, 0x1.f98996ee3cf69p-16, 0x1.e92841d6482a3p-16, 0x1.d93763be749a7p-16, 0x1.c9bfe864a2978p-16, 0x1.babd7f78697dfp-16, 0x1.ac226bf47a04ep-16, 0x1.9de493ca81cb8p-16, 0x1.9004dfd2a964p-16, 0x1.828abb80ddd28p-16, 0x1.757b3e4fa604fp-16, 0x1.68d57a94d950dp-16, 0x1.5c9468a407271p-16, 0x1.50b1a798485edp-16, 0x1.4527299d9cd98p-16, 0x1.39ef5092e37eap-16, 0x1.2f053003893cbp-16, 0x1.2464eb6e1a745p-16, 0x1.1a0c4041663a5p-16, 0x1.0ffae554ccb79p-16, 0x1.0632646c81d3ap-16, 0x1.f96a3f7ed0695p-17, 0x1.e709026755f66p-17, 0x1.d53e88f6aaa68p-17, 0x1.c4037d12e420bp-17, 0x1.b3511c5e4105fp-17, 0x1.a32458883f315p-17, 0x1.93773268b8dc5p-17, 0x1.84387e1a947fdp-17, 0x1.7554f60803e4ap-17, 0x1.66cb9beaa9ab9p-17, 0x1.58ac8a2c13609p-17, 0x1.4b0081a459814p-17, 0x1.3dbd6d4ab33a5p-17, 0x1.30d68080d46fbp-17, 0x1.244dada1d5e32p-17, 0x1.182d7a6182aa9p-17, 0x1.0c78d35eb6925p-17, 0x1.01285b6436ffp-17, 0x1.ec64e29dd701p-18, 0x1.d7228fd8ebefcp-18, 0x1.c2878dd2549acp-18, 0x1.ae97154d76f05p-18, 0x1.9b5451bc0685bp-18, 0x1.88be3dbd9d276p-18, 0x1.76ce92451da6fp-18, 0x1.657bab66fe508p-18, 0x1.54bb96d6b72a3p-18, 0x1.44866f9817984p-18, 0x1.34d760e6fa151p-18, 0x1.25aca2d2c272fp-18, 0x1.170682e1d4724p-18, 0x1.08e4e8bd3a15ep-18, 0x1.f6883b3d47a0dp-19, 0x1.dc39a131a56ebp-19, 0x1.c2d455c4e0ae3p-19, 0x1.aa60817d0ce78p-19, 0x1.92ecfe49240dp-19, 0x1.7c706d7f9e9cfp-19, 0x1.66caf257395e8p-19, 0x1.51f93e90b2cb5p-19, 0x1.3e0ef9aafe427p-19, 0x1.2afd99927ac1dp-19, 0x1.18a3cbda07224p-19, 0x1.07033fcea9c5ep-19, 0x1.ec5b529d1b37bp-20, 0x1.cc35cb245ad43p-20, 0x1.ad655b9849a55p-20, 0x1.8fc9a3eb0cb9ep-20, 0x1.735cf74d70abep-20, 0x1.5827b10680e26p-20, 0x1.3e31cbc715ecap-20, 0x1.257a59b9bc3c3p-20, 0x1.0df6ab48d621ep-20, 0x1.ef3179bde1cccp-21, 0x1.c4b0c212c0b91p-21, 0x1.9c6d1494ebae5p-21, 0x1.766d2f0fa0409p-21, 0x1.52a9c3ef8b345p-21, 0x1.3108d1270e132p-21, 0x1.1168197530f32p-21, 0x1.e753e0a4fcaabp-22, 0x1.af7743a2fb64fp-22, 0x1.7b28aa00d2842p-22, 0x1.4a5a33ebb56fdp-22, 0x1.1cef6efee0db6p-22, 0x1.e5816dcde7a2fp-23, 0x1.976333d9e260cp-23, 0x1.4fbd0477086ecp-23, 0x1.0ef1f2c9c2496p-23, 0x1.a941a826451aep-24, 0x1.3f9f6811e049ep-24, 0x1.c16fa36dd2cb9p-25, 0x1.18eafaacdc4c9p-25, 0x1.081df169663eap-26, 0x1.0b0d1be71e368p-31, -0x1.96186085faa4ep-27, -0x1.74f46c0e099fp-26, -0x1.f8a9073fb79dp-26, -0x1.2bd088108ec3cp-25, -0x1.49375f9d336a4p-25, -0x1.54d14d998c8bap-25, -0x1.4f1864cb7b152p-25, -0x1.38ce04078671bp-25, -0x1.12f2b02892506p-25, -0x1.bcf8768e01e2cp-26, -0x1.37fbaa9823471p-26, -0x1.2e340d8a082a5p-27, 0x1.2d8a9cfe3548fp-29, 0x1.fb70b0b747b35p-27, 0x1.efa9fe3880d6dp-26, 0x1.7d333c487fb8cp-25, 0x1.075776a35c22p-24, 0x1.56021b331262p-24, 0x1.aa5e2728d56d5p-24, 0x1.021306b615bd5p-23, 0x1.318ee6bbf5d03p-23, 0x1.6389ac6f946d1p-23, 0x1.97ede7a6e0b94p-23, 0x1.cea9c3ff8999dp-23, 0x1.03d7d13548204p-22, 0x1.217320dd74a81p-22, 0x1.4012c1aab0ebap-22, 0x1.5f9d3b65931bep-22, 0x1.8011f83c22933p-22, 0x1.a17c56cf2b974p-22, 0x1.c3d0d1c04a194p-22, 0x1.e701a00a0753ep-22, 0x1.0578764dcf449p-21, 0x1.17c9333486226p-21, 0x1.2a7439943d50bp-21, 0x1.3d76f65cdb9c8p-21, 0x1.50cc635dc773p-21, 0x1.646f6f9f3dd31p-21, 0x1.785b760400d8fp-21, 0x1.8c8bf2f9e7d0dp-21, 0x1.a0fdad516cd35p-21, 0x1.b5abf1e0a4d12p-21, 0x1.ca931b8fd281dp-21, 0x1.dfaebfbf8ed48p-21, 0x1.f4f9b43dad791p-21, 0x1.0536e5819bea7p-20, 0x1.1001f1bc25d0dp-20, 0x1.1ada9b18d1c9dp-20, 0x1.25bf9fd228706p-20, 0x1.30b383aa187efp-20, 0x1.3bb8f013d8de6p-20, 0x1.46cc97e16615ep-20, 0x1.51e8feb010456p-20, 0x1.5d0f2a9c64179p-20, 0x1.6841550e9b3a9p-20, 0x1.7378f5c69db05p-20, 0x1.7eadb2f18447ap-20, 0x1.89de5c3a5f496p-20, }}, 
      {{0x1.8e94667599e29p-6, 0x1.3c6930bfd2e19p-5, 0x1.3e57dc093c835p-5, 0x1.98abad597075p-6, -0x1.3581b90650577p-10, -0x1.2c886d89eb466p-5, -0x1.41ba7f4ce46f2p-4, -0x1.fb8cc57ae45bcp-4, -0x1.5cc7c86dc7f71p-3, -0x1.b9b42b574f1e9p-3, -0x1.08a5d540ce096p-2, -0x1.3096647fccca5p-2, -0x1.53dda46d15aa4p-2, -0x1.720167e7fd28cp-2, -0x1.8acc955b35a52p-2, -0x1.9e4114f6add64p-2, -0x1.ac8b25160cf44p-2, -0x1.b5f64aeeed133p-2, -0x1.bae3e823caeadp-2, -0x1.bbc361ba38ebdp-2, -0x1.b90bb992c4c36p-2, -0x1.b33675cbd57ccp-2, -0x1.aabbae6c6958bp-2, -0x1.a00f18ef4751ap-2, -0x1.939dea19084b7p-2, -0x1.85cd69036c2f8p-2, -0x1.76fa11aff0a12p-2, -0x1.67772933cab5dp-2, -0x1.578ea9a701957p-2, -0x1.47816fdcca8efp-2, -0x1.378798a6866fep-2, -0x1.27d0fec88e629p-2, -0x1.1885cdcdeaaa4p-2, -0x1.09c720837403fp-2, -0x1.f75f4836d581fp-3, -0x1.dca8756c76412p-3, -0x1.c389330905cdbp-3, -0x1.ac17bf9bf96f9p-3, -0x1.96624a2993734p-3, -0x1.826ffa9349686p-3, -0x1.7041e53bdbc41p-3, -0x1.5fd3e9e5cc3f8p-3, -0x1.511d7e65be0d3p-3, -0x1.4412661cad1e3p-3, -0x1.38a3575767d9ap-3, -0x1.2ebe8fbe94c38p-3, -0x1.265058feae3f2p-3, -0x1.1f437ed5faf4ep-3, -0x1.1981b7aa0881p-3, -0x1.14f400b6a5563p-3, -0x1.1182eec5c422p-3, -0x1.0f16f459b411ep-3, -0x1.0d989e462c11ap-3, -0x1.0cf0c7b5f63a6p-3, -0x1.0d08c66822232p-3, -0x1.0dca8fcece557p-3, -0x1.0f20d7489974ap-3, -0x1.10f72668180dp-3, -0x1.1339f033bb474p-3, -0x1.15d69ffc0704dp-3, -0x1.18bba497fc2a1p-3, -0x1.1bd87762942ep-3, -0x1.1f1d9fb72fc9p-3, -0x1.227cb3002ce61p-3, -0x1.25e852ec5c22ap-3, -0x1.295429f5c88eep-3, -0x1.2cb4e6f61379ep-3, -0x1.300036e5a5fcdp-3, -0x1.332cbcd06375cp-3, -0x1.363208d25ab08p-3, -0x1.39088d2f9c82fp-3, -0x1.3ba9944fa2efcp-3, -0x1.3e0f35fcefe0ap-3, -0x1.40344d766c81cp-3, -0x1.42146f256767ap-3, -0x1.43abde6ff0c2dp-3, -0x1.44f782ff6908ap-3, -0x1.45f4de11d994cp-3, -0x1.46a1ffc206598p-3, -0x1.46fd7ca80a362p-3, -0x1.470663f2c25e2p-3, -0x1.46bc3608ea66dp-3, -0x1.461edba48443ap-3, -0x1.452e9d629edefp-3, -0x1.43ec1b93cedbbp-3, -0x1.42584657dedeep-3, -0x1.407455f02d119p-3, -0x1.3e41c351a4d7ep-3, -0x1.3bc24103ce917p-3, -0x1.38f7b45590cdcp-3, -0x1.35e42efbb765bp-3, -0x1.3289e9173c24bp-3, -0x1.2eeb3ba9d4bf2p-3, -0x1.2b0a9b7583561p-3, -0x1.26ea94424ea4bp-3, -0x1.228dc47ea38d8p-3, -0x1.1df6d941ba62cp-3, -0x1.19288a9411939p-3, -0x1.1425980362b99p-3, -0x1.0ef0c58579b85p-3, -0x1.098cd88b86457p-3, -0x1.03fc956a52d39p-3, -0x1.fc8579c82fa76p-4, -0x1.f0c413fd550b1p-4, -0x1.e4ba6015381c8p-4, -0x1.d86db1a98164fp-4, -0x1.cbe346599623bp-4, -0x1.bf2042d6055f9p-4, -0x1.b229b09775ca6p-4, -0x1.a5047bc15d614p-4, -0x1.97b5716e5a5adp-4, -0x1.8a413e2f9707cp-4, -0x1.7cac6cd7994cep-4, -0x1.6efb659e63e93p-4, -0x1.61326d47533b5p-4, -0x1.5355a4ad18315p-4, -0x1.4569085cf3a14p-4, -0x1.3770705da5352p-4, -0x1.296f902fbb48fp-4, -0x1.1b69f6c3216eep-4, -0x1.0d630ec279bd2p-4, -0x1.febc3d6fd54d6p-5, -0x1.e2bc9320ffcc7p-5, -0x1.c6cd1e00ed478p-5, -0x1.aaf3980b25978p-5, -0x1.8f35774c600afp-5, -0x1.7397ef2094208p-5, -0x1.581ff17663a21p-5, -0x1.3cd230e36540fp-5, -0x1.21b321c5d4cc2p-5, -0x1.06c6fc0a410abp-5, -0x1.d8237a615dd46p-6, -0x1.a32e53719432ep-6, -0x1.6eb59d6c73e02p-6, -0x1.3ac007bbabdf2p-6, -0x1.0753da44ba879p-6, -0x1.a8edf00b0c792p-7, -0x1.445dc67731d7ap-7, -0x1.c203023715292p-8, -0x1.fb8acbc849275p-9, -0x1.e0a40d7cc5ccbp-11, 0x1.05fe63055f852p-9, 0x1.3f6681130707fp-8, 0x1.f91373a57b09fp-8, 0x1.57fc9d499f03dp-7, 0x1.b20614f4a7f9ap-7, 0x1.05506b755c629p-6, 0x1.30e40ec00c723p-6, 0x1.5bbbd174a660cp-6, 0x1.85d5cee04adabp-6, 0x1.af305d4d78485p-6, 0x1.d7ca0ad432427p-6, 0x1.ffa19c0c121a7p-6, 0x1.135b0522722e4p-5, 0x1.26834018a1f2ep-5, 0x1.39492bbbf1368p-5, 0x1.4bac8c00a6018p-5, 0x1.5dad3b0c2d3b5p-5, 0x1.6f4b279141723p-5, 0x1.808653e62d259p-5, 0x1.915ed5d1d197bp-5, 0x1.a1d4d5aa2449ap-5, 0x1.b1e88cc4d1fd9p-5, 0x1.c19a44a135097p-5, 0x1.d0ea56d22201dp-5, 0x1.dfd92c4cc12ecp-5, 0x1.ee673bfd0c748p-5, 0x1.fc9509cf0c4p-5, 0x1.053193497534dp-4, 0x1.0be917e3defe6p-4, 0x1.12716722400a3p-4, 0x1.18cada9170a55p-4, 0x1.1ef5d0bade0d2p-4, 0x1.24f2ad31ae3c9p-4, 0x1.2ac1d82cbbf85p-4, 0x1.3063bde561a68p-4, 0x1.35d8ce4b0f804p-4, 0x1.3b217d0f087d4p-4, 0x1.403e419463ec4p-4, 0x1.452f9674ccfbdp-4, 0x1.49f5f8fe86677p-4, 0x1.4e91e912808c2p-4, 0x1.5303e93e07f5ep-4, 0x1.574c7e9872f45p-4, 0x1.5b6c304aceebbp-4, 0x1.5f63872a29413p-4, 0x1.63330daa704e2p-4, 0x1.66db4ff531551p-4, 0x1.6a5cdbc77dae5p-4, 0x1.6db8400cee891p-4, 0x1.70ee0c8978abcp-4, 0x1.73fed1c9c57b1p-4, 0x1.76eb213727922p-4, 0x1.79b38d04ed077p-4, 0x1.7c58a7e4d1b1bp-4, 0x1.7edb04b592875p-4, 0x1.813b366d034aep-4, 0x1.8379d019bd60cp-4, 0x1.859764ed41998p-4, 0x1.8794880c8632dp-4, 0x1.8971cc4bc83ap-4, 0x1.8b2fc3ffe9233p-4, 0x1.8ccf00fb17a13p-4, 0x1.8e50149a4a2ddp-4, 0x1.8fb38fba14d5fp-4, 0x1.90fa028b49365p-4, 0x1.9223fc599f632p-4, 0x1.93320b74e1f55p-4, 0x1.9424bd38480d7p-4, 0x1.94fc9e129134bp-4, 0x1.95ba397997d0ap-4, 0x1.965e19c49a5efp-4, 0x1.96e8c8078afd6p-4, 0x1.975acc02de57cp-4, 0x1.97b4ac2a80293p-4, 0x1.97f6edadd5f4cp-4, 0x1.98221471343ecp-4, 0x1.9836a2f54b689p-4, 0x1.98351a3d08e64p-4, 0x1.981df9bf6e05fp-4, 0x1.97f1bf69c9bf4p-4, 0x1.97b0e7a9f649ep-4, 0x1.975bed72c33ccp-4, 0x1.96f34a300652p-4, 0x1.967775b34116fp-4, 0x1.95e8e6239471bp-4, 0x1.95480ffccb92p-4, 0x1.9495661b06eb5p-4, 0x1.93d159c85d9ddp-4, 0x1.92fc5abadbc56p-4, 0x1.9216d70bc5a0ap-4, 0x1.91213b2158cd3p-4, 0x1.901bf1ae582b6p-4, 0x1.8f0763bb90bd3p-4, 0x1.8de3f8ba8de3fp-4, 0x1.8cb2168d7be73p-4, 0x1.8b7221827d458p-4, 0x1.8a247c4404427p-4, 0x1.88c987d296962p-4, 0x1.8761a38b6727ep-4, 0x1.85ed2d3ca18e4p-4, 0x1.846c8133b7855p-4, 0x1.82dffa3ee9c41p-4, 0x1.8147f1a3b23a3p-4, 0x1.7fa4bf142cc17p-4, 0x1.7df6b8b21fcf9p-4, 0x1.7c3e33203f9e6p-4, 0x1.7a7b8195d33ffp-4, 0x1.78aef5e84c7dp-4, 0x1.76d8e086fd333p-4, 0x1.74f9906fc6c77p-4, 0x1.7311532a6d2cdp-4, 0x1.712074d26cb01p-4, 0x1.6f27402bd044cp-4, 0x1.6d25feb73cfc8p-4, 0x1.6b1cf8b83128p-4, 0x1.690c752d92941p-4, 0x1.66f4b9c56757cp-4, 0x1.64d60ad95094ap-4, 0x1.62b0ab7a70e74p-4, 0x1.6084dd87f595ap-4, 0x1.5e52e1c2f827bp-4, 0x1.5c1af7d84ff98p-4, 0x1.59dd5e582a88p-4, 0x1.579a52a8b0939p-4, 0x1.555210fe9f722p-4, 0x1.5304d464bc94bp-4, 0x1.50b2d6cfc9f27p-4, 0x1.4e5c5136d89cfp-4, 0x1.4c017b9fac17dp-4, 0x1.49a28d1fb8e82p-4, 0x1.473fbbccfff6ep-4, 0x1.44d93cb36171fp-4, 0x1.426f43d036318p-4, 0x1.4002041f2e8f5p-4, 0x1.3d91afafae3a5p-4, 0x1.3b1e77b9d3121p-4, 0x1.38a88ca7ca2bfp-4, 0x1.36301e11db916p-4, 0x1.33b55ab13b5dep-4, 0x1.313870540c6fdp-4, 0x1.2eb98bdabd0afp-4, 0x1.2c38d942c88d6p-4, 0x1.29b683b9eb922p-4, 0x1.2732b5b158f54p-4, 0x1.24ad98e76b07ap-4, 0x1.22275665b50acp-4, 0x1.1fa01675a5446p-4, 0x1.1d180094a678ap-4, 0x1.1a8f3b6dffec5p-4, 0x1.1805ece053e38p-4, 0x1.157c3a0bdc8ecp-4, 0x1.12f247634f253p-4, 0x1.106838b90c02bp-4, 0x1.0dde31425c4d7p-4, 0x1.0b54539095bb9p-4, 0x1.08cac18751cccp-4, 0x1.06419c534fd5ap-4, 0x1.03b904644cbd4p-4, 0x1.013119794f764p-4, 0x1.fd53f551ee5fep-5, 0x1.f8478ce1d4bb9p-5, 0x1.f33d357e2419cp-5, 0x1.ee3529e687f2ap-5, 0x1.e92fa3b440d61p-5, 0x1.e42cdb475516fp-5, 0x1.df2d07b6f4e6ep-5, 0x1.da305ecc3e2a9p-5, 0x1.d537150a8d20fp-5, 0x1.d0415dc26d25ap-5, 0x1.cb4f6b27ba13dp-5, 0x1.c6616e62e09e4p-5, 0x1.c17797979d287p-5, 0x1.bc9215e02927cp-5, 0x1.b7b11740329b5p-5, 0x1.b2d4c896efde2p-5, 0x1.adfd5596992aep-5, 0x1.a92ae8c5761efp-5, 0x1.a45dab8863719p-5, 0x1.9f95c6331ec37p-5, 0x1.9ad3601871b5cp-5, 0x1.96169f962cefap-5, 0x1.915faa169fe32p-5, 0x1.8caea40dbb8fp-5, 0x1.8803b0ede0ba8p-5, 0x1.835ef31ea0c12p-5, 0x1.7ec08bf735c09p-5, 0x1.7a289bc00bf56p-5, 0x1.759741ba91425p-5, 0x1.710c9c2d6c05dp-5, 0x1.6c88c870f84e5p-5, 0x1.680be2f897f21p-5, 0x1.63960756e2a09p-5, 0x1.5f27503c1d3a2p-5, 0x1.5abfd770b2b26p-5, 0x1.565fb5ce769f1p-5, 0x1.5207033bf9a7cp-5, 0x1.4db5d6ac0f6e7p-5, 0x1.496c462266126p-5, 0x1.452a66baa6d95p-5, 0x1.40f04cb31f15dp-5, 0x1.3cbe0b745d043p-5, 0x1.3893b59806367p-5, 0x1.34715ceb4549bp-5, 0x1.3057126df8332p-5, 0x1.2c44e64f87b6bp-5, 0x1.283ae7eb5f29dp-5, 0x1.243925c6d3e4p-5, 0x1.203fad9206127p-5, 0x1.1c4e8c2bbc585p-5, 0x1.1865cda78ee2p-5, 0x1.14857d5503d53p-5, 0x1.10ada5c64d1c7p-5, 0x1.0cde50d5c1cbap-5, 0x1.091787a933b2bp-5, 0x1.055952b331a7ap-5, 0x1.01a3b9b282e14p-5, 0x1.fbed8761be185p-6, 0x1.f4a4ee04392fcp-6, 0x1.ed6db289ae459p-6, 0x1.e647deca3367ap-6, 0x1.df337b4153c68p-6, 0x1.d8308f18b0de9p-6, 0x1.d13f20330d2ep-6, 0x1.ca5f33367d7b2p-6, 0x1.c390cb94c571fp-6, 0x1.bcd3eb9185884p-6, 0x1.b6289445e230bp-6, 0x1.af8ec5a244cebp-6, 0x1.a9067e6f33becp-6, 0x1.a28fbc4e64125p-6, 0x1.9c2a7bbdc6a7cp-6, 0x1.95d6b81cc618ep-6, 0x1.8f946bb3aaf2p-6, 0x1.89638fbc206c5p-6, 0x1.83441c6a3230dp-6, 0x1.7d3608f4a4bd5p-6, 0x1.77394b9c91e77p-6, 0x1.714dd9b475d19p-6, 0x1.6b73a7a316032p-6, 0x1.65aaa8ec6ac37p-6, 0x1.5ff2d02f5168dp-6, 0x1.5a4c0f2b90b7fp-6, 0x1.54b656c3f5526p-6, 0x1.4f319702feaf8p-6, 0x1.49bdbf20e2137p-6, 0x1.445abd897ebedp-6, 0x1.3f087fe188298p-6, 0x1.39c6f311689c9p-6, 0x1.3496034e0cff3p-6, 0x1.2f759c18aea78p-6, 0x1.2a65a846e290dp-6, 0x1.256612088cd74p-6, 0x1.2076c2f73967bp-6, 0x1.1b97a3ffbecc6p-6, 0x1.16c89d806437ep-6, 0x1.1209973ebf068p-6, 0x1.0d5a786f4d247p-6, 0x1.08bb27ba64e06p-6, 0x1.042b8b416d38ep-6, 0x1.ff571149a2b04p-7, 0x1.f6760a13c21fdp-7, 0x1.edb3ca410fa17p-7, 0x1.e5101a5146732p-7, 0x1.dc8ac1ee26923p-7, 0x1.d42387f50e02p-7, 0x1.cbda3280190a4p-7, 0x1.c3ae86eebcc16p-7, 0x1.bba049ed99be5p-7, 0x1.b3af3f7df6208p-7, 0x1.abdb2afcd94bdp-7, 0x1.a423cf2b27c99p-7, 0x1.9c88ee361502ap-7, 0x1.950a49bf16502p-7, 0x1.8da7a2e5f54abp-7, 0x1.8660ba5248b2dp-7, 0x1.7f35503b9fccep-7, 0x1.7825247213116p-7, 0x1.712ff666319ccp-7, 0x1.6a5585304cc5p-7, 0x1.63958f97d7644p-7, 0x1.5cefd41a61362p-7, 0x1.566410f278e0cp-7, 0x1.4ff2041e4bd73p-7, 0x1.49996b6655b81p-7, 0x1.435a04640a9a7p-7, 0x1.3d338c88ec99p-7, 0x1.3725c125bf577p-7, 0x1.31305f71e697fp-7, 0x1.2b532492570b7p-7, 0x1.258dcd9fd5cc5p-7, 0x1.1fe017ac0f2d5p-7, 0x1.1a49bfc562845p-7, 0x1.14ca82fff6ddfp-7, 0x1.0f621e6b15e3ep-7, 0x1.0a104f2279277p-7, 0x1.04d4d2575f892p-7, 0x1.ff5eca86068f5p-8, 0x1.f53f8a7f07096p-8, 0x1.eb4b5f951c91p-8, 0x1.e181c51d0f92dp-8, 0x1.d7e236d63488bp-8, 0x1.ce6c30f866159p-8, 0x1.c51f303cb92dap-8, 0x1.bbfab1e423ba8p-8, 0x1.b2fe33aaf4eb2p-8, 0x1.aa2933d109914p-8, 0x1.a17b310bf9258p-8, 0x1.98f3aa7aaba52p-8, 0x1.90921faa54168p-8, 0x1.8856109b354b5p-8, 0x1.803efdd046b3bp-8, 0x1.784c686825a0cp-8, 0x1.707dd23c1f96dp-8, 0x1.68d2be00fd4acp-8, 0x1.614aaf645bc3ap-8, 0x1.59e52b2094bd4p-8, 0x1.52a1b70355418p-8, 0x1.4b7fd9e4add3fp-8, 0x1.447f1b8f5686dp-8, 0x1.3d9f049ea2d39p-8, 0x1.36df1e57d6692p-8, 0x1.303ef28b500d1p-8, 0x1.29be0b79ad2c8p-8, 0x1.235bf3d728949p-8, 0x1.1d1836ddc3dap-8, 0x1.16f260787e284p-8, 0x1.10e9fd7ee76abp-8, 0x1.0afe9bf90f3a9p-8, 0x1.052fcb6053922p-8, 0x1.fefa39a1e511bp-9, 0x1.f3cc464655bf5p-9, 0x1.e8d4e5c46eb15p-9, 0x1.de1344377a3dfp-9, 0x1.d38690253b47ep-9, 0x1.c92df9ef0cb21p-9, 0x1.bf08b31c0c2b2p-9, 0x1.b515ed7a88e2ep-9, 0x1.ab54dad810f18p-9, 0x1.a1c4ad283bc7dp-9, 0x1.9864969b69e68p-9, 0x1.8f33ca3306f45p-9, 0x1.86317cbb3ef62p-9, 0x1.7d5ce5cd79224p-9, 0x1.74b540c6ff28ep-9, 0x1.6c39cd90f08dap-9, 0x1.63e9d1127ad66p-9, 0x1.5bc49532becebp-9, 0x1.53c9686212ec2p-9, 0x1.4bf79cb69dc6ap-9, 0x1.444e86ca9a1p-9, 0x1.3ccd7c1d4bf75p-9, 0x1.3573d2a2e4d85p-9, 0x1.2e40def0e8fe1p-9, 0x1.2733f47ed41c8p-9, 0x1.204c657b5480ap-9, 0x1.1989837ce623p-9, 0x1.12eaa092f97c1p-9, 0x1.0c6f109f70954p-9, 0x1.06162ac8df7b6p-9, 0x1.ffbe959d64f01p-10, 0x1.f393a416d5f13p-10, 0x1.e7aa4fef2af41p-10, 0x1.dc01742146275p-10, 0x1.d097f63883f9fp-10, 0x1.c56cc3bbdaa1cp-10, 0x1.ba7ecedc654bap-10, 0x1.afcd0af043191p-10, 0x1.a5566953e8d41p-10, 0x1.9b19d737f8686p-10, 0x1.91163cb6fb942p-10, 0x1.874a7d508d9b5p-10, 0x1.7db579a9fcf3dp-10, 0x1.74561244cb402p-10, 0x1.6b2b2ac3a5b14p-10, 0x1.6233ad4ea70f6p-10, 0x1.596e8dbce9c01p-10, 0x1.50dacbe556b2fp-10, 0x1.4877755a3cc51p-10, 0x1.4043a5a8eb853p-10, 0x1.383e852264a09p-10, 0x1.30674683e219fp-10, 0x1.28bd234c826a2p-10, 0x1.213f576b7b7d1p-10, 0x1.19ed1ce7f5016p-10, 0x1.12c5a83c2ae7ep-10, 0x1.0bc82606bf66dp-10, 0x1.04f3ba72045a5p-10, 0x1.fc8f04a892186p-11, 0x1.ef852b7291f1ep-11, 0x1.e2c816880c687p-11, 0x1.d655f79fa3285p-11, 0x1.ca2d0bafafd32p-11, 0x1.be4ba0b794d31p-11, 0x1.b2b01a55c31a8p-11, 0x1.a758f521f1116p-11, 0x1.9c44c8b07e4a7p-11, 0x1.917247ee4b01p-11, 0x1.86e03f6945c13p-11, 0x1.7c8d91266bc9dp-11, 0x1.72792e15755eap-11, 0x1.68a20dc1dd72cp-11, 0x1.5f0725821b101p-11, 0x1.55a760c6eaf03p-11, 0x1.4c819c18c3082p-11, 0x1.4394a3be89081p-11, 0x1.3adf36141fedfp-11, 0x1.32600891d22c1p-11, 0x1.2a15cdd7439ccp-11, 0x1.21ff3afd29101p-11, 0x1.1a1b0b0b7ae03p-11, 0x1.1268007777087p-11, 0x1.0ae4e578b3a6cp-11, 0x1.03908c7a35796p-11, 0x1.f8d3a34de24d4p-12, 0x1.eadf3b95ed658p-12, 0x1.dd41d39c1ab76p-12, 0x1.cff982da059a8p-12, 0x1.c304878651936p-12, 0x1.b6614193578bfp-12, 0x1.aa0e27e8845eap-12, 0x1.9e09ba5393ac7p-12, 0x1.9252742131275p-12, 0x1.86e6c3665f1b6p-12, 0x1.7bc507995ef4ep-12, 0x1.70eb978e93408p-12, 0x1.6658cc392bc24p-12, 0x1.5c0b0b9b155ep-12, 0x1.5200cf2505fbfp-12, 0x1.4838a28284f7ap-12, 0x1.3eb11b0f888f4p-12, 0x1.3568cb6d00ecp-12, 0x1.2c5e3902c9d3ep-12, 0x1.238fd7abbae91p-12, 0x1.1afc0ebf6003p-12, 0x1.12a14520534b4p-12, 0x1.0a7df073f8f79p-12, 0x1.0290a1c635dd4p-12, 0x1.f5b0166ad6616p-13, 0x1.e6a5f9b46b39fp-13, 0x1.d800b4d823b72p-13, 0x1.c9be1b7f3f192p-13, 0x1.bbdbf6864d075p-13, 0x1.ae57f8783d10fp-13, 0x1.a12fc24e6fcd6p-13, 0x1.9460f394c8d7ep-13, 0x1.87e9434a31e7ep-13, 0x1.7bc6963733a08p-13, 0x1.6ff70c9c9ea98p-13, 0x1.6478fa047899ep-13, 0x1.594ada4aad0ccp-13, 0x1.4e6b234699982p-13, 0x1.43d82b5003fc8p-13, 0x1.39900f76481e3p-13, 0x1.2f90b6a20fdcfp-13, 0x1.25d7e7766a8c2p-13, 0x1.1c636bc26bbf3p-13, 0x1.133133ec5aabep-13, 0x1.0a3f6cd8119d6p-13, 0x1.018c834569eabp-13, 0x1.f22e2b18f7863p-14, 0x1.e1bbb5ecd5d2ap-14, 0x1.d1bf162d901bfp-14, 0x1.c2359c3b34627p-14, 0x1.b31c73713fcd2p-14, 0x1.a470b0000ce98p-14, 0x1.962f65f5fe5cp-14, 0x1.8855c09a61dd7p-14, 0x1.7ae116636b0d1p-14, 0x1.6dcef7d10a5b5p-14, 0x1.611d351dc0168p-14, 0x1.54c9d432894a9p-14, 0x1.48d2f32c92495p-14, 0x1.3d369cd39a67bp-14, 0x1.31f29f0325b7p-14, 0x1.27047756b4d8fp-14, 0x1.1c696272fb521p-14, 0x1.121e8872c1432p-14, 0x1.082130bbc2c86p-14, 0x1.fcddcb6639d91p-15, 0x1.ea0afbee70202p-15, 0x1.d7c6203d6da3dp-15, 0x1.c60bb77437a59p-15, 0x1.b4d861265d67cp-15, 0x1.a428b78290f32p-15, 0x1.93f9420bc14d3p-15, 0x1.844682cbdd9e1p-15, 0x1.750d117a16653p-15, 0x1.6649b42eacbdfp-15, 0x1.57f96d1fea284p-15, 0x1.4a197c27316c8p-15, 0x1.3ca753e8f295dp-15, 0x1.2fa084b382d4ap-15, 0x1.2302a6423d915p-15, 0x1.16cb4b4423d96p-15, 0x1.0af7fe96b110fp-15, 0x1.ff0c7ab9ff824p-16, 0x1.e8e6c8dafedfp-16, 0x1.d37937592e244p-16, 0x1.bebdb2fa36089p-16, 0x1.aaae18e1bc633p-16, 0x1.9744aab36a1aep-16, 0x1.847c4af3fcc74p-16, 0x1.72505bbaccaefp-16, 0x1.60bc804941fabp-16, 0x1.4fbc9aa7cca3fp-16, 0x1.3f4d0307c74eap-16, 0x1.2f6aa1a1182bdp-16, 0x1.2012aedc9cd77p-16, 0x1.11423568f904p-16, 0x1.02f5a4c98690fp-16, 0x1.ea5176a347bb9p-17, 0x1.cfadbafe83043p-17, 0x1.b5f74828dcd61p-17, 0x1.9d266cd034c9ep-17, 0x1.85345a5e31585p-17, 0x1.6e1a4df0e4546p-17, 0x1.57d0f85901b0ap-17, 0x1.4250b3c159642p-17, 0x1.2d92564fbc289p-17, 0x1.198fffb34ffc7p-17, 0x1.064555570609dp-17, 0x1.e75e10c9345bep-18, 0x1.c393e275e9704p-18, 0x1.a1249d5d63271p-18, 0x1.800739d53fdf6p-18, 0x1.6031cd143f5cap-18, 0x1.4199bbeba2d2ap-18, 0x1.2432bb18645e3p-18, 0x1.07ee3717f284fp-18, 0x1.d97af529c9ff2p-19, 0x1.a52bb5d9af7fdp-19, 0x1.72e5e0f90dadcp-19, 0x1.42a9645edc5p-19, 0x1.1474ee44ec1e1p-19, 0x1.d07e25f25aa04p-20, 0x1.7bed46968d946p-20, 0x1.2b11ce4fd0e7cp-20, 0x1.bb9d1bffd3066p-21, 0x1.281d98b4189eep-21, 0x1.36f6ba205e2f8p-22, 0x1.57d753af0d28ap-25, -0x1.a8969f8905befp-23, -0x1.c77f3a4d92c3cp-22, -0x1.57a02cdb68b74p-21, -0x1.c60cc71d445f6p-21, -0x1.17a04d172b03bp-20, -0x1.49b31b54b0822p-20, -0x1.794d1ed6deb3ap-20, -0x1.a67b9af2bdde3p-20, -0x1.d14d0fa575941p-20, -0x1.f9d4311bfadd9p-20, -0x1.1012c6704e308p-19, -0x1.222979689ae85p-19, -0x1.3336198075ce2p-19, -0x1.4343703429d0dp-19, -0x1.526081291ea76p-19, -0x1.609aae69d4e9bp-19, -0x1.6df60078911e7p-19, -0x1.7a6f636a728bbp-19, -0x1.860684ef2615ap-19, -0x1.90c494d661ed3p-19, -0x1.9ab89f69bcdd3p-19, -0x1.a3eea6d1a2471p-19, -0x1.ac6a7a8e28892p-19, -0x1.b42c4a6ccbc5bp-19, -0x1.bb363e353827bp-19, -0x1.c18cb30f8ae8ap-19, -0x1.c737ce4ec08bp-19, -0x1.cc412b5833013p-19, -0x1.d0b01574452f9p-19, -0x1.d48cea99f0fa5p-19, -0x1.d7df12979d125p-19, -0x1.daad0c94a7141p-19, -0x1.dcfc219bbea1p-19, -0x1.ded02952ba0d3p-19, -0x1.e02bb3b8e1b78p-19, -0x1.e110bb77eb3b3p-19, -0x1.e181d5f33a92ap-19, -0x1.e18339ea605fap-19, -0x1.e11a6f6ef3d26p-19, -0x1.e04c8be346fecp-19, -0x1.df1d57c295557p-19, -0x1.dd9194e45d434p-19, -0x1.dbb183f652cf6p-19, -0x1.d985d28e29e7dp-19, -0x1.d71150501708cp-19, -0x1.d4519dbed43dep-19, -0x1.d146b8b959d0ap-19, -0x1.cdf6271444328p-19, -0x1.ca65f2cafff3fp-19, -0x1.c697b0a74d67fp-19, -0x1.c28a8f60978bbp-19, -0x1.be400161e3452p-19, -0x1.b9bc54f4eaf5bp-19, -0x1.b504549e91d7bp-19, -0x1.b01b936aff5b5p-19, -0x1.ab043a12d99dep-19, -0x1.a5bfa04c20de3p-19, -0x1.a04f17b3deba1p-19, -0x1.9ab483ee9b18p-19, -0x1.94f27f9f51aaap-19, -0x1.8f0c13650af1bp-19, -0x1.890442c8c3683p-19, -0x1.82ddb4c1069acp-19, -0x1.7c9a8f9922aedp-19, -0x1.763c7c3e111b6p-19, -0x1.6fc4cd988947ap-19, -0x1.6934dd5da351ep-19, -0x1.628e7dc6875p-19, -0x1.5bd3eb8003e83p-19, -0x1.5506f00f2030fp-19, -0x1.4e2845028a75fp-19, -0x1.4737dbf32b084p-19, -0x1.403798958d986p-19, -0x1.392abb5bea8dfp-19, -0x1.32127957966f3p-19, -0x1.2aee76d513aecp-19, -0x1.23c09f1eb7156p-19, -0x1.1c8c0d6755ab2p-19, -0x1.155183f2bf413p-19, -0x1.0e10b8b366b23p-19, -0x1.06cb0d0611c37p-19, -0x1.ff05c6811f47dp-20, -0x1.f0741867c72bbp-20, -0x1.e1e2e69e3037fp-20, -0x1.d353126ee79bp-20, -0x1.c4c576cc0d7dbp-20, -0x1.b63b758f60a42p-20, -0x1.a7b705a519c9p-20, -0x1.993a48a8c30d3p-20, -0x1.8ac6f2f22c89bp-20, -0x1.7c5e15306fe9cp-20, -0x1.6e008c4c8c8d3p-20, -0x1.5faf9ed32540fp-20, -0x1.516d240c9ee7ep-20, -0x1.433b2d1d85f4p-20, -0x1.351b9aff0605dp-20, -0x1.270fea321285ep-20, -0x1.19193e6751c6ap-20, -0x1.0b388cd3f06abp-20, -0x1.faddf8d8b3f5bp-21, -0x1.df7c97f5076f9p-21, -0x1.c44e7e92463a8p-21, -0x1.a95465986a173p-21, -0x1.8e8decebecd6dp-21, -0x1.73fdd0139e81bp-21, -0x1.59a93a1b8c227p-21, -0x1.3f91d40d64f28p-21, -0x1.25b8d6a641411p-21, -0x1.0c20f7bfa7503p-21, -0x1.e593839e265f8p-22, -0x1.b36572dc7a7c4p-22, -0x1.81bc4fd8338acp-22, -0x1.509d161d18406p-22, -0x1.200ac32db7158p-22, -0x1.e00e8e1861ec8p-23, -0x1.8128d551845a7p-23, -0x1.2368a224fb4dep-23, -0x1.8da66d4c65c36p-24, -0x1.adbc24b109838p-25, -0x1.141b0509b62c5p-27, 0x1.1ec254c44a0b2p-25, 0x1.3ecc24363859ep-24, 0x1.ebbb2a9bb0d8ap-24, 0x1.4b148783e94b1p-23, 0x1.9f070f88caddap-23, 0x1.f1b1e4921f1f9p-23, 0x1.21898f454062cp-22, 0x1.499485d46fae3p-22, 0x1.70f89e8b42a3bp-22, 0x1.97b485078ed13p-22, 0x1.bdc71bd043cf8p-22, 0x1.e32f7c6de8d89p-22, 0x1.03f67659ce97cp-21, 0x1.15ff77f918846p-21, 0x1.27b289e2f436ap-21, 0x1.390f63bb40c78p-21, 0x1.4a1568efcbc79p-21, 0x1.5ac3d14bc5cb4p-21, 0x1.6b1ac13e45279p-21, 0x1.7b1ae0ad71f9p-21, 0x1.8ac4074617bd9p-21, 0x1.9a15f9c6239d9p-21, 0x1.a90fd225312cp-21, 0x1.b7b159a2baa6cp-21, 0x1.c5fb0236a6776p-21, 0x1.d3ecf93bef307p-21, 0x1.e1873a7a18461p-21, 0x1.eec9c0c913f9bp-21, 0x1.fbb49c7df4672p-21, 0x1.04240f5d1cc3fp-20, 0x1.0a41e04148efep-20, 0x1.10342ca496bb6p-20, 0x1.15fae4639a8a3p-20, 0x1.1b961acd4d3bap-20, 0x1.2105d98b37a77p-20, 0x1.264a1e17f78a2p-20, 0x1.2b62daedee38ep-20, 0x1.305007c31c73ep-20, 0x1.3511d298247c2p-20, 0x1.39a8c8f33b4fap-20, 0x1.3e157e27f9f3fp-20, 0x1.4257f380bf45fp-20, 0x1.466ff5d257b6bp-20, 0x1.4a5df549876a1p-20, 0x1.4e228199dd798p-20, 0x1.51bd525e969c6p-20, 0x1.552df1d987915p-20, 0x1.587499ce5eed8p-20, }}, 
      {{-0x1.52ae3286d93ddp-1, -0x1.2165f5dea8924p-1, -0x1.cdb0972ae5867p-2, -0x1.5a44f957ab3b8p-2, -0x1.e5d7f511f06e9p-3, -0x1.37ff38a256311p-3, -0x1.5939c1169166cp-4, -0x1.05968dcb47eb9p-5, 0x1.bba519e5a97fdp-8, 0x1.185e393857abep-5, 0x1.b0d51bb4c9a74p-5, 0x1.097b6cce1e59ep-4, 0x1.27467ada421aep-4, 0x1.386438aac1fd8p-4, 0x1.42244616e4a26p-4, 0x1.48a5c797e08dap-4, 0x1.4efa59baca0ecp-4, 0x1.574cfc3563282p-4, 0x1.630901d76fb71p-4, 0x1.72febdc73d7d5p-4, 0x1.8784af8fad13ap-4, 0x1.a09498955bacep-4, 0x1.bde45595faaa2p-4, 0x1.defa9f7b5ff9p-4, 0x1.01a0009739cdfp-3, 0x1.150632cd3f3ap-3, 0x1.2958d4f82d875p-3, 0x1.3e41d07b5ae15p-3, 0x1.536ef7e49ca83p-3, 0x1.68941245b654ep-3, 0x1.7d6c2eea0b045p-3, 0x1.91ba677943218p-3, 0x1.a54a3135d5eaep-3, 0x1.b7ef58db19bdbp-3, 0x1.c985bfe6192a4p-3, 0x1.d9f0edcf01262p-3, 0x1.e91b841889f3cp-3, 0x1.f6f6a0ed54a92p-3, 0x1.01bc9cacdcc69p-2, 0x1.074fb8f690215p-2, 0x1.0c34fd568c80bp-2, 0x1.106eb8e0062e8p-2, 0x1.1400e783a2fe9p-2, 0x1.16f0ecff19bfdp-2, 0x1.1945554913d72p-2, 0x1.1b059a9ac5552p-2, 0x1.1c39f10d95963p-2, 0x1.1ceb17a52ff7cp-2, 0x1.1d222e860f12cp-2, 0x1.1ce8921128821p-2, 0x1.1c47ba9ae42a5p-2, 0x1.1b4920716c916p-2, 0x1.19f623d2d6a65p-2, 0x1.1857f8711dae9p-2, 0x1.1677942bacdcfp-2, 0x1.145da0bfd7408p-2, 0x1.12127051ed402p-2, 0x1.0f9df46cb6afep-2, 0x1.0d07b71824c2ap-2, 0x1.0a56d5ba5efc2p-2, 0x1.0791fd6a75629p-2, 0x1.04bf68ffd6655p-2, 0x1.01e4e086f64e6p-2, 0x1.fe0f741df6b55p-3, 0x1.f859b684e21b8p-3, 0x1.f2b17721a443dp-3, 0x1.ed1ecd9c17b63p-3, 0x1.e7a900cbc5b5fp-3, 0x1.e2568e9edd079p-3, 0x1.dd2d34b44c062p-3, 0x1.d831fa445449dp-3, 0x1.d369396c83799p-3, 0x1.ced6a8ece25b8p-3, 0x1.ca7d652957175p-3, 0x1.c65ff978d5585p-3, 0x1.c280693a53b24p-3, 0x1.bee0393eaace9p-3, 0x1.bb80791c262ep-3, 0x1.b861cc6ed7fadp-3, 0x1.b58473be9b728p-3, 0x1.b2e854fb13d7ep-3, 0x1.b08d037d99845p-3, 0x1.ae71c7988653ap-3, 0x1.ac95a5c93ed39p-3, 0x1.aaf76595e732fp-3, 0x1.a995982ac0a0ep-3, 0x1.a86e9eb49eeaep-3, 0x1.a780b0782ab52p-3, 0x1.a6c9e09cdc5f5p-3, 0x1.a64823a1d9434p-3, 0x1.a5f95478b8b79p-3, 0x1.a5db393f65d8fp-3, 0x1.a5eb879bb00d4p-3, 0x1.a627e8b9ddc71p-3, 0x1.a68dfcf3a3e4p-3, 0x1.a71b5f2415482p-3, 0x1.a7cda7b05f589p-3, 0x1.a8a26f48e29bap-3, 0x1.a9975168638f3p-3, 0x1.aaa9ee97367c2p-3, 0x1.abd7ee75510e8p-3, 0x1.ad1f018e3fd83p-3, 0x1.ae7ce2fa85567p-3, 0x1.afef59d1179c2p-3, 0x1.b1743a6a34e45p-3, 0x1.b30967760be2ap-3, 0x1.b4acd2ee332fcp-3, 0x1.b65c7ed89e516p-3, 0x1.b8167dea62945p-3, 0x1.b9d8f4090ff12p-3, 0x1.bba216a5446d4p-3, 0x1.bd702d0000ddp-3, 0x1.bf41904ebb06dp-3, 0x1.c114abcb71546p-3, 0x1.c2e7fcb034361p-3, 0x1.c4ba121d3515bp-3, 0x1.c6898cf796318p-3, 0x1.c8551fb05e747p-3, 0x1.ca1b8e0b7d24cp-3, 0x1.cbdbacd72d1aep-3, 0x1.cd946195fb2c6p-3, 0x1.cf44a22e2d2cep-3, 0x1.d0eb7482d61dp-3, 0x1.d287ee097576p-3, 0x1.d4193365d2125p-3, 0x1.d59e77e7f7852p-3, 0x1.d716fd1868a19p-3, 0x1.d882124298719p-3, 0x1.d9df13e798c23p-3, 0x1.db2d6b42a404cp-3, 0x1.dc6c8dd59d3dap-3, 0x1.dd9bfcd9597a4p-3, 0x1.debb44c8a909bp-3, 0x1.dfc9fcf16bf02p-3, 0x1.e0c7c6f16ebbep-3, 0x1.e1b44e4a2527p-3, 0x1.e28f47fa5c9a9p-3, 0x1.e3587209a5474p-3, 0x1.e40f9322edc1cp-3, 0x1.e4b47a380e7b7p-3, 0x1.e546fe16e7c0bp-3, 0x1.e5c6fd077075fp-3, 0x1.e6345c7b144c7p-3, 0x1.e68f08a8c99a3p-3, 0x1.e6d6f42cc2c7bp-3, 0x1.e70c17bf8a485p-3, 0x1.e72e71e369ac6p-3, 0x1.e73e0684c06d5p-3, 0x1.e73adeb135023p-3, 0x1.e725085cd4c44p-3, 0x1.e6fc960f696a2p-3, 0x1.e6c19e946318bp-3, 0x1.e6743ccb16b27p-3, 0x1.e6148f7289f01p-3, 0x1.e5a2b8dbbf036p-3, 0x1.e51edeae3b6e8p-3, 0x1.e48929c8fbde5p-3, 0x1.e3e1c612c7957p-3, 0x1.e328e234e6395p-3, 0x1.e25eaf6dc95fep-3, 0x1.e183617c56473p-3, 0x1.e0972e7640165p-3, 0x1.df9a4e89d52d9p-3, 0x1.de8cfbd6c74a6p-3, 0x1.dd6f725f8ccap-3, 0x1.dc41efe98a345p-3, 0x1.db04b3c51965ap-3, 0x1.d9b7fea5b6e2bp-3, 0x1.d85c129749774p-3, 0x1.d6f132e838104p-3, 0x1.d577a3ff1410fp-3, 0x1.d3efab2d322adp-3, 0x1.d2598ea02ed03p-3, 0x1.d0b5955b1442ep-3, 0x1.cf040719df7f9p-3, 0x1.cd452c26157fbp-3, 0x1.cb794d3d5e07ep-3, 0x1.c9a0b38f97139p-3, 0x1.c7bba8b604a1ep-3, 0x1.c5ca76933e701p-3, 0x1.c3cd6730ab6b5p-3, 0x1.c1c4c4b30fb5fp-3, 0x1.bfb0d95d1168dp-3, 0x1.bd91ef842f44fp-3, 0x1.bb6851731a8d6p-3, 0x1.b934495050f5p-3, 0x1.b6f62118cd9f3p-3, 0x1.b4ae22a3100fbp-3, 0x1.b25c97953987ap-3, 0x1.b001c94d1943cp-3, 0x1.ad9e00cc318f2p-3, 0x1.ab3186b2db1d3p-3, 0x1.a8bca3428fbdp-3, 0x1.a63f9e5859618p-3, 0x1.a3babf5bc8262p-3, 0x1.a12e4d2e2dd07p-3, 0x1.9e9a8e20f6fd8p-3, 0x1.9bffc7f97c61p-3, 0x1.995e3fee78bd1p-3, 0x1.96b63a9f5150bp-3, 0x1.9407fc0504c1ap-3, 0x1.9153c767a0782p-3, 0x1.8e99df5c6d8c5p-3, 0x1.8bda85c81cbp-3, 0x1.8915fbdc54c7cp-3, 0x1.864c820ec936p-3, 0x1.837e580d2fb43p-3, 0x1.80abbcb74a33ep-3, 0x1.7dd4ee20fbe99p-3, 0x1.7afa29934f6c4p-3, 0x1.781bab8a563b4p-3, 0x1.7539afad91af9p-3, 0x1.725470c8675c7p-3, 0x1.6f6c28c743779p-3, 0x1.6c8110b87f4dfp-3, 0x1.699360ce691d7p-3, 0x1.66a3505e899a9p-3, 0x1.63b115dd69241p-3, 0x1.60bce6d9af982p-3, 0x1.5dc6f7f9522c1p-3, 0x1.5acf7cfa23adbp-3, 0x1.57d6a8b49270cp-3, 0x1.54dcad1db48e7p-3, 0x1.51e1bb464a918p-3, 0x1.4ee60356eb938p-3, 0x1.4be9b48cc7c49p-3, 0x1.48ecfd39c8157p-3, 0x1.45f00ac85a2f9p-3, 0x1.42f309bfb7922p-3, 0x1.3ff625c68d821p-3, 0x1.3cf9899dae0b5p-3, 0x1.39fd5f1f2a6c6p-3, 0x1.3701cf3c46d79p-3, 0x1.34070202733dep-3, 0x1.310d1ea1327abp-3, 0x1.2e144b6de0232p-3, 0x1.2b1cade2123a6p-3, 0x1.28266a97f14a2p-3, 0x1.2531a548f4b06p-3, 0x1.223e80d1fdc16p-3, 0x1.1f4d1f3a5db3ep-3, 0x1.1c5da1b962327p-3, 0x1.197028b6ee68cp-3, 0x1.1684d3c830598p-3, 0x1.139bc1acfff77p-3, 0x1.10b5105219221p-3, 0x1.0dd0dcd82a5d5p-3, 0x1.0aef439b93756p-3, 0x1.0810603817f41p-3, 0x1.05344d873ff42p-3, 0x1.025b259c8a66cp-3, 0x1.ff0a0388975f9p-4, 0x1.f963f5104f8d5p-4, 0x1.f3c44f6f38166p-4, 0x1.ee2b40df9472ep-4, 0x1.e898f63c8a97p-4, 0x1.e30d9afd142a1p-4, 0x1.dd89592bbbf1ep-4, 0x1.d80c5964ed0e3p-4, 0x1.d296c2e0bddb8p-4, 0x1.cd28bb84ca668p-4, 0x1.c7c267f50fc8bp-4, 0x1.c263eb9b332cp-4, 0x1.bd0d68a24ee88p-4, 0x1.b7beffee0fd93p-4, 0x1.b278d1162e08cp-4, 0x1.ad3afa6ceeac4p-4, 0x1.a805990f861d9p-4, 0x1.a2d8c8f86123p-4, 0x1.9db4a50b5b113p-4, 0x1.989947155caefp-4, 0x1.9386c7c7eb0ccp-4, 0x1.8e7d3eac22adfp-4, 0x1.897cc2268244ep-4, 0x1.8485677edd3cep-4, 0x1.7f9742f24986bp-4, 0x1.7ab267c3c3b8bp-4, 0x1.75d6e8453705cp-4, 0x1.7104d5d671a98p-4, 0x1.6c3c40dd7daa6p-4, 0x1.677d38bf789fdp-4, 0x1.62c7cbe093583p-4, 0x1.5e1c07ad835d5p-4, 0x1.5979f8ab5fef9p-4, 0x1.54e1aa8754411p-4, 0x1.5053282000cafp-4, 0x1.4bce7b8604b25p-4, 0x1.4753adf60e58bp-4, 0x1.42e2c7d1e1396p-4, 0x1.3e7bd09e42a0bp-4, 0x1.3a1ecf08b373fp-4, 0x1.35cbc8f3ce6f3p-4, 0x1.3182c386303e7p-4, 0x1.2d43c335b6fa4p-4, 0x1.290ecbcc3d612p-4, 0x1.24e3e0650eb2bp-4, 0x1.20c303679783cp-4, 0x1.1cac3682d3affp-4, 0x1.189f7aac0aa74p-4, 0x1.149cd02869c36p-4, 0x1.10a436967e6acp-4, 0x1.0cb5acfb4a631p-4, 0x1.08d131cb49abap-4, 0x1.04f6c2ee024bp-4, 0x1.01265dbc32d1cp-4, 0x1.fabffdf6c85eep-5, 0x1.f34745b4aafe3p-5, 0x1.ebe289e2a3c19p-5, 0x1.e491c08ef3af1p-5, 0x1.dd54deb7dac2ep-5, 0x1.d62bd860467a5p-5, 0x1.cf16a0a0d601bp-5, 0x1.c81529b103f1ep-5, 0x1.c12764e7b1fefp-5, 0x1.ba4d42b5fd558p-5, 0x1.b386b2a123b6bp-5, 0x1.acd3a34090344p-5, 0x1.a6340242e6749p-5, 0x1.9fa7bc79efff8p-5, 0x1.992ebdeac0ffdp-5, 0x1.92c8f1dd3b2c2p-5, 0x1.8c7642ea77355p-5, 0x1.86369afe18a86p-5, 0x1.8009e35c2db62p-5, 0x1.79f00499d042ep-5, 0x1.73e8e69b33b0bp-5, 0x1.6df4709334485p-5, 0x1.6812890800533p-5, 0x1.624315dce0883p-5, 0x1.5c85fc5e915cp-5, 0x1.56db214fd1735p-5, 0x1.514268f3bc12ep-5, 0x1.4bbbb713fdb28p-5, 0x1.4646ef02d1cfcp-5, 0x1.40e3f39a00ac9p-5, 0x1.3b92a7390723p-5, 0x1.3652ebc4ad71cp-5, 0x1.3124a2a9c03c7p-5, 0x1.2c07ace339dcap-5, 0x1.26fbeb02dcec8p-5, 0x1.22013d3b15542p-5, 0x1.1d178367df881p-5, 0x1.183e9d15ed115p-5, 0x1.13766986f1d2ep-5, 0x1.0ebec7b353bfdp-5, 0x1.0a17964a1cc8ap-5, 0x1.0580b3b08e22dp-5, 0x1.00f9fe02e1729p-5, 0x1.f906a62e18b2bp-6, 0x1.f039210364ca4p-6, 0x1.e78b2739649adp-6, 0x1.defc731c857bep-6, 0x1.d68cbe9f71dadp-6, 0x1.ce3bc36659de9p-6, 0x1.c6093acf0c773p-6, 0x1.bdf4ddf5b53abp-6, 0x1.b5fe65b6e687ap-6, 0x1.ae258ab075c64p-6, 0x1.a66a0542faebp-6, 0x1.9ecb8d95655e2p-6, 0x1.9749db9b4f2acp-6, 0x1.8fe4a71db0df2p-6, 0x1.889ba7c4debfbp-6, 0x1.816e9522a2d41p-6, 0x1.7a5d26bb772ebp-6, 0x1.7367140e4382p-6, 0x1.6c8c149a5204cp-6, 0x1.65cbdfe344c11p-6, 0x1.5f262d738aad5p-6, 0x1.589ab4ddd11bdp-6, 0x1.52292dbf521f4p-6, 0x1.4bd14fc2ab73ep-6, 0x1.4592d2a496ba7p-6, 0x1.3f6d6e3a2e94ap-6, 0x1.3960da77bb918p-6, 0x1.336ccf77b477ep-6, 0x1.2d9105812fb83p-6, 0x1.27cd350da004cp-6, 0x1.222116ce17e1ap-6, 0x1.1c8c63ace27c1p-6, 0x1.170ed4d4af968p-6, 0x1.11a823ada61aep-6, 0x1.0c5809e2154cap-6, 0x1.071e415f5db44p-6, 0x1.01fa8458e7b2bp-6, 0x1.f9d91a9788bdfp-7, 0x1.efe82e05add19p-7, 0x1.e621b935e9a84p-7, 0x1.dc8533102fe34p-7, 0x1.d3121333b6fb8p-7, 0x1.c9c7d1fb70734p-7, 0x1.c0a5e88574cb6p-7, 0x1.b7abd0b778e49p-7, 0x1.aed9054ae9098p-7, 0x1.a62d01bf2d4f8p-7, 0x1.9da7426d30959p-7, 0x1.95474480f34b8p-7, 0x1.8d0c85fed2866p-7, 0x1.84f685c7cab81p-7, 0x1.7d04c39e37a77p-7, 0x1.7536c02b401cfp-7, 0x1.6d8bfd03fb2fap-7, 0x1.6603fcae61806p-7, 0x1.5e9e42a588e77p-7, 0x1.575a535d579e6p-7, 0x1.5037b445d4e59p-7, 0x1.4935ebcdfc685p-7, 0x1.425481660dc1ep-7, 0x1.3b92fd814e258p-7, 0x1.34f0e9975b439p-7, 0x1.2e6dd025adc11p-7, 0x1.28093cb0a59ap-7, 0x1.21c2bbc5560ffp-7, 0x1.1b99dafc9aa34p-7, 0x1.158e28fcf3309p-7, 0x1.0f9f357caa394p-7, 0x1.09cc91445d8c6p-7, 0x1.0415ce3068d0bp-7, 0x1.fcf4fe653353dp-8, 0x1.f1f470a5b17ecp-8, 0x1.e7291d60a759fp-8, 0x1.dc9231046b99dp-8, 0x1.d22eda3070627p-8, 0x1.c7fe49b5d28ccp-8, 0x1.bdffb297bbe2dp-8, 0x1.b4324a0b864eep-8, 0x1.aa95477942af1p-8, 0x1.a127e47c47d28p-8, 0x1.97e95ce421725p-8, 0x1.8ed8eeb52b496p-8, 0x1.85f5da28a8b92p-8, 0x1.7d3f61abece54p-8, 0x1.74b4c9deb1f51p-8, 0x1.6c55599294382p-8, 0x1.642059c4d47f3p-8, 0x1.5c1515a0700a6p-8, 0x1.5432da7e25518p-8, 0x1.4c78f7de7f8cbp-8, 0x1.44e6bf6f0c9cfp-8, 0x1.3d7b8509832fdp-8, 0x1.36369eb4524c9p-8, 0x1.2f1764a2ab2e8p-8, 0x1.281d313356e77p-8, 0x1.214760ede38c4p-8, 0x1.1a95527faba91p-8, 0x1.140666afdd461p-8, 0x1.0d9a005fe29d1p-8, 0x1.074f848063597p-8, 0x1.01265a06ebea3p-8, 0x1.f63bd3d86cd07p-9, 0x1.ea6b3e51bc529p-9, 0x1.ded9cd6be0dbdp-9, 0x1.d3865f215bcbdp-9, 0x1.c86fd57fbbbeep-9, 0x1.bd9516b2b2f29p-9, 0x1.b2f50d0bbd369p-9, 0x1.a88ea7026b5bdp-9, 0x1.9e60d72b38d4cp-9, 0x1.946a9423b435bp-9, 0x1.8aaad8751ec21p-9, 0x1.8120a271436adp-9, 0x1.77caf40d8c00ap-9, 0x1.6ea8d2c34db72p-9, 0x1.65b94777df108p-9, 0x1.5cfb5e74f78ddp-9, 0x1.546e276eb59aap-9, 0x1.4c10b598efc9bp-9, 0x1.43e21fc6f2736p-9, 0x1.3be1808f558adp-9, 0x1.340df66c24127p-9, 0x1.2c66a3ced2013p-9, 0x1.24eaaf2344919p-9, 0x1.1d9942ba25424p-9, 0x1.16718c9acc17ep-9, 0x1.0f72be429c439p-9, 0x1.089c0c63efa18p-9, 0x1.01ecae9daf98bp-9, 0x1.f6c7be62074bep-10, 0x1.ea01b5befc202p-10, 0x1.dd85c1d886e8ap-10, 0x1.d152664c3b4c4p-10, 0x1.c5662c2ba3344p-10, 0x1.b9bfa29139885p-10, 0x1.ae5d5f3cc50cap-10, 0x1.a33dff248896bp-10, 0x1.986026e1cae2dp-10, 0x1.8dc282dfff9a2p-10, 0x1.8363c73e91843p-10, 0x1.7942af62756ebp-10, 0x1.6f5dfd40c8f0bp-10, 0x1.65b4788269f11p-10, 0x1.5c44ed67742f7p-10, 0x1.530e2c5285a1fp-10, 0x1.4a0f08ac04d27p-10, 0x1.414658efb906ep-10, 0x1.38b2f69729143p-10, 0x1.3053be8aaf61ap-10, 0x1.282791d0ca87cp-10, 0x1.202d5669c7832p-10, 0x1.1863f8364e80ap-10, 0x1.10ca69c45a4dfp-10, 0x1.095fa4e1086fap-10, 0x1.0222aad1d2a99p-10, 0x1.f625084a08b67p-11, 0x1.e85c802b827e3p-11, 0x1.dae9e72b4bb5ep-11, 0x1.cdcb7039d0119p-11, 0x1.c0ff54e02af3ap-11, 0x1.b483d31da4a01p-11, 0x1.a8572bed7544ap-11, 0x1.9c77a2ad968dbp-11, 0x1.90e37d7460314p-11, 0x1.8599063a83414p-11, 0x1.7a968ca0821bp-11, 0x1.6fda6808af765p-11, 0x1.6562f9bb3edcdp-11, 0x1.5b2eaedbe0b35p-11, 0x1.513c01c1916cfp-11, 0x1.47897af1ae448p-11, 0x1.3e15b115305b9p-11, 0x1.34df47f39d567p-11, 0x1.2be4eebbc5e16p-11, 0x1.23255d6eed8bdp-11, 0x1.1a9f51e97eeb9p-11, 0x1.12518cf3cdb8bp-11, 0x1.0a3acfd51b971p-11, 0x1.0259dad0a4097p-11, 0x1.f55ad98ee158ep-12, 0x1.e66887f34bbb6p-12, 0x1.d7da3f60ae93dp-12, 0x1.c9ad84d6b995bp-12, 0x1.bbdfe85dbb5d6p-12, 0x1.ae6f09491b5ddp-12, 0x1.a15899c4bfcdep-12, 0x1.949a619663a0dp-12, 0x1.8832400e8ef6dp-12, 0x1.7c1e2d1a1b473p-12, 0x1.705c393d9dbdp-12, 0x1.64ea8c366db34p-12, 0x1.59c7620463019p-12, 0x1.4ef1066ec22d1p-12, 0x1.4465cf711e7f5p-12, 0x1.3a241766a5cb8p-12, 0x1.302a3803aea81p-12, 0x1.2676871be6a7ep-12, 0x1.1d0755ccadbdp-12, 0x1.13daf205a0646p-12, 0x1.0aefa9bf305cap-12, 0x1.0243cec647dcbp-12, 0x1.f3ab740213c66p-13, 0x1.e3479af2275a2p-13, 0x1.d358ea4a650fcp-13, 0x1.c3dc4dfaa6994p-13, 0x1.b4cec6578ab51p-13, 0x1.a62d69f26e73dp-13, 0x1.97f56921b2593p-13, 0x1.8a241235640f2p-13, 0x1.7cb6d49c61be1p-13, 0x1.6fab412802e4fp-13, 0x1.62ff066c895b1p-13, 0x1.56afe9844a181p-13, 0x1.4abbbcdd66fb7p-13, 0x1.3f20579849ff9p-13, 0x1.33db8ffec382bp-13, 0x1.28eb3aab41518p-13, 0x1.1e4d2e55371f9p-13, 0x1.13ff4a86113dep-13, 0x1.09ff7e4ad2564p-13, 0x1.004bcbea0049cp-13, 0x1.edc48f9b24fc8p-14, 0x1.db8225b93ddbbp-14, 0x1.c9cca56ad4c2dp-14, 0x1.b8a055761e86dp-14, 0x1.a7f97427ebe56p-14, 0x1.97d43cd42ddd2p-14, 0x1.882cf77c174b5p-14, 0x1.79000b4ea60bbp-14, 0x1.6a4a0dd306cf3p-14, 0x1.5c07c92cc3ed3p-14, 0x1.4e3637795bb67p-14, 0x1.40d27554bc0b3p-14, 0x1.33d9b0b8cf02ep-14, 0x1.27491a89fdee9p-14, 0x1.1b1ddf951c266p-14, 0x1.0f552b330a1f9p-14, 0x1.03ec319a16ee2p-14, 0x1.f1c07d64d0434p-15, 0x1.dc5d87581d984p-15, 0x1.c7aabd97da2b5p-15, 0x1.b3a3ad8e5d022p-15, 0x1.a04423568b82bp-15, 0x1.8d87f510f00b9p-15, 0x1.7b6ae09d5a19cp-15, 0x1.69e86da5998ebp-15, 0x1.58fbf1fc35129p-15, 0x1.48a0acbccbce6p-15, 0x1.38d1f161ddcd2p-15, 0x1.298b522203d6fp-15, 0x1.1ac8b9620f5ebp-15, 0x1.0c866c86ba939p-15, 0x1.fd81f33f213e1p-16, 0x1.e2ea31e5f5593p-16, 0x1.c93f1dfebcd6cp-16, 0x1.b07a3329e6e74p-16, 0x1.9894d8397b306p-16, 0x1.81886f8d2abddp-16, 0x1.6b4e72186c989p-16, 0x1.55e08a9ba320fp-16, 0x1.4138acd749b43p-16, 0x1.2d5126cee4b1dp-16, 0x1.1a24a7233477ap-16, 0x1.07ae30814a45ep-16, 0x1.ebd1eb73a5eaap-17, 0x1.c9a04a3f85855p-17, 0x1.a8bd6d4cbf514p-17, 0x1.891eaa368cf26p-17, 0x1.6ab8e1f2dec75p-17, 0x1.4d80eb6bf7275p-17, 0x1.316c0e234d47p-17, 0x1.167054de773d7p-17, 0x1.f90940fb35865p-18, 0x1.c741101bde075p-18, 0x1.9778408e7fec7p-18, 0x1.699f7fa8b82ddp-18, 0x1.3da7a4a709d9bp-18, 0x1.13819187b90d9p-18, 0x1.d63ca4b3ebcbfp-19, 0x1.88deb8af7fcefp-19, 0x1.3ecd8be533b85p-19, 0x1.efdd90204e8f7p-20, 0x1.685328cbe437bp-20, 0x1.cd99778ca897p-21, 0x1.ac739b3a5beb9p-22, -0x1.5d17d22a4d173p-25, -0x1.edc03ce11370dp-22, -0x1.cd48dfa6350a4p-21, -0x1.4cb10ed580f6ep-20, -0x1.adc1a14daf1eep-20, -0x1.0501988458614p-19, -0x1.30d200706ed33p-19, -0x1.5a6902bc374ffp-19, -0x1.81dc6331e5bep-19, -0x1.a74024d48dc34p-19, -0x1.caa6db2d15184p-19, -0x1.ec223d8dea329p-19, -0x1.05e1968274138p-18, -0x1.14cc9abd9d12fp-18, -0x1.22d92b4c2ff2bp-18, -0x1.300dceb45e977p-18, -0x1.3c71258b05835p-18, -0x1.480a6898b695bp-18, -0x1.52e180dd27825p-18, -0x1.5cfea2499af01p-18, -0x1.6669a9bd34acep-18, -0x1.6f29b872b7d81p-18, -0x1.77455841432d1p-18, -0x1.7ec2f73019886p-18, -0x1.85a93c56f46c7p-18, -0x1.8bfee63a85debp-18, -0x1.91ca51032b53ep-18, -0x1.97110232873d1p-18, -0x1.9bd7898ddc5cp-18, -0x1.a021cad862a5cp-18, -0x1.a3f3833e4c2efp-18, -0x1.a750b81d2bc8ep-18, -0x1.aa3dcd56b3ac6p-18, -0x1.acbf55c0770e9p-18, -0x1.aeda0498ef63dp-18, -0x1.b092f6d8607c1p-18, -0x1.b1efddae97209p-18, -0x1.b2f660723c4dep-18, -0x1.b3aaedb6f8006p-18, -0x1.b4101d6d4847ap-18, -0x1.b4274094327cbp-18, -0x1.b3f1cb0269646p-18, -0x1.b37249f3772ccp-18, -0x1.b2ac5455add4cp-18, -0x1.b1a3a931fd1e1p-18, -0x1.b05b65fdd0325p-18, -0x1.aed605ec7e1cep-18, -0x1.ad15fd54fcdd3p-18, -0x1.ab1e3f1c229dbp-18, -0x1.a8f2473e4149fp-18, -0x1.a695ce15ed4c6p-18, -0x1.a40c6ee8996f1p-18, -0x1.a1595fee2638p-18, -0x1.9e7f6610d5f4dp-18, -0x1.9b80ad4bb7bcp-18, -0x1.985ee1f2e2e09p-18, -0x1.951b8c729353p-18, -0x1.91b848ad57c52p-18, -0x1.8e36f74c2aebbp-18, -0x1.8a99927f9ba42p-18, -0x1.86e1db53747d4p-18, -0x1.8311678b24556p-18, -0x1.7f2a2c0e08944p-18, -0x1.7b2ead8cd6b31p-18, -0x1.7721292847869p-18, -0x1.73028cbbd6167p-18, -0x1.6ed2c13fad524p-18, -0x1.6a9214cffc02fp-18, -0x1.66421bf6163aap-18, -0x1.61e53511ff977p-18, -0x1.5d7d4948e43adp-18, -0x1.590b23e4f0ba3p-18, -0x1.548f02ad526bap-18, -0x1.50095f203e48ap-18, -0x1.4b7b16b1cf6b4p-18, -0x1.46e56e6cb74ap-18, -0x1.4249d4e146a04p-18, -0x1.3da97b59c9bfdp-18, -0x1.3905a40b47e11p-18, -0x1.345f70134bd59p-18, -0x1.2fb7dcfa4f7dfp-18, -0x1.2b0fb95cd1f82p-18, -0x1.26679d6dadddp-18, -0x1.21bff141cc1e3p-18, -0x1.1d1905dad4cd9p-18, -0x1.18733f10b278ep-18, -0x1.13cf3722a1de2p-18, -0x1.0f2db2f416e3ep-18, -0x1.0a8f63f81a743p-18, -0x1.05f4cb32d2f04p-18, -0x1.015e895cdb70bp-18, -0x1.f99b6c47a55ddp-19, -0x1.f086e907cf64p-19, -0x1.e78033833932dp-19, -0x1.de868f38fde23p-19, -0x1.d599e220e4a96p-19, -0x1.ccbb897f37121p-19, -0x1.c3ecfe90994d6p-19, -0x1.bb2e8573ad8c6p-19, -0x1.b27fbe615606ep-19, -0x1.a9e0e2e5f123cp-19, -0x1.a152eafb4c9b9p-19, -0x1.98d6ea8da4b69p-19, -0x1.906d9efc007c9p-19, -0x1.881762e2e4558p-19, -0x1.7fd45777a1526p-19, -0x1.77a49aa40dd8dp-19, -0x1.6f886f69208fcp-19, -0x1.6780478f486e7p-19, -0x1.5f8cb00f5a839p-19, -0x1.57ae3261a582dp-19, -0x1.4fe53d5c6663bp-19, -0x1.48321bce78916p-19, -0x1.4094f5a99c7c7p-19, -0x1.390ddad3e1a8fp-19, -0x1.319cdc0d53e38p-19, -0x1.2a4228cb994d4p-19, -0x1.22fe0b06b93bdp-19, -0x1.1bd0aca1ed9p-19, -0x1.14b9ecce4729cp-19, -0x1.0db97ae233ab3p-19, -0x1.06cf867bc1cc4p-19, -0x1.fff932e3b195bp-20, -0x1.f281660d26481p-20, -0x1.e536d495e6cf3p-20, -0x1.d819d8da7ee6dp-20, -0x1.cb2b6504adb86p-20, -0x1.be6b360e70305p-20, -0x1.b1d883b72477bp-20, -0x1.a57360670e5fap-20, -0x1.993c5df5f4fcdp-20, -0x1.8d33c1e8d1957p-20, -0x1.81595d20e158cp-20, -0x1.75acc2b1f9588p-20, -0x1.6a2d8459e6dfbp-20, -0x1.5edb5603af6e4p-20, -0x1.53b611535c436p-20, -0x1.48bd9ae08feccp-20, -0x1.3df1bbee7d334p-20, -0x1.335214be81d5dp-20, -0x1.28de38d2b01cap-20, -0x1.1e95d6b976b9bp-20, -0x1.1478c1ee3a65bp-20, -0x1.0a86dcea61b3ap-20, -0x1.00bffe6b1b0ebp-20, -0x1.ee47c8c2964fep-21, -0x1.db646e0ee96a3p-21, -0x1.c8d52b4b63ce9p-21, -0x1.b69959c77d311p-21, -0x1.a4b08d3da1e5ap-21, -0x1.9319fc001dbadp-21, -0x1.81d4964cc0b02p-21, -0x1.70df132bb41a1p-21, -0x1.6038f10812cf7p-21, -0x1.4fe244fd885e3p-21, -0x1.3fda4812b6834p-21, -0x1.30201af493ea7p-21, -0x1.20b33bdb255dbp-21, -0x1.11926ad60bc5dp-21, -0x1.02bc6cbf159a2p-21, -0x1.e86160694f058p-22, -0x1.cbdd60b709623p-22, -0x1.afeb5c8cad3f9p-22, -0x1.94899cbd4cb39p-22, -0x1.79b666c86d2p-22, -0x1.5f701a556bec9p-22, -0x1.45b53b536f4a3p-22, -0x1.2c846feb57486p-22, -0x1.13dc55b634202p-22, -0x1.f776b981b0b45p-23, -0x1.c83f69d1a9568p-23, -0x1.9a0f06f1ffa23p-23, -0x1.6ce238fdf7158p-23, -0x1.40b5fdce7716ap-23, -0x1.15873daa2eadap-23, -0x1.d6a536926cb53p-24, -0x1.8429716e42793p-24, -0x1.3394def4cc9fep-24, -0x1.c9c2c91efb836p-25, -0x1.301197acb89fcp-25, -0x1.34130aa65cb17p-26, -0x1.e772eb71366b2p-31, 0x1.0e7cf5cb75eebp-26, 0x1.1298885aa1641p-25, 0x1.9a7c91a5b745ap-25, 0x1.0f7aea61ec76fp-24, 0x1.500757f3acefcp-24, 0x1.8eea536ca5febp-24, 0x1.cc2b68b4484c9p-24, 0x1.03e84b8e148fep-23, 0x1.20efd3913745ep-23, 0x1.3d2e9459f8007p-23, 0x1.58a764d0a3b72p-23, 0x1.735d9f4c790f6p-23, 0x1.8d54566210e22p-23, 0x1.a68e675322203p-23, 0x1.bf0ea41025f46p-23, 0x1.d6d7e50986fc3p-23, 0x1.eded2965ad7c6p-23, 0x1.022861ef37929p-22, 0x1.0d0301f5c50cap-22, 0x1.1787ba1bf2c97p-22, 0x1.21b7e4a8ab00ep-22, 0x1.2b94cea79471dp-22, 0x1.351fb5d9d9173p-22, 0x1.3e59c9c86b13cp-22, 0x1.474439418b54ep-22, 0x1.4fe05ac550443p-22, 0x1.582fce5b884d9p-22, 0x1.60343380210aep-22, 0x1.67eeac0709878p-22, 0x1.6f60295b09983p-22, 0x1.768a1e728223fp-22, 0x1.7d6e134287ccfp-22, 0x1.840cd8b9d2e1dp-22, 0x1.8a671589a1d8p-22, 0x1.907dfc74de783p-22, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.d3f1f864669b8p-10, 0x1.d3cc130fe477p-9, 0x1.5ea74d585eb14p-8, 0x1.d3267e42fbb8p-8, 0x1.23a1e21423b11p-7, 0x1.5d6c174967d1cp-7, 0x1.96da95f6b0965p-7, 0x1.cfd2388556154p-7, 0x1.041a0f01ad954p-6, 0x1.1feef7a3327abp-6, 0x1.3b551f6e90e19p-6, 0x1.56387e05e19a7p-6, 0x1.7083f9089bb6p-6, 0x1.8a21a6ed00cb5p-6, 0x1.a2fb128ffb16ep-6, 0x1.baf97d682d2edp-6, 0x1.d2061eb5fa16fp-6, 0x1.e80a5e74b65b1p-6, 0x1.fcf00b359dfp-6, 0x1.0850c5332a6a5p-5, 0x1.11850168462a9p-5, 0x1.1a0ac0ae6c1c6p-5, 0x1.21d88c2790c7ap-5, 0x1.28e57ca947a3fp-5, 0x1.2f29455dcdfbp-5, 0x1.349c3c37dbae3p-5, 0x1.39376070bcd7ep-5, 0x1.3cf45f4590e55p-5, 0x1.3fcd97247c129p-5, 0x1.41be197522addp-5, 0x1.42c1ab22d396cp-5, 0x1.42d4c409a70edp-5, 0x1.41f48d638246p-5, 0x1.401edf4e6887dp-5, 0x1.3d523d827578dp-5, 0x1.398dd34c1db2fp-5, 0x1.34d16edd95451p-5, 0x1.2f1d7c097d9b9p-5, 0x1.2872fe788787fp-5, 0x1.20d38b6b5bb02p-5, 0x1.1841431a19394p-5, 0x1.0ebec9c2a78p-5, 0x1.044f4076da1f4p-5, 0x1.f1ec7b76a4ef2p-6, 0x1.d96f8c0f12f8ap-6, 0x1.bf30886d907ccp-6, 0x1.a33903f26638p-6, 0x1.859340a5d7625p-6, 0x1.664a206cb39bbp-6, 0x1.4569168a7c509p-6, 0x1.22fc19862bd4dp-6, 0x1.fe1f2b066b9cep-7, 0x1.b360be3c34a9p-7, 0x1.65d74db16df69p-7, 0x1.159dda3ec02f3p-7, 0x1.859fdbb778acbp-8, 0x1.b62618c16a49bp-9, 0x1.5e70071422b8dp-11, -0x1.0febe5e4c1ae7p-9, -0x1.3fff050c2e9e4p-8, -0x1.fc1315c288bc1p-8, -0x1.5dfbe70ccdd49p-7, -0x1.bfb95ddc2619ap-7, -0x1.11925aab833e5p-6, -0x1.44105f4a459eap-6, -0x1.7748304fa403ap-6, -0x1.ab2b5139f3d94p-6, -0x1.dfab5a15fa1dbp-6, -0x1.0a5cfdd9ac0bp-5, -0x1.252481c030c92p-5, -0x1.40252f8aef55ep-5, -0x1.5b580fbd576dfp-5, -0x1.76b63e1353e67p-5, -0x1.9238eae5cd2cbp-5, -0x1.add95c7590eep-5, -0x1.c990f01f7249ap-5, -0x1.e5591b7c369c8p-5, -0x1.0095b6b755557p-4, -0x1.0e80c790fcb56p-4, -0x1.1c6aa27cec2d4p-4, -0x1.2a5037bb0d6bfp-4, -0x1.382e860572fa6p-4, -0x1.46029af733564p-4, -0x1.53c9936e75d43p-4, -0x1.61809be9e17cep-4, -0x1.6f24f0e1b9e4bp-4, -0x1.7cb3df1caeebcp-4, -0x1.8a2ac4006d776p-4, -0x1.97870dddfcc3cp-4, -0x1.a4c63c39c2d31p-4, -0x1.b1e5e00f23d79p-4, -0x1.bee39c0f8eae7p-4, -0x1.cbbd24dcde238p-4, -0x1.d870413edb738p-4, -0x1.e4faca53ab827p-4, -0x1.f15aabbb166acp-4, -0x1.fd8de3bc5bfcep-4, -0x1.04c941b34550bp-3, -0x1.0ab357558f47bp-3, -0x1.10844e397126dp-3, -0x1.163b4b5665f21p-3, -0x1.1bd77d2b7dd64p-3, -0x1.21581bc0c9705p-3, -0x1.26bc68a5c6102p-3, -0x1.2c03aeecbc015p-3, -0x1.312d4323117fbp-3, -0x1.36388346a934p-3, -0x1.3b24d6b839c1cp-3, -0x1.3ff1ae2aca603p-3, -0x1.449e83904c93dp-3, -0x1.492ada0375579p-3, -0x1.4d963daedbdc3p-3, -0x1.51e043b18e402p-3, -0x1.56088a01199bap-3, -0x1.5a0eb7493784dp-3, -0x1.5df27ac937e9ep-3, -0x1.61b38c2f41a52p-3, -0x1.6551ab7197886p-3, -0x1.68cca0a5f8bep-3, -0x1.6c243bd73fafp-3, -0x1.6f5854d96eeddp-3, -0x1.7268cb1c3f7fep-3, -0x1.7555857c638aap-3, -0x1.781e721393607p-3, -0x1.7ac3860791cb1p-3, -0x1.7d44bd584e467p-3, -0x1.7fa21aad3cec6p-3, -0x1.81dba72209023p-3, -0x1.83f17212cc61p-3, -0x1.85e390e7dff49p-3, -0x1.87b21ee1714a5p-3, -0x1.895d3ce2e8a13p-3, -0x1.8ae5113e5602cp-3, -0x1.8c49c77fe565bp-3, -0x1.8d8b90398a3a8p-3, -0x1.8eaaa0ceef94fp-3, -0x1.8fa73341c9f75p-3, -0x1.908185fe9b784p-3, -0x1.9139dbaa0585ap-3, -0x1.91d07aeeb496ap-3, -0x1.9245ae4bfe6cdp-3, -0x1.9299c3e5439b9p-3, -0x1.92cd0d5218bb2p-3, -0x1.92dfdf6f51aaep-3, -0x1.92d29230f8903p-3, -0x1.92a58075395cdp-3, -0x1.925907d84724ep-3, -0x1.91ed8889505fdp-3, -0x1.916365208134p-3, -0x1.90bb027618327p-3, -0x1.8ff4c77a9d576p-3, -0x1.8f111d1036eb5p-3, -0x1.8e106de51d23bp-3, -0x1.8cf3264f3d3b6p-3, -0x1.8bb9b428fdef4p-3, -0x1.8a6486af30cdfp-3, -0x1.88f40e602871p-3, -0x1.8768bcdbfe2cfp-3, -0x1.85c304c5f9254p-3, -0x1.840359a71b2b4p-3, -0x1.822a2fd1d4474p-3, -0x1.8037fc46d17e9p-3, -0x1.7e2d349aecfd2p-3, -0x1.7c0a4ede2eed4p-3, -0x1.79cfc183ec2ebp-3, -0x1.777e034be7a8ap-3, -0x1.75158b2c8b533p-3, -0x1.7296d03e186c1p-3, -0x1.700249a6deac3p-3, -0x1.6d586e8867246p-3, -0x1.6a99b5ed9807bp-3, -0x1.67c696b9b8c2fp-3, -0x1.64df879868d97p-3, -0x1.61e4feee6c811p-3, -0x1.5ed772cb51ap-3, -0x1.5bb758dbeb6bp-3, -0x1.5885265d930b6p-3, -0x1.554150122c6cbp-3, -0x1.51ec4a34e3c1ap-3, -0x1.4e86886faf309p-3, -0x1.4b107dd166e9ap-3, -0x1.478a9cc49a5a9p-3, -0x1.43f55706f7663p-3, -0x1.40511da15619p-3, -0x1.3c9e60e04bd33p-3, -0x1.38dd904d58611p-3, -0x1.350f1aa889d2fp-3, -0x1.31336de2b096bp-3, -0x1.2d4af717fb5c3p-3, -0x1.2956228b14475p-3, -0x1.25555ba0a349dp-3, -0x1.21490cdb38488p-3, -0x1.1d319fd79d0bp-3, -0x1.190f7d497656cp-3, -0x1.14e30cf8494f8p-3, -0x1.10acb5bcc8f95p-3, -0x1.0c6cdd7e72032p-3, -0x1.0823e9316eb27p-3, -0x1.03d23cd4be896p-3, -0x1.fef076e12aaf5p-4, -0x1.f62c8e29f17dep-4, -0x1.ed5981b12a433p-4, -0x1.e47811af7b56dp-4, -0x1.db88fc67342eep-4, -0x1.d28cfe2307ebep-4, -0x1.c984d135002f4p-4, -0x1.c0712df5cb6d1p-4, -0x1.b752cac42e6d1p-4, -0x1.ae2a5c04ca3c9p-4, -0x1.a4f89421fe467p-4, -0x1.9bbe238c063b5p-4, -0x1.927bb8b92dc9fp-4, -0x1.8932002640af5p-4, -0x1.7fe1a456ff597p-4, -0x1.768b4dd6bbd39p-4, -0x1.6d2fa3390c286p-4, -0x1.63cf491a87803p-4, -0x1.5a6ae221993bap-4, -0x1.51030eff5a377p-4, -0x1.47986e7079e51p-4, -0x1.3e2b9d3e1ec48p-4, -0x1.34bd363eddbdp-4, -0x1.2b4dd257a362dp-4, -0x1.21de087ca175cp-4, -0x1.186e6db23ce6ep-4, -0x1.0eff950df0f6p-4, -0x1.05920fb731c7fp-4, -0x1.f84cd9d0909b9p-5, -0x1.e57a73de408b7p-5, -0x1.d2ae045c29a82p-5, -0x1.bfe89e3962a5ap-5, -0x1.ad2b5090c388ep-5, -0x1.9a7726aa4d3e1p-5, -0x1.87cd27fc5e835p-5, -0x1.752e582ce38d1p-5, -0x1.629bb7126aecap-5, -0x1.501640b528853p-5, -0x1.3d9eed4fe093fp-5, -0x1.2b36b150b4d01p-5, -0x1.18de7d59f61d9p-5, -0x1.06973e42c882ep-5, -0x1.e8c3ba2f8a03ep-6, -0x1.c47e7e3710e2ep-6, -0x1.a0608b8e536a1p-6, -0x1.7c6b9d95609f2p-6, -0x1.58a1681ae55cdp-6, -0x1.3503975ce618ep-6, -0x1.1193d00952aa4p-6, -0x1.dca75e7d3f612p-7, -0x1.9689951895be4p-7, -0x1.50d15fe6a80b7p-7, -0x1.0b81cbcd8c6d7p-7, -0x1.8d3bad309635dp-8, -0x1.0450ddefebbb5p-8, -0x1.f123a4263a8c4p-10, 0x1.5ad2103095aacp-13, 0x1.221017ba0470cp-9, 0x1.1646245e34a65p-8, 0x1.9a8b9380d0a7p-8, 0x1.0ee998716a00bp-7, 0x1.500bf92021518p-7, 0x1.90aa75b720778p-7, 0x1.d0c2a72a93042p-7, 0x1.08291abaa3aa9p-6, 0x1.27ab6bca748f9p-6, 0x1.46e729c31bdfcp-6, 0x1.65db3f203f473p-6, 0x1.84869dd865865p-6, 0x1.a2e83f5a3f338p-6, 0x1.c0ff2489beeedp-6, 0x1.deca55bce0a94p-6, 0x1.fc48e2b8221cp-6, 0x1.0cbcf15567754p-5, 0x1.1b2e3a156ba01p-5, 0x1.2977de98392ep-5, 0x1.37997588b10e4p-5, 0x1.4592993df2cf9p-5, 0x1.5362e7b8ab02cp-5, 0x1.610a02a0332c9p-5, 0x1.6e878f3f83f93p-5, 0x1.7bdb3681fb75cp-5, 0x1.8904a4eff2613p-5, 0x1.96038aab279e8p-5, 0x1.a2d79b6aed60dp-5, 0x1.af808e783435cp-5, 0x1.bbfe1ea95a9a6p-5, 0x1.c8500a5dd1fccp-5, 0x1.d47613798c80bp-5, 0x1.e06fff603819bp-5, 0x1.ec3d96f04b33fp-5, 0x1.f7dea67dd8b74p-5, 0x1.01a97ee69bda7p-4, 0x1.074d3806b90b3p-4, 0x1.0cda69e94104ap-4, 0x1.12510187b07d3p-4, 0x1.17b0ed87eec85p-4, 0x1.1cfa1e39216e4p-4, 0x1.222c85906641dp-4, 0x1.27481725744d6p-4, 0x1.2c4cc82f244cdp-4, 0x1.313a8f7fe4371p-4, 0x1.36116582092ecp-4, 0x1.3ad14434168a1p-4, 0x1.3f7a2724e0f76p-4, 0x1.440c0b6fa118ap-4, 0x1.4886efb7f0a81p-4, 0x1.4cead425aa698p-4, 0x1.5137ba60bd15fp-4, 0x1.556da58cdde9fp-4, 0x1.598c9a4530d19p-4, 0x1.5d949e97d307p-4, 0x1.6185ba0156091p-4, 0x1.655ff56826dcep-4, 0x1.69235b17df805p-4, 0x1.6ccff6bc874a9p-4, 0x1.7065d55dc1024p-4, 0x1.73e50559e700ep-4, 0x1.774d966117549p-4, 0x1.7a9f99702bd38p-4, 0x1.7ddb20cba7475p-4, 0x1.81003ffa90a66p-4, 0x1.840f0bc13a6c6p-4, 0x1.87079a1c0c3c9p-4, 0x1.89ea023a29db4p-4, 0x1.8cb65c781bbd3p-4, 0x1.8f6cc25a66865p-4, 0x1.920d4e8817cd4p-4, 0x1.94981cc548507p-4, 0x1.970d49ed91816p-4, 0x1.996cf3ee7e7bep-4, 0x1.9bb739c1ee0a4p-4, 0x1.9dec3b687421cp-4, 0x1.a00c19e3a6702p-4, 0x1.a216f73076a1ap-4, 0x1.a40cf64170db9p-4, 0x1.a5ee3af905d33p-4, 0x1.a7baea23bfc85p-4, 0x1.a9732972820ddp-4, 0x1.ab171f74c34b8p-4, 0x1.aca6f392b6282p-4, 0x1.ae22ce0781c86p-4, 0x1.af8ad7db6fc06p-4, 0x1.b0df3ade1bc6dp-4, 0x1.b22021a09a9cep-4, 0x1.b34db76fb0cbp-4, 0x1.b468284e0092p-4, 0x1.b56fa0ee37dc6p-4, 0x1.b6644ead46fafp-4, 0x1.b7465f8c959f7p-4, 0x1.b816022c37d75p-4, 0x1.b8d365c539e4ap-4, 0x1.b97eba23d3767p-4, 0x1.ba182fa1b3822p-4, 0x1.ba9ff7204fa11p-4, 0x1.bb1642033dfcfp-4, 0x1.bb7b422a8128fp-4, 0x1.bbcf29ecf8ec8p-4, 0x1.bc122c12c4fb3p-4, 0x1.bc447bcfb5bfap-4, 0x1.bc664cbdcebdep-4, 0x1.bc77d2d7c8f59p-4, 0x1.bc794273a1951p-4, 0x1.bc6ad03d2df38p-4, 0x1.bc4cb130cf351p-4, 0x1.bc1f1a961457dp-4, 0x1.bbe241fa7beb4p-4, 0x1.bb965d2c3cd12p-4, 0x1.bb3ba2351d10cp-4, 0x1.bad2475548abp-4, 0x1.ba5a82fe52a6bp-4, 0x1.b9d48bce28098p-4, 0x1.b940988a17ee6p-4, 0x1.b89ee019f7c09p-4, 0x1.b7ef998349399p-4, 0x1.b732fbe470347p-4, 0x1.b6693e6ffa185p-4, 0x1.b5929867fa5f7p-4, 0x1.b4af411975315p-4, 0x1.b3bf6fd7cbbe7p-4, 0x1.b2c35bf8565a9p-4, 0x1.b1bb3ccdf2455p-4, 0x1.b0a749a4b0e07p-4, 0x1.af87b9bd9a3f6p-4, 0x1.ae5cc44a74fecp-4, 0x1.ad26a069a87e3p-4, 0x1.abe5852234376p-4, 0x1.aa99a95fafe09p-4, 0x1.a94343ee67b49p-4, 0x1.a7e28b777c4p-4, 0x1.a677b67d31adep-4, 0x1.a502fb572835ap-4, 0x1.a384902ed21bdp-4, 0x1.a1fcaafbe0e6cp-4, 0x1.a06b8180ccf6ep-4, 0x1.9ed1494773fdbp-4, 0x1.9d2e379dc749bp-4, 0x1.9b8281928f2f1p-4, 0x1.99ce5bf24007ap-4, 0x1.9811fb43e74cbp-4, 0x1.964d93c61f60cp-4, 0x1.9481596c2b1abp-4, 0x1.92ad7fdb109d2p-4, 0x1.90d23a66d3d87p-4, 0x1.8eefbc0fc4edap-4, 0x1.8d06377fd7e3dp-4, 0x1.8b15df081a468p-4, 0x1.891ee49e36225p-4, 0x1.872179da0afe9p-4, 0x1.851dcff35923ep-4, 0x1.831417bf80efdp-4, 0x1.810481af52581p-4, 0x1.7eef3dccf31fbp-4, 0x1.7cd47bb9d4b45p-4, 0x1.7ab46aacc1f7ep-4, 0x1.788f396ff799p-4, 0x1.7665165f55398p-4, 0x1.74362f66a13a1p-4, 0x1.7202b1ffdba7dp-4, 0x1.6fcacb31a0febp-4, 0x1.6d8ea78da77c3p-4, 0x1.6b4e732f4868bp-4, 0x1.690a59ba15deap-4, 0x1.66c2865893662p-4, 0x1.647723bae6a6ap-4, 0x1.62285c15b3b92p-4, 0x1.5fd65920f37f4p-4, 0x1.5d814416efcd5p-4, 0x1.5b2945b3388a4p-4, 0x1.58ce8631c1fadp-4, 0x1.56712d4e003bdp-4, 0x1.541162421b301p-4, 0x1.51af4bc6348dap-4, 0x1.4f4b100fb0bb5p-4, 0x1.4ce4d4d0a3373p-4, 0x1.4a7cbf3737a62p-4, 0x1.4812f3ed31944p-4, 0x1.45a7971779678p-4, 0x1.433acc55c08adp-4, 0x1.40ccb6c21daebp-4, 0x1.3e5d78f0d2617p-4, 0x1.3bed34f008352p-4, 0x1.397c0c47a65a5p-4, 0x1.370a1ff9357ap-4, 0x1.3497907fcbd4bp-4, 0x1.32247dd0014bfp-4, 0x1.2fb10757fe835p-4, 0x1.2d3d4bff8d0fep-4, 0x1.2ac96a28339ep-4, 0x1.28557fad6543cp-4, 0x1.25e1a9e4b0a6dp-4, 0x1.236e059e0b74dp-4, 0x1.20faaf2413209p-4, 0x1.1e87c23c6c68bp-4, 0x1.1c155a28222ap-4, 0x1.19a391a40f46fp-4, 0x1.173282e955946p-4, 0x1.14c247adddeb6p-4, 0x1.1252f924dddcdp-4, 0x1.0fe4afff6fb04p-4, 0x1.0d77846d23e11p-4, 0x1.0b0b8e1caec0ap-4, 0x1.08a0e43c8c11dp-4, 0x1.06379d7bb8fc6p-4, 0x1.03cfd00a6c6a3p-4, 0x1.0169919addff8p-4, 0x1.fe09eec41d4ebp-5, 0x1.f9442c31348e1p-5, 0x1.f48203f731239p-5, 0x1.efc39d9ae3cdp-5, 0x1.eb091fada1b4p-5, 0x1.e652afcf0f3c2p-5, 0x1.e1a072af0ep-5, 0x1.dcf28c0fb0155p-5, 0x1.d8491ec72fe3fp-5, 0x1.d3a44cc1f5b6p-5, 0x1.cf043704b58e8p-5, 0x1.ca68fdae7eed7p-5, 0x1.c5d2bffae9c7cp-5, 0x1.c1419c4440aedp-5, 0x1.bcb5b005b8566p-5, 0x1.b82f17ddb4d38p-5, 0x1.b3adef900122ep-5, 0x1.af325208357a7p-5, 0x1.aabc595bf091bp-5, 0x1.a64c1ecd47198p-5, 0x1.a1e1bacd235e5p-5, 0x1.9d7d44fda3281p-5, 0x1.991ed43489a87p-5, 0x1.94c67e7db5479p-5, 0x1.9074591d9517p-5, 0x1.8c2878939c81dp-5, 0x1.87e2f09cc56a7p-5, 0x1.83a3d4361e3e1p-5, 0x1.7f6b359f3ad4ep-5, 0x1.7b39265cccb9cp-5, 0x1.770db73b25fbcp-5, 0x1.72e8f850d22a5p-5, 0x1.6ecaf9010cd65p-5, 0x1.6ab3c7fe7220cp-5, 0x1.66a3734d78669p-5, 0x1.629a084710a03p-5, 0x1.5e97939b314acp-5, 0x1.5a9c2153755f3p-5, 0x1.56a7bcd5a73bbp-5, 0x1.52ba70e65bbc1p-5, 0x1.4ed447ab7dd71p-5, 0x1.4af54aaef228ap-5, 0x1.471d82e1174dp-5, 0x1.434cf89b6044dp-5, 0x1.3f83b3a2e6681p-5, 0x1.3bc1bb2af7d3cp-5, 0x1.380715d79d0c2p-5, 0x1.3453c9c02f824p-5, 0x1.30a7dc71d28b7p-5, 0x1.2d0352f20e1f9p-5, 0x1.296631c13e512p-5, 0x1.25d07cdd1f43fp-5, 0x1.224237c34c7a8p-5, 0x1.1ebb6573af995p-5, 0x1.1b3c087305aeap-5, 0x1.17c422cd4d421p-5, 0x1.1453b6182ae3cp-5, 0x1.10eac3756f28bp-5, 0x1.0d894b955fc84p-5, 0x1.0a2f4eb933be8p-5, 0x1.06dcccb564276p-5, 0x1.0391c4f413f8ep-5, 0x1.004e367753255p-5, 0x1.fa243fb715d0ep-6, 0x1.f3bafeb3600ccp-6, 0x1.ed60a5932cef3p-6, 0x1.e7152f487cca8p-6, 0x1.e0d8960bf868bp-6, 0x1.daaad361877f9p-6, 0x1.d48be01ca667cp-6, 0x1.ce7bb464b4166p-6, 0x1.c87a47b96a4efp-6, 0x1.c28790f6ecfc2p-6, 0x1.bca3865a3232ap-6, 0x1.b6ce1d851c17fp-6, 0x1.b1074b828d27fp-6, 0x1.ab4f04caa496fp-6, 0x1.a5a53d4698e37p-6, 0x1.a009e854e6d94p-6, 0x1.9a7cf8cd159eep-6, 0x1.94fe6103c992cp-6, 0x1.8f8e12ce6fb7bp-6, 0x1.8a2bff872ecbp-6, 0x1.84d81810a5b0ep-6, 0x1.7f924cd97e3fap-6, 0x1.7a5a8de03f5f8p-6, 0x1.7530cab6cc222p-6, 0x1.7014f285fe4b3p-6, 0x1.6b06f411207a7p-6, 0x1.6606bdb96c8fp-6, 0x1.61143d815db4ep-6, 0x1.5c2f61103abefp-6, 0x1.575815b5206dap-6, 0x1.528e486a8a607p-6, 0x1.4dd1e5d949a93p-6, 0x1.4922da5bdbc6cp-6, 0x1.4481120168f5ep-6, 0x1.3fec7890e0c45p-6, 0x1.3b64f98beb02ep-6, 0x1.36ea803200d39p-6, 0x1.327cf78321175p-6, 0x1.2e1c4a42e5438p-6, 0x1.29c862fb1083ep-6, 0x1.25812bfe9cd26p-6, 0x1.21468f6c1ba7dp-6, 0x1.1d187730b013ap-6, 0x1.18f6cd0a74599p-6, 0x1.14e17a8b23d13p-6, 0x1.10d8691a93833p-6, 0x1.0cdb81f93baa9p-6, 0x1.08eaae428b062p-6, 0x1.0505d6ef5ca59p-6, 0x1.012ce4d8383b4p-6, 0x1.fabf816f64317p-7, 0x1.f33ca65919147p-7, 0x1.ebd10977ed80dp-7, 0x1.e47c7ba771741p-7, 0x1.dd3ecd987d9ep-7, 0x1.d617cfd55722p-7, 0x1.cf0752c5bb6a9p-7, 0x1.c80d26b2c1c4cp-7, 0x1.c1291bcac56d4p-7, 0x1.ba5b02251319p-7, 0x1.b3a2a9c5ad027p-7, 0x1.acffe2a0b91d3p-7, 0x1.a6727c9e40eaap-7, 0x1.9ffa479d57e68p-7, 0x1.99971377afbadp-7, 0x1.9348b004a286cp-7, 0x1.8d0eed1c8bf67p-7, 0x1.86e99a9bd2215p-7, 0x1.80d88865e48fcp-7, 0x1.7adb866832cdcp-7, 0x1.74f2649d10b29p-7, 0x1.6f1cf30e6f078p-7, 0x1.695b01d8b053cp-7, 0x1.63ac612d374acp-7, 0x1.5e10e154ee305p-7, 0x1.588852b2dc504p-7, 0x1.531285c69f4f9p-7, 0x1.4daf4b2e987f2p-7, 0x1.485e73aa53e0bp-7, 0x1.431fd01cc3f8cp-7, 0x1.3df3318e7b3a5p-7, 0x1.38d8692f825fbp-7, 0x1.33cf4859a4227p-7, 0x1.2ed7a09233f46p-7, 0x1.29f1438c18fafp-7, 0x1.251c032978c62p-7, 0x1.2057b17da180fp-7, 0x1.1ba420ceb580fp-7, 0x1.170123974abb1p-7, 0x1.126e8c88133abp-7, 0x1.0dec2e894ed93p-7, 0x1.0979dcbc64c9bp-7, 0x1.05176a7d380acp-7, 0x1.00c4ab63949d3p-7, 0x1.f902e68916464p-8, 0x1.f09b2c6734398p-8, 0x1.e851d107f418dp-8, 0x1.e0267d9383449p-8, 0x1.d818dbb60de74p-8, 0x1.d02895a1d69b1p-8, 0x1.c85556115ef3p-8, 0x1.c09ec8494f8ebp-8, 0x1.b904981a1ce86p-8, 0x1.b18671e21f42ep-8, 0x1.aa24028f094dfp-8, 0x1.a2dcf79f8e14dp-8, 0x1.9bb0ff2506142p-8, 0x1.949fc7c4c1476p-8, 0x1.8da900b92a7c5p-8, 0x1.86cc59d37a7c1p-8, 0x1.8009837c8df6fp-8, 0x1.79602eb614f27p-8, 0x1.72d00d1bea2f8p-8, 0x1.6c58d0e49384fp-8, 0x1.65fa2ce2726d8p-8, 0x1.5fb3d484952afp-8, 0x1.59857bd755863p-8, 0x1.536ed7852138bp-8, 0x1.4d6f9cd73fccap-8, 0x1.478781b6046f5p-8, 0x1.41b63ca9cd3d3p-8, 0x1.3bfb84dafb186p-8, 0x1.36571212b9c9bp-8, 0x1.30c89cbb06317p-8, 0x1.2b4fdddf193ep-8, 0x1.25ec8f2bb042p-8, 0x1.209e6aef369d2p-8, 0x1.1b652c19b448bp-8, 0x1.16408e3cfdb11p-8, 0x1.11304d8cd7bd6p-8, 0x1.0c3426decf47p-8, 0x1.074bd7aa0d30bp-8, 0x1.02771e076ceb2p-8, 0x1.fb6b7162a118p-9, 0x1.f20ece0674b1ep-9, 0x1.e8d7d1f3881bdp-9, 0x1.dfc5fe6466adep-9, 0x1.d6d8d5d463835p-9, 0x1.ce0fdbfef0979p-9, 0x1.c56a95defa65p-9, 0x1.bce889adb2d57p-9, 0x1.b4893ee1e10e3p-9, 0x1.ac4c3e2ebd441p-9, 0x1.a431118330c49p-9, 0x1.9c3744081a5a9p-9, 0x1.945e6220024f3p-9, 0x1.8ca5f9650dbe4p-9, 0x1.850d98a86d589p-9, 0x1.7d94cff0592a3p-9, 0x1.763b30770da5ep-9, 0x1.6f004ca97caffp-9, 0x1.67e3b8252eefap-9, 0x1.60e507b7a50e9p-9, 0x1.5a03d15c28b64p-9, 0x1.533fac3a45e04p-9, 0x1.4c9830a454798p-9, 0x1.460cf81567c64p-9, 0x1.3f9d9d3014d1bp-9, 0x1.3949bbbc2e97ap-9, 0x1.3310f0a56b3d5p-9, 0x1.2cf2d9f92b7dp-9, 0x1.26ef16e50d4bap-9, 0x1.210547b48abb9p-9, 0x1.1b350dcf81f03p-9, 0x1.157e0bb7de232p-9, 0x1.0fdfe507f1fdfp-9, 0x1.0a5a3e702eb28p-9, 0x1.04ecbdb5a6dcfp-9, 0x1.ff2e135e7f415p-10, 0x1.f4b1948904b4ep-10, 0x1.ea6350d560eebp-10, 0x1.e0429c469d90cp-10, 0x1.d64eccf3844b3p-10, 0x1.cc873b029d29ep-10, 0x1.c2eb40a56359bp-10, 0x1.b97a3a156171p-10, 0x1.b033858dd3222p-10, 0x1.a716834941de3p-10, 0x1.9e22957b9cbfcp-10, 0x1.9557204f54d37p-10, 0x1.8cb389df4b5a4p-10, 0x1.84373a346c2b8p-10, 0x1.7be19b3f7fd1bp-10, 0x1.73b218d5edc04p-10, 0x1.6ba820ac777ffp-10, 0x1.63c3225359e3ep-10, 0x1.5c028f32166cfp-10, 0x1.5465da81c25f9p-10, 0x1.4cec794a6f9c2p-10, 0x1.4595e25d7f159p-10, 0x1.3e618e513f6bdp-10, 0x1.374ef77d48ad4p-10, 0x1.305d99f4dc4fap-10, 0x1.298cf383ef75bp-10, 0x1.22dc83a9084d1p-10, 0x1.1c4bcb92b8eacp-10, 0x1.15da4e19a6524p-10, 0x1.0f878fbd3d28cp-10, 0x1.0953169e9f8bap-10, 0x1.033c6a7cdf27bp-10, 0x1.fa86295fd1d7cp-11, 0x1.eecd4049de677p-11, 0x1.e34d32b344c0dp-11, 0x1.d8051caffe9a2p-11, 0x1.ccf41d648d09dp-11, 0x1.c21956fd04a51p-11, 0x1.b773eea467facp-11, 0x1.ad030c7c9c87cp-11, 0x1.a2c5db95fa901p-11, 0x1.98bb89e685997p-11, 0x1.8ee34841ef1c1p-11, 0x1.853c4a51539e9p-11, 0x1.7bc5c68b26353p-11, 0x1.727ef62b66503p-11, 0x1.6967152983f72p-11, 0x1.607d623357c14p-11, 0x1.57c11ea28188dp-11, 0x1.4f318e760b03cp-11, 0x1.46cdf849516ebp-11, 0x1.3e95a54d56a15p-11, 0x1.3687e140552f7p-11, 0x1.2ea3fa65eabb3p-11, 0x1.26e9417fb5cbdp-11, 0x1.1f5709c5aebccp-11, 0x1.17eca8dda439ap-11, 0x1.10a976d57d7dep-11, 0x1.098cce1a3ba45p-11, 0x1.02960b717b25fp-11, 0x1.f7891be335242p-12, 0x1.ea2f6df599a0cp-12, 0x1.dd1dd45f13dc9p-12, 0x1.d0531adbc6431p-12, 0x1.c3ce118fd35bp-12, 0x1.b78d8cf98dff7p-12, 0x1.ab9065e43041cp-12, 0x1.9fd579589fbe9p-12, 0x1.945ba892b92d3p-12, 0x1.8921d8f04a3d8p-12, 0x1.7e26f3e5dc59ap-12, 0x1.7369e6ef5a5b3p-12, 0x1.68e9a38602bdp-12, 0x1.5ea51f10b50aep-12, 0x1.549b52d7195a8p-12, 0x1.4acb3bf6c02b7p-12, 0x1.4133db5565fdcp-12, 0x1.37d43593f5dd1p-12, 0x1.2eab5302903ap-12, 0x1.25b83f947d0c7p-12, 0x1.1cfa0ad3a710ap-12, 0x1.146fc7d4a9d54p-12, 0x1.0c188d2b7faabp-12, 0x1.03f374dddbbe7p-12, 0x1.f7ff38b51cfd3p-13, 0x1.e87848d62596ep-13, 0x1.d9506254d7651p-13, 0x1.ca85d3f07a15dp-13, 0x1.bc16f2dc4adb3p-13, 0x1.ae021aab6f377p-13, 0x1.a045ad3814e5cp-13, 0x1.92e0128f64a6bp-13, 0x1.85cfb8dae5529p-13, 0x1.7913144f8bc8cp-13, 0x1.6ca89f14b337p-13, 0x1.608ed930570dbp-13, 0x1.54c44872c7a55p-13, 0x1.4947786506093p-13, 0x1.3e16fa31303dcp-13, 0x1.333164913ab7dp-13, 0x1.289553b982138p-13, 0x1.1e4169492a14dp-13, 0x1.14344c33e2e7fp-13, 0x1.0a6ca8b179de3p-13, 0x1.00e93028d4872p-13, 0x1.ef5132416af2ap-14, 0x1.dd533e536ba11p-14, 0x1.cbd605a4a1109p-14, 0x1.bad7131ce5f7cp-14, 0x1.aa53fb56a0d17p-14, 0x1.9a4a5c7b56836p-14, 0x1.8ab7de1ac4381p-14, 0x1.7b9a310fc26c6p-14, 0x1.6cef0f5f00166p-14, 0x1.5eb43c147e394p-14, 0x1.50e78323b0feap-14, 0x1.4386b947df244p-14, 0x1.368fbbe214a2cp-14, 0x1.2a0070e118c83p-14, 0x1.1dd6c69e613e7p-14, 0x1.1210b3bd5d7ecp-14, 0x1.06ac3713c9df3p-14, 0x1.f74eaf0e36995p-15, 0x1.e20047e508645p-15, 0x1.cd69661006b87p-15, 0x1.b986466ed8edbp-15, 0x1.a653351d6c039p-15, 0x1.93cc8d40a39c8p-15, 0x1.81eeb8d1cea3dp-15, 0x1.70b630675743fp-15, 0x1.601f7afdd64dap-15, 0x1.50272dcbfdea8p-15, 0x1.40c9ec00c12eep-15, 0x1.3204669caa448p-15, 0x1.23d35c4183f79p-15, 0x1.163398f55b8d5p-15, 0x1.0921f5f70326p-15, 0x1.f936b321a5addp-16, 0x1.e1396dd4a17cp-16, 0x1.ca461ba693913p-16, 0x1.b456d5352e20cp-16, 0x1.9f65cbc18727ap-16, 0x1.8b6d48caa28b1p-16, 0x1.7867adbafe43ap-16, 0x1.664f739e024efp-16, 0x1.551f2ab99b92fp-16, 0x1.44d17a3d712dp-16, 0x1.35611ff1f21f4p-16, 0x1.26c8efe7e9051p-16, 0x1.1903d41e8acap-16, 0x1.0c0ccc36d38b5p-16, 0x1.ffbdda563e6f2p-17, 0x1.e8eac1ee14f95p-17, 0x1.d396cc9e3db9p-17, }}, 
      {{0x1.9545f61bd5b98p-10, 0x1.9535ba814e368p-9, 0x1.2fd34f2208c9fp-8, 0x1.94f0b04eaa4d8p-8, 0x1.f9e707d1f0cc5p-8, 0x1.2f5412aab9671p-7, 0x1.6191b0c3504f6p-7, 0x1.93a2be8d60803p-7, 0x1.c57c4d1d2bc0fp-7, 0x1.f71225f4e718cp-7, 0x1.142b6dd017d03p-6, 0x1.2c9df0a899983p-6, 0x1.44d8d3e66b5c7p-6, 0x1.5cd3df127e167p-6, 0x1.74867a75d61dap-6, 0x1.8be7c15b65a7p-6, 0x1.a2ee947ac881bp-6, 0x1.b991ac21bb78ep-6, 0x1.cfc7a9c6e7c93p-6, 0x1.e58728c3a2b93p-6, 0x1.fac6ce04ee3dap-6, 0x1.07beab49a5eddp-5, 0x1.11d0d26f9e046p-5, 0x1.1b95666593cd6p-5, 0x1.25080f3a417fcp-5, 0x1.2e2497e24b52p-5, 0x1.36e6f26aeca36p-5, 0x1.3f4b3b9f19d09p-5, 0x1.474dbe27c6017p-5, 0x1.4eeaf530a7eedp-5, 0x1.561f8e9a5c6e4p-5, 0x1.5ce86cc2d01d7p-5, 0x1.6342a7ec20d0dp-5, 0x1.692b8f49a1012p-5, 0x1.6ea0a9ba2bf37p-5, 0x1.739fb63643173p-5, 0x1.7826abf82a953p-5, 0x1.7c33ba637d0c5p-5, 0x1.7fc548b18b493p-5, 0x1.82d9f5679d70cp-5, 0x1.8570959b9cf16p-5, 0x1.8788340bde0d3p-5, 0x1.8920100e5480ap-5, 0x1.8a379c5b83017p-5, 0x1.8ace7db943b4fp-5, 0x1.8ae4898968c7ep-5, 0x1.8a79c4403dd0ap-5, 0x1.898e5fc686fafp-5, 0x1.8822b9cad348bp-5, 0x1.86375a056bdc9p-5, 0x1.83ccf07274de2p-5, 0x1.80e453851abcfp-5, 0x1.7d7e7e56e91afp-5, 0x1.799c8ed6018e1p-5, 0x1.753fc3f48ad17p-5, 0x1.70697bdbc1e31p-5, 0x1.6b1b3224a37cbp-5, 0x1.65567e17eafc7p-5, 0x1.5f1d10f70c9a5p-5, 0x1.5870b44f6a636p-5, 0x1.51534858ef0c1p-5, 0x1.49c6c260ea26p-5, 0x1.41cd2b41e6cc8p-5, 0x1.39689de9043bcp-5, 0x1.309b45e933e68p-5, 0x1.27675e1c79e31p-5, 0x1.1dcf2f535cba1p-5, 0x1.13d50f126bf47p-5, 0x1.097b5e5da848dp-5, 0x1.fd8911235ce41p-6, 0x1.e76604946f376p-6, 0x1.d09290ab0fe83p-6, 0x1.b913bd6903011p-6, 0x1.a0ee9f4d7d436p-6, 0x1.88285584789acp-6, 0x1.6ec6082c30fe2p-6, 0x1.54cce6afc1267p-6, 0x1.3a422635c9dbdp-6, 0x1.1f2b0021f48ep-6, 0x1.038cb0a8a098ap-6, 0x1.ced8eae6d2dbcp-7, 0x1.959f18ab9bfc4p-7, 0x1.5b76642200831p-7, 0x1.2069424bec4c6p-7, 0x1.c90442d40a6d1p-8, 0x1.4f96cda8d8c5ep-8, 0x1.a93db3ae96002p-9, 0x1.60c409032f376p-10, -0x1.2cf1deec34c61p-11, -0x1.4975090ce7abp-9, -0x1.250fa0701b7p-8, -0x1.a6898051c00ddp-8, -0x1.148a2006ab1e1p-7, -0x1.564e14daa8d44p-7, -0x1.9886dc3886346p-7, -0x1.db2acd9fdba48p-7, -0x1.0f182de6ce38ap-6, -0x1.30c70aff06ed7p-6, -0x1.529d548f75c8dp-6, -0x1.7496707983a87p-6, -0x1.96add4932e369p-6, -0x1.b8df072a2194dp-6, -0x1.db259f7f48852p-6, -0x1.fd7d463b56a5bp-6, -0x1.0ff0daee298bcp-5, -0x1.21275d8dffd4fp-5, -0x1.32601aa7b175ap-5, -0x1.43990b5fbd5f8p-5, -0x1.54d0327d8675dp-5, -0x1.66039c90f0752p-5, -0x1.7731601494fdap-5, -0x1.88579d8cb8263p-5, -0x1.99747fa303a35p-5, -0x1.aa863b3efe4c8p-5, -0x1.bb8b0f9b71f73p-5, -0x1.cc81465899a73p-5, -0x1.dd67338b60e91p-5, -0x1.ee3b35c991827p-5, -0x1.fefbb633265ap-5, -0x1.07d3943c53056p-4, -0x1.101e056f67dc1p-4, -0x1.185c731fc2b1p-4, -0x1.208e27040659ep-4, -0x1.28b2701a63827p-4, -0x1.30c8a2a532eb3p-4, -0x1.38d01826640e8p-4, -0x1.40c82f59bec64p-4, -0x1.48b04c2e08797p-4, -0x1.5087d7bd1c215p-4, -0x1.584e4042f6601p-4, -0x1.6002f913cfe0bp-4, -0x1.67a57a914aec2p-4, -0x1.6f35421eb1bd4p-4, -0x1.76b1d21471082p-4, -0x1.7e1ab1b2be579p-4, -0x1.856f6d1380c64p-4, -0x1.8caf951b8f99ap-4, -0x1.93dabf6b400fep-4, -0x1.9af0864e5d783p-4, -0x1.a1f088ab99212p-4, -0x1.a8da69f366812p-4, -0x1.afadd20e674e3p-4, -0x1.b66a6d4b748b4p-4, -0x1.bd0fec4d29457p-4, -0x1.c39e03f72dfbcp-4, -0x1.ca146d5b1fc14p-4, -0x1.d072e5a5461c5p-4, -0x1.d6b92e08f9bc3p-4, -0x1.dce70bacdf333p-4, -0x1.e2fc4796fafd8p-4, -0x1.e8f8ae989d111p-4, -0x1.eedc113a3ad62p-4, -0x1.f4a643a727b36p-4, -0x1.fa571d99511dfp-4, -0x1.ffee7a44f01c2p-4, -0x1.02b61c2222aacp-3, -0x1.05681cc1a54abp-3, -0x1.080d3195c9e69p-3, -0x1.0aa54ec811016p-3, -0x1.0d306a0cb664dp-3, -0x1.0fae7a98bdc7ep-3, -0x1.121f791818f81p-3, -0x1.14835fa3d5ecep-3, -0x1.16da29b872ae1p-3, -0x1.1923d42c3f4dp-3, -0x1.1b605d25dea74p-3, -0x1.1d8fc412e34ebp-3, -0x1.1fb2099e8897cp-3, -0x1.21c72fa887ccfp-3, -0x1.23cf393c187cfp-3, -0x1.25ca2a870502dp-3, -0x1.27b808d0e947fp-3, -0x1.2998da7293d31p-3, -0x1.2b6ca6cd8ae84p-3, -0x1.2d337643b69a3p-3, -0x1.2eed522f2e0afp-3, -0x1.309a44da2fc61p-3, -0x1.323a59773d4a6p-3, -0x1.33cd9c195d475p-3, -0x1.355419ac88135p-3, -0x1.36cddfee366fbp-3, -0x1.383afd6620adcp-3, -0x1.399b815f15941p-3, -0x1.3aef7be00df43p-3, -0x1.3c36fda5555dep-3, -0x1.3d721819e3326p-3, -0x1.3ea0dd50d98abp-3, -0x1.3fc35fff274d4p-3, -0x1.40d9b37558e1bp-3, -0x1.41e3eb99850bp-3, -0x1.42e21ce1669d1p-3, -0x1.43d45c4c9a437p-3, -0x1.44babf5efcd3p-3, -0x1.45955c1b36788p-3, -0x1.466448fd612aep-3, -0x1.47279cf5d794cp-3, -0x1.47df6f6423a7bp-3, -0x1.488bd81216874p-3, -0x1.492cef2ef5906p-3, -0x1.49c2cd4ad5ffp-3, -0x1.4a4d8b520bee4p-3, -0x1.4acd4288c7f66p-3, -0x1.4b420c86c3bf6p-3, -0x1.4bac033317eaep-3, -0x1.4c0b40c02d427p-3, -0x1.4c5fdfa7c92abp-3, -0x1.4ca9faa737fe7p-3, -0x1.4ce9acbb91cd3p-3, -0x1.4d1f111e1a5e5p-3, -0x1.4d4a4340bf1c4p-3, -0x1.4d6b5ecaa6975p-3, -0x1.4d827f94e2569p-3, -0x1.4d8fc1a733219p-3, -0x1.4d934134e509bp-3, -0x1.4d8d1a99c333ap-3, -0x1.4d7d6a572522ep-3, -0x1.4d644d110f5f6p-3, -0x1.4d41df8b64d15p-3, -0x1.4d163ea732809p-3, -0x1.4ce187600f8f3p-3, -0x1.4ca3d6c988a34p-3, -0x1.4c5d4a0ca938dp-3, -0x1.4c0dfe658ea0dp-3, -0x1.4bb611210bb67p-3, -0x1.4b559f9a65358p-3, -0x1.4aecc7391a617p-3, -0x1.4a7ba56eb83a3p-3, -0x1.4a0257b4c714ep-3, -0x1.4980fb8abbb8fp-3, -0x1.48f7ae73ff5bep-3, -0x1.48668df600691p-3, -0x1.47cdb79655c24p-3, -0x1.472d48d8e827fp-3, -0x1.46855f3e2efc9p-3, -0x1.45d61841724dcp-3, -0x1.451f915721199p-3, -0x1.4461e7eb2bf91p-3, -0x1.439d395f6cfdp-3, -0x1.42d1a30a1bda8p-3, -0x1.41ff42344840dp-3, -0x1.4126341864035p-3, -0x1.404695e0d1aa4p-3, -0x1.3f6084a67f539p-3, -0x1.3e741d6f8a5fap-3, -0x1.3d817d2de865p-3, -0x1.3c88c0be1d56p-3, -0x1.3b8a04e5f990cp-3, -0x1.3a8566535c557p-3, -0x1.397b019afe269p-3, -0x1.386af3374a1ep-3, -0x1.3755578732dbbp-3, -0x1.363a4acd17499p-3, -0x1.3519e92daca6ep-3, -0x1.33f44eaeec17ep-3, -0x1.32c997370ac3fp-3, -0x1.3199de8b71f38p-3, -0x1.3065404fc9a6dp-3, -0x1.2f2bd804f97fep-3, -0x1.2dedc1083c24ep-3, -0x1.2cab169232a2ep-3, -0x1.2b63f3b5fb552p-3, -0x1.2a18736058a17p-3, -0x1.28c8b056ce07fp-3, -0x1.2774c536ceca4p-3, -0x1.261ccc74ec928p-3, -0x1.24c0e05c0ee65p-3, -0x1.23611b0ca2af4p-3, -0x1.21fd967be7ab6p-3, -0x1.20966c7326fe9p-3, -0x1.1f2bb68f0184dp-3, -0x1.1dbd8e3eba9eap-3, -0x1.1c4c0cc38bc9fp-3, -0x1.1ad74b2ff759cp-3, -0x1.195f626725bbcp-3, -0x1.17e46b1c42bddp-3, -0x1.16667dd1e2becp-3, -0x1.14e5b2d969a0bp-3, -0x1.13622252737e1p-3, -0x1.11dbe42a4d344p-3, -0x1.1053101b5eda8p-3, -0x1.0ec7bdacadf99p-3, -0x1.0d3a043153726p-3, -0x1.0ba9fac80139dp-3, -0x1.0a17b85a85717p-3, -0x1.0883539d556a7p-3, -0x1.06ece30f17c74p-3, -0x1.05547cf83aee9p-3, -0x1.03ba376a87173p-3, -0x1.021e2840b75e6p-3, -0x1.0080651e1905fp-3, -0x1.fdc206dc5e308p-4, -0x1.fa8030c8a34d4p-4, -0x1.f73b71f6bb7b9p-4, -0x1.f3f3f3eabadfep-4, -0x1.f0a9dfb6769c4p-4, -0x1.ed5d5df8ef47ap-4, -0x1.ea0e96ddc0acbp-4, -0x1.e6bdb21ca15d2p-4, -0x1.e36ad6f8d5f53p-4, -0x1.e0162c40c78dfp-4, -0x1.dcbfd84d8ddf2p-4, -0x1.d968010283ef5p-4, -0x1.d60ecbccf01dbp-4, -0x1.d2b45da3a19e4p-4, -0x1.cf58db069f8cfp-4, -0x1.cbfc67fee7d65p-4, -0x1.c89f281e1c88ep-4, -0x1.c5413e7e57d9fp-4, -0x1.c1e2cdc1e94bep-4, -0x1.be83f81334416p-4, -0x1.bb24df247b36ap-4, -0x1.b7c5a42fd1ae7p-4, -0x1.b46667f6f57e4p-4, -0x1.b1074ac344403p-4, -0x1.ada86c65b4494p-4, -0x1.aa49ec36c696dp-4, -0x1.a6ebe916931efp-4, -0x1.a38e816cd35eap-4, -0x1.a031d328eb256p-4, -0x1.9cd5fbc20bc4fp-4, -0x1.997b183748a5cp-4, -0x1.9621450fc0cc3p-4, -0x1.92c89e5acad3p-4, -0x1.8f713fb022d61p-4, -0x1.8c1b443026f6ap-4, -0x1.88c6c68412fe5p-4, -0x1.8573e0de45dcep-4, -0x1.8222acfa8e886p-4, -0x1.7ed3441e7748dp-4, -0x1.7b85bf19a4307p-4, -0x1.783a364628f58p-4, -0x1.74f0c188ee73bp-4, -0x1.71a978521d1b2p-4, -0x1.6e64719d86aaep-4, -0x1.6b21c3f31c965p-4, -0x1.67e185676aa32p-4, -0x1.64a3cb9c115a7p-4, -0x1.6168abc04a53bp-4, -0x1.5e303a91754bbp-4, -0x1.5afa8c5ba4003p-4, -0x1.57c7b4fa2a718p-4, -0x1.5497c7d83caf8p-4, -0x1.516ad7f1867efp-4, -0x1.4e40f7d2d24c6p-4, -0x1.4b1a399aab05ap-4, -0x1.47f6aefa0b244p-4, -0x1.44d669350806ap-4, -0x1.41b97923893fcp-4, -0x1.3e9fef31ff8c5p-4, -0x1.3b89db621fd45p-4, -0x1.38774d4ba670bp-4, -0x1.3568541d19bd6p-4, -0x1.325cfe9c916afp-4, -0x1.2f555b2883719p-4, -0x1.2c5177b8950fdp-4, -0x1.295161de6bf67p-4, -0x1.265526c6848e4p-4, -0x1.235cd3390ec03p-4, -0x1.2068739ac793p-4, -0x1.1d7813eddc1b9p-4, -0x1.1a8bbfd2cbb93p-4, -0x1.17a382894ee4dp-4, -0x1.14bf66f13fc2dp-4, -0x1.11df778b86931p-4, -0x1.0f03be7b05f48p-4, -0x1.0c2c45858eb8dp-4, -0x1.09591614d1c95p-4, -0x1.068a393756caep-4, -0x1.03bfb7a16ff26p-4, -0x1.00f999ae39ce8p-4, -0x1.fc6fcec12704p-5, -0x1.f6f550c838e2ap-5, -0x1.f183c81c65a36p-5, -0x1.ec1b42bdf4461p-5, -0x1.e6bbce04ad828p-5, -0x1.e16576a1eeb72p-5, -0x1.dc1848a2b0875p-5, -0x1.d6d44f719374ap-5, -0x1.d19995d8f2cd4p-5, -0x1.cc682604f68cdp-5, -0x1.c7400985a53c7p-5, -0x1.c2214950fb74ap-5, -0x1.bd0bedc502aa4p-5, -0x1.b7fffea9eb274p-5, -0x1.b2fd833426b65p-5, -0x1.ae0482068241p-5, -0x1.a91501343cf79p-5, -0x1.a42f0643321ddp-5, -0x1.9f52962de70d1p-5, -0x1.9a7fb565b3f31p-5, -0x1.95b667d4da458p-5, -0x1.90f6b0e0a6777p-5, -0x1.8c40936b8bb4p-5, -0x1.879411d73f98ap-5, -0x1.82f12e06dbeafp-5, -0x1.7e57e960f1e12p-5, -0x1.79c844d1ac8c1p-5, -0x1.754240cce6966p-5, -0x1.70c5dd5047673p-5, -0x1.6c5319e551d7dp-5, -0x1.67e9f5a385e99p-5, -0x1.638a6f326c50ep-5, -0x1.5f3484cbadf6bp-5, -0x1.5ae8343d23629p-5, -0x1.56a57aeae4d89p-5, -0x1.526c55d152ba1p-5, -0x1.4e3cc18725a35p-5, -0x1.4a16ba3f7509fp-5, -0x1.45fa3bcbb9481p-5, -0x1.41e7419dd6192p-5, -0x1.3dddc6ca12cafp-5, -0x1.39ddc6091db19p-5, -0x1.35e739ba050c2p-5, -0x1.31fa1be42cbfdp-5, -0x1.2e16663944127p-5, -0x1.2a3c121736781p-5, -0x1.266b188a1af85p-5, -0x1.22a3724e1b7c5p-5, -0x1.1ee517d15ab3cp-5, -0x1.1b300135df41dp-5, -0x1.1784265367567p-5, -0x1.13e17eb94c77bp-5, -0x1.104801b057cf2p-5, -0x1.0cb7a63c95c41p-5, -0x1.0930631f28866p-5, -0x1.05b22ed80ce1ep-5, -0x1.023cffa7e99e5p-5, -0x1.fda1972395a5dp-6, -0x1.f6db10b9d25dcp-6, -0x1.f026572cb4145p-6, -0x1.e98355259a5d1p-6, -0x1.e2f1f4e0791bfp-6, -0x1.dc72202f270e9p-6, -0x1.d603c07cc2d9dp-6, -0x1.cfa6bed0e4056p-6, -0x1.c95b03d2e7681p-6, -0x1.c32077cd1bea9p-6, -0x1.bcf702aff652fp-6, -0x1.b6de8c1521e11p-6, -0x1.b0d6fb42ad114p-6, -0x1.aae0372e02ffdp-6, -0x1.a4fa267efc059p-6, -0x1.9f24af92d44b5p-6, -0x1.995fb87f1a9f2p-6, -0x1.93ab27149840dp-6, -0x1.8e06e0e22a9b2p-6, -0x1.8872cb3798c43p-6, -0x1.82eecb2856b24p-6, -0x1.7d7ac58e49248p-6, -0x1.78169f0c73bb8p-6, -0x1.72c23c11a7c59p-6, -0x1.6d7d80db1ea36p-6, -0x1.684851771377fp-6, -0x1.632291c75196bp-6, -0x1.5e0c2583a99c1p-6, -0x1.5904f03c73e4fp-6, -0x1.540cd55cf794cp-6, -0x1.4f23b82dd032ap-6, -0x1.4a497bd7496d6p-6, -0x1.457e0363a0d55p-6, -0x1.40c131c1592e4p-6, -0x1.3c12e9c56bfa6p-6, -0x1.37730e2d7dd5ep-6, -0x1.32e181a201eeap-6, -0x1.2e5e26b859439p-6, -0x1.29e8dff4e1008p-6, -0x1.25818fcd03aa1p-6, -0x1.212818a92c082p-6, -0x1.1cdc5ce6c1e9bp-6, -0x1.189e3eda149d4p-6, -0x1.146da0d03adb4p-6, -0x1.104a6510eaf24p-6, -0x1.0c346de046496p-6, -0x1.082b9d80a64a6p-6, -0x1.042fd6344ff6ep-6, -0x1.0040fa3f26151p-6, -0x1.f8bdd7d0aa0eep-7, -0x1.f1131af7e55b8p-7, -0x1.e981829923372p-7, -0x1.e208d3699d5b4p-7, -0x1.daa8d231a821fp-7, -0x1.d36143cfa4e06p-7, -0x1.cc31ed3afcb2fp-7, -0x1.c51a9386d21a2p-7, -0x1.be1afbe4d18e3p-7, -0x1.b732eba7e4847p-7, -0x1.b0622846cb1f6p-7, -0x1.a9a8775ea7cc4p-7, -0x1.a3059eb578946p-7, -0x1.9c79643c91d73p-7, -0x1.96038e12e220fp-7, -0x1.8fa3e28749b51p-7, -0x1.895a281ae29e1p-7, -0x1.8326258311d97p-7, -0x1.7d07a1abb1d99p-7, -0x1.76fe63b9159ebp-7, -0x1.710a330a0ea1p-7, -0x1.6b2ad739ccbb1p-7, -0x1.65601821cd8efp-7, -0x1.5fa9bddb99412p-7, -0x1.5a0790c2890dep-7, -0x1.547959757b923p-7, -0x1.4efee0d875614p-7, -0x1.4997f0163ec8ep-7, -0x1.444450a1d90e1p-7, -0x1.3f03cc3806854p-7, -0x1.39d62ce0b7a4bp-7, -0x1.34bb3cf0631f6p-7, -0x1.2fb2c709595a1p-7, -0x1.2abc961d0b5a4p-7, -0x1.25d8756d42ca4p-7, -0x1.2106308d4c31fp-7, -0x1.1c4593631b22cp-7, -0x1.17966a2854a2p-7, -0x1.12f8816b609cfp-7, -0x1.0e6ba6105bfa6p-7, -0x1.09efa552104d1p-7, -0x1.05844cc2d9a72p-7, -0x1.01296a4d745bep-7, -0x1.f9bd986bb9d33p-8, -0x1.f148823414e7ep-8, -0x1.e8f32fe54348cp-8, -0x1.e0bd40276a1b2p-8, -0x1.d8a6525ab10afp-8, -0x1.d0ae06988b565p-8, -0x1.c8d3fdb4e10a3p-8, -0x1.c117d93f015bdp-8, -0x1.b9793b82c44c5p-8, -0x1.b1f7c7895dc3ap-8, -0x1.aa93211a2fd3ap-8, -0x1.a34aecbb9681ep-8, -0x1.9c1ecfb3a8dfp-8, -0x1.950e7008d6efp-8, -0x1.8e1974826e84bp-8, -0x1.873f84a931d83p-8, -0x1.808048c7b4221p-8, -0x1.79db69ead9f58p-8, -0x1.735091e20b5a9p-8, -0x1.6cdf6b3f94a21p-8, -0x1.6687a158c7545p-8, -0x1.6048e04631a46p-8, -0x1.5a22d4e3ba05cp-8, -0x1.54152cd0a124dp-8, -0x1.4e1f966f7bb58p-8, -0x1.4841c0e63c957p-8, -0x1.427b5c1e08e2dp-8, -0x1.3ccc18c30bcbap-8, -0x1.3733a84453a63p-8, -0x1.31b1bcd39a7ep-8, -0x1.2c460964db66p-8, -0x1.26f041ae268f3p-8, -0x1.21b01a272497bp-8, -0x1.1c854808b44e2p-8, -0x1.176f814c867d5p-8, -0x1.126e7cac7ceb9p-8, -0x1.0d81f1a24e4f5p-8, -0x1.08a99866d663bp-8, -0x1.03e529f19034cp-8, -0x1.fe68bfefc996cp-9, -0x1.f52de9d910f81p-9, -0x1.ec1947fd94d4ep-9, -0x1.e32a52339330bp-9, -0x1.da6081c780607p-9, -0x1.d1bb517a72d86p-9, -0x1.c93a3d8078748p-9, -0x1.c0dcc37ef5533p-9, -0x1.b8a2628aca644p-9, -0x1.b08a9b26a6311p-9, -0x1.a894ef410d95p-9, -0x1.a0c0e23292a09p-9, -0x1.990df8bbd05f2p-9, -0x1.917bb90388f4dp-9, -0x1.8a09aa949351dp-9, -0x1.82b7565bc855ap-9, -0x1.7b8446a5f112fp-9, -0x1.7470071daa60cp-9, -0x1.6d7a24c919227p-9, -0x1.66a22e07d91b2p-9, -0x1.5fe7b290ab049p-9, -0x1.594a436f3929cp-9, -0x1.52c97301c18d1p-9, -0x1.4c64d4f6d3c1ap-9, -0x1.461bfe4afd519p-9, -0x1.3fee85463c285p-9, -0x1.39dc0179cfp-9, -0x1.33e40bbd9808ap-9, -0x1.2e063e2dc55d5p-9, -0x1.284234286fe7bp-9, -0x1.22978a4ad96f5p-9, -0x1.1d05de6f3d078p-9, -0x1.178ccfaa20428p-9, -0x1.122bfe47d5ef2p-9, -0x1.0ce30bc9e8116p-9, -0x1.07b19ae4961f4p-9, -0x1.02974f7c3a782p-9, -0x1.fb279d455d785p-10, -0x1.f14d7d299652cp-10, -0x1.e79f8d6f657c1p-10, -0x1.de1d1f2ca9abep-10, -0x1.d4c585bd7b9bap-10, -0x1.cb9816bf04385p-10, -0x1.c2942a0a10663p-10, -0x1.b9b919ae29a02p-10, -0x1.b10641ebcc483p-10, -0x1.a87b012fc855bp-10, -0x1.a016b80d61218p-10, -0x1.97d8c9396725p-10, -0x1.8fc09984fc287p-10, -0x1.87cd8fd821656p-10, -0x1.7fff152c5c2e4p-10, -0x1.78549487dd307p-10, -0x1.70cd7af7d40bp-10, -0x1.6969378b794bp-10, -0x1.62273b4e79a72p-10, -0x1.5b06f9443185bp-10, -0x1.5407e6623c4p-10, -0x1.4d29798b1c2a5p-10, -0x1.466b2b897bbb3p-10, -0x1.3fcc770a62bc4p-10, -0x1.394cd898b0dd2p-10, -0x1.32ebce9793117p-10, -0x1.2ca8d93d65046p-10, -0x1.26837a8effc33p-10, -0x1.207b365a0c337p-10, -0x1.1a8f923087c89p-10, -0x1.14c015634643fp-10, -0x1.0f0c48fd4960ep-10, -0x1.0973b7be8983ap-10, -0x1.03f5ee17122c2p-10, -0x1.fd24f44443216p-11, -0x1.f291d742620cp-11, -0x1.e831a7edf4bcp-11, -0x1.de038c456f6a6p-11, -0x1.d406ad76c479bp-11, -0x1.ca3a37d53f75cp-11, -0x1.c09d5ad0ef8bbp-11, -0x1.b72f48ec09d77p-11, -0x1.adef37b24e743p-11, -0x1.a4dc5faf3e3b8p-11, -0x1.9bf5fc6537c73p-11, -0x1.933b4c438cc34p-11, -0x1.8aab909e3762p-11, -0x1.82460da3fb2a5p-11, -0x1.7a0a0a55bbd86p-11, -0x1.71f6d07d9d861p-11, -0x1.6a0baca5bc586p-11, -0x1.6247ee0fcf42bp-11, -0x1.5aaae6abd80bcp-11, -0x1.5333eb1007d1ep-11, -0x1.4be2526fc5149p-11, -0x1.44b576930b978p-11, -0x1.3dacb3ce124c8p-11, -0x1.36c768f8ef715p-11, -0x1.3004f76769b61p-11, -0x1.2964c2e0177f5p-11, -0x1.22e63194e83f2p-11, -0x1.1c88ac1a97efp-11, -0x1.164b9d6090332p-11, -0x1.102e72a95c89p-11, -0x1.0a309b8246491p-11, -0x1.045189bbca68ep-11, -0x1.fd2162c3f2ca8p-12, -0x1.f1db1168667c1p-12, -0x1.e6cf103c7b17cp-12, -0x1.dbfc54608beefp-12, -0x1.d161d72f5c001p-12, -0x1.c6fe962ec3542p-12, -0x1.bcd19301e993bp-12, -0x1.b2d9d35a06c1dp-12, -0x1.a91660e868398p-12, -0x1.9f86494ff3f67p-12, -0x1.96289e1786beap-12, -0x1.8cfc749bc147p-12, -0x1.8400e601c323p-12, -0x1.7b350f2918c9ep-12, -0x1.7298109e88166p-12, -0x1.6a290e8e80003p-12, -0x1.61e730b82aea3p-12, -0x1.59d1a260d9a8bp-12, -0x1.51e792460a4cp-12, -0x1.4a283291a9f97p-12, -0x1.4292b8cd6bad6p-12, -0x1.3b265dd57d505p-12, -0x1.33e25dcdde87ep-12, -0x1.2cc5f81409618p-12, -0x1.25d06f3533c74p-12, -0x1.1f0108e094e3cp-12, -0x1.18570ddd079ccp-12, -0x1.11d1c9fcc550bp-12, -0x1.0b708c11d3d1ep-12, -0x1.0532a5e34aa7ep-12, -0x1.fe2ed8431d349p-13, -0x1.f23c6cb74e50bp-13, -0x1.e68cbde7cf07bp-13, -0x1.db1e862bab003p-13, -0x1.cff085566a5b6p-13, -0x1.c50180a231eebp-13, -0x1.ba50429c6780ap-13, -0x1.afdb9b0ff609cp-13, -0x1.a5a25ef23a009p-13, -0x1.9ba3684e1cep-13, -0x1.91dd9630dab8p-13, -0x1.884fcc95630f2p-13, -0x1.7ef8f45415c1dp-13, -0x1.75d7fb0bec6fdp-13, -0x1.6cebd312b3a8p-13, -0x1.64337360d445cp-13, -0x1.5badd780004bbp-13, -0x1.5359ff78c06a3p-13, -0x1.4b36efc0e4815p-13, -0x1.4343b12a165c9p-13, -0x1.3b7f50d04a34fp-13, -0x1.33e8e008790e1p-13, -0x1.2c7f745088d22p-13, -0x1.2542273e58a69p-13, -0x1.1e30166e5bc31p-13, -0x1.17486374f1f23p-13, -0x1.108a33ce41436p-13, -0x1.09f4b0cd1c8b3p-13, -0x1.0387078d5e658p-13, -0x1.fa80d1c610e8ep-14, -0x1.ee4012998dd5dp-14, -0x1.e24a41c4ef25cp-14, -0x1.d69dd69418db2p-14, -0x1.cb394f4bf86a9p-14, -0x1.c01b31115e62p-14, -0x1.b54207cc19b2dp-14, -0x1.aaac660afef82p-14, -0x1.a058e4e8a4c98p-14, -0x1.964623f044427p-14, -0x1.8c72c903603dp-14, -0x1.82dd803fc21e2p-14, -0x1.7984fbe6674dep-14, -0x1.7067f4403091p-14, -0x1.67852786d1a31p-14, -0x1.5edb59c9e93a2p-14, -0x1.566954d95f664p-14, -0x1.4e2de82b3f0eep-14, -0x1.4627e8c4ac652p-14, -0x1.3e56312344e67p-14, -0x1.36b7a125e5b59p-14, -0x1.2f4b1df63e986p-14, -0x1.280f91f0a3803p-14, -0x1.2103ec90cf386p-14, -0x1.1a27225b972dfp-14, -0x1.13782cc84ab94p-14, -0x1.0cf60a2ca082ep-14, -0x1.069fbda8b198fp-14, -0x1.00744f11ad605p-14, -0x1.f4e595bceb114p-15, -0x1.e93484279a063p-15, -0x1.ddd394619623fp-15, -0x1.d2c0fa349582ap-15, -0x1.c7faf215962abp-15, -0x1.bd7fc0fb623bap-15, -0x1.b34db43c57e18p-15, -0x1.a9632169d45d7p-15, -0x1.9fbe662cbf4a1p-15, -0x1.965de820ee6f5p-15, -0x1.8d4014b701d53p-15, -0x1.8463610e301bdp-15, -0x1.7bc649d4fe5c4p-15, -0x1.73675327e77efp-15, -0x1.6b45086ffd71ep-15, -0x1.635dfc4858b94p-15, -0x1.5bb0c85885775p-15, -0x1.543c0d381315fp-15, -0x1.4cfe725039393p-15, -0x1.45f6a5bedc568p-15, -0x1.3f235c3808241p-15, -0x1.388350e858e6cp-15, -0x1.3215455addf18p-15, -0x1.2bd8015bcc735p-15, -0x1.25ca52dcea8a8p-15, -0x1.1feb0dd9ea7e2p-15, -0x1.1a390c3f1365bp-15, -0x1.14b32dcdb6531p-15, -0x1.0f585802a76b8p-15, -0x1.0a2775fdc64c1p-15, -0x1.051f786722a9ep-15, -0x1.003f555802425p-15, -0x1.f70c10826332fp-16, -0x1.ede523a9d4c04p-16, -0x1.e507efda4864cp-16, -0x1.dc728aec8981p-16, -0x1.d42314b2ef646p-16, -0x1.cc17b6c5c01a3p-16, -0x1.c44ea45a72135p-16, -0x1.bcc61a18e9e1p-16, -0x1.b57c5df3504f7p-16, -0x1.ae6fbef8b6508p-16, -0x1.a79e952d0daccp-16, -0x1.a107415e72fdep-16, -0x1.9aa82d01bfcbbp-16, -0x1.947fca07968e8p-16, -0x1.8e8c92b6ebd19p-16, -0x1.88cd09863e1afp-16, -0x1.833fb8f7b1225p-16, -0x1.7de33374c1fdbp-16, -0x1.78b61328e470ap-16, -0x1.73b6f9dd1d27cp-16, -0x1.6ee490d6fd5ddp-16, -0x1.6a3d88b4dff0ep-16, -0x1.65c0994ed12e4p-16, -0x1.616c8190dcdedp-16, -0x1.5d40075ce6bf2p-16, -0x1.5939f76af0e3p-16, -0x1.55592527d0042p-16, -0x1.519c6a979d75ep-16, -0x1.4e02a8362aee5p-16, -0x1.4a8ac4d910512p-16, -0x1.4733ad92861f3p-16, -0x1.43fc5593d8db5p-16, -0x1.40e3b6107308fp-16, -0x1.3de8ce22840e5p-16, -0x1.3b0aa2af23396p-16, -0x1.38483e4af6a22p-16, -0x1.35a0b1209dd9fp-16, -0x1.331310d1d6f79p-16, -0x1.309e7863b88b7p-16, -0x1.2e420821fde9p-16, -0x1.2bfce58704a38p-16, -0x1.29ce3b214b9ccp-16, -0x1.27b5387bf17d3p-16, -0x1.25b11208b05bep-16, -0x1.23c10107d62fcp-16, -0x1.21e4437004543p-16, -0x1.201a1bd88bbf9p-16, -0x1.1e61d163840c4p-16, -0x1.1cbaafa6fecebp-16, -0x1.1b240697200fap-16, -0x1.199d2a73306ccp-16, -0x1.182573af974f2p-16, -0x1.16bc3edf91663p-16, -0x1.1560eca44ea42p-16, -0x1.1412e19877549p-16, -0x1.12d1863b42f41p-16, -0x1.119c46dd9690ap-16, -0x1.107293903b77bp-16, -0x1.0f53e0110e298p-16, -0x1.0e3fa3b9280eep-16, -0x1.0d35596b6b2e8p-16, -0x1.0c347f810712p-16, -0x1.0b3c97ba1d4f6p-16, -0x1.0a4d272d67b5bp-16, -0x1.0965b63525adcp-16, -0x1.0885d0612349ap-16, -0x1.07ad046646393p-16, -0x1.06dae40c35cb5p-16, -0x1.060f0420ef07ap-16, }}, 
      {{-0x1.eba6eaa51d914p-3, -0x1.ec8249a88becp-3, -0x1.ede76381e51cdp-3, -0x1.efca7f3026485p-3, -0x1.f21ce6f0aadc7p-3, -0x1.f4ce025ef594dp-3, -0x1.f7cc516bc05a7p-3, -0x1.fb063cfaa02c9p-3, -0x1.fe6abc526d8f7p-3, -0x1.00f4e9737e6fcp-2, -0x1.02ba759eb0773p-2, -0x1.047f89d278639p-2, -0x1.063e90944f8a8p-2, -0x1.07f2de67d8949p-2, -0x1.0998af885e013p-2, -0x1.0b2d1e96fb66ap-2, -0x1.0cae15fec6222p-2, -0x1.0e1a3dac3b1fcp-2, -0x1.0f70e68679294p-2, -0x1.10b1f4e1b2b0ap-2, -0x1.11ddcae6c9c13p-2, -0x1.12f533b0849cep-2, -0x1.13f94fa7291a5p-2, -0x1.14eb82721fe25p-2, -0x1.15cd62ae501e6p-2, -0x1.16a0ab77a5e9bp-2, -0x1.17672fbc74371p-2, -0x1.1822cf4133089p-2, -0x1.18d56d316117cp-2, -0x1.1980e815bb1a3p-2, -0x1.1a2713072cf79p-2, -0x1.1ac9aff7bd26fp-2, -0x1.1b6a6aee3d483p-2, -0x1.1c0ad615dcbap-2, -0x1.1cac6687565ccp-2, -0x1.1d5071b5ca85fp-2, -0x1.1df82b6d504d6p-2, -0x1.1ea4a45482702p-2, -0x1.1f56c8e504adp-2, -0x1.200f60d0dfa14p-2, -0x1.20cf0ecc0afa5p-2, -0x1.219650b2554f3p-2, -0x1.226580025b24ep-2, -0x1.233cd2a67367bp-2, -0x1.241c5c0475e06p-2, -0x1.25040e4d22b46p-2, -0x1.25f3bc03c677p-2, -0x1.26eb19b69b7d1p-2, -0x1.27e9bfe03d989p-2, -0x1.28ef2cea92262p-2, -0x1.29fac74b8fffcp-2, -0x1.2b0bdfb481187p-2, -0x1.2c21b34ca8703p-2, -0x1.2d3b6df085589p-2, -0x1.2e582c6f72b5ep-2, -0x1.2f76fec1d8891p-2, -0x1.3096ea32c544fp-2, -0x1.31b6eb784e17fp-2, -0x1.32d5f8b6cbdb3p-2, -0x1.33f3036b97f3ap-2, -0x1.350cfa3c9db07p-2, -0x1.3622caaa99133p-2, -0x1.373362a490414p-2, -0x1.383db1fb72fa1p-2, -0x1.3940abb57a0aep-2, -0x1.3a3b474126a38p-2, -0x1.3b2c818846441p-2, -0x1.3c135de3add3p-2, -0x1.3ceee6f0a1b52p-2, -0x1.3dbe2f4934c23p-2, -0x1.3e805220ff3fdp-2, -0x1.3f3473c7d4195p-2, -0x1.3fd9c2141a19bp-2, -0x1.406f74b69d8cfp-2, -0x1.40f4cd799fb7fp-2, -0x1.4169186cfe441p-2, -0x1.41cbac013f87cp-2, -0x1.421be9134a6f3p-2, -0x1.42593aea7c1a1p-2, -0x1.4283172ac1d6dp-2, -0x1.4298fdbc43bdep-2, -0x1.429a78aa14715p-2, -0x1.42871bf93e5e3p-2, -0x1.425e857974658p-2, -0x1.42205c9082eabp-2, -0x1.41cc52018ee11p-2, -0x1.41621fb10fe7p-2, -0x1.40e1886658891p-2, -0x1.404a578b6565ap-2, -0x1.3f9c60eb996ffp-2, -0x1.3ed78071ede65p-2, -0x1.3dfb99e711224p-2, -0x1.3d0898afd492p-2, -0x1.3bfe6f8c3ddd2p-2, -0x1.3add185777756p-2, -0x1.39a493c8d86d5p-2, -0x1.3854e93628f88p-2, -0x1.36ee26573b53bp-2, -0x1.35705f0aea3d6p-2, -0x1.33dbad1d8a9fbp-2, -0x1.32303010c8115p-2, -0x1.306e0ce4f3a72p-2, -0x1.2e956de3af192p-2, -0x1.2ca6826bf3599p-2, -0x1.2aa17ebf58aafp-2, -0x1.28869bd093e57p-2, -0x1.2656171316e25p-2, -0x1.2410324bba1b5p-2, -0x1.21b53362624c2p-2, -0x1.1f4564348c189p-2, -0x1.1cc11268a7b98p-2, -0x1.1a288f4238608p-2, -0x1.177c2f76a5baap-2, -0x1.14bc4b02ab566p-2, -0x1.11e93d006036dp-2, -0x1.0f03637dc79d9p-2, -0x1.0c0b1f53df2e1p-2, -0x1.0900d3fe26025p-2, -0x1.05e4e7729375ap-2, -0x1.02b7c1f9fef76p-2, -0x1.fef39c11d685ap-3, -0x1.f856f03181b7bp-3, -0x1.f19a5d02d53ffp-3, -0x1.eabec2a6c6bd1p-3, -0x1.e3c50464591bep-3, -0x1.dcae085e696d9p-3, -0x1.d57ab74a7208cp-3, -0x1.ce2bfc28341eep-3, -0x1.c6c2c3fa79eacp-3, -0x1.bf3ffd80d1ccdp-3, -0x1.b7a498f281a9ep-3, -0x1.aff187ba9667dp-3, -0x1.a827bc353e252p-3, -0x1.a048296e6d2cap-3, -0x1.9853c2e1e726dp-3, -0x1.904b7c3cb393p-3, -0x1.8830492014659p-3, -0x1.80031ce6087a6p-3, -0x1.77c4ea676ef56p-3, -0x1.6f76a3c3d6219p-3, -0x1.67193a2afbf5p-3, -0x1.5ead9da81b7f9p-3, -0x1.5634bcef01fdp-3, -0x1.4daf852affc4dp-3, -0x1.451ee1cfbec5fp-3, -0x1.3c83bc6bf946dp-3, -0x1.33defc7e27c7ep-3, -0x1.2b31874b21a3ap-3, -0x1.227c3fb6b14c6p-3, -0x1.19c0061e2bfe6p-3, -0x1.10fdb834fd0fp-3, -0x1.083630e334b03p-3, -0x1.fed4904c1666ap-4, -0x1.ed35a5e4ca36ep-4, -0x1.db9146328b0e7p-4, -0x1.c9e90e5c6871bp-4, -0x1.b83e94df276fp-4, -0x1.a6936961ada7cp-4, -0x1.94e9148d2fb2cp-4, -0x1.834117e904c22p-4, -0x1.719cedba1a19dp-4, -0x1.5ffe08e5e921p-4, -0x1.4e65d4d8dc892p-4, -0x1.3cd5b57012c51p-4, -0x1.2b4f06e6609cp-4, -0x1.19d31dc4807f6p-4, -0x1.086346d44fd93p-4, -0x1.ee018e2e0a151p-5, -0x1.cb59b77c80bc3p-5, -0x1.a8d1744fb6dfbp-5, -0x1.866b1fb8bcd09p-5, -0x1.6429051ffafa8p-5, -0x1.420d604bfcb3ap-5, -0x1.201a5d6cddd12p-5, -0x1.fca432582e321p-6, -0x1.b96d4180e55a3p-6, -0x1.7693e40be5362p-6, -0x1.341bf732d694ep-6, -0x1.e41273de6b945p-7, -0x1.60be9a7e1e2e1p-7, -0x1.bc86d1bf48ed2p-8, -0x1.729eab76871f2p-9, 0x1.20706e0f5a0dbp-10, 0x1.47aed130e6e5cp-8, 0x1.22ae45e0a8482p-7, 0x1.a08cbdb040619p-7, 0x1.0eb68f95250cap-6, 0x1.4ca4f7d57f80dp-6, 0x1.8a0ef4f6c470cp-6, 0x1.c6f1fe965c967p-6, 0x1.01a5d30fc23d7p-5, 0x1.1f8ccb2bb7505p-5, 0x1.3d2cc973da753p-5, 0x1.5a84bbf3ba5b6p-5, 0x1.77939cb1b1338p-5, 0x1.9458717284e51p-5, 0x1.b0d24b7cc40fdp-5, 0x1.cd00475c0038dp-5, 0x1.e8e18ca400935p-5, 0x1.023aa6da05204p-4, 0x1.0fdd63bd2b8p-4, 0x1.1d58a09beb0f7p-4, 0x1.2aac0622265f5p-4, 0x1.37d741e973b43p-4, 0x1.44da065baea4ep-4, 0x1.51b40a95d422cp-4, 0x1.5e650a4b36d2cp-4, 0x1.6aecc5a912bf4p-4, 0x1.774b013a86e64p-4, 0x1.837f85ccf936p-4, 0x1.8f8a2054ef2ccp-4, 0x1.9b6aa1d35cb07p-4, 0x1.a720df3b6e661p-4, 0x1.b2acb158d8dacp-4, 0x1.be0df4b6a575dp-4, 0x1.c94489868a381p-4, 0x1.d4505388c91e5p-4, 0x1.df3139f49c3ffp-4, 0x1.e9e727612b262p-4, 0x1.f47209af176e1p-4, 0x1.fed1d1f2848fbp-4, 0x1.04833a2ee5251p-3, 0x1.0987f4164bd36p-3, 0x1.0e7713c7de8e6p-3, 0x1.135097ccbb902p-3, 0x1.1814801521d67p-3, 0x1.1cc2cdef24e9cp-3, 0x1.215b83fda37dbp-3, 0x1.25dea62f7f292p-3, 0x1.2a4c39b71c3f2p-3, 0x1.2ea445021d775p-3, 0x1.32e6cfb163526p-3, 0x1.3713e291491p-3, 0x1.3b2b87921d75dp-3, 0x1.3f2dc9c0d9287p-3, 0x1.431ab5400e31bp-3, 0x1.46f2574112755p-3, 0x1.4ab4bdfd5b685p-3, 0x1.4e61f8b0183bbp-3, 0x1.51fa178ff55edp-3, 0x1.557d2bc9184d6p-3, 0x1.58eb477749fb9p-3, 0x1.5c447da050c26p-3, 0x1.5f88e22e701e5p-3, 0x1.62b889eb1c541p-3, 0x1.65d38a79d062bp-3, 0x1.68d9fa5310d2ap-3, 0x1.6bcbf0bf88e77p-3, 0x1.6ea985d35bb7bp-3, 0x1.7172d26986dc3p-3, 0x1.7427f01f71fb8p-3, 0x1.76c8f9509371ap-3, 0x1.795609123745ep-3, 0x1.7bcf3b2f6084p-3, 0x1.7e34ac24c1744p-3, 0x1.8086791ccf179p-3, 0x1.82c4bfebeb83p-3, 0x1.84ef9f0ca0f11p-3, 0x1.8707359bf5746p-3, 0x1.890ba355d2046p-3, 0x1.8afd089171744p-3, 0x1.8cdb863deaaefp-3, 0x1.8ea73ddec2dd5p-3, 0x1.906051888e80cp-3, 0x1.9206e3dd9dfcdp-3, 0x1.939b180ab752cp-3, 0x1.951d11c3d7c7bp-3, 0x1.968cf54100fap-3, 0x1.97eae73b0ec28p-3, 0x1.99370ce88df6ep-3, 0x1.9a718bfaa3e2ap-3, 0x1.9b9a8a99f3fd7p-3, 0x1.9cb22f638bc9dp-3, 0x1.9db8a165d69edp-3, 0x1.9eae081d93336p-3, 0x1.9f928b72c92a1p-3, 0x1.a06653b5c768ep-3, 0x1.a129899c1fcd1p-3, 0x1.a1dc563da9073p-3, 0x1.a27ee311796e2p-3, 0x1.a31159eaefe4cp-3, 0x1.a393e4f6adcb7p-3, 0x1.a406aeb7a0c71p-3, 0x1.a469e203ff55ep-3, 0x1.a4bdaa024d4fcp-3, 0x1.a50232265f844p-3, 0x1.a537a62e5a128p-3, 0x1.a55e321fb407bp-3, 0x1.a57602443697bp-3, 0x1.a57f4326ffdabp-3, 0x1.a57a21917bdd5p-3, 0x1.a566ca886920ap-3, 0x1.a5456b48d52f4p-3, 0x1.a5163145168efp-3, 0x1.a4d94a21ce9ccp-3, 0x1.a48ee3b2e1bcap-3, 0x1.a4372bf87772cp-3, 0x1.a3d2511bf3747p-3, 0x1.a360816cf6a2fp-3, 0x1.a2e1eb5e581bfp-3, 0x1.a256bd8324726p-3, 0x1.a1bf268b9b249p-3, 0x1.a11b55422f976p-3, 0x1.a06b7888876ddp-3, 0x1.9fafbf547f089p-3, 0x1.9ee858ad29a03p-3, 0x1.9e1573a7dbecep-3, 0x1.9d373f652ee3fp-3, 0x1.9c4deb0e10885p-3, 0x1.9b59a5d0cdb12p-3, 0x1.9a5a9ede249c7p-3, 0x1.995105665a259p-3, 0x1.983d0896527fdp-3, 0x1.971ed794ae578p-3, 0x1.95f6a17ee9b4fp-3, 0x1.94c4956688115p-3, 0x1.9388e24e39625p-3, 0x1.9243b7270efabp-3, 0x1.90f542cdb30e5p-3, 0x1.8f9db407a117ep-3, 0x1.8e3d39806ef47p-3, 0x1.8cd401c7143d2p-3, 0x1.8b623b4b3c2e8p-3, 0x1.89e8145aa05c3p-3, 0x1.8865bb1e65266p-3, 0x1.86db5d988523fp-3, 0x1.854929a14476fp-3, 0x1.83af4ce4a501cp-3, 0x1.820df4dfe8b03p-3, 0x1.80654edf2394fp-3, 0x1.7eb587fac61cbp-3, 0x1.7cfecd15460abp-3, 0x1.7b414ad8bce6dp-3, 0x1.797d2db4a0cfap-3, 0x1.77b2a1db7e2cbp-3, 0x1.75e1d340be93bp-3, 0x1.740aed967bfdp-3, 0x1.722e1c4b5be3bp-3, 0x1.704b8a8878781p-3, 0x1.6e63632f529dep-3, 0x1.6c75d0d7cf5a3p-3, 0x1.6a82fdce45164p-3, 0x1.688b14118f0adp-3, 0x1.668e3d512f9f2p-3, 0x1.648ca2eb7e37fp-3, 0x1.62866debe1566p-3, 0x1.607bc7091507ap-3, 0x1.5e6cd6a37be2bp-3, 0x1.5c59c4c380bcdp-3, 0x1.5a42b918020a7p-3, 0x1.5827daf4c8b01p-3, 0x1.560951510c042p-3, 0x1.53e742c6084a5p-3, 0x1.51c1d58d960f9p-3, 0x1.4f992f80dccb3p-3, 0x1.4d6d761702dbap-3, 0x1.4b3ece63fa8bp-3, 0x1.490d5d174d50fp-3, 0x1.46d9467afdf2dp-3, 0x1.44a2ae726f0a6p-3, 0x1.4269b879622d3p-3, 0x1.402e87a2f713fp-3, 0x1.3df13e98be1c1p-3, 0x1.3bb1ff99d7fa8p-3, 0x1.3970ec7a1f1c3p-3, 0x1.372e26a160db2p-3, 0x1.34e9cf0a9dbd2p-3, 0x1.32a406435c2b9p-3, 0x1.305cec6b05b8dp-3, 0x1.2e14a1324c50ep-3, 0x1.2bcb43daa1e23p-3, 0x1.2980f335b8d2bp-3, 0x1.2735cda50f02dp-3, 0x1.24e9f11986e38p-3, 0x1.229d7b130dbdep-3, 0x1.205088a0457f6p-3, 0x1.1e03365e47277p-3, 0x1.1bb5a07862913p-3, 0x1.1967e2a7f5fd3p-3, 0x1.171a183443d8fp-3, 0x1.14cc5bf25e838p-3, 0x1.127ec84518786p-3, 0x1.1031771cffe9ap-3, 0x1.0de481f8686cep-3, 0x1.0b9801e3782cfp-3, 0x1.094c0f78424d4p-3, 0x1.0700c2deed9dcp-3, 0x1.04b633cde41abp-3, 0x1.026c798a06d21p-3, 0x1.0023aae6ee1a2p-3, 0x1.fbb7bc8e7338bp-4, 0x1.f72a5339bb7aep-4, 0x1.f29f44d2fc6dcp-4, 0x1.ee16bb7daf493p-4, 0x1.e990e07e4ea01p-4, 0x1.e50ddc3b421cdp-4, 0x1.e08dd63dda12bp-4, 0x1.dc10f53350569p-4, 0x1.d7975eede6ff6p-4, 0x1.d32138660c6dfp-4, 0x1.ceaea5bb8f29fp-4, 0x1.ca3fca36de0f9p-4, 0x1.c5d4c84a5a148p-4, 0x1.c16dc193b29b2p-4, 0x1.bd0ad6dd4fd8fp-4, 0x1.b8ac281fc445dp-4, 0x1.b451d483586f4p-4, 0x1.affbfa6188b86p-4, 0x1.abaab746ab904p-4, 0x1.a75e27f38d1a6p-4, 0x1.a316685f1e308p-4, 0x1.9ed393b82c311p-4, 0x1.9a95c46721989p-4, 0x1.965d140fd156bp-4, 0x1.92299b93465c5p-4, 0x1.8dfb7311a1f05p-4, 0x1.89d2b1ebfec42p-4, 0x1.85af6ec6597d3p-4, 0x1.8191bf89866f3p-4, 0x1.7d79b9652a278p-4, 0x1.796770d1b57d2p-4, 0x1.755af99271a3p-4, 0x1.715466b7863ecp-4, 0x1.6d53caa011719p-4, 0x1.695936fc39e5cp-4, 0x1.6564bccf4a5bep-4, 0x1.61766c71d46edp-4, 0x1.5d8e5593d492dp-4, 0x1.59ac873edbe2ep-4, 0x1.55d10fd8363c4p-4, 0x1.51fbfd2320b66p-4, 0x1.4e2d5c42f77cp-4, 0x1.4a6539bd6be9p-4, 0x1.46a3a17cbc3dap-4, 0x1.42e89ed1ece6ep-4, 0x1.3f343c77024e4p-4, 0x1.3b868491404a3p-4, 0x1.37df80b3633ap-4, 0x1.343f39dfe354ep-4, 0x1.30a5b88b33edep-4, 0x1.2d13049e00413p-4, 0x1.298725776d2e4p-4, 0x1.260221ef5af1dp-4, 0x1.22840058a3b5cp-4, 0x1.1f0cc6835a4d9p-4, 0x1.1b9c79bf0a2e4p-4, 0x1.18331edcf3b44p-4, 0x1.14d0ba3249a51p-4, 0x1.11754f9a6cc1p-4, 0x1.0e20e27923fd8p-4, 0x1.0ad375bcd3de3p-4, 0x1.078d0be0b6dc5p-4, 0x1.044da6ef0d5c3p-4, 0x1.0115488351548p-4, 0x1.fbc7e398c6e7p-5, 0x1.f573471d72fep-5, 0x1.ef2cbc4d03993p-5, 0x1.e8f443139f64dp-5, 0x1.e2c9da95758cap-5, 0x1.dcad8132fc3a3p-5, 0x1.d69f348d2971cp-5, 0x1.d09ef189a64ecp-5, 0x1.caacb456f26a3p-5, 0x1.c4c8787088a9ep-5, 0x1.bef238a2fb439p-5, 0x1.b929ef0ff8e1bp-5, 0x1.b36f953269008p-5, 0x1.adc323e254ed2p-5, 0x1.a8249358efba6p-5, 0x1.a293db3479f8fp-5, 0x1.9d10f27c2c782p-5, 0x1.979bcfa40d36ep-5, 0x1.92346890c4ae7p-5, 0x1.8cdab29b6239ap-5, 0x1.878ea2951dabcp-5, 0x1.82502ccaff92p-5, 0x1.7d1f45099a58bp-5, 0x1.77fbdea09a459p-5, 0x1.72e5ec6660b51p-5, 0x1.6ddd60bb8a3abp-5, 0x1.68e22d8e6d5dfp-5, 0x1.63f4445e91403p-5, 0x1.5f13964010339p-5, 0x1.5a4013defdd72p-5, 0x1.5579ad82ac7a5p-5, 0x1.50c0531106344p-5, 0x1.4c13f411b83dcp-5, 0x1.47747fb16f88bp-5, 0x1.42e1e4c4f5ad8p-5, 0x1.3e5c11cc5378ep-5, 0x1.39e2f4f5d9711p-5, 0x1.35767c2123138p-5, 0x1.311694e215259p-5, 0x1.2cc32c83c5daep-5, 0x1.287c300b5a138p-5, 0x1.24418c3ae45cp-5, 0x1.20132d94249dcp-5, 0x1.1bf1005b4ed84p-5, 0x1.17daf099bc641p-5, 0x1.13d0ea208e6edp-5, 0x1.0fd2d88b5239dp-5, 0x1.0be0a7428b4eep-5, 0x1.07fa417e3f1dap-5, 0x1.041f924868ac2p-5, 0x1.0050847f6ca12p-5, 0x1.f91a05b0f822bp-6, 0x1.f1a9efc3d2728p-6, 0x1.ea509c0af7069p-6, 0x1.e30ddf155ac65p-6, 0x1.dbe18d31c1629p-6, 0x1.d4cb7a7328292p-6, 0x1.cdcb7ab4f7244p-6, 0x1.c6e1619f36733p-6, 0x1.c00d02aaa6146p-6, 0x1.b94e3124bba6cp-6, 0x1.b2a4c0339704bp-6, 0x1.ac1082d9cca6dp-6, 0x1.a5914bfa419ep-6, 0x1.9f26ee5bb5ecdp-6, 0x1.98d13cac7e06cp-6, 0x1.92900985fdae5p-6, 0x1.8c6327700d03p-6, 0x1.864a68e46ba21p-6, 0x1.8045a051f5da3p-6, 0x1.7a54a01fe73ebp-6, 0x1.74773ab0f469bp-6, 0x1.6ead42665fd1ap-6, 0x1.68f689a2f4952p-6, 0x1.6352e2cdf6052p-6, 0x1.5dc22055db1bap-6, 0x1.584414b339ccfp-6, 0x1.52d8926b5c7ecp-6, 0x1.4d7f6c12e8633p-6, 0x1.4838745079453p-6, 0x1.43037ddf0509cp-6, 0x1.3de05b9061ac3p-6, 0x1.38cee04f8b313p-6, 0x1.33cedf22f6444p-6, 0x1.2ee02b2ecc512p-6, 0x1.2a0297b7073ddp-6, 0x1.2535f8219a844p-6, 0x1.207a1ff86a54bp-6, 0x1.1bcee2eb51803p-6, 0x1.173414d200ae5p-6, 0x1.12a989addd936p-6, 0x1.0e2f15abd1f71p-6, 0x1.09c48d25fb10dp-6, 0x1.0569c4a55d1cdp-6, 0x1.011e90e389928p-6, 0x1.f9c58d984728p-7, 0x1.f16c76fcd565ep-7, 0x1.e931889d57578p-7, 0x1.e1146d8f515f4p-7, 0x1.d914d157faea4p-7, 0x1.d1325feeb4f1dp-7, 0x1.c96cc5bfad855p-7, 0x1.c1c3afae304bcp-7, 0x1.ba36cb1705177p-7, 0x1.b2c5c5d2a87aep-7, 0x1.ab704e375fc51p-7, 0x1.a436131b4b968p-7, 0x1.9d16c3d6503cfp-7, 0x1.96121043fca6ep-7, 0x1.8f27a8c5417dap-7, 0x1.88573e422b0fbp-7, 0x1.81a0822b8a57ap-7, 0x1.7b03267c52039p-7, 0x1.747eddbb3001p-7, 0x1.6e135afbcfc6ap-7, 0x1.67c051e03a2c9p-7, 0x1.61857699f8bfap-7, 0x1.5b627deb48907p-7, 0x1.55571d2822c96p-7, 0x1.4f630a3748155p-7, 0x1.4985fb931efd3p-7, 0x1.43bfa84aa19c8p-7, 0x1.3e0fc8021fd94p-7, 0x1.387612f405444p-7, 0x1.32f241f179f63p-7, 0x1.2d840e62ff338p-7, 0x1.282b324914ee6p-7, 0x1.22e7683c997a5p-7, 0x1.1db86b6f4fcf9p-7, 0x1.189df7ac32b84p-7, 0x1.1397c957dbb12p-7, 0x1.0ea59d70b4081p-7, 0x1.09c7318f3ca26p-7, 0x1.04fc43e646fc9p-7, 0x1.00449342ed911p-7, 0x1.f73fbe19abb25p-8, 0x1.ee1bce8c44bd7p-8, 0x1.e51cd916ed114p-8, 0x1.dc426027b0b17p-8, 0x1.d38be7617a2cap-8, 0x1.caf8f39b78a51p-8, 0x1.c2890ae0fd316p-8, 0x1.ba3bb47102f42p-8, 0x1.b21078bd90a34p-8, 0x1.aa06e16b42985p-8, 0x1.a21e7950aaef2p-8, 0x1.9a56cc757329p-8, 0x1.92af6811b3018p-8, 0x1.8b27da8d2384fp-8, 0x1.83bfb37df61b7p-8, 0x1.7c7683a8306f5p-8, 0x1.754bdcfc66327p-8, 0x1.6e3f5296a7863p-8, 0x1.675078bd8ee9fp-8, 0x1.607ee4e0dbc1ep-8, 0x1.59ca2d983b4f6p-8, 0x1.5331eaa219d34p-8, 0x1.4cb5b4e2268f7p-8, 0x1.4655266022f15p-8, 0x1.400fda4623dddp-8, 0x1.39e56cdf70566p-8, 0x1.33d57b96cc9f8p-8, 0x1.2ddfa4f4ec879p-8, 0x1.2803889f138e8p-8, 0x1.2240c7550371ep-8, 0x1.1c9702efd4e8p-8, 0x1.1705de5ffcf8bp-8, 0x1.118cfdab9042p-8, 0x1.0c2c05ecbed0fp-8, 0x1.06e29d4fbe2cp-8, 0x1.01b06b1140ab4p-8, 0x1.f92a2ef8b7b3ap-9, 0x1.ef2097d1ff0bap-9, 0x1.e54365737546cp-9, 0x1.db91eeb450746p-9, 0x1.d20b8c798c08bp-9, 0x1.c8af99b26c95bp-9, 0x1.bf7d735409921p-9, 0x1.b6747855f0987p-9, 0x1.ad9409ade1487p-9, 0x1.a4db8a4b9e8b6p-9, 0x1.9c4a5f1585717p-9, 0x1.93dfeee38a3b9p-9, 0x1.8b9ba27c08a42p-9, 0x1.837ce48f08676p-9, 0x1.7b8321b2707c2p-9, 0x1.73adc85dc1d44p-9, 0x1.6bfc48e61fccep-9, 0x1.646e1579a1a8fp-9, 0x1.5d02a21bc176ap-9, 0x1.55b964a0c9afdp-9, 0x1.4e91d4a99bcc9p-9, 0x1.478b6b9fc756ap-9, 0x1.40a5a4b0d4a2cp-9, 0x1.39dffcca915ebp-9, 0x1.3339f29677707p-9, 0x1.2cb30675a483p-9, 0x1.264aba7c5fdbdp-9, 0x1.2000926e2bccdp-9, 0x1.19d413b974a26p-9, 0x1.13c4c573200a8p-9, 0x1.0dd23052a0c7dp-9, 0x1.07fbdeada7df5p-9, 0x1.02415c73adcf1p-9, 0x1.f9446e5483d9p-10, 0x1.ee3bfbd0aa3c3p-10, 0x1.e36882a4af5fcp-10, 0x1.d8c9272c6e228p-10, 0x1.ce5d10cd22f3ep-10, 0x1.c42369eec336cp-10, 0x1.ba1b5ff25167p-10, 0x1.b044232ada6a6p-10, 0x1.a69ce6d42187ap-10, 0x1.9d24e10b54888p-10, 0x1.93db4ac6ae437p-10, 0x1.8abf5fcd0f038p-10, 0x1.81d05eae2bcedp-10, 0x1.790d88bab80c3p-10, 0x1.707621fc110e9p-10, 0x1.6809712cb9ebap-10, 0x1.5fc6bfafc91a7p-10, 0x1.57ad598a2290fp-10, 0x1.4fbc8d59848fp-10, 0x1.47f3ac4d69e9dp-10, 0x1.40520a1f8ee3cp-10, 0x1.38d6fd0b3e24ep-10, 0x1.3181ddc727585p-10, 0x1.2a52077ca442ap-10, 0x1.2346d7c08c6a4p-10, 0x1.1c5fae8c6e149p-10, 0x1.159bee35a7738p-10, 0x1.0efafb67d1e11p-10, 0x1.087c3d1bee317p-10, 0x1.021f1c9230809p-10, 0x1.f7c60a9488d4ap-11, 0x1.eb8ec9f8ff391p-11, 0x1.df97572488afdp-11, 0x1.d3de963f9ec4p-11, 0x1.c8636fb8df07fp-11, 0x1.bd24d03839158p-11, 0x1.b221a890a8c8bp-11, 0x1.a758edb3b05dp-11, 0x1.9cc998a1b0abfp-11, 0x1.9272a65facfbep-11, 0x1.885317e6f3d46p-11, 0x1.7e69f219ddd12p-11, 0x1.74b63db68616dp-11, 0x1.6b3707498fd7fp-11, 0x1.61eb5f20ebd97p-11, 0x1.58d2594143889p-11, 0x1.4feb0d565dd5fp-11, 0x1.473496a9772f2p-11, 0x1.3eae14133b734p-11, 0x1.3656a7f0cfc19p-11, 0x1.2e2d78164439bp-11, 0x1.2631adc4adcfp-11, 0x1.1e62759c57682p-11, 0x1.16beff929bf86p-11, 0x1.0f467ee500029p-11, 0x1.07f82a0f0036p-11, 0x1.00d33abe5d2ffp-11, 0x1.f3addb8d57c6cp-12, 0x1.e60506305672p-12, 0x1.d8aa7b67bde66p-12, 0x1.cb9cc74016ccp-12, 0x1.beda7bbdfc0f5p-12, 0x1.b26230c5dceb2p-12, 0x1.a6328409625a1p-12, 0x1.9a4a18ef7afcdp-12, 0x1.8ea79884c8f74p-12, 0x1.8349b1624a80ep-12, 0x1.782f179bfcd77p-12, 0x1.6d5684ac32516p-12, 0x1.62beb760e63edp-12, 0x1.586673c65fbdap-12, 0x1.4e4c8315e22edp-12, 0x1.446fb3a1c47d5p-12, 0x1.3aced8c2aeed8p-12, 0x1.3168cac66625p-12, 0x1.283c66db6865p-12, 0x1.1f488effdc26p-12, 0x1.168c29f03ebf9p-12, 0x1.0e0623153496ap-12, 0x1.05b56a71a1594p-12, 0x1.fb31e923f6123p-13, 0x1.eb5f74f706b1cp-13, 0x1.dbf17335fa2c3p-13, 0x1.cce5e76975ff2p-13, 0x1.be3adda488877p-13, 0x1.afee6a6ad86c7p-13, 0x1.a1feaa8b203f6p-13, 0x1.9469c3023c424p-13, 0x1.872de0d9e365dp-13, 0x1.7a49390d4b49cp-13, 0x1.6dba0867bd334p-13, 0x1.617e93676bfb7p-13, 0x1.55952621716ep-13, 0x1.49fc14223885dp-13, 0x1.3eb1b850baf0ep-13, 0x1.33b474d4c0b1dp-13, 0x1.2902b2f810854p-13, 0x1.1e9ae30c2dcefp-13, 0x1.147b7c4d6660fp-13, 0x1.0aa2fcc99036cp-13, 0x1.010fe944a8f52p-13, 0x1.ef819a3dcb9cbp-14, 0x1.dd68747464c56p-14, 0x1.cbd191c03206ep-14, 0x1.baba2f54fe46bp-14, 0x1.aa1f96d07b434p-14, 0x1.99ff1e0ec5942p-14, 0x1.8a5626f480b2fp-14, 0x1.7b221f4257efcp-14, 0x1.6c608062c8449p-14, 0x1.5e0ecf41734a4p-14, 0x1.502a9c175781bp-14, 0x1.42b1823e215cfp-14, 0x1.35a12807fd633p-14, 0x1.28f73e90b6189p-14, 0x1.1cb18190afa48p-14, 0x1.10cdb73378f0cp-14, 0x1.0549aff03f35ep-14, 0x1.f4468cb88ec58p-15, 0x1.deb0be097d322p-15, 0x1.c9cdd0898cb4fp-15, 0x1.b599b43ab7dbap-15, 0x1.a2106c1ef7cf6p-15, 0x1.8f2e0de86fb73p-15, 0x1.7ceec1afc67d8p-15, 0x1.6b4ec1a4c29b7p-15, 0x1.5a4a59c7506a2p-15, 0x1.49dde79f3624dp-15, 0x1.3a05d9f0966bbp-15, 0x1.2abeb0761b23ap-15, 0x1.1c04fb9b7050ap-15, 0x1.0dd55c3a8e135p-15, 0x1.002c835541c32p-15, 0x1.e60e63a0f9458p-16, 0x1.ccc47067e72ap-16, 0x1.b474ecdb6b812p-16, 0x1.9d19b713f5bdbp-16, 0x1.86accaf2a0e27p-16, 0x1.7128419dd91cdp-16, 0x1.5c86510eea976p-16, 0x1.48c14b9245bdap-16, 0x1.35d39f56be673p-16, 0x1.23b7d5ef7151cp-16, 0x1.126893ea6ebd1p-16, 0x1.01e098533cfa5p-16, 0x1.e43578a56a4ebp-17, 0x1.c623e55abc58cp-17, 0x1.a9828ec8d0816p-17, 0x1.8e47be98613ap-17, 0x1.7469ef25c5ef6p-17, 0x1.5bdfcacc4c796p-17, 0x1.44a02b1719617p-17, 0x1.2ea217f44e62ep-17, 0x1.19dcc6e736281p-17, 0x1.06479a4a42adap-17, 0x1.e7b4410f3f2d3p-18, 0x1.c51826dd6b381p-18, 0x1.a4aaaed002527p-18, 0x1.865bf5712077ap-18, 0x1.6a1c69be7a6dp-18, 0x1.4fdccba050d2ap-18, 0x1.378e2aa89239ep-18, 0x1.2121e4999810dp-18, 0x1.0c89a433a9b69p-18, 0x1.f36ebf8ca87c2p-19, 0x1.d13aafedc4ae1p-19, 0x1.b25c2cf1d5aebp-19, 0x1.96b8d9844d6efp-19, 0x1.7e36e5afcef0bp-19, 0x1.68bd0c51109d3p-19, 0x1.56329062d659dp-19, 0x1.467f3af299231p-19, 0x1.398b58c10f3acp-19, 0x1.2f3fb7d23e69ap-19, 0x1.2785a53575779p-19, 0x1.2246eaefdef54p-19, 0x1.1f6dcdcf01a8bp-19, 0x1.1ee50b1edbce4p-19, 0x1.2097d6b9dfc76p-19, 0x1.2471d8ddb9068p-19, 0x1.2a5f2c1676749p-19, 0x1.324c5b3ed813ap-19, 0x1.3c265faa9c336p-19, 0x1.47da9f0e33d1fp-19, 0x1.5556e99c8580ap-19, 0x1.648978191a651p-19, 0x1.7560ea1c2d906p-19, 0x1.87cc4423029b6p-19, 0x1.9bbaedc1ffb75p-19, 0x1.b11caff7caa8cp-19, 0x1.c7e1b353959cdp-19, 0x1.dffa7e4d01a92p-19, }}, 
      {{-0x1.eb759b3ce88e6p-3, -0x1.ebbf2bdddb344p-3, -0x1.ec380bbc8008cp-3, -0x1.ecddc9f65803ep-3, -0x1.edad400d4ca97p-3, -0x1.eea2c1942036bp-3, -0x1.efba494bceefep-3, -0x1.f0efa130795ep-3, -0x1.f23e8495cf33ap-3, -0x1.f3a2bc522276bp-3, -0x1.f518355c2071bp-3, -0x1.f69b1262c0874p-3, -0x1.f827b8ed80454p-3, -0x1.f9bada8f140bdp-3, -0x1.fb517aaf1e4p-3, -0x1.fce8f169d6491p-3, -0x1.fe7eebff8620cp-3, -0x1.0008b5a3b1e6ep-2, -0x1.00cf6048fb859p-2, -0x1.0192c4aee7bdap-2, -0x1.0252551b44373p-2, -0x1.030da4852c62dp-2, -0x1.03c4639b0a85p-2, -0x1.04765dbdd40fep-2, -0x1.05237605ca105p-2, -0x1.05cba45ff6cb6p-2, -0x1.066ef2cf34b7ap-2, -0x1.070d7ad7c3ddp-2, -0x1.07a7631981b3dp-2, -0x1.083cdd1a6fe25p-2, -0x1.08ce23418652bp-2, -0x1.095b770083b44p-2, -0x1.09e51f2aa98efp-2, -0x1.0a6b6675cfc39p-2, -0x1.0aee9a2300648p-2, -0x1.0b6f08cbca2eap-2, -0x1.0bed0151793bap-2, -0x1.0c68d1eba1c87p-2, -0x1.0ce2c75392b2cp-2, -0x1.0d5b2c0a6e35fp-2, -0x1.0dd247b7f235ap-2, -0x1.0e485ea01bb1dp-2, -0x1.0ebdb12df5f14p-2, -0x1.0f327b921c787p-2, -0x1.0fa6f5737987bp-2, -0x1.101b51b100f29p-2, -0x1.108fbe3313c86p-2, -0x1.110463cb6cbcfp-2, -0x1.1179662262c48p-2, -0x1.11eee3b065c78p-2, -0x1.1264f5c29b11ep-2, -0x1.12dbb0898941ap-2, -0x1.13532330c84d9p-2, -0x1.13cb57feaaae6p-2, -0x1.1444547ae8ee9p-2, -0x1.14be199b59c81p-2, -0x1.1538a3f5c55b1p-2, -0x1.15b3ebf5faab6p-2, -0x1.162fe6174e92p-2, -0x1.16ac8320c06b3p-2, -0x1.1729b06305318p-2, -0x1.17a757f7ced0ep-2, -0x1.18256101b6a4dp-2, -0x1.18a3afec36ea4p-2, -0x1.192226ab30f71p-2, -0x1.19a0a4f9994d1p-2, -0x1.1a1f0896dab39p-2, -0x1.1a9d2d829c56ap-2, -0x1.1b1aee36ab98p-2, -0x1.1b9823dec16fep-2, -0x1.1c14a68df5a09p-2, -0x1.1c904d71c4e94p-2, -0x1.1d0aef0279665p-2, -0x1.1d846130f7c27p-2, -0x1.1dfc7991d745bp-2, -0x1.1e730d85ca7bp-2, -0x1.1ee7f25f5323fp-2, -0x1.1f5afd85d4d57p-2, -0x1.1fcc0496071e6p-2, -0x1.203add7fe2edp-2, -0x1.20a75ea21b095p-2, -0x1.21115ee335a04p-2, -0x1.2178b5c864c9fp-2, -0x1.21dd3b8a35585p-2, -0x1.223ec92730f61p-2, -0x1.229d3874925f8p-2, -0x1.22f8642d23e45p-2, -0x1.235027fe6a829p-2, -0x1.23a4609435c8bp-2, -0x1.23f4eba2b2692p-2, -0x1.2441a7ef1ba33p-2, -0x1.248a755722d26p-2, -0x1.24cf34d727154p-2, -0x1.250fc88f58519p-2, -0x1.254c13c7d64bdp-2, -0x1.2583faf3e553ep-2, -0x1.25b763b44da41p-2, -0x1.25e634d8f232ap-2, -0x1.26105661b8e99p-2, -0x1.2635b17ecb4d1p-2, -0x1.26563090458fp-2, -0x1.2671bf256140fp-2, -0x1.268849fb215bep-2, -0x1.2699befa93d9cp-2, -0x1.26a60d36af781p-2, -0x1.26ad24e9d6011p-2, -0x1.26aef77305a73p-2, -0x1.26ab7752c1dp-2, -0x1.26a29827b8945p-2, -0x1.26944eab2bfffp-2, -0x1.268090ad268ap-2, -0x1.266755107c191p-2, -0x1.264893c6a13e7p-2, -0x1.262445cb57c8fp-2, -0x1.25fa65203b3bap-2, -0x1.25caecc824cf9p-2, -0x1.2595d8c27976ep-2, -0x1.255b260659f85p-2, -0x1.251ad27db6e5p-2, -0x1.24d4dd00559a2p-2, -0x1.2489454eba6e4p-2, -0x1.24380c0d061e4p-2, -0x1.23e132bdbf6edp-2, -0x1.2384bbbc90eeep-2, -0x1.2322aa38f987fp-2, -0x1.22bb0230f0bd8p-2, -0x1.224dc86b81b1p-2, -0x1.21db027361bedp-2, -0x1.2162b6917a5b4p-2, -0x1.20e4ebc770bb9p-2, -0x1.2061a9ca2c9e6p-2, -0x1.1fd8f8fc55d7cp-2, -0x1.1f4ae268d5d22p-2, -0x1.1eb76fbd566c2p-2, -0x1.1e1eab44c5acep-2, -0x1.1d809fe1d511ep-2, -0x1.1cdd590984bd9p-2, -0x1.1c34e2bdadc41p-2, -0x1.1b87498795b4dp-2, -0x1.1ad49a7287db6p-2, -0x1.1a1ce306782ddp-2, -0x1.19603142afe76p-2, -0x1.189e939883601p-2, -0x1.17d818e61748ep-2, -0x1.170cd0712e42cp-2, -0x1.163cc9e208eeep-2, -0x1.1568153e516ep-2, -0x1.148ec2e41a39bp-2, -0x1.13b0e384eaa04p-2, -0x1.12ce8820e0ccfp-2, -0x1.11e7c201e1733p-2, -0x1.10fca2b6e16bdp-2, -0x1.100d3c0f3e472p-2, -0x1.0f19a0162d4c9p-2, -0x1.0e21e10e42aafp-2, -0x1.0d26116d0ab0fp-2, -0x1.0c2643d6bd68fp-2, -0x1.0b228b1a09137p-2, -0x1.0a1afa2bf22ebp-2, -0x1.090fa423cf331p-2, -0x1.08009c3758fbbp-2, -0x1.06edf5b6d9f7bp-2, -0x1.05d7c40970b63p-2, -0x1.04be1aa96e975p-2, -0x1.03a10d20d3142p-2, -0x1.0280af05db414p-2, -0x1.015d13f7b01b4p-2, -0x1.00364f9b2d03p-2, -0x1.fe18eb2f7e985p-3, -0x1.fbbf3328c8479p-3, -0x1.f95f9e6972c1bp-3, -0x1.f6fa542c6144dp-3, -0x1.f48f7b9aab904p-3, -0x1.f21f3bc6623ecp-3, -0x1.efa9bba58a8c3p-3, -0x1.ed2f220d44536p-3, -0x1.eaaf95ad28573p-3, -0x1.e82b3d0ad60c1p-3, -0x1.e5a23e7daf1e1p-3, -0x1.e314c02ac89fap-3, -0x1.e082e8010751ap-3, -0x1.ddecdbb569a92p-3, -0x1.db52c0bf83f81p-3, -0x1.d8b4bc56242bap-3, -0x1.d612f36c25098p-3, -0x1.d36d8aad6ac54p-3, -0x1.d0c4a67c0aaf4p-3, -0x1.ce186aed9b59fp-3, -0x1.cb68fbc8ab732p-3, -0x1.c8b67c8261f46p-3, -0x1.c601103c42642p-3, -0x1.c348d9c2198d3p-3, -0x1.c08dfb8809ep-3, -0x1.bdd097a8ba232p-3, -0x1.bb10cfe3ae5bp-3, -0x1.b84ec59bb5cf2p-3, -0x1.b58a99d580a3dp-3, -0x1.b2c46d36535bfp-3, -0x1.affc6002d2fc5p-3, -0x1.ad32921df7012p-3, -0x1.aa6723080b29p-3, -0x1.a79a31ddd38e4p-3, -0x1.a4cbdd57cce53p-3, -0x1.a1fc43c97ace2p-3, -0x1.9f2b8320d5d16p-3, -0x1.9c59b8e5ce77cp-3, -0x1.99870239e6606p-3, -0x1.96b37bd7d92cp-3, -0x1.93df42135eea6p-3, -0x1.910a70d8ff3dfp-3, -0x1.8e3523adf4551p-3, -0x1.8b5f75b024c1ep-3, -0x1.888981962379cp-3, -0x1.85b361af4bfbdp-3, -0x1.82dd2fe3e1fabp-3, -0x1.800705b541bep-3, -0x1.7d30fc3e259f2p-3, -0x1.7a5b2c32e8e34p-3, -0x1.7785ade1e417p-3, -0x1.74b09933cb2cdp-3, -0x1.71dc05ac1d32bp-3, -0x1.6f080a6993272p-3, -0x1.6c34be26a68d5p-3, -0x1.6962373a0e551p-3, -0x1.66908b9757068p-3, -0x1.63bfd0cf6f7f4p-3, -0x1.60f01c114c8ddp-3, -0x1.5e21822a85837p-3, -0x1.5b541788009b9p-3, -0x1.5887f0369da0bp-3, -0x1.55bd1fe3e95d3p-3, -0x1.52f3b9ded2ce2p-3, -0x1.502bd11869226p-3, -0x1.4d65782494725p-3, -0x1.4aa0c13adac83p-3, -0x1.47ddbe3725286p-3, -0x1.451c809a81151p-3, -0x1.425d198bef436p-3, -0x1.3f9f99d92b478p-3, -0x1.3ce411f778874p-3, -0x1.3a2a920471d0fp-3, -0x1.377329c6d48bcp-3, -0x1.34bde8af56765p-3, -0x1.320addd971b8fp-3, -0x1.2f5a180c363dfp-3, -0x1.2caba5bb2051cp-3, -0x1.29ff9506e3d3ap-3, -0x1.2755f3be43b69p-3, -0x1.24aecf5edef46p-3, -0x1.220a3516056b1p-3, -0x1.1f6831c188549p-3, -0x1.1cc8d1f0881b1p-3, -0x1.1a2c21e44855p-3, -0x1.17922d90fcb85p-3, -0x1.14fb009e952bfp-3, -0x1.1266a66991c47p-3, -0x1.0fd52a03c8ad6p-3, -0x1.0d46963536a0fp-3, -0x1.0abaf57cc4d18p-3, -0x1.08325211179ecp-3, -0x1.05acb5e1547f9p-3, -0x1.032a2a95e709fp-3, -0x1.00aab9914c23ap-3, -0x1.fc5cd7e1a002ap-4, -0x1.f76a951ab2ad9p-4, -0x1.f27ebbf84ce9dp-4, -0x1.ed995d1f1bd7fp-4, -0x1.e8ba88af8aac7p-4, -0x1.e3e24e472d166p-4, -0x1.df10bd0244089p-4, -0x1.da45e37d3b79dp-4, -0x1.d581cfd61308bp-4, -0x1.d0c48fadd9f94p-4, -0x1.cc0e302a20a4ap-4, -0x1.c75ebdf662df6p-4, -0x1.c2b6454577a67p-4, -0x1.be14d1d2f63e4p-4, -0x1.b97a6ee4a7a28p-4, -0x1.b4e7274bdd924p-4, -0x1.b05b0566e7843p-4, -0x1.abd6132260e71p-4, -0x1.a75859faa2914p-4, -0x1.a2e1e2fd11012p-4, -0x1.9e72b6c97df7ap-4, -0x1.9a0add93868d8p-4, -0x1.95aa5f23ddc26p-4, -0x1.915142d9afacp-4, -0x1.8cff8fabeb7e3p-4, -0x1.88b54c2a995b7p-4, -0x1.84727e802a2adp-4, -0x1.80372c72c6056p-4, -0x1.7c035b65993b3p-4, -0x1.77d7105a1f3c3p-4, -0x1.73b24ff16d26cp-4, -0x1.6f951e6d7a0cep-4, -0x1.6b7f7fb2651cep-4, -0x1.67717747bcab5p-4, -0x1.636b0859c0d71p-4, -0x1.5f6c35baa7c2bp-4, -0x1.5b7501e3dd0d9p-4, -0x1.57856ef744ff7p-4, -0x1.539d7ec0787cap-4, -0x1.4fbd32b6047fbp-4, -0x1.4be48bfaa6c2p-4, -0x1.48138b5e87672p-4, -0x1.444a3160751e8p-4, -0x1.40887e2f1c84fp-4, -0x1.3cce71aa4094bp-4, -0x1.391c0b63f1ad4p-4, -0x1.35714aa1c27e4p-4, -0x1.31ce2e5dfc6bcp-4, -0x1.2e32b548d36b4p-4, -0x1.2a9eddc9970ffp-4, -0x1.2712a5ffe4d29p-4, -0x1.238e0bc4d67a5p-4, -0x1.20110cac32fbep-4, -0x1.1c9ba6059930fp-4, -0x1.192dd4ddaef52p-4, -0x1.15c795ff4acebp-4, -0x1.1268e5f49e78dp-4, -0x1.0f11c1085fab5p-4, -0x1.0bc22346f05b4p-4, -0x1.087a087f8484dp-4, -0x1.05396c45484fep-4, -0x1.020049f082dc5p-4, -0x1.fd9d393f732bp-5, -0x1.f748be71a32dbp-5, -0x1.f10318d4616b1p-5, -0x1.eacc3d57b3961p-5, -0x1.e4a4208119bbbp-5, -0x1.de8ab66dc244ap-5, -0x1.d87ff2d4c06d1p-5, -0x1.d283c9093f37fp-5, -0x1.cc962bfcae0ccp-5, -0x1.c6b70e40f0da6p-5, -0x1.c0e6620a849cep-5, -0x1.bb241932a9856p-5, -0x1.b570253981deep-5, -0x1.afca7748341ep-5, -0x1.aa33003306418p-5, -0x1.a4a9b07b749f7p-5, -0x1.9f2e78524acf5p-5, -0x1.99c14799b0f76p-5, -0x1.94620de73c9efp-5, -0x1.8f10ba85fb852p-5, -0x1.89cd3c7877c8fp-5, -0x1.8497827abbb65p-5, -0x1.7f6f7b04515b1p-5, -0x1.7a55144a3cd47p-5, -0x1.75483c40f4263p-5, -0x1.7048e09e50624p-5, -0x1.6b56eedb7e769p-5, -0x1.66725436e9a53p-5, -0x1.619afdb61e996p-5, -0x1.5cd0d827b25bp-5, -0x1.5813d0251d4cp-5, -0x1.5363d2149354cp-5, -0x1.4ec0ca2adc10cp-5, -0x1.4a2aa46d1fb9p-5, -0x1.45a14cb2b51c9p-5, -0x1.4124aea6e673p-5, -0x1.3cb4b5cab62f3p-5, -0x1.38514d769b064p-5, -0x1.33fa60dc3925ap-5, -0x1.2fafdb08156e6p-5, -0x1.2b71a6e3452b3p-5, -0x1.273faf35188p-5, -0x1.2319dea4bfebfp-5, -0x1.1f001fbae9b42p-5, -0x1.1af25ce3605c5p-5, -0x1.16f0806e9f9ffp-5, -0x1.12fa74936531fp-5, -0x1.0f10237039bf5p-5, -0x1.0b31770cfd761p-5, -0x1.075e595c64b75p-5, -0x1.0396b43d74151p-5, -0x1.ffb4e2f9f737p-6, -0x1.f852f5ae06a7cp-6, -0x1.f10773f075e37p-6, -0x1.e9d230febc7b1p-6, -0x1.e2b2fffd33b43p-6, -0x1.dba9b3f9c8259p-6, -0x1.d4b61feeaed93p-6, -0x1.cdd816c4ffb0bp-6, -0x1.c70f6b57583b2p-6, -0x1.c05bf07460494p-6, -0x1.b9bd78e1509dap-6, -0x1.b333d75c6c3e4p-6, -0x1.acbede9f6aff1p-6, -0x1.a65e6161dae6bp-6, -0x1.a012325b7d5a5p-6, -0x1.99da24468d10bp-6, -0x1.93b609e206d5dp-6, -0x1.8da5b5f3db15dp-6, -0x1.87a8fb4b1dff8p-6, -0x1.81bfacc2282c1p-6, -0x1.7be99d40b03cbp-6, -0x1.76269fbdd0c4dp-6, -0x1.7076874213211p-6, -0x1.6ad926e95f90bp-6, -0x1.654e51e4eeb77p-6, -0x1.5fd5db7d2a3bdp-6, -0x1.5a6f9713843f9p-6, -0x1.551b582444fe5p-6, -0x1.4fd8f24850ae1p-6, -0x1.4aa83936da60ap-6, -0x1.458900c719b4cp-6, -0x1.407b1cf1e94f3p-6, -0x1.3b7e61d367701p-6, -0x1.3692a3ac8003p-6, -0x1.31b7b6e47493dp-6, -0x1.2ced700a5ded5p-6, -0x1.2833a3d6994fep-6, -0x1.238a272c30bb2p-6, -0x1.1ef0cf1a3d96cp-6, -0x1.1a6770dd3eb07p-6, -0x1.15ede1e05ebe6p-6, -0x1.1183f7bebe673p-6, -0x1.0d298844a7108p-6, -0x1.08de6970c1326p-6, -0x1.04a2717534da8p-6, -0x1.007576b8cc4bap-6, -0x1.f8ae9fb00e437p-7, -0x1.f08fa74c4b71bp-7, -0x1.e88db25c59acap-7, -0x1.e0a86f67bd86ep-7, -0x1.d8df8d696600ep-7, -0x1.d132bbd16d7c9p-7, -0x1.c9a1aa86e8c41p-7, -0x1.c22c09e992e17p-7, -0x1.bad18ad371ec6p-7, -0x1.b391de9a6283bp-7, -0x1.ac6cb7119f0cdp-7, -0x1.a561c68b29664p-7, -0x1.9e70bfd931c8bp-7, -0x1.9799564f69f4ap-7, -0x1.90db3dc441dafp-7, -0x1.8a362a922446p-7, -0x1.83a9d198948bcp-7, -0x1.7d35e83d496fdp-7, -0x1.76da246d39f29p-7, -0x1.70963c9d8c91ep-7, -0x1.6a69e7cc91cc7p-7, -0x1.6454dd82973d2p-7, -0x1.5e56d5d2c760ap-7, -0x1.586f895be08acp-7, -0x1.529eb148f5b63p-7, -0x1.4ce4075214964p-7, -0x1.473f45bceb3dp-7, -0x1.41b0275d534b6p-7, -0x1.3c366795dc25dp-7, -0x1.36d1c25846f17p-7, -0x1.3181f425f2aa4p-7, -0x1.2c46ba10412fbp-7, -0x1.271fd1b8ef3acp-7, -0x1.220cf952630a3p-7, -0x1.1d0def9fef17dp-7, -0x1.182273f60aac7p-7, -0x1.134a463a7f30ep-7, -0x1.0e8526e48c7d9p-7, -0x1.09d2d6fd01337p-7, -0x1.0533181e50f89p-7, -0x1.00a5ac7496285p-7, -0x1.f854ad7b1f6e7p-8, -0x1.ef81b4912d911p-8, -0x1.e6d1f5ed1e1e7p-8, -0x1.de44fa7389c6p-8, -0x1.d5da4c2b8d60cp-8, -0x1.cd91763e7da9dp-8, -0x1.c56a04f76f0ddp-8, -0x1.bd6385c2c633fp-8, -0x1.b57d872da2cfap-8, -0x1.adb798e54dd29p-8, -0x1.a6114bb69432fp-8, -0x1.9e8a318d115e4p-8, -0x1.9721dd726a311p-8, -0x1.8fd7e38d76c33p-8, -0x1.88abd9217776p-8, -0x1.819d548d1ab97p-8, -0x1.7aabed498c62ap-8, -0x1.73d73be9726fp-8, -0x1.6d1eda17e4fep-8, -0x1.6682629752974p-8, -0x1.60017140577dcp-8, -0x1.599ba3009ce4dp-8, -0x1.535095d98bf41p-8, -0x1.4d1fe8df275aep-8, -0x1.47093c36aa587p-8, -0x1.410c311538a6ep-8, -0x1.3b2869be851c9p-8, -0x1.355d898368d26p-8, -0x1.2fab34c07c8a4p-8, -0x1.2a1110dc8bcdfp-8, -0x1.248ec44735a74p-8, -0x1.1f23f677547c5p-8, -0x1.19d04fe970568p-8, -0x1.14937a1e2d803p-8, -0x1.0f6d1f98c4243p-8, -0x1.0a5cebdd422b1p-8, -0x1.05628b6effc17p-8, -0x1.007dabcedeacfp-8, -0x1.f75bf6f35e1f3p-9, -0x1.ede653ccba911p-9, -0x1.e499cf08ae901p-9, -0x1.db75cb7361bc5p-9, -0x1.d279adc2d821bp-9, -0x1.c9a4dc935a5b4p-9, -0x1.c0f6c063eceaap-9, -0x1.b86ec39290634p-9, -0x1.b00c5258b8313p-9, -0x1.a7cedac782533p-9, -0x1.9fb5ccc41a6d5p-9, -0x1.97c09a03e7f0cp-9, -0x1.8feeb608e8bd2p-9, -0x1.883f961dd5b63p-9, -0x1.80b2b1525efe9p-9, -0x1.794780776f848p-9, -0x1.71fd7e1b3d532p-9, -0x1.6ad426859bc2p-9, -0x1.63caf7b3f813p-9, -0x1.5ce17155a20f8p-9, -0x1.561714c7ec1d5p-9, -0x1.4f6b6512304e8p-9, -0x1.48dde6e21a1eap-9, -0x1.426e2087958ep-9, -0x1.3c1b99f123916p-9, -0x1.35e5dca7b7291p-9, -0x1.2fcc73cb2175ep-9, -0x1.29ceec0dd72b7p-9, -0x1.23ecd3b154c31p-9, -0x1.1e25ba820b567p-9, -0x1.187931d38d176p-9, -0x1.12e6cc7cd0db9p-9, -0x1.0d6e1ed405a2ap-9, -0x1.080ebeaaf9992p-9, -0x1.02c8434b1e984p-9, -0x1.fb348ae35e979p-10, -0x1.f108be97bbd44p-10, -0x1.e70c58e5f194bp-10, -0x1.dd3e93d12275p-10, -0x1.d39eac257cf7dp-10, -0x1.ca2be1706acccp-10, -0x1.c0e575f939bp-10, -0x1.b7caaeb92fab6p-10, -0x1.aedad3548aa78p-10, -0x1.a6152e125c61ap-10, -0x1.9d790bd5a982fp-10, -0x1.9505bc15a78aap-10, -0x1.8cba90d64e083p-10, -0x1.8496dea138e6bp-10, -0x1.7c99fc7e04bcep-10, -0x1.74c343eb41fbbp-10, -0x1.6d1210d70f2acp-10, -0x1.6585c197f6b2cp-10, -0x1.5e1db6e58919fp-10, -0x1.56d953d1afe69p-10, -0x1.4fb7fdc0e8276p-10, -0x1.48b91c63f98bp-10, -0x1.41dc19b039ea4p-10, -0x1.3b2061d92177ep-10, -0x1.348563490fc6p-10, -0x1.2e0a8e9a7ce15p-10, -0x1.27af56912a6c9p-10, -0x1.217330136a204p-10, -0x1.1b5592232e3f5p-10, -0x1.1555f5d7ac69ep-10, -0x1.0f73d65650cbbp-10, -0x1.09aeb0cc9dbbap-10, -0x1.040604690b6fap-10, -0x1.fcf2a4aa93205p-11, -0x1.f2103b5e1756cp-11, -0x1.e763d7043c9f3p-11, -0x1.dcec85840552p-11, -0x1.d2a958870f117p-11, -0x1.c899656d1a697p-11, -0x1.bebbc53ff7506p-11, -0x1.b50f94a6e5988p-11, -0x1.ab93f3dabf971p-11, -0x1.a2480699b1f45p-11, -0x1.992af41b620b8p-11, -0x1.903be7053d469p-11, -0x1.877a0d5e7682ap-11, -0x1.7ee49884a8831p-11, -0x1.767abd202633cp-11, -0x1.6e3bb318d360cp-11, -0x1.6626b58a76ff7p-11, -0x1.5e3b02b9dd889p-11, -0x1.5677dc09e219ep-11, -0x1.4edc85efd70a2p-11, -0x1.476847e97c283p-11, -0x1.401a6c719a6c8p-11, -0x1.38f240f5dcf25p-11, -0x1.31ef15cbb611cp-11, -0x1.2b103e26a7964p-11, -0x1.2455100d56afp-11, -0x1.1dbce44f9552p-11, -0x1.1747167c74a0ap-11, -0x1.10f304d7ee974p-11, -0x1.0ac010513c72cp-11, -0x1.04ad9c791d19fp-11, -0x1.fd761eefe6e2p-12, -0x1.f1cfa40879733p-12, -0x1.e6669eb312a6ap-12, -0x1.db39ea5ccfe3fp-12, -0x1.d04867577562ap-12, -0x1.c590fac6c20bp-12, -0x1.bb128e8e46d8ap-12, -0x1.b0cc113fd4351p-12, -0x1.a6bc76094c662p-12, -0x1.9ce2b4a3a66d5p-12, -0x1.933dc94196d59p-12, -0x1.89ccb47e5ba0fp-12, -0x1.808e7b4d14b9dp-12, -0x1.778226e7dce44p-12, -0x1.6ea6c4bfb332dp-12, -0x1.65fb666bf7f2ep-12, -0x1.5d7f219a4fd39p-12, -0x1.55310fff5ec5fp-12, -0x1.4d104f461f87ap-12, -0x1.451c01015728bp-12, -0x1.3d534a9c0275bp-12, -0x1.35b55549e59b9p-12, -0x1.2e414df9689ccp-12, -0x1.26f665441df35p-12, -0x1.1fd3cf60ec08fp-12, -0x1.18d8c414f2ep-12, -0x1.12047ea6556bep-12, -0x1.0b563dcd8bc37p-12, -0x1.04cd43a7de905p-12, -0x1.fcd1ab53769e6p-13, -0x1.f050792332438p-13, -0x1.e41588b430bb9p-13, -0x1.d81f785b2984fp-13, -0x1.cc6cecb2028fap-13, -0x1.c0fc907d9f47dp-13, -0x1.b5cd1496a43b3p-13, -0x1.aadd2fcebf07fp-13, -0x1.a02b9ed909a12p-13, -0x1.95b724320998fp-13, -0x1.8b7e880832051p-13, -0x1.818098233157bp-13, -0x1.77bc27ceb1062p-13, -0x1.6e300fc1c3cedp-13, -0x1.64db2e0969ed6p-13, -0x1.5bbc65f25d8ffp-13, -0x1.52d29ff2ba5ep-13, -0x1.4a1cc994e5a7bp-13, -0x1.4199d561d8f4ap-13, -0x1.3948baccbba4p-13, -0x1.3128761e132a9p-13, -0x1.2938085ee5cdcp-13, -0x1.217677451337bp-13, -0x1.19e2cd1fc9de1p-13, -0x1.127c18c3eee5fp-13, -0x1.0b416d781009ap-13, -0x1.0431e2e2d7b47p-13, -0x1.fa9929ef0138ep-14, -0x1.ed2147c66717fp-14, -0x1.dffa67f7acedap-14, -0x1.d322db5b2aff7p-14, -0x1.c698fad27650bp-14, -0x1.ba5b272736731p-14, -0x1.ae67c8e645fb2p-14, -0x1.a2bd5041071afp-14, -0x1.975a34ea3e85cp-14, -0x1.8c3cf5f6dfda5p-14, -0x1.816419bc48e3p-14, -0x1.76ce2db205b31p-14, -0x1.6c79c6522687ep-14, -0x1.62657efa4f091p-14, -0x1.588ff9cd8f1cap-14, -0x1.4ef7df97026eep-14, -0x1.459bdfac57796p-14, -0x1.3c7aafd0925ap-14, -0x1.33930c17c6a2cp-14, -0x1.2ae3b6cb7bc38p-14, -0x1.226b784e820e1p-14, -0x1.1a291f024998ap-14, -0x1.121b7f2c706e4p-14, -0x1.0a4172db6747ap-14, -0x1.0299d9cdba87p-14, -0x1.f64732afe8598p-15, -0x1.e7bb389677b2ap-15, -0x1.d98da5bc9a22fp-15, -0x1.cbbc6524e1a08p-15, -0x1.be456c3d2cb34p-15, -0x1.b126baaa7923ep-15, -0x1.a45e5a1e587adp-15, -0x1.97ea5e27ccdffp-15, -0x1.8bc8e40556c87p-15, -0x1.7ff8127adbab7p-15, -0x1.747619a56c51bp-15, -0x1.694132d0926adp-15, -0x1.5e57a04b9edb7p-15, -0x1.53b7ad41d02efp-15, -0x1.495fad90d9a0bp-15, -0x1.3f4dfda0022f1p-15, -0x1.3581023ac1ebp-15, -0x1.2bf72867fd81dp-15, -0x1.22aee54571febp-15, -0x1.19a6b5e171a44p-15, -0x1.10dd1f168051cp-15, -0x1.0850ad65e37ddp-15, -0x1.ffffe9ae20228p-16, -0x1.efd321a107d39p-16, -0x1.e01847f0f440ep-16, -0x1.d0ccb02356882p-16, -0x1.c1edbbb4395abp-16, -0x1.b378d9d4a3a51p-16, -0x1.a56b872a74135p-16, -0x1.97c34d911e1e9p-16, -0x1.8a7dc3db35ea3p-16, -0x1.7d988d93f0984p-16, -0x1.71115ac5aa209p-16, -0x1.64e5e7bd1545ap-16, -0x1.5913fccdd6b5p-16, -0x1.4d996e1a0aac8p-16, -0x1.42741b5c3ef61p-16, -0x1.37a1efac4ee2ep-16, -0x1.2d20e14c78cb6p-16, -0x1.22eef17180ca5p-16, -0x1.190a2c10065ebp-16, -0x1.0f70a7a549fffp-16, -0x1.0620850ae393ap-16, -0x1.fa2fde7d5faa1p-17, -0x1.e8aa36683d667p-17, -0x1.d7ac8f49a97c9p-17, -0x1.c73379c0aad8dp-17, -0x1.b73b993b23328p-17, -0x1.a7c1a39a09632p-17, -0x1.98c260d82f24cp-17, -0x1.8a3aaab1f8ed2p-17, -0x1.7c276c50a1b5cp-17, -0x1.6e85a1f074ef5p-17, -0x1.6152588fd0a7ep-17, -0x1.548aad9ba37e5p-17, -0x1.482bcea164d46p-17, -0x1.3c32f8fc052fdp-17, -0x1.309d798755c5cp-17, -0x1.2568ac544ac9bp-17, -0x1.1a91fc5cb41c2p-17, -0x1.1016e33b1ed66p-17, -0x1.05f4e8dc69098p-17, -0x1.f853467ece6e6p-18, -0x1.e5656c57612dcp-18, -0x1.d31ba5d6ff0a8p-18, -0x1.c171701107596p-18, -0x1.b0626219cf223p-18, -0x1.9fea2c7a47304p-18, -0x1.900498b4c21f9p-18, -0x1.80ad88ca36ed8p-18, -0x1.71e0f6b76e54dp-18, -0x1.639af3fd92bf9p-18, -0x1.55d7a92fdf187p-18, -0x1.48935578851fbp-18, -0x1.3bca4e29e5473p-18, -0x1.2f78fe4a25b1cp-18, -0x1.239be626c398cp-18, -0x1.182f9ae674a34p-18, -0x1.0d30c61f6dc6ep-18, -0x1.029c256df3f2bp-18, -0x1.f0dd1418b0f18p-19, -0x1.dd49b0dd30e7ep-19, -0x1.ca780fb882563p-19, -0x1.b862442efe09fp-19, -0x1.a70285e7fca72p-19, -0x1.96532ff82c1c6p-19, -0x1.864ec029ba884p-19, -0x1.76efd64b11813p-19, -0x1.68313377b0cd4p-19, -0x1.5a0db96437a3ap-19, -0x1.4c8069c164adap-19, -0x1.3f84658db7c9cp-19, -0x1.3314ec6b4dd2dp-19, -0x1.272d5bffe8da8p-19, -0x1.1bc92f5ce460dp-19, -0x1.10e3fe59932e7p-19, -0x1.06797d019e765p-19, -0x1.f90af5f405b39p-20, -0x1.e607c5e35c8bap-20, -0x1.d3e1741734373p-20, -0x1.c2903ead5bbc4p-20, -0x1.b20c967ebc515p-20, -0x1.a24f1e0343138p-20, -0x1.9350a857a4187p-20, -0x1.850a3834dc80dp-20, -0x1.7774fede836e8p-20, -0x1.6a8a5b2f6fe7p-20, -0x1.5e43d89e64e3dp-20, -0x1.529b2e4f688d7p-20, -0x1.478a3e2068f71p-20, -0x1.3d0b13be944c4p-20, -0x1.3317e3bd91c3p-20, -0x1.29ab0abd659eep-20, -0x1.20bf0c84bfe36p-20, -0x1.184e932973cfap-20, -0x1.10546e3a20e01p-20, -0x1.08cb91efa8716p-20, -0x1.01af16610f153p-20, -0x1.f5f46d712a27ap-21, -0x1.e950a0d48d187p-21, -0x1.dd69c4eee8a1bp-21, -0x1.d2371960d7dddp-21, -0x1.c7b01dfdb7c7fp-21, -0x1.bdcc91468bf83p-21, -0x1.b4846f0aebcc1p-21, -0x1.abcfef2334d44p-21, -0x1.a3a783f17cdc9p-21, -0x1.9c03d9315a134p-21, -0x1.94ddd2980c31cp-21, -0x1.8e2e8a97d180ep-21, -0x1.87ef511ecc014p-21, -0x1.8219aa64bf117p-21, -0x1.7ca74dace9984p-21, -0x1.7792242c94b9dp-21, -0x1.72d447d383596p-21, -0x1.6e6802340b55fp-21, -0x1.6a47cb6bf33bdp-21, -0x1.666e48f8e6b17p-21, -0x1.62d64ccc83c14p-21, -0x1.5f7ad42ca6ff1p-21, -0x1.5c5706b80b5fdp-21, -0x1.59663558470b7p-21, -0x1.56a3d9556f81fp-21, -0x1.540b935c5e439p-21, -0x1.51992a8a2c8eap-21, -0x1.4f488b7f4cef3p-21, -0x1.4d15c782d2905p-21, -0x1.4afd139ad83f2p-21, -0x1.48fac7a88f23bp-21, -0x1.470b5d9756e03p-21, -0x1.452b70833cfe1p-21, -0x1.4357bbea68305p-21, -0x1.418d1ad9e013dp-21, -0x1.3fc8872f407cap-21, -0x1.3e0718d9a5c4ap-21, -0x1.3c460507b4d3ep-21, -0x1.3a829d7518511p-21, -0x1.38ba4fb3f3304p-21, -0x1.36eaa46ec293dp-21, -0x1.35113ec688f33p-21, -0x1.332bdb96deeb4p-21, -0x1.313850d7c690fp-21, -0x1.2f348cefc360fp-21, -0x1.2d1e96128dacp-21, -0x1.2af489a253431p-21, -0x1.28b49b9ab4fadp-21, -0x1.265d15f264f5bp-21, -0x1.23ec57fbb84bep-21, -0x1.2160d5dd919fbp-21, }}, 
      {{0x1.12ffeaa044f26p-15, 0x1.12e2df886e0acp-13, 0x1.3512d07d0903bp-12, 0x1.12939f9a061b2p-11, 0x1.acd8a73d2ce18p-11, 0x1.34ba8cca3c295p-10, 0x1.a454938f17395p-10, 0x1.12b74d6bc9fd3p-9, 0x1.5c28c9a28e46dp-9, 0x1.aead33f28972bp-9, 0x1.053e0841fa8cp-8, 0x1.37ea4d28ed33ap-8, 0x1.6f7e10c9d28ffp-8, 0x1.ac1e1dc3d1de9p-8, 0x1.edf06d7a0671bp-8, 0x1.1a8d9951f3166p-7, 0x1.40e1f5448e0fap-7, 0x1.6a073ddc0262bp-7, 0x1.960e33bee18d9p-7, 0x1.c50608f6743ffp-7, 0x1.f6fc116c358bap-7, 0x1.15fdc039b8f13p-6, 0x1.320699b249f99p-6, 0x1.4f9bc46f4ebdep-6, 0x1.6ebf21f56b16ep-6, 0x1.8f713d011b327p-6, 0x1.b1b14566f7865p-6, 0x1.d57d1035f2a5ep-6, 0x1.fad11b7fe5c02p-6, 0x1.10d44a998003ap-5, 0x1.24feb23d08519p-5, 0x1.39e41a938b54ep-5, 0x1.4f80425d98ea2p-5, 0x1.65ce585742ce1p-5, 0x1.7cc902d4d3bc1p-5, 0x1.946a67b804b61p-5, 0x1.acac34a38cbebp-5, 0x1.c587a757f5635p-5, 0x1.def596291e087p-5, 0x1.f8ee787f00764p-5, 0x1.09b537ab9004fp-4, 0x1.1730a6dedbddp-4, 0x1.24e5509b99446p-4, 0x1.32cedd09a3e89p-4, 0x1.40e8d9d1d125fp-4, 0x1.4f2ebe280e75fp-4, 0x1.5d9beec17bf6p-4, 0x1.6c2bc1b3975d7p-4, 0x1.7ad98239b34c2p-4, 0x1.89a0745ddfa2fp-4, 0x1.987bd882900e2p-4, 0x1.a766eeca554c6p-4, 0x1.b65cfa5b39e8ap-4, 0x1.c559447b6647dp-4, 0x1.d4571f850d85dp-4, 0x1.e351e9afd5ae7p-4, 0x1.f2450fae44431p-4, 0x1.0096078efc2f2p-3, 0x1.08013c64ff83p-3, 0x1.0f61f95f536d9p-3, 0x1.16b61d176993bp-3, 0x1.1dfb92957456bp-3, 0x1.25305214ef99cp-3, 0x1.2c5261b2ac7dp-3, 0x1.335fd604e31cep-3, 0x1.3a56d29df6be2p-3, 0x1.41358a7ab9584p-3, 0x1.47fa405d0d0a3p-3, 0x1.4ea34713d39a3p-3, 0x1.552f01b13302bp-3, 0x1.5b9be3b047a39p-3, 0x1.61e8710b4cdcp-3, 0x1.68133e4377d41p-3, 0x1.6e1af05b862f5p-3, 0x1.73fe3cc642994p-3, 0x1.79bbe94a08cf4p-3, 0x1.7f52cbda69ab4p-3, 0x1.84c1ca690b4c4p-3, 0x1.8a07daaebba73p-3, 0x1.8f2401edc62ddp-3, 0x1.941554ae74c31p-3, 0x1.98daf676a1912p-3, 0x1.9d74197d3d92ap-3, 0x1.a1dffe5a7f3f9p-3, 0x1.a61df3b58f1cfp-3, 0x1.aa2d55f047b7dp-3, 0x1.ae0d8ed1b1edap-3, 0x1.b1be152fca3fcp-3, 0x1.b53e6c991321ep-3, 0x1.b88e24fe5b2eap-3, 0x1.bbacda5d2e00bp-3, 0x1.be9a346b36f0bp-3, 0x1.c155e642eccc5p-3, 0x1.c3dfae11c256ep-3, 0x1.c63754c8105a4p-3, 0x1.c85cadcae624ap-3, 0x1.ca4f96a7e563cp-3, 0x1.cc0ff6cb3690dp-3, 0x1.cd9dbf37b8392p-3, 0x1.cef8ea41621c3p-3, 0x1.d0217b49ecd3cp-3, 0x1.d1177e7fb0d56p-3, 0x1.d1db089ec3d64p-3, 0x1.d26c36b43081ap-3, 0x1.d2cb2de35774fp-3, 0x1.d2f81b2d4d876p-3, 0x1.d2f3333a2dafcp-3, 0x1.d2bcb22445e74p-3, 0x1.d254db450121ep-3, 0x1.d1bbf903769b2p-3, 0x1.d0f25ca4879a5p-3, 0x1.cff85e1c687d7p-3, 0x1.cece5be1747fep-3, 0x1.cd74bac043713p-3, 0x1.cbebe5b0d0199p-3, 0x1.ca344daca057fp-3, 0x1.c84e6985cf4f9p-3, 0x1.c63ab5bee5695p-3, 0x1.c3f9b4636122bp-3, 0x1.c18bece0d9cafp-3, 0x1.bef1ebe0ac598p-3, 0x1.bc2c43220e4d8p-3, 0x1.b93b89548e805p-3, 0x1.b62059f2cf25bp-3, 0x1.b2db551d8ef4dp-3, 0x1.af6d1f76ca127p-3, 0x1.abd661fd0b5b5p-3, 0x1.a817c9e6cae04p-3, 0x1.a432087dcf05ep-3, 0x1.a025d2fa9bb79p-3, 0x1.9bf3e25fc2d05p-3, 0x1.979cf3553f12cp-3, 0x1.9321c603a2441p-3, 0x1.8e831def3e007p-3, 0x1.89c1c1d320942p-3, 0x1.84de7b7bfd99cp-3, 0x1.7fda17a2f0c5ap-3, 0x1.7ab565c823aa1p-3, 0x1.7571380d54b28p-3, 0x1.700e63103cb1fp-3, 0x1.6a8dbdc4dbd02p-3, 0x1.64f0214faa50fp-3, 0x1.5f3668dfb601fp-3, 0x1.59617188b0b3fp-3, 0x1.53721a1ce9982p-3, 0x1.4d694307477e6p-3, 0x1.4747ce253c09fp-3, 0x1.410e9ea0ba6b6p-3, 0x1.3abe98ca3a6a8p-3, 0x1.3458a1f2cb45dp-3, 0x1.2ddda04639ebap-3, 0x1.274e7aa55a63p-3, 0x1.20ac188072a0ap-3, 0x1.19f761b1d69eap-3, 0x1.13313e58b2313p-3, 0x1.0c5a96b415b52p-3, 0x1.057452fe3e8e8p-3, 0x1.fcfeb690666f2p-4, 0x1.eef92eab4ee06p-4, 0x1.e0d9dcf28cedp-4, 0x1.d2a28ee2a360cp-4, 0x1.c45510896c298p-4, 0x1.b5f32c410d784p-4, 0x1.a77eaa6befbb3p-4, 0x1.98f951319d37ep-4, 0x1.8a64e43cc6e79p-4, 0x1.7bc3247a4bc23p-4, 0x1.6d15cfd974f45p-4, 0x1.5e5ea10d5e342p-4, 0x1.4f9f4f4f9ecbep-4, 0x1.40d98e2443e13p-4, 0x1.320f0d1f19582p-4, 0x1.234177aa5bep-4, 0x1.147274ced2697p-4, 0x1.05a3a6fd6312ep-4, 0x1.edad57b44f88dp-5, 0x1.d01a3812098a1p-5, 0x1.b29115f7b378bp-5, 0x1.95150d8493edcp-5, 0x1.77a92fb63833ep-5, 0x1.5a50820e996fep-5, 0x1.3d0dfe3d8bc0fp-5, 0x1.1fe491cd97b4bp-5, 0x1.02d71dd43bf42p-5, 0x1.cbd0ed4b59f37p-6, 0x1.9236c7180b969p-6, 0x1.58e53d041379fp-6, 0x1.1fe1a7e2c38dap-6, 0x1.ce6289d1a751dp-7, 0x1.5db26a6e4d5cp-7, 0x1.db79f5b20dc57p-8, 0x1.fa3029f4f5a38p-9, 0x1.0292e34207625p-11, -0x1.758901b3e68cbp-9, -0x1.941a4770506d5p-8, -0x1.35ce9a7c85c94p-7, -0x1.a09e008db4a1ep-7, -0x1.0539779ecaf4cp-6, -0x1.39a29ee40b3afp-6, -0x1.6d8680d8c0a0fp-6, -0x1.a0e1478b9b893p-6, -0x1.d3af3c798b242p-6, -0x1.02f664546da87p-5, -0x1.1bcb3a5ee1bf1p-5, -0x1.3454748456cecp-5, -0x1.4c9076c709b23p-5, -0x1.647db5041ab26p-5, -0x1.7c1ab2f15dbe8p-5, -0x1.936604182f22fp-5, -0x1.aa5e4bcd5d49bp-5, -0x1.c1023d26353cdp-5, -0x1.d7509aeabf495p-5, -0x1.ed48378553855p-5, -0x1.0173fa77b5097p-4, -0x1.0c17624df583fp-4, -0x1.168dd3af79898p-4, -0x1.20d6d6a98fc14p-4, -0x1.2af1fade42c9p-4, -0x1.34ded774aaab9p-4, -0x1.3e9d0b082591fp-4, -0x1.482c3b96799e7p-4, -0x1.518c166cf34b8p-4, -0x1.5abc50147e5f6p-4, -0x1.63bca43cd0d9bp-4, -0x1.6c8cd5a6a5bf4p-4, -0x1.752cae0d181fcp-4, -0x1.7d9bfe0e25057p-4, -0x1.85da9d1269971p-4, -0x1.8de869340ea6bp-4, -0x1.95c547250615ep-4, -0x1.9d71221499b6dp-4, -0x1.a4ebeb9445547p-4, -0x1.ac359b7c0a7f6p-4, -0x1.b34e2fce2661bp-4, -0x1.ba35ac9a3154fp-4, -0x1.c0ec1bdfda5f1p-4, -0x1.c7718d7119776p-4, -0x1.cdc616d3fbc28p-4, -0x1.d3e9d32402bbfp-4, -0x1.d9dce2f332735p-4, -0x1.df9f6c2acedcap-4, -0x1.e53199ebbf68cp-4, -0x1.ea939c6ec4ep-4, -0x1.efc5a8e463979p-4, -0x1.f4c7f954adfc7p-4, -0x1.f99acc7eda574p-4, -0x1.fe3e65b8b723bp-4, -0x1.01598667098b9p-3, -0x1.037c86effc963p-3, -0x1.05885ca1fe424p-3, -0x1.077d31b1ba395p-3, -0x1.095b324d5a816p-3, -0x1.0b228c8c2c8c5p-3, -0x1.0cd3705e4ff41p-3, -0x1.0e6e0f7c6a7dep-3, -0x1.0ff29d576bf3p-3, -0x1.11614f0869b94p-3, -0x1.12ba5b4084183p-3, -0x1.13fdfa38e5e22p-3, -0x1.152c65a2e2e62p-3, -0x1.1645d89827f9fp-3, -0x1.174a8f8b12988p-3, -0x1.183ac83722035p-3, -0x1.1916c1918f173p-3, -0x1.19debbba0912dp-3, -0x1.1a92f7eb98302p-3, -0x1.1b33b86da6f16p-3, -0x1.1bc140853aeep-3, -0x1.1c3bd46658b98p-3, -0x1.1ca3b92592029p-3, -0x1.1cf934a9c8797p-3, -0x1.1d3c8d9e23ba8p-3, -0x1.1d6e0b6432529p-3, -0x1.1d8df60645b26p-3, -0x1.1d9c962a0207dp-3, -0x1.1d9a350321fc6p-3, -0x1.1d871c4676448p-3, -0x1.1d63961d1c987p-3, -0x1.1d2fed17ed371p-3, -0x1.1cec6c2327bdp-3, -0x1.1c995e7a5928dp-3, -0x1.1c370f9c7cce6p-3, -0x1.1bc5cb405919ep-3, -0x1.1b45dd4920efap-3, -0x1.1ab791bb4b948p-3, -0x1.1a1b34b1a866cp-3, -0x1.19711252bb98fp-3, -0x1.18b976c650945p-3, -0x1.17f4ae2b50f83p-3, -0x1.1723048dd4c4fp-3, -0x1.1644c5dd7b89bp-3, -0x1.155a3de3fc1acp-3, -0x1.1463b83bfb87ep-3, -0x1.1361804818d95p-3, -0x1.1253e12a47f6dp-3, -0x1.113b25bb5cefdp-3, -0x1.10179882e1267p-3, -0x1.0ee983af21a7cp-3, -0x1.0db1310d7db95p-3, -0x1.0c6eea02f67edp-3, -0x1.0b22f784f8ad5p-3, -0x1.09cda21265935p-3, -0x1.086f31acde195p-3, -0x1.0707edd241a87p-3, -0x1.05981d7671ac7p-3, -0x1.042006fd4f242p-3, -0x1.029ff034ecf85p-3, -0x1.01181e5009925p-3, -0x1.ff11abc16fe4cp-4, -0x1.fbe4b5a6876a2p-4, -0x1.f8a9e0d2ae21fp-4, -0x1.f561b26a9d243p-4, -0x1.f20cae2b8f882p-4, -0x1.eeab5662d2124p-4, -0x1.eb3e2be5baad7p-4, -0x1.e7c5ae0a0eb9p-4, -0x1.e4425a9eca181p-4, -0x1.e0b4ade55354p-4, -0x1.dd1d228b1cd04p-4, -0x1.d97c31a39a705p-4, -0x1.d5d252a2a611cp-4, -0x1.d21ffb573f816p-4, -0x1.ce659fe6b0b6bp-4, -0x1.caa3b2c806809p-4, -0x1.c6daa4bfed78ap-4, -0x1.c30ae4dce52a5p-4, -0x1.bf34e073c7aadp-4, -0x1.bb59031cb3b5cp-4, -0x1.b777b6b039a2fp-4, -0x1.b3916344eae0fp-4, -0x1.afa66f2d2fcd6p-4, -0x1.abb73ef56e7a4p-4, -0x1.a7c435628969p-4, -0x1.a3cdb37094cfp-4, -0x1.9fd41851e5921p-4, -0x1.9bd7c16e64e15p-4, -0x1.97d90a632869ep-4, -0x1.93d84d024688ep-4, -0x1.8fd5e152fc786p-4, -0x1.8bd21d9206723p-4, -0x1.87cd56323eb8ap-4, -0x1.83c7dddd74367p-4, -0x1.7fc205757fec7p-4, -0x1.7bbc1c1591427p-4, -0x1.77b66f13b10ebp-4, -0x1.73b14a027b801p-4, -0x1.6facf6b30e757p-4, -0x1.6ba9bd3725ebfp-4, -0x1.67a7e3e36e9d1p-4, -0x1.63a7af5201c65p-4, -0x1.5fa962651206ap-4, -0x1.5bad3e49c192fp-4, -0x1.57b3827b2086cp-4, -0x1.53bc6cc556d63p-4, -0x1.4fc83948f16ebp-4, -0x1.4bd7227e56ed2p-4, -0x1.47e961395bfe5p-4, -0x1.43ff2cacfd383p-4, -0x1.4018ba6f3680dp-4, -0x1.3c363e7cfb88cp-4, -0x1.3857eb3e48e5ep-4, -0x1.347df18a596bcp-4, -0x1.30a880abeaa53p-4, -0x1.2cd7c665a36fp-4, -0x1.290beef68ecd5p-4, -0x1.2545251eab56bp-4, -0x1.21839223947b3p-4, -0x1.1dc75dd53767ep-4, -0x1.1a10ae92a0b8ap-4, -0x1.165fa94edc483p-4, -0x1.12b47195ddf97p-4, -0x1.0f0f29917e07ap-4, -0x1.0b6ff20e8179ep-4, -0x1.07d6ea81b1e52p-4, -0x1.0444310cf8df6p-4, -0x1.00b7e2848ecd8p-4, -0x1.fa6434e855d77p-5, -0x1.f365e6487e3fcp-5, -0x1.ec750b3e776c7p-5, -0x1.e591d36daa75p-5, -0x1.debc6c12a7486p-5, -0x1.d7f5000dc3b92p-5, -0x1.d13bb7edc1936p-5, -0x1.ca90b9fa831f8p-5, -0x1.c3f42a3fb2fa3p-5, -0x1.bd662a9778976p-5, -0x1.b6e6dab5239f1p-5, -0x1.b076582fe17e3p-5, -0x1.aa14be8d5d813p-5, -0x1.a3c2274c6f01bp-5, -0x1.9d7ea9efb05afp-5, -0x1.974a5c0816ecep-5, -0x1.9125513f819f2p-5, -0x1.8b0f9b63378e9p-5, -0x1.85094a6e63908p-5, -0x1.7f126c9470bf9p-5, -0x1.792b0e4b75754p-5, -0x1.73533a56713a5p-5, -0x1.6d8af9cf8ef08p-5, -0x1.67d2543248b94p-5, -0x1.62294f6582031p-5, -0x1.5c8fefc587e79p-5, -0x1.5706382e00ff9p-5, -0x1.518c2a03c929fp-5, -0x1.4c21c53eb0d1fp-5, -0x1.46c708732d6eap-5, -0x1.417bf0dbe6798p-5, -0x1.3c407a633edfcp-5, -0x1.37149facaef45p-5, -0x1.31f85a1e115ccp-5, -0x1.2ceba1e8d324ep-5, -0x1.27ee6e1306f7dp-5, -0x1.2300b48063f18p-5, -0x1.1e2269fb1e15cp-5, -0x1.1953823cac7bep-5, -0x1.1493eff66a88fp-5, -0x1.0fe3a4da22ff1p-5, -0x1.0b4291a27b62ap-5, -0x1.06b0a61b3c8ap-5, -0x1.022dd12982325p-5, -0x1.fb7401a7a49bp-6, -0x1.f2aa44940bbccp-6, -0x1.e9fe43da3f12cp-6, -0x1.e16fd6adfdebap-6, -0x1.d8fed2c3f17b7p-6, -0x1.d0ab0c6085793p-6, -0x1.c8745666aa383p-6, -0x1.c05a82662d33p-6, -0x1.b85d60a9f084cp-6, -0x1.b07cc045d3911p-6, -0x1.a8b86f24657e1p-6, -0x1.a1103a144badfp-6, -0x1.9983ecd576f72p-6, -0x1.921352260cdc4p-6, -0x1.8abe33cf1d662p-6, -0x1.83845ab10811p-6, -0x1.7c658ecfb518bp-6, -0x1.7561975e8f701p-6, -0x1.6e783acc1accp-6, -0x1.67a93ecd8c7ecp-6, -0x1.60f46869e2249p-6, -0x1.5a597c04edc2fp-6, -0x1.53d83d6a0aa4dp-6, -0x1.4d706fd69884p-6, -0x1.4721d6043db26p-6, -0x1.40ec3232e669ap-6, -0x1.3acf463295a94p-6, -0x1.34cad36cee4e5p-6, -0x1.2ede9aee81c2bp-6, -0x1.290a5d6fe6615p-6, -0x1.234ddb5ea185p-6, -0x1.1da8d4e5b12fcp-6, -0x1.181b09f61179p-6, -0x1.12a43a4ee7356p-6, -0x1.0d4425856cb2p-6, -0x1.07fa8b0cc7eacp-6, -0x1.02c72a3d8db81p-6, -0x1.fb5384ba2fe5cp-7, -0x1.f14425496c9b1p-7, -0x1.e75fb4910492dp-7, -0x1.dda5b0fc62203p-7, -0x1.d41599071ee62p-7, -0x1.caaeeb49a1c44p-7, -0x1.c171268576656p-7, -0x1.b85bc9b132ceap-7, -0x1.af6e5403d8a39p-7, -0x1.a6a8450014a37p-7, -0x1.9e091c7f03b52p-7, -0x1.95905aba85f44p-7, -0x1.8d3d805759721p-7, -0x1.85100e6ecb698p-7, -0x1.7d0786980c8fdp-7, -0x1.75236af1433f6p-7, -0x1.6d633e282e748p-7, -0x1.65c683827187fp-7, -0x1.5e4cbee5d60f1p-7, -0x1.56f574dfb7d1p-7, -0x1.4fc02aacaea7fp-7, -0x1.48ac663f8b472p-7, -0x1.41b9ae481bb54p-7, -0x1.3ae78a39d185p-7, -0x1.34358251dc708p-7, -0x1.2da31f9d3debfp-7, -0x1.272febfe57042p-7, -0x1.20db723256b76p-7, -0x1.1aa53dd6784fbp-7, -0x1.148cdb6ccc39fp-7, -0x1.0e91d860cd116p-7, -0x1.08b3c30beec2fp-7, -0x1.02f22ab99bbdap-7, -0x1.fa993f566d91fp-8, -0x1.ef856637520dap-8, -0x1.e4a7ee86100d7p-8, -0x1.d9fffeb31e533p-8, -0x1.cf8cbf35bfe8p-8, -0x1.c54d5a91670ecp-8, -0x1.bb40fd5afa5fcp-8, -0x1.b166d63d8ae7dp-8, -0x1.a7be15fee717ap-8, -0x1.9e45ef83956c7p-8, -0x1.94fd97d26a0b8p-8, -0x1.8be446180669ap-8, -0x1.82f933a9af37ap-8, -0x1.7a3b9c08170c6p-8, -0x1.71aabce156844p-8, -0x1.6945d61340b2fp-8, -0x1.610c29ad10636p-8, -0x1.58fcfbf066d3dp-8, -0x1.51179352b8c8ap-8, -0x1.495b387e0731fp-8, -0x1.41c736516256bp-8, -0x1.3a5ad9e1125cap-8, -0x1.33157276bf88bp-8, -0x1.2bf65190f85e4p-8, -0x1.24fccae3056dbp-8, -0x1.1e283453ca822p-8, -0x1.1777e5fd1a5ddp-8, -0x1.10eb3a2a92d69p-8, -0x1.0a818d57d7f13p-8, -0x1.043a3e2f88c2ap-8, -0x1.fc295b120ed7cp-9, -0x1.f0207ccd5666dp-9, -0x1.e458abe75d91cp-9, -0x1.d8d0b703350afp-9, -0x1.cd87710c21d1fp-9, -0x1.c27bb13001ad1p-9, -0x1.b7ac52d9a1012p-9, -0x1.ad1835aaf5a31p-9, -0x1.a2be3d76f1843p-9, -0x1.989d523ac0305p-9, -0x1.8eb4601737862p-9, -0x1.8502574a1ec7p-9, -0x1.7b862c26b36f2p-9, -0x1.723ed70e22cb6p-9, -0x1.692b54682d378p-9, -0x1.604aa49aef803p-9, -0x1.579bcc036f0c8p-9, -0x1.4f1dd2ec54784p-9, -0x1.46cfc586dec2bp-9, -0x1.3eb0b3e12f025p-9, -0x1.36bfb1de22a9ep-9, -0x1.2efbd72c84eb6p-9, -0x1.27643f3daa5bbp-9, -0x1.1ff8093cb3392p-9, -0x1.18b6580518fc2p-9, -0x1.119e521964712p-9, -0x1.0aaf2199c83c1p-9, -0x1.03e7f43a8701cp-9, -0x1.fa8ff674dde9dp-10, -0x1.ed9cd6b264f9fp-10, -0x1.e0f4f99a587b6p-10, -0x1.d496d67488f4ap-10, -0x1.c880eb4efac47p-10, -0x1.bcb1bceaa4f0fp-10, -0x1.b127d6a6de321p-10, -0x1.a5e1ca6e24c2ep-10, -0x1.9ade30a1910cdp-10, -0x1.901ba804a4a64p-10, -0x1.8598d5a9489a6p-10, -0x1.7b5464db9ea82p-10, -0x1.714d070d9eb64p-10, -0x1.678173c2eed39p-10, -0x1.5df0687cbe97ep-10, -0x1.5498a8a53c0fcp-10, -0x1.4b78fd7c5b8dep-10, -0x1.4290360246416p-10, -0x1.39dd26e4c0c76p-10, -0x1.315eaa6987bdbp-10, -0x1.2913a05bd93b9p-10, -0x1.20faedf73b3ap-10, -0x1.19137dd49475ap-10, -0x1.115c3fd5ac9ccp-10, -0x1.09d4291206248p-10, -0x1.027a33c2f0b7fp-10, -0x1.f69abe608fd5cp-11, -0x1.e8995f392330ap-11, -0x1.daee5c64efdd6p-11, -0x1.cd97d1e16e1bdp-11, -0x1.c093e52fb5efep-11, -0x1.b3e0c52d7771cp-11, -0x1.a77ca9f027deap-11, -0x1.9b65d49f1f521p-11, -0x1.8f9a8f4fc891dp-11, -0x1.84192cdec3069p-11, -0x1.78e008cdadb65p-11, -0x1.6ded871d42bc5p-11, -0x1.6340142a8d31ep-11, -0x1.58d6248b1d411p-11, -0x1.4eae34e9988b6p-11, -0x1.44c6c9e2e69c8p-11, -0x1.3b1e6fe44f351p-11, -0x1.31b3bb088771p-11, -0x1.288546f63038fp-11, -0x1.1f91b6be36fbp-11, -0x1.16d7b4bac4b33p-11, -0x1.0e55f26e35f63p-11, -0x1.060b28634c6f3p-11, -0x1.fbec2c18bd122p-12, -0x1.ec2b0347bba1dp-12, -0x1.dcd0701ae62e5p-12, -0x1.cdda196d6583ap-12, -0x1.bf45b2f05421fp-12, -0x1.b110fcef8ec7ep-12, -0x1.a339c4150a3bep-12, -0x1.95bde12e9bfc6p-12, -0x1.889b38f30cfep-12, -0x1.7bcfbbc90309fp-12, -0x1.6f59658e9b1a2p-12, -0x1.63363d618890ep-12, -0x1.57645566b0eecp-12, -0x1.4be1ca95a32c6p-12, -0x1.40acc48197acfp-12, -0x1.35c3752484837p-12, -0x1.2b2418ac19025p-12, -0x1.20ccf544c6bedp-12, -0x1.16bc5ae876ee4p-12, -0x1.0cf0a32bbb1ap-12, -0x1.0368310d521a7p-12, -0x1.f442e18a244aap-13, -0x1.e235af294743bp-13, -0x1.d0a5c730dcda6p-13, -0x1.bf9037324dffbp-13, -0x1.aef21dbe43f9ap-13, -0x1.9ec8aa097fa26p-13, -0x1.8f111b93f4b83p-13, -0x1.7fc8c1d3fae93p-13, -0x1.70ecfbe09db16p-13, -0x1.627b381ce050fp-13, -0x1.5470f3e6132ffp-13, -0x1.46cbbb43681d3p-13, -0x1.39892892f8a06p-13, -0x1.2ca6e43f9acd3p-13, -0x1.2022a4710b06fp-13, -0x1.13fa2cc08592ep-13, -0x1.082b4df00f6a8p-13, -0x1.f967cb40d6f74p-14, -0x1.e323bc11a0ee8p-14, -0x1.cd865b60fd6bep-14, -0x1.b88bae55976d3p-14, -0x1.a42fd1a26fd3ep-14, -0x1.906ef9062a51dp-14, -0x1.7d456ec44164p-14, -0x1.6aaf9326a671ep-14, -0x1.58a9dbff23c5dp-14, -0x1.4730d42b3a128p-14, -0x1.36411b1a881c1p-14, -0x1.25d764595ecfbp-14, -0x1.15f0771a25468p-14, -0x1.06892dc626f5fp-14, -0x1.ef3ceb0fd39e2p-15, -0x1.d25a9bc4f70cp-15, -0x1.b6659081b56c3p-15, -0x1.9b580f220d56ep-15, -0x1.812c7fb25b6bp-15, -0x1.67dd6ba8be1b9p-15, -0x1.4f657d1ac420cp-15, -0x1.37bf7dfa2230bp-15, -0x1.20e65759ec75bp-15, -0x1.0ad510b026e8fp-15, -0x1.eb0d9e3eeb3ccp-16, -0x1.c1eda98c29029p-16, -0x1.9a41001e50c59p-16, -0x1.73fe9603d5e8dp-16, -0x1.4f1d953966888p-16, -0x1.2b955c657034p-16, -0x1.095d7d912e269p-16, -0x1.d0db79dff26fdp-17, -0x1.917c1f552c98p-17, -0x1.548d356d896a1p-17, -0x1.19ff635202fd9p-17, -0x1.c3875658c62ffp-18, -0x1.5796cffe4dd9cp-18, -0x1.e0212dc8bda09p-19, -0x1.19b16f10658aep-19, -0x1.6e9f1b4d7dff5p-21, 0x1.68c49710f58f6p-21, 0x1.080d778232161p-19, 0x1.ae201c9bdf01bp-19, 0x1.264d6c1d60137p-18, 0x1.71d724f3b3e5fp-18, 0x1.b9c4fa443a8dep-18, 0x1.fe2e22ab6c6ecp-18, 0x1.1f94a6ba2238p-17, 0x1.3e6652e416f94p-17, 0x1.5b96eb043449p-17, 0x1.77310577f537p-17, 0x1.913efb55517f8p-17, 0x1.a9cae9eb472b6p-17, 0x1.c0deb43779a71p-17, 0x1.d6840461cef43p-17, 0x1.eac44d1af66dp-17, 0x1.fda8caf9df26fp-17, 0x1.079d42ebd6c5fp-16, 0x1.0fc1290f304ffp-16, 0x1.174468ff7bb15p-16, 0x1.1e2b3b5b396aap-16, 0x1.2479c0e3b8d54p-16, 0x1.2a34031025e84p-16, 0x1.2f5df4a1e8f0bp-16, 0x1.33fb7232f11fdp-16, 0x1.381042bfebb3fp-16, 0x1.3ba0183553a28p-16, 0x1.3eae8feabcfb7p-16, 0x1.413f332834aep-16, 0x1.435577a7b6b4bp-16, 0x1.44f4c00bb35f8p-16, 0x1.46205c54ef9b8p-16, 0x1.46db8a58ee23p-16, 0x1.47297633a77aep-16, 0x1.470d3aaf667a6p-16, 0x1.4689e1b50a4dfp-16, 0x1.45a264b345307p-16, 0x1.4459ad04e6269p-16, 0x1.42b294527ae3fp-16, 0x1.40afe4ef8157ep-16, 0x1.3e545a42a9cf8p-16, 0x1.3ba2a114b9196p-16, 0x1.389d57ed759e1p-16, 0x1.35470f6a9209fp-16, 0x1.31a24a91173d6p-16, 0x1.2db17f23b40acp-16, 0x1.297715ece4c89p-16, 0x1.24f56b109cab8p-16, 0x1.202ece52d1915p-16, 0x1.1b25836341e8cp-16, 0x1.15dbc22163cbp-16, 0x1.1053b6e63ebbfp-16, 0x1.0a8f82c2d38dfp-16, 0x1.04913bc7925dp-16, 0x1.fcb5da7b884afp-17, 0x1.efdd2fce69808p-17, 0x1.e29c6477b352cp-17, 0x1.d4f7513cb437ap-17, 0x1.c6f1bb34ba088p-17, 0x1.b88f5433960b3p-17, 0x1.a9d3bb37ef32ap-17, 0x1.9ac27ccc04a3ap-17, 0x1.8b5f1370304d3p-17, 0x1.7bace7fe30809p-17, 0x1.6baf5205b5ebdp-17, 0x1.5b699828bc41ap-17, 0x1.4adef077637b4p-17, 0x1.3a1280c9d3267p-17, 0x1.29075f131fa57p-17, 0x1.17c091b210b1cp-17, 0x1.06410fc4a74cbp-17, 0x1.e91782ef2984p-18, 0x1.c547009c4389fp-18, 0x1.a1162ed7897c7p-18, 0x1.7c8a87bf8d65ap-18, 0x1.57a969cf5df85p-18, 0x1.3278186e39fb5p-18, 0x1.0cfbbc7862e85p-18, 0x1.ce72c95ebe6ffp-19, 0x1.826c0c90ebdfcp-19, 0x1.35ecfab4c391fp-19, 0x1.d1fe351c9ff9ap-20, 0x1.37578517b140cp-20, 0x1.37f0666d06dc7p-21, -0x1.ba01d16afde43p-33, -0x1.3951e01ed4528p-21, -0x1.39c7f21cda52p-20, -0x1.d759f410d6acp-20, -0x1.3aa73568179d9p-19, -0x1.89ca90734a3d3p-19, -0x1.d90f1a7518c3cp-19, -0x1.143685ffa3402p-18, -0x1.3bee6325a24e6p-18, -0x1.63ab694fc68d1p-18, -0x1.8b69f0c978da6p-18, -0x1.b3266534e291p-18, -0x1.dadd4541a6ec6p-18, -0x1.0145913498726p-17, -0x1.151650445fd16p-17, -0x1.28df3adaa8fecp-17, -0x1.3c9eb4f27ed66p-17, -0x1.50532b53b11f5p-17, -0x1.63fb137194abdp-17, -0x1.7794eb50579a5p-17, -0x1.8b1f395a69943p-17, -0x1.9e988c445a149p-17, -0x1.b1ff7af2f48c8p-17, -0x1.c552a459e2ae3p-17, -0x1.d890af5c42cc2p-17, -0x1.ebb84aaf801f8p-17, -0x1.fec82cc54e6ffp-17, -0x1.08df89d3e9216p-16, -0x1.124de2712aaf6p-16, -0x1.1bae86b2ff7cfp-16, -0x1.2500e0ba47865p-16, -0x1.2e445e40a4245p-16, -0x1.3778708cf59c7p-16, -0x1.409c8c653e296p-16, -0x1.49b02a048ce0cp-16, -0x1.52b2c5104c3bp-16, -0x1.5ba3dc8b16809p-16, -0x1.6482f2c7eb7d8p-16, -0x1.6d4f8d625ebf3p-16, -0x1.76093532ca343p-16, -0x1.7eaf764285d7cp-16, -0x1.8741dfc0b81fep-16, -0x1.8fc003f9be129p-16, -0x1.9829784b0ea22p-16, -0x1.a07dd51c1240bp-16, -0x1.a8bcb5d0862b8p-16, -0x1.b0e5b8c0fc156p-16, -0x1.b8f87f30af6e2p-16, -0x1.c0f4ad43bbf16p-16, -0x1.c8d9e9f64599dp-16, -0x1.d0a7df129d2c4p-16, -0x1.d85e392926664p-16, -0x1.dffca786c3271p-16, -0x1.e782dc2abe553p-16, -0x1.eef08bc00066p-16, -0x1.f6456d92db474p-16, -0x1.fd813b8a0e9f6p-16, -0x1.0251d90f11d14p-15, -0x1.05d6482799f84p-15, -0x1.094dcbce937a3p-15, -0x1.0cb8460014186p-15, -0x1.101599f0c021cp-15, -0x1.1365ac0981bbbp-15, -0x1.16a861e221043p-15, -0x1.19dda23e179ecp-15, -0x1.1d05550aa5fe3p-15, -0x1.201f6358fb7a4p-15, -0x1.232bb759b2819p-15, -0x1.262a3c5b1290bp-15, -0x1.291adec472cf6p-15, -0x1.2bfd8c114bfa2p-15, -0x1.2ed232ce81633p-15, -0x1.3198c297d982ap-15, -0x1.34512c12bf2b3p-15, -0x1.36fb60ea6d327p-15, -0x1.399753cd5a084p-15, -0x1.3c24f86992919p-15, -0x1.3ea4436913ee3p-15, -0x1.41152a6d2fe3fp-15, -0x1.4377a40c7299p-15, -0x1.45cba7ce725ccp-15, -0x1.48112e29075d9p-15, -0x1.4a48307bc04ap-15, -0x1.4c70a90d8be0ep-15, -0x1.4e8a93093438ap-15, -0x1.5095ea7948d52p-15, -0x1.5292ac45026bp-15, -0x1.5480d62db88dcp-15, -0x1.566066cae04ebp-15, -0x1.58315d865513dp-15, -0x1.59f3ba9a89fbdp-15, }}, 
      {{0x1.9d15e01bea61p-8, 0x1.9d67cc8845d1ep-7, 0x1.365d830b4c98fp-6, 0x1.9e34145dfb71p-6, 0x1.0304b2d72dbbp-5, 0x1.36ca72d641209p-5, 0x1.6a3d94b664bdcp-5, 0x1.9d2ac25f1c2abp-5, 0x1.cf5c6bdb508f2p-5, 0x1.004ecee6513f2p-4, 0x1.185e200b7685ap-4, 0x1.2fc562adfe835p-4, 0x1.4670acfa4966ap-4, 0x1.5c4f515866c26p-4, 0x1.71540dcd66211p-4, 0x1.857513366040ep-4, 0x1.98abebe287a9cp-4, 0x1.aaf548b22055fp-4, 0x1.bc50bb6a7ce19p-4, 0x1.ccc0645c2779ep-4, 0x1.dc4898c7af42p-4, 0x1.eaef86a60112ap-4, 0x1.f8bcd9a45d5b8p-4, 0x1.02dcb2271dc7bp-3, 0x1.08f767c9406cp-3, 0x1.0eb3a90b84801p-3, 0x1.1416b815623bcp-3, 0x1.1925e24fb1674p-3, 0x1.1de669341f96dp-3, 0x1.225d6f462d28ep-3, 0x1.268fe8e0c81f6p-3, 0x1.2a829072cbff3p-3, 0x1.2e39ddbc83ebbp-3, 0x1.31b9ff9f499cp-3, 0x1.3506d814a747dp-3, 0x1.3823f9ea19641p-3, 0x1.3b14a7e8f6401p-3, 0x1.3ddbd51d36d9ep-3, 0x1.407c25f99902fp-3, 0x1.42f7f222e7dedp-3, 0x1.455146b6b61bap-3, 0x1.4789e8eb3afcbp-3, 0x1.49a358ee2d46ep-3, 0x1.4b9ed4ef42172p-3, 0x1.4d7d5c488cce3p-3, 0x1.4f3fb2bb44591p-3, 0x1.50e663bad2c4ap-3, 0x1.5271c5c24c467p-3, 0x1.53e1fdb203e89p-3, 0x1.55370233ef984p-3, 0x1.56709f25d2d3fp-3, 0x1.578e790858781p-3, 0x1.58901071f098ap-3, 0x1.5974c583f9ef7p-3, 0x1.5a3bdb603b55cp-3, 0x1.5ae47b9c393e3p-3, 0x1.5b6db9af84512p-3, 0x1.5bd69659aa2f1p-3, 0x1.5c1e02fc2b016p-3, 0x1.5c42e4e494858p-3, 0x1.5c441882da76cp-3, 0x1.5c207487e812bp-3, 0x1.5bd6cce8837b3p-3, 0x1.5b65f5c0e4bc6p-3, 0x1.5accc61576766p-3, 0x1.5a0a1a6da6c38p-3, 0x1.591cd746179d9p-3, 0x1.5803eb57be3ep-3, 0x1.56be51b2256e7p-3, 0x1.554b13a754295p-3, 0x1.53a94a886786cp-3, 0x1.51d821324c2f7p-3, 0x1.4fd6d56a93d16p-3, 0x1.4da4b90ca96efp-3, 0x1.4b413308236ap-3, 0x1.48abc03144d85p-3, 0x1.45e3f3e50dfaep-3, 0x1.42e9788291012p-3, 0x1.3fbc0fbb66166p-3, 0x1.3c5b92bd736e4p-3, 0x1.38c7f23839a05p-3, 0x1.3501364028325p-3, 0x1.31077e126d7a4p-3, 0x1.2cdaffbbd3cbap-3, 0x1.287c07a553dfp-3, 0x1.23eaf808ea011p-3, 0x1.1f28485149a92p-3, 0x1.1a348466f0b2dp-3, 0x1.15104bed20be2p-3, 0x1.0fbc51710eb0ap-3, 0x1.0a39598d9cb72p-3, 0x1.04883a05d1bb5p-3, 0x1.fd53b1b0075c3p-4, 0x1.f13e569788d4cp-4, 0x1.e4d269f885acp-4, 0x1.d8120dc1b5656p-4, 0x1.caff7caaa1bd4p-4, 0x1.bd9d0846440aep-4, 0x1.afed171a65c59p-4, 0x1.a1f222bdcb25ap-4, 0x1.93aeb5ff79f71p-4, 0x1.85256b188d87cp-4, 0x1.7658e9ea5031ep-4, 0x1.674be649d15dbp-4, 0x1.58011e5a13eb5p-4, 0x1.487b58f5b225ep-4, 0x1.38bd6428afcb6p-4, 0x1.28ca13bafd66p-4, 0x1.18a43fcc0c7cfp-4, 0x1.084ec37fafe6fp-4, 0x1.ef98f778c270fp-5, 0x1.ce408bf5c77b9p-5, 0x1.ac99fe4e423a7p-5, 0x1.8aab05241c653p-5, 0x1.687951e891995p-5, 0x1.460a8f020d5c2p-5, 0x1.23645e11e69cap-5, 0x1.008c5658e7ab8p-5, 0x1.bb10067356a65p-6, 0x1.74b9c5af31731p-6, 0x1.2e20c9a2de45dp-6, 0x1.ce9fa4580585cp-7, 0x1.40a2fb486d459p-7, 0x1.64c11bb0b89edp-8, 0x1.1f683a422b5p-10, -0x1.aa8ceb8a1d882p-9, -0x1.f278578fb74cdp-8, -0x1.87ca11cadf7dbp-7, -0x1.0b1cc4752c1f4p-6, -0x1.523bc26b102bbp-6, -0x1.9938a963d91bdp-6, -0x1.e00a4d908d913p-6, -0x1.1353d8b5b850fp-5, -0x1.3684032a38b35p-5, -0x1.5991568b6dc2ep-5, -0x1.7c779b2d0a789p-5, -0x1.9f32b17f9ebedp-5, -0x1.c1be923689254p-5, -0x1.e4174e65dc88ep-5, -0x1.031c87cc76eaap-4, -0x1.14100bf1079c7p-4, -0x1.24e460f2275bap-4, -0x1.3597c06bc1df9p-4, -0x1.46287043b4b5p-4, -0x1.5694c2a703975p-4, -0x1.66db16050c278p-4, -0x1.76f9d508c3badp-4, -0x1.86ef76904fd4ep-4, -0x1.96ba7da30ca5ep-4, -0x1.a65979662e102p-4, -0x1.b5cb051018684p-4, -0x1.c50dc7da974a1p-4, -0x1.d42074f3f606cp-4, -0x1.e301cb6f3116fp-4, -0x1.f1b096332e17bp-4, -0x1.0015d5f4967e6p-3, -0x1.0738f77534d65p-3, -0x1.0e4126967e0c2p-3, -0x1.152de0180c1e8p-3, -0x1.1bfea673c6512p-3, -0x1.22b301d354c64p-3, -0x1.294a800546b03p-3, -0x1.2fc4b471e08dp-3, -0x1.3621380fa4e4fp-3, -0x1.3c5fa95792447p-3, -0x1.427fac390f68bp-3, -0x1.4880ea0d8d88ap-3, -0x1.4e63118bdfdap-3, -0x1.5425d6bb430bp-3, -0x1.59c8f2e61ad89p-3, -0x1.5f4c248c5dd75p-3, -0x1.64af2f55b83a1p-3, -0x1.69f1dc03515bcp-3, -0x1.6f13f86152d52p-3, -0x1.741557380d0edp-3, -0x1.78f5d03cd4932p-3, -0x1.7db540028a0e3p-3, -0x1.825387e9c9761p-3, -0x1.86d08e10ce6f6p-3, -0x1.8b2c3d42fe17dp-3, -0x1.8f6684e82369p-3, -0x1.937f58f35020cp-3, -0x1.9776b1d175885p-3, -0x1.9b4c8c57a1c15p-3, -0x1.9f00e9b0f16cap-3, -0x1.a293cf4c2dc1ap-3, -0x1.a60546c92365cp-3, -0x1.a9555de59f8bbp-3, -0x1.ac84266a2f7fdp-3, -0x1.af91b6168e67p-3, -0x1.b27e268dcc9f4p-3, -0x1.b549954237cbp-3, -0x1.b7f42360f9dabp-3, -0x1.ba7df5bd7d272p-3, -0x1.bce734bc975f9p-3, -0x1.bf300c3f6ef9ep-3, -0x1.c158ab8e3bb1dp-3, -0x1.c3614542c50f8p-3, -0x1.c54a0f32bcdd5p-3, -0x1.c7134259e85c2p-3, -0x1.c8bd1ac426483p-3, -0x1.ca47d77749c3fp-3, -0x1.cbb3ba5ce1081p-3, -0x1.cd01082bd47e5p-3, -0x1.ce300851f6e7fp-3, -0x1.cf4104dd80686p-3, -0x1.d0344a6675547p-3, -0x1.d10a27f807ba8p-3, -0x1.d1c2eef9f2c26p-3, -0x1.d25ef319cf03bp-3, -0x1.d2de8a3469804p-3, -0x1.d3420c3f26ee4p-3, -0x1.d389d33168c55p-3, -0x1.d3b63aee0767bp-3, -0x1.d3c7a12cd7baep-3, -0x1.d3be6564522cfp-3, -0x1.d39ae8b34d13fp-3, -0x1.d35d8dcad251bp-3, -0x1.d306b8d82477cp-3, -0x1.d296cf6edc8bep-3, -0x1.d20e38733c937p-3, -0x1.d16d5c04ac57fp-3, -0x1.d0b4a3686225cp-3, -0x1.cfe478f44f465p-3, -0x1.cefd47fa340f2p-3, -0x1.cdff7cb2fc11cp-3, -0x1.cceb842a553a9p-3, -0x1.cbc1cc2a84825p-3, -0x1.ca82c32889c9ep-3, -0x1.c92ed83080676p-3, -0x1.c7c67ad252622p-3, -0x1.c64a1b0eb3cf9p-3, -0x1.c4ba294470defp-3, -0x1.c317161e0b0f2p-3, -0x1.c161527fad798p-3, -0x1.bf994f7572ea5p-3, -0x1.bdbf7e2207742p-3, -0x1.bbd44fada1175p-3, -0x1.b9d83535584b4p-3, -0x1.b7cb9fbad87c9p-3, -0x1.b5af00146eaa6p-3, -0x1.b382c6dd7e0b8p-3, -0x1.b14764674d8c1p-3, -0x1.aefd48aa3df65p-3, -0x1.aca4e3375ab5ep-3, -0x1.aa3ea32a588dep-3, -0x1.a7caf71bee08p-3, -0x1.a54a4d1499d67p-3, -0x1.a2bd127fc5923p-3, -0x1.a023b41f54aa7p-3, -0x1.9d7e9dff96b8fp-3, -0x1.9ace3b6b9efe8p-3, -0x1.9812f6e201072p-3, -0x1.954d3a09f6db4p-3, -0x1.927d6da8e7127p-3, -0x1.8fa3f99852b08p-3, -0x1.8cc144bc2c90bp-3, -0x1.89d5b4f98c4b9p-3, -0x1.86e1af2dc806cp-3, -0x1.83e59725f994cp-3, -0x1.80e1cf96d5629p-3, -0x1.7dd6ba14f662p-3, -0x1.7ac4b70d775c5p-3, -0x1.77ac25befe9d7p-3, -0x1.748d64331626fp-3, -0x1.7168cf37f397bp-3, -0x1.6e3ec25a8bbap-3, -0x1.6b0f97e10f9edp-3, -0x1.67dba8c5b9c43p-3, -0x1.64a34cb1f8795p-3, -0x1.6166d9f9f1196p-3, -0x1.5e26a5985351fp-3, -0x1.5ae3032a88c5p-3, -0x1.579c44ed32132p-3, -0x1.5452bbb8f775cp-3, -0x1.5106b6ffaa45bp-3, -0x1.4db884c9af83fp-3, -0x1.4a6871b3c41a8p-3, -0x1.4716c8ecfc0ccp-3, -0x1.43c3d43518bc1p-3, -0x1.406fdbdb1da09p-3, -0x1.3d1b26bc31887p-3, -0x1.39c5fa42c0eecp-3, -0x1.36709a65e4eddp-3, -0x1.331b49a90c2a9p-3, -0x1.2fc6491bdb2a2p-3, -0x1.2c71d85a592dep-3, -0x1.291e358d49ebep-3, -0x1.25cb9d6acb02p-3, -0x1.227a4b37246dbp-3, -0x1.1f2a78c5d4d3cp-3, -0x1.1bdc5e7acd482p-3, -0x1.1890334be1dc1p-3, -0x1.15462cc26e127p-3, -0x1.11fe7efd262fcp-3, -0x1.0eb95cb219cc7p-3, -0x1.0b76f730db58cp-3, -0x1.08377e64de29dp-3, -0x1.04fb20d7efcb4p-3, -0x1.01c20bb4e5362p-3, -0x1.fd18d594cbe14p-4, -0x1.f6b4d11bb133dp-4, -0x1.f0585c3cffaecp-4, -0x1.ea03c6914c6b9p-4, -0x1.e3b75d11ec0a5p-4, -0x1.dd736a1fd3ac9p-4, -0x1.d738358ab5bf4p-4, -0x1.d10604984e45bp-4, -0x1.cadd1a0beaf35p-4, -0x1.c4bdb62e1f42p-4, -0x1.bea816d49d787p-4, -0x1.b89c776a49bf8p-4, -0x1.b29b10f762538p-4, -0x1.aca41a29de3e6p-4, -0x1.a6b7c75dddaap-4, -0x1.a0d64aa647ef7p-4, -0x1.9affd3d57b3dfp-4, -0x1.953490861f9e2p-4, -0x1.8f74ac240b05fp-4, -0x1.89c04ff53fa26p-4, -0x1.8417a322fb5f7p-4, -0x1.7e7acac2dbd7ap-4, -0x1.78e9e9e00e949p-4, -0x1.736521848c912p-4, -0x1.6dec90c266732p-4, -0x1.688054bd14cf9p-4, -0x1.632088b2d0b47p-4, -0x1.5dcd4605f41d1p-4, -0x1.5886a44657c27p-4, -0x1.534cb93aba11dp-4, -0x1.4e1f98ea1ebfcp-4, -0x1.48ff55a531b2cp-4, -0x1.43ec000fa5882p-4, -0x1.3ee5a72989a6ep-4, -0x1.39ec58589ff8bp-4, -0x1.35001f71a5cb6p-4, -0x1.302106c195a8ep-4, -0x1.2b4f1716dd927p-4, -0x1.268a57ca8be99p-4, -0x1.21d2cec96cdd6p-4, -0x1.1d28809d17d5cp-4, -0x1.188b7074f412bp-4, -0x1.13fba02f27d55p-4, -0x1.0f79106173a8p-4, -0x1.0b03c062039ecp-4, -0x1.069bae5026354p-4, -0x1.0240d71cf1675p-4, -0x1.fbe66d27a2303p-5, -0x1.f3658ec607c3cp-5, -0x1.eaff0647fb043p-5, -0x1.e2b2c4c76473dp-5, -0x1.da80b95599164p-5, -0x1.d268d10b8df97p-5, -0x1.ca6af719de5a8p-5, -0x1.c28714d8a02f8p-5, -0x1.babd11d6fefc7p-5, -0x1.b30cd3eaa1e21p-5, -0x1.ab763f3eddf3cp-5, -0x1.a3f93663b312bp-5, -0x1.9c959a5c8c9eap-5, -0x1.954b4aaec872ep-5, -0x1.8e1a25700ebd8p-5, -0x1.87020754626a2p-5, -0x1.8002cbbc004a8p-5, -0x1.791c4cc104e56p-5, -0x1.724e6344d1884p-5, -0x1.6b98e6fd39c19p-5, -0x1.64fbae8172942p-5, -0x1.5e768f56c8ab1p-5, -0x1.58095dfd1d342p-5, -0x1.51b3edfb1f2b9p-5, -0x1.4b7611ea503c2p-5, -0x1.454f9b82c66a9p-5, -0x1.3f405ba6bde7fp-5, -0x1.3948226ddc135p-5, -0x1.3366bf304c21ep-5, -0x1.2d9c00918e053p-5, -0x1.27e7b48b13b5p-5, -0x1.2249a876a6e21p-5, -0x1.1cc1a9188579bp-5, -0x1.174f82a951201p-5, -0x1.11f300dfbdedbp-5, -0x1.0cabeefa07d2bp-5, -0x1.077a17c7338d9p-5, -0x1.025d45b00c6ep-5, -0x1.faaa857fe8b5ap-6, -0x1.f0c3b15adfdefp-6, -0x1.e705a1c51446fp-6, -0x1.dd6fe909e0568p-6, -0x1.d40218fbc6407p-6, -0x1.cabbc303d8e0cp-6, -0x1.c19c7830bffb4p-6, -0x1.b8a3c9454f67ap-6, -0x1.afd146c6ba519p-6, -0x1.a724810a58b1ep-6, -0x1.9e9d0843033a7p-6, -0x1.963a6c8e1e555p-6, -0x1.8dfc3e0025c5cp-6, -0x1.85e20cb0eb961p-6, -0x1.7deb68c76721cp-6, -0x1.7617e28536043p-6, -0x1.6e670a51a7837p-6, -0x1.66d870c47d632p-6, -0x1.5f6ba6b0513d3p-6, -0x1.58203d2c931d7p-6, -0x1.50f5c59f35c83p-6, -0x1.49ebd1c60ac87p-6, -0x1.4301f3bfc3039p-6, -0x1.3c37be149a277p-6, -0x1.358cc3bea8ba3p-6, -0x1.2f009831fd2a6p-6, -0x1.2892cf6447ccfp-6, -0x1.2242fdd44d273p-6, -0x1.1c10b89101ab4p-6, -0x1.15fb95405e61cp-6, -0x1.10032a25e8dfep-6, -0x1.0a270e28f6fbbp-6, -0x1.0466d8daa89d1p-6, -0x1.fd8444f739315p-7, -0x1.f2710802bfc0bp-7, -0x1.e7932e374600dp-7, -0x1.dce9ec7245d0ep-7, -0x1.d2747918b2d23p-7, -0x1.c8320c1fdb513p-7, -0x1.be21df15d5c6fp-7, -0x1.b4432d2960356p-7, -0x1.aa9533317a8dep-7, -0x1.a1172fb45b052p-7, -0x1.97c862ee1aa1p-7, -0x1.8ea80ed6e31c3p-7, -0x1.85b57728bfe6dp-7, -0x1.7cefe164f786bp-7, -0x1.745694d9178fap-7, -0x1.6be8daa3943dap-7, -0x1.63a5fdb8058aep-7, -0x1.5b8d4ae3113cfp-7, -0x1.539e10cdf6a65p-7, -0x1.4bd7a001ce68bp-7, -0x1.44394aea56636p-7, -0x1.3cc265d8a6d54p-7, -0x1.357247054d63p-7, -0x1.2e4846925c4afp-7, -0x1.2743be8d0b8a8p-7, -0x1.20640aef198e3p-7, -0x1.19a8899fe637ap-7, -0x1.13109a75485d6p-7, -0x1.0c9b9f3426e9ep-7, -0x1.0648fb90d13ep-7, -0x1.0018152f10804p-7, -0x1.f410a74400217p-8, -0x1.e83240d790062p-8, -0x1.dc93cdf9c5485p-8, -0x1.d1342966f2716p-8, -0x1.c61231b4a2422p-8, -0x1.bb2cc94f364dep-8, -0x1.b082d67743b83p-8, -0x1.a613433e56d3bp-8, -0x1.9bdcfd839ed38p-8, -0x1.91def6f02073fp-8, -0x1.881824f27cd5ap-8, -0x1.7e8780bab6efbp-8, -0x1.752c0735665c5p-8, -0x1.6c04b906b6a2ep-8, -0x1.63109a85341f5p-8, -0x1.5a4eb3b456c47p-8, -0x1.51be103e98e62p-8, -0x1.495dbf6fa2901p-8, -0x1.412cd42e0a2e7p-8, -0x1.392a64f4d5e1cp-8, -0x1.31558bccf5c91p-8, -0x1.29ad66466a6b3p-8, -0x1.2231157139962p-8, -0x1.1adfbdd65e2c6p-8, -0x1.13b8877068937p-8, -0x1.0cba9da3e20c9p-8, -0x1.05e52f3807e03p-8, -0x1.fe6edc9d39431p-9, -0x1.f16120b8c267bp-9, -0x1.e49f9c41c94bdp-9, -0x1.d828c73ccef1dp-9, -0x1.cbfb20238d928p-9, -0x1.c0152bd42c3ccp-9, -0x1.b4757580979ddp-9, -0x1.a91a8e9d78444p-9, -0x1.9e030ed11d116p-9, -0x1.932d93e289219p-9, -0x1.8898c1a7e143bp-9, -0x1.7e4341f4e302cp-9, -0x1.742bc489d8a8cp-9, -0x1.6a50ff0186ec4p-9, -0x1.60b1acbfeb787p-9, -0x1.574c8ee022b8ep-9, -0x1.4e206c2306db3p-9, -0x1.452c10dd12ca4p-9, -0x1.3c6e4ee4d2763p-9, -0x1.33e5fd80e9d74p-9, -0x1.2b91f9564628bp-9, -0x1.237124564d73cp-9, -0x1.1b8265ad1a7d2p-9, -0x1.13c4a9af977b7p-9, -0x1.0c36e1c9bcd56p-9, -0x1.04d8046cff293p-9, -0x1.fb4e19fcbea1fp-10, -0x1.ed45f78a3d926p-10, -0x1.df95abb17ec26p-10, -0x1.d23b4a1fcef6fp-10, -0x1.c534efdd9f09dp-10, -0x1.b880c32b91834p-10, -0x1.ac1cf36041f99p-10, -0x1.a007b8c5d0c3fp-10, -0x1.943f5477cc213p-10, -0x1.88c210410519bp-10, -0x1.7d8e3e79f7ep-10, -0x1.72a239e72fb03p-10, -0x1.67fc659844eecp-10, -0x1.5d9b2cc63024fp-10, -0x1.537d02b2f3428p-10, -0x1.49a0628926ba1p-10, -0x1.4003cf3af7a05p-10, -0x1.36a5d362fc6bp-10, -0x1.2d850123c7aecp-10, -0x1.249ff208b97d5p-10, -0x1.1bf546e6ca033p-10, -0x1.1383a7bd67487p-10, -0x1.0b49c39803b66p-10, -0x1.0346506fc72d5p-10, -0x1.f6f0161adba16p-11, -0x1.e7bb6dd77af18p-11, -0x1.d8ec3c33e9e4ep-11, -0x1.ca80223d45363p-11, -0x1.bc74cdb5efb1bp-11, -0x1.aec7f8dcf9adcp-11, -0x1.a1776a356c5cep-11, -0x1.9480f44ebdea2p-11, -0x1.87e2758df164bp-11, -0x1.7b99d7f7248f7p-11, -0x1.6fa510f846063p-11, -0x1.64022133285b9p-11, -0x1.58af144aa1afcp-11, -0x1.4daa00ad6483cp-11, -0x1.42f10763d1e1cp-11, -0x1.388253dd93e67p-11, -0x1.2e5c1bbf9752p-11, -0x1.247c9eb3330f7p-11, -0x1.1ae22635f5eb9p-11, -0x1.118b0569a1547p-11, -0x1.087598e570772p-11, -0x1.ff408d0efdc6bp-12, -0x1.ee12fa8e444f1p-12, -0x1.dd5f6a1076b26p-12, -0x1.cd22dcdbaba44p-12, -0x1.bd5a655f1357p-12, -0x1.ae0326db57f43p-12, -0x1.9f1a550e713dp-12, -0x1.909d33df13bcap-12, -0x1.8289170bb883ap-12, -0x1.74db61d824483p-12, -0x1.679186bea12ep-12, -0x1.5aa90720e8646p-12, -0x1.4e1f72fb3dd1p-12, -0x1.41f26897dafdfp-12, -0x1.361f94443f116p-12, -0x1.2aa4b007e70f6p-12, -0x1.1f7f835b58855p-12, -0x1.14ade2e1b6883p-12, -0x1.0a2db021ceafdp-12, -0x1.fff9b28425248p-13, -0x1.ec32b1882e64dp-13, -0x1.d9026a8590604p-13, -0x1.c665026186ffbp-13, -0x1.b456b53054f8p-13, -0x1.a2d3d5b61f5f7p-13, -0x1.91d8ccec8dbd6p-13, -0x1.816219879106ap-13, -0x1.716c4f7e68dfp-13, -0x1.61f41795eee9cp-13, -0x1.52f62eed988f5p-13, -0x1.446f668d88c6bp-13, -0x1.365ca2f79daecp-13, -0x1.28badbba2f66bp-13, -0x1.1b871b05c71b6p-13, -0x1.0ebe7d4291a06p-13, -0x1.025e30aa96829p-13, -0x1.ecc6e9c60ba3ap-14, -0x1.d5973535e5a69p-14, -0x1.bf28064f18fa7p-14, -0x1.a974404d1208ap-14, -0x1.9476e64037314p-14, -0x1.802b1a53b56f2p-14, -0x1.6c8c1d1c31d2cp-14, -0x1.59954ce679e8bp-14, -0x1.47422509b0eadp-14, -0x1.358e3d3e028cep-14, -0x1.247548f78e497p-14, -0x1.13f316c1809fap-14, -0x1.04038f9f30b8bp-14, -0x1.e9456ce2cb425p-15, -0x1.cb994eb4cee92p-15, -0x1.aefb2e52f3463p-15, -0x1.9363a590d6ae1p-15, -0x1.78cb7d53b4c07p-15, -0x1.5f2bac7a7aee2p-15, -0x1.467d56cc696b3p-15, -0x1.2eb9cbe473801p-15, -0x1.17da8630021a4p-15, -0x1.01d929e6bd23p-15, -0x1.d95f081d2484fp-16, -0x1.b0af130a9925dp-16, -0x1.8996ac184019bp-16, -0x1.640a56b306cb8p-16, -0x1.3ffee067401a4p-16, -0x1.1d695f1599387p-16, -0x1.f87e5e7049456p-17, -0x1.b8ebe45938a22p-17, -0x1.7c07191f4e222p-17, -0x1.41bc4935a3f9fp-17, -0x1.09f841187885bp-17, -0x1.a950947de2169p-18, -0x1.43744feb9ba1cp-18, -0x1.c4705212d4b35p-19, -0x1.0af2f8debc9a2p-19, -0x1.68b44889ea333p-21, 0x1.388ca972d555ep-21, 0x1.dc7bac4e877ccp-20, 0x1.8661666dcc338p-19, 0x1.0b655b4a1d9d6p-18, 0x1.4fda8906ea6a7p-18, 0x1.90ad1f3a29f8ep-18, 0x1.cdf942866fa0fp-18, 0x1.03ed2f10f238p-17, 0x1.1f3594357187cp-17, 0x1.38e2d3ba2141cp-17, 0x1.51019aac28458p-17, 0x1.679e4241188dbp-17, 0x1.7cc4d1f43c924p-17, 0x1.9081018353068p-17, 0x1.a2de3b0333297p-17, 0x1.b3e79cc00bfffp-17, 0x1.c3a7fb2cdddf1p-17, 0x1.d229e2b885c1ap-17, 0x1.df77999e7d042p-17, 0x1.eb9b21a738d17p-17, 0x1.f69e39eb79d73p-17, 0x1.0045303bfd12ap-16, 0x1.04b469f93e111p-16, 0x1.08a14a9cf6f73p-16, 0x1.0c103476e0f96p-16, 0x1.0f056c7d8b59ap-16, 0x1.11851b072bb31p-16, 0x1.13934c885046ep-16, 0x1.1533f24631e96p-16, 0x1.166ae30897affp-16, 0x1.173bdbc352427p-16, 0x1.17aa803c71ddcp-16, 0x1.17ba5bb474049p-16, 0x1.176ee18038d79p-16, 0x1.16cb6da938d28p-16, 0x1.15d3458336783p-16, 0x1.1489983c962d3p-16, 0x1.12f17f742075dp-16, 0x1.110dffc05d049p-16, 0x1.0ee20936a166ep-16, 0x1.0c7077f896dbbp-16, 0x1.09bc14ad6e53p-16, 0x1.06c795044a27ep-16, 0x1.03959c2dc7dfcp-16, 0x1.0028bb56f17b7p-16, 0x1.f906e432634dep-17, 0x1.f1505de00bc69p-17, 0x1.e9329f4f3a518p-17, 0x1.e0b24393ea0e6p-17, 0x1.d7d3c60870f13p-17, 0x1.ce9b83240a0e6p-17, 0x1.c50db93bffd94p-17, 0x1.bb2e894aa154dp-17, 0x1.b101f7a740af5p-17, 0x1.a68becc6ced47p-17, 0x1.9bd035eaef3fep-17, 0x1.90d285cec8786p-17, 0x1.8596755ba089cp-17, 0x1.7a1f844204ff1p-17, 0x1.6e7119a53a488p-17, 0x1.628e84b540352p-17, 0x1.567afd467d762p-17, 0x1.4a39a46f857cep-17, 0x1.3dcd850ccd865p-17, 0x1.3139945d0ca2bp-17, 0x1.2480b27e63af5p-17, 0x1.17a5aafd6669bp-17, 0x1.0aab3554293a2p-17, 0x1.fb27ead91b0c5p-18, 0x1.e0c4f8309b124p-18, 0x1.c6328f19462adp-18, 0x1.ab7587b489732p-18, 0x1.909296b48a1a4p-18, 0x1.758e4e3bc5fc5p-18, 0x1.5a6d1ec518ffap-18, 0x1.3f3357e2803dap-18, 0x1.23e5291e80de5p-18, 0x1.0886a2b6eb761p-18, 0x1.da376ccd2753fp-19, 0x1.a35070411811dp-19, 0x1.6c5fbda337085p-19, 0x1.356c89f9f76fp-19, 0x1.fcfba63ac2bd5p-20, 0x1.8f34c1ae40d13p-20, 0x1.21918c98318b7p-20, 0x1.683d8ca35778bp-21, 0x1.1ba327f262d57p-22, -0x1.30237b05918c3p-23, -0x1.253a988e4f1bp-21, -0x1.fdad213c1ec27p-21, -0x1.6aa55b51e1413p-20, -0x1.d5ff245174f2ep-20, -0x1.206cdd3549106p-19, -0x1.5595a0875f9a1p-19, -0x1.8a751746037e9p-19, -0x1.bf06a5050218fp-19, -0x1.f345d4c31631fp-19, -0x1.13972c0999cf6p-18, -0x1.2d5e030eaa30ap-18, -0x1.46f56d6bc6589p-18, -0x1.605b7b009a53p-18, -0x1.798e4d44283b2p-18, -0x1.928c16c0e4a2dp-18, -0x1.ab531abc2f985p-18, -0x1.c3e1acd27af09p-18, -0x1.dc3630940b585p-18, -0x1.f44f1922bf1cep-18, -0x1.0615746f9c193p-17, -0x1.11e4188345881p-17, -0x1.1d92c8af03f5dp-17, -0x1.2920dbf06384ap-17, -0x1.348db0338d466p-17, -0x1.3fd8aa2ba9904p-17, -0x1.4b013529babe8p-17, -0x1.5606c2f8cd513p-17, -0x1.60e8cbb5853f2p-17, -0x1.6ba6cdaa6896fp-17, -0x1.76404d29e7cacp-17, -0x1.80b4d46d8def4p-17, -0x1.8b03f37491bb2p-17, -0x1.952d3fdb3069cp-17, -0x1.9f3054c2eaa08p-17, -0x1.a90cd2ac8ebf4p-17, -0x1.b2c25f5ae5ea6p-17, -0x1.bc50a5b24701ep-17, -0x1.c5b7559df8dd6p-17, -0x1.cef623ef78e15p-17, -0x1.d80cca43f1686p-17, -0x1.e0fb06e845008p-17, -0x1.e9c09cbb90395p-17, -0x1.f25d5314aa235p-17, -0x1.fad0f5ac14707p-17, -0x1.018daa3e0af16p-16, -0x1.059e21d6206a4p-16, -0x1.0999cdbb5f326p-16, -0x1.0d809c0916a65p-16, -0x1.11527ccba9af4p-16, -0x1.150f61f62a653p-16, -0x1.18b73f567376bp-16, -0x1.1c4a0a8a6283ep-16, -0x1.1fc7baf5351p-16, -0x1.233049b3c0e54p-16, -0x1.2683b194ebd1fp-16, -0x1.29c1ef0c0d82cp-16, -0x1.2ceb0028ac9f2p-16, -0x1.2ffee48ca4c51p-16, -0x1.32fd9d62eb0bdp-16, -0x1.35e72d5573de9p-16, -0x1.38bb9883b0289p-16, -0x1.3b7ae47b0230bp-16, -0x1.3e25182c7d42cp-16, -0x1.40ba3be47e0c2p-16, -0x1.433a5942641cep-16, -0x1.45a57b309aad8p-16, -0x1.47fbaddb34c73p-16, -0x1.4a3cfea890f59p-16, -0x1.4c697c31fdb0dp-16, -0x1.4e81363b7a141p-16, -0x1.50843dabe41aep-16, -0x1.5272a485038f9p-16, -0x1.544c7dddb168dp-16, -0x1.5611ddd913e96p-16, -0x1.57c2d9a04167fp-16, -0x1.595f875bf460ep-16, -0x1.5ae7fe2c47da2p-16, -0x1.5c5c5622d9b4fp-16, -0x1.5dbca83bac57dp-16, -0x1.5f090e57d7acdp-16, -0x1.6041a335ccfdp-16, -0x1.6166826babb34p-16, -0x1.6277c860f8504p-16, -0x1.637592493aac9p-16, -0x1.645ffe1d03aa7p-16, -0x1.65372a94f3f33p-16, -0x1.65fb3722e94a8p-16, -0x1.66ac43ed55484p-16, -0x1.674a71c97f5fp-16, -0x1.67d5e23617969p-16, -0x1.684eb754fe133p-16, -0x1.68b513e752ff9p-16, -0x1.69091b46eb35cp-16, -0x1.694af162db61bp-16, -0x1.697abab89631cp-16, -0x1.69989c5052b95p-16, -0x1.69a4bbb7f37ap-16, -0x1.699f3efd7969dp-16, -0x1.69884caba84dcp-16, -0x1.69600bc44243ep-16, -0x1.6926a3bc05a98p-16, -0x1.68dc3c75c46c5p-16, -0x1.6880fe3e853f6p-16, -0x1.681511c8dc7eap-16, -0x1.6798a029316b6p-16, -0x1.670bd2d09b1f5p-16, -0x1.666ed38975c51p-16, -0x1.65c1cc7398b2cp-16, -0x1.6504e7fef8472p-16, -0x1.643850e95c14fp-16, -0x1.635c3239d4995p-16, -0x1.6270b73d8e6c8p-16, -0x1.61760b831cbb8p-16, -0x1.606c5ad6e8503p-16, -0x1.5f53d1406caecp-16, -0x1.5e2c9afdf74afp-16, -0x1.5cf6e48118016p-16, -0x1.5bb2da6c6b702p-16, -0x1.5a60a98edc12cp-16, -0x1.59007ee06b5cbp-16, -0x1.5792877fd7521p-16, -0x1.5616f0aeee2e2p-16, -0x1.548de7cf8aa65p-16, -0x1.52f79a5fcd9f7p-16, -0x1.515435f799438p-16, -0x1.4fa3e846938f1p-16, -0x1.4de6df101f2c6p-16, -0x1.4c1d482888b69p-16, -0x1.4a47517293d2ep-16, -0x1.486528dc0d877p-16, -0x1.4676fc5be23d6p-16, -0x1.447cf9ef286d8p-16, -0x1.42774f96855f6p-16, -0x1.40662b5382c6ep-16, -0x1.3e49bb2619b3fp-16, -0x1.3c222d09eef77p-16, -0x1.39efaef48d2d2p-16, -0x1.37b26ed2c0d49p-16, -0x1.356a9a85c9e7bp-16, -0x1.33185fe1eba37p-16, }}, 
      {{-0x1.806ea8f3d5099p-2, -0x1.80cf2b7446ca1p-2, -0x1.81632b03b79dp-2, -0x1.821db9dc2db2dp-2, -0x1.82f2dac85748fp-2, -0x1.83d8b033334cbp-2, -0x1.84c7cc49997b7p-2, -0x1.85bb0cdacc2c7p-2, -0x1.86af448778987p-2, -0x1.87a2d551cde3dp-2, -0x1.88954e3ca4706p-2, -0x1.89871361f8a49p-2, -0x1.8a7912c5b104p-2, -0x1.8b6c85e9c2581p-2, -0x1.8c62bf585b822p-2, -0x1.8d5d03235f325p-2, -0x1.8e5c6953aa35cp-2, -0x1.8f61c94267ebap-2, -0x1.906daccfe3894p-2, -0x1.91804a5ffdf5dp-2, -0x1.9299847b3f817p-2, -0x1.93b8edf1657dp-2, -0x1.94ddd16242a8dp-2, -0x1.96073b23f8c33p-2, -0x1.9734049873222p-2, -0x1.9862e0251dcf3p-2, -0x1.9992652426fa2p-2, -0x1.9ac11b4b8a926p-2, -0x1.9bed85296deccp-2, -0x1.9d16297568754p-2, -0x1.9e399b1203adcp-2, -0x1.9f567fb0bbf4dp-2, -0x1.a06b951cc6fe3p-2, -0x1.a177b53e68686p-2, -0x1.a279d8f1d8cd8p-2, -0x1.a37119d28a4ccp-2, -0x1.a45cb31e4dc0cp-2, -0x1.a53c01d472b05p-2, -0x1.a60e8433b30ebp-2, -0x1.a6d3d8b762391p-2, -0x1.a78bbcb11c39bp-2, -0x1.a8360a98b35a1p-2, -0x1.a8d2b8285d07cp-2, -0x1.a961d4578f5a7p-2, -0x1.a9e3854393ffcp-2, -0x1.aa580611d5dddp-2, -0x1.aabfa4d53454p-2, -0x1.ab1ac07d63c73p-2, -0x1.ab69c6d574d14p-2, -0x1.abad329511cb1p-2, -0x1.abe58986c54dep-2, -0x1.ac135ac4af3c8p-2, -0x1.ac373d0c5ae3bp-2, -0x1.ac51cd29e8544p-2, -0x1.ac63ac7a67fbdp-2, -0x1.ac6d7f8513997p-2, -0x1.ac6fecaaf235p-2, -0x1.ac6b9aec678ecp-2, -0x1.ac6130c431adap-2, -0x1.ac5153176071fp-2, -0x1.ac3ca439d3f13p-2, -0x1.ac23c306e37c7p-2, -0x1.ac074a0dd2485p-2, -0x1.abe7ced1b86dp-2, -0x1.abc5e11c965d2p-2, -0x1.aba20a653919ap-2, -0x1.ab7ccd4799d11p-2, -0x1.ab56a50f5e503p-2, -0x1.ab3005540628dp-2, -0x1.ab0959a65b007p-2, -0x1.aae3054e97bb2p-2, -0x1.aabd631ab16a4p-2, -0x1.aa98c53c28112p-2, -0x1.aa757534a686ep-2, -0x1.aa53b3d0b225ap-2, -0x1.aa33b92fa53e9p-2, -0x1.aa15b4d81161dp-2, -0x1.a9f9cdd7b0a8ap-2, -0x1.a9e022edfc76ep-2, -0x1.a9c8cac078417p-2, -0x1.a9b3d417be73cp-2, -0x1.a9a14624657c2p-2, -0x1.a99120cabec81p-2, -0x1.a9835cf490b6ap-2, -0x1.a977ece7d1417p-2, -0x1.a96ebca18e3f7p-2, -0x1.a967b2341f71ep-2, -0x1.a962ae27d3a4dp-2, -0x1.a95f8bdd5218cp-2, -0x1.a95e21f0f8cfdp-2, -0x1.a95e429e7f76ep-2, -0x1.a95fbc2449d2bp-2, -0x1.a9625925ca7b6p-2, -0x1.a965e10c73475p-2, -0x1.a96a1866b8402p-2, -0x1.a96ec144b79e3p-2, -0x1.a9739b922ae11p-2, -0x1.a978656d489bfp-2, -0x1.a97cdb7a53addp-2, -0x1.a980b9339f992p-2, -0x1.a983b935d3007p-2, -0x1.a98595884fa87p-2, -0x1.a98607e196363p-2, -0x1.a984c9e7a2258p-2, -0x1.a981956c2b0d9p-2, -0x1.a97c24a4d38f5p-2, -0x1.a974325f3e033p-2, -0x1.a9697a3125af2p-2, -0x1.a95bb8a47d65cp-2, -0x1.a94aab5fb56d7p-2, -0x1.a936114a42a05p-2, -0x1.a91daaad819abp-2, -0x1.a90139521d1b6p-2, -0x1.a8e0809a1ac5dp-2, -0x1.a8bb4597b56a3p-2, -0x1.a8914f212d49bp-2, -0x1.a86265e1b9e19p-2, -0x1.a82e5467c4619p-2, -0x1.a7f4e73098fb5p-2, -0x1.a7b5ecb1b8d3p-2, -0x1.a771355ff4267p-2, -0x1.a72693b47b49p-2, -0x1.a6d5dc300d98cp-2, -0x1.a67ee55c6d21p-2, -0x1.a62187cc3cbd2p-2, -0x1.a5bd9e1976077p-2, -0x1.a55304e28d138p-2, -0x1.a4e19ac67414ap-2, -0x1.a469405f924d4p-2, -0x1.a3e9d83dd6bb2p-2, -0x1.a36346dffb9e1p-2, -0x1.a2d572ac20ab5p-2, -0x1.a24043e7c7cep-2, -0x1.a1a3a4af5b283p-2, -0x1.a0ff80ed4752fp-2, -0x1.a053c650c04cbp-2, -0x1.9fa064444c594p-2, -0x1.9ee54be417e8p-2, -0x1.9e226ff42dc53p-2, -0x1.9d57c4d69b101p-2, -0x1.9c8540818facp-2, -0x1.9baada757f933p-2, -0x1.9ac88bb358641p-2, -0x1.99de4eb2cceccp-2, -0x1.98ec1f58bc6b1p-2, -0x1.97f1faedc4764p-2, -0x1.96efe014fa7dap-2, -0x1.95e5cec2d3e59p-2, -0x1.94d3c834420a8p-2, -0x1.93b9cee600d79p-2, -0x1.9297e68c1e89bp-2, -0x1.916e1409baddbp-2, -0x1.903c5d68fcc6dp-2, -0x1.8f02c9d343853p-2, -0x1.8dc161898c12dp-2, -0x1.8c782ddd1422ap-2, -0x1.8b2739282a6c9p-2, -0x1.89ce8ec73c8c8p-2, -0x1.886e3b120f89bp-2, -0x1.87064b552cb56p-2, -0x1.8596cdcb7ee96p-2, -0x1.841fd19815297p-2, -0x1.82a166c013726p-2, -0x1.811b9e24c9cc7p-2, -0x1.7f8e897decca9p-2, -0x1.7dfa3b53f0579p-2, -0x1.7c5ec6fa81bdap-2, -0x1.7abc408b1cf1dp-2, -0x1.7912bcdfbaf17p-2, -0x1.7762518d94cb5p-2, -0x1.75ab14dfffba7p-2, -0x1.73ed1dd3543f8p-2, -0x1.7228840feac76p-2, -0x1.705d5fe5211dp-2, -0x1.6e8bca446c2cbp-2, -0x1.6cb3dcbc73e3bp-2, -0x1.6ad5b174361abp-2, -0x1.68f163262d744p-2, -0x1.67070d1b7e646p-2, -0x1.6516cb27266aep-2, -0x1.6320b9a12b4d5p-2, -0x1.6124f561ccf51p-2, -0x1.5f239bbcb66bep-2, -0x1.5d1cca7c2ae31p-2, -0x1.5b109fdc34edfp-2, -0x1.58ff3a85ce41ep-2, -0x1.56e8b98a09a98p-2, -0x1.54cd3c5d342c5p-2, -0x1.52ace2d1f949cp-2, -0x1.5087cd147c367p-2, -0x1.4e5e1ba5734b7p-2, -0x1.4c2fef553e9fdp-2, -0x1.49fd693efb1dp-2, -0x1.47c6aac390bcbp-2, -0x1.458bd584c3db4p-2, -0x1.434d0b603ff0bp-2, -0x1.410a6e6aa2babp-2, -0x1.3ec420ea8847ep-2, -0x1.3c7a4553945edp-2, -0x1.3a2cfe417e89ap-2, -0x1.37dc6e7320539p-2, -0x1.3588b8c5862aep-2, -0x1.3332002f00421p-2, -0x1.30d867ba3f51bp-2, -0x1.2e7c12816d644p-2, -0x1.2c1d23a956071p-2, -0x1.29bbbe5c8e0aap-2, -0x1.275805c6aa36cp-2, -0x1.24f21d0f7ad58p-2, -0x1.228a2756531dap-2, -0x1.202047ad5d5ecp-2, -0x1.1db4a114f7f89p-2, -0x1.1b475677253c3p-2, -0x1.18d88aa303a83p-2, -0x1.16686048597ebp-2, -0x1.13f6f9f32edf2p-2, -0x1.11847a077ac92p-2, -0x1.0f1102bcdf13ap-2, -0x1.0c9cb61a7b428p-2, -0x1.0a27b5f2cfa27p-2, -0x1.07b223dfb7b34p-2, -0x1.053c213e769b7p-2, -0x1.02c5cf2bdedf6p-2, -0x1.004f4e808acf9p-2, -0x1.fbb17f9a63fb1p-3, -0x1.f6c486ae24158p-3, -0x1.f1d7f228e81bbp-3, -0x1.ecec01528feafp-3, -0x1.e800f2c7b9e3fp-3, -0x1.e31704735fb91p-3, -0x1.de2e7388b1b0bp-3, -0x1.d9477c7d1fa4dp-3, -0x1.d4625b029f951p-3, -0x1.cf7f4a02273d4p-3, -0x1.ca9e83965b542p-3, -0x1.c5c041067fe12p-3, -0x1.c0e4bac19730fp-3, -0x1.bc0c2859be5c4p-3, -0x1.b736c07fc59f5p-3, -0x1.b264b8fef911fp-3, -0x1.ad9646b92c396p-3, -0x1.a8cb9da2f97fep-3, -0x1.a404f0c03c9bp-3, -0x1.9f427220c37b7p-3, -0x1.9a8452dd3b0cfp-3, -0x1.95cac31453608p-3, -0x1.9115f1e8197eap-3, -0x1.8c660d7b8d09ep-3, -0x1.87bb42f068e58p-3, -0x1.8315be6525eabp-3, -0x1.7e75aaf33263dp-3, -0x1.79db32ad5bab4p-3, -0x1.75467e9e739acp-3, -0x1.70b7b6c823b7ap-3, -0x1.6c2f0221f444fp-3, -0x1.67ac86988abffp-3, -0x1.6330690d11b3dp-3, -0x1.5ebacd54da9b7p-3, -0x1.5a4bd63924b4cp-3, -0x1.55e3a5771de1fp-3, -0x1.51825bc0087c2p-3, -0x1.4d2818b992683p-3, -0x1.48d4fafe55831p-3, -0x1.4489201e84ea3p-3, -0x1.4044a4a0c0f7fp-3, -0x1.3c07a4031659ap-3, -0x1.37d238bc23d9fp-3, -0x1.33a47c3c6359ep-3, -0x1.2f7e86ef9d03p-3, -0x1.2b60703e7b04ep-3, -0x1.274a4e903dde9p-3, -0x1.233c374c983c9p-3, -0x1.1f363edda6fd8p-3, -0x1.1b3878b2071ddp-3, -0x1.1742f73f0df28p-3, -0x1.1355cc031ae54p-3, -0x1.0f71078806383p-3, -0x1.0b94b965a94b2p-3, -0x1.07c0f0448063ep-3, -0x1.03f5b9e067ba5p-3, -0x1.0033230b685a5p-3, -0x1.f8f26f6144187p-4, -0x1.f19005ae8daa6p-4, -0x1.ea3f1d4b53a2ap-4, -0x1.e2ffc8c8c10dp-4, -0x1.dbd21902eb9e8p-4, -0x1.d4b61d275af6dp-4, -0x1.cdabe2bbaf8d2p-4, -0x1.c6b375a4623d5p-4, -0x1.bfcce02b9e39p-4, -0x1.b8f82b08355bdp-4, -0x1.b2355d64b0a58p-4, -0x1.ab847ce664386p-4, -0x1.a4e58db4a140ap-4, -0x1.9e589280007bfp-4, -0x1.97dd8c89a4a9fp-4, -0x1.91747baa9b3e6p-4, -0x1.8b1d5e5b47481p-4, -0x1.84d831bacaeedp-4, -0x1.7ea4f196822f6p-4, -0x1.788398717fe0ap-4, -0x1.72741f8c0f1edp-4, -0x1.6c767eeb37e12p-4, -0x1.668aad604416fp-4, -0x1.60b0a09045788p-4, -0x1.5ae84cfb98b4dp-4, -0x1.5531a60565fb4p-4, -0x1.4f8c9dfb1eb54p-4, -0x1.49f9261bf219ap-4, -0x1.44772ea03e688p-4, -0x1.3f06a6c0f87a3p-4, -0x1.39a77cbf08ecep-4, -0x1.34599deaa2a3p-4, -0x1.2f1cf6aa88e54p-4, -0x1.29f172834e214p-4, -0x1.24d6fc1e805c1p-4, -0x1.1fcd7d51cbf8p-4, -0x1.1ad4df260ba7dp-4, -0x1.15ed09de499a6p-4, -0x1.1115e4feb185ap-4, -0x1.0c4f57536d0dbp-4, -0x1.079946f770848p-4, -0x1.02f3995b36c53p-4, -0x1.fcbc6696c44abp-5, -0x1.f3b1f1eea4482p-5, -0x1.eac79bef36074p-5, -0x1.e1fd2aa8e1cb6p-5, -0x1.d9526317e94aap-5, -0x1.d0c70930e04f5p-5, -0x1.c85adfecf308bp-5, -0x1.c00da955fa0bdp-5, -0x1.b7df26926692p-5, -0x1.afcf17f0fafeap-5, -0x1.a7dd3cf44cdc3p-5, -0x1.a009545e229bbp-5, -0x1.98531c3a95295p-5, -0x1.90ba51eafdc96p-5, -0x1.893eb230bd9abp-5, -0x1.81dff937c2f3cp-5, -0x1.7a9de2a0e757dp-5, -0x1.7378298c13b8p-5, -0x1.6c6e88a233ccap-5, -0x1.6580ba1ef2313p-5, -0x1.5eae77da43981p-5, -0x1.57f77b51bd91fp-5, -0x1.515b7db1bc12cp-5, -0x1.4ada37de46eddp-5, -0x1.4473627bd74d2p-5, -0x1.3e26b5f7d724bp-5, -0x1.37f3ea90f5049p-5, -0x1.31dab85f49d3bp-5, -0x1.2bdad75c3cbf4p-5, -0x1.25f3ff6a4454bp-5, -0x1.2025e85c64686p-5, -0x1.1a7049fd8d059p-5, -0x1.14d2dc17b5d09p-5, -0x1.0f4d567ad03eep-5, -0x1.09df71038453cp-5, -0x1.0488e3a1c5f57p-5, -0x1.fe92ccbe58a9cp-6, -0x1.f44162ca43286p-6, -0x1.ea1cfa05c5d97p-6, -0x1.e02503669a39dp-6, -0x1.d658f045000b2p-6, -0x1.ccb83266a20a9p-6, -0x1.c3423c091c5cp-6, -0x1.b9f67fec36f6p-6, -0x1.b0d4715bb246ep-6, -0x1.a7db8438d3d11p-6, -0x1.9f0b2d0389eddp-6, -0x1.9662e0e345acep-6, -0x1.8de215af7d721p-6, -0x1.858841f7d8519p-6, -0x1.7d54dd0c17fa2p-6, -0x1.75475f0396f5ap-6, -0x1.6d5f40c49cb13p-6, -0x1.659bfc0b3f856p-6, -0x1.5dfd0b7017994p-6, -0x1.5681ea6e9d541p-6, -0x1.4f2a156b31f51p-6, -0x1.47f509b8f79dep-6, -0x1.40e2459f4e95ep-6, -0x1.39f1485f1c5ecp-6, -0x1.33219237c77d6p-6, -0x1.2c72a46bed98cp-6, -0x1.25e40145e4d2p-6, -0x1.1f752c1bec2fap-6, -0x1.1925a95435555p-6, -0x1.12f4fe689374ap-6, -0x1.0ce2b1ea1034bp-6, -0x1.06ee4b84219a6p-6, -0x1.011753ffcda4dp-6, -0x1.f6baaa8cebe75p-7, -0x1.eb7fb4c90d277p-7, -0x1.e07cdf17aa8e8p-7, -0x1.d5b1442bd7639p-7, -0x1.cb1c010c0b095p-7, -0x1.c0bc3515d58fdp-7, -0x1.b69102013a348p-7, -0x1.ac998be388672p-7, -0x1.a2d4f9321fb29p-7, -0x1.994272c47e18dp-7, -0x1.8fe123d64e6e6p-7, -0x1.86b03a09007dep-7, -0x1.7daee564fea7ap-7, -0x1.74dc585ab3a6bp-7, -0x1.6c37c7c33eb66p-7, -0x1.63c06ae0cc3bep-7, -0x1.5b757b5ec437fp-7, -0x1.535635518af1fp-7, -0x1.4b61d73633901p-7, -0x1.4397a1f1c2f09p-7, -0x1.3bf6d8d04e7b9p-7, -0x1.347ec183d376bp-7, -0x1.2d2ea422dbf5ap-7, -0x1.2605cb26ed304p-7, -0x1.1f03836aa7bc5p-7, -0x1.18271c27dd394p-7, -0x1.116fe6f54ba12p-7, -0x1.0add37c43bc02p-7, -0x1.046e64ddfa3c2p-7, -0x1.fc458dc215e4p-8, -0x1.eff3717c937e8p-8, -0x1.e3e52f6b9b05cp-8, -0x1.d81986a766ab1p-8, -0x1.cc8f3ad97ad8ap-8, -0x1.c1451435a923dp-8, -0x1.b639df72ac821p-8, -0x1.ab6c6dc2ab985p-8, -0x1.a0db94cb67b98p-8, -0x1.96862e9e3a136p-8, -0x1.8c6b19afc71b5p-8, -0x1.828938cf90c4fp-8, -0x1.78df731f4f4cfp-8, -0x1.6f6cb40a08b66p-8, -0x1.662feb3b2216fp-8, -0x1.5d280c95124f6p-8, -0x1.545410282a70ep-8, -0x1.4bb2f228f0ec2p-8, -0x1.4343b2e6a07fp-8, -0x1.3b0556c149f82p-8, -0x1.32f6e6200a85cp-8, -0x1.2b176d66fd9f6p-8, -0x1.2365fced282d9p-8, -0x1.1be1a8f24dbd4p-8, -0x1.14898994a3146p-8, -0x1.0d5cbac674f37p-8, -0x1.065a5c43c6661p-8, -0x1.ff03230f96a71p-9, -0x1.f1a30384a96ap-9, -0x1.e492af9ab6632p-9, -0x1.d7d0844457fe7p-9, -0x1.cb5ae59de30d4p-9, -0x1.bf303ed7bae74p-9, -0x1.b34f0220f60b7p-9, -0x1.a7b5a891f65f3p-9, -0x1.9c62b216c5308p-9, -0x1.9154a559ba17ep-9, -0x1.868a0fade50d7p-9, -0x1.7c0184f973fdap-9, -0x1.71b99fa0726fbp-9, -0x1.67b1006f24f85p-9, -0x1.5de64e84ae6adp-9, -0x1.5458373da6679p-9, -0x1.4b056e1ee5f5ap-9, -0x1.41ecacc02171ap-9, -0x1.390cb2b6d02dp-9, -0x1.30644581191dep-9, -0x1.27f23070a87a5p-9, -0x1.1fb54495f67b1p-9, -0x1.17ac58ab51514p-9, -0x1.0fd649001f683p-9, -0x1.0831f7645e732p-9, -0x1.00be4b14242bfp-9, -0x1.f2f461460155ap-10, -0x1.e4c933d08bbbp-10, -0x1.d6f8fbd493919p-10, -0x1.c981b195e79bbp-10, -0x1.bc61576750bcap-10, -0x1.af95f9832567dp-10, -0x1.a31dade48cb36p-10, -0x1.96f694207ddd7p-10, -0x1.8b1ed53f8ddb2p-10, -0x1.7f94a39785bc8p-10, -0x1.74563aa5ccbbbp-10, -0x1.6961deea0617p-10, -0x1.5eb5ddc0e4f56p-10, -0x1.54508d3f32f5dp-10, -0x1.4a304c0ddd146p-10, -0x1.405381456bf07p-10, -0x1.36b89c4acb98p-10, -0x1.2d5e14ab91d86p-10, -0x1.244269fb4ae46p-10, -0x1.1b6423b0be193p-10, -0x1.12c1d103eb68cp-10, -0x1.0a5a08cbea5e2p-10, -0x1.022b695da217ap-10, -0x1.f46930d5a0961p-11, -0x1.e4e885c25831ep-11, -0x1.d5d239942b731p-11, -0x1.c723c2555e6b3p-11, -0x1.b8daa3c90e13ep-11, -0x1.aaf46f2c0f5ddp-11, -0x1.9d6ec2f86d823p-11, -0x1.90474aa783df2p-11, -0x1.837bbe76f1dc1p-11, -0x1.7709e32d0b86dp-11, -0x1.6aef89de33066p-11, -0x1.5f2a8fb39acb5p-11, -0x1.53b8ddb20d9a1p-11, -0x1.4898688205e14p-11, -0x1.3dc73038256f9p-11, -0x1.3343401ea5fd6p-11, -0x1.290aae7fa542bp-11, -0x1.1f1b9c70315b2p-11, -0x1.1574359b6bae8p-11, -0x1.0c12b00f91563p-11, -0x1.02f54c0b0ec4ep-11, -0x1.f434a7941266bp-12, -0x1.e30036ab337edp-12, -0x1.d24a00a5a2bf6p-12, -0x1.c20ed3a65bd22p-12, -0x1.b24b904a6c85fp-12, -0x1.a2fd294c5fb66p-12, -0x1.9420a328af36bp-12, -0x1.85b313c4571edp-12, -0x1.77b1a213936ebp-12, -0x1.6a1985c3bd877p-12, -0x1.5ce806e4821dp-12, -0x1.501a7d93f1a2bp-12, -0x1.43ae51ab6ab19p-12, -0x1.37a0fa6e5e363p-12, -0x1.2beffe399c13ap-12, -0x1.2098f23441b6p-12, -0x1.15997a025d0aap-12, -0x1.0aef477860e38p-12, -0x1.00981a503ee3dp-12, -0x1.ed237fbe40cd6p-13, -0x1.d9b4259bc153cp-13, -0x1.c6ddf5a1029dep-13, -0x1.b49cd8c1fd4efp-13, -0x1.a2ecd0f464d48p-13, -0x1.91c9f8a8569cep-13, -0x1.813082431a069p-13, -0x1.711cb79dc7358p-13, -0x1.618af983d596cp-13, -0x1.5277bf36177f2p-13, -0x1.43df95ee6907ep-13, -0x1.35bf206692939p-13, -0x1.28131661fa18bp-13, -0x1.1ad84436965f9p-13, -0x1.0e0b8a5c5290fp-13, -0x1.01a9dcfadd58ap-13, -0x1.eb6086f84dc77p-14, -0x1.d437b03cc189fp-14, -0x1.bdd38f17045aep-14, -0x1.a82ea0dcfff2fp-14, -0x1.9343861d853cbp-14, -0x1.7f0d01d5117c9p-14, -0x1.6b85f8a9b2877p-14, -0x1.58a9702871b48p-14, -0x1.46728e08345e4p-14, -0x1.34dc977020348p-14, -0x1.23e2f0409e3c3p-14, -0x1.13811a612abfap-14, -0x1.03b2b510bb18fp-14, -0x1.e8e6f87358b19p-15, -0x1.cb7e8f93ce607p-15, -0x1.af24161aa8559p-15, -0x1.93cfa81a77abep-15, -0x1.797995e12459fp-15, -0x1.601a62c1f536p-15, -0x1.47aac3e71a1d2p-15, -0x1.30239f25b6b17p-15, -0x1.197e09dadc909p-15, -0x1.03b347ce167a5p-15, -0x1.dd7994322d096p-16, -0x1.b5285c2af4641p-16, -0x1.8e66789ff8524p-16, -0x1.6927cf02673e5p-16, -0x1.4560971df2037p-16, -0x1.23055919d738p-16, -0x1.020aeb90b616dp-16, -0x1.c4cce3544d4dap-17, -0x1.881ab29018cd3p-17, -0x1.4deab25e73245p-17, -0x1.1628de95aa23p-17, -0x1.c1837bc4427ddp-18, -0x1.5b44bcade3189p-18, -0x1.f2e148b5da4f1p-19, -0x1.37c6b202a4453p-19, -0x1.09e7f1206461bp-20, 0x1.2ed5af47c4adfp-22, 0x1.91ce9a6e56d5ep-20, 0x1.6471eebddc5ccp-19, 0x1.f8b8f4f0832a9p-19, 0x1.42fc7f4fbc7f9p-18, 0x1.86367d16f12bep-18, 0x1.c6271827ca71cp-18, 0x1.017513a684644p-17, 0x1.1e4d5c7f1d179p-17, 0x1.39a98c3104e6ap-17, 0x1.5396691d11724p-17, 0x1.6c205ce9bbc8fp-17, 0x1.835376cef2993p-17, 0x1.993b6def9961ap-17, 0x1.ade3a39a6d12dp-17, 0x1.c1572576628abp-17, 0x1.d3a0afafbef89p-17, 0x1.e4caaf11b01a4p-17, 0x1.f4df43109a4e9p-17, 0x1.01f41fe71d938p-16, 0x1.08f79805f851ep-16, 0x1.0f7eab8d8a80ep-16, 0x1.158dd95968781p-16, 0x1.1b297e636ae7p-16, 0x1.2055d6a7cbbf4p-16, 0x1.2516fe00ae15bp-16, 0x1.2970f105fafbp-16, 0x1.2d678dd9cf78ep-16, 0x1.30fe94fbb325cp-16, 0x1.3439aa12a53f6p-16, 0x1.371c54ae49cafp-16, 0x1.39aa010c65e97p-16, 0x1.3be600d075f78p-16, 0x1.3dd38bbe76403p-16, 0x1.3f75c06955675p-16, 0x1.40cfa4e552965p-16, 0x1.41e4276e90735p-16, 0x1.42b61f11a07efp-16, 0x1.43484c4af86d1p-16, 0x1.439d59a7a1a9dp-16, 0x1.43b7dc5c59127p-16, 0x1.439a54dc46eadp-16, 0x1.43472f6cbc749p-16, 0x1.42c0c4b03b574p-16, 0x1.42095a3740c63p-16, 0x1.41232302ce35bp-16, 0x1.4010400b6f628p-16, 0x1.3ed2c0c084344p-16, 0x1.3d6ca3869c1d7p-16, 0x1.3bdfd630f0b92p-16, 0x1.3a2e367b080a7p-16, 0x1.3859927a53417p-16, 0x1.3663a9107282cp-16, 0x1.344e2a5a5b01ep-16, 0x1.321ab81a0a12ap-16, 0x1.2fcae621efc76p-16, 0x1.2d603ab7a643p-16, 0x1.2adc2efa033eep-16, 0x1.28402f410b093p-16, 0x1.258d9b7cd1b18p-16, 0x1.22c5c79086c85p-16, 0x1.1fe9fbab4fcb1p-16, 0x1.1cfb74a0f3b95p-16, 0x1.19fb643d41066p-16, 0x1.16eaf197d6fcp-16, 0x1.13cb39644b681p-16, 0x1.109d4e3ef6ce1p-16, 0x1.0d6238fb97226p-16, 0x1.0a1af8eda5decp-16, 0x1.06c8842fab676p-16, 0x1.036bc7eccd21ep-16, 0x1.0005a8a1c2e93p-16, 0x1.f92e04c27b89p-17, 0x1.f241522723c87p-17, 0x1.eb46d16e3ad15p-17, 0x1.e4400b36d30b7p-17, 0x1.dd2e793cecfccp-17, 0x1.d61386cc6185p-17, 0x1.cef09131d6942p-17, 0x1.c7c6e8269ff55p-17, 0x1.c097ce3ec0dbdp-17, 0x1.b964794d474cbp-17, 0x1.b22e12cbd0059p-17, 0x1.aaf5b8398bb0bp-17, 0x1.a3bc7b7e3d8c7p-17, 0x1.9c836344b9fp-17, 0x1.954b6b53c16fp-17, 0x1.8e1584ea1736ep-17, 0x1.86e2970de59f1p-17, 0x1.7fb37ee3c37c9p-17, 0x1.78890ffd37e0bp-17, 0x1.716414a6d8f68p-17, 0x1.6a454e3687b2ep-17, 0x1.632d7550e4c2fp-17, 0x1.5c1d3a35c1f2cp-17, 0x1.551545011ed5fp-17, 0x1.4e1635f2ae9cfp-17, 0x1.4720a5ace8bb4p-17, 0x1.403525770bfe8p-17, 0x1.39543f78f702ap-17, 0x1.327e76f88b613p-17, 0x1.2bb448949df9dp-17, 0x1.24f62a7cb53bbp-17, 0x1.1e448ca705caep-17, 0x1.179fd90962997p-17, 0x1.110873c907b55p-17, 0x1.0a7ebb70baf4ep-17, 0x1.0403091f13d18p-17, 0x1.fb2b616e8fc61p-18, 0x1.ee6e021cf5b23p-18, 0x1.e1ce883456758p-18, 0x1.d54d7e2f7b8aap-18, 0x1.c8eb6576d8536p-18, 0x1.bca8b6aa43ff9p-18, 0x1.b085e1f60acbbp-18, 0x1.a4834f5a692d1p-18, 0x1.98a15efbe71b6p-18, 0x1.8ce069653cc01p-18, 0x1.8140bfd32bf71p-18, 0x1.75c2ac743461fp-18, 0x1.6a6672adedd23p-18, 0x1.5f2c4f59e1fcp-18, 0x1.541479045ad13p-18, 0x1.491f202af04bep-18, 0x1.3e4c6f729d93fp-18, 0x1.339c8be293e11p-18, 0x1.290f951b6f91ep-18, 0x1.1ea5a5897f62ap-18, 0x1.145ed29ba4c6cp-18, 0x1.0a3b2cf10fd3bp-18, 0x1.003ac08e7598fp-18, 0x1.ecbb2a0b194ecp-19, 0x1.d9475b533d159p-19, 0x1.c61a136dd305ep-19, 0x1.b33348fba98e8p-19, 0x1.a092eb185e89fp-19, 0x1.8e38e1abb6bc8p-19, 0x1.7c250db1e637fp-19, 0x1.6a57498a8d72cp-19, 0x1.58cf693e2f5dcp-19, 0x1.478d3ac43b0cep-19, 0x1.36908646b93e1p-19, 0x1.25d90e63f9677p-19, 0x1.1566906dcc286p-19, 0x1.0538c4a58bba9p-19, 0x1.ea9ebcef9ab12p-20, 0x1.cb54196a5bc58p-20, 0x1.ac90f396d6606p-20, 0x1.8e5497f04e6cap-20, 0x1.709e4af5f5956p-20, 0x1.536d499e3738p-20, 0x1.36c0c9a464d3ep-20, 0x1.1a97f9f32756ep-20, 0x1.fde405f014151p-21, 0x1.c79c0dfddcc11p-21, 0x1.92564502598f3p-21, 0x1.5e10d8f6d1679p-21, 0x1.2ac9ed7246e58p-21, 0x1.f0ff38823a1c2p-22, 0x1.8e5febf57a19p-22, 0x1.2db205218572ep-22, 0x1.9de307263cd4fp-23, 0x1.c8695ec481713p-24, 0x1.72863981d6a71p-26, -0x1.07a20f6cde42ep-24, -0x1.32392c62c7f55p-23, -0x1.dcf02cc165c85p-23, -0x1.41ff520312ebep-22, -0x1.93b6a078433bbp-22, -0x1.e3a2621e1f428p-22, -0x1.18e37fc611859p-21, -0x1.3f14746383c1p-21, -0x1.64664a5704995p-21, -0x1.88db400fd3434p-21, -0x1.ac7596b4e1a78p-21, -0x1.cf3791d19bc75p-21, -0x1.f1237708696acp-21, -0x1.091dc6e1db2b8p-20, -0x1.19410f75cabfbp-20, -0x1.28fcba5475adcp-20, -0x1.3851ed0b71b4dp-20, -0x1.4741cd854461ap-20, -0x1.55cd81e786202p-20, -0x1.63f630780e473p-20, -0x1.71bcff7d79541p-20, -0x1.7f231524586b9p-20, -0x1.8c299765fec1ap-20, -0x1.98d1abef43797p-20, -0x1.a51c78082fde8p-20, -0x1.b10b207871d1ep-20, -0x1.bc9ec976f28b6p-20, -0x1.c7d896904c617p-20, -0x1.d2b9aa9426d83p-20, -0x1.dd432782a771p-20, -0x1.e7762e7611f35p-20, -0x1.f153df93f18cep-20, -0x1.fadd59f9e95fp-20, -0x1.0209ddd7ac7ddp-19, -0x1.067c10c9a8e55p-19, -0x1.0ac5d3a76416fp-19, -0x1.0ee7b3a3265fap-19, -0x1.12e23d474391dp-19, -0x1.16b5fc6d07e27p-19, -0x1.1a637c390e024p-19, -0x1.1deb4713ae355p-19, -0x1.214de6a435ebep-19, -0x1.248be3cb472fp-19, -0x1.27a5c69e0b9cfp-19, -0x1.2a9c1660bc303p-19, -0x1.2d6f59839df15p-19, -0x1.3020159c6eb2ep-19, -0x1.32aecf64cc5c1p-19, -0x1.351c0ab43f03dp-19, -0x1.37684a7e15e18p-19, -0x1.399410cdb4c06p-19, -0x1.3b9fdec23764cp-19, -0x1.3d8c348d71997p-19, -0x1.3f59916f9576ap-19, -0x1.410873b4fcb8ap-19, -0x1.429958b33ff6bp-19, -0x1.440cbcc812f21p-19, -0x1.45631b560e8e1p-19, -0x1.469ceec3eb15dp-19, -0x1.47bab078c87ffp-19, -0x1.48bcd8dbc17acp-19, -0x1.49a3df531997dp-19, -0x1.4a703a40c58b7p-19, -0x1.4b225f033d023p-19, -0x1.4bbac1f318bb4p-19, -0x1.4c39d66324fbp-19, -0x1.4ca00e9ea6d23p-19, -0x1.4ceddbe877d68p-19, -0x1.4d23ae7aa1d4dp-19, -0x1.4d41f5859353ap-19, -0x1.4d491f2fe8cf7p-19, -0x1.4d399896d8873p-19, -0x1.4d13cdcc20241p-19, -0x1.4cd829d6a3d41p-19, -0x1.4c8716b34c39fp-19, -0x1.4c20fd539cfc3p-19, -0x1.4ba6459ea4006p-19, -0x1.4b17567074d53p-19, -0x1.4a74959a591e7p-19, -0x1.49be67e4694b4p-19, -0x1.48f5310cac579p-19, -0x1.481953c7d3b95p-19, -0x1.472b31c1c64dep-19, -0x1.462b2b9d915cfp-19, -0x1.4519a0f6ba67p-19, -0x1.43f6f061d9a32p-19, -0x1.42c3776cfee07p-19, -0x1.417f92a068d69p-19, -0x1.402b9d7fb584ap-19, -0x1.3ec7f28a0fbbcp-19, -0x1.3d54eb3bbb265p-19, -0x1.3bd2e00f025bfp-19, -0x1.3a42287ca58fap-19, -0x1.38a31afd94b54p-19, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      44, 0x1.c851eb851eb85p+2, 0x1.8fc688ba2f231p+0, 0x1.bd740543da9b2p+1, -0x1.d2674494a63bdp-9, 
      {{
        {0x1.3f5c28f5c28f6p+2, 0x1.4p+2, 0x1.4289406d7481cp-7, -0x1.56e21c068eb71p-6, 0x1.0bba29d8b1e7fp-6, -0x1.5126581b5df33p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.3bbb5a9d00b38p-7, -0x1.518dd1c98c17bp-6, 0x1.0932d5fc5466dp-6, -0x1.5109f1a9dd39ap-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1b480897e8345p-7, -0x1.37aa83b8caf27p-6, 0x1.f91e86a58503p-7, -0x1.50f912c958c82p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.fab688a21f39ep-8, -0x1.1f0abc3988c8ap-6, 0x1.dfd8a53cd18ddp-7, -0x1.50c05f7bc953ap-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.c3a969f253e5ap-8, -0x1.07ae57fb5d8fep-6, 0x1.c6970479ef40cp-7, -0x1.511c469874b82p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9128085d20101p-8, -0x1.e32acfc7e8c2p-7, 0x1.ad4e7f2e80196p-7, -0x1.4a59c8203cd67p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.62f1e48c6f4fp-8, -0x1.b979b2da6b897p-7, 0x1.9487c35f48565p-7, -0x1.402405831d93cp-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.38c7ad5e0f91dp-8, -0x1.92390eb257ef2p-7, 0x1.7c850fc23fb82p-7, -0x1.369791994d2acp-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.126be5d8aaa34p-8, -0x1.6d55eb6d40e43p-7, 0x1.6539b1a38d21ap-7, -0x1.2cddc00b3bc62p-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.df45da6e85e9ep-9, -0x1.4abdc8249ed74p-7, 0x1.4ea910091bd8ep-7, -0x1.2330165ad2e62p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.a065fdd26744ap-9, -0x1.2a5e041035cecp-7, 0x1.38d2418f18d47p-7, -0x1.197f2ad8036ccp-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.67c8652460d9bp-9, -0x1.0c2406f2b5e5ep-7, 0x1.23b584bee55f9p-7, -0x1.0fcf1ec131e14p-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.3500f8148b7d2p-9, -0x1.dffa6c89a69dbp-8, 0x1.0f52c8d6ce6ecp-7, -0x1.061ed6ccc589cp-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.07a756bbb152cp-9, -0x1.abadf0388b9cap-8, 0x1.f75424a87f3c3p-8, -0x1.f8dd3dc59ef7dp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.beadb3369b999p-10, -0x1.7b3d64c9658fcp-8, 0x1.d176c00679b5dp-8, -0x1.e57cc5591bf42p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.775d233b1b61p-10, -0x1.4e83962a0b188p-8, 0x1.ad0d646c979d4p-8, -0x1.d21c4f3a2db32p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.38a2902a9e1fp-10, -0x1.255b504248444p-8, 0x1.8a1811aea0fccp-8, -0x1.bebbd87d57631p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.01cafd7c4299bp-10, -0x1.ff3ebdf70f126p-9, 0x1.6896c7d86da24p-8, -0x1.ab5b61eab98dp-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.a455bef1146a6p-11, -0x1.ba551c7d889e2p-9, 0x1.488986e6d2ebp-8, -0x1.97faeb4ce8b1cp-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.523c3672b1ecep-11, -0x1.7baf53ea2f893p-9, 0x1.29f04edaa7dd4p-8, -0x1.849a74b1fbc1p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.0c100d53eb02bp-11, -0x1.4302fc0f2640ap-9, 0x1.0ccb1fb3b4fbap-8, -0x1.7139fe165b371p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.a14da21c2465ep-12, -0x1.1005acbe93617p-9, 0x1.e233f2e40f7bfp-9, -0x1.5dd9877ae7c35p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3dc9e17a7e846p-12, -0x1.c4d9fb95390fdp-10, 0x1.adb9b82b39854p-9, -0x1.4a7910df56a69p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.d6f6f4813cd1ap-13, -0x1.73dd0e0acedbcp-10, 0x1.7c278f3cec861p-9, -0x1.37189a43f25p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.50cda2639140cp-13, -0x1.2c7fc08233d3p-10, 0x1.4d7d781921c63p-9, -0x1.23b823a859ac2p-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.cab8395b30a43p-14, -0x1.dc5a853f67121p-11, 0x1.21bb72bfe11fcp-9, -0x1.1057ad0ce88e5p-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.224473f80a288p-14, -0x1.70a1880f32b83p-11, 0x1.f1c2fe6249487p-10, -0x1.f9ee6ce2c6721p-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.436d5dda7e2p-15, -0x1.14aae8bc61ebcp-11, 0x1.a5df3ad9deb79p-10, -0x1.d32d7fab95982p-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.0bf2c68225dc1p-16, -0x1.8e9a0d1f15a51p-12, 0x1.5fcb9ae688476p-10, -0x1.ac6c927641fa2p-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.ed4237340c003p-24, -0x1.0ebc81a2944e5p-12, 0x1.1f881e87fe60dp-10, -0x1.85aba5378ea08p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, -0x1.578c95c7404fep-17, -0x1.4ed3db287f44fp-13, 0x1.ca298b7f51f87p-11, -0x1.5eeab81ed445ep-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, -0x1.0fdc262d783p-16, -0x1.593c3e17cc332p-14, 0x1.60e3210fabe3ep-11, -0x1.3829ca758f5b2p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, -0x1.3b2c60accbb81p-16, -0x1.918a60657888bp-16, 0x1.033cfdec6748fp-11, -0x1.1168deea0eebfp-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, -0x1.3cb2d70f6be7fp-16, 0x1.28c904fff3c44p-16, 0x1.626e42e5f8d1cp-12, -0x1.d54fd6eeab7a3p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, -0x1.218f31aa81f7fp-16, 0x1.779ea877792cp-15, 0x1.ab4638098abc6p-13, -0x1.87ce2b05e509ep-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, -0x1.ea09c8f51b3p-17, 0x1.f38349142ec7cp-15, 0x1.8061d60c02a1ep-14, -0x1.3a4ba2fcbc34cp-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, -0x1.80f65e46d1bffp-17, 0x1.0d563f865e47fp-14, 0x1.ce916a61cc322p-20, -0x1.d998a0eb0269bp-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, -0x1.16fa39e08aap-17, 0x1.ffb41ced5774ep-15, -0x1.14ee1ae37a40bp-14, -0x1.3e82080b9178ap-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, -0x1.6ee6134eaa801p-18, 0x1.b53502963128bp-15, -0x1.d408ec8404bbap-14, -0x1.4789a6f0121d3p-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, -0x1.a8184b3be68p-19, 0x1.4dc622c162dcbp-15, -0x1.1b25e8e605162p-13, -0x1.ee805cbdf514ap-18}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, -0x1.95018ecf27ffep-20, 0x1.b81a2edbae28dp-16, -0x1.1d774fbbb5d5fp-13, 0x1.1ee77e0762ecfp-13}, 
        {0x1.cp+2, 0x1.c333333333333p+2, -0x1.175da993e8p-21, 0x1.c9e32ab4dedbbp-17, -0x1.e4dc600ecdfeap-14, 0x1.38c8285081c28p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, -0x1.818c166c6p-24, 0x1.2221f8080e946p-18, -0x1.293114ab4cf0ep-14, 0x1.9a5bafa38b697p-12}, 
        {0x1.c666666666666p+2, 0x1.c851eb851eb85p+2, -0x1.f51f662dc82a4p-30, 0x1.732191850a041p-23, -0x1.97d08d7c972e7p-17, 0x1.83295fb59f663p-11}, 
      }}, 
      -0x1.79ee210beab03p-6, 0x1.0a72eafd43137p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.1124f80a789dap-6, -0x1.0eb97a8d581bcp-5, -0x1.902c7e6417073p-5, -0x1.05777779e80c4p-4, -0x1.3eb38a6b5ec5ap-4, -0x1.73307887efecbp-4, -0x1.a282b68a71cbdp-4, -0x1.cc66bdd255765p-4, -0x1.f0bab0d5b529fp-4, -0x1.07bc6a11b4856p-3, -0x1.1459719003b33p-3, -0x1.1e4703baebe06p-3, -0x1.259f9d14be751p-3, -0x1.2a83f494cf50bp-3, -0x1.2d196d1ac4fd2p-3, -0x1.2d88a7db0bc71p-3, -0x1.2bfc3bb722f71p-3, -0x1.289f97f3874cep-3, -0x1.239e166006d0ap-3, -0x1.1d223c0a3a25p-3, -0x1.1555284f6f92ep-3, -0x1.0c5e2dce75dd7p-3, -0x1.02628fb52747ep-3, -0x1.ef0ab904d8ca2p-4, -0x1.d7cebf4241ea9p-4, -0x1.bf4e47ab04132p-4, -0x1.a5c2034411dffp-4, -0x1.8b5e6b3f7de04p-4, -0x1.7053f6a5f69f4p-4, -0x1.54cf539b23ed9p-4, -0x1.38f9a040d6e15p-4, -0x1.1cf8a0b9a9c01p-4, -0x1.00eef0d8e9f9dp-4, -0x1.c9f8623fae5cbp-5, -0x1.927a5e77cf1a8p-5, -0x1.5b9814d4baba5p-5, -0x1.2580a9392a948p-5, -0x1.e0bcc4de8da6cp-6, -0x1.78adc7dcbe8a6p-6, -0x1.1316cb54a7426p-6, -0x1.6063ab3e475aap-7, -0x1.40c3c2c87dd1p-8, 0x1.982cf6d9f8258p-11, 0x1.9a075a3a767cbp-8, 0x1.79e757e8576e4p-7, 0x1.100072008844cp-6, 0x1.5f9778d5eda6bp-6, 0x1.abad629b2cc86p-6, 0x1.f43bb0861258ap-6, 0x1.1ca0291590a71p-5, 0x1.3d5e9c0eee46cp-5, 0x1.5c5bf563e4c63p-5, 0x1.799c93137acccp-5, 0x1.95263d7661daap-5, 0x1.aefffa8deab5ep-5, 0x1.c731e4688c309p-5, 0x1.ddc502358167ep-5, 0x1.f2c3248bf6e2bp-5, 0x1.031b622f17e2dp-4, 0x1.0c157278d18d2p-4, 0x1.14557c4e6ce12p-4, 0x1.1be16417e54f1p-4, 0x1.22bf2e7f94ffp-4, 0x1.28f4f6ad4d9e7p-4, 0x1.2e88e5a386e69p-4, 0x1.33812ab2b8045p-4, 0x1.37e3f4dd3ba1dp-4, 0x1.3bb76d16e0876p-4, 0x1.3f01b168f4081p-4, 0x1.41c8d0958be18p-4, 0x1.4412c6aeb83b4p-4, 0x1.45e579c6a417fp-4, 0x1.4746b787895dep-4, 0x1.483c32be71f0fp-4, 0x1.48cb81ac05d57p-4, 0x1.48fa1c3a11661p-4, 0x1.48cd5adb9801p-4, 0x1.484a755ddec4ap-4, 0x1.477681ff4cd4p-4, 0x1.465674c349606p-4, 0x1.44ef1eb578ea9p-4, 0x1.43452d60503b7p-4, 0x1.415d2a5a98b02p-4, 0x1.3f3b7b07c26d6p-4, 0x1.3ce46032fce31p-4, 0x1.3a5bf62d08ed4p-4, 0x1.37a634adc3f8dp-4, 0x1.34c6ef01fb5cep-4, 0x1.31c1d42aa9963p-4, 0x1.2e9a6ef8b687bp-4, 0x1.2b54267203078p-4, 0x1.27f23dba0dd07p-4, 0x1.2477d4aefe672p-4, 0x1.20e7e80abf6f2p-4, 0x1.1d4551eff5577p-4, 0x1.1992ca81bf5b2p-4, 0x1.15d2e85917223p-4, 0x1.12082172b9f59p-4, 0x1.0e34cbaff78abp-4, 0x1.0a5b1db2d7a2bp-4, 0x1.067d2f8d97351p-4, 0x1.029cfb63f2e13p-4, 0x1.fd78bc793bb28p-5, 0x1.f5ba31125cb3p-5, 0x1.ee019deb808a4p-5, 0x1.e652162baba01p-5, 0x1.deae783d3586fp-5, 0x1.d7196f8e89d49p-5, 0x1.cf95761d399cp-5, 0x1.c824d63b039p-5, 0x1.c0c9ac6739108p-5, 0x1.b985e90899756p-5, 0x1.b25b5230f6203p-5, 0x1.ab4b8588210ffp-5, 0x1.a457f9ea4fdf2p-5, 0x1.9d8201013861fp-5, 0x1.96cac925cfda6p-5, 0x1.90335ee65ff5ep-5, 0x1.89bcae705007bp-5, 0x1.8367854942af9p-5, 0x1.7d3493d55f9d5p-5, 0x1.77246eb887e27p-5, 0x1.7137905bbc114p-5, 0x1.6b6e5a533a0b9p-5, 0x1.65c916d206ec8p-5, 0x1.6047f9e42699ap-5, 0x1.5aeb22c63944p-5, 0x1.55b29d40af931p-5, 0x1.509e62937d073p-5, 0x1.4bae5aca647aap-5, 0x1.46e25da5ed4a7p-5, 0x1.423a33b885e41p-5, 0x1.3db5972cf4601p-5, 0x1.395434b06c87fp-5, 0x1.3515ac5665522p-5, 0x1.30f9925146d42p-5, 0x1.2cff6f960bb76p-5, 0x1.2926c29e94c2bp-5, 0x1.256f001ebe5f8p-5, 0x1.21d79399ba0cfp-5, 0x1.1e5fdfef2f72bp-5, 0x1.1b073ff62d7acp-5, 0x1.17cd0735be3ap-5, 0x1.14b08241e8e82p-5, 0x1.11b0f757f464bp-5, 0x1.0ecda6e4a69b6p-5, 0x1.0c05cc06f6098p-5, 0x1.09589d1f38d2bp-5, 0x1.06c54c336ec9fp-5, 0x1.044b0764b4999p-5, 0x1.01e8f97c1dc3dp-5, 0x1.ff3c94bccf15ap-6, 0x1.fad43ec4056b1p-6, 0x1.f6973778c1467p-6, 0x1.f283c1fe7a083p-6, 0x1.ee981edcfd9bap-6, 0x1.ead28cb81cdc3p-6, 0x1.e7314915d03p-6, 0x1.e3b291095bd11p-6, 0x1.e054a1c8d15c5p-6, 0x1.dd15b964ff108p-6, 0x1.d9f41780c0b85p-6, 0x1.d6edfdaa1c82ap-6, 0x1.d401afd9951b7p-6, 0x1.d12d75359384p-6, 0x1.ce6f98961cf61p-6, 0x1.cbc668bd4e427p-6, 0x1.c93038c8e870ep-6, 0x1.c6ab60d9c6cbfp-6, 0x1.c4363e7276dfdp-6, 0x1.c1cf34a0b5fp-6, 0x1.bf74ac62a7709p-6, 0x1.bd251539c827ep-6, 0x1.badee563f15ccp-6, 0x1.b8a099e81c0f4p-6, 0x1.b668b706724ecp-6, 0x1.b435c8ae3191p-6, 0x1.b20662acd1bffp-6, 0x1.afd92093d2617p-6, 0x1.adaca621e2dbap-6, 0x1.ab7f9f8dfeb73p-6, 0x1.a950c1d7abaabp-6, 0x1.a71ecaa947abp-6, 0x1.a4e8806aac9fbp-6, 0x1.a2acb29798cd6p-6, 0x1.a06a39fb4125cp-6, 0x1.9e1ff8a3ff5abp-6, 0x1.9bccd9db202ccp-6, 0x1.996fd2582ab55p-6, 0x1.9707e072d753ep-6, 0x1.94940c12adb3cp-6, 0x1.9213668d551b8p-6, 0x1.8f850ac5edfb4p-6, 0x1.8ce81d7078574p-6, 0x1.8a3bcd0f43f17p-6, 0x1.877f51a24ce99p-6, 0x1.84b1ec82d9bbap-6, 0x1.81d2e8a53c27cp-6, 0x1.7ee19aeba1e4ap-6, 0x1.7bdd620847f22p-6, 0x1.78c5a5fa0c7d3p-6, 0x1.7599d7c8cca4bp-6, 0x1.725971d50f72fp-6, 0x1.6f03f844ba979p-6, 0x1.6b98f9168b53ap-6, 0x1.68180b58ba8e1p-6, 0x1.6480ceb4e6b33p-6, 0x1.60d2eb8f4255ap-6, 0x1.5d0e13a3bc1a9p-6, 0x1.59320245253dep-6, 0x1.553e7bda33582p-6, 0x1.51334d03f7401p-6, 0x1.4d104a480beb4p-6, 0x1.48d55088947f7p-6, 0x1.448245a48e305p-6, 0x1.401718759b302p-6, 0x1.3b93c00326f88p-6, 0x1.36f83a9fb801p-6, 0x1.32448db9fee01p-6, 0x1.2d78c66f343dcp-6, 0x1.2894fa2689a65p-6, 0x1.239946743beedp-6, 0x1.1e85d037c077ep-6, 0x1.195ac2af108b1p-6, 0x1.14184f3d61363p-6, 0x1.0ebeadf1d12a1p-6, 0x1.094e1e32c3e64p-6, 0x1.03c6e6b6a9233p-6, 0x1.fc52a95f74262p-7, 0x1.f0eb75bf6aacfp-7, 0x1.e558e2343d62p-7, 0x1.d99ba942ce02p-7, 0x1.cdb491904e122p-7, 0x1.c1a46e771353dp-7, 0x1.b56c1ef347d7bp-7, 0x1.a90c8bc3db57ap-7, 0x1.9c86a5e1e789ap-7, 0x1.8fdb66616f326p-7, 0x1.830bcf746c775p-7, 0x1.7618ed6a19ba8p-7, 0x1.6903d6a1c420ap-7, 0x1.5bcdaa325e1f4p-7, 0x1.4e778e1ef66dap-7, 0x1.4102ae3747b45p-7, 0x1.33703c2ec90d6p-7, 0x1.25c17084b1095p-7, 0x1.17f78b476113bp-7, 0x1.0a13d3df25319p-7, 0x1.f82f2f9f97559p-8, 0x1.dc085243bdf5bp-8, 0x1.bfb5baafdbcbp-8, 0x1.a33a1abf8418fp-8, 0x1.86982c7b0046p-8, 0x1.69d2b36d6021fp-8, 0x1.4cec7c84f32a2p-8, 0x1.2fe85c4bce672p-8, 0x1.12c92c45c1014p-8, 0x1.eb2391485eb12p-9, 0x1.b08a1f25fd41p-9, 0x1.75cbc357dc444p-9, 0x1.3aee46555b4cp-9, 0x1.ffeef1bd6cbe9p-10, 0x1.89da64b248a1fp-10, 0x1.13aa99de5eaedp-10, 0x1.3ad684ce2d50fp-11, 0x1.39403292737acp-13, -0x1.3c4df3a335e38p-12, -0x1.8a77648d8ad39p-11, -0x1.3b450a57c37dap-10, -0x1.b123faa064d9fp-10, -0x1.13668069e133cp-9, -0x1.4e1a5487f4091p-9, -0x1.88a7ca489cbefp-9, -0x1.c3093f5564bfp-9, -0x1.fd391f0cc20d7p-9, -0x1.1b98f11497e42p-8, -0x1.387706e3d2fc3p-8, -0x1.553419862eabp-8, -0x1.71cd7808dcc65p-8, -0x1.8e407902a28d8p-8, -0x1.aa8a7bdd9702cp-8, -0x1.c6a8e9eadd858p-8, -0x1.e29936fa62374p-8, -0x1.fe58e16f1d484p-8, -0x1.0cf2b8ff8da8cp-7, -0x1.1a9e3db856c03p-7, -0x1.282dcd537ef91p-7, -0x1.35a03b91d3dffp-7, -0x1.42f461efc18d7p-7, -0x1.502920189dd58p-7, -0x1.5d3d5c3ed1396p-7, -0x1.6a300347e823dp-7, -0x1.770008cdb02f8p-7, -0x1.83ac6704dc12dp-7, -0x1.90341ea3eaf4ep-7, -0x1.9c9636e52e582p-7, -0x1.a8d1bdaffcf7ap-7, -0x1.b4e5c7de2a5e7p-7, -0x1.c0d1718569f39p-7, -0x1.cc93de2ebab8ep-7, -0x1.d82c38f23cd52p-7, -0x1.e399b4788a62ap-7, -0x1.eedb8ae7dd8bcp-7, -0x1.f9f0fdcb6e187p-7, -0x1.026cab02d5fa7p-6, -0x1.07c9f1ec52d4dp-6, -0x1.0d0fff8192e86p-6, -0x1.123e837289234p-6, -0x1.1755314e9ee21p-6, -0x1.1c53c08ca7p-6, -0x1.2139ec8b6a93bp-6, -0x1.2607748b79a35p-6, -0x1.2abc1ba3f9063p-6, -0x1.2f57a8b5d76e7p-6, -0x1.33d9e6619fa81p-6, -0x1.3842a30351533p-6, -0x1.3c91b0b3c0082p-6, -0x1.40c6e54bd96e9p-6, -0x1.44e21a6605cap-6, -0x1.48e32d5ba6ea7p-6, -0x1.4cc9ff3febd56p-6, -0x1.509674d64be72p-6, -0x1.544876850d596p-6, -0x1.57dff045fede7p-6, -0x1.5b5cd19590a89p-6, -0x1.5ebf0d65e2bf5p-6, -0x1.62069a15629c6p-6, -0x1.65337167f194cp-6, -0x1.684590803411fp-6, -0x1.6b3cf7d72849dp-6, -0x1.6e19ab31d27d6p-6, -0x1.70dbb194beb66p-6, -0x1.7383153548886p-6, -0x1.760fe36870896p-6, -0x1.78822c8fbe2cbp-6, -0x1.7ada04061cb04p-6, -0x1.7d17800ea282ap-6, -0x1.7f3ab9c5df596p-6, -0x1.8143cd15481dfp-6, -0x1.8332d8a6df5f8p-6, -0x1.8507fdd845c51p-6, -0x1.86c360acb1ba9p-6, -0x1.886527bd960ccp-6, -0x1.89ed7c2967e71p-6, -0x1.8b5c89803c6cp-6, -0x1.8cb27dae5c2afp-6, -0x1.8def88e635711p-6, -0x1.8f13dd8b9cda9p-6, -0x1.901fb02264de9p-6, -0x1.911337409bdabp-6, -0x1.91eeab8319eb8p-6, -0x1.92b247813d11fp-6, -0x1.935e47c23aabdp-6, -0x1.93f2eab09486dp-6, -0x1.9470707d08ca5p-6, -0x1.94d71b04ce4d7p-6, -0x1.95272dbd4ee58p-6, -0x1.9560ed95c63e9p-6, -0x1.9584a0de1deeap-6, -0x1.95928f3a1e466p-6, -0x1.958b019c2a0dbp-6, -0x1.956e42462dc45p-6, -0x1.953c9ccb45246p-6, -0x1.94f65e0b3c9aap-6, -0x1.949bd42243b4cp-6, -0x1.942d4e4ac7ca1p-6, -0x1.93ab1cb3dde58p-6, -0x1.9315905325017p-6, -0x1.926cfabbb875ep-6, -0x1.91b1ae03c9c12p-6, -0x1.90e3fcbede4e8p-6, -0x1.90043a0d09e3cp-6, -0x1.8f12b9b829a45p-6, -0x1.8e0fd0523671ap-6, -0x1.8cfbd3457bf87p-6, -0x1.8bd718c963c1dp-6, -0x1.8aa1f7b66b6c5p-6, -0x1.895cc73e18523p-6, -0x1.8807de953e56ap-6, -0x1.86a394a6f92b9p-6, -0x1.85303fe64a4b9p-6, -0x1.83ae364f14e5dp-6, -0x1.821dcd99af0adp-6, -0x1.807f5b94eba95p-6, -0x1.7ed3368ca1643p-6, -0x1.7d19b59aeb932p-6, -0x1.7b5330c37acd5p-6, -0x1.798000c38f7dcp-6, -0x1.77a07e94e32f3p-6, -0x1.75b502b8378cp-6, -0x1.73bde470973bfp-6, -0x1.71bb7922ee365p-6, -0x1.6fae140b4a627p-6, -0x1.6d960667d3a25p-6, -0x1.6b73a01dcb5d9p-6, -0x1.694730bb5720ep-6, -0x1.6711089c4bff4p-6, -0x1.64d179e651b4ep-6, -0x1.6288d9121b6f7p-6, -0x1.60377ccba8eafp-6, -0x1.5dddbd1866c55p-6, -0x1.5b7bf1dfe628ap-6, -0x1.5912711ea8984p-6, -0x1.56a18d28c7515p-6, -0x1.5429936980d1p-6, -0x1.51aacbf9ee154p-6, -0x1.4f257a3ebc32bp-6, -0x1.4c99de82ad032p-6, -0x1.4a0838470832fp-6, -0x1.4770c8d26c60fp-6, -0x1.44d3d56d1e5dp-6, -0x1.4231a8c0af2fep-6, -0x1.3f8a92f754f54p-6, -0x1.3cdee877ab2fp-6, -0x1.3a2eff66abc48p-6, -0x1.377b2c62be5e6p-6, -0x1.34c3bf1ead64fp-6, -0x1.3208ff952e924p-6, -0x1.2f4b2c777ce0cp-6, -0x1.2c8a7b3ec3cf4p-6, -0x1.29c719f3c133ep-6, -0x1.270132644fd18p-6, -0x1.2438ee2e4aa0dp-6, -0x1.216e7ad3d8d1ep-6, -0x1.1ea20d024a516p-6, -0x1.1bd3e2563211dp-6, -0x1.1904412febd29p-6, -0x1.1633768e6813cp-6, -0x1.1361d24e9b1a2p-6, -0x1.108fa2866414ap-6, -0x1.0dbd2ee676a8cp-6, -0x1.0aeab512ff7b4p-6, -0x1.081866b4e91d8p-6, -0x1.054669af96538p-6, -0x1.0274da7982b61p-6, -0x1.ff47a0525c037p-7, -0x1.f9a6c2de1e24dp-7, -0x1.f40753053713ep-7, -0x1.ee69980acae34p-7, -0x1.e8cdee1be3025p-7, -0x1.e334c5ca5b532p-7, -0x1.dd9e9eec66e4p-7, -0x1.d80bffd2fbc4p-7, -0x1.d27d6a919e80ep-7, -0x1.ccf3528180a13p-7, -0x1.c76e1427e7f26p-7, -0x1.c1edf1328a2b6p-7, -0x1.bc73116f12921p-7, -0x1.b6fd88aa28de1p-7, -0x1.b18d6070ae39bp-7, -0x1.ac22a3ed903fep-7, -0x1.a6bd6bae59166p-7, -0x1.a15de7094a616p-7, -0x1.9c04613542373p-7, -0x1.96b140d768c3fp-7, -0x1.916501c593846p-7, -0x1.8c2029d6558c9p-7, -0x1.86e33a9e583d7p-7, -0x1.81aea2bf287b8p-7, -0x1.7c82b1682562fp-7, -0x1.775f8e928d143p-7, -0x1.724539a343e26p-7, -0x1.6d338eae9551p-7, -0x1.682a51d7caecfp-7, -0x1.63293f0e64d56p-7, -0x1.5e301bb9d0d25p-7, -0x1.593ec78ede641p-7, -0x1.545549d2d1328p-7, -0x1.4f73d8c298a6ep-7, -0x1.4a9ad9a65b24p-7, -0x1.45cad9340803cp-7, -0x1.41047d2136137p-7, -0x1.3c4870f00aa7bp-7, -0x1.379750e39fe9dp-7, -0x1.32f19669994d6p-7, -0x1.2e57890f8ed4ep-7, -0x1.29c9364af249dp-7, -0x1.25467148dde82p-7, -0x1.20cedad13a484p-7, -0x1.1c61f00cf4fd1p-7, -0x1.17ff1e4d05bc1p-7, -0x1.13a5d92c6eef6p-7, -0x1.0f55afe7fa6bfp-7, -0x1.0b0e5ed268ebcp-7, -0x1.06cfda419a412p-7, -0x1.029a5165eeb01p-7, -0x1.fcdc51d7dfbfdp-8, -0x1.f497dd4c333fap-8, -0x1.ec6890d67b836p-8, -0x1.e44fc15f4c253p-8, -0x1.dc4ea67d6edadp-8, -0x1.d4663835f0d7dp-8, -0x1.cc971443d5545p-8, -0x1.c4e16d6d29c97p-8, -0x1.bd4506cf7bc61p-8, -0x1.b5c13c575ca8cp-8, -0x1.ae55187d02328p-8, -0x1.a6ff7592fea98p-8, -0x1.9fbf2673eb9bep-8, -0x1.98931fc32041ap-8, -0x1.917a9982e9effp-8, -0x1.8a7521c4fd596p-8, -0x1.83829d21d139ep-8, -0x1.7ca3375bd3b93p-8, -0x1.75d74bae76e7fp-8, -0x1.6f1f4e34cf08cp-8, -0x1.687bbd60c52b4p-8, -0x1.61ed1cd0b2f71p-8, -0x1.5b73f4ebabb4dp-8, -0x1.5510cfbec8a74p-8, -0x1.4ec42d3d54b0ep-8, -0x1.488e6e67a8a47p-8, -0x1.426fbd301a9cp-8, -0x1.3c67faf8d0292p-8, -0x1.3676bf10680c2p-8, -0x1.309b698ae48cp-8, -0x1.2ad54725dbc95p-8, -0x1.2523bba5a3143p-8, -0x1.1f866439fb15dp-8, -0x1.19fd24b2b5dc4p-8, -0x1.148818ab0ccfp-8, -0x1.0f276bcd940c8p-8, -0x1.09db26cf1dc9bp-8, -0x1.04a30578ce0c4p-8, -0x1.fefcd23221212p-9, -0x1.f4d8e1829ce3ap-9, -0x1.ead86219f9b02p-9, -0x1.e0f9ed3b1692ap-9, -0x1.d73cf0549e2c6p-9, -0x1.cda1c5845499cp-9, -0x1.c42975929b907p-9, -0x1.bad53e7f4936cp-9, -0x1.b1a613a32e6bbp-9, -0x1.a89c4d7b45237p-9, -0x1.9fb7a793838f2p-9, -0x1.96f787a897d95p-9, -0x1.8e5b6b827f94ap-9, -0x1.85e34ebf5cd42p-9, -0x1.7d8fdf77ecc7fp-9, -0x1.756269d8539e5p-9, -0x1.6d5c792b56225p-9, -0x1.657f445cd278bp-9, -0x1.5dcb103e4bc09p-9, -0x1.563ebc2f4ac76p-9, -0x1.4ed7a80a50d7bp-9, -0x1.47920abd629dfp-9, -0x1.4069aca0a405ap-9, -0x1.395ad2947a88fp-9, -0x1.32630e22930b4p-9, -0x1.2b81a8d8084cap-9, -0x1.24b782ef233d4p-9, -0x1.1e06753c47e08p-9, -0x1.17707adfe240cp-9, -0x1.10f6fc025986fp-9, -0x1.0a9a7c2ba5ee5p-9, -0x1.045abc204a226p-9, -0x1.fc6e5ded75436p-10, -0x1.f05f1338c1c4dp-10, -0x1.e488673c1cdedp-10, -0x1.d8ecdc8e9a02cp-10, -0x1.cd903fc49a578p-10, -0x1.c276a47fe5b77p-10, -0x1.b7a322a25b38dp-10, -0x1.ad16bd4634666p-10, -0x1.a2cfbc34b0b31p-10, -0x1.98c990aaa944ap-10, -0x1.8efd43292034cp-10, -0x1.856260eb9f723p-10, -0x1.7bf055f9517dcp-10, -0x1.729fffa292359p-10, -0x1.696d1225e645dp-10, -0x1.6056d41f64ea8p-10, -0x1.575fcf6306165p-10, -0x1.4e8c7ad78ce51p-10, -0x1.45e15fb59b30ep-10, -0x1.3d6182863862cp-10, -0x1.350daf3cb8f4fp-10, -0x1.2ce4d1ddcfd45p-10, -0x1.24e515d79ea0ap-10, -0x1.1d0d4926faf91p-10, -0x1.155deac6538c5p-10, -0x1.0dd95fc855e49p-10, -0x1.0683279ece159p-10, -0x1.febcf14994e5fp-11, -0x1.f0da108675a66p-11, -0x1.e35d291eaeba5p-11, -0x1.d6426ff63af6cp-11, -0x1.c9842a1bc449fp-11, -0x1.bd1ba3951908bp-11, -0x1.b1014ee042cbcp-11, -0x1.a52c73feac4b1p-11, -0x1.9993519fc567cp-11, -0x1.8e2c52f18a1d4p-11, -0x1.82f031ec0c723p-11, -0x1.77dc13bb40c9ep-11, -0x1.6cf25c80804d2p-11, -0x1.62396894759d1p-11, -0x1.57b88a0401307p-11, -0x1.4d74dd9267195p-11, -0x1.436f9fff37e27p-11, -0x1.39a69271d0d44p-11, -0x1.3015efd927801p-11, -0x1.26bb17b45378dp-11, -0x1.1d96b8d94e40ap-11, -0x1.14acf1cead809p-11, -0x1.0c02e21a1ad4ap-11, -0x1.039b5ec952b0dp-11, -0x1.f6eaa798b2b38p-12, -0x1.e7195a424db9bp-12, -0x1.d7b9154fd821cp-12, -0x1.c8c22803d9908p-12, -0x1.ba304860f701fp-12, -0x1.ac01c3dc26c0cp-12, -0x1.9e356821af16ap-12, -0x1.90c83eb3a8657p-12, -0x1.83b456d41d051p-12, -0x1.76f17689edbc4p-12, -0x1.6a775722cd005p-12, -0x1.5e3fd6a79b5f5p-12, -0x1.5247c018a0778p-12, -0x1.468e80e7f0804p-12, -0x1.3b15fe045eac9p-12, -0x1.2fe25ddc83e3ep-12, -0x1.24f86fd98019fp-12, -0x1.1a5ad1b868f3dp-12, -0x1.1008639dc7014p-12, -0x1.05fe4b8036c33p-12, -0x1.f877e8094d80fp-13, -0x1.e588f56d81c4ap-13, -0x1.d336f029498a7p-13, -0x1.c18115d1974fap-13, -0x1.b05cbefe43314p-13, -0x1.9fbb2025b74cp-13, -0x1.8f902a39fd298p-13, -0x1.7fd5a81c0eae4p-13, -0x1.708aa79275addp-13, -0x1.61b13bdac136ep-13, -0x1.534bf87ec0f9cp-13, -0x1.455bb48c4802p-13, -0x1.37de0e1c1ae19p-13, -0x1.2acd121e9736ap-13, -0x1.1e204ebeeeccep-13, -0x1.11cfdb2288e9dp-13, -0x1.05d8bee9ddfcap-13, -0x1.f47d6965d6becp-14, -0x1.de0dcd445d7c9p-14, -0x1.c85c2828962cep-14, -0x1.b3498d5aa574cp-14, -0x1.9eb500fbc57edp-14, -0x1.8a9f3ddb2a438p-14, -0x1.772ed7ffa8145p-14, -0x1.648784407f103p-14, -0x1.52a40a1fad7c4p-14, -0x1.41610f2c07c3cp-14, -0x1.30a5a10106bfcp-14, -0x1.20743a860c3c9p-14, -0x1.10d7cdd7c3288p-14, -0x1.01cfb0c98b17bp-14, -0x1.e6a06cd9554ebp-15, -0x1.ca99f82fae44ep-15, -0x1.af7eb67adaa7fp-15, -0x1.954ef6e1f43ecp-15, -0x1.7c15753064d7ap-15, -0x1.63e0f25b6123dp-15, -0x1.4cbb1d9b7caa2p-15, -0x1.369e0e6c48407p-15, -0x1.216a7499451e2p-15, -0x1.0ce97ca01676dp-15, -0x1.f1d8c7bcf2881p-16, -0x1.caf108033ab5ap-16, -0x1.a5899f2339759p-16, -0x1.81fb84249a249p-16, -0x1.603275b1f6646p-16, -0x1.3feada9154ce4p-16, -0x1.211e829840c3ap-16, -0x1.03e6040876629p-16, -0x1.d021bfdb5572ep-17, -0x1.9a874f56d56acp-17, -0x1.66d6cdffb5093p-17, -0x1.3575c049ec33ap-17, -0x1.0678973ad38c8p-17, -0x1.b2cd1325c58f3p-18, -0x1.5bf0115f06f99p-18, -0x1.0907a0a71075fp-18, -0x1.75b4e063f441dp-19, -0x1.c5108080e77a7p-20, -0x1.5cca9ace44bfep-21, 0x1.6a26afc04baedp-22, 0x1.560b6b4a09adap-20, 0x1.21a907f7ee094p-19, 0x1.90a94de7e6ae8p-19, 0x1.f7bb020051fd7p-19, 0x1.2b9bc4d3b7952p-18, 0x1.586180a0b2eebp-18, 0x1.8356a250cb67cp-18, 0x1.ac9d60d396412p-18, 0x1.d322254e5d702p-18, 0x1.f67d2e38ce26cp-18, 0x1.0bc946ee4dea6p-17, 0x1.1b63925ac79a1p-17, 0x1.29b02660da87ep-17, 0x1.367cb802cc03cp-17, 0x1.41fcb0945e5fbp-17, 0x1.4c6d963de7f88p-17, 0x1.55e78e6152a42p-17, 0x1.5e62d854ea4ecp-17, 0x1.65d0a4d5bbd05p-17, 0x1.6c48a882fba12p-17, 0x1.720bac4311a2fp-17, 0x1.772a3baf52582p-17, 0x1.7b799f891bc6dp-17, 0x1.7f09d47e8141ep-17, 0x1.8215f2ac0cd1cp-17, 0x1.848577c4b88bap-17, 0x1.861a617678cb9p-17, 0x1.86d93368c3798p-17, 0x1.86ea7c0f0abb3p-17, 0x1.8665d677a66afp-17, 0x1.854ca67926a8cp-17, 0x1.8391658bcfaa6p-17, 0x1.81348add59c96p-17, 0x1.7e6eac5ad7288p-17, 0x1.7b67b8ab9f59ep-17, 0x1.77f24c0c75c5p-17, 0x1.74121df9e93d9p-17, 0x1.6ff880e1f8199p-17, 0x1.6b7b35942b72ap-17, 0x1.6671b29af0d94p-17, 0x1.60fcbf8b1615ap-17, 0x1.5b4078a36e2e4p-17, 0x1.55479b3e7dc4p-17, 0x1.4f11dad9970b8p-17, 0x1.489ec7af897cbp-17, 0x1.41f028bb75649p-17, 0x1.3b093a5e0163ap-17, 0x1.33edbb486bd57p-17, 0x1.2ca1ce75291b6p-17, 0x1.252a36d61fe2p-17, 0x1.1d8a0a20144a4p-17, 0x1.15bc4e409e33p-17, 0x1.0db599afb8a23p-17, 0x1.057d5c03fae06p-17, 0x1.fa64cfd0fbdbep-18, 0x1.e9be86826d984p-18, 0x1.d90b7ee537ee2p-18, 0x1.c85421b54f989p-18, 0x1.b76b11889d7c8p-18, 0x1.a635d25b6d78p-18, 0x1.94b98e1fecab5p-18, 0x1.830e720bc04f1p-18, 0x1.717562ab78602p-18, 0x1.5ff584d714cc1p-18, 0x1.4e915b5a8a9cbp-18, 0x1.3d3fdbac76369p-18, 0x1.2bcc2722076f5p-18, 0x1.1a4775b79c0e4p-18, 0x1.08d3f090cbf97p-18, 0x1.eef37c33c94f2p-19, 0x1.cc6e9d242b459p-19, 0x1.aa17e91fa8521p-19, 0x1.87f1fe46446acp-19, 0x1.66019ee9f9fdfp-19, 0x1.444c4e142fc14p-19, 0x1.22d7a079ac65dp-19, 0x1.01a8f086ffdaep-19, 0x1.c18a849c16df2p-20, 0x1.806284412991ep-20, 0x1.3fe2aa2ab992ap-20, 0x1.00136c8837947p-20, 0x1.81fa637b6b969p-21, 0x1.0550ed04e557ap-21, 0x1.1476e340636a2p-22, 0x1.0cac137f6c149p-25, -0x1.9bc0e16c0f808p-23, -0x1.b9cbd31f41b01p-22, -0x1.51127612e40b1p-21, -0x1.c393b1b915592p-21, -0x1.1a4e780637cc3p-20, -0x1.5215ed98f2252p-20, -0x1.88e2583874668p-20, -0x1.be6f97a5747acp-20, -0x1.f2e29e787316ap-20, -0x1.133fb1f0cfce5p-19, -0x1.2ca5b7653c0dep-19, -0x1.4588b631704bfp-19, -0x1.5de1ee9232646p-19, -0x1.75b4f0a3dbfb1p-19, -0x1.8d042610d7af3p-19, -0x1.a3d013fec39dap-19, -0x1.ba186fff5ccb1p-19, -0x1.cfdcbd63b5f2p-19, -0x1.e51c88f14470cp-19, -0x1.f9d78139c12ebp-19, -0x1.0706a17e14478p-18, -0x1.10dee52279e4ep-18, -0x1.1a74a229bf2c1p-18, -0x1.23c7b41d60c98p-18, -0x1.2cd8485246f15p-18, -0x1.35a691190d451p-18, -0x1.3e32b501ab983p-18, -0x1.467cf22564b06p-18, -0x1.4e8582a1edbfdp-18, -0x1.564caf9c9d454p-18, -0x1.5dd2c479db72cp-18, -0x1.651819b0c610ap-18, -0x1.6c1d165ce7a5cp-18, -0x1.72e22242f197p-18, -0x1.7967961c0e221p-18, -0x1.7fae05574c86dp-18, -0x1.85b6c636573acp-18, -0x1.8b81ef6489814p-18, -0x1.910e7dc958c7p-18, -0x1.965e1c8b294bbp-18, -0x1.9b72344f24645p-18, -0x1.a04a87932cc8p-18, -0x1.a4e7b934415a6p-18, -0x1.a94ab3addb73dp-18, -0x1.ad73d75b538b3p-18, -0x1.b163c5cc4dd7cp-18, -0x1.b51b748bc889fp-18, -0x1.b89b7722c089bp-18, -0x1.bbe4784ec20cfp-18, -0x1.bef7431d7060dp-18, -0x1.c1d49787ebf71p-18, -0x1.c47d312836e43p-18, -0x1.c6f1ce71d37abp-18, -0x1.c933317d329f9p-18, -0x1.cb421f1baf7f8p-18, -0x1.cd1f5de38d679p-18, -0x1.cecbb55cf55d5p-18, -0x1.d047ed8d2bfb7p-18, -0x1.d194cf2fb31e8p-18, -0x1.d2b324cf25d34p-18, -0x1.d3a3bc10c5d83p-18, -0x1.d46765f8b37e4p-18, -0x1.d4fef584bbb52p-18, -0x1.d56b3c0481431p-18, -0x1.d5ad03d242457p-18, -0x1.d5c512301d9f6p-18, -0x1.d5b43cbb60e25p-18, -0x1.d57b75a0ebecp-18, -0x1.d51b42d774b06p-18, -0x1.d4941fe9a553bp-18, -0x1.d3e807d4ea3c4p-18, -0x1.d316b7322b18bp-18, -0x1.d2211a353cc48p-18, -0x1.d108716cd38b1p-18, -0x1.cfcd65f5cb4d1p-18, -0x1.ce70ace0f86f6p-18, -0x1.ccf30d3ec942bp-18, }}, 
      {{-0x1.d9cd986f2519p-7, -0x1.d7b249d2d65f8p-6, -0x1.5f2d1a8c7760ap-5, -0x1.cf813b717392bp-5, -0x1.1e0343460e5e3p-4, -0x1.5208459e00a02p-4, -0x1.838a7b86cf1bp-4, -0x1.b25480af85529p-4, -0x1.de3f05fa8d5f7p-4, -0x1.03978de9e4994p-3, -0x1.168a4f33a02bep-3, -0x1.27f46618730fap-3, -0x1.37d680fbab86bp-3, -0x1.4634ca272ac84p-3, -0x1.53166008fc899p-3, -0x1.5e84d7213cd0fp-3, -0x1.688bc5086ffb4p-3, -0x1.713854a667695p-3, -0x1.7898e410a98bbp-3, -0x1.7ebcad0acf253p-3, -0x1.83b3783e3b165p-3, -0x1.878d5bea58566p-3, -0x1.8a5a8505894adp-3, -0x1.8c2b0ac01202ep-3, -0x1.8d0ecac83f476p-3, -0x1.8d154d954407fp-3, -0x1.8c4db173e4692p-3, -0x1.8ac69b300bab9p-3, -0x1.888e2b8718422p-3, -0x1.85b1f85c1672p-3, -0x1.823f08e5e68dap-3, -0x1.7e41d41561a37p-3, -0x1.79c640b8f5c39p-3, -0x1.74d7a6ce00adcp-3, -0x1.6f80d19dc3bf4p-3, -0x1.69cc0280605bfp-3, -0x1.63c2f3f5a3b3fp-3, -0x1.5d6edce145778p-3, -0x1.56d87407abd83p-3, -0x1.5007f38c12e72p-3, -0x1.49051c81ab649p-3, -0x1.41d73a850e9ccp-3, -0x1.3a85275a07755p-3, -0x1.33154e9d85e72p-3, -0x1.2b8db179e7ba1p-3, -0x1.23f3ea60a47acp-3, -0x1.1c4d30d96b147p-3, -0x1.149e5d59205cdp-3, -0x1.0cebed20c75d1p-3, -0x1.053a0624e55c9p-3, -0x1.fb18f5f181ae9p-4, -0x1.ebcd9d736093p-4, -0x1.dc9871ed9c8bdp-4, -0x1.cd7f5321c52e5p-4, -0x1.be87990e2cbb3p-4, -0x1.afb61b84dfd43p-4, -0x1.a10f396e448bp-4, -0x1.9296e008e1a72p-4, -0x1.845091c9f6fb3p-4, -0x1.763f6d1d0ffacp-4, -0x1.686632dd1ffd4p-4, -0x1.5ac74c8878e4cp-4, -0x1.4d64d23020a12p-4, -0x1.4040902045f12p-4, -0x1.335c0c41b48a7p-4, -0x1.26b88b3515147p-4, -0x1.1a5715292460dp-4, -0x1.0e387a6c29a88p-4, -0x1.025d57b5c786p-4, -0x1.ed8c3465531bcp-5, -0x1.d6e6068195ab5p-5, -0x1.c0c858057942ep-5, -0x1.ab331148a69a8p-5, -0x1.9625d714fdb02p-5, -0x1.81a01061c3e11p-5, -0x1.6da0ebef7b9f5p-5, -0x1.5a27654a7bd1ap-5, -0x1.4732496b3bb09p-5, -0x1.34c03b1b319f3p-5, -0x1.22cfb6e8c958dp-5, -0x1.115f16e11c0a6p-5, -0x1.006c966445858p-5, -0x1.dfecaac132462p-6, -0x1.bff4b778c5134p-6, -0x1.a0ed38579851ep-6, -0x1.82d1ee0e09618p-6, -0x1.659e78ff98968p-6, -0x1.494e5dcb8d81ep-6, -0x1.2ddd0972ca5ddp-6, -0x1.1345d4f49ac3ep-6, -0x1.f3081328e1d25p-7, -0x1.c125c8d70cde6p-7, -0x1.90db3435cf968p-7, -0x1.621eb463be402p-7, -0x1.34e6a3bc8143cp-7, -0x1.09295dd28273fp-7, -0x1.bdba85e761807p-8, -0x1.6bf178f73198ap-8, -0x1.1ce4805716bd2p-8, -0x1.a1014e949a0d6p-9, -0x1.0d663d421b295p-9, -0x1.fb4a2a1e8cc02p-11, 0x1.5bd4f9020fc1ap-14, 0x1.1fa3879227af8p-10, 0x1.102ab5fcd29e6p-9, 0x1.8c0ce35c47ccp-9, 0x1.01cd90b9a359dp-8, 0x1.3b7bd729a122p-8, 0x1.732217a0699aap-8, 0x1.a8d0d36d5b31ap-8, 0x1.dc983b6a440a4p-8, 0x1.074416a93bd0ep-7, 0x1.1f58196f90c08p-7, 0x1.368fc04b44855p-7, 0x1.4cf27a72718e7p-7, 0x1.62878b8c8d2fdp-7, 0x1.77560afeacbf9p-7, 0x1.8b64e490a657fp-7, 0x1.9ebad6b08ac21p-7, 0x1.b15e73baa87c2p-7, 0x1.c35621376376dp-7, 0x1.d4a8183facdc1p-7, 0x1.e55a65bb3e8afp-7, 0x1.f572eaa496b0bp-7, 0x1.027bae4b7e3fep-6, 0x1.09f6a3215231cp-6, 0x1.112d0403b1c3ep-6, 0x1.18216c26994a8p-6, 0x1.1ed6627a7a32bp-6, 0x1.254e5962f9bd6p-6, 0x1.2b8baf9356a7bp-6, 0x1.3190b02172e87p-6, 0x1.375f92eea99fcp-6, 0x1.3cfa7cf76bfccp-6, 0x1.426380b0a7d69p-6, 0x1.479c9e5f1defp-6, 0x1.4ca7c46a76321p-6, 0x1.5186cfbbda861p-6, 0x1.563b8c126b97p-6, 0x1.5ac7b46bddc6ap-6, 0x1.5f2cf33d60e95p-6, 0x1.636ce32446beep-6, 0x1.67890ebc1f74ep-6, 0x1.6b82f18b9cbacp-6, 0x1.6f5bf8065df81p-6, 0x1.73158012899ecp-6, 0x1.76b0d958ab827p-6, 0x1.7a2f45aa09b94p-6, 0x1.7d91f95a7ca15p-6, 0x1.80da1b9fa1affp-6, 0x1.8408c6e989ce8p-6, 0x1.871f093ccd312p-6, 0x1.8a1de490e8393p-6, 0x1.8d064f1f1de1ep-6, 0x1.8fd933bd9e064p-6, 0x1.929772394dec8p-6, 0x1.9541df9a3f045p-6, 0x1.97d946853506ep-6, 0x1.9a5e6783e663fp-6, 0x1.9cd1f9509d834p-6, 0x1.9f34a93300548p-6, 0x1.a1871b3b531b7p-6, 0x1.a3c9ea9be9051p-6, 0x1.a5fda9f0f781bp-6, 0x1.a822e38a108ap-6, 0x1.aa3a19b28586ap-6, 0x1.ac43c6fe7fa2ap-6, 0x1.ae405e931fd96p-6, 0x1.b0304c69d2614p-6, 0x1.b213f5954901p-6, 0x1.b3ebb88afd11bp-6, 0x1.b5b7ed61f4e74p-6, 0x1.b778e6142504fp-6, 0x1.b92eeebdc72f2p-6, 0x1.bada4ddc07e69p-6, 0x1.bc7b448cadb2cp-6, 0x1.be120ebe72fe5p-6, 0x1.bf9ee3663cc6ap-6, 0x1.c121f4d637dfp-6, 0x1.c29b70be5c87ap-6, 0x1.c40b808f21075p-6, 0x1.c572498ac0589p-6, 0x1.c6cfed08613f3p-6, 0x1.c82488a2800b8p-6, 0x1.c970365e1f12fp-6, 0x1.cab30cd7f74f4p-6, 0x1.cbed1f764a004p-6, 0x1.cd1e7e9918c16p-6, 0x1.ce4737c1dc6a1p-6, 0x1.cf6755b8688a2p-6, 0x1.d07ee0b6286a8p-6, 0x1.d18dde9573248p-6, 0x1.d29452fb4ca4cp-6, 0x1.d3923f78b4402p-6, 0x1.d487a3aa5c8d1p-6, 0x1.d5747d623f5d6p-6, 0x1.d658c8d105635p-6, 0x1.d73480a6eca0cp-6, 0x1.d8079e2f41c26p-6, 0x1.d8d2196adabebp-6, 0x1.d993e9312c6b2p-6, 0x1.da4d035294fcp-6, 0x1.dafd5cafb7f45p-6, 0x1.dba4e96001833p-6, 0x1.dc439ca5ba9f2p-6, 0x1.dcd969267f77ep-6, 0x1.dd6640f6a70fap-6, 0x1.ddea15b45ac64p-6, 0x1.de64d8972cf5ep-6, 0x1.ded67a885778bp-6, 0x1.df3eec29cef3bp-6, 0x1.df9e1dee041adp-6, 0x1.dff4003a90b5bp-6, 0x1.e040836f6bfc8p-6, 0x1.e08397f383985p-6, 0x1.e0bd2e442752bp-6, 0x1.e0ed370598cd1p-6, 0x1.e113a317b24eap-6, 0x1.e13063a9c9f21p-6, 0x1.e1436a471e507p-6, 0x1.e14ca8df70578p-6, 0x1.e14c11d09c90ap-6, 0x1.e14197f50ae51p-6, 0x1.e12d2eb550c58p-6, 0x1.e10eca1782d0ap-6, 0x1.e0e65ec87623cp-6, 0x1.e0b3e2204ad8cp-6, 0x1.e0774a277ceb8p-6, 0x1.e0308da070d6p-6, 0x1.dfdfa4157be37p-6, 0x1.df8485e40ddcep-6, 0x1.df1f2c42f6d9fp-6, 0x1.deaf91441047ap-6, 0x1.de35afd33aa79p-6, 0x1.ddb183c004e9cp-6, 0x1.dd2309be6defep-6, 0x1.dc8a3f755aa75p-6, 0x1.dbe72382d1021p-6, 0x1.db39b57af93b4p-6, 0x1.da81f5e6f9cfp-6, 0x1.d9bfe644397bap-6, 0x1.d8f389076c59ap-6, 0x1.d81ce1a2831e4p-6, 0x1.d73bf489cac83p-6, 0x1.d650c7356ab99p-6, 0x1.d55b601f12ce6p-6, 0x1.d45bc6be12b8p-6, 0x1.d3520385ddff4p-6, 0x1.d23e1fe645b8p-6, 0x1.d120264fc18e3p-6, 0x1.cff822364058cp-6, 0x1.cec6200f96ffbp-6, 0x1.cd8a2d50fe04cp-6, 0x1.cc44586ab9affp-6, 0x1.caf4b0c02211cp-6, 0x1.c99b46a8166b5p-6, 0x1.c8382b7258aa8p-6, 0x1.c6cb716316a08p-6, 0x1.c5552bb69f47ep-6, 0x1.c3d56e942ef4fp-6, 0x1.c24c4f0d9272ep-6, 0x1.c0b9e319ddd2dp-6, 0x1.bf1e41906dd24p-6, 0x1.bd798226953d4p-6, 0x1.bbcbbd6e17caep-6, 0x1.ba150cd2b2e83p-6, 0x1.b8558a95c314p-6, 0x1.b68d51c82de82p-6, 0x1.b4bc7e438936cp-6, 0x1.b2e32ca3d3d17p-6, 0x1.b1017a42741f4p-6, 0x1.af17853253b08p-6, 0x1.ad256c3c0344ep-6, 0x1.ab2b4edafdebcp-6, 0x1.a9294d3612d71p-6, 0x1.a71f881a736c3p-6, 0x1.a50e20f3f229bp-6, 0x1.a2f539c5d3eb1p-6, 0x1.a0d4f524f72abp-6, 0x1.9ead7632cad9dp-6, 0x1.9c7ee098b467bp-6, 0x1.9a4958832b313p-6, 0x1.980d029c0c179p-6, 0x1.95ca040406fc5p-6, 0x1.9380824b7f802p-6, 0x1.9130a36b68207p-6, 0x1.8eda8dbea3bd1p-6, 0x1.8c7e67fc2cd9ap-6, 0x1.8a1c5931d4de8p-6, 0x1.87b488bf1bfaep-6, 0x1.85471e4fb5492p-6, 0x1.82d441d575116p-6, 0x1.805c1b81c1154p-6, 0x1.7dded3bec674ep-6, 0x1.7b5c9328d6468p-6, 0x1.78d5828842f59p-6, 0x1.7649cacbb5f5fp-6, 0x1.73b99502dcb8ap-6, 0x1.71250a5978d9ap-6, 0x1.6e8c5411fa14ep-6, 0x1.6bef9b7e07c39p-6, 0x1.694f09fb5df37p-6, 0x1.66aac8ecbfbdep-6, 0x1.640301b344647p-6, 0x1.6157dda91d9bbp-6, 0x1.5ea9861ce658ep-6, 0x1.5bf8244c480ap-6, 0x1.5943e15f11cc3p-6, 0x1.568ce6624ab5dp-6, 0x1.53d35c43539b6p-6, 0x1.51176bcaf5d4ap-6, 0x1.4e593d987f607p-6, 0x1.4b98fa1cd8b36p-6, 0x1.48d6c995b8c88p-6, 0x1.4612d408fc611p-6, 0x1.434d414030a35p-6, 0x1.408638c45988fp-6, 0x1.3dbde1d9e06ap-6, 0x1.3af4637cb3ca1p-6, 0x1.3829e45c5a7a7p-6, 0x1.355e8ad84feb9p-6, 0x1.32927cfc34296p-6, 0x1.2fc5e07c022ccp-6, 0x1.2cf8dab0646f8p-6, 0x1.2a2b9092fe3dbp-6, 0x1.275e26bb0fcdbp-6, 0x1.2490c15a54c03p-6, 0x1.21c3843a21413p-6, 0x1.1ef692b8a257ap-6, 0x1.1c2a0fc644e9bp-6, 0x1.195e1de3171f9p-6, 0x1.1692df1c32ebbp-6, 0x1.13c8750922f2dp-6, 0x1.10ff00c958569p-6, 0x1.0e36a301ab0ecp-6, 0x1.0b6f7bda24d99p-6, 0x1.08a9aafbfcba3p-6, 0x1.05e54f8fd8d53p-6, 0x1.0322883c418f8p-6, 0x1.006173242d4e4p-6, 0x1.fb445bcb35fafp-7, 0x1.f5c9ab3035ff4p-7, 0x1.f0530d96dbdap-7, 0x1.eae0bb0c24e07p-7, 0x1.e572ea87999a4p-7, 0x1.e009d1e90449ap-7, 0x1.daa5a5f65e56ep-7, 0x1.d5469a5a47a83p-7, 0x1.cfece1a2fe0b2p-7, 0x1.ca98ad41abe0cp-7, 0x1.c54a2d8a6c561p-7, 0x1.c00191b7b6c7ap-7, 0x1.babf07e403d43p-7, 0x1.b582bcfee3b95p-7, 0x1.b04cdce103fc4p-7, 0x1.ab1d924b7b44cp-7, 0x1.a5f506d21674cp-7, 0x1.a0d362e358635p-7, 0x1.9bb8cdcfee43p-7, 0x1.96a56dc861f15p-7, 0x1.919967deebcdep-7, 0x1.8c94e00a201fp-7, 0x1.8797f9271afafp-7, 0x1.82a2d4fae729cp-7, 0x1.7db59432ac96cp-7, 0x1.78d0566312afdp-7, 0x1.73f33a071d128p-7, 0x1.6f1e5c7f8c82dp-7, 0x1.6a51da13362d7p-7, 0x1.658dcdf14e87fp-7, 0x1.60d2523554c58p-7, 0x1.5c1f7fec9d7ap-7, 0x1.57756f1c5d4ddp-7, 0x1.52d436c722bcfp-7, 0x1.4e3becf0b0a8ep-7, 0x1.49aca69f90daep-7, 0x1.452677dc73b75p-7, 0x1.40a973afdb173p-7, 0x1.3c35ac1fb41acp-7, 0x1.37cb322e40808p-7, 0x1.336a15dba2addp-7, 0x1.2f12662aa3919p-7, 0x1.2ac431286e64cp-7, 0x1.267f83f6205f6p-7, 0x1.22446ad26fca5p-7, 0x1.1e12f1217d90bp-7, 0x1.19eb21715217p-7, 0x1.15cd057a7f141p-7, 0x1.11b8a61d576fap-7, 0x1.0dae0b5d59a5fp-7, 0x1.09ad3c5d01e5p-7, 0x1.05b63f5c4d7eap-7, 0x1.01c919bb82e61p-7, 0x1.fbcba00588f9fp-8, 0x1.f418cbdb09aep-8, 0x1.ec79bcef9cc39p-8, 0x1.e4ee77d540e0ap-8, 0x1.dd76ffc9c56fep-8, 0x1.d61356bcf9ecap-8, 0x1.cec37d4d05b33p-8, 0x1.c78772b9accep-8, 0x1.c05f34d21c6c7p-8, 0x1.b94abfe87e378p-8, 0x1.b24a0ecd547f7p-8, 0x1.ab5d1ad8e2cfep-8, 0x1.a483dc02c303bp-8, 0x1.9dbe490470161p-8, 0x1.970c578023264p-8, 0x1.906dfc23964c6p-8, 0x1.89e32abefe953p-8, 0x1.836bd64aa97fep-8, 0x1.7d07f0da67833p-8, 0x1.76b76b824cd21p-8, 0x1.707a36345fadep-8, 0x1.6a503fa14fdfep-8, 0x1.643975261e506p-8, 0x1.5e35c2ce5161dp-8, 0x1.5845136d37d46p-8, 0x1.526750cc2fc5ep-8, 0x1.4c9c63e532f4ap-8, 0x1.46e4351e6f413p-8, 0x1.413eac79f6d05p-8, 0x1.3babb1aeeb914p-8, 0x1.362b2c265f4a5p-8, 0x1.30bd02dcd7fbfp-8, 0x1.2b611c2f77e98p-8, 0x1.26175da1626bap-8, 0x1.20dfaba785d0cp-8, 0x1.1bb9e98854ab1p-8, 0x1.16a5f9589db2cp-8, 0x1.11a3bc1907869p-8, 0x1.0cb311f042dc3p-8, 0x1.07d3da780e222p-8, 0x1.0305f50e54b98p-8, 0x1.fc928233bf171p-9, 0x1.f33b3c687308cp-9, 0x1.ea05d85e34cd7p-9, 0x1.e0f215e7f7933p-9, 0x1.d7ffb48888b1fp-9, 0x1.cf2e72d187684p-9, 0x1.c67e0dc4cb379p-9, 0x1.bdee405e28e33p-9, 0x1.b57ec36112f1ap-9, 0x1.ad2f4d782921ep-9, 0x1.a4ff93a4312p-9, 0x1.9cef49e6ff8e1p-9, 0x1.94fe240b258f3p-9, 0x1.8d2bd664388fbp-9, 0x1.85781665973e9p-9, 0x1.7de29af472f6ap-9, 0x1.766b1c642d303p-9, 0x1.6f11541a63c07p-9, 0x1.67d4fbe7db595p-9, 0x1.60b5cd3167269p-9, 0x1.59b38010037dbp-9, 0x1.52cdca94f36c3p-9, 0x1.4c04606303223p-9, 0x1.4556f2bb2085cp-9, 0x1.3ec5309bb52d9p-9, 0x1.384ec7d8f3eb7p-9, 0x1.31f3664aae2eap-9, 0x1.2bb2ba566dd61p-9, 0x1.258c741c32394p-9, 0x1.1f80460b0c50bp-9, 0x1.198de510ba03dp-9, 0x1.13b5087d2ec5ap-9, 0x1.0df569998a46cp-9, 0x1.084ec300eac09p-9, 0x1.02c0cfcac15cap-9, 0x1.fa969531fc12fp-10, 0x1.efdbd94cbead3p-10, 0x1.e550d9f134cc1p-10, 0x1.daf4ffcb415f4p-10, 0x1.d0c7ae2d347a7p-10, 0x1.c6c84411f4879p-10, 0x1.bcf61d8b4b1acp-10, 0x1.b35096af0d9bdp-10, 0x1.a9d70ea6fcab3p-10, 0x1.a088e7ef552ecp-10, 0x1.97658a8d93aap-10, 0x1.8e6c6452172c4p-10, 0x1.859ce76e92357p-10, 0x1.7cf68a55d37eap-10, 0x1.7478c724b2309p-10, 0x1.6c231adceccd8p-10, 0x1.63f5048d43e47p-10, 0x1.5bee042e16b1cp-10, 0x1.540d992315257p-10, 0x1.4c534093f5a6ap-10, 0x1.44be7405657b9p-10, 0x1.3d4ea8ad03768p-10, 0x1.36034fd4dcf18p-10, 0x1.2edbd84bbf6b5p-10, 0x1.27d7b07b3fcc9p-10, 0x1.20f6487c65c5bp-10, 0x1.1a371387ce22ap-10, 0x1.1399886df667ap-10, 0x1.0d1d21359af79p-10, 0x1.06c15a58ef38dp-10, 0x1.0085b231c691fp-10, 0x1.f4d351e041421p-11, 0x1.e8d98233d7002p-11, 0x1.dd1d007ca2b66p-11, 0x1.d19cded1f4ac7p-11, 0x1.c65835fbe44cap-11, 0x1.bb4e23ddc3554p-11, 0x1.b07dc907d357ap-11, 0x1.a5e6464095deap-11, 0x1.9b86bad781916p-11, 0x1.915e4438389dcp-11, 0x1.876bfead2f061p-11, 0x1.7daf06c45c09ap-11, 0x1.74267a90a6bcfp-11, 0x1.6ad17a2bd47f9p-11, 0x1.61af274bf08c8p-11, 0x1.58bea43385719p-11, 0x1.4fff128f33692p-11, 0x1.476f92da76646p-11, 0x1.3f0f44ad8d8fp-11, 0x1.36dd47f39bb1p-11, 0x1.2ed8bea945ddep-11, 0x1.2700ce8f83539p-11, 0x1.1f54a260b0178p-11, 0x1.17d36a8dfca09p-11, 0x1.107c5db5e9951p-11, 0x1.094eb95ff29ddp-11, 0x1.0249c348def25p-11, 0x1.f6d995024923fp-12, 0x1.e96e4f1301bbdp-12, 0x1.dc507575e4b8ap-12, 0x1.cf7ed1ad2568p-12, 0x1.c2f82d49344e2p-12, 0x1.b6bb4a6432ce8p-12, 0x1.aac6e019713ebp-12, 0x1.9f199bc325024p-12, 0x1.93b2254817b6ap-12, 0x1.888f236e2ea94p-12, 0x1.7daf3dc707bd7p-12, 0x1.73111be2d157fp-12, 0x1.68b363353a2bcp-12, 0x1.5e94b574658b3p-12, 0x1.54b3b04be5bedp-12, 0x1.4b0eee639f1cbp-12, 0x1.41a509d815c2fp-12, 0x1.3874a1030850cp-12, 0x1.2f7c5e85126c6p-12, 0x1.26bb03fc7a54bp-12, 0x1.1e2f744950d57p-12, 0x1.15d8b8952d2b4p-12, 0x1.0db5fc3e82022p-12, 0x1.05c67f67b63f7p-12, 0x1.fc1308f8588fap-13, 0x1.ecfc7fab39e3ap-13, 0x1.de479fb53d6fbp-13, 0x1.cff27f6a1ed06p-13, 0x1.c1fb22aae84cbp-13, 0x1.b45f90f8f86b9p-13, 0x1.a71de218847bbp-13, 0x1.9a343dae824e4p-13, 0x1.8da0d05dca7aap-13, 0x1.8161be0cfa875p-13, 0x1.757517c083559p-13, 0x1.69d8d89587a2dp-13, 0x1.5e8ae98d7ba4ep-13, 0x1.5389298d29302p-13, 0x1.48d1781facedfp-13, 0x1.3e61bdf3e5617p-13, 0x1.3437fe816ebfp-13, 0x1.2a526f8650699p-13, 0x1.20af852b8533bp-13, 0x1.174dfda617ef1p-13, 0x1.0e2cd403fa7f4p-13, 0x1.054b21860c721p-13, 0x1.f94ff1d9a5298p-14, 0x1.e8849609885c3p-14, 0x1.d831bdebd0437p-14, 0x1.c854bb903a00bp-14, 0x1.b8eace1f0c47ep-14, 0x1.a9f1455a044e3p-14, 0x1.9b65917241b3bp-14, 0x1.8d453f1af149ap-14, 0x1.7f8de763972cp-14, 0x1.723d1c24df407p-14, 0x1.655058e46c525p-14, 0x1.58c4fe42bd696p-14, 0x1.4c9859c4f891ap-14, 0x1.40c7b5766f729p-14, 0x1.355065b1a948bp-14, 0x1.2a2fcc5084fd7p-14, 0x1.1f63522aee169p-14, 0x1.14e864c24dabp-14, 0x1.0abc89515bb57p-14, 0x1.00dd86e0f410dp-14, 0x1.ee931faf06126p-15, 0x1.dbfe90e8e972bp-15, 0x1.c9fb3548a67p-15, 0x1.b886d7a0f5f6dp-15, 0x1.a79ec1e72e581p-15, 0x1.973fa94bd9ceep-15, 0x1.8765f9ad98facp-15, 0x1.780e361bd8e12p-15, 0x1.69352177d4bb4p-15, 0x1.5ad7a28a58da7p-15, 0x1.4cf293bfb6c81p-15, 0x1.3f82af6cd5f9ap-15, 0x1.3284a137ce955p-15, 0x1.25f527d3f9ffp-15, 0x1.19d12efaba0b3p-15, 0x1.0e15d314839c2p-15, 0x1.02c04dd4d88ecp-15, 0x1.ef9bb162a35d5p-16, 0x1.da772bc823ad6p-16, 0x1.c60d0f672b9a8p-16, 0x1.b25727b81e41bp-16, 0x1.9f4f2710851f6p-16, 0x1.8ceef1cb0301p-16, 0x1.7b3116d0ce164p-16, 0x1.6a113a09c78d8p-16, 0x1.598c0ab519419p-16, 0x1.499e9d47edab5p-16, 0x1.3a4590377d4d6p-16, 0x1.2b7cb0b27b8c6p-16, 0x1.1d3f6dbca73b7p-16, 0x1.0f89a1e7d207p-16, 0x1.0257e9222c361p-16, 0x1.eb4e73c88f046p-17, 0x1.d2e87cb2bdd0bp-17, 0x1.bb762215fc7c7p-17, 0x1.a4eef286c8ab8p-17, 0x1.8f4a9e0b160d2p-17, 0x1.7a817cacf6866p-17, 0x1.668cc2b83a296p-17, 0x1.5366736367cdp-17, 0x1.410913f06d1a6p-17, 0x1.2f6f3762ae45ep-17, 0x1.1e9317839a504p-17, 0x1.0e6e6378a0cbbp-17, 0x1.fdf4977cc2b62p-18, 0x1.e05f94038f7e7p-18, 0x1.c4104fa1fc891p-18, 0x1.a8fb3ce30870ep-18, 0x1.8f1738e76d739p-18, 0x1.765c96e520807p-18, 0x1.5ec33adf5f788p-18, 0x1.48417c508e42bp-18, 0x1.32ccc03219447p-18, 0x1.1e5ab53192d03p-18, 0x1.0ae1b69ec68ddp-18, 0x1.f0b15ce45477ep-19, 0x1.cd6f4925c9bd8p-19, 0x1.abf142dc5ad05p-19, 0x1.8c2915518336cp-19, 0x1.6e0897dcf9aabp-19, 0x1.517e50e525dbep-19, 0x1.367a0a7c74212p-19, 0x1.1cecdca4dc28ap-19, 0x1.04caac4bed5dep-19, 0x1.dc0ef912c4f4ep-20, 0x1.b12d594e6fc8ap-20, 0x1.88d620e5525dbp-20, 0x1.62eed715e5979p-20, 0x1.3f5e614a897d3p-20, 0x1.1e0e297b9cd6bp-20, 0x1.fdd336623e62ap-21, 0x1.c3b7fa89f7415p-21, 0x1.8d9d212c0933cp-21, 0x1.5b50f95e73b44p-21, 0x1.2ca05a372b81dp-21, 0x1.015bfea00f31dp-21, 0x1.b2c0fbc96535p-22, 0x1.6932ff56c6fa2p-22, 0x1.25ef72221dc2ap-22, 0x1.d18312c4ef5c3p-23, 0x1.62abf7c23a3edp-23, 0x1.fd41e36841db5p-24, 0x1.4954b7b1d0bfcp-24, 0x1.50ad786658dcfp-25, 0x1.9411be85f54dp-28, -0x1.922d340cb34cdp-26, -0x1.a2e568d39b558p-25, -0x1.2e0ddcdeb175ap-24, -0x1.7b45dbb22d2ep-24, -0x1.ba086b0e7852fp-24, -0x1.eb1068aa6e38cp-24, -0x1.07830fd355704p-23, -0x1.13535904b6cf5p-23, -0x1.195bb964bb15fp-23, -0x1.19f2e9b66ca24p-23, -0x1.155c32eed4763p-23, -0x1.0bce3777501aep-23, -0x1.fb0a739e4bc2p-24, -0x1.d5a435637dc71p-24, -0x1.a82f98b80a95cp-24, -0x1.737a1621645a5p-24, -0x1.38329b3943b2bp-24, -0x1.ed771cd83ac61p-25, -0x1.5e720c16c81c7p-25, -0x1.87bcb6fcadfb7p-26, -0x1.ed1e32661ebf3p-29, 0x1.1f3a405551b43p-26, 0x1.46b4a743910d1p-25, 0x1.02eb3c70f7395p-24, 0x1.6629fec7bb60dp-24, 0x1.ccbaf80114a97p-24, 0x1.1b1e5c27506b5p-23, 0x1.5124e5762f6bdp-23, 0x1.8841c66035585p-23, 0x1.c04b2af8a91c9p-23, 0x1.f91d3be5db093p-23, 0x1.194f9049d0e59p-22, 0x1.365dcd8a099f8p-22, 0x1.53a74b6d704aap-22, 0x1.71160724f07d7p-22, 0x1.8e9b4c03d9e53p-22, 0x1.ac2e2ebf11feep-22, 0x1.c9c3f054c0a75p-22, 0x1.e751add3cac55p-22, 0x1.02662f8395a72p-21, 0x1.1113769f0d30bp-21, 0x1.1fa9145307545p-21, 0x1.2e2012d02aa1ap-21, 0x1.3c72d9c5cd212p-21, 0x1.4a9e74b7b6c78p-21, 0x1.58a1d6f3e8ba6p-21, 0x1.6678a1187fa7ep-21, 0x1.741c59e6d8546p-21, 0x1.8189cf6212e8dp-21, 0x1.8ebed01abc7c8p-21, 0x1.9bb7d8188c374p-21, 0x1.a871b10d22d8cp-21, 0x1.b4ea05f6a536ep-21, 0x1.c11eda3f92ea1p-21, 0x1.cd0e2c251f1b3p-21, 0x1.d8b5e6ccf8ce5p-21, 0x1.e413fc1a8bf1ap-21, 0x1.ef268673a8ceep-21, 0x1.f9ebce76241b9p-21, 0x1.0231146d56b24p-20, 0x1.0743f9d214b2bp-20, 0x1.0c2e03eb4e204p-20, 0x1.10ef01eb0b63bp-20, 0x1.1586aa1a7c9c6p-20, 0x1.19f445fa4920ap-20, 0x1.1e3756a65d474p-20, 0x1.224f83150bc17p-20, 0x1.263c83eabc245p-20, 0x1.29fe87d3b84afp-20, 0x1.2d95783fe1d0dp-20, 0x1.310117664039p-20, 0x1.3441666a909ddp-20, 0x1.375641b14deb5p-20, 0x1.3a3fbe296edd4p-20, 0x1.3cfdd7c625526p-20, 0x1.3f90b4fb7f059p-20, 0x1.41f8edeef9445p-20, 0x1.4436ae65a2201p-20, 0x1.464a0b42f8fdcp-20, 0x1.48334cb6d6523p-20, 0x1.49f2d047e4d3ap-20, 0x1.4b88f66e57bd7p-20, 0x1.4cf62104b33d5p-20, 0x1.4e3ab4f4cfc0cp-20, 0x1.4f571b6d1ac54p-20, 0x1.504bc2c10c741p-20, 0x1.51191f1014ab4p-20, 0x1.51bfab19d8b8ep-20, 0x1.523fe9ddfffccp-20, 0x1.529a694ae39d2p-20, 0x1.52cfc02fc9db8p-20, 0x1.52e070aa31d56p-20, 0x1.52ccedcc1944bp-20, 0x1.5295e98a0391ep-20, 0x1.523bfdeb01171p-20, 0x1.51bf9cf052a11p-20, 0x1.51217e4221867p-20, 0x1.5062583b09233p-20, 0x1.4f82cc7e077f7p-20, 0x1.4e83852ef59f9p-20, 0x1.4d65230e4d0dap-20, 0x1.4c28288cd4b9fp-20, 0x1.4acd0b08d8818p-20, 0x1.495490fd106cdp-20, 0x1.47bfb8fd036fbp-20, 0x1.460eda5273947p-20, 0x1.4442e8a4fc3b8p-20, 0x1.425c46384a4a1p-20, 0x1.405bb2fafc243p-20, 0x1.3e41e5da8e878p-20, 0x1.3c0f8cee47e37p-20, 0x1.39c5545d813e2p-20, 0x1.3763e6d539873p-20, 0x1.34ebe2b6bb19bp-20, 0x1.325d96fb267f6p-20, 0x1.2fbb1b8b1dc68p-20, 0x1.2d0400dfa74bp-20, 0x1.2a3705c67ea9fp-20, 0x1.275873a6a98e2p-20, 0x1.24681da844dd5p-20, 0x1.21646d5ff1db3p-20, 0x1.1e4fcc0b15ce4p-20, 0x1.1b2a140b405aep-20, 0x1.17f4f8f664f17p-20, 0x1.14b0460a8d4b3p-20, 0x1.115cb945e0096p-20, 0x1.0dfafb6550b89p-20, 0x1.0a8baa26d315ap-20, 0x1.070f5fedf57d4p-20, 0x1.0386b4bb31f3ep-20, 0x1.ffe47da15a566p-21, 0x1.f8a527a5fd343p-21, 0x1.f1508a9773c72p-21, 0x1.e9e7c26f4f0bbp-21, 0x1.e26bf1a803c9p-21, 0x1.dade3562096fap-21, 0x1.d33fa0167804ep-21, 0x1.cb9143642a5cfp-21, 0x1.c3d42dfdaac8p-21, 0x1.bc096854bc536p-21, 0x1.b431f7cc9fdc7p-21, 0x1.ac4edec823b7bp-21, 0x1.a461198928e29p-21, 0x1.9c69a055ee152p-21, 0x1.946967af7620cp-21, 0x1.8c615fa33fb84p-21, 0x1.845273e82ce34p-21, 0x1.7c3d8bf753212p-21, 0x1.74238aff30e1bp-21, 0x1.6c054fca4ee26p-21, 0x1.63e3b4a433bbap-21, 0x1.5bbf8f457e0a7p-21, 0x1.5399b0ceb7f6ap-21, 0x1.4b72e5e1d1468p-21, 0x1.434bf6de2ebbp-21, 0x1.3b25a82481e74p-21, 0x1.3300ba24c5ee9p-21, 0x1.2adde9278ee68p-21, 0x1.22bdecf0937d7p-21, 0x1.1aa1785ab2951p-21, 0x1.128938ae8d45p-21, 0x1.0a75d863f5b69p-21, 0x1.0267fe0dd7fb3p-21, 0x1.f4c097d242631p-22, 0x1.e4bebec8bcc75p-22, 0x1.d4cbad76421bap-22, 0x1.c4e886a2aee02p-22, 0x1.b5166dde33d64p-22, 0x1.a556816c127f7p-22, 0x1.95a9d39354282p-22, 0x1.86116f940d763p-22, 0x1.768e59bbf7dfbp-22, }}, 
      {{-0x1.25565ec63214dp+0, -0x1.1dd060eb36ddbp+0, -0x1.11f811eb4d564p+0, -0x1.0295f63a7e543p+0, -0x1.e0ff33c4744c6p-1, -0x1.b9093251dee3ap-1, -0x1.8ec718924ebd8p-1, -0x1.63885a4a97bc4p-1, -0x1.3869e7f4f6879p-1, -0x1.0e55e8deec481p-1, -0x1.cc0c8f826653p-2, -0x1.8011cefc6cd7ap-2, -0x1.3989610882ad1p-2, -0x1.f1fb80ee4a343p-3, -0x1.7d811593323d5p-3, -0x1.15e8b781d7e48p-3, -0x1.7656c31a56ec9p-4, -0x1.b416491d249f5p-5, -0x1.5827ad5944ed6p-6, 0x1.6d8031f2731f1p-8, 0x1.b7e269b1ac6fap-6, 0x1.61b09028815a9p-5, 0x1.c218bf13ee6cap-5, 0x1.0033f719411eep-4, 0x1.0feee979eeccp-4, 0x1.11d6b78b87f4dp-4, 0x1.07790803f41f2p-4, 0x1.e4a70bc760aeap-5, 0x1.a7a1c828d2cb7p-5, 0x1.5a8da6d6b1cf5p-5, 0x1.ffd2fd0742f3bp-6, 0x1.340cab4fdcf8cp-6, 0x1.5838ef0526a37p-8, -0x1.2c7b1ea88decp-7, -0x1.8d44d7c133e83p-6, -0x1.45e5c07f6045ap-5, -0x1.c773b495a7331p-5, -0x1.24ff0ca46987ep-4, -0x1.662db20be0f5ep-4, -0x1.a6c22fda61bc6p-4, -0x1.e648ec49ce277p-4, -0x1.122e93cd25735p-3, -0x1.3053ede4b537p-3, -0x1.4d6f52be243fdp-3, -0x1.69615bfcb9c09p-3, -0x1.840feeb832527p-3, -0x1.9d65c22c65df7p-3, -0x1.b551ed366f20fp-3, -0x1.cbc77ac057197p-3, -0x1.e0bd0522428b6p-3, -0x1.f42c58686cc45p-3, -0x1.03090daad014p-2, -0x1.0b36bf7293c08p-2, -0x1.129ff9ff1b284p-2, -0x1.19467380ba6d1p-2, -0x1.1f2cc068ef1b5p-2, -0x1.24563680cf761p-2, -0x1.28c6d2638b67cp-2, -0x1.2c831f37391b9p-2, -0x1.2f90207c99adp-2, -0x1.31f33dd4a9bf7p-2, -0x1.33b2309b04cfcp-2, -0x1.34d2f337f6d9bp-2, -0x1.355bb20cda55dp-2, -0x1.3552bde0e31a3p-2, -0x1.34be7fb4f07cfp-2, -0x1.33a56de56db84p-2, -0x1.320e0280aafd1p-2, -0x1.2ffeb2bd8e74dp-2, -0x1.2d7de773e42bdp-2, -0x1.2a91f68f0e3a8p-2, -0x1.27411d57619b6p-2, -0x1.23917b94d568ep-2, -0x1.1f890f673cb42p-2, -0x1.1b2db1d5747a2p-2, -0x1.168513eed30b5p-2, -0x1.1194bc7a65cedp-2, -0x1.0c62061deac3ep-2, -0x1.06f21dedf194p-2, -0x1.014a026f3e532p-2, -0x1.f6dd05d8a748ep-3, -0x1.eac87e5d34205p-3, -0x1.de5f4efb5bc92p-3, -0x1.d1a9f9d41a28ep-3, -0x1.c4b0a36111bbfp-3, -0x1.b77b13bfd7839p-3, -0x1.aa10b80262d8ap-3, -0x1.9c78a3de4625cp-3, -0x1.8eb99388b0756p-3, -0x1.80d9edcd51bdfp-3, -0x1.72dfc68bb0bb9p-3, -0x1.64d0e110d833ep-3, -0x1.56b2b2f827423p-3, -0x1.488a66b3685e6p-3, -0x1.3a5cde44737a3p-3, -0x1.2c2eb5d6793c4p-3, -0x1.1e04461ef1ffap-3, -0x1.0fe1a6fa24c5ap-3, -0x1.01cab1ab93586p-3, -0x1.e78606b8d17ap-4, -0x1.cb9bff13c40e8p-4, -0x1.afdda4b25daadp-4, -0x1.9450e6459ba2p-4, -0x1.78fb4d612885p-4, -0x1.5de2032a72303p-4, -0x1.4309d4afe7efp-4, -0x1.287736ffc59dap-4, -0x1.0e2e4b19fba83p-4, -0x1.e865c3483621p-5, -0x1.b510fcb7e899bp-5, -0x1.8264b71be1c2ep-5, -0x1.5066da9c73cdfp-5, -0x1.1f1cc953ef488p-5, -0x1.dd16cb4c95efdp-6, -0x1.7d6e30bc032edp-6, -0x1.1f47ad544c929p-6, -0x1.8554a066e99a4p-7, -0x1.9e71632aef808p-8, -0x1.c4683003c2365p-11, 0x1.26f0d4c5c1ef6p-8, 0x1.3ffbf559d542bp-7, 0x1.e93d492f6a632p-7, 0x1.479b6582ea779p-6, 0x1.98f204131c895p-6, 0x1.e8a0d2b5e1cebp-6, 0x1.1b5353e3ddfddp-5, 0x1.41816af5230e7p-5, 0x1.66da9268d101dp-5, 0x1.8b5ee53c190fap-5, 0x1.af0eb25afa3eep-5, 0x1.d1ea795d9e72ap-5, 0x1.f3f2e79e0d295p-5, 0x1.0a946ab4101b1p-4, 0x1.1ac6a19a8f2cdp-4, 0x1.2a90ab8511456p-4, 0x1.39f32d00efc76p-4, 0x1.48eedafe0d9cdp-4, 0x1.578479aa62bd4p-4, 0x1.65b4db5865622p-4, 0x1.7380df8093be9p-4, 0x1.80e971d22a6c1p-4, 0x1.8def89364dd6ap-4, 0x1.9a9426faad7d4p-4, 0x1.a6d855f875f8bp-4, 0x1.b2bd29cb91479p-4, 0x1.be43be103888p-4, 0x1.c96d35ae230e2p-4, 0x1.d43aba1f45603p-4, 0x1.dead7ad17080ap-4, 0x1.e8c6ac8ea2b28p-4, 0x1.f28788d70ed3ap-4, 0x1.fbf14d4f13351p-4, 0x1.02829da35cdabp-3, 0x1.06e24b98d39c6p-3, 0x1.0b18540e0c372p-3, 0x1.0f255ba188a58p-3, 0x1.130a07d4ef372p-3, 0x1.16c6fecf6ba6ep-3, 0x1.1a5ce72e6eb7cp-3, 0x1.1dcc67dcf979bp-3, 0x1.211627e1c8504p-3, 0x1.243ace2e3b16fp-3, 0x1.273b017fdf64fp-3, 0x1.2a176840a3c43p-3, 0x1.2cd0a857fb94cp-3, 0x1.2f676708642bfp-3, 0x1.31dc48dd8194fp-3, 0x1.342ff18faa85dp-3, 0x1.366303dd96f83p-3, 0x1.38762175ee8d6p-3, 0x1.3a69eaecd144ap-3, 0x1.3c3effa3956ffp-3, 0x1.3df5fda986c76p-3, 0x1.3f8f81af0e6ep-3, 0x1.410c270185576p-3, 0x1.426c87777fb7cp-3, 0x1.43b13b56ddba6p-3, 0x1.44dad94d0f809p-3, 0x1.45e9f670ad45dp-3, 0x1.46df263585d9ep-3, 0x1.47bafa54aadf3p-3, 0x1.487e02c729b67p-3, 0x1.4928cdccee3b2p-3, 0x1.49bbe7e774a5ep-3, 0x1.4a37dbc68c9dap-3, 0x1.4a9d3240721dap-3, 0x1.4aec725cd5e25p-3, 0x1.4b2621595a2eap-3, 0x1.4b4ac299baeacp-3, 0x1.4b5ad79a21ad6p-3, 0x1.4b56dff9434d1p-3, 0x1.4b3f598a02e99p-3, 0x1.4b14c04ede47dp-3, 0x1.4ad78e64340d1p-3, 0x1.4a883bfb9698bp-3, 0x1.4a273f7338508p-3, 0x1.49b50d6a53a03p-3, 0x1.493218b6485fap-3, 0x1.489ed24834e76p-3, 0x1.47fba92b65d86p-3, 0x1.47490aa54dfep-3, 0x1.4687625121164p-3, 0x1.45b71a160c738p-3, 0x1.44d89a059d496p-3, 0x1.43ec4853eeaf6p-3, 0x1.42f289783fd77p-3, 0x1.41ebc05551b4bp-3, 0x1.40d84e3c3d89ep-3, 0x1.3fb892c9e40aep-3, 0x1.3e8cebccf9ac6p-3, 0x1.3d55b558c4073p-3, 0x1.3c1349f5f6c53p-3, 0x1.3ac602bfc51f9p-3, 0x1.396e3750f2582p-3, 0x1.380c3d9aebbc2p-3, 0x1.36a069d8c9f53p-3, 0x1.352b0eb299befp-3, 0x1.33ac7d70d5541p-3, 0x1.3225060f5314p-3, 0x1.3094f7211a79bp-3, 0x1.2efc9da729acbp-3, 0x1.2d5c4508ffdf9p-3, 0x1.2bb4373bcf03fp-3, 0x1.2a04bcf619483p-3, 0x1.284e1dc254f8ep-3, 0x1.26909fe40d13ep-3, 0x1.24cc882d90041p-3, 0x1.230219f3715ebp-3, 0x1.2131972da32a3p-3, 0x1.1f5b40aa1ed3dp-3, 0x1.1d7f5629666cfp-3, 0x1.1b9e164e84537p-3, 0x1.19b7be76f8501p-3, 0x1.17cc8aa106bf8p-3, 0x1.15dcb57ab9d34p-3, 0x1.13e8788fc7641p-3, 0x1.11f00c71a2116p-3, 0x1.0ff3a8bd4df43p-3, 0x1.0df383fede804p-3, 0x1.0befd38e0b813p-3, 0x1.09e8cb83cc49p-3, 0x1.07de9ed3d825bp-3, 0x1.05d17f77b5a4fp-3, 0x1.03c19e8c5b731p-3, 0x1.01af2c4fd4f1bp-3, 0x1.ff34b00a72f7ep-4, 0x1.fb069faf0d5ap-4, 0x1.f6d481a77cf77p-4, 0x1.f29eae009e41dp-4, 0x1.ee657b044a63fp-4, 0x1.ea293d6d2d0afp-4, 0x1.e5ea48671e1fp-4, 0x1.e1a8ed63ea093p-4, 0x1.dd657be85d18bp-4, 0x1.d920417966745p-4, 0x1.d4d989b8ea447p-4, 0x1.d0919ea0bd127p-4, 0x1.cc48c8b72274ap-4, 0x1.c7ff4f1f9c1a8p-4, 0x1.c3b577849b607p-4, 0x1.bf6b85edc20eep-4, 0x1.bb21bca1b21b1p-4, 0x1.b6d85c2970f25p-4, 0x1.b28fa375081cfp-4, 0x1.ae47d00bdd585p-4, 0x1.aa011e2e55f7p-4, 0x1.a5bbc8d9ef5f5p-4, 0x1.a17809b3201e6p-4, 0x1.9d3618e615392p-4, 0x1.98f62d13df24cp-4, 0x1.94b87b5948332p-4, 0x1.907d376cac822p-4, 0x1.8c4493c2c66bep-4, 0x1.880ec1a8652cp-4, 0x1.83dbf147933b3p-4, 0x1.7fac519997d63p-4, 0x1.7b801050ea8ap-4, 0x1.775759c97ad04p-4, 0x1.73325909ed12p-4, 0x1.6f1137d679a59p-4, 0x1.6af41ecc0cf82p-4, 0x1.66db35775b5c9p-4, 0x1.62c6a25f83429p-4, 0x1.5eb68b02a1a67p-4, 0x1.5aab13c8d9039p-4, 0x1.56a45ff66c309p-4, 0x1.52a291a5db12ep-4, 0x1.4ea5c9ceae7cbp-4, 0x1.4aae285653b72p-4, 0x1.46bbcc2394e7p-4, 0x1.42ced32d522dp-4, 0x1.3ee75a80b0f1ep-4, 0x1.3b057e3e996ebp-4, 0x1.372959939828cp-4, 0x1.335306af758ap-4, 0x1.2f829ec2310e3p-4, 0x1.2bb83a014b278p-4, 0x1.27f3efb3afe81p-4, 0x1.2435d63f7ae5ep-4, 0x1.207e03350b713p-4, 0x1.1ccc8b5506231p-4, 0x1.1921829145b3ap-4, 0x1.157cfc097862fp-4, 0x1.11df0a063f743p-4, 0x1.0e47bdf65e137p-4, 0x1.0ab72870b7dc1p-4, 0x1.072d593b3a44ap-4, 0x1.03aa5f5461d7bp-4, 0x1.002e48fc3850ep-4, 0x1.f9724775decb7p-5, 0x1.f295f8c91eb98p-5, 0x1.ebc7be33ac97dp-5, 0x1.e507ae8decabcp-5, 0x1.de55df4351d06p-5, 0x1.d7b2645159197p-5, 0x1.d11d504c7ffabp-5, 0x1.ca96b46b2688cp-5, 0x1.c41ea0932bc75p-5, 0x1.bdb52366a2cf5p-5, 0x1.b75a4a4dbe106p-5, 0x1.b10e217dbd4f8p-5, 0x1.aad0b3fcfb3dep-5, 0x1.a4a20ba45d25bp-5, 0x1.9e82311f317d8p-5, 0x1.98712beb9a29ep-5, 0x1.926f025de6a31p-5, 0x1.8c7bb9a7aac45p-5, 0x1.869755e170b3bp-5, 0x1.80c1da14993b6p-5, 0x1.7afb4843e5cbp-5, 0x1.7543a17269fb7p-5, 0x1.6f9ae5a9238fap-5, 0x1.6a0113fb329dcp-5, 0x1.64762a88ae5b7p-5, 0x1.5efa268085bc2p-5, 0x1.598d0422b2645p-5, 0x1.542ebec415b1fp-5, 0x1.4edf50d498e71p-5, 0x1.499eb3e6bf78bp-5, 0x1.446ce0b757f98p-5, 0x1.3f49cf344f019p-5, 0x1.3a357682a6885p-5, 0x1.352fcd03b3d3bp-5, 0x1.3038c859a9419p-5, 0x1.2b505d6b38343p-5, 0x1.2676806667467p-5, 0x1.21ab24c327698p-5, 0x1.1cee3d46a700ep-5, 0x1.183fbc0820fc2p-5, 0x1.139f927719dbfp-5, 0x1.0f0db162318bp-5, 0x1.0a8a08fd79044p-5, 0x1.061488e817581p-5, 0x1.01ad20310c1bfp-5, 0x1.faa77ab479b87p-6, 0x1.f2109cb6c513p-6, 0x1.e995814a5daecp-6, 0x1.e136024751685p-6, 0x1.d8f1f88268e76p-6, 0x1.d0c93bd68244ap-6, 0x1.c8bba330ac13cp-6, 0x1.c0c9049e1c1f3p-6, 0x1.b8f13559c9406p-6, 0x1.b13409d717cacp-6, 0x1.a99155c867233p-6, 0x1.a208ec21d0bbbp-6, 0x1.9a9a9f199d97bp-6, 0x1.93464028e824dp-6, 0x1.8c0ba00ec62cep-6, 0x1.84ea8ed79fae3p-6, 0x1.7de2dbe94f86ep-6, 0x1.76f4561331b1ep-6, 0x1.701ecb9fce947p-6, 0x1.69620a64eaa39p-6, 0x1.62bddfce662d7p-6, 0x1.5c3218e16e54cp-6, 0x1.55be8237df92dp-6, 0x1.4f62e7f66bb38p-6, 0x1.491f15c26cc86p-6, 0x1.42f2d6bd090a2p-6, 0x1.3cddf5884471dp-6, 0x1.36e03c57fab26p-6, 0x1.30f9750d4593ep-6, 0x1.2b2969570b6c9p-6, 0x1.256fe2d086fc8p-6, 0x1.1fccab15d86abp-6, 0x1.1a3f8bc8b72afp-6, 0x1.14c84e830a1bap-6, 0x1.0f66bcb9e41a4p-6, 0x1.0a1a9f9851028p-6, 0x1.04e3bfdce3c6p-6, 0x1.ff83cb8b16f09p-7, 0x1.f569b225cef17p-7, 0x1.eb78c24dffb7cp-7, 0x1.e1b08a78200b4p-7, 0x1.d8109952cc816p-7, 0x1.ce987e4e74187p-7, 0x1.c547ca01f4955p-7, 0x1.bc1e0e50598d3p-7, 0x1.b31ade418f126p-7, 0x1.aa3dcd911956ap-7, 0x1.a1867008a759ep-7, 0x1.98f458cbcadebp-7, 0x1.908719c035d4ep-7, 0x1.883e433b58d66p-7, 0x1.80196411015ccp-7, 0x1.78180a09f03d5p-7, 0x1.7039c2b11b686p-7, 0x1.687e1c5170ee1p-7, 0x1.60e4a6ef7eb35p-7, 0x1.596cf5083a939p-7, 0x1.52169be754fa2p-7, 0x1.4ae1337cbb48dp-7, 0x1.43cc55b3c4345p-7, 0x1.3cd79d6acc936p-7, 0x1.3602a54110a1fp-7, 0x1.2f4d067ba8589p-7, 0x1.28b65840f37f5p-7, 0x1.223e2f58ee72ep-7, 0x1.1be41e865629ap-7, 0x1.15a7b76c634d7p-7, 0x1.0f888bd6b849p-7, 0x1.09862f2370995p-7, 0x1.03a0378610652p-7, 0x1.fbac7dc094404p-8, 0x1.f04fc603a2a41p-8, 0x1.e5298a7defd47p-8, 0x1.da3912e13f4e6p-8, 0x1.cf7da9202e272p-8, 0x1.c4f6966e4c146p-8, 0x1.baa320a814cd6p-8, 0x1.b08288ad7b4efp-8, 0x1.a6940a09cd036p-8, 0x1.9cd6dbff37283p-8, 0x1.934a33c36e022p-8, 0x1.89ed477e5fe61p-8, 0x1.80bf51720d0d3p-8, 0x1.77bf92aac958dp-8, 0x1.6eed54aa15f94p-8, 0x1.6647e9b150e65p-8, 0x1.5dceab942b7c2p-8, 0x1.5580f948b5ef4p-8, 0x1.4d5e33ac3e1fp-8, 0x1.4565ba23353ddp-8, 0x1.3d96e7c42af01p-8, 0x1.35f111a5b9828p-8, 0x1.2e7386ad78787p-8, 0x1.271d90f36b8e5p-8, 0x1.1fee787df058ap-8, 0x1.18e586d8de755p-8, 0x1.12020ae0b6bbcp-8, 0x1.0b435c0d6e4f8p-8, 0x1.04a8dc9cde5a6p-8, 0x1.fc63f4519a8fdp-9, 0x1.efbc58f44ea35p-9, 0x1.e359e573d1797p-9, 0x1.d73b9edc72e76p-9, 0x1.cb6087e4a8fdcp-9, 0x1.bfc7987ccb83p-9, 0x1.b46fb7695f79ep-9, 0x1.a957b734aea9cp-9, 0x1.9e7e5724df594p-9, 0x1.93e247eced3b1p-9, 0x1.89823386bd08ap-9, 0x1.7f5cc6f2d70c3p-9, 0x1.7570bc54c23e9p-9, 0x1.6bbce3daab5abp-9, 0x1.62402a06c9ec3p-9, 0x1.58f99a5505d79p-9, 0x1.4fe85dbf72123p-9, 0x1.470bb544f565fp-9, 0x1.3e62f13357b99p-9, 0x1.35ed667d45079p-9, 0x1.2daa63b67f34bp-9, 0x1.259927629a0bdp-9, 0x1.1db8d90f12c8cp-9, 0x1.1608862249ab7p-9, 0x1.0e8722cfdd87dp-9, 0x1.07338f15d92a2p-9, 0x1.000c9ececaf8p-9, 0x1.f22247bc69d0ep-10, 0x1.e47ff213892e2p-10, 0x1.d73017aa0e2e2p-10, 0x1.ca30c80f1e038p-10, 0x1.bd804f9d5927p-10, 0x1.b11d380c7b038p-10, 0x1.a50641c5d4f37p-10, 0x1.993a5788a54bdp-10, 0x1.8db87e7dba062p-10, 0x1.827fc4e67c93dp-10, 0x1.778f315720a9ap-10, 0x1.6ce5b40f22626p-10, 0x1.62821bc582b5p-10, 0x1.58630f036bd51p-10, 0x1.4e870aebf9908p-10, 0x1.44ec67e613f71p-10, 0x1.3b9163f4bebd1p-10, 0x1.32743199c3938p-10, 0x1.299309091de9cp-10, 0x1.20ec389035673p-10, 0x1.187e30e297526p-10, 0x1.10478ad83e48p-10, 0x1.084706084bc0bp-10, 0x1.007b81ec467e9p-10, 0x1.f1c7e9ac3d667p-11, 0x1.e2fec86899a62p-11, 0x1.d499c059561e6p-11, 0x1.c697048ee0965p-11, 0x1.b8f4d9dab6deep-11, 0x1.abb191e83370ep-11, 0x1.9ecb7f4789655p-11, 0x1.9240e3c14d022p-11, 0x1.860fde8b80e43p-11, 0x1.7a3661bdd0024p-11, 0x1.6eb234b7be7f2p-11, 0x1.638104b43df09p-11, 0x1.58a07f65d189cp-11, 0x1.4e0e6f4c9a722p-11, 0x1.43c8d02b7b317p-11, 0x1.39cdd419243b7p-11, 0x1.301bd69794833p-11, 0x1.26b141a3652f6p-11, 0x1.1d8c6ea1241ccp-11, 0x1.14ab8ff80c59ep-11, 0x1.0c0cade8f35bp-11, 0x1.03adb9ea35aefp-11, 0x1.f719643f2998fp-12, 0x1.e74f8da5a1873p-12, 0x1.d7fae459c5ba6p-12, 0x1.c918eff1e2e0ep-12, 0x1.baa79b5de0b63p-12, 0x1.aca4eaec2c6fdp-12, 0x1.9f0eb8428cc87p-12, 0x1.91e28fa5b50bp-12, 0x1.851db9404c305p-12, 0x1.78bd65b009481p-12, 0x1.6cbee8425bf51p-12, 0x1.611fe6e20aed4p-12, 0x1.55de6da99be18p-12, 0x1.4af8ddbdc745bp-12, 0x1.406db9c6fce49p-12, 0x1.363b5cdaa044fp-12, 0x1.2c5fb15b0b5eap-12, 0x1.22d800fbd1107p-12, 0x1.19a0f29c034b1p-12, 0x1.10b6bd906e8fap-12, 0x1.08158786814a7p-12, 0x1.ff73a1c907398p-13, 0x1.ef419640ac3b6p-13, 0x1.df90f4a282f4dp-13, 0x1.d05f2df51291cp-13, 0x1.c1aa7e62142ebp-13, 0x1.b37133d281869p-13, 0x1.a5b1237f630d2p-13, 0x1.98677a5f5d573p-13, 0x1.8b90e6fc8318p-13, 0x1.7f29f9c5d1867p-13, 0x1.732f8e867e6dfp-13, 0x1.679f1808b07cbp-13, 0x1.5c76b361fa42bp-13, 0x1.51b4fa85eea3fp-13, 0x1.4758a42ba81b4p-13, 0x1.3d6011bb3f729p-13, 0x1.33c8ef2ab7dcdp-13, 0x1.2a8ffcfe6b25cp-13, 0x1.21b10dbc376bp-13, 0x1.192738107558dp-13, 0x1.10ed367e0a3acp-13, 0x1.08fde7267a5e9p-13, 0x1.0154d3717bdd5p-13, 0x1.f3dd2f0aee1c6p-14, 0x1.e592110e8f558p-14, 0x1.d7c60af91768p-14, 0x1.ca78002228bd2p-14, 0x1.bda6d71cbca14p-14, 0x1.b15097126089cp-14, 0x1.a572117abe72ep-14, 0x1.9a07210d37f0cp-14, 0x1.8f0b4fd5504edp-14, 0x1.847a99050dd9fp-14, 0x1.7a51f0e44c819p-14, 0x1.708f4ffde9853p-14, 0x1.67313bdb6eb7ep-14, 0x1.5e3612a116a86p-14, 0x1.559b7d39913c4p-14, 0x1.4d5e45fddabaap-14, 0x1.457a8bde27b99p-14, 0x1.3dec187d09514p-14, 0x1.36ae9dce207e5p-14, 0x1.2fbdc5301f22p-14, 0x1.2915270171ef7p-14, 0x1.22b055a0f94ep-14, 0x1.1c8b1700d9a7p-14, 0x1.16a1c4787b1b4p-14, 0x1.10f1a7fb644aep-14, 0x1.0b791e7013e52p-14, 0x1.0637569fe9e3bp-14, 0x1.012bbb5df0bc8p-14, 0x1.f8aaa9ff6d8e1p-15, 0x1.ef64eba2172ebp-15, 0x1.e681a396da003p-15, 0x1.ddfbd01c16867p-15, 0x1.d5cf0835b63bfp-15, 0x1.cdf81cb22b874p-15, 0x1.c674e80ab7cf1p-15, 0x1.bf43691275503p-15, 0x1.b860da7fbecap-15, 0x1.b1c96f802de9fp-15, 0x1.ab78bf84d5e71p-15, 0x1.a56a6ede63b3p-15, 0x1.9f9aa773cf042p-15, 0x1.9a063d49f7bc3p-15, 0x1.94aa8f5e29b12p-15, 0x1.8f85445462652p-15, 0x1.8a940275a489ap-15, 0x1.85d43f26e4b7bp-15, 0x1.814335b3589eep-15, 0x1.7cde003bc62ep-15, 0x1.78a1c34203e25p-15, 0x1.748be54d33f6bp-15, 0x1.709a49ee4e813p-15, 0x1.6ccb682d5677bp-15, 0x1.691e0f5f61b69p-15, 0x1.6590f10288f83p-15, 0x1.62225008b13c4p-15, 0x1.5ed023df23ecep-15, 0x1.5b988c564b1dap-15, 0x1.587a11dbd8941p-15, 0x1.5573649e489c2p-15, 0x1.5282f3c6e0531p-15, 0x1.4fa6e3aa5b142p-15, 0x1.4cdd5f34cc49p-15, 0x1.4a24dad1fc601p-15, 0x1.477c13d9d9af5p-15, 0x1.44e1ea54c7d3ap-15, 0x1.425540e6a7124p-15, 0x1.3fd4f546a3213p-15, 0x1.3d5fef572b8a4p-15, 0x1.3af53a5b94faap-15, 0x1.38941681ce007p-15, 0x1.363bf54ea04efp-15, 0x1.33ec5dfcee45p-15, 0x1.31a4bb863e99dp-15, 0x1.2f6423e2c890bp-15, 0x1.2d294a0adcaep-15, 0x1.2af2ce6f65ee4p-15, 0x1.28bfd96f2f8e9p-15, 0x1.26907b060953p-15, 0x1.2465285c34e7p-15, 0x1.223d88927c2b5p-15, 0x1.2017f41e1ef8cp-15, 0x1.1df294ae046c8p-15, 0x1.1bccc58a94517p-15, 0x1.19a7147e22857p-15, 0x1.1781d673a5d5ap-15, 0x1.155c4e4785c17p-15, 0x1.13354ab3d9457p-15, 0x1.110c24cf9d56dp-15, 0x1.0ee0e1966ce32p-15, 0x1.0cb3b8e2c7ce2p-15, 0x1.0a84ac705c51p-15, 0x1.0853617dbf8d6p-15, 0x1.061f2ae20b11dp-15, 0x1.03e7375223364p-15, 0x1.01aadb782bd1ep-15, 0x1.fed3d3697f06p-16, 0x1.fa4a0831be54cp-16, 0x1.f5bb1fd70e2edp-16, 0x1.f12974bbb1219p-16, 0x1.ec942bcee9e35p-16, 0x1.e7f74e72b6bffp-16, 0x1.e34f7f9f14d47p-16, 0x1.de9cc6363fd3ep-16, 0x1.d9e0b2c6513f8p-16, 0x1.d51afe6758211p-16, 0x1.d04a85dc7ba6fp-16, 0x1.cb709fe9747dp-16, 0x1.c690386f39118p-16, 0x1.c1a9b7dc15f43p-16, 0x1.bcbaca9a14d84p-16, 0x1.b7c282ddbb9ep-16, 0x1.b2c2fc7d064f4p-16, 0x1.adbdbca1cba29p-16, 0x1.a8b0f71caa57ap-16, 0x1.a39a3f82a66d6p-16, 0x1.9e79961ada5bfp-16, 0x1.9950a2fe37a03p-16, 0x1.9420acd12b31p-16, 0x1.8ee9ca2b3ada1p-16, 0x1.89ab3189940b1p-16, 0x1.8463e6842de84p-16, 0x1.7f134cfeaf0dcp-16, 0x1.79b9dbe89a624p-16, 0x1.745a2e9a501a6p-16, 0x1.6ef7fd8a804c4p-16, 0x1.6993a2fbe798bp-16, 0x1.64297d9f4eaeap-16, 0x1.5eb828e864665p-16, 0x1.59428ea85061ep-16, 0x1.53c9fa446a839p-16, 0x1.4e4c032090e67p-16, 0x1.48c7599c1d096p-16, 0x1.433d4aa5c0698p-16, 0x1.3daf6a3422076p-16, 0x1.381e61a27f065p-16, 0x1.328a0cbfe769cp-16, 0x1.2cf20cecfdc46p-16, 0x1.27570c6b09bc1p-16, 0x1.21baf74dc36f4p-16, 0x1.1c1e6492e615dp-16, 0x1.16801359e9ac3p-16, 0x1.10e0973b55674p-16, 0x1.0b420bd30d592p-16, 0x1.05a3cb734485ap-16, 0x1.0003b1858955cp-16, 0x1.f4c38f9c80bbp-17, 0x1.e97eed8ba8c3bp-17, 0x1.de3b507477621p-17, 0x1.d2f8ff788c4fdp-17, 0x1.c7b71f397c873p-17, 0x1.bc75dc9dc1bc5p-17, 0x1.b139a46066085p-17, 0x1.a6059c340c6a6p-17, 0x1.9ad66ccd81422p-17, 0x1.8fac845d2bc98p-17, 0x1.848bd0111eba9p-17, 0x1.79714356f2941p-17, 0x1.6e59f2a701802p-17, 0x1.63488899b4c3dp-17, 0x1.583ff01b4b359p-17, 0x1.4d4125265c1d2p-17, 0x1.424c4e1352bd1p-17, 0x1.37619202ee2a4p-17, 0x1.2c81477916494p-17, 0x1.21abe46a21d76p-17, 0x1.16e1e919344f1p-17, 0x1.0c23dd18cfc1cp-17, 0x1.017257a54b07dp-17, 0x1.ed9ba03d222c7p-18, 0x1.d86c0587c07a1p-18, 0x1.c353f2fd11f45p-18, 0x1.ae54c01e2846fp-18, 0x1.99746a05fde3dp-18, 0x1.84b57014dca7ep-18, 0x1.7018b59433bb2p-18, 0x1.5b9f9c31744ddp-18, 0x1.4745bdc271228p-18, 0x1.33083bbe1cbd6p-18, 0x1.1ee79d241fbb5p-18, 0x1.0ae6c7b7951e9p-18, 0x1.ee1a5ac2a0dcdp-19, 0x1.c6b7b4818a2dcp-19, 0x1.9fa69e3120515p-19, 0x1.78e58721f46d3p-19, 0x1.526937c287b41p-19, 0x1.2c35e49ccd102p-19, 0x1.06537d2bb799ep-19, 0x1.c188707194411p-20, 0x1.7710531f59e7bp-20, 0x1.2d3f2d6cb4e7ep-20, 0x1.c82cd415b44c6p-21, 0x1.372fd81d79569p-21, 0x1.4f16fe5b857dbp-22, 0x1.943e1cf4fa33ep-25, -0x1.ce8c3d9629b76p-23, -0x1.fe4b3d2180fb5p-22, -0x1.894054a4703d8p-21, -0x1.08f7f75d5f29ep-20, -0x1.4c98a1ee7b398p-20, -0x1.8f808f98e408dp-20, -0x1.d1ae174e728e4p-20, -0x1.098fc7b0692f2p-19, -0x1.29e9a898a96dp-19, -0x1.49e3dd59faefdp-19, -0x1.697da71e45a77p-19, -0x1.88b6aea72a1f9p-19, -0x1.a78ff1d89ef52p-19, -0x1.c60ba095ac7e9p-19, -0x1.e429fa20c6cbcp-19, -0x1.00f2caa0a1af2p-18, -0x1.0f9c1330a13b7p-18, -0x1.1e1260d27de77p-18, -0x1.2c58c497c1f9ep-18, -0x1.3a6f6a9c5bf2dp-18, -0x1.4853f2fd2a3dcp-18, -0x1.5605b7c4a8508p-18, -0x1.63850757c4621p-18, -0x1.70d217e4ff60bp-18, -0x1.7decf4fa4939bp-18, -0x1.8ad5980fbe43ap-18, -0x1.978bf6844f116p-18, -0x1.a410064bc84d2p-18, -0x1.b061bb803b649p-18, -0x1.bc8129ac46296p-18, -0x1.c86e407239c45p-18, -0x1.d428e643ae38bp-18, -0x1.dfb15cb48aefcp-18, -0x1.eb079fc559999p-18, -0x1.f62ba2e53502cp-18, -0x1.008ec88471076p-17, -0x1.05eebae9b2bf3p-17, -0x1.0b35baf2fa755p-17, -0x1.1063cef745b13p-17, -0x1.157904b8d70f5p-17, -0x1.1a756c311aeb5p-17, -0x1.1f59184ad064cp-17, -0x1.24241b6362ebap-17, -0x1.28d68317f0aep-17, -0x1.2d706b2ebbcd3p-17, -0x1.31f220c312974p-17, -0x1.365b9e18a2bc1p-17, -0x1.3aac9518148ccp-17, -0x1.3ee569441b026p-17, -0x1.43066cbc9437ep-17, -0x1.470f82847e519p-17, -0x1.4b00c8558f71bp-17, -0x1.4eda78e6ba87cp-17, -0x1.529c9bb53193ap-17, -0x1.5647332f0c397p-17, -0x1.59da881ace59dp-17, -0x1.5d56ca22404e3p-17, -0x1.60bc04f8d871dp-17, -0x1.640a5788dac99p-17, -0x1.6741ea27a5d1fp-17, -0x1.6a62e46f9385ep-17, -0x1.6d6d6d0a9f92bp-17, -0x1.7061aab4baecp-17, -0x1.733fc4b53ae1fp-17, -0x1.7607e304bd862p-17, -0x1.78ba2e55bc8bp-17, -0x1.7b56d0109c76p-17, -0x1.7dddf245c2181p-17, -0x1.804fbf93a048dp-17, -0x1.82ac630a542c6p-17, -0x1.84f408208cb03p-17, -0x1.8726dabf332b6p-17, -0x1.8945076eb57p-17, -0x1.8b4ebb9936db1p-17, -0x1.8d442570d4d39p-17, -0x1.8f2572a8b0b05p-17, -0x1.90f2cfd888321p-17, -0x1.92ac6fd9eec7bp-17, -0x1.94528675963e1p-17, -0x1.95e532d61dd97p-17, -0x1.9764b3cc01d4fp-17, -0x1.98d137d46e782p-17, -0x1.9a2ae910b05b8p-17, -0x1.9b71fa29e57e5p-17, -0x1.9ca69d67fa636p-17, -0x1.9dc9045a6f6a7p-17, }}, 
      {{-0x1.270f5a4ad8202p+0, -0x1.2481d8d22023cp+0, -0x1.20672bb28eeaep+0, -0x1.1aed00992afd6p+0, -0x1.144675609b851p+0, -0x1.0ca7f6f6c8c8p+0, -0x1.04448fe01d1e5p+0, -0x1.f6986a1c250c8p-1, -0x1.e3d58a375ecdap-1, -0x1.d08f0a125fba2p-1, -0x1.bd09e8d511f26p-1, -0x1.a981baaba2795p-1, -0x1.96291785ac1bep-1, -0x1.832a3ad17e6a3p-1, -0x1.70a7be73545dep-1, -0x1.5ebd60e6591bp-1, -0x1.4d80cbad450f4p-1, -0x1.3d025247ac36dp-1, -0x1.2d4da568201eap-1, -0x1.1e6a781c5ba34p-1, -0x1.105d163d8d1a9p-1, -0x1.0326ec1a3a577p-1, -0x1.ed8dff98925bbp-2, -0x1.d674b98b83826p-2, -0x1.c0f8e5075e5f9p-2, -0x1.ad0ecea1227d3p-2, -0x1.9aa8c04365a66p-2, -0x1.89b77d3279a49p-2, -0x1.7a2aac445630dp-2, -0x1.6bf13236314e7p-2, -0x1.5ef97de666afbp-2, -0x1.5331c822d0d78p-2, -0x1.4888488aad55dp-2, -0x1.3eeb60f45579p-2, -0x1.3649c09ec3ee9p-2, -0x1.2e92804291edbp-2, -0x1.27b5381406575p-2, -0x1.21a210a351fbdp-2, -0x1.1c49cf4c6ab26p-2, -0x1.179ddefee33abp-2, -0x1.139055eb430ffp-2, -0x1.1013f89ea84c6p-2, -0x1.0d1c3b0123d1dp-2, -0x1.0a9d3f8f9cc6p-2, -0x1.088bd530bacfep-2, -0x1.06dd73eade655p-2, -0x1.058838ae0b0fdp-2, -0x1.0482e06cf20abp-2, -0x1.03c4c2af6462fp-2, -0x1.0345cbc0cf0ddp-2, -0x1.02fe769a46104p-2, -0x1.02e7c6a1b6eb2p-2, -0x1.02fb41533e845p-2, -0x1.0332e7e5f3568p-2, -0x1.03893100a6bbep-2, -0x1.03f90277491e7p-2, -0x1.047dab39d1546p-2, -0x1.0512dd563fee3p-2, -0x1.05b4a8381c0cep-2, -0x1.065f730d0648ap-2, -0x1.070ff75fa29bep-2, -0x1.07c33be92ce4dp-2, -0x1.08768f99b0f2dp-2, -0x1.092784d81d104p-2, -0x1.09d3ecf9f7a07p-2, -0x1.0a79d3f21433ep-2, -0x1.0b177c359898ep-2, -0x1.0bab5ad6eef39p-2, -0x1.0c3413d691124p-2, -0x1.0cb076a86c608p-2, -0x1.0d1f7aed49d18p-2, -0x1.0d803d5b5caacp-2, -0x1.0dd1fcd547d3fp-2, -0x1.0e1417a97e997p-2, -0x1.0e4608fe3d013p-2, -0x1.0e6766669d86ep-2, -0x1.0e77dd9c3d72bp-2, -0x1.0e77326e5b6d7p-2, -0x1.0e653ccaff519p-2, -0x1.0e41e6f0fb38cp-2, -0x1.0e0d2bbf5982bp-2, -0x1.0dc71517649fep-2, -0x1.0d6fba5dda3c6p-2, -0x1.0d073f12e3968p-2, -0x1.0c8dd189e6ee9p-2, -0x1.0c03a9bcd170ap-2, -0x1.0b69083f7ade8p-2, -0x1.0abe3548a1918p-2, -0x1.0a037fce5bb6dp-2, -0x1.09393cb209c82p-2, -0x1.085fc5f39daa3p-2, -0x1.077779f298507p-2, -0x1.0680bab9f79cfp-2, -0x1.057bed5be8c7bp-2, -0x1.0469796070041p-2, -0x1.0349c842edc7cp-2, -0x1.021d450495496p-2, -0x1.00e45bc92896fp-2, -0x1.ff3ef2ff303dcp-3, -0x1.fc9e1720b4aa7p-3, -0x1.f9e6ff23be956p-3, -0x1.f71a85f88d6b6p-3, -0x1.f43985ce2b49ap-3, -0x1.f144d78a3a288p-3, -0x1.ee3d52542e55ep-3, -0x1.eb23cb2bbc765p-3, -0x1.e7f9148f1b01p-3, -0x1.e4bdfe2d5db7bp-3, -0x1.e17354af17a09p-3, -0x1.de19e17ab25e2p-3, -0x1.dab26a93b5aa8p-3, -0x1.d73db277627bfp-3, -0x1.d3bc77fb9f05cp-3, -0x1.d02f7633a4f1dp-3, -0x1.cc97645e87af4p-3, -0x1.c8f4f5c7471e6p-3, -0x1.c548d9b347cbep-3, -0x1.c193bb579ef5dp-3, -0x1.bdd641bd44beap-3, -0x1.ba110fbf3d964p-3, -0x1.b644c3fdc4e29p-3, -0x1.b271f8dc04f04p-3, -0x1.ae99447f9f52p-3, -0x1.aabb38d3b4b16p-3, -0x1.a6d8638f5c3b9p-3, -0x1.a2f14e3edd61ap-3, -0x1.9f067e4ea328fp-3, -0x1.9b187515cdd92p-3, -0x1.9727afeb2a5cp-3, -0x1.9334a829b1a65p-3, -0x1.8f3fd3491baefp-3, -0x1.8b49a2e8e8bd1p-3, -0x1.875284e1ed924p-3, -0x1.835ae3564148cp-3, -0x1.7f6324c1ca67bp-3, -0x1.7b6bac0ac4ed8p-3, -0x1.7774d89278bb4p-3, -0x1.737f06464e1e7p-3, -0x1.6f8a8db0ded61p-3, -0x1.6b97c40c070ecp-3, -0x1.67a6fb50ac8d4p-3, -0x1.63b8824e3041ap-3, -0x1.5fcca4b37503p-3, -0x1.5be3ab2b0c5b4p-3, -0x1.57fddb675e96p-3, -0x1.541b78379e9bep-3, -0x1.503cc199f1cdfp-3, -0x1.4c61f4cdf6dfbp-3, -0x1.488b4c6736b45p-3, -0x1.44b9005fa6d33p-3, -0x1.40eb462982f9dp-3, -0x1.3d2250c1029d9p-3, -0x1.395e50bea6994p-3, -0x1.359f74682e0cap-3, -0x1.31e5e7c1a0579p-3, -0x1.2e31d49dd0814p-3, -0x1.2a8362af5f492p-3, -0x1.26dab798e3f45p-3, -0x1.2337f6fc31494p-3, -0x1.1f9b4289d033ep-3, -0x1.1c04ba114d844p-3, -0x1.18747b8e78d3ap-3, -0x1.14eaa3390419ep-3, -0x1.11674b92c44bdp-3, -0x1.0dea8d755486cp-3, -0x1.0a74801f9df73p-3, -0x1.07053943b511fp-3, -0x1.039ccd13ffd81p-3, -0x1.003b4e4f7220ep-3, -0x1.f9c19c9b7ce85p-4, -0x1.f31aba1880fc3p-4, -0x1.ec821277e5d29p-4, -0x1.e5f7c09246e8dp-4, -0x1.df7bdccea3fddp-4, -0x1.d90e7d408c0a9p-4, -0x1.d2afb5b1b6e2fp-4, -0x1.cc5f97be92c31p-4, -0x1.c61e32e8f8e77p-4, -0x1.bfeb94af36738p-4, -0x1.b9c7c895d04b1p-4, -0x1.b3b2d843aa96fp-4, -0x1.adaccb8da4174p-4, -0x1.a7b5a88bb0b2ap-4, -0x1.a1cd73a9df0bep-4, -0x1.9bf42fb77dd36p-4, -0x1.9629ddf6c9f66p-4, -0x1.906e7e2d99413p-4, -0x1.8ac20eb598a2dp-4, -0x1.85248c8a539efp-4, -0x1.7f95f3563d8aap-4, -0x1.7a163d80c008p-4, -0x1.74a5643d1ff3ep-4, -0x1.6f435f981c58bp-4, -0x1.69f026835c5d1p-4, -0x1.64abaee07cf7bp-4, -0x1.5f75ed8d92027p-4, -0x1.5a4ed6720d293p-4, -0x1.55365c89fcb2bp-4, -0x1.502c71ef74edep-4, -0x1.4b3107e3d426p-4, -0x1.46440eda64529p-4, -0x1.41657683459c1p-4, -0x1.3c952dd3f7224p-4, -0x1.37d32313b187dp-4, -0x1.331f43daf601dp-4, -0x1.2e797d23e91afp-4, -0x1.29e1bb4f03b87p-4, -0x1.2557ea2d96e1bp-4, -0x1.20dbf509250fap-4, -0x1.1c6dc6a693274p-4, -0x1.180d494f43441p-4, -0x1.13ba66d938294p-4, -0x1.0f7508ac1b6b9p-4, -0x1.0b3d17ca231adp-4, -0x1.07127cd4dffa4p-4, -0x1.02f52011462ap-4, -0x1.fdc9d2db3a3bfp-5, -0x1.f5c38110c569cp-5, -0x1.edd7196d57e5fp-5, -0x1.e6046a125e167p-5, -0x1.de4b409fa659ap-5, -0x1.d6ab6a3ae5421p-5, -0x1.cf24b39961dd3p-5, -0x1.c7b6e90b601d3p-5, -0x1.c061d686c4d2ap-5, -0x1.b92547aedd75bp-5, -0x1.b20107d9bf81cp-5, -0x1.aaf4e215a22fap-5, -0x1.a400a13059315p-5, -0x1.9d240fc0c9bb9p-5, -0x1.965ef82fe5d2p-5, -0x1.8fb124bf5d681p-5, -0x1.891a5f8dd35efp-5, -0x1.829a72990da88p-5, -0x1.7c3127c6e9305p-5, -0x1.75de48e756454p-5, -0x1.6fa19fbfdf83bp-5, -0x1.697af611222c1p-5, -0x1.636a1599a9f83p-5, -0x1.5d6ec8191bc18p-5, -0x1.5788d752f8b5dp-5, -0x1.51b80d1340c1bp-5, -0x1.4bfc33349ad35p-5, -0x1.465513a65013dp-5, -0x1.40c27870a57ccp-5, -0x1.3b442bb73b7afp-5, -0x1.35d9f7ba8af9fp-5, -0x1.3083a6d9fea87p-5, -0x1.2b4103980a0e3p-5, -0x1.2611d89eb5182p-5, -0x1.20f5f0c456ca5p-5, -0x1.1bed170f48696p-5, -0x1.16f716b65c674p-5, -0x1.1213bb206e7ffp-5, -0x1.0d42cfec0745dp-5, -0x1.088420efa38e6p-5, -0x1.03d77a36b512cp-5, -0x1.fe7950187a879p-6, -0x1.f566edebc1f79p-6, -0x1.ec776783b6b68p-6, -0x1.e3aa56ff6519bp-6, -0x1.daff570094225p-6, -0x1.d27602b150d3ap-6, -0x1.ca0df5c8e0225p-6, -0x1.c1c6cc9119bcap-6, -0x1.b9a023eb2fc0fp-6, -0x1.b1999952b4cc1p-6, -0x1.a9b2cadee7695p-6, -0x1.a1eb57431b9fcp-6, -0x1.9a42ddcf92467p-6, -0x1.92b8fe73a0011p-6, -0x1.8b4d59c0c86afp-6, -0x1.83ff90eda0f5cp-6, -0x1.7ccf45dc58ep-6, -0x1.75bc1b17ce982p-6, -0x1.6ec5b3d8560a7p-6, -0x1.67ebb4020187bp-6, -0x1.612dc02489d7dp-6, -0x1.5a8b7d7cf0ebap-6, -0x1.540491f774c71p-6, -0x1.4d98a431f73b2p-6, -0x1.47475b7e264aep-6, -0x1.41105fe2da9b2p-6, -0x1.3af35a1c912f4p-6, -0x1.34eff39d41e51p-6, -0x1.2f05d68c1d4edp-6, -0x1.2934adc5afe2cp-6, -0x1.237c24dcae0c8p-6, -0x1.1ddbe81b32f2cp-6, -0x1.1853a4842487dp-6, -0x1.12e307d432f9fp-6, -0x1.0d89c08248962p-6, -0x1.08477dbf6b863p-6, -0x1.031bef76463p-6, -0x1.fc0d8c9564cbbp-7, -0x1.f20f67331a221p-7, -0x1.e83cd2f1e6d57p-7, -0x1.de953571a0d97p-7, -0x1.d517f5c6698fp-7, -0x1.cbc47c7948942p-7, -0x1.c29a338a601f5p-7, -0x1.b998866c8e227p-7, -0x1.b0bee2059ef59p-7, -0x1.a80cb4ae06f82p-7, -0x1.9f816e2f40939p-7, -0x1.971c7fc277a5cp-7, -0x1.8edd5c10e7cbfp-7, -0x1.86c37733c5deap-7, -0x1.7ece46b3d6639p-7, -0x1.76fd4188e2396p-7, -0x1.6f4fe018a58fcp-7, -0x1.67c59c357177cp-7, -0x1.605df11c97f91p-7, -0x1.59185b74bc01ap-7, -0x1.51f4594c6a843p-7, -0x1.4af16a18d82e7p-7, -0x1.440f0eb4f2941p-7, -0x1.3d4cc96079a7ap-7, -0x1.36aa1dbedeef6p-7, -0x1.302690d52fb42p-7, -0x1.29c1a909ba16bp-7, -0x1.237aee2217c12p-7, -0x1.1d51e940d31fap-7, -0x1.174624e47ee0ap-7, -0x1.11572ce45ac16p-7, -0x1.0b848e6f49b36p-7, -0x1.05cdd80a5a5f7p-7, -0x1.0032998f1d8ebp-7, -0x1.f564c8540f63cp-8, -0x1.ea9994b172266p-8, -0x1.e002bfd03e18ep-8, -0x1.d59f73e506baap-8, -0x1.cb6eddbaefcd2p-8, -0x1.c1702caf5bf9cp-8, -0x1.b7a292ad96f6ap-8, -0x1.ae05442a90471p-8, -0x1.a4977820a3c68p-8, -0x1.9b58680bb7352p-8, -0x1.92474fe53d4fp-8, -0x1.89636e2041e4fp-8, -0x1.80ac03a5318fap-8, -0x1.782053cdc719fp-8, -0x1.6fbfa46061351p-8, -0x1.67893d8b579b9p-8, -0x1.5f7c69e06118ap-8, -0x1.5798764fbe2abp-8, -0x1.4fdcb223895e3p-8, -0x1.48486efb4e4e7p-8, -0x1.40db00c7d3e0fp-8, -0x1.3993bdc757a84p-8, -0x1.3271fe7fdd42p-8, -0x1.2b751dadb1c28p-8, -0x1.249c7851daa14p-8, -0x1.1de76dcf6db9cp-8, -0x1.17555f9de74f4p-8, -0x1.10e5b1428368bp-8, -0x1.0a97c89240ba4p-8, -0x1.046b0d91170ffp-8, -0x1.fcbdd4ac77e1ep-9, -0x1.f0e59629d346cp-9, -0x1.e54c3c3363905p-9, -0x1.d9f0a78afd3a7p-9, -0x1.ced1bd115b2a4p-9, -0x1.c3ee65bbf2793p-9, -0x1.b9458e8a3a13bp-9, -0x1.aed6287a7e5f7p-9, -0x1.a49f287eaac0ap-9, -0x1.9a9f877171b16p-9, -0x1.90d6420c4d068p-9, -0x1.874258de5f616p-9, -0x1.7de2d04420dc2p-9, -0x1.74b6b05f734acp-9, -0x1.6bbd050fa6288p-9, -0x1.62f4dde8e3a73p-9, -0x1.5a5d4e2a6d2f9p-9, -0x1.51f56cb2ee1dbp-9, -0x1.49bc53f38a3adp-9, -0x1.41b121e5edc52p-9, -0x1.39d2f7ffc0ae1p-9, -0x1.3220fb2881b73p-9, -0x1.2a9a53ae2c7f8p-9, -0x1.233e2d3da235bp-9, -0x1.1c0bb6dcfe4f7p-9, -0x1.150222e500802p-9, -0x1.0e20a6f9ba19ap-9, -0x1.07667c01e7f6dp-9, -0x1.00d2de1c8469bp-9, -0x1.f4ca19298d4cbp-10, -0x1.e83893aa0aa84p-10, -0x1.dbefb6b34320bp-10, -0x1.cfee1349b4e14p-10, -0x1.c432406979e7ap-10, -0x1.b8badaf62f38bp-10, -0x1.ad8685af4e5e3p-10, -0x1.a293e92663262p-10, -0x1.97e1b3b595d2fp-10, -0x1.8d6e9972fae34p-10, -0x1.8339541f3a84cp-10, -0x1.7940a311412cep-10, -0x1.6f834b19bb42ap-10, -0x1.660016658a735p-10, -0x1.5cb5d46469c23p-10, -0x1.53a359adab348p-10, -0x1.4ac77fee245eep-10, -0x1.422125db92708p-10, -0x1.39af2f2dd7b14p-10, -0x1.3170849b832bfp-10, -0x1.296413d5efa2fp-10, -0x1.2188cf81e00d7p-10, -0x1.19ddaf295e12dp-10, -0x1.1261af262e42ap-10, -0x1.0b13d085377ap-10, -0x1.03f318e5b086ap-10, -0x1.f9fd24afaf943p-11, -0x1.ec6a967ea44e1p-11, -0x1.df2cac799e4e5p-11, -0x1.d2419440c6a17p-11, -0x1.c5a783cab17ccp-11, -0x1.b95cb96836f47p-11, -0x1.ad5f7bce3c1cap-11, -0x1.a1ae1a1b07666p-11, -0x1.9646ebce65518p-11, -0x1.8b2850aefe8abp-11, -0x1.8050b09ac462bp-11, -0x1.75be7b46baaafp-11, -0x1.6b7027f501acep-11, -0x1.6164352b6d8bp-11, -0x1.579928746382dp-11, -0x1.4e0d8e3243533p-11, -0x1.44bff988cbe3p-11, -0x1.3baf045c03ce3p-11, -0x1.32d94f5edbb77p-11, -0x1.2a3d82293c384p-11, -0x1.21da4b4aa23ccp-11, -0x1.19ae604ec0cfcp-11, -0x1.11b87dad3fc76p-11, -0x1.09f766a02f9e4p-11, -0x1.0269e4e51431bp-11, -0x1.f61d90ddbe22dp-12, -0x1.e7c9ce29deb1ep-12, -0x1.d9d638939215fp-12, -0x1.cc4091c68409dp-12, -0x1.bf06a5fe7ee2ep-12, -0x1.b2264c0d79417p-12, -0x1.a59d6584c1d6cp-12, -0x1.9969deef43c48p-12, -0x1.8d89b015f684p-12, -0x1.81fadc3ad583bp-12, -0x1.76bb722bef5a7p-12, -0x1.6bc98c24a98a2p-12, -0x1.61234f7a51ba9p-12, -0x1.56c6ec17c3577p-12, -0x1.4cb29bd67b9bfp-12, -0x1.42e4a1c8aab2cp-12, -0x1.395b49919b448p-12, -0x1.3014e6e534a04p-12, -0x1.270fd4f50e78bp-12, -0x1.1e4a75c47f283p-12, -0x1.15c3355024e03p-12, -0x1.0d7886fc4bc18p-12, -0x1.0568e46712d86p-12, -0x1.fb25a5594c295p-13, -0x1.ebe9bf7f56c52p-13, -0x1.dd1b450b22d25p-13, -0x1.ceb7765c0978p-13, -0x1.c0bba5ce94c1cp-13, -0x1.b32536d796c8bp-13, -0x1.a5f19ced7fc87p-13, -0x1.991e5a4aa8e9ep-13, -0x1.8ca8fea2e7da3p-13, -0x1.808f25dd20b34p-13, -0x1.74ce770cce142p-13, -0x1.6964a3abb574p-13, -0x1.5e4f66f27412ap-13, -0x1.538c86371986bp-13, -0x1.4919d5474201p-13, -0x1.3ef533ea626a7p-13, -0x1.351c8a08d95b6p-13, -0x1.2b8dd39ffb712p-13, -0x1.2247181c6159p-13, -0x1.1946695e7df87p-13, -0x1.1089ea5ab7799p-13, -0x1.080fcac482feep-13, -0x1.ffac8bd96b54ap-14, -0x1.efb745d844449p-14, -0x1.e03c685a10378p-14, -0x1.d138ad2a03b37p-14, -0x1.c2a8e0ffe7517p-14, -0x1.b489e16bbb692p-14, -0x1.a6d89b2329f31p-14, -0x1.99920918f8e91p-14, -0x1.8cb3348f758acp-14, -0x1.80393602b227ep-14, -0x1.7421367a55dep-14, -0x1.686870b3192fap-14, -0x1.5d0c31acd40bp-14, -0x1.5209d88082662p-14, -0x1.475ed5b95ef5p-14, -0x1.3d08aa9f99bf3p-14, -0x1.3304e8d9cff15p-14, -0x1.295132860b4c7p-14, -0x1.1feb3a9d103f6p-14, -0x1.16d0c53f621ecp-14, -0x1.0dffa79500717p-14, -0x1.0575c71251dc5p-14, -0x1.fa62307db8c84p-15, -0x1.ea5f3a8c417d8p-15, -0x1.dadec955f64a5p-15, -0x1.cbdd10c2af359p-15, -0x1.bd565ac30d4d8p-15, -0x1.af470732364ddp-15, -0x1.a1ab8bfa366d7p-15, -0x1.948075039efap-15, -0x1.87c263ab0ce42p-15, -0x1.7b6e0dc23b439p-15, -0x1.6f803c7c9ccp-15, -0x1.63f5cbdf0f3dep-15, -0x1.58cbaab74845dp-15, -0x1.4dfedae46b3b4p-15, -0x1.438c720b1165bp-15, -0x1.39719a74c077p-15, -0x1.2fab93c1306aep-15, -0x1.2637b3150ad9ep-15, -0x1.1d136218fde24p-15, -0x1.143c1f17354eap-15, -0x1.0baf7dca99dfp-15, -0x1.036b26f516a6ap-15, -0x1.f6d9b1aa6e11p-16, -0x1.e764cda7340cap-16, -0x1.d8736e51fb5e2p-16, -0x1.ca017f27c67b3p-16, -0x1.bc0b03fed6f27p-16, -0x1.ae8c14163fe5bp-16, -0x1.a180d871e26b1p-16, -0x1.94e58d60270dfp-16, -0x1.88b68575cb22p-16, -0x1.7cf02be5e8d1ep-16, -0x1.718f04ef5f2fcp-16, -0x1.668fac8b05e3fp-16, -0x1.5beed46613e82p-16, -0x1.51a94232db0b7p-16, -0x1.47bbceb52003p-16, -0x1.3e2365a0c8f4dp-16, -0x1.34dd06963237ep-16, -0x1.2be5c7dcc6cafp-16, -0x1.233adb17cbba8p-16, -0x1.1ad9930288372p-16, -0x1.12bf67d8defe1p-16, -0x1.0ae9f7bbbf619p-16, -0x1.035701b1481fbp-16, -0x1.f808b8a45df18p-17, -0x1.e9dfd6eb7dc2bp-17, -0x1.dc2f3194bb5f7p-17, -0x1.cef2a3ed8447ep-17, -0x1.c226170605d54p-17, -0x1.b5c58d1b21058p-17, -0x1.a9cd2a5d83df5p-17, -0x1.9e39395205ba5p-17, -0x1.930625688262cp-17, -0x1.8830756d65489p-17, -0x1.7db4c43106c53p-17, -0x1.738fbbdbfea7bp-17, -0x1.69be14cdda4acp-17, -0x1.603c9800b070bp-17, -0x1.5708216f4d7dcp-17, -0x1.4e1d929de4a4bp-17, -0x1.457a079d5bc08p-17, -0x1.3d1ac2685776cp-17, -0x1.34fcff24424ffp-17, -0x1.2d1e5d3951d8fp-17, -0x1.257c986119555p-17, -0x1.1e158ce6615c7p-17, -0x1.16e72e348597bp-17, -0x1.0fef7933fe1d7p-17, -0x1.092c6d7171635p-17, -0x1.029c0dfa66714p-17, -0x1.f878ce562687dp-18, -0x1.ec172a6956229p-18, -0x1.e00f906589d07p-18, -0x1.d45e89d90ec04p-18, -0x1.c900c5c4d4987p-18, -0x1.bdf3117358b91p-18, -0x1.b332506a3cb72p-18, -0x1.a8bb763a2a009p-18, -0x1.9e8b84c2ba944p-18, -0x1.949f8f5796833p-18, -0x1.8af4c0c4369d5p-18, -0x1.8188607cb2d57p-18, -0x1.7857d45398214p-18, -0x1.6f609f27cd781p-18, -0x1.66a05ff25d65ep-18, -0x1.5e14d47370cbbp-18, -0x1.55bbdee9047fep-18, -0x1.4d938906623dep-18, -0x1.459a00210cf4bp-18, -0x1.3dcd8a676a326p-18, -0x1.362c7a239b2ddp-18, -0x1.2eb526e33d89bp-18, -0x1.2765ecd1562d5p-18, -0x1.203d32f4823c7p-18, -0x1.1939720a3223bp-18, -0x1.125936e02fd8fp-18, -0x1.0b9b2064c4c16p-18, -0x1.04fddc6d25504p-18, -0x1.fd004af44dd46p-19, -0x1.f041836eba81fp-19, -0x1.e3bd059e57ba8p-19, -0x1.d7708c53012cbp-19, -0x1.cb59ea9705a89p-19, -0x1.bf770c8935474p-19, -0x1.b3c5f8869f5cbp-19, -0x1.a844d05146c53p-19, -0x1.9cf1d1042b28cp-19, -0x1.91cb5090a3b1bp-19, -0x1.86cfb99da464fp-19, -0x1.7bfd885455d49p-19, -0x1.71534a3867e28p-19, -0x1.66cf9fe02b8c7p-19, -0x1.5c713d1e8de0dp-19, -0x1.5236e691adc94p-19, -0x1.481f6f716df6ep-19, -0x1.3e29bacf96946p-19, -0x1.3454be87e7183p-19, -0x1.2a9f82feb1d8ep-19, -0x1.21091e276f6cep-19, -0x1.1790ae44a383bp-19, -0x1.0e3559a3e18bfp-19, -0x1.04f6522dc18a9p-19, -0x1.f7a5af1ec58ap-20, -0x1.e5946baa0fe0fp-20, -0x1.d3b785b7b4933p-20, -0x1.c20db9ce808aap-20, -0x1.b095d4c54d0ffp-20, -0x1.9f4eb4ee45bb3p-20, -0x1.8e374c6cbbdd9p-20, -0x1.7d4ea4144ba58p-20, -0x1.6c93ddd410737p-20, -0x1.5c0635e08d747p-20, -0x1.4ba500961599ap-20, -0x1.3b6fa258ea779p-20, -0x1.2b6582036493dp-20, -0x1.1b85fda0ce239p-20, -0x1.0bd06c1cfe8b9p-20, -0x1.f88855e0356dfp-21, -0x1.d9c1589f13ee8p-21, -0x1.bb4af3b1f6f32p-21, -0x1.9d24612503d66p-21, -0x1.7f4d07ef37edap-21, -0x1.61c49e5542a76p-21, -0x1.448ab0e248e4cp-21, -0x1.279b4c907063ap-21, -0x1.0afb676460dabp-21, -0x1.dd5046bf8d87cp-22, -0x1.a5425254df2b6p-22, -0x1.6dc848d32bfe6p-22, -0x1.36e6194c0467bp-22, -0x1.009a4d8cc6a17p-22, -0x1.95c7f1f704fa2p-23, -0x1.2b853fef1e837p-23, -0x1.84d81aec16e97p-24, -0x1.69f09b375e3eap-25, 0x1.8954e89aa0b2fp-28, 0x1.c7a302ef150f7p-25, 0x1.acbd5691ef7fp-24, 0x1.39acbfb96aa18p-23, 0x1.9bd2e1cc80092p-23, 0x1.fcd0782c77edbp-23, 0x1.2e524dc2825c7p-22, 0x1.5da73f74a4f96p-22, 0x1.8c670a01e76c3p-22, 0x1.ba922d99c1f18p-22, 0x1.e82954b227153p-22, 0x1.0a964e47a173ep-21, 0x1.20cdce0f2134p-21, 0x1.36bb833480557p-21, 0x1.4c5dd7252878p-21, 0x1.61b576821694bp-21, 0x1.76c1f84ea46bdp-21, 0x1.8b83364ee9f67p-21, 0x1.9ff992cc5a9b7p-21, 0x1.b425383f9671cp-21, 0x1.c80603395c3b4p-21, 0x1.db9bbe6094dffp-21, 0x1.eee656e72eff8p-21, 0x1.00f2e46856c0bp-20, 0x1.0a4cfef32585bp-20, 0x1.13816b2565829p-20, 0x1.1c90226e4f4d6p-20, 0x1.25792f2889d6cp-20, 0x1.2e3ca68733038p-20, 0x1.36da970af156fp-20, 0x1.3f52f9e5f981bp-20, 0x1.47a5b53ac627ep-20, 0x1.4fd2a9dbd99bfp-20, 0x1.57d9c5c8cf082p-20, 0x1.5fbb1a69b23adp-20, 0x1.6776d60613f88p-20, 0x1.6f0d16ef8302ap-20, 0x1.767dd931aece4p-20, 0x1.7dc91892ff6c4p-20, 0x1.84eee7387007fp-20, 0x1.8bef5ed7c3ff8p-20, 0x1.92ca96117ae4bp-20, 0x1.9980a1182421bp-20, 0x1.a0118f3a45b9cp-20, 0x1.a67d6b029d82dp-20, 0x1.acc440ed01571p-20, 0x1.b2e623aa25c5ap-20, 0x1.b8e32dc9a6241p-20, 0x1.bebb8735ef154p-20, 0x1.c46f5c79e0be5p-20, 0x1.c9fec8205e31cp-20, 0x1.cf69d911d954ap-20, 0x1.d4b0ac2a97db3p-20, 0x1.d9d37716449a5p-20, 0x1.ded2610465f6fp-20, 0x1.e3ad9bed4882dp-20, 0x1.e8654cd6e4713p-20, 0x1.ecf99b1f36d7dp-20, 0x1.f16aa61ca560ap-20, 0x1.f5b89080dcd38p-20, 0x1.f9e3846f0b213p-20, 0x1.fdebbad21a74p-20, 0x1.00e8bb7c1b914p-19, 0x1.02ca748e97ecfp-19, 0x1.049b1aba0c791p-19, 0x1.065ac957c997cp-19, 0x1.08099eb720766p-19, 0x1.09a7b5a890493p-19, 0x1.0b352a18fa127p-19, 0x1.0cb21aa4bfca8p-19, 0x1.0e1ea6f8cf573p-19, 0x1.0f7aeea75e55cp-19, 0x1.10c710e7e8c9p-19, 0x1.12032cdf5aef6p-19, 0x1.132f621bb5923p-19, 0x1.144bd0c68dba6p-19, 0x1.15589944c61cap-19, 0x1.1655dc1d754a8p-19, 0x1.1743bb7373b7bp-19, 0x1.18225c3e80aa3p-19, 0x1.18f1e31d9ac86p-19, 0x1.19b271a4732f2p-19, 0x1.1a642a9100f9p-19, 0x1.1b07317dc134ep-19, 0x1.1b9baa6c47513p-19, 0x1.1c21bcebd962dp-19, 0x1.1c998ea968c11p-19, 0x1.1d03441c37d86p-19, 0x1.1d5f03872cd3cp-19, 0x1.1dacf1ebec84fp-19, 0x1.1ded360e39a2p-19, 0x1.1e1ff5de11a0dp-19, 0x1.1e45589be1d03p-19, 0x1.1e5d891a2ff95p-19, 0x1.1e68aeb687a1fp-19, 0x1.1e66f007029b2p-19, 0x1.1e5875392e66ep-19, 0x1.1e3d6717c32ebp-19, 0x1.1e15ee72458c4p-19, 0x1.1de2340c268a1p-19, 0x1.1da260a5c2061p-19, 0x1.1d569d0238564p-19, 0x1.1cff11e851699p-19, 0x1.1c9be823dfe0ap-19, 0x1.1c2d48a8e392cp-19, 0x1.1bb35d250990ap-19, 0x1.1b2e51222e7f1p-19, 0x1.1a9e51c6924dfp-19, 0x1.1a0384c0e6d1p-19, 0x1.195e0a6bedd17p-19, 0x1.18ae16e510b74p-19, 0x1.17f3d5828706dp-19, 0x1.172f632605743p-19, 0x1.1660f161f6066p-19, 0x1.1588af4ea4893p-19, 0x1.14a6c344beaf1p-19, 0x1.13bb55cee68eep-19, 0x1.12c69063ee104p-19, 0x1.11c89a1c9a752p-19, 0x1.10c195931dc3fp-19, 0x1.0fb1b0640c5c1p-19, 0x1.0e9925c969ee1p-19, 0x1.0d78013698c72p-19, 0x1.0c4e89e5a93e8p-19, 0x1.0b1cd0d5a9a74p-19, 0x1.09e303d876979p-19, 0x1.08a14e153b953p-19, 0x1.0757d8330b69fp-19, 0x1.0606ca5cc0fe3p-19, 0x1.04ae4c4259ccdp-19, 0x1.034e81785f4ebp-19, 0x1.01e7731b675f9p-19, 0x1.0079c2a97f30dp-19, 0x1.fe0a73aa4db18p-20, 0x1.fb12b92b188c3p-20, 0x1.f80f0f8a0061dp-20, 0x1.f4ff32b6652acp-20, 0x1.f1e1fa2eaaf44p-20, 0x1.eeb8da3a37387p-20, 0x1.eb839bae32445p-20, 0x1.e8433c6d4b46cp-20, 0x1.e4f77c6170b62p-20, 0x1.e1a0ba5288de7p-20, 0x1.de3f4799469f1p-20, 0x1.dad36ec3d7b4ap-20, 0x1.d75d78abf9635p-20, 0x1.d3ddad49bd313p-20, 0x1.d05453fb98cb5p-20, 0x1.ccc1b3e0a8e07p-20, 0x1.c92612d6f80adp-20, 0x1.c581b5b0e8768p-20, 0x1.c1d4e243f757cp-20, 0x1.be1fdda2c2f94p-20, 0x1.ba62eb41a18cdp-20, 0x1.b69e4e655ddffp-20, 0x1.b2d249ecac536p-20, 0x1.aeff1f9adc8abp-20, 0x1.ab25108ef3962p-20, 0x1.a7445df911515p-20, 0x1.a35d48246f34dp-20, 0x1.9f700e5978ef7p-20, 0x1.9b7cef65ff0d8p-20, 0x1.9784298426f6ap-20, 0x1.9385fa41059adp-20, 0x1.8f829e7b96464p-20, 0x1.8b7a526778c28p-20, 0x1.876d518d330dfp-20, 0x1.835bd6c8f326ep-20, 0x1.7f461c4b67cb8p-20, 0x1.7b2c5b99cc012p-20, 0x1.770ecd8d5cba9p-20, 0x1.72edaa51002c2p-20, 0x1.6ec9295e4a8fbp-20, 0x1.6aa1817cac4fap-20, 0x1.6676e8c37b25ep-20, 0x1.6249949e35ecep-20, 0x1.5e19b9d44cdf2p-20, 0x1.59e78c64a377dp-20, 0x1.55b33fd902ee5p-20, 0x1.517d06c16512dp-20, 0x1.4d45132d35908p-20, 0x1.490b96743479ap-20, 0x1.44d0c115b9b15p-20, 0x1.4094c32a78debp-20, 0x1.3c57cbf7dfce7p-20, 0x1.381a0a0a3d768p-20, 0x1.33dbab51113a1p-20, 0x1.2f9cdd0cc20ccp-20, 0x1.2b5dcbce4ee5ap-20, }}, 
      {{0x1.c81e237e9ae3bp-12, 0x1.bf5df4cf6d319p-10, 0x1.e06b20d8aa74bp-9, 0x1.8d6add271ee5ap-8, 0x1.1ac8575831824p-7, 0x1.6c31a7ca76627p-7, 0x1.b4547b44201acp-7, 0x1.ee29b2e08ab7dp-7, 0x1.0b04be2ef6cf9p-6, 0x1.14b37ba2b9e26p-6, 0x1.134bae5524ad2p-6, 0x1.06550ed4eaf2cp-6, 0x1.db4e4cfae3453p-7, 0x1.92bf7406d7af7p-7, 0x1.33b4c5b87a0c8p-7, 0x1.7e9feccab223ep-8, 0x1.b8552cc98d1d1p-10, -0x1.8d7556e7def86p-9, -0x1.0df9e05135abdp-7, -0x1.c6bfb50bd3a84p-7, -0x1.45cbdbd06fdp-6, -0x1.ad36e98107b22p-6, -0x1.0c4f40cf14badp-5, -0x1.43861ebebc09bp-5, -0x1.7bcc82f7f4bacp-5, -0x1.b4b78978ac598p-5, -0x1.ede574be62f25p-5, -0x1.137ee310ca635p-4, -0x1.2fd884c7f98edp-4, -0x1.4bdc35d13eb53p-4, -0x1.676a96fdeca4bp-4, -0x1.826804fce34a2p-4, -0x1.9cbc473f68636p-4, -0x1.b65240c19a094p-4, -0x1.cf17a59b7e405p-4, -0x1.e6fcb7572c68dp-4, -0x1.fdf4088b3b145p-4, -0x1.09f923d004811p-3, -0x1.1477085af1f19p-3, -0x1.1e6fe2c0726a3p-3, -0x1.27e0b53274ba6p-3, -0x1.30c743e42bf43p-3, -0x1.3922075263731p-3, -0x1.40f01fd4992ddp-3, -0x1.483149feb5837p-3, -0x1.4ee5d38c658a2p-3, -0x1.550e90b5c646ap-3, -0x1.5aacd1b5646f7p-3, -0x1.5fc2586d34fd9p-3, -0x1.64514e2752bcfp-3, -0x1.685c3972e524ap-3, -0x1.6be5f4264c4dcp-3, -0x1.6ef1a1943fc3bp-3, -0x1.7182a502f2241p-3, -0x1.739c98649c1bcp-3, -0x1.7543438eed1f3p-3, -0x1.767a93af1db86p-3, -0x1.77469364429b6p-3, -0x1.77ab632d941aep-3, -0x1.77ad327c0571p-3, -0x1.77503949f48b1p-3, -0x1.7698b24117e6cp-3, -0x1.758ad573f2752p-3, -0x1.742ad3a755fe2p-3, -0x1.727cd22767695p-3, -0x1.7084e7269adbap-3, -0x1.6e47169ba8093p-3, -0x1.6bc74f97abbddp-3, -0x1.69096a16792f6p-3, -0x1.6611252641381p-3, -0x1.62e2258a0971cp-3, -0x1.5f7ff48bf4d64p-3, -0x1.5bedff3fc2a82p-3, -0x1.582f95e22cb65p-3, -0x1.5447eb94e29d7p-3, -0x1.503a1627f0c99p-3, -0x1.4c090e42abbb1p-3, -0x1.47b7af80e12f5p-3, -0x1.4348b8cbc70e7p-3, -0x1.3ebeccc95b13p-3, -0x1.3a1c72466f0d2p-3, -0x1.356414c5da9a3p-3, -0x1.3098050ef0ap-3, -0x1.2bba79d275579p-3, -0x1.26cd9042c285dp-3, -0x1.21d34cd37aa4cp-3, -0x1.1ccd9be9bc227p-3, -0x1.17be529124134p-3, -0x1.12a72f3cdccdap-3, -0x1.0d89da6456a7ap-3, -0x1.0867e74d1eda2p-3, -0x1.0342d486fbdf4p-3, -0x1.fc381967b307p-4, -0x1.f1e9ce2381753p-4, -0x1.e79d504518f2fp-4, -0x1.dd5504b3b2961p-4, -0x1.d3132d51d6f8bp-4, -0x1.c8d9ea7bf4f61p-4, -0x1.beab3c127a20bp-4, -0x1.b48902c2fb925p-4, -0x1.aa7501277c4c1p-4, -0x1.a070dcc23c422p-4, -0x1.967e1f213b77cp-4, -0x1.8c9e36b842d68p-4, -0x1.82d277e6ef95p-4, -0x1.791c1de3e858p-4, -0x1.6f7c4ba4102b7p-4, -0x1.65f40cd7baae1p-4, -0x1.5c8456d3060ffp-4, -0x1.532e09824560ap-4, -0x1.49f1f05d3c19ep-4, -0x1.40d0c34bc1ca2p-4, -0x1.37cb27931917cp-4, -0x1.2ee1b0c32fe58p-4, -0x1.2614e17c99b5p-4, -0x1.1d652c4fb0f3ap-4, -0x1.14d2f48e917c5p-4, -0x1.0c5e8f0b4d4d2p-4, -0x1.040842d4d355ep-4, -0x1.f7a093efc8153p-5, -0x1.e76da472c359fp-5, -0x1.d777fb7f473d6p-5, -0x1.c7bfc7807fed9p-5, -0x1.b8452246ec273p-5, -0x1.a908125cdc616p-5, -0x1.9a088c255e0cbp-5, -0x1.8b46730728e1ap-5, -0x1.7cc19aa3becb9p-5, -0x1.6e79c7b313ecep-5, -0x1.606eb13031449p-5, -0x1.52a001215e7f1p-5, -0x1.450d559e76b9ap-5, -0x1.37b6418b6efabp-5, -0x1.2a9a4d63bb322p-5, -0x1.1db8f8053f777p-5, -0x1.1111b761a77d7p-5, -0x1.04a3f919b10a6p-5, -0x1.f0de464ce431dp-6, -0x1.d8e528fa65e5ep-6, -0x1.c15b4b41f2c66p-6, -0x1.aa3f5253d842ap-6, -0x1.938fd8869a553p-6, -0x1.7d4b6eb7a92b9p-6, -0x1.67709ced777c9p-6, -0x1.51fde37e0574dp-6, -0x1.3cf1bbeefaf16p-6, -0x1.284a99dbe8956p-6, -0x1.1406ebeb11f7cp-6, -0x1.00251c8c09701p-6, -0x1.d9472572ff5d4p-7, -0x1.b30165b4fa236p-7, -0x1.8d75bf0e1a274p-7, -0x1.68a0f44614e6cp-7, -0x1.447fc716d9507p-7, -0x1.210ef9a94e9b9p-7, -0x1.fc969f6e086cfp-8, -0x1.b8631f54fc2p-8, -0x1.757d079290a26p-8, -0x1.33ddf672d01fbp-8, -0x1.e6ff2b90ef5bp-9, -0x1.68b739b34d15fp-9, -0x1.d9af49fd5e32dp-10, -0x1.cd50711154d0dp-11, 0x1.efc6f676f17dp-16, 0x1.e33d7e046e429p-11, 0x1.d70e689bc6727p-10, 0x1.5c12bcefade56p-9, 0x1.ca7d7cbd8f7c6p-9, 0x1.1b696374b4233p-8, 0x1.508ede7b4741cp-8, 0x1.84b4a7227688ep-8, 0x1.b7e01b89ff33bp-8, 0x1.ea167e9da46e1p-8, 0x1.0dae7bf5d1c21p-7, 0x1.25dc4a2851c47p-7, 0x1.3d97222ffef46p-7, 0x1.54e16e151ad67p-7, 0x1.6bbd8982903e9p-7, 0x1.822dc22173f18p-7, 0x1.98345714fef4ep-7, 0x1.add37910d1b9cp-7, 0x1.c30d49fa8e13ap-7, 0x1.d7e3dd54b25dcp-7, 0x1.ec59386b67962p-7, 0x1.0037a914a17a2p-6, 0x1.0a14097efeb28p-6, 0x1.13c2aa905663ap-6, 0x1.1d44727232866p-6, 0x1.269a406745ca1p-6, 0x1.2fc4eccd2d3c3p-6, 0x1.38c5493b9b652p-6, 0x1.419c20b41daa9p-6, 0x1.4a4a37bac5172p-6, 0x1.52d04c5b69ea1p-6, 0x1.5b2f16482d1d4p-6, 0x1.6367471989f12p-6, 0x1.6b798a7b4fa8bp-6, 0x1.736686309de23p-6, 0x1.7b2eda10c263p-6, 0x1.82d32032c3806p-6, 0x1.8a53ed4370939p-6, 0x1.91b1d0bb0f959p-6, 0x1.98ed54cf2cbp-6, 0x1.a006fe6f6508ep-6, 0x1.a6ff4d375c535p-6, 0x1.add6bc0661d69p-6, 0x1.b48dc133bc15fp-6, 0x1.bb24ce9c31111p-6, 0x1.c19c51717367cp-6, 0x1.c7f4b22cc9f3p-6, 0x1.ce2e54eb79098p-6, 0x1.d44999e86e853p-6, 0x1.da46ddab6f263p-6, 0x1.e02678ebe2996p-6, 0x1.e5e8c05a8132cp-6, 0x1.eb8e04b374bf3p-6, 0x1.f11693303afdcp-6, 0x1.f682b60180caap-6, 0x1.fbd2b47473623p-6, 0x1.0083695f3e959p-5, 0x1.030fa8e25fe4cp-5, 0x1.058e379b8d63ap-5, 0x1.07ff33029af0dp-5, 0x1.0a62b76bf6294p-5, 0x1.0cb8e01bca2e7p-5, 0x1.0f01c72ce3774p-5, 0x1.113d856c9eba9p-5, 0x1.136c3261226f7p-5, 0x1.158de47e93ba5p-5, 0x1.17a2b15dd6788p-5, 0x1.19aaadded16b6p-5, 0x1.1ba5ee1509b4bp-5, 0x1.1d9485265f83ep-5, 0x1.1f768538bf873p-5, 0x1.214bff969e43p-5, 0x1.231504e0797a9p-5, 0x1.24d1a53e67522p-5, 0x1.2681f063f2fd5p-5, 0x1.2825f5728370bp-5, 0x1.29bdc2dd868bcp-5, 0x1.2b49666abd72cp-5, 0x1.2cc8ed57dcfb8p-5, 0x1.2e3c648d315bep-5, 0x1.2fa3d8bd62542p-5, 0x1.30ff56627f6bcp-5, 0x1.324ee9a37631dp-5, 0x1.33929e3ced305p-5, 0x1.34ca7f859a577p-5, 0x1.35f6988f5c71ap-5, 0x1.3716f45216aep-5, 0x1.382b9dc77db93p-5, 0x1.39349feb484adp-5, 0x1.3a3205a5b2124p-5, 0x1.3b23d9b526f49p-5, 0x1.3c0a26b4b0f99p-5, 0x1.3ce4f72f4f169p-5, 0x1.3db455ba2c99ep-5, 0x1.3e784d1978b07p-5, 0x1.3f30e83eae981p-5, 0x1.3fde324ddba55p-5, 0x1.4080368181f34p-5, 0x1.411700202ed1cp-5, 0x1.41a29a861a077p-5, 0x1.4223113c32977p-5, 0x1.42987011fbbfbp-5, 0x1.4302c32df001bp-5, 0x1.4362170edbb34p-5, 0x1.43b678818affcp-5, 0x1.43fff493fbc7bp-5, 0x1.443e988ff51f3p-5, 0x1.44727202268f2p-5, 0x1.449b8ecab339ap-5, 0x1.44b9fd2eae022p-5, 0x1.44cdcbe6a8a1dp-5, 0x1.44d70a1c4a857p-5, 0x1.44d5c7672c22bp-5, 0x1.44ca13c1ed546p-5, 0x1.44b3ff83fc34ep-5, 0x1.44939b6409dc4p-5, 0x1.4468f881931e2p-5, 0x1.443428716efbp-5, 0x1.43f53d47c6e6fp-5, 0x1.43ac499bff6dfp-5, 0x1.4359608620461p-5, 0x1.42fc9597f3afbp-5, 0x1.4295fcd5e1ecap-5, 0x1.4225aab3a0f54p-5, 0x1.41abb416b09a3p-5, 0x1.41282e5d36ebdp-5, 0x1.409b2f65a2b85p-5, 0x1.4004cd93a5ec6p-5, 0x1.3f651fd0ca0d7p-5, 0x1.3ebc3d88c68fep-5, 0x1.3e0a3ea338ea4p-5, 0x1.3d4f3b7d7a902p-5, 0x1.3c8b4ce732be5p-5, 0x1.3bbe8c22cdc1bp-5, 0x1.3ae912e8adf1fp-5, 0x1.3a0afb6a9c5c1p-5, 0x1.392460556fac8p-5, 0x1.38355cd024525p-5, 0x1.373e0c780b6cap-5, 0x1.363e8b5b9cb1cp-5, 0x1.3536f5f4eef73p-5, 0x1.3427692529d56p-5, 0x1.3310023215217p-5, 0x1.31f0dec5a0992p-5, 0x1.30ca1cedde9b1p-5, 0x1.2f9bdb1c4fa88p-5, 0x1.2e663823ffaap-5, 0x1.2d29533671ce7p-5, 0x1.2be54bdf7cca4p-5, 0x1.2a9a420068092p-5, 0x1.294855cac7c92p-5, 0x1.27efa7bbc80a1p-5, 0x1.2690589879095p-5, 0x1.252a896b147f4p-5, 0x1.23be5b80af943p-5, 0x1.224bf066b0519p-5, 0x1.20d369e781e8fp-5, 0x1.1f54ea07a3c25p-5, 0x1.1dd093018b5c3p-5, 0x1.1c468740bdf9p-5, 0x1.1ab6e95d15ed5p-5, 0x1.1921dc14d9b26p-5, 0x1.17878248554b8p-5, 0x1.15e7fef5fb7b8p-5, 0x1.1443753714c4ap-5, 0x1.129a083ca65aap-5, 0x1.10ebdb4c32609p-5, 0x1.0f3911bc2ef75p-5, 0x1.0d81cef024fcap-5, 0x1.0bc6365469cf3p-5, 0x1.0a066b5971a18p-5, 0x1.0842916edef33p-5, 0x1.067acbfead7bbp-5, 0x1.04af3e68d4b6p-5, 0x1.02e00bff81026p-5, 0x1.010d5803ca0a8p-5, 0x1.fe6e8b4510ebp-6, 0x1.fabbefe258a08p-6, 0x1.f70323d4de70ep-6, 0x1.f3446cd5ad5b6p-6, 0x1.ef801059d6e27p-6, 0x1.ebb6538a35646p-6, 0x1.e7e77b3ab4b6ap-6, 0x1.e413cbe17e9b6p-6, 0x1.e03b898ed93fcp-6, 0x1.dc5ef7e68dae2p-6, 0x1.d87e5a1afc345p-6, 0x1.d499f2e8d8f83p-6, 0x1.d0b2048fbd328p-6, 0x1.ccc6d0d434d66p-6, 0x1.c8d8990520633p-6, 0x1.c4e79ddda4a9dp-6, 0x1.c0f41f7b9ee4cp-6, 0x1.bcfe5d6b8dcb9p-6, 0x1.b906969607e87p-6, 0x1.b50d093108459p-6, 0x1.b111f2c062895p-6, 0x1.ad159016b7241p-6, 0x1.a9181d58d9c65p-6, 0x1.a519d601da63fp-6, 0x1.a11af4e4a0dcap-6, 0x1.9d1bb42858c85p-6, 0x1.991c4d3e9e7c8p-6, 0x1.951cf8d456ea6p-6, 0x1.911deec03e054p-6, 0x1.8d1f65f39b713p-6, 0x1.892194719660cp-6, 0x1.8524af5011223p-6, 0x1.8128eac264512p-6, 0x1.7d2e7a2ae6413p-6, 0x1.7935902d7611p-6, 0x1.753e5ebc074bap-6, 0x1.71491716e4c1ep-6, 0x1.6d55e9be0f845p-6, 0x1.69650656253bcp-6, 0x1.65769b8615a8ap-6, 0x1.618ad6d8546ap-6, 0x1.5da1e4a8d1806p-6, 0x1.59bbf02854826p-6, 0x1.55d92376d8f8bp-6, 0x1.51f9a7cf80ecep-6, 0x1.4e1da5baf78p-6, 0x1.4a4545394e13fp-6, 0x1.4670add4a4386p-6, 0x1.42a00692c3dd3p-6, 0x1.3ed375c47959cp-6, 0x1.3b0b20bb7315dp-6, 0x1.37472b786e2bcp-6, 0x1.3387b868652c7p-6, 0x1.2fcce8467d13cp-6, 0x1.2c16da31170c6p-6, 0x1.2865abf45296bp-6, 0x1.24b97a7da17abp-6, 0x1.2112625f8400cp-6, 0x1.1d70804484e47p-6, 0x1.19d3f1311f88cp-6, 0x1.163cd27cc986dp-6, 0x1.12ab417a5afa4p-6, 0x1.0f1f5adbdfafcp-6, 0x1.0b9939f097b35p-6, 0x1.0818f7e8f47ffp-6, 0x1.049eab4fa8471p-6, 0x1.012a67dede741p-6, 0x1.fb787d8cc0bc9p-7, 0x1.f4a87ebd2260cp-7, 0x1.ede4f053ad7p-7, 0x1.e72defe2c4762p-7, 0x1.e0839d7e65e79p-7, 0x1.d9e61cf436ba3p-7, 0x1.d35595f2402afp-7, 0x1.ccd232fdd1164p-7, 0x1.c65c1f5e149b4p-7, 0x1.bff3845bf8921p-7, 0x1.b998866570fddp-7, 0x1.b34b42b116e27p-7, 0x1.ad0bcdec9469fp-7, 0x1.a6da344ddf9acp-7, 0x1.a0b67b1833bedp-7, 0x1.9aa0a357c39edp-7, 0x1.9498ad534becp-7, 0x1.8e9e9c07773cbp-7, 0x1.88b277f6b64efp-7, 0x1.82d450b492f3cp-7, 0x1.7d043cd08e1c8p-7, 0x1.7742581738f19p-7, 0x1.718ec0781b25ep-7, 0x1.6be99228d7a15p-7, 0x1.6652e3ca3c57ap-7, 0x1.60cac35764ffbp-7, 0x1.5b51348183903p-7, 0x1.55e630d2d7273p-7, 0x1.5089a9992e3f6p-7, 0x1.4b3b8b3d837aap-7, 0x1.45fbc164defabp-7, 0x1.40ca3b0cb5422p-7, 0x1.3ba6edd1f9e81p-7, 0x1.3691d7b880adbp-7, 0x1.318aff10cb7ep-7, 0x1.2c92707a2cda6p-7, 0x1.27a83b6271a74p-7, 0x1.22cc6db5c6795p-7, 0x1.1dff0f9e45cb4p-7, 0x1.19402032b7f4cp-7, 0x1.148f93c5b9c95p-7, 0x1.0fed54333b177p-7, 0x1.0b594325c6e12p-7, 0x1.06d33decd9affp-7, 0x1.025b2230568p-7, 0x1.fbe1a5408a40cp-8, 0x1.f32875741314ep-8, 0x1.ea8aa1bc315c5p-8, 0x1.e2082c713d86p-8, 0x1.d9a128c630f78p-8, 0x1.d155b2231e992p-8, 0x1.c925e10f803b2p-8, 0x1.c111bffd00e81p-8, 0x1.b919416ae16a9p-8, 0x1.b13c39ce4afabp-8, 0x1.a97a5ed85b59dp-8, 0x1.a1d34b6363d2cp-8, 0x1.9a468842f989ap-8, 0x1.92d39870631f2p-8, 0x1.8b7a06a0c818ep-8, 0x1.84397228f3efep-8, 0x1.7d11991569ae1p-8, 0x1.76025db86f577p-8, 0x1.6f0bc69394907p-8, 0x1.682df85de348ap-8, 0x1.61692adbf1248p-8, 0x1.5abd9a24d340ap-8, 0x1.542b76966c3a4p-8, 0x1.4db2d6086ae62p-8, 0x1.4753a8a918521p-8, 0x1.410db2f7a328cp-8, 0x1.3ae08ddb8532fp-8, 0x1.34cbad3635e93p-8, 0x1.2ece6b21a857cp-8, 0x1.28e817094a44ap-8, 0x1.23180694d03d2p-8, 0x1.1d5da596a267dp-8, 0x1.17b882fe4bdb7p-8, 0x1.122858cdeef3cp-8, 0x1.0cad0de53f1b9p-8, 0x1.0746b19819ecap-8, 0x1.01f5720f739c6p-8, 0x1.f9731e4e467dap-9, 0x1.ef26977818578p-9, 0x1.e505be8229f1ep-9, 0x1.db10d240c4434p-9, 0x1.d147ce2cfd5a2p-9, 0x1.c7aa5ed00cbefp-9, 0x1.be37df275407p-9, 0x1.b4ef5fbad418dp-9, 0x1.abcfb75864f5p-9, 0x1.a2d79c1dc1ce2p-9, 0x1.9a05c1b0c07b3p-9, 0x1.9158f7a566ec6p-9, 0x1.88d042076db64p-9, 0x1.806ae6bf02e4cp-9, 0x1.78286d6a1cd1dp-9, 0x1.7008937bab82fp-9, 0x1.680b3a3370908p-9, 0x1.6030556d67e7fp-9, 0x1.5877e07afb699p-9, 0x1.50e1da0ebcabdp-9, 0x1.496e43ec4c178p-9, 0x1.421d20de34f18p-9, 0x1.3aee6c9d3a9fcp-9, 0x1.33e20d3660e0dp-9, 0x1.2cf7c21335421p-9, 0x1.262f17b43e1f9p-9, 0x1.1f8766df6982ep-9, 0x1.18ffe264bbd6ep-9, 0x1.1297b112ac015p-9, 0x1.0c4e0c35e668ap-9, 0x1.0622583c4163fp-9, 0x1.00142e04abf46p-9, 0x1.f446a00ab926dp-10, 0x1.e89f1b45a860dp-10, 0x1.dd313d1dba06ap-10, 0x1.d1fc09866946ep-10, 0x1.c6fe05b8d15dp-10, 0x1.bc355ada70e88p-10, 0x1.b1a0256f44091p-10, 0x1.a73cd3d50b337p-10, 0x1.9d0a6d3b838fcp-10, 0x1.9308a2dc93d3fp-10, 0x1.8937a3dfe0caap-10, 0x1.7f97c7393e863p-10, 0x1.76293116fbdc3p-10, 0x1.6ceb9a1f24aeep-10, 0x1.63de4df46c1cfp-10, 0x1.5b005d69b25eap-10, 0x1.5250ebdf35973p-10, 0x1.49cf76a4fe6dbp-10, 0x1.417bf978b688dp-10, 0x1.3956df97803c2p-10, 0x1.3160c0daaef99p-10, 0x1.2999fad4c555cp-10, 0x1.220243c8dbf0ap-10, 0x1.1a985c07bbdfbp-10, 0x1.1359fdb3ae427p-10, 0x1.0c441a52e3fcbp-10, 0x1.05535c808e7bep-10, 0x1.fd09944a5bb83p-11, 0x1.efaca60844a8fp-11, 0x1.e28e326a7788fp-11, 0x1.d5aeb147061dfp-11, 0x1.c90ff21c4e357p-11, 0x1.bcb3f3ea8cb11p-11, 0x1.b09bebc90c4e7p-11, 0x1.a4c7d57151a7cp-11, 0x1.9936a2f974a2fp-11, 0x1.8de6de77f267fp-11, 0x1.82d76ebeffc67p-11, 0x1.7808307bd7ae6p-11, 0x1.6d7a29769c16ap-11, 0x1.632f3e6a0a2a2p-11, 0x1.592981ac1ae7fp-11, 0x1.4f6a58cfed4d2p-11, 0x1.45f1c1593d2fbp-11, 0x1.3cbde4fc6c8bdp-11, 0x1.33cb0c42d6597p-11, 0x1.2b13ed3df9497p-11, 0x1.22924c89418e5p-11, 0x1.1a3fe421ff7cbp-11, 0x1.12176fe1f2942p-11, 0x1.0a1597fa86ba5p-11, 0x1.02396a0ed8a32p-11, 0x1.f50840d089b2fp-12, 0x1.e5f0761b627cdp-12, 0x1.d73085aadf7cp-12, 0x1.c8cb7845e2b4dp-12, 0x1.bac164de24ce5p-12, 0x1.ad0fec79cdc9ep-12, 0x1.9fb3ba149247bp-12, 0x1.92aa56dc99f72p-12, 0x1.85f38a3a9685cp-12, 0x1.79919a10e9dbap-12, 0x1.6d883ad86854dp-12, 0x1.61dabc3e9b42p-12, 0x1.568a735a1048cp-12, 0x1.4b96254e7a8d2p-12, 0x1.40fa7a8be858ep-12, 0x1.36b2e303b2906p-12, 0x1.2cba38f09c71fp-12, 0x1.230ad64baf1b2p-12, 0x1.199e614d1fd2fp-12, 0x1.106de32a78a39p-12, 0x1.077290be38b24p-12, 0x1.fd4e513df132ap-13, 0x1.ec12917f9b82dp-13, 0x1.db33dad7c1739p-13, 0x1.cab92f850518ap-13, 0x1.baaabb5997b67p-13, 0x1.ab0dce6340ec3p-13, 0x1.9be2caa22b8b7p-13, 0x1.8d25afb2d563ep-13, 0x1.7ed09ba737f08p-13, 0x1.70df29a39c761p-13, 0x1.63512a29a778ap-13, 0x1.562ac5f3868d1p-13, 0x1.497167847d47bp-13, 0x1.3d2793e847e8bp-13, 0x1.314ae68c78d0cp-13, 0x1.25d53ead970ddp-13, 0x1.1abf883d59ac9p-13, 0x1.1004058d880b6p-13, 0x1.059f211ad8fdfp-13, 0x1.f71dcd7a0fae6p-14, 0x1.e3a3677ca0afbp-14, 0x1.d0c9a07d03ce8p-14, 0x1.be876a3451482p-14, 0x1.acd1023160534p-14, 0x1.9b9abf676ee97p-14, 0x1.8adbc464b9f18p-14, 0x1.7a8ee4bd37be8p-14, 0x1.6ab2313782522p-14, 0x1.5b46b347c2b12p-14, 0x1.4c502c9d6963dp-14, 0x1.3dd3300ee9377p-14, 0x1.2fd1af1fbe7cep-14, 0x1.2249165ffed04p-14, 0x1.1534b8e6823efp-14, 0x1.0892a8e2a2536p-14, 0x1.f8caf97384bf2p-15, 0x1.e160e1c7a8dc7p-15, 0x1.cae3ffd367c5ap-15, 0x1.b5455b67296b6p-15, 0x1.a07100d51617cp-15, 0x1.8c5658e29c4b9p-15, 0x1.78ebf2ee23b99p-15, 0x1.662ecdbc606a9p-15, 0x1.541f9bb322e78p-15, 0x1.42bfadfb937cap-15, 0x1.320e3a524adfdp-15, 0x1.220691860ac41p-15, 0x1.129fc0d93eb7fp-15, 0x1.03cdf01a4bb7fp-15, 0x1.eb0c32fb9e083p-16, 0x1.cf86aace7ffd3p-16, 0x1.b511bdf9c8e29p-16, 0x1.9bb752cc32eb9p-16, 0x1.836d2470312b5p-16, 0x1.6c0bd7783114p-16, 0x1.5569b89c446e8p-16, 0x1.3f853078433cap-16, 0x1.2a896c5235846p-16, 0x1.169e49647f817p-16, 0x1.03bb268e7a3fcp-16, 0x1.e368186e0c9bdp-17, 0x1.c0d306a789198p-17, 0x1.9fb961dc1f43p-17, 0x1.803165e4d8b41p-17, 0x1.6235dd5745621p-17, 0x1.45a7979afc333p-17, 0x1.2a65d125741e8p-17, 0x1.105d752490201p-17, 0x1.ef1732835e533p-18, 0x1.bff342f626cfcp-18, 0x1.936b4175ffe99p-18, 0x1.698f5e20e24f4p-18, 0x1.424b6e89953f1p-18, 0x1.1d507d5cc5011p-18, 0x1.f433a545da23ep-19, 0x1.b06d47caa37f7p-19, 0x1.6f5ef9b465abep-19, 0x1.31fe0d22af6a9p-19, 0x1.f21b3be34e5b1p-20, 0x1.88aa17af1fe61p-20, 0x1.2660af197fcf9p-20, 0x1.9624c11257d9ep-21, 0x1.dc7eb1b67453ep-22, 0x1.4ccdc824e1571p-23, -0x1.f301f8b805c15p-24, -0x1.8e84e9d39dba7p-22, -0x1.45bb668b3d9f8p-21, -0x1.b985023f1425dp-21, -0x1.126f06b1bf03bp-20, -0x1.4492502123c2cp-20, -0x1.7271e2c302387p-20, -0x1.9b35d091a43e8p-20, -0x1.bf11815022a27p-20, -0x1.ded19ae18a46cp-20, -0x1.fb0cb8ac5eea9p-20, -0x1.09f0e7a33dfa6p-19, -0x1.148f51d9b82d6p-19, -0x1.1d3fcb4ea7b41p-19, -0x1.23f0ec9c231fdp-19, -0x1.28bfdd0a75c2cp-19, -0x1.2c26c722e2689p-19, -0x1.2ecf5f66cd177p-19, -0x1.30cf1a9c23b1p-19, -0x1.318d427dfb902p-19, -0x1.30d235983f92ep-19, -0x1.2f20676cd34c7p-19, -0x1.2cb279817160fp-19, -0x1.2921f20ad9dcap-19, -0x1.24389efa77e7cp-19, -0x1.1e31e18141f3ep-19, -0x1.17541f900b91fp-19, -0x1.0fbbd4113c056p-19, -0x1.0761c20e7f606p-19, -0x1.fc6d528b78f3bp-20, -0x1.e8ac4a3d8fa49p-20, -0x1.d413112ad265ep-20, -0x1.bec8246076b21p-20, -0x1.a86d5e42e1e73p-20, -0x1.9127cdfd1b575p-20, -0x1.797cc1fc321b4p-20, -0x1.6136574100506p-20, -0x1.47ca7f9533dc8p-20, -0x1.2d43aee89f9a4p-20, -0x1.11fca5fee67a4p-20, -0x1.ec5435f5b0e3ep-21, -0x1.b39e274ed6a3ep-21, -0x1.799aa26b71bfdp-21, -0x1.3e4b5bbe1833ep-21, -0x1.02ac612118f4bp-21, -0x1.8eddb362a8b87p-22, -0x1.178a645222346p-22, -0x1.3ef83afbe6ccap-23, -0x1.4363699539259p-25, 0x1.3c90ae7611c2dp-24, 0x1.915653fc780cep-23, 0x1.4308c5dbd1efbp-22, 0x1.bcfc6b54bd4e5p-22, 0x1.1b154311a38dep-21, 0x1.574e37e4e60eep-21, 0x1.932ed33ac894fp-21, 0x1.ceb30b6a8eb62p-21, 0x1.04e82f7ec20dbp-20, 0x1.223d0ba331d92p-20, 0x1.3f50ddc3903f2p-20, 0x1.5c1af7adc79e4p-20, 0x1.78969ab7ad65bp-20, 0x1.94d1ea0d9a90fp-20, 0x1.b0ea29df667d3p-20, 0x1.ccd0b77892704p-20, 0x1.e8405c542488cp-20, 0x1.01919af095436p-19, 0x1.0ebbd7ef46bf2p-19, 0x1.1b9b587d8c049p-19, 0x1.284be591506d4p-19, 0x1.34de22dea1dbbp-19, 0x1.41507b728ac17p-19, 0x1.4d96ca67b7927p-19, 0x1.598c8a4fb1f1ap-19, 0x1.652e99ae10fffp-19, 0x1.707c482d57156p-19, 0x1.7b7becf4528fcp-19, 0x1.864fa47295eb6p-19, 0x1.90ef00e9b8316p-19, 0x1.9b465649019a1p-19, 0x1.a551d4bf8724cp-19, 0x1.af13e0f5315f2p-19, 0x1.b88e7017e8c3dp-19, 0x1.c1c23f90179e7p-19, 0x1.caaf5d687aa7bp-19, 0x1.d35594f96a635p-19, 0x1.dbb4a563048fep-19, 0x1.e3cc59578e8eep-19, 0x1.eb9c900d5585dp-19, 0x1.f3253ddc9a22dp-19, 0x1.fa666831c4d6ep-19, 0x1.00b00f6358e67p-18, 0x1.0409397a2a1ddp-18, 0x1.073eb8462d278p-18, 0x1.0a508ddba7366p-18, 0x1.0d3eb7968698cp-18, 0x1.100927e54d89ep-18, 0x1.12afdacd6408bp-18, 0x1.15335ea95faeep-18, 0x1.1795d9c5c6c93p-18, 0x1.19da540af70eap-18, 0x1.1c01485e7c803p-18, 0x1.1e05d3f7fa03fp-18, 0x1.1fe22a0c19027p-18, 0x1.219a125a693e6p-18, 0x1.2334ae526bfe1p-18, 0x1.24b3aa374deb4p-18, 0x1.26125105bb906p-18, 0x1.274fb7d0b06a1p-18, 0x1.286d1e005b71dp-18, 0x1.296b96fac95a6p-18, 0x1.2a4bd22afd39bp-18, 0x1.2b0e4ef139ab3p-18, 0x1.2bb37d00d0dacp-18, 0x1.2c3bc9fba8b0ap-18, 0x1.2ca7ab66a82b5p-18, 0x1.2cf76fa69ef46p-18, 0x1.2d2ba0dfc638ap-18, 0x1.2d44dce367f2ap-18, 0x1.2d434692858b3p-18, 0x1.2d2774ca5ec7fp-18, 0x1.2cf1fe2a01026p-18, 0x1.2ca347d9037f6p-18, 0x1.2c3bd8d47f229p-18, 0x1.2bbc20115e4dp-18, 0x1.2b24a0f61a6e9p-18, 0x1.2a75d17c707ap-18, 0x1.29b02a9a8b1bep-18, 0x1.28d42aa35190dp-18, 0x1.27e24dd3d4616p-18, 0x1.26db023ab5e29p-18, 0x1.25bed32e82f54p-18, 0x1.248ecf43adcdap-18, 0x1.234b3863951c8p-18, 0x1.21f365f68a0bdp-18, 0x1.20889306c7897p-18, 0x1.1f0bebeccc4f1p-18, 0x1.1d7d4565b32aap-18, 0x1.1bdd18fe361a6p-18, 0x1.1a2c1b5c575e1p-18, 0x1.186a881bfbf4fp-18, 0x1.1698cfbfc95c5p-18, 0x1.14b7a77c9a31p-18, 0x1.12c76b4e6486ep-18, 0x1.10c8879d47a39p-18, 0x1.0ebb8173683e1p-18, 0x1.0ca0d10366503p-18, 0x1.0a78e7ac9434ap-18, 0x1.0844365d70ff2p-18, 0x1.06032e5446a66p-18, 0x1.03b64058e37e5p-18, 0x1.015ddbe3f20c9p-18, 0x1.fdf4dcb5aa909p-19, 0x1.f918c55135c1p-19, 0x1.f428438180142p-19, 0x1.ef24289170e1bp-19, 0x1.ea0d49072d509p-19, 0x1.e4e47dd346709p-19, 0x1.dfaaa1165d63dp-19, 0x1.da608503b308bp-19, 0x1.d506e646b2bd5p-19, 0x1.cf9e6fc693423p-19, 0x1.ca27f21984a7p-19, 0x1.c4a4859d22a59p-19, 0x1.bf14379766d29p-19, 0x1.b976ef4eff18fp-19, 0x1.b3d04f9625ccdp-19, 0x1.ae1e6407e6f64p-19, 0x1.a8622db79dab9p-19, 0x1.a29d7b7575664p-19, 0x1.9cd0a10f0ba0bp-19, 0x1.96fc10c8e3764p-19, 0x1.912069348d6c5p-19, }}, 
      {{0x1.192be7951fab7p-3, 0x1.0bc7c15c7c939p-2, 0x1.76623499ec3d3p-2, 0x1.c9b2cbd3b5fdbp-2, 0x1.02e6dc967c70cp-1, 0x1.16346957bdc1bp-1, 0x1.200cd4f68da36p-1, 0x1.21eb20d094c53p-1, 0x1.1d5190eda3329p-1, 0x1.13b049443b34cp-1, 0x1.06569953b4cb3p-1, 0x1.ecd71c31399f5p-2, 0x1.c9d6c844a327p-2, 0x1.a5505264b2694p-2, 0x1.80989a248bf83p-2, 0x1.5cbca1d6f9ae5p-2, 0x1.3a89f31a62b15p-2, 0x1.1a9740d7cd821p-2, 0x1.fa997ef5b9798p-3, 0x1.c5d7cecbcca39p-3, 0x1.972cef8938e68p-3, 0x1.6ea957b78c39bp-3, 0x1.4c354a35f63c5p-3, 0x1.2f9a279aa73f1p-3, 0x1.188a57d312ed4p-3, 0x1.06a7ea98e9c94p-3, 0x1.f31421ad2a68dp-4, 0x1.e183259fdea2p-4, 0x1.d7b8cc3bf47c3p-4, 0x1.d4d10818cfa2dp-4, 0x1.d7ec3b05043d2p-4, 0x1.e0328cb6e0fep-4, 0x1.ecd65de48324bp-4, 0x1.fd15ffc609adap-4, 0x1.081e69599f50bp-3, 0x1.12d1f4c83e8b5p-3, 0x1.1e5925bc302e3p-3, 0x1.2a6e74831737dp-3, 0x1.36d32b78de1ccp-3, 0x1.434f2e6f0cf9dp-3, 0x1.4fb0b22dd6ae4p-3, 0x1.5bcbe8f2d4fc3p-3, 0x1.677aa7d4b72ep-3, 0x1.729c081afa223p-3, 0x1.7d1406f85c72ep-3, 0x1.86cb25842e31p-3, 0x1.8fae0a5a5227ap-3, 0x1.97ad25f9cf7a8p-3, 0x1.9ebc5aad34071p-3, 0x1.a4d2a88d05886p-3, 0x1.a9e9ddfd78466p-3, 0x1.adfe4cdf99cf2p-3, 0x1.b10e848c8484ap-3, 0x1.b31b10963293cp-3, 0x1.b4263c37cd01ep-3, 0x1.b433da4821414p-3, 0x1.b349118b119c5p-3, 0x1.b16c2d205561dp-3, 0x1.aea470e857fd4p-3, 0x1.aaf9f19e68addp-3, 0x1.a675707879294p-3, 0x1.a1203a17117afp-3, 0x1.9b0408919460ap-3, 0x1.942ae86e070ep-3, 0x1.8c9f2055221ccp-3, 0x1.846b1b55948afp-3, 0x1.7b995589aaae5p-3, 0x1.72344af07b3c5p-3, 0x1.68466854806abp-3, 0x1.5dd9fe09e71aep-3, 0x1.52f93471c0af8p-3, 0x1.47ae0208ae26ep-3, 0x1.3c0222fd22864p-3, 0x1.2fff12152798cp-3, 0x1.23ae02dc91e6p-3, 0x1.1717dce15f74dp-3, 0x1.0a4537eb73414p-3, 0x1.fa7cb2239c239p-4, 0x1.e0166111fd48dp-4, 0x1.c566b07bd3f57p-4, 0x1.aa7c261249e24p-4, 0x1.8f6499280864bp-4, 0x1.742d33741015cp-4, 0x1.58e272d9980aap-4, 0x1.3d902b9df38bcp-4, 0x1.22418b60ee57ep-4, 0x1.07011c4be2438p-4, 0x1.d7b1915614059p-5, 0x1.a1a3be2c85c9p-5, 0x1.6bea2d6e840fcp-5, 0x1.369528e9a19fdp-5, 0x1.01b3df6add05fp-5, 0x1.9aa8e0500fe5dp-6, 0x1.3307e9f467698p-6, 0x1.993a341fcb6d9p-7, 0x1.9dfb39c493d6ap-8, 0x1.e0cba53f01309p-13, -0x1.7a1ed06eb75d4p-8, -0x1.7e97c6aa98aa2p-7, -0x1.1e7b594ff1702p-6, -0x1.7c07f92ef792p-6, -0x1.d7e514362f62dp-6, -0x1.1903ab1ebe905p-5, -0x1.45325a2bb4811p-5, -0x1.707a2d809e80dp-5, -0x1.9ad74eb84217fp-5, -0x1.c44672f1f935ep-5, -0x1.ecc4d346892c1p-5, -0x1.0a2812cddc00fp-4, -0x1.1d734b0160903p-4, -0x1.3043600af62acp-4, -0x1.4297d460312dep-4, -0x1.54705c1675642p-4, -0x1.65ccd9e909b68p-4, -0x1.76ad5c56f0a74p-4, -0x1.87121adc0f674p-4, -0x1.96fb7338833eep-4, -0x1.a669e6c8353a5p-4, -0x1.b55e181ad757ep-4, -0x1.c3d8c879da676p-4, -0x1.d1dad5a9b57cp-4, -0x1.df6537c3c0b05p-4, -0x1.ec78ff2b7c6dp-4, -0x1.f917529f753a7p-4, -0x1.02a0b6b33219ap-3, -0x1.087c4ecdea7fcp-3, -0x1.0e1f2146a3362p-3, -0x1.1389e59823c35p-3, -0x1.18bd5a55bd48cp-3, -0x1.1dba448212a21p-3, -0x1.22816ee0a8635p-3, -0x1.2713a95b9ca21p-3, -0x1.2b71c86fa082p-3, -0x1.2f9ca49e7d6a8p-3, -0x1.339519e8db166p-3, -0x1.375c0750ad606p-3, -0x1.3af24e65455d9p-3, -0x1.3e58d2d3bb2bep-3, -0x1.419079fc086c1p-3, -0x1.449a2a9026cafp-3, -0x1.4776cc3bc2ecbp-3, -0x1.4a274747b8111p-3, -0x1.4cac844f5e3fbp-3, -0x1.4f076bf0a3d89p-3, -0x1.5138e687c7be1p-3, -0x1.5341dbecc280ep-3, -0x1.55233336d1a6p-3, -0x1.56ddd27f432c2p-3, -0x1.58729eadfec18p-3, -0x1.59e27b4a45611p-3, -0x1.5b2e4a47ba13bp-3, -0x1.5c56ebda119dfp-3, -0x1.5d5d3e51f5c5ep-3, -0x1.5e421df67abf6p-3, -0x1.5f0664de5c4c5p-3, -0x1.5faaead44a54p-3, -0x1.6030853c55fd2p-3, -0x1.609806f3a4787p-3, -0x1.60e2403a877ecp-3, -0x1.610ffea31a7e1p-3, -0x1.61220cfa9a74bp-3, -0x1.6119333415ba1p-3, -0x1.60f6365e5494fp-3, -0x1.60b9d899f1517p-3, -0x1.6064d906da32bp-3, -0x1.5ff7f3b9725d1p-3, -0x1.5f73e1b9a2957p-3, -0x1.5ed958fc05786p-3, -0x1.5e290c55dff73p-3, -0x1.5d63ab7aa643fp-3, -0x1.5c89e30075f2dp-3, -0x1.5b9c5c5c6e12ep-3, -0x1.5a9bbddb1e479p-3, -0x1.5988aaa452c09p-3, -0x1.5863c2c404f84p-3, -0x1.572da32982702p-3, -0x1.55e6e5a3364a4p-3, -0x1.549020e553ba4p-3, -0x1.5329e895bc1bdp-3, -0x1.51b4cd51855bdp-3, -0x1.50315ca88ecb3p-3, -0x1.4ea021258c49p-3, -0x1.4d01a25cf0a4fp-3, -0x1.4b5664f5bdd1cp-3, -0x1.499eeaa99ca56p-3, -0x1.47dbb24a1417fp-3, -0x1.460d37d0c8efdp-3, -0x1.4433f46d6ad08p-3, -0x1.42505e889d419p-3, -0x1.4062e9c689a1ap-3, -0x1.3e6c071570b14p-3, -0x1.3c6c24c0f4b38p-3, -0x1.3a63ae7ac20b9p-3, -0x1.38530d59f1c94p-3, -0x1.363aa7e20425cp-3, -0x1.341ae217a6a1dp-3, -0x1.31f41d947a2c7p-3, -0x1.2fc6b98bb3174p-3, -0x1.2d9312c697e2bp-3, -0x1.2b5983ac96f6ep-3, -0x1.291a645bad9f6p-3, -0x1.26d60abec1e78p-3, -0x1.248cca91f8aafp-3, -0x1.223ef55a7aec1p-3, -0x1.1fecda6bc3f1bp-3, -0x1.1d96c6fef957cp-3, -0x1.1b3d064ef9f35p-3, -0x1.18dfe1a1e79dfp-3, -0x1.167fa0406de1dp-3, -0x1.141c877062445p-3, -0x1.11b6da85eb486p-3, -0x1.0f4edb02939e4p-3, -0x1.0ce4c8aa2017p-3, -0x1.0a78e18153dcdp-3, -0x1.080b61c17230ap-3, -0x1.059c83d8a2b09p-3, -0x1.032c80819189ap-3, -0x1.00bb8ee2c5811p-3, -0x1.fc93c93cacd09p-4, -0x1.f7af6b96676fcp-4, -0x1.f2ca69cfb638fp-4, -0x1.ede525b98cb2p-4, -0x1.e8fffe298a229p-4, -0x1.e41b4f3672b3ap-4, -0x1.df377255b509dp-4, -0x1.da54be4e07508p-4, -0x1.d573871aa869dp-4, -0x1.d0941dea4d7eap-4, -0x1.cbb6d14831532p-4, -0x1.c6dbed54d3e7cp-4, -0x1.c203bbeb299a8p-4, -0x1.bd2e849beee2ap-4, -0x1.b85c8c92e0a37p-4, -0x1.b38e168836f2p-4, -0x1.aec362d6dae05p-4, -0x1.a9fcafaf7c858p-4, -0x1.a53a39459eab3p-4, -0x1.a07c39ddec887p-4, -0x1.9bc2e9bd4ccd4p-4, -0x1.970e7f11254afp-4, -0x1.925f2dedc087bp-4, -0x1.8db5286cb26a1p-4, -0x1.89109edae21cp-4, -0x1.8471bfdaa456bp-4, -0x1.7fd8b86947c7cp-4, -0x1.7b45b3cda7ddp-4, -0x1.76b8db8576f19p-4, -0x1.72325746b39c3p-4, -0x1.6db24d1ad9629p-4, -0x1.6938e1858e4f5p-4, -0x1.64c637a1bf2bbp-4, -0x1.605a71286a22bp-4, -0x1.5bf5ae63f2c0ep-4, -0x1.57980e202a0f2p-4, -0x1.5341ada82fadbp-4, -0x1.4ef2a8d849766p-4, -0x1.4aab1a3c3e4f2p-4, -0x1.466b1b2b894aap-4, -0x1.4232c3d582119p-4, -0x1.3e022b3dd8843p-4, -0x1.39d9672fa9bfap-4, -0x1.35b88c35b3678p-4, -0x1.319fada096a5dp-4, -0x1.2d8edd9ad2eb8p-4, -0x1.29862d41815dep-4, -0x1.2585acb6d7ff8p-4, -0x1.218d6b284f7c1p-4, -0x1.1d9d76c9d51cdp-4, -0x1.19b5dccd2a157p-4, -0x1.15d6a95e3e406p-4, -0x1.11ffe7a9f1f59p-4, -0x1.0e31a1ee24a18p-4, -0x1.0a6be18c7dc55p-4, -0x1.06aeaf1884982p-4, -0x1.02fa125d7e392p-4, -0x1.fe9c24b89a103p-5, -0x1.f7556a8c3cf82p-5, -0x1.f02000f30a325p-5, -0x1.e8fbf10c7847ap-5, -0x1.e1e9426fc16d5p-5, -0x1.dae7fb47bf09cp-5, -0x1.d3f8206b64bf1p-5, -0x1.cd19b56c3de81p-5, -0x1.c64cbc99b1ed5p-5, -0x1.bf9136fc9eb9p-5, -0x1.b8e7245215811p-5, -0x1.b24e830c2d886p-5, -0x1.abc7505ca1c2fp-5, -0x1.a551884721272p-5, -0x1.9eed25b585987p-5, -0x1.989a22883b28dp-5, -0x1.9258779fe6642p-5, -0x1.8c281ce03c471p-5, -0x1.8609092e6c924p-5, -0x1.7ffb326f3a224p-5, -0x1.79fe8d89148dcp-5, -0x1.74130e6c72a72p-5, -0x1.6e38a82116212p-5, -0x1.686f4cd486957p-5, -0x1.62b6ede669133p-5, -0x1.5d0f7bf164e6fp-5, -0x1.5778e6cee47d1p-5, -0x1.51f31d9895987p-5, -0x1.4c7e0ea8a7994p-5, -0x1.4719a79b2b55p-5, -0x1.41c5d552e71d6p-5, -0x1.3c828401ee7a4p-5, -0x1.374f9f33fc9a3p-5, -0x1.322d11d83f354p-5, -0x1.2d1ac64951b52p-5, -0x1.2818a652f80b3p-5, -0x1.23269b35c1ab3p-5, -0x1.1e448da910291p-5, -0x1.197265dc93911p-5, -0x1.14b00b7ab7689p-5, -0x1.0ffd65ad2135ap-5, -0x1.0b5a5b233b9fdp-5, -0x1.06c6d219aad68p-5, -0x1.0242b06154994p-5, -0x1.fb9bb6cabbcfbp-6, -0x1.f2d0705ffe119p-6, -0x1.ea2356dc9583p-6, -0x1.e19432e5f074dp-6, -0x1.d922cc7116138p-6, -0x1.d0ceeac7454d4p-6, -0x1.c898548c6c98fp-6, -0x1.c07ecfc827b91p-6, -0x1.b88221f0781d2p-6, -0x1.b0a20ff4741d9p-6, -0x1.a8de5e45fdd03p-6, -0x1.a136d0e22c513p-6, -0x1.99ab2b58b9d44p-6, -0x1.923b30d25a584p-6, -0x1.8ae6a415ffebap-6, -0x1.83ad478d59e79p-6, -0x1.7c8edd496e35p-6, -0x1.758b270835868p-6, -0x1.6ea1e63bad3abp-6, -0x1.67d2dc11d2de4p-6, -0x1.611dc97ca332cp-6, -0x1.5a826f3968956p-6, -0x1.54008dd76e964p-6, -0x1.4d97e5bdfb14ep-6, -0x1.47483731bc08bp-6, -0x1.411142597fbc6p-6, -0x1.3af2c7422cedbp-6, -0x1.34ec85e2840a3p-6, -0x1.2efe3e1f58c06p-6, -0x1.2927afd0c28fdp-6, -0x1.23689ac84d7d3p-6, -0x1.1dc0bed776c62p-6, -0x1.182fdbd5437ap-6, -0x1.12b5b1a495117p-6, -0x1.0d52003a4f948p-6, -0x1.0804879d8fc9bp-6, -0x1.02cd07ea9faccp-6, -0x1.fb5682b1e7891p-7, -0x1.f13de879175ddp-7, -0x1.e74fc2104cf8ep-7, -0x1.dd8b90a494df8p-7, -0x1.d3f0d5b5e2cdap-7, -0x1.ca7f1323883a9p-7, -0x1.c135cb381e21p-7, -0x1.b81480b2d3aecp-7, -0x1.af1ab6ccf4adfp-7, -0x1.a647f13bd619dp-7, -0x1.9d9bb4308cf01p-7, -0x1.951584577f018p-7, -0x1.8cb4e6da2c584p-7, -0x1.84796164d767cp-7, -0x1.7c627a308eea9p-7, -0x1.746fb811043f5p-7, -0x1.6ca0a283c8a6fp-7, -0x1.64f4c1be0fed7p-7, -0x1.5d6b9eb58778fp-7, -0x1.5604c3221cdebp-7, -0x1.4ebfb978966ffp-7, -0x1.479c0ce03e34ep-7, -0x1.40994927f6989p-7, -0x1.39b6fabfbb98cp-7, -0x1.32f4aebad8f59p-7, -0x1.2c51f2dcba38fp-7, -0x1.25ce55af29838p-7, -0x1.1f69669d81d58p-7, -0x1.1922b60e6144ap-7, -0x1.12f9d574c0cb7p-7, -0x1.0cee57530605fp-7, -0x1.06ffcf2df2fdbp-7, -0x1.012dd17174b9p-7, -0x1.f6efe69beb056p-8, -0x1.ebbb952f548a4p-8, -0x1.e0bddb644c011p-8, -0x1.d5f5e72098d85p-8, -0x1.cb62e79857277p-8, -0x1.c1040da8023acp-8, -0x1.b6d88c4783871p-8, -0x1.acdf98fc2e53dp-8, -0x1.a3186c2c854f2p-8, -0x1.9982413e93d3fp-8, -0x1.901c5672382a5p-8, -0x1.86e5ec7b47f81p-8, -0x1.7dde45ef0f66dp-8, -0x1.7504a6a2a3ef1p-8, -0x1.6c58532235a09p-8, -0x1.63d89063a7dbdp-8, -0x1.5b84a3cca5988p-8, -0x1.535bd3925e8c5p-8, -0x1.4b5d676445b31p-8, -0x1.4388a940e0c9dp-8, -0x1.3bdce6479d8e4p-8, -0x1.34596f58a2fa2p-8, -0x1.2cfd995b5e1afp-8, -0x1.25c8bd16de9d8p-8, -0x1.1eba369ddd9ebp-8, -0x1.17d16468b0f18p-8, -0x1.110da64ad5112p-8, -0x1.0a6e5c7b5d596p-8, -0x1.03f2e6e680a4cp-8, -0x1.fb3549df15b39p-9, -0x1.eec9eb69ab671p-9, -0x1.e2a27196d33b8p-9, -0x1.d6bd9e9d34f1p-9, -0x1.cb1a3a1b64637p-9, -0x1.bfb7133363aedp-9, -0x1.b49301f50d472p-9, -0x1.a9ace7c802652p-9, -0x1.9f03aeb90b29bp-9, -0x1.949647c900703p-9, -0x1.8a63a89150e34p-9, -0x1.806ac8b6650fbp-9, -0x1.76aa9faced7eep-9, -0x1.6d2223462d07cp-9, -0x1.63d0474fb2dc2p-9, -0x1.5ab3fe5a535fp-9, -0x1.51cc3b7ff27eep-9, -0x1.4917f4cd79174p-9, -0x1.409625d3ac66ep-9, -0x1.3845d1dab93f4p-9, -0x1.3026054388003p-9, -0x1.2835d5cbad7fp-9, -0x1.2074619eb6ce5p-9, -0x1.18e0cd5f563c1p-9, -0x1.117a418808624p-9, -0x1.0a3fe7a90c108p-9, -0x1.0330e8117ae05p-9, -0x1.f898d0bc4d7a5p-10, -0x1.eb2316759154dp-10, -0x1.ddfee2cc05ad2p-10, -0x1.d12a77925238fp-10, -0x1.c4a41c8168b53p-10, -0x1.b86a25222f9e4p-10, -0x1.ac7af5f1dda83p-10, -0x1.a0d507c48ff07p-10, -0x1.9576e8ae5bedep-10, -0x1.8a5f3a2a2c418p-10, -0x1.7f8cacb21d9bp-10, -0x1.74fdf972852edp-10, -0x1.6ab1db293557dp-10, -0x1.60a707b78faf8p-10, -0x1.56dc2af7442b9p-10, -0x1.4d4fe43d29bf3p-10, -0x1.4400c756f8a57p-10, -0x1.3aed5ff89e051p-10, -0x1.321437c04e8fep-10, -0x1.2973ddaf9433p-10, -0x1.210aeddbda62ap-10, -0x1.18d818288f598p-10, -0x1.10da24f6bc0d7p-10, -0x1.090ff7048c6e2p-10, -0x1.01788a2287392p-10, -0x1.f425ddb83376ep-11, -0x1.e5bc8762475e6p-11, -0x1.d7b359b837c97p-11, -0x1.ca0897beee04cp-11, -0x1.bcba7058a0b5ap-11, -0x1.afc6f449d4e8fp-11, -0x1.a32c1143bf8aep-11, -0x1.96e79320f40cap-11, -0x1.8af72cc51ccbap-11, -0x1.7f58839836ee3p-11, -0x1.74093ed733d5bp-11, -0x1.69071885b22e9p-11, -0x1.5e4febb100c44p-11, -0x1.53e1bf611532ep-11, -0x1.49bacc79ad406p-11, -0x1.3fd97dbaaabbep-11, -0x1.363c6a4c43832p-11, -0x1.2ce24c145b68bp-11, -0x1.23c9f37bc6618p-11, -0x1.1af23a4e9d213p-11, -0x1.1259f73027c3p-11, -0x1.09fff2cc53494p-11, -0x1.01e2dfbb6946dp-11, -0x1.f402abb3a5bdep-12, -0x1.e4b3a3513ac7p-12, -0x1.d5d56ff94060bp-12, -0x1.c764bb96e0f3ep-12, -0x1.b95e266fa12f4p-12, -0x1.abbe6070bfd8ep-12, -0x1.9e82411d25372p-12, -0x1.91a6d944fede3p-12, -0x1.85297af56f671p-12, -0x1.7907b6d1c78c2p-12, -0x1.6d3f515bbdbdcp-12, -0x1.61ce3510dd2a9p-12, -0x1.56b2668bfcddfp-12, -0x1.4be9fdb40834p-12, -0x1.4173239a0362p-12, -0x1.374c11c192f8fp-12, -0x1.2d730ebe72fd6p-12, -0x1.23e665c812863p-12, -0x1.1aa45a28e6f4ap-12, -0x1.11ab1a8ada49p-12, -0x1.08f8b96ea00cbp-12, -0x1.008b2eebb7ca9p-12, -0x1.f0c0c937f0b38p-13, -0x1.e0ec916a3baf1p-13, -0x1.d195c49a9b9b6p-13, -0x1.c2b8bfbb2678ep-13, -0x1.b45235466439fp-13, -0x1.a65f1a2660359p-13, -0x1.98dc7e9bcee4ep-13, -0x1.8bc7616b68ffap-13, -0x1.7f1c8f7df20afp-13, -0x1.72d89f610d004p-13, -0x1.66f80d0b96472p-13, -0x1.5b776c37d5d69p-13, -0x1.50539db817a24p-13, -0x1.4589f125ee40fp-13, -0x1.3b18244db40ap-13, -0x1.30fc40eb282p-13, -0x1.273467f8bef3bp-13, -0x1.1dbea13b7d305p-13, -0x1.1498c27220728p-13, -0x1.0bc075b202c68p-13, -0x1.033358b67f87bp-13, -0x1.f5de4b968e9p-14, -0x1.e5e3aa99aa2c4p-14, -0x1.d67356169a5bdp-14, -0x1.c78a53a31ab1bp-14, -0x1.b925ddf87d0d9p-14, -0x1.ab42febda6726p-14, -0x1.9dde29490b1b7p-14, -0x1.90f2f9435f9ep-14, -0x1.847c314fbc792p-14, -0x1.78740371cd9e4p-14, -0x1.6cd4937dd4f41p-14, -0x1.61988c6ac919ap-14, -0x1.56bb964303dbdp-14, -0x1.4c3a82cc74451p-14, -0x1.4213224c0607fp-14, -0x1.3843d5ad2e77dp-14, -0x1.2ecb0e269ca48p-14, -0x1.25a6edc5c6867p-14, -0x1.1cd526cc7190ap-14, -0x1.145318d70aa36p-14, -0x1.0c1e1339d4269p-14, -0x1.04339d792fc74p-14, -0x1.f923546177604p-15, -0x1.ea6d47060456cp-15, -0x1.dc4296275751fp-15, -0x1.cea0f02158c53p-15, -0x1.c1859402b3f41p-15, -0x1.b4ecd1b4bd99dp-15, -0x1.a8d1c48d6bd65p-15, -0x1.9d2e523e22b7ap-15, -0x1.91fb745b819fap-15, -0x1.8731b7637b283p-15, -0x1.7cc9e1169f92fp-15, -0x1.72bdab1312afbp-15, -0x1.690845068ef74p-15, -0x1.5fa685b44cecdp-15, -0x1.5696a9d034e91p-15, -0x1.4dd7b3536a76dp-15, -0x1.4568a7ef34309p-15, -0x1.3d47fb2b92455p-15, -0x1.357356c50b2e2p-15, -0x1.2de7c615ecbdbp-15, -0x1.26a224d9005ep-15, -0x1.1f9f9ec8833d4p-15, -0x1.18de07da3eb02p-15, -0x1.125be1eb86608p-15, -0x1.0c180d1fe3df8p-15, -0x1.061151342ebc5p-15, -0x1.004601643e328p-15, -0x1.f567c5eb1ee96p-16, -0x1.eab0a083e66bdp-16, -0x1.e060e3bb0a971p-16, -0x1.d672cdd0856b3p-16, -0x1.cce09d1950676p-16, -0x1.c3a48423fa53ap-16, -0x1.bab8b7247f51dp-16, -0x1.b217b583187e6p-16, -0x1.a9bcc3ae4282fp-16, -0x1.a1a460888cb04p-16, -0x1.99cc6e65ae46bp-16, -0x1.9233dcd4610e8p-16, -0x1.8ad9e89b1c3afp-16, -0x1.83bd526b868e5p-16, -0x1.7cdbf687760edp-16, -0x1.7632ec83f0644p-16, -0x1.6fbf0d90a0d28p-16, -0x1.697d97af79f31p-16, -0x1.636c92888731ap-16, -0x1.5d8aafc7a9737p-16, -0x1.57d6b9853bb03p-16, -0x1.524efff55c2c6p-16, -0x1.4cf13048fc1aep-16, -0x1.47ba99e01cda4p-16, -0x1.42a8989ad8038p-16, -0x1.3db8dfdec03e9p-16, -0x1.38e990480e00dp-16, -0x1.34392331a03f7p-16, -0x1.2fa6403329213p-16, -0x1.2b2f903a4328dp-16, -0x1.26d39f91f19e4p-16, -0x1.2290d866e44abp-16, -0x1.1e65925288edap-16, -0x1.1a502d18e533ep-16, -0x1.164f327f076c8p-16, -0x1.12617a195589ep-16, -0x1.0e8636d64479cp-16, -0x1.0abcd2bdb581bp-16, -0x1.0704a68fec48bp-16, -0x1.035cc832fc51cp-16, -0x1.ff883fed40c9bp-17, -0x1.f8735ebc83ec2p-17, -0x1.f17970a9e4ad5p-17, -0x1.ea992afd5b30bp-17, -0x1.e3d0f48aeb3d5p-17, -0x1.dd1eda10c40b2p-17, -0x1.d680f1eb80d46p-17, -0x1.cff5ad938db5dp-17, -0x1.c97bd8522565p-17, -0x1.c31267f30c34p-17, -0x1.bcb85535f2e3dp-17, -0x1.b66c928a961eep-17, -0x1.b02e1e8b6d295p-17, -0x1.a9fc22bafa4cbp-17, -0x1.a3d608ad3917bp-17, -0x1.9dbb7551f2de7p-17, -0x1.97ac26c999baep-17, -0x1.91a7b7849dc5cp-17, -0x1.8bad59dfba446p-17, -0x1.85bbc88f1da45p-17, -0x1.7fd1a8639c981p-17, -0x1.79ee40f92e398p-17, -0x1.7411edaff25bp-17, -0x1.6e3d82601ad5ap-17, -0x1.6870dc159c46ap-17, -0x1.62aa32320fd66p-17, -0x1.5ce7c67dae5e8p-17, -0x1.572908bd5e725p-17, -0x1.516ee23c28c91p-17, -0x1.4bb9e830007bp-17, -0x1.46098a5c0eca9p-17, -0x1.405c9b40c654bp-17, -0x1.3ab291cbc1b6cp-17, -0x1.350bafdfde863p-17, -0x1.2f687248be776p-17, -0x1.29c91473e1dc6p-17, -0x1.242d6385afc1dp-17, -0x1.1e94cb0e2c2cfp-17, -0x1.18fe8c21c9abbp-17, -0x1.136a143bcca71p-17, -0x1.0dd762f08e68p-17, -0x1.084767b1e04dep-17, -0x1.02bbf0bd7d6d1p-17, -0x1.fa6d0bcd07a44p-18, -0x1.ef6da08e78e4ep-18, -0x1.e4755daa7a206p-18, -0x1.d980b8f2ac44bp-18, -0x1.ce9010208e312p-18, -0x1.c3a57dc08fe9bp-18, -0x1.b8c0f23e783a8p-18, -0x1.ade17919d32bp-18, -0x1.a308d6e9ea72ep-18, -0x1.983aa85c3567bp-18, -0x1.8d77a55940b18p-18, -0x1.82bd5e9735d2p-18, -0x1.780afc41dc4e3p-18, -0x1.6d631d48cdb89p-18, -0x1.62c7b3860b569p-18, -0x1.5836e5a7949d1p-18, -0x1.4dae20806d56p-18, -0x1.432d917b80e6cp-18, -0x1.38b74622d502p-18, -0x1.2e4cda1a21ecap-18, -0x1.23ee8c7f3a6dp-18, -0x1.199b9bf6f2023p-18, -0x1.0f530c2b1cbbdp-18, -0x1.05144cb0671ddp-18, -0x1.f5c00537e7f3fp-19, -0x1.e17275c50124bp-19, -0x1.cd487a3a3b4aap-19, -0x1.b942fe08ebbecp-19, -0x1.a559f5bd99856p-19, -0x1.918a6206333cfp-19, -0x1.7ddaea1ff0c3fp-19, -0x1.6a4e8aeee457cp-19, -0x1.56dff24bd120ep-19, -0x1.438c423c3759dp-19, -0x1.30566f9dd0092p-19, -0x1.1d420816e1ea4p-19, -0x1.0a5088f9d2bep-19, -0x1.ef03429e55499p-20, -0x1.c9a8f38b0c2bbp-20, -0x1.a4950c86203e2p-20, -0x1.7fd009e775096p-20, -0x1.5b5c69ee20688p-20, -0x1.373466de00f9p-20, -0x1.135a6594aa128p-20, -0x1.dfaf3d86a3c63p-21, -0x1.9951eb957d8dep-21, -0x1.538910a5fea35p-21, -0x1.0e5478d4d1944p-21, -0x1.93800274bdc71p-22, -0x1.0ba65d013d4a8p-22, -0x1.0a39eb03a2bb8p-23, 0x1.2af3c15d1cf4fp-33, 0x1.08415105ee435p-23, 0x1.06af12346f522p-22, 0x1.87b64ea42d796p-22, 0x1.03ab287d8bf21p-21, 0x1.42c6a1624d858p-21, 0x1.811cde6b91475p-21, 0x1.bebc9e23308d5p-21, 0x1.fbb444505a381p-21, 0x1.1bfc84810fc77p-20, 0x1.39bf768da86d9p-20, 0x1.5721587014f36p-20, 0x1.742275535aba9p-20, 0x1.90c31d5fbc4b1p-20, 0x1.ad0339edab72bp-20, 0x1.c8e2707406896p-20, 0x1.e46051f852753p-20, 0x1.ff7c60faf70d1p-20, 0x1.0d1afec43cbacp-19, 0x1.1a466a37d499ep-19, 0x1.27412562970fp-19, 0x1.340cb53ae8fe3p-19, 0x1.40a8b923ae677p-19, 0x1.4d121b45561b2p-19, 0x1.5947cf4d7b1dfp-19, 0x1.6549b9de9275fp-19, 0x1.7117773916622p-19, 0x1.7cb4028d0576ep-19, 0x1.88216f82299f4p-19, 0x1.935fdde54f672p-19, 0x1.9e6e1b180fdf7p-19, 0x1.a9483c636769cp-19, 0x1.b3ee0a92fda9p-19, 0x1.be5f98d033b47p-19, 0x1.c89dc2e05d1d1p-19, 0x1.d2ac73bb52f68p-19, 0x1.dc8ae8b78984p-19, 0x1.e63722b16f9e4p-19, 0x1.efb0e184e0da4p-19, 0x1.f8f89427551e9p-19, 0x1.01074ed495163p-18, 0x1.05799f8ecda71p-18, 0x1.09d35347d8b87p-18, 0x1.0e147d867d3e4p-18, 0x1.123d3174f7f19p-18, 0x1.164d836de933ep-18, 0x1.1a4589c118334p-18, 0x1.1e255d10f8321p-18, 0x1.21ed186eb65cfp-18, 0x1.259cd8801168fp-18, 0x1.2934b6af842e1p-18, 0x1.2cb4c916c2262p-18, 0x1.301d2ca3ee158p-18, 0x1.336dfa2e053ap-18, 0x1.36a743fdf6ce8p-18, 0x1.39c92656b832cp-18, 0x1.3cd3d0db3c7afp-18, 0x1.3fc7b0650c152p-18, 0x1.42a566beeda82p-18, 0x1.456d3815afa3cp-18, 0x1.481e66b15e46fp-18, 0x1.4ab7fa5b90682p-18, 0x1.4d3ab353c6502p-18, 0x1.4fa7fb9810f4ep-18, 0x1.52002c59c6d92p-18, 0x1.544293dcfac02p-18, 0x1.566f1a735af92p-18, 0x1.588615a659fc4p-18, 0x1.5a87d3264e6dp-18, 0x1.5c748e6e21954p-18, 0x1.5e4c7a76903dep-18, 0x1.600fc767c049bp-18, 0x1.61bea3ac4f636p-18, 0x1.63593583a477cp-18, 0x1.64dfd4343557p-18, 0x1.6652929255989p-18, 0x1.67b16e1b97ddcp-18, 0x1.68fcfb3ab131bp-18, 0x1.6a3559ec26c55p-18, 0x1.6b5a7bb067f02p-18, 0x1.6c6cc9ecf05dp-18, 0x1.6d6c627dba53fp-18, 0x1.6e5999b0ae95ep-18, 0x1.6f348a0b68685p-18, 0x1.6ffd69e9238aap-18, 0x1.70b46ed80eee4p-18, 0x1.7159d037c9effp-18, 0x1.71edc435f0598p-18, 0x1.7270795d59da2p-18, 0x1.72e22cbee3806p-18, 0x1.73435e92333d9p-18, 0x1.739425af22e87p-18, 0x1.73d421624e22ep-18, 0x1.7403ec5e8765dp-18, 0x1.74241a1bcbe58p-18, 0x1.743489a733d5dp-18, 0x1.743571302b574p-18, 0x1.74273841b8ef9p-18, 0x1.7409ed6a4b5c3p-18, 0x1.73dd95008a102p-18, 0x1.73a2abe4d51afp-18, 0x1.735981a51617cp-18, 0x1.730225b602a8fp-18, 0x1.729cc766be97fp-18, 0x1.7229a4e3a14e4p-18, 0x1.71a8f99b7ac2cp-18, 0x1.711afdebb57bep-18, 0x1.707fe8eb6d5c5p-18, 0x1.6fd7f148fa26cp-18, 0x1.6f234d974ef8cp-18, 0x1.6e623468f9313p-18, 0x1.6d94dc54b4abbp-18, 0x1.6cbb7bde0e1b9p-18, 0x1.6bd6493ee6b6cp-18, 0x1.6ae57a2af2b59p-18, 0x1.69e943bb8e40cp-18, 0x1.68e1da9b73b3p-18, 0x1.67cf738743b03p-18, 0x1.66b2440ea2223p-18, 0x1.658a8249b570ap-18, 0x1.645861fb00287p-18, 0x1.631c126870598p-18, 0x1.61d5d10f1602cp-18, 0x1.6085dd04fbaaep-18, 0x1.5f2c40b6532d6p-18, 0x1.5dc95432bd0d1p-18, 0x1.5c5d45a2b6e5dp-18, 0x1.5ae83770bb4p-18, 0x1.596a604b12e19p-18, 0x1.57e3f4dbb3dc3p-18, 0x1.5655270ddf08p-18, }}, 
      {{-0x1.bf746ce0f9a4fp+0, -0x1.a4fd1b1b11fa7p+0, -0x1.83ca9b3567ce4p+0, -0x1.6113f3568e9a6p+0, -0x1.3ff3937fd4cc5p+0, -0x1.221cbb1039999p+0, -0x1.0857ad7e3aaa3p+0, -0x1.e5ad3d4a6d0f2p-1, -0x1.c2df5247085f8p-1, -0x1.a78847e4c87a8p-1, -0x1.92b6063690967p-1, -0x1.83645b73e31b1p-1, -0x1.78930b0cbc9fbp-1, -0x1.71531a5f1461cp-1, -0x1.6cce19edf86d5p-1, -0x1.6a495e8a67cb3p-1, -0x1.6926908c48a9ep-1, -0x1.68e28c681521dp-1, -0x1.691346e0b222ep-1, -0x1.69652e663fe25p-1, -0x1.69985bcb1d78ep-1, -0x1.697dc6f1662f6p-1, -0x1.68f49f729dd23p-1, -0x1.67e7db66b3ea1p-1, -0x1.664c058d0fbaap-1, -0x1.641d4e2cabe7bp-1, -0x1.615dddf86a508p-1, -0x1.5e14678d98d9fp-1, -0x1.5a4af284ef234p-1, -0x1.560dda53dbc61p-1, -0x1.516afb1015619p-1, -0x1.4c71064d5457cp-1, -0x1.472efa9cd7ab8p-1, -0x1.41b3b8a1e8b37p-1, -0x1.3c0db125d17dp-1, -0x1.364aa8128f0c3p-1, -0x1.307788bab4121p-1, -0x1.2aa0484c6a0b8p-1, -0x1.24cfd3ba5e066p-1, -0x1.1f1006cec2daap-1, -0x1.1969aa756094ep-1, -0x1.13e4789c47065p-1, -0x1.0e872451f3f27p-1, -0x1.09576504902a5p-1, -0x1.045a03fbae8bep-1, -0x1.ff25d6a1eb0b7p-2, -0x1.f60a6ba02773ap-2, -0x1.ed667e8beafdfp-2, -0x1.e53d69bf9bba3p-2, -0x1.dd914a9ee1617p-2, -0x1.d66320f8fbc43p-2, -0x1.cfb2ed31752a7p-2, -0x1.c97fccf4fdd2ep-2, -0x1.c3c81654e3c1p-2, -0x1.be897134ab112p-2, -0x1.b9c0eefe26381p-2, -0x1.b56b20a0c2cedp-2, -0x1.b1842add0216p-2, -0x1.ae07d8ec749dp-2, -0x1.aaf1ad9045e7dp-2, -0x1.a83cf2991dd34p-2, -0x1.a5e4c6fa34cd7p-2, -0x1.a3e42b7ad057ap-2, -0x1.a2360e1965a15p-2, -0x1.a0d55433876b7p-2, -0x1.9fbce3866fe87p-2, -0x1.9ee7aa1b5c0ep-2, -0x1.9e50a5355749cp-2, -0x1.9df2e75513ee6p-2, -0x1.9dc99d65ce647p-2, -0x1.9dd01326ca4b2p-2, -0x1.9e01b6dae623p-2, -0x1.9e5a1c5270612p-2, -0x1.9ed4ff55677e9p-2, -0x1.9f6e45877a5fcp-2, -0x1.a021ffceba43ep-2, -0x1.a0ec6b5802286p-2, -0x1.a1c9f23eced2p-2, -0x1.a2b72be514b15p-2, -0x1.a3b0dcf9bc25cp-2, -0x1.a4b3f73a635e8p-2, -0x1.a5bd98e446954p-2, -0x1.a6cb0bf9189e2p-2, -0x1.a7d9c54a6fdfdp-2, -0x1.a8e7637b4d951p-2, -0x1.a9f1addfb75a2p-2, -0x1.aaf6935fd735ap-2, -0x1.abf4294631e25p-2, -0x1.ace8a9f49cda1p-2, -0x1.add2739367285p-2, -0x1.aeb0068c8e1a3p-2, -0x1.af80041cb24cdp-2, -0x1.b0412cb9008c4p-2, -0x1.b0f25e96d4f12p-2, -0x1.b192943825876p-2, -0x1.b220e302b0c61p-2, -0x1.b29c7a00bdfb5p-2, -0x1.b304a0906d431p-2, -0x1.b358b536f6721p-2, -0x1.b3982c6535798p-2, -0x1.b3c28f4048b09p-2, -0x1.b3d77a710c22bp-2, -0x1.b3d69cebfa4aap-2, -0x1.b3bfb6cb79b54p-2, -0x1.b392982fa0573p-2, -0x1.b34f202fd62c6p-2, -0x1.b2f53bdf6d866p-2, -0x1.b284e560950b4p-2, -0x1.b1fe230b75736p-2, -0x1.b161069f4b6c3p-2, -0x1.b0adac81c9231p-2, -0x1.afe43b050cb47p-2, -0x1.af04e1b4be642p-2, -0x1.ae0fd8a759cd1p-2, -0x1.ad055fd51bd33p-2, -0x1.abe5be72b5133p-2, -0x1.aab142511ee58p-2, -0x1.a9683f452bf11p-2, -0x1.a80b0e93a6aa4p-2, -0x1.a69a0e67ed44p-2, -0x1.a515a15042a9p-2, -0x1.a37e2dc4c4ed4p-2, -0x1.a1d41db5a9e15p-2, -0x1.a017de20a926ap-2, -0x1.9e49deaf6352fp-2, -0x1.9c6a915c44e63p-2, -0x1.9a7a6a1d0aedep-2, -0x1.9879de92d2085p-2, -0x1.966965c12fb85p-2, -0x1.944977c76ae28p-2, -0x1.921a8d9f3a433p-2, -0x1.8fdd20df394edp-2, -0x1.8d91ab8153b41p-2, -0x1.8b38a7ac0c42fp-2, -0x1.88d28f7f88516p-2, -0x1.865fdce5a8a8bp-2, -0x1.83e10965eb56cp-2, -0x1.81568dfc3e004p-2, -0x1.7ec0e2f1c7c6cp-2, -0x1.7c207fba4f2e1p-2, -0x1.7975dad3e6be8p-2, -0x1.76c169a8f4303p-2, -0x1.7403a0740b89cp-2, -0x1.713cf228ccb77p-2, -0x1.6e6dd05bbef83p-2, -0x1.6b96ab2eaf378p-2, -0x1.68b7f13e4e958p-2, -0x1.65d20f906362bp-2, -0x1.62e571855c86cp-2, -0x1.5ff280cbf58bep-2, -0x1.5cf9a553a5ec5p-2, -0x1.59fb4541a728fp-2, -0x1.56f7c4e98c595p-2, -0x1.53ef86c437eadp-2, -0x1.50e2eb675ccb8p-2, -0x1.4dd251810fb7cp-2, -0x1.4abe15d356552p-2, -0x1.47a6932e05f96p-2, -0x1.448c226bfa4d7p-2, -0x1.416f1a72a526fp-2, -0x1.3e4fd02f3e927p-2, -0x1.3b2e969405237p-2, -0x1.380bbe9a5d1dp-2, -0x1.34e7974477895p-2, -0x1.31c26d9bf5e66p-2, -0x1.2e9c8cb3250cap-2, -0x1.2b763daa0a355p-2, -0x1.284fc7b1304cbp-2, -0x1.2529700a4728p-2, -0x1.22037a0c5de0fp-2, -0x1.1ede272ac440fp-2, -0x1.1bb9b6f8df84bp-2, -0x1.1896672c23417p-2, -0x1.157473a25b85p-2, -0x1.1254166a0d529p-2, -0x1.0f3587c6a832cp-2, -0x1.0c18fe33fc689p-2, -0x1.08feae6d4e0fp-2, -0x1.05e6cb76b43b4p-2, -0x1.02d186a2395d8p-2, -0x1.ff7e1f2828959p-3, -0x1.f95f2892f2c5p-3, -0x1.f346824565b19p-3, -0x1.ed3481d42bd88p-3, -0x1.e72979af9cda6p-3, -0x1.e125b93075cb5p-3, -0x1.db298cac9cadbp-3, -0x1.d5353d88ac9c6p-3, -0x1.cf49124056477p-3, -0x1.c9654e6f47e6ap-3, -0x1.c38a32e430fb9p-3, -0x1.bdb7fdb700e8ap-3, -0x1.b7eeea55a72c4p-3, -0x1.b22f3188e5782p-3, -0x1.ac79097fa1202p-3, -0x1.a6cca5e5e6bap-3, -0x1.a12a37fb19c06p-3, -0x1.9b91ee9af98c1p-3, -0x1.9603f63fa1432p-3, -0x1.9080790cf2c9cp-3, -0x1.8b079ee95857fp-3, -0x1.85998d9551516p-3, -0x1.803668b3c2eccp-3, -0x1.7ade51c96b771p-3, -0x1.7591684373426p-3, -0x1.704fc98fd9cacp-3, -0x1.6b199137a4553p-3, -0x1.65eed8ebafc27p-3, -0x1.60cfb88293994p-3, -0x1.5bbc45f886c1dp-3, -0x1.56b495803e677p-3, -0x1.51b8b99f2b7abp-3, -0x1.4cc8c3427677ep-3, -0x1.47e4c1c26636ep-3, -0x1.430cc2dcb3af3p-3, -0x1.3e40d2b86f71fp-3, -0x1.3980fbfb8404ap-3, -0x1.34cd47e6791f6p-3, -0x1.3025be64ae11fp-3, -0x1.2b8a660b2c0efp-3, -0x1.26fb441202c44p-3, -0x1.22785c59474eap-3, -0x1.1e01b17eb8013p-3, -0x1.199744f8218e2p-3, -0x1.153917223a74dp-3, -0x1.10e7273f1025bp-3, -0x1.0ca1736e7fc85p-3, -0x1.0867f8b0800dfp-3, -0x1.043ab2f72a42cp-3, -0x1.00199d3fcf73fp-3, -0x1.f80963478b733p-4, -0x1.eff7d2b41cdbp-4, -0x1.e7fe795fb2ffp-4, -0x1.e01d460b685c8p-4, -0x1.d85425b573d48p-4, -0x1.d0a303c3b9455p-4, -0x1.c909ca2c0b0b5p-4, -0x1.c1886184502aep-4, -0x1.ba1eb0fab95c1p-4, -0x1.b2cc9e48b286ep-4, -0x1.ab920db61d982p-4, -0x1.a46ee2348ac5ap-4, -0x1.9d62fd86706a3p-4, -0x1.966e405d7689bp-4, -0x1.8f908a63318d5p-4, -0x1.88c9ba3046a18p-4, -0x1.8219ad423d40ap-4, -0x1.7b8040004b227p-4, -0x1.74fd4dd36f0b4p-4, -0x1.6e90b14772ad9p-4, -0x1.683a4424b0c99p-4, -0x1.61f9df78c9674p-4, -0x1.5bcf5b90947ebp-4, -0x1.55ba8fef36263p-4, -0x1.4fbb534fccb3bp-4, -0x1.49d17bb5d6efcp-4, -0x1.43fcde86f5fcap-4, -0x1.3e3d50a367526p-4, -0x1.3892a671e6426p-4, -0x1.32fcb3e017742p-4, -0x1.2d7b4c5b23cd2p-4, -0x1.280e42cc4143fp-4, -0x1.22b5699fdb47ap-4, -0x1.1d7092d701e29p-4, -0x1.183f901c68247p-4, -0x1.132232d49831bp-4, -0x1.0e184c24ac22p-4, -0x1.0921acf09ac4ep-4, -0x1.043e25d683457p-4, -0x1.fedb0e5b6223ap-5, -0x1.f55f421aed5a3p-5, -0x1.ec0886b5fc221p-5, -0x1.e2d67bb20dbf5p-5, -0x1.d9c8c0689ad9ep-5, -0x1.d0def411e7e86p-5, -0x1.c818b5c4d718dp-5, -0x1.bf75a470f36c6p-5, -0x1.b6f55edc4419bp-5, -0x1.ae9783ab5c773p-5, -0x1.a65bb173bd899p-5, -0x1.9e4186d2e0ad4p-5, -0x1.9648a28275306p-5, -0x1.8e70a364c599fp-5, -0x1.86b92888674f1p-5, -0x1.7f21d126122e3p-5, -0x1.77aa3c9dbca12p-5, -0x1.70520a786bb28p-5, -0x1.6918da7149cb9p-5, -0x1.61fe4c8463865p-5, -0x1.5b0200fe9fbffp-5, -0x1.5423988a9d8ecp-5, -0x1.4d62b4383cb6ep-5, -0x1.46bef57ee8e45p-5, -0x1.4037fe3c7f233p-5, -0x1.39cd70b3efca3p-5, -0x1.337eef8ee9f7bp-5, -0x1.2d4c1de41d2a1p-5, -0x1.27349f411c0efp-5, -0x1.213817b4f53a9p-5, -0x1.1b562bd90aeb1p-5, -0x1.158e80d6df1bcp-5, -0x1.0fe0bc6a98199p-5, -0x1.0a4c84e322496p-5, -0x1.04d181215f29cp-5, -0x1.fedeb130c7e6ap-6, -0x1.f44b66a07c6c6p-6, -0x1.e9e873d6d156ep-6, -0x1.dfb52b5ae9e49p-6, -0x1.d5b0e1025bae9p-6, -0x1.cbdae9fa7e0cbp-6, -0x1.c2329cce1d87bp-6, -0x1.b8b75167d4186p-6, -0x1.af686111d94d9p-6, -0x1.a6452674f9b63p-6, -0x1.9d4cfd98f1a7bp-6, -0x1.947f43e7dcda2p-6, -0x1.8bdb58349b2f1p-6, -0x1.83609ac25fd54p-6, -0x1.7b0e6d4b75c3bp-6, -0x1.72e4330623954p-6, -0x1.6ae150a7e38d8p-6, -0x1.63052c66b8e28p-6, -0x1.5b4f2df8f7716p-6, -0x1.53bebe9432b65p-6, -0x1.4c5348ec29401p-6, -0x1.450c39334846cp-6, -0x1.3de8fd1d011a6p-6, -0x1.36e903e122eep-6, -0x1.300bbe3f31d2fp-6, -0x1.29509e80c498ap-6, -0x1.22b7187adf036p-6, -0x1.1c3ea18e73473p-6, -0x1.15e6b0a80740cp-6, -0x1.0faebe3e81a6ep-6, -0x1.0996445179463p-6, -0x1.039cbe678bf99p-6, -0x1.fb83531aece67p-7, -0x1.f00908ac8122dp-7, -0x1.e4c99db7dbfd8p-7, -0x1.d9c41580390dp-7, -0x1.cef776582887dp-7, -0x1.c462c9a07a03ep-7, -0x1.ba051bc65149cp-7, -0x1.afdd7c4059fa4p-7, -0x1.a5eafd8aff485p-7, -0x1.9c2cb523d4d06p-7, -0x1.92a1bb8486676p-7, -0x1.89492c1e8cf1cp-7, -0x1.80222557ebd09p-7, -0x1.772bc8892dc86p-7, -0x1.6e6539fba40d2p-7, -0x1.65cda0e619d56p-7, -0x1.5d64276b02832p-7, -0x1.5527fa96b1a68p-7, -0x1.4d184a554745cp-7, -0x1.4534496d1da19p-7, -0x1.3d7b2d7dff1b9p-7, -0x1.35ec2ef91f062p-7, -0x1.2e868919cc817p-7, -0x1.274979e183c9dp-7, -0x1.203442144aad3p-7, -0x1.1946253575258p-7, -0x1.127e69844f123p-7, -0x1.0bdc57f7abc35p-7, -0x1.055f3c37f91bbp-7, -0x1.fe0cc93023e8cp-8, -0x1.f1a2441ab0d6ap-8, -0x1.e57d904fc4226p-8, -0x1.d99d5a1725488p-8, -0x1.ce0052d4d0f38p-8, -0x1.c2a5310031afbp-8, -0x1.b78ab01d983d9p-8, -0x1.acaf90b88c579p-8, -0x1.a212985cdc071p-8, -0x1.97b2918c8202ep-8, -0x1.8d8e4bb0f25d6p-8, -0x1.83a49b077687fp-8, -0x1.79f4588b4897ap-8, -0x1.707c61df6ea5cp-8, -0x1.673b993c2792ap-8, -0x1.5e30e5627d82cp-8, -0x1.555b3196d3715p-8, -0x1.4cb96da18d82cp-8, -0x1.444a8dd1e3489p-8, -0x1.3c0d8afed142ap-8, -0x1.34016281f1993p-8, -0x1.2c251628c4da6p-8, -0x1.2477ac1c1be9dp-8, -0x1.1cf82ebeed07dp-8, -0x1.15a5ac898bea4p-8, -0x1.0e7f37e7357p-8, -0x1.0783e71cc2e3dp-8, -0x1.00b2d43cca9e3p-8, -0x1.f4163a56e29b1p-9, -0x1.e717c75d92cf3p-9, -0x1.da689b0ca7f1ap-9, -0x1.ce070900e8ffdp-9, -0x1.c1f16d0a950c5p-9, -0x1.b6262b1ed6c53p-9, -0x1.aaa3af1f69bb7p-9, -0x1.9f686c7bcc7d9p-9, -0x1.9472ddb836231p-9, -0x1.89c183f15b90ep-9, -0x1.7f52e6728cdf8p-9, -0x1.75259273b6196p-9, -0x1.6b381b0c912cap-9, -0x1.6189195e3cfd5p-9, -0x1.58172ce83eca3p-9, -0x1.4ee0fbf3765f5p-9, -0x1.45e533f666dacp-9, -0x1.3d2289d750635p-9, -0x1.3497b9f584c12p-9, -0x1.2c4387efc8636p-9, -0x1.2424be2bbd041p-9, -0x1.1c3a2d308cd3ap-9, -0x1.1482aaf16bf61p-9, -0x1.0cfd1229be8bfp-9, -0x1.05a841e9e9f15p-9, -0x1.fd063ad352ca9p-10, -0x1.ef19184f6025ep-10, -0x1.e186f49a29328p-10, -0x1.d44db279e1fc9p-10, -0x1.c76b405eb92a3p-10, -0x1.badd996604234p-10, -0x1.aea2c5ec3b106p-10, -0x1.a2b8db84775d4p-10, -0x1.971dfc4bde48ap-10, -0x1.8bd055b1964aep-10, -0x1.80ce1ee9904f8p-10, -0x1.7615975274cdp-10, -0x1.6ba5051b4c469p-10, -0x1.617ab46816678p-10, -0x1.5794f71b040ddp-10, -0x1.4df225464994bp-10, -0x1.44909e2741f6fp-10, -0x1.3b6ec9726b5d6p-10, -0x1.328b18a41f249p-10, -0x1.29e4080cb2598p-10, -0x1.21781f57b9e73p-10, -0x1.1945f16b51e4cp-10, -0x1.114c1b9a070ap-10, -0x1.098944481f7e2p-10, -0x1.01fc1940116ffp-10, -0x1.f5469c0c625p-11, -0x1.e6fb34f48e5ebp-11, -0x1.d9137412b60edp-11, -0x1.cb8cd729637ebp-11, -0x1.be64e420c340cp-11, -0x1.b1992b6d1353ep-11, -0x1.a5274b22bf398p-11, -0x1.990cf21cd78c4p-11, -0x1.8d47e29323d21p-11, -0x1.81d5f399516a4p-11, -0x1.76b5112893ecp-11, -0x1.6be33a9a767e2p-11, -0x1.615e7fbf76f23p-11, -0x1.5724fcf8f7469p-11, -0x1.4d34d6f7be58bp-11, -0x1.438c371d5abf4p-11, -0x1.3a2948772fae5p-11, -0x1.310a365736892p-11, -0x1.282d2d1e27c5ep-11, -0x1.1f905c161e0bcp-11, -0x1.1731f8c9b35e5p-11, -0x1.0f10431919555p-11, -0x1.072989512b884p-11, -0x1.fef8574753b49p-12, -0x1.f00d3cda18f45p-12, -0x1.e18ed5c8f6473p-12, -0x1.d37a5c1d75221p-12, -0x1.c5cd2c1c63125p-12, -0x1.b884bc5f07f34p-12, -0x1.ab9e9480da41ep-12, -0x1.9f1843bb3b76ap-12, -0x1.92ef58d5ac56ap-12, -0x1.87215cb9fa47ep-12, -0x1.7babcfd36ce66p-12, -0x1.708c2ac854a1bp-12, -0x1.65bfe32b15575p-12, -0x1.5b447196e53e4p-12, -0x1.511759b26588ep-12, -0x1.473632e713951p-12, -0x1.3d9eaf9a2820ep-12, -0x1.344ea28799df3p-12, -0x1.2b44016490784p-12, -0x1.227ce46d3eee6p-12, -0x1.19f783248c5b9p-12, -0x1.11b22ef581d61p-12, -0x1.09ab4c94ffe8fp-12, -0x1.01e14cfdbfd79p-12, -0x1.f4a54d8ea6976p-13, -0x1.e5fba0d99e82bp-13, -0x1.d7c27802c9f17p-13, -0x1.c9f6a96b02b6ep-13, -0x1.bc94fcef63401p-13, -0x1.af9a2f9f41dc1p-13, -0x1.a302fba1e6018p-13, -0x1.96cc23515bfep-13, -0x1.8af27dc80f69cp-13, -0x1.7f73028861f16p-13, -0x1.744ad1d7bc1ecp-13, -0x1.6977381dc960bp-13, -0x1.5ef5ac05068b2p-13, -0x1.54c3c8bf1c893p-13, -0x1.4adf46e38cc68p-13, -0x1.4145f66e18ab4p-13, -0x1.37f5bb3a73982p-13, -0x1.2eec8bad90c75p-13, -0x1.26286fe40435p-13, -0x1.1da77f70f6404p-13, -0x1.1567dcaa54a6p-13, -0x1.0d67ae19fc64p-13, -0x1.05a518222e4dp-13, -0x1.fc3c72c65bcd8p-14, -0x1.eda2577b24f0ep-14, -0x1.df78145fdf348p-14, -0x1.d1b9f3f1fc439p-14, -0x1.c464680f886e6p-14, -0x1.b77416e84d94cp-14, -0x1.aae5dd3562484p-14, -0x1.9eb6c45cc84a1p-14, -0x1.92e3ef8535f6bp-14, -0x1.876a867bc6f5fp-14, -0x1.7c47a716a417bp-14, -0x1.717863893dfaep-14, -0x1.66f9cf6ec8f01p-14, -0x1.5cc9170da8297p-14, -0x1.52e396f6651cap-14, -0x1.4946e9eb687b8p-14, -0x1.3ff0e709d0d16p-14, -0x1.36df90d7f11cap-14, -0x1.2e10fcac8854bp-14, -0x1.25833cda576bap-14, -0x1.1d34561ae3cbp-14, -0x1.152243101cc2ap-14, -0x1.0d4b02925bb6bp-14, -0x1.05aca9afdb9a1p-14, -0x1.fc8ae3c606522p-15, -0x1.ee277c4bfc0e7p-15, -0x1.e02c2959209a1p-15, -0x1.d2961cb4f94dap-15, -0x1.c56280470ece4p-15, -0x1.b88e4a0791014p-15, -0x1.ac162047bcbd9p-15, -0x1.9ff65a47375afp-15, -0x1.942b20c31a555p-15, -0x1.88b0a6f43b2bcp-15, -0x1.7d836a6e73564p-15, -0x1.72a06402b7c3bp-15, -0x1.68051827f80dap-15, -0x1.5daf81c24d8d9p-15, -0x1.539de19e56459p-15, -0x1.49ce87bacc3bbp-15, -0x1.403fabeaf7372p-15, -0x1.36ef615c98c14p-15, -0x1.2ddba387fd3eep-15, -0x1.2502719bcee68p-15, -0x1.1c61eba99aa4cp-15, -0x1.13f8665a0aa2ep-15, -0x1.0bc46f13e594fp-15, -0x1.03c4be39f15e3p-15, -0x1.f7f0381a7deffp-16, -0x1.e8ba82b3f479bp-16, -0x1.d9e57b552007ep-16, -0x1.cb6dd2a07dcdap-16, -0x1.bd4fca1c9152fp-16, -0x1.af8754d3b2671p-16, -0x1.a2104ac53e61fp-16, -0x1.94e6aa7620972p-16, -0x1.8806e6b70ee96p-16, -0x1.7b6e15018e361p-16, -0x1.6f19fd94543e8p-16, -0x1.6308fe6fbce88p-16, -0x1.5739ca5e416bdp-16, -0x1.4bab1d7d2f38bp-16, -0x1.405b845167e94p-16, -0x1.35494786e9796p-16, -0x1.2a727d0f12a2dp-16, -0x1.1fd5321986261p-16, -0x1.156f9aadf926ep-16, -0x1.0b4031ac5cef1p-16, -0x1.0145b97702ddp-16, -0x1.eefe3ac2d48e1p-17, -0x1.dbd68bc5bfa1p-17, -0x1.c911ef34108a2p-17, -0x1.b6ad958d0d3abp-17, -0x1.a4a6708dcd605p-17, -0x1.92f95c3b64ea6p-17, -0x1.81a33be2fef6bp-17, -0x1.70a101be15733p-17, -0x1.5fefac08532b4p-17, -0x1.4f8c4a21b8d61p-17, -0x1.3f7414c18a67ep-17, -0x1.2fa49519f22f8p-17, -0x1.201bca16f1c7fp-17, -0x1.10d83468d21bp-17, -0x1.01d8b847dfecbp-17, -0x1.e638b7c490344p-18, -0x1.c944059c4a29p-18, -0x1.acd0957b219cbp-18, -0x1.90db2e020acc2p-18, -0x1.75607da084eb2p-18, -0x1.5a5d8691a4b04p-18, -0x1.3fcfd9fcb01a2p-18, -0x1.25b57a0bd749ep-18, -0x1.0c0c7a2bc9b37p-18, -0x1.e5a5535bb05bdp-19, -0x1.b40b0799bbbcfp-19, -0x1.8344bdd222379p-19, -0x1.534d57eb6b1c6p-19, -0x1.242040284c595p-19, -0x1.eb72fadd4cc6fp-20, -0x1.902b32abcf58ap-20, -0x1.3662df430257dp-20, -0x1.bc27efd61ab0ep-21, -0x1.0e70d2cf574a4p-21, -0x1.8e4f96210dda9p-23, 0x1.11eecfd0455d5p-23, 0x1.d395bf2862502p-22, 0x1.8c65cd119ab69p-21, 0x1.162b7ec1f6038p-20, 0x1.64d375ef5e335p-20, 0x1.b22e7f71add9p-20, 0x1.fe40912e567e8p-20, 0x1.248721d32744p-19, 0x1.494e33514e1a2p-19, 0x1.6d77a3873d99bp-19, 0x1.9105456da0adfp-19, 0x1.b3f8e939d50dfp-19, 0x1.d6549fd46ad52p-19, 0x1.f81a93b79c3f3p-19, 0x1.0ca6580f5f6d3p-18, 0x1.1cf6408af04c6p-18, 0x1.2cfdad18e74b4p-18, 0x1.3cbd460f9fd5bp-18, 0x1.4c35bfe1fff39p-18, 0x1.5b67d894b166p-18, 0x1.6a544a16075a4p-18, 0x1.78fbb8fd6db1dp-18, 0x1.875ea9226e882p-18, 0x1.957d7f18177a2p-18, 0x1.a35890276d97ap-18, 0x1.b0f040f8fb142p-18, 0x1.be452a5ca1bc5p-18, 0x1.cb58235185de4p-18, 0x1.d82a0e4f9b5a6p-18, 0x1.e4bb7a5210652p-18, 0x1.f10c6f7e1c9efp-18, 0x1.fd1cc83be743p-18, 0x1.0476751c49021p-17, 0x1.0a3f062b18926p-17, 0x1.0fe8ac864d2e6p-17, 0x1.1573ab404d062p-17, 0x1.1adfebc38dbbcp-17, 0x1.202d6f760b994p-17, 0x1.255c7f7f23c93p-17, 0x1.2a6d87dd21356p-17, 0x1.2f60ceee6c30dp-17, 0x1.34366f98ca31ap-17, 0x1.38ee7a9076c27p-17, 0x1.3d8910deb5135p-17, 0x1.42066c5b211d6p-17, 0x1.4666dc21f7976p-17, 0x1.4aaab88e6ae52p-17, 0x1.4ed250bfadc93p-17, 0x1.52ddd52494882p-17, 0x1.56cd43d1ca229p-17, 0x1.5aa06c60c7047p-17, 0x1.5e572e4e1063ap-17, 0x1.61f1cf9031e63p-17, 0x1.6570f7e033ac6p-17, 0x1.68d53b7ee8dfbp-17, 0x1.6c1ec479e2dbcp-17, 0x1.6f4d8e1e4de93p-17, 0x1.7261cff7b1cd5p-17, 0x1.755bd905d7aap-17, 0x1.783bb2cd27f18p-17, 0x1.7b013613b9086p-17, 0x1.7dac88cc47ac8p-17, 0x1.803e2295f88bap-17, 0x1.82b650c66c243p-17, 0x1.851509c54f387p-17, 0x1.875a586ef0c17p-17, 0x1.8986a7bdb5dbap-17, 0x1.8b9a729facf9fp-17, 0x1.8d95ee81585f4p-17, 0x1.8f792398516c8p-17, 0x1.914426843cbf1p-17, 0x1.92f72de34561fp-17, 0x1.949288dc2d8f6p-17, 0x1.96168c35a7191p-17, 0x1.978382a760c4fp-17, 0x1.98d99a297c1cbp-17, 0x1.9a18c7960672p-17, 0x1.9b40e2dc98d57p-17, 0x1.9c521f840ece8p-17, 0x1.9d4d1c65dfda8p-17, 0x1.9e323c57df30dp-17, 0x1.9f016f2a53d45p-17, 0x1.9fbad09440657p-17, 0x1.a05edfa011643p-17, 0x1.a0edfe2b447f6p-17, 0x1.a16848a29a7d2p-17, 0x1.a1cdd47b7fb9p-17, 0x1.a21ed021c6d95p-17, 0x1.a25b7fb85b5a5p-17, 0x1.a2842d5e23254p-17, 0x1.a299083615dfp-17, 0x1.a29a1fb4ef37ap-17, 0x1.a287a66e7a191p-17, 0x1.a261fdacc74f9p-17, 0x1.a22958716f701p-17, 0x1.a1ddc48d8a61ap-17, 0x1.a17f94789430fp-17, 0x1.a10f3e62290fep-17, 0x1.a08d01cc2acd9p-17, 0x1.9ff8fe1626641p-17, 0x1.9f535f0c4534p-17, 0x1.9e9c63960e1afp-17, 0x1.9dd457d8f263fp-17, 0x1.9cfb7ba159d5fp-17, 0x1.9c11dc558629ep-17, 0x1.9b17969f9be8cp-17, 0x1.9a0d1469fd2a4p-17, 0x1.98f2928d2264ap-17, 0x1.97c823c91b09cp-17, 0x1.968e2e491a87bp-17, 0x1.9545172120edfp-17, 0x1.93ed0054e1156p-17, 0x1.92860875cdf52p-17, 0x1.91106518b9e69p-17, 0x1.8f8c55cbfedf7p-17, 0x1.8dfa1a05b7cbp-17, 0x1.8c59eee8dec48p-17, 0x1.8aac0ffa4d01bp-17, 0x1.88f0b81138d4bp-17, 0x1.87282170e7171p-17, 0x1.8552856a5738cp-17, 0x1.83701e9f926dp-17, 0x1.81813008ab33p-17, 0x1.7f86041a585f4p-17, 0x1.7d7ed1a0b7ab6p-17, 0x1.7b6bb4c8007ffp-17, 0x1.794cde3b1bd3p-17, 0x1.772287b4023d6p-17, 0x1.74ece7ee4d219p-17, 0x1.72ac55038992cp-17, 0x1.70611b1b976fdp-17, 0x1.6e0b739ee159ep-17, 0x1.6bab8bedcd7cap-17, 0x1.694177e352ef9p-17, 0x1.66cd6d501a0cfp-17, 0x1.644fa43c0cda6p-17, 0x1.61c85b90c8e01p-17, 0x1.5f37ee52af7cfp-17, 0x1.5c9e8b8fe412bp-17, 0x1.59fc566c34bf9p-17, 0x1.575181e542155p-17, 0x1.549e46ecec5f5p-17, 0x1.51e2dd9adc89ep-17, 0x1.4f1f7c5e453bp-17, 0x1.4c545888815p-17, 0x1.4981a6bc36826p-17, 0x1.46a79b24d2437p-17, 0x1.43c6699136a23p-17, 0x1.40de458080d8p-17, 0x1.3def62220e0a8p-17, 0x1.3af9f2379af4cp-17, 0x1.37fe27f04c014p-17, 0x1.34fc35798139bp-17, 0x1.31f44ce3902f8p-17, 0x1.2ee69e623d98bp-17, 0x1.2bd35a492047cp-17, 0x1.28bab16620437p-17, 0x1.259cd2bca4134p-17, 0x1.2279ee636a6c7p-17, 0x1.1f5238a25f93p-17, 0x1.1c25e7ed7af99p-17, 0x1.18f52bf9511aap-17, 0x1.15c025021ffbdp-17, 0x1.1286efa37c085p-17, 0x1.0f49c24a62adfp-17, 0x1.0c08dcf2b2576p-17, 0x1.08c46e05c54a5p-17, 0x1.057c951ca7da3p-17, 0x1.023179135ea99p-17, 0x1.fdc68ee423303p-18, 0x1.f724597077cd5p-18, 0x1.f07ca789a16c6p-18, 0x1.e9cfccef7a33ep-18, 0x1.e31e1c11c37ccp-18, 0x1.dc67e61e9afdp-18, 0x1.d5ad79cd4cb3dp-18, 0x1.ceef2dc45f514p-18, 0x1.c82d4b42d014fp-18, 0x1.c16816db13bc1p-18, 0x1.ba9fef47718fcp-18, 0x1.b3d51921da752p-18, 0x1.ad07daeb1621dp-18, 0x1.a6388303f1dbep-18, 0x1.9f675929d29c9p-18, 0x1.9894a7c15b944p-18, 0x1.91c0b44af0a65p-18, 0x1.8aebc532ed089p-18, 0x1.84161fe56585p-18, 0x1.7d4009009a0f5p-18, 0x1.7669c419f7a6ep-18, 0x1.6f93933df365ep-18, 0x1.68bdb8ad47c8bp-18, 0x1.61e87af986e5fp-18, 0x1.5b14178b1722p-18, 0x1.5440c17f9ce36p-18, 0x1.4d6ebe9b845f6p-18, 0x1.469e5323d99f6p-18, 0x1.3fcfb4700200ap-18, 0x1.39031dad5856ep-18, 0x1.3238cc8624d36p-18, 0x1.2b70f76d9500fp-18, 0x1.24abd40fc262cp-18, 0x1.1de99e8a6f535p-18, 0x1.172a8e8352adfp-18, 0x1.106ed7848459dp-18, 0x1.09b6ae3d03f39p-18, 0x1.0302471c2bb7ep-18, 0x1.f8a3aaeb6af8bp-19, 0x1.eb4b172752165p-19, 0x1.ddfb35a6f0aap-19, 0x1.d0b467608fb39p-19, 0x1.c3770b898d8f1p-19, 0x1.b6437f97ae9c4p-19, 0x1.a91a1f41a268p-19, 0x1.9bfb4483f74f7p-19, 0x1.8ee747aaf10e9p-19, 0x1.81de7f5be2cafp-19, 0x1.74e1409996a23p-19, 0x1.67efdec16607dp-19, 0x1.5b0aab7c20999p-19, 0x1.4e31f6a43de25p-19, 0x1.41660e4d4d665p-19, 0x1.34a73f406951dp-19, 0x1.27f5d5368f256p-19, 0x1.1b521841c3893p-19, 0x1.0ebc4e9205616p-19, 0x1.0234c43acc601p-19, 0x1.eb77712549d62p-20, 0x1.d2a2de9a74536p-20, 0x1.b9ec586300252p-20, 0x1.a1545d1fa018ep-20, 0x1.88db68f37631ap-20, 0x1.7081f5c16cc05p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.79415d85846b2p-8, -0x1.79963504694cbp-7, -0x1.1b99e489b4a95p-6, -0x1.7ae49aca67e8bp-6, -0x1.dad09836df65fp-6, -0x1.1dc0065886c01p-5, -0x1.4e88ca78f2bf8p-5, -0x1.7fcffe7a2cf03p-5, -0x1.b1a10dc809877p-5, -0x1.e4055da163f4dp-5, -0x1.0b8222d6d8559p-4, -0x1.2551868741d6fp-4, -0x1.3f7276b9ff9ep-4, -0x1.59e58edb1cdf1p-4, -0x1.74aa7256d86c3p-4, -0x1.8fbfd9fc933aap-4, -0x1.ab23a4b67e1bp-4, -0x1.c6d2eaa16ab91p-4, -0x1.e2ca116c5e035p-4, -0x1.ff04e0ee8f68p-4, -0x1.0dbf4b84cdac9p-3, -0x1.1c18fd13e19bcp-3, -0x1.2a8cb4f3d657ep-3, -0x1.391776e2d3b7p-3, -0x1.47b620e3e2c25p-3, -0x1.566570ad7f83p-3, -0x1.65220854e4dbp-3, -0x1.73e8726104a4bp-3, -0x1.82b52570ed0dap-3, -0x1.9184879e0c2a2p-3, -0x1.a052f1bc2e50ap-3, -0x1.af1cb290e48d7p-3, -0x1.bdde1213480fp-3, -0x1.cc9354bc76a07p-3, -0x1.db38bee9aa433p-3, -0x1.e9ca984a7c5b4p-3, -0x1.f8452f514f7eep-3, -0x1.03526e4c55c8ep-2, -0x1.0a7303176d7b7p-2, -0x1.1182915c5be1p-2, -0x1.187f5e2ec38aap-2, -0x1.1f67b9b7b4d69p-2, -0x1.263a006318583p-2, -0x1.2cf49be28c9c4p-2, -0x1.339604035fd3bp-2, -0x1.3a1cbf56b777ap-2, -0x1.408763ac44e4fp-2, -0x1.46d49661268cep-2, -0x1.4d030c85857afp-2, -0x1.53118adc67272p-2, -0x1.58fee5b9ccf3ap-2, -0x1.5eca00c397832p-2, -0x1.6471ce9a03833p-2, -0x1.69f5506c8f5f3p-2, -0x1.6f53958017fd6p-2, -0x1.748bbaaac490ap-2, -0x1.799ce9ca06d8dp-2, -0x1.7e8659369d36cp-2, -0x1.83474b3a120fdp-2, -0x1.87df0d88add8dp-2, -0x1.8c4cf8c268e4fp-2, -0x1.90906ffcd72edp-2, -0x1.94a8e057966bp-2, -0x1.9895c09c4e2fcp-2, -0x1.9c5690eae71ffp-2, -0x1.9feada723397p-2, -0x1.a3522f34efe36p-2, -0x1.a68c29dab325dp-2, -0x1.a9986d8c262f7p-2, -0x1.ac76a5d9a0f46p-2, -0x1.af2686ab247ccp-2, -0x1.b1a7cc388b1a1p-2, -0x1.b3fa3b08aeb3p-2, -0x1.b61d9ff63c9dbp-2, -0x1.b811d038ee0dap-2, -0x1.b9d6a971d6d6ep-2, -0x1.bb6c11b990effp-2, -0x1.bcd1f7af168e9p-2, -0x1.be0852862acbap-2, -0x1.bf0f2214553ep-2, -0x1.bfe66edb822b8p-2, -0x1.c08e4a11790bcp-2, -0x1.c106cda37cf5fp-2, -0x1.c1501c3579f5dp-2, -0x1.c16a611c5155cp-2, -0x1.c155d052e025ep-2, -0x1.c112a66984304p-2, -0x1.c0a1286ff5921p-2, -0x1.c001a3d966768p-2, -0x1.bf346e5aec77fp-2, -0x1.be39e5c452706p-2, -0x1.bd126fd3781c1p-2, -0x1.bbbe7a0281861p-2, -0x1.ba3e79511b4bap-2, -0x1.b892ea092827fp-2, -0x1.b6bc4f7f3889cp-2, -0x1.b4bb33cf2d64ep-2, -0x1.b29027957748ap-2, -0x1.b03bc1a556701p-2, -0x1.adbe9ebc96126p-2, -0x1.ab19613531c67p-2, -0x1.a84cb0b54f69p-2, -0x1.a55939de06073p-2, -0x1.a23fadf95927bp-2, -0x1.9f00c2a7cbd86p-2, -0x1.9b9d318dfac4cp-2, -0x1.9815b8028eb3fp-2, -0x1.946b16bcea61p-2, -0x1.909e1184dee45p-2, -0x1.8caf6ee3b5d6ap-2, -0x1.889ff7d6d63c1p-2, -0x1.8470778440e69p-2, -0x1.8021baf11e5f8p-2, -0x1.7bb490ba8ba41p-2, -0x1.7729c8d0d1afbp-2, -0x1.728234352b74ap-2, -0x1.6dbea4ba37493p-2, -0x1.68dfecc728e62p-2, -0x1.63e6df1dcedffp-2, -0x1.5ed44ea377ea6p-2, -0x1.59a90e2cbc4e1p-2, -0x1.5465f04c30647p-2, -0x1.4f0bc723f983p-2, -0x1.499b643a44036p-2, -0x1.4415985088dp-2, -0x1.3e7b333d9cbfp-2, -0x1.38cd03ca71fa9p-2, -0x1.330bd7918007ap-2, -0x1.2d387ae0b2c05p-2, -0x1.2753b89dd2a02p-2, -0x1.215e5a2d4565ap-2, -0x1.1b59275b15e22p-2, -0x1.1544e6461a816p-2, -0x1.0f225b4d2b95fp-2, -0x1.08f248fe4558p-2, -0x1.02b5700775ee8p-2, -0x1.f8d91e530bd21p-3, -0x1.ec30c65860239p-3, -0x1.df734da7a8b79p-3, -0x1.d2a225b112af8p-3, -0x1.c5bebbbcd908ap-3, -0x1.b8ca78de36185p-3, -0x1.abc6c1e8668e5p-3, -0x1.9eb4f76595875p-3, -0x1.9196758f814eap-3, -0x1.846c94499c1d9p-3, -0x1.7738a71c8e753p-3, -0x1.69fbfd32e80dep-3, -0x1.5cb7e156d605ep-3, -0x1.4f6d99f0bce07p-3, -0x1.421e6906978e7p-3, -0x1.34cb8c3bebfeap-3, -0x1.27763cd248e6cp-3, -0x1.1a1fafaa2a75dp-3, -0x1.0cc9154421001p-3, -0x1.fee73384788b4p-4, -0x1.e440c9d312665p-4, -0x1.c9a134474b3e5p-4, -0x1.af0ab100a48abp-4, -0x1.947f756dda03ep-4, -0x1.7a01ae4fa58c8p-4, -0x1.5f937fbb3010ep-4, -0x1.4537051c1f01cp-4, -0x1.2aee51362bf0bp-4, -0x1.10bb6e26464e5p-4, -0x1.ed40bac64973cp-5, -0x1.b93e2f7aaf4efp-5, -0x1.85731abd7aae1p-5, -0x1.51e34b92dfd6cp-5, -0x1.1e927fac3e0ddp-5, -0x1.d708c6c76fdc4p-6, -0x1.7179236d7ffe9p-6, -0x1.0c7d287f30fa4p-6, -0x1.50378cb7c0babp-7, -0x1.116f29f450e0ap-8, 0x1.ebc209bbf99abp-10, 0x1.024ae6f1aced2p-7, 0x1.c5b3938a11aeap-7, 0x1.43d2e261c7586p-6, 0x1.a40a9f7dc96a1p-6, 0x1.01bd835644b46p-5, 0x1.310f207eff7dfp-5, 0x1.5ff74d8b51f3dp-5, 0x1.8e7342a3a861cp-5, 0x1.bc8049d2721a7p-5, 0x1.ea1bbf0fb0d3p-5, 0x1.0ba18826147fbp-4, 0x1.21f9debe0d73ep-4, 0x1.3815ac50b04a3p-4, 0x1.4df3c2ea73e23p-4, 0x1.6392fda7a500cp-4, 0x1.78f240b84abc2p-4, 0x1.8e10796383ccp-4, 0x1.a2ec9e0a5df96p-4, 0x1.b785ae2a13cd4p-4, 0x1.cbdab25db2125p-4, 0x1.dfeabc5eff2bdp-4, 0x1.f3b4e706c49e3p-4, 0x1.039c2b2626707p-3, 0x1.0d3a1ba20c51p-3, 0x1.16b3e00eecc8bp-3, 0x1.20091810bef48p-3, 0x1.293967d5ba95ep-3, 0x1.3244781408fap-3, 0x1.3b29f606fd5edp-3, 0x1.43e9936bdcc1ap-3, 0x1.4c83067e2e0cfp-3, 0x1.54f609f392a5ep-3, 0x1.5d425cf723d45p-3, 0x1.6567c3245505fp-3, 0x1.6d6604815a0adp-3, 0x1.753ced7918552p-3, 0x1.7cec4ed48d3e9p-3, 0x1.8473fdb3cd634p-3, 0x1.8bd3d38673bbbp-3, 0x1.930bae03a485p-3, 0x1.9a1b6f2192612p-3, 0x1.a102fd0c868eap-3, 0x1.a7c2421d77a94p-3, 0x1.ae592cd027e7bp-3, 0x1.b4c7afb8cf3ecp-3, 0x1.bb0dc17954ec9p-3, 0x1.c12b5cb61a2fap-3, 0x1.c720800a52a45p-3, 0x1.cced2dfbf6998p-3, 0x1.d2916cef4cb8cp-3, 0x1.d80d471a0cc47p-3, 0x1.dd60ca7619a97p-3, 0x1.e28c08b3e8e24p-3, 0x1.e78f172c8592dp-3, 0x1.ec6a0ed334a5bp-3, 0x1.f11d0c26cfe6ep-3, 0x1.f5a82f22c13e4p-3, 0x1.fa0b9b2fbbf12p-3, 0x1.fe4777141dee2p-3, 0x1.012df672071fdp-2, 0x1.032494f8ac51cp-2, 0x1.0507af5d83258p-2, 0x1.06d75f6e5ba19p-2, 0x1.0893c07ee4de5p-2, 0x1.0a3cef601fac7p-2, 0x1.0bd30a57c0155p-2, 0x1.0d5631176fa11p-2, 0x1.0ec684b401192p-2, 0x1.1024279c8c1a8p-2, 0x1.116f3d917a951p-2, 0x1.12a7eb9b8442cp-2, 0x1.13ce58029ced1p-2, 0x1.14e2aa44d975fp-2, 0x1.15e50b0d449b1p-2, 0x1.16d5a42ab115ap-2, 0x1.17b4a086843fcp-2, 0x1.18822c1b769cdp-2, 0x1.193e73ec59a89p-2, 0x1.19e9a5fad4da6p-2, 0x1.1a83f13e269dep-2, 0x1.1b0d8599e69dbp-2, 0x1.1b8693d4ca406p-2, 0x1.1bef4d8f70a04p-2, 0x1.1c47e53b32e89p-2, 0x1.1c908e10fc9d5p-2, 0x1.1cc97c082f52cp-2, 0x1.1cf2e3cd90116p-2, 0x1.1d0cfaba417bap-2, 0x1.1d17f6cacab41p-2, 0x1.1d140e962f6b1p-2, 0x1.1d0179451750cp-2, 0x1.1ce06e8904ecp-2, 0x1.1cb12693a4311p-2, 0x1.1c73da0e272adp-2, 0x1.1c28c210bd082p-2, 0x1.1bd0181a1ba11p-2, 0x1.1b6a1607219e4p-2, 0x1.1af6f60a91b08p-2, 0x1.1a76f2a4e5193p-2, 0x1.19ea469c3a572p-2, 0x1.19512cf45b942p-2, 0x1.18abe0e6e67efp-2, 0x1.17fa9ddb89b25p-2, 0x1.173d9f60669d1p-2, 0x1.167521228b9a5p-2, 0x1.15a15ee68f77p-2, 0x1.14c294814d121p-2, 0x1.13d8fdd0be369p-2, 0x1.12e4d6b4f5b03p-2, 0x1.11e65b093cfecp-2, 0x1.10ddc69d52254p-2, 0x1.0fcb552ec6e6p-2, 0x1.0eaf4262847efp-2, 0x1.0d89c9be70631p-2, 0x1.0c5b26a33503ap-2, 0x1.0b2394462e396p-2, 0x1.09e34dab77fbep-2, 0x1.089a8da0235bep-2, 0x1.07498eb48e3cap-2, 0x1.05f08b36df1d5p-2, 0x1.048fbd2da6b58p-2, 0x1.03275e52a5a1ap-2, 0x1.01b7a80db690ap-2, 0x1.0040d36fdc821p-2, 0x1.fd86325cf1325p-3, 0x1.fa7d633d3e539p-3, 0x1.f767a96134246p-3, 0x1.f44573d70d943p-3, 0x1.f11730d23c72fp-3, 0x1.eddd4da3405efp-3, 0x1.ea9836afc8766p-3, 0x1.e748576b153fbp-3, 0x1.e3ee1a4ead403p-3, 0x1.e089e8d35006dp-3, 0x1.dd1c2b6a3a236p-3, 0x1.d9a54976a4ee1p-3, 0x1.d625a9479497ep-3, 0x1.d29db011e914cp-3, 0x1.cf0dc1eab3a21p-3, 0x1.cb7641c1d0e86p-3, 0x1.c7d7915cc7ba3p-3, 0x1.c4321151e8e95p-3, 0x1.c0862103b57bp-3, 0x1.bcd41e9c7fcadp-3, 0x1.b91c670a5149fp-3, 0x1.b55f55fb14da3p-3, 0x1.b19d45d8f50eep-3, 0x1.add68fc701adp-3, 0x1.aa0b8b9e101acp-3, 0x1.a63c8fe9d4fbbp-3, 0x1.a269f1e63e02dp-3, 0x1.9e94057d04104p-3, 0x1.9abb1d4373d87p-3, 0x1.96df8a7875dfep-3, 0x1.93019d02c7b8fp-3, 0x1.8f21a36f6cac5p-3, 0x1.8b3feaf0586f3p-3, 0x1.875cbf5b4959p-3, 0x1.83786b28d8417p-3, 0x1.7f933773b61b8p-3, 0x1.7bad6bf825614p-3, 0x1.77c74f139951cp-3, 0x1.73e125c487527p-3, 0x1.6ffb33aa68b1fp-3, 0x1.6c15bb05e5c16p-3, 0x1.6830fcb92f8d2p-3, 0x1.644d384884aeap-3, 0x1.606aabdadbf1bp-3, 0x1.5c89943abbd55p-3, 0x1.58aa2cd7353c1p-3, 0x1.54ccafc50a174p-3, 0x1.50f155bff1faap-3, 0x1.4d18562c0aaa9p-3, 0x1.4941e7176773ep-3, 0x1.456e3d3bbf4cap-3, 0x1.419d8c00436bcp-3, 0x1.3dd0057b90438p-3, 0x1.3a05da75c0ca2p-3, 0x1.363f3a6a98a1ap-3, 0x1.327c538bd6b4dp-3, 0x1.2ebd52c395e87p-3, 0x1.2b0263b6d5607p-3, 0x1.274bb0c80ed8dp-3, 0x1.23996319eca85p-3, 0x1.1feba29216a22p-3, 0x1.1c4295dc14f57p-3, 0x1.189e626c42e17p-3, 0x1.14ff2c82e1f59p-3, 0x1.1165172f353c5p-3, 0x1.0dd04452b6c92p-3, 0x1.0a40d4a45dfd1p-3, 0x1.06b6e7b3ee972p-3, 0x1.03329bed63ea4p-3, 0x1.ff681d38cf05ap-4, 0x1.f876b7df96a16p-4, 0x1.f1913dfa46f7ep-4, 0x1.eab7e388b9696p-4, 0x1.e3eada66cd7c6p-4, 0x1.dd2a5253d14d9p-4, 0x1.d67678f9f9d53p-4, 0x1.cfcf79f5ee865p-4, 0x1.c9357ede6bccap-4, 0x1.c2a8af4bec93ep-4, 0x1.bc2930e06566cp-4, 0x1.b5b7274f14aa7p-4, 0x1.af52b464484b4p-4, 0x1.a8fbf80d46997p-4, 0x1.a2b310602c97p-4, 0x1.9c7819a3ddddap-4, 0x1.964b2e57f8903p-4, 0x1.902c673cc2cap-4, 0x1.8a1bdb5b2f46ep-4, 0x1.8419a00cd2bd2p-4, 0x1.7e25c903e5006p-4, 0x1.784068533a3aep-4, 0x1.72698e763e9c2p-4, 0x1.6ca14a58f1814p-4, 0x1.66e7a95fd9938p-4, 0x1.613cb76ff69d5p-4, 0x1.5ba07ef6a8febp-4, 0x1.561308f19eefp-4, 0x1.50945cf6aab3ap-4, 0x1.4b24813b9dc3bp-4, 0x1.45c37a9e1226ap-4, 0x1.40714cab2f404p-4, 0x1.3b2df9a760b6dp-4, 0x1.35f9829604334p-4, 0x1.30d3e7410b582p-4, 0x1.2bbd26408ca7ap-4, 0x1.26b53d024cd9bp-4, 0x1.21bc27d131d9ep-4, 0x1.1cd1e1dcb34f5p-4, 0x1.17f665402fdfdp-4, 0x1.1329ab0a34bap-4, 0x1.0e6bab43bc80ep-4, 0x1.09bc5cf75211cp-4, 0x1.051bb6382a7e4p-4, 0x1.0089ac2927a05p-4, 0x1.f80c660794a42p-5, 0x1.ef227c3e250e9p-5, 0x1.e6557fec8ef25p-5, 0x1.dda5545f697b6p-5, 0x1.d511db4692387p-5, 0x1.cc9af4c24cdc8p-5, 0x1.c4407f7041edap-5, 0x1.bc0258783e1eap-5, 0x1.b3e05b98d907bp-5, 0x1.abda6333e8809p-5, 0x1.a3f0485acda0fp-5, 0x1.9c21e2da8c46p-5, 0x1.946f0947c5637p-5, 0x1.8cd7910a72b48p-5, 0x1.855b4e6982c1bp-5, 0x1.7dfa149645678p-5, 0x1.76b3b5b7a882fp-5, 0x1.6f8802f5413f8p-5, 0x1.6876cc8233f88p-5, 0x1.617fe1a7e4832p-5, 0x1.5aa310d07c996p-5, 0x1.53e0279140a9bp-5, 0x1.4d36f2b4b850ap-5, 0x1.46a73e44af6b4p-5, 0x1.4030d593f611ap-5, 0x1.39d383480a0cep-5, 0x1.338f116279ef1p-5, 0x1.2d63494a3368cp-5, 0x1.274ff3d48f787p-5, 0x1.2154d94e367eep-5, 0x1.1b71c183db28p-5, 0x1.15a673cabf7f5p-5, 0x1.0ff2b70915c6bp-5, 0x1.0a5651be34443p-5, 0x1.04d10a0a8bd6fp-5, 0x1.fec54b6f04195p-6, 0x1.f415d47e4c8aap-6, 0x1.e99339a72d3cbp-6, 0x1.df3d04cccea93p-6, 0x1.d512bf5f840adp-6, 0x1.cb13f26aadb03p-6, 0x1.c14026a273335p-6, 0x1.b796e470f7fdp-6, 0x1.ae17b4035f3adp-6, 0x1.a4c21d566c9c7p-6, 0x1.9b95a842c779fp-6, 0x1.9291dc890c043p-6, 0x1.89b641dd6d45ap-6, 0x1.81025ff30df55p-6, 0x1.7875be8715baep-6, 0x1.700fe56b741e9p-6, 0x1.67d05c9143114p-6, 0x1.5fb6ac12f8e61p-6, 0x1.57c25c3e45279p-6, 0x1.4ff2f59d8db87p-6, 0x1.4848010146a8ep-6, 0x1.40c10788e61fcp-6, 0x1.395d92ab961ddp-6, 0x1.321d2c40aeaa1p-6, 0x1.2aff5e87d5eaep-6, 0x1.2403b430cf538p-6, 0x1.1d29b8635b005p-6, 0x1.1670f6c63fdb7p-6, 0x1.0fd8fb86a97edp-6, 0x1.0961535ee70d5p-6, 0x1.03098b9cffd3bp-6, 0x1.f9a26452507d5p-7, 0x1.ed6fab1794e5ap-7, 0x1.e17a09e6fed3cp-7, 0x1.d5c0a07548458p-7, 0x1.ca428fd9903c9p-7, 0x1.befefa97ee885p-7, 0x1.b3f504ab4c61ap-7, 0x1.a923d38ec295ap-7, 0x1.9e8a8e471c47ep-7, 0x1.94285d6b2c86ep-7, 0x1.89fc6b2c5efcdp-7, 0x1.8005e35e53bep-7, 0x1.7643f37ebea54p-7, 0x1.6cb5cabc1dbbap-7, 0x1.635a99fccdeb4p-7, 0x1.5a3193e538e3p-7, 0x1.5139ecddf64f9p-7, 0x1.4872db195d872p-7, 0x1.3fdb9698eb946p-7, 0x1.37735932450c7p-7, 0x1.2f395e93b7432p-7, 0x1.272ce448cd0ecp-7, 0x1.1f4d29be180a9p-7, 0x1.1799704527063p-7, 0x1.1010fb1793f5bp-7, 0x1.08b30f5a85b55p-7, 0x1.017ef4216f294p-7, 0x1.f4e7e4e0c9582p-8, 0x1.e722aa7d58595p-8, 0x1.d9acd2f1560f1p-8, 0x1.cc84fc035e48bp-8, 0x1.bfa9c76adea0cp-8, 0x1.b319dad2bd205p-8, 0x1.a6d3dfdb3ca9bp-8, 0x1.9ad6841c19af7p-8, 0x1.8f207925102f7p-8, 0x1.83b0747f1423p-8, 0x1.78852facb71bdp-8, 0x1.6d9d682962ab2p-8, 0x1.62f7df69e3b6ap-8, 0x1.58935adabd384p-8, 0x1.4e6ea3df55238p-8, 0x1.448887d0476dp-8, 0x1.3adfd7f9400abp-8, 0x1.3173699704844p-8, 0x1.284215d4b5ac3p-8, 0x1.1f4ab9c8c046ep-8, 0x1.168c3671edc95p-8, 0x1.0e0570b3a0037p-8, 0x1.05b551520699fp-8, 0x1.fb3589dc1df23p-9, 0x1.eb69780279d69p-9, 0x1.dc0455b1b88adp-9, 0x1.cd04132212f5p-9, 0x1.be66a81fe3d65p-9, 0x1.b02a140052e95p-9, 0x1.a24c5d975eb82p-9, 0x1.94cb932a732e1p-9, 0x1.87a5ca672431cp-9, 0x1.7ad920548ce73p-9, 0x1.6e63b94807c0ap-9, 0x1.6243c0d81aa18p-9, 0x1.567769ceb08d2p-9, 0x1.4afcee1bc6bcap-9, 0x1.3fd28ec7a7fdbp-9, 0x1.34f693e4747cbp-9, 0x1.2a674c7fe92bdp-9, 0x1.20230e9488699p-9, 0x1.162836fa6bf5dp-9, 0x1.0c752958e8e14p-9, 0x1.03085015aca94p-9, 0x1.f3c0388d79d48p-10, 0x1.e1f60b43475cbp-10, 0x1.d0af14d7fde93p-10, 0x1.bfe85ed546db6p-10, 0x1.af9effa50c2b2p-10, 0x1.9fd01a6e3a90cp-10, 0x1.9078def50f29p-10, 0x1.8196897914df3p-10, 0x1.7326629436d09p-10, 0x1.6525bf183f9dp-10, 0x1.5791ffed72313p-10, 0x1.4a6891f03f22ap-10, 0x1.3da6edceb8bdap-10, 0x1.314a97e7689c7p-10, 0x1.25512024f075ep-10, 0x1.19b821ddd766bp-10, 0x1.0e7d43af841e5p-10, 0x1.039e375ddf42ap-10, 0x1.f231735da4f03p-11, 0x1.ddd52491f0ba7p-11, 0x1.ca23271fcef26p-11, 0x1.b7173504b29ddp-11, 0x1.a4ad1d2dcd583p-11, 0x1.92e0c333f1d5cp-11, 0x1.81ae1f1508015p-11, 0x1.71113cf1126e1p-11, 0x1.61063cc37d86fp-11, 0x1.5189521ff4d09p-11, 0x1.4296c3ecb98e8p-11, 0x1.342aec1fee76ep-11, 0x1.2642377974854p-11, 0x1.18d92542ec3c2p-11, 0x1.0bec47077c1d8p-11, 0x1.fef080ab2a5e7p-12, 0x1.e6f38cf0b4857p-12, 0x1.cfdb406f3fb8bp-12, 0x1.b9a14b2b18b0ap-12, 0x1.a43f7f177fa0fp-12, 0x1.8fafcf963c651p-12, 0x1.7bec50f636ebdp-12, 0x1.68ef37f0f4d04p-12, 0x1.56b2d92bdc113p-12, 0x1.4531a8b8b4945p-12, 0x1.34663997a1b6bp-12, 0x1.244b3d39246b3p-12, 0x1.14db83043ba47p-12, 0x1.0611f7d7a2183p-12, 0x1.efd34b22760cep-13, 0x1.d4bb652cc3f86p-13, 0x1.bad2c2b2eb7p-13, 0x1.a2101fc531075p-13, 0x1.8a6a6eb8b5356p-13, 0x1.73d8d7351d72p-13, 0x1.5e52b554f6f49p-13, 0x1.49cf98ba72436p-13, 0x1.364743ae4ba51p-13, 0x1.23b1aa3f92f3p-13, 0x1.1206f1653b2fp-13, 0x1.013f6e1c3764bp-13, 0x1.e2a7492ac3f29p-14, 0x1.c4788eb280361p-14, 0x1.a7e46ce16f352p-14, 0x1.8cdcfd30af664p-14, 0x1.7354b0d19ef53p-14, 0x1.5b3e4f1cb73dep-14, 0x1.448cf3ef28c51p-14, 0x1.2f340e23d7833p-14, 0x1.1b275df89ed44p-14, 0x1.085af38dc00f6p-14, 0x1.ed865abfe146ap-15, 0x1.cca96d870a038p-15, 0x1.ae090ce7ca8b5p-15, 0x1.918fba28c65bdp-15, 0x1.7728878024c4dp-15, 0x1.5ebf15410b302p-15, 0x1.483f8f0dd36bbp-15, 0x1.3396a90b1e166p-15, 0x1.20b19d2be30bdp-15, 0x1.0f7e287f2cc04p-15, 0x1.ffd510eba6088p-16, 0x1.e3caf0c16a5cep-16, 0x1.cabc5d84c7817p-16, 0x1.b488b59734be9p-16, 0x1.a11043b7c64dfp-16, 0x1.90343a14d0bcp-16, 0x1.81d6ad5798456p-16, 0x1.75da8fd75cbc3p-16, 0x1.6c23acf2f834p-16, 0x1.6496a44e94722p-16, 0x1.5f18e556e244ep-16, 0x1.5b90aaa5e9ea8p-16, 0x1.59e4f59dcf775p-16, 0x1.59fd8a011af7ap-16, 0x1.5bc2e9a7195b8p-16, 0x1.5f1e50352dfebp-16, 0x1.63f9af01a2ebfp-16, 0x1.6a3fa8e4ac33cp-16, 0x1.71db8e53aa9dcp-16, 0x1.7ab9593931f4p-16, 0x1.84c5a92a4baap-16, 0x1.8fedbf83279b2p-16, 0x1.9c1f7ba8b894cp-16, 0x1.a94957515545bp-16, 0x1.b75a62e1a6b12p-16, 0x1.c64241d00525dp-16, 0x1.d5f1271642e14p-16, 0x1.e657d1d2df5bep-16, 0x1.f76789cf4c1d3p-16, 0x1.04890e18be5e9p-15, 0x1.0da4ec191b411p-15, 0x1.1700c5f62cd59p-15, 0x1.20964092fe87ap-15, 0x1.2a5f3d1c14711p-15, 0x1.3455d788b07b3p-15, 0x1.3e74651179d8p-15, 0x1.48b572c0847a4p-15, 0x1.5313c4014dbe1p-15, 0x1.5d8a5131d8f03p-15, 0x1.68144643b487bp-15, 0x1.72ad015c7d4ebp-15, 0x1.7d501187a3659p-15, 0x1.87f9355eb62c9p-15, 0x1.92a459c9fa634p-15, 0x1.9d4d98baeac1dp-15, 0x1.a7f137f35b98dp-15, 0x1.b28ba7cd4c194p-15, 0x1.bd19820f7f63dp-15, 0x1.c79788c28e49ap-15, 0x1.d202a50ee65cp-15, 0x1.dc57e622a6a22p-15, 0x1.e694801d2058p-15, 0x1.f0b5caf68a894p-15, 0x1.fab9417c15908p-15, 0x1.024e4023aa79cp-14, 0x1.072ea25e28e2fp-14, 0x1.0bfcb609d2084p-14, 0x1.10b77931d752bp-14, 0x1.155df8d95a0abp-14, 0x1.19ef50846e9ddp-14, 0x1.1e6aa9c69f5c2p-14, 0x1.22cf3bd166613p-14, 0x1.271c4b0994499p-14, 0x1.2b51289799ccdp-14, 0x1.2f6d32029dd4ep-14, 0x1.336fd0c879b0cp-14, 0x1.375879fbafc78p-14, 0x1.3b26addda4784p-14, 0x1.3ed9f781fa25bp-14, 0x1.4271ec711c77bp-14, 0x1.45ee2c4b63a84p-14, 0x1.494e60718d1f5p-14, 0x1.4c923baf51648p-14, 0x1.4fb979e316083p-14, 0x1.52c3dfae37782p-14, 0x1.55b13a2212057p-14, 0x1.58815e72e1366p-14, 0x1.5b3429a97e244p-14, 0x1.5dc98058dbdb2p-14, 0x1.60414e559dfe5p-14, 0x1.629b866fa3dep-14, 0x1.64d8222a1cd97p-14, 0x1.66f72179311ep-14, 0x1.68f88a7f0e929p-14, 0x1.6adc694d695b1p-14, 0x1.6ca2cfa51cd02p-14, 0x1.6e4bd4ba11f0bp-14, 0x1.6fd794f77c4b2p-14, 0x1.714631c7cb8a2p-14, 0x1.7297d1598ea43p-14, 0x1.73cc9e69e62dcp-14, 0x1.74e4c80f6add6p-14, 0x1.75e08186e3c01p-14, 0x1.76c001fe3e089p-14, 0x1.7783846808f8bp-14, 0x1.782b474942966p-14, 0x1.78b78c898c78fp-14, 0x1.7928994912abcp-14, 0x1.797eb5b37b70bp-14, 0x1.79ba2cd486747p-14, 0x1.79db4c708a14fp-14, 0x1.79e264db9556ap-14, 0x1.79cfc8d2fa7bcp-14, 0x1.79a3cd58b8401p-14, 0x1.795ec98ce545dp-14, 0x1.7901168aca628p-14, 0x1.788b0f467f581p-14, 0x1.77fd106daef5fp-14, 0x1.7757784471443p-14, 0x1.769aa6876503fp-14, 0x1.75c6fc4ddad75p-14, 0x1.74dcdbed28638p-14, 0x1.73dca8db53bbcp-14, 0x1.72c6c791d3b21p-14, 0x1.719b9d7704074p-14, 0x1.705b90c187522p-14, 0x1.6f070860f3c43p-14, 0x1.6d9e6be576c1ep-14, 0x1.6c22236a11648p-14, 0x1.6a92977ccee3ap-14, 0x1.68f0310907c19p-14, 0x1.673b5944289e7p-14, 0x1.657479994729dp-14, 0x1.639bfb9514c09p-14, 0x1.61b248d384fd7p-14, 0x1.5fb7caef16391p-14, 0x1.5daceb706ff7ap-14, 0x1.5b9213bb549c2p-14, 0x1.5967ad007a2c1p-14, 0x1.572e202d5c9edp-14, 0x1.54e5d5deedb88p-14, 0x1.528f3653604bp-14, 0x1.502aa95b10a9bp-14, 0x1.4db8964ea1471p-14, 0x1.4b3963ffac654p-14, 0x1.48ad78b042dd6p-14, 0x1.46153a05245d4p-14, 0x1.43710cfbdcebap-14, 0x1.40c155e0401dbp-14, 0x1.3e0678435426ap-14, 0x1.3b40d6f1e69d8p-14, 0x1.3870d3eb83fb2p-14, 0x1.3596d05a63304p-14, 0x1.32b32c8c016a3p-14, 0x1.2fc647e85478bp-14, 0x1.2cd080eb75543p-14, 0x1.29d2351f2f426p-14, 0x1.26cbc11403b9dp-14, 0x1.23bd805bf9481p-14, 0x1.20a7cd83da8cp-14, 0x1.1d8b020fa7952p-14, 0x1.1a67767603501p-14, 0x1.173d8218bd758p-14, 0x1.140d7b43524b2p-14, 0x1.10d7b725d34c1p-14, 0x1.0d9c89d163e15p-14, 0x1.0a5c4635bd4b6p-14, 0x1.07173e1ce72d7p-14, 0x1.03cdc229a435fp-14, 0x1.008021d386893p-14, 0x1.fa5d56cd6c95p-15, 0x1.f3b358011b59cp-15, 0x1.ed02df1c27ad7p-15, 0x1.e64c8193d11cep-15, 0x1.df90d279160cdp-15, 0x1.d8d0627233323p-15, 0x1.d20bbfbda5817p-15, 0x1.cb43762e0f39p-15, 0x1.c4780f29efd23p-15, 0x1.bdaa11aaa0f59p-15, 0x1.b6da023ca0569p-15, 0x1.b00862ff41e11p-15, 0x1.a935b3a6a42a2p-15, 0x1.a2627179881dap-15, 0x1.9b8f175564bf4p-15, 0x1.94bc1dad6c681p-15, 0x1.8de9fa8e46d13p-15, 0x1.871921a1526c7p-15, 0x1.804a042afcb1ap-15, 0x1.797d110eca57fp-15, 0x1.72b2b4d257785p-15, 0x1.6beb59a0ae842p-15, 0x1.6527674da83dap-15, 0x1.5e674358d91e1p-15, 0x1.57ab50efda14fp-15, 0x1.50f3f0f448ccbp-15, 0x1.4a4181ff9c029p-15, 0x1.43946065c9f2fp-15, 0x1.3cece63a96a1fp-15, 0x1.364b6b55476adp-15, 0x1.2fb045571ed81p-15, 0x1.291bc7ad424eep-15, 0x1.228e439821e4dp-15, 0x1.1c08082ff388p-15, 0x1.158962697e7f6p-15, 0x1.0f129d1b4d3d8p-15, 0x1.08a401039ba14p-15, 0x1.023dd4cc9258bp-15, 0x1.f7c0ba282225dp-16, 0x1.eb17b8dea8027p-16, 0x1.de8126e199ad2p-16, 0x1.d1fd815e9e555p-16, 0x1.c58d419563a5fp-16, 0x1.b930dce6520f6p-16, 0x1.ace8c4dc18406p-16, 0x1.a0b567395e316p-16, 0x1.94972e03b54c9p-16, 0x1.888e7f8fea646p-16, 0x1.7c9bbe8f8594fp-16, 0x1.70bf4a1dceee2p-16, 0x1.64f97dc97d3b9p-16, 0x1.594ab1a39d77cp-16, 0x1.4db33a4d192ap-16, 0x1.4233690178713p-16, 0x1.36cb8ba442e95p-16, 0x1.2b7beccd1461cp-16, 0x1.2044d3d5c8f71p-16, 0x1.152684e5d898cp-16, 0x1.0a2141001d895p-16, 0x1.fe6a8c1b91b27p-17, }}, 
      {{-0x1.46aa2a425d07p-8, -0x1.46cef5790718fp-7, -0x1.ea91f5f77d2abp-7, -0x1.4760b8e4e70bap-6, -0x1.99bfa46d2ae6fp-6, -0x1.ec75b990b85b5p-6, -0x1.1fc8ebfb8b781p-5, -0x1.4990d3a0075aep-5, -0x1.7398c24d10ba6p-5, -0x1.9de63b2d1c324p-5, -0x1.c87e11af36c1dp-5, -0x1.f364669ced524p-5, -0x1.0f4e53431c464p-4, -0x1.2514c4d80653ep-4, -0x1.3b068ade4297p-4, -0x1.512450970834p-4, -0x1.676e6c6102c47p-4, -0x1.7de4e33c6ef2ep-4, -0x1.94876d01a2bd8p-4, -0x1.ab55791beedc4p-4, -0x1.c24e339737defp-4, -0x1.d9708a5068a3dp-4, -0x1.f0bb321ed427dp-4, -0x1.041655ea60269p-3, -0x1.0fe1a47f71952p-3, -0x1.1bbe9829d8e48p-3, -0x1.27ac30e5ed961p-3, -0x1.33a95d3207a1cp-3, -0x1.3fb4fbc6c3525p-3, -0x1.4bcddd2afab1cp-3, -0x1.57f2c528e24f9p-3, -0x1.64226c29e0806p-3, -0x1.705b807e8ea1p-3, -0x1.7c9ca797988d5p-3, -0x1.88e47f336dd79p-3, -0x1.95319e83a5dc2p-3, -0x1.a182974c0a51ap-3, -0x1.add5f6fc3794bp-3, -0x1.ba2a47c40a1abp-3, -0x1.c67e11a23c79p-3, -0x1.d2cfdb6c44fdcp-3, -0x1.df1e2bcdf4389p-3, -0x1.eb678a3f4ec88p-3, -0x1.f7aa7feef1aaep-3, -0x1.01f2cc4fb636p-2, -0x1.080bb1bb0fe54p-2, -0x1.0e1f39dd3444cp-2, -0x1.142cb0c216ad5p-2, -0x1.1a33652c8f17bp-2, -0x1.2032a8dc309c5p-2, -0x1.2629d0ca5182fp-2, -0x1.2c18355e64fc7p-2, -0x1.31fd3299f22dcp-2, -0x1.37d8283c82b31p-2, -0x1.3da879e00979cp-2, -0x1.436d8f0e4d5b5p-2, -0x1.4926d34ff63e3p-2, -0x1.4ed3b635e2fb8p-2, -0x1.5473ab5d715dcp-2, -0x1.5a062a7069045p-2, -0x1.5f8aaf213593cp-2, -0x1.6500b92408cf9p-2, -0x1.6a67cc2591759p-2, -0x1.6fbf6fbfca5a8p-2, -0x1.75072f6d6da41p-2, -0x1.7a3e9a7c83c11p-2, -0x1.7f65440077ac8p-2, -0x1.847ac2c408e3p-2, -0x1.897eb13b71ae3p-2, -0x1.8e70ad76f76e9p-2, -0x1.935059161fd22p-2, -0x1.981d593bac65cp-2, -0x1.9cd756827a681p-2, -0x1.a17dfcf356b47p-2, -0x1.a610fbfbc8686p-2, -0x1.aa900665db101p-2, -0x1.aefad250d4ff8p-2, -0x1.b351192ad02bfp-2, -0x1.b79297ab253eap-2, -0x1.bbbf0dcd8bdb3p-2, -0x1.bfd63ecdd8c99p-2, -0x1.c3d7f1243bab3p-2, -0x1.c7c3ee81e40acp-2, -0x1.cb9a03cde783p-2, -0x1.cf5a0122513dcp-2, -0x1.d303b9c9395c7p-2, -0x1.d6970439cc1c1p-2, -0x1.da13ba1521e8ep-2, -0x1.dd79b822d185p-2, -0x1.e0c8de4d25d2dp-2, -0x1.e4010f9ce1b6cp-2, -0x1.e722323481598p-2, -0x1.ea2c2f4ae8152p-2, -0x1.ed1ef3256c18p-2, -0x1.effa6d113f4d8p-2, -0x1.f2be8f5c1d5c3p-2, -0x1.f56b4f4c45c29p-2, -0x1.f800a517be8dap-2, -0x1.fa7e8bdad3596p-2, -0x1.fce5018de1507p-2, -0x1.ff3406fa652d7p-2, -0x1.00b5cfd7abff5p-1, -0x1.01c5e8fa6f887p-1, -0x1.02ca535fa90c1p-1, -0x1.03c314d0d4954p-1, -0x1.04b0345fa866ep-1, -0x1.0591ba5ebc60cp-1, -0x1.0667b059f1673p-1, -0x1.0732210e9ef46p-1, -0x1.07f118638e4f1p-1, -0x1.08a4a360c75a3p-1, -0x1.094cd027383b1p-1, -0x1.09e9ade83a797p-1, -0x1.0a7b4cdcfe645p-1, -0x1.0b01be3de31dcp-1, -0x1.0b7d1439be27cp-1, -0x1.0bed61ed1cc98p-1, -0x1.0c52bb597fbc4p-1, -0x1.0cad355c9d014p-1, -0x1.0cfce5a7a4cb3p-1, -0x1.0d41e2b696adap-1, -0x1.0d7c43c7a588ap-1, -0x1.0dac20d2b171p-1, -0x1.0dd19280db1bcp-1, -0x1.0decb22432c5ap-1, -0x1.0dfd99af884fap-1, -0x1.0e0463ae5f6bep-1, -0x1.0e012b3d06f96p-1, -0x1.0df40c00db7ap-1, -0x1.0ddd2220b1fe7p-1, -0x1.0dbc8a3d7026fp-1, -0x1.0d92616ad1381p-1, -0x1.0d5ec5285b204p-1, -0x1.0d21d35a82fcbp-1, -0x1.0cdbaa44011e4p-1, -0x1.0c8c687f592c1p-1, -0x1.0c342cf890744p-1, -0x1.0bd316e719ac1p-1, -0x1.0b6945c7eea62p-1, -0x1.0af6d957de5e4p-1, -0x1.0a7bf18e0abe1p-1, -0x1.09f8ae9696c1cp-1, -0x1.096d30cd85368p-1, -0x1.08d998b9c5361p-1, -0x1.083e07086f038p-1, -0x1.079a9c882b587p-1, -0x1.06ef7a24c86ffp-1, -0x1.063cc0e2fa2b5p-1, -0x1.058291dc42e53p-1, -0x1.04c10e3b059c4p-1, -0x1.03f85736bed1fp-1, -0x1.03288e1064551p-1, -0x1.0251d40ee7933p-1, -0x1.01744a7bddf4ap-1, -0x1.009012a04953ep-1, -0x1.ff4a9b83011f4p-2, -0x1.fd683a3c72a3dp-2, -0x1.fb7943d75cda5p-2, -0x1.f97dfaa5c44ddp-2, -0x1.f776a0dbfbf4p-2, -0x1.f563788b9582fp-2, -0x1.f344c39e845b2p-2, -0x1.f11ac3d26f8p-2, -0x1.eee5bab431beep-2, -0x1.eca5e99b847f3p-2, -0x1.ea5b91a6cff44p-2, -0x1.e806f3b7290d6p-2, -0x1.e5a8506c6aa97p-2, -0x1.e33fe8217ba7ap-2, -0x1.e0cdfae8abd62p-2, -0x1.de52c88839579p-2, -0x1.dbce9076ece7p-2, -0x1.d94191d8d4e4ep-2, -0x1.d6ac0b7c1cfbp-2, -0x1.d40e3bd5f98a8p-2, -0x1.d16860ffb1e32p-2, -0x1.cebab8b3bb317p-2, -0x1.cc05804aedcfdp-2, -0x1.c948f4b9cc2f8p-2, -0x1.c685528de02f6p-2, -0x1.c3bad5eb27d7bp-2, -0x1.c0e9ba8997a28p-2, -0x1.be123bb2abb86p-2, -0x1.bb34943f0c163p-2, -0x1.b850fe943d742p-2, -0x1.b567b4a26587p-2, -0x1.b278efe21c021p-2, -0x1.af84e95248cafp-2, -0x1.ac8bd9761516cp-2, -0x1.a98df852e5c3fp-2, -0x1.a68b7d6e65182p-2, -0x1.a3849fcc99b06p-2, -0x1.a07995ee0c65p-2, -0x1.9d6a95cdf6f95p-2, -0x1.9a57d4e082a0ep-2, -0x1.9741881113457p-2, -0x1.9427e3c09ead1p-2, -0x1.910b1bc40f801p-2, -0x1.8deb6362b580fp-2, -0x1.8ac8ed54c2f58p-2, -0x1.87a3ebc1d49e8p-2, -0x1.847c903f8914p-2, -0x1.81530bd0207c8p-2, -0x1.7e278ee12e4cdp-2, -0x1.7afa494a5210fp-2, -0x1.77cb6a4c007b2p-2, -0x1.749b208e59339p-2, -0x1.71699a2005e52p-2, -0x1.6e3704752ae1p-2, -0x1.6b038c6662c1ap-2, -0x1.67cf5e2fc49b8p-2, -0x1.649aa56ffbc5cp-2, -0x1.61658d2769cp-2, -0x1.5e303fb7569c3p-2, -0x1.5afae6e12d47bp-2, -0x1.57c5abc5c7aa3p-2, -0x1.5490b6e4c5c34p-2, -0x1.515c301bf3bb8p-2, -0x1.4e283ea6bd98cp-2, -0x1.4af5091dae60cp-2, -0x1.47c2b5760063dp-2, -0x1.449169013814cp-2, -0x1.4161486ccd64bp-2, -0x1.3e3277c1e331ep-2, -0x1.3b051a650daa4p-2, -0x1.37d9531621098p-2, -0x1.34af43f015e3ap-2, -0x1.31870e68f3987p-2, -0x1.2e60d351ccce7p-2, -0x1.2b3cb2d6c75dbp-2, -0x1.281acc7f31dcap-2, -0x1.24fb3f2da8212p-2, -0x1.21de292041decp-2, -0x1.1ec3a7f0d18bap-2, -0x1.1babd8952d61fp-2, -0x1.1896d75f88372p-2, -0x1.1584bffed4e1ap-2, -0x1.1275ad7f374p-2, -0x1.0f69ba4a80b05p-2, -0x1.0c610028ba29p-2, -0x1.095b9840bbf4ep-2, -0x1.06599b18cb967p-2, -0x1.035b20974c24ep-2, -0x1.0060400378555p-2, -0x1.fad2200c48deap-3, -0x1.f4eb4d5521ee5p-3, -0x1.ef0c32be87e33p-3, -0x1.e934f9ede3176p-3, -0x1.e365cb52d170ep-3, -0x1.dd9ece2923ac7p-3, -0x1.d7e0287ae6f99p-3, -0x1.d229ff227e6b6p-3, -0x1.cc7c75ccdb32ep-3, -0x1.c6d7aefbbe86p-3, -0x1.c13bcc081184dp-3, -0x1.bba8ed244c11ep-3, -0x1.b61f315ef6efep-3, -0x1.b09eb6a52ec04p-3, -0x1.ab2799c5478dp-3, -0x1.a5b9f671759a9p-3, -0x1.a055e74287d05p-3, -0x1.9afb85bab9005p-3, -0x1.95aaea487f6c8p-3, -0x1.90642c497a33fp-3, -0x1.8b27620d65c9ep-3, -0x1.85f4a0d91775ap-3, -0x1.80cbfce99092ep-3, -0x1.7bad897712b2fp-3, -0x1.769958b844745p-3, -0x1.718f7be5638c2p-3, -0x1.6c90033b7891ep-3, -0x1.679afdff9b81cp-3, -0x1.62b07a823e66cp-3, -0x1.5dd0862280d12p-3, -0x1.58fb2d518b371p-3, -0x1.54307b95f321ap-3, -0x1.4f707b8f22ddcp-3, -0x1.4abb36f8c9f99p-3, -0x1.4610b6ae55ac3p-3, -0x1.417102ae693dap-3, -0x1.3cdc221e60fc7p-3, -0x1.38521b4dd2905p-3, -0x1.33d2f3ba1c407p-3, -0x1.2f5eb011ea8d4p-3, -0x1.2af55438ca1ap-3, -0x1.2696e34ab9972p-3, -0x1.22435f9fb9e9ap-3, -0x1.1dfacacf663d9p-3, -0x1.19bd25b488936p-3, -0x1.158a7070af2eep-3, -0x1.1162aa6fc74cap-3, -0x1.0d45d26bad4a1p-3, -0x1.0933e66fc9fe9p-3, -0x1.052ce3dca1209p-3, -0x1.0130c76b68773p-3, -0x1.fa7f1a6331c4ep-4, -0x1.f2b26148f7bf8p-4, -0x1.eafb59397ae78p-4, -0x1.e359f6b3de40bp-4, -0x1.dbce2d0c274c9p-4, -0x1.d457ee723eafap-4, -0x1.ccf72bf8f297fp-4, -0x1.c5abd59ce94f9p-4, -0x1.be75da4b8cc4cp-4, -0x1.b75527e9eb845p-4, -0x1.b049ab5b97f1bp-4, -0x1.a95350896b591p-4, -0x1.a27202684c864p-4, -0x1.9ba5aaffe13f6p-4, -0x1.94ee33713da32p-4, -0x1.8e4b83fd74093p-4, -0x1.87bd840c2ade9p-4, -0x1.81441a32192cp-4, -0x1.7adf2c3775373p-4, -0x1.748e9f1e58c27p-4, -0x1.6e5257290fa91p-4, -0x1.682a37e05dbp-4, -0x1.62162419abb52p-4, -0x1.5c15fdfd2c6d7p-4, -0x1.5629a70be9bccp-4, -0x1.50510025c77fep-4, -0x1.4a8be98f6922p-4, -0x1.44da42f816d92p-4, -0x1.3f3beb7f7bd35p-4, -0x1.39b0c1bb65cd3p-4, -0x1.3438a3bd6259fp-4, -0x1.2ed36f1852d85p-4, -0x1.298100e5ea107p-4, -0x1.244135cc134ccp-4, -0x1.1f13ea024e5ddp-4, -0x1.19f8f956eb122p-4, -0x1.14f03f343e2c3p-4, -0x1.0ff996a5bbc7bp-4, -0x1.0b14da5cf9feep-4, -0x1.0641e4b6a57d4p-4, -0x1.01808fbf644d5p-4, -0x1.f9a16a712ba35p-5, -0x1.f0645d3a1d096p-5, -0x1.e749aa4b6dbd5p-5, -0x1.de51039c2e77fp-5, -0x1.d57a1ab19b315p-5, -0x1.ccc4a0a7e3c32p-5, -0x1.c430463ac077cp-5, -0x1.bbbcbbcdebdcap-5, -0x1.b369b1756177ep-5, -0x1.ab36d6fd87621p-5, -0x1.a323dbf3177c6p-5, -0x1.9b306faaf4f32p-5, -0x1.935c4149ccf95p-5, -0x1.8ba6ffcb885e6p-5, -0x1.84105a0aaa7e9p-5, -0x1.7c97fec76e0d4p-5, -0x1.753d9caec6c8p-5, -0x1.6e00e261394b3p-5, -0x1.66e17e798bd83p-5, -0x1.5fdf1f934c897p-5, -0x1.58f974512b30cp-5, -0x1.52302b6334f42p-5, -0x1.4b82f38ce6658p-5, -0x1.44f17bab0f299p-5, -0x1.3e7b72b99869dp-5, -0x1.382087d924ed8p-5, -0x1.31e06a547b5d7p-5, -0x1.2bbac9a5e2745p-5, -0x1.25af557c4700cp-5, -0x1.1fbdbdc040d42p-5, -0x1.19e5b298fa237p-5, -0x1.1426e470e4f1ep-5, -0x1.0e8103fa57265p-5, -0x1.08f3c23404da1p-5, -0x1.037ed06d4df7dp-5, -0x1.fc43c094deb7bp-6, -0x1.f1b9479116455p-6, -0x1.e75d9a83489cp-6, -0x1.dd301ee0a815dp-6, -0x1.d3303ae709e68p-6, -0x1.c95d55a3df5cbp-6, -0x1.bfb6d6fb102cfp-6, -0x1.b63c27ad8ad95p-6, -0x1.acecb15f9e367p-6, -0x1.a3c7de9f041f9p-6, -0x1.9acd1ae8bb9d3p-6, -0x1.91fbd2aeacdcdp-6, -0x1.8953735d0831fp-6, -0x1.80d36b5f6ccc1p-6, -0x1.787b2a25d8892p-6, -0x1.704a20295b441p-6, -0x1.683fbef09d195p-6, -0x1.605b79142773dp-6, -0x1.589cc2427e3f4p-6, -0x1.51030f43eaffp-6, -0x1.498dd5fe45c85p-6, -0x1.423c8d785c6cap-6, -0x1.3b0eaddd480c2p-6, -0x1.3403b07f7c4ap-6, -0x1.2d1b0fdbb78a9p-6, -0x1.2654479bba315p-6, -0x1.1faed498d23e3p-6, -0x1.192a34de45243p-6, -0x1.12c5e7ab7070ep-6, -0x1.0c816d75f0149p-6, -0x1.065c47eb5ea27p-6, -0x1.0055f9f320d2ap-6, -0x1.f4dc0f5fe8fe9p-7, -0x1.e947ed02a3cb3p-7, -0x1.ddee9a0946c2p-7, -0x1.d2cf262cde28dp-7, -0x1.c7e8a3a6a00ap-7, -0x1.bd3a273179161p-7, -0x1.b2c2c80b8468p-7, -0x1.a8819ff71f5e4p-7, -0x1.9e75cb3bbe1dep-7, -0x1.949e68a69ce6ep-7, -0x1.8afa998b09436p-7, -0x1.818981c288072p-7, -0x1.784a47acbd62cp-7, -0x1.6f3c142f15a1dp-7, -0x1.665e12b426227p-7, -0x1.5daf712b0fb4fp-7, -0x1.552f60065e18bp-7, -0x1.4cdd123af58c3p-7, -0x1.44b7bd3ea6da6p-7, -0x1.3cbe9906ace3dp-7, -0x1.34f0e005d71e5p-7, -0x1.2d4dcf2ac6a8ep-7, -0x1.25d4a5dda978dp-7, -0x1.1e84a5fe28554p-7, -0x1.175d13e0cdb7p-7, -0x1.105d364c9ee6fp-7, -0x1.098456783ebfdp-7, -0x1.02d1c00731cafp-7, -0x1.f889820d86737p-8, -0x1.ebb953d5e3812p-8, -0x1.df319b165857bp-8, -0x1.d2f1023db4e5p-8, -0x1.c6f63873f5412p-8, -0x1.bb3ff192bafc2p-8, -0x1.afcce61e34c26p-8, -0x1.a49bd33cf4692p-8, -0x1.99ab7ab091e48p-8, -0x1.8efaa2cd398d6p-8, -0x1.848816719629bp-8, -0x1.7a52a4fe687c2p-8, -0x1.7059224dd244p-8, -0x1.669a66aac5d4dp-8, -0x1.5d154ec7dece6p-8, -0x1.53c8bbb67cfb4p-8, -0x1.4ab392ddbdf7ep-8, -0x1.41d4bdf0d9c9bp-8, -0x1.392b2ae5e70bap-8, -0x1.30b5cbec60553p-8, -0x1.2873976350202p-8, -0x1.206387cfc5dc2p-8, -0x1.18849bd2e0558p-8, -0x1.10d5d61fde047p-8, -0x1.09563d723bffap-8, -0x1.0204dc8381e5cp-8, -0x1.f5c18402666dap-9, -0x1.e7d2010546ce2p-9, -0x1.da395cfd1dacdp-9, -0x1.ccf5cc82013dfp-9, -0x1.c0058bc1b1611p-9, -0x1.b366de6ae1c4p-9, -0x1.a7180f985e4e4p-9, -0x1.9b1771bc3bef3p-9, -0x1.8f635e8ad991fp-9, -0x1.83fa36e5ded16p-9, -0x1.78da62c75881ep-9, -0x1.6e02512c842a6p-9, -0x1.637078011a27dp-9, -0x1.59235409d868fp-9, -0x1.4f1968cfdaa45p-9, -0x1.4551408b6ae2ep-9, -0x1.3bc96c0f1c59p-9, -0x1.328082b2af152p-9, -0x1.2975223e82aadp-9, -0x1.20a5eed6229f7p-9, -0x1.181192e415f85p-9, -0x1.0fb6bf04c5b9cp-9, -0x1.079429f1bbc7cp-9, -0x1.ff5120da9618dp-10, -0x1.efe56a5b54a3p-10, -0x1.e0e2c191ef32ep-10, -0x1.d246c340c7b87p-10, -0x1.c40f17982db4p-10, -0x1.b639720e347ecp-10, -0x1.a8c3913679cf5p-10, -0x1.9bab3e99d49ap-10, -0x1.8eee4e8f266c9p-10, -0x1.828aa013a6ce3p-10, -0x1.767e1ca3758e5p-10, -0x1.6ac6b812eb59fp-10, -0x1.5f6270681abb9p-10, -0x1.544f4db387913p-10, -0x1.498b61eac726ap-10, -0x1.3f14c8c234ffbp-10, -0x1.34e9a78751a4fp-10, -0x1.2b082cfbbbb07p-10, -0x1.216e912fcec76p-10, -0x1.181b155e1be1p-10, -0x1.0f0c03c6a27fdp-10, -0x1.063faf8b68132p-10, -0x1.fb68e917ba32dp-11, -0x1.ead16e844bacp-11, -0x1.dab5c93e64438p-11, -0x1.cb12e3d0adb55p-11, -0x1.bbe5b92a2605bp-11, -0x1.ad2b54584342bp-11, -0x1.9ee0d044769c9p-11, -0x1.910357711bc64p-11, -0x1.839023b6cb30fp-11, -0x1.76847e02d9cb3p-11, -0x1.69ddbe16cad1ep-11, -0x1.5d994a4748eefp-11, -0x1.51b4973dc4022p-11, -0x1.462d27b85cfe6p-11, -0x1.3b008c4cab226p-11, -0x1.302c632a69ffbp-11, -0x1.25ae57ddbe1fbp-11, -0x1.1b8423147bc5ap-11, -0x1.11ab8a6216f82p-11, -0x1.0822600501e8p-11, -0x1.fdcd055aabd03p-12, -0x1.ebebba85c2f0dp-12, -0x1.da9ccd5b32e93p-12, -0x1.c9dc433b22adap-12, -0x1.b9a638a6a3a7cp-12, -0x1.a9f6e0d4bf6e4p-12, -0x1.9aca8546a041p-12, -0x1.8c1d855cefd0cp-12, -0x1.7dec55efc6345p-12, -0x1.703380e8899cbp-12, -0x1.62efa4dc1f198p-12, -0x1.561d74a51d2aep-12, -0x1.49b9b702d69e1p-12, -0x1.3dc14635aef53p-12, -0x1.32310fa207a8ap-12, -0x1.2706136dbce59p-12, -0x1.1c3d64263fb55p-12, -0x1.11d42661ba95p-12, -0x1.07c7906641efap-12, -0x1.fc29d39fb884bp-13, -0x1.e973166fbba5cp-13, -0x1.d765bbbd23d6ap-13, -0x1.c5fcb6abd717bp-13, -0x1.b5331a5980be9p-13, -0x1.a50419391b1bdp-13, -0x1.956b046f763b9p-13, -0x1.86634b329e88dp-13, -0x1.77e87a2b3cbeep-13, -0x1.69f63ad8f290dp-13, -0x1.5c8852f999e82p-13, -0x1.4f9aa3f18872p-13, -0x1.43292a392176p-13, -0x1.372ffcc7a582ap-13, -0x1.2bab4c87ea86dp-13, -0x1.209763c81de86p-13, -0x1.15f0a5b0230dcp-13, -0x1.0bb38db849466p-13, -0x1.01dcaf243e2bp-13, -0x1.f0d168fc4d71dp-14, -0x1.dea8be288015fp-14, -0x1.cd390cf59eea1p-14, -0x1.bc7c301b1e3afp-14, -0x1.ac6c2ced433e1p-14, -0x1.9d033266a9933p-14, -0x1.8e3b983d2a9aap-14, -0x1.800fddf680e0ap-14, -0x1.727aaa04a8f12p-14, -0x1.6576c8e22c8c9p-14, -0x1.58ff2c371fb95p-14, -0x1.4d0ee9ff169cp-14, -0x1.41a13bb3e44abp-14, -0x1.36b17d7d20717p-14, -0x1.2c3b2d620ac9cp-14, -0x1.2239ea7e84ae3p-14, -0x1.18a9743f03305p-14, -0x1.0f85a99c9f15bp-14, -0x1.06ca885fa0ad3p-14, -0x1.fce858c80c0f8p-15, -0x1.ecfd9dc2b1e47p-15, -0x1.ddcd8b70cc13fp-15, -0x1.cf510587d97e3p-15, -0x1.c181264ebb8f8p-15, -0x1.b4573d50d40eep-15, -0x1.a7ccce0e35e2dp-15, -0x1.9bdb8eb6ba76ep-15, -0x1.907d66eb7965ap-15, -0x1.85ac6e8179396p-15, -0x1.7b62ec51bbab9p-15, -0x1.719b550e29351p-15, -0x1.68504a1774db7p-15, -0x1.5f7c985ccc517p-15, -0x1.571b3740a6196p-15, -0x1.4f27478582ebdp-15, -0x1.479c123aecb9fp-15, -0x1.407507b64d26dp-15, -0x1.39adbe8cbb852p-15, -0x1.3341f29687a9ap-15, -0x1.2d2d83f43665fp-15, -0x1.276c761c95792p-15, -0x1.21faeee9e4973p-15, -0x1.1cd535b1dcf2cp-15, -0x1.17f7b260104a7p-15, -0x1.135eec983b97cp-15, -0x1.0f078ad67b255p-15, -0x1.0aee519bc6e13p-15, -0x1.0710229e20ccap-15, -0x1.0369fbfa38ae5p-15, -0x1.fff1eed00ff3p-16, -0x1.f97492f82b8dep-16, -0x1.f35681c51c715p-16, -0x1.ed928b4db8365p-16, -0x1.e823b0f7582d4p-16, -0x1.e305240e5c4aap-16, -0x1.de32446c0e409p-16, -0x1.d9a69f1bb2e85p-16, -0x1.d55ded1192633p-16, -0x1.d15411e250efap-16, -0x1.cd851a8653169p-16, -0x1.c9ed3c1e68fcfp-16, -0x1.c688d2c672a5bp-16, -0x1.c354606f11f71p-16, -0x1.c04c8bb5f3053p-16, -0x1.bd6e1eccc5c5p-16, -0x1.bab606695abcp-16, -0x1.b82150b367733p-16, -0x1.b5ad2c3f80934p-16, -0x1.b356e7106fc8cp-16, -0x1.b11bed9d8008ep-16, -0x1.aef9c9d670272p-16, -0x1.acee223ee8645p-16, -0x1.aaf6b90094128p-16, -0x1.a9116b091ef03p-16, -0x1.a73c2f303a50dp-16, -0x1.a575155f373b9p-16, -0x1.a3ba45bcc3117p-16, -0x1.a209ffe4a403dp-16, -0x1.a0629a1fa4612p-16, -0x1.9ec2809dbf109p-16, -0x1.9d2834bed5d36p-16, -0x1.9b924c55553e5p-16, -0x1.99ff70f79e488p-16, -0x1.986e5f4cb99afp-16, -0x1.96dde663ce5c8p-16, -0x1.954ce7109b9d2p-16, -0x1.93ba5349ba99fp-16, -0x1.92252d88b055bp-16, -0x1.908c8837e112bp-16, -0x1.8eef8519b1d8p-16, -0x1.8d4d54b759db8p-16, -0x1.8ba535d65ef6dp-16, -0x1.89f674f032de6p-16, -0x1.88406bad62c0cp-16, -0x1.8682806502a5dp-16, -0x1.84bc259cab147p-16, -0x1.82ecd99087e3dp-16, -0x1.811425bf5abd2p-16, -0x1.7f319e73aa282p-16, -0x1.7d44e2557fdccp-16, -0x1.7b4d99ffe572fp-16, -0x1.794b7794237e2p-16, -0x1.773e3657f46b3p-16, -0x1.75259a4ca31f9p-16, -0x1.73016fd3926abp-16, -0x1.70d18b4d9dd01p-16, -0x1.6e95c8c3f30e6p-16, -0x1.6c4e0b8e33934p-16, -0x1.69fa3dfc5393bp-16, -0x1.679a510728835p-16, -0x1.652e3bfeff241p-16, -0x1.62b5fc3c55f17p-16, -0x1.603194d620335p-16, -0x1.5da10e5b92d3ap-16, -0x1.5b04768a96ffep-16, -0x1.585be00c851ddp-16, -0x1.55a76233cd8a1p-16, -0x1.52e718bd8192ep-16, -0x1.501b2392f210dp-16, -0x1.4d43a68de434ap-16, -0x1.4a60c93e61101p-16, -0x1.4772b6b624d46p-16, -0x1.44799d4f1cbbdp-16, -0x1.4175ae788f46bp-16, -0x1.3e671e864a8fbp-16, -0x1.3b4e247d5fba1p-16, -0x1.382af9e7bb235p-16, -0x1.34fddaa7507eap-16, -0x1.31c704c8541bp-16, -0x1.2e86b859e7p-16, -0x1.2b3d374450244p-16, -0x1.27eac521be283p-16, -0x1.248fa71a087aep-16, -0x1.212c23bdc446fp-16, -0x1.1dc082e3b30e3p-16, -0x1.1a4d0d881a8a3p-16, -0x1.16d20dacf11edp-16, -0x1.134fce387d43bp-16, -0x1.0fc69adabc126p-16, -0x1.0c36bfefb7208p-16, -0x1.08a08a6448ecep-16, -0x1.0504479b716aep-16, -0x1.016245581b9ebp-16, -0x1.fb75a34194eb6p-17, -0x1.f41c7559e47a1p-17, -0x1.ecb99d988e0ap-17, -0x1.e54db8a41024ap-17, -0x1.ddd963041e398p-17, -0x1.d65d38fa2b96p-17, -0x1.ced9d65d587e4p-17, -0x1.c74fd6769d3edp-17, -0x1.bfbfd3e153937p-17, -0x1.b82a686ba1cacp-17, -0x1.b0902cf68107bp-17, -0x1.a8f1b95a0aca1p-17, -0x1.a14fa44b83c81p-17, -0x1.99aa8345a8aep-17, -0x1.9202ea6c0537p-17, -0x1.8a596c79371b3p-17, -0x1.82ae9aa4ac879p-17, -0x1.7b0304901bd81p-17, -0x1.7357383512613p-17, -0x1.6babc1d58c00dp-17, -0x1.64012be354f6ap-17, -0x1.5c57fef80fc6ap-17, -0x1.54b0c1c5a01dfp-17, -0x1.4d0bf9042dc42p-17, -0x1.456a276953546p-17, -0x1.3dcbcd9af6d86p-17, -0x1.36316a24362cp-17, -0x1.2e9b796cb3fa4p-17, -0x1.270a75af41032p-17, -0x1.1f7ed6f05d2c6p-17, -0x1.17f912f8df6b9p-17, -0x1.10799d4cd3cafp-17, -0x1.0900e72892563p-17, -0x1.018f5f77d32a6p-17, -0x1.f44ae5a8c9738p-18, -0x1.e58716feb116p-18, -0x1.d6d422c1ae3fap-18, -0x1.c832d40536ae1p-18, -0x1.b9a3f11f47796p-18, -0x1.ab283ba790a71p-18, -0x1.9cc0706cd84e4p-18, -0x1.8e6d4779b0423p-18, -0x1.802f7415c4ff2p-18, -0x1.7207a4c4ceba4p-18, -0x1.63f683459450fp-18, -0x1.55fcb49a378abp-18, -0x1.481ad9081238dp-18, -0x1.3a518c1ba18b1p-18, -0x1.2ca164aee08b7p-18, -0x1.1f0af4ee47dc4p-18, -0x1.118eca5ea22d7p-18, -0x1.042d6de36342bp-18, -0x1.edcec792c99bbp-19, -0x1.d37a579c3b67dp-19, -0x1.b95e824bb2bd7p-19, -0x1.9f7c350d81f1cp-19, -0x1.85d45462c05c4p-19, -0x1.6c67bbfb49006p-19, -0x1.53373ec4bef8p-19, -0x1.3a43a6ff90684p-19, -0x1.218db662ed28ep-19, -0x1.091626211be0bp-19, -0x1.e1bb4e1b0858ap-20, -0x1.b1c9c368404d3p-20, -0x1.8258ecd6af7bfp-20, -0x1.5369fae5becfdp-20, -0x1.24fe0e2125cafp-20, -0x1.ee2c6eaf21febp-21, -0x1.9366ef86a2a4ap-21, -0x1.39ad8297d1491p-21, -0x1.c203db0f372cp-22, -0x1.12cbb077c448dp-22, -0x1.96d66a121d227p-24, 0x1.14ee2d72aeff8p-24, 0x1.dc0a3d3596f3fp-23, 0x1.94a4b46c9ec87p-22, 0x1.1c8c0c9420c34p-21, 0x1.6daea78071af7p-21, 0x1.bdb94694e4d49p-21, 0x1.06558fc5e9ad8p-20, 0x1.2d41c0d4701cfp-20, 0x1.53a0eaaaf5e4p-20, 0x1.7972cdd358408p-20, 0x1.9eb736e6984cbp-20, 0x1.c36dfe5ac3481p-20, 0x1.e797083f7f496p-20, 0x1.05992203b5273p-19, 0x1.171fd621e6837p-19, 0x1.285fa335f8f65p-19, 0x1.3958915276ac4p-19, 0x1.4a0aadc61e8a7p-19, 0x1.5a760af618de1p-19, 0x1.6a9ac0445c6c5p-19, 0x1.7a78e9efd8724p-19, 0x1.8a10a8faab03fp-19, 0x1.9962230b9fbbbp-19, 0x1.a86d8250de35bp-19, 0x1.b732f56257fa8p-19, 0x1.c5b2af25e226p-19, 0x1.d3ece6b3f888dp-19, 0x1.e1e1d73d16174p-19, 0x1.ef91bfe8ed5f9p-19, 0x1.fcfce3bef4b31p-19, 0x1.0511c4c5827b3p-18, 0x1.0b82fddf5922ap-18, 0x1.11d2442e1334p-18, 0x1.17ffc06bbd98ap-18, 0x1.1e0b9cff0e4ffp-18, 0x1.23f605ed59ea5p-18, 0x1.29bf28cee64bfp-18, 0x1.2f6734c244686p-18, 0x1.34ee5a6056ee1p-18, 0x1.3a54cbadf911p-18, 0x1.3f9abc10b6798p-18, 0x1.44c06043dbf88p-18, 0x1.49c5ee4a3e9b4p-18, 0x1.4eab9d65b1269p-18, 0x1.5371a609920b6p-18, 0x1.581841cff655cp-18, 0x1.5c9fab6eb93bp-18, 0x1.61081eaaca037p-18, 0x1.6551d84efcf24p-18, 0x1.697d161fd7243p-18, 0x1.6d8a16d24134p-18, 0x1.71791a01608aap-18, 0x1.754a602311559p-18, 0x1.78fe2a7ed286dp-18, 0x1.7c94bb23c9cd9p-18, 0x1.800e54de8262ap-18, 0x1.836b3b3003fa5p-18, 0x1.86abb243a3258p-18, 0x1.89cffee6196aep-18, 0x1.8cd8667d6b2b9p-18, 0x1.8fc52effb7f7ap-18, 0x1.92969eea8483bp-18, 0x1.954cfd392b4c3p-18, 0x1.97e8915c69b39p-18, 0x1.9a69a3331a547p-18, 0x1.9cd07b0283871p-18, 0x1.9f1d616d69b69p-18, 0x1.a1509f6cbf9c8p-18, 0x1.a36a7e479fbfp-18, 0x1.a56b478c5c5ddp-18, 0x1.a753450932456p-18, 0x1.a922c0c551d0cp-18, 0x1.aada04f951c08p-18, 0x1.ac795c0917e6fp-18, }}, 
      {{0x1.8ada5ac544ba9p-1, 0x1.8a67418fa6fbap-1, 0x1.89a9fb68dd747p-1, 0x1.88a621ec44844p-1, 0x1.87605c5da7d1cp-1, 0x1.85de1af94a403p-1, 0x1.842554f47cf57p-1, 0x1.823c4cc54ebc8p-1, 0x1.80295c63a1f0ep-1, 0x1.7df2ca0823d3fp-1, 0x1.7b9ea53981831p-1, 0x1.7932ab930253p-1, 0x1.76b4347c5b80ep-1, 0x1.742822f6264e6p-1, 0x1.7192dc9c98004p-1, 0x1.6ef8450b5a75fp-1, 0x1.6c5bbcdcba34bp-1, 0x1.69c02390ec328p-1, 0x1.6727dbbe04c4p-1, 0x1.6494d0fd222d5p-1, 0x1.62087f1c9ef0cp-1, 0x1.5f83fa3147609p-1, 0x1.5d07f731523ecp-1, 0x1.5a94d4d3093a1p-1, 0x1.582aa47698d98p-1, 0x1.55c932ee5e744p-1, 0x1.537011035115ep-1, 0x1.511e9b9bf09c9p-1, 0x1.4ed40373754fp-1, 0x1.4c8f545525edfp-1, 0x1.4a4f7bd4a373bp-1, 0x1.48134f7ffed94p-1, 0x1.45d9928b882a1p-1, 0x1.43a0faf9a9141p-1, 0x1.41683642ed571p-1, 0x1.3f2ded8399ab5p-1, 0x1.3cf0c9351780dp-1, 0x1.3aaf747a0371p-1, 0x1.3868a003f423dp-1, 0x1.361b049a2b8e7p-1, 0x1.33c565484734p-1, 0x1.3166913be7796p-1, 0x1.2efd6557f6827p-1, 0x1.2c88cd83f6a0cp-1, 0x1.2a07c5bd5ef16p-1, 0x1.27795af0baf9cp-1, 0x1.24dcab9fe3832p-1, 0x1.2230e85a4bedp-1, 0x1.1f75540c0887ep-1, 0x1.1ca94427db053p-1, 0x1.19cc20b044323p-1, 0x1.16dd642349edap-1, 0x1.13dc9b4c5b3d1p-1, 0x1.10c964ff7444dp-1, 0x1.0da371c068f84p-1, 0x1.0a6a8358fb951p-1, 0x1.071e6c60339e9p-1, 0x1.03bf0fb52d919p-1, 0x1.004c5fef72de6p-1, 0x1.f98cbd8d6cecdp-2, 0x1.f25a38e7515ap-2, 0x1.eb016e16e5badp-2, 0x1.e382b3ae7bf23p-2, 0x1.dbde79521206ap-2, 0x1.d415465defceap-2, 0x1.cc27b88c3a87fp-2, 0x1.c416829b524dap-2, 0x1.bbe26af6a4096p-2, 0x1.b38c4a63556f7p-2, 0x1.ab150ab215507p-2, 0x1.a27da5772787ep-2, 0x1.99c722c9a10ebp-2, 0x1.90f2980aa3c94p-2, 0x1.880126b547c96p-2, 0x1.7ef3fb37c71bep-2, 0x1.75cc4bd65b683p-2, 0x1.6c8b57983217cp-2, 0x1.6332653eb4287p-2, 0x1.59c2c24758a28p-2, 0x1.503dc1f8200bfp-2, 0x1.46a4bc76bf00dp-2, 0x1.3cf90dea820e3p-2, 0x1.333c15a8d3106p-2, 0x1.296f356c46207p-2, 0x1.1f93d096109bp-2, 0x1.15ab4b79b2645p-2, 0x1.0bb70ab2a33bdp-2, 0x1.01b87283c45a3p-2, 0x1.ef61cc80ac45cp-3, 0x1.db438f7c5392ep-3, 0x1.c718eda192d84p-3, 0x1.b2e4a19a8467dp-3, 0x1.9ea9602c95156p-3, 0x1.8a69d760db89dp-3, 0x1.7628adbbda639p-3, 0x1.61e881841256cp-3, 0x1.4dabe816b37efp-3, 0x1.39756d49dafd6p-3, 0x1.254792dbaeba7p-3, 0x1.1124cfedcc4f6p-3, 0x1.fa1f2118b1136p-4, 0x1.d2146a806e0a7p-4, 0x1.aa2e25576b185p-4, 0x1.8270e2627e71p-4, 0x1.5ae11946deaa6p-4, 0x1.338327fc27df7p-4, 0x1.0c5b524f298a2p-4, 0x1.cadb82e91d69fp-5, 0x1.7d7d0754dea6bp-5, 0x1.30a317cfe1393p-5, 0x1.c8aac668452f2p-6, 0x1.3136c1b364dep-6, 0x1.35f141016913p-7, 0x1.7f9c677ee7f76p-12, -0x1.1b5459624e8f6p-7, -0x1.1ff40ce572c8bp-6, -0x1.b0d272428d571p-6, -0x1.201c88620e4a7p-5, -0x1.670e0675e7104p-5, -0x1.ad37fdb91db15p-5, -0x1.f294f06e6038cp-5, -0x1.1b8fcc3e7c46bp-4, -0x1.3d697391a8fa8p-4, -0x1.5ed5024f3cee8p-4, -0x1.7fd027e3bc147p-4, -0x1.a058aed390156p-4, -0x1.c06c7c8085742p-4, -0x1.e00990eb41f55p-4, -0x1.ff2e0670cbe05p-4, -0x1.0eec08c25267bp-3, -0x1.1e030033c97c3p-3, -0x1.2cdb1d6dab2a5p-3, -0x1.3b73a0e9cfed5p-3, -0x1.49cbd7922e314p-3, -0x1.57e31a96cdaa6p-3, -0x1.65b8cf429dae1p-3, -0x1.734c66cf3f44p-3, -0x1.809d5e37e29a1p-3, -0x1.8dab3e0b40a69p-3, -0x1.9a759a3cc0cdap-3, -0x1.a6fc11f4ef7c9p-3, -0x1.b33e4f6135e49p-3, -0x1.bf3c07830093p-3, -0x1.caf4f9fe51621p-3, -0x1.d668f0e7cc978p-3, -0x1.e197c092548b1p-3, -0x1.ec81475c34b5bp-3, -0x1.f7256d7bf5ac2p-3, -0x1.00c212666d026p-2, -0x1.05ceb44d88adp-2, -0x1.0ab89eb7d7be6p-2, -0x1.0f7fd86e34cc8p-2, -0x1.14246ca398f6ap-2, -0x1.18a66adaceed3p-2, -0x1.1d05e6cc23c69p-2, -0x1.2142f84b07ffp-2, -0x1.255dbb2bac11fp-2, -0x1.29564f289f47p-2, -0x1.2d2cd7c86eef5p-2, -0x1.30e17c434cabep-2, -0x1.34746768c094bp-2, -0x1.37e5c78566ce6p-2, -0x1.3b35ce48c07a5p-2, -0x1.3e64b0ab19c2dp-2, -0x1.4172a6d385747p-2, -0x1.445febfdf8418p-2, -0x1.472cbe617d178p-2, -0x1.49d95f1691094p-2, -0x1.4c6611fd9ee44p-2, -0x1.4ed31da5a7307p-2, -0x1.5120cb330f55fp-2, -0x1.534f66469eef5p-2, -0x1.555f3ce4b0214p-2, -0x1.57509f5c8e907p-2, -0x1.5923e03011468p-2, -0x1.5ad953fb680bep-2, -0x1.5c71515d26c51p-2, -0x1.5dec30de8c2f7p-2, -0x1.5f4a4cdc0a96cp-2, -0x1.608c016e0fdefp-2, -0x1.61b1ac52129b8p-2, -0x1.62bbacd3e7b79p-2, -0x1.63aa63b75d2aap-2, -0x1.647e33221f721p-2, -0x1.65377e85ef156p-2, -0x1.65d6aa8b1f9d7p-2, -0x1.665c1cfb68c9ep-2, -0x1.66c83cad0923ap-2, -0x1.671b716e3c1fap-2, -0x1.675623f10360ep-2, -0x1.6778bdb747804p-2, -0x1.6783a8ff4f77fp-2, -0x1.677750b091c8p-2, -0x1.67542048dbcdep-2, -0x1.671a83c9db301p-2, -0x1.66cae7a6fb49bp-2, -0x1.6665b8b3a3c98p-2, -0x1.65eb6411d3abep-2, -0x1.655c57211c15dp-2, -0x1.64b8ff6df71b5p-2, -0x1.6401caa181eaep-2, -0x1.6337267192e49p-2, -0x1.625980913467fp-2, -0x1.616946a17cdfp-2, -0x1.6066e622ca9f9p-2, -0x1.5f52cc665d79ap-2, -0x1.5e2d668057a1p-2, -0x1.5cf7213a17de2p-2, -0x1.5bb06904fdbdbp-2, -0x1.5a59a9ed8696cp-2, -0x1.58f34f8ed1ec5p-2, -0x1.577dc50683ec3p-2, -0x1.55f974e907cf8p-2, -0x1.5466c936336cbp-2, -0x1.52c62b4e4877ep-2, -0x1.511803e75927fp-2, -0x1.4f5cbb030461bp-2, -0x1.4d94b7e4977aap-2, -0x1.4bc0610785bf4p-2, -0x1.49e01c16419c3p-2, -0x1.47f44de16e9e8p-2, -0x1.45fd5a576f5f1p-2, -0x1.43fba47c4d26fp-2, -0x1.41ef8e61f7187p-2, -0x1.3fd97920da2fap-2, -0x1.3db9c4d0d1393p-2, -0x1.3b90d0826858dp-2, -0x1.395efa387652fp-2, -0x1.37249ee209d73p-2, -0x1.34e21a54a827ep-2, -0x1.3297c746dcae1p-2, -0x1.3045ff4b1a5b6p-2, -0x1.2ded1acaea034p-2, -0x1.2b8d710264c9ep-2, -0x1.292757fbff0f5p-2, -0x1.26bb248c98d8p-2, -0x1.24492a4fda4afp-2, -0x1.21d1bba4d76ffp-2, -0x1.1f5529aafc7e9p-2, -0x1.1cd3c43f3bb5cp-2, -0x1.1a4dd9f981915p-2, -0x1.17c3b82a6a16ap-2, -0x1.1535aad9388b2p-2, -0x1.12a3fcc20bdb8p-2, -0x1.100ef754548bp-2, -0x1.0d76e2b182ee9p-2, -0x1.0adc05abf52dp-2, -0x1.083ea5c61a066p-2, -0x1.059f0731cfdc2p-2, -0x1.02fd6ccff79e9p-2, -0x1.005a18303e43dp-2, -0x1.fb6a932233674p-3, -0x1.f61e7fbfedeb2p-3, -0x1.f0d0717337a74p-3, -0x1.eb80e0d5656c3p-3, -0x1.e63043e1176cep-3, -0x1.e0df0df4070a6p-3, -0x1.db8dafd132bd5p-3, -0x1.d63c97a35929fp-3, -0x1.d0ec30ffc986ap-3, -0x1.cb9ce4e9797f5p-3, -0x1.c64f19d46f8abp-3, -0x1.c10333a970f9ap-3, -0x1.bbb993c9f2e0cp-3, -0x1.b67299145322cp-3, -0x1.b12e9fe84fee3p-3, -0x1.abee022bbbed1p-3, -0x1.a6b1174f6e444p-3, -0x1.a17834546adebp-3, -0x1.9c43abd143045p-3, -0x1.9713cdf7a57p-3, -0x1.91e8e89a240e6p-3, -0x1.8cc3473225b6fp-3, -0x1.87a332e603e06p-3, -0x1.8288f28f57d4ep-3, -0x1.7d74cac16952dp-3, -0x1.7866fdcfc4c2fp-3, -0x1.735fcbd4f9e4bp-3, -0x1.6e5f72b9731b5p-3, -0x1.69662e3a7450bp-3, -0x1.647437f1351bep-3, -0x1.5f89c75a0f23bp-3, -0x1.5aa711dbd2537p-3, -0x1.55cc4acf25605p-3, -0x1.50f9a38601935p-3, -0x1.4c2f4b53402b2p-3, -0x1.476d6f923dbbp-3, -0x1.42b43bae83b2p-3, -0x1.3e03d92b8fcaep-3, -0x1.395c6fac96341p-3, -0x1.34be24fc60bf4p-3, -0x1.30291d1529aaap-3, -0x1.2b9d7a28839c5p-3, -0x1.271b5ca74c2b6p-3, -0x1.22a2e3499d881p-3, -0x1.1e342b16c56bp-3, -0x1.19cf4f6d43eefp-3, -0x1.15746a0abd392p-3, -0x1.11239313ff5c1p-3, -0x1.0cdce11cf15cbp-3, -0x1.08a0693093cep-3, -0x1.046e3ed8eb703p-3, -0x1.00467426f3b9ap-3, -0x1.f8523375069a9p-4, -0x1.f02c7d9462a55p-4, -0x1.e81be2564ee61p-4, -0x1.e0207ab1eeb8p-4, -0x1.d83a5cfabd548p-4, -0x1.d0699ceffd078p-4, -0x1.c8ae4bcc1a135p-4, -0x1.c1087853efacfp-4, -0x1.b9782ee5ef0f2p-4, -0x1.b1fd79892dedap-4, -0x1.aa985ffc56ff7p-4, -0x1.a348e7c4791cbp-4, -0x1.9c0f143bba365p-4, -0x1.94eae69fe015dp-4, -0x1.8ddc5e20c2f1bp-4, -0x1.86e377ee929fp-4, -0x1.80002f47f6fe8p-4, -0x1.79327d880f83cp-4, -0x1.727a5a3447fcbp-4, -0x1.6bd7bb0a083a5p-4, -0x1.654a940c35757p-4, -0x1.5ed2d7909165p-4, -0x1.5870764ceb0fep-4, -0x1.52235f64231ccp-4, -0x1.4beb80730a7c8p-4, -0x1.45c8c59d0d2e6p-4, -0x1.3fbb1998b86d5p-4, -0x1.39c265bc0c9dp-4, -0x1.33de9208a5b3p-4, -0x1.2e0f8537b6965p-4, -0x1.285524c5d03fp-4, -0x1.22af54fe8222dp-4, -0x1.1d1df907c4f89p-4, -0x1.17a0f2ed3a08cp-4, -0x1.123823ab3a1ccp-4, -0x1.0ce36b39b4ee1p-4, -0x1.07a2a896e1438p-4, -0x1.0275b9d1b9dc6p-4, -0x1.fab8f828a4256p-5, -0x1.f0ad975be89c4p-5, -0x1.e6c9083a1e101p-5, -0x1.dd0b0031f636fp-5, -0x1.d37333371176dp-5, -0x1.ca0153d4c3529p-5, -0x1.c0b51340766f4p-5, -0x1.b78e216bad075p-5, -0x1.ae8c2d15afbc9p-5, -0x1.a5aee3dccac57p-5, -0x1.9cf5f24f429eep-5, -0x1.946103fbd935dp-5, -0x1.8befc3820007cp-5, -0x1.83a1daa1b1f2bp-5, -0x1.7b76f24ae756dp-5, -0x1.736eb2acb56c9p-5, -0x1.6b88c3441111fp-5, -0x1.63c4caea3dda5p-5, -0x1.5c226fe2dc03p-5, -0x1.54a157e9a2aap-5, -0x1.4d41283fc7b05p-5, -0x1.460185b90464p-5, -0x1.3ee214c853174p-5, -0x1.37e2798c4f20fp-5, -0x1.310257db460c6p-5, -0x1.2a41534ef34a4p-5, -0x1.239f0f4fe6bb8p-5, -0x1.1d1b2f20a0a5ap-5, -0x1.16b555e8614c6p-5, -0x1.106d26bd9c03bp-5, -0x1.0a4244b0270d2p-5, -0x1.043452d31ae2dp-5, -0x1.fc85e88cd864fp-6, -0x1.f0db98805623fp-6, -0x1.e568fc2b1f123p-6, -0x1.da2d5a874cd01p-6, -0x1.cf27faef89884p-6, -0x1.c458252f6f191p-6, -0x1.b9bd21933bf38p-6, -0x1.af5638f720887p-6, -0x1.a522b4d5efca7p-6, -0x1.9b21df575adefp-6, -0x1.9153035da3983p-6, -0x1.87b56c92cedc1p-6, -0x1.7e4867755f6b3p-6, -0x1.750b416481ce5p-6, -0x1.6bfd48abe80b8p-6, -0x1.631dcc8efde12p-6, -0x1.5a6c1d53cee4ap-6, -0x1.51e78c4d63696p-6, -0x1.498f6be5b3dap-6, -0x1.41630fa73770fp-6, -0x1.3961cc45fb507p-6, -0x1.318af7a850c19p-6, -0x1.29dde8ef14b5dp-6, -0x1.2259f87da38b6p-6, -0x1.1afe800147d2dp-6, -0x1.13cada786c8ffp-6, -0x1.0cbe64394f685p-6, -0x1.05d87af8764e1p-6, -0x1.fe30fb9d52a0fp-7, -0x1.f0fb9a7d6139ep-7, -0x1.e40f967564304p-7, -0x1.d76bb6525e869p-7, -0x1.cb0ec3d386317p-7, -0x1.bef78bb2f3be9p-7, -0x1.b324ddadf680dp-7, -0x1.a7958c8c8e983p-7, -0x1.9c486e286145dp-7, -0x1.913c5b7343b2dp-7, -0x1.8670307d037f3p-7, -0x1.7be2cc78c72b6p-7, -0x1.719311c1d7eb4p-7, -0x1.677fe5dffae1bp-7, -0x1.5da8318b36964p-7, -0x1.540ae0af1f621p-7, -0x1.4aa6e26dcc9a7p-7, -0x1.417b292229368p-7, -0x1.3886aa61e725p-7, -0x1.2fc85eff28bfcp-7, -0x1.273f43097c26bp-7, -0x1.1eea55cea82a1p-7, -0x1.16c899daf9fa3p-7, -0x1.0ed914f93f3e6p-7, -0x1.071ad0324e744p-7, -0x1.ff19af98afb83p-8, -0x1.f05c76936fbe4p-8, -0x1.e1fc1acf199aap-8, -0x1.d3f6c837f955bp-8, -0x1.c64ab12843871p-8, -0x1.b8f60e634749dp-8, -0x1.abf71f1042758p-8, -0x1.9f4c28b47d31ap-8, -0x1.92f3772ce3c65p-8, -0x1.86eb5ca730f69p-8, -0x1.7b32319a7d8a3p-8, -0x1.6fc654bf8db31p-8, -0x1.64a62b084885bp-8, -0x1.59d01f97448ecp-8, -0x1.4f42a3b65cfdep-8, -0x1.44fc2ecd60256p-8, -0x1.3afb3e580af5bp-8, -0x1.313e55dbc0a27p-8, -0x1.27c3fedceb066p-8, -0x1.1e8ac8d400f43p-8, -0x1.1591492249d1fp-8, -0x1.0cd61b0652f4cp-8, -0x1.0457df9005487p-8, -0x1.f82a7b28f624ap-9, -0x1.e819c343bd6bbp-9, -0x1.d87afbe4da288p-9, -0x1.c94b94bff11c5p-9, -0x1.ba8908ad70e1ep-9, -0x1.ac30dd8feee9ep-9, -0x1.9e40a4399eedp-9, -0x1.90b5f850c6d94p-9, -0x1.838e8034740c1p-9, -0x1.76c7ece0adf24p-9, -0x1.6a5ff9d208c6dp-9, -0x1.5e546ce9b15a9p-9, -0x1.52a31650a4109p-9, -0x1.4749d05ace75cp-9, -0x1.3c467f6a2ce81p-9, -0x1.319711d1c1f59p-9, -0x1.27397fb7f40cp-9, -0x1.1d2bcaf966721p-9, -0x1.136bff0b674a4p-9, -0x1.09f830de13d6ep-9, -0x1.00ce7ebedd01ep-9, -0x1.efda2075507f9p-10, -0x1.dea42bffb07cdp-10, -0x1.cdf79381714e7p-10, -0x1.bdd0dc2ae0924p-10, -0x1.ae2c9cbbbcdcp-10, -0x1.9f077d4926b41p-10, -0x1.905e36ffccb0dp-10, -0x1.822d93ea14c0dp-10, -0x1.74726eb3c712ep-10, -0x1.6729b26e9c6bfp-10, -0x1.5a505a579f08ap-10, -0x1.4de3719baff16p-10, -0x1.41e0131d0e23fp-10, -0x1.3643693855806p-10, -0x1.2b0aad8a473f9p-10, -0x1.203328b609c27p-10, -0x1.15ba322af6a95p-10, -0x1.0b9d2feabb1c7p-10, -0x1.01d99651206e9p-10, -0x1.f0d9cfb43416dp-11, -0x1.dea969d4377a7p-11, -0x1.cd1d372a0e324p-11, -0x1.bc308ece6efa7p-11, -0x1.abdee25a8b7dep-11, -0x1.9c23bd7b5f4cp-11, -0x1.8cfac583881b3p-11, -0x1.7e5fb8ff47504p-11, -0x1.704e6f48a585ep-11, -0x1.62c2d81d3348dp-11, -0x1.55b8fb33f9caep-11, -0x1.492cf7d47a06bp-11, -0x1.3d1b046f819cfp-11, -0x1.317f6e37565c5p-11, -0x1.265698badb91bp-11, -0x1.1b9cfd7ef9438p-11, -0x1.114f2b9c3cf73p-11, -0x1.0769c75b68df2p-11, -0x1.fbd313a574a76p-12, -0x1.e996810c0e5cap-12, -0x1.d8179a0ce878ep-12, -0x1.c75049279d0f5p-12, -0x1.b73a9f7cfcd54p-12, -0x1.a7d0d4164c871p-12, -0x1.990d432d59932p-12, -0x1.8aea6d7924db5p-12, -0x1.7d62f77835954p-12, -0x1.7071a8c231f47p-12, -0x1.64116b59447dp-12, -0x1.583d4afb6df8fp-12, -0x1.4cf0747bb90a4p-12, -0x1.422635177c7bp-12, -0x1.37d9f9d21b62p-12, -0x1.2e074ed12774ap-12, -0x1.24a9deba5e071p-12, -0x1.1bbd721545b07p-12, -0x1.133deeae3be11p-12, -0x1.0b2756fad6f16p-12, -0x1.0375c98280276p-12, -0x1.f84b008e18c4fp-13, -0x1.ea65a06135cb4p-13, -0x1.dd3450f6e046dp-13, -0x1.d0b024521e00fp-13, -0x1.c4d25ee2c91a6p-13, -0x1.b994766e6f3b4p-13, -0x1.aef010fe559c9p-13, -0x1.a4df03cf4fa4fp-13, -0x1.9b5b524994db7p-13, -0x1.925f2cf5c392bp-13, -0x1.89e4f0817d5fbp-13, -0x1.81e724bac9dfap-13, -0x1.7a607b99e10a5p-13, -0x1.734bd04aeab5dp-13, -0x1.6ca4263ab64e9p-13, -0x1.6664a82a2107fp-13, -0x1.6088a7442ee6p-13, -0x1.5b0b9a3791fbfp-13, -0x1.55e91c5577d76p-13, -0x1.511cecb31d97dp-13, -0x1.4ca2ed4f83a9ap-13, -0x1.4877223f0b9e6p-13, -0x1.4495b0d436213p-13, -0x1.40faded610b7ep-13, -0x1.3da311b1e0d82p-13, -0x1.3a8acdb524ca6p-13, -0x1.37aeb5485d693p-13, -0x1.350b8830d2015p-13, -0x1.329e22d2791f9p-13, -0x1.30637d772a409p-13, -0x1.2e58ab9949697p-13, -0x1.2c7adb31b4d1fp-13, -0x1.2ac754081e404p-13, -0x1.293b77084eb34p-13, -0x1.27d4bd99f7128p-13, -0x1.2690b8fb3838ep-13, -0x1.256d11a0e72c1p-13, -0x1.246786959278fp-13, -0x1.237dece0d3761p-13, -0x1.22ae2eec887e8p-13, -0x1.21f64bf25a2c8p-13, -0x1.21545767a1588p-13, -0x1.20c678705855bp-13, -0x1.204ae950c9b9cp-13, -0x1.1fdff6e6918aap-13, -0x1.1f840020fa7d6p-13, -0x1.1f35757e491ep-13, -0x1.1ef2d88a6ba6fp-13, -0x1.1ebabb61ee6adp-13, -0x1.1e8bc0359d2e6p-13, -0x1.1e6498d2d4456p-13, -0x1.1e44062d2c758p-13, -0x1.1e28d7ebc049bp-13, -0x1.1e11ebf764972p-13, -0x1.1dfe2e0e1c60ap-13, -0x1.1dec9754b68dcp-13, -0x1.1ddc2df01acd7p-13, -0x1.1dcc049c3a16bp-13, -0x1.1dbb3a48c3715p-13, -0x1.1da8f9b667f4fp-13, -0x1.1d94791664a62p-13, -0x1.1d7cf9ad1bf33p-13, -0x1.1d61c776b51bbp-13, -0x1.1d4238cd01a6bp-13, -0x1.1d1dae1123eb2p-13, -0x1.1cf39155551e4p-13, -0x1.1cc3560a3cb6ap-13, -0x1.1c8c78ad680a3p-13, -0x1.1c4e7e7aad85p-13, -0x1.1c08f51e8b2dap-13, -0x1.1bbb726aa9b29p-13, -0x1.1b65940d01356p-13, -0x1.1b06ff47ef7a1p-13, -0x1.1a9f60abde01ep-13, -0x1.1a2e6bd433396p-13, -0x1.19b3db2449f42p-13, -0x1.192f6f874a993p-13, -0x1.18a0f03107b7dp-13, -0x1.18082a6095c3dp-13, -0x1.1764f12503c1p-13, -0x1.16b71d231670ap-13, -0x1.15fe8c5ca2ba7p-13, -0x1.153b21fa193afp-13, -0x1.146cc6144c5ebp-13, -0x1.139365808e5dcp-13, -0x1.12aef19e68253p-13, -0x1.11bf6025cc8cbp-13, -0x1.10c4aaf7f2b0ep-13, -0x1.0fbecff031347p-13, -0x1.0eadd0b726934p-13, -0x1.0d91b296c0d62p-13, -0x1.0c6a7e4f33113p-13, -0x1.0b383fee17873p-13, -0x1.09fb06a6034abp-13, -0x1.08b2e4a77a0d1p-13, -0x1.075feefb31e64p-13, -0x1.06023d5cc24b7p-13, -0x1.0499ea17af685p-13, -0x1.032711e48213bp-13, -0x1.01a9d3c75e938p-13, -0x1.002250efab64ap-13, -0x1.fd215931853f2p-14, -0x1.f9ea17d4fcdefp-14, -0x1.f69f2bba62126p-14, -0x1.f340e637ab89cp-14, -0x1.efcf9bd1e2ef6p-14, -0x1.ec4ba4087cbadp-14, -0x1.e8b5592006ae9p-14, -0x1.e50d17f190e6cp-14, -0x1.e1533fb9137fap-14, -0x1.dd8831e77cfbep-14, -0x1.d9ac51f5953c9p-14, -0x1.d5c00538cfdecp-14, -0x1.d1c3b2b820661p-14, -0x1.cdb7c30505773p-14, -0x1.c99ca012c8b4ap-14, -0x1.c572b511e574fp-14, -0x1.c13a6e4b817c2p-14, -0x1.bcf438fdfb21dp-14, -0x1.b8a0833c3b6ep-14, -0x1.b43fbbcceefddp-14, -0x1.afd2520aa0162p-14, -0x1.ab58b5c698482p-14, -0x1.a6d3572bf4861p-14, -0x1.a242a6a391ef1p-14, -0x1.9da714ba2dea3p-14, -0x1.9901120704b76p-14, -0x1.94510f12ed05dp-14, -0x1.8f977c40dc01dp-14, -0x1.8ad4c9b888571p-14, -0x1.8609674f9b8b5p-14, -0x1.8135c476b80c9p-14, -0x1.7c5a502579dc8p-14, -0x1.777778c714517p-14, -0x1.728dac2a0e993p-14, -0x1.6d9d576d9bbf2p-14, -0x1.68a6e6f309b12p-14, -0x1.63aac64d4f485p-14, -0x1.5ea96033657e7p-14, -0x1.59a31e72069c5p-14, -0x1.549869df0c76ap-14, -0x1.4f89aa4c94d62p-14, -0x1.4a77467d53143p-14, -0x1.4561a41a48615p-14, -0x1.404927a793d77p-14, -0x1.3b2e347af650cp-14, -0x1.36112cb35a5f4p-14, -0x1.30f2712f4ec57p-14, -0x1.2bd26185a2974p-14, -0x1.26b15bfdbf0f8p-14, -0x1.218fbd887be58p-14, -0x1.1c6de1ba6adf4p-14, -0x1.174c22c52bb18p-14, -0x1.122ad972fb4a8p-14, -0x1.0d0a5d20c7e87p-14, -0x1.07eb03b9e8be7p-14, -0x1.02cd21b497f93p-14, -0x1.fb62141aa328ap-15, -0x1.f12e1c89119bap-15, -0x1.e6fefcb61d6c8p-15, -0x1.dcd551a067d14p-15, -0x1.d2b1b53e52a5cp-15, -0x1.c894be7afe201p-15, -0x1.be7f01321f151p-15, -0x1.b4710e2feacb8p-15, -0x1.aa6b732d3d987p-15, -0x1.a06ebacfff08dp-15, -0x1.967b6ca9b14dap-15, -0x1.8c920d3928113p-15, -0x1.82b31de8825edp-15, -0x1.78df1d10593f1p-15, -0x1.6f1685f89c937p-15, -0x1.6559d0da1a5bep-15, -0x1.5ba972e19fa26p-15, -0x1.5205de33cd8b8p-15, -0x1.486f81eddf22ap-15, -0x1.3ee6ca2c138b5p-15, -0x1.356c200ba15d2p-15, -0x1.2bffe9b083bfp-15, -0x1.22a28a494338p-15, -0x1.19546214f0e85p-15, -0x1.1015ce67a09ccp-15, -0x1.06e729b154b48p-15, -0x1.fb9197051dcdbp-16, -0x1.e97611271d55p-16, -0x1.d77c65932cf97p-16, -0x1.c5a5327def4b1p-16, -0x1.b3f11092a3cacp-16, -0x1.a26093005d4cap-16, -0x1.90f4478a169e5p-16, -0x1.7facb696d4de7p-16, -0x1.6e8a633d5dcdcp-16, -0x1.5d8dcb56c0ccep-16, -0x1.4cb7678c90a71p-16, -0x1.3c07ab6b0e2bp-16, -0x1.2b7f056e6a145p-16, -0x1.1b1ddf1781878p-16, -0x1.0ae49cfa21f29p-16, -0x1.f5a73d9c19ddap-17, -0x1.d5d67f02248e5p-17, -0x1.b657aa91760c2p-17, -0x1.972b63657a735p-17, -0x1.7852436f75fa5p-17, -0x1.59ccdb98adda1p-17, -0x1.3b9bb3e79b4b1p-17, -0x1.1dbf4ba406594p-17, -0x1.00381979b790dp-17, -0x1.c60d173967111p-18, -0x1.8c560fdce4ad9p-18, -0x1.534bd846f099ap-18, -0x1.1aef1bcab4d35p-18, -0x1.c680ebdfa3ec6p-19, -0x1.5880e57945d08p-19, -0x1.d7be3bf7d232fp-20, -0x1.0138e24f1258cp-20, -0x1.6b99d6025ed6cp-23, 0x1.4722eeb1fbcep-21, 0x1.71d42906d054fp-20, 0x1.1eaa0346cb228p-19, 0x1.8308392942888p-19, 0x1.e60481da021eep-19, 0x1.23cf617e0464fp-18, 0x1.53eb7dcd8cefep-18, 0x1.8356a1cbf3643p-18, 0x1.b210e58f238acp-18, 0x1.e01a6d10f7d93p-18, 0x1.06b9b3f343c7fp-17, 0x1.1d0e087f3c675p-17, 0x1.330a572b61e96p-17, 0x1.48aec8602f5bdp-17, 0x1.5dfb89cc9ecd4p-17, 0x1.72f0ce46670b3p-17, 0x1.878ecda79374dp-17, 0x1.9bd5c4ae0e969p-17, 0x1.afc5f4dc6f27bp-17, 0x1.c35fa458d6dcdp-17, 0x1.d6a31dcfe8f19p-17, 0x1.e990b051475fap-17, 0x1.fc28af3521c75p-17, 0x1.0735b8fd7483p-16, 0x1.102caa16032b4p-16, 0x1.18f95a9ed0e32p-16, 0x1.219bfc3987326p-16, 0x1.2a14c260dae6ap-16, 0x1.3263e259619c5p-16, 0x1.3a899323e6a12p-16, 0x1.42860d6f16803p-16, 0x1.4a598b89d5551p-16, 0x1.52044955784c2p-16, 0x1.598684387a5aep-16, 0x1.60e07b1123ffbp-16, 0x1.68126e2873dbdp-16, 0x1.6f1c9f2560a77p-16, 0x1.75ff50ff8bc03p-16, 0x1.7cbac7f38dba4p-16, 0x1.834f4975e34d3p-16, 0x1.89bd1c2772d17p-16, 0x1.900487c96a91cp-16, 0x1.9625d5310f426p-16, 0x1.9c214e3cd75ffp-16, 0x1.a1f73dc894716p-16, 0x1.a7a7efa280b62p-16, 0x1.ad33b080012b1p-16, 0x1.b29acdf316a94p-16, 0x1.b7dd965fd7aa1p-16, 0x1.bcfc58f20b313p-16, 0x1.c1f765925cabp-16, 0x1.c6cf0cdd16597p-16, 0x1.cb83a01792723p-16, 0x1.d0157126ee567p-16, 0x1.d484d2867ac6ep-16, 0x1.d8d2173e84b98p-16, 0x1.dcfd92db107e1p-16, 0x1.e1079962eef58p-16, 0x1.e4f07f4eb81f7p-16, 0x1.e8b89980c4057p-16, 0x1.ec603d3c26b98p-16, 0x1.efe7c01cc9ae2p-16, 0x1.f34f780f6bd5ap-16, 0x1.f697bb494e2bdp-16, 0x1.f9c0e040b9dc1p-16, 0x1.fccb3da594d16p-16, 0x1.ffb72a59b28a4p-16, 0x1.01427eb4c939dp-15, 0x1.029a8702d9b63p-15, 0x1.03e3d9bd8b28ep-15, 0x1.051ea2967007p-15, 0x1.064b0d46f9808p-15, 0x1.0769458cd25b1p-15, 0x1.087977272a1c8p-15, 0x1.097bcdd378051p-15, 0x1.0a70754a83367p-15, 0x1.0b57993d57664p-15, 0x1.0c316552a492p-15, 0x1.0cfe0523da9abp-15, 0x1.0dbda43a7698bp-15, 0x1.0e706e0d54df1p-15, 0x1.0f168dfe39656p-15, 0x1.0fb02f5743a94p-15, 0x1.103d7d489108dp-15, 0x1.10bea2e5d33abp-15, 0x1.1133cb23f4d23p-15, 0x1.119d20d72a363p-15, 0x1.11faceb058e62p-15, 0x1.124cff3b48ddap-15, 0x1.1293dcdc8e463p-15, 0x1.12cf91cfab5ccp-15, 0x1.13004824e0327p-15, 0x1.132629bf7d922p-15, 0x1.1341605430555p-15, 0x1.135215670ec05p-15, 0x1.1358724a038cp-15, 0x1.1354a01b2d675p-15, 0x1.1346c7c35b4bdp-15, 0x1.132f11f464cafp-15, 0x1.130da727def32p-15, 0x1.12e2af9d7a60cp-15, 0x1.12ae5359e5e51p-15, 0x1.1270ba255b6d4p-15, 0x1.122a0b8a5cd4fp-15, 0x1.11da6ed48aa97p-15, 0x1.11820b0f5b385p-15, }}, 
      {{0x1.8af419487817ep-1, 0x1.8acd99f14883cp-1, 0x1.8a8df501f44c1p-1, 0x1.8a35e85090bfap-1, 0x1.89c66e41b1947p-1, 0x1.8940b2896fbedp-1, 0x1.88a606e29c627p-1, 0x1.87f7d85a70843p-1, 0x1.8737a58b73934p-1, 0x1.8666f5f4d699bp-1, 0x1.8587527dba1a9p-1, 0x1.849a3f20e7f7cp-1, 0x1.83a135b1fc9a3p-1, 0x1.829da1a66ba22p-1, 0x1.8190dcc96c66ap-1, 0x1.807c2cc0b765p-1, 0x1.7f60c14821cffp-1, 0x1.7e3fb30b35568p-1, 0x1.7d1a03056f963p-1, 0x1.7bf09a53b40ebp-1, 0x1.7ac44a6378828p-1, 0x1.7995cd6e3a6cfp-1, 0x1.7865c731d287ap-1, 0x1.7734c5d81e072p-1, 0x1.7603430246186p-1, 0x1.74d1a4ed97a86p-1, 0x1.73a03fa962bc9p-1, 0x1.726f5656b75f6p-1, 0x1.713f1c6c0ff13p-1, 0x1.700fb6f80ca8dp-1, 0x1.6ee13ddf56d4dp-1, 0x1.6db3bd1295c07p-1, 0x1.6c8735ba0c69cp-1, 0x1.6b5b9f5519ef9p-1, 0x1.6a30e8cc4f8fcp-1, 0x1.6906f9753e55p-1, 0x1.67ddb20775a6bp-1, 0x1.66b4ed8275d15p-1, 0x1.658c8204941c9p-1, 0x1.64644192f8abfp-1, 0x1.633bfad307f98p-1, 0x1.621379b5a3a91p-1, 0x1.60ea8814bef48p-1, 0x1.5fc0ee43daaeap-1, 0x1.5e967393f9c7p-1, 0x1.5d6adecbb6f97p-1, 0x1.5c3df69413648p-1, 0x1.5b0f81daa7cadp-1, 0x1.59df4829d5817p-1, 0x1.58ad11f79679fp-1, 0x1.5778a8eb86c63p-1, 0x1.5641d81cbb5d9p-1, 0x1.55086c47f8964p-1, 0x1.53cc33fecf91bp-1, 0x1.528cffd028f75p-1, 0x1.514aa26ab9e5ep-1, 0x1.5004f0b9d9312p-1, 0x1.4ebbc1fd2a59ep-1, 0x1.4d6eefdb85628p-1, 0x1.4c1e567183bbfp-1, 0x1.4ac9d45c0f4fdp-1, 0x1.49714abf50e47p-1, 0x1.48149d4a4f715p-1, 0x1.46b3b237914efp-1, 0x1.454e724b08b5fp-1, 0x1.43e4c8cd91428p-1, 0x1.4276a38640ac7p-1, 0x1.4103f2b1c419ep-1, 0x1.3f8ca8f805dbcp-1, 0x1.3e10bb604df07p-1, 0x1.3c9021440e8e6p-1, 0x1.3b0ad44088b16p-1, 0x1.3980d027746ddp-1, 0x1.37f212eed1521p-1, 0x1.365e9ca002e64p-1, 0x1.34c66f465b99ap-1, 0x1.33298edd300e7p-1, 0x1.3188013d92384p-1, 0x1.2fe1ce0bcab97p-1, 0x1.2e36fea4a7984p-1, 0x1.2c879e0ab4147p-1, 0x1.2ad3b8d370b57p-1, 0x1.291b5d1493b41p-1, 0x1.275e9a5169ef6p-1, 0x1.259d81685fe78p-1, 0x1.23d82480c0d11p-1, 0x1.220e96f8b535ap-1, 0x1.2040ed538de2ep-1, 0x1.1e6f3d285c415p-1, 0x1.1c999d10e7afbp-1, 0x1.1ac02498feca4p-1, 0x1.18e2ec2e2cf7ep-1, 0x1.17020d0fd7c2cp-1, 0x1.151da13fc97bcp-1, 0x1.1335c373256b4p-1, 0x1.114a8f03d1a7bp-1, 0x1.0f5c1fe24d55fp-1, 0x1.0d6a9287fc1e7p-1, 0x1.0b7603e9e54ddp-1, 0x1.097e916be2024p-1, 0x1.078458d442f99p-1, 0x1.0587783fe3a9ep-1, 0x1.03880e16b1053p-1, 0x1.018639009e68ep-1, 0x1.ff042fb611e32p-2, 0x1.faf7935d0ee09p-2, 0x1.f6e6db4a46891p-2, 0x1.f2d24601f7bb2p-2, 0x1.eeba12269ad0fp-2, 0x1.ea9e7e67bcd0ep-2, 0x1.e67fc971990d5p-2, 0x1.e25e31dd71345p-2, 0x1.de39f622a12aep-2, 0x1.da1354886425dp-2, 0x1.d5ea8b184a1fep-2, 0x1.d1bfd79156318p-2, 0x1.cd93775bc2476p-2, 0x1.c965a77d627e6p-2, 0x1.c536a48ea18d4p-2, 0x1.c106aab0163b6p-2, 0x1.bcd5f580a4b39p-2, 0x1.b8a4c0142fa73p-2, 0x1.b47344eace43ep-2, 0x1.b041bde885391p-2, 0x1.ac10644d7c344p-2, 0x1.a7df70aeaef31p-2, 0x1.a3af1aef11907p-2, 0x1.9f7f9a3924162p-2, 0x1.9b5124f8f6a62p-2, 0x1.9723f0d69109p-2, 0x1.92f832b0c1262p-2, 0x1.8ece1e984ce1dp-2, 0x1.8aa5e7cb7a9f2p-2, 0x1.867fc0b1f850dp-2, 0x1.825bdad917dc8p-2, 0x1.7e3a66f05bfa6p-2, 0x1.7a1b94c656711p-2, 0x1.75ff9345d117p-2, 0x1.71e6907342e8bp-2, 0x1.6dd0b96a87f99p-2, 0x1.69be3a5cdfc2ap-2, 0x1.65af3e8f2a56p-2, 0x1.61a3f0586719dp-2, 0x1.5d9c79206a7d5p-2, 0x1.5999015ed1b0bp-2, 0x1.5599b09a2b951p-2, 0x1.519ead6755208p-2, 0x1.4da81d690b6adp-2, 0x1.49b6254fabe7ep-2, 0x1.45c8e8d924929p-2, 0x1.41e08ad10f31p-2, 0x1.3dfd2d10f975bp-2, 0x1.3a1ef080d606fp-2, 0x1.3645f51792077p-2, 0x1.327259dbd1c38p-2, 0x1.2ea43ce4d4f32p-2, 0x1.2adbbb5b75d05p-2, 0x1.2718f17b50a36p-2, 0x1.235bfa9405b3p-2, 0x1.1fa4f10a9bbfbp-2, 0x1.1bf3ee5afe347p-2, 0x1.18490b19977d5p-2, 0x1.14a45ef5031d9p-2, 0x1.110600b7dd3dap-2, 0x1.0d6e064aa4b1cp-2, 0x1.09dc84b5b7642p-2, 0x1.0651902362891p-2, 0x1.02cd3be2062ep-2, 0x1.fe9f34cc9ca96p-3, 0x1.f7b17a9afa6b9p-3, 0x1.f0d16abf8b92p-3, 0x1.e9ff252570ab5p-3, 0x1.e33ac8177b0d5p-3, 0x1.dc8470453e415p-3, 0x1.d5dc38c841fc6p-3, 0x1.cf423b2947716p-3, 0x1.c8b68f65a744p-3, 0x1.c2394bf4cd643p-3, 0x1.bbca85cdbcd3fp-3, 0x1.b56a506cb1554p-3, 0x1.af18bdd8cf2b1p-3, 0x1.a8d5dea9de496p-3, 0x1.a2a1c20e1d457p-3, 0x1.9c7c75d01b4f2p-3, 0x1.9666065c9f5c3p-3, 0x1.905e7ec89ba41p-3, 0x1.8a65e8d72ac89p-3, 0x1.847c4cff8fa1ep-3, 0x1.7ea1b27349467p-3, 0x1.78d61f241d64ep-3, 0x1.731997ca3192bp-3, 0x1.6d6c1fea273e4p-3, 0x1.67cdb9db3881ep-3, 0x1.623e66cd54161p-3, 0x1.5cbe26cf412dfp-3, 0x1.574cf8d4be0ccp-3, 0x1.51eadabc9cd94p-3, 0x1.4c97c956e3144p-3, 0x1.4753c06adf629p-3, 0x1.421ebabd42db2p-3, 0x1.3cf8b216318a1p-3, 0x1.37e19f474ccafp-3, 0x1.32d97a31bcc1cp-3, 0x1.2de039cc2ae09p-3, 0x1.28f5d428bb8bp-3, 0x1.241a3e7afeeeep-3, 0x1.1f4d6d1dd4aa7p-3, 0x1.1a8f5399494a7p-3, 0x1.15dfe4a86a1bep-3, 0x1.113f123f0ae9fp-3, 0x1.0caccd8f84b2fp-3, 0x1.0829071065698p-3, 0x1.03b3ae821445dp-3, 0x1.fe9965e8d1cb1p-4, 0x1.f5e805986df8ap-4, 0x1.ed5317918d54ap-4, 0x1.e4da761290d98p-4, 0x1.dc7dfa24629dap-4, 0x1.d43d7ba513d15p-4, 0x1.cc18d1526762ep-4, 0x1.c40fd0d42d235p-4, 0x1.bc224ec68b532p-4, 0x1.b4501ec418af4p-4, 0x1.ac99136fe4e6fp-4, 0x1.a4fcfe7f5516p-4, 0x1.9d7bb0c3ded2cp-4, 0x1.9614fa34a0395p-4, 0x1.8ec8a9f7e0beap-4, 0x1.87968e6c58225p-4, 0x1.807e753263f61p-4, 0x1.79802b3512654p-4, 0x1.729b7cb307b0fp-4, 0x1.6bd035473f41ap-4, 0x1.651e1ff1aa104p-4, 0x1.5e85071fa2aa9p-4, 0x1.5804b4b4434e6p-4, 0x1.519cf2108ea21p-4, 0x1.4b4d881b77875p-4, 0x1.45163f49c31afp-4, 0x1.3ef6dfa5c15d5p-4, 0x1.38ef30d6e440fp-4, 0x1.32fefa292d07cp-4, 0x1.2d26029477abdp-4, 0x1.276410c39c972p-4, 0x1.21b8eb1b6f862p-4, 0x1.1c2457c1967acp-4, 0x1.16a61ca33ccc9p-4, 0x1.113dff7ba038bp-4, 0x1.0bebc5da77115p-4, 0x1.06af352a34a5bp-4, 0x1.018812b625e86p-4, 0x1.f8ec4760cec32p-5, 0x1.eef25a6f7c8e9p-5, 0x1.e521e8ba86fcap-5, 0x1.db7a7c53e1c05p-5, 0x1.d1fb9f4811b5bp-5, 0x1.c8a4dba8b5103p-5, 0x1.bf75bb96c3673p-5, 0x1.b66dc94c8a8f2p-5, 0x1.ad8c8f2762f82p-5, 0x1.a4d197b12240ap-5, 0x1.9c3c6da9492c6p-5, 0x1.93cc9c0de97a4p-5, 0x1.8b81ae245152ep-5, 0x1.835b2f816eef7p-5, 0x1.7b58ac11f4ecbp-5, 0x1.7379b0223b0f8p-5, 0x1.6bbdc865e771cp-5, 0x1.642481ff4edb5p-5, 0x1.5cad6a869e36ep-5, 0x1.55581010c3a3cp-5, 0x1.4e2401361bb82p-5, 0x1.4710cd18e4b46p-5, 0x1.401e036b73caap-5, 0x1.394b34763490dp-5, 0x1.3297f11d6b3a4p-5, 0x1.2c03cae6c264cp-5, 0x1.258e53fe9fe59p-5, 0x1.1f371f3d44d03p-5, 0x1.18fdc02bb47cfp-5, 0x1.12e1cb086b5c1p-5, 0x1.0ce2d4cbdf3f4p-5, 0x1.0700732cd023fp-5, 0x1.013a3ca4610bdp-5, 0x1.f71f90e414431p-6, 0x1.ec015d3e99e16p-6, 0x1.e11910068f166p-6, 0x1.d665dc8c22fe7p-6, 0x1.cbe6f7c7d8f11p-6, 0x1.c19b986091ccfp-6, 0x1.b782f6b144577p-6, 0x1.ad9c4cce596dap-6, 0x1.a3e6d68ab477bp-6, 0x1.9a61d17c6d0c9p-6, 0x1.910c7d01401abp-6, 0x1.87e61a429ff48p-6, 0x1.7eedec398d7a7p-6, 0x1.762337b21ab68p-6, 0x1.6d85434ea22cdp-6, 0x1.6513578ac25bdp-6, 0x1.5cccbebe0bd4cp-6, 0x1.54b0c51e6c7a5p-6, 0x1.4cbeb8c25b6a4p-6, 0x1.44f5e9a2c20dbp-6, 0x1.3d55a99ca73c6p-6, 0x1.35dd4c729e8fdp-6, 0x1.2e8c27cdfbe67p-6, 0x1.2761933fcd324p-6, 0x1.205ce84198783p-6, 0x1.197d8235e940dp-6, 0x1.12c2be68a5bdcp-6, 0x1.0c2bfc0f2e743p-6, 0x1.05b89c4850de2p-6, 0x1.fed004380921ap-7, 0x1.f27324f5f6b36p-7, 0x1.e659687c0a0dp-7, 0x1.da81a04a83d68p-7, 0x1.ceeaa1ae67428p-7, 0x1.c39345bf3367p-7, 0x1.b87a695c5a709p-7, 0x1.ad9eed2a6cd62p-7, 0x1.a2ffb58fe370dp-7, 0x1.989baab1cd6dep-7, 0x1.8e71b86ffe2eap-7, 0x1.8480ce61341fp-7, 0x1.7ac7dfcec7eb3p-7, 0x1.7145e3b04801ep-7, 0x1.67f9d4a6c6ae1p-7, 0x1.5ee2b0f7e33b3p-7, 0x1.55ff7a88b58bp-7, 0x1.4d4f36d86f143p-7, 0x1.44d0eefacd938p-7, 0x1.3c83af927323cp-7, 0x1.346688cae02ddp-7, 0x1.2c788e5276376p-7, 0x1.24b8d754325a3p-7, 0x1.1d267e713871fp-7, 0x1.15c0a1ba5307bp-7, 0x1.0e8662a9388d7p-7, 0x1.0776e619b93cdp-7, 0x1.00915442c3714p-7, 0x1.f3a9b15ea6ec5p-8, 0x1.e681446e7b3ap-8, 0x1.d9a7c5efb8ec2p-8, 0x1.cd1ba09956f1ep-8, 0x1.c0db458f97718p-8, 0x1.b4e52c54bac68p-8, 0x1.a937d2b9c31bep-8, 0x1.9dd1bccee61d1p-8, 0x1.92b174d3e3e9cp-8, 0x1.87d58b28530f3p-8, 0x1.7d3c963ba66b7p-8, 0x1.72e5327d38216p-8, 0x1.68ce024c222abp-8, 0x1.5ef5ade7222bep-8, 0x1.555ae35c48a59p-8, 0x1.4bfc56789d2bcp-8, 0x1.42d8c0b7b953p-8, 0x1.39eee13363558p-8, 0x1.313d7c92ff57ep-8, 0x1.28c35cfb0c804p-8, 0x1.207f51fca2e58p-8, 0x1.18703084ce4f6p-8, 0x1.1094d2cc04d43p-8, 0x1.08ec184596256p-8, 0x1.0174e58f0ad02p-8, 0x1.f45c48bf47baap-9, 0x1.e62d86ef73047p-9, 0x1.d85b6d2086f41p-9, 0x1.cae3ec94b92c6p-9, 0x1.bdc5003d8e4e4p-9, 0x1.b0fcac9b10f2ep-9, 0x1.a488ff9b00351p-9, 0x1.986810786d208p-9, 0x1.8c97ff9aeaeb5p-9, 0x1.8116f6767e063p-9, 0x1.75e3276b25481p-9, 0x1.6afacda4e6445p-9, 0x1.605c2cfbe4e35p-9, 0x1.560591d48f3f5p-9, 0x1.4bf5510014f0ap-9, 0x1.4229c79cf4de6p-9, 0x1.38a15af7d4ce9p-9, 0x1.2f5a786c7fcdap-9, 0x1.265395470ade7p-9, 0x1.1d8b2ea545193p-9, 0x1.14ffc95849918p-9, 0x1.0caff1c66e1f7p-9, 0x1.049a3bcd3859fp-9, 0x1.f97a85479bb45p-10, 0x1.ea2f517aa4f69p-10, 0x1.db502f57b7926p-10, 0x1.ccda8006b1382p-10, 0x1.becbb279efdd1p-10, 0x1.b121433529896p-10, 0x1.a3d8bc152e562p-10, 0x1.96efb417fedc4p-10, 0x1.8a63cf256aep-10, 0x1.7e32bdd85e7f8p-10, 0x1.725a3d4869edbp-10, 0x1.66d816d461866p-10, 0x1.5baa1fecd9db3p-10, 0x1.50ce39dfb9d8fp-10, 0x1.464251a459aa7p-10, 0x1.3c045fa7c6c28p-10, 0x1.32126799f215ap-10, 0x1.286a783b6d51fp-10, 0x1.1f0aab2ba74fbp-10, 0x1.15f124b7b6603p-10, 0x1.0d1c13a9b1992p-10, 0x1.0489b118c96a6p-10, 0x1.f87080736c389p-11, 0x1.e84c1c5ff78b2p-11, 0x1.d8a2e3bf0ea24p-11, 0x1.c971977e0d0c6p-11, 0x1.bab50b55b0203p-11, 0x1.ac6a2570c17b7p-11, 0x1.9e8dde146bc5cp-11, 0x1.911d3f4962388p-11, 0x1.8415648628618p-11, 0x1.77737a5ae2629p-11, 0x1.6b34be1dccba5p-11, 0x1.5f567d994998fp-11, 0x1.53d616ba9cb91p-11, 0x1.48b0f7425997dp-11, 0x1.3de49c7557a84p-11, 0x1.336e92cf7c06cp-11, 0x1.294c75b6c7a13p-11, 0x1.1f7bef3065e12p-11, 0x1.15fab7961482p-11, 0x1.0cc6954d42818p-11, 0x1.03dd5c7ed370fp-11, 0x1.f679dda0769b8p-12, 0x1.e5c6763b5a235p-12, 0x1.d59c7a6a451f9p-12, 0x1.c5f7fb25a812ep-12, 0x1.b6d5223caa89fp-12, 0x1.a83031d28e21dp-12, 0x1.9a0583dca4d2cp-12, 0x1.8c5189a42dadap-12, 0x1.7f10cb488c1f4p-12, 0x1.723fe744b268p-12, 0x1.65db91f61dcc4p-12, 0x1.59e09525b58d7p-12, 0x1.4e4bcf930151dp-12, 0x1.431a3480dc195p-12, 0x1.3848cb447b064p-12, 0x1.2dd4aed6829ebp-12, 0x1.23bb0d65598e9p-12, 0x1.19f927e9e9cf5p-12, 0x1.108c51be5dd1fp-12, 0x1.0771f035eb6bep-12, 0x1.fd4ef46f318e3p-13, 0x1.ec54efb35d6aap-13, 0x1.dbf103ff349f4p-13, 0x1.cc1e83f331343p-13, 0x1.bcd8e24b4685dp-13, 0x1.ae1bb12533936p-13, 0x1.9fe2a149fa8bfp-13, 0x1.922981798a681p-13, 0x1.84ec3dbc0529ap-13, 0x1.7826deb43b0d8p-13, 0x1.6bd588f6335f2p-13, 0x1.5ff47c60d8bc6p-13, 0x1.5480137b17285p-13, 0x1.4974c2d34acap-13, 0x1.3ecf18625e9f5p-13, 0x1.348bbaf22e284p-13, 0x1.2aa76985d10f6p-13, 0x1.211efac65b226p-13, 0x1.17ef5c70bc853p-13, 0x1.0f1592c81c83ap-13, 0x1.068eb80a07db8p-13, 0x1.fcaff7cba55ddp-14, 0x1.ecdd45ec70716p-14, 0x1.dda00c7e0e767p-14, 0x1.cef3255608f4fp-14, 0x1.c0d1911e5203ap-14, 0x1.b336765d0348fp-14, 0x1.a61d20820d665p-14, 0x1.9980fefbb2dbbp-14, 0x1.8d5da44d45p-14, 0x1.81aec52d5652bp-14, 0x1.767037a5d416ap-14, 0x1.6b9df23afab63p-14, 0x1.61340b1699b66p-14, 0x1.572eb7370a249p-14, 0x1.4d8a49a2a0e4bp-14, 0x1.444332a1175b4p-14, 0x1.3b55fef75c5dep-14, 0x1.32bf572832fabp-14, 0x1.2a7bfeb97cbp-14, 0x1.2288d37dc9a76p-14, 0x1.1ae2ccdfd4bb9p-14, 0x1.1386fb3562493p-14, 0x1.0c7287133523fp-14, 0x1.05a2b0a5dd755p-14, 0x1.fe299e1d07298p-15, 0x1.f18c9f85cb9f2p-15, 0x1.e5696be1c3822p-15, 0x1.d9bb33cb96555p-15, 0x1.ce7d50f3f2464p-15, 0x1.c3ab44fc860f4p-15, 0x1.b940b85cd706fp-15, 0x1.af3979499fb49p-15, 0x1.a5917aa6e204fp-15, 0x1.9c44d2ff3a188p-15, 0x1.934fbb7e1403ep-15, 0x1.8aae8ef4f6d5ep-15, 0x1.825dc8e4240d9p-15, 0x1.7a5a04898aebcp-15, 0x1.729ffbf47e42cp-15, 0x1.6b2c872125b24p-15, 0x1.63fc9b17348e6p-15, 0x1.5d0d4910cb2bp-15, 0x1.565bbda3025fap-15, 0x1.4fe53fef97dedp-15, 0x1.49a730da55515p-15, 0x1.439f0a4096094p-15, 0x1.3dca5e3abe24p-15, 0x1.3826d65ea0e7dp-15, 0x1.32b23307f9c5dp-15, 0x1.2d6a4aa66166ap-15, 0x1.284d090d6883cp-15, 0x1.23586ecc9beedp-15, 0x1.1e8a90892014dp-15, 0x1.19e1965bae159p-15, 0x1.155bbb340ce51p-15, 0x1.10f74c404478cp-15, 0x1.0cb2a8563f879p-15, 0x1.088c3f63304ffp-15, 0x1.048291df0d70dp-15, 0x1.0094304272e43p-15, 0x1.f97f750010d4ep-16, 0x1.f207bf053532fp-16, 0x1.eabeb95b282dap-16, 0x1.e3a1fac554e29p-16, 0x1.dcaf350f87cf4p-16, 0x1.d5e4342841fb4p-16, 0x1.cf3edd3a57452p-16, 0x1.c8bd2dd1f8c86p-16, 0x1.c25d3b051695ep-16, 0x1.bc1d30a08b1fap-16, 0x1.b5fb505f12f7dp-16, 0x1.aff5f121ea192p-16, 0x1.aa0b7e31e38efp-16, 0x1.a43a76843be13p-16, 0x1.9e816c06215a4p-16, 0x1.98df02ed3d7cp-16, 0x1.9351f10b1b48ap-16, 0x1.8dd8fd27b53f3p-16, 0x1.8872fe6060f56p-16, 0x1.831edb8b10616p-16, 0x1.7ddb8a9edba88p-16, 0x1.78a8101fb92ebp-16, 0x1.73837e8ff9632p-16, 0x1.6e6cf5e7721cap-16, 0x1.6963a3098be54p-16, 0x1.6466bf455e9bdp-16, 0x1.5f758fd5969a1p-16, 0x1.5a8f656676f17p-16, 0x1.55b39b9e378p-16, 0x1.50e198aadbd24p-16, 0x1.4c18ccd15ed97p-16, 0x1.4758b203e8cb5p-16, 0x1.42a0cb7668d6ap-16, 0x1.3df0a53b33c32p-16, 0x1.3947d3deb91ap-16, 0x1.34a5f40aedf71p-16, 0x1.300aaa28a9d47p-16, 0x1.2b75a209217a3p-16, 0x1.26e68e8e2faf9p-16, 0x1.225d295809c07p-16, 0x1.1dd9327538132p-16, 0x1.195a7013f8789p-16, 0x1.14e0ae3708627p-16, 0x1.106bbe6df5427p-16, 0x1.0bfb778d89bbep-16, 0x1.078fb56d31eebp-16, 0x1.032858a56eb13p-16, 0x1.fd8a8ca08c79fp-17, 0x1.f4cccf9ac26bap-17, 0x1.ec17550e4d8b2p-17, 0x1.e369ff722e6e6p-17, 0x1.dac4b87486a8cp-17, 0x1.d22770906858cp-17, 0x1.c9921ea8c8097p-17, 0x1.c104bfa659192p-17, 0x1.b87f561acbdd1p-17, 0x1.b001e9e44e109p-17, 0x1.a78c87d9e7a33p-17, 0x1.9f1f417523c6ep-17, 0x1.96ba2c82ea573p-17, 0x1.8e5d62d4faa9cp-17, 0x1.860901f8c3c94p-17, 0x1.7dbd2aef14dd3p-17, 0x1.757a01e8192a8p-17, 0x1.6d3fae0257187p-17, 0x1.650e590ac83bcp-17, 0x1.5ce62f40e9654p-17, 0x1.54c75f1e08ca5p-17, 0x1.4cb2191bd8f93p-17, 0x1.44a68f80523b4p-17, 0x1.3ca4f62c11194p-17, 0x1.34ad826826a19p-17, 0x1.2cc06ab889be2p-17, 0x1.24dde6afc82f7p-17, 0x1.1d062ec52110bp-17, 0x1.15397c2c862dcp-17, 0x1.0d7808aff65c8p-17, 0x1.05c20e8b99476p-17, 0x1.fc2f9093ca9dcp-18, 0x1.ecf2e1479fc09p-18, 0x1.ddce84c10c13bp-18, 0x1.cec2f070449f4p-18, 0x1.bfd0996f32233p-18, 0x1.b0f7f44cd3387p-18, 0x1.a23974d830eb4p-18, 0x1.93958df4c54c6p-18, 0x1.850cb16a9b98cp-18, 0x1.769f4fbbddf0cp-18, 0x1.684dd7ffad744p-18, 0x1.5a18b7b9bd6aep-18, 0x1.4c005ab948dbfp-18, 0x1.3e052af582828p-18, 0x1.302790722e6dep-18, 0x1.2267f120e4bd7p-18, 0x1.14c6b0c77b041p-18, 0x1.074430e73c54bp-18, 0x1.f3c1a14ef2b4ep-19, 0x1.d939d978d3da2p-19, 0x1.bef1beb25789ap-19, 0x1.a4ea0033bdfb8p-19, 0x1.8b2347ea0f6b7p-19, 0x1.719e3a5e0c16ap-19, 0x1.585b76924acdep-19, 0x1.3f5b95f2288a6p-19, 0x1.269f2c3ad805ep-19, 0x1.0e26c769494a1p-19, 0x1.ebe5df55031efp-20, 0x1.bc084ea258fd5p-20, 0x1.8cb5d58912ee2p-20, 0x1.5def60fd7d578p-20, 0x1.2fb5d2001dae9p-20, 0x1.0209fd98c1407p-20, 0x1.a9d959a321dffp-21, 0x1.50bd3964d9536p-21, 0x1.f181f91c9b36p-22, 0x1.43cbda7b2b2bep-22, 0x1.30b4f6948f758p-23, -0x1.0cfefa63a22ebp-26, -0x1.6f62c20a44b4ap-23, -0x1.5c4802abf1212p-22, -0x1.fe922d663cbd8p-22, -0x1.4f47343f02d44p-21, -0x1.9e1db4c97cba6p-21, -0x1.ebcc0a0838cd5p-21, -0x1.1c28de304f097p-20, -0x1.41d7355eec9e7p-20, -0x1.66f0e5217619bp-20, -0x1.8b75d303ca1eep-20, -0x1.af65ef76179c5p-20, -0x1.d2c1359a10d68p-20, -0x1.f587ab2b9e30cp-20, -0x1.0bdcb029a9eaep-19, -0x1.1cab37c152926p-19, -0x1.2d2f7ea3c8d1fp-19, -0x1.3d699c153ce47p-19, -0x1.4d59ac3e10c5fp-19, -0x1.5cffd0185926dp-19, -0x1.6c5c2d5853adbp-19, -0x1.7b6eee56bdfd4p-19, -0x1.8a3841fb5359ep-19, -0x1.98b85ba4e0584p-19, -0x1.a6ef731126b2cp-19, -0x1.b4ddc448099ap-19, -0x1.c2838f8344008p-19, -0x1.cfe11915f3a97p-19, -0x1.dcf6a956c3cc2p-19, -0x1.e9c48c85d2be7p-19, -0x1.f64b12b6e1347p-19, -0x1.014547db7fb68p-18, -0x1.0741ad7b611a6p-18, -0x1.0d1ae7b92e762p-18, -0x1.12d125cb822b7p-18, -0x1.1864989777878p-18, -0x1.1dd572a2c7ba5p-18, -0x1.2323e80934c2ep-18, -0x1.28502e6fef45ap-18, -0x1.2d5a7cfa2d9f4p-18, -0x1.32430c3d1c14cp-18, -0x1.370a16346d8efp-18, -0x1.3bafd636a4471p-18, -0x1.403488e955438p-18, -0x1.44986c35f34c3p-18, -0x1.48dbbf3e4e5adp-18, -0x1.4cfec250e3327p-18, -0x1.5101b6de96b63p-18, -0x1.54e4df6ee864bp-18, -0x1.58a87f950c45bp-18, -0x1.5c4cdbe56d2f6p-18, -0x1.5fd239eaf283fp-18, -0x1.6338e01b4927fp-18, -0x1.668115ce42835p-18, -0x1.69ab2331ae359p-18, -0x1.6cb7514063327p-18, -0x1.6fa5e9b7a208p-18, -0x1.7277370d4e2abp-18, -0x1.752b8465dee86p-18, -0x1.77c31d8ac5aa9p-18, -0x1.7a3e4ee0ebdbfp-18, -0x1.7c9d655f88ff7p-18, -0x1.7ee0ae867278p-18, -0x1.810878559f6d8p-18, -0x1.831511438e7bbp-18, -0x1.8506c835078fep-18, -0x1.86ddec743cf14p-18, -0x1.889acda89bd19p-18, -0x1.8a3dbbcda94fdp-18, -0x1.8bc7072bb5df4p-18, -0x1.8d37004f6e6f1p-18, -0x1.8e8df80233957p-18, -0x1.8fcc3f41bee43p-18, -0x1.90f22739cb051p-18, -0x1.9200013b7f1fp-18, -0x1.92f61eb67a704p-18, -0x1.93d4d1323f059p-18, -0x1.949c6a46b0f64p-18, -0x1.954d3b95a28a7p-18, -0x1.95e796c416e2dp-18, -0x1.966bcd73add6ep-18, -0x1.96da313c411d8p-18, -0x1.973313a5ebd06p-18, -0x1.9776c622c903dp-18, -0x1.97a59a090bb8p-18, -0x1.97bfe08d6530cp-18, -0x1.97c5eabd7a93dp-18, -0x1.97b8097a175eap-18, -0x1.97968d72308a3p-18, -0x1.9761c71d8fc5bp-18, -0x1.971a06b7f604ep-18, -0x1.96bf9c3c2f11cp-18, -0x1.9652d75efb093p-18, -0x1.95d4078ac83b6p-18, -0x1.95437bdb2a78p-18, -0x1.94a1831862343p-18, -0x1.93ee6bb322dp-18, -0x1.932a83c0a0ea8p-18, -0x1.925618f656594p-18, -0x1.917178a66d02p-18, -0x1.907cefbbf7d76p-18, -0x1.8f78cab737132p-18, -0x1.8e6555aa58177p-18, -0x1.8d42dc3641b47p-18, -0x1.8c11a986e6828p-18, -0x1.8ad20850769cbp-18, -0x1.898442cbf771cp-18, -0x1.8828a2b50397bp-18, -0x1.86bf7146a6a24p-18, -0x1.8548f738afb97p-18, -0x1.83c57cbd12995p-18, -0x1.8235497da8437p-18, -0x1.8098a499b98p-18, -0x1.7eefd4a3b24cap-18, -0x1.7d3b1f9f231e4p-18, -0x1.7b7acafe9c166p-18, -0x1.79af1ba1c6c49p-18, -0x1.77d855d398fb4p-18, -0x1.75f6bd486f24cp-18, -0x1.740a951c5952ap-18, -0x1.72141fd1aa4e7p-18, -0x1.70139f4fa29fdp-18, -0x1.6e0954e07995dp-18, -0x1.6bf58130925d6p-18, -0x1.69d8644ceb5d3p-18, -0x1.67b23da24f8c5p-18, -0x1.65834bfbdd712p-18, -0x1.634bcd82382dfp-18, -0x1.610bffbac663fp-18, -0x1.5ec41f86ba526p-18, -0x1.5c7469226aaap-18, -0x1.5a1d18243174ep-18, -0x1.57be677c12726p-18, -0x1.5558917327ce7p-18, -0x1.52ebcfab4cd05p-18, -0x1.50785b1e7868cp-18, -0x1.4dfe6c1e6cc7ep-18, -0x1.4b7e3a54530eep-18, -0x1.48f7fcc09467p-18, -0x1.466be9bab8486p-18, -0x1.43da36f127f2cp-18, -0x1.41431968fdb7ap-18, -0x1.3ea6c57e6bep-18, -0x1.3c056ee49811ap-18, -0x1.395f48a57543p-18, -0x1.36b4852210fa3p-18, -0x1.34055612b01fep-18, -0x1.3151ec8714bf6p-18, -0x1.2e9a78e6ec219p-18, -0x1.2bdf2af1f897cp-18, -0x1.292031c06b699p-18, -0x1.265dbbc358fccp-18, -0x1.2397f6c527cd5p-18, -0x1.20cf0fe9fc39dp-18, -0x1.1e0333b066e48p-18, -0x1.1b348df1da02cp-18, -0x1.186349e36d121p-18, -0x1.158f9216706b6p-18, -0x1.12b99079072d2p-18, -0x1.0fe16e56b7ec6p-18, -0x1.0d07545968e83p-18, -0x1.0a2b6a89e1be4p-18, -0x1.074dd850f1fcap-18, -0x1.046ec47824699p-18, -0x1.018e552a6ed59p-18, -0x1.fd595fea3691ep-19, -0x1.f793f3919080cp-19, -0x1.f1ccadf4d018dp-19, -0x1.ec03d687fbcafp-19, -0x1.e639b38b52cc9p-19, -0x1.e06e8a0da5304p-19, -0x1.daa29dee2519fp-19, -0x1.d4d631deb194dp-19, -0x1.cf098765750d9p-19, -0x1.c93cdedf3713p-19, -0x1.c37077814c182p-19, -0x1.bda48f5c7d163p-19, -0x1.b7d9635f4929fp-19, -0x1.b20f2f576e257p-19, -0x1.ac462df471a88p-19, -0x1.a67e98ca3e65bp-19, -0x1.a0b8a8536c172p-19, -0x1.9af493f3811b5p-19, -0x1.953291f95fe2p-19, -0x1.8f72d7a19a68p-19, -0x1.89b5991965f4bp-19, -0x1.83fb0980cf74fp-19, -0x1.7e435aecf4727p-19, -0x1.788ebe6aac746p-19, -0x1.72dd6400f94ddp-19, -0x1.6d2f7ab360f0ep-19, -0x1.678530852d443p-19, -0x1.61deb27b4038bp-19, -0x1.5c3c2c9f1a8d3p-19, -0x1.569dca012fddcp-19, -0x1.5103b4bb4f73cp-19, -0x1.4b6e15f38c7c1p-19, -0x1.45dd15de9a286p-19, -0x1.4050dbc2a3c12p-19, -0x1.3ac98df9b0458p-19, }}, 
      {{0x1.d31c1f557391ep-16, 0x1.d3fa9e6df8452p-14, 0x1.08305fdb1e7b7p-12, 0x1.d834424d2c80cp-12, 0x1.7372f6871a1dap-11, 0x1.0d8ef8c7efe85p-10, 0x1.72003401bc09p-10, 0x1.e76a7ce2b2a67p-10, 0x1.3708ef7ec632p-9, 0x1.83107537cfe42p-9, 0x1.d7d4bdea94d15p-9, 0x1.1aa9340d031cdp-8, 0x1.4dbc938f78932p-8, 0x1.851550377bfe8p-8, 0x1.c09c8b218e7eep-8, 0x1.00198fde61bdfp-7, 0x1.21d8a6b6c048fp-7, 0x1.45735b1b3988ap-7, 0x1.6acd5c754adbap-7, 0x1.91c68f9e778fbp-7, 0x1.ba3b871a1ed21p-7, 0x1.e40611375557ap-7, 0x1.077ee828bdc42p-6, 0x1.1d7c693992cf1p-6, 0x1.33e60fd262b0bp-6, 0x1.4aa61c56bca65p-6, 0x1.61a6c14a7d623p-6, 0x1.78d24ec09b3a5p-6, 0x1.901353b5c00d2p-6, 0x1.a754b6466cf5p-6, 0x1.be81c423a365bp-6, 0x1.d5863ce291266p-6, 0x1.ec4e57ceb234ap-6, 0x1.016363662e757p-5, 0x1.0c6e5bd3cde65p-5, 0x1.173eea75779b8p-5, 0x1.21cc23897b809p-5, 0x1.2c0d5b5763ccap-5, 0x1.35fa27de782eep-5, 0x1.3f8a632f30d7bp-5, 0x1.48b62e661eb2bp-5, 0x1.5175f52e3b45cp-5, 0x1.59c271a54de37p-5, 0x1.6194b076d02cbp-5, 0x1.68e614ff78048p-5, 0x1.6fb05d4cc152ep-5, 0x1.75eda5cfb1c98p-5, 0x1.7b986c9f8b524p-5, 0x1.80ab9430156f5p-5, 0x1.852265665218ep-5, 0x1.88f890fddfa98p-5, 0x1.8c2a30385a3c9p-5, 0x1.8eb3c4d66f17ep-5, 0x1.9092385fff5e6p-5, 0x1.91c2dac55c9eap-5, 0x1.9243606767e12p-5, 0x1.9211df9724af8p-5, 0x1.912ccd9f20f0ap-5, 0x1.8f92fb6a345e2p-5, 0x1.8d4391db4655bp-5, 0x1.8a3e0de97e89p-5, 0x1.86823c936a379p-5, 0x1.821036ba5a29ap-5, 0x1.7ce85cf59bfdbp-5, 0x1.770b536b85dfap-5, 0x1.7079fdbc48a49p-5, 0x1.69357b089ed47p-5, 0x1.613f221c796ebp-5, 0x1.58987dc3f6901p-5, 0x1.4f43494f3651cp-5, 0x1.45416d47ef57dp-5, 0x1.3a94fc5a5c423p-5, 0x1.2f403071bc0c2p-5, 0x1.2345680794b74p-5, 0x1.16a723a4093f2p-5, 0x1.0968038cc32e3p-5, 0x1.f7158b3f19372p-6, 0x1.da2486aa4aa85p-6, 0x1.bc02dfd14c012p-6, 0x1.9cb6ad3f86c99p-6, 0x1.7c4632601934ap-6, 0x1.5ab7dc7acbb03p-6, 0x1.38123fdc79a45p-6, 0x1.145c1523eafc1p-6, 0x1.df386d5a38682p-7, 0x1.93b33c2a1c3cp-7, 0x1.4636c3a272219p-7, 0x1.eda2cb5936a95p-8, 0x1.4b23692976ebfp-8, 0x1.4a19b9fccd71p-9, -0x1.20c38ae29d1c8p-14, -0x1.62dc8f1fb5d7dp-9, -0x1.61968180f0e5ap-8, -0x1.0a6e9d1ed355cp-7, -0x1.6591e25f146fdp-7, -0x1.c225a8bb653ccp-7, -0x1.100d3dc3dac27p-6, -0x1.3fb06ec2d2318p-6, -0x1.6ff4a69731c0cp-6, -0x1.a0d2247812314p-6, -0x1.d24129adf0224p-6, -0x1.021cfdd018385p-5, -0x1.1b5a72ebd9f4ap-5, -0x1.34d51dfa59284p-5, -0x1.4e892dcb2e45p-5, -0x1.6872d71953587p-5, -0x1.828e556e4e894p-5, -0x1.9cd7ebfc08442p-5, -0x1.b74be66c8e0a4p-5, -0x1.d1e699a7487f9p-5, -0x1.eca4648b141dp-5, -0x1.03c0d84e68c81p-4, -0x1.113d7955135b6p-4, -0x1.1ec655b00ef01p-4, -0x1.2c59b3eac09a9p-4, -0x1.39f5e1046bc38p-4, -0x1.479930a8fecd1p-4, -0x1.5541fd63bbdb9p-4, -0x1.62eea8cbc84fbp-4, -0x1.709d9baabdaf8p-4, -0x1.7e4d461d68adbp-4, -0x1.8bfc1faed166ep-4, -0x1.99a8a76dc8a43p-4, -0x1.a75163fd31349p-4, -0x1.b4f4e39f2b018p-4, -0x1.c291bc3b8e2ep-4, -0x1.d0268b61ca1f3p-4, -0x1.ddb1f646868e4p-4, -0x1.eb32a9bd5492p-4, -0x1.f8a75a2eb43c4p-4, -0x1.030761c558d24p-3, -0x1.09b3d49c3df23p-3, -0x1.10586b019728cp-3, -0x1.16f48e0212d5dp-3, -0x1.1d87aa45904bcp-3, -0x1.2411300241abap-3, -0x1.2a9092eefd4b4p-3, -0x1.31054a34e00f2p-3, -0x1.376ed060684f8p-3, -0x1.3dcca352272f7p-3, -0x1.441e442f1e64p-3, -0x1.4a633750f6661p-3, -0x1.509b043616bc8p-3, -0x1.56c53571ca964p-3, -0x1.5ce1589c799fep-3, -0x1.62eefe4413ddcp-3, -0x1.68edb9dcc3e44p-3, -0x1.6edd21b1f5817p-3, -0x1.74bcced7bfcbep-3, -0x1.7a8c5d1cc9761p-3, -0x1.804b6afca5a29p-3, -0x1.85f99992c47f3p-3, -0x1.8b968c8defbb9p-3, -0x1.9121ea246b7c2p-3, -0x1.969b5b08b05a9p-3, -0x1.9c028a5ed00b7p-3, -0x1.a15725b281239p-3, -0x1.a698dcedd8265p-3, -0x1.abc76250a6d24p-3, -0x1.b0e26a6888b72p-3, -0x1.b5e9ac099c327p-3, -0x1.badce047d3985p-3, -0x1.bfbbc270fb8fdp-3, -0x1.c48610074fed9p-3, -0x1.c93b88bcac407p-3, -0x1.cddbee6e572cdp-3, -0x1.d26705214b911p-3, -0x1.d6dc92ff148f3p-3, -0x1.db3c60531cd0fp-3, -0x1.df863788764d4p-3, -0x1.e3b9e528170b3p-3, -0x1.e7d737d76b371p-3, -0x1.ebde0057560bfp-3, -0x1.efce1183791c5p-3, -0x1.f3a74051cc868p-3, -0x1.f76963d2775fap-3, -0x1.fb14552fe854cp-3, -0x1.fea7efaf133d6p-3, -0x1.01120857f068cp-2, -0x1.02c44bd6df755p-2, -0x1.046ab3201efbep-2, -0x1.0605300de62bfp-2, -0x1.0793b58936378p-2, -0x1.0916378a3b14ap-2, -0x1.0a8cab18a2925p-2, -0x1.0bf7064bf4bf1p-2, -0x1.0d55404bd7a3ep-2, -0x1.0ea75150505b6p-2, -0x1.0fed32a1e8038p-2, -0x1.1126de99c9a58p-2, -0x1.125450a1be40dp-2, -0x1.1375853419007p-2, -0x1.148a79db83552p-2, -0x1.15932d32ae3c1p-2, -0x1.168f9ee3e44b3p-2, -0x1.177fcfa879e05p-2, -0x1.1863c1481c541p-2, -0x1.193b7697fb59bp-2, -0x1.1a06f379d0116p-2, -0x1.1ac63cdab9711p-2, -0x1.1b7958b1f7403p-2, -0x1.1c204dff76e63p-2, -0x1.1cbb24ca3d797p-2, -0x1.1d49e61ea3a11p-2, -0x1.1dcc9c0c6c144p-2, -0x1.1e4351a4adaddp-2, -0x1.1eae12f794996p-2, -0x1.1f0ced11fa99p-2, -0x1.1f5fedfad664cp-2, -0x1.1fa724b07f7f1p-2, -0x1.1fe2a125cb55dp-2, -0x1.2012743f025d5p-2, -0x1.2036afceacb53p-2, -0x1.204f669237381p-2, -0x1.205cac2e755c6p-2, -0x1.205e952bfb0edp-2, -0x1.205536f353cefp-2, -0x1.2040a7c9169cp-2, -0x1.2020fec9d7239p-2, -0x1.1ff653e5f7454p-2, -0x1.1fc0bfdd572a2p-2, -0x1.1f805c3ae8c53p-2, -0x1.1f354350248b2p-2, -0x1.1edf903063c62p-2, -0x1.1e7f5eac2086ep-2, -0x1.1e14cb4c196fp-2, -0x1.1d9ff34c64558p-2, -0x1.1d20f49761b06p-2, -0x1.1c97edc0a651fp-2, -0x1.1c04fdffc5ebbp-2, -0x1.1b68452b16f8dp-2, -0x1.1ac1e3b25e077p-2, -0x1.1a11fa996ee43p-2, -0x1.1958ab72c0946p-2, -0x1.18961859f028ap-2, -0x1.17ca63ee407c4p-2, -0x1.16f5b14d0e13ap-2, -0x1.1618240c394e9p-2, -0x1.1531e0348bc38p-2, -0x1.14430a3c1cb9ep-2, -0x1.134bc700af7cp-2, -0x1.124c3bc20cd2fp-2, -0x1.11448e1c638bp-2, -0x1.1034e402a17fp-2, -0x1.0f1d63b8d7314p-2, -0x1.0dfe33ce968e1p-2, -0x1.0cd77b195dffp-2, -0x1.0ba960af03eebp-2, -0x1.0a740be02b17fp-2, -0x1.0937a432c1d47p-2, -0x1.07f4515c86b1dp-2, -0x1.06aa3b3d98e71p-2, -0x1.055989db158acp-2, -0x1.04026559c0a99p-2, -0x1.02a4f5f8ba3c6p-2, -0x1.0141640c43d4dp-2, -0x1.ffafaff1299b8p-3, -0x1.fcd0f4597bbf5p-3, -0x1.f9e6e63b3f3e1p-3, -0x1.f6f1d681e0be3p-3, -0x1.f3f21610ac9f8p-3, -0x1.f0e7f5b92909ap-3, -0x1.edd3c6319a339p-3, -0x1.eab5d80ba817ap-3, -0x1.e78e7bab380cfp-3, -0x1.e45e013d6df69p-3, -0x1.e124b8afd88c2p-3, -0x1.dde2f1a7cb5f8p-3, -0x1.da98fb79ecc8ap-3, -0x1.d7472521ed28ap-3, -0x1.d3edbd3a6e8dap-3, -0x1.d08d11f522ep-3, -0x1.cd2571131448p-3, -0x1.c9b727dd27a18p-3, -0x1.c642831cc8471p-3, -0x1.c2c7cf14d08e8p-3, -0x1.bf47577aa002ap-3, -0x1.bbc1676f66642p-3, -0x1.b8364979a28fbp-3, -0x1.b4a6477edb722p-3, -0x1.b111aabd81733p-3, -0x1.ad78bbc7147b9p-3, -0x1.a9dbc27a6d2afp-3, -0x1.a63b05fe4c6bfp-3, -0x1.a296ccbc11bc2p-3, -0x1.9eef5c5aad445p-3, -0x1.9b44f9b9c5d65p-3, -0x1.9797e8ed11ef7p-3, -0x1.93e86d37e4a04p-3, -0x1.9036c908f01c8p-3, -0x1.8c833df6398d3p-3, -0x1.88ce0cb9436bbp-3, -0x1.8517752b683d9p-3, -0x1.815fb64263ef8p-3, -0x1.7da70e0d1c84bp-3, -0x1.79edb9b087cd3p-3, -0x1.7633f564d93d5p-3, -0x1.7279fc72cbea9p-3, -0x1.6ec00931293a1p-3, -0x1.6b0655027b89fp-3, -0x1.674d1852ea323p-3, -0x1.63948a964dd14p-3, -0x1.5fdce24668a86p-3, -0x1.5c2654e14f59cp-3, -0x1.587116e7ff634p-3, -0x1.54bd5bdd1e0fcp-3, -0x1.510b5643e1a12p-3, -0x1.4d5b379f27568p-3, -0x1.49ad3070ad828p-3, -0x1.460170387b5f6p-3, -0x1.425825746cf3p-3, -0x1.3eb17d9fe3e4dp-3, -0x1.3b0da533a1ab3p-3, -0x1.376cc7a5c5c8bp-3, -0x1.33cf0f69ed771p-3, -0x1.3034a5f17842ep-3, -0x1.2c9db3abefd6ep-3, -0x1.290a60078e90ap-3, -0x1.257ad171ea255p-3, -0x1.21ef2d58bb4d9p-3, -0x1.1e67982ac43acp-3, -0x1.1ae43558d6b68p-3, -0x1.17652756f4a5ep-3, -0x1.13ea8f9d90369p-3, -0x1.10748eaae6704p-3, -0x1.0d0344046ee16p-3, -0x1.0996ce386cb9bp-3, -0x1.062f4adf941f1p-3, -0x1.02ccd69ec9051p-3, -0x1.fedf1a51e803cp-4, -0x1.f82f1281d3385p-4, -0x1.f189c976e285fp-4, -0x1.eaef7102ada8ap-4, -0x1.e46039231efaap-4, -0x1.dddc5006f905ap-4, -0x1.d763e21264dfp-4, -0x1.d0f719e3b0048p-4, -0x1.ca96205830ec6p-4, -0x1.c4411c9137e65p-4, -0x1.bdf833f933009p-4, -0x1.b7bb8a48e0002p-4, -0x1.b18b418c96f9ep-4, -0x1.ab677a29bd624p-4, -0x1.a55052e441e81p-4, -0x1.9f45e8e42f2eep-4, -0x1.994857bb5f416p-4, -0x1.9357b96b306c3p-4, -0x1.8d74266a5f91ep-4, -0x1.879db5aae2511p-4, -0x1.81d47c9fd5663p-4, -0x1.7c188f4382cd6p-4, -0x1.766a001d61613p-4, -0x1.70c8e04833f7ap-4, -0x1.6b353f782066ep-4, -0x1.65af2c00df2bap-4, -0x1.6036b2dbe7e43p-4, -0x1.5acbdfaea85a3p-4, -0x1.556ebcd0c04c2p-4, -0x1.501f535244402p-4, -0x1.4addab01feeeep-4, -0x1.45a9ca73b8a96p-4, -0x1.4083b7067e91fp-4, -0x1.3b6b74eae97aap-4, -0x1.3661072964c48p-4, -0x1.31646fa875f25p-4, -0x1.2c75af32fbf6bp-4, -0x1.2794c57e736f9p-4, -0x1.22c1b1312b931p-4, -0x1.1dfc6fe881cc5p-4, -0x1.1944fe3f1025ep-4, -0x1.149b57d2d7a9p-4, -0x1.0fff774b621dbp-4, -0x1.0b71565fdb861p-4, -0x1.06f0eddd27bb6p-4, -0x1.027e35abe591bp-4, -0x1.fc3249ace66e5p-5, -0x1.f383631db70f1p-5, -0x1.eaefa26984fccp-5, -0x1.e276f0b684b68p-5, -0x1.da19359d7349ap-5, -0x1.d1d6573523907p-5, -0x1.c9ae3a1de1934p-5, -0x1.c1a0c18ccd1cbp-5, -0x1.b9adcf570a701p-5, -0x1.b1d543fcd89c1p-5, -0x1.aa16feb48dc45p-5, -0x1.a272dd756ba87p-5, -0x1.9ae8bd026185cp-5, -0x1.937878f49f873p-5, -0x1.8c21ebc61cd68p-5, -0x1.84e4eedbdc963p-5, -0x1.7dc15a90349ep-5, -0x1.76b7063cd8669p-5, -0x1.6fc5c844cfe7cp-5, -0x1.68ed761e3d8e5p-5, -0x1.622de45c0b91p-5, -0x1.5b86e6b772375p-5, -0x1.54f8501952258p-5, -0x1.4e81f2a3798c3p-5, -0x1.48239fb9af49ep-5, -0x1.41dd280aafap-5, -0x1.3bae5b98eafacp-5, -0x1.359709c332c7ap-5, -0x1.2f97014d3d218p-5, -0x1.29ae1067f51dep-5, -0x1.23dc04b9b2798p-5, -0x1.1e20ab66432d8p-5, -0x1.187bd116daa09p-5, -0x1.12ed4201cc6c5p-5, -0x1.0d74c9f220c8p-5, -0x1.0812344f15f3ep-5, -0x1.02c54c2360e6fp-5, -0x1.fb1bb848bb9b6p-6, -0x1.f0d75d7218378p-6, -0x1.e6bd1c01d96bcp-6, -0x1.dccc87b577082p-6, -0x1.d30533d5e92e5p-6, -0x1.c966b3449676ep-6, -0x1.bff09887d0173p-6, -0x1.b6a275d712377p-6, -0x1.ad7bdd270877fp-6, -0x1.a47c60352dd6p-6, -0x1.9ba3909339e69p-6, -0x1.92f0ffb238373p-6, -0x1.8a643eed6492ep-6, -0x1.81fcdf94b38ap-6, -0x1.79ba72f722ae3p-6, -0x1.719c8a6cb0d8ep-6, -0x1.69a2b76020f67p-6, -0x1.61cc8b58750aep-6, -0x1.5a19980224405p-6, -0x1.52896f3807124p-6, -0x1.4b1ba30c0eb25p-6, -0x1.43cfc5cfb1d56p-6, -0x1.3ca56a1c11ba5p-6, -0x1.359c22d9fa993p-6, -0x1.2eb3834982425p-6, -0x1.27eb1f098712dp-6, -0x1.21428a1ed2067p-6, -0x1.1ab958fb20dc1p-6, -0x1.144f2083ce6adp-6, -0x1.0e03761865dap-6, -0x1.07d5ef98db137p-6, -0x1.01c6236b9848p-6, -0x1.f7a75106be402p-7, -0x1.ebfc2cc9a2822p-7, -0x1.e08a0a57c8d69p-7, -0x1.d5501b222fed4p-7, -0x1.ca4d91dccab2ep-7, -0x1.bf81a288128e4p-7, -0x1.b4eb827a4f068p-7, -0x1.aa8a686823a3p-7, -0x1.a05d8c6d34504p-7, -0x1.966428140353cp-7, -0x1.8c9d765d94245p-7, -0x1.8308b3c8c7e33p-7, -0x1.79a51e5931522p-7, -0x1.7071f59dba576p-7, -0x1.676e7ab6e42d3p-7, -0x1.5e99f05c8a4f6p-7, -0x1.55f39ae3a1308p-7, -0x1.4d7ac04358b6dp-7, -0x1.452ea81a121bep-7, -0x1.3d0e9bb1fd229p-7, -0x1.3519e60575435p-7, -0x1.2d4fd3c2f8f42p-7, -0x1.25afb350f39f1p-7, -0x1.1e38d4d138c84p-7, -0x1.16ea8a241df4cp-7, -0x1.0fc426eb80709p-7, -0x1.08c5008d56d57p-7, -0x1.01ec6e36215a4p-7, -0x1.f67391b62ffb4p-8, -0x1.e958d67820221p-8, -0x1.dc8763ca130c3p-8, -0x1.cffdf65fe4d62p-8, -0x1.c3bb4e8aee22cp-8, -0x1.b7be303cad469p-8, -0x1.ac05630814ac3p-8, -0x1.a08fb2229a741p-8, -0x1.955bec654663ap-8, -0x1.8a68e44cdb458p-8, -0x1.7fb56ffa0a6c8p-8, -0x1.75406930e275ap-8, -0x1.6b08ad581cd38p-8, -0x1.610d1d784ab36p-8, -0x1.574c9e3a3ff21p-8, -0x1.4dc617e53332p-8, -0x1.4478765d23befp-8, -0x1.3b62a920179dep-8, -0x1.3283a343c6d2dp-8, -0x1.29da5b7276ec1p-8, -0x1.2165cbe81af3cp-8, -0x1.1924f26e74ed1p-8, -0x1.1116d059d071p-8, -0x1.093a6a84cca1dp-8, -0x1.018ec94c43f46p-8, -0x1.f425f115d1a49p-9, -0x1.e58c0f2942fe4p-9, -0x1.d74e12635ac39p-9, -0x1.c96a27331d445p-9, -0x1.bbde80dc1766fp-9, -0x1.aea9596af2228p-9, -0x1.a1c8f1aaf147fp-9, -0x1.953b91198376dp-9, -0x1.88ff85db474e5p-9, -0x1.7d1324afc7da9p-9, -0x1.7174c8e46ee9p-9, -0x1.6622d4487e427p-9, -0x1.5b1baf1fc7734p-9, -0x1.505dc815990ebp-9, -0x1.45e7942f042fbp-9, -0x1.3bb78ebd76fb3p-9, -0x1.31cc395081c69p-9, -0x1.28241ba842509p-9, -0x1.1ebdc3a66f21ap-9, -0x1.1597c5405fb06p-9, -0x1.0cb0ba708d6a2p-9, -0x1.04074326eb7eep-9, -0x1.f7340a765f861p-10, -0x1.e6cf58b9b875bp-10, -0x1.d6ddd408f38a2p-10, -0x1.c75ceac89e143p-10, -0x1.b84a16b168ae2p-10, -0x1.a9a2dcb214547p-10, -0x1.9b64cccffa957p-10, -0x1.8d8d8207751a4p-10, -0x1.801aa22d3981dp-10, -0x1.7309ddce5173p-10, -0x1.6658f01088e6ep-10, -0x1.5a059e92e6958p-10, -0x1.4e0db94e6fd16p-10, -0x1.426f1a75f5d11p-10, -0x1.3727a65626867p-10, -0x1.2c354b3633347p-10, -0x1.219601379396ap-10, -0x1.1747ca372bb0dp-10, -0x1.0d48b1abb55p-10, -0x1.0396cc889ea42p-10, -0x1.f4607237f2f68p-11, -0x1.e2263de0c8253p-11, -0x1.d07b5d5a67e07p-11, -0x1.bf5c43ed43f25p-11, -0x1.aec5769d58f44p-11, -0x1.9eb38bec19c79p-11, -0x1.8f232b99d6337p-11, -0x1.80110e67c8d1bp-11, -0x1.7179fdda9558fp-11, -0x1.635ad3fc7f4b4p-11, -0x1.55b07b219ead8p-11, -0x1.4877eda858a0fp-11, -0x1.3bae35bfe24cep-11, -0x1.2f506d2a3de7dp-11, -0x1.235bbd01a8e22p-11, -0x1.17cd5d7b89338p-11, -0x1.0ca295aff4938p-11, -0x1.01d8bb5d21487p-11, -0x1.eeda655bef67bp-12, -0x1.dabadc00a8508p-12, -0x1.c74ddb57c1ef6p-12, -0x1.b48e7f91588ebp-12, -0x1.a277ffee9b2a5p-12, -0x1.9105ae51882a5p-12, -0x1.8032f6cd46d75p-12, -0x1.6ffb5f3b07222p-12, -0x1.605a86c9086cbp-12, -0x1.514c2592b260fp-12, -0x1.42cc0c317a752p-12, -0x1.34d62356e3261p-12, -0x1.27666b5ff69ccp-12, -0x1.1a78fbf08dc51p-12, -0x1.0e0a038a08f6cp-12, -0x1.0215c7272deb3p-12, -0x1.ed3143adb5535p-13, -0x1.d71e08b1813b9p-13, -0x1.c1eae97375997p-13, -0x1.ad911be7f00bbp-13, -0x1.9a09ff1a45883p-13, -0x1.874f1a6ffa3bp-13, -0x1.755a1ceb11e99p-13, -0x1.6424dc71f6adep-13, -0x1.53a955141f6d9p-13, -0x1.43e1a85b70385p-13, -0x1.34c81c8e708c6p-13, -0x1.26571c08ff016p-13, -0x1.18893485b985ap-13, -0x1.0b5916756dad4p-13, -0x1.fd8328a84908ap-14, -0x1.e57b43fd48becp-14, -0x1.ce90a81b6c19fp-14, -0x1.b8b9be672289cp-14, -0x1.a3ed2f2fd004bp-14, -0x1.9021e0737d3aap-14, -0x1.7d4ef4a2fd3bdp-14, -0x1.6b6bc96c5806ap-14, -0x1.5a6ff68758e74p-14, -0x1.4a534c8b82a94p-14, -0x1.3b0dd3c242e67p-14, -0x1.2c97cb048785fp-14, -0x1.1ee9a69c6886ep-14, -0x1.11fc0f26b7d9cp-14, -0x1.05c7e078a7af3p-14, -0x1.f48c51233d6a9p-15, -0x1.dee04d08cf3e2p-15, -0x1.ca7e92e59cedap-15, -0x1.b75a5f00f8746p-15, -0x1.a56749a49afd9p-15, -0x1.9499452069b34p-15, -0x1.84e49bd45351ap-15, -0x1.763dee3a75c92p-15, -0x1.689a310d40345p-15, -0x1.5beeab6058a75p-15, -0x1.5030f4ca7c273p-15, -0x1.4556f39cd0194p-15, -0x1.3b56db13bce5ap-15, -0x1.322729a146221p-15, -0x1.29bea72b226f1p-15, -0x1.2214636562a72p-15, -0x1.1b1fb41f74c96p-15, -0x1.14d833ab70b4fp-15, -0x1.0f35bf3f8a18fp-15, -0x1.0a3075620055fp-15, -0x1.05c0b4643faf9p-15, -0x1.01df18d62f494p-15, -0x1.fd08f8140b494p-16, -0x1.f753e5412881dp-16, -0x1.f29196307f8d4p-16, -0x1.eeb518c3f5fb2p-16, -0x1.ebb1e905fb4afp-16, -0x1.e97bee7180e73p-16, -0x1.e8077930d8819p-16, -0x1.e7493fa2d349ap-16, -0x1.e7365bac10c73p-16, -0x1.e7c4483e15bfdp-16, -0x1.e8e8dee1f8679p-16, -0x1.ea9a5549c4957p-16, -0x1.eccf3aecad89ep-16, -0x1.ef7e76b3b2c0cp-16, -0x1.f29f44b656889p-16, -0x1.f62933f814fddp-16, -0x1.fa14243e931fcp-16, -0x1.fe5843e0f4bbcp-16, -0x1.017706dc2fe35p-15, -0x1.03e72382bc9b5p-15, -0x1.0678feb84b586p-15, -0x1.092942860fb05p-15, -0x1.0bf4bb34a7cf1p-15, -0x1.0ed85656220d5p-15, -0x1.11d121deef05dp-15, -0x1.14dc4b3482651p-15, -0x1.17f71e4e378a9p-15, -0x1.1b1f04d58aaa4p-15, -0x1.1e51854b60ce6p-15, -0x1.218c4233e5ff5p-15, -0x1.24ccf946d6b88p-15, -0x1.2811829fb0825p-15, -0x1.2b57cff668ce8p-15, -0x1.2e9debe0fd534p-15, -0x1.31e1f90e296fp-15, -0x1.3522318f87f21p-15, -0x1.385ce6228f459p-15, -0x1.3b907d7c16176p-15, -0x1.3ebb739cbf33ep-15, -0x1.41dc59230e943p-15, -0x1.44f1d2a9c3c57p-15, -0x1.47fa982084c04p-15, -0x1.4af574317dec1p-15, -0x1.4de143a5e12e9p-15, -0x1.50bcf4cca9685p-15, -0x1.538786e8c56a7p-15, -0x1.564009a04d89bp-15, -0x1.58e59c71c4a0ep-15, -0x1.5b776e2646353p-15, -0x1.5df4bc51347c6p-15, -0x1.605cd2cbc26b1p-15, -0x1.62af0b354b6d1p-15, -0x1.64eacc7674d87p-15, -0x1.670f8a49a98d7p-15, -0x1.691cc4c3aa201p-15, -0x1.6b1207e1a5a8p-15, -0x1.6ceeeb198bd2bp-15, -0x1.6eb310eec818ep-15, -0x1.705e268368bebp-15, -0x1.71efe333d061ep-15, -0x1.73680831cf7d4p-15, -0x1.74c6602007c88p-15, -0x1.760abeb51a258p-15, -0x1.7735005dca4dp-15, -0x1.784509e3070ap-15, -0x1.793ac81162ab9p-15, -0x1.7a162f63affcep-15, -0x1.7ad73bae06482p-15, -0x1.7b7defd10164bp-15, -0x1.7c0a55667e5bdp-15, -0x1.7c7c7c77c2048p-15, -0x1.7cd47b32ad267p-15, -0x1.7d126da37cb39p-15, -0x1.7d36756a160eap-15, -0x1.7d40b97968c83p-15, -0x1.7d3165d52c9efp-15, -0x1.7d08ab4fb06ffp-15, -0x1.7cc6bf4d7135cp-15, -0x1.7c6bdb8a34b46p-15, -0x1.7bf83dda21ae1p-15, -0x1.7b6c27f5a830dp-15, -0x1.7ac7df3f3a6cp-15, -0x1.7a0bac8f2919dp-15, -0x1.7937dbff38927p-15, -0x1.784cbcb976db5p-15, -0x1.774aa0c7735ap-15, -0x1.7631dce487f49p-15, -0x1.7502c84e10ee6p-15, -0x1.73bdbc99246a7p-15, -0x1.726315868902p-15, -0x1.70f330db96d8p-15, -0x1.6f6e6e396d5f3p-15, -0x1.6dd52ef71d027p-15, -0x1.6c27d5fb6a1e8p-15, -0x1.6a66c79be7a36p-15, -0x1.68926976d5cbbp-15, -0x1.66ab22537b98cp-15, -0x1.64b15a01f145cp-15, -0x1.62a5793d0bd85p-15, -0x1.6087e98935766p-15, -0x1.5e59151cc77b6p-15, -0x1.5c1966c18e453p-15, -0x1.59c949b89f1f3p-15, -0x1.576929a3c5f5fp-15, -0x1.54f9726ba571ep-15, -0x1.527a9026ed935p-15, -0x1.4fecef051a448p-15, -0x1.4d50fb38475f8p-15, -0x1.4aa720e0190bbp-15, -0x1.47efcbf6e1525p-15, -0x1.452b683c83cd7p-15, -0x1.425a6124de0dap-15, -0x1.3f7d21c5c729p-15, -0x1.3c9414c8004a2p-15, -0x1.399fa454af4bfp-15, -0x1.36a03a079c8d3p-15, -0x1.33963ee024f04p-15, -0x1.30821b344db11p-15, -0x1.2d6436a2d305bp-15, -0x1.2a3cf804960ecp-15, -0x1.270cc563dceep-15, -0x1.23d403eec085p-15, -0x1.209317edb8c34p-15, -0x1.1d4a64b8802cfp-15, -0x1.19fa4cae3cb0dp-15, -0x1.16a3312a747a8p-15, -0x1.1345727cb346dp-15, -0x1.0fe16fe1cdb11p-15, -0x1.0c77877bccc94p-15, -0x1.0908164a2ce46p-15, -0x1.059378238ad6p-15, -0x1.021a07b056bc5p-15, -0x1.fd383ccbc8f01p-16, -0x1.f63428fd4fee8p-16, -0x1.ef2881ee15d74p-16, -0x1.e815f31033a4bp-16, -0x1.e0fd2548e7eefp-16, -0x1.d9debee8ca34ap-16, -0x1.d2bb63a2692cfp-16, -0x1.cb93b489073dcp-16, -0x1.c468500605d66p-16, -0x1.bd39d1d9a0c96p-16, -0x1.b608d3131d422p-16, -0x1.aed5ea0df64fep-16, -0x1.a7a1aa6ef8dd4p-16, -0x1.a06ca5229410dp-16, -0x1.9937685b18615p-16, -0x1.92027f8e6463ep-16, -0x1.8ace7376483c7p-16, -0x1.839bca108fb46p-16, -0x1.7c6b069d4aad2p-16, -0x1.753ca9a05e7cdp-16, -0x1.6e1130e33a996p-16, -0x1.66e91774e4d89p-16, -0x1.5fc4d5ac7f12ep-16, -0x1.58a4e12a37cf5p-16, -0x1.5189acdc3a27cp-16, -0x1.4a73a901f317bp-16, -0x1.4363432af4237p-16, -0x1.3c58e63e43667p-16, -0x1.3554fa7c2dc9bp-16, -0x1.2e57e582cfdc9p-16, -0x1.27620a53aa03ep-16, -0x1.2073c9566b48ep-16, -0x1.198d805f73526p-16, -0x1.12af8ab2a0ceep-16, -0x1.0bda410b98abp-16, -0x1.050df9a154e08p-16, -0x1.fc9610584c576p-17, -0x1.ef237bd4969c4p-17, -0x1.e1c4d35155ae7p-17, -0x1.d47aaf8c2b23ep-17, -0x1.c745a479cf376p-17, -0x1.ba26414f26cd9p-17, -0x1.ad1d108e855eep-17, -0x1.a02a9814f7865p-17, -0x1.934f5929fd95ep-17, -0x1.868bd08bfdf96p-17, -0x1.79e0767ff1615p-17, -0x1.6d4dbedc7410bp-17, -0x1.60d4191c8aaa1p-17, -0x1.5473f06a5fe71p-17, -0x1.482dabb122617p-17, -0x1.3c01adada4702p-17, -0x1.2ff054f7d8104p-17, -0x1.23f9fc156a0bbp-17, -0x1.181ef98837dc1p-17, -0x1.0c5f9fdf19099p-17, -0x1.00bc3dc4030ddp-17, -0x1.ea6a3c172381ep-18, -0x1.d3950f870a094p-18, -0x1.bcf97c8988547p-18, -0x1.a698028502fc8p-18, -0x1.907119af6712bp-18, -0x1.7a85333227fc3p-18, -0x1.64d4b94502654p-18, -0x1.4f600f51ce03ep-18, -0x1.3a27920baf6d3p-18, -0x1.252b9795d45cep-18, -0x1.106c6fa261f89p-18, -0x1.f7d4c71ba2332p-19, -0x1.cf4b6cfeed6ebp-19, -0x1.a73d4b111f232p-19, -0x1.7faacf7aed0fep-19, -0x1.58945cb78b0c7p-19, -0x1.31fa49c9f1843p-19, -0x1.0bdce274b7ff2p-19, -0x1.cc78cefa08da7p-20, -0x1.82321dc107867p-20, -0x1.38e608312825ap-20, -0x1.e129a13a3bc25p-21, -0x1.527d4a520a762p-21, -0x1.8b8e80ed7ef8cp-22, -0x1.d83c8f88ee8d6p-24, 0x1.3707626eea087p-23, 0x1.a92a768aa626fp-22, 0x1.5972f61307bfp-21, 0x1.dc5b8c1e7f042p-21, 0x1.2ea7d150a2dafp-20, 0x1.6e28001bc94cfp-20, 0x1.acaec5fbacc4fp-20, 0x1.ea3ca652f300dp-20, 0x1.136919f832af3p-19, 0x1.3138085510ee6p-19, 0x1.4e8b7678394cbp-19, 0x1.6b63c3bbc157bp-19, }}, 
      {{-0x1.53204dd2f1028p-9, -0x1.4ebbacad5b65dp-8, -0x1.eb96f32e5aec9p-8, -0x1.3e79b3bba4ca7p-7, -0x1.803b66e30a7fep-7, -0x1.ba4b78f62449p-7, -0x1.ec42e4e5f051ap-7, -0x1.0b0581510dcc5p-6, -0x1.1be746a51ce89p-6, -0x1.28f576fc8835ap-6, -0x1.3271537573012p-6, -0x1.38a8a68145435p-6, -0x1.3bf09c9ebab63p-6, -0x1.3ca1793356fd7p-6, -0x1.3b131bcb8a79cp-6, -0x1.379a43ad645p-6, -0x1.32867cbb1890ep-6, -0x1.2c209fcc87ee9p-6, -0x1.24a9d113bb54fp-6, -0x1.1c5ae84b2a953p-6, -0x1.13643002a6cbap-6, -0x1.09ed6b2caabdcp-6, -0x1.001611ef89273p-6, -0x1.ebeb713cd6ba7p-7, -0x1.d7392b1bf26cfp-7, -0x1.c228385bc3525p-7, -0x1.acbf4ac9592e6p-7, -0x1.96fa3d3455555p-7, -0x1.80cb74496a58bp-7, -0x1.6a1d39dbaa6ddp-7, -0x1.52d30c3998f93p-7, -0x1.3acadcd60551fp-7, -0x1.21de3af33d077p-7, -0x1.07e368286a305p-7, -0x1.d95cab1550239p-8, -0x1.a02312081803dp-8, -0x1.63bdd5f479a36p-8, -0x1.23d0f9b12bbcdp-8, -0x1.c003e59b50ab9p-9, -0x1.2ff180439c3f1p-9, -0x1.2d83635ebbf0ep-10, 0x1.858252a040309p-14, 0x1.72dd05f6847f4p-10, 0x1.71916d3ddf6a8p-9, 0x1.1a8a6e11a3c2p-8, 0x1.82363828319f8p-8, 0x1.efff738081e1cp-8, 0x1.3209727186c12p-7, 0x1.6f4b50ae56117p-7, 0x1.afd50439c849fp-7, 0x1.f3b2e64063046p-7, 0x1.1d7701d7e6073p-6, 0x1.42c61672aded9p-6, 0x1.69c804f8f2d15p-6, 0x1.927c99612d491p-6, 0x1.bce22546a3344p-6, 0x1.e8f58efa07ba5p-6, 0x1.0b5930d544be2p-5, 0x1.23096f3633d2bp-5, 0x1.3b8806f3fe962p-5, 0x1.54d0e940ea6c3p-5, 0x1.6edf7d68a6af4p-5, 0x1.89aeaa20160c5p-5, 0x1.a538ded8b971dp-5, 0x1.c1781d0907d5bp-5, 0x1.de66015cadcfep-5, 0x1.fbfbccc156948p-5, 0x1.0d1936a319021p-4, 0x1.1c814362e0678p-4, 0x1.2c323da959817p-4, 0x1.3c2839b0e673ap-4, 0x1.4c5f32d5ef677p-4, 0x1.5cd30f61deaebp-4, 0x1.6d7fa42e8af79p-4, 0x1.7e60b820e39f2p-4, 0x1.8f72077a07754p-4, 0x1.a0af46fe44fd1p-4, 0x1.b21426f1ce569p-4, 0x1.c39c55eb27d97p-4, 0x1.d543837ba35cfp-4, 0x1.e70562ae43797p-4, 0x1.f8ddac5dcfd9p-4, 0x1.056410b16ae21p-3, 0x1.0e60464d3db08p-3, 0x1.17616263a5b6cp-3, 0x1.2065572685124p-3, 0x1.296a1e6463947p-3, 0x1.326dba434709p-3, 0x1.3b6e35eaf83fdp-3, 0x1.4469a61f684b4p-3, 0x1.4d5e29cbe5df9p-3, 0x1.5649ea7fdaa87p-3, 0x1.5f2b1cddbddefp-3, 0x1.680000fcf5b77p-3, 0x1.70c6e2bf4a629p-3, 0x1.797e1a1ab4f0bp-3, 0x1.82240b58134efp-3, 0x1.8ab7274784a55p-3, 0x1.9335eb6b0802fp-3, 0x1.9b9ee217f2e21p-3, 0x1.a3f0a28feccbbp-3, 0x1.ac29d111ed025p-3, 0x1.b4491ee3df92ap-3, 0x1.bc4d4a5566c55p-3, 0x1.c4351ebc4a16bp-3, 0x1.cbff746b02685p-3, 0x1.d3ab30a1e9211p-3, 0x1.db37457b6afc9p-3, 0x1.e2a2b1d3b70d1p-3, 0x1.e9ec812c43a5fp-3, 0x1.f113cb8b8d779p-3, 0x1.f817b559719d1p-3, 0x1.fef76f3861f0cp-3, 0x1.02d91aedee2a8p-2, 0x1.0623a8ee2d4bfp-2, 0x1.095b0bc485ef9p-2, 0x1.0c7ef35bc6a22p-2, 0x1.0f8f1548f4706p-2, 0x1.128b2cb186455p-2, 0x1.1572fa30f4c33p-2, 0x1.184643bdb8f98p-2, 0x1.1b04d48dcdc26p-2, 0x1.1dae7cfac9c6p-2, 0x1.20431265a3baep-2, 0x1.22c26f1a32097p-2, 0x1.252c723274c87p-2, 0x1.2780ff79bcfa5p-2, 0x1.29bfff4fb5722p-2, 0x1.2be95e8b62ec1p-2, 0x1.2dfd0e5e1e6f4p-2, 0x1.2ffb04369a3cfp-2, 0x1.31e339a3f6248p-2, 0x1.33b5ac38eb97bp-2, 0x1.35725d6f1b9bbp-2, 0x1.3719528a844fep-2, 0x1.38aa947d211d6p-2, 0x1.3a262fcabdeb5p-2, 0x1.3b8c346d05b27p-2, 0x1.3cdcb5b7c4f6dp-2, 0x1.3e17ca3d76242p-2, 0x1.3f3d8bb405c52p-2, 0x1.404e16d9e96a6p-2, 0x1.41498b5b74937p-2, 0x1.42300bb8835b9p-2, 0x1.4301bd2a6b144p-2, 0x1.43bec78a41f48p-2, 0x1.4467553775819p-2, 0x1.44fb92feb3362p-2, 0x1.457bb0012bc32p-2, 0x1.45e7dd9c26cc5p-2, 0x1.46404f50f371cp-2, 0x1.46853aad2e9b8p-2, 0x1.46b6d733636f5p-2, 0x1.46d55e4408921p-2, 0x1.46e10b06d4eecp-2, 0x1.46da1a5473eddp-2, 0x1.46c0caa09526cp-2, 0x1.46955be458de9p-2, 0x1.46580f8919527p-2, 0x1.4609285395a5ap-2, 0x1.45a8ea4f7616ep-2, 0x1.45379abb340c2p-2, 0x1.44b57ff45c468p-2, 0x1.4422e164355dbp-2, 0x1.4380076cc226p-2, 0x1.42cd3b5623869p-2, 0x1.420ac73c5e963p-2, 0x1.4138f5fd7c709p-2, 0x1.405813280e51dp-2, 0x1.3f686aea0fd08p-2, 0x1.3e6a4a0029d96p-2, 0x1.3d5dfda555fc4p-2, 0x1.3c43d382de854p-2, 0x1.3b1c19a0c1fbfp-2, 0x1.39e71e5674c02p-2, 0x1.38a5303c00c4fp-2, 0x1.37569e1b860e5p-2, 0x1.35fbb6e31a2d2p-2, 0x1.3494c99702559p-2, 0x1.33222544522bep-2, 0x1.31a418f3e2f89p-2, 0x1.301af39da96abp-2, 0x1.2e87041c69789p-2, 0x1.2ce89921c70dbp-2, 0x1.2b40012aaf1ep-2, 0x1.298d8a741f491p-2, 0x1.27d182f047a59p-2, 0x1.260c383c04f3cp-2, 0x1.243df794b5d9fp-2, 0x1.22670dce66544p-2, 0x1.2087c74a57108p-2, 0x1.1ea06fedd6262p-2, 0x1.1cb15319742b4p-2, 0x1.1ababba087919p-2, 0x1.18bcf3c10c602p-2, 0x1.16b8451bcf91cp-2, 0x1.14acf8acf2dadp-2, 0x1.129b56c4bd65bp-2, 0x1.1083a700c2528p-2, 0x1.0e6630454ee7p-2, 0x1.0c4338b72fd36p-2, 0x1.0a1b05b5bcd52p-2, 0x1.07eddbd53313dp-2, 0x1.05bbfed95b237p-2, 0x1.0385b1b07646p-2, 0x1.014b366e7833fp-2, 0x1.fe199c910316cp-3, 0x1.f99573214f4ep-3, 0x1.f50a6f63fb18cp-3, 0x1.f0790e59bcc49p-3, 0x1.ebe1cb26fd6b6p-3, 0x1.e7451f0d76a37p-3, 0x1.e2a38166509b3p-3, 0x1.ddfd679cbfbfep-3, 0x1.d95345291680dp-3, 0x1.d4a58b8c53f94p-3, 0x1.cff4aa4c2413p-3, 0x1.cb410eef52025p-3, 0x1.c68b24faaa77dp-3, 0x1.c1d355ee475f8p-3, 0x1.bd1a09434994p-3, 0x1.b85fa469f5154p-3, 0x1.b3a48ac836cd6p-3, 0x1.aee91db8832c2p-3, 0x1.aa2dbc891f31ep-3, 0x1.a572c47bb9854p-3, 0x1.a0b890c5652c1p-3, 0x1.9bff7a8eea782p-3, 0x1.9747d8f56398fp-3, 0x1.9292010b366b1p-3, 0x1.8dde45d953c46p-3, 0x1.892cf860c96f5p-3, 0x1.847e679c97e0ep-3, 0x1.7fd2e083d3948p-3, 0x1.7b2aae0c077eap-3, 0x1.7686192bdc1bep-3, 0x1.71e568ddfc129p-3, 0x1.6d48e2243747ep-3, 0x1.68b0c80adf222p-3, 0x1.641d5bac5bf73p-3, 0x1.5f8edc34f7426p-3, 0x1.5b0586e6db819p-3, 0x1.5681971e42b17p-3, 0x1.52034655d60bcp-3, 0x1.4d8acc2b371c7p-3, 0x1.49185e63b9389p-3, 0x1.44ac30f13a9fp-3, 0x1.404675f72fbcep-3, 0x1.3be75dcfc5502p-3, 0x1.378f171130481p-3, 0x1.333dce931727ap-3, 0x1.2ef3af741b128p-3, 0x1.2ab0e31f7cffcp-3, 0x1.26759152e1b5dp-3, 0x1.2241e02424ba9p-3, 0x1.1e15f4074cb04p-3, 0x1.19f1efd48f87bp-3, 0x1.15d5f4ce6849dp-3, 0x1.11c222a7c3c07p-3, 0x1.0db6978a388dbp-3, 0x1.09b3701c529dfp-3, 0x1.05b8c787e3e08p-3, 0x1.01c6b7806a1cdp-3, 0x1.fbbab092ed13dp-4, 0x1.f3f9817a46f1ap-4, 0x1.ec4a0ca51b071p-4, 0x1.e4ac7a48ae94ep-4, 0x1.dd20efee551bbp-4, 0x1.d5a7908087abep-4, 0x1.ce407c57f52bdp-4, 0x1.c6ebd1489eeebp-4, 0x1.bfa9aaaeee41ep-4, 0x1.b87a217cc2f0dp-4, 0x1.b15d4c4688d2ap-4, 0x1.aa533f5041068p-4, 0x1.a35c0c9a7614ap-4, 0x1.9c77c3ef3fe3dp-4, 0x1.95a672ef20744p-4, 0x1.8ee8251de4a6p-4, 0x1.883ce3ef68da1p-4, 0x1.81a4b6d452aa9p-4, 0x1.7b1fa346b5b45p-4, 0x1.74adacd6a47fp-4, 0x1.6e4ed536a5f3ep-4, 0x1.68031c481d486p-4, 0x1.61ca80278c9d7p-4, 0x1.5ba4fd38c850cp-4, 0x1.55928e3308e0ap-4, 0x1.4f932c2ce29a5p-4, 0x1.49a6cea81e242p-4, 0x1.43cd6b9d74012p-4, 0x1.3e06f788291e9p-4, 0x1.3853657186c95p-4, 0x1.32b2a6fc38405p-4, 0x1.2d24ac6f7fa3ap-4, 0x1.27a964c24c746p-4, 0x1.2240bda62c419p-4, 0x1.1ceaa3921853p-4, 0x1.17a701cd1ddbbp-4, 0x1.1275c278e1948p-4, 0x1.0d56ce9bfe0b3p-4, 0x1.084a0e2c386d4p-4, 0x1.034f681894997p-4, 0x1.fccd84a676357p-5, 0x1.f32003b67a5cfp-5, 0x1.e996158c5d251p-5, 0x1.e02f80932f7bfp-5, 0x1.d6ec098882721p-5, 0x1.cdcb738ea53f7p-5, 0x1.c4cd803e9c91p-5, 0x1.bbf1efb9c1dfbp-5, 0x1.b33880bb11dabp-5, 0x1.aaa0f0a82b4e2p-5, 0x1.a22afba1fa4bcp-5, 0x1.99d65c9513761p-5, 0x1.91a2cd49bb33bp-5, 0x1.899006739a342p-5, 0x1.819dbfc1286b6p-5, 0x1.79cbafeabda0fp-5, 0x1.72198cc152d4dp-5, 0x1.6a870b3cf8592p-5, 0x1.6313df8af2e72p-5, 0x1.5bbfbd1b97434p-5, 0x1.548a56afbe6ffp-5, 0x1.4d735e6605cdap-5, 0x1.467a85c7ad10bp-5, 0x1.3f9f7dd52e332p-5, 0x1.38e1f7128858bp-5, 0x1.3241a1933911bp-5, 0x1.2bbe2d05f0a86p-5, 0x1.255748bff30adp-5, 0x1.1f0ca3c830ee7p-5, 0x1.18ddece21dbf5p-5, 0x1.12cad2982b7d9p-5, 0x1.0cd3034610c56p-5, 0x1.06f62d22bb1a2p-5, 0x1.0133fe49fb86fp-5, 0x1.f718498be1804p-6, 0x1.ebfc9d3055cb5p-6, 0x1.e114538510671p-6, 0x1.d65ec89f9adfep-6, 0x1.cbdb58b8045e9p-6, 0x1.c18960390b56bp-6, 0x1.b7683bcfbbe11p-6, 0x1.ad77487aa8c0dp-6, 0x1.a3b5e39890a2dp-6, 0x1.9a236af68b07fp-6, 0x1.90bf3cddc05ffp-6, 0x1.8788b8209ff53p-6, 0x1.7e7f3c27b1ec8p-6, 0x1.75a228fddb1f8p-6, 0x1.6cf0df5c46e46p-6, 0x1.646ac0b5cbd72p-6, 0x1.5c0f2f41e9e52p-6, 0x1.53dd8e076688fp-6, 0x1.4bd540e66d2ccp-6, 0x1.43f5aca24c548p-6, 0x1.3c3e36eaccbf5p-6, 0x1.34ae46652ba56p-6, 0x1.2d4542b4a0dadp-6, 0x1.2602948291e9p-6, 0x1.1ee5a586640c5p-6, 0x1.17ede08ce60c6p-6, 0x1.111ab17f6e14bp-6, 0x1.0a6b856a97da4p-6, 0x1.03dfca84a9621p-6, 0x1.faede0674ae68p-7, 0x1.ee60ce2607edfp-7, 0x1.e21741f240e94p-7, 0x1.d61021f8bbee8p-7, 0x1.ca4a56efd2457p-7, 0x1.bec4cc2085633p-7, 0x1.b37e6f6ede591p-7, 0x1.a8763161e685ap-7, 0x1.9dab052ad4352p-7, 0x1.931be0abf9541p-7, 0x1.88c7bc7ee1d8p-7, 0x1.7ead93fa20875p-7, 0x1.74cc65369baeep-7, 0x1.6b233114352dbp-7, 0x1.61b0fb3e23b11p-7, 0x1.5874ca2ec4d47p-7, 0x1.4f6da732fa71cp-7, 0x1.469a9e6d26d5dp-7, 0x1.3dfabed7ad1b4p-7, 0x1.358d1a4714a2ap-7, 0x1.2d50c56bb5321p-7, 0x1.2544d7d3293cep-7, 0x1.1d686be927301p-7, 0x1.15ba9ef831828p-7, 0x1.0e3a9129ce04p-7, 0x1.06e7658671997p-7, 0x1.ff8083ea32b6bp-8, 0x1.f1889e75281ap-8, 0x1.e3e571f0dd5f7p-8, 0x1.d6955b5742f34p-8, 0x1.c996bd55ff6fap-8, 0x1.bce8004a83df1p-8, 0x1.b087923ddbe16p-8, 0x1.a473e6dfb3fecp-8, 0x1.98ab778134eaap-8, 0x1.8d2cc30f096a5p-8, 0x1.81f64e0b3f5cbp-8, 0x1.7706a2869a9c3p-8, 0x1.6c5c50195fed9p-8, 0x1.61f5ebdbe7ea8p-8, 0x1.57d2105ea2efdp-8, 0x1.4def5da1fa23cp-8, 0x1.444c790d9d46bp-8, 0x1.3ae80d6778215p-8, 0x1.31c0caca97e7dp-8, 0x1.28d5669d72b5p-8, 0x1.20249b881be0ap-8, 0x1.17ad296a134a1p-8, 0x1.0f6dd54fe4388p-8, 0x1.076569687523p-8, 0x1.ff2569f435e87p-9, 0x1.efe918af24d22p-9, 0x1.e11391a91bd1bp-9, 0x1.d2a291746bb66p-9, 0x1.c493de7717ff7p-9, 0x1.b6e548d2c4cf1p-9, 0x1.a994aa4cce866p-9, 0x1.9c9fe635d4141p-9, 0x1.9004e951194adp-9, 0x1.83c1a9bb73001p-9, 0x1.77d426d24d9f6p-9, 0x1.6c3a691a23111p-9, 0x1.60f28224eeefap-9, 0x1.55fa8c7879a5ap-9, 0x1.4b50ab7467de9p-9, 0x1.40f30b38174e2p-9, 0x1.36dfe0888598bp-9, 0x1.2d1568b5fef12p-9, 0x1.2391e981b5114p-9, 0x1.1a53b1034a5fep-9, 0x1.1159158e4de43p-9, 0x1.08a07597c4bb3p-9, 0x1.0028379b534a3p-9, 0x1.efdd9401dc38ap-10, 0x1.dfe54603e343p-10, 0x1.d064811d7d8fbp-10, 0x1.c1585068226e6p-10, 0x1.b2bdce00e5a4dp-10, 0x1.a49222d36ad3cp-10, 0x1.96d28664ff248p-10, 0x1.897c3e9fec611p-10, 0x1.7c8c9f9ede114p-10, 0x1.70010b78673d5p-10, 0x1.63d6f20aa7b7ep-10, 0x1.580bd0c7baf0bp-10, 0x1.4c9d328135d61p-10, 0x1.4188af354aecep-10, 0x1.36cbebdb3b63fp-10, 0x1.2c649a302e9c3p-10, 0x1.22507884e41dap-10, 0x1.188d518ae892bp-10, 0x1.0f18fc22c5d72p-10, 0x1.05f15b2a516cep-10, 0x1.fa28ba95dca9ep-11, 0x1.e8fff991ed5c5p-11, 0x1.d8647ea5c55a1p-11, 0x1.c8526ba1d1abbp-11, 0x1.b8c5f86a74c05p-11, 0x1.a9bb729951868p-11, 0x1.9b2f3d1e69ef1p-11, 0x1.8d1dcfe35dec3p-11, 0x1.7f83b76f093d3p-11, 0x1.725d948976929p-11, 0x1.65a81be17e895p-11, 0x1.596015b2dc6b8p-11, 0x1.4d825d6d0c061p-11, 0x1.420be15bab7bbp-11, 0x1.36f9a24f1c23fp-11, 0x1.2c48b345f294fp-11, 0x1.21f6391928d77p-11, 0x1.17ff6a25f75f6p-11, 0x1.0e618dfc00542p-11, 0x1.0519fd0a4658fp-11, 0x1.f84c409b40aebp-12, 0x1.e706e201d06dcp-12, 0x1.d65ef09a41993p-12, 0x1.c64f9df688f6dp-12, 0x1.b6d43a4cf7b9p-12, 0x1.a7e833df6679ap-12, 0x1.99871664f22dcp-12, 0x1.8bac8a7434807p-12, 0x1.7e5454efb0edp-12, 0x1.717a56768cbaep-12, 0x1.651a8ad3b5405p-12, 0x1.593108720e2cep-12, 0x1.4db9ffcfdd45cp-12, 0x1.42b1baf7455e4p-12, 0x1.38149cf54cdd8p-12, 0x1.2ddf215633011p-12, 0x1.240ddba149b8dp-12, 0x1.1a9d76d7d8d5bp-12, 0x1.118ab4f5416cdp-12, 0x1.08d26e7222e5p-12, 0x1.007191c86ce7ep-12, 0x1.f0ca45f2ef60cp-13, 0x1.e154762d99e5dp-13, 0x1.d27c0f97d0099p-13, 0x1.c43b95d564a61p-13, 0x1.b68db3f057116p-13, 0x1.a96d3b7af49dep-13, 0x1.9cd523b22ba51p-13, 0x1.90c088a29fd5ap-13, 0x1.852aaa551e6acp-13, 0x1.7a0eebfbee291p-13, 0x1.6f68d32475f2fp-13, 0x1.653406eba2d2ap-13, 0x1.5b6c4f374c23ap-13, 0x1.520d93f149e1ap-13, 0x1.4913dc48aa388p-13, 0x1.407b4df21281ap-13, 0x1.38402c701b176p-13, 0x1.305ed85cf050cp-13, 0x1.28d3ceb5071c1p-13, 0x1.219ba82a55581p-13, 0x1.1ab3187537b29p-13, 0x1.1416edac42587p-13, 0x1.0dc40f9e32953p-13, 0x1.07b77f2dd53ebp-13, 0x1.01ee55b336ea1p-13, 0x1.f8cb88bccf4b3p-14, 0x1.ee362739cf494p-14, 0x1.e417450744b4ap-14, 0x1.da69cc75119ebp-14, 0x1.d128d2d653298p-14, 0x1.c84f9765205dcp-14, 0x1.bfd9822de9c42p-14, 0x1.b7c222fc4fb15p-14, 0x1.b005304fda2f3p-14, 0x1.a89e86566d11fp-14, 0x1.a18a25ea3e9c9p-14, 0x1.9ac43398a492dp-14, 0x1.9448f6a7bceb7p-14, 0x1.8e14d82b0920ep-14, 0x1.882462120f00ep-14, 0x1.82743e4473105p-14, 0x1.7d0135bf502a3p-14, 0x1.77c82fb6b3451p-14, 0x1.72c630beb097cp-14, 0x1.6df859f672f3p-14, 0x1.695be839500e3p-14, 0x1.64ee335489871p-14, 0x1.60acad40fa5c5p-14, 0x1.5c94e161896cfp-14, 0x1.58a473c6ce54p-14, 0x1.54d920728dbc7p-14, 0x1.5130baa7146p-14, 0x1.4da92c33b504ep-14, 0x1.4a4074c94264bp-14, 0x1.46f4a950a0a58p-14, 0x1.43c3f346a51bbp-14, 0x1.40ac901b9510fp-14, 0x1.3dacd094a709ap-14, 0x1.3ac31833f6b24p-14, 0x1.37eddca25ade2p-14, 0x1.352ba51cd6c2cp-14, 0x1.327b09e650acap-14, 0x1.2fdab3bcb2c2dp-14, 0x1.2d495b5062f3bp-14, 0x1.2ac5c8c1cc42cp-14, 0x1.284ed31db3aeep-14, 0x1.25e35fe1d110ep-14, 0x1.2382627f61e25p-14, 0x1.212adbe6555ffp-14, 0x1.1edbda0e52838p-14, 0x1.1c947787480d8p-14, 0x1.1a53db0879ca4p-14, 0x1.18193706982dap-14, 0x1.15e3c949a88eep-14, 0x1.13b2da8759c6p-14, 0x1.1185bdfee96dfp-14, 0x1.0f5bd119083p-14, 0x1.0d347b082d074p-14, 0x1.0b0f2c6dfb5a7p-14, 0x1.08eb5f016ee27p-14, 0x1.06c895383fe79p-14, 0x1.04a659f1ff676p-14, 0x1.0284402706db7p-14, 0x1.0061e2969257ep-14, 0x1.fc7dc6f6384cbp-15, 0x1.f835d87b63163p-15, 0x1.f3eb5a5a92913p-15, 0x1.ef9dba6e935aap-15, 0x1.eb4c734472f3ap-15, 0x1.e6f70b955a2fdp-15, 0x1.e29d15c4a5e89p-15, 0x1.de3e2f6056206p-15, 0x1.d9da00a829463p-15, 0x1.d5703c13cda52p-15, 0x1.d1009de10cf12p-15, 0x1.cc8aeba2a51f9p-15, 0x1.c80ef3d49e03bp-15, 0x1.c38c8d72a0afdp-15, 0x1.bf0397911d41p-15, 0x1.ba73f8fb86befp-15, 0x1.b5dd9fd433cd9p-15, 0x1.b14081364c4e1p-15, 0x1.ac9c98dda656cp-15, 0x1.a7f1e8cf89071p-15, 0x1.a3407905e6395p-15, 0x1.9e88571eb37cdp-15, 0x1.99c9960c8f3fbp-15, 0x1.95044dcb4d68cp-15, 0x1.90389b161e4fcp-15, 0x1.8b669f20a5fdbp-15, 0x1.868e7f5326a7bp-15, 0x1.81b065072c81bp-15, 0x1.7ccc7d4780addp-15, 0x1.77e2f893fd7bdp-15, 0x1.72f40aa44fc2p-15, 0x1.6dffea3037dc3p-15, 0x1.6906d0b760041p-15, 0x1.6408fa4c0c406p-15, 0x1.5f06a560cf806p-15, 0x1.5a001295224a5p-15, 0x1.54f58488092c3p-15, 0x1.4fe73fa99d1afp-15, 0x1.4ad58a0eba57p-15, 0x1.45c0ab47fbd44p-15, 0x1.40a8ec371fdeap-15, 0x1.3b8e96ea489f5p-15, 0x1.3671f6754159p-15, 0x1.315356ce5049bp-15, 0x1.2c3304abd13a5p-15, 0x1.27114d63bb217p-15, 0x1.21ee7eca879afp-15, 0x1.1ccae7177f5bdp-15, 0x1.17a6d4c5f7bddp-15, 0x1.1282967a74215p-15, 0x1.0d5e7ae990e03p-15, 0x1.083ad0bd17b6cp-15, 0x1.0317e67dd482ap-15, 0x1.fbec14f69ebeep-16, 0x1.f1ab156e6e298p-16, 0x1.e76d69a0a5a21p-16, 0x1.dd33abdfa0324p-16, 0x1.d2fe756b23442p-16, 0x1.c8ce5e4ff5ebap-16, 0x1.bea3fd4419a95p-16, 0x1.b47fe7890147bp-16, 0x1.aa62b0cdc41e8p-16, 0x1.a04ceb124202p-16, 0x1.963f268f337cp-16, 0x1.8c39f19baa4b1p-16, 0x1.823dd8954cd7dp-16, 0x1.784b65cc83e8ep-16, 0x1.6e63216f8a45ep-16, 0x1.648591772f943p-16, 0x1.5ab339962248p-16, 0x1.50ec9b29512a7p-16, 0x1.47323528035fep-16, 0x1.3d84841605a89p-16, 0x1.33e401f822e5dp-16, 0x1.2a5126470d6c8p-16, 0x1.20cc65e714ec7p-16, 0x1.1756331df53bcp-16, 0x1.0deefd89d30e2p-16, 0x1.0497321bb7a0bp-16, 0x1.f69e761d1ae24p-17, 0x1.e42effc8448ap-17, 0x1.d1e0cabdaaf04p-17, 0x1.bfb49afda18ebp-17, 0x1.adab2efbc740ep-17, 0x1.9bc53f9d9dfa5p-17, 0x1.8a038033ebfb6p-17, 0x1.78669e78f016ep-17, 0x1.66ef4292740a1p-17, 0x1.559e0f114393dp-17, 0x1.4473a0f1d0071p-17, 0x1.33708fa262b5cp-17, 0x1.22956d04a2329p-17, 0x1.11e2c5745ff2cp-17, 0x1.01591fcd0e13bp-17, 0x1.e1f1fae050caep-18, 0x1.c185b49f9423cp-18, 0x1.a16e59e92cc78p-18, 0x1.81accd155800ep-18, 0x1.6241e5d2bdc61p-18, 0x1.432e713ff2de8p-18, 0x1.2473320488e52p-18, 0x1.0610e064face4p-18, 0x1.d01054c9af179p-19, 0x1.94b367b66b821p-19, 0x1.5a0c2d2ea4e9p-19, 0x1.201bc4ed3caf1p-19, 0x1.cdc6761fbf6c3p-20, 0x1.5cc710a01df11p-20, 0x1.da76492a8891dp-21, 0x1.fc915dc93b648p-22, 0x1.28429845017ebp-24, -0x1.6290266b4460bp-22, -0x1.84a614c25947ap-21, -0x1.2a87c4df799b3p-20, -0x1.914148195860bp-20, -0x1.f67ec5817a4bep-20, -0x1.2d1fc82f91dcep-19, -0x1.5e418e9f16629p-19, -0x1.8ea480a0978ebp-19, -0x1.be4878d79a228p-19, -0x1.ed2d619d86299p-19, -0x1.0da99a602ed34p-18, -0x1.245cfd9456cd2p-18, -0x1.3ab0e64c4e27ap-18, -0x1.50a567aad8e96p-18, -0x1.663a9bf00096dp-18, -0x1.7b70a44deeeb7p-18, -0x1.9047a8c73a8a4p-18, -0x1.a4bfd8042604bp-18, -0x1.b8d9672eaef7p-18, -0x1.cc9491c88b4a7p-18, -0x1.dff199878b547p-18, -0x1.f2f0c62eeb1b5p-18, -0x1.02c932b2f049cp-17, -0x1.0beb6548ce5b7p-17, -0x1.14df27593f037p-17, -0x1.1da4a81de1ac5p-17, -0x1.263c1977b4649p-17, -0x1.2ea5afdad7f05p-17, -0x1.36e1a23e57f8bp-17, -0x1.3ef02a0707cf5p-17, -0x1.46d182f6fe16fp-17, -0x1.4e85eb1b73ae1p-17, -0x1.560da2ba5816bp-17, -0x1.5d68ec40f5621p-17, -0x1.64980c31ff871p-17, -0x1.6b9b4913bc381p-17, -0x1.7272eb5fad62cp-17, -0x1.791f3d707ac43p-17, -0x1.7fa08b71b2beap-17, -0x1.85f7234ee5743p-17, -0x1.8c2354a3c79c4p-17, -0x1.922570aaed0f1p-17, -0x1.97fdca2e32396p-17, -0x1.9dacb57745441p-17, -0x1.a332883f96791p-17, -0x1.a88f99a10290bp-17, -0x1.adc44207580dp-17, -0x1.b2d0db1f92092p-17, -0x1.b7b5bfcb4a742p-17, -0x1.bc734c108f142p-17, -0x1.c109dd0c92a46p-17, -0x1.c579d0e568f43p-17, -0x1.c9c386bbb49c8p-17, -0x1.cde75e9d6adap-17, -0x1.d1e5b9786aba7p-17, -0x1.d5bef90d60ab1p-17, -0x1.d9737fe318ff5p-17, -0x1.dd03b139a2e8bp-17, -0x1.e06ff0fe40134p-17, -0x1.e3b8a3be8ed1fp-17, -0x1.e6de2e9d57ab9p-17, -0x1.e9e0f74554163p-17, -0x1.ecc163df460a1p-17, -0x1.ef7fdb05fa5a5p-17, -0x1.f21cc3bba940cp-17, -0x1.f498855e64cccp-17, -0x1.f6f3879e2d93ep-17, -0x1.f92e32725790ap-17, -0x1.fb48ee0f1d1f3p-17, -0x1.fd4422dc735a4p-17, -0x1.ff20396b43bddp-17, -0x1.006ecd36c2634p-16, -0x1.013e5755c8ecp-16, -0x1.01feef7dbd0ccp-16, -0x1.02b0ca1c240ebp-16, -0x1.03541b9cb04c3p-16, -0x1.03e91865528bbp-16, -0x1.046ff4d166361p-16, -0x1.04e8e52e97fbfp-16, -0x1.05541db8539e9p-16, -0x1.05b1d2943ff01p-16, -0x1.060237cea5edfp-16, -0x1.06458156aa764p-16, -0x1.067be2fae438bp-16, -0x1.06a590660d095p-16, -0x1.06c2bd1be714ep-16, -0x1.06d39c7553472p-16, -0x1.06d8619ddc3adp-16, -0x1.06d13f9063f1fp-16, -0x1.06be69146a517p-16, -0x1.06a010bb24c65p-16, -0x1.067668dc96a3p-16, -0x1.0641a39536b8fp-16, -0x1.0601f2c32bbd5p-16, -0x1.05b78803a9d37p-16, -0x1.056294b0c6fcap-16, -0x1.050349df2c38ep-16, -0x1.0499d85bdf272p-16, -0x1.042670a9f9a29p-16, -0x1.03a943007fa2dp-16, -0x1.03227f489c27bp-16, -0x1.0292551b8e286p-16, -0x1.01f8f3c0cfe0ep-16, -0x1.01568a2c5ffd7p-16, -0x1.00ab46fcedf32p-16, -0x1.ffeeb0f4c5288p-17, -0x1.fe75d9287ad18p-17, -0x1.fcec61c010ba7p-17, -0x1.fb52a52ff31f5p-17, -0x1.f9a8fd33160b9p-17, -0x1.f7efc2c8642fap-17, -0x1.f6274e309b3dep-17, -0x1.f44ff6eb9547cp-17, -0x1.f26a13b5eb758p-17, -0x1.f075fa876c967p-17, -0x1.ee74009084c28p-17, -0x1.ec647a3888ae9p-17, -0x1.ea47bb1c96e2ap-17, -0x1.e81e160d1387ep-17, -0x1.e5e7dd0c9807dp-17, -0x1.e3a5614e6df03p-17, -0x1.e156f334d5f4bp-17, -0x1.defce250b2e7dp-17, -0x1.dc977d5fc6a62p-17, -0x1.da27124bc5bd4p-17, -0x1.d7abee2938a1bp-17, -0x1.d5265d36f9fa7p-17, -0x1.d296aadd71315p-17, -0x1.cffd21adce738p-17, -0x1.cd5a0b6143d0cp-17, -0x1.caadb0d8d2ca6p-17, -0x1.c7f85a1cca9f9p-17, -0x1.c53a4e5c57e3fp-17, -0x1.c273d3ed74a5cp-17, -0x1.bfa5304c70cfdp-17, -0x1.bccea81c7830ep-17, -0x1.b9f07f2687de7p-17, -0x1.b70af85a37f7bp-17, -0x1.b41e55cddccbp-17, -0x1.b12ad8be786c8p-17, -0x1.ae30c18fd0544p-17, -0x1.ab304fccbf838p-17, -0x1.a829c22818c76p-17, -0x1.a51d567c674fcp-17, -0x1.a20b49ccc84c8p-17, -0x1.9ef3d84563fc1p-17, -0x1.9bd73d3c021b7p-17, -0x1.98b5b3307d316p-17, -0x1.958f73cdaee78p-17, -0x1.9264b7e9eedc9p-17, -0x1.8f35b7884cd04p-17, -0x1.8c02a9d906cfep-17, -0x1.88cbc53a65b58p-17, -0x1.85913f39cef96p-17, -0x1.82534c948fe5fp-17, }}, 
      {{0x1.7d020a63abf4ep-1, 0x1.7cb9b56e8a46fp-1, 0x1.7c481d7a991f1p-1, 0x1.7bb4ba7dd8279p-1, 0x1.7b070979e6132p-1, 0x1.7a45cd20e0005p-1, 0x1.7976b1e1d90c9p-1, 0x1.789e307debe52p-1, 0x1.77bf963329c36p-1, 0x1.76dd21e635f1bp-1, 0x1.75f82b7b52783p-1, 0x1.75114e82cfe01p-1, 0x1.7428940795289p-1, 0x1.733d9915a1123p-1, 0x1.724fb0b977f89p-1, 0x1.715e00fa51a78p-1, 0x1.70679ac9ed2c5p-1, 0x1.6f6b8d2dfffd1p-1, 0x1.6e68f410354f3p-1, 0x1.6d5f0335a624p-1, 0x1.6c4d0de4fd916p-1, 0x1.6b328bc00819dp-1, 0x1.6a0f1b4dc20eap-1, 0x1.68e282a72c59cp-1, 0x1.67acaeacf5d69p-1, 0x1.666db11f51b51p-1, 0x1.6525bde4ccfdbp-1, 0x1.63d527c11d7f2p-1, 0x1.627c5cb1e8c62p-1, 0x1.611be21d9c3eep-1, 0x1.5fb450f7a0bf6p-1, 0x1.5e4651f5812eap-1, 0x1.5cd299e9f93ep-1, 0x1.5b59e65545a31p-1, 0x1.59dcfa3556ad4p-1, 0x1.585c9b1ca7671p-1, 0x1.56d98e935897dp-1, 0x1.555497c3adbcdp-1, 0x1.53ce75711b838p-1, 0x1.5247e037991abp-1, 0x1.50c1890fd8fb5p-1, 0x1.4f3c181444593p-1, 0x1.4db82b82224b8p-1, 0x1.4c3656f20654ep-1, 0x1.4ab722c2891aap-1, 0x1.493b0bb05a307p-1, 0x1.47c28296d211fp-1, 0x1.464dec5463aabp-1, 0x1.44dda1ce875p-1, 0x1.4371f01103989p-1, 0x1.420b1884c181ap-1, 0x1.40a9513aa79a3p-1, 0x1.3f4cc54743c9fp-1, 0x1.3df5952c5aac9p-1, 0x1.3ca3d74db61bap-1, 0x1.3b57986ed54a3p-1, 0x1.3a10dc3761ed5p-1, 0x1.38cf9dbc85c79p-1, 0x1.3793d00d789e1p-1, 0x1.365d5ec1d0518p-1, 0x1.352c2e8849086p-1, 0x1.34001db4e9f5dp-1, 0x1.32d904cd92359p-1, 0x1.31b6b71416734p-1, 0x1.3099030d4134dp-1, 0x1.2f7fb3041d2a3p-1, 0x1.2e6a8d890bb98p-1, 0x1.2d5955ec43828p-1, 0x1.2c4bccb367044p-1, 0x1.2b41b009f1365p-1, 0x1.2a3abc2c4cf9cp-1, 0x1.2936abcd770ffp-1, 0x1.2835387715b28p-1, 0x1.27361ae4004d2p-1, 0x1.26390b553873p-1, 0x1.253dc1e16140cp-1, 0x1.2443f6bec3775p-1, 0x1.234b6287fb55bp-1, 0x1.2253be7b6de18p-1, 0x1.215cc4b5a70bdp-1, 0x1.20663066cb229p-1, 0x1.1f6fbe034242ap-1, 0x1.1e792b6fce9c3p-1, 0x1.1d8238293ad61p-1, 0x1.1c8aa567d1293p-1, 0x1.1b92363ecc3ep-1, 0x1.1a98afb7f7e46p-1, 0x1.199dd8ebae49fp-1, 0x1.18a17b1569519p-1, 0x1.17a361a518a4cp-1, 0x1.16a35a4d6c6ffp-1, 0x1.15a1350f483e4p-1, 0x1.149cc4428b414p-1, 0x1.1395dc9c5f7ffp-1, 0x1.128c553338626p-1, 0x1.11800780b24d3p-1, 0x1.1070cf6178762p-1, 0x1.0f5e8b135c7d6p-1, 0x1.0e491b31c4833p-1, 0x1.0d3062b097f92p-1, 0x1.0c1446d5cb114p-1, 0x1.0af4af31acdb7p-1, 0x1.09d18596174b4p-1, 0x1.08aab60c9feedp-1, 0x1.07802ecbe2d9dp-1, 0x1.0651e02c0931p-1, 0x1.051fbc9a9b63ap-1, 0x1.03e9b88dbf2e5p-1, 0x1.02afca76f13c2p-1, 0x1.0171eab551b57p-1, 0x1.0030138796ddep-1, 0x1.fdd481fb6a4dbp-2, 0x1.fb40e1d49e5c9p-2, 0x1.f8a545a7f5b83p-2, 0x1.f601afccd5241p-2, 0x1.f35625c70c9c9p-2, 0x1.f0a2b028ffee9p-2, 0x1.ede75a75d96cfp-2, 0x1.eb243303dfd52p-2, 0x1.e8594adef4399p-2, 0x1.e586b5ab53363p-2, 0x1.e2ac8988a23b2p-2, 0x1.dfcadef54f15bp-2, 0x1.dce1d0b25a58bp-2, 0x1.d9f17ba7852a3p-2, 0x1.d6f9fec7f8e48p-2, 0x1.d3fb7af766c89p-2, 0x1.d0f612efa8fd6p-2, 0x1.cde9eb26eb762p-2, 0x1.cad729b65afbfp-2, 0x1.c7bdf64166ac6p-2, 0x1.c49e79dd8c723p-2, 0x1.c178defabdaa2p-2, 0x1.be4d514c51d6bp-2, 0x1.bb1bfdb292d15p-2, 0x1.b7e51224db705p-2, 0x1.b4a8bd9c4c96bp-2, 0x1.b1672fff16eb1p-2, 0x1.ae209a0c58c57p-2, 0x1.aad52d4891356p-2, 0x1.a7851beaa2d8bp-2, 0x1.a43098c968b63p-2, 0x1.a0d7d749dcabbp-2, 0x1.9d7b0b4dc6a36p-2, 0x1.9a1a6922fc0bp-2, 0x1.96b6257325df3p-2, 0x1.934e753411412p-2, 0x1.8fe38d9882aaep-2, 0x1.8c75a4018d85bp-2, 0x1.8904edf06c2c9p-2, 0x1.8591a0f8d9acbp-2, 0x1.821bf2b3e1d4ap-2, 0x1.7ea418b330cecp-2, 0x1.7b2a4874d5f61p-2, 0x1.77aeb75780ef3p-2, 0x1.74319a8f2c443p-2, 0x1.70b3271a3bab8p-2, 0x1.6d3391b707d1fp-2, 0x1.69b30ed9d7a76p-2, 0x1.6631d2a33f44p-2, 0x1.62b010d6ebdfbp-2, 0x1.5f2dfcd2cf395p-2, 0x1.5babc986b41b6p-2, 0x1.5829a96c2e5b4p-2, 0x1.54a7ce7eedcccp-2, 0x1.51266a356bcffp-2, 0x1.4da5ad79f3e89p-2, 0x1.4a25c8a4060e1p-2, 0x1.46a6eb720ddd4p-2, 0x1.43294503714fbp-2, 0x1.3fad03d2efeefp-2, 0x1.3c3255b15445bp-2, 0x1.38b967c072b9bp-2, 0x1.3542666e79512p-2, 0x1.31cd7d718647fp-2, 0x1.2e5ad7c38ced7p-2, 0x1.2aea9f9e7d5c1p-2, 0x1.277cfe78b7d69p-2, 0x1.24121d01c0cb8p-2, 0x1.20aa231f37b2fp-2, 0x1.1d4537ea12177p-2, 0x1.19e381ac118dfp-2, 0x1.168525dd7cf81p-2, 0x1.132a49230efd9p-2, 0x1.0fd30f4c259ddp-2, 0x1.0c7f9b5128495p-2, 0x1.09300f5222c3p-2, 0x1.05e48c95999e7p-2, 0x1.029d33879232ep-2, 0x1.feb4477196c09p-3, 0x1.f836f7bc54729p-3, 0x1.f1c2b3a0a9b7bp-3, 0x1.eb57b516f60dap-3, 0x1.e4f6345e9e20ap-3, 0x1.de9e67fe4a3fep-3, 0x1.d85084c4812cbp-3, 0x1.d20cbdc890521p-3, 0x1.cbd3446bc407ep-3, 0x1.c5a4485ae9b8ap-3, 0x1.bf7ff7901b099p-3, 0x1.b9667e54d3c6bp-3, 0x1.b3580744439f8p-3, 0x1.ad54bb4de722fp-3, 0x1.a75cc1b85c8bcp-3, 0x1.a1704024761f3p-3, 0x1.9b8f5a9082344p-3, 0x1.95ba335bcd483p-3, 0x1.8ff0eb4a59bb3p-3, 0x1.8a33a188c3887p-3, 0x1.848273b05c48fp-3, 0x1.7edd7dcb6a665p-3, 0x1.7944da599ed66p-3, 0x1.73b8a254a6fc4p-3, 0x1.6e38ed34eeeb1p-3, 0x1.68c5d0f685f5cp-3, 0x1.635f621e2046cp-3, 0x1.5e05b3be3e49bp-3, 0x1.58b8d77c72debp-3, 0x1.5378dd96bdc8ep-3, 0x1.4e45d4e90a2d1p-3, 0x1.491fcaf2bdc73p-3, 0x1.4406cbdc62827p-3, 0x1.3efae27d644dap-3, 0x1.39fc1861dec3bp-3, 0x1.350a75d07d4d9p-3, 0x1.302601d06f7f6p-3, 0x1.2b4ec22f60f9ap-3, 0x1.2684bb8785866p-3, 0x1.21c7f145ac3f1p-3, 0x1.1d1865af5d415p-3, 0x1.187619e8fd8b1p-3, 0x1.13e10dfbf57b3p-3, 0x1.0f5940dce7269p-3, 0x1.0adeb071d77cp-3, 0x1.06715998681e3p-3, 0x1.0211382c0a349p-3, 0x1.fb7c8e185ef33p-4, 0x1.f2f10045012p-4, 0x1.ea7fb8d20e0fbp-4, 0x1.e228a7e0be9c1p-4, 0x1.d9ebbbcbae836p-4, 0x1.d1c8e133225fbp-4, 0x1.c9c003093f8a6p-4, 0x1.c1d10a9e1f0f2p-4, 0x1.b9fbdfabeb2cp-4, 0x1.b2406862d45c2p-4, 0x1.aa9e8974f68cep-4, 0x1.a31626222cbaep-4, 0x1.9ba72043ca2cap-4, 0x1.945158582ebaep-4, 0x1.8d14ad8e56ep-4, 0x1.85f0fdd135992p-4, 0x1.7ee625d305206p-4, 0x1.77f401186c8dfp-4, 0x1.711a6a038b15bp-4, 0x1.6a5939dedf342p-4, 0x1.63b048e8112e9p-4, 0x1.5d1f6e5a932e1p-4, 0x1.56a6807a24529p-4, 0x1.5045549d2b50dp-4, 0x1.49fbbf36ee94p-4, 0x1.43c993e1a525cp-4, 0x1.3daea5685e6a5p-4, 0x1.37aac5d0c9523p-4, 0x1.31bdc664ce54fp-4, 0x1.2be777bc036c5p-4, 0x1.2627a9c4f73f1p-4, 0x1.207e2bce5489dp-4, 0x1.1aeacc8fdaf49p-4, 0x1.156d5a332ebeep-4, 0x1.1005a25c7f6d7p-4, 0x1.0ab3723303b8ep-4, 0x1.057696694cd8ap-4, 0x1.004edb456d4bfp-4, 0x1.f6781951f01c1p-5, 0x1.ec7bec31a4cc9p-5, 0x1.e2a8c589bdb06p-5, 0x1.d8fe3b1ef7217p-5, 0x1.cf7be229adeadp-5, 0x1.c6214f6433f56p-5, 0x1.bcee1718d2453p-5, 0x1.b3e1cd2f74c43p-5, 0x1.aafc053b073b9p-5, 0x1.a23c5286745d2p-5, 0x1.99a24821662aap-5, 0x1.912d78ec9789ap-5, 0x1.88dd77a5f277bp-5, 0x1.80b1d6f44782bp-5, 0x1.78aa2972be87ap-5, 0x1.70c601bbf3b4ep-5, 0x1.6904f274c99b3p-5, 0x1.61668e56e8352p-5, 0x1.59ea683af0a3ep-5, 0x1.529013226545fp-5, 0x1.4b57224142a3cp-5, 0x1.443f29074f2dap-5, 0x1.3d47bb2920084p-5, 0x1.36706ca8d7205p-5, 0x1.2fb8d1de91ba7p-5, 0x1.29207f809807ep-5, 0x1.22a70aab4007ap-5, 0x1.1c4c08e88de7ep-5, 0x1.160f10378f717p-5, 0x1.0fefb7136ef84p-5, 0x1.09ed947a4eb4ap-5, 0x1.04083ff3d3e3dp-5, 0x1.fc7ea32efdc93p-6, 0x1.f124c42579eap-6, 0x1.e602155d731a3p-6, 0x1.db15caabf0f8ep-6, 0x1.d05f193362194p-6, 0x1.c5dd376dd66e9p-6, 0x1.bb8f5d36cd595p-6, 0x1.b174c3d48ee52p-6, 0x1.a78ca60115d7fp-6, 0x1.9dd63ff287c14p-6, 0x1.9450cf63464cep-6, 0x1.8afb93999653dp-6, 0x1.81d5cd6ee24c9p-6, 0x1.78debf56905dp-6, 0x1.7015ad647ad59p-6, 0x1.6779dd530627ep-6, 0x1.5f0a9688e3d4cp-6, 0x1.56c7221e5b9ccp-6, 0x1.4eaecae26152cp-6, 0x1.46c0dd5f2ed5p-6, 0x1.3efca7dea39e3p-6, 0x1.37617a6e3d996p-6, 0x1.2feea6e2c97b6p-6, 0x1.28a380dbc2e38p-6, 0x1.217f5dc661736p-6, 0x1.1a8194e05d6bfp-6, 0x1.13a97f3a7224fp-6, 0x1.0cf677ba84558p-6, 0x1.0667db1d9b537p-6, 0x1.fffa0ff30bc2fp-7, 0x1.f36abd7c7b17ep-7, 0x1.e720836e2eb61p-7, 0x1.db1a2a1745c92p-7, 0x1.cf567d80be49bp-7, 0x1.c3d44d6e4f223p-7, 0x1.b8926d5edfcf6p-7, 0x1.ad8fb48c8e015p-7, 0x1.a2cafdec413d5p-7, 0x1.9843282ce0347p-7, 0x1.8df715b62d7p-7, 0x1.83e5aca71740dp-7, 0x1.7a0dd6d3efc26p-7, 0x1.706e81c400337p-7, 0x1.67069eaf02fa3p-7, 0x1.5dd5227a28d7dp-7, 0x1.54d905b4d0b4fp-7, 0x1.4c114494fd47ep-7, 0x1.437cdef36d6c4p-7, 0x1.3b1ad8478b19fp-7, 0x1.32ea37a2f42f2p-7, 0x1.2aea07acd1f86p-7, 0x1.2319569cebc29p-7, 0x1.1b7736368c1b3p-7, 0x1.1402bbc30fefdp-7, 0x1.0cbb000c55ba4p-7, 0x1.059f1f56ef087p-7, 0x1.fd5c72b82f389p-8, 0x1.efcee28717823p-8, 0x1.e293db3a52932p-8, 0x1.d5a9b0b4bbc7cp-8, 0x1.c90ebd8ef6803p-8, 0x1.bcc163099dacep-8, 0x1.b0c008ff5585p-8, 0x1.a5091dd683ba3p-8, 0x1.999b1672bbf51p-8, 0x1.8e746e25f9ef7p-8, 0x1.8393a6a19ec23p-8, 0x1.78f747e745f28p-8, 0x1.6e9de0393a83ep-8, 0x1.6486040b06372p-8, 0x1.5aae4df17e2f4p-8, 0x1.51155e92f354ep-8, 0x1.47b9dc9723653p-8, 0x1.3e9a7496e552dp-8, 0x1.35b5d90beeb3bp-8, 0x1.2d0ac24053189p-8, 0x1.2497ee3e09dep-8, 0x1.1c5c20be49345p-8, 0x1.14562318d0d4bp-8, 0x1.0c84c433310cfp-8, 0x1.04e6d86fe7932p-8, 0x1.faf6733b48121p-9, 0x1.ec818dcc81p-9, 0x1.de6cc97be6d1cp-9, 0x1.d0b5f9a491e01p-9, 0x1.c35afbf287836p-9, 0x1.b659b840be3f8p-9, 0x1.a9b02077618cap-9, 0x1.9d5c3069c51fcp-9, 0x1.915bedb4ca7a7p-9, 0x1.85ad679d13404p-9, 0x1.7a4eb6ed54c2bp-9, 0x1.6f3dfdd4e108ap-9, 0x1.647967c6008b2p-9, 0x1.59ff2954d6ffdp-9, 0x1.4fcd8015e59e5p-9, 0x1.45e2b27d22949p-9, 0x1.3c3d0fbd0e3a6p-9, 0x1.32daefa5c184p-9, 0x1.29bab2846f4cp-9, 0x1.20dac102e62d2p-9, 0x1.18398c075eebep-9, 0x1.0fd58c9471b85p-9, 0x1.07ad43a915018p-9, 0x1.ff7e744260aedp-10, 0x1.f014012c19eb3p-10, 0x1.e1185e7e62882p-10, 0x1.d288cba6cf618p-10, 0x1.c46296d41e908p-10, 0x1.b6a31cb942729p-10, 0x1.a947c850c9034p-10, 0x1.9c4e12a13788p-10, 0x1.8fb38281609b2p-10, 0x1.8375ac5d9a442p-10, 0x1.779231fd9872p-10, 0x1.6c06c24a603a6p-10, 0x1.60d11915470fep-10, 0x1.55eefedf32251p-10, 0x1.4b5e48a09416dp-10, 0x1.411cd791dfae2p-10, 0x1.372898f4b588fp-10, 0x1.2d7f85dd8018bp-10, 0x1.241fa2fdbd04fp-10, 0x1.1b07006ee9cfp-10, 0x1.1233b97dfc129p-10, 0x1.09a3f4777525bp-10, 0x1.0155e27412ac6p-10, 0x1.f28f7e4c50907p-11, 0x1.e2efa14ee9963p-11, 0x1.d3c8ce8f90c24p-11, 0x1.c517bab82f359p-11, 0x1.b6d92e1cc0e3bp-11, 0x1.a90a045bb16dcp-11, 0x1.9ba72c00603bbp-11, 0x1.8eada625e56eap-11, 0x1.821a861c008bbp-11, 0x1.75eaf10c91691p-11, 0x1.6a1c1da2b0906p-11, 0x1.5eab53b2c3613p-11, 0x1.5395ebe3f2dc1p-11, 0x1.48d94f5ad6065p-11, 0x1.3e72f765542d6p-11, 0x1.34606d27bd3d2p-11, 0x1.2a9f494af253bp-11, 0x1.212d33ac444fdp-11, 0x1.1807e30d7e0dbp-11, 0x1.0f2d1cc782a4cp-11, 0x1.069ab47cf10d5p-11, 0x1.fc9d179ce5e07p-12, 0x1.ec8d2420e3737p-12, 0x1.dd01880285232p-12, 0x1.cdf657028d58fp-12, 0x1.bf67be9778c3ap-12, 0x1.b152056108b39p-12, 0x1.a3b18a9f88ad5p-12, 0x1.9682c5abdf8c8p-12, 0x1.89c24572762e9p-12, 0x1.7d6caff03c587p-12, 0x1.717ec1b239491p-12, 0x1.65f54d565c0c9p-12, 0x1.5acd3b0f8b2cdp-12, 0x1.5003882b4dc3p-12, 0x1.459546995e133p-12, 0x1.3b7f9c75c02c4p-12, 0x1.31bfc394a04adp-12, 0x1.285309103d74ap-12, 0x1.1f36ccd927014p-12, 0x1.1668814840183p-12, 0x1.0de5aab23d7d8p-12, 0x1.05abdefef4a5cp-12, 0x1.fb718a7f17d23p-13, 0x1.ec142a9360fa9p-13, 0x1.dd3b2ea52cc9bp-13, 0x1.cee247190f486p-13, 0x1.c105438d8a138p-13, 0x1.b3a0121d0baecp-13, 0x1.a6aebea44d88cp-13, 0x1.9a2d720b7b5e1p-13, 0x1.8e1871935abadp-13, 0x1.826c1e26fa9c7p-13, 0x1.7724f3ae93856p-13, 0x1.6c3f8866d92c5p-13, 0x1.61b88c3d45c9fp-13, 0x1.578cc82c5195cp-13, 0x1.4db91d9df859cp-13, 0x1.443a85cf07e2fp-13, 0x1.3b0e1137d2583p-13, 0x1.3230e6f5adef3p-13, 0x1.29a04439c8515p-13, 0x1.21597bb94f605p-13, 0x1.1959f5211bff9p-13, 0x1.119f2c8c3a0cbp-13, 0x1.0a26b1fda79aap-13, 0x1.02ee28dc25cbap-13, 0x1.f7e68ee303909p-14, 0x1.ea67acd93a57dp-14, 0x1.dd5b60cb19248p-14, 0x1.d0bd82ca9f28bp-14, 0x1.c48a0cdcd782p-14, 0x1.b8bd1a14981d8p-14, 0x1.ad52e5afa6e67p-14, 0x1.a247ca3823e3cp-14, 0x1.979840ad8b44ep-14, 0x1.8d40dfb05af88p-14, 0x1.833e5ab3b716fp-14, 0x1.798d8131acccp-14, 0x1.702b3de6682c1p-14, 0x1.6714960e6b6edp-14, 0x1.5e46a8aa66984p-14, 0x1.55beadc50478dp-14, 0x1.4d79f5bfdae1p-14, 0x1.4575e8a3be67cp-14, 0x1.3db005724e04bp-14, 0x1.3625e1806a2cap-14, 0x1.2ed527cff0654p-14, 0x1.27bb987087db5p-14, 0x1.20d707e312974p-14, 0x1.1a255e80321aap-14, 0x1.13a497e3f6c9bp-14, 0x1.0d52c25c1cb71p-14, 0x1.072dfe59b4a76p-14, 0x1.01347de6bd594p-14, 0x1.f6c9083de5f5ap-15, 0x1.eb78c9572e603p-15, 0x1.e0750685c7a98p-15, 0x1.d5baa656bade1p-15, 0x1.cb46ad8128752p-15, 0x1.c1163df9345d7p-15, 0x1.b72696060bc11p-15, 0x1.ad750f5fcc09bp-15, 0x1.a3ff1e535206p-15, 0x1.9ac250e909e9ap-15, 0x1.91bc4e167d04fp-15, 0x1.88ead4ee9a26p-15, 0x1.804bbbdd1114p-15, 0x1.77dcefe3fa09p-15, 0x1.6f9c73de456d6p-15, 0x1.67885fc8bed7p-15, 0x1.5f9ee00e9408dp-15, 0x1.57de34dbf73c1p-15, 0x1.5044b173e0881p-15, 0x1.48d0bb8bc1819p-15, 0x1.4180caaaf84c6p-15, 0x1.3a53678f8a79cp-15, 0x1.33472b93ee7acp-15, 0x1.2c5ac01de15cbp-15, 0x1.258cde0d58441p-15, 0x1.1edc4d31daa74p-15, 0x1.1847e3c22fbbfp-15, 0x1.11ce85d8abcc3p-15, 0x1.0b6f24f408ea4p-15, 0x1.0528bf791b6afp-15, 0x1.fdf4c077b3593p-16, 0x1.f1c63c11113bap-16, 0x1.e5c436638966fp-16, 0x1.d9ed0a440b013p-16, 0x1.ce3f27e0fef28p-16, 0x1.c2b913ef96a02p-16, 0x1.b75966e4b1436p-16, 0x1.ac1ecc2c722f5p-16, 0x1.a108016f781dfp-16, 0x1.9613d5d5b734bp-16, 0x1.8b41295746356p-16, 0x1.808eec0a9d67p-16, 0x1.75fc1d80a4a38p-16, 0x1.6b87cc1cfb1afp-16, 0x1.6131147ad6399p-16, 0x1.56f720d280851p-16, 0x1.4cd928656f593p-16, 0x1.42d66eee451eep-16, 0x1.38ee4415dd58ap-16, 0x1.2f2002eba75c6p-16, 0x1.256b1163d6154p-16, 0x1.1bcedfda1b80cp-16, 0x1.124ae896f32c9p-16, 0x1.08deaf5982863p-16, 0x1.ff1381ce9c653p-17, 0x1.ec976535a6fcp-17, 0x1.da4843f947697p-17, 0x1.c82568b34550dp-17, 0x1.b62e2cc2ae32fp-17, 0x1.a461f78a75dd1p-17, 0x1.92c03db9ae90dp-17, 0x1.81488096e9a86p-17, 0x1.6ffa4d56dbf98p-17, 0x1.5ed53c72be7ccp-17, 0x1.4dd8f10c75057p-17, 0x1.3d05184fe8943p-17, 0x1.2c5968e07b462p-17, 0x1.1bd5a248a4cdbp-17, 0x1.0b798c70614e9p-17, 0x1.f689ee3375bc4p-18, 0x1.d66f72bed5f49p-18, 0x1.b6a36276332f7p-18, 0x1.9725861f65377p-18, 0x1.77f5b26af9a96p-18, 0x1.5913c7213ece5p-18, 0x1.3a7fae4c7055ap-18, 0x1.1c395b71859d8p-18, 0x1.fc81959bc5394p-19, 0x1.c12c014113debp-19, 0x1.867210f16d602p-19, 0x1.4c53e918c5c14p-19, 0x1.12d1ba2c71f35p-19, 0x1.b3d77eef6aae8p-20, 0x1.43447bda57a7dp-20, 0x1.a7d60c3b663e4p-21, 0x1.972f1ef37f5aep-22, -0x1.c62213b71647ep-26, -0x1.cb049fdf47643p-22, -0x1.ba5a97f6bcaffp-21, -0x1.465c219aff9eap-20, -0x1.ae4cd045a945bp-20, -0x1.0a7f3d9a89703p-19, -0x1.3d382171e4c3dp-19, -0x1.6f50a33c2af48p-19, -0x1.a0c85292ea66fp-19, -0x1.d19ebfb6a72eap-19, -0x1.00e9be1720c76p-18, -0x1.18b30da986aa2p-18, -0x1.302b196f348e8p-18, -0x1.4751adb4a23bap-18, -0x1.5e2698731dcf4p-18, -0x1.74a9a9889544ep-18, -0x1.8adab2f3bf2f2p-18, -0x1.a0b988fc9a13bp-18, -0x1.b646026bef0aap-18, -0x1.cb7ff8b3308ecp-18, -0x1.e0674812f4c38p-18, -0x1.f4fbcfc67945bp-18, -0x1.049eb9102f8cap-17, -0x1.0e960a572ff17p-17, -0x1.1863d02b2fb81p-17, -0x1.220800b79d94ep-17, -0x1.2b8293ed1e9ep-17, -0x1.34d3838d6b60ap-17, -0x1.3dfacb32e4f7ap-17, -0x1.46f8685c56e41p-17, -0x1.4fcc5a72c754p-17, -0x1.5876a2d093992p-17, -0x1.60f744c835253p-17, -0x1.694e45a70a2ffp-17, -0x1.717bacbb01d23p-17, -0x1.797f8355db911p-17, -0x1.8159d4cf12ccep-17, -0x1.890aae84fc1a6p-17, -0x1.90921fdf18747p-17, -0x1.97f03a4cdc81bp-17, -0x1.9f2511457cb28p-17, -0x1.a630ba47a2509p-17, -0x1.ad134cd771a6ap-17, -0x1.b3cce27b4d57p-17, -0x1.ba5d96bb1b02p-17, -0x1.c0c5871aa953ep-17, -0x1.c704d316d6cb7p-17, -0x1.cd1b9c2264eb2p-17, -0x1.d30a059f1e572p-17, -0x1.d8d034daf4f69p-17, -0x1.de6e5108c3309p-17, -0x1.e3e4833be943fp-17, -0x1.e932f660e347ap-17, -0x1.ee59d7379deddp-17, -0x1.f359544c20b13p-17, -0x1.f8319defb8469p-17, -0x1.fce2e631e8d9p-17, -0x1.00b6b06c0615p-16, -0x1.02e8a1ab40e34p-16, -0x1.050762641c7c8p-16, -0x1.07130ef2e01f1p-16, -0x1.090bc47f11a97p-16, -0x1.0af1a0f6d0a79p-16, -0x1.0cc4c30a7b975p-16, -0x1.0e854a28a97c6p-16, -0x1.1033567923a58p-16, -0x1.11cf08d8c54fap-16, -0x1.135882d4a4418p-16, -0x1.14cfe6a5c250dp-16, -0x1.1635572c4a2b2p-16, -0x1.1788f7eaa19b7p-16, -0x1.18caed01492cdp-16, -0x1.19fb5b2990c35p-16, -0x1.1b1a67b13d993p-16, -0x1.1c28387589c83p-16, -0x1.1d24f3dea6f82p-16, -0x1.1e10c0dac182bp-16, -0x1.1eebc6d9bc0e6p-16, -0x1.1fb62dc7cc603p-16, -0x1.20701e09598d7p-16, -0x1.2119c075e9811p-16, -0x1.21b33e53ad089p-16, -0x1.223cc1528fefdp-16, -0x1.22b673880758ap-16, -0x1.23207f6a0ac83p-16, -0x1.237b0fcaa6af4p-16, -0x1.23c64fd3aea7ep-16, -0x1.24026b01dbfabp-16, -0x1.242f8d2054a03p-16, -0x1.244de244cd2e5p-16, -0x1.245d96ca77cf6p-16, -0x1.245ed74e0fd8fp-16, -0x1.2451d0a965d88p-16, -0x1.2436afef5d7ap-16, -0x1.240da2675eeadp-16, -0x1.23d6d5899c166p-16, -0x1.239276fa7176ep-16, -0x1.2340b486de7aep-16, -0x1.22e1bc202dac1p-16, -0x1.2275bbd850fbp-16, -0x1.21fce1ddcfcb2p-16, -0x1.21775c77f749bp-16, -0x1.20e55a0354fd4p-16, -0x1.204708edc9917p-16, -0x1.1f9c97b2c6deep-16, -0x1.1ee634d8184d1p-16, -0x1.1e240eea2ffcp-16, -0x1.1d565478b9d36p-16, -0x1.1c7d341313e86p-16, -0x1.1b98dc4554d7cp-16, -0x1.1aa97b949dfa9p-16, -0x1.19af407c07cf9p-16, -0x1.18aa5969d5ba6p-16, -0x1.179af4bc0630ep-16, -0x1.168140bd61ba9p-16, -0x1.155d6ba2b0211p-16, -0x1.142fa3879f154p-16, -0x1.12f8166c04583p-16, -0x1.11b6f23155eecp-16, -0x1.106c6497a4f41p-16, -0x1.0f189b3b1a203p-16, -0x1.0dbbc3918ace5p-16, -0x1.0c560ae7d3a5dp-16, -0x1.0ae79e5f5a2bbp-16, -0x1.0970aaebd71bep-16, -0x1.07f15d50fb49cp-16, -0x1.0669e220337d5p-16, -0x1.04da65b65de67p-16, -0x1.03431439a6799p-16, -0x1.01a4199795051p-16, -0x1.fffb4305f7228p-17, -0x1.fc9faee435982p-17, -0x1.f935cd392ae9bp-17, -0x1.f5bdf3f3535a8p-17, -0x1.f238787cd6058p-17, -0x1.eea5afb81e68dp-17, -0x1.eb05edfc7d25bp-17, -0x1.e759871308298p-17, -0x1.e3a0ce3390751p-17, -0x1.dfdc16019501cp-17, -0x1.dc0bb0892a1fbp-17, -0x1.d82fef3c61163p-17, -0x1.d44922f06eeb5p-17, -0x1.d0579bdb8ba2p-17, -0x1.cc5ba9922bbd7p-17, -0x1.c8559b0498e1dp-17, -0x1.c445be7cb8932p-17, -0x1.c02c619be5afbp-17, -0x1.bc09d158ec81fp-17, -0x1.b7de59fde71cfp-17, -0x1.b3aa4726800b6p-17, -0x1.af6de3be5d592p-17, -0x1.ab2979ff05958p-17, -0x1.a6dd536e7a6b3p-17, -0x1.a289b8dd99936p-17, -0x1.9e2ef266ad572p-17, -0x1.99cd476c451fcp-17, -0x1.9564fe97f5875p-17, -0x1.90f65dd8b216cp-17, -0x1.8c81aa62278a2p-17, -0x1.880728ab8d2cap-17, -0x1.83871c6eb70e2p-17, -0x1.7f01c8a72b1adp-17, -0x1.7a776f9140495p-17, -0x1.75e852a9d2395p-17, -0x1.7154b2ad38075p-17, -0x1.6cbccf96ddfa7p-17, -0x1.6820e8a0592afp-17, -0x1.63813c415a8ap-17, -0x1.5ede082f3b96dp-17, -0x1.5a37895cd1b18p-17, -0x1.558dfbf9ff235p-17, -0x1.50e19b7378084p-17, -0x1.4c32a272adb33p-17, -0x1.47814addc3df1p-17, -0x1.42cdcdd79ea96p-17, -0x1.3e1863bfb9ee2p-17, -0x1.3961443257414p-17, -0x1.34a8a608eae1ap-17, -0x1.2feebf5a24153p-17, -0x1.2b33c579e560ap-17, -0x1.2677ecf9da688p-17, -0x1.21bb69a9be6a4p-17, -0x1.1cfe6e97d3febp-17, -0x1.18412e116b45dp-17, -0x1.1383d9a32a646p-17, -0x1.0ec6a219b081fp-17, -0x1.0a09b7822100cp-17, -0x1.054d492acdf9fp-17, -0x1.009185a3d4c07p-17, -0x1.f7ad357f8f00cp-18, -0x1.ee396b28cc01p-18, -0x1.e4c804f784a9ep-18, -0x1.db595a296aa23p-18, -0x1.d1edc08730033p-18, -0x1.c8858c6697abfp-18, -0x1.bf2110ac62b4fp-18, -0x1.b5c09ecdaea2fp-18, -0x1.ac6486d2dcbfep-18, -0x1.a30d1759050e6p-18, -0x1.99ba9d93c9cc9p-18, -0x1.906d654f742c3p-18, -0x1.8725b8f34f96dp-18, -0x1.7de3e1841c4afp-18, -0x1.74a826a5ce1d5p-18, -0x1.6b72ce9dd99e1p-18, -0x1.62441e5627d5dp-18, -0x1.591c595f1f64bp-18, -0x1.4ffbc1f20d9cp-18, -0x1.46e298f372c5cp-18, -0x1.3dd11df5a4e3ep-18, -0x1.34c78f3b17a48p-18, -0x1.2bc629b9a244ep-18, -0x1.22cd291cd4343p-18, -0x1.19dcc7c83462bp-18, -0x1.10f53eda03ff1p-18, -0x1.0816c62e5b6b9p-18, -0x1.fe8328c2cde97p-19, -0x1.ecebbda510c5bp-19, -0x1.db67b34e0e8afp-19, -0x1.c9f76f9924867p-19, -0x1.b89b55f8bc26ep-19, -0x1.a753c77c429b3p-19, -0x1.962122d51d093p-19, -0x1.8503c45ca3a25p-19, -0x1.73fc0619d381dp-19, -0x1.630a3fc6db131p-19, -0x1.522ec6d83d732p-19, -0x1.4169ee8139ff3p-19, -0x1.30bc07ba7f4d4p-19, -0x1.20256147cb2bcp-19, -0x1.0fa647bd7df2dp-19, -0x1.fe7e0b0dd00f1p-20, -0x1.dddfc5d8b9261p-20, -0x1.bd724c3207527p-20, -0x1.9d36264120604p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      24, 0x1.4e147ae147ae1p+2, -0x1.baa111eaf3b46p-3, 0x1p+0, 0x1p+0, 
      {{
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.42a6d2da38cbbp-7, -0x1.0935abcb35295p-6, -0x1.ca8d87eddc86p-10, 0x1.724a1e83c2ed6p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.28089f1f54cbap-7, -0x1.0aafe0b05c356p-6, -0x1.c692d05e53bd3p-15, 0x1.6b24036526b56p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.0d67eaf992287p-7, -0x1.0969fdc6e1197p-6, 0x1.a5903a5cd5759p-10, 0x1.64473ad16e7f8p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.e614e3b18e6f1p-8, -0x1.05717678b6b61p-6, 0x1.a88c73ac136ccp-9, 0x1.60320fd2616a5p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.b269649887825p-8, -0x1.fda1994ae85dbp-7, 0x1.3deed82ec0891p-8, 0x1.47a63e1bad816p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.8053479d5286ap-8, -0x1.eb46f841f665dp-7, 0x1.a03a51370e2f8p-8, 0x1.1a89e14fa9379p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.504f0d106b6fcp-8, -0x1.d458c7a088427p-7, 0x1.f4fd480227597p-8, 0x1.e1059e6296989p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.22c966221cb58p-8, -0x1.b97e55ac3701ap-7, 0x1.1e924315455f2p-7, 0x1.8b507f2f2f2b1p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f03d40f45fb3p-9, -0x1.9b5a9b499740ep-7, 0x1.3c384c9f35b57p-7, 0x1.360cb67b0aac9p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.a1354c6fdac21p-9, -0x1.7a91ba9ef7ecp-7, 0x1.537940b53ce8cp-7, 0x1.c1551d81236c2p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.58f1fbe439b13p-9, -0x1.57c7862cc334bp-7, 0x1.6452d836e17p-7, 0x1.16a119405c3ebp-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.17c9956e09a76p-9, -0x1.339fe5c93bd99p-7, 0x1.6ec5af8fb1b21p-7, 0x1.afa298edc997fp-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.bbe33031abaddp-10, -0x1.0ebebb992724bp-7, 0x1.72d19c31ec62ep-7, -0x1.f672e76795ccap-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.56fd77be4f06cp-10, -0x1.d38fd662cf47ep-8, 0x1.7076abe909af1p-7, -0x1.d30d6186cec7cp-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.00c9e3550bf28p-10, -0x1.8abeb02fd09cdp-8, 0x1.67b4d214e901ep-7, -0x1.943b31be04ff9p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.71dd8d4dda503p-11, -0x1.4451c93caa59ep-8, 0x1.588c336a959eap-7, -0x1.1f7ed6bd09cfdp-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.fb439d0be5ddep-12, -0x1.0190efec9b38cp-8, 0x1.42fc49b601af3p-7, -0x1.74c6088602fd8p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.464df258cf2f4p-12, -0x1.87879c178a49ap-9, 0x1.270709125b0efp-7, -0x1.ca6e6d4295337p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.80c17f5cd95cfp-13, -0x1.18652c05ad393p-9, 0x1.04a52746f644dp-7, -0x1.0f560922e1b51p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.8ff1c6c2ab53fp-14, -0x1.708df17da2fa3p-10, 0x1.b7e3b236a8d3ap-8, -0x1.3c19c19d71674p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.54d9e3db346cp-15, -0x1.a72123f6eb39bp-11, 0x1.590f2b543a01cp-8, -0x1.5eff4210da18bp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.9623744da4d03p-17, -0x1.7a6745a88f44cp-12, 0x1.df852f04bdf5bp-9, -0x1.a6b8bca7dd993p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.abd2317c5affep-20, -0x1.80f62b0b4141p-14, 0x1.c3c648733ec55p-10, -0x1.556bb5d41f58p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.4e147ae147ae1p+2, 0x1.6f9c376dd6f4cp-27, 0x1.43a3ee1b8416p-19, 0x1.508ea53f2fb5cp-13, -0x1.2d879c88aefb4p-4}, 
      }}, 
      0x1.278c7c3efa8d9p+2, -0x1.5554c4738fcc6p+6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.4d1398b6cef5ep-3, 0x1.4fcc23c41f173p-3, 0x1.538dbfd598bb3p-3, 0x1.576cbe554a09fp-3, 0x1.5a72624ab17b8p-3, 0x1.5bbf8cc75e00fp-3, 0x1.5aa1a9fa28cd7p-3, 0x1.569c0d69932b8p-3, 0x1.4f68cced416cbp-3, 0x1.44f42352ce587p-3, 0x1.3754da0a0ca01p-3, 0x1.26c38841ccdf9p-3, 0x1.1391d3a4b6266p-3, 0x1.fc44bcdd518a3p-4, 0x1.cdc3771f7bf3ep-4, 0x1.9c810626a4d25p-4, 0x1.695d101a6f2d3p-4, 0x1.352e30a070ab8p-4, 0x1.00bcafbe3dbd6p-4, 0x1.997cd07b60048p-5, 0x1.33aa4e6048e6p-5, 0x1.a2331b45d4374p-6, 0x1.cadcca3ace84ep-7, 0x1.9455f1308ec57p-9, -0x1.d50fe4471b05p-8, -0x1.1114b4967fe91p-6, -0x1.a0426f1aeb756p-6, -0x1.1132925cfebbcp-5, -0x1.4ba53c1cd1054p-5, -0x1.7f77678cfad7ep-5, -0x1.acbb3cb5e71dep-5, -0x1.d3939e9332216p-5, -0x1.f431494c9528ep-5, -0x1.0768122ffcc56p-4, -0x1.11da6effcb67ap-4, -0x1.1995692c52db5p-4, -0x1.1ec1154c057c1p-4, -0x1.218728b1bbc87p-4, -0x1.22124536d4598p-4, -0x1.208d69d040afdp-4, -0x1.1d23733fd42dp-4, -0x1.17fec00d50c24p-4, -0x1.1148c1afe554dp-4, -0x1.092a019de3d16p-4, -0x1.ff930b3663c68p-5, -0x1.ea99fed1dec87p-5, -0x1.d3b1401d42b33p-5, -0x1.bb1db4c14f5b1p-5, -0x1.a120f5315a36ap-5, -0x1.85f9375d46b9ep-5, -0x1.69e12c5e2915dp-5, -0x1.4d1004d6edf5bp-5, -0x1.2fb990a088c97p-5, -0x1.120e3f41d773bp-5, -0x1.e87625ddaf09bp-6, -0x1.acd3940a12e93p-6, -0x1.7181d10fc9d38p-6, -0x1.36c7b242b0e68p-6, -0x1.f9cbfb96d52bap-7, -0x1.882f36d368d38p-7, -0x1.192373cb2be3p-7, -0x1.5a1113551ff56p-8, -0x1.10cbd82560e6cp-9, 0x1.088f9dd09582ap-10, 0x1.0509f216bc457p-8, 0x1.bfdb868985533p-8, 0x1.391c9f8c989cep-7, 0x1.8de9fad698932p-7, 0x1.de35f51478d77p-7, 0x1.14f3ff71f4316p-6, 0x1.38772c4c63bacp-6, 0x1.599ed3211d3b5p-6, 0x1.78684eab815adp-6, 0x1.94d3a1a0d8a06p-6, 0x1.aee39cb3a70ffp-6, 0x1.c69d11dcf721ap-6, 0x1.dc0742cd37a42p-6, 0x1.ef2b49a987448p-6, 0x1.000a00a948df2p-5, 0x1.0766ef1da7d2fp-5, 0x1.0db35f1e79848p-5, 0x1.12f6ddfcce46dp-5, 0x1.17398598d9289p-5, 0x1.1a83e98018626p-5, 0x1.1cdf0061d9e3fp-5, 0x1.1e54190f10fd1p-5, 0x1.1eecbfda103f8p-5, 0x1.1eb2c1b9ff934p-5, 0x1.1db007f27cd9bp-5, 0x1.1beea1780b63cp-5, 0x1.1978944d06268p-5, 0x1.165818a9069abp-5, 0x1.129720694775ap-5, 0x1.0e3fc5383711ep-5, 0x1.095bf05880e54p-5, 0x1.03f57117c0818p-5, 0x1.fc2bd5e6b481p-6, 0x1.ef8daa6e039cap-6, 0x1.e222feb49e5bcp-6, 0x1.d3fe031513e8bp-6, 0x1.c53069367a93fp-6, 0x1.b5cb678aab6d4p-6, 0x1.a5dfc165af0c7p-6, 0x1.957db1127f93cp-6, 0x1.84b4f1d9205bap-6, 0x1.7394ae3dc218cp-6, 0x1.622b861cf4321p-6, 0x1.50878bf41f6dp-6, 0x1.3eb6400a442f1p-6, 0x1.2cc49e13e6a5fp-6, 0x1.1abf0a0fa2fc8p-6, 0x1.08b15c70a814p-6, 0x1.ed4dcb37603e4p-7, 0x1.c954a522b094fp-7, 0x1.a58bce5dc5e93p-7, 0x1.82068a3edb3a3p-7, 0x1.5ed70b7c3d9b1p-7, 0x1.3c0e9a354fbe2p-7, 0x1.19bd56f142ac9p-7, 0x1.efe4ab42c2c79p-8, 0x1.ad77a8e1d0835p-8, 0x1.6c4dfc072d7ecp-8, 0x1.2c7fef6175dafp-8, 0x1.dc488b5941c62p-9, 0x1.629f5f24766ebp-9, 0x1.d8542d8100de6p-10, 0x1.e42ebfef0dc8p-11, 0x1.2c5f77038aee2p-14, -0x1.8ad010b29d559p-11, -0x1.964136cd9e073p-10, -0x1.2fcd0d575793ep-9, -0x1.90a6c7058677bp-9, -0x1.ed9dca16a1cf3p-9, -0x1.23526d5b96843p-8, -0x1.4dd8ed89b01e2p-8, -0x1.765e4628ae4f1p-8, -0x1.9cdfabce7911p-8, -0x1.c15b93a812eb3p-8, -0x1.e3d186bd1fb89p-8, -0x1.0220f5c54cb65p-7, -0x1.1157238921b42p-7, -0x1.1f8c8d9eaa04cp-7, -0x1.2cc2e78792f5bp-7, -0x1.38fc32eee604p-7, -0x1.443aed4b706a4p-7, -0x1.4e81f44a14ebp-7, -0x1.57d4768c76319p-7, -0x1.6035edf231b85p-7, -0x1.67aa2a33966d1p-7, -0x1.6e353bc9b8815p-7, -0x1.73db7ca3a7438p-7, -0x1.78a16c3d1b6f8p-7, -0x1.7c8bd78ac458fp-7, -0x1.7f9fc5c1ae37p-7, -0x1.81e2492e59efcp-7, -0x1.8358b3b56218dp-7, -0x1.84086d5ee528cp-7, -0x1.83f72e2a3124cp-7, -0x1.832a894cbe9a3p-7, -0x1.81a84d07e25d7p-7, -0x1.7f764d0f17165p-7, -0x1.7c9a8f2fff199p-7, -0x1.791b04cb854cp-7, -0x1.74fdbab594c73p-7, -0x1.7048bf5dfd643p-7, -0x1.6b0226f96efdp-7, -0x1.65301bdfca437p-7, -0x1.5ed8a89bed7b3p-7, -0x1.5801e8f2b7da8p-7, -0x1.50b1edc959ba2p-7, -0x1.48eecb0a3eb9fp-7, -0x1.40be7b8e02532p-7, -0x1.3826fe816324ep-7, -0x1.2f2e367f2d872p-7, -0x1.25da0757b292dp-7, -0x1.1c3033e134895p-7, -0x1.1236898b061a9p-7, -0x1.07f29800a8e4p-7, -0x1.fad415a0e954p-8, -0x1.e54485d092716p-8, -0x1.cf41b5b9eeb68p-8, -0x1.b8d5f42e8be71p-8, -0x1.a20b6bf0ddc42p-8, -0x1.8aecff83c705cp-8, -0x1.73842eb9a0ba6p-8, -0x1.5bdb12cd019ap-8, -0x1.43fb2cea99e8dp-8, -0x1.2bede689c9cb6p-8, -0x1.13bc4ccd9b343p-8, -0x1.f6dedcc35c43fp-9, -0x1.c61fd40cc5318p-9, -0x1.954c98040ae8bp-9, -0x1.6475a0a18ee3ep-9, -0x1.33aaac20d956ep-9, -0x1.02fb970768596p-9, -0x1.a4ee4f6f1aa7ap-10, -0x1.44582c6de1e3dp-10, -0x1.c8a21fd5ff08ap-11, -0x1.09e7c4c04988cp-11, -0x1.32d9f2c0f48b2p-13, 0x1.bafd5931713cdp-13, 0x1.28491d572ece9p-11, 0x1.dfb832e51b677p-11, 0x1.4a6f2c3691365p-10, 0x1.a3c8d505e9dd1p-10, 0x1.fbd3f8f719eabp-10, 0x1.293e9dc2f7cf8p-9, 0x1.53d8b2e729fccp-9, 0x1.7daf6d2e6fb71p-9, 0x1.a6ba2fb14ecd8p-9, 0x1.cef0b5417962dp-9, 0x1.f64b9720290bbp-9, 0x1.0e61b99b14468p-8, 0x1.2128c518c6631p-8, 0x1.337798e8c2f4bp-8, 0x1.454b6d133b54ep-8, 0x1.56a1503b1c909p-8, 0x1.67769bbf66f3p-8, 0x1.77c90401038a4p-8, 0x1.87962c37a0e89p-8, 0x1.96dc27c28b6cfp-8, 0x1.a599111e51168p-8, 0x1.b3cb2b56e9dedp-8, 0x1.c1710be563395p-8, 0x1.ce8937b44d372p-8, 0x1.db12a5aadd069p-8, 0x1.e70c41147b229p-8, 0x1.f2753a20d6cc6p-8, 0x1.fd4cd31a711fcp-8, 0x1.03c94a5cbe6b3p-7, 0x1.08a2f1dcaf0eep-7, 0x1.0d335adf6e1d8p-7, 0x1.117a6224c184bp-7, 0x1.157819c2d9f8ap-7, 0x1.192c8b2eb7b5p-7, 0x1.1c97dc53c8e74p-7, 0x1.1fba3d2c518e8p-7, 0x1.2293ea96cdac5p-7, 0x1.2525367f64b0ep-7, 0x1.276e855f4c973p-7, 0x1.2970412438944p-7, 0x1.2b2ae7d6ea4b9p-7, 0x1.2c9efbeae8d3fp-7, 0x1.2dcd0dde4b1cdp-7, 0x1.2eb5b9fbf3974p-7, 0x1.2f59adc6c2454p-7, 0x1.2fb9a804b540cp-7, 0x1.2fd64929f2db1p-7, 0x1.2fb0971a62ca9p-7, 0x1.2f492668a1d85p-7, 0x1.2ea0f19b547b4p-7, 0x1.2db8d70d465f4p-7, 0x1.2c91c49e7ba34p-7, 0x1.2b2cb1ca68ff6p-7, 0x1.298aa51fb7ca9p-7, 0x1.27ac97105e713p-7, 0x1.2593990e6e5ebp-7, 0x1.2340b25dfe417p-7, 0x1.20b500671c7c4p-7, 0x1.1df19c0602e2cp-7, 0x1.1af7ae7359adp-7, 0x1.17c8607418b2cp-7, 0x1.1464da7c7f4fcp-7, 0x1.10ce4b4c8a08fp-7, 0x1.0d05e6271fe36p-7, 0x1.090cdd459a9e3p-7, 0x1.04e46d7379ecap-7, 0x1.008dd0bdb3a9cp-7, 0x1.f814941fde9e1p-8, 0x1.eeb63fa5e9d27p-8, 0x1.e503298b6315cp-8, 0x1.dafdd0b50726ap-8, 0x1.d0a8c5ebdc961p-8, 0x1.c606896791dd3p-8, 0x1.bb19b761fe449p-8, 0x1.afe4d616df3bdp-8, 0x1.a46a8d79f33fcp-8, 0x1.98ad652455945p-8, 0x1.8caff3cd26faep-8, 0x1.8074c31efdce7p-8, 0x1.73fe617a3d036p-8, 0x1.674f521b3612dp-8, 0x1.5a6a256e7f639p-8, 0x1.4d515e3f03aa7p-8, 0x1.400787330188bp-8, 0x1.328f2e83ed335p-8, 0x1.24eac646ec4b5p-8, 0x1.171cd702e80d5p-8, 0x1.0927b9e6e53bep-8, 0x1.f61bd7456ccd7p-9, 0x1.d9a398c3fe665p-9, 0x1.bceb7d108db2ap-9, 0x1.9ff8588643595p-9, 0x1.82ced73f8c606p-9, 0x1.6573a7cfd893cp-9, 0x1.47eb6ac45ee23p-9, 0x1.2a3a9af2fbf9p-9, 0x1.0c65ac2074da7p-9, 0x1.dce22bc8129e3p-10, 0x1.a0c22d514e1edp-10, 0x1.64741e747bab3p-10, 0x1.28004fa2e8383p-10, 0x1.d6ded4a147fd9p-11, 0x1.5d9310e11f38p-11, 0x1.c85b815df06fbp-12, 0x1.aafa25d5b430dp-13, -0x1.d55c71daa2541p-16, -0x1.0ffe01f51b385p-12, -0x1.012f2fb89b6ccp-11, -0x1.7a2cfa98d169p-11, -0x1.f2e9374896ca5p-11, -0x1.35aafbcea5919p-10, -0x1.71b28d4f7f687p-10, -0x1.ad84936316acbp-10, -0x1.e91a39c0ccd21p-10, -0x1.1236863d86761p-9, -0x1.2fbb6995d131cp-9, -0x1.4d18a6fb95fdap-9, -0x1.6a4b30b0ca58fp-9, -0x1.87502339e283dp-9, -0x1.a424acccad848p-9, -0x1.c0c5e1ff09eep-9, -0x1.dd3112b44e7fp-9, -0x1.f9639607022cbp-9, -0x1.0aad6544373a5p-8, -0x1.188a222e6cbfep-8, -0x1.2646c51b959f6p-8, -0x1.33e22469cd84ap-8, -0x1.415b22c097743p-8, -0x1.4eb0a514d069fp-8, -0x1.5be19f61781bbp-8, -0x1.68ed0d6305091p-8, -0x1.75d1f30746cfbp-8, -0x1.828f5c0a7124p-8, -0x1.8f245e06ac4b8p-8, -0x1.9b90171745b5ep-8, -0x1.a7d1a7c0cc9fcp-8, -0x1.b3e84017868e4p-8, -0x1.bfd31ba9ffd5dp-8, -0x1.cb917c980d3f1p-8, -0x1.d722a9bd73158p-8, -0x1.e2860b14e5b7ep-8, -0x1.edbafc39cce13p-8, -0x1.f8c0eb230c424p-8, -0x1.01cba6e6ec02p-7, -0x1.071ed163baf78p-7, -0x1.0c59ac4acd869p-7, -0x1.117bf6f936c6fp-7, -0x1.168578283ba12p-7, -0x1.1b75f086e5afep-7, -0x1.204d2834f5899p-7, -0x1.250af3690c5afp-7, -0x1.29af2a7136b6p-7, -0x1.2e39ad69069dep-7, -0x1.32aa692f5f60ap-7, -0x1.37014ded512ecp-7, -0x1.3b3e4f2c2bb75p-7, -0x1.3f615ba9e4bacp-7, -0x1.436a5b0a910a8p-7, -0x1.475935b83353dp-7, -0x1.4b2dc3361bf93p-7, -0x1.4ee7e3b4aac77p-7, -0x1.5287766fda45cp-7, -0x1.560c686872ed9p-7, -0x1.5976b823896eap-7, -0x1.5cc677f73eae4p-7, -0x1.5ffbcee2cf051p-7, -0x1.6316ebb2048ap-7, -0x1.6618114e94dc8p-7, -0x1.68ff65ea2e96p-7, -0x1.6bcd0a4fdc1fp-7, -0x1.6e8106cedf8c7p-7, -0x1.711b417b36927p-7, -0x1.739b96a55b3cdp-7, -0x1.7601d4370611bp-7, -0x1.784dd5737455dp-7, -0x1.7a7f8cbfd8b7p-7, -0x1.7c9718abd74bp-7, -0x1.7e94c5ccfd318p-7, -0x1.80790d2f379bap-7, -0x1.8244855938318p-7, -0x1.83f7cb85b4026p-7, -0x1.85936b8060131p-7, -0x1.8717bd6e9f7bbp-7, -0x1.8884ec4d49a63p-7, -0x1.89dacd2181d05p-7, -0x1.8b190dd7c4941p-7, -0x1.8c3f37d874382p-7, -0x1.8d4cdbad64367p-7, -0x1.8e41b338904eap-7, -0x1.8f1dc37ec2d4p-7, -0x1.8fe171d8f1e9dp-7, -0x1.908d7c537fbb8p-7, -0x1.9122f1d6ac962p-7, -0x1.91a3024cb5e59p-7, -0x1.920ed0f68c55ap-7, -0x1.926742d562086p-7, -0x1.92acd5add437ep-7, -0x1.92df8a2827d26p-7, -0x1.92feee2e75679p-7, -0x1.930a2ed917ddap-7, -0x1.93005b835b838p-7, -0x1.92e094713bb71p-7, -0x1.92aa5301c3b33p-7, -0x1.925d92dde939fp-7, -0x1.91faee14e2bf5p-7, -0x1.91839272d4ab7p-7, -0x1.90f91e1b1f092p-7, -0x1.905d5a90c9754p-7, -0x1.8fb1ff7f07aefp-7, -0x1.8ef8554e2a55ep-7, -0x1.8e3113d63ba5cp-7, -0x1.8d5c41ede17c1p-7, -0x1.8c79370df19a5p-7, -0x1.8b86dc76f50ebp-7, -0x1.8a83d63fdb21fp-7, -0x1.896ee578873bdp-7, -0x1.88472aac0ce61p-7, -0x1.870c654acccb9p-7, -0x1.85bf0c5762fa2p-7, -0x1.8460493787c63p-7, -0x1.82f1cfee5a65bp-7, -0x1.81759ca3b9fadp-7, -0x1.7feda0a0134edp-7, -0x1.7e5b70d0718fdp-7, -0x1.7cc0103d432c8p-7, -0x1.7b1bce5996dadp-7, -0x1.796e4949fc836p-7, -0x1.77b6a0b3c6ad5p-7, -0x1.75f3ae8814c63p-7, -0x1.74244b03d64b7p-7, -0x1.72479282823a6p-7, -0x1.705d1cf50e8adp-7, -0x1.6e6513924626ep-7, -0x1.6c603bc024c3p-7, -0x1.6a4fd28eceb2p-7, -0x1.683563522cedap-7, -0x1.661281cdd4668p-7, -0x1.63e87a9c73612p-7, -0x1.61b8206e828d5p-7, -0x1.5f81be4bc1653p-7, -0x1.5d45221ac0998p-7, -0x1.5b01c910eb6f8p-7, -0x1.58b718fdfa16ep-7, -0x1.5664936e258e6p-7, -0x1.5409f44f15145p-7, -0x1.51a73d65b775dp-7, -0x1.4f3cb5257cbdep-7, -0x1.4ccae48f388aap-7, -0x1.4a5297211a264p-7, -0x1.47d4d74b2cee8p-7, -0x1.4552d5cc7047dp-7, -0x1.42cdc3763dd4p-7, -0x1.404679349b8c3p-7, -0x1.3dbd379806dbp-7, -0x1.3b317fd232354p-7, -0x1.38a22f9ed7761p-7, -0x1.360de279d51a7p-7, -0x1.3373782bb7e4ap-7, -0x1.30d2928a519b6p-7, -0x1.2e2bbff4ed919p-7, -0x1.2b804d259886fp-7, -0x1.28d1d2cb4286fp-7, -0x1.2621a8adccf8p-7, -0x1.237091790ea0ap-7, -0x1.20bec30fb219fp-7, -0x1.1e0c4986207cdp-7, -0x1.1b59705bb89d6p-7, -0x1.18a6f80591b73p-7, -0x1.15f60768bfe8dp-7, -0x1.1347a208e4326p-7, -0x1.109c13444352p-7, -0x1.0df264ea322adp-7, -0x1.0b4863551feb6p-7, -0x1.089b40ad345d6p-7, -0x1.05e8b79f262f9p-7, -0x1.0330314b32fc8p-7, -0x1.00734cfb46dbfp-7, -0x1.fb6ac6fd87067p-8, -0x1.f5f45873f2012p-8, -0x1.f088596c21bafp-8, -0x1.eb27a5bd97973p-8, -0x1.e5cf2619744bep-8, -0x1.e079eaf21b427p-8, -0x1.db23e562d84f2p-8, -0x1.d5cc054738da1p-8, -0x1.d074c6fe8447fp-8, -0x1.cb2350b413172p-8, -0x1.c5dd41d46becap-8, -0x1.c0a600daa4816p-8, -0x1.bb7cb31f580bcp-8, -0x1.b65bdf6014aap-8, -0x1.b13b58f056cd4p-8, -0x1.ac140159e0d91p-8, -0x1.a6e3b47c0fb3cp-8, -0x1.a1af0247b5f1bp-8, -0x1.9c7fa3fb52508p-8, -0x1.975fedf2173e1p-8, -0x1.9255f647a3feep-8, -0x1.8d61265472a32p-8, -0x1.887af18d58402p-8, -0x1.839a0b5274efep-8, -0x1.7eb64151301fcp-8, -0x1.79cb7c120c7dcp-8, -0x1.74db56bb5d8aap-8, -0x1.6fec52874a4b2p-8, -0x1.6b0724d42a3a6p-8, -0x1.663310e1b8e2fp-8, -0x1.61732e82d6096p-8, -0x1.5cc5ab24a0d3dp-8, -0x1.5824f8e445b66p-8, -0x1.538a58e72e9b3p-8, -0x1.4ef0dd45281dfp-8, -0x1.4a57c27e0180cp-8, -0x1.45c2f2d0a62fbp-8, -0x1.41393a3f71a93p-8, -0x1.3cc1196b1d5d7p-8, -0x1.385dfb34089d8p-8, -0x1.340f1ce81ff8p-8, -0x1.2fd01c2d376eap-8, -0x1.2b99ef1d69bfp-8, -0x1.2764e238fcb4cp-8, -0x1.232b6324223c3p-8, -0x1.1eed00493df54p-8, -0x1.1aaebbe7d3cb3p-8, -0x1.16781946d7f4fp-8, -0x1.124f0a45c8bd9p-8, -0x1.0e35a17f64e4fp-8, -0x1.0a2a7dcdf8b37p-8, -0x1.062b4df6563e7p-8, -0x1.023714dd69507p-8, -0x1.fc9da7c90e2b4p-9, -0x1.f4e9742e8d46bp-9, -0x1.ed54af689f64bp-9, -0x1.e5dd7ba892e3fp-9, -0x1.de7c42e9a5897p-9, -0x1.d729757b28682p-9, -0x1.cfe47e3aa06afp-9, -0x1.c8b4caa340f52p-9, -0x1.c1a2d3550d3c9p-9, -0x1.baaee2722777fp-9, -0x1.b3cfe60cbb77ap-9, -0x1.acfc0405669cdp-9, -0x1.a62fe4d28ef73p-9, -0x1.9f6d2eee7db77p-9, -0x1.98b627f339044p-9, -0x1.920cdf9bb567dp-9, -0x1.8b72f8d06a47ap-9, -0x1.84e8658a8d88dp-9, -0x1.7e6b6ba59314cp-9, -0x1.77fbd17155b21p-9, -0x1.719ff0641f098p-9, -0x1.6b65f39e827efp-9, -0x1.655bc87331a11p-9, -0x1.5f83d8c308909p-9, -0x1.59d0d22f9f8a4p-9, -0x1.542a3940ca678p-9, -0x1.4e799bc059111p-9, -0x1.48bc2e5e88444p-9, -0x1.4305d573ebc5ep-9, -0x1.3d6cbf304fadap-9, -0x1.37f51ab74942p-9, -0x1.3297627e70bb7p-9, -0x1.2d53febbd2959p-9, -0x1.28317ff66c3edp-9, -0x1.232b099af897fp-9, -0x1.1e2ef5f2086bep-9, -0x1.192f05a9c0503p-9, -0x1.142c139af0cb1p-9, -0x1.0f3196bb3e0dp-9, -0x1.0a47202f8d9c2p-9, -0x1.05696c0cc535fp-9, -0x1.00947f23233c7p-9, -0x1.f7a40559b5939p-10, -0x1.ee67109792afdp-10, -0x1.e5831cffef773p-10, -0x1.dcee3efa9c77p-10, -0x1.d491804955064p-10, -0x1.cc4b0b156d097p-10, -0x1.c3ee74a44a5aep-10, -0x1.bb6ea6dd7369ep-10, -0x1.b2fa7d28eb017p-10, -0x1.aabd91a71c023p-10, -0x1.a2a7eecbd62c5p-10, -0x1.9aa5535cebe94p-10, -0x1.92d50acaebba8p-10, -0x1.8b5be78868b3bp-10, -0x1.84329996cda16p-10, -0x1.7d314f038cc94p-10, -0x1.762920cecbfc6p-10, -0x1.6f0318006b2a3p-10, -0x1.67d72a466e5fdp-10, -0x1.60cdd2a3fcd52p-10, -0x1.59ea8a7ec93a2p-10, -0x1.5314b23d3273fp-10, -0x1.4c4e2ac0ed6cdp-10, -0x1.45b34fb7749f5p-10, -0x1.3f50299c1ab6bp-10, -0x1.391bccbaf65cp-10, -0x1.330a72912ca71p-10, -0x1.2d1807d8a7a07p-10, -0x1.274581327c321p-10, -0x1.2180517b20b9dp-10, -0x1.1badf8478867ap-10, -0x1.15e6db75f6617p-10, -0x1.1047b80e6927fp-10, -0x1.0ab187917761ep-10, -0x1.051b38e976a1p-10, -0x1.ff5d5da8de6d4p-11, -0x1.f4f4727d5b5d3p-11, -0x1.eae35f444298dp-11, -0x1.e11e64719677fp-11, -0x1.d79d330ea51ddp-11, -0x1.ce332af29aabfp-11, -0x1.c4a9c5b0b9f7ep-11, -0x1.bb1eeea28cd2fp-11, -0x1.b1d7b86120b32p-11, -0x1.a8be05fbea7e4p-11, -0x1.9fa8f1778f56fp-11, -0x1.96c62f420dabep-11, -0x1.8e37c95464d4cp-11, -0x1.85e24624a5acep-11, -0x1.7dab121cd9432p-11, -0x1.758c85839ed88p-11, -0x1.6d8743e750f55p-11, -0x1.65aeb4f01fa3p-11, -0x1.5e2191cc0818ap-11, -0x1.56bcbb0b6a675p-11, -0x1.4f5c669dcc969p-11, -0x1.4819735274fd4p-11, -0x1.40ce34d24816dp-11, -0x1.3999a2eac45dcp-11, -0x1.32b5cc5d87a79p-11, -0x1.2c0296bff3dfap-11, -0x1.25627441890c5p-11, -0x1.1ed8e0c2855a6p-11, -0x1.1871e25b76cf5p-11, -0x1.1239f7b393e8p-11, -0x1.0c3c78807eebfp-11, -0x1.0663b0f7f951ep-11, -0x1.0088d82bb8a91p-11, -0x1.f58766188dc73p-12, -0x1.ea2c57a1a4c94p-12, -0x1.decb714dd4d7ep-12, -0x1.d3c9649b64264p-12, -0x1.c948bb234c80dp-12, -0x1.beff4872c345p-12, -0x1.b4c884a06e73fp-12, -0x1.aaaa2909a702cp-12, -0x1.a0ab4faa6d578p-12, -0x1.96cb671c60c8dp-12, -0x1.8d41171edab8bp-12, -0x1.844a0497cd3c9p-12, -0x1.7b792acb2a2bap-12, -0x1.72958a2de08e3p-12, -0x1.69986ece6d3fcp-12, -0x1.60e2fa4f2b481p-12, -0x1.58a058a64846ap-12, -0x1.50856d6f20fd6p-12, -0x1.487da93265c56p-12, -0x1.40928bcd32057p-12, -0x1.38ca892e1fdf6p-12, -0x1.3127bf7f56287p-12, -0x1.29a8e322c99f4p-12, -0x1.224de752c8fc6p-12, -0x1.1b2fcb81ca43p-12, -0x1.1471cf5a67885p-12, -0x1.0ddddf693682bp-12, -0x1.0747b9a761b74p-12, -0x1.00a762c7a64aap-12, -0x1.f43ca03b7fc34p-13, -0x1.e7ebbc58ee64ap-13, -0x1.dbfdaef60e5d6p-13, -0x1.d02550e255af7p-13, -0x1.c467536874e2dp-13, -0x1.b8d9b4e5d0f74p-13, -0x1.ad7fa54edbd79p-13, -0x1.a2523f2be686ep-13, -0x1.978db35f40f3fp-13, -0x1.8d7dd4761dfd8p-13, -0x1.83719e8d3783fp-13, -0x1.791eeca0f2f6fp-13, -0x1.6f2b92978ebb5p-13, -0x1.65c1f66a82ae6p-13, -0x1.5c78acfd6d02dp-13, -0x1.534b2c94a054bp-13, -0x1.4a4a78ec037fep-13, -0x1.417ddb1880d7ep-13, -0x1.38e5d87c82bc2p-13, -0x1.307f1df432b55p-13, -0x1.28461726d7fb4p-13, -0x1.203757bb10652p-13, -0x1.184e69073e005p-13, -0x1.10858e7a24ae9p-13, -0x1.08f05f50d6d12p-13, -0x1.01ce4a2c228ebp-13, -0x1.f5e60e1b234b7p-14, -0x1.e7e1613c3e3d7p-14, -0x1.d9d76cf5e5a5fp-14, -0x1.cca7726c252f3p-14, -0x1.bfea137fd95bp-14, -0x1.b3458c5a492c5p-14, -0x1.a6cb796146593p-14, -0x1.9a95ce38c7976p-14, -0x1.8ead835b03076p-14, -0x1.8300702e15ca5p-14, -0x1.77938159a7f4ap-14, -0x1.6ccfba0cb58a2p-14, -0x1.6218ed77def76p-14, -0x1.575a1743f1312p-14, -0x1.4d3c64d95100dp-14, -0x1.4352981eb90dap-14, -0x1.398b0950dae81p-14, -0x1.2ff966b3e0914p-14, -0x1.26a3482d03b4cp-14, -0x1.1d885294b9849p-14, -0x1.14a8249bff271p-14, -0x1.0bfdf0c16c61fp-14, -0x1.038d66c27547ep-14, -0x1.f6a426de66943p-15, -0x1.e69295eb9be3fp-15, -0x1.d6de70c829238p-15, -0x1.c786ceadf2723p-15, -0x1.b88a40ef021e8p-15, -0x1.a9dd5e1a79b3cp-15, -0x1.9b87a1ca752bp-15, -0x1.8df3572b13303p-15, -0x1.80b4fbff193b8p-15, -0x1.734dfdafa5522p-15, -0x1.669fab2aac4e2p-15, -0x1.5a4e2d74fe40ep-15, -0x1.4e21e4ddf46f8p-15, -0x1.4237c172f0c6fp-15, -0x1.36a3da488079bp-15, -0x1.2b610d29713b2p-15, -0x1.2053c44f7c2d5p-15, -0x1.158f2d14b579p-15, -0x1.0b340a3ad676ep-15, -0x1.01056974f30a7p-15, -0x1.ee8b8a8318d89p-16, -0x1.db5a6626de81cp-16, -0x1.c893bf5c9210ap-16, -0x1.b64bc183f6938p-16, -0x1.a48307c22f686p-16, -0x1.93353a299528p-16, -0x1.825e5d89627b7p-16, -0x1.71fafc7f15777p-16, -0x1.62075a1351871p-16, -0x1.528477f52366dp-16, -0x1.436b90b0e7892p-16, -0x1.34bdaf80ee6f4p-16, -0x1.267612a45b1abp-16, -0x1.1892ba5212be3p-16, -0x1.0b0e2ed15577dp-16, -0x1.fbcd06123d4f7p-17, -0x1.e2317147a9f68p-17, -0x1.c964397e8ec23p-17, -0x1.b12ca412a10f4p-17, -0x1.997ee7bd372f8p-17, -0x1.82c8172cd7847p-17, -0x1.6c9799156876ap-17, -0x1.575132a7627cap-17, -0x1.428429d551a66p-17, -0x1.2e2ac69a490bbp-17, -0x1.1a6d76b2b41fdp-17, -0x1.07497c5c000fcp-17, -0x1.e9475ff63cfbfp-18, -0x1.c4b77a7be7d63p-18, -0x1.a1ab44a85851dp-18, -0x1.80119919417ap-18, -0x1.5f460a7d66bf1p-18, -0x1.3f507d339f19bp-18, -0x1.201eac6a2e83fp-18, -0x1.0207862629af2p-18, -0x1.c991c6b688522p-19, -0x1.913b91a2b317bp-19, -0x1.5a6fed30bd8fap-19, -0x1.255d2d3624817p-19, -0x1.e3e2c2bdd4d2fp-20, -0x1.80386c989484dp-20, -0x1.1ff1979508a5ap-20, -0x1.8506d55b68c3cp-21, -0x1.a117ea99808a7p-22, -0x1.10576eaedbc3cp-24, 0x1.0ddf219ff2ed1p-22, 0x1.2a43325e73e24p-21, 0x1.c82c2ed7f1081p-21, 0x1.306a1be5c86ebp-20, 0x1.7a2898f4a7fe6p-20, 0x1.c158bef82ccd1p-20, 0x1.03029136367dep-19, 0x1.240c9cf90113p-19, 0x1.44a89174dbb4fp-19, 0x1.6374f45253c88p-19, 0x1.80f117437abf5p-19, 0x1.9d4c6e0716777p-19, 0x1.b8e8a8afa74aap-19, 0x1.d3802c52b33dfp-19, 0x1.ed094ce3e2467p-19, 0x1.02d1f46b6ff99p-18, 0x1.0ec182b41c388p-18, 0x1.1a071da65e113p-18, 0x1.24f7ed828101dp-18, 0x1.2f5cea9b372bcp-18, 0x1.396c71ce7ff5bp-18, 0x1.430d0117aba81p-18, 0x1.4c399caf811a8p-18, 0x1.5508026c706a8p-18, 0x1.5d728597b3a44p-18, 0x1.6586ec36044e9p-18, 0x1.6d1e9a770c177p-18, 0x1.7489da0aef16p-18, 0x1.7b7eeb5c2fb39p-18, 0x1.82264e2a99069p-18, 0x1.88674c064cbc2p-18, 0x1.8e6c47e066568p-18, 0x1.9421c81ba7e4ap-18, 0x1.997df17115f54p-18, 0x1.9e8f26745b1abp-18, 0x1.a36e0106091cp-18, 0x1.a7dba3fe7f1a5p-18, 0x1.ac1288c6b7c4ap-18, 0x1.b00a5eedabc1bp-18, 0x1.b3cc620995ea5p-18, 0x1.b735e13164cedp-18, 0x1.ba3700442934dp-18, 0x1.bd6d5559e646ep-18, 0x1.bffb036dd3156p-18, 0x1.c2b421af7d8eep-18, 0x1.c4f7c600fd7f5p-18, 0x1.c70a23c01c9dfp-18, 0x1.c8fa7e0013e3p-18, 0x1.caa1b9f1981dp-18, 0x1.cc1a31e9b3c1fp-18, 0x1.cd5d39ad1da98p-18, 0x1.ce6e59163b0c2p-18, 0x1.cf7181b6da651p-18, 0x1.d03530b9d6f9ap-18, 0x1.d0c40195ede6ep-18, 0x1.d13145de9b9bp-18, 0x1.d17ae962dc5cap-18, 0x1.d18fe2323c6cfp-18, 0x1.d178fb69889b9p-18, 0x1.d147dd6b86c84p-18, 0x1.d0ee9437908c7p-18, 0x1.d07fe3d628fa4p-18, 0x1.cfe0efd56ccd7p-18, 0x1.cf1ef7abead8bp-18, 0x1.ce3fd5e32dac9p-18, 0x1.cd4304fb25569p-18, 0x1.cc03d7fd2e1c4p-18, 0x1.cae76fcb65553p-18, 0x1.c98f777abd093p-18, 0x1.c81b1f4e83216p-18, 0x1.c688ea4da85dfp-18, 0x1.c4f22394fe6fcp-18, 0x1.c31d37de2df5fp-18, 0x1.c144815af87b8p-18, 0x1.bf58e1f31ca51p-18, 0x1.bd4b8d931b0a8p-18, 0x1.bb2bca0139d1p-18, 0x1.b8f4c04ca2d24p-18, 0x1.b69fadd22d969p-18, 0x1.b4459bc96894ap-18, 0x1.b1d04290b3c45p-18, 0x1.af529f870389ap-18, 0x1.acc029f7a1b68p-18, 0x1.aa10c9b013ebfp-18, 0x1.a75bd6dac7ffp-18, 0x1.a480893b88e8bp-18, 0x1.a1a701edeae9bp-18, 0x1.9eb866abaf201p-18, 0x1.9bbff43de545dp-18, 0x1.98c99758182b8p-18, 0x1.95b4bd71344dp-18, 0x1.92985e387ecbcp-18, 0x1.8f521220142e1p-18, 0x1.8c025ec7a3926p-18, 0x1.88c63e8e3d003p-18, 0x1.8582a9fd4ab72p-18, 0x1.8220f1b770735p-18, 0x1.7eba56aeb1e23p-18, 0x1.7b37f822f6fdap-18, 0x1.77bb9de60d095p-18, 0x1.743a6110b5f71p-18, 0x1.70942e618b11ap-18, 0x1.6d111fe6f0b3ap-18, 0x1.69515db75cad5p-18, 0x1.65c973d46b4d5p-18, 0x1.621c07c98bb92p-18, 0x1.5e658df14a99dp-18, 0x1.5aa6bfeb86a4ap-18, 0x1.56e34747013p-18, 0x1.531d13c7d7d4dp-18, 0x1.4f4ab01c43084p-18, 0x1.4b7429daa1a94p-18, 0x1.479e210b3fc46p-18, 0x1.43cad36fd07edp-18, 0x1.40090679d05bbp-18, 0x1.3c0bb993bf11fp-18, }}, 
      {{0x1.4ce6df98a3968p-3, 0x1.4f366382cd65fp-3, 0x1.529c5821bcc8dp-3, 0x1.568823d18b1e9p-3, 0x1.5a57eb3a609b4p-3, 0x1.5d6c021c1b292p-3, 0x1.5f34a011d1a37p-3, 0x1.5f3a41fe1419bp-3, 0x1.5d21ad0b1f10ep-3, 0x1.58acaf6c74719p-3, 0x1.51b8a951e0938p-3, 0x1.483bba5961eb5p-3, 0x1.3c413b417043bp-3, 0x1.2de5f78e6737fp-3, 0x1.1d5477946dd39p-3, 0x1.0ac184d28cf2dp-3, 0x1.ecd2105ec58eep-4, 0x1.c1169a6d6adc6p-4, 0x1.92d55bcbdb03ap-4, 0x1.629333cc463bfp-4, 0x1.30d25d0d3827ap-4, 0x1.fc1f1f6a5a95bp-5, 0x1.95813f7baace7p-5, 0x1.2ea5e8c20efddp-5, 0x1.90ab991f0c213p-6, 0x1.8d185f2cd9daep-7, 0x1.87bd7e409eedep-17, -0x1.82937c58cfa2cp-7, -0x1.7ced19f30bf15p-6, -0x1.18f36e6bc1426p-5, -0x1.6fc39cc0c57fap-5, -0x1.c29ef4b7f7f4p-5, -0x1.08a63856cd372p-4, -0x1.2dd03e2ba689fp-4, -0x1.50bde775280b1p-4, -0x1.7165369841312p-4, -0x1.8fc101e64c0c2p-4, -0x1.abd0ab4f9b9b1p-4, -0x1.c59760965056bp-4, -0x1.dd1bb96395bf9p-4, -0x1.f2672b506919p-4, -0x1.02c2de10a7d5ap-3, -0x1.0b42c11fc752cp-3, -0x1.12bb318235cdfp-3, -0x1.1934d733ade63p-3, -0x1.1eb8ee46da405p-3, -0x1.235132c6a333bp-3, -0x1.2707ac927022dp-3, -0x1.29e6abc190891p-3, -0x1.2bf8a83170e4cp-3, -0x1.2d482c15e3e9fp-3, -0x1.2ddfc5d825a0dp-3, -0x1.2dc9fda49ff61p-3, -0x1.2d11450b53e7ap-3, -0x1.2bbfe59d9c592p-3, -0x1.29dffe90efc73p-3, -0x1.277b77c60567fp-3, -0x1.249bff7a5464fp-3, -0x1.214b021144b8cp-3, -0x1.1d91a620cf109p-3, -0x1.1978c80fbb3b1p-3, -0x1.1508f9658d757p-3, -0x1.104a709219623p-3, -0x1.0b451be548daep-3, -0x1.0600910c9e0b3p-3, -0x1.008412bb7a47ep-3, -0x1.f5ad1f7b63de7p-4, -0x1.e9fd4545a0bbp-4, -0x1.de05251ab2289p-4, -0x1.d1d0a5710cb2ep-4, -0x1.c56b068eea848p-4, -0x1.b8dee91ed7b1dp-4, -0x1.ac364c1ed2ffdp-4, -0x1.9f7a9615f3e37p-4, -0x1.92b490e184df9p-4, -0x1.85ec799b55f0cp-4, -0x1.7929f8950e63cp-4, -0x1.6c742d5c95a93p-4, -0x1.5fd1b203d86c5p-4, -0x1.53489f76096acp-4, -0x1.46de905fdbc6fp-4, -0x1.3a98a857c1ae5p-4, -0x1.2e7b978ce88c5p-4, -0x1.228b9ff7f6ap-4, -0x1.16cc9b94390fp-4, -0x1.0b41feca7885cp-4, -0x1.ffddbead1cc8bp-5, -0x1.e9abf03b51a04p-5, -0x1.d3f35bdf481c6p-5, -0x1.beb82db9ce6bp-5, -0x1.a9fdf232fc4b2p-5, -0x1.95c7a446fc224p-5, -0x1.8217bf20269a8p-5, -0x1.6ef035bc1a543p-5, -0x1.5c528b9e35239p-5, -0x1.4a3fcc66a5e5bp-5, -0x1.38b89b9e2a436p-5, -0x1.27bd41e61b9b9p-5, -0x1.174da40e65b32p-5, -0x1.07695dda16e8p-5, -0x1.f01f711ec5907p-6, -0x1.d27f67f38668bp-6, -0x1.b5f019d7482f7p-6, -0x1.9a6e9dec11009p-6, -0x1.7ff787e705b77p-6, -0x1.66870d6c829cbp-6, -0x1.4e19106488c0fp-6, -0x1.36a91bd2d7ce1p-6, -0x1.20327dc78997cp-6, -0x1.0ab023e2f7551p-6, -0x1.ec39c02febde2p-7, -0x1.c4e692b6501f4p-7, -0x1.9f5b8f81cdc7ep-7, -0x1.7b8d51a4b6ee7p-7, -0x1.59702b6f27b4fp-7, -0x1.38f82c89db04ap-7, -0x1.1a1955b66edd4p-7, -0x1.f98eec5174a63p-8, -0x1.c1eca01f44738p-8, -0x1.8d334db2bc66dp-8, -0x1.5b4a5836440d1p-8, -0x1.2c18e425a4c1cp-8, -0x1.ff0d5261de8cap-9, -0x1.aaf657bf01e7bp-9, -0x1.5bbc1de556a17p-9, -0x1.112edf4d56787p-9, -0x1.963d6be2d7561p-10, -0x1.12b9a67798cb8p-10, -0x1.2ee9f459d895p-11, -0x1.20a084514249ep-13, 0x1.1f0b788fb97d4p-12, 0x1.58d18734b381p-11, 0x1.0a33cffa76ef7p-10, 0x1.61795a6350702p-10, 0x1.b28c0d74ca4b4p-10, 0x1.fdbdd1ae20bfep-10, 0x1.21aec783351c8p-9, 0x1.41dc7b703c54bp-9, 0x1.5f8d9c727772ap-9, 0x1.7ae6ee8d3c701p-9, 0x1.940bf8ce116efp-9, 0x1.ab1f749af1f5dp-9, 0x1.c042b7714547dp-9, 0x1.d396603f07f28p-9, 0x1.e539f90860011p-9, 0x1.f54bdc6b08f41p-9, 0x1.01f48c28e38bcp-8, 0x1.08971f0dd7c27p-8, 0x1.0e9b55024b2fap-8, 0x1.140e482462cbap-8, 0x1.18fc97c69e096p-8, 0x1.1d72547d1c344p-8, 0x1.217b1b2facf73p-8, 0x1.25221ff114896p-8, 0x1.2871f6209daf8p-8, 0x1.2b74eed8e3934p-8, 0x1.2e34a71ac910bp-8, 0x1.30ba466038a43p-8, 0x1.330ec3563eef3p-8, 0x1.353a707626947p-8, 0x1.374540395de6ep-8, 0x1.3936b5b4a0becp-8, 0x1.3b15fc8df02c1p-8, 0x1.3ce99cd042277p-8, 0x1.3eb81753568b2p-8, 0x1.408757bc80295p-8, 0x1.425ce5477209bp-8, 0x1.443e0e7b2f968p-8, 0x1.462fa434a30dp-8, 0x1.48363303ad9e7p-8, 0x1.4a55eac852e79p-8, 0x1.4c92c993b336ep-8, 0x1.4ef057529fb16p-8, 0x1.5171e43709d43p-8, 0x1.541a871ff50e2p-8, 0x1.56ecf35c0c68dp-8, 0x1.59eb9dccd2a17p-8, 0x1.5d18cdeb3dd61p-8, 0x1.60766aa9a7f2cp-8, 0x1.640639de88c02p-8, 0x1.67c9e6cef0db8p-8, 0x1.6bc28cc1a43c9p-8, 0x1.6ff14e8dd61c4p-8, 0x1.745743d4394a9p-8, 0x1.78f4eb626fc39p-8, 0x1.7dcad992c3e61p-8, 0x1.82d9659f6f341p-8, 0x1.8820d199d3196p-8, 0x1.8da11ece706efp-8, 0x1.935a2bb2a4a85p-8, 0x1.994bb4c5f183bp-8, 0x1.9f7557ea8645p-8, 0x1.a5d6884eba2ep-8, 0x1.ac6eac56927ebp-8, 0x1.b33cff2da1bb1p-8, 0x1.ba4098c5dcb33p-8, 0x1.c1789a72e9e32p-8, 0x1.c8e3e80070c68p-8, 0x1.d081521ad182dp-8, 0x1.d84fa90ed8bf5p-8, 0x1.e04d9bfa786e1p-8, 0x1.e879cda2891a5p-8, 0x1.f0d2cc29672eep-8, 0x1.f9570ad0fb8e5p-8, 0x1.01028a6b7c775p-7, 0x1.056d98a8578c9p-7, 0x1.09ebe9669a7dp-7, 0x1.0e7ca037a5213p-7, 0x1.131edb25dad6fp-7, 0x1.17d1ba395edd4p-7, 0x1.1c9454f4492cbp-7, 0x1.2165c4557c8cp-7, 0x1.264524cc8b71ep-7, 0x1.2b317e27f6e29p-7, 0x1.3029d2036ea2dp-7, 0x1.352d566830a3ep-7, 0x1.3a3b00b486e26p-7, 0x1.3f51cec78792ep-7, 0x1.4470f071aaefp-7, 0x1.499759e459e2dp-7, 0x1.4ec41c7f5e57dp-7, 0x1.53f64fef58026p-7, 0x1.592cf212c26b3p-7, 0x1.5e672842999c9p-7, 0x1.63a3f089cd27fp-7, 0x1.68e26a57cc7d8p-7, 0x1.6e21a6fef05adp-7, 0x1.7360bf67bee35p-7, 0x1.789ecbb064fb5p-7, 0x1.7ddaf6b10bfb1p-7, 0x1.83143e844fe0ep-7, 0x1.8849fd63dc8eap-7, 0x1.8d7b240bba7b2p-7, 0x1.92a6fd579ffdbp-7, 0x1.97ccaa226169ap-7, 0x1.9ceb5d279cf58p-7, 0x1.a20250d787d6bp-7, 0x1.a710b5c586dd6p-7, 0x1.ac15d18b19742p-7, 0x1.b110e3a4093f5p-7, 0x1.b6013111cb4d7p-7, 0x1.bae5ffdb1e63ap-7, 0x1.bfbeafbdb7d05p-7, 0x1.c48a77a52dd13p-7, 0x1.c948d64c5170ap-7, 0x1.cdf902503ea57p-7, 0x1.d29a6f67db9aap-7, 0x1.d72c8edcce14fp-7, 0x1.dbaea9c645c3cp-7, 0x1.e0205189b2888p-7, 0x1.e480e92c81c36p-7, 0x1.e8cfedcde34dp-7, 0x1.ed0ce3c043dd5p-7, 0x1.f137409f35331p-7, 0x1.f54ea37696835p-7, 0x1.f952766409fddp-7, 0x1.fd4264720732p-7, 0x1.008f006fb890bp-6, 0x1.02727227dc186p-6, 0x1.044b56346ff62p-6, 0x1.06197eb0d57bep-6, 0x1.07dcc617ab4dbp-6, 0x1.0994fb20d280ap-6, 0x1.0b41fb163db01p-6, 0x1.0ce3a4ac1510bp-6, 0x1.0e79ce81ed13dp-6, 0x1.1004615083fafp-6, 0x1.118337d2655e8p-6, 0x1.12f63e6a48e06p-6, 0x1.145d55cd45994p-6, 0x1.15b863fe87604p-6, 0x1.17075e0e4740ep-6, 0x1.184a2ab6f2816p-6, 0x1.1980b98b3de64p-6, 0x1.1aaafe38662c6p-6, 0x1.1bc8e6cd0d807p-6, 0x1.1cda743d1b7a9p-6, 0x1.1ddf8e1848b5ap-6, 0x1.1ed837bb4666p-6, 0x1.1fc469150c8a4p-6, 0x1.20a420c4a4099p-6, 0x1.21775a8ee58ebp-6, 0x1.223e13d140af2p-6, 0x1.22f85611b1bcp-6, 0x1.23a6255660f28p-6, 0x1.24477dfc74334p-6, 0x1.24dc6780277d6p-6, 0x1.2564f411bfd33p-6, 0x1.25e1240ee6a6ep-6, 0x1.26510a8bf1edp-6, 0x1.26b4acb2b4c0dp-6, 0x1.270c21208454p-6, 0x1.275770601290fp-6, 0x1.2796ae0d15537p-6, 0x1.27c9eb7fb2e5p-6, 0x1.27f13ddfb8615p-6, 0x1.280cb6ffefc9fp-6, 0x1.281c702260cb3p-6, 0x1.28207cda2f27cp-6, 0x1.2818f7f0a34e6p-6, 0x1.2805f884c1b5cp-6, 0x1.27e79a7948dffp-6, 0x1.27bdf8cfe1dc9p-6, 0x1.27892e5ff55a3p-6, 0x1.274955ff4e42bp-6, 0x1.26fe90ad440e3p-6, 0x1.26a8fdc5fb0eap-6, 0x1.2648bb1ef2574p-6, 0x1.25dde67fca2cep-6, 0x1.2568a96ede696p-6, 0x1.24e91bf7e7726p-6, 0x1.245f65a258278p-6, 0x1.23cba7722632ep-6, 0x1.232e05fa83da9p-6, 0x1.2286a48012c77p-6, 0x1.21d5a7b366428p-6, 0x1.211b357e960f4p-6, 0x1.205773391166dp-6, 0x1.1f8a868645a72p-6, 0x1.1eb494a0cc5bp-6, 0x1.1dd5cbf4fc0dap-6, 0x1.1cee462858fa6p-6, 0x1.1bfe363f916afp-6, 0x1.1b05c27336b56p-6, 0x1.1a050b9eeef04p-6, 0x1.18fc4426463cep-6, 0x1.17eb8d8b10d28p-6, 0x1.16d3117c95a26p-6, 0x1.15b2fd25e3867p-6, 0x1.148b744aa7e2bp-6, 0x1.135ca1f47ca53p-6, 0x1.1226b10a90dd4p-6, 0x1.10e9c9eae2ecdp-6, 0x1.0fa615f8e037dp-6, 0x1.0e5bbe329c799p-6, 0x1.0d0aedbecc44bp-6, 0x1.0bb3cb652b167p-6, 0x1.0a5681ea04cacp-6, 0x1.08f33b83a6278p-6, 0x1.078a211b8f1ap-6, 0x1.061b574fba791p-6, 0x1.04a70f906ea72p-6, 0x1.032d6d8000995p-6, 0x1.01ae9ab4be40bp-6, 0x1.002abf8993461p-6, 0x1.fd4412b4d24d3p-7, 0x1.fa29309f773fap-7, 0x1.f7052a39dba92p-7, 0x1.f3d85ef268eebp-7, 0x1.f0a31321d3675p-7, 0x1.ed6595c813cc9p-7, 0x1.ea20372a662d9p-7, 0x1.e6d34768fa4cdp-7, 0x1.e37f0c74cf6c6p-7, 0x1.e023d9c28069ep-7, 0x1.dcc1f6ac8a76cp-7, 0x1.d959b670630fep-7, 0x1.d5eb5b2d44ce7p-7, 0x1.d2772a305dff9p-7, 0x1.cefd7fd3be796p-7, 0x1.cb7e8f243e792p-7, 0x1.c7faab6601718p-7, 0x1.c472179d0171ep-7, 0x1.c0e51a7b65da3p-7, 0x1.bd53fbcc45b64p-7, 0x1.b9bf008a39bd5p-7, 0x1.b6266ef8527c4p-7, 0x1.b28a7eb07fbdcp-7, 0x1.aeeb8e64efcaep-7, 0x1.ab49c828d76f4p-7, 0x1.a7a5704c19943p-7, 0x1.a3fec962bb186p-7, 0x1.a056029637f6cp-7, 0x1.9cab6c1a3e7f1p-7, 0x1.98ff3571cc248p-7, 0x1.95519dc03cfbcp-7, 0x1.91a2e3bbb4c85p-7, 0x1.8df34282aa5f9p-7, 0x1.8a42f646cf681p-7, 0x1.86923aa6e0fe9p-7, 0x1.82e149b7805bbp-7, 0x1.7f3059f0101e9p-7, 0x1.7b7fa27349251p-7, 0x1.77cf49f35cd44p-7, 0x1.741f9983f79b8p-7, 0x1.7070a5427b17p-7, 0x1.6cc2a9db5fd48p-7, 0x1.6915d3133cccfp-7, 0x1.656a556040c4fp-7, 0x1.61c05cee49a75p-7, 0x1.5e181b12b3547p-7, 0x1.5a71c7f336e91p-7, 0x1.56cd8b7978645p-7, 0x1.532b9c169d066p-7, 0x1.4f8c26a9bdf66p-7, 0x1.4bef53e721a1ap-7, 0x1.485549d524845p-7, 0x1.44be2c13f6b35p-7, 0x1.412a1c1a01fbfp-7, 0x1.3d993aeaeea08p-7, 0x1.3a0ba1827bb79p-7, 0x1.368177b93b5a1p-7, 0x1.32fadaccaf55ep-7, 0x1.2f77f167c633ap-7, 0x1.2bf8de5a068e2p-7, 0x1.287dccfa8e07fp-7, 0x1.2506e555b14d3p-7, 0x1.21944d22be3cfp-7, 0x1.1e262405cc75fp-7, 0x1.1abc90630539cp-7, 0x1.1757a50d80539p-7, 0x1.13f7799648bb1p-7, 0x1.109c21a2dfad1p-7, 0x1.0d45aa6ed12e5p-7, 0x1.09f42a8990d17p-7, 0x1.06a7ac6183adap-7, 0x1.0360465c6cedep-7, 0x1.001e0b65e7b55p-7, 0x1.f9c22e7fd0c0cp-8, 0x1.f3530e9743acfp-8, 0x1.eceef0442e8ap-8, 0x1.e69609bef44b3p-8, 0x1.e04893f918ep-8, 0x1.da06c522f04d9p-8, 0x1.d3d0acd60196bp-8, 0x1.cda67cc51619bp-8, 0x1.c7885542351c4p-8, 0x1.c17613ca28351p-8, 0x1.bb6fced8b10bp-8, 0x1.b57593bcfc3fp-8, 0x1.af87692f58a94p-8, 0x1.a9a568f8a0b43p-8, 0x1.a3cf9120a25d4p-8, 0x1.9e062c1c7b0ddp-8, 0x1.984930699aafdp-8, 0x1.9298d75693d57p-8, 0x1.8cf534bd0b8ecp-8, 0x1.875e70206075bp-8, 0x1.81d4a2f205624p-8, 0x1.7c57d8acbb04cp-8, 0x1.76e81cb1424b6p-8, 0x1.718571e101383p-8, 0x1.6c2fd24b334f2p-8, 0x1.66e731944ed98p-8, 0x1.61ab865c1b101p-8, 0x1.5c7ccfd5896dbp-8, 0x1.575b1346fe79ep-8, 0x1.524657fc4bbbdp-8, 0x1.4d3ea8aa93d42p-8, 0x1.4844124af6502p-8, 0x1.4356a485e979p-8, 0x1.3e764c74c70f3p-8, 0x1.39a33236c5a7ep-8, 0x1.34dd3d59a3ea9p-8, 0x1.30246d89f45d1p-8, 0x1.2b78bbd6a3518p-8, 0x1.26da1e43bb0bp-8, 0x1.22488878f074bp-8, 0x1.1dc3ea6717916p-8, 0x1.194c4171c784bp-8, 0x1.14e1841b4a16ep-8, 0x1.1083a2edfd052p-8, 0x1.0c32a2c5398ffp-8, 0x1.07ee7fce2f5fap-8, 0x1.03b72f0bae353p-8, 0x1.ff194b6b61a56p-9, 0x1.f6ddbd5d1d8cbp-9, 0x1.eebbac2238fdcp-9, 0x1.e6b3038489122p-9, 0x1.dec365b871163p-9, 0x1.d6ed2451d903bp-9, 0x1.cf2f9a79fba8ep-9, 0x1.c78ac36f9533bp-9, 0x1.bffe6d3e1f2a5p-9, 0x1.b88a58c3f401dp-9, 0x1.b12e59a27b667p-9, 0x1.a9ea57ab03825p-9, 0x1.a2be4d34467a8p-9, 0x1.9baa35a6bf879p-9, 0x1.94ae32716284p-9, 0x1.8dc99e98eb868p-9, 0x1.86fccaeac10acp-9, 0x1.80474a11143d7p-9, 0x1.79a9080130ecbp-9, 0x1.73217f2b0dc35p-9, 0x1.6cb0fe64cb62ep-9, 0x1.6657414b1f69bp-9, 0x1.601419eeb695p-9, 0x1.59e766d322b85p-9, 0x1.53d0f710ec878p-9, 0x1.4dd0919ecece9p-9, 0x1.47e5f2b79bd6p-9, 0x1.4210bbb16bfe3p-9, 0x1.3c508c0d2ae77p-9, 0x1.36a532ea94eefp-9, 0x1.310e9e6cdecbp-9, 0x1.2b8ce48ae0506p-9, 0x1.2620085205c33p-9, 0x1.20c7e34264781p-9, 0x1.1b842d173be64p-9, 0x1.165481314881bp-9, 0x1.11388ea9aa985p-9, 0x1.0c301898a97cbp-9, 0x1.073acf185fd1bp-9, 0x1.0258bacc19ee7p-9, 0x1.fb137261d14p-10, 0x1.f19b643feaf87p-10, 0x1.e849994381221p-10, 0x1.df1dd19ad4097p-10, 0x1.d61787b45b8b1p-10, 0x1.cd35f45547948p-10, 0x1.c477d9d973e28p-10, 0x1.bbdc7162a915p-10, 0x1.b363457d97921p-10, 0x1.ab0bf53542b9bp-10, 0x1.a2d6bad73ccb7p-10, 0x1.9ac3c8df63925p-10, 0x1.92d2e572d8474p-10, 0x1.8b03ac5a90616p-10, 0x1.8354ec6159a4dp-10, 0x1.7bc679f5917dcp-10, 0x1.745764f537296p-10, 0x1.6d0627e2fcbf9p-10, 0x1.65d3d1e63dcefp-10, 0x1.5ebf8ae572383p-10, 0x1.57c9cbd47f89ep-10, 0x1.50f2cf6daf22p-10, 0x1.4a3a8047a3aeap-10, 0x1.43a05cd3b268fp-10, 0x1.3d23afea31876p-10, 0x1.36c3bf9e7e4c2p-10, 0x1.307f90167635p-10, 0x1.2a56ec29434f4p-10, 0x1.2448f6a1338ffp-10, 0x1.1e557347a2657p-10, 0x1.187c7a48d5469p-10, 0x1.12bdf855a9628p-10, 0x1.0d19a5204393cp-10, 0x1.078f1705459edp-10, 0x1.021dc0f3dd0c4p-10, 0x1.f98ad451dec04p-11, 0x1.ef0ae35602d74p-11, 0x1.e4b9a7fdbc9ep-11, 0x1.da961c609158fp-11, 0x1.d09ff62ff1a72p-11, 0x1.c6d7dc4736fd7p-11, 0x1.bd3e501e3dab4p-11, 0x1.b3d2fb50abap-11, 0x1.aa94939dff65fp-11, 0x1.a1828f0b4fa96p-11, 0x1.989b3459ed08ep-11, 0x1.8fdf3f110689cp-11, 0x1.874c64aa4c6c1p-11, 0x1.7ee2e8ff9cf97p-11, 0x1.76a1d97beaee3p-11, 0x1.6e887f92cdcedp-11, 0x1.6695f2e763a65p-11, 0x1.5ec94a6ed841cp-11, 0x1.5721fcf028c0bp-11, 0x1.4f9fdcdb55fb6p-11, 0x1.48431f79bf135p-11, 0x1.410b68776646fp-11, 0x1.39f7ca50a937ep-11, 0x1.3306d4b9fc8f6p-11, 0x1.2c377e806a6f4p-11, 0x1.25893e2ef731ap-11, 0x1.1efbdbc8e6f19p-11, 0x1.188f202e33b9cp-11, 0x1.12428f61259a9p-11, 0x1.0c1575ff32751p-11, 0x1.06088674cc73ep-11, 0x1.0019c39155ac4p-11, 0x1.f49286a9ca4e9p-12, 0x1.e92d215cff6dp-12, 0x1.de032edf8d913p-12, 0x1.d31454c3707p-12, 0x1.c85f6957864bcp-12, 0x1.bde22cf34cc42p-12, 0x1.b39a0edd3f8bp-12, 0x1.a984ea26cfc43p-12, 0x1.9fa293207a9f2p-12, 0x1.95f29f08644e4p-12, 0x1.8c78adfd542c3p-12, 0x1.8331db2d58201p-12, 0x1.7a1b4332ba64ep-12, 0x1.7135fb005474bp-12, 0x1.6880d00d30418p-12, 0x1.5ffa58a768eecp-12, 0x1.57a0f58554a72p-12, 0x1.4f735981b2034p-12, 0x1.477011d9c505bp-12, 0x1.3f9683b2defd3p-12, 0x1.37e79f0bf5f41p-12, 0x1.30628ca586741p-12, 0x1.2906f3d97454ap-12, 0x1.21d246e9616e8p-12, 0x1.1ac6ad5274db1p-12, 0x1.13e0ca34eb0d2p-12, 0x1.0d227808d7b4bp-12, 0x1.068b1d2c09911p-12, 0x1.0018d88dac9a5p-12, 0x1.f391ee8842171p-13, 0x1.e734f96a33fbp-13, 0x1.db1a4dda919ddp-13, 0x1.cf4374f8cf0d8p-13, 0x1.c3b0a16f700d8p-13, 0x1.b860944003721p-13, 0x1.ad4f918835b72p-13, 0x1.a27ba822625e3p-13, 0x1.97e82974e3376p-13, 0x1.8d93aa48c7a4ep-13, 0x1.837d3751503ffp-13, 0x1.799ee3f84a96cp-13, 0x1.6ff4c1fd2b7e5p-13, 0x1.66820e1c961efp-13, 0x1.5d431d3983877p-13, 0x1.543a124d8ef9ap-13, 0x1.4b66cfb9a4d8dp-13, 0x1.42c69c5b100e8p-13, 0x1.3a58d6cc63557p-13, 0x1.321cf0d834ae1p-13, 0x1.2a1169870a5f5p-13, 0x1.22359c75aabf3p-13, 0x1.1a87bbebb6d1bp-13, 0x1.130a3ab83b8eap-13, 0x1.0bb641a958325p-13, 0x1.048e96c5d7128p-13, 0x1.fb21c59319abp-14, 0x1.ed7bef8e359b1p-14, 0x1.e0287cf19e1e4p-14, 0x1.d3228857aa9e8p-14, 0x1.c667b49f3d245p-14, 0x1.b9fc06f6b8e9cp-14, 0x1.addcabb31e8a1p-14, 0x1.a2079b550fcbap-14, 0x1.967d841f08a41p-14, 0x1.8b3c1477f523fp-14, 0x1.804105b313825p-14, 0x1.7588e385482d3p-14, 0x1.6b0f7a2e42a65p-14, 0x1.60d49b76b977ep-14, 0x1.56d97b049dc24p-14, 0x1.4d1d310c6c84fp-14, 0x1.439e96b587a76p-14, 0x1.3a5e7a345271ep-14, 0x1.31550c1c68defp-14, 0x1.2885bfd5b0e42p-14, 0x1.1fe3b3b0c084ep-14, 0x1.17894c58f7d3dp-14, 0x1.0f59f42e9889ap-14, 0x1.0761c6faf1486p-14, 0x1.ff368980f85a5p-15, 0x1.f014a9ab3b0dcp-15, 0x1.e156542de9e2bp-15, 0x1.d2f13d07b04b8p-15, 0x1.c4e4ea93e4df2p-15, 0x1.b7325783c69c5p-15, 0x1.a9ddc1a81f924p-15, 0x1.9cdd5a3f8bf7ap-15, 0x1.90326deea7023p-15, 0x1.83cbcb7cb3dd9p-15, 0x1.77db3f9b5bfbp-15, 0x1.6c27b6645c1bp-15, 0x1.60c0ac94ce214p-15, 0x1.55a59c6d7458ep-15, 0x1.4ad861f6f3c97p-15, 0x1.405088c1daa8dp-15, 0x1.361114942530fp-15, 0x1.2c0ccce2121fap-15, 0x1.225eefab430c9p-15, 0x1.18ec8ce7157cep-15, 0x1.0fb487e3573d7p-15, 0x1.06c34edf6b99dp-15, 0x1.fc0ec0dd3af07p-16, 0x1.eb02d068f6d91p-16, 0x1.da826d9631bdbp-16, 0x1.ca714ad33f3e8p-16, 0x1.baca1578aebb3p-16, 0x1.ab94154e29944p-16, 0x1.9cd71c1696088p-16, 0x1.8e783cef8c2e2p-16, 0x1.807ea91791be6p-16, 0x1.72e06cbeb0cd2p-16, 0x1.65a67f5a9897bp-16, 0x1.58cc58959045p-16, 0x1.4c4b9ec1e183ep-16, 0x1.40258401c5e74p-16, 0x1.345eef919fe5ap-16, 0x1.28e84e99ccfc5p-16, 0x1.1dd52236c27bcp-16, 0x1.1303b2f486927p-16, 0x1.0872054d162f4p-16, 0x1.fc7aa81bedfaap-17, 0x1.e8c18e25dceffp-17, 0x1.d586812b853b5p-17, 0x1.c2e53163b6eap-17, 0x1.b0b0e1c52aec4p-17, 0x1.9f2795ec4803ap-17, 0x1.8e1dda87b61b4p-17, 0x1.7d8a6ab6e9713p-17, 0x1.6d7d498a82ffap-17, 0x1.5df5aba8c722fp-17, 0x1.4edebaccf54d6p-17, 0x1.40369fd308e6ap-17, 0x1.3201fa667004ep-17, 0x1.243e663412c93p-17, 0x1.16eec95241bb4p-17, 0x1.0a098b0673644p-17, 0x1.fb211f5e894efp-18, 0x1.e2ce6a941b746p-18, 0x1.cb43c93f1744p-18, 0x1.b4a49a76be199p-18, 0x1.9eaea73046d63p-18, 0x1.8942cd47989a7p-18, 0x1.74e8fa13f899p-18, 0x1.618215da6040fp-18, 0x1.4dfd07a103383p-18, 0x1.3b3235862a8b9p-18, 0x1.292580e2381cp-18, 0x1.18175b843d495p-18, 0x1.06f129440934fp-18, 0x1.ed1962d6938b1p-19, 0x1.cdaf71e7b2141p-19, 0x1.afa4f45f3db55p-19, 0x1.92837a1c053d5p-19, 0x1.75e4620a895d2p-19, 0x1.5ac1c228ca681p-19, 0x1.40b46623730ecp-19, 0x1.278b600caef3ap-19, 0x1.0f628e2fd0867p-19, 0x1.efe1218362596p-20, 0x1.c2922e729f9dap-20, 0x1.96b9124772b9cp-20, 0x1.6ceda8cbf1537p-20, 0x1.451060f104ea6p-20, 0x1.1df87ab92429dp-20, 0x1.f207f9b61229bp-21, 0x1.ab6e4387effd2p-21, 0x1.66be81e2b98a9p-21, 0x1.252de59631505p-21, 0x1.cca6b4dd2812cp-22, 0x1.53d710b576adap-22, 0x1.c0bb14b8964f7p-23, 0x1.c6d4bb9fdff6ep-24, 0x1.f761dbb6f0267p-28, -0x1.75330ce1985ddp-24, -0x1.7b97afa5a03edp-23, -0x1.187036bdb4d27p-22, -0x1.737a38a927dcap-22, -0x1.c47f95901a082p-22, -0x1.0a1ab4e7ff22ap-21, -0x1.2fd2aa4d8c3e6p-21, -0x1.54fbfaacfaec9p-21, -0x1.76e7544504e05p-21, -0x1.96e1ef6c869c1p-21, -0x1.b6e2a80e98f78p-21, -0x1.d2afeca8f6142p-21, -0x1.eda1c9bb36293p-21, -0x1.03832b1bf4cdap-20, -0x1.0fe44744f465ep-20, -0x1.1b37f904bc34fp-20, -0x1.25873fcf35464p-20, -0x1.3083637f5150dp-20, -0x1.39ba01d4971cep-20, -0x1.41c1528c2180ep-20, -0x1.49481ae0ec029p-20, -0x1.51b6903eb5ce1p-20, -0x1.576cff854e94bp-20, -0x1.5ddad774c60c2p-20, -0x1.63b476394d2f2p-20, -0x1.6871f71057508p-20, -0x1.6baa57beb7fdcp-20, -0x1.71f775fbee974p-20, -0x1.7540a986bb263p-20, -0x1.79ea2c3b1aee6p-20, -0x1.793542be7f8dcp-20, -0x1.7d041629d30bep-20, -0x1.7f04a99bd012p-20, -0x1.8086aad2bc721p-20, -0x1.814c3c9f78939p-20, -0x1.825749786e91dp-20, -0x1.8229aa6dfa7ecp-20, -0x1.82369332ed009p-20, -0x1.8231dd786abfep-20, -0x1.81393588aba5bp-20, -0x1.804621bbcdc4cp-20, -0x1.7efbb9f1b6265p-20, -0x1.7d4db21c18ed3p-20, -0x1.7b59546de73bfp-20, -0x1.791f99de71e5fp-20, -0x1.76831fcb3fbe5p-20, -0x1.73e5629d6f019p-20, -0x1.71a6fb4d1288ep-20, -0x1.6dba31fdc66fap-20, -0x1.6a5f836c165f2p-20, -0x1.66c7d26d40fcap-20, -0x1.62e39bf2ffdcdp-20, -0x1.5ecaa685c9752p-20, -0x1.5aafd6b4527d6p-20, -0x1.562f32bf5e57dp-20, -0x1.5196c1e87451ep-20, -0x1.4cf4842af0af1p-20, -0x1.4774e22f07badp-20, -0x1.432151af61757p-20, -0x1.3e155cd01c3fep-20, -0x1.38d4926fd5b5ep-20, -0x1.331955b5b83e9p-20, -0x1.2daef7b6ee40bp-20, -0x1.27d97e8fea125p-20, -0x1.2253af8e01adbp-20, -0x1.1bb3ba57d4d7dp-20, -0x1.16ac5853e1ae4p-20, -0x1.1058d7a9f1bbap-20, -0x1.09e0e0a1d3b6bp-20, -0x1.0475db7dd2d7ep-20, -0x1.fbcfb97114c3p-21, -0x1.eeb3207fc961p-21, -0x1.e1db49db94564p-21, -0x1.d4a65c14390e5p-21, -0x1.c8bfd4da39724p-21, -0x1.ba1eb593c0525p-21, -0x1.ac66c858b2235p-21, -0x1.9ef421ad510efp-21, -0x1.93517b466346dp-21, -0x1.8533b0f89371ap-21, -0x1.76b7a368e3496p-21, -0x1.6957941dbc448p-21, -0x1.57848f9b74395p-21, -0x1.4caa84630996ap-21, -0x1.3f749994f0dp-21, -0x1.3229480c8a1e2p-21, -0x1.23a017abbeac7p-21, -0x1.1659d559f2338p-21, -0x1.08dca5a78b558p-21, -0x1.f35dddfdade05p-22, -0x1.d5cac3defdeefp-22, -0x1.bdab892dcf127p-22, -0x1.a19b841b63419p-22, -0x1.85e3d3fe18676p-22, -0x1.6a2d41bf35eaap-22, -0x1.4f4614e31c8fp-22, -0x1.34670097d34ccp-22, -0x1.151806522133cp-22, -0x1.f736fbda62138p-23, -0x1.c168319942869p-23, -0x1.8962a8919d516p-23, -0x1.526d84c7e410bp-23, -0x1.1f33b40afbf68p-23, -0x1.d00281b6e9e2ep-24, -0x1.64da1fce1998bp-24, -0x1.e132d955adc3cp-25, -0x1.1c8ce72b808a2p-25, -0x1.eef8f8a4e715fp-28, 0x1.e1bf28c7bc958p-27, 0x1.4eeae0bc773fdp-25, 0x1.17d05a80d520bp-24, 0x1.7eaa2e0f34a75p-24, 0x1.e6cb68afd4948p-24, 0x1.24e767adec037p-23, 0x1.5868e8df208bbp-23, 0x1.89cd1643fe9f2p-23, 0x1.bbc7a3e628ce6p-23, 0x1.f4220c67b7269p-23, 0x1.0e5fc976e3f8cp-22, 0x1.2a733fca01417p-22, 0x1.40db77c896953p-22, 0x1.581b3120dfe11p-22, 0x1.70e45f9e9dd85p-22, 0x1.87f5d2c9d40a4p-22, 0x1.9e51dec723497p-22, 0x1.b7188f3782095p-22, 0x1.cf9cbf71b728ep-22, 0x1.e63347cdf1dc2p-22, 0x1.fabb339bd9c6ep-22, 0x1.07f6d0ccc882fp-21, 0x1.12fba2a850aa7p-21, 0x1.1ea580a42f227p-21, 0x1.2ac211b55226p-21, 0x1.3530182b69c3cp-21, 0x1.3f57ece77617p-21, 0x1.49693756ddcc1p-21, 0x1.541220526d0a5p-21, 0x1.5e5d6d380d888p-21, 0x1.6946a1ba26325p-21, 0x1.72eda5e4d43cep-21, 0x1.7d4a6200f4f41p-21, 0x1.8645d2428fa4fp-21, 0x1.91312025ca99fp-21, 0x1.99ad67656e5c2p-21, 0x1.a33f06641903ep-21, 0x1.ac46eecf6324bp-21, 0x1.b57b6e2be4949p-21, 0x1.be8fb5055992fp-21, 0x1.c7756b3b61605p-21, 0x1.d043122a53a77p-21, 0x1.d907894062517p-21, 0x1.e1c73be528681p-21, 0x1.e9b4a92a899cp-21, 0x1.f0d89229438a1p-21, 0x1.fa77c681704d9p-21, }}, 
      {{0x1.4c5b773bf4816p-3, 0x1.4d271584896ap-3, 0x1.4e6252b10e0d2p-3, 0x1.4feda8808a093p-3, 0x1.51a3c133b7d8ep-3, 0x1.535d2247b665cp-3, 0x1.54f31188a8514p-3, 0x1.5641adafbcb53p-3, 0x1.57294e7b97443p-3, 0x1.578f4b9bc13e8p-3, 0x1.575e4c88615dep-3, 0x1.56864120844fp-3, 0x1.54fc1f193c238p-3, 0x1.52b976b2a5b22p-3, 0x1.4fbbf596f4084p-3, 0x1.4c04dc2ffdd51p-3, 0x1.479873019eae8p-3, 0x1.427d86ded62bp-3, 0x1.3cbce6d7694afp-3, 0x1.3660f3e055621p-3, 0x1.2f7537c7a0abp-3, 0x1.28060a88e63f9p-3, 0x1.2020412456d8bp-3, 0x1.17d0ecc371886p-3, 0x1.0f252204d19d2p-3, 0x1.0629c598d7758p-3, 0x1.f9d6d855b6767p-4, 0x1.e6ec67f0fb002p-4, 0x1.d3ab7fc439325p-4, 0x1.c02a21fb8cbe7p-4, 0x1.ac7d01388154fp-4, 0x1.98b7912d85512p-4, 0x1.84ebce6bcc636p-4, 0x1.712a5e3382191p-4, 0x1.5d828bed32856p-4, 0x1.4a023981c0566p-4, 0x1.36b61977fcf3ep-4, 0x1.23a97e0ebc1cap-4, 0x1.10e6969940039p-4, 0x1.fcecce8e4da9fp-5, 0x1.d8c1dec1e0428p-5, 0x1.b55a2904831fcp-5, 0x1.92c1aeead790ep-5, 0x1.7102a4fb1adf5p-5, 0x1.50259e4cb9c73p-5, 0x1.3031a9f1634abp-5, 0x1.112c47bb800ccp-5, 0x1.e633e4adc3849p-6, 0x1.abfb868539a7bp-6, 0x1.73b38f440f7cdp-6, 0x1.3d5e252de4b57p-6, 0x1.08fbb6ff37c16p-6, 0x1.ad161683d45dbp-7, 0x1.4c12621983e6p-7, 0x1.ddc95bce7523ep-8, 0x1.2b04f85ed7f7ap-8, 0x1.fefab05012a8fp-10, -0x1.2132e461146ecp-11, -0x1.819447f3a605cp-9, -0x1.564f5ec47f061p-8, -0x1.e4dace897f1d1p-8, -0x1.364a9f144d179p-7, -0x1.76d2baabc8eeap-7, -0x1.b41bd336c9f83p-7, -0x1.ee3b84348594p-7, -0x1.12a41bf607644p-6, -0x1.2cac53537ff8fp-6, -0x1.4541e35d68fc4p-6, -0x1.5c705db289495p-6, -0x1.72435c8426b64p-6, -0x1.86c678e916826p-6, -0x1.9a05472525c05p-6, -0x1.ac0b3ee69eb0dp-6, -0x1.bce3efc239c0dp-6, -0x1.cc9a4b9fc146fp-6, -0x1.db39e42a65f87p-6, -0x1.e8cd690f13ffp-6, -0x1.f55fb5266f9d9p-6, -0x1.007db1765fb56p-5, -0x1.05d5691caf0d1p-5, -0x1.0abc15431b1c3p-5, -0x1.0f36ab5bbc09dp-5, -0x1.134a01b1927bep-5, -0x1.16facf26c5fafp-5, -0x1.1a4dab159493p-5, -0x1.1d470b73901bdp-5, -0x1.1feb44646cf18p-5, -0x1.223e8a1c73319p-5, -0x1.2444ed6fa5629p-5, -0x1.2602596aa68e5p-5, -0x1.277ab4cad040ep-5, -0x1.28b18065f8a7fp-5, -0x1.29aa7a7764eb7p-5, -0x1.2a68f1d813519p-5, -0x1.2af0342877752p-5, -0x1.2b4369d8da3e9p-5, -0x1.2b65a5c54810ap-5, -0x1.2b59dcbe1a91cp-5, -0x1.2b22d7e32c09bp-5, -0x1.2ac342ce64be1p-5, -0x1.2a3db9a268362p-5, -0x1.2994bc5213ae4p-5, -0x1.28caa6048fb4bp-5, -0x1.27e1b93b08737p-5, -0x1.26dc1d9791e35p-5, -0x1.25bbe36b81779p-5, -0x1.248303d67e22fp-5, -0x1.23335f6af2ce5p-5, -0x1.21cec1cb22059p-5, -0x1.2056da966e11cp-5, -0x1.1ecd4863fac9ap-5, -0x1.1d33939b67d6bp-5, -0x1.1b8b2f21b26cep-5, -0x1.19d587638e6b3p-5, -0x1.1813db2339fb6p-5, -0x1.16477311d7d36p-5, -0x1.14717398b346ap-5, -0x1.1292f960e3eefp-5, -0x1.10ad0d9ed54f3p-5, -0x1.0ec0ac1f7932ap-5, -0x1.0ccec142f4fe8p-5, -0x1.0ad827976810ap-5, -0x1.08ddb28c6ad63p-5, -0x1.06e02593c75cbp-5, -0x1.04e035c0f7e65p-5, -0x1.02de8f5d82213p-5, -0x1.00dbd0123dc1dp-5, -0x1.fdb11e1d76f39p-6, -0x1.f9aaa64493445p-6, -0x1.f5a53a975de14p-6, -0x1.f1a1cbf4806f6p-6, -0x1.eda1316009536p-6, -0x1.e9a43907b47a4p-6, -0x1.e5ab9b631f4a6p-6, -0x1.e1b805c8835b1p-6, -0x1.ddca10245a497p-6, -0x1.d9e24a6f9bffcp-6, -0x1.d60133276267bp-6, -0x1.d22740ee87e76p-6, -0x1.ce54ddac134a3p-6, -0x1.ca8a5e30d68dbp-6, -0x1.c6c816c21bce8p-6, -0x1.c30e5a7287e6dp-6, -0x1.bf5d61ca635e2p-6, -0x1.bbb55c2eb13d6p-6, -0x1.b8167d20051c2p-6, -0x1.b480f0b526348p-6, -0x1.b0f4d18ee0585p-6, -0x1.ad7234e875564p-6, -0x1.a9f92e2fb4ddfp-6, -0x1.a689c8a645387p-6, -0x1.a3240e19d5b2ap-6, -0x1.9fc7ff215025bp-6, -0x1.9c75972f13cc5p-6, -0x1.992cceb53e46bp-6, -0x1.95ed93b7d90a8p-6, -0x1.92b7dd0efc2e9p-6, -0x1.8f8b99f96f7b3p-6, -0x1.8c68addf0f64cp-6, -0x1.894f003015ac5p-6, -0x1.863e7786aa4ddp-6, -0x1.8336f38edc3f2p-6, -0x1.8038536d754ccp-6, -0x1.7d42785505c7dp-6, -0x1.7a553a4aacde5p-6, -0x1.777074586dc38p-6, -0x1.7493fefb8831cp-6, -0x1.71bfb1d5a300bp-6, -0x1.6ef364a02bed8p-6, -0x1.6c2eee192b90bp-6, -0x1.697223b18f8e8p-6, -0x1.66bcda49579f5p-6, -0x1.640ee1fcc04abp-6, -0x1.6168132149f91p-6, -0x1.5ec83fcf16ee7p-6, -0x1.5c2f39477571ap-6, -0x1.599cd4cfb3a1dp-6, -0x1.5710ec09b261bp-6, -0x1.548b4ef77c14cp-6, -0x1.520bc6b35f21bp-6, -0x1.4f9256ee35895p-6, -0x1.4d1e9a231fc03p-6, -0x1.4ab0661467dc2p-6, -0x1.4847c4a9e790dp-6, -0x1.45e46aebb8da5p-6, -0x1.4386349bcc0e1p-6, -0x1.412cfab784b2cp-6, -0x1.3ed896247c98ep-6, -0x1.3c88e0357e249p-6, -0x1.3a3db214b339bp-6, -0x1.37f6ecd7b34cp-6, -0x1.35b468078861dp-6, -0x1.33760099752eap-6, -0x1.313b953821413p-6, -0x1.2f0506565a461p-6, -0x1.2cd23230ef0a3p-6, -0x1.2aa2fa069089fp-6, -0x1.28773fc513e81p-6, -0x1.264ee4dad7967p-6, -0x1.2429cc45c197p-6, -0x1.2207df05ccee9p-6, -0x1.1fe8fbfb6a394p-6, -0x1.1dcd098739f98p-6, -0x1.1bb3f596bcd09p-6, -0x1.199da5bef1624p-6, -0x1.178a039602125p-6, -0x1.1578f5c9b18f9p-6, -0x1.136a68ef25556p-6, -0x1.115e4914c909ep-6, -0x1.0f5483c55bed7p-6, -0x1.0d4d07a5a0c4bp-6, -0x1.0b47c3115b347p-6, -0x1.0944a3faff356p-6, -0x1.07439dce3bfa8p-6, -0x1.0544a237c3491p-6, -0x1.034797e08d48cp-6, -0x1.014c78c272194p-6, -0x1.fea6813d2ba68p-7, -0x1.fab7b618ad69ap-7, -0x1.f6cc78b7e2e22p-7, -0x1.f2e4b86717e04p-7, -0x1.ef0065a259e39p-7, -0x1.eb1f7061a675fp-7, -0x1.e741c39c37011p-7, -0x1.e367528ec4ec1p-7, -0x1.df900e547f962p-7, -0x1.dbbbea4c5ab77p-7, -0x1.d7eadb9215eb4p-7, -0x1.d41cd80d514c5p-7, -0x1.d051d307cc54p-7, -0x1.cc89d09ae551ep-7, -0x1.c8c4b8f5fbbf9p-7, -0x1.c50298ada830ap-7, -0x1.c14360268b519p-7, -0x1.bd870d97685bbp-7, -0x1.b9cd9f53e0a85p-7, -0x1.b61711e9b1e16p-7, -0x1.b2636623df912p-7, -0x1.aeb298d460e72p-7, -0x1.ab04b15655443p-7, -0x1.a759aee57c306p-7, -0x1.a3b194d3c60cbp-7, -0x1.a00c564ccc476p-7, -0x1.9c6a0af274b7p-7, -0x1.98caa963943adp-7, -0x1.952e3b9a1ce65p-7, -0x1.9194baaff1e9ep-7, -0x1.8dfe6993e187ep-7, -0x1.8a6addcbb6b74p-7, -0x1.86da8ef629571p-7, -0x1.834d4312dd2c6p-7, -0x1.7fc311e8379d9p-7, -0x1.7c3bfc2cac9fdp-7, -0x1.78b817c481a3p-7, -0x1.75376805b4449p-7, -0x1.71b9f556f2041p-7, -0x1.6e3fc8f4e2399p-7, -0x1.6ac8ec78b52c4p-7, -0x1.67556b80210b8p-7, -0x1.63e54d10d3cc6p-7, -0x1.60789f2d172ep-7, -0x1.5d0f5d6726dbfp-7, -0x1.59a9aa04c1abep-7, -0x1.564783b859f5ep-7, -0x1.52e8f1dab8f83p-7, -0x1.4f8e03f53e479p-7, -0x1.4c36c22dfd53cp-7, -0x1.48e33bef395bbp-7, -0x1.459378cfeb473p-7, -0x1.424789e632193p-7, -0x1.3eff78118ee26p-7, -0x1.3bbb4c66089ecp-7, -0x1.387b0bd318acfp-7, -0x1.353ec8add4f7ap-7, -0x1.32068e86c28b4p-7, -0x1.2ed269e34e0cap-7, -0x1.2ba254bd1ded4p-7, -0x1.287671b5b7722p-7, -0x1.254ec60458211p-7, -0x1.222b528f96349p-7, -0x1.1f0c24f240f75p-7, -0x1.1bf14a6944461p-7, -0x1.18dad23fed761p-7, -0x1.15c8b86021eadp-7, -0x1.12bb0cdffe953p-7, -0x1.0fb1deb7d507bp-7, -0x1.0cad387a55d6ap-7, -0x1.09ad19c9a8d66p-7, -0x1.06b193034ddf1p-7, -0x1.03baa878322e6p-7, -0x1.00c8686d1ed69p-7, -0x1.fbb5abb41c28ep-8, -0x1.f5e400834cd0ep-8, -0x1.f01bd407d295bp-8, -0x1.ea5d3704e34b2p-8, -0x1.e4a8391cab791p-8, -0x1.defcef2ab19bbp-8, -0x1.d95b6a4682e8cp-8, -0x1.d3c39b747c741p-8, -0x1.ce35b60b45551p-8, -0x1.c8b1a6b0af508p-8, -0x1.c337ae9ace82cp-8, -0x1.bdc78d3773787p-8, -0x1.b8617ef09723fp-8, -0x1.b30596f66e71dp-8, -0x1.adb3c90479fa5p-8, -0x1.a86c1caf41351p-8, -0x1.a32e8a876c6e4p-8, -0x1.9dfb3e18ff9b5p-8, -0x1.98d25236d10b5p-8, -0x1.93b39b950641bp-8, -0x1.8e9f3cc48a3ddp-8, -0x1.89953306744c3p-8, -0x1.8495937498209p-8, -0x1.7fa050d4918abp-8, -0x1.7ab5729697743p-8, -0x1.75d509b63fc2p-8, -0x1.70ff13aeda225p-8, -0x1.6c338a603e86dp-8, -0x1.67727e661a0cap-8, -0x1.62bbe94931cc4p-8, -0x1.5e0fdeae599f2p-8, -0x1.596e4cab7471ep-8, -0x1.54d7342078cp-8, -0x1.504aa9812c7b1p-8, -0x1.4bc8910d7a109p-8, -0x1.4750fe9a45bfap-8, -0x1.42e3f141b2a7bp-8, -0x1.3e814e83489c4p-8, -0x1.3a29340f2586ap-8, -0x1.35db961974779p-8, -0x1.319868339790fp-8, -0x1.2d5fb083f1ff7p-8, -0x1.29316a3556fe1p-8, -0x1.250d91b2a1035p-8, -0x1.20f422cfb0a16p-8, -0x1.1ce511d48ce94p-8, -0x1.18e05da6ac5b3p-8, -0x1.14e5fb6b7f361p-8, -0x1.10f5e977ac08cp-8, -0x1.0d102629b6c6cp-8, -0x1.0934a5f0ac552p-8, -0x1.05636444f7574p-8, -0x1.019c51a9fc6d2p-8, -0x1.fbbee55758df7p-9, -0x1.f459540c3fe42p-9, -0x1.ed07ff492d44dp-9, -0x1.e5cadc913d832p-9, -0x1.dea1b01f06e88p-9, -0x1.d78c8c4ede274p-9, -0x1.d08b41b9251dcp-9, -0x1.c99de44416574p-9, -0x1.c2c43ec0a10aap-9, -0x1.bbfe3ceba44a5p-9, -0x1.b54bbb00e2952p-9, -0x1.aeacb93338f33p-9, -0x1.a820ea5cde19cp-9, -0x1.a1a88a3f415efp-9, -0x1.9b437d7d30343p-9, -0x1.94f1411c11db7p-9, -0x1.8eb21e347484p-9, -0x1.8885d1e4cd5a2p-9, -0x1.826c49e121342p-9, -0x1.7c656a7e72086p-9, -0x1.76711565418e3p-9, -0x1.708f31024dda7p-9, -0x1.6abf9ffc36939p-9, -0x1.650208c6565edp-9, -0x1.5f56ee76a6b44p-9, -0x1.59bdb339726e4p-9, -0x1.54363e82ec6ap-9, -0x1.4ec08277a36b4p-9, -0x1.495c8f0261256p-9, -0x1.4409c92f378fep-9, -0x1.3ec87ee05e03dp-9, -0x1.39989288b7a18p-9, -0x1.3479a16302f9fp-9, -0x1.2f6bb3d6c2e88p-9, -0x1.2a6ea18b7acfdp-9, -0x1.258249c4d7d24p-9, -0x1.20a692f944ff9p-9, -0x1.1bdb6229106bp-9, -0x1.1720739592a2ep-9, -0x1.1275aee6792cfp-9, -0x1.0ddb2a4d1544fp-9, -0x1.095062684071p-9, -0x1.04d574daf46ap-9, -0x1.006a3ea8cc92ep-9, -0x1.f81cdc1d973f6p-10, -0x1.ef843c2ca4508p-10, -0x1.e70a4ca07b79fp-10, -0x1.deae5378c3b54p-10, -0x1.d6706c388abffp-10, -0x1.ce502c1ea3c3ap-10, -0x1.c64d5cbbfe0dp-10, -0x1.be67b57383606p-10, -0x1.b69eeb84c1a28p-10, -0x1.aef2cbe774eep-10, -0x1.a762d63d854ep-10, -0x1.9feeffbdc6882p-10, -0x1.989715e9c2897p-10, -0x1.915a61945bc77p-10, -0x1.8a38f0073488bp-10, -0x1.83327d2a6d5a2p-10, -0x1.7c4687e42d9cp-10, -0x1.7575044d85bb8p-10, -0x1.6ebdce0de89e6p-10, -0x1.6820298c14b31p-10, -0x1.619c3e7fb72f8p-10, -0x1.5b318da08235cp-10, -0x1.54dfcf96d1e18p-10, -0x1.4ea6bfce1d1d9p-10, -0x1.488647504188ap-10, -0x1.427da051dc1e8p-10, -0x1.3c8d2e994438cp-10, -0x1.36b493660b5bcp-10, -0x1.30f31d8c181c2p-10, -0x1.2b48ad872355cp-10, -0x1.25b51880b560dp-10, -0x1.20381c1a3ef6dp-10, -0x1.1ad16b61bc54cp-10, -0x1.1580c127a32e1p-10, -0x1.1045fc29ef8a1p-10, -0x1.0b206530e1715p-10, -0x1.060ffbfe30e89p-10, -0x1.0114e711f0938p-10, -0x1.f85d3fe1784fap-11, -0x1.eeb93b61b97d5p-11, -0x1.e53dc34448772p-11, -0x1.dbea1fd4148e4p-11, -0x1.d2be00750acebp-11, -0x1.c9b9bd96b4fcdp-11, -0x1.c0da093a8fcccp-11, -0x1.b821bbf7d6466p-11, -0x1.af8d56680a1fbp-11, -0x1.a71eca1fe3cb1p-11, -0x1.9ed4d5bc7b518p-11, -0x1.96ae87759fa08p-11, -0x1.8eabbfb249ce7p-11, -0x1.86cc0c6956664p-11, -0x1.7f0ee4897e5bep-11, -0x1.7773b97a60763p-11, -0x1.6ffa4bbc2b2bdp-11, -0x1.68a202650ba27p-11, -0x1.616a5ab3a4721p-11, -0x1.5a52f0a11218ep-11, -0x1.535b5010a7cbdp-11, -0x1.4c82f7ee8a652p-11, -0x1.45c96d6cda8dep-11, -0x1.3f2e4661c3741p-11, -0x1.38b14a1c73e04p-11, -0x1.32512472ba0ffp-11, -0x1.2c0efaa5d4e8cp-11, -0x1.25e97dfa09fe3p-11, -0x1.1fe03cac835dap-11, -0x1.19f2d93ca7c99p-11, -0x1.14210196ed545p-11, -0x1.0e6a509fa7c69p-11, -0x1.08cdb39813182p-11, -0x1.034bcc885292ep-11, -0x1.fbc8a90ccca9ap-12, -0x1.f12ab781e3bfep-12, -0x1.e6bfa3643cf18p-12, -0x1.dc85b0ceb8386p-12, -0x1.d27b785ed05f4p-12, -0x1.c8a2b94054ae8p-12, -0x1.bef8dc1b597e3p-12, -0x1.b57cf54472489p-12, -0x1.ac2f7bd53989bp-12, -0x1.a30ca1226366fp-12, -0x1.9a190db2866e1p-12, -0x1.914f517f7d812p-12, -0x1.88b0af6700606p-12, -0x1.803ca4ff73655p-12, -0x1.77f2203978febp-12, -0x1.6fd06672a4ef9p-12, -0x1.67d6ca3834245p-12, -0x1.60049cbca609bp-12, -0x1.5859096ddb671p-12, -0x1.50d469ba29a9ep-12, -0x1.49730a3c0c71cp-12, -0x1.4237d5f19f448p-12, -0x1.3b213cc975476p-12, -0x1.342f1602091f3p-12, -0x1.2d5ddda8751a3p-12, -0x1.26b0a51624c5fp-12, -0x1.202557fcbbc1ep-12, -0x1.19bb06d03bf01p-12, -0x1.1371c653cf54p-12, -0x1.0d48d69044fcdp-12, -0x1.073f83a389462p-12, -0x1.0155623be9273p-12, -0x1.f7139bcc8034fp-13, -0x1.ebb87090ca03ep-13, -0x1.e097a20ec3b6fp-13, -0x1.d5b1a5d279318p-13, -0x1.cb042f0f80382p-13, -0x1.c08dce501f1a7p-13, -0x1.b64fbe69c900cp-13, -0x1.ac46e55d54b38p-13, -0x1.a271407b9aae7p-13, -0x1.98d18a776fb4p-13, -0x1.8f66af55880afp-13, -0x1.862972ae9a2dep-13, -0x1.7d20d683128f7p-13, -0x1.74499f7d258dcp-13, -0x1.6b9d8def95bcdp-13, -0x1.6322fb88cd647p-13, -0x1.5ad6d8b300797p-13, -0x1.52b6eda3a124cp-13, -0x1.4ac39aad1e167p-13, -0x1.42fa9f6d7686ap-13, -0x1.3b5c25a7e5f24p-13, -0x1.33e83f734ab1dp-13, -0x1.2c9c739882379p-13, -0x1.257842f61fd3fp-13, -0x1.1e7b53f14bfe2p-13, -0x1.17a4f96ae5bf7p-13, -0x1.10f63adba7ec5p-13, -0x1.0a69b34eca99ep-13, -0x1.04044bb429fd7p-13, -0x1.fb847998dd173p-14, -0x1.ef3d66dc167e7p-14, -0x1.e343e01917d04p-14, -0x1.d78bfa89a3ff2p-14, -0x1.cc14d783f0039p-14, -0x1.c0dffbcf61e07p-14, -0x1.b5ea7de62099cp-14, -0x1.ab33482de08cp-14, -0x1.a0b92e5f5e364p-14, -0x1.967b64cd553e8p-14, -0x1.8c7590969991cp-14, -0x1.82ab3b3a05bc8p-14, -0x1.791b2b744ce4dp-14, -0x1.6fbe445f3ab8p-14, -0x1.66987880cf094p-14, -0x1.5da7cc36b9917p-14, -0x1.54eb53bfdd08dp-14, -0x1.4c62fa97ee1dbp-14, -0x1.44070a98d020ep-14, -0x1.3bdf4e429f856p-14, -0x1.33eb255a89244p-14, -0x1.2c21035d1fc29p-14, -0x1.248591cc41014p-14, -0x1.1d1676e1e9acfp-14, -0x1.15d3b4509f3dcp-14, -0x1.0ebcee41c56a7p-14, -0x1.07d1b7cfc1c26p-14, -0x1.010ae1ff6940ep-14, -0x1.f4e1dafcacd8dp-15, -0x1.e7fc1f07da47ap-15, -0x1.db66b06c3e6ap-15, -0x1.cf163267a0448p-15, -0x1.c3112fa2d7e48p-15, -0x1.b75531d94852bp-15, -0x1.abe217276c55dp-15, -0x1.a0b5298377769p-15, -0x1.95cb70ea43435p-15, -0x1.8b1fd9a0a19f5p-15, -0x1.80b7837f01db7p-15, -0x1.76926a3253534p-15, -0x1.6ca7a2f3110acp-15, -0x1.62fbeb28e6aa8p-15, -0x1.598bc9a07d9a9p-15, -0x1.5055fa028a843p-15, -0x1.47595d457d90ap-15, -0x1.3e94da538603p-15, -0x1.3608110e1d4f4p-15, -0x1.2db0481e20be4p-15, -0x1.25879ae4c3996p-15, -0x1.1d9d92de9a48bp-15, -0x1.15db3174fe775p-15, -0x1.0e4bf7a3abfd2p-15, -0x1.06ee1c10a706fp-15, -0x1.ff7f1d593a9e1p-16, -0x1.f17c017eb5ab1p-16, -0x1.e3d1ec33feb2ep-16, -0x1.d67f918a470ebp-16, -0x1.c981c0422e5aap-16, -0x1.bcd4e78c27566p-16, -0x1.b081bcc16733fp-16, -0x1.a46aad7ba4652p-16, -0x1.98b0952300dd6p-16, -0x1.8d4af139ff356p-16, -0x1.821b9ca4834adp-16, -0x1.77422e5f2ac01p-16, -0x1.6cb13c9ab4388p-16, -0x1.6262502b19ffcp-16, -0x1.5853e9a8a0093p-16, -0x1.4e88fa2ac9453p-16, -0x1.44ff59dd4b319p-16, -0x1.3bb2a27c1ba02p-16, -0x1.32ac1219399cbp-16, -0x1.29d68f84de67dp-16, -0x1.21436d1d70213p-16, -0x1.18d75ec2f9137p-16, -0x1.10bbc6ec14d4ep-16, -0x1.08d2c155805e1p-16, -0x1.011426d3b2009p-16, -0x1.f31fd5864a577p-17, -0x1.e4833acc5575ap-17, -0x1.d6437d74bd722p-17, -0x1.c86374b834fe1p-17, -0x1.bae1970c2fc08p-17, -0x1.adc3a58db32bcp-17, -0x1.a0efd970c799ap-17, -0x1.9484d386f8e63p-17, -0x1.887008d63c7a6p-17, -0x1.7c9260465c004p-17, -0x1.71253800dcaabp-17, -0x1.6604cacd3b0cbp-17, -0x1.5b3c4deb6f00ap-17, -0x1.50a440fece095p-17, -0x1.464e7a4ef8c5p-17, -0x1.3c64460a5cbb6p-17, -0x1.32afed1832fcdp-17, -0x1.293c3969dd21ap-17, -0x1.2015cd833f5e5p-17, -0x1.17256d24181cfp-17, -0x1.0e764cb6c2ffbp-17, -0x1.060d5c4fbbb9bp-17, -0x1.fbbad6855b19p-18, -0x1.ebc6d6a6f537ep-18, -0x1.dc36dc4a42b17p-18, -0x1.cd5340c60c5a5p-18, -0x1.be91698671c1p-18, -0x1.b06f1171a6d1fp-18, -0x1.a2a5aca19d63dp-18, -0x1.9546c64dad04ep-18, -0x1.88539131698e3p-18, -0x1.7bb889e271cb4p-18, -0x1.6f5a424497076p-18, -0x1.6372ac4e0c104p-18, -0x1.57e8e7416f2cp-18, -0x1.4ca7e86fd3fffp-18, -0x1.41c5129efdd0ep-18, -0x1.37327c8348832p-18, -0x1.2cf0d3b44e104p-18, -0x1.22fecda51ea02p-18, -0x1.1951acdf98b85p-18, -0x1.0fee264e90336p-18, -0x1.06d3eab16149fp-18, -0x1.fc00ece174664p-19, -0x1.eaf92c91b60c3p-19, -0x1.daa9768754c0cp-19, -0x1.ca65513f960abp-19, -0x1.bade2d1d306a8p-19, -0x1.ab31a60203677p-19, -0x1.9d0d232a9be8p-19, -0x1.8e9d59e0bd1e7p-19, -0x1.80fb75806f5cp-19, -0x1.739a3f5ad5ef4p-19, -0x1.66bd5b0f5e2e1p-19, -0x1.5a60fd8fee8b6p-19, -0x1.4e3c66ae02584p-19, -0x1.4270128d71662p-19, -0x1.37022d65a299fp-19, -0x1.2c1dfddd09317p-19, -0x1.21741236fedfdp-19, -0x1.17249470cdb39p-19, -0x1.0cca01a0dc3b8p-19, -0x1.039c9581da909p-19, -0x1.f4950bca0075bp-20, -0x1.e26e3aefad439p-20, -0x1.d0de6105d7bcap-20, -0x1.c02197cecc2bbp-20, -0x1.afd5b53274b58p-20, -0x1.a04a30735185dp-20, -0x1.9096ad851fcd6p-20, -0x1.824d3bc123813p-20, -0x1.7495385027558p-20, -0x1.665d0dddc8b77p-20, -0x1.597ed04afe26ep-20, -0x1.4c5eb909ceb45p-20, -0x1.3fb58b7ca6ab4p-20, -0x1.33f4c66a2f0c8p-20, -0x1.289b3dfe70fb7p-20, -0x1.1d720b7cb8ad7p-20, -0x1.12a32a245d671p-20, -0x1.08a54b5a4361fp-20, -0x1.fd4a3ccfde13ep-21, -0x1.eac134165b1c2p-21, -0x1.d7c2d982c91ecp-21, -0x1.c5d7ba721d95dp-21, -0x1.b4df21f3dd61dp-21, -0x1.a45cc9fe81aap-21, -0x1.947dfd79aaf22p-21, -0x1.8585a5c9c838ep-21, -0x1.76de49d1a5623p-21, -0x1.69a628410a79dp-21, -0x1.5c2a12ed85aeep-21, -0x1.4e30e0ea642f6p-21, -0x1.4163e585c0d82p-21, -0x1.367cd909e6591p-21, -0x1.2aeef5c77ac99p-21, -0x1.204469878c3d2p-21, -0x1.147683a025c42p-21, -0x1.0ad5023c35b27p-21, -0x1.013dce86db2a4p-21, -0x1.ef34cb3649243p-22, -0x1.dd54542a9d85p-22, -0x1.ccf43652b43a1p-22, -0x1.bd086d3962f28p-22, -0x1.ad7a721e25755p-22, -0x1.9e84e9f4b440ep-22, -0x1.9023d242ba024p-22, -0x1.82b4100e6c744p-22, -0x1.75e384b412d93p-22, -0x1.6a315320f431ap-22, -0x1.5d8c7e9161479p-22, -0x1.520879a0f2251p-22, -0x1.48d19c8a3adffp-22, -0x1.3ed419c91a964p-22, -0x1.340366cc4234p-22, -0x1.2c09845f8305ap-22, -0x1.266f2c90df6e6p-22, -0x1.1cb8326a8180bp-22, -0x1.1559011de7857p-22, -0x1.0d29a7af3e84dp-22, -0x1.086875af394a8p-22, -0x1.ff9b6172b6ae6p-23, -0x1.f2199ba630cd9p-23, -0x1.e6709a50b84e4p-23, -0x1.dd339f056a112p-23, -0x1.d4bd71f308686p-23, -0x1.c6edcf4ec5d2ep-23, -0x1.befaac8c77ae1p-23, -0x1.b9292ae009a04p-23, -0x1.b173a6f6fcfafp-23, -0x1.ab94ae816d36fp-23, -0x1.a56252e0be052p-23, -0x1.9f5bfa2a82e5dp-23, -0x1.996b78bd4f07ep-23, -0x1.94a45d3944fd1p-23, -0x1.917a0a30c1e69p-23, -0x1.8a9fe604ef8d9p-23, -0x1.87dc69f982d0ap-23, -0x1.869c3c7051be4p-23, -0x1.833dabfd55509p-23, -0x1.810bcc37f20e6p-23, -0x1.7f4d62e64f50cp-23, -0x1.7d9796e888adcp-23, -0x1.7c7014409e411p-23, -0x1.7b6bdc4057bb6p-23, -0x1.7aa75925c3748p-23, -0x1.7a2d265031279p-23, -0x1.7a23ce6ee0244p-23, -0x1.7c1f0f0fd42f6p-23, -0x1.782dce0715446p-23, -0x1.7d1d822f0bce4p-23, -0x1.7d55fe5b18625p-23, -0x1.7f5c51a6703b3p-23, -0x1.7d3784af9de6p-23, -0x1.7f549bcae1b54p-23, -0x1.81a89a4d9967ep-23, -0x1.8232e4b7c4b62p-23, -0x1.84c2619d5b971p-23, -0x1.876f13767e627p-23, -0x1.8a6556298cc2ap-23, -0x1.8b21f8cde17eep-23, -0x1.8d88ac96ba58p-23, -0x1.9173d88e963a8p-23, -0x1.9105fed080da6p-23, -0x1.934322e0ee8eap-23, -0x1.98ca5e2bfc653p-23, -0x1.9e155f32930e1p-23, -0x1.9c24168947a5dp-23, -0x1.a3b214be9fbebp-23, -0x1.a553ef240fc19p-23, -0x1.a7b337315f96ap-23, -0x1.ab9a68194813fp-23, -0x1.b10a6f0d3d5ffp-23, -0x1.b0a191633eep-23, -0x1.b4c82e70825cp-23, -0x1.b547f32a09ffdp-23, -0x1.bf2c9834d38cbp-23, -0x1.bf0b9974b56a4p-23, -0x1.c1ebffc435b4bp-23, -0x1.c53b728865879p-23, -0x1.c9db6f6394042p-23, -0x1.cb92ff3724dep-23, -0x1.d0ec454b1ae5fp-23, -0x1.d4052d2d6a547p-23, -0x1.d5418a9b5f76dp-23, -0x1.d997875d8097ep-23, -0x1.dc562a501470ap-23, -0x1.df4f20090057bp-23, -0x1.e2c388b22fa3ep-23, -0x1.e621a12468602p-23, -0x1.e96fcc5406343p-23, -0x1.ed3dacb90bd14p-23, -0x1.efcc40a865122p-23, -0x1.f2e1e8ea339e1p-23, -0x1.f62cc3f0d7b2ap-23, -0x1.f8ec658835e02p-23, -0x1.fbab9162f6c93p-23, -0x1.ff22598d6e40ep-23, -0x1.015bc4a911d67p-22, -0x1.026ef9824408fp-22, -0x1.04221b3bf3084p-22, -0x1.0554772242c01p-22, -0x1.05f679effbef9p-22, -0x1.09497776e4fc9p-22, -0x1.0930be752c894p-22, -0x1.0a5d1b1a30ae4p-22, -0x1.0b95c444a189ep-22, -0x1.0cf66809941c7p-22, -0x1.0dbb8254893efp-22, -0x1.0f466b0b6a371p-22, -0x1.1048cb84db0e3p-22, -0x1.122dfc985a305p-22, -0x1.11eae7241167ep-22, -0x1.135a6a44952cbp-22, -0x1.14eabea0f20f6p-22, -0x1.14301b880a1ddp-22, -0x1.15c2f186e5ebap-22, -0x1.173ef8956ce2dp-22, -0x1.17fbd21e9efefp-22, -0x1.18db8aa2c4b7p-22, -0x1.194170562bd29p-22, -0x1.1a76bcab4532bp-22, -0x1.1b56d9a7ca559p-22, -0x1.1c2d7cfb27aabp-22, -0x1.1bca6d91042ddp-22, -0x1.1c8cd84d2c6ep-22, -0x1.1d060551cc9dfp-22, -0x1.1e5545cb66861p-22, -0x1.202083b819ce4p-22, -0x1.1fa948504d247p-22, -0x1.1fd14c475dbcp-22, -0x1.1fe9f116f111dp-22, -0x1.20d773d83e559p-22, -0x1.20bab3b839148p-22, -0x1.20b2af1abd9bcp-22, -0x1.218a7688cca4ep-22, -0x1.221494d3eef8ap-22, -0x1.21a8ce3af6cdfp-22, -0x1.21ed3a41ad287p-22, -0x1.220b6c0562151p-22, -0x1.2240451923866p-22, -0x1.2214726e6154ap-22, -0x1.21b7dc0b20237p-22, -0x1.2312195fb2331p-22, -0x1.2242673d72f4fp-22, -0x1.21c47a7bcbca3p-22, -0x1.2286a2d8fe0cfp-22, -0x1.22784caf28d0bp-22, -0x1.215282bcf1d14p-22, -0x1.21755294217b1p-22, -0x1.213ccc65d432ap-22, -0x1.213cb2588edf7p-22, -0x1.20bd1377d7fd5p-22, -0x1.20ed9e1b38556p-22, -0x1.1f2d0d9212716p-22, -0x1.1f007593fbe01p-22, -0x1.1f918113ca43dp-22, -0x1.1ec9e1f6015aap-22, -0x1.1e92cec64399bp-22, -0x1.1df2b25facd13p-22, -0x1.1d8c636011904p-22, -0x1.1cc57ec3effc2p-22, -0x1.1bec44c2ef2bdp-22, -0x1.1cb252a1969dep-22, -0x1.1a815df27e0d4p-22, -0x1.1af7c42375747p-22, -0x1.1993491c109c1p-22, -0x1.190017a1e092fp-22, -0x1.1875992f96fd7p-22, -0x1.179853f6bd2abp-22, -0x1.163e7f5a42e45p-22, -0x1.15d8bef50bc5bp-22, -0x1.15655cabb06c3p-22, -0x1.1487f4f78a314p-22, -0x1.1352802fd8723p-22, -0x1.120cd9dbd0b7cp-22, -0x1.113649c649bcdp-22, -0x1.1059061ba1154p-22, -0x1.0fcd2fceecf61p-22, -0x1.0ec344f6f5aefp-22, -0x1.0dbe89a57912p-22, -0x1.0c6e2bf0e8a02p-22, -0x1.0b749f03812e1p-22, -0x1.0a69fb9a77d86p-22, -0x1.09b20e5aa917ep-22, -0x1.086e1ee2aea75p-22, -0x1.076dda11a45abp-22, -0x1.05cc7c335ed0fp-22, -0x1.04ef75da969p-22, -0x1.0395dcd8f3e79p-22, -0x1.025fc4a668074p-22, -0x1.00f2519104f22p-22, -0x1.ff5572d79e6c7p-23, -0x1.fcd2fdc67d6c4p-23, -0x1.fa37729a480c6p-23, -0x1.f7836f2117b8ep-23, -0x1.f4cf8a0ca85d5p-23, -0x1.f276974a9545p-23, -0x1.ef60a282d4cdp-23, -0x1.eb329eaf644cbp-23, -0x1.eb22d80022c63p-23, }}, 
      {{0x1.799d7c84bde5ap-9, 0x1.5761110eb0e26p-8, 0x1.c7fd0d2822ab6p-8, 0x1.1095797c833c4p-7, 0x1.4222eb0920354p-7, 0x1.8aef8fbe4b55fp-7, 0x1.fab7f7e0b0023p-7, 0x1.4e2e5e156f4e7p-6, 0x1.ba86dd47a2318p-6, 0x1.211e55fb93cep-5, 0x1.7165944414e8dp-5, 0x1.cbedc0209ccd2p-5, 0x1.16f5b997b95a3p-4, 0x1.4a1bf38c3212fp-4, 0x1.7dc62aff54ce4p-4, 0x1.b0591ad9f17a9p-4, 0x1.e05412d0892fbp-4, 0x1.062f11eb9ab39p-3, 0x1.19a756481377ap-3, 0x1.2a18e549ac31ap-3, 0x1.3724f1baab5e8p-3, 0x1.408727187e17cp-3, 0x1.46144eb6f6d1ap-3, 0x1.47b82fdc0e5a6p-3, 0x1.45731bf701cc2p-3, 0x1.3f573e52b6614p-3, 0x1.3585e54a651e3p-3, 0x1.282cd8945fb48p-3, 0x1.1783d3c0e296cp-3, 0x1.03ca31fef87cap-3, 0x1.da89a623d76ep-4, 0x1.a87878d8c83adp-4, 0x1.71f5ef9832476p-4, 0x1.3798574ee3a8ap-4, 0x1.f3e9b48d699dbp-5, 0x1.733b1defc142fp-5, 0x1.dc7f7cffccca7p-6, 0x1.981a8b3579ebfp-7, -0x1.2376fc7e03cabp-8, -0x1.605d0e2aa1503p-6, -0x1.3c5615fc1e15ep-5, -0x1.c813d8e04eb8bp-5, -0x1.2953703f46f86p-4, -0x1.6daf9329f41e4p-4, -0x1.b0ce7fc2d2c4fp-4, -0x1.f268778b7bb56p-4, -0x1.191ec56770f9p-3, -0x1.380aa3e920094p-3, -0x1.55df2d8c21993p-3, -0x1.72871a37df1afp-3, -0x1.8df04f724065dp-3, -0x1.a80bb354f8d87p-3, -0x1.c0ccfd2b691e3p-3, -0x1.d82a7f55579dp-3, -0x1.ee1cf803e1e62p-3, -0x1.014fafbc07c4ep-2, -0x1.0ad75f2316785p-2, -0x1.13a5021597aecp-2, -0x1.1bb8ef7761958p-2, -0x1.231448b9a302bp-2, -0x1.29b8e62b93ddep-2, -0x1.2fa9433eb559dp-2, -0x1.34e86fbea900ep-2, -0x1.3979fca51dcb6p-2, -0x1.3d61efbf5f33p-2, -0x1.40a4b405b5216p-2, -0x1.43470c5239f54p-2, -0x1.454e0641c4395p-2, -0x1.46beee03cbd2ep-2, -0x1.479f431fbbebap-2, -0x1.47f4ae052877fp-2, -0x1.47c4f679178f4p-2, -0x1.4715fb23d85bap-2, -0x1.45eda8facc4b4p-2, -0x1.4451f502da0a4p-2, -0x1.4248d3c5a215dp-2, -0x1.3fd834e4e2ec3p-2, -0x1.3d05fc47038cbp-2, -0x1.39d7fd2a81af3p-2, -0x1.3653f57c79df7p-2, -0x1.327f89b3cc8e7p-2, -0x1.2e60411ca9ccap-2, -0x1.29fb82b9aa73p-2, -0x1.2556927cf77cap-2, -0x1.20768ed8e05a6p-2, -0x1.1b606efc70516p-2, -0x1.161900d7e7643p-2, -0x1.10a4e879160ccp-2, -0x1.0b089e45f5503p-2, -0x1.05486f09ace72p-2, -0x1.fed0f59d70d4bp-3, -0x1.f2d96bc5384e4p-3, -0x1.e6b1cd7fd2148p-3, -0x1.da6151bf1921ep-3, -0x1.cdeed57e38a78p-3, -0x1.c160e0263e04dp-3, -0x1.b4bda305d45afp-3, -0x1.a80afae17667p-3, -0x1.9b4e7355af734p-3, -0x1.8e8d46f1959bcp-3, -0x1.81cc6170f9739p-3, -0x1.751063e268f08p-3, -0x1.685da4b785f5fp-3, -0x1.5bb832454535fp-3, -0x1.4f23d7f293bddp-3, -0x1.42a41d35811cep-3, -0x1.363c49aab60c6p-3, -0x1.29ef68510ea65p-3, -0x1.1dc0485bf6b78p-3, -0x1.11b1809f7f403p-3, -0x1.05c571a538439p-3, -0x1.f3fc90dd2a08dp-4, -0x1.dcbbffb121b91p-4, -0x1.c5ccc6223a36p-4, -0x1.af32229a44ddcp-4, -0x1.98eefa99a4181p-4, -0x1.8305e2369dc03p-4, -0x1.6d79216825ecfp-4, -0x1.584ab30af4973p-4, -0x1.437c4ce945415p-4, -0x1.2f0f63f583db1p-4, -0x1.1b052b424a919p-4, -0x1.075e9b9222dddp-4, -0x1.e838eeb7500a3p-5, -0x1.c27e91ee05b1ep-5, -0x1.9d8ed4918af77p-5, -0x1.796a11a669574p-5, -0x1.5610455619b92p-5, -0x1.33811c8311241p-5, -0x1.11bbfbdc6fa2dp-5, -0x1.e17ff91d0e306p-6, -0x1.a117e89c07a57p-6, -0x1.623d05807643dp-6, -0x1.24ec18f2df064p-6, -0x1.d242f3dc501a5p-7, -0x1.5db2619d9aa2ep-7, -0x1.d83bc4f424b38p-8, -0x1.f5f0a25862676p-9, -0x1.1c3639564815bp-11, 0x1.5c5a78ea98e6ep-9, 0x1.7a3923ab6615fp-8, 0x1.20599a4c3c07cp-7, 0x1.80d918e2bbe1cp-7, 0x1.dea6aaf0667ecp-7, 0x1.1ce7221354549p-6, 0x1.492e053787c8fp-6, 0x1.742e1b56d380cp-6, 0x1.9ded8f7b07fa4p-6, 0x1.c672a31194468p-6, 0x1.edc39c8e89f66p-6, 0x1.09f35e4af497dp-5, 0x1.1c7120f0908d9p-5, 0x1.2e5e3a024a884p-5, 0x1.3fbdc9fc9dbdfp-5, 0x1.5092e6d1b38aap-5, 0x1.60e0a1bc7927cp-5, 0x1.70aa083389961p-5, 0x1.7ff222c2029a7p-5, 0x1.8ebbea76686e4p-5, 0x1.9d0a4eb8ec718p-5, 0x1.aae037064a5d2p-5, 0x1.b840839dbee1p-5, 0x1.c52e044da68ap-5, 0x1.d1ab7b172589ap-5, 0x1.ddbb9ed4fad82p-5, 0x1.e9611c3914c71p-5, 0x1.f49e92cbf00dap-5, 0x1.ff768feb63112p-5, 0x1.04f5c9e3e7ca3p-4, 0x1.0a000941e5199p-4, 0x1.0edb3a0cf289fp-4, 0x1.138887e5e8be1p-4, 0x1.1809171bebfa4p-4, 0x1.1c5e0421a0ad4p-4, 0x1.208865f647e84p-4, 0x1.24894ca603327p-4, 0x1.2861c0d309fa5p-4, 0x1.2c12c29cb41bep-4, 0x1.2f9d4ca44707p-4, 0x1.330252a1e0e7ap-4, 0x1.3642c29426a12p-4, 0x1.395f831a0254cp-4, 0x1.3c5972efd0f62p-4, 0x1.3f316c7e1f5bep-4, 0x1.41e8426838346p-4, 0x1.447ec3545833ep-4, 0x1.46f5b6b9c18bep-4, 0x1.494dddfca4ce4p-4, 0x1.4b87f47eb2c12p-4, 0x1.4da4b12a97ed9p-4, 0x1.4fa4c514547b8p-4, 0x1.5188dce9d00f6p-4, 0x1.53519fb7ad29ap-4, 0x1.54ffaeaab2307p-4, 0x1.5693a7491ab75p-4, 0x1.580e2224054c9p-4, 0x1.596fb3f43f1fbp-4, 0x1.5ab8ecf9ba8bdp-4, 0x1.5bea58a9f8986p-4, 0x1.5d047ee34e521p-4, 0x1.5e07e3464d49dp-4, 0x1.5ef5064858539p-4, 0x1.5fcc64ca3131ep-4, 0x1.608e78799919cp-4, 0x1.613bb6b61ae6ap-4, 0x1.61d49268b1234p-4, 0x1.62597afff6612p-4, 0x1.62cadd9668b89p-4, 0x1.6329242a494abp-4, 0x1.6374b629d13dfp-4, 0x1.63adf877df3dcp-4, 0x1.63d54cde11e6ep-4, 0x1.63eb136651837p-4, 0x1.63efa98f9813cp-4, 0x1.63e36b5d591ep-4, 0x1.63c6b1fc5108p-4, 0x1.6399d50d90cedp-4, 0x1.635d2a17b30cp-4, 0x1.631104c15f2dap-4, 0x1.62b5b791ab7dcp-4, 0x1.624b92808d1a8p-4, 0x1.61d2e489236f6p-4, 0x1.614bfb6cee55cp-4, 0x1.60b722effdd9ep-4, 0x1.6014a63d03707p-4, 0x1.5f64ce2d3ea88p-4, 0x1.5ea7e30d2befcp-4, 0x1.5dde2bb677ea6p-4, 0x1.5d07ee3f000fap-4, 0x1.5c256f53ec475p-4, 0x1.5b36f352753e3p-4, 0x1.5a3cbc6d6368cp-4, 0x1.59370cc96af1ep-4, 0x1.582624f5962d6p-4, 0x1.570a45555d75ap-4, 0x1.55e3ad3805662p-4, 0x1.54b29b4d0b5d2p-4, 0x1.53774d8864868p-4, 0x1.523200e70e33ap-4, 0x1.50e2f16508907p-4, 0x1.4f8a5ab929f4p-4, 0x1.4e2877da06dfap-4, 0x1.4cbd839a87e72p-4, 0x1.4b49b7af0e4b7p-4, 0x1.49cd4d5fdeecbp-4, 0x1.48487d4b378d7p-4, 0x1.46bb7f573b10dp-4, 0x1.45268b3d9661ep-4, 0x1.4389d71b261cep-4, 0x1.41e59a9725c8ep-4, 0x1.403a0b49e95ddp-4, 0x1.3e875eca06836p-4, 0x1.3ccdca3819ab9p-4, 0x1.3b0d81b2ff642p-4, 0x1.3946b8f412a2dp-4, 0x1.3779a414cbd9ep-4, 0x1.35a675db0a6b1p-4, 0x1.33cd6127dcd6p-4, 0x1.31ee97fc83e64p-4, 0x1.300a4c34236ccp-4, 0x1.2e20aeb8f0252p-4, 0x1.2c31f07a6e513p-4, 0x1.2a3e41834a1b8p-4, 0x1.2845d1d58e1a8p-4, 0x1.2648d0d21a4a8p-4, 0x1.24476d902299dp-4, 0x1.2241d66bf4168p-4, 0x1.2038396d7218p-4, 0x1.1e2ac3fc346d3p-4, 0x1.1c19a2f58e024p-4, 0x1.1a05030389c53p-4, 0x1.17ed10535f507p-4, 0x1.15d1f6bcc1fffp-4, 0x1.13b3e163ded4fp-4, 0x1.1192fac57f3d8p-4, 0x1.0f6f6d38c342p-4, 0x1.0d49627354511p-4, 0x1.0b21035b9e90dp-4, 0x1.08f678927009cp-4, 0x1.06c9eaa94469cp-4, 0x1.049b813f93088p-4, 0x1.026b639be2e8p-4, 0x1.0039b8468f20bp-4, 0x1.fc0d4b774b956p-5, 0x1.f7a4a2d20f1bdp-5, 0x1.f339c094152ebp-5, 0x1.eeccee0a71587p-5, 0x1.ea5e73452e4a8p-5, 0x1.e5ee97f391bfap-5, 0x1.e17da1ec84fb8p-5, 0x1.dd0bd65129b3ep-5, 0x1.d89978fd24952p-5, 0x1.d426cc9bd2e8dp-5, 0x1.cfb412ff3eaeep-5, 0x1.cb418cc741747p-5, 0x1.c6cf79505b354p-5, 0x1.c25e1732082fp-5, 0x1.bdeda3d4a0909p-5, 0x1.b97e5b89c0de3p-5, 0x1.b51079ab485f4p-5, 0x1.b0a43840e269bp-5, 0x1.ac39d030300a9p-5, 0x1.a7d17954d003p-5, 0x1.a36b6a3e2fbf7p-5, 0x1.9f07d82357525p-5, 0x1.9aa6f8299d855p-5, 0x1.9648fdadc3218p-5, 0x1.91ee1affb82cfp-5, 0x1.8d968102c79d2p-5, 0x1.894260aa0283cp-5, 0x1.84f1e81264514p-5, 0x1.80a5457b0c9c3p-5, 0x1.7c5ca576c5d4bp-5, 0x1.781833a0dd36fp-5, 0x1.73d81aac930dfp-5, 0x1.6f9c8422ba68ap-5, 0x1.6b65986511d76p-5, 0x1.67337ecab25d1p-5, 0x1.63065dafbace2p-5, 0x1.5ede5a5198195p-5, 0x1.5abb9919d4229p-5, 0x1.569e3c908ca24p-5, 0x1.5286670ada864p-5, 0x1.4e74398e015edp-5, 0x1.4a67d38716ab7p-5, 0x1.4661548b55465p-5, 0x1.4260d9e65c00ap-5, 0x1.3e6680778acf7p-5, 0x1.3a7264cabd2b1p-5, 0x1.3684a1064e31cp-5, 0x1.329d4f56e9066p-5, 0x1.2ebc892248d33p-5, 0x1.2ae26610652cap-5, 0x1.270efd3bc83b1p-5, 0x1.234264adb7c4ap-5, 0x1.1f7cb154cab22p-5, 0x1.1bbdf7391ff4p-5, 0x1.18064949d9164p-5, 0x1.1455b9e2d0c61p-5, 0x1.10ac5a36f180bp-5, 0x1.0d0a3ab5c8fp-5, 0x1.096f6ba14d61ap-5, 0x1.05dbfc011abd1p-5, 0x1.024ffa6fa0e91p-5, 0x1.fd96e86b72426p-6, 0x1.f69cecab68b88p-6, 0x1.efb217089f846p-6, 0x1.e8d67bc39a168p-6, 0x1.e20a2e9694097p-6, 0x1.db4d3f190de6p-6, 0x1.d49fbd38a553bp-6, 0x1.ce01b6ec0b361p-6, 0x1.c7733af1125f9p-6, 0x1.c0f4570aff1e2p-6, 0x1.ba85190d69a6ep-6, 0x1.b4258cd8ae787p-6, 0x1.add5beb49e0c7p-6, 0x1.a795b4fa2ed8dp-6, 0x1.a1657446dc816p-6, 0x1.9b450151869ffp-6, 0x1.953458597bda1p-6, 0x1.8f3377376126dp-6, 0x1.8942596f81cbbp-6, 0x1.8360fb633414dp-6, 0x1.7d8f5af25f699p-6, 0x1.77cd780ed08a1p-6, 0x1.721b54c2f7006p-6, 0x1.6c78f33978259p-6, 0x1.66e656d03fba7p-6, 0x1.61637d30d6364p-6, 0x1.5bf0614ad86a8p-6, 0x1.568cf7c7ad40bp-6, 0x1.51392dbbfb732p-6, 0x1.4bf4eff7b7e1dp-6, 0x1.46c02305bcc38p-6, 0x1.419aaeae3e11ep-6, 0x1.3c847f938217dp-6, 0x1.377d85d58b5bap-6, 0x1.3285b97db1bd7p-6, 0x1.2d9d18961dba1p-6, 0x1.28c3a496aef24p-6, 0x1.23f95ed654096p-6, 0x1.1f3e4544e515dp-6, 0x1.1a924b5f33602p-6, 0x1.15f55c2fef216p-6, 0x1.116754f25df87p-6, 0x1.0ce80ba70c806p-6, 0x1.08774f81c6091p-6, 0x1.0414f230d3f21p-6, 0x1.ff8191e2c2e08p-7, 0x1.f6f56bab90462p-7, 0x1.ee85543e76d2p-7, 0x1.e63143221689p-7, 0x1.ddf94834f0331p-7, 0x1.d5dd7a02420a6p-7, 0x1.cddde8e522c4ep-7, 0x1.c5fa903b5d1b2p-7, 0x1.be334a50624ep-7, 0x1.b687cd897c94ap-7, 0x1.aef7ab9284108p-7, 0x1.a7825c61b490cp-7, 0x1.a02752e4914b4p-7, 0x1.98e6045f5ee1dp-7, 0x1.91be01f529c05p-7, 0x1.8aaf02a9ab40ep-7, 0x1.83b8e8c85060cp-7, 0x1.7cdbbd787e266p-7, 0x1.7617a7cf65f88p-7, 0x1.6f6cd5883c0fbp-7, 0x1.68db6dcd11a01p-7, 0x1.62637650c5837p-7, 0x1.5c04cb6cafde4p-7, 0x1.55bf18445cb18p-7, 0x1.4f91de105e5e3p-7, 0x1.497c7b6033fc6p-7, 0x1.437e449326825p-7, 0x1.3d9699e937277p-7, 0x1.37c4f4879343ap-7, 0x1.3208f8e328372p-7, 0x1.2c627c106be28p-7, 0x1.26d1803fed1c9p-7, 0x1.215628c142083p-7, 0x1.1bf0a7436d25ep-7, 0x1.16a12ad1319b2p-7, 0x1.1167c18836c89p-7, 0x1.0c44563dc92eap-7, 0x1.0736a88af6c6dp-7, 0x1.023e46d34fa77p-7, 0x1.fab54991e1718p-8, 0x1.f1164ed097876p-8, 0x1.e79e6a665cf8cp-8, 0x1.de4c903e1e999p-8, 0x1.d51ffddb6d4a7p-8, 0x1.cc182f1e73c52p-8, 0x1.c334f7b663bp-8, 0x1.ba765e630b442p-8, 0x1.b1dc93146beb1p-8, 0x1.a967c85ac644p-8, 0x1.a118073b9f5edp-8, 0x1.98ed1d1f3b2ccp-8, 0x1.90e693b674405p-8, 0x1.8903b75c28371p-8, 0x1.8143ab8f085f2p-8, 0x1.79a58a3a01b38p-8, 0x1.722879faea4ebp-8, 0x1.6acbbcd56834fp-8, 0x1.638eb6c4280cfp-8, 0x1.5c70ee186d853p-8, 0x1.55720b8dc09bp-8, 0x1.4e91db7de5e68p-8, 0x1.47d04d755b22ap-8, 0x1.412d6b58164b2p-8, 0x1.3aa941d514c24p-8, 0x1.3443bfb40996ap-8, 0x1.2dfc9283f5897p-8, 0x1.27d311b806bcp-8, 0x1.21c6496ca2917p-8, 0x1.1bd52338ca696p-8, 0x1.15fea312e0428p-8, 0x1.10420e431aedap-8, 0x1.0a9f0e3d7585dp-8, 0x1.0515a39ccea38p-8, 0x1.ff4bb7c5a468ep-9, 0x1.f49f69ea273aap-9, 0x1.ea25e2816e58ap-9, 0x1.dfde2ec3f5cf1p-9, 0x1.d5c76b6e9c798p-9, 0x1.cbe0f828a0d59p-9, 0x1.c22aaac5e0c61p-9, 0x1.b8a4bf330348dp-9, 0x1.af4f63d70fceep-9, 0x1.a62a31749b3c7p-9, 0x1.9d33ba67eb647p-9, 0x1.94698edbb419cp-9, 0x1.8bc8ba9e5720bp-9, 0x1.834ea527a31f1p-9, 0x1.7af9f38db9fd4p-9, 0x1.72caef49df544p-9, 0x1.6ac326edc1f69p-9, 0x1.62e46b8c748dcp-9, 0x1.5b2fa0836910bp-9, 0x1.53a42788a2f61p-9, 0x1.4c3ff5f7b7989p-9, 0x1.450070dc74214p-9, 0x1.3de36b7b8241ep-9, 0x1.36e7ea89d21ebp-9, 0x1.300e56c6bdab4p-9, 0x1.29581238c6b7p-9, 0x1.22c69b98765d1p-9, 0x1.1c5a96ba166b9p-9, 0x1.1613175c940acp-9, 0x1.0fed8d5692351p-9, 0x1.09e67d3e4a518p-9, 0x1.03face191b376p-9, 0x1.fc523e06cb18bp-10, 0x1.f0e495933f7f2p-10, 0x1.e5b1d3bbe0514p-10, 0x1.dabf79a12b73ap-10, 0x1.d010180816923p-10, 0x1.c5a1efa138e8cp-10, 0x1.bb6f5cd739f16p-10, 0x1.b170f0b7053fdp-10, 0x1.a7a04278f47cbp-10, 0x1.9df9ee91c52cdp-10, 0x1.947e21e24a19bp-10, 0x1.8b306f7074a6cp-10, 0x1.8215cebb2ca56p-10, 0x1.7931bffa484f1p-10, 0x1.7085240276fbap-10, 0x1.680db0ec263fbp-10, 0x1.5fc6cf476ad9fp-10, 0x1.57ab60763297dp-10, 0x1.4fb78522f3cebp-10, 0x1.47e9eb5498d8cp-10, 0x1.4044112068496p-10, 0x1.38c92466a005ep-10, 0x1.317c16388c97ep-10, 0x1.2a5e041229d63p-10, 0x1.236d94f863a6fp-10, 0x1.1ca74cf6131c6p-10, 0x1.16062c74d108fp-10, 0x1.0f84de59896cap-10, 0x1.091f73d8bf016p-10, 0x1.02d519e549d22p-10, 0x1.f950790c12075p-11, 0x1.ed394aee2ccacp-11, 0x1.e169f9d175f1bp-11, 0x1.d5e33f5dab011p-11, 0x1.caa1cf80e8b98p-11, 0x1.bfa16ff58b80dp-11, 0x1.b4df92617e064p-11, 0x1.aa5c1365df2c5p-11, 0x1.a01831211a281p-11, 0x1.9614600fa196ep-11, 0x1.8c4e9cdf79fd2p-11, 0x1.82c18bb7c9a29p-11, 0x1.79680c0ac485dp-11, 0x1.7040c19aa47cp-11, 0x1.674e95079b9d3p-11, 0x1.5e95295d61dc4p-11, 0x1.56135903e495ep-11, 0x1.4dc3322732f41p-11, 0x1.459e9e1e467edp-11, 0x1.3da2bc2a8ce1p-11, 0x1.35cf9546f8ba7p-11, 0x1.2e257a0bd398dp-11, 0x1.26a48c4257e5cp-11, 0x1.1f4ca9233379cp-11, 0x1.181d006ae7e68p-11, 0x1.11138c7b7385p-11, 0x1.0a2f4b4a7f3f7p-11, 0x1.03729e6741347p-11, 0x1.f9c70b18163fcp-12, 0x1.ed0fd435b75ap-12, 0x1.e0c031c975a49p-12, 0x1.d4c9cb98e1262p-12, 0x1.c913f997a1574p-12, 0x1.bd8831bb077cap-12, 0x1.b222b15d59334p-12, 0x1.a6f4f5938ad1fp-12, 0x1.9c12d7298ab42p-12, 0x1.917f44040142bp-12, 0x1.87318176aa6eep-12, 0x1.7d2860dd97dfcp-12, 0x1.73687f129f17cp-12, 0x1.69ebd825511b6p-12, 0x1.60a0ad7bd1498p-12, 0x1.5778ce5db80b1p-12, 0x1.4e745390fcfcfp-12, 0x1.459cf761fe9d3p-12, 0x1.3cf83fce36f4dp-12, 0x1.34827c9253fb1p-12, 0x1.2c36f7cfad342p-12, 0x1.241d2ea356a85p-12, 0x1.1c433110a12bdp-12, 0x1.14af07b7e0b17p-12, 0x1.0d5b58dafe3e4p-12, 0x1.063d88558aafdp-12, 0x1.fe8d31f1e3117p-13, 0x1.f0c649cdc4c57p-13, 0x1.e319a52c92cd5p-13, 0x1.d5ade9393cdap-13, 0x1.c8a55c0e80546p-13, 0x1.bbf17fc463ca4p-13, 0x1.af802a3910297p-13, 0x1.a3698287e12fdp-13, 0x1.97ca7b0beab5fp-13, 0x1.8c9ad05908b14p-13, 0x1.81b776b6a6133p-13, 0x1.76f8a009aed09p-13, 0x1.6c4b5a76f9b55p-13, 0x1.61c2cc195184p-13, 0x1.577e11dd1ff4bp-13, 0x1.4d7e93c2e48fap-13, 0x1.43afb69a75827p-13, 0x1.3a12920ed8537p-13, 0x1.30bb1f4357662p-13, 0x1.27b101295fa01p-13, 0x1.1eec9e6ea2198p-13, 0x1.1663aa3cde1fp-13, 0x1.0e124f147d0f3p-13, 0x1.05f8638b6476ap-13, 0x1.fc0e96ab54631p-14, 0x1.ec5550f0b92cap-14, 0x1.dce748c18639bp-14, 0x1.cded5bf7af84ep-14, 0x1.bf37e0ad0dd17p-14, 0x1.b0b7d2b61bd68p-14, 0x1.a2aa2fe2b74c9p-14, 0x1.952107e36620ap-14, 0x1.8809320baf081p-14, 0x1.7b5740eea24b9p-14, 0x1.6f03de1e528a5p-14, 0x1.62ed81b5cd393p-14, 0x1.56ecc4444c6b1p-14, 0x1.4b1731e51510dp-14, 0x1.3f9ae133d4d9dp-14, 0x1.3466d9c0c3af8p-14, 0x1.295ecc81fada9p-14, 0x1.1ea0f4a4e4b3ep-14, 0x1.144246120b078p-14, 0x1.0a2ea134170d7p-14, 0x1.00534b6992376p-14, 0x1.ed58191d4d136p-15, 0x1.da70309474402p-15, 0x1.c80864be7e3c4p-15, 0x1.b6428a05011afp-15, 0x1.a4f18925821f4p-15, 0x1.93e5d304bb331p-15, 0x1.833cf2f8eb2ep-15, 0x1.72c5354ad2184p-15, 0x1.62a5112d488bep-15, 0x1.5324040f2ef29p-15, 0x1.44183ad122a6cp-15, 0x1.355a445fb2318p-15, 0x1.26ec8f4b19006p-15, 0x1.18dcf4651ab1cp-15, 0x1.0b39e6a32da9ap-15, 0x1.fc1fc1209b368p-16, 0x1.e2847e8ca91fdp-16, 0x1.c9411c12ffb21p-16, 0x1.b08cf6a33789bp-16, 0x1.986a8364252edp-16, 0x1.809a712ba2cdp-16, 0x1.698fef2d1777p-16, 0x1.53719d7428d64p-16, 0x1.3de373c682b17p-16, 0x1.28be65d5df2e2p-16, 0x1.13ff6a3d4045p-16, 0x1.ff70355d273dfp-17, 0x1.d7ba887804c74p-17, 0x1.b159e7d0e01b7p-17, 0x1.8cd00da119064p-17, 0x1.69285b24bfd65p-17, 0x1.45e4103ebd798p-17, 0x1.22f082244ce04p-17, 0x1.011edb0f9917fp-17, 0x1.c192ed2a936b4p-18, 0x1.82951734b9e02p-18, 0x1.44e32b37b3523p-18, 0x1.08aa7463dfee3p-18, 0x1.9bbefcd836d9fp-19, 0x1.29522536ff941p-19, 0x1.73c2e68fdf37ap-20, 0x1.35a483fbf548ap-21, -0x1.b500bfb8aa535p-23, -0x1.fd03931031f03p-21, -0x1.c07893735e7d4p-20, -0x1.3f921b994b24p-19, -0x1.9db22a68613f7p-19, -0x1.f97a882e1dcf4p-19, -0x1.2850550237695p-18, -0x1.526b40346de2fp-18, -0x1.7b923a6d6c972p-18, -0x1.a3c66e717aee9p-18, -0x1.cae95d5eede3fp-18, -0x1.f0ec4b9f5beeep-18, -0x1.0af306bd051fbp-17, -0x1.1cb4e98ff4b16p-17, -0x1.2d7830bdf574cp-17, -0x1.3de13b908e97dp-17, -0x1.4e3805fc2b33ep-17, -0x1.5de3a3974284p-17, -0x1.6cc055e59f9fp-17, -0x1.7b300066ea87fp-17, -0x1.8938b079c12fcp-17, -0x1.96cc991677654p-17, -0x1.a3e673be1a465p-17, -0x1.b087b915a3a79p-17, -0x1.bcb6f1ef762a2p-17, -0x1.c87465d0417a9p-17, -0x1.d3c228b41340ep-17, -0x1.deaa1e517b4f3p-17, -0x1.e936e8da77342p-17, -0x1.f34fa40955742p-17, -0x1.fcc7a6e679c36p-17, -0x1.02e06b8625c2ap-16, -0x1.074ec737357e2p-16, -0x1.0b9d0c50c216ep-16, -0x1.0fa035e379ba8p-16, -0x1.136e25c97babp-16, -0x1.1718a25e5dc96p-16, -0x1.1a9d1105a252cp-16, -0x1.1df6de7eee723p-16, -0x1.212479ccc82e4p-16, -0x1.2429b4d0f3388p-16, -0x1.2706d8cbba022p-16, -0x1.29a8b38fb489ap-16, -0x1.2c2d859699ea4p-16, -0x1.2e9835e8fa9b8p-16, -0x1.30cc17f4de56fp-16, -0x1.32dbdec8bff16p-16, -0x1.34cc2b3535333p-16, -0x1.369a2733d70d4p-16, -0x1.384600fbf0c2ap-16, -0x1.39d0c07a8c6f4p-16, -0x1.3b354fa948a6ep-16, -0x1.3c78ff5b62e0ap-16, -0x1.3d9d2b6a3e86p-16, -0x1.3ea60a9986889p-16, -0x1.3f889531d7728p-16, -0x1.404f675ccd899p-16, -0x1.40fac239b199ep-16, -0x1.418935a397dcap-16, -0x1.41fd56fae045dp-16, -0x1.42548e669615cp-16, -0x1.4289783c35cc7p-16, -0x1.42a4d13506605p-16, -0x1.42ae9c7cb6ea9p-16, -0x1.42978be6a613ep-16, -0x1.4266f3708f09fp-16, -0x1.42216eb0d30b9p-16, -0x1.41c56982d7b14p-16, -0x1.415116b359ac3p-16, -0x1.40c59e52f66bfp-16, -0x1.40233f424c82cp-16, -0x1.3f6d0242a76f1p-16, -0x1.3e9fd49afe5f8p-16, -0x1.3dbe55a69fbdp-16, -0x1.3cc5c3e17114fp-16, -0x1.3bbb60e3cd754p-16, -0x1.3a9e5c6743965p-16, -0x1.396e8c47b4db5p-16, -0x1.382c0e35ddc5ap-16, -0x1.36d774d65e317p-16, -0x1.35714e82c4da9p-16, -0x1.33fa238d92987p-16, -0x1.3272eb85570d6p-16, -0x1.30d9479ad0b96p-16, -0x1.2f31a453b71e4p-16, -0x1.2d7a0c7abdcfbp-16, -0x1.2bb37aff922c4p-16, -0x1.29ddff636ff7ep-16, -0x1.27fa3d18814c2p-16, -0x1.2608893620cdcp-16, -0x1.2407b63699588p-16, -0x1.21fcf2ad78a09p-16, -0x1.1fe3bdff5bb7cp-16, -0x1.1dbf0b72957f9p-16, -0x1.1b8cf17acc8d1p-16, -0x1.194fb938837d5p-16, -0x1.170697f77b7eep-16, -0x1.14b118dfb1142p-16, -0x1.1254c5b9f7b79p-16, -0x1.0fec385f66bc1p-16, -0x1.0d7a751ca4df4p-16, -0x1.0afd9fecb0158p-16, -0x1.0879a093ee0bfp-16, -0x1.05ea4b9edc413p-16, -0x1.0352a6ab28544p-16, -0x1.00b1b1bed890dp-16, -0x1.fc2212b05059dp-17, -0x1.f6ba8c2454e8ap-17, -0x1.f1474c5378f99p-17, -0x1.ebc509a57ce61p-17, -0x1.e6470ae482c8cp-17, -0x1.e0a4d1337149fp-17, -0x1.db00892919831p-17, -0x1.d54fe13bea8eap-17, -0x1.cf9411c1fe577p-17, -0x1.c9ca5413bc34fp-17, -0x1.c3f954385980bp-17, -0x1.be1b1402087a8p-17, -0x1.b83371582ccbep-17, -0x1.b2438bd65b9cfp-17, -0x1.ac4a54f8181a3p-17, -0x1.a64964884ae1ap-17, -0x1.a0411d63c231dp-17, -0x1.9a313c9df8ca2p-17, -0x1.941a6f17ccd9dp-17, -0x1.8dfe535fda9b9p-17, -0x1.87dc0dcd2137bp-17, -0x1.81ac907912113p-17, -0x1.7b85d1a879f3ap-17, -0x1.7552de95b2d08p-17, -0x1.6f1cc879fcf79p-17, -0x1.68e3313e3c9f7p-17, -0x1.62a5aa37a5082p-17, -0x1.5c64e71d06c39p-17, -0x1.5621f31ad4c48p-17, -0x1.4fdd948262931p-17, -0x1.49987f5f906a7p-17, -0x1.435072601af32p-17, -0x1.3d051aa606c97p-17, -0x1.36bb8db13c691p-17, -0x1.3071556d8fbfdp-17, -0x1.2a259d6531baep-17, -0x1.23db73b47fd3ep-17, -0x1.1d91f5975d1c3p-17, -0x1.174ae6b8007f6p-17, -0x1.110b1fd2985e6p-17, -0x1.0abf0a7ed53ccp-17, -0x1.047adb25a5328p-17, -0x1.fc73fa9c822dbp-18, -0x1.eff2da616d782p-18, -0x1.e37fa396fd457p-18, -0x1.d7125ce39f02p-18, -0x1.caa5fd54dd697p-18, -0x1.be40556205eefp-18, -0x1.b1d958cc11d7dp-18, -0x1.a590d2b77e902p-18, -0x1.994957e0ab2ddp-18, -0x1.8d0ba0d8aa4bp-18, -0x1.80db605479cffp-18, -0x1.74af2dbdb0e3p-18, -0x1.689b806b74a64p-18, -0x1.5c7cff06874e6p-18, -0x1.5089a2e42e199p-18, -0x1.44736fb7663b3p-18, -0x1.38848f0f5b478p-18, -0x1.2ca41c29c4c3fp-18, -0x1.20d5bf5f40f3bp-18, -0x1.150c711e94061p-18, -0x1.0952f177dd341p-18, -0x1.fb62c940edf1cp-19, -0x1.e43ec4b27142ep-19, -0x1.cd135193dd0dep-19, -0x1.b6245d6358e12p-19, -0x1.9f536db36c0aap-19, -0x1.88a2881517189p-19, -0x1.7216de6c1b65bp-19, -0x1.5bac6a753c51cp-19, -0x1.456330f2ffcc7p-19, -0x1.2f3cba5a705p-19, -0x1.193df5d156d91p-19, -0x1.036be78f03389p-19, -0x1.db7023b1d82p-20, -0x1.b0527d0d87cd6p-20, -0x1.858761fd4a722p-20, -0x1.5b08067556a67p-20, -0x1.31027e641d4f6p-20, -0x1.07044f2c81c31p-20, -0x1.bb003dde7d584p-21, -0x1.689372ca6d465p-21, -0x1.16e357d9d2c97p-21, -0x1.8b51fbe3c9bfp-22, -0x1.d5378ebb19ce4p-23, -0x1.2c49ee9c74c0fp-24, 0x1.4b8efc18088c8p-24, 0x1.df74c3c415b64p-23, 0x1.8b21b2b2882c3p-22, 0x1.12a001af9fa5cp-21, 0x1.5eda68578cc6cp-21, 0x1.aaa5fe67c6b77p-21, 0x1.f5665298ee261p-21, 0x1.1fd1ebbf9ed0bp-20, 0x1.446b95466ba69p-20, 0x1.68cbadc86c56ap-20, 0x1.8cbec0334aef8p-20, 0x1.b070e4a1f37d9p-20, 0x1.d3c8c4c09de51p-20, 0x1.f69bf2da12066p-20, 0x1.0c8fa8962d87cp-19, 0x1.1d978f5c4aca6p-19, 0x1.2e82b1f3ede3ep-19, 0x1.3f516253c7ebp-19, 0x1.4fba220d2ceb6p-19, 0x1.60156ba3f068dp-19, 0x1.7030876cc685bp-19, 0x1.801a1df90e55dp-19, 0x1.8fd9027e9f506p-19, 0x1.9f7567b969b6cp-19, 0x1.aec48070cef52p-19, 0x1.bdfb962131605p-19, 0x1.ccf6887b37ca2p-19, 0x1.dbb2ffc3d93ffp-19, 0x1.ea61c9e85d5a7p-19, 0x1.f8a35ee724a83p-19, 0x1.038131409fff7p-18, 0x1.0a835563e10bap-18, 0x1.116e1d8dfb274p-18, 0x1.1841b8c22f17cp-18, 0x1.1efbff61378e1p-18, 0x1.259d86c3ceed4p-18, 0x1.2c2692dfda5c3p-18, 0x1.3297f3db0b172p-18, 0x1.38eed1404b623p-18, 0x1.3f2ae041d9226p-18, 0x1.455dda16e463ep-18, 0x1.4b677109d84a5p-18, }}, 
      {{0x1.4cfeca7d2535ap-9, 0x1.3cd794ce31dafp-8, 0x1.bbbd62503f6a6p-8, 0x1.12edb3f4b60fap-7, 0x1.428a654e00d1p-7, 0x1.738639dabb7bp-7, 0x1.ad13cf5ce838ep-7, 0x1.f5b4e48e63573p-7, 0x1.2949c17298a31p-6, 0x1.63995ba85babfp-6, 0x1.aaafb65827294p-6, 0x1.fea60942b581cp-6, 0x1.2f7170c5ea121p-5, 0x1.651d7b18e7033p-5, 0x1.9f89d6a19aa33p-5, 0x1.ddc23166c6641p-5, 0x1.0f5d27532aa3p-4, 0x1.30ad90e64d32ep-4, 0x1.5246e1921a1eep-4, 0x1.73a21672b5adfp-4, 0x1.94400a95db675p-4, 0x1.b3abd811ef62cp-4, 0x1.d17c94e4147dbp-4, 0x1.ed5641e735418p-4, 0x1.0375221e8e8c1p-3, 0x1.0efbab2c35c64p-3, 0x1.19249aa0a2acbp-3, 0x1.21dbffb4bdc0ap-3, 0x1.2913b6d70989dp-3, 0x1.2ec2f15823d49p-3, 0x1.32e5b71d17f99p-3, 0x1.357c6935a6d2ap-3, 0x1.368b373a785dcp-3, 0x1.3619a72948ae8p-3, 0x1.34321a5a59023p-3, 0x1.30e1566052d7cp-3, 0x1.2c3622ea223aep-3, 0x1.2640dda9c01cfp-3, 0x1.1f13287ce9c7bp-3, 0x1.16bf9694f6153p-3, 0x1.0d5966a20e691p-3, 0x1.02f43da113e28p-3, 0x1.ef47ed15109c5p-4, 0x1.d6f8e07e9a296p-4, 0x1.bd22c517fada6p-4, 0x1.a1ec71abd5b0cp-4, 0x1.857beb1bd50b7p-4, 0x1.67f645e07e36ep-4, 0x1.497f6a7a3e78dp-4, 0x1.2a39f22bd6fb3p-4, 0x1.0a4711d1538f3p-4, 0x1.d38d1ccc45189p-5, 0x1.91ad6379f9d11p-5, 0x1.4f287a2a1e073p-5, 0x1.0c34c51824ce1p-5, 0x1.920ae96aee14fp-6, 0x1.0b95358f35efp-6, 0x1.0ac4e929ed13ep-7, -0x1.ca86e9c17c196p-17, -0x1.09dff19bf63b3p-7, -0x1.08792c0f38b3p-6, -0x1.8a924d339bf01p-6, -0x1.057f1116aeda3p-5, -0x1.44c26d6afc2p-5, -0x1.82f9d391f35f8p-5, -0x1.c00e47e198ab2p-5, -0x1.fbeb1eadb6276p-5, -0x1.1b3ef09f03cfcp-4, -0x1.37db1ac9e38afp-4, -0x1.53c2e1ccffc75p-4, -0x1.6ef00d61c0823p-4, -0x1.895d4c49cdaedp-4, -0x1.a306267839017p-4, -0x1.bbe6f0f45ec7bp-4, -0x1.d3fcbd86b9779p-4, -0x1.eb45544b381b2p-4, -0x1.00df8ff82eaf7p-3, -0x1.0bb4941daa3e1p-3, -0x1.1621821a0d8bcp-3, -0x1.2026680c59f0dp-3, -0x1.29c391f8999fdp-3, -0x1.32f9846a5d1bp-3, -0x1.3bc8f7eedeb4p-3, -0x1.4432d4cc34b37p-3, -0x1.4c382e76df729p-3, -0x1.53da3fab137a1p-3, -0x1.5b1a666af6775p-3, -0x1.61fa2056f7f28p-3, -0x1.687b0767b1ba6p-3, -0x1.6e9ece0b56d27p-3, -0x1.74673d463355p-3, -0x1.79d62ff10c061p-3, -0x1.7eed92a98f747p-3, -0x1.83af5ec02f06bp-3, -0x1.881d998a15027p-3, -0x1.8c3a51cd08a62p-3, -0x1.90079d74bf82cp-3, -0x1.938797bbcb0c4p-3, -0x1.96bc601b04509p-3, -0x1.99a817d935adcp-3, -0x1.9c4ce0d05cd99p-3, -0x1.9eacdc403ba2bp-3, -0x1.a0ca29c237a11p-3, -0x1.a2a6e5971fd31p-3, -0x1.a445285f488d4p-3, -0x1.a5a705bc12728p-3, -0x1.a6ce8b725d3f5p-3, -0x1.a7bdc0f6108cdp-3, -0x1.a876a676278e7p-3, -0x1.a8fb34f5c9bc1p-3, -0x1.a94d5cb2ccbe7p-3, -0x1.a96f0557b4828p-3, -0x1.a9620d8a25e4cp-3, -0x1.a9284a639b33p-3, -0x1.a8c387245a737p-3, -0x1.a835855a91fcbp-3, -0x1.a77ffc118390cp-3, -0x1.a6a4982fb518p-3, -0x1.a5a4fc21d8399p-3, -0x1.a482bfa20b9cp-3, -0x1.a33f6fedd6701p-3, -0x1.a1dc8fff2a09ap-3, -0x1.a05b97a4ef646p-3, -0x1.9ebdf46ed4162p-3, -0x1.9d05097a89997p-3, -0x1.9b322f2717101p-3, -0x1.9946b3bd9de9p-3, -0x1.9743daf9c3f4dp-3, -0x1.952adec47cb75p-3, -0x1.92fceeb92a93fp-3, -0x1.90bb308240306p-3, -0x1.8e66c04e4fddcp-3, -0x1.8c00b0531515ap-3, -0x1.898a09a5816e1p-3, -0x1.8703cbd5896f4p-3, -0x1.846eedbe040efp-3, -0x1.81cc5cfd744ddp-3, -0x1.7f1cfecb940e6p-3, -0x1.7c61afba741c6p-3, -0x1.799b442251d5p-3, -0x1.76ca8857900ecp-3, -0x1.73f040da04ad7p-3, -0x1.710d2a351dc72p-3, -0x1.6e21f9d7a91aep-3, -0x1.6b2f5df664739p-3, -0x1.6835fd835a51cp-3, -0x1.653678845dafap-3, -0x1.623168bb91f5fp-3, -0x1.5f27616993c6bp-3, -0x1.5c18ef777cda1p-3, -0x1.590699d5c6676p-3, -0x1.55f0e18599c44p-3, -0x1.52d841f5bac98p-3, -0x1.4fbd314360b1p-3, -0x1.4ca020172f59p-3, -0x1.49817a401eb1p-3, -0x1.4661a65b98149p-3, -0x1.4341065641915p-3, -0x1.401ff7d2177e8p-3, -0x1.3cfed3d1668ep-3, -0x1.39ddef29f4c8bp-3, -0x1.36bd9aa6a24b3p-3, -0x1.339e232c1fe57p-3, -0x1.307fd19bfd471p-3, -0x1.2d62eba08b40cp-3, -0x1.2a47b332b4c6ep-3, -0x1.272e66f3584dbp-3, -0x1.241742692b4f4p-3, -0x1.21027de6ccc32p-3, -0x1.1df04edd099acp-3, -0x1.1ae0e7e47ac86p-3, -0x1.17d478f8c296bp-3, -0x1.14cb2f6445351p-3, -0x1.11c535f48515p-3, -0x1.0ec2b536909a7p-3, -0x1.0bc3d3504f11dp-3, -0x1.08c8b43a128a9p-3, -0x1.05d179d97824cp-3, -0x1.02de441bfa165p-3, -0x1.ffde62786cb29p-4, -0x1.fa08b9809ea73p-4, -0x1.f43bc3d9d4217p-4, -0x1.ee77b336add33p-4, -0x1.e8bcb4a9608cdp-4, -0x1.e30af45d03142p-4, -0x1.dd629acd63488p-4, -0x1.d7c3cdae5ab62p-4, -0x1.d22eb03f8aa9fp-4, -0x1.cca3631c55042p-4, -0x1.c722048ad3666p-4, -0x1.c1aab068b74cp-4, -0x1.bc3d80b81db4dp-4, -0x1.b6da8cf5dd002p-4, -0x1.b181eb2418885p-4, -0x1.ac33af040d40fp-4, -0x1.a6efea9d2bf3bp-4, -0x1.a1b6ae729c491p-4, -0x1.9c88093e74c3dp-4, -0x1.9764084d5def1p-4, -0x1.924ab76310911p-4, -0x1.8d3c20a60051cp-4, -0x1.88384d6148861p-4, -0x1.833f4561efc84p-4, -0x1.7e510ecbadc72p-4, -0x1.796daf51f68b1p-4, -0x1.74952b12de283p-4, -0x1.6fc7858fdb0cfp-4, -0x1.6b04c0fa1ca51p-4, -0x1.664cde93ab44p-4, -0x1.619fdecb3f719p-4, -0x1.5cfdc125db634p-4, -0x1.5866846aa3ae3p-4, -0x1.53da26b6c8f7p-4, -0x1.4f58a510a5d49p-4, -0x1.4ae1fbbdbd7f7p-4, -0x1.4676274cccb7dp-4, -0x1.42152290be83ep-4, -0x1.3dbee7d20cdf2p-4, -0x1.39737195a1ecp-4, -0x1.3532b8fddc421p-4, -0x1.30fcb712b4c96p-4, -0x1.2cd1645ffe31ep-4, -0x1.28b0b89682e42p-4, -0x1.249aab7e2efd8p-4, -0x1.208f33da21cc3p-4, -0x1.1c8e487468ca6p-4, -0x1.1897df7999d51p-4, -0x1.14abeec3c724ep-4, -0x1.10ca6bc37b27ap-4, -0x1.0cf34bd0c134fp-4, -0x1.0926832f992eep-4, -0x1.0564073b6e33dp-4, -0x1.01abcb4245cc3p-4, -0x1.fbfb875387dc5p-5, -0x1.f4b3c7b835dbbp-5, -0x1.ed803e662f9b6p-5, -0x1.e660d1b3232e4p-5, -0x1.df55670f66d81p-5, -0x1.d85de3f305a5fp-5, -0x1.d17a2d0bf7c47p-5, -0x1.caaa26b3ef056p-5, -0x1.c3edb4ab82e5p-5, -0x1.bd44bb237b863p-5, -0x1.b6af1c4709c19p-5, -0x1.b02cbc4d033f2p-5, -0x1.a9bd7c827d232p-5, -0x1.a3613fd64efcep-5, -0x1.9d17e62a214fep-5, -0x1.96e15517b47b3p-5, -0x1.90bd699d104fbp-5, -0x1.8aac072929d36p-5, -0x1.84ad0de53fabbp-5, -0x1.7ec05e8e32d75p-5, -0x1.78e5d8e34f682p-5, -0x1.731d5da491e18p-5, -0x1.6d66cbb7ac52fp-5, -0x1.67c20370663dfp-5, -0x1.622ee4333d63bp-5, -0x1.5cad4d2bbd948p-5, -0x1.573d1d662dd4dp-5, -0x1.51de33d50ad02p-5, -0x1.4c906fb9419ebp-5, -0x1.4753aedc5974dp-5, -0x1.4227d037509edp-5, -0x1.3d0cb26cc7e72p-5, -0x1.3802334070ee6p-5, -0x1.330831615983ep-5, -0x1.2e1e8a7564d91p-5, -0x1.29451cf34d20cp-5, -0x1.247bc65bd1acdp-5, -0x1.1fc2645905c03p-5, -0x1.1b18d54605f5p-5, -0x1.167ef669c4d39p-5, -0x1.11f4a56f1d77bp-5, -0x1.0d79c01c883b8p-5, -0x1.090e23b17acf1p-5, -0x1.04b1ae8159243p-5, -0x1.00643d083dd9fp-5, -0x1.f84b5ac5b8a2fp-6, -0x1.efebb9e32b2e6p-6, -0x1.e7a95278290b1p-6, -0x1.df83df2c1e6fp-6, -0x1.d77b1a8f26e2cp-6, -0x1.cf8ec0d4e4d24p-6, -0x1.c7be8cea64266p-6, -0x1.c00a38d869a68p-6, -0x1.b8717fdb52d65p-6, -0x1.b0f41e8643c0ap-6, -0x1.a991ceeee35b9p-6, -0x1.a24a4d7e4746fp-6, -0x1.9b1d54c7ec948p-6, -0x1.940aa1f5ce282p-6, -0x1.8d11ef3f332d7p-6, -0x1.8632f9851c55bp-6, -0x1.7f6d7c8943f26p-6, -0x1.78c134d2f8ae5p-6, -0x1.722dde77e06eep-6, -0x1.6bb33633d0a26p-6, -0x1.6550fa72783c1p-6, -0x1.5f06e5d562f5fp-6, -0x1.58d4b79aa61c6p-6, -0x1.52ba29da321d5p-6, -0x1.4cb6ff34b5b2dp-6, -0x1.46caf2f2814e7p-6, -0x1.40f5c2f608ff4p-6, -0x1.3b372e7d404a8p-6, -0x1.358ef449164d2p-6, -0x1.2ffcd41bac101p-6, -0x1.2a808c49c5e25p-6, -0x1.2519db2f72408p-6, -0x1.1fc88325332cp-6, -0x1.1a8c434abd7e1p-6, -0x1.1564dca393fa3p-6, -0x1.10520fd6f8ef8p-6, -0x1.0b539dd23fab9p-6, -0x1.0669481c5204dp-6, -0x1.0192d0eb40c8ap-6, -0x1.f99ff4b45509bp-7, -0x1.f0410d96d94e6p-7, -0x1.e708727023e45p-7, -0x1.ddf5abdb3d659p-7, -0x1.d5083db1f6245p-7, -0x1.cc3fb3088d937p-7, -0x1.c39b9476c851ep-7, -0x1.bb1b69a6502e6p-7, -0x1.b2bebfdfadc9cp-7, -0x1.aa852071cf456p-7, -0x1.a26e17b0395fep-7, -0x1.9a7933e539b87p-7, -0x1.92a6011a76285p-7, -0x1.8af40ecb745a6p-7, -0x1.8362ec7c32bd9p-7, -0x1.7bf22acac590bp-7, -0x1.74a15a91601fcp-7, -0x1.6d700dadbe79cp-7, -0x1.665dd76efb61ap-7, -0x1.5f6a4b1a6879dp-7, -0x1.5894fd97a2537p-7, -0x1.51dd84a913051p-7, -0x1.4b4376ac8db9ap-7, -0x1.44c669f2d7a87p-7, -0x1.3e65f900e1701p-7, -0x1.3821bbaae65f8p-7, -0x1.31f94c43297acp-7, -0x1.2bec45c72dc83p-7, -0x1.25fa4576393ep-7, -0x1.2022e5b67e048p-7, -0x1.1a65c49c52da9p-7, -0x1.14c2834ac0fe2p-7, -0x1.0f38bfd38d5f8p-7, -0x1.09c81ae48fcdep-7, -0x1.0470366332c8ep-7, -0x1.fe616a13c94ccp-8, -0x1.f41272a0e61c2p-8, -0x1.e9f2d0fb5fedap-8, -0x1.e001cf358049ap-8, -0x1.d63ebbb9829ddp-8, -0x1.cca8e151cf1efp-8, -0x1.c33f906dae3ebp-8, -0x1.ba02207c5ddfep-8, -0x1.b0efdf1209135p-8, -0x1.a808251ee1383p-8, -0x1.9f4a4950fb3bap-8, -0x1.96b5a5846ef19p-8, -0x1.8e49962077e9dp-8, -0x1.860578799c39dp-8, -0x1.7de8ac5a5f86cp-8, -0x1.75f299adfbdcap-8, -0x1.6e2291724bb11p-8, -0x1.6678073746279p-8, -0x1.5ef25ffc6f9ep-8, -0x1.5791029ebe738p-8, -0x1.5053546dc3cf1p-8, -0x1.4938c6b1a38ebp-8, -0x1.4240c3966c8d9p-8, -0x1.3b6abb95fecd1p-8, -0x1.34b621659e60ep-8, -0x1.2e226859f79acp-8, -0x1.27af066508283p-8, -0x1.215b737590f88p-8, -0x1.1b27291837732p-8, -0x1.1511a18d79044p-8, -0x1.0f1a58e4c110cp-8, -0x1.0940cc2af3fafp-8, -0x1.038473f757cd7p-8, -0x1.fbc9b98f84cedp-9, -0x1.f0c2fb673df13p-9, -0x1.e5f3bc8a8afe6p-9, -0x1.db5b0aaabeac1p-9, -0x1.d0f7f3734c0c8p-9, -0x1.c6c98c7e16b74p-9, -0x1.bccef283e280bp-9, -0x1.b3073c45e33d7p-9, -0x1.a9718d1785111p-9, -0x1.a00d073334b01p-9, -0x1.96d8cd71cad97p-9, -0x1.8dd40439bb472p-9, -0x1.84fdd29b71fdep-9, -0x1.7c55618810febp-9, -0x1.73d9dd9bd6928p-9, -0x1.6b8a7169fb066p-9, -0x1.63665492c1f82p-9, -0x1.5b6cbc1e9cc19p-9, -0x1.539ce5f05f896p-9, -0x1.4bf6179c5340fp-9, -0x1.44778d9fd6dabp-9, -0x1.3d208f3ba2d24p-9, -0x1.35f0774ff3666p-9, -0x1.2ee687cb3d754p-9, -0x1.280214a51ab9ep-9, -0x1.2142659ba718p-9, -0x1.1aa6caa819187p-9, -0x1.142e9598bf2fep-9, -0x1.0dd9147d1ff4bp-9, -0x1.07a5a2f0ece0dp-9, -0x1.019395153a9c2p-9, -0x1.f74490025aa9ap-10, -0x1.eba2375b41b72p-10, -0x1.e03ef231db3f3p-10, -0x1.d5199a4607fbdp-10, -0x1.ca310ba8aa3d9p-10, -0x1.bf8424a51ccf3p-10, -0x1.b511cbc6e629ep-10, -0x1.aad8ecac3a21bp-10, -0x1.a0d87b028975dp-10, -0x1.970f40e3563cep-10, -0x1.8d7c1c4893f97p-10, -0x1.841e1c178102cp-10, -0x1.7af417925ada5p-10, -0x1.71fd0576a8cf5p-10, -0x1.6937d9ea4a257p-10, -0x1.60a379ce2d8c7p-10, -0x1.583f457944a56p-10, -0x1.5009e59bf8cfp-10, -0x1.4802e48d4bb36p-10, -0x1.402905b6abf7fp-10, -0x1.387b8332c96a8p-10, -0x1.30f988ce2e042p-10, -0x1.29a23cf9a02fp-10, -0x1.2274c113b4d4p-10, -0x1.1b703bcaf31fdp-10, -0x1.1493d5277394bp-10, -0x1.0ddeb6e6359a7p-10, -0x1.075009daf3fdcp-10, -0x1.00e6fd3b53d4dp-10, -0x1.f54593dda89e4p-11, -0x1.e9055e0516fb4p-11, -0x1.dd0bde87b1a33p-11, -0x1.d157a7f4ce723p-11, -0x1.c5e75ae183358p-11, -0x1.bab994062002bp-11, -0x1.afcd2885134f6p-11, -0x1.a52073bc7d37dp-11, -0x1.9ab2539f2f427p-11, -0x1.908168eb1cdfap-11, -0x1.868c66bc4c63ap-11, -0x1.7cd202bdde142p-11, -0x1.7350fa0d812dp-11, -0x1.6a080be7e6d22p-11, -0x1.60f60fa229bb1p-11, -0x1.5819d5c99c5abp-11, -0x1.4f722d0839ddep-11, -0x1.46fe0a157b1fdp-11, -0x1.3ebc5a814256ap-11, -0x1.36ac0726e29fap-11, -0x1.2ecc0237173a8p-11, -0x1.271b4c4618531p-11, -0x1.1f98e7049175cp-11, -0x1.1843a2ea1a76ap-11, -0x1.111b3749577f2p-11, -0x1.0a1d87f1defbdp-11, -0x1.034a788ad43c7p-11, -0x1.f941a49dfe961p-12, -0x1.ec3f364614165p-12, -0x1.df8bdc0a5b221p-12, -0x1.d325c9da0982fp-12, -0x1.c70b4d6bb464p-12, -0x1.bb3acbaab1a85p-12, -0x1.afb2bde5b1b51p-12, -0x1.a4713a044f3a1p-12, -0x1.9975ccb569a59p-12, -0x1.8ebde83b50a72p-12, -0x1.84485ee62eb17p-12, -0x1.7a130d4ded746p-12, -0x1.701d830a5f8bdp-12, -0x1.6665bd72b90d8p-12, -0x1.5cea862b05c0ap-12, -0x1.53aa7392df29fp-12, -0x1.4aa44fc77c0edp-12, -0x1.41d6c12bf3452p-12, -0x1.3940709cb8eecp-12, -0x1.30e01171f968p-12, -0x1.28b4421941774p-12, -0x1.20bba063b86f2p-12, -0x1.18f4fd57a3756p-12, -0x1.115f451126f5fp-12, -0x1.09f98b7a576d9p-12, -0x1.02c2d9b0af5e5p-12, -0x1.f774421f3f6d5p-13, -0x1.e9bc940a7cf3bp-13, -0x1.dc5c2aa526904p-13, -0x1.cf50de5f5d54fp-13, -0x1.c298c9248ec08p-13, -0x1.b631750d6dd9bp-13, -0x1.aa19a80f20b98p-13, -0x1.9e4f5a8f88412p-13, -0x1.92d0e3fe57784p-13, -0x1.879d34ccf4502p-13, -0x1.7cb29dbf5e314p-13, -0x1.720f4c1f281d5p-13, -0x1.67b14234e995p-13, -0x1.5d969264508b2p-13, -0x1.53bca598acbfdp-13, -0x1.4a220a3971529p-13, -0x1.40c5e65e37ee4p-13, -0x1.37a6aad933cb9p-13, -0x1.2ec3640eb4f66p-13, -0x1.261ab24bb9b53p-13, -0x1.1daa76bc2578fp-13, -0x1.1573275af7722p-13, -0x1.0d707051e7cb2p-13, -0x1.05a24f105dc4p-13, -0x1.fc11b4b2b65p-14, -0x1.ed3e7f3a403acp-14, -0x1.decd85dc7c135p-14, -0x1.d0bc9f5122e83p-14, -0x1.c30a2d3e703a2p-14, -0x1.b5b444c25c43bp-14, -0x1.a8b884c4b75aap-14, -0x1.9c1458f066c01p-14, -0x1.8fc5133389becp-14, -0x1.83c8e8ddeabaap-14, -0x1.781b9f2e3745cp-14, -0x1.6cbc7f3f0e9cfp-14, -0x1.61a9aae043308p-14, -0x1.56e18597c9e1fp-14, -0x1.4c629e024150ap-14, -0x1.422b461c6280ap-14, -0x1.38399cebb043cp-14, -0x1.2e8b623433af1p-14, -0x1.251f4ffc3f31ap-14, -0x1.1bf388254bf6ep-14, -0x1.1305788ffba0cp-14, -0x1.0a5376e548882p-14, -0x1.01dc225b2536ep-14, -0x1.f33df9ab6be66p-15, -0x1.e33669b78fa9dp-15, -0x1.d39ed44c834eap-15, -0x1.c473addd407ffp-15, -0x1.b5b3476cf8d71p-15, -0x1.a75c15c11bd2ep-15, -0x1.9962836488e62p-15, -0x1.8bce28068f4c3p-15, -0x1.7e986e6a8da1fp-15, -0x1.71bf7bfd031aep-15, -0x1.65411416923a2p-15, -0x1.591a657f637dcp-15, -0x1.4d48a9e3e9ea9p-15, -0x1.41c9dd51dc96bp-15, -0x1.369c49f5bd922p-15, -0x1.2bbed71d00ad3p-15, -0x1.212fa53909b89p-15, -0x1.16eca1b6358dfp-15, -0x1.0cf2bde72697cp-15, -0x1.033f88ad510b9p-15, -0x1.f3a271603ad2cp-16, -0x1.e14cdda87454ep-16, -0x1.cf7bc54356f2cp-16, -0x1.be2a0e42bc9a6p-16, -0x1.ad58d15eeac5dp-16, -0x1.9cfea0366fd84p-16, -0x1.8d2149d2e1fd7p-16, -0x1.7db57078d6eafp-16, -0x1.6ebc106635e7ap-16, -0x1.6032acbd9cf5p-16, -0x1.52168db7d74f7p-16, -0x1.4464f99eb9cddp-16, -0x1.371a2b2ef2f16p-16, -0x1.2a31baca18a24p-16, -0x1.1da776371c0f7p-16, -0x1.1179fe9cddd73p-16, -0x1.05a825e0c6b07p-16, -0x1.f467428d18e36p-17, -0x1.de26a5473f1edp-17, -0x1.c89b6c9a17c44p-17, -0x1.b3b52c3693bd9p-17, -0x1.9f72cea5d6035p-17, -0x1.8bccf9c375d7ep-17, -0x1.78be22216d7d7p-17, -0x1.6643840ff8e33p-17, -0x1.5458b4544d337p-17, -0x1.42f796d28c8dcp-17, -0x1.322392c1ff417p-17, -0x1.21d3dcda7b975p-17, -0x1.120b23f1e82f7p-17, -0x1.02bbb21c39ddap-17, -0x1.e7c5966a3ffd6p-18, -0x1.cb31bf26f4d0fp-18, -0x1.af73c32b82589p-18, -0x1.94a509ea55e43p-18, -0x1.7aba717d1c431p-18, -0x1.61a25dc53015fp-18, -0x1.4958474704114p-18, -0x1.31d829ad3004ap-18, -0x1.1b2359dca6884p-18, -0x1.052f734e1924ep-18, -0x1.e00737b21060cp-19, -0x1.b71d915241f3dp-19, -0x1.8f8d3dc89024ep-19, -0x1.69739ee59c53dp-19, -0x1.44bea771182a5p-19, -0x1.2146dd2bb633bp-19, -0x1.fe0b577393f7bp-20, -0x1.bc5f4f540881cp-20, -0x1.7ce33c34b1c29p-20, -0x1.3fa51cb61cf6fp-20, -0x1.04a5882f263b3p-20, -0x1.97e6a08397be1p-21, -0x1.2aa974df4c58fp-21, -0x1.835ddc6c31d89p-22, -0x1.73cd7daafc1d4p-23, 0x1.f10f7a20ccf25p-28, 0x1.8480672c0cbacp-23, 0x1.7498d2aca46fp-22, 0x1.0faf6dc7fef09p-21, 0x1.6194781b30836p-21, 0x1.b036951f8d44p-21, 0x1.fb24a53bfe62dp-21, 0x1.217c0b2a1591cp-20, 0x1.43bd9e02c7e22p-20, 0x1.647c43aaebe1bp-20, 0x1.83cf89a5611a7p-20, 0x1.a19f236be9a06p-20, 0x1.bdf4f37c6f27fp-20, 0x1.d8f3e4199b7ep-20, 0x1.f2890718d860cp-20, 0x1.056527184241fp-19, 0x1.10df639861a3p-19, 0x1.1bb9dcc705319p-19, 0x1.2601f6e116ef6p-19, 0x1.2fb74d4053c02p-19, 0x1.38d973c442322p-19, 0x1.416c480b25f25p-19, 0x1.496fdd1431411p-19, 0x1.50e14929734d6p-19, 0x1.57e44d1fadee4p-19, 0x1.5e5e76803a7c7p-19, 0x1.64386ac0c0e43p-19, 0x1.6a2065f5b3903p-19, 0x1.6f2852438dd18p-19, 0x1.73d2e23234345p-19, 0x1.7815f65dc61d3p-19, 0x1.7be1fe3276abfp-19, 0x1.7f43dbc879c9ep-19, 0x1.824ef0b10c114p-19, 0x1.84ff43e77c247p-19, 0x1.874597e12df1bp-19, 0x1.89452038176a3p-19, 0x1.8ad9d326e38fp-19, 0x1.8c1af9fa69249p-19, 0x1.8ccf098a5810dp-19, 0x1.8daeeab8c5569p-19, 0x1.8dfe3fddf7269p-19, 0x1.8e0e376855117p-19, 0x1.8dd37db920149p-19, 0x1.8d4615c32e476p-19, 0x1.8c7c0bde31de9p-19, 0x1.8b6a2dcaa5fedp-19, 0x1.89fa75f9624d2p-19, 0x1.888e07336a689p-19, 0x1.86c1ed5eb9fc1p-19, 0x1.84cd9de1c67e2p-19, 0x1.82935ecafc331p-19, 0x1.8030ce1ea4566p-19, 0x1.7d8b5160617d2p-19, 0x1.7ac77a9cb16cfp-19, 0x1.77be3850fea4bp-19, 0x1.7493aab20f825p-19, 0x1.713bf1c3bbda7p-19, 0x1.6da6ddedb2888p-19, 0x1.69ee783dfeb23p-19, 0x1.6620af69bbbecp-19, 0x1.622b636a82d1ap-19, 0x1.5df9c8c749889p-19, 0x1.59b9514f3c75ap-19, 0x1.5553fbfc5aafep-19, 0x1.50cd21be22ccdp-19, 0x1.4c1f246831f9ep-19, 0x1.4759c9658dbb8p-19, 0x1.4294907c6c82ep-19, 0x1.3d9d367f1fa1cp-19, 0x1.386cb4338b8f8p-19, 0x1.334120c1c2a7bp-19, 0x1.2dee47b4b0cb5p-19, 0x1.2890f8ccdc1b3p-19, 0x1.231cea5eb8728p-19, 0x1.1daa44ebbd283p-19, 0x1.180c775ff15acp-19, 0x1.125e734910c4ap-19, 0x1.0caa2ce4ae6b7p-19, 0x1.06e12d2080eb6p-19, 0x1.01008cc669db4p-19, 0x1.f62d4e9d7b8e9p-20, 0x1.ea48bda123985p-20, 0x1.de4af2fd36f1cp-20, 0x1.d232dfac40da9p-20, 0x1.c60e3549d2914p-20, 0x1.b9c7edebea283p-20, 0x1.ad7295fc083f9p-20, 0x1.a12432ebc03bap-20, 0x1.94c9ed5c070bcp-20, 0x1.88396bb3d1f58p-20, 0x1.7baedf986578dp-20, 0x1.6f3972526584ap-20, 0x1.62ca59ce4acebp-20, 0x1.566caedb3b9e9p-20, 0x1.4974edc71534cp-20, 0x1.3c9549e7b9c49p-20, 0x1.3016cedd4230cp-20, 0x1.23b9439aac3fcp-20, 0x1.16cee3ea3e498p-20, 0x1.0a07f068876e1p-20, 0x1.facd76fc7981bp-21, 0x1.e15f6c4404acap-21, 0x1.c81046f475b96p-21, 0x1.af20b9221d844p-21, 0x1.95f08a708ede3p-21, 0x1.7cbc64eb2ec69p-21, 0x1.63a145dac9903p-21, 0x1.4a8af781444cep-21, 0x1.31a29ba702f02p-21, 0x1.18da6873ab4fcp-21, 0x1.0039d62767f1cp-21, 0x1.cf33d5542e073p-22, 0x1.9dfee032bdf75p-22, 0x1.6d6adb0a657a5p-22, 0x1.3cbfd4550fb61p-22, 0x1.0c3fb1bcbff4ep-22, 0x1.b87a63486d517p-23, 0x1.58b21dbe28282p-23, 0x1.f340c3d79d0d8p-24, 0x1.360d5c0658374p-24, 0x1.e9a6bf05692e4p-26, -0x1.00a99949dcf65p-26, -0x1.f2d2ec85e53b2p-25, -0x1.b157789436b74p-24, -0x1.34025060a7bafp-23, -0x1.8f0c0d3ce3a06p-23, -0x1.e80f1ae49caeap-23, -0x1.213acae4ed98ap-22, -0x1.4d6250d5ab15ep-22, -0x1.795fa435bd33ap-22, -0x1.a45485b36aab4p-22, -0x1.cf8825e6a329p-22, -0x1.fa5a82d33fef6p-22, -0x1.126ffd1c0d734p-21, -0x1.27358ec86eb7ep-21, -0x1.3c0ae438c7dcep-21, -0x1.50a27b6644a2bp-21, -0x1.64d9d8f54f8d7p-21, -0x1.78f5740726d1cp-21, -0x1.8cdefc2199c0dp-21, -0x1.a0b40d9864aa2p-21, -0x1.b3bb5091ba4bdp-21, -0x1.c72a3165e484dp-21, -0x1.da4cad103c523p-21, -0x1.ecc07d0b87dd5p-21, -0x1.ff9f6ba407beep-21, -0x1.08f06fd8070ddp-20, -0x1.11ee036b6734bp-20, -0x1.1aee8013745c7p-20, -0x1.23293a7c83e37p-20, -0x1.2c22054821d83p-20, -0x1.34f46b1fee6fp-20, -0x1.3d8bae7aeceeep-20, -0x1.4559a44f805cbp-20, -0x1.4deeef529843p-20, -0x1.55f56d8ad3d26p-20, -0x1.5de71693b6785p-20, -0x1.65c7766e5c9a2p-20, -0x1.6d71daa5c6372p-20, -0x1.751802c44a87dp-20, -0x1.7c8f513d2ad9fp-20, -0x1.83d37d83499e1p-20, -0x1.8b147a9189abp-20, -0x1.922909fc05b14p-20, -0x1.992060af0453bp-20, -0x1.9ffcdc19bff4p-20, -0x1.a6b98aa4843f6p-20, -0x1.ad5620dd0114ep-20, -0x1.b3d6b2e4ca4d8p-20, -0x1.ba2929f336b75p-20, -0x1.c091af79bb103p-20, -0x1.c686e939ecfc8p-20, -0x1.cc830d0c29121p-20, -0x1.d25eddaa2bf62p-20, -0x1.d822c96699e1dp-20, -0x1.ddc8fa92d62c8p-20, -0x1.e34158a4059f6p-20, -0x1.e8a6057f7580ep-20, -0x1.ede200e89766p-20, -0x1.f2f3f18f173b2p-20, -0x1.f802a5a1fbd9ap-20, -0x1.fceeaa2151124p-20, -0x1.00d5cdf5cc6dap-19, -0x1.0328e44f00d04p-19, -0x1.0571d3dba976ep-19, -0x1.07a2d2ee6282cp-19, -0x1.09cc853217b66p-19, -0x1.0bdfea52d27dcp-19, -0x1.0dda00635f2b1p-19, -0x1.0fdb40c490fd9p-19, -0x1.11c8dff217a99p-19, -0x1.13a86b478c38cp-19, -0x1.1564ee758583cp-19, -0x1.1726c52d09b6bp-19, -0x1.18d98f551945ap-19, -0x1.1a7aaa93aecd3p-19, -0x1.1c0fdae627918p-19, -0x1.1da3b8897be18p-19, -0x1.1f0b94f916dap-19, -0x1.2071f73aa500ep-19, -0x1.21caa116a4d2p-19, -0x1.2304368640a62p-19, -0x1.2443a724c16b8p-19, -0x1.25657ce45df24p-19, -0x1.269c88681423bp-19, -0x1.278e588ac29aap-19, -0x1.28be22edfc926p-19, -0x1.29b44809be668p-19, -0x1.2a9f15a6ce2fep-19, -0x1.2b6d82607baa1p-19, -0x1.2c49ac187b864p-19, -0x1.2d0b4a3e2a4d3p-19, -0x1.2db99a804372cp-19, -0x1.2e580cae5291fp-19, -0x1.2f0e74a1a0575p-19, -0x1.2f9fb8c019796p-19, -0x1.30248177fd15ap-19, -0x1.309fdb74874f8p-19, -0x1.31076cb14db0cp-19, -0x1.31647d33ae42cp-19, -0x1.31c8189285992p-19, -0x1.320b9836735e8p-19, -0x1.32417b4ad0173p-19, -0x1.327784ed72466p-19, -0x1.329dda7125693p-19, -0x1.32ae794f794d4p-19, -0x1.32c058eb346b3p-19, -0x1.32c4d1ce2d272p-19, -0x1.32b57c9e6cc26p-19, -0x1.32ab7079327dbp-19, -0x1.3293e1c6a0d7cp-19, -0x1.325c917a2e147p-19, -0x1.322ae903d5ad1p-19, -0x1.31fb8c1a94b8ep-19, -0x1.31aed0fb8aff8p-19, -0x1.31613218ef2ccp-19, -0x1.3102aebe8a1f9p-19, -0x1.309fb4a8f8e45p-19, -0x1.302df26c58e9dp-19, -0x1.2fb475e23fcf7p-19, -0x1.2f3ceff256653p-19, -0x1.2ea644d563471p-19, -0x1.2e1ba0354eec2p-19, -0x1.2d76a1cfa5d81p-19, -0x1.2ccc399a57bb3p-19, -0x1.2c203c3b71f8cp-19, -0x1.2b63897f6dcb2p-19, -0x1.2a9c6e7d79b7fp-19, -0x1.29db701ee7378p-19, -0x1.290c49c3cf4a8p-19, -0x1.2831240b5f21cp-19, -0x1.2744b03b20b1p-19, -0x1.2657c3334a38ap-19, -0x1.25753d7162fa4p-19, -0x1.246a828bfba3ap-19, -0x1.2370dd2745fafp-19, -0x1.226787f27f9bbp-19, -0x1.214b6e9374bb1p-19, -0x1.2030167023818p-19, -0x1.1f1721612862cp-19, -0x1.1deb58c4ba4bcp-19, -0x1.1cc613efc1ab3p-19, -0x1.1b8e3bb152b6ap-19, -0x1.1a4d24df6bf2cp-19, -0x1.190bbef0d80f2p-19, -0x1.17ab4aedd1d75p-19, -0x1.1674eb4a24292p-19, -0x1.151ca56daee08p-19, -0x1.13bc59cae6dffp-19, -0x1.1259be66fbe33p-19, -0x1.10f1da772f811p-19, -0x1.0f837aac3811bp-19, -0x1.0e0f061ee322p-19, -0x1.0c9587f0c356ap-19, -0x1.0b187093456d7p-19, -0x1.0991190c5421cp-19, -0x1.0806cc251e136p-19, -0x1.068d07153d93ep-19, }}, 
      {{-0x1.005012ddabc48p-2, -0x1.9833ede5531adp-3, -0x1.34d076310b3b4p-3, -0x1.05bafbd99ea52p-3, -0x1.220bc1cf0fc0ep-3, -0x1.8c6283baa3ba6p-3, -0x1.1cde140421c34p-2, -0x1.8beac9c9da291p-2, -0x1.048180739680fp-1, -0x1.451eec912f2f7p-1, -0x1.8387acc552453p-1, -0x1.bc5c8ddce35fap-1, -0x1.ed31b388f8387p-1, -0x1.0a400646d0e46p+0, -0x1.18c403899b0cep+0, -0x1.22170477246f3p+0, -0x1.266b06f50d1fcp+0, -0x1.2620c75d3ac2p+0, -0x1.21b8a61e565d5p+0, -0x1.19c5d87dd5f2fp+0, -0x1.0ee3f512ddfb4p+0, -0x1.01aec3f9caeep+0, -0x1.e578328e8ae11p-1, -0x1.c52eefbffbc19p-1, -0x1.a37e6586bbe71p-1, -0x1.81458e299bfdbp-1, -0x1.5f44592a827cep-1, -0x1.3e1bc4ec2070dp-1, -0x1.1e4f0ae1072b3p-1, -0x1.004589d336a1cp-1, -0x1.c89a5172a7d88p-2, -0x1.9539f892ddf25p-2, -0x1.66b00d492b147p-2, -0x1.3d1fe54aa8d21p-2, -0x1.188f6cb52eb52p-2, -0x1.f1d836d3d8d77p-3, -0x1.bc1f0dcee358p-3, -0x1.8f870cf29471cp-3, -0x1.6b8bc53dd0b64p-3, -0x1.4f9724bfbefb9p-3, -0x1.3b0711757490ep-3, -0x1.2d3233504961ap-3, -0x1.256bfe34e3199p-3, -0x1.23080b94552e8p-3, -0x1.255cd1dadccb7p-3, -0x1.2bc5cef85288bp-3, -0x1.35a53c9722ef8p-3, -0x1.426556e55faddp-3, -0x1.51794456557ecp-3, -0x1.625dac6f60691p-3, -0x1.749913739a003p-3, -0x1.87bc0536476fdp-3, -0x1.9b610eb5cce8dp-3, -0x1.af2c9509ba971p-3, -0x1.c2cc8adad8d04p-3, -0x1.d5f817866a64ap-3, -0x1.e86f308bfeb4cp-3, -0x1.f9fa280092a84p-3, -0x1.05349966511d7p-2, -0x1.0cc9f356e65f2p-2, -0x1.13ac5aeaf2631p-2, -0x1.19ce35b878a1ap-2, -0x1.1f24d50b6bd5ep-2, -0x1.23a837b725db1p-2, -0x1.2752cd536e8f1p-2, -0x1.2a213c14c1fefp-2, -0x1.2c1228945d66fp-2, -0x1.2d260016484b3p-2, -0x1.2d5ec613a3e98p-2, -0x1.2cbfe455b5793p-2, -0x1.2b4dfebb1dc78p-2, -0x1.290ec9b7eb346p-2, -0x1.2608e3ec9b254p-2, -0x1.2243b2b38b26bp-2, -0x1.1dc7411542dc2p-2, -0x1.189c21b4cbe96p-2, -0x1.12cb52783ff3ap-2, -0x1.0c5e2379955e6p-2, -0x1.055e1f6b04764p-2, -0x1.fba9ed28bee01p-3, -0x1.eb98d7d4c3e85p-3, -0x1.da9c87db4ed43p-3, -0x1.c8c86b2f33502p-3, -0x1.b62fba2e2b04ap-3, -0x1.a2e55fae2d697p-3, -0x1.8efbe550660bp-3, -0x1.7a8561342c257p-3, -0x1.659368285771cp-3, -0x1.5037001c1b29bp-3, -0x1.3a809629eed81p-3, -0x1.247ff6f9586b8p-3, -0x1.0e44474b6cb63p-3, -0x1.efb7ffe91831dp-4, -0x1.c2a9d4e56b3bap-4, -0x1.95783ca7141dep-4, -0x1.683c04213c02dp-4, -0x1.3b0c94d74c1fep-4, -0x1.0dfff7171de2p-4, -0x1.c255b424011adp-5, -0x1.69412c4f0f776p-5, -0x1.10e668e06a05p-5, -0x1.72cdeb722056bp-6, -0x1.8b8786d0c418bp-7, -0x1.ae7a494cbf5a1p-10, 0x1.1b237acb42f75p-7, 0x1.337831e41fd75p-6, 0x1.d69fd55825758p-6, 0x1.3b706f0fb96edp-5, 0x1.8a0bbdcd17681p-5, 0x1.d711cfa16964ep-5, 0x1.113a34cb2bb38p-4, 0x1.361381ffc45a7p-4, 0x1.5a0f5c0783a4ap-4, 0x1.7d2913b5e2dap-4, 0x1.9f5cb2622c814p-4, 0x1.c0a6f24f15841p-4, 0x1.e1053266d884fp-4, 0x1.003ab5ef4811dp-3, 0x1.0f7b1608d8eap-3, 0x1.1e43442f0846dp-3, 0x1.2c930a94a484fp-3, 0x1.3a6a7037b0a9fp-3, 0x1.47c9b37fc95adp-3, 0x1.54b145f4afe3dp-3, 0x1.6121ca3b645e7p-3, 0x1.6d1c0eef8c2fep-3, 0x1.78a10ad8dca3dp-3, 0x1.83b1db98c7501p-3, 0x1.8e4fc0ba69bc5p-3, 0x1.987c1841ab10ep-3, 0x1.a2385dc15ad7fp-3, 0x1.ab862695a89e5p-3, 0x1.b4671e120bbabp-3, 0x1.bcdd04908e45ap-3, 0x1.c4e9adc5cacf5p-3, 0x1.cc8efc02065bp-3, 0x1.d3cedf6bb6961p-3, 0x1.daab554721211p-3, 0x1.e12664a788cffp-3, 0x1.e7421bd1e99aap-3, 0x1.ed00908e3d224p-3, 0x1.f263de87d7df8p-3, 0x1.f76e244e25bd1p-3, 0x1.fc218251b493fp-3, 0x1.00400d9b72dd3p-2, 0x1.024608fff37d6p-2, 0x1.0423c3da8a199p-2, 0x1.05da4d97e9a57p-2, 0x1.076ab4bc44ffdp-2, 0x1.08d605fa47d7ap-2, 0x1.0a1d4b5937f7bp-2, 0x1.0b418c58635d9p-2, 0x1.0c43ce0cf7318p-2, 0x1.0d251268e9dc3p-2, 0x1.0de657a781c17p-2, 0x1.0e8898575aa17p-2, 0x1.0f0ccbb974de6p-2, 0x1.0f73e52001bc4p-2, 0x1.0fbed37033498p-2, 0x1.0fee814967eacp-2, 0x1.1003d547242c7p-2, 0x1.0fffb1bfaa846p-2, 0x1.0fe2f45bac241p-2, 0x1.0fae7614586eap-2, 0x1.0f630b6bd2b63p-2, 0x1.0f01849102d74p-2, 0x1.0e8aad03274b1p-2, 0x1.0dff4b78d0b79p-2, 0x1.0d6022034508ap-2, 0x1.0cadee48394fcp-2, 0x1.0be96974f6453p-2, 0x1.0b13481db4deap-2, 0x1.0a2c3a2b5112ap-2, 0x1.0934eb1efd3a1p-2, 0x1.082e022e702dcp-2, 0x1.07182252cbb37p-2, 0x1.05f3ea1488b19p-2, 0x1.04c1f3b94d2c3p-2, 0x1.0382d54c9a295p-2, 0x1.023720f1c4f8bp-2, 0x1.00df64d9b0bafp-2, 0x1.fef8561ecdf8bp-3, 0x1.fc1bf38f78577p-3, 0x1.f92aa6c30e098p-3, 0x1.f6256d55d90bdp-3, 0x1.f30d3d84093f9p-3, 0x1.efe3066bb7785p-3, 0x1.eca7b0123e27ep-3, 0x1.e95c1bc1428cdp-3, 0x1.e60124116df4dp-3, 0x1.e2979d62d17d5p-3, 0x1.df20558f1f3d4p-3, 0x1.db9c14466a717p-3, 0x1.d80b9b3e3be4ap-3, 0x1.d46fa62c78989p-3, 0x1.d0c8eb414508bp-3, 0x1.cd181b1746cb2p-3, 0x1.c95de0dc4f9f6p-3, 0x1.c59ae275ab61ap-3, 0x1.c1cfc083cd39bp-3, 0x1.bdfd16cbcabaep-3, 0x1.ba237c31a7bd8p-3, 0x1.b64382f897f1ap-3, 0x1.b25db8ad5b178p-3, 0x1.ae72a678c8bb8p-3, 0x1.aa82d0f36e4c4p-3, 0x1.a68eb8b679819p-3, 0x1.a296da2cf15c3p-3, 0x1.9e9baddf5f24dp-3, 0x1.9a9da84eb0012p-3, 0x1.969d3a2865561p-3, 0x1.929ad09fe2b52p-3, 0x1.8e96d5335f22ap-3, 0x1.8a91ae06b609cp-3, 0x1.868bbdb1faeffp-3, 0x1.828563bd318c2p-3, 0x1.7e7efc4eff954p-3, 0x1.7a78e08a2a0cp-3, 0x1.767366b3c8ba2p-3, 0x1.726ee1d85e5f7p-3, 0x1.6e6ba26b09dfap-3, 0x1.6a69f5f0c6b23p-3, 0x1.666a2735ab4f2p-3, 0x1.626c7eb01558dp-3, 0x1.5e714202509e1p-3, 0x1.5a78b48d5d5ecp-3, 0x1.568316f8eb8bcp-3, 0x1.5290a7bb6b4dcp-3, 0x1.4ea1a2fb60bfap-3, 0x1.4ab642f237414p-3, 0x1.46cebf300ea03p-3, 0x1.42eb4dcbbfcdbp-3, 0x1.3f0c220a155a9p-3, 0x1.3b316db4f4afcp-3, 0x1.375b605942494p-3, 0x1.338a27efa0345p-3, 0x1.2fbdf081aa4d3p-3, 0x1.2bf6e4455d217p-3, 0x1.28352b97a4a2ap-3, 0x1.2478ed39d7001p-3, 0x1.20c24e150c071p-3, 0x1.1d1171b87702bp-3, 0x1.19667a03a571bp-3, 0x1.15c1876684c8fp-3, 0x1.1222b8cd3562dp-3, 0x1.0e8a2b75df0d4p-3, 0x1.0af7fb67cd92bp-3, 0x1.076c431c5e8cap-3, 0x1.03e71bca6ccfcp-3, 0x1.00689d8b070c8p-3, 0x1.f9e1be08437e6p-4, 0x1.f2ffeb5cd3759p-4, 0x1.ec2beb4a5f929p-4, 0x1.e565e3b0bfe5ep-4, 0x1.deadf86647a44p-4, 0x1.d8044a78ec216p-4, 0x1.d168f99082c62p-4, 0x1.cadc22e9acd46p-4, 0x1.c45de19b3dc09p-4, 0x1.bdee4e8a38144p-4, 0x1.b78d80f2c9b1fp-4, 0x1.b13b8d8400d45p-4, 0x1.aaf887abe24bep-4, 0x1.a4c480caa60edp-4, 0x1.9e9f88dd589f2p-4, 0x1.9889adb0e70cap-4, 0x1.9282fbf50148fp-4, 0x1.8c8b7db112003p-4, 0x1.86a33c68a990dp-4, 0x1.80ca3f12509e7p-4, 0x1.7b008bdca2537p-4, 0x1.7546276cc732ap-4, 0x1.6f9b14e73e6dbp-4, 0x1.69ff5640278cdp-4, 0x1.6472ebbffc838p-4, 0x1.5ef5d46b8f3d8p-4, 0x1.59880e535e649p-4, 0x1.54299589855b8p-4, 0x1.4eda65b7049f9p-4, 0x1.499a793076508p-4, 0x1.4469c8f8fc24ap-4, 0x1.3f484d7b5c5ccp-4, 0x1.3a35fd91a6e6cp-4, 0x1.3532cf3041053p-4, 0x1.303eb78dedd05p-4, 0x1.2b59aa0b294eap-4, 0x1.26839a5c064f1p-4, 0x1.21bc7a3fc7a55p-4, 0x1.1d043b7532897p-4, 0x1.185ace8351d28p-4, 0x1.13c0230f89c2ep-4, 0x1.0f34283ed0398p-4, 0x1.0ab6cc0e2ebb3p-4, 0x1.0647fbf0162d3p-4, 0x1.01e7a4c3dfbbap-4, 0x1.fb2b64e2c53dap-5, 0x1.f2a420c6bf69fp-5, 0x1.ea39536cf8756p-5, 0x1.e1ead1617e2f5p-5, 0x1.d9b86ddf1efdap-5, 0x1.d1a1fb686e07cp-5, 0x1.c9a74ad5205f3p-5, 0x1.c1c82cdcfba4bp-5, 0x1.ba04705803087p-5, 0x1.b25be392e5927p-5, 0x1.aace5409bc068p-5, 0x1.a35b8eb05655cp-5, 0x1.9c035f747d15cp-5, 0x1.94c59171d55cep-5, 0x1.8da1ef5ba868ep-5, 0x1.869842eaf480cp-5, 0x1.7fa85522f32e7p-5, 0x1.78d1ee844625p-5, 0x1.7214d72178c3p-5, 0x1.6b70d66b7adbdp-5, 0x1.64e5b37181017p-5, 0x1.5e7334c6c501cp-5, 0x1.581920a8a719ap-5, 0x1.51d73ce899965p-5, 0x1.4bad4edd39711p-5, 0x1.459b1c31decd5p-5, 0x1.3fa068ae46e8bp-5, 0x1.39bcf9aa97bedp-5, 0x1.33f09322faed2p-5, 0x1.2e3af9272b444p-5, 0x1.289bef99ff4f4p-5, 0x1.23133a573f959p-5, 0x1.1da09cf3db6d9p-5, 0x1.1843db0d97d47p-5, 0x1.12fcb82c19182p-5, 0x1.0dcaf7cc4908cp-5, 0x1.08ae5d54348adp-5, 0x1.03a6ac2e49d63p-5, 0x1.fd674f7c4876cp-6, 0x1.f3aa26b6c04cfp-6, 0x1.ea156541d9744p-6, 0x1.e0a891bdf3731p-6, 0x1.d76332f588313p-6, 0x1.ce44d16c93dd7p-6, 0x1.c54cf46081c48p-6, 0x1.bc7b239f41913p-6, 0x1.b3cee89213337p-6, 0x1.ab47cc0198bdep-6, 0x1.a2e557a4198f5p-6, 0x1.9aa715509e2a6p-6, 0x1.928c8f876340dp-6, 0x1.8a95509cc812ap-6, 0x1.82c0e32a690eap-6, 0x1.7b0ed269ff06ap-6, 0x1.737ea9dd2e137p-6, 0x1.6c0ff66c117afp-6, 0x1.64c244af9833fp-6, 0x1.5d95241727f23p-6, 0x1.568822e46cc0fp-6, 0x1.4f9ad2aa22926p-6, 0x1.48ccc462c581ap-6, 0x1.421d8a04f1489p-6, 0x1.3b8cb5bcb14ffp-6, 0x1.3519d9b0edcfap-6, 0x1.2ec488874bea1p-6, 0x1.288c5407507a6p-6, 0x1.2270cfb1eab5cp-6, 0x1.1c718f6fe3213p-6, 0x1.168e28c8ae6ebp-6, 0x1.10c6334c5ce69p-6, 0x1.0b1948c59208ap-6, 0x1.0587044e49cabp-6, 0x1.000f02dda2e78p-6, 0x1.f561c6c114eeap-7, 0x1.ead885e97c07cp-7, 0x1.e0817e43b1d0ep-7, 0x1.d65bea3ee9f2ep-7, 0x1.cc66ffb55cf42p-7, 0x1.c2a1f7a7ee496p-7, 0x1.b90c08d111129p-7, 0x1.afa46ea52efbp-7, 0x1.a66a69c6e0219p-7, 0x1.9d5d417a8f0b8p-7, 0x1.947c44546ccc5p-7, 0x1.8bc6c75be55d6p-7, 0x1.833c2462973e5p-7, 0x1.7adbb73781405p-7, 0x1.72a4dba85bb1ep-7, 0x1.6a96e67346051p-7, 0x1.62b13013f1a2ap-7, 0x1.5af2fc6dea40ap-7, 0x1.535b9a68049b7p-7, 0x1.4bea50a9eef62p-7, 0x1.449e6b0b68c21p-7, 0x1.3d773bc2919ap-7, 0x1.36741eeaf7b19p-7, 0x1.2f947dd1905ddp-7, 0x1.28d7cac220bc6p-7, 0x1.223d82dc46002p-7, 0x1.1bc5263894c8ap-7, 0x1.156e34d89bc35p-7, 0x1.0f3829be533b1p-7, 0x1.092276d7342a1p-7, 0x1.032c8462d1428p-7, 0x1.faab62b0083c9p-8, 0x1.ef3aae73ccd01p-8, 0x1.e4059e877dfffp-8, 0x1.d90aef072d29ap-8, 0x1.ce497170fc462p-8, 0x1.c3c014c2b8dep-8, 0x1.b96de4d9983e7p-8, 0x1.af520aa094fe3p-8, 0x1.a56bc85d26391p-8, 0x1.9bba62d36b30cp-8, 0x1.923d1fe20945fp-8, 0x1.88f332f078a8ep-8, 0x1.7fdbb8f5e44abp-8, 0x1.76f5b56864ca5p-8, 0x1.6e401506db3cfp-8, 0x1.65b9b7af1b7f6p-8, 0x1.5d61765e76bc5p-8, 0x1.553638afb6662p-8, 0x1.4d36f7572bccbp-8, 0x1.4562c9f3b14eep-8, 0x1.3db8e80fd832p-8, 0x1.3638a66ed0193p-8, 0x1.2ee16f7f005b2p-8, 0x1.27b2b7e9a3602p-8, 0x1.20abf4e877cabp-8, 0x1.19cc8e4c3ffc7p-8, 0x1.1313da5f74188p-8, 0x1.0c81173d03a85p-8, 0x1.06136bb803c38p-8, 0x1.ff93eaf2941bap-9, 0x1.f34797444efc8p-9, 0x1.e740159587da7p-9, 0x1.db7bb95375175p-9, 0x1.cff90844a9a0bp-9, 0x1.c4b6a54f4ddacp-9, 0x1.b9b37436dfdd6p-9, 0x1.aeee6862f88d7p-9, 0x1.a46696abb21bcp-9, 0x1.9a1b1683b54c3p-9, 0x1.900af03a86d92p-9, 0x1.86350cf1e48bbp-9, 0x1.7c983f643fa5bp-9, 0x1.733340c9e69ebp-9, 0x1.6a04bb831c124p-9, 0x1.610b5e2223edfp-9, 0x1.5845e4c46bbe7p-9, 0x1.4fb31f1f4ea61p-9, 0x1.4751f2367c30fp-9, 0x1.3f21580bb027cp-9, 0x1.37205e0a821bbp-9, 0x1.2f4e25263e51fp-9, 0x1.27a9e357907bfp-9, 0x1.2032c3b4a371dp-9, 0x1.18e820ffdba72p-9, 0x1.11c9165bfd2d8p-9, 0x1.0ad4beea7c92p-9, 0x1.040a0bbc64d05p-9, 0x1.facfa5282c9d6p-10, 0x1.edd9c814080dfp-10, 0x1.e1304e6872749p-10, 0x1.d4d15c78a1633p-10, 0x1.c8bb7b0065d8dp-10, 0x1.bced8389b867dp-10, 0x1.b1666e9831a7fp-10, 0x1.a6251eee648f7p-10, 0x1.9b2843681b472p-10, 0x1.906e5f3b3dbf7p-10, 0x1.85f5e712f8ceap-10, 0x1.7bbd7c2cd6068p-10, 0x1.71c3e79a0848bp-10, 0x1.68082096124b6p-10, 0x1.5e890933f7588p-10, 0x1.55455ae6d3c01p-10, 0x1.4c3b5cc1f47a4p-10, 0x1.4368fad792d03p-10, 0x1.3acbfeb1c697ep-10, 0x1.32626edec7649p-10, 0x1.2a2aebe927a9ap-10, 0x1.2224d2f98167ap-10, 0x1.1a500ac32de62p-10, 0x1.12ac9b49e795ap-10, 0x1.0b3a0a518dde7p-10, 0x1.03f7693a5ab85p-10, 0x1.f9c6316e9001ep-11, 0x1.ebf655a866c6ap-11, 0x1.de7c54ae377bp-11, 0x1.d155895159446p-11, 0x1.c480cd1ccc649p-11, 0x1.b7fda186d5cf8p-11, 0x1.abcba83376fd1p-11, 0x1.9fe9e4815801dp-11, 0x1.94562a56b3651p-11, 0x1.890d10b860bdfp-11, 0x1.7e0a9d6ecddd2p-11, 0x1.734b437e50a3bp-11, 0x1.68ccdb18a48bfp-11, 0x1.5e8f06b3f094p-11, 0x1.5492c2ee1a65fp-11, 0x1.4ad91ac7a20fep-11, 0x1.4161f9adc85d1p-11, 0x1.382b986186d64p-11, 0x1.2f32c0e772bffp-11, 0x1.2673b0bd8758cp-11, 0x1.1deb09ed2db97p-11, 0x1.1596801f7cfe7p-11, 0x1.0d753b62f03edp-11, 0x1.05877e63dbd12p-11, 0x1.fb9c1d8277ba9p-12, 0x1.ec928ef105f58p-12, 0x1.ddf127cdf7ac8p-12, 0x1.cfb470aeb5259p-12, 0x1.c1d77618c8583p-12, 0x1.b454bea003e3ep-12, 0x1.a7287726f699p-12, 0x1.9a502bcfba87cp-12, 0x1.8dcb083005111p-12, 0x1.819a2667a0bp-12, 0x1.75be00f8c53ap-12, 0x1.6a35d4ce2a179p-12, 0x1.5eff5046147a8p-12, 0x1.5416a9f505d81p-12, 0x1.49772091cadbep-12, 0x1.3f1bc0657c05ep-12, 0x1.35013e6c04383p-12, 0x1.2b254a3c531e7p-12, 0x1.21888dc48b5dep-12, 0x1.182c34a043021p-12, 0x1.0f10d023eca2cp-12, 0x1.0635805a91688p-12, 0x1.fb305c7e569e8p-13, 0x1.ea6cfe3ec166ap-13, 0x1.da1d4767a903bp-13, 0x1.ca3ee1e0c0aacp-13, 0x1.bad0e783883dfp-13, 0x1.abd15b1f4b4dfp-13, 0x1.9d3cbded1882ep-13, 0x1.8f0ddf9a6e15dp-13, 0x1.813fa2f2752acp-13, 0x1.73cf5e721e41dp-13, 0x1.66bd2e66839cfp-13, 0x1.5a0984bcc18edp-13, 0x1.4db2022782eap-13, 0x1.41b17a4f5e06cp-13, 0x1.3602da8bfcb31p-13, 0x1.2aa30da06b616p-13, 0x1.1f908a95459c8p-13, 0x1.14ca214628479p-13, 0x1.0a4e7c80e3ef2p-13, 0x1.001c25ad3f5b8p-13, 0x1.ec62a55a70639p-14, 0x1.d917b5e03186ap-14, 0x1.c654fa069a21bp-14, 0x1.b416b03402923p-14, 0x1.a265ce7352d54p-14, 0x1.914451ada1eb7p-14, 0x1.80b00a9b4f081p-14, 0x1.709e077f04f6cp-14, 0x1.60fe1566eb8c4p-14, 0x1.51c1cf6a602dbp-14, 0x1.42e54b38bf573p-14, 0x1.3470782105589p-14, 0x1.266bb9cac38afp-14, 0x1.18d61e09e2501p-14, 0x1.0ba93e79d21bap-14, 0x1.fdc58ba490509p-15, 0x1.e5067feabce62p-15, 0x1.cd0b6a8c1d494p-15, 0x1.b5bec1b62842cp-15, 0x1.9f0ef32513babp-15, 0x1.88f7fe5ccf8f2p-15, 0x1.7381351ac3901p-15, 0x1.5eb0889dcc433p-15, 0x1.4a7a74f21dc65p-15, 0x1.36d90a7611ed4p-15, 0x1.23d188ae7cbc3p-15, 0x1.116ee9f0773abp-15, 0x1.ff6722128dfa4p-16, 0x1.dd2e07b4ee745p-16, 0x1.bc17842240d32p-16, 0x1.9c008101c84eap-16, 0x1.7cbec7ef98fc6p-16, 0x1.5e440864f3413p-16, 0x1.40ad221aaf471p-16, 0x1.241b4dfc6fca4p-16, 0x1.087845484007dp-16, 0x1.db5c89c53ab2p-17, 0x1.a7a17ba10edd1p-17, 0x1.75e7bcef4a6aep-17, 0x1.4616e0ab2b74p-17, 0x1.17eb948e534f4p-17, 0x1.d62b564a0a62ap-18, 0x1.7ed86063cb99bp-18, 0x1.2a193e14ddf88p-18, 0x1.b0954309631b5p-19, 0x1.12b911790c4d3p-19, 0x1.e7fcada77c804p-21, -0x1.9b1a7bd5bc61bp-23, -0x1.4fe05c30beb9dp-20, -0x1.3076326140675p-19, -0x1.b3c617ac2c707p-19, -0x1.191912db5bdeep-18, -0x1.55f8084c01dbap-18, -0x1.908840e40896bp-18, -0x1.c9081bd8b529ep-18, -0x1.ffc5a91b428f7p-18, -0x1.1a47e21c180e3p-17, -0x1.339a6d9dd7023p-17, -0x1.4c033c67279cdp-17, -0x1.63921ea19b47p-17, -0x1.7a1f5bd9139fep-17, -0x1.8f9e1160448ep-17, -0x1.a424125278dbbp-17, -0x1.b7c5c5ad6122p-17, -0x1.ca85c129e70c2p-17, -0x1.dc743e1343874p-17, -0x1.edcc4e009e8c4p-17, -0x1.fe76caaa0ab42p-17, -0x1.072a968026a2ep-16, -0x1.0ebbfcf07e786p-16, -0x1.15fc7f854acb5p-16, -0x1.1ce2631a4b768p-16, -0x1.2367600f90531p-16, -0x1.2994e19fe8a99p-16, -0x1.2f72069ebb934p-16, -0x1.350a01683056bp-16, -0x1.3a54bf4a2089fp-16, -0x1.3f543940ea50fp-16, -0x1.4402212865c6ap-16, -0x1.486815433b2ebp-16, -0x1.4c918984a933cp-16, -0x1.507a972a710fap-16, -0x1.542d0d337e55ap-16, -0x1.57a294334585fp-16, -0x1.5ad0381facc08p-16, -0x1.5dc0316ecdf53p-16, -0x1.607910ace7309p-16, -0x1.62fd11895797ap-16, -0x1.654926f1dac71p-16, -0x1.675d3cbe9948dp-16, -0x1.6939079390654p-16, -0x1.6ae085f66566cp-16, -0x1.6c5e84960cbaep-16, -0x1.6daf9f572a771p-16, -0x1.6ed424d4a875bp-16, -0x1.6fd2ac47ac6e3p-16, -0x1.70a2c62662bcbp-16, -0x1.714176b35afe9p-16, -0x1.71b7b2e4a352cp-16, -0x1.720890f7afbddp-16, -0x1.7238b8f1c59p-16, -0x1.72442cb49ded1p-16, -0x1.722db4d3d90c3p-16, -0x1.71f189c0b3122p-16, -0x1.718ae5e0552d1p-16, -0x1.7103b75c26e5dp-16, -0x1.7063c0ab57bf5p-16, -0x1.6fab85b5da5b8p-16, -0x1.6ed3807523cb3p-16, -0x1.6dd71f8b049a7p-16, -0x1.6cc09efb5e8eep-16, -0x1.6b90c14553095p-16, -0x1.6a442cfe87c14p-16, -0x1.68e724de44b76p-16, -0x1.676dac9215bb6p-16, -0x1.65ddbf76a2d5cp-16, -0x1.643727d663248p-16, -0x1.6277eca4e26c3p-16, -0x1.609f6f80da7fdp-16, -0x1.5eb2034989aep-16, -0x1.5cac639de11dp-16, -0x1.5aa587839a53dp-16, -0x1.58861581f4cb6p-16, -0x1.5650722e2161cp-16, -0x1.540721f8d6fb2p-16, -0x1.51b119c442175p-16, -0x1.4f4e1028f3387p-16, -0x1.4cd9b42f13b65p-16, -0x1.4a572f3913475p-16, -0x1.47c80c9c8177fp-16, -0x1.452934be634e5p-16, -0x1.427801312a603p-16, -0x1.3fbd2d71d901fp-16, -0x1.3cfbc8e6d8876p-16, -0x1.3a2ea1a3234ep-16, -0x1.3751001aa6f51p-16, -0x1.346abd60696fdp-16, -0x1.317b51fb2964ep-16, -0x1.2e81d0e735be9p-16, -0x1.2b80a5087ab6fp-16, -0x1.28766315fc419p-16, -0x1.25634c83c807fp-16, -0x1.22486b42b94adp-16, -0x1.1f272a044b16ap-16, -0x1.1bff570dc328ep-16, -0x1.18d0807218757p-16, -0x1.159c0e930307dp-16, -0x1.125e904fc82e5p-16, -0x1.0f1b105acbff4p-16, -0x1.0bd5375c56c51p-16, -0x1.088b9bd637728p-16, -0x1.053b71a843c0fp-16, -0x1.01e6a49ecc3cep-16, -0x1.fd1dec9c69ba2p-17, -0x1.f668bc5bf8d11p-17, -0x1.efad30d5590cep-17, -0x1.e8eb82d87e574p-17, -0x1.e2250c5cbfb49p-17, -0x1.db5a6004faa4dp-17, -0x1.d488410c6a132p-17, -0x1.cdb3a9b8dfe16p-17, -0x1.c6e0c573d950fp-17, -0x1.c005e473bdb3ep-17, -0x1.b929c0430d92dp-17, -0x1.b24d1157c9fc1p-17, -0x1.ab706c991bd03p-17, -0x1.a493be82e49e1p-17, -0x1.9db76b3a45807p-17, -0x1.96cf86639c1a6p-17, -0x1.8ff6e682e5954p-17, -0x1.892384fa08f97p-17, -0x1.8252f4e06af84p-17, -0x1.7b7275b98e8cbp-17, -0x1.7494cac1fe64bp-17, -0x1.6dc20616b5fe3p-17, -0x1.66f09c218328cp-17, -0x1.60262227aaa12p-17, -0x1.595db8fa1a6fbp-17, -0x1.5295d2620cfcap-17, -0x1.4bd84cd073a14p-17, -0x1.451d89beddf65p-17, -0x1.3e66197e5ba14p-17, -0x1.37b5882df3994p-17, -0x1.3108c1efbf92dp-17, -0x1.2a62901f20733p-17, -0x1.23c43323693bap-17, -0x1.1d2c0c828728ap-17, -0x1.169d0e6eeee6bp-17, -0x1.1012d2df4119ep-17, -0x1.098e679f76ab8p-17, -0x1.0313bd8065a1ap-17, -0x1.f93ef12fca165p-18, -0x1.ec685decfff5p-18, -0x1.dfa05467ab1f9p-18, -0x1.d2ebb1c9aa519p-18, -0x1.c64747a77eb17p-18, -0x1.b9b4c67103216p-18, -0x1.ad345cb9a19cep-18, -0x1.a0c65ecefc90cp-18, -0x1.946b224403162p-18, -0x1.882352a2f5fep-18, -0x1.7bee6c92e25b9p-18, -0x1.6fd007028dc23p-18, -0x1.63c173d1c921dp-18, -0x1.57cab928f77c7p-18, -0x1.4be7e659437fbp-18, -0x1.401a3f2edbfd2p-18, -0x1.3467a2805e21p-18, -0x1.28beeaef90a53p-18, -0x1.1d33c63a39dc6p-18, -0x1.11bf8c73167e2p-18, -0x1.065cdcb2e2691p-18, -0x1.f626d490f948cp-19, -0x1.dfc31cf4aabf6p-19, -0x1.c9b3631e1ecfp-19, -0x1.b384f7f61fb21p-19, -0x1.9da745e5b870bp-19, -0x1.87f87c4f9bfbcp-19, -0x1.7280773bc2b6p-19, -0x1.5d2ed048ae095p-19, -0x1.481718225d955p-19, -0x1.332b70f1bc2b3p-19, -0x1.1e71f3177c427p-19, -0x1.0a16fc57e6352p-19, -0x1.eb3e933a8a36ep-20, -0x1.c2e5bf8ab37e1p-20, -0x1.9ae6eae2efcddp-20, -0x1.7367a87b21bap-20, -0x1.4c3e5673f0316p-20, -0x1.258ee62efc4e9p-20, -0x1.fe79f3980307cp-21, -0x1.b28a591377507p-21, -0x1.6780abaa3d075p-21, -0x1.1d1f56e9462acp-21, -0x1.a76734da6abdfp-22, -0x1.15eae06a07726p-22, -0x1.0c3dde35a066ap-23, 0x1.044a6ff57f8c1p-27, 0x1.299a5688e6123p-23, 0x1.1fdcd2ad7b08p-22, 0x1.a94e5decccfb4p-22, 0x1.1890e8f506c61p-21, 0x1.5bba49e58768ap-21, 0x1.9df5e0251afbcp-21, 0x1.df2d7cf44ee93p-21, 0x1.101a0fd1e8adbp-20, 0x1.300d1c41c3f9dp-20, 0x1.4f9b0b4c846ep-20, 0x1.6ec13cf4d8936p-20, 0x1.8d7e6d364e259p-20, 0x1.abd7bf59bb921p-20, 0x1.c9ce6ec3d3166p-20, 0x1.e75dc1b0c8beep-20, 0x1.027678a3192f8p-19, 0x1.10a90edb83028p-19, 0x1.1ed70dc5d5f01p-19, 0x1.2cd37cb0594b9p-19, 0x1.3a9fa49ca7bf3p-19, 0x1.4831d5e063424p-19, 0x1.559484fdb3694p-19, 0x1.62c7c86277348p-19, 0x1.6fd0e71cac543p-19, 0x1.7c77af161e91ep-19, 0x1.893d039527ee6p-19, 0x1.95a4d3530106fp-19, 0x1.a1e504cee891cp-19, 0x1.adeaa10d08839p-19, 0x1.b9d4f69941bcbp-19, 0x1.c577eb55201cfp-19, 0x1.d0ec7b076bbc2p-19, 0x1.dc39b6010da5p-19, 0x1.e76153eccc2fep-19, 0x1.f23bc2d90b97bp-19, 0x1.fcf39aa8de592p-19, 0x1.03bded4cf0254p-18, 0x1.08eaccb52b585p-18, 0x1.0e05935c51d14p-18, 0x1.130b1b639faap-18, 0x1.17ebb71bf48ap-18, 0x1.1cb276c95c438p-18, 0x1.217536eec817fp-18, 0x1.261826e3d2086p-18, 0x1.2aa559a2740efp-18, 0x1.2f16e63031e81p-18, 0x1.337a7904a723ep-18, 0x1.37c11a2813ff7p-18, 0x1.3bf63dfbade2fp-18, 0x1.4012079e5f3a7p-18, 0x1.441adf923708ap-18, 0x1.480ddc509fbe7p-18, 0x1.4bea365a25ccap-18, 0x1.4fafa2ee0b9d1p-18, 0x1.53629ad35ef5ep-18, 0x1.56fda6dc7d453p-18, 0x1.5a82b52e65e38p-18, 0x1.5df529f47b1d7p-18, 0x1.6153298c751acp-18, 0x1.64a2d2c1dcc6fp-18, 0x1.67d7b352a2347p-18, 0x1.6af54bb5ae34ap-18, 0x1.6e053e858101dp-18, 0x1.710039c1f91c9p-18, 0x1.73ccc83c78035p-18, 0x1.76b405daba90dp-18, 0x1.796f67a369e44p-18, 0x1.7c1f0230cd1f2p-18, 0x1.7eba225a788ebp-18, 0x1.813c1cc05b468p-18, 0x1.83b2133530bb3p-18, 0x1.8612271d3778bp-18, 0x1.885b0152bc025p-18, 0x1.8a98a2e23e181p-18, 0x1.8cc0dad3570f5p-18, 0x1.8edb73a17965cp-18, 0x1.90e2acef9784p-18, 0x1.92d7e18522eabp-18, 0x1.94bc3f88362fcp-18, 0x1.968c5ab403302p-18, 0x1.984a1d1792184p-18, 0x1.99fc1aa852063p-18, 0x1.9b994372d231cp-18, 0x1.9d2a8d374cd06p-18, 0x1.9ea38746dc107p-18, 0x1.a017e3011c34ep-18, 0x1.a17684020949ap-18, 0x1.a2c4fa5eea0bap-18, 0x1.a4013589224p-18, 0x1.a534334a24e3bp-18, 0x1.a64f461ac612dp-18, 0x1.a760f4ca4cedbp-18, 0x1.a866085e3239p-18, 0x1.a95826402995ap-18, 0x1.aa3a5b9caed89p-18, 0x1.ab0cb414d38b5p-18, 0x1.abd75ed712f77p-18, 0x1.ac8ff70213ffcp-18, 0x1.ad3d5cb14b34p-18, 0x1.adcb3cd179601p-18, 0x1.ae6563e7c60fcp-18, 0x1.aee93492797d1p-18, 0x1.af5a9df281c4dp-18, 0x1.afc7daca7aab3p-18, 0x1.b020e4d8fb595p-18, 0x1.b06ae645a78ep-18, 0x1.b0ab1d2399464p-18, 0x1.b0e01edd5fd65p-18, 0x1.b108d2e0092dfp-18, 0x1.b12623e6f777cp-18, 0x1.b13518b22edc7p-18, 0x1.b134dabcd5326p-18, 0x1.b112eac577ffp-18, 0x1.b11868750607ap-18, }}, 
      {{-0x1.0fa3d41fb92p-2, -0x1.f6e4056a8f764p-3, -0x1.c5d2772ce19e3p-3, -0x1.9a3e46708f54bp-3, -0x1.7e0664e9f2573p-3, -0x1.76837362fa50bp-3, -0x1.85513fc0ea3b8p-3, -0x1.a959db5150358p-3, -0x1.dfcf945c8975p-3, -0x1.127c1ee2d3868p-2, -0x1.3a624406d6042p-2, -0x1.659c436cb0842p-2, -0x1.925706b9586d9p-2, -0x1.befcfb613c138p-2, -0x1.ea3e3a167c862p-2, -0x1.0988c1ab717d6p-1, -0x1.1c584f282355cp-1, -0x1.2d48fe0b55c04p-1, -0x1.3c307bc6a7275p-1, -0x1.48face70095dfp-1, -0x1.53a649daf708bp-1, -0x1.5c3fc61ba4e4bp-1, -0x1.62df339bf966cp-1, -0x1.67a49a4419b25p-1, -0x1.6ab587d9f0588p-1, -0x1.6c3aea62e96b9p-1, -0x1.6c5f4eeb3c381p-1, -0x1.6b4d7b7d32699p-1, -0x1.692f5878e87c8p-1, -0x1.662d1fed4c045p-1, -0x1.626cc67fd2c4bp-1, -0x1.5e1194a7bea5ep-1, -0x1.593be836fd9fdp-1, -0x1.5409150bb446bp-1, -0x1.4e935f024f0d6p-1, -0x1.48f207281b6adp-1, -0x1.433966ed850cbp-1, -0x1.3d7b1689e7eb5p-1, -0x1.37c61977f1bcdp-1, -0x1.32270fc740ddp-1, -0x1.2ca86990429d7p-1, -0x1.27529b6fda11ep-1, -0x1.222c516fbc7afp-1, -0x1.1d3aa0b4cf086p-1, -0x1.1881373283a89p-1, -0x1.14028882f72c2p-1, -0x1.0fbff7399679ap-1, -0x1.0bb9fa7288f1dp-1, -0x1.07f041a9dfc33p-1, -0x1.0461d4ce173c4p-1, -0x1.010d30dda061ap-1, -0x1.fbe0c207abda4p-2, -0x1.f6122a1c67f1ap-2, -0x1.f0a96c6f77684p-2, -0x1.eba0f1af998bp-2, -0x1.e6f2d8c7a14dfp-2, -0x1.e2991110c96a4p-2, -0x1.de8d709a7dd7dp-2, -0x1.dac9c7945f6dcp-2, -0x1.d747f112ef7eep-2, -0x1.d401e19344581p-2, -0x1.d0f1b3850fe28p-2, -0x1.ce11afa2d1f02p-2, -0x1.cb5c55ef394e9p-2, -0x1.c8cc61fe670ccp-2, -0x1.c65ccfeb0fcfbp-2, -0x1.c408df40baa58p-2, -0x1.c1cc151fe203fp-2, -0x1.bfa23dcde1e85p-2, -0x1.bd876cf84a778p-2, -0x1.bb77fdc1510e6p-2, -0x1.b97091d5e86a5p-2, -0x1.b76e0fd3e4067p-2, -0x1.b56da1fe13205p-2, -0x1.b36cb3413e47bp-2, -0x1.b168ee145fb0fp-2, -0x1.af60388246b56p-2, -0x1.ad50b29741f95p-2, -0x1.ab38b33093ca4p-2, -0x1.a916c529ee512p-2, -0x1.a6e9a4ac9c606p-2, -0x1.a4b03c2298b0ep-2, -0x1.a269a16db9415p-2, -0x1.a0151333ec79fp-2, -0x1.9db1f5ebebb2cp-2, -0x1.9b3fd12b9d373p-2, -0x1.98be4d08f458dp-2, -0x1.962d2fb0c5219p-2, -0x1.938c5ab101f9ap-2, -0x1.90dbc8a5541d3p-2, -0x1.8e1b8b475bd2dp-2, -0x1.8b4bc8bbaa3bfp-2, -0x1.886cba52be72p-2, -0x1.857ea9ca6b7f4p-2, -0x1.8281efeff31d9p-2, -0x1.7f76f2e99fec6p-2, -0x1.7c5e24d9e881bp-2, -0x1.793801ed7aeadp-2, -0x1.76050f241b2cp-2, -0x1.72c5d8b0d4736p-2, -0x1.6f7af1526af37p-2, -0x1.6c24f11044e7bp-2, -0x1.68c473e2b8242p-2, -0x1.655a18d258e99p-2, -0x1.61e68153e1f4bp-2, -0x1.5e6a507087db5p-2, -0x1.5ae629f82088cp-2, -0x1.575ab1efd1ecep-2, -0x1.53c88be07a0f2p-2, -0x1.50305a5d8564ap-2, -0x1.4c92be809df09p-2, -0x1.48f05779b3e06p-2, -0x1.4549c2131ddf6p-2, -0x1.419f9887961aep-2, -0x1.3df271ed8616bp-2, -0x1.3a42e24863572p-2, -0x1.36917a03e0b8bp-2, -0x1.32dec5eed356ap-2, -0x1.2f2b4f0f7d081p-2, -0x1.2b779a64f72c5p-2, -0x1.27c428e4d65fdp-2, -0x1.241177785e0b2p-2, -0x1.205ffeb268ee9p-2, -0x1.1cb032fa0c347p-2, -0x1.19028484a0e15p-2, -0x1.15575f3966a72p-2, -0x1.11af2a8a7aa77p-2, -0x1.0e0a49d13a62ep-2, -0x1.0a691c12e8e97p-2, -0x1.06cbfc454fbb1p-2, -0x1.033340ff0b5c7p-2, -0x1.ff3e79aa6695p-3, -0x1.f8207c7d1083p-3, -0x1.f10d1f9fb94c3p-3, -0x1.ea04f01c4768ap-3, -0x1.e30873a88b338p-3, -0x1.dc1828410a064p-3, -0x1.d53484b0c4dd1p-3, -0x1.ce5df8ae4b97cp-3, -0x1.c794ed0346a3cp-3, -0x1.c0d9c35c53a8ap-3, -0x1.ba2cd726858bap-3, -0x1.b38e7dd6d9abbp-3, -0x1.acff063702fa6p-3, -0x1.a67eb92aa2ad8p-3, -0x1.a00dda1d1c144p-3, -0x1.99aca6db38a1cp-3, -0x1.935b57e8b8d62p-3, -0x1.8d1a206af979p-3, -0x1.86e92eb55f78ep-3, -0x1.80c8ac3dbad6ep-3, -0x1.7ab8be16fd04ap-3, -0x1.74b984d439de4p-3, -0x1.6ecb1cc39253ap-3, -0x1.68ed9e3533c65p-3, -0x1.63211dba596fp-3, -0x1.5d65abf8edf8p-3, -0x1.57bb562934901p-3, -0x1.522226429704ep-3, -0x1.4c9a22d28e841p-3, -0x1.47234f5ec45dfp-3, -0x1.41bdac94a4369p-3, -0x1.3c693856b46c9p-3, -0x1.3725edd9f33dap-3, -0x1.31f3c5ea710d9p-3, -0x1.2cd2b6f14a0acp-3, -0x1.27c2b51c3d097p-3, -0x1.22c3b265f7c5bp-3, -0x1.1dd59ec9e6844p-3, -0x1.18f8686dcc9f6p-3, -0x1.142bfbc29cb66p-3, -0x1.0f7043679cd6ap-3, -0x1.0ac52885e91e9p-3, -0x1.062a92ae41dep-3, -0x1.01a0682461e69p-3, -0x1.fa4d1bccf9f2fp-4, -0x1.f179cf89511cap-4, -0x1.e8c6b04fbd408p-4, -0x1.e033818a5fe2cp-4, -0x1.d7c00447cc1e8p-4, -0x1.cf6bf8ff6b869p-4, -0x1.c7371b9979ad7p-4, -0x1.bf2128489068fp-4, -0x1.b729dc025e41ap-4, -0x1.af50ee78245b5p-4, -0x1.a79618399946ap-4, -0x1.9ff910a528889p-4, -0x1.98798dec99c4fp-4, -0x1.911745664fa28p-4, -0x1.89d1ebcf163edp-4, -0x1.82a934b5dac3p-4, -0x1.7b9cd3b7b0c06p-4, -0x1.74ac7bbdb93c6p-4, -0x1.6dd7df0bf5acfp-4, -0x1.671eaf64cb15dp-4, -0x1.60809ea169a1dp-4, -0x1.59fd5e79f9f99p-4, -0x1.5394a01481eecp-4, -0x1.4d4613be8237ap-4, -0x1.47116b0e1c5d6p-4, -0x1.40f657b195b19p-4, -0x1.3af489a22835fp-4, -0x1.350bb22a8de5ep-4, -0x1.2f3b838011339p-4, -0x1.2983aeda441afp-4, -0x1.23e3e5a04b4fep-4, -0x1.1e5bd9bbe768ep-4, -0x1.18eb3d63d2df6p-4, -0x1.1391c325c8c33p-4, -0x1.0e4f1ddbd091ep-4, -0x1.092300b91b4b3p-4, -0x1.040d1f607837dp-4, -0x1.fe1a5bfce6588p-5, -0x1.f445c1ce0d79p-5, -0x1.ea9bd969279a6p-5, -0x1.e11c0f1766997p-5, -0x1.d7c5cd97e28b8p-5, -0x1.ce98828b1bfe4p-5, -0x1.c5939bc2a8e4ap-5, -0x1.bcb6884d2647dp-5, -0x1.b400b8399fd75p-5, -0x1.ab719cf15cacdp-5, -0x1.a308a92c856b8p-5, -0x1.9ac5509ebfc7fp-5, -0x1.92a70885788f6p-5, -0x1.8aad470b1a61p-5, -0x1.82d78397de171p-5, -0x1.7b2536e0d06dfp-5, -0x1.7395db1d837e7p-5, -0x1.6c28ebb2e6db6p-5, -0x1.64dde5556a4fap-5, -0x1.5db445b70da5ep-5, -0x1.56ab8c515b42fp-5, -0x1.4fc339bcdef55p-5, -0x1.48fad00ad0982p-5, -0x1.4251d2738821ap-5, -0x1.3bc7c5951114fp-5, -0x1.355c2f7e2cc6fp-5, -0x1.2f0e97bbc5826p-5, -0x1.28de86bb484c5p-5, -0x1.22cb86b2af04ap-5, -0x1.1cd522b7296d4p-5, -0x1.16fae7ff487fdp-5, -0x1.113c64479a74bp-5, -0x1.0b9926f5d9c75p-5, -0x1.0610c1178763p-5, -0x1.00a2c44b4e494p-5, -0x1.f69d8c26b0719p-6, -0x1.ec28ad76d309bp-6, -0x1.e1e621be1bd86p-6, -0x1.d7d512fb9e7eap-6, -0x1.cdf4b3b9d560cp-6, -0x1.c444385f74bcap-6, -0x1.bac2d73c1540dp-6, -0x1.b16fc8ff03887p-6, -0x1.a84a4a7a3007bp-6, -0x1.9f519923d25fdp-6, -0x1.9684f660383e7p-6, -0x1.8de3a56c1ec7ep-6, -0x1.856ceb5c674c3p-6, -0x1.7d2011b55cf1cp-6, -0x1.74fc6255374d7p-6, -0x1.6d012bafd1f92p-6, -0x1.652dbc9d897b4p-6, -0x1.5d81670881f68p-6, -0x1.55fb804017988p-6, -0x1.4e9b5eb74792ep-6, -0x1.47605bf1bb1d8p-6, -0x1.4049d2ebb1527p-6, -0x1.395721cb512bbp-6, -0x1.3287a96eefda4p-6, -0x1.2bdacaf080d61p-6, -0x1.254fec5dab172p-6, -0x1.1ee673f9bc279p-6, -0x1.189dcb386355p-6, -0x1.12755d8de8f7bp-6, -0x1.0c6c98730a6c7p-6, -0x1.0682eba591546p-6, -0x1.00b7c872fb35cp-6, -0x1.f61546d2b2f45p-7, -0x1.eaf5e4a32bcf1p-7, -0x1.e0105a5219ec7p-7, -0x1.d5639c6f0f99p-7, -0x1.caeea34cfc77ap-7, -0x1.c0b06a733dc26p-7, -0x1.b6a7f3ac1cfeep-7, -0x1.acd4424929622p-7, -0x1.a3345e3b60afp-7, -0x1.99c7539b2da03p-7, -0x1.908c3170b8c9dp-7, -0x1.87820c56470d9p-7, -0x1.7ea7fafb0da18p-7, -0x1.75fd18c8232acp-7, -0x1.6d80839f86573p-7, -0x1.65315ce27e3cep-7, -0x1.5d0eca79673c6p-7, -0x1.5517f5fb12cd8p-7, -0x1.4d4c0a7f4f765p-7, -0x1.45aa3dd6da94ap-7, -0x1.3e31ba933fe9cp-7, -0x1.36e1bdecdf1b8p-7, -0x1.2fb977f7b6788p-7, -0x1.28b833fad1ee7p-7, -0x1.21dd2a126833cp-7, -0x1.1b279e1cdc504p-7, -0x1.1496d80cdf69fp-7, -0x1.0e2a21d2fa2d3p-7, -0x1.07e0c5057953ap-7, -0x1.01ba196aac9d2p-7, -0x1.f76ad063df9e6p-8, -0x1.eba41aefd88ecp-8, -0x1.e01ec25594015p-8, -0x1.d4d9755cd1652p-8, -0x1.c9d2f8ffa96afp-8, -0x1.bf0a090d9bcd8p-8, -0x1.b47d70a219921p-8, -0x1.aa2bfdf67297ep-8, -0x1.a0148199b9fdap-8, -0x1.9635d1aa2b251p-8, -0x1.8c8ecd3a651eep-8, -0x1.831e536317513p-8, -0x1.79e34ff1f5p-8, -0x1.70dcaa066af7bp-8, -0x1.680953941c896p-8, -0x1.5f68434acf7b9p-8, -0x1.56f871d492f4dp-8, -0x1.4eb8df2941722p-8, -0x1.46a88f095afbep-8, -0x1.3ec6893f4ff97p-8, -0x1.3711daa9a74edp-8, -0x1.2f899409af3c1p-8, -0x1.282ccafabee4bp-8, -0x1.20fa992ecd741p-8, -0x1.19f21cd257ce1p-8, -0x1.1312783819c89p-8, -0x1.0c5ad051df90cp-8, -0x1.05ca5123eade5p-8, -0x1.fec0517fafafap-9, -0x1.f2370e0b01612p-9, -0x1.e5f745efcac17p-9, -0x1.d9ff711f95f19p-9, -0x1.ce4e023d67993p-9, -0x1.c2e180fa9701p-9, -0x1.b7b8767ac6063p-9, -0x1.acd1716a5ada3p-9, -0x1.a22b096de7133p-9, -0x1.97c3e50f27d2dp-9, -0x1.8d9aa4ceb4e1dp-9, -0x1.83adec686e0efp-9, -0x1.79fc74fa18b3fp-9, -0x1.7084fe311125cp-9, -0x1.67463f6ef14bcp-9, -0x1.5e3efb5d8a064p-9, -0x1.556e050f3092ep-9, -0x1.4cd2292db7f2dp-9, -0x1.446a40c0d781ap-9, -0x1.3c3529a85566ap-9, -0x1.3431c844f0d7p-9, -0x1.2c5f05ff7515ep-9, -0x1.24bbcc35861ddp-9, -0x1.1d4715e3ee967p-9, -0x1.15ffd74e46082p-9, -0x1.0ee510ad2f719p-9, -0x1.07f5c5986f0d4p-9, -0x1.0130fe6a8b26p-9, -0x1.f52b9169e636dp-10, -0x1.e84672dc5d4ffp-10, -0x1.dbb0b9b57535dp-10, -0x1.cf68d35872fc9p-10, -0x1.c36cd6610ab45p-10, -0x1.b7bb107cdaf2cp-10, -0x1.ac51d87bb67c1p-10, -0x1.a12f9a4ef934p-10, -0x1.9652a1c782236p-10, -0x1.8bb96a47ef738p-10, -0x1.81626230bf08ap-10, -0x1.774c192a781b1p-10, -0x1.6d750994bad5bp-10, -0x1.63dbc409d248ep-10, -0x1.5a7edf9d31d94p-10, -0x1.515cf9609c9d1p-10, -0x1.4874b7afcd1bep-10, -0x1.3fc4c2d0e4353p-10, -0x1.374bbd5e14521p-10, -0x1.2f08c44627d5p-10, -0x1.26f9ecf9fd48ap-10, -0x1.1f1e84da7e38ep-10, -0x1.17752bf9af0e3p-10, -0x1.0ffcb93b53d58p-10, -0x1.08b40a917572ep-10, -0x1.019a046388e48p-10, -0x1.f55b13aa210c5p-11, -0x1.e7db3e7121117p-11, -0x1.dab25337fceb4p-11, -0x1.cdde3fa5e278ap-11, -0x1.c15d116b4b947p-11, -0x1.b52cd9af670efp-11, -0x1.a94ba29e66d37p-11, -0x1.9db795d9fdd1ep-11, -0x1.926eb73c6939cp-11, -0x1.876f562ed3158p-11, -0x1.7cb7a22d30ccap-11, -0x1.7245ff762f3aap-11, -0x1.6818afc6d55bbp-11, -0x1.5e2e27ddc5e7cp-11, -0x1.5484ade6ac4b8p-11, -0x1.4b1aa8dfff7dcp-11, -0x1.41eeccf6e1f4ap-11, -0x1.38ff85b66dba8p-11, -0x1.304b523fe238bp-11, -0x1.27d0c236fcc65p-11, -0x1.1f8e6e6211c3bp-11, -0x1.1782ffad9b337p-11, -0x1.0fad121d91312p-11, -0x1.080b5519537bcp-11, -0x1.009c9a53ae795p-11, -0x1.f2bef99a7098ap-12, -0x1.e4a5ab6124168p-12, -0x1.d6eaec2197c08p-12, -0x1.c98c764a699bp-12, -0x1.bc8805fc87a1fp-12, -0x1.afdb5cc7f65adp-12, -0x1.a38457e3a37eep-12, -0x1.9780d45c43b0ap-12, -0x1.8bceb3ceb972fp-12, -0x1.806c2ccb0d6e1p-12, -0x1.755749fe979a4p-12, -0x1.6a8dc00227d41p-12, -0x1.600ddd02c4a97p-12, -0x1.55d5a7ae6879ep-12, -0x1.4be35a6649c62p-12, -0x1.423512b1d1e96p-12, -0x1.38c99333f16bcp-12, -0x1.2f9e86add7427p-12, -0x1.26b2f9913baabp-12, -0x1.1e04ed195eaf1p-12, -0x1.1592fb1889f0cp-12, -0x1.0d5b8aded51a3p-12, -0x1.055d2547219f4p-12, -0x1.fb2caba8f6596p-13, -0x1.ec0ba25f514a6p-13, -0x1.dd5439eacba7p-13, -0x1.cf03cd7ebbe1ep-13, -0x1.c1178d9c44f1ap-13, -0x1.b38d1cea185f4p-13, -0x1.a661c4793b53cp-13, -0x1.999303b087eep-13, -0x1.8d1e922ab1128p-13, -0x1.81023263e900ap-13, -0x1.753b9c59e8795p-13, -0x1.69c90372a2637p-13, -0x1.5ea650cc8f2ddp-13, -0x1.53d4992fa5728p-13, -0x1.494f5c138fd78p-13, -0x1.3f1575f57193cp-13, -0x1.3524d6fb7c26cp-13, -0x1.2b7b759340a78p-13, -0x1.22176921613cdp-13, -0x1.18f71ea14ebc1p-13, -0x1.1018b9f19805bp-13, -0x1.077a5aa6c99b7p-13, -0x1.fe34e16a26914p-14, -0x1.edeed0aacc2dp-14, -0x1.de1f4ed173bb9p-14, -0x1.cec2ee70ca517p-14, -0x1.bfd6d4c2b4856p-14, -0x1.b158545e1252bp-14, -0x1.a343ad4235f8dp-14, -0x1.9596af21d8172p-14, -0x1.884f42246b8fap-14, -0x1.7b68eed43c5b8p-14, -0x1.6ee2b1f304a8p-14, -0x1.62b92d4ce0abcp-14, -0x1.56e9c9cfb209ap-14, -0x1.4b724822b2f21p-14, -0x1.405059a083822p-14, -0x1.3581b59d11e5dp-14, -0x1.2b04219eaeb74p-14, -0x1.20d5603e5d1b3p-14, -0x1.16f4204752fdcp-14, -0x1.0d5c087a9133bp-14, -0x1.040d90a4f45f2p-14, -0x1.f60cb8fa2ef25p-15, -0x1.e4830e4be727ep-15, -0x1.d384fb0a64bc5p-15, -0x1.c306ba1ec6969p-15, -0x1.b307312901495p-15, -0x1.a38247935ab0ep-15, -0x1.9474ce20bb337p-15, -0x1.85dc1d9bd5cfap-15, -0x1.77b52deacb9adp-15, -0x1.69fbc9a413f16p-15, -0x1.5cad3529694fbp-15, -0x1.4fc75597bb2d5p-15, -0x1.434555bcabfe5p-15, -0x1.37267b18cddp-15, -0x1.2b66a49f8ff79p-15, -0x1.2003ada9ce691p-15, -0x1.14fc22d43736ep-15, -0x1.0a4bd3609a867p-15, -0x1.ffe104861f0b7p-16, -0x1.ebd14132ec38fp-16, -0x1.d86429998d659p-16, -0x1.c5912e65fc0c6p-16, -0x1.b3581d7e43649p-16, -0x1.a1b0ff92be82fp-16, -0x1.909b2b2f1e18ep-16, -0x1.8011308b66ae9p-16, -0x1.70124544b0a6bp-16, -0x1.6095f0d794e2dp-16, -0x1.5197c32b7df69p-16, -0x1.431277169f864p-16, -0x1.350c46a8f339bp-16, -0x1.277f4045bc9d9p-16, -0x1.1a5e4636f67d2p-16, -0x1.0dadbaafb9cabp-16, -0x1.0169024541e1fp-16, -0x1.eb184436d3132p-17, -0x1.d42ac63c80fadp-17, -0x1.be054926e2584p-17, -0x1.a89de1b4b0227p-17, -0x1.93e7c0ed63453p-17, -0x1.7ff69c8aa7122p-17, -0x1.6ca6d965800a1p-17, -0x1.5a04fe2b9a26fp-17, -0x1.48051d04ec60bp-17, -0x1.36ab00184237fp-17, -0x1.25ec2bbbc633ap-17, -0x1.15c4e2231d0b2p-17, -0x1.0631454da6f99p-17, -0x1.ee5a2ad796d6p-18, -0x1.d15ea28c01e5p-18, -0x1.b575dd43de12cp-18, -0x1.9a952d8807b1bp-18, -0x1.80a732cb7d149p-18, -0x1.67b17eb04e8afp-18, -0x1.4fa9c14810d9p-18, -0x1.38860f9de898dp-18, -0x1.224232367dcedp-18, -0x1.0cd774386172ap-18, -0x1.f083d55324f4fp-19, -0x1.c8f306416c549p-19, -0x1.a2eaa7e64eb6bp-19, -0x1.7e5de26c715e2p-19, -0x1.5b39dd82c17f4p-19, -0x1.3980627267d4p-19, -0x1.19293970d4ad7p-19, -0x1.f448f7a5e52e2p-20, -0x1.b8d2901a22f66p-20, -0x1.7fe9cdb748759p-20, -0x1.49c4d30a2c52ep-20, -0x1.15151ca9e7b92p-20, -0x1.c665e10e54586p-21, -0x1.66df1eba2c537p-21, -0x1.0b9d60e21a32fp-21, -0x1.68d305fdec497p-22, -0x1.84bb4086a7469p-23, -0x1.1e238b233894fp-25, 0x1.cec635732690bp-24, 0x1.03b9f5edef074p-22, 0x1.8c8686dc45cc6p-22, 0x1.0767f2e04bad3p-21, 0x1.4549d4d5359ebp-21, 0x1.80050e3f2171fp-21, 0x1.b7adb1a1db0bep-21, 0x1.ec5ac258d45e9p-21, 0x1.0f135293ebddp-20, 0x1.269862ac6e68ep-20, 0x1.3cdb6bfb48a4fp-20, 0x1.51f1182099212p-20, 0x1.6554944ca4543p-20, 0x1.77c744576b312p-20, 0x1.890f7b7bf1009p-20, 0x1.992afa66ae588p-20, 0x1.a8268c9056f03p-20, 0x1.b61bef3b6e6c3p-20, 0x1.c30f1348fee3bp-20, 0x1.cf05b748b5284p-20, 0x1.da0dc4d9bc48p-20, 0x1.e433e20531764p-20, 0x1.ed523d2e5e7acp-20, 0x1.f5d2cb4d72531p-20, 0x1.fd5acab3ef81ap-20, 0x1.02032455fdf47p-19, 0x1.0503750f2468ap-19, 0x1.079f1983a42a9p-19, 0x1.09e3fd3ed0b29p-19, 0x1.0bd6556a8116ep-19, 0x1.0d6b6fab0ea12p-19, 0x1.0eb392e80358fp-19, 0x1.0fb4d8a07a548p-19, 0x1.10645858b2fa1p-19, 0x1.10c04251f54a4p-19, 0x1.10ebdc2910638p-19, 0x1.10d06f860f6f9p-19, 0x1.1071504ff5053p-19, 0x1.0fe46a5b783e9p-19, 0x1.0ef836c91b2afp-19, 0x1.0de415e29d24ep-19, 0x1.0c9b2ea79fc9ap-19, 0x1.0b2290d8048fp-19, 0x1.0974a5d1765e3p-19, 0x1.079739ea0604ep-19, 0x1.058c04857bc77p-19, 0x1.034d054f71bfep-19, 0x1.00f0c9f994e4bp-19, 0x1.fccf2cfc6bb07p-20, 0x1.f769329bf1e88p-20, 0x1.f1dd24e4e5191p-20, 0x1.ebea7c1aed1d4p-20, 0x1.e5b9a38d58f5bp-20, 0x1.df7a6c0827883p-20, 0x1.d8eded92b5174p-20, 0x1.d1c7e0a47c154p-20, 0x1.cabcd439b9d0dp-20, 0x1.c377c393029cep-20, 0x1.bc06eb8195227p-20, 0x1.b46149c1aaf11p-20, 0x1.ac944bf03a166p-20, 0x1.a4a0e1e9b969fp-20, 0x1.9c84e1d9de149p-20, 0x1.9442a79e7e08cp-20, 0x1.8bc8bdd27a99bp-20, 0x1.83772714df7a4p-20, 0x1.7ad1900d04595p-20, 0x1.722b77e98251fp-20, 0x1.696063ea9784ap-20, 0x1.606e144c79a7ap-20, 0x1.57711c1714c1ep-20, 0x1.4e675a1174262p-20, 0x1.4559db3f59f14p-20, 0x1.3c2c0c61b247ep-20, 0x1.32e0b196adb64p-20, 0x1.29afe2a9777f1p-20, 0x1.2058061488956p-20, 0x1.17064ab34bd59p-20, 0x1.0d9e9fbab3968p-20, 0x1.043428575fcc8p-20, 0x1.f5a05084ebf0cp-21, 0x1.e2a8d92398ce4p-21, 0x1.cfaf786dde90ap-21, 0x1.bcc2133da0674p-21, 0x1.a9d8989f558c1p-21, 0x1.96f731ab5cd0cp-21, 0x1.841edaadf8e9ep-21, 0x1.713d3962665a5p-21, 0x1.5e64e6222bdb1p-21, 0x1.4b6e75395cf7dp-21, 0x1.38c5d5b09bacep-21, 0x1.26163cd19f3d9p-21, 0x1.136279f4edc3cp-21, 0x1.00db046edd8a6p-21, 0x1.dcd4ed9dbd20bp-22, 0x1.b79a94fba353dp-22, 0x1.93049698c5108p-22, 0x1.6eb0cdee034d7p-22, 0x1.4a872cb8fc9b6p-22, 0x1.25fe12e7d8c3p-22, 0x1.0225a7cab7cb8p-22, 0x1.bccd5c89b8861p-23, 0x1.7458b8f0792aep-23, 0x1.2f7d5cc484d5ep-23, 0x1.d2ee764e40706p-24, 0x1.488209248f168p-24, 0x1.7dd5c218a248cp-25, 0x1.ac74d1065281p-27, -0x1.48e110adb9204p-26, -0x1.b1a1258601183p-25, -0x1.63f7f9d9ee604p-24, -0x1.e30ba91bfbc9dp-24, -0x1.3384484756266p-23, -0x1.742f7545668d8p-23, -0x1.b4f8b3f42967p-23, -0x1.f44bacbc7c9d4p-23, -0x1.19580ef9014f1p-22, -0x1.389bd428a44b9p-22, -0x1.57a0debb061b4p-22, -0x1.7622f219609d7p-22, -0x1.9457b3ddceeeap-22, -0x1.b2821e2a8c6dbp-22, -0x1.d0194dbd9496bp-22, -0x1.ed20feb37383fp-22, -0x1.04c8cc2fc752ap-21, -0x1.133a31e08f352p-21, -0x1.2143983209596p-21, -0x1.2f25efca26215p-21, -0x1.3ceedee594d26p-21, -0x1.4a6aa6778ba51p-21, -0x1.57c139ec6c038p-21, -0x1.650013c6f5edp-21, -0x1.720fca7a85c18p-21, -0x1.7ed03ca06dbc3p-21, -0x1.8b5964256e159p-21, -0x1.97e54c4e4d01ap-21, -0x1.a411ec668c535p-21, -0x1.b0388793dbeedp-21, -0x1.bc1c40698ad74p-21, -0x1.c7cdc275b2a11p-21, -0x1.d364620e77a57p-21, -0x1.dec10a5b72ed2p-21, -0x1.e9e9759a0f085p-21, -0x1.f4e04dd31c9fp-21, -0x1.ffa8bfa626f4ep-21, -0x1.0522cd34b14edp-20, -0x1.0a5b0bbe20d2p-20, -0x1.0f7b253e2ea85p-20, -0x1.1481a7fdd9b12p-20, -0x1.1971d6cfc1255p-20, -0x1.1e52971d6190ep-20, -0x1.2301c28666bf3p-20, -0x1.27ba5e3c2d34cp-20, -0x1.2c55b0e491699p-20, -0x1.30d6188bda6d3p-20, -0x1.353711e3e5f6fp-20, -0x1.397f5d61c1d97p-20, -0x1.3db13b1d88369p-20, -0x1.41ff2d982146fp-20, -0x1.4600dfc09e76ep-20, -0x1.49cdf5fd28b57p-20, -0x1.4d818161ba0a2p-20, -0x1.51685060110e6p-20, -0x1.553a2e81ff0ccp-20, -0x1.58d796bb1eef9p-20, -0x1.5c680a0646621p-20, -0x1.5fce10f6effb1p-20, -0x1.632997e6d3287p-20, -0x1.668137b1ae5f1p-20, -0x1.699c851c52a03p-20, -0x1.6cb89a048713cp-20, -0x1.6fc6bce6e6e12p-20, -0x1.72b672f894668p-20, -0x1.759c11a664f1ep-20, -0x1.786b5da7c23f2p-20, -0x1.7b1ecf13b102ap-20, -0x1.7dc10b1ff6a9ap-20, -0x1.80386b1c49857p-20, -0x1.82b2356a2acd2p-20, -0x1.851f7771b6911p-20, -0x1.876711f1e4472p-20, -0x1.89a2eeb0feb7fp-20, -0x1.8bc967e90df54p-20, -0x1.8de73e67702fp-20, -0x1.8fe729bbba1d8p-20, -0x1.91d77f8fb8952p-20, -0x1.93b41072cf79ap-20, -0x1.957f0b589d3f1p-20, -0x1.97390ab84a771p-20, -0x1.98e206c45865bp-20, -0x1.9a78a951c3c75p-20, -0x1.9c025ecd1c7f6p-20, -0x1.9d6927bffaa3fp-20, -0x1.9ed4aa2bf139ap-20, -0x1.a01c6bd1ecb48p-20, -0x1.a15bdb7a9f98cp-20, -0x1.a2895374f09bap-20, -0x1.a39e5203d2dd4p-20, -0x1.a4b06bcf62dd9p-20, -0x1.a5a7674a70eecp-20, -0x1.a689bd33874a9p-20, -0x1.a770bb7519ed2p-20, -0x1.a83a47061ddb4p-20, -0x1.a8eea01fdef8ap-20, -0x1.a9763dc5cdaeep-20, -0x1.aa3207e0b3b87p-20, -0x1.aacbd4f94e5a9p-20, -0x1.ab53591f6103cp-20, -0x1.abb2314b2e65ep-20, -0x1.ac22bf1b7848ap-20, -0x1.ac7159e27a5ddp-20, -0x1.acb7d738abbc4p-20, -0x1.acefbe7ad98d2p-20, -0x1.acf07660b4c2dp-20, -0x1.ad23ce7e2bbe1p-20, -0x1.ad377dd29c488p-20, -0x1.ad41d11472c94p-20, -0x1.ad33bdd1056cbp-20, -0x1.ad1e6dba6a1c1p-20, -0x1.acf112fa88b4cp-20, -0x1.acbc2406e3266p-20, -0x1.ac841d3a5b915p-20, -0x1.ac3028f5b6eb2p-20, -0x1.abe2577ba6479p-20, -0x1.ab7244ec7c313p-20, -0x1.ab0590a7df803p-20, -0x1.aa86fca9e3bd4p-20, -0x1.aa01d25abd1a7p-20, -0x1.a9739ea123d03p-20, -0x1.a8dac8b66e13p-20, -0x1.a8353c1616faep-20, -0x1.a782a4b0e7057p-20, -0x1.a6cb64bba8e33p-20, -0x1.a5f70f06686dap-20, -0x1.a528468140f04p-20, -0x1.a4540f852346fp-20, -0x1.a3704e81e5f4fp-20, -0x1.a2831c7fa46b5p-20, -0x1.a18adb2b5ecabp-20, -0x1.a085f61ff6c7fp-20, -0x1.9f7b34ca45aa8p-20, -0x1.9e6ba532f3414p-20, -0x1.9d4efbdd82c53p-20, -0x1.9c4a3443eb38fp-20, -0x1.9b0412d31e4f1p-20, -0x1.99d20c7b0677p-20, -0x1.989262be4bb7ap-20, -0x1.974f08f35d1f2p-20, -0x1.95fe96d595682p-20, -0x1.94a452a7f2461p-20, -0x1.934844c3c441cp-20, -0x1.91e945f24bf09p-20, -0x1.906aea261d30ep-20, -0x1.8f08a46dcebc4p-20, -0x1.8d8dea40bc902p-20, -0x1.8c12c51847ecep-20, -0x1.8a834a1d30316p-20, -0x1.8905f6fdd671ep-20, -0x1.876f8e7adb326p-20, -0x1.85cfbba4a8ca1p-20, -0x1.8432418628883p-20, -0x1.829343309cb67p-20, -0x1.80db0b9cb8858p-20, -0x1.7f280919a6193p-20, -0x1.7d6d67a1a93e2p-20, -0x1.7bb7bcc3c4cdap-20, -0x1.79fb69d5cc22p-20, -0x1.782f39edeed12p-20, -0x1.7669ff144cbe4p-20, -0x1.748a486bc5fb9p-20, -0x1.72c0431028e45p-20, -0x1.70e4f158ce765p-20, -0x1.6f09036425b4ep-20, -0x1.6d19175dc06f3p-20, -0x1.6b3ce1cca657fp-20, -0x1.6947744748f5p-20, -0x1.675dde2799941p-20, -0x1.65661c587001ap-20, -0x1.637084dc2d5b5p-20, -0x1.6176e620289e9p-20, -0x1.5f799680fd4b3p-20, -0x1.5d7724b7f1648p-20, -0x1.5b75626fe56dbp-20, -0x1.596af7835b3b5p-20, -0x1.575b3c8aba30ep-20, -0x1.554d06ce558c6p-20, -0x1.533874e1f343dp-20, -0x1.5133daab0eb2ep-20, -0x1.4f1b12826d3ebp-20, -0x1.4cf270f7ae9c2p-20, -0x1.4ade3d960d688p-20, -0x1.48c275f1cb69bp-20, -0x1.468a4d07dee7p-20, -0x1.44788e25371e3p-20, -0x1.424fbb87f1f7ep-20, -0x1.402dc62b6210ep-20, -0x1.3e096c68f5c7bp-20, -0x1.3bde529b02ed7p-20, -0x1.39b404a96a2f8p-20, -0x1.3783fdba7816bp-20, -0x1.354f4ec04f8afp-20, -0x1.3320327f15126p-20, -0x1.30ed95da29e01p-20, -0x1.2ebea91ce6abfp-20, -0x1.2c8f624fe91e1p-20, -0x1.2a5441b96f799p-20, -0x1.2822d721a4d8dp-20, -0x1.25e776040e2f1p-20, -0x1.23ac666d43b29p-20, -0x1.217601c6535ddp-20, -0x1.1f375a5d0cb5fp-20, -0x1.1d01040a285b9p-20, -0x1.1ac85f1b7c98ep-20, -0x1.188afa5942408p-20, -0x1.1652fb28d9d65p-20, -0x1.1418297e6493fp-20, -0x1.11d40f8b85bd6p-20, -0x1.0fa32572de87ep-20, -0x1.0d60d38471a02p-20, -0x1.0b28301a0c12p-20, -0x1.08f0dcb46708ep-20, -0x1.06b4bb8b2df05p-20, -0x1.0475909acaccp-20, -0x1.023829445cf62p-20, -0x1.0000f9721efa4p-20, -0x1.fb8ee53e04081p-21, -0x1.f71adcaad41f8p-21, -0x1.f2898e418b9f5p-21, -0x1.ee375dd742ff1p-21, -0x1.e9ca334a68602p-21, -0x1.e553ef65b8b4p-21, -0x1.e0f636fbd103p-21, -0x1.dc86a6d9da44bp-21, -0x1.d811ae3872f69p-21, -0x1.d3a9529dfa943p-21, -0x1.cf472b6188b74p-21, -0x1.cae62372aa5f2p-21, -0x1.c6880d1393465p-21, -0x1.c22827882e94ap-21, -0x1.bdc824d9315d4p-21, -0x1.b95d8642908f9p-21, -0x1.b516a7ecd9b8ap-21, }}, 
      {{0x1.71e02605846adp-14, 0x1.0f366def0075fp-11, 0x1.71f388837474fp-10, 0x1.5715f1706c8fep-9, 0x1.efdb366b02406p-9, 0x1.268621d75f474p-8, 0x1.1fb651745a083p-8, 0x1.a78ad81f0a2b8p-9, 0x1.e3f11451bf8a4p-11, -0x1.46541c93e8888p-9, -0x1.c092d27a29741p-8, -0x1.85bae27da2676p-7, -0x1.1c003cfa9cfaep-6, -0x1.763107399e6a3p-6, -0x1.cc13a5535effcp-6, -0x1.0c4e4570fbd6p-5, -0x1.2ba59782a30f8p-5, -0x1.42282523bbfcp-5, -0x1.4e5173c56b4d9p-5, -0x1.4f039a78f9b89p-5, -0x1.43855b8583855p-5, -0x1.2b7c0cee37b36p-5, -0x1.06e30416f790bp-5, -0x1.ac0254f96e652p-6, -0x1.32bb9edec9f3fp-6, -0x1.46d4fbb9c11a7p-7, 0x1.24c72cc321c75p-17, 0x1.6bcc353d5744p-7, 0x1.7ba269d6f3514p-6, 0x1.27835fa4c500dp-5, 0x1.96d9f8e200949p-5, 0x1.0552c5b3ebf71p-4, 0x1.40de01ea1248dp-4, 0x1.7d7e7f2b0f59ap-4, 0x1.baaa96c0b1a76p-4, 0x1.f7e07930d33a8p-4, 0x1.1a53911337912p-3, 0x1.38477bd0f50f8p-3, 0x1.5599167ab1259p-3, 0x1.721a7508fef79p-3, 0x1.8da2a1274a67bp-3, 0x1.a80d824da8e49p-3, 0x1.c13bbaa41906p-3, 0x1.d912780602c4cp-3, 0x1.ef7b334dd4808p-3, 0x1.0231ba0706cfbp-2, 0x1.0bde484df9f7p-2, 0x1.14bdb5b261e35p-2, 0x1.1ccc141858dc9p-2, 0x1.2406f2eaf1793p-2, 0x1.2a6d3e754c55bp-2, 0x1.2fff225cf07c7p-2, 0x1.34bdeb51c3413p-2, 0x1.38abe72681169p-2, 0x1.3bcc47dee7313p-2, 0x1.3e230891dccb4p-2, 0x1.3fb4d6d365ed6p-2, 0x1.4086fd7754fp-2, 0x1.409f4fa6cf69p-2, 0x1.40041409de4c4p-2, 0x1.3ebbf0fd1e5c8p-2, 0x1.3ccdd9d2b5e62p-2, 0x1.3a4100921c37ap-2, 0x1.371cc5f016bb7p-2, 0x1.3368ae6b75057p-2, 0x1.2f2c55c3ec402p-2, 0x1.2a6f64146476fp-2, 0x1.253983591f0e3p-2, 0x1.1f9255da97f0bp-2, 0x1.19816d9f66ad7p-2, 0x1.130e44f7e30fcp-2, 0x1.0c403803a91b1p-2, 0x1.051e7f434e0cap-2, 0x1.fb60550e22b4cp-3, 0x1.ebf83b49ca8dbp-3, 0x1.dc1216f00e39p-3, 0x1.cbbae8d6cb009p-3, 0x1.baff455ffe467p-3, 0x1.a9eb50d82510fp-3, 0x1.988abbcddb27ap-3, 0x1.86e8c0438e1cap-3, 0x1.75101fdf985e6p-3, 0x1.630b22c80e5c7p-3, 0x1.50e39730b1a8ep-3, 0x1.3ea2d174884c4p-3, 0x1.2c51ad16df8cbp-3, 0x1.19f88d8b669d4p-3, 0x1.079f6089d6ceap-3, 0x1.ea9b3ec7d71b5p-4, 0x1.c614a3eb5723p-4, 0x1.a1b821792e15ep-4, 0x1.7d9211f9acfaap-4, 0x1.59adfabbca1dap-4, 0x1.361698e127fbap-4, 0x1.12d5e1d46ad32p-4, 0x1.dfea1dd7d04cfp-5, 0x1.9af942f6e24e5p-5, 0x1.56e8d3e10f7a8p-5, 0x1.13c724d213bep-5, 0x1.a3428ab7e7151p-6, 0x1.21061a37f4271p-6, 0x1.41dccc3d9f4bbp-7, 0x1.18753839a2b3fp-9, -0x1.62200a60d9172p-8, -0x1.a38cc5659d1d2p-7, -0x1.489f2caa6155p-6, -0x1.bd06d7a5a88ebp-6, -0x1.1779bfcef35bap-5, -0x1.4f2e6bdee66d1p-5, -0x1.859e077057a17p-5, -0x1.bac5dbebac9fbp-5, -0x1.eea3d987ba854p-5, -0x1.109b47ff6738bp-4, -0x1.293e91a059123p-4, -0x1.413b9ecdb9761p-4, -0x1.589287c844fc3p-4, -0x1.6f43a015cc788p-4, -0x1.854f72798d95ap-4, -0x1.9ab6bff6b8a56p-4, -0x1.af7a7914258acp-4, -0x1.c39bba383b024p-4, -0x1.d71bcb5809d09p-4, -0x1.e9fc197fe1715p-4, -0x1.fc3e33c4c6d4ap-4, -0x1.06f1e5d934d07p-3, -0x1.0f77577a4f4e6p-3, -0x1.17b062429b75ap-3, -0x1.1f9e070304bfep-3, -0x1.274150e648775p-3, -0x1.2e9b53f024fd5p-3, -0x1.35ad2dc73cfebp-3, -0x1.3c7803c3cd991p-3, -0x1.42fd00875d13p-3, -0x1.493d550169f06p-3, -0x1.4f3a37d775582p-3, -0x1.54f4e22670e2p-3, -0x1.5a6e901a769dbp-3, -0x1.5fa88191b825ap-3, -0x1.64a3f7a75feaap-3, -0x1.696233452344ep-3, -0x1.6de476bfaed65p-3, -0x1.722c050fc6c14p-3, -0x1.763a1f787a9b3p-3, -0x1.7a10058b7a9d2p-3, -0x1.7daef69ae7fccp-3, -0x1.811830204cb69p-3, -0x1.844cec238545bp-3, -0x1.874e61fc54f2ap-3, -0x1.8a1dc74681aafp-3, -0x1.8cbc4e311ca62p-3, -0x1.8f2b24750e6bap-3, -0x1.916b742815df5p-3, -0x1.937e64af2fcfep-3, -0x1.95651945a56cfp-3, -0x1.9720afde6c264p-3, -0x1.98b2424ed61b8p-3, -0x1.9a1ae6d58a0b1p-3, -0x1.9b5baf81751fcp-3, -0x1.9c75a8aa6bec6p-3, -0x1.9d69d9fe2f6e3p-3, -0x1.9e3947308eb3fp-3, -0x1.9ee4efce6239ep-3, -0x1.9f6dcdda4a77dp-3, -0x1.9fd4d64319daep-3, -0x1.a01af9a63df21p-3, -0x1.a04124851e66cp-3, -0x1.a0483e9a6bc1ep-3, -0x1.a0312a3580758p-3, -0x1.9ffcc520c9b43p-3, -0x1.9fabe91013c7ap-3, -0x1.9f3f6b884d4cdp-3, -0x1.9eb81d172382bp-3, -0x1.9e16c9aeb7f0dp-3, -0x1.9d5c38d6fb1cap-3, -0x1.9c892e6377c91p-3, -0x1.9b9e69f64d7fdp-3, -0x1.9a9ca6cde77c7p-3, -0x1.99849bb3a2a51p-3, -0x1.9856fbb57f25cp-3, -0x1.9714762254783p-3, -0x1.95bdb6e6d3891p-3, -0x1.94536558c7aa1p-3, -0x1.92d62506ad0bdp-3, -0x1.914696a3d4c55p-3, -0x1.8fa556a859d15p-3, -0x1.8df2fecfe6699p-3, -0x1.8c30251d407ddp-3, -0x1.8a5d5c130e9bbp-3, -0x1.887b32e8fbf81p-3, -0x1.868a360439367p-3, -0x1.848aeea22d783p-3, -0x1.827de32a0a0bbp-3, -0x1.806396e2ae216p-3, -0x1.7e3c89ef9efbp-3, -0x1.7c0939ed22547p-3, -0x1.79ca21b88e8fcp-3, -0x1.777fb9ae4519ep-3, -0x1.752a777e44276p-3, -0x1.72cace0fb1c82p-3, -0x1.70612dedaee37p-3, -0x1.6dee0525c650ep-3, -0x1.6b71bf8566d0bp-3, -0x1.68ecc69842fd5p-3, -0x1.665f81ae0ab9ap-3, -0x1.63ca559b1aa12p-3, -0x1.612da527a7ca5p-3, -0x1.5e89d0f05baa8p-3, -0x1.5bdf37a9a9c9bp-3, -0x1.592e35f8775acp-3, -0x1.567726865c877p-3, -0x1.53ba6206034d5p-3, -0x1.50f83f1d356dp-3, -0x1.4e3112b7cd4e1p-3, -0x1.4b652fe651129p-3, -0x1.4894e819989bap-3, -0x1.45c08ada8dfdep-3, -0x1.42e86600079f7p-3, -0x1.400cc5a566e28p-3, -0x1.3d2df43ec8bacp-3, -0x1.3a4c3abcbfdb2p-3, -0x1.3767e04a1ea36p-3, -0x1.34812aa07e64bp-3, -0x1.31985dfbaea6bp-3, -0x1.2eadbced1f581p-3, -0x1.2bc188b20ba5dp-3, -0x1.28d400d50585dp-3, -0x1.25e5639709edp-3, -0x1.22f5edc1b0197p-3, -0x1.2005daca92d33p-3, -0x1.1d1564b1d3c02p-3, -0x1.1a24c43e7da55p-3, -0x1.173430a2e760ap-3, -0x1.1443dfe71d692p-3, -0x1.115406a785005p-3, -0x1.0e64d85ddb7e8p-3, -0x1.0b76872f47d7ap-3, -0x1.0889440949cbcp-3, -0x1.059d3e9eba011p-3, -0x1.02b2a55ff1ddbp-3, -0x1.ff934ae8ceeabp-4, -0x1.f9c4d5ded7135p-4, -0x1.f3fa4153335edp-4, -0x1.ee33e0f8a4b04p-4, -0x1.e87205ecc9031p-4, -0x1.e2b4ff305877ep-4, -0x1.dcfd196b82d48p-4, -0x1.d74a9f1016d4fp-4, -0x1.d19dd8ca2e517p-4, -0x1.cbf70bf75c07cp-4, -0x1.c6567da1f54b8p-4, -0x1.c0bc6f6392f21p-4, -0x1.bb29214d8694ap-4, -0x1.b59cd16fba93ap-4, -0x1.b017bb858d4d7p-4, -0x1.aa9a196464b4ap-4, -0x1.a52423548ac4ap-4, -0x1.9fb60f374833ep-4, -0x1.9a501155b260dp-4, -0x1.94f25befed943p-4, -0x1.8f9d1f970c3d7p-4, -0x1.8a508ac2fdc35p-4, -0x1.850cca73179e7p-4, -0x1.7fd2098b1c99ep-4, -0x1.7aa0717503781p-4, -0x1.757829c0e86a6p-4, -0x1.705958659fea6p-4, -0x1.6b44219456bf9p-4, -0x1.6638a7eeae15cp-4, -0x1.61370c64af706p-4, -0x1.5c3f6e4272d3cp-4, -0x1.5751eb6a7aeeep-4, -0x1.526ea0155e6c6p-4, -0x1.4d95a71c05d73p-4, -0x1.48c719b9371f8p-4, -0x1.44030fae696e5p-4, -0x1.3f499f5b7b54fp-4, -0x1.3a9addc206f71p-4, -0x1.35f6de3ca976bp-4, -0x1.315db2f3dd68fp-4, -0x1.2ccf6cf495c94p-4, -0x1.284c1bad50fd6p-4, -0x1.23d3cd5aafd44p-4, -0x1.1f668edb75c67p-4, -0x1.1b046c1df71c4p-4, -0x1.16ad6f821087ap-4, -0x1.1261a24a0a006p-4, -0x1.0e210c9f3c599p-4, -0x1.09ebb58620701p-4, -0x1.05c1a2f5c3e82p-4, -0x1.01a2d9ad7e3e4p-4, -0x1.fb1ebad93db0cp-5, -0x1.f30e61c8d7d39p-5, -0x1.eb14ab60337dfp-5, -0x1.e33199093cbfdp-5, -0x1.db652a21f2051p-5, -0x1.d3af5c13fea5ep-5, -0x1.cc102a90960cp-5, -0x1.c4878f6b4fd35p-5, -0x1.bd1582a07d15ap-5, -0x1.b5b9fab9d1196p-5, -0x1.ae74ec4b6e001p-5, -0x1.a7464a86f6843p-5, -0x1.a02e06c1e24dcp-5, -0x1.992c10fcfab38p-5, -0x1.924057813ffb7p-5, -0x1.8b6ac79777d81p-5, -0x1.84ab4cbfae71ep-5, -0x1.7e01d15a04e7dp-5, -0x1.776e3e227234p-5, -0x1.70f07b434a8bep-5, -0x1.6a886e8fca85ap-5, -0x1.6435fda26596ep-5, -0x1.5df90c712dd33p-5, -0x1.57d17ddc087cbp-5, -0x1.51bf33faf1682p-5, -0x1.4bc20fa89da49p-5, -0x1.45d9f0a4fb1cep-5, -0x1.4006b5eaad9fcp-5, -0x1.3a483d970ea01p-5, -0x1.349e64af66428p-5, -0x1.2f09079795e77p-5, -0x1.2988018a02b64p-5, -0x1.241b2d67be1b6p-5, -0x1.1ec26529f8332p-5, -0x1.197d81bf2fefep-5, -0x1.144c5c1d95893p-5, -0x1.0f2ecbda0e606p-5, -0x1.0a24a84019fa4p-5, -0x1.052dc877504afp-5, -0x1.004a0231dd56p-5, -0x1.f6f2569680038p-6, -0x1.ed7632618adc9p-6, -0x1.e41f40f1b1579p-6, -0x1.daed2b0246cf4p-6, -0x1.d1df986a371dep-6, -0x1.c8f6301cc8d59p-6, -0x1.c030988ea3dfdp-6, -0x1.b78e7727e9a04p-6, -0x1.af0f7128a86b8p-6, -0x1.a6b32b021a543p-6, -0x1.9e7948dbe46a6p-6, -0x1.96616ee8f0dccp-6, -0x1.8e6b4098891e8p-6, -0x1.86966169e0487p-6, -0x1.7ee27433d6726p-6, -0x1.774f1c44e7414p-6, -0x1.6fdbfaf76df09p-6, -0x1.6888b214c3eep-6, -0x1.6154e409f559ep-6, -0x1.5a403193a5421p-6, -0x1.534a3c93f6eecp-6, -0x1.4c72a62fd808cp-6, -0x1.45b910e523bdp-6, -0x1.3f1d1f2db82b3p-6, -0x1.389e74385b3b6p-6, -0x1.323cb2e4f5567p-6, -0x1.2bf77f8f789c2p-6, -0x1.25ce7c184760ap-6, -0x1.1fc14b0d03471p-6, -0x1.19cf90acb9f9dp-6, -0x1.13f8ed79ee5a4p-6, -0x1.0e3d0450d4f33p-6, -0x1.089b77ac21d06p-6, -0x1.0313eb1f1083ep-6, -0x1.fb4c0706473d8p-7, -0x1.f0a2ce32cd364p-7, -0x1.e62b7b4a07d9p-7, -0x1.dbe55f1f8543ep-7, -0x1.d1cfce3710a95p-7, -0x1.c7ea196f8b588p-7, -0x1.be3392bd42fc8p-7, -0x1.b4ab89817bf6fp-7, -0x1.ab5149678fc39p-7, -0x1.a22422996651dp-7, -0x1.99235de00db46p-7, -0x1.904e49bd99b1fp-7, -0x1.87a43acb51826p-7, -0x1.7f24879704385p-7, -0x1.76ce8e3e8fe3dp-7, -0x1.6ea1b23893be3p-7, -0x1.669d5ace0d116p-7, -0x1.5ec0f0f17a8fbp-7, -0x1.570bdda7dabc9p-7, -0x1.4f7d848583adep-7, -0x1.481547962e63fp-7, -0x1.40d28081a3f2fp-7, -0x1.39b48808da1ffp-7, -0x1.32bab425e887fp-7, -0x1.2be45fa33f97dp-7, -0x1.2530e6ff46891p-7, -0x1.1e9fb19f7912p-7, -0x1.183032aef1a6fp-7, -0x1.11e1e331aed94p-7, -0x1.0bb446597d5a8p-7, -0x1.05a6e283d5a4bp-7, -0x1.ff727be27eb39p-8, -0x1.f3d5b4f3e84b1p-8, -0x1.e876642737683p-8, -0x1.dd536de39bd96p-8, -0x1.d26ba30ef6a04p-8, -0x1.c7bdcaa2bf582p-8, -0x1.bd48afc190458p-8, -0x1.b30b1f3ff9104p-8, -0x1.a903fb4f18a39p-8, -0x1.9f323f48a4d23p-8, -0x1.9595028549b6cp-8, -0x1.8c2b74f6e84cfp-8, -0x1.82f4db138302ep-8, -0x1.79f07db1edac8p-8, -0x1.711da6fd163d2p-8, -0x1.687b9048eec81p-8, -0x1.60095f4c8da8fp-8, -0x1.57c62119b7e7ep-8, -0x1.4fb0d2a242a1ap-8, -0x1.47c85c579a93ap-8, -0x1.400ba86a17e59p-8, -0x1.3879ad0ac3df5p-8, -0x1.31116f480c2cdp-8, -0x1.29d20fff57381p-8, -0x1.22bace1115542p-8, -0x1.1bcb03762b91dp-8, -0x1.15021e5f8b3acp-8, -0x1.0e5f96a282816p-8, -0x1.07e2e7c9c0d9cp-8, -0x1.018b77a7230bfp-8, -0x1.f6b13f95fe07ap-9, -0x1.ea935005e9137p-9, -0x1.debb75b454e81p-9, -0x1.d327f698bf0b6p-9, -0x1.c7d710f0619bp-9, -0x1.bcc707d76157cp-9, -0x1.b1f63976e8f97p-9, -0x1.a76338b0ca465p-9, -0x1.9d0cb5c9d0a55p-9, -0x1.92f19c3298462p-9, -0x1.8910f0f2ed414p-9, -0x1.7f69d76b5d1a2p-9, -0x1.75fb7a7b25dbfp-9, -0x1.6cc4ef1cae9c2p-9, -0x1.63c530868623fp-9, -0x1.5afb1ae923da7p-9, -0x1.52656ee819a56p-9, -0x1.4a02dae1607f2p-9, -0x1.41d20dc90f297p-9, -0x1.39d1c121af9c4p-9, -0x1.3200c0fcb84cp-9, -0x1.2a5defa1494c6p-9, -0x1.22e845c02002p-9, -0x1.1b9ed2d391a56p-9, -0x1.1480bdde62e01p-9, -0x1.0d8d455f0e91dp-9, -0x1.06c3bbbc4d3eep-9, -0x1.00237757ead07p-9, -0x1.f3578d1df6d62p-10, -0x1.e6b7b69af441cp-10, -0x1.da657cc1482b3p-10, -0x1.ce5eaa8ee65f2p-10, -0x1.c2a0ed0bd828ap-10, -0x1.b72a16c593dd1p-10, -0x1.abf82c8437e55p-10, -0x1.a109a1d5af397p-10, -0x1.965d5707873a8p-10, -0x1.8bf221d37017bp-10, -0x1.81c6e3589db8p-10, -0x1.77da474ae5725p-10, -0x1.6e2ab7e6905bbp-10, -0x1.64b6ccaf28886p-10, -0x1.5b7d3d0971f55p-10, -0x1.527cffcfc958p-10, -0x1.49b54deddc7e3p-10, -0x1.41255ad78548cp-10, -0x1.38cc1c56579c3p-10, -0x1.30a80b168cac4p-10, -0x1.28b7283a115b7p-10, -0x1.20f7385f3fbc8p-10, -0x1.19662d1e7272fp-10, -0x1.12028f6c9e2eep-10, -0x1.0acbaf910e231p-10, -0x1.03c1785f36b91p-10, -0x1.f9c7f010a5489p-11, -0x1.ec659d96da182p-11, -0x1.df59e95dab9e6p-11, -0x1.d2a17a6b2aedp-11, -0x1.c6388dbe38fa9p-11, -0x1.ba1bd6ecbed52p-11, -0x1.ae4930e41c928p-11, -0x1.a2bfd5a889545p-11, -0x1.977fe7a193e9ep-11, -0x1.8c899f366ad31p-11, -0x1.81dc71e924ae4p-11, -0x1.77766b92ad064p-11, -0x1.6d5421bcf1c3ep-11, -0x1.63715eeaa6782p-11, -0x1.59ca4ccc2cfd4p-11, -0x1.505cab3d989f4p-11, -0x1.47282a584cd1cp-11, -0x1.3e2e19399f53bp-11, -0x1.356fe6e47f653p-11, -0x1.2ceda9df90f11p-11, -0x1.24a5b74f75d2ap-11, -0x1.1c94b28c261d9p-11, -0x1.14b6652e793c3p-11, -0x1.0d07350c37669p-11, -0x1.05850726860edp-11, -0x1.fc5e1ce61d144p-12, -0x1.ee0c5fbf5754ap-12, -0x1.e018014643ecdp-12, -0x1.d2824258c3487p-12, -0x1.c54a847f4ff9dp-12, -0x1.b86d6cb30735dp-12, -0x1.abe59a0ca9dd1p-12, -0x1.9fad65b73c4cp-12, -0x1.93c04ac502af5p-12, -0x1.881bf4c690787p-12, -0x1.7cc070d56b08fp-12, -0x1.71af3529f1488p-12, -0x1.66e98c54a010dp-12, -0x1.5c6f3f8549afbp-12, -0x1.523e0d1ef9decp-12, -0x1.48520e1792a81p-12, -0x1.3ea5fd647410bp-12, -0x1.353482da50a1ap-12, -0x1.2bf96bbbea7b6p-12, -0x1.22f32af4f3517p-12, -0x1.1a22f356922a6p-12, -0x1.118b198b5e89bp-12, -0x1.092cd7ec5105ap-12, -0x1.0107a2a7454b8p-12, -0x1.f2327d45db9e3p-13, -0x1.e2be39340ea79p-13, -0x1.d3aecf1ff12bbp-13, -0x1.c502b3703cb8ep-13, -0x1.b6b97c1e18928p-13, -0x1.a8d1f4c79596cp-13, -0x1.9b49813edfc55p-13, -0x1.8e1a5343486a6p-13, -0x1.813f26580ac4cp-13, -0x1.74b5b0710b1c2p-13, -0x1.687efe8f4a291p-13, -0x1.5c9d13c7b041ap-13, -0x1.510d7329c9ae8p-13, -0x1.45ca4a600d70bp-13, -0x1.3ace22284a4fp-13, -0x1.3015628419425p-13, -0x1.259f2b911980bp-13, -0x1.1b6ac91d0549dp-13, -0x1.11775de5f105ap-13, -0x1.07c3ccbff780ap-13, -0x1.fc9db6799b8f5p-14, -0x1.ea2b531a4f4fep-14, -0x1.d82d3fa284f92p-14, -0x1.c6a5f5436779dp-14, -0x1.b59c7fad6f861p-14, -0x1.a518362a1f581p-14, -0x1.9517fa5c7a544p-14, -0x1.858f93ef23e84p-14, -0x1.766b37f9cf6d8p-14, -0x1.6798cc2377d01p-14, -0x1.59148afbf5b18p-14, -0x1.4ae9ca31a46fcp-14, -0x1.3d261383c28e3p-14, -0x1.2fcad6c9b925ap-14, -0x1.22cffc3594617p-14, -0x1.1633696ec405fp-14, -0x1.09f748920c605p-14, -0x1.fc2bf0069523fp-15, -0x1.e50291652b0c2p-15, -0x1.ce5b953b5fef3p-15, -0x1.b83583dc26a93p-15, -0x1.a29d2a27c289bp-15, -0x1.8d97a6c96ec52p-15, -0x1.791f15c0f94c3p-15, -0x1.652a0c4ce1dbfp-15, -0x1.51c1a1e352e0fp-15, -0x1.3ef806a3d0e6ap-15, -0x1.2cd3de46ac149p-15, -0x1.1b4bdbb255f14p-15, -0x1.0a4f894b1b014p-15, -0x1.f390fad0cc36bp-16, -0x1.d33452fb6777ap-16, -0x1.b373b91b6fd16p-16, -0x1.9485425df487ap-16, -0x1.76937a0682ebbp-16, -0x1.5987567f3a387p-16, -0x1.3d4770a7a0d48p-16, -0x1.21f0cecc72ca2p-16, -0x1.07a98b67bfcbdp-16, -0x1.dcc66cdc062eap-17, -0x1.abd4aa0ebdf6fp-17, -0x1.7c0b61c046ecap-17, -0x1.4d33b10e414f9p-17, -0x1.1f7f4e0b9911bp-17, -0x1.e67b714bce13fp-18, -0x1.90e0d88ce3411p-18, -0x1.3db34c01d8d3cp-18, -0x1.d9f1a760ca9f3p-19, -0x1.3e13bced4c0a8p-19, -0x1.501b8e9a12c61p-20, -0x1.793658a48a107p-23, 0x1.cf9b321f3b80fp-21, 0x1.f525e22c040aep-20, 0x1.7c7fb865dc162p-19, 0x1.fa53138b2761dp-19, 0x1.3a774a224d8efp-18, 0x1.75d7231d1940cp-18, 0x1.aee1e64c46a2bp-18, 0x1.e61c25ba0be64p-18, 0x1.0dd9861b444a7p-17, 0x1.2783beb7e00a1p-17, 0x1.3ffd6037cd074p-17, 0x1.575edc4fc9ac6p-17, 0x1.6dbc4a3ce1295p-17, 0x1.831fcc7b5140dp-17, 0x1.97b91f1a462a5p-17, 0x1.abbd4ef2b69b4p-17, 0x1.bf0fdc1ccadb7p-17, 0x1.d17b0b8511632p-17, 0x1.e3173f1bb6821p-17, 0x1.f408ffd6344c4p-17, 0x1.02166e8261321p-16, 0x1.09b5ff54e5605p-16, 0x1.10f102656d813p-16, 0x1.17d4371975172p-16, 0x1.1e630ee59a26fp-16, 0x1.249fbdafb668ep-16, 0x1.2a80fc3f7857cp-16, 0x1.30013a1750e21p-16, 0x1.352d477b8b3cp-16, 0x1.3a1488d7448dfp-16, 0x1.3eafb326d9028p-16, 0x1.430e5c536ccc5p-16, 0x1.47255c3275bacp-16, 0x1.4ae172f4ac471p-16, 0x1.4e4f66c815837p-16, 0x1.517be6407b22cp-16, 0x1.546797d094e6dp-16, 0x1.570f22e8a074cp-16, 0x1.596f071a26ff2p-16, 0x1.5b848005ffee3p-16, 0x1.5d5900fbd122dp-16, 0x1.5efb94882eed3p-16, 0x1.60650093320c3p-16, 0x1.6195c0aaf14b1p-16, 0x1.6297b5d25ce39p-16, 0x1.635b8a00a1c4ap-16, 0x1.63db3576ae24bp-16, 0x1.642699b760ff7p-16, 0x1.6442132e30afp-16, 0x1.6431e67336a65p-16, 0x1.63f008d98ee26p-16, 0x1.63827fc7222b1p-16, 0x1.62dfa4612ab35p-16, 0x1.61ffd1cd7d1eep-16, 0x1.60f4e6d18a85dp-16, 0x1.5fc7c05a5494cp-16, 0x1.5e7a8a6b29abcp-16, 0x1.5cffbef840904p-16, 0x1.5b5273a5e314ap-16, 0x1.597dd94bdea2cp-16, 0x1.5786494dad9a3p-16, 0x1.556a34a1b17c1p-16, 0x1.532cfa5b6eed5p-16, 0x1.50cba0314494ep-16, 0x1.4e485ef1c7a28p-16, 0x1.4ba3c79c7ee74p-16, 0x1.48db4477cf74bp-16, 0x1.45eb6e9666b13p-16, 0x1.42dcd3a412f82p-16, 0x1.3fb41755ba306p-16, 0x1.3c757d2827d53p-16, 0x1.391ca20b3bba5p-16, 0x1.359ea7aeca742p-16, 0x1.320650ec77c21p-16, 0x1.2e55bcd4f46f6p-16, 0x1.2a8ee8070b2a1p-16, 0x1.26b18ca773cbbp-16, 0x1.22bd2c53990d5p-16, 0x1.1eb34f465de13p-16, 0x1.1a91239f359c5p-16, 0x1.16535e4f8798ep-16, 0x1.1203fd81fd184p-16, 0x1.0da8ee5235a62p-16, 0x1.09383ac00f5bbp-16, 0x1.04b0dd412f8c9p-16, 0x1.0019afbeced2bp-16, 0x1.f6e62df40dad3p-17, 0x1.ed79d15b24141p-17, 0x1.e3eeb356a0cfep-17, 0x1.da4604a45f7e1p-17, 0x1.d082a62c6f3fp-17, 0x1.c6a39d6bd8c9ap-17, 0x1.bca93ad22d249p-17, 0x1.b297bbaa81928p-17, 0x1.a8738149303f1p-17, 0x1.9e35e1c56226fp-17, 0x1.93de3b9ed043cp-17, 0x1.896e1d065b4aap-17, 0x1.7ef551e1ed5e9p-17, 0x1.746dc0552c2c1p-17, 0x1.69cff13b1f4d4p-17, 0x1.5f21e5550c3efp-17, 0x1.5467e294a1e2bp-17, 0x1.49a2521058067p-17, 0x1.3ed107005f0f2p-17, 0x1.33f44c0975016p-17, 0x1.290d9d9de414bp-17, 0x1.1e1e43ff1e872p-17, 0x1.13231e74579c8p-17, 0x1.082368834a8b6p-17, 0x1.fa3ddc7cd2046p-18, 0x1.e4262d51b431dp-18, 0x1.ce053ce714329p-18, 0x1.b7df1a55801a8p-18, 0x1.a1b4469b2662p-18, 0x1.8b87df8e08545p-18, 0x1.755c18b620998p-18, 0x1.5f288289b57e6p-18, 0x1.48f908293cc21p-18, 0x1.32cb968958e5ap-18, 0x1.1caa8707295f9p-18, 0x1.068366a4d225ap-18, 0x1.e0cfaed4a2c27p-19, 0x1.b4afa4c3fe81fp-19, 0x1.88a4bbaa4540ep-19, 0x1.5cb5ad792fea3p-19, 0x1.30d95886561b5p-19, 0x1.051bca9a55a82p-19, 0x1.b30414718fcfbp-20, 0x1.5c169aeeb649ap-20, 0x1.056e40c50e70fp-20, 0x1.5e294fa0e6bfp-21, 0x1.6451509405f02p-22, 0x1.b8468ffa6898fp-27, -0x1.475b0bbe3ff9ep-22, -0x1.4d72e923669a2p-21, -0x1.f68d216f39957p-21, -0x1.4f55df4c710bcp-20, -0x1.a2f0bcede40abp-20, -0x1.f6215bc73368cp-20, -0x1.246cdf40b00c2p-19, -0x1.4d892ed70662cp-19, -0x1.766549d46c8bp-19, -0x1.9efe82cd83ap-19, -0x1.c754406a9f3b3p-19, -0x1.ef643b3560c67p-19, -0x1.0b96357add194p-18, -0x1.1f5556e77b4c3p-18, -0x1.32ed4a8e986b1p-18, -0x1.4663e65c0ffc9p-18, -0x1.59aeaaed51236p-18, -0x1.6cd2ce1ed6316p-18, -0x1.7fce198c16486p-18, -0x1.92a0d2c4bfc09p-18, -0x1.a54923db4e9cap-18, -0x1.b7c6d17aa80f8p-18, -0x1.ca1af37bc9751p-18, -0x1.dc3f21a2925b1p-18, -0x1.ee389d63afa57p-18, -0x1.0002058e5ccc8p-17, -0x1.08d156f7b6c7cp-17, -0x1.118913599437ap-17, -0x1.1a28d2d01f687p-17, -0x1.22b29448fbfddp-17, -0x1.2b21b75d719f6p-17, -0x1.3379743eb2387p-17, -0x1.3bb7f10e15a14p-17, -0x1.43dfceee91d0cp-17, -0x1.4bec44015f792p-17, -0x1.53e18cc68f06fp-17, -0x1.5bbc99af5939ep-17, -0x1.637eaab6e3e67p-17, -0x1.6b21f7234c1d7p-17, -0x1.72b2bd8341a42p-17, -0x1.7a27e960cda3ap-17, -0x1.81837402d719cp-17, -0x1.88bde67374372p-17, -0x1.8fe627e1991bbp-17, -0x1.96eff790af88bp-17, -0x1.9ddef4fb3efd3p-17, -0x1.a4b2a1a10529fp-17, -0x1.ab6cc2929ee79p-17, -0x1.b209ea342baf8p-17, -0x1.b88d58e259c67p-17, -0x1.bef5b10984dedp-17, -0x1.c541e789519dfp-17, -0x1.cb731fe5b4be6p-17, -0x1.d188a6682b80ap-17, -0x1.d7826c0c61af7p-17, -0x1.dd60b9fa7f845p-17, -0x1.e3236f7e99186p-17, -0x1.e8ca0095dad5fp-17, -0x1.ee5543879920fp-17, -0x1.f3c69dab5781ap-17, -0x1.f918f473a9637p-17, -0x1.fe5142d9b8df9p-17, -0x1.01b6b30f97d88p-16, -0x1.0436ed6d9d28bp-16, -0x1.06a96c65f7089p-16, -0x1.090e12af188ecp-16, -0x1.0b64cb095cb28p-16, -0x1.0dad8594d4a17p-16, -0x1.0fe89c10b24f5p-16, -0x1.12152cf46be2ep-16, -0x1.143557ad29cb5p-16, -0x1.1646fa63af35fp-16, -0x1.184af1a95e499p-16, -0x1.1a414fea35bf7p-16, -0x1.1c29ec1101b19p-16, -0x1.1e04dcd17371dp-16, -0x1.1fd212f0c569ep-16, -0x1.2190d34a9f77ep-16, -0x1.234409bab31fp-16, -0x1.24e8ed9a65506p-16, -0x1.26802899393a6p-16, -0x1.280ab38820f11p-16, -0x1.2986e50f46c1ep-16, -0x1.2af5dffd7a04ap-16, -0x1.2c5831e9135acp-16, -0x1.2dad5ad50a62bp-16, -0x1.2ef61d2b7ed4ep-16, -0x1.30302dde61693p-16, -0x1.315dcdb36781ap-16, -0x1.327e7fbfccfa7p-16, -0x1.33924d90f93bcp-16, -0x1.34998e27f91d6p-16, -0x1.359357a214cap-16, -0x1.368198920e2c5p-16, -0x1.376122e71f27dp-16, -0x1.3837dcebb3114p-16, -0x1.39002ce3ec569p-16, -0x1.39bc1a9dc8241p-16, -0x1.3a6b1a3914db8p-16, -0x1.3b0f04ce705c6p-16, -0x1.3ba699b03c6a5p-16, -0x1.3c3150e7eb3bdp-16, -0x1.3cb01a2f39311p-16, -0x1.3d2493a794196p-16, -0x1.3d8c1ffc4ba9ap-16, -0x1.3de81a7f127d4p-16, -0x1.3e388a94f7353p-16, -0x1.3e7d61b52b5d4p-16, -0x1.3eb6d7f024a64p-16, -0x1.3ee4c838877eep-16, -0x1.3f07e7ec90b62p-16, -0x1.3f1fa64115a26p-16, -0x1.3f2c29681bb71p-16, -0x1.3f2de3f78c656p-16, -0x1.3f24d40ba302bp-16, -0x1.3f10e996b9dcep-16, -0x1.3ef264f83a3fep-16, -0x1.3ec89082d6624p-16, -0x1.3e958f85c6bdap-16, -0x1.3e57693d45147p-16, -0x1.3e0f583afb77ep-16, -0x1.3dbcbd506637p-16, -0x1.3d605ddf726d2p-16, -0x1.3cf9cb0a35b1ap-16, -0x1.3c897f76ecf8cp-16, -0x1.3c0f3ccd81396p-16, -0x1.3b8b9062d4a5ap-16, -0x1.3afe520991816p-16, -0x1.3a67acc14db7cp-16, -0x1.39c77d711da23p-16, -0x1.391ec48d802fbp-16, -0x1.386be418969a4p-16, -0x1.37b0ab603acb1p-16, -0x1.36ebe8798a6dbp-16, -0x1.361eba679136dp-16, -0x1.3548b813eb3cp-16, -0x1.346aa52ac42f5p-16, -0x1.3383f4efcd68ap-16, -0x1.329449f238e87p-16, -0x1.319cb52eb9e8bp-16, -0x1.309cc660f8954p-16, -0x1.2f95572b7baf5p-16, -0x1.2e866e2600df3p-16, -0x1.2d6dfd61d2de1p-16, -0x1.2c4ecfb86823cp-16, -0x1.2b27d42ee799ap-16, -0x1.29f90a0b7e444p-16, -0x1.28c33a87a47eap-16, -0x1.2786789a70449p-16, -0x1.2641a197ea409p-16, -0x1.24f665c3b5cdep-16, -0x1.23a3f007fd85bp-16, -0x1.224a32b8c422bp-16, -0x1.20ead57d96bbp-16, -0x1.1f82c592b9948p-16, -0x1.1e16e0cc39b9dp-16, -0x1.1ca31e85ffe9dp-16, -0x1.1b2923950ed35p-16, -0x1.19a900335219p-16, -0x1.1822aeb145075p-16, -0x1.169655b115237p-16, -0x1.150413bd2a82ep-16, -0x1.136c0d540f699p-16, -0x1.11ce349658ed7p-16, -0x1.102aa92dfd2ep-16, -0x1.0e827dbcaa2c8p-16, -0x1.0cd41298e9b98p-16, }}, 
      {{-0x1.696c2cd2881b7p-10, -0x1.7e937da41e613p-6, -0x1.a051b65dea20ep-5, -0x1.0671cadd71ddcp-4, -0x1.a1721165430cp-5, -0x1.0a1d48fe199e7p-7, 0x1.f559903bfc2ap-5, 0x1.331fd7960c234p-3, 0x1.ff475321d71a5p-3, 0x1.6852b566da69ap-2, 0x1.cc2d2e8e39cefp-2, 0x1.12b04bbfaa313p-1, 0x1.37eb288146c62p-1, 0x1.548ce6f07258ap-1, 0x1.68103e00c660dp-1, 0x1.72829680e2198p-1, 0x1.7461152d52437p-1, 0x1.6e782b0418e8p-1, 0x1.61c73fb20df32p-1, 0x1.4f690fb3a3419p-1, 0x1.3880c601343b2p-1, 0x1.1e2b875c37b05p-1, 0x1.0175f09f98b03p-1, 0x1.c6a9ecb215916p-2, 0x1.89431ade9ed1cp-2, 0x1.4c2d1c14e9e3ap-2, 0x1.10a09c8283c18p-2, 0x1.af360b90fd3d4p-3, 0x1.43c4156ffa421p-3, 0x1.c02177fb9a803p-4, 0x1.09cc52c5d023bp-4, 0x1.95f52ee65ec17p-6, -0x1.6300b4b021f05p-7, -0x1.57a6c95e5921bp-5, -0x1.1942a303b9788p-4, -0x1.755f5123c01c3p-4, -0x1.c11550e673f3ap-4, -0x1.fd7bc27ffb0e6p-4, -0x1.15e3ec33ec0bdp-3, -0x1.26a0c694d515ap-3, -0x1.319d118c38aa2p-3, -0x1.378222c09fb9ap-3, -0x1.38f6cf2b66bcbp-3, -0x1.369cdf1d71719p-3, -0x1.310f1ae600467p-3, -0x1.28dfd62a5de42p-3, -0x1.1e97e2ceb2ecap-3, -0x1.12b5e30e797d7p-3, -0x1.05adeed0b3d54p-3, -0x1.efd2f4a512932p-4, -0x1.d38ecf015db4fp-4, -0x1.b73875bf806eap-4, -0x1.9b64e85e25792p-4, -0x1.80960740a0debp-4, -0x1.673ba4bbd115p-4, -0x1.4fb4a1414c402p-4, -0x1.3a500b11fef0ap-4, -0x1.274e42571eae4p-4, -0x1.16e223dce72b1p-4, -0x1.093237f39064fp-4, -0x1.fcb3b900af893p-5, -0x1.ecd4c60357619p-5, -0x1.e2d83dcabc41cp-5, -0x1.debec1bcfbd5bp-5, -0x1.e07ac9e08c603p-5, -0x1.e7f262826acf7p-5, -0x1.f500d2e052203p-5, -0x1.03bc1464a0957p-4, -0x1.0f915396f619p-4, -0x1.1de20c145c033p-4, -0x1.2e8d7f72dbe92p-4, -0x1.4170d6edcc811p-4, -0x1.5667a0e2573fep-4, -0x1.6d4c418f1575bp-4, -0x1.85f858a70e571p-4, -0x1.a0451c6281562p-4, -0x1.bc0bab91b2931p-4, -0x1.d925559e155fep-4, -0x1.f76bdaebc613cp-4, -0x1.0b5cd274d6b9fp-3, -0x1.1b74fb275aba4p-3, -0x1.2bec8a2789152p-3, -0x1.3cb234a08d39bp-3, -0x1.4db5507f70d33p-3, -0x1.5ee5e033075c8p-3, -0x1.70349b53aee53p-3, -0x1.8192f5eaffacap-3, -0x1.92f324805f4dcp-3, -0x1.a4481fc72bc6ap-3, -0x1.b585a5b81647p-3, -0x1.c6a0393c2b54bp-3, -0x1.d78d21a97bbabp-3, -0x1.e84267c3455d9p-3, -0x1.f8b6d2b66fc28p-3, -0x1.0470f2446fcc9p-2, -0x1.0c5dea2555bc6p-2, -0x1.141ec4b8acf7p-2, -0x1.1bb04b2c8167dp-2, -0x1.230f984a21a21p-2, -0x1.2a3a15d36b473p-2, -0x1.312d794bf3f34p-2, -0x1.37e7bf9869804p-2, -0x1.3e672a736ad38p-2, -0x1.44aa3ceae7afdp-2, -0x1.4aafb701b9331p-2, -0x1.5076935d26092p-2, -0x1.55fe036f4ac14p-2, -0x1.5b456bcc672f1p-2, -0x1.604c61805d38bp-2, -0x1.6512a6a1d106dp-2, -0x1.6998273dfef5bp-2, -0x1.6ddcf63ed6557p-2, -0x1.71e14afd3664fp-2, -0x1.75a57e354a218p-2, -0x1.792a073b1959p-2, -0x1.7c6f7a15409a7p-2, -0x1.7f7684975a419p-2, -0x1.823fec18fa6ccp-2, -0x1.84cc8bea3465ep-2, -0x1.871d52aa38313p-2, -0x1.89334065aa7b4p-2, -0x1.8b0f655467c1bp-2, -0x1.8cb2df84ccc75p-2, -0x1.8e1ed938d72aap-2, -0x1.8f5487fa532cp-2, -0x1.90552a838c827p-2, -0x1.9122075a38144p-2, -0x1.91bc6c36169bp-2, -0x1.9225ac2dc88f1p-2, -0x1.925f1e60def4cp-2, -0x1.926a1db64b892p-2, -0x1.92480776d8925p-2, -0x1.91fa39e2c247ep-2, -0x1.918214089c7f9p-2, -0x1.90e0f517a26cfp-2, -0x1.90183ad3c9406p-2, -0x1.8f29414dbbfb1p-2, -0x1.8e1562d598246p-2, -0x1.8cddf6c926b7bp-2, -0x1.8b8450c45038fp-2, -0x1.8a09c0e3be16bp-2, -0x1.886f93556d5ffp-2, -0x1.86b70f58ff853p-2, -0x1.84e17701c68c6p-2, -0x1.82f0078bb2cf7p-2, -0x1.80e3f8cefb57fp-2, -0x1.7ebe7c7b450dbp-2, -0x1.7c80be3fdc4cfp-2, -0x1.7a2be414fb023p-2, -0x1.77c10da625adcp-2, -0x1.754153e230ec7p-2, -0x1.72adc943d02cfp-2, -0x1.70077a0eb3bcfp-2, -0x1.6d4f6be1f91fbp-2, -0x1.6a869d6df9a65p-2, -0x1.67ae06b35ac9bp-2, -0x1.64c6996369ed8p-2, -0x1.61d1408a69292p-2, -0x1.5ecee05386bf5p-2, -0x1.5bc0564cd3c9dp-2, -0x1.58a679bbdfb9ap-2, -0x1.55821b8a8c1e6p-2, -0x1.52540612d7ddfp-2, -0x1.4f1cfd40635a4p-2, -0x1.4bddbee08c187p-2, -0x1.489702d1c868p-2, -0x1.45497ad8dfcfep-2, -0x1.41f5d2a774128p-2, -0x1.3e9cb018efbb2p-2, -0x1.3b3eb3771f138p-2, -0x1.37dc7782f9bdbp-2, -0x1.3476917147c3dp-2, -0x1.310d90f8fc299p-2, -0x1.2da2009c66cc6p-2, -0x1.2a3465d57c5bp-2, -0x1.26c5412c43fb4p-2, -0x1.23550e2893273p-2, -0x1.1fe443841458cp-2, -0x1.1c73534f4fe84p-2, -0x1.1902ab386f9a6p-2, -0x1.1592b482a9ccbp-2, -0x1.1223d40a7cb32p-2, -0x1.0eb66a851c5efp-2, -0x1.0b4ad49da61aep-2, -0x1.07e16b116d51dp-2, -0x1.047a82d14617fp-2, -0x1.01166d0ee3b9dp-2, -0x1.fb6aeea7449c5p-3, -0x1.f4afd752e3131p-3, -0x1.edfc2166eaaffp-3, -0x1.e75053bc095efp-3, -0x1.e0aceeaef3b82p-3, -0x1.da126c52f8d94p-3, -0x1.d38140cd76139p-3, -0x1.ccf9da58395f5p-3, -0x1.c67ca1b0d593fp-3, -0x1.c009fa229864fp-3, -0x1.b9a241a34cb67p-3, -0x1.b345d10065f5p-3, -0x1.acf4fc1a96452p-3, -0x1.a6b012225a1b8p-3, -0x1.a0775d8b864b1p-3, -0x1.9a4b24762a183p-3, -0x1.942ba8ae793afp-3, -0x1.8e1927c81a209p-3, -0x1.8813db3695b36p-3, -0x1.821bf8a753715p-3, -0x1.7c31b2049167ap-3, -0x1.765535a4c0bb7p-3, -0x1.7086ae4e349aep-3, -0x1.6ac6435e7e29bp-3, -0x1.651419031ef05p-3, -0x1.5f705035dbadp-3, -0x1.59db06f94fd6ep-3, -0x1.5454585596a38p-3, -0x1.4edc5c914bbe1p-3, -0x1.4973292e9f9cfp-3, -0x1.4418d113a1cdcp-3, -0x1.3ecd64b2bc846p-3, -0x1.3990f1f1f1426p-3, -0x1.34638480671cap-3, -0x1.2f4525bf44ce2p-3, -0x1.2a35dcdf3733p-3, -0x1.2535af1ae7d67p-3, -0x1.20449f8be401dp-3, -0x1.1b62af7b82426p-3, -0x1.168fde3a3ca1fp-3, -0x1.11cc296461cd2p-3, -0x1.0d178cde3a278p-3, -0x1.08720307e57f3p-3, -0x1.03db847961bd8p-3, -0x1.fea81121821a4p-4, -0x1.f5b709cec4dd4p-4, -0x1.ece3dbded0e95p-4, -0x1.e42e6d4e19918p-4, -0x1.db96a1d42a221p-4, -0x1.d31c5aa90276fp-4, -0x1.cabf76ac0879bp-4, -0x1.c27fd27646db5p-4, -0x1.ba5d489dc72dfp-4, -0x1.b257b189fb2bep-4, -0x1.aa6ee3f2b40a3p-4, -0x1.a2a2b49dcaf98p-4, -0x1.9af2f6aacbe7cp-4, -0x1.935f7b988677ap-4, -0x1.8be8131acafbdp-4, -0x1.848c8b99998e3p-4, -0x1.7d4cb20fdebd5p-4, -0x1.762851e93aa3fp-4, -0x1.6f1f35cef2705p-4, -0x1.683126d642c2bp-4, -0x1.615ded24d3b6cp-4, -0x1.5aa54faf761e3p-4, -0x1.54071477d786dp-4, -0x1.4d8300b303217p-4, -0x1.4718d86be0c5dp-4, -0x1.40c85f460e897p-4, -0x1.3a9157fd3307p-4, -0x1.3473849aad43bp-4, -0x1.2e6ea673b4c4dp-4, -0x1.28827e7173cffp-4, -0x1.22aeccacf660fp-4, -0x1.1cf35104790f4p-4, -0x1.174fcac7d29f5p-4, -0x1.11c3f90c5f964p-4, -0x1.0c4f9a5876bcap-4, -0x1.06f26d2c4a1d2p-4, -0x1.01ac2f51bbb0cp-4, -0x1.f8f93dac0f149p-5, -0x1.eec6f2473edcfp-5, -0x1.e4c0f79081a9cp-5, -0x1.dae6c866df9f9p-5, -0x1.d137df540385bp-5, -0x1.c7b3b702bf4fep-5, -0x1.be59c9d4109aap-5, -0x1.b529923ccdfcp-5, -0x1.ac228b1b96654p-5, -0x1.a3442ebe68f7ep-5, -0x1.9a8df85e5d762p-5, -0x1.91ff63369023fp-5, -0x1.8997eab45dbb8p-5, -0x1.81570b0729cc6p-5, -0x1.793c405d0b683p-5, -0x1.71470777f228cp-5, -0x1.6976ddda76c1fp-5, -0x1.61cb40c0000c3p-5, -0x1.5a43af13eb3eep-5, -0x1.52dfa773939f2p-5, -0x1.4b9ea9cf7bdd8p-5, -0x1.44803684ca273p-5, -0x1.3d83ce88de854p-5, -0x1.36a8f3e58f6c3p-5, -0x1.2fef29087d47bp-5, -0x1.2955f16459946p-5, -0x1.22dcd15b61b4dp-5, -0x1.1c834de81dcabp-5, -0x1.1648ecffbedfcp-5, -0x1.102d35c7cabefp-5, -0x1.0a2fb0630be7ep-5, -0x1.044fe53fe5aa1p-5, -0x1.fd1abd2a2298cp-6, -0x1.f1cf4d35427dp-6, -0x1.e6bc940b2f276p-6, -0x1.dbe1aa6f43788p-6, -0x1.d13dac38f5f33p-6, -0x1.c6cfb76e6cdf1p-6, -0x1.bc96ec73e126cp-6, -0x1.b2926d6c269edp-6, -0x1.a8c15f527b772p-6, -0x1.9f22e872ab40cp-6, -0x1.95b6324300b7dp-6, -0x1.8c7a67b09ceeep-6, -0x1.836eb63213cb9p-6, -0x1.7a924dcb555f9p-6, -0x1.71e4607601d7ap-6, -0x1.696422b01390bp-6, -0x1.6110cb4ade74ep-6, -0x1.58e9935ec517dp-6, -0x1.50edb651409a7p-6, -0x1.491c71e171391p-6, -0x1.417506ca25daep-6, -0x1.39f6b67603959p-6, -0x1.32a0c69041cbfp-6, -0x1.2b727dfcaa49bp-6, -0x1.246b2635d0ac4p-6, -0x1.1d8a0b205d9d5p-6, -0x1.16ce7b00a811ap-6, -0x1.1037c65796f9ap-6, -0x1.09c5401c91946p-6, -0x1.03763d971bbcap-6, -0x1.fa942cc5f623ep-7, -0x1.ee8048eb3fa8p-7, -0x1.e2af87fe1823ap-7, -0x1.d720a70f6c4e1p-7, -0x1.cbd26792b0869p-7, -0x1.c0c38ff9866cfp-7, -0x1.b5f2ea715dd3ap-7, -0x1.ab5f45be1f158p-7, -0x1.a1077684735abp-7, -0x1.96ea545663108p-7, -0x1.8d06bb64cbcacp-7, -0x1.835b8daa7cb7ap-7, -0x1.79e7b0514859p-7, -0x1.70aa0d766c35fp-7, -0x1.67a19347167efp-7, -0x1.5ecd34707b9d7p-7, -0x1.562be72a95ccdp-7, -0x1.4dbca5e14c9f3p-7, -0x1.457e6f5cf63f1p-7, -0x1.3d7046126977bp-7, -0x1.3591315a7e1a4p-7, -0x1.2de03b9ee40b3p-7, -0x1.265c756751099p-7, -0x1.1f04f1322626ep-7, -0x1.17d8c7fd900cdp-7, -0x1.10d7154d3e1ddp-7, -0x1.09fef8e3f18a9p-7, -0x1.034f95f4d445p-7, -0x1.f99025d4b39fbp-8, -0x1.eccf3402a14b8p-8, -0x1.e05aaf2f58316p-8, -0x1.d430f9952f3b5p-8, -0x1.c8507b8f790cep-8, -0x1.bcb7a5d54b959p-8, -0x1.b164f19e2317fp-8, -0x1.a656e1402b04dp-8, -0x1.9b8bfde06a6a5p-8, -0x1.9102d8d8fc805p-8, -0x1.86ba0cf056812p-8, -0x1.7cb035f4df68ep-8, -0x1.72e3f6cd206f7p-8, -0x1.6953f7c368574p-8, -0x1.5ffee201077c1p-8, -0x1.56e3677fc2bep-8, -0x1.4e003c9dd8178p-8, -0x1.45541e2f39a5ep-8, -0x1.3cddd13d71faep-8, -0x1.349c23576ec0ap-8, -0x1.2c8deb656b5e2p-8, -0x1.24b208da07989p-8, -0x1.1d076287e7266p-8, -0x1.158ce4cf3d957p-8, -0x1.0e4180cab9da5p-8, -0x1.07242594bb0e4p-8, -0x1.0033cf02c999cp-8, -0x1.f2decae864cap-9, -0x1.e5abce39960f3p-9, -0x1.d8cc96dbdaf7fp-9, -0x1.cc3f24ecdb556p-9, -0x1.c001876a212f1p-9, -0x1.b411e06c3f644p-9, -0x1.a86e69f4455c2p-9, -0x1.9d156d5a7c901p-9, -0x1.92054a22ad03dp-9, -0x1.873c684a5d01ep-9, -0x1.7cb936b2ab103p-9, -0x1.727a24958500bp-9, -0x1.687d9d468c01p-9, -0x1.5ec207bf12bdap-9, -0x1.5545c5d53135ap-9, -0x1.4c073a3034c67p-9, -0x1.4304cdc18f435p-9, -0x1.3a3cf4aa8adbep-9, -0x1.31ae350647eacp-9, -0x1.29572cf7d4619p-9, -0x1.21368d6fed45dp-9, -0x1.194b1d59139aep-9, -0x1.1193bb30222c7p-9, -0x1.0a0f45d9f7de6p-9, -0x1.02bca5326719ep-9, -0x1.f735711598ebap-10, -0x1.e950b212c477cp-10, -0x1.dbc8ad76e478dp-10, -0x1.ce9af108b8caap-10, -0x1.c1c50b89a892dp-10, -0x1.b54487ddf0d0fp-10, -0x1.a9170f956eb45p-10, -0x1.9d3a64517f88ap-10, -0x1.91ac741344fb2p-10, -0x1.866b5750be68p-10, -0x1.7b754d75c7191p-10, -0x1.70c8b45ff9affp-10, -0x1.6663face03368p-10, -0x1.5c459747338fbp-10, -0x1.526bf653fdc99p-10, -0x1.48d57b8f035bap-10, -0x1.3f80764ef1b4cp-10, -0x1.366b1fd83422dp-10, -0x1.2d93b38673f8bp-10, -0x1.24f86b63bdf49p-10, -0x1.1c978dc5e3e96p-10, -0x1.146f72f3f6631p-10, -0x1.0c7ea03918cd9p-10, -0x1.04c39b9dcb8d8p-10, -0x1.fa7a566ecee49p-11, -0x1.ebd417d81efa8p-11, -0x1.dd923c69f30fep-11, -0x1.cfb28e74f7d67p-11, -0x1.c232d066eda59p-11, -0x1.b510a437c6a4fp-11, -0x1.a849a78ce44a3p-11, -0x1.9bdb63bba250ap-11, -0x1.8fc35ac69f9ap-11, -0x1.83ff1a14cc0dep-11, -0x1.788c4696b20e8p-11, -0x1.6d68a2f4be94cp-11, -0x1.62920f444d9a3p-11, -0x1.5806897244558p-11, -0x1.4dc42bc5c42f7p-11, -0x1.43c92d59cfcccp-11, -0x1.3a13e7f82cb9cp-11, -0x1.30a29a2098f68p-11, -0x1.2773ef68c60f3p-11, -0x1.1e8621a113b4cp-11, -0x1.15d792aa962c1p-11, -0x1.0d6676e8d304cp-11, -0x1.0530ec74d178dp-11, -0x1.fa6a230527689p-12, -0x1.eae23ec822ef7p-12, -0x1.dbc6f958ad0adp-12, -0x1.cd158cd53bc44p-12, -0x1.becb8e12d96ffp-12, -0x1.b0e6b6d40cf57p-12, -0x1.a364b759a2f55p-12, -0x1.96431962bc628p-12, -0x1.897f48b158144p-12, -0x1.7d16aa53f2906p-12, -0x1.7106ea97c5a2p-12, -0x1.654dd91453d4cp-12, -0x1.59e99a4c04c2cp-12, -0x1.4ed8145957b63p-12, -0x1.4417480713691p-12, -0x1.39a4ad033cf07p-12, -0x1.2f7d706cfe785p-12, -0x1.259ea514f3553p-12, -0x1.1c059aba3a996p-12, -0x1.12b036ec7ef3cp-12, -0x1.099d14d4f148cp-12, -0x1.00cb53bbdc5b4p-12, -0x1.f0747e3858d91p-13, -0x1.dfd124a9de372p-13, -0x1.cfa9a0b767f61p-13, -0x1.bff992ed12ce3p-13, -0x1.b0bbd9ec3c82ep-13, -0x1.a1ed10b011e47p-13, -0x1.93893fe489f59p-13, -0x1.858e5e30f71eap-13, -0x1.77fae9bad34b4p-13, -0x1.6acd8f3449effp-13, -0x1.5e0461821a1b9p-13, -0x1.519c6411739eap-13, -0x1.459185fca5d83p-13, -0x1.39df3f1318549p-13, -0x1.2e8171defeafp-13, -0x1.23754caf5a8c2p-13, -0x1.18b98c9e7548dp-13, -0x1.0e4e34c2b09e8p-13, -0x1.043350437368ep-13, -0x1.f4cfe7115d64cp-14, -0x1.e1d381d7e4de1p-14, -0x1.cf6a38c7c272bp-14, -0x1.bd8c03436a312p-14, -0x1.ac31b6106b56ep-14, -0x1.9b55d0d751c86p-14, -0x1.8af5defd863f1p-14, -0x1.7b10f2bb98fe3p-14, -0x1.6ba768e03d552p-14, -0x1.5cb89e117b0e3p-14, -0x1.4e4277a2cf78cp-14, -0x1.40409ad2ec53fp-14, -0x1.32adb1249fdb1p-14, -0x1.2583eea02221dp-14, -0x1.18bf7f853b6cep-14, -0x1.0c5d4a67f2dfep-14, -0x1.005b301bafe55p-14, -0x1.e972c7296b0b3p-15, -0x1.d2eebfcd0ce61p-15, -0x1.bd272da13f6cap-15, -0x1.a8165ecc2b1f2p-15, -0x1.93b47fd79d658p-15, -0x1.7ff7e9af9b767p-15, -0x1.6cd67cefbba8cp-15, -0x1.5a4ac6d8b78e6p-15, -0x1.484dca2f18bb6p-15, -0x1.36e043d4fa68bp-15, -0x1.2602b7d3773e6p-15, -0x1.15b4ad7f68eb8p-15, -0x1.05f363daa1a1ep-15, -0x1.ed7432af398b6p-16, -0x1.d0076430b0bd1p-16, -0x1.b3981a55c8169p-16, -0x1.981ff4d9d1c73p-16, -0x1.7d9bfb928a99fp-16, -0x1.64066ed6e5f14p-16, -0x1.4b5792dd8e124p-16, -0x1.3385464e093f2p-16, -0x1.1c857153ae21bp-16, -0x1.0651f11112e91p-16, -0x1.e1d242f28edfap-17, -0x1.b893b3b288a59p-17, -0x1.90dd6962a635ap-17, -0x1.6a9b8ec08e35ep-17, -0x1.45ba8ce6844cdp-17, -0x1.222da7617143fp-17, -0x1.ffda0411889d5p-18, -0x1.bde40481c5f54p-18, -0x1.7e6b14ec3f137p-18, -0x1.416028f6258e8p-18, -0x1.06b2714d83819p-18, -0x1.9c9ed646bc54bp-19, -0x1.305d8c5ee8e5dp-19, -0x1.90b7c760b02cfp-20, -0x1.93ba2420f4f4fp-21, -0x1.811e03122d1dfp-25, 0x1.51dbebcc251d1p-21, 0x1.559eb9329fe4dp-20, 0x1.fadd1f917975dp-20, 0x1.4cb2cb5c818bap-19, 0x1.98bb79fd0bf3ep-19, 0x1.e1627a9622c2p-19, 0x1.133f2f713e189p-18, 0x1.340e161ab04abp-18, 0x1.533529cae626bp-18, 0x1.70bf6f7242f2fp-18, 0x1.8caf72174da3dp-18, 0x1.a717d32499311p-18, 0x1.c01c084a1432p-18, 0x1.d7d9671fbae5bp-18, 0x1.ee59eefc4d07p-18, 0x1.01cac235263b1p-17, 0x1.0bc0e9a03548ap-17, 0x1.151d21e4f5a43p-17, 0x1.1de3cb1818d5cp-17, 0x1.2612c8f51104cp-17, 0x1.2da3ec1f1837fp-17, 0x1.34973fc0d8a82p-17, 0x1.3af449efc3da4p-17, 0x1.40c5faf64a854p-17, 0x1.461a18e811f5bp-17, 0x1.4b00d22af90e8p-17, 0x1.4f7f322650689p-17, 0x1.538f2847303bp-17, 0x1.572477e6bdee5p-17, 0x1.5a47a80db1478p-17, 0x1.5d0357f4f62fap-17, 0x1.5f50dcb316baep-17, 0x1.612ac7eaeeb9fp-17, 0x1.6296a1e9b80fcp-17, 0x1.63a141af4fceap-17, 0x1.6459d024762e3p-17, 0x1.64c85fe8db567p-17, 0x1.64e8b91139733p-17, 0x1.64b301637a084p-17, 0x1.642bed0f8c6cfp-17, 0x1.635951c667fa5p-17, 0x1.623e9a79e6c85p-17, 0x1.60d83d1a626c7p-17, 0x1.5f21b8522d5f4p-17, 0x1.5d24e75eaeceap-17, 0x1.5ae4e9803d2b6p-17, 0x1.5864f3afedfe2p-17, 0x1.55a6943d58e8bp-17, 0x1.52afdbe86e324p-17, 0x1.4f8803981afebp-17, 0x1.4c2b50f3b41e1p-17, 0x1.4897d0fd6c58cp-17, 0x1.44d40eaf987b2p-17, 0x1.40e40d454369ep-17, 0x1.3cc24849618p-17, 0x1.386c49d9e9db4p-17, 0x1.33e762fe8b6e3p-17, 0x1.2f3937ba9b246p-17, 0x1.2a60c5da763efp-17, 0x1.255e7483db5b5p-17, 0x1.20426b9e1f4fp-17, 0x1.1b06d78da5ce5p-17, 0x1.15a82b3c44bd4p-17, 0x1.102937973f179p-17, 0x1.0a8f1f850d2e3p-17, 0x1.04d7473e902bep-17, 0x1.fe008ac17f698p-18, 0x1.f21b977cdc858p-18, 0x1.e60397e7b5e66p-18, 0x1.d9c7b8c9b2bdep-18, 0x1.cd5c5a20d4565p-18, 0x1.c0c775ebd5705p-18, 0x1.b405357012c19p-18, 0x1.a71cd83da3738p-18, 0x1.9a16f968d2968p-18, 0x1.8cf254f6398aep-18, 0x1.7fb660a6a6c7dp-18, 0x1.725e69544917dp-18, 0x1.64e637ccaf204p-18, 0x1.57571084d116dp-18, 0x1.49b1fd4b77604p-18, 0x1.3bfbc7680bbep-18, 0x1.2e32ecb953908p-18, 0x1.20587f0db5fc5p-18, 0x1.126d52d43ba73p-18, 0x1.04744c2132d9fp-18, 0x1.ece9e7ba52fb6p-19, 0x1.d0dc7fe469918p-19, 0x1.b4c24ebd6ee98p-19, 0x1.98a48ec46674ap-19, 0x1.7c7b3b2f6993fp-19, 0x1.6044897f66fd2p-19, 0x1.440bff68b605cp-19, 0x1.27d37c38f3f94p-19, 0x1.0bace101fb743p-19, 0x1.df12c9fdfef9ep-20, 0x1.a6e196dc983d9p-20, 0x1.6ec4cf9c425p-20, 0x1.36b4933cd81ep-20, 0x1.fd7a861719ad7p-21, 0x1.8e0b71e93d03dp-21, 0x1.1f131aee69d24p-21, 0x1.60eae6c391e1dp-22, 0x1.080cbd96ccd3ap-23, -0x1.5edac0146feadp-24, -0x1.327df28676407p-22, -0x1.064aab20c77c8p-21, -0x1.725ecc30cab9dp-21, -0x1.de16983fd5a42p-21, -0x1.2495be4348155p-20, -0x1.59cf761232e3ap-20, -0x1.8ebb7b17f8eccp-20, -0x1.c3573b0b336d3p-20, -0x1.f7986ffa22ef3p-20, -0x1.15d076afc3c97p-19, -0x1.2f757ab355969p-19, -0x1.48fda1ad41c9cp-19, -0x1.6254ad9a3874bp-19, -0x1.7b7c4e3a8f604p-19, -0x1.946566dad1afcp-19, -0x1.ad12e600b7c3bp-19, -0x1.c58d9c757e3c6p-19, -0x1.ddcc4e0e52c31p-19, -0x1.f5cd8dbfa7f73p-19, -0x1.06c9e6e89e1cbp-18, -0x1.12926c493f3d2p-18, -0x1.1e398f3d31021p-18, -0x1.29bc8da8c8684p-18, -0x1.351eb6de9eda4p-18, -0x1.406700ea45267p-18, -0x1.4b8a3d66e4d86p-18, -0x1.568be63479337p-18, -0x1.616c026be1042p-18, -0x1.6c289702c3df2p-18, -0x1.76c29d2bc5bd6p-18, -0x1.813ad55182618p-18, -0x1.8b8ee76f78a99p-18, -0x1.95bd44c0e8905p-18, -0x1.9fc7c4391d5dep-18, -0x1.a9af89eb6f175p-18, -0x1.b3709ea6165fap-18, -0x1.bd0fc3503637cp-18, -0x1.c6891f70f7e8p-18, -0x1.cfdb9c055e50fp-18, -0x1.d908de119bddcp-18, -0x1.e210e50e3863bp-18, -0x1.eaf317ff92518p-18, -0x1.f3aeabb10811bp-18, -0x1.fc43b341598cap-18, -0x1.025936f9c34e8p-17, -0x1.067d67991ff42p-17, -0x1.0a8e36616fd79p-17, -0x1.0e8b8749aa0acp-17, -0x1.1275cc1c5532p-17, -0x1.164cc0974012fp-17, -0x1.1a0ecb94939e2p-17, -0x1.1dbf0c956c29p-17, -0x1.215ba6222485bp-17, -0x1.24e426ac74b15p-17, -0x1.2858c83ff9dc7p-17, -0x1.2bb9a422eb8c3p-17, -0x1.2f06df610f0f4p-17, -0x1.3244b23eb7601p-17, -0x1.356a526acff17p-17, -0x1.387acd289c129p-17, -0x1.3b77a57951c8fp-17, -0x1.3e66b1ab42a43p-17, -0x1.41424078052e5p-17, -0x1.4407d5a84278dp-17, -0x1.46ba727124a22p-17, -0x1.4958f2bd9f687p-17, -0x1.4be4b9359e98bp-17, -0x1.4e5e5f827ad4bp-17, -0x1.50c2e81cb516ap-17, -0x1.5315058bc73fcp-17, -0x1.5554d4a05778ap-17, -0x1.57815b3111ee3p-17, -0x1.599b502528291p-17, -0x1.5ba26ba75a298p-17, -0x1.5d969844666c1p-17, -0x1.5f78617d70b56p-17, -0x1.6146755463ad1p-17, -0x1.6303410e00d8fp-17, -0x1.64ae2ab4d0e95p-17, -0x1.6645f1c2e5c0bp-17, -0x1.67cc15c8bca3dp-17, -0x1.693fc8bce3effp-17, -0x1.6aa239f0a4d2cp-17, -0x1.6bf21849e5b8bp-17, -0x1.6d309e4d56d81p-17, -0x1.6e5d803a03757p-17, -0x1.6f78eb74f3ce1p-17, -0x1.70830178b2813p-17, -0x1.717be0cc48647p-17, -0x1.726394bface81p-17, -0x1.733ab3cfac906p-17, -0x1.740001f3419cep-17, -0x1.74b5e4c5e095bp-17, -0x1.755a02e02218ap-17, -0x1.75ee35c59aa0ap-17, -0x1.76721295e16cbp-17, -0x1.76e4e21af926bp-17, -0x1.774951e4cd863p-17, -0x1.779cc096b354cp-17, -0x1.77e01d7098becp-17, -0x1.78152b92d74f4p-17, -0x1.7839e63cccb05p-17, -0x1.784eeb0b3648fp-17, -0x1.7851b18f9718dp-17, -0x1.784bf9bfb930bp-17, -0x1.78351c87713c9p-17, -0x1.780f45463653bp-17, -0x1.77d92a2d149c7p-17, -0x1.779698c21cc6p-17, -0x1.7744ac45c9562p-17, -0x1.76e4cb8bb4157p-17, -0x1.7677059be6f13p-17, -0x1.75f85289a344fp-17, -0x1.7571892ff32cbp-17, -0x1.74db2b728b48bp-17, -0x1.74381f4a503c8p-17, -0x1.738627d9a7c42p-17, -0x1.72c8318a354f4p-17, -0x1.71fcc95a4259bp-17, -0x1.7124edcc5b9d6p-17, -0x1.70410c5352a82p-17, -0x1.6f4fcdca18919p-17, -0x1.6e538eb60d215p-17, -0x1.6d49dcd290f04p-17, -0x1.6c354f028a27cp-17, -0x1.6b1498b65a2f5p-17, -0x1.69e899125372ap-17, -0x1.68b1410e778bcp-17, -0x1.676ea8d26a255p-17, -0x1.6620f507db389p-17, -0x1.64c84f414b1bbp-17, -0x1.636555550cc09p-17, -0x1.61f68fd7b399dp-17, -0x1.607d68556bce8p-17, -0x1.5efc0c1de15a2p-17, -0x1.5d6f545161e0ep-17, -0x1.5bd8bd15b75b8p-17, -0x1.5a38555969db6p-17, -0x1.588e1a338fd62p-17, -0x1.56daa49078e9bp-17, -0x1.551e2f237f45p-17, -0x1.53585653001acp-17, -0x1.518d502bcf309p-17, -0x1.4fb22e29c0d76p-17, -0x1.4dd2359884262p-17, -0x1.4be97325f4cc1p-17, -0x1.49f896d85f783p-17, -0x1.47ff3b08a3beap-17, -0x1.45fdc7cedcff3p-17, -0x1.43f4f28b09d17p-17, -0x1.41e49f776bccap-17, -0x1.3fc96f83e4e57p-17, -0x1.3dac92d5393bp-17, -0x1.3b85b33b41e13p-17, -0x1.395829f29c0e5p-17, -0x1.3722b572d47dbp-17, -0x1.34e80bdb86068p-17, -0x1.32a5c86e355fep-17, -0x1.305cdc4176eafp-17, -0x1.2e0e1f8aff213p-17, -0x1.2bba1f4020cc1p-17, -0x1.295dc7e673f7cp-17, -0x1.26fc9a2fb5c8dp-17, -0x1.24958100c1545p-17, -0x1.2229d7213e6fbp-17, -0x1.1fb85ba12b827p-17, -0x1.1d41a19d8922bp-17, -0x1.1ac53f49cc0c1p-17, -0x1.18424b4ec09f4p-17, -0x1.15bd9c9d0e077p-17, -0x1.1332d0b7d7c35p-17, -0x1.10a3b1903d55ap-17, -0x1.0e0ebbd831933p-17, -0x1.0b77aa249e977p-17, -0x1.08daaef6cc672p-17, -0x1.063ae22e8a5f5p-17, -0x1.03964c96d4613p-17, -0x1.00ee7c3427f01p-17, -0x1.fc85f5774afe3p-18, -0x1.f7279d6a41711p-18, -0x1.f1c1f21e9094p-18, -0x1.ec56a152ea9ffp-18, -0x1.e6e444518da1fp-18, -0x1.e16bcb8aafc34p-18, -0x1.dbede451279bbp-18, -0x1.d66a36b571da5p-18, -0x1.d0e45c62bd987p-18, -0x1.cb56bf79bbdc1p-18, -0x1.c5c20a9ad08dep-18, -0x1.c02c48cbc6a67p-18, -0x1.ba919063b0f5fp-18, -0x1.b4ebfbd7aa4ddp-18, -0x1.af4e143164a35p-18, -0x1.a9a6b0459da3bp-18, -0x1.a3fcfec1fa149p-18, -0x1.9e503c1706285p-18, -0x1.989f48c5a2e39p-18, -0x1.92eceee6dd52fp-18, -0x1.8d36dc1685582p-18, -0x1.877e3ebe8cdb2p-18, -0x1.81c463b7eef84p-18, -0x1.7c086a8523d08p-18, -0x1.764b703d3f1a7p-18, -0x1.708cb4ffcaa7ap-18, -0x1.6acbf0fe6b4e2p-18, -0x1.650b52e1bb4b6p-18, -0x1.5f48313cdb9a6p-18, -0x1.5984e663eeeeep-18, -0x1.53c1bd2caf7c3p-18, -0x1.4dfd6152a01adp-18, -0x1.483a2f6d48dcfp-18, -0x1.42752842a8b9dp-18, -0x1.3cb265758ecdap-18, -0x1.36efd3564f46cp-18, -0x1.312dd13bb2e4fp-18, -0x1.2b6aa133e3f47p-18, -0x1.25ac5225de174p-18, -0x1.1feb0e4eb29cbp-18, -0x1.1a2cf9cee5f56p-18, -0x1.1470c4b1fa1e4p-18, -0x1.0eb5853bc0f39p-18, -0x1.08fbc47a84cfep-18, -0x1.0343a12d6c398p-18, -0x1.fb1ea14eab421p-19, -0x1.efb86f1abb8e9p-19, -0x1.e45807fa962c3p-19, -0x1.d8f352596bfdap-19, -0x1.cda4d5a0d90ap-19, -0x1.c2537a99990f7p-19, -0x1.b707749239ab9p-19, -0x1.abc520408a5e8p-19, -0x1.a0868c01286b2p-19, -0x1.954e0e34178d8p-19, -0x1.8a1ddb7e97a59p-19, -0x1.7ef58afc9e975p-19, -0x1.73d4ccf4cff84p-19, -0x1.68bc31e49a969p-19, -0x1.5daae4fc782afp-19, -0x1.52a195879bd85p-19, -0x1.47944c0f4bb17p-19, -0x1.3caa2d64c2bb9p-19, }}, 
      {{-0x1.24056873153a6p-1, -0x1.af2111d7107acp-2, -0x1.93f75562f756dp-2, -0x1.eef13ab0965afp-2, -0x1.48b2c08d64ab2p-1, -0x1.a68a4262776cep-1, -0x1.0016cdab64808p+0, -0x1.25dcc9510d995p+0, -0x1.4273c188ebbd3p+0, -0x1.55a83331c4b81p+0, -0x1.606fef36c720fp+0, -0x1.645345bd4e6ep+0, -0x1.6306113467df1p+0, -0x1.5e282c555e093p+0, -0x1.572306b93ef97p+0, -0x1.4f1b14dd35b49p+0, -0x1.46edd0c4b9034p+0, -0x1.3f370463cb227p+0, -0x1.3859c84aa08b8p+0, -0x1.328ae55958d59p+0, -0x1.2ddb2b8b9e785p+0, -0x1.2a40edf2a983bp+0, -0x1.27a03eb8728dap+0, -0x1.25d1c87bc14fp+0, -0x1.24a8494909ab7p+0, -0x1.23f4c9d7d938bp+0, -0x1.2389b7731a4ccp+0, -0x1.233d0bed571dfp+0, -0x1.22e9af0b3e157p+0, -0x1.22703a3371839p+0, -0x1.21b742c01690fp+0, -0x1.20ab4a6474096p+0, -0x1.1f3e6ff5aa79fp+0, -0x1.1d67f5bb4d411p+0, -0x1.1b23ae15a0b97p+0, -0x1.18715b796dae9p+0, -0x1.15540d879d7bfp+0, -0x1.11d182885eb8dp+0, -0x1.0df19236cea5fp+0, -0x1.09bda527143c6p+0, -0x1.05403ab526c3dp+0, -0x1.00847e42296fap+0, -0x1.f72bd6d06e1fap-1, -0x1.ed0001fcf5aadp-1, -0x1.e29c04bf454ap-1, -0x1.d8158a8223c2fp-1, -0x1.cd8114af24cfap-1, -0x1.c2f1c034ac586p-1, -0x1.b8791e13234ecp-1, -0x1.ae271af459a23p-1, -0x1.a409f1e1e54e2p-1, -0x1.9a2e2849cf413p-1, -0x1.909e930d4f8b3p-1, -0x1.8764638c563b4p-1, -0x1.7e8739fe09ecdp-1, -0x1.760d3ac4f8086p-1, -0x1.6dfb2563b92eap-1, -0x1.66546d0194eaap-1, -0x1.5f1b528cbfb36p-1, -0x1.5850ffff9d6a4p-1, -0x1.51f5a3d8e4721p-1, -0x1.4c088be9afda1p-1, -0x1.46883ece7c7a3p-1, -0x1.4172942b8d522p-1, -0x1.3cc4cb766ffacp-1, -0x1.387ba1a3a2d8ep-1, -0x1.3493659e838e1p-1, -0x1.31080b79ba25ap-1, -0x1.2dd53e3bc47c9p-1, -0x1.2af67026dc647p-1, -0x1.2866e97f117bap-1, -0x1.2621d5d972f46p-1, -0x1.24225000a3b5ap-1, -0x1.22636ca0eee52p-1, -0x1.20e043afd1636p-1, -0x1.1f93f8df0a329p-1, -0x1.1e79c2e4410d4p-1, -0x1.1d8cf1f794503p-1, -0x1.1cc8f5550a792p-1, -0x1.1c295ff0d86a9p-1, -0x1.1ba9ec61948acp-1, -0x1.1b46801095514p-1, -0x1.1afb2dbf2fc49p-1, -0x1.1ac437704402bp-1, -0x1.1a9e0fc772bd6p-1, -0x1.1a855ae43074ep-1, -0x1.1a76eed8f7fe8p-1, -0x1.1a6fd3b1c4cd8p-1, -0x1.1a6d4330db26ap-1, -0x1.1a6ca839baad2p-1, -0x1.1a6b9dfdf0ef9p-1, -0x1.1a67eef91ff81p-1, -0x1.1a5f93babbfedp-1, -0x1.1a50b16f419c9p-1, -0x1.1a39988f7ba3cp-1, -0x1.1a18c30209cb4p-1, -0x1.19ecd297ec327p-1, -0x1.19b48f43a1126p-1, -0x1.196ee521c7bcdp-1, -0x1.191ae2c2ee46bp-1, -0x1.18b7b773e21bdp-1, -0x1.1844b11a4c564p-1, -0x1.17c13aadb3ec5p-1, -0x1.172cda776aeb5p-1, -0x1.16873006c5813p-1, -0x1.15cff2e06869ap-1, -0x1.1506f0b3a55c1p-1, -0x1.142c0ba432f14p-1, -0x1.133f38ea7b20dp-1, -0x1.12407f4c663cdp-1, -0x1.112ff59fe16c1p-1, -0x1.100dc16e3ea51p-1, -0x1.0eda15c36cb26p-1, -0x1.0d9531d815699p-1, -0x1.0c3f5fd87d554p-1, -0x1.0ad8f400488a4p-1, -0x1.09624b61f35efp-1, -0x1.07dbcaee03ee3p-1, -0x1.0645deb714d3p-1, -0x1.04a0f8e3cd8adp-1, -0x1.02ed90ea3d51ap-1, -0x1.012c22f833d16p-1, -0x1.feba5e103b046p-2, -0x1.fb02708cea9a5p-2, -0x1.f7318936ce363p-2, -0x1.f348b7c84d99cp-2, -0x1.ef490edba622cp-2, -0x1.eb33a34d433d8p-2, -0x1.e7098af553824p-2, -0x1.e2cbdbb9a7d3bp-2, -0x1.de7bab2936c15p-2, -0x1.da1a0d958baafp-2, -0x1.d5a815214d91ap-2, -0x1.d126d18f281d9p-2, -0x1.cc974fb7a053fp-2, -0x1.c7fa98b047008p-2, -0x1.c351b18294069p-2, -0x1.be9d9b18db95ep-2, -0x1.b9df51906dfap-2, -0x1.b517cbc88d56p-2, -0x1.b047fb7658bd4p-2, -0x1.ab70ccf0816cdp-2, -0x1.a69326a1fb8b2p-2, -0x1.a1afe8f5ffb5cp-2, -0x1.9cc7ee8314fddp-2, -0x1.97dc0bc3bae5bp-2, -0x1.92ed0ec27a487p-2, -0x1.8dfbbf3e866d4p-2, -0x1.8908decb1857ap-2, -0x1.8415289c65f14p-2, -0x1.7f21515c9f87ap-2, -0x1.7a2e076203872p-2, -0x1.753bf2d67db2p-2, -0x1.704bb5987050cp-2, -0x1.6b5deb2644b87p-2, -0x1.667328d86bf99p-2, -0x1.618bfe11f1792p-2, -0x1.5ca8f43ba4735p-2, -0x1.57ca8eba23503p-2, -0x1.52f14b1ab9941p-2, -0x1.4e1da1563b4fbp-2, -0x1.495003dddae7dp-2, -0x1.4488df97820f1p-2, -0x1.3fc89c013d39cp-2, -0x1.3b0f9b732f46fp-2, -0x1.365e3b3f56cf3p-2, -0x1.31b4d3bbf3d74p-2, -0x1.2d13b85a069d5p-2, -0x1.287b37d63d3bfp-2, -0x1.23eb9c6b4e56bp-2, -0x1.1f652bed839c7p-2, -0x1.1ae827d8ac1cap-2, -0x1.1674cd72b5814p-2, -0x1.120b55f7a3195p-2, -0x1.0dabf6c683186p-2, -0x1.0956e177ec11dp-2, -0x1.050c43f4ca801p-2, -0x1.00cc4890c116dp-2, -0x1.f92e2c76d5ad9p-3, -0x1.f0d9a13f4fb66p-3, -0x1.e89b308c01d6fp-3, -0x1.e07315227180cp-3, -0x1.d86183e73107ep-3, -0x1.d066ac2d07323p-3, -0x1.c882b7b790ff1p-3, -0x1.c0b5cb2749736p-3, -0x1.b9000609714f9p-3, -0x1.b161830ac8bbap-3, -0x1.a9da5833d0fc8p-3, -0x1.a26a972672675p-3, -0x1.9b124d3fbe8abp-3, -0x1.93d183d017a33p-3, -0x1.8ca8403ae3008p-3, -0x1.8596842070bccp-3, -0x1.7e9c4d930e2e6p-3, -0x1.77b99743ed852p-3, -0x1.70ee58ac1abbdp-3, -0x1.6a3a8626f176ep-3, -0x1.639e11107235dp-3, -0x1.5d18e7ffeb034p-3, -0x1.56aaf6e19bfb9p-3, -0x1.505427116d61fp-3, -0x1.4a145f8e4a443p-3, -0x1.43eb85117c10ap-3, -0x1.3dd97a1ae1988p-3, -0x1.37de1f1c7ddefp-3, -0x1.31f9529da90e2p-3, -0x1.2c2af1556cd44p-3, -0x1.2672d63f534d4p-3, -0x1.20d0dab2bf13fp-3, -0x1.1b44d67c8c434p-3, -0x1.15ce9ff9caf16p-3, -0x1.106e0c34655e6p-3, -0x1.0b22eeed884a8p-3, -0x1.05ed1ab437c0ep-3, -0x1.00cc610962fd8p-3, -0x1.f78124ad7c0d3p-4, -0x1.ed92fc4223972p-4, -0x1.e3cde60eeffacp-4, -0x1.da317daf66734p-4, -0x1.d0bd5d37d2289p-4, -0x1.c7711d6215cf5p-4, -0x1.be4c55ad805c3p-4, -0x1.b54e9c791d1p-4, -0x1.ac77872432d04p-4, -0x1.a3c6aa16405d4p-4, -0x1.9b3b98e45cb5fp-4, -0x1.92d5e6696216dp-4, -0x1.8a9524eac417ap-4, -0x1.8278e6287057fp-4, -0x1.7a80bb796dd18p-4, -0x1.72ac35c736076p-4, -0x1.6afae5b182e7bp-4, -0x1.636c5b9a97391p-4, -0x1.5c0027ccf74e1p-4, -0x1.54b5da8473194p-4, -0x1.4d8d0404aa6e4p-4, -0x1.4685349c4fc1ep-4, -0x1.3f9dfcb503e96p-4, -0x1.38d6ecd47d7a6p-4, -0x1.322f95c925494p-4, -0x1.2ba788a564ddap-4, -0x1.253e56eb96b6ap-4, -0x1.1ef3927057b36p-4, -0x1.18c6cd784a99cp-4, -0x1.12b79ab7abb89p-4, -0x1.0cc58d5badd6cp-4, -0x1.06f0393b53f56p-4, -0x1.013732884cbdep-4, -0x1.f7341ce590c85p-5, -0x1.ec30c51e1646bp-5, -0x1.e1638a6e5ad84p-5, -0x1.d6cb9aea3e8c2p-5, -0x1.cc68260692e93p-5, -0x1.c2385cc683247p-5, -0x1.b83b71e7dbd48p-5, -0x1.ae7099b5121f8p-5, -0x1.a4d70a3d15833p-5, -0x1.9b6dfb3695f1ep-5, -0x1.9234a60442511p-5, -0x1.892a45d49a01fp-5, -0x1.804e17a1f444fp-5, -0x1.779f5a4e42c3ep-5, -0x1.6f1d4e9e551dfp-5, -0x1.66c7373e21f3fp-5, -0x1.5e9c58d6d65a2p-5, -0x1.569bf9e42648p-5, -0x1.4ec562eac1b32p-5, -0x1.4717de42bdd1dp-5, -0x1.3f92b864dda17p-5, -0x1.38353fcd09d5bp-5, -0x1.30fec4f019f14p-5, -0x1.29ee9a714feb9p-5, -0x1.230414dfedb18p-5, -0x1.1c3e8ae744116p-5, -0x1.159d552a5d62fp-5, -0x1.0f1fce59ed4f3p-5, -0x1.08c55340b454bp-5, -0x1.028d42b3b3b0ap-5, -0x1.f8edfb60b37ep-6, -0x1.ed03ce86be37ep-6, -0x1.e15ac8f89f8a2p-6, -0x1.d5f1b909e54a5p-6, -0x1.cac771222021p-6, -0x1.bfdac795d09ecp-6, -0x1.b52a971aec8bcp-6, -0x1.aab5be2d19a45p-6, -0x1.a07b1fb64b315p-6, -0x1.9679a27a9f9c7p-6, -0x1.8cb03165d7c22p-6, -0x1.831dbb6f5242p-6, -0x1.79c13369fced8p-6, -0x1.709990389478ap-6, -0x1.67a5cc9800046p-6, -0x1.5ee4e72f990f3p-6, -0x1.5655e2afcca5bp-6, -0x1.4df7c5a9515ep-6, -0x1.45c99a6e64603p-6, -0x1.3dca6f7096bc3p-6, -0x1.35f95678e9f6fp-6, -0x1.2e55657b0db7bp-6, -0x1.26ddb5aa4564fp-6, -0x1.1f9164958546cp-6, -0x1.186f92db8f4dep-6, -0x1.117764fe5a458p-6, -0x1.0aa80325203a9p-6, -0x1.040098f9a79d2p-6, -0x1.fb00ab52514f4p-7, -0x1.ee4cd86b92f5ep-7, -0x1.e1e424f8804fbp-7, -0x1.d5c5047eb221p-7, -0x1.c9edf119f2fb5p-7, -0x1.be5d6affb491dp-7, -0x1.b311f9d921f94p-7, -0x1.a80a2b3a6d758p-7, -0x1.9d4493b10ecddp-7, -0x1.92bfce1809213p-7, -0x1.887a7b806e984p-7, -0x1.7e7343432507fp-7, -0x1.74a8d30d215a4p-7, -0x1.6b19de4cec0d7p-7, -0x1.61c51f0c91c3ap-7, -0x1.58a9548cd5d16p-7, -0x1.4fc54461008fap-7, -0x1.4717b9c989d36p-7, -0x1.3e9f85c7a8ca2p-7, -0x1.365b7ef5d3fd4p-7, -0x1.2e4a8191d6b9bp-7, -0x1.266b6f5c5116p-7, -0x1.1ebd2f62ffc81p-7, -0x1.173eae1c367cdp-7, -0x1.0feedd4b35eecp-7, -0x1.08ccb3c84d97dp-7, -0x1.01d72d9214937p-7, -0x1.f61a9754d1719p-8, -0x1.e8dc27cdb1ddp-8, -0x1.dbf12272f58b8p-8, -0x1.cf57a68c01f3dp-8, -0x1.c30ddc5fb387cp-8, -0x1.b711f64264dc5p-8, -0x1.ab622fdceadebp-8, -0x1.9ffccd288ecf7p-8, -0x1.94e01bd33eecap-8, -0x1.8a0a71fc45c36p-8, -0x1.7f7a2e4e4b125p-8, -0x1.752db7dc42fc9p-8, -0x1.6b237e214659cp-8, -0x1.6159f863fefc2p-8, -0x1.57cfa5c9922f9p-8, -0x1.4e830db56141p-8, -0x1.4572bf7f65b55p-8, -0x1.3c9d51cdeca3dp-8, -0x1.34016319f4ebep-8, -0x1.2b9d9a61f3a9p-8, -0x1.2370a4f402ecbp-8, -0x1.1b7937d35ae3p-8, -0x1.13b60f03afb54p-8, -0x1.0c25ece042086p-8, -0x1.04c79a5b68056p-8, -0x1.fb33cd3c34ba2p-9, -0x1.ed374eb63486ep-9, -0x1.df97703230047p-9, -0x1.d251f64090bb9p-9, -0x1.c564b2554676fp-9, -0x1.b8cd8308ae2bp-9, -0x1.ac8a53e49957ap-9, -0x1.a0991db3d3fep-9, -0x1.94f7e3b730164p-9, -0x1.89a4b7caf23ep-9, -0x1.7e9db2045534ep-9, -0x1.73e0f5e96fb43p-9, -0x1.696cafa4dd3c6p-9, -0x1.5f3f153e0f9c8p-9, -0x1.555663c131268p-9, -0x1.4bb0e3883c6aap-9, -0x1.424ce67aa32a1p-9, -0x1.3928cb6c551dep-9, -0x1.3042fac085ae3p-9, -0x1.2799e987de656p-9, -0x1.1f2c17e09e679p-9, -0x1.16f80fe331783p-9, -0x1.0efc645b744f8p-9, -0x1.0737aeb5997e3p-9, -0x1.ff511cde5bb7cp-10, -0x1.f09b56b9bd227p-10, -0x1.e24b52fa23936p-10, -0x1.d45e7921a33aap-10, -0x1.c6d231a0b5af8p-10, -0x1.b9a3f92b70c01p-10, -0x1.acd15ed97a778p-10, -0x1.a0580819fc8d9p-10, -0x1.9435af850e7ccp-10, -0x1.886827d7f522bp-10, -0x1.7ced52ed42349p-10, -0x1.71c3238a045d1p-10, -0x1.66e79765c2b44p-10, -0x1.5c58b26c3e6cp-10, -0x1.52147be2d6114p-10, -0x1.4818fee327039p-10, -0x1.3e64466addcbp-10, -0x1.34f467218a418p-10, -0x1.2bc77dc093b4dp-10, -0x1.22dbb697599b2p-10, -0x1.1a2f4e552344fp-10, -0x1.11c0982571923p-10, -0x1.098dfa8bea0b6p-10, -0x1.0195f05149138p-10, -0x1.f3ae0c9c61b21p-11, -0x1.e49fa6527eb13p-11, -0x1.d5fde656b3ca3p-11, -0x1.c7c60a2e6a8f9p-11, -0x1.b9f54cae1ee32p-11, -0x1.ac88e4be0bc41p-11, -0x1.9f7e06b3b5e2bp-11, -0x1.92d1e90ddb88bp-11, -0x1.8681d5e15bdd5p-11, -0x1.7a8b24e3cadfap-11, -0x1.6eeb51c5d5697p-11, -0x1.639ff82f7e96ep-11, -0x1.58a6d8bfecc49p-11, -0x1.4dfdd53c2244bp-11, -0x1.43a2ea5c8ffdcp-11, -0x1.399428f2d9522p-11, -0x1.2fcfabb6f0ccdp-11, -0x1.26538c2465fc1p-11, -0x1.1d1de52edb748p-11, -0x1.142ccb8406653p-11, -0x1.0b7e48efc5f0ap-11, -0x1.03106fc462a74p-11, -0x1.f5c2ad3de11bcp-12, -0x1.e5de463086edbp-12, -0x1.d6701ac32dcfbp-12, -0x1.c774d18d02d63p-12, -0x1.b8e93512e6ac5p-12, -0x1.aaca4e50b5e2ep-12, -0x1.9d1546a570af3p-12, -0x1.8fc768ab1e312p-12, -0x1.82de0cfba91ap-12, -0x1.765692d00ccaap-12, -0x1.6a2e584a1904bp-12, -0x1.5e62b5dc52365p-12, -0x1.52f0ff267f1b8p-12, -0x1.47d69473d7e54p-12, -0x1.3d10def7a1d9fp-12, -0x1.329d63952529ep-12, -0x1.2879bdc12b22dp-12, -0x1.1ea3a5a8b78cap-12, -0x1.1518edd8dda89p-12, -0x1.0bd781271121ep-12, -0x1.02dd60b520e8p-12, -0x1.f4514f3056132p-13, -0x1.e36edf2c08c16p-13, -0x1.d31010bbff8c1p-13, -0x1.c331254f468a5p-13, -0x1.b3ce8c126f2b6p-13, -0x1.a4e488ceed62ep-13, -0x1.966f51e99163fp-13, -0x1.886b2cbbed00cp-13, -0x1.7ad495293e36ep-13, -0x1.6da83b6d5b2e1p-13, -0x1.60e32508857abp-13, -0x1.5482a726c35ffp-13, -0x1.488423fc0f372p-13, -0x1.3ce507753265ep-13, -0x1.31a2ac7e17a82p-13, -0x1.26ba61d6707fcp-13, -0x1.1c298ec153f92p-13, -0x1.11ed9bce0e33ep-13, -0x1.08043cbf409fdp-13, -0x1.fcd67923e6ff8p-14, -0x1.ea40d5ef2ca77p-14, -0x1.d84314efeda94p-14, -0x1.c6d84fc72034fp-14, -0x1.b5fb54b2f041p-14, -0x1.a5a6e6ef7cf33p-14, -0x1.95d6270163884p-14, -0x1.8684f70f7dcc6p-14, -0x1.77b01fa0cfebfp-14, -0x1.695514f5fb724p-14, -0x1.5b718abdf5e28p-14, -0x1.4e028b0efdb13p-14, -0x1.4104eb397f35dp-14, -0x1.3474b20a35175p-14, -0x1.284d98f8a537ep-14, -0x1.1c8c2757de287p-14, -0x1.112ce05af1397p-14, -0x1.062d4a01aa0ffp-14, -0x1.f716929b18935p-15, -0x1.e289c3bf2e3p-15, -0x1.ceaf9a8b9f29bp-15, -0x1.bb826502e3199p-15, -0x1.a8fb4119ce5bcp-15, -0x1.9712dc516045cp-15, -0x1.85c280b9da5bep-15, -0x1.7504d0a8ed20dp-15, -0x1.64d6da62559c4p-15, -0x1.553692cfdf1cap-15, -0x1.462259658a0dep-15, -0x1.37977f6969e79p-15, -0x1.29916e9348a39p-15, -0x1.1c0a7c406fbfcp-15, -0x1.0efc7fcac60c5p-15, -0x1.0261cf3dae173p-15, -0x1.ec6bae76d0dc6p-16, -0x1.d4eb53d94ae5cp-16, -0x1.be3ea16029eb4p-16, -0x1.a8638df39af17p-16, -0x1.93565017a6cc5p-16, -0x1.7f1233785a5fbp-16, -0x1.6b8fa90bee3d9p-16, -0x1.58c6324609e15p-16, -0x1.46ad42b609d2ep-16, -0x1.353e1358a21a2p-16, -0x1.2472e17e4ff4p-16, -0x1.144753949e974p-16, -0x1.04b98fdf15413p-16, -0x1.eb8e0b033b693p-17, -0x1.ced8099d6a106p-17, -0x1.b34709b06321cp-17, -0x1.98ce3f2b561c6p-17, -0x1.7f5feba52d144p-17, -0x1.66ed52ea56bb5p-17, -0x1.4f6c3f7499605p-17, -0x1.38d33043ea04bp-17, -0x1.231f3bdfdd9dp-17, -0x1.0e4d56ed928afp-17, -0x1.f4b645f985b4fp-18, -0x1.ce83e359def34p-18, -0x1.a9f3f70d0e4d4p-18, -0x1.86f65342941c7p-18, -0x1.657cd189def2ap-18, -0x1.457b3af9bdd0ap-18, -0x1.26e979634e8f5p-18, -0x1.09bd293695b4dp-18, -0x1.dbd012356c038p-19, -0x1.a6b7057ba9b5ep-19, -0x1.74104e2c3eb24p-19, -0x1.43c67900b1702p-19, -0x1.15ce19d0e6e16p-19, -0x1.d439424c88ef7p-20, -0x1.813e72d41c971p-20, -0x1.32730db8adca8p-20, -0x1.cf3da3f31a28fp-21, -0x1.4132f5dae050bp-21, -0x1.7513dcdc3fa58p-22, -0x1.d86713b384f22p-24, 0x1.ebd3f2da95909p-24, 0x1.5e8775795df59p-22, 0x1.1a85b42b22e19p-21, 0x1.7f82ed97bb754p-21, 0x1.de66e26f70de6p-21, 0x1.1bbc17929ab8ap-20, 0x1.4544f8f554ca2p-20, 0x1.6bdb5a83bcd1p-20, 0x1.8f944fd785fd8p-20, 0x1.b0a1028831531p-20, 0x1.cf421f22c4a48p-20, 0x1.ebb0ff3ac2653p-20, 0x1.0303e3aac37p-19, 0x1.0f1be2d8e66bcp-19, 0x1.1a19075017ab9p-19, 0x1.240398c351f08p-19, 0x1.2ceae00eb634cp-19, 0x1.34d7fbac176fp-19, 0x1.3bcf1e5fc7f11p-19, 0x1.41dce85b93dccp-19, 0x1.4716b6c820062p-19, 0x1.4b8ea7f42df03p-19, 0x1.4f4b4ac2a693ap-19, 0x1.524dad1bb7746p-19, 0x1.54912856f795bp-19, 0x1.56279e52073dfp-19, 0x1.571615101cdb7p-19, 0x1.575db43f49edp-19, 0x1.56fa3169c4d57p-19, 0x1.55eda28ef9cf3p-19, 0x1.5441d2f6fd43bp-19, 0x1.5203faa4650ffp-19, 0x1.4f4415902b3f3p-19, 0x1.4c144caf47fc7p-19, 0x1.487ac78c8e6cap-19, 0x1.4473b5f4797ecp-19, 0x1.3ff44d44222cfp-19, 0x1.3b05fa07ffcp-19, 0x1.35b55cd1a3cd9p-19, 0x1.2ffcf14709158p-19, 0x1.29d8ba9d2fee4p-19, 0x1.234f8b3d2e3b4p-19, 0x1.1c6f5059df13ep-19, 0x1.15484924a83d6p-19, 0x1.0de3a310581a9p-19, 0x1.063e1711d1bf9p-19, 0x1.fca171b3fba48p-20, 0x1.ec42870f63abcp-20, 0x1.db6e5c6c882e4p-20, 0x1.ca2719e446353p-20, 0x1.b86d69893dff7p-20, 0x1.a63b837f8b938p-20, 0x1.939ffc5565ae4p-20, 0x1.80a6084c7a2e6p-20, 0x1.6d54d97c0338ep-20, 0x1.59b059252eb6dp-20, 0x1.45c5a935d4fd1p-20, 0x1.31a40cbc4201dp-20, 0x1.1d45829f76cfep-20, 0x1.08a62b980cf9dp-20, 0x1.e7a921dd9776bp-21, 0x1.bdafa9aa3f8abp-21, 0x1.935074db89746p-21, 0x1.687f5d80b7d3dp-21, 0x1.3d55ff4022b35p-21, 0x1.11e62115b069cp-21, 0x1.cc587ed701adfp-22, 0x1.746f60238da23p-22, 0x1.1c795c9126415p-22, 0x1.88962478a89b5p-23, 0x1.af32cce18c35dp-24, 0x1.316b1091b765ap-26, -0x1.16c4304f70101p-24, -0x1.3d349059c9c69p-23, -0x1.ef5ccf63bb07bp-23, -0x1.50d353ce4f9e2p-22, -0x1.a9f83fbfd74d1p-22, -0x1.017456c766b97p-21, -0x1.2de41f2e08d4cp-21, -0x1.5a419fd63c66bp-21, -0x1.869550f31426ep-21, -0x1.b2cf989e2a5cap-21, -0x1.dee17df091e9ep-21, -0x1.0566b26c48f2cp-20, -0x1.1b41d006a4eb1p-20, -0x1.310876038ea6ap-20, -0x1.46bf587aa697dp-20, -0x1.5c595ac482d82p-20, -0x1.71daea26fedddp-20, -0x1.873d507d0d1ddp-20, -0x1.9c8280d487f7cp-20, -0x1.b1a9a2662857dp-20, -0x1.c6b22d9293e5cp-20, -0x1.db9a02e71e4ccp-20, -0x1.f05a7ee81874fp-20, -0x1.027a55686b7abp-19, -0x1.0cb3ddbce952bp-19, -0x1.16d7df7f345d2p-19, -0x1.20e866c28ba18p-19, -0x1.2ae6beb6a0661p-19, -0x1.34cf5ed100e14p-19, -0x1.3ea1ea4ea7944p-19, -0x1.485d8b304db27p-19, -0x1.520118678401cp-19, -0x1.5b8e184553311p-19, -0x1.6503c0a08ff24p-19, -0x1.6e6356b10a46fp-19, -0x1.77ac49841d71ap-19, -0x1.80d9b5f5f4ccp-19, -0x1.89ec7af65c3bap-19, -0x1.92e6d23c6198p-19, -0x1.9bcafbbe0516ep-19, -0x1.a493c80288b22p-19, -0x1.ad427861e50fp-19, -0x1.b5d82967f5a0ep-19, -0x1.be50056512018p-19, -0x1.c6aef36d89181p-19, -0x1.cef2d86dce5ep-19, -0x1.d71be48ab11bbp-19, -0x1.df2a991f6dbd2p-19, -0x1.e71ef6e4a4da6p-19, -0x1.eef7b658f4b52p-19, -0x1.f6b8c56824d49p-19, -0x1.fe54eaeb62db9p-19, -0x1.02ed22ee221f3p-18, -0x1.06a1ee89f24cdp-18, -0x1.0a494e36bd3abp-18, -0x1.0de1fada05f6fp-18, -0x1.116c3c9aa3b2p-18, -0x1.14e93c254e224p-18, -0x1.185809275484dp-18, -0x1.1bb8a7f3513f1p-18, -0x1.1f0b5e816ddd2p-18, -0x1.2250dc6af3b9bp-18, -0x1.2587dd8aca2bfp-18, -0x1.28b04000265cbp-18, -0x1.2bca68b25834bp-18, -0x1.2ed7cd1ae8bf9p-18, -0x1.31d6a10cb022ep-18, -0x1.34c7760637bc2p-18, -0x1.37aa798d0f55cp-18, -0x1.3a7f58a60bc03p-18, -0x1.3d4675c021bep-18, -0x1.40002d67a7be6p-18, -0x1.42abf053a5b6dp-18, -0x1.4549658484e41p-18, -0x1.47d935d512194p-18, -0x1.4a5bef5a53c6ep-18, -0x1.4cd06dc36989fp-18, -0x1.4f3831de1fc18p-18, -0x1.51928eedc7f79p-18, -0x1.53dedccce6d5p-18, -0x1.561e12428b25bp-18, -0x1.585012412961ep-18, -0x1.5a74c8fa66eap-18, -0x1.5c8c38da7c587p-18, -0x1.5e968c7ee98a7p-18, -0x1.6093e0600a108p-18, -0x1.6284485948e06p-18, -0x1.6467cf9f1f67fp-18, -0x1.663e8aa23a296p-18, -0x1.6808ae4ae2c8p-18, -0x1.69c65d3f06a68p-18, -0x1.6b768d569c7d3p-18, -0x1.6d1b9a682f603p-18, -0x1.6eb3afd0e76ep-18, -0x1.703f78986e7d9p-18, -0x1.71bef66b61403p-18, -0x1.73324e572b217p-18, -0x1.7499b02640eccp-18, -0x1.75f616f4178dap-18, -0x1.774525b2eb95cp-18, -0x1.788817bf2c836p-18, -0x1.79bf6bd32f483p-18, -0x1.7aecb4a34decp-18, -0x1.7c0eab779bc04p-18, -0x1.7d24890b0dbcbp-18, -0x1.7e2f325dc6d97p-18, -0x1.7f2e3d7ed6eafp-18, -0x1.8022c961f07dcp-18, -0x1.810c9a2c2eee2p-18, -0x1.81ea854f9ba2ep-18, -0x1.82be1f4d92df9p-18, -0x1.838755debbd0ep-18, -0x1.8445dc90bb4a1p-18, -0x1.84fa084573e07p-18, -0x1.85a3cd82fcb18p-18, -0x1.864329f306198p-18, -0x1.86d87d9535ecdp-18, -0x1.87633011f6a1fp-18, -0x1.87e4827adb8d1p-18, -0x1.885c298039fa3p-18, -0x1.88c99de8309dfp-18, -0x1.892daaf5543a9p-18, -0x1.8988220ce54cp-18, -0x1.89d9627f12ad2p-18, -0x1.8a2113cba7697p-18, -0x1.8a5fa0ff7785bp-18, -0x1.8a950e9c9814p-18, -0x1.8ac181fc8a884p-18, -0x1.8ae515634dd1ep-18, -0x1.8affcdbd1bee2p-18, -0x1.8b122e2747af3p-18, -0x1.8b1ba96da7262p-18, -0x1.8b1c549e1d044p-18, -0x1.8b155cd0b008cp-18, -0x1.8b05a130ff754p-18, -0x1.8aede49964a8dp-18, -0x1.8ace18a05db38p-18, -0x1.8aa5ff8b853dp-18, -0x1.8a76b5d6c2c91p-18, -0x1.8a3f38e59869fp-18, -0x1.89ffe70f51592p-18, -0x1.89b9db14389afp-18, -0x1.896bd63f2829dp-18, -0x1.891632c840f19p-18, -0x1.88b88d1059827p-18, -0x1.8855f363c8b04p-18, -0x1.87eb7f9c2f107p-18, -0x1.877a0667c6ca6p-18, -0x1.870135c12ac77p-18, -0x1.86823efa35a9cp-18, -0x1.85fc5eb8b9426p-18, -0x1.85700f74d7582p-18, -0x1.84dd45decf3e3p-18, -0x1.84438e1eb0decp-18, -0x1.83a4ae1992c17p-18, -0x1.82ff20b067b89p-18, -0x1.8253c91bc8b9ap-18, -0x1.81a291505b804p-18, -0x1.80eb12164a4acp-18, -0x1.802defd8cfa5fp-18, -0x1.7f6b36e4646f5p-18, -0x1.7ea3211623c3ep-18, -0x1.7dd522bbcb885p-18, -0x1.7d024a78dab74p-18, -0x1.7c2972648f6c2p-18, -0x1.7b4c18737bd1dp-18, -0x1.7a6937e04bad4p-18, -0x1.7981946153645p-18, -0x1.78950e3e90e18p-18, -0x1.77a3aae88e1a1p-18, -0x1.76ad7db8491edp-18, -0x1.75b29c3d6f3fep-18, -0x1.74b36322eaaf4p-18, -0x1.73aefc2040c0ap-18, -0x1.72a6917073868p-18, -0x1.719a68a25524p-18, -0x1.70899b20b9c4cp-18, -0x1.6f74ae048e4d3p-18, -0x1.6e5b9f4237792p-18, -0x1.6d3e7c820e6aep-18, -0x1.6c1da8bd900c4p-18, -0x1.6af917d369105p-18, -0x1.69d0b2771659p-18, -0x1.68a5f17da72f3p-18, -0x1.677530255a71dp-18, -0x1.664232126ab8ep-18, -0x1.650bacee41576p-18, -0x1.63d1e0bddc401p-18, -0x1.6294b86be6b07p-18, -0x1.615463de0a8a4p-18, -0x1.601109bd18df8p-18, -0x1.5ecac26081e31p-18, -0x1.5d80a2fe71ffp-18, -0x1.5c352a0f4196cp-18, -0x1.5ae61e6a1c5f7p-18, -0x1.599477154ab8ap-18, -0x1.583ff0635baecp-18, -0x1.56e932792c5cp-18, -0x1.558f969cd6c81p-18, -0x1.54337cd451767p-18, -0x1.52d526b802b7ap-18, -0x1.5174a92e5acc6p-18, -0x1.50116f4dea071p-18, -0x1.4eac3e5242a7ep-18, -0x1.4d44cafb2df11p-18, -0x1.4bdbf7f3812e5p-18, -0x1.4a70b9c7908c6p-18, -0x1.49038b78d8c6p-18, -0x1.479478eeed3e8p-18, -0x1.46234cf5dcf88p-18, -0x1.44b0cdd18d792p-18, -0x1.433c7e8208632p-18, -0x1.41c6a67354da7p-18, -0x1.404ef6caa057bp-18, -0x1.3ed6401befc8bp-18, -0x1.3d5b7b5e07dfap-18, -0x1.3be007028fe8ep-18, -0x1.3a62d11994a31p-18, -0x1.38e44d5a5b6ccp-18, -0x1.3764bd3003b12p-18, -0x1.35e4000e22633p-18, -0x1.34620a87a5079p-18, -0x1.32df3ded070a6p-18, -0x1.315b505451158p-18, -0x1.2fd614608f8cfp-18, -0x1.2e506294e8b28p-18, -0x1.2cc9b23ed133p-18, -0x1.2b42abb6c380ep-18, -0x1.29ba6b33cd7fep-18, -0x1.2831200cd6527p-18, -0x1.26a7c8b5ca022p-18, -0x1.251db858eaaabp-18, -0x1.239226acb6eap-18, -0x1.2207981b56d81p-18, -0x1.207bbc33f0cc4p-18, -0x1.1eefe85fd4e3p-18, -0x1.1d63848d8db6cp-18, -0x1.1bd67315d75e4p-18, -0x1.1a497f102436cp-18, -0x1.18bbfc115e6c2p-18, -0x1.172e4d44d43c8p-18, -0x1.15a08c5e9cb6dp-18, -0x1.1412b10e37c9bp-18, -0x1.1284db94e5189p-18, -0x1.10f6d09adf98bp-18, -0x1.0f68c5df99c08p-18, -0x1.0ddad7f06c9b3p-18, -0x1.0c4cd4d9f31edp-18, -0x1.0abef5d0fa4a6p-18, -0x1.09314b5deb02fp-18, -0x1.07a3add83de81p-18, -0x1.0616887b159eep-18, -0x1.04894f6364b83p-18, -0x1.02fc8d252f592p-18, -0x1.017032a734899p-18, -0x1.ffc877c9aa08p-19, -0x1.fcb04767988e7p-19, -0x1.f99a715e2c6f4p-19, -0x1.f6845be8b18fcp-19, -0x1.f36f9b41f3a6ap-19, -0x1.f05c045bfaedep-19, -0x1.ed49535855cb6p-19, -0x1.ea378bdee8dd6p-19, -0x1.e726d3c322ecbp-19, -0x1.e4180952412b6p-19, -0x1.e10a090d8f2d4p-19, -0x1.ddfd8e2139002p-19, -0x1.daf113c593e2ep-19, -0x1.d7e8d0bf992p-19, -0x1.d4e0dcc88f13cp-19, -0x1.d1d9b5856e931p-19, -0x1.ced52b4f21eaep-19, -0x1.cbd1c97df4674p-19, -0x1.c8cff44a01427p-19, -0x1.c5d00b2a3bb05p-19, -0x1.c2d202c3d2p-19, -0x1.bfd5d1c28a90fp-19, -0x1.bcdb8c522d143p-19, -0x1.b9e30543d9c1bp-19, -0x1.b6ec921bf4eap-19, -0x1.b3f66ffb4a047p-19, -0x1.b1054dfc8ac3p-19, }}, 
      {{0x1.7e04b0e693cc5p-1, 0x1.7def1d6ea63d2p-1, 0x1.7dcb49b720ce2p-1, 0x1.7d995fab689c9p-1, 0x1.7d598a51c8f7p-1, 0x1.7d0bead17b9e6p-1, 0x1.7cb08e990d953p-1, 0x1.7c4767a3ed722p-1, 0x1.7bd04748c8c97p-1, 0x1.7b4adb8e5ad6dp-1, 0x1.7ab6aec311378p-1, 0x1.7a1328f535577p-1, 0x1.795f92e1a44cfp-1, 0x1.789b19f46d6b5p-1, 0x1.77c4d501f1a73p-1, 0x1.76dbc96c143cp-1, 0x1.75def073d1d8ep-1, 0x1.74cd3c8352c75p-1, 0x1.73a59e472fc28p-1, 0x1.72670977262adp-1, 0x1.711079370215ep-1, 0x1.6fa0f4000f79bp-1, 0x1.6e178f09fa575p-1, 0x1.6c73712f941e4p-1, 0x1.6ab3d550994c5p-1, 0x1.68d80c3526321p-1, 0x1.66df7dfa4ebafp-1, 0x1.64c9ab112b2abp-1, 0x1.62962cdadc88cp-1, 0x1.6044b5ec97bf7p-1, 0x1.5dd51206e2d3ap-1, 0x1.5b4725cad7dap-1, 0x1.589aee37b96ap-1, 0x1.55d07ffa5a701p-1, 0x1.52e8069706297p-1, 0x1.4fe1c375a796bp-1, 0x1.4cbe0cd707094p-1, 0x1.497d4cb919dbp-1, 0x1.461fffaf86736p-1, 0x1.42a6b3b4c837p-1, 0x1.3f1206f7a9256p-1, 0x1.3b62a6a833574p-1, 0x1.37994dc6b9bb7p-1, 0x1.33b6c3f71bap-1, 0x1.2fbbdc5a06ee7p-1, 0x1.2ba9746dad9dep-1, 0x1.278072f70a413p-1, 0x1.2341c6f4a5242p-1, 0x1.1eee669b82d9dp-1, 0x1.1a874e5ec933p-1, 0x1.160d80026e2a6p-1, 0x1.118201b937272p-1, 0x1.0ce5dd4e1ec9dp-1, 0x1.083a1f592b2aap-1, 0x1.037fd67fa55abp-1, 0x1.fd70257f18af9p-2, 0x1.f3c7c98c2af5fp-2, 0x1.ea08baa1ef84p-2, 0x1.e035193471008p-2, 0x1.d64f039c4a7d5p-2, 0x1.cc5895163e9f3p-2, 0x1.c253e4d5ae778p-2, 0x1.b84305292782p-2, 0x1.ae2802b038506p-2, 0x1.a404e3a1b623p-2, 0x1.99dba721a369ep-2, 0x1.8fae44a5e16d2p-2, 0x1.857eab68e09c2p-2, 0x1.7b4ec1e983e11p-2, 0x1.712065776edd7p-2, 0x1.66f569cb05051p-2, 0x1.5ccf98a863135p-2, 0x1.52b0b18c9ef8fp-2, 0x1.489a6964acda7p-2, 0x1.3e8e6a4d4c1b8p-2, 0x1.348e535b660e8p-2, 0x1.2a9bb86c4e774p-2, 0x1.20b821fd6c7dp-2, 0x1.16e50d0ac5e93p-2, 0x1.0d23eaf400f18p-2, 0x1.037621676f0a8p-2, 0x1.f3ba14a5702dp-3, 0x1.e0b3e7b19db85p-3, 0x1.cddc4099a5b12p-3, 0x1.bb358c6317bbbp-3, 0x1.a8c2207a76a43p-3, 0x1.96843ac2defd7p-3, 0x1.847e01ad3ea62p-3, 0x1.72b184569780fp-3, 0x1.6120baacd4ddep-3, 0x1.4fcd8599c9262p-3, 0x1.3eb9af33e333bp-3, 0x1.2de6eaf43d35ep-3, 0x1.1d56d5f19ffb6p-3, 0x1.0d0af720246eap-3, 0x1.fa097f2a33167p-4, 0x1.da8b159dbf45bp-4, 0x1.bb9d3e00cc859p-4, 0x1.9d425abffb1ebp-4, 0x1.7f7ca4f2815bdp-4, 0x1.624e2d0381259p-4, 0x1.45b8db6077d6ap-4, 0x1.29be712c32c01p-4, 0x1.0e6088f5d987dp-4, 0x1.e7412ee7283dcp-5, 0x1.b2ffd880b38f5p-5, 0x1.7fff6538fd225p-5, 0x1.4e41e46134f2dp-5, 0x1.1dc91fa4b9947p-5, 0x1.dd2d392bff7aep-6, 0x1.81573c7bc531ap-6, 0x1.28124d5989c4dp-6, 0x1.a2bfe233a590ap-7, 0x1.f504c5aade818p-8, 0x1.5db4fbcdfde1p-9, -0x1.19fd47395e222p-9, -0x1.be87f87b68f28p-8, -0x1.72e24b5953ba3p-7, -0x1.00ae510c2f4a6p-6, -0x1.455b1a9d6a686p-6, -0x1.877982920f6b1p-6, -0x1.c70bebe0c6455p-6, -0x1.020a8c9f7a155p-5, -0x1.1f4c1510baf03p-5, -0x1.3b4c4be27fdbbp-5, -0x1.560d191f27c1ap-5, -0x1.6f908ec979098p-5, -0x1.87d8e76d4fd7dp-5, -0x1.9ee884b4d3a09p-5, -0x1.b4c1ee025688p-5, -0x1.c967cf0ef0293p-5, -0x1.dcdcf68dff637p-5, -0x1.ef2454d58cd97p-5, -0x1.00207d45d8d55p-4, -0x1.081b0bac87893p-4, -0x1.0f837c5027c4ap-4, -0x1.165b841d6314bp-4, -0x1.1ca4e59d12d46p-4, -0x1.22617057adc9p-4, -0x1.2793003b3fc6dp-4, -0x1.2c3b7d03ee5b3p-4, -0x1.305cd9a702ebbp-4, -0x1.33f913c07e837p-4, -0x1.3712330329c25p-4, -0x1.39aa48ab279dep-4, -0x1.3bc36ef2f712ap-4, -0x1.3d5fc88aedcdp-4, -0x1.3e81801318157p-4, -0x1.3f2ac79784289p-4, -0x1.3f5dd80ef02f6p-4, -0x1.3f1cf0dbc7d6fp-4, -0x1.3e6a574f7e8d6p-4, -0x1.3d48563037428p-4, -0x1.3bb93d40affe5p-4, -0x1.39bf60ca76963p-4, -0x1.375d192a537f8p-4, -0x1.3494c25ef19c3p-4, -0x1.3168bb99b3b3ep-4, -0x1.2ddb66d1bc2bep-4, -0x1.29ef28591f13bp-4, -0x1.25a666743072bp-4, -0x1.210388f2fcbdep-4, -0x1.1c08f8ccd6df1p-4, -0x1.16b91fbe05d5dp-4, -0x1.111667e783de9p-4, -0x1.0b233b70d385cp-4, -0x1.04e2042be0a0dp-4, -0x1.fcaa5675e9782p-5, -0x1.eefe317160c9cp-5, -0x1.e0c466c42923ep-5, -0x1.d201c0851d3bp-5, -0x1.c2bb04c41a4efp-5, -0x1.b2f4f4ea220e7p-5, -0x1.a2b44d1d95ae3p-5, -0x1.91fdc3aa664e6p-5, -0x1.80d6086e4cfbcp-5, -0x1.6f41c448f3132p-5, -0x1.5d459890245c1p-5, -0x1.4ae61e87eda76p-5, -0x1.3827e6deb0bcap-5, -0x1.250f792d3c048p-5, -0x1.11a1537abf3aep-5, -0x1.fbc3d38976239p-6, -0x1.d3ab4b15b2f25p-6, -0x1.ab01cabd5f327p-6, -0x1.81cff8eec4ed9p-6, -0x1.581e64926b488p-6, -0x1.2df58441e2b4p-6, -0x1.035db58667542p-6, -0x1.b0be783e0bc19p-7, -0x1.5a04829d14242p-7, -0x1.029da6620674cp-7, -0x1.5533906324f4bp-8, -0x1.48224f99225e2p-9, 0x1.c1a125cbd78f5p-13, 0x1.821129a47f4f7p-9, 0x1.74c3858dbb05fp-8, 0x1.14902ff85566bp-7, 0x1.6f0112431ef5ep-7, 0x1.c9a628c8f0b06p-7, 0x1.1238b92bff80dp-6, 0x1.3faa971695125p-6, 0x1.6d21ee54115bap-6, 0x1.9a981ff8e056p-6, 0x1.c806ae4a60e56p-6, 0x1.f5673d046ebafp-6, 0x1.1159c8cc2d8ddp-5, 0x1.27f2c9b294cfp-5, 0x1.3e7ba5f4be449p-5, 0x1.54f17377845c7p-5, 0x1.6b515957db297p-5, 0x1.81988ffa4f12ap-5, 0x1.97c461177f373p-5, 0x1.add227c58a062p-5, 0x1.c3bf507e969c4p-5, 0x1.d98959247e149p-5, 0x1.ef2dd101968b3p-5, 0x1.02552c63669c4p-4, 0x1.0cfe51437df73p-4, 0x1.179138d7d3ae1p-4, 0x1.220ccd7f8df24p-4, 0x1.2c70023c0783p-4, 0x1.36b9d2a9657bp-4, 0x1.40e942f5f20a6p-4, 0x1.4afd5fd85e6bap-4, 0x1.54f53e84cd764p-4, 0x1.5ecffca0d4babp-4, 0x1.688cc036658c9p-4, 0x1.722ab7a5abb48p-4, 0x1.7ba91995ec2aap-4, 0x1.850724e57327cp-4, 0x1.8e4420987c442p-4, 0x1.975f5bc751aecp-4, 0x1.a0582d8b702dbp-4, 0x1.a92df4ebe6f6fp-4, 0x1.b1e018c8e0bc9p-4, 0x1.ba6e07c65eb77p-4, 0x1.c2d7383654a9bp-4, 0x1.cb1b2801df4dp-4, 0x1.d3395c91fa54cp-4, 0x1.db3162b776aeep-4, 0x1.e302ce925b3c1p-4, 0x1.eaad3b78b5466p-4, 0x1.f2304bdccc664p-4, 0x1.f98ba932e40dap-4, 0x1.005f81eb3c912p-3, 0x1.03e509777eb49p-3, 0x1.07564a2a18376p-3, 0x1.0ab326390d984p-3, 0x1.0dfb831645adep-3, 0x1.112f49612f85cp-3, 0x1.144e64d82ff85p-3, 0x1.1758c449f072fp-3, 0x1.1a4e59868e181p-3, 0x1.1d2f1950a5affp-3, 0x1.1ffafb4e47d95p-3, 0x1.22b1f9f9d73dp-3, 0x1.25541292c9ba4p-3, 0x1.27e1450e660e4p-3, 0x1.2a59940864752p-3, 0x1.2cbd04b3910d1p-3, 0x1.2f0b9eca5bc08p-3, 0x1.31456c7f674f6p-3, 0x1.336a7a6e18585p-3, 0x1.357ad78b1e397p-3, 0x1.37769514fe94ep-3, 0x1.395dc684b18bcp-3, 0x1.3b30817e32896p-3, 0x1.3ceeddc12d34fp-3, 0x1.3e98f519ab43ap-3, 0x1.402ee350d301cp-3, 0x1.41b0c61dbe7c6p-3, 0x1.431ebd1658d3ep-3, 0x1.4478e9a05cfacp-3, 0x1.45bf6ee25fe3fp-3, 0x1.46f271b501653p-3, 0x1.481218942888ap-3, 0x1.491e8b906854cp-3, 0x1.4a17f4407b72fp-3, 0x1.4afe7db2e76bp-3, 0x1.4bd2545fb8804p-3, 0x1.4c93a61a6522fp-3, 0x1.4d42a203d734fp-3, 0x1.4ddf787c979c8p-3, 0x1.4e6a5b17224cdp-3, 0x1.4ee37c8a6487bp-3, 0x1.4f4b10a46010ap-3, 0x1.4fa14c3cffa1dp-3, 0x1.4fe665290cce2p-3, 0x1.501a922d5e2edp-3, 0x1.503e0af22b637p-3, 0x1.505107f69091fp-3, 0x1.5053c284440ap-3, 0x1.504674a378c42p-3, 0x1.5029590ef2236p-3, 0x1.4ffcab284e3ffp-3, 0x1.4fc0a6ec75231p-3, 0x1.4f7588e8491afp-3, 0x1.4f1b8e2d83ea1p-3, 0x1.4eb2f447c1b4ap-3, 0x1.4e3bf931ca60dp-3, 0x1.4db6db4b06f33p-3, 0x1.4d23d94d3016cp-3, 0x1.4c8332422b446p-3, 0x1.4bd5257a281fbp-3, 0x1.4b19f281e3a71p-3, 0x1.4a51d9192f1eap-3, 0x1.497d1929a0526p-3, 0x1.489bf2bd804bfp-3, 0x1.47aea5f6ea6a2p-3, 0x1.46b57307211f2p-3, 0x1.45b09a261afb7p-3, 0x1.44a05b8a3f37ep-3, 0x1.4384f7605ef1p-3, 0x1.425eadc3db3f1p-3, 0x1.412dbeb7047a4p-3, 0x1.3ff26a1bb0089p-3, 0x1.3eacefabfb073p-3, 0x1.3d5d8ef34a873p-3, 0x1.3c0487477602ap-3, 0x1.3aa217c2285a3p-3, 0x1.39367f3a7ca45p-3, 0x1.37c1fc3ebaa59p-3, 0x1.3644cd0e59a81p-3, 0x1.34bf2f9425a0ep-3, 0x1.333161609e633p-3, 0x1.319b9fa486532p-3, 0x1.2ffe272b9c32ap-3, 0x1.2e5934578e1acp-3, 0x1.2cad031b0de1ep-3, 0x1.2af9cef5285bdp-3, 0x1.293fd2ecb459bp-3, 0x1.277f498bff3c1p-3, 0x1.25b86cdca1fbap-3, 0x1.23eb7663830e8p-3, 0x1.22189f1cfc5cep-3, 0x1.20401f793d07p-3, 0x1.1e622f58c7501p-3, 0x1.1c7f06091b65dp-3, 0x1.1a96da41952c5p-3, 0x1.18a9e22060e89p-3, 0x1.16b85327ac9c6p-3, 0x1.14c2623af041p-3, 0x1.12c8439c63bf5p-3, 0x1.10ca2aea9d5dcp-3, 0x1.0ec84b1e4e171p-3, 0x1.0cc2d6882c8efp-3, 0x1.0ab9fecef7c6fp-3, 0x1.08adf4eda9531p-3, 0x1.069ee931c3b3fp-3, 0x1.048d0b39bf7a6p-3, 0x1.027889f3a465fp-3, 0x1.0061939bb8812p-3, 0x1.fc90ab76a4d8dp-4, 0x1.f859fa4f9bef9p-4, 0x1.f41f6c03363e8p-4, 0x1.efe15766dce8fp-4, 0x1.eba011e310cdbp-4, 0x1.e75bef7241388p-4, 0x1.e315429fd212ap-4, 0x1.decc5c8753561p-4, 0x1.da818cd3f997bp-4, 0x1.d63521c03b833p-4, 0x1.d1e76815b2308p-4, 0x1.cd98ab2d121a5p-4, 0x1.c94934ee733f1p-4, 0x1.c4f94dd1a3cfap-4, 0x1.c0a93cdec683cp-4, 0x1.bc5947af060afp-4, 0x1.b809b26d828acp-4, 0x1.b3babfd859812p-4, 0x1.af6cb141dee84p-4, 0x1.ab1fc691fb4c2p-4, 0x1.a6d43e47ad0fbp-4, 0x1.a28a557aab1e2p-4, 0x1.9e4247dd2e50cp-4, 0x1.99fc4fbdd8bcap-4, 0x1.95b8a609c0e39p-4, 0x1.9177824e9afa5p-4, 0x1.8d391abcf93a9p-4, 0x1.88fda42ab4242p-4, 0x1.84c552156644bp-4, 0x1.809056a50344ep-4, 0x1.7c5ee2ae8ac06p-4, 0x1.783125b6d3386p-4, 0x1.74074df56ad62p-4, 0x1.6fe188578cf01p-4, 0x1.6bc0008331c53p-4, 0x1.67a2e0da2c1e3p-4, 0x1.638a527d5d195p-4, 0x1.5f767d4fff01bp-4, 0x1.5b6787faf4b9dp-4, 0x1.575d97f038a35p-4, 0x1.5358d16e4c68p-4, 0x1.4f595783c5f6fp-4, 0x1.4b5f4c12d8fc8p-4, 0x1.476acfd5005f9p-4, 0x1.437c025ea2a3cp-4, 0x1.3f930222cab5p-4, 0x1.3bafec76ea8c2p-4, 0x1.37d2dd969ff04p-4, 0x1.33fbf0a78dcd8p-4, 0x1.302b3fbd33155p-4, 0x1.2c60e3dccbff5p-4, 0x1.289cf5013c167p-4, 0x1.24df8a1efef5ap-4, 0x1.2128b9281362ap-4, 0x1.1d78970ffb59p-4, 0x1.19cf37cfb23a2p-4, 0x1.162cae69ac7e3p-4, 0x1.12910cedd8cc9p-4, 0x1.0efc647da1c8dp-4, 0x1.0b6ec54ff2831p-4, 0x1.07e83eb53abbbp-4, 0x1.0468df1b75c9cp-4, 0x1.00f0b412293ddp-4, 0x1.faff949cde9a2p-5, 0x1.f42c5b5dee6cap-5, 0x1.ed67d27fffb07p-5, 0x1.e6b20e7eb7355p-5, 0x1.e00b2240d6648p-5, 0x1.d9731f2022b47p-5, 0x1.d2ea14f153185p-5, 0x1.cc70120bf0106p-5, 0x1.c60523522aeefp-5, 0x1.bfa95438a5a18p-5, 0x1.b95caece3ad4cp-5, 0x1.b31f3bc3b3723p-5, 0x1.acf102736cfcep-5, 0x1.a6d208e90264cp-5, 0x1.a0c253e8d420cp-5, 0x1.9ac1e6f790fe2p-5, 0x1.94d0c461a5f37p-5, 0x1.8eeeed42aa159p-5, 0x1.891c618cb5ca2p-5, 0x1.8359200f9e888p-5, 0x1.7da526803ab23p-5, 0x1.7800717f8079fp-5, 0x1.726afca196b8p-5, 0x1.6ce4c274de005p-5, 0x1.676dbc88d7984p-5, 0x1.6205e3750a4fcp-5, 0x1.5cad2edfca266p-5, 0x1.57639584ef674p-5, 0x1.52290d3c757d8p-5, 0x1.4cfd8b0110fdap-5, 0x1.47e102f6aa3cbp-5, 0x1.42d36870bfa08p-5, 0x1.3dd4adf8bdbc8p-5, 0x1.38e4c554370efp-5, 0x1.34039f8b16d1bp-5, 0x1.2f312ceda4ff8p-5, 0x1.2a6d5d1a8ffa3p-5, 0x1.25b81f04d848cp-5, 0x1.211160f995fbbp-5, 0x1.1c7910a5c087ap-5, 0x1.17ef1b1bd4258p-5, 0x1.13736cd95eeafp-5, 0x1.0f05f1cc85174p-5, 0x1.0aa695595d9e8p-5, 0x1.0655425f469cap-5, 0x1.0211e33e1da2cp-5, 0x1.fbb8c3b6c24bfp-6, 0x1.f3694f4e7ddc7p-6, 0x1.eb353b4320731p-6, 0x1.e31c58bd5ad15p-6, 0x1.db1e78188a617p-6, 0x1.d33b68ec1db69p-6, 0x1.cb72fa14c7ca5p-6, 0x1.c3c4f9bd97154p-6, 0x1.bc313568e26e4p-6, 0x1.b4b779f8f695p-6, 0x1.ad5793b8b5a9ep-6, 0x1.a6114e63ef92fp-6, 0x1.9ee4752f8ca3cp-6, 0x1.97d0d2d1c9289p-6, 0x1.90d63189e4e91p-6, 0x1.89f45b2801d06p-6, 0x1.832b1914a44a1p-6, 0x1.7c7a345816113p-6, 0x1.75e175a1b05e1p-6, 0x1.6f60a54ee4a27p-6, 0x1.68f78b722ec1dp-6, 0x1.62a5efd9cefd8p-6, 0x1.5c6b9a1669d7ap-6, 0x1.56485181862f4p-6, 0x1.503bdd43ca9f5p-6, 0x1.4a46045b19caap-6, 0x1.44668da0b0c46p-6, 0x1.3e9d3fcee0d7fp-6, 0x1.38e9e186dae8cp-6, 0x1.334c39561dee7p-6, 0x1.2dc40dbc08a0bp-6, 0x1.2851252ef382ap-6, 0x1.22f346217255cp-6, 0x1.1daa37073fb41p-6, 0x1.1875be5a1f83bp-6, 0x1.1355a29e82ca1p-6, 0x1.0e49aa6836c12p-6, 0x1.09519c5ecb71ep-6, 0x1.046d3f41e045dp-6, 0x1.ff38b3dab9c76p-7, 0x1.f5bd66bafb6fep-7, 0x1.ec68256595584p-7, 0x1.e3387e6ba5851p-7, 0x1.da2e00b5f3faep-7, 0x1.d1483b8c0a41ap-7, 0x1.c886be9afaafep-7, 0x1.bfe919fc35c8ap-7, 0x1.b76ede3bf1d2cp-7, 0x1.af179c5f6f417p-7, 0x1.a6e2e5eaeb7bcp-7, 0x1.9ed04ce77bb72p-7, 0x1.96df63e89361p-7, 0x1.8f0fbe118d58dp-7, 0x1.8760ef1a98f1bp-7, 0x1.7fd28b55ddd84p-7, 0x1.786427b44cee3p-7, 0x1.711559c9e8a36p-7, 0x1.69e5b7d29739ap-7, 0x1.62d4d8b5fa86ap-7, 0x1.5be2540b97ed5p-7, 0x1.550dc21ec26aep-7, 0x1.4e56bbf212a4cp-7, 0x1.47bcdb430bff3p-7, 0x1.413fba8d57dedp-7, 0x1.3adef50dfe852p-7, 0x1.349a26c655c28p-7, 0x1.2e70ec7ee6397p-7, 0x1.2862e3c9fe4dbp-7, 0x1.226fab06496fcp-7, 0x1.1c96e16144158p-7, 0x1.16d826d94865bp-7, 0x1.11331c3fc90c5p-7, 0x1.0ba7633b38e2ep-7, 0x1.06349e48d0d0fp-7, 0x1.00da70be67f8dp-7, 0x1.f730fd97572eep-8, 0x1.ecdcdaf805bedp-8, 0x1.e2b7c56eeea8bp-8, 0x1.d8c10a880c482p-8, 0x1.cef7f98d99884p-8, 0x1.c55be38999b38p-8, 0x1.bbec1b47d67c4p-8, 0x1.b2a7f55726c7cp-8, 0x1.a98ec80adae86p-8, 0x1.a09feb7ba24cdp-8, 0x1.97dab9887a30ep-8, 0x1.8f3e8dd75006bp-8, 0x1.86cac5d5a4b81p-8, 0x1.7e7ec0b869bfap-8, 0x1.7659df7ca6f24p-8, 0x1.6e5b84e716db2p-8, 0x1.668315840c463p-8, 0x1.5ecff7a6ef5d2p-8, 0x1.57419369e4fdap-8, 0x1.4fd752acf95d7p-8, 0x1.4890a1153e4c4p-8, 0x1.416cec0bfce19p-8, 0x1.3a6ba2bd6fd1dp-8, 0x1.338c3617900fdp-8, 0x1.2cce18c8b584ap-8, 0x1.2630bf3e14989p-8, 0x1.1fb39fa1feefdp-8, 0x1.195631da7b686p-8, 0x1.1317ef86e395ap-8, 0x1.0cf853fe91fafp-8, 0x1.06f6dc4e20f35p-8, 0x1.01130735f334ep-8, 0x1.f698aa4e9cd1ap-9, 0x1.eb4490851f0b6p-9, 0x1.e028c8a89971cp-9, 0x1.d5445da624408p-9, 0x1.ca965db93ce2ep-9, 0x1.c01dda66cadeap-9, 0x1.b5d9e8771f899p-9, 0x1.abc99ff0e07f8p-9, 0x1.a1ec1c12be28cp-9, 0x1.98407b4df189ap-9, 0x1.8ec5df3fde84fp-9, 0x1.857b6cac43fbap-9, 0x1.7c604b769de21p-9, 0x1.7373a69c4c5dfp-9, 0x1.6ab4ac2d6acefp-9, 0x1.62228d4718b3ap-9, 0x1.59bc7e0c16b65p-9, 0x1.5181b59e97a96p-9, 0x1.49716e19488a1p-9, 0x1.418ae4886f082p-9, 0x1.39cd58e2e7f6cp-9, 0x1.32380e037d8fbp-9, 0x1.2aca49a174bdp-9, 0x1.23835449cbb74p-9, 0x1.1c627957e8862p-9, 0x1.156706ee7c6bep-9, 0x1.0e904df042b99p-9, 0x1.07dda1f8eb8b9p-9, 0x1.014e5955898d7p-9, 0x1.f5c399fad6865p-10, 0x1.e92eb115bcbbdp-10, 0x1.dcdcb4676928ep-10, 0x1.d0cc6583d483ep-10, 0x1.c4fc8b18c3b2dp-10, 0x1.b96bf0de84ebfp-10, 0x1.ae196789fb3aap-10, 0x1.a303c4bd006d7p-10, 0x1.9829e2f7f5e21p-10, 0x1.8d8aa18b26075p-10, 0x1.8324e48813dbfp-10, 0x1.78f794b209e5ap-10, 0x1.6f019f7042fc1p-10, 0x1.6541f6bec4af8p-10, 0x1.5bb7911fc0cbp-10, 0x1.5261698d2aa13p-10, 0x1.493e7f69dce25p-10, 0x1.404dd67378184p-10, 0x1.378e76b378b8fp-10, 0x1.2eff6c716232p-10, 0x1.269fc8239b8fep-10, 0x1.1e6e9e61f01adp-10, 0x1.166b07d6f439ap-10, 0x1.0e942131cfa95p-10, 0x1.06e90b18b3f84p-10, 0x1.fed1d43482d1dp-11, 0x1.f025cd3fb69eap-11, 0x1.e1cc59bfb29bfp-11, 0x1.d3c3d99fe22f3p-11, 0x1.c60ab42ea2886p-11, 0x1.b89f5802c87d5p-11, 0x1.ab803ae08c992p-11, 0x1.9eabd99df0f62p-11, 0x1.9220b809b7f1ep-11, 0x1.85dd60d00699cp-11, 0x1.79e06560ab0e4p-11, 0x1.6e285dd57f451p-11, 0x1.62b3e8d8d3399p-11, 0x1.5781ab8b0e07dp-11, 0x1.4c90516a5d7f5p-11, 0x1.41de8c39819b3p-11, 0x1.376b13e6ac3dap-11, 0x1.2d34a673fc8d2p-11, 0x1.233a07de0a3ecp-11, 0x1.197a02045f996p-11, 0x1.0ff36491cfaaep-11, 0x1.06a504e48a497p-11, 0x1.fb1b7bed7db16p-12, 0x1.e958e0903f923p-12, 0x1.d800038bd3fbp-12, 0x1.c70ebb6bd0e57p-12, 0x1.b682e93ce6a01p-12, 0x1.a65a7862d4a73p-12, 0x1.96935e6b14513p-12, 0x1.872b9ae2d1b54p-12, 0x1.7821372c211d3p-12, 0x1.69724653b0c37p-12, 0x1.5b1ce4e67e2c2p-12, 0x1.4d1f38c8474aap-12, 0x1.3f77710c610a8p-12, 0x1.3223c5cc604dfp-12, 0x1.2522780002ac7p-12, 0x1.1871d156e21cdp-12, 0x1.0c10241227455p-12, 0x1.fff795b88dfd6p-13, 0x1.e8665149eb1aep-13, 0x1.d16950f725e3p-13, 0x1.bafd7ad3c13cep-13, 0x1.a51fc4a0437c2p-13, 0x1.8fcd338422bd3p-13, 0x1.7b02dbc49b536p-13, 0x1.66bde08064cf8p-13, 0x1.52fb736a9a902p-13, 0x1.3fb8d488d1ab4p-13, 0x1.2cf351ec88177p-13, 0x1.1aa847763b688p-13, 0x1.08d51e907bb4fp-13, 0x1.eeee9be7b8987p-14, 0x1.cd18b2c87fba5p-14, 0x1.ac23a2e9ca30bp-14, 0x1.8c0aa697612bbp-14, 0x1.6cc910c4ba2e4p-14, 0x1.4e5a4c9f0cecep-14, 0x1.30b9dd12ac34ep-14, 0x1.13e35c58e31c2p-14, 0x1.efa4f710cb64bp-15, 0x1.b90604472680bp-15, 0x1.83e19b5b7c02ap-15, 0x1.502fa2773dc85p-15, 0x1.1de82a1c008abp-15, 0x1.da06d892e539bp-16, 0x1.7af39770883a9p-16, 0x1.1e87a60be57abp-16, 0x1.8968cfdbd2b0dp-17, 0x1.b5ae3573641b4p-18, 0x1.89f11dbf2002cp-20, -0x1.cdf62a801725fp-19, -0x1.1376d50e65ab8p-17, -0x1.aec812a5da40cp-17, -0x1.22c587b5fad4fp-16, -0x1.6bec87a6a56bdp-16, -0x1.b2e568553efc1p-16, -0x1.f7bc478d19971p-16, -0x1.1d3e817f579eap-15, -0x1.3d999cc860435p-15, -0x1.5cf526474446cp-15, -0x1.7b56b0827e46ap-15, -0x1.98c3b0712679ep-15, -0x1.b5417e1dc8baap-15, -0x1.d0d55532424dap-15, -0x1.eb84559ab0c81p-15, -0x1.02a9c2020f402p-14, -0x1.0f23e53d7e35cp-14, -0x1.1b32fc76ae525p-14, -0x1.26d962dde5fdcp-14, -0x1.3219671da31cdp-14, -0x1.3cf54b9bfa43ap-14, -0x1.476f46c098b15p-14, -0x1.5189832d15991p-14, -0x1.5b46200093971p-14, -0x1.64a731144b32bp-14, -0x1.6daebf358bc6bp-14, -0x1.765ec8653e0acp-14, -0x1.7eb9400bf239bp-14, -0x1.86c00f39af587p-14, -0x1.8e7514d5e46bdp-14, -0x1.95da25dc0a094p-14, -0x1.9cf10d8d4f3e6p-14, -0x1.a3bb8da80da24p-14, -0x1.aa3b5e9888723p-14, -0x1.b0722fae0b47cp-14, -0x1.b661a749c867dp-14, -0x1.bc0b63115840ep-14, -0x1.c170f81d712d3p-14, -0x1.c693f327678f3p-14, -0x1.cb75d8b790e8bp-14, -0x1.d0182552baf56p-14, -0x1.d47c4da4e7cfbp-14, -0x1.d8a3beac6b5cdp-14, -0x1.dc8fdde3d2dfbp-14, -0x1.e042096b7279bp-14, -0x1.e3bb983191961p-14, -0x1.e6fdda18c4c2fp-14, -0x1.ea0a181da9032p-14, -0x1.ece194818fbcfp-14, -0x1.ef858ae9c7ed5p-14, -0x1.f1f73087c6f96p-14, -0x1.f437b43a360b5p-14, -0x1.f6483eb1d705p-14, -0x1.f829f2913462ep-14, -0x1.f9ddec8ed607cp-14, -0x1.fb6543965402p-14, -0x1.fcc108e769b36p-14, -0x1.fdf24835bd1fp-14, -0x1.fefa07c799cc6p-14, -0x1.ffd94891729b6p-14, -0x1.0048832b6673ap-13, -0x1.00911be1f27c5p-13, -0x1.00c6e74524703p-13, -0x1.00ea5bbe2d258p-13, -0x1.00fbed54498afp-13, -0x1.00fc0db97f424p-13, -0x1.00eb2c5756883p-13, -0x1.00c9b65bae3a8p-13, -0x1.009816c490f7p-13, -0x1.0056b66cc5946p-13, -0x1.0005fc160fd47p-13, -0x1.ff4c98ec71515p-14, -0x1.fe701482745a9p-14, -0x1.fd772c69ca16cp-14, -0x1.fc629e45037c1p-14, -0x1.fb3323f47336ap-14, -0x1.f9e973aab2a8p-14, -0x1.f8863ffe73264p-14, -0x1.f70a37ff1c33ep-14, -0x1.f57607487dbabp-14, -0x1.f3ca5614623dcp-14, -0x1.f207c94cfe9f5p-14, -0x1.f02f029f4c487p-14, -0x1.ee40a08c12721p-14, -0x1.ec3d3e77b0939p-14, -0x1.ea2574bcfc0b7p-14, -0x1.e7f9d8baad458p-14, -0x1.e5bafce54bfedp-14, -0x1.e36970d5478ebp-14, -0x1.e105c1574c0bp-14, -0x1.de90787a8d016p-14, -0x1.dc0a1d9e0e95dp-14, -0x1.d9733580922b2p-14, -0x1.d6cc424cfc85ep-14, -0x1.d415c3a88019p-14, -0x1.d15036be74d87p-14, -0x1.ce7c164e6ce76p-14, -0x1.cb99dab874e73p-14, -0x1.c8a9fa096d7dfp-14, -0x1.c5ace805c2ee3p-14, -0x1.c2a31636738e5p-14, -0x1.bf8cf3f3c593p-14, -0x1.bc6aee7178f47p-14, -0x1.b93d70c7cce05p-14, -0x1.b604e3ff04af1p-14, -0x1.b2c1af19d2054p-14, -0x1.af74371fa5bcdp-14, -0x1.ac1cdf25a6edcp-14, -0x1.a8bc085a2b472p-14, -0x1.a552120bbb18p-14, -0x1.a1df59b4600b4p-14, -0x1.9e643b016b62cp-14, -0x1.9ae10fdbd2cc2p-14, -0x1.975630725f0fap-14, -0x1.93c3f340b40ffp-14, -0x1.902aad17d42bdp-14, -0x1.8c8ab126718b6p-14, -0x1.88e4510078022p-14, -0x1.8537dca684069p-14, -0x1.8185a28e4296fp-14, -0x1.7dcdefa84d1a2p-14, -0x1.7a110f67baa4ap-14, -0x1.764f4bc9ef915p-14, -0x1.7288ed5c7f549p-14, -0x1.6ebe3b43f73c3p-14, -0x1.6aef7b425f251p-14, -0x1.671cf1be364fep-14, -0x1.6346e1c7731f3p-14, -0x1.5f6d8d1e5e3bep-14, -0x1.5b913439aacf7p-14, -0x1.57b2164b4d015p-14, -0x1.53d07146e0ea2p-14, -0x1.4fec81e7657d2p-14, -0x1.4c0683b386b0dp-14, -0x1.481eb1047cf63p-14, -0x1.4435430a0ad16p-14, -0x1.404a71cf72252p-14, -0x1.3c5e7441758c4p-14, -0x1.387180326fe2cp-14, -0x1.3483ca5ef514dp-14, -0x1.3095867274e88p-14, -0x1.2ca6e70c88bc8p-14, -0x1.28b81dc46c8aep-14, -0x1.24c95b2d72aeap-14, -0x1.20dacedc21b6ep-14, -0x1.1ceca769bda0cp-14, -0x1.18ff1277ac7e5p-14, -0x1.15123cb50962ap-14, -0x1.112651e136441p-14, -0x1.0d3b7ccfedf0ep-14, -0x1.0951e76d8a6e7p-14, -0x1.0569bac23cf44p-14, -0x1.01831ef5b7c01p-14, -0x1.fb3c76a5aa113p-15, -0x1.f3766c95eea3cp-15, -0x1.ebb46af294d41p-15, -0x1.e3f6bb4c9b118p-15, -0x1.dc3da59641179p-15, -0x1.d48970288903cp-15, -0x1.ccda5fca52ca2p-15, -0x1.c530b7b68982dp-15, -0x1.bd8cb9a1271ecp-15, -0x1.b5eea5bd5b95cp-15, -0x1.ae56bac5be22fp-15, -0x1.a6c535ff2f233p-15, -0x1.9f3a533ebb2aep-15, -0x1.97b64cf013a0cp-15, -0x1.90395c1aa8c8fp-15, -0x1.88c3b86704aa2p-15, -0x1.81559822e941ep-15, -0x1.79ef3048e057ep-15, -0x1.7290b482907dbp-15, -0x1.6b3a572f10e92p-15, -0x1.63ec4967c3ba7p-15, -0x1.5ca6bb054865dp-15, -0x1.5569daa347c1bp-15, -0x1.4e35d5a669207p-15, -0x1.470ad83ec989ap-15, -0x1.3fe90d6dfa8dap-15, -0x1.38d09f0c16312p-15, -0x1.31c1b5cae821dp-15, -0x1.2abc793a1f02bp-15, -0x1.23c10fcbdc7ap-15, -0x1.1ccf9ed8dd7b5p-15, -0x1.15e84aa4442cfp-15, -0x1.0f0b36606eef8p-15, -0x1.083884322d76dp-15, -0x1.0170553434ef4p-15, -0x1.f56592f866614p-16, -0x1.e800003cb6c73p-16, -0x1.dab02e5f1b37p-16, -0x1.cd7657963e858p-16, -0x1.c052b42adab38p-16, -0x1.b3457a7f03f13p-16, -0x1.a64edf1606a05p-16, -0x1.996f1499522d3p-16, -0x1.8ca64be11eaa3p-16, -0x1.7ff4b3fca4e53p-16, -0x1.735a7a35a6b9ep-16, -0x1.66d7ca189188bp-16, -0x1.5a6ccd7ad0a0cp-16, -0x1.4e19ac8195d67p-16, -0x1.41de8da8164f2p-16, -0x1.35bb95c5889c8p-16, -0x1.29b0e813b5d6fp-16, -0x1.1dbea634ece9cp-16, }}, 
      {{0x1.7e060013f2997p-1, 0x1.7df455495ceaap-1, 0x1.7dd6f6dc2e09p-1, 0x1.7dadfe36a866ap-1, 0x1.7d798808ae0e5p-1, 0x1.7d39af1a46d07p-1, 0x1.7cee8749c860fp-1, 0x1.7c98192f7f42p-1, 0x1.7c365eac04ff7p-1, 0x1.7bc9407b806d1p-1, 0x1.7b5094c9a3671p-1, 0x1.7acc1eaf740cp-1, 0x1.7a3b8e7a5c281p-1, 0x1.799e8298ac745p-1, 0x1.78f489084f5a4p-1, 0x1.783d2126fc2bp-1, 0x1.7777bdc6bf59dp-1, 0x1.76a3c76d724ebp-1, 0x1.75c09ea9791b9p-1, 0x1.74cd9e69a1bbbp-1, 0x1.73ca1e4943f1bp-1, 0x1.72b574c4be4fcp-1, 0x1.718ef94d2923cp-1, 0x1.705606347bc3ap-1, 0x1.6f09fa6d8ed49p-1, 0x1.6daa3b1d38581p-1, 0x1.6c3634fb53594p-1, 0x1.6aad5d83d1231p-1, 0x1.690f33f8f5636p-1, 0x1.675b4238b5af5p-1, 0x1.65911d67bebf1p-1, 0x1.63b066751562p-1, 0x1.61b8ca797d81bp-1, 0x1.5faa02f5f8af6p-1, 0x1.5d83d5f4aa6c2p-1, 0x1.5b46160f6408bp-1, 0x1.58f0a25ef5437p-1, 0x1.568366563a10bp-1, 0x1.53fe598ba3ea7p-1, 0x1.51617f73ce687p-1, 0x1.4eace70f73b87p-1, 0x1.4be0aa8edecd3p-1, 0x1.48fceeecc4fd8p-1, 0x1.4601e3823ab3ep-1, 0x1.42efc1954ec91p-1, 0x1.3fc6cbe3a0819p-1, 0x1.3c874e2a26064p-1, 0x1.39319cab2ebe3p-1, 0x1.35c613b38a325p-1, 0x1.3245171fa543ep-1, 0x1.2eaf11e148cb8p-1, 0x1.2b047586966b3p-1, 0x1.2745b9c2c5c1ep-1, 0x1.23735bf90ff39p-1, 0x1.1f8ddeca25e2ep-1, 0x1.1b95c9a48391ep-1, 0x1.178ba857d99ecp-1, 0x1.13700aabc5988p-1, 0x1.0f4383f9fccbdp-1, 0x1.0b06aacc0b2c5p-1, 0x1.06ba187cb711cp-1, 0x1.025e68dd1c792p-1, 0x1.fbe873bb01578p-2, 0x1.f2f85673c4122p-2, 0x1.e9edbc5480dbap-2, 0x1.e0c9ea2d1d39fp-2, 0x1.d78e269c91d7cp-2, 0x1.ce3bb9872f616p-2, 0x1.c4d3eb93e0812p-2, 0x1.bb5805b039ecep-2, 0x1.b1c9509b28237p-2, 0x1.a82914760fc07p-2, 0x1.9e78985c26587p-2, 0x1.94b921ffd30bfp-2, 0x1.8aebf54de20a7p-2, 0x1.8112541650f7cp-2, 0x1.772d7dba812ecp-2, 0x1.6d3eaee09aab1p-2, 0x1.6347212be51a3p-2, 0x1.59480af9edbd1p-2, 0x1.4f429f243740dp-2, 0x1.45380cc65302p-2, 0x1.3b297f0822338p-2, 0x1.31181cec1ecd6p-2, 0x1.2705092174d94p-2, 0x1.1cf161d9c2553p-2, 0x1.12de40a256162p-2, 0x1.08ccba40bf7dep-2, 0x1.fd7bbd2521554p-3, 0x1.e96570e040388p-3, 0x1.d5589b2465e08p-3, 0x1.c1573cf4c7734p-3, 0x1.ad634cbc52bc9p-3, 0x1.997eb628b8393p-3, 0x1.85ab5a0a313b6p-3, 0x1.71eb0e37d0e85p-3, 0x1.5e3f9d781d32bp-3, 0x1.4aaac76dbbefp-3, 0x1.372e408808048p-3, 0x1.23cbb1f7520b3p-3, 0x1.1084b9a49f797p-3, 0x1.fab5d45986dffp-4, 0x1.d49f95bd2aa91p-4, 0x1.aec9af784ce2p-4, 0x1.893702fd93777p-4, 0x1.63ea5b3b939cbp-4, 0x1.3ee66caf3dbbep-4, 0x1.1a2dd57b1446cp-4, 0x1.eb863b05b952ap-5, 0x1.a3516d171611dp-5, 0x1.5bc1f8be4ebcbp-5, 0x1.14dc69e8d2235p-5, 0x1.9d4a42676a973p-6, 0x1.1240a890e7efcp-6, 0x1.114838ff8c4f2p-7, 0x1.f180560e453cp-16, -0x1.0c5e3c8151d18p-7, -0x1.0b5742a41ef13p-6, -0x1.8ef542d5fe14bp-6, -0x1.0881529ff8217p-5, -0x1.48bc9ffa8d6e1p-5, -0x1.88299bd5fe432p-5, -0x1.c6c57f58e2162p-5, -0x1.0246d4f5ee5b8p-4, -0x1.20bfd056d3739p-4, -0x1.3ecc86f252263p-4, -0x1.5c6be03725b04p-4, -0x1.799cd596568cbp-4, -0x1.965e72391ceebp-4, -0x1.b2afd2b60addbp-4, -0x1.ce9024c58a43dp-4, -0x1.e9fea6f5d8ce8p-4, -0x1.027d542f47ac4p-3, -0x1.0fc1c429df895p-3, -0x1.1ccc5b0c6d4cdp-3, -0x1.299cd849ad38p-3, -0x1.363302fea2a94p-3, -0x1.428ea9cbd37a2p-3, -0x1.4eafa2ae85202p-3, -0x1.5a95cad9fb8f9p-3, -0x1.66410690d0bfcp-3, -0x1.71b140fe5960ap-3, -0x1.7ce66c1025b65p-3, -0x1.87e0804faaeabp-3, -0x1.929f7cbc0ceb2p-3, -0x1.9d2366a418a6ap-3, -0x1.a76c49806b284p-3, -0x1.b17a36cdd3a0fp-3, -0x1.bb4d45e7ebf9fp-3, -0x1.c4e593e3ed381p-3, -0x1.ce43436bc95b9p-3, -0x1.d7667c9982d32p-3, -0x1.e04f6cd2d318dp-3, -0x1.e8fe46a51428bp-3, -0x1.f17341a17ca66p-3, -0x1.f9ae9a39a3424p-3, -0x1.00d848ce2c291p-2, -0x1.04bcb6c96a5e5p-2, -0x1.0884bc2f19d46p-2, -0x1.0c30804aa83ap-2, -0x1.0fc02c8177b62p-2, -0x1.1333ec4223a64p-2, -0x1.168becf3f1c82p-2, -0x1.19c85de672722p-2, -0x1.1ce970414b75ep-2, -0x1.1fef56f436e76p-2, -0x1.22da46a72e50ap-2, -0x1.25aa75aac5645p-2, -0x1.28601be8b6639p-2, -0x1.2afb72d49e73dp-2, -0x1.2d7cb55ce9749p-2, -0x1.2fe41fdbf22b2p-2, -0x1.3231f009502bfp-2, -0x1.346664eb58c81p-2, -0x1.3681bec8d2ff7p-2, -0x1.38843f1add25cp-2, -0x1.3a6e287f00b4cp-2, -0x1.3c3fbea97f4c3p-2, -0x1.3df94657cdde9p-2, -0x1.3f9b054342e3bp-2, -0x1.41254213f71d8p-2, -0x1.42984453dc771p-2, -0x1.43f4546203102p-2, -0x1.4539bb6615b4p-2, -0x1.4668c34406403p-2, -0x1.4781b68fee619p-2, -0x1.4884e0822669dp-2, -0x1.49728ceb8890ap-2, -0x1.4a4b0829f0056p-2, -0x1.4b0e9f1ce54cfp-2, -0x1.4bbd9f1a7f66fp-2, -0x1.4c5855e47b7bbp-2, -0x1.4cdf119d81d77p-2, -0x1.4d5220bea411bp-2, -0x1.4db1d20d0ce78p-2, -0x1.4dfe748fe076dp-2, -0x1.4e38578653e41p-2, -0x1.4e5fca5df47fp-2, -0x1.4e751ca924907p-2, -0x1.4e789e15cb9c1p-2, -0x1.4e6a9e6435419p-2, -0x1.4e4b6d5e2868ap-2, -0x1.4e1b5ace2c2aep-2, -0x1.4ddab6770346ap-2, -0x1.4d89d00b57113p-2, -0x1.4d28f72595defp-2, -0x1.4cb87b4002ac6p-2, -0x1.4c38abacf75c3p-2, -0x1.4ba9d78f56e4ap-2, -0x1.4b0c4dd333632p-2, -0x1.4a605d26a2ce6p-2, -0x1.49a653f2c5cb5p-2, -0x1.48de8054fd91bp-2, -0x1.4809301855b5cp-2, -0x1.4726b0af182b6p-2, -0x1.46374f2c960edp-2, -0x1.453b583f1d4bp-2, -0x1.4433182a1e2ecp-2, -0x1.431edac07d6ecp-2, -0x1.41feeb5f17d9ap-2, -0x1.40d394e77206fp-2, -0x1.3f9d21ba9390dp-2, -0x1.3e5bdbb41470ep-2, -0x1.3d100c2551817p-2, -0x1.3bb9fbd0d07ebp-2, -0x1.3a59f2e5cf218p-2, -0x1.38f038fbfe355p-2, -0x1.377d150f63d27p-2, -0x1.3600cd7c6df98p-2, -0x1.347ba7fc2a90bp-2, -0x1.32ede9a0a9297p-2, -0x1.3157d6d188c0cp-2, -0x1.2fb9b348aa00ap-2, -0x1.2e13c20f0a689p-2, -0x1.2c664579c9ae5p-2, -0x1.2ab17f27516cep-2, -0x1.28f5affca62b3p-2, -0x1.27331822db917p-2, -0x1.2569f704b185ap-2, -0x1.239a8b4c5011ap-2, -0x1.21c512e12d815p-2, -0x1.1fe9cae612694p-2, -0x1.1e08efb743f09p-2, -0x1.1c22bce8cdc57p-2, -0x1.1a376d44f1736p-2, -0x1.18473acab08ep-2, -0x1.16525eac7caep-2, -0x1.1459114f0556bp-2, -0x1.125b8a4823c39p-2, -0x1.105a005de5ef8p-2, -0x1.0e54a985b946ap-2, -0x1.0c4bbae3adf94p-2, -0x1.0a3f68c9dd7e2p-2, -0x1.082fe6b7e711cp-2, -0x1.061d675a89adap-2, -0x1.04081c8b5b067p-2, -0x1.01f0375094f7ep-2, -0x1.ffabcfb9fc6bap-3, -0x1.fb72bb1fdacp-3, -0x1.f7358deac265cp-3, -0x1.f2f4a38c6392dp-3, -0x1.eeb055d0b33e2p-3, -0x1.ea68fcdea9ffep-3, -0x1.e61eef392c48fp-3, -0x1.e1d281c01cd3p-3, -0x1.dd8407b19a2a6p-3, -0x1.d933d2ab6670fp-3, -0x1.d4e232ac6ecbp-3, -0x1.d08f76167fa8ap-3, -0x1.cc3be9b0199a9p-3, -0x1.c7e7d8a66a37ap-3, -0x1.c3938c8f69125p-3, -0x1.bf3f4d6c11b54p-3, -0x1.baeb61aac291cp-3, -0x1.b6980e29b5701p-3, -0x1.b24596399a2dbp-3, -0x1.adf43ba04bdf4p-3, -0x1.a9a43e9b9f74bp-3, -0x1.a555dde451266p-3, -0x1.a10956b10a83bp-3, -0x1.9cbee4b97afa3p-3, -0x1.9876c23990e82p-3, -0x1.943127f4bf003p-3, -0x1.8fee4d3963fabp-3, -0x1.8bae67e434ea6p-3, -0x1.8771ac63ce456p-3, -0x1.83384dbc4953fp-3, -0x1.7f027d8ae6bb5p-3, -0x1.7ad06c09cc62fp-3, -0x1.76a24813d32eap-3, -0x1.72783f285d846p-3, -0x1.6e527d6f43d07p-3, -0x1.6a312dbcc3abcp-3, -0x1.661479958b294p-3, -0x1.61fc8932bd191p-3, -0x1.5de983860c2abp-3, -0x1.59db8e3dddf9ap-3, -0x1.55d2cdc9727fep-3, -0x1.51cf655d18ba7p-3, -0x1.4dd176f6650ffp-3, -0x1.49d923607a2ffp-3, -0x1.45e68a3847643p-3, -0x1.41f9c9f0d879bp-3, -0x1.3e12ffd7a76bep-3, -0x1.3a324818f275bp-3, -0x1.3657bdc40f7f1p-3, -0x1.32837acfcbdb5p-3, -0x1.2eb5981ec963ap-3, -0x1.2aee2d83dab03p-3, -0x1.272d51c663b7ep-3, -0x1.23731aa6bc31bp-3, -0x1.1fbf9ce28caf5p-3, -0x1.1c12ec392f3c9p-3, -0x1.186d1b700d5afp-3, -0x1.14ce3c56fc3b4p-3, -0x1.11365fcc9815ap-3, -0x1.0da595c29959ap-3, -0x1.0a1bed4229de1p-3, -0x1.06997470376d9p-3, -0x1.031e3891be683p-3, -0x1.ff548c2021c18p-4, -0x1.f87b50fa3b734p-4, -0x1.f1b0d52f5a67ap-4, -0x1.eaf52c9f2eab3p-4, -0x1.e4486993f664ep-4, -0x1.ddaa9ccaccbaap-4, -0x1.d71bd57bfc3c2p-4, -0x1.d09c216336e88p-4, -0x1.ca2b8cc7cab0cp-4, -0x1.c3ca2284bd582p-4, -0x1.bd77ec10ddc7p-4, -0x1.b734f186c3c57p-4, -0x1.b10139acbfe18p-4, -0x1.aadcc9fcb6384p-4, -0x1.a4c7a6abf2361p-4, -0x1.9ec1d2b2d3a25p-4, -0x1.98cb4fd4844acp-4, -0x1.92e41ea67f3c4p-4, -0x1.8d0c3e981c629p-4, -0x1.8743adf9f871p-4, -0x1.818a6a054c41ep-4, -0x1.7be06ee336d79p-4, -0x1.7645b7b3e9481p-4, -0x1.70ba3e95c24c5p-4, -0x1.6b3dfcac542bep-4, -0x1.65d0ea27569b1p-4, -0x1.6072fe497ebc4p-4, -0x1.5b242f6f447b7p-4, -0x1.55e4731591387p-4, -0x1.50b3bde058a08p-4, -0x1.4b9203a1188c8p-4, -0x1.467f375d460ccp-4, -0x1.417b4b549fb72p-4, -0x1.3c8631076b8cep-4, -0x1.379fd93c9f3d6p-4, -0x1.32c83407ef403p-4, -0x1.2dff30cfc46d8p-4, -0x1.2944be5321ee2p-4, -0x1.2498caaf6b539p-4, -0x1.1ffb43661a818p-4, -0x1.1b6c156258e9fp-4, -0x1.16eb2cfe88131p-4, -0x1.12787609a9914p-4, -0x1.0e13dbccb9fdp-4, -0x1.09bd490fed1ebp-4, -0x1.0574a81fd7fc5p-4, -0x1.0139e2d280b0bp-4, -0x1.fa19c518b02ffp-5, -0x1.f1db208a3778ap-5, -0x1.e9b7a9194c56ap-5, -0x1.e1af2f1f41031p-5, -0x1.d9c1823845181p-5, -0x1.d1ee714c7328bp-5, -0x1.ca35ca98bfbdp-5, -0x1.c2975bb7a0876p-5, -0x1.bb12f1a9a36a5p-5, -0x1.b3a858ddc7ebep-5, -0x1.ac575d39b3b79p-5, -0x1.a51fca21bb7fp-5, -0x1.9e016a80bed1bp-5, -0x1.96fc08cfda163p-5, -0x1.900f6f1dec87fp-5, -0x1.893b6716f836p-5, -0x1.827fba0b54437p-5, -0x1.7bdc30f6b9832p-5, -0x1.7550948720471p-5, -0x1.6edcad2378e49p-5, -0x1.688042f242cb5p-5, -0x1.623b1ddfee22p-5, -0x1.5c0d05a522feap-5, -0x1.55f5c1ccd75ddp-5, -0x1.4ff519ba4622dp-5, -0x1.4a0ad4aebb85cp-5, -0x1.4436b9cf417c3p-5, -0x1.3e78902a1d574p-5, -0x1.38d01ebc313b4p-5, -0x1.333d2c76384bfp-5, -0x1.2dbf8041da085p-5, -0x1.2856e106a0cccp-5, -0x1.230315aec3a5cp-5, -0x1.1dc3e52bdf992p-5, -0x1.1899167b762dep-5, -0x1.138270ab6056ep-5, -0x1.0e7fbade19f6p-5, -0x1.0990bc4ee434bp-5, -0x1.04b53c55d0a3ap-5, -0x1.ffda04d7568fdp-6, -0x1.f66fac5b91047p-6, -0x1.ed2afec3544bbp-6, -0x1.e40b8bf1253bcp-6, -0x1.db10e425e4255p-6, -0x1.d23a9807730c1p-6, -0x1.c98838a72663cp-6, -0x1.c0f95787f45c7p-6, -0x1.b88d86a475bcfp-6, -0x1.b0445874a81c2p-6, -0x1.a81d5ff3847a3p-6, -0x1.a01830a453b36p-6, -0x1.98345e97df0ffp-6, -0x1.90717e71617f4p-6, -0x1.88cf256b4de5ap-6, -0x1.814ce95be20c1p-6, -0x1.79ea60b98c86ap-6, -0x1.72a7229f199afp-6, -0x1.6b82c6cfcbbf1p-6, -0x1.647ce5bb1b6dbp-6, -0x1.5d95188080d49p-6, -0x1.56caf8f2dc671p-6, -0x1.501e219be67a2p-6, -0x1.498e2dbf46363p-6, -0x1.431ab95dac0dbp-6, -0x1.3cc36137a3049p-6, -0x1.3687c2d04957p-6, -0x1.30677c6fe80dp-6, -0x1.2a622d26567bap-6, -0x1.247774cd47f59p-6, -0x1.1ea6f40a661d8p-6, -0x1.18f04c5166ff2p-6, -0x1.13531fe5cc9aep-6, -0x1.0dcf11dcc5841p-6, -0x1.0863c61eac63dp-6, -0x1.0310e168985e7p-6, -0x1.fbac129b74365p-7, -0x1.f165c87133aa7p-7, -0x1.e74e32d879978p-7, -0x1.dd64a20a533e7p-7, -0x1.d3a867f4b08ccp-7, -0x1.ca18d83c142d1p-7, -0x1.c0b5483ce1136p-7, -0x1.b77d0f0ca3d07p-7, -0x1.ae6f857b2c0b6p-7, -0x1.a58c0613420ecp-7, -0x1.9cd1ed1b6ea19p-7, -0x1.9440989668cd8p-7, -0x1.8bd768435c3dbp-7, -0x1.8395bd9e2021ap-7, -0x1.7b7afbdf1b077p-7, -0x1.738687fb26b66p-7, -0x1.6bb7c8a334b3dp-7, -0x1.640e2643c2eedp-7, -0x1.5c890b04506bcp-7, -0x1.5527e2c68cf99p-7, -0x1.4dea1b256e29ap-7, -0x1.46cf23742671bp-7, -0x1.3fd66cbd06592p-7, -0x1.38ff69c024eeap-7, -0x1.32498ef1feabep-7, -0x1.2bb45279f5873p-7, -0x1.253f2c30a0befp-7, -0x1.1ee9959e292bap-7, -0x1.18b309f858de7p-7, -0x1.129b0620bd2f8p-7, -0x1.0ca108a29aea7p-7, -0x1.06c491b0d107ep-7, -0x1.0105232396ab1p-7, -0x1.f6c480ec9cbfep-8, -0x1.ebb6dd89fed5ep-8, -0x1.e0e0699411508p-8, -0x1.d64035b70d6f6p-8, -0x1.cbd555d170182p-8, -0x1.c19ee0eed097cp-8, -0x1.b79bf14238bacp-8, -0x1.adcba420d6aecp-8, -0x1.a42d19fc0f046p-8, -0x1.9abf765bc623ap-8, -0x1.9181dfd892f42p-8, -0x1.88738015aa4ebp-8, -0x1.7f9383bab1619p-8, -0x1.76e11a6dba056p-8, -0x1.6e5b76cce9c8dp-8, -0x1.6601ce681a3a9p-8, -0x1.5dd359ba746a8p-8, -0x1.55cf542419eddp-8, -0x1.4df4fbe351311p-8, -0x1.4643920e2772dp-8, -0x1.3eba5a8ba4afdp-8, -0x1.37589c0d210d5p-8, -0x1.301da0078ac93p-8, -0x1.2908b2ac8bca8p-8, -0x1.221922e3beae4p-8, -0x1.1b4e4243b0987p-8, -0x1.14a7650b2d558p-8, -0x1.0e23e21a1c4c3p-8, -0x1.07c312eabe8b9p-8, -0x1.0184538a7cd26p-8, -0x1.f6ce05261e306p-9, -0x1.ead502470bf17p-9, -0x1.df1c65b237175p-9, -0x1.d3a2fb909895ep-9, -0x1.c86794eb9a242p-9, -0x1.bd69079ef6685p-9, -0x1.b2a62e4ab429dp-9, -0x1.a81de84520625p-9, -0x1.9dcf198ca4d82p-9, -0x1.93b8aaba0fdf8p-9, -0x1.89d988f22ac7bp-9, -0x1.8030a5d8127fdp-9, -0x1.76bcf77f51becp-9, -0x1.6d7d785d9c97dp-9, -0x1.6471273d6cad9p-9, -0x1.5b97072ff1b0fp-9, -0x1.52ee1f7f3fcdcp-9, -0x1.4a757ba0d9d98p-9, -0x1.422c2b27ba07cp-9, -0x1.3a1141b6fcbfcp-9, -0x1.3223d6f450562p-9, -0x1.2a63067a4e418p-9, -0x1.22cdefcb5ecc1p-9, -0x1.1b63b64443d26p-9, -0x1.1423810ec1e8cp-9, -0x1.0d0c7b14888d7p-9, -0x1.061dd2f24132ap-9, -0x1.fead75d4f6c2fp-10, -0x1.f16cd1b12af93p-10, -0x1.e4782c48635d5p-10, -0x1.d7cdff684bfdp-10, -0x1.cb6ccbc49e822p-10, -0x1.bf5318dcdc13p-10, -0x1.b37f74e493172p-10, -0x1.a7f074a9a8145p-10, -0x1.9ca4b37c72eb9p-10, -0x1.919ad317597b3p-10, -0x1.86d17b8680c53p-10, -0x1.7c475b0feb4cep-10, -0x1.71fb261c0c8b6p-10, -0x1.67eb971df28f4p-10, -0x1.5e176e7c4106dp-10, -0x1.547d727a1fe77p-10, -0x1.4b1c6f2055fe9p-10, -0x1.41f33626add15p-10, -0x1.39009edd9aa9cp-10, -0x1.3043861801ab1p-10, -0x1.27bace154af4ap-10, -0x1.1f655e6be59cfp-10, -0x1.174223f3286a5p-10, -0x1.0f5010aef8497p-10, -0x1.078e1bb9e8133p-10, -0x1.fff68261f0e99p-11, -0x1.f12d043d692ccp-11, -0x1.e2bdc8ce205f8p-11, -0x1.d4a6e5665df6ep-11, -0x1.c6e678bab34d3p-11, -0x1.b97aaabb353f4p-11, -0x1.ac61ac6c45e06p-11, -0x1.9f99b7c082764p-11, -0x1.93210f729021ep-11, -0x1.86f5fedfb9f2ep-11, -0x1.7b16d9e2e3a5cp-11, -0x1.6f81fcaff9959p-11, -0x1.6435cbafde8dcp-11, -0x1.5930b35cac065p-11, -0x1.4e71281eac994p-11, -0x1.43f5a6298e16bp-11, -0x1.39bcb15a03831p-11, -0x1.2fc4d5141a1ap-11, -0x1.260ca421a6694p-11, -0x1.1c92b89153532p-11, -0x1.1355b3963b1a2p-11, -0x1.0a543d67b80aep-11, -0x1.018d0521dd5cp-11, -0x1.f1fd814c5a9b3p-12, -0x1.e15058f9c7cddp-12, -0x1.d110176ddb08ep-12, -0x1.c13a4f9eae60dp-12, -0x1.b1cca11cead16p-12, -0x1.a2c4b7d8a2afdp-12, -0x1.94204be8cf34bp-12, -0x1.85dd21531b7b9p-12, -0x1.77f907d2d17bcp-12, -0x1.6a71daa3a0647p-12, -0x1.5d45804b033d3p-12, -0x1.5071ea6310b78p-12, -0x1.43f51565f047dp-12, -0x1.37cd087aa511ap-12, -0x1.2bf7d54204831p-12, -0x1.207397a473ff7p-12, -0x1.153e75a13d367p-12, -0x1.0a569f1d4cf6ap-12, -0x1.ff749b6876089p-13, -0x1.eacf8911f26f7p-13, -0x1.d6baa02f0c07ep-13, -0x1.c3328c0e8ed8cp-13, -0x1.b03409fdc1772p-13, -0x1.9dbbe8edcffd8p-13, -0x1.8bc709206e632p-13, -0x1.7a525bcf32d8ap-13, -0x1.695ae2d98acb8p-13, -0x1.58ddb07294e39p-13, -0x1.48d7e6cf2c8afp-13, -0x1.3946b7d4e259ap-13, -0x1.2a2764ce3c7c2p-13, -0x1.1b773e1b3521fp-13, -0x1.0d33a2e66d2f4p-13, -0x1.feb401b34c922p-14, -0x1.e3cfa7ab712f1p-14, -0x1.c9b54b53ded24p-14, -0x1.b0601b986f67ap-14, -0x1.97cb622b5c8b8p-14, -0x1.7ff282f676583p-14, -0x1.68d0fb9a8a15dp-14, -0x1.526262e7b8733p-14, -0x1.3ca2685b7fa1p-14, -0x1.278cd3a50e4bbp-14, -0x1.131d842256043p-14, -0x1.fea0e0d38fc84p-15, -0x1.d8434b9c9a314p-15, -0x1.b31a8fd5f3e4ep-15, -0x1.8f1f2059fbc3p-15, -0x1.6c499ac448c99p-15, -0x1.4a92c69051d9dp-15, -0x1.29f3943c5b53ap-15, -0x1.0a651c703ecbdp-15, -0x1.d7c13e53bf9b4p-16, -0x1.9cbf05dbbb97bp-16, -0x1.63b6a7ecd0a84p-16, -0x1.2c9b86e5a4a6bp-16, -0x1.eec29add055c2p-17, -0x1.87f7da0d24b69p-17, -0x1.24bf390174d45p-17, -0x1.8a035a472e11p-18, -0x1.a2a2c302455b5p-19, -0x1.f3c808f82012ap-22, 0x1.18cca2135d3dep-19, 0x1.31c12277ffa6cp-18, 0x1.d0fd0ed7aa46bp-18, 0x1.3521213de0077p-17, 0x1.7edbfff339ce2p-17, 0x1.c5c25277fc40fp-17, 0x1.04f36bdca2297p-16, 0x1.25adf08f4a5c1p-16, 0x1.4519aa72b11edp-16, 0x1.633f5833462ecp-16, 0x1.8027852dc6e1ep-16, 0x1.9bda8a8523e53p-16, 0x1.b6609043256abp-16, 0x1.cfc18e5f07752p-16, 0x1.e8054dce40dbp-16, 0x1.ff3369884cd5bp-16, 0x1.0aa9a7c1c05e7p-15, 0x1.153620db43b71p-15, 0x1.1f42ab84bcc1cp-15, 0x1.28d2be227027ap-15, 0x1.31e9ba832d5bfp-15, 0x1.3a8aee4fdaac7p-15, 0x1.42b9937e8a5cep-15, 0x1.4a78d0c14e3fbp-15, 0x1.51cbb9f324332p-15, 0x1.58b5507fb0cbp-15, 0x1.5f3883d04e642p-15, 0x1.655831ade79abp-15, 0x1.6b1726a79f69fp-15, 0x1.70781e733d95bp-15, 0x1.757dc44e6b51ap-15, 0x1.7a2ab359a061cp-15, 0x1.7e8176f6ef04fp-15, 0x1.82848b225dc1p-15, 0x1.86365ccb287d6p-15, 0x1.89994a291edbdp-15, 0x1.8cafa30faf035p-15, 0x1.8f7ba9446d35ap-15, 0x1.91ff90cb40097p-15, 0x1.943d80375aaa2p-15, 0x1.963790fa24bf4p-15, 0x1.97efcfaae7882p-15, 0x1.99683c575e2e9p-15, 0x1.9aa2cac4816f8p-15, 0x1.9ba162bc45313p-15, 0x1.9c65e04dad252p-15, 0x1.9cf21413d08d2p-15, 0x1.9d47c377d8dbp-15, 0x1.9d68a8f06ec9bp-15, 0x1.9d5674436113cp-15, 0x1.9d12cac260addp-15, 0x1.9c9f478942791p-15, 0x1.9bfd7bb76b035p-15, 0x1.9b2eeeaa908cbp-15, 0x1.9a351e3919f94p-15, 0x1.99117ee7d7021p-15, 0x1.97c57c221c876p-15, 0x1.9652786ce295cp-15, 0x1.94b9cd9d10aafp-15, 0x1.92fccd08aa887p-15, 0x1.911cbfba36ffdp-15, 0x1.8f1ae69d96b8cp-15, 0x1.8cf87ab5119bbp-15, 0x1.8ab6ad433bdecp-15, 0x1.8856a7fb2c68fp-15, 0x1.85d98d2b16601p-15, 0x1.834077e948497p-15, 0x1.808c7c3cedfa9p-15, 0x1.7dbea7484c7a9p-15, 0x1.7ad7ff718225ep-15, 0x1.77d9848a9c0a8p-15, 0x1.74c42ff70987ep-15, 0x1.7198f4d1debc6p-15, 0x1.6e58c0146d6afp-15, 0x1.6b0478b811a88p-15, 0x1.679cffda22e47p-15, 0x1.642330dfe4f15p-15, 0x1.6097e196453bfp-15, 0x1.5cfbe254dc3c8p-15, 0x1.594ffe1b8031ep-15, 0x1.5594fab5cbe15p-15, 0x1.51cb98d4f3504p-15, 0x1.4df49431d59e3p-15, 0x1.4a10a3a809c0bp-15, 0x1.46207953499cep-15, 0x1.4224c2ab9efebp-15, 0x1.3e1e28a1057d8p-15, 0x1.3a0d4fb5a7559p-15, 0x1.35f2d81883755p-15, 0x1.31cf5dbe638edp-15, 0x1.2da3787ab1038p-15, 0x1.296fbc1884e62p-15, 0x1.2534b871dc687p-15, 0x1.20f2f987caed4p-15, 0x1.1cab0797c6459p-15, 0x1.185d6733341b8p-15, 0x1.140a9954e338ap-15, 0x1.0fb31b7544dcap-15, 0x1.0b57679fd8ae7p-15, 0x1.06f7f486b5e4dp-15, 0x1.029535986a264p-15, 0x1.fc5f3621a45dp-16, 0x1.f38f2418d2a33p-16, 0x1.eabb0937c0aap-16, 0x1.e1e3b3ab05e91p-16, 0x1.d909ebcc6cb94p-16, 0x1.d02e744646ffcp-16, 0x1.c7520a34a94dp-16, 0x1.be7565468d7b2p-16, 0x1.b59937dcb4d6dp-16, 0x1.acbe2f2c0d8f8p-16, 0x1.a3e4f3583fe8ap-16, 0x1.9b0e27942d463p-16, 0x1.923a6a3d5643p-16, 0x1.896a54f9841e7p-16, 0x1.809e7cd23eacfp-16, 0x1.77d772502d627p-16, 0x1.6f15c1945ca7ap-16, 0x1.6659f2745dd81p-16, 0x1.5da488917bb01p-16, 0x1.54f60373214d5p-16, 0x1.4c4ede9f66532p-16, 0x1.43af91aeb3d13p-16, 0x1.3b189066ed196p-16, 0x1.328a4ad16b72cp-16, 0x1.2a052d50bd452p-16, 0x1.2189a0b4bd916p-16, 0x1.19180a50e6d4dp-16, 0x1.10b0cc11e4cf5p-16, 0x1.0854448f7efa6p-16, 0x1.0002cf20b172cp-16, 0x1.ef7987dec371fp-17, 0x1.df04f017d7a0bp-17, 0x1.cea87afbaad7fp-17, 0x1.be64c6ad98c2bp-17, 0x1.ae3a6b86fa48ap-17, 0x1.9e29fc3a5bf65p-17, 0x1.8e3405f5506dbp-17, 0x1.7e59107ebb3cbp-17, 0x1.6e999e599b2ecp-17, 0x1.5ef62ce215342p-17, 0x1.4f6f346d79389p-17, 0x1.4005286700a8dp-17, 0x1.30b8776ccdf74p-17, 0x1.21898b6dbfd4cp-17, 0x1.1278c9c5400c7p-17, 0x1.038693564c11cp-17, 0x1.e9668945df3a4p-18, 0x1.cbfe6bd4ea46ap-18, 0x1.aed57682cb80cp-18, 0x1.91ec4956ec053p-18, 0x1.75437c624ba06p-18, 0x1.58db9ff48ff33p-18, 0x1.3cb53cc9f5b11p-18, 0x1.20d0d43896a79p-18, 0x1.052ee058981c8p-18, 0x1.d39fa86aba0ebp-19, 0x1.9d6837e9af4cfp-19, 0x1.67b83a06c4addp-19, 0x1.32906c7827fbbp-19, 0x1.fbe3004358c1p-20, 0x1.93b832b6e402dp-20, 0x1.2ca1a09bd7482p-20, 0x1.8d40c4b979952p-21, 0x1.86d5e468c74eep-22, -0x1.0f185e3114e83p-27, -0x1.93671ba76af47p-22, -0x1.8cf915a902dd4p-21, -0x1.2705d3022acd4p-20, -0x1.86750a92b7d08p-20, -0x1.e4c9b0bd47ebfp-20, -0x1.2101ac27c64bfp-19, -0x1.4f10d39f31271p-19, -0x1.7c922b129c029p-19, -0x1.a98597e6c862bp-19, -0x1.d5eb085febe59p-19, -0x1.00e139b3e2453p-18, -0x1.1685ec2b44d32p-18, -0x1.2be39f5dcd477p-18, -0x1.40fa5b147c9dcp-18, -0x1.55ca2aff21e2ap-18, -0x1.6a531e9ae069ep-18, -0x1.7e954919ec273p-18, -0x1.9290c14a54c7ap-18, -0x1.a645a17fc3aaap-18, -0x1.b9b407798063ep-18, -0x1.ccdc144a0d5ffp-18, -0x1.dfbdec45d9808p-18, -0x1.f259b6ea82d3p-18, -0x1.0257cf631b32p-17, -0x1.0b5fe8b30fed3p-17, -0x1.14453fa039e92p-17, -0x1.1d07edd089015p-17, -0x1.25a80e498fbd1p-17, -0x1.2e25bd67a47c4p-17, -0x1.368118d4dfc4dp-17, -0x1.3eba3f7df0debp-17, -0x1.46d151893e242p-17, -0x1.4ec6704fb71acp-17, -0x1.5699be524548ap-17, -0x1.5e4b5f3192f8p-17, -0x1.65db77a56bf2cp-17, -0x1.6d4a2d74b3d4fp-17, -0x1.7497a76cd4e84p-17, -0x1.7bc40d59ca595p-17, -0x1.82cf87fe9db94p-17, -0x1.89ba410d55d19p-17, -0x1.9084631f93d9cp-17, -0x1.972e19aed01e2p-17, -0x1.9db7910d5d878p-17, -0x1.a420f65fa104bp-17, -0x1.aa6a779411aa3p-17, -0x1.b094435de83f7p-17, -0x1.b69e892d0b317p-17, -0x1.bc8979282e02ap-17, -0x1.c25544257725fp-17, -0x1.c8021ba5480c3p-17, -0x1.cd9031cbbf7e4p-17, -0x1.d2ffb95a6732fp-17, -0x1.d850e5a9b90b3p-17, -0x1.dd83eaa41de2fp-17, -0x1.e298fcc03e00ap-17, -0x1.e79050fa4cac3p-17, -0x1.ec6a1cd031511p-17, -0x1.f126963a4e7fp-17, -0x1.f5c5f3a74349p-17, -0x1.fa486bf66f96dp-17, -0x1.feae367295492p-17, -0x1.017bc566c1fd3p-16, -0x1.0392508db389cp-16, -0x1.059ad8e62583cp-16, -0x1.07957ad44b953p-16, -0x1.098252e6591ecp-16, -0x1.0b617dd1e9914p-16, -0x1.0d331871ce611p-16, -0x1.0ef73fc4387dp-16, -0x1.10ae10e86181bp-16, -0x1.1257a91c1f4f2p-16, -0x1.13f425ba128adp-16, -0x1.1583a437c8e1cp-16, -0x1.17064223c278p-16, -0x1.187c1d2361015p-16, -0x1.19e552f107217p-16, -0x1.1b42015a8c1b3p-16, -0x1.1c92463ea4e25p-16, -0x1.1dd63f8b88cap-16, -0x1.1f0e0b3dbaf3cp-16, -0x1.2039c75da96c1p-16, -0x1.215991fdef215p-16, -0x1.226d893a610e2p-16, -0x1.2375cb35a1167p-16, -0x1.24727618136aap-16, -0x1.2563a80e4032ap-16, -0x1.26497f470b6e3p-16, -0x1.272419f29572p-16, -0x1.27f39640b73cep-16, -0x1.28b8125f06757p-16, -0x1.2971ac7896018p-16, }}, 
      {{0x1.7e09ee74e3a0cp-1, 0x1.7e0409d3ec7cp-1, 0x1.7dfa3b7705273p-1, 0x1.7dec88d0fd17dp-1, 0x1.7ddaf87768b33p-1, 0x1.7dc5914df492p-1, 0x1.7dac59abfe745p-1, 0x1.7d8f568f1d47ap-1, 0x1.7d6e8ae73896cp-1, 0x1.7d49f7035f4ffp-1, 0x1.7d2198223fa68p-1, 0x1.7cf56825fe181p-1, 0x1.7cc55d69277a9p-1, 0x1.7c916ab148f8cp-1, 0x1.7c597f3b30189p-1, 0x1.7c1d86dcb5b0ap-1, 0x1.7bdd6a380c033p-1, 0x1.7b990efcd79ap-1, 0x1.7b505833a7e46p-1, 0x1.7b032690c78f4p-1, 0x1.7ab158cbbb1c7p-1, 0x1.7a5acbf91e685p-1, 0x1.79ff5be4ec657p-1, 0x1.799ee36b8e5ep-1, 0x1.79393cd05d36ap-1, 0x1.78ce42108082bp-1, 0x1.785dcd315c097p-1, 0x1.77e7b889ed69bp-1, 0x1.776bdf06b360ep-1, 0x1.76ea1c67d7e7dp-1, 0x1.76624d79860d4p-1, 0x1.75d4504667612p-1, 0x1.754004446077dp-1, 0x1.74a54a7bbb5ccp-1, 0x1.740405a8f4114p-1, 0x1.735c1a596d06ap-1, 0x1.72ad6f03596b1p-1, 0x1.71f7ec19280ep-1, 0x1.713b7c18c4d7p-1, 0x1.70780b9703efcp-1, 0x1.6fad894784afbp-1, 0x1.6edbe60161d6ap-1, 0x1.6e0314c0f61b8p-1, 0x1.6d230aa703217p-1, 0x1.6c3bbef57f6e4p-1, 0x1.6b4d2b0a4a0efp-1, 0x1.6a574a5806533p-1, 0x1.695a1a5d53148p-1, 0x1.68559a9a98086p-1, 0x1.6749cc8695173p-1, 0x1.6636b381e28ffp-1, 0x1.651c54c98d8a2p-1, 0x1.63fab768f1e2ep-1, 0x1.62d1e42af6ffp-1, 0x1.61a1e58acd731p-1, 0x1.606ac7a44acf5p-1, 0x1.5f2c9823fae0ap-1, 0x1.5de76637008f9p-1, 0x1.5c9b427ad6a53p-1, 0x1.5b483eed08a4dp-1, 0x1.59ee6edaee10dp-1, 0x1.588de6d17be5ep-1, 0x1.5726bc8d34364p-1, 0x1.55b906ea45b5p-1, 0x1.5444ddd4dd9d9p-1, 0x1.52ca5a39ba417p-1, 0x1.514995f703f47p-1, 0x1.4fc2abcd712e1p-1, 0x1.4e35b751bcb05p-1, 0x1.4ca2d4de72fc9p-1, 0x1.4b0a2186182dfp-1, 0x1.496bbb05aad96p-1, 0x1.47c7bfb7865dp-1, 0x1.461e4e86a4d88p-1, 0x1.446f86e243e17p-1, 0x1.42bb88b1e9c15p-1, 0x1.41027449cf6a9p-1, 0x1.3f446a5faa4e7p-1, 0x1.3d818bffd9d01p-1, 0x1.3bb9fa82f5098p-1, 0x1.39edd783b8e1p-1, 0x1.381d44d55475bp-1, 0x1.3648647a13719p-1, 0x1.346f589a647fbp-1, 0x1.3292437c397a3p-1, 0x1.30b1477abf1dfp-1, 0x1.2ecc86fe6ee77p-1, 0x1.2ce4247570192p-1, 0x1.2af8424c50f11p-1, 0x1.290902e70c64p-1, 0x1.2716889a60c67p-1, 0x1.2520f5a57252p-1, 0x1.23286c2bb78f5p-1, 0x1.212d0e2f2f695p-1, 0x1.1f2efd8adbdep-1, 0x1.1d2e5bed83b55p-1, 0x1.1b2b4ad4b2ac7p-1, 0x1.1925eb87fdcc7p-1, 0x1.171e5f1483c93p-1, 0x1.1514c648a9a17p-1, 0x1.130941b013b7fp-1, 0x1.10fbf18fd504ep-1, 0x1.0eecf5e2d6932p-1, 0x1.0cdc6e5673fcap-1, 0x1.0aca7a474a7a3p-1, 0x1.08b738be38fdap-1, 0x1.06a2c86d91c5ep-1, 0x1.048d47ae78cf8p-1, 0x1.0276d47e6e783p-1, 0x1.005f8c7d068e9p-1, 0x1.fc8f19d38ecd3p-2, 0x1.f85de544633b3p-2, 0x1.f42bb43fdcb25p-2, 0x1.eff8beee44f05p-2, 0x1.ebc53ca9c9e51p-2, 0x1.e79163fbb2934p-2, 0x1.e35d6a99d183ep-2, 0x1.df2985643a839p-2, 0x1.daf5e86333bfep-2, 0x1.d6c2c6c560f26p-2, 0x1.d29052de290a3p-2, 0x1.ce5ebe2451edfp-2, 0x1.ca2e3930cd0fap-2, 0x1.c5fef3bdb9375p-2, 0x1.c1d11ca5919b1p-2, 0x1.bda4e1e28f1ap-2, 0x1.b97a708e2d16fp-2, 0x1.b551f4e0e238fp-2, 0x1.b12b9a31f946cp-2, 0x1.ad078af7943afp-2, 0x1.a8e5f0c6d2f7cp-2, 0x1.a4c6f4541e0b8p-2, 0x1.a0aabd73903e4p-2, 0x1.9c91731982dddp-2, 0x1.987b3b5b36a05p-2, 0x1.94683b6f99fe8p-2, 0x1.905897b02ad24p-2, 0x1.8c4c7399f1e8p-2, 0x1.8843f1ce98129p-2, 0x1.843f341591acdp-2, 0x1.803e5b5d632d3p-2, 0x1.7c4187bcf66f8p-2, 0x1.7848d87507be8p-2, 0x1.74546bf1a5568p-2, 0x1.70645fcbbddbep-2, 0x1.6c78d0cac620ep-2, 0x1.6891dae666d5fp-2, 0x1.64af99483f568p-2, 0x1.60d2264db537p-2, 0x1.5cf99b89ced13p-2, 0x1.592611c71c547p-2, 0x1.5557a109ad96bp-2, 0x1.518e609110b1bp-2, 0x1.4dca66da59dc4p-2, 0x1.4a0bc9a238e5ep-2, 0x1.46529de71388ep-2, 0x1.429ef7eb2a4abp-2, 0x1.3ef0eb36c232fp-2, 0x1.3b488a9a5a61cp-2, 0x1.37a5e830e0c59p-2, 0x1.34091561f472ep-2, 0x1.307222e427fc1p-2, 0x1.2ce120bf49108p-2, 0x1.29561e4eb0766p-2, 0x1.25d12a438fd2p-2, 0x1.225252a747c86p-2, 0x1.1ed9a4ddbf73p-2, 0x1.1b672da7bcb59p-2, 0x1.17faf92541da2p-2, 0x1.149512d7eb2d9p-2, 0x1.113585a54c2b8p-2, 0x1.0ddc5bd954241p-2, 0x1.0a899f28aaf74p-2, 0x1.073d58b3162b2p-2, 0x1.03f79105d8bb7p-2, 0x1.00b8501e158c9p-2, 0x1.faff3ad65f561p-3, 0x1.f49affa25a5f4p-3, 0x1.ee43fb562a97fp-3, 0x1.e7fa399a9bce1p-3, 0x1.e1bdc50ff6d92p-3, 0x1.db8ea752b3261p-3, 0x1.d56ce9002bc79p-3, 0x1.cf5891bb51e38p-3, 0x1.c951a83151edcp-3, 0x1.c358321e3c68cp-3, 0x1.bd6c3451a5d99p-3, 0x1.b78db2b34093bp-3, 0x1.b1bcb04773009p-3, 0x1.abf92f33e7be9p-3, 0x1.a64330c40fadp-3, 0x1.a09ab56dab01fp-3, 0x1.9affbcd53d432p-3, 0x1.957245d28220bp-3, 0x1.8ff24e74d8a27p-3, 0x1.8a7fd407a66adp-3, 0x1.851ad316b06b9p-3, 0x1.7fc347726f346p-3, 0x1.7a792c345994ep-3, 0x1.753c7bc3220c7p-3, 0x1.700d2fd6f1973p-3, 0x1.6aeb417d97ebep-3, 0x1.65d6a91eab044p-3, 0x1.60cf5e7fa9487p-3, 0x1.5bd558c8069e1p-3, 0x1.56e88e8538968p-3, 0x1.5208f5aeb104fp-3, 0x1.4d3683a9d26cep-3, 0x1.48712d4dde47dp-3, 0x1.43b8e6e7cd4dep-3, 0x1.3f0da43e26dc9p-3, 0x1.3a6f5894ccef4p-3, 0x1.35ddf6b0b8417p-3, 0x1.315970dbad67ep-3, 0x1.2ce1b8e7e75cp-3, 0x1.2876c033b3f3bp-3, 0x1.241877ad078ddp-3, 0x1.1fc6cfd5046e3p-3, 0x1.1b81b8c3794d4p-3, 0x1.1749222a4e50fp-3, 0x1.131cfb58f123ap-3, 0x1.0efd333fa7895p-3, 0x1.0ae9b872e65a9p-3, 0x1.06e2792e8c59ap-3, 0x1.02e76359224ebp-3, 0x1.fdf0c90dffbf9p-4, 0x1.f62ad3fae2929p-4, 0x1.ee7cc16b91b7cp-4, 0x1.e6e66ac0d4a3fp-4, 0x1.df67a8cf891b1p-4, 0x1.d80053e693276p-4, 0x1.d0b043d49bcep-4, 0x1.c9774fedcfc44p-4, 0x1.c2554f1175ae1p-4, 0x1.bb4a17af7b90ep-4, 0x1.b4557fcddbd03p-4, 0x1.ad775d0dfce34p-4, 0x1.a6af84b1ef9d5p-4, 0x1.9ffdcba194d5bp-4, 0x1.9962066fb1d18p-4, 0x1.92dc095eecee1p-4, 0x1.8c6ba866acbdp-4, 0x1.8610b737e9c1cp-4, 0x1.7fcb0941e246ep-4, 0x1.799a71b6ba253p-4, 0x1.737ec39004068p-4, 0x1.6d77d193339c6p-4, 0x1.67856e55fb14fp-4, 0x1.61a76c428e58fp-4, 0x1.5bdd9d9bd6752p-4, 0x1.5627d481890a4p-4, 0x1.5085e2f42baf5p-4, 0x1.4af79ad905087p-4, 0x1.457ccdfdf4007p-4, 0x1.40154e1d334f7p-4, 0x1.3ac0ece1078a7p-4, 0x1.357f7be759d92p-4, 0x1.3050ccc53abefp-4, 0x1.2b34b10a52c4fp-4, 0x1.262afa443d81p-4, 0x1.21337a01cfd9dp-4, 0x1.1c4e01d64c2d5p-4, 0x1.177a635c7f102p-4, 0x1.12b87039cc65cp-4, 0x1.0e07fa212599bp-4, 0x1.0968d2d5eec7fp-4, 0x1.04dacc2ecd611p-4, 0x1.005db818699cap-4, 0x1.f7e2d1302cd2ap-5, 0x1.ef2b5f9cd90abp-5, 0x1.e694bff39f8d4p-5, 0x1.de1e96f1c7b28p-5, 0x1.d5c88999dc56dp-5, 0x1.cd923d384e9fap-5, 0x1.c57b5767f482ap-5, 0x1.bd837e16636ap-5, 0x1.b5aa57882e58cp-5, 0x1.adef8a5cf7056p-5, 0x1.a652bd936fd43p-5, 0x1.9ed3988d2a188p-5, 0x1.9771c312520a3p-5, 0x1.902ce5554136cp-5, 0x1.8904a7f5fe4cep-5, 0x1.81f8b4058b4b4p-5, 0x1.7b08b3092ca69p-5, 0x1.74344efd7a3fbp-5, 0x1.6d7b3259689d5p-5, 0x1.66dd081125756p-5, 0x1.60597b98e0dd1p-5, 0x1.59f038e7750c2p-5, 0x1.53a0ec78f9b76p-5, 0x1.4d6b435132209p-5, 0x1.474eeafdea419p-5, 0x1.414b9199317dap-5, 0x1.3b60e5cb85d6cp-5, 0x1.358e96cdd8c98p-5, 0x1.2fd4546b888c6p-5, 0x1.2a31cf0439a4cp-5, 0x1.24a6b78d95be3p-5, 0x1.1f32bf94fc152p-5, 0x1.19d5994116157p-5, 0x1.148ef75350e1ep-5, 0x1.0f5e8d294b98ep-5, 0x1.0a440ebe26a34p-5, 0x1.053f30abbef4bp-5, 0x1.004fa82bdc477p-5, 0x1.f6ea56327d3f7p-6, 0x1.ed5edfe14dc36p-6, 0x1.e3fc5ba375a05p-6, 0x1.dac238ffcddd8p-6, 0x1.d1afe8c63ea2dp-6, 0x1.c8c4dd11342dp-6, 0x1.c0008946dd931p-6, 0x1.b762621a566edp-6, 0x1.aee9dd8ca4314p-6, 0x1.a69672ed9b88ep-6, 0x1.9e679adc9dad1p-6, 0x1.965ccf4939827p-6, 0x1.8e758b73b09a7p-6, 0x1.86b14bed557e9p-6, 0x1.7f0f8e98dc9dp-6, 0x1.778fd2aa7b3eap-6, 0x1.703198a800dc9p-6, 0x1.68f46268c09b6p-6, 0x1.61d7b31574716p-6, 0x1.5adb0f27f3f75p-6, 0x1.53fdfc6ae213cp-6, 0x1.4d4001f93a479p-6, 0x1.46a0a83dc33d1p-6, 0x1.401f78f278311p-6, 0x1.39bbff1fc8237p-6, 0x1.3375c71bd39f7p-6, 0x1.2d4c5e8989713p-6, 0x1.273f5457b277bp-6, 0x1.214e38bfe63e3p-6, 0x1.1b789d457b5c5p-6, 0x1.15be14b44c361p-6, 0x1.101e331f7ff3bp-6, 0x1.0a988de03a252p-6, 0x1.052cbb943ae9fp-6, 0x1.ffb4a838d3fa1p-7, 0x1.f541e136bb0eep-7, 0x1.eb0056e786ca3p-7, 0x1.e0ef408d990c4p-7, 0x1.d70dd7e4f2b32p-7, 0x1.cd5b591fd7b31p-7, 0x1.c3d702e32e385p-7, 0x1.ba801642f014cp-7, 0x1.b155d6be681bp-7, 0x1.a8578a3c5d2d9p-7, 0x1.9f8479073a7ddp-7, 0x1.96dbedc90c298p-7, 0x1.8e5d35876f2e1p-7, 0x1.86079f9f70785p-7, 0x1.7dda7dc164eaep-7, 0x1.75d523ec9f9d5p-7, 0x1.6df6e86b15cffp-7, 0x1.663f23cd0880cp-7, 0x1.5ead30e48ad0ap-7, 0x1.57406cc10598bp-7, 0x1.4ff836aaaa1bcp-7, 0x1.48d3f01ddf16ap-7, 0x1.41d2fcc68fd6ap-7, 0x1.3af4c27b8d533p-7, 0x1.3438a939c96cap-7, 0x1.2d9e1b1f99572p-7, 0x1.27248467ee2cfp-7, 0x1.20cb536581416p-7, 0x1.1a91f87df140ep-7, 0x1.1477e624f1c0cp-7, 0x1.0e7c90d759503p-7, 0x1.089f6f163a83ap-7, 0x1.02dff961e94bap-7, 0x1.fa7b546a37341p-8, 0x1.ef6ffbffad97cp-8, 0x1.e49ce6450ee14p-8, 0x1.da0113d1f2cd1p-8, 0x1.cf9b890ab0418p-8, 0x1.c56b4e165761ep-8, 0x1.bb6f6ed4b2f2dp-8, 0x1.b1a6fad437bb1p-8, 0x1.a8110547f78cfp-8, 0x1.9eaca4fda69bep-8, 0x1.9578f453877c5p-8, 0x1.8c75112e6fa0bp-8, 0x1.83a01cefbc139p-8, 0x1.7af93c6b53b43p-8, 0x1.727f97ddb73ddp-8, 0x1.6a325ae201443p-8, 0x1.6210b46802552p-8, 0x1.5a19d6aa46de4p-8, 0x1.524cf7244b838p-8, 0x1.4aa94e889628ep-8, 0x1.432e18b6eb213p-8, 0x1.3bda94b283357p-8, 0x1.34ae04985517fp-8, 0x1.2da7ad9556f6p-8, 0x1.26c6d7dce0b03p-8, 0x1.200ace9f0d827p-8, 0x1.1972dfff1df48p-8, 0x1.12fe5d0a101cep-8, 0x1.0cac99ad06a27p-8, 0x1.067cecabf543cp-8, 0x1.006eaf9841443p-8, 0x1.f5027d8ee0679p-9, 0x1.e967f293bca16p-9, 0x1.de0c81c337819p-9, 0x1.d2eef3f295d68p-9, 0x1.c80e17360466p-9, 0x1.bd68beceb4543p-9, 0x1.b2fdc318d773dp-9, 0x1.a8cc0179f0781p-9, 0x1.9ed25c4f37fa2p-9, 0x1.950fbadc07b04p-9, 0x1.8b8309389354fp-9, 0x1.822b3840a57e7p-9, 0x1.79073d828e911p-9, 0x1.7016132e27f5p-9, 0x1.6756b8041d1b2p-9, 0x1.5ec82f453240ep-9, 0x1.566980a1c40fbp-9, 0x1.4e39b8296cf4ap-9, 0x1.4637e63ad5405p-9, 0x1.3e631f738617bp-9, 0x1.36ba7ca0287acp-9, 0x1.2f3d1aac8ed06p-9, 0x1.27ea1a94458ep-9, 0x1.20c0a152f6457p-9, 0x1.19bfd7d536397p-9, 0x1.12e6eae93c2c7p-9, 0x1.0c350b2ffd351p-9, 0x1.05a96d0e3b7f3p-9, 0x1.fe86913bc459fp-10, 0x1.f203b33ee9d8ap-10, 0x1.e5c8bed74184ap-10, 0x1.d9d439ca308dep-10, 0x1.ce24b0d4b978ap-10, 0x1.c2b8b78ffcfd3p-10, 0x1.b78ee8553dedfp-10, 0x1.aca5e4231bdd3p-10, 0x1.a1fc5282554a4p-10, 0x1.9790e16b40338p-10, 0x1.8d62452b8cf87p-10, 0x1.836f384c2d422p-10, 0x1.79b67b77c9e9dp-10, 0x1.7036d561321d7p-10, 0x1.66ef12aa5aa25p-10, 0x1.5dde05cbbdeacp-10, 0x1.550286fb9ee6ap-10, 0x1.4c5b74160d7bp-10, 0x1.43e7b085083fcp-10, 0x1.3ba62528d568cp-10, 0x1.3395c040dae8fp-10, 0x1.2bb57554961bcp-10, 0x1.24043d1ce35efp-10, 0x1.1c81156dbf45bp-10, 0x1.152b01200e8c4p-10, 0x1.0e0107fbee484p-10, 0x1.070236a32ca12p-10, 0x1.002d9e7bfb4a4p-10, 0x1.f304ab383ed57p-11, 0x1.e5feed6880825p-11, 0x1.d94841f71438dp-11, 0x1.ccdef03724229p-11, 0x1.c0c148391d9d1p-11, 0x1.b4eda2a3b8a05p-11, 0x1.a962608d493b1p-11, 0x1.9e1deb55dc2bdp-11, 0x1.931eb481ca253p-11, 0x1.88633594e0d0ep-11, 0x1.7de9efede8d2ep-11, 0x1.73b16ca2e4ab9p-11, 0x1.69b83c5dab79ap-11, 0x1.5ffcf73941c96p-11, 0x1.567e3c9f6dd6ap-11, 0x1.4d3ab32708819p-11, 0x1.4431087286c99p-11, 0x1.3b5ff10f89297p-11, 0x1.32c628564f088p-11, 0x1.2a627049f3b42p-11, 0x1.2233917934efap-11, 0x1.1a385adf7e31ap-11, 0x1.126fa1c6c920fp-11, 0x1.0ad841a97a766p-11, 0x1.03711c150dcfep-11, 0x1.f872311a41875p-12, 0x1.ea5e48de0ff9p-12, 0x1.dca465ab1ce38p-12, 0x1.cf4278faf1f57p-12, 0x1.c2367f54b8998p-12, 0x1.b57e80178151cp-12, 0x1.a9188d45eedc2p-12, 0x1.9d02c35264d83p-12, 0x1.913b48ebebeb6p-12, 0x1.85c04ecc3eaf5p-12, 0x1.7a900f8667a38p-12, 0x1.6fa8cf564b1cdp-12, 0x1.6508dbf13e11bp-12, 0x1.5aae8c56c2481p-12, 0x1.509840a2be9dcp-12, 0x1.46c461dfcaae9p-12, 0x1.3d3161db2737fp-12, 0x1.33ddbaf84ca7bp-12, 0x1.2ac7f0068822dp-12, 0x1.21ee8c1603ee1p-12, 0x1.1950224e7d07dp-12, 0x1.10eb4dc6678bep-12, 0x1.08beb15a92fe5p-12, 0x1.00c8f786a568ap-12, 0x1.f211a47cfbe58p-13, 0x1.e2f9f58fa2448p-13, 0x1.d4486329aa3a1p-13, 0x1.c5fa7c3eeaf76p-13, 0x1.b80ddd8a0983dp-13, 0x1.aa803145badd6p-13, 0x1.9d4f2ee68e1aap-13, 0x1.90789ad6b0c19p-13, 0x1.83fa46329c67ap-13, 0x1.77d20e86bb1d8p-13, 0x1.6bfddd8eb6cc7p-13, 0x1.607ba8f58ebbcp-13, 0x1.55497216f0724p-13, 0x1.4a6545c1d874p-13, 0x1.3fcd3bfc29ccep-13, 0x1.357f77c7623bp-13, 0x1.2b7a26e6dc78p-13, 0x1.21bb81a5db902p-13, 0x1.1841caa09dbf3p-13, 0x1.0f0b4e8c76b34p-13, 0x1.06166402437e7p-13, 0x1.fac2d6925f325p-14, 0x1.e9d59c4603681p-14, 0x1.d961ff32cb497p-14, 0x1.c964f7961d60ep-14, 0x1.b9db8f76d1534p-14, 0x1.aac2e243ab854p-14, 0x1.9c181c764046ap-14, 0x1.8dd87b34ed853p-14, 0x1.80014bf8e8fa6p-14, 0x1.728fec3437772p-14, 0x1.6581c8fb4bacfp-14, 0x1.58d45eaea2cddp-14, 0x1.4c8538a6ebd9ap-14, 0x1.4091f0e1f2611p-14, 0x1.34f82fb2f40f5p-14, 0x1.29b5ab71f2ccp-14, 0x1.1ec8282f2033cp-14, 0x1.142d7766529c6p-14, 0x1.09e377b429e85p-14, 0x1.ffd0291a15c4p-15, 0x1.ec728bea8cb56p-15, 0x1.d9aa2075b4398p-15, 0x1.c773076064c87p-15, 0x1.b5c978d28e5ecp-15, 0x1.a4a9c3f05ec71p-15, 0x1.94104e5c019bep-15, 0x1.83f993b2fa06ep-15, 0x1.74622514c0ff3p-15, 0x1.6546a8a59a5b3p-15, 0x1.56a3d919e32dp-15, 0x1.4876853f17608p-15, 0x1.3abb8f8913175p-15, 0x1.2d6feda26a7e9p-15, 0x1.2090a7fe54cd7p-15, 0x1.141ad96c62462p-15, 0x1.080baeafa999cp-15, 0x1.f8c0cc2bfd55dp-16, 0x1.e22c9e28bb50bp-16, 0x1.cc5593c348bc4p-16, 0x1.b7368e2f6fc32p-16, 0x1.a2ca8ea4bd381p-16, 0x1.8f0cb5a6eec8ep-16, 0x1.7bf8424f40921p-16, 0x1.698891999ff9cp-16, 0x1.57b91db588bb2p-16, 0x1.46857d5c4a2b7p-16, 0x1.35e9632740f84p-16, 0x1.25e09ceed4c49p-16, 0x1.1667132726e74p-16, 0x1.0778c845bd3cep-16, 0x1.f223b04c13bb5p-17, 0x1.d65ceee85525bp-17, 0x1.bb95e634bafd7p-17, 0x1.a1c75f5dc2438p-17, 0x1.88ea51d2e19f9p-17, 0x1.70f7e22edb829p-17, 0x1.59e9612c6fef5p-17, 0x1.43b84aa056ee1p-17, 0x1.2e5e4470b8889p-17, 0x1.19d51da0a8a52p-17, 0x1.0616cd54e384dp-17, 0x1.e63ae3c616e31p-18, 0x1.c1c69fc9a1c7p-18, 0x1.9ec5a2a3eed4ep-18, 0x1.7d2d093bd6403p-18, 0x1.5cf237b1a1797p-18, 0x1.3e0ad7b6e59cp-18, 0x1.206cd6df4e14p-18, 0x1.040e650a64406p-18, 0x1.d1cbe599e3d39p-19, 0x1.9dd45fc9d9f83p-19, 0x1.6c24136b3e27bp-19, 0x1.3ca953a93094dp-19, 0x1.0f52e91b83c65p-19, 0x1.c8201e199f8a2p-20, 0x1.75a0e14668afdp-20, 0x1.27084c7c35a96p-20, 0x1.b86ecb44f33dp-21, 0x1.2a200531ddc74p-21, 0x1.45d310c819acep-22, 0x1.14911566fa03ap-24, -0x1.5c776ed981454p-23, -0x1.94b952d97ef3ap-22, -0x1.375f0d4525f65p-21, -0x1.9e58670acb787p-21, -0x1.ff7ab857c12c1p-21, -0x1.2d7b569e2947dp-20, -0x1.587dd22f11de6p-20, -0x1.80dbdbbd4b75fp-20, -0x1.a6abe184cf663p-20, -0x1.ca03b7239433fp-20, -0x1.eaf89968a09aep-20, -0x1.04cf98f6e84d9p-19, -0x1.1305cd7265e55p-19, -0x1.2028b13f69efdp-19, -0x1.2c41c73fa4328p-19, -0x1.375a4fc40f847p-19, -0x1.417b4a3b90b3cp-19, -0x1.4aad76d0aded4p-19, -0x1.52f957f6de9fep-19, -0x1.5a6733f89062p-19, -0x1.60ff167bbfedbp-19, -0x1.66c8d1f61a74bp-19, -0x1.6bcc011835525p-19, -0x1.7010083e41ffep-19, -0x1.739c16bdc21afp-19, -0x1.7677284c46d13p-19, -0x1.78a8064113126p-19, -0x1.7a3548e064784p-19, -0x1.7b2558945baf4p-19, -0x1.7b7e6f2c843ebp-19, -0x1.7b4698fe18bbap-19, -0x1.7a83b6194b17cp-19, -0x1.793b7b62526d3p-19, -0x1.777373aa0b431p-19, -0x1.753100c5eeeb3p-19, -0x1.72795c972361cp-19, -0x1.6f519a13bdcd9p-19, -0x1.6bbea642aa965p-19, -0x1.67c54935e649fp-19, -0x1.636a2702385d7p-19, -0x1.5eb1c0a723c91p-19, -0x1.59a074f6dbad9p-19, -0x1.543a81762cdb8p-19, -0x1.4e840342459bdp-19, -0x1.4880f7daea224p-19, -0x1.42353dfc242a9p-19, -0x1.3ba4966b65643p-19, -0x1.34d2a4b8b0402p-19, -0x1.2dc2f0095d141p-19, -0x1.2678e3cf6ced3p-19, -0x1.1ef7d084da733p-19, -0x1.1742ec63cf47bp-19, -0x1.0f5d541218527p-19, -0x1.074a0b4fa7286p-19, -0x1.fe17fb37bb726p-20, -0x1.ed4bfdb9de6d7p-20, -0x1.dc3597f60ec34p-20, -0x1.cada16fdcfb5bp-20, -0x1.b93e9c4fded39p-20, -0x1.a7681f056d208p-20, -0x1.955b6cecfced7p-20, -0x1.831d2ba5f13e7p-20, -0x1.70b1d9afdaef7p-20, -0x1.5e1dcf782a416p-20, -0x1.4b6540615c209p-20, -0x1.388c3bbfd4ebbp-20, -0x1.2596adcf766a1p-20, -0x1.128860a3d652fp-20, -0x1.fec9fa36b450ap-21, -0x1.d8601780fe762p-21, -0x1.b1d9eb4c678c4p-21, -0x1.8b3e0a9704aebp-21, -0x1.6492cec58622ep-21, -0x1.3dde5764f0b35p-21, -0x1.17268b9c774a6p-21, -0x1.e0e237a342987p-22, -0x1.9387062c77d6ap-22, -0x1.464611547ddb3p-22, -0x1.f25305a1ef811p-23, -0x1.5876448523abbp-23, -0x1.7e11600b94eaep-24, -0x1.30e2fb78528ccp-26, 0x1.c8f5283c457b9p-25, 0x1.09f39899c1ee5p-23, 0x1.a0f682a9b817ep-23, 0x1.1b9b5216e59bcp-22, 0x1.66529d02cc987p-22, 0x1.b09a0eb5ccedbp-22, 0x1.fa6adfd4ba159p-22, 0x1.21df496b7ab5p-21, 0x1.464778f6ef89bp-21, 0x1.6a6b067deef54p-21, 0x1.8e471bd962689p-21, 0x1.b1d903bb4999ap-21, 0x1.d51e28cdee706p-21, 0x1.f81414c14873bp-21, 0x1.0d5c37b44f2b9p-20, 0x1.1e847eede95a1p-20, 0x1.2f81d0cddb6abp-20, 0x1.40532be11abb4p-20, 0x1.50f79c17eb38bp-20, 0x1.616e3a60a64e8p-20, 0x1.71b62c4984fp-20, 0x1.81cea39e9c906p-20, 0x1.91b6de0a16cdp-20, 0x1.a16e24be676dp-20, 0x1.b0f3cc1e2e515p-20, 0x1.c047336166cb6p-20, 0x1.cf67c4478f5d2p-20, 0x1.de54f2c232bbep-20, 0x1.ed0e3ca9ef207p-20, 0x1.fb93296874f02p-20, 0x1.04f1a4dc61429p-19, 0x1.0bff1baa54369p-19, 0x1.12f1ca5958911p-19, 0x1.19c9865f58b36p-19, 0x1.2086294b0bee7p-19, 0x1.272790a2b556fp-19, 0x1.2dad9dc417949p-19, 0x1.341835c56dd4ap-19, 0x1.3a674157a53fcp-19, 0x1.409aaca85b0f3p-19, 0x1.46b267441ea84p-19, 0x1.4cae63fbc850bp-19, 0x1.528e98c7419a7p-19, 0x1.5852feacda434p-19, 0x1.5dfb91a66cc21p-19, 0x1.63885087cdb7ep-19, 0x1.68f93ce6dd4fap-19, 0x1.6e4e5b03980b2p-19, 0x1.7387b1b08c707p-19, 0x1.78a54a3b3197p-19, 0x1.7da730573205cp-19, 0x1.828d720993fa3p-19, 0x1.87581f91ecbe9p-19, 0x1.8c074b56d622bp-19, 0x1.909b09d2961c8p-19, 0x1.9513717f4a778p-19, 0x1.99709ac4e3fe6p-19, 0x1.9db29fe62e5f8p-19, 0x1.a1d99cef7a952p-19, 0x1.a5e5afa3c7125p-19, 0x1.a9d6f76e166cep-19, 0x1.adad954f9d416p-19, 0x1.b169abd0abe97p-19, 0x1.b50b5ef139a8p-19, 0x1.b892d41966096p-19, 0x1.bc00320a17a8cp-19, 0x1.bf53a0d0e404bp-19, 0x1.c28d49b808d35p-19, 0x1.c5ad5739a779dp-19, 0x1.c8b3f4f26eac3p-19, 0x1.cba14f9527c03p-19, 0x1.ce7594df5d50dp-19, 0x1.d130f38b249f6p-19, 0x1.d3d39b4432e51p-19, 0x1.d65dbc9c64418p-19, 0x1.d8cf8900ef064p-19, 0x1.db2932af7e387p-19, 0x1.dd6aecab92665p-19, 0x1.df94eab47e21fp-19, 0x1.e1a7613b27af4p-19, 0x1.e3a28558b020bp-19, 0x1.e5868cc4fa2b6p-19, 0x1.e753adcd7d139p-19, 0x1.e90a1f4c758efp-19, 0x1.eaaa18a009659p-19, 0x1.ec33d1a2935eep-19, 0x1.eda782a1c4947p-19, 0x1.ef056456d1d19p-19, 0x1.f04dafdee0f06p-19, 0x1.f1809eb40b843p-19, 0x1.f29e6aa56ffa8p-19, 0x1.f3a74dd0aa71fp-19, 0x1.f49b829b8a18fp-19, 0x1.f57b43ac2dd5fp-19, 0x1.f646cbe2e97e9p-19, 0x1.f6fe5654328cdp-19, 0x1.f7a21e434b105p-19, 0x1.f8325f1b7fb8cp-19, 0x1.f8af546b237aep-19, 0x1.f91939dce81ffp-19, 0x1.f9704b3337e0ep-19, 0x1.f9b4c442fc97p-19, 0x1.f9e6e0ee70248p-19, 0x1.fa06dd206713ep-19, 0x1.fa14f4c76f66ep-19, 0x1.fa1163d17ca16p-19, 0x1.f9fc6627236b6p-19, 0x1.f9d637a6e39c7p-19, 0x1.f99f14220a69p-19, 0x1.f9573757b210ep-19, 0x1.f8fedcf1c736ep-19, 0x1.f89640801b018p-19, 0x1.f81d9d7564fcdp-19, 0x1.f7952f23695b8p-19, 0x1.f6fd30b7cafffp-19, 0x1.f655dd38895c7p-19, 0x1.f59f6f80a0559p-19, 0x1.f4da223d681afp-19, 0x1.f4062feb39131p-19, 0x1.f323d2d29fe46p-19, 0x1.f2334505c1eaap-19, 0x1.f134c05d19589p-19, 0x1.f0287e751f6dfp-19, 0x1.ef0eb8ac7a1cp-19, 0x1.ede7a820bdebp-19, 0x1.ecb385aba048ep-19, 0x1.eb7289e1c978p-19, 0x1.ea24ed109cbf8p-19, 0x1.e8cae73bb1a0ap-19, 0x1.e764b01a3973dp-19, 0x1.e5f27f15b10f5p-19, 0x1.e4748b484f902p-19, 0x1.e2eb0b7b4cc81p-19, 0x1.e15636246970fp-19, 0x1.dfb64164c3fd6p-19, 0x1.de0b6307b60fep-19, 0x1.dc55d08021e1p-19, 0x1.da95bee7a9102p-19, 0x1.d8cb62fdf149fp-19, 0x1.d6f6f126b486cp-19, 0x1.d5189d67c3734p-19, 0x1.d3309b68c8e92p-19, 0x1.d13f1e72b004dp-19, 0x1.cf44596d1ba1p-19, 0x1.cd407edd9f755p-19, 0x1.cb33c0e7ccc52p-19, 0x1.c91e514b64a0ep-19, 0x1.c7006163a0955p-19, 0x1.c4da2226c5b84p-19, 0x1.c2abc424d246bp-19, 0x1.c0757786d429cp-19, 0x1.be376c0e8f097p-19, 0x1.bbf1d1154d14bp-19, 0x1.b9a4d58be7136p-19, 0x1.b750a7fa33b53p-19, 0x1.b4f5767d85572p-19, 0x1.b2936ec92b243p-19, 0x1.b02abe25c01bdp-19, 0x1.adbb9170639dep-19, 0x1.ab46151a9921ep-19, 0x1.a8ca752a98585p-19, 0x1.a648dd3a0528ap-19, 0x1.a3c17875c7577p-19, 0x1.a134719e6ed3fp-19, 0x1.9ea1f307993abp-19, 0x1.9c0a2697c571cp-19, 0x1.996d35c805433p-19, 0x1.96cb49a4b822cp-19, 0x1.94248acc41719p-19, 0x1.9179216f95264p-19, 0x1.8ec935520357bp-19, 0x1.8c14edca26e4bp-19, 0x1.895c71c083815p-19, 0x1.869fe7b0553ep-19, 0x1.83df75a742b49p-19, 0x1.811b41460d6e2p-19, 0x1.7e536fc0555bcp-19, 0x1.7b8825dcba45dp-19, 0x1.78b987f4b2dep-19, 0x1.75e7b9f56d91ap-19, 0x1.7312df5f9dceap-19, 0x1.703b1b47c4129p-19, 0x1.6d6090564abd5p-19, 0x1.6a8360c7f834ap-19, 0x1.67a3ae6e70986p-19, 0x1.64c19aafe9171p-19, 0x1.61dd468802688p-19, 0x1.5ef6d287cb1cp-19, 0x1.5c0e5ed61e22bp-19, 0x1.59240b304b22cp-19, 0x1.5637f6ea89c2ap-19, 0x1.534a40efc2e51p-19, 0x1.505b07c2863c2p-19, 0x1.4d6a697d05188p-19, 0x1.4a7883d201a51p-19, 0x1.4785740cf17d2p-19, 0x1.449157128b7bdp-19, 0x1.419c496114facp-19, 0x1.3ea66711445ebp-19, 0x1.3bafcbd6786ecp-19, 0x1.38b892ff0626cp-19, 0x1.35c0d7751ab03p-19, 0x1.32c8b3bf6cef2p-19, 0x1.2fd0420117766p-19, 0x1.2cd79bfab4258p-19, 0x1.29dedb0ac232p-19, 0x1.26e6182e543ep-19, }}, 
      {{0x1.8c5b377c40173p-8, 0x1.8c640df92b9aap-7, 0x1.2954c7954d00cp-6, 0x1.8c80805c9547cp-6, 0x1.efb5b0c9e2fdep-6, 0x1.297aa9b2b3bdbp-5, 0x1.5b213d3bf611ap-5, 0x1.8cd1db2cb1e2p-5, 0x1.be9204dd29588p-5, 0x1.f069ab6744c4cp-5, 0x1.113192c0a5737p-4, 0x1.2a4577811615cp-4, 0x1.43779fce196ebp-4, 0x1.5ccfc355596b6p-4, 0x1.7655ec52deae8p-4, 0x1.90122c63be61cp-4, 0x1.aa0c5398ff63dp-4, 0x1.c44bacdf379c5p-4, 0x1.ded6c1db4d43fp-4, 0x1.f9b3278e44138p-4, 0x1.0a72aa3523aadp-3, 0x1.18383fff8788p-3, 0x1.262b45ffb4c5p-3, 0x1.344bfb0c2e4bdp-3, 0x1.4299e8eff6de6p-3, 0x1.5113e500b8036p-3, 0x1.5fb813de438fap-3, 0x1.6e83efe35dd95p-3, 0x1.7d7451d1ca003p-3, 0x1.8c857b48ede7dp-3, 0x1.9bb3229dfa8e4p-3, 0x1.aaf87fb5e1794p-3, 0x1.ba50598b542c7p-3, 0x1.c9b514156f6f1p-3, 0x1.d920be4dfbef4p-3, 0x1.e88d201fe9c2fp-3, 0x1.f7f3c80ff4f8p-3, 0x1.03a70c3ce3959p-2, 0x1.0b4aaa21ba6cap-2, 0x1.12e1557808db2p-2, 0x1.1a67a1ffed354p-2, 0x1.21da24c8dd0a2p-2, 0x1.2935791f1738bp-2, 0x1.30764513b0cp-2, 0x1.37993d9eac797p-2, 0x1.3e9b2a5be486bp-2, 0x1.4578e8e4917e4p-2, 0x1.4c2f6fc822b46p-2, 0x1.52bbd127c6166p-2, 0x1.591b3cf88a59p-2, 0x1.5f4b02f070aa5p-2, 0x1.65489423107e5p-2, 0x1.6b118452a2a23p-2, 0x1.70a38afa6fe67p-2, 0x1.75fc8417a0209p-2, 0x1.7b1a70b57b615p-2, 0x1.7ffb77420574ap-2, 0x1.849de3afd9fd7p-2, 0x1.8900276a04d81p-2, 0x1.8d20d91e5b002p-2, 0x1.90feb462c1cd7p-2, 0x1.94989939824b9p-2, 0x1.97ed8b789e6ccp-2, 0x1.9afcb217d5b7cp-2, 0x1.9dc55668d4ebap-2, 0x1.a046e33cc2a36p-2, 0x1.a280e3fa1cfffp-2, 0x1.a47303a5a9c9fp-2, 0x1.a61d0be0f02adp-2, 0x1.a77ee3e0797e1p-2, 0x1.a8988f5be8fefp-2, 0x1.a96a2d79bb31cp-2, 0x1.a9f3f7b8459d7p-2, 0x1.aa3640d571815p-2, 0x1.aa3173b667258p-2, 0x1.a9e612505154p-2, 0x1.a954b4931d3b4p-2, 0x1.a87e075714642p-2, 0x1.a762cb4df76b3p-2, 0x1.a603d3f8359e3p-2, 0x1.a462069eb8adep-2, 0x1.a27e5951aa0c5p-2, 0x1.a059d1ec83558p-2, 0x1.9df5851fadec6p-2, 0x1.9b52957fd6bf6p-2, 0x1.9872329b2bdb1p-2, 0x1.955598148bb6bp-2, 0x1.91fe0cc4c17e6p-2, 0x1.8e6ce1e1d4132p-2, 0x1.8aa3722c64abdp-2, 0x1.86a32123210ddp-2, 0x1.826d5a3c3dec7p-2, 0x1.7e039024ed1f6p-2, 0x1.79673c06c8366p-2, 0x1.7499dcd31b2e6p-2, 0x1.6f9cf693fe921p-2, 0x1.6a7211c33596ap-2, 0x1.651abaa6b47efp-2, 0x1.5f9880b2c7ccp-2, 0x1.59ecf5f1bd002p-2, 0x1.5419ae71057adp-2, 0x1.4e203fb3b9ebbp-2, 0x1.4802402a693f7p-2, 0x1.41c146b028791p-2, 0x1.3b5eea0cc832fp-2, 0x1.34dcc07c1f10ap-2, 0x1.2e3c5f3a5a2e5p-2, 0x1.277f5a1538b91p-2, 0x1.20a74302242cep-2, 0x1.19b5a9b913a0bp-2, 0x1.12ac1b541f4ccp-2, 0x1.0b8c21f3b4e5fp-2, 0x1.0457446758237p-2, 0x1.fa1e0bb5af5b5p-3, 0x1.eb69cb0fc71bep-3, 0x1.dc94bcd7de427p-3, 0x1.cda1ce0488547p-3, 0x1.be93e2046bb85p-3, 0x1.af6dd242b2145p-3, 0x1.a0326db3561a2p-3, 0x1.90e478671bbbp-3, 0x1.8186ab270344fp-3, 0x1.721bb3170b6d5p-3, 0x1.62a6315ffdadep-3, 0x1.5328bae030b78p-3, 0x1.43a5d7e2e662fp-3, 0x1.342003de370b7p-3, 0x1.2499ad373dcc9p-3, 0x1.1515350c59a96p-3, 0x1.0594ef054b4fcp-3, 0x1.ec3642520fc92p-4, 0x1.cd540771f16c9p-4, 0x1.ae8782230b124p-4, 0x1.8fd4eb1f54a8fp-4, 0x1.71405ef6e131bp-4, 0x1.52cdddee17d61p-4, 0x1.34814be4eded2p-4, 0x1.165e7046a5b96p-4, 0x1.f0d1ec0381369p-5, 0x1.b548d70f8cd72p-5, 0x1.7a2885a8f735fp-5, 0x1.3f77a2f86892ep-5, 0x1.053ca181c4b09p-5, 0x1.96fb76b64b438p-6, 0x1.2481e4dff9c82p-6, 0x1.6630433f10becp-7, 0x1.0b25483c1043ep-8, -0x1.62fe97a5334b5p-9, -0x1.34b207e1051d1p-7, -0x1.071863de184ddp-6, -0x1.7294812cc17f9p-6, -0x1.dcc454b2d74cdp-6, -0x1.22cfa047e3d26p-5, -0x1.568e877ff3f27p-5, -0x1.899af89191de9p-5, -0x1.bbf13edbac04ep-5, -0x1.ed8dd7e3a1481p-5, -0x1.0f36b953b58cap-4, -0x1.274677756da24p-4, -0x1.3ef4ae402b248p-4, -0x1.563ffd46b49dbp-4, -0x1.6d271b65c7d2ep-4, -0x1.83a8d662c3d6fp-4, -0x1.99c41288bc35ep-4, -0x1.af77ca441d812p-4, -0x1.c4c30dbd18e44p-4, -0x1.d9a50270d4d3fp-4, -0x1.ee1ce2c9ba722p-4, -0x1.0114fedb69d88p-3, -0x1.0ae5db212c0edp-3, -0x1.1480c193dbbddp-3, -0x1.1de577348143dp-3, -0x1.2713ca71f7b9cp-3, -0x1.300b92f344f8ap-3, -0x1.38ccb161d8fdcp-3, -0x1.41570f33ae86p-3, -0x1.49aa9e7572b22p-3, -0x1.51c75994a8459p-3, -0x1.59ad4329d8f7dp-3, -0x1.615c65c2e4adfp-3, -0x1.68d4d3ad64efbp-3, -0x1.7016a6c14522ap-3, -0x1.7722002b86c0dp-3, -0x1.7df708393c18cp-3, -0x1.8495ee22c889fp-3, -0x1.8afee7d76aa54p-3, -0x1.913231c90e6d7p-3, -0x1.97300eb879507p-3, -0x1.9cf8c781d19b7p-3, -0x1.a28caae986b03p-3, -0x1.a7ec0d69a1e75p-3, -0x1.ad1748ff8565dp-3, -0x1.b20ebcfa1aa8cp-3, -0x1.b6d2cdc87b545p-3, -0x1.bb63e4c911a41p-3, -0x1.bfc270193ccbep-3, -0x1.c3eee2657a2aep-3, -0x1.c7e9b2ba15f47p-3, -0x1.cbb35c546c1a6p-3, -0x1.cf4c5e74b5132p-3, -0x1.d2b53c3069095p-3, -0x1.d5ee7c453b37dp-3, -0x1.d8f8a8ecad718p-3, -0x1.dbd44fb047451p-3, -0x1.de82013e662d9p-3, -0x1.e102513fb7872p-3, -0x1.e355d62d529a4p-3, -0x1.e57d29277fef8p-3, -0x1.e778e5cd27c36p-3, -0x1.e949aa13ece1fp-3, -0x1.eaf01620f3e8dp-3, -0x1.ec6ccc2265e56p-3, -0x1.edc0702993095p-3, -0x1.eeeba805d6e2ap-3, -0x1.efef1b20281a4p-3, -0x1.f0cb7257654fbp-3, -0x1.f18157dd4f3ddp-3, -0x1.f21177144462bp-3, -0x1.f27c7c6dac93bp-3, -0x1.f2c315492614fp-3, -0x1.f2e5efd4645fcp-3, -0x1.f2e5baebcdc85p-3, -0x1.f2c325fbd0fa5p-3, -0x1.f27ee0e2f4f02p-3, -0x1.f2199bd4a3637p-3, -0x1.f194073cb05cp-3, -0x1.f0eed3a399952p-3, -0x1.f02ab1937bf6fp-3, -0x1.ef48517dca93cp-3, -0x1.ee4863a1b9f6ep-3, -0x1.ed2b97f35ee4bp-3, -0x1.ebf29e038dbc9p-3, -0x1.ea9e24e86aa82p-3, -0x1.e92edb26ad3bbp-3, -0x1.e7a56e9ba3d74p-3, -0x1.e6028c67db848p-3, -0x1.e446e0da84116p-3, -0x1.e273175d83353p-3, -0x1.e087da62325b2p-3, -0x1.de85d34ed0bdfp-3, -0x1.dc6daa6c9f483p-3, -0x1.da4006d6a5567p-3, -0x1.d7fd8e691d7aep-3, -0x1.d5a6e5b1922d6p-3, -0x1.d33cafdf9469bp-3, -0x1.d0bf8eb61eb4dp-3, -0x1.ce30227d8f6dap-3, -0x1.cb8f09f64dc24p-3, -0x1.c8dce24c042e2p-3, -0x1.c61a470976a8dp-3, -0x1.c347d20cf485cp-3, -0x1.c0661b7d5fdc9p-3, -0x1.bd75b9bfc532ep-3, -0x1.ba77416d8c337p-3, -0x1.b76b454b2e18cp-3, -0x1.b452563f86e74p-3, -0x1.b12d034b9e47bp-3, -0x1.adfbd983096fap-3, -0x1.aabf6404c9f06p-3, -0x1.a7782bf4aeb5bp-3, -0x1.a426b8753b984p-3, -0x1.a0cb8ea2042adp-3, -0x1.9d67318a8fbffp-3, -0x1.99fa222da61b7p-3, -0x1.9684df751e53p-3, -0x1.9307e63218fe8p-3, -0x1.8f83b119b1279p-3, -0x1.8bf8b8c2109eep-3, -0x1.8867739ffcd2ap-3, -0x1.84d05604c0011p-3, -0x1.8133d21c805ebp-3, -0x1.7d9257ecf55a8p-3, -0x1.79ec55547f668p-3, -0x1.764236099c1c3p-3, -0x1.7294639ab4191p-3, -0x1.6ee3456e46f9dp-3, -0x1.6b2f40c3667f8p-3, -0x1.6778b8b28544bp-3, -0x1.63c00e2e9ac57p-3, -0x1.6005a006914ap-3, -0x1.5c49cae700587p-3, -0x1.588ce95c30281p-3, -0x1.54cf53d45f0d7p-3, -0x1.511160a256f19p-3, -0x1.4d53640032494p-3, -0x1.4995b01271174p-3, -0x1.45d894eb3c8d6p-3, -0x1.421c608dee687p-3, -0x1.3e615ef2cb505p-3, -0x1.3aa7da0af3c1ap-3, -0x1.36f019c487fb4p-3, -0x1.333a640efd2edp-3, -0x1.2f86fcdfa06d8p-3, -0x1.2bd626364752fp-3, -0x1.282820222763fp-3, -0x1.247d28c6ddcdbp-3, -0x1.20d57c61950d9p-3, -0x1.1d31554e4ce6cp-3, -0x1.1990ec0d50152p-3, -0x1.15f47748c0df1p-3, -0x1.125c2bda41ccbp-3, -0x1.0ec83cd0c3512p-3, -0x1.0b38db7664cd2p-3, -0x1.07ae375672995p-3, -0x1.04287e4375a74p-3, -0x1.00a7dc5d5d86dp-3, -0x1.fa58f82f78048p-4, -0x1.f36d0c801f5dep-4, -0x1.ec8c440848f6bp-4, -0x1.e5b6e9f0f84fbp-4, -0x1.deed463d926ffp-4, -0x1.d82f9dd8e1dadp-4, -0x1.d17e32a23326cp-4, -0x1.cad9437a8bf78p-4, -0x1.c4410c51d76ap-4, -0x1.bdb5c6343cb97p-4, -0x1.b737a757660e4p-4, -0x1.b0c6e327e3739p-4, -0x1.aa63aa567a729p-4, -0x1.a40e2ae58e4e8p-4, -0x1.9dc690367a2e4p-4, -0x1.978d0316eb45cp-4, -0x1.9161a9ce3b597p-4, -0x1.8b44a82abd5bdp-4, -0x1.85361f8f051e4p-4, -0x1.7f362eff25db8p-4, -0x1.7944f32dded11p-4, -0x1.73628689bfc06p-4, -0x1.6d8f014a38ae1p-4, -0x1.67ca797c9a802p-4, -0x1.621503110360cp-4, -0x1.5c6eafe7365f2p-4, -0x1.56d78fdb5cb87p-4, -0x1.514fb0d2b0c98p-4, -0x1.4bd71ec80d61bp-4, -0x1.466de3d864a1ep-4, -0x1.4114084f1d58dp-4, -0x1.3bc992b24ec68p-4, -0x1.368e87cee49e7p-4, -0x1.3162eac49f82p-4, -0x1.2c46bd11f7374p-4, -0x1.2739fe9fdf25fp-4, -0x1.223cadcd66692p-4, -0x1.1d4ec77b34b1dp-4, -0x1.18704716e860dp-4, -0x1.13a126a64c569p-4, -0x1.0ee15ed26d37ep-4, -0x1.0a30e6f286f04p-4, -0x1.058fb516cc8ecp-4, -0x1.00fdbe130f0fap-4, -0x1.f8f5eb1267e5ap-5, -0x1.f00e9be723eabp-5, -0x1.e745715e2feccp-5, -0x1.de9a4c0aaf121p-5, -0x1.d60d0a6cc4fa5p-5, -0x1.cd9d8904ff2fcp-5, -0x1.c54ba26774b48p-5, -0x1.bd172f4e89bbcp-5, -0x1.b50006ad6b41ep-5, -0x1.ad05fdc232546p-5, -0x1.a528e827b77bbp-5, -0x1.9d6897e716a0dp-5, -0x1.95c4dd88d3f32p-5, -0x1.8e3d8825c1d3ap-5, -0x1.86d265778387cp-5, -0x1.7f8341e8c5af3p-5, -0x1.784fe8a523b04p-5, -0x1.713823a8b63dp-5, -0x1.6a3bbbcf5362p-5, -0x1.635a78e3850c2p-5, -0x1.5c9421ad1dbe3p-5, -0x1.55e87bff87f6cp-5, -0x1.4f574cc7c3f4ep-5, -0x1.48e0581a12ce1p-5, -0x1.4283613f52001p-5, -0x1.3c402ac20d796p-5, -0x1.3616767b3a061p-5, -0x1.3006059ea79bep-5, -0x1.2a0e98c72d477p-5, -0x1.242ff0027728ep-5, -0x1.1e69cadc9a624p-5, -0x1.18bbe86b532c6p-5, -0x1.13260758fbd94p-5, -0x1.0da7e5ef3c0fap-5, -0x1.084142216e7dcp-5, -0x1.02f1d996bbf4ap-5, -0x1.fb72d367dcc5bp-6, -0x1.f12f5f4a12cd9p-6, -0x1.e718d0cd146f2p-6, -0x1.dd2ea19ce85dcp-6, -0x1.d3704b2a26df8p-6, -0x1.c9dd46bae9ecdp-6, -0x1.c0750d7b5c337p-6, -0x1.b737188da58cep-6, -0x1.ae22e1196c7e6p-6, -0x1.a537e05ac55b5p-6, -0x1.9c758fb0c755p-6, -0x1.93db68ab7efd3p-6, -0x1.8b68e5198d0bbp-6, -0x1.831d7f152f411p-6, -0x1.7af8b110f09f4p-6, -0x1.72f9f5e3cfb5dp-6, -0x1.6b20c8d50adc6p-6, -0x1.636ca5a76e764p-6, -0x1.5bdd08a43bc61p-6, -0x1.54716ea5aa6b8p-6, -0x1.4d295520ed54ap-6, -0x1.46043a2ff90dbp-6, -0x1.3f019c9ac2412p-6, -0x1.3820fbe018fffp-6, -0x1.3161d83e48ed2p-6, -0x1.2ac3b2bb2bf8cp-6, -0x1.24460d2c05838p-6, -0x1.1de86a3ceceaep-6, -0x1.17aa4d77eb626p-6, -0x1.118b3b4bbe513p-6, -0x1.0b8ab9123d81bp-6, -0x1.05a84d16879cap-6, -0x1.ffc6fd357679bp-7, -0x1.f477abbae9ce9p-7, -0x1.e961b83e1e2b6p-7, -0x1.de84374cd6aacp-7, -0x1.d3de3f8b3bafcp-7, -0x1.c96ee9bc6b96bp-7, -0x1.bf3550ca9f074p-7, -0x1.b53091cea89d9p-7, -0x1.ab5fcc170c6dbp-7, -0x1.a1c2212e82584p-7, -0x1.9856b4e1f2ac8p-7, -0x1.8f1cad4623f98p-7, -0x1.861332bcbffd2p-7, -0x1.7d396ff8f1d5dp-7, -0x1.748e9203a8bap-7, -0x1.6c11c83f54fbcp-7, -0x1.63c2446b46c15p-7, -0x1.5b9f3aa69c26bp-7, -0x1.53a7e172d6b4fp-7, -0x1.4bdb71b60e554p-7, -0x1.443926bcb3f55p-7, -0x1.3cc03e3b146a7p-7, -0x1.356ff84e663cbp-7, -0x1.2e47977d9f92cp-7, -0x1.274660b9e4d08p-7, -0x1.206b9b5ea7f97p-7, -0x1.19b6913183d13p-7, -0x1.13268e61bde5bp-7, -0x1.0cbae187992bap-7, -0x1.0672dba34df89p-7, -0x1.004dd01bc0679p-7, -0x1.f4962979eb28p-8, -0x1.e8d4036cd917p-8, -0x1.dd53e331dc0e2p-8, -0x1.d21482a8f5ed4p-8, -0x1.c714a06ba8e7fp-8, -0x1.bc52ffc77f76ap-8, -0x1.b1ce68b890e79p-8, -0x1.a785a7e342dfdp-8, -0x1.9d778e8deeb66p-8, -0x1.93a2f29a2372dp-8, -0x1.8a06ae7d58872p-8, -0x1.80a1a139a8229p-8, -0x1.7772ae560539cp-8, -0x1.6e78bdd61b6dp-8, -0x1.65b2bc3213a13p-8, -0x1.5d1f9a4e1119cp-8, -0x1.54be4d712fa11p-8, -0x1.4c8dcf3c9c261p-8, -0x1.448d1da250769p-8, -0x1.3cbb3adb79f8cp-8, -0x1.35172d5edd4bap-8, -0x1.2d9fffd6fdab6p-8, -0x1.2654c117f77dap-8, -0x1.1f348415759bcp-8, -0x1.183e5fd836ddbp-8, -0x1.11716f7372fecp-8, -0x1.0accd1faa7a71p-8, -0x1.044faa764b6bbp-8, -0x1.fbf23fb2bd38ap-9, -0x1.ef90b9ec9066ep-9, -0x1.e37920e773a1ap-9, -0x1.d7a9d98370058p-9, -0x1.cc21501c8f4a4p-9, -0x1.c0ddf87477cdbp-9, -0x1.b5de4d9b95c78p-9, -0x1.ab20d1da60a2cp-9, -0x1.a0a40e9abacc6p-9, -0x1.96669450d999dp-9, -0x1.8c66fa6414fa3p-9, -0x1.82a3df18705dap-9, -0x1.791be7770902ap-9, -0x1.6fcdbf377e368p-9, -0x1.66b818a85bb24p-9, -0x1.5dd9ac98a3a1cp-9, -0x1.55313a40363p-9, -0x1.4cbd87294d7bbp-9, -0x1.447d5f1944d68p-9, -0x1.3c6f93f9d24cbp-9, -0x1.3492fdc207dffp-9, -0x1.2ce67a5fc0d96p-9, -0x1.2568eda0e4e27p-9, -0x1.1e19411cb2ff5p-9, -0x1.16f6641d765f4p-9, -0x1.0fff4b89fc1ffp-9, -0x1.0932f1cf84ea1p-9, -0x1.029056cb2ca1dp-9, -0x1.f82cff68d0606p-10, -0x1.eb88ee0dfaa1fp-10, -0x1.df3298d9fa627p-10, -0x1.d3282953136e7p-10, -0x1.c767d30671acep-10, -0x1.bbefd35dca339p-10, -0x1.b0be7174e036p-10, -0x1.a5d1fdefec42ap-10, -0x1.9b28d2d1b14edp-10, -0x1.90c15352f7ccbp-10, -0x1.8699ebb8e2e45p-10, -0x1.7cb1112d266fap-10, -0x1.73054196026a4p-10, -0x1.6995036dbbc69p-10, -0x1.605ee59ca2485p-10, -0x1.57617f511bb7bp-10, -0x1.4e9b6fd9abfc8p-10, -0x1.460b5e7eec561p-10, -0x1.3daffa5d8953ep-10, -0x1.3587fa4179cf2p-10, -0x1.2d921c8108da8p-10, -0x1.25cd26d84626fp-10, -0x1.1e37e64574dccp-10, -0x1.16d12ee53a477p-10, -0x1.0f97dbcf93cap-10, -0x1.088acef53e8b5p-10, -0x1.01a8f0fdbad7bp-10, -0x1.f5e2624a89a27p-11, -0x1.e8c50a3711656p-11, -0x1.dbf7d1c5d92f9p-11, -0x1.cf78bd5fd904dp-11, -0x1.c345dd931591cp-11, -0x1.b75d4ed1b7768p-11, -0x1.abbd39369388fp-11, -0x1.a063d0453fe6ap-11, -0x1.954f52af29a0cp-11, -0x1.8a7e0a17d60edp-11, -0x1.7fee4ad9c4033p-11, -0x1.759e73cd02854p-11, -0x1.6b8cee0e3dfd4p-11, -0x1.61b82cc6a3bffp-11, -0x1.581eacf4cdf63p-11, -0x1.4ebef5366f252p-11, -0x1.45979592de386p-11, -0x1.3ca7274724ba5p-11, -0x1.33ec4c90a5701p-11, -0x1.2b65b07c365eap-11, -0x1.231206b2c07acp-11, -0x1.1af00b48c109ap-11, -0x1.12fe828d3e0b2p-11, -0x1.0b3c38db232eap-11, -0x1.03a80269e48fp-11, -0x1.f881763f6e692p-12, -0x1.ea0a8cc9280dcp-12, -0x1.dbe91debdf945p-12, -0x1.ce1b0d75ee21fp-12, -0x1.c09e4d343ea83p-12, -0x1.b370dc9e12356p-12, -0x1.a690c882422cep-12, -0x1.99fc2ab7e07cap-12, -0x1.8db129ccac143p-12, -0x1.81adf8b9a50f6p-12, -0x1.75f0d69410006p-12, -0x1.6a780e450d1e7p-12, -0x1.5f41f63df498ep-12, -0x1.544cf0322947ep-12, -0x1.499768ceceee6p-12, -0x1.3f1fd776ada48p-12, -0x1.34e4bdfdc349ap-12, -0x1.2ae4a86729b16p-12, -0x1.211e2ca321be6p-12, -0x1.178fea5042d48p-12, -0x1.0e388a7bc91d9p-12, -0x1.0516bf6535a1cp-12, -0x1.f852888357728p-13, -0x1.e6ddba03a502bp-13, -0x1.d5ccac2eae962p-13, -0x1.c51d087cdae8cp-13, -0x1.b4cc888819471p-13, -0x1.a4d8f5a52bbd6p-13, -0x1.95402876b0b27p-13, -0x1.86000887a1228p-13, -0x1.77168be616025p-13, -0x1.6881b6bfdbb3fp-13, -0x1.5a3f9b0267132p-13, -0x1.4c4e57fccbeaap-13, -0x1.3eac1a0291e41p-13, -0x1.31571a12b86c4p-13, -0x1.244d9d7e6b543p-13, -0x1.178df59375cffp-13, -0x1.0b167f47db17cp-13, -0x1.fdcb45d098716p-14, -0x1.e5f3a78e5c06bp-14, -0x1.cea31fdc5f339p-14, -0x1.b7d6bfa5872a4p-14, -0x1.a18bac1584a9p-14, -0x1.8bbf1e05b76fcp-14, -0x1.766e617194067p-14, -0x1.6196d4e996c73p-14, -0x1.4d35e90d3f43dp-14, -0x1.39492005eb973p-14, -0x1.25ce0d064cc6p-14, -0x1.12c253cd2b6b6p-14, -0x1.0023a82ac2f82p-14, -0x1.dbdf9b0ff7e3cp-15, -0x1.b8492ce97f579p-15, -0x1.957fc8682bf7dp-15, -0x1.737f4c9b0826p-15, -0x1.5243b4478cd01p-15, -0x1.31c915119deb3p-15, -0x1.120b9eb54f881p-15, -0x1.e60f34746609ep-16, -0x1.a972d26c71463p-16, -0x1.6e3b0a1cbd666p-16, -0x1.3460fc7e17efp-16, -0x1.f7bbeeae2733cp-17, -0x1.8956e7b90389fp-17, -0x1.1d862ac42ee34p-17, -0x1.687aa046e71d6p-18, -0x1.35c0fd30d8878p-19, 0x1.6ecd38cbd9eaep-21, 0x1.e395a74626637p-19, 0x1.b10979b6a9ec9p-18, 0x1.35d5c027a8ddp-17, 0x1.90e32381e51fp-17, 0x1.e9b75530a7907p-17, 0x1.202e41f1ab7bcp-16, 0x1.4a6e506412224p-16, 0x1.73a0b0b85ab1ap-16, 0x1.9bca20d585e04p-16, 0x1.c2ef42ace56c2p-16, 0x1.e9149d1911a56p-16, 0x1.071f4e5f583b4p-15, 0x1.1938ca6d1319ap-15, 0x1.2ad8e008fe52ep-15, 0x1.3c01a09cf0d66p-15, 0x1.4cb5120cd50ebp-15, 0x1.5cf52f12153p-15, 0x1.6cc3e7985979bp-15, 0x1.7c232114f26b6p-15, 0x1.8b14b6dc61452p-15, 0x1.999a7a74859acp-15, 0x1.a7b633e515831p-15, 0x1.b569a2034ef63p-15, 0x1.c2b67ac0adfdp-15, 0x1.cf9e6b701d2b6p-15, 0x1.dc23190e0a226p-15, 0x1.e84620834f183p-15, 0x1.f40916e778ce1p-15, 0x1.ff6d89beef671p-15, 0x1.053a7f9cc4f1fp-14, 0x1.0a907b3746c97p-14, 0x1.0fb973ca1057ep-14, 0x1.14b6221c2816bp-14, 0x1.19873bba8f055p-14, 0x1.1e2d731261c4bp-14, 0x1.22a977899e047p-14, 0x1.26fbf5972d4ffp-14, 0x1.2b2596da78f5ep-14, 0x1.2f2702311f78fp-14, 0x1.3300dbccf606bp-14, 0x1.36b3c548a6817p-14, 0x1.3a405dbba34d6p-14, 0x1.3da741cd2876ep-14, 0x1.40e90bc795a83p-14, 0x1.440653aa17c66p-14, 0x1.46ffaf395c7b2p-14, 0x1.49d5b210b0354p-14, 0x1.4c88edb1bcb35p-14, 0x1.4f19f193da075p-14, 0x1.51894b329f638p-14, 0x1.53d7861c763ebp-14, 0x1.56052c0021c71p-14, 0x1.5812c4b9c8698p-14, 0x1.5a00d65f98a4fp-14, 0x1.5bcfe54dbdde2p-14, 0x1.5d807431901f6p-14, 0x1.5f130415cea34p-14, 0x1.6088146c0b0eep-14, 0x1.61e02317e3481p-14, 0x1.631bac785a4fdp-14, 0x1.643b2b71233d2p-14, 0x1.653f197417ff3p-14, 0x1.6627ee88cf228p-14, 0x1.66f62156131d6p-14, 0x1.67aa272927bdp-14, 0x1.684473fd7474ap-14, 0x1.68c57a83bc76ap-14, 0x1.692dac295ac37p-14, 0x1.697d791e161ddp-14, 0x1.69b5505b15397p-14, 0x1.69d59fa87345dp-14, 0x1.69ded3a3579ddp-14, 0x1.69d157c34bfep-14, 0x1.69ad965f93175p-14, 0x1.6973f8b3e34e4p-14, 0x1.6924e6e588291p-14, 0x1.68c0c80748ab3p-14, 0x1.6848021e4c989p-14, 0x1.67bafa26110c3p-14, 0x1.671a14145974dp-14, 0x1.6665b2dc7d5bap-14, 0x1.659e38739babbp-14, 0x1.64c405d3b0fcap-14, 0x1.63d77afe7437fp-14, 0x1.62d8f700797fep-14, 0x1.61c8d7f472734p-14, 0x1.60a77b05c267dp-14, 0x1.5f753c72fd629p-14, 0x1.5e3277902eadfp-14, 0x1.5cdf86c9ea191p-14, 0x1.5b7cc3a6c8127p-14, 0x1.5a0a86c99fa16p-14, 0x1.588927f3c39e5p-14, 0x1.56f8fe06ab4bep-14, 0x1.555a5f06067c3p-14, 0x1.53ada0193754p-14, 0x1.51f3158d1eeb9p-14, 0x1.502b12d5792ap-14, 0x1.4e55ea8e40ea9p-14, 0x1.4c73ee7d393ddp-14, 0x1.4a856f9355e14p-14, 0x1.488abdeda2312p-14, 0x1.468428d70ff2ep-14, 0x1.4471fec90b3afp-14, 0x1.42548d6cb0179p-14, 0x1.402c219c126d8p-14, 0x1.3df907628b125p-14, 0x1.3bbb89fe5e3bfp-14, 0x1.3973f3e15868ep-14, 0x1.37228eb1c950cp-14, 0x1.34c7a34b0793cp-14, 0x1.326379be9bf2ep-14, 0x1.2ff65955074a4p-14, 0x1.2d80888e050a4p-14, 0x1.2b024d21968cfp-14, 0x1.287bec00d0cf9p-14, 0x1.25eda95669ae1p-14, 0x1.2357c887426b2p-14, 0x1.20ba8c331ba6ap-14, 0x1.1e16363561a69p-14, 0x1.1b6b07a5c79f6p-14, 0x1.18b940d87aaf4p-14, 0x1.1601215f0cf4ap-14, 0x1.1342e8091724ep-14, 0x1.107ed2e497d85p-14, 0x1.0db51f3ebeebfp-14, 0x1.0ae609a4aa1dep-14, 0x1.0811cde39f3d5p-14, 0x1.0538a709b15b3p-14, 0x1.025acf6673508p-14, 0x1.fef10116d1628p-15, 0x1.f923e699dee46p-15, 0x1.f34ebf84eec97p-15, 0x1.ed71fa8ea151ap-15, 0x1.e78e04f650abfp-15, 0x1.e1a34a85c7127p-15, 0x1.dbb2359240656p-15, 0x1.d5bb2efd76f1bp-15, 0x1.cfbe9e36ec625p-15, 0x1.c9bce93d5aaf6p-15, 0x1.c3b674a083cf5p-15, 0x1.bdaba381fe5b5p-15, 0x1.b79cd796740dfp-15, 0x1.b18a71278377fp-15, 0x1.ab74cf15295e4p-15, 0x1.a55c4ed701beap-15, 0x1.9f414c7d0bce6p-15, 0x1.992422b27b46bp-15, 0x1.93052abeb26e8p-15, 0x1.8ce4bc86c5c62p-15, 0x1.86c32e8f188efp-15, 0x1.80a0d5fcc90b7p-15, 0x1.7a7e0697d422ep-15, 0x1.745b12ccabc86p-15, 0x1.6e384badb42abp-15, 0x1.681600f4a6962p-15, 0x1.61f481051d379p-15, 0x1.5bd418ee0916cp-15, 0x1.55b5146b53a99p-15, 0x1.4f97bde7fdc7dp-15, 0x1.497c5e7fe827cp-15, 0x1.43633e020341p-15, 0x1.3d4ca2f210f07p-15, 0x1.3738d289d2c03p-15, 0x1.312810bc43af2p-15, 0x1.2b1aa03766712p-15, 0x1.2510c265e47c1p-15, 0x1.1f0ab770f46b4p-15, 0x1.1908be4339b51p-15, 0x1.130b148a8cca6p-15, 0x1.0d11f6ba1050dp-15, 0x1.071da00c10516p-15, 0x1.012e4a84ffd54p-15, 0x1.f6885de9dadeap-16, 0x1.eabf09f475e78p-16, 0x1.df010607b4a69p-16, 0x1.d34ebca76d8f8p-16, 0x1.c7a89600e5028p-16, 0x1.bc0ef7f110942p-16, 0x1.b08246082ff2bp-16, 0x1.a502e18ee0d1dp-16, 0x1.9991298ba6201p-16, 0x1.8e2d7ac6d03p-16, 0x1.82d82fcfb61bep-16, 0x1.7791a10152cb7p-16, 0x1.6c5a24876185p-16, 0x1.61320e647541p-16, 0x1.5619b075fa0b1p-16, 0x1.4b115a78c2e68p-16, 0x1.40195a0e60045p-16, 0x1.3531fac2cb71dp-16, 0x1.2a5b8611c8accp-16, 0x1.1f96436b5e5abp-16, 0x1.14e27838f72cap-16, 0x1.0a4067e282c2dp-16, 0x1.ff60a7a95ad9ep-17, 0x1.ea64f70a6bb4fp-17, 0x1.d58e38efc1313p-17, 0x1.c0dce4899c2cfp-17, 0x1.ac516d3a4d9a7p-17, 0x1.97ec429fc8753p-17, 0x1.83add0a005bb7p-17, 0x1.6f967f74311e3p-17, 0x1.5ba6b3b0272d4p-17, 0x1.47dece4f9a497p-17, 0x1.343f2cc0a1f4bp-17, 0x1.20c828ee463dep-17, 0x1.0d7a194b1b07p-17, 0x1.f4aaa1b4e2445p-18, 0x1.ceb43e7b4006bp-18, 0x1.a911a17a83ec9p-18, 0x1.83c35ca772af6p-18, 0x1.5ec9fb706d4b9p-18, 0x1.3a2602d4f6b5dp-18, 0x1.15d7f17963da4p-18, 0x1.e3c07f73d4f8fp-19, 0x1.9c7ebf8541b23p-19, 0x1.55eb7b49caf75p-19, 0x1.10077ed342607p-19, 0x1.95a714ac7673p-20, 0x1.0ca0a4a68f9edp-20, 0x1.09f9fed833c56p-21, -0x1.429ff3aa32eabp-28, -0x1.0c3a299af78dfp-21, -0x1.09915098ef56p-20, -0x1.8b9e5aa029137p-20, -0x1.0621a7d1a1076p-19, -0x1.45bfb0be1285bp-19, -0x1.84a8eb70db095p-19, -0x1.c2dd0587e3c39p-19, -0x1.002ddb59ce665p-18, -0x1.1e92604808381p-18, -0x1.3c9bf7418b89ep-18, -0x1.5a4a8ac6be65fp-18, -0x1.779e0a1304398p-18, -0x1.9496690868addp-18, -0x1.b133a018f671bp-18, -0x1.cd75ac374f5e6p-18, -0x1.e95c8ec086f98p-18, -0x1.027426b4a8ebap-17, -0x1.100c7913731b6p-17, -0x1.1d774591c3a21p-17, -0x1.2ab49551d25fcp-17, -0x1.37c47379eaa42p-17, -0x1.44a6ed2d26a7fp-17, -0x1.515c11807d5fep-17, -0x1.5de3f170a0d88p-17, -0x1.6a3e9fd9de575p-17, -0x1.766c316e9c64cp-17, -0x1.826cbcad95f76p-17, -0x1.8e4059d8d89c4p-17, -0x1.99e722ee13d9ap-17, -0x1.a561339c31ef9p-17, -0x1.b0aea93a82acep-17, -0x1.bbcfa2bfae1p-17, -0x1.c6c440b9d41bp-17, -0x1.d18ca545f9f3cp-17, -0x1.dc28f406176p-17, -0x1.e6995219254e6p-17, -0x1.f0dde6147ab8p-17, -0x1.faf6d7f826e23p-17, -0x1.0272289375dd4p-16, -0x1.07533e30d17cep-16, -0x1.0c1ec2de0ae3ap-16, -0x1.10d4cd4a46378p-16, -0x1.157574c6e9f0dp-16, -0x1.1a00d1429a107p-16, -0x1.1e76fb45efeedp-16, -0x1.22d80befb78b7p-16, -0x1.27241cf0458e8p-16, -0x1.2b5b488687b93p-16, -0x1.2f7da97bdc9b3p-16, -0x1.338b5b1fe8668p-16, -0x1.378479462cd8p-16, }}, 
      {{0x1.573fd4237bd0dp-8, 0x1.5743c42fb867fp-7, 0x1.01775725f6211p-6, 0x1.57514e53a1d3fp-6, 0x1.ad3046f2716fcp-6, 0x1.018a4c0f875d1p-5, 0x1.2c7f6f9967454p-5, 0x1.57783827c96d8p-5, 0x1.8275db3ee14acp-5, 0x1.ad7a3c6766f8cp-5, 0x1.d888004b31862p-5, 0x1.01d1485cec25ap-4, 0x1.176709adc2ad7p-4, 0x1.2d07aac62da7cp-4, 0x1.42b5d808f83cep-4, 0x1.587472a27c992p-4, 0x1.6e467e02d23a9p-4, 0x1.842f0cbc8a5ep-4, 0x1.9a312d9829316p-4, 0x1.b04fd97f3c17ep-4, 0x1.c68de2b88b737p-4, 0x1.dcede5cab7c6dp-4, 0x1.f3723c3bceafdp-4, 0x1.050e78a570ea5p-3, 0x1.1077dc56164b6p-3, 0x1.1bf5f3a010632p-3, 0x1.278936d8a758bp-3, 0x1.3331ea6e20a4dp-3, 0x1.3ef01deeefec3p-3, 0x1.4ac3abd0a2ed9p-3, 0x1.56ac39e1d5bf9p-3, 0x1.62a93a524fbecp-3, 0x1.6eb9ed3ca397ep-3, 0x1.7add629d78efp-3, 0x1.87127ca5b42c6p-3, 0x1.9357f255f206ep-3, 0x1.9fac525343fdp-3, 0x1.ac0e05e68d3c5p-3, 0x1.b87b54195c57cp-3, 0x1.c4f264e4a4b7fp-3, 0x1.d171446711bep-3, 0x1.ddf5e61a1633bp-3, 0x1.ea7e27fe0bdeap-3, 0x1.f707d5b6f02fbp-3, 0x1.01c855ca1e057p-2, 0x1.080b2cbfb7efdp-2, 0x1.0e4b42e6cf7cfp-2, 0x1.148767f89afa3p-2, 0x1.1abe6984dc519p-2, 0x1.20ef1427fb899p-2, 0x1.271834aed164p-2, 0x1.2d389927d91a7p-2, 0x1.334f11e1b1e88p-2, 0x1.395a7257034dcp-2, 0x1.3f599207fc528p-2, 0x1.454b4d41ca2bap-2, 0x1.4b2e85d476636p-2, 0x1.510223b7b54f4p-2, 0x1.56c5159f4245ep-2, 0x1.5c76517f6e117p-2, 0x1.6214d50297e63p-2, 0x1.679fa5f0421a5p-2, 0x1.6d15d28689daep-2, 0x1.727671c6c04d6p-2, 0x1.77c0a3b5e6a0dp-2, 0x1.7cf39191cd40dp-2, 0x1.820e6dfb99001p-2, 0x1.87107518628b7p-2, 0x1.8bf8eca8aaa0bp-2, 0x1.90c724175131cp-2, 0x1.957a7480b938ep-2, 0x1.9a1240b2ba352p-2, 0x1.9e8df525fbe15p-2, 0x1.a2ed07f151ae8p-2, 0x1.a72ef8b79c95bp-2, 0x1.ab535090bc79dp-2, 0x1.af59a1ee08b9ap-2, 0x1.b341887ac8e43p-2, 0x1.b70aa8f9155afp-2, 0x1.bab4b11b8b32p-2, 0x1.be3f575c29f1bp-2, 0x1.c1aa5ad0bb1bp-2, 0x1.c4f582fd0f142p-2, 0x1.c8209fa3595ffp-2, 0x1.cb2b8892f836bp-2, 0x1.ce161d75dcb7ap-2, 0x1.d0e0459cd3e8bp-2, 0x1.d389efcae8d14p-2, 0x1.d613120004a01p-2, 0x1.d87ba94308ad8p-2, 0x1.dac3b96b7d9e9p-2, 0x1.dceb4ceb03a33p-2, 0x1.def27496a37afp-2, 0x1.e0d9477020cb6p-2, 0x1.e29fe26f62e46p-2, 0x1.e446684c17221p-2, 0x1.e5cd01479a1d8p-2, 0x1.e733daf7412e9p-2, 0x1.e87b280f16473p-2, 0x1.e9a3202d15fdbp-2, 0x1.eaabffa4ff29bp-2, 0x1.eb96074cc227ap-2, 0x1.ec617c4999dffp-2, 0x1.ed0ea7dddd864p-2, 0x1.ed9dd7378f759p-2, 0x1.ee0f5b3fb970dp-2, 0x1.ee63886a93327p-2, 0x1.ee9ab68885c3cp-2, 0x1.eeb540980b2cfp-2, 0x1.eeb384986d8f6p-2, 0x1.ee95e35d74a11p-2, 0x1.ee5cc063f6882p-2, 0x1.ee0881a75f71ep-2, 0x1.ed998f7824046p-2, 0x1.ed1054532e108p-2, 0x1.ec6d3cba39656p-2, 0x1.ebb0b70d2df7dp-2, 0x1.eadb33646b0dbp-2, 0x1.e9ed236c1492ap-2, 0x1.e8e6fa404ecd5p-2, 0x1.e7c92c4a7caf3p-2, 0x1.e6942f1f6eb75p-2, 0x1.e548795e8eb7fp-2, 0x1.e3e682920024ap-2, 0x1.e26ec30fb325ep-2, 0x1.e0e1b3db6f489p-2, 0x1.df3fce89cc1d3p-2, 0x1.dd898d2419f8cp-2, 0x1.dbbf6a0d39f6cp-2, 0x1.d9e1dfe75aae5p-2, 0x1.d7f1697aa4982p-2, 0x1.d5ee819cc25bfp-2, 0x1.d3d9a31951c62p-2, 0x1.d1b3489b2fc2fp-2, 0x1.cf7bec969e0dcp-2, 0x1.cd3409344456bp-2, 0x1.cadc183d016fap-2, 0x1.c87493068f239p-2, 0x1.c5fdf260ef7c1p-2, 0x1.c378ae84a7db2p-2, 0x1.c0e53f01b8515p-2, 0x1.be441aaf5bf1dp-2, 0x1.bb95b79c808c2p-2, 0x1.b8da8b00f78e7p-2, 0x1.b613092f5baa6p-2, 0x1.b33fa587a746fp-2, 0x1.b060d26a7445bp-2, 0x1.ad77012ce74dcp-2, 0x1.aa82a20d3b2ddp-2, 0x1.a7842427eda6dp-2, 0x1.a47bf56d87766p-2, 0x1.a16a8298f9ea4p-2, 0x1.9e50372691fc4p-2, 0x1.9b2d7d4b790c4p-2, 0x1.9802bdedbfb32p-2, 0x1.94d0609cf390bp-2, 0x1.9196cb8b318fdp-2, 0x1.8e566386c011cp-2, 0x1.8b0f8bf41c534p-2, 0x1.87c2a6c883d8bp-2, 0x1.84701484f1f54p-2, 0x1.811834318d08dp-2, 0x1.7dbb63597d4acp-2, 0x1.7a59fe07342cp-2, 0x1.76f45ec11085bp-2, 0x1.738ade866be4cp-2, 0x1.701dd4cd05128p-2, 0x1.6cad977ec455bp-2, 0x1.693a7af7d96bdp-2, 0x1.65c4d2053259ep-2, 0x1.624cede33e52ap-2, 0x1.5ed31e3d049e3p-2, 0x1.5b57b12b88e92p-2, 0x1.57daf33572dddp-2, 0x1.545d2f4f0639cp-2, 0x1.50deaeda55619p-2, 0x1.4d5fb9a7bcf6cp-2, 0x1.49e095f69b3d8p-2, 0x1.4661887642e2bp-2, 0x1.42e2d4472a72ep-2, 0x1.3f64bafc52cafp-2, 0x1.3be77c9ce1df6p-2, 0x1.386b57a5f0f85p-2, 0x1.34f0890c8d10bp-2, 0x1.31774c3fe3a18p-2, 0x1.2dffdb2b9fcd5p-2, 0x1.2a8a6e3a6dcf9p-2, 0x1.27173c58aa66dp-2, 0x1.23a67af738116p-2, 0x1.20385e0e78cb7p-2, 0x1.1ccd18216bdd3p-2, 0x1.1964da40ea725p-2, 0x1.15ffd40f0993cp-2, 0x1.129e33c2928fap-2, 0x1.0f40262a9e1f5p-2, 0x1.0be5d6b2466ccp-2, 0x1.088f6f6474cc9p-2, 0x1.053d18efc5e67p-2, 0x1.01eefaaa83dafp-2, 0x1.fd4a752d6daf3p-3, 0x1.f6bffacc90466p-3, 0x1.f03eccfe71eaep-3, 0x1.e9c72fffcec1bp-3, 0x1.e3596586c9a9p-3, 0x1.dcf5accbb9c79p-3, 0x1.d69c42920b753p-3, 0x1.d04d61313e2b6p-3, 0x1.ca09409df8725p-3, 0x1.c3d016733009ep-3, 0x1.bda215fb5f43ep-3, 0x1.b77f7039d2ff5p-3, 0x1.b16853f3ffad7p-3, 0x1.ab5cedbae4693p-3, 0x1.a55d67f4797e9p-3, 0x1.9f69eae52519bp-3, 0x1.99829cb93b659p-3, 0x1.93a7a18e7ce83p-3, 0x1.8dd91b7d9cc9dp-3, 0x1.88172aa3cb816p-3, 0x1.8261ed2c3a782p-3, 0x1.7cb97f59a412cp-3, 0x1.771dfb8fd036p-3, 0x1.718f7a5d1627cp-3, 0x1.6c0e1283d4c2cp-3, 0x1.6699d903e8078p-3, 0x1.6132e12418842p-3, 0x1.5bd93c7b7caa2p-3, 0x1.568cfafad5bd6p-3, 0x1.514e2af5d969fp-3, 0x1.4c1cd92c7dfcfp-3, 0x1.46f910d42530dp-3, 0x1.41e2dba0cee41p-3, 0x1.3cda41ce26debp-3, 0x1.37df4a2896fd2p-3, 0x1.32f1fa1637ee8p-3, 0x1.2e12559fba08ap-3, 0x1.29405f793ac19p-3, 0x1.247c190b00a71p-3, 0x1.1fc5827a2b05ap-3, 0x1.1b1c9ab14ab0dp-3, 0x1.16815f68e22a8p-3, 0x1.11f3cd2fd18f4p-3, 0x1.0d73df73b2acbp-3, 0x1.0901908912caep-3, 0x1.049cd9b39bbe8p-3, 0x1.0045b32e26fep-3, 0x1.f7f8286562178p-4, 0x1.ef7fe604730ep-4, 0x1.e72289d918babp-4, 0x1.dedffcafcc166p-4, 0x1.d6b8259118d95p-4, 0x1.ceaae9d081b53p-4, 0x1.c6b82d1b44e49p-4, 0x1.bedfd186d5155p-4, 0x1.b721b79f2d60dp-4, 0x1.af7dbe74e7b1fp-4, 0x1.a7f3c3ab1adfap-4, 0x1.a083a38504002p-4, 0x1.992d38f377f8cp-4, 0x1.91f05da21cc1p-4, 0x1.8accea0467307p-4, 0x1.83c2b562672fcp-4, 0x1.7cd195e552a61p-4, 0x1.75f960a3e1402p-4, 0x1.6f39e9ae682e9p-4, 0x1.6893041ac14a6p-4, 0x1.6204820ff60f3p-4, 0x1.5b8e34d1b763dp-4, 0x1.552feccb95e13p-4, 0x1.4ee9799c07c8ap-4, 0x1.48baaa1f3384p-4, 0x1.42a34c7981adap-4, 0x1.3ca32e21f9f7p-4, 0x1.36ba1bec64c66p-4, 0x1.30e7e21338c2p-4, 0x1.2b2c4c414d993p-4, 0x1.2587259b5b9b6p-4, 0x1.1ff838c9427dbp-4, 0x1.1a7f4fff1ad18p-4, 0x1.151c350610f26p-4, 0x1.0fceb1450ad33p-4, 0x1.0a968dc919b86p-4, 0x1.0573934db7584p-4, 0x1.00658a44cb379p-4, 0x1.f6d875bd086edp-5, 0x1.ed0eda21e921ep-5, 0x1.e36dd13f0ab54p-5, 0x1.d9f4ea4461678p-5, 0x1.d0a3b4191d73dp-5, 0x1.c779bd695b14ap-5, 0x1.be7694b37b45p-5, 0x1.b599c85514023p-5, 0x1.ace2e6978621p-5, 0x1.a4517dbc3207p-5, 0x1.9be51c08595b1p-5, 0x1.939d4fd098366p-5, 0x1.8b79a7840dc2bp-5, 0x1.8379b1b72d973p-5, 0x1.7b9cfd2e2f454p-5, 0x1.73e318e7334d6p-5, 0x1.6c4b94240e02bp-5, 0x1.64d5fe73bceep-5, 0x1.5d81e7bb914p-5, 0x1.564ee040013f4p-5, 0x1.4f3c78ad2d026p-5, 0x1.484a421f19fb3p-5, 0x1.4177ce29979a7p-5, 0x1.3ac4aedfe552p-5, 0x1.343076dbff93ap-5, 0x1.2dbab945af96cp-5, 0x1.276309d94f78fp-5, 0x1.2128fcee474bdp-5, 0x1.1b0c277d45869p-5, 0x1.150c1f263552dp-5, 0x1.0f287a35f258dp-5, 0x1.0960cfabb958ap-5, 0x1.03b4b73e5ad66p-5, 0x1.fc4792c263387p-6, 0x1.f15b3e91b049cp-6, 0x1.e6a3a5df4ac1cp-6, 0x1.dc1ffe33db568p-6, 0x1.d1cf7eb40fdc4p-6, 0x1.c7b160284fb51p-6, 0x1.bdc4dd03d4086p-6, 0x1.b409316b87af5p-6, 0x1.aa7d9b3c5b17dp-6, 0x1.a1215a11451f7p-6, 0x1.97f3af48db14p-6, 0x1.8ef3de0a84c89p-6, 0x1.86212b4b5cec9p-6, 0x1.7d7addd2a39ccp-6, 0x1.75003e3de92dbp-6, 0x1.6cb09704dee39p-6, 0x1.648b347cbf849p-6, 0x1.5c8f64db82708p-6, 0x1.54bc783aad9cdp-6, 0x1.4d11c099d1023p-6, 0x1.458e91e0cbdbdp-6, 0x1.3e3241e1b887ep-6, 0x1.36fc285a96f6dp-6, 0x1.2feb9ef6ab1b1p-6, 0x1.2900014fa259p-6, 0x1.2238acee6dabep-6, 0x1.1b95014bdd292p-6, 0x1.15145fd106bdfp-6, 0x1.0eb62bd76ac66p-6, 0x1.0879caa8da043p-6, 0x1.025ea37f2dd81p-6, 0x1.f8c83f078ef6bp-7, 0x1.ed13539dab0bbp-7, 0x1.e19d5ecce57f8p-7, 0x1.d6653e7b0e0dep-7, 0x1.cb69d46503007p-7, 0x1.c0aa061bc30d6p-7, 0x1.b624bd013a3fap-7, 0x1.abd8e644aaf32p-7, 0x1.a1c572debe265p-7, 0x1.97e9578d5a187p-7, 0x1.8e438ccf2fb83p-7, 0x1.84d30edeec989p-7, 0x1.7b96ddae3330dp-7, 0x1.728dfce068e4bp-7, 0x1.69b773c50f3c4p-7, 0x1.61124d52177acp-7, 0x1.589d981dea35dp-7, 0x1.505866592cc74p-7, 0x1.4841cdc864f7dp-7, 0x1.4058e7bd5a607p-7, 0x1.389cd11054788p-7, 0x1.310caa1936045p-7, 0x1.29a796a855aaep-7, 0x1.226cbdff42fabp-7, 0x1.1b5b4ac951dfbp-7, 0x1.14726b142ef62p-7, 0x1.0db150480ae0bp-7, 0x1.07172f1ff7043p-7, 0x1.00a33fa1df2f8p-7, 0x1.f4a97a2d30764p-8, 0x1.e855cc0387c19p-8, 0x1.dc49f83332894p-8, 0x1.d084887d3db85p-8, 0x1.c5040ce696d73p-8, 0x1.b9c71ba7385a3p-8, 0x1.aecc51193501ap-8, 0x1.a4124fa7908f4p-8, 0x1.9997bfbd136a8p-8, 0x1.8f5b4fb2f52cap-8, 0x1.855bb3bf965fep-8, 0x1.7b97a5e4f4284p-8, 0x1.720de5df4aa6p-8, 0x1.68bd391360eep-8, 0x1.5fa46a7d1920ap-8, 0x1.56c24a9dbea2ep-8, 0x1.4e15af6a7cdf9p-8, 0x1.459d743aa6bf7p-8, 0x1.3d5879b620bfcp-8, 0x1.3545a5c3c6403p-8, 0x1.2d63e377c65f2p-8, 0x1.25b223021dd37p-8, 0x1.1e2f599cef48p-8, 0x1.16da817b2ebfbp-8, 0x1.0fb299b6fc793p-8, 0x1.08b6a640575cap-8, 0x1.01e5afcbd2c9ep-8, 0x1.f67d87826aa49p-9, 0x1.e981e8549318cp-9, 0x1.dcd6af4388984p-9, 0x1.d07a128487d0fp-9, 0x1.c46a512a9cc08p-9, 0x1.b8a5b304ea6e7p-9, 0x1.ad2a887d3fc55p-9, 0x1.a1f72a76a90bap-9, 0x1.9709fa2c7ca61p-9, 0x1.8c6161115ff78p-9, 0x1.81fbd0aeb0764p-9, 0x1.77d7c284286dp-9, 0x1.6df3b7e7a1923p-9, 0x1.644e39e54324fp-9, 0x1.5ae5d91fde343p-9, 0x1.51b92db17dafap-9, 0x1.48c6d70c6b90ep-9, 0x1.400d7bdc45382p-9, 0x1.378bc9e784e04p-9, 0x1.2f4075f125888p-9, 0x1.272a3b9ad9cc5p-9, 0x1.1f47dd4728d5dp-9, 0x1.179823fc5058bp-9, 0x1.1019df46f3524p-9, 0x1.08cbe51d8e628p-9, 0x1.01ad11c3d8709p-9, 0x1.f5788f5d88a1p-10, 0x1.e7f0ded11d96ep-10, 0x1.dac0eeea8da19p-10, 0x1.cde6a86f4c4fep-10, 0x1.c15fffac28b4dp-10, 0x1.b52af44069558p-10, 0x1.a94590e919a09p-10, 0x1.9dadeb4d92a68p-10, 0x1.926223cbb862p-10, 0x1.876065460fe1dp-10, 0x1.7ca6e4f158786p-10, 0x1.7233e22393f6ep-10, 0x1.6805a6236c5b7p-10, 0x1.5e1a83f81d3a2p-10, 0x1.5470d83a4e174p-10, 0x1.4b0708e537111p-10, 0x1.41db8528bf7c7p-10, 0x1.38ecc53c3fc2fp-10, 0x1.30394a31812d9p-10, 0x1.27bf9dc8c645dp-10, 0x1.1f7e524579d8cp-10, 0x1.1774024310a43p-10, 0x1.0f9f508b2f469p-10, 0x1.07fee7ebe593p-10, 0x1.00917b0ebf7adp-10, 0x1.f2ab88a13d6cbp-11, 0x1.e4950b33b6b8bp-11, 0x1.d6dd106e94173p-11, 0x1.c9813967aa3ecp-11, 0x1.bc7f3564be5f9p-11, 0x1.afd4c191acb3bp-11, 0x1.a37fa8b6b2308p-11, 0x1.977dc2f055acdp-11, 0x1.8bccf56877906p-11, 0x1.806b3210b29b1p-11, 0x1.7556775d717eap-11, 0x1.6a8cd00295834p-11, 0x1.600c52b14e84bp-11, 0x1.55d321d68092ep-11, 0x1.4bdf6b5b20d91p-11, 0x1.422f6864ae37dp-11, 0x1.38c15d17b449cp-11, 0x1.2f93985acd2f1p-11, 0x1.26a4739ae3c75p-11, 0x1.1df252905fe1ap-11, 0x1.157ba305ff649p-11, 0x1.0d3edc9f71897p-11, 0x1.053a80a27701dp-11, 0x1.fada337fee9c1p-12, 0x1.ebaa77bc8d0afp-12, 0x1.dce307c9f76dfp-12, 0x1.ce812f11ce125p-12, 0x1.c0824a33bf379p-12, 0x1.b2e3c6a136a21p-12, 0x1.a5a3223c32e01p-12, 0x1.98bdeaf7e7b91p-12, 0x1.8c31be7a9c51cp-12, 0x1.7ffc49c156ee1p-12, 0x1.741b48c665e2bp-12, 0x1.688c862858376p-12, 0x1.5d4ddad325a1dp-12, 0x1.525d2dab51286p-12, 0x1.47b8733af3822p-12, 0x1.3d5dad5ee570ap-12, 0x1.334aeaf7d8a7dp-12, 0x1.297e479b56234p-12, 0x1.1ff5eb46dc84fp-12, 0x1.16b00a14ae588p-12, 0x1.0daae3f1fdd2p-12, 0x1.04e4c456a636cp-12, 0x1.f8b803fc3d748p-13, 0x1.e81dfd45ad987p-13, 0x1.d7f84d738614bp-13, 0x1.c843e260e56d9p-13, 0x1.b8fdbe5688831p-13, 0x1.aa22f78ca173fp-13, 0x1.9bb0b7ae9ecc5p-13, 0x1.8da43b5f6f00ep-13, 0x1.7ffad1c3a083bp-13, 0x1.72b1dc0c91dd6p-13, 0x1.65c6cd05d11f3p-13, 0x1.593728a52a95p-13, 0x1.4d00839deb1ebp-13, 0x1.412082f5186f6p-13, 0x1.3594db9a25b79p-13, 0x1.2a5b51ff2ce92p-13, 0x1.1f71b9b63904ap-13, 0x1.14d5f50f9e9e5p-13, 0x1.0a85f4b919a49p-13, 0x1.007fb761f247ap-13, 0x1.ed8292bdb3a52p-14, 0x1.da9188a169d49p-14, 0x1.c8289d9c1f49cp-14, 0x1.b6443819fb6e4p-14, 0x1.a4e0d72230f35p-14, 0x1.93fb11b3776b6p-14, 0x1.838f962457caep-14, 0x1.739b298939f29p-14, 0x1.641aa71d19ba5p-14, 0x1.550affac569ep-14, 0x1.46693904d40a3p-14, 0x1.38326d6a413bap-14, 0x1.2a63cb0bfd494p-14, 0x1.1cfa937d8d9cp-14, 0x1.0ff41b350c8fbp-14, 0x1.034dc9097dc6dp-14, 0x1.ee0a2b710ee46p-15, 0x1.d62f16d26218bp-15, 0x1.bf058a70c4ab8p-15, 0x1.a888dd85483bbp-15, 0x1.92b48768da92bp-15, 0x1.7d841eb713e71p-15, 0x1.68f35875366b8p-15, 0x1.54fe07428e76ep-15, 0x1.41a01a8a4568fp-15, 0x1.2ed59dbbe3ed4p-15, 0x1.1c9ab789ec4ap-15, 0x1.0aeba92bca908p-15, 0x1.f3899b4b80c8p-16, 0x1.d2453226f1f19p-16, 0x1.b2032ff1555abp-16, 0x1.92bcdd2ddf01ap-16, 0x1.746bb08bc1c38p-16, 0x1.57094da3cac0dp-16, 0x1.3a8f83b89c55ep-16, 0x1.1ef84c8648dc8p-16, 0x1.043dcb164c7b3p-16, 0x1.d4b4953026d0bp-17, 0x1.a2907a8b636bdp-17, 0x1.7204769e73d12p-17, 0x1.430603988c891p-17, 0x1.158ae3668c66dp-17, 0x1.d3123b738de7cp-18, 0x1.7dedfc1f8d2d8p-18, 0x1.2b9623af3bdb2p-18, 0x1.b7f09a3bb14a8p-19, 0x1.1e051ffd88997p-19, 0x1.128df3b7ea60ap-20, -0x1.9af2e12cc9e1ap-25, -0x1.22687da200d1ep-20, -0x1.1732905ca2515p-19, -0x1.9886186ffc69fp-19, -0x1.0aa6aea8bd7a9p-18, -0x1.46d30c977f5cbp-18, -0x1.80d69ff2b975ep-18, -0x1.b8bf824e72abp-18, -0x1.ee9b6f92f85a5p-18, -0x1.113be457d22b6p-17, -0x1.2a30cb0ff5caap-17, -0x1.4232c53825ff2p-17, -0x1.594802573a7c8p-17, -0x1.6f76895e24d7p-17, -0x1.84c439cdeb7b8p-17, -0x1.9936ccd9bd81p-17, -0x1.acd3d6776c48ap-17, -0x1.bfa0c66eee3ecp-17, -0x1.d1a2e95f09f3ep-17, -0x1.e2df69baf653cp-17, -0x1.f35b50c27f2e2p-17, -0x1.018dc3b898ff1p-16, -0x1.09126bb1e325cp-16, -0x1.103df5deaf916p-16, -0x1.1712a9014a6e4p-16, -0x1.1d92bd7769d3bp-16, -0x1.23c05da0dba7dp-16, -0x1.299da6454b7cap-16, -0x1.2f2ca6f43b521p-16, -0x1.346f62646f1c4p-16, -0x1.3967cecfd3915p-16, -0x1.3e17d64bf8066p-16, -0x1.4281571ffc2dfp-16, -0x1.46a6241ac0207p-16, -0x1.4a8804e253bc6p-16, -0x1.4e28b64370d4ap-16, -0x1.5189ea7ec070ap-16, -0x1.54ad4992d7236p-16, -0x1.579471846ab2cp-16, -0x1.5a40f6a3ccca3p-16, -0x1.5cb463d13c13ap-16, -0x1.5ef03abf0f844p-16, -0x1.60f5f4303831p-16, -0x1.62c700380259fp-16, -0x1.6464c675248a5p-16, -0x1.65d0a64bc4d3bp-16, -0x1.670bf71ef0155p-16, -0x1.681808867e21dp-16, -0x1.68f6228437a95p-16, -0x1.69a785b7dd59ap-16, -0x1.6a2d6b9004588p-16, -0x1.6a89067bbdf2p-16, -0x1.6abb8218bee0bp-16, -0x1.6ac60361106a1p-16, -0x1.6aa9a8d6e192ep-16, -0x1.6a678aaf593e7p-16, -0x1.6a00bafd036c4p-16, -0x1.697645d6703e1p-16, -0x1.68c9317dcc4fp-16, -0x1.67fa7e86c741bp-16, -0x1.670b27fb1657dp-16, -0x1.65fc237cf1a92p-16, -0x1.64ce616b792fdp-16, -0x1.6382cd02150b1p-16, -0x1.621a4c79ad032p-16, -0x1.6095c12848edbp-16, -0x1.5ef6079e335cp-16, -0x1.5d3bf7c43779bp-16, -0x1.5b6864f81dffp-16, -0x1.597c1e2854219p-16, -0x1.5777edee3cf68p-16, -0x1.555c9aa905fa4p-16, -0x1.532ae695ee087p-16, -0x1.50e38fe944125p-16, -0x1.4e8750e5cdfd7p-16, -0x1.4c16dff3f46b8p-16, -0x1.4992efb7f1964p-16, -0x1.46fc2f275111cp-16, -0x1.4453499e0fb8ap-16, -0x1.4198e6f2a9c67p-16, -0x1.3ecdab89cd6efp-16, -0x1.3bf2386a15626p-16, -0x1.39072b4ddcee4p-16, -0x1.360d1eb607abep-16, -0x1.3304a9fa6d57ep-16, -0x1.2fee615b90675p-16, -0x1.2ccad612c84c8p-16, -0x1.299a96626315dp-16, -0x1.265e2da4fbd8ap-16, -0x1.2316245cd9c27p-16, -0x1.1fc300424f5b1p-16, -0x1.1c6544522a5aap-16, -0x1.18fd70db30a92p-16, -0x1.158c038bab0fap-16, -0x1.1211777eace57p-16, -0x1.0e8e4548bf604p-16, -0x1.0b02e303d5249p-16, -0x1.076fc45b54e5dp-16, -0x1.03d55a97ec89dp-16, -0x1.003414ab48eabp-16, -0x1.f918be7458c4ep-17, -0x1.f1bd494ffc64dp-17, -0x1.ea569a42a2ef8p-17, -0x1.e2e57d4b56048p-17, -0x1.db6aba2282cf4p-17, -0x1.d3e7144e77d1dp-17, -0x1.cc5b4b355b9c5p-17, -0x1.c4c81a2fa3c72p-17, -0x1.bd2e389a8bed8p-17, -0x1.b58e59e89a046p-17, -0x1.ade92db34d02dp-17, -0x1.a63f5fcba2aap-17, -0x1.9e91984aa7639p-17, -0x1.96e07ba0b6564p-17, -0x1.8f2caaa5cf9edp-17, -0x1.8776c2a73504cp-17, -0x1.7fbf5d77ac061p-17, -0x1.7807117d80de5p-17, -0x1.704e71c020592p-17, -0x1.68960df63d6fdp-17, -0x1.60de7292f6601p-17, -0x1.592828d429d83p-17, -0x1.5173b6ce3f4c1p-17, -0x1.49c19f793905dp-17, -0x1.421262bdbe003p-17, -0x1.3a667d811a6f7p-17, -0x1.32be69b00215ep-17, -0x1.2b1a9e4b31a21p-17, -0x1.237b8f735ca0dp-17, -0x1.1be1ae73a3b9dp-17, -0x1.144d69ccb94cfp-17, -0x1.0cbf2d3ffd462p-17, -0x1.053761d9e155ap-17, -0x1.fb6cdbfa8bceep-18, -0x1.ec796ad896d3dp-18, -0x1.dd9532a6e0012p-18, -0x1.cec0f0a81c82cp-18, -0x1.bffd5d1a64bf2p-18, -0x1.b14b2b4a1922dp-18, -0x1.a2ab09a6ce991p-18, -0x1.941da1d4be5f3p-18, -0x1.85a398bef3c9p-18, -0x1.773d8ea979bb5p-18, -0x1.68ec1f43a217cp-18, -0x1.5aafe1b97e354p-18, -0x1.4c8968c4d30c1p-18, -0x1.3e7942bdf77aap-18, -0x1.307ff9aefba55p-18, -0x1.229e136286781p-18, -0x1.14d411735976dp-18, -0x1.0722715d9ace4p-18, -0x1.f313591c7af21p-19, -0x1.d81470e7ea44p-19, -0x1.bd490d1a9c6b7p-19, -0x1.a2b208f214521p-19, -0x1.88503808b5fc5p-19, -0x1.6e2466761e3e1p-19, -0x1.542f58e9e4dp-19, -0x1.3a71cccc08c51p-19, -0x1.20ec78580b65cp-19, -0x1.07a00abc89a9bp-19, -0x1.dd1a5868f3885p-20, -0x1.ab68fc45bfd34p-20, -0x1.7a2d365f46a1fp-20, -0x1.49682ec546969p-20, -0x1.191b007eb57dp-20, -0x1.d28d7379c0496p-21, -0x1.73d8b8288819ap-21, -0x1.1619b9587449ep-21, -0x1.72a491d8765eep-22, -0x1.7610830888b18p-23, -0x1.58718ab66bcafp-28, 0x1.5c97945a92d77p-23, 0x1.5ffd87299851ep-22, 0x1.07d85aafc6a1ep-21, 0x1.5eb162c720439p-21, 0x1.b488a9eebd3edp-21, 0x1.04ae89c592a57p-20, 0x1.2e96cbfa6a256p-20, 0x1.57fca20fbc7dep-20, 0x1.80df9c9b717f5p-20, 0x1.a93f5623e2cc6p-20, 0x1.d11b72f1ad90dp-20, 0x1.f873a0e1e8c04p-20, 0x1.0fa3cb9ae1a05p-19, 0x1.22cb8b34f9c67p-19, 0x1.35b0f405b2e08p-19, 0x1.4853ef4629dc2p-19, 0x1.5ab46a8d6e8bbp-19, 0x1.6cd257b90602cp-19, 0x1.7eadacd89c1p-19, 0x1.9046641a7c2c5p-19, 0x1.a19c7bb653b94p-19, 0x1.b2aff5d7f4405p-19, 0x1.c380d88bd34c5p-19, 0x1.d40f2dab32a3ap-19, 0x1.e45b02c8d08e5p-19, 0x1.f464691c15e1p-19, 0x1.0215bab669c91p-18, 0x1.09d82000ce808p-18, 0x1.11797246c90fap-18, 0x1.18f9c10e8995dp-18, 0x1.20591d80f4768p-18, 0x1.27979a60a48a2p-18, 0x1.2eb54c01f14b6p-18, 0x1.35b248402426dp-18, 0x1.3c8ea6762463bp-18, 0x1.434a7f74d836p-18, 0x1.49e5ed7a88a5ap-18, 0x1.50610c2a306aep-18, 0x1.56bbf883666ffp-18, 0x1.5cf6d0d92af92p-18, 0x1.6311b4c96cb1ep-18, 0x1.690cc5362c325p-18, 0x1.6ee8243c80c8fp-18, 0x1.74a3f52cae81cp-18, 0x1.7a405c81db9f4p-18, 0x1.7fbd7fdab5e17p-18, 0x1.851b85f16fc4p-18, 0x1.8a5a9693ed00ap-18, 0x1.8f7ada9c36d6ep-18, 0x1.947c7be9a9155p-18, 0x1.995fa558dc9b1p-18, 0x1.9e2482bca642fp-18, 0x1.a2cb40d5fb574p-18, 0x1.a7540d4da20a6p-18, 0x1.abbf16ad65fdbp-18, 0x1.b00c8c58c06b5p-18, 0x1.b43c9e85eaf48p-18, 0x1.b84f7e376ef43p-18, 0x1.bc455d3537265p-18, 0x1.c01e6e06401fep-18, 0x1.c3dae3e971c1dp-18, 0x1.c77af2cffa52cp-18, 0x1.cafecf567d8dp-18, 0x1.ce66aebf89156p-18, 0x1.d1b2c6ec52d63p-18, 0x1.d4e34e578234p-18, 0x1.d7f87c0e9fab2p-18, 0x1.daf287ac90c5ap-18, 0x1.ddd1a953cc02p-18, 0x1.e09619a8571dbp-18, 0x1.e34011caa8c97p-18, 0x1.e5cfcb51ccb5ep-18, 0x1.e84580457e671p-18, 0x1.eaa16b198c53p-18, 0x1.ece3c6a7f2b54p-18, 0x1.ef0cce2bdbd09p-18, 0x1.f11cbd3cf6156p-18, 0x1.f313cfc991438p-18, 0x1.f4f24211b6981p-18, 0x1.f6b850a28f183p-18, 0x1.f8663851f483cp-18, 0x1.f9fc363948a96p-18, 0x1.fb7a87b01c04cp-18, 0x1.fce16a4851fa5p-18, 0x1.fe311bca1f9b5p-18, 0x1.ff69da2ef03bfp-18, 0x1.0045f1ce5f18ep-17, 0x1.00cbbb3148ed4p-17, 0x1.0146687a17fadp-17, 0x1.01b618f298556p-17, 0x1.021aebf2aa63p-17, 0x1.027500deb281cp-17, 0x1.02c477252fa3fp-17, 0x1.03096e3cb9affp-17, 0x1.034405a2506fp-17, 0x1.03745cd7be3afp-17, 0x1.039a9361912d8p-17, 0x1.03b6c8c4fdd45p-17, 0x1.03c91c86b18efp-17, 0x1.03d1ae28cb998p-17, 0x1.03d09d294f4a8p-17, 0x1.03c609007044ep-17, 0x1.03b2111f0fcefp-17, 0x1.0394d4ed1082ep-17, 0x1.036e73c7e3c97p-17, 0x1.033f0d00d2282p-17, 0x1.0306bfdbcde8ep-17, 0x1.02c5ab8de002cp-17, 0x1.027bef3b908b7p-17, 0x1.0229a9f7f16e6p-17, 0x1.01cefac2f2672p-17, 0x1.016c0087f182fp-17, 0x1.0100da1cbe34cp-17, 0x1.008da6408d475p-17, 0x1.0012839a33c4p-17, 0x1.ff1f216e23eafp-18, 0x1.fe09d814057abp-18, 0x1.fce567d4f3c9dp-18, 0x1.fbb20d266dd6cp-18, 0x1.fa70044176063p-18, 0x1.f91f89223631p-18, 0x1.f7c0d78485029p-18, 0x1.f6542ae27630ap-18, 0x1.f4d9be71ea2c8p-18, 0x1.f351cd23eab61p-18, 0x1.f1bc91a18ec4p-18, 0x1.f01a464ab15b3p-18, 0x1.ee6b2533d6dacp-18, 0x1.ecaf682573136p-18, 0x1.eae7489969fcp-18, 0x1.e912ffb96e564p-18, 0x1.e732c65d80074p-18, 0x1.e546d50b1cdafp-18, 0x1.e34f63f35ee23p-18, 0x1.e14caaf179ee1p-18, 0x1.df3ee18937076p-18, 0x1.dd263ee62376fp-18, 0x1.db02f9da39c7p-18, 0x1.d8d548dc21da9p-18, 0x1.d69d6206a5224p-18, 0x1.d45b7b174935p-18, 0x1.d20fc96cf0755p-18, 0x1.cfba8207450d7p-18, 0x1.cd5bd9863f03bp-18, 0x1.caf404280815ap-18, 0x1.c88335c824b2bp-18, 0x1.c609a1df2c816p-18, 0x1.c3877b8226f1bp-18, 0x1.c0fcf56081416p-18, 0x1.be6a41c46056dp-18, 0x1.bbcf92922846cp-18, 0x1.b92d1946bb439p-18, 0x1.b68306f758783p-18, 0x1.b3d18c50f491bp-18, 0x1.b118d99784bd1p-18, 0x1.ae591ea5ce84ep-18, 0x1.ab928aec4547ep-18, 0x1.a8c54d71180fp-18, 0x1.a5f194cf67ca2p-18, 0x1.a3178f3722b58p-18, }}, 
      {{0x1.aa8ae2b6c6e0dp-1, 0x1.aa7b974819e36p-1, 0x1.aa664ffce97f9p-1, 0x1.aa4e56a5a8e7ap-1, 0x1.aa34cb3fa0abfp-1, 0x1.aa17d33fd3f7fp-1, 0x1.a9f29be21394ep-1, 0x1.a9bde47638795p-1, 0x1.a970cadbe4bf5p-1, 0x1.a901a706a4ca6p-1, 0x1.a866d55814e19p-1, 0x1.a7975e7cd5b1cp-1, 0x1.a68b75d780845p-1, 0x1.a53cce34c5822p-1, 0x1.a3a6c87dc908cp-1, 0x1.a1c682309851bp-1, 0x1.9f9aca2f5b941p-1, 0x1.9d24026a27d0dp-1, 0x1.9a63f45a19defp-1, 0x1.975d9d7379a4ap-1, 0x1.9414f7ca21f9bp-1, 0x1.908ec23aad216p-1, 0x1.8cd04a949bdb7p-1, 0x1.88df3b8684ba2p-1, 0x1.84c16f708f867p-1, 0x1.807cc8c2f988cp-1, 0x1.7c17102bb8331p-1, 0x1.7795d88c3836bp-1, 0x1.72fe687adee76p-1, 0x1.6e55a8efacab4p-1, 0x1.69a018a4a8febp-1, 0x1.64e1c3a694c91p-1, 0x1.601e3e8e2bfa5p-1, 0x1.5b58a4dbdfe93p-1, 0x1.569399f59adefp-1, 0x1.51d14c4e93b69p-1, 0x1.4d137a4b3f638p-1, 0x1.485b787e6261fp-1, 0x1.43aa38e771ad6p-1, 0x1.3f0052e577bfcp-1, 0x1.3a5e0b9c45539p-1, 0x1.35c35e93979f2p-1, 0x1.3130066103792p-1, 0x1.2ca38535bcb67p-1, 0x1.281d2d30c32a5p-1, 0x1.239c285c9593dp-1, 0x1.1f1f8045578a2p-1, 0x1.1aa625195c5c8p-1, 0x1.162ef44a5a4e2p-1, 0x1.11b8bea93b2b4p-1, 0x1.0d424df98f273p-1, 0x1.08ca69fc3dbd3p-1, 0x1.044fdcf32671fp-1, 0x1.ffa2ef4223ca6p-2, 0x1.f69c29955cda1p-2, 0x1.ed89387c9d97ep-2, 0x1.e4680ad1d2f05p-2, 0x1.db36b2feaeae6p-2, 0x1.d1f36a864a103p-2, 0x1.c89c94d4f554ap-2, 0x1.bf30c16537b47p-2, 0x1.b5aead48ee905p-2, 0x1.ac1544251ced5p-2, 0x1.a263a0ae8bc42p-2, 0x1.98990cb4bdc23p-2, 0x1.8eb500c821d1dp-2, 0x1.84b72387aa44dp-2, 0x1.7a9f48a14367dp-2, 0x1.706d6f8fca211p-2, 0x1.6621c22079061p-2, 0x1.5bbc92c8e3cd2p-2, 0x1.513e5ad5f5604p-2, 0x1.46a7b87b914e4p-2, 0x1.3bf96ccbd8cd9p-2, 0x1.3134599c61665p-2, 0x1.26597f5f04a97p-2, 0x1.1b69faf35fa79p-2, 0x1.1067037583543p-2, 0x1.0551e80dcea79p-2, 0x1.f4581b8aef528p-3, 0x1.ddeddac592e22p-3, 0x1.c768229f6ac4bp-3, 0x1.b0ca271a0203bp-3, 0x1.9a173767d424dp-3, 0x1.8352ba0fb85fcp-3, 0x1.6c802932fe3ep-3, 0x1.55a30ef851918p-3, 0x1.3ebf021cf5fa2p-3, 0x1.27d7a2ad915d2p-3, 0x1.10f096e741895p-3, 0x1.f41b10831c58fp-4, 0x1.c6644142a2f77p-4, 0x1.98c40f690b3cep-4, 0x1.6b41c0ed75e8dp-4, 0x1.3de48dbb47efep-4, 0x1.10b39b5a34aebp-4, 0x1.c76bf1c7430d5p-5, 0x1.6de53686fd27cp-5, 0x1.14e0b3852b92cp-5, 0x1.78d7ab608c85bp-6, 0x1.924f0a027576fp-7, 0x1.acaa554d51bc2p-10, -0x1.244bcac0971bcp-7, -0x1.3d91b8a3f49ap-6, -0x1.e7612580a568ap-6, -0x1.47be9baf74d62p-5, -0x1.9ae7dd03f8b9fp-5, -0x1.ed219f6dda2f6p-5, -0x1.1f30c8512e67p-4, -0x1.474ee29cea0c4p-4, -0x1.6ee65d1b20abap-4, -0x1.95f2ab1bc716fp-4, -0x1.bc6f75310d8c6p-4, -0x1.e258997e24ee4p-4, -0x1.03d515f1d6954p-3, -0x1.16303b0604cf5p-3, -0x1.283bfbacc4d0fp-3, -0x1.39f6b25c53d27p-3, -0x1.4b5ed42bfec5fp-3, -0x1.5c72f0a40d168p-3, -0x1.6d31b18263a5bp-3, -0x1.7d99da74c4bap-3, -0x1.8daa48c98702dp-3, -0x1.9d61f3177c699p-3, -0x1.acbfe8ddd05c3p-3, -0x1.bbc3521c94867p-3, -0x1.ca6b6ee6a319cp-3, -0x1.d8b796ed85aecp-3, -0x1.e6a73907ead9ep-3, -0x1.f439dab3589c7p-3, -0x1.00b78bc8c5437p-2, -0x1.072350710d60fp-2, -0x1.0d601e7c6fc5ep-2, -0x1.136de358c16fp-2, -0x1.194c96705c403p-2, -0x1.1efc38e1be0c5p-2, -0x1.247cd53663e64p-2, -0x1.29ce7f19071ddp-2, -0x1.2ef1530b6a867p-2, -0x1.33e5761be6364p-2, -0x1.38ab159acd01ep-2, -0x1.3d4266cfdba4cp-2, -0x1.41aba6afc7949p-2, -0x1.45e7199212e0bp-2, -0x1.49f50ae743e83p-2, -0x1.4dd5ccef9049dp-2, -0x1.5189b87223149p-2, -0x1.55112c7508c6cp-2, -0x1.586c8df5dc5fcp-2, -0x1.5b9c47a3455a5p-2, -0x1.5ea0c9975bab6p-2, -0x1.617a8912fe867p-2, -0x1.642a003a31417p-2, -0x1.66afadd1839fep-2, -0x1.690c14fc9aa08p-2, -0x1.6b3fbcfde147fp-2, -0x1.6d4b30f764eddp-2, -0x1.6f2effacf2271p-2, -0x1.70ebbb476de95p-2, -0x1.7281f91977363p-2, -0x1.73f2516558cap-2, -0x1.753d5f24489ap-2, -0x1.7663bfcf03352p-2, -0x1.77661327b8ea4p-2, -0x1.7844fb055ebb6p-2, -0x1.79011b2057af1p-2, -0x1.799b18e07f4b6p-2, -0x1.7a139b2c9226cp-2, -0x1.7a6b4a3af812ep-2, -0x1.7aa2cf63ed3eap-2, -0x1.7abad4f505785p-2, -0x1.7ab4060613adbp-2, -0x1.7a8f0e4f64126p-2, -0x1.7a4c9a01568edp-2, -0x1.79ed559d4a132p-2, -0x1.7971edcfde15p-2, -0x1.78db0f4c839ffp-2, -0x1.782966aa59914p-2, -0x1.775da04253906p-2, -0x1.7678680ea5299p-2, -0x1.757a698b6e681p-2, -0x1.74644f98a1239p-2, -0x1.7336c45d24487p-2, -0x1.71f2712b20df7p-2, -0x1.7097fe6587581p-2, -0x1.6f281366b474bp-2, -0x1.6da356683f159p-2, -0x1.6c0a6c6be290dp-2, -0x1.6a5df9258132ap-2, -0x1.689e9ee63aefcp-2, -0x1.66ccfe889222bp-2, -0x1.64e9b75d9668p-2, -0x1.62f5671b159a8p-2, -0x1.60f0a9cac54cbp-2, -0x1.5edc19ba66119p-2, -0x1.5cb84f6cd606p-2, -0x1.5a85e18c122adp-2, -0x1.584564dc180b6p-2, -0x1.55f76c2eaddap-2, -0x1.539c8857fcc59p-2, -0x1.5135482408f9p-2, -0x1.4ec2384ceea2fp-2, -0x1.4c43e371ef04ap-2, -0x1.49bad20f3e22ep-2, -0x1.47278a768d94dp-2, -0x1.448a90c84f29dp-2, -0x1.41e466edacc17p-2, -0x1.3f358c9328967p-2, -0x1.3c7e7f23e9f05p-2, -0x1.39bfb9c5a89ap-2, -0x1.36f9b55534eafp-2, -0x1.342ce8639b809p-2, -0x1.3159c733d5b4bp-2, -0x1.2e80c3b90cf95p-2, -0x1.2ba24d956143bp-2, -0x1.28bed219367cdp-2, -0x1.25d6bc42ffbadp-2, -0x1.22ea74bf821a6p-2, -0x1.1ffa61ea8ec8bp-2, -0x1.1d06e7d02afffp-2, -0x1.1a10682e274a3p-2, -0x1.1717427619478p-2, -0x1.141bd3cfbd3ffp-2, -0x1.111e771bb0fcep-2, -0x1.0e1f84f68d314p-2, -0x1.0b1f53bc52e3p-2, -0x1.081e378c2b82ap-2, -0x1.051c824c77bcbp-2, -0x1.021a83af26dd4p-2, -0x1.fe31126caca5cp-3, -0x1.f82dbc726819p-3, -0x1.f22b97d23bf0fp-3, -0x1.ec2b32ae02932p-3, -0x1.e62d16f1d89f7p-3, -0x1.e031ca5fb59e8p-3, -0x1.da39ce9b62ce7p-3, -0x1.d445a136cc891p-3, -0x1.ce55bbbeb0e72p-3, -0x1.c86a93c79846ep-3, -0x1.c2849afb21627p-3, -0x1.bca43f2588559p-3, -0x1.b6c9ea4378677p-3, -0x1.b0f602900e357p-3, -0x1.ab28ea931851ap-3, -0x1.a563012f82fb6p-3, -0x1.9fa4a1b1efd29p-3, -0x1.99ee23df78a4ap-3, -0x1.943fdc048c9dap-3, -0x1.8e9a1b03f50d8p-3, -0x1.88fd2e65eca6ap-3, -0x1.836960674f5dap-3, -0x1.7ddef808dbe02p-3, -0x1.785e391e84e14p-3, -0x1.72e7645ec88e5p-3, -0x1.6d7ab77210cf2p-3, -0x1.68186d0219aecp-3, -0x1.62c0bcc9543f7p-3, -0x1.5d73dba245189p-3, -0x1.5831fb96e4975p-3, -0x1.52fb4befed873p-3, -0x1.4dcff94427652p-3, -0x1.48b02d879aa4fp-3, -0x1.439c101abece5p-3, -0x1.3e93c5d988ef8p-3, -0x1.3997712a71446p-3, -0x1.34a7320d568f4p-3, -0x1.2fc3262a535e9p-3, -0x1.2aeb68e068398p-3, -0x1.26201354197b4p-3, -0x1.21613c7de133ep-3, -0x1.1caef9388867cp-3, -0x1.18095c4f55359p-3, -0x1.1370768c213cp-3, -0x1.0ee456c53ebdbp-3, -0x1.0a6509eb3efbdp-3, -0x1.05f29b168c959p-3, -0x1.018d1394e0f63p-3, -0x1.fa68f5ed12c41p-4, -0x1.f1d1ae3716efep-4, -0x1.e9545881210c3p-4, -0x1.e0f0fa1760a6p-4, -0x1.d8a795321001fp-4, -0x1.d078290e44a5fp-4, -0x1.c862b2066d347p-4, -0x1.c06729aa60724p-4, -0x1.b88586d71d22ep-4, -0x1.b0bdbdce1e948p-4, -0x1.a90fc04c506a2p-4, -0x1.a17b7da0a8addp-4, -0x1.9a00e2c254cfdp-4, -0x1.929fda66890f8p-4, -0x1.8b584d15eec79p-4, -0x1.842a2141a5a89p-4, -0x1.7d153b57ee385p-4, -0x1.76197dd8638d3p-4, -0x1.6f36c967da9d6p-4, -0x1.686cfce3d93b2p-4, -0x1.61bbf575a762fp-4, -0x1.5b238ea502f1ep-4, -0x1.54a3a26a6a82bp-4, -0x1.4e3c0941094bfp-4, -0x1.47ec9a383cc78p-4, -0x1.41b52b04bc3c6p-4, -0x1.3b9590115ba77p-4, -0x1.358d9c8f6fff3p-4, -0x1.2f9d2286d0f33p-4, -0x1.29c3f2e57f8afp-4, -0x1.2401dd8ee76fep-4, -0x1.1e56b16ac7ba6p-4, -0x1.18c23c73bc0b2p-4, -0x1.13444bc56b651p-4, -0x1.0ddcabaa58351p-4, -0x1.088b27a958631p-4, -0x1.034f8a92b56e1p-4, -0x1.fc533d19dfa2ap-5, -0x1.f2325a425cfffp-5, -0x1.e83bfe8eab6c4p-5, -0x1.de6fbae395dc8p-5, -0x1.d4cd1f31c8ca6p-5, -0x1.cb53ba8c009cp-5, -0x1.c2031b3ca4f9ep-5, -0x1.b8dacedab5471p-5, -0x1.afda625e2260cp-5, -0x1.a701623378cccp-5, -0x1.9e4f5a4f0533ep-5, -0x1.95c3d63f55f5bp-5, -0x1.8d5e613f25709p-5, -0x1.851e8646ba5ep-5, -0x1.7d03d01cad054p-5, -0x1.750dc96627c85p-5, -0x1.6d3bfcb69553bp-5, -0x1.658df49ec7579p-5, -0x1.5e033bbb9e3ep-5, -0x1.569b5cc41d19dp-5, -0x1.4f55e2970b971p-5, -0x1.4832584810754p-5, -0x1.4130492c5190bp-5, -0x1.3a4f40e6997acp-5, -0x1.338ecb73078e3p-5, -0x1.2cee75324862ap-5, -0x1.266dcaf45862ap-5, -0x1.200c5a02e1661p-5, -0x1.19c9b02b20ad4p-5, -0x1.13a55bc75eba7p-5, -0x1.0d9eebc80b572p-5, -0x1.07b5efbc68a84p-5, -0x1.01e9f7dad2558p-5, -0x1.f8752a1153213p-6, -0x1.ed4eb1c3adb4ap-6, -0x1.e25fab7ffcbfdp-6, -0x1.d7a73d828b07dp-6, -0x1.cd248f9da8fdap-6, -0x1.c2d6cb45dce4ap-6, -0x1.b8bd1b9d8203bp-6, -0x1.aed6ad7fc277bp-6, -0x1.a522af8ae76fdp-6, -0x1.9ba0522a121f2p-6, -0x1.924ec79e5b461p-6, -0x1.892d44076aecfp-6, -0x1.803afd6b6d906p-6, -0x1.77772bbe8aa49p-6, -0x1.6ee108e9d8e93p-6, -0x1.6677d0d1b7ee7p-6, -0x1.5e3ac15bc7153p-6, -0x1.56291a74513bp-6, -0x1.4e421e133df5p-6, -0x1.468510409720bp-6, -0x1.3ef13718956c5p-6, -0x1.3785dacf4350dp-6, -0x1.304245b3be3cep-6, -0x1.2925c43302ef3p-6, -0x1.222fa4da5c39ep-6, -0x1.1b5f3859742edp-6, -0x1.14b3d1840d562p-6, -0x1.0e2cc55351a25p-6, -0x1.07c96ae6e3787p-6, -0x1.01891b8580f16p-6, -0x1.f6d6653acf8ccp-7, -0x1.eade1b88e9f6ap-7, -0x1.df28196fb056cp-7, -0x1.d3b322b7447afp-7, -0x1.c87dff73f13d4p-7, -0x1.bd877c04276a4p-7, -0x1.b2ce690deb1a7p-7, -0x1.a8519b7bd0745p-7, -0x1.9e0fec79758bdp-7, -0x1.9408396f8fe3ap-7, -0x1.8a3963ffadeebp-7, -0x1.80a251ff52803p-7, -0x1.7741ed72e8d3p-7, -0x1.6e1724883b4fap-7, -0x1.6520e99095e13p-7, -0x1.5c5e32fa9540fp-7, -0x1.53cdfb4bae7b7p-7, -0x1.4b6f41194b7fcp-7, -0x1.43410701b81cdp-7, -0x1.3b4253a4d03a1p-7, -0x1.3372319c469ecp-7, -0x1.2bcfaf73d991fp-7, -0x1.2459dfa122914p-7, -0x1.1d0fd87b58618p-7, -0x1.15f0b432ae0a3p-7, -0x1.0efb90c7ae4d5p-7, -0x1.082f9002509bfp-7, -0x1.018bd768db84bp-7, -0x1.f61f206d70b7p-8, -0x1.e973cea5ffe46p-8, -0x1.dd141a8e2377fp-8, -0x1.d0fe6c69c8dbcp-8, -0x1.c531339a7223p-8, -0x1.b9aae68bb5cc9p-8, -0x1.ae6a029f31805p-8, -0x1.a36d0c188bb86p-8, -0x1.98b28e092fe32p-8, -0x1.8e391a3c013cp-8, -0x1.83ff4920d4c88p-8, -0x1.7a03b9b7d4885p-8, -0x1.7045117cf100ap-8, -0x1.66c1fc52ffbe5p-8, -0x1.5d792c6ef6d63p-8, -0x1.54695a432ede5p-8, -0x1.4b91446a58a03p-8, -0x1.42efaf92abedfp-8, -0x1.3a83666900cbcp-8, -0x1.324b3983e2f7cp-8, -0x1.2a45ff4ea529fp-8, -0x1.227293f497cb5p-8, -0x1.1acfd94c2da97p-8, -0x1.135cb6c22a3cp-8, -0x1.0c18194503b4ap-8, -0x1.0500f3302c921p-8, -0x1.fc2c786ef8533p-9, -0x1.eeade2a583f22p-9, -0x1.e1842952ab30fp-9, -0x1.d4ad5afb99e62p-9, -0x1.c8279033983bep-9, -0x1.bbf0eb73ea8a8p-9, -0x1.b00798f3f30f8p-9, -0x1.a469ce81699a3p-9, -0x1.9915cb5933186p-9, -0x1.8e09d8000c19fp-9, -0x1.8344461be929bp-9, -0x1.78c3704d61486p-9, -0x1.6e85ba097d2c1p-9, -0x1.64898f73d7006p-9, -0x1.5acd6538fff45p-9, -0x1.514fb86961a28p-9, -0x1.480f0e5456137p-9, -0x1.3f09f4639ee42p-9, -0x1.363efff726bb5p-9, -0x1.2dacce417653ep-9, -0x1.25520423e0e81p-9, -0x1.1d2d4e0bcc57p-9, -0x1.153d5fcfe7463p-9, -0x1.0d80f48dbcb6bp-9, -0x1.05f6ce87ff1f5p-9, -0x1.fd3b6e099cebfp-10, -0x1.eee8fc5976bfbp-10, -0x1.e0f3f5d41cfe8p-10, -0x1.d35a15908efa7p-10, -0x1.c61923a8ba548p-10, -0x1.b92ef4fa47ce4p-10, -0x1.ac996ae83aa67p-10, -0x1.a056731da06d3p-10, -0x1.946407510b821p-10, -0x1.88c02d0865636p-10, -0x1.7d68f55e456dep-10, -0x1.725c7cc7a86fap-10, -0x1.6798eada7404cp-10, -0x1.5d1c7214fbc8ep-10, -0x1.52e54fa65492ep-10, -0x1.48f1cb3724aa4p-10, -0x1.3f4036b3dd661p-10, -0x1.35ceee172d17cp-10, -0x1.2c9c573541409p-10, -0x1.23a6e188c8e25p-10, -0x1.1aed05ff2d479p-10, -0x1.126d46c713229p-10, -0x1.0a262f1ebc266p-10, -0x1.021653236529cp-10, -0x1.f4789f4385a9dp-11, -0x1.e52d93cdacee8p-11, -0x1.d648df239a486p-11, -0x1.c7c7eccce25bp-11, -0x1.b9a83840d3c3p-11, -0x1.abe74c8f25b25p-11, -0x1.9e82c409110ep-11, -0x1.917847ec2d098p-11, -0x1.84c5900fc615fp-11, -0x1.786862921511ep-11, -0x1.6c5e938870eebp-11, -0x1.60a604af55c6bp-11, -0x1.553ca51d8bc9cp-11, -0x1.4a2070f71bf3dp-11, -0x1.3f4f7122f9dcep-11, -0x1.34c7bb0128431p-11, -0x1.2a87702296ee4p-11, -0x1.208cbe023bd4bp-11, -0x1.16d5ddbfb2ef7p-11, -0x1.0d6113dae5be5p-11, -0x1.042caff11e02dp-11, -0x1.f66e18f6fdefbp-12, -0x1.e4fd1d1cf506cp-12, -0x1.d4034b35f84fdp-12, -0x1.c37d965fddde1p-12, -0x1.b369057c4b952p-12, -0x1.a3c2b2b956a23p-12, -0x1.9487cb1c5f5dcp-12, -0x1.85b58e1088dd5p-12, -0x1.77494cf63e491p-12, -0x1.69406ab5d9629p-12, -0x1.5b985b53b06e4p-12, -0x1.4e4ea38732d7p-12, -0x1.4160d853795d5p-12, -0x1.34cc9ea2df25fp-12, -0x1.288faae333743p-12, -0x1.1ca7c0a5a1339p-12, -0x1.1112b24018036p-12, -0x1.05ce606f68f3ep-12, -0x1.f5b173fc37293p-13, -0x1.e05f76d47d666p-13, -0x1.cba2dd1e27bp-13, -0x1.b777d4a0659e6p-13, -0x1.a3daa48b91d81p-13, -0x1.90c7acd76f78dp-13, -0x1.7e3b65a3af22bp-13, -0x1.6c325e9c21504p-13, -0x1.5aa93e61251ep-13, -0x1.499cc1f2650c6p-13, -0x1.3909bc1d1c151p-13, -0x1.28ed14ee60453p-13, -0x1.1943c92897fe2p-13, -0x1.0a0ae9baed04dp-13, -0x1.f67f367a3ab84p-14, -0x1.d9be2adb63061p-14, -0x1.bdcd4566b7179p-14, -0x1.a2a73f437e886p-14, -0x1.8846f4fe9b6f7p-14, -0x1.6ea765a37b5f2p-14, -0x1.55c3b1d06de5cp-14, -0x1.3d971ad8f654ep-14, -0x1.261d01e98b972p-14, -0x1.0f50e730bfb4fp-14, -0x1.f25cd21c96ab6p-15, -0x1.c762868e71c3dp-15, -0x1.9daa9c7c5f4c9p-15, -0x1.752cfc6271b02p-15, -0x1.4de1c4f7c978ap-15, -0x1.27c149bd2728fp-15, -0x1.02c41195ac217p-15, -0x1.bdc5aac194514p-16, -0x1.782cfd54700a1p-16, -0x1.34b04cac86357p-16, -0x1.e6844d7a36628p-17, -0x1.67aae6420b082p-17, -0x1.d975c2d4d0c58p-18, -0x1.d66d99b1a3bf3p-19, -0x1.1a20f567935dp-24, 0x1.b6487b22a51ap-19, 0x1.b39d641d188ap-18, 0x1.4297d63f41867p-17, 0x1.a80355cef60efp-17, 0x1.051335aba95d1p-16, 0x1.348ae2c64b56ep-16, 0x1.6272c5846e4cep-16, 0x1.8ed4af0a9ba45p-16, 0x1.b9ba3020bfb74p-16, 0x1.e32c9afd11a61p-16, 0x1.059a827bcfe91p-15, 0x1.18ee241dc7d1ap-15, 0x1.2b9582b2f3e13p-15, 0x1.3d94d2907cd28p-15, 0x1.4ef02cd61fb48p-15, 0x1.5fab903022486p-15, 0x1.6fcae191a52b3p-15, 0x1.7f51ecebe2c5ap-15, 0x1.8e4465deae4a2p-15, 0x1.9ca5e866197a3p-15, 0x1.aa79f98190861p-15, 0x1.b7c407d78a6c4p-15, 0x1.c4876c52d93e3p-15, 0x1.d0c76abf2d642p-15, 0x1.dc87325c5f8d3p-15, 0x1.e7c9de73cfd92p-15, 0x1.f29276e25f098p-15, 0x1.fce3f0a560a03p-15, 0x1.0360972f2f3cbp-14, 0x1.0816806acafcbp-14, 0x1.0c9513bcfca95p-14, 0x1.10dda86d33619p-14, 0x1.14f18d8ed1ed2p-14, 0x1.18d20a3b38a6ap-14, 0x1.1c805dc9ef507p-14, 0x1.1ffdc0074b9adp-14, 0x1.234b616a08b94p-14, 0x1.266a6b468a842p-14, 0x1.295c0000b9c09p-14, 0x1.2c213b3d331c3p-14, 0x1.2ebb32103bd37p-14, 0x1.312af32b6ab1bp-14, 0x1.3371870ab768cp-14, 0x1.358ff01f68f83p-14, 0x1.37872af9c2862p-14, 0x1.39582e725db6fp-14, 0x1.3b03ebd0d08b4p-14, 0x1.3c8b4ef2c3d53p-14, 0x1.3def3e7106a59p-14, 0x1.3f309bc34357ap-14, 0x1.4050436369222p-14, 0x1.414f0cefac498p-14, 0x1.422dcb4b07843p-14, 0x1.42ed4cbda6dap-14, 0x1.438e5b13dcb77p-14, 0x1.4411bbbc3c205p-14, 0x1.44782fe4a5c08p-14, 0x1.44c2749679c03p-14, 0x1.44f142d26a7a2p-14, 0x1.45054faa7f258p-14, 0x1.44ff4c5ce2c7cp-14, 0x1.44dfe66bf8312p-14, 0x1.44a7c7b709faap-14, 0x1.44579691eb37cp-14, 0x1.43eff5db4749dp-14, 0x1.437185135c585p-14, 0x1.42dce07117a3p-14, 0x1.4232a0f724508p-14, 0x1.41735c87b59f2p-14, 0x1.409fa5f87a841p-14, 0x1.3fb80d2524dc7p-14, 0x1.3ebd1f02205afp-14, 0x1.3daf65ae3e4eap-14, 0x1.3c8f68842a49dp-14, 0x1.3b5dac2aeb0cap-14, 0x1.3a1ab2a62a54bp-14, 0x1.38c6fb6612921p-14, 0x1.3763035623cc6p-14, 0x1.35ef44ecbd931p-14, 0x1.346c3838e496bp-14, 0x1.32da52f069891p-14, 0x1.313a087d5c069p-14, 0x1.2f8bca0b06f6cp-14, 0x1.2dd006928a06fp-14, 0x1.2c072ae78c8a9p-14, 0x1.2a31a1c3c8ecfp-14, 0x1.284fd3d2bbfb6p-14, 0x1.266227bd10fe3p-14, 0x1.2469023326273p-14, 0x1.2264c5f7f8679p-14, 0x1.2055d3eb07e66p-14, 0x1.1e3c8b12b07afp-14, 0x1.1c1948a58bb6fp-14, 0x1.19ec6813fdd06p-14, 0x1.17b643112f01fp-14, 0x1.1577319bc835ep-14, 0x1.132f8a06c0ce5p-14, 0x1.10dfa10172e08p-14, 0x1.0e87c99feae36p-14, 0x1.0c285562cabd2p-14, 0x1.09c1943e9522dp-14, 0x1.0753d4a39272fp-14, 0x1.04df6384a644dp-14, 0x1.02648c5e36426p-14, 0x1.ffc7327b41877p-15, 0x1.fab9a58e4b515p-15, 0x1.f5a1007993e91p-15, 0x1.f07dcf08a5b3p-15, 0x1.eb509a5b6e3d4p-15, 0x1.e619e8f15383dp-15, 0x1.e0da3eb536476p-15, 0x1.db921d08c887fp-15, 0x1.d64202cf6ba99p-15, 0x1.d0ea6c78be9d6p-15, 0x1.cb8bd40b5c51cp-15, 0x1.c626b12e7761fp-15, 0x1.c0bb793467e2bp-15, 0x1.bb4a9f2376d2dp-15, 0x1.b5d493c0374dbp-15, 0x1.b059c59658d45p-15, 0x1.aadaa10139185p-15, 0x1.a5579035a74d4p-15, 0x1.9fd0fb4925cdfp-15, 0x1.9a47483b4c827p-15, 0x1.94badafd998e6p-15, 0x1.8f2c157b2a934p-15, 0x1.899b57a179b7dp-15, 0x1.8408ff66a261p-15, 0x1.7e7568d234ebbp-15, 0x1.78e0ee03a6fe4p-15, 0x1.734be739bef87p-15, 0x1.6db6aad9b249dp-15, 0x1.68218d762c5c7p-15, 0x1.628ce1d58aa87p-15, 0x1.5cf8f8f931716p-15, 0x1.57662223acd43p-15, 0x1.51d4aadef40f2p-15, 0x1.4c44df0299b19p-15, 0x1.46b708baaa88dp-15, 0x1.412b708c9258fp-15, 0x1.3ba25d5e2156ep-15, 0x1.361c147ac925fp-15, 0x1.3098d9995e101p-15, 0x1.2b18eee1eaf93p-15, 0x1.259c94f3659eap-15, 0x1.20240ae847a6ep-15, 0x1.1aaf8e5d44d7ep-15, 0x1.153f5b7574766p-15, 0x1.0fd3ace029e8cp-15, 0x1.0a6cbbddb1cdcp-15, 0x1.050ac044fb6d1p-15, 0x1.ff5be10f65e8fp-16, 0x1.f4ad036fdb93cp-16, 0x1.ea094f1942c19p-16, 0x1.df7128cdbb652p-16, 0x1.d4e4f2abc9ec2p-16, 0x1.ca650c38599d9p-16, 0x1.bff1d268bc15fp-16, 0x1.b58b9faa2a558p-16, 0x1.ab32cbebac754p-16, 0x1.a0e7aca78ec97p-16, 0x1.96aa94eaa8921p-16, 0x1.8c7bd55e79021p-16, 0x1.825bbc508cec2p-16, 0x1.784a95bc93245p-16, 0x1.6e48ab527c797p-16, 0x1.6456448107b45p-16, 0x1.5a73a67c99506p-16, 0x1.50a114479b321p-16, 0x1.46deceba9e656p-16, 0x1.3d2d148cfaf64p-16, 0x1.338c225b59d62p-16, 0x1.29fc32b0a33f5p-16, 0x1.207d7e0d57692p-16, 0x1.17103aeebb47p-16, 0x1.0db49dd737873p-16, 0x1.046ad955614a7p-16, 0x1.f6663c171055bp-17, 0x1.e41b356d8dc24p-17, 0x1.d1f4f86e1906p-17, 0x1.bff3db2b9ef7dp-17, 0x1.ae183019c6378p-17, 0x1.9c62461c10ff2p-17, 0x1.8ad26893a2318p-17, 0x1.7968df6e95eecp-17, 0x1.6825ef32773d3p-17, 0x1.5709d90d1967cp-17, 0x1.4614dae0aa659p-17, 0x1.35472f51f0f76p-17, 0x1.24a10dd45b2b9p-17, 0x1.1422aab86dc4ap-17, 0x1.03cc37388bed4p-17, 0x1.e73bc30a092a8p-18, 0x1.c72fa9a472ffp-18, 0x1.a77472caf894bp-18, 0x1.880a693fd23dep-18, 0x1.68f1d21896555p-18, 0x1.4a2aecd5f56dap-18, 0x1.2bb5f37e0e02p-18, 0x1.0d931ab32e76ap-18, 0x1.df85239874f0fp-19, 0x1.a48905d7c936dp-19, 0x1.6a32263312a6bp-19, 0x1.3080c4b2058bep-19, 0x1.eeea2f02a904fp-20, 0x1.7e1e9648b49dp-20, 0x1.0e9f0535e4df2p-20, 0x1.40d75e64761f7p-21, 0x1.9c25aad3a60c5p-23, -0x1.c0aec91431db4p-23, -0x1.44c7fd5f34acp-21, -0x1.0b65cef49ecc3p-20, -0x1.731b6e7f1c816p-20, -0x1.d985127492ea3p-20, -0x1.1f51801df472dp-19, -0x1.513ac691ec90bp-19, -0x1.827e8f08d9867p-19, -0x1.b31d1398b5d2cp-19, -0x1.e31695d11b40fp-19, -0x1.0935af4a65e78p-18, -0x1.208ddef79f1ebp-18, -0x1.37940577667cfp-18, -0x1.4e4851bec21fbp-18, -0x1.64aaf61c45facp-18, -0x1.7abc2826b79e7p-18, -0x1.907c20a7dee05p-18, -0x1.a5eb1b8bb085bp-18, -0x1.bb0957cdaf392p-18, -0x1.cfd71764ce043p-18, -0x1.e4549f330d67bp-18, -0x1.f88236f275b51p-18, -0x1.06301492bdcd7p-17, -0x1.0ff761811b461p-17, -0x1.19972a3150c7dp-17, -0x1.230f97da0d542p-17, -0x1.2c60d4f3911cdp-17, -0x1.358b0d2dc4cd3p-17, -0x1.3e8e6d6975214p-17, -0x1.476b23af00a33p-17, -0x1.50215f2753466p-17, -0x1.58b15013384a6p-17, -0x1.611b27c3e7bb4p-17, -0x1.695f1892f41e6p-17, -0x1.717d55dab2e95p-17, -0x1.797613ee2421p-17, -0x1.81498812d995ap-17, -0x1.88f7e877f50a9p-17, -0x1.90816c2ffcb5fp-17, -0x1.97e64b296448fp-17, -0x1.9f26be26a6fffp-17, -0x1.a642feb845ed5p-17, -0x1.ad3b4735a608ep-17, -0x1.b40fd2b6197b1p-17, -0x1.bac0dd09fa346p-17, -0x1.c14ea2b422303p-17, -0x1.c7b960e32b847p-17, -0x1.ce01556bbf6p-17, -0x1.d426bec1ca92bp-17, -0x1.da29dbf19b057p-17, -0x1.e00aec9a5e486p-17, -0x1.e5ca30e7d7ce8p-17, -0x1.eb67e98cbb73ep-17, -0x1.f0e457bc39ee2p-17, -0x1.f63fbd2488002p-17, -0x1.fb7a5be903ad6p-17, -0x1.004a3b4e4a422p-16, -0x1.02c7281df8fbap-16, -0x1.053416142c56ep-16, -0x1.079127111f329p-16, -0x1.09de7d220b8dcp-16, -0x1.0c1c3a7e33c3cp-16, -0x1.0e4a8184b7b45p-16, -0x1.106974ba21dcfp-16, -0x1.127936c570947p-16, -0x1.1479ea6e08061p-16, -0x1.166bb2991cb3fp-16, -0x1.184eb247a11f9p-16, -0x1.1a230c938c44fp-16, -0x1.1be8e4addab72p-16, -0x1.1da05ddc6763p-16, -0x1.1f499b777fdcfp-16, -0x1.20e4c0e7a55bfp-16, -0x1.2271f1a3ad8abp-16, -0x1.23f1512ebf517p-16, -0x1.25630315fe33p-16, -0x1.26c72aeec2e5p-16, -0x1.281dec54883ffp-16, -0x1.29676ae70b575p-16, -0x1.2aa3ca4851a1cp-16, -0x1.2bd32e1b01febp-16, -0x1.2cf5ba00788efp-16, -0x1.2e0b9196dcb6fp-16, -0x1.2f14d8778e515p-16, -0x1.3011b2357c8b4p-16, -0x1.3102425b5184ap-16, -0x1.31e6ac69deca3p-16, -0x1.32bf13d67c1eep-16, -0x1.338b9c09876adp-16, -0x1.344c685ce1c82p-16, -0x1.35019c1a3179cp-16, -0x1.35ab5a79bd5d8p-16, -0x1.3649c6a0ef048p-16, -0x1.36dd03a0ab002p-16, -0x1.37653474394ccp-16, -0x1.37e27bffb05b3p-16, -0x1.3854fd0ee9bafp-16, -0x1.38bcda53ff278p-16, -0x1.391a366638b66p-16, -0x1.396d33c0aea46p-16, -0x1.39b5f4c155c73p-16, -0x1.39f49ba7a213p-16, -0x1.3a294a9358ae4p-16, -0x1.3a542383aa151p-16, -0x1.3a754856134e9p-16, -0x1.3a8cdac525eb1p-16, -0x1.3a9afc67bef94p-16, -0x1.3a9fceafee002p-16, -0x1.3a9b72ea0db0bp-16, -0x1.3a8e0a3bc641dp-16, -0x1.3a77b5a321167p-16, -0x1.3a5895f5d0464p-16, -0x1.3a30cbe02f882p-16, -0x1.3a0077e46418ap-16, -0x1.39c7ba59b0829p-16, -0x1.3986b36b9f544p-16, -0x1.393d831954becp-16, -0x1.38ec4934ad0b5p-16, -0x1.38932561bc586p-16, -0x1.38323715e692cp-16, -0x1.37c99d975463dp-16, -0x1.375977fc653dp-16, -0x1.36e1e52aee3aep-16, -0x1.366303d7ada1cp-16, -0x1.35dcf285bac06p-16, -0x1.354fcf8616f7cp-16, -0x1.34bbb8f701839p-16, -0x1.3420ccc363c25p-16, -0x1.337f28a28d797p-16, -0x1.32d6ea17a346bp-16, -0x1.32282e7122bp-16, -0x1.317312c87101fp-16, -0x1.30b7b401b0cc3p-16, }}, 
      {{0x1.aa8ea19bb4487p-1, 0x1.aa894433c153cp-1, 0x1.aa81464b0cdeap-1, 0x1.aa779237c8b47p-1, 0x1.aa6ccd61e2d3ep-1, 0x1.aa6120a1d903p-1, 0x1.aa54225fa3136p-1, 0x1.aa44dab0eaa19p-1, 0x1.aa31d854e7703p-1, 0x1.aa194ea3ffe95p-1, 0x1.a9f936869813cp-1, 0x1.a9cf6e71a9682p-1, 0x1.a999d6f682175p-1, 0x1.a9566a9be9755p-1, 0x1.a9035087579fcp-1, 0x1.a89eea07912cp-1, 0x1.a827db681a5aep-1, 0x1.a79d10a4ba87p-1, 0x1.a6fdbea91d238p-1, 0x1.a64961cb1682dp-1, 0x1.a57fba24c5496p-1, 0x1.a4a0c663a30efp-1, 0x1.a3acbd8df3491p-1, 0x1.a2a4082b5dc28p-1, 0x1.a18739296d056p-1, 0x1.a05706c20cb2cp-1, 0x1.9f144399a0d1p-1, 0x1.9dbfd83bfaab8p-1, 0x1.9c5abd1363fa9p-1, 0x1.9ae5f4eb126ddp-1, 0x1.9962880651255p-1, 0x1.97d17fcf74e3p-1, 0x1.9633e31cd0ad4p-1, 0x1.948ab3065fa1bp-1, 0x1.92d6e84443757p-1, 0x1.9119710c85ee8p-1, 0x1.8f532f6580e09p-1, 0x1.8d84f7e1caf71p-1, 0x1.8baf90ba6f2d6p-1, 0x1.89d3b13c5dbb6p-1, 0x1.87f2017e75d57p-1, 0x1.860b1a5618c0dp-1, 0x1.841f8580dcc3fp-1, 0x1.822fbdfab9174p-1, 0x1.803c3078c0a91p-1, 0x1.7e453c01496a3p-1, 0x1.7c4b329b1b2f3p-1, 0x1.7a4e5a0df979dp-1, 0x1.784eecaf8d9cbp-1, 0x1.764d1a385884dp-1, 0x1.7449089ce9dd7p-1, 0x1.7242d4e82a4d4p-1, 0x1.703a941402591p-1, 0x1.6e3053de1c043p-1, 0x1.6c241b96e237fp-1, 0x1.6a15ece94030bp-1, 0x1.6805c499f1ebp-1, 0x1.65f39b3d7ee31p-1, 0x1.63df65e4383e7p-1, 0x1.61c916bbc4ba1p-1, 0x1.5fb09da5fccb1p-1, 0x1.5d95e8c4f3509p-1, 0x1.5b78e4fc387b1p-1, 0x1.59597e67722c4p-1, 0x1.5737a0c685d84p-1, 0x1.551337df9fff3p-1, 0x1.52ec2fd76f00fp-1, 0x1.50c2757ffe5dbp-1, 0x1.4e95f69e9b815p-1, 0x1.4c66a2293a2e4p-1, 0x1.4a34687bd3e71p-1, 0x1.47ff3b863a2e2p-1, 0x1.45c70ef2da0e1p-1, 0x1.438bd846e8528p-1, 0x1.414d8efc73911p-1, 0x1.3f0c2c96d138p-1, 0x1.3cc7acb1d590fp-1, 0x1.3a800d0c4b43p-1, 0x1.38354d8e113fep-1, 0x1.35e7704a46045p-1, 0x1.3396797de2795p-1, 0x1.31426f8b1e9ddp-1, 0x1.2eeb5af1f9096p-1, 0x1.2c9146463233ap-1, 0x1.2a343e2306b56p-1, 0x1.27d4511cf3b93p-1, 0x1.25718fb1c5278p-1, 0x1.230c0c372cab9p-1, 0x1.20a3dac81dd26p-1, 0x1.1e3911311e51ap-1, 0x1.1bcbc6dbc1719p-1, 0x1.195c14b9790a5p-1, 0x1.16ea152de2c7dp-1, 0x1.1475e3f8bcdp-1, 0x1.11ff9e1f9c647p-1, 0x1.0f8761d78cc58p-1, 0x1.0d0d4e6eac8a4p-1, 0x1.0a918435e3d28p-1, 0x1.0814246accd3fp-1, 0x1.05955121dc9ddp-1, 0x1.03152d30e3293p-1, 0x1.0093dc19ef3fcp-1, 0x1.fc2303ed4581ap-2, 0x1.f71c86c80f164p-2, 0x1.f2148addd2016p-2, 0x1.ed0b5b017c79p-2, 0x1.e801429a59ca2p-2, 0x1.e2f68d804af99p-2, 0x1.ddeb87d9493f5p-2, 0x1.d8e07df82bc3bp-2, 0x1.d3d5bc3cbf91bp-2, 0x1.cecb8ef5314f4p-2, 0x1.c9c24240c7d88p-2, 0x1.c4ba21f3f6c95p-2, 0x1.bfb3797dc027cp-2, 0x1.baae93ce6a06cp-2, 0x1.b5abbb3f7ee4cp-2, 0x1.b0ab397d1af89p-2, 0x1.abad57707a8d3p-2, 0x1.a6b25d2bcc0fep-2, 0x1.a1ba91d7366b6p-2, 0x1.9cc63b9f16c5ap-2, 0x1.97d59fa36639bp-2, 0x1.92e901e844ebdp-2, 0x1.8e00a547a0c9ep-2, 0x1.891ccb63f321bp-2, 0x1.843db49c068a1p-2, 0x1.7f639fffc3ccdp-2, 0x1.7a8ecb45f6dd2p-2, 0x1.75bf72c30b6a7p-2, 0x1.70f5d160af77fp-2, 0x1.6c3220965802ep-2, 0x1.67749862a2717p-2, 0x1.62bd6f4584465p-2, 0x1.5e0cda3b412e2p-2, 0x1.59630cb826f69p-2, 0x1.54c038a4fac33p-2, 0x1.50248e5c1be5cp-2, 0x1.4b903ca74b33cp-2, 0x1.470370be14343p-2, 0x1.427e5644cd993p-2, 0x1.3e01174c2d7f1p-2, 0x1.398bdc5163d04p-2, 0x1.351ecc3ebcffp-2, 0x1.30ba0c6cb9bd1p-2, 0x1.2c5dc0a3a2488p-2, 0x1.280a0b1d86cb1p-2, 0x1.23bf0c88a4e15p-2, 0x1.1f7ce40a347c2p-2, 0x1.1b43af418e7afp-2, 0x1.17138a4ba9793p-2, 0x1.12ec8fc6ea9d1p-2, 0x1.0eced8d73e862p-2, 0x1.0aba7d2a7b3edp-2, 0x1.06af92fd03b54p-2, 0x1.02ae2f1ea7046p-2, 0x1.fd6cc9ef73967p-3, 0x1.f5908d1cbfc95p-3, 0x1.edc7c91814ebbp-3, 0x1.e6129c8635dbbp-3, 0x1.de7123696beb9p-3, 0x1.d6e3772d634abp-3, 0x1.cf69aeb34f8ffp-3, 0x1.c803de5e4dd62p-3, 0x1.c0b2181fed8cdp-3, 0x1.b9746b84f2753p-3, 0x1.b24ae5c23022p-3, 0x1.ab3591c19252fp-3, 0x1.a434782f3606cp-3, 0x1.9d479f869eb34p-3, 0x1.966f0c1ff6ec5p-3, 0x1.8faac03d64653p-3, 0x1.88fabc18594dep-3, 0x1.825efdeef201bp-3, 0x1.7bd782114d6dbp-3, 0x1.756442eedf5p-3, 0x1.6f053923bfd2ep-3, 0x1.68ba5b85e6eccp-3, 0x1.62839f3262793p-3, 0x1.5c60f79a6f4b4p-3, 0x1.565256908a54dp-3, 0x1.5057ac555b1ap-3, 0x1.4a70e7a49396cp-3, 0x1.449df5c1a50a5p-3, 0x1.3edec2846168ep-3, 0x1.3933386576fa7p-3, 0x1.339b408ac545bp-3, 0x1.2e16c2d39878fp-3, 0x1.28a5a5e4b2af5p-3, 0x1.2347cf34366d3p-3, 0x1.1dfd2315635edp-3, 0x1.18c584c427fd8p-3, 0x1.13a0d6708d61cp-3, 0x1.0e8ef949ee4e9p-3, 0x1.098fcd8a094bdp-3, 0x1.04a3327fddf8cp-3, 0x1.ff920d34b9446p-4, 0x1.f6024ee5d0359p-4, 0x1.ec96e3af491dap-4, 0x1.e34f83ab3135fp-4, 0x1.da2be5852df0fp-4, 0x1.d12bbe8dfda3ep-4, 0x1.c84ec2ce82522p-4, 0x1.bf94a51a78075p-4, 0x1.b6fd1722b716p-4, 0x1.ae87c98720225p-4, 0x1.a6346be817959p-4, 0x1.9e02acf7a212cp-4, 0x1.95f23a8a191f8p-4, 0x1.8e02c1a678892p-4, 0x1.8633ee965102fp-4, 0x1.7e856cf54ab49p-4, 0x1.76f6e7c04d5c2p-4, 0x1.6f8809643f3c6p-4, 0x1.68387bcc65ed2p-4, 0x1.6107e87062307p-4, 0x1.59f5f861ceb85p-4, 0x1.530254597a4b8p-4, 0x1.4c2ca4c44723ap-4, 0x1.457491cfa8d5bp-4, 0x1.3ed9c375c719cp-4, 0x1.385be18942474p-4, 0x1.31fa93c09efa5p-4, 0x1.2bb581c157796p-4, 0x1.258c532a91cd7p-4, 0x1.1f7eaf9f8195dp-4, 0x1.198c3ed16fc96p-4, 0x1.13b4a88972f41p-4, 0x1.0df794b1cc53p-4, 0x1.0854ab5ef7e36p-4, 0x1.02cb94d868b3fp-4, 0x1.fab7f341ed276p-5, 0x1.f00b04fdf70f9p-5, 0x1.e58fb1084b385p-5, 0x1.db454a29f6989p-5, 0x1.d12b23e02f3c8p-5, 0x1.c740926a347c1p-5, 0x1.bd84ead6a3dd9p-5, 0x1.b3f7831042fd5p-5, 0x1.aa97b1ea39343p-5, 0x1.a164cf2bc7c37p-5, 0x1.985e339b7ae4fp-5, 0x1.8f833909dd99cp-5, 0x1.86d33a5ba8d3ap-5, 0x1.7e4d93937aa4p-5, 0x1.75f1a1db14bcp-5, 0x1.6dbec38c212ffp-5, 0x1.65b458388866p-5, 0x1.5dd1c0b251269p-5, 0x1.56165f13182d6p-5, 0x1.4e8196c318321p-5, 0x1.4712cc7fc6462p-5, 0x1.3fc9666213c7p-5, 0x1.38a4cbe44012ap-5, 0x1.31a465e74e67bp-5, 0x1.2ac79eb81f3c9p-5, 0x1.240de2142d0d9p-5, 0x1.1d769d2debedep-5, 0x1.17013eb0d8866p-5, 0x1.10ad36c52ca78p-5, 0x1.0a79f71348361p-5, 0x1.0466f2c6c6009p-5, 0x1.fce73d22843cdp-6, 0x1.f13ee159b766fp-6, 0x1.e5d3c1bcd296ep-6, 0x1.daa4d0eecf16p-6, 0x1.cfb104af48a6bp-6, 0x1.c4f755dd53049p-6, 0x1.ba76c079c6e14p-6, 0x1.b02e43a91ce15p-6, 0x1.a61ce1b4cedcap-6, 0x1.9c41a00c417e4p-6, 0x1.929b874545befp-6, 0x1.8929a31c26f7cp-6, 0x1.7feb027359f6p-6, 0x1.76deb752c064p-6, 0x1.6e03d6e69220cp-6, 0x1.6559797de796ep-6, 0x1.5cdeba88ecd2bp-6, 0x1.5492b896bbedap-6, 0x1.4c749552e68d4p-6, 0x1.44837582b416dp-6, 0x1.3cbe810213e34p-6, 0x1.3524e2c03bb62p-6, 0x1.2db5c8bc1a93ap-6, 0x1.26706400658dcp-6, 0x1.1f53e89f89d38p-6, 0x1.185f8daf477f5p-6, 0x1.11928d4422dfdp-6, 0x1.0aec246c944fcp-6, 0x1.046b932c0bb92p-6, 0x1.fc2038eb81727p-7, 0x1.efb20c4e9a93ep-7, 0x1.e38b32064d48dp-7, 0x1.d7aa4155cb2afp-7, 0x1.cc0dd732cc035p-7, 0x1.c0b4963989455p-7, 0x1.b59d26a075fb2p-7, 0x1.aac6362ba0d8dp-7, 0x1.a02e781ff3205p-7, 0x1.95d4a53626564p-7, 0x1.8bb77b8d7d72bp-7, 0x1.81d5be9e6624ap-7, 0x1.782e372cc874dp-7, 0x1.6ebfb33a4b26fp-7, 0x1.658905f85a2cep-7, 0x1.5c8907ba1acf9p-7, 0x1.53be95e637069p-7, 0x1.4b2892e882d01p-7, 0x1.42c5e62395b6fp-7, 0x1.3a957be24bff3p-7, 0x1.329645492677dp-7, 0x1.2ac73847a5a8p-7, 0x1.23274f8990276p-7, 0x1.1bb58a682ff54p-7, 0x1.1470ecdb7ec7cp-7, 0x1.0d587f6b525b4p-7, 0x1.066b4f2084409p-7, 0x1.ff50daec1df32p-8, 0x1.f21de09462d4dp-8, 0x1.e53be39f1fcd7p-8, 0x1.d8a920fcad4dbp-8, 0x1.cc63de0ae4636p-8, 0x1.c06a68775862p-8, 0x1.b4bb1621f0ce7p-8, 0x1.a95444ff5eb3cp-8, 0x1.9e345afbc772ap-8, 0x1.9359c5dd84ad3p-8, 0x1.88c2fb27f6c6ap-8, 0x1.7e6e77fe90ceap-8, 0x1.745ac107ec4e4p-8, 0x1.6a8662511560bp-8, 0x1.60efef31089d9p-8, 0x1.5796022c31dc1p-8, 0x1.4e773cd8543b8p-8, 0x1.459247c07423cp-8, 0x1.3ce5d248fd82ap-8, 0x1.347092942b9e9p-8, 0x1.2c3145669730ap-8, 0x1.2426ae0c038c2p-8, 0x1.1c4f963c59ef7p-8, 0x1.14aace00effbap-8, 0x1.0d372b99fdbfp-8, 0x1.05f38b6446209p-8, 0x1.fdbd9f7e2feddp-9, 0x1.efefc1e500c06p-9, 0x1.e27b5a2b5b095p-9, 0x1.d55e4feb62a8ep-9, 0x1.c89695f8db4c2p-9, 0x1.bc222a2f9db9ap-9, 0x1.afff154298bb1p-9, 0x1.a42b6a8b444ep-9, 0x1.98a547d9afa4cp-9, 0x1.8d6ad54509df8p-9, 0x1.827a44fce1bbfp-9, 0x1.77d1d31ac1971p-9, 0x1.6d6fc57463fe3p-9, 0x1.63526b6e80cfbp-9, 0x1.59781dd03b5c3p-9, 0x1.4fdf3e96f66cbp-9, 0x1.468638cacb8a8p-9, 0x1.3d6b8053a978dp-9, 0x1.348d91ced0b1cp-9, 0x1.2beaf2650d9a8p-9, 0x1.23822fa17671ep-9, 0x1.1b51df48a3f87p-9, 0x1.13589f309f5d8p-9, 0x1.0b9515193611p-9, 0x1.0405ee850009fp-9, 0x1.f953c125d02ecp-10, 0x1.eaff4fb079fadp-10, 0x1.dd0c1076b642ep-10, 0x1.cf77999d9e7e5p-10, 0x1.c23f8f5a6ec8cp-10, 0x1.b561a3aabe128p-10, 0x1.a8db960e874f3p-10, 0x1.9cab33429ebb9p-10, 0x1.90ce54fcb7f46p-10, 0x1.8542e1a848bb2p-10, 0x1.7a06cc246a2e8p-10, 0x1.6f181382f0c27p-10, 0x1.6474c2c874097p-10, 0x1.5a1af0ad6db69p-10, 0x1.5008bf606918p-10, 0x1.463c5c49195fdp-10, 0x1.3cb3ffcc9028ap-10, 0x1.336ded1262aa8p-10, 0x1.2a6871caef2b2p-10, 0x1.21a1e5f65c33dp-10, 0x1.1918abacebcd5p-10, 0x1.10cb2ee7e6ba7p-10, 0x1.08b7e54bd0762p-10, 0x1.00dd4df34ab8cp-10, 0x1.f273e2764f42bp-11, 0x1.e398c11e42154p-11, 0x1.d5266c6f76474p-11, 0x1.c71a2a51dcdafp-11, 0x1.b97151a36d048p-11, 0x1.ac2949d9288d8p-11, 0x1.9f3f8aa197d26p-11, 0x1.92b19b8981b54p-11, 0x1.867d13a1abb32p-11, 0x1.7a9f9926ccb2dp-11, 0x1.6f16e12b20694p-11, 0x1.63e0af413fe65p-11, 0x1.58fad528e132dp-11, 0x1.4e63327d333bap-11, 0x1.4417b464bb3f7p-11, 0x1.3a165542b8792p-11, 0x1.305d1c69f661ap-11, 0x1.26ea1dd16f446p-11, 0x1.1dbb79ca1729ap-11, 0x1.14cf5cb6595a2p-11, 0x1.0c23fec2d3d6ap-11, 0x1.03b7a3a0aee3fp-11, 0x1.f7113482849dp-12, 0x1.e72a792608af3p-12, 0x1.d7b7de8026ba7p-12, 0x1.c8b642dba5ce2p-12, 0x1.ba2298fbdf465p-12, 0x1.abf9e7a1a802fp-12, 0x1.9e39491246bcep-12, 0x1.90ddeaa1550e2p-12, 0x1.83e50c3cb7f3cp-12, 0x1.774bfffb71e5bp-12, 0x1.6b1029ae55769p-12, 0x1.5f2efe73bb6bdp-12, 0x1.53a6044cabedcp-12, 0x1.4872d1b522278p-12, 0x1.3d930d3de286p-12, 0x1.33046d28fd0f8p-12, 0x1.28c4b7080f63ep-12, 0x1.1ed1bf5cf114dp-12, 0x1.1529693c4e098p-12, 0x1.0bc9a5f241d82p-12, 0x1.02b074a910e8p-12, 0x1.f3b7c4235c962p-13, 0x1.e294101d17ecbp-13, 0x1.d1f21abf43735p-13, 0x1.c1ce4aa25abf3p-13, 0x1.b2251ed6ed524p-13, 0x1.a2f32e49d9ef4p-13, 0x1.9435272b9b5acp-13, 0x1.85e7ce5af4008p-13, 0x1.7807fed3386fbp-13, 0x1.6a92a91da15c6p-13, 0x1.5d84d2c61b248p-13, 0x1.50db95d3679cap-13, 0x1.44942041d162ep-13, 0x1.38abb381669e9p-13, 0x1.2d1fa3f759e4p-13, 0x1.21ed588193585p-13, 0x1.171249fe2b6eap-13, 0x1.0c8c02d4cdd66p-13, 0x1.02581e8362148p-13, 0x1.f0e8925aee5b5p-14, 0x1.ddbc7e5be3271p-14, 0x1.cb2799578695cp-14, 0x1.b9259a62064eap-14, 0x1.a7b256886df51p-14, 0x1.96c9c009949bp-14, 0x1.8667e5927e58ap-14, 0x1.7688f17fe0954p-14, 0x1.6729292462245p-14, 0x1.5844ec1377538p-14, 0x1.49d8b3700eb6dp-14, 0x1.3be1114000fd3p-14, 0x1.2e5aafc40c242p-14, 0x1.214250d2edf74p-14, 0x1.1494cd39be142p-14, 0x1.084f141f18af2p-14, 0x1.f8dc54d5caefcp-15, 0x1.e1de546381833p-15, 0x1.cb9e8447bd849p-15, 0x1.b61769ff05b4ep-15, 0x1.a143b20ffb754p-15, 0x1.8d1e2efc2466ep-15, 0x1.79a1d83c0b3ecp-15, 0x1.66c9c93ef7551p-15, 0x1.5491407170c1dp-15, 0x1.42f39e4bee251p-15, 0x1.31ec646552746p-15, 0x1.2177348d5e0c5p-15, 0x1.118fcfeb41ec7p-15, 0x1.023216235bbcbp-15, 0x1.e6b40903ec7e4p-16, 0x1.ca076a57ac4aep-16, 0x1.ae56bca5f799p-16, 0x1.939aa2e5dbe71p-16, 0x1.79cbf51f9f3e3p-16, 0x1.60e3bef75f13bp-16, 0x1.48db3e40ad67fp-16, 0x1.31abe19c9c5ap-16, 0x1.1b4f471ec2989p-16, 0x1.05bf3aff00c11p-16, 0x1.e1eb6ca14ca6dp-17, 0x1.b9d9bb87b3bb2p-17, 0x1.933e00e0341c3p-17, 0x1.6e0d2d49c4b4ep-17, 0x1.4a3c818963d71p-17, 0x1.27c18c4a3d807p-17, 0x1.069227f543bb6p-17, 0x1.cd48f11ccf257p-18, 0x1.8fddd3529c70ap-18, 0x1.54d058c51ce21p-18, 0x1.1c0e6adf9f214p-18, 0x1.cb0cece4cc522p-19, 0x1.624ecff8283dcp-19, 0x1.fb82a054bea4ep-20, 0x1.3a885fc37bd64p-20, 0x1.02e06fa0f98a5p-21, -0x1.8015b30937dc7p-23, -0x1.b4171e07ae688p-21, -0x1.7ce3c823d47bcp-20, -0x1.0c619ae5641d9p-19, -0x1.56f00af8705f2p-19, -0x1.9e378df338d97p-19, -0x1.e251bdc60f682p-19, -0x1.11abbd116bffap-18, -0x1.30b076dfb677p-18, -0x1.4e42c9bf8842fp-18, -0x1.6a6e1db96204ep-18, -0x1.853d87da7aa16p-18, -0x1.9ebbcc935b25fp-18, -0x1.b6f362028b8ffp-18, -0x1.cdee722e96a26p-18, -0x1.e3b6dd367fceep-18, -0x1.f8563b677427cp-18, -0x1.05eaefa73901dp-17, -0x1.0f1f6bda30cc2p-17, -0x1.17ccf8c769f72p-17, -0x1.1ff7dcef69bd4p-17, -0x1.27a43fc20acc9p-17, -0x1.2ed62a845533ep-17, -0x1.3591892a422cfp-17, -0x1.3bda2b2f66e04p-17, -0x1.41b3c46559c78p-17, -0x1.4721edc05e343p-17, -0x1.4c2826196def4p-17, -0x1.50c9d2ef90b81p-17, -0x1.550a411f528b2p-17, -0x1.58eca597ddc69p-17, -0x1.5c741e09b30b5p-17, -0x1.5fa3b1911f761p-17, -0x1.627e5159bee0ep-17, -0x1.6506d9412034cp-17, -0x1.6740106fcf20ap-17, -0x1.692ca9f1ab1bfp-17, -0x1.6acf4548bcf76p-17, -0x1.6c2a6efab1e42p-17, -0x1.6d40a11ca1d02p-17, -0x1.6e1443d7f1c9fp-17, -0x1.6ea7aded6efd4p-17, -0x1.6efd25334e8f6p-17, -0x1.6f16df116d48dp-17, -0x1.6ef700f6507c5p-17, -0x1.6e9fa0cd7deb5p-17, -0x1.6e12c56d6925ep-17, -0x1.6d526706eeac1p-17, -0x1.6c606f8d3581p-17, -0x1.6b3ebb1ddd203p-17, -0x1.69ef1864c477p-17, -0x1.687348fc281f4p-17, -0x1.66cd01cb1ea9cp-17, -0x1.64fdeb6107cfp-17, -0x1.6307a24da0b24p-17, -0x1.60ebb777e69e9p-17, -0x1.5eabb0708fe6ap-17, -0x1.5c4907c45988cp-17, -0x1.59c52d48c2158p-17, -0x1.5721866a84c8cp-17, -0x1.545f6e767d927p-17, -0x1.518036e185647p-17, -0x1.4e85278eb4a35p-17, -0x1.4b6f7f132dc9cp-17, -0x1.484072f75604cp-17, -0x1.44f92ff7365b8p-17, -0x1.419ada402c1e1p-17, -0x1.3e268dad5ddb3p-17, -0x1.3a9d5e01b19f5p-17, -0x1.37005720828a9p-17, -0x1.33507d45144e6p-17, -0x1.2f8ecd3785a4cp-17, -0x1.2bbc3c810c2f7p-17, -0x1.27d9b99dd10ap-17, -0x1.23e82c2e54723p-17, -0x1.1fe875265b141p-17, -0x1.1bdb6efae06fp-17, -0x1.17c1edcfe47a5p-17, -0x1.139cbfa261fe2p-17, -0x1.0f6cac737bebbp-17, -0x1.0b327670df785p-17, -0x1.06eeda1cf6f23p-17, -0x1.02a28e74dd226p-17, -0x1.fc9c8a2cf9451p-18, -0x1.f3e554c9a98c2p-18, -0x1.eb20cb55633c1p-18, -0x1.e250327ba8cc3p-18, -0x1.d974c53fcd72ep-18, -0x1.d08fb53d80875p-18, -0x1.c7a22ae8c0fdcp-18, -0x1.bead45caa7d3ep-18, -0x1.b5b21cbb73c84p-18, -0x1.acb1be1e76b3ep-18, -0x1.a3ad3018722afp-18, -0x1.9aa570c6df992p-18, -0x1.919b7674cf447p-18, -0x1.88902fce05624p-18, -0x1.7f848411c95ap-18, -0x1.767953436142p-18, -0x1.6d6f76589384bp-18, -0x1.6467bf686f6cbp-18, -0x1.5b62f9d7df52p-18, -0x1.5261ea851edecp-18, -0x1.49654ff181d93p-18, -0x1.406de26b0df65p-18, -0x1.377c5434a407bp-18, -0x1.2e9151abff2e2p-18, -0x1.25ad81714abdfp-18, -0x1.1cd1848a8babp-18, -0x1.13fdf687b80c1p-18, -0x1.0b336da62ea64p-18, -0x1.02727af1aa90ap-18, -0x1.f37754cc7edfbp-19, -0x1.e21f061f862dfp-19, -0x1.d0dd0e5463d57p-19, -0x1.bfb2687d77068p-19, -0x1.aea0068536a3dp-19, -0x1.9da6d1678e05ap-19, -0x1.8cc7a96a7495cp-19, -0x1.7c0366533f404p-19, -0x1.6b5ad79ef5c49p-19, -0x1.5acec4b3fc8d1p-19, -0x1.4a5fed15545bp-19, -0x1.3a0f0895acfafp-19, -0x1.29dcc7849e549p-19, -0x1.19c9d2e108ff3p-19, -0x1.09d6cc8562f82p-19, -0x1.f4089ea9ef3a9p-20, -0x1.d4a5dece42d52p-20, -0x1.b586746556fccp-20, -0x1.96ab6d6aa049ep-20, -0x1.7815cb3e70acfp-20, -0x1.59c682f0f1446p-20, -0x1.3bbe7d8f07587p-20, -0x1.1dfe98709c6fap-20, -0x1.0087a57fe9dcep-20, -0x1.c6b4d705107eap-21, -0x1.8cef4cbce8fc7p-21, -0x1.53c00ebfeb67ap-21, -0x1.1b286af819b0ap-21, -0x1.c6533646e8318p-22, -0x1.57898aa5b55f1p-22, -0x1.d3ebf19297ae5p-23, -0x1.f66a042f310bbp-24, -0x1.278ff3e54cb19p-26, 0x1.5db3517966f78p-24, 0x1.802ac868f4ad1p-23, 0x1.277f3c896605bp-22, 0x1.8da90a94354e7p-22, 0x1.f2919bae9b9bdp-22, 0x1.2b1bee47d649fp-21, 0x1.5c4d6c3418578p-21, 0x1.8cdcdc1962e4ep-21, 0x1.bcc9e0f218a9p-21, 0x1.ec142bda1069cp-21, 0x1.0d5dbdd644f0fp-20, 0x1.245fce573b196p-20, 0x1.3b103418be39p-20, 0x1.516ee21e85fc5p-20, 0x1.677bd19b0555fp-20, 0x1.7d3701c7e6c37p-20, 0x1.92a077bc5cdbbp-20, 0x1.a7b83e43dcf01p-20, 0x1.bc7e65b767617p-20, 0x1.d0f303d7b315fp-20, 0x1.e51633a6691ffp-20, 0x1.f8e8154167355p-20, 0x1.063466dfb6158p-19, 0x1.0fcc438535e2bp-19, 0x1.193bb7dfa90d9p-19, 0x1.2282dd84d24b5p-19, 0x1.2ba1d04197256p-19, 0x1.3498ae0a76f89p-19, 0x1.3d6796e94c79p-19, 0x1.460eacf05d5ap-19, 0x1.4e8e1428b89e6p-19, 0x1.56e5f2847f5f2p-19, 0x1.5f166fcfbd36ep-19, 0x1.671fb5a147983p-19, 0x1.6f01ef4d5a2a9p-19, 0x1.76bd49d761e6cp-19, 0x1.7e51f3e420651p-19, 0x1.85c01dabf4113p-19, 0x1.8d07f8eeebce1p-19, 0x1.9429b8e723562p-19, 0x1.9b25923bbfde1p-19, 0x1.a1fbbaf59d0eap-19, 0x1.a8ac6a724f6b5p-19, 0x1.af37d958aaaccp-19, 0x1.b59e418d1b25ap-19, 0x1.bbdfde263274ep-19, 0x1.c1fceb60e8b4p-19, 0x1.c7f5a697479c8p-19, 0x1.cdca4e332fd33p-19, 0x1.d37b21a5b2b85p-19, 0x1.d908615c41167p-19, 0x1.de724eb674e2bp-19, 0x1.e3b92bfbe4c96p-19, 0x1.e8dd3c52ef085p-19, 0x1.eddec3b6ee679p-19, 0x1.f2be06eee6864p-19, 0x1.f77b4b83fcd9p-19, 0x1.fc16d7b938832p-19, 0x1.0048794130aefp-18, 0x1.0274f1bd6dc5p-18, 0x1.0490f96edb213p-18, 0x1.069cb4bef0a74p-18, 0x1.0898485e7425dp-18, 0x1.0a83d9420c40ep-18, 0x1.0c5f8c9e0a763p-18, 0x1.0e2b87e2d9b6bp-18, 0x1.0fe7f0b8ba019p-18, 0x1.1194ecfd07739p-18, 0x1.1332a2bdd9a2fp-18, 0x1.14c13836b88cfp-18, 0x1.1640d3cd6b737p-18, 0x1.17b19c0e67bfep-18, 0x1.1913b7a971797p-18, 0x1.1a674d6ea5835p-18, 0x1.1bac844b259ap-18, 0x1.1ce383460cf3bp-18, 0x1.1e0c717da6e14p-18, 0x1.1f2776242af03p-18, 0x1.2034b87d09bd5p-18, 0x1.21345fd9f451p-18, 0x1.222693986af34p-18, 0x1.230b7b1ec1125p-18, 0x1.23e33dd9a77a6p-18, 0x1.24ae033974d53p-18, 0x1.256bf2afd75ecp-18, 0x1.261d33ad4fd5dp-18, 0x1.26c1ed9e8f069p-18, 0x1.275a47ea7b5e8p-18, 0x1.27e669efd10c4p-18, 0x1.28667b02c1d49p-18, 0x1.28daa26ad7c6bp-18, 0x1.2943076109cd7p-18, 0x1.299fd10d5fd78p-18, 0x1.29f12685288e2p-18, 0x1.2a372ec8f96f8p-18, 0x1.2a7210c2a76aap-18, 0x1.2aa1f3436a6d6p-18, 0x1.2ac6fd0248b79p-18, 0x1.2ae1549a0687ap-18, 0x1.2af120879f8cfp-18, 0x1.2af687287ae42p-18, 0x1.2af1aeb8f6b2p-18, 0x1.2ae2bd52abfa2p-18, 0x1.2ac9d8eaeefc2p-18, 0x1.2aa7275140946p-18, 0x1.2a7ace2dfab2dp-18, 0x1.2a44f300d2bd6p-18, 0x1.2a05bb1f6ca92p-18, 0x1.29bd4bb445fd7p-18, 0x1.296bc9bd27348p-18, 0x1.29115a09e6638p-18, 0x1.28ae213b5f366p-18, 0x1.284243c22eacdp-18, 0x1.27cde5dd8835cp-18, 0x1.27512b9a218fp-18, 0x1.26cc38d142196p-18, 0x1.263f31278b44dp-18, 0x1.25aa380c0b59dp-18, 0x1.250d70b74ba63p-18, 0x1.2468fe2a7d80ep-18, 0x1.23bd032e679afp-18, 0x1.2309a252a1234p-18, 0x1.224efdecd793ep-18, 0x1.218d3817fa454p-18, 0x1.20c472b3603d5p-18, 0x1.1ff4cf620960ap-18, 0x1.1f1e6f8a05af4p-18, 0x1.1e417453b504cp-18, 0x1.1d5dfea93aba2p-18, 0x1.1c742f35e045cp-18, 0x1.1b8426656ce85p-18, 0x1.1a8e04638e106p-18, 0x1.1991e91b59f96p-18, 0x1.188ff436ee893p-18, 0x1.1788451ed3f0ap-18, 0x1.167afaf9875bfp-18, 0x1.156834ab2713p-18, 0x1.145010d50e751p-18, 0x1.1332add55a9c2p-18, 0x1.121029c698813p-18, 0x1.10e8a27f690a5p-18, 0x1.0fbc35924439dp-18, 0x1.0e8b004d3698fp-18, 0x1.0d551fb99365ep-18, 0x1.0c1ab09b997eep-18, 0x1.0adbcf726542ap-18, 0x1.09989877a837ep-18, 0x1.0851279f8ac9bp-18, 0x1.0705989867644p-18, 0x1.05b606cac2633p-18, 0x1.04628d592653ap-18, 0x1.030b47200e566p-18, 0x1.01b04eb5d1155p-18, 0x1.0051be6a69b65p-18, 0x1.fddf608f37c49p-19, 0x1.fb147c217b2b2p-19, 0x1.f8430285c1421p-19, 0x1.f56b2629a14b4p-19, 0x1.f28d18edf80bp-19, 0x1.efa90c26e60dp-19, 0x1.ecbf309c39228p-19, 0x1.e9cfb68972263p-19, 0x1.e6dacd9d911a4p-19, 0x1.e3e0a4fba8bb9p-19, 0x1.e0e16b3b386f3p-19, 0x1.dddd4e682d694p-19, 0x1.dad47c0327da3p-19, 0x1.d7c721019eac3p-19, 0x1.d4b569ce73a98p-19, 0x1.d19f8249fc226p-19, 0x1.ce8595caa4104p-19, 0x1.cb67cf1d7c78cp-19, 0x1.c8465886481bfp-19, 0x1.c5215bbfcd504p-19, 0x1.c1f901fc9564bp-19, 0x1.becd73e779dcbp-19, 0x1.bb9ed9a3ec7ebp-19, 0x1.b86d5ace603eep-19, 0x1.b5391e7ce201dp-19, 0x1.b2024b40278c9p-19, 0x1.aec90723b0f3ep-19, 0x1.ab8d77ae4083bp-19, 0x1.a84fc1e2aee2p-19, 0x1.a5100a4051ab6p-19, 0x1.a1ce74c3af4dfp-19, 0x1.9e8b24e7752f6p-19, 0x1.9b463da4cf4c3p-19, 0x1.97ffe1743448dp-19, 0x1.94b8324e0c9e6p-19, 0x1.916f51ab40698p-19, 0x1.8e25608642513p-19, 0x1.8ada7f5b93896p-19, 0x1.878ece2a88657p-19, 0x1.84426c7628031p-19, 0x1.80f57945d6588p-19, 0x1.7da813262294p-19, 0x1.7a5a582997362p-19, 0x1.770c65e9af107p-19, 0x1.73be5987407e9p-19, 0x1.70704fab56b96p-19, 0x1.6d22648839485p-19, 0x1.69d4b3da84bdfp-19, 0x1.668758e9a4edbp-19, 0x1.633a6e88a34b1p-19, 0x1.5fee0f173f12fp-19, 0x1.5ca254827f239p-19, 0x1.59575845de52ap-19, 0x1.560d336bcdb4ep-19, 0x1.52c3fe8f36d8ep-19, 0x1.4f7bd1dbc74b1p-19, 0x1.4c34c50f10d0bp-19, 0x1.48eeef7953be6p-19, 0x1.45aa67fee587p-19, 0x1.426745186a615p-19, 0x1.3f259cd3ff4f5p-19, 0x1.3be584d6087e1p-19, 0x1.38a7125a496e7p-19, 0x1.356a5a3506eafp-19, 0x1.322f70d38cc4bp-19, 0x1.2ef66a3d2802bp-19, 0x1.2bbf5a143e772p-19, 0x1.288a53973554fp-19, 0x1.255769a150da9p-19, 0x1.2226aeaba547cp-19, 0x1.1ef834ce020fdp-19, 0x1.1bcc0dbfd9965p-19, 0x1.18a24ad95a7f4p-19, 0x1.157afd148ab9cp-19, 0x1.1256350db3dffp-19, 0x1.0f340304926f1p-19, 0x1.0c1476dd51b12p-19, 0x1.08f7a021740d2p-19, 0x1.05dd8e00b2b1ep-19, 0x1.02c64f51dcad4p-19, 0x1.ff63e52861986p-20, 0x1.f9410bdfea6dfp-20, 0x1.f3242e6e9728bp-20, 0x1.ed0d67ced1cdfp-20, 0x1.e6fcd2528e347p-20, 0x1.e0f287a56a323p-20, 0x1.daeea0ce77526p-20, 0x1.d4f1363223abap-20, 0x1.cefa5f93db3bfp-20, 0x1.c90a34187fb5ap-20, }}, 
      {{-0x1.1fd3528b41836p-15, -0x1.1fa63e97843b2p-13, -0x1.4336db4b79065p-12, -0x1.1ec46f9aa2f8ep-11, -0x1.befd7be3e3887p-11, -0x1.40f19273b870fp-10, -0x1.b39c240eeb27fp-10, -0x1.1bc131e92a83fp-9, -0x1.666a6ffa38c52p-9, -0x1.b9fa25e1f03f4p-9, -0x1.0b5bab493d035p-8, -0x1.3e7dd44f36c21p-8, -0x1.7696c2bcddc05p-8, -0x1.b3dc90c9634d6p-8, -0x1.f6848d286a255p-8, -0x1.1f5fcd5a182b4p-7, -0x1.465b6a6835fap-7, -0x1.70444e322a50bp-7, -0x1.9d2311c776365p-7, -0x1.ccf8c1907fdb8p-7, -0x1.ffbe2e230d95p-7, -0x1.1ab1c0922ae9p-6, -0x1.36e808eaea626p-6, -0x1.547139a772dd1p-6, -0x1.73385ab238e25p-6, -0x1.9324685da58bep-6, -0x1.b4189b3000ab6p-6, -0x1.d5f4bdb46d863p-6, -0x1.f8958cc537p-6, -0x1.0dea8f84c9e0dp-5, -0x1.1fc5a85a20773p-5, -0x1.31c71875945efp-5, -0x1.43d9374e9b96p-5, -0x1.55e5e173d3bb6p-5, -0x1.67d6abc1dc0ccp-5, -0x1.79951403cc4fbp-5, -0x1.8b0aae87b62cdp-5, -0x1.9c215052bdf46p-5, -0x1.acc335bd2fe74p-5, -0x1.bcdb2557a14f2p-5, -0x1.cc548f0f07eccp-5, -0x1.db1ba796d5644p-5, -0x1.e91d802df7defp-5, -0x1.f6481ade99dbap-5, -0x1.01453db06b01fp-4, -0x1.06ea5a675e97p-4, -0x1.0c0bfa2e3214fp-4, -0x1.10a344a4b04c5p-4, -0x1.14a9f5214e209p-4, -0x1.181a5c35e2aa8p-4, -0x1.1aef602396ff6p-4, -0x1.1d247c58ea0b2p-4, -0x1.1eb5c013c932ap-4, -0x1.1f9fcc40bfe5p-4, -0x1.1fdfd0af08de9p-4, -0x1.1f7388b00b2e9p-4, -0x1.1e5937375fd8p-4, -0x1.1c8fa28f2a6d4p-4, -0x1.1a160fb30e47dp-4, -0x1.16ec3d62a34b7p-4, -0x1.13125efae90eep-4, -0x1.0e891724ca6cdp-4, -0x1.095172657729cp-4, -0x1.036ce19c07406p-4, -0x1.f9ba68ed40fap-5, -0x1.eb4927d063f6fp-5, -0x1.db8af94d6378p-5, -0x1.ca857371992dep-5, -0x1.b83ebe31f4923p-5, -0x1.a4bd88e609d19p-5, -0x1.9009000084289p-5, -0x1.7a28c30bfcb3ep-5, -0x1.6324daf1d4bcep-5, -0x1.4b05b08f86147p-5, -0x1.31d4039daf392p-5, -0x1.1798e1eb51153p-5, -0x1.f8bb3ddd5392ap-6, -0x1.c05797590864dp-6, -0x1.861a5dec3eb17p-6, -0x1.4a177bfa85a68p-6, -0x1.0c632a7b51964p-6, -0x1.9a23c6ea0f1a7p-7, -0x1.1870aa3a50cb9p-7, -0x1.27ad566828683p-8, -0x1.8ff5d88aeeb31p-12, 0x1.f5a90e587481ap-9, 0x1.09bd16af7f01bp-7, 0x1.984ebb72d742dp-7, 0x1.147a9dc7376c6p-6, 0x1.5dc36589045ep-6, 0x1.a7ecec8402e69p-6, 0x1.f2e28f8954916p-6, 0x1.1f47ec05a6292p-5, 0x1.4570417ebc178p-5, 0x1.6be043a1f857cp-5, 0x1.928e0ddaf6458p-5, 0x1.b96fde5bca1bp-5, 0x1.e07c18b78a974p-5, 0x1.03d4a426208c5p-4, 0x1.1777113f11cd5p-4, 0x1.2b20c462e128bp-4, 0x1.3ecd454975cd8p-4, 0x1.52783382e4a58p-4, 0x1.661d473ff5cdfp-4, 0x1.79b85207566fep-4, 0x1.8d453f58384e5p-4, 0x1.a0c0153b16b4fp-4, 0x1.b424f4c158f65p-4, 0x1.c7701a747237fp-4, 0x1.da9ddeb52f2b8p-4, 0x1.edaab60bed979p-4, 0x1.004998b51a0acp-3, 0x1.09a9ff2f34182p-3, 0x1.12f4f39d209c2p-3, 0x1.1c28e99640826p-3, 0x1.254463274172p-3, 0x1.2e45f0d32bd8p-3, 0x1.372c318ee8c59p-3, 0x1.3ff5d2b7995b4p-3, 0x1.48a19003fb90ep-3, 0x1.512e33711baf3p-3, 0x1.599a952aac33ap-3, 0x1.61e59b6f258b3p-3, 0x1.6a0e3a70091f2p-3, 0x1.7213742e748eep-3, 0x1.79f458544fdd2p-3, 0x1.81b0040a436a8p-3, 0x1.8945a1cabec0bp-3, 0x1.90b469323c295p-3, 0x1.97fb9ecd0307cp-3, 0x1.9f1a93e293306p-3, 0x1.a610a63ef3494p-3, 0x1.acdd3ffa161b4p-3, 0x1.b37fd73d7ae38p-3, 0x1.b9f7ee084a9d2p-3, 0x1.c04511f2067fbp-3, 0x1.c666dbec07e71p-3, 0x1.cc5cf001eb28p-3, 0x1.d226fd1917741p-3, 0x1.d7c4bcaf81b58p-3, 0x1.dd35f299ca0cdp-3, 0x1.e27a6cc0e451ep-3, 0x1.e79202df61957p-3, 0x1.ec7c963e6d1bdp-3, 0x1.f13a1172b9829p-3, 0x1.f5ca681950df2p-3, 0x1.fa2d9694864a3p-3, 0x1.fe63a1c90634cp-3, 0x1.01364b6d92279p-2, 0x1.0324457640b34p-2, 0x1.04fbcd6d08211p-2, 0x1.06bcf57d4ec79p-2, 0x1.0867d36ee827cp-2, 0x1.09fc8085e7628p-2, 0x1.0b7b1962c0d7fp-2, 0x1.0ce3bde2c57fdp-2, 0x1.0e369100fd40ep-2, 0x1.0f73b8b7666ffp-2, 0x1.109b5de09a76dp-2, 0x1.11adac19e3f36p-2, 0x1.12aad1a5c3ab8p-2, 0x1.1392ff4ee8bbp-2, 0x1.1466684ba2252p-2, 0x1.15254221ca393p-2, 0x1.15cfc48b2c3afp-2, 0x1.1666295a6844ap-2, 0x1.16e8ac605a38fp-2, 0x1.17578b51fd2b7p-2, 0x1.17b305aed39bcp-2, 0x1.17fb5ca7d16e2p-2, 0x1.1830d306c9656p-2, 0x1.1853ad165d3aep-2, 0x1.1864308a736bp-2, 0x1.1862a46930f1ap-2, 0x1.184f50f471b18p-2, 0x1.182a7f93caf3cp-2, 0x1.17f47abf0c21fp-2, 0x1.17ad8de9405bfp-2, 0x1.1756056c37842p-2, 0x1.16ee2e7486ecp-2, 0x1.167656ee12c7fp-2, 0x1.15eecd710d10ep-2, 0x1.1557e12f7856dp-2, 0x1.14b1e1e324d76p-2, 0x1.13fd1fbc24c41p-2, 0x1.1339eb4fc3284p-2, 0x1.12689587e7702p-2, 0x1.11896f92fb8fap-2, 0x1.109ccad43e5a2p-2, 0x1.0fa2f8d48ecc6p-2, 0x1.0e9c4b33abe2bp-2, 0x1.0d891399dfbfbp-2, 0x1.0c69a3aa2201fp-2, 0x1.0b3e4cf4a104ap-2, 0x1.0a0760e9bfabep-2, 0x1.08c530cd77077p-2, 0x1.07780dab27abp-2, 0x1.06204849d18p-2, 0x1.04be3120b211p-2, 0x1.0352184c486d3p-2, 0x1.01dc4d83bce2p-2, 0x1.005d200eaba98p-2, 0x1.fda9bd76a0b42p-3, 0x1.fa87afaa1fcb8p-3, 0x1.f754b236c24fcp-3, 0x1.f4115f72255f7p-3, 0x1.f0be5077d2c5cp-3, 0x1.ed5c1d1935335p-3, 0x1.e9eb5bce38df6p-3, 0x1.e66ca1a69dd6fp-3, 0x1.e2e0823bed05ep-3, 0x1.df478fa41b6a5p-3, 0x1.dba25a64ce3f5p-3, 0x1.d7f1716741e27p-3, 0x1.d43561eccb888p-3, 0x1.d06eb783fb097p-3, 0x1.cc9dfbfe4f911p-3, 0x1.c8c3b76689c2dp-3, 0x1.c4e06ff788d8ap-3, 0x1.c0f4aa13bfed2p-3, 0x1.bd00e83d2c93dp-3, 0x1.b905ab0de75f8p-3, 0x1.b50371312a471p-3, 0x1.b0fab75cebb18p-3, 0x1.acebf84bf2037p-3, 0x1.a8d7acb865d7p-3, 0x1.a4be4b56e580bp-3, 0x1.a0a048d211f79p-3, 0x1.9c7e17c689b08p-3, 0x1.985828bf63048p-3, 0x1.942eea330d81ep-3, 0x1.9002c880a9fb5p-3, 0x1.8bd42dedc8a17p-3, 0x1.87a382a48fc76p-3, 0x1.83712cb24ed96p-3, 0x1.7f3d90066bec7p-3, 0x1.7b090e71badc1p-3, 0x1.76d407a62d3eap-3, 0x1.729ed936dcf38p-3, 0x1.6e69de9873ee9p-3, 0x1.6a357121e40eap-3, 0x1.6601e80d7a6e9p-3, 0x1.61cf987a3c9a6p-3, 0x1.5d9ed56d9790bp-3, 0x1.596fefd55989bp-3, 0x1.55433689f762ep-3, 0x1.5118f65111603p-3, 0x1.4cf179e049ba7p-3, 0x1.48cd09e04d517p-3, 0x1.44abecf028033p-3, 0x1.408e67a8cdca4p-3, 0x1.3c74bca0e5d48p-3, 0x1.385f2c70c89ep-3, 0x1.344df5b6b3b46p-3, 0x1.3041551b3402fp-3, 0x1.2c398555c1613p-3, 0x1.2836bf3184598p-3, 0x1.2439399250b77p-3, 0x1.20412979c4256p-3, 0x1.1c4ec20c8d415p-3, 0x1.18623497df8d6p-3, 0x1.147bb09707ecp-3, 0x1.109b63b91d424p-3, 0x1.0cc179e6ddf5dp-3, 0x1.08ee1d48a0c55p-3, 0x1.0521764c68cfap-3, 0x1.015babac0c141p-3, 0x1.fb39c4e6fdc84p-4, 0x1.f3ca7c0e5589p-4, 0x1.ec69c054ba1c5p-4, 0x1.e517d20b9c602p-4, 0x1.ddd4ee5c637a4p-4, 0x1.d6a14f55bff84p-4, 0x1.cf7d2bf905f8fp-4, 0x1.c868b847b3508p-4, 0x1.c1642551003b7p-4, 0x1.ba6fa13f836acp-4, 0x1.b38b5766ecef7p-4, 0x1.acb77051c9f14p-4, 0x1.a5f411cf4dacfp-4, 0x1.9f415f012dcc5p-4, 0x1.989f786975c55p-4, 0x1.920e7bf867f21p-4, 0x1.8b8e851a56375p-4, 0x1.851facc57fc4ap-4, 0x1.7ec20987df868p-4, 0x1.7875af94fdc37p-4, 0x1.723ab0d3b1025p-4, 0x1.6c111cebd5f7cp-4, 0x1.65f90153fa155p-4, 0x1.5ff2695ef4da8p-4, 0x1.59fd5e4971ab5p-4, 0x1.5419e747645cbp-4, 0x1.4e4809916a0d5p-4, 0x1.4887c87211b7bp-4, 0x1.42d925530d30fp-4, 0x1.3d3c1fca47f17p-4, 0x1.37b0b5a6e42e3p-4, 0x1.3236e2fe15fe2p-4, 0x1.2ccea237e6ed1p-4, 0x1.2777ec1bd4153p-4, 0x1.2232b7dd50c7ap-4, 0x1.1cfefb28249d5p-4, 0x1.17dcaa2ca3b4cp-4, 0x1.12cbb7abcc332p-4, 0x1.0dcc150332825p-4, 0x1.08ddb238d2ff7p-4, 0x1.04007e06b6185p-4, 0x1.fe68cbccde3b8p-5, 0x1.f4f2ac38e5f3p-5, 0x1.eb9e73868d8fdp-5, 0x1.e26bf5ad0709cp-5, 0x1.d95b047b611d1p-5, 0x1.d06b6fade61b6p-5, 0x1.c79d050328c2cp-5, 0x1.beef9050b1ba9p-5, 0x1.b662db975e9abp-5, 0x1.adf6af1763014p-5, 0x1.a5aad163f31bp-5, 0x1.9d7f077694ccep-5, 0x1.957314c213a0fp-5, 0x1.8d86bb451d714p-5, 0x1.85b9bb9c88df3p-5, 0x1.7e0bd5153567cp-5, 0x1.767cc5bd9f787p-5, 0x1.6f0c4a770baa7p-5, 0x1.67ba1f066388p-5, 0x1.6085fe24af194p-5, 0x1.596fa18f3898p-5, 0x1.5276c2175399ap-5, 0x1.4b9b17b1cbeap-5, 0x1.44dc5985f7dccp-5, 0x1.3e3a3dfc7a663p-5, 0x1.37b47acd9a98fp-5, 0x1.314ac50f573abp-5, 0x1.2afcd14317d61p-5, 0x1.24ca53630304ap-5, 0x1.1eb2feef0a7ccp-5, 0x1.18b686f993327p-5, 0x1.12d49e33d6bfap-5, 0x1.0d0cf6f9e248fp-5, 0x1.075f435e4df52p-5, 0x1.01cb35359a528p-5, 0x1.f8a0fc427782bp-6, 0x1.eddd9f34b4723p-6, 0x1.e34bb5f87b54ap-6, 0x1.d8eaa31cc9c24p-6, 0x1.ceb9c91cc07aep-6, 0x1.c4b88a728f952p-6, 0x1.bae649a9eb0d1p-6, 0x1.b1426971e4833p-6, 0x1.a7cc4cae248adp-6, 0x1.9e8356879ac03p-6, 0x1.9566ea7c96936p-6, 0x1.8c766c7064eeap-6, 0x1.83b140ba4715fp-6, 0x1.7b16cc33f4b75p-6, 0x1.72a67447897ffp-6, 0x1.6a5f9efd00b2cp-6, 0x1.6241b30711b61p-6, 0x1.5a4c17cfa5e41p-6, 0x1.527e3583c7403p-6, 0x1.4ad7751f06a8p-6, 0x1.4357407680344p-6, 0x1.3bfd02435c033p-6, 0x1.34c8262cd3295p-6, 0x1.2db818d1d3866p-6, 0x1.26cc47d21e9b1p-6, 0x1.200421d70c2fep-6, 0x1.195f169bde817p-6, 0x1.12dc96f5a3053p-6, 0x1.0c7c14dab42e8p-6, 0x1.063d0369d52b2p-6, 0x1.001ed6f0f170bp-6, 0x1.f44209e6d05cap-7, 0x1.e886086036741p-7, 0x1.dd08994df0958p-7, 0x1.d1c8af3c9c3f3p-7, 0x1.c6c53f4f7fae8p-7, 0x1.bbfd41499d734p-7, 0x1.b16faf965fddep-7, 0x1.a71b875171527p-7, 0x1.9cffc84e1cfaep-7, 0x1.931b751dfb55p-7, 0x1.896d93171d451p-7, 0x1.7ff52a5995503p-7, 0x1.76b145d478524p-7, 0x1.6da0f34a706d6p-7, 0x1.64c3435594cb6p-7, 0x1.5c17496aff399p-7, 0x1.539c1bddad9f6p-7, 0x1.4b50d3e10f044p-7, 0x1.43348d8b0ff2ep-7, 0x1.3b4667d5b470ep-7, 0x1.338584a03a569p-7, 0x1.2bf108afe28fdp-7, 0x1.24881bb04f8b8p-7, 0x1.1d49e8336e26fp-7, 0x1.16359bb1252d1p-7, 0x1.0f4a6686707fep-7, 0x1.08877bf463a08p-7, 0x1.01ec121e91d3bp-7, 0x1.f6eec412c20c4p-8, 0x1.ea514f2fde644p-8, 0x1.ddfe43133b1ep-8, 0x1.d1f422eee4bfep-8, 0x1.c63177a22a4c1p-8, 0x1.bab4cfb34a356p-8, 0x1.af7cbf4879421p-8, 0x1.a487e020459cdp-8, 0x1.99d4d189ed83ap-8, 0x1.8f62385cd3a81p-8, 0x1.852ebeefcd8ffp-8, 0x1.7b39150fecd2cp-8, 0x1.717feff6f03cdp-8, 0x1.68020a415857dp-8, 0x1.5ebe23e402ea4p-8, 0x1.55b30221b15afp-8, 0x1.4cdf6f7ff90dap-8, 0x1.44423bbc10903p-8, 0x1.3bda3bbf63ec9p-8, 0x1.33a64993a80ffp-8, 0x1.2ba54456edea8p-8, 0x1.23d6102f57431p-8, 0x1.1c37963ea5437p-8, 0x1.14c8c4957eadep-8, 0x1.0d888e269e6d9p-8, 0x1.0675eab9c3f28p-8, 0x1.ff1fadbceac7cp-9, 0x1.f1aaa7bd7471ep-9, 0x1.e48acf632a292p-9, 0x1.d7be39dac5c6cp-9, 0x1.cb430574510cap-9, 0x1.bf1759877f1cfp-9, 0x1.b3396657cad58p-9, 0x1.a7a764f8913abp-9, 0x1.9c5f9730ef15cp-9, 0x1.9160475f907ffp-9, 0x1.86a7c85e3b301p-9, 0x1.7c3475659aa4fp-9, 0x1.7204b1f09467ep-9, 0x1.6816e99ffff2ep-9, 0x1.5e69901e00943p-9, 0x1.54fb21018c5afp-9, 0x1.4bca1fb1e4605p-9, 0x1.42d5174a040fcp-9, 0x1.3a1a9a7c4c1a8p-9, 0x1.319943761145ep-9, 0x1.294fb3c3490f8p-9, 0x1.213c943239b27p-9, 0x1.195e94b785eeap-9, 0x1.11b46c51bc675p-9, 0x1.0a3cd8edd4922p-9, 0x1.02f69f4b2519fp-9, 0x1.f7c115bf6f6bap-10, 0x1.e9f2db79ce9cep-10, 0x1.dc8040e79ed4bp-10, 0x1.cf6703f48c2c7p-10, 0x1.c2a4ef1f99977p-10, 0x1.b637d9452a17fp-10, 0x1.aa1da56a200d6p-10, 0x1.9e544286cc18bp-10, 0x1.92d9ab525d7b1p-10, 0x1.87abe60ee9539p-10, 0x1.7cc90455e0338p-10, 0x1.722f22e4a459p-10, 0x1.67dc696a0d7bp-10, 0x1.5dcf0a5441058p-10, 0x1.5405429eb9a08p-10, 0x1.4a7d59a12922dp-10, 0x1.4135a0deacb64p-10, 0x1.382c73d58035ap-10, 0x1.2f6037cf65af6p-10, 0x1.26cf5bb2627a7p-10, 0x1.1e7857d1c9f9dp-10, 0x1.1659adc0e5963p-10, 0x1.0e71e8244f71dp-10, 0x1.06bf9a85b3db9p-10, 0x1.fe82c24dcc4e3p-11, 0x1.efebc1abbe853p-11, 0x1.e1b78d8357535p-11, 0x1.d3e3909eb9724p-11, 0x1.c66d45dfb28dep-11, 0x1.b95237ebffb59p-11, 0x1.ac9000daeb00dp-11, 0x1.a02449e4db4c9p-11, 0x1.940ccb127d4afp-11, 0x1.88474aedc7794p-11, 0x1.7cd19e3548024p-11, 0x1.71a9a78e40612p-11, 0x1.66cd5739f6b2dp-11, 0x1.5c3aaaca9a7ebp-11, 0x1.51efacdad2a9fp-11, 0x1.47ea74c4abfd9p-11, 0x1.3e29265b7b9adp-11, 0x1.34a9f1a5930bdp-11, 0x1.2b6b12977e654p-11, 0x1.226ad0d01c61ap-11, 0x1.19a77f567fd2ep-11, 0x1.111f7c580cc16p-11, 0x1.08d130e831647p-11, 0x1.00bb10c156fbbp-11, 0x1.f1b7340ccb64ap-12, 0x1.e262aa0bf551bp-12, 0x1.d375a7faf0c71p-12, 0x1.c4ed65bdc455fp-12, 0x1.b6c72e2d3dc37p-12, 0x1.a9005ea3fccf4p-12, 0x1.9b96668fd504fp-12, 0x1.8e86c703a2d74p-12, 0x1.81cf124bbdf81p-12, 0x1.756ceb833e01dp-12, 0x1.695e062d2112p-12, 0x1.5da025cd8c107p-12, 0x1.52311d86f7b64p-12, 0x1.470ecfb6de953p-12, 0x1.3c372d9692de8p-12, 0x1.31a836dd6c3dap-12, 0x1.275ff962922a9p-12, 0x1.1d5c90c4a17cap-12, 0x1.139c260f2b31fp-12, 0x1.0a1cef64ac7bep-12, 0x1.00dd2fa942244p-12, 0x1.efb66c5d7e913p-13, 0x1.de2abcc78195fp-13, 0x1.cd141f068df09p-13, 0x1.bc6f788c49dp-13, 0x1.ac39c52d1ee3bp-13, 0x1.9c701689fd9d7p-13, 0x1.8d0f937d1ef76p-13, 0x1.7e15778a2c51bp-13, 0x1.6f7f1252ffa81p-13, 0x1.6149c70cca751p-13, 0x1.53730bf9fba88p-13, 0x1.45f869e69402ap-13, 0x1.38d77ba72194fp-13, 0x1.2c0ded9c7c217p-13, 0x1.1f997d361ccb2p-13, 0x1.1377f87dbb2bcp-13, 0x1.07a73d9edcc8dp-13, 0x1.f84a74ec259b7p-14, 0x1.e1dfd84193619p-14, 0x1.cc0abd1de3721p-14, 0x1.b6c758328e1f6p-14, 0x1.a211fa30dc3cbp-14, 0x1.8de70eff4a429p-14, 0x1.7a431cf27369bp-14, 0x1.6722c40bfc51dp-14, 0x1.5482bd3cd7af5p-14, 0x1.425fd9aede73ap-14, 0x1.30b7020c36169p-14, 0x1.1f8535d4ff425p-14, 0x1.0ec78ab11df52p-14, 0x1.fcf65795147ccp-15, 0x1.dd3ab2541282ap-15, 0x1.be56ce33a7dd4p-15, 0x1.a0457b17664bfp-15, 0x1.8301af00da25p-15, 0x1.668684ee6640dp-15, 0x1.4acf3bbc21a9bp-15, 0x1.2fd7350d2afd1p-15, 0x1.1599f43e8a83bp-15, 0x1.f8263abe8c38fp-16, 0x1.c67ce85d091b9p-16, 0x1.962fb64e714b9p-16, 0x1.6736a50c0fc9bp-16, 0x1.3989eec97bc5ap-16, 0x1.0d2205994d9afp-16, 0x1.c3ef23797cd98p-17, 0x1.7006dfc841cbap-17, 0x1.1e7d5f2b7aa7ep-17, 0x1.9e8a461b15041p-18, 0x1.04a2185a3e12bp-18, 0x1.bca2bc646c09dp-20, -0x1.0fd647cb9d708p-21, -0x1.5dc0ec83f9521p-19, -0x1.379fd7b961655p-18, -0x1.bc4fca6495124p-18, -0x1.1e83473e0ccb4p-17, -0x1.5cece64485b9bp-17, -0x1.996f4d2823f64p-17, -0x1.d414bfcf84e61p-17, -0x1.06739eb488a14p-16, -0x1.21f84161da204p-16, -0x1.3c9d06324f313p-16, -0x1.56668c5aafe8dp-16, -0x1.6f595504c46ccp-16, -0x1.8779c44d0ac88p-16, -0x1.9ecc223aae10bp-16, -0x1.b5549badbc01fp-16, -0x1.cb174343e6363p-16, -0x1.e018123b31011p-16, -0x1.f45ae9474390bp-16, -0x1.03f1c8b3d79b5p-15, -0x1.0d5ade57333f2p-15, -0x1.166a8384067b7p-15, -0x1.1f227b7b26a9cp-15, -0x1.27847f2478e2fp-15, -0x1.2f923d687fd73p-15, -0x1.374d5b84816c3p-15, -0x1.3eb7755d9469bp-15, -0x1.45d21dd372b37p-15, -0x1.4c9edf0a2829ap-15, -0x1.531f3ab747565p-15, -0x1.5954aa69ad978p-15, -0x1.5f409fce885d7p-15, -0x1.64e484f575fc2p-15, -0x1.6a41bc9071f38p-15, -0x1.6f59a2334c7abp-15, -0x1.742d8a8f70a6fp-15, -0x1.78bec3adb50cep-15, -0x1.7d0e95276cb52p-15, -0x1.811e405c7db2ep-15, -0x1.84ef00a5dd07ap-15, -0x1.88820b8a235b3p-15, -0x1.8bd890eba57e9p-15, -0x1.8ef3bb384f4bap-15, -0x1.91d4af95c7b6dp-15, -0x1.947c8e0bbda09p-15, -0x1.96ec71afa4dc5p-15, -0x1.992570c9ba7c1p-15, -0x1.9b289cfd10cefp-15, -0x1.9cf7036bb674cp-15, -0x1.9e91acd99142cp-15, -0x1.9ff99dd001d59p-15, -0x1.a12fd6bc3c191p-15, -0x1.a235540ffffa6p-15, -0x1.a30b0e5f1a7b6p-15, -0x1.a3b1fa7c0e3e1p-15, -0x1.a42b099317f75p-15, -0x1.a4772946f53d9p-15, -0x1.a49743c6e37a1p-15, -0x1.a48c3fe954bb8p-15, -0x1.a4570142c4a9bp-15, -0x1.a3f8683aa099fp-15, -0x1.a37152220fe5fp-15, -0x1.a2c299475d038p-15, -0x1.a1ed150a7febfp-15, -0x1.a0f199ee7e954p-15, -0x1.9fd0f9abe27c1p-15, -0x1.9e8c034179258p-15, -0x1.9d23830501e4ep-15, -0x1.9b9842b1b1823p-15, -0x1.99eb09780c82bp-15, -0x1.981c9c0b6aa5p-15, -0x1.962dbcaf4f7dap-15, -0x1.941f2b44dd041p-15, -0x1.91f1a555eef75p-15, -0x1.8fa5e6217297cp-15, -0x1.8d3ca6a6b7ba2p-15, -0x1.8ab69daf8e88p-15, -0x1.88147fda50b6p-15, -0x1.8556ffa3823f1p-15, -0x1.827ecd6ec3057p-15, -0x1.7f8c978f58548p-15, -0x1.7c810a5072a6ap-15, -0x1.795ccffd007c8p-15, -0x1.762090e714c1ep-15, -0x1.72ccf36f39057p-15, -0x1.6f629c0a11256p-15, -0x1.6be22d47a9907p-15, -0x1.684c47d8c986p-15, -0x1.64a18a9510893p-15, -0x1.60e292806dbcdp-15, -0x1.5d0ffacf931e8p-15, -0x1.592a5ced21393p-15, -0x1.5532507e3f201p-15, -0x1.51286b675ced1p-15, -0x1.4d0d41cf2e1f5p-15, -0x1.48e16623bd868p-15, -0x1.44a5691ddf9b5p-15, -0x1.4059d9c438653p-15, -0x1.3bff456e977c6p-15, -0x1.379637c9de65dp-15, -0x1.331f3ada5d22ep-15, -0x1.2e9ad6fe8f506p-15, -0x1.2a0992f23d126p-15, -0x1.256bf3d09a07ep-15, -0x1.20c27d1740063p-15, -0x1.1c0db0a82a618p-15, -0x1.174e0ecc1c37bp-15, -0x1.12841634a2ee1p-15, -0x1.0db043fedcae1p-15, -0x1.08d313b3b1524p-15, -0x1.03ecff4b65882p-15, -0x1.fdfcfe5e4b607p-16, -0x1.f4101473f953ep-16, -0x1.ea142b76a6adap-16, -0x1.e00a2aef0cf6ep-16, -0x1.d5f2f755b5fc6p-16, -0x1.cbcf721481a32p-16, -0x1.c1a0798a0a33dp-16, -0x1.b766e90cc9f58p-16, -0x1.ad2398ee3316fp-16, -0x1.a2d75e7c427c5p-16, -0x1.98830c0598e79p-16, -0x1.8e2770dc52c0ap-16, -0x1.83c55958007cap-16, -0x1.795d8ed8c89dfp-16, -0x1.6ef0d7ca6a004p-16, -0x1.647ff7a669921p-16, -0x1.5a0baef77af3p-16, -0x1.4f94bb5b605adp-16, -0x1.451bd786c0bedp-16, -0x1.3aa1bb47ae2cep-16, -0x1.30271b880f546p-16, -0x1.25acaa4f9b877p-16, -0x1.1b3316c8d9c0dp-16, -0x1.10bb0d42bc16ap-16, -0x1.06453733a5a0ap-16, -0x1.f7a47677b0a7p-17, -0x1.e2c57a52a907dp-17, -0x1.cdeebbf4c7299p-17, -0x1.b92177c1d19bdp-17, -0x1.a45ee48aecc7bp-17, -0x1.8fa833970ca9cp-17, -0x1.7afe90a764732p-17, -0x1.666321fcd0ecdp-17, -0x1.51d708606140ap-17, -0x1.3d5b5f29773c9p-17, -0x1.28f13c472b29ep-17, -0x1.1499b044476aap-17, -0x1.0055c65017037p-17, -0x1.d84d08895337fp-18, -0x1.b019d55db80ap-18, -0x1.8813e9aba594cp-18, -0x1.603d3188f3b5fp-18, -0x1.38978e9e1af2bp-18, -0x1.1124d83a3bcbfp-18, -0x1.d3cdb6c17caa3p-19, -0x1.85beb5b007381p-19, -0x1.38201e7a707cdp-19, -0x1.d5ea9c53890f3p-20, -0x1.3c831b729c7afp-20, -0x1.482048d35f7aap-21, -0x1.92ff3887335f9p-25, 0x1.13be928df9a7ap-21, 0x1.1f4fb07e791d4p-20, 0x1.b3b36e5c824b1p-20, 0x1.23826de4e6169p-19, 0x1.6c9f3be6c1c8cp-19, 0x1.b52d73a095f35p-19, 0x1.fd2a7a46735fcp-19, 0x1.2249e3d46544cp-18, 0x1.45b37305a3436p-18, 0x1.68d0b8fece716p-18, 0x1.8ba08d1944b12p-18, 0x1.ae21cfaefef0bp-18, 0x1.d0536a0232fe1p-18, 0x1.f2344e2aac6a9p-18, 0x1.09e1bb80bb1e3p-17, 0x1.1a7ff40424022p-17, 0x1.2af456aabaa7fp-17, 0x1.3b3e6dc04d86cp-17, 0x1.4b5dc7c5dc09dp-17, 0x1.5b51f766f61a3p-17, 0x1.6b1a936fd897bp-17, 0x1.7ab736c09a1d4p-17, 0x1.8a278042b9614p-17, 0x1.996b12de70edcp-17, 0x1.a88195700ab3ep-17, 0x1.b76ab2bb21475p-17, 0x1.c62619610b071p-17, 0x1.d4b37bd4f4f63p-17, 0x1.e31290508c40ep-17, 0x1.f14310c7e2518p-17, 0x1.ff44bade2bf3dp-17, 0x1.068ba7ed8568ep-16, 0x1.0d5d4a4fddc76p-16, 0x1.141728cd3faecp-16, 0x1.1ab9295d88d17p-16, 0x1.214333b33a7e6p-16, 0x1.27b53136fdcp-16, 0x1.2e0f0d001d434p-16, 0x1.3450b3d03a762p-16, 0x1.3a7a140d1fde4p-16, 0x1.408b1dba44e36p-16, 0x1.4683c27398bf1p-16, 0x1.4c63f567d0c2cp-16, 0x1.522bab51f12ep-16, 0x1.57dada73b1cbcp-16, 0x1.5d717a90b7d9p-16, 0x1.62ef84e7d7855p-16, 0x1.6854f42d99b4dp-16, 0x1.6da1c48616fbfp-16, 0x1.72d5f37f8b12bp-16, 0x1.77f1800cdc07fp-16, 0x1.7cf46a7f37448p-16, 0x1.81deb480ada4ap-16, 0x1.86b0610ef731cp-16, 0x1.8b69747558357p-16, 0x1.9009f446b468ap-16, 0x1.9491e757db116p-16, 0x1.990155ba59de8p-16, 0x1.9d5848b6f4f9bp-16, 0x1.a196cac7b97e8p-16, 0x1.a5bce7928b2a7p-16, 0x1.a9caabe39762bp-16, 0x1.adc025a7c558ap-16, 0x1.b19d63e78040cp-16, 0x1.b56276c0ca826p-16, 0x1.b90f6f625508dp-16, 0x1.bca460059554dp-16, 0x1.c0215be9ca11cp-16, 0x1.c386774e8c5edp-16, 0x1.c6d3c76e76b7ap-16, 0x1.ca096279a71b8p-16, 0x1.cd275f90b480cp-16, 0x1.d02dd6bfc1d2bp-16, 0x1.d31ce0f8b4702p-16, 0x1.d5f4980eb4b0ep-16, 0x1.d8b516b0de2b8p-16, 0x1.db5e78649fff5p-16, 0x1.ddf0d9818ec64p-16, 0x1.e06c572bdb359p-16, 0x1.e2d10f4f78904p-16, 0x1.e51f209bb6646p-16, 0x1.e756aa7d8d60fp-16, 0x1.e977cd1b39129p-16, 0x1.eb82a94f5c2d7p-16, 0x1.ed7760a45a288p-16, 0x1.ef56154fbffb8p-16, 0x1.f11eea2d2be07p-16, 0x1.f2d202b9c251cp-16, 0x1.f46f831045286p-16, 0x1.f5f78fe3ba842p-16, 0x1.f76a4e7b2b48bp-16, 0x1.f8c7e4adb025bp-16, 0x1.fa1078dd76e42p-16, 0x1.fb4431f3830cbp-16, 0x1.fc63375b16a59p-16, 0x1.fd6db0fe86d3fp-16, 0x1.fe63c7420783ep-16, 0x1.ff45a2ff8999ep-16, 0x1.0009b6c14fd09p-15, 0x1.0066a8428bab7p-15, 0x1.00b9bb1551fdp-15, 0x1.0103047e070e4p-15, 0x1.014299f2231e7p-15, 0x1.01789116108dp-15, 0x1.01a4ffbb4a251p-15, 0x1.01c7fbde4ba76p-15, 0x1.01e19ba4fea0bp-15, 0x1.01f1f55cb3f58p-15, 0x1.01f91f7855fe5p-15, 0x1.01f7308e74172p-15, 0x1.01ec3f57cf2a5p-15, 0x1.01d862ad4af31p-15, 0x1.01bbb1864535ep-15, 0x1.019642f727b2fp-15, 0x1.01682e2f5e177p-15, 0x1.01318a77afbbep-15, 0x1.00f26f30e0b83p-15, 0x1.00aaf3d20696cp-15, 0x1.005b2fe6bb29p-15, 0x1.00033b0da8b66p-15, 0x1.ff4659edef16bp-16, 0x1.fe763ac605042p-16, 0x1.fd9648413363cp-16, 0x1.fca6b216e0b46p-16, 0x1.fba7a8165c077p-16, 0x1.fa995a22b4b63p-16, 0x1.f97bf830ccc9ep-16, 0x1.f84fb2441c52p-16, 0x1.f714b86c8fea8p-16, 0x1.f5cb3ac328c33p-16, 0x1.f47369681c002p-16, 0x1.f30d747f43324p-16, 0x1.f1998c2ec32f7p-16, 0x1.f017e09c1c83p-16, 0x1.ee88a1e8d6444p-16, 0x1.ecec003105f26p-16, 0x1.eb422b893477p-16, 0x1.e98b53fb7c476p-16, 0x1.e7c7a98558c8cp-16, 0x1.e5f75c156f386p-16, 0x1.e41a9b897dc4cp-16, 0x1.e23197ac4d87fp-16, 0x1.e03c803356b04p-16, 0x1.de3b84bcc5ef5p-16, 0x1.dc2ed4cd9c93p-16, 0x1.da169fcf8a003p-16, 0x1.d7f3150f08311p-16, 0x1.d5c463b9f36b9p-16, 0x1.d38abadd3cd2cp-16, 0x1.d14649627d443p-16, 0x1.cef73e0f51c59p-16, 0x1.cc9dc7835ecaep-16, 0x1.ca3a14359bbd2p-16, 0x1.c7cc5273ca117p-16, 0x1.c554b0613d46dp-16, 0x1.c2d35bf3e7bc2p-16, 0x1.c04882f3615e8p-16, 0x1.bdb452f7b84c5p-16, 0x1.bb16f9679d2e3p-16, 0x1.b870a3775ac31p-16, 0x1.b5c17e26d1f1ap-16, 0x1.b309b6409332fp-16, 0x1.b04978587a9b2p-16, 0x1.ad80f0ca65d3dp-16, }}, 
      {{0x1.a8bb95a9e1addp-17, 0x1.a1a26f89ca3bp-16, 0x1.c0b8962c1d66ap-16, 0x1.c56592e0e453ep-18, -0x1.36ed84ad6fe4dp-15, -0x1.7d379499dc6f7p-14, -0x1.04210d6b278cfp-13, -0x1.813a14719dc53p-14, 0x1.f2a6f94572fffp-15, 0x1.95fcd5680c98ep-12, 0x1.f0a1fca9b31e5p-11, 0x1.d53ae3edcab6p-10, 0x1.8397bd1a3d9dap-9, 0x1.259a0731575aap-8, 0x1.a20b2e7f2fdc6p-8, 0x1.1bda5802f5d25p-7, 0x1.733cc6815deedp-7, 0x1.d6ce15b38da37p-7, 0x1.22f536fe48174p-6, 0x1.5fdaba15f09eep-6, 0x1.a19397c05fcc5p-6, 0x1.e78c504c39f17p-6, 0x1.1893e2edff626p-5, 0x1.3ee24885c5233p-5, 0x1.6660d5e85db72p-5, 0x1.8ec1335fce1e1p-5, 0x1.b7b8d39563cc8p-5, 0x1.e1023a1b78796p-5, 0x1.052ef794b178fp-4, 0x1.19c99400d7a5ep-4, 0x1.2e38163e38394p-4, 0x1.4265414ed13eap-4, 0x1.563f748f1a2cfp-4, 0x1.69b894bdf1fb7p-4, 0x1.7cc5e4ccb28cp-4, 0x1.8f5fd224cc97ep-4, 0x1.a181b7aeb05fep-4, 0x1.b3299a802101dp-4, 0x1.c457e2b2c7381p-4, 0x1.d50f12824b496p-4, 0x1.e5537d757e41ep-4, 0x1.f52b01021c279p-4, 0x1.024e5fe716dcap-3, 0x1.09d870378499dp-3, 0x1.11382825189a1p-3, 0x1.18724584fb80cp-3, 0x1.1f8bb375f5184p-3, 0x1.26897305b0f33p-3, 0x1.2d7086562cd24p-3, 0x1.3445de397b5dbp-3, 0x1.3b0e4a309577fp-3, 0x1.41ce6ab2a1fc1p-3, 0x1.488aa59ce2bap-3, 0x1.4f471ca7962f1p-3, 0x1.5607a5b9ea883p-3, 0x1.5ccfc4f5d1fbcp-3, 0x1.63a2a8542442bp-3, 0x1.6a8324aa239d5p-3, 0x1.7173b3f22c9edp-3, 0x1.787674b3223ecp-3, 0x1.7f8d2a639d87dp-3, 0x1.86b93ea82cc3cp-3, 0x1.8dfbc34deb51cp-3, 0x1.955574e50b4c8p-3, 0x1.9cc6bde122611p-3, 0x1.a44fba2757ac9p-3, 0x1.abf03af4b2b3p-3, 0x1.b3a7cb08f68a9p-3, 0x1.bb75b3047283ap-3, 0x1.c358fde923707p-3, 0x1.cb507db140689p-3, 0x1.d35acfef12e48p-3, 0x1.db76626b67169p-3, 0x1.e3a177b96efc2p-3, 0x1.ebda2bb82ca71p-3, 0x1.f41e77fabb11p-3, 0x1.fc6c3811ccc0cp-3, 0x1.026096d8e1789p-2, 0x1.068d8258cec9p-2, 0x1.0abbab6fe4c22p-2, 0x1.0ee9d7d53e8b5p-2, 0x1.1316c7cd05505p-2, 0x1.174137cdf9cd2p-2, 0x1.1b67e20f1a5edp-2, 0x1.1f897ffd399ccp-2, 0x1.23a4cb98a2123p-2, 0x1.27b880baf939bp-2, 0x1.2bc35e45bda76p-2, 0x1.2fc42739d63f6p-2, 0x1.33b9a3b8c2b97p-2, 0x1.37a2a1f008b2fp-2, 0x1.3b7df6ef97c95p-2, 0x1.3f4a7f6bdde46p-2, 0x1.4307206c4da5dp-2, 0x1.46b2c7e735175p-2, 0x1.4a4c6d4ba3e7dp-2, 0x1.4dd311fa49e07p-2, 0x1.5145c1ae18508p-2, 0x1.54a392d5841abp-2, 0x1.57eba6dd39bb9p-2, 0x1.5b1d2a6d1acaap-2, 0x1.5e3755984fb69p-2, 0x1.61396c013a3e1p-2, 0x1.6422bcf212f51p-2, 0x1.66f2a36ae6995p-2, 0x1.69a88625c098fp-2, 0x1.6c43d791a1201p-2, 0x1.6ec415c50263ap-2, 0x1.7128ca6884044p-2, 0x1.73718a9a65dbbp-2, 0x1.759df6cb6c944p-2, 0x1.77adba95bc56dp-2, 0x1.79a08c8e40d97p-2, 0x1.7b762e111ca2ep-2, 0x1.7d2e6b09a99bdp-2, 0x1.7ec919b67cd6fp-2, 0x1.80461a69df77ep-2, 0x1.81a5574732987p-2, 0x1.82e6c3fd93edfp-2, 0x1.840a5d8032747p-2, 0x1.851029bca55ecp-2, 0x1.85f8374f9e20cp-2, 0x1.86c29d3840cb2p-2, 0x1.876f7a8a72514p-2, 0x1.87fef6205dd23p-2, 0x1.88713e4b7741bp-2, 0x1.88c6888530398p-2, 0x1.88ff111f9ba33p-2, 0x1.891b1af637a57p-2, 0x1.891aef1f0255cp-2, 0x1.88fedc9c1028p-2, 0x1.88c7380dc90d9p-2, 0x1.88745b65ecd03p-2, 0x1.8806a59b878e5p-2, 0x1.877e7a5ff04cbp-2, 0x1.86dc41d4ee33ap-2, 0x1.862068441e698p-2, 0x1.854b5dd7ae56bp-2, 0x1.845d96548444ap-2, 0x1.835788d5e0056p-2, 0x1.8239af8a88bfep-2, 0x1.8104877390acep-2, 0x1.7fb89024c28ecp-2, 0x1.7e564b86b5d0ep-2, 0x1.7cde3d9a9d883p-2, 0x1.7b50ec3fd1e64p-2, 0x1.79aedefb1883p-2, 0x1.77f89ebfb59bfp-2, 0x1.762eb5ba3f3ebp-2, 0x1.7451af1d3c0c4p-2, 0x1.726216ef899f2p-2, 0x1.706079dc862f6p-2, 0x1.6e4d650604ed6p-2, 0x1.6c2965d800c3fp-2, 0x1.69f509de0ed2cp-2, 0x1.67b0de9a8c3b8p-2, 0x1.655d715f8119ep-2, 0x1.62fb4f2934affp-2, 0x1.608b047a698c2p-2, 0x1.5e0d1d3a3e933p-2, 0x1.5b822493ade5ap-2, 0x1.58eaa4d6a0d48p-2, 0x1.5647275a8ec7ep-2, 0x1.53983462a6a6cp-2, 0x1.50de53037209bp-2, 0x1.4e1a0909ef945p-2, 0x1.4b4bdae419785p-2, 0x1.48744b8acee33p-2, 0x1.4593dc6d1aa1dp-2, 0x1.42ab0d5cc8e4ap-2, 0x1.3fba5c7c45fd8p-2, 0x1.3cc2462dc05f6p-2, 0x1.39c345037cb8p-2, 0x1.36bdd1b1582fep-2, 0x1.33b262ff71c5p-2, 0x1.30a16dbdec3f3p-2, 0x1.2d8b64b9bfeffp-2, 0x1.2a70b8b29aedcp-2, 0x1.2751d851bc704p-2, 0x1.242f3021c7c89p-2, 0x1.21092a878a1eep-2, 0x1.1de02fbb9ebb3p-2, 0x1.1ab4a5c4f55cdp-2, 0x1.1786f0742c1ep-2, 0x1.1457715fb487ep-2, 0x1.112687e0be1f9p-2, 0x1.0df49110db6d3p-2, 0x1.0ac1e7c85df87p-2, 0x1.078ee49d5b27cp-2, 0x1.045bdde358b01p-2, 0x1.012927ab95267p-2, 0x1.fbee278bd33ccp-3, 0x1.f58be38469e31p-3, 0x1.ef2c1de4ab0b9p-3, 0x1.e8cf6cd93ff76p-3, 0x1.e276621da82b2p-3, 0x1.dc218b03054d3p-3, 0x1.d5d17077c9f43p-3, 0x1.cf86971038edp-3, 0x1.c9417f0fa19e6p-3, 0x1.c302a4725fb32p-3, 0x1.bcca7ef87f402p-3, 0x1.b69982310d522p-3, 0x1.b0701d85f8bcfp-3, 0x1.aa4ebc488a35ap-3, 0x1.a435c5be5791fp-3, 0x1.9e259d2eb935fp-3, 0x1.981ea1f0b39e4p-3, 0x1.92212f793e267p-3, 0x1.8c2d9d69f986p-3, 0x1.86443fa036584p-3, 0x1.80656644490c4p-3, 0x1.7a915dd93083cp-3, 0x1.74c86f4c75de6p-3, 0x1.6f0ae0064815fp-3, 0x1.6958f1f9cc604p-3, 0x1.63b2e3b59c4fcp-3, 0x1.5e18f074639d7p-3, 0x1.588b502dabb0cp-3, 0x1.530a37a6b1b59p-3, 0x1.4d95d8835d3d9p-3, 0x1.482e615742516p-3, 0x1.42d3fdb6ad2e5p-3, 0x1.3d86d647b7b15p-3, 0x1.384710d35a5bbp-3, 0x1.3314d0567e39bp-3, 0x1.2df0351305fc9p-3, 0x1.28d95ca0cac44p-3, 0x1.23d061fe8c992p-3, 0x1.1ed55da2ca43ep-3, 0x1.19e8658c886f9p-3, 0x1.15098d53fca58p-3, 0x1.1038e63b1b42dp-3, 0x1.0b767f3e0784ep-3, 0x1.06c265235f869p-3, 0x1.021ca28c65ee8p-3, 0x1.fb0a800a0107dp-4, 0x1.f1f8882723a42p-4, 0x1.e90366914859ap-4, 0x1.e02b209cd174cp-4, 0x1.d76fb7f008b3ap-4, 0x1.ced12aa164a18p-4, 0x1.c64f735556523p-4, 0x1.bdea895bbd64bp-4, 0x1.b5a260ccf0b6p-4, 0x1.ad76eaa64beeep-4, 0x1.a56814e663591p-4, 0x1.9d75caa8b2015p-4, 0x1.959ff440e1fd4p-4, 0x1.8de67755a03bfp-4, 0x1.864936faf151cp-4, 0x1.7ec813cc13ebcp-4, 0x1.7762ec04f223fp-4, 0x1.70199b9b0d7dp-4, 0x1.68ebfc55faa0ap-4, 0x1.61d9e5e75d38fp-4, 0x1.5ae32e026f53cp-4, 0x1.5407a87305027p-4, 0x1.4d4727341df9dp-4, 0x1.46a17a85f611ep-4, 0x1.401671039f8ddp-4, 0x1.39a5d7b81daaep-4, 0x1.334f7a330735ap-4, 0x1.2d13229cb1246p-4, 0x1.26f099c9ddb1dp-4, 0x1.20e7a74ef1078p-4, 0x1.1af81192b253p-4, 0x1.15219de091b61p-4, 0x1.0f64107a78b2fp-4, 0x1.09bf2caa26d68p-4, 0x1.0432b4d2182aep-4, 0x1.fd7cd4fbf137bp-5, 0x1.f2c41ce54de36p-5, 0x1.e83ac17b86ac4p-5, 0x1.dde04189a45e1p-5, 0x1.d3b41aa7d77ddp-5, 0x1.c9b5c95807994p-5, 0x1.bfe4c9218439ep-5, 0x1.b64094abe4242p-5, 0x1.acc8a5d91013dp-5, 0x1.a37c75de810c4p-5, 0x1.9a5b7d5db3ff1p-5, 0x1.9165347bd59a2p-5, 0x1.889912f89ed94p-5, 0x1.7ff6904482057p-5, 0x1.777d239602d74p-5, 0x1.6f2c43fe65022p-5, 0x1.6703687d97d39p-5, 0x1.5f020815729b1p-5, 0x1.572799dc38b3cp-5, 0x1.4f73950e74abep-5, 0x1.47e571202704dp-5, 0x1.407ca5cd4999fp-5, 0x1.3938ab29b61bep-5, 0x1.3218f9b0618bdp-5, 0x1.2b1d0a5201d53p-5, 0x1.24445683172eep-5, 0x1.1d8e58495a529p-5, 0x1.16fa8a489c8f2p-5, 0x1.108867cf13bb1p-5, 0x1.0a376ce11bdffp-5, 0x1.040716446a676p-5, 0x1.fbedc315853b2p-6, 0x1.f00c9a383601ap-6, 0x1.e469b080a1d7ap-6, 0x1.d9040650a06ep-6, 0x1.cdda9ded9e607p-6, 0x1.c2ec7b91117b4p-6, 0x1.b838a5780defap-6, 0x1.adbe23f200af2p-6, 0x1.a37c016e867c7p-6, 0x1.99714a8a6c5cep-6, 0x1.8f9d0e1be8e42p-6, 0x1.85fe5d3e069ecp-6, 0x1.7c944b5b4b8fep-6, 0x1.735dee37a364cp-6, 0x1.6a5a5df98ba92p-6, 0x1.6188b53299e9ep-6, 0x1.58e810e74b96p-6, 0x1.50779096253fep-6, 0x1.4836563e43052p-6, 0x1.40238665341d4p-6, 0x1.383e481c5a8f3p-6, 0x1.3085c505933d5p-6, 0x1.28f929576d5a5p-6, 0x1.2197a3e0c8768p-6, 0x1.1a60660befaacp-6, 0x1.1352a3e138e9ap-6, 0x1.0c6d94091de98p-6, 0x1.05b06fcde9642p-6, 0x1.fe34e639ce29fp-7, 0x1.f155b90e4be2p-7, 0x1.e4c1da83b3ed3p-7, 0x1.d877d24c85b0cp-7, 0x1.cc762d6289184p-7, 0x1.c0bb7e0526f6dp-7, 0x1.b5465bb70bdb1p-7, 0x1.aa15633b3014p-7, 0x1.9f273691231ebp-7, 0x1.947a7cf0badc3p-7, 0x1.8a0de2c529605p-7, 0x1.7fe019a78e74cp-7, 0x1.75efd858e743ep-7, 0x1.6c3bdabb784f5p-7, 0x1.62c2e1cbcc717p-7, 0x1.5983b39930fb8p-7, 0x1.507d1b3da67f9p-7, 0x1.47ade8d594f1ep-7, 0x1.3f14f176d9945p-7, 0x1.36b10f27b3f3p-7, 0x1.2e8120d51eaecp-7, 0x1.26840a48f530ep-7, 0x1.1eb8b41fabbcdp-7, 0x1.171e0bbdc5a3fp-7, 0x1.0fb303450ed11p-7, 0x1.0876918976c12p-7, 0x1.0167b205b93c7p-7, 0x1.f50ac99f9099p-8, 0x1.e79d5d1a109e6p-8, 0x1.da8530cc86d7dp-8, 0x1.cdc05ff6ffcc9p-8, 0x1.c14d0eaf4b7eap-8, 0x1.b52969c7da0d9p-8, 0x1.a953a6b686e66p-8, 0x1.9dca037af9454p-8, 0x1.928ac684cc23fp-8, 0x1.87943e9992688p-8, 0x1.7ce4c2ba92bdap-8, 0x1.727ab20a7166fp-8, 0x1.685473b2b6563p-8, 0x1.5e7076c91f2ddp-8, 0x1.54cd3234ebea3p-8, 0x1.4b692494115dbp-8, 0x1.4242d4206ccd1p-8, 0x1.3958ce94c3c0fp-8, 0x1.30a9a91201c45p-8, 0x1.283400042993p-8, 0x1.1ff6770785e58p-8, 0x1.17efb8cddb15p-8, 0x1.101e770370c69p-8, 0x1.08816a346bcfbp-8, 0x1.011751b215ce8p-8, 0x1.f3bde6f08e324p-9, 0x1.e5ae3825d7f5p-9, 0x1.d7fd3d073c679p-9, 0x1.caa8a84ece0b2p-9, 0x1.bdae393922893p-9, 0x1.b10bbb51a16fbp-9, 0x1.a4bf063e9861ap-9, 0x1.98c5fd8e129f1p-9, 0x1.8d1e9082deb6fp-9, 0x1.81c6b9e1e398fp-9, 0x1.76bc7fc002648p-9, 0x1.6bfdf35038f45p-9, 0x1.618930b22d203p-9, 0x1.575c5ec131074p-9, 0x1.4d75aee3d025ap-9, 0x1.43d35cdb8e857p-9, 0x1.3a73ae956cf73p-9, 0x1.3154f3fa8a90dp-9, 0x1.287586c1a3f95p-9, 0x1.1fd3ca40a93ap-9, 0x1.176e2b3f2e8bbp-9, 0x1.0f431fc93195bp-9, 0x1.0751270249124p-9, 0x1.ff2d91f324542p-10, 0x1.f0252cfbc19aap-10, 0x1.e18651e590722p-10, 0x1.d34e444bd836fp-10, 0x1.c57a58499fa35p-10, 0x1.b807f226f1821p-10, 0x1.aaf486069d3a7p-10, 0x1.9e3d97956f685p-10, 0x1.91e0b9ba4a834p-10, 0x1.85db8e478de91p-10, 0x1.7a2bc5ad4f741p-10, 0x1.6ecf1eacda73ap-10, 0x1.63c3660d6444p-10, 0x1.5906765183ae6p-10, 0x1.4e96376e08b0ap-10, 0x1.44709e8204438p-10, 0x1.3a93ad8f75a29p-10, 0x1.30fd733581a4cp-10, 0x1.27ac0a6b90e4ap-10, 0x1.1e9d9a3d9062fp-10, 0x1.15d05589243c4p-10, 0x1.0d427abc2d427p-10, 0x1.04f2539428e72p-10, 0x1.f9bc69bd5083bp-11, 0x1.ea08fc761af8ap-11, 0x1.dac733ba1be1cp-11, 0x1.cbf3f8a0c7334p-11, 0x1.bd8c487b2116ap-11, 0x1.af8d345f1c2d3p-11, 0x1.a1f3e0b53c1cbp-11, 0x1.94bd84c7ffa5dp-11, 0x1.87e76a55a6e38p-11, 0x1.7b6eed23bc1f7p-11, 0x1.6f517a9461f09p-11, 0x1.638c913e29de2p-11, 0x1.581dc08530656p-11, 0x1.4d02a836aac57p-11, 0x1.4238f8261ed62p-11, 0x1.37be6fcc80217p-11, 0x1.2d90dde914873p-11, 0x1.23ae20243f7e7p-11, 0x1.1a1422b4413c3p-11, 0x1.10c0e0038806cp-11, 0x1.07b26058e779p-11, 0x1.fdcd7302d573dp-12, 0x1.ecb81cf888856p-12, 0x1.dc211e4f495bcp-12, 0x1.cc04efe06c61fp-12, 0x1.bc6023034df46p-12, 0x1.ad2f60f1a09f2p-12, 0x1.9e6f6a2fea509p-12, 0x1.901d15f7e3e24p-12, 0x1.823551a6fc53ep-12, 0x1.74b5202fb4b57p-12, 0x1.6799998d5b26ap-12, 0x1.5adfea3be5083p-12, 0x1.4e8552b1fc938p-12, 0x1.428726dde87adp-12, 0x1.36e2cda5ad0c1p-12, 0x1.2b95c06a00276p-12, 0x1.209d8a8b64005p-12, 0x1.15f7c8f2b16c1p-12, 0x1.0ba2299c33436p-12, 0x1.019a6b24f7deap-12, 0x1.efbcb8b5ed7edp-13, 0x1.dcd7b79fe8ae1p-13, 0x1.ca81aedcc39cp-13, 0x1.b8b69822d197dp-13, 0x1.a7728a3d59169p-13, 0x1.96b1b84534685p-13, 0x1.867070dfe571ap-13, 0x1.76ab1d7f5e707p-13, 0x1.675e41aa6082ep-13, 0x1.58867a468f079p-13, 0x1.4a207ce78bebbp-13, 0x1.3c29172335396p-13, 0x1.2e9d2de8df5bcp-13, 0x1.2179bcdd43a67p-13, 0x1.14bbd5b9dfc4ap-13, 0x1.08609fb0c15c4p-13, 0x1.f8caada8b5a37p-14, 0x1.e18e9704f52bep-14, 0x1.cb07c3a5bb633p-14, 0x1.b531221598498p-14, 0x1.a005c6247f959p-14, 0x1.8b80e7dc67932p-14, 0x1.779de27993d1bp-14, 0x1.6458336cf65dfp-14, 0x1.51ab7961b0484p-14, 0x1.3f93734c529ap-14, 0x1.2e0bff7db354p-14, 0x1.1d111abd1b4dfp-14, 0x1.0c9edf67918e6p-14, 0x1.f963092c9a831p-15, 0x1.da8aba947cfb1p-15, 0x1.bcadaf38c7372p-15, 0x1.9fc4f7ea1ab09p-15, 0x1.83c9d88f464fap-15, 0x1.68b5c6a84260bp-15, 0x1.4e8267d84463ap-15, 0x1.3529907eff7b2p-15, 0x1.1ca54258569ep-15, 0x1.04efab24922aap-15, 0x1.dc0646bb5be9ep-16, 0x1.afb459e67af47p-16, 0x1.84dee41ed9e47p-16, 0x1.5b7b87c96aa23p-16, 0x1.33803309a6ae7p-16, 0x1.0ce31d7d93bdcp-16, 0x1.cf358c1d364c6p-17, 0x1.873be193f1625p-17, 0x1.41c749a5b012bp-17, 0x1.fd8ca970f3212p-18, 0x1.7c5022c90b867p-18, 0x1.ff7022b22dc68p-19, 0x1.0f48e911d3975p-19, 0x1.3f631fdd20bddp-22, -0x1.6dc3c578024edp-20, -0x1.8d5cb04a0cc94p-19, -0x1.2dde9304e9324p-18, -0x1.911d671bad936p-18, -0x1.f085d4367f2dfp-18, -0x1.26190d613772p-17, -0x1.521de0d7da003p-17, -0x1.7c5dce0930308p-17, -0x1.a4e4e7543b002p-17, -0x1.cbbeea902bfd7p-17, -0x1.f0f743a4bf37dp-17, -0x1.0a4c878713431p-16, -0x1.1b578e22e9f22p-16, -0x1.2ba1f811444b1p-16, -0x1.3b30e38e41daep-16, -0x1.4a094bc4dc0acp-16, -0x1.583009dd69cb8p-16, -0x1.65a9d60c3f5c3p-16, -0x1.727b4890b277ep-16, -0x1.7ea8dab018cfep-16, -0x1.8a36e7a80e2dep-16, -0x1.9529ad99020bbp-16, -0x1.9f854e68accaap-16, -0x1.a94dd0a08a066p-16, -0x1.b28720401dc3bp-16, -0x1.bb350f8d04b1bp-16, -0x1.c35b57dae0825p-16, -0x1.cafd9a4ab163dp-16, -0x1.d21f608ac3315p-16, -0x1.d8c41d86e180cp-16, -0x1.deef2e1b1f048p-16, -0x1.e4a3d9bc22386p-16, -0x1.e9e5531c9d28bp-16, -0x1.eeb6b8caa37adp-16, -0x1.f31b15cbad119p-16, -0x1.f715622f24ffdp-16, -0x1.faa883a06edap-16, -0x1.fdd74defe2428p-16, -0x1.005241cdb5d5bp-15, -0x1.01896b27f4487p-15, -0x1.029273b374aedp-15, -0x1.036ea430556dap-15, -0x1.041f3dacafefbp-15, -0x1.04a579bd97f39p-15, -0x1.05028ab64679p-15, -0x1.05379bdce709dp-15, -0x1.0545d19e66492p-15, -0x1.052e49bf2ac2dp-15, -0x1.04f21b8bf38efp-15, -0x1.049258081d821p-15, -0x1.04100a19ab252p-15, -0x1.036c36b572827p-15, -0x1.02a7dd085efcep-15, -0x1.01c3f69fda9f5p-15, -0x1.00c17790d7c73p-15, -0x1.ff429d3b7e879p-16, -0x1.fcc8cab4d9141p-16, -0x1.fa17409f8cf05p-16, -0x1.f72fbe3a3509dp-16, -0x1.f413f93340929p-16, -0x1.f0c59de702fbbp-16, -0x1.ed464f9e3176cp-16, -0x1.e997a8c7d8573p-16, -0x1.e5bb3b3345a44p-16, -0x1.e1b2904671d47p-16, -0x1.dd7f29330df0bp-16, -0x1.d9227f2bc7c1ep-16, -0x1.d49e039388aeep-16, -0x1.cff3202f9dae2p-16, -0x1.cb2337546abcap-16, -0x1.c62fa413593a2p-16, -0x1.c119ba6540d3ap-16, -0x1.bbe2c7550a14p-16, -0x1.b68c1127cb516p-16, -0x1.b116d78312ab9p-16, -0x1.ab845393a637cp-16, -0x1.a5d5b831baee2p-16, -0x1.a00c3203a0b81p-16, -0x1.9a28e7a0b5d46p-16, -0x1.942cf9b246725p-16, -0x1.8e19831271bc7p-16, -0x1.87ef98ec3652ep-16, -0x1.81b04ad869051p-16, -0x1.7b5ca2fa6153dp-16, -0x1.74f5a61d21e38p-16, -0x1.6e7c53ccc6e32p-16, -0x1.67f1a67237136p-16, -0x1.6156936b9de75p-16, -0x1.5aac0b24bc928p-16, -0x1.53f2f92f48c84p-16, -0x1.4d2c4459f47c3p-16, -0x1.4658cec64927fp-16, -0x1.3f7975fe8bb63p-16, -0x1.388f130a9fe82p-16, -0x1.319a7a84b7d7fp-16, -0x1.2a9c7cac7b7e6p-16, -0x1.2395e57b219bdp-16, -0x1.1c877cb5e318ap-16, -0x1.157205ff3c269p-16, -0x1.0e5640e9bebe5p-16, -0x1.0734e90828b73p-16, -0x1.000eb5fe74a1p-16, -0x1.f1c8b7245473p-17, -0x1.e36d137465e28p-17, -0x1.d50bd95b6197dp-17, -0x1.c6a659e76d95cp-17, -0x1.b83ddee27c86dp-17, -0x1.a9d3aaf004237p-17, -0x1.9b68f9a6db49dp-17, -0x1.8cfeffaf4b2f1p-17, -0x1.7e96eada3e08ep-17, -0x1.7031e23d1fa38p-17, -0x1.61d1064aed637p-17, -0x1.537570ead7b3ep-17, -0x1.45203593ba6a1p-17, -0x1.36d26162154c8p-17, -0x1.288cfb2f023e8p-17, -0x1.1a5103a7ad8eap-17, -0x1.0c1f75633b091p-17, -0x1.fbf289ef1ffe7p-18, -0x1.dfbec222a4ab6p-18, -0x1.c3a5650c71745p-18, -0x1.a7a838d5acb18p-18, -0x1.8bc8f84e7c881p-18, -0x1.7009531437fa4p-18, -0x1.546aedbab40efp-18, -0x1.38ef61f0a3f78p-18, -0x1.1d983ea7938b6p-18, -0x1.026708381cc5ap-18, -0x1.ceba71109281cp-19, -0x1.98f87e5b131a3p-19, -0x1.638b03231f152p-19, -0x1.2e74b62e43219p-19, -0x1.f37074e5690f8p-20, -0x1.8ab03ec4711a7p-20, -0x1.22adc261a71e3p-20, -0x1.76dba436d40e9p-21, -0x1.53d46b8105552p-22, 0x1.0b7db5574eccfp-24, 0x1.d652b432b98fdp-22, 0x1.b33a355dfd7f7p-21, 0x1.3ccd0824e9319p-20, 0x1.9f207c486b0bdp-20, 0x1.0049d03b19bdp-19, 0x1.309160015e347p-19, 0x1.606523e602cadp-19, 0x1.8fc362e030911p-19, 0x1.beaa742f399f6p-19, 0x1.ed18bf20c8742p-19, 0x1.0d865d6bcdb37p-18, 0x1.24427709653aep-18, 0x1.3abff7785b674p-18, 0x1.50fe315a150b6p-18, 0x1.66fc7ec97e5a8p-18, 0x1.7cba413b52e1dp-18, 0x1.9236e1630abe9p-18, 0x1.a771cf19179e4p-18, 0x1.bc6a813b8816dp-18, 0x1.d12075965a2ap-18, 0x1.e59330c5db10dp-18, 0x1.f9c23e1c77926p-18, 0x1.06d697c54c523p-17, 0x1.10a9cebf43b05p-17, 0x1.1a5a93680b5b7p-17, 0x1.23e8b8511ee41p-17, 0x1.2d541325b3309p-17, 0x1.369c7c9dda778p-17, 0x1.3fc1d07113358p-17, 0x1.48c3ed499053fp-17, 0x1.51a2b4b8d66dcp-17, 0x1.5a5e0b2976c7ap-17, 0x1.62f5d7d3a0e89p-17, 0x1.6b6a04b10b4bdp-17, 0x1.73ba7e708fb0bp-17, 0x1.7be73468e7c05p-17, 0x1.83f0188ebbfa5p-17, 0x1.8bd51f66b4db1p-17, 0x1.93963ffa4e2c4p-17, 0x1.9b3373cccb7a2p-17, 0x1.a2acb6ce56b8ep-17, 0x1.aa0207507d1cbp-17, 0x1.b13365fc59687p-17, 0x1.b840d5c452eebp-17, 0x1.bf2a5bdad68cep-17, 0x1.c5efffa6ac9a6p-17, 0x1.cc91cab7d1fc6p-17, 0x1.d30fc8bb66519p-17, 0x1.d96a077277a9ap-17, 0x1.dfa096a58047dp-17, 0x1.e5b3881ab4f92p-17, 0x1.eba2ef8a5b037p-17, 0x1.f16ee2952c195p-17, 0x1.f71778b9495f1p-17, 0x1.fc9ccb46e09d2p-17, 0x1.00ff7aabb4301p-16, 0x1.039f09e183ddp-16, 0x1.062d228aa717ep-16, 0x1.08a9d4c254078p-16, 0x1.0b1531738e1p-16, 0x1.0d6f4a54b35p-16, 0x1.0fb831e1fc9fcp-16, 0x1.11effb59a489bp-16, 0x1.1416bab610d13p-16, 0x1.162c84a98b2bep-16, 0x1.18316e99b07bcp-16, 0x1.1a258e9a8de35p-16, 0x1.1c08fb69d4311p-16, 0x1.1ddbcc6ad67dcp-16, 0x1.1f9e19a19c725p-16, 0x1.214ffbae63855p-16, 0x1.22f18bc9b6198p-16, 0x1.2482e3bf648b2p-16, 0x1.26041dea8c743p-16, 0x1.277555314d137p-16, 0x1.28d6a500b1bdcp-16, 0x1.2a2829482be74p-16, 0x1.2b69fe75b7f2cp-16, 0x1.2c9c4171b9f2bp-16, 0x1.2dbf0f9b0f041p-16, 0x1.2ed286c2e72d6p-16, 0x1.2fd6c528ce142p-16, 0x1.30cbe9771d9fp-16, 0x1.31b212bedc274p-16, 0x1.328960742b80ep-16, 0x1.3351f26a3cca5p-16, 0x1.340be8d010e0fp-16, 0x1.34b7642c6c30ep-16, 0x1.3554855a8807ep-16, 0x1.35e36d8692e83p-16, 0x1.36643e29e8ccdp-16, 0x1.36d71907c8cf2p-16, 0x1.373c202a30449p-16, 0x1.379375de1f433p-16, 0x1.37dd3cb07a3b2p-16, 0x1.3819976ac10ddp-16, 0x1.3848a91011ccep-16, 0x1.386a94d9ca332p-16, 0x1.387f7e3474c5ep-16, 0x1.388788bccc4cfp-16, 0x1.3882d83c93566p-16, 0x1.387190a7dc22cp-16, 0x1.3853d619e5ec8p-16, 0x1.3829ccd28035fp-16, 0x1.37f3993301496p-16, 0x1.37b15fbb7ab07p-16, 0x1.3763450823b72p-16, 0x1.37096dceb1eb4p-16, 0x1.36a3fedb8d93dp-16, 0x1.36331d0f53fbcp-16, 0x1.35b6ed5c65fbfp-16, 0x1.352f94c435ab9p-16, 0x1.349d3854d0975p-16, 0x1.33fffd26ab8bbp-16, 0x1.3358085a3571dp-16, 0x1.32a57f154f836p-16, 0x1.31e886812f6b1p-16, 0x1.312143c85592p-16, 0x1.304fdc1413bd2p-16, 0x1.2f74748a7d96dp-16, 0x1.2e8f324c2f6dap-16, 0x1.2da03a7269fa6p-16, 0x1.2ca7b20cfbb5p-16, 0x1.2ba5be20561e7p-16, 0x1.2a9a83a39782dp-16, 0x1.2986277e9402fp-16, 0x1.2868ce87edc05p-16, 0x1.27429d834e2dap-16, 0x1.2613b91fdb2efp-16, 0x1.24dc45f627a39p-16, 0x1.239c68868afa6p-16, 0x1.22544537a34a8p-16, 0x1.21040054c285dp-16, 0x1.1fabbe0c0c682p-16, 0x1.1e4ba26d225acp-16, 0x1.1ce3d16779981p-16, 0x1.1b746ec907c78p-16, 0x1.19fd9e3cdab3dp-16, 0x1.187f83499f6e6p-16, 0x1.16fa41502b9c8p-16, 0x1.156dfb8a4ca96p-16, 0x1.13dad5096822p-16, 0x1.1240f0b5474d7p-16, 0x1.10a0714ac81afp-16, 0x1.0ef9795ac6fep-16, 0x1.0d4c2b48feb31p-16, 0x1.0b98a94acd5b7p-16, 0x1.09df15662a989p-16, 0x1.081f917074955p-16, 0x1.065a3f0d9d9cep-16, 0x1.048f3faef360bp-16, 0x1.02beb49267f0dp-16, 0x1.00e8bec199dbfp-16, 0x1.fe1afe2184ba8p-17, 0x1.fa5a2c3ba351cp-17, 0x1.f68f489f8e0dfp-17, 0x1.f2ba93ab947c4p-17, 0x1.eedc4d4c81562p-17, 0x1.eaf4b4fc49463p-17, 0x1.e70409c0d50f8p-17, 0x1.e30a8a2a83a5ap-17, 0x1.df087452a0bdcp-17, 0x1.dafe05d9dfb1cp-17, 0x1.d6eb7be7932ecp-17, 0x1.d2d11327ea202p-17, 0x1.ceaf07cb66c6ep-17, 0x1.ca859585e6d8dp-17, 0x1.c654f78ce1dcfp-17, 0x1.c21d68969c866p-17, 0x1.bddf22d9749p-17, 0x1.b99a600af7449p-17, 0x1.b54f595ef525ap-17, 0x1.b0fe47868899ap-17, 0x1.aca762af4c294p-17, 0x1.a84ae283252cap-17, 0x1.a3e8fe2775b5ap-17, 0x1.9f81ec3bef5cbp-17, 0x1.9b15e2da738c1p-17, 0x1.96a5179641177p-17, 0x1.922fbf7b79bc4p-17, 0x1.8db60f0f169a8p-17, 0x1.89383a4e18aep-17, 0x1.84b674ad537bbp-17, 0x1.8030f118f4035p-17, 0x1.7ba7e1f3fc293p-17, 0x1.771b7918626aep-17, 0x1.728be7d69bb2bp-17, 0x1.6df95ef56604cp-17, 0x1.69640eb1d124cp-17, 0x1.64cc26bed9b4dp-17, 0x1.6031d6458ead4p-17, 0x1.5b954be4bae4ep-17, 0x1.56f6b5b12e908p-17, 0x1.525641354d694p-17, 0x1.4db41b71282e8p-17, 0x1.491070dac1891p-17, 0x1.446b6d5e598f6p-17, 0x1.3fc53c5e2be93p-17, 0x1.3b1e08b29a533p-17, 0x1.3675fcaa6b05bp-17, 0x1.31cd420acb4cfp-17, 0x1.2d24020fed0dap-17, 0x1.287a656cb985ep-17, 0x1.23d0944bb9e76p-17, 0x1.1f26b64ebc42fp-17, 0x1.1a7cf28fa45adp-17, 0x1.15d36fa07e3ap-17, 0x1.112a538c34a7bp-17, 0x1.0c81c3d68ed8ap-17, 0x1.07d9e57c90459p-17, 0x1.0332dcf4f3be1p-17, 0x1.fd199c618c608p-18, 0x1.f3cfb9384c168p-18, 0x1.ea88563c60bcap-18, 0x1.e143b83372a0ap-18, 0x1.d80222db9ed3ap-18, 0x1.cec3d8ecac259p-18, 0x1.c5891c1931b7dp-18, 0x1.bc522d0f9816dp-18, 0x1.b31f4b7b40aap-18, 0x1.a9f0b60580cp-18, 0x1.a0c6aa5781cp-18, 0x1.97a1651bdbe4p-18, 0x1.8e8121fe9ad57p-18, 0x1.85661baf3eba1p-18, 0x1.7c508be264c43p-18, 0x1.7340ab529b9f9p-18, 0x1.6a36b1c21f9b1p-18, 0x1.6132d5fbed0e3p-18, 0x1.58354dd649badp-18, 0x1.4f3e4e3371bd9p-18, 0x1.464e0b029c1dp-18, 0x1.3d64b7429dd32p-18, 0x1.34828502a36bcp-18, 0x1.2ba7a5641a255p-18, 0x1.22d4489c4f47dp-18, 0x1.1a089df5e51cfp-18, 0x1.1144d3d24c3bcp-18, 0x1.088917ac62882p-18, }}, 
      {{0x1.ba99080a6b485p-1, 0x1.baa0f99404becp-1, 0x1.bab70164df427p-1, 0x1.bad96a54f2761p-1, 0x1.baff782e69338p-1, 0x1.bb1d0827d406p-1, 0x1.bb25d2209ffbcp-1, 0x1.bb0f895f5a2dcp-1, 0x1.bad2df542c1bap-1, 0x1.ba6bb17f498d7p-1, 0x1.b9d8b4b78c8dbp-1, 0x1.b91ae06c9dedep-1, 0x1.b834c78dae837p-1, 0x1.b729fa91dfa42p-1, 0x1.b5fe80d95fd0ep-1, 0x1.b4b66ee03eb61p-1, 0x1.b35599713996p-1, 0x1.b1df631de0acep-1, 0x1.b0569fe4700fap-1, 0x1.aebd8a82e2f77p-1, 0x1.ad15c71c8217ep-1, 0x1.ab606f4930cf8p-1, 0x1.a99e243a6b763p-1, 0x1.a7cf243f5736ap-1, 0x1.a5f361886e80cp-1, 0x1.a40a9893d2848p-1, 0x1.a21465214cc39p-1, 0x1.a01054ef80546p-1, 0x1.9dfdf7d33ba97p-1, 0x1.9bdcecf7ffa6ep-1, 0x1.99aced47aab68p-1, 0x1.976dd319096d5p-1, 0x1.951f9f5c25147p-1, 0x1.92c27c8981e12p-1, 0x1.9056bfa10d913p-1, 0x1.8ddce787d0a78p-1, 0x1.8b559b11f4c7cp-1, 0x1.88c1a6027f5f1p-1, 0x1.8621f54420a34p-1, 0x1.837792976a35fp-1, 0x1.80c39feb382d2p-1, 0x1.7e07528c73ab6p-1, 0x1.7b43ee52ef4d2p-1, 0x1.787ac0ea2b544p-1, 0x1.75ad1d4e657bdp-1, 0x1.72dc579095b08p-1, 0x1.7009c0eeefa2cp-1, 0x1.6d36a44b146edp-1, 0x1.6a64430363052p-1, 0x1.6793d231bc5afp-1, 0x1.64c6784f78522p-1, 0x1.61fd4b3c4347bp-1, 0x1.5f394ea3fbf4p-1, 0x1.5c7b72be7b91dp-1, 0x1.59c493634e368p-1, 0x1.5715776ad5352p-1, 0x1.546ed055f0242p-1, 0x1.51d13a352a91bp-1, 0x1.4f3d3bc87458dp-1, 0x1.4cb346d089c61p-1, 0x1.4a33b88b7bb6p-1, 0x1.47beda560b5b4p-1, 0x1.4554e26bfe5fcp-1, 0x1.42f5f4c1e79c3p-1, 0x1.40a223f35b1b7p-1, 0x1.3e597240eccddp-1, 0x1.3c1bd299c85abp-1, 0x1.39e929ad23132p-1, 0x1.37c14f0028766p-1, 0x1.35a40e0571a81p-1, 0x1.339127336ae76p-1, 0x1.318851176c284p-1, 0x1.2f89396396785p-1, 0x1.2d9385f5d5e8ep-1, 0x1.2ba6d5d6ad34cp-1, 0x1.29c2c22ead0a4p-1, 0x1.27e6df31b478ep-1, 0x1.2612bcff49b6fp-1, 0x1.2445e8778865dp-1, 0x1.227fec04496afp-1, 0x1.20c050564fce3p-1, 0x1.1f069d165ee94p-1, 0x1.1d52598a41289p-1, 0x1.1ba30d2dd63ddp-1, 0x1.19f8404059241p-1, 0x1.18517c461a6ecp-1, 0x1.16ae4c7efe7e8p-1, 0x1.150e3e52164p-1, 0x1.1370e1aeb3df8p-1, 0x1.11d5c9636536ep-1, 0x1.103c8b6b40d03p-1, 0x1.0ea4c131f8b79p-1, 0x1.0d0e07cf28fa2p-1, 0x1.0b78003953bb4p-1, 0x1.09e24f7107c77p-1, 0x1.084c9ea4a0794p-1, 0x1.06b69b4d1a4e6p-1, 0x1.051ff7446ac8ap-1, 0x1.038868d5cd4bfp-1, 0x1.01efaac8735cep-1, 0x1.00557c65007bfp-1, 0x1.fd7342ec75e54p-2, 0x1.fa37c48aa7bd3p-2, 0x1.f6f8172445ac4p-2, 0x1.f3b3dd0f6a7efp-2, 0x1.f06ac15b0a465p-2, 0x1.ed1c77ab54c09p-2, 0x1.e9c8bc10ad0dep-2, 0x1.e66f52d9c9256p-2, 0x1.e310086189bc3p-2, 0x1.dfaab0d90b7bfp-2, 0x1.dc3f280e70a3p-2, 0x1.d8cd5130dc70ep-2, 0x1.d555169205876p-2, 0x1.d1d66965cfd6dp-2, 0x1.ce5141804a009p-2, 0x1.cac59d1262a21p-2, 0x1.c7338065b3a52p-2, 0x1.c39af597a3cd9p-2, 0x1.bffc0c542d3b8p-2, 0x1.bc56d990891adp-2, 0x1.b8ab7745f6965p-2, 0x1.b4fa042cdb133p-2, 0x1.b142a378665d2p-2, 0x1.ad857c92effb2p-2, 0x1.a9c2badb2b948p-2, 0x1.a5fa8d626457p-2, 0x1.a22d26abd63c4p-2, 0x1.9e5abc6d4b016p-2, 0x1.9a8387510bf81p-2, 0x1.96a7c2b946281p-2, 0x1.92c7ac84f1787p-2, 0x1.8ee384d64ab4ap-2, 0x1.8afb8ddaef627p-2, 0x1.87100b95a8294p-2, 0x1.832143a9e8d4dp-2, 0x1.7f2f7d291080bp-2, 0x1.7b3b00616d721p-2, 0x1.774416af058p-2, 0x1.734b0a4e2d9a1p-2, 0x1.6f50262fe64d4p-2, 0x1.6b53b5d005349p-2, 0x1.6756050d22871p-2, 0x1.635760024f2bp-2, 0x1.5f5812e2868bbp-2, 0x1.5b5869d5ddf5cp-2, 0x1.5758b0d866ea3p-2, 0x1.5359339ac1c5bp-2, 0x1.4f5a3d64546b7p-2, 0x1.4b5c18f72331p-2, 0x1.475f10753bc53p-2, 0x1.43636d47b1a21p-2, 0x1.3f6978071ca47p-2, 0x1.3b71786590fdfp-2, 0x1.377bb51a09e88p-2, 0x1.338873cd39786p-2, 0x1.2f97f907b4519p-2, 0x1.2baa88216f928p-2, 0x1.27c0633286662p-2, 0x1.23d9cb053a7dp-2, 0x1.1ff6ff0926301p-2, 0x1.1c183d479943ap-2, 0x1.183dc2590dd33p-2, 0x1.1467c95bb24ffp-2, 0x1.10968beafa80ap-2, 0x1.0cca42182c835p-2, 0x1.09032263e338ap-2, 0x1.054161b877941p-2, 0x1.018533654877cp-2, 0x1.fb9d9235b9681p-3, 0x1.f43ca5cf909b4p-3, 0x1.ece7fe6cb7444p-3, 0x1.e59ff5961142p-3, 0x1.de64e186e9b8fp-3, 0x1.d737152c72a68p-3, 0x1.d016e02674cd5p-3, 0x1.c9048ec931bbdp-3, 0x1.c2006a2064937p-3, 0x1.bb0ab7f3456adp-3, 0x1.b423bac992cffp-3, 0x1.ad4bb1f185436p-3, 0x1.a682d9869f7cap-3, 0x1.9fc96a795006bp-3, 0x1.991f9a975a88ap-3, 0x1.92859c94f2bc7p-3, 0x1.8bfba016820b4p-3, 0x1.8581d1bb0a9cp-3, 0x1.7f185b271800bp-3, 0x1.78bf631040251p-3, 0x1.72770d490eabdp-3, 0x1.6c3f7acd6ef5ep-3, 0x1.6618c9cf76eb7p-3, 0x1.600315c48a9c7p-3, 0x1.59fe7772d7d68p-3, 0x1.540b04ff1abd4p-3, 0x1.4e28d1faa298dp-3, 0x1.4857ef718e0e2p-3, 0x1.42986bf93c1ebp-3, 0x1.3cea53bee67f6p-3, 0x1.374db0965d5c3p-3, 0x1.31c28a08df41cp-3, 0x1.2c48e5640460ep-3, 0x1.26e0c5c8bfcf7p-3, 0x1.218a2c3a61aacp-3, 0x1.1c4517ada3c78p-3, 0x1.17118517b3beep-3, 0x1.11ef6f7d2fc97p-3, 0x1.0cded001255cdp-3, 0x1.07df9df3f4843p-3, 0x1.02f1cee227ca2p-3, 0x1.fc2aad465e35ep-4, 0x1.f2944ed0040cep-4, 0x1.e92063934f3bdp-4, 0x1.dfcec9af24aebp-4, 0x1.d69f5c4bc31a5p-4, 0x1.cd91f3b6ea80fp-4, 0x1.c4a6657fb48d4p-4, 0x1.bbdc849214f68p-4, 0x1.b3342151f3dc7p-4, 0x1.aaad09b5f8f8ap-4, 0x1.a2470961d8266p-4, 0x1.9a01e9c04ebf9p-4, 0x1.91dd721ca5215p-4, 0x1.89d967bbc3d16p-4, 0x1.81f58df4e15ffp-4, 0x1.7a31a649b1ccbp-4, 0x1.728d707e26e9dp-4, 0x1.6b08aaafba87p-4, 0x1.63a3116c3c95cp-4, 0x1.5c5c5fc82cd8bp-4, 0x1.55344f7494d99p-4, 0x1.4e2a98d46cb63p-4, 0x1.473ef3117f80ep-4, 0x1.40711430d55c8p-4, 0x1.39c0b126a247p-4, 0x1.332d7de9b4fdcp-4, 0x1.2cb72d866e15bp-4, 0x1.265d723136a5cp-4, 0x1.201ffd587e9ep-4, 0x1.19fe7fb63e364p-4, 0x1.13f8a960fc0adp-4, 0x1.0e0e29dc5a5dcp-4, 0x1.083eb0292c8ap-4, 0x1.0289ead512334p-4, 0x1.f9df1013365d3p-5, 0x1.eede6b35f2253p-5, 0x1.e411422c713e4p-5, 0x1.d976ef9e0f7bcp-5, 0x1.cf0ecdda1a109p-5, 0x1.c4d836f196bd6p-5, 0x1.bad284d032427p-5, 0x1.b0fd115448b69p-5, 0x1.a75736662b4c3p-5, 0x1.9de04e0e79a6p-5, 0x1.9497b28bbcd29p-5, 0x1.8b7cbe672823ap-5, 0x1.828ecc889b521p-5, 0x1.79cd3849d0d2ap-5, 0x1.71375d88d6f77p-5, 0x1.68cc98b9bfd0cp-5, 0x1.608c46f79ce86p-5, 0x1.5875c614bdb2ap-5, 0x1.508874aa39da4p-5, 0x1.48c3b226d3042p-5, 0x1.4126dedd2321ep-5, 0x1.39b15c1122967p-5, 0x1.32628c050cdb6p-5, 0x1.2b39d205a2f3p-5, 0x1.24369275cf2c3p-5, 0x1.1d5832d9b141p-5, 0x1.169e19e114389p-5, 0x1.1007af7154077p-5, 0x1.09945caeb23acp-5, 0x1.03438c0521c45p-5, 0x1.fa2952611b919p-6, 0x1.ee0e42892f1dbp-6, 0x1.e234c567bbb91p-6, 0x1.d69bbaad8013p-6, 0x1.cb4204e35d6fbp-6, 0x1.c02689760653dp-6, 0x1.b54830c0ced38p-6, 0x1.aaa5e617a36fbp-6, 0x1.a03e97d027384p-6, 0x1.96113749fd69cp-6, 0x1.8c1cb8f65ee6fp-6, 0x1.8260145ecdcfap-6, 0x1.78da442b31189p-6, 0x1.6f8a46271fd92p-6, 0x1.666f1b468ef7cp-6, 0x1.5d87c7a9c9fecp-6, 0x1.54d352a0cce72p-6, 0x1.4c50c6ae074dbp-6, 0x1.43ff31887afe1p-6, 0x1.3bdda41d579abp-6, 0x1.33eb3290f8a51p-6, 0x1.2c26f43f6e016p-6, 0x1.249003bc75a18p-6, 0x1.1d257ed2fd8f2p-6, 0x1.15e686842ad0bp-6, 0x1.0ed23f05f4a47p-6, 0x1.07e7cfc14aebap-6, 0x1.0126634fd307ep-6, 0x1.f51a4ef28cdaep-7, 0x1.e8369a60cb16ap-7, 0x1.dba0111f43093p-7, 0x1.cf5521aaa2335p-7, 0x1.c35440bf65ce3p-7, 0x1.b79be9511066fp-7, 0x1.ac2a9c80d85edp-7, 0x1.a0fee193c6dd4p-7, 0x1.961745e855484p-7, 0x1.8b725ceb785e5p-7, 0x1.810ec00d3c21dp-7, 0x1.76eb0eb4f3661p-7, 0x1.6d05ee34eb834p-7, 0x1.635e09bdc48f6p-7, 0x1.59f212515d396p-7, 0x1.50c0beb57c7e5p-7, 0x1.47c8cb6614a1ep-7, 0x1.3f08fa872e78ap-7, 0x1.368013d6ac2a6p-7, 0x1.2e2ce49da5c72p-7, 0x1.260e3fa1a96eep-7, 0x1.1e22fd1599cc8p-7, 0x1.1669fa8a81737p-7, 0x1.0ee21ae019649p-7, 0x1.078a46353152p-7, 0x1.006169d7edcd5p-7, 0x1.f2ccf06bc68e3p-8, 0x1.e530d19825e04p-8, 0x1.d7ec702d9b6b2p-8, 0x1.cafdcf02f314fp-8, 0x1.be62faacab23bp-8, 0x1.b21a095c1f1cdp-8, 0x1.a6211abedbbe3p-8, 0x1.9a7657ddb3116p-8, 0x1.8f17f2fbccd69p-8, 0x1.84042775c5024p-8, 0x1.793939a0aa6c2p-8, 0x1.6eb576a919144p-8, 0x1.64773472496d2p-8, 0x1.5a7cd17549df6p-8, 0x1.50c4b4a036541p-8, 0x1.474d4d357a2a1p-8, 0x1.3e1512ab56004p-8, 0x1.351a848b6bfa5p-8, 0x1.2c5c2a526361p-8, 0x1.23d8934fdc7bfp-8, 0x1.1b8e56865ad8ap-8, 0x1.137c128b949e9p-8, 0x1.0ba06d68cb2d6p-8, 0x1.03fa147b6d316p-8, 0x1.f90f78abc8b3bp-9, 0x1.ea9041413f263p-9, 0x1.dc7407f6de52ep-9, 0x1.ceb85fbdfe152p-9, 0x1.c15ae8fd4a5fap-9, 0x1.b4595154dbea9p-9, 0x1.a7b15362fd252p-9, 0x1.9b60b68940377p-9, 0x1.8f654eb25b2d3p-9, 0x1.83bcfc188a1b4p-9, 0x1.7865ab0c6ff03p-9, 0x1.6d5d53bcc54dap-9, 0x1.62a1f9fe806b7p-9, 0x1.5831ad159a0aap-9, 0x1.4e0a877e90af1p-9, 0x1.442aaeb868d33p-9, 0x1.3a90530f77346p-9, 0x1.3139af68c4cfbp-9, 0x1.2825090e0c8d3p-9, 0x1.1f50af7a73d1fp-9, 0x1.16bafc27e5c36p-9, 0x1.0e62525d27303p-9, 0x1.06451efc6bf3dp-9, 0x1.fcc3b0a5c277ep-10, 0x1.ed6dfbd11d005p-10, 0x1.de8630a24db44p-10, 0x1.d00971fafb3f9p-10, 0x1.c1f4f41ae4aafp-10, 0x1.b445fc459b238p-10, 0x1.a6f9e0693fd71p-10, 0x1.9a0e06c6c6407p-10, 0x1.8d7fe59b75146p-10, 0x1.814d02cbc0d57p-10, 0x1.7572f38f8eb2p-10, 0x1.69ef5c1f955bep-10, 0x1.5ebfef647f1dp-10, 0x1.53e26ea6c6d12p-10, 0x1.4954a94065dfbp-10, 0x1.3f147c4f840a1p-10, 0x1.351fd26a8c226p-10, 0x1.2b74a3558625ep-10, 0x1.2210f3b8c55bfp-10, 0x1.18f2d4d8a14c4p-10, 0x1.1018644eb9e5ap-10, 0x1.077fcbc4551e6p-10, 0x1.fe4e815bcc16dp-11, 0x1.ee1a08100590fp-11, 0x1.de5ec42a7ec54p-11, 0x1.cf19643b3737p-11, 0x1.c046ac5d6a0fdp-11, 0x1.b1e375bb0fb9dp-11, 0x1.a3ecae1255a07p-11, 0x1.965f573d26aa1p-11, 0x1.893886bb7482p-11, 0x1.7c75653f469f9p-11, 0x1.70132e3b752b9p-11, 0x1.640f2f7449d7p-11, 0x1.5866c892133d6p-11, 0x1.4d176ab677bd8p-11, 0x1.421e98134ba22p-11, 0x1.3779e383cb1a1p-11, 0x1.2d26f027c035ap-11, 0x1.23237100d05b1p-11, 0x1.196d28919a0d7p-11, 0x1.1001e87eceb49p-11, 0x1.06df91328078cp-11, 0x1.fc082301cc499p-12, 0x1.eadacc9ea29b7p-12, 0x1.da33347a23b33p-12, 0x1.ca0d8a9b7eab2p-12, 0x1.ba66192b7a42p-12, 0x1.ab3943d08e9e2p-12, 0x1.9c83870ea4aa1p-12, 0x1.8e4177aa14cd7p-12, 0x1.806fc20e488bep-12, 0x1.730b29b76a697p-12, 0x1.6610889f511efp-12, 0x1.597cceae03cb6p-12, 0x1.4d4d012ce6a2ep-12, 0x1.417e3a3d3564cp-12, 0x1.360da8519cc2p-12, 0x1.2af88daaa456cp-12, 0x1.203c3fd61ba86p-12, 0x1.15d627316aa12p-12, 0x1.0bc3be6eb8066p-12, 0x1.0202921ce4908p-12, 0x1.f1208063ea9dcp-13, 0x1.ded4ef3155e3fp-13, 0x1.cd1def805e6c5p-13, 0x1.bbf7205d9bc2dp-13, 0x1.ab5c402dd451bp-13, 0x1.9b492bdd1e24bp-13, 0x1.8bb9de12b5bc8p-13, 0x1.7caa6e69a0906p-13, 0x1.6e1710ae3f45dp-13, 0x1.5ffc142030302p-13, 0x1.5255e2b8d4f6dp-13, 0x1.45210075efc4fp-13, 0x1.385a0aa97e8b3p-13, 0x1.2bfdb74c31b11p-13, 0x1.2008d455e8ce5p-13, 0x1.14784718f0a7ep-13, 0x1.09490ba18a408p-13, 0x1.fcf06833c1a31p-14, 0x1.e805d061c8505p-14, 0x1.d3ccc90b7c1a8p-14, 0x1.c03ff42d1ab1cp-14, 0x1.ad5a1b64cb94dp-14, 0x1.9b162edf47e32p-14, 0x1.896f4449eda6fp-14, 0x1.786095cbec984p-14, 0x1.67e581064da86p-14, 0x1.57f9861a8b1d7p-14, 0x1.489846b672481p-14, 0x1.39bd852760fdp-14, 0x1.2b65237328b6fp-14, 0x1.1d8b227649e9p-14, 0x1.102ba10891c4ap-14, 0x1.0342db273914ap-14, 0x1.ed9a5247e6b17p-15, 0x1.d58dfdb50744ep-15, 0x1.be59d5d4f8835p-15, 0x1.a7f72bec0337cp-15, 0x1.925f83cf8192bp-15, 0x1.7d8c92740716ep-15, 0x1.69783c8cb23cp-15, 0x1.561c952ed7b82p-15, 0x1.4373dc804b138p-15, 0x1.31787e6fdfa62p-15, 0x1.20251174c1a95p-15, 0x1.0f7455577be82p-15, 0x1.fec2640470798p-16, 0x1.dfcd6cb3f3efep-16, 0x1.c2002e40485d6p-16, 0x1.a5515bb531662p-16, 0x1.89b7ef864c0ep-16, 0x1.6f2b298175935p-16, 0x1.55a28cc90071ep-16, 0x1.3d15dde1f04bbp-16, 0x1.257d20c9ca54cp-16, 0x1.0ed0971fc9caep-16, 0x1.f2117cabcc606p-17, 0x1.c83c9be64698bp-17, 0x1.a0146bbc551c9p-17, 0x1.798b396cc9ac3p-17, 0x1.5493bc6f92a19p-17, 0x1.3121135576fcdp-17, 0x1.0f26c0bdad901p-17, 0x1.dd3150bfd81d1p-18, 0x1.9ed6185ce56bbp-18, 0x1.632513132cb17p-18, 0x1.2a082d16f6a8cp-18, 0x1.e6d3fd81b3f83p-19, 0x1.7e6b8eec2e3dfp-19, 0x1.1aaed155737d5p-19, 0x1.76ed841d412f1p-20, 0x1.82763dd8dac9dp-21, 0x1.3fd1f9ec648e2p-24, -0x1.22271e6c01901p-21, -0x1.2e3bd62d862ecp-20, -0x1.c3be81ce2d0a1p-20, -0x1.28ee2966be763p-19, -0x1.6c6a06e699347p-19, -0x1.ac71456579bc5p-19, -0x1.e92161f375bc5p-19, -0x1.114b78f7e1624p-18, -0x1.2c76d5097fdp-18, -0x1.4620329954449p-18, -0x1.5e549574881ep-18, -0x1.75209afc8db2ap-18, -0x1.8a907d4456288p-18, -0x1.9eb01617a86c7p-18, -0x1.b18ae1e929085p-18, -0x1.c32c02a95b5f4p-18, -0x1.d39e428cff289p-18, -0x1.e2ec16b5f6a35p-18, -0x1.f11fa1d14e80bp-18, -0x1.fe42b69b2b78ap-18, -0x1.052f6d291595fp-17, -0x1.0abea38a02aa3p-17, -0x1.0fd37716c717bp-17, -0x1.14723d2b05a1ap-17, -0x1.189f28ec1fcap-17, -0x1.1c5e4c56d9d27p-17, -0x1.1fb39943408ap-17, -0x1.22a2e262d830ep-17, -0x1.252fdc32ea3d9p-17, -0x1.275e1dedad6ddp-17, -0x1.2931226e666f8p-17, -0x1.2aac49117cc97p-17, -0x1.2bd2d68d09a96p-17, -0x1.2ca7f5c309c3dp-17, -0x1.2d2eb88c06a6bp-17, -0x1.2d6a187db1fc9p-17, -0x1.2d5cf7a8c8776p-17, -0x1.2d0a2153583bdp-17, -0x1.2c744aac00053p-17, -0x1.2b9e1376f5866p-17, -0x1.2a8a06b967fcdp-17, -0x1.293a9b59e659fp-17, -0x1.27b234c0c3fc8p-17, -0x1.25f323703914dp-17, -0x1.23ffa59a61204p-17, -0x1.21d9e7afd9328p-17, -0x1.1f8404ed181cep-17, -0x1.1d0007e00540bp-17, -0x1.1a4feaebddbd6p-17, -0x1.177598c759c56p-17, -0x1.1472ecf87fe7ap-17, -0x1.1149b44b52d9cp-17, -0x1.0dfbad44f83a8p-17, -0x1.0a8a8893c6d7fp-17, -0x1.06f7e97b0ed56p-17, -0x1.0345663c466c3p-17, -0x1.fee910f918f7bp-18, -0x1.f70d9b4db6d4bp-18, -0x1.eefb4e96e18c8p-18, -0x1.e6b4f6f6ac3c8p-18, -0x1.de3d4a44b6282p-18, -0x1.d596e8bb64689p-18, -0x1.ccc45d9e0d8e6p-18, -0x1.c3c81fdcc5f69p-18, -0x1.baa492b03fd8ap-18, -0x1.b15c06324c144p-18, -0x1.a7f0b7f107abp-18, -0x1.9e64d37e0f7c2p-18, -0x1.94ba72f826bc8p-18, -0x1.8af39f9188455p-18, -0x1.81125210216dp-18, -0x1.7718734ce03c1p-18, -0x1.6d07dcabb3056p-18, -0x1.62e2589299a05p-18, -0x1.58a9a2d9fe302p-18, -0x1.4e5f693ca2b3p-18, -0x1.44054bc0f9dc4p-18, -0x1.399cdd20e6ee2p-18, -0x1.2f27a32f9ba8dp-18, -0x1.24a7173877283p-18, -0x1.1a1ca65ec064p-18, -0x1.0f89b1f78b138p-18, -0x1.04ef8fe29b773p-18, -0x1.f49f15be00884p-19, -0x1.df55c5be018bfp-19, -0x1.ca059aaf077bdp-19, -0x1.b4b0eb1a78d9bp-19, -0x1.9f59f9c1c4159p-19, -0x1.8a02f62f0ee34p-19, -0x1.74adfd41c4e82p-19, -0x1.5f5d19b96fb9dp-19, -0x1.4a1244b8b79f9p-19, -0x1.34cf6645647c3p-19, -0x1.1f9655c6c600ep-19, -0x1.0a68da7bc2f06p-19, -0x1.ea9157e256802p-20, -0x1.c06ee4e7c54f1p-20, -0x1.966d8ef91a805p-20, -0x1.6c906c381756ep-20, -0x1.42da76c42fa1p-20, -0x1.194e8d80b4924p-20, -0x1.dfdee9b205e4ap-21, -0x1.8d7faef9bfa63p-21, -0x1.3b848e2cc6e48p-21, -0x1.d3e4f3e7d7497p-22, -0x1.319c6b4a4686dp-22, -0x1.20715a4be42fdp-23, 0x1.03d756c351906p-26, 0x1.5f7b04acc9cc3p-23, 0x1.4e3f5438d731cp-22, 0x1.ebbb1816b79dcp-22, 0x1.4414a58893914p-21, 0x1.91c15c248dfd7p-21, 0x1.dee03b5b385a9p-21, 0x1.15b6f9c87cd39p-20, 0x1.3bb3ac885df94p-20, 0x1.6164b18cbf114p-20, 0x1.86c895744cc79p-20, 0x1.abddf56ac9b29p-20, 0x1.d0a37eb4e62c2p-20, 0x1.f517ee4599fc9p-20, 0x1.0c9d08270174cp-19, 0x1.1e845fed1a627p-19, 0x1.30417334fb0b4p-19, 0x1.41d3bdc6c3788p-19, 0x1.533ac244f9764p-19, 0x1.647609fb1bd69p-19, 0x1.758524b238478p-19, 0x1.8667a88477fdap-19, 0x1.971d31b2100adp-19, 0x1.a7a56277f63bcp-19, 0x1.b7ffe2e7d0201p-19, 0x1.c82c60be9fd56p-19, 0x1.d82a8f4053bd9p-19, 0x1.e7fa27118bebdp-19, 0x1.f79ae612a262fp-19, 0x1.0386479e9be7dp-18, 0x1.0b27754029643p-18, 0x1.12b0e25002e57p-18, 0x1.1a227789bdadep-18, 0x1.217c1ff2c273cp-18, 0x1.28bdc8ca6542cp-18, 0x1.2fe7617b09b59p-18, 0x1.36f8db8b3e3f6p-18, 0x1.3df22a8ef1fa6p-18, 0x1.44d34419e40e4p-18, 0x1.4b9c1fb156dfdp-18, 0x1.524cb6be927d6p-18, 0x1.58e504827fc7bp-18, 0x1.5f650607e3f6fp-18, 0x1.65ccba176febcp-18, 0x1.6c1c212bed306p-18, 0x1.72533d653117fp-18, 0x1.7872127d93c58p-18, 0x1.7e78a5bde4af5p-18, 0x1.8466fdf2c96f9p-18, 0x1.8a3d23615a9b5p-18, 0x1.8ffb1fbd28e25p-18, 0x1.95a0fe1d77d93p-18, 0x1.9b2ecaf31f122p-18, 0x1.a0a493fea8e41p-18, 0x1.a6026846bd49ep-18, 0x1.ab48580ea1385p-18, 0x1.b07674cd0c222p-18, 0x1.b58cd122c0f51p-18, 0x1.ba8b80d24bee6p-18, 0x1.bf7298b6d2a53p-18, 0x1.c4422ebbabd31p-18, 0x1.c8fa59d484583p-18, 0x1.cd9b31f48aee3p-18, 0x1.d224d0072f165p-18, 0x1.d6974de7e8274p-18, 0x1.daf2c65ad71f6p-18, 0x1.df37550556e16p-18, 0x1.e365166640102p-18, 0x1.e77c27cf97cbap-18, 0x1.eb7ca75ec086cp-18, 0x1.ef66b3f62f1bdp-18, 0x1.f33a6d367b4cap-18, 0x1.f6f7f377ea2eep-18, 0x1.fa9f67c3cb576p-18, 0x1.fe30ebce951edp-18, 0x1.00d650f8a5145p-17, 0x1.02895691d2527p-17, 0x1.0431987b1a273p-17, 0x1.05cf28c652f61p-17, 0x1.076219cbdf12dp-17, 0x1.08ea7e282b02dp-17, 0x1.0a6868b8aecbfp-17, 0x1.0bdbec9965b93p-17, 0x1.0d451d2242cfap-17, 0x1.0ea40de47f5bdp-17, 0x1.0ff8d2a8136f5p-17, 0x1.11437f6990141p-17, 0x1.1284285746385p-17, 0x1.13bae1cf37136p-17, 0x1.14e7c05caa2e8p-17, 0x1.160ad8b6082bcp-17, 0x1.17243fba6c323p-17, 0x1.18340a6fc2ba4p-17, 0x1.193a4e00620a2p-17, 0x1.1a371fb92b9a1p-17, 0x1.1b2a950756dc4p-17, 0x1.1c14c3769e4e2p-17, 0x1.1cf5c0af367ep-17, 0x1.1dcda273cc6bp-17, 0x1.1e9c7e9fdacb5p-17, 0x1.1f626b25bbbb9p-17, 0x1.201f7e0cc0ea7p-17, 0x1.20d3cd6fa6b3ap-17, 0x1.217f6f7ab662ap-17, 0x1.22227a6a30f17p-17, 0x1.22bd04887eb26p-17, 0x1.234f242cdbc6bp-17, 0x1.23d8efb97bd1cp-17, 0x1.245a7d9a20631p-17, 0x1.24d3e442a8bfcp-17, 0x1.25453a2d7ea63p-17, 0x1.25ae95da21311p-17, 0x1.26100dcbdeb54p-17, 0x1.2669b8884be63p-17, 0x1.26bbac95f75cbp-17, 0x1.2706007b3a153p-17, 0x1.2748cabcc1502p-17, 0x1.278421dc5c2ebp-17, 0x1.27b81c57cb537p-17, 0x1.27e4d0a78d0e1p-17, 0x1.280a553da2085p-17, 0x1.2828c0847c07ep-17, 0x1.284028ddd7a63p-17, 0x1.2850a4a1b323fp-17, 0x1.285a4a1d30a1bp-17, 0x1.285d2f918326ep-17, 0x1.28596b330a7f9p-17, 0x1.284f13284427ap-17, 0x1.283e3d88e3fcep-17, 0x1.2827005cd2916p-17, 0x1.2809719b564b4p-17, 0x1.27e5a72a21919p-17, 0x1.27bbb6dc828d1p-17, 0x1.278bb6728d941p-17, 0x1.2755bb98456dp-17, 0x1.2719dbe4d4237p-17, 0x1.26d82cd9d4703p-17, 0x1.2690c3e275157p-17, 0x1.2643b652cf888p-17, 0x1.25f119672a6f8p-17, 0x1.25990243632cp-17, 0x1.253b85f22fc4cp-17, 0x1.24d8b964794f3p-17, 0x1.2470b170bf47fp-17, 0x1.240382d27c12fp-17, 0x1.23914229954c9p-17, 0x1.231a03f9bf473p-17, 0x1.229ddcaa021d5p-17, 0x1.221ce084268d2p-17, 0x1.219723b42fa7cp-17, 0x1.210cba47e6844p-17, 0x1.207db82e5a901p-17, 0x1.1fea313768ca2p-17, 0x1.1f5239134ff69p-17, 0x1.1eb5e35250353p-17, 0x1.1e15436421ce9p-17, 0x1.1d706c97a6a92p-17, 0x1.1cc7721a8995fp-17, 0x1.1c1a66f8dd9ccp-17, 0x1.1b695e1cc005cp-17, 0x1.1ab46a4e04796p-17, 0x1.19fb9e31f5bc4p-17, 0x1.193f0c4af9e1cp-17, 0x1.187ec6f84c421p-17, 0x1.17bae0759eeffp-17, 0x1.16f36adaf61dbp-17, 0x1.1628781c5d767p-17, 0x1.155a1a09b4864p-17, 0x1.1488624e710bap-17, 0x1.13b36271624b8p-17, 0x1.12db2bd481a72p-17, 0x1.11ffcfb4c3eacp-17, 0x1.11215f29f8bb7p-17, 0x1.103feb268fefcp-17, 0x1.0f5b8477778c9p-17, 0x1.0e743bc405b8ap-17, 0x1.0d8a218dd9519p-17, 0x1.0c9d4630a3973p-17, 0x1.0badb9e22242cp-17, 0x1.0abb8cb1fb36p-17, 0x1.09c6ce89b1d0ap-17, 0x1.08cf8f2c96f1bp-17, 0x1.07d5de37ac92fp-17, 0x1.06d9cb219b1f5p-17, 0x1.05db653aaad17p-17, 0x1.04dabbacb5942p-17, 0x1.03d7dd7b2188ap-17, 0x1.02d2d982db429p-17, 0x1.01cbbe7a5783p-17, 0x1.00c29af199d94p-17, 0x1.ff6efaa459224p-18, 0x1.fd54e7be49773p-18, 0x1.fb37196a4ab58p-18, 0x1.f915ab94e2cadp-18, 0x1.f6f0b9ddc6d67p-18, 0x1.f4c85f982de24p-18, 0x1.f29cb7cad3312p-18, 0x1.f06ddd300662fp-18, 0x1.ee3bea35c3f45p-18, 0x1.ec06f8fdf81d7p-18, 0x1.e9cf235eaa0e1p-18, 0x1.e79482e20a0cdp-18, 0x1.e55730c6b1743p-18, 0x1.e31745ffe872fp-18, 0x1.e0d4db35d42ap-18, 0x1.de9008c5a966cp-18, 0x1.dc48e6c1d795ap-18, 0x1.d9ff8cf25e5ccp-18, 0x1.d7b412d4f0c5bp-18, 0x1.d5668f9d67ab6p-18, 0x1.d3171a3605bf3p-18, 0x1.d0c5c93f94a62p-18, 0x1.ce72b311bee5ep-18, 0x1.cc1dedbb74c64p-18, 0x1.c9c78f032a49dp-18, 0x1.c76fac67364b2p-18, 0x1.c5165b1e1bb2cp-18, 0x1.c2bbb016d4681p-18, 0x1.c05fbff94dd5p-18, 0x1.be029f26b99aap-18, 0x1.bba461b9d4786p-18, 0x1.b9451b8752ac6p-18, 0x1.b6e4e01e36b51p-18, 0x1.b483c2c831962p-18, 0x1.b221d68a28df7p-18, 0x1.afbf2e2475829p-18, 0x1.ad5bdc1360a08p-18, 0x1.aaf7f28f84627p-18, 0x1.a893838e2304cp-18, 0x1.a62ea0c1aee34p-18, 0x1.a3c95b9a27db8p-18, 0x1.a163c54588d43p-18, 0x1.9efdeeb0468f8p-18, 0x1.9c97e885ac7a1p-18, 0x1.9a31c3305b7dep-18, 0x1.97cb8edaaa468p-18, 0x1.95655b6f3310cp-18, 0x1.92ff38992afffp-18, 0x1.909935c4d3f79p-18, 0x1.8e33622010787p-18, 0x1.8bcdcc9ad60dcp-18, 0x1.896883e791e4fp-18, 0x1.8703967bb3baep-18, 0x1.849f12900dd71p-18, 0x1.823b06215a7eep-18, 0x1.7fd77ef0cbc94p-18, 0x1.7d748a845a989p-18, 0x1.7b123627705eep-18, 0x1.78b08eeb3bdb5p-18, 0x1.764fa1a741cb6p-18, 0x1.73ef7af9d3aafp-18, 0x1.719027489ef49p-18, 0x1.6f31b2c11451p-18, 0x1.6cd42958e216dp-18, 0x1.6a7796ce71f58p-18, 0x1.681c06a96e1f2p-18, 0x1.65c1843b589a5p-18, 0x1.63681a9fe3751p-18, 0x1.610fd4bd7e4a8p-18, 0x1.5eb8bd45cdep-18, 0x1.5c62deb6350e5p-18, 0x1.5a0e4358554e8p-18, 0x1.57baf54283bf4p-18, 0x1.5568fe584c008p-18, 0x1.5318684ae2a0ap-18, 0x1.50c93c99ba206p-18, 0x1.4e7b8493053a8p-18, 0x1.4c2f495410d18p-18, 0x1.49e493c9e1056p-18, 0x1.479b6cb1b37b3p-18, 0x1.4553dc995f58ap-18, 0x1.430debdff1321p-18, 0x1.40c9a2b605428p-18, 0x1.3e87091e72a0cp-18, 0x1.3c4626eeb95ap-18, 0x1.3a0703cf5ca93p-18, 0x1.37c9a73c90c4dp-18, 0x1.358e18869515dp-18, 0x1.33545ed2375cep-18, 0x1.311c81195a96ep-18, 0x1.2ee6862b635c8p-18, 0x1.2cb274adb58d8p-18, 0x1.2a80531c42b39p-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      31, 0x1.7e147ae147ae1p+2, 0x1.902b526355462p+0, 0x1.c2373267bea5ap+1, -0x1.2dc8a0518dac3p-7, 
      {{
        {0x1.1d70a3d70a3d7p+2, 0x1.2p+2, 0x1.6ef373456689p-6, -0x1.94bc61a102f77p-5, 0x1.3c556b38aecf7p-5, -0x1.751aff222231dp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.4f928b3861624p-6, -0x1.7be07c60d1978p-5, 0x1.3123f80c238b5p-5, -0x1.76838965b785dp-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.2b16486a00392p-6, -0x1.5e10a7d4c16c1p-5, 0x1.2318a2e51fdcdp-5, -0x1.77be4d1942d58p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.098335668eaf5p-6, -0x1.41a8f2e2d9b8cp-5, 0x1.15018000fa281p-5, -0x1.79a53100f887p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d56a7a505cbdbp-7, -0x1.26aade566f401p-5, 0x1.06d81af7573c6p-5, -0x1.78051a4c78aa1p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.9d105a3da29cap-7, -0x1.0d168c2b9a97ep-5, 0x1.f17ca0c28bd27p-6, -0x1.6f1d4833968bp-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.69b01416e79b8p-7, -0x1.e9cddcb206cf3p-6, 0x1.d5f4082513bb6p-6, -0x1.66cd857177723p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.3b03269685713p-7, -0x1.bc2782761ab98p-6, 0x1.bb0b04895df95p-6, -0x1.5e54bf3f957d5p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.10c4af2c3090cp-7, -0x1.9129ecf701919p-6, 0x1.a0c4a9649929ap-6, -0x1.55e6f65e7c509p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.d562d40a647d3p-8, -0x1.68c4e2b59ee05p-6, 0x1.872023b71ca34p-6, -0x1.4d763baa02c84p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.910f6418d1292p-8, -0x1.42e831ebf26c6p-6, 0x1.6e1dac0a5c6dfp-6, -0x1.45064af23b554p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.540f01d48cfa7p-8, -0x1.1f83a6c2381f9p-6, 0x1.55bd333831945p-6, -0x1.3c96241b1a841p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1de4de09a76d6p-8, -0x1.fd0e1bdd3e35fp-7, 0x1.3dfebd4fc2caap-6, -0x1.34260bc4a47ddp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.dc2ecdfeb3489p-9, -0x1.bfc468029b0c2p-7, 0x1.26e2493a9cdadp-6, -0x1.2bb5ef8ad87b1p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.886090f00ccd5p-9, -0x1.8709cb2934563p-7, 0x1.1067d7436637ap-6, -0x1.2345d45dbeb1dp-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.3f78d7627448fp-9, -0x1.52bdde8044865p-7, 0x1.f51eceabefd4dp-7, -0x1.1ad5b8e13257fp-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0097eec755e1dp-9, -0x1.22c03b3871665p-7, 0x1.cab1f2f08eae4p-7, -0x1.12659d95c24fp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.95c93f0ce216fp-10, -0x1.ede0f5044d04ep-8, 0x1.a1891b4d4b226p-7, -0x1.09f581d5479abp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.3b1859fbb10bap-10, -0x1.9e5c6b1a99f28p-8, 0x1.79a447d3b3985p-7, -0x1.018567b7e21c9p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.df095607c971ap-11, -0x1.56b20b1823a7ep-8, 0x1.53037844eb467p-7, -0x1.f22a8f0671c72p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.63054975df9dcp-11, -0x1.16a1075029ef6p-8, 0x1.2da6ad8ad5f14p-7, -0x1.e14a7c10fa5e6p-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.fe4ebe8bae4d4p-12, -0x1.bbd124ab9ba66p-9, 0x1.098de43cc32a6p-7, -0x1.d069bf7aa8b3cp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6118a8aa5f937p-12, -0x1.588fbb9b8affp-9, 0x1.cd725227203a1p-8, -0x1.bf8b7bf3f480bp-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.d1ab456ad9cp-13, -0x1.02fc3dad23196p-9, 0x1.8a509928eec0ap-8, -0x1.aea3fdcf81093p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.204dab9a14da9p-13, -0x1.7529f657ce66ap-10, 0x1.49b7ffe368317p-8, -0x1.9ddef11283319p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.47850b101b61p-14, -0x1.fb6294d6f5295p-11, 0x1.0ba35bba3aea4p-8, -0x1.8c99595595f42p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.486e10fe58141p-15, -0x1.3d120e41fd1cp-11, 0x1.a04be97462721p-9, -0x1.7d337c30adcc4p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.0e904185a3b7fp-16, -0x1.5ad9147ea199fp-12, 0x1.2defaa98fb1bcp-9, -0x1.66cf3fab7b294p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.38e42614947ffp-18, -0x1.28b65a83918d6p-13, 0x1.84962efe45ec5p-10, -0x1.6a84c6103e3a8p-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.438e79d652p-21, -0x1.2363cf421d0b2p-15, 0x1.5626a382a78b8p-11, -0x1.02a35c85fa067p-8}, 
        {0x1.7cccccccccccdp+2, 0x1.7e147ae147ae1p+2, 0x1.15be3c15953bp-28, 0x1.f0938b424f92p-21, 0x1.fc901484851bcp-15, -0x1.cb14de53cf857p-6}, 
      }}, 
      0x1.c23000197039dp+0, -0x1.03fe1e5f4564ep+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.ff1056a6967b6p-7, 0x1.bc023ed18335ap-6, 0x1.03d271768b6aep-5, 0x1.cea1496f5a257p-6, 0x1.12c936f5781a1p-6, -0x1.b08b43e243ebp-10, -0x1.a13befde5b398p-6, -0x1.b14b2d407e5fcp-5, -0x1.507c0646b85cbp-4, -0x1.c92679cf6ee6bp-4, -0x1.1e76a56071227p-3, -0x1.5398aebaf7d72p-3, -0x1.8237f00ab2ae8p-3, -0x1.a918d93bed77cp-3, -0x1.c7780faa98318p-3, -0x1.dcfa22aff0e46p-3, -0x1.e99aa3ff486aap-3, -0x1.ed9b921c6905cp-3, -0x1.e975d3dcc361ap-3, -0x1.ddcb15438a028p-3, -0x1.cb594bc3de6f7p-3, -0x1.b2eff21519454p-3, -0x1.9566fbf756e17p-3, -0x1.73976c980b122p-3, -0x1.4e5566f4264f9p-3, -0x1.266b9c0ae2be1p-3, -0x1.f92fe90bd1ab4p-4, -0x1.a312928288ba9p-4, -0x1.4bbbf0dbb31bp-4, -0x1.e88d0b7903b96p-5, -0x1.3b54f33af8e62p-5, -0x1.22f968498cfbdp-6, 0x1.38ee0e112b136p-9, 0x1.653ab9933e215p-6, 0x1.4ab638bc2214cp-5, 0x1.db1443b70fdb8p-5, 0x1.31904ebb567cp-4, 0x1.7136f8100192ap-4, 0x1.ac59e4787f0cep-4, 0x1.e2e5120c3670ep-4, 0x1.0a6953d27585cp-3, 0x1.21147f57c3ee2p-3, 0x1.357c65d3effb4p-3, 0x1.47adba6cb0162p-3, 0x1.57b8ca909f79ep-3, 0x1.65b0bdeaff0cep-3, 0x1.71ab0b36e4a9p-3, 0x1.7bbed48eb11c5p-3, 0x1.8404811f29cedp-3, 0x1.8a95436669bb3p-3, 0x1.8f8abd21ddc5dp-3, 0x1.92febc5955148p-3, 0x1.950aea560fae7p-3, 0x1.95c89861f4aa5p-3, 0x1.95509b2595e46p-3, 0x1.93bb1a847bb2ep-3, 0x1.911f77ede3ad8p-3, 0x1.8d943acf6411p-3, 0x1.892efd45d60e4p-3, 0x1.84045f718baccp-3, 0x1.7e28005d1b8bp-3, 0x1.77ac7b536aa6ep-3, 0x1.70a3655934841p-3, 0x1.691d4e03ba0a7p-3, 0x1.6129c345e3971p-3, 0x1.58d75738f593bp-3, 0x1.5033a5d09872bp-3, 0x1.474b5d18b0604p-3, 0x1.3e2a447110c97p-3, 0x1.34db45d44ea4fp-3, 0x1.2b6875defac0cp-3, 0x1.21db21ef5062fp-3, 0x1.183bd3a3b7417p-3, 0x1.0e925f21260dep-3, 0x1.04e5e980a1fe6p-3, 0x1.f679e64aaab91p-4, 0x1.e33ac851d493cp-4, 0x1.d0191f02705b7p-4, 0x1.bd1e88af84ae6p-4, 0x1.aa539822e3c7bp-4, 0x1.97bff963658cfp-4, 0x1.856a75c69411fp-4, 0x1.7358fcef2e535p-4, 0x1.6190cfeafc3aap-4, 0x1.501665033e821p-4, 0x1.3eed9622b9ce4p-4, 0x1.2e19a78bd10fdp-4, 0x1.1d9d41f6650b3p-4, 0x1.0d7a903ab7ea5p-4, 0x1.fb66930ab5701p-5, 0x1.dc9161e9c6e54p-5, 0x1.be7746aee7c04p-5, 0x1.a119498bf5f8ap-5, 0x1.8477cbc82530bp-5, 0x1.68929146f7a6cp-5, 0x1.4d68dd7a4b5ep-5, 0x1.32f9703761374p-5, 0x1.1942a005ada1ep-5, 0x1.00426390ad23cp-5, 0x1.cfeca2a047a8bp-6, 0x1.a0b78ae86ad27p-6, 0x1.72df8c0158ccep-6, 0x1.465e6387852afp-6, 0x1.1b2d4e06d8dbap-6, 0x1.e28a7b4005651p-7, 0x1.913dd8f6ea0a2p-7, 0x1.4265a50f827b3p-7, 0x1.ebe4de9ae083bp-8, 0x1.57a9386249724p-8, 0x1.8ff122eb819dfp-9, 0x1.e597b5aeba2d8p-11, -0x1.291e71f9393b1p-10, -0x1.9a2e3050d3593p-9, -0x1.4bdb53796409dp-8, -0x1.c6b3fbb1d7123p-8, -0x1.1ee02fc3f8259p-7, -0x1.588fba6ea5809p-7, -0x1.9077e3104e72cp-7, -0x1.c6a7a08bf4d0fp-7, -0x1.fb2da7e2bf35cp-7, -0x1.170c314846612p-6, -0x1.2fbaf0079e90cp-6, -0x1.47a9eef0b7f49p-6, -0x1.5edfde8e482f2p-6, -0x1.75633c9a48e21p-6, -0x1.8b3a5cf92b865p-6, -0x1.a06b64de6eff8p-6, -0x1.b4fc356cc650fp-6, -0x1.c8f286f1b41c7p-6, -0x1.dc53f19a00607p-6, -0x1.ef25b584ea9cap-6, -0x1.00b67d9634104p-5, -0x1.099757c585b0ap-5, -0x1.1237c86355d23p-5, -0x1.1a9a10b1822d2p-5, -0x1.22c05dd1dcfe1p-5, -0x1.2aacc3fb2e6dfp-5, -0x1.32613b7f532bep-5, -0x1.39dfa81577a53p-5, -0x1.4129d824ccaa9p-5, -0x1.484180b2653bep-5, -0x1.4f283ee41434bp-5, -0x1.55df9da4ff454p-5, -0x1.5c691381d221cp-5, -0x1.62c5ff51b5d88p-5, -0x1.68f7ab9f7b5bbp-5, -0x1.6eff534180326p-5, -0x1.74de1ebfc6515p-5, -0x1.7a952079d81bp-5, -0x1.802559e982e38p-5, -0x1.858fbf253add3p-5, -0x1.8ad5340f3282dp-5, -0x1.8ff68a11882b5p-5, -0x1.94f4835c4259bp-5, -0x1.99cfd6eba44f7p-5, -0x1.9e892e947eee3p-5, -0x1.a32123ea69608p-5, -0x1.a79843eceac13p-5, -0x1.abef1225d6d9p-5, -0x1.b02607f920addp-5, -0x1.b43d91c685779p-5, -0x1.b836108543fc7p-5, -0x1.bc0fdd76ca853p-5, -0x1.bfcb4aa49c741p-5, -0x1.c368a07c12721p-5, -0x1.c6e81d5f7da9ep-5, -0x1.ca49f88e74657p-5, -0x1.cd8e646fbdf55p-5, -0x1.d0b58da1bcf0dp-5, -0x1.d3bf991471833p-5, -0x1.d6aca4c3088b7p-5, -0x1.d97cc8a778f72p-5, -0x1.dc3021b969591p-5, -0x1.dec6b7ec9ef1dp-5, -0x1.e140a8b236de8p-5, -0x1.e39deb7307a1dp-5, -0x1.e5de88c8ae698p-5, -0x1.e80287385ed0dp-5, -0x1.ea0a05c83c8abp-5, -0x1.ebf4cb62bc363p-5, -0x1.edc3056e8a401p-5, -0x1.ef74a49ed3333p-5, -0x1.f10987d0ab69ap-5, -0x1.f281c7cf21e9dp-5, -0x1.f3dd6508fcf42p-5, -0x1.f51c356b124b3p-5, -0x1.f63e5b773f1dcp-5, -0x1.f743ac5a9304fp-5, -0x1.f82c46047933ep-5, -0x1.f8f7ebdcc902ep-5, -0x1.f9a6d42f4d499p-5, -0x1.fa38d94b1a433p-5, -0x1.faadf5d3c13dbp-5, -0x1.fb0645117cb36p-5, -0x1.fb419844b367bp-5, -0x1.fb6023b0267b8p-5, -0x1.fb61c736789bbp-5, -0x1.fb468ef8fd93dp-5, -0x1.fb0e7986ec386p-5, -0x1.fab9b28a987a9p-5, -0x1.fa480e1994c59p-5, -0x1.f9b9cad832db5p-5, -0x1.f90edc0a196dfp-5, -0x1.f8475994431dep-5, -0x1.f76353e217b7ap-5, -0x1.f662fb95b676ep-5, -0x1.f54638dd9c3f2p-5, -0x1.f40d4c05efaf2p-5, -0x1.f2b850fa2b9a7p-5, -0x1.f14761d907ed5p-5, -0x1.efbaa5649902dp-5, -0x1.ee1242563900fp-5, -0x1.ec4e5b4406e99p-5, -0x1.ea6f3a3390da4p-5, -0x1.e874e3f271379p-5, -0x1.e65fb4684abd9p-5, -0x1.e42fc69c4fb5fp-5, -0x1.e1e55b04a4fb7p-5, -0x1.df80adc63c809p-5, -0x1.dd01fd5651dcfp-5, -0x1.da698724410ecp-5, -0x1.d7b7a4372479ap-5, -0x1.d4ec786966686p-5, -0x1.d20859dfa9dabp-5, -0x1.cf0ba650a711ap-5, -0x1.cbf69e56095cdp-5, -0x1.c8c996d30dc86p-5, -0x1.c584e462bace1p-5, -0x1.c228de1b5bc1dp-5, -0x1.beb5dd5a3c33fp-5, -0x1.bb2c37f3e11d7p-5, -0x1.b78c653a68b4fp-5, -0x1.b3d69f582f337p-5, -0x1.b00b69801a9e2p-5, -0x1.ac2b1e10b24bbp-5, -0x1.a83622773a28fp-5, -0x1.a42ce2f76de8cp-5, -0x1.a00fcb363796fp-5, -0x1.9bdf49533bd33p-5, -0x1.979bcce39ee1cp-5, -0x1.9345c7895c4acp-5, -0x1.8edda7b050865p-5, -0x1.8a63f857e0911p-5, -0x1.85d90cee41cd7p-5, -0x1.813d774414d1ep-5, -0x1.7c91ab3536559p-5, -0x1.77d61cd9ba0ap-5, -0x1.730b50d6380b9p-5, -0x1.6e31c08b087d5p-5, -0x1.6949eb3fdddd6p-5, -0x1.6454506fccb13p-5, -0x1.5f517068d6991p-5, -0x1.5a41cc49c7e5fp-5, -0x1.5525e4bdb0264p-5, -0x1.4ffe3e014a47fp-5, -0x1.4acb6112c92fap-5, -0x1.458dbeea83453p-5, -0x1.4045f550fef08p-5, -0x1.3af477e98e692p-5, -0x1.3599cf4ebf8e4p-5, -0x1.303680b670b7ep-5, -0x1.2acb111c29e25p-5, -0x1.255805910dab8p-5, -0x1.1fdde31e87714p-5, -0x1.1a5d2e9e9038p-5, -0x1.14d66c999242p-5, -0x1.0f4a212bfb754p-5, -0x1.09b8cf4f581acp-5, -0x1.0422f806bac54p-5, -0x1.fd1251f338e9ap-6, -0x1.f1d7a75ad2c32p-6, -0x1.e69713fc96505p-6, -0x1.db518495d418ep-6, -0x1.d007fd1366449p-6, -0x1.c4bb7c5adae4cp-6, -0x1.b96cfe2136df4p-6, -0x1.ae1d7c0e579dbp-6, -0x1.a2cdedbedab52p-6, -0x1.977f488b9690fp-6, -0x1.8c327f55aa465p-6, -0x1.80e8827256d89p-6, -0x1.75a23f4af191ep-6, -0x1.6a60a05ed41cep-6, -0x1.5f248c06ad63fp-6, -0x1.53eee4658b65cp-6, -0x1.48c09a788ca2cp-6, -0x1.3d9a73d2ad94ap-6, -0x1.327d63de6ab01p-6, -0x1.276a33dada769p-6, -0x1.1c61ba6986707p-6, -0x1.1164c93b8954dp-6, -0x1.06742d35cc749p-6, -0x1.f7215e3b624c1p-7, -0x1.e1762c8e0bf1dp-7, -0x1.cbe841f35e73ap-7, -0x1.b679211c1ac3ap-7, -0x1.a12a39816573ap-7, -0x1.8bfcf787ea901p-7, -0x1.76f2beb2820afp-7, -0x1.620cea0c15feep-7, -0x1.4d4ccc437b09dp-7, -0x1.38b3adea068p-7, -0x1.2442ce46e375fp-7, -0x1.0ffb7e4012e43p-7, -0x1.f7bd90ee9c15dp-8, -0x1.cfdbecf49d5dfp-8, -0x1.a8542eb6833afp-8, -0x1.81288658d2759p-8, -0x1.5a5b13fbb22f5p-8, -0x1.33eddcdfdc9f7p-8, -0x1.0de2dd92f953cp-8, -0x1.d0781031a8284p-9, -0x1.85f6514178e2p-9, -0x1.3c43f353866d5p-9, -0x1.e6c9049f809c2p-10, -0x1.56b6a4d3fac6dp-10, -0x1.90ad5e506d433p-11, -0x1.dd77ac293032fp-13, 0x1.3ce9ff0d977b5p-12, 0x1.b0c01df63f60bp-11, 0x1.5fbcb9d785803p-10, 0x1.e54bd76aec05ep-10, 0x1.348479e8e8373p-9, 0x1.757748386e1bap-9, 0x1.b57cd636ba069p-9, 0x1.f49307a08bb68p-9, 0x1.195bf745aa862p-8, 0x1.37f5041b04acp-8, 0x1.5613e238e0ed2p-8, 0x1.73b7d59f4e7d1p-8, 0x1.90e02fcc14de7p-8, 0x1.ad8c64a64908p-8, 0x1.c9bbf29461d19p-8, 0x1.e56e5a74f44a4p-8, 0x1.00519569d37c2p-7, 0x1.0dad0b3f9bafep-7, 0x1.1ac96629a0c81p-7, 0x1.27a68148d4b14p-7, 0x1.344448c98035ep-7, 0x1.40a2b2585c8b4p-7, 0x1.4cc1b05e45aefp-7, 0x1.58a1396b26fefp-7, 0x1.6441532e7776bp-7, 0x1.6fa20e5bfac11p-7, 0x1.7ac37adc7f119p-7, 0x1.85a5a64cbfb7ap-7, 0x1.9048a9cda7c0fp-7, 0x1.9aacbd437d7dfp-7, 0x1.a4d1f7e3f2d17p-7, 0x1.aeb889e5cd27fp-7, 0x1.b860a4c227224p-7, 0x1.c1ca836fc9274p-7, 0x1.caf66ab1fdbd6p-7, 0x1.d3e49f00fdb69p-7, 0x1.dc9562a496194p-7, 0x1.e5090270f2052p-7, 0x1.ed3fd79dbbe97p-7, 0x1.f53a3b30440ffp-7, 0x1.fcf883fefbd82p-7, 0x1.023d87cd1538bp-6, 0x1.05e12152d6207p-6, 0x1.096743568a31dp-6, 0x1.0cd0263f3c431p-6, 0x1.101c0446e525p-6, 0x1.134b156f67473p-6, 0x1.165d93972e76bp-6, 0x1.1953be2403638p-6, 0x1.1c2dd78610066p-6, 0x1.1eec1faccaa7p-6, 0x1.218ed7789388ap-6, 0x1.2416442695fdap-6, 0x1.2682a57990036p-6, 0x1.28d44b2dfd35bp-6, 0x1.2b0b7a6f50eefp-6, 0x1.2d287bc7b0bacp-6, 0x1.2f2b9d89becadp-6, 0x1.3115288173dedp-6, 0x1.32e5683a7479ap-6, 0x1.349cacfac1b2dp-6, 0x1.363b4795a5768p-6, 0x1.37c1868e3257bp-6, 0x1.392fb9342e83fp-6, 0x1.3a863172a4495p-6, 0x1.3bc5424e8ba99p-6, 0x1.3ced3ed1688c9p-6, 0x1.3dfe7a0a6bf7bp-6, 0x1.3ef947fbd89c8p-6, 0x1.3fddfe93cc30bp-6, 0x1.40acf3d36cbefp-6, 0x1.41667b84ac87p-6, 0x1.420aea078673ap-6, 0x1.429a96ec10d48p-6, 0x1.4315da367dbb2p-6, 0x1.437d090394d8p-6, 0x1.43d0778da7dd1p-6, 0x1.44107b924690bp-6, 0x1.443d6bee2335cp-6, 0x1.44579fe364759p-6, 0x1.445f6f91cfc61p-6, 0x1.44552ec9b3bc4p-6, 0x1.44393bc82f659p-6, 0x1.440bee3915465p-6, 0x1.43cd9dfd91c1bp-6, 0x1.437ea51126e58p-6, 0x1.431f57eb6e65bp-6, 0x1.42b00b8babc0ap-6, 0x1.4231164117d69p-6, 0x1.41a2cceabeee3p-6, 0x1.410582046c37fp-6, 0x1.4059887419a22p-6, 0x1.3f9f34cc5975ap-6, 0x1.3ed6dbe9015cdp-6, 0x1.3e00d17c419fp-6, 0x1.3d1d67178a70cp-6, 0x1.3c2ceb7ebb1f5p-6, 0x1.3b2faa802369dp-6, 0x1.3a25edcf91c3dp-6, 0x1.390fff4d80f4ep-6, 0x1.37ee2b8b1c6fp-6, 0x1.36c0c24c10a6dp-6, 0x1.35881708334f1p-6, 0x1.3444836a8d4e1p-6, 0x1.32f6673ed1136p-6, 0x1.319e2373264cep-6, 0x1.303c1401237f2p-6, 0x1.2ed08cf23fb91p-6, 0x1.2d5bd95db7082p-6, 0x1.2bde39a1a487bp-6, 0x1.2a57e2d39127ap-6, 0x1.28c9016da3d75p-6, 0x1.2731bd5d14c95p-6, 0x1.2592484c19febp-6, 0x1.23eadab32c62dp-6, 0x1.223bb9c9322bap-6, 0x1.2085367f29514p-6, 0x1.1ec7a767dedbdp-6, 0x1.1d03655a4b9dbp-6, 0x1.1b38c42db604dp-6, 0x1.19680baae3337p-6, 0x1.179175ef37093p-6, 0x1.15b531b6bd988p-6, 0x1.13d3660abe801p-6, 0x1.11ec38ceef8cfp-6, 0x1.0fffd8e8a417dp-6, 0x1.0e0e8740984dbp-6, 0x1.0c189a1f8d48p-6, 0x1.0a1e7aa48499p-6, 0x1.08209cd88f1bbp-6, 0x1.061f734b87583p-6, 0x1.041b6033384ebp-6, 0x1.0214a7ae210d5p-6, 0x1.000b669ab085cp-6, 0x1.fbff20418eb6ep-7, 0x1.f7e1e8c52581ep-7, 0x1.f3be9ef28a23p-7, 0x1.ef94bc2ccc9f9p-7, 0x1.eb63e6d8750c7p-7, 0x1.e72c17b9fc37ep-7, 0x1.e2edb4407bc4cp-7, 0x1.dea9980a7d4e6p-7, 0x1.da6105beb9a77p-7, 0x1.d6157fc4c430fp-7, 0x1.d1c8946bc6c91p-7, 0x1.cd7ba9af3132p-7, 0x1.c92fcfb5c293fp-7, 0x1.c4e5a1914f1dap-7, 0x1.c09d359f726aep-7, 0x1.bc562d214858cp-7, 0x1.b80feab2af461p-7, 0x1.b3c91f2071ad6p-7, 0x1.af81acff7bbdcp-7, 0x1.ab38758f593c5p-7, 0x1.a6ed634bfe016p-7, 0x1.a2a0c3ba14f1dp-7, 0x1.9e533acfeb498p-7, 0x1.9a05c4b445387p-7, 0x1.95b9840c51abdp-7, 0x1.916f9308e8bd5p-7, 0x1.8d28d8b0e029cp-7, 0x1.88e5ea7f0b41dp-7, 0x1.84a7004d43f4p-7, 0x1.806bfa8fe1494p-7, 0x1.7c347579d8093p-7, 0x1.77ffe5d9ba583p-7, 0x1.73cdbeb702746p-7, 0x1.6f9d99d1a7728p-7, 0x1.6b6f57c821125p-7, 0x1.6743305d4b9ep-7, 0x1.6319b0fe55564p-7, 0x1.5ef3aa6ca1c5cp-7, 0x1.5ad211933ca8cp-7, 0x1.56b5da7f36bffp-7, 0x1.529fd57939a23p-7, 0x1.4e9094e1111b5p-7, 0x1.4a885fe535831p-7, 0x1.46873393b08ffp-7, 0x1.428cd0a9d84d7p-7, 0x1.3e98d3bd3a5bcp-7, 0x1.3aaad290464e8p-7, 0x1.36c2777a6972ap-7, 0x1.32df9307c4c0dp-7, 0x1.2f021636821p-7, 0x1.2b2a031458b1fp-7, 0x1.2757532ec34ep-7, 0x1.2389e740863e3p-7, 0x1.1fc19160055b2p-7, 0x1.1bfe2dadae17dp-7, 0x1.183fc29c15242p-7, 0x1.1486934955f41p-7, 0x1.10d3144e0f765p-7, 0x1.0d25ce5b61966p-7, 0x1.097f40ffb3a1ep-7, 0x1.05dfcbf790e29p-7, 0x1.0247a7d281c79p-7, 0x1.fd6df6d1d525bp-8, 0x1.f65c012b52aedp-8, 0x1.ef5a3b34f01a3p-8, 0x1.e869c61e60a15p-8, 0x1.e18bb4657f7acp-8, 0x1.dac0b8c529b99p-8, 0x1.d408bdf69fb91p-8, 0x1.cd62cf98fde9cp-8, 0x1.c6cd5bea5a45cp-8, 0x1.c046cfc2239c5p-8, 0x1.b9ce27a2a3af5p-8, 0x1.b36336c89deb2p-8, 0x1.ad0658a462d1ap-8, 0x1.a6b7cdd659df2p-8, 0x1.a0771b24c76fcp-8, 0x1.9a42e60686c65p-8, 0x1.94197aaa92153p-8, 0x1.8df9bca60a7fcp-8, 0x1.87e4007f72cf2p-8, 0x1.81da5a0d39bb6p-8, 0x1.7be03397ce66dp-8, 0x1.75f94dc8d3ee1p-8, 0x1.7028800a8af33p-8, 0x1.6a6eaa2f9a421p-8, 0x1.64ca3b902ec5p-8, 0x1.5f378fe2f0a9ep-8, 0x1.59b21662e28adp-8, 0x1.5435f8e5d67b4p-8, 0x1.4ec1baa567958p-8, 0x1.4956cdfa675afp-8, 0x1.43f8f7ff2ba61p-8, 0x1.3eac8ee27897cp-8, 0x1.397492c36cf68p-8, 0x1.3451acf18926fp-8, 0x1.2f4282b0ed727p-8, 0x1.2a44e7b897078p-8, 0x1.255715dd87b9dp-8, 0x1.20784ab0a1eb8p-8, 0x1.1ba8a865bd308p-8, 0x1.16e8a230fd5a7p-8, 0x1.123876f54484ap-8, 0x1.0d981bfa089cp-8, 0x1.090779fdab6d4p-8, 0x1.04867980e9501p-8, 0x1.00148f137cb52p-8, 0x1.f760406dafa01p-9, 0x1.eeacfdad7526cp-9, 0x1.e609b439bfaccp-9, 0x1.dd735534eb489p-9, 0x1.d4eb353924296p-9, 0x1.cc767b0035db2p-9, 0x1.c41ba270339e6p-9, 0x1.bbdfd9fae25f9p-9, 0x1.b3c5a6c66aaa4p-9, 0x1.abcd290d5c3fp-9, 0x1.a3f4d2ac593dcp-9, 0x1.9c3c5b07fc536p-9, 0x1.94a48824e85adp-9, 0x1.8d30754f81badp-9, 0x1.85e2200ec26dp-9, 0x1.7eb96ed525d31p-9, 0x1.77b3e1150cce3p-9, 0x1.70cd9056d4be3p-9, 0x1.6a02579162b8p-9, 0x1.634e8adc049afp-9, 0x1.5caf2e4459ceap-9, 0x1.5621f7b63e993p-9, 0x1.4fa56128bcaefp-9, 0x1.4938696398b4ap-9, 0x1.42dabfc17a509p-9, 0x1.3c8d253c43523p-9, 0x1.36512ca20cdf4p-9, 0x1.3029171111733p-9, 0x1.2a1726fa623e6p-9, 0x1.241d22de7f2cp-9, 0x1.1e3c16d1be417p-9, 0x1.1874ac418849ap-9, 0x1.12c8142c2cd58p-9, 0x1.0d37f40c68abcp-9, 0x1.07c49eb2ea676p-9, 0x1.026be9b3cd0ebp-9, 0x1.fa549e0010efbp-10, 0x1.eff9c55b5fdf9p-10, 0x1.e5c491e80f098p-10, 0x1.dbb55a54c658ep-10, 0x1.d1cefd432b00fp-10, 0x1.c81675e98e3fap-10, 0x1.be91ae6fc2676p-10, 0x1.b544fa65956fp-10, 0x1.ac2ffe521e427p-10, 0x1.a34b5b8f318c6p-10, 0x1.9a887a303db87p-10, 0x1.91d614f96baafp-10, 0x1.892af1042b4cfp-10, 0x1.808ef6beddadep-10, 0x1.7815c3b94d993p-10, 0x1.6fcc19df05e2cp-10, 0x1.67acbd209755ep-10, 0x1.5fac71153fe5ep-10, 0x1.57cd55ebe23p-10, 0x1.501cb1783b64p-10, 0x1.48a07ce7da19bp-10, 0x1.4151111fc05d4p-10, 0x1.3a225c14d92a6p-10, 0x1.330ca33d6484p-10, 0x1.2c0dee4d304fdp-10, 0x1.2527714bdd5bdp-10, 0x1.1e5ad38fb2ec4p-10, 0x1.17a8d5c1862aep-10, 0x1.11119fc8de182p-10, 0x1.0a9664e44abdcp-10, 0x1.043b4c3ebe938p-10, 0x1.fc0d79b7c9575p-11, 0x1.efffd1b6d3f48p-11, 0x1.e455aad2b2c9cp-11, 0x1.d907fcb76e358p-11, 0x1.cdf8977533a8dp-11, 0x1.c2f8f0aaf477fp-11, 0x1.b7f4d8ab9badbp-11, 0x1.ad0ed553179cap-11, 0x1.a272aaf5db09fp-11, 0x1.981adb56ac951p-11, 0x1.8de7c8273873fp-11, 0x1.83dc8ea27a9a6p-11, 0x1.7a16f85459d5fp-11, 0x1.709f0fdf704aap-11, 0x1.6762d4825cb3ep-11, 0x1.5e4fd695e4956p-11, 0x1.555f02e86fbd7p-11, 0x1.4c911a99a4a5bp-11, 0x1.43e9191597153p-11, 0x1.3b697438a1e19p-11, 0x1.3313652348853p-11, 0x1.2ae62140fa384p-11, 0x1.22e422d5400d1p-11, 0x1.1b07f1e3cc88fp-11, 0x1.135287f9e4838p-11, 0x1.0bc4fdbf03c4fp-11, 0x1.04638fa90d56cp-11, 0x1.fa6638a4f924bp-12, 0x1.ec6ef523808c8p-12, 0x1.dee61bb052ed3p-12, 0x1.d1c3614d62823p-12, 0x1.c4e57c3b4b8edp-12, 0x1.b82a6330b031ap-12, 0x1.aba16ded1cf3dp-12, 0x1.9f63fb9aa25a8p-12, 0x1.935f30ab9e665p-12, 0x1.8787971d127d1p-12, 0x1.7c017850c6b96p-12, 0x1.70e2358fb5a33p-12, 0x1.6612523bd06cfp-12, 0x1.5b78243d377aep-12, 0x1.510d7b243d993p-12, 0x1.46d61d9ee27c4p-12, 0x1.3cd65d8466b64p-12, 0x1.330fc55fa9b19p-12, 0x1.29846fef9820ep-12, 0x1.203073d5dc8f9p-12, 0x1.171496c58bd55p-12, 0x1.0e302046684d5p-12, 0x1.0581c8880e092p-12, 0x1.fa112e803bec4p-13, 0x1.e98624de48ca4p-13, 0x1.d95f12a07bb55p-13, 0x1.c999b0b94199fp-13, 0x1.ba359a7368d8dp-13, 0x1.ab32d2dc755aep-13, 0x1.9c9013736ffa3p-13, 0x1.8e52887a7ad0bp-13, 0x1.809888fcf6e48p-13, 0x1.735b083232918p-13, 0x1.6660f1bcc2742p-13, 0x1.59a2716c9ad8cp-13, 0x1.4d16931a6e457p-13, 0x1.40c5a8572454ep-13, 0x1.34eff01b4412fp-13, 0x1.2989188dacca1p-13, 0x1.1e68a642fd01ep-13, 0x1.1385e5f46880cp-13, 0x1.08e5f51ae412bp-13, 0x1.fd19980659fdap-14, 0x1.e8f6d48673a92p-14, 0x1.d5623513eb7b5p-14, 0x1.c258f8f2be3a1p-14, 0x1.afd802f0e76dcp-14, 0x1.9ddc42bcafc5cp-14, 0x1.8c630318a639dp-14, 0x1.7b69decedb453p-14, 0x1.6aee6c0d55a23p-14, 0x1.5aedde75e63aep-14, 0x1.4b650ecab50ebp-14, 0x1.3c50b6ff836fap-14, 0x1.2dacb99581541p-14, 0x1.1f77d2e437447p-14, 0x1.11b01052223acp-14, 0x1.04534b5b662f2p-14, 0x1.eebba7e190548p-15, 0x1.d5a0cd5835499p-15, 0x1.bd611ca791558p-15, 0x1.a5e69aa710c84p-15, 0x1.8f18b8c7bb154p-15, 0x1.79064dbcc32cfp-15, 0x1.63b1a07c15adp-15, 0x1.4f164c148d07p-15, 0x1.3b13b1a54a0b2p-15, 0x1.27c32b2c1d3b8p-15, 0x1.152149d5d0f72p-15, 0x1.0323714ff4a78p-15, 0x1.e38a559bd3429p-16, 0x1.c203dc26992d2p-16, 0x1.a1ab22de5bdfap-16, 0x1.827896a623ab7p-16, 0x1.64655ebda6f5fp-16, 0x1.476b60fc4993bp-16, 0x1.2b851a8888fap-16, 0x1.10ad06c40e85cp-16, 0x1.edb98434463c4p-17, 0x1.bc18e8bd6f577p-17, 0x1.8c66ae9d112edp-17, 0x1.5e93696feaff9p-17, 0x1.3294d4faa1e0ap-17, 0x1.086508831d4edp-17, 0x1.c001acfa51babp-18, 0x1.72c34f4344ddbp-18, 0x1.28e1ad1997ae8p-18, 0x1.c4a8d530b99c2p-19, 0x1.3e05f64fb9831p-19, 0x1.7b8d88ac7ca0dp-20, 0x1.004127af81162p-21, -0x1.ada7e6ff7cbbep-22, -0x1.43737eae9708fp-20, -0x1.0bc3912d8db05p-19, -0x1.7215e0dc87a69p-19, -0x1.d518a7a0919bbp-19, -0x1.17d29393de8f3p-18, -0x1.413e6070dea42p-18, -0x1.69f663444f583p-18, -0x1.90a50b8f6d9b1p-18, -0x1.b488480daa69cp-18, -0x1.d60017c7b5756p-18, -0x1.f551decdfc258p-18, -0x1.094c8b70814b3p-17, -0x1.16f1193072efp-17, -0x1.239e37446de14p-17, -0x1.2f599968d1d23p-17, -0x1.3a29ff9740559p-17, -0x1.4414ccee8722p-17, -0x1.4d2926e2eafdbp-17, -0x1.556d933c474dep-17, -0x1.5cecfcf730c18p-17, -0x1.63bb4b49db38fp-17, -0x1.6977c450430d5p-17, -0x1.6ecda5c0af2f2p-17, -0x1.733462b59a118p-17, -0x1.76e21dc3c658cp-17, -0x1.7a17554a6f88ap-17, -0x1.7c975d189abd3p-17, -0x1.7e30f1f33a925p-17, -0x1.7fab343dafdc4p-17, -0x1.801df9e63824dp-17, -0x1.80b1f3a54a6f1p-17, -0x1.80b51d1ed6cbbp-17, -0x1.7fd4f8d690675p-17, -0x1.7e5cbb7a739a9p-17, -0x1.7c6ee12c08d0bp-17, -0x1.7a1d5083f8f0ep-17, -0x1.776387d2fff6p-17, -0x1.741434f8ff619p-17, -0x1.704e4417c9b28p-17, -0x1.6c833e7eaecabp-17, -0x1.68272bc8f3b23p-17, -0x1.63d77f8810e6ep-17, -0x1.5f0719b04fc78p-17, -0x1.59afb6059262ep-17, -0x1.5400e9cb763b6p-17, -0x1.4e09a1d4055bcp-17, -0x1.47cdec0e2257fp-17, -0x1.41515e3e833f8p-17, -0x1.3a95b0e9d4a68p-17, -0x1.339efd92124dep-17, -0x1.2c709cca177c8p-17, -0x1.250b0944b7477p-17, -0x1.1d6ec43412f52p-17, -0x1.159bd8137c524p-17, -0x1.0d94c9f518e09p-17, -0x1.05683b9300a1p-17, -0x1.fa5924750b1fep-18, -0x1.e96d88b0d2061p-18, -0x1.d8050c7b62a86p-18, -0x1.c5f83251e6f1ap-18, -0x1.b490ae569cccfp-18, -0x1.a326a134b6307p-18, -0x1.90fba8c239cf6p-18, -0x1.7e8ef437c43ecp-18, -0x1.6c00744a19e96p-18, -0x1.595166bb7aep-18, -0x1.4681530bd5cf6p-18, -0x1.33942ea3618b4p-18, -0x1.20a772c99c5abp-18, -0x1.0d3448f073e06p-18, -0x1.f3fccd48cb59cp-19, -0x1.ce09949619337p-19, -0x1.a733ed6a5264ep-19, -0x1.806f93fc83f7ap-19, -0x1.59c0f1516ef38p-19, -0x1.33227ff2aa8fap-19, -0x1.0c79118c87b5bp-19, -0x1.ca08363900867p-20, -0x1.7aa823d2af3f9p-20, -0x1.2eee8e993bc6dp-20, -0x1.c4894225ce2e5p-21, -0x1.2a2be915b577ep-21, -0x1.3446fea051e0ap-22, 0x1.c1439bbdd74dcp-27, 0x1.41a87336c1709p-22, 0x1.3906fdc77472bp-21, 0x1.d11c60596a57p-21, 0x1.339c7fa56c637p-20, 0x1.7e53cc2694184p-20, 0x1.c8787372b4ac6p-20, 0x1.09326940a9deep-19, 0x1.2e721b3a15697p-19, 0x1.525c835d976ep-19, 0x1.765ee31049c45p-19, 0x1.9a457775e2e39p-19, 0x1.bdcdc768d44ccp-19, 0x1.e11b1d26c333fp-19, 0x1.01fc903c1d658p-18, 0x1.1345af477faf4p-18, 0x1.24636b72180cbp-18, 0x1.35546284b85ap-18, 0x1.4617c571a9e45p-18, 0x1.56ac901509375p-18, 0x1.671189dbf3233p-18, 0x1.774737f6ae287p-18, 0x1.874cacc56fc7fp-18, 0x1.971e8dbe7aeb6p-18, 0x1.a6bb1d983d532p-18, 0x1.b6225af830e49p-18, 0x1.c556411d2ff46p-18, 0x1.d456392a2e54ep-18, 0x1.e31f0c12fdea7p-18, 0x1.f1b59f2c4a1cfp-18, 0x1.0007d5433362ep-17, 0x1.07196ce471bc8p-17, 0x1.0e1171d2e8b1p-17, 0x1.14e71889d0eedp-17, 0x1.1b97815810d13p-17, 0x1.2283cf1331aa2p-17, 0x1.28c45d4ae4dd7p-17, 0x1.2f401f9d115d8p-17, 0x1.358e0980a6262p-17, 0x1.3bb5e513e1908p-17, 0x1.41c6b431417d6p-17, 0x1.47be90a218ab7p-17, 0x1.4d99910143d5fp-17, 0x1.5349294920105p-17, 0x1.58e3a5d870b75p-17, 0x1.5e8dfb629eabcp-17, 0x1.63fd2085f5c11p-17, 0x1.697d6c6f83bd1p-17, 0x1.6e6ea8f12eeccp-17, 0x1.735175396cc23p-17, 0x1.7840d8fe09afap-17, 0x1.7d3149620fb4bp-17, 0x1.81f1e79a61ffcp-17, 0x1.86831db84d577p-17, 0x1.8b00d129161afp-17, 0x1.8f5d6b643c28bp-17, 0x1.93a63e9f29a73p-17, 0x1.97d39559581fcp-17, 0x1.9be396088a35cp-17, 0x1.9fd0eb49ed0f6p-17, 0x1.a3a710e2e1ba8p-17, 0x1.a76192429dca5p-17, 0x1.ab00a0ee90d72p-17, 0x1.ae843ff41c338p-17, 0x1.b1ed764282dafp-17, 0x1.b53c802910b74p-17, 0x1.b870dca7d9b57p-17, 0x1.bb8a13ad9a201p-17, 0x1.be87af1581e62p-17, 0x1.c1649eed7553p-17, 0x1.c430f1aea6a6ap-17, 0x1.c6def241323e8p-17, 0x1.c973178d05712p-17, 0x1.cbf3999b70f93p-17, 0x1.ce53fabec7f9cp-17, 0x1.d09c0e2f8d9edp-17, 0x1.d2cc878c369d4p-17, 0x1.d4e451c601265p-17, 0x1.d6e1f015ba8c4p-17, 0x1.d8cb7bb5ad414p-17, 0x1.da9a2d744b5b4p-17, 0x1.dc4a92ee08064p-17, 0x1.ddebbf64df6c1p-17, 0x1.dfb6c36a86a1cp-17, 0x1.e0ddf4ca95216p-17, 0x1.e24b99de252c2p-17, 0x1.e3938457455abp-17, 0x1.e4c574bc47bcap-17, 0x1.e5ecc9984b59cp-17, 0x1.e71a1ec5979e2p-17, 0x1.e7b8be30571b9p-17, 0x1.e8afbb7fb495p-17, 0x1.e986224af2613p-17, 0x1.ea2c23b9a519cp-17, 0x1.eac835ea9289cp-17, 0x1.eb28d6e08c022p-17, 0x1.eba650d1f0ea2p-17, 0x1.ec123f8b612ddp-17, 0x1.ec639710f24ecp-17, 0x1.ec9a13dad4df6p-17, 0x1.ecbe1ea599d38p-17, 0x1.ecd62f2426b5cp-17, 0x1.ecdfd0f3c013cp-17, 0x1.ecd61880079dap-17, 0x1.ecb3a28f82b6ep-17, 0x1.ec7fa32e49aecp-17, 0x1.ec2f8219725b2p-17, 0x1.ebec684a8c975p-17, 0x1.eb854365d46f9p-17, 0x1.eb11cbaed70d5p-17, 0x1.ea8ec6054cc1fp-17, 0x1.e9fac5f5923c2p-17, 0x1.e9582c35ceee4p-17, 0x1.e8a3d70aecc3ep-17, 0x1.e7e19b6c69fb5p-17, 0x1.e705029e093f5p-17, 0x1.e62f0c9caaae4p-17, 0x1.e5415d902296ap-17, 0x1.e444a8a55336bp-17, 0x1.e338ba393f975p-17, 0x1.e21e299cd89adp-17, 0x1.e0f77fab3313ap-17, 0x1.dfc6e703ffd12p-17, 0x1.de7deeb5a34ecp-17, 0x1.dd3f72d740c84p-17, 0x1.dbf30b094872cp-17, 0x1.da08b1fa92a2cp-17, 0x1.d91145710363fp-17, 0x1.d78dafd7784e2p-17, 0x1.d6180e137cc16p-17, 0x1.d4bfd93f2a5fap-17, 0x1.d2c5782b2b097p-17, 0x1.d10e3effdf491p-17, 0x1.cfa098f2f7be8p-17, 0x1.cddd0d9adffbap-17, 0x1.cc1887482ab1ap-17, 0x1.ca4159b420e82p-17, 0x1.c83f307f1ac26p-17, 0x1.c66e187f90597p-17, 0x1.c489a06f17031p-17, 0x1.c2a5ecc84c4ebp-17, 0x1.c0a17c57921afp-17, 0x1.be9a4555508f7p-17, 0x1.bc8ba03ddeb84p-17, 0x1.ba77445c294cdp-17, 0x1.b8469e07e80f5p-17, 0x1.b61dde09c7f0bp-17, 0x1.b4039ebb9cf83p-17, 0x1.b1d6f88403949p-17, 0x1.af9ce121b7b03p-17, 0x1.ad5118617184dp-17, 0x1.ab046790fb602p-17, 0x1.a8b9c1299189p-17, 0x1.a66bdb4e36f7ep-17, 0x1.a3f5cedc6cd8dp-17, 0x1.a1b1ca57a723bp-17, 0x1.9f50a7fb96e82p-17, 0x1.9b8fa8341a023p-17, 0x1.9a7fab9755e52p-17, 0x1.97bf66070da89p-17, 0x1.9580996adb348p-17, 0x1.92f98aa49f31dp-17, 0x1.9072b3774b21cp-17, 0x1.8dedb7ec72cb9p-17, 0x1.8b61df4aaa8eep-17, 0x1.88c9410d2d822p-17, 0x1.862d86f46d9a9p-17, 0x1.838cb172e984ap-17, 0x1.80ece8c4d7177p-17, 0x1.7e44d07d4fa24p-17, 0x1.7b91a88c513b9p-17, 0x1.792cb4431135ap-17, 0x1.765be70998d33p-17, 0x1.73d8bf0b617d9p-17, 0x1.70d13ba932319p-17, 0x1.6e76177e5d5f8p-17, 0x1.6b8034833670fp-17, 0x1.68cf88b2e52ecp-17, 0x1.661accbdab002p-17, 0x1.635b9c84d4b97p-17, 0x1.60af37047f151p-17, 0x1.5dd4e06fd8dep-17, 0x1.5b269098e761dp-17, 0x1.585492b78da3ap-17, 0x1.55dd0080058b5p-17, 0x1.52da10de81f98p-17, 0x1.500764ec0c6f5p-17, 0x1.4d33c27c94006p-17, 0x1.4a70bbf4aa861p-17, 0x1.47caa0c4cab31p-17, 0x1.44f24c9bb2efdp-17, 0x1.420da3ce96fbbp-17, 0x1.3f3655899a08dp-17, 0x1.3c722fe0458c5p-17, 0x1.398fe2b735af5p-17, 0x1.36e469341ce5ap-17, 0x1.34039bc8b78bdp-17, 0x1.314b7574d83d5p-17, 0x1.2e824a3798c04p-17, 0x1.2baeda2345109p-17, 0x1.28d7c1cce895bp-17, 0x1.261b16f33ff61p-17, 0x1.23466cd1ac42fp-17, 0x1.2072c021da61fp-17, 0x1.1dc9ab1cb3cd6p-17, 0x1.1a85cca5e356cp-17, 0x1.18527b1e1f826p-17, 0x1.1559c5d7efa84p-17, 0x1.127b15cd537a9p-17, 0x1.0fc6c0f073b31p-17, 0x1.0ce9332d5cd07p-17, 0x1.0a3bbc9d035a7p-17, 0x1.0788b328a43b6p-17, 0x1.04b0f3b25c81cp-17, 0x1.01eef0f1ed1c4p-17, 0x1.fe68144f4207fp-18, 0x1.f8ee00d4e2ffp-18, 0x1.f3732cc52f02ep-18, 0x1.eddd25eebde0fp-18, 0x1.e940b76b31627p-18, 0x1.e303dcdf2fb09p-18, 0x1.ddae5027d6a77p-18, 0x1.d77783ebce44ep-18, 0x1.d2ea517db7ab1p-18, 0x1.cda7d6f7f82f8p-18, 0x1.c8693e479a7e8p-18, 0x1.c2fa6708cc69p-18, 0x1.bd86ac9956bb8p-18, 0x1.b849a0c5d0b74p-18, 0x1.b30e03f3bdf8ep-18, 0x1.adc742d8397d6p-18, 0x1.a8589e278b147p-18, 0x1.a338880623176p-18, 0x1.9d79fbc5f8f21p-18, 0x1.991b22e4260bep-18, 0x1.93e4ee90cdfddp-18, 0x1.8e80d29e8356fp-18, 0x1.893c61415ff73p-18, 0x1.847b0830cf76cp-18, 0x1.7f6f4a85a8655p-18, 0x1.7a42ca24d84c5p-18, 0x1.754e5106bf9dp-18, 0x1.705f8099980cbp-18, 0x1.6b723b9cddc9bp-18, 0x1.6687a0c585738p-18, 0x1.619ce28f89ce7p-18, 0x1.5cb4ce592105dp-18, 0x1.57e8695fac7e7p-18, 0x1.531c6c38cefc8p-18, 0x1.4e3d10e463ec1p-18, 0x1.4969aad08ec08p-18, 0x1.44d5902aa7c28p-18, 0x1.3fd6d81e1d5c8p-18, 0x1.3b1846fd3f051p-18, 0x1.364713570d8d1p-18, 0x1.317c0269440ddp-18, 0x1.2cff9b24af24dp-18, 0x1.285b389d212f3p-18, 0x1.2410bfe7202dep-18, 0x1.1f0597e027d53p-18, 0x1.1a8ccdb6dffeap-18, 0x1.16952023fd774p-18, 0x1.113a87639b498p-18, 0x1.0c882e5b38001p-18, 0x1.08c6a4a953222p-18, 0x1.0427781e4cd6p-18, 0x1.ffd2f9a89465fp-19, 0x1.f6f44a01e9e0fp-19, 0x1.ee429babdfe33p-19, 0x1.e593b8a5abc0ap-19, 0x1.dd991cfa5f844p-19, 0x1.d4cc295e19cadp-19, }}, 
      {{0x1.c5035efae0e5ap-7, 0x1.a6fdeed73ddc8p-6, 0x1.1b21a345a6bc3p-5, 0x1.4116591142254p-5, 0x1.427b9e4d54bfap-5, 0x1.1fca4c936697bp-5, 0x1.b7cceddb9c9f5p-6, 0x1.ed10b8bd365eep-7, 0x1.98fd5074a8d07p-12, -0x1.0d6566125d345p-6, -0x1.1ce24590a2a76p-5, -0x1.ba2e90588ade8p-5, -0x1.2cf6231677201p-4, -0x1.7c0468a5a38f7p-4, -0x1.c8892116dc6fcp-4, -0x1.088d6be07bf35p-3, -0x1.2a4dd988db93ap-3, -0x1.4919c82b402c3p-3, -0x1.64a48adf0bce5p-3, -0x1.7cbd245c36ed7p-3, -0x1.914a83a909613p-3, -0x1.a247e315f1d7dp-3, -0x1.afc1526d11f35p-3, -0x1.b9d08647c9751p-3, -0x1.c099fde6d6b13p-3, -0x1.c44a70f30ff54p-3, -0x1.c5148e39b88c4p-3, -0x1.c32f08230de38p-3, -0x1.bed2ff4c46f32p-3, -0x1.b83a993269532p-3, -0x1.af9fdfb97eac5p-3, -0x1.a53be37400369p-3, -0x1.9945f9e15aa5dp-3, -0x1.8bf33dd9fd247p-3, -0x1.7d7624d0eb1e6p-3, -0x1.6dfe377b2f296p-3, -0x1.5db7e6d59c0fcp-3, -0x1.4ccc705fee82bp-3, -0x1.3b61d58aaf3b2p-3, -0x1.299aeac7fae87p-3, -0x1.17975e8e2d152p-3, -0x1.0573da9714eaep-3, -0x1.e6943d0e07af7p-4, -0x1.c2625869f9b7dp-4, -0x1.9e7acd8d521b4p-4, -0x1.7b01877a203p-4, -0x1.5815d17da4333p-4, -0x1.35d2d735a71bcp-4, -0x1.144fc7a9790c9p-4, -0x1.e7408d3333e6bp-5, -0x1.a7a9796b5db38p-5, -0x1.69f4ffb4eb7d5p-5, -0x1.2e389aa99c995p-5, -0x1.e909bd4028df8p-6, -0x1.79cbd3176b5b4p-6, -0x1.0ec7f5c54d231p-6, -0x1.500fc7723bec1p-7, -0x1.163c18e475711p-8, 0x1.8a4afe133f89dp-10, 0x1.ca67d00436f72p-8, 0x1.90b729a35aa82p-7, 0x1.19f7ff2cd0987p-6, 0x1.6780c3bbdc518p-6, 0x1.b109f18fb117ap-6, 0x1.f6a9de6254538p-6, 0x1.1c3c4f3dfb21ep-5, 0x1.3b47e299c8a21p-5, 0x1.5885148bb5d44p-5, 0x1.7401b45db26a6p-5, 0x1.8dcbe31e0b82dp-5, 0x1.a5f2170bbc447p-5, 0x1.bc82d37217804p-5, 0x1.d18ca83a709fap-5, 0x1.e51e2e3e0fc04p-5, 0x1.f745dd5a416fcp-5, 0x1.0408ff5077f7fp-4, 0x1.0bc85cfc72806p-4, 0x1.12e801d61748fp-4, 0x1.196ec521e8a08p-4, 0x1.1f6351d89ce2cp-4, 0x1.24cc31a14605p-4, 0x1.29afc46011881p-4, 0x1.2e1436014b2fbp-4, 0x1.31ff89634510cp-4, 0x1.35778ffcb1b8ep-4, 0x1.3881eb83e734dp-4, 0x1.3b2415a545702p-4, 0x1.3d63500027169p-4, 0x1.3f44a76b7d12dp-4, 0x1.40ccff9541a5ep-4, 0x1.42010cf52305bp-4, 0x1.42e54f69bd431p-4, 0x1.437e17ca00ddp-4, 0x1.43cf8d92be08dp-4, 0x1.43ddaa62e6352p-4, 0x1.43ac3c7aeeaa6p-4, 0x1.433ee67298a07p-4, 0x1.4299247807604p-4, 0x1.41be47429437dp-4, 0x1.40b17988b530ep-4, 0x1.3f75c0c42c782p-4, 0x1.3e0dfcac98088p-4, 0x1.3c7ced8fad4dp-4, 0x1.3ac52a234f23p-4, 0x1.38e929fffd722p-4, 0x1.36eb4c17a1481p-4, 0x1.34cdcd65452c9p-4, 0x1.3292cc3b0c813p-4, 0x1.303c4dfd56df3p-4, 0x1.2dcc392b5833fp-4, 0x1.2b445a6fa6282p-4, 0x1.28a6699303685p-4, 0x1.25f409d3357b5p-4, 0x1.232ec32e9fb84p-4, 0x1.20580747b8829p-4, 0x1.1d71372e93cd5p-4, 0x1.1a7b9df9baf98p-4, 0x1.17787292f8e32p-4, 0x1.1468db6cf48fp-4, 0x1.114defe7aa2b3p-4, 0x1.0e28b8c988956p-4, 0x1.0afa2e50b23c3p-4, 0x1.07c33955e6d3ap-4, 0x1.0484b6313596ep-4, 0x1.013f72ca8518p-4, 0x1.fbe86190cb592p-5, 0x1.f5474e69b4286p-5, 0x1.ee9d0341687a2p-5, 0x1.e7eac385624e3p-5, 0x1.e131c27e9cdep-5, 0x1.da731f26f108fp-5, 0x1.d3afe34b24e66p-5, 0x1.cce90b839ca05p-5, 0x1.c61f832ca87fap-5, 0x1.bf5425bf7540ap-5, 0x1.b887c1b512a9ep-5, 0x1.b1bb198499c96p-5, 0x1.aaeee346addf5p-5, 0x1.a423c8e5aa3f9p-5, 0x1.9d5a6b132c3f1p-5, 0x1.969362979acefp-5, 0x1.8fcf3c70e107cp-5, 0x1.890e7b218eaep-5, 0x1.82519a9f6c8dfp-5, 0x1.7b990e745eb52p-5, 0x1.74e54159d7351p-5, 0x1.6e3698896e6ap-5, 0x1.678d74034cfd5p-5, 0x1.60ea2d7dc586ep-5, 0x1.5a4d187a42131p-5, 0x1.53b683451df4dp-5, 0x1.4d26b7c6efd46p-5, 0x1.469dfc881ca64p-5, 0x1.401c94ae011cap-5, 0x1.39a2be49778cfp-5, 0x1.3330b3a1d459bp-5, 0x1.2cc6ab4c6bc06p-5, 0x1.2664d7d860f5bp-5, 0x1.200b687db6974p-5, 0x1.19ba8c5bbcfb5p-5, 0x1.1372709312bb1p-5, 0x1.0d333f84fca73p-5, 0x1.06fd217155e6ep-5, 0x1.00d03cc482149p-5, 0x1.f5596b4a8b9d6p-6, 0x1.e9255c233ae83p-6, 0x1.dd048dad36336p-6, 0x1.d0f740e33b874p-6, 0x1.c4fdb56b7c61ap-6, 0x1.b9182744604e6p-6, 0x1.ad46cf959271dp-6, 0x1.a189e552a76c8p-6, 0x1.95e19c6b38c59p-6, 0x1.8a4e27f63f1cdp-6, 0x1.7ecfba2466066p-6, 0x1.73668512200f5p-6, 0x1.6812b9cf74b07p-6, 0x1.5cd4881dba67p-6, 0x1.51ac1a4849672p-6, 0x1.4699a5481d6d3p-6, 0x1.3b9d4e955fccbp-6, 0x1.30b741eb895cep-6, 0x1.25e7ae562eae6p-6, 0x1.1b2eb6ff5d75ep-6, 0x1.108c80ab51c22p-6, 0x1.06013dbc41b67p-6, 0x1.f71a16d8d6db5p-7, 0x1.e26037e3d088ep-7, 0x1.cdd5111023e24p-7, 0x1.b979155c3eab8p-7, 0x1.a54c5ed07b9d7p-7, 0x1.914f4e737b53fp-7, 0x1.7d8230231a50ap-7, 0x1.69e52dbd2a5abp-7, 0x1.5678bb4fd387ep-7, 0x1.433ce7f10d63cp-7, 0x1.3032180ebe18ap-7, 0x1.1d5884595f5b5p-7, 0x1.0ab0770e4d449p-7, 0x1.f073ff95cce91p-8, 0x1.cbeb4960fe66p-8, 0x1.a7c6b6343c43cp-8, 0x1.84070cd81bdd3p-8, 0x1.60ac9ce289325p-8, 0x1.3db7e6ab2b0e9p-8, 0x1.1b28fb5fab1ep-8, 0x1.f201e46270de7p-9, 0x1.ae7f5e338afd8p-9, 0x1.6bcb329a21fb7p-9, 0x1.29e646db99e69p-9, 0x1.d1a26ed178aa8p-10, 0x1.5119675fbad97p-10, 0x1.a4669578056a8p-11, 0x1.53bce03fdf7c7p-12, -0x1.357512dd13456p-13, -0x1.41505faafa2p-11, -0x1.18fa9872d0d51p-10, -0x1.8fa58225a4438p-10, -0x1.02540f9495765p-9, -0x1.3c00d3e93ba6bp-9, -0x1.74d8870e35ad2p-9, -0x1.acdbd371138e6p-9, -0x1.e408d1cbc10cap-9, -0x1.0d2fed9f39613p-8, -0x1.27f0c5acf0ce9p-8, -0x1.424687c53d2f6p-8, -0x1.5c31384a0602bp-8, -0x1.75b0cf6acfd43p-8, -0x1.8ec5483638114p-8, -0x1.a76e9f17998a9p-8, -0x1.bfaca73ab6a9cp-8, -0x1.d78029fe85321p-8, -0x1.eee8138af08d4p-8, -0x1.02f2b82b5fbe7p-7, -0x1.0e3bfc36e2429p-7, -0x1.194fe7cc9093cp-7, -0x1.242e9356a1c16p-7, -0x1.2ed814bd4668cp-7, -0x1.394c849f117p-7, -0x1.438bfe8354fc2p-7, -0x1.4d96a017e6c2ep-7, -0x1.576c712223861p-7, -0x1.610e050346123p-7, -0x1.6a7ad2bb0a566p-7, -0x1.73b3786bfbc9fp-7, -0x1.7cb8146f669c2p-7, -0x1.8588c8d097d53p-7, -0x1.8e25bf620869fp-7, -0x1.968f3536fd68ep-7, -0x1.9ec55eaa20451p-7, -0x1.a6c8750b13c08p-7, -0x1.ae98b509c16d1p-7, -0x1.b6365df271dfp-7, -0x1.bda1a90372644p-7, -0x1.c4dae43f3ad75p-7, -0x1.cbe27a774d5e3p-7, -0x1.d2b83549d1722p-7, -0x1.d95d08bc896d1p-7, -0x1.dfd0d2726b6d3p-7, -0x1.e613fccbfa698p-7, -0x1.ec26dcbad62ddp-7, -0x1.f209c69b53d9ep-7, -0x1.f7bd10b3cd815p-7, -0x1.fd4113692299dp-7, -0x1.014b14addf75cp-6, -0x1.03de57b87283fp-6, -0x1.065a8242a1d12p-6, -0x1.08bfc1899a387p-6, -0x1.0b0e3cf669393p-6, -0x1.0d46576219d2ep-6, -0x1.0f67f9b994273p-6, -0x1.1173a0a8a78b4p-6, -0x1.1369535ec8988p-6, -0x1.1549514c04f8cp-6, -0x1.1713d3cb32f4cp-6, -0x1.18c91260815b7p-6, -0x1.1a69454554e01p-6, -0x1.1bf4a585be39p-6, -0x1.1d6b6ccfcc862p-6, -0x1.1ecdd59d49671p-6, -0x1.201c1af480df5p-6, -0x1.215678b32ba2dp-6, -0x1.227d2b49486b6p-6, -0x1.23906bc23e58dp-6, -0x1.24907016cddcdp-6, -0x1.257da4cd6eca1p-6, -0x1.2657fd04c998fp-6, -0x1.272000921615bp-6, -0x1.27d5c32aa711fp-6, -0x1.28798be891a57p-6, -0x1.290b9e449ad95p-6, -0x1.298c3ada4f4f9p-6, -0x1.29fba2ac2aa5ep-6, -0x1.2a5a15df0d321p-6, -0x1.2aa7d7bf0cd87p-6, -0x1.2ae5280efcb2bp-6, -0x1.2b1249c573daep-6, -0x1.2b2f7eab0a182p-6, -0x1.2b3d08e3db0f3p-6, -0x1.2b3b2ad00e721p-6, -0x1.2b2a26c4bf201p-6, -0x1.2b0a3ad82f95fp-6, -0x1.2adba28fc5a51p-6, -0x1.2a9ed1604909p-6, -0x1.2a53bbe0c8f6bp-6, -0x1.29faea66d248ap-6, -0x1.29947c0debbc1p-6, -0x1.2920b549c188ep-6, -0x1.289fdcbadf3c8p-6, -0x1.281234db15753p-6, -0x1.2777ffc6c72f4p-6, -0x1.26d17f79eb68bp-6, -0x1.261ef59ccce09p-6, -0x1.2560a3d5462a3p-6, -0x1.2496cbe76fd12p-6, -0x1.23c1af1cdace9p-6, -0x1.22e18dd7b8a01p-6, -0x1.21f6a86ab5be4p-6, -0x1.21013f8f479dcp-6, -0x1.2001937cb6786p-6, -0x1.1ef7e396b64d2p-6, -0x1.1de46c4bb082ep-6, -0x1.1cc75acefe45fp-6, -0x1.1ba1437c5baccp-6, -0x1.1a71ec96c5882p-6, -0x1.1939c42989e27p-6, -0x1.17f92800d544bp-6, -0x1.16b031cd8083fp-6, -0x1.155f25d4b3573p-6, -0x1.140640b8262d1p-6, -0x1.12a5bdf85776p-6, -0x1.113dd7defd534p-6, -0x1.0fcec7dde9954p-6, -0x1.0e58c8ccfdc84p-6, -0x1.0cdc137ee16b8p-6, -0x1.0b58e08c0e72ap-6, -0x1.09cf686c3974ep-6, -0x1.083fe3604bbb1p-6, -0x1.06aa87e52d999p-6, -0x1.050f8b7f26292p-6, -0x1.036f242109694p-6, -0x1.01c98772fe45cp-6, -0x1.001ee9b007fp-6, -0x1.fcdefb543881ap-7, -0x1.f976e07bf5709p-7, -0x1.f605f9c0678bep-7, -0x1.f28cd8c79334p-7, -0x1.ef0b601219f92p-7, -0x1.eb827bb14df5ap-7, -0x1.e7f245f6f6c84p-7, -0x1.e45b1f4413a8fp-7, -0x1.e0bd6cfd47febp-7, -0x1.dd19898d8fe28p-7, -0x1.d96fcf2c5d49fp-7, -0x1.d5c0991f634eap-7, -0x1.d20c3f6397332p-7, -0x1.ce531605d5144p-7, -0x1.ca9571648776bp-7, -0x1.c6d3a6cbfb643p-7, -0x1.c30e096bd7062p-7, -0x1.bf44ea377d3ep-7, -0x1.bb789867692d5p-7, -0x1.b7a96039e8e98p-7, -0x1.b3d78c939d9d4p-7, -0x1.b0036a684a971p-7, -0x1.ac2d46cd773e5p-7, -0x1.a8556810a4bacp-7, -0x1.a47c12e15fb09p-7, -0x1.a0a18db35ff13p-7, -0x1.9cc617a90f7fcp-7, -0x1.98e9d55bd9142p-7, -0x1.950db1d9ff0e8p-7, -0x1.9130fbcfc8381p-7, -0x1.8d544d5842813p-7, -0x1.89782d650e80bp-7, -0x1.859c8be945303p-7, -0x1.81c1b6b917221p-7, -0x1.7de7ea68fdb3p-7, -0x1.7a0f5cae5d788p-7, -0x1.76384266cb1f7p-7, -0x1.7262d2c019033p-7, -0x1.6e8f43c974f83p-7, -0x1.6abdc8482fe12p-7, -0x1.66ee914513b38p-7, -0x1.6321cf2362562p-7, -0x1.5f57b19e21335p-7, -0x1.5b9066b1b7fafp-7, -0x1.57cc19713f248p-7, -0x1.540af42c6ba4dp-7, -0x1.504d235b1281cp-7, -0x1.4c92d1e6571cfp-7, -0x1.48dc25b7eeb5cp-7, -0x1.4529430bc82b3p-7, -0x1.417a50c7c81e6p-7, -0x1.3dcf75d59b528p-7, -0x1.3a28d5b9f34c2p-7, -0x1.3686918f84ddp-7, -0x1.32e8c3251aae9p-7, -0x1.2f4f6b6dd7749p-7, -0x1.2bbb5bd8c59dcp-7, -0x1.282bb210bbcaep-7, -0x1.24a0e04a876e9p-7, -0x1.211b652a713b3p-7, -0x1.1d9b02573dc7dp-7, -0x1.1a1fe61be9808p-7, -0x1.16aa2c1fd31d2p-7, -0x1.1339e8e6e49ccp-7, -0x1.0fcf3138f830fp-7, -0x1.0c6a1ce6923a4p-7, -0x1.090ac2b16a106p-7, -0x1.05b1363b5addp-7, -0x1.025d89ade593fp-7, -0x1.fe1f9d985f9fp-8, -0x1.f7902decbb7fbp-8, -0x1.f10ce62fe5f02p-8, -0x1.ea95e77ac0a65p-8, -0x1.e42b51a59d08bp-8, -0x1.ddcd405ee874bp-8, -0x1.d77bc9c20d72fp-8, -0x1.d137059fa5c85p-8, -0x1.caff11b8516eep-8, -0x1.c4d40802822d1p-8, -0x1.beb5f92203415p-8, -0x1.b8a4f4af44bd5p-8, -0x1.b2a10fa1066f4p-8, -0x1.acaa5fb8ee219p-8, -0x1.a6c0f1eabf78cp-8, -0x1.a0e4ca3bd483ep-8, -0x1.9b15dd1f2e572p-8, -0x1.95540e78686ccp-8, -0x1.8fa09e576c009p-8, -0x1.89f9d02c894c5p-8, -0x1.84606ca5cb58p-8, -0x1.7ed4e7c47fc82p-8, -0x1.7956c8544bddcp-8, -0x1.73e6343470047p-8, -0x1.6e8333afd0947p-8, -0x1.692dc84c4b839p-8, -0x1.63e5f5c8e0fbap-8, -0x1.5eabbbe67de4cp-8, -0x1.597f1162994acp-8, -0x1.545fecf1600afp-8, -0x1.4f4e4e5ae45bbp-8, -0x1.4a4a3914ae868p-8, -0x1.4553ac6c4f60bp-8, -0x1.406aa48150e7bp-8, -0x1.3b8f1cb7b8628p-8, -0x1.36c10f62af6b5p-8, -0x1.320073b8ab1fcp-8, -0x1.2d4d3e986f60cp-8, -0x1.28a76232a7646p-8, -0x1.240eccf21e6efp-8, -0x1.1f836f6c90212p-8, -0x1.1b053bc52a467p-8, -0x1.169423e215a61p-8, -0x1.1230182a37536p-8, -0x1.0dd90ae392827p-8, -0x1.098ef70ef0cc4p-8, -0x1.0551de95be058p-8, -0x1.0121bda7db2b6p-8, -0x1.f9fd0b8219e0ap-9, -0x1.f1d04843e74bfp-9, -0x1.e9bcde47e311bp-9, -0x1.e1c307dea4ef9p-9, -0x1.d9e35178492ep-9, -0x1.d21b54491483ep-9, -0x1.ca6cc85955fd8p-9, -0x1.c2d6fae836fecp-9, -0x1.bb5936a68d791p-9, -0x1.b3f483bdf0845p-9, -0x1.aca704ccf52b5p-9, -0x1.a571e8db09e96p-9, -0x1.9e54ca75b10ap-9, -0x1.974f6ad96bb6p-9, -0x1.9061c0b4b9d18p-9, -0x1.898baa11418d7p-9, -0x1.82ccfa06bd6a5p-9, -0x1.7c2577152fa95p-9, -0x1.7594e5500a117p-9, -0x1.6f1b10f977a6ap-9, -0x1.68b7cc5b36d36p-9, -0x1.626adf4acc89dp-9, -0x1.5c3408b9a612cp-9, -0x1.561314407b36p-9, -0x1.5007e0a1440bbp-9, -0x1.4a124f5bb0d0ep-9, -0x1.44323bd6d5bfcp-9, -0x1.3e67800df1502p-9, -0x1.38b1f78c807f6p-9, -0x1.33117ce619d16p-9, -0x1.2d85e5bce2dc7p-9, -0x1.280f00618ff11p-9, -0x1.22ac943780661p-9, -0x1.1d5e645070c77p-9, -0x1.182433290cf1p-9, -0x1.12fdc6b95b70dp-9, -0x1.0deae9e617baep-9, -0x1.08eb6b25b919bp-9, -0x1.03ff0e5fe2cdbp-9, -0x1.fe4a6e955bcaap-10, -0x1.f4bfbd823606ap-10, -0x1.eb5761c209bfbp-10, -0x1.e211aaeb22194p-10, -0x1.d8f2e08dfdba7p-10, -0x1.cff7873c1220cp-10, -0x1.c71fb0dac8391p-10, -0x1.be6b1bf253949p-10, -0x1.b5d95d2844009p-10, -0x1.ad69f721eb4p-10, -0x1.a51c9e7a085eep-10, -0x1.9cf1417edc624p-10, -0x1.94e79ae14126p-10, -0x1.8cff0f17ed11fp-10, -0x1.85371d621a605p-10, -0x1.7d8f9def54893p-10, -0x1.76085bfd9fe56p-10, -0x1.6ea0e4d2e9251p-10, -0x1.6758baa8e1057p-10, -0x1.602f7019d3226p-10, -0x1.592491b12c631p-10, -0x1.5237b0a6ed44fp-10, -0x1.4b6856a4e3417p-10, -0x1.44b614dd2c61dp-10, -0x1.3e207d523ff1p-10, -0x1.37a7276a033a7p-10, -0x1.3149b1b167b29p-10, -0x1.2b07bd38c7348p-10, -0x1.24e0f6ca5e968p-10, -0x1.1ed51c8fb1e9fp-10, -0x1.18e3fe6eb9cbep-10, -0x1.130d6017a984cp-10, -0x1.0d50e27e19cd9p-10, -0x1.07ae133f82602p-10, -0x1.02249abf63a9dp-10, -0x1.f96873766f5eap-11, -0x1.eeb9523ec7502p-11, -0x1.e43b25ce161a9p-11, -0x1.d9ed2622ae4dfp-11, -0x1.cfcda884de657p-11, -0x1.c5de5532184bdp-11, -0x1.bc1eecda1705bp-11, -0x1.b28729a7121a9p-11, -0x1.a91f27105f09ep-11, -0x1.9fe2f94794868p-11, -0x1.96d1e89d81a1fp-11, -0x1.8debea9cfbf26p-11, -0x1.853083e68521ep-11, -0x1.7c9f0a04b6979p-11, -0x1.7436b8bf6a58p-11, -0x1.6bf6cabb78fc4p-11, -0x1.63de8fc2df406p-11, -0x1.5bed6dab148acp-11, -0x1.5422ceb5bea4dp-11, -0x1.4c7e1068eef59p-11, -0x1.44fe7d317ae1p-11, -0x1.3da35f4dae327p-11, -0x1.366c2dd1b607bp-11, -0x1.2f588f5d42c53p-11, -0x1.28680f527f527p-11, -0x1.2199e6910fe6cp-11, -0x1.1aed2d8dbe073p-11, -0x1.146143fc1b871p-11, -0x1.0df5ef6731044p-11, -0x1.07ab1d78e228bp-11, -0x1.0180a715b2f42p-11, -0x1.f6ec6da9da8ccp-12, -0x1.eb168f7d35ddp-12, -0x1.df7e7d88fbb69p-12, -0x1.d421be8f13ebfp-12, -0x1.c901ff7fc1dedp-12, -0x1.be1a4fb105b1ap-12, -0x1.b36e830436697p-12, -0x1.a8f98eff3f0b7p-12, -0x1.9ebc24343daep-12, -0x1.94b5421f45d1p-12, -0x1.8ae3ce871f78bp-12, -0x1.8146878810d8ap-12, -0x1.77dc270cddefap-12, -0x1.6ea3b7b9be3ffp-12, -0x1.659c6ddfe347dp-12, -0x1.5cc25996f2fe2p-12, -0x1.541ff3b01fe34p-12, -0x1.4ba575c81c02ap-12, -0x1.435215abfc08ep-12, -0x1.3b355829774fcp-12, -0x1.3342976a5d96cp-12, -0x1.2b7b2bc88452fp-12, -0x1.23dffcb26f803p-12, -0x1.1c7031a482bdcp-12, -0x1.152a7b5cc601p-12, -0x1.0e0d8eefa9c1p-12, -0x1.071865a4474fdp-12, -0x1.004a62a16eedap-12, -0x1.f3461ed4af501p-13, -0x1.e643c47ce2f7ap-13, -0x1.d98c8faf2b289p-13, -0x1.cd1f6fbb62e27p-13, -0x1.c0fb601ea9e2p-13, -0x1.b51e993be9d77p-13, -0x1.a98726dad3b3ep-13, -0x1.9e333369a83bcp-13, -0x1.93211adcaa9d3p-13, -0x1.884f7ef2d36c5p-13, -0x1.7dbd37e35122dp-13, -0x1.73693fd554d37p-13, -0x1.695291b2b6185p-13, -0x1.5f77eeaabad38p-13, -0x1.55d7cc1905e35p-13, -0x1.4c70b3f1e0501p-13, -0x1.4341c43cdad6p-13, -0x1.3a4a99d1ce79dp-13, -0x1.318aa9d14443dp-13, -0x1.2900e43fc7ac4p-13, -0x1.20abf7da71a77p-13, -0x1.188aa530cc4edp-13, -0x1.109bb8c9cc0dfp-13, -0x1.08ddf10496a0ep-13, -0x1.01500aca71769p-13, -0x1.f3e2168f3aedep-14, -0x1.e5812c3e25673p-14, -0x1.d77d199b59cadp-14, -0x1.c9d44d3e4c227p-14, -0x1.bc836e5149905p-14, -0x1.af864172b3923p-14, -0x1.a2cfb8f251dc1p-14, -0x1.96981deff0ee8p-14, -0x1.8a924925fdc01p-14, -0x1.7ec34ba64672ep-14, -0x1.7362c08c14d97p-14, -0x1.68490fa6b8f24p-14, -0x1.5d775cf4437e5p-14, -0x1.52ebb53dcf00fp-14, -0x1.48a43cbc475cfp-14, -0x1.3ea0961f9e1d3p-14, -0x1.34e10d6b118d4p-14, -0x1.2b64bc7514469p-14, -0x1.222966d9ee383p-14, -0x1.192ce46f0497dp-14, -0x1.106dbf59d4a2ep-14, -0x1.07eac0746538cp-14, -0x1.ff4543787b682p-15, -0x1.ef2821c9c28bfp-15, -0x1.df7b62f762885p-15, -0x1.d03c409267374p-15, -0x1.c16812ba4f47bp-15, -0x1.b2fd965154608p-15, -0x1.a500e2e364a9p-15, -0x1.97996c72e1871p-15, -0x1.8a2ca1ffb8ecdp-15, -0x1.7d5bf3cd901a7p-15, -0x1.70e45da11e8d7p-15, -0x1.64cb65b8d602fp-15, -0x1.58fea50a9bfa1p-15, -0x1.4d8d06a160e3cp-15, -0x1.427c025e9b673p-15, -0x1.37c2879b43af2p-15, -0x1.2d5b47dcbdce5p-15, -0x1.233af56814ea2p-15, -0x1.19660ab293898p-15, -0x1.0fda5477f60e8p-15, -0x1.0699f979a2748p-15, -0x1.fb4762eb825aep-16, -0x1.e9e8c772ede1cp-16, -0x1.d91223eb7cd14p-16, -0x1.c8c0d92ab3dc7p-16, -0x1.b8f180ab8907cp-16, -0x1.a9a0ed9d9e182p-16, -0x1.9acc75292d9e6p-16, -0x1.8c71227fc0f71p-16, -0x1.7e849800bd109p-16, -0x1.70dadf7d82918p-16, -0x1.64703bc33669cp-16, -0x1.579472850bc4cp-16, -0x1.4b42e00324fb1p-16, -0x1.3f8ce65ff4f85p-16, -0x1.342fd5feab4bbp-16, -0x1.2933dab9b3d41p-16, -0x1.1e97213e2a051p-16, -0x1.1456fc1920ce3p-16, -0x1.0a71185ae1fb7p-16, -0x1.00e3f2a511a73p-16, -0x1.ef5b1a20e3b4cp-17, -0x1.dd93ffe3aa88p-17, -0x1.cc7840c6147p-17, -0x1.bbf6d3bebe9f9p-17, -0x1.ac0fb69d9ef9dp-17, -0x1.9cc06082d1ee3p-17, -0x1.8e02b752b52c4p-17, -0x1.7fcd52c4e22eep-17, -0x1.72155724decd3p-17, -0x1.64e82038d611ep-17, -0x1.5840fde52868ep-17, -0x1.4c1ba7004e49bp-17, -0x1.406f9cb240326p-17, -0x1.35311f62ac548p-17, -0x1.2a5dc2c85c02cp-17, -0x1.1ffb8341d3857p-17, -0x1.160e08088fe4dp-17, -0x1.0c8fa6b6fb5e1p-17, -0x1.03763f4a372bbp-17, -0x1.f5770413ae883p-18, -0x1.e4ba9c06b6462p-18, -0x1.d4b8e9cd8d4f2p-18, -0x1.c571c92092395p-18, -0x1.b6df13f679249p-18, -0x1.a8f187469b945p-18, -0x1.9b9360cf8509p-18, -0x1.8ee7c55c3ad74p-18, -0x1.82b5f13f2ccddp-18, -0x1.774459bd52326p-18, -0x1.6cb14b416dacfp-18, -0x1.62462fb5fe343p-18, -0x1.583fc1141427dp-18, -0x1.4f2abedce80cap-18, -0x1.45927a380f7e1p-18, -0x1.3bf528a57d03cp-18, -0x1.35728502b8651p-18, -0x1.2d3eab5598a23p-18, -0x1.286231cc7759bp-18, -0x1.20af4ae333bf4p-18, -0x1.19ee4a459555cp-18, -0x1.143ddb8415495p-18, -0x1.0ebfcfd404543p-18, -0x1.0999c57d93a51p-18, -0x1.04cdbfd0094ap-18, -0x1.0057716527d42p-18, -0x1.f85d99b93404fp-19, -0x1.f0950650265f4p-19, -0x1.e95172da58f35p-19, -0x1.e2a4ca6e16ee2p-19, -0x1.dc9cddfe2d16p-19, -0x1.d7291da81138p-19, -0x1.d225d6a2f0e32p-19, -0x1.cd7f2471cc91cp-19, -0x1.c93b61390eb6p-19, -0x1.c56757d3e7055p-19, -0x1.c20c1678a00fap-19, -0x1.bf26d15145f9p-19, -0x1.bca48c823a3e8p-19, -0x1.ba80947a8152bp-19, -0x1.b893b8cbe459dp-19, -0x1.b738250e343cdp-19, -0x1.b5fad7d6761e5p-19, -0x1.b51a57214fe3cp-19, -0x1.b48289af12221p-19, -0x1.b4332945484c1p-19, -0x1.b42ae6a634c57p-19, -0x1.b43f06108d392p-19, -0x1.b48fcee53be4bp-19, -0x1.b54d38d13c468p-19, -0x1.b6099087ab8abp-19, -0x1.b6fe05f6c0aap-19, -0x1.b82e69f7d0f91p-19, -0x1.b9942c43a1801p-19, -0x1.bb1fcd04b0aecp-19, -0x1.bcc3ed46ad7fbp-19, -0x1.be7f323d9c96fp-19, -0x1.c0597f1160053p-19, -0x1.c256fd864e74ep-19, -0x1.c477973248b45p-19, -0x1.c6b20899cb73ap-19, -0x1.c8eab1787f53bp-19, -0x1.cb64550f797c8p-19, -0x1.cdfe7f3f51e96p-19, -0x1.d07eea7fc4d38p-19, -0x1.d1cc94d16945cp-19, -0x1.d82632dde8e34p-19, -0x1.d8203606b555bp-19, -0x1.dad08168cb5a5p-19, -0x1.de47ff0021a4ep-19, -0x1.e0a9442495fe7p-19, -0x1.e3d3fe42d5b93p-19, -0x1.e6a5f0e9035adp-19, -0x1.e8e5e884ea4ddp-19, -0x1.eda48cc5fa109p-19, -0x1.ee612567d4cbbp-19, -0x1.f13f3f7a01659p-19, -0x1.f40513398e455p-19, -0x1.f6c973017b5dfp-19, -0x1.f989bb70ec7e1p-19, -0x1.fc482b9115d22p-19, -0x1.fefffa7f7e9a4p-19, -0x1.00d5a3f0b97afp-18, -0x1.02246080b3c7ep-18, -0x1.036cb2bdcfc58p-18, -0x1.04afbfa421dcap-18, -0x1.05ecdff8c868fp-18, -0x1.0724469d01b28p-18, -0x1.0855949ec4fb6p-18, -0x1.098049b6e22a4p-18, -0x1.0aa4055326c67p-18, -0x1.0bc025644ccd1p-18, -0x1.0cd38faea2678p-18, -0x1.0de02bcb04107p-18, -0x1.0ee4f9aa83d22p-18, -0x1.0fe07936ef9b8p-18, -0x1.10d35d34befb6p-18, -0x1.11bdd719e2ap-18, -0x1.129fd9b3c1fa1p-18, -0x1.13785cebb2c36p-18, -0x1.1443ccd846c3ep-18, -0x1.150ad5136dc27p-18, -0x1.15b6f13d22ab5p-18, -0x1.16763fc5cc9a8p-18, -0x1.171c99aa8a6c6p-18, -0x1.17bbe4506da56p-18, -0x1.1856d9b296f74p-18, -0x1.18ed7592009a1p-18, -0x1.197500bd07d7ep-18, -0x1.19e6a033c0fb6p-18, -0x1.1a46d2a3aa5efp-18, -0x1.1aa1cdd92adcdp-18, -0x1.1af8f0ddec50cp-18, -0x1.1af7bd04c368cp-18, -0x1.1c3ac820f4d91p-18, -0x1.1c72c99f1c88cp-18, -0x1.1ba650fd75f93p-18, -0x1.1beadf4d170efp-18, -0x1.1bfbdd35eaa64p-18, -0x1.1bf896b78a3cbp-18, -0x1.1be1af29649c8p-18, -0x1.1bb3245a41c85p-18, -0x1.1bab087720fp-18, -0x1.1becc0077c668p-18, -0x1.1ba57a57afaa9p-18, -0x1.1b8be32135e0dp-18, -0x1.1b4ed0d616895p-18, -0x1.1983eec12dd0cp-18, -0x1.1a4a60ae2dad8p-18, -0x1.1a1c9e764e931p-18, -0x1.19c7d4777813ep-18, -0x1.194c1bb9ae21bp-18, -0x1.18e18f30f3d5dp-18, -0x1.185d2de82aa24p-18, -0x1.17ce84eac2f71p-18, -0x1.172de40921f37p-18, -0x1.169497e508729p-18, -0x1.15e80771a748ep-18, -0x1.1535d3316a385p-18, -0x1.147ae27afe45ep-18, -0x1.13ab32218cf43p-18, -0x1.12dbfe884ea5ep-18, -0x1.120d9a4bdd352p-18, -0x1.112c8af6c6197p-18, -0x1.10494357cb322p-18, -0x1.0f58dc4899785p-18, -0x1.0e6198ff3dc92p-18, -0x1.0d639205be3e6p-18, -0x1.0c5f5987e767bp-18, -0x1.0b562303692ffp-18, -0x1.0a46ef20ae37dp-18, -0x1.092cd80f2f71dp-18, -0x1.080327e969a7bp-18, -0x1.06cc3da27dcd2p-18, -0x1.0592db4cae5acp-18, -0x1.045cf8f5805cep-18, -0x1.0323fefa2468ap-18, -0x1.01df3ceca9235p-18, -0x1.0088944a5610cp-18, -0x1.fe4c34794ed93p-19, -0x1.fb795ef611ad1p-19, -0x1.f866571d8b1ecp-19, -0x1.f517f9bacd7dfp-19, -0x1.f4c831a7b8591p-19, -0x1.ef6380fb74f21p-19, -0x1.ecc9d786de49dp-19, -0x1.e9fa75b02b6fcp-19, -0x1.e6e7a346f9725p-19, -0x1.e3cd3d5ed486bp-19, -0x1.e0a393e142cf8p-19, -0x1.dd674b4ee9c1bp-19, -0x1.da01b361f34a9p-19, -0x1.d6a47b48edc07p-19, -0x1.d3f382f3880c1p-19, -0x1.d0b1f8ab1c87cp-19, -0x1.cde4a74d3931p-19, -0x1.c9f2b9128ec99p-19, -0x1.c5dc6f79bd382p-19, -0x1.c26bead6c95ap-19, -0x1.bf0d453ccc9e4p-19, -0x1.bbb0eaf77f91cp-19, -0x1.b832df9dd37b2p-19, -0x1.b47876dc17979p-19, -0x1.b0d2aa8df2b0cp-19, -0x1.ad4c961edc927p-19, -0x1.a9b5295a27f72p-19, -0x1.a605f4d43d6b3p-19, -0x1.a244129c99372p-19, -0x1.9e801524014efp-19, -0x1.9abbcd1f6b686p-19, -0x1.970439b5b6526p-19, -0x1.9341a56c5d794p-19, -0x1.8f7b85b1c5276p-19, -0x1.8bb8ebd263693p-19, -0x1.87f503da3590fp-19, -0x1.8426b7e07a28dp-19, -0x1.80453080335dbp-19, -0x1.7c5172107bf3bp-19, -0x1.786cfce816333p-19, -0x1.74859c928c968p-19, -0x1.70ad08f16dff5p-19, -0x1.6cc5627d90fb2p-19, -0x1.68c2b131a33c2p-19, -0x1.64bce734e04cdp-19, -0x1.60bb4020ef318p-19, -0x1.5cbc3eaa06131p-19, -0x1.58bc7aba0d923p-19, -0x1.54c00e46160a3p-19, -0x1.50bfdf04c6fcep-19, -0x1.4c87d1578bf4cp-19, -0x1.4898cca620c69p-19, -0x1.4646e24b1f9dbp-19, -0x1.404b7f6e17963p-19, -0x1.3cb9e8c1a8e8p-19, -0x1.38c563c40a96ep-19, -0x1.34c73dd46f941p-19, -0x1.30d6e9b28e026p-19, -0x1.2d0b7f585e585p-19, -0x1.2883463b29f9p-19, -0x1.25019d6ab20f2p-19, -0x1.2113d407453dcp-19, -0x1.1cdd64fc20895p-19, -0x1.18f475db78ac6p-19, -0x1.14832c438b21ap-19, -0x1.109f2e67c1548p-19, -0x1.0cc2aaf0d0ab8p-19, -0x1.08be3987e2dbcp-19, -0x1.04fb1e92cc126p-19, -0x1.00f93dd4b7c0ap-19, -0x1.f9ddf911d6af6p-20, -0x1.f230a080f4bd7p-20, -0x1.ea6fd11e19dd2p-20, -0x1.e27573abbce5ap-20, -0x1.da7c07ad0140bp-20, -0x1.d27c3c0cb9591p-20, -0x1.caff1b3575105p-20, -0x1.c34690edc176fp-20, -0x1.bba17ff728cdfp-20, -0x1.b3f702a05990fp-20, -0x1.ac5747583cd68p-20, -0x1.a4d13c95e7262p-20, -0x1.9d43e66b5e548p-20, -0x1.959fa45c551b2p-20, -0x1.8df1c2d908d09p-20, -0x1.867074002c9aep-20, -0x1.7ef63319b97f6p-20, -0x1.776ae82e38e4ep-20, -0x1.6fd52308acbaap-20, -0x1.68470a7ca6eabp-20, -0x1.60ce6e294a51p-20, -0x1.597905cbd1ab1p-20, -0x1.51f154fcf7bb9p-20, -0x1.4ae182aea972bp-20, -0x1.439e49734af49p-20, -0x1.3b4b72eca3d26p-20, -0x1.351124ce780a7p-20, -0x1.2d939605ad551p-20, -0x1.26e78bb31e404p-20, -0x1.21fc99cc1a418p-20, -0x1.17824e2103cc9p-20, -0x1.110863a2fa9e7p-20, -0x1.0acffef17546p-20, -0x1.040a60369d5f8p-20, -0x1.fa86c371b26acp-21, -0x1.ec2a917bad505p-21, -0x1.dd1d958bf6c3bp-21, -0x1.cff677f3b4dc8p-21, -0x1.c2da96fa74e07p-21, -0x1.b615639ec3459p-21, -0x1.a8cfd6917a68ap-21, -0x1.9b9b5819c1ab7p-21, -0x1.8e574c493244bp-21, -0x1.8126bf10d8b6bp-21, -0x1.740b2aa2328aap-21, -0x1.66b633aa5875ep-21, -0x1.5a5a8fb48c8a3p-21, -0x1.4df2c89915958p-21, -0x1.415d5a5f28112p-21, -0x1.3484cd78b91fp-21, -0x1.27f7767d766fdp-21, -0x1.1bc9cd54425dbp-21, -0x1.0fbd1cb34de08p-21, -0x1.03bc2cae8b51cp-21, -0x1.efe85ca219254p-22, -0x1.d84e728567654p-22, -0x1.b88a290186ebcp-22, -0x1.a9517d754692cp-22, -0x1.914713e6a0e13p-22, -0x1.7a81525885957p-22, -0x1.63aa17f6922e4p-22, -0x1.4cd7566697b1cp-22, -0x1.365e4cedff2ebp-22, -0x1.1fe20c1ac82fap-22, -0x1.0925916fd134cp-22, -0x1.e50bb74c85878p-23, -0x1.b81267117e115p-23, -0x1.8d0360697c1ap-23, -0x1.605f689855481p-23, -0x1.34b08945de5fp-23, -0x1.0f93c22774468p-23, -0x1.c5645a701d148p-24, -0x1.7c3bf2326472ap-24, -0x1.12ff62f285f7fp-24, -0x1.dd764b184a909p-25, -0x1.e451a5ecef3a5p-26, -0x1.479289f12eb97p-27, 0x1.01bbf6614869fp-27, 0x1.ba450690c8084p-26, 0x1.7709762f406e5p-25, 0x1.0a6ef06ec8d01p-24, 0x1.560caaed8d613p-24, 0x1.a0fc1a980f62cp-24, 0x1.e8deb6cfe8ea9p-24, 0x1.1af4020aa7544p-23, 0x1.400dfb02a2538p-23, 0x1.64ec76bc74818p-23, 0x1.8648f36539c9ap-23, 0x1.a7fa87d981ed2p-23, 0x1.cd6bfd5dce42ap-23, 0x1.f13a300460f5ep-23, 0x1.09cdefe0b1defp-22, 0x1.1ac75e77a730bp-22, 0x1.2bd3e474b9e21p-22, 0x1.3bb63d6feb76dp-22, 0x1.4d345ce56a7b3p-22, 0x1.5ca713e8afb78p-22, 0x1.6c54ee0b72066p-22, 0x1.7bf4c8bbdaf08p-22, 0x1.8b6be49b51466p-22, 0x1.9bf399e15a8c7p-22, 0x1.aa5ce49b542a1p-22, 0x1.bad663c4cd65bp-22, 0x1.c70a8f8d44aacp-22, 0x1.d6dfce11a504dp-22, 0x1.e3f1bf7c6f0e5p-22, 0x1.f3f381bbc232p-22, 0x1.023a576ec47f1p-21, 0x1.08495ce140cf1p-21, 0x1.0f7c3efe0a26bp-21, 0x1.166065b55057cp-21, 0x1.1ca0577258422p-21, 0x1.23dfba9ebde35p-21, 0x1.2a9b4e18f7e41p-21, 0x1.312c5ed8453ecp-21, 0x1.379f5db3af1fdp-21, 0x1.3df99e8c30fb7p-21, 0x1.450cad9f0e81bp-21, 0x1.465f3c17deeeep-21, 0x1.516f79c824a4bp-21, 0x1.5734f1edb65cp-21, 0x1.5cec7c1d4c024p-21, 0x1.62b11a749e2d6p-21, 0x1.681e65f097c83p-21, 0x1.6d60dc1dca435p-21, 0x1.7316499b43ecbp-21, 0x1.78f4d77240dcbp-21, 0x1.7e622e542c734p-21, 0x1.83d597831a2dap-21, 0x1.8933bf75512a6p-21, 0x1.8eb63d7ef5d4dp-21, 0x1.93dd34aad975ap-21, 0x1.9889b1efb1d7bp-21, 0x1.9d6f69404d4c6p-21, 0x1.a212c0feb4d87p-21, 0x1.a734922167e3bp-21, 0x1.ac54b6c9c24a4p-21, 0x1.b0c163e6bf71ep-21, 0x1.b533b30e43ac1p-21, 0x1.b99cba5094425p-21, 0x1.be19989992ddap-21, 0x1.c273b46bda422p-21, 0x1.c6ace744dc3bcp-21, 0x1.cacb4f0bd8a39p-21, 0x1.cee204bd240ffp-21, 0x1.d2f77bdce10f6p-21, 0x1.d6d21bc790871p-21, 0x1.da9ea64374f72p-21, 0x1.de986316abd64p-21, 0x1.e279022d8cfabp-21, 0x1.e65245a446855p-21, 0x1.ea0a4b2be5b7p-21, 0x1.ed928f768d8c9p-21, 0x1.f146a2286cd6fp-21, 0x1.f505d9294727dp-21, 0x1.f833961f562a6p-21, 0x1.fbbe5f13d9e14p-21, 0x1.febe51a94fbedp-21, 0x1.01735da4a478dp-20, 0x1.03238a003de03p-20, 0x1.02b3dd4bc0cfp-20, 0x1.066edce628deep-20, 0x1.077a025b286bap-20, 0x1.08ba97f9037c8p-20, 0x1.0a3ecffbc4e3p-20, 0x1.0b8c61680afc8p-20, 0x1.0ce3acfa02813p-20, 0x1.0e2b4dfff3141p-20, 0x1.0f7f6b0582061p-20, 0x1.10e87adb5a83bp-20, 0x1.1217077c211cbp-20, }}, 
      {{-0x1.62f8e18357504p-2, -0x1.566985eb1094fp-2, -0x1.4bb2d51b14928p-2, -0x1.4974fe6e8d2f2p-2, -0x1.52fc2a05bd5a9p-2, -0x1.689e5230c308cp-2, -0x1.889e6fe3bd8dfp-2, -0x1.b011703c21bcdp-2, -0x1.db960eb354911p-2, -0x1.03eb4f6400578p-1, -0x1.18ed42419b136p-1, -0x1.2b98dc36d860cp-1, -0x1.3b02866d7d45dp-1, -0x1.468a2a0bf443cp-1, -0x1.4dd4c6486d285p-1, -0x1.50c31c4affd8cp-1, -0x1.4f67328d6dbc1p-1, -0x1.49f9d2071c63cp-1, -0x1.40d0a7927eb79p-1, -0x1.345568c4003f4p-1, -0x1.24fe29f9fbda6p-1, -0x1.1346f4a281abep-1, -0x1.ff5927a89c82p-2, -0x1.d550fea5c3761p-2, -0x1.a95b8f041dac3p-2, -0x1.7c4dc51f7307p-2, -0x1.4ee8721c2a97bp-2, -0x1.21d6a4c09f6d6p-2, -0x1.eb5a0b0e1d16p-3, -0x1.95d3fe5e2b7eep-3, -0x1.43ed0651b2d23p-3, -0x1.ec9cef9f3861p-4, -0x1.5af82ae0b8e38p-4, -0x1.a75dcb1697abcp-5, -0x1.5d1bcdb1c11b5p-6, 0x1.9f01fecfda18ap-8, 0x1.ff583aef96152p-6, 0x1.b4e693a59d644p-5, 0x1.29f2c53612f48p-4, 0x1.6e9c45533d976p-4, 0x1.a8cf276c57875p-4, 0x1.d8fda54895bfp-4, 0x1.ffa89f93b7ec1p-4, 0x1.0eadeae77bd6fp-3, 0x1.195549671aad5p-3, 0x1.20165fa3903aep-3, 0x1.233e3b03f647fp-3, 0x1.2319ea659f803p-3, 0x1.1ff59fe40184ep-3, 0x1.1a1bef4c3fdcbp-3, 0x1.11d538590db12p-3, 0x1.0767354b96f4p-3, 0x1.f6292ee810592p-4, 0x1.da3989e1aca1fp-4, 0x1.bb7759dd4fd49p-4, 0x1.9a534dfa5650ep-4, 0x1.7736cd11b3452p-4, 0x1.5283f833edd49p-4, 0x1.2c95b9f892cfdp-4, 0x1.05bfe75702a75p-4, 0x1.bc9ee3eb0b6f4p-5, 0x1.6d154add20051p-5, 0x1.1d62d7d3791a6p-5, 0x1.9bf65843b7a74p-6, 0x1.fd1956d3733aep-7, 0x1.8d0b65c03338fp-8, -0x1.aa0c95c1aa617p-9, -0x1.94dccfbf596bfp-7, -0x1.5bc39410df869p-6, -0x1.e8d1e341eaa8ep-6, -0x1.389cdf8d76fe7p-5, -0x1.7a5506f8b1216p-5, -0x1.b96f8a369cd27p-5, -0x1.f5d0acb99d7b9p-5, -0x1.17b12b44ef219p-4, -0x1.3309cc0211b9fp-4, -0x1.4cec17d850007p-4, -0x1.655410a27d336p-4, -0x1.7c3fa4c9e923fp-4, -0x1.91ae83138200dp-4, -0x1.a5a1e8043bd7ep-4, -0x1.b81c7684de3c2p-4, -0x1.c92212b98b32cp-4, -0x1.d8b7b704a2ff9p-4, -0x1.e6e35a5d35248p-4, -0x1.f3abcbced2917p-4, -0x1.ff1894ebcb0c9p-4, -0x1.0498f2720506ap-3, -0x1.09003a61c662bp-3, -0x1.0cc6b7c767b86p-3, -0x1.0ff13059d83b2p-3, -0x1.128490be1d55cp-3, -0x1.1485e3443e46bp-3, -0x1.15fa4847993ebp-3, -0x1.16e6efaa9f8e1p-3, -0x1.1751120964c6dp-3, -0x1.173deba14337p-3, -0x1.16b2b69d642e9p-3, -0x1.15b4a6e047bf2p-3, -0x1.1448e63bd9ea9p-3, -0x1.12748fac35bd8p-3, -0x1.103cadfbca8b2p-3, -0x1.0da636ff1633dp-3, -0x1.0ab60b353de96p-3, -0x1.0770f29b37a6cp-3, -0x1.03db9a04e819dp-3, -0x1.fff5268b2585cp-4, -0x1.f7a4a68a0d4aap-4, -0x1.eece61052a40bp-4, -0x1.e57ac6f4788adp-4, -0x1.dbb209c77842p-4, -0x1.d17c1b7e6e96cp-4, -0x1.c6e0ad3d881a4p-4, -0x1.bbe72feabacb1p-4, -0x1.b096d51c5c645p-4, -0x1.a4f68cc39aca5p-4, -0x1.990d07749c9d2p-4, -0x1.8ce0b77855afp-4, -0x1.8077cef850c4fp-4, -0x1.73d842fcd7ecdp-4, -0x1.6707cc59fa676p-4, -0x1.5a0be6ee48bebp-4, -0x1.4ce9d55fe0281p-4, -0x1.3fa6a19f5835p-4, -0x1.32471c1bc1136p-4, -0x1.24cfe006e7425p-4, -0x1.17455471e475ep-4, -0x1.09abaa4ff8f92p-4, -0x1.f80dc301a57b9p-5, -0x1.dcb596abf77d8p-5, -0x1.c1560d4d129b8p-5, -0x1.a5f60b54fb09fp-5, -0x1.8a9c204fb8e3dp-5, -0x1.6f4e848028092p-5, -0x1.541319d3c49f7p-5, -0x1.38ef77957cdeap-5, -0x1.1de8e90ca96f3p-5, -0x1.03046a1e3592cp-5, -0x1.d08d62bb8f033p-6, -0x1.9b686b09bc512p-6, -0x1.66a24f41956e2p-6, -0x1.3242ec00cd987p-6, -0x1.fca35c0f76366p-7, -0x1.95ab22ce9bb03p-7, -0x1.2faa2f94ca04ep-7, -0x1.9559561db7be7p-8, -0x1.9af8134a4e365p-9, -0x1.f473c6629c313p-14, 0x1.7723536544f43p-9, 0x1.7c9c178471faap-8, 0x1.1d9e3175700bep-7, 0x1.7bb1620cbe104p-7, 0x1.d8806c40dd66bp-7, 0x1.1a025aaeb931cp-6, 0x1.471c102c07f1cp-6, 0x1.738a8d4a26096p-6, 0x1.9f4b53c8c91bep-6, 0x1.ca5c2588b71e7p-6, 0x1.f4baf809efbb6p-6, 0x1.0f32fc294c476p-5, 0x1.23adc8c5e4f52p-5, 0x1.37cd337d1146fp-5, 0x1.4b90a3d0c5649p-5, 0x1.5ef79666d60dbp-5, 0x1.7201a06176388p-5, 0x1.84ae6f729cfd7p-5, 0x1.96fdc4f315074p-5, 0x1.a8ef72a7a5478p-5, 0x1.ba835c4e9eed4p-5, 0x1.cbb979dbabddp-5, 0x1.dc91d58a3c38dp-5, 0x1.ed0c87eea333fp-5, 0x1.fd29b502eaabcp-5, 0x1.0674c91ddd555p-4, 0x1.0e263030173a2p-4, 0x1.15a939c7ad44ep-4, 0x1.1cfe138112a63p-4, 0x1.2424efed7addcp-4, 0x1.2b1e04c6597fap-4, 0x1.31e9957cddc1ap-4, 0x1.3887e12f0ebdfp-4, 0x1.3ef930382398p-4, 0x1.453dd036e4697p-4, 0x1.4b560d8a57ccfp-4, 0x1.51423b19c6ff6p-4, 0x1.5702b3b02ca03p-4, 0x1.5c97cdda366dfp-4, 0x1.6201ea182f75cp-4, 0x1.674164b43c52ep-4, 0x1.6c56a5f0ab86dp-4, 0x1.71420ddc3bacp-4, 0x1.760407f0d4354p-4, 0x1.7a9cfe6a3af73p-4, 0x1.7f0d5a0ad34b6p-4, 0x1.83558d2bec1afp-4, 0x1.877602531c0dp-4, 0x1.8b6f2e973e34ap-4, 0x1.8f41840413a47p-4, 0x1.92ed7746cf731p-4, 0x1.9673797b3392cp-4, 0x1.99d4067b08b31p-4, 0x1.9d0f90226e94cp-4, 0x1.a02691eade478p-4, 0x1.a31983bd35a27p-4, 0x1.a5e8df6df2beap-4, 0x1.a8951bca56bd2p-4, 0x1.ab1eb8a09e177p-4, 0x1.ad862cb382cfp-4, 0x1.afcbf39301adfp-4, 0x1.b1f08974c47ebp-4, 0x1.b3f4696fcd003p-4, 0x1.b5d80eea9b957p-4, 0x1.b79bf629a3df7p-4, 0x1.b940972486827p-4, 0x1.bac6727f26133p-4, 0x1.bc2dfe898b375p-4, 0x1.bd77b968f70d3p-4, 0x1.bea41cc3a49eap-4, 0x1.bfb3a2bdf16abp-4, 0x1.c0a6c53d1e467p-4, 0x1.c17dfe5a0b47p-4, 0x1.c239c495b239ep-4, 0x1.c2da95222f911p-4, 0x1.c360e67eea3d9p-4, 0x1.c3cd2decfa2fp-4, 0x1.c41fe43244be4p-4, 0x1.c4597f386ab0fp-4, 0x1.c47a74b8b8371p-4, 0x1.c48339cbf9316p-4, 0x1.c47442dc2538dp-4, 0x1.c44e046bba8dp-4, 0x1.c410ede3fc7bbp-4, 0x1.c3bd76b4ff12ep-4, 0x1.c3540bb8ba0efp-4, 0x1.c2d51f301c662p-4, 0x1.c2412107d2efbp-4, 0x1.c1987feebbeddp-4, 0x1.c0dbaa01e688ep-4, 0x1.c00b0c771d2b2p-4, 0x1.bf2713a75b088p-4, 0x1.be302b08b1eefp-4, 0x1.bd26bdf6b7a52p-4, 0x1.bc0b32cd5acf8p-4, 0x1.baddf7b64c084p-4, 0x1.b99f711556283p-4, 0x1.b850065d87c4fp-4, 0x1.b6f01e14f4ccbp-4, 0x1.b5801d68aa549p-4, 0x1.b40068461bb4bp-4, 0x1.b27161f4f31efp-4, 0x1.b0d36ccb3ca51p-4, 0x1.af26ea302cf1cp-4, 0x1.ad6c3a98f486bp-4, 0x1.aba3bdb836a89p-4, 0x1.a9cdd1ca12f47p-4, 0x1.a7ead35a27543p-4, 0x1.a5fb2223c6b38p-4, 0x1.a3ff1568cff4ep-4, 0x1.a1f70aadb9d51p-4, 0x1.9fe35afd4158p-4, 0x1.9dc45f01e221cp-4, 0x1.9b9a6e76ef82cp-4, 0x1.9965e01728d9ap-4, 0x1.9727099e94ea6p-4, 0x1.94de3fcf55b81p-4, 0x1.928bd677310aep-4, 0x1.90302072b087ep-4, 0x1.8dcb6fc9ec49dp-4, 0x1.8b5e15d145ddp-4, 0x1.88e8606000e6cp-4, 0x1.866aa186ef8a2p-4, 0x1.83e52418a3309p-4, 0x1.815836fd04ac1p-4, 0x1.7ec425c6d5773p-4, 0x1.7c293b5dd53efp-4, 0x1.7987c1cf4338bp-4, 0x1.76e0022d5b45ap-4, 0x1.7432448a28ba4p-4, 0x1.717ecff9cd32ap-4, 0x1.6ec5ea944f123p-4, 0x1.6c07d97ce6824p-4, 0x1.6944e0dd845e4p-4, 0x1.667d43e9dc217p-4, 0x1.63b14501f4f24p-4, 0x1.60e125ad8277bp-4, 0x1.5e0d248f65042p-4, 0x1.5b3583a16e011p-4, 0x1.585a7ea09cbc6p-4, 0x1.557c547939db8p-4, 0x1.529b4151dab7p-4, 0x1.4fb780809d2c8p-4, 0x1.4cd14c841f96bp-4, 0x1.49e8dee435249p-4, 0x1.46fe7044a6c25p-4, 0x1.4412382cbec3bp-4, 0x1.41246d6371c5dp-4, 0x1.3e35459274d11p-4, 0x1.3b44f58363c1p-4, 0x1.3853b10c801d5p-4, 0x1.3561ab138affbp-4, 0x1.326f158f998eep-4, 0x1.2f7c21a506db5p-4, 0x1.2c88ff9782983p-4, 0x1.2995dd2070e92p-4, 0x1.26a2ead61f2e9p-4, 0x1.23b054052054fp-4, 0x1.20be461770607p-4, 0x1.1dccec77d0331p-4, 0x1.1adc719fa0d5ap-4, 0x1.17ecff639d7e1p-4, 0x1.14febe79e70ffp-4, 0x1.1211d6839848ap-4, 0x1.0f266ec40b94fp-4, 0x1.0c3cada33907dp-4, 0x1.0954b7e7cba07p-4, 0x1.066eb1b6631cep-4, 0x1.038abf2481206p-4, 0x1.00a90320d603p-4, 0x1.fb933dd976796p-5, 0x1.f5d9664dc26d7p-5, 0x1.f024c0735acecp-5, 0x1.ea758bb955948p-5, 0x1.e4cc05e04a761p-5, 0x1.df2865568f2e5p-5, 0x1.d98ae8f21a71ep-5, 0x1.d3f3c6ebc3858p-5, 0x1.ce63347309adp-5, 0x1.c8d967dd0723cp-5, 0x1.c3569430f7ed1p-5, 0x1.bddaeac118dfep-5, 0x1.b8669b27ec2f9p-5, 0x1.b2f9d47b2729p-5, 0x1.ad94c452ca3eep-5, 0x1.a837958e0140cp-5, 0x1.a2e2722b4b659p-5, 0x1.9d95837e1a7a2p-5, 0x1.9850f0911fcf4p-5, 0x1.9314de7d9b18bp-5, 0x1.8de172051c0f3p-5, 0x1.88b6cec7bc9d2p-5, 0x1.839515d4a26e8p-5, 0x1.7e7c669608955p-5, 0x1.796ce02e3c65ap-5, 0x1.7466a1094e21bp-5, 0x1.6f69c586685afp-5, 0x1.6a766782db737p-5, 0x1.658ca002df9fbp-5, 0x1.60ac8aa06d9bbp-5, 0x1.5bd63bbd538dcp-5, 0x1.5709c9e0cca7fp-5, 0x1.5247497c9d069p-5, 0x1.4d8ece4a72796p-5, 0x1.48e06b7279d23p-5, 0x1.443c3252bf77ap-5, 0x1.3fa23243408b7p-5, 0x1.3b127a2c520cdp-5, 0x1.368d18d2908fbp-5, 0x1.32121b51f434bp-5, 0x1.2da18cdee1086p-5, 0x1.293b77ecc05cbp-5, 0x1.24dfe6468e1f3p-5, 0x1.208ee0d0591b2p-5, 0x1.1c486fdb51bc9p-5, 0x1.180c9aba8cc1p-5, 0x1.13db66dd812f6p-5, 0x1.0fb4d8a2d898fp-5, 0x1.0b98f4a896cb6p-5, 0x1.0787bed6064efp-5, 0x1.038139437bd18p-5, 0x1.ff0aca0c577aep-6, 0x1.f7288671f4d62p-6, 0x1.ef5ba2e6ac5f1p-6, 0x1.e7a424620e442p-6, 0x1.e0020510c5d33p-6, 0x1.d8753ee73bfb4p-6, 0x1.d0fdce244d626p-6, 0x1.c99ba94639652p-6, 0x1.c24ec65ec9468p-6, 0x1.bb171c215f5e7p-6, 0x1.b3f49fb90fbf3p-6, 0x1.ace74342171cap-6, 0x1.a5eef783fccfep-6, 0x1.9f0bad095fe39p-6, 0x1.983d536514c6dp-6, 0x1.9183d8aa2007dp-6, 0x1.8adf297baec0fp-6, 0x1.844f31a12f29dp-6, 0x1.7dd3dca34308bp-6, 0x1.776d14c7a10ccp-6, 0x1.711ac1d15ccfp-6, 0x1.6adccaa2d3759p-6, 0x1.64b316d7d0e8p-6, 0x1.5e9d8d516e9a2p-6, 0x1.589c125ecaeep-6, 0x1.52ae88dc439dp-6, 0x1.4cd4d3b77062ep-6, 0x1.470ed597b9bafp-6, 0x1.415c7089ad311p-6, 0x1.3bbd865668c0cp-6, 0x1.3631f3f0258a5p-6, 0x1.30b99e6bfc521p-6, 0x1.2b5463ffcde5ep-6, 0x1.2602226cbcc48p-6, 0x1.20c2b9a5a578bp-6, 0x1.1b9605905afbap-6, 0x1.167be26b8badp-6, 0x1.11742d37b41c5p-6, 0x1.0c7ec1fe7d3bfp-6, 0x1.079b7b10f9739p-6, 0x1.02ca328ce465bp-6, 0x1.fc1586343c71dp-7, 0x1.f2ba0e6994018p-7, 0x1.e981b123439eap-7, 0x1.e06c1fc951df6p-7, 0x1.d77909993e42dp-7, 0x1.cea81bc3eab8p-7, 0x1.c5f9022fe877ap-7, 0x1.bd6b6955062a1p-7, 0x1.b4feffef4767fp-7, 0x1.acb376225be21p-7, 0x1.a4887ce3954ep-7, 0x1.9c7dc8b2fff12p-7, 0x1.949312990db84p-7, 0x1.8cc8140cea801p-7, 0x1.851c825a6df11p-7, 0x1.7d900de91212ep-7, 0x1.762262cbfb1d1p-7, 0x1.6ed328166e8d9p-7, 0x1.67a2005f2c292p-7, 0x1.608e8c15443a6p-7, 0x1.599867e768ba5p-7, 0x1.52bf3c3ee8637p-7, 0x1.4c02ae78e7f5ep-7, 0x1.45626a95817fdp-7, 0x1.3ede24ff0c89ap-7, 0x1.38759458372a3p-7, 0x1.3228707e3c88ep-7, 0x1.2bf66d49b3938p-7, 0x1.25df376bd2315p-7, 0x1.1fe2764394ce6p-7, 0x1.19ffcecb0f8dcp-7, 0x1.1436e499ae01p-7, 0x1.0e875bc37e0a3p-7, 0x1.08f0de4350e33p-7, 0x1.037320e9e4d48p-7, 0x1.fc1bc7e30f1c1p-8, 0x1.f181e0c63503bp-8, 0x1.e7182708212a9p-8, 0x1.dcde3173b51c4p-8, 0x1.d2d3856afae47p-8, 0x1.c8f78b4e79275p-8, 0x1.bf4987ea5a23fp-8, 0x1.b5c89c235f55bp-8, 0x1.ac73ccfd9c524p-8, 0x1.a34a130c7afdfp-8, 0x1.9a4a6e7be7a55p-8, 0x1.9173f9f3d701p-8, 0x1.88c5f811783fep-8, 0x1.803fdd167e634p-8, 0x1.77e1539ef54abp-8, 0x1.6faa34b830bf9p-8, 0x1.679a7285eaba2p-8, 0x1.5fb1ff6218635p-8, 0x1.57f0b8ffc6ac1p-8, 0x1.5056582c96903p-8, 0x1.48e26760a6a04p-8, 0x1.419437bb8b907p-8, 0x1.3a6aee629bb1dp-8, 0x1.33659671c77ddp-8, 0x1.2c830f3f7e8d5p-8, 0x1.25c28826c4ad7p-8, 0x1.1f230320a87dbp-8, 0x1.18a3d5bf0b8c3p-8, 0x1.124483370a9fep-8, 0x1.0c04b5c10f756p-8, 0x1.05e439bfb20afp-8, 0x1.ffc5d58ec4953p-9, 0x1.f40142ce13f03p-9, 0x1.e87a43b964231p-9, 0x1.dd301f5ef9568p-9, 0x1.d221d54f77f94p-9, 0x1.c74e28b8f02bp-9, 0x1.bcb3b05a35dfcp-9, 0x1.b250e85124c09p-9, 0x1.a8244d4626d07p-9, 0x1.9e2c7ee795e32p-9, 0x1.946859ac62cb3p-9, 0x1.8ad700c633e32p-9, 0x1.8177dadd9f7aap-9, 0x1.784a83afd8f0fp-9, 0x1.6f4eb4c09bb4cp-9, 0x1.668429dd5b2d9p-9, 0x1.5dea8747b22f7p-9, 0x1.5581467960b42p-9, 0x1.4d47ac97bf69fp-9, 0x1.453ccba7a5243p-9, 0x1.3d5f8d573415dp-9, 0x1.35aec53a80a8cp-9, 0x1.2e2946557ef97p-9, 0x1.26cdf634a5809p-9, 0x1.1f9bde521361cp-9, 0x1.18921a24e530dp-9, 0x1.11afd81867d66p-9, 0x1.0af4445043afp-9, 0x1.045e789ba7d07p-9, 0x1.fbdb25f1da9bap-10, 0x1.ef418334b308bp-10, 0x1.e2ee9f66e1a57p-10, 0x1.d6e15e8c3522bp-10, 0x1.cb18f8c0d1371p-10, 0x1.bf94d3083d5aap-10, 0x1.b45439b497308p-10, 0x1.a9563a6f4fd19p-10, 0x1.9e99b642552a7p-10, 0x1.941d8c1aa3f87p-10, 0x1.89e0bb5c8175fp-10, 0x1.7fe27441a0d8cp-10, 0x1.76220ce9bde57p-10, 0x1.6c9ed7779857fp-10, 0x1.6357e4adff7fp-10, 0x1.5a4bcd6d510ecp-10, 0x1.5178b11633b0ep-10, 0x1.48dc6b19fc885p-10, 0x1.4074f61702a0ep-10, 0x1.3840c42713aebp-10, 0x1.303ed621b1021p-10, 0x1.286e82af31f35p-10, 0x1.20ceff99fffcbp-10, 0x1.195efe0e8068ap-10, 0x1.121c9c4a49d2ap-10, 0x1.0b05c6ffcbcbep-10, 0x1.0418d5d97f191p-10, 0x1.faaa17088b2aep-11, 0x1.ed756c20fb979p-11, 0x1.e095d0e116089p-11, 0x1.d40dc523b18e5p-11, 0x1.c7dea93264382p-11, 0x1.bc07824cc9ca1p-11, 0x1.b084776d7ba92p-11, 0x1.a54f6c3697c69p-11, 0x1.9a6158766368ap-11, 0x1.8fb4237ad782cp-11, 0x1.8544fbf46deb2p-11, 0x1.7b145387e11e8p-11, 0x1.71254fd79daecp-11, 0x1.677b9dce2773fp-11, 0x1.5e1939c714e89p-11, 0x1.54fd63791360dp-11, 0x1.4c2516a78175dp-11, 0x1.438c7741119e7p-11, 0x1.3b303329e539bp-11, 0x1.330e285d3f4d2p-11, 0x1.2b2532fd6631dp-11, 0x1.23748205eb256p-11, 0x1.1bfb093524628p-11, 0x1.14b772dba87ccp-11, 0x1.0da864e9bd189p-11, 0x1.06cc8dad7b7a6p-11, 0x1.00222cbacfa5p-11, 0x1.f34ce99be6acap-12, 0x1.e6ab131920a78p-12, 0x1.da56f83a50805p-12, 0x1.ce4b9278534a7p-12, 0x1.c28891cfde7b5p-12, 0x1.b711aa5edb616p-12, 0x1.abebe3124e9b7p-12, 0x1.a11ad562337fbp-12, 0x1.969f4e4654208p-12, 0x1.8c77c625cf1aap-12, 0x1.82a07a84e4151p-12, 0x1.7917ca009bd69p-12, 0x1.6fdbf22c6cc01p-12, 0x1.66eec2a449a66p-12, 0x1.5e501de26625bp-12, 0x1.55fe2c74ed93dp-12, 0x1.4df4e85f586f1p-12, 0x1.462f217093213p-12, 0x1.3ea794accbc6dp-12, 0x1.3759918ccdd7ep-12, 0x1.30411600ae21ap-12, 0x1.295a754a4fa84p-12, 0x1.22a2f581f5045p-12, 0x1.1c17d3c754b2dp-12, 0x1.15b7beeb17357p-12, 0x1.0f82b026fba4cp-12, 0x1.09787fa558681p-12, 0x1.039aa32958858p-12, 0x1.fbd4e6280a708p-13, 0x1.f0d0daf6fa7c7p-13, 0x1.e628c3a06b382p-13, 0x1.dbdbdcecb9de4p-13, 0x1.d1ea6df84084ap-13, 0x1.c8554bdcc27eap-13, 0x1.bf1aa76478125p-13, 0x1.b6344bb09eca7p-13, 0x1.ad99ec62e21a9p-13, 0x1.a544a21a9c2c6p-13, 0x1.9d306fe1d8c59p-13, 0x1.955c3448006a5p-13, 0x1.8dc90ac6f14cp-13, 0x1.8679e47b9948ep-13, 0x1.7f727e6472091p-13, 0x1.78b5215697bc1p-13, 0x1.723ff230af42p-13, 0x1.6c0b0079bb4cp-13, 0x1.660833d7b3fa5p-13, 0x1.60275d6833048p-13, 0x1.5a5f8b2556bdbp-13, 0x1.54b6a7d3de412p-13, 0x1.4f3c6815f742dp-13, 0x1.49fa510d30c68p-13, 0x1.44eaa6780563cp-13, 0x1.4002eb25e29cap-13, 0x1.3b43f4a8aed94p-13, 0x1.36b7a7082c605p-13, 0x1.3261ac0bf1928p-13, 0x1.2e3a9859bf0e1p-13, 0x1.2a37a9ddbb969p-13, 0x1.2651d63148f62p-13, 0x1.2286c45bf70eap-13, 0x1.1ed6a42bdf46ap-13, 0x1.1b42095ffb2b8p-13, 0x1.17c8e0f783a1ep-13, 0x1.146a9add98a8fp-13, 0x1.1127553fc5d0ep-13, 0x1.0e02d1500b86bp-13, 0x1.0aff32898d0d6p-13, 0x1.0821799dd8cf3p-13, 0x1.056d286ce39a6p-13, 0x1.02ddc88617414p-13, 0x1.00676627cab71p-13, 0x1.fbf06c2378dbep-14, 0x1.f71106e5c2526p-14, 0x1.f249885551afdp-14, 0x1.edb8f7a6ad895p-14, 0x1.e95a1c423d346p-14, 0x1.e5150cf953592p-14, 0x1.e0eb25850f6adp-14, 0x1.dcf0e06928a4p-14, 0x1.d92b14e2998a3p-14, 0x1.d58c028ae08ecp-14, 0x1.d205aed13f5ebp-14, 0x1.ce924c8ad483fp-14, 0x1.cb31af58b1fc6p-14, 0x1.c7e54ab64f2bap-14, 0x1.c4ae4cc8799aap-14, 0x1.c18d4dbaffa24p-14, 0x1.be7d0de113fc2p-14, 0x1.bb8e365c354a4p-14, 0x1.b8a6c999b0ff6p-14, 0x1.b5d41dd5b42aap-14, 0x1.b3137ea6a8d05p-14, 0x1.b065d422e6dp-14, 0x1.adcf5cd4bdbe2p-14, 0x1.ab52a70f0e3eap-14, 0x1.a8f03069c2afep-14, 0x1.a6a432822a5fbp-14, 0x1.a463c319efeacp-14, 0x1.a2233e1065297p-14, 0x1.9fe7cb0e959ecp-14, 0x1.9db92632ae9fp-14, 0x1.9b91127db7fc1p-14, 0x1.996bafd119b5dp-14, 0x1.975424016421dp-14, 0x1.9550dfd828b37p-14, 0x1.935a54fb33b64p-14, 0x1.916846049e0cbp-14, 0x1.8f7893d3c5659p-14, 0x1.8d8c437231d3fp-14, 0x1.8ba44aaf4efc4p-14, 0x1.89c07b735a666p-14, 0x1.87e5800ecc83cp-14, 0x1.860af4c2f6f8fp-14, 0x1.8435270f57c8p-14, 0x1.826424496e2c8p-14, 0x1.809664b07c3cbp-14, 0x1.7ecbbd1f3650fp-14, 0x1.7d03a13808bcdp-14, 0x1.7b3d7ce4153eap-14, 0x1.7978f03b4b889p-14, 0x1.77b5e5804e0bdp-14, 0x1.75f462957d35dp-14, 0x1.74344807e6ebap-14, 0x1.72763ebe44cb3p-14, 0x1.70be7dfd9c33ap-14, 0x1.6f0bda2b4cb9ap-14, 0x1.6d566ac7a021dp-14, 0x1.6b9d32d94fd8ap-14, 0x1.69df1626703cep-14, 0x1.681d6d8b58b7fp-14, 0x1.6660935b836adp-14, 0x1.64a71e814f6a9p-14, 0x1.62ebb3aff4bf4p-14, 0x1.612d20a577098p-14, 0x1.5f6c23b8fbfa5p-14, 0x1.5da95bc8c494p-14, 0x1.5be5100d5672cp-14, 0x1.5a1f4c91f05ddp-14, 0x1.5857e9d8a377cp-14, 0x1.568ea986cddb2p-14, 0x1.54c364c9b2746p-14, 0x1.52f60f07caa2p-14, 0x1.5126af4ae8cf6p-14, 0x1.4f554517c7e77p-14, 0x1.4d81b3386b2f5p-14, 0x1.4babeef953215p-14, 0x1.49d3ff57e899ap-14, 0x1.47f8b5728c627p-14, 0x1.461b334be5e9cp-14, 0x1.443bca8a21f28p-14, 0x1.425aedd295106p-14, 0x1.40761fc2fab2bp-14, 0x1.3e8e686ff4f0bp-14, 0x1.3ca5f1f7b22e8p-14, 0x1.3abcb020d644ap-14, 0x1.38d243066a3ffp-14, 0x1.36d8b7518f2c9p-14, 0x1.34e4bb00030dbp-14, 0x1.32f22a15de6cep-14, 0x1.30f7d7276a122p-14, 0x1.2efbc941d52e1p-14, 0x1.2cfe89ec60073p-14, 0x1.2afeaaca8105cp-14, 0x1.28fc5f5efc83cp-14, 0x1.26f7b0aabdf76p-14, 0x1.24f0a38a2ff6cp-14, 0x1.22e73c1af474dp-14, 0x1.20db7fa73f8dep-14, 0x1.1ecd7cd539e08p-14, 0x1.1cbd4eccbc1e1p-14, 0x1.1aab0ef684b45p-14, 0x1.1896c617dfaep-14, 0x1.1680715325a07p-14, 0x1.1468125fe0fb7p-14, 0x1.124db084855f2p-14, 0x1.10315a0a85159p-14, 0x1.0e1335e51fd92p-14, 0x1.0bf36c63d8cfdp-14, 0x1.09d2041384dc3p-14, 0x1.07aedba2b44d4p-14, 0x1.058a7346e27cfp-14, 0x1.03641c727a502p-14, 0x1.013cdfe9aabf5p-14, 0x1.fe25927f12569p-15, 0x1.f9d04e2dbd6e3p-15, 0x1.f57b90267a79ep-15, 0x1.f121d47b66a98p-15, 0x1.ecc46e7d87d8bp-15, 0x1.e86392ab2e457p-15, 0x1.e4037b19f8dfbp-15, 0x1.dfa32ce39465bp-15, 0x1.db3ed7bff14dp-15, 0x1.d6d8bbe697f46p-15, 0x1.d27217c9ec317p-15, 0x1.ce0a734e7d6cdp-15, 0x1.c9a19301b3bc6p-15, 0x1.c5377d5d0bac3p-15, 0x1.c0cc4f2251d9cp-15, 0x1.bc608603363b4p-15, 0x1.b7f449f328a9dp-15, 0x1.b387a42edc332p-15, 0x1.af1b2dabf3013p-15, 0x1.aaadc422f306ap-15, 0x1.a640a699b3d41p-15, 0x1.a1d3a2d1f470dp-15, 0x1.9d64389026225p-15, 0x1.98fe169e32d34p-15, 0x1.948c838c92433p-15, 0x1.902253c1913cp-15, 0x1.8bba7f56adb36p-15, 0x1.874efe96889e5p-15, 0x1.82e8ea272c597p-15, 0x1.7e8147b4aaee5p-15, 0x1.7a174b047f2b2p-15, 0x1.75a54ffbd7ba8p-15, 0x1.7150b15c26abfp-15, 0x1.6cef1515d8165p-15, 0x1.689042457d6d7p-15, 0x1.64332decbec74p-15, 0x1.5fd80ecdafee3p-15, 0x1.5b7f0db5fc6dp-15, 0x1.572854a9dfd52p-15, 0x1.52d4518fc227dp-15, 0x1.4e82e1e0479bcp-15, 0x1.4a335246eada7p-15, 0x1.45e6ea95cb10dp-15, 0x1.419ca510df0bfp-15, 0x1.3d55b58114dc8p-15, 0x1.391242bb97fbbp-15, 0x1.34d21456d8e4p-15, 0x1.309530c0b0306p-15, 0x1.2c5bb60718e71p-15, 0x1.2825cde493d55p-15, 0x1.23f3650ac80ffp-15, 0x1.1fc4a0993206cp-15, 0x1.1b99ba8a5071dp-15, 0x1.1772c042b05edp-15, 0x1.134fcac8f460dp-15, 0x1.0f30f5b95c37fp-15, 0x1.0b1657de6079p-15, 0x1.0700032bc2a96p-15, 0x1.02ed6a05d7e7ep-15, 0x1.fdc02697ec132p-16, 0x1.f5ad63b7fa684p-16, 0x1.eda5a5ade1d93p-16, 0x1.e5a56feec2e8bp-16, 0x1.ddaebf41dffd3p-16, 0x1.d5c2d2ef74848p-16, 0x1.cde0975cc8177p-16, 0x1.c607c5f2d930bp-16, 0x1.be38a324c6ab3p-16, 0x1.b673cf370a88cp-16, 0x1.aeb9a3bee90a3p-16, 0x1.a707407dc391bp-16, 0x1.9f6b519c69c33p-16, 0x1.97d11b9784fe2p-16, 0x1.9038adbee01bcp-16, 0x1.88b51475dfaa8p-16, 0x1.813b4a86e948cp-16, 0x1.79cc6e6673e4fp-16, 0x1.7266cd96208f5p-16, 0x1.6b0c3d2e58777p-16, 0x1.63c1446600552p-16, 0x1.5c885dfe975d3p-16, 0x1.55509c72cf48ep-16, 0x1.4e292d0ed323cp-16, 0x1.470ac21a92228p-16, 0x1.40173cf14d73ap-16, 0x1.38ef60e6f5ab2p-16, 0x1.31f607bdf73eap-16, 0x1.2b0a18bca8848p-16, 0x1.242b2d7ccedbep-16, 0x1.1d54e7eed93cfp-16, 0x1.168c351e75669p-16, 0x1.0fcfe8cd389d2p-16, 0x1.092131a4db732p-16, 0x1.027d1c7f49399p-16, 0x1.f7cd48850b87fp-17, 0x1.eab8bb4f2ab4dp-17, 0x1.ddbdc67ea3f25p-17, 0x1.d0df0fe42b929p-17, 0x1.c417751b4c183p-17, 0x1.b767c943eaeddp-17, 0x1.aad3e6d2fadb8p-17, 0x1.9e584d4677f52p-17, 0x1.91f7a1cbbf875p-17, 0x1.85b0adbb0da05p-17, 0x1.7983b6db92eep-17, 0x1.6d70faa6ac057p-17, 0x1.61785f85b9fc2p-17, 0x1.5599c2696defcp-17, 0x1.49d4fa9ebd7cbp-17, 0x1.3e297c93862cap-17, 0x1.329779eadb8bep-17, 0x1.272013368234bp-17, 0x1.1bc42b9f3b223p-17, 0x1.10833a0e8812dp-17, 0x1.055ab63a58b57p-17, 0x1.f497469392a1ap-18, 0x1.deac47c22ab26p-18, 0x1.c8f4ea2216e75p-18, 0x1.b36e7fc1949a8p-18, 0x1.9e199a0bc4a56p-18, 0x1.893787e37c361p-18, 0x1.741e4e83af043p-18, 0x1.5f7656edbf797p-18, 0x1.4affe257dc419p-18, 0x1.36b845bd4bc0dp-18, 0x1.22a57e8b13787p-18, 0x1.0ec5f1722d44dp-18, 0x1.f62927fbedc2dp-19, 0x1.cf26a00b20cc3p-19, 0x1.a891c5edbe2c2p-19, 0x1.82a787dd5c6b1p-19, 0x1.5ccff848b16d3p-19, 0x1.371716bc92fcep-19, 0x1.12a03794c1fdp-19, 0x1.dbc6bfab7e86dp-20, 0x1.937c43c2123b8p-20, 0x1.4c2b1ee0be8a5p-20, 0x1.0592717e763aap-20, 0x1.7f3a70deddda6p-21, 0x1.e9a673bc15f9ap-22, 0x1.b0448c83db901p-23, -0x1.b01f950a44343p-25, -0x1.4119b35d30115p-22, -0x1.24aaa82da750bp-21, -0x1.a71f40f621d6fp-21, -0x1.1423ddeda1d8ap-20, -0x1.53e532728f101p-20, -0x1.92d12aca3ac68p-20, -0x1.d1032db79b156p-20, -0x1.073a0e701c25p-19, -0x1.25901f192adcp-19, -0x1.4385be410c0b2p-19, -0x1.611e0e97c11b8p-19, -0x1.7e5c257c0b8a8p-19, -0x1.9b3995e2f36f2p-19, -0x1.b7c002c7504fcp-19, -0x1.d3d98e0f40a8ep-19, -0x1.ef9b475c2ff9fp-19, -0x1.0584ffc9759f4p-18, -0x1.130c7771f23a2p-18, -0x1.2066f61db7ff4p-18, -0x1.2d936204d57bbp-18, -0x1.3a91a24e2128dp-18, -0x1.47615a6d85bb2p-18, -0x1.5407718a83da4p-18, -0x1.607f56419c7d2p-18, -0x1.6cd0f5586f558p-18, -0x1.78e42247aec6dp-18, -0x1.84b452930f4bfp-18, -0x1.90afda4afaa77p-18, -0x1.9c4026c66746ap-18, -0x1.a7af1eab2647cp-18, -0x1.b2f614d5c84ap-18, -0x1.be1ded5e13c6p-18, -0x1.c93ba95fc7a2dp-18, -0x1.d3e33e2677a73p-18, -0x1.de6ba44b3da8ep-18, -0x1.e8de1249e137p-18, -0x1.f324e69f3ef42p-18, -0x1.fd3f1aa242284p-18, -0x1.03ad0665d1806p-17, -0x1.089354a0b29a7p-17, -0x1.0d6388ff5f2bbp-17, -0x1.1220bcbc61212p-17, -0x1.16d5dce20aap-17, -0x1.1b7093a3a1f75p-17, -0x1.1ff44ce5e476ep-17, -0x1.246579d254bf6p-17, -0x1.28c484e9f6d19p-17, -0x1.2d147ad75e7dp-17, -0x1.3152747b433bdp-17, -0x1.35749481a3e58p-17, -0x1.398e3e7270a09p-17, -0x1.3d8f8cab6dfccp-17, -0x1.417f36c35f27p-17, -0x1.455d92f6b8c56p-17, -0x1.4929dfae91d83p-17, -0x1.4ce35477ef04p-17, -0x1.508aa8004d6f3p-17, -0x1.5422fbc60852ap-17, -0x1.57a8b3c8fe90ep-17, -0x1.5b202707b146p-17, -0x1.5e8355e293d6ep-17, -0x1.61d6d88056a19p-17, -0x1.651abc3f5b332p-17, -0x1.684e166308173p-17, -0x1.6b70969b106f6p-17, -0x1.6e825c6c512a3p-17, -0x1.7180ef22725e3p-17, -0x1.74747ab2e90c4p-17, -0x1.775aa5f17ca6ap-17, -0x1.7a03e22ced065p-17, -0x1.7ce8f46e972fap-17, -0x1.7f9b82141aea9p-17, -0x1.823a8b04ebd64p-17, -0x1.84be46a024d04p-17, -0x1.876020258f70bp-17, -0x1.89d07fdbb2b5p-17, -0x1.8c2daf5c69172p-17, -0x1.8e82bd807b794p-17, -0x1.90ca7c2b6a5abp-17, -0x1.930bb786341f1p-17, -0x1.9545d213c0166p-17, -0x1.97610d82dc546p-17, -0x1.996e2dd6b9fb1p-17, -0x1.9b73e1ea79e01p-17, -0x1.9d65015df4d1ep-17, -0x1.9f4d3c927b73bp-17, -0x1.a12972f0343e3p-17, -0x1.a2f94f437ac2cp-17, -0x1.a4b8d168cbd4ep-17, -0x1.a66c926598c31p-17, -0x1.a8186857c9281p-17, -0x1.a9ae3c24e110dp-17, -0x1.ab3ba162dc798p-17, -0x1.acc03efd2a062p-17, -0x1.ae36d3d1b3193p-17, -0x1.af9edac35c9b5p-17, -0x1.b0fb539b2e5a1p-17, -0x1.b246023a8d14ep-17, -0x1.b390d7b251c92p-17, -0x1.b4c8d1e7e5d1cp-17, -0x1.b59998cc179p-17, -0x1.b71f7fc0862d9p-17, -0x1.b827df4e44d93p-17, -0x1.b940096f72f51p-17, -0x1.ba4068e262161p-17, -0x1.bb377f87afa44p-17, -0x1.bc22d1dcadd99p-17, -0x1.bd04816561b4dp-17, -0x1.bdde31f6f74e6p-17, -0x1.beae4e7a91b7p-17, -0x1.bf6ecaad71136p-17, -0x1.c029d418e4a8dp-17, -0x1.c0deb43118d3ep-17, -0x1.c1864dcdf51d6p-17, -0x1.c211386ea5089p-17, -0x1.c2ab9ee65af6dp-17, -0x1.c33129284b8cdp-17, -0x1.c3be69fc971bfp-17, -0x1.c41b0e5f138ap-17, -0x1.c49ac9e7a20b8p-17, -0x1.c4fe76104c2c9p-17, -0x1.c551cdae908cep-17, -0x1.c5a1391dea68bp-17, -0x1.c5f1416a6f457p-17, -0x1.c62b543b1c232p-17, -0x1.c668dffa6603cp-17, -0x1.c69544f91e775p-17, -0x1.c6cdfb55645ccp-17, -0x1.c6df846dadc2dp-17, -0x1.c6f738be5747bp-17, -0x1.c708a776d9152p-17, -0x1.c714204d940ffp-17, -0x1.c7121ad2b9dd2p-17, -0x1.c7025a8db2486p-17, -0x1.c6f88b2eafaf6p-17, -0x1.c6e43b0460a6ep-17, -0x1.c6c6763791349p-17, -0x1.c69c838852b29p-17, -0x1.c673f05a0a12fp-17, -0x1.c6442bad61762p-17, -0x1.c60551c3906e3p-17, -0x1.c5c3011b15714p-17, -0x1.c57c230b327afp-17, -0x1.c52f28903dc9ap-17, -0x1.c4d2219064e51p-17, -0x1.c47f2ad5b6966p-17, -0x1.c420d80a60d4ap-17, -0x1.c3b7c05602743p-17, -0x1.c3288536e5ebep-17, -0x1.c2d27cecfde45p-17, -0x1.c25d2d08d4a69p-17, -0x1.c1e0fd897ca59p-17, -0x1.c15e6b73194a8p-17, -0x1.c0ce9b834fd7bp-17, -0x1.c0444e7999963p-17, -0x1.bfb335219da22p-17, -0x1.bf14082641537p-17, -0x1.be7587de8d4ffp-17, -0x1.bdd03cf899eb8p-17, -0x1.bd262e7de14fep-17, -0x1.bc772aee97ed8p-17, -0x1.bbc715c63d296p-17, -0x1.baf2df3958a04p-17, -0x1.ba51658ef5cccp-17, -0x1.b990c6f1f5d57p-17, -0x1.b8af653d5cd4ap-17, -0x1.b7fb22f0d09ffp-17, -0x1.b725db9b14087p-17, -0x1.b64ce62efa66p-17, -0x1.b576b5ce3e317p-17, -0x1.b49e4ff9aec1ap-17, -0x1.b3bc3349d26d5p-17, -0x1.b2d6ec2d3517bp-17, -0x1.b1ef618c7a40bp-17, -0x1.b0fd672468d53p-17, -0x1.b016222fea6fcp-17, -0x1.aefd94f55e2bdp-17, -0x1.ae2210b11f25ap-17, -0x1.ad1fcadcd96cfp-17, -0x1.ac29832a215eap-17, -0x1.ab245ff000a0bp-17, -0x1.aa1cb03e838bp-17, -0x1.a9123c5f048fdp-17, -0x1.a8040f89a58cap-17, -0x1.a6f334e67f717p-17, -0x1.a5ddb33db4918p-17, -0x1.a4c528b2f6cc7p-17, -0x1.a3a99bc558a9ep-17, -0x1.a28bca9802a31p-17, -0x1.a16bc638efd3p-17, -0x1.a04676afd28dep-17, -0x1.9f1ed4e599d9p-17, -0x1.9df7b0bd4a465p-17, -0x1.9cceecaddf2ecp-17, -0x1.9baa79730535dp-17, -0x1.9a72441a1a28ap-17, -0x1.993e94695709cp-17, -0x1.980c9171aefbap-17, -0x1.96d8be1b48756p-17, -0x1.959b3a8d5a70dp-17, -0x1.945f710a7988ep-17, -0x1.9323497c33e11p-17, -0x1.91defe5d930ap-17, -0x1.90a25b3829effp-17, -0x1.8f4c505c126bdp-17, -0x1.8e226df946c49p-17, -0x1.8cc1ddcbe46eep-17, -0x1.8b835aa5de04dp-17, -0x1.8a3135ab56be9p-17, -0x1.88e9028f852acp-17, -0x1.8799fa63eb90cp-17, -0x1.86485418027c7p-17, -0x1.84f6a66c2dd46p-17, -0x1.83aac4ca3ee74p-17, -0x1.824a18da82057p-17, }}, 
      {{-0x1.66c5e6bdd9ebap-2, -0x1.61d45dbc87b5p-2, -0x1.5c136196e813bp-2, -0x1.5779816c6d3d1p-2, -0x1.556a2104e8307p-2, -0x1.56a6893514be8p-2, -0x1.5b65033481b2bp-2, -0x1.6373f88647e9p-2, -0x1.6e5ccfc9fa7e4p-2, -0x1.7b818990639bp-2, -0x1.8a33bf219add8p-2, -0x1.99c543f18640cp-2, -0x1.a99356d0ed0aap-2, -0x1.b90d7eb2d1aadp-2, -0x1.c7b923258c021p-2, -0x1.d532c9ea1225ap-2, -0x1.e12db65fbf3c3p-2, -0x1.eb727b70581c2p-2, -0x1.f3dced78d65cap-2, -0x1.fa59c2692d3a1p-2, -0x1.fee414ef33d22p-2, -0x1.00c1792d3d115p-1, -0x1.012385432b1bp-1, -0x1.00a4477913a4p-1, -0x1.fea54c6f42483p-2, -0x1.fa7f02285c855p-2, -0x1.f4f9f3a0108d6p-2, -0x1.ee3bb45d990e3p-2, -0x1.e66a2c11d9cbbp-2, -0x1.ddaac8e92112cp-2, -0x1.d421df14e77dbp-2, -0x1.c9f22db865662p-2, -0x1.bf3c8521cc619p-2, -0x1.b41f888bf3ff2p-2, -0x1.a8b787d90d0c9p-2, -0x1.9d1e6b37dbbc6p-2, -0x1.916bae037dd11p-2, -0x1.85b466293246ep-2, -0x1.7a0b542c42da9p-2, -0x1.6e80fcd8323ecp-2, -0x1.6323c4f1c8d3dp-2, -0x1.5800113bdb7f1p-2, -0x1.4d20693178f17p-2, -0x1.428d9d1c07962p-2, -0x1.384ee6c35dbc1p-2, -0x1.2e6a0ea28657bp-2, -0x1.24e38e7d9f74ap-2, -0x1.1bbeb3dcf5606p-2, -0x1.12fdbe0bfb10ep-2, -0x1.0aa1fd114e61ep-2, -0x1.02abee52981c2p-2, -0x1.f636abf9cea3ep-3, -0x1.e7deb14af5ffp-3, -0x1.da4d22b517386p-3, -0x1.cd7e4803b05f3p-3, -0x1.c16da44e2eadcp-3, -0x1.b61616ebd86d3p-3, -0x1.ab71f87498b2dp-3, -0x1.a17b363d2f4e9p-3, -0x1.982b6b326a338p-3, -0x1.8f7bf4bcdc975p-3, -0x1.876605ad4e2cdp-3, -0x1.7fe2b68db6be9p-3, -0x1.78eb15314ad83p-3, -0x1.72783042c645ep-3, -0x1.6c8322c3b715bp-3, -0x1.67051d55f7d01p-3, -0x1.61f76ce5d41b3p-3, -0x1.5d5382b350296p-3, -0x1.5912f9a602ae9p-3, -0x1.552f989af8337p-3, -0x1.51a359073fc93p-3, -0x1.4e68684363d33p-3, -0x1.4b7928ff85f4cp-3, -0x1.48d035eca2b8ep-3, -0x1.4668628d68396p-3, -0x1.443cba77f9acp-3, -0x1.4248819e6c809p-3, -0x1.408734b550ccfp-3, -0x1.3ef488de5ed76p-3, -0x1.3d8c69bc80a11p-3, -0x1.3c4af8cab62afp-3, -0x1.3b2c8d3647ff8p-3, -0x1.3a2db153da7e6p-3, -0x1.394b2125b74a3p-3, -0x1.3881c9c87c08ep-3, -0x1.37cec6162790fp-3, -0x1.372f5e957d004p-3, -0x1.36a1081bf361p-3, -0x1.3621607c322e5p-3, -0x1.35ae2d6dc48f4p-3, -0x1.35455b80f582bp-3, -0x1.34e4fc0d38cf5p-3, -0x1.348b42f4ae07fp-3, -0x1.34368578e0bb7p-3, -0x1.33e5389143e16p-3, -0x1.3395ef65bda7fp-3, -0x1.3347597d20b51p-3, -0x1.32f841b302f93p-3, -0x1.32a78c9ba158dp-3, -0x1.3254371033743p-3, -0x1.31fd54bf51c64p-3, -0x1.31a20ec608c66p-3, -0x1.3141a34dea489p-3, -0x1.30db639a3ed95p-3, -0x1.306eb26822b5ap-3, -0x1.2ffb03a1f8fa8p-3, -0x1.2f7fdb371941dp-3, -0x1.2efccbda5d8cp-3, -0x1.2e7176793955dp-3, -0x1.2ddd890961645p-3, -0x1.2d40bd5dcecdfp-3, -0x1.2c9ad86e0d571p-3, -0x1.2bebaa2e33ff4p-3, -0x1.2b330c7ac87b3p-3, -0x1.2a70e1fc2ed7cp-3, -0x1.29a515fe7c347p-3, -0x1.28cf9bd566e8bp-3, -0x1.27f06e00f0a7cp-3, -0x1.27078d7b0d808p-3, -0x1.2615013f41dfcp-3, -0x1.2518d60cebe69p-3, -0x1.24131df95b5ap-3, -0x1.2303efcc45febp-3, -0x1.21eb66adb9a56p-3, -0x1.20c9a1a649d2cp-3, -0x1.1f9ec34586e33p-3, -0x1.1e6af169e2e7p-3, -0x1.1d2e54c9f2566p-3, -0x1.1be918808ec2ep-3, -0x1.1a9b6a103b047p-3, -0x1.1945792ecec63p-3, -0x1.17e7774724917p-3, -0x1.1681976849e02p-3, -0x1.15140e0a26805p-3, -0x1.139f10ccca6a1p-3, -0x1.1222d63d79699p-3, -0x1.109f95b590f6fp-3, -0x1.0f15873574595p-3, -0x1.0d84e32c5d47bp-3, -0x1.0bede25083149p-3, -0x1.0a50bdb0347edp-3, -0x1.08adae8556fe9p-3, -0x1.0704edfa2344fp-3, -0x1.0556b52c88876p-3, -0x1.03a33d1c236ep-3, -0x1.01eabe7339c5cp-3, -0x1.002d7179fc07bp-3, -0x1.fcd71c32ec96dp-4, -0x1.f94a978cf0b59p-4, -0x1.f5b5c2cde42b7p-4, -0x1.f2190a8928035p-4, -0x1.ee74da00d3506p-4, -0x1.eac99b156b976p-4, -0x1.e717b6506a2bcp-4, -0x1.e35f92bb7f89bp-4, -0x1.dfa195ee045e4p-4, -0x1.dbde23f10c109p-4, -0x1.d8159f371b23ap-4, -0x1.d448683b737cdp-4, -0x1.d076ddb7bc5edp-4, -0x1.cca15cb13ce81p-4, -0x1.c8c84062bd268p-4, -0x1.c4ebe232a0d0dp-4, -0x1.c10c99c7a2d6dp-4, -0x1.bd2abd086307bp-4, -0x1.b9469ffd492cfp-4, -0x1.b56094b7c0d1p-4, -0x1.b178eb65a1478p-4, -0x1.ad8ff265f750bp-4, -0x1.a9a5f64fc4a65p-4, -0x1.a5bb41e82a8b1p-4, -0x1.a1d01e1f98828p-4, -0x1.9de4d22530d54p-4, -0x1.99f9a3579df86p-4, -0x1.960ed534d5defp-4, -0x1.9224a969cf32bp-4, -0x1.8e3b5fd8cf3c6p-4, -0x1.8a5336cc896bbp-4, -0x1.866c6a8187fa4p-4, -0x1.828735ed4189dp-4, -0x1.7ea3d227afe4dp-4, -0x1.7ac2768963bd8p-4, -0x1.76e35914e7e19p-4, -0x1.7306ae1ebadep-4, -0x1.6f2ca7fde003ap-4, -0x1.6b5577f614e9ep-4, -0x1.67814d2906e5dp-4, -0x1.63b055ea52233p-4, -0x1.5fe2be2fb8495p-4, -0x1.5c18b1a647585p-4, -0x1.58525989ba0cep-4, -0x1.548fddecaba0ep-4, -0x1.50d165ee4a544p-4, -0x1.4d1716543be7bp-4, -0x1.496113e1988f3p-4, -0x1.45af80e0ce08cp-4, -0x1.42027ee1cfea8p-4, -0x1.3e5a2df0adfe3p-4, -0x1.3ab6ada31de94p-4, -0x1.37181aba36ed6p-4, -0x1.337e92c55c379p-4, -0x1.2fea3079f1fa7p-4, -0x1.2c5b0e7b8c297p-4, -0x1.28d145c023efep-4, -0x1.254ceef44e047p-4, -0x1.21ce1fdca123bp-4, -0x1.1e54ef50137afp-4, -0x1.1ae17232768cep-4, -0x1.1773bc4d8097fp-4, -0x1.140be0ae7f2e7p-4, -0x1.10a9f15362a13p-4, -0x1.0d4dff0e67283p-4, -0x1.09f81aff99516p-4, -0x1.06a8531565a93p-4, -0x1.035eb7230c995p-4, -0x1.001b53f2e750dp-4, -0x1.f9bc6d280da9p-5, -0x1.f34ed614302b8p-5, -0x1.ecedf9150c9dep-5, -0x1.e699eac04d451p-5, -0x1.e052c0595a049p-5, -0x1.da1888d73dfe3p-5, -0x1.d3eb55e67ba64p-5, -0x1.cdcb3845cc41dp-5, -0x1.c7b83c9e14117p-5, -0x1.c1b26fd2f7f36p-5, -0x1.bbb9dd4106f03p-5, -0x1.b5ce8efb88fe8p-5, -0x1.aff08dd002accp-5, -0x1.aa1fe0b26a522p-5, -0x1.a45c911478aa6p-5, -0x1.9ea6a01971225p-5, -0x1.98fe15e4492e6p-5, -0x1.9362f45b81be6p-5, -0x1.8dd53de8d6da2p-5, -0x1.8854f417bbcbfp-5, -0x1.82e21759c16c8p-5, -0x1.7d7ca7387799ep-5, -0x1.7824a2574d219p-5, -0x1.72da06593a134p-5, -0x1.6d9ccf36c141fp-5, -0x1.686cfc756af0ap-5, -0x1.634a842826e0ap-5, -0x1.5e3563e95dd94p-5, -0x1.592d959acfcdep-5, -0x1.5433126ce15fep-5, -0x1.4f45d0dc47db2p-5, -0x1.4a65c9b745887p-5, -0x1.4592f3a663a57p-5, -0x1.40cd44f311f64p-5, -0x1.3c14b35467ed5p-5, -0x1.376933ea396b9p-5, -0x1.32cabaf800459p-5, -0x1.2e393cbd8d003p-5, -0x1.29b4adc44c2bfp-5, -0x1.253cfcda899f3p-5, -0x1.20d221b508699p-5, -0x1.1c740a9e12248p-5, -0x1.1822a9d13770fp-5, -0x1.13ddf052cea13p-5, -0x1.0fa5ce9cdd888p-5, -0x1.0b7a34b85f88ep-5, -0x1.075b12443b4f9p-5, -0x1.0348567ad5351p-5, -0x1.fe83e06d36fa8p-6, -0x1.f68f9be7055eap-6, -0x1.eeb3bb3c2dc8ep-6, -0x1.e6f018b531f04p-6, -0x1.df44959a0d481p-6, -0x1.d7b1028811813p-6, -0x1.d03542b7edacfp-6, -0x1.c8d1294b73ac2p-6, -0x1.c18490188084cp-6, -0x1.ba4f4f88d1df5p-6, -0x1.b3313f30ce195p-6, -0x1.ac2a362a7ab1dp-6, -0x1.a53a0b1e5a622p-6, -0x1.9e609443a5692p-6, -0x1.979da76d0cc3ep-6, -0x1.90f11a002c4d9p-6, -0x1.8a5ac11295e8dp-6, -0x1.83da7160fc8dp-6, -0x1.7d6ffeca56d6cp-6, -0x1.771b3c61c355p-6, -0x1.70dc0433422d7p-6, -0x1.6ab21f9f46791p-6, -0x1.649d6bbbcae92p-6, -0x1.5e9db5ab9101dp-6, -0x1.58b2d138c129cp-6, -0x1.52dc916fb8fa4p-6, -0x1.4d1ac8c2628ep-6, -0x1.476d4991d622dp-6, -0x1.41d3e5772608ep-6, -0x1.3c4e6f657ff61p-6, -0x1.36dcb83c71a8dp-6, -0x1.317e924d8a213p-6, -0x1.2c33cf1f8617p-6, -0x1.26fc403d9857dp-6, -0x1.21d7b72b4ebcbp-6, -0x1.1cc6055b437adp-6, -0x1.17c6fb9ffd8a7p-6, -0x1.12da6a6ffb06dp-6, -0x1.0e002a03674bep-6, -0x1.093800d5ef4fep-6, -0x1.0481c9c31a36fp-6, -0x1.ffbaa2e7e313p-7, -0x1.f694d39b3b525p-7, -0x1.ed91c9ca6a54cp-7, -0x1.e4b128946936bp-7, -0x1.dbf29341f7b8ap-7, -0x1.d355ad50fab31p-7, -0x1.cada1a46d3d6ap-7, -0x1.c27f7dc365c83p-7, -0x1.ba457bc576771p-7, -0x1.b22bb8b82fa03p-7, -0x1.aa31d92bbc0aep-7, -0x1.a25781e9397d5p-7, -0x1.9a9c582be29f6p-7, -0x1.930001653d54cp-7, -0x1.8b8223284631fp-7, -0x1.842262a2aee9dp-7, -0x1.7ce0613766ed4p-7, -0x1.75bbde242e633p-7, -0x1.6eb45ea9d3326p-7, -0x1.67c9980c27a71p-7, -0x1.60fb3b9498e4ap-7, -0x1.5a48e7b1ee637p-7, -0x1.53b247709ffbbp-7, -0x1.4d370445377dcp-7, -0x1.46d6c7e16f833p-7, -0x1.40913c1b57247p-7, -0x1.3a660af1a407ap-7, -0x1.3454e06889015p-7, -0x1.2e5d67e188746p-7, -0x1.287f4dd8e81b5p-7, -0x1.22ba3f5199decp-7, -0x1.1d0de9f451d62p-7, -0x1.1779fb44fa15dp-7, -0x1.11fe2109cf8c4p-7, -0x1.0c9a0a1411ce5p-7, -0x1.074d660cb1cf3p-7, -0x1.0217e4e833f8ep-7, -0x1.f9f26de9ed67bp-8, -0x1.efe217989b2abp-8, -0x1.e5fe303f2fb5p-8, -0x1.dc4629f844dcbp-8, -0x1.d2b9450a442bep-8, -0x1.c9571119a0ed9p-8, -0x1.c01ee2a48f077p-8, -0x1.b7102403a0906p-8, -0x1.ae2a426440ep-8, -0x1.a56ca9335777fp-8, -0x1.9cd6c5de0067fp-8, -0x1.946808536757fp-8, -0x1.8c1fe0d537491p-8, -0x1.83fdbf9a191bdp-8, -0x1.7c0116ff7ab3p-8, -0x1.74295beaac826p-8, -0x1.6c760431cbfb5p-8, -0x1.64e68681f74d6p-8, -0x1.5d7a5ab05dfc7p-8, -0x1.5630f9358387fp-8, -0x1.4f09dc0eabb29p-8, -0x1.48047fce2a025p-8, -0x1.4120628565d77p-8, -0x1.3a5d01c4f89f5p-8, -0x1.33b9dcef164c1p-8, -0x1.2d36759c825d5p-8, -0x1.26d24d2211ac4p-8, -0x1.208cde606b8a8p-8, -0x1.1a65e0bd7f82bp-8, -0x1.145c933791c23p-8, -0x1.0e7098a9703a9p-8, -0x1.08a18fba3a037p-8, -0x1.02eeec0d94a75p-8, -0x1.fab07f8095982p-9, -0x1.efba3291d25d3p-9, -0x1.e4fa0bb8f4e58p-9, -0x1.da6f287cade84p-9, -0x1.d018ace4263ffp-9, -0x1.c5f5bfc74c522p-9, -0x1.bc05887c5eecfp-9, -0x1.b247306eda9a7p-9, -0x1.a8b9e465f90f1p-9, -0x1.9f5cd48404565p-9, -0x1.962f329d96399p-9, -0x1.8d30304f15c26p-9, -0x1.845f02c54cba8p-9, -0x1.7bbae6d7015f6p-9, -0x1.73431b44e2bc9p-9, -0x1.6af6dc4155fd3p-9, -0x1.62d567bff726bp-9, -0x1.5ade0276ccb06p-9, -0x1.530ff513c7809p-9, -0x1.4b6a884225306p-9, -0x1.43ed05ccda979p-9, -0x1.3c96b64f7e3b5p-9, -0x1.3566d6d3e2abp-9, -0x1.2e5d2563515fbp-9, -0x1.27785c758f5fp-9, -0x1.20b805eb09cf9p-9, -0x1.1a1bb5c2ec52ep-9, -0x1.13a291acee427p-9, -0x1.0d4c057cce9afp-9, -0x1.07177376e4123p-9, -0x1.01043a67446e1p-9, -0x1.f6237979c1f86p-10, -0x1.ea7ec72c3e54fp-10, -0x1.df19346d93222p-10, -0x1.d3f1973b37cd9p-10, -0x1.c906c8a043d35p-10, -0x1.be57a706530efp-10, -0x1.b3e3160ddb3d5p-10, -0x1.a9a7fe442b987p-10, -0x1.9fa54d50d5c23p-10, -0x1.95d9f571420bep-10, -0x1.8c44ea4bde859p-10, -0x1.82e51f3dc09d6p-10, -0x1.79b98f46d25e8p-10, -0x1.70c1422cfa8a9p-10, -0x1.67fb41a2639dp-10, -0x1.5f66906e8e834p-10, -0x1.570235361b0e5p-10, -0x1.4ecd46e0f2ae5p-10, -0x1.46c6e152628a5p-10, -0x1.3eee19954fd78p-10, -0x1.3741ffc57bb62p-10, -0x1.2fc1a154feec2p-10, -0x1.286c0c2b289b3p-10, -0x1.214129be04247p-10, -0x1.1a3f124192c38p-10, -0x1.136565c4c908ap-10, -0x1.0cb3944210207p-10, -0x1.0628847cf8bbdp-10, -0x1.ff87088858a9bp-11, -0x1.f307a3b37509fp-11, -0x1.e6d15ab35d2fap-11, -0x1.dae2bbcd366edp-11, -0x1.cf3a52884a7f6p-11, -0x1.c3d69e73be8d7p-11, -0x1.b8b6274508bcdp-11, -0x1.add790fcade81p-11, -0x1.a3398f1dbdbfp-11, -0x1.98dad213f379bp-11, -0x1.8eba09869e459p-11, -0x1.84d5eb13c914cp-11, -0x1.7b2d32bb204a2p-11, -0x1.71be9fdfd2e9fp-11, -0x1.6888f59ffbdcbp-11, -0x1.5f8afb4036926p-11, -0x1.56c37bd20e82p-11, -0x1.4e314a7e1f418p-11, -0x1.45d340f183c06p-11, -0x1.3da842724dc9ap-11, -0x1.35af344e000adp-11, -0x1.2de6fd84eb42dp-11, -0x1.264e9a06af4f9p-11, -0x1.1ee51a0f8e2aep-11, -0x1.17a986e98b33ap-11, -0x1.109ad8deaa0cap-11, -0x1.09b80a5d85ebep-11, -0x1.030009a404626p-11, -0x1.f8e44867266cdp-12, -0x1.ec1bb69c66c79p-12, -0x1.dfa1c6647cbc3p-12, -0x1.d376f8fa5dd0fp-12, -0x1.c798f12734cffp-12, -0x1.bc06a14adba36p-12, -0x1.b0ba117a27512p-12, -0x1.a5b90d718b61cp-12, -0x1.9afc799e33e45p-12, -0x1.908409116f5d4p-12, -0x1.864edc143c2f8p-12, -0x1.7c5b28b07f83fp-12, -0x1.72a77d876696bp-12, -0x1.69326646c47bbp-12, -0x1.5ffa5d2f0a82cp-12, -0x1.56fddde5c00c5p-12, -0x1.4e3b914e5f106p-12, -0x1.45b234db95421p-12, -0x1.3d606ac868576p-12, -0x1.3544c20268a0ep-12, -0x1.2d5de8b2d16b2p-12, -0x1.25aabc06f5ed5p-12, -0x1.1e2a20db7f5dep-12, -0x1.16daee6abc1ecp-12, -0x1.0fbbfbb3c4ce3p-12, -0x1.08cc29cbe064cp-12, -0x1.020a61c90e67bp-12, -0x1.f6eb201b1b4fbp-13, -0x1.ea19430450154p-13, -0x1.dd9d067e1cd08p-13, -0x1.d1744a1b6a29cp-13, -0x1.c59cfa66acd0fp-13, -0x1.ba1512ffc476fp-13, -0x1.aedaa1716dd77p-13, -0x1.a3ebc2c5034f4p-13, -0x1.994688cb01331p-13, -0x1.8ee824ee8e41dp-13, -0x1.84d41e98e6c8fp-13, -0x1.7b00fe4302f24p-13, -0x1.716de7023819cp-13, -0x1.681f06c2fded4p-13, -0x1.5f0f0b33218a5p-13, -0x1.563ceabee4854p-13, -0x1.4da72a11fd8b1p-13, -0x1.454c1a97fdb41p-13, -0x1.3d2a004932f3ep-13, -0x1.353f94d57d095p-13, -0x1.2d8c0b4bf1705p-13, -0x1.260e2c65b2057p-13, -0x1.1ec4151fcb545p-13, -0x1.17ac162bb92ebp-13, -0x1.10c5496ea8f42p-13, -0x1.0a0ece4076305p-13, -0x1.03875477bf255p-13, -0x1.fa5b4244cb33bp-14, -0x1.ee0035f32d483p-14, -0x1.e1fb2fc07eadp-14, -0x1.d649f6bc444d1p-14, -0x1.caea89a8a9693p-14, -0x1.bfda8c1b466c9p-14, -0x1.b517cc4fac576p-14, -0x1.aaa008ed11e2dp-14, -0x1.a07179c63dac6p-14, -0x1.968a191849a49p-14, -0x1.8ce7d319e0043p-14, -0x1.8388e65ef7ba3p-14, -0x1.7a6c06c6fe85bp-14, -0x1.718fbea59e545p-14, -0x1.68f1ff0c3129cp-14, -0x1.6090a5d9b83a7p-14, -0x1.586a11147ddb5p-14, -0x1.507d0f242fa6dp-14, -0x1.48c8509652e54p-14, -0x1.414a40f2f3ab8p-14, -0x1.3a0128cc9662ep-14, -0x1.32ea536a7f8bfp-14, -0x1.2c0733201800cp-14, -0x1.2557026d0be31p-14, -0x1.1ecf36a1d196dp-14, -0x1.18793efc6b0d6p-14, -0x1.124fc8b77de9p-14, -0x1.0c515697e867p-14, -0x1.067d384ba0154p-14, -0x1.00d24a59b2373p-14, -0x1.f69ea2c5986cap-15, -0x1.ebe619f0c3ec7p-15, -0x1.e1788dabf297dp-15, -0x1.d753d00ef9167p-15, -0x1.cd75ef1718978p-15, -0x1.c3dd03a7a4f13p-15, -0x1.ba8702c370ce6p-15, -0x1.b171981a38672p-15, -0x1.a89a4f8c0a78cp-15, -0x1.9fff537cd7c52p-15, -0x1.979fa48339892p-15, -0x1.8f7a013399245p-15, -0x1.878c04290ed1bp-15, -0x1.7fd2e0226511bp-15, -0x1.784cd43fb341dp-15, -0x1.70f94f0af2ae1p-15, -0x1.69d7c77d97374p-15, -0x1.62e724a23932fp-15, -0x1.5c25f042557c2p-15, -0x1.55928aa63b043p-15, -0x1.4f2b2a62dc092p-15, -0x1.48f148f3eb824p-15, -0x1.42dc4596f2c12p-15, -0x1.3cf4fbb4529b9p-15, -0x1.372d7e6ff1c92p-15, -0x1.318fb3a58de15p-15, -0x1.2c164199001dep-15, -0x1.26c02c9f20ce1p-15, -0x1.218c438ced1d8p-15, -0x1.1c793946ebea6p-15, -0x1.1785da954ddfep-15, -0x1.12b181345f03cp-15, -0x1.0dfbe14175b5p-15, -0x1.0960753983eeap-15, -0x1.04ea384d40376p-15, -0x1.0086cf8fe56f8p-15, -0x1.f86bc8e791313p-16, -0x1.f0146f8d33104p-16, -0x1.e7e6606a34447p-16, -0x1.dfe61905f121fp-16, -0x1.d817afc818ef5p-16, -0x1.d079988162229p-16, -0x1.c908410cafc1p-16, -0x1.c1bfecfb5c4dbp-16, -0x1.ba9e68e29ac32p-16, -0x1.b3a39da7b9c63p-16, -0x1.accfc8d45ad9dp-16, -0x1.a62222f7b8863p-16, -0x1.9f996284d5a43p-16, -0x1.99342b421baabp-16, -0x1.92f0bb24fcdbcp-16, -0x1.8cce265d77023p-16, -0x1.86cb433cdf3d8p-16, -0x1.80e6ac8557e8cp-16, -0x1.7b1f38e536b03p-16, -0x1.7573edea6fac7p-16, -0x1.6fe3ec06ba5dp-16, -0x1.6a6e63fa65cd1p-16, -0x1.65128ae72cf82p-16, -0x1.5fcf80f790131p-16, -0x1.5aa448e352392p-16, -0x1.558ff5c6e5de1p-16, -0x1.5091e771442ep-16, -0x1.4ba9bee925a7dp-16, -0x1.46d70efcbec3fp-16, -0x1.42193030368aep-16, -0x1.3d6f61bf5dc31p-16, -0x1.38d90827454dep-16, -0x1.345590778e9c7p-16, -0x1.2fe41d519d9e6p-16, -0x1.2b837368373dap-16, -0x1.2732968697307p-16, -0x1.22f1c85f1296fp-16, -0x1.1ec1f7b2509c9p-16, -0x1.1aa2e1efb7217p-16, -0x1.169286b7fe75p-16, -0x1.128e42b6c4b6p-16, -0x1.0e913e10f442ap-16, -0x1.0abba150f5a03p-16, -0x1.06df7febc99e1p-16, -0x1.0303566ab65e3p-16, -0x1.fe8d70d8243bap-17, -0x1.f7252946e5e81p-17, -0x1.efd1fcb54bcd4p-17, -0x1.e894ac3eb94e9p-17, -0x1.e16c8b40fc94dp-17, -0x1.da593602f0b22p-17, -0x1.d35aacd98e65ap-17, -0x1.cc7094eb0c11ep-17, -0x1.c599fdc6f46e1p-17, -0x1.bed5e5977cbcp-17, -0x1.b823a9f110b11p-17, -0x1.b1830231a7858p-17, -0x1.aaf3ae07c60ebp-17, -0x1.a475268377ec7p-17, -0x1.9e0699d947ec1p-17, -0x1.97a72cebd055cp-17, -0x1.91563382292f6p-17, -0x1.8b13bc39b0034p-17, -0x1.84e2006825807p-17, -0x1.7e9ea6b8c160cp-17, -0x1.78c970806539p-17, -0x1.72b03f3e3192p-17, -0x1.6cbd474972f43p-17, -0x1.66d7bc6f06719p-17, -0x1.60f3623502e21p-17, -0x1.5b1c6ff082b5cp-17, -0x1.555918b46996p-17, -0x1.4fa6c245685acp-17, -0x1.49fd428fe2abap-17, -0x1.4461fbdde412ap-17, -0x1.3ec92a489531ep-17, -0x1.393bde86f2f57p-17, -0x1.33bb63a1ff54bp-17, -0x1.2e475cf6c6e9dp-17, -0x1.28de8817e3394p-17, -0x1.2380d1df6673dp-17, -0x1.1e2d90971fec9p-17, -0x1.18e480c1726dp-17, -0x1.13a585a0f37eap-17, -0x1.0e709c21b97eep-17, -0x1.094573f89ded3p-17, -0x1.042213fcd615cp-17, -0x1.fdf3d94be303fp-18, -0x1.f42fca076dafbp-18, -0x1.e9fdfc620bba9p-18, -0x1.dff0b9d44e193p-18, -0x1.d614917565517p-18, -0x1.cc440ec1e402cp-18, -0x1.c2859861dfb15p-18, -0x1.b8d8eb2770ff1p-18, -0x1.af3d7ee486efap-18, -0x1.a5b2fbd0fa272p-18, -0x1.9c3865222ec98p-18, -0x1.92d09b253a7ecp-18, -0x1.8981a5a4a3cfp-18, -0x1.8039d6ac02a6dp-18, -0x1.7709ebe050307p-18, -0x1.6decfd66052bdp-18, -0x1.64e09c793787cp-18, -0x1.5be5094b1e53cp-18, -0x1.52f8b15075a25p-18, -0x1.4a1c80af004bp-18, -0x1.414c0d985eb4dp-18, -0x1.3890346aa2d67p-18, -0x1.2feab00edff6fp-18, -0x1.2755626452826p-18, -0x1.1ecb2107da131p-18, -0x1.164c508ec4bbdp-18, -0x1.0dde53e88d71ep-18, -0x1.05851a6eab3b9p-18, -0x1.fa7f46c102b2ap-19, -0x1.ea15af69f0d33p-19, -0x1.d9ca87929dbffp-19, -0x1.c99dfd0181be9p-19, -0x1.b9921d00e37aep-19, -0x1.a9a8538fe6c9dp-19, -0x1.99dfbd5b798ccp-19, -0x1.8a39c24303bcbp-19, -0x1.7ab94e8f0392ap-19, -0x1.6b437496aa56fp-19, -0x1.5bf44852fcb22p-19, -0x1.4cd439cba6f1bp-19, -0x1.3def1f643dbcbp-19, -0x1.2f07fc028a1e8p-19, -0x1.20353ee8bad4p-19, -0x1.11a3586f654c8p-19, -0x1.034ddb6883548p-19, -0x1.ea79eb4a2f9cap-20, -0x1.cc9b49c7300aap-20, -0x1.b0053a8f26c87p-20, -0x1.954dbc4e4c39ep-20, -0x1.78f8c0fc2aaf7p-20, -0x1.5d2c27f5154e6p-20, -0x1.420951c00448fp-20, -0x1.270fa145ccfcp-20, -0x1.0c55cd8e1466dp-20, -0x1.e3bef14243598p-21, -0x1.af5768ce62574p-21, -0x1.7b69d5f92d3b4p-21, -0x1.47e6eb1bed436p-21, -0x1.14d0ae2c55f85p-21, -0x1.c487550d3792dp-22, -0x1.60affca7a89a7p-22, -0x1.fc009ac08b222p-23, -0x1.3855d8eb66834p-23, -0x1.d843579a35984p-25, 0x1.2a3a3ef773e39p-25, 0x1.09216e543e4c6p-23, 0x1.c5694a64f879cp-23, 0x1.3fb4b1fe27845p-22, 0x1.9bae799cde06bp-22, 0x1.f6cec418c20bep-22, 0x1.284eac22e2c7ap-21, 0x1.5504f87e9033fp-21, 0x1.80f3c7cc8cbf6p-21, 0x1.ac7fff04c96d6p-21, 0x1.d78f25a8cdabap-21, 0x1.011014ea7ab18p-20, 0x1.16185d0f501c1p-20, 0x1.2aeab7e4d7b35p-20, 0x1.3f7e83ee98a23p-20, 0x1.53c7b787829e3p-20, 0x1.67e126407b626p-20, 0x1.7bbabb667f7dfp-20, 0x1.8f524c0b3f00bp-20, 0x1.a2a8fe21dab32p-20, 0x1.b5c36f407f202p-20, 0x1.c8a4c4db0b963p-20, 0x1.db4dc2d98946cp-20, 0x1.edbd7f1faeb5dp-20, 0x1.ffee4c0555f48p-20, 0x1.08f00dd2dc21ep-19, 0x1.11caf20493d54p-19, 0x1.1a829488c92ddp-19, 0x1.2323f7b642e29p-19, 0x1.2ba289a49e2c4p-19, 0x1.3404739466165p-19, 0x1.3c75a5e3a6b02p-19, 0x1.441ac2bc70216p-19, 0x1.4c88cf7eb958ap-19, 0x1.547adc6dc1c7ap-19, 0x1.5c3567236fc5ap-19, 0x1.63fbc1d4bc646p-19, 0x1.6b7866730f10fp-19, 0x1.72fb6346c1e6ap-19, 0x1.7a81eab48a3abp-19, 0x1.8234dd2830f8p-19, 0x1.88f79520e19c2p-19, 0x1.900599345d06bp-19, 0x1.96f436dc3ce2bp-19, 0x1.9dca01646f82bp-19, 0x1.a48491fd3d7ccp-19, 0x1.ab22acdf8e64fp-19, 0x1.b1a55b8e5aeb8p-19, 0x1.b80e2bdb6a64ap-19, 0x1.be5d6a215371fp-19, 0x1.c492a0e2be8c8p-19, 0x1.caad6db3a6f03p-19, 0x1.d0adc9c775b5bp-19, 0x1.d693d5f4d33fdp-19, 0x1.dc5fc5b89c76ep-19, 0x1.e211ccb33dbb3p-19, 0x1.e7aa1bbb2be5dp-19, 0x1.ed28d3bb0e52p-19, 0x1.f28dea45a7606p-19, 0x1.f7da3a1392b03p-19, 0x1.fd0dbc1138648p-19, 0x1.01140ceab3dd2p-18, 0x1.0394d49c8e2a7p-18, 0x1.06094690fa1a6p-18, 0x1.087170662660ap-18, 0x1.0acd72b6ecdd6p-18, 0x1.0d1dae52d4858p-18, 0x1.0f65fc3e54f4dp-18, 0x1.1199682d5452bp-18, 0x1.13ca433c4346fp-18, 0x1.15e89959f8c21p-18, 0x1.17fd97839428ep-18, 0x1.1a0597a9f75f9p-18, 0x1.1c00d0e9d5ecdp-18, 0x1.1df1eb7c3b354p-18, 0x1.1fdade23a2acep-18, 0x1.21baec0df07fcp-18, 0x1.238eac9a1ba92p-18, 0x1.25549821db27fp-18, 0x1.27192bea1bc27p-18, 0x1.28a75c541eac3p-18, 0x1.2a4f908e1c6ep-18, 0x1.2c10600e95ce9p-18, 0x1.2da05cd71bba5p-18, 0x1.2f29f88b9c0c2p-18, 0x1.30a934efb30a5p-18, 0x1.32214231afdd3p-18, 0x1.338ff38ba333p-18, 0x1.34ed5f5e0b61fp-18, 0x1.3634d0761cep-18, 0x1.3784eaaed40d4p-18, 0x1.38c301b577bdcp-18, 0x1.39fce81ba9c25p-18, 0x1.3b0649a7f3abdp-18, 0x1.3c59d9cf74411p-18, 0x1.3d747880b4455p-18, 0x1.3e8596a2e963dp-18, 0x1.3f8997fe0de04p-18, 0x1.408eb0c8df3a3p-18, 0x1.4186ad393575cp-18, 0x1.4276014aefa19p-18, 0x1.435ac901065b3p-18, 0x1.4439f480647d8p-18, 0x1.450e6b8e4f022p-18, 0x1.45dadf06ad228p-18, 0x1.469ee7d66eb79p-18, 0x1.475846841ab09p-18, 0x1.480a9913339f5p-18, 0x1.48b7ad1c78c19p-18, 0x1.495a261ce254fp-18, 0x1.49f601960a145p-18, 0x1.4a88caafe667cp-18, 0x1.4b13c06bb8439p-18, 0x1.4b96a68482c77p-18, 0x1.4c11462401d43p-18, 0x1.4c83a4b2ba4eap-18, 0x1.4cee37bf50b05p-18, 0x1.4d5241c6bc19p-18, 0x1.4db1649a060f7p-18, 0x1.4e0b27d3e7679p-18, 0x1.4e5c7a4127276p-18, 0x1.4ea376c587cbcp-18, 0x1.4ee215ab3136cp-18, 0x1.4f1c3493fd62bp-18, 0x1.4f52a769e0fdfp-18, 0x1.4f84016e02a39p-18, 0x1.4faeccedc11e7p-18, 0x1.4fd57f2ba931fp-18, 0x1.4ff7c5bf53604p-18, 0x1.4fe1ae11e7251p-18, 0x1.5018daf4da0aap-18, 0x1.501a2e0ec3abbp-18, 0x1.50181b2bd68bcp-18, 0x1.5013594d3551p-18, 0x1.500882eea2293p-18, 0x1.4ff8538bb0946p-18, 0x1.4fe3e6b8a2b48p-18, 0x1.4fcb686c94c07p-18, 0x1.4fabfa9341a48p-18, 0x1.4f7af2bec615p-18, 0x1.4f521bcf63b77p-18, 0x1.4f2c62b854f9ep-18, 0x1.4ee55eacdd38ep-18, 0x1.4eb219211a169p-18, 0x1.4e724fd32487dp-18, 0x1.4e2556f3227bep-18, 0x1.4dd72220d6a24p-18, 0x1.4d89af62a9733p-18, 0x1.4d34e65d9ce13p-18, 0x1.4cdb18fcf4cf7p-18, 0x1.4c7a4c51421bp-18, 0x1.4c15fa696c9afp-18, 0x1.4baedcc727e2ap-18, 0x1.4b41d98121917p-18, 0x1.4ad2ea06aa26p-18, 0x1.4a5e45575adf8p-18, 0x1.49e317bc5009ap-18, 0x1.496443b9f7293p-18, 0x1.48e0fa71cf553p-18, 0x1.4858a29ff2579p-18, 0x1.47cbd91d9bd4p-18, 0x1.473c0588cf0e1p-18, 0x1.46aaa115bde8ep-18, 0x1.4616bcfc4278fp-18, 0x1.457e633402abep-18, 0x1.44de5a1236ed7p-18, 0x1.443bc3d14598ep-18, 0x1.4397f6a4a1a7bp-18, 0x1.42f25534e4a79p-18, 0x1.4249d95668c25p-18, 0x1.419d3a6ec5a2bp-18, 0x1.40ec903d89346p-18, 0x1.40382b3b12bep-18, 0x1.3f808f0eb2df4p-18, 0x1.3ec59379b734p-18, 0x1.3e0b0bf1921fap-18, 0x1.3d447a6058f5fp-18, 0x1.3c6857769ee87p-18, 0x1.3bc159491b8a6p-18, 0x1.3aefe28a70c4dp-18, 0x1.3a21e7eac287ep-18, 0x1.395226fa8daaep-18, 0x1.3881df56f8f3cp-18, 0x1.37b536cd6933ap-18, 0x1.36d95db36d06p-18, 0x1.35fbcfa51c66dp-18, 0x1.351cba5990663p-18, 0x1.343b3ce397085p-18, 0x1.335859da2e399p-18, 0x1.327c8ab16195p-18, 0x1.3194fd206e964p-18, 0x1.30aa30b2d4f5p-18, 0x1.2fbcb2c5f99f4p-18, 0x1.2ed6cb674caddp-18, 0x1.2de8724c5eef4p-18, 0x1.2cf4b153380c4p-18, 0x1.2c0109f15bdccp-18, 0x1.2b0c1c7d05df6p-18, 0x1.2a17bd96746f8p-18, 0x1.29222249efdd7p-18, 0x1.28262f39b64bcp-18, 0x1.272b9e7bececap-18, 0x1.262d4e79a9e2cp-18, 0x1.252caade3cd1cp-18, 0x1.242b1a436e03cp-18, 0x1.2327b8acb1c33p-18, 0x1.22225dd6a453bp-18, 0x1.211cdd17ffae8p-18, 0x1.201794905c94fp-18, 0x1.1f0fe32893725p-18, 0x1.1e05dc8756d96p-18, 0x1.1cfaac7f6297dp-18, 0x1.1bf04b71bd18dp-18, 0x1.1ae5c7d116371p-18, 0x1.19d9df233ab7bp-18, 0x1.18cc3d66cb2d1p-18, 0x1.17bcfb0e2b28bp-18, 0x1.16ab89513ad87p-18, 0x1.159a5fd501d4ep-18, 0x1.148926629d97p-18, 0x1.136b666de687ap-18, 0x1.125ef8b184864p-18, 0x1.114b63c585c1cp-18, 0x1.1031a3ec13bc7p-18, 0x1.0f0974495f06bp-18, 0x1.0e0c0c7aa416dp-18, 0x1.0cee0c0c4258p-18, 0x1.0bced63bca2c6p-18, 0x1.0ab2578265bc7p-18, 0x1.0995b945b0f8fp-18, 0x1.087d46d4d05ecp-18, 0x1.0766e5a2ab965p-18, 0x1.0648ae89aaf88p-18, 0x1.052a51295f39p-18, 0x1.040c106f677c3p-18, 0x1.02eab174b9b53p-18, 0x1.01cb9d63f21ddp-18, 0x1.00ad2eed8026cp-18, 0x1.ff1d1090aae13p-19, 0x1.fcdf28f67820dp-19, 0x1.fa9d8ae8af8d3p-19, 0x1.f85f58f28abffp-19, 0x1.f61a629876016p-19, 0x1.f3d835031d385p-19, 0x1.f1984eb21cf2p-19, 0x1.ef56677b67488p-19, 0x1.ed11d3fd53d9fp-19, 0x1.eacc130b6f671p-19, 0x1.e8854bce290e3p-19, 0x1.e63f4b69c49ap-19, 0x1.e3f5c4c3e9a4p-19, 0x1.e18c7658e7bbep-19, 0x1.df71fb1f1945ep-19, 0x1.dd2bfe214ca6dp-19, 0x1.dae557dd83628p-19, 0x1.d89e680ef5d01p-19, 0x1.d65a97d5a997dp-19, 0x1.d417dc606913ep-19, 0x1.d1d6203c4c646p-19, 0x1.cf961337a037ep-19, 0x1.cd574bf9b1be8p-19, 0x1.cb158de9b13e2p-19, 0x1.c8d8063078ecdp-19, 0x1.c69a5e535310ap-19, 0x1.c45c06d90b8b3p-19, 0x1.c2127318209d5p-19, 0x1.bfd7f0af7f815p-19, 0x1.bd9a9a9471c35p-19, 0x1.bb67934289019p-19, 0x1.b8fe555656d4ap-19, 0x1.b6e4e8c75e9c6p-19, 0x1.b4a8a8a8e4b6cp-19, 0x1.b266ee9fe4cd8p-19, 0x1.b02ab7b1d5a76p-19, 0x1.adf207f3caaffp-19, 0x1.abb61012a235fp-19, 0x1.a9808875ded3cp-19, 0x1.a7495aa34ca2fp-19, 0x1.a51514f6accf4p-19, 0x1.a2dc4f52c2304p-19, 0x1.a0a807e499322p-19, 0x1.9e74f19306a86p-19, 0x1.9c476811ccd34p-19, 0x1.9a13fdd9fae7ap-19, 0x1.97dd823adb0cp-19, 0x1.95b086f4a646ap-19, 0x1.9382aa4804e45p-19, 0x1.91564a3bd1d69p-19, 0x1.8f2b6d108d3dbp-19, 0x1.8cff6fe104fabp-19, 0x1.8ada5f65e8cdcp-19, 0x1.88af2e33c3e87p-19, 0x1.86860d0312a58p-19, 0x1.845dfb89fb198p-19, 0x1.823691a68694ap-19, 0x1.800961ca80785p-19, 0x1.7df2075ef240dp-19, 0x1.7bce81018c70fp-19, 0x1.79b6784cb80e2p-19, 0x1.778b1c9233a64p-19, 0x1.7574349f77255p-19, 0x1.73614935e32b3p-19, 0x1.71463bc9267eep-19, 0x1.6f3552f67d27bp-19, 0x1.6d1f1024e0d62p-19, 0x1.6b0f4a377ababp-19, 0x1.6902cd38ae95ap-19, 0x1.66f086a71a3abp-19, 0x1.64e3f62a1f7b6p-19, 0x1.62d7c1af999cdp-19, 0x1.60cc893b11115p-19, 0x1.5ec29e4dd9cd1p-19, 0x1.5cc0368a1aabdp-19, 0x1.5a958bf59a7e3p-19, 0x1.58b67aeb33d49p-19, 0x1.56b23c1b35a83p-19, 0x1.54abad6ef6c23p-19, 0x1.52aecc4690c4fp-19, 0x1.50ada0070490ap-19, 0x1.4eade2d7d0a22p-19, 0x1.4cb46c16b71b7p-19, 0x1.4abed55175ffep-19, 0x1.48c88c3457759p-19, 0x1.46d4f4d47c55fp-19, 0x1.44e2e91e12c9dp-19, 0x1.42eea3604bed4p-19, 0x1.4103abae6a3f1p-19, 0x1.3f1318645ee1ep-19, 0x1.3d259b338bfe7p-19, 0x1.3b3760deb1ec6p-19, 0x1.3952d9e893854p-19, 0x1.376f05935ca19p-19, 0x1.358b900e3a522p-19, 0x1.33a7dcc99cba7p-19, 0x1.31c591c531b2ap-19, 0x1.2fe795394da1ap-19, 0x1.2e0a47fa25458p-19, 0x1.2c2dfbbab2f48p-19, 0x1.2a53120b9f862p-19, 0x1.287aa08422989p-19, 0x1.26a585b0a5654p-19, 0x1.24d1c874e5f22p-19, 0x1.22ff60744b6e8p-19, 0x1.2130075f8b5c4p-19, 0x1.1f6350febf5dcp-19, 0x1.1d9b537799348p-19, 0x1.1bd254ddecabcp-19, 0x1.1a0a659847e8ep-19, 0x1.18467c4650d7p-19, 0x1.16865234fd6fap-19, 0x1.14c5105a8ebd7p-19, 0x1.1308216f5aef4p-19, 0x1.114e139f72c15p-19, 0x1.0f8e7f162524ap-19, 0x1.0ddde9cb5aa68p-19, 0x1.0c0b2d2dad544p-19, 0x1.0a769969091fep-19, 0x1.08bc289179847p-19, 0x1.0708e2a26d4c6p-19, 0x1.055852a1368d4p-19, 0x1.03aca85a6e564p-19, 0x1.0200dc38ae4c2p-19, 0x1.0056a941488bdp-19, 0x1.fd600cbbbdc3ep-20, 0x1.fa1ada798b124p-20, 0x1.f6d253f68d252p-20, }}, 
      {{-0x1.d215c660dd2d9p-7, -0x1.a4dd2a747a14dp-5, -0x1.9c44ac5bcad0ep-4, -0x1.374b245afe24ep-3, -0x1.95a5444312e67p-3, -0x1.e00729336869fp-3, -0x1.091afe8197207p-2, -0x1.15ce4c7ac4228p-2, -0x1.170893c21a5bdp-2, -0x1.0e688bd50b28cp-2, -0x1.fbbe95bcb90a2p-3, -0x1.ceda7308578p-3, -0x1.99ef4849a2828p-3, -0x1.60610f26d1e6p-3, -0x1.2515c07df266p-3, -0x1.d4def94f0a10fp-4, -0x1.649e69a00abb6p-4, -0x1.f87c2b0504fb8p-5, -0x1.3b7b53816e4e7p-5, -0x1.2991a77604d7ap-6, -0x1.6ec2519db5c4ap-11, 0x1.c561ca292b9ffp-7, 0x1.a1d212b49a8a3p-6, 0x1.1a0d1af6ad3eap-5, 0x1.4e50c9d0d0faep-5, 0x1.6f915159364c3p-5, 0x1.7fde7a90445b4p-5, 0x1.81611272499f1p-5, 0x1.764623d151a47p-5, 0x1.60ae8fb34e1b2p-5, 0x1.42a32f0f217a7p-5, 0x1.1e0b20c5abbf3p-5, 0x1.e94d6a7b5ea32p-6, 0x1.9015c33b70503p-6, 0x1.33412352b250fp-6, 0x1.aa919a2c3cb55p-7, 0x1.e13a18cf1aa62p-8, 0x1.e2188b68018a7p-10, -0x1.bde5301e57503p-9, -0x1.102695ee77089p-7, -0x1.a3d4004230d3ap-7, -0x1.1484d663246e8p-6, -0x1.4f5cf225d41e5p-6, -0x1.821953ef0ccbap-6, -0x1.ac8b3e910bd86p-6, -0x1.cea6082e5e66ap-6, -0x1.e87a7402ecca6p-6, -0x1.fa32fa3777183p-6, -0x1.02074b2150eaap-5, -0x1.032e2a4d0da3bp-5, -0x1.00bc599dea1f9p-5, -0x1.f5c9726d9ed98p-6, -0x1.e3bd0b0d09b1ap-6, -0x1.cbc3c61e7975ep-6, -0x1.ae54058630cbdp-6, -0x1.8be30ca2b9cebp-6, -0x1.64e68664abf6ep-6, -0x1.39d25a4843ba9p-6, -0x1.0b17e51dce28ap-6, -0x1.b24a59129625cp-7, -0x1.48c8562902e52p-7, -0x1.b4e9d4991b134p-8, -0x1.a04571be5e82fp-9, 0x1.b556a3340dc92p-12, 0x1.0c2516b76a927p-8, 0x1.00830905c1d7p-7, 0x1.7c65496b4214ap-7, 0x1.f92b98f0f0d41p-7, 0x1.3b2960b7248f6p-6, 0x1.79b102ea88ff1p-6, 0x1.b7f509b4390d6p-6, 0x1.f5c2821b5a5d9p-6, 0x1.197597426f845p-5, 0x1.37a26f13e5fa1p-5, 0x1.5554df5f0ea93p-5, 0x1.727be5ff526cbp-5, 0x1.8f0862578b076p-5, 0x1.aaecf404bbaacp-5, 0x1.c61dd133c6dd7p-5, 0x1.e090de3f985bdp-5, 0x1.fa3d2b8ec62a7p-5, 0x1.098daceedc121p-4, 0x1.1592b91b06ff6p-4, 0x1.212b1a6f7d277p-4, 0x1.2c54ef116a65bp-4, 0x1.370ec671e603ap-4, 0x1.415790a4e3bdbp-4, 0x1.4b2ec349dbaddp-4, 0x1.5494357b96f31p-4, 0x1.5d880d19f0149p-4, 0x1.660ac31aa1cfep-4, 0x1.6e1d273da9ddap-4, 0x1.75c03f06afbdap-4, 0x1.7cf5576c10abep-4, 0x1.83bdebdd112abp-4, 0x1.8a1baba8791bdp-4, 0x1.901071fe90627p-4, 0x1.959e3470b5dd4p-4, 0x1.9ac7222249e2ap-4, 0x1.9f8d69c848856p-4, 0x1.a3f365fd9f5c4p-4, 0x1.a7fb748043f21p-4, 0x1.aba81299a32c7p-4, 0x1.aefbb7096b23bp-4, 0x1.b1f8ff3cbc108p-4, 0x1.b4a27b11b29cbp-4, 0x1.b6fabbb1d385ap-4, 0x1.b9045f94b679ep-4, 0x1.bac1fed7d9047p-4, 0x1.bc36300913924p-4, 0x1.bd63894584577p-4, 0x1.be4c96e065abep-4, 0x1.bef3dd47836ffp-4, 0x1.bf5bdad586d3bp-4, 0x1.bf8702452718dp-4, 0x1.bf77be15c50bap-4, 0x1.bf306d54fbba6p-4, 0x1.beb361724b666p-4, 0x1.be02dd053e7b3p-4, 0x1.bd211835eaadbp-4, 0x1.bc103a6ce2d27p-4, 0x1.bad25f1d398a5p-4, 0x1.b96993be27662p-4, 0x1.b7d7d369440e9p-4, 0x1.b61f0cb6cd1cap-4, 0x1.b4411f7b029ep-4, 0x1.b23fd9e70a309p-4, 0x1.b01cff58ab74p-4, 0x1.adda4185f8eadp-4, 0x1.ab793eaeaa58cp-4, 0x1.a8fb8f8220064p-4, 0x1.a662b2a159077p-4, 0x1.a3b021938aff7p-4, 0x1.a0e54807d9c1ep-4, 0x1.9e0380acdd037p-4, 0x1.9b0c15de5b283p-4, 0x1.980046b123b6dp-4, 0x1.94e14629cedeap-4, 0x1.91b03928fd21cp-4, 0x1.8e6e3a6c20bdep-4, 0x1.8b1c59050b298p-4, 0x1.87bb957bbff74p-4, 0x1.844ce5489141bp-4, 0x1.80d134a8a8f3cp-4, 0x1.7d496403ec8edp-4, 0x1.79b64969165cep-4, 0x1.7618b24cf09e5p-4, 0x1.72716235f6bc8p-4, 0x1.6ec112f371dfp-4, 0x1.6b08750068eabp-4, 0x1.6748313635511p-4, 0x1.6380e87fb8d9bp-4, 0x1.5fb332eb8f85ap-4, 0x1.5bdfa12c86365p-4, 0x1.5806bd763a642p-4, 0x1.54290b71e28bcp-4, 0x1.504707a9a5011p-4, 0x1.4c6128161afeep-4, 0x1.4877dc11afe97p-4, 0x1.448b8d789c875p-4, 0x1.409ca18241dbap-4, 0x1.3cab777bc923ap-4, 0x1.38b869f692df8p-4, 0x1.34c3cfe0dd4f4p-4, 0x1.30cdfae6f4082p-4, 0x1.2cd737a8acd59p-4, 0x1.28dfce8a3f6e4p-4, 0x1.24e803c2d7e1p-4, 0x1.20f01a2f8bf0ep-4, 0x1.1cf850d728357p-4, 0x1.1900e1a693825p-4, 0x1.150a04bd27ce9p-4, 0x1.1113ec9c7931ap-4, 0x1.0d1ed002be077p-4, 0x1.092ad7ad897d9p-4, 0x1.0538377a91af2p-4, 0x1.014719c8faf24p-4, 0x1.faaf4dd407901p-5, 0x1.f2d3f2bf8ceafp-5, 0x1.eafc9abdf8e38p-5, 0x1.e329626e7767dp-5, 0x1.db5a9670228ddp-5, 0x1.d3908fd73fbccp-5, 0x1.cbcb7182e3965p-5, 0x1.c40b6dbd42963p-5, 0x1.bc50d9f55c6bbp-5, 0x1.b49bc79004142p-5, 0x1.acec8ace85371p-5, 0x1.a54333fb7bef2p-5, 0x1.9da023135eca2p-5, 0x1.96034d6f9d8abp-5, 0x1.8e6cfbe931076p-5, 0x1.86dd5c396ef6ep-5, 0x1.7f547e30869f1p-5, 0x1.77d2b5e0eb0f9p-5, 0x1.7057f933985c3p-5, 0x1.68e48d01177ep-5, 0x1.61788e173d7b4p-5, 0x1.5a142852ba2d1p-5, 0x1.52b75d5d72346p-5, 0x1.4b628615c5c56p-5, 0x1.441593b10a6cdp-5, 0x1.3cd0c49732226p-5, 0x1.359430fc90decp-5, 0x1.2e5ffe8db876bp-5, 0x1.273433f84d85fp-5, 0x1.201124b056155p-5, 0x1.18f6cbf16f916p-5, 0x1.11e54b3e52302p-5, 0x1.0adcc903082dbp-5, 0x1.03dd640d61a0ap-5, 0x1.f9ce7ad32cdb4p-6, 0x1.ebf4f936289f7p-6, 0x1.de2e43222ac0ap-6, 0x1.d07af3d6fd15p-6, 0x1.c2daf1b1c8114p-6, 0x1.b54eb539f9c23p-6, 0x1.a7d66ced6f68fp-6, 0x1.9a7256f6d3af4p-6, 0x1.8d22b30942b38p-6, 0x1.7fe7c9a17a1f2p-6, 0x1.72c1aa976e8b1p-6, 0x1.65b0e5fc82bc9p-6, 0x1.58b59f4892fc2p-6, 0x1.4bcfee850ab2ep-6, 0x1.3f003478a491ap-6, 0x1.3246aa61e4156p-6, 0x1.25a390911c0fbp-6, 0x1.191727de85a0ap-6, 0x1.0ca1b21399bd5p-6, 0x1.00437f47f9942p-6, 0x1.e7f927f327b84p-7, 0x1.cf9b151c11b7cp-7, 0x1.b76cac23fb906p-7, 0x1.9f6eb614c243ep-7, 0x1.87a1a2c62a104p-7, 0x1.7005f01cad54bp-7, 0x1.589c1b7d5bb6p-7, 0x1.4164a51b46c36p-7, 0x1.2a600943f86fdp-7, 0x1.138ec4003c057p-7, 0x1.f9e2d0fdcfca8p-8, 0x1.cd0ff8921d8f4p-8, 0x1.a0a75eaeb14f2p-8, 0x1.74a8fe74de0b7p-8, 0x1.4915fe615f59p-8, 0x1.1def03cf1f7b7p-8, 0x1.e66af1ae2bccep-9, 0x1.91d3dd342b532p-9, 0x1.3e1a9a6c776d4p-9, 0x1.d681c9984e5d4p-10, 0x1.3290d0e34d2bcp-10, 0x1.20cb1e44aab31p-11, -0x1.ff913cda2b5efp-15, -0x1.5d25487bf1caep-11, -0x1.4b5aa385124cp-10, -0x1.e64e0f25463ecp-10, -0x1.3fb74e2c1a12dp-9, -0x1.8b5b3cbeae533p-9, -0x1.d611d02a5ee7p-9, -0x1.0fecde300d797p-8, -0x1.3458dc3d02cf8p-8, -0x1.584c443642ep-8, -0x1.7bc67ea264b13p-8, -0x1.9ec6fa70f414fp-8, -0x1.c14d2cb386cep-8, -0x1.e358901057b9cp-8, -0x1.02744e3766131p-7, -0x1.12fe5f0511268p-7, -0x1.234a887bf31ecp-7, -0x1.33582d5392ff7p-7, -0x1.4327854f122cfp-7, -0x1.52b82155c1aa6p-7, -0x1.6209e4fa2d7cp-7, -0x1.711cae179e965p-7, -0x1.7ff05b67f7aap-7, -0x1.8e84cfa680273p-7, -0x1.9cd9f139af323p-7, -0x1.aaefaa0fc58cep-7, -0x1.b8c5e85373edap-7, -0x1.c65c9d98455c2p-7, -0x1.d3b3c06155536p-7, -0x1.e0cb4b39670ep-7, -0x1.eda337a9c7987p-7, -0x1.fa3b7ef12cbcp-7, -0x1.034a2ef8feafap-6, -0x1.0956c2f31d7afp-6, -0x1.0f43ada67d472p-6, -0x1.1510de53f7bcfp-6, -0x1.1abe647b16a5ep-6, -0x1.204c4f4761b31p-6, -0x1.25baae106e95p-6, -0x1.2b0992dcb98d6p-6, -0x1.30390d2736a56p-6, -0x1.354938fa10a82p-6, -0x1.3a3a264b813p-6, -0x1.3f0bf24a288f6p-6, -0x1.43beb6fff8ee7p-6, -0x1.4852910a04f73p-6, -0x1.4cc79f1271b3dp-6, -0x1.511e0188c933ep-6, -0x1.5555d8f2e994ap-6, -0x1.596f46a45da8dp-6, -0x1.5d6a87f33c6efp-6, -0x1.61479e3a8767dp-6, -0x1.6506d59bb6fa8p-6, -0x1.68a847ec6719ap-6, -0x1.6c2c22ca6f33bp-6, -0x1.6f9296e54f5d4p-6, -0x1.72dbd37cc1ce3p-6, -0x1.76080b150d766p-6, -0x1.791773173912fp-6, -0x1.7c0a3e22360c8p-6, -0x1.7ee0a06553fb5p-6, -0x1.819ad56cd3affp-6, -0x1.8439184c69101p-6, -0x1.86bb9f03b8b28p-6, -0x1.8922a325fe6e2p-6, -0x1.8b6e66294ebfbp-6, -0x1.8d9f28f81e567p-6, -0x1.8fb528b5b53b8p-6, -0x1.91b0a247286ep-6, -0x1.9391d0caaa818p-6, -0x1.95591ccced281p-6, -0x1.97069c400ce29p-6, -0x1.989aa50220e76p-6, -0x1.9a158892897ccp-6, -0x1.9b777ffc89df4p-6, -0x1.9cc0d5cd21abp-6, -0x1.9df1d4f001d0ap-6, -0x1.9f0ac9fbf580cp-6, -0x1.a00bfea042195p-6, -0x1.a0f5ba5d015a1p-6, -0x1.a1c84fd2260d3p-6, -0x1.a2840820bc12ap-6, -0x1.a3292ee0bd5f7p-6, -0x1.a3b811969637cp-6, -0x1.a431013301b9ep-6, -0x1.a4944b4fb9bdep-6, -0x1.a4e23d66f508fp-6, -0x1.a51b2a3a0258dp-6, -0x1.a53f65a9d732bp-6, -0x1.a54f3f1570adp-6, -0x1.a54b034647272p-6, -0x1.a53301419094dp-6, -0x1.a5078ff693722p-6, -0x1.a4c907d7cd463p-6, -0x1.a477a2d0c2f02p-6, -0x1.a413cb0d5532p-6, -0x1.a39dca41f0d3cp-6, -0x1.a315f454801a2p-6, -0x1.a27c9c222f0a6p-6, -0x1.a1d210f73fcdep-6, -0x1.a116a4b12226p-6, -0x1.a04aad0fc3b92p-6, -0x1.9f6e7ce2028f2p-6, -0x1.9e8262f819bc9p-6, -0x1.9d86b07f81c1ap-6, -0x1.9c7bb9f518963p-6, -0x1.9b61d27d39a42p-6, -0x1.9a394b9846be8p-6, -0x1.9902761cbe518p-6, -0x1.97bda0d75ba66p-6, -0x1.966b1aeb8766dp-6, -0x1.950b3527d77cbp-6, -0x1.939e45fdd164dp-6, -0x1.922496fd1657dp-6, -0x1.909e76c20d637p-6, -0x1.8f0c3494fba43p-6, -0x1.8d6e2027b6a03p-6, -0x1.8bc4834c8fb92p-6, -0x1.8a0fc25b6c38ep-6, -0x1.8850093604c64p-6, -0x1.8685b06942c03p-6, -0x1.84b10c4261eb8p-6, -0x1.82d25c7501fd9p-6, -0x1.80e9f0ada2a1p-6, -0x1.7ef814aeebf27p-6, -0x1.7cfd0f4722a28p-6, -0x1.7af92732db275p-6, -0x1.78eca65e67109p-6, -0x1.76d7d645dfe3bp-6, -0x1.74bafdb21ea55p-6, -0x1.7296622469377p-6, -0x1.706a48da655d7p-6, -0x1.6e36f6e79ba8ep-6, -0x1.6bfcb0203d13ap-6, -0x1.69bbb5f1ca997p-6, -0x1.677449b6e4fd3p-6, -0x1.6526af413b757p-6, -0x1.62d329653559ap-6, -0x1.6079f644bee56p-6, -0x1.5e1b52a282ed2p-6, -0x1.5bb77dd7c1502p-6, -0x1.594eb6e8a0785p-6, -0x1.56e13ac61d104p-6, -0x1.546f440734b13p-6, -0x1.51f90c663e8e6p-6, -0x1.4f7ecab427e53p-6, -0x1.4d00ce51ee14fp-6, -0x1.4a7f3349cb63dp-6, -0x1.47fa3bba1edep-6, -0x1.457229cfc3feap-6, -0x1.42e729aa352b6p-6, -0x1.405975614a396p-6, -0x1.3dc941f0c86edp-6, -0x1.3b36bfc0f1b47p-6, -0x1.38a21f48b7c04p-6, -0x1.360b93484d30bp-6, -0x1.33734dccde2eap-6, -0x1.30d97e9e102dap-6, -0x1.2e3e5458e4823p-6, -0x1.2ba1fce605ae2p-6, -0x1.2904a504a5d99p-6, -0x1.266677dcb09ecp-6, -0x1.23c79efc15347p-6, -0x1.21284285b1ab5p-6, -0x1.1e8888fcf392bp-6, -0x1.1be897d1f6704p-6, -0x1.194896d9d0ca7p-6, -0x1.16a8b26b518d5p-6, -0x1.1409181f4212bp-6, -0x1.1169f420f16bfp-6, -0x1.0ecb72158462ep-6, -0x1.0c2dbdd91980ep-6, -0x1.099100f04e7c9p-6, -0x1.06f55f20d26acp-6, -0x1.045af65703c1p-6, -0x1.01c1dd75953e8p-6, -0x1.fe5448444415ap-7, -0x1.f927d34b02596p-7, -0x1.f3fe5235242f2p-7, -0x1.eed80c70fb2f2p-7, -0x1.e9b54e3011824p-7, -0x1.e4964faa6391ep-7, -0x1.df7b5996bc345p-7, -0x1.da64b0aa5a181p-7, -0x1.d552995b53ff8p-7, -0x1.d045532612a7bp-7, -0x1.cb3d0de966e5fp-7, -0x1.c639e6e10c3b4p-7, -0x1.c13bf2c22b11fp-7, -0x1.bc434ad9ea34dp-7, -0x1.b7501272f81ddp-7, -0x1.b262795c85dfdp-7, -0x1.ad7ac0378de52p-7, -0x1.a89938c60c352p-7, -0x1.a3be3f233a5a5p-7, -0x1.9eea2e33e3a28p-7, -0x1.9a1d5158287d1p-7, -0x1.9557d7c45262dp-7, -0x1.9099ccd16a95ep-7, -0x1.8be31521aac15p-7, -0x1.873375bcbf057p-7, -0x1.828aa0b99ca37p-7, -0x1.7de8468a9d6cbp-7, -0x1.794c2afdec8b9p-7, -0x1.74b63b141a2ep-7, -0x1.702698a674b19p-7, -0x1.6b9d97bfaae1p-7, -0x1.671bb5b7696bfp-7, -0x1.62a18d8e65f05p-7, -0x1.5e2fc21db16cep-7, -0x1.59c6eb4b0f172p-7, -0x1.55677b2e63d78p-7, -0x1.51118702edf81p-7, -0x1.4cc51c234fe9fp-7, -0x1.4881f53d891b7p-7, -0x1.4447c904f1643p-7, -0x1.40158d245b3dap-7, -0x1.3bebbf3f1354ep-7, -0x1.37c954348a4dep-7, -0x1.33ae49da75721p-7, -0x1.2f9abcfeba51p-7, -0x1.2b8ede79b42f4p-7, -0x1.278b0d73c649ep-7, -0x1.238fb931d3791p-7, -0x1.1f9d4ad5a8895p-7, -0x1.1bb41478c41ap-7, -0x1.17d44657a222dp-7, -0x1.13fde7daf87c4p-7, -0x1.1030d4dda190ep-7, -0x1.0c6cc6d21b004p-7, -0x1.08b16869c20a8p-7, -0x1.04fe6877506ddp-7, -0x1.015387908e01fp-7, -0x1.fb6147d99ae0dp-8, -0x1.f42b8487a9243p-8, -0x1.ed061cb02ef03p-8, -0x1.e5f1a51374d1fp-8, -0x1.deeed29c59d2cp-8, -0x1.d7fe5867de5a4p-8, -0x1.d120c82fb0aefp-8, -0x1.ca567b51a9783p-8, -0x1.c39f87c9cfb23p-8, -0x1.bcfbc131c93adp-8, -0x1.b66ac5b85307dp-8, -0x1.afec13eff13c9p-8, -0x1.a97f2490a63e7p-8, -0x1.a32379d337325p-8, -0x1.9cd8f53e6c68ep-8, -0x1.969f12c2d2062p-8, -0x1.9075b3673f14ep-8, -0x1.8a5ce9092ecaep-8, -0x1.84544d17dca7fp-8, -0x1.7e5b9004af93bp-8, -0x1.787264aa1ac7ap-8, -0x1.7298af48ad12fp-8, -0x1.6cce96d7f4fc1p-8, -0x1.67146391b29b5p-8, -0x1.616a5ff11cf98p-8, -0x1.5bd0d4565360ep-8, -0x1.5647fae274e09p-8, -0x1.50cfe9839832cp-8, -0x1.4b68918c11cf3p-8, -0x1.4611feda834ddp-8, -0x1.40cc78e39f652p-8, -0x1.3b984ecfed02dp-8, -0x1.3675d97d2096p-8, -0x1.316549dc25d2p-8, -0x1.2c66742bb0c25p-8, -0x1.2778cd3dd0623p-8, -0x1.229b7b5a8a3d1p-8, -0x1.1dcda4f2bf7a7p-8, -0x1.190eb758c9e88p-8, -0x1.145e7800762f3p-8, -0x1.0fbcf03c52a1cp-8, -0x1.0b2a18ede6989p-8, -0x1.06a59c29a9d54p-8, -0x1.022ec62e365cap-8, -0x1.fb897475e4331p-9, -0x1.f2cdb0d30c35dp-9, -0x1.ea2a458aa20f6p-9, -0x1.e1a0d1c3f1e9bp-9, -0x1.d93430613668ap-9, -0x1.d0e78546fc627p-9, -0x1.c8bd1d5739116p-9, -0x1.c0b582925a90cp-9, -0x1.b8cf09caf4418p-9, -0x1.b10659bc8112ap-9, -0x1.a957311bf06bap-9, -0x1.a1bd8d6667823p-9, -0x1.9a385390e8c1bp-9, -0x1.92c86a5530084p-9, -0x1.8b70f29974de8p-9, -0x1.84359b469793ap-9, -0x1.7d18dcdecf93dp-9, -0x1.761b18b16709p-9, -0x1.6f3ae482cbeb1p-9, -0x1.68761d102b535p-9, -0x1.61cafa6ca2476p-9, -0x1.5b389c41517d9p-9, -0x1.54bef0129dfd8p-9, -0x1.4e5e2da3deca8p-9, -0x1.48165cf4adacdp-9, -0x1.41e7430224abp-9, -0x1.3bd09f2139dbap-9, -0x1.35d23842a8508p-9, -0x1.2feb6b4e995adp-9, -0x1.2a1a9947322b5p-9, -0x1.245d2be1adecap-9, -0x1.1eb07a1dc6581p-9, -0x1.19130b217922ep-9, -0x1.138556a4f6d27p-9, -0x1.0e097df62d8fdp-9, -0x1.08a234899daa8p-9, -0x1.03519860cd947p-9, -0x1.fc31327c74aa7p-10, -0x1.f1ee660f9b9f8p-10, -0x1.e7d8a967f195ep-10, -0x1.ddf00ffb62ae1p-10, -0x1.d4343fa7571eep-10, -0x1.caa84c6281dacp-10, -0x1.c14d6ec712733p-10, -0x1.b82347fea3ae1p-10, -0x1.af27586e1f4cep-10, -0x1.a655e4653aefp-10, -0x1.9daaf8c65e9bp-10, -0x1.95230af533b6ap-10, -0x1.8cbb2d8273e4p-10, -0x1.84711e9f31fp-10, -0x1.7c43f5dce85cfp-10, -0x1.7431d47ea5499p-10, -0x1.6c39dd70cc648p-10, -0x1.645db39a00b37p-10, -0x1.5c9dedff9ca9p-10, -0x1.54fc37adfcf03p-10, -0x1.4d7a492646aeep-10, -0x1.46198b1e78d6cp-10, -0x1.3edab080c4da3p-10, -0x1.37bdff2263ec7p-10, -0x1.30c43ad0be381p-10, -0x1.29eea00adea76p-10, -0x1.233d495ea8cddp-10, -0x1.1cae22beb6bc2p-10, -0x1.163de9ac0ff17p-10, -0x1.0fe9e360c2489p-10, -0x1.09b0b048c631ep-10, -0x1.0392444b73045p-10, -0x1.fb1f512aeba3p-11, -0x1.ef5594a2aa3bbp-11, -0x1.e3cbf04b60127p-11, -0x1.d8859e8a48167p-11, -0x1.cd81dad6cd63dp-11, -0x1.c2b9f3d6eac5bp-11, -0x1.b8212ff902223p-11, -0x1.ada8b4601bc7p-11, -0x1.a348885f7d2ecp-11, -0x1.99071f2281f4fp-11, -0x1.8ef4a99f5d7f5p-11, -0x1.851b7ff49eabdp-11, -0x1.7b76e53d63a69p-11, -0x1.71fd2495931c8p-11, -0x1.68afb6e8e230dp-11, -0x1.5f995529a0a14p-11, -0x1.56be994dedb5p-11, -0x1.4e18ca8c7992bp-11, -0x1.459d8a51067e4p-11, -0x1.3d4623d9df067p-11, -0x1.3510c0ac7639ep-11, -0x1.2cfe3560c4504p-11, -0x1.250fa14faba1dp-11, -0x1.1d454a9ae0c8p-11, -0x1.159ef6831ef98p-11, -0x1.0e1d3ccc78687p-11, -0x1.06c4bf1d7ab4cp-11, -0x1.ff2ffdf95f8aap-12, -0x1.f139ca02f2607p-12, -0x1.e3afa33a937e1p-12, -0x1.d688b7f5b374cp-12, -0x1.c9acbf8e9f94ep-12, -0x1.bcf6bac90526ap-12, -0x1.b056af9b2a0d4p-12, -0x1.a3e786c2940bap-12, -0x1.97cad32f93c6ep-12, -0x1.8bfb62abece4p-12, -0x1.8060519e45994p-12, -0x1.74fc503a6f5b3p-12, -0x1.69e6000443a95p-12, -0x1.5f22428f31bd8p-12, -0x1.54a22fc8a47e1p-12, -0x1.4a5779efb546ep-12, -0x1.403d009667f29p-12, -0x1.36535354748c8p-12, -0x1.2c9c2598a1bp-12, -0x1.231893d16ecfbp-12, -0x1.19c8e507bcf8cp-12, -0x1.10aaccb637a1ap-12, -0x1.07c540af1f036p-12, -0x1.fe1bc2fb526c5p-13, -0x1.ed0f9b767d761p-13, -0x1.dc658d16e608ep-13, -0x1.cc22842dba825p-13, -0x1.bc4afe8506bcep-13, -0x1.ace2a0c851c03p-13, -0x1.9dee5f4eefd2cp-13, -0x1.8f5ca1011df5ep-13, -0x1.8130b7caa5c74p-13, -0x1.733688637091p-13, -0x1.6588c90b816e5p-13, -0x1.583251cf04878p-13, -0x1.4b262ffe4181ep-13, -0x1.3e5e29c1faa36p-13, -0x1.31f0844f06683p-13, -0x1.25e6b0f1f799cp-13, -0x1.1a305ede7379fp-13, -0x1.0ebec717404abp-13, -0x1.038ec9e664375p-13, -0x1.f1446e0390fbfp-14, -0x1.dbf403404fa2p-14, -0x1.c72a4bc300813p-14, -0x1.b2fa4a6eb31a9p-14, -0x1.9f3ec11a6156dp-14, -0x1.8c0a4a7e55abbp-14, -0x1.795bff2d1c38fp-14, -0x1.672be7601b469p-14, -0x1.5578c18770eaep-14, -0x1.4440256aec903p-14, -0x1.337f32aaa4fc1p-14, -0x1.233372cfa0d9bp-14, -0x1.135be5adb15cep-14, -0x1.03f390767c341p-14, -0x1.e9e385185a01bp-15, -0x1.ccd29e6716bep-15, -0x1.b0931322dbf55p-15, -0x1.95280b95fb174p-15, -0x1.7a80cfb465738p-15, -0x1.609693c67a91p-15, -0x1.476fa4b7c9b05p-15, -0x1.2f193b4102fd9p-15, -0x1.17784f89dde3cp-15, -0x1.007e727036052p-15, -0x1.d46e4618ac4a5p-16, -0x1.a94dcf771b7c6p-16, -0x1.7f90af9d2355dp-16, -0x1.572756fae41dap-16, -0x1.3004b96a3ea12p-16, -0x1.0a1d972e2469cp-16, -0x1.cad4d1d70c46ap-17, -0x1.83d4ae81a968fp-17, -0x1.3f3df6cf22ab7p-17, -0x1.fa0e82a2e01fbp-18, -0x1.7a30bf1b21fc7p-18, -0x1.fd68ffb006502p-19, -0x1.0efdf752475acp-19, -0x1.47bd54b534098p-22, 0x1.69c7e39933c39p-20, 0x1.8af6bb5268289p-19, 0x1.2c74b21c15c42p-18, 0x1.8f5566a63e705p-18, 0x1.ee1e040626a57p-18, 0x1.245dd664cfdb2p-17, 0x1.4f9bd29783e99p-17, 0x1.79c132f1a260ep-17, 0x1.a3e990d6aba7cp-17, 0x1.ccd5e18e107c9p-17, 0x1.f2705a310001fp-17, 0x1.0ab938e4e89c2p-16, 0x1.1b7abd2c75801p-16, 0x1.2c49e0743477p-16, 0x1.3c5d1bcbfd90cp-16, 0x1.4b67aef0d6baap-16, 0x1.5998f6485e996p-16, 0x1.670e90770df3dp-16, 0x1.73da55e1be786p-16, 0x1.80051e561d596p-16, 0x1.8b941c8f3f6d4p-16, 0x1.968afa656beacp-16, 0x1.a0eb6b6e8dc15p-16, 0x1.aab5256c15fdfp-16, 0x1.b3e8bb659855bp-16, 0x1.bc8b4dd8212e7p-16, 0x1.c4a74e24c9acfp-16, 0x1.cc4738a330a85p-16, 0x1.d36bc2fd26667p-16, 0x1.da0e72fa7113ep-16, 0x1.e02fe3605767p-16, 0x1.e5d20b04a3421p-16, 0x1.eaf233a3ef647p-16, 0x1.ef8a8a2283994p-16, 0x1.f3e3066d33a3dp-16, 0x1.f761e0ff4236dp-16, 0x1.facaab27e79fbp-16, 0x1.fe74afa431a74p-16, 0x1.00a08ecf7f9d2p-15, 0x1.016b656f65c8fp-15, 0x1.0267cff9945bfp-15, 0x1.035d962ddb888p-15, 0x1.045937d775e6ap-15, 0x1.04d81a3d6276p-15, 0x1.04e2d3f05ce78p-15, 0x1.051de61ab4835p-15, 0x1.0542340c08fedp-15, 0x1.05260893656fp-15, 0x1.04da2b9cd44f3p-15, 0x1.0469f4d0c20fp-15, 0x1.03d94b5ee4a79p-15, 0x1.0329c7b6ce0c1p-15, 0x1.025b72392981fp-15, 0x1.016eeada855edp-15, 0x1.0065369c9177p-15, 0x1.fe6d51466c35ap-16, 0x1.fbf58b24a0b9cp-16, 0x1.f94819e09d08p-16, 0x1.f668ab3e15bc8p-16, 0x1.f36de82c1ac6bp-16, 0x1.eff28ddff439ap-16, 0x1.eca4e563bf2f4p-16, 0x1.e8fb8a87bd4ccp-16, 0x1.e51dfb268399ap-16, 0x1.e1374e1513a14p-16, 0x1.dd1d1f35e787dp-16, 0x1.d8ae7f002944fp-16, 0x1.d4751a52e6f05p-16, 0x1.cfd805be839p-16, 0x1.cb7c20e9067ap-16, 0x1.c6fd51c8ff6b3p-16, 0x1.c2203cf0a2694p-16, 0x1.bd1761ef53c43p-16, 0x1.b7f55f453885cp-16, 0x1.b2c1fb09729f5p-16, 0x1.ad7ab8eb2bde9p-16, 0x1.a802210f40f04p-16, 0x1.a26bfe188acf6p-16, 0x1.9d037692052abp-16, 0x1.9765910c62e9p-16, 0x1.91fc3041cb997p-16, 0x1.8c64f77c890f6p-16, 0x1.869a3462ce693p-16, 0x1.80bae79399de7p-16, 0x1.7acf8f374b419p-16, 0x1.74d9458a9a695p-16, 0x1.6ed8715cc3c4dp-16, 0x1.68cffeeddd9f6p-16, 0x1.62c0701b93bd8p-16, 0x1.5ca8d605a7ed8p-16, 0x1.5689041a39642p-16, 0x1.50601a32e5259p-16, 0x1.4a2cf582a4b21p-16, 0x1.43f0fdd91d12fp-16, 0x1.3db5d60c3900dp-16, 0x1.377f56f6e0a4cp-16, 0x1.315f9c94a8281p-16, 0x1.2af4d5890d9abp-16, 0x1.2483bd2022b7dp-16, 0x1.1e5c466eb6a13p-16, 0x1.184405d967bf5p-16, 0x1.11f5faa4b4563p-16, 0x1.0ba4bd9223c95p-16, 0x1.055c3bac7fbd3p-16, 0x1.fe33199b94e3fp-17, 0x1.f1b266f507a41p-17, 0x1.e5356da606687p-17, 0x1.d8d6c78b498f4p-17, 0x1.cc210207551fdp-17, 0x1.bfc4fb0cbce69p-17, 0x1.b3bb596cd26d7p-17, 0x1.a761dc3cf36b8p-17, 0x1.9b21c7f13b645p-17, 0x1.8ef5a4f392e99p-17, 0x1.82dd9e3cabee3p-17, 0x1.76cf13bff4fd4p-17, 0x1.6a8b96648933fp-17, 0x1.5e4974c4192acp-17, 0x1.52ac355aca33p-17, 0x1.46f17c8fccb73p-17, 0x1.3b233c6311f6ep-17, 0x1.3008a8f5f8fa8p-17, 0x1.23ea53dc6b4c7p-17, 0x1.184a949aee8b6p-17, 0x1.0cc4ac7702209p-17, 0x1.0176778776ddbp-17, 0x1.ec2350856866ep-18, 0x1.d5c6fff36f40fp-18, 0x1.bf9a040ee175fp-18, 0x1.a9801bffa1b9p-18, 0x1.931e6ff5f310dp-18, 0x1.7dc7e222a1474p-18, 0x1.685d7d3432347p-18, 0x1.52f9f405976b2p-18, 0x1.3dd87a01e8242p-18, 0x1.28ffdce3e324ap-18, 0x1.1418c0605b2b9p-18, 0x1.ff183b4004831p-19, 0x1.d6637758e72fcp-19, 0x1.ae1a6caf0f72p-19, 0x1.8639be5fc5be7p-19, 0x1.5ec21a69b3cd3p-19, 0x1.37b35c1d7c194p-19, 0x1.110d167d439afp-19, 0x1.d5a38dd0820d1p-20, 0x1.8a12b74bc06bbp-20, 0x1.3f78e252b73a7p-20, 0x1.eba213dd1ba84p-21, 0x1.59f422d7f236bp-21, 0x1.9366e60becb9bp-22, 0x1.d7f334a79adafp-24, -0x1.460a400d73ebcp-23, -0x1.b843dd5d36cf9p-22, -0x1.64d61bce1af79p-21, -0x1.eba30767b19b9p-21, -0x1.37ff9df6c2203p-20, -0x1.7907bf1893ca2p-20, -0x1.bd88ab2f89f8p-20, -0x1.f9daa61f0258ep-20, -0x1.1d18c3892c7c4p-19, -0x1.3c0088c59a3dcp-19, -0x1.5aa150738aaa2p-19, -0x1.78d9e1b12b614p-19, -0x1.96a889c8ec1c1p-19, -0x1.b3e002ae433b5p-19, -0x1.d069d8c9bfad8p-19, -0x1.ecae181a8d914p-19, -0x1.049a197354e49p-18, -0x1.1268a3ccba449p-18, -0x1.2059644076a3bp-18, -0x1.2d3c4ec40ff74p-18, -0x1.39f5e09bb8bc4p-18, -0x1.46dca4113423cp-18, -0x1.537d64157db7bp-18, -0x1.6003b3de8997cp-18, -0x1.6c50659efbe75p-18, -0x1.782d954f854ap-18, -0x1.83eb1614c2843p-18, -0x1.8f831bd299756p-18, -0x1.9aecd4c673f91p-18, -0x1.a61cdc4bb6a94p-18, -0x1.b0f77fc309fap-18, -0x1.bbaca9b7f572ep-18, -0x1.c637188a204edp-18, -0x1.d081151295256p-18, -0x1.da84b16ae5c49p-18, -0x1.e461f5d105009p-18, -0x1.ee17a04d70895p-18, -0x1.f79941790d142p-18, -0x1.0070eec9806d9p-17, -0x1.04f7a00ac3502p-17, -0x1.096497df56d3fp-17, -0x1.0db966e52f567p-17, -0x1.11ee79eddb3f9p-17, -0x1.161a2b70065cdp-17, -0x1.1a2687aee978ep-17, -0x1.1e1240624dcc3p-17, -0x1.21e572ed6092ep-17, -0x1.25a182cdb0e1fp-17, -0x1.294721bcda7ecp-17, -0x1.2cdaa1cab07a5p-17, -0x1.304aab22a027ap-17, -0x1.33a76e99d6c47p-17, -0x1.36eb73637e4f1p-17, -0x1.39f8d8fe04728p-17, -0x1.3d98461cd813dp-17, -0x1.4033eebe00ddfp-17, -0x1.433b26c7c8376p-17, -0x1.46171cb889e4ap-17, -0x1.48dab26332229p-17, -0x1.4b9134f33e1cap-17, -0x1.4e4af5fc67b79p-17, -0x1.5089275cba477p-17, -0x1.53179555e5ab9p-17, -0x1.5554f7bf70c94p-17, -0x1.57abeef96a07fp-17, -0x1.59eb426ab690dp-17, -0x1.5bd1e09ae85d1p-17, -0x1.5ddf9a5c36c5ep-17, -0x1.5fe16b4e03adp-17, -0x1.61c373ba54f7ap-17, -0x1.6393f91a55992p-17, -0x1.654736076ae0cp-17, -0x1.66e5c9fe71109p-17, -0x1.68845e31c931bp-17, -0x1.6a0a4a89c70c6p-17, -0x1.6b6d5896f7746p-17, -0x1.6cbe2222e5f7ep-17, -0x1.6dfd439fc4d34p-17, -0x1.6f484d000f9a3p-17, -0x1.7074702f8c631p-17, -0x1.7185ab0918f73p-17, -0x1.72835a13a01e6p-17, -0x1.7378ad3773fp-17, -0x1.74654cb37b674p-17, -0x1.7540d5176950fp-17, -0x1.761450bd3bf01p-17, -0x1.76b0554203c09p-17, -0x1.774beb5815abfp-17, -0x1.77e043ad9c0bap-17, -0x1.7867af38adcd9p-17, -0x1.78d288de59a29p-17, -0x1.793235feecd29p-17, -0x1.79899fbe89322p-17, -0x1.79eccf4c59c71p-17, -0x1.7a13ac52db2d6p-17, -0x1.7a4ddaaac960dp-17, -0x1.7a7f9d0ac8891p-17, -0x1.7a171ee777a4dp-17, -0x1.7a6f9f703f118p-17, -0x1.7a5a995e4fea2p-17, -0x1.7a5554aaae0dfp-17, -0x1.7a88c077a7e05p-17, -0x1.79e051484be12p-17, -0x1.79ab3d071d56p-17, -0x1.7993fed2e654ep-17, -0x1.79399b69269aep-17, -0x1.78cef710bea4p-17, -0x1.786073c51be3ep-17, -0x1.77c5a643b8352p-17, -0x1.775511aafe1fdp-17, -0x1.76e1e78830c16p-17, -0x1.767c32d330817p-17, -0x1.75989ffdea2bap-17, -0x1.74ea181c03aa2p-17, -0x1.7435b4a22ae1ap-17, -0x1.73736e3583102p-17, -0x1.72ad655ec948ep-17, -0x1.71b21bb4b1a05p-17, -0x1.70f37717b1b9bp-17, -0x1.70159d0e51aaap-17, -0x1.6f2199a8626a7p-17, -0x1.6e1311f00e26dp-17, -0x1.6d069901d0da5p-17, -0x1.6bffcf1100262p-17, -0x1.6af1018c41d12p-17, -0x1.69dcab791ed31p-17, -0x1.68af491855248p-17, -0x1.678e37e789a9cp-17, -0x1.65867d851be83p-17, -0x1.65283bd715833p-17, -0x1.63d451de065f3p-17, -0x1.628122b9ceb21p-17, -0x1.612c12c5f358cp-17, -0x1.5fd0ce58adb23p-17, -0x1.5e7dc494cf0c7p-17, -0x1.5d1ad367f5257p-17, -0x1.5ba2469bd74aep-17, -0x1.5a2112bac1778p-17, -0x1.5883e0ed87838p-17, -0x1.57155268e7c64p-17, -0x1.557ceb20e93f7p-17, -0x1.53de9b55ea548p-17, -0x1.528a9d4f2fa49p-17, -0x1.50d694cdba3e8p-17, -0x1.4f4767471e642p-17, -0x1.4d673459e6315p-17, -0x1.4c2467b01641ep-17, -0x1.4a17d4c0d8b2p-17, -0x1.4864e243dc5b7p-17, -0x1.46d0ed1b6c04dp-17, -0x1.451a3abb0a4bcp-17, -0x1.436bb707714e8p-17, -0x1.41794abd32336p-17, -0x1.3fa64c79e01c5p-17, -0x1.3de03e12c0b5p-17, -0x1.3c404c769ab84p-17, -0x1.3a3e7d5ac1c09p-17, -0x1.385e06e19fd09p-17, -0x1.3672cf6092e54p-17, -0x1.349a876911638p-17, -0x1.3360298f27733p-17, -0x1.30dcf2f48466ap-17, -0x1.2ed8730f1ae7cp-17, -0x1.2ce950654ec6bp-17, -0x1.2b0c02ac85e5cp-17, -0x1.291e003d1a379p-17, -0x1.271fee846b502p-17, -0x1.254252d1573d4p-17, -0x1.231b50f6d760bp-17, -0x1.210c5c47aab4ep-17, -0x1.1f2023937dfep-17, -0x1.1d37fdce8dacfp-17, -0x1.1b21dab1b1726p-17, -0x1.190ea058bb46fp-17, -0x1.16e055a4e067bp-17, -0x1.15238d86140e4p-17, -0x1.1296cf919d872p-17, -0x1.11024221d91f7p-17, -0x1.0ebb5e6288246p-17, -0x1.0cb2629fea178p-17, -0x1.0acafd867c498p-17, -0x1.088da4dfb58b7p-17, -0x1.067b02e8868ccp-17, -0x1.03db08345a91dp-17, -0x1.024177a8e5e2dp-17, -0x1.0029ea6fa22f3p-17, -0x1.fc21a72dff345p-18, -0x1.f7e6f44c34378p-18, -0x1.f3a72e5a9ce56p-18, -0x1.ef3de2e6dd5c9p-18, -0x1.ebf21925ca1f7p-18, -0x1.e6da919ee4369p-18, -0x1.e2c59843321c4p-18, -0x1.dde339811da0ep-18, -0x1.da2e0f7bcb86p-18, -0x1.d5e8a67392196p-18, -0x1.d1d629bae8bd6p-18, -0x1.cd7fff67efb1ap-18, -0x1.c9021ebfb7bbbp-18, -0x1.c510af2bdc11fp-18, -0x1.c0d78490790edp-18, -0x1.bcdc218add016p-18, -0x1.b6f8e6496a4d6p-18, -0x1.b3a9cc686f6a3p-18, -0x1.af31031b84506p-18, -0x1.abb495123541fp-18, -0x1.a7abee39ed4ddp-18, -0x1.a3235b4fdee38p-18, -0x1.9e69cbd397b91p-18, -0x1.9a9d893faa224p-18, -0x1.967372d48d39fp-18, -0x1.9234f2c66ef4ep-18, -0x1.8e083cf907e3bp-18, -0x1.89da0c5f6f73fp-18, -0x1.85ad21712c094p-18, -0x1.817d5efae059cp-18, -0x1.7d3f8c8facc54p-18, -0x1.78f93bb810c28p-18, -0x1.74e8150771a74p-18, -0x1.70f3c6ebce34fp-18, -0x1.6d0ea911a4796p-18, -0x1.6898609b1203ap-18, -0x1.64ee548a8d5e5p-18, -0x1.606abe9943349p-18, -0x1.5c1b9d9061996p-18, -0x1.57ff96de5446ep-18, -0x1.53f6c9697d378p-18, -0x1.500452d6b21ddp-18, -0x1.4c2737cc8265bp-18, -0x1.470c841a5e449p-18, -0x1.43ef54a17a551p-18, -0x1.3fc40374f0e9cp-18, -0x1.3cc60ec7323ep-18, -0x1.379d134833632p-18, -0x1.33327279c6291p-18, -0x1.300f2c2d84421p-18, -0x1.2aa76e47ea026p-18, -0x1.282c92f648bf8p-18, -0x1.241ebda426ab5p-18, -0x1.201e9070d963fp-18, -0x1.1c26562b34f99p-18, -0x1.18b229f895a02p-18, -0x1.14c3a7f7cc15p-18, }}, 
      {{0x1.980c375b5f917p-4, 0x1.0d6b7aea16847p-3, 0x1.7fd9a99dcdce5p-4, 0x1.2191fbf303e25p-7, -0x1.8f90d3ffab74bp-4, -0x1.a3be8bfbb454ap-3, -0x1.32dada21450d6p-2, -0x1.7f117bea932e2p-2, -0x1.b38d9b8efbe4cp-2, -0x1.d0a9544fc1cb8p-2, -0x1.d8c9764fc7991p-2, -0x1.cf65ef92da444p-2, -0x1.b85af898f291p-2, -0x1.977628a1ac4b4p-2, -0x1.703127816b5abp-2, -0x1.458cfbbd92097p-2, -0x1.1a03d1537b0c2p-2, -0x1.df12045cdc34ep-3, -0x1.8f2402912334p-3, -0x1.4648304400f41p-3, -0x1.05c8b5987adb6p-3, -0x1.9ca006daf4cebp-4, -0x1.40103c4596313p-4, -0x1.eade3ac479d3fp-5, -0x1.776cae892e289p-5, -0x1.22f078e44d94fp-5, -0x1.d4145e8be3c6dp-6, -0x1.9226e25d16891p-6, -0x1.789ffda127e42p-6, -0x1.802590f93f08dp-6, -0x1.a1b39b08d241bp-6, -0x1.d6c50023d8938p-6, -0x1.0cb5dc6adcfd5p-5, -0x1.323059f1ffdep-5, -0x1.59847b84d5d4ap-5, -0x1.80ba75527492fp-5, -0x1.a62d89eabdb0dp-5, -0x1.c88728ee0f6f7p-5, -0x1.e6b91ca9bc493p-5, -0x1.fff74e3e7813fp-5, -0x1.09d8353c8c4e9p-4, -0x1.10c3b2ac94456p-4, -0x1.14a63aa307dd7p-4, -0x1.157b4795fdc69p-4, -0x1.134eaddbe4dc7p-4, -0x1.0e399fdd3feeap-4, -0x1.06601e2dd1854p-4, -0x1.f7dd552834d0ep-5, -0x1.de3045d52e294p-5, -0x1.c027bf6844dafp-5, -0x1.9e3858a94447ep-5, -0x1.78d9b9e2433bdp-5, -0x1.50847ecb05981p-5, -0x1.25afdf1f29ecp-5, -0x1.f1a1617cbb921p-6, -0x1.94af4ca12460ep-6, -0x1.35612f949208ep-6, -0x1.a906b890a58ebp-7, -0x1.cb56ec421c80dp-8, -0x1.10b0e3ab49229p-10, 0x1.40de29fe04bbfp-8, 0x1.60b548c2c00fbp-7, 0x1.0ed4960839bbdp-6, 0x1.6b2925f166a55p-6, 0x1.c4e95bc57c136p-6, 0x1.0dd9723f166edp-5, 0x1.3797e2a5cad2ep-5, 0x1.5f8ac22d9cf47p-5, 0x1.859255fa5ed4bp-5, 0x1.a99415d68c229p-5, 0x1.cb7a465a41e2cp-5, 0x1.eb33ac451277ep-5, 0x1.04599cefb6b45p-4, 0x1.11f7d73cdb2c7p-4, 0x1.1e71ab2ec6bcfp-4, 0x1.29c5da6bdbb0dp-4, 0x1.33f49bbdcbb19p-4, 0x1.3cff776f9bd64p-4, 0x1.44e92546b3a7dp-4, 0x1.4bb56fe772c9ap-4, 0x1.51690c8bd17adp-4, 0x1.56098b55fbb5dp-4, 0x1.599d39b562e0bp-4, 0x1.5c2afc6b88b49p-4, 0x1.5dba4c0b8f757p-4, 0x1.5e53151a67a83p-4, 0x1.5dfd9eb329ae1p-4, 0x1.5cc2869f7f972p-4, 0x1.5aaaaa69ca786p-4, 0x1.57bf1410d7532p-4, 0x1.5408ee6611a24p-4, 0x1.4f917e7cb0e83p-4, 0x1.4a6210b0208d2p-4, 0x1.4483f21969eabp-4, 0x1.3e0065a11ac44p-4, 0x1.36e09b883951fp-4, 0x1.2f2dac4faa46bp-4, 0x1.26f08df04553ap-4, 0x1.1e32170c8d433p-4, 0x1.14faedca85e42p-4, 0x1.0b538b543cf92p-4, 0x1.0144353322d91p-4, 0x1.eda9fa359b895p-5, 0x1.d81b74859e49fp-5, 0x1.c1ec1a97411c9p-5, 0x1.ab2aad5bf00bbp-5, 0x1.93e57250d362p-5, 0x1.7c2a349473437p-5, 0x1.64063fb348207p-5, 0x1.4b86630563435p-5, 0x1.32b6ef063f007p-5, 0x1.19a3b20349211p-5, 0x1.0057fdbbabaeap-5, 0x1.cdbd4fb44391ep-6, 0x1.9a841427e0309p-6, 0x1.67180adef5339p-6, 0x1.338c090397e73p-6, 0x1.ffe3fdcb0ac1ep-7, 0x1.98b5e117d5345p-7, 0x1.31ae04e422aeap-7, 0x1.95d603249cbb9p-8, 0x1.92272f2468e7cp-9, -0x1.5a48652138035p-15, -0x1.9a9de3e7b38bfp-9, -0x1.968aff4f256p-8, -0x1.2f1d8aca2d3ffp-7, -0x1.921a35f685fd9p-7, -0x1.f4277bf97ec77p-7, -0x1.2a9954acd19ep-6, -0x1.5a952955be00ep-6, -0x1.89ff20bf85e52p-6, -0x1.b8cfb776c327cp-6, -0x1.e6fff1830b7f8p-6, -0x1.0a44b1f8ac84ep-5, -0x1.20b314ae044b3p-5, -0x1.36c86b18641d5p-5, -0x1.4c823bf12bc5p-5, -0x1.61de4b0d21423p-5, -0x1.76da919eafb3fp-5, -0x1.8b753b03f1506p-5, -0x1.9faca8069578dp-5, -0x1.b37f6b19adc03p-5, -0x1.c6ec41657bc42p-5, -0x1.d9f211d8d04edp-5, -0x1.ec8fee47f74aap-5, -0x1.fec5117bdd163p-5, -0x1.08486c5bfa8d5p-4, -0x1.10f961c611e2bp-4, -0x1.19753af5e1c6ep-4, -0x1.21bbd9ba45aeep-4, -0x1.29cd2d43e2accp-4, -0x1.31a932e1d1e6bp-4, -0x1.394ff6d60e6fcp-4, -0x1.40c191f1416bcp-4, -0x1.47fe27500949bp-4, -0x1.4f05e5030eab7p-4, -0x1.55d904cfecd46p-4, -0x1.5c77ca7d8ba57p-4, -0x1.62e281bd1037p-4, -0x1.69197e6ad5e84p-4, -0x1.6f1d1def97142p-4, -0x1.74edc5ca434fp-4, -0x1.7a8be15521c51p-4, -0x1.7ff7e1eef6327p-4, -0x1.85323f8935ce4p-4, -0x1.8a3b78565e251p-4, -0x1.8f140f7e069dbp-4, -0x1.93bc8c63e8a4ap-4, -0x1.98357a8c86552p-4, -0x1.9c7f6a3009b9cp-4, -0x1.a09aefd3a0c1ep-4, -0x1.a488a29de8093p-4, -0x1.a8491c8504bcap-4, -0x1.abdcf94354ef5p-4, -0x1.af44d9b742a8bp-4, -0x1.b2815edd4a477p-4, -0x1.b5932c52e3f62p-4, -0x1.b87ae6ccb7a57p-4, -0x1.bb3936c4e4eeep-4, -0x1.bdcec0669e1cdp-4, -0x1.c03c30774f397p-4, -0x1.c2822f926f98cp-4, -0x1.c4a1653fbd6ddp-4, -0x1.c69a7e54d73d5p-4, -0x1.c86e26cf46ad5p-4, -0x1.ca1d077558474p-4, -0x1.cba7cee9d4345p-4, -0x1.cd0f24a96f598p-4, -0x1.ce53b6084b725p-4, -0x1.cf7628709efddp-4, -0x1.d0772b439c554p-4, -0x1.d15764ec706dbp-4, -0x1.d2177d69f0bc6p-4, -0x1.d2b81e8fc42p-4, -0x1.d339ea1bc0573p-4, -0x1.d39d8a79e9a5ap-4, -0x1.d3e3a1120e219p-4, -0x1.d40cd21ab346ap-4, -0x1.d419bea9f7563p-4, -0x1.d40b0abae784dp-4, -0x1.d3e14fa07fdecp-4, -0x1.d39d3060ba955p-4, -0x1.d33f469ab99b9p-4, -0x1.d2c82dc7f879bp-4, -0x1.d2387ec31f513p-4, -0x1.d190d41d22fc4p-4, -0x1.d0d1be23a551fp-4, -0x1.cffbd5722e45p-4, -0x1.cf0fac89c8baep-4, -0x1.ce0dd383095fcp-4, -0x1.ccf6d99745239p-4, -0x1.cbcb4bf745e9bp-4, -0x1.ca8bb55019057p-4, -0x1.c938a35821521p-4, -0x1.c7d298a218f6ep-4, -0x1.c65a20c5ae475p-4, -0x1.c4cfbca64d944p-4, -0x1.c333efd7fbec5p-4, -0x1.c1873b201dd74p-4, -0x1.bfca1d5929493p-4, -0x1.bdfd1302fdd9bp-4, -0x1.bc209a7f361c3p-4, -0x1.ba3528224ad3bp-4, -0x1.b83b35658cc95p-4, -0x1.b6333a8b6f00ap-4, -0x1.b41da9297135dp-4, -0x1.b1faf3a5446e9p-4, -0x1.afcb8a4b46a0ap-4, -0x1.ad8fdbb64a6a2p-4, -0x1.ab4854b6c4c54p-4, -0x1.a8f55f3edd5e7p-4, -0x1.a69768a0be704p-4, -0x1.a42ed1c67ccb4p-4, -0x1.a1bc05b11127ap-4, -0x1.9f3f65ebfa9f2p-4, -0x1.9cb9550d95ca4p-4, -0x1.9a2a33cce87b2p-4, -0x1.9792610de2401p-4, -0x1.94f239f3d828fp-4, -0x1.924a1a067f7c3p-4, -0x1.8f9a5b20897b9p-4, -0x1.8ce354912dcaep-4, -0x1.8a256182daef8p-4, -0x1.8760d00f73a78p-4, -0x1.8495f8c698904p-4, -0x1.81c52c64a3505p-4, -0x1.7eeebb13bc4a8p-4, -0x1.7c12f3db8673cp-4, -0x1.7932242eb2ed6p-4, -0x1.764c97fefae48p-4, -0x1.736299b8ba32ap-4, -0x1.7074725cf5e14p-4, -0x1.6d8269803e1cep-4, -0x1.6a8cc4f146f34p-4, -0x1.6793c9cbf3a4ap-4, -0x1.6497bcc4a2ec9p-4, -0x1.6198db3c18e9p-4, -0x1.5e976c28dc524p-4, -0x1.5b93aacfb6fa6p-4, -0x1.588dd6211d326p-4, -0x1.55862ad18af4dp-4, -0x1.527ce436b5f9fp-4, -0x1.4f723c6d447cap-4, -0x1.4c666c5a0bd24p-4, -0x1.4959aba4412c8p-4, -0x1.464c30b3a8a36p-4, -0x1.433e30b3d38ecp-4, -0x1.402fdf66b714fp-4, -0x1.3d216ee98a9e3p-4, -0x1.3a13141fe7369p-4, -0x1.3704fa790ccebp-4, -0x1.33f7563ab456p-4, -0x1.30ea528b3035p-4, -0x1.2dde1d41737cap-4, -0x1.2ad2e2a72c766p-4, -0x1.27c8cdbcce7dp-4, -0x1.24c00866dcff6p-4, -0x1.21b8bb78fcb8fp-4, -0x1.1eb30ebe35385p-4, -0x1.1baf28fe8aa2ap-4, -0x1.18ad300ea9c66p-4, -0x1.15ad48bca720fp-4, -0x1.12af96d885b56p-4, -0x1.0fb43cfced41p-4, -0x1.0cbb5c9335018p-4, -0x1.09c5197f52fcbp-4, -0x1.06d18f06d0f0ep-4, -0x1.03e0e0e78816ap-4, -0x1.00f32a8f77ec7p-4, -0x1.fc1113858bb1cp-5, -0x1.f6423648eef53p-5, -0x1.f079f48d3e4fap-5, -0x1.eab883b89ace9p-5, -0x1.e4fe17cf0a5eep-5, -0x1.df4ae28d61c9p-5, -0x1.d99f14da23acfp-5, -0x1.d3fadd4f671c6p-5, -0x1.ce5e6933f3a17p-5, -0x1.c8c9e432dad23p-5, -0x1.c33d786d607cap-5, -0x1.bdb94e7ddffc9p-5, -0x1.b83d8d07a5149p-5, -0x1.b2ca58ee53ce7p-5, -0x1.ad5fdc2acf274p-5, -0x1.a7fe30088729ep-5, -0x1.a2a57e37f6feap-5, -0x1.9d55e285e21e1p-5, -0x1.980f7bd6c9e95p-5, -0x1.92d267f6bdb17p-5, -0x1.8d9ec2a94431p-5, -0x1.8874a6bbeb047p-5, -0x1.83542e00b7743p-5, -0x1.7e3d70263fe9ap-5, -0x1.7930838f80c43p-5, -0x1.742d7ebf5c544p-5, -0x1.6f34769669a15p-5, -0x1.6a457d6c8e094p-5, -0x1.6560a4fed77f4p-5, -0x1.6085ff4ecc76fp-5, -0x1.5bb59ce660d12p-5, -0x1.56ef8c221822fp-5, -0x1.5233d9da03022p-5, -0x1.4d8290bea77bbp-5, -0x1.48dbc6dddfaddp-5, -0x1.443f79bc63395p-5, -0x1.3fadb8240ebd6p-5, -0x1.3b268e4b005c8p-5, -0x1.36aa00189923bp-5, -0x1.323815284ef5dp-5, -0x1.2dd0d3c950908p-5, -0x1.297441820e0c2p-5, -0x1.2522620938bf4p-5, -0x1.20db387d79c1p-5, -0x1.1c9ec7bb0abc7p-5, -0x1.186d11ec531dfp-5, -0x1.1446173eed6c6p-5, -0x1.1029d8167c90dp-5, -0x1.0c18547c7cf83p-5, -0x1.08118ab22b425p-5, -0x1.041577fa59ea9p-5, -0x1.00241a012c26bp-5, -0x1.f87adc1be3224p-6, -0x1.f0c2df8636f53p-6, -0x1.e9203308f5d76p-6, -0x1.e192caa86bb5fp-6, -0x1.da1a9d9905842p-6, -0x1.d2b7a3389aaa9p-6, -0x1.cb69bda6160b1p-6, -0x1.c430ecd60415cp-6, -0x1.bd0d19c1798e2p-6, -0x1.b5fe335aa9813p-6, -0x1.af042735dfcb5p-6, -0x1.a81edff91dfbcp-6, -0x1.a14e488a58eb9p-6, -0x1.9a924cc99d0bdp-6, -0x1.93ead652fe622p-6, -0x1.8d57cbee7329bp-6, -0x1.86d914ba76e1bp-6, -0x1.806e98bed065ep-6, -0x1.7a183ea46e03fp-6, -0x1.73d5eb94b1b6dp-6, -0x1.6da783c4eba8cp-6, -0x1.678ce9cf1a568p-6, -0x1.6185ff8f868b7p-6, -0x1.5b92a8c590081p-6, -0x1.55b2c7e42da0ap-6, -0x1.4fe63d9237ebcp-6, -0x1.4a2ce838b4864p-6, -0x1.4486a8699c397p-6, -0x1.3ef35de4f0a41p-6, -0x1.3972e44de1f5p-6, -0x1.34052ba1464ffp-6, -0x1.2ea9f84b1574fp-6, -0x1.296131256670fp-6, -0x1.242aba0716bacp-6, -0x1.1f0666e908009p-6, -0x1.19f41713c21bp-6, -0x1.14f3a743f0ed5p-6, -0x1.1004f17fa6c29p-6, -0x1.0b27cfbcdafe3p-6, -0x1.065c1da9db854p-6, -0x1.01a1b6be2dbf1p-6, -0x1.f9f0ea0666683p-7, -0x1.f0c06401e532p-7, -0x1.e7b18ed7ef1cap-7, -0x1.dec41e44d007ep-7, -0x1.d5f7c4fcafaf5p-7, -0x1.cd4c334e6878bp-7, -0x1.c4c119d8b75a8p-7, -0x1.bc562c9fba267p-7, -0x1.b40b1f2e96cdbp-7, -0x1.abdfa07facc34p-7, -0x1.a3d35ea56bbdp-7, -0x1.9be60b4b25fe2p-7, -0x1.9417595dcc08ap-7, -0x1.8c66f91e5c447p-7, -0x1.84d499de3ce31p-7, -0x1.7d5fe9e4a89fep-7, -0x1.760893384247ep-7, -0x1.6ece6bbec8ce4p-7, -0x1.67b0f00b7e21fp-7, -0x1.60afe20b85881p-7, -0x1.59cb058751174p-7, -0x1.5301f8da8f0f8p-7, -0x1.4c54734fd5daep-7, -0x1.45c226c473dedp-7, -0x1.3f4ac102116cdp-7, -0x1.38edf1308e1b7p-7, -0x1.32ab6a724c803p-7, -0x1.2c82e0394d13p-7, -0x1.26740440dd9c5p-7, -0x1.207e87e86095ap-7, -0x1.1aa21cfb3ed2dp-7, -0x1.14de7575560a4p-7, -0x1.0f334349a621ap-7, -0x1.09a03881c0b0fp-7, -0x1.0425075c13ed2p-7, -0x1.fd82c3466d5e8p-8, -0x1.f2e9f14fb78f1p-8, -0x1.e87f016701f33p-8, -0x1.de41665323271p-8, -0x1.d43094f8f6868p-8, -0x1.ca4bfe17dcf3cp-8, -0x1.c09313a10c24ap-8, -0x1.b7054d1f4e2c4p-8, -0x1.ada221eac788ap-8, -0x1.a469018a8162dp-8, -0x1.9b5953ef94024p-8, -0x1.92727b0e0def9p-8, -0x1.89b3d4c7eeeadp-8, -0x1.811d0767a0e0dp-8, -0x1.78ad2217761bp-8, -0x1.7063bd59fdc41p-8, -0x1.6840682bf6562p-8, -0x1.604286ff6beccp-8, -0x1.5869a1420496fp-8, -0x1.50b537df5dfe9p-8, -0x1.4924cb952d60bp-8, -0x1.41b7de2eb2b97p-8, -0x1.3a6deacb431dap-8, -0x1.3346625ef3f03p-8, -0x1.2c40b4f5bd858p-8, -0x1.255c5c8318874p-8, -0x1.1e98dca8b2db5p-8, -0x1.17f5bf6f387c8p-8, -0x1.1172971d6ad6bp-8, -0x1.0b0eff2345dc9p-8, -0x1.04ca988ecc6e9p-8, -0x1.fd4a084a36b56p-9, -0x1.f13bb720616d8p-9, -0x1.e569579e26d27p-9, -0x1.d9d1e569c4379p-9, -0x1.ce743d97e7f61p-9, -0x1.c34f276c81adfp-9, -0x1.b8615f60bb811p-9, -0x1.ada9a45816e71p-9, -0x1.a326cc0178899p-9, -0x1.98d7dcaa758a6p-9, -0x1.8ebc15bbc005cp-9, -0x1.84d2e090900bap-9, -0x1.7b1bc305be70ap-9, -0x1.71965ce67886ap-9, -0x1.684253c13a3e7p-9, -0x1.5f1f5c96abfe3p-9, -0x1.562d17bb9f41cp-9, -0x1.4d6a5e307ef64p-9, -0x1.44d6afb8025d7p-9, -0x1.3c70e81ad240ap-9, -0x1.3437e27ebbe67p-9, -0x1.2c2a32f583767p-9, -0x1.24472921f26a5p-9, -0x1.1c8d691229258p-9, -0x1.14fc28b0867c4p-9, -0x1.0d92c3002cb15p-9, -0x1.0650ae8e2d3d8p-9, -0x1.fe6b0b7e928abp-10, -0x1.f081de37e1fd4p-10, -0x1.e2e513deda403p-10, -0x1.d593ca47c9ec6p-10, -0x1.c88cf8cc50c15p-10, -0x1.bbcf617871c56p-10, -0x1.af597bdf2f01dp-10, -0x1.a32984d02f86dp-10, -0x1.973db24b16aabp-10, -0x1.8b94577bb89e5p-10, -0x1.802be8919cab3p-10, -0x1.750302ec4a11p-10, -0x1.6a187f6b58056p-10, -0x1.5f6b77d77a9abp-10, -0x1.54fb3a1e28df1p-10, -0x1.4ac731671ebdp-10, -0x1.40cecc1197dfp-10, -0x1.37116403f473cp-10, -0x1.2d8e2da06520bp-10, -0x1.24442fc1b8cdp-10, -0x1.1b3244f6ba694p-10, -0x1.125725dfd068p-10, -0x1.09b17a32205e4p-10, -0x1.013fe7ed9dff8p-10, -0x1.f20202c81f6b3p-11, -0x1.e1e8f9a73974bp-11, -0x1.d2300800f88d3p-11, -0x1.c2d56f96fc416p-11, -0x1.b3d923a69039cp-11, -0x1.a537dcb2d7d54p-11, -0x1.96efa0373ff9ep-11, -0x1.88fe5eafef30bp-11, -0x1.7b624db45757cp-11, -0x1.6e1a06d6341abp-11, -0x1.6124780fd3894p-11, -0x1.5480b46711271p-11, -0x1.482da53366a59p-11, -0x1.3c29e86f757aap-11, -0x1.307401e0d4835p-11, -0x1.250a96f2ed14bp-11, -0x1.19ec6365f835fp-11, -0x1.0f183d6d67465p-11, -0x1.048d31c69429bp-11, -0x1.f4945d2904882p-12, -0x1.e09bfa517c5d3p-12, -0x1.cd2dfe075c656p-12, -0x1.ba465b73b63e6p-12, -0x1.a7e07d96b0ebdp-12, -0x1.95f8175afc2abp-12, -0x1.8489aa59afc99p-12, -0x1.7392d2d395475p-12, -0x1.63119da46d6b3p-12, -0x1.5303d665417d7p-12, -0x1.43668504395f3p-12, -0x1.3435ebb22f0f3p-12, -0x1.256de7990ec07p-12, -0x1.170ac513730d5p-12, -0x1.090a4bec2e40bp-12, -0x1.f6d8e2b06394bp-13, -0x1.dc65a45704873p-13, -0x1.c2be881c9e7ebp-13, -0x1.a9e4dc17bb1acp-13, -0x1.91d59991cc71bp-13, -0x1.7a8809f3f375ap-13, -0x1.63f21b5b2389fp-13, -0x1.4e06bc4276dd4p-13, -0x1.38b450f9fe70fp-13, -0x1.23fbad29e5786p-13, -0x1.0fda0a14b8bdep-13, -0x1.f8a7ad4dd273p-14, -0x1.d2dde43f9b76dp-14, -0x1.ae5bf92dbf6efp-14, -0x1.8b1d6f88228p-14, -0x1.6915c9da70744p-14, -0x1.4835986338bcep-14, -0x1.286f715e8ed9p-14, -0x1.09ba41e29eeb8p-14, -0x1.d821143fca201p-15, -0x1.9edbb18733d8ep-15, -0x1.679935f6fc208p-15, -0x1.324c0d03d6fc1p-15, -0x1.fdcf5f6a4ef07p-16, -0x1.9ac31a0f9126ep-16, -0x1.3b570f37bdd2p-16, -0x1.beb7089cf28fp-17, -0x1.0d202bed5f17dp-17, -0x1.85bb68cebc579p-19, 0x1.129c7b4fdbf06p-19, 0x1.ca55e0cb760fep-18, 0x1.7ff27391ff96p-17, 0x1.0a616a06bd4b9p-16, 0x1.51ba73390ab0bp-16, 0x1.96043a2e80358p-16, 0x1.d74b3db80a264p-16, 0x1.0adb6b86f8e64p-15, 0x1.28a5aa7aa0c4dp-15, 0x1.4513f017410d7p-15, 0x1.601bf6be7253dp-15, 0x1.79c2b62715c8fp-15, 0x1.9210bb67297dp-15, 0x1.a9165fe5e80fbp-15, 0x1.bee81b494b28ap-15, 0x1.d39a8430772ecp-15, 0x1.e73fc15ec08a8p-15, 0x1.f9e7717ca2ea2p-15, 0x1.05d223e91e2f1p-14, 0x1.0e387259466dcp-14, 0x1.163785dea649p-14, 0x1.1dd35f26be432p-14, 0x1.25001ddb62e45p-14, 0x1.2bc84a55881aep-14, 0x1.3228f101732eap-14, 0x1.381f205bb566dp-14, 0x1.3daa783deb77bp-14, 0x1.42ccb7973c6e3p-14, 0x1.47886436c246bp-14, 0x1.4bde7a9d10eccp-14, 0x1.4fce62202085ap-14, 0x1.53599e1e106f9p-14, 0x1.56861962a3169p-14, 0x1.595bf077d0e2ep-14, 0x1.5be20c98bddb1p-14, 0x1.5e1cba4b0345dp-14, 0x1.600da8fe43f95p-14, 0x1.61b493fc00dbap-14, 0x1.630fa8f901de1p-14, 0x1.641c6b4b5f14cp-14, 0x1.64d9a0cc57b4ep-14, 0x1.6549961bc2936p-14, 0x1.6573ba7a491eep-14, 0x1.65649f68cfe97p-14, 0x1.652a7bac91857p-14, 0x1.64cd536c6b9f8p-14, 0x1.6448a806968a9p-14, 0x1.638fd430250fp-14, 0x1.629b75d9f17e5p-14, 0x1.6170f3d3ee596p-14, 0x1.60199fadf6032p-14, 0x1.5e9548e2130fdp-14, 0x1.5cdc3774a5af2p-14, 0x1.5aebec209213cp-14, 0x1.58cb309f44f09p-14, 0x1.5683c7e6550f7p-14, 0x1.541c3d899f574p-14, 0x1.5196a3380b4ecp-14, 0x1.4ef29ff6afd4dp-14, 0x1.4c301af7a6ce6p-14, 0x1.49505039dd756p-14, 0x1.4654e65fecffdp-14, 0x1.433f7e2fb0a01p-14, 0x1.400312339f51fp-14, 0x1.3caccdcd19123p-14, 0x1.3937340f5ae7fp-14, 0x1.3595f12900c16p-14, 0x1.31d421de87e93p-14, 0x1.2dfad0e41fde6p-14, 0x1.2a1823870c3fdp-14, 0x1.26325767eaa6p-14, 0x1.223fe823140c8p-14, 0x1.1e351895ea8b2p-14, 0x1.1a146ebdf4377p-14, 0x1.15e7a41f2a281p-14, 0x1.11aea2d68a00bp-14, 0x1.0d620ac9764f4p-14, 0x1.0900669bae4abp-14, 0x1.048f2c79e8419p-14, 0x1.0013fa20cd9ap-14, 0x1.f7230a6bcce0bp-15, 0x1.ee10a4514fd0fp-15, 0x1.e4f00d0578a5bp-15, 0x1.dbc07ed27d6cbp-15, 0x1.d2816eddee7d3p-15, 0x1.c93e9f780d183p-15, 0x1.bfd136ec78debp-15, 0x1.b672ee74c2176p-15, 0x1.ad03896150ffdp-15, 0x1.a38b4055144f8p-15, 0x1.9a0d59c960cep-15, 0x1.9084db0893b89p-15, 0x1.86eed56c7c8cdp-15, 0x1.7d4a246bf8aeap-15, 0x1.73a2f9ed66a12p-15, 0x1.69f01c06543e8p-15, 0x1.604f5ffe7c25fp-15, 0x1.56afef05f2cfcp-15, 0x1.4d0f8d5506f42p-15, 0x1.4372ad619c698p-15, 0x1.39dbfda76930ap-15, 0x1.3045163bb2628p-15, 0x1.26ab91b49301bp-15, 0x1.1d14ec3d8103dp-15, 0x1.1386126864f5dp-15, 0x1.0a00427a9ff26p-15, 0x1.00834344ce93p-15, 0x1.ee1f4af489e56p-16, 0x1.db544617e3c5fp-16, 0x1.c86e843644a7ap-16, 0x1.b5ccb62e283bdp-16, 0x1.a338aac9787a4p-16, 0x1.90ae5ad573c85p-16, 0x1.7e3c90d0fc348p-16, 0x1.6be2bed04e847p-16, 0x1.59a27b1d6a049p-16, 0x1.477d200a1e79dp-16, 0x1.3573a2c5e94f4p-16, 0x1.238644482d26dp-16, 0x1.11b5eabdad385p-16, 0x1.0004f69f323e7p-16, 0x1.dcdae13267537p-17, 0x1.b9eaebe7d1656p-17, 0x1.97390e2ce3e23p-17, 0x1.74c9bf090e40cp-17, 0x1.52a00b61450f7p-17, 0x1.30bb997ae94ap-17, 0x1.0f169d0e3f98dp-17, 0x1.db8090c9ab02dp-18, 0x1.996502c0dd7cfp-18, 0x1.57d023a3e9e85p-18, 0x1.16cbad94b173bp-18, 0x1.acc5f24b81d28p-19, 0x1.2d30f872465fcp-19, 0x1.5d903dcea9ac5p-20, 0x1.8bebcb250bfd2p-22, -0x1.2aa10f43a14e8p-21, -0x1.8b266eceaa2cap-20, -0x1.3f32fa22e3b38p-19, -0x1.b789e76320018p-19, -0x1.17545647706a2p-18, -0x1.524b27fd87e69p-18, -0x1.8ca1e68a9bba1p-18, -0x1.c652568f2078bp-18, -0x1.ff6012c489c82p-18, -0x1.1bd94078e7cf5p-17, -0x1.37b78edd52d43p-17, -0x1.534c5e0f03c32p-17, -0x1.6e9b66943f5f8p-17, -0x1.898da0ce15fap-17, -0x1.a42bac85c5614p-17, -0x1.be78e419b61fap-17, -0x1.d8665dd9e378ap-17, -0x1.f20a04f37862fp-17, -0x1.058352dd16465p-16, -0x1.11fd26392bff4p-16, -0x1.1e71551e55571p-16, -0x1.2a84f00d71ad3p-16, -0x1.367585378f2a4p-16, -0x1.424a65dd8a4b9p-16, -0x1.4df5c6d25663dp-16, -0x1.59787e3c63307p-16, -0x1.64d23dd04bd4dp-16, -0x1.7002b840c401cp-16, -0x1.7b094d4df3c6dp-16, -0x1.85e5358e15becp-16, -0x1.9096b2f6b4f34p-16, -0x1.9b1f950af6b02p-16, -0x1.a58176d9d43f4p-16, -0x1.afbbfdd5b0f5ap-16, -0x1.b9cdd6387974dp-16, -0x1.c3b6a81431b1dp-16, -0x1.cd75ffad92347p-16, -0x1.d70b408064583p-16, -0x1.e0795d840d53p-16, -0x1.e9c2fcfafb9d9p-16, -0x1.f2e5503e2c44ap-16, -0x1.fbe167d782efcp-16, -0x1.0255768549b56p-15, -0x1.06b34ed70c231p-15, -0x1.0af475e40d05cp-15, -0x1.0f218b677187p-15, -0x1.133e3a53b6e3bp-15, -0x1.174ccc4625c5dp-15, -0x1.1b43e08221693p-15, -0x1.1f26d1653a2bep-15, -0x1.22f4df8babd1ep-15, -0x1.26b37f1ceeba3p-15, -0x1.2a63b617e9bc2p-15, -0x1.2dfdeb20e3ca9p-15, -0x1.3185d6e956eebp-15, -0x1.34fd90dda3761p-15, -0x1.3863f2496c7afp-15, -0x1.3bb81ebe93368p-15, -0x1.3efa28f9ddd5p-15, -0x1.422ac015551a2p-15, -0x1.454a5c7cb3529p-15, -0x1.48593a956fa9dp-15, -0x1.4b5701625ffe4p-15, -0x1.4e488ba09be99p-15, -0x1.51228dd3d3bf7p-15, -0x1.53edd5f510f43p-15, -0x1.56aa55505ea5ep-15, -0x1.59516a3f2d07cp-15, -0x1.5bfae016294bap-15, -0x1.5e7b9d5c9aff5p-15, -0x1.60f762646ad9dp-15, -0x1.636687a5e706dp-15, -0x1.65c104e63b429p-15, -0x1.6812b8c430089p-15, -0x1.6a50b7239e3aep-15, -0x1.6c7b3e5f5f68fp-15, -0x1.6e8d77504af4ep-15, -0x1.70ad5f9812036p-15, -0x1.72af324852e84p-15, -0x1.74a4721687cf8p-15, -0x1.768b9bb214d6fp-15, -0x1.786475207b469p-15, -0x1.7a2ed3343acep-15, -0x1.7beb3010c9b3fp-15, -0x1.7d9a88935acd3p-15, -0x1.7f3cb5d13e8b6p-15, -0x1.80d0a3722cfb5p-15, -0x1.8257ecf47457bp-15, -0x1.83d10f02ead9fp-15, -0x1.853dacf26539p-15, -0x1.869e00623fba6p-15, -0x1.87f1c9ea0aedp-15, -0x1.89392182a7eap-15, -0x1.8a7424ed5fd33p-15, -0x1.8ba2da5e107adp-15, -0x1.8cc5a867f5cb9p-15, -0x1.8ddc9eb2db6d3p-15, -0x1.8ee7aeb8c661p-15, -0x1.8fe70fc72bec3p-15, -0x1.90dae2d3dca45p-15, -0x1.91c34ac6693fap-15, -0x1.92a094330bd2fp-15, -0x1.93735f9078551p-15, -0x1.943ccf7a04959p-15, -0x1.94f938e81e3a7p-15, -0x1.95ac49f14aa8cp-15, -0x1.9654321dcdc65p-15, -0x1.96f2b7388d93dp-15, -0x1.97862571998a1p-15, -0x1.980efbc74bf88p-15, -0x1.988e44ce2ce5p-15, -0x1.9903f466fda91p-15, -0x1.996fabcd4cb1cp-15, -0x1.99d1f6ec5a097p-15, -0x1.9a2b3dacd5f37p-15, -0x1.9a78dfa292df7p-15, -0x1.9ac83a48e254ep-15, -0x1.9b0776246d443p-15, -0x1.9b3508c181a9ep-15, -0x1.9b613f5c8820dp-15, -0x1.9b84c3b0966f1p-15, -0x1.9b9f45372d05cp-15, -0x1.9baecbad5c375p-15, -0x1.9bb6c9a6979a8p-15, -0x1.9bbaa5bd7923ep-15, -0x1.9bba62caae71bp-15, -0x1.9babfe4115e7ep-15, -0x1.9b97685a0b7e5p-15, -0x1.9b7929c3a733cp-15, -0x1.9b62d83b8e00bp-15, -0x1.9b265c6da9233p-15, -0x1.9af39b07d1fd3p-15, -0x1.9abb348f49c9ep-15, -0x1.9a77b5dd33d49p-15, -0x1.9a31ce56bd11cp-15, -0x1.99e24c239608dp-15, -0x1.998c8c1c69e2cp-15, -0x1.993109e93b8ffp-15, -0x1.98cd2d63e599cp-15, -0x1.98640b059dcd7p-15, -0x1.97f46badbe028p-15, -0x1.977e27116d3fap-15, -0x1.97045b5f8e5dfp-15, -0x1.967b1986f3f91p-15, -0x1.95f9dab4e61e5p-15, -0x1.956d89b503794p-15, -0x1.94d864bd5b251p-15, -0x1.9440747ae1508p-15, -0x1.93a2a60af087ap-15, -0x1.92ff7ff90ab18p-15, -0x1.92573f5494815p-15, -0x1.91aa087e91635p-15, -0x1.90f7dd890908dp-15, -0x1.904084f1d7d5p-15, -0x1.8f83afe773b61p-15, -0x1.8ec1976d32b2bp-15, -0x1.8dfb1e0883de4p-15, -0x1.8d30bb164ef25p-15, -0x1.8c61f82a9c115p-15, -0x1.8b8e8f91a5ce4p-15, -0x1.8ab5d54827d6ep-15, -0x1.89d89d9657b2p-15, -0x1.88f7a46f5f9ffp-15, -0x1.88121bfd9da21p-15, -0x1.8727a06faf30ep-15, -0x1.8645d1b903a9dp-15, -0x1.854a6ad74afffp-15, -0x1.8458a1532348fp-15, -0x1.836067a71f07p-15, -0x1.8264c816c21b6p-15, -0x1.8165a4a1f24c9p-15, -0x1.80631d48b94c6p-15, -0x1.7f5d1b4c3bfafp-15, -0x1.7e530d0f08b23p-15, -0x1.7d4609227dccbp-15, -0x1.7c3a1981f580ap-15, -0x1.7b25cea67320dp-15, -0x1.7a0a40a3111e4p-15, -0x1.78f89151d2cc2p-15, -0x1.77d9ca1d7992dp-15, -0x1.76bca6f1a5e96p-15, -0x1.759dc997bab02p-15, -0x1.747b89d896991p-15, -0x1.735559d4883ep-15, -0x1.722ad530c237p-15, -0x1.70fd8dafc166ap-15, -0x1.6fcf7396f86bcp-15, -0x1.6ea14ffaf0f41p-15, -0x1.6d723b53e4a7fp-15, -0x1.6c3f024cfa8aep-15, -0x1.6b0711fce1d15p-15, -0x1.69cfd401e6735p-15, -0x1.6894df3d45dd7p-15, -0x1.675533506f227p-15, -0x1.6616a84f25253p-15, -0x1.64d824afd7467p-15, -0x1.6397ab6dd3d5cp-15, -0x1.6254bef96c23fp-15, -0x1.610f470b61e63p-15, -0x1.5fc786947d50ep-15, -0x1.5e7e7a0388fdcp-15, -0x1.5d3628006351p-15, -0x1.5bea2bec1845bp-15, -0x1.5a9cf01057c41p-15, -0x1.594e12fc0c605p-15, -0x1.57fd99ea0dd9cp-15, -0x1.56ac080b894ddp-15, -0x1.555961b957712p-15, -0x1.54055bf62b204p-15, -0x1.52b0a254b7c3dp-15, -0x1.515aa97cf08eep-15, -0x1.50025f526b873p-15, -0x1.4eb4a1c4e8998p-15, -0x1.4d5b514be21edp-15, -0x1.4bf802b4fdc38p-15, -0x1.4a9ff633d99efp-15, -0x1.494510a100858p-15, -0x1.47e8fe62cc3dp-15, -0x1.468ad78eea588p-15, -0x1.45283be8d099cp-15, -0x1.43cde7bcf8217p-15, -0x1.4276a1ad3ad7dp-15, -0x1.411e55c95b253p-15, -0x1.3fb37b3bc267ep-15, -0x1.3e53cb3bc65edp-15, -0x1.3ceffe783c0d7p-15, -0x1.3b8f8c9b000acp-15, -0x1.3a2e669585b12p-15, -0x1.38ca9e64b65cfp-15, -0x1.376c2dbabdb27p-15, -0x1.3608ea71737ebp-15, -0x1.34a4b1a0cf752p-15, -0x1.3342c9e8dbb98p-15, -0x1.31e02ba6ea877p-15, -0x1.307c0e6216706p-15, -0x1.2f178753d57adp-15, -0x1.2db570501ad53p-15, -0x1.2c512ec6ba24cp-15, -0x1.2aee5dc10656cp-15, -0x1.298aac95a9755p-15, -0x1.282716e73b8fap-15, -0x1.26c3f2e628c2ep-15, -0x1.2561743f77f55p-15, -0x1.23ff22e1ef2b9p-15, -0x1.229a7a382a0a9p-15, -0x1.21376c4951719p-15, -0x1.1fd45be39f345p-15, -0x1.1e723352027b1p-15, -0x1.1d0f702df6ceep-15, -0x1.1baca79196c44p-15, -0x1.1a4934bf98c8cp-15, -0x1.18e738119159dp-15, -0x1.1787fbeb0a70ap-15, -0x1.162953e0a8ddbp-15, -0x1.14c5fe460c7a6p-15, -0x1.1365e21598afbp-15, -0x1.120b3ceef8f21p-15, -0x1.10a43500321a7p-15, -0x1.0f44c7d9f5708p-15, -0x1.0de8a9214fd85p-15, -0x1.0c9366564dd6ep-15, -0x1.0b2d061411ed7p-15, -0x1.09cf7597ec01ep-15, -0x1.0877e9b90ebccp-15, -0x1.071986e6ecd59p-15, -0x1.05bdabf8154a7p-15, -0x1.0464fac6d4977p-15, -0x1.0309cef82be93p-15, -0x1.01b24f072f1c3p-15, -0x1.005945253c2aap-15, -0x1.fdf420315b998p-16, -0x1.fb5311cf4834p-16, -0x1.f8a85386e7b19p-16, -0x1.f5fee5c94dc12p-16, -0x1.f35644159fe7ep-16, -0x1.f0ad251b86862p-16, -0x1.ee0a9ecbce91fp-16, -0x1.eb622a005c108p-16, -0x1.e8c27ea81f24cp-16, -0x1.e621329834bf3p-16, -0x1.e37eee18d794dp-16, -0x1.e0dfe75cc7047p-16, -0x1.de44a87ce8a1fp-16, -0x1.dbab7b489bb64p-16, -0x1.d9134160e1e0bp-16, -0x1.d67d4e53b623dp-16, -0x1.d3e76111d8a1p-16, -0x1.d165c55c191b1p-16, -0x1.cec1951d4cbf2p-16, -0x1.cc3490479d20bp-16, -0x1.c9a7aea6ec2f1p-16, -0x1.c71cbec18ba39p-16, -0x1.c492a509df5c7p-16, -0x1.c20ceeed05a2bp-16, -0x1.bf87b3f42a092p-16, -0x1.bd01e3534d75ep-16, -0x1.ba7cd0ce56fe5p-16, -0x1.b80033dc5c544p-16, -0x1.b57d0619c080bp-16, -0x1.b300cb9147d9ep-16, -0x1.b08607407adc8p-16, -0x1.ae166e21d37b5p-16, -0x1.ab9d38ad982b7p-16, -0x1.a936d9ef62ec1p-16, -0x1.a6b41c3a92e22p-16, -0x1.a453ebeb22971p-16, -0x1.a1d9d90170dbbp-16, -0x1.9f6ed367c111ep-16, -0x1.9d0d1c87efd2p-16, -0x1.9aaa5577414acp-16, -0x1.98441b95d783fp-16, -0x1.95e6a09b46de7p-16, -0x1.937e0b13ee126p-16, -0x1.9120e4143a049p-16, -0x1.8ec2ab34db189p-16, -0x1.8c70bfeddcd96p-16, -0x1.8a1ac80fada94p-16, -0x1.87c52f08aac26p-16, -0x1.8577a69556b6ep-16, -0x1.830f5f7622bdep-16, -0x1.80d8286aa5601p-16, -0x1.7e8c859c00c3p-16, -0x1.7c43af1a7fc94p-16, -0x1.7a01e4464f071p-16, -0x1.77c39dd759abp-16, -0x1.757defdf364f2p-16, -0x1.734477eb62509p-16, -0x1.710251e1adcffp-16, -0x1.6ec59f6d6aec2p-16, -0x1.6c9159d08f0aap-16, -0x1.6a60191885ad8p-16, -0x1.682937d498733p-16, -0x1.65fb76773a6a9p-16, -0x1.63c92a771e5f4p-16, -0x1.61a409c83f9d3p-16, -0x1.5f87e0e1acffcp-16, -0x1.5d506acfe08c9p-16, -0x1.5b2b9c2e5df72p-16, -0x1.590b3b772ed1p-16, -0x1.56ef4b2b0d3ebp-16, -0x1.54d497a3ed16cp-16, -0x1.52b0a0608a805p-16, -0x1.50af93aa225c1p-16, -0x1.4e82a3e776fccp-16, -0x1.4c71053d78383p-16, -0x1.4a609c98b3048p-16, -0x1.4851fb318d6f3p-16, -0x1.464554563128ap-16, -0x1.44383f3ce802ap-16, -0x1.4240707d25cc8p-16, -0x1.402eb4897bdadp-16, -0x1.3e2dfcb3ee90cp-16, -0x1.3c38e6cf261acp-16, -0x1.3a30786f3ad64p-16, -0x1.38345f3128f6bp-16, -0x1.363d6b7b4f33bp-16, -0x1.34459c97bdd2dp-16, -0x1.324e97727192ap-16, -0x1.306386cbd1964p-16, -0x1.2e75063e0fb6bp-16, -0x1.2c8a07aea76ccp-16, -0x1.2ab539f87643bp-16, -0x1.28adef2804528p-16, -0x1.26d8b5ae8e264p-16, -0x1.24ec1ee7b03b7p-16, -0x1.230d6f0c17bbcp-16, -0x1.212ac8ec8e852p-16, -0x1.1f55c48f77cf9p-16, -0x1.1d79d95886ecep-16, -0x1.1ba3589d39943p-16, -0x1.19cf3d23ecdc4p-16, -0x1.17fdd29962a6p-16, -0x1.162f0d2ed58fp-16, -0x1.1462ab473dc8ep-16, -0x1.1298784efae21p-16, -0x1.10cf93ad8a1e3p-16, -0x1.0f07f19612422p-16, -0x1.0d453a938f1ecp-16, -0x1.0b874e557ed2dp-16, -0x1.09ce0048e6d45p-16, -0x1.080a6d45419d9p-16, -0x1.064d59031ccd5p-16, -0x1.0498a100cc5c2p-16, -0x1.02dfbf7f43236p-16, -0x1.012ca308ed7bbp-16, -0x1.fef85c67f80fdp-17, -0x1.fb9cd45c02eb6p-17, -0x1.f841f799ee72p-17, -0x1.f51b746bef951p-17, -0x1.f1903d133cfc2p-17, -0x1.ee4da1961fd2fp-17, -0x1.eb269f4323aa6p-17, -0x1.e7bf02038036ep-17, -0x1.e49ef721c9f56p-17, -0x1.e154edb07835ep-17, -0x1.de51b78f0fc4dp-17, -0x1.daf03bf64339dp-17, -0x1.d7c6fb6203b55p-17, -0x1.d49d4ddf2dda7p-17, -0x1.d178e8ad16abbp-17, -0x1.ce5548036acf5p-17, -0x1.cb4e4f21ba9bbp-17, }}, 
      {{-0x1.68346dc4043f7p-1, -0x1.4ceabd1688296p-1, -0x1.4af0649ddfc36p-1, -0x1.60c9961a568efp-1, -0x1.84fcec076f589p-1, -0x1.add7ecf98224ep-1, -0x1.d406767b088bbp-1, -0x1.f2fe6924095e5p-1, -0x1.044b556365748p+0, -0x1.0a31b34e522b5p+0, -0x1.0b8c9e3e80819p+0, -0x1.09076cbdab73dp+0, -0x1.03707b900b154p+0, -0x1.f734ae391c99dp-1, -0x1.e4918f68a7118p-1, -0x1.d04cff3f92912p-1, -0x1.bb816ca733a8ep-1, -0x1.a70d2d1830dbfp-1, -0x1.939604c536537p-1, -0x1.818f413abc6dbp-1, -0x1.714102716a325p-1, -0x1.62cfc6845fd32p-1, -0x1.5643a93f97dbep-1, -0x1.4b8f0c6316c02p-1, -0x1.42947acf04563p-1, -0x1.3b2bae9b0690fp-1, -0x1.3525c2f9177f6p-1, -0x1.30509905d0e73p-1, -0x1.2c7983b5062f7p-1, -0x1.296f49970d285p-1, -0x1.2703999839f2ep-1, -0x1.250c0d3358843p-1, -0x1.2362be4f048f4p-1, -0x1.21e6980864afdp-1, -0x1.207b632fc3511p-1, -0x1.1f09a87b1d686p-1, -0x1.1d7e7392f4342p-1, -0x1.1bcafc442726bp-1, -0x1.19e443f79c1c2p-1, -0x1.17c2ae93b1a89p-1, -0x1.15619327410c3p-1, -0x1.12bed5f241801p-1, -0x1.0fda8261853dap-1, -0x1.0cb66b6f3eb54p-1, -0x1.0955d58549bfep-1, -0x1.05bd24bf8d883p-1, -0x1.01f1971fa9225p-1, -0x1.fbf20ed5ac18cp-2, -0x1.f3b36a849e222p-2, -0x1.eb342cb841777p-2, -0x1.e281619470dffp-2, -0x1.d9a7f3bbee19ep-2, -0x1.d0b47c111f87dp-2, -0x1.c7b30eb5b9a4p-2, -0x1.beaf274a5df3ap-2, -0x1.b5b386e6135p-2, -0x1.acca297dd7677p-2, -0x1.a3fc393af2e79p-2, -0x1.9b520953e6996p-2, -0x1.92d314965b645p-2, -0x1.8a85ff1ede445p-2, -0x1.82709c2045bf3p-2, -0x1.7a97f459b66b8p-2, -0x1.730050099eedp-2, -0x1.6bad3f15f74e4p-2, -0x1.64a1a58e88ff4p-2, -0x1.5ddfc42ad1206p-2, -0x1.576946d3f3b16p-2, -0x1.513f4ede0af58p-2, -0x1.4b627e2d0db19p-2, -0x1.45d303da523dcp-2, -0x1.4090a660fd22bp-2, -0x1.3b9ace500bc3cp-2, -0x1.36f090caf40cdp-2, -0x1.3290b82f99ap-2, -0x1.2e79cd5afcff9p-2, -0x1.2aaa201777abp-2, -0x1.271fcf1b32fb1p-2, -0x1.23d8cede81622p-2, -0x1.20d2f0d1502e6p-2, -0x1.1e0be9bf446b5p-2, -0x1.1b8156ceb4bb4p-2, -0x1.1930c2bf3e144p-2, -0x1.1717abd906706p-2, -0x1.1533872d3f198p-2, -0x1.1381c45f04038p-2, -0x1.11ffd249e480ep-2, -0x1.10ab20e70c188p-2, -0x1.0f812442016edp-2, -0x1.0e7f576b1b5d6p-2, -0x1.0da33eb76610fp-2, -0x1.0cea68d1e65cep-2, -0x1.0c52711365d9fp-2, -0x1.0bd900ac41464p-2, -0x1.0b7bcff595061p-2, -0x1.0b38a78c2fa5p-2, -0x1.0b0d60e311bdp-2, -0x1.0af7e73984057p-2, -0x1.0af637699f26p-2, -0x1.0b066157fc068p-2, -0x1.0b2687909da26p-2, -0x1.0b54dfbd8af2fp-2, -0x1.0b8fb2532786cp-2, -0x1.0bd55aef8a774p-2, -0x1.0c2447bfaf2c1p-2, -0x1.0c7af9dace356p-2, -0x1.0cd804f26707ap-2, -0x1.0d3a0efe2bf11p-2, -0x1.0d9fcfa151a67p-2, -0x1.0e080ff6505dp-2, -0x1.0e71aa5058433p-2, -0x1.0edb89cc01addp-2, -0x1.0f44a98b0255bp-2, -0x1.0fac14a457a9bp-2, -0x1.1010e5873af1cp-2, -0x1.10724567ace01p-2, -0x1.10cf6bce48153p-2, -0x1.11279de19a69cp-2, -0x1.117a2e5e074b9p-2, -0x1.11c67ce1fff13p-2, -0x1.120bf534f246cp-2, -0x1.124a0f04022d9p-2, -0x1.12804d73aa3c5p-2, -0x1.12ae3e6ba143fp-2, -0x1.12d37a4428c13p-2, -0x1.12efa33f7f5c4p-2, -0x1.1302650cb6f13p-2, -0x1.130b74911b921p-2, -0x1.130a8f3fea763p-2, -0x1.12ff7aaa02a0ep-2, -0x1.12ea045564ecfp-2, -0x1.12ca014534226p-2, -0x1.129f4d0c2bcffp-2, -0x1.1269ca3ccf19p-2, -0x1.122961d5e9b86p-2, -0x1.11de026ff4595p-2, -0x1.1187a041f6f52p-2, -0x1.112635341b8d5p-2, -0x1.10b9bffcd8903p-2, -0x1.104243c3b6689p-2, -0x1.0fbfc865aed6p-2, -0x1.0f325a0dbaf7fp-2, -0x1.0e9a08828cc62p-2, -0x1.0df6e70c5dcddp-2, -0x1.0d490c8f867d8p-2, -0x1.0c90934a2bed1p-2, -0x1.0bcd98285f2b5p-2, -0x1.0b003ac00c39ep-2, -0x1.0a289d84e1de1p-2, -0x1.0946e54411076p-2, -0x1.085b38ad6a53bp-2, -0x1.0765c07d38243p-2, -0x1.0666a793a1acep-2, -0x1.055e1a75d49e6p-2, -0x1.044c46ecd01ebp-2, -0x1.03315c2b7ad0ep-2, -0x1.020d8aed9f266p-2, -0x1.00e10515020e6p-2, -0x1.ff57fa803d9fap-3, -0x1.fcdd4dacac427p-3, -0x1.fa526cb6661a6p-3, -0x1.f7b7c232b950ep-3, -0x1.f50db96defa76p-3, -0x1.f254be80caa99p-3, -0x1.ef8d3e847ca5dp-3, -0x1.ecb7a773d7762p-3, -0x1.e9d467ac24cc4p-3, -0x1.e6e3eda179aep-3, -0x1.e3e6a7d6713d1p-3, -0x1.e0dd051d12c63p-3, -0x1.ddc77468dc1a2p-3, -0x1.daa664373ba97p-3, -0x1.d77a4291f2f76p-3, -0x1.d4437ceb43cb8p-3, -0x1.d10280d461b05p-3, -0x1.cdb7badbc9205p-3, -0x1.ca6396e50362ap-3, -0x1.c7067fcf1b0afp-3, -0x1.c3a0e02e2dea9p-3, -0x1.c03320922a1e2p-3, -0x1.bcbdaa1f10856p-3, -0x1.b940e3c8fe8b8p-3, -0x1.b5bd32f9e6968p-3, -0x1.b232fcf2395e3p-3, -0x1.aea2a58dadaf9p-3, -0x1.ab0c8eb0b6d8ep-3, -0x1.a7711a212048bp-3, -0x1.a3d0a6ba12538p-3, -0x1.a02b933cbb753p-3, -0x1.9c823b6e3e14cp-3, -0x1.98d4fbeab71d1p-3, -0x1.95242e00b54c8p-3, -0x1.917029f906be9p-3, -0x1.8db9472674a6dp-3, -0x1.89ffd9b9156a5p-3, -0x1.864436736bfb2p-3, -0x1.8286aecce3cccp-3, -0x1.7ec793801d4fap-3, -0x1.7b07333dc7e6ep-3, -0x1.7745dc05696cep-3, -0x1.7383d82bf84bap-3, -0x1.6fc172f35b066p-3, -0x1.6bfef41a982dp-3, -0x1.683ca2aad7b5cp-3, -0x1.647ac3a7f6a64p-3, -0x1.60b99b419f1bp-3, -0x1.5cf96a0fd8a38p-3, -0x1.593a715bedda9p-3, -0x1.557cefd89ceedp-3, -0x1.51c1227732c35p-3, -0x1.4e0744ba90ef8p-3, -0x1.4a4f907f48437p-3, -0x1.469a3de4df0b2p-3, -0x1.42e784a0a273bp-3, -0x1.3f3798af75a42p-3, -0x1.3b8aaf0dd261bp-3, -0x1.37e0f92195233p-3, -0x1.343aa7d65c834p-3, -0x1.3097ea6231592p-3, -0x1.2cf8ee7ead438p-3, -0x1.295de0540b328p-3, -0x1.25c6eb80ef032p-3, -0x1.2234383c14acep-3, -0x1.1ea5ef0159e42p-3, -0x1.1b1c3709b7f6p-3, -0x1.17973505f5e4p-3, -0x1.14170cf30692ep-3, -0x1.109be16ced323p-3, -0x1.0d25d3c835c74p-3, -0x1.09b5040d883d9p-3, -0x1.064990b73cac6p-3, -0x1.02e3984455ad5p-3, -0x1.ff066aaf2b024p-4, -0x1.f851089ad7921p-4, -0x1.f1a73cd70a364p-4, -0x1.eb0938f76ad47p-4, -0x1.e4772c2c49b74p-4, -0x1.ddf14353bdc4fp-4, -0x1.d777a90b5d85dp-4, -0x1.d10a85ccccb1dp-4, -0x1.caa9fff094818p-4, -0x1.c4563b43b86bdp-4, -0x1.be0f5c5098eedp-4, -0x1.b7d57fc84753fp-4, -0x1.b1a8c658d309bp-4, -0x1.ab894bf834dd4p-4, -0x1.a5772b58ac569p-4, -0x1.9f727c7838586p-4, -0x1.997b56b27650cp-4, -0x1.9391cf17d8a7p-4, -0x1.8db5f90f995bdp-4, -0x1.87e7e65acdfd4p-4, -0x1.8227a7162b3eap-4, -0x1.7c75499c365bbp-4, -0x1.76d0db1af9d9bp-4, -0x1.713a67b86eec8p-4, -0x1.6bb1f6fd0e377p-4, -0x1.663794b66976bp-4, -0x1.60cb45e8404aep-4, -0x1.5b6d10d454a27p-4, -0x1.561cf9ea9d97ep-4, -0x1.50db0441a6181p-4, -0x1.4ba731b171c2bp-4, -0x1.468182db8d891p-4, -0x1.4169f72f8e8f6p-4, -0x1.3c608cf20fd4p-4, -0x1.376541460b13p-4, -0x1.327810191d5abp-4, -0x1.2d98f406c2c79p-4, -0x1.28c7e8be422eap-4, -0x1.2404e4723e6acp-4, -0x1.1f4fe1bd8eeecp-4, -0x1.1aa8d6019dc42p-4, -0x1.160fb7c3472ccp-4, -0x1.11847c650639fp-4, -0x1.0d07184f5b3ecp-4, -0x1.08977f1128802p-4, -0x1.0435a36ca736ap-4, -0x1.ffc2eec040b63p-5, -0x1.f735d8626499p-5, -0x1.eec3e4d81950ep-5, -0x1.e66cf3e4d614p-5, -0x1.de30e3f46b176p-5, -0x1.d60f91de1d1f8p-5, -0x1.ce08d8fedfbbfp-5, -0x1.c61c97543cf38p-5, -0x1.be4aa12ef15c7p-5, -0x1.b692d43014ecfp-5, -0x1.aef504bdc4cf2p-5, -0x1.a77109d1964adp-5, -0x1.a006b929bdc81p-5, -0x1.98b5e764a8e29p-5, -0x1.917e684d5a7fep-5, -0x1.8a600e9b263eap-5, -0x1.835aacd4564fp-5, -0x1.7c6e13f5f976ep-5, -0x1.759a14e49b005p-5, -0x1.6ede7f8e3f4bbp-5, -0x1.683b23473cf7bp-5, -0x1.61afcece3f34fp-5, -0x1.5b3c504f5a9b9p-5, -0x1.54e075283eb07p-5, -0x1.4e9c0a0d4d1a2p-5, -0x1.486edef763ad6p-5, -0x1.4258bac66669dp-5, -0x1.3c596e14f5636p-5, -0x1.3670c1f3a60fbp-5, -0x1.309e81a50b7e3p-5, -0x1.2ae278433d89dp-5, -0x1.253c7046543bdp-5, -0x1.1fac33f9aacp-5, -0x1.1a318d82c8d0cp-5, -0x1.14cc468e6a9dp-5, -0x1.0f7c289af0a39p-5, -0x1.0a40fd57ffedcp-5, -0x1.051a8e39fa04ap-5, -0x1.0008a430a851ep-5, -0x1.f6161072e4a09p-6, -0x1.ec4307652e2f1p-6, -0x1.e297bfa4f5f75p-6, -0x1.d913cae12bc0cp-6, -0x1.cfb6ba4f0b9p-6, -0x1.c6801d7e06af8p-6, -0x1.bd6f92379c92p-6, -0x1.b4849aeb440d7p-6, -0x1.abbed0254711fp-6, -0x1.a31dc896d14c7p-6, -0x1.9aa11251f722fp-6, -0x1.9248412c5e082p-6, -0x1.8a12e8897f11cp-6, -0x1.82009c2503bd6p-6, -0x1.7a10ef89cc7cep-6, -0x1.724376507a4e9p-6, -0x1.6a97c5de3e6ddp-6, -0x1.630d72db7d505p-6, -0x1.5ba41285a121bp-6, -0x1.545b3acb181e2p-6, -0x1.4d3282680007bp-6, -0x1.46297febdeb4bp-6, -0x1.3f3fca3f0ad3cp-6, -0x1.3874f98cd4f18p-6, -0x1.31c8a6c1c96c4p-6, -0x1.2b3a6ac606fe9p-6, -0x1.24c9deb91f2b5p-6, -0x1.1e769c1e2e17ap-6, -0x1.18403f6a8ed11p-6, -0x1.12266712d15eep-6, -0x1.0c28a69068d25p-6, -0x1.0646a3f6931a1p-6, -0x1.007ff8b7920c7p-6, -0x1.f5a886da099cp-7, -0x1.ea86471af7012p-7, -0x1.df9870cc4f8ddp-7, -0x1.d4de44c7eb7efp-7, -0x1.ca5706b5d24dp-7, -0x1.c001fae8aef2bp-7, -0x1.b5de65ff34698p-7, -0x1.abeb8ef2e2ea7p-7, -0x1.a228bf7420463p-7, -0x1.9895426f9022dp-7, -0x1.8f3063fbc9a55p-7, -0x1.85f971aed6f06p-7, -0x1.7cefba2730e22p-7, -0x1.74128dcff9eadp-7, -0x1.6b613f8fe87f3p-7, -0x1.62db25a5f5f03p-7, -0x1.5a7f945b191efp-7, -0x1.524de2f4e6d8p-7, -0x1.4a456b05aa0dep-7, -0x1.426587835b31bp-7, -0x1.3aad91558689fp-7, -0x1.331cfcd67083p-7, -0x1.2bb30b0840152p-7, -0x1.246f299e1b8cfp-7, -0x1.1d50c54199f87p-7, -0x1.16573936c7e2ep-7, -0x1.0f81efa8bd04fp-7, -0x1.08d05228e7fa5p-7, -0x1.0241ca5335c49p-7, -0x1.f7ab874f06bc9p-8, -0x1.eb175970c3e64p-8, -0x1.dec5eb9b8df37p-8, -0x1.d2b620322dc0cp-8, -0x1.c6e6dcba8cbfdp-8, -0x1.bb570acc5d146p-8, -0x1.b00597f42fa1ep-8, -0x1.a4f174a33fd8ep-8, -0x1.9a199336c3246p-8, -0x1.8f7ce9cf952cep-8, -0x1.851a7464eb5fp-8, -0x1.7af132236f5c6p-8, -0x1.71002294f7cf8p-8, -0x1.6746481f02f7cp-8, -0x1.5dc2ab1bd8133p-8, -0x1.547457ad7df3ep-8, -0x1.4b5a5c2d71805p-8, -0x1.4273c907441d7p-8, -0x1.39bfb0a5b24fep-8, -0x1.313d22d9b199fp-8, -0x1.28eb68ddd9297p-8, -0x1.20c95f821bc74p-8, -0x1.18d63debf74a2p-8, -0x1.1111410edbb4fp-8, -0x1.097979846f0a6p-8, -0x1.020e1845dfa64p-8, -0x1.f59c979c075ep-9, -0x1.e77284ec3bc89p-9, -0x1.d99c5cdd51e85p-9, -0x1.cc188f0730199p-9, -0x1.bee590f3b3736p-9, -0x1.b201db36a128ap-9, -0x1.a56beb45bd30dp-9, -0x1.99224488a1977p-9, -0x1.8d23700377492p-9, -0x1.816dfc033b319p-9, -0x1.76007c4625dffp-9, -0x1.6ad98a01bb04ap-9, -0x1.5ff7c2c448618p-9, -0x1.5559c82dacf74p-9, -0x1.4afe44974dd9ep-9, -0x1.40e3edd8c141ap-9, -0x1.37097f7213877p-9, -0x1.2d6db65d17e0bp-9, -0x1.240f547d5c2c5p-9, -0x1.1aed244af66b1p-9, -0x1.1205f5622c2d4p-9, -0x1.0958967802a2p-9, -0x1.00e3d60f5fa6ep-9, -0x1.f14d03569bbeep-10, -0x1.e13ecc5cc413ep-10, -0x1.d19b5d29af203p-10, -0x1.c25f9230b88a5p-10, -0x1.b389a2d404d1dp-10, -0x1.a517ab9aa9d8dp-10, -0x1.97075ce1ab929p-10, -0x1.8956c0ea43f81p-10, -0x1.7c03da03a2f03p-10, -0x1.6f0cb1b46564cp-10, -0x1.626f5bcd2fd5ep-10, -0x1.5629eba4f51d2p-10, -0x1.4a3a6efbf335cp-10, -0x1.3e9efa6caa0d6p-10, -0x1.3355b7610e05bp-10, -0x1.285ce1e7dcd5fp-10, -0x1.1db2c279ab113p-10, -0x1.1355afc6c2c7fp-10, -0x1.09441015422bcp-10, -0x1.fef8aac48e4a9p-11, -0x1.ebf9eea1b089ep-11, -0x1.d988d789570e8p-11, -0x1.c7a2420ecfcebp-11, -0x1.b642f7e3ac3f4p-11, -0x1.a567af9400d6bp-11, -0x1.950d17328a1d4p-11, -0x1.852fde7ecd8adp-11, -0x1.75ccc2d6dbf0cp-11, -0x1.66e0a428f1454p-11, -0x1.5868a3adb8f23p-11, -0x1.4a622b10fc269p-11, -0x1.3ccad4c281a1bp-11, -0x1.2fa05b339e896p-11, -0x1.22e09ae990a82p-11, -0x1.1689735e375a1p-11, -0x1.0a990a9e59e4cp-11, -0x1.fe1b2b7993ec5p-12, -0x1.e7c7479d36c89p-12, -0x1.d23375207d2d4p-12, -0x1.bd5a12bb5d82fp-12, -0x1.a9360ca738b6ep-12, -0x1.95c0377f5613p-12, -0x1.82f6ec7813317p-12, -0x1.70d2d34070478p-12, -0x1.5f5015a678b49p-12, -0x1.4e6aff6bf85b9p-12, -0x1.3e1fcf173bf09p-12, -0x1.2e6b335f619e5p-12, -0x1.1f49fdc936aadp-12, -0x1.10b8fa9e2ca81p-12, -0x1.02b4e5d34246p-12, -0x1.ea74d7b12448cp-13, -0x1.d08c32167efeep-13, -0x1.b7a8705e91975p-13, -0x1.9fc1c36e1653ap-13, -0x1.88d07a223226cp-13, -0x1.72cd4dd6c07a4p-13, -0x1.5db150be35b27p-13, -0x1.4975edd044d4ap-13, -0x1.36151398bc46dp-13, -0x1.2389443e539b6p-13, -0x1.11cd7d59595b6p-13, -0x1.00dd0affcd6f7p-13, -0x1.e166ac1cac8efp-14, -0x1.c2976ffaded07p-14, -0x1.a542b45984b2bp-14, -0x1.895e4b2a3148p-14, -0x1.6edf8ffc93caap-14, -0x1.55bb8ec5bd102p-14, -0x1.3de743b3f379p-14, -0x1.2757af8eb43b8p-14, -0x1.1200bd000923bp-14, -0x1.fbc2e3ab2c15p-15, -0x1.d5c74287f592cp-15, -0x1.b1ff7b20ed5afp-15, -0x1.906d2fa46a3edp-15, -0x1.70f22d48625cbp-15, -0x1.537e5d9167257p-15, -0x1.3800bd8438a86p-15, -0x1.1e6977a50d802p-15, -0x1.06aa907d9dd2bp-15, -0x1.e16f0ff3903aap-16, -0x1.b9091a612e6eap-16, -0x1.940a6ffeb8ca4p-16, -0x1.72583cb97e15fp-16, -0x1.53d7ccb39496cp-16, -0x1.386f5456ac859p-16, -0x1.2007191ab46b6p-16, -0x1.0a8976047d5e9p-16, -0x1.efbdeb40fc612p-17, -0x1.cfe3191848ecdp-17, -0x1.b555f598efe6dp-17, -0x1.9fe4b46d472bdp-17, -0x1.8f5a2e3a04147p-17, -0x1.837d255e5b5f4p-17, -0x1.7c17c1ffc041ap-17, -0x1.78fc9733b5df5p-17, -0x1.7a04764d5a5b9p-17, -0x1.7f0d3dc86633ep-17, -0x1.87f1ac6cdf5f1p-17, -0x1.94886e8bae711p-17, -0x1.a4a48b34fba0ep-17, -0x1.b816ba545c9cep-17, -0x1.ceb1d89a04fe8p-17, -0x1.e8529b27febcp-17, -0x1.02732c1b11368p-16, -0x1.123395b5f6c9fp-16, -0x1.23683c2dd5cd6p-16, -0x1.360a911bfc029p-16, -0x1.4a0cb3b7af07ap-16, -0x1.5f554f5de4accp-16, -0x1.75d297e7815adp-16, -0x1.8d692fdf9a367p-16, -0x1.a5e0b1e8deaddp-16, -0x1.bf4c548052e51p-16, -0x1.d99812085c204p-16, -0x1.f4c44cd37b1e4p-16, -0x1.086ae11258d58p-15, -0x1.16e5680c8ffadp-15, -0x1.25ccf7c1c2ebfp-15, -0x1.3519a64cd3efep-15, -0x1.44c27b697139fp-15, -0x1.54bf78b576189p-15, -0x1.650a835b5e7a2p-15, -0x1.759f0651cc4e5p-15, -0x1.8678dd930f94p-15, -0x1.979363ffcf44dp-15, -0x1.a8e97a683409fp-15, -0x1.ba76830cfdd63p-15, -0x1.cc36a7cbb55d3p-15, -0x1.de2560559fafp-15, -0x1.f03beaf3beaabp-15, -0x1.0138eca8fe817p-14, -0x1.0a5fbf45ee98cp-14, -0x1.138ffffc21216p-14, -0x1.1cc8d7ce73e59p-14, -0x1.260a98992ac8ep-14, -0x1.2f55f5a6e8d45p-14, -0x1.38ab2eb983dd9p-14, -0x1.420995398c3bp-14, -0x1.4b70715f38bc7p-14, -0x1.54dc0578873acp-14, -0x1.5e4d4ad2127ep-14, -0x1.67c0077269d02p-14, -0x1.713685658f55p-14, -0x1.7aaf0cf4ee48cp-14, -0x1.84285a2905ca7p-14, -0x1.8da0728edc3dbp-14, -0x1.97150429ea4f9p-14, -0x1.a083c69c9b127p-14, -0x1.a9eab88284a9dp-14, -0x1.b3480d45dd1e4p-14, -0x1.bc98e1c62cbedp-14, -0x1.c5e18f0539494p-14, -0x1.cf19305a2df6cp-14, -0x1.d83df063cdc5ap-14, -0x1.e15827e7e4cebp-14, -0x1.ea61a94e8b47cp-14, -0x1.f35b3c431528fp-14, -0x1.fc45981a870d4p-14, -0x1.02905f145cbf3p-13, -0x1.06f60e80df3e6p-13, -0x1.0b53770ca733p-13, -0x1.0fa86ab5a70bcp-13, -0x1.13f4f99fe1748p-13, -0x1.183904b0a0efbp-13, -0x1.1c73f930a9007p-13, -0x1.20a50d5e60431p-13, -0x1.24cb9792f7eabp-13, -0x1.28e72d9def9b3p-13, -0x1.2cf7aa9c0a19bp-13, -0x1.30fd179653e26p-13, -0x1.34f7a0e9a0561p-13, -0x1.38e78360084bep-13, -0x1.3cccdf7b1614p-13, -0x1.40a785b0f7a6ep-13, -0x1.4476d2a3dc244p-13, -0x1.4839b04735edfp-13, -0x1.4beee66b20323p-13, -0x1.4f95cd59db8c2p-13, -0x1.532eda9a08c34p-13, -0x1.56bb3a4a211e7p-13, -0x1.5a3b9f6077851p-13, -0x1.5daf9e3084d89p-13, -0x1.61167742da32cp-13, -0x1.647042474bedap-13, -0x1.67bdbd77ab254p-13, -0x1.6aff31da50b25p-13, -0x1.6e3419f6058afp-13, -0x1.715baae4059bdp-13, -0x1.7475653206f66p-13, -0x1.77813c6cd8db3p-13, -0x1.7a7f620cee53fp-13, -0x1.7d6ff299190b9p-13, -0x1.8052d7878783fp-13, -0x1.8327e992f12f7p-13, -0x1.85eec21bbefd5p-13, -0x1.88ab1887a61eap-13, -0x1.8b584a2df7a26p-13, -0x1.8df7767be7c2bp-13, -0x1.908c489dbef65p-13, -0x1.93142d4518e8ap-13, -0x1.958eb4f27711cp-13, -0x1.97fae0afc398ep-13, -0x1.9a58508cdb379p-13, -0x1.9ca7ec71653f9p-13, -0x1.9eeac8252745cp-13, -0x1.a120cde44b4ecp-13, -0x1.a34950f1b4a53p-13, -0x1.a5646bccaad8ep-13, -0x1.a772d1cfa09a8p-13, -0x1.a974c53378bb5p-13, -0x1.ab69fc9810034p-13, -0x1.ad522457b3c7bp-13, -0x1.af2d1df4e482dp-13, -0x1.b0fafb2afea09p-13, -0x1.b2bbe78e31f41p-13, -0x1.b47011683b534p-13, -0x1.b6179faba6dep-13, -0x1.b7b160014fd16p-13, -0x1.b9422bdc56a44p-13, -0x1.bac3c9462518ep-13, -0x1.bc39d2d23e95ep-13, -0x1.bda39feabad89p-13, -0x1.bf011a801d848p-13, -0x1.c052a9aad797ep-13, -0x1.c198a101ed09p-13, -0x1.c2d37986cf658p-13, -0x1.c401940b2cc9fp-13, -0x1.c52603daf511ap-13, -0x1.c63c94d565919p-13, -0x1.c74810c361152p-13, -0x1.c848469315ac1p-13, -0x1.c93d2a1b7f914p-13, -0x1.ca26bec14081p-13, -0x1.cb0560c40300fp-13, -0x1.cbd945fe09d82p-13, -0x1.cca25ae775e06p-13, -0x1.cd6093232891cp-13, -0x1.ce140563a5241p-13, -0x1.cebcd6e60d509p-13, -0x1.cf5b025977208p-13, -0x1.cfee0b7128f9dp-13, -0x1.d07a326f3f87fp-13, -0x1.d0f890e5d2861p-13, -0x1.d16d6bf6e5767p-13, -0x1.d1d9361c1e207p-13, -0x1.d23b01380fe7ap-13, -0x1.d293108b2f71bp-13, -0x1.d2e17ec7a684ap-13, -0x1.d32665dc99cbbp-13, -0x1.d361e4ac37cd1p-13, -0x1.d3942abb90ca6p-13, -0x1.d3bd3a2b8159ep-13, -0x1.d3dcdfe0296c7p-13, -0x1.d3f43ed5babcfp-13, -0x1.d4027630f1613p-13, -0x1.d407ea440cecbp-13, -0x1.d404cff51daf3p-13, -0x1.d3f92b7ecfca4p-13, -0x1.d3e5159c4b645p-13, -0x1.d3c8cde8d5e4bp-13, -0x1.d3a412bb5ab3fp-13, -0x1.d37750c68fe2cp-13, -0x1.d342bd9852e37p-13, -0x1.d3064acb443a4p-13, -0x1.d2c1f6e309608p-13, -0x1.d275df03a4914p-13, -0x1.d2223ebbbc982p-13, -0x1.d1c74b15c6d0cp-13, -0x1.d1651af0ba254p-13, -0x1.d0fbafe3f222dp-13, -0x1.d08b10dc91ff6p-13, -0x1.d0135ccaa0967p-13, -0x1.cf94c4cba73dep-13, -0x1.cf0f6e2ae2ab4p-13, -0x1.ce83638c77786p-13, -0x1.cdf0b731412eep-13, -0x1.cd57966eaf27bp-13, -0x1.ccb7c4a355c4cp-13, -0x1.cc11d4f925e1cp-13, -0x1.cb65cf07db03p-13, -0x1.cab3d715d2e3cp-13, -0x1.c9fbb4649f302p-13, -0x1.c93d9ee74fb8bp-13, -0x1.c879cdf14e239p-13, -0x1.c7b08e7fbced7p-13, -0x1.c6e2114d1f8fap-13, -0x1.c60b7da696ba6p-13, -0x1.c530b868a47e7p-13, -0x1.c4539b6a3b2d4p-13, -0x1.c36daebd3feb7p-13, -0x1.c2832ab3e26dfp-13, -0x1.c19468ebd0387p-13, -0x1.c0a08f664a7dp-13, -0x1.bfa7daef9fb9cp-13, -0x1.beaa66359db6bp-13, -0x1.bda8455d74975p-13, -0x1.bca18616a3d3ap-13, -0x1.bb96334187d7bp-13, -0x1.ba8664885ea59p-13, -0x1.b97244fc458b7p-13, -0x1.b859fc9f16461p-13, -0x1.b73d99bdfa769p-13, -0x1.b61d1c82f682ap-13, -0x1.b4f891ce78b6fp-13, -0x1.b3d00db6e4c99p-13, -0x1.b2a3a4b2f7c0cp-13, -0x1.b17384b556ed5p-13, -0x1.b03fd37206754p-13, -0x1.af0886c30bc2ap-13, -0x1.adcde26131e75p-13, -0x1.ac8ee6e2bd474p-13, -0x1.ab4e50835e541p-13, -0x1.aa08f88c9257ap-13, -0x1.a8c0dbe11967bp-13, -0x1.a775a9fe0e1d8p-13, -0x1.a6278440a56eep-13, -0x1.a4d640aadb8bp-13, -0x1.a38216ad47c38p-13, -0x1.a22b05c44eaa9p-13, -0x1.a0d12dcfec35p-13, -0x1.9f74ce8e5088bp-13, -0x1.9e15b6ea065d5p-13, -0x1.9cb411834b02p-13, -0x1.9b4ffd5ca71bbp-13, -0x1.99e97ec7d9b7bp-13, -0x1.98809bdc79c07p-13, -0x1.971565e3a70efp-13, -0x1.95a7f6465c0dep-13, -0x1.943860d23fddep-13, -0x1.92c6b6163e719p-13, -0x1.9152fbc189708p-13, -0x1.8fddd5f2096f9p-13, -0x1.8e65f155007bap-13, -0x1.8cec6373d0758p-13, -0x1.8b7134c4c4d24p-13, -0x1.89f39dbca6788p-13, -0x1.88771b5590419p-13, -0x1.86f576dc31f23p-13, -0x1.85737c01e6325p-13, -0x1.83f05e828dbfap-13, -0x1.826b80ff2b5fdp-13, -0x1.80e5b01ae97b1p-13, -0x1.7f5e1db93e0b8p-13, -0x1.7dd510af5afe2p-13, -0x1.7c49cc025fac8p-13, -0x1.7abfcfc9f1a05p-13, -0x1.79336c61bde6p-13, -0x1.77a60b5865e2cp-13, -0x1.7617a200ed7a9p-13, -0x1.748839d30e353p-13, -0x1.72f7da8447ae5p-13, -0x1.71669565a376dp-13, -0x1.6fd47e85275b3p-13, -0x1.6e41a0e91822ep-13, -0x1.6cae03506dc4ap-13, -0x1.6b19b3da4e441p-13, -0x1.6984b87f99429p-13, -0x1.67ef203fc629ep-13, -0x1.6658f62e43594p-13, -0x1.64c244b3420cap-13, -0x1.632b16e7ca957p-13, -0x1.619376ec6aa0ap-13, -0x1.5ffb6d46e61a5p-13, -0x1.5e6308d975a38p-13, -0x1.5cca5237fe72dp-13, -0x1.5b314f9b5826ep-13, -0x1.59980ba324a07p-13, -0x1.57fe8f3afb87dp-13, -0x1.5664e340ec5a1p-13, -0x1.54cb139879239p-13, -0x1.533134a4571e3p-13, -0x1.5197784c8cf5p-13, -0x1.4ffd50311ed91p-13, -0x1.4e638096d9894p-13, -0x1.4cc97dcb0b557p-13, -0x1.4b2fbba7bd9fap-13, -0x1.499609cf97183p-13, -0x1.47fc6855fc83cp-13, -0x1.4662f43b329ap-13, -0x1.44c9b0c21e165p-13, -0x1.43309e83427a7p-13, -0x1.4197d2eda5e71p-13, -0x1.3fff5bfe8c711p-13, -0x1.3e66e06abc0d3p-13, -0x1.3cd037e13637p-13, -0x1.3b38d99b28749p-13, -0x1.39a0bd39a07e7p-13, -0x1.380a388267707p-13, -0x1.36740c15f5a7bp-13, -0x1.34de5281d29e5p-13, -0x1.3348f68792bf2p-13, -0x1.31b42e931f04cp-13, -0x1.302024f1d4495p-13, -0x1.2e8cde99ee423p-13, -0x1.2cf9efaa134edp-13, -0x1.2b67ac7228a02p-13, -0x1.29d5f111ff304p-13, -0x1.2846329e31b3cp-13, -0x1.26b49b356f238p-13, -0x1.2525018afd2fbp-13, -0x1.239651fb0550dp-13, -0x1.2207ebf588d41p-13, -0x1.207aed6de90afp-13, -0x1.1eee645f0517ep-13, -0x1.1d62ba1f039p-13, -0x1.1bd7f3f047575p-13, -0x1.1a4ddcd6c1b7dp-13, -0x1.18c4c506038ffp-13, -0x1.173c896abc11dp-13, -0x1.15b5297174445p-13, -0x1.142ef1ac2f528p-13, -0x1.12a8b8f1c851ep-13, -0x1.1124e71b90d4ep-13, -0x1.0fa17c4271f0dp-13, -0x1.0e1ec1e4121adp-13, -0x1.0c9d4c1e42aedp-13, -0x1.0b1cd1b6b07e4p-13, -0x1.099d60ddcd7d3p-13, -0x1.081f00b97816ep-13, -0x1.06a1b616c52ecp-13, -0x1.0525825687297p-13, -0x1.03aa60f3fe236p-13, -0x1.02304b6bf22c8p-13, -0x1.00b7484463ad1p-13, -0x1.fe7edc61617a5p-14, -0x1.fb91941869a5bp-14, -0x1.f8a6a33e6e073p-14, -0x1.f5bdf5891efc4p-14, -0x1.f2d774b0fcb26p-14, -0x1.eff3482f93e94p-14, -0x1.ed1192ed545bbp-14, -0x1.ea321d18f26eap-14, -0x1.e754d8385ad04p-14, -0x1.e47d78f1d38f9p-14, -0x1.e1a2afe639287p-14, -0x1.decdf9b09d265p-14, -0x1.dbfb15831bf74p-14, -0x1.d92ac755a7ed5p-14, -0x1.d65cfe2af74dbp-14, -0x1.d391c511abe29p-14, -0x1.d0c920b65b82fp-14, -0x1.ce030500f27a7p-14, -0x1.cb3f8a6165d95p-14, -0x1.c87f0b1ae41a4p-14, -0x1.c5c0a7aa5959ap-14, -0x1.c30449083e471p-14, -0x1.c04c5e2ebd8c6p-14, -0x1.bd95ec8b8c259p-14, -0x1.bae29bda523bap-14, -0x1.b831d91e0422bp-14, -0x1.b583de8e5861p-14, -0x1.b2d89d8558107p-14, -0x1.b02fb8e90e33fp-14, -0x1.ad8996a200806p-14, -0x1.aae65a70a34a6p-14, -0x1.a846203af7eebp-14, -0x1.a5a8cf8509e8ap-14, -0x1.a30e0eeff9ea8p-14, -0x1.a075dcf6696c6p-14, -0x1.9de0bb977f16bp-14, -0x1.9b4e38e9b9495p-14, -0x1.98be411b82108p-14, -0x1.96316ccec183dp-14, -0x1.93a79df5e62d6p-14, -0x1.91209fdf22225p-14, -0x1.8e9c5ed6cb83cp-14, -0x1.8c1acfe9245f2p-14, -0x1.899bfcf8513afp-14, -0x1.87200fe56352bp-14, -0x1.84a75c8138ca2p-14, -0x1.82312b595fc37p-14, -0x1.7fbdd8ecfb931p-14, -0x1.7d4d50e8fb3c9p-14, -0x1.7adf98d8dc706p-14, -0x1.7874c668b2c84p-14, -0x1.760cd8f78cd0ap-14, -0x1.73a7c5997f11cp-14, -0x1.7145a11857aadp-14, -0x1.6ee6551d87586p-14, -0x1.6c89926fcacf6p-14, -0x1.6a31c2530ac9p-14, -0x1.67dbb4a62cb22p-14, -0x1.658569c109b3fp-14, -0x1.6335154a80d91p-14, -0x1.60e71e6e9aaa1p-14, -0x1.5e9bf3cd2aeadp-14, -0x1.5c537c3a33e8ap-14, -0x1.5a0d6b2815ab1p-14, -0x1.57cb7abdec5e7p-14, -0x1.558ce2b75cab7p-14, -0x1.5351269c0d1f6p-14, -0x1.51154e6ccbdfap-14, -0x1.4ede4d3f2c57ap-14, -0x1.4ca9ddda45deap-14, -0x1.4a788f338c77bp-14, -0x1.484a086ed5db9p-14, -0x1.461dfc3b40cc1p-14, -0x1.43f5fa54c7ccp-14, -0x1.41cfec6eaa3efp-14, -0x1.3fac7d65a3946p-14, -0x1.3d8c528129b91p-14, -0x1.3b6eee972fd3dp-14, -0x1.395442d03d813p-14, -0x1.373c614065634p-14, -0x1.3527a11b0ee2p-14, -0x1.33155a0beff9ep-14, -0x1.31062234fec1dp-14, -0x1.2ef9a3c7db4b2p-14, -0x1.2ceffe7cb637fp-14, -0x1.2ae92b4aa26fap-14, -0x1.28e52345d106fp-14, -0x1.26e3daa91c9dcp-14, -0x1.24e51c615838dp-14, -0x1.22e9609f2fbd6p-14, -0x1.20f06a7522ecdp-14, -0x1.1efa3bb76c532p-14, -0x1.1d06a91290888p-14, -0x1.1b15cc6e3a5eep-14, -0x1.1927992ddf77ep-14, -0x1.173c4118227b8p-14, -0x1.1553d8892841ap-14, -0x1.136e52ef0e85bp-14, -0x1.118ac7ca45047p-14, -0x1.0faa67d5d7525p-14, -0x1.0dcd79e71a7d2p-14, -0x1.0bf181e7c92a6p-14, -0x1.0a18fe7b88372p-14, -0x1.0843cd766a23dp-14, -0x1.0672a1c78d2b3p-14, -0x1.04a025fe23e3fp-14, -0x1.02d2bffe139b4p-14, -0x1.01082c03e69c3p-14, -0x1.fe7f19b086dcbp-15, -0x1.faf388eab6aabp-15, -0x1.f76dbd07f643dp-15, -0x1.f3eca74ac8ce9p-15, -0x1.f0712f6dc9e03p-15, -0x1.ecfa67c6b962fp-15, -0x1.e986e43dfae46p-15, -0x1.e61cabde5bf99p-15, -0x1.e2b5e8a839e8ep-15, -0x1.df543bb720ed6p-15, -0x1.dbf790e96ad54p-15, -0x1.d89fc6322d9d4p-15, -0x1.d54dba700644ap-15, -0x1.d1ffb236c043p-15, -0x1.ceb78c4d54eeap-15, -0x1.cb742173b5eb1p-15, -0x1.c835815482556p-15, -0x1.c4fc00baaa442p-15, -0x1.c1c7a63e36ac7p-15, -0x1.be984a0fb66ebp-15, -0x1.bb6dd2f72361fp-15, -0x1.b8486c204fa76p-15, -0x1.b5277b7a15ca7p-15, -0x1.b20d1d85f9badp-15, -0x1.aef46faa05351p-15, -0x1.abe2879fcff94p-15, -0x1.a8d53e129421dp-15, -0x1.a5ccd8858cc69p-15, -0x1.a2c8ee60942e1p-15, -0x1.9fc9f32379202p-15, -0x1.9ccf9734c2ac5p-15, -0x1.99d9c49360553p-15, -0x1.96e8840be7898p-15, -0x1.93fcb61e39fb9p-15, -0x1.9114699cf931bp-15, -0x1.8e31778452b4bp-15, -0x1.8b5317c18c311p-15, -0x1.8879fa6c17de4p-15, -0x1.85a489549ea69p-15, -0x1.82d5a89fe4644p-15, -0x1.80070b376e7f3p-15, -0x1.7d4378369fa6dp-15, -0x1.7a7d0ac4110e9p-15, -0x1.77be68fe2e8dp-15, -0x1.7505331ec22ecp-15, -0x1.724fe87012862p-15, -0x1.6f9e6fc838e75p-15, -0x1.6cf23972040dp-15, -0x1.6a48ec1c98654p-15, -0x1.67a4d93f63635p-15, -0x1.6504aea19596p-15, -0x1.626a0e64aba82p-15, -0x1.5fd30264e64eap-15, -0x1.5d400ee482159p-15, -0x1.5ab22c67972e8p-15, -0x1.58242e852d2cp-15, -0x1.55a116b3c6d4cp-15, -0x1.531f39273a66ap-15, -0x1.50a177129e51bp-15, -0x1.4e2848b8832eep-15, -0x1.4bb362af7c5efp-15, -0x1.494191ff8214cp-15, -0x1.46d50c1df09e9p-15, -0x1.446b5fde81961p-15, -0x1.420624a344252p-15, -0x1.3fa571a705fb6p-15, -0x1.3d48d0e50326p-15, -0x1.3aef269f27ea2p-15, -0x1.389ac79caae16p-15, -0x1.36491485f1315p-15, -0x1.33fccc4500357p-15, -0x1.31b4ff7f1facbp-15, -0x1.2f6dc6ee81d0fp-15, -0x1.2d2c48aa14aa8p-15, -0x1.2aee862e04facp-15, -0x1.28b531dea16c7p-15, -0x1.267f75516721p-15, -0x1.244c47c891ad7p-15, -0x1.222127a319f9p-15, -0x1.1ff3209baa56bp-15, -0x1.1dcc567dfeb41p-15, -0x1.1ba924c9bc978p-15, -0x1.198999c5d2d17p-15, -0x1.176dac7b4c0a1p-15, -0x1.1554b5d0a5b09p-15, -0x1.1343d38e10f58p-15, -0x1.112f75d8f223dp-15, -0x1.0f2269fc857a5p-15, -0x1.0d1a0e53fea44p-15, -0x1.0b12a1fd322e1p-15, -0x1.090fd09c88938p-15, -0x1.0710b5488409cp-15, -0x1.0514dfd85b894p-15, -0x1.031c6d1bab31p-15, -0x1.01282c98a1581p-15, -0x1.fe6dbf1f00beep-16, -0x1.fa91f6f9f5bafp-16, -0x1.f6c2ddab6675ep-16, -0x1.f2ed26227107p-16, -0x1.ef289e48a640bp-16, -0x1.eb6577776f17cp-16, -0x1.e7ab3eb64bfd2p-16, -0x1.e3f6ffe60050cp-16, -0x1.e04ba912435ffp-16, -0x1.dca442d334bdap-16, -0x1.d9044aada429cp-16, -0x1.d56abe9786208p-16, -0x1.d1d7c9d0112b7p-16, -0x1.ce4b3e1170f9bp-16, -0x1.cac5183b5d8ep-16, -0x1.c74546d92de97p-16, -0x1.c3cb8eea337b1p-16, -0x1.c057ca64b4935p-16, -0x1.bcea7f51b6a39p-16, -0x1.b983d887d4011p-16, -0x1.b623ce6d5ee03p-16, -0x1.b2c7ac933cf1p-16, -0x1.af71b90a2b00dp-16, -0x1.ac2373c45dd8p-16, -0x1.a8d9f2191a5c1p-16, -0x1.a596e9bca91a8p-16, -0x1.a259ce890b9d5p-16, -0x1.9f221dccf0947p-16, -0x1.9bf03ed7f475fp-16, -0x1.98ca58b46cd49p-16, -0x1.959cda2acd354p-16, -0x1.927d18e6e45e4p-16, -0x1.8f6aca8f1babep-16, -0x1.8c4cd3904ee3p-16, -0x1.894198bf04654p-16, -0x1.86365092444fbp-16, -0x1.833836e5f76ffp-16, -0x1.80339766f6eefp-16, -0x1.7d3ad124077c5p-16, -0x1.7a46f74a457e7p-16, -0x1.7758a7b511566p-16, -0x1.746f231731272p-16, -0x1.718d662f6edd1p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.45a8c2b53a7f5p-7, 0x1.45be05514b674p-6, 0x1.e8c6f9e7babcfp-6, 0x1.45f30d9a1eb05p-5, 0x1.977da98997eeep-5, 0x1.e8e7cc71cc1e9p-5, 0x1.1d05ed5e4bf2fp-4, 0x1.455e2f747dfd1p-4, 0x1.6d6355b4d821cp-4, 0x1.94fac2e5fe10cp-4, 0x1.bc09cecd072e9p-4, 0x1.e276d58c325afp-4, 0x1.0415095a5af57p-3, 0x1.1687233f51ep-3, 0x1.288893ebe3ba3p-3, 0x1.3a11d438c8088p-3, 0x1.4b1d089a4f493p-3, 0x1.5ba5fef739c64p-3, 0x1.6baa1f79ea80cp-3, 0x1.7b2853818cc57p-3, 0x1.8a20e5875fabp-3, 0x1.98955c6e034bbp-3, 0x1.a688544d49a5p-3, 0x1.b3fd566bc2048p-3, 0x1.c0f8b1bb6096p-3, 0x1.cd7f54dbd6d58p-3, 0x1.d996aa5c6c67cp-3, 0x1.e54477b95eb9dp-3, 0x1.f08ebf5dd84cap-3, 0x1.fb7ba5cae5819p-3, 0x1.0308acf228717p-2, 0x1.082b00268c3d9p-2, 0x1.0d27d0d668fe7p-2, 0x1.12020dd65a4fp-2, 0x1.16bc8a3a69e04p-2, 0x1.1b59f837d2f06p-2, 0x1.1fdce50cde5a5p-2, 0x1.2447b5d2c8cbdp-2, 0x1.289ca51f22de3p-2, 0x1.2cddc15bf71f9p-2, 0x1.310cebc0147fep-2, 0x1.352bd7d2f2635p-2, 0x1.393c0b69a238dp-2, 0x1.3d3edf0c3b57ep-2, 0x1.41357eb4e0e21p-2, 0x1.4520eadb20ff8p-2, 0x1.4901f9bfd9da3p-2, 0x1.4cd958ef0eb45p-2, 0x1.50a78eee38db7p-2, 0x1.546cfd0e9a793p-2, 0x1.5829e15bf8ae7p-2, 0x1.5bde58a0e3781p-2, 0x1.5f8a607a6efb9p-2, 0x1.632dd975cf766p-2, 0x1.66c88932eae48p-2, 0x1.6a5a1c87728d5p-2, 0x1.6de2299e896fbp-2, 0x1.7160321183fc5p-2, 0x1.74d3a4f6a11cdp-2, 0x1.783be0e314972p-2, 0x1.7b9835de11823p-2, 0x1.7ee7e742d70fap-2, 0x1.822a2d9025c3fp-2, 0x1.855e3823bfea1p-2, 0x1.88832ee0ec0d8p-2, 0x1.8b9833c130ee4p-2, 0x1.8e9c644ebaad7p-2, 0x1.918edb0820a08p-2, 0x1.946eb0ad62e4cp-2, 0x1.973afd7637027p-2, 0x1.99f2da31d9b79p-2, 0x1.9c956150c2b73p-2, 0x1.9f21afd8bbaafp-2, 0x1.a196e643f06f2p-2, 0x1.a3f4294ba8767p-2, 0x1.a638a29f6c9a7p-2, 0x1.a86381896d556p-2, 0x1.aa73fb81062e2p-2, 0x1.ac694cac42973p-2, 0x1.ae42b85153833p-2, 0x1.afff8938e6405p-2, 0x1.b19f120249a98p-2, 0x1.b320ad6a4f2bdp-2, 0x1.b483be85db467p-2, 0x1.b5c7b0f104813p-2, 0x1.b6ebf8f3a58b6p-2, 0x1.b7f0139c3a75bp-2, 0x1.b8d386d1e016ep-2, 0x1.b995e15e371f1p-2, 0x1.ba36baeff052dp-2, 0x1.bab5b416b63f9p-2, 0x1.bb1276391dbc7p-2, 0x1.bb4cb38543e7dp-2, 0x1.bb6426dcac14dp-2, 0x1.bb5893bbeb483p-2, 0x1.bb29c61eaaec1p-2, 0x1.bad792606eec3p-2, 0x1.ba61d51a9ec6p-2, 0x1.b9c8730027bf9p-2, 0x1.b90b58b721d37p-2, 0x1.b82a7ab0c75cdp-2, 0x1.b725d50008f62p-2, 0x1.b5fd6b2f07de5p-2, 0x1.b4b14813b1d36p-2, 0x1.b3417da3b71e7p-2, 0x1.b1ae24c8050a6p-2, 0x1.aff75d2ff8a9ep-2, 0x1.ae1d4d2468b6cp-2, 0x1.ac20215aa868p-2, 0x1.aa000cc79cc06p-2, 0x1.a7bd487300ec5p-2, 0x1.a558134ae8326p-2, 0x1.a2d0b1f78b183p-2, 0x1.a0276eaf78cefp-2, 0x1.9d5c990c279ep-2, 0x1.9a7085def5e5ap-2, 0x1.97638f06a2c19p-2, 0x1.943613453742ep-2, 0x1.90e8761671d89p-2, 0x1.8d7b1f86a562fp-2, 0x1.89ee7c0a1b574p-2, 0x1.8642fc54e7cbep-2, 0x1.827915333bbdcp-2, 0x1.7e913f622a90ep-2, 0x1.7a8bf768e48d1p-2, 0x1.7669bd725cab2p-2, 0x1.722b1527619c9p-2, 0x1.6dd085891b8ap-2, 0x1.695a98cbf19dbp-2, 0x1.64c9dc32d12ffp-2, 0x1.601edfead6975p-2, 0x1.5b5a36e75102ap-2, 0x1.567c76be1f9acp-2, 0x1.518637846a8fdp-2, 0x1.4c7813abaca23p-2, 0x1.4752a7df15f36p-2, 0x1.421692e13d2p-2, 0x1.3cc4756a23e9dp-2, 0x1.375cf2058f00fp-2, 0x1.31e0acf1ac874p-2, 0x1.2c504bfe0b7fcp-2, 0x1.26ac766ae50c6p-2, 0x1.20f5d4c8ba1c4p-2, 0x1.1b2d10d83fd43p-2, 0x1.1552d56aa6909p-2, 0x1.0f67ce423162dp-2, 0x1.096ca7f3290a6p-2, 0x1.03620fc529f6fp-2, 0x1.fa91672997262p-3, 0x1.ee42836b54257p-3, 0x1.e1d8d1a99f638p-3, 0x1.d555afb707f7p-3, 0x1.c8ba7ba503176p-3, 0x1.bc08938b2d5d4p-3, 0x1.af41554f66281p-3, 0x1.a2661e6ecfb5bp-3, 0x1.95784bc7adc56p-3, 0x1.887939643c46cp-3, 0x1.7b6a424672a6cp-3, 0x1.6e4cc034c4704p-3, 0x1.61220b87dbbb8p-3, 0x1.53eb7af9644c1p-3, 0x1.46aa6373d4e2bp-3, 0x1.396017e352eb3p-3, 0x1.2c0de907a5f5fp-3, 0x1.1eb525474c963p-3, 0x1.11571883a8161p-3, 0x1.03f50bee56c0ep-3, 0x1.ed208bbf56565p-4, 0x1.d254135cb2358p-4, 0x1.b7872f109e83ap-4, 0x1.9cbc58997f208p-4, 0x1.81f602cec8883p-4, 0x1.67369959edcf6p-4, 0x1.4c808071cecd8p-4, 0x1.31d6149894dd6p-4, 0x1.1739aa5c13238p-4, 0x1.f95b1c313ff1dp-5, 0x1.c468077cd9835p-5, 0x1.8f9e8d32c3f9fp-5, 0x1.5b031236f0b23p-5, 0x1.2699e953298a8p-5, 0x1.e4cea5ab76a25p-6, 0x1.7cdef86a48244p-6, 0x1.156cff716ae21p-6, 0x1.5d0190985bff9p-7, 0x1.2088e39e22b2ep-8, -0x1.da6f0ff4c8921p-10, -0x1.05a640c4e8f5p-7, -0x1.ceb5d2e361299p-7, -0x1.4b370a06d9d8ep-6, -0x1.ae606a113d0f2p-6, -0x1.08680dfbc152cp-5, -0x1.393fae783eb5cp-5, -0x1.69b3caa976bc4p-5, -0x1.99c12c6e2e9d9p-5, -0x1.c964b3779146ep-5, -0x1.f89b5563e78cap-5, -0x1.13b10eea89a31p-4, -0x1.2adb174166a99p-4, -0x1.41ca5fa46da92p-4, -0x1.587d8f1899c41p-4, -0x1.6ef357bd1e2d3p-4, -0x1.852a76cc93afcp-4, -0x1.9b21b49c4679ep-4, -0x1.b0d7e499ab603p-4, -0x1.c64be54602c3ap-4, -0x1.db7ca03048959p-4, -0x1.f06909ed5ac9fp-4, -0x1.0288110744162p-3, -0x1.0cb8798b3abd2p-3, -0x1.16c54936360e8p-3, -0x1.20ae102719157p-3, -0x1.2a7263e028a86p-3, -0x1.3411df3e8275cp-3, -0x1.3d8c2270d530cp-3, -0x1.46e0d2ed76e53p-3, -0x1.500f9b67d42b2p-3, -0x1.59182bc5383ap-3, -0x1.61fa391102175p-3, -0x1.6ab57d7041986p-3, -0x1.7349b814c5e59p-3, -0x1.7bb6ad2fa568bp-3, -0x1.83fc25e33d64cp-3, -0x1.8c19f034bbaf3p-3, -0x1.940fdefd271bfp-3, -0x1.9bddc9da00ff6p-3, -0x1.a3838d1d6d4d9p-3, -0x1.ab0109bdfe5d4p-3, -0x1.b25625461aa24p-3, -0x1.b982c9c300c4fp-3, -0x1.c086e5b37d707p-3, -0x1.c7626bf64a0c2p-3, -0x1.ce1553b81c4b2p-3, -0x1.d49f986173c2ep-3, -0x1.db01398420429p-3, -0x1.e13a3ac889b69p-3, -0x1.e74aa3dac0a16p-3, -0x1.ed328057580bep-3, -0x1.f2f1dfb810d69p-3, -0x1.f888d540582ecp-3, -0x1.fdf777e9a1f3ap-3, -0x1.019ef127cb1f7p-2, -0x1.042e194e171b5p-2, -0x1.06a94539d6d89p-2, -0x1.09108770436cfp-2, -0x1.0b63f41f95af4p-2, -0x1.0da3a114e986bp-2, -0x1.0fcfa5b2186e6p-2, -0x1.11e81ae392a71p-2, -0x1.13ed1b163554cp-2, -0x1.15dec22d22cf6p-2, -0x1.17bd2d77968d4p-2, -0x1.19887ba6c40cap-2, -0x1.1b40ccc3b4dbep-2, -0x1.1ce642252efd2p-2, -0x1.1e78fe65a252cp-2, -0x1.1ff925591f48fp-2, -0x1.2166dc0359cf9p-2, -0x1.22c2488db5901p-2, -0x1.240b923d6269bp-2, -0x1.2542e169829a7p-2, -0x1.26685f7168373p-2, -0x1.277c36b2dd327p-2, -0x1.287e92807e4bcp-2, -0x1.296f9f182bfd3p-2, -0x1.2a4f89998f334p-2, -0x1.2b1e7ffcaf2b9p-2, -0x1.2bdcb108a2987p-2, -0x1.2c8a4c4a548ebp-2, -0x1.2d27820b6366ap-2, -0x1.2db48349160aep-2, -0x1.2e3181ab6ebe9p-2, -0x1.2e9eaf7c53e19p-2, -0x1.2efc3f9ed62bdp-2, -0x1.2f4a6586937eep-2, -0x1.2f89552f32c9bp-2, -0x1.2fb9431401c95p-2, -0x1.2fda6427aafap-2, -0x1.2fecedcc0e478p-2, -0x1.2ff115ca35e25p-2, -0x1.2fe7124a6ac02p-2, -0x1.2fcf19cc6855bp-2, -0x1.2fa9631fb22e6p-2, -0x1.2f76255c0619fp-2, -0x1.2f3597d9f3bc7p-2, -0x1.2ee7f22b8fd38p-2, -0x1.2e8d6c154e2f3p-2, -0x1.2e263d86f8418p-2, -0x1.2db29e94ca61cp-2, -0x1.2d32c770acc4ep-2, -0x1.2ca6f06395cdap-2, -0x1.2c0f51c708116p-2, -0x1.2b6c23feb782p-2, -0x1.2abd9f724dd16p-2, -0x1.2a03fc875436dp-2, -0x1.293f739b3cdf7p-2, -0x1.28703cfd8f8d9p-2, -0x1.279690ea3d5c3p-2, -0x1.26b2a7840ee6bp-2, -0x1.25c4b8cf3bc74p-2, -0x1.24ccfcac2311ep-2, -0x1.23cbaad221b79p-2, -0x1.22c0faca9240bp-2, -0x1.21ad23ebe9ff4p-2, -0x1.20905d54f96ffp-2, -0x1.1f6adde84e086p-2, -0x1.1e3cdc47b6c3dp-2, -0x1.1d068ecfe93b8p-2, -0x1.1bc82b94490dp-2, -0x1.1a81e85acd998p-2, -0x1.1933fa980d974p-2, -0x1.17de976b6577fp-2, -0x1.1681f39b43303p-2, -0x1.151e43918db5p-2, -0x1.13b3bb582fa7fp-2, -0x1.12428e95bf7b2p-2, -0x1.10caf08a4820dp-2, -0x1.0f4d140c2d6fcp-2, -0x1.0dc92b8535096p-2, -0x1.0c3f68efa53cap-2, -0x1.0aaffdd38b7e5p-2, -0x1.091b1b4414e9ap-2, -0x1.0780f1dd0e559p-2, -0x1.05e1b1c07bbap-2, -0x1.043d8a944c2abp-2, -0x1.0294ab802a68cp-2, -0x1.00e7432b699a4p-2, -0x1.fe6aff7617e7ap-3, -0x1.faff1d9fccd47p-3, -0x1.f78b3b09b4c11p-3, -0x1.f40fb0da5d217p-3, -0x1.f08cd725f93f7p-3, -0x1.ed0304eb76901p-3, -0x1.e9729011bfa6ep-3, -0x1.e5dbcd652c05ep-3, -0x1.e23f10952adbfp-3, -0x1.de9cac3209e9ep-3, -0x1.daf4f1ab00218p-3, -0x1.d748314c5004fp-3, -0x1.d396ba3da7988p-3, -0x1.cfe0da80a0e07p-3, -0x1.cc26deef6e592p-3, -0x1.c869133bb6ef7p-3, -0x1.c4a7c1ed9284ep-3, -0x1.c0e33462afca8p-3, -0x1.bd1bb2cda8bb5p-3, -0x1.b951843571791p-3, -0x1.b584ee74f4063p-3, -0x1.b1b6363ace4d1p-3, -0x1.ade59f092ef0ep-3, -0x1.aa136b35dd381p-3, -0x1.a63fdbea5d1dp-3, -0x1.a26b312431466p-3, -0x1.9e95a9b54494bp-3, -0x1.9abf83446b6fdp-3, -0x1.96e8fa4e04bedp-3, -0x1.93124a24bfd1bp-3, -0x1.8f3bacf2721fdp-3, -0x1.8b655bb911173p-3, -0x1.878f8e53c56dfp-3, -0x1.83ba7b7817144p-3, -0x1.7fe658b731c85p-3, -0x1.7c135a7f46b05p-3, -0x1.7841b41cfce8ep-3, -0x1.747197bd03807p-3, -0x1.70a3366dafc31p-3, -0x1.6cd6c020b6ca8p-3, -0x1.690c63acfa68fp-3, -0x1.65444ed0688bbp-3, -0x1.617eae31eed98p-3, -0x1.5dbbad637fe8cp-3, -0x1.59fb76e42cafcp-3, -0x1.563e34224884ap-3, -0x1.52840d7da4dbap-3, -0x1.4ecd2a49d6b3ap-3, -0x1.4b19b0d08e7a7p-3, -0x1.4769c653fd239p-3, -0x1.43bd8f1147518p-3, -0x1.40152e4300698p-3, -0x1.3c70c623bba51p-3, -0x1.38d077f09fc73p-3, -0x1.353463ec0802ap-3, -0x1.319ca96033d51p-3, -0x1.2e0966a1fb476p-3, -0x1.2a7ab9138f7f2p-3, -0x1.26f0bd273fb55p-3, -0x1.236b8e624ee43p-3, -0x1.1feb475fc5efcp-3, -0x1.1c7001d356852p-3, -0x1.18f9d68c3fbbdp-3, -0x1.1588dd78355b4p-3, -0x1.121d2da655325p-3, -0x1.0eb6dd4a1d50bp-3, -0x1.0b5601be615edp-3, -0x1.07faaf884b654p-3, -0x1.04a4fa5a60187p-3, -0x1.0154f5177ebf1p-3, -0x1.fc1563abdad1ap-4, -0x1.f58c83c4bdf8cp-4, -0x1.ef0f6b86009f2p-4, -0x1.e89e3a750fc52p-4, -0x1.e2390e967d23dp-4, -0x1.dbe0047425ad1p-4, -0x1.d593372348368p-4, -0x1.cf52c04aabf9ap-4, -0x1.c91eb828b57c7p-4, -0x1.c2f735998445bp-4, -0x1.bcdc4e1d0ecf2p-4, -0x1.b6ce15dd3226cp-4, -0x1.b0cc9fb3cc1e9p-4, -0x1.aad7fd30c3e49p-4, -0x1.a4f03ea0161f9p-4, -0x1.9f15730fd8402p-4, -0x1.9947a85636307p-4, -0x1.9386eb176c7f6p-4, -0x1.8dd346cbb71c2p-4, -0x1.882cc5c53c067p-4, -0x1.82937135ed324p-4, -0x1.7d07513560656p-4, -0x1.77886cc6a091bp-4, -0x1.7216c9ddf5dd7p-4, -0x1.6cb26d669f97cp-4, -0x1.675b5b488cf2cp-4, -0x1.6211966e01dbdp-4, -0x1.5cd520c935ac5p-4, -0x1.57a5fb59e6976p-4, -0x1.52842632e28a1p-4, -0x1.4d6fa07f7f81cp-4, -0x1.486868890d062p-4, -0x1.436e7bbc38cc1p-4, -0x1.3e81d6ae6084ep-4, -0x1.39a27522dec14p-4, -0x1.34d0521046963p-4, -0x1.300b67a5912f3p-4, -0x1.2b53af4f3eb63p-4, -0x1.26a921bc6bf89p-4, -0x1.220bb6e3d3775p-4, -0x1.1d7b6608c76ep-4, -0x1.18f825c019ba7p-4, -0x1.1481ebf4f2874p-4, -0x1.1018adeda019fp-4, -0x1.0bbc60504fc23p-4, -0x1.076cf727bc3b3p-4, -0x1.032a65e7cb565p-4, -0x1.fde93ee437471p-5, -0x1.f5972c350adf5p-5, -0x1.ed5e77571941bp-5, -0x1.e53f02d57aee9p-5, -0x1.dd38b039fe33p-5, -0x1.d54b6015afc1fp-5, -0x1.cd76f2093265p-5, -0x1.c5bb44cd0ffe5p-5, -0x1.be183639da56p-5, -0x1.b68da3502ad5ap-5, -0x1.af1b684092c77p-5, -0x1.a7c1607356cfep-5, -0x1.a07f66901f7e3p-5, -0x1.995554857ef08p-5, -0x1.9243039053487p-5, -0x1.8b484c43167a7p-5, -0x1.8465068d06b47p-5, -0x1.7d9909c12ae1ap-5, -0x1.76e42c9d44e21p-5, -0x1.704645509d691p-5, -0x1.69bf2982a926fp-5, -0x1.634eae59a1fcdp-5, -0x1.5cf4a880f1be9p-5, -0x1.56b0ec2f80cf9p-5, -0x1.50834d2decd1cp-5, -0x1.4a6b9edc9d8e6p-5, -0x1.4469b439b6556p-5, -0x1.3e7d5fe6f83b7p-5, -0x1.38a6742f769afp-5, -0x1.32e4c30d2c445p-5, -0x1.2d381e2e94e76p-5, -0x1.27a056fbf3739p-5, -0x1.221d3e9cadeedp-5, -0x1.1caea5fc6f3e3p-5, -0x1.17545dd02e8b6p-5, -0x1.120e369b2d845p-5, -0x1.0cdc00b3c4fe6p-5, -0x1.07bd8c4823873p-5, -0x1.02b2a962e979cp-5, -0x1.fb764fdf4f0c7p-6, -0x1.f1adaf7eae7b7p-6, -0x1.e80b11193a2b8p-6, -0x1.de8e13ffe9e9p-6, -0x1.d5365767c31cap-6, -0x1.cc037a71b11ep-6, -0x1.c2f51c327086ap-6, -0x1.ba0adbba0d725p-6, -0x1.b144581b740b9p-6, -0x1.a8a130737c187p-6, -0x1.a02103f017b71p-6, -0x1.97c371d715bb3p-6, -0x1.8f88198cd10dp-6, -0x1.876e9a9aab3fep-6, -0x1.7f7694b55da5bp-6, -0x1.779fa7c314e6bp-6, -0x1.6fe973e157d26p-6, -0x1.6853996ae9f81p-6, -0x1.60ddb8fd4782p-6, -0x1.5987737e335c5p-6, -0x1.52506a20d2a8bp-6, -0x1.4b383e6af5ef2p-6, -0x1.443e9239fc45fp-6, -0x1.3d6307c78970ap-6, -0x1.36a541ae4741p-6, -0x1.3004e2ee4c319p-6, -0x1.29818ef17d13p-6, -0x1.231ae98fb2e9bp-6, -0x1.1cd09712ca463p-6, -0x1.16a23c3a815bep-6, -0x1.108f7e4051de8p-6, -0x1.0a9802dae9c47p-6, -0x1.04bb7041bd5d4p-6, -0x1.fdf2da60d7578p-7, -0x1.f2a341d388e84p-7, -0x1.e7876676440f2p-7, -0x1.dc9e98fe5789dp-7, -0x1.d1e82b418873dp-7, -0x1.c763703b7b225p-7, -0x1.bd0fbc12c78dcp-7, -0x1.b2ec641e135dbp-7, -0x1.a8f8bee8be2cep-7, -0x1.9f342437514a3p-7, -0x1.959ded0bf0e13p-7, -0x1.8c3573aa4ba8p-7, -0x1.82fa139b6cffep-7, -0x1.79eb29b179f8dp-7, -0x1.7108140b2c2fcp-7, -0x1.68503216f6d38p-7, -0x1.5fc2e4960f838p-7, -0x1.575f8d9f6212bp-7, -0x1.4f2590a224964p-7, -0x1.4714526889932p-7, -0x1.3f2b3919a1747p-7, -0x1.3769ac3c1e502p-7, -0x1.2fcf14b7adfa2p-7, -0x1.285adcd72221p-7, -0x1.210c704a0caa7p-7, -0x1.19e33c2622a4p-7, -0x1.12deaee890488p-7, -0x1.0bfe387746203p-7, -0x1.05414a21e378fp-7, -0x1.fd4ead4553bf8p-8, -0x1.f05fa43e6c1ddp-8, -0x1.e3b4645217a4cp-8, -0x1.d74bdb7c98924p-8, -0x1.cb24fa935a57p-8, -0x1.bf3eb5462ade1p-8, -0x1.b398021efc588p-8, -0x1.a82fda8227abp-8, -0x1.9d053aada5b4ep-8, -0x1.921721b966021p-8, -0x1.87649195ba987p-8, -0x1.7cec8f0b07774p-8, -0x1.72ae21b8607e8p-8, -0x1.68a854126543ap-8, -0x1.5eda3361888efp-8, -0x1.5542cfc07c711p-8, -0x1.4be13c1a53c12p-8, -0x1.42b48e2851b23p-8, -0x1.39bbde6ff4846p-8, -0x1.30f648402f13ap-8, -0x1.2862e9af4bd93p-8, -0x1.2000e397c1254p-8, -0x1.17cf5995c1ef9p-8, -0x1.0fcd7203f3631p-8, -0x1.07fa55f87bebcp-8, -0x1.0055314190823p-8, -0x1.f1ba64c47c65ep-9, -0x1.e323151d6217fp-9, -0x1.d4e2db5182cf6p-9, -0x1.c6f824780a2e2p-9, -0x1.b96162f4374f7p-9, -0x1.ac1d0e6d343c7p-9, -0x1.9f29a3c5fff4ap-9, -0x1.9285a514f952ep-9, -0x1.862f999bb5f1fp-9, -0x1.7a260dbd9d406p-9, -0x1.6e6792f80bf4bp-9, -0x1.62f2bfd80a028p-9, -0x1.57c62ff26e9eep-9, -0x1.4ce083d94764fp-9, -0x1.4240611345f55p-9, -0x1.37e4721200f72p-9, -0x1.2dcb6627aa0d9p-9, -0x1.23f3f17dc7e1bp-9, -0x1.1a5ccd0b137fbp-9, -0x1.1104b6894dd27p-9, -0x1.07ea706b175f6p-9, -0x1.fe1983a3c8508p-10, -0x1.ecd4ed06ca20cp-10, -0x1.dc04bdbe3ff77p-10, -0x1.cba69fa89ff8dp-10, -0x1.bbb845ad502c6p-10, -0x1.ac376ba850534p-10, -0x1.9d21d6550b931p-10, -0x1.8e75533806845p-10, -0x1.802fb889b1fdap-10, -0x1.724ee5218b8ep-10, -0x1.64d0c05e67c2fp-10, -0x1.57b33a12f54bfp-10, -0x1.4af44a6e22458p-10, -0x1.3e91f1e5ffe7fp-10, -0x1.328a3921d3aa1p-10, -0x1.26db30e42082dp-10, -0x1.1b82f1f3be194p-10, -0x1.107f9d0734eb7p-10, -0x1.05cf5aae048e7p-10, -0x1.f6e0b674e333ap-11, -0x1.e2c1ad57f2d85p-11, -0x1.cf3e19321276fp-11, -0x1.bc528832baf0cp-11, -0x1.a9fb975e8ddbdp-11, -0x1.9835f266818ebp-11, -0x1.86fe5377e147ep-11, -0x1.76518314b9348p-11, -0x1.662c57e687318p-11, -0x1.568bb691d8e39p-11, -0x1.476c918e1aca7p-11, -0x1.38cbe8f70ee23p-11, -0x1.2aa6ca640d9f6p-11, -0x1.1cfa50bbdba63p-11, -0x1.0fc3a40b6e7a7p-11, -0x1.02fff95a34d3fp-11, -0x1.ed59250185137p-12, -0x1.d58d7bfcadb55p-12, -0x1.be97ad9d487a8p-12, -0x1.a8728881b9567p-12, -0x1.9318f39b6c08p-12, -0x1.7e85eddd81c26p-12, -0x1.6ab48de94b701p-12, -0x1.57a001c12890bp-12, -0x1.45438e7165cb9p-12, -0x1.339a8fc3ac5ebp-12, -0x1.22a077ee9bc4fp-12, -0x1.1250cf45f8e13p-12, -0x1.02a733ec3288cp-12, -0x1.e73eb3096b57dp-13, -0x1.ca6a11c8efda3p-13, -0x1.aec83f8d8ae29p-13, -0x1.9451210107728p-13, -0x1.7afcc364c6385p-13, -0x1.62c35c00ca99dp-13, -0x1.4b9d4786d4e68p-13, -0x1.35830988d599p-13, -0x1.206d4bdc72b8dp-13, -0x1.0c54de0c79621p-13, -0x1.f265699077c2p-14, -0x1.cdffd2aa4cb45p-14, -0x1.ab6b720556a95p-14, -0x1.8a9b09326e319p-14, -0x1.6b819fa60ce25p-14, -0x1.4e12819c25922p-14, -0x1.32413f0cd5f3fp-14, -0x1.1801aa9f0e7f6p-14, -0x1.fe8fb12bee1bp-15, -0x1.d0103b94b0458p-15, -0x1.a46e1d5addd3p-15, -0x1.7b92fc6176eccp-15, -0x1.5568f9ac80365p-15, -0x1.31daaf58caad3p-15, -0x1.10d32e9eb84ep-15, -0x1.e47bfbc1b05ecp-16, -0x1.ac0e2d9cc6a4fp-16, -0x1.7835c8c44388fp-16, -0x1.48cc8226e040cp-16, -0x1.1dace9db01d48p-16, -0x1.ed64cf160eb46p-17, -0x1.a7726d55e74f5p-17, -0x1.693cc610eba7ep-17, -0x1.327f8a304b2ep-17, -0x1.02f7fd2659ee6p-17, -0x1.b4c9db763b0a8p-18, -0x1.710d5eaaf2d6cp-18, -0x1.3a3e267b1c20cp-18, -0x1.0fe2c348d7adap-18, -0x1.e3094db5f596cp-19, -0x1.bd602d72001afp-19, -0x1.ade83ec063867p-19, -0x1.b3c50f9e8fd35p-19, -0x1.ce1f88b62ce31p-19, -0x1.fc25d5f8fae5bp-19, -0x1.1e85a65b7c6f4p-18, -0x1.48042a6880a9dp-18, -0x1.7a2d27e19d156p-18, -0x1.b4a1c0d57a66cp-18, -0x1.f7057cdc9c865p-18, -0x1.207f1ee02cdbep-17, -0x1.491a1a1bc2fc5p-17, -0x1.7528ea3d47deap-17, -0x1.a481e5c037fa7p-17, -0x1.d6fc7a258624ap-17, -0x1.06389331da418p-16, -0x1.225cbaef7f5bfp-16, -0x1.3fd7fd7d8dab4p-16, -0x1.5e98251963285p-16, -0x1.7e8b7a70011b1p-16, -0x1.9fa0c232ffd62p-16, -0x1.c1c73a8af78a1p-16, -0x1.e4ee98dc68752p-16, -0x1.048383952b8f4p-15, -0x1.170090f88c95p-15, -0x1.29e6fadafa836p-15, -0x1.3d2f7e6c652a2p-15, -0x1.50d30e9cdfa3cp-15, -0x1.64cad3137ec3fp-15, -0x1.7910270c83beep-15, -0x1.8d9c984d17df5p-15, -0x1.a269e60db214ep-15, -0x1.b771fffaf5f38p-15, -0x1.ccaf052dc1221p-15, -0x1.e21b4322c74bap-15, -0x1.f7b134c749a98p-15, -0x1.06b5c0be78309p-14, -0x1.11a27e1048d22p-14, -0x1.1c9c51112a7bep-14, -0x1.27a0cd462a6dfp-14, -0x1.32ad9a945e962p-14, -0x1.3dc074c40d51cp-14, -0x1.48d72b1ba822bp-14, -0x1.53ef9fe789ccep-14, -0x1.5f07c8126d926p-14, -0x1.6a1daab7267ecp-14, -0x1.752f60b929e9dp-14, -0x1.803b145b3a412p-14, -0x1.8b3f00da5f09fp-14, -0x1.96397209bde31p-14, -0x1.a128c3f0e21abp-14, -0x1.ac0b626999fbp-14, -0x1.b6dfc8c39cb1cp-14, -0x1.c1a48164aeeb1p-14, -0x1.cc58256ce1aa3p-14, -0x1.d6f95c5da6365p-14, -0x1.e186dbc1f4edap-14, -0x1.ebff66d5c8f5ap-14, -0x1.f661ce310b056p-14, -0x1.005677ba8ef69p-13, -0x1.056fda7e39dddp-13, -0x1.0a7c8ac143c3ep-13, -0x1.0f7c09ee35b6p-13, -0x1.146ddf53c3a65p-13, -0x1.195197fe746p-13, -0x1.1e26c6935c33fp-13, -0x1.22ed032c2ed1bp-13, -0x1.27a3eb3257a0dp-13, -0x1.2c4b213bd72a2p-13, -0x1.30e24ce843a18p-13, -0x1.35691abf7aaf1p-13, -0x1.39df3c0ef4d6dp-13, -0x1.3e4466ca76dd4p-13, -0x1.4298556a9f89ap-13, -0x1.46dac6cf1357bp-13, -0x1.4b0b7e1e328fap-13, -0x1.4f2a42a761cb8p-13, -0x1.5336dfc4fb1cfp-13, -0x1.573124c0172e1p-13, -0x1.5b18e4b344903p-13, -0x1.5eedf66f1537dp-13, -0x1.62b0345e40c8cp-13, -0x1.665f7c6b16da8p-13, -0x1.69fbafe65b538p-13, -0x1.6d84b36bdce6ep-13, -0x1.70fa6eca5872p-13, -0x1.745cccea3d06p-13, -0x1.77abbbb602906p-13, -0x1.7ae72c0278687p-13, -0x1.7e0f1176d9504p-13, -0x1.812362778a354p-13, -0x1.8424180efaa83p-13, -0x1.87112dd8de1c8p-13, -0x1.89eaa1eba2cc5p-13, -0x1.8cb074c46c9f7p-13, -0x1.8f62a933182e1p-13, -0x1.92014445cef98p-13, -0x1.948c4d362628ep-13, -0x1.9703cd55218b8p-13, -0x1.9967cffa51f1ap-13, -0x1.9bb862707883p-13, -0x1.9df593e3d2528p-13, -0x1.a01f75510c617p-13, -0x1.a23619744ff42p-13, -0x1.a43994b8be977p-13, -0x1.a629fd281fbp-13, -0x1.a8076a5b29dcfp-13, -0x1.a9d1f569e6791p-13, -0x1.ab89b8dd179e6p-13, -0x1.ad2ed09f544cep-13, -0x1.aec159ee793d1p-13, -0x1.b041734d94317p-13, -0x1.b1af3c77d0e34p-13, -0x1.b30ad6526c6f6p-13, -0x1.b45462dfc1c99p-13, -0x1.b58c05331609fp-13, -0x1.b6b1e16401a68p-13, -0x1.b7c61c820fb7ap-13, -0x1.b8c8dc8966f2ap-13, -0x1.b9ba4856deecep-13, -0x1.ba9a879d23962p-13, -0x1.bb69c2d978521p-13, -0x1.bc282349a19b6p-13, -0x1.bcd5d2e0ae6b5p-13, -0x1.bd72fc3da71eap-13, -0x1.bdffcaa19ebap-13, -0x1.be7c69e613723p-13, -0x1.bee9067375eedp-13, -0x1.bf45cd3827729p-13, -0x1.bf92eb9f9cf1ap-13, -0x1.bfd08f89e709p-13, -0x1.bffee743876c8p-13, -0x1.c01e217ce50d3p-13, -0x1.c02e6d42afd81p-13, -0x1.c02ff9f6622dp-13, -0x1.c022f74688b1p-13, -0x1.c0079527b0c25p-13, -0x1.bfde03cd040efp-13, -0x1.bfa673a1e9604p-13, -0x1.bf61154362bfap-13, -0x1.bf0e19792f421p-13, -0x1.beadb130023f6p-13, -0x1.be400d735cddp-13, -0x1.bdc55f676fb3dp-13, -0x1.bd3dd843cab9dp-13, -0x1.bca9a94db232ep-13, -0x1.bc0903d29c29cp-13, -0x1.bb5c1923620dep-13, -0x1.baa31a8ecc958p-13, -0x1.b9de395d1aed9p-13, -0x1.b90da6cb2339fp-13, -0x1.b8319405ce0f5p-13, -0x1.b74a3225d6619p-13, -0x1.b657b22b85d74p-13, -0x1.b55a44faba133p-13, -0x1.b4521b5695523p-13, -0x1.b33f65dde8961p-13, -0x1.b2225507a16a6p-13, -0x1.b0fb191f2b0d3p-13, -0x1.afc9e240a0c18p-13, -0x1.ae8ee05640c9ap-13, -0x1.ad4a4314ce767p-13, -0x1.abfc39f890f07p-13, -0x1.aaa4f4429929p-13, -0x1.a944a0f58a983p-13, -0x1.a7db6ed3323ebp-13, -0x1.a6698c5a1af37p-13, -0x1.a4ef27c2c151bp-13, -0x1.a36c6efd0b33ap-13, -0x1.a1e18fae73533p-13, -0x1.a04eb72fd6567p-13, -0x1.9eb4128b1e88dp-13, -0x1.9d11ce7952a8fp-13, -0x1.9b681760bc20bp-13, -0x1.99b7195312a5fp-13, -0x1.97ff000b9df1fp-13, -0x1.963ff6edecfe2p-13, -0x1.947a29042f943p-13, -0x1.92adc0fd67558p-13, -0x1.90dae92c636cbp-13, -0x1.8f01cb864f417p-13, -0x1.8d2291a1803a9p-13, -0x1.8b3d64b414a84p-13, -0x1.89526d936ca9p-13, -0x1.8761d4b25c178p-13, -0x1.856bc220b3a5ap-13, -0x1.83705d8a65fc7p-13, -0x1.816fce3689bb9p-13, -0x1.7f6a3b067a181p-13, -0x1.7d5fca756e60ap-13, -0x1.7b50a2976cad3p-13, -0x1.793ce91901cfep-13, -0x1.7724c33ede40dp-13, -0x1.750855e4edbb7p-13, -0x1.72e7c57e1f663p-13, -0x1.70c33613fc705p-13, -0x1.6e9acb4662b68p-13, -0x1.6c6ea84b2295cp-13, -0x1.6a3eefedd57bfp-13, -0x1.680bc48fb2ac3p-13, -0x1.65d5482732785p-13, -0x1.639b9c4076bdp-13, -0x1.615ee1fcbac42p-13, -0x1.5f1f3a125511bp-13, -0x1.5cdcc4cd2b95bp-13, -0x1.5a97a20e16f2p-13, -0x1.584ff14b5fadep-13, -0x1.5605d190fb759p-13, -0x1.53b9618045f21p-13, -0x1.516abf5087e5p-13, -0x1.4f1a08cf5789p-13, -0x1.4cc75b604a34dp-13, -0x1.4a72d3fda3ff4p-13, -0x1.481c8f388bfd6p-13, -0x1.45c4a93958d1ap-13, -0x1.436b3dc00229fp-13, -0x1.411068246b82p-13, -0x1.3eb44356c002ep-13, -0x1.3c56e9e019251p-13, -0x1.39f875e2e813p-13, -0x1.3799011b4152p-13, -0x1.3538a4df5e769p-13, -0x1.32d77a2063661p-13, -0x1.3075996a7a431p-13, -0x1.2e131ae5d8a2dp-13, -0x1.2bb016572f3d9p-13, -0x1.294ca3200066ap-13, -0x1.26e8d83f84d5p-13, -0x1.2484cc53189fdp-13, -0x1.22209596f2172p-13, -0x1.1fbc49e6f9f02p-13, -0x1.1d57febf238a6p-13, -0x1.1af3c93c4d372p-13, -0x1.188fbe1cbc864p-13, -0x1.162bf1c119933p-13, -0x1.13c8782d1b0e5p-13, -0x1.11656508148d9p-13, -0x1.0f02cb9daab12p-13, -0x1.0ca0bedec2baep-13, -0x1.0a3f51620b773p-13, -0x1.07de956506f36p-13, -0x1.057e9ccc73e01p-13, -0x1.031f79257b4ecp-13, -0x1.00c13ba64469ep-13, -0x1.fcc7ea5cf3861p-14, -0x1.f80f6c9113f68p-14, -0x1.f3591e547e2a1p-14, -0x1.eea51f6acdc71p-14, -0x1.e9f38ef1df56bp-14, -0x1.e5448b62e5b0dp-14, -0x1.e0983294492adp-14, -0x1.dbeea1bb7f91fp-14, -0x1.d747f56e28cbbp-14, -0x1.d2a449a491f33p-14, -0x1.ce03b9ba1305ep-14, -0x1.c966606fd2daep-14, -0x1.c4cc57edfcfbdp-14, -0x1.c035b9c57764dp-14, -0x1.bba29ef17f0c6p-14, -0x1.b7131fd9429d7p-14, -0x1.b2875451fee64p-14, -0x1.adff53a000734p-14, -0x1.a97b3478985c4p-14, -0x1.a4fb0d043fe75p-14, -0x1.a07ef2df5a309p-14, -0x1.9c06fb1c48d9ep-14, -0x1.97933a45710ep-14, -0x1.9323c45e52018p-14, -0x1.8eb8ace59ff01p-14, -0x1.8a5206d62dc26p-14, -0x1.85efe4a971f86p-14, -0x1.81925858e8a4ep-14, -0x1.7d39735f842ebp-14, -0x1.78e546bb203b6p-14, -0x1.7495e2ee88adep-14, -0x1.704b5802e0ad7p-14, -0x1.6c05b589594c2p-14, -0x1.67c50a9c6d7fbp-14, -0x1.638965e20708p-14, -0x1.5f52d58d26d9ep-14, -0x1.5b21675eac008p-14, -0x1.56f528a75bdecp-14, -0x1.52ce2649b9149p-14, -0x1.4eac6cbaf2301p-14, -0x1.4a9008051a925p-14, -0x1.467903c826d13p-14, -0x1.42676b3bf979dp-14, -0x1.3e5b49313dc25p-14, -0x1.3a54a8135dc7bp-14, -0x1.365391ea39ecfp-14, -0x1.3258105acd819p-14, -0x1.2e622ca9738abp-14, -0x1.2a71efbb198bdp-14, -0x1.26876216b7d93p-14, -0x1.22a28be6aff8cp-14, -0x1.1ec374fa08112p-14, -0x1.1aea24c655155p-14, -0x1.1716a269247f6p-14, -0x1.1348f4a8aed6ap-14, -0x1.0f8121f5cc1fap-14, -0x1.0bbf306d9e153p-14, -0x1.080325da193f2p-14, -0x1.044d07b3bd65fp-14, -0x1.009cdb2328bc8p-14, -0x1.f9e54a04e54d7p-15, -0x1.f29cd3bc0713dp-15, -0x1.eb605bec47fefp-15, -0x1.e42fea812b848p-15, -0x1.dd0b86d2ee0c2p-15, -0x1.d5f337a904722p-15, -0x1.cee7033d87e3cp-15, -0x1.c7e6ef3e067a7p-15, -0x1.c0f300cf96447p-15, -0x1.ba0b3c9173c3dp-15, -0x1.b32fa69d77067p-15, -0x1.ac60428c225b9p-15, -0x1.a59d1376d00e1p-15, -0x1.9ee61bf9706d5p-15, -0x1.983b5e352fdd5p-15, -0x1.919cdbd302999p-15, -0x1.8b0a9605b3164p-15, -0x1.84848d8bc2fc7p-15, -0x1.7e0ac2b207236p-15, -0x1.779d35567efc8p-15, -0x1.713be4e89e12bp-15, -0x1.6ae6d06d4b429p-15, -0x1.649df6807e569p-15, -0x1.5e615556ecc4dp-15, -0x1.5830eac037c5cp-15, -0x1.520cb4299bc17p-15, -0x1.4bf4ae9f69e4ep-15, -0x1.45e8d6ce71807p-15, -0x1.3fe92906d4eddp-15, -0x1.39f5a13ea9dc9p-15, -0x1.340e3b11ac37ap-15, -0x1.2e32f1c59b0a5p-15, -0x1.2863c04ac1c4fp-15, -0x1.22a0a13d4e26fp-15, -0x1.1ce98ee94b8p-15, -0x1.173e8349c96eep-15, -0x1.119f780c447fdp-15, -0x1.0c0c6692c5d9p-15, -0x1.068547f3e33acp-15, -0x1.010a14fe0339bp-15, -0x1.f7358c722545ap-16, -0x1.ec6ea7cd985b9p-16, -0x1.e1bf6c0b0a33bp-16, -0x1.d727c8a3cd105p-16, -0x1.cca7ac8f2a09p-16, -0x1.c23f06479b268p-16, -0x1.b7edc3cdc16e7p-16, -0x1.adb3d2a8d0f99p-16, -0x1.a3911fecd2caep-16, -0x1.9985983ca8be3p-16, -0x1.8f9127cb796c5p-16, -0x1.85b3ba61ca926p-16, -0x1.7bed3b5f41fd3p-16, -0x1.723d95be7308cp-16, -0x1.68a4b41543819p-16, -0x1.5f22809ae7967p-16, -0x1.55b6e527b52bdp-16, -0x1.4c61cb3a267b3p-16, -0x1.43231bf7738f5p-16, -0x1.39fac02f2c9a4p-16, -0x1.30e8a05f22d67p-16, -0x1.27eca4b2fa479p-16, -0x1.1f06b508d18f8p-16, -0x1.1636b8f37b2f9p-16, -0x1.0d7c97bb3ded7p-16, -0x1.04d838626ef75p-16, -0x1.f893034cc3af2p-17, -0x1.e7a0b403af828p-17, -0x1.d6d94f611136p-17, -0x1.c63ca15d77e8ap-17, -0x1.b5ca757bda808p-17, -0x1.a58296cd0272bp-17, -0x1.9564cff032ef4p-17, -0x1.8570eb1af1fe7p-17, -0x1.75a6b21e393eap-17, -0x1.6605ee64fdc02p-17, -0x1.568e68fde3206p-17, -0x1.473fea9c43b32p-17, -0x1.381a3b9c09405p-17, -0x1.291d24053fdb5p-17, -0x1.1a486b926ae56p-17, -0x1.0b9bd9af41a83p-17, -0x1.fa2e6b045a3d4p-18, -0x1.dd748bd27ea26p-18, -0x1.c109a30aab4b9p-18, -0x1.a4ed3d6af15bap-18, -0x1.891ee740c3235p-18, -0x1.6d9e2c67fdfbbp-18, -0x1.526a9853b432cp-18, -0x1.3783b61523c05p-18, -0x1.1ce9106331903p-18, -0x1.029a319b574c8p-18, -0x1.d12d479d76f8bp-19, -0x1.9dbbe1805fc67p-19, -0x1.6adf43e54b092p-19, -0x1.3896814b66523p-19, -0x1.06e0abc0879fcp-19, -0x1.ab79a9dae74c4p-20, -0x1.4a541c3d0dc31p-20, -0x1.d49da1102f862p-21, -0x1.16cfd04edee02p-21, -0x1.6cec1f6b4c1b2p-23, 0x1.7891dd3aa43c6p-23, 0x1.15526d0042418p-21, 0x1.ca52999380c09p-21, 0x1.3e945ed9b6766p-20, 0x1.96ec4d269a0ep-20, 0x1.ee32f83be425fp-20, 0x1.2235204f7f6ap-19, 0x1.4cca035cf1b7p-19, 0x1.76d9156d5d6cp-19, 0x1.a063468c80bf5p-19, 0x1.c96986a297b1ap-19, 0x1.f1ecc56c40382p-19, 0x1.0cf6f93c4bde9p-18, }}, 
      {{0x1.1a0413c686e35p-7, 0x1.1a0db6c04cc8cp-6, 0x1.a72955a309ac1p-6, 0x1.1a2aa7b5c05c5p-5, 0x1.60c550e015ba5p-5, 0x1.a75d2cd507cbcp-5, 0x1.ede6eed9aa779p-5, 0x1.1a29f37955605p-4, 0x1.3d4950787f2aep-4, 0x1.6047cd5788ff1p-4, 0x1.831aff7d77c43p-4, 0x1.a5b82c0596633p-4, 0x1.c8149883a9bp-4, 0x1.ea25d0edf4a77p-4, 0x1.05f0f0d2b884cp-3, 0x1.169fc2c44c7e3p-3, 0x1.271b244fa4932p-3, 0x1.375f502989e7cp-3, 0x1.4768fd3012953p-3, 0x1.573561e1b0a2dp-3, 0x1.66c23476b43e6p-3, 0x1.760da83abb741p-3, 0x1.851668b897374p-3, 0x1.93db933d03ce4p-3, 0x1.a25caf24fe8c9p-3, 0x1.b099a55c8c1c7p-3, 0x1.be92b763132fp-3, 0x1.cc48761b9da87p-3, 0x1.d9bbb8a1be265p-3, 0x1.e6ed934fcaf3fp-3, 0x1.f3df4f18582b7p-3, 0x1.004930a5f3afep-2, 0x1.068431edfb3b3p-2, 0x1.0ca1871332426p-2, 0x1.12a217277938ap-2, 0x1.1886d194537cep-2, 0x1.1e50ab56e460ap-2, 0x1.24009c81609afp-2, 0x1.29979dff4761p-2, 0x1.2f16a79925ab1p-2, 0x1.347eae344c056p-2, 0x1.39d0a24a9a3cfp-2, 0x1.3f0d6e9689124p-2, 0x1.4435f6ef8c059p-2, 0x1.494b1752ff46p-2, 0x1.4e4da315fb9e5p-2, 0x1.533e643c93907p-2, 0x1.581e1af31c0dbp-2, 0x1.5ced7d266fbd3p-2, 0x1.61ad36382c0a1p-2, 0x1.665de6cc33476p-2, 0x1.6b0024acdc405p-2, 0x1.6f947ac369ad1p-2, 0x1.741b692295b84p-2, 0x1.789565211a567p-2, 0x1.7d02d9824cf04p-2, 0x1.816426ab0e85ep-2, 0x1.85b9a2e15d562p-2, 0x1.8a039a9514d65p-2, 0x1.8e4250b06c4d3p-2, 0x1.9275feeee9c79p-2, 0x1.969ed639a71f3p-2, 0x1.9abcff07c902ap-2, 0x1.9ed099c230d2cp-2, 0x1.a2d9bf298a59bp-2, 0x1.a6d880bdd8942p-2, 0x1.aacce926d4439p-2, 0x1.aeb6fc9c6e20ep-2, 0x1.b296b94eddd3fp-2, 0x1.b66c17cdbb824p-2, 0x1.ba370b6db048dp-2, 0x1.bdf782ac51e1cp-2, 0x1.c1ad6791d968bp-2, 0x1.c558a01062207p-2, 0x1.c8f90e6074d8p-2, 0x1.cc8e915aa9682p-2, 0x1.d01904ce3722dp-2, 0x1.d39841d44bbfbp-2, 0x1.d70c1f2018f04p-2, 0x1.da74714b7c042p-2, 0x1.ddd10b2042b38p-2, 0x1.e121bdddf7f16p-2, 0x1.e466597c4a5fp-2, 0x1.e79eacea04e57p-2, 0x1.eaca8648aa2b9p-2, 0x1.ede9b324bf3ap-2, 0x1.f0fc00aad6027p-2, 0x1.f4013bd9679ffp-2, 0x1.f6f931af9d196p-2, 0x1.f9e3af5910c46p-2, 0x1.fcc08256b04ccp-2, 0x1.ff8f78a4cd04fp-2, 0x1.0128306f3d845p-1, 0x1.0281852f2efedp-1, 0x1.03d3a2ae7af48p-1, 0x1.051e71864a808p-1, 0x1.0661dad9860f5p-1, 0x1.079dc8609ab0ep-1, 0x1.08d224743a9dp-1, 0x1.09feda1722cf4p-1, 0x1.0b23d4fef94cbp-1, 0x1.0c41019c4b1c3p-1, 0x1.0d564d21b9572p-1, 0x1.0e63a58a6017bp-1, 0x1.0f68f99f84bp-1, 0x1.106638fd93f4ap-1, 0x1.115b54187b9a4p-1, 0x1.12483c3f6c103p-1, 0x1.132ce3a006cc6p-1, 0x1.14093d4907553p-1, 0x1.14dd3d2c6e11ep-1, 0x1.15a8d82134936p-1, 0x1.166c03e49379fp-1, 0x1.1726b71ae1a85p-1, 0x1.17d8e9501477ep-1, 0x1.188292f7e5c38p-1, 0x1.1923ad6da824ep-1, 0x1.19bc32f3cb974p-1, 0x1.1a4c1eb31d7d9p-1, 0x1.1ad36cb9c3d4ep-1, 0x1.1b5219f9f9f26p-1, 0x1.1bc8244896488p-1, 0x1.1c358a5b58501p-1, 0x1.1c9a4bc705303p-1, 0x1.1cf668fd57fa6p-1, 0x1.1d49e34ac57a9p-1, 0x1.1d94bcd4191bbp-1, 0x1.1dd6f893ed4adp-1, 0x1.1e109a5802353p-1, 0x1.1e41a6be7433p-1, 0x1.1e6a2332d4f2ep-1, 0x1.1e8a15eb2aeafp-1, 0x1.1ea185e4d70f4p-1, 0x1.1eb07ae16257ep-1, 0x1.1eb6fd633825p-1, 0x1.1eb516aa4b16cp-1, 0x1.1eaad0b0a8bd8p-1, 0x1.1e983626fbeaep-1, 0x1.1e7d527100b7ep-1, 0x1.1e5a31a1e7d44p-1, 0x1.1e2ee078b142ep-1, 0x1.1dfb6c5c76973p-1, 0x1.1dbfe358adf1ep-1, 0x1.1d7c5419611cap-1, 0x1.1d30cde75e465p-1, 0x1.1cdd60a45dbf9p-1, 0x1.1c821cc7238a3p-1, 0x1.1c1f13579a4fdp-1, 0x1.1bb455eae7bf7p-1, 0x1.1b41f69f7dd6fp-1, 0x1.1ac80819278e4p-1, 0x1.1a469d7d14314p-1, 0x1.19bdca6ddde27p-1, 0x1.192da307908edp-1, 0x1.18963bdbaf8fcp-1, 0x1.17f7a9ed3b148p-1, 0x1.175202acb4723p-1, 0x1.16a55bf427127p-1, 0x1.15f1cc032e85ap-1, 0x1.1537697b02852p-1, 0x1.14764b5a83d76p-1, 0x1.13ae88fa4cf02p-1, 0x1.12e03a08c767bp-1, 0x1.120b768643dd7p-1, 0x1.113056c1198c2p-1, 0x1.104ef351c963ap-1, 0x1.0f67651727bb3p-1, 0x1.0e79c5328d453p-1, 0x1.0d862d040e2b8p-1, 0x1.0c8cb626b8a5ep-1, 0x1.0b8d7a6cdc5bfp-1, 0x1.0a8893dc59412p-1, 0x1.097e1caaf7e5ep-1, 0x1.086e2f3acb3ccp-1, 0x1.0758e6169a83p-1, 0x1.063e5bee5708dp-1, 0x1.051eab939c174p-1, 0x1.03f9eff63812ap-1, 0x1.02d04420c3069p-1, 0x1.01a1c3353edf6p-1, 0x1.006e8869c3f3ep-1, 0x1.fe6d5e0a7581dp-2, 0x1.fbf4a4b840d62p-2, 0x1.f9731b9ab0746p-2, 0x1.f6e8f97e16bfbp-2, 0x1.f4567537293b9p-2, 0x1.f1bbc59cf31d5p-2, 0x1.ef192182e2b17p-2, 0x1.ec6ebfb2f5fb2p-2, 0x1.e9bcd6e7fe32p-2, 0x1.e7039dc8027a7p-2, 0x1.e4434adec014ap-2, 0x1.e17c149846b1ep-2, 0x1.deae313baf9e1p-2, 0x1.dbd9d6e5f9694p-2, 0x1.d8ff3b84f7cdap-2, 0x1.d61e94d26b297p-2, 0x1.d338184f2df6fp-2, 0x1.d04bfb3e8654fp-2, 0x1.cd5a72a19343fp-2, 0x1.ca63b332d8adp-2, 0x1.c767f161e8e03p-2, 0x1.c467614f30d11p-2, 0x1.c16236c7dcf4fp-2, 0x1.be58a541e0df5p-2, 0x1.bb4adfd81be55p-2, 0x1.b83919469ddc4p-2, 0x1.b52383e7055a5p-2, 0x1.b20a51ad03ca3p-2, 0x1.aeedb422f85d4p-2, 0x1.abcddc66af0ep-2, 0x1.a8aafb2637627p-2, 0x1.a585409cdf3f1p-2, 0x1.a25cdc90465abp-2, 0x1.9f31fe4d915c6p-2, 0x1.9c04d4a6ba015p-2, 0x1.98d58deff9a5p-2, 0x1.95a457fd55a76p-2, 0x1.9271602040ef8p-2, 0x1.8f3cd325602c3p-2, 0x1.8c06dd526564cp-2, 0x1.88cfaa6409e17p-2, 0x1.8597658c20455p-2, 0x1.825e396fc33dep-2, 0x1.7f2450259fe81p-2, 0x1.7be9d33457846p-2, 0x1.78aeeb90fb8ebp-2, 0x1.7573c19da58adp-2, 0x1.72387d2824cfp-2, 0x1.6efd4568c6b1ap-2, 0x1.6bc2410135956p-2, 0x1.688795fb72c9dp-2, 0x1.654d69c8e2e47p-2, 0x1.6213e14175cfp-2, 0x1.5edb20a2e310fp-2, 0x1.5ba34b8ffcf7ap-2, 0x1.586c8510186a1p-2, 0x1.5536ef8e8d5dep-2, 0x1.5202acda46b0fp-2, 0x1.4ecfde256b85p-2, 0x1.4b9ea4051b145p-2, 0x1.486f1e713b6f9p-2, 0x1.45416cc45b95ap-2, 0x1.4215adbba9564p-2, 0x1.3eebff76f85b4p-2, 0x1.3bc47f78dc1b7p-2, 0x1.389f4aa6d1a2bp-2, 0x1.357c7d497d95p-2, 0x1.325c330cf5a12p-2, 0x1.2f3e870121428p-2, 0x1.2c23939a21fcdp-2, 0x1.290b72b0d1955p-2, 0x1.25f63d834c9dp-2, 0x1.22e40cb589bb5p-2, 0x1.1fd4f8520371dp-2, 0x1.1cc917ca6a3b7p-2, 0x1.19c081f867618p-2, 0x1.16bb4d1e6c926p-2, 0x1.13b98ee88cb46p-2, 0x1.10bb5c6d64fe5p-2, 0x1.0dc0ca2f0d8a6p-2, 0x1.0ac9ec1c19bep-2, 0x1.07d6d5909ca73p-2, 0x1.04e799573ef14p-2, 0x1.01fc49aa5b72dp-2, 0x1.fe29f06a45896p-3, 0x1.f8636c299ab94p-3, 0x1.f2a527b3a6bf6p-3, 0x1.ecef4312599f5p-3, 0x1.e741dd3b34278p-3, 0x1.e19d1411ed3e2p-3, 0x1.dc01046b1c747p-3, 0x1.d66dca0efc5a7p-3, 0x1.d0e37fbc32fa9p-3, 0x1.cb623f2aabed7p-3, 0x1.c5ea210e7c19ap-3, 0x1.c07b3d1ad2a64p-3, 0x1.bb15aa04ee529p-3, 0x1.b5b97d8728cbcp-3, 0x1.b066cc63fe7d6p-3, 0x1.ab1daa692a9d7p-3, 0x1.a5de2a72c094ap-3, 0x1.a0a85e6e58c0cp-3, 0x1.9b7c575e39b22p-3, 0x1.965a255c8e9b1p-3, 0x1.9141d79ea0628p-3, 0x1.8c337c781864p-3, 0x1.872f215e3faaap-3, 0x1.8234d2eb4fc3ep-3, 0x1.7d449ce1b7418p-3, 0x1.785e8a2f7196p-3, 0x1.7382a4f15624ap-3, 0x1.6eb0f6766d7a4p-3, 0x1.69e987434caep-3, 0x1.652c5f156b7bp-3, 0x1.607984e67fa16p-3, 0x1.5bd0feefd765ep-3, 0x1.5732d2adb6b4fp-3, 0x1.529f04e2ae1ddp-3, 0x1.4e15999af9b7fp-3, 0x1.4996942fd81e2p-3, 0x1.4521f74ae32bap-3, 0x1.40b7c4e96534dp-3, 0x1.3c57fe5fb1c47p-3, 0x1.3802a45c72088p-3, 0x1.33b7b6ebf6862p-3, 0x1.2f77357b8629ap-3, 0x1.2b411edca1e7fp-3, 0x1.271571484f689p-3, 0x1.22f42a62559d7p-3, 0x1.1edd473c7ea17p-3, 0x1.1ad0c459cb842p-3, 0x1.16ce9db1ac7b6p-3, 0x1.12d6ceb32cc49p-3, 0x1.0ee952481e85ap-3, 0x1.0b0622d83de27p-3, 0x1.072d3a4c4ecafp-3, 0x1.035e921138261p-3, 0x1.ff3446362394dp-4, 0x1.f7bfcbd06bf8ap-4, 0x1.f05fa508862c4p-4, 0x1.e913c116351a5p-4, 0x1.e1dc0e57bc68cp-4, 0x1.dab87a57b2878p-4, 0x1.d3a8f1d2df0ffp-4, 0x1.ccad60bdfcfebp-4, 0x1.c5c5b24b709c7p-4, 0x1.bef1d0f0f116fp-4, 0x1.b831a66d17b5ep-4, 0x1.b1851bccf2951p-4, 0x1.aaec1971742eep-4, 0x1.a4668714dda03p-4, 0x1.9df44bd01591fp-4, 0x1.97954e1ff02edp-4, 0x1.914973ea630aap-4, 0x1.8b10a283ae21cp-4, 0x1.84eabeb36993fp-4, 0x1.7ed7acb98dea9p-4, 0x1.78d75053649fcp-4, 0x1.72e98cc068cfbp-4, 0x1.6d0e44c715716p-4, 0x1.67455ab9a46e3p-4, 0x1.618eb07ab7351p-4, 0x1.5bea2781f5193p-4, 0x1.5657a0e090891p-4, 0x1.50d6fd45c0d5cp-4, 0x1.4b681d0323e07p-4, 0x1.460ae011142b8p-4, 0x1.40bf2612e91b6p-4, 0x1.3b84ce5b24643p-4, 0x1.365bb7ef94e98p-4, 0x1.3143c18d5cf12p-4, 0x1.2c3cc9acee7bcp-4, 0x1.2746ae85f3bcfp-4, 0x1.22614e132627fp-4, 0x1.1d8c861612d75p-4, 0x1.18c8341acca85p-4, 0x1.1414357b8e274p-4, 0x1.0f7067644b4c7p-4, 0x1.0adca6d62dc2ep-4, 0x1.0658d0ab03a2cp-4, 0x1.01e4c1989b86cp-4, 0x1.fb00ac681ae83p-5, 0x1.f256d5e9ef3d9p-5, 0x1.e9cbb8714845bp-5, 0x1.e15f0c8a41ae5p-5, 0x1.d9108a98921b5p-5, 0x1.d0dfeadd735ffp-5, 0x1.c8cce57d6b0e1p-5, 0x1.c0d73285fc803p-5, 0x1.b8fe89f32d80bp-5, 0x1.b142a3b4f1f5ap-5, 0x1.a9a337b46f70ap-5, 0x1.a21ffdd935223p-5, 0x1.9ab8ae0e3369dp-5, 0x1.936d0046b79fp-5, 0x1.8c3cac832e80dp-5, 0x1.85276ad5d3fefp-5, 0x1.7e2cf36741f1p-5, 0x1.774cfe7ae4c34p-5, 0x1.708744734b8d3p-5, 0x1.69db7dd65c5b5p-5, 0x1.63496351751f7p-5, 0x1.5cd0adbd615a7p-5, 0x1.567116223e2d9p-5, 0x1.502a55bb3c4bcp-5, 0x1.49fc25fa49a31p-5, 0x1.43e6408b9fef5p-5, 0x1.3de85f5936726p-5, 0x1.38023c8e1ccddp-5, 0x1.32339299afddp-5, 0x1.2c7c1c32c9a21p-5, 0x1.26db945ac2c11p-5, 0x1.2151b66068056p-5, 0x1.1bde3de2d0962p-5, 0x1.1680e6d422931p-5, 0x1.11396d7c34286p-5, 0x1.0c078e7b21ba5p-5, 0x1.06eb06cbc6826p-5, 0x1.01e393c617f9p-5, 0x1.f9e1e642fcdcbp-6, 0x1.f025c5edf53d6p-6, 0x1.e6924386a0681p-6, 0x1.dd26dcd21e696p-6, 0x1.d3e310650b0a5p-6, 0x1.cac65da738b77p-6, 0x1.c1d044d7515f1p-6, 0x1.b900470e48ddep-6, 0x1.b055e64299f06p-6, 0x1.a7d0a54b70d8dp-6, 0x1.9f7007e39fd62p-6, 0x1.973392ac760c7p-6, 0x1.8f1acb307a482p-6, 0x1.872537e5eb59p-6, 0x1.7f526031352acp-6, 0x1.77a1cc673604p-6, 0x1.701305cf62b2bp-6, 0x1.68a596a5ca594p-6, 0x1.61590a1d05d42p-6, 0x1.5a2cec5ff2587p-6, 0x1.5320ca935a7adp-6, 0x1.4c3432d7825c8p-6, 0x1.4566b4498ff51p-6, 0x1.3eb7df04d1956p-6, 0x1.38274423fcac7p-6, 0x1.31b475c23170fp-6, 0x1.2b5f06fc0a809p-6, 0x1.25268bf06404ep-6, 0x1.1f0a99c137403p-6, 0x1.190ac69434a9p-6, 0x1.1326a99366779p-6, 0x1.0d5ddaed9fd45p-6, 0x1.07aff3d6ea9e6p-6, 0x1.021c8e88d2b71p-6, 0x1.f9468c8524ae4p-7, 0x1.ee876e928daa2p-7, 0x1.e3fafdcfc7f61p-7, 0x1.d9a076de967e8p-7, 0x1.cf77186c0f048p-7, 0x1.c57e2330893a1p-7, 0x1.bbb4d9eee0c34p-7, 0x1.b21a8173de9fap-7, 0x1.a8ae60956fe8bp-7, 0x1.9f6fc031a174fp-7, 0x1.965deb2daaf58p-7, 0x1.8d782e7494bf8p-7, 0x1.84bdd8f5f419dp-7, 0x1.7c2e3ba496a71p-7, 0x1.73c8a974b7983p-7, 0x1.6b8c775a786c3p-7, 0x1.6378fc4816223p-7, 0x1.5b8d912bf59b2p-7, 0x1.53c990eeb2cc8p-7, 0x1.4c2c5870feb03p-7, 0x1.44b546896c518p-7, 0x1.3d63bc0236d08p-7, 0x1.36371b96d0ca2p-7, 0x1.2f2ec9f17e96dp-7, 0x1.284a2da8c2ef4p-7, 0x1.2188af3cc127cp-7, 0x1.1ae9b9148f5f9p-7, 0x1.146cb77b719bfp-7, 0x1.0e11189dff5adp-7, 0x1.07d64c873aee4p-7, 0x1.01bbc51d99a51p-7, 0x1.f781ec400e0c8p-8, 0x1.ebcaaa4571cep-8, 0x1.e050b3182fd14p-8, 0x1.d512f92308feep-8, 0x1.ca1072683eb42p-8, 0x1.bf48187adf746p-8, 0x1.b4b8e8781edc2p-8, 0x1.aa61e3008f762p-8, 0x1.a0420c31460c4p-8, 0x1.96586b9cd667dp-8, 0x1.8ca40c447341ap-8, 0x1.8323fc909018p-8, 0x1.79d74e4a0fc1ap-8, 0x1.70bd1692d710ap-8, 0x1.67d46dde801bfp-8, 0x1.5f1c6feb2a871p-8, 0x1.56943bb9f1ff5p-8, 0x1.4e3af387ad9fap-8, 0x1.460fbcc553023p-8, 0x1.3e11c01080717p-8, 0x1.3640292bf6c5dp-8, 0x1.2e9a26f81bfdcp-8, 0x1.271eeb6b2c346p-8, 0x1.1fcdab89d07d8p-8, 0x1.18a59f5f5bf6ep-8, 0x1.11a601f624277p-8, 0x1.0ace114fe3c85p-8, 0x1.041d0e5e07098p-8, 0x1.fb2479f3cf05cp-9, 0x1.ee59c7ba5a9a8p-9, 0x1.e1d899340ce52p-9, 0x1.d59f8726de831p-9, 0x1.c9ad2feb54f6ap-9, 0x1.be00375c9ad5fp-9, 0x1.b29746c986aa3p-9, 0x1.a7710ce4c3724p-9, 0x1.9c8c3db618cfap-9, 0x1.91e7928a5aacdp-9, 0x1.8781c9e4d8427p-9, 0x1.7d59a76f75f68p-9, 0x1.736df3ebd181ep-9, 0x1.69bd7d241084bp-9, 0x1.604715db96555p-9, 0x1.570995bfff9d9p-9, 0x1.4e03d95a347d2p-9, 0x1.4534c1ff383d8p-9, 0x1.3c9b35c1705f1p-9, 0x1.34361f61b8fb8p-9, 0x1.2c046e40903cep-9, 0x1.2405164f88c37p-9, 0x1.1c37100260487p-9, 0x1.14995840a53e5p-9, 0x1.0d2af0573989dp-9, 0x1.05eadde9b5246p-9, 0x1.fdb055c8ad36dp-10, 0x1.efe3cadb341bfp-10, 0x1.e26e3fb02acf3p-10, 0x1.d54de128e1837p-10, 0x1.c880e446bea98p-10, 0x1.bc05860f88a49p-10, 0x1.afda0b7209912p-10, 0x1.a3fcc12a05a84p-10, 0x1.986bfba5ff417p-10, 0x1.8d2616eb6220bp-10, 0x1.8229767c1dcffp-10, 0x1.7774853bd742ep-10, 0x1.6d05b555c8fe5p-10, 0x1.62db8022c867bp-10, 0x1.58f4660e82abp-10, 0x1.4f4eee7ea0049p-10, 0x1.45e9a7b87ec0ep-10, 0x1.3cc326c8c05c2p-10, 0x1.33da076946efap-10, 0x1.2b2cebe92f879p-10, 0x1.22ba7d1360ce2p-10, 0x1.1a816a16c6aeep-10, 0x1.1280686dd8b44p-10, 0x1.0ab633c6ca68cp-10, 0x1.03218deb5fbafp-10, 0x1.f7827d54572b5p-11, 0x1.e928277cee5d3p-11, 0x1.db31c173c2aa5p-11, 0x1.cd9cfddab2868p-11, 0x1.c0679aa47956bp-11, 0x1.b38f60e903079p-11, 0x1.a71224b853fa2p-11, 0x1.9aedc4ef4ab72p-11, 0x1.8f202b0c03f62p-11, 0x1.83a74b03acc8bp-11, 0x1.78812316aba21p-11, 0x1.6dabbba910df2p-11, 0x1.632527167d99ep-11, 0x1.58eb818b879c8p-11, 0x1.4efcf0db69ffdp-11, 0x1.4557a45976da9p-11, 0x1.3bf9d4b08a759p-11, 0x1.32e1c3bc00ae7p-11, 0x1.2a0dbc617c72ap-11, 0x1.217c126a880b7p-11, 0x1.192b225ec0cd7p-11, 0x1.1119515edcc12p-11, 0x1.09450cff5312p-11, 0x1.01accb24ba3dcp-11, 0x1.f49e13bdc4e8ap-12, 0x1.e6549e8d08d7dp-12, 0x1.d87a52b25c988p-12, 0x1.cb0c5baec4d92p-12, 0x1.be07f44486e7dp-12, 0x1.b16a66339aep-12, 0x1.a53109f7557d7p-12, 0x1.9959468504afp-12, 0x1.8de0910a400bbp-12, 0x1.82c46cae6b96ap-12, 0x1.78026a5225488p-12, 0x1.6d98285251e3ap-12, 0x1.6383524a13e91p-12, 0x1.59c1a0d62161fp-12, 0x1.5050d95a3363cp-12, 0x1.472ecdc48c0a3p-12, 0x1.3e595c55547a4p-12, 0x1.35ce6f642a1fbp-12, 0x1.2d8bfd287ebebp-12, 0x1.259007827eba4p-12, 0x1.1dd89bc23d1a1p-12, 0x1.1663d273e8f15p-12, 0x1.0f2fcf2942691p-12, 0x1.083ac04592e7bp-12, 0x1.0182dec9853e2p-12, 0x1.f60cdc41a6389p-13, 0x1.e98777df6e24dp-13, 0x1.dd723fc22908dp-13, 0x1.d1c9f6ed6b7c2p-13, 0x1.c68b73b037c5p-13, 0x1.bbb39f48b7901p-13, 0x1.b13f758634335p-13, 0x1.a72c046d2c45ap-13, 0x1.9d766bdcfaef4p-13, 0x1.941bdd38c9663p-13, 0x1.8b199b0c5e129p-13, 0x1.826cf8ba86a99p-13, 0x1.7a135a246086bp-13, 0x1.720a3358567e5p-13, 0x1.6a4f083fd2538p-13, 0x1.62df6c4db7f05p-13, 0x1.5bb9022e6b21cp-13, 0x1.54d97b7b678fap-13, 0x1.4e3e986cd4966p-13, 0x1.47e6278e3391bp-13, 0x1.41ce0573bce3p-13, 0x1.3bf41c71bac81p-13, 0x1.365664546ee67p-13, 0x1.30f2e217bf18cp-13, 0x1.2bc7a7a4aa1dep-13, 0x1.26d2d388b9dap-13, 0x1.221290b674bbdp-13, 0x1.1d8516411e78cp-13, 0x1.1928a71b2c8a3p-13, 0x1.14fb91d8e26a8p-13, 0x1.10fc306df8b4fp-13, 0x1.0d28e7f2c1e73p-13, 0x1.098028658b5e8p-13, 0x1.06006c701df8ap-13, 0x1.02a8392c61219p-13, 0x1.feec3bd6366d8p-14, 0x1.f8d167f6c4e7fp-14, 0x1.f2fd3ce5cde79p-14, 0x1.ed6d13edcc0b3p-14, 0x1.e81e590e19d1ap-14, 0x1.e30e8a91fb536p-14, 0x1.de3b38a69f2bap-14, 0x1.d9a204fa90e9ep-14, 0x1.d540a253da689p-14, 0x1.d114d432489f1p-14, 0x1.cd1c6e6da105ap-14, 0x1.c95554d7db98cp-14, 0x1.c5bd7adeff2f8p-14, 0x1.c252e3350ea97p-14, 0x1.bf139f73d10fcp-14, 0x1.bbfdcfc6811fap-14, 0x1.b90fa2943d94ep-14, 0x1.b647542ab14d5p-14, 0x1.b3a32e6ca16b4p-14, 0x1.b121887e59a24p-14, 0x1.aec0c67968356p-14, 0x1.ac7f591cdaa58p-14, 0x1.aa5bbd7eb3d27p-14, 0x1.a8547cc3b767dp-14, 0x1.a6682bd40e3e8p-14, 0x1.a4956b14e45c7p-14, 0x1.a2dae61e67647p-14, 0x1.a1375379857d7p-14, 0x1.9fa97459b2c5bp-14, 0x1.9e30145a9eae2p-14, 0x1.9cca09401cd28p-14, 0x1.9b7632b3e9a4dp-14, 0x1.9a337a07ff53ep-14, 0x1.9900d1f9d4e25p-14, 0x1.97dd3673c7c86p-14, 0x1.96c7ac53cbc49p-14, 0x1.95bf413101a5p-14, 0x1.94c30b22995a5p-14, 0x1.93d228884fab6p-14, 0x1.92ebbfd578ee6p-14, 0x1.920eff58c0819p-14, 0x1.913b1d0ad905cp-14, 0x1.906f56598fbd9p-14, 0x1.8faaeff649149p-14, 0x1.8eed35a4ba94ap-14, 0x1.8e357a0c0d4f1p-14, 0x1.8d83168665b92p-14, 0x1.8cd56af3d1a1cp-14, 0x1.8c2bdd8cc393fp-14, 0x1.8b85dab66d68dp-14, 0x1.8ae2d4d8122fcp-14, 0x1.8a42442f8a2eep-14, 0x1.89a3a6a954cc1p-14, 0x1.89067fb7cd3e7p-14, 0x1.886a582b53e24p-14, 0x1.87cebe0cdcf0dp-14, 0x1.873344762785cp-14, 0x1.8697836f4fe54p-14, 0x1.85fb17c83ce46p-14, 0x1.855da2f7d8159p-14, 0x1.84becaf76304ep-14, 0x1.841e3a2204c8p-14, 0x1.837b9f1385816p-14, 0x1.82d6ac87bd7e2p-14, 0x1.822f193bd93dep-14, 0x1.81849fce89dc5p-14, 0x1.80d6fea2f68f5p-14, 0x1.8025f7c33121p-14, 0x1.7f7150c31affep-14, 0x1.7eb8d2a4aa21cp-14, 0x1.7dfc49bc79336p-14, 0x1.7d3b85975429ap-14, 0x1.7c7658dfc24dap-14, 0x1.7bac9944ec239p-14, 0x1.7ade1f61320fp-14, 0x1.7a0ac6a3265f5p-14, 0x1.79326d342703cp-14, 0x1.7854f3e2c7ce9p-14, 0x1.77723e0b327c1p-14, 0x1.768a3181e9691p-14, 0x1.759cb67defe7ep-14, 0x1.74a9b783fa4fbp-14, 0x1.73b121520f5c3p-14, 0x1.72b2e2cbbbd35p-14, 0x1.71aeece646881p-14, 0x1.70a5329645155p-14, 0x1.6f95a8bcc116bp-14, 0x1.6e8046154ccb2p-14, 0x1.6d650324fdc1cp-14, 0x1.6c43da290aef6p-14, 0x1.6b1cc705d1ceep-14, 0x1.69efc7374ec7ep-14, 0x1.68bcd9c0a7135p-14, 0x1.6783ff1db8b78p-14, 0x1.664539330724dp-14, 0x1.65008b402ffa5p-14, 0x1.63b5f9d0ff3fcp-14, 0x1.62658ab04d5ecp-14, 0x1.610f44da23ebbp-14, 0x1.5fb3306ec1cf7p-14, 0x1.5e5156a5f72c3p-14, 0x1.5ce9c1c2c04efp-14, 0x1.5b7c7d075333ap-14, 0x1.5a0994a981b3ep-14, 0x1.589115c74075ap-14, 0x1.57130e5bb694cp-14, 0x1.558f8d347d378p-14, 0x1.5406a1e71af19p-14, 0x1.52785cc71f7bcp-14, 0x1.50e4cedc24937p-14, 0x1.4f4c09d83b7b5p-14, 0x1.4dae200ee10cep-14, 0x1.4c0b246bc37dep-14, 0x1.4a632a6a6139p-14, 0x1.48b6460d31899p-14, 0x1.47048bd591fecp-14, 0x1.454e10bbf44d1p-14, 0x1.4392ea27e65adp-14, 0x1.41d32de8e3293p-14, 0x1.400ef22ee39b8p-14, 0x1.3e464d836174ep-14, 0x1.3c7956c2a998fp-14, 0x1.3aa82515237dcp-14, 0x1.38d2cfe910f3cp-14, 0x1.36f96eec0fc74p-14, 0x1.351c1a05af2f4p-14, 0x1.333ae9510e134p-14, 0x1.3155f517e6a6cp-14, 0x1.2f6d55ccc659p-14, 0x1.2d8124060d022p-14, 0x1.2b91787897937p-14, 0x1.299e6bf34d0a8p-14, 0x1.27a8175a1ce5fp-14, 0x1.25ae93a197cdfp-14, 0x1.23b1f9ca8b7b2p-14, 0x1.21b262ddf3767p-14, 0x1.1fafe7e8d6ee9p-14, 0x1.1daaa1f833b43p-14, 0x1.1ba2aa158b854p-14, 0x1.19981943045bcp-14, 0x1.178b087815c9cp-14, 0x1.157b909e2595p-14, 0x1.1369ca8d5cb46p-14, 0x1.1155cf098e23ep-14, 0x1.0f3fb6bf173b7p-14, 0x1.0d279a405bab7p-14, 0x1.0b0d9202d1f67p-14, 0x1.08f1b65c8af4fp-14, 0x1.06d41f818e1dp-14, 0x1.04b4e5816725fp-14, 0x1.0294204549e9bp-14, 0x1.0071e78d548cfp-14, 0x1.fc9ca5ddf5123p-15, 0x1.f852f3a56d0ap-15, 0x1.f406e6e4a41fp-15, 0x1.efb8adae462a6p-15, 0x1.eb6875b036cc8p-15, 0x1.e7166c30d16c6p-15, 0x1.e2c2be0bb9868p-15, 0x1.de6d97aec20a8p-15, 0x1.da17251763c22p-15, 0x1.d5bf91d032feep-15, 0x1.d16708ee58e2dp-15, 0x1.cd0db50f58521p-15, 0x1.c8b3c056b83b1p-15, 0x1.c459546bf7baap-15, 0x1.bffe9a78fdd46p-15, 0x1.bba3bb28398b7p-15, 0x1.b748dea2f8bebp-15, 0x1.b2ee2c8fce269p-15, 0x1.ae93cc11619c5p-15, 0x1.aa39e3c50d93ep-15, 0x1.a5e099c1b63b4p-15, 0x1.a1881396d47bbp-15, 0x1.9d30764b4f9ecp-15, 0x1.98d9e65caedc2p-15, 0x1.948487be76806p-15, 0x1.90307dd9856f3p-15, 0x1.8bddeb8b367b3p-15, 0x1.878cf325611e4p-15, 0x1.833db66d7f803p-15, 0x1.7ef0569c8a13p-15, 0x1.7aa4f45ec5227p-15, 0x1.765bafd37d73fp-15, 0x1.7214a88d00b6p-15, 0x1.6dcffd90b5fffp-15, 0x1.698dcd56bc2e9p-15, 0x1.654e35ca8a385p-15, 0x1.6111544af323ap-15, 0x1.5cd745aa5ef3ep-15, 0x1.58a0262f0225ap-15, 0x1.546c119306c1p-15, 0x1.503b230572931p-15, 0x1.4c0d752a53229p-15, 0x1.47e3221b32c79p-15, 0x1.43bc4367a361ap-15, 0x1.3f98f216092f7p-15, 0x1.3b7946a4556fbp-15, 0x1.375d59084a797p-15, 0x1.334540b08d315p-15, 0x1.2f31148585db8p-15, 0x1.2b20eae99d5b9p-15, 0x1.2714d9ba6f169p-15, 0x1.230cf652099b6p-15, 0x1.1f0955873c18cp-15, 0x1.1b0a0baea54d2p-15, 0x1.170f2c9bead09p-15, 0x1.1318cba2a5ca7p-15, 0x1.0f26fb9739ac7p-15, 0x1.0b39cecfd11efp-15, 0x1.07515725b899ap-15, 0x1.036da5f66ec45p-15, 0x1.ff1d9848f88dcp-16, 0x1.f769b431a569dp-16, 0x1.efbfbf878d2ffp-16, 0x1.e81fd93cd0767p-16, 0x1.e08a1f574379fp-16, 0x1.d8feaef27d939p-16, 0x1.d17da442cdd3ep-16, 0x1.ca071a976803fp-16, 0x1.c29b2c5cb8904p-16, 0x1.bb39f31f28236p-16, 0x1.b3e3878d7101bp-16, 0x1.ac98017b26d5bp-16, 0x1.a55777e325fc1p-16, 0x1.9e2200eac3edap-16, 0x1.96f7b1e3b2c08p-16, 0x1.8fd89f4eccb0ep-16, 0x1.88c4dcdeb019dp-16, 0x1.81bc7d7a710cfp-16, 0x1.7abf93405c34dp-16, 0x1.73ce2f87e9786p-16, 0x1.6ce862e542247p-16, 0x1.660e3d2b3670ap-16, 0x1.5f3fcd6e31621p-16, 0x1.587d2206b2e6ap-16, 0x1.51c64894636bcp-16, 0x1.4b1b4dffe4a3fp-16, 0x1.447c3e7e0ee91p-16, 0x1.3de9259231b1fp-16, 0x1.37620e1112fc5p-16, 0x1.30e702239d4ap-16, 0x1.2a780b48f592fp-16, 0x1.2415325943337p-16, 0x1.1dbe7f88bf2fep-16, 0x1.1773fa69ce7a1p-16, 0x1.1135a9efc1f21p-16, 0x1.0b03947144f9dp-16, 0x1.04ddbfab2057ep-16, 0x1.fd886185265a6p-17, 0x1.f16dd88fe0be7p-17, 0x1.e56bec7273b23p-17, 0x1.d982a4093df3p-17, 0x1.cdb205151811ep-17, 0x1.c1fa14417a307p-17, 0x1.b65ad528eba17p-17, 0x1.aad44a59a7dc2p-17, 0x1.9f66755a9142p-17, 0x1.941156b03f465p-17, 0x1.88d4ede267608p-17, 0x1.7db1397efe54p-17, 0x1.72a6371fa8576p-17, 0x1.67b3e36f48efdp-17, 0x1.5cda3a2d709acp-17, 0x1.52193633a1b89p-17, 0x1.4770d179c5f15p-17, 0x1.3ce1051a66347p-17, 0x1.3269c95790612p-17, 0x1.280b159eef6cbp-17, 0x1.1dc4e08e745fp-17, 0x1.13971ff85e9e6p-17, 0x1.0981c8e7873f1p-17, 0x1.ff099f4880a96p-18, 0x1.eb404f706ef7bp-18, 0x1.d7a787e433facp-18, 0x1.c43f2cd5e4bc7p-18, 0x1.b10721128af27p-18, 0x1.9dff460a1e3dap-18, 0x1.8b277bd94641ep-18, 0x1.787fa14fe621bp-18, 0x1.660793f901908p-18, 0x1.53bf30228d6e2p-18, 0x1.41a650e6588bp-18, 0x1.2fbcd0302953p-18, 0x1.1e0286c55bf85p-18, 0x1.0c774c4d21297p-18, 0x1.f635eeadc41fbp-19, 0x1.d3dabac35a627p-19, 0x1.b1dca5c89ec7p-19, 0x1.903b56a57eae8p-19, 0x1.6ef6724be1965p-19, 0x1.4e0d9bc6260afp-19, 0x1.2d8074448798fp-19, 0x1.0d4e9b285ff3ap-19, 0x1.daef5c2603bd2p-20, 0x1.9bf691e675938p-20, 0x1.5db20c226be9dp-20, 0x1.2020fc34e1baap-20, 0x1.c68520c27b6efp-21, 0x1.4e2be7cc1e421p-21, 0x1.ae693c65d2b5cp-22, 0x1.86763c0c1207fp-23, -0x1.29b0034767c1fp-25, -0x1.0aed9e4a1cbd3p-22, -0x1.edef4533f1ca9p-22, -0x1.671f444c9ee59p-21, -0x1.d5ef82b138fedp-21, -0x1.21b5186a11bedp-20, -0x1.57c89313ebbcfp-20, -0x1.8d331f2d82424p-20, -0x1.c1f5ac98ce2c5p-20, -0x1.f6112d2d37c79p-20, -0x1.14c34a52cc71bp-19, -0x1.2e2b6c43ebb8fp-19, -0x1.4741780a3bd67p-19, -0x1.6005ea1a79bd1p-19, -0x1.78793fb2059a7p-19, -0x1.909bf6cf12857p-19, -0x1.a86e8e281e484p-19, -0x1.bff185210e309p-19, -0x1.d7255bc3de238p-19, -0x1.ee0a92b8235c2p-19, -0x1.0250d59d0e391p-18, -0x1.0d759388f604dp-18, -0x1.1873c4459d59p-18, -0x1.234ba936cca78p-18, -0x1.2dfd83fa1d97p-18, -0x1.3889966355b8bp-18, -0x1.42f02278afa94p-18, -0x1.4d316a6e3a265p-18, -0x1.574db0a30ef9bp-18, -0x1.6145379dfa10ap-18, -0x1.6b18420817742p-18, -0x1.74c712ab8053cp-18, -0x1.7e51ec6f424aap-18, -0x1.87b912531863p-18, -0x1.90fcc76cd90e2p-18, -0x1.9a1d4ee586ba1p-18, -0x1.a31aebf5c102bp-18, -0x1.abf5e1e28c111p-18, -0x1.b4ae73fabbb1ep-18, -0x1.bd44e59389b57p-18, -0x1.c5b97a062026ap-18, -0x1.ce0c74aca4b08p-18, -0x1.d63e18dee374cp-18, -0x1.de4ea9effafc1p-18, -0x1.e63e6b2bf5fe3p-18, -0x1.ee0d9fd4cd445p-18, -0x1.f5bc8b2002044p-18, -0x1.fd4b7034322ebp-18, -0x1.025d4913217abp-17, -0x1.060519fbe0019p-17, -0x1.099d4c49c2957p-17, -0x1.0d260166182e5p-17, -0x1.109f5aace637p-17, -0x1.1409796ba9a01p-17, -0x1.17647ee07cd41p-17, -0x1.1ab08c38feb0fp-17, -0x1.1dedc29145c1ep-17, -0x1.211c42f2e3e6ep-17, -0x1.243c2e53ce2bap-17, -0x1.274da59583058p-17, -0x1.2a50c9847aee9p-17, -0x1.2d45bad6e0f7ap-17, -0x1.302c9a2b78e47p-17, -0x1.33058809478cap-17, -0x1.35d0a4de93574p-17, -0x1.388e110002672p-17, -0x1.3b3deca7cf1cdp-17, -0x1.3de057f505adap-17, -0x1.407572eb47e5dp-17, -0x1.42fd5d7115c0bp-17, -0x1.4578374fdd1dcp-17, -0x1.47e6203319f14p-17, -0x1.4a4737a7d771bp-17, -0x1.4c9b9d1b7815cp-17, -0x1.4ee36fdba8e58p-17, -0x1.511ecf15e61d8p-17, -0x1.534dd9d65fda3p-17, -0x1.5570af078785ep-17, -0x1.57876d7201252p-17, -0x1.599233bb3bc5fp-17, -0x1.5b912065ab24fp-17, -0x1.5d8451d031cc1p-17, -0x1.5f6be635672a1p-17, -0x1.6147fbab174f9p-17, -0x1.6318b022107dbp-17, -0x1.64de2165975c2p-17, -0x1.66986d1b1d78dp-17, -0x1.6847b0c157d1p-17, -0x1.69ec09b06e5fcp-17, -0x1.6b859519bf96dp-17, -0x1.6d147006ecd09p-17, -0x1.6e98b759a7df6p-17, -0x1.701287cb9bfebp-17, -0x1.7181fdee4578ap-17, -0x1.72e7362a16981p-17, -0x1.74424cbe8612p-17, -0x1.75935dc1c2a3ep-17, -0x1.76da852070c8ap-17, -0x1.7817de9d6e319p-17, -0x1.794b85d18c994p-17, -0x1.7a75962b6234dp-17, -0x1.7b962aeee4d27p-17, -0x1.7cad5f354742ep-17, -0x1.7dbb4ded2d3b6p-17, -0x1.7ec011d9ee8adp-17, -0x1.7fbbc593c3c7p-17, -0x1.80ae8387926adp-17, -0x1.819865f6965e4p-17, -0x1.827986f688df9p-17, -0x1.835200713d12dp-17, -0x1.8421ec24c85c1p-17, -0x1.84e963a3021c2p-17, -0x1.85a880520282dp-17, -0x1.865f5b6b5d1fp-17, -0x1.870e0dfc9b5ddp-17, -0x1.87b4b0e6f19a5p-17, -0x1.88535cdf41ff3p-17, -0x1.88ea2a6d97f0ep-17, -0x1.897931ede1f6p-17, -0x1.8a008b8fa837cp-17, -0x1.8a804f55aed54p-17, -0x1.8af895162ca6ep-17, -0x1.8b69747ad9a7cp-17, -0x1.8bd30500fbeep-17, -0x1.8c355df8f4605p-17, -0x1.8c909686dbcb5p-17, -0x1.8ce4c5a21e009p-17, -0x1.8d320215d4a16p-17, -0x1.8d7862806971cp-17, -0x1.8db7fd54152bp-17, -0x1.8df0e8d65522p-17, -0x1.8e233b208caf8p-17, -0x1.8e4f0a1fe57cp-17, -0x1.8e746b9536ff9p-17, -0x1.8e937514f818cp-17, -0x1.8eac3c07fd47ap-17, -0x1.8ebed5aabec5ap-17, -0x1.8ecb570e2f407p-17, -0x1.8ed1d5170362ap-17, -0x1.8ed2647e95873p-17, -0x1.8ecd19d24450dp-17, -0x1.8ec20974210b4p-17, -0x1.8eb1479adfd0cp-17, -0x1.8e9ae851e1a0cp-17, -0x1.8e7eff7935d0bp-17, -0x1.8e5da0c60a753p-17, -0x1.8e36dfc2a3bc1p-17, -0x1.8e0acfce72fbap-17, -0x1.8dd9841e16b28p-17, -0x1.8da30fbc0777ep-17, -0x1.8d6785880c30cp-17, -0x1.8d26f837d896ep-17, -0x1.8ce17a5718c03p-17, -0x1.8c971e478c807p-17, -0x1.8c47f640ec07bp-17, -0x1.8bf41451fb24cp-17, -0x1.8b9b8a5f60646p-17, -0x1.8b3e6a24d2452p-17, -0x1.8adcc534df028p-17, -0x1.8a76acf954586p-17, -0x1.8a0c32b2fa564p-17, -0x1.899d677a65c79p-17, -0x1.892a5c3f5f70bp-17, -0x1.88b321c9cd864p-17, -0x1.8837c8b95bc47p-17, -0x1.87b8618618848p-17, -0x1.8734fc801b63p-17, -0x1.86ada9d088a82p-17, -0x1.86227978e8aa2p-17, -0x1.85937b53bc3ddp-17, }}, 
      {{0x1.da92ba6a71236p-1, 0x1.da5a9860c8242p-1, 0x1.d9fdf130aa57bp-1, 0x1.d97d671ab8b1ep-1, 0x1.d8d9005875249p-1, 0x1.d80feb35f194ap-1, 0x1.d72079bb12876p-1, 0x1.d60845f69a3b2p-1, 0x1.d4c46e0429743p-1, 0x1.d351d97045eacp-1, 0x1.d1ad7d734b0f5p-1, 0x1.cfd4992becd09p-1, 0x1.cdc4e60baafd7p-1, 0x1.cb7cbaf420d09p-1, 0x1.c8fb222303a5dp-1, 0x1.c63fe317c1114p-1, 0x1.c34b823714ad8p-1, 0x1.c01f383365ce6p-1, 0x1.bcbce3457fbb6p-1, 0x1.b926f41d9ec82p-1, 0x1.b56058399099ap-1, 0x1.b16c630676c8bp-1, 0x1.ad4eb6ec82573p-1, 0x1.a90b2f1ea30b9p-1, 0x1.a4a5cacb04dccp-1, 0x1.a0229a15188f1p-1, 0x1.9b85ad171dba2p-1, 0x1.96d305075a21bp-1, 0x1.920e878377427p-1, 0x1.8d3bf3f1c7b91p-1, 0x1.885edadb4c25p-1, 0x1.837a971907878p-1, 0x1.7e9248aa8f33dp-1, 0x1.79a8d109d7232p-1, 0x1.74c0d0d0444b3p-1, 0x1.6fdca6827c807p-1, 0x1.6afe6e5abc484p-1, 0x1.662802ec4d9a2p-1, 0x1.615afe7de07d3p-1, 0x1.5c98bcfbad45dp-1, 0x1.57e25e656f757p-1, 0x1.5338c99f45147p-1, 0x1.4e9caf8f512dfp-1, 0x1.4a0e8e749553cp-1, 0x1.458eb565d8151p-1, 0x1.411d47e99e67bp-1, 0x1.3cba419a2e56ep-1, 0x1.386579ca59968p-1, 0x1.341ea7216ae99p-1, 0x1.2fe56325fc94bp-1, 0x1.2bb92db0d1611p-1, 0x1.27997041efba4p-1, 0x1.238581334f1bcp-1, 0x1.1f7ca6c5590ap-1, 0x1.1b7e1a02592b8p-1, 0x1.17890976b884cp-1, 0x1.139c9bbc9499p-1, 0x1.0fb7f1d9d3054p-1, 0x1.0bda29706545ep-1, 0x1.08025ec0e2b34p-1, 0x1.042fae8007337p-1, 0x1.0061378003e7fp-1, 0x1.f92c385da7729p-2, 0x1.f19b07d61dbb7p-2, 0x1.ea0d3861ce2abp-2, 0x1.e281334244345p-2, 0x1.daf571c8109a1p-2, 0x1.d3687ed4ac244p-2, 0x1.cbd8f81c9e7b2p-2, 0x1.c4458f2e2a861p-2, 0x1.bcad0a40e00e9p-2, 0x1.b50e44d24ec65p-2, 0x1.ad683014207a3p-2, 0x1.a5b9d32fb2816p-2, 0x1.9e024b6335bf6p-2, 0x1.9640cbfc2e63p-2, 0x1.8e749e3307292p-2, 0x1.869d20eb3957ep-2, 0x1.7eb9c85b5c765p-2, 0x1.76ca1da043ebbp-2, 0x1.6ecdbe3e0cf3ep-2, 0x1.66c45b91dc98fp-2, 0x1.5eadba36d203p-2, 0x1.5689b160775fep-2, 0x1.4e582a2cd5d2cp-2, 0x1.46191ef0165d2p-2, 0x1.3dcc9a7b6db72p-2, 0x1.3572b760e1fe3p-2, 0x1.2d0b9f3556634p-2, 0x1.249789d20ef22p-2, 0x1.1c16bc96c8901p-2, 0x1.138989ad59b8ep-2, 0x1.0af04f4fa79c9p-2, 0x1.024b7710a37dap-2, 0x1.f336ea51d39e3p-3, 0x1.e1c18f8eebb78p-3, 0x1.d037eccdb980ap-3, 0x1.be9b224e9c59cp-3, 0x1.acec605b47de1p-3, 0x1.9b2ce60f4a6dap-3, 0x1.895e002b2ff26p-3, 0x1.778107f271424p-3, 0x1.65976214185dfp-3, 0x1.53a27d9e28808p-3, 0x1.41a3d2fb9b618p-3, 0x1.2f9ce2fccdd68p-3, 0x1.1d8f35ea1f23p-3, 0x1.0b7c5aa089c9bp-3, 0x1.f2cbcb6fbd946p-4, 0x1.ce9ae164c9b0bp-4, 0x1.aa69326afe5f6p-4, 0x1.863a00960aed7p-4, 0x1.62109355fe0bcp-4, 0x1.3df0361ac1744p-4, 0x1.19dc3706fae99p-4, 0x1.ebafcb634e163p-5, 0x1.a3cd23eb84ee1p-5, 0x1.5c17159ed32c4p-5, 0x1.14943a8b97f7bp-5, 0x1.9a964d85a9f6ep-6, 0x1.0c84ccb819p-6, 0x1.fc03dc7ca71e9p-8, -0x1.bd08c66bbd042p-11, -0x1.3454320826e85p-7, -0x1.25b7cd3e28f32p-6, -0x1.b084d01dd60a3p-6, -0x1.1d42599b3bb42p-5, -0x1.61d597aafa98fp-5, -0x1.a5f613a31a255p-5, -0x1.e99dd5372be5ep-5, -0x1.16637dd50fd7ap-4, -0x1.37b5df7fe72c6p-4, -0x1.58c3388fdf6c9p-4, -0x1.7988bf74afbd1p-4, -0x1.9a03b89d26712p-4, -0x1.ba3176f362f6ep-4, -0x1.da0f5c5250bcdp-4, -0x1.f99ad9f4a049ep-4, -0x1.0c68b86e9a404p-3, -0x1.1bd8591c9e9ccp-3, -0x1.2b1b1fde0dc48p-3, -0x1.3a2fe5fa8452fp-3, -0x1.49158d4f658b2p-3, -0x1.57cb0074aefefp-3, -0x1.664f32dee08b1p-3, -0x1.74a120fdf361p-3, -0x1.82bfd059834e5p-3, -0x1.90aa4faa14432p-3, -0x1.9e5fb6ef990a6p-3, -0x1.abdf27853185dp-3, -0x1.b927cc32390f7p-3, -0x1.c638d938a33dfp-3, -0x1.d3118c60c16f1p-3, -0x1.dfb12d025bfc9p-3, -0x1.ec170c0b5a097p-3, -0x1.f8428403d053dp-3, -0x1.02197c87d5e88p-2, -0x1.07f3ec76f652bp-2, -0x1.0db04d7ac0a65p-2, -0x1.134e6007eb16cp-2, -0x1.18cde9589284ep-2, -0x1.1e2eb3674537fp-2, -0x1.23708ce8fc78ep-2, -0x1.289349460b36bp-2, -0x1.2d96c0920296ap-2, -0x1.327acf82a2dcep-2, -0x1.373f5765cfe31p-2, -0x1.3be43e169ab37p-2, -0x1.40696df16a66ep-2, -0x1.44ced5c741a13p-2, -0x1.491468d03559p-2, -0x1.4d3a1e9d1408bp-2, -0x1.513ff3084dffp-2, -0x1.5525e6261f40dp-2, -0x1.58ebfc34097ebp-2, -0x1.5c923d87a3d5bp-2, -0x1.6018b67ccb5b2p-2, -0x1.637f776339b99p-2, -0x1.66c6946b91b4ep-2, -0x1.69ee2593de0fcp-2, -0x1.6cf646939a22ep-2, -0x1.6fdf16c740a0fp-2, -0x1.72a8b91b6f09fp-2, -0x1.755353f7a62a8p-2, -0x1.77df1128aeaf8p-2, -0x1.7a4c1dcaa8d7bp-2, -0x1.7c9aaa32d556ep-2, -0x1.7ecae9d913e4ap-2, -0x1.80dd13412e56cp-2, -0x1.82d15fe3ea1ddp-2, -0x1.84a80c17f22d1p-2, -0x1.866156fa9b7fep-2, -0x1.87fd82588a654p-2, -0x1.897cd29645533p-2, -0x1.8adf8e98b6216p-2, -0x1.8c25ffada2792p-2, -0x1.8d5071742758dp-2, -0x1.8e5f31c532d51p-2, -0x1.8f52909c0f014p-2, -0x1.902adffef846fp-2, -0x1.90e873e7cf01ep-2, -0x1.918ba22ce06cp-2, -0x1.9214c269d63c4p-2, -0x1.92842de8c9e61p-2, -0x1.92da3f8b85252p-2, -0x1.931753b4f0b76p-2, -0x1.933bc832bb627p-2, -0x1.9347fc2737f29p-2, -0x1.933c4ff3785c1p-2, -0x1.93192521ac267p-2, -0x1.92dede4fc1413p-2, -0x1.928ddf1a515edp-2, -0x1.92268c07d770cp-2, -0x1.91a94a74352edp-2, -0x1.9116807c8d0f9p-2, -0x1.906e94eb6a198p-2, -0x1.8fb1ef2548e67p-2, -0x1.8ee0f7157041cp-2, -0x1.8dfc151b2d2bap-2, -0x1.8d03b1f766627p-2, -0x1.8bf836ba9664dp-2, -0x1.8ada0cb31ebbfp-2, -0x1.89a99d5c03f21p-2, -0x1.8867524c0b2c6p-2, -0x1.871395253b99fp-2, -0x1.85aecf84c900ep-2, -0x1.84396af365345p-2, -0x1.82b3d0d5f4f0cp-2, -0x1.811e6a5eb31bdp-2, -0x1.7f79a07eb8bb4p-2, -0x1.7dc5dbd7ee097p-2, -0x1.7c0384af682adp-2, -0x1.7a3302e02ceccp-2, -0x1.7854bdce60827p-2, -0x1.76691c5ade214p-2, -0x1.747084d739493p-2, -0x1.726b5cfa2435ap-2, -0x1.705a09d443d02p-2, -0x1.6e3cefc56698fp-2, -0x1.6c147272243b4p-2, -0x1.69e0f4b9e55d5p-2, -0x1.67a2d8ad4bc24p-2, -0x1.655a7f8503886p-2, -0x1.63084998f7cdp-2, -0x1.60ac9657e4fe2p-2, -0x1.5e47c43f53679p-2, -0x1.5bda30d3ebe94p-2, -0x1.5964389a2e50bp-2, -0x1.56e6370f87221p-2, -0x1.546086a3bdc81p-2, -0x1.51d380b2c0e24p-2, -0x1.4f3f7d7ecbdacp-2, -0x1.4ca4d42ae1cebp-2, -0x1.4a03dab5a5431p-2, -0x1.475ce5f47db21p-2, -0x1.44b0498f150e1p-2, -0x1.41fe57fb27f44p-2, -0x1.3f476278a1135p-2, -0x1.3c8bb90e0b371p-2, -0x1.39cbaa8548d0bp-2, -0x1.370784689b1a5p-2, -0x1.343f92fff38dep-2, -0x1.3174214e8ad95p-2, -0x1.2ea57910bff3cp-2, -0x1.2bd3e2ba3a7cap-2, -0x1.28ffa57451b73p-2, -0x1.2629071cb42c3p-2, -0x1.23504c444dcp-2, -0x1.2075b82e6c3c3p-2, -0x1.1d998cd0208a4p-2, -0x1.1abc0acfdade2p-2, -0x1.17dd71853c174p-2, -0x1.14fdfef922115p-2, -0x1.121defe5e7da5p-2, -0x1.0f3d7fb7d8ed2p-2, -0x1.0c5ce88dd5ae4p-2, -0x1.097c633a2a0b9p-2, -0x1.069c274392bbp-2, -0x1.03bc6ae66b5fap-2, -0x1.00dd63160e61ep-2, -0x1.fbfe86fcb6151p-3, -0x1.f6447d0ac2015p-3, -0x1.f08d0a9a74ca7p-3, -0x1.ead88f6c05ec8p-3, -0x1.e52768bfecac5p-3, -0x1.df79f15b63e64p-3, -0x1.d9d0818d26281p-3, -0x1.d42b6f3273ae1p-3, -0x1.ce8b0dbc48c11p-3, -0x1.c8efae34d3698p-3, -0x1.c3599f451fab9p-3, -0x1.bdc92d3af261dp-3, -0x1.b83ea20ed7fdap-3, -0x1.b2ba456a60236p-3, -0x1.ad3c5cae8704cp-3, -0x1.a7c52afa448cep-3, -0x1.a254f1314241p-3, -0x1.9cebee02b8b65p-3, -0x1.978a5df06a0e1p-3, -0x1.92307b55c082ep-3, -0x1.8cde7e6f0839fp-3, -0x1.87949d60bff38p-3, -0x1.82530c3f0c08ap-3, -0x1.7d19fd153a206p-3, -0x1.77e99fed54b94p-3, -0x1.72c222d7d9e24p-3, -0x1.6da3b1f36e6f9p-3, -0x1.688e7774b29b6p-3, -0x1.63829bae15c6p-3, -0x1.5e804517be711p-3, -0x1.598798577b067p-3, -0x1.5498b848b4616p-3, -0x1.4fb3c604702d5p-3, -0x1.4ad8e0e954256p-3, -0x1.460826a3a6b0ap-3, -0x1.4141b3355f538p-3, -0x1.3c85a0fe2ad0ap-3, -0x1.37d408c37490fp-3, -0x1.332d01b86e492p-3, -0x1.2e90a18612586p-3, -0x1.29fefc5322a1fp-3, -0x1.257824cc205dbp-3, -0x1.20fc2c2b4145p-3, -0x1.1c8b2240578d9p-3, -0x1.18251578b2db8p-3, -0x1.13ca12e6fa298p-3, -0x1.0f7a264af5db7p-3, -0x1.0b355a1951e78p-3, -0x1.06fbb78351eb1p-3, -0x1.02cd467e780eep-3, -0x1.fd541b9834a5fp-4, -0x1.f5242601dfe15p-4, -0x1.ed0ab51915017p-4, -0x1.e507cf817248cp-4, -0x1.dd1b79b1ccce9p-4, -0x1.d545b602bb007p-4, -0x1.cd8684bcf6adfp-4, -0x1.c5dde4279be49p-4, -0x1.be4bd09652afbp-4, -0x1.b6d0447730b7dp-4, -0x1.af6b38608cceap-4, -0x1.a81ca31e9bf24p-4, -0x1.a0e479c0eea5cp-4, -0x1.99c2afa7b0b73p-4, -0x1.92b73690d19fcp-4, -0x1.8bc1fea4f4c5bp-4, -0x1.84e2f684380c4p-4, -0x1.7e1a0b52cb6bap-4, -0x1.776728c55c05fp-4, -0x1.70ca392d53f68p-4, -0x1.6a432584e1a76p-4, -0x1.63d1d57ade14dp-4, -0x1.5d762f7e74ca2p-4, -0x1.573018caa7465p-4, -0x1.50ff75719d8ap-4, -0x1.4ae42867c4afp-4, -0x1.44de138ebeb3dp-4, -0x1.3eed17c02105dp-4, -0x1.391114d8070fep-4, -0x1.3349e9bf6e13p-4, -0x1.2d97747664d6dp-4, -0x1.27f9921e0d6fep-4, -0x1.22701f026470fp-4, -0x1.1cfaf6a3e627ep-4, -0x1.1799f3c0faae7p-4, -0x1.124cf05f343dap-4, -0x1.0d13c5d4604a4p-4, -0x1.07ee4ccf63271p-4, -0x1.02dc5d60ebe4dp-4, -0x1.fbbb9e07ee937p-5, -0x1.f1e4f14c4098bp-5, -0x1.e834615f8caabp-5, -0x1.dea99a1805327p-5, -0x1.d5444660ec14ap-5, -0x1.cc041049bb877p-5, -0x1.c2e8a11516433p-5, -0x1.b9f1a1473c339p-5, -0x1.b11eb8b43ec59p-5, -0x1.a86f8e8ddc313p-5, -0x1.9fe3c970f2f88p-5, -0x1.977b0f72b39a4p-5, -0x1.8f35062d6fc11p-5, -0x1.871152cd1cbeep-5, -0x1.7f0f9a1b84c13p-5, -0x1.772f808c1d99ap-5, -0x1.6f70aa479765p-5, -0x1.67d2bb3710123p-5, -0x1.6055570f0c811p-5, -0x1.58f8215a08c77p-5, -0x1.51babd82d4be4p-5, -0x1.4a9ccede929cdp-5, -0x1.439df8b672badp-5, -0x1.3cbdde51278b5p-5, -0x1.35fc22fc0d989p-5, -0x1.2f586a140a508p-5, -0x1.28d2570e25814p-5, -0x1.22698d7fe7056p-5, -0x1.1c1db1275e968p-5, -0x1.15ee65f2fa03cp-5, -0x1.0fdb500909c7ap-5, -0x1.09e413cf161e3p-5, -0x1.040855f0e003ap-5, -0x1.fc8f76ce6b089p-6, -0x1.f143d2fd0881cp-6, -0x1.e62d0bba4b285p-6, -0x1.db4a6d12f5be8p-6, -0x1.d09b43df8df7cp-6, -0x1.c61eddcfb9844p-6, -0x1.bbd489750c429p-6, -0x1.b1bb964d67f75p-6, -0x1.a7d354cd1876ap-6, -0x1.9e1b166852e1cp-6, -0x1.94922d9c758f4p-6, -0x1.8b37edf8c895dp-6, -0x1.820bac26ed69fp-6, -0x1.790cbdf2e4ee6p-6, -0x1.703a7a52b02f7p-6, -0x1.6794396da7efdp-6, -0x1.5f1954a365ba8p-6, -0x1.56c92692571bp-6, -0x1.4ea30b1e1451dp-6, -0x1.46a65f7534d96p-6, -0x1.3ed28216fa672p-6, -0x1.3726d2d891aabp-6, -0x1.2fa2b2ea17f0fp-6, -0x1.284584db3955ep-6, -0x1.210eac9fa8f6ap-6, -0x1.19fd8f9327d8ap-6, -0x1.1311947d624bfp-6, -0x1.0c4a23957dc95p-6, -0x1.05a6a68563f6cp-6, -0x1.fe4d10d983596p-7, -0x1.f1926bc7b8ec2p-7, -0x1.e51c39fc25d72p-7, -0x1.d8e95a985d3a4p-7, -0x1.ccf8afbce7abbp-7, -0x1.c1491e8cf6621p-7, -0x1.b5d98f31b3d9cp-7, -0x1.aaa8ecdcf9aafp-7, -0x1.9fb625cbe8d1bp-7, -0x1.95002b48c6c76p-7, -0x1.8a85f1acbfdf1p-7, -0x1.804670612af76p-7, -0x1.7640a1e05dfe7p-7, -0x1.6c7383b6529b2p-7, -0x1.62de1680c0eafp-7, -0x1.597f5def1b48bp-7, -0x1.505660c223571p-7, -0x1.476228cb1438bp-7, -0x1.3ea1c2ea97dd7p-7, -0x1.36143f0f9ec2p-7, -0x1.2db8b0357fe1ap-7, -0x1.258e2c6255983p-7, -0x1.1d93cca4c411fp-7, -0x1.15c8ad118a3fdp-7, -0x1.0e2becc0fd438p-7, -0x1.06bcadcc15192p-7, -0x1.fef42a92d4f2dp-8, -0x1.f0c69693df8c6p-8, -0x1.e2eef5aab3346p-8, -0x1.d56ba3cd1ba45p-8, -0x1.c83b02cf66556p-8, -0x1.bb5b7a5c34e3bp-8, -0x1.aecb77ec1b5fbp-8, -0x1.a2896ebce3fc3p-8, -0x1.9693d7c846002p-8, -0x1.8ae931ba9687p-8, -0x1.7f8800e92cb16p-8, -0x1.746ecf482c6e7p-8, -0x1.699c2c60835f4p-8, -0x1.5f0ead454c0afp-8, -0x1.54c4ec89121cbp-8, -0x1.4abd8a3309ae9p-8, -0x1.40f72bb3c5f28p-8, -0x1.37707bd9b476cp-8, -0x1.2e282ac62be9p-8, -0x1.251cede0ee87cp-8, -0x1.1c4d7fcce78cep-8, -0x1.13b8a05be289dp-8, -0x1.0b5d1482430c7p-8, -0x1.0339a64afeb13p-8, -0x1.f69a4995e0963p-9, -0x1.e72cc829052bap-9, -0x1.d8287a55a707ap-9, -0x1.c98b1bea146e1p-9, -0x1.bb5272634d008p-9, -0x1.ad7c4cd2ec07ap-9, -0x1.a00683c4db91dp-9, -0x1.92eef92612f7ep-9, -0x1.863398299e48ap-9, -0x1.79d2552ee8d62p-9, -0x1.6dc92da6cc824p-9, -0x1.621627f9d2ba8p-9, -0x1.56b7536cf3d41p-9, -0x1.4baac807c693ep-9, -0x1.40eea6797b375p-9, -0x1.368117fe807f7p-9, -0x1.2c604e45d9ecap-9, -0x1.228a8356ac04cp-9, -0x1.18fdf975ae245p-9, -0x1.0fb8fb0a7336ep-9, -0x1.06b9da8568451p-9, -0x1.fbfde489d3e4ep-10, -0x1.eb0d48f6fb2ecp-10, -0x1.da9eb629856fbp-10, -0x1.caaf0f37fc9bap-10, -0x1.bb3b4643b494ap-10, -0x1.ac405c43d3f46p-10, -0x1.9dbb60d29569ep-10, -0x1.8fa971f94ef77p-10, -0x1.8207bbfd1910bp-10, -0x1.74d3792ba502fp-10, -0x1.6809f1a89b98dp-10, -0x1.5ba87b3aa2cc2p-10, -0x1.4fac791a12afdp-10, -0x1.44135bbdaa10fp-10, -0x1.38daa0a9ea02fp-10, -0x1.2dffd23fcf4a4p-10, -0x1.2380878aaf1a2p-10, -0x1.195a641144199p-10, -0x1.0f8b17a404b98p-10, -0x1.06105e2ded1f6p-10, -0x1.f9cfff09ad55dp-11, -0x1.e81f9e73d12f6p-11, -0x1.d70b58d6a624fp-11, -0x1.c68f032b85654p-11, -0x1.b6a688cc29629p-11, -0x1.a74deb18917bfp-11, -0x1.9881411bcfc78p-11, -0x1.8a3cb73281cd9p-11, -0x1.7c7c8eb213407p-11, -0x1.6f3d1d91e66aap-11, -0x1.627ace135ace8p-11, -0x1.56321e6b7628ep-11, -0x1.4a5fa06e8cd5p-11, -0x1.3efff93ac982fp-11, -0x1.340fe0e66d37p-11, -0x1.298c222a348cp-11, -0x1.1f719a1394a9ep-11, -0x1.15bd37b047115p-11, -0x1.0c6bfbc058dc2p-11, -0x1.037af86723e4fp-11, -0x1.f5cea1b87718cp-12, -0x1.e55c723da6bfbp-12, -0x1.d599eb5317f77p-12, -0x1.c681b64d6108fp-12, -0x1.b80e9c4c43895p-12, -0x1.aa3b85a724b68p-12, -0x1.9d03795b2bd18p-12, -0x1.90619c7e3c5c6p-12, -0x1.845131aca6913p-12, -0x1.78cd9882518afp-12, -0x1.6dd24d0d81b99p-12, -0x1.635ae7483087ap-12, -0x1.59631a8f9a6f1p-12, -0x1.4fe6b522db72fp-12, -0x1.46e19f9cf49bbp-12, -0x1.3e4fdc756c8dcp-12, -0x1.362d87806a5ep-12, -0x1.2e76d571e1d42p-12, -0x1.27281360b877fp-12, -0x1.203da64d840ecp-12, -0x1.19b40aaa25526p-12, -0x1.1387d3e294008p-12, -0x1.0db5abea08416p-12, -0x1.083a52c4d8fc3p-12, -0x1.03129e1a6f927p-12, -0x1.fc76f18459a52p-13, -0x1.f363c4b0d5f3ep-13, -0x1.eae5dd9f1eb7bp-13, -0x1.e2f78c0efaf98p-13, -0x1.db9346c51f3edp-13, -0x1.d4b3aabf8b784p-13, -0x1.ce537a6792dcfp-13, -0x1.c86d9ccb13f12p-13, -0x1.c2fd1cd5039cbp-13, -0x1.bdfd288dea151p-13, -0x1.b969105a1bb6fp-13, -0x1.b53c463fd6309p-13, -0x1.b1725d2cc6597p-13, -0x1.ae070841ab7e6p-13, -0x1.aaf61a1d3d85dp-13, -0x1.a83b843057945p-13, -0x1.a5d3560b240e5p-13, -0x1.a3b9bcb9069f4p-13, -0x1.a1eb02145478ap-13, -0x1.a0638c2559af1p-13, -0x1.9f1fdc800e9e8p-13, -0x1.9e1c8fa42e31cp-13, -0x1.9d565c621524fp-13, -0x1.9cca13423a027p-13, -0x1.9c749ded328a7p-13, -0x1.9c52fe98ea902p-13, -0x1.9c624f76954a8p-13, -0x1.9c9fc224a992p-13, -0x1.9d089f21c935p-13, -0x1.9d9a4544d28ddp-13, -0x1.9e522933f331ap-13, -0x1.9f2dd4e0cf42ep-13, -0x1.a02ae7074a80bp-13, -0x1.a14712acc4a18p-13, -0x1.a2801ea25349cp-13, -0x1.a3d3e50b72201p-13, -0x1.a54052e2e21b6p-13, -0x1.a6c367869976bp-13, -0x1.a85b3441eafabp-13, -0x1.aa05dbdc3aceep-13, -0x1.abc192297a288p-13, -0x1.ad8c9b9cbae6ap-13, -0x1.af654cdb36793p-13, -0x1.b14a0a5512c19p-13, -0x1.b33947dcdf16ap-13, -0x1.b5318841d8da2p-13, -0x1.b7315cee6637cp-13, -0x1.b9376584e50c7p-13, -0x1.bb424f8208f0ep-13, -0x1.bd50d5ddf6cf1p-13, -0x1.bf61c0b252e14p-13, -0x1.c173e4df57e4ap-13, -0x1.c38623b4b3de8p-13, -0x1.c5976a9bae8bap-13, -0x1.c7a6b2c24eb66p-13, -0x1.c9b300ca19e38p-13, -0x1.cbbb647639128p-13, -0x1.cdbef85c71ab8p-13, -0x1.cfbce198a524ep-13, -0x1.d1b44f80999e2p-13, -0x1.d3a47b59eb855p-13, -0x1.d58ca811dad1bp-13, -0x1.d76c21f693714p-13, -0x1.d9423e700b6e5p-13, -0x1.db0e5bbeeab75p-13, -0x1.dccfe0b7c5a5cp-13, -0x1.de863c83177edp-13, -0x1.e030e65e4141cp-13, -0x1.e1cf5d5cf8279p-13, -0x1.e361282c926a8p-13, -0x1.e4e5d4d85dc43p-13, -0x1.e65cf8907ca33p-13, -0x1.e7c62f7079845p-13, -0x1.e9211c48b5af2p-13, -0x1.ea6d686736b72p-13, -0x1.ebaac36401b7ap-13, -0x1.ecd8e2ec89ab6p-13, -0x1.edf78291c0689p-13, -0x1.ef066396a9502p-13, -0x1.f0054cc05e302p-13, -0x1.f0f40a26ee1e8p-13, -0x1.f1d26d0877636p-13, -0x1.f2a04b9b1e738p-13, -0x1.f35d80e22041bp-13, -0x1.f409ec831c679p-13, -0x1.f4a5729c84f19p-13, -0x1.f52ffb9d44e9fp-13, -0x1.f5a9741d614aap-13, -0x1.f611ccb6dac8cp-13, -0x1.f668f9e00820cp-13, -0x1.f6aef3c80b03ep-13, -0x1.f6e3b631b6e71p-13, -0x1.f7074051cb008p-13, -0x1.f71994ac923ebp-13, -0x1.f71ab8f4c7827p-13, -0x1.f70ab5ebd49f9p-13, -0x1.f6e9974188749p-13, -0x1.f6b76b76c283fp-13, -0x1.f67443be70e8fp-13, -0x1.f62033e1a520dp-13, -0x1.f5bb522303193p-13, -0x1.f545b72316d38p-13, -0x1.f4bf7dc6021bfp-13, -0x1.f428c3192b26cp-13, -0x1.f381a63a6e7d2p-13, -0x1.f2ca483eeebc2p-13, -0x1.f202cc1bade44p-13, -0x1.f12b568e5e81dp-13, -0x1.f0440e0665785p-13, -0x1.ef4d1a8f45e53p-13, -0x1.ee46a5bb3da56p-13, -0x1.ed30da8e3f88ap-13, -0x1.ec0be56a68b8p-13, -0x1.ead7f3fbec4d5p-13, -0x1.e9953526cb2f2p-13, -0x1.e843d8f3d7c7ep-13, -0x1.e6e4107ede78ep-13, -0x1.e5760de6124fbp-13, -0x1.e3fa043804d59p-13, -0x1.e27027648b44fp-13, -0x1.e0d8ac2c63173p-13, -0x1.df33c812019c2p-13, -0x1.dd81b14acddaap-13, -0x1.dbc29eb0d409bp-13, -0x1.d9f6c7b467069p-13, -0x1.d81e644fa2c65p-13, -0x1.d639acf872acep-13, -0x1.d448da9479c6fp-13, -0x1.d24c266ca73f7p-13, -0x1.d043ca2222015p-13, -0x1.ce2fffa1a808dp-13, -0x1.cc110119a25b5p-13, -0x1.c9e708ef2c961p-13, -0x1.c7b251b38410fp-13, -0x1.c573161a90087p-13, -0x1.c32990f1894dbp-13, -0x1.c0d5fd14df686p-13, -0x1.be789568814f4p-13, -0x1.bc1194ce5642p-13, -0x1.b9a1361e9150cp-13, -0x1.b727b41f85e36p-13, -0x1.b4a5497e47d0ep-13, -0x1.b21a30c6f7b23p-13, -0x1.af86a45e3cf32p-13, -0x1.aceade7a00083p-13, -0x1.aa47191b5a7e7p-13, -0x1.a79b8e07d4b28p-13, -0x1.a4e876c3da481p-13, -0x1.a22e0c8d12b4ap-13, -0x1.9f6c88547d71ap-13, -0x1.9ca422b963a6bp-13, -0x1.99d51404d0091p-13, -0x1.96ff9423edb4ap-13, -0x1.9423daa3fff29p-13, -0x1.91421eadcbaf2p-13, -0x1.8e5a9701e5b84p-13, -0x1.8b6d79f3cebd7p-13, -0x1.887afd6757e0ap-13, -0x1.858356cc775c1p-13, -0x1.8286bb1bc02f5p-13, -0x1.7f855ed376869p-13, -0x1.7c7f75f4b7f26p-13, -0x1.797534001c842p-13, -0x1.7666cbf373a3ep-13, -0x1.735470472420ep-13, -0x1.703e52eb88a75p-13, -0x1.6d24a54745b5cp-13, -0x1.6a079834c1186p-13, -0x1.66e75c0041d4p-13, -0x1.63c4206613aa7p-13, -0x1.609e1491505b4p-13, -0x1.5d756719e3a21p-13, -0x1.5a4a460319049p-13, -0x1.571cdeba8cb46p-13, -0x1.53ed5e17041fbp-13, -0x1.50bbf05783c12p-13, -0x1.4d88c121995ffp-13, -0x1.4a53fb815faa2p-13, -0x1.471dc9e855de8p-13, -0x1.43e6562ceb9bp-13, -0x1.40adc989b2993p-13, -0x1.3d744c9d42c1dp-13, -0x1.3a3a0769b22aep-13, -0x1.36ff2154127ccp-13, -0x1.33c3c124a616ap-13, -0x1.30880d06bdd47p-13, -0x1.2d4c2a8852603p-13, -0x1.2a103e9a3cf0bp-13, -0x1.26d46d906452ep-13, -0x1.2398db2228fffp-13, -0x1.205daa6a42e3p-13, -0x1.1d22fde72ba21p-13, -0x1.19e8f77b6ec85p-13, -0x1.16afb86e4be6ep-13, -0x1.1377616c31fbp-13, -0x1.10401287107eep-13, -0x1.0d09eb374c685p-13, -0x1.09d50a5be997bp-13, -0x1.06a18e3bcd4d1p-13, -0x1.036f948622233p-13, -0x1.003f3a53488d7p-13, -0x1.fa21384af1f1dp-14, -0x1.f3c7abd3d4ab2p-14, -0x1.ed7205f36dbd7p-14, -0x1.e7207c35224cap-14, -0x1.e0d342ffc6d2cp-14, -0x1.da8a8d97e4fddp-14, -0x1.d4468e21c61a1p-14, -0x1.ce0775a35975fp-14, -0x1.c7cd7406aae31p-14, -0x1.c198b81bdeb7bp-14, -0x1.bb696f9c07c97p-14, -0x1.b53fc72b116bcp-14, -0x1.af1bea5a6860ep-14, -0x1.a8fe03abb402bp-14, -0x1.a2e63c92b5434p-14, -0x1.9cd4bd7883b28p-14, -0x1.96c9adbd992cp-14, -0x1.90c533bc9f2c7p-14, -0x1.8ac774cd56fe1p-14, -0x1.84d095470003ap-14, -0x1.7ee0b883488a4p-14, -0x1.78f800e0775eep-14, -0x1.73168fc4feefdp-14, -0x1.6d3c85a1f739ep-14, -0x1.676a01f5a7ec5p-14, -0x1.619f234e2d92p-14, -0x1.5bdc074d1aee3p-14, -0x1.5620caa9925b7p-14, -0x1.506d8933a6aa3p-14, -0x1.4ac25dd6c30acp-14, -0x1.451f629cec93dp-14, -0x1.3f84b0b1441ccp-14, -0x1.39f260633282bp-14, -0x1.34688929362bfp-14, -0x1.2ee741a3f1092p-14, -0x1.296e9fa06f87ap-14, -0x1.23feb81beff0ep-14, -0x1.1e979f460ff61p-14, -0x1.19396883d940bp-14, -0x1.13e426732a6cap-14, -0x1.0e97eaecf864cp-14, -0x1.0954c70840a66p-14, -0x1.041acb1d0119ep-14, -0x1.fdd40d8e6cd03p-15, -0x1.f38511d35242cp-15, -0x1.e948bf619cb31p-15, -0x1.df1f312a63755p-15, -0x1.d50880bd48436p-15, -0x1.cb04c64e8e905p-15, -0x1.c11418bbb779bp-15, -0x1.b7368d91c84dcp-15, -0x1.ad6c39121c882p-15, -0x1.a3b52e3896b9ap-15, -0x1.9a117ec09912p-15, -0x1.90813b2ac7502p-15, -0x1.870472c224673p-15, -0x1.7d9b33a1ee04p-15, -0x1.74458abaac813p-15, -0x1.6b0383d72fc3cp-15, -0x1.61d529a1f8e6p-15, -0x1.58ba85ab1fd2ap-15, -0x1.4fb3a06c8716dp-15, -0x1.46c0814f01d0fp-15, -0x1.3de12eb071dcep-15, -0x1.3515ade819e93p-15, -0x1.2c5e034bc5ecp-15, -0x1.23ba323457f27p-15, -0x1.1b2a3d037cbc1p-15, -0x1.12ae2527f921bp-15, -0x1.0a45eb2266174p-15, -0x1.01f18e8a5f408p-15, -0x1.f3621c26ef081p-16, -0x1.e308cf22dc9bfp-16, -0x1.d2d72ff904037p-16, -0x1.c2cd36edec37p-16, -0x1.b2eadaa255cf8p-16, -0x1.a330101bae32p-16, -0x1.939ccacdb2176p-16, -0x1.8430fca3bdef5p-16, -0x1.74ec9607fcc94p-16, -0x1.65cf85ece78d6p-16, -0x1.56d9b9d66adbdp-16, -0x1.480b1de14cb94p-16, -0x1.39639ccb7d238p-16, -0x1.2ae31ffd334b5p-16, -0x1.1c898f908669dp-16, -0x1.0e56d2596ce89p-16, -0x1.004acdedac67dp-16, -0x1.e4cacd5914b7p-17, -0x1.c94cff8eab19bp-17, -0x1.ae1bf69037ea2p-17, -0x1.933774321c803p-17, -0x1.789f381a8023fp-17, -0x1.5e52ffcd07175p-17, -0x1.445286bb9d1bep-17, -0x1.2a9d86534b21cp-17, -0x1.1133b60aa3cc4p-17, -0x1.f02996df49366p-18, -0x1.be80f46e239f2p-18, -0x1.8d6ce88c017b9p-18, -0x1.5cecd3856ab32p-18, -0x1.2d001243c761ap-18, -0x1.fb4bfcc2a0cep-19, -0x1.9dbbdc8f836ep-19, -0x1.414e6a93abbc5p-19, -0x1.cc048eddc69d3p-20, -0x1.17ac1be792b0dp-20, -0x1.96429aa6d04fdp-22, 0x1.2942c5590ff8fp-22, 0x1.eff5ae291d63fp-21, 0x1.a370bfb70ea91p-20, 0x1.265ab519f0a1ep-19, 0x1.79e5ef7704c7ep-19, 0x1.cc5b97b3e4dcap-19, 0x1.0ede9d7b1b32p-18, 0x1.3706354f1bf5bp-18, 0x1.5ea55e0b58874p-18, 0x1.85bce45bd9b2cp-18, 0x1.ac4d96cab1fc2p-18, 0x1.d25845aa063fp-18, 0x1.f7ddc3095f3ddp-18, 0x1.0e6f714d33a4cp-17, 0x1.20ae3ccfa7bep-17, 0x1.32abaf6e8acecp-17, 0x1.4468354284f4dp-17, 0x1.55e43b120bb4fp-17, 0x1.67202e48f852bp-17, 0x1.781c7ceecb57ap-17, 0x1.88d995a02622ap-17, 0x1.9957e7851e498p-17, 0x1.a997e248dd29fp-17, 0x1.b999f61432a41p-17, 0x1.c95e938293a6ep-17, 0x1.d8e62b9b885d5p-17, 0x1.e8312fcbbf903p-17, 0x1.f74011dcafa82p-17, 0x1.0309a1f70df4cp-16, 0x1.0a559c37cf019p-16, 0x1.1184310c01aa1p-16, 0x1.189599ef8d1b8p-16, 0x1.1f8a107c49471p-16, 0x1.2661ce653f45dp-16, 0x1.2d1d0d748da2p-16, 0x1.33bc07884cd38p-16, 0x1.3a3ef68ebb43ep-16, 0x1.40a614839dbaap-16, 0x1.46f19b6d89735p-16, 0x1.4d21c55ab8068p-16, 0x1.5336cc5e361dep-16, 0x1.5930ea8d3b3b5p-16, 0x1.5f1059fce7d17p-16, 0x1.64d554bea5e29p-16, 0x1.6a8014ddb6198p-16, 0x1.7010d45da5a27p-16, 0x1.7587cd36b039cp-16, 0x1.7ae539546c0fdp-16, 0x1.80295292bcadep-16, 0x1.855452bb25b1dp-16, 0x1.8a66738352aa3p-16, 0x1.8f5fee8ae67a3p-16, 0x1.9440fd588a598p-16, 0x1.9909d958f3ca2p-16, 0x1.9dbabbdc0d888p-16, 0x1.a253de1284a4fp-16, 0x1.a6d5790d6f29ap-16, 0x1.ab3fc5bb3fp-16, 0x1.af92fce5f57e2p-16, 0x1.b3cf573182e84p-16, 0x1.b7f50d1a39676p-16, 0x1.bc0456f2d8f5p-16, 0x1.bffd6ce33ed8ap-16, 0x1.c3e086e651decp-16, 0x1.c7addcc87f664p-16, 0x1.cb65a62693f01p-16, 0x1.cf081a6c07e58p-16, 0x1.d29570d1e4683p-16, 0x1.d60de05cd72afp-16, 0x1.d9719fdba6d8ep-16, 0x1.dcc0e5e6aae59p-16, 0x1.dffbe8de5e378p-16, 0x1.e322dee994df4p-16, 0x1.e635fdf4f275ep-16, 0x1.e9357bb0ef8c7p-16, 0x1.ec218d9188f7ap-16, 0x1.eefa68cd3814ap-16, 0x1.f1c0425b259e3p-16, 0x1.f4734ef23b299p-16, 0x1.f713c308fa142p-16, 0x1.f9a1d2d3fc2a7p-16, 0x1.fc1db244cf1adp-16, 0x1.fe8795095c6a6p-16, 0x1.006fd7458e0cp-15, 0x1.019318f717bbdp-15, 0x1.02ada90860f97p-15, 0x1.03bfa0c508381p-15, 0x1.04c91954bb3e3p-15, 0x1.05ca2bbb04b52p-15, 0x1.06c2f0d72a4b2p-15, 0x1.07b38163807b5p-15, 0x1.089bf5f5336e3p-15, 0x1.097c66fc01cccp-15, 0x1.0a54ecc20e464p-15, 0x1.0b259f6b99aaep-15, 0x1.0bee96f6ac177p-15, 0x1.0cafeb3aa997dp-15, 0x1.0d69b3e8790ffp-15, 0x1.0e1c088a1a4f5p-15, 0x1.0ec7008268d14p-15, 0x1.0f6ab30cda2a4p-15, 0x1.1007373d97408p-15, 0x1.109ca40136c27p-15, 0x1.112b101c4ee7cp-15, 0x1.11b2922b80f87p-15, 0x1.123340a3a488ep-15, 0x1.12ad31d119d19p-15, 0x1.13207bd7d6a6fp-15, 0x1.138d34b378d9dp-15, 0x1.13f3723751062p-15, 0x1.14534a0df84a1p-15, 0x1.14acd1b8fb9b2p-15, 0x1.15001e915fa3ap-15, 0x1.154d45c7816a7p-15, 0x1.15945c62a8137p-15, 0x1.15d577413d13ep-15, 0x1.1610ab188ef2ep-15, 0x1.16460c7530c33p-15, 0x1.1675afba74d4ap-15, 0x1.169fa922c837bp-15, 0x1.16c40cbf84434p-15, 0x1.16e2ee7919746p-15, 0x1.16fc620ee7144p-15, 0x1.17107b170d764p-15, 0x1.171f4cff266ffp-15, 0x1.1728eb0bb08c4p-15, 0x1.172d68582a6d8p-15, 0x1.172cd7d73730dp-15, 0x1.17274c52c8f1bp-15, 0x1.171cd86c05c4ap-15, 0x1.170d8e9b734f4p-15, 0x1.16f98131133fp-15, 0x1.16e0c2543d18p-15, 0x1.16c36403941edp-15, 0x1.16a17815a6f3ep-15, 0x1.167b1038f4fbp-15, 0x1.16503df3754cdp-15, 0x1.162112a2fb3c1p-15, 0x1.15ed9f7dac823p-15, 0x1.15b5f591b98cep-15, 0x1.157a25c56f257p-15, 0x1.153a40d76c7bep-15, 0x1.14f6575f1cee1p-15, 0x1.14ae79cc543a9p-15, 0x1.1462b867be31bp-15, 0x1.14132352ccb15p-15, 0x1.13bfca881f686p-15, 0x1.1368bddb2ecfdp-15, 0x1.130e0cf92f81ep-15, 0x1.12afc768b827cp-15, 0x1.124dfc89c8ae3p-15, 0x1.11e8bb9615929p-15, 0x1.118013a1a272ep-15, 0x1.1114139a6b398p-15, 0x1.10a4ca48997p-15, 0x1.1032464ed778bp-15, 0x1.0fbc962a3e2f1p-15, 0x1.0f43c832bf8cep-15, 0x1.0ec7ea9bae7e3p-15, 0x1.0e490b730b752p-15, 0x1.0dc738a218219p-15, 0x1.0d427feddf454p-15, 0x1.0cbaeef71c902p-15, 0x1.0c30933a48281p-15, 0x1.0ba37a0fd9abfp-15, 0x1.0b13b0ace3207p-15, 0x1.0a8144228ba15p-15, 0x1.09ec415ec4f7ap-15, 0x1.0954b52c77317p-15, 0x1.08baac3378b52p-15, 0x1.081e32f8e2ec1p-15, 0x1.077f55df45c84p-15, 0x1.06de2126dc5e3p-15, 0x1.063aa0ed95e6ep-15, 0x1.0594e12fde6ep-15, 0x1.04ecedc830362p-15, 0x1.0442d26f3fad4p-15, 0x1.03969abca1e0bp-15, 0x1.02e852271a4fbp-15, 0x1.023804043c29fp-15, 0x1.0185bb8905983p-15, 0x1.00d183c9e638ap-15, 0x1.001b67bb3941ep-15, 0x1.fec6e4631f76ep-16, 0x1.fd535bc24db86p-16, 0x1.fbdc4abd81de5p-16, 0x1.fa61c6405543ep-16, 0x1.f8e3e2f783ecap-16, 0x1.f762b551aabf9p-16, 0x1.f5de5180687acp-16, 0x1.f456cb7876ebap-16, 0x1.f2cc36f184be6p-16, 0x1.f13ea76792f84p-16, 0x1.efae301aed0aep-16, 0x1.ee1ae41032eaap-16, 0x1.ec84d611e55f8p-16, 0x1.eaec18afd6a07p-16, 0x1.e950be3fd7436p-16, 0x1.e7b2d8dea1dep-16, 0x1.e6127a6f95d8fp-16, 0x1.e46fb49d55f6dp-16, 0x1.e2ca98db3b6c8p-16, 0x1.e123386422ea8p-16, 0x1.df79a43b8fb97p-16, 0x1.ddcded2ee756ep-16, 0x1.dc2023d4d45fbp-16, 0x1.da70588e2f4e8p-16, 0x1.d8be9b85bf132p-16, 0x1.d70afcb1f9fd7p-16, 0x1.d5558bd4cef9ep-16, 0x1.d39e587b33b7cp-16, 0x1.d1e571fe889ffp-16, 0x1.d02ae785cdf59p-16, 0x1.ce6ec804540c3p-16, 0x1.ccb1223aae1d5p-16, 0x1.caf204b842ec2p-16, 0x1.c9317dda7a5d3p-16, 0x1.c76f9bcd702a5p-16, 0x1.c5ac6c8cb7e1cp-16, 0x1.c3e7fde35ce62p-16, 0x1.c2225d6cec52cp-16, 0x1.c05b989572d2bp-16, 0x1.be93bc9964d8ep-16, 0x1.bccad6873b843p-16, }}, 
      {{0x1.da9f47140836cp-1, 0x1.da8c823a18afap-1, 0x1.da6d6ea41b873p-1, 0x1.da423c967dc67p-1, 0x1.da0b0813942efp-1, 0x1.d9c7c9e730b0dp-1, 0x1.d978510fbd218p-1, 0x1.d91c43458925fp-1, 0x1.d8b322a7d9ac6p-1, 0x1.d83c56954de1dp-1, 0x1.d7b7360332dbp-1, 0x1.d723120ca2c54p-1, 0x1.d67f3fd3faa98p-1, 0x1.d5cb2124ec51fp-1, 0x1.d5062b8832f15p-1, 0x1.d42fedac627e9p-1, 0x1.d348132b5149ep-1, 0x1.d24e66cb937c4p-1, 0x1.d142d36be9428p-1, 0x1.d02563cd90e2cp-1, 0x1.cef641742b0e9p-1, 0x1.cdb5b2cfddda6p-1, 0x1.cc6418e222784p-1, 0x1.cb01ec87f5abp-1, 0x1.c98fbb8df4efdp-1, 0x1.c80e25acb5db5p-1, 0x1.c67dd985b5dacp-1, 0x1.c4df91b3e145fp-1, 0x1.c33411fdf61c4p-1, 0x1.c17c24b4f6a52p-1, 0x1.bfb8984582614p-1, 0x1.bdea3d00264fap-1, 0x1.bc11e31a845b1p-1, 0x1.ba3058e9794c4p-1, 0x1.b8466953204dcp-1, 0x1.b654da769cfbp-1, 0x1.b45c6c86e7042p-1, 0x1.b25dd8d56a336p-1, 0x1.b059d108ff1fep-1, 0x1.ae50fe7dabbd7p-1, 0x1.ac4401c98bcc6p-1, 0x1.aa3372635995p-1, 0x1.a81fde67227ccp-1, 0x1.a609ca75e4445p-1, 0x1.a3f1b1acf244ap-1, 0x1.a1d805b23b65bp-1, 0x1.9fbd2ed2b8d1ep-1, 0x1.9da18c307ee1bp-1, 0x1.9b8573fe21602p-1, 0x1.996933c5487ap-1, 0x1.974d10b685cddp-1, 0x1.95314800a8ca4p-1, 0x1.93160f2df4f17p-1, 0x1.90fb9485cd666p-1, 0x1.8ee1ff718c5c4p-1, 0x1.8cc970e35d178p-1, 0x1.8ab203be15e68p-1, 0x1.889bcd3d2d269p-1, 0x1.8686dd5bfb105p-1, 0x1.84733f3ba082cp-1, 0x1.8260f986f6ab7p-1, 0x1.80500ed4098a4p-1, 0x1.7e407e02b3fcap-1, 0x1.7c32429801633p-1, 0x1.7a2555160f66cp-1, 0x1.7819ab503918dp-1, 0x1.760f38bb5d441p-1, 0x1.7405eeba27497p-1, 0x1.71fdbce5456fdp-1, 0x1.6ff6914f83679p-1, 0x1.6df058c5ccc12p-1, 0x1.6beaff0b1b4a4p-1, 0x1.69e66f1062eadp-1, 0x1.67e293288c977p-1, 0x1.65df55389c815p-1, 0x1.63dc9ee41bea5p-1, 0x1.61da59b5eca9ap-1, 0x1.5fd86f45a39fep-1, 0x1.5dd6c95992c85p-1, 0x1.5bd55205a76a2p-1, 0x1.59d3f3c743fccp-1, 0x1.57d2999e3e6eep-1, 0x1.55d12f232a65dp-1, 0x1.53cfa09b1697fp-1, 0x1.51cddb08e6635p-1, 0x1.4fcbcc3c6d016p-1, 0x1.4dc962df717cbp-1, 0x1.4bc68e80bf41p-1, 0x1.49c33f9d686ebp-1, 0x1.47bf67a85ab66p-1, 0x1.45baf910689a5p-1, 0x1.43b5e744e7676p-1, 0x1.41b026b8fe45fp-1, 0x1.3fa9ace5c4489p-1, 0x1.3da2704b48befp-1, 0x1.3b9a68709ce2ap-1, 0x1.39918de2f9eaep-1, 0x1.3787da3417fa6p-1, 0x1.357d47f7cbac4p-1, 0x1.3371d2c0fd9a8p-1, 0x1.3165771e0d04ap-1, 0x1.2f583294b1998p-1, 0x1.2d4a039d672abp-1, 0x1.2b3ae99e76a35p-1, 0x1.292ae4e6a5b76p-1, 0x1.2719f6a79b5dep-1, 0x1.250820f004bdfp-1, 0x1.22f566a581d02p-1, 0x1.20e1cb7e663d8p-1, 0x1.1ecd53fb554cbp-1, 0x1.1cb80560c1008p-1, 0x1.1aa1e5b051aefp-1, 0x1.188afba23f856p-1, 0x1.16734e9e9fbc3p-1, 0x1.145ae6b6aeb64p-1, 0x1.1241cc9e162bp-1, 0x1.102809a439792p-1, 0x1.0e0da7ad85ee1p-1, 0x1.0bf2b12ccf5e9p-1, 0x1.09d7311cb66bap-1, 0x1.07bb32f920d03p-1, 0x1.059ec2b8c031ep-1, 0x1.0381ecc6add61p-1, 0x1.0164bdfc19b0cp-1, 0x1.fe8e873420338p-2, 0x1.fa531686ada2ep-2, 0x1.f61745ecc54c3p-2, 0x1.f1db320ec9428p-2, 0x1.ed9ef834e8e81p-2, 0x1.e962b63ba2a33p-2, 0x1.e5268a888325ep-2, 0x1.e0ea93ff182a8p-2, 0x1.dcaef1f61b7bbp-2, 0x1.d873c42cd7295p-2, 0x1.d4392ac0c2797p-2, 0x1.cfff462357248p-2, 0x1.cbc6371021108p-2, 0x1.c78e1e83088a5p-2, 0x1.c3571daed3e94p-2, 0x1.bf2155f3e4928p-2, 0x1.baece8d72d294p-2, 0x1.b6b9f7f9638efp-2, 0x1.b288a50e688b8p-2, 0x1.ae5911d4ec97cp-2, 0x1.aa2b600e4c11ep-2, 0x1.a5ffb176a58p-2, 0x1.a1d627bd281e3p-2, 0x1.9daee47c9c7a8p-2, 0x1.998a093423293p-2, 0x1.9567b7402df7cp-2, 0x1.91480fd3b019cp-2, 0x1.8d2b33f185bfbp-2, 0x1.8911446613187p-2, 0x1.84fa61c11b9dfp-2, 0x1.80e6ac4fcc67p-2, 0x1.7cd6441701d7ap-2, 0x1.78c948cdbcd23p-2, 0x1.74bfd9d7d4996p-2, 0x1.70ba1640d750ep-2, 0x1.6cb81cb72177bp-2, 0x1.68ba0b872b0a8p-2, 0x1.64c0009705e85p-2, 0x1.60ca19620fabcp-2, 0x1.5cd872f4d689p-2, 0x1.58eb29e9304f1p-2, 0x1.55025a6282ab1p-2, 0x1.511e200a3cad7p-2, 0x1.4d3e960c7e7d2p-2, 0x1.4963d714f2be1p-2, 0x1.458dfd4bd9388p-2, 0x1.41bd225338358p-2, 0x1.3df15f444463cp-2, 0x1.3a2accacf052p-2, 0x1.3669828da854bp-2, 0x1.32ad98573d7aep-2, 0x1.2ef724e8f7373p-2, 0x1.2b463e8ed103bp-2, 0x1.279afaffe15d1p-2, 0x1.23f56f5ce9a4fp-2, 0x1.2055b02f0af56p-2, 0x1.1cbbd166a44c7p-2, 0x1.1927e65a584c3p-2, 0x1.159a01c631c45p-2, 0x1.121235caf4a78p-2, 0x1.0e9093ed8d592p-2, 0x1.0b152d16a2b9ep-2, 0x1.07a011924af2bp-2, 0x1.0431510fe36f6p-2, 0x1.00c8faa2041d4p-2, 0x1.face397d29f02p-3, 0x1.f4178a7e02fe5p-3, 0x1.ed6e02c10eddep-3, 0x1.e6d1bb894a4a4p-3, 0x1.e042cce3414b5p-3, 0x1.d9c14da654aa6p-3, 0x1.d34d5376342d7p-3, 0x1.cce6f2c488523p-3, 0x1.c68e3ed2cb88ep-3, 0x1.c04349b45755p-3, 0x1.ba06245091f91p-3, 0x1.b3d6de65554fap-3, 0x1.adb5868972aaep-3, 0x1.a7a22a2f66344p-3, 0x1.a19cd5a82752ep-3, 0x1.9ba5942627b03p-3, 0x1.95bc6fc069fd3p-3, 0x1.8fe17175bda85p-3, 0x1.8a14a1301ce27p-3, 0x1.845605c821813p-3, 0x1.7ea5a508998d4p-3, 0x1.790383b236329p-3, 0x1.736fa57f4d2abp-3, 0x1.6dea0d27be369p-3, 0x1.6872bc64dddfap-3, 0x1.6309b3f583688p-3, 0x1.5daef3a21dc67p-3, 0x1.58627a40e21dbp-3, 0x1.532445ba04cb7p-3, 0x1.4df4530c04e91p-3, 0x1.48d29e50033e1p-3, 0x1.43bf22be26648p-3, 0x1.3eb9dab205f62p-3, 0x1.39c2bfaf23ccep-3, 0x1.34d9ca656fd16p-3, 0x1.2ffef2b5c844ap-3, 0x1.2b322fb68c82ap-3, 0x1.267377b82ee3cp-3, 0x1.21c2c049c8605p-3, 0x1.1d1ffe3db6c2ep-3, 0x1.188b25ae312cap-3, 0x1.14042a01eb8eep-3, 0x1.0f8afdf0af956p-3, 0x1.0b1f9387f754p-3, 0x1.06c1dc2f87f37p-3, 0x1.0271c8ae0b7d9p-3, 0x1.fc5e925b3cb13p-4, 0x1.f3f49a80cea23p-4, 0x1.eba587ca31894p-4, 0x1.e3713716fc3a9p-4, 0x1.db578431ea244p-4, 0x1.d35849d9cf915p-4, 0x1.cb7361ca770dep-4, 0x1.c3a8a4c56ef67p-4, 0x1.bbf7ea9acc78cp-4, 0x1.b4610a31d5f3bp-4, 0x1.ace3d9918f6f4p-4, 0x1.a5802de94e1d7p-4, 0x1.9e35db9911cep-4, 0x1.9704b639e8689p-4, 0x1.8fec90a6264d5p-4, 0x1.88ed3d018cc4p-4, 0x1.82068cc152af9p-4, 0x1.7b3850b41d6cep-4, 0x1.74825909d40bap-4, 0x1.6de4755b5d10dp-4, 0x1.675e74b23f5f4p-4, 0x1.60f0259028e9ep-4, 0x1.5a9955f654534p-4, 0x1.5459d36cd50abp-4, 0x1.4e316b09c3ec4p-4, 0x1.481fe9784e523p-4, 0x1.42251affa9b57p-4, 0x1.3c40cb89e0c6ap-4, 0x1.3672c6aa8b6b1p-4, 0x1.30bad7a5616e1p-4, 0x1.2b18c974afa46p-4, 0x1.258c66cfabcf3p-4, 0x1.20157a30adc2ap-4, 0x1.1ab3cddb41aa7p-4, 0x1.15672be22126fp-4, 0x1.102f5e2d08b3cp-4, 0x1.0b0c2e7e6d90cp-4, 0x1.05fd667915c32p-4, 0x1.0102cfa58cba1p-4, 0x1.f83866eef9b88p-5, 0x1.ee92b6a5c7ec8p-5, 0x1.e5142122597d6p-5, 0x1.dbbc390c49fc8p-5, 0x1.d28a9109b199cp-5, 0x1.c97ebbc890535p-5, 0x1.c0984c0808f0fp-5, 0x1.b7d6d4a151c23p-5, 0x1.af39e89075833p-5, 0x1.a6c11afcc5caep-5, 0x1.9e6bff4126118p-5, 0x1.963a28f403ae1p-5, 0x1.8e2b2bef2779ep-5, 0x1.863e9c5740077p-5, 0x1.7e740ea334f62p-5, 0x1.76cb17a33ed01p-5, 0x1.6f434c87cc3ccp-5, 0x1.67dc42e826d1ap-5, 0x1.609590c8e5918p-5, 0x1.596ecca220716p-5, 0x1.52678d657fap-5, 0x1.4b7f6a83fb48ep-5, 0x1.44b5fbf37c071p-5, 0x1.3e0ada34414a2p-5, 0x1.377d9e560974p-5, 0x1.310de1fd18e4ap-5, 0x1.2abb3f6701b03p-5, 0x1.2485516f40689p-5, 0x1.1e6bb393a7ff7p-5, 0x1.186e01f89cbf4p-5, 0x1.128bd96d1f116p-5, 0x1.0cc4d76eae278p-5, 0x1.07189a2cf6387p-5, 0x1.0186c08d5c9bep-5, 0x1.f81dd45c9f78p-6, 0x1.ed616ed501b89p-6, 0x1.e2d792b7c6f16p-6, 0x1.d87f83bd19402p-6, 0x1.ce588726d02bep-6, 0x1.c461e3c585c35p-6, 0x1.ba9ae1fd6d1a2p-6, 0x1.b102cbcacbe38p-6, 0x1.a798ecc637881p-6, 0x1.9e5c9228863c7p-6, 0x1.954d0ace75807p-6, 0x1.8c69a73c11fd5p-6, 0x1.83b1b99fd9ba3p-6, 0x1.7b2495d593046p-6, 0x1.72c1916900ddbp-6, 0x1.6a88039829a2ep-6, 0x1.6277455593255p-6, 0x1.5a8eb14a196f2p-6, 0x1.52cda3d6a8ad7p-6, 0x1.4b337b15b0bccp-6, 0x1.43bf96dc5f00cp-6, 0x1.3c7158bbb50dap-6, 0x1.354824014db05p-6, 0x1.2e435db80d8e9p-6, 0x1.27626ca895da9p-6, 0x1.20a4b95978655p-6, 0x1.1a09ae0f5c367p-6, 0x1.1390b6cce21a6p-6, 0x1.0d39415255d25p-6, 0x1.0702bd1d4a27cp-6, 0x1.00ec9b67fe1cbp-6, 0x1.f5ec9e51437b1p-7, 0x1.ea3e9a20d1f9p-7, 0x1.dece1715171a4p-7, 0x1.d39a0576215a9p-7, 0x1.c8a158fafd90cp-7, 0x1.bde308c6d40f3p-7, 0x1.b35e0f65d483p-7, 0x1.a9116ac9b5746p-7, 0x1.9efc1c4630f67p-7, 0x1.951d288d230c4p-7, 0x1.8b7397aa78336p-7, 0x1.81fe74fff757cp-7, 0x1.78bccf40ba25dp-7, 0x1.6fadb86c9311ep-7, 0x1.66d045cb25f75p-7, 0x1.5e238fe6fc7e6p-7, 0x1.55a6b2884e837p-7, 0x1.4d58ccaf9edc6p-7, 0x1.4539009048138p-7, 0x1.3d46738adea0cp-7, 0x1.35804e275e156p-7, 0x1.2de5bc0f448aap-7, 0x1.2675ec07927bdp-7, 0x1.1f300fea9404ap-7, 0x1.18135ca1a7df8p-7, 0x1.111f0a1ee1a78p-7, 0x1.0a52535688c87p-7, 0x1.03ac763894c0ep-7, 0x1.fa596753f3a78p-8, 0x1.eda49efbe3003p-8, 0x1.e13920de6353dp-8, 0x1.d51580320517dp-8, 0x1.c93855e0a4418p-8, 0x1.bda04079479a6p-8, 0x1.b24be4223a579p-8, 0x1.a739ea8a8619ap-8, 0x1.9c6902dbe3b38p-8, 0x1.91d7e1ac209e1p-8, 0x1.878540eebcfe6p-8, 0x1.7d6fdfe659429p-8, 0x1.739683161cb52p-8, 0x1.69f7f4330813ep-8, 0x1.609302153f258p-8, 0x1.576680a956cfep-8, 0x1.4e7148e191725p-8, 0x1.45b238a70fb65p-8, 0x1.3d2832cb09d13p-8, 0x1.34d21ef7fcf3dp-8, 0x1.2caee9a2ec6e2p-8, 0x1.24bd83fc85d51p-8, 0x1.1cfce3e272791p-8, 0x1.156c03d06f29ap-8, 0x1.0e09e2d1b430ap-8, 0x1.06d58472281bp-8, 0x1.ff9be15f8ff92p-9, 0x1.f1e467d7df399p-9, 0x1.e482bdb9ac8d6p-9, 0x1.d7750cfdf8cb7p-9, 0x1.cab9880d5fddbp-9, 0x1.be4e69a354cefp-9, 0x1.b231f4b1381fbp-9, 0x1.a662744210cdbp-9, 0x1.9ade3b5dc10eep-9, 0x1.8fa3a4ececf24p-9, 0x1.84b1139ce9713p-9, 0x1.7a04f1c3961d2p-9, 0x1.6f9db14390df7p-9, 0x1.6579cb70a7161p-9, 0x1.5b97c0f468769p-9, 0x1.51f619b2ca45p-9, 0x1.489364af1a7b2p-9, 0x1.3f6e37f12a1a9p-9, 0x1.3685306a87d2ap-9, 0x1.2dd6f1dc262bdp-9, 0x1.256226bbfdc31p-9, 0x1.1d25801b0a26dp-9, 0x1.151fb58b80b09p-9, 0x1.0d4f850719f1fp-9, 0x1.05b3b2d5bfe63p-9, 0x1.fc9612e8d6dc1p-10, 0x1.ee28b2f844e28p-10, 0x1.e01cf312b10a9p-10, 0x1.d2708c46e1941p-10, 0x1.c521434919cddp-10, 0x1.b82ce842f5fb8p-10, 0x1.ab9156a43b8e3p-10, 0x1.9f4c74f38314dp-10, 0x1.935c34a01fad8p-10, 0x1.87be91d3ab447p-10, 0x1.7c719344ea38ep-10, 0x1.71734a0a6ed4ep-10, 0x1.66c1d16e6842cp-10, 0x1.5c5b4ec2579cdp-10, 0x1.523df133bb8fap-10, 0x1.4867f1a1076bfp-10, 0x1.3ed7926efe6cep-10, 0x1.358b1f5eeccb9p-10, 0x1.2c80ed64e9d4bp-10, 0x1.23b75a7f2ef6ap-10, 0x1.1b2ccd8d27e13p-10, 0x1.12dfb627f6312p-10, 0x1.0ace8c7a9328p-10, 0x1.02f7d11b063f8p-10, 0x1.f6b419c7de55cp-11, 0x1.e7e7a19cdd842p-11, 0x1.d9876b99bacdep-11, 0x1.cb90b94b1fa7fp-11, 0x1.be00db9d077abp-11, 0x1.b0d532930da98p-11, 0x1.a40b2d00d4264p-11, 0x1.97a048444c93ap-11, 0x1.8b921000e3094p-11, 0x1.7fde1ddaf6c17p-11, 0x1.7482193538438p-11, 0x1.697bb6ee30503p-11, 0x1.5ec8b91f12f23p-11, 0x1.5466eedbb6d74p-11, 0x1.4a5433f2fd064p-11, 0x1.408e70b09d7efp-11, 0x1.3713999fc1a9ep-11, 0x1.2de1af4e23a34p-11, 0x1.24f6be10e5c0ap-11, 0x1.1c50ddc98e1cep-11, 0x1.13ee31ac45812p-11, 0x1.0bcce806e289bp-11, 0x1.03eb3a08fb215p-11, 0x1.f88ed71935a1fp-12, 0x1.e9bf95bfedaep-12, 0x1.db6561203f975p-12, 0x1.cd7cfe68577c9p-12, 0x1.c0034673a422cp-12, 0x1.b2f5256425a54p-12, 0x1.a64f9a3ee898dp-12, 0x1.9a0fb6894108fp-12, 0x1.8e329de7f71b7p-12, 0x1.82b585bf9c09ep-12, 0x1.7795b4d7b021fp-12, 0x1.6cd082fd31e6bp-12, 0x1.626358a93ad35p-12, 0x1.584baea754823p-12, 0x1.4e870dbdb6eb1p-12, 0x1.45130e57de0f8p-12, 0x1.3bed58313c79ap-12, 0x1.3313a202faa7cp-12, 0x1.2a83b1317cd27p-12, 0x1.223b597c7050bp-12, 0x1.1a387cb03cc51p-12, 0x1.12790a5865554p-12, 0x1.0afaff732ff19p-12, 0x1.03bc66277ea88p-12, 0x1.f976aaf64e296p-13, 0x1.ebebe2159ce7p-13, 0x1.ded4d186d1231p-13, 0x1.d22df13a0e44ep-13, 0x1.c5f3d0abd8665p-13, 0x1.ba231660d32a5p-13, 0x1.aeb87f619f33ap-13, 0x1.a3b0deb9f6123p-13, 0x1.99091cfac1ffdp-13, 0x1.8ebe37bd6d431p-13, 0x1.84cd412a4132bp-13, 0x1.7b335f8096e51p-13, 0x1.71edcca2b185bp-13, 0x1.68f9d5a183f35p-13, 0x1.6054da4d236d1p-13, 0x1.57fc4cc4f062dp-13, 0x1.4fedb10be61fbp-13, 0x1.48269c9eba537p-13, 0x1.40a4b60a43c37p-13, 0x1.3965b486691dp-13, 0x1.32675f919b63dp-13, 0x1.2ba78e8e89a18p-13, 0x1.25242863ca494p-13, 0x1.1edb231de3b08p-13, 0x1.18ca839224996p-13, 0x1.12f05d0504288p-13, 0x1.0d4ad0d04bd03p-13, 0x1.07d80e0ce7477p-13, 0x1.0296513dd855fp-13, 0x1.fb07c7f758a9bp-14, 0x1.f13e39482ba98p-14, 0x1.e7ccbc122257bp-14, 0x1.deb02e44fb6fep-14, 0x1.d5e58583c9588p-14, 0x1.cd69ce8cfc0acp-14, 0x1.c53a2ca904babp-14, 0x1.bd53d91973ff1p-14, 0x1.b5b4228b5bd71p-14, 0x1.ae586c8e2d34bp-14, 0x1.a73e2f0c91888p-14, 0x1.a062f5c72c7e3p-14, 0x1.99c45fd3d3d62p-14, 0x1.93601f1fc4ad1p-14, 0x1.8d33f7f3301fp-14, 0x1.873dc0778282fp-14, 0x1.817b6041bf4ebp-14, 0x1.7beacfdd50a12p-14, 0x1.768a185cd11fap-14, 0x1.715752e84e636p-14, 0x1.6c50a853ab57fp-14, 0x1.677450b255dfcp-14, 0x1.62c092f11737fp-14, 0x1.5e33c4707a9a5p-14, 0x1.59cc48a10bd8fp-14, 0x1.558890a314924p-14, 0x1.51671ae7c772dp-14, 0x1.4d6672d4e13f2p-14, 0x1.4985306a0bddep-14, 0x1.45c1f7e8fc294p-14, 0x1.421b797f15c32p-14, 0x1.3e9070f0d765dp-14, 0x1.3b1fa547b0607p-14, 0x1.37c7e88189208p-14, 0x1.348817421f05ap-14, 0x1.315f1886db37fp-14, 0x1.2e4bdd5ad7c9ep-14, 0x1.2b4d608f067aep-14, 0x1.2862a672373a6p-14, 0x1.258abc8b23241p-14, 0x1.22c4b954f0df7p-14, 0x1.200fbbfc742a4p-14, 0x1.1d6aec1f812cp-14, 0x1.1ad5798d66af2p-14, 0x1.184e9c09a6782p-14, 0x1.15d5930f55b01p-14, 0x1.1369a5974e109p-14, 0x1.110a21ddd006ap-14, 0x1.0eb65d2b715a1p-14, 0x1.0c6db39df29bep-14, 0x1.0a2f87f3e131cp-14, 0x1.07fb4357bba4p-14, 0x1.05d0552e90e99p-14, 0x1.03ae32e61f429p-14, 0x1.019457c4e69dp-14, 0x1.ff0489776e83ep-15, 0x1.faef006ff8156p-15, 0x1.f6e72bedeb3c3p-15, 0x1.f2ec2db5b76a5p-15, 0x1.eefd3180ccfe8p-15, 0x1.eb196cabe019ep-15, 0x1.e7401de6cb3b9p-15, 0x1.e3708ce648093p-15, 0x1.dfaa0a18c84a5p-15, 0x1.dbebee5ce5a7ep-15, 0x1.d8359ab7fdbc6p-15, 0x1.d48678115a97bp-15, 0x1.d0ddf6ed8e6b6p-15, 0x1.cd3b8f2c455cap-15, 0x1.c99ebfc7d7885p-15, 0x1.c6070e965272dp-15, 0x1.c274080c2b3f9p-15, 0x1.bee53f01d0f9cp-15, 0x1.bb5a4c78f8f7ep-15, 0x1.b7d2cf64e1a74p-15, 0x1.b44e6c7321dabp-15, 0x1.b0cccdd74c46fp-15, 0x1.ad4da3169c5d2p-15, 0x1.a9d0a0d5f3d1fp-15, 0x1.a65580a939f1cp-15, 0x1.a2dc00e4158e5p-15, 0x1.9f63e46b8c6cdp-15, 0x1.9becf289f4d18p-15, 0x1.9876f6c2df1e2p-15, 0x1.9501c0a8de9f5p-15, 0x1.918d23b4f6163p-15, 0x1.8e18f71ee966bp-15, 0x1.8aa515b5ea107p-15, 0x1.87315dbba48b3p-15, 0x1.83bdb0c02687ap-15, 0x1.8049f37e9f297p-15, 0x1.7cd60dba8cc8ap-15, 0x1.7961ea1f669bap-15, 0x1.75ed761fbee8cp-15, 0x1.7278a1d682bbcp-15, 0x1.6f035fe887c9cp-15, 0x1.6b8da56747883p-15, 0x1.681769b4c4f27p-15, 0x1.64a0a667b4f59p-15, 0x1.6129573107f24p-15, 0x1.5db179c254c7ep-15, 0x1.5a390db4d1d4bp-15, 0x1.56c01470dcfe4p-15, 0x1.5346911701a19p-15, 0x1.4fcc88693ea52p-15, 0x1.4c5200b4edf37p-15, 0x1.48d701bd9a786p-15, 0x1.455b94a91d9efp-15, 0x1.41dfc3eb15a26p-15, 0x1.3e639b324b454p-15, 0x1.3ae7275655801p-15, 0x1.376a7645c10dap-15, 0x1.33ed96f426504p-15, 0x1.3070994aa0d21p-15, 0x1.2cf38e16eb74p-15, 0x1.297686fc2f1f2p-15, 0x1.25f99664716dp-15, 0x1.227ccf71ab67cp-15, 0x1.1f0045f024e82p-15, 0x1.1b840e495880ap-15, 0x1.18083d76ea245p-15, 0x1.148ce8f61289dp-15, 0x1.111226bc45ce5p-15, 0x1.0d980d2aeed49p-15, 0x1.0a1eb30549978p-15, 0x1.06a62f651f6bbp-15, 0x1.032e99b0b9197p-15, 0x1.ff701322aeb53p-16, 0x1.f8852dd37c27ap-16, 0x1.f19cb399f99c6p-16, 0x1.eab6d4ec5bf92p-16, 0x1.e3d3c27fd0dd6p-16, 0x1.dcf3ad38c3557p-16, 0x1.d616c61bca9c9p-16, 0x1.cf3d3e3ecb4f7p-16, 0x1.c86746bb5f0a4p-16, 0x1.c19510a1fe955p-16, 0x1.bac6ccec0bd69p-16, 0x1.b3fcac70b161cp-16, 0x1.ad36dfd9b7f1fp-16, 0x1.a67597976291bp-16, 0x1.9fb903d6cb5a7p-16, 0x1.990154780ae14p-16, 0x1.924eb903c346ap-16, 0x1.8ba160a3bf94fp-16, 0x1.84f97a18b4db2p-16, 0x1.7e5733b35e347p-16, 0x1.77babb4c099d4p-16, 0x1.71243e3c55633p-16, 0x1.6a93e957ae5ecp-16, 0x1.6409e8e4da3a6p-16, 0x1.5d86689882f8ap-16, 0x1.5709938f5ce04p-16, 0x1.50939448757b4p-16, 0x1.4a2494a0382b5p-16, 0x1.43bcbdcc91887p-16, 0x1.3d5c3858076a7p-16, 0x1.37032c1db1c3cp-16, 0x1.30b1c0459cb1p-16, 0x1.2a681b417297p-16, 0x1.242662c92c048p-16, 0x1.1decbbd875e26p-16, 0x1.17bb4aabcd6b7p-16, 0x1.119232be9910bp-16, 0x1.0b7196c8a4ffap-16, 0x1.055998bbf84a7p-16, 0x1.fe94b3882eca1p-17, 0x1.f287f486b0a31p-17, 0x1.e68d33a53f397p-17, 0x1.daa4ae7fd355cp-17, 0x1.cecea11a85f9ep-17, 0x1.c30b45e1456ffp-17, 0x1.b75ad5a5e2a7p-17, 0x1.abbd879f6895cp-17, 0x1.a033916a4eab2p-17, 0x1.94bd2708493fap-17, 0x1.895a7adfdeefdp-17, 0x1.7e0bbdbdab6e1p-17, 0x1.72d11ed55bb5fp-17, 0x1.67aacbc196fd7p-17, 0x1.5c98f08660503p-17, 0x1.519bb792383bap-17, 0x1.46b349bfbab4dp-17, 0x1.3bdfce57b8a58p-17, 0x1.31216b1429a4bp-17, 0x1.26784420aa35bp-17, 0x1.1be47c1f58ef8p-17, 0x1.1166342a094f5p-17, 0x1.06fd8bd54f871p-17, 0x1.f95542680d03cp-18, 0x1.e4db21b4d0c27p-18, 0x1.d08cebc288c0fp-18, 0x1.bc6ad3d2e7affp-18, 0x1.a8750a3f24d05p-18, 0x1.94abbc7fecd6ep-18, 0x1.810f1533a7a77p-18, 0x1.6d9f3c272a0cp-18, 0x1.5a5c565e5465cp-18, 0x1.4746861c61d1p-18, 0x1.345deaea9559ep-18, 0x1.21a2a1a365cedp-18, 0x1.0f14c478f8848p-18, 0x1.f968d5fddf117p-19, 0x1.d5035466953cep-19, 0x1.b0f9291235bdep-19, 0x1.8d4a73db9a3dfp-19, 0x1.69f74fac86fcp-19, 0x1.46ffd28eaba7fp-19, 0x1.24640dbbb7e38p-19, 0x1.02240db2f6671p-19, 0x1.c07fb4985af2cp-20, 0x1.7d6eed945c416p-20, 0x1.3b15c3dd5d93fp-20, 0x1.f2e85839968d7p-21, 0x1.71142487591abp-21, 0x1.e15d66e43ae66p-22, 0x1.c6deebe11f0afp-23, -0x1.7a23ec3ab6897p-26, -0x1.0fd88c9c843c1p-22, -0x1.029a345cd790cp-21, -0x1.7bdb73b3b5e53p-21, -0x1.f3b09dbb759c1p-21, -0x1.350d2d6c0d69bp-20, -0x1.6f8cb10bfb32p-20, -0x1.a9573c6f34badp-20, -0x1.e26d395261ebcp-20, -0x1.0d678c2a19078p-19, -0x1.293ea8664f3edp-19, -0x1.44bc3053d970bp-19, -0x1.5fe06621a046fp-19, -0x1.7aab8f21f2163p-19, -0x1.951df3b99d1afp-19, -0x1.af37df4d8d3fep-19, -0x1.c8f9a02ebf4f3p-19, -0x1.e2638788b9339p-19, -0x1.fb75e9507b478p-19, -0x1.0a188e1874d9ap-18, -0x1.164abcbcc6a82p-18, -0x1.2251ae861823fp-18, -0x1.2e2d92a64480ep-18, -0x1.39de9986fb85bp-18, -0x1.4564f4c155decp-18, -0x1.50c0d714f0f6ep-18, -0x1.5bf2745fd6e06p-18, -0x1.66fa01962282dp-18, -0x1.71d7b4b90b4edp-18, -0x1.7c8bc4d01aa37p-18, -0x1.871669dff862cp-18, -0x1.9177dce25c148p-18, -0x1.9bb057bee8f12p-18, -0x1.a5c01542ffe37p-18, -0x1.afa75119cdc77p-18, -0x1.b96647c4ba388p-18, -0x1.c2fd3694a4747p-18, -0x1.cc6c5ba19e047p-18, -0x1.d5b3f5c3a68p-18, -0x1.ded4448ba7e02p-18, -0x1.e7cd883cb848dp-18, -0x1.f0a001c45f0c2p-18, -0x1.f94bf2b416706p-18, -0x1.00e8ce9d51423p-17, -0x1.0518a20eb8e06p-17, -0x1.09359558ac404p-17, -0x1.0d3fca6a27f16p-17, -0x1.11376373a875bp-17, -0x1.151c82e3c7fa6p-17, -0x1.18ef4b64751e6p-17, -0x1.1cafdfd7d58eap-17, -0x1.205e6354fd412p-17, -0x1.23faf92522ed6p-17, -0x1.2785c4c0b0576p-17, -0x1.2afee9cc91711p-17, -0x1.2e668c173a456p-17, -0x1.31bccf95ddbebp-17, -0x1.3501d861e0165p-17, -0x1.3835cab6425a3p-17, -0x1.3b58caecd3ddap-17, -0x1.3e6afd7ba4848p-17, -0x1.416c86f2716fbp-17, -0x1.445d8bf84c06fp-17, -0x1.473e314950ddbp-17, -0x1.4a0e9bb4220fdp-17, -0x1.4ccef01769b14p-17, -0x1.4f7f535fc72bcp-17, -0x1.521fea859117bp-17, -0x1.54b0da8ab3096p-17, -0x1.573248784913dp-17, -0x1.59a4595cb6837p-17, -0x1.5c073249af7b5p-17, -0x1.5e5af852127p-17, -0x1.609fd08810e5ep-17, -0x1.62d5dffafd648p-17, -0x1.64fd4bb5b0bc5p-17, -0x1.671638bc71eaap-17, -0x1.6920cc0b66e6dp-17, -0x1.6b1d2a94dd154p-17, -0x1.6d0b793f56a38p-17, -0x1.6eebdce3e728cp-17, -0x1.70be7a4cb44cbp-17, -0x1.728376335def4p-17, -0x1.743af53f0cf5fp-17, -0x1.75e51c0368aeep-17, -0x1.77820eff0d619p-17, -0x1.7911f29a11491p-17, -0x1.7a94eb2479b3ep-17, -0x1.7c0b1cd4cfd83p-17, -0x1.7d74abc70c209p-17, -0x1.7ed1bbfafa007p-17, -0x1.80227153192a3p-17, -0x1.8166ef93afc4cp-17, -0x1.829f5a614b131p-17, -0x1.83cbd53f64229p-17, -0x1.84ec838f84bd7p-17, -0x1.860188904e187p-17, -0x1.870b075c2d5c4p-17, -0x1.880922e84580fp-17, -0x1.88fbfe037d30bp-17, -0x1.89e3bb55e775fp-17, -0x1.8ac07d5f8de23p-17, -0x1.8b92667751c41p-17, -0x1.8c5998ca50824p-17, -0x1.8d16365ad8febp-17, -0x1.8dc860ffaa792p-17, -0x1.8e703a6351b58p-17, -0x1.8f0de4033e13cp-17, -0x1.8fa17f2f17815p-17, -0x1.902b2d07eef28p-17, -0x1.90ab0e7f875bcp-17, -0x1.91214457e2672p-17, -0x1.918def226c9a8p-17, -0x1.91f12f3f6041cp-17, -0x1.924b24dd64e06p-17, -0x1.929beff8d82a7p-17, -0x1.92e3b05b3f584p-17, -0x1.9322859ad0f98p-17, -0x1.93588f1a2ce6bp-17, -0x1.9385ec076d05fp-17, -0x1.93aabb5bd4966p-17, -0x1.93c71bdb8c74bp-17, -0x1.93db2c1562407p-17, -0x1.93e70a622412p-17, -0x1.93ead4e431826p-17, -0x1.93e6a98760495p-17, -0x1.93daa6007a897p-17, -0x1.93c6e7cd097d6p-17, -0x1.93ab8c32cf712p-17, -0x1.9388b04019e6fp-17, -0x1.935e70cae518bp-17, -0x1.932cea70ed42ep-17, -0x1.92f43997554aap-17, -0x1.92b47a6acc363p-17, -0x1.926dc8def187cp-17, -0x1.922040ae3e2eap-17, -0x1.91cbfd59d7da5p-17, -0x1.91711a29a3b66p-17, -0x1.910fb22c36908p-17, -0x1.90a7e0366ff6ep-17, -0x1.9039bee373039p-17, -0x1.8fc56894bd6b5p-17, -0x1.8f4af771fc41dp-17, -0x1.8eca8568f4ea8p-17, -0x1.8e442c2d9381ep-17, -0x1.8db80539db037p-17, -0x1.8d2629cdcfab8p-17, -0x1.8c8eb2ef998dap-17, -0x1.8bf1b96bb9e75p-17, -0x1.8b4f55d4ad732p-17, -0x1.8aa7a082f39d7p-17, -0x1.89fab1956ac03p-17, -0x1.8948a0f1477d8p-17, -0x1.88918641e5306p-17, -0x1.87d578f916a1ap-17, -0x1.8714904f754acp-17, -0x1.864ee34410a1fp-17, -0x1.8584889cb628ap-17, -0x1.84b596e61ca7dp-17, -0x1.83e22473db8ap-17, -0x1.830a4760cb6a4p-17, -0x1.822e158ef075fp-17, -0x1.814da4a7cb212p-17, -0x1.80690a1c766a5p-17, -0x1.7f805b25e00edp-17, -0x1.7e93acc500bf3p-17, -0x1.7da313c2e4c4dp-17, -0x1.7caea4b0a63e5p-17, -0x1.7bb673e834008p-17, -0x1.7aba958c265a3p-17, -0x1.79bb1d87da762p-17, -0x1.78b81f901534bp-17, -0x1.77b1af231a3a7p-17, -0x1.76a7df88895a5p-17, -0x1.759ac3d1dd676p-17, -0x1.748a6edaf0cb1p-17, -0x1.7376f349bcaafp-17, -0x1.7260638ef1ac2p-17, -0x1.7146d1e621be1p-17, -0x1.702a5055e703fp-17, -0x1.6f0af0b04b97fp-17, -0x1.6de8c49335a15p-17, -0x1.6cc3dd686d184p-17, -0x1.6b9c4c65edeb2p-17, -0x1.6a72228e35d0fp-17, -0x1.694570b08dc8fp-17, -0x1.6816476952298p-17, -0x1.66e4b7223aaecp-17, -0x1.65b0d012fa727p-17, -0x1.647aa2410c0a4p-17, -0x1.63423d8044872p-17, -0x1.6207b1730756ep-17, -0x1.60cb0d8ab98f3p-17, -0x1.5f8c610802c77p-17, -0x1.5e4bbafb197a6p-17, -0x1.5d092a43f294ep-17, -0x1.5bc4bd92dffdp-17, -0x1.5a7e8368b0465p-17, -0x1.59368a1700d73p-17, -0x1.57ecdfc0d2596p-17, -0x1.56a1925a66233p-17, -0x1.5554afa9f25cbp-17, -0x1.54064547d8c2fp-17, -0x1.52b6609f02e41p-17, -0x1.51650eed148fdp-17, -0x1.50125d42f06dap-17, -0x1.4ebe5885110cep-17, -0x1.4d690d6bb6ddcp-17, -0x1.4c1288835c0fcp-17, -0x1.4abad62d1c79cp-17, -0x1.4962029ec223fp-17, -0x1.480819e360c7cp-17, -0x1.46ad27dbb2307p-17, -0x1.4551383e4cda2p-17, -0x1.43f456980e969p-17, -0x1.42968e4c424f9p-17, -0x1.4137ea955a142p-17, -0x1.3fd876850c5a4p-17, -0x1.3e783d04af81ep-17, -0x1.3d1748d56f719p-17, -0x1.3bb5a490dbaf6p-17, -0x1.3a535aa938a8bp-17, -0x1.38f07569c54ep-17, -0x1.378cfef6f3ffap-17, -0x1.3629014f0a3bbp-17, -0x1.34c4864a7580cp-17, -0x1.335f979bda6efp-17, -0x1.31fa3ed096a1cp-17, -0x1.309485511be91p-17, -0x1.2f2e7461395a5p-17, -0x1.2dc8152086f82p-17, -0x1.2c61708aad76ep-17, -0x1.2afa8f77cd23p-17, -0x1.29937a9ca1e84p-17, -0x1.282c3a8b1291cp-17, -0x1.26c4d7b297414p-17, -0x1.255d5a603e55ap-17, -0x1.23f5cabf3fb4p-17, -0x1.228e30d933f9fp-17, -0x1.21269496832b8p-17, -0x1.1fbefdbea9969p-17, -0x1.1e5773f86863cp-17, -0x1.1ceffeca5dc62p-17, -0x1.1b88a59b66421p-17, -0x1.1a216fb28272cp-17, -0x1.18ba64376b30fp-17, -0x1.17538a332345cp-17, -0x1.15ece88fd3ad7p-17, -0x1.148686193d715p-17, -0x1.1320697d53231p-17, -0x1.11ba994c5d2ep-17, -0x1.10551bf926842p-17, -0x1.0eeff7d964abp-17, -0x1.0d8b332624d49p-17, -0x1.0c26d3fc0b47cp-17, -0x1.0ac2e05b8d99bp-17, -0x1.095f5e2963cf5p-17, -0x1.07fc532e9f90cp-17, -0x1.0699c51923c74p-17, -0x1.0537b97c06c19p-17, -0x1.03d635cfa20e4p-17, -0x1.02753f7201e25p-17, -0x1.0114dba74b6b7p-17, -0x1.ff6a1f33c28cep-18, -0x1.fcabc0b536d2fp-18, -0x1.f9eea5c28a326p-18, -0x1.f732d819c4752p-18, -0x1.f478614783406p-18, -0x1.f1bf4aa7e4b35p-18, -0x1.ef079d675af6cp-18, -0x1.ec5162826fffcp-18, -0x1.e99ca2c70fdf5p-18, -0x1.e6e966d5103a6p-18, -0x1.e437b71e32e2p-18, -0x1.e1879be701be7p-18, -0x1.ded91d4780fp-18, -0x1.dc2c432bb9724p-18, -0x1.d9811553bf736p-18, -0x1.d6d79b54aa7eep-18, -0x1.d42fdc9953b8cp-18, -0x1.d189e06235df9p-18, -0x1.cee5adc68d86ep-18, -0x1.cc434bb4804acp-18, -0x1.c9a2c0f1a28c9p-18, -0x1.c704141c0132dp-18, -0x1.c4674ba9b9522p-18, -0x1.c1cc6dea07fa9p-18, -0x1.bf338106205eep-18, -0x1.bc9c8b00a73f2p-18, -0x1.ba0791b70ecd1p-18, -0x1.b7749ae20d6cbp-18, -0x1.b4e3ac1560058p-18, -0x1.b254cac0db41p-18, -0x1.afc7fc31118f9p-18, -0x1.ad3d458f0f6cbp-18, -0x1.aab4abe180ca3p-18, -0x1.a82e340d0130ep-18, -0x1.a5a9e2d3f6dbep-18, -0x1.a327bcd7e07dfp-18, -0x1.a0a7c6998ce25p-18, -0x1.9e2a0479180aep-18, -0x1.9bae7ab6ad2acp-18, -0x1.99352d73444e3p-18, -0x1.96be20b09f78ap-18, -0x1.94495851abc7p-18, -0x1.91d6d81b62419p-18, -0x1.8f66a3b4d2cfbp-18, -0x1.8cf8bea7b2072p-18, -0x1.8a8d2c60a902fp-18, -0x1.8823f02fcafcep-18, -0x1.85bd0d495c77bp-18, -0x1.835886c56806cp-18, -0x1.80f65fa0d2241p-18, -0x1.7e969abda74c9p-18, -0x1.7c393ae30bdc1p-18, -0x1.79de42be5d6f2p-18, -0x1.7785b4e2ec8f9p-18, -0x1.752f93ca81dd8p-18, -0x1.72dbe1d6237fbp-18, -0x1.708aa14de6285p-18, -0x1.6e3bd46195fcp-18, -0x1.6bef7d2948b3cp-18, -0x1.69a59da517dcdp-18, -0x1.675e37be19969p-18, -0x1.65194d46ac607p-18, -0x1.62d6dffa3ce13p-18, -0x1.6096f17e2da39p-18, -0x1.5e598362542dcp-18, -0x1.5c1e97208e5c2p-18, -0x1.59e62e1dc20aap-18, -0x1.57b049a9fe39dp-18, -0x1.557ceb00c84e4p-18, -0x1.534c134969054p-18, -0x1.511dc39741c5fp-18, -0x1.4ef1fcea5214bp-18, -0x1.4cc8c02f0a9c6p-18, -0x1.4aa20e3f19893p-18, -0x1.487de7e1b5794p-18, -0x1.465c4dcb5369bp-18, -0x1.443d409ed0bdfp-18, -0x1.4220c0ed03b46p-18, -0x1.4006cf3561ff5p-18, -0x1.3def6be66a42bp-18, -0x1.3bda975d6de49p-18, -0x1.39c851e75ed8bp-18, -0x1.37b89bc0e665bp-18, -0x1.35ab751672b14p-18, -0x1.33a0de0508decp-18, -0x1.3198d699d81bap-18, -0x1.2f935ed2fb506p-18, -0x1.2d90769fd83e5p-18, -0x1.2b901de0c1d2ap-18, -0x1.29925467c0c23p-18, -0x1.279719f8f0a2dp-18, -0x1.259e6e4a21174p-18, -0x1.23a85103ad1e3p-18, -0x1.21b4c1c08e61cp-18, -0x1.1fc3c00e71ae9p-18, -0x1.1dd54b6e083bcp-18, -0x1.1be963538555bp-18, -0x1.1a000726764e1p-18, -0x1.1819364226c98p-18, -0x1.1634eff62bacep-18, -0x1.14533385ee61ap-18, -0x1.127400298c809p-18, }}, 
      {{0x1.3f6d7b41516b3p-14, 0x1.3512b02b0f88bp-12, 0x1.4a23837eb5d5fp-11, 0x1.122b87d74fc57p-10, 0x1.8acb39b38a4dfp-10, 0x1.02f1357516d69p-9, 0x1.3df428163f85ap-9, 0x1.739d40e4243f7p-9, 0x1.a21662bd75324p-9, 0x1.c8721f981df71p-9, 0x1.e68adca45b8d9p-9, 0x1.fcdbfe98f78f2p-9, 0x1.062d417f1e3e1p-8, 0x1.0b280e7961001p-8, 0x1.0e1d3451eef6fp-8, 0x1.0fd76f75ca82fp-8, 0x1.1121d61bf173fp-8, 0x1.12bea12119d15p-8, 0x1.156028b58a6c2p-8, 0x1.19a3df2b42cb9p-8, 0x1.200f0d9f51717p-8, 0x1.290d1358a2508p-8, 0x1.34eee89b5f8cp-8, 0x1.43eba7bede972p-8, 0x1.5621e319e249ap-8, 0x1.6b99935d27316p-8, 0x1.84466fcd418b9p-8, 0x1.a00a8814798b9p-8, 0x1.beb8fdc3abfc6p-8, 0x1.e018c1c889b46p-8, 0x1.01f39ff42e07bp-7, 0x1.14ed73c81fe22p-7, 0x1.28d2c2f69afb1p-7, 0x1.3d7b349d56d4fp-7, 0x1.52be24465738ep-7, 0x1.6873770986c3fp-7, 0x1.7e7451fea81d7p-7, 0x1.949bb2e77afeep-7, 0x1.aac6ec9629c2dp-7, 0x1.c0d6090236679p-7, 0x1.d6ac1342fbd9cp-7, 0x1.ec2f4bcde2d4fp-7, 0x1.00a4a4b18c3c2p-6, 0x1.0af38486713ecp-6, 0x1.14fc77c08374ap-6, 0x1.1eb95f0a45cb5p-6, 0x1.2825bea59e288p-6, 0x1.313eaf715b066p-6, 0x1.3a02cc8599c89p-6, 0x1.42721e2a124d1p-6, 0x1.4a8e02d2e47a9p-6, 0x1.525916bb6ffap-6, 0x1.59d71aa294082p-6, 0x1.610cda19362fep-6, 0x1.680011c2815cap-6, 0x1.6eb755d5e8a52p-6, 0x1.7539f924d4038p-6, 0x1.7b8ff4d95949fp-6, 0x1.81c1d11826f8ap-6, 0x1.87d88ea632f23p-6, 0x1.8ddd91aa3f4p-6, 0x1.93da8d9add3f2p-6, 0x1.99d9726364bc9p-6, 0x1.9fe45ac51cf16p-6, 0x1.a6057bf54ce9ep-6, 0x1.ac4716754b8ccp-6, 0x1.b2b3681ea384p-6, 0x1.b9549f5b1c266p-6, 0x1.c034cf7e458e3p-6, 0x1.c75de6351b56ep-6, 0x1.ced9a1ff141d7p-6, 0x1.d6b189a3217a7p-6, 0x1.deeee492f9f18p-6, 0x1.e79ab42e988d8p-6, 0x1.f0bdadd9eec2cp-6, 0x1.fa6035d6fee62p-6, 0x1.02452d6b56b9p-5, 0x1.07a1e919985e7p-5, 0x1.0d49fa63ad4p-5, 0x1.1340de2b3c5d9p-5, 0x1.1989e0bc98cbbp-5, 0x1.20281d0226b9ap-5, 0x1.271e7bef74b2p-5, 0x1.2e6fb41f2b8e1p-5, 0x1.361e499f287d1p-5, 0x1.3e2c8de682a1ap-5, 0x1.469c9ff16f08fp-5, 0x1.4f706c7f47b95p-5, 0x1.58a9ae6f4f09ep-5, 0x1.6249ef38f4c6p-5, 0x1.6c52877cb6606p-5, 0x1.76c49faae512ep-5, 0x1.81a130bdda5cp-5, 0x1.8ce905055cff4p-5, 0x1.989cb9012afc8p-5, 0x1.a4bcbc48b756dp-5, 0x1.b149527e82d34p-5, 0x1.be42944d6b3bep-5, 0x1.cba8706e97fd8p-5, 0x1.d97aacb6c28b3p-5, 0x1.e7b8e729a9d4cp-5, 0x1.f6629712b4e4fp-5, 0x1.02bb8710e5f3p-4, 0x1.0a7abcc5d0073p-4, 0x1.126e719646f8ep-4, 0x1.1a961956c03a5p-4, 0x1.22f11755150c4p-4, 0x1.2b7ebeec0694ep-4, 0x1.343e5416ea403p-4, 0x1.3d2f0c0546785p-4, 0x1.46500dae29863p-4, 0x1.4fa072630d0adp-4, 0x1.591f46621d9acp-4, 0x1.62cb8967be8c3p-4, 0x1.6ca42f3f25badp-4, 0x1.76a82051f2ee8p-4, 0x1.80d63a36a14a8p-4, 0x1.8b2d503dbcf54p-4, 0x1.95ac2bfdbee36p-4, 0x1.a0518ddd78c89p-4, 0x1.ab1c2d9cfeb5p-4, 0x1.b60abadcf862ap-4, 0x1.c11bdda449a87p-4, 0x1.cc4e36e3f20fp-4, 0x1.d7a060f92f233p-4, 0x1.e310f02db2341p-4, 0x1.ee9e7335f950fp-4, 0x1.fa4773ad96c19p-4, 0x1.03053b48c18ebp-3, 0x1.08f2fe5c2b697p-3, 0x1.0eec41a42be2dp-3, 0x1.14f04215b024bp-3, 0x1.1afe3b404994ep-3, 0x1.21156785e12e1p-3, 0x1.273500514892ep-3, 0x1.2d5c3e4b9c8b3p-3, 0x1.338a59907f142p-3, 0x1.39be89e116892p-3, 0x1.3ff806d5de375p-3, 0x1.4636080f35e25p-3, 0x1.4c77c564b6625p-3, 0x1.52bc77134d1e8p-3, 0x1.590355ea0dac7p-3, 0x1.5f4b9b75c17ffp-3, 0x1.6594822b368c6p-3, 0x1.6bdd45903fa54p-3, 0x1.7225226374b15p-3, 0x1.786b56c2a3bc6p-3, 0x1.7eaf22500018fp-3, 0x1.84efc655fdfa9p-3, 0x1.8b2c85e9f3299p-3, 0x1.9164a60d634e8p-3, 0x1.97976dce0c0fap-3, 0x1.9dc42664a8353p-3, 0x1.a3ea1b5272a0bp-3, 0x1.aa089a7d5da66p-3, 0x1.b01ef44b15a98p-3, 0x1.b62c7bbabc80ep-3, 0x1.bc30867d6e5b9p-3, 0x1.c22a6d0d8add3p-3, 0x1.c8198ac4ca5e2p-3, 0x1.cdfd3df121104p-3, 0x1.d3d4e7e877f44p-3, 0x1.d99fed1b302f3p-3, 0x1.df5db5258c05ap-3, 0x1.e50daadfebe44p-3, 0x1.eaaf3c6df9d93p-3, 0x1.f041db4ca9fcdp-3, 0x1.f5c4fc5f3ae28p-3, 0x1.fb3817fb1121p-3, 0x1.004d54f94f292p-2, 0x1.02f618cf966bdp-2, 0x1.059618f4df806p-2, 0x1.082d18a973281p-2, 0x1.0abadcfcd54ecp-2, 0x1.0d3f2cd0bfaa5p-2, 0x1.0fb9d0dbaa706p-2, 0x1.122a93aadc8b4p-2, 0x1.149141a413222p-2, 0x1.16eda906babccp-2, 0x1.193f99ecba748p-2, 0x1.1b86e64aded37p-2, 0x1.1dc361f0dce88p-2, 0x1.1ff4e288f73d6p-2, 0x1.221b3f9740485p-2, 0x1.243652788a2ebp-2, 0x1.2645f660f4e53p-2, 0x1.284a085a2e064p-2, 0x1.2a4267415ae5ep-2, 0x1.2c2ef3c4b68fbp-2, 0x1.2e0f9060ded76p-2, 0x1.2fe4215dda9b9p-2, 0x1.31ac8ccbda19ap-2, 0x1.3368ba7faf91fp-2, 0x1.3518940f09788p-2, 0x1.36bc04cc6d502p-2, 0x1.3852f9c2f482bp-2, 0x1.39dd61b1d4e35p-2, 0x1.3b5b2d07ac0e1p-2, 0x1.3ccc4ddd9b48cp-2, 0x1.3e30b7f22e9bdp-2, 0x1.3f8860a419433p-2, 0x1.40d33eecbf19ap-2, 0x1.42114b5a98323p-2, 0x1.4342800b6c6b5p-2, 0x1.4466d8a666fcdp-2, 0x1.457e52560828p-2, 0x1.4688ebc1f57b2p-2, 0x1.4786a508a9f9cp-2, 0x1.48777fb90da44p-2, 0x1.495b7ecbeb217p-2, 0x1.4a32a69d52fp-2, 0x1.4afcfce5e5f64p-2, 0x1.4bba88b408c34p-2, 0x1.4c6b5265084cp-2, 0x1.4d0f639e291bdp-2, 0x1.4da6c745aa347p-2, 0x1.4e31897bbb9d4p-2, 0x1.4eafb79363cbdp-2, 0x1.4f21600b6035ap-2, 0x1.4f869286fbc49p-2, 0x1.4fdf5fc6dcfp-2, 0x1.502bd9a1d0c19p-2, 0x1.506c12fd8ed12p-2, 0x1.50a01fc77e91bp-2, 0x1.50c814ed7839p-2, 0x1.50e4085687da1p-2, 0x1.50f410dbb07f2p-2, 0x1.50f84640b4fc1p-2, 0x1.50f0c12cdfdf2p-2, 0x1.50dd9b23d57f5p-2, 0x1.50beee7e698fbp-2, 0x1.5094d6637d0d6p-2, 0x1.505f6ec0e489ap-2, 0x1.501ed44457af5p-2, 0x1.4fd324546b577p-2, 0x1.4f7c7d0998ceap-2, 0x1.4f1afd274de7p-2, 0x1.4eaec4150c6e3p-2, 0x1.4e37f1d79908ap-2, 0x1.4db6a70a357b4p-2, 0x1.4d2b04d7ee505p-2, 0x1.4c952cf4f4cbbp-2, 0x1.4bf541980d1bp-2, 0x1.4b4b65740dac5p-2, 0x1.4a97bbb16f3b9p-2, 0x1.49da67e7f0aa8p-2, 0x1.49138e1850652p-2, 0x1.484352a614bafp-2, 0x1.4769da516f0b6p-2, 0x1.46874a312de6ep-2, 0x1.459bc7acca03dp-2, 0x1.44a77876853b5p-2, 0x1.43aa8285a0653p-2, 0x1.42a50c10ab96fp-2, 0x1.41973b87e5c7cp-2, 0x1.4081378fbb3d3p-2, 0x1.3f6326fb59859p-2, 0x1.3e3d30c755ea8p-2, 0x1.3d0f7c1475c14p-2, 0x1.3bda3022853e4p-2, 0x1.3a9d744b4d82bp-2, 0x1.39596ffda1183p-2, 0x1.380e4ab87f4b4p-2, 0x1.36bc2c06541bbp-2, 0x1.35633b784f7cdp-2, 0x1.3403a0a1d3033p-2, 0x1.329d8313ffae2p-2, 0x1.31310a595547ep-2, 0x1.2fbe5df170903p-2, 0x1.2e45a54cdef2ep-2, 0x1.2cc707c91026dp-2, 0x1.2b42acac5c78ep-2, 0x1.29b8bb2225098p-2, 0x1.28295a371262fp-2, 0x1.2694b0d563c5cp-2, 0x1.24fae5c160c3dp-2, 0x1.235c1f95da3fbp-2, 0x1.21b884c0cf0b7p-2, 0x1.20103b801e2a8p-2, 0x1.1e6369de5a7fbp-2, 0x1.1cb235afb4088p-2, 0x1.1afcc48ef6a53p-2, 0x1.19433bdaa5775p-2, 0x1.1785c0b22b5c4p-2, 0x1.15c477f325cbdp-2, 0x1.13ff8636c3f11p-2, 0x1.12370fcf4098p-2, 0x1.106b38c56fe54p-2, 0x1.0e9c24d668c31p-2, 0x1.0cc9f7713fe6p-2, 0x1.0af4d3b4dbe33p-2, 0x1.091cdc6de1e7ap-2, 0x1.07423414b2b53p-2, 0x1.0564fccb8273ep-2, 0x1.0385585c83dccp-2, 0x1.01a3683828818p-2, 0x1.ff7e9ae6ee225p-3, 0x1.fbb2518ce90cep-3, 0x1.f7e235154b0dp-3, 0x1.f40e857338202p-3, 0x1.f03781d748c92p-3, 0x1.ec5d68acf1f57p-3, 0x1.e880779827d15p-3, 0x1.e4a0eb731aff4p-3, 0x1.e0bf004c1ba28p-3, 0x1.dcdaf163a5c07p-3, 0x1.d8f4f92a8b8b1p-3, 0x1.d50d514049e3p-3, 0x1.d1243271781ebp-3, 0x1.cd39d4b65da4ap-3, 0x1.c94e6f31a8f19p-3, 0x1.c562382f4649fp-3, 0x1.c17565235371ep-3, 0x1.bd882aa93a195p-3, 0x1.b99abc82e207dp-3, 0x1.b5ad4d980211cp-3, 0x1.b1c00ff5943cap-3, 0x1.add334cd5b7b6p-3, 0x1.a9e6ec7593a26p-3, 0x1.a5fb6668b050ep-3, 0x1.a210d14539c13p-3, 0x1.9e275acdcb069p-3, 0x1.9a3f2fe91e5ddp-3, 0x1.96587ca23bcbap-3, 0x1.92736c28b6af6p-3, 0x1.8e9028d10da39p-3, 0x1.8aaedc1516af1p-3, 0x1.86cfae94887d4p-3, 0x1.82f2c81596efep-3, 0x1.7f184f85a3ec5p-3, 0x1.7b406afa0382cp-3, 0x1.776b3fb0da78ap-3, 0x1.7398f21204bdfp-3, 0x1.6fc9a5b018e93p-3, 0x1.6bfd7d497641ap-3, 0x1.68349ac968c73p-3, 0x1.646f1f495df08p-3, 0x1.60ad2b1220728p-3, 0x1.5ceedd9d3493cp-3, 0x1.5934559632bd6p-3, 0x1.557db0dc3c6f6p-3, 0x1.51cb0c83759adp-3, 0x1.4e1c84d693f97p-3, 0x1.4a723558748ddp-3, 0x1.46cc38c5c1d9bp-3, 0x1.432aa916a4a25p-3, 0x1.3f8d9f807bbedp-3, 0x1.3bf53477a8211p-3, 0x1.38617fb1571c7p-3, 0x1.34d2982562aa4p-3, 0x1.314894102f0a5p-3, 0x1.2dc388f49d803p-3, 0x1.2a438b9dfb8b3p-3, 0x1.26c8b02202d59p-3, 0x1.235309e2dca79p-3, 0x1.1fe2ab912b836p-3, 0x1.1c77a72e1f4f2p-3, 0x1.19120e0d897e6p-3, 0x1.15b1f0d800308p-3, 0x1.12575f8cfb262p-3, 0x1.0f026984fec9dp-3, 0x1.0bb31d73c7387p-3, 0x1.0869896a7a538p-3, 0x1.0525bad9d9d2ep-3, 0x1.01e7be947d41ap-3, 0x1.fd5f41a216326p-4, 0x1.f6fada58eac3dp-4, 0x1.f0a25d5878f64p-4, 0x1.ea55df815cbe5p-4, 0x1.e415748e565bap-4, 0x1.dde12f18d36efp-4, 0x1.d7b9209d7b94p-4, 0x1.d19d5980bcfbfp-4, 0x1.cb8de9135aca2p-4, 0x1.c58add9700b7ap-4, 0x1.bf944442cc291p-4, 0x1.b9aa2947dc4d5p-4, 0x1.b3cc97d5deb81p-4, 0x1.adfb9a1f9dbe7p-4, 0x1.a837395f84453p-4, 0x1.a27f7ddc2a5b9p-4, 0x1.9cd46eecd1ffbp-4, 0x1.973612fdec28fp-4, 0x1.91a46f9592e9p-4, 0x1.8c1f8957fefabp-4, 0x1.86a7640bfcf66p-4, 0x1.813c029f57f84p-4, 0x1.7bdd672b430bcp-4, 0x1.768b92f8bc13ep-4, 0x1.71468684e209bp-4, 0x1.6c0e41854f19p-4, 0x1.66e2c2ec63c9cp-4, 0x1.61c408ed8ed09p-4, 0x1.5cb2110188901p-4, 0x1.57acd7ea8f7a7p-4, 0x1.52b459b891fa7p-4, 0x1.4dc891cd56408p-4, 0x1.48e97ae09a243p-4, 0x1.44170f042499dp-4, 0x1.3f5147a7d592p-4, 0x1.3a981d9da2ac6p-4, 0x1.35eb891d9363ap-4, 0x1.314b81c9b250dp-4, 0x1.2cb7feb1ee129p-4, 0x1.2830f657f4ed3p-4, 0x1.23b65eb306eacp-4, 0x1.1f482d33bbd7dp-4, 0x1.1ae656c7bf932p-4, 0x1.1690cfdd7f962p-4, 0x1.12478c67d5261p-4, 0x1.0e0a7fe19e1a5p-4, 0x1.09d99d514db84p-4, 0x1.05b4d74c70e44p-4, 0x1.019c1ffb28793p-4, 0x1.fb1ed237327c7p-5, 0x1.f31d480a91b9fp-5, 0x1.eb338358f98e7p-5, 0x1.e361654b0150ep-5, 0x1.dba6ce4fce6c4p-5, 0x1.d4039e23840ebp-5, 0x1.cc77b3d58c7f1p-5, 0x1.c502edcedbc29p-5, 0x1.bda529d807563p-5, 0x1.b65e451f5abcep-5, 0x1.af2e1c3ec6c2ap-5, 0x1.a8148b41c2525p-5, 0x1.a1116dab054bdp-5, 0x1.9a249e7a3d05p-5, 0x1.934df831a06bbp-5, 0x1.8c8d54db6cef4p-5, 0x1.85e28e0f4a6f1p-5, 0x1.7f4d7cf79fad9p-5, 0x1.78cdfa56c3945p-5, 0x1.7263de8c1f56bp-5, 0x1.6c0f01993ac4ap-5, 0x1.65cf3b26a7301p-5, 0x1.5fa46288e348fp-5, 0x1.598e4ec513b2dp-5, 0x1.538cd695ba319p-5, 0x1.4d9fd06f45c89p-5, 0x1.47c7128494c6dp-5, 0x1.420272cb5dd7ep-5, 0x1.3c51c7007f65bp-5, 0x1.36b4e4ac45208p-5, 0x1.312ba126834d8p-5, 0x1.2bb5d19aad83bp-5, 0x1.26534b0bd6e2bp-5, 0x1.2103e2588ec1cp-5, 0x1.1bc76c3eb2755p-5, 0x1.169dbd5f31027p-5, 0x1.1186aa41a4f34p-5, 0x1.0c820757f0fc7p-5, 0x1.078fa901b5942p-5, 0x1.02af638fbba11p-5, 0x1.fbc2168e93662p-6, 0x1.f248e8cac351dp-6, 0x1.e8f2e643e356cp-6, 0x1.dfbfb765d2059p-6, 0x1.d6af049e7ae22p-6, 0x1.cdc07663c38a5p-6, 0x1.c4f3b53944c98p-6, 0x1.bc4869b5e34dfp-6, 0x1.b3be3c8943c63p-6, 0x1.ab54d6812008dp-6, 0x1.a30be08e709a4p-6, 0x1.9ae303ca719c5p-6, 0x1.92d9e97b8e677p-6, 0x1.8af03b1a1c96cp-6, 0x1.8325a255057c5p-6, 0x1.7b79c9163ceabp-6, 0x1.73ec59871d418p-6, 0x1.6c7cfe14acf53p-6, 0x1.652b6173b70d7p-6, 0x1.5df72ea4b69aap-6, 0x1.56e010f7dd9c9p-6, 0x1.4fe5b410979ecp-6, 0x1.4907c3e96010dp-6, 0x1.4245ecd72754fp-6, 0x1.3b9fdb8cb00fap-6, 0x1.35153d1dec782p-6, 0x1.2ea5bf0315fe8p-6, 0x1.28510f1bc92a4p-6, 0x1.2216dbb1e65d5p-6, 0x1.1bf6d37c7783ap-6, 0x1.15f0a5a265e95p-6, 0x1.100401bd26364p-6, 0x1.0a3097db267dep-6, 0x1.047618825d60cp-6, 0x1.fda8696505427p-7, 0x1.f2953bcec9232p-7, 0x1.e7b20c35faf21p-7, 0x1.dcfe3f8f0db96p-7, 0x1.d2793bd2d76acp-7, 0x1.c822680267381p-7, 0x1.bdf92c2a78004p-7, 0x1.b3fcf166e153ap-7, 0x1.aa2d21e5ef22bp-7, 0x1.a08928eb4fdfdp-7, 0x1.971072d3121bdp-7, 0x1.8dc26d144f19cp-7, 0x1.849e8643f458cp-7, 0x1.7ba42e16f24e6p-7, 0x1.72d2d564d1de2p-7, 0x1.6a29ee2994436p-7, 0x1.61a8eb87efdedp-7, 0x1.594f41cb1dd4dp-7, 0x1.511c66688a1dcp-7, 0x1.490fd00180c5fp-7, 0x1.4128f664a4023p-7, 0x1.3967528f44261p-7, 0x1.31ca5eae9be0cp-7, 0x1.2a519620e9026p-7, 0x1.22fc75766e08bp-7, 0x1.1bca7a72640cdp-7, 0x1.14bb240b93be3p-7, 0x1.0dcdf26d263dap-7, 0x1.070266f72847dp-7, 0x1.0058043ee07b5p-7, 0x1.f39c9c1eaa5fap-8, 0x1.e6c992d2cc6e6p-8, 0x1.da35f9081edf1p-8, 0x1.cde0dd98be61ap-8, 0x1.c1c951caf62c3p-8, 0x1.b5ee6950ef326p-8, 0x1.aa4f3a486c976p-8, 0x1.9eeadd39ed98cp-8, 0x1.93c06d185e2ep-8, 0x1.88cf073fbb699p-8, 0x1.7e15cb7447aeep-8, 0x1.7393dbe1322c4p-8, 0x1.69485d17676c6p-8, 0x1.5f32760c0aa6ep-8, 0x1.5551501695457p-8, 0x1.4ba416ef6aa9ap-8, 0x1.4229f8adb935ep-8, 0x1.38e225c5b9594p-8, 0x1.2fcbd1061ed9dp-8, 0x1.26e62f9674de9p-8, 0x1.1e3078f424439p-8, 0x1.15a9e6f0641e3p-8, 0x1.0d51b5ad8e08ep-8, 0x1.0527239c72b7bp-8, 0x1.fa52e2f2d7adp-9, 0x1.eaafc493c68f9p-9, 0x1.db6376b1e8479p-9, 0x1.cc6c886972375p-9, 0x1.bdc98d560409dp-9, 0x1.af791d8c13ea5p-9, 0x1.a179d59320547p-9, 0x1.93ca565df0cdfp-9, 0x1.86694544b2e2fp-9, 0x1.79554bfd7ddd2p-9, 0x1.6c8d189593a31p-9, 0x1.600f5d697c4a3p-9, 0x1.53dad11ee0151p-9, 0x1.47ee2e9b9cb05p-9, 0x1.3c4834ff81ea6p-9, 0x1.30e7a79bce85dp-9, 0x1.25cb4dec11f43p-9, 0x1.1af1f38dd0006p-9, 0x1.105a6838d5ccep-9, 0x1.06037fb7354fbp-9, 0x1.f7d823ba3e0ecp-10, 0x1.e425f501ac4bfp-10, 0x1.d0ee32e4b1771p-10, 0x1.be2ea4e65b321p-10, 0x1.abe51a5c0db45p-10, 0x1.9a0f6a5c76ad9p-10, 0x1.88ab73af5a954p-10, 0x1.77b71cbbd2483p-10, 0x1.6730537783ba2p-10, 0x1.57150d55df274p-10, 0x1.4763473643ed2p-10, 0x1.3819055326181p-10, 0x1.29345330989p-10, 0x1.1ab3438af90d6p-10, 0x1.0c93f045966cp-10, 0x1.fda8f4b20f75dp-11, 0x1.e2e6138375d52p-11, 0x1.c8db9addceb2ap-11, 0x1.af85f6603daeep-11, 0x1.96e19f49f30c8p-11, 0x1.7eeb1c5484685p-11, 0x1.679f0193a5855p-11, 0x1.50f9f04f14eeep-11, 0x1.3af896e1faeb9p-11, 0x1.2597b097a6794p-11, 0x1.10d40586bd85p-11, 0x1.f954d4e10fa6cp-12, 0x1.d22f8139ee552p-12, 0x1.ac31eb7090614p-12, 0x1.8756075f26167p-12, 0x1.6395e11f48adfp-12, 0x1.40eb9cc252b2ap-12, 0x1.1f51760d341abp-12, 0x1.fd83806b96155p-13, 0x1.be6dcb362a152p-13, 0x1.8156cf0712c78p-13, 0x1.4633bbb376171p-13, 0x1.0cf9edcd047eap-13, 0x1.ab3ddc3b718ccp-14, 0x1.4030e24dbf5a7p-14, 0x1.b1715a3f509f2p-15, 0x1.d3054573c31e5p-16, 0x1.43737f4e96e09p-18, -0x1.23e38b96e4843p-16, -0x1.45c3e17fa98d5p-15, -0x1.f32d23d8d152ap-15, -0x1.4d29168c3a221p-14, -0x1.9dab7f8371667p-14, -0x1.eb2f7f7f6e966p-14, -0x1.1ae33df9fd4fbp-13, -0x1.3ec0c70b40668p-13, -0x1.6138c1eb8493p-13, -0x1.8253706c585ccp-13, -0x1.a218efb7601a6p-13, -0x1.c09138c121bbdp-13, -0x1.ddc420ce6f301p-13, -0x1.f9b959e219f13p-13, -0x1.0a3c399ce614fp-12, -0x1.17046ce3c7563p-12, -0x1.2338ec4fe32d4p-12, -0x1.2edd4cbbc8c05p-12, -0x1.39f512891f844p-12, -0x1.4483b1dcad118p-12, -0x1.4e8c8ed509fc4p-12, -0x1.5812fdc584ba3p-12, -0x1.611a436ca7315p-12, -0x1.69a5952ce0cfap-12, -0x1.71b8194355828p-12, -0x1.7954e6ff14b5dp-12, -0x1.807f06f6aed7dp-12, -0x1.8739733dfa995p-12, -0x1.8d87179c95fb8p-12, -0x1.936ad1bf1746fp-12, -0x1.98e77170121c9p-12, -0x1.9dffb8c8b5287p-12, -0x1.a2b65c64df09ep-12, -0x1.a70e03959a4e3p-12, -0x1.ab094894074edp-12, -0x1.aeaab8b1a539p-12, -0x1.b1f4d48b9e8d1p-12, -0x1.b4ea1039bfed6p-12, -0x1.b78cd37ef06fcp-12, -0x1.b9df79fa222ep-12, -0x1.bbe45353cd6dap-12, -0x1.bd9da36ef00cfp-12, -0x1.bf0da29406747p-12, -0x1.c0367da160c73p-12, -0x1.c11a5637e40b7p-12, -0x1.c1bb42e7714p-12, -0x1.c21b4f5af5faap-12, -0x1.c23c7c8388066p-12, -0x1.c220c0c57643p-12, -0x1.c1ca082116bep-12, -0x1.c13a345e77d6fp-12, -0x1.c0731d36b00c7p-12, -0x1.bf76907c42409p-12, -0x1.be4652456705bp-12, -0x1.bce41d13b095p-12, -0x1.bb51a1fa77915p-12, -0x1.b99088c9788c4p-12, -0x1.b7a27030ad75ap-12, -0x1.b588ede7f6129p-12, -0x1.b3458ed4ec145p-12, -0x1.b0d9d730d31bdp-12, -0x1.ae4742ac11c87p-12, -0x1.ab8f4494be74bp-12, -0x1.a8b347f94b5bap-12, -0x1.a5b4afccfda84p-12, -0x1.a294d70a2ede4p-12, -0x1.9f5510d636805p-12, -0x1.9bf6a8a27037dp-12, -0x1.987ae24f47e78p-12, -0x1.94e2fa4c50af6p-12, -0x1.913025ba927e8p-12, -0x1.8d63928c436a2p-12, -0x1.897e67a48a7a7p-12, -0x1.8581c4f8b51c3p-12, -0x1.816ec3ad5e0b4p-12, -0x1.7d467636d2b34p-12, -0x1.7909e877061d6p-12, -0x1.74ba1fdac14fap-12, -0x1.70581b7900c49p-12, -0x1.6be4d42def23cp-12, -0x1.67613cb9e08bdp-12, -0x1.62ce41db82a16p-12, -0x1.5e2cca6d923cfp-12, -0x1.597db78162d89p-12, -0x1.54c1e47aaec07p-12, -0x1.4ffa2729fda0cp-12, -0x1.4b274fe6f1dap-12, -0x1.464a29ab07543p-12, -0x1.41637a2aa438dp-12, -0x1.3c7401ee00b22p-12, -0x1.377c7c6b4edefp-12, -0x1.327da01dd1588p-12, -0x1.2d781e9f666ccp-12, -0x1.286ca4bf3d5d5p-12, -0x1.235bda9a1eb11p-12, -0x1.1e4663b0fec5cp-12, -0x1.192cdf00c3136p-12, -0x1.140fe716a23e2p-12, -0x1.0ef01228f6aa6p-12, -0x1.09cdf22abaacdp-12, -0x1.04aa14e2615d5p-12, -0x1.ff0a07fbff6e2p-13, -0x1.f4be8a52496edp-13, -0x1.ea72b44025cc6p-13, -0x1.e0278189b69bbp-13, -0x1.d5dde66513025p-13, -0x1.cb96cfa2fd71ap-13, -0x1.c15322d36f6dep-13, -0x1.b713be6c2c25fp-13, -0x1.acd979eeff467p-13, -0x1.a2a5260cb7ef2p-13, -0x1.98778cc9d5cdap-13, -0x1.8e5171a2b6511p-13, -0x1.843391ace2e11p-13, -0x1.7a1ea3bb82861p-13, -0x1.7013587e91ffdp-13, -0x1.66125aa79c959p-13, -0x1.5c1c4f05f776ap-13, -0x1.5231d4aac57f6p-13, -0x1.4853850653baep-13, -0x1.3e81f40827d8ep-13, -0x1.34bdb03d26727p-13, -0x1.2b0742eded8ccp-13, -0x1.215f303c3db76p-13, -0x1.17c5f7401f9c6p-13, -0x1.0e3c1223f7bf6p-13, -0x1.04c1f64158494p-13, -0x1.f6b028779ba1cp-14, -0x1.e3fdb0394412cp-14, -0x1.d16d52daf702bp-14, -0x1.beffd6a47040cp-14, -0x1.acb5f9455ea56p-14, -0x1.9a9070086b92cp-14, -0x1.888fe8055c3bbp-14, -0x1.76b506512efbfp-14, -0x1.6500682c59259p-14, -0x1.5372a336c3ae2p-14, -0x1.420c45991b6fcp-14, -0x1.30cdd6348d0bfp-14, -0x1.1fb7d4cfa0616p-14, -0x1.0ecaba41ba4eap-14, -0x1.fc0df13a9340bp-15, -0x1.dad9f6b680b9dp-15, -0x1.b9fa4f07cceb7p-15, -0x1.996fb7b042c53p-15, -0x1.793ae1f152c9cp-15, -0x1.595c731d4cb7dp-15, -0x1.39d504e129141p-15, -0x1.1aa5259461bc8p-15, -0x1.f79ab0fba9da3p-16, -0x1.ba9c2c4200191p-16, -0x1.7e4f99065637p-16, -0x1.42b5bee803999p-16, -0x1.07cf519e1f708p-16, -0x1.9b39e3084b74ep-17, -0x1.283e583743f01p-17, -0x1.6d59f23c04a74p-18, -0x1.1a1a619b0b408p-19, 0x1.41a0d030ed69bp-20, 0x1.2b051febba84cp-18, 0x1.01645c0a89bd6p-17, 0x1.6bd930c7a04ccp-17, 0x1.d4e0dfb1572edp-17, 0x1.1e3dac335fb6bp-16, 0x1.515453dedfa61p-16, 0x1.83b47b7c39054p-16, 0x1.b55e457030751p-16, 0x1.e651e180a6608p-16, 0x1.0b47c634d5f46p-15, 0x1.230bc7be4f414p-15, 0x1.3a75201df735p-15, 0x1.5183fffd032f2p-15, 0x1.68389dbf495fbp-15, 0x1.7e93355260565p-15, 0x1.94940803ae111p-15, 0x1.aa3b5c513b7e7p-15, 0x1.bf897dbfb7a8ap-15, 0x1.d47ebcafc65f6p-15, 0x1.e91b6e345755ep-15, 0x1.fd5febea43acp-15, 0x1.08a649e7ef9bfp-14, 0x1.1270e40f3112bp-14, 0x1.1c0ff791c732dp-14, 0x1.2583b98e42c6fp-14, 0x1.2ecc6108fb38p-14, 0x1.37ea26d9b774fp-14, 0x1.40dd4599c3d8p-14, 0x1.49a5f9941f40ep-14, 0x1.524480b3a8ef2p-14, 0x1.5ab91a73306d5p-14, 0x1.630407cd96c7cp-14, 0x1.6b258b2e26864p-14, 0x1.731de8611939dp-14, 0x1.7aed6484f4217p-14, 0x1.829445fb79ce3p-14, 0x1.8a12d45c356c4p-14, 0x1.916958659a567p-14, 0x1.98981bf058f4ap-14, 0x1.9f9f69e12d687p-14, 0x1.a67f8e1c78279p-14, 0x1.ad38d579b347p-14, 0x1.b3cb8db6b04ap-14, 0x1.ba38056bb3b38p-14, 0x1.c07e8bff96e4fp-14, 0x1.c69f719c3f8f1p-14, 0x1.cc9b072360feap-14, 0x1.d2719e23f8c24p-14, 0x1.d82388cefc265p-14, 0x1.ddb119ed3b89ap-14, 0x1.e31aa4d545b22p-14, 0x1.e8607d6155f0ap-14, 0x1.ed82f7e62372ap-14, 0x1.f28269288af1ap-14, 0x1.f75f265539cb9p-14, 0x1.fc1984f74ae3cp-14, 0x1.0058ed77e98ddp-13, 0x1.02943f368c9p-13, 0x1.04bee2f152b19p-13, 0x1.06d9040087b7bp-13, 0x1.08e2cdd71e5b9p-13, 0x1.0adc6bfec1492p-13, 0x1.0cc60a1440e45p-13, 0x1.0e9fd3c3f9d8ep-13, 0x1.1069f4c629a73p-13, 0x1.122498dba4781p-13, 0x1.13cfebca81ee3p-13, 0x1.156c195adce2bp-13, 0x1.16f94d53ce938p-13, 0x1.1877b37835943p-13, 0x1.19e77783dfd31p-13, 0x1.1b48c528a54e4p-13, 0x1.1c9bc80b8d98p-13, 0x1.1de0abc22d32bp-13, 0x1.1f179bd0188b9p-13, 0x1.2040c3a434baap-13, 0x1.215c4e964102p-13, 0x1.226a67e4a20dp-13, 0x1.236b3ab1dc1fep-13, 0x1.245ef2028a797p-13, 0x1.2545b8bae9b92p-13, 0x1.261fb99d0632ap-13, 0x1.26ed1f46902f8p-13, 0x1.27ae142ee1bacp-13, 0x1.2862c2a52873fp-13, 0x1.290b54ce92fc2p-13, 0x1.29a7f4a476489p-13, 0x1.2a38cbf2a564fp-13, 0x1.2abe0455dfbb1p-13, 0x1.2b37c73a0868ap-13, 0x1.2ba63dd8b7a73p-13, 0x1.2c099137bb177p-13, 0x1.2c61ea27ccfep-13, 0x1.2caf714310f3fp-13, 0x1.2cf24eebb585ap-13, 0x1.2d2aab4ad5c4fp-13, 0x1.2d58ae4f204f6p-13, 0x1.2d7c7fabf0b8ap-13, 0x1.2d9646d7bdd1dp-13, 0x1.2da62b0b7dd68p-13, 0x1.2dac534153c1p-13, 0x1.2da8e633ae1c4p-13, 0x1.2d9c0a5c5b06bp-13, 0x1.2d85e5f3a2837p-13, 0x1.2d669eef701b1p-13, 0x1.2d3e5b027d631p-13, 0x1.2d0d3f9b71b6ap-13, 0x1.2cd371e46168dp-13, 0x1.2c9116c1fdb3bp-13, 0x1.2c4652d2e5fb1p-13, 0x1.2bf34a6f107a1p-13, 0x1.2b9821a7368bbp-13, 0x1.2b34fc44465ap-13, 0x1.2ac9fdc6dadc7p-13, 0x1.2a574966c7a61p-13, 0x1.29dd0212b31dap-13, 0x1.295b4a6f7e44dp-13, 0x1.28d244d8107a9p-13, 0x1.2842135cf9cddp-13, 0x1.27aad7c3f0637p-13, 0x1.270cb387a8d3ep-13, 0x1.2667c7d7946bp-13, 0x1.25bc3597957ecp-13, 0x1.250a1d5fc3fc8p-13, 0x1.24519f7c24742p-13, 0x1.2392dbecb1197p-13, 0x1.22cdf2652cbb1p-13, 0x1.2203024cc5fc9p-13, 0x1.21322abe4c7a5p-13, 0x1.205b8a87e43a8p-13, 0x1.1f7f402b0dc7ep-13, 0x1.1e9d69dca0ca9p-13, 0x1.1db62584be852p-13, 0x1.1cc990bed4885p-13, 0x1.1bd7c8d9a3e7ep-13, 0x1.1ae0ead758a59p-13, 0x1.19e5136d97343p-13, 0x1.18e45f056a738p-13, 0x1.17dee9bb92f4p-13, 0x1.16d4cf607158dp-13, 0x1.15c62b7850337p-13, 0x1.14b3193b90269p-13, 0x1.139bb396a197fp-13, 0x1.1280152a43bd1p-13, 0x1.1160584bb70c6p-13, 0x1.103c97050ab3p-13, 0x1.0f14eb154603fp-13, 0x1.0de96df078ae8p-13, 0x1.0cba38c038d8p-13, 0x1.0b876463b26cp-13, 0x1.0a51096ffe7a7p-13, 0x1.091740308acd8p-13, 0x1.07da20a72939p-13, 0x1.0699c28c7e64ap-13, 0x1.05563d503ff1ep-13, 0x1.040fa8198bdb2p-13, 0x1.02c619c7436c6p-13, 0x1.0179a8f05e213p-13, 0x1.002a6be44837ep-13, 0x1.fdb0f15677baep-14, 0x1.fb07ca0cf20bap-14, 0x1.f8598ce1b7aebp-14, 0x1.f5a6643e2ad37p-14, 0x1.f2ee7a0033526p-14, 0x1.f031f77b3e7bp-14, 0x1.ed710578a3f57p-14, 0x1.eaabcc38c4302p-14, 0x1.e7e27373e2593p-14, 0x1.e515225a8772dp-14, 0x1.e243ff9710716p-14, 0x1.df6f314dbe723p-14, 0x1.dc96dd1e29d3fp-14, 0x1.d9bb28240bf9dp-14, 0x1.d6dc36f7e16c7p-14, 0x1.d3fa2db014e42p-14, 0x1.d1152fe17d629p-14, 0x1.ce2d60a0c2e22p-14, 0x1.cb42e28320e42p-14, 0x1.c855d79f13611p-14, 0x1.c566618dbd453p-14, 0x1.c274a16b444fep-14, 0x1.bf80b7d829274p-14, 0x1.bc8ac4fa3521fp-14, 0x1.b992e87d4d0c2p-14, 0x1.b69941946f286p-14, 0x1.b39deefa808cap-14, 0x1.b0a10ef38bfdp-14, 0x1.ada2bf4dbfecfp-14, 0x1.aaa31d620d05bp-14, 0x1.a7a246156a68dp-14, 0x1.a4a055d9b343dp-14, 0x1.a19d68aea3ea7p-14, 0x1.9e999a22d6667p-14, 0x1.9b950554ae74dp-14, 0x1.988fc4f362274p-14, 0x1.9589f3403a8c3p-14, 0x1.9283aa0f03315p-14, 0x1.8f7d02c766896p-14, 0x1.8c761665ce33ep-14, 0x1.896efd7c6187fp-14, 0x1.8667d03427407p-14, 0x1.8360a64dc2467p-14, 0x1.8059972286c0cp-14, 0x1.7d52b9a587ef4p-14, 0x1.7a4c24647986cp-14, 0x1.7745ed88e1c2p-14, 0x1.74402ad8acbccp-14, 0x1.713af1b790993p-14, 0x1.6e365727ce6eep-14, 0x1.6b326fcb2c27p-14, 0x1.682f4fe404dcep-14, 0x1.652d0b562361ep-14, 0x1.622bb5a7becd1p-14, 0x1.5f2b6202d5ccdp-14, 0x1.5c2c23356a473p-14, 0x1.592e0bb30f1c1p-14, 0x1.56312d95a68ebp-14, 0x1.53359a9e4ecd2p-14, 0x1.503b6436328b9p-14, 0x1.4d429b6fc97e2p-14, 0x1.4a4b5107be926p-14, 0x1.47559565b2212p-14, 0x1.4461789d10d7fp-14, 0x1.416f0a6e643b9p-14, 0x1.3e7e5a48287c5p-14, 0x1.3b8f77475d1e2p-14, 0x1.38a27038ce182p-14, 0x1.35b75399b146ap-14, 0x1.32ce2f98d9be9p-14, 0x1.2fe712179647ap-14, 0x1.2d0208aa479a1p-14, 0x1.2a1f2099a4a0dp-14, 0x1.273e66e37bf3p-14, 0x1.245fe83b6dbc9p-14, 0x1.2183b10c07787p-14, 0x1.1ea9cd778e6bcp-14, 0x1.1bd24958f41a5p-14, 0x1.18fd3044685fcp-14, 0x1.162a8d8886464p-14, 0x1.135a6c2f16c34p-14, 0x1.108cd6fdc33cep-14, 0x1.0dc1d87735f35p-14, 0x1.0af97adbdc60fp-14, 0x1.0833c82a6c2c4p-14, 0x1.0570ca2102204p-14, 0x1.02b08a3de6b6p-14, 0x1.ffe623813ac1p-15, 0x1.fa70d3541e7c9p-15, 0x1.f501357bb6dbbp-15, 0x1.ef975b0672fcap-15, 0x1.ea33548a96715p-15, 0x1.e4d532287676fp-15, 0x1.df7d038c21a92p-15, 0x1.da2ad7ee3ab39p-15, 0x1.d4debe1696186p-15, 0x1.cf98c45ca6ff3p-15, 0x1.ca58f8a980416p-15, 0x1.c51f68799d42ep-15, 0x1.bfec20dd801c7p-15, 0x1.babf2e7c655cap-15, 0x1.b5989d94e7f6p-15, 0x1.b07879fe63691p-15, 0x1.ab5ecf2a7aad9p-15, 0x1.a64ba8271b68ep-15, 0x1.a13f0f9f70675p-15, 0x1.9c390fdd1ea9ep-15, 0x1.9739b2ca41c3cp-15, 0x1.924101f186279p-15, 0x1.8d4f0681196f9p-15, 0x1.8863c94b62d4dp-15, 0x1.837f52c7fe4eap-15, 0x1.7ea1ab1533453p-15, 0x1.79cad9f9ef7ecp-15, 0x1.74fae6e6740f9p-15, 0x1.7031d8f5af3a6p-15, 0x1.6b6fb6ee88fc2p-15, 0x1.66b487458dfcep-15, 0x1.6200501d597cap-15, 0x1.5d531748d6ddep-15, 0x1.58ace24b861ap-15, 0x1.540db65bcf4fap-15, 0x1.4f7598632162ap-15, 0x1.4ae48cffb1763p-15, 0x1.465a9885c663fp-15, 0x1.41d7bf0051db5p-15, 0x1.3d5c04333aedfp-15, 0x1.38e76b9b2e24cp-15, 0x1.3479f86f7c526p-15, 0x1.3013ada2fd324p-15, 0x1.2bb48de5c7ae3p-15, 0x1.275c9ba541006p-15, 0x1.230bd90e3e2cfp-15, 0x1.1ec2480d109e5p-15, 0x1.1a7fea4fce883p-15, 0x1.1644c146a1168p-15, 0x1.1210ce24aaa68p-15, 0x1.0de411e137f0dp-15, 0x1.09be8d397c45ap-15, 0x1.05a040b0779bep-15, 0x1.01892c90d0b4dp-15, 0x1.faf2a1da49773p-16, 0x1.f2e15b43c4fb5p-16, 0x1.eade84aa8da0ap-16, 0x1.e2ea1cf28477ap-16, 0x1.db042297084d5p-16, 0x1.d32c93aea4e6cp-16, 0x1.cb636deb39325p-16, 0x1.c3a8ae9dc57f4p-16, 0x1.bbfc52b5a2736p-16, 0x1.b45e56c525461p-16, 0x1.acceb700ee7dp-16, 0x1.a54d6f4391f3ap-16, 0x1.9dda7b0df316bp-16, 0x1.9675d58a106cbp-16, 0x1.8f1f798b7f863p-16, 0x1.87d76192f497ep-16, 0x1.809d87cdb033dp-16, 0x1.7971e6192aeadp-16, 0x1.7254760263514p-16, 0x1.6b4530ca57b61p-16, 0x1.64440f6574946p-16, 0x1.5d510a7dae203p-16, 0x1.566c1a73d5d42p-16, 0x1.4f9537627a268p-16, 0x1.48cc591d968d6p-16, 0x1.421177349d313p-16, 0x1.3b6488f4e91bp-16, 0x1.34c58569c286ep-16, 0x1.2e34635f62a11p-16, 0x1.27b1196248066p-16, 0x1.213b9dc2c1405p-16, 0x1.1ad3e69469a01p-16, 0x1.1479e9b191dc9p-16, 0x1.0e2d9cba3f8bfp-16, 0x1.07eef5178c63bp-16, }}, 
      {{0x1.4abb06a5b0111p-8, 0x1.4c2eebecab3a6p-7, 0x1.f4b5b32c80d2dp-7, 0x1.4efd622e0630bp-6, 0x1.a322d8ed5dd56p-6, 0x1.f5ce10741b53cp-6, 0x1.2308a1380dc85p-5, 0x1.4995c59800fa3p-5, 0x1.6e4b3c72a8103p-5, 0x1.9104242ee6bb2p-5, 0x1.b1b77fcbae00fp-5, 0x1.d073ce3c64ecap-5, 0x1.ed59cd70c818ap-5, 0x1.044b949238ec7p-4, 0x1.1130c65ab04acp-4, 0x1.1d792d50768a2p-4, 0x1.294193ad58fcfp-4, 0x1.34a57e20eac06p-4, 0x1.3fbe2bca3f8ffp-4, 0x1.4aa1ea84b62fp-4, 0x1.5563b3234d25cp-4, 0x1.601300a06d47bp-4, 0x1.6abbd5c15499p-4, 0x1.7566e5c61a5eep-4, 0x1.8019d62ae8236p-4, 0x1.8ad791068ac3ep-4, 0x1.95a0a11339e36p-4, 0x1.a07391d38de59p-4, 0x1.ab4d4f84143cap-4, 0x1.b629839d92da1p-4, 0x1.c102eb94b9d63p-4, 0x1.cbd3a8444546cp-4, 0x1.d695850a4c1d6p-4, 0x1.e142361d1e882p-4, 0x1.ebd38dfc3c3a6p-4, 0x1.f643aa2abbb3ap-4, 0x1.00468bcafcae2p-3, 0x1.05557798a693ep-3, 0x1.0a4c75b4206e4p-3, 0x1.0f29bb8bbcae8p-3, 0x1.13ebdb61b1639p-3, 0x1.1891c661da40ap-3, 0x1.1d1acc8b7f4d9p-3, 0x1.21869ac4bd78cp-3, 0x1.25d537680275fp-3, 0x1.2a06fd96424dp-3, 0x1.2e1c9791f3432p-3, 0x1.3216f8604a158p-3, 0x1.35f754e777fb5p-3, 0x1.39bf1cba05d66p-3, 0x1.3d6ff2b92e221p-3, 0x1.410ba5b200845p-3, 0x1.449429137d7d5p-3, 0x1.480b8dd6b6908p-3, 0x1.4b73fbad3a5a9p-3, 0x1.4ecfaa85c09b6p-3, 0x1.5220dc7354402p-3, 0x1.5569d7ffb9277p-3, 0x1.58ace2eee95b9p-3, 0x1.5bec3d76e659dp-3, 0x1.5f2a1ded026f3p-3, 0x1.6268ace7d0d1bp-3, 0x1.65aa01d379ad4p-3, 0x1.68f01ff4ef2eap-3, 0x1.6c3cf3d776f25p-3, 0x1.6f92511f5097ap-3, 0x1.72f1f0bb9956dp-3, 0x1.765d6f714294ap-3, 0x1.79d64cb8abf21p-3, 0x1.7d5de9e751aaep-3, 0x1.80f5899f11ae6p-3, 0x1.849e4f7c954cep-3, 0x1.88593ffe994efp-3, 0x1.8c2740a01ad24p-3, 0x1.9009181f943a7p-3, 0x1.93ff6eede1b3bp-3, 0x1.980acfbfb3f06p-3, 0x1.9c2ba83cb2ba3p-3, 0x1.a06249c7fe8bdp-3, 0x1.a4aeea5de2b78p-3, 0x1.a911a58311f5fp-3, 0x1.ad8a7d41fa3bdp-3, 0x1.b2195b3322beap-3, 0x1.b6be118ddaa16p-3, 0x1.bb785c3ebb721p-3, 0x1.c047e201cd671p-3, 0x1.c52c357e725dep-3, 0x1.ca24d6635e0bcp-3, 0x1.cf313281266c5p-3, 0x1.d450a6e23429bp-3, 0x1.d98280df0252p-3, 0x1.dec5ff2dc19d3p-3, 0x1.e41a52eca306cp-3, 0x1.e97ea0a635f52p-3, 0x1.eef2014f4ef49p-3, 0x1.f473833e27daap-3, 0x1.fa022b1a56cf4p-3, 0x1.ff9cf4c57e522p-3, 0x1.02a16a1e44b05p-2, 0x1.05795b38acaccp-2, 0x1.0855c10e7501bp-2, 0x1.0b360c44f4189p-2, 0x1.0e19ab2be5de1p-2, 0x1.11000a1b44165p-2, 0x1.13e893cd76c97p-2, 0x1.16d2b1b5ec2dcp-2, 0x1.19bdcc542af7dp-2, 0x1.1ca94b837119fp-2, 0x1.1f9496c6efa81p-2, 0x1.227f1592be44cp-2, 0x1.25682f9193b8dp-2, 0x1.284f4ce75d37bp-2, 0x1.2b33d670c5e91p-2, 0x1.2e1535ffc4b3fp-2, 0x1.30f2d69541e4p-2, 0x1.33cc2497eaa5dp-2, 0x1.36a08e084381ap-2, 0x1.396f82b20938cp-2, 0x1.3c38745af917ap-2, 0x1.3efad6ef0b4a9p-2, 0x1.41b620aa2f7aep-2, 0x1.4469ca3f9f7f7p-2, 0x1.47154efed8d62p-2, 0x1.49b82cf6406c1p-2, 0x1.4c51e513913f5p-2, 0x1.4ee1fb4211e56p-2, 0x1.5167f686abca1p-2, 0x1.53e36119e8fd7p-2, 0x1.5653c87feccc1p-2, 0x1.58b8bd9e6b167p-2, 0x1.5b11d4d0b5b7bp-2, 0x1.5d5ea5f9e29dep-2, 0x1.5f9ecc951adbp-2, 0x1.61d1e7c422f39p-2, 0x1.63f79a5c1f7fbp-2, 0x1.660f8af0a9e81p-2, 0x1.681963dd3eed8p-2, 0x1.6a14d34d0d923p-2, 0x1.6c018b413e258p-2, 0x1.6ddf4195b091p-2, 0x1.6fadb004445f6p-2, 0x1.716c9426b73e4p-2, 0x1.731baf7724898p-2, 0x1.74bac74f2c075p-2, 0x1.7649a4e5d7263p-2, 0x1.77c8154c40af6p-2, 0x1.7935e96907bcdp-2, 0x1.7a92f5f2a8c36p-2, 0x1.7bdf1368b3072p-2, 0x1.7d1a1e0bfa221p-2, 0x1.7e43f5d5c39ecp-2, 0x1.7f5c7e6e000a9p-2, 0x1.80639f209aef6p-2, 0x1.815942d1ed23ep-2, 0x1.823d57f25f858p-2, 0x1.830fd07141a04p-2, 0x1.83d0a1aeeb24p-2, 0x1.847fc46e2896ep-2, 0x1.851d34c5062e9p-2, 0x1.85a8f20cfc559p-2, 0x1.8622fed291a62p-2, 0x1.868b60c472cc3p-2, 0x1.86e220a21418cp-2, 0x1.87274a29de888p-2, 0x1.875aec06fa468p-2, 0x1.877d17beb63a6p-2, 0x1.878de19da37fep-2, 0x1.878d60a460631p-2, 0x1.877bae74278bdp-2, 0x1.8758e73b2196cp-2, 0x1.872529a08ab3bp-2, 0x1.86e096b0af5c9p-2, 0x1.868b51c8c9622p-2, 0x1.86258082c76bdp-2, 0x1.85af4aa100ad4p-2, 0x1.8528d9f9e2023p-2, 0x1.84925a6399b97p-2, 0x1.83ebf99fc6032p-2, 0x1.8335e74730906p-2, 0x1.827054b59bcaep-2, 0x1.819b74f5a4b8p-2, 0x1.80b77cacc4f75p-2, 0x1.7fc4a20775bcep-2, 0x1.7ec31ca579f05p-2, 0x1.7db3258656095p-2, 0x1.7c94f6f5f7dc3p-2, 0x1.7b68cc79947f7p-2, 0x1.7a2ee2bcbe0b8p-2, 0x1.78e7777eba729p-2, 0x1.7792c98016288p-2, 0x1.763118707fcc1p-2, 0x1.74c2a4dce7fc8p-2, 0x1.7347b01df0589p-2, 0x1.71c07c46a0dc9p-2, 0x1.702d4c1373e42p-2, 0x1.6e8e62d9af236p-2, 0x1.6ce4047712d41p-2, 0x1.6b2e7541e0678p-2, 0x1.696df9f936fc1p-2, 0x1.67a2d7b5c8a9bp-2, 0x1.65cd53daebb9ap-2, 0x1.63edb408083a3p-2, 0x1.62043e0a5fbb5p-2, 0x1.601137cf35cdp-2, 0x1.5e14e75654694p-2, 0x1.5c0f92a4f19p-2, 0x1.5a017fb8f13f2p-2, 0x1.57eaf47c897e7p-2, 0x1.55cc36ba43a7dp-2, 0x1.53a58c115fc3fp-2, 0x1.517739ea96e59p-2, 0x1.4f41856d39e17p-2, 0x1.4d04b374b3dbdp-2, 0x1.4ac10886661d7p-2, 0x1.4876c8c7e5fcap-2, 0x1.462637f596b17p-2, 0x1.43cf99599ce22p-2, 0x1.41732fc333621p-2, 0x1.3f113d7e5543p-2, 0x1.3caa044bc605p-2, 0x1.3a3dc55970da7p-2, 0x1.37ccc13b1d3f5p-2, 0x1.355737e37febep-2, 0x1.32dd689d9af16p-2, 0x1.305f920675cdap-2, 0x1.2dddf20726da9p-2, 0x1.2b58c5cf2e1bfp-2, 0x1.28d049cf224abp-2, 0x1.2644b9b3a6e2ap-2, 0x1.23b65060b711fp-2, 0x1.212547ed35445p-2, 0x1.1e91d99ec816bp-2, 0x1.1bfc3de5ffdbap-2, 0x1.1964ac5ac440bp-2, 0x1.16cb5bb90149p-2, 0x1.143081dda22p-2, 0x1.119453c3c4a81p-2, 0x1.0ef7058233686p-2, 0x1.0c58ca491bba6p-2, 0x1.09b9d460026c3p-2, 0x1.071a5523f4a33p-2, 0x1.047a7d05efb89p-2, 0x1.01da7b898718bp-2, 0x1.fe74fe8777abcp-3, 0x1.f9356bb4182bp-3, 0x1.f3f69803685fap-3, 0x1.eeb8dafe4a0eep-3, 0x1.e97c8a4b4f5adp-3, 0x1.e441f9ae610ap-3, 0x1.df097b08c3ce7p-3, 0x1.d9d35e596d986p-3, 0x1.d49ff1bdb6631p-3, 0x1.cf6f8172574b3p-3, 0x1.ca4257d4b62bap-3, 0x1.c518bd647f838p-3, 0x1.bff2f8c58a3efp-3, 0x1.bad14ec1fad52p-3, 0x1.b5b4024cb12a8p-3, 0x1.b09b5483eddd7p-3, 0x1.ab8784b43fb3ap-3, 0x1.a678d05b9ec47p-3, 0x1.a16f732ccd216p-3, 0x1.9c6ba712de317p-3, 0x1.976da434ff248p-3, 0x1.9275a0fa661a8p-3, 0x1.8d83d20e728c4p-3, 0x1.88986a64f70c7p-3, 0x1.83b39b3eafe44p-3, 0x1.7ed5942ddcdf3p-3, 0x1.79fe831afe46bp-3, 0x1.752e9449bdd7dp-3, 0x1.7065f25de9519p-3, 0x1.6ba4c66095787p-3, 0x1.66eb37c55b7e6p-3, 0x1.62396c6fae29cp-3, 0x1.5d8f88b846bc9p-3, 0x1.58edaf72aa7d1p-3, 0x1.545401f2c478ap-3, 0x1.4fc2a0128f1cap-3, 0x1.4b39a837d20a2p-3, 0x1.46b93759ed1b6p-3, 0x1.42416907b25d5p-3, 0x1.3dd2576d4a971p-3, 0x1.396c1b5a229dbp-3, 0x1.350ecc46eb204p-3, 0x1.30ba805b8fa83p-3, 0x1.2c6f4c754559dp-3, 0x1.282d442c8e455p-3, 0x1.23f479db50f28p-3, 0x1.1fc4fea2e1da9p-3, 0x1.1b9ee2721a127p-3, 0x1.1782340b68af2p-3, 0x1.136f010ae3481p-3, 0x1.0f6555ec54b79p-3, 0x1.0b653e114af9fp-3, 0x1.076ec3c71a7e5p-3, 0x1.0381f04ce41b8p-3, 0x1.ff3d97b320ebbp-4, 0x1.f78abb4386f6cp-4, 0x1.efeb57bb98b52p-4, 0x1.e85f779f0ecd3p-4, 0x1.e0e7239078ed6p-4, 0x1.d982625ce027bp-4, 0x1.d23139074ee9bp-4, 0x1.caf3aad45028bp-4, 0x1.c3c9b95547da3p-4, 0x1.bcb36473bb96bp-4, 0x1.b5b0aa7c829bfp-4, 0x1.aec1882acd589p-4, 0x1.a7e5f8b31b603p-4, 0x1.a11df5ce1c435p-4, 0x1.9a6977c3581bap-4, 0x1.93c87573db9d1p-4, 0x1.8d3ae464a2011p-4, 0x1.86c0b8c8fb409p-4, 0x1.8059e58cbf1c4p-4, 0x1.7a065c5e65ee3p-4, 0x1.73c60db900964p-4, 0x1.6d98e8ee09584p-4, 0x1.677edc2f137a1p-4, 0x1.6177d49759489p-4, 0x1.5b83be35222c9p-4, 0x1.55a284130c9a6p-4, 0x1.4fd4104125847p-4, 0x1.4a184bddeb64ep-4, 0x1.446f1f1f1fd8dp-4, 0x1.3ed8715a79eaap-4, 0x1.3954290e333e3p-4, 0x1.33e22be96b03ep-4, 0x1.2e825ed46b30ep-4, 0x1.2934a5f8bfa02p-4, 0x1.23f8e4c92de27p-4, 0x1.1ecefe0987696p-4, 0x1.19b6d3d64e4e9p-4, 0x1.14b047ac3fb79p-4, 0x1.0fbb3a6fb2992p-4, 0x1.0ad78c73ceb81p-4, 0x1.06051d81a595p-4, 0x1.0143ccdf211f6p-4, 0x1.f926f2ab9e191p-5, 0x1.efe802730d6bdp-5, 0x1.e6ca84ddd9523p-5, 0x1.ddce34e3a1d94p-5, 0x1.d4f2ccb6cb049p-5, 0x1.cc3805d0b01f5p-5, 0x1.c39d98fd88f16p-5, 0x1.bb233e6803a93p-5, 0x1.b2c8ada4a3a91p-5, 0x1.aa8d9dbcd076cp-5, 0x1.a271c539ac04cp-5, 0x1.9a74da2e991ep-5, 0x1.9296924388d14p-5, 0x1.8ad6a2befd458p-5, 0x1.8334c08fcd39ap-5, 0x1.7bb0a056b0464p-5, 0x1.7449f66f7d041p-5, 0x1.6d0076fa2dd84p-5, 0x1.65d3d5e3a5b7bp-5, 0x1.5ec3c6ee40238p-5, 0x1.57cffdba15802p-5, 0x1.50f82dcd0d1c1p-5, 0x1.4a3c0a9ab582cp-5, 0x1.439b478bd6cb4p-5, 0x1.3d159805d945dp-5, 0x1.36aaaf71ee972p-5, 0x1.305a4143fdf4bp-5, 0x1.2a24010161f04p-5, 0x1.2407a24767a1fp-5, 0x1.1e04d8d19eaccp-5, 0x1.181b587ff74d8p-5, 0x1.124ad55ca5a6ap-5, 0x1.0c9303a1d6f5ap-5, 0x1.06f397bf314cfp-5, 0x1.016c465f312cep-5, 0x1.f7f988d8763acp-6, 0x1.ed498e2b41399p-6, 0x1.e2c807a8ae99dp-6, 0x1.d87460df33369p-6, 0x1.ce4e0602a7626p-6, 0x1.c45463f4bcda3p-6, 0x1.ba86e84d3617ep-6, 0x1.b0e50161b79b9p-6, 0x1.a76e1e4d5222dp-6, 0x1.9e21aef7bf776p-6, 0x1.94ff241c452c5p-6, 0x1.8c05ef505480bp-6, 0x1.83358309d4691p-6, 0x1.7a8d52a53b0b2p-6, 0x1.720cd26b3b8fp-6, 0x1.69b37796500d9p-6, 0x1.6180b857e5e72p-6, 0x1.59740bdd549fdp-6, 0x1.518cea54912d9p-6, 0x1.49caccf0a359bp-6, 0x1.422d2dedd08b6p-6, 0x1.3ab388959a3c8p-6, 0x1.335d59427c661p-6, 0x1.2c2a1d6369c6bp-6, 0x1.2519537f1d3c4p-6, 0x1.1e2a7b3721eefp-6, 0x1.175d154ac5ab7p-6, 0x1.10b0a399a8b93p-6, 0x1.0a24a926475b5p-6, 0x1.03b8aa1841dffp-6, 0x1.fad8577ccd86ap-7, 0x1.ee7d6921442ap-7, 0x1.e25f98635f497p-7, 0x1.d67df6e172f67p-7, 0x1.cad798955d18bp-7, 0x1.bf6b93d6f37d7p-7, 0x1.b439015e420cdp-7, 0x1.a93efc45461cep-7, 0x1.9e7ca2098694bp-7, 0x1.93f1128d4c5cbp-7, 0x1.899b70189fb21p-7, 0x1.7f7adf59fc4c1p-7, 0x1.758e8766b10f4p-7, 0x1.6bd591bb293cap-7, 0x1.624f2a3acc131p-7, 0x1.58fa7f2fa9c61p-7, 0x1.4fd6c14a10883p-7, 0x1.46e3239fb2ae4p-7, 0x1.3e1edbaac0043p-7, 0x1.35892148b129fp-7, 0x1.2d212eb8f7a2cp-7, 0x1.24e6409b5cafbp-7, 0x1.1cd795ee5b856p-7, 0x1.14f4700d2007p-7, 0x1.0d3c12ad7aab4p-7, 0x1.05adc3dda0bap-7, 0x1.fc9198038805cp-8, 0x1.ee18eba2ee2p-8, 0x1.dff01caa0d974p-8, 0x1.d215c9c532ea3p-8, 0x1.c48896366328dp-8, 0x1.b74729cf2fc0ep-8, 0x1.aa5030ea2dafep-8, 0x1.9da25c64648bp-8, 0x1.913c61962cd97p-8, 0x1.851cfa4c4b3b7p-8, 0x1.7942e4c063cedp-8, 0x1.6dace391958bap-8, 0x1.6259bdbcbbd6ap-8, 0x1.57483e948039dp-8, 0x1.4c7735b9604a9p-8, 0x1.41e57711597d5p-8, 0x1.3791dabfa8f59p-8, 0x1.2d7b3d1c56fabp-8, 0x1.23a07eab778dfp-8, 0x1.1a0084146e18ep-8, 0x1.109a361940069p-8, 0x1.076c818d510ebp-8, 0x1.fcecae992db09p-9, 0x1.eb6d58649fd76p-9, 0x1.da58f21f79c8ep-9, 0x1.c9ad7545ce4c2p-9, 0x1.b968e31a3cc46p-9, 0x1.a98944932ea9dp-9, 0x1.9a0caa47cf354p-9, 0x1.8af12c5caaa85p-9, 0x1.7c34ea70b88d2p-9, 0x1.6dd60b89df69p-9, 0x1.5fd2be017ea13p-9, 0x1.5229377109433p-9, 0x1.44d7b49e92b98p-9, 0x1.37dc79690f818p-9, 0x1.2b35d0b4d2ad8p-9, 0x1.1ee20c580805fp-9, 0x1.12df8506d0279p-9, 0x1.072c9a3fd90b3p-9, 0x1.f78f6471202ffp-10, 0x1.e15e7392f97d7p-10, 0x1.cbc348b5927bdp-10, 0x1.b6bad7a113118p-10, 0x1.a24220ede7161p-10, 0x1.8e5631defd989p-10, 0x1.7af424391dad6p-10, 0x1.68191e1d64c1bp-10, 0x1.55c251e1f3ef5p-10, 0x1.43ecfdeb12693p-10, 0x1.32966c8551bc3p-10, 0x1.21bbf3bea6194p-10, 0x1.115af540bd409p-10, 0x1.0170de2a79fcep-10, 0x1.e3f64dd4a15fcp-11, 0x1.c5eea631e9a4ep-11, 0x1.a8c5e2a73cd88p-11, 0x1.8c77362cde243p-11, 0x1.70fde93096002p-11, 0x1.5655594a81d0ep-11, 0x1.3c78f8f51812cp-11, 0x1.23644f43644efp-11, 0x1.0b12f79a256dfp-11, 0x1.e70142cd3ed56p-12, 0x1.b9521fb1ac183p-12, 0x1.8d103337d72d1p-12, 0x1.62335120c0f2bp-12, 0x1.38b3730cf2fbap-12, 0x1.1088b7f2688d2p-12, 0x1.d356c727454f3p-13, 0x1.8827bbee0020fp-13, 0x1.3f7565c3e599ap-13, 0x1.f262454497eddp-14, 0x1.6a992bdafdb33p-14, 0x1.cee69d9f77f06p-15, 0x1.a354119e47073p-16, -0x1.15cd85e0f34e7p-18, -0x1.0e79d3987c816p-15, -0x1.f1caa2d3a76d1p-15, -0x1.666fb1f0b9ce6p-14, -0x1.cff5313d31fp-14, -0x1.1ac73d1c66ad6p-13, -0x1.4ba9df5f05b8cp-13, -0x1.7aae5cbdf0eefp-13, -0x1.a7e057e4d3902p-13, -0x1.d34b39c3e990bp-13, -0x1.fcfa32749dad8p-13, -0x1.127c1d0f990e6p-12, -0x1.25a808f189188p-12, -0x1.3806225871956p-12, -0x1.499b9417321fbp-12, -0x1.5a6d6ec7b418fp-12, -0x1.6a80a937d0d82p-12, -0x1.79da20d5683abp-12, -0x1.887e9a1783f4ap-12, -0x1.9672c0e76eb7bp-12, -0x1.a3bb2908e19e1p-12, -0x1.b05c4e7f2e1d5p-12, -0x1.bc5a95f335ca1p-12, -0x1.c7ba4d173c37ep-12, -0x1.d27fab0967876p-12, -0x1.dcaed0b41d513p-12, -0x1.e64bc92f013e8p-12, -0x1.ef5a8a1e13ffbp-12, -0x1.f7def40e619c9p-12, -0x1.ffdcd2d376d43p-12, -0x1.03abeef06ba22p-11, -0x1.0729dc536fc22p-11, -0x1.0a69f973da7cdp-11, -0x1.0d6e04893cb3dp-11, -0x1.1037b24bd0988p-11, -0x1.12c8ae1f24ed4p-11, -0x1.15229a3c8bee2p-11, -0x1.17470fdc5ef53p-11, -0x1.19379f5ea9e6cp-11, -0x1.1af5d073c2927p-11, -0x1.1c832243c507fp-11, -0x1.1de10b95da533p-11, -0x1.1f10faf6ff524p-11, -0x1.201456df6c7c6p-11, -0x1.20ec7dd937c9ep-11, -0x1.219ac6a41ccc9p-11, -0x1.2220805aa27d3p-11, -0x1.227ef29592effp-11, -0x1.22b75d8fea9c2p-11, -0x1.22cafa48bc516p-11, -0x1.22bafaa675959p-11, -0x1.228889980aa1cp-11, -0x1.2234cb36800b5p-11, -0x1.21c0dce576a6cp-11, -0x1.212dd573bf855p-11, -0x1.207cc53af3befp-11, -0x1.1faeb63ebb657p-11, -0x1.1ec4ac4bc56e1p-11, -0x1.1dbfa515aadb9p-11, -0x1.1ca098556ace7p-11, -0x1.1b6877e61dea8p-11, -0x1.1a182fe286a3cp-11, -0x1.18b0a6c0f41fbp-11, -0x1.1732bd6fb19a1p-11, -0x1.159f4f703761ep-11, -0x1.13f732f2a131dp-11, -0x1.123b38effdfeep-11, -0x1.106c2d44d5993p-11, -0x1.0e8ad6cabfd5p-11, -0x1.0c97f771fe2e5p-11, -0x1.0a944c5a35d18p-11, -0x1.08808deb34733p-11, -0x1.065d6fecf4da7p-11, -0x1.042ba19f79888p-11, -0x1.01ebcdd1f7834p-11, -0x1.ff3d35f42fbb9p-12, -0x1.fa89569413df6p-12, -0x1.f5bd398eb769dp-12, -0x1.f0da12c031336p-12, -0x1.ebe10e01c065ap-12, -0x1.e6d34f52ffe93p-12, -0x1.e1b1f3037d5bep-12, -0x1.dc7e0ddbe3efcp-12, -0x1.d738ad4591853p-12, -0x1.d1e2d771d4d82p-12, -0x1.cc7d8b80d129p-12, -0x1.c709c1a74cecp-12, -0x1.c1886b53ee8dfp-12, -0x1.bbfa7353dec06p-12, -0x1.b660bdf6ef5eep-12, -0x1.b0bc29327a051p-12, -0x1.ab0d8cc4a9607p-12, -0x1.a555ba5637fe4p-12, -0x1.9f957d9bbe0f9p-12, -0x1.99cd9c76e3b3cp-12, -0x1.93fed716945c4p-12, -0x1.8e29e8164fa82p-12, -0x1.884f849e081cap-12, -0x1.82705c7fcd90ap-12, -0x1.7c8d1a566df1p-12, -0x1.76a663a2a9adep-12, -0x1.70bcd8e7f4692p-12, -0x1.6ad115c8da394p-12, -0x1.64e3b123303abp-12, -0x1.5ef53d2ad6898p-12, -0x1.59064784cfcc6p-12, -0x1.53175961a2cdcp-12, -0x1.4d28f796e1a85p-12, -0x1.473ba2b8be762p-12, -0x1.414fd732a0a4fp-12, -0x1.3b660d5fd2298p-12, -0x1.357eb9a2ea3d2p-12, -0x1.2f9a4c7dd9c97p-12, -0x1.29b932a86367ep-12, -0x1.23dbd526de96ap-12, -0x1.1e0299607b7a2p-12, -0x1.182de13478dabp-12, -0x1.125e0b0ff427bp-12, -0x1.0c9372028248p-12, -0x1.06ce6dd2a1afap-12, -0x1.010f5311bd37bp-12, -0x1.f6ace65fe0ba8p-13, -0x1.eb48391e389dep-13, -0x1.dff1352bb49b6p-13, -0x1.d4a86b847d87p-13, -0x1.c96e677716de1p-13, -0x1.be43aec8ae356p-13, -0x1.b328c1d792ad1p-13, -0x1.a81e1bbd61a1fp-13, -0x1.9d2432703babfp-13, -0x1.923b76e431752p-13, -0x1.8764552aea9a1p-13, -0x1.7c9f34931a195p-13, -0x1.71ec77c78312ep-13, -0x1.674c7cece2b3cp-13, -0x1.5cbf9dbfcc9eep-13, -0x1.52462fb16d697p-13, -0x1.47e08404016d7p-13, -0x1.3d8ee7e67f268p-13, -0x1.3351a48ffb4c7p-13, -0x1.2928ff5a0eed3p-13, -0x1.1f1539db3d87p-13, -0x1.151691ffcc1d8p-13, -0x1.0b2d42237d174p-13, -0x1.01598129c6ffp-13, -0x1.ef37052b53fb5p-14, -0x1.dbe6ed4293c3ap-14, -0x1.c8c314a919b46p-14, -0x1.b5cbcf379c02p-14, -0x1.a3016abbad11fp-14, -0x1.90642f22ed702p-14, -0x1.7df45ea445e78p-14, -0x1.6bb235e9d0299p-14, -0x1.599dec38cfe2bp-14, -0x1.47b7b398ff68bp-14, -0x1.35ffb8fb0dc8ep-14, -0x1.2476245e832dp-14, -0x1.131b18f6a17b7p-14, -0x1.01eeb54dd9131p-14, -0x1.e1e226d3c9682p-15, -0x1.c04491db29d41p-15, -0x1.9f04ce74bf4ebp-15, -0x1.7e22f724237d6p-15, -0x1.5d9f1e6c55492p-15, -0x1.3d794f0fc47e9p-15, -0x1.1db18c4cbe689p-15, -0x1.fc8fa4366e59ep-16, -0x1.be782acb6134p-16, -0x1.811c8886f09dep-16, -0x1.447c8c61607ap-16, -0x1.0897f88a69896p-16, -0x1.9add05a6fd864p-17, -0x1.25ffaa32938fbp-17, -0x1.652e36a62f596p-18, -0x1.0289fd2f92637p-19, 0x1.7ef8c9a1e60e4p-20, 0x1.3ddd64a8a5fdcp-18, 0x1.0c8d6456683c6p-17, 0x1.78bc5ae5a8028p-17, 0x1.e37cd460dc348p-17, 0x1.2668109875fd9p-16, 0x1.5a5bd1907bdc2p-16, 0x1.8d9a665b263dbp-16, 0x1.c0249049e0b2ap-16, 0x1.f1fb186d49256p-16, 0x1.118f67a40ff68p-15, 0x1.29c84643d79dap-15, 0x1.41a8975bd2af7p-15, 0x1.5930cd7e58903p-15, 0x1.70615e67d43c2p-15, 0x1.873ac2dd46257p-15, 0x1.9dbd768a62fep-15, 0x1.b3e9f7e24a278p-15, 0x1.c9c0c80091e31p-15, 0x1.df426a8997cb7p-15, 0x1.f46f658e33cd2p-15, 0x1.04a420b728539p-14, 0x1.0ee6c45e2912dp-14, 0x1.18ffe41136471p-14, 0x1.22efc723b28b9p-14, 0x1.2cb6b5da360eep-14, 0x1.3654f95e24a7p-14, 0x1.3fcadbb125a2cp-14, 0x1.4918a7a127c0fp-14, 0x1.523ea8bce1472p-14, 0x1.5b3d2b48328c8p-14, 0x1.64147c3137706p-14, 0x1.6cc4e9054f16ap-14, 0x1.754ebfe6e09c9p-14, 0x1.7db24f833ec99p-14, 0x1.85efe708781dep-14, 0x1.8e07d61bb2d8fp-14, 0x1.95fa6cd052679p-14, 0x1.9dc7fb9e3c89fp-14, 0x1.a570d35947e4cp-14, 0x1.acf54528bcc3fp-14, 0x1.b455a27ef2264p-14, 0x1.bb923d10e8fb2p-14, 0x1.c2ab66cedcea3p-14, 0x1.c9a171dc918cap-14, 0x1.d074b089913d9p-14, 0x1.d725754a3ce1bp-14, 0x1.ddb412b0fa4f2p-14, 0x1.e420db67153e6p-14, 0x1.ea6c222657fb6p-14, 0x1.f09639b2d8539p-14, 0x1.f69f74d44f6cap-14, 0x1.fc882650e1195p-14, 0x1.0128507362604p-13, 0x1.03fc9ba363383p-13, 0x1.06c11e07558fep-13, 0x1.097600e23ea82p-13, 0x1.0c1b6d6880c34p-13, 0x1.0eb18cbd6924dp-13, 0x1.113887f0d8305p-13, 0x1.13b087fd19453p-13, 0x1.1619b5c485764p-13, 0x1.18743a0f43138p-13, 0x1.1ac03d896a15ap-13, 0x1.1cfde8c0e8965p-13, 0x1.1f2d6423a73b6p-13, 0x1.214ed7fd90cfdp-13, 0x1.23626c76e7529p-13, 0x1.256849927b4c9p-13, 0x1.2760972be6c0bp-13, 0x1.294b7cf626af5p-13, 0x1.2b29227a03f5fp-13, 0x1.2cf9af147c2f6p-13, 0x1.2ebd49f55c1dcp-13, 0x1.30741a1df99acp-13, 0x1.321e465fe820ep-13, 0x1.33bbf55b989cdp-13, 0x1.354d4d7f2bafdp-13, 0x1.36d2750551748p-13, 0x1.384b91f42eabcp-13, 0x1.39b8ca1c6088cp-13, 0x1.3b1a4317d0c09p-13, 0x1.3c702248e82cfp-13, 0x1.3dba8cd97cfabp-13, 0x1.3ef9a7ba16697p-13, 0x1.402d97a112d26p-13, 0x1.41568109ccc84p-13, 0x1.42748833cf873p-13, 0x1.4387d12242567p-13, 0x1.44907f9b2e155p-13, 0x1.458eb726d5b2ap-13, 0x1.46829b0f0cd6bp-13, 0x1.476c4e5edc03ep-13, 0x1.484bf3e1c2893p-13, 0x1.4921ae2349859p-13, 0x1.49ed9f6e926a8p-13, 0x1.4aafe9cdd9c88p-13, 0x1.4b68af0a21bdcp-13, 0x1.4c1810aac0787p-13, 0x1.4cbe2ff51d8fap-13, 0x1.4d5b2dec54565p-13, 0x1.4def2b50df308p-13, 0x1.4e7a48a066effp-13, 0x1.4efca61572a9dp-13, 0x1.4f7663a740152p-13, 0x1.4fe7a10992009p-13, 0x1.50507dac88b0ep-13, 0x1.50b118bc7dd94p-13, 0x1.51099121c8429p-13, 0x1.515a0580c94dcp-13, 0x1.51a29439da09dp-13, 0x1.51e35b692812ep-13, 0x1.521c78e6a38e7p-13, 0x1.524e0a4615b05p-13, 0x1.52782cd71083cp-13, 0x1.529afda50656bp-13, 0x1.52b69977389dp-13, 0x1.52cb1cd0dcdddp-13, 0x1.52d8a3f118335p-13, 0x1.52df4ad328b8fp-13, 0x1.52df2d2e7a437p-13, 0x1.52d86676c419bp-13, 0x1.52cb11dc1a11fp-13, 0x1.52b74a4b2d6cp-13, 0x1.529d2a6d5d079p-13, 0x1.527ccca8e8bbdp-13, 0x1.52564b213317bp-13, 0x1.5229bfb6d8cd5p-13, 0x1.51f74407e6bdp-13, 0x1.51bef1701567ep-13, 0x1.5180e10907161p-13, 0x1.513d2baa92996p-13, 0x1.50f3e9eaee892p-13, 0x1.50a5341eebce3p-13, 0x1.5051225a4881p-13, 0x1.4ff7cc6ffaabbp-13, 0x1.4f9949f26ad64p-13, 0x1.4f35b233ceff7p-13, 0x1.4ecd1c466529p-13, 0x1.4e5f9efccab62p-13, 0x1.4ded50ea472dfp-13, 0x1.4d76486327349p-13, 0x1.4cfa9b7d0bcebp-13, 0x1.4c7a600f3e25bp-13, 0x1.4bf5abb30fe83p-13, 0x1.4b6c93c42358fp-13, 0x1.4adf2d60cd7c6p-13, 0x1.4a4d8d6a792cep-13, 0x1.49b7c885f1dd7p-13, 0x1.491df31bcc154p-13, 0x1.48802158c14f6p-13, 0x1.47de672e1b2a5p-13, 0x1.4738d85208f97p-13, 0x1.468f883ffd71dp-13, 0x1.45e28a391c8d8p-13, 0x1.4531f14492039p-13, 0x1.447dd03000f8ap-13, 0x1.43c6398fe62c8p-13, 0x1.430b3fc004106p-13, 0x1.424cf4e3bf8ccp-13, 0x1.418b6ae684e34p-13, 0x1.40c6b37c3bdfcp-13, 0x1.3ffee021aa063p-13, 0x1.3f34021cd3d98p-13, 0x1.3e662a7d72da5p-13, 0x1.3d956a1d5fcffp-13, 0x1.3cc1d1a0eea7cp-13, 0x1.3beb717761c04p-13, 0x1.3b1259db56e58p-13, 0x1.3a369ad32dfffp-13, 0x1.39584431752a7p-13, 0x1.3877659556959p-13, 0x1.37940e6b01e9dp-13, 0x1.36ae4dec13dd3p-13, 0x1.35c63320032f6p-13, 0x1.34dbccdc905abp-13, 0x1.33ef29c6345dbp-13, 0x1.330058508769ap-13, 0x1.320f66bea95ecp-13, 0x1.311c6323b262bp-13, 0x1.30275b63198fbp-13, 0x1.2f305d312a0c1p-13, 0x1.2e377613636afp-13, 0x1.2d3cb360e78fbp-13, 0x1.2c402242e5dd2p-13, 0x1.2b41cfb5121aep-13, 0x1.2a41c885f3b8cp-13, 0x1.294019576c03bp-13, 0x1.283cce9f12ec3p-13, 0x1.2737f4a69db49p-13, 0x1.2631978c506eep-13, 0x1.2529c34364ab8p-13, 0x1.242083946ba6ap-13, 0x1.2315e41dc0acbp-13, 0x1.2209f053edfb9p-13, 0x1.20fcb38210bdbp-13, 0x1.1fee38ca3fb89p-13, 0x1.1ede8b25fa169p-13, 0x1.1dcdb56685fa4p-13, 0x1.1cbbc2355c94cp-13, 0x1.1ba8bc148a85fp-13, 0x1.1a94ad5f1771fp-13, 0x1.197fa04969151p-13, 0x1.18699ee1aad97p-13, 0x1.1752b3102d507p-13, 0x1.163ae697ca2e1p-13, 0x1.1522431657933p-13, 0x1.1408d204e9cebp-13, 0x1.12ee9cb848753p-13, 0x1.11d3ac61550fbp-13, 0x1.10b80a0d5df93p-13, 0x1.0f9bbea68b5bbp-13, 0x1.0e7ed2f435a81p-13, 0x1.0d614f9b3ec1fp-13, 0x1.0c433d1e86311p-13, 0x1.0b24a3df3049ap-13, 0x1.0a058c1d0f8e4p-13, 0x1.08e5fdf6fddc6p-13, 0x1.07c6016b34b0ep-13, 0x1.06a59e57b1239p-13, 0x1.0584dc7a8df93p-13, 0x1.0463c3724c98ep-13, 0x1.03425abe47706p-13, 0x1.0220a9beff6a4p-13, 0x1.00feb7b66c18p-13, 0x1.ffb91790cdc2fp-14, 0x1.fd7459f5e9c18p-14, 0x1.fb2f446d28b11p-14, 0x1.f8e9e48d46c55p-14, 0x1.f6a447b36e9d9p-14, 0x1.f45e7b03baf8fp-14, 0x1.f2188b6a0ee2cp-14, 0x1.efd2859a93cbep-14, 0x1.ed8c76125f46cp-14, 0x1.eb46691842318p-14, 0x1.e9006abd32fefp-14, 0x1.e6ba86dd2d178p-14, 0x1.e474c91f90532p-14, 0x1.e22f3cf7ec895p-14, 0x1.dfe9eda691aebp-14, 0x1.dda4e6391ff26p-14, 0x1.db60318b3a15dp-14, 0x1.d91bda47158a2p-14, 0x1.d6d7eae603592p-14, 0x1.d4946db11b47fp-14, 0x1.d2516cc1c85abp-14, 0x1.d00ef20251bcep-14, 0x1.cdcd072e961b2p-14, 0x1.cb8bb5d477b93p-14, 0x1.c94b07546ac26p-14, 0x1.c70b04e22d08cp-14, 0x1.c4cbb78523b1cp-14, 0x1.c28d2818ff24bp-14, 0x1.c04f5f4e508fap-14, 0x1.be1265aaf4307p-14, 0x1.bbd6438ac3ac8p-14, 0x1.b99b012000596p-14, 0x1.b760a673ea8f7p-14, 0x1.b5273b6736c16p-14, 0x1.b2eec7b29bccdp-14, 0x1.b0b752e752e13p-14, 0x1.ae80e46f95999p-14, 0x1.ac4b838f33817p-14, 0x1.aa173763ea5a6p-14, 0x1.a7e406e6130bfp-14, 0x1.a5b1f8e8f4818p-14, 0x1.a381141b51fa6p-14, 0x1.a1515f07f5c05p-14, 0x1.9f22e01602095p-14, 0x1.9cf59d89850c5p-14, 0x1.9ac99d83f57b6p-14, 0x1.989ee6048cf2cp-14, 0x1.96757ce8ddabfp-14, 0x1.944d67ed255b1p-14, 0x1.9226acacdf766p-14, 0x1.900150a3189dep-14, 0x1.8ddd592af1081p-14, 0x1.8bbacb8001edep-14, 0x1.8999acbecc263p-14, 0x1.877a01e5304dfp-14, 0x1.855bcfd2cd899p-14, 0x1.833f1b496b158p-14, 0x1.8123e8ed6aaa3p-14, 0x1.7f0a3d4625429p-14, 0x1.7cf21cbe6486ap-14, 0x1.7adb8ba4abc0ep-14, 0x1.78c68e2bbe6f6p-14, 0x1.76b3286ae2611p-14, 0x1.74a15e5e6026ap-14, 0x1.729133e7d47f9p-14, 0x1.7082acce8198fp-14, 0x1.6e75ccbfdd8b8p-14, 0x1.6c6a974fbd3cp-14, 0x1.6a610ff8d77fcp-14, 0x1.68593a1d0fdf8p-14, 0x1.66531905c71d6p-14, 0x1.644eafe455b4bp-14, 0x1.624c01d242f95p-14, 0x1.604b11d1ba8c4p-14, 0x1.5e4be2cdcd355p-14, 0x1.5c4e779adc9d6p-14, 0x1.5a52d2f6d7a73p-14, 0x1.5858f789a009bp-14, 0x1.5660e7e55683p-14, 0x1.546aa686bf8c1p-14, 0x1.527635d57a783p-14, 0x1.5083982460c1p-14, 0x1.4e92cfb1d23ap-14, 0x1.4ca3dea80ef47p-14, 0x1.4ab6c71d73c72p-14, 0x1.48cb8b14caa62p-14, 0x1.46e22c7da9366p-14, 0x1.44faad34a4af2p-14, 0x1.43150f03afb51p-14, 0x1.413153a25938ep-14, 0x1.3f4f7cb613716p-14, 0x1.3d6f8bd281dc4p-14, 0x1.3b918279b9313p-14, 0x1.39b5621c90a0fp-14, 0x1.37db2c1ae7304p-14, 0x1.3602e1c3d90a3p-14, 0x1.342c845619ef2p-14, 0x1.3258150014bafp-14, 0x1.308594e060211p-14, 0x1.2eb50505cd437p-14, 0x1.2ce6666fd39b2p-14, 0x1.2b19ba0eb5898p-14, 0x1.294f00c3c470dp-14, 0x1.27863b6199a0cp-14, 0x1.25bf6aac6c449p-14, 0x1.23fa8f5a387a2p-14, 0x1.2237aa13033c3p-14, 0x1.2076bb71073d4p-14, 0x1.1eb7c4011600fp-14, 0x1.1cfac442a5e8ap-14, 0x1.1b3fbca819e64p-14, 0x1.1986ad970bb49p-14, 0x1.17cf97686484cp-14, 0x1.161a7a68b9c4fp-14, 0x1.146756d86710fp-14, 0x1.12b62cebc7d7bp-14, 0x1.1106fccb72cd9p-14, 0x1.0f59c6946e58dp-14, 0x1.0dae8a5865b59p-14, 0x1.0c05481dd8852p-14, 0x1.0a5dffe04ab8bp-14, 0x1.08b8b1907367fp-14, 0x1.07155d147d7cfp-14, 0x1.057402482e6f4p-14, 0x1.03d4a0fd1771ep-14, 0x1.023738fac2aa9p-14, 0x1.009bc9fed84ddp-14, 0x1.fe04a77ad266bp-15, 0x1.fad5abc20fc0bp-15, 0x1.f7aaa015e6161p-15, 0x1.f48383a69ae5ap-15, 0x1.f160559261391p-15, 0x1.ee4114e61eb8cp-15, 0x1.eb25c09d2b2dbp-15, 0x1.e80e57a238e4ap-15, 0x1.e4fad8cf29158p-15, 0x1.e1eb42edb6aa5p-15, 0x1.dedf94b79bb77p-15, 0x1.dbd7ccd6e3fd3p-15, 0x1.d8d3e9e657309p-15, 0x1.d5d3ea71a7d1fp-15, 0x1.d2d7ccf5cb721p-15, 0x1.cfdf8fe14264cp-15, 0x1.cceb31946e38fp-15, 0x1.c9fab061c9ecfp-15, 0x1.c70e0a8e4a212p-15, 0x1.c4253e517fae4p-15, 0x1.c14049d61225p-15, 0x1.be5f2b39c988p-15, 0x1.bb81e08e195e7p-15, 0x1.b8a867d8169d5p-15, 0x1.b5d2bf10ebaa9p-15, 0x1.b300e4261cd1ep-15, 0x1.b032d4f9b3803p-15, 0x1.ad688f6286af4p-15, 0x1.aaa2112c72613p-15, 0x1.a7df5818ab36cp-15, 0x1.a52061ddf4d6ep-15, 0x1.a2652c28c3cc7p-15, 0x1.9fadb49babc5fp-15, 0x1.9cf9f8cf47cdcp-15, 0x1.9a49f652faaf6p-15, 0x1.979daaac7fffp-15, 0x1.94f51358c899p-15, 0x1.92502dcba990fp-15, 0x1.8faef7707f0b6p-15, 0x1.8d116daa0722p-15, 0x1.8a778dd2efd74p-15, 0x1.87e1553dab224p-15, 0x1.854ec1350f9eep-15, 0x1.82bfcefc233afp-15, 0x1.80347bcea4d7fp-15, 0x1.7dacc4e0e72e9p-15, 0x1.7b28a7606bbb8p-15, 0x1.78a820738909p-15, 0x1.762b2d3a4504ap-15, 0x1.73b1cacdd2929p-15, 0x1.713bf64150258p-15, 0x1.6ec9aca19777p-15, 0x1.6c5aeaf5a82cdp-15, 0x1.69efae3e9ae09p-15, 0x1.6787f377fe13ep-15, 0x1.6523b797e0a33p-15, 0x1.62c2f78f1243cp-15, 0x1.6065b04943944p-15, 0x1.5e0bdead1429fp-15, 0x1.5bb57f9c7cd9ap-15, 0x1.59628ff4b50e8p-15, 0x1.57130c8e6fad5p-15, 0x1.54c6f23e11d84p-15, 0x1.527e3dd3cc835p-15, 0x1.5038ec1bb7d63p-15, 0x1.4df6f9de14627p-15, 0x1.4bb863df427ep-15, }}, 
      {{0x1.c980ea7e7ac5fp-1, 0x1.c9658812314f3p-1, 0x1.c93b3264fffap-1, 0x1.c900f18482cd7p-1, 0x1.c8b2eb78c6dffp-1, 0x1.c84be9e2b04fcp-1, 0x1.c7c6c01e57337p-1, 0x1.c71f3e19d41e4p-1, 0x1.c652abe8e693ep-1, 0x1.c55fe8a6d4314p-1, 0x1.c4474cdbfbd77p-1, 0x1.c30a6bbc4664ep-1, 0x1.c1abc6f711e5ep-1, 0x1.c02e81d8f717ep-1, 0x1.be961b2d7b2fap-1, 0x1.bce6319e3a433p-1, 0x1.bb2253e7a2d0dp-1, 0x1.b94ddcc367178p-1, 0x1.b76bd9925c46p-1, 0x1.b57efa6311427p-1, 0x1.b38989c9c4c04p-1, 0x1.b18d6aff9ad75p-1, 0x1.af8c1cd8d7426p-1, 0x1.ad86c0490901ap-1, 0x1.ab7e215911f1bp-1, 0x1.a972c1a1059b7p-1, 0x1.a764e383fed5fp-1, 0x1.a55495949a876p-1, 0x1.a341bdacc8fedp-1, 0x1.a12c2362db1c4p-1, 0x1.9f1379a00d133p-1, 0x1.9cf76732ab53p-1, 0x1.9ad78e4794773p-1, 0x1.98b392c4d5d23p-1, 0x1.968b1f89dd5c5p-1, 0x1.945deaa1ba738p-1, 0x1.922bb8798c42ap-1, 0x1.8ff45e31082e1p-1, 0x1.8db7c31d2c5b7p-1, 0x1.8b75e196368ddp-1, 0x1.892ec729f1a07p-1, 0x1.86e2944abea25p-1, 0x1.84917b92760a1p-1, 0x1.823bc0aead0b9p-1, 0x1.7fe1b70a05194p-1, 0x1.7d83c0443d7f7p-1, 0x1.7b224a88b022ap-1, 0x1.78bdced0e477ap-1, 0x1.7656cf1ef297ep-1, 0x1.73edd4b99f3cfp-1, 0x1.71836e72582c9p-1, 0x1.6f182efbb6767p-1, 0x1.6cacab55b5683p-1, 0x1.6a4179538ee91p-1, 0x1.67d72e3e0f9dcp-1, 0x1.656e5d943cf0fp-1, 0x1.630797eb54a9ap-1, 0x1.60a369ee7502p-1, 0x1.5e425b7dadb0ap-1, 0x1.5be4eeebba238p-1, 0x1.598ba05949403p-1, 0x1.5736e52c66f09p-1, 0x1.54e72ba26969dp-1, 0x1.529cda7a988ecp-1, 0x1.505850b7add81p-1, 0x1.4e19e57642601p-1, 0x1.4be1e7d639a7ap-1, 0x1.49b09ef53ee96p-1, 0x1.478649f87aa87p-1, 0x1.45632023b31e5p-1, 0x1.434750fc24c9bp-1, 0x1.4133047574d23p-1, 0x1.3f265b273df6ap-1, 0x1.3d216e89d3c8p-1, 0x1.3b245138f0cd1p-1, 0x1.392f0f3b263e8p-1, 0x1.3741ae4cfce83p-1, 0x1.355c2e2ed26cep-1, 0x1.337e88f498911p-1, 0x1.31a8b356b37ecp-1, 0x1.2fda9d035133ep-1, 0x1.2e1430ef9edaap-1, 0x1.2c5555a861904p-1, 0x1.2a9deda181c9ep-1, 0x1.28edd7842d351p-1, 0x1.2744ee7b4253cp-1, 0x1.25a30a7dc3dc6p-1, 0x1.2408009724957p-1, 0x1.2273a32d3f7bp-1, 0x1.20e5c243dfcdap-1, 0x1.1f5e2bbdc461bp-1, 0x1.1ddcab9b0b7bap-1, 0x1.1c610c350578ap-1, 0x1.1aeb167764cdep-1, 0x1.197a9216d310fp-1, 0x1.180f45c4eeff5p-1, 0x1.16a8f761bba6dp-1, 0x1.15476c2a8e521p-1, 0x1.13ea68e689f4cp-1, 0x1.1291b210b42f5p-1, 0x1.113d0bffb85dfp-1, 0x1.0fec3b0b6abb2p-1, 0x1.0e9f03b01a18cp-1, 0x1.0d552aafc6669p-1, 0x1.0c0e753150071p-1, 0x1.0acaa8ddacb64p-1, 0x1.09898bfb3d0c2p-1, 0x1.084ae5874d2b3p-1, 0x1.070e7d4dd972ep-1, 0x1.05d41bffa26d7p-1, 0x1.049b8b46a6677p-1, 0x1.036495d90d39dp-1, 0x1.022f078a99d81p-1, 0x1.00faad5cad12ep-1, 0x1.ff8eab19d72d5p-2, 0x1.fd299f4528afap-2, 0x1.fac5d8f5293dap-2, 0x1.f862fca4d06e2p-2, 0x1.f600b1a3a09ddp-2, 0x1.f39ea226df194p-2, 0x1.f13c7b58ad8dbp-2, 0x1.eed9ed65165a9p-2, 0x1.ec76ab852a1a7p-2, 0x1.ea126c083a448p-2, 0x1.e7ace85b4d7c9p-2, 0x1.e545dd0edc14fp-2, 0x1.e2dd09daea4f8p-2, 0x1.e07231a18f518p-2, 0x1.de051a7000faep-2, 0x1.db958d7e31d28p-2, 0x1.d923572d10dd5p-2, 0x1.d6ae47037f9a5p-2, 0x1.d4362faa0bc6fp-2, 0x1.d1bae6e57e825p-2, 0x1.cf3c45904fc46p-2, 0x1.ccba279308b67p-2, 0x1.ca346bdbad1dbp-2, 0x1.c7aaf45430ae8p-2, 0x1.c51da5d80ba22p-2, 0x1.c28c6828fc314p-2, 0x1.bff725e2fe2f8p-2, 0x1.bd5dcc6f8c932p-2, 0x1.bac04bf834621p-2, 0x1.b81e97588636ep-2, 0x1.b578a40f75c13p-2, 0x1.b2ce6a30300ebp-2, 0x1.b01fe45276aebp-2, 0x1.ad6d0f82887c2p-2, 0x1.aab5eb30a3ee5p-2, 0x1.a7fa79203254fp-2, 0x1.a53abd569aad1p-2, 0x1.a276be09d7c53p-2, 0x1.9fae838ec8e3cp-2, 0x1.9ce2184753cf5p-2, 0x1.9a1188905deffp-2, 0x1.973ce2af9f9d3p-2, 0x1.946436c164134p-2, 0x1.918796a6375eep-2, 0x1.8ea715f08a9cfp-2, 0x1.8bc2c9d2598b5p-2, 0x1.88dac90ad7947p-2, 0x1.85ef2bd4292aap-2, 0x1.83000bd12f9cbp-2, 0x1.800d83fb76c7ep-2, 0x1.7d17b0913b6a9p-2, 0x1.7a1eaf039de31p-2, 0x1.77229de4fe458p-2, 0x1.74239cd78be6ap-2, 0x1.7121cc7c07ebap-2, 0x1.6e1d4e60c6bd8p-2, 0x1.6b1644f0eb8b3p-2, 0x1.680cd363ecccep-2, 0x1.65011dad581ccp-2, 0x1.61f3486ce6fcp-2, 0x1.5ee378dedbb9p-2, 0x1.5bd1d4ccb2558p-2, 0x1.58be827e20273p-2, 0x1.55a9a8aa6cbf8p-2, 0x1.52936e6a1f44ep-2, 0x1.4f7bfb290513bp-2, 0x1.4c637698952c1p-2, 0x1.494a08a2ad574p-2, 0x1.462fd95cb00fcp-2, 0x1.431510fafde37p-2, 0x1.3ff9d7c4cf273p-2, 0x1.3cde5608709f4p-2, 0x1.39c2b40fdc837p-2, 0x1.36a71a15b7595p-2, 0x1.338bb03aacaefp-2, 0x1.30709e7b2d78cp-2, 0x1.2d560ca58f30fp-2, 0x1.2a3c22508bb8cp-2, 0x1.272306d2211adp-2, 0x1.240ae136d04c4p-2, 0x1.20f3d8393e019p-2, 0x1.1dde123a2a98dp-2, 0x1.1ac9b538d1ce4p-2, 0x1.17b6e6cb9a7cfp-2, 0x1.14a5cc192cd89p-2, 0x1.119689d1d9237p-2, 0x1.0e8944295e44ap-2, 0x1.0b7e1ed1014b6p-2, 0x1.08753cf200ddp-2, 0x1.056ec128567c2p-2, 0x1.026acd7dd1877p-2, 0x1.fed306cafc9dfp-3, 0x1.f8d6076eb9885p-3, 0x1.f2dedd58d2d01p-3, 0x1.ecedc7b5da112p-3, 0x1.e703046634acdp-3, 0x1.e11ecff7e5745p-3, 0x1.db4165a0e31p-3, 0x1.d56aff39fc051p-3, 0x1.cf9bd53a3b26dp-3, 0x1.c9d41eb2d29d2p-3, 0x1.c414114b8675cp-3, 0x1.be5be13f8c323p-3, 0x1.b8abc15ae9003p-3, 0x1.b303e2f83c22ep-3, 0x1.ad6475ff01ddbp-3, 0x1.a7cda8e237211p-3, 0x1.a23fa89f7071ep-3, 0x1.9cbaa0be4b6ap-3, 0x1.973ebb504c6aap-3, 0x1.91cc20f10a973p-3, 0x1.8c62f8c6c55dbp-3, 0x1.8703688342205p-3, 0x1.81ad946509bf8p-3, 0x1.7c619f38e81cp-3, 0x1.771faa5bbf29dp-3, 0x1.71e7d5bca304bp-3, 0x1.6cba3fdf34783p-3, 0x1.679705de41e67p-3, 0x1.627e436ea8651p-3, 0x1.5d7012e26a821p-3, 0x1.586c8d2c049afp-3, 0x1.5373c9e1f2764p-3, 0x1.4e85df426a855p-3, 0x1.49a2e2374601ap-3, 0x1.44cae65a15057p-3, 0x1.3ffdfdf86062p-3, 0x1.3b3c3a180ce23p-3, 0x1.3685aa7bea887p-3, 0x1.31da5da85d4ecp-3, 0x1.2d3a60e82ad85p-3, 0x1.28a5c051652a1p-3, 0x1.241c86ca6b60ep-3, 0x1.1f9ebe0f0a11cp-3, 0x1.1b2c6eb5a7fb4p-3, 0x1.16c5a03495045p-3, 0x1.126a58e75afdcp-3, 0x1.0e1a9e1428c74p-3, 0x1.09d673f14c67ep-3, 0x1.059dddaaaee9dp-3, 0x1.0170dd6768d63p-3, 0x1.fa9ee89ea659ep-4, 0x1.f27345214cde7p-4, 0x1.ea5ececb33537p-4, 0x1.e261823416588p-4, 0x1.da7b5a2252822p-4, 0x1.d2ac4f963081ap-4, 0x1.caf459d538563p-4, 0x1.c3536e757f373p-4, 0x1.bbc98168f0372p-4, 0x1.b456850888962p-4, 0x1.acfa6a1f89869p-4, 0x1.a5b51ff6a4aap-4, 0x1.9e86945f0c691p-4, 0x1.976eb3bd7df56p-4, 0x1.906d691536b6fp-4, 0x1.89829e12cea15p-4, 0x1.82ae3b17030e1p-4, 0x1.7bf0274166acbp-4, 0x1.7548487af795ep-4, 0x1.6eb683809bdd1p-4, 0x1.683abbed7f855p-4, 0x1.61d4d44557b9p-4, 0x1.5b84adfe8656bp-4, 0x1.554a298c1d2p-4, 0x1.4f252667bf4dcp-4, 0x1.4915831b650fap-4, 0x1.431b1d4af884cp-4, 0x1.3d35d1bdd390dp-4, 0x1.37657c68126a4p-4, 0x1.31a9f873cd00cp-4, 0x1.2c03204a1d5ecp-4, 0x1.2670cd9c0b7acp-4, 0x1.20f2d96b4deefp-4, 0x1.1b891c12e3485p-4, 0x1.16336d4f8529cp-4, 0x1.10f1a447f5c89p-4, 0x1.0bc39795235ddp-4, 0x1.06a91d4a2489dp-4, 0x1.01a20afc0c14p-4, 0x1.f95c6b932f18dp-5, 0x1.ef9ae4c55ef6dp-5, 0x1.e5ff2a1f8b3bcp-5, 0x1.dc88e37210685p-5, 0x1.d337b7dad46f5p-5, 0x1.ca0b4dd31229bp-5, 0x1.c1034b3cca5f1p-5, 0x1.b81f556feaea9p-5, 0x1.af5f114725a75p-5, 0x1.a6c2232c71836p-5, 0x1.9e482f2548b94p-5, 0x1.95f0d8de8a262p-5, 0x1.8dbbc3b81b4bp-5, 0x1.85a892d03366ap-5, 0x1.7db6e90e5ae95p-5, 0x1.75e6692e23224p-5, 0x1.6e36b5c990857p-5, 0x1.66a7716337891p-5, 0x1.5f383e70164fap-5, 0x1.57e8bf611d656p-5, 0x1.50b896ac7a90ep-5, 0x1.49a766d68f8cbp-5, 0x1.42b4d27aad4aep-5, 0x1.3be07c5386bd3p-5, 0x1.352a07435ce56p-5, 0x1.2e91165be8bfbp-5, 0x1.28154ce603bc1p-5, 0x1.21b64e6909d89p-5, 0x1.1b73beb208042p-5, 0x1.154d41da96c2fp-5, 0x1.0f427c4f8a9b5p-5, 0x1.095312d757ce1p-5, 0x1.037eaa9843bf3p-5, 0x1.fb89d23caca9bp-6, 0x1.f04ae8c21f0d8p-6, 0x1.e53fe591d3d0fp-6, 0x1.da6816693b0a7p-6, 0x1.cfc2c9fc5f6e1p-6, 0x1.c54f4fffa2c31p-6, 0x1.bb0cf930f4a7p-6, 0x1.b0fb1760c23dap-6, 0x1.a718fd7a6fa8bp-6, 0x1.9d65ff8c63b9bp-6, 0x1.93e172cfcdf8bp-6, 0x1.8a8aadaff3a3p-6, 0x1.816107d12c711p-6, 0x1.7863da17805d4p-6, 0x1.6f927eacf044ap-6, 0x1.66ec5107630dbp-6, 0x1.5e70adee3ad8cp-6, 0x1.561ef37fa1013p-6, 0x1.4df6813581e6dp-6, 0x1.45f6b7ea22adep-6, 0x1.3e1ef9dc8f971p-6, 0x1.366eaab49c915p-6, 0x1.2ee52f86b26cep-6, 0x1.2781eed7500efp-6, 0x1.2044509e3fa59p-6, 0x1.192bbe499227fp-6, 0x1.1237a2c04c06bp-6, 0x1.0b676a64e9bf5p-6, 0x1.04ba83178bc66p-6, 0x1.fc60b86ff070fp-7, 0x1.ef90cd4ea988ep-7, 0x1.e30429937f06bp-7, 0x1.d6b9b50f211c3p-7, 0x1.cab05a9cfedbp-7, 0x1.bee708251adc9p-7, 0x1.b35cae9d6c823p-7, 0x1.a810420af96efp-7, 0x1.9d00b9828844p-7, 0x1.922d0f28e596dp-7, 0x1.87944032fbde1p-7, 0x1.7d354ce5600a1p-7, 0x1.730f3893bf269p-7, 0x1.6921099fdcce7p-7, 0x1.5f69c97857eaep-7, 0x1.55e8849713f84p-7, 0x1.4c9c4a7f672fp-7, 0x1.43842dbc15295p-7, 0x1.3a9f43dcd44dbp-7, 0x1.31eca573dcefp-7, 0x1.296b6e12f12cep-7, 0x1.211abc486443fp-7, 0x1.18f9b19bd64b1p-7, 0x1.1107728aa8b94p-7, 0x1.094326845cafdp-7, 0x1.01abf7e6a9c52p-7, 0x1.f48227f2ef143p-8, 0x1.e60355d5400fbp-8, 0x1.d7d9df930d81ap-8, 0x1.ca0431051b8d7p-8, 0x1.bc80bbb4ae543p-8, 0x1.af4df6d1f88f7p-8, 0x1.a26a5f29f6adcp-8, 0x1.95d4771c5d135p-8, 0x1.898ac690f09bfp-8, 0x1.7d8bdaecf0004p-8, 0x1.71d6470813ad8p-8, 0x1.6668a3217c72p-8, 0x1.5b418cd43d649p-8, 0x1.505fa70bf3df2p-8, 0x1.45c199f90be02p-8, 0x1.3b661304e2edp-8, 0x1.314bc4c5dc99fp-8, 0x1.277166f31c6efp-8, 0x1.1dd5b658761ffp-8, 0x1.147774c9d1e04p-8, 0x1.0b556916d90d6p-8, 0x1.026e5efe64ec3p-8, 0x1.f3824e436b572p-9, 0x1.e2992def86979p-9, 0x1.d21f1180c92b8p-9, 0x1.c211b6eef2e5p-9, 0x1.b26ee58ff08a2p-9, 0x1.a3346dfdb02a2p-9, 0x1.946029fc5d97bp-9, 0x1.85effc601076ap-9, 0x1.77e1d0f2bb96p-9, 0x1.6a339c59ea312p-9, 0x1.5ce35bfc95648p-9, 0x1.4fef15e8eb909p-9, 0x1.4354d8b9ee13ap-9, 0x1.3712bb7d6e273p-9, 0x1.2b26dd99b4bc1p-9, 0x1.1f8f66b35ac07p-9, 0x1.144a869350af5p-9, 0x1.0956750ca322ap-9, 0x1.fd62e3c5340ecp-10, 0x1.e8b3895d75193p-10, 0x1.d49b798e085bp-10, 0x1.c11762483ad1dp-10, 0x1.ae24008fa4325p-10, 0x1.9bbe2046c8656p-10, 0x1.89e29bfc6789p-10, 0x1.788e5cb8f318cp-10, 0x1.67be59cc3a41ep-10, 0x1.576f989b3ebeep-10, 0x1.479f2c6e93105p-10, 0x1.384a3640d3b9fp-10, 0x1.296de48d6e30ep-10, 0x1.1b07731feb83cp-10, 0x1.0d142ae34be72p-10, 0x1.ff22c364243dbp-11, 0x1.e4f8f44c2a84ap-11, 0x1.cba5c6d2df9cbp-11, 0x1.b324320e1b8cdp-11, 0x1.9b6f45786b986p-11, 0x1.848228941f411p-11, 0x1.6e581a8f56701p-11, 0x1.58ec71e91a761p-11, 0x1.443a9c1695383p-11, 0x1.303e1d29ddaefp-11, 0x1.1cf28f7960ac8p-11, 0x1.0a53a347aef74p-11, 0x1.f0ba3cd8c8d54p-12, 0x1.ce15b7fd108acp-12, 0x1.acb197fc67d6p-12, 0x1.8c85e6022c51p-12, 0x1.6d8ad3bc68bb4p-12, 0x1.4fb8bab67062ap-12, 0x1.33081bb5a9e45p-12, 0x1.17719e168e9f9p-12, 0x1.f9dc1e5a9f81bp-13, 0x1.c6ecc34e19884p-13, 0x1.960759d8c6c95p-13, 0x1.671e590f4de4bp-13, 0x1.3a247f15f2f4cp-13, 0x1.0f0ccff1dae9cp-13, 0x1.cb9528bb889a6p-14, 0x1.7ca2b1464f14ap-14, 0x1.3129d6e9a78a4p-14, 0x1.d225733c85f92p-15, 0x1.488bf36d408a2p-15, 0x1.8ab2d6a697f93p-16, 0x1.21843f4b6e40ap-17, -0x1.7447b43b1b961p-18, -0x1.3f1f1f828a3fbp-16, -0x1.0adcb89dd6169p-15, -0x1.709986be046fdp-15, -0x1.d0ee2cba0706bp-15, -0x1.1600ff0907106p-14, -0x1.40fdb99e647bap-14, -0x1.698016bdec58bp-14, -0x1.8f9a7d5fe535bp-14, -0x1.b35eecbbaabe4p-14, -0x1.d4defe23aede9p-14, -0x1.f42be6e16cd96p-14, -0x1.08ab3d02bc3cfp-13, -0x1.1637951b144adp-13, -0x1.22c305ba0fecp-13, -0x1.2e556a6b2b9cp-13, -0x1.38f671226ae06p-13, -0x1.42ad9b1613896p-13, -0x1.4b823d91d74d3p-13, -0x1.537b82cc0434p-13, -0x1.5aa06ab300705p-13, -0x1.60f7cbbb3e02dp-13, -0x1.668853a6ab234p-13, -0x1.6b58884d0dbf1p-13, -0x1.6f6ec85cf0a6ap-13, -0x1.72d14c1d46ac3p-13, -0x1.7586262a42145p-13, -0x1.7793442f2acfdp-13, -0x1.78fe6f9e04759p-13, -0x1.79cd4e6458da6p-13, -0x1.7a05639cacc6fp-13, -0x1.79ac103c459fap-13, -0x1.78c693c0ca1eap-13, -0x1.775a0cd784c09p-13, -0x1.756b7a067e2b1p-13, -0x1.72ffba4df1693p-13, -0x1.701b8dc9f37f3p-13, -0x1.6cc396523834dp-13, -0x1.68fc58143ebb3p-13, -0x1.64ca3a2d94d67p-13, -0x1.60318741d9f65p-13, -0x1.5b366e0ff5d79p-13, -0x1.55dd020306121p-13, -0x1.50293bc226043p-13, -0x1.4a1ef9bc57f37p-13, -0x1.43c200b4884c5p-13, -0x1.3d15fc4852cf3p-13, -0x1.361e7f75678fp-13, -0x1.2edf051f2fe37p-13, -0x1.275af08d200e4p-13, -0x1.1f958debb9079p-13, -0x1.179212c8489c8p-13, -0x1.0f539e8b7a03ap-13, -0x1.06dd3af240e7bp-13, -0x1.fc63b9067a0bap-14, -0x1.eaa8c60644fefp-14, -0x1.d88f33ce5abe4p-14, -0x1.c61c7188b64ep-14, -0x1.b355c77c0f4d3p-14, -0x1.a04057e41dc98p-14, -0x1.8ce11fc4fb293p-14, -0x1.793cf7ba9bd1ap-14, -0x1.655894c6701c2p-14, -0x1.51388917b8ce1p-14, -0x1.3ce144d099aecp-14, -0x1.285716c7a1a09p-14, -0x1.139e2d443967cp-14, -0x1.fd752d78621a4p-15, -0x1.d360850b080b1p-15, -0x1.a906031d66fd3p-15, -0x1.7e6d0e16bda78p-15, -0x1.539cd243d6f9cp-15, -0x1.289c432ad88f7p-15, -0x1.fae439af11c0bp-16, -0x1.a449ca3fa7108p-16, -0x1.4d75d9c84b41cp-16, -0x1.ece945275126dp-17, -0x1.3ea3f3b7b968bp-17, -0x1.206548982ea76p-18, 0x1.e5484e3c4e25bp-21, 0x1.99b83fabee6a3p-18, 0x1.7b4f7c62f1586p-17, 0x1.14cd4eea05253p-16, 0x1.6bd51b54ddf09p-16, 0x1.c2b5d22e05d01p-16, 0x1.0cb33ad4df9d3p-15, 0x1.37ef2cb5896d6p-15, 0x1.630a90462fc21p-15, 0x1.8e015dd9f8385p-15, 0x1.b8cfb3965487fp-15, 0x1.e371d485436d7p-15, 0x1.06f213d6cf686p-14, 0x1.1c119b978dd6bp-14, 0x1.3115d7b0f2e15p-14, 0x1.45fd2eff720e6p-14, 0x1.5ac618a2fa246p-14, 0x1.6f6f1b97a048p-14, 0x1.83f6ce4d2c4ffp-14, 0x1.985bd6442bc4dp-14, 0x1.ac9ce7a9a1457p-14, 0x1.c0b8c4f8570e6p-14, 0x1.d4ae3e98e77adp-14, 0x1.e87c3286053acp-14, 0x1.fc218bf1d9807p-14, 0x1.07cea176a3ebfp-13, 0x1.11772e08712bbp-13, 0x1.1b09f4142b0f1p-13, 0x1.248681ef7ebabp-13, 0x1.2dec6bb7335fp-13, 0x1.373b4b2773cb6p-13, 0x1.4072bf74f7622p-13, 0x1.49926d267fb72p-13, 0x1.5299fdf05c18bp-13, 0x1.5b89208ebd8d8p-13, 0x1.645f88a33010ep-13, 0x1.6d1cee90c5a42p-13, 0x1.75c10f5a736ccp-13, 0x1.7e4bac8193c08p-13, 0x1.86bc8be516081p-13, 0x1.8f1377a19c6c4p-13, 0x1.97503df28666ap-13, 0x1.9f72b112f5eaep-13, 0x1.a77aa720535e2p-13, 0x1.af67f9fcee619p-13, 0x1.b73a873377af3p-13, 0x1.bef22fdb20b28p-13, 0x1.c68ed87c5f0f7p-13, 0x1.ce1068f6382bap-13, 0x1.d576cc644e5eep-13, 0x1.dcc1f105865d1p-13, 0x1.e3f1c823151b4p-13, 0x1.eb0645f82b554p-13, 0x1.f1ff619a6f56ep-13, 0x1.f8dd14e2827b4p-13, 0x1.ff9f5c55c839fp-13, 0x1.03231b87ec45p-12, 0x1.0668d3569eddap-12, 0x1.09a0d79b2804ap-12, 0x1.0ccb2b8562a9ep-12, 0x1.0fe7d366a405p-12, 0x1.12f6d4a81fb82p-12, 0x1.15f835c1332cfp-12, 0x1.18ebfe2e1ed52p-12, 0x1.1bd23666e04b3p-12, 0x1.1eaae7d64f1a9p-12, 0x1.21761cd181968p-12, 0x1.2433e08f354bp-12, 0x1.26e43f1fb587cp-12, 0x1.29874564a097cp-12, 0x1.2c1d010940b02p-12, 0x1.2ea5807ab6efap-12, 0x1.3120d2e099357p-12, 0x1.338f0815af7e9p-12, 0x1.35f030a0bfac4p-12, 0x1.38445dadb52a7p-12, 0x1.3a8ba106de34p-12, 0x1.3cc60d0e5a2dcp-12, 0x1.3ef3b4b7a9c89p-12, 0x1.4114ab818acc6p-12, 0x1.4329056fd623ep-12, 0x1.4530d70571b8ep-12, 0x1.472c353eced3cp-12, 0x1.491b358c0974ap-12, 0x1.4afdedcb97563p-12, 0x1.4cd47444ee629p-12, 0x1.4e9edfa349544p-12, 0x1.505d46f0a6e34p-12, 0x1.520fc190e9d2cp-12, 0x1.53b6673cf817ap-12, 0x1.55514ffe2a299p-12, 0x1.56e09429ca8a7p-12, 0x1.58644c5c94da4p-12, 0x1.59dc917690cb2p-12, 0x1.5b497c96cbc0fp-12, 0x1.5cab27175f017p-12, 0x1.5e01aa897a64cp-12, 0x1.5f4d20b19ab57p-12, 0x1.608da383ccac9p-12, 0x1.61c34d20266c6p-12, 0x1.62ee37cf2bcffp-12, 0x1.640e7dfe7c23dp-12, 0x1.65243a3d8712dp-12, 0x1.662f873a40397p-12, 0x1.67307fbe1fbc1p-12, 0x1.68273eab1b35p-12, 0x1.6913def8a23d5p-12, 0x1.69f67bb0d8a7fp-12, 0x1.6acf2fede5e88p-12, 0x1.6b9e16d7288d2p-12, 0x1.6c634b9eba561p-12, 0x1.6d1ee97ef366bp-12, 0x1.6dd10bb7daff3p-12, 0x1.6e79cd8cfca4cp-12, 0x1.6f194a42fce3p-12, 0x1.6faf9d1d7775cp-12, 0x1.703ce15ccdaf8p-12, 0x1.70c1323c2bd24p-12, 0x1.713caaef8e678p-12, 0x1.71af66a1b4ae4p-12, 0x1.7219807266cdbp-12, 0x1.727b1374978cbp-12, 0x1.72d43aacb5534p-12, 0x1.7325110ee099dp-12, 0x1.736db17d6f5b4p-12, 0x1.73ae36c755f4ep-12, 0x1.73e6bba695e0fp-12, 0x1.74175abed821p-12, 0x1.74402e9c040d3p-12, 0x1.746151b0e3a7p-12, 0x1.747ade55e0b0dp-12, 0x1.748ceec7c0de9p-12, 0x1.74979d267df33p-12, 0x1.749b0374195c4p-12, 0x1.74973b936c345p-12, 0x1.748c5f4741939p-12, 0x1.747a88312eacfp-12, 0x1.7461cfd0ad1f4p-12, 0x1.74424f8226695p-12, 0x1.741c207e07069p-12, 0x1.73ef5bd7fb6d5p-12, 0x1.73bc1a7e0dfa5p-12, 0x1.73827537d49f1p-12, 0x1.734284a5d7c2cp-12, 0x1.72fc6140bb6fap-12, 0x1.72b023589cbebp-12, 0x1.725de31472ddap-12, 0x1.7205b8717bca3p-12, 0x1.71a7bb428cae2p-12, 0x1.7144032fa061dp-12, 0x1.70daa7b54f69ep-12, 0x1.706bc02445414p-12, 0x1.6ff763a0dc5e3p-12, 0x1.6f7da922abce7p-12, 0x1.6efea77414d28p-12, 0x1.6e7a7531f5dbp-12, 0x1.6df128cb41267p-12, 0x1.6d62d880a815fp-12, 0x1.6ccf9a645645cp-12, 0x1.6c378459a897dp-12, 0x1.6b9aac14e67f1p-12, 0x1.6af9271b08cd2p-12, 0x1.6a530ac17e3fep-12, 0x1.69a86c2e00457p-12, 0x1.68f960565b97p-12, 0x1.6845fc00527fep-12, 0x1.678e53c17f974p-12, 0x1.66d27bff2c517p-12, 0x1.661288ee33468p-12, 0x1.654e8e92fd7eap-12, 0x1.6486a0c15c9d8p-12, 0x1.63bad31c8c3c2p-12, 0x1.62eb39172225dp-12, 0x1.6217e5f3110b9p-12, 0x1.6140ecc194406p-12, 0x1.606660634abe7p-12, 0x1.5f8853882f7f5p-12, 0x1.5ea6d8afa123cp-12, 0x1.5dc2022873846p-12, 0x1.5cd9e2110468cp-12, 0x1.5bee8a5742bc6p-12, 0x1.5b000cb8c753bp-12, 0x1.5a0e7ac2f231bp-12, 0x1.5919e5d2fc8c5p-12, 0x1.58225f1627a22p-12, 0x1.5727f789cb978p-12, 0x1.562abffb8398cp-12, 0x1.552ac9094b20bp-12, 0x1.54282321b4031p-12, 0x1.5322de8405806p-12, 0x1.521b0b40669abp-12, 0x1.5110b9381086dp-12, 0x1.5003f81d82ea1p-12, 0x1.4ef4d774b323ep-12, 0x1.4de3669335bcbp-12, 0x1.4ccfb4a08026bp-12, 0x1.4bb9d0961c15p-12, 0x1.4aa1c93fe52edp-12, 0x1.4987ad3c36ff3p-12, 0x1.486b8afc35ea3p-12, 0x1.474d70c4061edp-12, 0x1.462d6cab04c8ep-12, 0x1.450b8c9c17549p-12, 0x1.43e7de55e586fp-12, 0x1.42c26f6b164aap-12, 0x1.419b4d4293b0dp-12, 0x1.40728517d780dp-12, 0x1.3f4823fb2e52dp-12, 0x1.3e1c36d1fb1d6p-12, 0x1.3ceeca57002b4p-12, 0x1.3bbfeb1aa55c6p-12, 0x1.3a8fa58343cf7p-12, 0x1.395e05cd7357dp-12, 0x1.382b180c4d987p-12, 0x1.36f6e829c1545p-12, 0x1.35c181e6d3bc6p-12, 0x1.348af0dbf7cep-12, 0x1.33534079582efp-12, 0x1.321a7c07243p-12, 0x1.30e0aea5d9a98p-12, 0x1.2fa5e34e9a18fp-12, 0x1.2e6a24d37a583p-12, 0x1.2d2d7ddfcdd2dp-12, 0x1.2beff8f86e954p-12, 0x1.2ab1a07c2060bp-12, 0x1.29727ea3d3c5ep-12, 0x1.28329d82f5689p-12, 0x1.26f20707c8f83p-12, 0x1.25b0c4fbada4bp-12, 0x1.246ee1037830ap-12, 0x1.232c649fc14e4p-12, 0x1.21e9592d3a4a3p-12, 0x1.20a5c7e4f6745p-12, 0x1.1f61b9dcc1244p-12, 0x1.1e1d380771f16p-12, 0x1.1cd84b353a28bp-12, 0x1.1b92fc13f6511p-12, 0x1.1a4d532f83bc7p-12, 0x1.190758f20ee4cp-12, 0x1.17c115a464fp-12, 0x1.167a916e420cbp-12, 0x1.1533d456a85dbp-12, 0x1.13ece6442e56bp-12, 0x1.12a5cefd50b38p-12, 0x1.115e9628be949p-12, 0x1.1017434daccfbp-12, 0x1.0ecfddd428ce3p-12, 0x1.0d886d0568434p-12, 0x1.0c40f80c15bbcp-12, 0x1.0af985f4a37c2p-12, 0x1.09b21dad938edp-12, 0x1.086ac607d163dp-12, 0x1.072385b6fb38dp-12, 0x1.05dc6351b15d1p-12, 0x1.04956551e0803p-12, 0x1.034e921517b76p-12, 0x1.0207efdccd64cp-12, 0x1.00c184ceb288ap-12, 0x1.fef6ade9fdbb5p-13, 0x1.fc6ad87d72b68p-13, 0x1.f9df95000d23ep-13, 0x1.f754eee4e9906p-13, 0x1.f4caf16a89debp-13, 0x1.f241a79b76827p-13, 0x1.efb91c4ecb031p-13, 0x1.ed315a28c9b3bp-13, 0x1.eaaa6b9b674f9p-13, 0x1.e8245ae6efcf5p-13, 0x1.e59f321a8e6adp-13, 0x1.e31afb14da1cap-13, 0x1.e097bf846872fp-13, 0x1.de1588e8622e5p-13, 0x1.db94609104f5ap-13, 0x1.d9144fa037f47p-13, 0x1.d6955f0a1dc5cp-13, 0x1.d417979593746p-13, 0x1.d19b01dcc0987p-13, 0x1.cf1fa64da4c11p-13, 0x1.cca58d2a975b6p-13, 0x1.ca2cbe8ad09b5p-13, 0x1.c7b5425af4319p-13, 0x1.c53f205d92194p-13, 0x1.c2ca602baccccp-13, 0x1.c05709353f7b1p-13, 0x1.bde522c1c188fp-13, 0x1.bb74b3f09c8f5p-13, 0x1.b905c3b9b9c55p-13, 0x1.b69858edf54afp-13, 0x1.b42c7a37a5448p-13, 0x1.b1c22e1b18db6p-13, 0x1.af597af70f22cp-13, 0x1.acf2670530b0fp-13, 0x1.aa8cf85a91531p-13, 0x1.a82934e8243ecp-13, 0x1.a5c7227b30435p-13, 0x1.a366c6bdd34b5p-13, 0x1.a10827376bbeap-13, 0x1.9eab494d15b5cp-13, 0x1.9c5032421aaa7p-13, 0x1.99f6e7386a29bp-13, 0x1.979f6d3106d0dp-13, 0x1.9549c90c7997ep-13, 0x1.92f5ff8b3fb51p-13, 0x1.90a4154e3966ep-13, 0x1.8e540ed71c57ep-13, 0x1.8c05f088dde7dp-13, 0x1.89b9bea81d74cp-13, 0x1.876f7d5b923ep-13, 0x1.852730ac74c6fp-13, 0x1.82e0dc86e5852p-13, 0x1.809c84ba59dd4p-13, 0x1.7e5a2cf9fab6bp-13, 0x1.7c19d8dd125e4p-13, 0x1.79db8bdf71684p-13, 0x1.779f4961c6f53p-13, 0x1.756514aa187dfp-13, 0x1.732cf0e40f49cp-13, 0x1.70f6e12162b71p-13, 0x1.6ec2e85a341b9p-13, 0x1.6c91096d773f7p-13, 0x1.6a6147214708ap-13, 0x1.6833a4234b42ep-13, 0x1.660823090b7d2p-13, 0x1.63dec6504a031p-13, 0x1.61b7905f68be2p-13, 0x1.5f928385b7927p-13, 0x1.5d6fa1fbd4bf8p-13, 0x1.5b4eede3fc238p-13, 0x1.5930694a679bap-13, 0x1.57141625a0153p-13, 0x1.54f9f656cdb6ep-13, 0x1.52e20baa14a7cp-13, 0x1.50cc57d6deea7p-13, 0x1.4eb8dc8033bc6p-13, 0x1.4ca79b3508a5fp-13, 0x1.4a9895708a701p-13, 0x1.488bcc9a7ad1p-13, 0x1.4681420777944p-13, 0x1.4478f6f941c31p-13, 0x1.4272ec9f189d2p-13, 0x1.406f2415f33e2p-13, 0x1.3e6d9e68d548ap-13, 0x1.3c6e5c9123912p-13, 0x1.3a715f76db0f7p-13, 0x1.3876a7f0e589fp-13, 0x1.367e36c55d22fp-13, 0x1.34880ca9d0cdap-13, 0x1.32942a438ff6ep-13, 0x1.30a29027ec45bp-13, 0x1.2eb33edc7d297p-13, 0x1.2cc636d767e86p-13, 0x1.2adb787f9b124p-13, 0x1.28f3042d1942cp-13, 0x1.270cda2932c6ep-13, 0x1.2528faaeccc56p-13, 0x1.234765ea99169p-13, 0x1.21681bfb61edap-13, 0x1.1f8b1cf23d2ffp-13, 0x1.1db068d2c61a7p-13, 0x1.1bd7ff936804p-13, 0x1.1a01e11d8e1abp-13, 0x1.182e0d4de5242p-13, 0x1.165c83f499a3dp-13, 0x1.148d44d584e49p-13, 0x1.12c04fa86f9fap-13, 0x1.10f5a4194abb8p-13, 0x1.0f2d41c862a32p-13, 0x1.0d67284a95513p-13, 0x1.0ba357298dc27p-13, 0x1.09e1cde3f74d2p-13, 0x1.08228bedb3ac2p-13, 0x1.066590b009d52p-13, 0x1.04aadb89e251ep-13, 0x1.02f26bcff53p-13, 0x1.013c40ccfaa4bp-13, 0x1.ff10b383c0618p-14, 0x1.fbad6bcbe41ffp-14, 0x1.f84ea8ce30f13p-14, 0x1.f4f468d400473p-14, 0x1.f19eaa148cdeep-14, 0x1.ee4d6ab55ed62p-14, 0x1.eb00a8ca9cbc5p-14, 0x1.e7b8625765a4dp-14, 0x1.e474954e343b4p-14, 0x1.e1353f912e07p-14, 0x1.ddfa5ef27648dp-14, 0x1.dac3f13489da8p-14, 0x1.d791f40a9b0e6p-14, 0x1.d4646518e0f2fp-14, 0x1.d13b41f4ea307p-14, 0x1.ce168825f1b3ep-14, 0x1.caf6352514ba1p-14, 0x1.c7da465dc61a4p-14, 0x1.c4c2b92e04518p-14, 0x1.c1af8ae6b8fc5p-14, 0x1.bea0b8cbfd4b4p-14, 0x1.bb964015590fbp-14, 0x1.b8901dee1b012p-14, 0x1.b58e4f75a4666p-14, 0x1.b290d1bfa2badp-14, 0x1.af97a1d466268p-14, 0x1.aca2bcb117895p-14, 0x1.a9b21f4807be3p-14, 0x1.a6c5c680eea86p-14, 0x1.a3ddaf393174ap-14, 0x1.a0f9d64426554p-14, 0x1.9e1a386b5642fp-14, 0x1.9b3ed26eb955bp-14, 0x1.9867a104f5197p-14, 0x1.9594a0db9e206p-14, 0x1.92c5ce976cf98p-14, 0x1.8ffb26d484fc7p-14, 0x1.8d34a626b43cfp-14, 0x1.8a7249199ec71p-14, 0x1.87b40c31022cbp-14, 0x1.84f9ebe8ed8c3p-14, 0x1.8243e4b5fd5fp-14, 0x1.7f91f3058a7e4p-14, 0x1.7ce4133de2857p-14, 0x1.7a3a41be87693p-14, 0x1.77947ae05b105p-14, 0x1.74f2baf5cdfb5p-14, 0x1.7254fe4b1dc77p-14, 0x1.6fbb41267f27bp-14, 0x1.6d257fc8605e1p-14, 0x1.6a93b66b8a32dp-14, 0x1.6805e1455208fp-14, 0x1.657bfc85cf8d3p-14, 0x1.62f604580342dp-14, 0x1.6073f4e207b1cp-14, 0x1.5df5ca4541adbp-14, 0x1.5b7b809e90f9cp-14, 0x1.5905140673975p-14, 0x1.5692809131305p-14, 0x1.5423c24f0c16fp-14, 0x1.51b8d54c67766p-14, 0x1.4f51b591f1a86p-14, 0x1.4cee5f24cceb7p-14, 0x1.4a8ece06b47f3p-14, 0x1.4832fe36297f5p-14, 0x1.45daebae91b19p-14, 0x1.43869268606a4p-14, 0x1.4135ee5946a57p-14, 0x1.3ee8fb743eeadp-14, 0x1.3c9fb5a9d55c3p-14, 0x1.3a5a18e82fd0ep-14, 0x1.3818211b36e88p-14, 0x1.35d9ca2cbc3b7p-14, 0x1.339f100498428p-14, 0x1.3167ee88c83e3p-14, 0x1.2f34619d9801cp-14, 0x1.2d046525c7f62p-14, 0x1.2ad7f50297e88p-14, 0x1.28af0d13f528bp-14, 0x1.2689a9389eec8p-14, 0x1.2467c54e24827p-14, 0x1.22495d312b377p-14, 0x1.202e6cbd7a0c1p-14, 0x1.1e16efce117c3p-14, 0x1.1c02e23d4b618p-14, 0x1.19f23fe4f1a66p-14, 0x1.17e5049e5dfa7p-14, 0x1.15db2c429f78dp-14, 0x1.13d4b2aa82f1cp-14, 0x1.11d193aeb9775p-14, 0x1.0fd1cb27e4137p-14, 0x1.0dd554eebea73p-14, 0x1.0bdc2cdc25dd2p-14, 0x1.09e64ec92d7f6p-14, 0x1.07f3b68f52e8cp-14, 0x1.06046008703a1p-14, 0x1.0418470ef7cdp-14, 0x1.022f677deb321p-14, 0x1.0049bd30fb136p-14, 0x1.fcce880943bbfp-15, 0x1.f90fefac75a16p-15, 0x1.f557a90801169p-15, 0x1.f1a5abda78821p-15, 0x1.edf9efe4a7e8p-15, 0x1.ea546ce98a771p-15, 0x1.e6b51aaeab179p-15, 0x1.e31bf0fc2ff28p-15, 0x1.df88e79cf2f19p-15, 0x1.dbfbf65ed0a69p-15, 0x1.d87515129af67p-15, 0x1.d4f43b8c55fcfp-15, 0x1.d17961a357c13p-15, 0x1.ce047f32569efp-15, 0x1.ca958c179144bp-15, 0x1.c72c8034f3172p-15, 0x1.c3c953704cc1ep-15, 0x1.c06bfdb329b3ep-15, 0x1.bd1476eb4faa3p-15, 0x1.b9c2b70a7cc14p-15, 0x1.b676b606c0165p-15, 0x1.b3306bda8d984p-15, 0x1.afefd084a473p-15, 0x1.acb4dc088aa3dp-15, 0x1.a97f866e523f2p-15, 0x1.a64fc7c2c679ap-15, 0x1.a3259817a7773p-15, 0x1.a000ef838e30bp-15, 0x1.9ce1c62217affp-15, 0x1.99c814143229cp-15, 0x1.96b3d17fc17a9p-15, 0x1.93a4f69033f2fp-15, 0x1.909b7b764068fp-15, 0x1.8d97586808722p-15, 0x1.8a9885a149bfap-15, 0x1.879efb635e7a9p-15, 0x1.84aab1f546459p-15, 0x1.81bba1a3d3464p-15, 0x1.7ed1c2c1b2cacp-15, 0x1.7bed0da766152p-15, 0x1.790d7ab389551p-15, 0x1.7633024aadd3ep-15, 0x1.735d9cd77dfb6p-15, 0x1.708d42cae94abp-15, 0x1.6dc1ec9bec21cp-15, 0x1.6afb92c8184dbp-15, 0x1.683a2dd30209cp-15, 0x1.657db646f4dc8p-15, 0x1.62c624b47c566p-15, 0x1.601371b29db72p-15, 0x1.5d6595df2ec26p-15, 0x1.5abc89de60a75p-15, 0x1.5818465b2e405p-15, 0x1.5578c4076065ep-15, 0x1.52ddfb9b326b3p-15, 0x1.5047e5d608c88p-15, 0x1.4db67b7dd4bep-15, 0x1.4b29b55f89c79p-15, 0x1.48a18c4efd301p-15, 0x1.461df92702e41p-15, 0x1.439ef4c953248p-15, 0x1.4124781edd64ap-15, 0x1.3eae7c1764d99p-15, 0x1.3c3cf9a9fcc6cp-15, 0x1.39cfe9d4b48bap-15, 0x1.3767459cc33bdp-15, 0x1.3503060eaa35bp-15, 0x1.32a3243df9afap-15, 0x1.30479945b53d7p-15, 0x1.2df05e47e92bp-15, 0x1.2b9d6c6e16eebp-15, 0x1.294ebce8ecbe5p-15, 0x1.270448f07ae1fp-15, 0x1.24be09c44bd75p-15, 0x1.227bf8ab05ec9p-15, 0x1.203e0ef30b386p-15, 0x1.1e0445f1e2475p-15, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      44, 0x1.dp+2, 0x1.61eac67b2c111p+0, 0x1.778ab81860487p+1, -0x1.127f1954ebcdap-8, 
      {{
        {0x1.451eb851eb852p+2, 0x1.4666666666666p+2, 0x1.9bbebea24d213p-7, -0x1.7b7d0ff540021p-6, 0x1.0651bcc58a183p-6, -0x1.420c8498de093p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.8cc62ce5dcc6cp-7, -0x1.7117a56d164d6p-6, 0x1.017d11d29b3e9p-6, -0x1.3bdcb7023acbcp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.6921f13ba379fp-7, -0x1.57ef8d9645497p-6, 0x1.eb4995eb7214p-7, -0x1.34321306bbc86p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.47f2ae0a352c9p-7, -0x1.3ff301f778935p-6, 0x1.d42c3ae48a64dp-7, -0x1.2cd4febae3b7dp-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.291acbdccde59p-7, -0x1.291acba8dfd7ep-6, 0x1.bd9c416352ea7p-7, -0x1.2563221e56ae2p-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.0c7d69c92ff04p-7, -0x1.135fcf03a523dp-6, 0x1.a79b386dd937p-7, -0x1.1df6d714ce527p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.e3fcbadf47b7dp-8, -0x1.fd75d226f17e1p-7, 0x1.9228b519168a7p-7, -0x1.16890e0ffe98ap-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b30465f5f0f57p-8, -0x1.d649f1b1ef3b2p-7, 0x1.7d44d40b16a53p-7, -0x1.0f1bab653a27cp-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.85dc5a4105c84p-8, -0x1.b12db99d0b95cp-7, 0x1.68ef8d96b248ap-7, -0x1.07ae2d4d9e37bp-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.5c508a403ce35p-8, -0x1.8e12e724fc976p-7, 0x1.5528e3ca799e5p-7, -0x1.0040b68f43c8bp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.362e558859825p-8, -0x1.6ceb377332488p-7, 0x1.41f0d6195488dp-7, -0x1.f1a67bb19987fp-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.134488c32b68p-8, -0x1.4da867b646c26p-7, 0x1.2f4764a911fa3p-7, -0x1.e2cb8b52e5ea2p-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.e6c6bb5f1dbc8p-9, -0x1.303c351b71decp-7, 0x1.1d2c8f6f8fc12p-7, -0x1.d3f09aabb698ep-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.acb8f642d96fp-9, -0x1.14985cd04a65cp-7, 0x1.0ba0566f85b51p-7, -0x1.c515aa1803771p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.7805ea0374987p-9, -0x1.f55d38049b58fp-8, 0x1.f5457350718e2p-8, -0x1.b63ab97f0a12bp-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.4856989cf2f8dp-9, -0x1.c4e15fbdffb5ep-8, 0x1.d4677233b7334p-8, -0x1.a75fc8e77dcedp-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.1d56de35715fap-9, -0x1.97a0ab27c680cp-8, 0x1.b4a6a988c0f7p-8, -0x1.9884d84f9f7f2p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.ed6ae23a4b551p-10, -0x1.6d7e949cf566fp-8, 0x1.9603194f95004p-8, -0x1.89a9e7b7c3622p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.a847c39cbd8cdp-10, -0x1.465e967891cb8p-8, 0x1.787cc1883325dp-8, -0x1.7acef71fe7c68p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.6aad35db095b8p-10, -0x1.22242b15a111fp-8, 0x1.5c13a2329b5d7p-8, -0x1.6bf406881b7f2p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3409c29230d5ep-10, -0x1.00b2cccf28ad6p-8, 0x1.40c7bb4ecc80dp-8, -0x1.5d1915f03b54p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.03d1a7b3682bap-10, -0x1.c3dbec005c198p-9, 0x1.26990cdcc80ddp-8, -0x1.4e3e255864112p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.b2fdaf082b56dp-11, -0x1.8b7242076d27ep-9, 0x1.0d8796dc8d58fp-8, -0x1.3f6334c09cd83p-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.6921f13ba3858p-11, -0x1.57ef90698f80fp-9, 0x1.eb26b29c365e7p-9, -0x1.30884428aba22p-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.291acbdccdef8p-11, -0x1.291acbdccdea2p-9, 0x1.bd78a862e96cbp-9, -0x1.21ad5390ed509p-9}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.e3fcbadf47cb4p-12, -0x1.fd75d22e66774p-10, 0x1.92050f0d2c3a6p-9, -0x1.12d262f90027bp-9}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.85dc5a4105d9bp-12, -0x1.b12db99d94a9ep-10, 0x1.68cbe69b05ce2p-9, -0x1.03f7726138898p-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.362e55885994cp-12, -0x1.6ceb37733c06bp-10, 0x1.41cd2f0c7085dp-9, -0x1.ea390392d4288p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.e6c6bb5f1de8p-13, -0x1.303c351b72a25p-10, 0x1.1d08e8616d695p-9, -0x1.cc83226295bc9p-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.7805ea0374cafp-13, -0x1.f55d38049a787p-11, 0x1.f4fe25341129bp-10, -0x1.aecd413548d56p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.1d56de35719p-13, -0x1.97a0ab27ca0d4p-11, 0x1.b45f5b6c1309dp-10, -0x1.91175ffc607f8p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.a847c39cbde1ep-14, -0x1.465e96788522p-11, 0x1.7835736c9e2a5p-10, -0x1.73617eef158a3p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.3409c2923136p-14, -0x1.00b2cccf57bd3p-11, 0x1.40806d2f27bb2p-10, -0x1.55ab9d3fbcb5cp-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.b2fdaf082bf8p-15, -0x1.8b7242060e356p-12, 0x1.0d4048cbfea02p-10, -0x1.37f5bdeb9f4f7p-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.291acbdcce8p-15, -0x1.291acbe1ed239p-12, 0x1.bcea0bd14d755p-11, -0x1.1a3fd5cd93622p-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.85dc5a41071ffp-16, -0x1.b12db977589e9p-13, 0x1.683d4bad3ad83p-11, -0x1.f9141cf840fcp-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.e6c6bb5f201ffp-17, -0x1.303c35aa24503p-13, 0x1.1c7a4754cab2bp-11, -0x1.bda79982a15ecp-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.1d56de35742p-17, -0x1.97a0a6feb023fp-14, 0x1.b342470264fap-12, -0x1.823ea7c0e0b52p-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.3409c29236cp-18, -0x1.00b2dc561a5aap-14, 0x1.3f62ae4887f76p-12, -0x1.46c864010ab4cp-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.291acbdcd9001p-19, -0x1.291a57f76d0fep-15, 0x1.bab386f6d64fdp-13, -0x1.0b83d685a3d04p-11}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.e6c6bb5f48001p-21, -0x1.303f962abc64cp-16, 0x1.1a3139737406dp-13, -0x1.9f0b83ed26faep-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.3409c292a7fffp-22, -0x1.009993ea24a9cp-17, 0x1.3b5b8a256a44cp-14, -0x1.2c7826e799fe7p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.e6c6bb62c0001p-25, -0x1.31b4baf0763dep-19, 0x1.0e26e59b4eec2p-15, -0x1.4b694f44209acp-13}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.e6c6bb7800001p-29, -0x1.0452972bc2103p-22, 0x1.1d3871c9ba4p-17, -0x1.bb861def58c5cp-13}, 
      }}, 
      0x1.a157d510b571p-9, -0x1.41a00ffb79b1fp-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      {{-0x1.0f4d93bb32a9p+0, -0x1.0736ba08897eep+0, -0x1.f8bb4b5dda09cp-1, -0x1.de3efe534709bp-1, -0x1.bfbbb09c9fb4bp-1, -0x1.9df397b7b6912p-1, -0x1.79a161b7e1d33p-1, -0x1.5373e1010edap-1, -0x1.2c0b615856b8bp-1, -0x1.03f834fb77b7p-1, -0x1.b7744c9d9067dp-2, -0x1.67811dfbfad9dp-2, -0x1.18d5c92532bf2p-2, -0x1.982657260eea4p-3, -0x1.037c7371a6821p-3, -0x1.d21303382e9f2p-5, 0x1.417fdf84ca271p-7, 0x1.2bb42275c216ap-4, 0x1.1065f1f4db43ap-3, 0x1.837fa5f9d4b1cp-3, 0x1.ef066070416a3p-3, 0x1.29783f1dbc722p-2, 0x1.57a3f0aab5432p-2, 0x1.821356586c438p-2, 0x1.a8da2fa1d5adp-2, 0x1.cc11a39888195p-2, 0x1.ebd724c121068p-2, 0x1.0425be216670cp-1, 0x1.10c8fb8b6c31bp-1, 0x1.1be7d8469e453p-1, 0x1.25957b1293256p-1, 0x1.2de5609cb99b7p-1, 0x1.34eb21dd86de8p-1, 0x1.3aba4317785d2p-1, 0x1.3f660a97391eap-1, 0x1.43015e917076cp-1, 0x1.459ea96b4c9cfp-1, 0x1.474fc3b478157p-1, 0x1.4825e33b510d1p-1, 0x1.48318e7933893p-1, 0x1.478293c998c26p-1, 0x1.462803bb0dac4p-1, 0x1.44302ebd1ac59p-1, 0x1.41a8a3828fd6p-1, 0x1.3e9e316ac8dcap-1, 0x1.3b1ceae7250cp-1, 0x1.373029c77d6acp-1, 0x1.32e294704ef67p-1, 0x1.2e3e23d59bf1dp-1, 0x1.294c2a0e0dc9dp-1, 0x1.2415594e93e5dp-1, 0x1.1ea1cb2aceaa5p-1, 0x1.18f907fc17f8bp-1, 0x1.13220e5393732p-1, 0x1.0d235a6342cb5p-1, 0x1.0702ed49be3e9p-1, 0x1.00c654359aa29p-1, 0x1.f4e55e7f713c4p-2, 0x1.e819710f4ae59p-2, 0x1.db31939af4924p-2, 0x1.ce35c69a459a3p-2, 0x1.c12d63ce7b311p-2, 0x1.b41f26caf0fb3p-2, 0x1.a7113a5bccad2p-2, 0x1.9a09412306e08p-2, 0x1.8d0c5f554eef9p-2, 0x1.801f43a29766ap-2, 0x1.73462f9462f0ap-2, 0x1.6684ff69d5dfp-2, 0x1.59df31771f786p-2, 0x1.4d57ed20dcf81p-2, 0x1.40f208c181f71p-2, 0x1.34b010c17b1c9p-2, 0x1.28944c152b6f4p-2, 0x1.1ca0c1fb9806ap-2, 0x1.10d73eb3f433fp-2, 0x1.053957fde27cdp-2, 0x1.f390e26587397p-3, 0x1.dd0b7e6bbf86bp-3, 0x1.c6e497dc991aap-3, 0x1.b11df3439597dp-3, 0x1.9bb90bf851be6p-3, 0x1.86b719d330223p-3, 0x1.7219166c8d8dfp-3, 0x1.5ddfc1f266eb8p-3, 0x1.4a0ba7b98652ap-3, 0x1.369d226776ddfp-3, 0x1.23945fdd021d9p-3, 0x1.10f164cff15c7p-3, 0x1.fd68205faa27fp-4, 0x1.d9b83c83b80ebp-4, 0x1.b6d25723a186ap-4, 0x1.94b56f4dafeb6p-4, 0x1.73604f15b9174p-4, 0x1.52d19045cd67ep-4, 0x1.3307a0d3831eap-4, 0x1.1400c6e0f7071p-4, 0x1.eb76493c145c5p-5, 0x1.b06977a2c785ep-5, 0x1.76d6e23614ba1p-5, 0x1.3eba1e485b27dp-5, 0x1.080e92aee2791p-5, 0x1.a59efaba14007p-6, 0x1.3deff07507f9p-6, 0x1.b20bf0d1ed73ep-7, 0x1.db5b6abc569cbp-8, 0x1.7581eadb3e5a3p-10, -0x1.16033b688defp-8, -0x1.3f7d481073a29p-7, -0x1.eed860d9b8c0cp-7, -0x1.4c94574c3170bp-6, -0x1.9f420a2531241p-6, -0x1.ef80436e3cdb7p-6, -0x1.1ead00ecbe2abp-5, -0x1.446d2230f0d4bp-5, -0x1.690602d528ddfp-5, -0x1.8c7d1cf16d964p-5, -0x1.aed7e446479c1p-5, -0x1.d01bc623fec03p-5, -0x1.f04e2739c999p-5, -0x1.07ba313925e7bp-4, -0x1.16c9e3f2809e5p-4, -0x1.2558cdd68fd1ep-4, -0x1.33698a5c495bdp-4, -0x1.40feae33601c1p-4, -0x1.4e1ac6b17d2cbp-4, -0x1.5ac0598086b9ep-4, -0x1.66f1e448a47d5p-4, -0x1.72b1dc8cbb65bp-4, -0x1.7e02af4e19f56p-4, -0x1.88e6c0c2f1da2p-4, -0x1.93606c572b087p-4, -0x1.9d72048676138p-4, -0x1.a71dd28c599abp-4, -0x1.b0661650283acp-4, -0x1.b94d069e03622p-4, -0x1.c1d4d0d5cf44cp-4, -0x1.c9ff98cd6dec6p-4, -0x1.d1cf78f4bc4p-4, -0x1.d9468274e9cf8p-4, -0x1.e066bd06197c3p-4, -0x1.e73226d0500b4p-4, -0x1.edaab4bd1b2f2p-4, -0x1.f3d252a6cae0dp-4, -0x1.f9aae2e8c612bp-4, -0x1.ff363edec69f5p-4, -0x1.023b1b571ade9p-3, -0x1.04b648eb5c943p-3, -0x1.070d877851375p-3, -0x1.0941b1c78b52ep-3, -0x1.0b539e60de513p-3, -0x1.0d441fa4a0757p-3, -0x1.0f1403c954b97p-3, -0x1.10c414c4ad561p-3, -0x1.1255187bfc7efp-3, -0x1.13c7d0fa4f978p-3, -0x1.151cfc62b1a41p-3, -0x1.165554fae1083p-3, -0x1.1771911ba0fcfp-3, -0x1.187263892ab5ap-3, -0x1.19587b92d374ep-3, -0x1.1a2484df049ffp-3, -0x1.1ad727801e029p-3, -0x1.1b710820c45f1p-3, -0x1.1bf2c83b7ec97p-3, -0x1.1c5d0614bec59p-3, -0x1.1cb05ca66e9aap-3, -0x1.1ced63bb2c3a2p-3, -0x1.1d14b022edbebp-3, -0x1.1d26d3c6aa8b9p-3, -0x1.1d245dac9a7f8p-3, -0x1.1d0dd9ef3019dp-3, -0x1.1ce3d1dac5a9fp-3, -0x1.1ca6cc176b845p-3, -0x1.1c574cb294fd4p-3, -0x1.1bf5d52265b6dp-3, -0x1.1b82e450c901cp-3, -0x1.1afef6b1346e8p-3, -0x1.1a6a8650394f8p-3, -0x1.19c60af050babp-3, -0x1.1911fa058abf7p-3, -0x1.184ec6c62df37p-3, -0x1.177ce2394abfdp-3, -0x1.169cbb441d75ap-3, -0x1.15aebeb89d351p-3, -0x1.14b3575fa6b14p-3, -0x1.13aaee0950176p-3, -0x1.1295e99477519p-3, -0x1.1174aef7e5c98p-3, -0x1.1047a14cb6fc6p-3, -0x1.0f0f21d66567ap-3, -0x1.0dcb901ad7cc9p-3, -0x1.0c7d49e4cc6f4p-3, -0x1.0b24ab475c0c7p-3, -0x1.09c20eab46d14p-3, -0x1.0855ccd330ea2p-3, -0x1.06e03ce535fb5p-3, -0x1.0561b47d1480dp-3, -0x1.03da87ae1de7ap-3, -0x1.024b0906b27aap-3, -0x1.00b38995db257p-3, -0x1.fe28b1f9d1f22p-4, -0x1.fadb8abe8e2dep-4, -0x1.f78037076e4e6p-4, -0x1.f4174da2243acp-4, -0x1.f0a162a28933fp-4, -0x1.ed1f0768d5ec6p-4, -0x1.e990cab167f04p-4, -0x1.e5f73899ffeep-4, -0x1.e252dab5c48e9p-4, -0x1.dea4381720b27p-4, -0x1.daebd551e4cdp-4, -0x1.d72a348d8ca7fp-4, -0x1.d35fd579a5d35p-4, -0x1.cf8d3554ce886p-4, -0x1.cbb2cf346411ep-4, -0x1.c7d11b94a2b87p-4, -0x1.c3e890cfdaec4p-4, -0x1.bff9a2fb86ae8p-4, -0x1.bc04c3e840c59p-4, -0x1.b80a632124a5dp-4, -0x1.b40aee0ba6aa6p-4, -0x1.b006cfd6cc116p-4, -0x1.abfe7192db036p-4, -0x1.a7f23a2c31669p-4, -0x1.a3e28e794628ap-4, -0x1.9fcfd13de7989p-4, -0x1.9bba632407bd5p-4, -0x1.97a2a2d245b1ap-4, -0x1.9388ece35c3eep-4, -0x1.8f6d9bf38d9e4p-4, -0x1.8b5108aa13ef2p-4, -0x1.873389b9b9bd5p-4, -0x1.831573db15ab2p-4, -0x1.7ef719e98e63ep-4, -0x1.7ad8ccc725e5dp-4, -0x1.76badb7c56d3ep-4, -0x1.729d933774325p-4, -0x1.6e813f467d44ep-4, -0x1.6a6629384ffe3p-4, -0x1.664c988c170a1p-4, -0x1.6234d35b89095p-4, -0x1.5e1f1dacaebfcp-4, -0x1.5a0bb9e670a83p-4, -0x1.55fae89d79e33p-4, -0x1.51ece8bad4bc7p-4, -0x1.4de1f7777d06fp-4, -0x1.49da50525afefp-4, -0x1.45d62d32a66b7p-4, -0x1.41d5c63b4e854p-4, -0x1.3dd9520d31714p-4, -0x1.39e1059f00bfcp-4, -0x1.35ed144d294fbp-4, -0x1.31fdafe6253bdp-4, -0x1.2e1308a89fcf5p-4, -0x1.2a2d4d42c7023p-4, -0x1.264caae72ef88p-4, -0x1.22714d4c2f1aap-4, -0x1.1e9b5e9a612ep-4, -0x1.1acb078b09857p-4, -0x1.17006f8314dd3p-4, -0x1.133bbc4417255p-4, -0x1.0f7d12490acd6p-4, -0x1.0bc494a12bd65p-4, -0x1.08126503416cp-4, -0x1.0466a3c51aed4p-4, -0x1.00c16fe8a81dp-4, -0x1.fa45ce45bd5e4p-5, -0x1.f3164badb5a53p-5, -0x1.ebf48e54328dap-5, -0x1.e4e0c9f2c2119p-5, -0x1.dddb2fd89a458p-5, -0x1.d6e3eed6e3338p-5, -0x1.cffb336a9ffadp-5, -0x1.c92127a1d36fp-5, -0x1.c255f34843feap-5, -0x1.bb99bbe48bcfcp-5, -0x1.b4eca4c2ac89ap-5, -0x1.ae4ecee6d63e5p-5, -0x1.a7c0594ea461ep-5, -0x1.a14160d71eaa8p-5, -0x1.9ad200267153cp-5, -0x1.94724feba05efp-5, -0x1.8e2266da33f8ap-5, -0x1.87e259a452b5dp-5, -0x1.81b23b2be7dc3p-5, -0x1.7b921c6f91e7bp-5, -0x1.75820c9d1dc83p-5, -0x1.6f82190133aecp-5, -0x1.69924d0de1d3dp-5, -0x1.63b2b270a8becp-5, -0x1.5de35165feb3ep-5, -0x1.58243042be7fep-5, -0x1.527554189b544p-5, -0x1.4cd6c069622d1p-5, -0x1.47487724f65dbp-5, -0x1.41ca789140c82p-5, -0x1.3c5cc3548dd2p-5, -0x1.36ff548ee99dp-5, -0x1.31b22812f0e5p-5, -0x1.2c7538989aae8p-5, -0x1.27487fd35ffefp-5, -0x1.222bf656150c2p-5, -0x1.1d1f936b7a22bp-5, -0x1.18234ce194843p-5, -0x1.133716d8df05fp-5, -0x1.0e5ae41097605p-5, -0x1.098ea62943c4fp-5, -0x1.04d24e15379ccp-5, -0x1.0025cc7179d67p-5, -0x1.f71222a928202p-6, -0x1.edf8181f4cf5fp-6, -0x1.e4fd555b74fbp-6, -0x1.dc21b2e7b080dp-6, -0x1.d36505ee79a95p-6, -0x1.cac720f2cd298p-6, -0x1.c247d548206f4p-6, -0x1.b9e6f481d690fp-6, -0x1.b1a4511668602p-6, -0x1.a97fbe19b31edp-6, -0x1.a1790dcc74a4p-6, -0x1.99900f7ccefb4p-6, -0x1.91c48e51a65dfp-6, -0x1.8a16510c5858ap-6, -0x1.82851b3d43c8cp-6, -0x1.7b10afbd65bdap-6, -0x1.73b8d32bd0ec6p-6, -0x1.6c7d4d5366ddcp-6, -0x1.655de8fe2a31fp-6, -0x1.5e5a71f8dfdb2p-6, -0x1.5772b1cd7ebdp-6, -0x1.50a66d3e5f444p-6, -0x1.49f562ed142fp-6, -0x1.435f4c0ad96e9p-6, -0x1.3ce3dff859717p-6, -0x1.3682d57df7118p-6, -0x1.303beb36af03fp-6, -0x1.2a0ee3d81841ep-6, -0x1.23fb8757f5263p-6, -0x1.1e019f1681327p-6, -0x1.1820f17345b6fp-6, -0x1.12593e08a8a39p-6, -0x1.0caa3c84833ddp-6, -0x1.07139dedf7d48p-6, -0x1.019510ce99561p-6, -0x1.f85c8cb94bb9ep-7, -0x1.edbded168548dp-7, -0x1.e34dc474f14bap-7, -0x1.d90ba353f2a14p-7, -0x1.cef7205e1b68fp-7, -0x1.c50fcd0d4681ap-7, -0x1.bb552c1b12d5bp-7, -0x1.b1c6ac8a73af5p-7, -0x1.a863ab10a1eb9p-7, -0x1.9f2b798f672b9p-7, -0x1.961d6b0f36f34p-7, -0x1.8d38dfdb4e06ap-7, -0x1.847d4e048172cp-7, -0x1.7bea4320700e6p-7, -0x1.737f5e3f1fa01p-7, -0x1.6b3c4377f9f1ep-7, -0x1.63208ee45404fp-7, -0x1.5b2bca63989b1p-7, -0x1.535d69421eb97p-7, -0x1.4bb4c9df6e1f9p-7, -0x1.44313c82171a2p-7, -0x1.3cd20de6e07b5p-7, -0x1.359693eec3dc3p-7, -0x1.2e7e38f2ee6b9p-7, -0x1.278881c65acb4p-7, -0x1.20b50b65f1414p-7, -0x1.1a03804bd46cbp-7, -0x1.13738d49e2038p-7, -0x1.0d04d2ed1fcd9p-7, -0x1.06b6e4540adb5p-7, -0x1.0089452b16aefp-7, -0x1.f4f6d58233bf6p-8, -0x1.e9197bf14c33ap-8, -0x1.dd793e2edbd61p-8, -0x1.d214dca257bfbp-8, -0x1.c6eb2ebf5532ep-8, -0x1.bbfb350ecb2dep-8, -0x1.b1441abc5c0d5p-8, -0x1.a6c5239d56b58p-8, -0x1.9c7d960dff0b3p-8, -0x1.926caadbc2ebbp-8, -0x1.8891914501ffep-8, -0x1.7eeb7a8f76154p-8, -0x1.75799e38b7096p-8, -0x1.6c3b2e9400f7p-8, -0x1.632f45936d30dp-8, -0x1.5a54e1432d922p-8, -0x1.51aaf55ce97a1p-8, -0x1.493088bccf5fcp-8, -0x1.40e4cba1fb9c7p-8, -0x1.38c711558f782p-8, -0x1.30d6b2f3e9b44p-8, -0x1.2912f1a3cfab1p-8, -0x1.217af0da866d5p-8, -0x1.1a0dcd415df5fp-8, -0x1.12cabb2888dbdp-8, -0x1.0bb10f45fc554p-8, -0x1.04c026f346c72p-8, -0x1.fbee86b2181bcp-9, -0x1.eeaaf2881a7f8p-9, -0x1.e1b38ece7dee6p-9, -0x1.d50689e2e3acdp-9, -0x1.c8a28dd9b872p-9, -0x1.bc86c326951f2p-9, -0x1.b0b288663609ep-9, -0x1.a52511dc3fe78p-9, -0x1.99dd32b9ccc15p-9, -0x1.8ed9757aedde6p-9, -0x1.841865f0223e1p-9, -0x1.7998cf2023108p-9, -0x1.6f59ae7f76203p-9, -0x1.6559def4d08aep-9, -0x1.5b97c271fc1a1p-9, -0x1.52113d0416ae3p-9, -0x1.48c40f7091831p-9, -0x1.3fae504b58f14p-9, -0x1.36ceb86d10dd5p-9, -0x1.2e24a30405aefp-9, -0x1.25afcb7429071p-9, -0x1.1d6fed8af62edp-9, -0x1.15647d0087881p-9, -0x1.0d8c98af8edbep-9, -0x1.05e73ca21789cp-9, -0x1.fce716892524p-10, -0x1.ee61d391ef9aap-10, -0x1.e03d8225963acp-10, -0x1.d2781fa907b61p-10, -0x1.c50e707243093p-10, -0x1.b7fc7810585e5p-10, -0x1.ab3e4de701029p-10, -0x1.9ed0ad38a2e11p-10, -0x1.92b13e58bcad5p-10, -0x1.86dec75886e51p-10, -0x1.7b590619ca2c2p-10, -0x1.702001cb2f9a5p-10, -0x1.65332da679d79p-10, -0x1.5a9101ebdbbd3p-10, -0x1.50375d1ecb68ap-10, -0x1.462453d404b99p-10, -0x1.3c56a80c1d9fdp-10, -0x1.32cd881dc1fb5p-10, -0x1.2987e7931f146p-10, -0x1.20840fbe3d5c9p-10, -0x1.17bfc2fa44a3bp-10, -0x1.0f389cd1869f6p-10, -0x1.06ec11525be6dp-10, -0x1.fdaecc951536bp-11, -0x1.edf104506afbbp-11, -0x1.de9de8530fd71p-11, -0x1.cfb75a178f4c4p-11, -0x1.c13eff3742823p-11, -0x1.b333fc58a7c3dp-11, -0x1.a593499b0c2cap-11, -0x1.98592c27f3133p-11, -0x1.8b81c4d4eb0b2p-11, -0x1.7f0905bc3461ep-11, -0x1.72eb3a0983d7bp-11, -0x1.67259c1f42d72p-11, -0x1.5bb6108596635p-11, -0x1.509aa4de52a4ap-11, -0x1.45d18988658d3p-11, -0x1.3b585ce0d412dp-11, -0x1.312ad14ac8779p-11, -0x1.2744375ab590bp-11, -0x1.1da36a28693e1p-11, -0x1.144ad047c9ef6p-11, -0x1.0b3bfd4a364bep-11, -0x1.02759fd955009p-11, -0x1.f3ec0abb9157dp-12, -0x1.e37a351aa079fp-12, -0x1.d39516fc0bdcap-12, -0x1.c4378045b1f51p-12, -0x1.b5593f2b17c69p-12, -0x1.a6f33a344ba39p-12, -0x1.9900fa332cafap-12, -0x1.8b7ebfba209bcp-12, -0x1.7e6790eb6d52bp-12, -0x1.71b6a63b6e443p-12, -0x1.65686e2717b0bp-12, -0x1.597701427ec2p-12, -0x1.4ddb6f931a7e4p-12, -0x1.4296de9eb3977p-12, -0x1.37b0a393ecb81p-12, -0x1.2d293e663c637p-12, -0x1.22f9384dabec2p-12, -0x1.191c5fb24c29bp-12, -0x1.0f94e344f4a7fp-12, -0x1.06646d18b34edp-12, -0x1.fb11549b43523p-13, -0x1.e9fad38804ffep-13, -0x1.d97defb92dc64p-13, -0x1.c99645f4b3605p-13, -0x1.ba42040c90d29p-13, -0x1.ab7e4bc64223dp-13, -0x1.9d43b129f8ce9p-13, -0x1.8f89932933c89p-13, -0x1.824a78f0cae7p-13, -0x1.757c9ebda7bf2p-13, -0x1.6910d42e39635p-13, -0x1.5d06c621350d6p-13, -0x1.5169d36bcaa52p-13, -0x1.46377ff28d705p-13, -0x1.3b666b6798294p-13, -0x1.30f8a01213335p-13, -0x1.26f17b51649ffp-13, -0x1.1d4bd561b1ccp-13, -0x1.140133876ef61p-13, -0x1.0b0f039d2557ep-13, -0x1.0274aea41ccd8p-13, -0x1.f4614816d7994p-14, -0x1.e47fecdc9c626p-14, -0x1.d53f8fceff19cp-14, -0x1.c69a9e581016cp-14, -0x1.b88802a791d1p-14, -0x1.aaffccff699d8p-14, -0x1.9e063b463682ep-14, -0x1.919f159cfeed5p-14, -0x1.85b90cfcd2e63p-14, -0x1.7a4a09554b682p-14, -0x1.6f5191487a365p-14, -0x1.64b9e9f042577p-14, -0x1.5a7cd55cd078dp-14, -0x1.50ab500243e7ap-14, -0x1.4747f96193d12p-14, -0x1.3e49b28118a61p-14, -0x1.35a8a7aff3386p-14, -0x1.2d6038937cccbp-14, -0x1.256f8def9e0ep-14, -0x1.1dd8974dd076bp-14, -0x1.169b3f585e37ep-14, -0x1.0fb29fe41f295p-14, -0x1.091827438d7e2p-14, -0x1.02c68cc13b89ep-14, -0x1.f96eda85e693dp-15, -0x1.edc8e0949c7f2p-15, -0x1.e2a3bfd85dd0ap-15, -0x1.d815b9b2ad5f7p-15, -0x1.ce0bf0fa7545fp-15, -0x1.c47361bac9373p-15, -0x1.bb50d54cd682ap-15, -0x1.b295b87bc2b59p-15, -0x1.aa4f7bfb8b1b3p-15, -0x1.a279755617239p-15, -0x1.9af6d731d9687p-15, -0x1.93bba4de12ca8p-15, -0x1.8ccd866e9b7b1p-15, -0x1.8633c2b922055p-15, -0x1.7fec555a4f349p-15, -0x1.79efc0c7390c4p-15, -0x1.743cc7801b8fp-15, -0x1.6ed730ffb9199p-15, -0x1.69bc21ccb8587p-15, -0x1.64e2822fb667ep-15, -0x1.60431636b6805p-15, -0x1.5bd7df4959e03p-15, -0x1.579a1a5d13b8ep-15, -0x1.538c30400b4a3p-15, -0x1.4fbdde63c1ea4p-15, -0x1.4c26da5dd4817p-15, -0x1.48b13796fa5d1p-15, -0x1.455c6fe5eacdep-15, -0x1.422cee13b3a14p-15, -0x1.3f325bfa39071p-15, -0x1.3c64f3d610102p-15, -0x1.39be4ca9dd669p-15, -0x1.373bd70ef3d9p-15, -0x1.34d5cded1087dp-15, -0x1.32833476caa23p-15, -0x1.3044a1801b453p-15, -0x1.2e20b8b0c87dcp-15, -0x1.2c1623e8c3836p-15, -0x1.2a1ecf7a521ebp-15, -0x1.283d08c258ce3p-15, -0x1.267419a3e6bp-15, -0x1.24bf926687d05p-15, -0x1.231a3f0e6a702p-15, -0x1.2181e54ad4154p-15, -0x1.1ff4d8929a884p-15, -0x1.1e71d292bc33bp-15, -0x1.1cfd4a3678b55p-15, -0x1.1b9b5a7513fdfp-15, -0x1.1a3e79747cfdcp-15, -0x1.18e30097fa80dp-15, -0x1.17915e2d75f79p-15, -0x1.164c2b73d7c61p-15, -0x1.150bdc62f7f85p-15, -0x1.13cf221348677p-15, -0x1.1296f8e8485dap-15, -0x1.11647e7bf6343p-15, -0x1.10392d1683165p-15, -0x1.0f146676029d1p-15, -0x1.0df0e07a1c5fp-15, -0x1.0ccaa40788b42p-15, -0x1.0ba4bd4e6bcf6p-15, -0x1.0a7efd6e70f61p-15, -0x1.0956e7d80170bp-15, -0x1.08304a8cddd6fp-15, -0x1.070b819688cdp-15, -0x1.05e514ee09784p-15, -0x1.04bbbad284a41p-15, -0x1.038f9bdb33c17p-15, -0x1.02605360c76edp-15, -0x1.012d34930f9efp-15, -0x1.fff193d20a5c3p-16, -0x1.fd85523ecaf1bp-16, -0x1.fb0a56472898cp-16, -0x1.f889ab31b5442p-16, -0x1.f604bf19c4f68p-16, -0x1.f375a3b909aacp-16, -0x1.f0dc82c9992c9p-16, -0x1.ee39d352a26ep-16, -0x1.eb8d60a4dd54fp-16, -0x1.e8d6b9d24168fp-16, -0x1.e615e50d54694p-16, -0x1.e34b46dc3c405p-16, -0x1.e0786fe11f18ep-16, -0x1.dd9e8181463d4p-16, -0x1.dab9e8995c70dp-16, -0x1.d7c8190c39a7ep-16, -0x1.d4c97b640d312p-16, -0x1.d1be3ea9d2561p-16, -0x1.ceab0b43a5d16p-16, -0x1.cb8e41c3cb5ap-16, -0x1.c8657e4d7eed2p-16, -0x1.c5310fdcfe782p-16, -0x1.c1f19e11734b1p-16, -0x1.bea7173e9f308p-16, -0x1.bb50fc842f5p-16, -0x1.b7f0fbee5512p-16, -0x1.b486e81ed8bdp-16, -0x1.b1111efb71f69p-16, -0x1.ad926ca1ad9b1p-16, -0x1.aa091503eb2f1p-16, -0x1.a6755190459c5p-16, -0x1.a2d79742f696p-16, -0x1.9f3010e431417p-16, -0x1.9b7eff2717ba2p-16, -0x1.97c47cdf27c0dp-16, -0x1.9400b60458508p-16, -0x1.9033d32cbdf04p-16, -0x1.8c5dfacc012fdp-16, -0x1.887f67035ad27p-16, -0x1.8498b39a0eaa6p-16, -0x1.80ab15ccb5ca9p-16, }}, 
      {{-0x1.13c139c7f0ab4p+0, -0x1.10fe3a5bc72a4p+0, -0x1.0d3b3717e46b1p+0, -0x1.088d9af3dd0d5p+0, -0x1.030ca4482ba6bp+0, -0x1.f9a0a5eedd5a4p-1, -0x1.ebe1446b57c1ap-1, -0x1.dd09f439c5a78p-1, -0x1.cd47967d6ea0dp-1, -0x1.bcc49402d873bp-1, -0x1.aba884e46d4b7p-1, -0x1.9a17fd9fb9feep-1, -0x1.883478d83288p-1, -0x1.761c56e29ed9cp-1, -0x1.63eaede39bb2ep-1, -0x1.51b8a47562eccp-1, -0x1.3f9b1888071d4p-1, -0x1.2da5470c7db81p-1, -0x1.1be7bad89f019p-1, -0x1.0a70bbd5083f1p-1, -0x1.f298fcf7a2572p-2, -0x1.d10aa59cecd79p-2, -0x1.b047a2c212366p-2, -0x1.905e0c5e48e7dp-2, -0x1.7159317f94294p-2, -0x1.5341e30856901p-2, -0x1.361eb8717cee3p-2, -0x1.19f44f98c48b1p-2, -0x1.fd8b0e33b7f93p-3, -0x1.c92767f6b9642p-3, -0x1.96bda590dfd8ap-3, -0x1.664b68a061252p-3, -0x1.37cc4c8dc9ca1p-3, -0x1.0b3a3018fcc46p-3, -0x1.c11aef769bf96p-4, -0x1.6f7a9372f6396p-4, -0x1.217f837f6b084p-4, -0x1.ae2891fb0924cp-5, -0x1.204419f5db557p-5, -0x1.32439eaa4844fp-6, -0x1.890451cfab60fp-9, 0x1.868c6195f076dp-7, 0x1.ab57406df037cp-6, 0x1.43bd0ab243d2dp-5, 0x1.ac0b2b249ed16p-5, 0x1.0764d43096d6ap-4, 0x1.3615e1d404f75p-4, 0x1.623213bbded2p-4, 0x1.8bd25f014347ap-4, 0x1.b30f474eac494p-4, 0x1.d800d0a18f8b7p-4, 0x1.fabe73b752a5fp-4, 0x1.0daf8a713f5adp-3, 0x1.1cfc7e79facc9p-3, 0x1.2b50e9fd228a6p-3, 0x1.38b74e9d823f4p-3, 0x1.4539db468e979p-3, 0x1.50e269f610881p-3, 0x1.5bba81712d732p-3, 0x1.65cb549da0aedp-3, 0x1.6f1dc3950955dp-3, 0x1.77ba5cef96ff8p-3, 0x1.7fa95e70aa336p-3, 0x1.86f2b73e453fap-3, 0x1.8d9e093b9a7f3p-3, 0x1.93b2aaf511c36p-3, 0x1.9937a993404fbp-3, 0x1.9e33cae0d766p-3, 0x1.a2ad8f5f2e0a5p-3, 0x1.a6ab346eb5dfcp-3, 0x1.aa32b67b35d41p-3, 0x1.ad49d2c7cc383p-3, 0x1.aff60a520fe76p-3, 0x1.b23ca332a2bfcp-3, 0x1.b422ab12b1184p-3, 0x1.b5acf92d04884p-3, 0x1.b6e0305cb817dp-3, 0x1.b7c0c0dd83c16p-3, 0x1.b852eab371274p-3, 0x1.b89abf0fa9b96p-3, 0x1.b89c2265f967bp-3, 0x1.b85ace20f3d6ep-3, 0x1.b7da525d66c0dp-3, 0x1.b71e1792b5391p-3, 0x1.b6296027e1c73p-3, 0x1.b4ff4a09cf024p-3, 0x1.b3a2d02050e74p-3, 0x1.b216cbc505d38p-3, 0x1.b05df61e42e8cp-3, 0x1.ae7ae97c18204p-3, 0x1.ac70229f8ac3ap-3, 0x1.aa4001db2e72bp-3, 0x1.a7eccc7fd35a4p-3, 0x1.a578adbdc5deep-3, 0x1.a2e5b7df00b9dp-3, 0x1.a035e54b332aap-3, 0x1.9d6b19870db22p-3, 0x1.9a87222f30d17p-3, 0x1.978bb7e36a9c8p-3, 0x1.947a7f288cce7p-3, 0x1.915509423a57ap-3, 0x1.8e1cd50450e9dp-3, 0x1.8ad34f9cbc573p-3, 0x1.8779d54fe0d3ep-3, 0x1.8411b1b2c9625p-3, 0x1.809c22dbab8adp-3, 0x1.7d1a550afeb74p-3, 0x1.798d684af9e0fp-3, 0x1.75f66e8dbaac8p-3, 0x1.72566cc1fa1c8p-3, 0x1.6eae5b5f6516ap-3, 0x1.6aff26eebe829p-3, 0x1.6749b09099a69p-3, 0x1.638ece792132bp-3, 0x1.5fcf4c66a46a1p-3, 0x1.5c0bec1b86b5dp-3, 0x1.584565b11ef11p-3, 0x1.547c683752247p-3, 0x1.50b199e51f85cp-3, 0x1.4ce59894b6ae1p-3, 0x1.4918fa171f729p-3, 0x1.454c4c9286c54p-3, 0x1.418016d633f5cp-3, 0x1.3db4d8ab9e978p-3, 0x1.39eb0b22fc343p-3, 0x1.362320e22966cp-3, 0x1.325d8669fe9d3p-3, 0x1.2e9aa25cbacf3p-3, 0x1.2adad5bedd3d2p-3, 0x1.271e7c3733fe4p-3, 0x1.2365ec4a9b877p-3, 0x1.1fb177969f717p-3, 0x1.1c016b09886adp-3, 0x1.18560f15285cep-3, 0x1.14afa7e9a104ap-3, 0x1.110e7598aae53p-3, 0x1.0d72b45011fe1p-3, 0x1.09dc9c838ccb1p-3, 0x1.064c6314ae9b7p-3, 0x1.02c2397fd3948p-3, 0x1.fe7c9bffc593dp-4, 0x1.f78197704e011p-4, 0x1.f093b5a9ecfa2p-4, 0x1.e9b3415d78c8bp-4, 0x1.e2e07fe1361ddp-4, 0x1.dc1bb154e8738p-4, 0x1.d56510f9c80bdp-4, 0x1.cebcd565a4496p-4, 0x1.c82330af5d596p-4, 0x1.c19850af5b6e2p-4, 0x1.bb1c5f2b64cd4p-4, 0x1.b4af820bedd45p-4, 0x1.ae51db89bdb3ep-4, 0x1.a8038a5718275p-4, 0x1.a1c4a9cc5dd2cp-4, 0x1.9b9552100ae9dp-4, 0x1.95759846a4db6p-4, 0x1.8f658ea205fcbp-4, 0x1.8965449bbfae6p-4, 0x1.8374c70fc7d34p-4, 0x1.7d942056b6098p-4, 0x1.77c35866c3423p-4, 0x1.720274f41aa81p-4, 0x1.6c5179949a4f7p-4, 0x1.66b067ccc04d1p-4, 0x1.611f3f2b00012p-4, 0x1.5b9dfd681871ep-4, 0x1.562c9e80fb7eap-4, 0x1.50cb1cbd7ce3fp-4, 0x1.4b7970d847626p-4, 0x1.4637920484c21p-4, 0x1.4105760b311cap-4, 0x1.3be3115bf7a29p-4, 0x1.36d0571af2196p-4, 0x1.31cd3936916c1p-4, 0x1.2cd9a8761992ep-4, 0x1.27f5948d32f39p-4, 0x1.2320ec169ee67p-4, 0x1.1e5b9ccbc04ffp-4, 0x1.19a5936984421p-4, 0x1.14febbcd1a1d1p-4, 0x1.106701070d7bdp-4, 0x1.0bde4d590c644p-4, 0x1.07648a4f5c7aep-4, 0x1.02f9a0be4699dp-4, 0x1.fd3af1ae76cep-5, 0x1.f49ff4535e76ap-5, 0x1.ec221767d7a56p-5, 0x1.e3c127d4001abp-5, 0x1.db7cf16e100fep-5, 0x1.d3553f3246bc9p-5, 0x1.cb49db1aa0be4p-5, 0x1.c35a8e59ab5bcp-5, 0x1.bb87215ddacc2p-5, 0x1.b3cf5bd4151f9p-5, 0x1.ac3304b957ebfp-5, 0x1.a4b1e2800556dp-5, 0x1.9d4bbaf24146cp-5, 0x1.9600536d1b8ecp-5, 0x1.8ecf70868b38cp-5, 0x1.87b8d51b5c49cp-5, 0x1.80bc4a31c96cdp-5, 0x1.79d98e3d6747p-5, 0x1.7310662cee996p-5, 0x1.6c6094fc81725p-5, 0x1.65c9dd589d3c8p-5, 0x1.5f4c01c0c0054p-5, 0x1.58e6c47090248p-5, 0x1.5299e780a030ap-5, 0x1.4c652ce35fca7p-5, 0x1.464856715d5b1p-5, 0x1.404325ea86f5bp-5, 0x1.3a555cf9a535dp-5, 0x1.347ebd3d6c023p-5, 0x1.2ebf087c0dd63p-5, 0x1.291600067caf9p-5, 0x1.238365c990e23p-5, 0x1.1e06fb71ee06cp-5, 0x1.18a082b4046c8p-5, 0x1.134fbd6e3701fp-5, 0x1.0e146da0ceef7p-5, 0x1.08ee555aed46ap-5, 0x1.03dd36d788cd7p-5, 0x1.fdc1a8f446a71p-6, 0x1.f3f1e19e16471p-6, 0x1.ea4a9d1d2bb0ep-6, 0x1.e0cb615bcd3c5p-6, 0x1.d773b49ffa99fp-6, 0x1.ce431da93e6cdp-6, 0x1.c53923c279f6cp-6, 0x1.bc554e947fb27p-6, 0x1.b3972678400fdp-6, 0x1.aafe341e53625p-6, 0x1.a28a010aed41cp-6, 0x1.9a3a171a0987fp-6, 0x1.920e00fc2ffc6p-6, 0x1.8a0549d5a474bp-6, 0x1.821f7d8cb57bp-6, 0x1.7a5c28a0fa065p-6, 0x1.72badbd763c54p-6, 0x1.6b3b1a85c5605p-6, 0x1.63dc7dd891d53p-6, 0x1.5c9e91ab8e71dp-6, 0x1.5580e60fcb968p-6, 0x1.4e830be76ccf2p-6, 0x1.47a494cd574d8p-6, 0x1.40e5132790a75p-6, 0x1.3a441a2aefe3ep-6, 0x1.33c13dcc3ff12p-6, 0x1.2d5c12f2b1023p-6, 0x1.27142f2d7f388p-6, 0x1.20e928f6e4f3p-6, 0x1.1ada97a4dfacp-6, 0x1.14e8135f8466bp-6, 0x1.0f113523adc7ap-6, 0x1.095596da39c22p-6, 0x1.03b4d34fcd58bp-6, 0x1.fc5d0c319e73p-7, 0x1.f1849768f596dp-7, 0x1.e6df793ae032dp-7, 0x1.dc6d0c63ff3cap-7, 0x1.d22c7105a762fp-7, 0x1.c81cf17cf1bcep-7, 0x1.be3dcfed99774p-7, 0x1.b48e500e1cd83p-7, 0x1.ab0db7c1314d3p-7, 0x1.a1bb4e82871aap-7, 0x1.98965db9e33cfp-7, 0x1.8f9e30a363c55p-7, 0x1.86d2146b9e928p-7, 0x1.7e3157de3347cp-7, 0x1.75bb4bfb0ab66p-7, 0x1.6d6f435e2248fp-7, 0x1.654c927989013p-7, 0x1.5d528fe962f83p-7, 0x1.558093c34edc1p-7, 0x1.4dd5f836895c4p-7, 0x1.46521930edba8p-7, 0x1.3ef454c2e459ep-7, 0x1.37bc0a6f63bfap-7, 0x1.30a89bcc4a2ebp-7, 0x1.29b96c4af5252p-7, 0x1.22ede12db6dc2p-7, 0x1.1c4561db10878p-7, 0x1.15bf5670559b9p-7, 0x1.0f5b2a82c773ap-7, 0x1.09184a5c020a4p-7, 0x1.02f6248d46be3p-7, 0x1.f9e852976caf9p-8, 0x1.ee239535f28ecp-8, 0x1.e29cf9b1af6adp-8, 0x1.d7536858707f3p-8, 0x1.cc45d3062f357p-8, 0x1.c1732b3fc182ap-8, 0x1.b6da67168ab4ep-8, 0x1.ac7a8006ff4f9p-8, 0x1.a2527323c1659p-8, 0x1.986140f8325bap-8, 0x1.8ea5ed53d384p-8, 0x1.851f7f81585b1p-8, 0x1.7bcd024a420c5p-8, 0x1.72ad83cb8e756p-8, 0x1.69c016548cb65p-8, 0x1.6103ceb5b07fp-8, 0x1.5877c5348459dp-8, 0x1.501b158d3be58p-8, 0x1.47ecde70206dcp-8, 0x1.3fec41dafc6f1p-8, 0x1.3818650bf525dp-8, 0x1.3070708d36f9ep-8, 0x1.28f39085deacbp-8, 0x1.21a0f40b19994p-8, 0x1.1a77cd63111d6p-8, 0x1.137752364fdd4p-8, 0x1.0c9ebac351265p-8, 0x1.05ed41ca0ee89p-8, 0x1.fec44ae8931aep-9, 0x1.f1f94cf6ae764p-9, 0x1.e5781336cf071p-9, 0x1.d93f2c31a26fbp-9, 0x1.cd4d2d0b9f6cap-9, 0x1.c1a0b13255395p-9, 0x1.b6385900818fap-9, 0x1.ab12ca3b8192dp-9, 0x1.a02eb01398bep-9, 0x1.958ab7a0ae63ap-9, 0x1.8b259885302edp-9, 0x1.80fe0c767d3e3p-9, 0x1.7712d4285366bp-9, 0x1.6d62b7076a307p-9, 0x1.63ec81e0139bcp-9, 0x1.5aaf06b51e174p-9, 0x1.51a91b877c36bp-9, 0x1.48d99bd14d01ap-9, 0x1.403f8283d6641p-9, 0x1.37d95f3153467p-9, 0x1.2fa66dae77c8p-9, 0x1.27a57fb26e8d5p-9, 0x1.1fd5889338e1bp-9, 0x1.183580ec08f11p-9, 0x1.10c465bc5aa35p-9, 0x1.09813a5af7072p-9, 0x1.026b0503f469dp-9, 0x1.f701a2e80d23dp-10, 0x1.e9835bdf868dep-10, 0x1.dc59585c6981dp-10, 0x1.cf81c5c94aa89p-10, 0x1.c2fad898cdbcfp-10, 0x1.b6c2cdd2294d9p-10, 0x1.aad7eca22268dp-10, 0x1.9f3883f455954p-10, 0x1.93e2edfeeb0c8p-10, 0x1.88d58a7f82a87p-10, 0x1.7e0ec50564bb5p-10, 0x1.738d0f300e926p-10, 0x1.694ee17718dcbp-10, 0x1.5f52bb55f27ep-10, 0x1.559720ccfd94bp-10, 0x1.4c1a9dbc17051p-10, 0x1.42dbc30d46702p-10, 0x1.39d928a9cc99fp-10, 0x1.31116d393800cp-10, 0x1.288337a225f73p-10, 0x1.202d375fd7873p-10, 0x1.180e265280f31p-10, 0x1.1024c49e2a27dp-10, 0x1.086fd8a425a74p-10, 0x1.00ee3383066cbp-10, 0x1.f33d453383198p-11, 0x1.e4fff986584d9p-11, 0x1.d722352d5c89cp-11, 0x1.c9a1925add2c6p-11, 0x1.bc7c342b99273p-11, 0x1.afaf8b5ba2639p-11, 0x1.a3399a46ed45p-11, 0x1.9718526b3f0b5p-11, 0x1.8b49ba1750385p-11, 0x1.7fcbe44368e08p-11, 0x1.749cea6e37824p-11, 0x1.69baf3b955544p-11, 0x1.5f24222fa8ac9p-11, 0x1.54d6a344485edp-11, 0x1.4ad0ae4d7c96fp-11, 0x1.41106b5f52ee1p-11, 0x1.37942a7f23f07p-11, 0x1.2e5a303aebc56p-11, 0x1.2560d79185843p-11, 0x1.1ca68ae1c6e08p-11, 0x1.1429c9e26bed3p-11, 0x1.0be918cae94d7p-11, 0x1.03e3094bdb7dep-11, 0x1.f82c5b13f0f95p-12, 0x1.e9021d957300cp-12, 0x1.da44917d49704p-12, 0x1.cbf0e8457bb88p-12, 0x1.be0468425079ep-12, 0x1.b07c6518439a1p-12, 0x1.a3563e53cda8ep-12, 0x1.968f64384915dp-12, 0x1.8a255fede089cp-12, 0x1.7e15d959fc17ep-12, 0x1.725e94981f6ddp-12, 0x1.66fd65a42c8dbp-12, 0x1.5bf022c43d936p-12, 0x1.51349dd34b4e9p-12, 0x1.46c8a93f190b9p-12, 0x1.3caa23995c5eep-12, 0x1.32d6ff270a89fp-12, 0x1.294d42645b7dep-12, 0x1.200b021ac25d5p-12, 0x1.170e58843d472p-12, 0x1.0e5569159a2b5p-12, 0x1.05de5813617b3p-12, 0x1.fb4ecb2d631b3p-13, 0x1.eb5dbd9864dd6p-13, 0x1.dbe643607a082p-13, 0x1.cce526cc63b6fp-13, 0x1.be57285d8c824p-13, 0x1.b03903e9b7dc8p-13, 0x1.a28787ab61cb5p-13, 0x1.953fa8c2f4794p-13, 0x1.885e908aa29fep-13, 0x1.7be17f038a51cp-13, 0x1.6fc5d7098174p-13, 0x1.6408feb253b9bp-13, 0x1.58a86c11c79ffp-13, 0x1.4da188ec7dde6p-13, 0x1.42f1d1435edfep-13, 0x1.3896c74867b1p-13, 0x1.2e8e141f72c0ep-13, 0x1.24d54b356ff4dp-13, 0x1.1b6a21cd1e221p-13, 0x1.124a42263ecfp-13, 0x1.09737a225a763p-13, 0x1.00e38dea4ccp-13, 0x1.f1310f536498cp-14, 0x1.e120dad20006p-14, 0x1.d192dd32b4835p-14, 0x1.c2836d411d4dfp-14, 0x1.b3ef0bd89515p-14, 0x1.a5d2618cb44e5p-14, 0x1.982a1079d10b7p-14, 0x1.8af28c7c3e1f3p-14, 0x1.7e284574419a4p-14, 0x1.71c7c5baf72cep-14, 0x1.65cdcaca3423cp-14, 0x1.5a374a3fac096p-14, 0x1.4f014dce25ca1p-14, 0x1.4428f1517b882p-14, 0x1.39ab62ad642c5p-14, 0x1.2f86013fe7672p-14, 0x1.25b61d86e1386p-14, 0x1.1c391959d4277p-14, 0x1.130c747e92eb2p-14, 0x1.0a2de3931d094p-14, 0x1.019b410c21552p-14, 0x1.f2a4f4698c71fp-15, 0x1.e2a2667a6cbecp-15, 0x1.d329c6a248376p-15, 0x1.c4361d0f04fa2p-15, 0x1.b5c28a4e2b3adp-15, 0x1.a7cadc73e01d7p-15, 0x1.9a4b525a3cf67p-15, 0x1.8d409de105ee8p-15, 0x1.80a7694919701p-15, 0x1.747bf1eb7ec79p-15, 0x1.68bae68e0fb58p-15, 0x1.5d60cf2a9816dp-15, 0x1.526a337eeb312p-15, 0x1.47d3db190c858p-15, 0x1.3d9b07391f818p-15, 0x1.33bd16b72c46bp-15, 0x1.2a3779c6dc3ccp-15, 0x1.210733c3857dfp-15, 0x1.1829ae3b4fcfap-15, 0x1.0f9b2c744fb47p-15, 0x1.0758a7840af9ep-15, 0x1.febe6c65865d2p-16, 0x1.ef589bcf48bfbp-16, 0x1.e07ba3d9397d2p-16, 0x1.d2237627a94b8p-16, 0x1.c44bfb2a1a523p-16, 0x1.b6f067e612fdap-16, 0x1.aa0c35e810a4dp-16, 0x1.9d9b3d7f56e48p-16, 0x1.9199957077f68p-16, 0x1.860382886104cp-16, 0x1.7ad642190534ep-16, 0x1.700ebaf31389bp-16, 0x1.65a89c473e5e9p-16, 0x1.5ba12119da341p-16, 0x1.51f4d176973e7p-16, 0x1.48a071177da2ap-16, 0x1.3fa0529213befp-16, 0x1.36f104c56a478p-16, 0x1.2e8f63ca1046fp-16, 0x1.2678c799a6276p-16, 0x1.1eab0f02cea05p-16, 0x1.1723b7e0e692bp-16, 0x1.0fe00a9d799aep-16, 0x1.08dd18e7c6daep-16, 0x1.0217e71ab632ep-16, 0x1.f71ca36f34805p-17, 0x1.ea7c517d0a7b4p-17, 0x1.de4b32d12b049p-17, 0x1.d2868ca872276p-17, 0x1.c72941f54c2a1p-17, 0x1.bc2f9185b3942p-17, 0x1.b195da0ce795bp-17, 0x1.a758251d41f92p-17, 0x1.9d736b615c077p-17, 0x1.93e43e52ac405p-17, 0x1.8aa7230978d59p-17, 0x1.81b8aa29144d2p-17, 0x1.791592de770cp-17, 0x1.70bb2b55c9c57p-17, 0x1.68a6cad1f1194p-17, 0x1.60d61a42f9436p-17, 0x1.594641d8e04b1p-17, 0x1.51f3b254171a2p-17, 0x1.4adc48fe4649bp-17, 0x1.43fda238b39f1p-17, 0x1.3d55cdfedd089p-17, 0x1.36e2467714afbp-17, 0x1.30a17112ac90dp-17, 0x1.2a90591bb0aa1p-17, 0x1.24acca3673aa4p-17, 0x1.1ef5334b1403ep-17, 0x1.1967ff8c09cd2p-17, 0x1.1403626959bfbp-17, 0x1.0ec6062a5bb88p-17, 0x1.09ae1777630dbp-17, 0x1.04ba26bf9268dp-17, 0x1.ffd1a606f612dp-18, 0x1.f6701696a5503p-18, 0x1.ed4d91b87753dp-18, 0x1.e4676f0e1e9a6p-18, 0x1.dbba71c1973bep-18, 0x1.d344e88f900fap-18, 0x1.cb0437d7aa906p-18, 0x1.c2f542c82daeap-18, 0x1.bb173b17eece4p-18, 0x1.b368698901fd7p-18, 0x1.abe688f763287p-18, 0x1.a48f124cdf903p-18, 0x1.9d5fb5055a36bp-18, 0x1.9656d52bf0501p-18, 0x1.8f720c8f0f48fp-18, 0x1.88b117bb519bbp-18, 0x1.82114a6b2f54p-18, 0x1.7b909332fe373p-18, 0x1.752fc9562bbfap-18, 0x1.6eecf492405e4p-18, 0x1.68c656bc299aep-18, 0x1.62bb127fd9fcap-18, 0x1.5cc9b8a1b116dp-18, 0x1.56f0c7a3e2f1fp-18, 0x1.512f3794dc741p-18, 0x1.4b8441ea078ccp-18, 0x1.45eefd21768efp-18, 0x1.406e82f203409p-18, 0x1.3b01ea8bb5a61p-18, 0x1.35a8fde32fe92p-18, 0x1.3061e8596eb76p-18, 0x1.2b2ce5795557dp-18, 0x1.26090d9d6768fp-18, 0x1.20f4ce7cc152bp-18, 0x1.1bf02fb068433p-18, 0x1.16fa9f18ac298p-18, 0x1.121406ef77437p-18, 0x1.0d3ac6cc1defdp-18, 0x1.086e5d71a969p-18, 0x1.03ae964b77463p-18, 0x1.fdf76b34d642cp-19, 0x1.f4a9335f70d02p-19, 0x1.eb712dccf20d5p-19, 0x1.e250a7557a9c1p-19, 0x1.d945b7e06d153p-19, 0x1.d04ee841d34ffp-19, 0x1.c76c3bd29318ap-19, 0x1.be9d93487e12p-19, 0x1.b5e17d3efd39bp-19, 0x1.ad3956e25d102p-19, 0x1.a4a2458d8866fp-19, 0x1.9c1d2ffef47aep-19, 0x1.93a9f2fa016dbp-19, 0x1.8b47a8e3b68c8p-19, 0x1.82f5ba96ff8c4p-19, 0x1.7ab44ce81f411p-19, 0x1.7282fa81296e2p-19, 0x1.6a6169bbc3c84p-19, 0x1.624f1399b000ep-19, 0x1.5a4d3279cf3ddp-19, 0x1.5258fef22e39p-19, 0x1.4a7510ee9fb75p-19, 0x1.42a0441980b29p-19, 0x1.3ad8aad76f113p-19, 0x1.33206f907a2c4p-19, 0x1.2b76a79912a36p-19, 0x1.23db21ce6b4a6p-19, 0x1.1c4dd2dd153acp-19, 0x1.14cec92873dc4p-19, 0x1.0d5d86e291095p-19, 0x1.05fa4933e3b2dp-19, 0x1.fd4ad0a24cd3fp-20, 0x1.eebe5cbe109e7p-20, 0x1.e04c1d93803adp-20, 0x1.d1f68cbf654f2p-20, 0x1.c3bd55bf8bf4dp-20, 0x1.b5a07a2633a94p-20, 0x1.a7a08c9626e67p-20, 0x1.99bb86cd51f96p-20, 0x1.8bf3725ddb3b1p-20, 0x1.7e471dd073304p-20, 0x1.70b71246de027p-20, 0x1.6344a73565a98p-20, 0x1.55efc4e5438eap-20, 0x1.48b5644b8c925p-20, 0x1.3b99409686f5cp-20, 0x1.2e9a5a019568ap-20, 0x1.21b8e6447dcd7p-20, 0x1.14f3151146dd1p-20, 0x1.084c4c4fcbc4fp-20, 0x1.f787a96a03d19p-21, 0x1.deacb71b1cac6p-21, 0x1.c60f3abc977a4p-21, 0x1.adb1844eb9374p-21, 0x1.958c52218b32ap-21, 0x1.7da3edd3e2c92p-21, 0x1.65f8ca9ebdc6ap-21, 0x1.4e8a9b4b6f11cp-21, 0x1.375a4bed6a135p-21, 0x1.2067abae72e69p-21, 0x1.09afd2277f332p-21, 0x1.e673cdfc5e3d9p-22, 0x1.ba000544d5a4dp-22, 0x1.8e0887db47bb1p-22, 0x1.629079dcf1c53p-22, 0x1.3796cd1dc79aep-22, 0x1.0d1b9eb9edabfp-22, 0x1.c6363d7e0037ap-23, 0x1.733b3af950313p-23, 0x1.213cee254154cp-23, 0x1.a07b40707db48p-24, 0x1.007cb4d6c8588p-24, 0x1.89fe1c7e13d2ep-26, -0x1.cba7cdea188ebp-27, -0x1.a6dd6c5dcbb81p-25, -0x1.6b72e37e010c8p-24, }}, 
      std::vector<double>(649, 0.0), 
      {{0x1.22563f193b26dp-4, 0x1.8c9bd23752236p-4, 0x1.d39244f04673cp-4, 0x1.f57ad7b025c61p-4, 0x1.f32d0dfb10d68p-4, 0x1.cf2a46b80cfa1p-4, 0x1.8cf50d1a2c73bp-4, 0x1.3099558ae3d26p-4, 0x1.7cb078a83ee41p-5, 0x1.d36d63468117ep-7, -0x1.5c5c02fe5da73p-6, -0x1.e4d8f5996365cp-5, -0x1.941ec3e4d2fb6p-4, -0x1.1c8b87dd81686p-3, -0x1.6f4f2622ff37cp-3, -0x1.c12def501ca02p-3, -0x1.089470f570668p-2, -0x1.2f35be67e1a56p-2, -0x1.54243538400fp-2, -0x1.771af46deb6a8p-2, -0x1.97e50c7a4a57p-2, -0x1.b65bac2fefe1ap-2, -0x1.d2645f80b08d9p-2, -0x1.ebef681cc6132p-2, -0x1.017b1aa37d835p-1, -0x1.0bbcfe9862fa3p-1, -0x1.14c13c9746d5bp-1, -0x1.1c8e627616903p-1, -0x1.232d2f7b1bd54p-1, -0x1.28a824141e6dep-1, -0x1.2d0b1fa152e4ap-1, -0x1.30630ad9ef616p-1, -0x1.32bd8d6e715dp-1, -0x1.3428cdc351be7p-1, -0x1.34b339c04b9efp-1, -0x1.346b57ce91786p-1, -0x1.335f9f3a950e6p-1, -0x1.319e572c17d6cp-1, -0x1.2f357b98654a2p-1, -0x1.2c32a76840e2p-1, -0x1.28a3033eedb0cp-1, -0x1.2493383ba9a6cp-1, -0x1.200f66587ee1ep-1, -0x1.1b231d6aed912p-1, -0x1.15d959278e1ecp-1, -0x1.103c7ef369bb3p-1, -0x1.0a565da5406fcp-1, -0x1.04302ec102e33p-1, -0x1.fba531cf150e5p-2, -0x1.ee8b6689522f8p-2, -0x1.e122138113deap-2, -0x1.d377439229382p-2, -0x1.c597ff1889ab5p-2, -0x1.b790570232ap-2, -0x1.a96b70478840fp-2, -0x1.9b338f9523e46p-2, -0x1.8cf2250727259p-2, -0x1.7eafd7c8e7748p-2, -0x1.707491b71b529p-2, -0x1.62478a4e29c63p-2, -0x1.542f51d22df5dp-2, -0x1.4631dbf555c9dp-2, -0x1.3854898732e26p-2, -0x1.2a9c32af664eep-2, -0x1.1d0d2ff642ca2p-2, -0x1.0fab632c6de03p-2, -0x1.027a3fd0e0f04p-2, -0x1.eaf9a6079942ep-3, -0x1.d16b9617f7455p-3, -0x1.b84efcd995865p-3, -0x1.9fa7e5256aa01p-3, -0x1.8779c3f8999bfp-3, -0x1.6fc784960323cp-3, -0x1.58939313dc653p-3, -0x1.41dfe6cb6b07cp-3, -0x1.2bae0bd757ca2p-3, -0x1.15ff2bfbf494ep-3, -0x1.00d416e004824p-3, -0x1.d85a938dee038p-4, -0x1.b015ed4bc0d46p-4, -0x1.88da158e0affbp-4, -0x1.62a669c99e82ap-4, -0x1.3d79d5c21d32bp-4, -0x1.1952de11cecfcp-4, -0x1.ec5f53c5546e4p-5, -0x1.a81c18114851ep-5, -0x1.65d716c557f09p-5, -0x1.258ad54d14242p-5, -0x1.ce62be1cdb3b3p-6, -0x1.5588a5c761149p-6, -0x1.c0f3bd5a2c966p-7, -0x1.bca0f16bfeb3cp-8, -0x1.84fdeef31fbefp-14, 0x1.a1fc7999dc8b5p-8, 0x1.9de792918f2e4p-7, 0x1.31e9114b99343p-6, 0x1.916f53d9b7fdp-6, 0x1.ed972eab7c0cdp-6, 0x1.2338b96610326p-5, 0x1.4e078c51de559p-5, 0x1.77409a5a084c3p-5, 0x1.9eec76cf212fdp-5, 0x1.c513b94bbcc1p-5, 0x1.e9bef9879c0abp-5, 0x1.067b65eb29e6bp-4, 0x1.1761ddb4deae1p-4, 0x1.279725ac94b15p-4, 0x1.371f77c60b335p-4, 0x1.45ff0602a88cp-4, 0x1.5439f90af4342p-4, 0x1.61d46f1f23e08p-4, 0x1.6ed27b20c7f7p-4, 0x1.7b3823a59e3cfp-4, 0x1.8709622c72542p-4, 0x1.924a2283a8f8ap-4, 0x1.9cfe42138e436p-4, 0x1.a7298f791af7bp-4, 0x1.b0cfc9d95ecadp-4, 0x1.b9f4a0b295ad9p-4, 0x1.c29bb367207b3p-4, 0x1.cac890feaceb4p-4, 0x1.d27eb7f30df27p-4, 0x1.d9c195fc9031bp-4, 0x1.e09487d891734p-4, 0x1.e6fad963c7eb3p-4, 0x1.ecf7c56328cdp-4, 0x1.f28e758c17868p-4, 0x1.f7c2027a24fecp-4, 0x1.fc9573d569c91p-4, 0x1.0085e0279e9e5p-3, 0x1.0293e6d2f3f56p-3, 0x1.04763874a6dd7p-3, 0x1.062e37472a18cp-3, 0x1.07bd3d4395c1cp-3, 0x1.09249c2f4610fp-3, 0x1.0a659dd5e071bp-3, 0x1.0b818404b0097p-3, 0x1.0c7988a1a08b6p-3, 0x1.0d4eddd44f4fbp-3, 0x1.0e02ae2c3df12p-3, 0x1.0e961cb1165f4p-3, 0x1.0f0a44f36e7bbp-3, 0x1.0f603b454ccb5p-3, 0x1.0f990ce050862p-3, 0x1.0fb5bfee6f512p-3, 0x1.0fb753ac6834fp-3, 0x1.0f9ec09417859p-3, 0x1.0f6cf894f2c8ap-3, 0x1.0f22e71b766c2p-3, 0x1.0ec171214db2ep-3, 0x1.0e49756ebe775p-3, 0x1.0dbbccc663f52p-3, 0x1.0d1949f8eec7bp-3, 0x1.0c62b9ee9614ep-3, 0x1.0b98e3ded3b14p-3, 0x1.0abc89875351ep-3, 0x1.09ce673f5e196p-3, 0x1.08cf3402b4667p-3, 0x1.07bfa19416c7bp-3, 0x1.06a05cbd9f4eap-3, 0x1.05720d744dff6p-3, 0x1.043556d4ee875p-3, 0x1.02ead73cc3d57p-3, 0x1.0193287b6b266p-3, 0x1.002ee00b3f493p-3, 0x1.fd7d1e364fd02p-4, 0x1.fa85851f562ebp-4, 0x1.f77806527bb73p-4, 0x1.f455ab74ffd49p-4, 0x1.f11f767b1985p-4, 0x1.edd661d139b31p-4, 0x1.ea7b606922855p-4, 0x1.e70f5e05905dcp-4, 0x1.e3933f9090ac3p-4, 0x1.e007e3392e3c8p-4, 0x1.dc6e20907d6e8p-4, 0x1.d8c6c8b82caccp-4, 0x1.d512a696baf7ap-4, 0x1.d1527f0dfd896p-4, 0x1.cd8711264b3f4p-4, 0x1.c9b11629c4b2cp-4, 0x1.c5d141ca52f1ap-4, 0x1.c1e842538ef02p-4, 0x1.bdf6c0cdd4962p-4, 0x1.b9fd6126ea48ap-4, 0x1.b5fcc24d457e6p-4, 0x1.b1f57e5cb5ab2p-4, 0x1.ade82abb48019p-4, 0x1.a9d5583a8a10dp-4, 0x1.a5bd933522b96p-4, 0x1.a1a163ae47e0dp-4, 0x1.9d814d77241c9p-4, 0x1.995dd04ebf468p-4, 0x1.953767ef1b13dp-4, 0x1.910e8c376806ap-4, 0x1.8ce3b13baa77bp-4, 0x1.88b7475cc8072p-4, 0x1.8489bb7582c0cp-4, 0x1.805b76e5c0b0fp-4, 0x1.7c2cdfa784acfp-4, 0x1.77fe5865f1f28p-4, 0x1.73d0409f3b87ap-4, 0x1.6fa2f49f0eafdp-4, 0x1.6b76cdb1b4095p-4, 0x1.674c222df74a3p-4, 0x1.63234585f213ap-4, 0x1.5efc88561b461p-4, 0x1.5ad8387ebf5f2p-4, 0x1.56b6a12dcc10fp-4, 0x1.52980af8643edp-4, 0x1.4e7cbbea758b8p-4, 0x1.4a64f7928bf6cp-4, 0x1.4650ff1bc425bp-4, 0x1.4241114c5a79ep-4, 0x1.3e356a9725fe2p-4, 0x1.3a2e454680f65p-4, 0x1.362bd95ac9628p-4, 0x1.322e5cbdabfaap-4, 0x1.2e36034a0688dp-4, 0x1.2a42fecdfdd55p-4, 0x1.26557f0fb33e7p-4, 0x1.226db1f3cd89cp-4, 0x1.1e8bc3710bdf8p-4, 0x1.1aafddab2374cp-4, 0x1.16da28f58265ep-4, 0x1.130acbe45cdd1p-4, 0x1.0f41eb574406ap-4, 0x1.0b7faa7879aa3p-4, 0x1.07c42ad6555b6p-4, 0x1.040f8c601e947p-4, 0x1.0061ed790ad6cp-4, 0x1.f976d5fea461cp-5, 0x1.f23840b234725p-5, 0x1.eb084edd11ce9p-5, 0x1.e3e7319a61ffbp-5, 0x1.dcd5171e3dc4dp-5, 0x1.d5d22afedd95fp-5, 0x1.cede9633db4bp-5, 0x1.c7fa7f17dc8b5p-5, 0x1.c1260999b9c9dp-5, 0x1.ba6156f832742p-5, 0x1.b3ac867839d93p-5, 0x1.ad07b4b3eee0ap-5, 0x1.a672fc33d8dafp-5, 0x1.9fee752314a45p-5, 0x1.997a359cbc20dp-5, 0x1.931651a7e87b4p-5, 0x1.8cc2db2b110e2p-5, 0x1.867fe22d6912fp-5, 0x1.804d74961d1cap-5, 0x1.7a2b9e93350e2p-5, 0x1.741a6a6bb8d6cp-5, 0x1.6e19e0945f577p-5, 0x1.682a07cce0448p-5, 0x1.624ae5203e091p-5, 0x1.5c7c7be455e3bp-5, 0x1.56becde3b7c88p-5, 0x1.5111db628fdeap-5, 0x1.4b75a2fe95fc2p-5, 0x1.45ea21f236d87p-5, 0x1.406f54171c24dp-5, 0x1.3b0533bf751c3p-5, 0x1.35abb9f5f677dp-5, 0x1.3062de7249ab4p-5, 0x1.2b2a97b0f2c04p-5, 0x1.2602dae71f7c2p-5, 0x1.20eb9c196825bp-5, 0x1.1be4ce29ecf4ap-5, 0x1.16ee62d1cf296p-5, 0x1.12084ac3904fep-5, 0x1.0d327596c854bp-5, 0x1.086cd1f2a1b64p-5, 0x1.03b74d6bfee8p-5, 0x1.fe23a979206edp-6, 0x1.f4f8a73f2987ep-6, 0x1.ebed6a00c4549p-6, 0x1.e301c5dec3cb5p-6, 0x1.da358d5c44fffp-6, 0x1.d188914dd36c4p-6, 0x1.c8faa13029508p-6, 0x1.c08b8b1aa1d14p-6, 0x1.b83b1b827e665p-6, 0x1.b0091db06db73p-6, 0x1.a7f55bac772aep-6, 0x1.9fff9e372bdf9p-6, 0x1.9827ad04f0801p-6, 0x1.906d4eb0a0a4p-6, 0x1.88d048d45e4b3p-6, 0x1.81505ff181c9ap-6, 0x1.79ed577d37b3fp-6, 0x1.72a6f20a06129p-6, 0x1.6b7cf1782eaffp-6, 0x1.646f16b71d0f5p-6, 0x1.5d7d22387bb48p-6, 0x1.56a6d3c44ef51p-6, 0x1.4febea75005cdp-6, 0x1.494c2498511f5p-6, 0x1.42c73fc381878p-6, 0x1.3c5cf8e4aaa4ap-6, 0x1.360d0c80a067cp-6, 0x1.2fd736e778673p-6, 0x1.29bb344d16804p-6, 0x1.23b8c0a10830ep-6, 0x1.1dcf9780ab69bp-6, 0x1.17ff740162b0ap-6, 0x1.124810627a8d6p-6, 0x1.0ca9267ba9118p-6, 0x1.07226fe104307p-6, 0x1.01b3a658c9589p-6, 0x1.f8b9088662444p-7, 0x1.ee398899ce33bp-7, 0x1.e3e8429f7581fp-7, 0x1.d9c4abab905bdp-7, 0x1.cfce37026d99cp-7, 0x1.c604567ee25d9p-7, 0x1.bc667b1a12d32p-7, 0x1.b2f41652f2a75p-7, 0x1.a9ac9b88caafcp-7, 0x1.a08f8083074c2p-7, 0x1.979c3d5eaebb8p-7, 0x1.8ed24b37dd6eap-7, 0x1.863121f26a212p-7, 0x1.7db837456642p-7, 0x1.7566fe759b1acp-7, 0x1.6d3ce93c37429p-7, 0x1.65396a4ca4cc2p-7, 0x1.5d5bf7738d51bp-7, 0x1.55a40af38043bp-7, 0x1.4e112365a821ep-7, 0x1.46a2c1f688155p-7, 0x1.3f586727bca34p-7, 0x1.383190c58759ep-7, 0x1.312db891595a3p-7, 0x1.2a4c549c622fep-7, 0x1.238cdab0d367bp-7, 0x1.1ceec1ddf6677p-7, 0x1.16718902f0285p-7, 0x1.1014b49588a28p-7, 0x1.09d7cefd3b8bp-7, 0x1.03ba656d0d2fap-7, 0x1.fb7807b58cda1p-8, 0x1.efb862e65396ep-8, 0x1.e434df7926ec9p-8, 0x1.d8ec76eb41872p-8, 0x1.cdde20e730453p-8, 0x1.c308dc8c930d6p-8, 0x1.b86bb6f13f84ep-8, 0x1.ae05cfad4bcd6p-8, 0x1.a3d655d304eb2p-8, 0x1.99dc8068237cdp-8, 0x1.90178429f29bfp-8, 0x1.86868b73ecedbp-8, 0x1.7d28b1d1eebccp-8, 0x1.73fd05299401bp-8, 0x1.6b028c06e70dep-8, 0x1.62385070b5761p-8, 0x1.599d6a2d91e1ap-8, 0x1.513105e72f4a8p-8, 0x1.48f266a10bd67p-8, 0x1.40e0e0af0a027p-8, 0x1.38fbce710f2abp-8, 0x1.3142856ea9405p-8, 0x1.29b44d740ab0fp-8, 0x1.22505cf7203fp-8, 0x1.1b15da9279c97p-8, 0x1.1403e30a09be7p-8, 0x1.0d1992449a1bbp-8, 0x1.06560de5a9124p-8, 0x1.ff711df4fe509p-9, 0x1.f280cd32b6b22p-9, 0x1.e5d9f828f2952p-9, 0x1.d97b8744ded06p-9, 0x1.cd64695ca890cp-9, 0x1.c1937c7334dd7p-9, 0x1.b6078a178e87dp-9, 0x1.aabf45ddc9049p-9, 0x1.9fb94e4667a4fp-9, 0x1.94f4310d99a38p-9, 0x1.8a6e71009f06bp-9, 0x1.80269450e2c8bp-9, 0x1.761b3719c4457p-9, 0x1.6c4b1a54893c2p-9, 0x1.62b524eab801bp-9, 0x1.595854cee96cap-9, 0x1.5033acb46a984p-9, 0x1.474626a4f7503p-9, 0x1.3e8eb7845733dp-9, 0x1.360c58519ace7p-9, 0x1.2dbe0a2032a3dp-9, 0x1.25a2cd42c835ap-9, 0x1.1db98fc1bb54bp-9, 0x1.16012c6591816p-9, 0x1.0e7877e7af19cp-9, 0x1.071e57050bc1ap-9, 0x1.ffe3a445344bcp-10, 0x1.f1e41f7b40fecp-10, 0x1.e43c7a6fcb847p-10, 0x1.d6eaee1d74d19p-10, 0x1.c9ed88953a66ep-10, 0x1.bd4251b5ac29dp-10, 0x1.b0e77c0e559cp-10, 0x1.a4db7322e6104p-10, 0x1.991cb5a59d3fdp-10, 0x1.8da99a694eec7p-10, 0x1.828035b669b8ep-10, 0x1.779e7b6145322p-10, 0x1.6d0287ab2e92dp-10, 0x1.62aada20e208ep-10, 0x1.589657d974588p-10, 0x1.4ec41300565adp-10, 0x1.45330007c0f2fp-10, 0x1.3be1ca5fdd3eep-10, 0x1.32cee9167c875p-10, 0x1.29f8d6e2b13bbp-10, 0x1.215e43e8a4956p-10, 0x1.18fe0b5d08b72p-10, 0x1.10d6f1b965737p-10, 0x1.08e761ca96744p-10, 0x1.012d683c5e3bdp-10, 0x1.f34df1b55c314p-11, 0x1.e4a496e3395cbp-11, 0x1.d65c2c500f225p-11, 0x1.c8731a69815a3p-11, 0x1.bae8602c15b76p-11, 0x1.adbb015833351p-11, 0x1.a0e9995347f19p-11, 0x1.9472471bbaa8fp-11, 0x1.8852fa9e53ce9p-11, 0x1.7c89e0ed1ab9cp-11, 0x1.711590ce4bd5fp-11, 0x1.65f4aa9b46986p-11, 0x1.5b25333297ba9p-11, 0x1.50a447747b542p-11, 0x1.466e7a16811cbp-11, 0x1.3c80705cb5249p-11, 0x1.32d74f31ca27ep-11, 0x1.2970ef4f42dcbp-11, 0x1.204c00853de3bp-11, 0x1.1767ec11491bp-11, 0x1.0ec4557415fdbp-11, 0x1.066075bf38011p-11, 0x1.fc75a39ee66a7p-12, 0x1.eca3009122966p-12, 0x1.dd4586a912395p-12, 0x1.ce5abeea5181p-12, 0x1.bfe0d5c60a678p-12, 0x1.b1d5a577eee11p-12, 0x1.a4361457357c2p-12, 0x1.96fe4a3ec4f64p-12, 0x1.8a2a3e89af3bbp-12, 0x1.7db5b5f131e2cp-12, 0x1.719c39978a4d9p-12, 0x1.65da3c85290dap-12, 0x1.5a6e9a81ab68cp-12, 0x1.4f5a315a70192p-12, 0x1.449db75f680e2p-12, 0x1.3a381615428c8p-12, 0x1.3026aa5727256p-12, 0x1.266655dfebbaep-12, 0x1.1cf3e7e9a352p-12, 0x1.13cc12a9158a9p-12, 0x1.0aebcbfd9a2p-12, 0x1.0250b9f08b09ep-12, 0x1.f3f20554337a1p-13, 0x1.e3c5e24231e2fp-13, 0x1.d419d5b6a1fbdp-13, 0x1.c4e9e64843934p-13, 0x1.b62f69a9d3a91p-13, 0x1.a7e32d39ceeb4p-13, 0x1.9a02fb13fbb89p-13, 0x1.8c919f4ea5766p-13, 0x1.7f90c433f1859p-13, 0x1.72fe03247c296p-13, 0x1.66d66db9479aap-13, 0x1.5b19608a06d3dp-13, 0x1.4fc5df932ef9dp-13, 0x1.44d7ccec14f3bp-13, 0x1.3a48f6ac85027p-13, 0x1.3013f16fb5393p-13, 0x1.26352ff7ece81p-13, 0x1.1ca9b394a0ed7p-13, 0x1.136db0060e72dp-13, 0x1.0a7d82a4a81dep-13, 0x1.01d662b703fc3p-13, 0x1.f2e7ec4bc3df7p-14, 0x1.e2a2668611685p-14, 0x1.d2dd18d7a4f3fp-14, 0x1.c3a1658d0710ap-14, 0x1.b4ef55752d57dp-14, 0x1.a6bc29f04408fp-14, 0x1.990191f4cea37p-14, 0x1.8bc1f528c7c81p-14, 0x1.7eff0bf7c3103p-14, 0x1.72b51fef27fa2p-14, 0x1.66ddf92952032p-14, 0x1.5b74147817d89p-14, 0x1.5073f95c7e54p-14, 0x1.45dbf40899958p-14, 0x1.3ba9ac293deebp-14, 0x1.31d7bee02c9bfp-14, 0x1.28600872ca0f1p-14, 0x1.1f3e75a3adf0ep-14, 0x1.166c382ff7c42p-14, 0x1.0ddef4e45ef55p-14, 0x1.0596283df2eeap-14, 0x1.fb321b44bbe91p-15, 0x1.ebcb5a1a0ef86p-15, 0x1.dceb175aa1fcep-15, 0x1.ce9367f2247ddp-15, 0x1.c0c828d03348cp-15, 0x1.b3820c0b46e3fp-15, 0x1.a6b80bb1fc427p-15, 0x1.9a6645034bfdbp-15, 0x1.8e8b705d0faf6p-15, 0x1.832503a1874c2p-15, 0x1.782ebd3c23912p-15, 0x1.6da475baf598bp-15, 0x1.638231657481cp-15, 0x1.59c1be9430a4fp-15, 0x1.505da057f9b87p-15, 0x1.47582c46d8d03p-15, 0x1.3eb3690ffc02bp-15, 0x1.3663f1f97722cp-15, 0x1.2e62f997640c5p-15, 0x1.26aff1c553154p-15, 0x1.1f3cb5d4f01ecp-15, 0x1.180513771261bp-15, 0x1.1113a3608a7f4p-15, 0x1.0a69d39ce3d92p-15, 0x1.040197553c1b7p-15, 0x1.fbab85236da8cp-16, 0x1.efc663bc9dfdp-16, 0x1.e45261654bbeap-16, 0x1.d9518dfcfe2e7p-16, 0x1.cec35a740441dp-16, 0x1.c4a146beae694p-16, 0x1.bae2c9bd99be8p-16, 0x1.b180fb78f7543p-16, 0x1.a873bfca7043ap-16, 0x1.9fb30ffe1926cp-16, 0x1.9743c85bf1acbp-16, 0x1.8f33665870ba4p-16, 0x1.877621cee37b2p-16, 0x1.80001484628ebp-16, 0x1.78d3e1928ba6fp-16, 0x1.71e85924ddb8dp-16, 0x1.6b45824b13e96p-16, 0x1.64e84d0d9aa15p-16, 0x1.5ebf19068e11p-16, 0x1.58c2534205944p-16, 0x1.52f554d690a06p-16, 0x1.4d5c9294bd8f8p-16, 0x1.47f6a033d5d9p-16, 0x1.42bed550001a1p-16, 0x1.3db467652970fp-16, 0x1.38d97fa4fddd2p-16, 0x1.342c3c15dea53p-16, 0x1.2fa71348e0f1bp-16, 0x1.2b45a3bba192p-16, 0x1.2704501fccfeep-16, 0x1.22df133f0e871p-16, 0x1.1ed746185cd7ap-16, 0x1.1af62f4a5c2dp-16, 0x1.1736c584cc3abp-16, 0x1.138c2fc89271ap-16, 0x1.0ff6103aee57bp-16, 0x1.0c76e9b63d977p-16, 0x1.0917fe91c56acp-16, 0x1.05d4b6258ed6fp-16, 0x1.02a957918d2c7p-16, 0x1.ff286759b4644p-17, 0x1.f9217ab29984ep-17, 0x1.f3338ca9f40ccp-17, 0x1.ed5f83afa6c69p-17, 0x1.e7acfd3941b8cp-17, 0x1.e21a580a2301ep-17, 0x1.dca0cf14c4dabp-17, 0x1.d74303f84463fp-17, 0x1.d204aa683a7fap-17, 0x1.cce0baf309efbp-17, 0x1.c7d1569efacbcp-17, 0x1.c2d3dce7aaebcp-17, 0x1.bde68880342b4p-17, 0x1.b9080eb717db4p-17, 0x1.b43d63314e6cap-17, 0x1.af8b6685bed3ap-17, 0x1.aae2b836c8c38p-17, 0x1.a63f38666e995p-17, 0x1.a1aaa1308087ap-17, 0x1.9d27f48853f03p-17, 0x1.98aeb3686b705p-17, 0x1.943d723484be6p-17, 0x1.8fd5844c96e36p-17, 0x1.8b7800bbf6c81p-17, 0x1.872700ba96f65p-17, 0x1.82e1b16d9adbcp-17, 0x1.7ea203a2be9a1p-17, 0x1.7a63eb63d45b5p-17, 0x1.762acda9f13f2p-17, 0x1.71f6892969ae1p-17, 0x1.6dc46fcf932ffp-17, 0x1.6998e24f2e3bbp-17, 0x1.65744c8857926p-17, 0x1.6152ef04ba1e6p-17, 0x1.5d3379ba45144p-17, 0x1.59163418edce8p-17, 0x1.54fa9b6e85c55p-17, 0x1.50e028b372511p-17, 0x1.4cc9c727f1daap-17, 0x1.48b715922815ap-17, 0x1.44a1cdfad784p-17, 0x1.408f31d27407ap-17, 0x1.3c7ffac5cd414p-17, 0x1.3870f596c491p-17, 0x1.3462598d29413p-17, 0x1.30548a6d197c7p-17, 0x1.2c477db22e984p-17, 0x1.283acadeeef62p-17, 0x1.242ed76d21168p-17, 0x1.2023cd79374bfp-17, 0x1.1c1aa89dcd5f6p-17, 0x1.1813eeff1aacdp-17, 0x1.140df95ceff8fp-17, 0x1.1007609db8cf6p-17, 0x1.0c0018fc135b3p-17, 0x1.07f8976fa3ecep-17, 0x1.03f3a0ff05052p-17, 0x1.ffe03237de1fap-18, 0x1.f7d9a228d821p-18, 0x1.efd409e310c49p-18, 0x1.e7d03550967d8p-18, 0x1.dfce2ce7884b3p-18, 0x1.d7cd7cb360c9cp-18, 0x1.cfcfde0488456p-18, 0x1.c7d5b887a543fp-18, 0x1.bfdcc3ec5fc8ap-18, 0x1.b7e8721aea224p-18, 0x1.aff6eabc31f7p-18, 0x1.a80871a182ecap-18, 0x1.a01d921c596e3p-18, 0x1.983658ca6ec7fp-18, 0x1.9053789be8b87p-18, 0x1.8874dc177b60fp-18, 0x1.809ac6884ae39p-18, 0x1.78c56df7cc89dp-18, 0x1.70f501d3d5d99p-18, 0x1.6929ccd40f417p-18, 0x1.6164846260c8bp-18, 0x1.59a679965e166p-18, }}, 
      {{-0x1.39a90f3289b22p+0, -0x1.1c7072d2cc936p+0, -0x1.f6a5f4547b21ep-1, -0x1.b1da28cb8e044p-1, -0x1.6e0bb8acd23aep-1, -0x1.2d9046a901dadp-1, -0x1.e3b38c6b54bbep-2, -0x1.776b3581c9a2bp-2, -0x1.16f72e4b8e0fep-2, -0x1.84c418d086084p-3, -0x1.e51638096f18cp-4, -0x1.d78b77a3b45a2p-5, -0x1.a2093bbc996a7p-8, 0x1.276053dbf3d77p-5, 0x1.21a70ce9b9135p-4, 0x1.93b6e1d4fa874p-4, 0x1.edaca57e6a36cp-4, 0x1.198ddc5f2d8c5p-3, 0x1.33a8d282be8f7p-3, 0x1.46a7cd49b9c24p-3, 0x1.53e40c9442b73p-3, 0x1.5c8fcbb05b3ccp-3, 0x1.61b7a202db4b8p-3, 0x1.644496e7ffeabp-3, 0x1.64fea545fe3b6p-3, 0x1.648f7b92ec0b6p-3, 0x1.638552e2d729fp-3, 0x1.6255c05b75c29p-3, 0x1.61606edf066c2p-3, 0x1.60f1b3eed9bc6p-3, 0x1.6144f8a05c138p-3, 0x1.6286f325d4a85p-3, 0x1.64d7afb44ebcbp-3, 0x1.684c6931c2e2ap-3, 0x1.6cf132cbe4908p-3, 0x1.72ca744dff549p-3, 0x1.79d63d1633b2dp-3, 0x1.820d6bd46f292p-3, 0x1.8b64b5af42807p-3, 0x1.95cd8846efa45p-3, 0x1.a136ce565ef5ep-3, 0x1.ad8d98286867bp-3, 0x1.babdad0b44b96p-3, 0x1.c8b2026736916p-3, 0x1.d7552512c2ebbp-3, 0x1.e6918d1df27b4p-3, 0x1.f651e43d13a3p-3, 0x1.03409f622d62ap-2, 0x1.0b85a4967791cp-2, 0x1.13ee35e3b3e02p-2, 0x1.1c70f2f8bf0e7p-2, 0x1.2504f107f2ee6p-2, 0x1.2da1c1b6145c9p-2, 0x1.363f77755e808p-2, 0x1.3ed6a7ba97587p-2, 0x1.47606b5beb89bp-2, 0x1.4fd65dc59f74ap-2, 0x1.58329a37baccfp-2, 0x1.606fb98c39b65p-2, 0x1.6888cd31ffc49p-2, 0x1.70795b8810ed7p-2, 0x1.783d5b67e1cacp-2, 0x1.7fd12d6debb75p-2, 0x1.87319858bee9fp-2, 0x1.8e5bc2c914be8p-2, 0x1.954d2e0058fb3p-2, 0x1.9c03b07cbb484p-2, 0x1.a27d70a884303p-2, 0x1.a8b8dfa8e3c85p-2, 0x1.aeb4b4589a5d5p-2, 0x1.b46fe6788398ep-2, 0x1.b9e9a9969fbbp-2, 0x1.bf216972856afp-2, 0x1.c416c4d94187cp-2, 0x1.c8c98a0627aa2p-2, 0x1.cd39b2b341f38p-2, 0x1.d167608151b4bp-2, 0x1.d552d96fcea94p-2, 0x1.d8fc84d93864ep-2, 0x1.dc64e83c6cfcdp-2, 0x1.df8ca48409158p-2, 0x1.e274735673a17p-2, 0x1.e51d24a3bea25p-2, 0x1.e7879c57a820cp-2, 0x1.e9b4d02b53b1ap-2, 0x1.eba5c5aec9cc7p-2, 0x1.ed5b90665c128p-2, 0x1.eed750160d4fap-2, 0x1.f01a2f1e02254p-2, 0x1.f125610713463p-2, 0x1.f1fa211b478b9p-2, 0x1.f299b11c3ef3ap-2, 0x1.f3055828ecf7fp-2, 0x1.f33e618d98adep-2, 0x1.f3461bd20f979p-2, 0x1.f31dd7cde7a4dp-2, 0x1.f2c6e7c527da1p-2, 0x1.f2429eaf1b878p-2, 0x1.f1924f7657ep-2, 0x1.f0b74c554732ep-2, 0x1.efb2e63ef4656p-2, 0x1.ee866c5001404p-2, 0x1.ed332b5b5a44bp-2, 0x1.ebba6d6c1b406p-2, 0x1.ea1d790ea157dp-2, 0x1.e85d92a6b447ap-2, 0x1.e67bf8bb70acfp-2, 0x1.e479e7056c209p-2, 0x1.e2589488816b3p-2, 0x1.e01933abf7bc4p-2, 0x1.ddbcf20664bfbp-2, 0x1.db44f82cd5699p-2, 0x1.d8b2699511617p-2, 0x1.d606647758bb4p-2, 0x1.d34201a3dad77p-2, 0x1.d066548b507d3p-2, 0x1.cd746ad5a1b67p-2, 0x1.ca6d4cf13650bp-2, 0x1.c751fd70d34d1p-2, 0x1.c423794fede7dp-2, 0x1.c0e2b7d9feae7p-2, 0x1.bd90aab0df6a4p-2, 0x1.ba2e3dcb5236cp-2, 0x1.b6bc577ea621p-2, 0x1.b33bd873aac5ep-2, 0x1.afad9bc724abp-2, 0x1.ac1276fd2767bp-2, 0x1.a86b3a1c6aef9p-2, 0x1.a4b8afb57de9ep-2, 0x1.a0fb9cedc0edp-2, 0x1.9d34c1954c3e3p-2, 0x1.9964d82f140dap-2, 0x1.958c96109d7f7p-2, 0x1.91acab6090c0ap-2, 0x1.8dc5c33fe1de3p-2, 0x1.89d883c3d24aap-2, 0x1.85e58e24869bfp-2, 0x1.81ed7ec02d969p-2, 0x1.7df0ed31d60f7p-2, 0x1.79f06c6f78773p-2, 0x1.75ec8ad7ac0dfp-2, 0x1.71e5d249ad1d9p-2, 0x1.6ddcc8372d4f7p-2, 0x1.69d1edc5cfe7dp-2, 0x1.65c5bfdc7c04ap-2, 0x1.61b8b7321a23cp-2, 0x1.5dab48714898ap-2, 0x1.599de44c7a19cp-2, 0x1.5590f78ea27efp-2, 0x1.5184eb3013be7p-2, 0x1.4d7a2468df65p-2, 0x1.497104d7cc79ep-2, 0x1.4569ea887f50bp-2, 0x1.41653006e97c7p-2, 0x1.3d632c7615946p-2, 0x1.396433afa5b36p-2, 0x1.356896519a436p-2, 0x1.3170a1c7e7a8dp-2, 0x1.2d7ca0680fb8dp-2, 0x1.298cd98cd673ep-2, 0x1.25a191a17faa7p-2, 0x1.21bb0a31e3ff9p-2, 0x1.1dd981f9c77c6p-2, 0x1.19fd350806903p-2, 0x1.16265cc32be75p-2, 0x1.12552ff9bdb95p-2, 0x1.0e89e2fa8a61bp-2, 0x1.0ac4a7a192634p-2, 0x1.0705ad648e94dp-2, 0x1.034d21740b2a7p-2, 0x1.ff365d697d2c1p-3, 0x1.f7dffbb97642p-3, 0x1.f0976b096348p-3, 0x1.e95cf4553f3e7p-3, 0x1.e230dc9da38a2p-3, 0x1.db1364f964d49p-3, 0x1.d404caa703f1ep-3, 0x1.cd05472df2414p-3, 0x1.c615108f3d574p-3, 0x1.bf3459420ce94p-3, 0x1.b8635057a43a6p-3, 0x1.b1a2219e8dc9dp-3, 0x1.aaf0f5ad8799fp-3, 0x1.a44ff2065df21p-3, 0x1.9dbf3922ecb0bp-3, 0x1.973eea98aada5p-3, 0x1.90cf2323abfd2p-3, 0x1.8a6ffcc43f4d5p-3, 0x1.84218ed2e46adp-3, 0x1.7de3ee1574e45p-3, 0x1.77b72cd0b92dap-3, 0x1.719b5ae015219p-3, 0x1.6b9085c6037e6p-3, 0x1.6596b8cbf4461p-3, 0x1.5fadfcfd9c13cp-3, 0x1.59d659492a71cp-3, 0x1.540fd29c187f1p-3, 0x1.4e5a6bdd2e699p-3, 0x1.48b62612a9bbdp-3, 0x1.4323005b01c92p-3, 0x1.3da0f7d31b91ep-3, 0x1.3830090b4eca8p-3, 0x1.32d02d133651bp-3, 0x1.2d815c97a523p-3, 0x1.28438e751610fp-3, 0x1.2316b80435f24p-3, 0x1.1dfacd368ff8bp-3, 0x1.18efc0921e1e1p-3, 0x1.13f5834bb474bp-3, 0x1.0f0c0552a626ap-3, 0x1.0a33355ee0415p-3, 0x1.056b00fa45c41p-3, 0x1.00b35489ddf0ap-3, 0x1.f81836b08adb2p-4, 0x1.eeea7f751fffdp-4, 0x1.e5dd55d67cb6p-4, 0x1.dcf08a88882dap-4, 0x1.d423ec6f76cbbp-4, 0x1.cb77489356758p-4, 0x1.c2ea6a62287d8p-4, 0x1.ba7d1bccf15f7p-4, 0x1.b22f25290b996p-4, 0x1.aa004d5e229a8p-4, 0x1.a1f05a02e1bd5p-4, 0x1.99ff0f5b00a99p-4, 0x1.922c3073bd00ap-4, 0x1.8a777f3b9b753p-4, 0x1.82e0bc7a44b3ap-4, 0x1.7b67a801d25e8p-4, 0x1.740c00a444f1cp-4, 0x1.6ccd843a98cf5p-4, 0x1.65abeff73115bp-4, 0x1.5ea6fffe64df9p-4, 0x1.57be6ff8f1f9bp-4, 0x1.50f1faaef88bep-4, 0x1.4a415a6baee5ep-4, 0x1.43ac48cd9ca42p-4, 0x1.3d327ef8d7ce2p-4, 0x1.36d3b5871be56p-4, 0x1.308fa56b0b141p-4, 0x1.2a66046d30abbp-4, 0x1.24568bfc507bbp-4, 0x1.1e60f2ab5b657p-4, 0x1.1884ef5404f6cp-4, 0x1.12c238aca4db8p-4, 0x1.0d18852faece3p-4, 0x1.07878b3986a8dp-4, 0x1.020f010a44831p-4, 0x1.f95d398360842p-5, 0x1.eecc29243096bp-5, 0x1.e46a3d165d6cdp-5, 0x1.da36e1a726d3cp-5, 0x1.d031835161d86p-5, 0x1.c6598e8be72efp-5, 0x1.bcae701290eap-5, 0x1.b32f951328407p-5, 0x1.a9dc6b05b2e5ap-5, 0x1.a0b45f84697a5p-5, 0x1.97b6e0d0f5be1p-5, 0x1.8ee35b0f6229ap-5, 0x1.86394580f5653p-5, 0x1.7db807db9857fp-5, 0x1.755f1536fd018p-5, 0x1.6d2ddec251584p-5, 0x1.6523d61ff5cebp-5, 0x1.5d406df6fd434p-5, 0x1.5583199383f9p-5, 0x1.4deb4ce3ebaf2p-5, 0x1.46787cf06e082p-5, 0x1.3f2a1f9eb7d27p-5, 0x1.37ffab860db31p-5, 0x1.30f89814f341ep-5, 0x1.2a145e340c639p-5, 0x1.2352773ba6e1fp-5, 0x1.1cb25df2b14d5p-5, 0x1.16338db84cae4p-5, 0x1.0fd58343c33d3p-5, 0x1.0997bc44ff059p-5, 0x1.0379b7b4f87f8p-5, 0x1.faf5eab9df2e1p-6, 0x1.ef35ec6de620dp-6, 0x1.e3b279358616cp-6, 0x1.d86a97b0c8008p-6, 0x1.cd5d51054c5bcp-6, 0x1.c289b01a0cd7bp-6, 0x1.b7eec36950809p-6, 0x1.ad8b9ad85d3c9p-6, 0x1.a35f494793d6ap-6, 0x1.9968e3f7a3d5cp-6, 0x1.8fa78250b4a39p-6, 0x1.861a3e9246494p-6, 0x1.7cc0350c0e184p-6, 0x1.7398854fe226ep-6, 0x1.6aa250e99970bp-6, 0x1.61dcbc2e6cd52p-6, 0x1.5946ee06a6eedp-6, 0x1.50e00fb4be73p-6, 0x1.48a74d1b03f76p-6, 0x1.409bd49870a2fp-6, 0x1.38bcd723a2472p-6, 0x1.3109883c6a338p-6, 0x1.29811e01c7e53p-6, 0x1.2222d20490d0fp-6, 0x1.1aeddf4f7e8e4p-6, 0x1.13e183b7a397p-6, 0x1.0cfcffacab869p-6, 0x1.063f95cb3edcp-6, 0x1.ff5116c8fca66p-7, 0x1.f26e513214806p-7, 0x1.e5d56fa814c4ep-7, 0x1.d9850db91a085p-7, 0x1.cd7bcb1831b4dp-7, 0x1.c1b84bece558ep-7, 0x1.b6393a33e1878p-7, 0x1.aafd432db48cap-7, 0x1.a003185353a51p-7, 0x1.954971356bca1p-7, 0x1.8acf09ab0bda2p-7, 0x1.8092a514b8d7fp-7, 0x1.76930afe58a4ep-7, 0x1.6ccf0782e1efp-7, 0x1.63456bbe8cc67p-7, 0x1.59f50c69f00f3p-7, 0x1.50dcc158e54e1p-7, 0x1.47fb66d46f47dp-7, 0x1.3f4fdd2b3ef91p-7, 0x1.36d90b8031126p-7, 0x1.2e95dd9077c34p-7, 0x1.26854542bcd1p-7, 0x1.1ea63a408b8dap-7, 0x1.16f7b7852880bp-7, 0x1.0f78baf3de831p-7, 0x1.0828448f38259p-7, 0x1.010557d5b262cp-7, 0x1.f41e06f8f7785p-8, 0x1.e6887941dd61fp-8, 0x1.d948566ad35a9p-8, 0x1.cc5bc07aea0c3p-8, 0x1.bfc0f3288e8c1p-8, 0x1.b37632f8f6542p-8, 0x1.a779c9d9df7a6p-8, 0x1.9bca0677aff61p-8, 0x1.906538eb049ccp-8, 0x1.8549b80b9a894p-8, 0x1.7a75de5852265p-8, 0x1.6fe80f94900abp-8, 0x1.659ebcf1d8aafp-8, 0x1.5b98639f307ccp-8, 0x1.51d38d133ac13p-8, 0x1.484ecba6d9c9ap-8, 0x1.3f08b59d9ec9bp-8, 0x1.35ffe595468e9p-8, 0x1.2d32f4701890ap-8, 0x1.24a07e99365dcp-8, 0x1.1c47230dc2c7p-8, 0x1.142587b01f57ap-8, 0x1.0c3a5db7c21d9p-8, 0x1.048461443d3dep-8, 0x1.fa04bc12cf297p-9, 0x1.eb6652eb2c4c2p-9, 0x1.dd2b41c6c0a21p-9, 0x1.cf51488585935p-9, 0x1.c1d627fdc12d7p-9, 0x1.b4b79dc57d246p-9, 0x1.a7f36bd1f87dap-9, 0x1.9b87506d2f1fp-9, 0x1.8f7116cc3d4e4p-9, 0x1.83ae9a87375bep-9, 0x1.783dcbf908f7bp-9, 0x1.6d1cb6aa266f1p-9, 0x1.62497b7b8a4f9p-9, 0x1.57c23132344c5p-9, 0x1.4d856c1da28e2p-9, 0x1.4391147e6ce47p-9, 0x1.39e38a0ba6b2p-9, 0x1.307b0c732600bp-9, 0x1.2755e024c2634p-9, 0x1.1e7249f0920ep-9, 0x1.15ce926f693d3p-9, 0x1.0d690c5bee396p-9, 0x1.054017a7165d6p-9, 0x1.faa451a6854dp-10, 0x1.eb3b914be57dfp-10, 0x1.dc431379c39d3p-10, 0x1.cdb81c637ca55p-10, 0x1.bf97e9d5cdc76p-10, 0x1.b1dfcaabae39fp-10, 0x1.a48d19a36f2a9p-10, 0x1.979d4759c86b9p-10, 0x1.8b0dc62ca939bp-10, 0x1.7edc14a66d9cbp-10, 0x1.7305aa4ba1e04p-10, 0x1.6787f982f92c6p-10, 0x1.5c60ab5079934p-10, 0x1.518d6fc5baf99p-10, 0x1.470c1fdfb02e9p-10, 0x1.3cdaa254921fdp-10, 0x1.32f6dc7ba9ac7p-10, 0x1.295eafef83f05p-10, 0x1.2010064fadda6p-10, 0x1.1708e036ccbfp-10, 0x1.0e4758c447075p-10, 0x1.05c99911f33d2p-10, 0x1.fb1b8b9547526p-11, 0x1.eb23ef5f32fbep-11, 0x1.dba88f3db3fabp-11, 0x1.cca5cb82c740bp-11, 0x1.be1854a10bd7fp-11, 0x1.affd2b1de933fp-11, 0x1.a2517d2de8683p-11, 0x1.95126eb44c968p-11, 0x1.883d0e24f5133p-11, 0x1.7bce49d0c0c72p-11, 0x1.6fc32f4b4e10cp-11, 0x1.6418f25a91c6ep-11, 0x1.58ccee5004ccfp-11, 0x1.4ddc7bf39f208p-11, 0x1.4344c9628c607p-11, 0x1.3902e17c77828p-11, 0x1.2f13c1d633967p-11, 0x1.2574a82cb2b21p-11, 0x1.1c23384a47e42p-11, 0x1.131d5aec156e2p-11, 0x1.0a613cea1ee88p-11, 0x1.01ed0bea28722p-11, 0x1.f37de99a1cff7p-12, 0x1.e3a9d6f1a476dp-12, 0x1.d459e28f6be99p-12, 0x1.c58a393945fa4p-12, 0x1.b73781f0cd9dap-12, 0x1.a95e2fbeaaca4p-12, 0x1.9bfaa5cbcbf6cp-12, 0x1.8f08b9be3d081p-12, 0x1.82842795369dcp-12, 0x1.7668917776a8ap-12, 0x1.6ab2303ec85b9p-12, 0x1.5f5d94ab33a9p-12, 0x1.5467fba3ac30ap-12, 0x1.49cf0fc3070ebp-12, 0x1.3f90a95da6417p-12, 0x1.35aa694aa811p-12, 0x1.2c199d42ca3e3p-12, 0x1.22db5dfcfa3fep-12, 0x1.19ece6100adap-12, 0x1.114bce6d674f5p-12, 0x1.08f5ee33b8981p-12, 0x1.00e90c7750a77p-12, 0x1.f245727e478c4p-13, 0x1.e340c8c39ac6dp-13, 0x1.d4bec0998d6a1p-13, 0x1.c6ba46a0b8cedp-13, 0x1.b92e11a59013bp-13, 0x1.ac158ba0a6276p-13, 0x1.9f6d91a86d4f1p-13, 0x1.93342dada6ec7p-13, 0x1.876758ff1687dp-13, 0x1.7c043c77a6692p-13, 0x1.7107090f9d3fap-13, 0x1.666bbe0611717p-13, 0x1.5c2ea903fad06p-13, 0x1.524bd0aa6a141p-13, 0x1.48bf97d2ec1b7p-13, 0x1.3f86c5c6415f2p-13, 0x1.369e85592adb1p-13, 0x1.2e0436b0763d8p-13, 0x1.25b4fed5fe95fp-13, 0x1.1dae357caeb8p-13, 0x1.15ec712abdfebp-13, 0x1.0e6c33866c038p-13, 0x1.072b63ea4c5b8p-13, 0x1.00295c79ccf39p-13, 0x1.f2ca26a633652p-14, 0x1.e5b92c52768c4p-14, 0x1.d91bb7d3d6fd2p-14, 0x1.cceea93626289p-14, 0x1.c12f08ff3b52cp-14, 0x1.b5d844191fe2bp-14, 0x1.aae4f112841edp-14, 0x1.a05004cb09c3ap-14, 0x1.96157df9ec9e7p-14, 0x1.8c31b447b8a1cp-14, 0x1.82a0d0d6b06d1p-14, 0x1.795eea739972p-14, 0x1.7068a492da427p-14, 0x1.67ba1bf6e955p-14, 0x1.5f4f03f4b14c1p-14, 0x1.5725de3a4c5adp-14, 0x1.4f3fb46511bacp-14, 0x1.479af0db23fb6p-14, 0x1.403350972cb18p-14, 0x1.3905ee6c54a87p-14, 0x1.321207137dc1cp-14, 0x1.2b56e98065803p-14, 0x1.24d2169732788p-14, 0x1.1e80d972c8bf9p-14, 0x1.1860daf7e03fep-14, 0x1.127013f29bd6ap-14, 0x1.0cad24a632545p-14, 0x1.07162ec501555p-14, 0x1.01a9069473187p-14, 0x1.f8c667d42b3d7p-15, 0x1.ee85ade8d5271p-15, 0x1.e48abeb0d0a95p-15, 0x1.daced1e81efa5p-15, 0x1.d1502f9660c64p-15, 0x1.c811651d0635dp-15, 0x1.bf0f19a0f48d8p-15, 0x1.b6457904d8adcp-15, 0x1.adb3f406d4ebap-15, 0x1.a559cee3f22b8p-15, 0x1.9d343cbdfd2ffp-15, 0x1.953ff4749b411p-15, 0x1.8d7af78b7637fp-15, 0x1.85e3e5d53314ep-15, 0x1.7e795baeedb0dp-15, 0x1.7739685b6dd6bp-15, 0x1.70221bba4871p-15, 0x1.6931778f2f5e8p-15, 0x1.62658dd1b1ceap-15, 0x1.5bbc03c509487p-15, 0x1.553512876f1fep-15, 0x1.4ed049eeacf85p-15, 0x1.488a8a1d19967p-15, 0x1.42611bc3bb412p-15, 0x1.3c5402477e491p-15, 0x1.365f246b7b039p-15, 0x1.308111e81f037p-15, 0x1.2abbd23764c96p-15, 0x1.250f4a1cf12ap-15, 0x1.1f79974135a41p-15, 0x1.19f984dd33e2dp-15, 0x1.148d856a80e95p-15, 0x1.0f353e49682fcp-15, 0x1.09f0f7f25a2e4p-15, 0x1.04c00322d215fp-15, 0x1.ff430b9806398p-16, 0x1.f528a3f3b282bp-16, 0x1.eb2e4a4603676p-16, 0x1.e15227b7bf7e9p-16, 0x1.d7924a19689c9p-16, 0x1.cdeee99f0aafep-16, 0x1.c46b166ef5c13p-16, 0x1.bb03deb5bb102p-16, 0x1.b1b668b5ea3ccp-16, 0x1.a882f6e7ae151p-16, 0x1.9f6760d3a532cp-16, 0x1.966567f0c19abp-16, 0x1.8d7b7ff79e077p-16, 0x1.84a74d24bb3e1p-16, 0x1.7be5ae094167dp-16, 0x1.7336cbb637151p-16, 0x1.6a9d38a8d7253p-16, 0x1.6217d6d9c42fbp-16, 0x1.59a558d149f65p-16, 0x1.51460f9166946p-16, 0x1.48fa54aaf8c0ap-16, 0x1.40c195f73bbbap-16, 0x1.389abc4ab4e9fp-16, 0x1.3084edfff758ep-16, 0x1.287f6f3896589p-16, 0x1.20897e5e4803ep-16, 0x1.18a37ddcc1231p-16, 0x1.10cfa81ae7ce3p-16, 0x1.090c668798e2ap-16, 0x1.0157da2bd65ffp-16, 0x1.f364041f2598cp-17, 0x1.e435b8750ebf4p-17, 0x1.d52a36e4a84e7p-17, 0x1.c63ef2603ff89p-17, 0x1.b773d201e27e7p-17, 0x1.a8c8368bdcad4p-17, 0x1.9a38d5fa60388p-17, 0x1.8bc45ca14137cp-17, 0x1.7d6d79c2fa38fp-17, 0x1.6f344285fdacp-17, 0x1.6117a28d5cdd5p-17, 0x1.5318ef4a9476cp-17, 0x1.4538048a9f1cfp-17, 0x1.37754aaac9871p-17, 0x1.29d0bf95fcf73p-17, 0x1.1c49a3fb85a73p-17, 0x1.0edf328ff2e02p-17, 0x1.0191cabd39a84p-17, 0x1.e8c2576208096p-18, 0x1.ce9d65b57167dp-18, 0x1.b4b7dbe1a57fdp-18, 0x1.9b0afdeb320e1p-18, 0x1.819712ecbe5cep-18, 0x1.68603cdc8e7e3p-18, 0x1.4f689d7f8994dp-18, 0x1.36aba41fda65ep-18, 0x1.1e2aca4613adep-18, 0x1.05e84fdcdeddfp-18, 0x1.dbc2aa6da115ep-19, 0x1.ac36f1752a6edp-19, 0x1.7d2a92c1deb1ep-19, 0x1.4e962fc5a28d8p-19, 0x1.207c87a2a01dep-19, 0x1.e5be7e25a1968p-20, 0x1.8b7dcff6d233bp-20, 0x1.3234c5e10606ep-20, 0x1.b3d7beb83116bp-21, 0x1.0553d192f04e3p-21, 0x1.630ce78871be6p-23, -0x1.47586da5c8322p-23, -0x1.f4b67256d47ap-22, -0x1.a0f262d43f09p-21, -0x1.22c20fc7bc99p-20, -0x1.74037e77f3b9dp-20, -0x1.c43daef26064dp-20, -0x1.09bd240e35dfbp-19, -0x1.30d4968e954e1p-19, -0x1.57695b8f89e0cp-19, -0x1.7d7eef60bfc8ep-19, -0x1.a30d16924aaa6p-19, -0x1.c81746f7cfd86p-19, -0x1.ec9cbebcf9c5fp-19, -0x1.0850bc9841707p-18, -0x1.1a0f215f04544p-18, -0x1.2b8b224670285p-18, -0x1.3cc35d6765fb6p-18, -0x1.4db9c7d2ba71bp-18, -0x1.5e6c4d3308cecp-18, -0x1.6edc32b00c48ep-18, -0x1.7f0b892f303e5p-18, -0x1.8ef7d4efca63p-18, -0x1.9e9e30b915219p-18, -0x1.ae0369a170bb9p-18, -0x1.bd26c59bb1141p-18, -0x1.cc06348759769p-18, -0x1.daa3431a2f1a7p-18, -0x1.e8fd86c6e6fcep-18, -0x1.f714f5b0308f3p-18, -0x1.0275b28dae3f6p-17, -0x1.093e998321df8p-17, -0x1.0fe70a87d749fp-17, -0x1.166e62eb24d22p-17, -0x1.1cd4995a3ec03p-17, -0x1.2319277bf7f02p-17, -0x1.293d2b7c47ba6p-17, -0x1.2f415ea832884p-17, -0x1.3523b993ff345p-17, -0x1.3ae5c7bde03f9p-17, -0x1.40875f07eb0e7p-17, -0x1.460890d30ef8fp-17, -0x1.4b697cb324fc5p-17, -0x1.50aa323410ac7p-17, -0x1.55caebc7b7a8ap-17, -0x1.5acbd1fc3231dp-17, }}, 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      {{-0x1.cfd74aa147d0bp-3, -0x1.d2f4b8a2b12eep-3, -0x1.d742c02d6dd72p-3, -0x1.dcb3c9b05bf0cp-3, -0x1.e3374baaef3f8p-3, -0x1.eaba4c59ce19p-3, -0x1.f327e1ac18de3p-3, -0x1.fc69aae55278fp-3, -0x1.033420887c68dp-2, -0x1.0885ce58f6b1cp-2, -0x1.0e1db7ff977d8p-2, -0x1.13efbacffdfa3p-2, -0x1.19efda22ca603p-2, -0x1.20125be2d8776p-2, -0x1.264be040b8312p-2, -0x1.2c9174fc59f6bp-2, -0x1.32d8a4b7fbf3cp-2, -0x1.391782c56c4ebp-2, -0x1.3f44b3d9d87a6p-2, -0x1.4557740d5f67ap-2, -0x1.4b479a83c7babp-2, -0x1.510d9b134deacp-2, -0x1.56a286364cc4bp-2, -0x1.5c00078c61316p-2, -0x1.6120632835cfdp-2, -0x1.65fe71e013caep-2, -0x1.6a959cd0ecf9fp-2, -0x1.6ee1d83dcc492p-2, -0x1.72df9df04a69cp-2, -0x1.768be739f731fp-2, -0x1.79e426b26e9abp-2, -0x1.7ce641ca09273p-2, -0x1.7f908a45bd74p-2, -0x1.81e1b7b5cc494p-2, -0x1.83d8e0f625875p-2, -0x1.857575c51b804p-2, -0x1.86b7387ad6c0cp-2, -0x1.879e37ea2e0f8p-2, -0x1.882ac971d6874p-2, -0x1.885d83436dce9p-2, -0x1.883736e49939cp-2, -0x1.87b8ebed533ffp-2, -0x1.86e3db058c939p-2, -0x1.85b969235ca61p-2, -0x1.843b230a4c91ap-2, -0x1.826ab90ba82cep-2, -0x1.8049fb072871ep-2, -0x1.7ddad4aae375ap-2, -0x1.7b1f49f110f13p-2, -0x1.781973d9cfd9ap-2, -0x1.74cb7d5ef8f7dp-2, -0x1.7137a09fbfac7p-2, -0x1.6d602441c9ddcp-2, -0x1.69475905519c4p-2, -0x1.64ef9789cc9f6p-2, -0x1.605b3e408eb08p-2, -0x1.5b8caf8ae0108p-2, -0x1.56865001062bcp-2, -0x1.514a84dfbd5ecp-2, -0x1.4bdbb299c38d7p-2, -0x1.463c3b8b0fc6dp-2, -0x1.406e7ecb7c18p-2, -0x1.3a74d71eaaa61p-2, -0x1.345199ff1ab03p-2, -0x1.2e0716c26530ep-2, -0x1.279795d4ca159p-2, -0x1.2105580a3afa9p-2, -0x1.1a5296033b01ep-2, -0x1.13817fa3fdd43p-2, -0x1.0c943b9c480c7p-2, -0x1.058ce6feab7d2p-2, -0x1.fcdb29cbb73d8p-3, -0x1.ee709c4db856dp-3, -0x1.dfde221de624ap-3, -0x1.d127a2589a2a4p-3, -0x1.c250ee40c8177p-3, -0x1.b35dc0f685193p-3, -0x1.a451bf3d9d93fp-3, -0x1.95307752ce00ep-3, -0x1.85fd60ce1f6b9p-3, -0x1.76bbdc913e40bp-3, -0x1.676f34c08b41p-3, -0x1.581a9cc5e5bf2p-3, -0x1.48c1315c3398p-3, -0x1.3965f8a2b6c28p-3, -0x1.2a0be23777bedp-3, -0x1.1ab5c757f7129p-3, -0x1.0b666b0783155p-3, -0x1.f840f47525b3ap-4, -0x1.d9cd180d42c1ap-4, -0x1.bb7643ac017d3p-4, -0x1.9d414f3e69394p-4, -0x1.7f32e83ee78bp-4, -0x1.614f922fd50cp-4, -0x1.439ba71ad477cp-4, -0x1.261b581480d17p-4, -0x1.08d2adc3d9f5cp-4, -0x1.d78b11d9e507bp-5, -0x1.9def45fcf7182p-5, -0x1.64d91d438458p-5, -0x1.2c4f70999f843p-5, -0x1.e8b19b595ce03p-6, -0x1.79f6f02cbed7cp-6, -0x1.0c7ad51472d1p-6, -0x1.409160154b677p-7, -0x1.ab5acffd47ddbp-9, 0x1.a096f6013f02bp-9, 0x1.385068487120bp-7, 0x1.02cb65edd3e8p-6, 0x1.67f3b744ffc34p-6, 0x1.cb98ec4c7e23fp-6, 0x1.16d9a3dab164dp-5, 0x1.471dc42949d68p-5, 0x1.7695735640803p-5, 0x1.a53d894aa9005p-5, 0x1.d313185ef0541p-5, 0x1.0009b612e928bp-4, 0x1.161e041bf4f83p-4, 0x1.2bc5537ff893bp-4, 0x1.40fe9c43e6c5fp-4, 0x1.55c8f0a33b5f6p-4, 0x1.6a237c776a72ap-4, 0x1.7e0d849fd354dp-4, 0x1.9186666a402dap-4, 0x1.a48d96fbff48cp-4, 0x1.b722a2bb97649p-4, 0x1.c9452cbb348aep-4, 0x1.daf4ee23b17bfp-4, 0x1.ec31b5a07326fp-4, 0x1.fcfb66cbffa9ep-4, 0x1.06a8fcceb1935p-3, 0x1.0e9abceb39205p-3, 0x1.165303397a69p-3, 0x1.1dd1e88c5482p-3, 0x1.25178ec428e66p-3, 0x1.2c242087debd5p-3, 0x1.32f7d0fe676d2p-3, 0x1.3992db88d5327p-3, 0x1.3ff5837cfaeedp-3, 0x1.462013e0a09f5p-3, 0x1.4c12df2557088p-3, 0x1.51ce3ee4e38ebp-3, 0x1.5752939e540f2p-3, 0x1.5ca04473bd5edp-3, 0x1.61b7bee8a38c4p-3, 0x1.669976a11ad9cp-3, 0x1.6b45e5219dea3p-3, 0x1.6fbd898fa6531p-3, 0x1.7400e873032cfp-3, 0x1.78108b77fc972p-3, 0x1.7bed01323c43dp-3, 0x1.7f96dce092cbdp-3, 0x1.830eb6318ad71p-3, 0x1.86552908d90dp-3, 0x1.896ad545aa8f6p-3, 0x1.8c505e89d828p-3, 0x1.8f066c01ffebcp-3, 0x1.918da82e8b7abp-3, 0x1.93e6c0ad9f594p-3, 0x1.9612660605da9p-3, 0x1.98114b730789ap-3, 0x1.99e426b141c72p-3, 0x1.9b8bafcc73b26p-3, 0x1.9d08a0ee504fbp-3, 0x1.9e5bb62e4d228p-3, 0x1.9f85ad627442bp-3, 0x1.a08745f13bb0bp-3, 0x1.a16140a4672f6p-3, 0x1.a2145f7ced99cp-3, 0x1.a2a16587eb61bp-3, 0x1.a30916b4a237ep-3, 0x1.a34c37ab7fb49p-3, 0x1.a36b8da633ccfp-3, 0x1.a367de48d8d76p-3, 0x1.a341ef7c1d498p-3, 0x1.a2fa87488c36dp-3, 0x1.a2926bb2d1612p-3, 0x1.a20a629916c22p-3, 0x1.a16331916d7bfp-3, 0x1.a09d9dc939649p-3, 0x1.9fba6be5b0c3dp-3, 0x1.9eba5fe56312p-3, 0x1.9d9e3d02c251cp-3, 0x1.9c66c597ba73bp-3, 0x1.9b14bb0248b1fp-3, 0x1.99a8dd8a15862p-3, 0x1.9823ec47121bdp-3, 0x1.9686a5090c0d5p-3, 0x1.94d1c4404820ep-3, 0x1.930604e709a3cp-3, 0x1.9124206c1b7f1p-3, 0x1.8f2cce9e4345fp-3, 0x1.8d20c598a70a1p-3, 0x1.8b00b9b024331p-3, 0x1.88cd5d6188654p-3, 0x1.86876140b705dp-3, 0x1.842f73e8ac686p-3, 0x1.81c641ec63ed3p-3, 0x1.7f4c75c89681p-3, 0x1.7cc2b7d6517fep-3, 0x1.7a29ae3e60b2dp-3, 0x1.7781fced85406p-3, 0x1.74cc45897df67p-3, 0x1.72092766d1f81p-3, 0x1.6f393f7f5cefap-3, 0x1.6c5d28699e86cp-3, 0x1.69757a50c457fp-3, 0x1.6682caed66707p-3, 0x1.6385ad7ef3bd7p-3, 0x1.607eb2c5d812fp-3, 0x1.5d6e68fe3b3f4p-3, 0x1.5a555bdb70ec1p-3, 0x1.57341484026dfp-3, 0x1.540b198e57c97p-3, 0x1.50daeefdf640bp-3, 0x1.4da4164153888p-3, 0x1.4a670e30369b6p-3, 0x1.4724530aa2a5dp-3, 0x1.43dc5e7848873p-3, 0x1.408fa7887b627p-3, 0x1.3d3ea2b29e917p-3, 0x1.39e9c1d71404fp-3, 0x1.369174409350bp-3, 0x1.333626a5fe804p-3, 0x1.2fd8432c9c13ep-3, 0x1.2c78316ab9a94p-3, 0x1.2916566ab2eb5p-3, 0x1.25b314ae5e8aap-3, 0x1.224ecc32cd037p-3, 0x1.1ee9da746744ap-3, 0x1.1b849a73638a1p-3, 0x1.181f64b880958p-3, 0x1.14ba8f5a18dd5p-3, 0x1.11566e0178952p-3, 0x1.0df351f07cb81p-3, 0x1.0a918a077249ap-3, 0x1.073162cb31666p-3, 0x1.03d3266b7a4d1p-3, 0x1.00771cc9856cdp-3, 0x1.fa3b16fd8cedfp-4, 0x1.f38d6bc7ca32dp-4, 0x1.ece5ba2fc3677p-4, 0x1.e644800ec88a2p-4, 0x1.dfaa36e86b252p-4, 0x1.d91753f9b5379p-4, 0x1.d28c4848aa01ap-4, 0x1.cc0980b400de8p-4, 0x1.c58f660321358p-4, 0x1.bf1e5cf648a45p-4, 0x1.b8b6c656e973fp-4, 0x1.b258ff082a7b6p-4, 0x1.ac0560179843ep-4, 0x1.a5bc3ecde7c4bp-4, 0x1.9f7decbfe51a4p-4, 0x1.994ab7df6b9p-4, 0x1.9322ea8c7cfa9p-4, 0x1.8d06cba65f0d3p-4, 0x1.86f69e9ccb553p-4, 0x1.80f2a38120f7ap-4, 0x1.7afb17179f3aap-4, 0x1.751032e89c03p-4, 0x1.6f322d51bad95p-4, 0x1.6961399719e7p-4, 0x1.639d87f478cc7p-4, 0x1.5de745ae4ffacp-4, 0x1.583e9d22da286p-4, 0x1.52a3b5db09e48p-4, 0x1.4d16b49b6a67fp-4, 0x1.4797bb74eb774p-4, 0x1.4226e9d58d12bp-4, 0x1.3cc45c98f4a23p-4, 0x1.37702e18e1c1dp-4, 0x1.322a763d7fb32p-4, 0x1.2cf34a8d96f61p-4, 0x1.27cabe3e990f8p-4, 0x1.22b0e244867d3p-4, 0x1.1da5c561ababep-4, 0x1.18a97436335b6p-4, 0x1.13bbf94f905e6p-4, 0x1.0edd5d37b808bp-4, 0x1.0a0da684301a8p-4, 0x1.054cd9e4ed863p-4, 0x1.009afa3301f49p-4, 0x1.f7f010fe30669p-5, 0x1.eec8083f7e698p-5, 0x1.e5bdd57eff83cp-5, 0x1.dcd170d5822d6p-5, 0x1.d402cf3aec29cp-5, 0x1.cb51e2a129424p-5, 0x1.c2be9a0eb343dp-5, 0x1.ba48e1b8aace5p-5, 0x1.b1f0a31c7c617p-5, 0x1.a9b5c5191f618p-5, 0x1.a1982c07ddd51p-5, 0x1.9997b9d4af6b4p-5, 0x1.91b44e1628d6fp-5, 0x1.89edc624ebccdp-5, 0x1.8243fd32b63f1p-5, 0x1.7ab6cc60f2959p-5, 0x1.73460ad6e344cp-5, 0x1.6bf18dd7517dcp-5, 0x1.64b928d5d1422p-5, 0x1.5d9cad8b91b65p-5, 0x1.569bec0bbdeacp-5, 0x1.4fb6b2d76e1ccp-5, 0x1.48eccef128ba3p-5, 0x1.423e0beff2cdcp-5, 0x1.3baa3411f2ff9p-5, 0x1.3531104ea50c7p-5, 0x1.2ed26868a1391p-5, 0x1.288e02fefa91ep-5, 0x1.2263a59e2a776p-5, 0x1.1c5314d09789cp-5, 0x1.165c142eaf285p-5, 0x1.107e666e97259p-5, 0x1.0ab9cd737864p-5, 0x1.050e0a5c663bp-5, 0x1.fef5bb25b02a2p-6, 0x1.f4000db18ba1ap-6, 0x1.e93a8aacb8aep-6, 0x1.dea4af4ea661fp-6, 0x1.d43df7cfc85bbp-6, 0x1.ca05df82b895bp-6, 0x1.bffbe0eca67a6p-6, 0x1.b61f75dd0c32p-6, 0x1.ac701784a53d8p-6, 0x1.a2ed3e8bbeff9p-6, 0x1.99966327ce16ep-6, 0x1.906afd305751ap-6, 0x1.876a84332968ep-6, 0x1.7e946f87f37abp-6, 0x1.75e836633355ap-6, 0x1.6d654fe87ae1ep-6, 0x1.650b333c26b13p-6, 0x1.5cd95794611dcp-6, 0x1.54cf344995dc4p-6, 0x1.4cec40e64e426p-6, 0x1.452ff536758ebp-6, 0x1.3d99c9561127ap-6, 0x1.362935bf5e0afp-6, 0x1.2eddb35877509p-6, 0x1.27b6bb805ad49p-6, 0x1.20b3c81b7207dp-6, 0x1.19d4539fa04f7p-6, 0x1.1317d91fc06ebp-6, 0x1.0c7dd456b3764p-6, 0x1.0605c1b1efa13p-6, 0x1.ff5e3cb71195p-7, 0x1.f2f2d087bacffp-7, 0x1.e6c83c5571c98p-7, 0x1.dadd7f5032313p-7, 0x1.cf319a68ee641p-7, 0x1.c3c390616612p-7, 0x1.b89265db1d1dfp-7, 0x1.ad9d216585037p-7, 0x1.a2e2cb8b70af4p-7, 0x1.98626edfb53d4p-7, 0x1.8e1b180924a35p-7, 0x1.840bd5cdc355p-7, 0x1.7a33b91d57d45p-7, 0x1.7091d51b3adc3p-7, 0x1.67253f278e22bp-7, 0x1.5ded0ee7d9b4ap-7, 0x1.54e85e4eee222p-7, 0x1.4c1649a451dc1p-7, 0x1.4375ef8b02059p-7, 0x1.3b0671079fa3ap-7, 0x1.32c6f186197dbp-7, 0x1.2ab696deddf1fp-7, 0x1.22d4895b63e69p-7, 0x1.1b1ff3ba52c3ep-7, 0x1.1398033322559p-7, 0x1.0c3be77954144p-7, 0x1.050ad2bf1b9c3p-7, 0x1.fc07f36f5b44ep-8, 0x1.ee4d27323e9dcp-8, 0x1.e0e3b43ba0b4ap-8, 0x1.d3ca130b2e7ffp-8, 0x1.c6fec12ca7c69p-8, 0x1.ba804138a8f1ap-8, 0x1.ae4d1ad492472p-8, 0x1.a263dab1d725cp-8, 0x1.96c3128c9332ep-8, 0x1.8b6959298fb29p-8, 0x1.80554a53a2ce3p-8, 0x1.758586d88bafep-8, 0x1.6af8b4854199p-8, 0x1.60ad7e2196fep-8, 0x1.56a2936b8b48cp-8, 0x1.4cd6a912049cap-8, 0x1.434878af13f21p-8, 0x1.39f6c0c1cd641p-8, 0x1.30e044a7b7807p-8, 0x1.2803cc95cfe9fp-8, 0x1.1f60259127452p-8, 0x1.16f421672703ep-8, 0x1.0ebe96a57cd5bp-8, 0x1.06be6091aed6dp-8, 0x1.fde4be40b9fc8p-9, 0x1.eeb2edd89fc26p-9, 0x1.dfe5225a14fa5p-9, 0x1.d179375aacc1ap-9, 0x1.c36d1182d07f2p-9, 0x1.b5be9e79bacadp-9, 0x1.a86bd4d0cb229p-9, 0x1.9b72b3eeaff7p-9, 0x1.8ed143fa036bp-9, 0x1.828595c3d3cf7p-9, 0x1.768dc2b159037p-9, 0x1.6ae7eca5de2f2p-9, 0x1.5f923dec056d5p-9, 0x1.548ae91f0ae3dp-9, 0x1.49d02913a679p-9, 0x1.3f6040c0cfb25p-9, 0x1.35397b2823902p-9, 0x1.2b5a2b3e48b94p-9, 0x1.21c0abd34fb52p-9, 0x1.186b5f7a8c0bp-9, 0x1.0f58b07290d7ep-9, 0x1.0687108d34b65p-9, 0x1.fbe9f22e381a1p-10, 0x1.eb41d57f32ffp-10, 0x1.db12db00ea11ep-10, 0x1.cb5a210aa126fp-10, 0x1.bc14d426d2e46p-10, 0x1.ad402ee26846cp-10, 0x1.9ed9799c21b03p-10, 0x1.90de0a53b126ap-10, 0x1.834b447941c93p-10, 0x1.761e98bcf2e27p-10, 0x1.695584de3c766p-10, 0x1.5ced937c3bbfdp-10, 0x1.50e45be53e06p-10, 0x1.453781e6bae93p-10, 0x1.39e4b59e0634ap-10, 0x1.2ee9b3486e32ap-10, 0x1.24444314869dep-10, 0x1.19f238f2b78c4p-10, 0x1.0ff17466f2362p-10, 0x1.063fe059b2b88p-10, 0x1.f9b6e5d51ba4dp-11, 0x1.e7845a8448c44p-11, 0x1.d5e436c9603ddp-11, 0x1.c4d2a8094e5b8p-11, 0x1.b44bf0ac918b9p-11, 0x1.a44c67c5fa0a1p-11, 0x1.94d078bacb131p-11, 0x1.85d4a2ebeabf5p-11, 0x1.7755795e4075cp-11, 0x1.694fa265f9c87p-11, 0x1.5bbfd75079453p-11, 0x1.4ea2e411ae4bcp-11, 0x1.41f5a6f003ed8p-11, 0x1.35b51031c06bbp-11, 0x1.29de21cc17c1fp-11, 0x1.1e6def11bbcfap-11, 0x1.13619c63863c6p-11, 0x1.08b65ee260502p-11, 0x1.fcd2f83f6497ap-12, 0x1.e8f093a2fa29p-12, 0x1.d5c05b0ad7788p-12, 0x1.c33d38abd24ecp-12, 0x1.b162353fbb5bdp-12, 0x1.a02a7772b8a8ep-12, 0x1.8f914351637e6p-12, 0x1.7f91f9ba42079p-12, 0x1.702817d048de7p-12, 0x1.614f366f84494p-12, 0x1.530309a4712acp-12, 0x1.453f60236a369p-12, 0x1.380022c2702e2p-12, 0x1.2b4153f5fff02p-12, 0x1.1eff0f4f0b044p-12, 0x1.133588f99ee39p-12, 0x1.07e10d41ad4eep-12, 0x1.f9fc0024c1f65p-13, 0x1.e511b8fcc16f8p-13, 0x1.d0fc688a82355p-13, 0x1.bdb55ebb0a1dep-13, 0x1.ab3616ff073d5p-13, 0x1.997837633f04p-13, 0x1.88758fad857d9p-13, 0x1.7828187c148bcp-13, 0x1.6889f26a6eaadp-13, 0x1.599565388c13dp-13, 0x1.4b44def818b66p-13, 0x1.3d92f3366ba0cp-13, 0x1.307a5a326da53p-13, 0x1.23f5f00df7df7p-13, 0x1.1800b40a5a689p-13, 0x1.0c95c7c14a81dp-13, 0x1.01b06e66a58e2p-13, 0x1.ee9818139e53fp-14, 0x1.dac849b783734p-14, 0x1.c7e8b8edab3bp-14, 0x1.b5f0ea591b114p-14, 0x1.a4d89eaaa645dp-14, 0x1.9497d146d40d9p-14, 0x1.8526b6ed0d2cbp-14, 0x1.767dbc6c036f3p-14, 0x1.689585594e95fp-14, 0x1.5b66eaccf6a65p-14, 0x1.4eeafa27cf947p-14, 0x1.431af3dc12afp-14, 0x1.37f04a3cc12cbp-14, 0x1.2d64a05092a6p-14, 0x1.2371c8aba4f17p-14, 0x1.1a11c452a0978p-14, 0x1.113ec19f522cbp-14, 0x1.08f31b2cac967p-14, 0x1.012956c424d38p-14, 0x1.f3b848ab55c35p-15, 0x1.e60cb9df65b28p-15, 0x1.d946038540cfcp-15, 0x1.cd5a76430448ap-15, 0x1.c240af23053aep-15, 0x1.b7ef95ab8a094p-15, 0x1.ae5e5a0240214p-15, 0x1.a584732219998p-15, 0x1.9d599d127e90dp-15, 0x1.95d5d72e36f76p-15, 0x1.8ef1626e8f5efp-15, 0x1.88a4bfc236452p-15, 0x1.82e8ae69d9811p-15, 0x1.7db62a5feaf8ep-15, 0x1.79066ac5e276fp-15, 0x1.74d2e05fe4296p-15, 0x1.71153414103d3p-15, 0x1.6dc745750fbc6p-15, 0x1.6ae3294e5cef4p-15, 0x1.686328410c1e7p-15, 0x1.6641bd5f5dc34p-15, 0x1.647994d82313fp-15, 0x1.63058aa3e5477p-15, 0x1.61e0a93def7bfp-15, 0x1.610628639e6a7p-15, 0x1.60716bd3ca0b8p-15, 0x1.601e021fc6d52p-15, 0x1.6007a37a136acp-15, 0x1.602a30921b898p-15, 0x1.6081b175ed2c5p-15, 0x1.610a547883dd3p-15, 0x1.61c06d1d8fb5cp-15, 0x1.62a0730e112ddp-15, 0x1.63a7011083006p-15, 0x1.64d0d407a8fc9p-15, 0x1.661ac9faecd49p-15, 0x1.6781e11fbe552p-15, 0x1.690336ef1040dp-15, 0x1.6a9c07352314ep-15, 0x1.6c49ab322e37ap-15, 0x1.6e0998b9639dap-15, 0x1.6fd961589bec7p-15, 0x1.71b6b184fd505p-15, 0x1.739f4fcc78a16p-15, 0x1.75911c0c47b78p-15, 0x1.778a0ea9cf83cp-15, 0x1.798837d4acb73p-15, 0x1.7b89bec8458eap-15, 0x1.7d8ce116971b6p-15, 0x1.7f8ff1f4fe8d6p-15, 0x1.819159906771ap-15, 0x1.838f946271d11p-15, 0x1.8589328b4bac5p-15, 0x1.877cd730a2596p-15, 0x1.896937dfbf3f2p-15, 0x1.8b4d1bf483e28p-15, 0x1.8d275c0580b74p-15, 0x1.8ef6e1507e267p-15, 0x1.90baa52f4de12p-15, 0x1.9271b08af0e5p-15, 0x1.941b1b567ababp-15, 0x1.95b60c0b0dba8p-15, 0x1.9741b727de75dp-15, 0x1.98bd5eb74f026p-15, 0x1.9a2851d52069fp-15, 0x1.9b81ec3a1d9f5p-15, 0x1.9cc995c70dfb9p-15, 0x1.9dfec2170465dp-15, 0x1.9f20f011d8a27p-15, 0x1.a02fa98149f04p-15, 0x1.a12a82ad00eeep-15, 0x1.a21119f3fd1cbp-15, 0x1.a2e3176ee1f27p-15, 0x1.a3a02c8d8a262p-15, 0x1.a44813bddd435p-15, 0x1.a4da9010c1c1dp-15, 0x1.a5576ce318c73p-15, 0x1.a5be7d8a9e1a1p-15, 0x1.a60f9d03d705ap-15, 0x1.a64aada14d6c5p-15, 0x1.a66f98c0197ffp-15, 0x1.a67e4e7b0a64ep-15, 0x1.a676c5620b4cap-15, 0x1.a658fa33a1c0dp-15, 0x1.a624ef97360d7p-15, 0x1.a5daaddb8d53ap-15, 0x1.a57a42b5283a8p-15, 0x1.a503c10011168p-15, 0x1.a47740836c6d3p-15, 0x1.a3d4ddb4d5f34p-15, 0x1.a31cb980b83d6p-15, 0x1.a24ef9109fcabp-15, 0x1.a16bc596be6fep-15, 0x1.a0734c19f12fap-15, 0x1.9f65bd42a8b1ep-15, 0x1.9e434d2a9dfbcp-15, 0x1.9d0c332cb0f27p-15, 0x1.9bc0a9b759797p-15, 0x1.9a60ee200ea4ap-15, 0x1.98ed40777f3d9p-15, 0x1.9765e361b7d9ep-15, 0x1.95cb1bec190dbp-15, 0x1.941d31677478p-15, 0x1.925c6d4249dffp-15, 0x1.90891ae449a86p-15, 0x1.8ea3878b4a01p-15, 0x1.8cac0229615cfp-15, 0x1.8aa2db42f78b8p-15, 0x1.888864d0dce15p-15, 0x1.865cf220aff3ep-15, 0x1.8420d7b7c89c4p-15, 0x1.81d46b36a7332p-15, 0x1.7f78033d6cf8cp-15, 0x1.7d0bf751f2764p-15, 0x1.7a909fc5b97a2p-15, 0x1.7806559d67706p-15, 0x1.756d72794269cp-15, 0x1.72c6507f1b1c2p-15, 0x1.70114a4342f82p-15, 0x1.6d4ebab5127f9p-15, 0x1.6a7efd09a665ep-15, 0x1.67a26ca878fedp-15, 0x1.64b965193690dp-15, 0x1.61c441f122af2p-15, 0x1.5ec35ec2f9d97p-15, 0x1.5bb7170dc9364p-15, 0x1.589fc62d127d5p-15, 0x1.557dc74a49c21p-15, 0x1.5251754e6092ep-15, 0x1.4f1b2ad302e9bp-15, 0x1.4bdb42172fc2p-15, 0x1.489214f088c5ap-15, 0x1.453ffcc08e18ap-15, 0x1.41e55268f10a5p-15, 0x1.3e826e40561a3p-15, 0x1.3b17a808b43cfp-15, 0x1.37a556e538319p-15, 0x1.342bd150042a5p-15, }}, 
      {{-0x1.ce2a2828eec4ap-3, -0x1.cf357c5f99142p-3, -0x1.d0a8d4f86f478p-3, -0x1.d281661a5f68ap-3, -0x1.d4bbbc9d1b5c2p-3, -0x1.d753d3159d5d1p-3, -0x1.da452742933edp-3, -0x1.dd8acf16d080cp-3, -0x1.e11f8cdcbe7e3p-3, -0x1.e4fde21b9d467p-3, -0x1.e9202109db838p-3, -0x1.ed807c717f4eap-3, -0x1.f21915fe09cdp-3, -0x1.f6e40af8ba267p-3, -0x1.fbdb7f811ce33p-3, -0x1.007cd42b00b42p-2, -0x1.031c69a352315p-2, -0x1.05c9b732f0418p-2, -0x1.0882070d02d18p-2, -0x1.0b42b911d9c7fp-2, -0x1.0e0944dabd75ap-2, -0x1.10d33b5a59f44p-2, -0x1.139e481d51d14p-2, -0x1.16683235b932dp-2, -0x1.192edcdb6555bp-2, -0x1.1bf047ca3507dp-2, -0x1.1eaa8f66a5db8p-2, -0x1.215becb0484bap-2, -0x1.2402b508f51bfp-2, -0x1.269d59d6f342ep-2, -0x1.292a6807a1f66p-2, -0x1.2ba88777ac69cp-2, -0x1.2e167a45423e5p-2, -0x1.30731c1051707p-2, -0x1.32bd612c5811p-2, -0x1.34f455c6f4d5ep-2, -0x1.37171d0604b4cp-2, -0x1.3924f01fc5178p-2, -0x1.3b1d1d6f27757p-2, -0x1.3cff07863e7fdp-2, -0x1.3eca244064effp-2, -0x1.407dfbd5966ffp-2, -0x1.421a27f02d296p-2, -0x1.439e52c61356p-2, -0x1.450a36364ca38p-2, -0x1.465d9aeb91e52p-2, -0x1.479857849d67dp-2, -0x1.48ba4fc2a29c2p-2, -0x1.49c373be5aa51p-2, -0x1.4ab3bf23e3ce3p-2, -0x1.4b8b3875bd5b9p-2, -0x1.4c49f056ee374p-2, -0x1.4cf000dc80447p-2, -0x1.4d7d8ce64011dp-2, -0x1.4df2bf7ecfe03p-2, -0x1.4e4fcb42eacd2p-2, -0x1.4e94e9cfcbd23p-2, -0x1.4ec25b388ecf3p-2, -0x1.4ed865826953ap-2, -0x1.4ed754278dd81p-2, -0x1.4ebf77a084321p-2, -0x1.4e9124f3cad64p-2, -0x1.4e4cb54b86699p-2, -0x1.4df2859104b3cp-2, -0x1.4d82f60de2914p-2, -0x1.4cfe6a12927c2p-2, -0x1.4c6547a20e033p-2, -0x1.4bb7f72279e4ap-2, -0x1.4af6e312801a8p-2, -0x1.4a2277c32a309p-2, -0x1.493b2316071d8p-2, -0x1.4841543f5f7cfp-2, -0x1.47357b8c4f439p-2, -0x1.46180a2c86ea1p-2, -0x1.44e971ff8c7a5p-2, -0x1.43aa25654583cp-2, -0x1.425a9711a5e8ap-2, -0x1.40fb39e34c87dp-2, -0x1.3f8c80bcf12fbp-2, -0x1.3e0ede616cdd8p-2, -0x1.3c82c55248105p-2, -0x1.3ae8a7b099862p-2, -0x1.3940f7201f66ep-2, -0x1.378c24ac6c989p-2, -0x1.35caa0b00b745p-2, -0x1.33fcdabd7b78ep-2, -0x1.32234189e7abep-2, -0x1.303e42d983a24p-2, -0x1.2e4e4b6d70664p-2, -0x1.2c53c6f3109a7p-2, -0x1.2a4f1ff4bea71p-2, -0x1.2840bfcbc0013p-2, -0x1.26290e9375fbfp-2, -0x1.2408731da56f5p-2, -0x1.21df52e7d3731p-2, -0x1.1fae12119b78p-2, -0x1.1d751353f827p-2, -0x1.1b34b7f96978cp-2, -0x1.18ed5fd6ee591p-2, -0x1.169f6945c0af9p-2, -0x1.144b311dd128fp-2, -0x1.11f112b0e8cfp-2, -0x1.0f9167c674d5p-2, -0x1.0d2c8897e5b98p-2, -0x1.0ac2cbcda4619p-2, -0x1.0854867c872f7p-2, -0x1.05e20c23cccdp-2, -0x1.036baeab87fd4p-2, -0x1.00f1be637ea8fp-2, -0x1.fce91404e24dp-3, -0x1.f7e8bd4b864b2p-3, -0x1.f2e30fa300291p-3, -0x1.edd89ee17602ep-3, -0x1.e8c9fbac70bb2p-3, -0x1.e3b7b37ad783bp-3, -0x1.dea2509771fb5p-3, -0x1.d98a5a23f5456p-3, -0x1.d470541c8b65ap-3, -0x1.cf54bf5bd9461p-3, -0x1.ca38199f6c87fp-3, -0x1.c51add8c9585ap-3, -0x1.bffd82b5a67dp-3, -0x1.bae07d9f8aaeap-3, -0x1.b5c43fc7b5742p-3, -0x1.b0a937aa63235p-3, -0x1.ab8fd0c9283b2p-3, -0x1.a67873b1c1a75p-3, -0x1.a16386052ee79p-3, -0x1.9c516a7f0806ap-3, -0x1.974280fd0a1bp-3, -0x1.92372686e0787p-3, -0x1.8d2fb5561f243p-3, -0x1.882c84de67812p-3, -0x1.832de9d5c0e28p-3, -0x1.7e34363d152ep-3, -0x1.793fb968d513ap-3, -0x1.7450c009bbefcp-3, -0x1.6f679435bc23ap-3, -0x1.6a847d70fec7bp-3, -0x1.65a7c0b704caap-3, -0x1.60d1a083e436bp-3, -0x1.5c025cdd8f236p-3, -0x1.573a335d3f98fp-3, -0x1.52795f38e5367p-3, -0x1.4dc0194cb281fp-3, -0x1.490e9824aa38dp-3, -0x1.4465100641bcap-3, -0x1.3fc3b2fa0eeeep-3, -0x1.3b2ab0d572888p-3, -0x1.369a37445b123p-3, -0x1.321271d2ff10ap-3, -0x1.2d9389f79f1c1p-3, -0x1.291da71c4d3e3p-3, -0x1.24b0eea8b28e4p-3, -0x1.204d840bd066dp-3, -0x1.1bf388c5c6e2fp-3, -0x1.17a31c7190cd2p-3, -0x1.135c5ccebf8ep-3, -0x1.0f1f65cb2d6e7p-3, -0x1.0aec518cab734p-3, -0x1.06c3387aa3ca6p-3, -0x1.02a43147b44c6p-3, -0x1.fd1ea1f680661p-4, -0x1.f50955f5e06fcp-4, -0x1.ed08a22855909p-4, -0x1.e51ca70af705ep-4, -0x1.dd45820fdcca3p-4, -0x1.d5834db0b2bfdp-4, -0x1.cdd6218126eaap-4, -0x1.c63e12413f083p-4, -0x1.bebb31ef7ce61p-4, -0x1.b74d8fdae14b7p-4, -0x1.aff538b4cd75ap-4, -0x1.a8b236a2b3529p-4, -0x1.a184914f94797p-4, -0x1.9a6c4dfd6a446p-4, -0x1.93696f96497b4p-4, -0x1.8c7bf6bd63833p-4, -0x1.85a3e1dfd53e8p-4, -0x1.7ee12d4544d6ap-4, -0x1.7833d3204c283p-4, -0x1.719bcb9eb273dp-4, -0x1.6b190cf96ed1dp-4, -0x1.64ab8b847936ep-4, -0x1.5e5339be63869p-4, -0x1.5810085fbb699p-4, -0x1.51e1e66a386acp-4, -0x1.4bc8c137ae9dep-4, -0x1.45c48488caeadp-4, -0x1.3fd51a9395776p-4, -0x1.39fa6c11bb98dp-4, -0x1.3434604e9d13ep-4, -0x1.2e82dd3522a6dp-4, -0x1.28e5c75d57878p-4, -0x1.235d0219c81fdp-4, -0x1.1de86f84a6bc4p-4, -0x1.1887f08cb3e31p-4, -0x1.133b6501eadafp-4, -0x1.0e02aba1f207ap-4, -0x1.08dda2245084ap-4, -0x1.03cc254667c25p-4, -0x1.fd9c21ae602f9p-5, -0x1.f3c67f85757f4p-5, -0x1.ea17183af008fp-5, -0x1.e08d9e5e82e0bp-5, -0x1.d729c2fc4eeecp-5, -0x1.cdeb35b20ade5p-5, -0x1.c4d1a4c3b36acp-5, -0x1.bbdcbd2fc6297p-5, -0x1.b30c2ac30837cp-5, -0x1.aa5f982bd6567p-5, -0x1.a1d6af0d046eap-5, -0x1.997118104629ap-5, -0x1.912e7af828b5p-5, -0x1.890e7eb1991ep-5, -0x1.8110c964facb4p-5, -0x1.79350086cf20ap-5, -0x1.717ac8e7ef036p-5, -0x1.69e1c6c5552f5p-5, -0x1.62699dd77c2dap-5, -0x1.5b11f16153cc6p-5, -0x1.53da643ec8cfep-5, -0x1.4cc298f2e74edp-5, -0x1.45ca31b59164bp-5, -0x1.3ef0d080d46e3p-5, -0x1.3836171dd403dp-5, -0x1.3199a73155f55p-5, -0x1.2b1b2247e6794p-5, -0x1.24ba29e1a02e8p-5, -0x1.1e765f7d908afp-5, -0x1.184f64a4c1dd8p-5, -0x1.1244daf4e48ecp-5, -0x1.0c56642a9e4eep-5, -0x1.0683a22b80f3cp-5, -0x1.00cc370fa6ea1p-5, -0x1.f65f8a55ec91dp-6, -0x1.eb5bde2c280c7p-6, -0x1.e08caf6dfb9b1p-6, -0x1.d5f14492a7f02p-6, -0x1.cb88e4cca3145p-6, -0x1.c152d818e73c7p-6, -0x1.b74e674da8ecp-6, -0x1.ad7adc287681p-6, -0x1.a3d7815bb261fp-6, -0x1.9a63a29b909e2p-6, -0x1.911e8caa714d3p-6, -0x1.88078d64b485fp-6, -0x1.7f1df3cc0a0b8p-6, -0x1.7661101230b8p-6, -0x1.6dd033a335d57p-6, -0x1.656ab12f31939p-6, -0x1.5d2fdcb38b296p-6, -0x1.551f0b83b5dacp-6, -0x1.4d3794518470bp-6, -0x1.4578cf34f4e19p-6, -0x1.3de215b39fcaap-6, -0x1.3672c2c7a019bp-6, -0x1.2f2a32e622c0fp-6, -0x1.2807c4057b451p-6, -0x1.210ad5a2dfa23p-6, -0x1.1a32c8c7b398ap-6, -0x1.137f000e74fb2p-6, -0x1.0ceedfa750068p-6, -0x1.0681cd5c4b946p-6, -0x1.0037309522f9p-6, -0x1.f41ce4b585fb1p-7, -0x1.e80dfab4fb589p-7, -0x1.dc407bd1abedbp-7, -0x1.d0b3440824bap-7, -0x1.c56532ace6c91p-7, -0x1.ba552a704d06bp-7, -0x1.af821161cc014p-7, -0x1.a4ead0f2c3e54p-7, -0x1.9a8e55f8aafedp-7, -0x1.906b90aeca74dp-7, -0x1.868174b76b763p-7, -0x1.7ccef91c9ada6p-7, -0x1.73531850616c8p-7, -0x1.6a0cd02c9b1b4p-7, -0x1.60fb21f24e162p-7, -0x1.581d1248b31afp-7, -0x1.4f71a93bb3d6cp-7, -0x1.46f7f23a1ef7ep-7, -0x1.3eaefc1379077p-7, -0x1.3695d8f5699e9p-7, -0x1.2eab9e68dbc3dp-7, -0x1.26ef654ec3ca4p-7, -0x1.1f6049dc93b3ap-7, -0x1.17fd6b9865af9p-7, -0x1.10c5ed54df404p-7, -0x1.09b8f52cc73f2p-7, -0x1.02d5ac7e5adc4p-7, -0x1.f8367fccd0b44p-8, -0x1.eb11be7642e47p-8, -0x1.de3b7b0d6f5dbp-8, -0x1.d1b22203a109p-8, -0x1.c574261b5536ap-8, -0x1.b980005c41ca9p-8, -0x1.add43006f4ac5p-8, -0x1.a26f3a882a4fbp-8, -0x1.974fab6bbe10ap-8, -0x1.8c74144f4a0e6p-8, -0x1.81db0cd483795p-8, -0x1.7783329358638p-8, -0x1.6d6b290bbf51bp-8, -0x1.639199975198cp-8, -0x1.59f5335ab0d12p-8, -0x1.5094ab36abd48p-8, -0x1.476ebbb9393b1p-8, -0x1.3e82250e47e7bp-8, -0x1.35cdacf06c1dep-8, -0x1.2d501e99640e5p-8, -0x1.25084ab26c421p-8, -0x1.1cf50744887b9p-8, -0x1.15152fa8a9684p-8, -0x1.0d67a477c04e3p-8, -0x1.05eb4b7ac72ffp-8, -0x1.fd3e1f352f5bfp-9, -0x1.ef03c19fa987ap-9, -0x1.e12568257661p-9, -0x1.d3a10695b8f45p-9, -0x1.c6749a7dfb624p-9, -0x1.b99e2b0982007p-9, -0x1.ad1bc8e0dbd67p-9, -0x1.a0eb8e0949722p-9, -0x1.950b9dc44d64ap-9, -0x1.897a246f39eedp-9, -0x1.7e355762d9b33p-9, -0x1.733b74d31fb95p-9, -0x1.688ac3aed6511p-9, -0x1.5e21937f93c3fp-9, -0x1.53fe3c49b5c82p-9, -0x1.4a1f1e6c71c78p-9, -0x1.4082a28245fabp-9, -0x1.37273941431bbp-9, -0x1.2e0b5b5b9b573p-9, -0x1.252d896079dc5p-9, -0x1.1c8c4b9ce1be1p-9, -0x1.142631fce145fp-9, -0x1.0bf9d3eceafe8p-9, -0x1.0405d03b6b8ap-9, -0x1.f89199f4f61dep-10, -0x1.e982eec3d5eeep-10, -0x1.dadd07630835p-10, -0x1.cc9d5a2710e67p-10, -0x1.bec16afed1448p-10, -0x1.b146cb39cb0bbp-10, -0x1.a42b194e3b1abp-10, -0x1.976c00a06899p-10, -0x1.8b07394a38cb8p-10, -0x1.7efa87e3325f9p-10, -0x1.7343bd496c06ap-10, -0x1.67e0b66ab8fe6p-10, -0x1.5ccf5c0e98609p-10, -0x1.520da2a08546fp-10, -0x1.479989fb203bap-10, -0x1.3d711d33b61c3p-10, -0x1.339272669bc8cp-10, -0x1.29fbaa83f7095p-10, -0x1.20aaf11d50fc3p-10, -0x1.179e7c3376344p-10, -0x1.0ed48c0535c55p-10, -0x1.064b6adebbafap-10, -0x1.fc02d9d2cc7d1p-11, -0x1.ebe9dff8ba571p-11, -0x1.dc48b6dbac833p-11, -0x1.cd1c3fc95b162p-11, -0x1.be616e55c3e37p-11, -0x1.b015480152d51p-11, -0x1.a234e3dffece4p-11, -0x1.94bd6a41de9c1p-11, -0x1.87ac145d05882p-11, -0x1.7afe2bf8b13dcp-11, -0x1.6eb10b19498d4p-11, -0x1.62c21badef6d1p-11, -0x1.572ed73f37792p-11, -0x1.4bf4c69f0799dp-11, -0x1.41118199e175fp-11, -0x1.3682aea91e495p-11, -0x1.2c4602a69d608p-11, -0x1.225940815b6aep-11, -0x1.18ba38f38947fp-11, -0x1.0f66ca39980d1p-11, -0x1.065cdfca704efp-11, -0x1.fb34e421ed5e4p-12, -0x1.ea3b0c4d46443p-12, -0x1.d9c85b1ecb657p-12, -0x1.c9d90bec9473fp-12, -0x1.ba6971d77222ap-12, -0x1.ab75f748ac24ep-12, -0x1.9cfb1d72e05e3p-12, -0x1.8ef57bd42f56ep-12, -0x1.8161bfbbaac1p-12, -0x1.743cabcfddeadp-12, -0x1.67831798103f9p-12, -0x1.5b31ef075d0efp-12, -0x1.4f46320a03af7p-12, -0x1.43bcf414c68c1p-12, -0x1.38935bb5f115ap-12, -0x1.2dc6a22941a52p-12, -0x1.235412ecccdddp-12, -0x1.19390b588b5afp-12, -0x1.0f72fa3793a83p-12, -0x1.05ff5f634fc8fp-12, -0x1.f9b796c0735p-13, -0x1.e80bbdfa6fd7bp-13, -0x1.d6f695e7d2f54p-13, -0x1.c6739f17a0ddbp-13, -0x1.b67e787c42db1p-13, -0x1.a712deb8aa4ccp-13, -0x1.982cab6f630d8p-13, -0x1.89c7d49687259p-13, -0x1.7be06bcd7b273p-13, -0x1.6e729db7a9911p-13, -0x1.617ab159561ddp-13, -0x1.54f507782af11p-13, -0x1.48de19ff1ba5bp-13, -0x1.3d327b6524a5ap-13, -0x1.31eed616e5e3bp-13, -0x1.270febe431183p-13, -0x1.1c92956f7644fp-13, -0x1.1273c1a1425c2p-13, -0x1.08b0751dbe695p-13, -0x1.fe8b937b3d762p-14, -0x1.ec61dc1355906p-14, -0x1.dade49723284fp-14, -0x1.c9fb88651d9abp-14, -0x1.b9b46c1f8b4bdp-14, -0x1.aa03ed4828903p-14, -0x1.9ae5290ad01dep-14, -0x1.8c53602f4594bp-14, -0x1.7e49f6363b267p-14, -0x1.70c47079642b8p-14, -0x1.63be75514836fp-14, -0x1.5733cb4091206p-14, -0x1.4b20582267f63p-14, -0x1.3f80205f242b2p-14, -0x1.344f4623f9d19p-14, -0x1.298a08a06c4c8p-14, -0x1.1f2cc346a2834p-14, -0x1.1533ed12078cfp-14, -0x1.0b9c17cfb858dp-14, -0x1.0261ef6cd8bfbp-14, -0x1.f304728fe0335p-15, -0x1.e1f3a70d135d8p-15, -0x1.d18b68de0b75fp-15, -0x1.c1c5d38be9dd5p-15, -0x1.b29d305ec63bcp-15, -0x1.a40bf526a3fb1p-15, -0x1.960cc30cc3ddp-15, -0x1.889a6569f2c9dp-15, -0x1.7bafd0a7b3e1fp-15, -0x1.6f4821237f6dbp-15, -0x1.635e9a1bb76c9p-15, -0x1.57eea4a2609b5p-15, -0x1.4cf3ce95985ep-15, -0x1.4269c99f33739p-15, -0x1.384c6a3b4e527p-15, -0x1.2e97a6c14aa8p-15, -0x1.25479676e478p-15, -0x1.1c5870a5f81b3p-15, -0x1.13c68bba0ade3p-15, -0x1.0b8e5c61e30eep-15, -0x1.03ac74b716946p-15, -0x1.f83b06d6b29a4p-16, -0x1.e9bca5f2fb16bp-16, -0x1.dbd791bc2e41cp-16, -0x1.ce85c9a4c7d97p-16, -0x1.c1c1801b9dc1cp-16, -0x1.b585191697663p-16, -0x1.a9cb28a676cd4p-16, -0x1.9e8e71958b583p-16, -0x1.93c9e40ef6aa1p-16, -0x1.89789c4c15dafp-16, -0x1.7f95e14f7c90ap-16, -0x1.761d23a20b148p-16, -0x1.6d09fc1d20232p-16, -0x1.64582aba2bc07p-16, -0x1.5c03956a7515ep-16, -0x1.540846f876986p-16, -0x1.4c626dedd735p-16, -0x1.450e5b82275c9p-16, -0x1.3e08828fb339fp-16, -0x1.374d7690eefc4p-16, -0x1.30d9eaa385015p-16, -0x1.2aaab093506adp-16, -0x1.24bcb7e92af7cp-16, -0x1.1f0d0d034b61ap-16, -0x1.1998d830aa584p-16, -0x1.145d5cd54042dp-16, -0x1.0f57f892d19dep-16, -0x1.0a862277bd0e8p-16, -0x1.05e56a32d79d1p-16, -0x1.0173774e18032p-16, -0x1.fa5c10d90a3d2p-17, -0x1.f225e51f4240cp-17, -0x1.ea4040c325ce6p-17, -0x1.e2a72306804fbp-17, -0x1.db56b3be69c7ep-17, -0x1.d44b42045f422p-17, -0x1.cd8142f101634p-17, -0x1.c6f5505e3172cp-17, -0x1.c0a427b3a57dbp-17, -0x1.ba8aa8ba61e35p-17, -0x1.b4a5d479dd564p-17, -0x1.aef2cc1c52563p-17, -0x1.a96ecfda98ebep-17, -0x1.a4173df423856p-17, -0x1.9ee991a96783ep-17, -0x1.99e3624171086p-17, -0x1.9502621238ea8p-17, -0x1.90445d94f574fp-17, -0x1.8ba73a7d73e95p-17, -0x1.8728f6db5a71fp-17, -0x1.82c7a83f3c9e2p-17, -0x1.7e817ae87810cp-17, -0x1.7a54b0f868d67p-17, -0x1.763fa1a865a93p-17, -0x1.7240b88b66456p-17, -0x1.6e5674d0fddafp-17, -0x1.6a7f6890a1c13p-17, -0x1.66ba3818cccbap-17, -0x1.63059943be01bp-17, -0x1.5f6052d2d6223p-17, -0x1.5bc93bcbc3c31p-17, -0x1.583f3add50335p-17, -0x1.54c145c84586p-17, -0x1.514e60cc56b6cp-17, -0x1.4de59e1ae6ed3p-17, -0x1.4a861d4c9154fp-17, -0x1.472f0adcffe9cp-17, -0x1.43df9fa839658p-17, -0x1.4097206f072d2p-17, -0x1.3d54dd5c41894p-17, -0x1.3a183190a6ebcp-17, -0x1.36e082b147b07p-17, -0x1.33ad4078e429dp-17, -0x1.307de44db58dbp-17, -0x1.2d51f0da0a7b2p-17, -0x1.2a28f1a8f34bdp-17, -0x1.27027ac60fd1bp-17, -0x1.23de2860d926dp-17, -0x1.20bb9e716411p-17, -0x1.1d9a88618fb48p-17, -0x1.1a7a98b9438b7p-17, -0x1.175b88cba5acbp-17, -0x1.143d1869c0123p-17, -0x1.111f0d9626fa2p-17, -0x1.0e01343c018ddp-17, -0x1.0ae35de74db79p-17, -0x1.07c561800fed5p-17, -0x1.04a71b0852b13p-17, -0x1.01886b5ca0e66p-17, -0x1.fcd26fed205e8p-18, -0x1.f692d562717e1p-18, -0x1.f051e3218544p-18, -0x1.ea0f7d12cb941p-18, -0x1.e3cb8e9806f36p-18, -0x1.dd860a2193c0cp-18, -0x1.d73ee8ce03f01p-18, -0x1.d0f62a097df4fp-18, -0x1.caabd333ed7dp-18, -0x1.c45fef46b275fp-18, -0x1.be128e80b7d1dp-18, -0x1.b7c3c6137208p-18, -0x1.b173afd529ff8p-18, -0x1.ab2269f4214d2p-18, -0x1.a4d016af1ff7p-18, -0x1.9e7cdc0d33458p-18, -0x1.9828e39d8c72fp-18, -0x1.91d45a352fe69p-18, -0x1.8b7f6fb0b8682p-18, -0x1.852a56b9a68a2p-18, -0x1.7ed5448c6e4f9p-18, -0x1.788070c2e8eadp-18, -0x1.722c151e263afp-18, -0x1.6bd86d562aaa4p-18, -0x1.6585b6e7ea8c2p-18, -0x1.5f3430e90c635p-18, -0x1.58e41bda2655ep-18, -0x1.5295b97d08aefp-18, -0x1.4c494cadc4c6p-18, -0x1.45ff1939fb32fp-18, -0x1.3fb763beaf6f8p-18, -0x1.39727182f74f5p-18, -0x1.33308857ced12p-18, -0x1.2cf1ee76ce4cfp-18, -0x1.26b6ea65ad5c3p-18, -0x1.207fc2d7cf15ap-18, -0x1.1a4cbe93e3b1ep-18, -0x1.141e24595168fp-18, -0x1.0df43ac84a249p-18, -0x1.07cf48494f116p-18, -0x1.01af92f706847p-18, -0x1.f72ac112dc1e7p-19, -0x1.eb01ec832a66dp-19, -0x1.dee531ae57c3cp-19, -0x1.d2d518cd8105cp-19, -0x1.c6d228c1b3d27p-19, -0x1.badce6f5fa8fap-19, -0x1.aef5d73f8663p-19, -0x1.a31d7bc3fca01p-19, -0x1.975454de7268p-19, -0x1.8b9ae106462bfp-19, -0x1.7ff19cba3c6d3p-19, -0x1.7459026b097dfp-19, -0x1.68d18a673e5b2p-19, -0x1.5d5baac9da4afp-19, -0x1.51f7d769ccdccp-19, -0x1.46a681caf057bp-19, -0x1.3b68190e3783ap-19, -0x1.303d09e76463dp-19, -0x1.2525be8f03be8p-19, -0x1.1a229eb9840f6p-19, -0x1.0f340f8d32955p-19, -0x1.045a739ab718dp-19, -0x1.f32c55ac8a8f5p-20, -0x1.ddcf251f570ffp-20, -0x1.c89e0add5ff7dp-20, -0x1.b399b6da6db97p-20, -0x1.9ec2d3a84265fp-20, -0x1.8a1a06710f94ep-20, -0x1.759feef093937p-20, -0x1.61552776c512ep-20, -0x1.4d3a44e2908bep-20, -0x1.394fd6a299ef8p-20, -0x1.259666b7257d8p-20, -0x1.120e79b389db7p-20, -0x1.fd711d8904683p-21, -0x1.d72a3f5ed8d34p-21, -0x1.b14941bed250cp-21, -0x1.8bcf02d1a0279p-21, -0x1.66bc561f3cfc7p-21, -0x1.421204a56da9dp-21, -0x1.1dd0cce28db95p-21, -0x1.f3f2c5e345ddcp-22, -0x1.ad18e13e6479dp-22, -0x1.67152af3cc3c4p-22, -0x1.21e8cdeb45d73p-22, -0x1.bb29c2058709dp-23, -0x1.3434ce794a729p-23, -0x1.5de9401c7ab97p-24, -0x1.5b57765f9243ep-26, 0x1.599ace4bd2d8dp-25, 0x1.acfdb64b5511cp-24, 0x1.54dc415a649dp-23, 0x1.d17dc453ff55p-23, 0x1.26313340a6029p-22, 0x1.62c4a70b75004p-22, }}, 
      std::vector<double>(649, 0.0), 
      {{0x1.a417290bfbbb9p-7, 0x1.3bb942f0d49c3p-6, 0x1.a616a6b98f4acp-6, 0x1.089d57ccd099ap-5, 0x1.3e93728197986p-5, 0x1.74e418bef3f96p-5, 0x1.ab7c5b7525e68p-5, 0x1.e2411e311a0cep-5, 0x1.0c883978bb63fp-4, 0x1.27e17f7891dacp-4, 0x1.4316aabf46c3dp-4, 0x1.5e109e5734d79p-4, 0x1.78b76a52f754p-4, 0x1.92f2cee292762p-4, 0x1.acaaae3d10662p-4, 0x1.c5c76d9ddca3ep-4, 0x1.de324624971d4p-4, 0x1.f5d586be35821p-4, 0x1.064e643722ec4p-3, 0x1.113a8b3184e03p-3, 0x1.1ba6859fa04e6p-3, 0x1.258a727bf9ebbp-3, 0x1.2edf4847ed905p-3, 0x1.379ed770427bcp-3, 0x1.3fc3c9c312f3dp-3, 0x1.47499f7363d45p-3, 0x1.4e2caa19427d6p-3, 0x1.546a06104d341p-3, 0x1.59ff928a77f3fp-3, 0x1.5eebe8a1ef062p-3, 0x1.632e51aaf3bfdp-3, 0x1.66c6bcfd90f9bp-3, 0x1.69b5b56714eb9p-3, 0x1.6bfc566c0b505p-3, 0x1.6d9c417d4ed85p-3, 0x1.6e97933d0f83fp-3, 0x1.6ef0d8ebff3ap-3, 0x1.6eab06126e45cp-3, 0x1.6dc96a757980bp-3, 0x1.6c4fa8652a0d1p-3, 0x1.6a41ab6d856a6p-3, 0x1.67a39f72208bap-3, 0x1.6479e839ad657p-3, 0x1.60c9196d088d5p-3, 0x1.5c95ef0bde986p-3, 0x1.57e546578084dp-3, 0x1.52bc17337a1bep-3, 0x1.4d1f6dfa6906dp-3, 0x1.471465c4dd3edp-3, 0x1.40a0231f5022bp-3, 0x1.39c7cf2bbff2ep-3, 0x1.3290932b0958ap-3, 0x1.2aff9469c7b0fp-3, 0x1.2319f08c49025p-3, 0x1.1ae4ba34ea3a2p-3, 0x1.1264f6002b07ap-3, 0x1.099f97d1a9dfp-3, 0x1.0099806d3d187p-3, 0x1.eeaef6aedf65ap-4, 0x1.dbbc79f1773d2p-4, 0x1.c864c1fdca42ep-4, 0x1.b4b0d1f02f27cp-4, 0x1.a0a97646f3711p-4, 0x1.8c5742e62069bp-4, 0x1.77c2917620554p-4, 0x1.62f38015a2a32p-4, 0x1.4df1f057ad3ecp-4, 0x1.38c5868717903p-4, 0x1.2375a9290c845p-4, 0x1.0e0980b89fc48p-4, 0x1.f10fef2bacc25p-5, 0x1.c5ef7445cfa01p-5, 0x1.9abe6e15b2076p-5, 0x1.6f893f59cc1fap-5, 0x1.445bd1511d04cp-5, 0x1.1941950cc2807p-5, 0x1.dc8b09e7e81e7p-6, 0x1.86e44ce7a7337p-6, 0x1.31a317aa1fb97p-6, 0x1.b9b558c7a105cp-7, 0x1.113ade1e48d82p-7, 0x1.a7e74de71d6d7p-9, -0x1.df62ef5cb2387p-10, -0x1.c0afdd2d3efe5p-8, -0x1.832aaf7426d16p-7, -0x1.1224002f71cf6p-6, -0x1.61ca63469457dp-6, -0x1.b07bb177c6d08p-6, -0x1.fe2bd444aa4f7p-6, -0x1.2567b4b26ec08p-5, -0x1.4b2ddefb3752ap-5, -0x1.706364da7008dp-5, -0x1.9503951ca45bbp-5, -0x1.b90a0f22d5273p-5, -0x1.dc72c08ea77c3p-5, -0x1.ff39e2f5e234p-5, -0x1.10adfccef0581p-4, -0x1.216ae79fbf5bcp-4, -0x1.31d239e9fc791p-4, -0x1.41e29d3589a36p-4, -0x1.519adb85696fap-4, -0x1.60f9de4c7e5d8p-4, -0x1.6ffead673f669p-4, -0x1.7ea86e1a6fbafp-4, -0x1.8cf66216ddb57p-4, -0x1.9ae7e6822a17p-4, -0x1.a87c73049a58fp-4, -0x1.b5b398dbdeddcp-4, -0x1.c28d01f2e1c26p-4, -0x1.cf086ffe6e1cbp-4, -0x1.db25bb9eb8cc5p-4, -0x1.e6e4d385b53aap-4, -0x1.f245bba222b0ap-4, -0x1.fd488c4f3ee76p-4, -0x1.03f6b8c489a31p-3, -0x1.091a55129ccf4p-3, -0x1.0e0f43880b51dp-3, -0x1.12d5b5473295fp-3, -0x1.176de3c1891e9p-3, -0x1.1bd8105c9e121p-3, -0x1.201484192f947p-3, -0x1.24238f3c410f2p-3, -0x1.280588fa30878p-3, -0x1.2bbacf23c3f86p-3, -0x1.2f43c5d518b34p-3, -0x1.32a0d7267bd09p-3, -0x1.35d272df1bdbcp-3, -0x1.38d90e299115dp-3, -0x1.3bb5234a26523p-3, -0x1.3e673156ef9ecp-3, -0x1.40efbbf19e013p-3, -0x1.434f4b0301554p-3, -0x1.45866a78457dbp-3, -0x1.4795aa01cc1e7p-3, -0x1.497d9cd3b8de5p-3, -0x1.4b3ed96810844p-3, -0x1.4cd9f94272dc9p-3, -0x1.4e4f98b56e831p-3, -0x1.4fa056a95a58fp-3, -0x1.50ccd464bd704p-3, -0x1.51d5b55635995p-3, -0x1.52bb9edfe8008p-3, -0x1.537f38245df49p-3, -0x1.542129d4e2f1fp-3, -0x1.54a21e01525adp-3, -0x1.5502bfe94b301p-3, -0x1.5543bbced99f8p-3, -0x1.5565beca76bc8p-3, -0x1.556976a070ddbp-3, -0x1.554f9197ae8a2p-3, -0x1.5518be51c9551p-3, -0x1.54c5aba476f92p-3, -0x1.54570874489f5p-3, -0x1.53cd8390ac157p-3, -0x1.5329cb913c26p-3, -0x1.526c8eb44af5ep-3, -0x1.51967abead6fep-3, -0x1.50a83cdcbfd57p-3, -0x1.4fa2818498e44p-3, -0x1.4e85f45977e2ap-3, -0x1.4d5340104d073p-3, -0x1.4c0b0e557be4ep-3, -0x1.4aae07b3acc32p-3, -0x1.493cd37bc907p-3, -0x1.47b817ae05a64p-3, -0x1.462078e406339p-3, -0x1.44769a3c0fb69p-3, -0x1.42bb1d453c5cep-3, -0x1.40eea1ecbef7cp-3, -0x1.3f11c66c1cc41p-3, -0x1.3d2527386485fp-3, -0x1.3b295ef25beefp-3, -0x1.391f065798c0bp-3, -0x1.3706b4348e774p-3, -0x1.34e0fd577455bp-3, -0x1.32ae7484172f3p-3, -0x1.306faa687e4b4p-3, -0x1.2e252d926b4f9p-3, -0x1.2bcf8a65aaa1bp-3, -0x1.296f4b132c55bp-3, -0x1.2704f790e68b1p-3, -0x1.2491159274e75p-3, -0x1.2214288279943p-3, -0x1.1f8eb17cafecp-3, -0x1.1d012f48b1b5ep-3, -0x1.1a6c1e5568c92p-3, -0x1.17cff8b52a744p-3, -0x1.152d361a6db39p-3, -0x1.12844bd527a75p-3, -0x1.0fd5acd0b6885p-3, -0x1.0d21c992684dcp-3, -0x1.0a69103885443p-3, -0x1.07abec79ebc6dp-3, -0x1.04eac7a62aa3p-3, -0x1.022608a61e8b6p-3, -0x1.febc27fa0ad28p-4, -0x1.f926979417e41p-4, -0x1.f38c1f94909d8p-4, -0x1.eded7ab6456e8p-4, -0x1.e84b5efa4d73ep-4, -0x1.e2a67dae6c4c3p-4, -0x1.dcff837432677p-4, -0x1.d7571848e09c2p-4, -0x1.d1addf8dea10fp-4, -0x1.cc0478121f08cp-4, -0x1.c65b7c1b79884p-4, -0x1.c0b3817173333p-4, -0x1.bb0d1967f436fp-4, -0x1.b568d0eab9d5dp-4, -0x1.afc7308949af1p-4, -0x1.aa28bc83494d6p-4, -0x1.a48df4d5545f1p-4, -0x1.9ef75546302bep-4, -0x1.99655574675cap-4, -0x1.93d868e433b2p-4, -0x1.8e50ff0dcc01fp-4, -0x1.88cf836bf211p-4, -0x1.83545d8acf68ap-4, -0x1.7ddff1170eb27p-4, -0x1.78729ded32d29p-4, -0x1.730cc029237d1p-4, -0x1.6daeb035e94b8p-4, -0x1.6858c2dd94be5p-4, -0x1.630b49594bf35p-4, -0x1.5dc691617805ep-4, -0x1.588ae53e0ec1dp-4, -0x1.53588bd6f4f83p-4, -0x1.4e2fc8c4704e3p-4, -0x1.4910dc5fac66dp-4, -0x1.43fc03d34525fp-4, -0x1.3ef1792bdb553p-4, -0x1.39f17368aa297p-4, -0x1.34fc268c1ad93p-4, -0x1.3011c3ac558f2p-4, -0x1.2b327903c6c0ep-4, -0x1.265e72019c6d7p-4, -0x1.2195d75a3386cp-4, -0x1.1cd8cf17725b4p-4, -0x1.18277ca9110e2p-4, -0x1.138200f4c88c7p-4, -0x1.0ee87a6668b56p-4, -0x1.0a5b04ffd396dp-4, -0x1.05d9ba68d81f6p-4, -0x1.0164b1feeb8f9p-4, -0x1.f9f801c987eacp-5, -0x1.f13f742391ec4p-5, -0x1.e89fdcc2c0b55p-5, -0x1.e0195944260d8p-5, -0x1.d7ac03490b36bp-5, -0x1.cf57f0948ece5p-5, -0x1.c71d3328e4638p-5, -0x1.befbd9643c713p-5, -0x1.b6f3ee1d4a2e6p-5, -0x1.af0578bf66257p-5, -0x1.a7307d6650bedp-5, -0x1.9f74fcf98cff5p-5, -0x1.97d2f54754306p-5, -0x1.904a611f2108p-5, -0x1.88db386bcfdbcp-5, -0x1.8185704d55454p-5, -0x1.7a48fb32037c1p-5, -0x1.7325c8ef6621dp-5, -0x1.6c1bc6daad776p-5, -0x1.652adfe0ad8dbp-5, -0x1.5e52fc9d6414p-5, -0x1.579403731ba1fp-5, -0x1.50edd8a11327fp-5, -0x1.4a605e59b8a8p-5, -0x1.43eb74d870e01p-5, -0x1.3d8efa76f3ff9p-5, -0x1.374acbc2309fp-5, -0x1.311ec38ec2b44p-5, -0x1.2b0abb0cfa496p-5, -0x1.250e89dc71428p-5, -0x1.1f2a061f2e708p-5, -0x1.195d048c5ebb6p-5, -0x1.13a758829d5c5p-5, -0x1.0e08d419cb25cp-5, -0x1.088148347c3ecp-5, -0x1.03108490f8173p-5, -0x1.fb6cafb39f9d7p-6, -0x1.f0e51f6c0daacp-6, -0x1.e689f1b1a347dp-6, -0x1.dc5abe21dd8c3p-6, -0x1.d2571aaf324f1p-6, -0x1.c87e9bbe1b509p-6, -0x1.bed0d44164cc7p-6, -0x1.b54d55d5a8f1ep-6, -0x1.abf3b0dc0ec45p-6, -0x1.a2c374943f071p-6, -0x1.99bc2f359eaeep-6, -0x1.90dd6e07bdf5dp-6, -0x1.8826bd7a24e1cp-6, -0x1.7f97a93b492b7p-6, -0x1.772fbc4ee24bap-6, -0x1.6eee8123928ap-6, -0x1.66d381a7be58bp-6, -0x1.5ede475dd85b9p-6, -0x1.570e5b6fee084p-6, -0x1.4f6346c29e637p-6, -0x1.47dc92075f69fp-6, -0x1.4079c5ce2254dp-6, -0x1.393a6a965dc2p-6, -0x1.321e08df7a3c8p-6, -0x1.2b242938a8e21p-6, -0x1.244c5450285fp-6, -0x1.1d961301e8c54p-6, -0x1.1700ee65af50cp-6, -0x1.108c6fdca0c4dp-6, -0x1.0a38211e4bb74p-6, -0x1.04038c452ff8ap-6, -0x1.fbdc77b56a0dcp-7, -0x1.efef75c54d85fp-7, -0x1.e43f29cc65916p-7, -0x1.d8caabfcd8126p-7, -0x1.cd9115bcaef34p-7, -0x1.c29181b90eec5p-7, -0x1.b7cb0bf8752fbp-7, -0x1.ad3cd1ec16b75p-7, -0x1.a2e5f2807bf28p-7, -0x1.98c58e2d2d339p-7, -0x1.8edac703b200cp-7, -0x1.8524c0bdb3712p-7, -0x1.7ba2a0ca4464p-7, -0x1.72538e5a975aep-7, -0x1.6936b26dcd83ep-7, -0x1.604b37dc3a6fep-7, -0x1.57904b61e6f95p-7, -0x1.4f051ba86b47ap-7, -0x1.46a8d9500f7a2p-7, -0x1.3e7ab6f867be6p-7, -0x1.3679e94848151p-7, -0x1.2ea5a6f51b968p-7, -0x1.26fd28c9c5c6ep-7, -0x1.1f7fa9acd19a6p-7, -0x1.182c66a61a7d5p-7, -0x1.11029ee4096b1p-7, -0x1.0a0193c03517ep-7, -0x1.032888c399f62p-7, -0x1.f8ed8754a1818p-8, -0x1.ebd718cdb5d02p-8, -0x1.df0c5a49c3ab1p-8, -0x1.d28be49742a4fp-8, -0x1.c65454ffc9b83p-8, -0x1.ba644d4b36d4ap-8, -0x1.aeba73c221275p-8, -0x1.a355732fa3e8ap-8, -0x1.9833fae215e1bp-8, -0x1.8d54beab8a9eep-8, -0x1.82b676e15335ap-8, -0x1.7857e05b0d9bap-8, -0x1.6e37bc710c82ap-8, -0x1.6454d0fa36b1ap-8, -0x1.5aade8494904fp-8, -0x1.5141d12980ff8p-8, -0x1.480f5edae5b08p-8, -0x1.3f15690dfc8a3p-8, -0x1.3652cbdf189c9p-8, -0x1.2dc667d12df5dp-8, -0x1.256f21c8516abp-8, -0x1.1d4be3039a75cp-8, -0x1.155b9916c7ba7p-8, -0x1.0d9d35e38e3e8p-8, -0x1.060faf926bf25p-8, -0x1.fd640116a511p-9, -0x1.ef064edbdba2cp-9, -0x1.e1044e132cfa6p-9, -0x1.d35c0ca9f48e3p-9, -0x1.c60ba0cb45d2cp-9, -0x1.b91128ce18f4ep-9, -0x1.ac6acb23457a2p-9, -0x1.a016b64302275p-9, -0x1.9413209a12b6ep-9, -0x1.885e487662109p-9, -0x1.7cf673f351122p-9, -0x1.71d9f0e5cbec1p-9, -0x1.670714c7dbc34p-9, -0x1.5c7c3ca45cea5p-9, -0x1.5237cd01e680bp-9, -0x1.483831cdeaed1p-9, -0x1.3e7bde477393bp-9, -0x1.35014ce9a951ap-9, -0x1.2bc6ff5635003p-9, -0x1.22cb7e3f737f5p-9, -0x1.1a0d5952945b5p-9, -0x1.118b2721a30e7p-9, -0x1.0943850d792dap-9, -0x1.0135172f7338cp-9, -0x1.f2bd1086aba94p-10, -0x1.e37d1321e24fep-10, -0x1.d4a7a5aba6d57p-10, -0x1.c63a445dd525cp-10, -0x1.b8327804844cp-10, -0x1.aa8dd5d15bcfbp-10, -0x1.9d49ff2ee36f2p-10, -0x1.9064a1942cedap-10, -0x1.83db765842344p-10, -0x1.77ac4285e243fp-10, -0x1.6bd4d6af39a59p-10, -0x1.60530ec21593ep-10, -0x1.5524d1dbccd5fp-10, -0x1.4a48121dd05bep-10, -0x1.3fbacc822437p-10, -0x1.357b08b05e8cep-10, -0x1.2b86d8d26adeep-10, -0x1.21dc596a0a77ep-10, -0x1.1879b1263f759p-10, -0x1.0f5d10b9815b9p-10, -0x1.0684b2af8fb1cp-10, -0x1.fbddb68859d2ap-11, -0x1.eb33b07380842p-11, -0x1.db08016184b4dp-11, -0x1.cb5769fdef81ap-11, -0x1.bc1ebd0f2dac9p-11, -0x1.ad5adf265becbp-11, -0x1.9f08c650c323ep-11, -0x1.912579ca1929ep-11, -0x1.83ae11aedd829p-11, -0x1.769fb6afc6537p-11, -0x1.69f7a1c69f509p-11, -0x1.5db31beabc942p-11, -0x1.51cf7dc7556cep-11, -0x1.464a2f72880ecp-11, -0x1.3b20a82455d59p-11, -0x1.30506def73746p-11, -0x1.25d7157a9d8c2p-11, -0x1.1bb241bad077ep-11, -0x1.11dfa3ae15d74p-11, -0x1.085cfa17c077p-11, -0x1.fe502279e178p-12, -0x1.ec7d854445fbbp-12, -0x1.db3de99488b03p-12, -0x1.ca8d35eb1476bp-12, -0x1.ba6769c3a32aap-12, -0x1.aac89d17eef1p-12, -0x1.9bacffe32f178p-12, -0x1.8d10d9a8ca696p-12, -0x1.7ef088fb27b01p-12, -0x1.71488305a8d9ep-12, -0x1.64155316a12cep-12, -0x1.57539a2d591a7p-12, -0x1.4b000e8831994p-12, -0x1.3f177b34e2946p-12, -0x1.3396bfa20aabdp-12, -0x1.287acf3362f2ep-12, -0x1.1dc0b0d6ea60ap-12, -0x1.13657e9c00a69p-12, -0x1.0966654cd3806p-12, -0x1.ff81480f48c3bp-13, -0x1.ece317b7797fdp-13, -0x1.daecfecc94f4fp-13, -0x1.c999e4e5e6df8p-13, -0x1.b8e4d338411abp-13, -0x1.a8c8f3daace6cp-13, -0x1.99419110179a6p-13, -0x1.8a4a1491609b5p-13, -0x1.7bde06dc777a1p-13, -0x1.6df90e8875785p-13, -0x1.6096ef96b7a63p-13, -0x1.53b38acd36498p-13, -0x1.474add1007b36p-13, -0x1.3b58febfdf676p-13, -0x1.2fda231ae8beap-13, -0x1.24ca97a08421dp-13, -0x1.1a26c37766f35p-13, -0x1.0feb26d6f0ee5p-13, -0x1.06145a738f58fp-13, -0x1.f93e1ddbb2bep-14, -0x1.e710188960adcp-14, -0x1.d59862921d249p-14, -0x1.c4d0e62936192p-14, -0x1.b4b3b90876d4bp-14, -0x1.a53b1b6845f41p-14, -0x1.966176fbc8c15p-14, -0x1.88215df8fcd12p-14, -0x1.7a758a198923p-14, -0x1.6d58dbac18195p-14, -0x1.60c658a3168cep-14, -0x1.54b92bad0fa46p-14, -0x1.492ca34f8915fp-14, -0x1.3e1c3106345f3p-14, -0x1.338368674bdf1p-14, -0x1.295dfe4b4f2f2p-14, -0x1.1fa7c7fb32536p-14, -0x1.165cba60e5288p-14, -0x1.0d78e940a8c74p-14, -0x1.04f8866e4de94p-14, -0x1.f9afc21d44a1fp-15, -0x1.ea26c9ae9a625p-15, -0x1.db4f32af70d43p-15, -0x1.cd2242827cd8cp-15, -0x1.bf99736e6398p-15, -0x1.b2ae733fa3118p-15, -0x1.a65b21f4cdc01p-15, -0x1.9a99906e31608p-15, -0x1.8f63ff2afb719p-15, -0x1.84b4dd0c7339fp-15, -0x1.7a86c61d13ad6p-15, -0x1.70d4825d3c62ep-15, -0x1.6799049b6c2ep-15, -0x1.5ecf6950d7e53p-15, -0x1.5672f583915f3p-15, -0x1.4e7f15b1adc31p-15, -0x1.46ef5cc174984p-15, -0x1.3fbf82f76bcc3p-15, -0x1.38eb64f052008p-15, -0x1.326f02a3215fcp-15, -0x1.2c467e6c77bap-15, -0x1.266e1c1a76f81p-15, -0x1.20e2400188c5cp-15, -0x1.1b9f6e12c59d3p-15, -0x1.16a248fcbb806p-15, -0x1.11e7914c25ecep-15, -0x1.0d6c2497e87a4p-15, -0x1.092cfcab53b7fp-15, -0x1.05272ebe7b1f5p-15, -0x1.0157eaaa66b2p-15, -0x1.fb78f44970a33p-16, -0x1.f4a480068746ep-16, -0x1.ee2d6f013f443p-16, -0x1.e80ee70f65b3ep-16, -0x1.e2443c0545004p-16, -0x1.dcc8ee5c5a677p-16, -0x1.d798a9e1d0476p-16, -0x1.d2af446d7f0a3p-16, -0x1.ce08bc9f3ab82p-16, -0x1.c9a138a99efb1p-16, -0x1.c5750520a7e89p-16, -0x1.c18093d20dc12p-16, -0x1.bdc07aa089c2fp-16, -0x1.ba31726d1a68fp-16, -0x1.b6d055ffa86aep-16, -0x1.b39a20ff1efafp-16, -0x1.b08beee93a83cp-16, -0x1.ada2fa16c06b4p-16, -0x1.aadc9ac52080ep-16, -0x1.a83646205c503p-16, -0x1.a5ad8d5b07d21p-16, -0x1.a3401cc64db74p-16, -0x1.a0ebbaf50cee7p-16, -0x1.9eae47e3b8a91p-16, -0x1.9c85bc253e99cp-16, -0x1.9a70281390e8p-16, -0x1.986bb30875309p-16, -0x1.96769a9a39858p-16, -0x1.948f31dc9047bp-16, -0x1.92b3e0aaab18p-16, -0x1.90e322f27f614p-16, -0x1.8f1b880a3935p-16, -0x1.8d5bb1fffc6efp-16, -0x1.8ba254f859696p-16, -0x1.89ee368c4e67p-16, -0x1.883e2d2d7a418p-16, -0x1.86911f8f72244p-16, -0x1.84e6041415f9ap-16, -0x1.833be03cfd154p-16, -0x1.8191c81df3f8p-16, -0x1.7fe6ddd870646p-16, -0x1.7e3a51146a31bp-16, -0x1.7c8b5e82ec459p-16, -0x1.7ad94f617a1f5p-16, -0x1.79237903b22fp-16, -0x1.77693c5c5316dp-16, -0x1.75aa058ba7b58p-16, -0x1.73e54b721727ep-16, -0x1.721a8f43eaa42p-16, -0x1.70495c22217cp-16, -0x1.6e7146b6dbdb7p-16, -0x1.6c91ecd1e53b4p-16, -0x1.6aaaf50c835b4p-16, -0x1.68bc0e6b5d67cp-16, -0x1.66c4f005edef4p-16, -0x1.64c558af9eb48p-16, -0x1.62bd0ea457eep-16, -0x1.60abdf382bc16p-16, -0x1.5e919e87aa5c9p-16, -0x1.5c6e272d0f9c8p-16, -0x1.5a4159f50d42dp-16, -0x1.580b1d987253ap-16, -0x1.55cb5e75e5e81p-16, -0x1.53820e4e6c17ap-16, -0x1.512f24070bc5ap-16, -0x1.4ed29b671af1ep-16, -0x1.4c6c74df18263p-16, -0x1.49fcb54a9e15ep-16, -0x1.478365b9948fap-16, -0x1.45009337f0808p-16, -0x1.42744e98ffe33p-16, -0x1.3fdeac44ba573p-16, -0x1.3d3fc405aecd4p-16, -0x1.3a97b0d92ec83p-16, -0x1.37e690c25da5bp-16, -0x1.352c849b79387p-16, -0x1.3269afeb8dafap-16, -0x1.2f9e38bd5bbd6p-16, -0x1.2cca477643c8bp-16, -0x1.29ee06b072d3cp-16, -0x1.2709a31527e26p-16, -0x1.241d4b390765dp-16, -0x1.21292f7998414p-16, -0x1.1e2d81db151d8p-16, -0x1.1b2a75e97d477p-16, -0x1.182040984af65p-16, -0x1.150f1824e1a52p-16, -0x1.11f733fb0e0bdp-16, -0x1.0ed8cc98ac7b2p-16, -0x1.0bb41b73387ep-16, -0x1.08895ade31c52p-16, -0x1.0558c5f30d64p-16, -0x1.0222987a0444fp-16, -0x1.fdce1da42e445p-17, -0x1.f74ccbba98287p-17, -0x1.f0c1b5d54046dp-17, -0x1.ea2d574588c19p-17, -0x1.e3902bea4d514p-17, -0x1.dceab00b546dfp-17, -0x1.d63d603726664p-17, -0x1.cf88b921380c8p-17, -0x1.c8cd378099fa9p-17, -0x1.c20b57f4b7f38p-17, -0x1.bb4396e5c6e94p-17, -0x1.b476706a2cfcp-17, -0x1.ada4602bc8545p-17, -0x1.a6cde14fcb7a9p-17, -0x1.9ff36e5f0cf88p-17, -0x1.9915812db4224p-17, -0x1.923492c6c8433p-17, -0x1.8b511b5734011p-17, -0x1.846b921b76bb9p-17, -0x1.7d846d4bb6defp-17, -0x1.769c220cf51a3p-17, -0x1.6fb3245f8781cp-17, -0x1.68c9e70ee029p-17, -0x1.61e0dba46dcf3p-17, -0x1.5af872584d619p-17, -0x1.54111a06683cp-17, -0x1.4d2b40211c32fp-17, -0x1.464750a5c07d6p-17, -0x1.3f65b614431c7p-17, -0x1.3886d964e354dp-17, -0x1.31ab21fd38281p-17, -0x1.2ad2f5ab2af7fp-17, -0x1.23feb899f7148p-17, -0x1.1d2ecd4cd010dp-17, -0x1.1663949875d69p-17, -0x1.0f9d6d9cb84c7p-17, -0x1.08dcb5c17dd4ep-17, -0x1.0221c8b0683e8p-17, -0x1.f6da009fb38f3p-18, }}, 
      {{-0x1.00c1bdb147be8p-2, -0x1.01d9efd69ebefp-2, -0x1.034dad103480cp-2, -0x1.050def79fcdd2p-2, -0x1.070b9b0f891f8p-2, -0x1.09385b013a44bp-2, -0x1.0b87284381a71p-2, -0x1.0dec922cac25p-2, -0x1.105edb9dacf65p-2, -0x1.12d5fa6aac038p-2, -0x1.154b831da9f05p-2, -0x1.17ba88763dde8p-2, -0x1.1a1f73fe021f3p-2, -0x1.1c77db8019fc7p-2, -0x1.1ec2560be146ap-2, -0x1.20fe524fa252ep-2, -0x1.232bef75fd22dp-2, -0x1.254bd939e4887p-2, -0x1.275f278efb17p-2, -0x1.296741fef1f7dp-2, -0x1.2b65c6b1e8a79p-2, -0x1.2d5c74fb3e318p-2, -0x1.2f4d1b31e2958p-2, -0x1.313987909cfd1p-2, -0x1.33237bd57bc7ep-2, -0x1.350ca356634dcp-2, -0x1.36f68b42146d7p-2, -0x1.38e29cc84f8fep-2, -0x1.3ad218e81097cp-2, -0x1.3cc615a7e633ap-2, -0x1.3ebf7c81cf8a7p-2, -0x1.40bf09d151dd4p-2, -0x1.42c54d17d227bp-2, -0x1.44d2a9f02bb5ap-2, -0x1.46e7598f41161p-2, -0x1.49036cb38951ep-2, -0x1.4b26cde9a5b4p-2, -0x1.4d51440f919cap-2, -0x1.4f8275034ce79p-2, -0x1.51b9e86caec1bp-2, -0x1.53f70a94b4847p-2, -0x1.56392f3ed0f19p-2, -0x1.587f947ac8702p-2, -0x1.5ac9656765547p-2, -0x1.5d15bcdfc6d4ep-2, -0x1.5f63a80e6f568p-2, -0x1.61b228e24c42bp-2, -0x1.64003862f0abfp-2, -0x1.664cc8e21004fp-2, -0x1.6896c808fd228p-2, -0x1.6add20c1889a9p-2, -0x1.6d1ebcfa19ffep-2, -0x1.6f5a87454f2ebp-2, -0x1.718f6c55bc0a7p-2, -0x1.73bc5c56b2e2bp-2, -0x1.75e04c233592cp-2, -0x1.77fa365c56223p-2, -0x1.7a091c607bd9ep-2, -0x1.7c0c072509adcp-2, -0x1.7e0207f400c0bp-2, -0x1.7fea390f3f82ep-2, -0x1.81c3be3afec99p-2, -0x1.838dc53131c5p-2, -0x1.854785ff663f4p-2, -0x1.86f04350c21ep-2, -0x1.88874aa5a0bdap-2, -0x1.8a0bf47a56b1fp-2, -0x1.8b7da45e8ead4p-2, -0x1.8cdbc8fe9be1dp-2, -0x1.8e25dc2015647p-2, -0x1.8f5b62930005ap-2, -0x1.907bec18ac6a2p-2, -0x1.918713416ac8dp-2, -0x1.927c7d42256acp-2, -0x1.935bd9c2cefc1p-2, -0x1.9424e2a69c49fp-2, -0x1.94d75bced57f8p-2, -0x1.957312d91039bp-2, -0x1.95f7ded98502dp-2, -0x1.9665a0123020bp-2, -0x1.96bc3fa7517c9p-2, -0x1.96fbaf51e19d3p-2, -0x1.9723e910790b7p-2, -0x1.9734eed71f8fcp-2, -0x1.972eca3e6bf36p-2, -0x1.97118c3259deep-2, -0x1.96dd4ca122ccfp-2, -0x1.96922a2a693b4p-2, -0x1.963049cefdc9bp-2, -0x1.95b7d6a170dc9p-2, -0x1.95290177b0152p-2, -0x1.9484009dd10f6p-2, -0x1.93c90f8a38018p-2, -0x1.92f86e933cfd7p-2, -0x1.921262a6624bfp-2, -0x1.911735013ff24p-2, -0x1.900732ec2ef0bp-2, -0x1.8ee2ad76c32d7p-2, -0x1.8da9f93628477p-2, -0x1.8c5d6e05606fep-2, -0x1.8afd66c76fd85p-2, -0x1.898a412b77594p-2, -0x1.88045d72c0f4cp-2, -0x1.866c1e38ba3f4p-2, -0x1.84c1e83cde00ep-2, -0x1.8306222e83625p-2, -0x1.8139347a985c3p-2, -0x1.7f5b891b30fbfp-2, -0x1.7d6d8b68f52a6p-2, -0x1.7b6fa7ee5766fp-2, -0x1.79624c3c95ca5p-2, -0x1.7745e6c272d67p-2, -0x1.751ae6a4a533fp-2, -0x1.72e1bb97eef7p-2, -0x1.709ad5bcd0fdep-2, -0x1.6e46a57cd7535p-2, -0x1.6be59b696979dp-2, -0x1.6978281c1e2ecp-2, -0x1.66febc18810d3p-2, -0x1.6479c7af4226dp-2, -0x1.61e9bae2c5746p-2, -0x1.5f4f054d047c2p-2, -0x1.5caa1606bf8aap-2, -0x1.59fb5b8fe9d15p-2, -0x1.574343b94d57fp-2, -0x1.54823b8f5fb6cp-2, -0x1.51b8af46320c8p-2, -0x1.4ee70a2682c98p-2, -0x1.4c0db67bd9ffdp-2, -0x1.492d1d83b0395p-2, -0x1.4645a75d93f35p-2, -0x1.4357bafc45d51p-2, -0x1.4063be17c1132p-2, -0x1.3d6a15202e3d3p-2, -0x1.3a6b2331ae6e4p-2, -0x1.37674a090496bp-2, -0x1.345ee9f909159p-2, -0x1.315261e0e56ebp-2, -0x1.2e420f23165aap-2, -0x1.2b2e4d9d2298fp-2, -0x1.281777a008b87p-2, -0x1.24fde5e95c5a3p-2, -0x1.21e1ef9d05becp-2, -0x1.1ec3ea3fa7217p-2, -0x1.1ba429b19c732p-2, -0x1.1883002a8fbbfp-2, -0x1.1560be359ff1cp-2, -0x1.123db2ae1025ap-2, -0x1.0f1a2abc7db6p-2, -0x1.0bf671d497cefp-2, -0x1.08d2d1b350bd3p-2, -0x1.05af925d8915p-2, -0x1.028cfa1f26998p-2, -0x1.fed69b1542042p-3, -0x1.f8959ef1e368ep-3, -0x1.f2578213d06c4p-3, -0x1.ec1cc349ca2e2p-3, -0x1.e5e5ddf3d1ba2p-3, -0x1.dfb34a06021b2p-3, -0x1.d9857c0c0eeafp-3, -0x1.d35ce52d659d3p-3, -0x1.cd39f331e533p-3, -0x1.c71d10872fdddp-3, -0x1.c106a4467d0e1p-3, -0x1.baf7123afa019p-3, -0x1.b4eebae8a2d2fp-3, -0x1.aeedfb9394ec3p-3, -0x1.a8f52e47d2f19p-3, -0x1.a304a9e16f966p-3, -0x1.9d1cc21522e06p-3, -0x1.973dc7793ca8dp-3, -0x1.9168078ee9cb8p-3, -0x1.8b9bcccbda18bp-3, -0x1.85d95ea4275dbp-3, -0x1.802101948f1c1p-3, -0x1.7a72f72ce8122p-3, -0x1.74cf7e1ae0c44p-3, -0x1.6f36d234eca58p-3, -0x1.69a92c857094cp-3, -0x1.6426c3561a73ep-3, -0x1.5eafca3b6a01p-3, -0x1.59447220595a1p-3, -0x1.53e4e95236c2cp-3, -0x1.4e915b8c91c3fp-3, -0x1.4949f2054c5c1p-3, -0x1.440ed378c4d01p-3, -0x1.3ee024360cae5p-3, -0x1.39be062b3bf74p-3, -0x1.34a898f1ca6e1p-3, -0x1.2f9ff9daf6fcap-3, -0x1.2aa443fc37e2cp-3, -0x1.25b5903ba842ap-3, -0x1.20d3f55c83bf4p-3, -0x1.1bff880b95cbp-3, -0x1.17385aebaab85p-3, -0x1.127e7ea1f7fe9p-3, -0x1.0dd201e280fa6p-3, -0x1.0932f17c64cedp-3, -0x1.04a158662e09dp-3, -0x1.001d3fca0621bp-3, -0x1.f74d5e23bb08ap-4, -0x1.ee7b57e6f7cbcp-4, -0x1.e5c474f906bc4p-4, -0x1.dd28ba3c9d282p-4, -0x1.d4a8297386f45p-4, -0x1.cc42c156007p-4, -0x1.c3f87da9ecf8bp-4, -0x1.bbc95759be73ap-4, -0x1.b3b5448b29c36p-4, -0x1.abbc38b598635p-4, -0x1.a3de24b858ec3p-4, -0x1.9c1af6f08939bp-4, -0x1.94729b4eb2a1cp-4, -0x1.8ce4fb6c2b0f1p-4, -0x1.8571fea01df97p-4, -0x1.7e198a144fdffp-4, -0x1.76db80d99023p-4, -0x1.6fb7c3fbdf0bfp-4, -0x1.68ae32963f08ep-4, -0x1.61bea9e635dd7p-4, -0x1.5ae9055efb7eap-4, -0x1.542d1ebc536f4p-4, -0x1.4d8ace15128bep-4, -0x1.4701e9ed4ea3cp-4, -0x1.4092474839ap-4, -0x1.3a3bb9b9a31fap-4, -0x1.33fe137727649p-4, -0x1.2dd92569037a6p-4, -0x1.27ccbf3a93dcfp-4, -0x1.21d8af6a7b56cp-4, -0x1.1bfcc35a71bcp-4, -0x1.1638c75ebd25fp-4, -0x1.108c86cd4f869p-4, -0x1.0af7cc0c929c1p-4, -0x1.057a60a1d8c2dp-4, -0x1.00140d3f7875bp-4, -0x1.f58933a525aabp-5, -0x1.eb179b21041a3p-5, -0x1.e0d2de07e9b67p-5, -0x1.d6ba883367ccp-5, -0x1.ccce245a253fp-5, -0x1.c30d3c281cb6dp-5, -0x1.b97758563403bp-5, -0x1.b00c00c12cbedp-5, -0x1.a6cabc7ff7a35p-5, -0x1.9db311f963985p-5, -0x1.94c486f92e0c2p-5, -0x1.8bfea0c47772p-5, -0x1.8360e42d9d49ap-5, -0x1.7aead5a777955p-5, -0x1.729bf95800c6fp-5, -0x1.6a73d32a6a9b3p-5, -0x1.6271e6e09af5bp-5, -0x1.5a95b8241c5ap-5, -0x1.52deca967a9f3p-5, -0x1.4b4ca1e11994ep-5, -0x1.43dec1c478976p-5, -0x1.3c94ae26f5b68p-5, -0x1.356deb2304d47p-5, -0x1.2e69fd14e9289p-5, -0x1.278868a7e63e8p-5, -0x1.20c8b2e2f7382p-5, -0x1.1a2a61350819dp-5, -0x1.13acf980b5p-5, -0x1.0d5002278e892p-5, -0x1.07130214ed4ecp-5, -0x1.00f580c84eccap-5, -0x1.f5ee0cbe857c9p-6, -0x1.ea2e373dd29d6p-6, -0x1.deaa93fa0a865p-6, -0x1.d36237514d6abp-6, -0x1.c8543724d446cp-6, -0x1.bd7faae8aaaafp-6, -0x1.b2e3abb2a7b89p-6, -0x1.a87f544896d35p-6, -0x1.9e51c12db49fdp-6, -0x1.945a10af70d3dp-6, -0x1.8a9762f1736fep-6, -0x1.8108d9f8fe038p-6, -0x1.77ad99b79b9cep-6, -0x1.6e84c81533189p-6, -0x1.658d8cf9757b4p-6, -0x1.5cc71254a3698p-6, -0x1.54308427cf083p-6, -0x1.4bc9108c77cbp-6, -0x1.438fe7bba2abfp-6, -0x1.3b843c145d34dp-6, -0x1.33a54221bb88bp-6, -0x1.2bf230a052d72p-6, -0x1.246a408335d94p-6, -0x1.1d0cacf871f1p-6, -0x1.15d8b36d160fdp-6, -0x1.0ecd9390c1fd7p-6, -0x1.07ea8f58c88bcp-6, -0x1.012eeb02e1342p-6, -0x1.f533da2ef2993p-7, -0x1.e855bcd720daep-7, -0x1.dbc2144478591p-7, -0x1.cf777b5b8fd86p-7, -0x1.c37491a104aa9p-7, -0x1.b7b7fb3a52024p-7, -0x1.ac4060edf9c39p-7, -0x1.a10c70231af68p-7, -0x1.961adae05c861p-7, -0x1.8b6a57ca4709fp-7, -0x1.80f9a2210961cp-7, -0x1.76c779bdb904ap-7, -0x1.6cd2a30ef1e1p-7, -0x1.6319e7151ac08p-7, -0x1.599c135e093c1p-7, -0x1.5057fa00540e6p-7, -0x1.474c719612c16p-7, -0x1.3e78553744f89p-7, -0x1.35da8473ca217p-7, -0x1.2d71e34cf536bp-7, -0x1.253d5a2eca3e9p-7, -0x1.1d3bd5e8e9df7p-7, -0x1.156c47a70dc6cp-7, -0x1.0dcda4e948d2cp-7, -0x1.065ee77bf7707p-7, -0x1.fe3e1adec011cp-8, -0x1.f01a321e46e14p-8, -0x1.e25021b2ac2b9p-8, -0x1.d4ddfeead2ef4p-8, -0x1.c7c1e755a58a3p-8, -0x1.bafa00af110d3p-8, -0x1.ae8478cc873fp-8, -0x1.a25f858942228p-8, -0x1.968964b210fcap-8, -0x1.8b005bf0d6d25p-8, -0x1.7fc2b8b7d75c1p-8, -0x1.74ced02ca7a72p-8, -0x1.6a22ff12e5da4p-8, -0x1.5fbda9b6d36d3p-8, -0x1.559d3bd79e973p-8, -0x1.4bc02891670fbp-8, -0x1.4224ea475abb9p-8, -0x1.38ca028d6eb68p-8, -0x1.2fadfa122235dp-8, -0x1.26cf608817c36p-8, -0x1.1e2ccc8f9a33bp-8, -0x1.15c4dba0049e9p-8, -0x1.0d9631f11ecd3p-8, -0x1.059f7a647c31p-8, -0x1.fbbeccdd96bddp-9, -0x1.eca95c023370cp-9, -0x1.ddfc1ee47878ap-9, -0x1.cfb49ecfe753p-9, -0x1.c1d07180c1b37p-9, -0x1.b44d38f6c1cf8p-9, -0x1.a728a347d57bcp-9, -0x1.9a606a7337db7p-9, -0x1.8df25434832f7p-9, -0x1.81dc31d705121p-9, -0x1.761be0090ec24p-9, -0x1.6aaf46afbc375p-9, -0x1.5f9458babd74fp-9, -0x1.54c913f880b2fp-9, -0x1.4a4b80ea7edc3p-9, -0x1.4019b299f7844p-9, -0x1.3631c66cb78f4p-9, -0x1.2c91e3fa46defp-9, -0x1.23383ce17ac4p-9, -0x1.1a230c9e2a36dp-9, -0x1.1150985f6adbbp-9, -0x1.08bf2ede08938p-9, -0x1.006d28334129dp-9, -0x1.f0b1cb60053c8p-10, -0x1.e101a36905df8p-10, -0x1.d1c6bf102728ap-10, -0x1.c2fe1662ea958p-10, -0x1.b4a4b29f20426p-10, -0x1.a6b7ade53824fp-10, -0x1.993432eb15e1fp-10, -0x1.8c177cafe9d8p-10, -0x1.7f5ed630c9925p-10, -0x1.73079a1e3b6cp-10, -0x1.670f3292a1221p-10, -0x1.5b7318c924ffcp-10, -0x1.5030d4d5f8cfbp-10, -0x1.4545fd5f24eaep-10, -0x1.3ab0375671e18p-10, -0x1.306d35b3e000bp-10, -0x1.267ab9314273dp-10, -0x1.1cd69006a74fep-10, -0x1.137e95a7a54e1p-10, -0x1.0a70b281a6d99p-10, -0x1.01aadbbac65bap-10, -0x1.f25625e3fce0dp-11, -0x1.e1decbffbe605p-11, -0x1.d1ebdd70c119ap-11, -0x1.c279a55abfa49p-11, -0x1.b38485e4bd319p-11, -0x1.a508f7c16175p-11, -0x1.970389b9eca0ep-11, -0x1.8970e03a34db5p-11, -0x1.7c4db4def5bb4p-11, -0x1.6f96d6058a89p-11, -0x1.6349265d5f25ap-11, -0x1.57619c7b90f7cp-11, -0x1.4bdd426f67914p-11, -0x1.40b935597681p-11, -0x1.35f2a503fd8b3p-11, -0x1.2b86d37cd9079p-11, -0x1.217314b14919p-11, -0x1.17b4ce0b6ea58p-11, -0x1.0e49761138795p-11, -0x1.052e940574ba2p-11, -0x1.f8c37f137f694p-12, -0x1.e7c140854fbb1p-12, -0x1.d751dafa423b4p-12, -0x1.c770dbab7edc8p-12, -0x1.b819edc25ed4p-12, -0x1.a948d9ad81e08p-12, -0x1.9af98477a660fp-12, -0x1.8d27ef2250729p-12, -0x1.7fd03603d1bfbp-12, -0x1.72ee90275892ep-12, -0x1.667f4eb04915fp-12, -0x1.5a7edc4116c87p-12, -0x1.4ee9bc63c2992p-12, -0x1.43bc8af679179p-12, -0x1.38f3fb9a6f4e6p-12, -0x1.2e8cd924ebcf3p-12, -0x1.24840514058e2p-12, -0x1.1ad6770586d37p-12, -0x1.11813c30c7ef3p-12, -0x1.088176e2ad903p-12, -0x1.ffa8bbf962a78p-13, -0x1.eeee78ec9589fp-13, -0x1.decee1c19f881p-13, -0x1.cf44d9dc66edp-13, -0x1.c04b69f33c318p-13, -0x1.b1ddbf24ebd14p-13, -0x1.a3f72a152739bp-13, -0x1.96931e0b6e21bp-13, -0x1.89ad3018bb10bp-13, -0x1.7d41163fc0857p-13, -0x1.714aa6a332738p-13, -0x1.65c5d6b69677ep-13, -0x1.5aaeba7622e64p-13, -0x1.500183a092a2bp-13, -0x1.45ba80f6186e2p-13, -0x1.3bd61d7aa814fp-13, -0x1.3250dfbdc6a59p-13, -0x1.29276924cca6bp-13, -0x1.2056753a25867p-13, -0x1.17dad90069536p-13, -0x1.0fb182481918dp-13, -0x1.07d7770a82c98p-13, -0x1.0049d4c6c532ep-13, -0x1.f20b9fc93eda1p-14, -0x1.e411663140f18p-14, -0x1.d69fbd9977bb6p-14, -0x1.c9b191194d1cdp-14, -0x1.bd41f4e86e05bp-14, -0x1.b14c2545396d4p-14, -0x1.a5cb8561ae098p-14, -0x1.9abb9e526047fp-14, -0x1.90181e0926f3fp-14, -0x1.85dcd651a4e2p-14, -0x1.7c05bbd681c38p-14, -0x1.728ee52b5e166p-14, -0x1.697489dcefe0ep-14, -0x1.60b30185adaeep-14, -0x1.5846c2e97b9cp-14, -0x1.502c6316229c1p-14, -0x1.48609489302b1p-14, -0x1.40e0265bc7aa8p-14, -0x1.39a80371eb223p-14, -0x1.32b531af850afp-14, -0x1.2c04d132fe884p-14, -0x1.25941b948afa4p-14, -0x1.1f606328d7acep-14, -0x1.1967124b7bcfbp-14, -0x1.13a5aaa8e180ep-14, -0x1.0e19c491e4d48p-14, -0x1.08c10e4fe9084p-14, -0x1.03994b7ffa38ap-14, -0x1.fd40a8e0a04bfp-15, -0x1.f3a82b05ba4dcp-15, -0x1.ea651d2649dd7p-15, -0x1.e173a4bfafa42p-15, -0x1.d8d00bf211cfep-15, -0x1.d076c06347103p-15, -0x1.c864522b4ed97p-15, -0x1.c09572c3366ecp-15, -0x1.b906f40070aafp-15, -0x1.b1b5c711a19afp-15, -0x1.aa9efb87728e7p-15, -0x1.a3bfbe5fb8a22p-15, -0x1.9d15591a662c2p-15, -0x1.969d30d1a27bap-15, -0x1.9054c55a26a5dp-15, -0x1.8a39b06747651p-15, -0x1.8449a4b7a20efp-15, -0x1.7e826d4731c39p-15, -0x1.78e1ec85894dap-15, -0x1.73661b90d7c9dp-15, -0x1.6e0d09789d8f3p-15, -0x1.68d4da8459d3p-15, -0x1.63bbc77f0d2b7p-15, -0x1.5ec01d08b917cp-15, -0x1.59e03aebb9a54p-15, -0x1.551a937724f1dp-15, -0x1.506daadd20e41p-15, -0x1.4bd8169658b38p-15, -0x1.47587ccb7ddf5p-15, -0x1.42ed93c081c7cp-15, -0x1.3e9621465d803p-15, -0x1.3a50fa2d7430fp-15, -0x1.361d01bfb9e75p-15, -0x1.31f9293c43681p-15, -0x1.2de46f5877e0cp-15, -0x1.29dddfc28e105p-15, -0x1.25e492ab0c644p-15, -0x1.21f7ac4ef2c76p-15, -0x1.1e165c8544699p-15, -0x1.1a3fde52d0206p-15, -0x1.1673777d92d11p-15, -0x1.12b078266ca18p-15, -0x1.0ef63a645977ap-15, -0x1.0b4421e2d1f5fp-15, -0x1.07999b8349103p-15, -0x1.03f61d0194dd5p-15, -0x1.0059249a938c3p-15, -0x1.f984716c827fep-16, -0x1.f261cf2874ad8p-16, -0x1.eb498df62a39p-16, -0x1.e43ae7d3acf61p-16, -0x1.dd352498f311fp-16, -0x1.d6379961ef6fbp-16, -0x1.cf41a804b6026p-16, -0x1.c852be833eeffp-16, -0x1.c16a5688b639cp-16, -0x1.ba87f4e7c8519p-16, -0x1.b3ab291d973cp-16, -0x1.acd38cd84da35p-16, -0x1.a600c38179a6ap-16, -0x1.9f3279cdc5cbfp-16, -0x1.9868654fede36p-16, -0x1.91a2440f85bd5p-16, -0x1.8adfdc21a642ep-16, -0x1.8420fb45d143ap-16, -0x1.7d6576888fa13p-16, -0x1.76ad29e462bd8p-16, -0x1.6ff7f7eac150ep-16, -0x1.6945c96dbcdd5p-16, -0x1.62968d2eba54bp-16, -0x1.5bea378b802a4p-16, -0x1.5540c232067e7p-16, -0x1.4e9a2bd5f1df3p-16, -0x1.47f677e8a15c5p-16, -0x1.4155ae54ba1f7p-16, -0x1.3ab7db3aede7dp-16, -0x1.341d0eb281557p-16, -0x1.2d855c8987fb4p-16, -0x1.26f0dc0bd64c6p-16, -0x1.205fa7c6acc91p-16, -0x1.19d1dd52c28d8p-16, -0x1.13479d1f487abp-16, -0x1.0cc10a3fd400dp-16, -0x1.063e4a3938d16p-16, -0x1.ff7f09a68c68ap-17, -0x1.f289c7d73daaap-17, -0x1.e59d26934d699p-17, -0x1.d8b980e883bd7p-17, -0x1.cbdf3516e0f6ap-17, -0x1.bf0ea43e9aeaap-17, -0x1.b248321bff03ap-17, -0x1.a58c44bcd81bep-17, -0x1.98db443d5113cp-17, -0x1.8c359a86979b1p-17, -0x1.7f9bb31236a94p-17, -0x1.730dfaaea6cf6p-17, -0x1.668cdf44a6db1p-17, -0x1.5a18cfa310af7p-17, -0x1.4db23b4a3b1c3p-17, -0x1.4159923b928dep-17, -0x1.350f44c821a74p-17, -0x1.28d3c364be765p-17, -0x1.1ca77e81d5515p-17, -0x1.108ae65ec480bp-17, -0x1.047e6ae7d1751p-17, -0x1.f104f7197ec1p-18, -0x1.d92f0e4287264p-18, -0x1.c17bf77220d24p-18, -0x1.a9ec8d18729d4p-18, -0x1.9281a7ae3eb53p-18, -0x1.7b3c1d7dcc5dfp-18, -0x1.641cc26f1a76ep-18, -0x1.4d2467d9f4de5p-18, -0x1.3653dc4f89fbp-18, -0x1.1fabeb71419c1p-18, -0x1.092d5dcac94d7p-18, -0x1.e5b1f1509a88bp-19, -0x1.b95efbe79d3fbp-19, -0x1.8d6358278db56p-19, -0x1.61c07b94bb52ap-19, -0x1.3677d43337fbbp-19, -0x1.0b8ac84f846c3p-19, -0x1.c1f56ca59f2a5p-20, -0x1.6d91e92146957p-20, -0x1.19eda2337b4dcp-20, -0x1.8e16467d9d4d7p-21, -0x1.d3b39a7066811p-22, -0x1.1caaaaa4f3cfbp-23, 0x1.67c9c89750a9ap-23, 0x1.f2f1fb14aa4a9p-22, 0x1.97648f784675ep-21, 0x1.19d8720076e51p-20, 0x1.672cedacf253p-20, 0x1.b3adbd1f94bdcp-20, 0x1.ff58f50348c31p-20, 0x1.25165e30e46b1p-19, 0x1.4a13a655e95cp-19, 0x1.6ea378db3f0bdp-19, 0x1.92c504e6406f2p-19, 0x1.b67782d48cc4fp-19, 0x1.d9ba34342e0bbp-19, 0x1.fc8c63c4dfdbdp-19, 0x1.0f76b2b7ee8b5p-18, 0x1.206e4b21c3605p-18, 0x1.312cae2edf889p-18, 0x1.41b19374371e7p-18, 0x1.51fcb706bea7dp-18, 0x1.620dd9727b1dap-18, 0x1.71e4bfb554591p-18, 0x1.81813334d26f2p-18, 0x1.90e301b6fae29p-18, 0x1.a009fd551bb3p-18, 0x1.aef5fc721e4f3p-18, 0x1.bda6d9b3df90dp-18, 0x1.cc1c73f374de5p-18, 0x1.da56ae36c9539p-18, 0x1.e8556fa0acb38p-18, 0x1.f618a36675ac1p-18, 0x1.01d01c62d65f5p-17, 0x1.08761178c9a0bp-17, 0x1.0efe2c83afaeap-17, 0x1.15686b0279825p-17, 0x1.1bb4cc5aa0a48p-17, 0x1.21e351d3b2377p-17, 0x1.27f3fe8f2c117p-17, 0x1.2de6d78154753p-17, 0x1.33bbe36a3211cp-17, 0x1.39732acb91dbbp-17, 0x1.3f0cb7e40d5c1p-17, 0x1.448896a7ada9cp-17, }}, 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
    }}, 
    {
      30, 0x1.2a3d70a3d70a4p+2, 0x1.d9e9ac93099b2p+3, 0x1.635ff4edb4f39p+5, -0x1.dcb24911006cep-6, 
      {{
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.6c5724f4a483bp-6, -0x1.853c8734bdb26p-1, 0x1.68481025de598p+2, -0x1.0b574ec88b099p+4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.f09e7e5d617bcp-9, -0x1.4a589f82e9bc9p-2, 0x1.8fc0f4f4af759p+1, -0x1.6e969a57832fdp+3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.bbca2214d9578p-7, -0x1.8a18f81d788b8p-4, 0x1.6799fd805b19ep+0, -0x1.c5bd05efb6b53p+2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.01b29b5146cd7p-6, -0x1.243c729431456p-7, 0x1.5d6f1af54f7bbp-2, -0x1.0fac64d4ca612p+1}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.febef9d9902f9p-7, 0x1.3056f921aee79p-7, 0x1.76d085c5ca1ebp-6, 0x1.66b7acc485e1bp-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.ecf00058cd12dp-7, 0x1.a6594756957a5p-7, 0x1.92a344259bcb3p-5, -0x1.0164865619422p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.d44ef8456b848p-7, 0x1.1442241e49a94p-6, 0x1.f06780b0b2e1dp-6, -0x1.3fcbf3e088328p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.b65c4acb38514p-7, 0x1.411a1272fd589p-6, 0x1.90771ded56d32p-6, -0x1.cc8d098e660ecp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.947a709caf7e7p-7, 0x1.623d77dbc99e4p-6, 0x1.064cce429e9aap-6, -0x1.75682487b03aep-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.6fedf1f2fc4afp-7, 0x1.76de7774e4ea5p-6, 0x1.2c8e536706ac7p-7, -0x1.5b53ef2d8c387p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.49dd668df92a5p-7, 0x1.80afd80a0095fp-6, 0x1.70a30f95308bap-9, -0x1.30e2f5d5b96dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.235175b42fcb3p-7, 0x1.80b8b7bf0fb0fp-6, -0x1.6b173e6bbfaa6p-9, -0x1.0ad45cc80e147p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.fa69ac65b224ep-8, 0x1.782e33a7837bfp-6, -0x1.f5bda825f0b95p-8, -0x1.c7320d1ede92cp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.b0a89cbbba39p-8, 0x1.683915c092d6p-6, -0x1.836dd802a1896p-7, -0x1.795c897100e4fp-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.6abd681fa67f2p-8, 0x1.52057570dfdf8p-6, -0x1.f4a3347155011p-7, -0x1.2b5bdd0b75ea6p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.29c9d954040f8p-8, 0x1.36be878f9a19p-6, -0x1.2738fb60c8fd7p-6, -0x1.bacd55829c7f3p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.dd67b4517ceaep-9, 0x1.178fbdc8504adp-6, -0x1.486ec830fb209p-6, -0x1.1edd7182838a7p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.744ae6f63f54bp-9, 0x1.eb48f2090d5fdp-7, -0x1.5df2971ac4fep-6, -0x1.05d92df5756ap-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.19199a6ba02dap-9, 0x1.a45040c3190e7p-7, -0x1.67c455a0c631fp-6, 0x1.8faea02560b1cp-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.9870b9435a53dp-10, 0x1.5c8c25df1edbdp-7, -0x1.65e4b746ffbdfp-6, 0x1.6a0db545ad641p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.1b27f34661baap-10, 0x1.1653937ef1295p-7, -0x1.5851007ac93d6p-6, 0x1.508a66401f8c6p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.7285ee56cae3p-11, 0x1.a7f977b1924d5p-8, -0x1.3f136c02c6dfdp-6, 0x1.ee0b1646dbf1ep-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.c2f155cbb882p-12, 0x1.2fc1399f9a887p-8, -0x1.1a05ca570ffaap-6, 0x1.420fccd593ec4p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.f4f8d697f1401p-13, 0x1.913715fc21cd2p-9, -0x1.d36d3da14061fp-7, 0x1.9af3d597cc3c6p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.f06d03711ab7ap-14, 0x1.ddcda3a832d42p-10, -0x1.58241726e9811p-7, 0x1.9771503c71587p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.a68a526501a9bp-15, 0x1.f6c468ba3e75ap-11, -0x1.bbd0fe298f012p-8, 0x1.37e2624751436p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.1cc63d4b176ddp-16, 0x1.bd21f9543a012p-12, -0x1.00af8ffec4a64p-8, 0x1.ca3d95adb938bp-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.fcf52cbb9cd64p-19, 0x1.20d38c706c1f6p-13, -0x1.dcdabf910123fp-10, 0x1.2509737de7391p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.686ae5930afffp-22, 0x1.8001030e7facep-16, -0x1.f4d73a4e151dp-12, 0x1.93c9c60186938p-9}, 
        {0x1.299999999999ap+2, 0x1.2a3d70a3d70a4p+2, -0x1.1cc63d4fcp-32, -0x1.db45eb4a608c2p-20, -0x1.04b7fe5d9fdffp-16, 0x1.d0d46f1aba05cp-4}, 
      }}, 
      -0x1.e09b33544afdap+3, 0x1.191e9e0f3d7efp+9
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.1f6484d3ad35dp-5, -0x1.0c3575540e27fp-5, -0x1.daabe3552bb2ep-6, -0x1.887700b4cb6acp-6, -0x1.255022cacb8cdp-6, -0x1.6a070aedf9132p-7, -0x1.db26c8cb79d85p-9, 0x1.0f87a570284f9p-8, 0x1.8ae63564f186fp-7, 0x1.46533525bf9b6p-6, 0x1.c3f40ace42d6cp-6, 0x1.1e1bdb565e3dap-5, 0x1.56b6be4ead3f5p-5, 0x1.8b2545f4d19cap-5, 0x1.baf01f9c369d5p-5, 0x1.e5c88f335a654p-5, 0x1.05c16206bddebp-4, 0x1.16082c114f921p-4, 0x1.23bd949c32127p-4, 0x1.2ef055b58c37dp-4, 0x1.37b6e0ccbac47p-4, 0x1.3e2d8d4f46dep-4, 0x1.427505de1776ep-4, 0x1.44b0ef57269b5p-4, 0x1.4506c61c03ac9p-4, 0x1.439cec942b382p-4, 0x1.4099e7f2045a4p-4, 0x1.3c23c5de44d13p-4, 0x1.365fa73be85e1p-4, 0x1.2f71697fe0addp-4, 0x1.277b6a62eb415p-4, 0x1.1e9e611f90123p-4, 0x1.14f94605cf7d2p-4, 0x1.0aa94a872488ap-4, 0x1.ff93aed5d9695p-5, 0x1.e8e929416665cp-5, 0x1.d182e92e24957p-5, 0x1.b98d86c78329p-5, 0x1.a1326f002e62p-5, 0x1.8898074ba6c87p-5, 0x1.6fe1d33049f3cp-5, 0x1.573096684de86p-5, 0x1.3ea276a306c4fp-5, 0x1.26531e6c9eb9ap-5, 0x1.0e5bd78bec073p-5, 0x1.eda757201ce7p-6, 0x1.bf9efa13ed9d4p-6, 0x1.92c4414c43041p-6, 0x1.6738ec35a55abp-6, 0x1.3d1afb812471p-6, 0x1.1484de3bfba88p-6, 0x1.db1b3833e654p-7, 0x1.9091fdeb1bb77p-7, 0x1.498f77e0e88edp-7, 0x1.062f36c4ba267p-7, 0x1.8d0e846dc7c79p-8, 0x1.1550cdbfd2d57p-8, 0x1.4a7a0dbccdc45p-9, 0x1.e70d660ded9a7p-11, -0x1.1ddb725d12d51p-11, -0x1.f2723367b6e8dp-10, -0x1.9b96e72269771p-9, -0x1.1758d8b6f8995p-8, -0x1.595bd7019b641p-8, -0x1.93f164b594428p-8, -0x1.c73bc0b238e3dp-8, -0x1.f36212529b31bp-8, -0x1.0c47dcdf868d5p-7, -0x1.1b79fd544b177p-7, -0x1.2760c1bd75c08p-7, -0x1.3016f46e98213p-7, -0x1.35b8abf26f7a1p-7, -0x1.386301eacc05bp-7, -0x1.38340e63641e6p-7, -0x1.354a7b3c6c71ap-7, -0x1.2fc5a1b1cda24p-7, -0x1.27c52a65034eap-7, -0x1.1d68fe886c88dp-7, -0x1.10d1380d5b9c7p-7, -0x1.021ddf6dec086p-7, -0x1.e2ddd5fdc5b3ep-8, -0x1.bdc847db9983p-8, -0x1.9539fe922c5b7p-8, -0x1.697133da7d08bp-8, -0x1.3aab3e2c8cf1cp-8, -0x1.09247c25f6242p-8, -0x1.aa305c74f927fp-9, -0x1.3d80c67a74a88p-9, -0x1.99578dbe8ad98p-10, -0x1.60816467b08e8p-11, 0x1.fb566865e85c6p-13, 0x1.34d874d5c6933p-10, 0x1.179dbd91f3dd6p-9, 0x1.96e69aeaf321bp-9, 0x1.0bf343dab8f5dp-8, 0x1.4d201a27c6581p-8, 0x1.8eccbdfef6ffap-8, 0x1.d0cda7633d3e4p-8, 0x1.097c6b59a5ea8p-7, 0x1.2a92e97537933p-7, 0x1.4b96dbbb3f40fp-7, 0x1.6c75953d5d395p-7, 0x1.8d1d23a9d50b1p-7, 0x1.ad7c6949c4ef7p-7, 0x1.cd82e9f6c3ea5p-7, 0x1.ed2112b3703ecp-7, 0x1.0623f091d4467p-6, 0x1.15749811619e4p-6, 0x1.247bc9a1c21b5p-6, 0x1.33331ed1a1eb5p-6, 0x1.41949daf700f4p-6, 0x1.4f9aa038a98fap-6, 0x1.5d3fd4fbab90fp-6, 0x1.6a7f4e52fdf65p-6, 0x1.775470f028f7fp-6, 0x1.83bafa9c57dfbp-6, 0x1.8faef93dc4ee1p-6, 0x1.9b2cd8068c6c8p-6, 0x1.a6314cba0c43dp-6, 0x1.b0b9626d1838bp-6, 0x1.bac27084d1301p-6, 0x1.c44a1cf089e2ep-6, 0x1.cd4e59cc7d7c6p-6, 0x1.d5cd61040d8c4p-6, 0x1.ddc5b563c954cp-6, 0x1.e5361d2d140aap-6, 0x1.ec1da2b97016fp-6, 0x1.f27b936f73dacp-6, 0x1.f84f778825424p-6, 0x1.fd99180520129p-6, 0x1.012c397347ca9p-5, 0x1.0346e27689e3cp-5, 0x1.051cbb542313ep-5, 0x1.06ae185e23daep-5, 0x1.07fb5fad11fc4p-5, 0x1.0905122f1f891p-5, 0x1.09cbc8228a5b9p-5, 0x1.0a50297d30d56p-5, 0x1.0a92f78227f82p-5, 0x1.0a9503a3179d9p-5, 0x1.0a57304b39c8fp-5, 0x1.09da71337a4d3p-5, 0x1.091fcabef8876p-5, 0x1.08284ee2a0392p-5, 0x1.06f51c9f8ba3cp-5, 0x1.058760f95b4bfp-5, 0x1.03e054fcb3be9p-5, 0x1.02013bef22462p-5, 0x1.ffd6c8ff6d43dp-6, 0x1.fb404a7bcc766p-6, 0x1.f641bf9cef642p-6, 0x1.f0ddf8a322722p-6, 0x1.eb17d555e9e93p-6, 0x1.e4f243a30f15ep-6, 0x1.de703c28fbb57p-6, 0x1.d794c3dd6e4f7p-6, 0x1.d062e8a5c5549p-6, 0x1.c8ddc036dc7ddp-6, 0x1.c10867ed3b2e9p-6, 0x1.b8e603b66cd83p-6, 0x1.b079bbd93e563p-6, 0x1.a7c6bc92ec5d9p-6, 0x1.9ed035509d124p-6, 0x1.95995745685a2p-6, 0x1.8c2554dd9ffe9p-6, 0x1.827760759ca83p-6, 0x1.7892abe1d6522p-6, 0x1.6e7a673aa84c3p-6, 0x1.6431c038a158fp-6, 0x1.59bbe1abcaf7bp-6, 0x1.4f1bf265b3d0fp-6, 0x1.445514b9c4f2ap-6, 0x1.396a658ec8b4dp-6, 0x1.2e5efbeca88c9p-6, 0x1.2335e889a3c35p-6, 0x1.17f234e7d48b6p-6, 0x1.0c96e299abd9cp-6, 0x1.0126eaee3443cp-6, 0x1.eb4a7cccb7a19p-7, 0x1.d429887f99a44p-7, 0x1.bcf0b35c087ebp-7, 0x1.a5a5a2fb485f5p-7, 0x1.8e4de76c6098fp-7, 0x1.76eefa32f5ac8p-7, 0x1.5f8e3d424fcbp-7, 0x1.4830fa385dc7p-7, 0x1.30dc61d966a25p-7, 0x1.19958b2ed5251p-7, 0x1.026172a465d4fp-7, 0x1.d689f2d2e20eep-8, 0x1.a889ca21e8e68p-8, 0x1.7acbbe1260184p-8, 0x1.4d58e7ae93a27p-8, 0x1.203a24f6989abp-8, 0x1.e6f0309295af2p-9, 0x1.8e364ff4cccb3p-9, 0x1.3656fae4495bp-9, 0x1.bec40ff63f856p-10, 0x1.12cda0e7900dfp-10, 0x1.a3a17fdb3e89ap-12, -0x1.f677bc7d4db5fp-13, -0x1.c879520d02949p-11, -0x1.8745f8da38297p-10, -0x1.13e89688f129ap-9, -0x1.62e2c64318417p-9, -0x1.b085af5a66f03p-9, -0x1.fcc5f672d610cp-9, -0x1.23cc60c5055e6p-8, -0x1.4879dbcf2abb6p-8, -0x1.6c667fec6f4ccp-8, -0x1.8f8da065ff141p-8, -0x1.b1ead00a9e892p-8, -0x1.d379e0f9486dcp-8, -0x1.f436e4a2466f4p-8, -0x1.0a0f15983f184p-7, -0x1.1996214442f02p-7, -0x1.28aefb0385263p-7, -0x1.375826ed18818p-7, -0x1.459047406e556p-7, -0x1.53561c417f2p-7, -0x1.60a883dd84515p-7, -0x1.6d86791ed1a9ep-7, -0x1.79ef139cfb4b8p-7, -0x1.85e1871d577b5p-7, -0x1.915d2364536d3p-7, -0x1.9c61540599793p-7, -0x1.a6ed9fec422fcp-7, -0x1.b101a897236f6p-7, -0x1.ba9d29549c97p-7, -0x1.c3bff6cd85e2p-7, -0x1.cc69fee9f1753p-7, -0x1.d49b48a7f447ap-7, -0x1.dc53f39d3a24bp-7, -0x1.e39436fb9b9a8p-7, -0x1.ea5c609b71353p-7, -0x1.f0acd4647f6d1p-7, -0x1.f6860c39fc404p-7, -0x1.fbe897fbb6bf3p-7, -0x1.006a8e8ace145p-6, -0x1.02a62abd176fp-6, -0x1.04a78734ecf8bp-6, -0x1.066f13cea1a64p-6, -0x1.07fd498a89192p-6, -0x1.0952aaa087107p-6, -0x1.0a6fc26f8fe05p-6, -0x1.0b552514d823cp-6, -0x1.0c036ec0a1ad2p-6, -0x1.0c7b4318223c5p-6, -0x1.0cbd4ceaa4755p-6, -0x1.0cca3e3cd8f4cp-6, -0x1.0ca2d06750183p-6, -0x1.0c47c3f408ca3p-6, -0x1.0bb9e01993129p-6, -0x1.0af9f1fff090ap-6, -0x1.0a08cc261aa75p-6, -0x1.08e74626ca3f9p-6, -0x1.07963cd35a8c3p-6, -0x1.0616925bfb0fcp-6, -0x1.04692e32bfe4ap-6, -0x1.028efc89a5c42p-6, -0x1.0088ed9564256p-6, -0x1.fcafe9d47daacp-7, -0x1.f7fa12690f84p-7, -0x1.f2f2489c9b543p-7, -0x1.ed9a86ec47cd3p-7, -0x1.e7f4cea85454ap-7, -0x1.e203272f2fa8dp-7, -0x1.dbc79ca431295p-7, -0x1.d5443e7f9188ap-7, -0x1.ce7b1eb8cb069p-7, -0x1.c76e51adf15c8p-7, -0x1.c01fee8941956p-7, -0x1.b8920f9e72d5bp-7, -0x1.b0c6d2390d8a8p-7, -0x1.a8c055b53138fp-7, -0x1.a080ba2e486a9p-7, -0x1.980a1f4d70ed9p-7, -0x1.8f5ea3aacd5d2p-7, -0x1.868064dc343a5p-7, -0x1.7d717fe7b92bep-7, -0x1.7434119c73483p-7, -0x1.6aca3666cb44bp-7, -0x1.613609858d07dp-7, -0x1.5779a3e0bc02dp-7, -0x1.4d971af6ce992p-7, -0x1.439080441cf0bp-7, -0x1.3967e142f048ep-7, -0x1.2f1f47d1681cp-7, -0x1.24b8ba993509p-7, -0x1.1a363d1b266c8p-7, -0x1.0f99cf3355f65p-7, -0x1.04e56c34bf996p-7, -0x1.f43613e08e736p-8, -0x1.de793003bc881p-8, -0x1.c897ff30832dap-8, -0x1.b296475a32cc2p-8, -0x1.9c77c2dfdbb3fp-8, -0x1.86402126145c5p-8, -0x1.6ff3067a929c4p-8, -0x1.59940b258855bp-8, -0x1.4326b9f1e2cb6p-8, -0x1.2cae8eb336ecbp-8, -0x1.162ef54adb46fp-8, -0x1.ff5692e130d88p-9, -0x1.d24dae4e54148p-9, -0x1.a549b702bdbf6p-9, -0x1.78510a75194c5p-9, -0x1.4b69e97ebbae9p-9, -0x1.1e9a773bf1bbap-9, -0x1.e3d16dee0778ep-10, -0x1.8ab513fa3911ap-10, -0x1.31eb5bfd633cp-10, -0x1.b2fef24f368d2p-11, -0x1.02f8af5e85a23p-11, -0x1.4f64fb0343967p-13, 0x1.692a4e8e252d7p-13, 0x1.075e7ce02a0c7p-11, 0x1.b34eb3ef18896p-11, 0x1.2f03faf39da3bp-10, 0x1.83bbc5e83a871p-10, 0x1.d7c5a7eef8f85p-10, 0x1.158c6c0ea0953p-9, 0x1.3ed66ba14abedp-9, 0x1.67bcb719c6099p-9, 0x1.903b55ac57628p-9, 0x1.b84e7036ea639p-9, 0x1.dff250a9d1116p-9, 0x1.0391b10964ae4p-8, 0x1.16ef18a2fbf23p-8, 0x1.2a0fb6d3995cp-8, 0x1.3cf1f4eac51f5p-8, 0x1.4f944e08d9be5p-8, 0x1.61f54eff18d1bp-8, 0x1.741395d46a88dp-8, 0x1.85edd12cd06a7p-8, 0x1.9782bfc198a3bp-8, 0x1.a8d12ff880a2cp-8, 0x1.b9d7ffb5700f7p-8, 0x1.ca961c6dd0807p-8, 0x1.db0a8362f3be1p-8, 0x1.eb3441df29623p-8, 0x1.fb127554cd63p-8, 0x1.055225a4359cfp-7, 0x1.0cf4807f3c8aep-7, 0x1.146ff17a927efp-7, 0x1.1bc4262160c11p-7, 0x1.22f0d2fcd2486p-7, 0x1.29f5b3582df5bp-7, 0x1.30d289204d973p-7, 0x1.37871cde97915p-7, 0x1.3e133dc796bf2p-7, 0x1.4476c1d1db60bp-7, 0x1.4ab185c7e6b9fp-7, 0x1.50c36d42fb12bp-7, 0x1.56ac629bca588p-7, 0x1.5c6c56b9470a3p-7, 0x1.620340ba5b0c2p-7, 0x1.67711dacf96c2p-7, 0x1.6cb5f021472bfp-7, 0x1.71d1bfdaa7f1fp-7, 0x1.76c49994fed3dp-7, 0x1.7b8e8ee452879p-7, 0x1.802fb63505afp-7, 0x1.84a82ae8510b9p-7, 0x1.88f80d83a878ap-7, 0x1.8d1f83e48735p-7, 0x1.911eb96567135p-7, 0x1.94f5dedfe6c24p-7, 0x1.98a52a7cab0c4p-7, 0x1.9c2cd74b52dd6p-7, 0x1.9f8d24aa8d45ap-7, 0x1.a2c65595dcf8fp-7, 0x1.a5d8aff8d85dfp-7, 0x1.a8c47c2b81be2p-7, 0x1.ab8a04b7d2a74p-7, 0x1.ae29967b65474p-7, 0x1.b0a381258a904p-7, 0x1.b2f817f96a097p-7, 0x1.b527b2a5de621p-7, 0x1.b732adf5d9112p-7, 0x1.b9196c19c1285p-7, 0x1.badc546131141p-7, 0x1.bc7bd24f3d2fcp-7, 0x1.bdf8542dd50a9p-7, 0x1.bf52495a6962fp-7, 0x1.c08a20b0695d7p-7, 0x1.c1a04777a849p-7, 0x1.c295292413c75p-7, 0x1.c3693014c7ee2p-7, 0x1.c41cc73cd2b09p-7, 0x1.c4b05c6664722p-7, 0x1.c524628d74763p-7, 0x1.c57953b69d1fep-7, 0x1.c5afb1afb8bbfp-7, 0x1.c5c80558d58bfp-7, 0x1.c5c2dc66480f8p-7, 0x1.c5a0c5df76072p-7, 0x1.c5624e244b4b4p-7, 0x1.c507fb33e653bp-7, 0x1.c4924a5710a45p-7, 0x1.c401afc8bc34fp-7, 0x1.c35698bd60f69p-7, 0x1.c2916f8b6b57dp-7, 0x1.c1b2a13476416p-7, 0x1.c0baa3296a477p-7, 0x1.bfa9f7fa3644cp-7, 0x1.be8131bc4f7f6p-7, 0x1.bd40f150550e4p-7, 0x1.bbe9e2426ff2ap-7, 0x1.ba7cb3b6d5cf1p-7, 0x1.b8fa0f8e4fba5p-7, 0x1.b76291846bc58p-7, 0x1.b5b6c04e90bccp-7, 0x1.b3f70a901bf3bp-7, 0x1.b223c8c6559e7p-7, 0x1.b03d443c74e1fp-7, 0x1.ae43c1eab549bp-7, 0x1.ac378f2db500ap-7, 0x1.aa190dc634b82p-7, 0x1.a7e8bca548552p-7, 0x1.a5a73b98ed851p-7, 0x1.a35548cdcbbddp-7, 0x1.a0f3b81fdd77cp-7, 0x1.9e8365411456dp-7, 0x1.9c0522bf6b2cp-7, 0x1.9979a8cf99b99p-7, 0x1.96e187419160ep-7, 0x1.943d1de09ff0bp-7, 0x1.918c9d8849a32p-7, 0x1.8ed0127b23d3dp-7, 0x1.8c07766e24ee4p-7, 0x1.8932c6e8b95b1p-7, 0x1.86521b9ef95a2p-7, 0x1.8365b8847fa2bp-7, 0x1.806e1853e2eccp-7, 0x1.7d6bedc1fc585p-7, 0x1.7a601b24b0972p-7, 0x1.774ba1bfc9e1dp-7, 0x1.742f8b1833922p-7, 0x1.710ccf9c452ebp-7, 0x1.6de43ea87a13p-7, 0x1.6ab66c02fb2e6p-7, 0x1.6783a689c4d62p-7, 0x1.644bfa6074a7ap-7, 0x1.610f3e806f5cfp-7, 0x1.5dcd2b4b8c63dp-7, 0x1.5a8575c743967p-7, 0x1.5737eaab62b2ap-7, 0x1.53e4850aa6f59p-7, 0x1.508b7d6940684p-7, 0x1.4d2d4f119ae8dp-7, 0x1.49cab27e9cc5dp-7, 0x1.46648d46e5487p-7, 0x1.42fbda2d96404p-7, 0x1.3f918e1ff2b9bp-7, 0x1.3c267fc82db2ap-7, 0x1.38bb56744ba66p-7, 0x1.355082c20e722p-7, 0x1.31e640de23c99p-7, 0x1.2e7ca205c8b8bp-7, 0x1.2b1399d97e156p-7, 0x1.27ab0c2a9bc53p-7, 0x1.2442d944c0643p-7, 0x1.20dae898db88cp-7, 0x1.1d7332baadb52p-7, 0x1.1a0bca9b071d3p-7, 0x1.16a4e375f73b8p-7, 0x1.133ecf2059302p-7, 0x1.0fd9f1f17d824p-7, 0x1.0c76aef44e0dap-7, 0x1.091554accc163p-7, 0x1.05b614d11253ep-7, 0x1.02590ca8cd3d4p-7, 0x1.fdfcb59a428b9p-8, 0x1.f74c6e990e60ap-8, 0x1.f0a203c488a79p-8, 0x1.e9fe7fb4a9f18p-8, 0x1.e363191be06abp-8, 0x1.dcd10c89e92fcp-8, 0x1.d64982e4f8cddp-8, 0x1.cfcd8b680bb7ap-8, 0x1.c95e1e6639f0ap-8, 0x1.c2fc146d4d59ep-8, 0x1.bca8025686cc9p-8, 0x1.b661fb377f83ap-8, 0x1.b0294c5ce6bf5p-8, 0x1.a9fc55b7f7a8ap-8, 0x1.a3d8a3b4225aep-8, 0x1.9dbb5f7107ba4p-8, 0x1.97a2065bcee2dp-8, 0x1.918b2e7a20dd6p-8, 0x1.8b770352c855bp-8, 0x1.8567394bd03f6p-8, 0x1.7f5e75bb619d5p-8, 0x1.795f79be78bep-8, 0x1.736c879433b15p-8, 0x1.6d87573cba185p-8, 0x1.67b18e3050888p-8, 0x1.61ed5212e5b27p-8, 0x1.5c3d7ab6a73c4p-8, 0x1.56a52654996acp-8, 0x1.5126cf89d365p-8, 0x1.4bc342762f699p-8, 0x1.4678d7c8abe05p-8, 0x1.4143429968d0bp-8, 0x1.3c1c19cb63dc2p-8, 0x1.36fc1e47fb1f8p-8, 0x1.31dd06a708a16p-8, 0x1.2cbb49aaaa44dp-8, 0x1.2797242c44887p-8, 0x1.227437c580b09p-8, 0x1.1d57c3523ba99p-8, 0x1.184654583c452p-8, 0x1.134241abaec41p-8, 0x1.0e4bc99f541bdp-8, 0x1.096294ee4eacfp-8, 0x1.0487826f6589cp-8, 0x1.ff7b33819a1a6p-9, 0x1.f6134dff27483p-9, 0x1.ece186c1bb20ap-9, 0x1.e3ed25e97ff92p-9, 0x1.db381f944fe9dp-9, 0x1.d2be7c81e83adp-9, 0x1.ca7704e1711c1p-9, 0x1.c2545bfb6eefbp-9, 0x1.ba46a3c8054f8p-9, 0x1.b23e69b5c4b1fp-9, 0x1.aa30d06dea767p-9, 0x1.a21b3b3c70244p-9, 0x1.9a03f87c0c4d4p-9, 0x1.91f6c43074352p-9, 0x1.89fedb68f8dd2p-9, 0x1.82224ffc7c2a4p-9, 0x1.7a614698c847ap-9, 0x1.72b8cb724d7b5p-9, 0x1.6b26f83bcc21cp-9, 0x1.63ae2226a0218p-9, 0x1.5c5555926517dp-9, 0x1.55258da57fa11p-9, 0x1.4e256d23e0924p-9, 0x1.4756a5eb9c09cp-9, 0x1.40b69e8e8f409p-9, 0x1.3a40fb3ec9dbdp-9, 0x1.33f183dc429p-9, 0x1.2dc42092afd66p-9, 0x1.27b3b30b252b2p-9, 0x1.21b970d56807fp-9, 0x1.1bcd9a80891b5p-9, 0x1.15e95b004b824p-9, 0x1.10092296d3ee7p-9, 0x1.0a2e42c61c66ap-9, 0x1.045e60af2094ap-9, 0x1.fd4117ff63f7p-10, 0x1.f1f30ffb6a782p-10, 0x1.e6d42589cd7c1p-10, 0x1.dbe21f4228b7bp-10, 0x1.d11e5705bd5dfp-10, 0x1.c68eee7c2f63cp-10, 0x1.bc3a2bed69052p-10, 0x1.b22331ab3d911p-10, 0x1.a8499685caad5p-10, 0x1.9ea980d1c4cd2p-10, 0x1.953cfa58e034p-10, 0x1.8bff4d9079974p-10, 0x1.82efc5854f668p-10, 0x1.7a1111e3dd1efp-10, 0x1.7166234edbea4p-10, 0x1.68ef0838290c2p-10, 0x1.60a68773db20fp-10, 0x1.5881ce35511c5p-10, 0x1.50762820a1d3ep-10, 0x1.4881e6df540d8p-10, 0x1.40ac7e6452355p-10, 0x1.38faf26bee418p-10, 0x1.31674e09c6b71p-10, 0x1.29e92b7bc9577p-10, 0x1.2284edbcbd75ep-10, 0x1.1b49bf60da465p-10, 0x1.1440767072009p-10, 0x1.0d63affdf4dd9p-10, 0x1.06a895f429b16p-10, 0x1.000ae631e547ap-10, 0x1.f31d2f40469f5p-11, 0x1.e66f5a601f0ccp-11, 0x1.da093e94a4125p-11, 0x1.cde3399e92c56p-11, 0x1.c1fc8023d13f9p-11, 0x1.b65cd2dd73908p-11, 0x1.ab0d0f0d27e5p-11, 0x1.a00f066150ee1p-11, 0x1.955592a8653fcp-11, 0x1.8ac16972b8ceep-11, 0x1.803a41002a8e6p-11, 0x1.75d4339d6315ep-11, 0x1.6bbe5111fca91p-11, 0x1.6207c9152d605p-11, 0x1.5897d3caf8978p-11, 0x1.4f5cfa0e313cbp-11, 0x1.4658509672044p-11, 0x1.3d8106a674467p-11, 0x1.34ca28131b7abp-11, 0x1.2c38ccf975837p-11, 0x1.23d97d8d84221p-11, 0x1.1ba962c7b1b48p-11, 0x1.139c2cdbad5acp-11, 0x1.0bb409c31a974p-11, 0x1.03fff33368127p-11, 0x1.f90ae7b2000edp-12, 0x1.ea7b2dced501ep-12, 0x1.dc45ad22d34f8p-12, 0x1.ce6d6e4733e45p-12, 0x1.c0f932ae7fc09p-12, 0x1.b3ed1281b2a92p-12, 0x1.a7424acb95252p-12, 0x1.9ace72551296fp-12, 0x1.8e67c42aa8442p-12, 0x1.8235d0aba2069p-12, 0x1.766ac2945d6dap-12, 0x1.6ae2288e297bp-12, 0x1.5f830d9bbe696p-12, 0x1.548454cd184f7p-12, 0x1.4a08fc6e099eep-12, 0x1.3ffedeebd994ep-12, 0x1.3649ad6fa0df4p-12, 0x1.2cc84dc88b813p-12, 0x1.2356434a5e7c9p-12, 0x1.19f472aa55205p-12, 0x1.10cea0ef9b638p-12, 0x1.07f5fd5416378p-12, 0x1.fe9750fc9740dp-13, 0x1.ed8f3b5d4ac52p-13, 0x1.dd12d3d6b36e4p-13, 0x1.cd389859efb54p-13, 0x1.bddfaeacf5a4fp-13, 0x1.aeed3ddc480a1p-13, 0x1.a0580fe3cd249p-13, 0x1.92244ff4243cp-13, 0x1.846f5b3982fcdp-13, 0x1.7736826e4b962p-13, 0x1.6a33c6116bebp-13, 0x1.5d776cd4b37aap-13, 0x1.51173a89159b2p-13, 0x1.44d4cc08a8a5ap-13, 0x1.38ea8a015976cp-13, 0x1.2d917071f26dap-13, 0x1.229ac8df6d6bbp-13, 0x1.17e193785e5dcp-13, 0x1.0d6618c86c349p-13, 0x1.033418dae31e5p-13, 0x1.f2ab1b1fa781p-14, 0x1.dfa92e487ced8p-14, 0x1.cd737b4882234p-14, 0x1.bbdbd7b08af24p-14, 0x1.aa8be86a265a3p-14, 0x1.99a48fe00519bp-14, 0x1.89479612f13ecp-14, 0x1.792630193f41bp-14, 0x1.696f82931b6fep-14, 0x1.5a8067f6e04d1p-14, 0x1.4c30f03759555p-14, 0x1.3e3f28f0f6e2ep-14, 0x1.309066db8226dp-14, 0x1.234ae5dd82bfep-14, 0x1.16c9edc80e961p-14, 0x1.0acf50a10c5f4p-14, 0x1.fdf2dfd1b045fp-15, 0x1.e690092d5c901p-15, 0x1.cf877f0be56c7p-15, 0x1.b9da39e7cee6bp-15, 0x1.a53e8f97eea59p-15, 0x1.912b00ec64f08p-15, 0x1.7d95f210fcf54p-15, 0x1.6a94b8837d2dcp-15, 0x1.58318a84865aap-15, 0x1.466b4e24f6f5dp-15, 0x1.353b53c4d7912p-15, 0x1.249a41f4ced73p-15, 0x1.148226adba8f9p-15, 0x1.04ecdec65c3c4p-15, 0x1.ebbf5085cc848p-16, 0x1.cf230cba2e7bdp-16, 0x1.b4662836e1b64p-16, 0x1.9aa9e06fa64dbp-16, 0x1.814dafdc3a9d6p-16, 0x1.6827b4ae467fdp-16, 0x1.4f94bfa071eeep-16, 0x1.38a2cb229013cp-16, 0x1.22cf6083674b8p-16, 0x1.0d722294334c3p-16, 0x1.f1d76556ac00dp-17, 0x1.cc0ac092e29cp-17, 0x1.a755577a0f109p-17, 0x1.822e69f541c29p-17, 0x1.5e03ca798b5fdp-17, 0x1.3cd1e031d5c6ap-17, 0x1.1d225fe7f6dcfp-17, 0x1.fc9adb00ee987p-18, 0x1.c107d92af9975p-18, 0x1.87cd95e758e79p-18, 0x1.50f243897ced8p-18, 0x1.1c6547dcfafd7p-18, 0x1.d4235803ee77cp-19, 0x1.73c80e0d93031p-19, 0x1.179497b946b4cp-19, 0x1.7ec1fcfd6d1bap-20, 0x1.abefaa685c648p-21, 0x1.a2f16f04aa2f4p-23, -0x1.998cc6692d86cp-22, -0x1.f5184cf03837ep-21, -0x1.889383823010dp-20, -0x1.0876b3fbbc6dap-19, -0x1.4897dbaa5c758p-19, -0x1.82afad16f0253p-19, -0x1.ba637e020e4p-19, -0x1.f30172ac67985p-19, -0x1.14bda15ef9dccp-18, -0x1.2d6dffa3b4227p-18, -0x1.44c91857d82dap-18, -0x1.5a19b6a913404p-18, -0x1.6eddbfaea07e9p-18, -0x1.83f8ac545c985p-18, -0x1.96dab8b38bef6p-18, -0x1.a873aad3a090cp-18, -0x1.b96aabbfb2ed4p-18, -0x1.c98b62f5dafb2p-18, -0x1.d8bf47a74b6cbp-18, -0x1.e70912973bea3p-18, -0x1.f472429651c4fp-18, -0x1.0082ae12bca66p-17, -0x1.06664dd16d141p-17, -0x1.0be8e4d7dd793p-17, -0x1.110f0a4692767p-17, -0x1.15dd0034860a4p-17, -0x1.1a565f09edf8cp-17, -0x1.1e7e7cfcfb445p-17, -0x1.225806cbd706cp-17, -0x1.25e57191b3c92p-17, -0x1.292a208c78feep-17, -0x1.2c2a83d76df55p-17, -0x1.2eebc078a9d6dp-17, -0x1.3172256f2298fp-17, -0x1.33c0ae4c22d14p-17, -0x1.35dc3d90c65d7p-17, -0x1.37cb1b8a20e21p-17, -0x1.3974b4e298222p-17, -0x1.3ac0d82ea61efp-17, -0x1.3c1a694729bc7p-17, -0x1.3d48cea02e807p-17, -0x1.3e113d1ebfa22p-17, -0x1.3edee6272b9f5p-17, -0x1.3f716dafe36c1p-17, -0x1.3fea220bad58ep-17, -0x1.404a56e70704cp-17, -0x1.408aa54951ebap-17, -0x1.40ab1c160641ep-17, -0x1.40adb2f04b221p-17, -0x1.40946f6e469aap-17, -0x1.406123904ce72p-17, -0x1.4015759468aa9p-17, -0x1.3fb2ec6f596f7p-17, -0x1.3f3af7fbf626p-17, -0x1.3eaef5c840f2cp-17, -0x1.3e1033b90c36bp-17, -0x1.3d5ff0c4621fdp-17, -0x1.3c9f5bb55e25cp-17, -0x1.3bcf8fed79edep-17, -0x1.3af19256271f3p-17, -0x1.3a06540966783p-17, -0x1.390ebe627f469p-17, -0x1.380bb69dae89p-17, -0x1.36fdf0c51345bp-17, -0x1.35e683c7c8075p-17, -0x1.34c6f3fd7e2eap-17, -0x1.339f8219ec6c8p-17, -0x1.327142d81a74p-17, -0x1.313b6a4eb754bp-17, -0x1.2ffe8c99733a8p-17, -0x1.2ebe095531a27p-17, -0x1.2d7cfa30bfdd1p-17, -0x1.2c3385a33b251p-17, -0x1.2ae332ee0eee9p-17, -0x1.298e5a235dd1ap-17, -0x1.2838a6573a04dp-17, -0x1.26e289b98d9bbp-17, -0x1.258a94ea3e5ccp-17, -0x1.2430cc47e3773p-17, -0x1.22d59d134cb86p-17, -0x1.217971285f8f1p-17, -0x1.201ca3bef3c91p-17, -0x1.1ebf8496ea181p-17, -0x1.1d625ad159bb4p-17, -0x1.1c0566ca2b2a8p-17, -0x1.1aa8e34b8c98ap-17, -0x1.194d065618857p-17, -0x1.17f2018d98f04p-17, -0x1.16980274027p-17, -0x1.153f32978e83p-17, -0x1.13e7b8311da5bp-17, -0x1.1291b6f3ad5f1p-17, -0x1.113d4fcc36f09p-17, -0x1.0fea9f05cb46p-17, -0x1.0e99ba17b60e8p-17, -0x1.0d4ab040aeb15p-17, -0x1.0bfd8db422817p-17, -0x1.0ab25c4b3ea99p-17, -0x1.096923b0ef59dp-17, -0x1.0821f608ea0a2p-17, -0x1.06dcfe2e7a67fp-17, -0x1.059a6c498026dp-17, -0x1.045a0b5032edbp-17, -0x1.031b214bee41fp-17, -0x1.01dceda5e39b6p-17, -0x1.00a2eda150e8fp-17, -0x1.fed8a3326b53fp-18, -0x1.fc6c33773d68dp-18, -0x1.fa0068522c72ap-18, -0x1.f79a590fcfdc8p-18, -0x1.f53d75c1fffd4p-18, -0x1.f2e2c935f557bp-18, -0x1.f08978ac0e517p-18, -0x1.ee3389ec66e81p-18, -0x1.ebe14a68ec459p-18, -0x1.e9929223afe6p-18, -0x1.e74735a1fafe8p-18, -0x1.e4ff0bc5b47fp-18, -0x1.e2b9bd58b8c74p-18, -0x1.e076f06af5165p-18, -0x1.de37827878df7p-18, -0x1.dbfa77482dc35p-18, -0x1.d9bfb706cd31bp-18, -0x1.d78729e9510acp-18, -0x1.d55002ddf36fcp-18, -0x1.d31ac1fb2d9cdp-18, -0x1.d0e7f9a968b9ap-18, -0x1.ceb67af312d79p-18, -0x1.cc874f4eb8519p-18, -0x1.ca58b2ee16aebp-18, -0x1.c82aafee9446cp-18, -0x1.c5fda04ab8fp-18, -0x1.c3d154be8b8c6p-18, -0x1.c1a58a321814cp-18, -0x1.bf7a2878c006dp-18, -0x1.bd4f4d7ac2835p-18, -0x1.bb24de5a3c1fcp-18, -0x1.b8fa6402ed6fp-18, -0x1.b6cdf04438453p-18, -0x1.b49edcd2b3dd3p-18, -0x1.b2761d064e4dbp-18, -0x1.b04a311e20ca8p-18, -0x1.ae1be7868d34ep-18, -0x1.abece0665df4bp-18, -0x1.a9bd4766f4fafp-18, -0x1.a78caead14ccap-18, -0x1.a558e46fa11afp-18, -0x1.a320d31268039p-18, -0x1.a0ee077ae4208p-18, -0x1.9eb8e175a29a6p-18, -0x1.9c7f227aa7c1bp-18, -0x1.9a43354d85151p-18, -0x1.98055191d0f81p-18, -0x1.95c5482a2d6e6p-18, -0x1.9382ee1b5351bp-18, -0x1.913e223f2993cp-18, -0x1.8ef6c97a1a0d8p-18, -0x1.8cacd0a814f7ap-18, -0x1.8a602560bc904p-18, -0x1.8810a06ab67cp-18, -0x1.85be1bc30158ep-18, -0x1.83689ccb7691ap-18, -0x1.81101f3074e32p-18, -0x1.7eb476a331926p-18, -0x1.7c558da49bdc2p-18, -0x1.79f36aa05c097p-18, -0x1.778e02472595bp-18, -0x1.75253dff8a71ep-18, -0x1.72b90a338cce9p-18, -0x1.704954e1b72b7p-18, -0x1.6dd612733e63p-18, -0x1.6b5f514cf9aep-18, -0x1.68e524644833cp-18, -0x1.6667786e9133ep-18, -0x1.63e62a91d6a88p-18, -0x1.6160218e4145cp-18, -0x1.5ed6312ca160bp-18, -0x1.5c4b7f140f9cp-18, -0x1.59bb649b9bccep-18, -0x1.57277f5aa8441p-18, -0x1.5490559716be1p-18, -0x1.51f47b95b2ee3p-18, -0x1.4f54fa9c0d6f3p-18, -0x1.4cb23dded42fcp-18, -0x1.4a0cdce483bb3p-18, -0x1.47635b09d765ep-18, -0x1.44b5b7486b62cp-18, -0x1.42039742a2b83p-18, -0x1.3f4da06669c72p-18, -0x1.3c97380a57cb6p-18, -0x1.39dbb26ae99bdp-18, -0x1.371c3f23d5de4p-18, -0x1.34596d63db26fp-18, }}, 
      {{-0x1.20919546d7e6bp-5, -0x1.10c26103cddf5p-5, -0x1.ee125a561e233p-6, -0x1.a881008479395p-6, -0x1.52f0ca3dce196p-6, -0x1.df87f2372053cp-7, -0x1.02f7b08de2da4p-7, -0x1.53820d826fa38p-11, 0x1.c9aecb116c82fp-8, 0x1.e6a088dc7ff2fp-7, 0x1.75f64a284ee85p-6, 0x1.f879292cbd704p-6, 0x1.3c972c57122bcp-5, 0x1.7b52fad413993p-5, 0x1.b7d4a0060e1ecp-5, 0x1.f19bd5c77182bp-5, 0x1.1420be9dea763p-4, 0x1.2dbab4df4e6b5p-4, 0x1.457e058378839p-4, 0x1.5b560b96ad41bp-4, 0x1.6f36220f9db7ap-4, 0x1.81188ff04b3p-4, 0x1.90fd865bb738bp-4, 0x1.9eea32bd74b51p-4, 0x1.aae7e76b39fd2p-4, 0x1.b50359e20bfcap-4, 0x1.bd4bf73e24033p-4, 0x1.c3d34d3f77e27p-4, 0x1.c8ac8787c9f21p-4, 0x1.cbebfe4b80b03p-4, 0x1.cda6d63ea0afap-4, 0x1.cdf2af7028b0ap-4, 0x1.cce56147a8d9bp-4, 0x1.ca94c241800fep-4, 0x1.c7167a903599dp-4, 0x1.c27fdf4fe0cd7p-4, 0x1.bce5d50e0dc47p-4, 0x1.b65cb92fc7972p-4, 0x1.aef850450cc22p-4, 0x1.a6cbb90c7da1bp-4, 0x1.9de9639159e5dp-4, 0x1.94630ad033457p-4, 0x1.8a49afde07d3dp-4, 0x1.7fad9a323d388p-4, 0x1.749e53c955d0fp-4, 0x1.692aadc70a2bep-4, 0x1.5d60bfba7dd0bp-4, 0x1.514deaa5f8f1dp-4, 0x1.44feddaf93a0dp-4, 0x1.387f978bfa404p-4, 0x1.2bdb6afdf6a84p-4, 0x1.1f1d03fd8553cp-4, 0x1.124e6bb1305e2p-4, 0x1.05790c5b8a92cp-4, 0x1.f14b6c007cdb6p-5, 0x1.d7b948547e5bp-5, 0x1.be4b0494b494fp-5, 0x1.a50edfc10c36p-5, 0x1.8c120bc4a43dbp-5, 0x1.7360b69cfa5edp-5, 0x1.5b06156794177p-5, 0x1.430c6ccb6f0b3p-5, 0x1.2b7d1a443174ap-5, 0x1.14609f3455a35p-5, 0x1.fb7d519ef5ce4p-6, 0x1.cf3c342de35c3p-6, 0x1.a40a2bebae0a4p-6, 0x1.79f20f515dc49p-6, 0x1.50fd56257e01ep-6, 0x1.29342cc2af9bcp-6, 0x1.029d86eb3a7aap-6, 0x1.ba7e59c045d0ap-7, 0x1.723ba1f188e8ep-7, 0x1.2c7a2fe56081fp-7, 0x1.d27ed99d5ce02p-8, 0x1.511db84044604p-8, 0x1.a9a959d61fe4bp-9, 0x1.7691044aee849p-10, -0x1.4761c59ac1bd8p-12, -0x1.02ff3d8237a5ep-9, -0x1.d30023ce03654p-9, -0x1.4c81bb08f871ep-8, -0x1.aa90f38799724p-8, -0x1.01de10434a256p-7, -0x1.2c09be88aafb4p-7, -0x1.53d486f081848p-7, -0x1.79481e0f2efd7p-7, -0x1.9c6ef81241ea3p-7, -0x1.bd54211b135b6p-7, -0x1.dc03409211cdep-7, -0x1.f8887657b2549p-7, -0x1.0978294b199a7p-6, -0x1.15a3e8fa3b6bfp-6, -0x1.20ce207afbde8p-6, -0x1.2afd9fe9bbce4p-6, -0x1.34395575729ecp-6, -0x1.3c884673be4e3p-6, -0x1.43f19293a318cp-6, -0x1.4a7c67c130ffap-6, -0x1.502ffe60ec9ap-6, -0x1.551399b525397p-6, -0x1.592e7fb914491p-6, -0x1.5c87f49ff47e3p-6, -0x1.5f273bdf7cd31p-6, -0x1.611394a4711e3p-6, -0x1.625430d675d3bp-6, -0x1.62f03b6b5308dp-6, -0x1.62eececebdfbbp-6, -0x1.6256f5357b663p-6, -0x1.612fa7e2b6e47p-6, -0x1.5f7fc85fda3a2p-6, -0x1.5d4e2271fd64bp-6, -0x1.5aa16d3de96f5p-6, -0x1.57804001fb5fep-6, -0x1.53f1198685e96p-6, -0x1.4ffa5906efc9dp-6, -0x1.4ba2481bb9676p-6, -0x1.46ef05d3079f7p-6, -0x1.41e69966ed107p-6, -0x1.3c8ee5b1ad82ep-6, -0x1.36edafe805044p-6, -0x1.3108983d15c0fp-6, -0x1.2ae51b8a2cb1ep-6, -0x1.248896b68f1eap-6, -0x1.1df83f4fd26c3p-6, -0x1.1739298b7e6cap-6, -0x1.105046369fcbp-6, -0x1.09425c2908d14p-6, -0x1.021412775f262p-6, -0x1.f593d33e51eb5p-7, -0x1.e6d077ac42b83p-7, -0x1.d7e680d26624ap-7, -0x1.c8de13be719d6p-7, -0x1.b9bf0465c8ef2p-7, -0x1.aa90e8f91799p-7, -0x1.9b5b09a9e4b5dp-7, -0x1.8c2465d1a17a5p-7, -0x1.7cf3b9474afacp-7, -0x1.6dcf7b191e3f2p-7, -0x1.5ebdd935e6af7p-7, -0x1.4fc4bedbfd4bep-7, -0x1.40e9d7532ff5cp-7, -0x1.323287d09c339p-7, -0x1.23a3f58d4429bp-7, -0x1.154307b677a1p-7, -0x1.0714621f08536p-7, -0x1.f238de90b90e4p-8, -0x1.d6beb5b6b987fp-8, -0x1.bbc22275c6cfp-8, -0x1.a14a9a4bd794ap-8, -0x1.875f0d5db9574p-8, -0x1.6e0606beadcfp-8, -0x1.5545a2012eca4p-8, -0x1.3d238bd9e2757p-8, -0x1.25a50da8ac013p-8, -0x1.0ecf0755b197fp-8, -0x1.f14bf269002dfp-9, -0x1.c65bfca0c7971p-9, -0x1.9cd5b195048fbp-9, -0x1.74bfd68035b74p-9, -0x1.4e20868928dc2p-9, -0x1.28fd2cb0dbac8p-9, -0x1.055a8a67f5259p-9, -0x1.c6798b2f65bdep-10, -0x1.854ec6020dad1p-10, -0x1.473a9b32fc7d8p-10, -0x1.0c41c02fc6a7ep-10, -0x1.a8cf9b21066b2p-11, -0x1.3f5e847219daep-11, -0x1.b86654bd00ff7p-12, -0x1.fd3a105354f0cp-13, -0x1.457c4d77a10c8p-14, 0x1.3d65431433e7ep-14, 0x1.c72b000fb55d7p-13, 0x1.6b625c5976f86p-12, 0x1.e6d00e365707cp-12, 0x1.2af8f4d20cfe8p-11, 0x1.5c6f41c7f510dp-11, 0x1.87d797d2e8794p-11, 0x1.ad400fc051869p-11, 0x1.ccb823d5b8fe5p-11, 0x1.e6508fc40b3fcp-11, 0x1.fa1b4745f7b4ep-11, 0x1.0415b6f9cdb31p-10, 0x1.084aa25a56a53p-10, 0x1.09b707b49802dp-10, 0x1.08660da17a218p-10, 0x1.04634e5dfd38cp-10, 0x1.fb75ad4115699p-11, 0x1.e8f23d20983d4p-11, 0x1.d156027edc1cdp-11, 0x1.b4bb6e365efe7p-11, 0x1.933da0cc60f7ap-11, 0x1.6cf858dec4b49p-11, 0x1.4207edb917ac8p-11, 0x1.1289405facb53p-11, 0x1.bd33553a23823p-12, 0x1.4cadfa16d9a75p-12, 0x1.a77db70e7fb1cp-13, 0x1.4a8c8d7b4fd3bp-14, -0x1.b33af96270e05p-15, -0x1.8e44992c6c6e9p-13, -0x1.5f4ec7f3a2551p-12, -0x1.fead8a6df6ff5p-12, -0x1.527f7b4de8028p-11, -0x1.a9019539acb82p-11, -0x1.015e834c85f4p-10, -0x1.2fc8d8b2ae0bdp-10, -0x1.5fafb7a06e4cep-10, -0x1.91030c2128013p-10, -0x1.c3b2c6e63c96dp-10, -0x1.f7aedf38d7b4ep-10, -0x1.1673aa309a6f6p-9, -0x1.31a61b55eb69ep-9, -0x1.4d66d47048c67p-9, -0x1.69adef6d2f75p-9, -0x1.8673937f9351fp-9, -0x1.a3aff5981e604p-9, -0x1.c15b58d7271b7p-9, -0x1.df6e10e0a197fp-9, -0x1.fde082f94d1cbp-9, -0x1.0e55939572366p-8, -0x1.1de344dba62d4p-8, -0x1.2d95a620f466ep-8, -0x1.3d69138e35169p-8, -0x1.4d59f503d018fp-8, -0x1.5d64be8474ea4p-8, -0x1.6d85f0b1b31cbp-8, -0x1.7dba194b763e3p-8, -0x1.8dfdd3c32d0cbp-8, -0x1.9e4dc95f325cdp-8, -0x1.aea6b2259473fp-8, -0x1.bf055469304ep-8, -0x1.cf6685d541b4ap-8, -0x1.dfc72b175ca53p-8, -0x1.f0243898f7efbp-8, -0x1.003d595a654dp-7, -0x1.0863d6f259062p-7, -0x1.108427787f6b2p-7, -0x1.189ce58cebb3ep-7, -0x1.20acb428caf09p-7, -0x1.28b23eb8b07fap-7, -0x1.30ac3933c3437p-7, -0x1.3899602950dd9p-7, -0x1.407878c1d5d8dp-7, -0x1.484850c08a668p-7, -0x1.5007be8ed4cdcp-7, -0x1.57b5a14fb5652p-7, -0x1.5f50e0f0606c3p-7, -0x1.66d86e2bd45b4p-7, -0x1.6e4b42801be0cp-7, -0x1.75a8601e6d61cp-7, -0x1.7ceed1e24a109p-7, -0x1.841dab55a47e6p-7, -0x1.8b3408b687635p-7, -0x1.92310ef9a2a3ep-7, -0x1.9913ebc06a43ap-7, -0x1.9fdbd54497b39p-7, -0x1.a6880a3d3f503p-7, -0x1.ad17d1c8f7793p-7, -0x1.b38a7b62d9d18p-7, -0x1.b9df5edf2486ap-7, -0x1.c015dc66a5f9p-7, -0x1.c62d5c7050eb7p-7, -0x1.cc254f8e4625cp-7, -0x1.d1fd2e27e6a5cp-7, -0x1.d7b478e4caea4p-7, -0x1.dd4ab7d89989cp-7, -0x1.e2bf7b2036dc1p-7, -0x1.e8125a7c56e95p-7, -0x1.ed42f53029e83p-7, -0x1.f250f20c1066bp-7, -0x1.f73bff39a35fdp-7, -0x1.fc03d212842e6p-7, -0x1.00541380395e8p-6, -0x1.029460afaaf64p-6, -0x1.04c2b5b7d2461p-6, -0x1.06defb20e5413p-6, -0x1.08e91cca6c0dap-6, -0x1.0ae109dad800fp-6, -0x1.0cc6b4a9937efp-6, -0x1.0e9a12a9a0b1ap-6, -0x1.105b1c57f274dp-6, -0x1.1209cd2d15e6ep-6, -0x1.13a62390cf97fp-6, -0x1.153020cd69e92p-6, -0x1.16a7c9005ba88p-6, -0x1.180d2306c8cfap-6, -0x1.1960386914017p-6, -0x1.1aa115447f3a7p-6, -0x1.1bcfc83867bd9p-6, -0x1.1cec625617789p-6, -0x1.1df6f712ef5b6p-6, -0x1.1eef9c3b0ef12p-6, -0x1.1fd669e220479p-6, -0x1.20ab7a518adaep-6, -0x1.216ee9f411099p-6, -0x1.2220d740bf054p-6, -0x1.22c162a71edd9p-6, -0x1.2350ae7df557fp-6, -0x1.23cedef4943eap-6, -0x1.243c1a057ba4ap-6, -0x1.2498876875758p-6, -0x1.24e45082954bep-6, -0x1.251fa055e489ap-6, -0x1.254aa36c07658p-6, -0x1.256587c067878p-6, -0x1.25707cb777b7p-6, -0x1.256bb3064a688p-6, -0x1.25575caa60c01p-6, -0x1.2533acd496b17p-6, -0x1.2500d7e333bd7p-6, -0x1.24bf13518f4c8p-6, -0x1.246e95a8b25e6p-6, -0x1.240f966f02ee1p-6, -0x1.23a24e17656aap-6, -0x1.2326f5f0d51bap-6, -0x1.229dc81727974p-6, -0x1.2206ff658ad68p-6, -0x1.2162d76a1451bp-6, -0x1.20b18c5a2824fp-6, -0x1.1ff35b06f334ap-6, -0x1.1f2880d143788p-6, -0x1.1e513b9c959ddp-6, -0x1.1d6dc9c225797p-6, -0x1.1c7e6a02b03a2p-6, -0x1.1b835b7db0591p-6, -0x1.1a7cdd9a9bc62p-6, -0x1.196b2ff5bd507p-6, -0x1.184e92678ce77p-6, -0x1.1727450ca08e7p-6, -0x1.15f5881b86053p-6, -0x1.14b99bcd5323dp-6, -0x1.1373c075f8155p-6, -0x1.122436810048fp-6, -0x1.10cb3e4d54544p-6, -0x1.0f691821af2a4p-6, -0x1.0dfe042c9d674p-6, -0x1.0c8a427cb25cep-6, -0x1.0b0e12f63889ap-6, -0x1.0989b549deb0ep-6, -0x1.07fd68ec8b165p-6, -0x1.06696d0f85fbdp-6, -0x1.04ce009929d25p-6, -0x1.032b621e3db5dp-6, -0x1.0181cfdb57a6ap-6, -0x1.ffa30f5be2b6p-7, -0x1.fc358e1cb6dc8p-7, -0x1.f8bb96124bdf1p-7, -0x1.f535a07093371p-7, -0x1.f1a42578b5e08p-7, -0x1.ee079c6e60315p-7, -0x1.ea607b8ee0f08p-7, -0x1.e6af37e793f3ap-7, -0x1.e2f4457073f6bp-7, -0x1.df301706f987bp-7, -0x1.db631e3132b7dp-7, -0x1.d78dcb6b8d766p-7, -0x1.d3b08dde0699fp-7, -0x1.cfcbd36958c2bp-7, -0x1.cbe008a829885p-7, -0x1.c7ed98dec3a55p-7, -0x1.c3f4edeeb9c77p-7, -0x1.bff6704c52c5dp-7, -0x1.bbf286f61d878p-7, -0x1.b7e99770056a1p-7, -0x1.b3dc05c22d857p-7, -0x1.afca347ada702p-7, -0x1.abb484b189314p-7, -0x1.a79b5608b8a6p-7, -0x1.a37f06abf8b3ep-7, -0x1.9f5ff349056ffp-7, -0x1.9b3e7703b31dap-7, -0x1.971aeb66af88bp-7, -0x1.92f5a8543c54ep-7, -0x1.8ecf03fb24fbep-7, -0x1.8aa752d373c8cp-7, -0x1.867ee7a4c5bb7p-7, -0x1.825613960d7a4p-7, -0x1.7e2d2643f626ap-7, -0x1.7a046dcfa4c1fp-7, -0x1.75dc36f8416f4p-7, -0x1.71b4cd10f1ce3p-7, -0x1.6d8e7a00aec25p-7, -0x1.6969861e1ef5ep-7, -0x1.6546380e7a3b3p-7, -0x1.6124d4a76a8afp-7, -0x1.5d059ecf3b89dp-7, -0x1.58e8d777a9f85p-7, -0x1.54cebdacda92ep-7, -0x1.50b78ebb84112p-7, -0x1.4ca386671b6afp-7, -0x1.4892df2440057p-7, -0x1.4485d2492a1b4p-7, -0x1.407c982610ab1p-7, -0x1.3c776804a6044p-7, -0x1.387677ed9732dp-7, -0x1.3479fc86d58d2p-7, -0x1.308228a51b412p-7, -0x1.2c8f2d1bb72efp-7, -0x1.28a138897bce1p-7, -0x1.24b87755df42fp-7, -0x1.20d513da93d98p-7, -0x1.1cf736b4a7f2fp-7, -0x1.191f072e0fadbp-7, -0x1.154caba929c57p-7, -0x1.118049f5984b9p-7, -0x1.0dba07795326cp-7, -0x1.09fa092178331p-7, -0x1.0640731aeae38p-7, -0x1.028d686075713p-7, -0x1.fdc2146e3b9cap-8, -0x1.f676ef71ab126p-8, -0x1.ef399b165c81fp-8, -0x1.e80a4bb04898p-8, -0x1.e0e9311d41b5cp-8, -0x1.d9d677c008b9p-8, -0x1.d2d249c0cef0ap-8, -0x1.cbdcd04f34575p-8, -0x1.c4f634a090931p-8, -0x1.be1ea0754fe74p-8, -0x1.b7563e078e8d6p-8, -0x1.b09d376185aa7p-8, -0x1.a9f3b536445c4p-8, -0x1.a359dd71a161ap-8, -0x1.9ccfd1c8d2d55p-8, -0x1.9655aea0caed8p-8, -0x1.8feb8a97dce3ep-8, -0x1.899176e286ea4p-8, -0x1.8347807841377p-8, -0x1.7d0db1d421f35p-8, -0x1.76e414e14f626p-8, -0x1.70cab4a0d6ddfp-8, -0x1.6ac19e2f98641p-8, -0x1.64c8e10286938p-8, -0x1.5ee08e6063c2dp-8, -0x1.5908b83f81f4ep-8, -0x1.53416fbd171ffp-8, -0x1.4d8ac35c4dd1dp-8, -0x1.47e4bd36889cep-8, -0x1.424f61b2e0b03p-8, -0x1.3ccaaea604db5p-8, -0x1.37569b6b105bcp-8, -0x1.31f31a55ec85bp-8, -0x1.2ca01ab2d3b5dp-8, -0x1.275d8b6fb154fp-8, -0x1.222b5d72a11dfp-8, -0x1.1d09850e35322p-8, -0x1.17f7fa602cea8p-8, -0x1.12f6b8c04da45p-8, -0x1.0e05bda286134p-8, -0x1.0925074c79cbep-8, -0x1.0454938dc6dc8p-8, -0x1.ff28bcd5631bfp-9, -0x1.f5c8c15ad934fp-9, -0x1.ec891cc7b3aaap-9, -0x1.e369ab59af132p-9, -0x1.da6a3ca31dfdfp-9, -0x1.d18a953ecc541p-9, -0x1.c8ca730294285p-9, -0x1.c029928dc0622p-9, -0x1.b7a7b443cdc2ap-9, -0x1.af449ee60d98p-9, -0x1.a7001f2423ac6p-9, -0x1.9eda05204fa24p-9, -0x1.96d221a677027p-9, -0x1.8ee845143fd6ep-9, -0x1.871c4037e7c34p-9, -0x1.7f6de5b6b68cfp-9, -0x1.77dd0b013ea57p-9, -0x1.706986eafaacap-9, -0x1.69132e6386e0ep-9, -0x1.61d9d0bb179a2p-9, -0x1.5abd3578c0cd8p-9, -0x1.53bd1d19bae05p-9, -0x1.4cd9447d07a33p-9, -0x1.4611691dab63p-9, -0x1.3f654b9a4acbbp-9, -0x1.38d4aeddf26eap-9, -0x1.325f54270a688p-9, -0x1.2c04f5fb27fa9p-9, -0x1.25c544d42bf06p-9, -0x1.1f9fe79c4b41p-9, -0x1.19948050e556fp-9, -0x1.13a2b30d1cc74p-9, -0x1.0dca2c4b1103bp-9, -0x1.080aa35a1fc0ap-9, -0x1.0263d8305ddc7p-9, -0x1.f9ab1d814c665p-10, -0x1.eebf17589046p-10, -0x1.e40329ee84ba6p-10, -0x1.d976ec09417c2p-10, -0x1.cf1a06423a7f9p-10, -0x1.c4ec31686ca7bp-10, -0x1.baed2a3667701p-10, -0x1.b11c9fc94a081p-10, -0x1.a77a255f5e99ep-10, -0x1.9e052c63081d3p-10, -0x1.94bd05cd5b25ap-10, -0x1.8ba0e776d1ce3p-10, -0x1.82aff44a9ea71p-10, -0x1.79e9489494fa5p-10, -0x1.714c08fbf4f43p-10, -0x1.68d76d75e410ep-10, -0x1.608ac10d2a993p-10, -0x1.5865579d7f838p-10, -0x1.5066855f423bbp-10, -0x1.488da5e2c5383p-10, -0x1.40da33f11d3fep-10, -0x1.394be259a6df7p-10, -0x1.31e29efda62f2p-10, -0x1.2a9e760582e76p-10, -0x1.237f62e42ec4cp-10, -0x1.1c852bdcf10b6p-10, -0x1.15af5ceb79f92p-10, -0x1.0efd5e4c68599p-10, -0x1.086e8fc2bde8bp-10, -0x1.02025468b4cdp-10, -0x1.f7701abdad0eap-11, -0x1.eb1e209c1dcc9p-11, -0x1.df0d4b6c5e53dp-11, -0x1.d33c2077d7226p-11, -0x1.c7a926dba93d6p-11, -0x1.bc52e0727a3a9p-11, -0x1.b137b71b66c4dp-11, -0x1.a655fcdeb1f7ap-11, -0x1.9bac21b220f15p-11, -0x1.91390e3224044p-11, -0x1.86fc621be35dbp-11, -0x1.7cf656a0b3e77p-11, -0x1.732747e98d9bdp-11, -0x1.698f32c9262b2p-11, -0x1.602d7d54b79aep-11, -0x1.57012063d63edp-11, -0x1.4e08fbfcc0cdap-11, -0x1.4544111f5c683p-11, -0x1.3cb18946923d4p-11, -0x1.3450a0b9ae6b8p-11, -0x1.2c208d6b90417p-11, -0x1.24206d0eae518p-11, -0x1.1c4f3ddaeadf8p-11, -0x1.14abe38076c6ap-11, -0x1.0d353217941fdp-11, -0x1.05e9f235a77dfp-11, -0x1.fd91b8996c124p-12, -0x1.efa14119f2a5cp-12, -0x1.e2001ef175d82p-12, -0x1.d4ac9d57e9283p-12, -0x1.c7a5cd57b34abp-12, -0x1.baeb2df4b0a1p-12, -0x1.ae7c33c006b61p-12, -0x1.a258153a84c9ap-12, -0x1.967ddd8b211ebp-12, -0x1.8aec77ff170afp-12, -0x1.7fa2986d26512p-12, -0x1.749ebfb6b994ap-12, -0x1.69df7b24658f1p-12, -0x1.5f63996e3e62ep-12, -0x1.552a19d51f8b9p-12, -0x1.4b31ed26c4924p-12, -0x1.4179bbdc5bc89p-12, -0x1.37ffd5d2437ebp-12, -0x1.2ec25f01ddabbp-12, -0x1.25bfa2ce0f8bp-12, -0x1.1cf64a89083bap-12, -0x1.146548dcf72a6p-12, -0x1.0c0b9d75ec4fp-12, -0x1.03e836d5c10eep-12, -0x1.f7f3debbaedffp-13, -0x1.e87ed7587cf84p-13, -0x1.d96df5e71fc0ep-13, -0x1.cabdcbb2a6abap-13, -0x1.bc6c1d0baf838p-13, -0x1.ae783b3b9455ap-13, -0x1.a0e1c7e584487p-13, -0x1.93a7595693097p-13, -0x1.86c67dcbd04ap-13, -0x1.7a3cabadf6694p-13, -0x1.6e07ef8fb2adfp-13, -0x1.6226ed5f40016p-13, -0x1.569871e4333bap-13, -0x1.4b5afebaed74bp-13, -0x1.406c86948a422p-13, -0x1.35ca6bb88113dp-13, -0x1.2b71ebe0b7bfep-13, -0x1.2160e36ced519p-13, -0x1.17964c207cee4p-13, -0x1.0e11de490b34ep-13, -0x1.04d308ef3765ap-13, -0x1.f7b0783099312p-14, -0x1.e63e02420b898p-14, -0x1.d548c771fa246p-14, -0x1.c4cb5c26e9e68p-14, -0x1.b4c30a2d3b4e9p-14, -0x1.a52fc3c935caep-14, -0x1.9610ef6d6520bp-14, -0x1.87637ede15201p-14, -0x1.79237c7d0b89bp-14, -0x1.6b4d546182544p-14, -0x1.5ddd711317d65p-14, -0x1.50d0bc6915c9ep-14, -0x1.442555d47a03cp-14, -0x1.37da2793d5cf1p-14, -0x1.2bee1179b3ce2p-14, -0x1.205e91720efb7p-14, -0x1.152885ddea68dp-14, -0x1.0a49007c91f16p-14, -0x1.ff7a79dd0a84ep-15, -0x1.eb067e88bb55cp-15, -0x1.d734a3b4a00d4p-15, -0x1.c4044627772c7p-15, -0x1.b17218f6c38edp-15, -0x1.9f772d37806cbp-15, -0x1.8e0b834f3b046p-15, -0x1.7d2854b3dde37p-15, -0x1.6cc9f68bb4d5p-15, -0x1.5cf0df070f1b4p-15, -0x1.4d9ca6b00d19fp-15, -0x1.3ec828215cc41p-15, -0x1.306e87ec32613p-15, -0x1.228e8484434ddp-15, -0x1.1526674a989b8p-15, -0x1.083241c025a73p-15, -0x1.f75a977ab40bap-16, -0x1.df240baeac64fp-16, -0x1.c7b61d9bf3372p-16, -0x1.b10b9f112efa6p-16, -0x1.9b24f5577fe4fp-16, -0x1.8600db4a4d9ep-16, -0x1.7198c272a82e2p-16, -0x1.5de540507f1acp-16, -0x1.4ae13f83971fdp-16, -0x1.38889317e216fp-16, -0x1.26d7a954ba6a3p-16, -0x1.15cb744576592p-16, -0x1.055eeadfad3ep-16, -0x1.eb13e1e27885dp-17, -0x1.cc8a41db5d661p-17, -0x1.af18ace98528cp-17, -0x1.92ba117857cp-17, -0x1.776c206c3eb76p-17, -0x1.5d262c0e8c261p-17, -0x1.43d8e009ff83ap-17, -0x1.2b7ea34c38ddfp-17, -0x1.14146817c6dbbp-17, -0x1.fb248a55a979p-18, -0x1.cfe2721d63fdfp-18, -0x1.a658f53c76617p-18, -0x1.7e7e5d958f29dp-18, -0x1.58441ce2aa5c3p-18, -0x1.3395d0cb33de1p-18, -0x1.105e49276febfp-18, -0x1.dd199d4c1dc0dp-19, -0x1.9c313c1debdc4p-19, -0x1.5e037f07da0f8p-19, -0x1.2284b0b38bbafp-19, -0x1.d322ac72c90fap-20, -0x1.6621b15e66578p-20, -0x1.fbd2838625973p-21, -0x1.349eb94615f2bp-21, -0x1.d9396f4854d8bp-23, 0x1.fc3aa4291444dp-24, 0x1.da6e025f8293ap-22, 0x1.92c81ea3b4165p-21, 0x1.183a79be99a3fp-20, 0x1.635842575dd8bp-20, 0x1.aaeb15aacd6d5p-20, 0x1.ef17529cd3e6cp-20, 0x1.17ee50af99de7p-19, 0x1.36aec3f0f0063p-19, 0x1.53e15aa12bfbdp-19, 0x1.6f92a1ed5858ap-19, 0x1.89cd3c7d5419ap-19, 0x1.a29ce1c24e47ep-19, 0x1.ba0ed2fea9e1p-19, 0x1.d03146f8b8018p-19, 0x1.e51216825b7b4p-19, 0x1.f8bd97f775e86p-19, 0x1.059f9ceef7c9cp-18, 0x1.0e513a2ff5739p-18, 0x1.1677c14672a86p-18, 0x1.1e15b05d84461p-18, 0x1.25314266742f7p-18, 0x1.2bd2391368945p-18, 0x1.32005a2f7dcbbp-18, 0x1.37c04ea2cec72p-18, 0x1.3d120f6e2c204p-18, 0x1.41fa1157fcee5p-18, 0x1.467e3a9ecb42bp-18, 0x1.4aa0ba7569f4fp-18, 0x1.4e6287a5700bep-18, 0x1.51ccab9ee3c9fp-18, 0x1.54e67fb8ae1dep-18, 0x1.57b09e8f8867bp-18, 0x1.5a2a161d6cc0bp-18, 0x1.5c585e9cb63fep-18, 0x1.5e3f854c8d0dcp-18, 0x1.5fe21992f9ec4p-18, 0x1.6142d4c792127p-18, 0x1.6264a88faa83fp-18, 0x1.634a8c489d656p-18, 0x1.63f756c8cdb49p-18, 0x1.646da94f6627bp-18, 0x1.64aff50534756p-18, 0x1.64c0993a637c2p-18, 0x1.64a1fea77c75cp-18, 0x1.645688e0851e8p-18, 0x1.63e05a2b0f90cp-18, 0x1.6341313b25c84p-18, 0x1.627abda13ad41p-18, 0x1.618f0268d8882p-18, 0x1.607fb52eff20bp-18, 0x1.5f4e443d31b18p-18, 0x1.5dfe42d7b4c7cp-18, 0x1.5c9283f0d9b6bp-18, 0x1.5b0abedfafb51p-18, 0x1.5966dddae534ap-18, 0x1.57a94aa04fa6ep-18, 0x1.55d2b7d79b66ap-18, 0x1.53e5bf67293dp-18, 0x1.51e6f76d78c1dp-18, 0x1.4fd99d33773b6p-18, 0x1.4db69e2e924acp-18, 0x1.4b7d8ea6b37cp-18, 0x1.4930f57f7a893p-18, 0x1.46daf261e2316p-18, 0x1.4478606df2884p-18, 0x1.42077ea66b7dep-18, 0x1.3f89a1aec14e1p-18, 0x1.3d001ea01c62cp-18, 0x1.3a6c10fab45dap-18, 0x1.37ce5ef8b64bbp-18, 0x1.3527cc56eb496p-18, 0x1.32797f3379679p-18, 0x1.2fc39d4133214p-18, 0x1.2d06c0f4dbad2p-18, 0x1.2a43f38cb59c1p-18, 0x1.277b726afeb38p-18, 0x1.24adf7939117dp-18, 0x1.21dc355d4c497p-18, 0x1.1f06d1c1fdd3bp-18, 0x1.1c2e4c7505c68p-18, 0x1.195309e12ce5ap-18, 0x1.167566ff322d2p-18, 0x1.139590883ce43p-18, 0x1.10b3cef34e85cp-18, 0x1.0dd15c4cf110ep-18, 0x1.0aee53bcb9312p-18, 0x1.080aa54e71c52p-18, 0x1.0527506d9f946p-18, 0x1.02441d08747ecp-18, 0x1.fec31fa6ebc6bp-19, 0x1.f8ffdd079e0b4p-19, 0x1.f33ed627e283dp-19, 0x1.ed80837c0681bp-19, 0x1.e7c55cb6c2bc5p-19, 0x1.e20dd23681b9dp-19, 0x1.dc5a4cd51ed4cp-19, 0x1.d6ab2edf08cd8p-19, 0x1.d100d4db88c94p-19, 0x1.cb5b95e50decp-19, 0x1.c5bbc411a6d1fp-19, 0x1.c021acb3762c1p-19, 0x1.ba8d971e930d9p-19, 0x1.b4ffc1ac28c46p-19, 0x1.af7859ac6f539p-19, 0x1.a9f763db94c72p-19, 0x1.a47c7e494027dp-19, 0x1.9f068c56e1595p-19, 0x1.9995ee1ef9a27p-19, 0x1.943801c77967fp-19, 0x1.8ee828ee37b1ap-19, 0x1.898b74a433ad1p-19, 0x1.84459e1f1f146p-19, 0x1.7ef066e1d2f67p-19, 0x1.79af2c1f605cfp-19, 0x1.747e981e5dd5cp-19, 0x1.6f539dc6dc20ap-19, 0x1.6a2ee4b7f5222p-19, 0x1.651195caddb33p-19, 0x1.5ffc3b553317ap-19, 0x1.5aef09f21cdcbp-19, 0x1.55ea1ca001f13p-19, 0x1.50ed77c85ddb9p-19, 0x1.4bf916ec269fep-19, 0x1.470cf879c7f63p-19, 0x1.42291aba09784p-19, 0x1.3d4d7aabbccd9p-19, 0x1.387a13eb20603p-19, 0x1.33aee0c583d49p-19, 0x1.2eebda4d8c2eep-19, 0x1.2a30f883b097p-19, 0x1.257e328437faap-19, 0x1.20d37ea8114f2p-19, 0x1.1c30d28ae6487p-19, 0x1.1796230c300c7p-19, 0x1.1303644383557p-19, 0x1.0e788a920de8bp-19, 0x1.09f58ac4f6d67p-19, 0x1.057a56c765aa8p-19, 0x1.0106e2388e1b3p-19, 0x1.f93645d9ab943p-20, 0x1.f06e14b786012p-20, 0x1.e7b515f8f8dd4p-20, 0x1.df0b312cb9536p-20, 0x1.d67051dbba57ep-20, 0x1.cde44403da554p-20, 0x1.c5675baae7329p-20, 0x1.bcf8523d6364p-20, 0x1.b498622522dp-20, 0x1.ac46b9c0edcdbp-20, 0x1.a4035a3fc988ep-20, 0x1.9bce43a39a3b9p-20, 0x1.93a759c675235p-20, 0x1.8b8e6b5ea74b6p-20, 0x1.83835bbb0c87p-20, 0x1.7b8621e63b16ep-20, 0x1.7396b3132d998p-20, 0x1.6bb4e4e03a7c1p-20, 0x1.63e09fcd76e4bp-20, 0x1.5c19cdefd1da2p-20, 0x1.54602a06baf7p-20, 0x1.4cb2bc880ce4bp-20, 0x1.450e839d80e7ap-20, 0x1.3d717390cc451p-20, 0x1.35f7aa7a32f9ap-20, 0x1.2e9aae51731b3p-20, 0x1.27206b1b615p-20, 0x1.1fa5a775fd291p-20, 0x1.18569521532cap-20, 0x1.1113eed2bb5a5p-20, 0x1.09e5bc5460d9ap-20, 0x1.02c2ffd1c155bp-20, 0x1.f73d8ea140a42p-21, 0x1.e918ad6cc5566p-21, 0x1.dae96bd286ba7p-21, 0x1.ccea83f8bf538p-21, 0x1.bf13caef2bb68p-21, 0x1.b1519969b6891p-21, 0x1.a3a3cbae0b598p-21, 0x1.960c711eeb06dp-21, 0x1.888c8e1f29d91p-21, 0x1.7b24613316258p-21, 0x1.6dd3da68cf99fp-21, 0x1.609af30ac9c56p-21, 0x1.53799bd5d415cp-21, 0x1.466fd1917f1e5p-21, 0x1.397dd3eaeef3cp-21, 0x1.2ca34c8018829p-21, 0x1.1fe0312234d85p-21, 0x1.13348074d91b6p-21, 0x1.06a02ee37a088p-21, 0x1.f446443e33e46p-22, 0x1.db7a519bc2b72p-22, 0x1.c2dc2796f4458p-22, 0x1.aa6bf8b577b7bp-22, 0x1.922972854a17ap-22, 0x1.7a15227653951p-22, 0x1.622ff825fd34cp-22, 0x1.4a7a2a08d365fp-22, 0x1.32f3219c8ca24p-22, 0x1.1b99e414a8f4bp-22, 0x1.046dffe3aedebp-22, 0x1.dadf27da8ae3cp-23, 0x1.ad3e4562491a9p-23, 0x1.7ffa2996d322cp-23, 0x1.5311a7cf40f66p-23, 0x1.2683804de6642p-23, 0x1.f4a398907d5b3p-24, 0x1.9cfb322be6cdcp-24, 0x1.4609495d7930ap-24, 0x1.df9a7d61b373ep-25, 0x1.349600d838d12p-25, 0x1.160d7d3fc593fp-26, -0x1.d159c9b849facp-29, -0x1.877ff352982c1p-26, -0x1.68f80f81422d3p-25, -0x1.065e81b2e924ap-24, -0x1.5786e401ec17ap-24, -0x1.a7f4acafd2effp-24, -0x1.f7a792b36abd6p-24, -0x1.234fa454ad846p-23, -0x1.4a6dcf3796b57p-23, -0x1.712e1d93fdcf5p-23, -0x1.979135a227806p-23, -0x1.bd9df7e2b3b06p-23, -0x1.e36f35339d929p-23, -0x1.04a05c6f66b3p-22, -0x1.16cc6025a2b93p-22, -0x1.28acc1522bp-22, -0x1.3ab6efee351e3p-22, -0x1.4d354ab24da46p-22, -0x1.5f10fe200c728p-22, -0x1.7060a3807a90cp-22, -0x1.81ab128ff2567p-22, -0x1.92d578acede2cp-22, -0x1.a3d372ff62dc6p-22, -0x1.b4a25f0c3049bp-22, -0x1.c541a4a9f86ddp-22, -0x1.d5b131ab827fbp-22, }}, 
      {{-0x1.241f8fa2f7d8cp-5, -0x1.1ed2349e9f532p-5, -0x1.161ca26c64b91p-5, -0x1.0a2c9128f1287p-5, -0x1.f67933d649e21p-6, -0x1.d3215756a98d5p-6, -0x1.aae5a024840d4p-6, -0x1.7e60ba74b2dd9p-6, -0x1.4e2f360d17e36p-6, -0x1.1aebb2bcf7e5cp-6, -0x1.ca57bffa6a609p-7, -0x1.5afc75cb24461p-7, -0x1.d1a1d58fd39e7p-8, -0x1.d333451996135p-9, 0x1.6802e5b4151b1p-18, 0x1.d53c11a9f398dp-9, 0x1.d3c1c798173dap-8, 0x1.5d3eed7b5bc51p-7, 0x1.ced937b8f107fp-7, 0x1.1f1949d8fcb36p-6, 0x1.556fab876b1fdp-6, 0x1.8a420d0c6a433p-6, 0x1.bd6a36573e119p-6, 0x1.eec8c2a7a318ep-6, 0x1.0f224098fef21p-5, 0x1.25e4eb19054d3p-5, 0x1.3ba514099ead6p-5, 0x1.505da7e51eb65p-5, 0x1.640b8c99d35d8p-5, 0x1.76ad642ebe0fep-5, 0x1.884355a53abf5p-5, 0x1.98ced9f5467adp-5, 0x1.a8528f14f9dfdp-5, 0x1.b6d20d079fb1p-5, 0x1.c451c232226f8p-5, 0x1.d0d6d0ddd0e27p-5, 0x1.dc66f20063d2fp-5, 0x1.e7085afa25b39p-5, 0x1.f0c1a6260cdd6p-5, 0x1.f999be1c7e4dap-5, 0x1.00cbe5c4ea6e1p-4, 0x1.046192eff3c7ap-4, 0x1.0791a20861c46p-4, 0x1.0a5fd935312c3p-4, 0x1.0cd002fa297bfp-4, 0x1.0ee5ea7364ad9p-4, 0x1.10a556bfdb66ap-4, 0x1.121207bbeaef2p-4, 0x1.132fb36ac4053p-4, 0x1.140202e5a8ac8p-4, 0x1.148c903c6d83fp-4, 0x1.14d2e5055bf34p-4, 0x1.14d878b0d086cp-4, 0x1.14a0aef084e19p-4, 0x1.142ed69eba74fp-4, 0x1.1386295f44363p-4, 0x1.12a9cabdaa07ap-4, 0x1.119cc738e8d09p-4, 0x1.106214452996dp-4, 0x1.0efc8fc254779p-4, 0x1.0d6f003931f51p-4, 0x1.0bbc1477f2a08p-4, 0x1.09e663648e6aep-4, 0x1.07f06c9d05453p-4, 0x1.05dc98061bafap-4, 0x1.03ad363c78b1dp-4, 0x1.016481298b321p-4, 0x1.fe09381184ep-5, 0x1.f91f26eec2a4fp-5, 0x1.f40ebc876eee2p-5, 0x1.eedbbb9fe14c4p-5, 0x1.e989bca67b1d9p-5, 0x1.e41c2e4330b49p-5, 0x1.de96571714ebp-5, 0x1.d8fb571f68167p-5, 0x1.d34e27134ead6p-5, 0x1.cd919a9852c1p-5, 0x1.c7c86152677d9p-5, 0x1.c1f507438a198p-5, 0x1.bc19f6be12843p-5, 0x1.b639791bfeaebp-5, 0x1.b055b6bd0a306p-5, 0x1.aa70b9ab63916p-5, 0x1.a48c6e55e669ep-5, 0x1.9eaaa4498806ap-5, 0x1.98cd0e5ba6eb5p-5, 0x1.92f5458246bc8p-5, 0x1.8d24c84d45e14p-5, 0x1.875cfcd4a966ep-5, 0x1.819f30a815bb6p-5, 0x1.7bec9acdfcf7bp-5, 0x1.76465c718d0c7p-5, 0x1.70ad812c5601ep-5, 0x1.6b23008eda08dp-5, 0x1.65a7be3b64fcbp-5, 0x1.603c8bca865b3p-5, 0x1.5ae22973c2366p-5, 0x1.55994578657f3p-5, 0x1.50627e271ec8dp-5, 0x1.4b3e628f78da5p-5, 0x1.462d72609161p-5, 0x1.41301f4460cf6p-5, 0x1.3c46cdf6a0405p-5, 0x1.3771d5b6163c5p-5, 0x1.32b181d330caap-5, 0x1.2e06121ea1d37p-5, 0x1.296fbb9e4e4b3p-5, 0x1.24eea8c2afcf4p-5, 0x1.2082f9e18f962p-5, 0x1.1c2cc68db8b33p-5, 0x1.17ec1d0031c6dp-5, 0x1.13c1036c069cbp-5, 0x1.0fab77e505a31p-5, 0x1.0bab7122c68a3p-5, 0x1.07c0ded7f9d8p-5, 0x1.03ebaa5221042p-5, 0x1.002bb5d57e887p-5, 0x1.f901be29e93e6p-6, 0x1.f1d5fb62ce682p-6, 0x1.ead3c8cde8256p-6, 0x1.e3fac2520178p-6, 0x1.dd4a7b8de455p-6, 0x1.d6c2802d9b366p-6, 0x1.d06254013d7dp-6, 0x1.ca2974b36c5dbp-6, 0x1.c4175935d9582p-6, 0x1.be2b72025cd41p-6, 0x1.b8652bf189049p-6, 0x1.b2c3ede5db667p-6, 0x1.ad471a51aa551p-6, 0x1.a7ee103d20c96p-6, 0x1.a2b82ad11e3b2p-6, 0x1.9da4c26bcc5c4p-6, 0x1.98b32d02545f6p-6, 0x1.93e2bd6482c8fp-6, 0x1.8f32c4f5c8effp-6, 0x1.8aa293898b9c4p-6, 0x1.863177bd1ab73p-6, 0x1.81debe49d3a82p-6, 0x1.7da9b4730ed63p-6, 0x1.7991a6dba729bp-6, 0x1.7595e1600df9ep-6, 0x1.71b5b064b008ep-6, 0x1.6df060941388cp-6, 0x1.6a453f095939fp-6, 0x1.66b399f9b6f8bp-6, 0x1.633abfc7181b5p-6, 0x1.5fda006a79bedp-6, 0x1.5c90ad45907f5p-6, 0x1.595e1867a404cp-6, 0x1.5641960ebebc1p-6, 0x1.533a7bde1e8cbp-6, 0x1.5048211912505p-6, 0x1.4d69df204f27fp-6, 0x1.4a9f116a6c9a2p-6, 0x1.47e7154983a95p-6, 0x1.45414a11321e8p-6, 0x1.42ad11f93cdd5p-6, 0x1.4029d10c58e02p-6, 0x1.3db6ee10a0a8ap-6, 0x1.3b53d2262dca1p-6, 0x1.38ffe90ba62c1p-6, 0x1.36baa129e0dc6p-6, 0x1.34836b7412c3ep-6, 0x1.3259bbaa75aa1p-6, 0x1.303d086c45d74p-6, 0x1.2e2ccad5c39f9p-6, 0x1.2c287ef97039ap-6, 0x1.2a2fa3e257ea6p-6, 0x1.2841bb32b839dp-6, 0x1.265e4969a1c24p-6, 0x1.2484d60808b62p-6, 0x1.22b4eb58a7181p-6, 0x1.20ee167955f92p-6, 0x1.1f2fe776e5d2ep-6, 0x1.1d79f12674767p-6, 0x1.1bcbc92bfedc8p-6, 0x1.1a25084ebb33bp-6, 0x1.188549ce084c2p-6, 0x1.16ec2bd1534c9p-6, 0x1.15594f60a8394p-6, 0x1.13cc5831a18cap-6, 0x1.1244ecb8cddb1p-6, 0x1.10c2b634ddb82p-6, 0x1.0f45609afdc19p-6, 0x1.0dcc9a767da0fp-6, 0x1.0c58151240d61p-6, 0x1.0ae78444e23eap-6, 0x1.097a9e82f97f6p-6, 0x1.08111cd3a4a38p-6, 0x1.06aababc0f0c3p-6, 0x1.0547364498daep-6, 0x1.03e64ff9d0c02p-6, 0x1.0287cabb57331p-6, 0x1.012b6bd67a235p-6, 0x1.ffa1f5fa6058bp-7, 0x1.fcf0842b6c8e9p-7, 0x1.fa421ab2c3124p-7, 0x1.f79656709e4f6p-7, 0x1.f4ecd8b1babc3p-7, 0x1.f245470fc0128p-7, 0x1.ef9f4b584362fp-7, 0x1.ecfa937991b68p-7, 0x1.ea56d16d93bcep-7, 0x1.e7b3bb231ef85p-7, 0x1.e5110a682db88p-7, 0x1.e26e7cdea80f7p-7, 0x1.dfcbd3dfaa487p-7, 0x1.dd28d46538984p-7, 0x1.da8546fcc9dc4p-7, 0x1.d7e0f77d9cc78p-7, 0x1.d53bb5293578ap-7, 0x1.d29552fb23e49p-7, 0x1.cfeda6ac96d04p-7, 0x1.cd4488ec90d0bp-7, 0x1.ca99d6259c4fp-7, 0x1.c7ed6d2f8f5cap-7, 0x1.c53f2fa66568cp-7, 0x1.c28f024378f23p-7, 0x1.bfdccc6acd3e4p-7, 0x1.bd28781968acbp-7, 0x1.ba71f1db66ff6p-7, 0x1.b7b928b1f5a7ep-7, 0x1.b4fe0e0309bap-7, 0x1.b24095817e48fp-7, 0x1.af80b52120c53p-7, 0x1.acbe6503d4489p-7, 0x1.a9f99f6498739p-7, 0x1.a7326088127b5p-7, 0x1.a468a6a449027p-7, 0x1.a19c71dc8a324p-7, 0x1.9ecdc406c1a1ep-7, 0x1.9bfca0cc0c70dp-7, 0x1.99290d5fa0d1cp-7, 0x1.965310a6e6073p-7, 0x1.937ab3106784dp-7, 0x1.909ffe86a8ddep-7, 0x1.8dc2fe5d24792p-7, 0x1.8ae3bf3a9a112p-7, 0x1.88024f099a925p-7, 0x1.851ebcea94304p-7, 0x1.8239192a050c4p-7, 0x1.7f517533048c3p-7, 0x1.7c67e37e3e1eap-7, 0x1.797c7781f1c53p-7, 0x1.768f45a2d5cc7p-7, 0x1.73a06325ab40bp-7, 0x1.70afe621ebdcp-7, 0x1.6dbde574deb1cp-7, 0x1.6aca78b5db6f8p-7, 0x1.67d5b82bd150bp-7, 0x1.64dfbcc3298cbp-7, 0x1.61e8a000cc86dp-7, 0x1.5ef07bf1c9ae4p-7, 0x1.5bf76b20764c3p-7, 0x1.58fd8889e4fbfp-7, 0x1.5602ef920cc6bp-7, 0x1.5307bbfac7db5p-7, 0x1.500c09da820ecp-7, 0x1.4d0ff59309228p-7, 0x1.4a139bc901b52p-7, 0x1.47171959fd0f2p-7, 0x1.441a8b516f8c8p-7, 0x1.411e0ed52fcf6p-7, 0x1.3e21c12f4269p-7, 0x1.3b25bfe4e3e07p-7, 0x1.382a2836e2286p-7, 0x1.352f17c0fb4aep-7, 0x1.3234abdcd9cccp-7, 0x1.2f3b01e7b027fp-7, 0x1.2c4237464cc8ep-7, 0x1.294a6938cdfe3p-7, 0x1.2653b4df819c2p-7, 0x1.235e3736da248p-7, 0x1.206a0d1150a6cp-7, 0x1.1d77531429361p-7, 0x1.1a8625b07112ap-7, 0x1.1796a11d730b2p-7, 0x1.14a8e1552e67ap-7, 0x1.11bd020cccd65p-7, 0x1.0ed31eaf12047p-7, 0x1.0beb5257a4ef3p-7, 0x1.0905b7cee7c61p-7, 0x1.06226987bf0e7p-7, 0x1.0341819dd35c1p-7, 0x1.006319d206affp-7, 0x1.fb0e970c19c27p-8, 0x1.f55c5f7189647p-8, 0x1.efafbe03f6948p-8, 0x1.ea08e31ff152bp-8, 0x1.e467fe486c603p-8, 0x1.decd3e2146e11p-8, 0x1.d938d06a41842p-8, 0x1.d3aae1fb2eeb6p-8, 0x1.ce239ec295cc7p-8, 0x1.c8a331c74be4ap-8, 0x1.c329c52b3a71dp-8, 0x1.bdb7822a86065p-8, 0x1.b84c9112e1fa7p-8, 0x1.b2e919343fc26p-8, 0x1.ad8d40d1c3ca1p-8, 0x1.a8392d1b76a2fp-8, 0x1.a2ed0234b434cp-8, 0x1.9da8e342c76bp-8, 0x1.986cf2767be1ep-8, 0x1.93395113d39a9p-8, 0x1.8e0e1f70e707cp-8, 0x1.88eb7cd884e37p-8, 0x1.83d18790b5139p-8, 0x1.7ec05cc922312p-8, 0x1.79b818aa6f43p-8, 0x1.74b8d64bca844p-8, 0x1.6fc2afbe649c6p-8, 0x1.6ad5be148a636p-8, 0x1.65f21965bbf8p-8, 0x1.6117d8cf1cc6bp-8, 0x1.5c4712718b75bp-8, 0x1.577fdb7074ff6p-8, 0x1.52c247f0f9b5ap-8, 0x1.4e0e6b1bd8b65p-8, 0x1.4964571feffe4p-8, 0x1.44c41d348598fp-8, 0x1.402dcd9bcc7c6p-8, 0x1.3ba177a4c2332p-8, 0x1.371f29aa0ee93p-8, 0x1.32a6f10fdbc29p-8, 0x1.2e38da35dc682p-8, 0x1.29d4f0ae04f18p-8, 0x1.257b3f8133293p-8, 0x1.212bd0af41382p-8, 0x1.1ce6acaf8a97ap-8, 0x1.18abdb5c561dp-8, 0x1.147b645dace5bp-8, 0x1.10554e33e2359p-8, 0x1.0c399e034d94ap-8, 0x1.082858569b995p-8, 0x1.0421812dc871ap-8, 0x1.00251bb8d50cep-8, 0x1.f866549be8436p-9, 0x1.f0975cee1291p-9, 0x1.e8dd51f656ebdp-9, 0x1.e13833c7a0f3p-9, 0x1.d9a801021a58bp-9, 0x1.d22cb6da88342p-9, 0x1.cac6511fb10c5p-9, 0x1.c374ca3eeb467p-9, 0x1.bc381b4a33652p-9, 0x1.b5103bff1cb3bp-9, 0x1.adfd22d122128p-9, 0x1.a6fec4f4302f6p-9, 0x1.a015166418cb5p-9, 0x1.994009e0dbe86p-9, 0x1.927f90e666792p-9, 0x1.8bd39c1483554p-9, 0x1.853c1abf673b6p-9, 0x1.7eb8faed9a03cp-9, 0x1.784a2a13dc72bp-9, 0x1.71ef940a30f82p-9, 0x1.6ba923f672104p-9, 0x1.6576c41056acep-9, 0x1.5f585d8717d19p-9, 0x1.594dd89b6ab41p-9, 0x1.53571ca9f34fap-9, 0x1.4d7410316044dp-9, 0x1.47a498d81a13cp-9, 0x1.41e89b72b12c7p-9, 0x1.3c3ffc0b0da76p-9, 0x1.36aa9de896b0bp-9, 0x1.312863985f045p-9, 0x1.2bb92ef4fd89p-9, 0x1.265ce12d68973p-9, 0x1.21135acb0de8bp-9, 0x1.1bdc7bb69d434p-9, 0x1.16b8233bc57c9p-9, 0x1.11a6300c49bbcp-9, 0x1.0ca68043be7d2p-9, 0x1.07b8f16cdfd9fp-9, 0x1.02dd6089b231cp-9, 0x1.fc27543a728f7p-10, 0x1.f2b7546a05cc4p-10, 0x1.e96a78ff53937p-10, 0x1.e04078899a59bp-10, 0x1.d73909038f8f4p-10, 0x1.ce53dfada9085p-10, 0x1.c590b12a59445p-10, 0x1.bcef316f97379p-10, 0x1.b46f13a6f2838p-10, 0x1.ac100a419acfdp-10, 0x1.a3d1c6f2f38e2p-10, 0x1.9bb3fac0f3b42p-10, 0x1.93b6561d3cfd5p-10, 0x1.8bd88907500b3p-10, 0x1.841a4332e63dbp-10, 0x1.7c7b342de0967p-10, 0x1.74fb0b8523e37p-10, 0x1.6d997892cd4edp-10, 0x1.66562b3f13d62p-10, 0x1.5f30d29b6ba56p-10, 0x1.58291e2082e7cp-10, 0x1.513ebca7d3552p-10, 0x1.4a715c9e3bac5p-10, 0x1.43c0abee4380fp-10, 0x1.3d2c5809f9bffp-10, 0x1.36b40e0da3889p-10, 0x1.30577af60e29dp-10, 0x1.2a164be0e28bep-10, 0x1.23f02e4ac906dp-10, 0x1.1de4d03ea34cep-10, 0x1.17f3e06b964c8p-10, 0x1.121d0e1d57dd4p-10, 0x1.0c600917a7066p-10, 0x1.06bc815f18d36p-10, 0x1.013226fb9c95cp-10, 0x1.f781538bef2a7p-11, 0x1.eccf729986b8dp-11, 0x1.e24e09b0e5232p-11, 0x1.d7fc771590346p-11, 0x1.cdda191e17bcdp-11, 0x1.c3e64e9e0f7aap-11, 0x1.ba20774b8649fp-11, 0x1.b087f42330839p-11, 0x1.a71c27d0c18ap-11, 0x1.9ddc771097ff6p-11, 0x1.94c848e9dabcfp-11, 0x1.8bdf0694b0cc2p-11, 0x1.83201aed40d37p-11, 0x1.7a8af17f8680ap-11, 0x1.721ef56f0a0ebp-11, 0x1.69db90ab81fcep-11, 0x1.61c02bd7c9885p-11, 0x1.59cc2ef6ca1a8p-11, 0x1.51ff0288414ep-11, 0x1.4a581097efeb8p-11, 0x1.42d6c56ffd16fp-11, 0x1.3b7a8fea73e21p-11, 0x1.3442e180b94a1p-11, 0x1.2d2f2e2c0cf89p-11, 0x1.263eec0df3de2p-11, 0x1.1f7192ff4669dp-11, 0x1.18c69c796898ep-11, 0x1.123d8217b3081p-11, 0x1.0bd5bd9dd54eep-11, 0x1.058ec90a8ced5p-11, 0x1.fed03b03feebap-12, 0x1.f2c2696a413b8p-12, 0x1.e6f31204d651cp-12, 0x1.db612bfba0e7p-12, 0x1.d00bb2312e4a9p-12, 0x1.c4f1a41ecfd25p-12, 0x1.ba12063fc3a12p-12, 0x1.af6be2144a221p-12, 0x1.a4fe45cc6a8b3p-12, 0x1.9ac8439b75121p-12, 0x1.90c8f0e735b25p-12, 0x1.86ff6529371bbp-12, 0x1.7d6ab8ea23aaep-12, 0x1.740a04cf98dc3p-12, 0x1.6adc614d6b6f8p-12, 0x1.61e0e7214ec1fp-12, 0x1.5916b09e9f985p-12, 0x1.507cdb104ea33p-12, 0x1.4812874a4eda5p-12, 0x1.3fd6d994aec2fp-12, 0x1.37c8fa02781c6p-12, 0x1.2fe814f36e5f8p-12, 0x1.28335c9cb717p-12, 0x1.20aa081a0573fp-12, 0x1.194b5149572cp-12, 0x1.1216759c1082fp-12, 0x1.0b0ab35e85ef3p-12, 0x1.04274a146d2a8p-12, 0x1.fad6f4e68f816p-13, 0x1.edad0c9ca64ffp-13, 0x1.e0cf60b426773p-13, 0x1.d43c78685f96p-13, 0x1.c7f2de0d14a43p-13, 0x1.bbf121411a77fp-13, 0x1.b035d915d71d8p-13, 0x1.a4bfa54a8e0ebp-13, 0x1.998d2e4510809p-13, 0x1.8e9d2417f914cp-13, 0x1.83ee3d3929a11p-13, 0x1.797f3599a2fafp-13, 0x1.6f4ece5e30ac9p-13, 0x1.655bce089ffccp-13, 0x1.5ba50080adf66p-13, 0x1.5229367450206p-13, 0x1.48e74400e9268p-13, 0x1.3fddff36b4ad4p-13, 0x1.370c3f5c2986dp-13, 0x1.2e70dd8cef53p-13, 0x1.260ab68fe85fcp-13, 0x1.1dd8acfeac80bp-13, 0x1.15d9aaa62acfep-13, 0x1.0e0ca0759e977p-13, 0x1.0670853a6e4c5p-13, 0x1.fe08a7d31c038p-14, 0x1.ef8e14b894c23p-14, 0x1.e16f51eb416d2p-14, 0x1.d3aa666c86a89p-14, 0x1.c63d61f6d5031p-14, 0x1.b9265fedc10c4p-14, 0x1.ac63896564016p-14, 0x1.9ff314c1b30b1p-14, 0x1.93d3423dc7d5ap-14, 0x1.880256983c5d8p-14, 0x1.7c7e96e66cef2p-14, 0x1.7146489c08b3p-14, 0x1.6657b682f31b1p-14, 0x1.5bb137fbe279ep-14, 0x1.515136017b467p-14, 0x1.47362a9fa881ep-14, 0x1.3d5e9b1e93e66p-14, 0x1.33c9106dac5fp-14, 0x1.2a741205af07fp-14, 0x1.215e2541f736fp-14, 0x1.1885d045ec7d4p-14, 0x1.0fe99e1c5fc26p-14, 0x1.0788220e22681p-14, 0x1.febff2543e1f3p-15, 0x1.eedf98b3f6911p-15, 0x1.df6c9ec936664p-15, 0x1.d0647b9dd47f6p-15, 0x1.c1c4b82713fedp-15, 0x1.b38ada4698777p-15, 0x1.a5b46d81a731dp-15, 0x1.983f027fa578fp-15, 0x1.8b283cf70027ep-15, 0x1.7e6dde84ea959p-15, 0x1.720dc8a3860c3p-15, 0x1.6605f346228b5p-15, 0x1.5a545e0f19992p-15, 0x1.4ef7050dad883p-15, 0x1.43ebde012bdbdp-15, 0x1.3930dcc980154p-15, 0x1.2ec3fa77cf3fbp-15, 0x1.24a33b7cb7da1p-15, 0x1.1accb381c828ep-15, 0x1.113e86611d708p-15, 0x1.07f6e609f6434p-15, 0x1.fde81cd38cd15p-16, 0x1.ec688353beb5fp-16, 0x1.db6b8d3751285p-16, 0x1.caedd297c7746p-16, 0x1.baebf9d690a29p-16, 0x1.ab62be5c62831p-16, 0x1.9c4efa99905cbp-16, 0x1.8dadb057d6505p-16, 0x1.7f7c077f8d937p-16, 0x1.71b74225f0c76p-16, 0x1.645cae9ee21c4p-16, 0x1.5769a047bc3e6p-16, 0x1.4adb6f13de793p-16, 0x1.3eaf78480f9e7p-16, 0x1.32e31e92e793fp-16, 0x1.2773cd8d27da8p-16, 0x1.1c5f0228dd813p-16, 0x1.11a25247bed2fp-16, 0x1.073b6c5e956f1p-16, 0x1.fa501c9765807p-17, 0x1.e6cbf258ae822p-17, 0x1.d3e5d52fa1e69p-17, 0x1.c199417f0a1c6p-17, 0x1.afe1ce3d40e1dp-17, 0x1.9ebb44e5e1d17p-17, 0x1.8e21a7c96dc41p-17, 0x1.7e11272a09767p-17, 0x1.6e8610825fcb3p-17, 0x1.5f7cbef1f2a7p-17, 0x1.50f18e5a0b42fp-17, 0x1.42e0d9877fc45p-17, 0x1.35470b2c764cfp-17, 0x1.2820c23ca7c9p-17, 0x1.1b6ad52c6c3fep-17, 0x1.0f22410e27014p-17, 0x1.03440353d6034p-17, 0x1.ef9a1eb40671bp-18, 0x1.d974bb3933c58p-18, 0x1.c412007e7cc91p-18, 0x1.af6c54f6a0a73p-18, 0x1.9b7e52eb31ecp-18, 0x1.8842a8bcf9703p-18, 0x1.75b3f76c81c3ap-18, 0x1.63ccd0c2a479p-18, 0x1.5287e25829744p-18, 0x1.41e02a5a203dcp-18, 0x1.31d111567f07bp-18, 0x1.225658d43f838p-18, 0x1.136be4cfe9d17p-18, 0x1.050d8565a9335p-18, 0x1.ee6dca8eaf383p-19, 0x1.d3c735d1bb242p-19, 0x1.ba1e85e763b1bp-19, 0x1.a16b72abcf9bp-19, 0x1.89a69c12602b6p-19, 0x1.72c92fb1c94f5p-19, 0x1.5ccce915495ep-19, 0x1.47aaa808329eep-19, 0x1.3357bfdf43e0ep-19, 0x1.1fc7f8e552e34p-19, 0x1.0cfd18c48df71p-19, 0x1.f5f2386eb742dp-20, 0x1.d3600b6f5adafp-20, 0x1.b243638eecd78p-20, 0x1.927f5e216039fp-20, 0x1.73f88e9b81d28p-20, 0x1.56af2745f651cp-20, 0x1.3a9fd801be61dp-20, 0x1.1fc0f0cd4f73bp-20, 0x1.0608175e89928p-20, 0x1.dad76b0fa7b63p-21, 0x1.abc4e4471e21ep-21, 0x1.7ec5b3d007456p-21, 0x1.53c76ee016405p-21, 0x1.2ab8b500ff9f2p-21, 0x1.03880df5a206p-21, 0x1.bc3f5bf10de69p-22, 0x1.74c25f1cbb082p-22, 0x1.306b6d9ec40adp-22, 0x1.dec34a35e42ddp-23, 0x1.63947ca353b79p-23, 0x1.dcc98bfbef5b9p-24, 0x1.f9de3feedc621p-25, 0x1.464ff41196dd8p-27, -0x1.3e7bd4281d253p-25, -0x1.5d0c4914a3537p-24, -0x1.08dedb92a8756p-23, -0x1.5e9c7a7ddfb3p-23, -0x1.afbad2bb4ff0ap-23, -0x1.fc5d36fb6c05fp-23, -0x1.22592c3eadc62p-22, -0x1.447099b7bb22cp-22, -0x1.6482ef92bb861p-22, -0x1.829dad1eeb3fep-22, -0x1.9ed4813a63893p-22, -0x1.b9428c41e125ap-22, -0x1.d2038032a51eap-22, -0x1.e92a5a3fdcedcp-22, -0x1.febf114d953f1p-22, -0x1.0963543fa8c6bp-21, -0x1.12a707ab1bd48p-21, -0x1.1b362211990cp-21, -0x1.231cf1515cf5ep-21, -0x1.2a6478643f65fp-21, -0x1.31126aac4169p-21, -0x1.372b3ee4489e1p-21, -0x1.3cb39d3ce0f54p-21, -0x1.41b0c2ebe2a7bp-21, -0x1.46286912e8c5dp-21, -0x1.4a2097cf191c2p-21, -0x1.4d9f6fa0b849p-21, -0x1.50aad563ad54fp-21, -0x1.534821c40d25dp-21, -0x1.557c100e75a5fp-21, -0x1.574afc3ec7dabp-21, -0x1.58b93fc926646p-21, -0x1.59cb4e0accf2bp-21, -0x1.5a858d3db8bap-21, -0x1.5aec41a2888acp-21, -0x1.5b0386325c166p-21, -0x1.5acf2e39637ep-21, -0x1.5a529c609b72p-21, -0x1.5992d478e1e96p-21, -0x1.589227469dd66p-21, -0x1.57543db3ee3f2p-21, -0x1.55dc36260361bp-21, -0x1.542cd20491ea8p-21, -0x1.524964703ea09p-21, -0x1.5034b7e0e073p-21, -0x1.4df17fc8a298bp-21, -0x1.4b82551f1b3f3p-21, -0x1.48e9b04ce82aep-21, -0x1.4629f1296cb23p-21, -0x1.434567103a8ep-21, -0x1.403e53fb765e1p-21, -0x1.3d16e8ac4bfabp-21, -0x1.39d13e7483d5cp-21, -0x1.366f59f988d2p-21, -0x1.32f33eb8c470ap-21, -0x1.2f5ef80d6f469p-21, -0x1.2bb46b8cc75cap-21, -0x1.27f53685cc917p-21, -0x1.2422e026a5d52p-21, -0x1.203ee45e6ae53p-21, -0x1.1c4a9af52be89p-21, -0x1.184749c849455p-21, -0x1.143637de636dap-21, -0x1.1018b6bfac646p-21, -0x1.0bf01789f27a6p-21, -0x1.07bd95e323fe7p-21, -0x1.03825bfcb1eb3p-21, -0x1.fe7f28a378d26p-22, -0x1.f5eca92da3d21p-22, -0x1.ed4f282c85e01p-22, -0x1.e4a86fd60ff19p-22, -0x1.dbfa43cb0ca8fp-22, -0x1.d34652816dfd1p-22, -0x1.ca8e37b8b747ep-22, -0x1.c1d381fcb7f06p-22, -0x1.b917b357610f9p-22, -0x1.b05c4090e65e7p-22, -0x1.a7a28e2081f1fp-22, -0x1.9eebead7001cep-22, -0x1.96398ef29b9d2p-22, -0x1.8d8c9febfbfddp-22, -0x1.84e6348fe0b27p-22, -0x1.7c47557a1713p-22, -0x1.73b0fa22b9a07p-22, -0x1.6b24085f5cd4p-22, -0x1.62a15beac72e3p-22, -0x1.5a29cf066f6bfp-22, -0x1.51be372e23932p-22, -0x1.495f5e02b6f01p-22, -0x1.410dffc6db6b4p-22, -0x1.38cab722d631fp-22, -0x1.3095dd4679969p-22, -0x1.286f34a4a2224p-22, -0x1.2054da5e6217ap-22, -0x1.18411dd7dc88dp-22, -0x1.102e5a056d389p-22, -0x1.0842b3b4c0831p-22, -0x1.00c1b8c825ae9p-22, -0x1.f24d0e827b453p-23, -0x1.e2a68c339009cp-23, -0x1.d2c2f552cc425p-23, -0x1.c3aedebe4ef36p-23, -0x1.b4f2121fe8e95p-23, -0x1.a63e1eaeec555p-23, -0x1.979de1db02763p-23, -0x1.891e08bac9f4ep-23, -0x1.7ac37a77c699p-23, -0x1.6c9028dc5da14p-23, -0x1.5e809950e78fp-23, -0x1.50a46e679ca77p-23, -0x1.42e86cd391c4bp-23, -0x1.354cfaf9915f7p-23, -0x1.27e38c4e1fcb2p-23, -0x1.1a9fa9f8e8de2p-23, -0x1.0d840a1df32c3p-23, -0x1.0090a6f3fb726p-23, -0x1.e78b537ee0bap-24, -0x1.ce45f9164947dp-24, -0x1.b550cc048c7b4p-24, -0x1.9cabc1da20005p-24, -0x1.8456b6bf576bcp-24, -0x1.6c517d1e94f22p-24, -0x1.549beedf8c253p-24, -0x1.3d35d1ad4a958p-24, -0x1.261ed79e7fcb4p-24, -0x1.0f56af0e42269p-24, -0x1.f1b9e69a983f6p-25, -0x1.c56284a2abd9fp-25, -0x1.99a665a50cd9p-25, -0x1.6e84ab3fb72dp-25, -0x1.43fc6d36df3d2p-25, -0x1.1a0cb98208918p-25, -0x1.e1692eebbd235p-26, -0x1.8fe61c2178cb3p-26, -0x1.3f8e5717b4dd3p-26, -0x1.e0c028fad0f75p-27, -0x1.44b341f8c7f85p-27, -0x1.55e5961bb1c27p-28, -0x1.37bba67dff372p-31, 0x1.036b5ada8f059p-28, 0x1.14a82396f8218p-27, 0x1.a56bfc7cffa4ap-27, 0x1.1a17c7f754b6ap-26, 0x1.60bb36b8dd439p-26, 0x1.a73227871eccdp-26, 0x1.ed62dcc8657cbp-26, 0x1.16bc31c588127p-25, 0x1.34cf97a87b5bfp-25, 0x1.56e032c19f6cep-25, 0x1.751e24e4192fdp-25, 0x1.97e77d239dc6dp-25, 0x1.b78719baa6c8cp-25, 0x1.d4bf53985b55dp-25, 0x1.f1fd0a625e6a4p-25, 0x1.0791994cc8b5ap-24, 0x1.15f7d926cdf9cp-24, 0x1.2424328f3a151p-24, 0x1.3212d70096073p-24, 0x1.3fc31c6475493p-24, 0x1.4d3552a40057cp-24, 0x1.5a6a114a3cc51p-24, 0x1.67620093f4a53p-24, 0x1.741dc9c6b7514p-24, 0x1.809e134b2865cp-24, 0x1.8ce3801d5502cp-24, 0x1.98eeaffe57f12p-24, 0x1.a4c03fcffd488p-24, 0x1.b058ca0adfc88p-24, 0x1.bbb8e7652a4d3p-24, 0x1.c6e12fbf8778ap-24, 0x1.d1d23b078ad81p-24, 0x1.dc8ca156d4775p-24, 0x1.e710f93a2e799p-24, 0x1.f15fdb370c9fep-24, 0x1.fb79dd6cb3d8ap-24, 0x1.02afbc41e14cep-23, 0x1.0788940f26bc7p-23, 0x1.0c47ba2bce90cp-23, 0x1.10ed62865340fp-23, 0x1.1579c0e0b7c7fp-23, 0x1.19ed05a8a183ap-23, 0x1.1e474cdcb15b3p-23, 0x1.228953102324p-23, 0x1.26b151591589p-23, 0x1.2ac53d88c9b28p-23, 0x1.2ebeb522d8446p-23, 0x1.32a124aadcb2dp-23, 0x1.366c1d45c9e5dp-23, 0x1.3a1fedb95b434p-23, 0x1.3dbcce5167b23p-23, 0x1.4142f1ecff3c3p-23, 0x1.44b288c829bdbp-23, 0x1.480bbf3ffe872p-23, 0x1.4b4ebc54f3098p-23, 0x1.4e7ba1dcf12bap-23, 0x1.51929363ef5a3p-23, 0x1.5493dbb66b5f5p-23, 0x1.57809bbc1bb27p-23, 0x1.5a5d6d144c8b6p-23, 0x1.5d391e9a74604p-23, 0x1.601d85a11b8c3p-23, 0x1.627e0d9deb7efp-23, 0x1.64790790832b5p-23, 0x1.6736bb4a7aafbp-23, 0x1.6a2075779f4bp-23, 0x1.6c610546359afp-23, 0x1.6e8f18d8639b8p-23, 0x1.706d2a1886804p-23, 0x1.723d6332df829p-23, 0x1.74564785e4931p-23, 0x1.7638132b288f1p-23, 0x1.7878bb66a89a5p-23, 0x1.7a56fc4adfc93p-23, 0x1.7bee751951779p-23, 0x1.7d8018df9f149p-23, 0x1.7f0ced4db4228p-23, 0x1.808e11a947a3fp-23, 0x1.81ff8bde5a2a3p-23, 0x1.835f97e916f28p-23, 0x1.84ada6e66079fp-23, 0x1.85e9c8cc6244cp-23, 0x1.87149760209fp-23, 0x1.882ec5dcb00bfp-23, 0x1.8938d6c2c949cp-23, 0x1.8a330b80dddefp-23, 0x1.8b1d7947e3ab8p-23, 0x1.8bf82723699f2p-23, 0x1.8cc323cada39ap-23, 0x1.8d7e922e303d2p-23, 0x1.8e2ab1c3f8075p-23, 0x1.8ec7e134f2496p-23, 0x1.8f568467f8c4ep-23, 0x1.8fd6ae7951cbdp-23, 0x1.9047d6fdb8cffp-23, 0x1.90a94eddec043p-23, 0x1.90fb03b525913p-23, 0x1.913dafe6efe71p-23, 0x1.9172526504f15p-23, 0x1.9199889c3e622p-23, 0x1.91b38290b87d8p-23, 0x1.91c09fef3643ap-23, 0x1.91c13e00ef088p-23, 0x1.91b45abfbdd3fp-23, 0x1.9198febde3dcfp-23, 0x1.9170ef1c26c86p-23, 0x1.913d249f316d4p-23, 0x1.90fbe4221c796p-23, 0x1.90acffaccc61fp-23, 0x1.90522a83eb0cbp-23, 0x1.8febdb1510ca3p-23, 0x1.8f79b1cd7858p-23, 0x1.8efb88079011fp-23, 0x1.8e716f8d18684p-23, 0x1.8ddb8b0f993e3p-23, 0x1.8d39fd6cd33b4p-23, 0x1.8c8ce5dbd251dp-23, 0x1.8bd45fd23114ep-23, 0x1.8b108255a43aep-23, 0x1.8a4162817217cp-23, 0x1.89672e0823e17p-23, 0x1.8882b36db4525p-23, 0x1.8797c34b87e98p-23, 0x1.86b5edeb47e78p-23, 0x1.85fe99f569f3p-23, 0x1.849ddf1c8de38p-23, 0x1.831190f268bd3p-23, 0x1.81e0c6d0306b4p-23, 0x1.815da32e327f2p-23, 0x1.804ed091fcbedp-23, 0x1.7eced68109202p-23, 0x1.7d74abbc5b6ffp-23, 0x1.7c226412d6012p-23, 0x1.7aca88862792cp-23, 0x1.796a17e2a541ap-23, 0x1.7800a7beaa481p-23, 0x1.768e58d4c1ce6p-23, }}, 
      {{-0x1.f6262815fd8d8p-11, -0x1.3fa50fb1a2ca1p-9, -0x1.39f02864f0ffp-8, -0x1.0a89ee0e1a80bp-7, -0x1.960d884fa79p-7, -0x1.1c137a1c7f562p-6, -0x1.73467525077d9p-6, -0x1.cad3b7d8bfc12p-6, -0x1.0e749f5e53064p-5, -0x1.321126e11e69fp-5, -0x1.4de93a779375bp-5, -0x1.6017c6d304095p-5, -0x1.67311bb206486p-5, -0x1.6241e674e194bp-5, -0x1.50c7934a15746p-5, -0x1.32a47c27b8804p-5, -0x1.0811ccd711909p-5, -0x1.a32108a81c0ccp-6, -0x1.1fb57004cda45p-6, -0x1.0f56db49e4343p-7, 0x1.17a6dec5431d4p-9, 0x1.bbf75249a978ep-7, 0x1.a7244268b7d8dp-6, 0x1.3e12395d52d9fp-5, 0x1.ad5c9a91031cfp-5, 0x1.102c290ea7d03p-4, 0x1.4afc690c5a185p-4, 0x1.86a057c11f20ap-4, 0x1.c2a1c611bdf11p-4, 0x1.fe939b365b476p-4, 0x1.1d090d5b653a8p-3, 0x1.3a6175e610c4bp-3, 0x1.572a7ac0d8dbp-3, 0x1.734008d49b30ep-3, 0x1.8e82584296511p-3, 0x1.a8d5b28313067p-3, 0x1.c222351449535p-3, 0x1.da539102c31e3p-3, 0x1.f158ca57cc0ecp-3, 0x1.0391fc3dda206p-2, 0x1.0dd502a3589fcp-2, 0x1.17713b0002f6dp-2, 0x1.20639684773e5p-2, 0x1.28aa1a4032698p-2, 0x1.3043c7c2b2bbdp-2, 0x1.37308298e3833p-2, 0x1.3d70fb51ec0adp-2, 0x1.43069b2086799p-2, 0x1.47f36f1dfed0ep-2, 0x1.4c3a178a9e752p-2, 0x1.4fddb62c3a97dp-2, 0x1.52e1dee486978p-2, 0x1.554a8948edf8ep-2, 0x1.571c02da88353p-2, 0x1.585ae2e0a4b29p-2, 0x1.590bfe6e9038cp-2, 0x1.59345dc0dc03dp-2, 0x1.58d93232b4d53p-2, 0x1.57ffcd2682c0cp-2, 0x1.56ad977b3d6a7p-2, 0x1.54e809c7b998bp-2, 0x1.52b4a54f9ba05p-2, 0x1.5018ed72582cep-2, 0x1.4d1a61d8660c8p-2, 0x1.49be791586decp-2, 0x1.460a9bc92e433p-2, 0x1.4204209c88b5bp-2, 0x1.3db0480984459p-2, 0x1.3914393ca0b42p-2, 0x1.3434ff24652fep-2, 0x1.2f1785b52c447p-2, 0x1.29c097efe0ddep-2, 0x1.2434dd9ff52bfp-2, 0x1.1e78dac46200ap-2, 0x1.1890ecd2bedf7p-2, 0x1.12814ba33b5b4p-2, 0x1.0c4e071575d52p-2, 0x1.05fb0778bd785p-2, 0x1.ff181afc21e14p-3, 0x1.f20962a1b51b6p-3, 0x1.e4d0c72e56bacp-3, 0x1.d774daf1ca508p-3, 0x1.c9fbe12dac075p-3, 0x1.bc6bd0e0b86d3p-3, 0x1.aeca54c4748e8p-3, 0x1.a11ccd29dccc5p-3, 0x1.9368525e36b2dp-3, 0x1.85b1b556fd1afp-3, 0x1.77fd81f7ab217p-3, 0x1.6a50024821c27p-3, 0x1.5cad3eaf29d5dp-3, 0x1.4f1900c69da31p-3, 0x1.4196d6ab792b6p-3, 0x1.342a136e2e592p-3, 0x1.26d5d1c9c7a37p-3, 0x1.199cf76c30e84p-3, 0x1.0c8235705ae58p-3, 0x1.ff1016345c61fp-4, 0x1.e56191294eeebp-4, 0x1.cbfd1fe7ecbf7p-4, 0x1.b2e6af04ff614p-4, 0x1.9a21d7d6f3616p-4, 0x1.81b1e3bc3b9b7p-4, 0x1.6999cecf56965p-4, 0x1.51dc4e5d21966p-4, 0x1.3a7bcf0fe91f9p-4, 0x1.237a7e8b9de21p-4, 0x1.0cda48b21aef3p-4, 0x1.ed39ba36f4fcbp-5, 0x1.c18767dd0bce9p-5, 0x1.96a017da3a6acp-5, 0x1.6c85e188ed802p-5, 0x1.433a7b38258cdp-5, 0x1.1abf3975fd11bp-5, 0x1.e62a32ca00834p-6, 0x1.987986a7eb1eap-6, 0x1.4c6d22852daf2p-6, 0x1.02051df76a30ep-6, 0x1.728211bf47b61p-7, 0x1.c87fabffb55b9p-8, 0x1.65028ab480f01p-9, -0x1.73fabad66ab2ap-10, -0x1.6609814b7b893p-8, -0x1.34550a0a2a23ap-7, -0x1.b276602337901p-7, -0x1.16b7cc0c1289dp-6, -0x1.52a413edb1265p-6, -0x1.8d040cb0a3d94p-6, -0x1.c5dbfa75086a4p-6, -0x1.fd305fd0188ep-6, -0x1.1982f9c38718fp-5, -0x1.33b0cfefcd5a7p-5, -0x1.4d243a6c2f974p-5, -0x1.65dfd7d148131p-5, -0x1.7de653d6c7e19p-5, -0x1.953a6a3a64604p-5, -0x1.abdee343c9fd3p-5, -0x1.c1d68e9953197p-5, -0x1.d72446f95eac8p-5, -0x1.ebcaebe05d2eap-5, -0x1.ffcd60e275c8ap-5, -0x1.099746879b924p-4, -0x1.12f8ace30be0ap-4, -0x1.1c0c57f6ef01fp-4, -0x1.24d3bb69f4072p-4, -0x1.2d504a4266b89p-4, -0x1.35837603d5eafp-4, -0x1.3d6eadd5483a9p-4, -0x1.45135eabb6d4bp-4, -0x1.4c72f219e835ap-4, -0x1.538ecf3b534efp-4, -0x1.5a685915d962dp-4, -0x1.6100eef1b9333p-4, -0x1.6759ec1527eb8p-4, -0x1.6d74a735a3b46p-4, -0x1.735272cb9cc78p-4, -0x1.78f49c7375845p-4, -0x1.7e5c6cbfd5164p-4, -0x1.838b2753f375p-4, -0x1.88820ad13234fp-4, -0x1.8d4250804926bp-4, -0x1.91cd2c5427fb6p-4, -0x1.9623ccebd8ff1p-4, -0x1.9a475b7e01595p-4, -0x1.9e38fbe232ba2p-4, -0x1.a1f9cc73c3b0cp-4, -0x1.a58ae62afd18ap-4, -0x1.a8ed5c8d38047p-4, -0x1.ac223dbdb7588p-4, -0x1.af2a9298c226dp-4, -0x1.b2075ea8adba9p-4, -0x1.b4b9a03abfdc5p-4, -0x1.b7425066a8d96p-4, -0x1.b9a2632d35f21p-4, -0x1.bbdac794e0a9ap-4, -0x1.bdec67ae75c3bp-4, -0x1.bfd828a12f408p-4, -0x1.c19eeacc08927p-4, -0x1.c34189e0929bap-4, -0x1.c4c0dd02f61e5p-4, -0x1.c61db6cbb2948p-4, -0x1.c758e56a9c20fp-4, -0x1.c87332c1cf36ap-4, -0x1.c96d647d5b58dp-4, -0x1.ca483c2b738ddp-4, -0x1.cb0477550f697p-4, -0x1.cba2cf9b7b353p-4, -0x1.cc23facda9091p-4, -0x1.cc88aafe0959ep-4, -0x1.ccd18e9ce7561p-4, -0x1.ccff509732324p-4, -0x1.cd12986d69ea3p-4, -0x1.cd0c0a45172fbp-4, -0x1.ccec47014e8cbp-4, -0x1.ccb3ec5a14c46p-4, -0x1.cc6394f64a996p-4, -0x1.cbfbd8854968dp-4, -0x1.cb7d4bcc9387cp-4, -0x1.cae880bb04002p-4, -0x1.ca3e0680188e7p-4, -0x1.c97e69a36253fp-4, -0x1.c8aa3415f3372p-4, -0x1.c7c1ed423bed5p-4, -0x1.c6c61a1de82fbp-4, -0x1.c5b73d3d13bfdp-4, -0x1.c495d6e3e90a7p-4, -0x1.c36265146daa4p-4, -0x1.c21d639c169f3p-4, -0x1.c0c74c2308032p-4, -0x1.bf60963bce21cp-4, -0x1.bde9b77306ba8p-4, -0x1.bc63235a455d9p-4, -0x1.bacd4b926e8fdp-4, -0x1.b9289fd6d0eebp-4, -0x1.b7758e07e65d3p-4, -0x1.b5b482396fb0fp-4, -0x1.b3e5e6bc02029p-4, -0x1.b20a2426c8c4fp-4, -0x1.b021a15f776d2p-4, -0x1.ae2cc3a05913fp-4, -0x1.ac2bee801460cp-4, -0x1.aa1f83fc08704p-4, -0x1.a807e482c25c5p-4, -0x1.a5e56efad56abp-4, -0x1.a3b880c684b66p-4, -0x1.a18175c661738p-4, -0x1.9f40a85f359e9p-4, -0x1.9cf6718375277p-4, -0x1.9aa328bc3b001p-4, -0x1.9847242e88194p-4, -0x1.95e2b89bfa581p-4, -0x1.937639635952cp-4, -0x1.9101f88386078p-4, -0x1.8e8646a61a15bp-4, -0x1.8c0373273b241p-4, -0x1.8979cc1a393f7p-4, -0x1.86e99e4844795p-4, -0x1.8453352de2589p-4, -0x1.81b6dafcba96dp-4, -0x1.7f14d8a3889b7p-4, -0x1.7c6d75d87ff33p-4, -0x1.79c0f91f4c1cp-4, -0x1.770fa7c80caf3p-4, -0x1.7459c5ea3d729p-4, -0x1.719f966267125p-4, -0x1.6ee15ad6f247p-4, -0x1.6c1f53c2a4397p-4, -0x1.6959c07e4068bp-4, -0x1.6690df4378e79p-4, -0x1.63c4ed28c0c21p-4, -0x1.60f6261b29e32p-4, -0x1.5e24c4dd20adfp-4, -0x1.5b51030d01da4p-4, -0x1.587b193072ec6p-4, -0x1.55a33ebd3159fp-4, -0x1.52c9aa1ad4048p-4, -0x1.4fee909ddb3a4p-4, -0x1.4d122681824afp-4, -0x1.4a349ee6803bbp-4, -0x1.47562bd94c026p-4, -0x1.4476fe5cde93cp-4, -0x1.419746745117cp-4, -0x1.3eb7332584d94p-4, -0x1.3bd6f275b214dp-4, -0x1.38f6b16301f6cp-4, -0x1.36169be19482dp-4, -0x1.3336dce01ef39p-4, -0x1.30579e509b34p-4, -0x1.2d7909336f6ffp-4, -0x1.2a9b459d06f65p-4, -0x1.27be7ab547c59p-4, -0x1.24e2ceb2dd215p-4, -0x1.220866d67f2a1p-4, -0x1.1f2f676ae84ebp-4, -0x1.1c57f3cad40bp-4, -0x1.19822e6a944f6p-4, -0x1.16ae38e1421b1p-4, -0x1.13dc33ed33654p-4, -0x1.110c3f72f14b5p-4, -0x1.0e3e7a7979fefp-4, -0x1.0b730326d8608p-4, -0x1.08a9f6c0b2516p-4, -0x1.05e371b1e13bep-4, -0x1.031f8f931b64fp-4, -0x1.005e6b333ae6fp-4, -0x1.fb403d3872f4fp-5, -0x1.f5c986274166dp-5, -0x1.f058e230cb4f8p-5, -0x1.eaee80bea53f5p-5, -0x1.e58a8fa752914p-5, -0x1.e02d3b350552dp-5, -0x1.dad6ae33d1837p-5, -0x1.d58712015f7cfp-5, -0x1.d03e8e99183b4p-5, -0x1.cafd4a99cef4dp-5, -0x1.c5c36b450ad96p-5, -0x1.c091147b5cb3fp-5, -0x1.bb6668ba178fap-5, -0x1.b643891de62ebp-5, -0x1.b128956b48bb7p-5, -0x1.ac15ac1b590f2p-5, -0x1.a70aea692cf2bp-5, -0x1.a2086c5c0e145p-5, -0x1.9d0e4ccc71f17p-5, -0x1.981ca56476649p-5, -0x1.93338e9dfc73ap-5, -0x1.8e531fc1c3433p-5, -0x1.897b6eeb10b27p-5, -0x1.84ac910e1242ep-5, -0x1.7fe69a02a6037p-5, -0x1.7b299c8edaa67p-5, -0x1.7675aa71060a2p-5, -0x1.71cad465a5004p-5, -0x1.6d292a29dc035p-5, -0x1.6890ba7b9794ep-5, -0x1.64019319d8f1bp-5, -0x1.5f7bc0c6c08e3p-5, -0x1.5aff4f4c7ef7bp-5, -0x1.568c4984c994ap-5, -0x1.5222b961ba7f9p-5, -0x1.4dc2a7f677084p-5, -0x1.496c1d7e24081p-5, -0x1.451f21608b773p-5, -0x1.40dbba348a7cp-5, -0x1.3ca1edc0d23aap-5, -0x1.3871c0ff273cep-5, -0x1.344b381b0cdcap-5, -0x1.302e567b3e862p-5, -0x1.2c1b1ec5c2ef6p-5, -0x1.281192e7d5a8bp-5, -0x1.2411b41ca9d4ap-5, -0x1.201b82f3bc494p-5, -0x1.1c2eff555271bp-5, -0x1.184c2884dd75p-5, -0x1.1472fd22aaa0bp-5, -0x1.10a37b2dce3b3p-5, -0x1.0cdda0065f9cfp-5, -0x1.09216870d9ab4p-5, -0x1.056ed09ad8b4ap-5, -0x1.01c5d420e9551p-5, -0x1.fc4cdc294dbd2p-6, -0x1.f5213205385dfp-6, -0x1.ee089df0566acp-6, -0x1.e703130cbf43bp-6, -0x1.e010838d0ab3dp-6, -0x1.d930e0b743ff2p-6, -0x1.d2641ae80459bp-6, -0x1.cbaa219500a0ep-6, -0x1.c502e34fe5e5ap-6, -0x1.be6e4dca7bc4ep-6, -0x1.b7ec4ddcd683fp-6, -0x1.b17ccf8e13627p-6, -0x1.ab1fbe1f8a043p-6, -0x1.a4d50418654d2p-6, -0x1.9e9c8b5573b14p-6, -0x1.98763d1685f12p-6, -0x1.926202064604cp-6, -0x1.8c5fc244599a1p-6, -0x1.866f6562af0fap-6, -0x1.8090d26205673p-6, -0x1.7ac3efaa77deep-6, -0x1.7508a302c19fdp-6, -0x1.6f5ed18b0ffecp-6, -0x1.69c65fbef349bp-6, -0x1.643f3180b84e9p-6, -0x1.5ec92a2ec9a2fp-6, -0x1.59642cbfc3cfp-6, -0x1.54101be0c0a46p-6, -0x1.4eccda0f02faap-6, -0x1.499a49a6a5148p-6, -0x1.44784ce1a5da5p-6, -0x1.3f66c5c6b4786p-6, -0x1.3a65960b2024bp-6, -0x1.35749eef904a7p-6, -0x1.3093c1215c508p-6, -0x1.2bc2dcaa99822p-6, -0x1.2701d0f8478a1p-6, -0x1.22507cf9141e5p-6, -0x1.1daebf5123107p-6, -0x1.191c7698a0572p-6, -0x1.14998195bd0b9p-6, -0x1.1025bf661f803p-6, -0x1.0bc10f873fde9p-6, -0x1.076b51bedaf5ep-6, -0x1.032465decef49p-6, -0x1.fdd85700f7b3fp-7, -0x1.f5850360f5fedp-7, -0x1.ed4e8d7e0c159p-7, -0x1.e534b057bb241p-7, -0x1.dd372588db7b9p-7, -0x1.d555a5dbcaf51p-7, -0x1.cd8fea1b525f7p-7, -0x1.c5e5abf1c0fe2p-7, -0x1.be56a69f05038p-7, -0x1.b6e29753d1d7ap-7, -0x1.af893d07947dbp-7, -0x1.a84a57f2b38dfp-7, -0x1.a125a8650db61p-7, -0x1.9a1aedcd3e742p-7, -0x1.9329e5a121f6ep-7, -0x1.8c524ad6db3f3p-7, -0x1.8593d5f16c6c5p-7, -0x1.7eee3db819f18p-7, -0x1.7861387a79b4ep-7, -0x1.71ec7d9fa35dcp-7, -0x1.6b8fc72834905p-7, -0x1.654ad2c585471p-7, -0x1.5f1d623771a3ap-7, -0x1.59073ac3a4bd6p-7, -0x1.530823c960a3dp-7, -0x1.4d1fe4ac9eed4p-7, -0x1.474e428548d46p-7, -0x1.4192fe1ed829ap-7, -0x1.3bedd2d1ed30fp-7, -0x1.365e7699dafaep-7, -0x1.30e49b811c0afp-7, -0x1.2b7ff22ce8131p-7, -0x1.26302d09251ddp-7, -0x1.20f5036d97c3bp-7, -0x1.1bce341360ccap-7, -0x1.16bb8651eaf12p-7, -0x1.11bcc9d0102cp-7, -0x1.0cd1d49836f87p-7, -0x1.07fa7fc3c985p-7, -0x1.0336a339bddbfp-7, -0x1.fd0c2278a024fp-8, -0x1.f3d12558dabb9p-8, -0x1.eabbc9cf5679dp-8, -0x1.e1cb73cfda0dp-8, -0x1.d8ff75ab41685p-8, -0x1.d0571955bf3bfp-8, -0x1.c7d1ac08cb719p-8, -0x1.bf6e89f0095f6p-8, -0x1.b72d279b8cf85p-8, -0x1.af0d177b00375p-8, -0x1.a70e0a7446e1cp-8, -0x1.9f2fcb7d49572p-8, -0x1.977236e0dbb38p-8, -0x1.8fd52e6cb4cbp-8, -0x1.88588c3f64e7cp-8, -0x1.80fc165bd84acp-8, -0x1.79bf75076df3ep-8, -0x1.72a22e1bf9396p-8, -0x1.6ba3a65cc14dbp-8, -0x1.64c328d2e061dp-8, -0x1.5dfff2eaf7c4cp-8, -0x1.575942fb066dbp-8, -0x1.50ce66974d61ep-8, -0x1.4a5ec672ccfdbp-8, -0x1.4409ee19c4099p-8, -0x1.3dcf8e64c8ba1p-8, -0x1.37af7a13890b8p-8, -0x1.31a99cdc385bp-8, -0x1.2bbdee656395cp-8, -0x1.25ec63c3c206bp-8, -0x1.2034e27fd9204p-8, -0x1.1a9737ab2b0b2p-8, -0x1.151314482adcap-8, -0x1.0fa80eded770dp-8, -0x1.0a55a8f047d74p-8, -0x1.051b56641b3aep-8, -0x1.fff10a439c3b8p-9, -0x1.f5d94798f3dadp-9, -0x1.ebee4f4388815p-9, -0x1.e22f23ee5c67cp-9, -0x1.d89aeafde7521p-9, -0x1.cf30f329da4f3p-9, -0x1.c5f0b2db3d384p-9, -0x1.bcd9bbac214b9p-9, -0x1.b3eba44f9b8e1p-9, -0x1.ab25f2909a79ep-9, -0x1.a2880fc061a57p-9, -0x1.9a114e352db5cp-9, -0x1.91c0fd59204ccp-9, -0x1.899681c5a17bbp-9, -0x1.819164fe99fbp-9, -0x1.79b155a1c1e86p-9, -0x1.71f619e87e12p-9, -0x1.6a5f7d7a01d66p-9, -0x1.62ed4489dcdeep-9, -0x1.5b9f288cc6379p-9, -0x1.5474da697c129p-9, -0x1.4d6e00ccf14e2p-9, -0x1.468a2ac778e5fp-9, -0x1.3fc8b5f906669p-9, -0x1.3928b0840509ep-9, -0x1.32a8c6042cd7ap-9, -0x1.2c47489454d55p-9, -0x1.260260338d23cp-9, -0x1.1fd85ac56c439p-9, -0x1.19c8031016ae1p-9, -0x1.13d0d92c19454p-9, -0x1.0df30e4bf32f5p-9, -0x1.082f422b74c1cp-9, -0x1.0286242430725p-9, -0x1.f9f05a26b455cp-10, -0x1.ef0b3076bde95p-10, -0x1.e45d2d41eaaf6p-10, -0x1.d9e71ec9e78d7p-10, -0x1.cfaa6d241a18ep-10, -0x1.c5a8be8b4e94dp-10, -0x1.bbe32de4231bcp-10, -0x1.b259654b74c72p-10, -0x1.a908f68616b4cp-10, -0x1.9fed33c9bac02p-10, -0x1.96ffaae6ca1eap-10, -0x1.8e3941e653a66p-10, -0x1.8593c3565efcap-10, -0x1.7d0b658c3d8f4p-10, -0x1.749fa5c3a2fc7p-10, -0x1.6c52edcba902dp-10, -0x1.64290855441ebp-10, -0x1.5c25251b47d0bp-10, -0x1.54488cc4ed4fbp-10, -0x1.4c92bd1f030abp-10, -0x1.4502b49e94092p-10, -0x1.3d9878d2cd9f2p-10, -0x1.3655e18cf2ea8p-10, -0x1.2f3e40dff8ccbp-10, -0x1.285524f5ea63bp-10, -0x1.219cde94a2405p-10, -0x1.1b158211fad4dp-10, -0x1.14bcadff61502p-10, -0x1.0e8dda5d70bp-10, -0x1.0882d49ef86cbp-10, -0x1.029473eeb91f1p-10, -0x1.f977a268fcd9ep-11, -0x1.ede7fb9a7e9eap-11, -0x1.e276ff06768efp-11, -0x1.d7291513d3545p-11, -0x1.cc070c9575b2p-11, -0x1.c119335388b14p-11, -0x1.b66389af1efc5p-11, -0x1.abe536bddbcc5p-11, -0x1.a19ae6a00e538p-11, -0x1.97822c5a5dcd9p-11, -0x1.8d9c0c773b7d1p-11, -0x1.83ed547a50408p-11, -0x1.7a7c53be97d66p-11, -0x1.714d69c7d7d35p-11, -0x1.6860f99edc34dp-11, -0x1.5fb3fc5d1003ep-11, -0x1.5742132b35996p-11, -0x1.4f070fb8e2c11p-11, -0x1.46fef1a0f2e82p-11, -0x1.3f24fb490ae5cp-11, -0x1.37732ef585bcp-11, -0x1.2fe2e078b8cb3p-11, -0x1.286e2c3e1d14ap-11, -0x1.2111c6d5c308fp-11, -0x1.19ce3290d948ep-11, -0x1.12a749abb1edbp-11, -0x1.0ba1fb52ff1cap-11, -0x1.04c16deea40efp-11, -0x1.fc0b588608ef1p-12, -0x1.eedaa44fae617p-12, -0x1.e1f0ba6d2885bp-12, -0x1.d551483c5efd2p-12, -0x1.c90011e0dfa5p-12, -0x1.bcfe5e9018034p-12, -0x1.b14aae0d334fbp-12, -0x1.a5e0e945a3cadp-12, -0x1.9abb7e87dce0dp-12, -0x1.8fd5f1c4f1a29p-12, -0x1.852ee42c9ba18p-12, -0x1.7ac792e07f6d4p-12, -0x1.70a1771b860a9p-12, -0x1.66bbef08332cep-12, -0x1.5d1277d221d9bp-12, -0x1.539c6961f33dfp-12, -0x1.4a511d15b0948p-12, -0x1.412e78a87cf13p-12, -0x1.38391ec5d43e1p-12, -0x1.2f740e4c8d491p-12, -0x1.26da64cdc3ca4p-12, -0x1.1e6585029384bp-12, -0x1.16182092d63fep-12, -0x1.0dfcb5067b59fp-12, -0x1.0619125ddfc76p-12, -0x1.fcd15e2e7e2e4p-13, -0x1.edc63a1c9d49p-13, -0x1.df0972af6303ep-13, -0x1.d09f8a5c50d53p-13, -0x1.c28d08ef983fp-13, -0x1.b4cea460dd3eap-13, -0x1.a75dfc2ca4298p-13, -0x1.9a39a836cfb74p-13, -0x1.8d665657b24a8p-13, -0x1.80e979ba8e7e4p-13, -0x1.74c38ceb6cb7p-13, -0x1.68eaa067aebecp-13, -0x1.5d483d8792fe4p-13, -0x1.51cad0972b991p-13, -0x1.467f8276a4a0cp-13, -0x1.3b862648da923p-13, -0x1.30e8794a7e8e8p-13, -0x1.2694797bfd959p-13, -0x1.1c7d299a90982p-13, -0x1.12a28f6a60a1dp-13, -0x1.08fe312a67e6fp-13, -0x1.ff0da597e4973p-14, -0x1.ec7ecc383173fp-14, -0x1.da5f7974eb8eep-14, -0x1.c8aa779c489ffp-14, -0x1.b74e43fe26daep-14, -0x1.a64d04d77eef1p-14, -0x1.95b9a27870a98p-14, -0x1.859a2bd92118bp-14, -0x1.75e43b8b2acf6p-14, -0x1.668f9b0e9a446p-14, -0x1.579d818e559a8p-14, -0x1.49118a76e133dp-14, -0x1.3aed694562c04p-14, -0x1.2d2bb82e08ac1p-14, -0x1.1fb0174678d1ep-14, -0x1.125ebaed98e4fp-14, -0x1.05509b257f795p-14, -0x1.f14b1881c8f66p-15, -0x1.d88a80adce178p-15, -0x1.c03d96aee5d7p-15, -0x1.a8a9cbf5e553ep-15, -0x1.91faba6042a47p-15, -0x1.7c1719af6e411p-15, -0x1.66d8929646ca4p-15, -0x1.52134d309201cp-15, -0x1.3d982b1933375p-15, -0x1.29680fc338839p-15, -0x1.15b9549b2a887p-15, -0x1.02a00d8e46d7ap-15, -0x1.dfe9433ce67d9p-16, -0x1.bb590ecf04441p-16, -0x1.97db4609bf1dcp-16, -0x1.75885ce24c215p-16, -0x1.5435748312345p-16, -0x1.33c0122282e71p-16, -0x1.141b81f681a9dp-16, -0x1.ea95b314cd3d7p-17, -0x1.aede52638db6bp-17, -0x1.7506e4805c174p-17, -0x1.3c6501dc9e5e7p-17, -0x1.051c919dd9898p-17, -0x1.9ebc2c06dc13fp-18, -0x1.35213513b008cp-18, -0x1.9cf1fb1d88e22p-19, -0x1.af386a4da8aap-20, -0x1.876b12d95d8b9p-23, 0x1.43d7304b83b95p-20, 0x1.579337b13d2cep-19, 0x1.040deefba1c0fp-18, 0x1.59994a0ba036bp-18, 0x1.ac41d36c1ad12p-18, 0x1.fbe64b6b7c571p-18, 0x1.247c681cfe5bp-17, 0x1.4a22a3043c804p-17, 0x1.6ec223630be31p-17, 0x1.9236e4618c8b1p-17, 0x1.b4dae7d561351p-17, 0x1.d67a88e48eda3p-17, 0x1.f6b24e059564p-17, 0x1.0ad9359d38c75p-16, 0x1.19e2c0a3cdae3p-16, 0x1.28851a6105f9fp-16, 0x1.36ac9b22831ap-16, 0x1.44292d984dca9p-16, 0x1.511d4049a59dcp-16, 0x1.5dbe74ff1901dp-16, 0x1.6a0e266f6f835p-16, 0x1.7608c3f82460ap-16, 0x1.816a414a0744cp-16, 0x1.8c4767d72b1a3p-16, 0x1.96c623f26614fp-16, 0x1.a0e9fe7a827bep-16, 0x1.aaae2db75ac43p-16, 0x1.b410e0e7c4cd3p-16, 0x1.bd1346988b14ep-16, 0x1.c5b7fe1a84321p-16, 0x1.ce01caba28739p-16, 0x1.d5f3109d64598p-16, 0x1.dd8e3bad2b728p-16, 0x1.e4d2c11f3d65bp-16, 0x1.ebb3b63b0548bp-16, 0x1.f2268205dbe83p-16, 0x1.f84834126a687p-16, 0x1.fe2cfa2f5f9f5p-16, 0x1.01ecf354e0f36p-15, 0x1.04a20d9ac42cfp-15, 0x1.072679c4226a9p-15, 0x1.0982961450d83p-15, 0x1.0bc080fd89535p-15, 0x1.0ddb0b6e3defp-15, 0x1.0fc72738c365cp-15, 0x1.1194e5304ddep-15, 0x1.134fcfdfc7ff1p-15, 0x1.14edf5543b2fp-15, 0x1.166157b6588fcp-15, 0x1.17b4f488058cep-15, 0x1.18edefe45b5p-15, 0x1.1a0b4913bbb34p-15, 0x1.1b0c7027232d4p-15, 0x1.1bf1aa2251f39p-15, 0x1.1cbb8bfdb48dbp-15, 0x1.1d6ab967a9d77p-15, 0x1.1dffd127ba842p-15, 0x1.1e7b6e7c193b6p-15, 0x1.1ede3354b475bp-15, 0x1.1f28cf0f0147bp-15, 0x1.1f5bf4dd64685p-15, 0x1.1f7843bc70b71p-15, 0x1.1f7e460ecd646p-15, 0x1.1f6eae82d54bdp-15, 0x1.1f4a22e4710d9p-15, 0x1.1f0f22a058ebep-15, 0x1.1ebb446acc1cfp-15, 0x1.1e545805cac5cp-15, 0x1.1ddf2195c3972p-15, 0x1.1d577e5aafc2p-15, 0x1.1cb9f96c35454p-15, 0x1.1c0a448e78274p-15, 0x1.1b46e82b5011bp-15, 0x1.1a73df3d7e254p-15, 0x1.1993b0c0c84a2p-15, 0x1.18a04f7fcfe19p-15, 0x1.179c6bf98a266p-15, 0x1.1689f9cf4288ep-15, 0x1.1568c5e4937d5p-15, 0x1.1438df6ae991cp-15, 0x1.12fa9f6c45dp-15, 0x1.11ae6d3446e74p-15, 0x1.1054ae535fba2p-15, 0x1.0eedc51561a96p-15, 0x1.0d7a11b933519p-15, 0x1.0bf9f10f09e04p-15, 0x1.0a6dc3065e5f9p-15, 0x1.08d5cb4825052p-15, 0x1.073279eb4f79bp-15, 0x1.05842921d1368p-15, 0x1.03cb0f11b8dbep-15, 0x1.020798af06c77p-15, 0x1.003a14fbd12d3p-15, 0x1.fcc5a82cf69d1p-16, 0x1.f904416565d91p-16, 0x1.f5308a48f7dafp-16, 0x1.f14b2a5445ff1p-16, 0x1.ed54c959c332dp-16, 0x1.e94dabe8a380cp-16, 0x1.e5364f6e3a3e6p-16, 0x1.e10fd4c751d25p-16, 0x1.dcda5bc4e66c9p-16, 0x1.d896aabb7582bp-16, 0x1.d445279222fcp-16, 0x1.cfe64eb2e062cp-16, 0x1.cb7a9ae042de7p-16, 0x1.c70293d543ca6p-16, 0x1.c27ebe0b19fcbp-16, 0x1.bdef96afefc9fp-16, 0x1.b955974a39065p-16, 0x1.b4b1370b27f4dp-16, 0x1.b002eb0a2fb1bp-16, 0x1.ab4b263d80428p-16, 0x1.a68a597e7072ep-16, 0x1.a1c0f39bd51abp-16, 0x1.9cef61589f502p-16, 0x1.98160d4c0316fp-16, 0x1.93355fd4c1415p-16, 0x1.8e4dbf6e2310fp-16, 0x1.895f916f76fedp-16, 0x1.846b3ad86d6d8p-16, 0x1.7f71200ccbe2cp-16, 0x1.7a71a2f24de6p-16, 0x1.756d23bcb3e07p-16, 0x1.70640dba9d721p-16, 0x1.6b56b0fcd8b8ap-16, 0x1.66453c7f3be6bp-16, 0x1.613029f04da77p-16, 0x1.5c17aceac24a5p-16, 0x1.56fc6aa42aac3p-16, 0x1.51debf584b537p-16, 0x1.4cbe8107f7328p-16, 0x1.479b7a3c9e21p-16, 0x1.427779a6ab7fbp-16, 0x1.3d52b13f3dda5p-16, 0x1.382d2d954ac7bp-16, 0x1.3306a5059b328p-16, 0x1.2ddf0f4fd51ffp-16, 0x1.28b72367c58e7p-16, 0x1.238f4eb85310ep-16, 0x1.1e67d83009ce8p-16, 0x1.1940ffc9acb89p-16, 0x1.141b04ed9d332p-16, 0x1.0ef626c51a1d7p-16, 0x1.09d2a3cac6dap-16, 0x1.04b0b989b46a2p-16, 0x1.ff21491802a08p-17, 0x1.f4e540b0ed074p-17, 0x1.eaadced02670bp-17, 0x1.e07b662c7f1dcp-17, 0x1.d64e77352c896p-17, 0x1.cc277088cfae5p-17, 0x1.c206bf85da933p-17, 0x1.b7eccfac6e555p-17, 0x1.adda09ab6029ap-17, 0x1.a3ced1b984261p-17, 0x1.99cb8733193f1p-17, 0x1.8fd08749b0464p-17, 0x1.85de2d0441887p-17, 0x1.7bf4d01eb99f6p-17, 0x1.7214d40555e56p-17, 0x1.683e937c3c2e5p-17, 0x1.5e72cccbfbf6cp-17, 0x1.54b1552d67ab1p-17, 0x1.4afa273e37eadp-17, 0x1.414cfc236dadap-17, 0x1.37acb55154c17p-17, 0x1.2e18ffe84bca8p-17, 0x1.248ff6d975292p-17, 0x1.1b1204e1ba6f4p-17, 0x1.11a1406f744c3p-17, 0x1.083edcaac1e13p-17, 0x1.fdd1e365461f1p-18, 0x1.eb3f40bad7d68p-18, 0x1.d8c796a2d4f9ap-18, 0x1.c66b985659c22p-18, 0x1.b42bb3783e355p-18, 0x1.a2084b82b9319p-18, 0x1.9001c790e4414p-18, 0x1.7e1901d8e1b9ep-18, 0x1.6c4d8d43e69p-18, 0x1.5aa1096d17ab1p-18, 0x1.4911ee29569e9p-18, 0x1.37a263268439ap-18, 0x1.2652306b7c55bp-18, 0x1.1521ed97e4dd5p-18, 0x1.0411b3a94cf6dp-18, 0x1.e64317a1ad648p-19, 0x1.c4a480305f1fep-19, 0x1.a3470c530783p-19, 0x1.822ccd3bb52ffp-19, 0x1.6156231fdc829p-19, 0x1.40c31d3133ad8p-19, 0x1.20743ca49fb74p-19, 0x1.006a1055bd23p-19, 0x1.c14a549a27f24p-20, 0x1.824c81ac3dd7dp-20, 0x1.43dbca8499accp-20, 0x1.05f88b42adca9p-20, 0x1.9141b7f74d8b9p-21, 0x1.17a97fc6ac5e1p-21, 0x1.3e8b3c812b36fp-22, 0x1.3fd870e36dfe7p-24, -0x1.38c7a08ed08c3p-23, -0x1.867531e0cf513p-22, -0x1.371ce8641b1c3p-21, -0x1.a9d8976abf229p-21, -0x1.0db94408867f5p-20, -0x1.45f61d24de73ep-20, -0x1.7d94969948201p-20, -0x1.b49f13a84625cp-20, -0x1.eb180ecfe74d3p-20, -0x1.107dc9ab452b7p-19, -0x1.2b246b1453895p-19, -0x1.457fd829c09f2p-19, -0x1.5f8fefcb0de45p-19, -0x1.7954a14f44454p-19, -0x1.92cdd05fd605cp-19, -0x1.abfb638f2346ap-19, -0x1.c4dd452d5d32fp-19, -0x1.dd736d73f9becp-19, -0x1.f5bdd7f3c936ep-19, -0x1.06de380a5046dp-18, -0x1.12b794cd2fdb5p-18, -0x1.1e6b07328ddc8p-18, -0x1.29f89119de9a2p-18, -0x1.356030364be6p-18, -0x1.40a1e8379f26ap-18, -0x1.4bbdc0b0cc446p-18, -0x1.56b3c2067fd36p-18, -0x1.6183f727a8217p-18, -0x1.6c2e6b3ae71b6p-18, -0x1.76b322dc4b02fp-18, -0x1.811222c2ab1a4p-18, -0x1.8b4b7d33020e9p-18, -0x1.955f4af07a3e4p-18, -0x1.9f4df1a1d7b49p-18, -0x1.a917425233becp-18, -0x1.b2ba5bccfa48ep-18, -0x1.bc38c6a0171ddp-18, -0x1.c5923e86aa979p-18, -0x1.cec63bf856e0ap-18, -0x1.d7d6ae1fce6f4p-18, -0x1.e0bf5ddbaf76cp-18, -0x1.e984d94274e5ep-18, -0x1.f226beeff75a7p-18, -0x1.faa356a67b36dp-18, -0x1.017d77557e5e1p-17, -0x1.05976d0a18304p-17, -0x1.099f693845d07p-17, -0x1.0d94f31baf328p-17, -0x1.1178c92ac861ep-17, -0x1.154ad1b622002p-17, -0x1.190b0c09f28f6p-17, }}, 
      {{-0x1.9d842dca13e33p-11, -0x1.dafe5d7619d81p-10, -0x1.a9c44906ef21ep-9, -0x1.54beb2f2dec18p-8, -0x1.f80fc2b1d436fp-8, -0x1.5e39b345b90e9p-7, -0x1.ce39d90014959p-7, -0x1.2422e6fd96924p-6, -0x1.640302710a451p-6, -0x1.a475be39d8d11p-6, -0x1.e33c14d28c845p-6, -0x1.0f1d015fc0243p-5, -0x1.29c441e31bf9bp-5, -0x1.40c06e45d250ap-5, -0x1.53610dd452d61p-5, -0x1.611943ceb05ep-5, -0x1.697ed5a777cadp-5, -0x1.6c484109f97e9p-5, -0x1.6949edbb10c6p-5, -0x1.607318b5a5887p-5, -0x1.51ca6e77a43ap-5, -0x1.3d6abb96df8fp-5, -0x1.237fb54037698p-5, -0x1.0442dc954f72fp-5, -0x1.bff17dd5b7535p-6, -0x1.6ddcc4332d775p-6, -0x1.12ee1e87f1538p-6, -0x1.5fa9303bec437p-7, -0x1.1511a4579833p-8, 0x1.605ff61987d94p-9, 0x1.46ccbeec8bd48p-7, 0x1.2016acfdb1e9bp-6, 0x1.a16ca59498cbbp-6, 0x1.135e99037c504p-5, 0x1.57b1a92dc1272p-5, 0x1.9d6075e87408ap-5, 0x1.e41fa947e252cp-5, 0x1.15d3ea9a40cdp-4, 0x1.39dac831e0a68p-4, 0x1.5e04c1e48df88p-4, 0x1.8234353ca4985p-4, 0x1.a64d83998ddfbp-4, 0x1.ca370c1545078p-4, 0x1.edd91b450761ep-4, 0x1.088ef0ff89667p-3, 0x1.19f8b049c6c5cp-3, 0x1.2b20ab914ca2dp-3, 0x1.3bfe9a1a43538p-3, 0x1.4c8aff26c5af3p-3, 0x1.5cbf2228f23dp-3, 0x1.6c9503f532686p-3, 0x1.7c075507740b7p-3, 0x1.8b116c4ec39dap-3, 0x1.99af3d0884ea6p-3, 0x1.a7dd4eecbafc8p-3, 0x1.b598b373acccfp-3, 0x1.c2defddad0602p-3, 0x1.cfae3b032fb59p-3, 0x1.dc04e8abd41ecp-3, 0x1.e7e1ee0d07c99p-3, 0x1.f344938d7afa3p-3, 0x1.fe2c7cb6e8ca1p-3, 0x1.044cd0240cca9p-2, 0x1.094620f0773a8p-2, 0x1.0e0275ff8906p-2, 0x1.128234e40817ap-2, 0x1.16c5e08734e8dp-2, 0x1.1ace16ba198d9p-2, 0x1.1e9b8d8e5792ep-2, 0x1.222f10ebf8358p-2, 0x1.25898031ad49dp-2, 0x1.28abcc547f54p-2, 0x1.2b96f596807ccp-2, 0x1.2e4c09e3bda7ep-2, 0x1.30cc22bf0fb2p-2, 0x1.33186401247ebp-2, 0x1.3531fa09427c3p-2, 0x1.371a18539ac39p-2, 0x1.38d1f859ff34p-2, 0x1.3a5ad81230fc4p-2, 0x1.3bb5f8f1ceb4cp-2, 0x1.3ce49f0a9378ap-2, 0x1.3de80fbfac606p-2, 0x1.3ec1911665902p-2, 0x1.3f7268e2840b2p-2, 0x1.3ffbdc2a41b92p-2, 0x1.405f2e24acbbap-2, 0x1.409d9ff8a0d2fp-2, 0x1.40b86fef6a708p-2, 0x1.40b0d93174f7fp-2, 0x1.4088131e3c2d2p-2, 0x1.403f50f9a614ep-2, 0x1.3fd7c1b13effap-2, 0x1.3f528f631213p-2, 0x1.3eb0df46bb36cp-2, 0x1.3df3d14af3a32p-2, 0x1.3d1c7fd66f7f3p-2, 0x1.3c2bffd2d7599p-2, 0x1.3b23605835749p-2, 0x1.3a03aa8f67d08p-2, 0x1.38cde1b80ed0cp-2, 0x1.378302fccc4a4p-2, 0x1.3624055d936b2p-2, 0x1.34b1d9c8cf07ap-2, 0x1.332d6b0b6d231p-2, 0x1.31979db527914p-2, 0x1.2ff15043d28f2p-2, 0x1.2e3b5b12bb73ap-2, 0x1.2c769060bcb72p-2, 0x1.2aa3bc610e517p-2, 0x1.28c3a53dd81d6p-2, 0x1.26d70b2da6205p-2, 0x1.24dea89903dd3p-2, 0x1.22db31fc19109p-2, 0x1.20cd5625e6057p-2, 0x1.1eb5be323cbefp-2, 0x1.1c950ddef4a4ep-2, 0x1.1a6be334d703dp-2, 0x1.183ad70d7c309p-2, 0x1.16027cef9a268p-2, 0x1.13c3634eb72adp-2, 0x1.117e138310ff9p-2, 0x1.0f3311f16735p-2, 0x1.0ce2de3c7ec5p-2, 0x1.0a8df336955fp-2, 0x1.0834c723f1326p-2, 0x1.05d7cbd0075dbp-2, 0x1.03776e8111067p-2, 0x1.0114185169fc5p-2, 0x1.fd5c5c4fdd57bp-3, 0x1.f88c21a7beef8p-3, 0x1.f3b83a7d7a587p-3, 0x1.eee158f8e013fp-3, 0x1.ea0827a63387ep-3, 0x1.e52d4a10db014p-3, 0x1.e0515ca72a1cbp-3, 0x1.db74f504c1cc1p-3, 0x1.d698a23c70d18p-3, 0x1.d1bced13adc8dp-3, 0x1.cce2580a53278p-3, 0x1.c8095fb05de35p-3, 0x1.c3327ae6b75cp-3, 0x1.be5e1ae6e88f9p-3, 0x1.b98cab8f0b3a4p-3, 0x1.b4be9393272f5p-3, 0x1.aff4348d21f9dp-3, 0x1.ab2deb5d43f78p-3, 0x1.a66c102ab7029p-3, 0x1.a1aef68b415dfp-3, 0x1.9cf6edef46779p-3, 0x1.9844416a10ec5p-3, 0x1.93973826fb72bp-3, 0x1.8ef015711a629p-3, 0x1.8a4f18d172fdap-3, 0x1.85b47e4a489cdp-3, 0x1.81207e6a6dda3p-3, 0x1.7c934e7c8a3b1p-3, 0x1.780d2091a93a3p-3, 0x1.738e23c0b6d21p-3, 0x1.6f16842b4e0fep-3, 0x1.6aa66b2fb926ap-3, 0x1.663dff7839efap-3, 0x1.61dd65196b6bep-3, 0x1.5d84bdb97fc89p-3, 0x1.5934289c2e603p-3, 0x1.54ebc2be9f6efp-3, 0x1.50aba6f8f7b2cp-3, 0x1.4c73ee0f214fap-3, 0x1.4844aec31b3ffp-3, 0x1.441dfdf31395ep-3, 0x1.3fffeeaefef2bp-3, 0x1.3bea9243dbe2bp-3, 0x1.37ddf855d3699p-3, 0x1.33da2ef2c5245p-3, 0x1.2fdf42a071eap-3, 0x1.2bed3e7229406p-3, 0x1.28042c18f2295p-3, 0x1.242413ee1bef3p-3, 0x1.204cfd0828539p-3, 0x1.1c7eed4e685e7p-3, 0x1.18b9e9751ecedp-3, 0x1.14fdf51d8a75dp-3, 0x1.114b12dd173ccp-3, 0x1.0da144452837ep-3, 0x1.0a0089f1b11c3p-3, 0x1.0668e398fac65p-3, 0x1.02da500ee0b35p-3, 0x1.fea99aad0ec74p-4, 0x1.f7b0b1501f407p-4, 0x1.f0c9dcf5389a2p-4, 0x1.e9f5151d65a8cp-4, 0x1.e3324fecc32b7p-4, 0x1.dc818239b6b4bp-4, 0x1.d5e29fa20e811p-4, 0x1.cf559a943f9d4p-4, 0x1.c8da64603bfc1p-4, 0x1.c270ed4a8ed96p-4, 0x1.bc1924921465dp-4, 0x1.b5d2f8818c18ep-4, 0x1.af9e5678f8444p-4, 0x1.a97b2afaf1337p-4, 0x1.a36961b837b26p-4, 0x1.9d68e59a1abf8p-4, 0x1.9779a0ccd824fp-4, 0x1.919b7cc9ab6fep-4, 0x1.8bce625ff0784p-4, 0x1.861239bd667cap-4, 0x1.8066ea777b1fdp-4, 0x1.7acc5b94c18eep-4, 0x1.7542739166a73p-4, 0x1.6fc9186a7eb3bp-4, 0x1.6a602fa38635p-4, 0x1.65079e5475fe3p-4, 0x1.5fbf4922b996cp-4, 0x1.5a87144a4d897p-4, 0x1.555ee3b5b7e5fp-4, 0x1.50469aeb45691p-4, 0x1.4b3e1d1bd5f6dp-4, 0x1.46454d31b42ap-4, 0x1.415c0dcd90ae3p-4, 0x1.3c82414a45116p-4, 0x1.37b7c9c2f60bep-4, 0x1.32fc8918c8e19p-4, 0x1.2e5060f720ffdp-4, 0x1.29b332d862993p-4, 0x1.2524e0092c99ep-4, 0x1.20a549abfb1afp-4, 0x1.1c3450bd22259p-4, 0x1.17d1d61640d43p-4, 0x1.137dba71b0eep-4, 0x1.0f37de715ff71p-4, 0x1.0b00229bebc9bp-4, 0x1.06d6676693798p-4, 0x1.02ba8d31490d4p-4, 0x1.fd58e89ed9845p-5, 0x1.f557fa0ec04dep-5, 0x1.ed720f2c170ffp-5, 0x1.e5a6e8634e3ebp-5, 0x1.ddf64618bf008p-5, 0x1.d65fe8ad58dafp-5, 0x1.cee3908381561p-5, 0x1.c780fe0381faap-5, 0x1.c037f1a02196bp-5, 0x1.b9082bdb36d36p-5, 0x1.b1f16d49382f6p-5, 0x1.aaf37694d5797p-5, 0x1.a40e0882e6706p-5, 0x1.9d40e3f6b483ep-5, 0x1.968bc9f621bfbp-5, 0x1.8fee7bad3d594p-5, 0x1.8968ba710e481p-5, 0x1.82fa47c2096c9p-5, 0x1.7ca2e54f09315p-5, 0x1.766254f8d0db6p-5, 0x1.703858d57e428p-5, 0x1.6a24b33398516p-5, 0x1.6427269d470a1p-5, 0x1.5e3f75da5c40cp-5, 0x1.586d63f24b728p-5, 0x1.52b0b42de78f1p-5, 0x1.4d092a1ab5ba4p-5, 0x1.4776898ca0e1ap-5, 0x1.41f896a13a328p-5, 0x1.3c8f15bfd599fp-5, 0x1.3739cb9ed025p-5, 0x1.31f87d4c12448p-5, 0x1.2ccaf014101d5p-5, 0x1.27b0e9a8b4b16p-5, 0x1.22aa3002425f2p-5, 0x1.1db68972753fcp-5, 0x1.18d5bca8c2b41p-5, 0x1.140790ab71604p-5, 0x1.0f4bccdb405fap-5, 0x1.0aa238f4e77b1p-5, 0x1.060a9d1209eecp-5, 0x1.0184c1ab0e3cap-5, 0x1.fa20df2fb856ap-6, 0x1.f15ae02346b67p-6, 0x1.e8b71969ed4d8p-6, 0x1.e0351f03f0eefp-6, 0x1.d7d485b9eb2b8p-6, 0x1.cf94e31e204fap-6, 0x1.c775cd8e156a5p-6, 0x1.bf76dc3467c5ep-6, 0x1.b797a70ad872cp-6, 0x1.afd7c6dc5231cp-6, 0x1.a836d54753fe8p-6, 0x1.a0b46cbb66da4p-6, 0x1.99502880dd7e3p-6, 0x1.9209a4b23477fp-6, 0x1.8ae07e401b2d4p-6, 0x1.83d452f1b9863p-6, 0x1.7ce4c165cf07ep-6, 0x1.761169140dbf5p-6, 0x1.6f59ea4e5df4p-6, 0x1.68bde6422e844p-6, 0x1.623cfef9685f8p-6, 0x1.5bd6d75aaa563p-6, 0x1.558b13287c541p-6, 0x1.4f5956ffbac14p-6, 0x1.49414856164bdp-6, 0x1.43428d7a4acadp-6, 0x1.3d5ccd962fb67p-6, 0x1.378fb0b11a411p-6, 0x1.31dadfb041437p-6, 0x1.2c3e0457fa99cp-6, 0x1.26b8c94c25655p-6, 0x1.214ada08d604cp-6, 0x1.1bf3e2e5762bcp-6, 0x1.16b391102dba8p-6, 0x1.11899292cb86dp-6, 0x1.0c75964f4915cp-6, 0x1.07774c01d4be5p-6, 0x1.028e64406ba09p-6, 0x1.fb7520f7f180cp-7, 0x1.f1f705faf9692p-7, 0x1.e8a1ddca3f9bfp-7, 0x1.df75104f37d83p-7, 0x1.d6700721ebafbp-7, 0x1.cd922d8309278p-7, 0x1.c4daf05b0893ap-7, 0x1.bc49be394b689p-7, 0x1.b3de0752db59fp-7, 0x1.ab973d7fdebd1p-7, 0x1.a374d4402fb16p-7, 0x1.9b76409284bd3p-7, 0x1.939af936d713ap-7, 0x1.8be2766e391cp-7, 0x1.844c3241336f4p-7, 0x1.7cd7a83fcca14p-7, 0x1.7584555083b1p-7, 0x1.6e51b803f977p-7, 0x1.673f50b8ed522p-7, 0x1.604ca13d570cfp-7, 0x1.59792cb778b43p-7, 0x1.52c477ea9c682p-7, 0x1.4c2e0938c46c6p-7, 0x1.45b568851affbp-7, 0x1.3f5a1f2c2743ap-7, 0x1.391bb804e8f6bp-7, 0x1.32f9bf6041053p-7, 0x1.2cf3c307852adp-7, 0x1.27095235702c9p-7, 0x1.2139fd9c4cec4p-7, 0x1.1b85575a169ep-7, 0x1.15eaf2fa3192bp-7, 0x1.106a657252dep-7, 0x1.0b03451f75c6cp-7, 0x1.05b529c2e6543p-7, 0x1.007fac7f5a59cp-7, 0x1.f6c4cfab8b627p-8, 0x1.ecb9ef3f25077p-8, 0x1.e2ddf210035dcp-8, 0x1.d93015429bb01p-8, 0x1.cfaf98883684fp-8, 0x1.c65bbe142c432p-8, 0x1.bd33caf06c252p-8, 0x1.b437066ede62ep-8, 0x1.ab64ba960f7dcp-8, 0x1.a2bc33fa1e526p-8, 0x1.9a3cc1a57815ap-8, 0x1.91e5b51a947f9p-8, 0x1.89b6624dd642ep-8, 0x1.81ae1f9daf11p-8, 0x1.79cc45cbc7239p-8, 0x1.72102ff69b464p-8, 0x1.6a793b95c49bap-8, 0x1.6306c876b57a9p-8, 0x1.5bb838b917ffep-8, 0x1.548cf0c9b29afp-8, 0x1.4d84575c4c2d8p-8, 0x1.469dd56402729p-8, 0x1.3fd8d609b2f7cp-8, 0x1.3934c6a13851fp-8, 0x1.32b1169e885b1p-8, 0x1.2c4d378caeb18p-8, 0x1.26089d07f0756p-8, 0x1.1fe2bcbbc5862p-8, 0x1.19db0e62d8828p-8, 0x1.13f10bc779a07p-8, 0x1.0e2430ccdb587p-8, 0x1.0873fb61973bap-8, 0x1.02dfeb8915686p-8, 0x1.facf067b078ap-9, 0x1.f0148d0dafbap-9, 0x1.e58f7632b8a0fp-9, 0x1.db3ed157b26aap-9, 0x1.d121b12757bbcp-9, 0x1.c7372bc01f4c6p-9, 0x1.bd7e5aa729bbp-9, 0x1.b3f65ad79d319p-9, 0x1.aa9e4cddee7a3p-9, 0x1.a17554f568da3p-9, 0x1.987a9b1746b91p-9, 0x1.8fad4ac900151p-9, 0x1.870c94ea1de2bp-9, 0x1.7e97aa019e787p-9, 0x1.764dc30706004p-9, 0x1.6e2e181c2018fp-9, 0x1.6637e5d7f5552p-9, 0x1.5e6a6b35bf0adp-9, 0x1.56c4e9bf9b406p-9, 0x1.4f46a5a3cac51p-9, 0x1.47eee5df149dap-9, 0x1.40bcf478263a3p-9, 0x1.39b01ebd06896p-9, 0x1.32c7b571ab805p-9, 0x1.2c030ce109783p-9, 0x1.25617cc866536p-9, 0x1.1ee2601c95372p-9, 0x1.188514b2008cp-9, 0x1.1248fad8eb252p-9, 0x1.0c2d75024c39fp-9, 0x1.0631e782b4b5cp-9, 0x1.0055b880632cap-9, 0x1.f530a022765a9p-10, 0x1.e9f230fd0dbc7p-10, 0x1.deeefd3985893p-10, 0x1.d425e4407caa1p-10, 0x1.c995cbb595659p-10, 0x1.bf3d9fac7116bp-10, 0x1.b51c528d48b15p-10, 0x1.ab30dcab15fa8p-10, 0x1.a17a3b93dd942p-10, 0x1.97f7712de4d5bp-10, 0x1.8ea782c03888fp-10, 0x1.85897815d2b98p-10, 0x1.7c9c5af425d4cp-10, 0x1.73df371930a4fp-10, 0x1.6b511ad51ce03p-10, 0x1.62f1181fb4cep-10, 0x1.5abe45d6ab87bp-10, 0x1.52b7c0c28dbc9p-10, 0x1.4adcac1cff89cp-10, 0x1.432c3188d41c1p-10, 0x1.3ba58094c8adfp-10, 0x1.3447cde928bd1p-10, 0x1.2d125239ddae1p-10, 0x1.2604492c96a14p-10, 0x1.1f1cf098fad3cp-10, 0x1.185b86f22a129p-10, 0x1.11bf4b7be57bp-10, 0x1.0b477e157f7f1p-10, 0x1.04f35f8446598p-10, 0x1.fd8466758b8f5p-11, 0x1.f166812f018e5p-11, 0x1.e58ba84d034abp-11, 0x1.d9f280f29e91ap-11, 0x1.ce99bc8c42ae7p-11, 0x1.c38017e3021ffp-11, 0x1.b8a4597efaf7ep-11, 0x1.ae054fdba1f14p-11, 0x1.a3a1cfa7a398ap-11, 0x1.9978b229edf58p-11, 0x1.8f88d3813b3a5p-11, 0x1.85d110f9ca253p-11, 0x1.7c50479a790efp-11, 0x1.730553b18663p-11, 0x1.69ef11ccea63dp-11, 0x1.610c612eccdbep-11, 0x1.585c26e73838p-11, 0x1.4fdd504234126p-11, 0x1.478ed3bd2aceep-11, 0x1.3f6fb04b8783dp-11, 0x1.377eef0630303p-11, 0x1.2fbb9b3925a4dp-11, 0x1.2824c71cd836dp-11, 0x1.20b98fba8dc72p-11, 0x1.197911146b328p-11, 0x1.12627000ddb96p-11, 0x1.0b74d5ffb77eep-11, 0x1.04af70327c275p-11, 0x1.fc22daf965fd5p-12, 0x1.ef33fa8396d3p-12, 0x1.e2909f3c2058fp-12, 0x1.d6372e33cfc2dp-12, 0x1.ca2615b7afc72p-12, 0x1.be5bcff2bd91cp-12, 0x1.b2d6e1f7cda91p-12, 0x1.a795d7732983dp-12, 0x1.9c973d40f691ep-12, 0x1.91d99dd48e751p-12, 0x1.875b81a617fa7p-12, 0x1.7d1b73e1ee6b6p-12, 0x1.731809825b969p-12, 0x1.694fe780965ffp-12, 0x1.5fc1c508323dbp-12, 0x1.566c68dbb8cf7p-12, 0x1.4d4ea4349c335p-12, 0x1.44674f1ae8648p-12, 0x1.3bb548f403b04p-12, 0x1.33377c8a6f2cbp-12, 0x1.2aece3b340b97p-12, 0x1.22d486590417ap-12, 0x1.1aed74350d371p-12, 0x1.1336bb724bf63p-12, 0x1.0baf613ffc98fp-12, 0x1.04565eb1ce391p-12, 0x1.fa5543278a0e6p-13, 0x1.ec561eb2644dbp-13, 0x1.dead12e51ad93p-13, 0x1.d157e70800bb5p-13, 0x1.c454757de5a96p-13, 0x1.b7a0b62bd4db7p-13, 0x1.ab3abda887c63p-13, 0x1.9f20b26930934p-13, 0x1.9350c3c7fca07p-13, 0x1.87c930831647p-13, 0x1.7c885e1c1af68p-13, 0x1.718cf11ff6c42p-13, 0x1.66d5cfd8d7fd6p-13, 0x1.5c62058525f14p-13, 0x1.523093b204ed8p-13, 0x1.48404e1cff1b2p-13, 0x1.3e8fd5a736aap-13, 0x1.351dae88987c6p-13, 0x1.2be85b333b64bp-13, 0x1.22ee68237ab95p-13, 0x1.1a2e66e1bb491p-13, 0x1.11a6e4847225ap-13, 0x1.095668b4c84e6p-13, 0x1.013b7b094572dp-13, 0x1.f2a96385931c5p-14, 0x1.e3412af49294ap-14, 0x1.d43b7afdc9dd5p-14, 0x1.c5955b90dab1bp-14, 0x1.b74c050d4a017p-14, 0x1.a95d2b7db6ddfp-14, 0x1.9bc73a580886cp-14, 0x1.8e89372035937p-14, 0x1.81a2500bc2db8p-14, 0x1.75116062ad4ap-14, 0x1.68d4bcc045b37p-14, 0x1.5cea5b29a5ba5p-14, 0x1.515022ecad2c6p-14, 0x1.46042262899c8p-14, 0x1.3b049514fd485p-14, 0x1.304fcf2c6faf1p-14, 0x1.25e426a52e312p-14, 0x1.1bbfe39b4ece2p-14, 0x1.11e13a00cee14p-14, 0x1.08464db04ed4p-14, 0x1.fdda7700fda6bp-15, 0x1.eba83879737c9p-15, 0x1.d9f20046bfbf9p-15, 0x1.c8b3ec3f54d48p-15, 0x1.b7ea6125bac69p-15, 0x1.a7926a975b613p-15, 0x1.97a9d3bde33ccp-15, 0x1.882ed6bc530aep-15, 0x1.791fad999538bp-15, 0x1.6a7a61705482bp-15, 0x1.5c3cdb528c574p-15, 0x1.4e64f12b9ae02p-15, 0x1.40f052dcfa6ffp-15, 0x1.33dc8d8cd07d2p-15, 0x1.272741289394dp-15, 0x1.1ace4d75b8a7dp-15, 0x1.0ecfc3bb47419p-15, 0x1.0329b1ae71d2fp-15, 0x1.efb3e1ba2180ep-16, 0x1.d9bc31af2b17ap-16, 0x1.c46748ea8648ap-16, 0x1.afb06f196aebbp-16, 0x1.9b9398c5ac142p-16, 0x1.880d4391c12d6p-16, 0x1.751a10275d2ffp-16, 0x1.62b68fe0632fep-16, 0x1.50df401eb442ap-16, 0x1.3f9050856b298p-16, 0x1.2ec568b32a553p-16, 0x1.1e7a418e6f14ap-16, 0x1.0eab8073d9501p-16, 0x1.feae93ecd923cp-17, 0x1.e0f7f411cd1f1p-17, 0x1.c42e37f1abb24p-17, 0x1.a84ace1e30916p-17, 0x1.8d4712ad35c8ap-17, 0x1.731d6c3a81a07p-17, 0x1.59c948cfb5fc2p-17, 0x1.414669e81865bp-17, 0x1.29902b210b083p-17, 0x1.12a1136f795afp-17, 0x1.f8e5a1748e246p-18, 0x1.cdfdcf40a3f88p-18, 0x1.a47fdd4c0c6f4p-18, 0x1.7c64af6ddc773p-18, 0x1.55a7a9f42c4e4p-18, 0x1.30435df25ad38p-18, 0x1.0c2f3eb9a5bc4p-18, 0x1.d2bfe76a16a63p-19, 0x1.8f91642f35268p-19, 0x1.4ebb1b3e1012cp-19, 0x1.102e188f6fbecp-19, 0x1.a7c8b2d67b2bfp-20, 0x1.33ac30c7fc693p-20, 0x1.87d0d956f4d65p-21, 0x1.6160c9ef0fa5p-22, -0x1.e5654765ca4b6p-25, -0x1.cb26c10c916a7p-22, -0x1.a52e4856046cp-21, -0x1.2e9f64f1a5823p-20, -0x1.86fa3ad8405f1p-20, -0x1.dbb19f4b199fep-20, -0x1.16747e2e2f948p-19, -0x1.3d632c2df5072p-19, -0x1.62aee95fe7a38p-19, -0x1.86625b11894fdp-19, -0x1.a887cf42dcfb4p-19, -0x1.c926114ee21eap-19, -0x1.e842896587092p-19, -0x1.02f32a21c9c87p-18, -0x1.110fda6ce00ffp-18, -0x1.1e7f3cea7b71bp-18, -0x1.2b484c7c323edp-18, -0x1.376fb021dbfb9p-18, -0x1.42f75a8d936cap-18, -0x1.4de2a0dd39df5p-18, -0x1.5837ac20ade23p-18, -0x1.61f8cf87a0edcp-18, -0x1.6b25d1a4f0b19p-18, -0x1.73c5756c24f8bp-18, -0x1.7bdf324d9e1ap-18, -0x1.8373a62174209p-18, -0x1.8a860b8e5b9d7p-18, -0x1.911fd905066e2p-18, -0x1.97465c959bbdcp-18, -0x1.9cf99c64ef8c7p-18, -0x1.a23a787d0f164p-18, -0x1.a70c8bd838824p-18, -0x1.ab73edd74dfbfp-18, -0x1.af73ac31317cbp-18, -0x1.b30e4566300a9p-18, -0x1.b64602385cfp-18, -0x1.b91d4c48075a9p-18, -0x1.bb9793dff6dcep-18, -0x1.bdb9574e493edp-18, -0x1.bf8665fab1831p-18, -0x1.c100ebae8c8cap-18, -0x1.c22a68388d381p-18, -0x1.c30445c3dc1bep-18, -0x1.c39180f2337bdp-18, -0x1.c3d64ee73b782p-18, -0x1.c3d4ea2c583dbp-18, -0x1.c38ecd2624887p-18, -0x1.c30628e73b15ep-18, -0x1.c23d0a3e60461p-18, -0x1.c13528be45c5bp-18, -0x1.bff046bf48342p-18, -0x1.be708fd2f7781p-18, -0x1.bcb8a6ef2ce7cp-18, -0x1.bacb383c43d76p-18, -0x1.b8aa8bf57e493p-18, -0x1.b658406eeff2bp-18, -0x1.b3d53982f703ep-18, -0x1.b122d234ac031p-18, -0x1.ae4353130a559p-18, -0x1.ab388b0037eb7p-18, -0x1.a803decffbe7cp-18, -0x1.a4a6effd72a6dp-18, -0x1.a1236ce462d7ap-18, -0x1.9d7be0c1ac061p-18, -0x1.99b05233e72d1p-18, -0x1.95c2d476cafbbp-18, -0x1.91b41585f73aep-18, -0x1.8d8594e9d7267p-18, -0x1.893a217ccc7e2p-18, -0x1.84d2789f89284p-18, -0x1.804f41e89aca8p-18, -0x1.7bb1d6cedab24p-18, -0x1.76fba9a2c102ep-18, -0x1.722ddaa66625ep-18, -0x1.6d4973045d408p-18, -0x1.684f827c5f54fp-18, -0x1.6341238bfc473p-18, -0x1.5e1f75933fea2p-18, -0x1.58eb905ff4488p-18, -0x1.53a67ac43c6c5p-18, -0x1.4e5132e6a406fp-18, -0x1.48ecb7981ebe7p-18, -0x1.4379e66ecdb5bp-18, -0x1.3df97ab979c1bp-18, -0x1.386c70900d69ap-18, -0x1.32d3d7722263fp-18, -0x1.2d30b5f4cfe0ap-18, -0x1.2783d9685b1fcp-18, -0x1.21cdc0d8d1b33p-18, -0x1.1c0f3914662d2p-18, -0x1.164922d1bea3bp-18, -0x1.107c1c35a844cp-18, -0x1.0aa8ac052450ap-18, -0x1.04cfdd62e8d27p-18, -0x1.fde5393486c56p-19, -0x1.f222c55ceab72p-19, -0x1.e65918d43c27bp-19, -0x1.da89bf1a699cdp-19, -0x1.ceb60f64b67edp-19, -0x1.c2df298ec7b15p-19, -0x1.b7062d2162081p-19, -0x1.ab2c3babb4499p-19, -0x1.9f5272162e84bp-19, -0x1.9379e2888d37fp-19, -0x1.87a3934785147p-19, -0x1.7bd082143086ep-19, -0x1.7001a7c71018ap-19, -0x1.6437fa3a778dbp-19, -0x1.587469aa6865p-19, -0x1.4cb7d9b6ce31p-19, -0x1.41031e1665731p-19, -0x1.3557045bf811dp-19, -0x1.29b45e49bee59p-19, -0x1.1e1bf0c11fcf8p-19, -0x1.128e76daafa82p-19, -0x1.070ce11772259p-19, -0x1.f730083e5ce6dp-20, -0x1.e060b03c48973p-20, -0x1.c9aca7d6095fdp-20, -0x1.b314f63f61985p-20, -0x1.9c99949d53e21p-20, -0x1.863ace549b27ep-20, -0x1.700162d0a7b49p-20, -0x1.59fb3bcebb416p-20, -0x1.440f4a0fad39ep-20, -0x1.2e38c5ea11047p-20, -0x1.187da5ff3375p-20, -0x1.02f944ccd7b09p-20, -0x1.db415c6769a0bp-21, -0x1.b0da10474b66dp-21, -0x1.86c0679126f7p-21, -0x1.5cf882989140dp-21, -0x1.3384ae9a5a804p-21, -0x1.0a66f8a49877cp-21, -0x1.c355caed0d78ap-22, -0x1.724f3e58f3ad5p-22, -0x1.222723ce64a37p-22, -0x1.a5e1119fb7ef9p-23, -0x1.085774afac02p-23, -0x1.b1c604bcdd13ap-25, 0x1.6fb51678ada5ep-26, 0x1.8db83b56bab1dp-24, 0x1.5e3ca42069454p-23, 0x1.f414ce3baebc3p-23, 0x1.442ee0cde3e4cp-22, 0x1.8d8a32e528fbep-22, 0x1.d61aebc010553p-22, 0x1.0eefbace80ac8p-21, 0x1.326b1da48d877p-21, 0x1.557ef02fed6p-21, 0x1.782a865604927p-21, 0x1.9a6d4396ace7p-21, 0x1.bc469366683ap-21, 0x1.ddb5ec228628ep-21, 0x1.febacdb737f02p-21, 0x1.0faa6122e9dfap-20, 0x1.1fc1aefed0d86p-20, 0x1.2fa31f43aa739p-20, 0x1.3f4e855e86d14p-20, 0x1.4ec3b94c07466p-20, 0x1.5e02979549c35p-20, 0x1.6d0b00db3d3e8p-20, 0x1.7bdcd83b0d5c4p-20, 0x1.8a78029e26df6p-20, 0x1.98dc6ade9ba4p-20, 0x1.a70a041dca2c7p-20, 0x1.b500c962d4cecp-20, 0x1.c2c0c86f0fa4dp-20, 0x1.d04a46f0aef3ep-20, 0x1.dd9e25040b6c9p-20, 0x1.eabe62cc57c4p-20, 0x1.f7aaa1b145c16p-20, 0x1.022714f2dd122p-19, 0x1.085860521165dp-19, 0x1.0e7e5f8f1a54dp-19, 0x1.147d5b595372bp-19, 0x1.1a730d1b433f9p-19, 0x1.20441f0a5fb3fp-19, 0x1.25f34c705a50fp-19, 0x1.2b893dd313c2ap-19, 0x1.31059cf70ba95p-19, 0x1.3667880ffca9ep-19, 0x1.3baeb2729449ap-19, 0x1.40db12d4be706p-19, 0x1.45ecb89d5f032p-19, 0x1.4ae3b9dfee6a8p-19, 0x1.4fc02d64b2d26p-19, 0x1.54822cbaa3c16p-19, 0x1.5929d3231ca24p-19, 0x1.5db73cf3dc3e3p-19, 0x1.622a87795e7abp-19, 0x1.6683d0f7e8fbp-19, 0x1.6ac338aea8f27p-19, 0x1.6ee8decec85b9p-19, 0x1.72f4e46d17a4fp-19, 0x1.76e76b79d5084p-19, 0x1.7ac096c1fc9e8p-19, 0x1.7e8089ef51051p-19, 0x1.822769720325ap-19, 0x1.85b55abe8ebdep-19, 0x1.892a83dd34a0ep-19, 0x1.8c8709a64a743p-19, 0x1.8fcb12e8a8d86p-19, 0x1.92f6c917d376bp-19, 0x1.960a548db4ab5p-19, 0x1.9905df9786a78p-19, 0x1.9be999bfb15d2p-19, 0x1.9eb5c57b92eb1p-19, 0x1.a16a45b59b4c7p-19, 0x1.a40902c468c15p-19, 0x1.a68cd1b3c1c6ep-19, 0x1.a8fc4e5478b0bp-19, 0x1.ab54345295777p-19, 0x1.ad959e9fa2081p-19, 0x1.afc0973cebf06p-19, 0x1.b1d544ec3a9d4p-19, 0x1.b3d3d95111ba4p-19, 0x1.b5bc82cdf76f1p-19, 0x1.b78f6cc4b111fp-19, 0x1.b94cc44c3c798p-19, 0x1.baf4bc3ff2c15p-19, 0x1.bc878369ed884p-19, 0x1.be0549c62fc5bp-19, 0x1.bf6e4fa969cf7p-19, 0x1.c0c30c4b15834p-19, 0x1.c2049375937f7p-19, 0x1.c333a7d4bdcc7p-19, 0x1.c4468290c3408p-19, 0x1.c54790cee5789p-19, 0x1.c634ea17b5716p-19, 0x1.c71d96ba376efp-19, 0x1.c7e6f77da24c2p-19, 0x1.c89d326f3a5c3p-19, 0x1.c93c78a206967p-19, 0x1.c9c9619015d95p-19, 0x1.ca49f6a9186f9p-19, 0x1.cab64c99ed2eap-19, 0x1.cb173f0b8ff14p-19, 0x1.cb615237b6324p-19, 0x1.cb968b0d21592p-19, 0x1.cbbb230e7edp-19, 0x1.cbcf574584ce6p-19, 0x1.cbd2d76106817p-19, 0x1.cbc5b54d689f2p-19, 0x1.cba80af7512d5p-19, 0x1.cb79cf040aeap-19, 0x1.cb3b4587bdc0dp-19, 0x1.caecb1a67b5eap-19, 0x1.ca8e52ed3e5ebp-19, 0x1.ca206082af63cp-19, 0x1.c9a313dcc632ep-19, 0x1.c9169e3ad6933p-19, 0x1.c87b2f016582ep-19, 0x1.c7d0f69e8979ep-19, 0x1.c71827976a638p-19, 0x1.c650f73cbb382p-19, 0x1.c57b9c46bb00cp-19, 0x1.c4984a252d602p-19, 0x1.c3a734c24706bp-19, 0x1.c2a88458dfbbep-19, 0x1.c19c5d2db6c12p-19, 0x1.c082efa770334p-19, 0x1.bf5c71b7ef415p-19, 0x1.be292e9d6d5b9p-19, 0x1.bce9540af91cbp-19, 0x1.bb9d1955c8539p-19, 0x1.ba44b805fecf2p-19, 0x1.b8e068cbdb9dfp-19, 0x1.b770402a5b098p-19, 0x1.b5f452fd6e705p-19, 0x1.b46cfbb80ccc5p-19, 0x1.b2da7fd37cacdp-19, 0x1.b13cdf88ee71ap-19, 0x1.af94434073855p-19, 0x1.ade10387deb82p-19, 0x1.ac23584a777f5p-19, 0x1.aa5b62a87fdc4p-19, 0x1.a889491198378p-19, 0x1.a6ad393d68e14p-19, 0x1.a4c763f14b533p-19, 0x1.a2d7f84a0d6c6p-19, 0x1.a0df23d781521p-19, 0x1.9edd13fcc4b02p-19, 0x1.9cd1f5ca3288dp-19, 0x1.9abdf64fe79c6p-19, 0x1.98a143b797a97p-19, 0x1.967c174bda18p-19, 0x1.944ee6abc794bp-19, 0x1.921b0f70a2685p-19, 0x1.8fde7d523da99p-19, 0x1.8d9dc1efa653cp-19, 0x1.8b42b2225f932p-19, 0x1.88ecbf739c1bfp-19, 0x1.869bcf39d4f4cp-19, 0x1.843b337bfd03dp-19, 0x1.81ccc5565e38ep-19, 0x1.7f5aa67bafd6fp-19, 0x1.7ce3016f9dad7p-19, 0x1.7a6517d65c68cp-19, 0x1.77e0dea84b1c2p-19, 0x1.755674f0dd199p-19, 0x1.72c602d490c9p-19, }}, 
      {{0x1.e7bef19c791d8p-1, 0x1.04dbb6e7913a9p+0, 0x1.1c317134be16ap+0, 0x1.357690c7bebe1p+0, 0x1.4d0ab2a88866ep+0, 0x1.605c52acb3c75p+0, 0x1.6ddf28388eaafp+0, 0x1.74e1b15a7c4dfp+0, 0x1.7559dcf23d19ep+0, 0x1.6fb42768a643cp+0, 0x1.64a9b218f5fefp+0, 0x1.551e8b5f5be88p+0, 0x1.4207e49a6c733p+0, 0x1.2c594c8d4a032p+0, 0x1.14f7c5a432ecep+0, 0x1.f9632ac096776p-1, 0x1.c87389fe3785p-1, 0x1.984ccf6737e2p-1, 0x1.69e1bdf8be4c6p-1, 0x1.3deeee90b3482p-1, 0x1.14ffb3c77e9bcp-1, 0x1.dee7be947a9e1p-2, 0x1.9b0baa1e22108p-2, 0x1.5ea10d9fc12a6p-2, 0x1.29aa2eb10c31fp-2, 0x1.f80003ffc8634p-3, 0x1.aab6ba5e93928p-3, 0x1.6aba062ce5f8cp-3, 0x1.37291d71d67d1p-3, 0x1.0f0c941941d05p-3, 0x1.e2c00fab69decp-4, 0x1.ba33f49f5cd0bp-4, 0x1.a2641eb4aabe8p-4, 0x1.994bc72d4dd3bp-4, 0x1.9cf96573f333cp-4, 0x1.ab93fa438d5cp-4, 0x1.c35eb51424833p-4, 0x1.e2bb4120c6d0cp-4, 0x1.04157fe3b9a5ap-3, 0x1.1927b50342275p-3, 0x1.2ff4e5e086655p-3, 0x1.47ed3e3df7fc8p-3, 0x1.608fe082015fap-3, 0x1.796a33aef4ed3p-3, 0x1.92171bb0c4fd2p-3, 0x1.aa3e25e62ce1ep-3, 0x1.c192ae85f370fp-3, 0x1.d7d30449857a1p-3, 0x1.ecc79062875cep-3, 0x1.0021013ff39c3p-2, 0x1.090e42ea19ba5p-2, 0x1.111c7efff1e2ep-2, 0x1.18402710da1a6p-2, 0x1.1e70d568d0fdap-2, 0x1.23a8fa8ed3efap-2, 0x1.27e5909ab74fbp-2, 0x1.2b25d340b976dp-2, 0x1.2d6afd0391beep-2, 0x1.2eb8092665f5ep-2, 0x1.2f117a3a23126p-2, 0x1.2e7d252c7a3f1p-2, 0x1.2d02005c3f9cfp-2, 0x1.2aa7f715c4703p-2, 0x1.2777c0769a893p-2, 0x1.237aba276292bp-2, 0x1.1ebac6612fa65p-2, 0x1.19422d3640a84p-2, 0x1.131b80b2bf03bp-2, 0x1.0c51840486ea4p-2, 0x1.04ef151388b6ap-2, 0x1.f9fe312e2b745p-3, 0x1.e918d0f276ef7p-3, 0x1.d74388a4840c7p-3, 0x1.c49387a1c4d9ap-3, 0x1.b11d960b289cp-3, 0x1.9cf600520d515p-3, 0x1.8830867256fa9p-3, 0x1.72e04d0afc7f9p-3, 0x1.5d17d26563afdp-3, 0x1.46e8e413dfc2bp-3, 0x1.3064984ec21f8p-3, 0x1.199b484b298d1p-3, 0x1.029c8c3d72e99p-3, 0x1.d6ee73122b914p-4, 0x1.a872c38b1fc23p-4, 0x1.79e0a5c8a34dap-4, 0x1.4b51329b77705p-4, 0x1.1cdc03472edc7p-4, 0x1.dd2e6fc8d5e7ep-5, 0x1.812f01c6bc39cp-5, 0x1.25e04bb49065p-5, 0x1.96cc3e97d46eep-6, 0x1.c786a7cf47b16p-7, 0x1.9718729264d96p-9, -0x1.ee7141cd64cdfp-8, -0x1.27874152f4282p-6, -0x1.d0aed12f18271p-6, -0x1.3b7435eb143f9p-5, -0x1.8d06d1b19ad08p-5, -0x1.dcfe03df05b6ep-5, -0x1.15a53c0be497cp-4, -0x1.3bef525b4036dp-4, -0x1.61575aeb84beep-4, -0x1.85d839b1917dep-4, -0x1.a96d95fc756bcp-4, -0x1.cc13cf4eb7c9ap-4, -0x1.edc7f29f6688dp-4, -0x1.0743d806550e2p-3, -0x1.1728a87684c77p-3, -0x1.2691d710aa3a2p-3, -0x1.357f136eb4252p-3, -0x1.43f04beaa1b4ep-3, -0x1.51e5a946f805dp-3, -0x1.5f5f8ab76228ep-3, -0x1.6c5e81f6e9c49p-3, -0x1.78e34f65ebb6bp-3, -0x1.84eedec3cf288p-3, -0x1.9082438fac493p-3, -0x1.9b9eb5c729ea9p-3, -0x1.a6458edc9271p-3, -0x1.b07846d1d0a5p-3, -0x1.ba387122a3d36p-3, -0x1.c387ba3134b3ep-3, -0x1.cc67e4d2e7bp-3, -0x1.d4dac7a46b22bp-3, -0x1.dce24ac480277p-3, -0x1.e48065bd2fd04p-3, -0x1.ebb71d5e34c23p-3, -0x1.f28881c012842p-3, -0x1.f8f6ac67fb5p-3, -0x1.ff03becd660f7p-3, -0x1.0258f035db2a6p-2, -0x1.05019ec18d8f9p-2, -0x1.077d02b4ee5acp-2, -0x1.09cc34e041982p-2, -0x1.0bf04e5dd1a16p-2, -0x1.0dea681267899p-2, -0x1.0fbb9a576ccc4p-2, -0x1.1164fc4639873p-2, -0x1.12e7a368f8cb6p-2, -0x1.1444a34eaee3dp-2, -0x1.157d0d2f4d25cp-2, -0x1.1691ef9360e6dp-2, -0x1.17845609d635fp-2, -0x1.185548e306ef7p-2, -0x1.1905ccf022156p-2, -0x1.1996e3540bf86p-2, -0x1.1a09894cc3771p-2, -0x1.1a5eb7fe25536p-2, -0x1.1a97646c81ef7p-2, -0x1.1ab47f38965bp-2, -0x1.1ab6f4a15234dp-2, -0x1.1a9fac5e98b37p-2, -0x1.1a6f8990080b2p-2, -0x1.1a276abc2d5c5p-2, -0x1.19c829b9b72c6p-2, -0x1.19529baf83e93p-2, -0x1.18c7910b61902p-2, -0x1.1827d5859dd5bp-2, -0x1.1774302477131p-2, -0x1.16ad6340392aep-2, -0x1.15d42c80b5434p-2, -0x1.14e944eab571ap-2, -0x1.13ed60f046844p-2, -0x1.12e130737742p-2, -0x1.11c55ed333e94p-2, -0x1.109a92faffb89p-2, -0x1.0f616f73bcf1ap-2, -0x1.0e1a926f97c5cp-2, -0x1.0cc695db3a19dp-2, -0x1.0b660f73d404ap-2, -0x1.09f990d3eef34p-2, -0x1.0881a7855239fp-2, -0x1.06fedd16c5a4bp-2, -0x1.0571b730cc264p-2, -0x1.03dab7a82c044p-2, -0x1.023a5c8f521acp-2, -0x1.0091204a1017fp-2, -0x1.fdbef34feff08p-3, -0x1.fa4bb7e8e9fc8p-3, -0x1.f6c96e1471239p-3, -0x1.f338eed0311d6p-3, -0x1.ef9b0c8dcb3fep-3, -0x1.ebf0935924623p-3, -0x1.e83a48fdae617p-3, -0x1.e478ed3065d57p-3, -0x1.e0ad39b60d7a6p-3, -0x1.dcd7e28c0b622p-3, -0x1.d8f996097b32p-3, -0x1.d512fd04a9ca9p-3, -0x1.d124bafb5c0ffp-3, -0x1.cd2f6e373d68ep-3, -0x1.c933afee3a257p-3, -0x1.c5321463945fep-3, -0x1.c12b2b0b3e499p-3, -0x1.bd1f7eae00899p-3, -0x1.b90f95893c771p-3, -0x1.b4fbf16b4f6e8p-3, -0x1.b0e50fd307a44p-3, -0x1.accb6a0f3983p-3, -0x1.a8af755db08d9p-3, -0x1.a491a306b6ccbp-3, -0x1.a072607783a5p-3, -0x1.9c52175dd1578p-3, -0x1.98312dc4072a3p-3, -0x1.9410062bbe3bp-3, -0x1.8feeffa5b4604p-3, -0x1.8bce75e951f6fp-3, -0x1.87aec16cf83dbp-3, -0x1.8390377e00861p-3, -0x1.7f732a582b23cp-3, -0x1.7b57e93ada87ep-3, -0x1.773ec07d2a542p-3, -0x1.7327f9a3994adp-3, -0x1.6f13db73e1ee4p-3, -0x1.6b02aa07be0c9p-3, -0x1.66f4a6e257832p-3, -0x1.62ea110270191p-3, -0x1.5ee324f344c77p-3, -0x1.5ae01cdd69f6ep-3, -0x1.56e1309710733p-3, -0x1.52e695b54c18p-3, -0x1.4ef07f9deba0dp-3, -0x1.4aff1f97cf333p-3, -0x1.4712a4d8d8117p-3, -0x1.432b3c9232f6fp-3, -0x1.3f4911fdce677p-3, -0x1.3b6c4e6e14a8p-3, -0x1.3795195e4f7b2p-3, -0x1.33c39880c2ed1p-3, -0x1.2ff7efc93f01p-3, -0x1.2c3241769623p-3, -0x1.2872ae1d10ed7p-3, -0x1.24b954b54fbf5p-3, -0x1.210652ab23876p-3, -0x1.1d59c3ea8568fp-3, -0x1.19b3c2e7f110ap-3, -0x1.161468a6abc04p-3, -0x1.127bccc10c2a4p-3, -0x1.0eea0574bb221p-3, -0x1.0b5f27b13a987p-3, -0x1.07db472473b3bp-3, -0x1.045e7642951d6p-3, -0x1.00e8c64a66702p-3, -0x1.faf48e9442b15p-4, -0x1.f4261050bbdcp-4, -0x1.ed662d61dc623p-4, -0x1.e6b4ff4414f1bp-4, -0x1.e0129d6b5e856p-4, -0x1.d97f1d4c1445p-4, -0x1.d2fa925f4d1aep-4, -0x1.cc850e2b7d482p-4, -0x1.c61ea0565b65cp-4, -0x1.bfc756bd7facfp-4, -0x1.b97f3d8da1a3cp-4, -0x1.b3465f51505cdp-4, -0x1.ad1cc4f65af8p-4, -0x1.a70275cfb46c1p-4, -0x1.a0f7779be064bp-4, -0x1.9afbce94740ebp-4, -0x1.950f7d83fe4ebp-4, -0x1.8f3285dbc537ep-4, -0x1.8964e7c18f09dp-4, -0x1.83a6a2149b836p-4, -0x1.7df7b26dab19p-4, -0x1.785815216c7cbp-4, -0x1.72c7c54c974e9p-4, -0x1.6d46bce3fb94ap-4, -0x1.67d4f4ca739e7p-4, -0x1.627264df6aa83p-4, -0x1.5d1f0405f977fp-4, -0x1.57dac825f43afp-4, -0x1.52a5a62b479e7p-4, -0x1.4d7f920a2eaf2p-4, -0x1.48687ecacf0c1p-4, -0x1.43605e9a0efd1p-4, -0x1.3e6722da64abdp-4, -0x1.397cbc2f7cb84p-4, -0x1.34a11a82bdad2p-4, -0x1.2fd42d02ca372p-4, -0x1.2b15e222c0827p-4, -0x1.2666279dd51dap-4, -0x1.21c4ea811ddccp-4, -0x1.1d321739b705ep-4, -0x1.18ad99a30df74p-4, -0x1.14375d112e929p-4, -0x1.0fcf4c5520deap-4, -0x1.0b7551bd26c76p-4, -0x1.07295712e17a3p-4, -0x1.02eb459d826a5p-4, -0x1.fd760c4f96ed3p-5, -0x1.f53102157b3cfp-5, -0x1.ed073c735d2f9p-5, -0x1.e4f88a98f4dd6p-5, -0x1.dd04bb0af187cp-5, -0x1.d52b9ba624f32p-5, -0x1.cd6cf99db67c6p-5, -0x1.c5c8a17a261f8p-5, -0x1.be3e5f1e18668p-5, -0x1.b6cdfdd2ab81ap-5, -0x1.af7748595a864p-5, -0x1.a83a08fef04d5p-5, -0x1.a11609aab20cp-5, -0x1.9a0b13e6f3e3p-5, -0x1.9318f0e34251fp-5, -0x1.8c3f697314aaep-5, -0x1.857e460d3134bp-5, -0x1.7ed54ecf38ec7p-5, -0x1.78444b8695199p-5, -0x1.71cb03bdb2808p-5, -0x1.6b693eca80fc4p-5, -0x1.651ec3daeb118p-5, -0x1.5eeb59fce79b6p-5, -0x1.58cec821c9bcbp-5, -0x1.52c8d51deb608p-5, -0x1.4cd947a827e13p-5, -0x1.46ffe65b14d1ep-5, -0x1.413c77ba05dfap-5, -0x1.3b8ec238fc02cp-5, -0x1.35f68c474160bp-5, -0x1.30739c59ae45ep-5, -0x1.2b05b8f2b47dp-5, -0x1.25aca8a740b4ep-5, -0x1.2068322074c4dp-5, -0x1.1b381c1b1a95cp-5, -0x1.161c2d69b92d5p-5, -0x1.11142cf193e69p-5, -0x1.0c1fe1b336358p-5, -0x1.073f12cd6e737p-5, -0x1.0271878646009p-5, -0x1.fb6e0ea590b2ap-6, -0x1.f21eb3b70badfp-6, -0x1.e8f48dff4e38ep-6, -0x1.dfef2daf5608p-6, -0x1.d70e236b5e348p-6, -0x1.ce5100484d493p-6, -0x1.c5b755ccd9febp-6, -0x1.bd40b5f6defa6p-6, -0x1.b4ecb343797f9p-6, -0x1.acbae0b924312p-6, -0x1.a4aad1f251307p-6, -0x1.9cbc1b26a2fcep-6, -0x1.94ee5131e500bp-6, -0x1.8d410996a811bp-6, -0x1.85b3da7f57b26p-6, -0x1.7e465abc894cfp-6, -0x1.76f821c3d3f31p-6, -0x1.6fc8c7afeb1afp-6, -0x1.68b7e5436a463p-6, -0x1.61c513ee67615p-6, -0x1.5aefedd5dc9c3p-6, -0x1.54380ddbce24ep-6, -0x1.4d9d0fa6c15ecp-6, -0x1.471e8fa75ebd3p-6, -0x1.40bc2b1bccf7dp-6, -0x1.3a7580102471cp-6, -0x1.344a2d5c6e3cfp-6, -0x1.2e39d2a17fc95p-6, -0x1.28441045708b9p-6, -0x1.226887717ef6ap-6, -0x1.1ca6da12448eap-6, -0x1.16feaada9a301p-6, -0x1.116f9d48fcb26p-6, -0x1.0bf955aee3c0ap-6, -0x1.069b7938c464bp-6, -0x1.0155adf57cfc5p-6, -0x1.f84f35b73cd3ap-7, -0x1.ee21cf96779e6p-7, -0x1.e4227b1732b0dp-7, -0x1.da508b89d10f2p-7, -0x1.d0ab55ee7fc73p-7, -0x1.c73230e1ea0dep-7, -0x1.bde4748d9543cp-7, -0x1.b4c17aa077d0ep-7, -0x1.abc89e52d24e8p-7, -0x1.a2f93c7659358p-7, -0x1.9a52b3905e90fp-7, -0x1.91d463f95949cp-7, -0x1.897daffa7d0c6p-7, -0x1.814dfbe131cd2p-7, -0x1.7944ae0447281p-7, -0x1.71612eb0dc913p-7, -0x1.69a2e80a967aep-7, -0x1.620945d94b3a1p-7, -0x1.5a93b5587516bp-7, -0x1.5341a5136c82p-7, -0x1.4c1284cb50afcp-7, -0x1.4505c5877f60dp-7, -0x1.3e1ad9b996115p-7, -0x1.3751357bb140fp-7, -0x1.30a84ed8454abp-7, -0x1.2a1f9e0b683cap-7, -0x1.23b69dac3c055p-7, -0x1.1d6ccab0e9d04p-7, -0x1.1741a4481bd81p-7, -0x1.1134ab796d00cp-7, -0x1.0b4562e6a7f05p-7, -0x1.05734e1501314p-7, -0x1.ff7be2b733d4p-8, -0x1.f449a318cbad7p-8, -0x1.e94ee82930cf7p-8, -0x1.de8abe952f491p-8, -0x1.d3fc35de4e4bdp-8, -0x1.c9a2618d0ff5ap-8, -0x1.bf7c5a50c1e4ap-8, -0x1.b5893ec9edd3ap-8, -0x1.abc833c9380fp-8, -0x1.a23863e639b93p-8, -0x1.98d8fe71c0908p-8, -0x1.8fa935eadadefp-8, -0x1.86a83e3ec04aap-8, -0x1.7dd54b2cd8d2p-8, -0x1.752f8f301f09bp-8, -0x1.6cb63b35b0ad7p-8, -0x1.64687f4567b7ep-8, -0x1.5c458c06f8f11p-8, -0x1.544c94de9184cp-8, -0x1.4c7cd2347996p-8, -0x1.44d5836fedbcap-8, -0x1.3d55f03c0f0a4p-8, -0x1.35fd68d0057c4p-8, -0x1.2ecb4520a08a4p-8, -0x1.27bee3120e1e9p-8, -0x1.20d7a3ebcb8a5p-8, -0x1.1a14e976afae7p-8, -0x1.13761346b0ceap-8, -0x1.0cfa7cb9a965bp-8, -0x1.06a17c205ac7fp-8, -0x1.006a63549fbfp-8, -0x1.f4a90368d26ccp-9, -0x1.e8be4e5094deep-9, -0x1.dd134f3d1509cp-9, -0x1.d1a6bc9761f9bp-9, -0x1.c67760271e049p-9, -0x1.bb84195f9021dp-9, -0x1.b0cbdcd0144afp-9, -0x1.a64db0da3d689p-9, -0x1.9c08a8357da9bp-9, -0x1.91fbdb1837be9p-9, -0x1.88266018c817bp-9, -0x1.7e8745c40af69p-9, -0x1.751d8e395c70fp-9, -0x1.6be82d853377bp-9, -0x1.62e60b06c0b38p-9, -0x1.5a1605e64461dp-9, -0x1.5176fb760876fp-9, -0x1.4907ce5f57acbp-9, -0x1.40c76d5151325p-9, -0x1.38b4d828aef7ep-9, -0x1.30cf22ea816fbp-9, -0x1.2915763326928p-9, -0x1.21870d020c3cp-9, -0x1.1a233035d158ap-9, -0x1.12e9306944d1bp-9, -0x1.0bd85f8b712ebp-9, -0x1.04f00b5b20e0fp-9, -0x1.fc5ef3dbf0c3ap-10, -0x1.ef2bd1118fe5ap-10, -0x1.e2451956c3962p-10, -0x1.d5a92d40acc76p-10, -0x1.c956697263e0bp-10, -0x1.bd4b2ce3b6e1dp-10, -0x1.b185de15276ecp-10, -0x1.a604ef2ceb65ap-10, -0x1.9ac6e14744d4p-10, -0x1.8fca47786f20ep-10, -0x1.850dc7cccb576p-10, -0x1.7a90195276f9dp-10, -0x1.704fff0421647p-10, -0x1.664c3fa88dfa9p-10, -0x1.5c839f674c08dp-10, -0x1.52f4de3af5822p-10, -0x1.499ebcec27c0dp-10, -0x1.4080066df29f3p-10, -0x1.379798d5f92a1p-10, -0x1.2ee469575fddfp-10, -0x1.266581895db29p-10, -0x1.1e19f805702c1p-10, -0x1.1600e89b96de6p-10, -0x1.0e196fbabee24p-10, -0x1.0662a9a39d3b3p-10, -0x1.fdb765673f74bp-11, -0x1.ef07499dafd07p-11, -0x1.e0b31f2b1721bp-11, -0x1.d2b8d8f8303fap-11, -0x1.c51626842be08p-11, -0x1.b7c86a7e77b36p-11, -0x1.aacccb27943e4p-11, -0x1.9e20613f8f35fp-11, -0x1.91c07cc76e629p-11, -0x1.85aae86316833p-11, -0x1.79de0dd42c81bp-11, -0x1.6e58e78888cc2p-11, -0x1.631ac37c1ce73p-11, -0x1.5822f6834fcbcp-11, -0x1.4d70a977b9c6bp-11, -0x1.4302d9ff9d362p-11, -0x1.38d885e6d723ap-11, -0x1.2ef0db3b41af4p-11, -0x1.254b44ed8a12ap-11, -0x1.1be7439e120abp-11, -0x1.12c42101c77a6p-11, -0x1.09e09e387ba09p-11, -0x1.013abd7219b18p-11, -0x1.f19f78f04f385p-12, -0x1.e138921ab0372p-12, -0x1.d139d7112f997p-12, -0x1.c19d266c5d871p-12, -0x1.b25e33b56ec6p-12, -0x1.a37b0a4a77d1ap-12, -0x1.94f3b6b47c209p-12, -0x1.86c926f8fd372p-12, -0x1.78fbd0379ad61p-12, -0x1.6b8adb9472501p-12, -0x1.5e744989aee0fp-12, -0x1.51b5d70221609p-12, -0x1.454dfb7d051f7p-12, -0x1.393c621834b3p-12, -0x1.2d81a3889126ap-12, -0x1.221e728df3159p-12, -0x1.1712ad0578d79p-12, -0x1.0c5cc65222a31p-12, -0x1.01f9b237dd7a7p-12, -0x1.efca448383069p-13, -0x1.dc33ba43ce8b3p-13, -0x1.c92465f3efa34p-13, -0x1.b6917abcacc7cp-13, -0x1.a472c43359da3p-13, -0x1.92c450c66a2abp-13, -0x1.8186930a27c0fp-13, -0x1.70bc8791ad8edp-13, -0x1.6068ce720c09fp-13, -0x1.508b8056545adp-13, -0x1.4121eed04cf65p-13, -0x1.32280dd61e711p-13, -0x1.239a669e9bd87p-13, -0x1.1577819c3b0f6p-13, -0x1.07c006cd9c178p-13, -0x1.f4ead36646acdp-14, -0x1.db3003b346331p-14, -0x1.c24bf1cc3989p-14, -0x1.aa3752d8c12e7p-14, -0x1.92e9884935fa1p-14, -0x1.7c5a428c6cfc6p-14, -0x1.66817aa70e604p-14, -0x1.5156820d1fb6cp-14, -0x1.3ccf8c36a0b81p-14, -0x1.28e255981e8cep-14, -0x1.1585afd9de0e8p-14, -0x1.02b35e16a90c3p-14, -0x1.e0d27756622ap-15, -0x1.bd5126f0fcf0dp-15, -0x1.9ae74a93f209dp-15, -0x1.7995769def0c3p-15, -0x1.5955fefd0ab9bp-15, -0x1.3a209ef89129dp-15, -0x1.1beff7ca8ad4fp-15, -0x1.fd846cb6faeaep-16, -0x1.c52b2d3212ffdp-16, -0x1.8ecc6132ec292p-16, -0x1.5a5ba7805b7f9p-16, -0x1.27c82411bb9bep-16, -0x1.edfc83fa4fcap-17, -0x1.8fd8cfe0f4e85p-17, -0x1.350d73c68c91ap-17, -0x1.bb1833a6ef164p-18, -0x1.128dd233f0626p-18, -0x1.c14150765e859p-20, 0x1.5f37af69a9644p-21, 0x1.84f1edf2471bbp-19, 0x1.53bfd4d474337p-18, 0x1.dfe14b1dc475fp-18, 0x1.3369ff10c3edap-17, 0x1.744f5e5d9bc43p-17, 0x1.b2c0e74a5dd1cp-17, 0x1.eee399da0c022p-17, 0x1.145dc48e246cap-16, 0x1.30196b5557a2p-16, 0x1.4aa1f9cbafe84p-16, 0x1.64059e5524afbp-16, 0x1.7c58660521a45p-16, 0x1.93a5fab9c98f8p-16, 0x1.a9f010eccd1adp-16, 0x1.bf384d7616978p-16, 0x1.d386ccf36197dp-16, 0x1.e6e640a2cbde3p-16, 0x1.f95d6a149e2f7p-16, 0x1.0577260acbbcfp-15, 0x1.0dcd2ee9d9c7cp-15, 0x1.15b37275eca7cp-15, 0x1.1d3085d79a873p-15, 0x1.244f8c9b07177p-15, 0x1.2b193e310e953p-15, 0x1.318a63145586p-15, 0x1.3799382f445b3p-15, 0x1.3d44a60c412fep-15, 0x1.429586232688ep-15, 0x1.479266796777p-15, 0x1.4c3d3a1d96acap-15, 0x1.509a8357dd25ap-15, 0x1.54af8a3cdcef7p-15, 0x1.587d00f7a8ep-15, 0x1.5c01d7712d9aap-15, 0x1.5f409f6ac4457p-15, 0x1.623e37d103337p-15, 0x1.64fc03cb4d799p-15, 0x1.67784b4928c0fp-15, 0x1.69b38a7f5e23fp-15, 0x1.6bb122ee37e62p-15, 0x1.6d741f4ce374ap-15, 0x1.6efded8b0184ep-15, 0x1.704f818d8a992p-15, 0x1.716a029836e24p-15, 0x1.724fba0586a7bp-15, 0x1.7306b06d10ec4p-15, 0x1.73949ec9c1e7cp-15, 0x1.73f6a36ff4e57p-15, 0x1.7428ffae0d24bp-15, 0x1.7430d0dddfdadp-15, 0x1.7411c5f9c0703p-15, 0x1.73c7abee1a2ap-15, 0x1.735086b182f55p-15, 0x1.72af7ae526fb9p-15, 0x1.71e86eaf83952p-15, 0x1.70ffa109014ep-15, 0x1.6ff9970ab8cecp-15, 0x1.6ed740352259cp-15, 0x1.6d958b528bee4p-15, 0x1.6c33eb9a2b7f4p-15, 0x1.6ab63c14806bfp-15, 0x1.691e2d162dfaap-15, 0x1.6769d1f86378cp-15, 0x1.65991b3ead649p-15, 0x1.63ae721a32ba7p-15, 0x1.61abee8665ef9p-15, 0x1.5f92d1d42a423p-15, 0x1.5d63baabeb82dp-15, 0x1.5b1e34208d7c5p-15, 0x1.58c331f5168bbp-15, 0x1.56566d0aefc65p-15, 0x1.53d7ebe5c1293p-15, 0x1.51477c47ca5afp-15, 0x1.4ea8528ea8f5dp-15, 0x1.4bf8bba9de6b9p-15, 0x1.49372502104b5p-15, 0x1.4666186c7fd55p-15, 0x1.4387ab2d14db3p-15, 0x1.409c7328cb9ddp-15, 0x1.3da491ecba404p-15, 0x1.3aa0398b92757p-15, 0x1.378f99322e2f9p-15, 0x1.3472ee86cfebfp-15, 0x1.314ba578be9ecp-15, 0x1.2e1bdfcea2e99p-15, 0x1.2ae37d293dfb9p-15, 0x1.27a25956a6868p-15, 0x1.245a5b24fed59p-15, 0x1.210b16c6fdba2p-15, 0x1.1db3551f31c8p-15, 0x1.1a544402179e5p-15, 0x1.16ef7cf83d66dp-15, 0x1.1385e0fc4ff3fp-15, 0x1.1017239f9a77dp-15, 0x1.0ca216c82b08ap-15, 0x1.09282a1a6a736p-15, 0x1.05ab6a38b1d46p-15, 0x1.022c389fed559p-15, 0x1.fd558fd605f21p-16, 0x1.f64a5f886b34ep-16, 0x1.ef38c58032afep-16, 0x1.e823c80e6e798p-16, 0x1.e10c2ec11ae51p-16, 0x1.d9f22f15b6e25p-16, 0x1.d2d62a8b18991p-16, 0x1.cbb8b0f881e96p-16, 0x1.c49a670ff4b0ap-16, 0x1.bd7bf0300ea1ep-16, 0x1.b65de57fc6b79p-16, 0x1.af40dd2393a04p-16, 0x1.a825359ffb5fbp-16, 0x1.a10a6f879720ep-16, 0x1.99f02e8e3dbbp-16, 0x1.92d8caaf5949p-16, 0x1.8bc5fe73ecad9p-16, 0x1.84b87a46b0b99p-16, 0x1.7dafd4838e46bp-16, 0x1.76aa43879318ep-16, 0x1.6fa938a4bb0bfp-16, 0x1.68ae628ef4d09p-16, 0x1.61b94f0a00e7dp-16, 0x1.5ac8a5ad0c2ap-16, 0x1.53dee89a15cfep-16, 0x1.4cfe16ebadbc8p-16, 0x1.462506e0b5af6p-16, 0x1.3f51c485f188cp-16, 0x1.388624720c3ddp-16, 0x1.31c32aa31aeadp-16, 0x1.2b08e22af01fep-16, 0x1.245760b44c40bp-16, 0x1.1daeda52eba81p-16, 0x1.170f8de074c3p-16, 0x1.1079babd37c9cp-16, 0x1.09ed9daa626e8p-16, 0x1.036b7135c48dep-16, 0x1.f9e6df7af928dp-17, 0x1.ed0ba9702cf13p-17, 0x1.e045b55a18261p-17, 0x1.d3956c6ab39e6p-17, 0x1.c6fb2b55be6d2p-17, 0x1.ba775a941e1a2p-17, 0x1.ae0a5b6d8799dp-17, 0x1.a1b3b8b546be6p-17, 0x1.9572a24b27fecp-17, 0x1.8949770316d97p-17, 0x1.7d3a2816bb188p-17, 0x1.71432aea5c7dcp-17, 0x1.656334f3377a2p-17, 0x1.599bc7090a5cdp-17, 0x1.4dec44816e73ap-17, 0x1.425646fc52a6bp-17, 0x1.36db3554fa4cp-17, 0x1.2b78c62ca6b27p-17, 0x1.202f672aba732p-17, 0x1.14ffd6a008139p-17, 0x1.09ea1a7ea372fp-17, 0x1.fdddc79dc6a91p-18, 0x1.e81bfc86e144fp-18, 0x1.d28ead64bcabfp-18, 0x1.bd3629960af4ap-18, 0x1.a812ba449ea36p-18, 0x1.93249c3022773p-18, 0x1.7e6bfee2e0fbdp-18, 0x1.69e925d4886e7p-18, 0x1.559bd4142b1e8p-18, 0x1.4184a29e4d29bp-18, 0x1.2da3c311b6ccep-18, 0x1.19f8b9ed24095p-18, 0x1.06840dd40ce49p-18, 0x1.e68b79867088bp-19, 0x1.c07baf1468162p-19, 0x1.9ad8b7dc8743cp-19, 0x1.75a29500b715ap-19, 0x1.50d975be9ed37p-19, 0x1.2c7d70cf8f3b8p-19, 0x1.088e123c12581p-19, 0x1.ca1668f96aef5p-20, 0x1.83eb20109667cp-20, 0x1.3e98f08f359acp-20, 0x1.f44093eaf7aaep-21, 0x1.6d011491cb4aep-21, 0x1.cee5410866bebp-22, 0x1.8e514b14ddffep-23, -0x1.e9a772af9a638p-25, -0x1.3e34e79dd2619p-22, -0x1.1dec89b282e6p-21, -0x1.9b11ba1a4ab69p-21, -0x1.0b458c74003a2p-20, -0x1.482ce5b8f83e9p-20, -0x1.843f849939f6ep-20, -0x1.bf7e0ddd4c9bdp-20, -0x1.f9e92edfc0e5p-20, -0x1.19c0ceaaa728cp-19, -0x1.36240c03f1737p-19, -0x1.521eb39d66154p-19, -0x1.6db12da9ed088p-19, -0x1.88dbe5262b959p-19, -0x1.a39f4779b9a23p-19, -0x1.bdfbc9629c4cp-19, -0x1.d7f1f1b8decd2p-19, -0x1.f1822df1f89e7p-19, -0x1.0555ecc81a868p-18, -0x1.11b7f0713bff5p-18, -0x1.1de8910411894p-18, -0x1.29e6974183e1fp-18, -0x1.35b3d9672c909p-18, -0x1.414eee165c838p-18, -0x1.4cb82b66c6607p-18, -0x1.57f0d017f2864p-18, -0x1.62f9c58c6d139p-18, -0x1.6dd185b0f1178p-18, -0x1.7878662ba0929p-18, -0x1.82eef59744977p-18, -0x1.8d363ab67f8b2p-18, -0x1.974ee01982474p-18, -0x1.a138a9b633858p-18, -0x1.aaf3b4df6f213p-18, -0x1.b4804cc2a2b88p-18, -0x1.bddec416df4a2p-18, -0x1.c70f6d615660dp-18, -0x1.d0129a9ca7dd1p-18, -0x1.d8e89dc35c469p-18, -0x1.e191c91b02167p-18, -0x1.ea0e6f3aadab7p-18, -0x1.f25ee300337ffp-18, -0x1.fa837798b0601p-18, -0x1.013e404cafe2fp-17, -0x1.0525290417cbap-17, -0x1.08f6a0022097bp-17, -0x1.0cb2cf2e59694p-17, -0x1.1059e07b32b2bp-17, -0x1.13ebfe216adebp-17, -0x1.17695357844cap-17, -0x1.1ad20c9ec5d2cp-17, -0x1.1e2656ac230b3p-17, -0x1.21665e88c9eefp-17, -0x1.249252af8043dp-17, -0x1.27aa58b0aaddcp-17, -0x1.2aaead5c68f86p-17, -0x1.2d9f1ceb7dbf4p-17, -0x1.307c472102cbap-17, -0x1.3346572432563p-17, -0x1.35fdbf714567ap-17, -0x1.38a1a7e91c211p-17, -0x1.3b327873168d6p-17, -0x1.3db13ca717242p-17, -0x1.401e14620a557p-17, -0x1.427872b96876ap-17, -0x1.44c024e09c908p-17, -0x1.46f63528669d5p-17, -0x1.491add1406598p-17, -0x1.4b2e08254346p-17, -0x1.4d2fd8bcbb055p-17, -0x1.4f2081b58fcabp-17, -0x1.510040e297429p-17, -0x1.52cf4e09665adp-17, -0x1.548d3f2cba5e4p-17, -0x1.563a6bfa645fdp-17, -0x1.57d81c5bdf9bbp-17, -0x1.5965f953a339ep-17, -0x1.5ae330aa9734cp-17, -0x1.5c50a3844f0fp-17, -0x1.5dae98f3e738p-17, -0x1.5efd2973370d7p-17, -0x1.603c77522365bp-17, -0x1.616caac06732cp-17, -0x1.628df90c7668p-17, -0x1.63a0864e88307p-17, -0x1.64a47e34d2ff3p-17, -0x1.659a0e262678dp-17, -0x1.668161b03c2d6p-17, -0x1.675aa1fa6209p-17, -0x1.6825fca5e3d0dp-17, -0x1.68e39851cb98bp-17, -0x1.699397ebff067p-17, -0x1.6a362e382e55fp-17, -0x1.6acba7c2eb487p-17, -0x1.6b54370c5f7c1p-17, -0x1.6bcf5d1a7338fp-17, -0x1.6c3df23f2812ep-17, -0x1.6ca00d5022f24p-17, -0x1.6cf5b77bbd659p-17, -0x1.6d3f14ffbb138p-17, -0x1.6d7c547742661p-17, -0x1.6dadc1f85222ep-17, -0x1.6dd39571934dbp-17, -0x1.6ded572db4866p-17, -0x1.6dfbad9b1c31cp-17, -0x1.6dfee0ce11726p-17, -0x1.6df6ecd842dadp-17, -0x1.6de3f3f6c7cefp-17, -0x1.6dc62143c594ap-17, -0x1.6d9d9d8552d7ap-17, -0x1.6d6a926ee5dfep-17, -0x1.6d2d269e21e87p-17, -0x1.6ce57fecc94b6p-17, -0x1.6c93c41a302d5p-17, -0x1.6c381a76fa17cp-17, -0x1.6bd2aa2f66f94p-17, -0x1.6b6397419c035p-17, -0x1.6aeb06668943cp-17, -0x1.6a691f024854p-17, -0x1.69de06846b1b7p-17, -0x1.6949e03ce0e8ap-17, -0x1.68acd0ae50c26p-17, -0x1.6806fce91098ap-17, -0x1.6758896c56e6ep-17, -0x1.66a19a6d6e64cp-17, -0x1.65e2539291cbdp-17, -0x1.651ad719e31cep-17, -0x1.644b46fe1d6f8p-17, -0x1.6373c6cfe4abdp-17, -0x1.62947aa32b985p-17, -0x1.61ad91069d962p-17, -0x1.60bf224b5b99fp-17, -0x1.5fc92f8b8f0dfp-17, -0x1.5ecc0f82365fbp-17, -0x1.5dc7dea046dfbp-17, -0x1.5cbca5930d254p-17, -0x1.5baaaee38fb23p-17, -0x1.5a9140c26d5cp-17, -0x1.5971b1122d20fp-17, -0x1.584c1e60e87bfp-17, -0x1.571fd5e9ea796p-17, -0x1.55ed093b1a2fbp-17, -0x1.54b446d0fbe86p-17, -0x1.537592b2a6228p-17, -0x1.5230e43a9281ap-17, -0x1.50e681acb311ap-17, -0x1.4f967eb67e152p-17, -0x1.4e40f4d823794p-17, }}, 
      {{0x1.df584a17c6a97p-1, 0x1.eb53766c53959p-1, 0x1.fd0594637c464p-1, 0x1.0918fbbbfb0d7p+0, 0x1.1462f9072b718p+0, 0x1.1f83ea344b951p+0, 0x1.29d24e19ab527p+0, 0x1.32d613fd7eaffp+0, 0x1.3a429ae41eff9p+0, 0x1.3fef386a5c41bp+0, 0x1.43cfaf275360cp+0, 0x1.45ed44740f615p+0, 0x1.4660be5f271f5p+0, 0x1.454d5d9baf57dp+0, 0x1.42dccc2c949e4p+0, 0x1.3f3beb655a0b8p+0, 0x1.3a9864cfe6fc1p+0, 0x1.351ee02b39266p+0, 0x1.2ef9c15aff593p+0, 0x1.285053f204e9ap+0, 0x1.21464c855eb81p+0, 0x1.19fb8bb8bac0ap+0, 0x1.128c120bc6783p+0, 0x1.0b1016aad192bp+0, 0x1.039c36a5e6361p+0, 0x1.f88367b3fe558p-1, 0x1.ea1d7a61bd105p-1, 0x1.dc1d762a1e253p-1, 0x1.ce95397ed60bfp-1, 0x1.c1924716644cap-1, 0x1.b51e5587cdcf2p-1, 0x1.a93fd5628f123p-1, 0x1.9dfa6c92e92b1p-1, 0x1.934f663831749p-1, 0x1.893e174b62f3ep-1, 0x1.7fc437ddb58bcp-1, 0x1.76de31cffa3c4p-1, 0x1.6e87659301b04p-1, 0x1.66ba65c8f5fcbp-1, 0x1.5f712a9160c5ap-1, 0x1.58a53d5862245p-1, 0x1.524fde086b9ep-1, 0x1.4c6a223f20052p-1, 0x1.46ed0f75072e3p-1, 0x1.41d1b087f3c8bp-1, 0x1.3d1127526a84ep-1, 0x1.38a4baf588067p-1, 0x1.3485e3181b798p-1, 0x1.30ae50be21c72p-1, 0x1.2d17f4f53e27bp-1, 0x1.29bd05c22ae6dp-1, 0x1.2698016dc3d6fp-1, 0x1.23a3b0982b67p-1, 0x1.20db2751ed964p-1, 0x1.1e39c5238cad2p-1, 0x1.1bbb348367fb1p-1, 0x1.195b699d7b95dp-1, 0x1.1716a0abc5ef6p-1, 0x1.14e95bf2340f1p-1, 0x1.12d061608ff15p-1, 0x1.10c8b80560e04p-1, 0x1.0ecfa547f5147p-1, 0x1.0ce2aa2b0d5aap-1, 0x1.0aff804e1ba49p-1, 0x1.092417096bcd1p-1, 0x1.074e907956635p-1, 0x1.057d3e8fe7265p-1, 0x1.03aea030e68e8p-1, 0x1.01e15e6da71cfp-1, 0x1.001449b972249p-1, 0x1.fc8cae890db37p-2, 0x1.f8ed3ccbd7272p-2, 0x1.f548ac6039ad5p-2, 0x1.f19da606cc7a3p-2, 0x1.edeb0893598e1p-2, 0x1.ea2fe4bc9bcafp-2, 0x1.e66b78eb8ce3bp-2, 0x1.e29d2d5ae39d7p-2, 0x1.dec49076cecdap-2, 0x1.dae153562b867p-2, 0x1.d6f3468492b62p-2, 0x1.d2fa56ffc0892p-2, 0x1.cef68b4ba30f9p-2, 0x1.cae800c41ce91p-2, 0x1.c6cee928a5709p-2, 0x1.c2ab88563a0a7p-2, 0x1.be7e32075a3d2p-2, 0x1.ba4747e2c1cc3p-2, 0x1.b607379a6dee1p-2, 0x1.b1be793f3f86bp-2, 0x1.ad6d8da8670d9p-2, 0x1.a914fd07186adp-2, 0x1.a4b555984ef89p-2, 0x1.a04f2a73c4e05p-2, 0x1.9be3126e2cadfp-2, 0x1.9771a70f7f52ep-2, 0x1.92fb83b14940bp-2, 0x1.8e8144b048ad6p-2, 0x1.8a0386a0d0cedp-2, 0x1.8582e5a637c88p-2, 0x1.80fffcddf614p-2, 0x1.7c7b65d56cb38p-2, 0x1.77f5b810fbbe2p-2, 0x1.736f88aa8295p-2, 0x1.6ee969efd89ep-2, 0x1.6a63eb16186d5p-2, 0x1.65df97efe9126p-2, 0x1.615cf8b4280e1p-2, 0x1.5cdc91cb62aabp-2, 0x1.585ee3a13bd7fp-2, 0x1.53e46a7fec84bp-2, 0x1.4f6d9e70d2c16p-2, 0x1.4afaf32bec96fp-2, 0x1.468cd809a50a3p-2, 0x1.4223b7f44e004p-2, 0x1.3dbff9666e98fp-2, 0x1.3961fe6c3ebb9p-2, 0x1.350a24a5ec12ap-2, 0x1.30b8c550f68a8p-2, 0x1.2c6e3554ceaf1p-2, 0x1.282ac54c19896p-2, 0x1.23eec196f6d37p-2, 0x1.1fba726ad635ap-2, 0x1.1b8e1be28c499p-2, 0x1.1769fe16c9dc2p-2, 0x1.134e552f369f6p-2, 0x1.0f3b597adb3bp-2, 0x1.0b313f85d012ap-2, 0x1.073038323f822p-2, 0x1.033870d44a184p-2, 0x1.fe942692977c1p-3, 0x1.f6ca8c2371f26p-3, 0x1.ef1458dcf1f7bp-3, 0x1.e771ccfd33bb9p-3, 0x1.dfe322ab26517p-3, 0x1.d8688e388c1b3p-3, 0x1.d1023e544e6c3p-3, 0x1.c9b05c3e2595p-3, 0x1.c2730c059b2a5p-3, 0x1.bb4a6cb909502p-3, 0x1.b436989a8f443p-3, 0x1.ad37a5541daffp-3, 0x1.a64da42984cedp-3, 0x1.9f78a227ace65p-3, 0x1.98b8a8558bd4p-3, 0x1.920dbbe478c1cp-3, 0x1.8b77de5904f14p-3, 0x1.84f70db9de01p-3, 0x1.7e8b44bdc9bbfp-3, 0x1.78347aebdb8eap-3, 0x1.71f2a4d249557p-3, 0x1.6bc5b421ad4d2p-3, 0x1.65ad97da9e7d8p-3, 0x1.5faa3c722d4b6p-3, 0x1.59bb8bf1cc673p-3, 0x1.53e16e22379a4p-3, 0x1.4e1bc8a77abfep-3, 0x1.486a7f23ba0e1p-3, 0x1.42cd7354fa8a1p-3, 0x1.3d448537592e5p-3, 0x1.37cf931e39926p-3, 0x1.326e79d33f98ep-3, 0x1.2d2114b0cc57cp-3, 0x1.27e73db960b72p-3, 0x1.22c0cdb2e4a96p-3, 0x1.1dad9c3d8b1ffp-3, 0x1.18ad7fea0dff5p-3, 0x1.13c04e4dcfc02p-3, 0x1.0ee5dc19db8a5p-3, 0x1.0a1dfd2ea29p-3, 0x1.056884abdbd8dp-3, 0x1.00c5450478265p-3, 0x1.f868201e9498cp-4, 0x1.ef696e2e53adp-4, 0x1.e68e15d5d5261p-4, 0x1.ddd5b7d523966p-4, 0x1.d53ff42b8071dp-4, 0x1.cccc6a38523aep-4, 0x1.c47ab8c8d4dfbp-4, 0x1.bc4a7e3ae82b2p-4, 0x1.b43b588cbac99p-4, 0x1.ac4ce5760622cp-4, 0x1.a47ec27c248bep-4, 0x1.9cd08d05529c3p-4, 0x1.9541e26ae40ccp-4, 0x1.8dd26008e4b6p-4, 0x1.8681a35270baap-4, 0x1.7f4f49dd4d35ap-4, 0x1.783af1722fd19p-4, 0x1.7144381abed67p-4, 0x1.6a6abc2e88753p-4, 0x1.63ae1c5f0698ep-4, 0x1.5d0df7c2cccc6p-4, 0x1.5689eddfb845p-4, 0x1.50219eb647798p-4, 0x1.49d4aaca37237p-4, 0x1.43a2b32a2922ep-4, 0x1.3d8b597872679p-4, 0x1.378e3ff22e0e9p-4, 0x1.31ab09780e761p-4, 0x1.2be15993abe26p-4, 0x1.2630d47d44413p-4, 0x1.20991f218a679p-4, 0x1.1b19df26da26fp-4, 0x1.15b2baf1f3859p-4, 0x1.106359aa3e842p-4, 0x1.0b2b633dfc976p-4, 0x1.060a8065a2469p-4, 0x1.01005aa6f093bp-4, 0x1.f81938b0805a8p-5, 0x1.ee5de143d4d7ep-5, 0x1.e4ce07040fd7cp-5, 0x1.db6903a393d97p-5, 0x1.d22e328034845p-5, 0x1.c91cf0aa872bp-5, 0x1.c0349cf7e4a67p-5, 0x1.b77497ef3a4d4p-5, 0x1.aedc43d28c5bap-5, 0x1.a66b04a89c992p-5, 0x1.9e20403770f3ap-5, 0x1.95fb5e04cc884p-5, 0x1.8dfbc7572c9d3p-5, 0x1.8620e735cb722p-5, 0x1.7e6a2a692c48fp-5, 0x1.76d6ff7ac8b6ep-5, 0x1.6f66d6b4d47a4p-5, 0x1.6819222101dfap-5, 0x1.60ed5586fb903p-5, 0x1.59e2e66b6a688p-5, 0x1.52f94c0ed8d47p-5, 0x1.4c2fff6c415f3p-5, 0x1.45867b35c3af1p-5, 0x1.3efc3bd4b947ep-5, 0x1.3890bf644c55p-5, 0x1.324385b1eb118p-5, 0x1.2c14103abc84ap-5, 0x1.2601e2293f774p-5, 0x1.200c8051e7dc8p-5, 0x1.1a33712fb5e52p-5, 0x1.14763ce126cb7p-5, 0x1.0ed46d2574c91p-5, 0x1.094d8d5a3d6fcp-5, 0x1.03e12a78a958bp-5, 0x1.fd1da623cb53p-6, 0x1.f2ac2e96a117fp-6, 0x1.e86d11b59c37fp-6, 0x1.de5f7606d7964p-6, 0x1.d48285249446dp-6, 0x1.cad56bb6f0388p-6, 0x1.c157596ce0fdap-6, 0x1.b80780f457f46p-6, 0x1.aee517f220c48p-6, 0x1.a5ef56fa1c0cbp-6, 0x1.9d2579880bb92p-6, 0x1.9486bdf9164fcp-6, 0x1.8c1265850329dp-6, 0x1.83c7b4366a92ep-6, 0x1.7ba5f0e25bfb1p-6, 0x1.73ac65200be79p-6, 0x1.6bda5d40dbf5p-6, 0x1.642f284a269e8p-6, 0x1.5caa17ed07373p-6, 0x1.554a807f615d3p-6, 0x1.4e0fb8f4430e4p-6, 0x1.46f91ad492bccp-6, 0x1.400602399d4e4p-6, 0x1.3935cdbadf797p-6, 0x1.3287de74a879cp-6, 0x1.2bfb97f45d959p-6, 0x1.2590603814c97p-6, 0x1.1f459fa84e437p-6, 0x1.191ac10d18d25p-6, 0x1.130f31870b459p-6, 0x1.0d2260877811p-6, 0x1.0753bfc8cead5p-6, 0x1.01a2c347619ap-6, 0x1.f81dc2753b533p-7, 0x1.ed2f241d09b8cp-7, 0x1.e278a0b90651ap-7, 0x1.d7f931c71a054p-7, 0x1.cdafd501233eap-7, 0x1.c39b8c4e6a021p-7, 0x1.b9bb5db54816p-7, 0x1.b00e534d7faf7p-7, 0x1.a6937b33501cfp-7, 0x1.9d49e77a5a986p-7, 0x1.9430ae20c39cdp-7, 0x1.8b46e8ff3207fp-7, 0x1.828bb5beaa7f3p-7, 0x1.79fe35c6359ep-7, 0x1.719d8e2f1efe9p-7, 0x1.6968e7b77d281p-7, 0x1.615f6eb5c64c3p-7, 0x1.5980530cbf173p-7, 0x1.51cac81f8f7f5p-7, 0x1.4a3e04c5b2fd1p-7, 0x1.42d9433ec9f15p-7, 0x1.3b9bc125da153p-7, 0x1.3484bf63d1e7ep-7, 0x1.2d938221a2d69p-7, 0x1.26c750bab2162p-7, 0x1.201f75b0d8569p-7, 0x1.199b3ea23c739p-7, 0x1.1339fc4008497p-7, 0x1.0cfb02449c7c7p-7, 0x1.06dda7685046dp-7, 0x1.00e14554dbdap-7, 0x1.f60a71307a605p-8, 0x1.ea91c1306fa1ep-8, 0x1.df573f0dc8b56p-8, 0x1.d459b4b0f2ee6p-8, 0x1.c997f173563edp-8, 0x1.bf10ca0c4f223p-8, 0x1.b4c3187c9b185p-8, 0x1.aaadbbfdda3ccp-8, 0x1.a0cf98e92f66p-8, 0x1.972798a20eb76p-8, 0x1.8db4a97dd842ep-8, 0x1.8475beb89c7d2p-8, 0x1.7b69d05c99512p-8, 0x1.728fdb3015ca3p-8, 0x1.69e6e0a3c839dp-8, 0x1.616de6c0b5d24p-8, 0x1.5923f81525d0bp-8, 0x1.510823a6a0578p-8, 0x1.49197cc92a772p-8, 0x1.41571b371d1eap-8, 0x1.39c01ad61cffap-8, 0x1.32539bcc2be5ep-8, 0x1.2b10c2526f5e4p-8, 0x1.23f6b69187eafp-8, 0x1.1d04a4b564da2p-8, 0x1.1639bced3eec9p-8, 0x1.0f953334cc2fcp-8, 0x1.09163f3b886e9p-8, 0x1.02bc1c724728cp-8, 0x1.f90c13fa310efp-9, 0x1.ece69530ebe1p-9, 0x1.e106490fbb4e1p-9, 0x1.d569c310d6ab3p-9, 0x1.ca0f9d861957p-9, 0x1.bef6797d46ccfp-9, 0x1.b41cfea18c37cp-9, 0x1.a981db233e8b3p-9, 0x1.9f23c398aac21p-9, 0x1.950172e45f4b9p-9, 0x1.8b19aa18c34b1p-9, 0x1.816b305dc3857p-9, 0x1.77f4d2d63bbfcp-9, 0x1.6eb564859d7bcp-9, 0x1.65abbe360509dp-9, 0x1.5cd6be5e6b517p-9, 0x1.5435490957636p-9, 0x1.4bc647bd24cf5p-9, 0x1.4388a9630886ep-9, 0x1.3b7b622f894d9p-9, 0x1.339d6b8d380d9p-9, 0x1.2bedc4036a6c7p-9, 0x1.246b6f219a528p-9, 0x1.1d157567f95fdp-9, 0x1.15eae430a441fp-9, 0x1.0eeacd99a2638p-9, 0x1.0814486ee23bp-9, 0x1.0166701487ca8p-9, 0x1.f5c0c8e34c2a9p-10, 0x1.e90293b769374p-10, 0x1.dc9092064d84dp-10, 0x1.d0691dc176ap-10, 0x1.c48a99460cea9p-10, 0x1.b8f36f377ab3cp-10, 0x1.ada212598536ep-10, 0x1.a294fd69b4d5bp-10, 0x1.97cab2f7b93dcp-10, 0x1.8d41bd3db167ep-10, 0x1.82f8adf863d45p-10, 0x1.78ee1e4204ecdp-10, 0x1.6f20ae704f74dp-10, 0x1.658f05f62bd3bp-10, 0x1.5c37d346b106p-10, 0x1.5319cbbb0ee71p-10, 0x1.4a33ab6c7c66cp-10, 0x1.4184352ac1ba3p-10, 0x1.390a3246de10bp-10, 0x1.30c47283b4f19p-10, 0x1.28b1cbec2c49ep-10, 0x1.20d11a8bef18fp-10, 0x1.192140888b742p-10, 0x1.11a125ca79dbp-10, 0x1.0a4fb7f716bbbp-10, 0x1.032bea5611003p-10, 0x1.f8696b7ec0947p-11, 0x1.ead23118ae63cp-11, 0x1.dd902d109bdefp-11, 0x1.d0a171b340a6p-11, 0x1.c4041b8c8e0cbp-11, 0x1.b7b6539c14efdp-11, 0x1.abb647d6f5d81p-11, 0x1.a0023692f64f2p-11, 0x1.9498627e5e54bp-11, 0x1.8977198888de9p-11, 0x1.7e9cb23177dc3p-11, 0x1.74078baefd9ddp-11, 0x1.69b60ddfcd558p-11, 0x1.5fa6a9443e15ap-11, 0x1.55d7d6fcbb1ecp-11, 0x1.4c4818c4c54dbp-11, 0x1.42f5f8e0e8707p-11, 0x1.39e009f8d8191p-11, 0x1.3104e6db495b9p-11, 0x1.2863322fa461dp-11, 0x1.1ff9961a54c9p-11, 0x1.17c6c3e6875afp-11, 0x1.0fc973b94dd46p-11, 0x1.08006461c3c06p-11, 0x1.006a5b4235dedp-11, 0x1.f20c48b06856ap-12, 0x1.e3a524a2d3751p-12, 0x1.d59cfd418334ep-12, 0x1.c7f1930912e78p-12, 0x1.baa0b3eb8f758p-12, 0x1.ada83b0542ee4p-12, 0x1.a10610343b746p-12, 0x1.94b8279ed33c9p-12, 0x1.88bc812af9478p-12, 0x1.7d1127e3be077p-12, 0x1.71b4314c9ffd1p-12, 0x1.66a3bcb4ec989p-12, 0x1.5bddf2af03ff5p-12, 0x1.516104ddc618fp-12, 0x1.472b2e357856ep-12, 0x1.3d3ab39ed8b8cp-12, 0x1.338de4b2326ddp-12, 0x1.2a231c3106794p-12, 0x1.20f8c00ac8f75p-12, 0x1.180d40f76f8efp-12, 0x1.0f5f19d11e294p-12, 0x1.06ecced12009cp-12, 0x1.fd69d9a354a92p-13, 0x1.ed6c110a9421ap-13, 0x1.dddd7ab002849p-13, 0x1.cebb5b705472fp-13, 0x1.c0030498b8d89p-13, 0x1.b1b1d36158e8p-13, 0x1.a3c53396a4ceep-13, 0x1.963a9ed53afc5p-13, 0x1.890f9e907a893p-13, 0x1.7c41cd36b802bp-13, 0x1.6fced65f27cf3p-13, 0x1.63b47667de6dbp-13, 0x1.57f0798eb75fdp-13, 0x1.4c80bad664deep-13, 0x1.416322f93a2c4p-13, 0x1.3695a71c9283cp-13, 0x1.2c16483e157bfp-13, 0x1.21e311b13e25p-13, 0x1.17fa188ab81f7p-13, 0x1.0e597a5cf9091p-13, 0x1.04ff5d2cc1d66p-13, 0x1.f7d3df8a6a40fp-14, 0x1.e62ed57ff061bp-14, 0x1.d50c239daee89p-14, 0x1.c468695ec6dadp-14, 0x1.b4405eb071f13p-14, 0x1.a490d22cccdc3p-14, 0x1.9556aaa3a1a81p-14, 0x1.868edc5d848dap-14, 0x1.78366fd71c7f5p-14, 0x1.6a4a87bf9b79bp-14, 0x1.5cc851c004f75p-14, 0x1.4fad132099b96p-14, 0x1.42f6228867dep-14, 0x1.36a0e698a8a4cp-14, 0x1.2aaad42f98fcap-14, 0x1.1f116d46699fbp-14, 0x1.13d240d5ab0d9p-14, 0x1.08eaebdbc067bp-14, 0x1.fcb2358cc6aaep-15, 0x1.e835140a74572p-15, 0x1.d45a09fb61fd9p-15, 0x1.c11cc72a37511p-15, 0x1.ae790ee6cb32cp-15, 0x1.9c6ab494d2528p-15, 0x1.8aed9c4d5dde8p-15, 0x1.79fdbf6c92131p-15, 0x1.69973332a4c79p-15, 0x1.59b62e481aeb1p-15, 0x1.4a570a67d05e1p-15, 0x1.3b7641a8d8d78p-15, 0x1.2d1069a57b0a2p-15, 0x1.1f222febbfabap-15, 0x1.11a859d24bbedp-15, 0x1.049fc6d507756p-15, 0x1.f00ae44177b5fp-16, 0x1.d7ace11afb0e3p-16, 0x1.c01fd3895145cp-16, 0x1.a95e21b71d181p-16, 0x1.93623ccf556f9p-16, 0x1.7e269d24a1d89p-16, 0x1.69a5c3ebe202ep-16, 0x1.55da3f60593edp-16, 0x1.42beb0b9befcp-16, 0x1.304dd55a8149p-16, 0x1.1e829244ebcb1p-16, 0x1.0d57fc5741a6dp-16, 0x1.f992afcbdb18ep-17, 0x1.d9a42178e751cp-17, 0x1.badb6764a23ccp-17, 0x1.9d2fe73edb9ap-17, 0x1.809973501e7dfp-17, 0x1.651068502fa17p-17, 0x1.4a8da8626dd1fp-17, 0x1.310a68d3fa2a8p-17, 0x1.187feb097d536p-17, 0x1.00e74b48718efp-17, 0x1.d4730017a377ep-18, 0x1.a8defe200dfdp-18, 0x1.7f04c91082971p-18, 0x1.56d70435f5bafp-18, 0x1.3048a537a3383p-18, 0x1.0b4cb9214c7fap-18, 0x1.cfad260d0badcp-19, 0x1.8bb36cac506cbp-19, 0x1.4a93e15a0a13bp-19, 0x1.0c36e82b5073ep-19, 0x1.a10a52cdbca07p-20, 0x1.2ecf7fc56a5abp-20, 0x1.83231762ab5f3p-21, 0x1.64a12e2921155p-22, -0x1.51fa5492a76f5p-25, -0x1.a6da84a2a1d6bp-22, -0x1.88d54b916bb06p-21, -0x1.1acb9160d240ap-20, -0x1.6cfb229cae7ccp-20, -0x1.bb1c31d002823p-20, -0x1.02a8850fdfc33p-19, -0x1.25dd3039e171ep-19, -0x1.473ba442f5644p-19, -0x1.66d2dad939dc8p-19, -0x1.84b1829220bbep-19, -0x1.a0e62cbde8d7dp-19, -0x1.bb7f5a66708dp-19, -0x1.d48b688476e72p-19, -0x1.ec186feed4e27p-19, -0x1.011a1d14e0507p-18, -0x1.0b76275c327a5p-18, -0x1.1526f17e7e991p-18, -0x1.1e32c78f8f87bp-18, -0x1.269f716e43e7fp-18, -0x1.2e722d91e507ap-18, -0x1.35afe3603c75dp-18, -0x1.3c5d60200078cp-18, -0x1.427f6d6726ec8p-18, -0x1.481ac66a48cc4p-18, -0x1.4d34150f413f2p-18, -0x1.51d0004fb7f61p-18, -0x1.55f3290d0a5dbp-18, -0x1.59a20938da562p-18, -0x1.5ce0db72de8dap-18, -0x1.5fb3a76451f33p-18, -0x1.621e62f94ca46p-18, -0x1.64250d88a8ba3p-18, -0x1.65cbb456eca54p-18, -0x1.67165a663f025p-18, -0x1.6808d1832329bp-18, -0x1.68a6a4ae5c58ap-18, -0x1.68f32677c8e38p-18, -0x1.68f18f3e13534p-18, -0x1.68a50a95b6632p-18, -0x1.6810b6fd77a93p-18, -0x1.6737b2d3165c1p-18, -0x1.661d23401c3e5p-18, -0x1.64c42f49c2ad8p-18, -0x1.632f75b4d672p-18, -0x1.616167f3bee1p-18, -0x1.5f5c3987b2a8ap-18, -0x1.5d224e77617a4p-18, -0x1.5ab62c7040c83p-18, -0x1.581a4c0802da2p-18, -0x1.5550f80c307c8p-18, -0x1.525c4e5d7760cp-18, -0x1.4f3e53b52c1cbp-18, -0x1.4bf9093ccbd54p-18, -0x1.488e7d981665bp-18, -0x1.4500cdc4770fap-18, -0x1.41520acb0984cp-18, -0x1.3d8414f73e4c1p-18, -0x1.39988c208d1b8p-18, -0x1.3590e76ef6672p-18, -0x1.316ea4eb06b5fp-18, -0x1.2d3364c89d18ep-18, -0x1.28e0def1a427ep-18, -0x1.2478cca9e441cp-18, -0x1.1ffcd12e1ad99p-18, -0x1.1b6e483d03344p-18, -0x1.16ce3ca443452p-18, -0x1.121dc9a668038p-18, -0x1.0d5e1e8b1e913p-18, -0x1.08909ed2360a7p-18, -0x1.03b71bbb82c48p-18, -0x1.fda72834b253ep-19, -0x1.f3cc0d862c61fp-19, -0x1.e9dc9e8708db4p-19, -0x1.dfdc4b9d7b75ep-19, -0x1.d5cb3df6fa296p-19, -0x1.cbadbc7ec700ep-19, -0x1.c187e6259882fp-19, -0x1.b759fc8cf51bbp-19, -0x1.ad24b9ec621d9p-19, -0x1.a2e9aade1d845p-19, -0x1.98aa5867c3b91p-19, -0x1.8e682a1e54b6dp-19, -0x1.8424955530414p-19, -0x1.79e12633f7a12p-19, -0x1.6f9f77f4c5145p-19, -0x1.65611314792a7p-19, -0x1.5b2738f0d8eb8p-19, -0x1.50f3051a41c62p-19, -0x1.46c5fb7e31c69p-19, -0x1.3ca1893f5b2a9p-19, -0x1.328596fa3158bp-19, -0x1.2871be344a703p-19, -0x1.1e6893714f95fp-19, -0x1.146c5fc6a6479p-19, -0x1.0a7c2bcd2888fp-19, -0x1.0097f5c16988fp-19, -0x1.ed8501aee9b96p-20, -0x1.d9fad9611ac07p-20, -0x1.c691603bafa18p-20, -0x1.b348be499db3ep-20, -0x1.a022248a8da16p-20, -0x1.8d1f0e1c863b7p-20, -0x1.7a40ca4d87bdbp-20, -0x1.678884577d9adp-20, -0x1.54f74b8a43fdap-20, -0x1.428e1a1c651b6p-20, -0x1.304dfb87923cp-20, -0x1.1e3818e104a12p-20, -0x1.0c4d7ea3fdf5fp-20, -0x1.f51df5ee151f9p-21, -0x1.d1fa761c0e1dbp-21, -0x1.af31a560dd48p-21, -0x1.8cc4fa035cc78p-21, -0x1.6ab6339db63afp-21, -0x1.490673ff241b2p-21, -0x1.27b6a59bb6cacp-21, -0x1.06c7e1ddd4dddp-21, -0x1.cc7646f972138p-22, -0x1.8c226b1141e12p-22, -0x1.4c95a4ef39074p-22, -0x1.0dd187d2b2215p-22, -0x1.9fafa79be0e8ep-23, -0x1.25546df16d60ep-23, -0x1.59283302052e6p-24, -0x1.ab833de72ad57p-26, 0x1.0057dc3d1b509p-25, 0x1.67fbdff48b2f3p-24, 0x1.264580651c454p-23, 0x1.96eb676ca524p-23, 0x1.02f78aa0c48cdp-22, 0x1.39a7f4030c643p-22, 0x1.6f8690ff3453ap-22, 0x1.a48f300987da2p-22, 0x1.d8c9bd7089546p-22, 0x1.06180df8468c4p-21, 0x1.1f62d1c72aed1p-21, 0x1.3846054cc6163p-21, 0x1.50be888d6ba0ep-21, 0x1.68ce350f9e68fp-21, 0x1.807575407393p-21, 0x1.97b470bcf07efp-21, 0x1.ae8b5217c5737p-21, 0x1.c4fa6585cf9ffp-21, 0x1.db0205c595b5cp-21, 0x1.f0a29285defc4p-21, 0x1.02ee37a997083p-20, 0x1.0d5802fb618ep-20, 0x1.178ee48ed1acbp-20, 0x1.2193186298c6fp-20, 0x1.2b64d60135761p-20, 0x1.35044d8b6d6a5p-20, 0x1.3e71b7c3452p-20, 0x1.47ad5e8007567p-20, 0x1.50b785fa895dbp-20, 0x1.599075d72076dp-20, 0x1.62388328a29b5p-20, 0x1.6ab00b9c7917p-20, 0x1.72f76cfaedd82p-20, 0x1.7b0ef2f7d6da8p-20, 0x1.82f6e8bf0eca1p-20, 0x1.8aafa794bb56bp-20, 0x1.92398f088f021p-20, 0x1.9994ea0c9907p-20, 0x1.a0c208ce8120ep-20, 0x1.a7c14fe3f9667p-20, 0x1.ae932a65394fcp-20, 0x1.b537f197822afp-20, 0x1.bbb00352c574ap-20, 0x1.c1fbc2c32fa49p-20, 0x1.c81b9376d367ep-20, 0x1.ce0fd8fb7ac96p-20, 0x1.d3d8f77135909p-20, 0x1.d97754349b745p-20, 0x1.deeb55ee7bbb3p-20, 0x1.e4356415e3b5ep-20, 0x1.e955e685d4a5dp-20, 0x1.ee4d454aae1fap-20, 0x1.f31be8ed0b0fp-20, 0x1.f7c23b3ab6396p-20, 0x1.fc40a7a0d3baap-20, 0x1.004bccfba289bp-19, 0x1.0263be91ae488p-19, 0x1.04685e6d007b3p-19, 0x1.0659e2a6c1ca8p-19, 0x1.08387e306f152p-19, 0x1.0a04657e11a18p-19, 0x1.0bbdd4b1176bap-19, 0x1.0d650a758734dp-19, 0x1.0efa53645546cp-19, 0x1.107e224911652p-19, 0x1.11f0e69fbe6a6p-19, 0x1.13516950f29b2p-19, 0x1.149d5c650d65p-19, 0x1.15d9fc65243e5p-19, 0x1.1708a15b04629p-19, 0x1.18288d4a52a1p-19, 0x1.1934e9ecbb02bp-19, 0x1.1a3033190ec26p-19, 0x1.1b1c1a92ed7afp-19, 0x1.1bf8a4a82b2f4p-19, 0x1.1cc5cc1b381ebp-19, 0x1.1d83b3b0d7b9bp-19, 0x1.1e32874045d61p-19, 0x1.1ed2121a53dcp-19, 0x1.1f64487a4f8b8p-19, 0x1.1fe72d657bbc8p-19, 0x1.205a9eba671ddp-19, 0x1.20c182b433c8p-19, 0x1.211a1db17070fp-19, 0x1.21651183ebbf4p-19, 0x1.21a28ad5c281cp-19, 0x1.21d2d1b6a9eddp-19, 0x1.21f61f912e8cfp-19, 0x1.220c8bbba5258p-19, 0x1.22164e17f1e91p-19, 0x1.22139de0a0c76p-19, 0x1.2204ade6f980dp-19, 0x1.21e9afd847e6p-19, 0x1.21c2d56838e4dp-19, 0x1.21904fb7bf3cp-19, 0x1.21524fcc18e4ap-19, 0x1.2109065e1d1b3p-19, 0x1.20b4a3dff36ep-19, 0x1.20555869660cdp-19, 0x1.1feb53b829d77p-19, 0x1.1f76c52db214bp-19, 0x1.1ef7dbcb3013ep-19, 0x1.1e6ec632e2ac5p-19, 0x1.1ddbb2ad4e7a3p-19, 0x1.1d3ecf2ede71cp-19, 0x1.1c98495515067p-19, 0x1.1be84e53e8cd6p-19, 0x1.1b2f0aea90059p-19, 0x1.1a6cab8c29be5p-19, 0x1.19a15c89b4306p-19, 0x1.18cd4a5112b94p-19, 0x1.17f0a29b13a7ep-19, 0x1.170b9812b6e78p-19, 0x1.161e6bf518c6ep-19, 0x1.15297aee4ae7bp-19, 0x1.142ce6f2ef096p-19, 0x1.1326dd790ecadp-19, 0x1.12183fd63106p-19, 0x1.11053af49e9dep-19, 0x1.0fe8a74f2df69p-19, 0x1.0ec859e517c5p-19, 0x1.0d9f4400db939p-19, 0x1.0c6e155c3c2aep-19, 0x1.0b369c8db3843p-19, 0x1.09f8ebe3dcab6p-19, 0x1.08b4f82d3d2dbp-19, 0x1.076ad34e1263ep-19, 0x1.061a9cbfaa433p-19, 0x1.04c47867ad444p-19, 0x1.03688ae4275ccp-19, 0x1.0206f86fc54bep-19, 0x1.009fe5346c07bp-19, 0x1.fe66ea2ab1d4bp-20, 0x1.fb8397246c6bap-20, 0x1.f89617861ae5ap-20, 0x1.f59eb0b686806p-20, 0x1.f29da7584c5e1p-20, 0x1.ef933f4a9e0eep-20, 0x1.ec7fbba5fc8bdp-20, 0x1.e9635eb9f1fcep-20, 0x1.e63e6a0d11b9p-20, 0x1.e3111e5bb574ep-20, 0x1.dfdbbb933cedbp-20, 0x1.dc9e811bef969p-20, 0x1.d959ae0448c8ap-20, 0x1.d60d7ff7c15dep-20, 0x1.d2ba339c7d9cdp-20, 0x1.cf600506dae17p-20, 0x1.cbff2ec92fddp-20, 0x1.c897eb7020ceap-20, 0x1.c52a77b377227p-20, 0x1.c1b71b4469745p-20, 0x1.be3de37a6987bp-20, 0x1.bac01765cd0bbp-20, 0x1.b73ab0b34fdd1p-20, 0x1.b3b1ce6dd5ddbp-20, 0x1.b0238e9974a07p-20, 0x1.ac90b65e901abp-20, 0x1.a8f9656da74f5p-20, 0x1.a55dca65ce94fp-20, 0x1.a1be18a5aec27p-20, 0x1.9e1a819b0916cp-20, 0x1.9a7334ac43e85p-20, 0x1.96c86127c6c98p-20, 0x1.931a3822c8899p-20, 0x1.8f68e84bb20a4p-20, 0x1.8bb4a0b4ddcfep-20, 0x1.87fd9977c1f22p-20, 0x1.84442ee59ffc9p-20, 0x1.80892826a832fp-20, 0x1.7ccd159019deap-20, 0x1.790a3576bf838p-20, 0x1.7542736b1ec62p-20, 0x1.7180f13acaac2p-20, 0x1.6dc0c83b49f61p-20, 0x1.69f8543a06bc7p-20, 0x1.662ebc818d62p-20, 0x1.6264c0d5f0a45p-20, 0x1.5e9a216206e17p-20, 0x1.5acf4388575d1p-20, 0x1.5703f0f664bdcp-20, 0x1.5337be620c8ffp-20, 0x1.4f6afbd3232bdp-20, 0x1.4b9df322541bfp-20, 0x1.47d0ddc13e93bp-20, 0x1.4403e19a2fe5p-20, 0x1.40370c2373569p-20, 0x1.3c6a98e72f1b1p-20, 0x1.389ea81d8f1f4p-20, 0x1.34d32340c6566p-20, 0x1.31083ce6304e4p-20, 0x1.2d3e217cd4a89p-20, 0x1.2974f89d3d9cep-20, 0x1.25ace43d5fe03p-20, 0x1.21e6053e8ccc4p-20, 0x1.1e20774aa438cp-20, 0x1.1a5c546c236d9p-20, 0x1.1699b6ee991b6p-20, 0x1.12d8ba4eac9ddp-20, 0x1.0f197c03c531fp-20, 0x1.0b5c1b2b5aa81p-20, 0x1.07a0b54baa316p-20, 0x1.03e7636cfe98ap-20, 0x1.003030f07d871p-20, 0x1.f8f64a558d9dp-21, 0x1.f190ad54e1e59p-21, 0x1.ea2fcdf7ee79ep-21, 0x1.e2d403bc54bdcp-21, 0x1.db7d808a7d104p-21, 0x1.d42c767033233p-21, 0x1.cce1159b7bdaep-21, 0x1.c59b8d5002ea4p-21, 0x1.be5be5a849c73p-21, 0x1.b7222778ed3bcp-21, 0x1.afeea8f669dd3p-21, 0x1.a8c1a9b78b6a5p-21, 0x1.a19b1b57d5fap-21, 0x1.9a7b19c01003cp-21, 0x1.9361f5feb1b8p-21, 0x1.8c4fddb98ec18p-21, 0x1.8544e57e43d8ap-21, 0x1.7e412695ffa6cp-21, 0x1.7744bff28a2f6p-21, 0x1.704fd19f6f12bp-21, 0x1.69627a4808b65p-21, 0x1.627cd81ec167ep-21, 0x1.5b9f09f387596p-21, 0x1.54c92e98db842p-21, 0x1.4dfb643754ff4p-21, 0x1.4735c8829796p-21, 0x1.40787fc9bca4ep-21, 0x1.39c3d7663ed1p-21, 0x1.3318bdb5c2b2ap-21, 0x1.2c760c5e4c9f5p-21, 0x1.25dd860d93706p-21, 0x1.1f41dc09b5bdfp-21, 0x1.18b7867a6da5bp-21, 0x1.123edd92ec934p-21, 0x1.0bc936264c62ap-21, 0x1.0557d80b56b57p-21, 0x1.fde3cdeb808c6p-22, 0x1.f12c1aad68e2ap-22, 0x1.e48775c75afd6p-22, 0x1.d7f5badce22a6p-22, 0x1.cb77007214a95p-22, 0x1.bf0b683b05535p-22, }}, 
      {{0x1.71c0cc2eae54bp-18, 0x1.6103a68b02691p-13, 0x1.7f00583303d61p-11, 0x1.e06cf4dc82256p-10, 0x1.c6376f18eb9acp-9, 0x1.67b21d8a0d19fp-8, 0x1.f6e3dd9d067e7p-8, 0x1.3f689cd7fc5ep-7, 0x1.76932e581cf5p-7, 0x1.9875998cec075p-7, 0x1.9ddb0e4f31fd3p-7, 0x1.812c17f4b2fb6p-7, 0x1.3e8fd7e25d261p-7, 0x1.a7cd6416a4bfp-8, 0x1.02a8718ec3d66p-9, -0x1.e91137774198ep-9, -0x1.5ad47b6699669p-7, -0x1.2f024877900a8p-6, -0x1.c00dee1c46c1cp-6, -0x1.2f386891cb68ep-5, -0x1.83f36972cdb75p-5, -0x1.dd0c82f847f0dp-5, -0x1.1cabcae5b24efp-4, -0x1.4bd76fac1ef6dp-4, -0x1.7b7c47ac14abdp-4, -0x1.ab1577142b7b5p-4, -0x1.da27b231e3b2fp-4, -0x1.0421192092b75p-3, -0x1.1a7fa46520cadp-3, -0x1.3002473c58afp-3, -0x1.448167c323597p-3, -0x1.57dadf4ebdc69p-3, -0x1.69f1c1e962072p-3, -0x1.7aae12791bf0ap-3, -0x1.89fc74d86d8d5p-3, -0x1.97cdd52b35247p-3, -0x1.a4170f82ad9efp-3, -0x1.aed096e05f3d4p-3, -0x1.b7f61eb3799a2p-3, -0x1.bf8647bb371a5p-3, -0x1.c5824f28bb7aep-3, -0x1.c9edc7891846bp-3, -0x1.ccce4dbd9a06ap-3, -0x1.ce2b4a8551f08p-3, -0x1.ce0db787377a5p-3, -0x1.cc7fe57779909p-3, -0x1.c98d4af1fc537p-3, -0x1.c54256bb0b518p-3, -0x1.bfac43c17442p-3, -0x1.b8d8f43854ba2p-3, -0x1.b0d6cd8a6483bp-3, -0x1.a7b498ea79ccp-3, -0x1.9d8166d4d3685p-3, -0x1.924c74c92cbf2p-3, -0x1.8625167197ffp-3, -0x1.791aa09508a03p-3, -0x1.6b3c565805d49p-3, -0x1.5c995828c554cp-3, -0x1.4d4095cb7358fp-3, -0x1.3d40c0b77a7bp-3, -0x1.2ca840d19db3fp-3, -0x1.1b852aa3c9a9ep-3, -0x1.09e536bcc0c1p-3, -0x1.efab751353719p-4, -0x1.cac74481ebb25p-4, -0x1.a536d7ce3863ap-4, -0x1.7f1246f16017bp-4, -0x1.5870bf5f4e2bfp-4, -0x1.31687fc63c483p-4, -0x1.0a0ed52f4812p-4, -0x1.c4f032a25fa77p-5, -0x1.756f64b224081p-5, -0x1.25c026f663001p-5, -0x1.ac0afed0200c8p-6, -0x1.0cc12ad930d39p-6, -0x1.b785efbea9e22p-8, 0x1.82c81043c7b35p-9, 0x1.9b6d8ee546bbep-7, 0x1.6a03bbb8c540fp-6, 0x1.028791a2c8ee6p-5, 0x1.4f55bf6759eacp-5, 0x1.9b573b4bf2f91p-5, 0x1.e678609484a15p-5, 0x1.18537fcf4ad6p-4, 0x1.3ce929fdcb602p-4, 0x1.60f57ad261244p-4, 0x1.84716354ec89ep-4, 0x1.a756751f79a56p-4, 0x1.c99eda597cf1ep-4, 0x1.eb454ccac398ep-4, 0x1.062288e7d3719p-3, 0x1.164cf947428c5p-3, 0x1.262019b6a5b34p-3, 0x1.359a48201ef95p-3, 0x1.44ba1ab3f126bp-3, 0x1.537e5bd6e4ccep-3, 0x1.61e608850625cp-3, 0x1.6ff04d16bc8adp-3, 0x1.7d9c81d92d53ap-3, 0x1.8aea29746bf48p-3, 0x1.97d8edf03f425p-3, 0x1.a4689e2252e2ap-3, 0x1.b0992bdd4fc23p-3, 0x1.bc6aa98389365p-3, 0x1.c7dd47c44707fp-3, 0x1.d2f154478c4c6p-3, 0x1.dda736f344fp-3, 0x1.e7ff70f52d743p-3, 0x1.f1fa9abcac181p-3, 0x1.fb99621309bffp-3, 0x1.026e44a5477eap-2, 0x1.06e272a541378p-2, 0x1.0b29ae0ef7d96p-2, 0x1.0f44720cad261p-2, 0x1.1333411a48e75p-2, 0x1.16f6a46fe967ap-2, 0x1.1a8f2b71f7408p-2, 0x1.1dfd6b3b0695ap-2, 0x1.2141fddbdbca6p-2, 0x1.245d820743ad6p-2, 0x1.27509a84668a4p-2, 0x1.2a1bedae9893fp-2, 0x1.2cc0250c2441dp-2, 0x1.2f3decea664f3p-2, 0x1.3195f3e90521bp-2, 0x1.33c8ea904000ap-2, 0x1.35d7830d599bdp-2, 0x1.37c270d6df504p-2, 0x1.398a684020f03p-2, 0x1.3b301e44cceb5p-2, 0x1.3cb448397e6bep-2, 0x1.3e179b8c57aaap-2, 0x1.3f5acd64f3231p-2, 0x1.407e929b36234p-2, 0x1.41839f528342ap-2, 0x1.426aa6de12d85p-2, 0x1.43345b88416ep-2, 0x1.43e16e5a63e53p-2, 0x1.44728f17d3f33p-2, 0x1.44e86bf4454dfp-2, 0x1.4543b1799e165p-2, 0x1.45850a76b25dfp-2, 0x1.45ad1fe725bc7p-2, 0x1.45bc98ca6e02cp-2, 0x1.45b41a0cbcb23p-2, 0x1.459446885adf6p-2, 0x1.455dbeef5973cp-2, 0x1.451121b1e36b2p-2, 0x1.44af0afa732d9p-2, 0x1.4438149d58d55p-2, 0x1.43acd622e0fd2p-2, 0x1.430de4aad7e91p-2, 0x1.425bd2eeeaa76p-2, 0x1.4197313ffdcf2p-2, 0x1.40c08d815cb9dp-2, 0x1.3fd8732ed3b39p-2, 0x1.3edf6b52ba6e9p-2, 0x1.3dd5fc854a3f9p-2, 0x1.3cbcaaf4faa56p-2, 0x1.3b93f86b90f2bp-2, 0x1.3a5c644ae81ccp-2, 0x1.39166b902ea49p-2, 0x1.37c288db5680fp-2, 0x1.366134763ab4ep-2, 0x1.34f2e45a8df4cp-2, 0x1.33780c34ede68p-2, 0x1.31f11d6d7c5a8p-2, 0x1.305e872ee6188p-2, 0x1.2ec0b66e2eb51p-2, 0x1.2d1815f406e87p-2, 0x1.2b650e63ab556p-2, 0x1.29a80642077c8p-2, 0x1.27e161fd730dfp-2, 0x1.261183f86abb7p-2, 0x1.2438cc933b005p-2, 0x1.22579a32836e1p-2, 0x1.206e49464726ap-2, 0x1.1e7d3453634dap-2, 0x1.1c84b3fd73de8p-2, 0x1.1a851f0fd9f79p-2, 0x1.187eca83dfb6ap-2, 0x1.167209895c70bp-2, 0x1.145f2d8f370c3p-2, 0x1.1246864b95ac5p-2, 0x1.102861c3ea2cep-2, 0x1.0e050c549c1acp-2, 0x1.0bdcd0b8cadbap-2, 0x1.09aff81171f35p-2, 0x1.077ec9ec75173p-2, 0x1.05498c4c2aecdp-2, 0x1.031083af2cd44p-2, 0x1.00d3f3170781bp-2, 0x1.fd28381c54269p-3, 0x1.f8a27d5d0159bp-3, 0x1.f417334fe0959p-3, 0x1.ef86d48e25953p-3, 0x1.eaf1d8f77c5ap-3, 0x1.e658b5bca648cp-3, 0x1.e1bbdd69c3b67p-3, 0x1.dd1bbff19e4d7p-3, 0x1.d878caba23cbap-3, 0x1.d3d368a6ce582p-3, 0x1.cf2c022263f75p-3, 0x1.ca82fd28c6b47p-3, 0x1.c5d8bd50ce791p-3, 0x1.c12da3d5d65cfp-3, 0x1.bc820fa0a1f56p-3, 0x1.b7d65d4fffca6p-3, 0x1.b32ae741b1491p-3, 0x1.ae80059b14429p-3, 0x1.a9d60e51c6427p-3, 0x1.a52d5532ffcdp-3, 0x1.a0862beac3a29p-3, 0x1.9be0e20c1cee7p-3, 0x1.973dc51855939p-3, 0x1.929d20861e665p-3, 0x1.8dff3dc9a94b3p-3, 0x1.8964645b2b317p-3, 0x1.84ccd9bd099cbp-3, 0x1.8038e18279a6fp-3, 0x1.7ba8bd5606612p-3, 0x1.771cad006901fp-3, 0x1.7294ee6f7c589p-3, 0x1.6e11bdbc82167p-3, 0x1.69935531ddff4p-3, 0x1.6519ed508f20dp-3, 0x1.60a5bcd63789ep-3, 0x1.5c36f8c3a8d32p-3, 0x1.57cdd463661a3p-3, 0x1.536a814fa7525p-3, 0x1.4f0d2f77d19b6p-3, 0x1.4ab60d2546b56p-3, 0x1.4665470140bcap-3, 0x1.421b081b18543p-3, 0x1.3dd779eefa868p-3, 0x1.399ac46b54cb6p-3, 0x1.35650df608c29p-3, 0x1.31367b7167a26p-3, 0x1.2d0f304182f9bp-3, 0x1.28ef4e5255d33p-3, 0x1.24d6f61e65799p-3, 0x1.20c646b4de4b3p-3, 0x1.1cbd5dbea7c96p-3, 0x1.18bc5782f83cep-3, 0x1.14c34eec2a517p-3, 0x1.10d25d8d90067p-3, 0x1.0ce99baa1372bp-3, 0x1.0909203aba81ep-3, 0x1.053100f45cdd8p-3, 0x1.0161524c61c99p-3, 0x1.fb344efa62f3dp-4, 0x1.f3b72516745cfp-4, 0x1.ec4b4895dc7a2p-4, 0x1.e4f0d8ced5fb8p-4, 0x1.dda7f2d1bf028p-4, 0x1.d670b174161f5p-4, 0x1.cf4b2d59e4722p-4, 0x1.c8377cfea056ap-4, 0x1.c135b4bf1d383p-4, 0x1.ba45e6e548512p-4, 0x1.b36823b51ccadp-4, 0x1.ac9c7978fd0eep-4, 0x1.a5e2f48d23e04p-4, 0x1.9f3b9f68f4193p-4, 0x1.98a682a7df084p-4, 0x1.9223a512e407fp-4, 0x1.8bb30bab0f2c5p-4, 0x1.8554b9b60d291p-4, 0x1.7f08b0ca14ec5p-4, 0x1.78cef0d989ap-4, 0x1.72a7783cf9727p-4, 0x1.6c9243bbdd3fbp-4, 0x1.668f4e9551044p-4, 0x1.609e928992c06p-4, 0x1.5ac007e4b4b19p-4, 0x1.54f3a58a38fe7p-4, 0x1.4f396100683fep-4, 0x1.49912e7a975bap-4, 0x1.43fb00e2822bp-4, 0x1.3e76c9e0f87dap-4, 0x1.390479e63fa4fp-4, 0x1.33a40032f3b72p-4, 0x1.2e554ae1cfa19p-4, 0x1.291846f21037cp-4, 0x1.23ece051d4cc2p-4, 0x1.1ed301e7df2abp-4, 0x1.19ca959c89f85p-4, 0x1.14d3846163a06p-4, 0x1.0fedb639db57fp-4, 0x1.0b19124257ed5p-4, 0x1.06557eb937a75p-4, 0x1.01a2e107cc732p-4, 0x1.fa023b97357cap-5, 0x1.f0e031bea5a81p-5, 0x1.e7df6ac62e46fp-5, 0x1.deffab884b8e8p-5, 0x1.d640b787f8b2ap-5, 0x1.cda250feb4002p-5, 0x1.c52438eab763cp-5, 0x1.bcc62f1e0b15ap-5, 0x1.b487f24e650aap-5, 0x1.ac69402521611p-5, 0x1.a469d54e6ebb6p-5, 0x1.9c896d875acc4p-5, 0x1.94c7c3aaed84cp-5, 0x1.8d2491be84dc2p-5, 0x1.859f90fe287f2p-5, 0x1.7e3879e884d5dp-5, 0x1.76ef044bc40c7p-5, 0x1.6fc2e7524baaep-5, 0x1.68b3d98ff2267p-5, 0x1.61c1910e7079cp-5, 0x1.5aebc35971eccp-5, 0x1.54322589c3622p-5, 0x1.4d946c4fff0ebp-5, 0x1.47124bfe813abp-5, 0x1.40ab78937b9f9p-5, 0x1.3a5fa5c2d8ec2p-5, 0x1.342e870091936p-5, 0x1.2e17cf8abc001p-5, 0x1.281b3273a04c2p-5, 0x1.223862ab7d82fp-5, 0x1.1c6f1309efe31p-5, 0x1.16bef656a6271p-5, 0x1.1127bf52448a8p-5, 0x1.0ba920bb0193cp-5, 0x1.0642cd5aa2709p-5, 0x1.00f4780787111p-5, 0x1.f77ba7602a8b3p-6, 0x1.ed3d26c2ca98fp-6, 0x1.e32cd49e1607ap-6, 0x1.d94a17b4277b9p-6, 0x1.cf94572fb3b85p-6, 0x1.c60afab1dd2ccp-6, 0x1.bcad6a5eccf33p-6, 0x1.b37b0ee891329p-6, 0x1.aa735199d093p-6, 0x1.a1959c6099241p-6, 0x1.98e159d8866p-6, 0x1.9055f5551e132p-6, 0x1.87f2daec24d06p-6, 0x1.7fb7778076b1cp-6, 0x1.77a338cb0c24cp-6, 0x1.6fb58d682f221p-6, 0x1.67ede4de26531p-6, 0x1.604bafa74f1ecp-6, 0x1.58ce5f393fbbap-6, 0x1.5175660af2428p-6, 0x1.4a4037999c949p-6, 0x1.432e486d0fec1p-6, 0x1.3c3f0e1c3d053p-6, 0x1.3571ff52260dp-6, 0x1.2ec693d43e7b4p-6, 0x1.283c448ae6a6dp-6, 0x1.21d28b8965df8p-6, 0x1.1b88e416f2bf3p-6, 0x1.155ecab875411p-6, 0x1.0f53bd3497824p-6, 0x1.09673a990ef34p-6, 0x1.0398c33a4244fp-6, 0x1.fbcfb1613ad9ep-7, 0x1.f0a7fba969eecp-7, 0x1.e5b96d77c792ap-7, 0x1.db03116e2dd4p-7, 0x1.d083f4ab58522p-7, 0x1.c63b26d91e862p-7, 0x1.bc27ba427deddp-7, 0x1.b248c3eccd739p-7, 0x1.a89d5bb02a659p-7, 0x1.9f249c488ffdap-7, 0x1.95dda35a5da59p-7, 0x1.8cc791688b069p-7, 0x1.83e189be0e511p-7, 0x1.7b2ab24f2f15fp-7, 0x1.72a2339a7da4dp-7, 0x1.6a473891af683p-7, 0x1.6218ee90e5645p-7, 0x1.5a16856900ac6p-7, 0x1.523f2f7c6cce4p-7, 0x1.4a9221e80819fp-7, 0x1.430e94afca2fcp-7, 0x1.3bb3c2e10d18cp-7, 0x1.3480eaa4f4e26p-7, 0x1.2d754d3684275p-7, 0x1.26902ec8f1decp-7, 0x1.1fd0d641afdf2p-7, 0x1.19368d14b36f4p-7, 0x1.12c09ef911615p-7, 0x1.0c6e59cd819f2p-7, 0x1.063f0d8f91d0cp-7, 0x1.00320c73797d3p-7, 0x1.f48d562df0651p-8, 0x1.e8f8818527ef4p-8, 0x1.dda44f523c7ecp-8, 0x1.d28f7a2310f79p-8, 0x1.c7b8c2f525ee5p-8, 0x1.bd1ef075015fcp-8, 0x1.b2c0cf65f29c2p-8, 0x1.a89d311530822p-8, 0x1.9eb2eb378ae96p-8, 0x1.9500d72e1bf78p-8, 0x1.8b85d1c6cf6b2p-8, 0x1.8240bb5059119p-8, 0x1.793078029382p-8, 0x1.7053f0a44ae1dp-8, 0x1.67aa1346f2951p-8, 0x1.5f31d3e87bd3ep-8, 0x1.56ea2ccdb6109p-8, 0x1.4ed21e751172p-8, 0x1.46e8af15dc6afp-8, 0x1.3f2ce9be2fafep-8, 0x1.379ddd3ae289ap-8, 0x1.303a9b0a7c801p-8, 0x1.2902369f3c62dp-8, 0x1.21f3c525d000ep-8, 0x1.1b0e5de75cbfap-8, 0x1.14511b36cf31ap-8, 0x1.0dbb1bb6f650bp-8, 0x1.074b83b0eeadfp-8, 0x1.01017e2ea217bp-8, 0x1.f5b87b31092p-9, 0x1.e9b5f75597bfep-9, 0x1.ddf9f166d7d93p-9, 0x1.d282f450cb1abp-9, 0x1.c74f918fd6884p-9, 0x1.bc5e5d27779dap-9, 0x1.b1adea1f1190ep-9, 0x1.a73cc85a5fe7ap-9, 0x1.9d09846ed5adfp-9, 0x1.9312a9abd568p-9, 0x1.8956c605fc2c6p-9, 0x1.7fd46f1b82215p-9, 0x1.768a4747a58e5p-9, 0x1.6d7701beab4dap-9, 0x1.649964e6a0388p-9, 0x1.5bf04a822f6b2p-9, 0x1.537a9da19ade3p-9, 0x1.4b3756a82f1dbp-9, 0x1.432575f323d44p-9, 0x1.3b43fded4bd8ap-9, 0x1.3391ed54b663p-9, 0x1.2c0e3b089195p-9, 0x1.24b7d3bcde2a4p-9, 0x1.1d8d9a8fe57cfp-9, 0x1.168e6c518bb2dp-9, 0x1.0fb924e4f01f9p-9, 0x1.090ca5b8eb05cp-9, 0x1.0287dc2a086d8p-9, 0x1.f8538d8010c42p-10, 0x1.ebe2f10753cap-10, 0x1.dfbc33cd4fcb6p-10, 0x1.d3ddcdfe6d14ep-10, 0x1.c846568024e2ep-10, 0x1.bcf476bef910ep-10, 0x1.b1e6dd3e67167p-10, 0x1.a71c31b57aec3p-10, 0x1.9c930cf6f7ddbp-10, 0x1.9249f5c8437cap-10, 0x1.883f626bec7a7p-10, 0x1.7e71bda3cfc14p-10, 0x1.74df6d6bd6339p-10, 0x1.6b86d9cec5e1ap-10, 0x1.626672f6c9357p-10, 0x1.597cb678afe0ap-10, 0x1.50c834ea14be1p-10, 0x1.4847959fc32bbp-10, 0x1.3ff99ab645519p-10, 0x1.37dd20fddde8fp-10, 0x1.2ff117ed17cedp-10, 0x1.283478dcba39dp-10, 0x1.20a63baadac3ep-10, 0x1.1945508040827p-10, 0x1.1210a10ccdc43p-10, 0x1.0b071879e1f56p-10, 0x1.0427adadb7cf6p-10, 0x1.fae2d4f3810ep-11, 0x1.edc6d8b7989e9p-11, 0x1.e0f9be9758a56p-11, 0x1.d479ec63b80e7p-11, 0x1.c845caad15402p-11, 0x1.bc5bc1d51d2c4p-11, 0x1.b0ba3c97d096ep-11, 0x1.a55fa886e2074p-11, 0x1.9a4a6d8b89634p-11, 0x1.8f78daff31fc9p-11, 0x1.84e91032c8f1fp-11, 0x1.7a98ec345f56ep-11, 0x1.7086127cb375bp-11, 0x1.66ae0d2319f3bp-11, 0x1.5d0e88ba17d6cp-11, 0x1.53a5967799467p-11, 0x1.4a71d7cc82f6bp-11, 0x1.41727c053f8ffp-11, 0x1.38a70e0efe63bp-11, 0x1.300f2c0b5ce38p-11, 0x1.27aa50daae37cp-11, 0x1.1f77cd47f96e4p-11, 0x1.1776edd518e82p-11, 0x1.0fa72b16c0515p-11, 0x1.08083b5c715a4p-11, 0x1.0099f0fbe5d45p-11, 0x1.f2b7def06a23cp-12, 0x1.e49aacc6f0ec5p-12, 0x1.d6d907d7e2c6fp-12, 0x1.c96e0ff16485ep-12, 0x1.bc53a7d99e789p-12, 0x1.af834ae01e6cp-12, 0x1.a2f73105fcabap-12, 0x1.96ab6ac820198p-12, 0x1.8a9e7b5053782p-12, 0x1.7ed10fc17127fp-12, 0x1.7344d9f14ee42p-12, 0x1.67fb1d4f8bedfp-12, 0x1.5cf3befe7ca56p-12, 0x1.522d5cc8e601fp-12, 0x1.47a63ea5ce47ap-12, 0x1.3d5d7025ce09dp-12, 0x1.335350642a8dbp-12, 0x1.29894fe3bd215p-12, 0x1.20010aa6bb166p-12, 0x1.16bb3a6ffd50dp-12, 0x1.0db702ff45cbfp-12, 0x1.04f1d031e5762p-12, 0x1.f8cf1d4a47ab5p-13, 0x1.e82627893ee5ep-13, 0x1.d7dd3213c3f36p-13, 0x1.c7e93870bcb23p-13, 0x1.b84219d95b316p-13, 0x1.a8e49b69eff53p-13, 0x1.99d2a514e190ep-13, 0x1.8b1123b57c24fp-13, 0x1.7ca49f53aa055p-13, 0x1.6e8ea31fbb5cap-13, 0x1.60cd6a52363a1p-13, 0x1.535d8a0e00113p-13, 0x1.463c4235396a1p-13, 0x1.396931b870e7cp-13, 0x1.2ce688467edbfp-13, 0x1.20b773b0ae3cdp-13, 0x1.14ddcb02ea5a4p-13, 0x1.0958b46fccff4p-13, 0x1.fc4a288718a05p-14, 0x1.e67df4b531001p-14, 0x1.d14559fdae1b7p-14, 0x1.bc994ef6495edp-14, 0x1.a871f7ea1cd57p-14, 0x1.94c5f30220624p-14, 0x1.818b128dff39ap-14, 0x1.6eb8436651a27p-14, 0x1.5c47e07afa6d5p-14, 0x1.4a3937eaf3237p-14, 0x1.388fe819fe533p-14, 0x1.2750f27729ea7p-14, 0x1.167f10c6fe87fp-14, 0x1.061907ff17b35p-14, 0x1.ec379b3dea029p-15, 0x1.cd0c3c200eecep-15, 0x1.aeb222eb6e2e5p-15, 0x1.912b8f5fb3dccp-15, 0x1.74777a2921258p-15, 0x1.589148ac50be3p-15, 0x1.3d714192ecd0bp-15, 0x1.230e1a665a839p-15, 0x1.096021f6a5967p-15, 0x1.e0c745b4fe8b1p-16, 0x1.b0305f8d94e97p-16, 0x1.80fb7697cb149p-16, 0x1.53238b05dae17p-16, 0x1.269a795e593d9p-16, 0x1.f69087736ab67p-17, 0x1.a229740d3e6b1p-17, 0x1.4fedd90a919c5p-17, 0x1.ffd6c984a6e66p-18, 0x1.6451dec3d11cbp-18, 0x1.9a24e2a9bcb9cp-19, 0x1.ce7b48a1d3de8p-21, -0x1.55a34e36b9d5p-20, -0x1.c07fd1b541138p-19, -0x1.668c8e4a38a5fp-18, -0x1.e886444a87699p-18, -0x1.3343df34d206p-17, -0x1.705f5b0a1a3d1p-17, -0x1.ab918d5a81ca8p-17, -0x1.e4d66011482a9p-17, -0x1.0e1d758561d24p-16, -0x1.28e95a2af6241p-16, -0x1.42d30a17b46b5p-16, -0x1.5bd7ffd45a0b6p-16, -0x1.73f4d7c704df9p-16, -0x1.8b2b7e2b5559bp-16, -0x1.a188e48773c8dp-16, -0x1.b72725ab17fefp-16, -0x1.cc1b20ce4dfacp-16, -0x1.e05943e8deda8p-16, -0x1.f3c25fb0fb42ep-16, -0x1.03275f072ba48p-15, -0x1.0c0a0b5f06cabp-15, -0x1.149169482ce9fp-15, -0x1.1cbe999a128efp-15, -0x1.2495d2dda4f84p-15, -0x1.2c1caafd40d37p-15, -0x1.3352a1321e1aep-15, -0x1.3a34f1526b20ap-15, -0x1.40c6254ddbadp-15, -0x1.470b91134515fp-15, -0x1.4d057ee1b6356p-15, -0x1.52b046392eea6p-15, -0x1.580b8de2e2901p-15, -0x1.5d1af36b1f0a7p-15, -0x1.61e1741bc3bb2p-15, -0x1.665fbb553139dp-15, -0x1.6a95db9a1ac65p-15, -0x1.6e845ca9bb9afp-15, -0x1.722d6b2e95beap-15, -0x1.7598722748914p-15, -0x1.78ccb4c5e2646p-15, -0x1.7bc56233f086bp-15, -0x1.7e7c12bd2a2acp-15, -0x1.80f72db6d4b74p-15, -0x1.833b716be656ap-15, -0x1.8541dc212aa13p-15, -0x1.8706696411509p-15, -0x1.888cf490b731cp-15, -0x1.89dac98fc1f78p-15, -0x1.8af5a03366b29p-15, -0x1.8be3450c40148p-15, -0x1.8ca42d61183b2p-15, -0x1.8d334c023fd46p-15, -0x1.8d8f728a0a3a2p-15, -0x1.8dbd87ea76255p-15, -0x1.8dbf4047c4f73p-15, -0x1.8d918da7b244dp-15, -0x1.8d3429768b35ep-15, -0x1.8caa1234704bap-15, -0x1.8bf5b6ee54972p-15, -0x1.8b18662b26ad2p-15, -0x1.8a12b2eb6d37ap-15, -0x1.88e3d5ea2d775p-15, -0x1.878cc686643ep-15, -0x1.861225ab4f2edp-15, -0x1.8473da116e0a7p-15, -0x1.82b180364ed6fp-15, -0x1.80cf4fa97b7a5p-15, -0x1.7ecade3d47384p-15, -0x1.7ca1d0a416b7dp-15, -0x1.7a577480454c4p-15, -0x1.77ee8c759c3b4p-15, -0x1.7567d21088b46p-15, -0x1.72c36188d40dbp-15, -0x1.70016dc7bafedp-15, -0x1.6d22268b1a77ep-15, -0x1.6a25dc6be95e8p-15, -0x1.670e6fd3cda96p-15, -0x1.63de92db957a3p-15, -0x1.60962fdccdd3cp-15, -0x1.5d3537dda8bcbp-15, -0x1.59bdd71ec6542p-15, -0x1.562fa290bec09p-15, -0x1.5289972294733p-15, -0x1.4ecd43b1935e5p-15, -0x1.4afc7a43ed0fbp-15, -0x1.4718438b7c781p-15, -0x1.43208ee2a347ap-15, -0x1.3f148c86137c9p-15, -0x1.3af5d11154302p-15, -0x1.36c682c4e4f36p-15, -0x1.3287476cb653bp-15, -0x1.2e3890ce7bacfp-15, -0x1.29d8ec8f57b31p-15, -0x1.25698289dfa89p-15, -0x1.20ebf986504e4p-15, -0x1.1c60f3fdad3dap-15, -0x1.17c8d45b8fdd5p-15, -0x1.1324113a67abap-15, -0x1.0e73344e40b87p-15, -0x1.09b6ce177f37cp-15, -0x1.04ef6d72e78b2p-15, -0x1.001d9de6a7a85p-15, -0x1.f683d2bd82104p-16, -0x1.ecb98b87d345p-16, -0x1.e2dce64deb72ep-16, -0x1.d8eeb5908c187p-16, -0x1.cef11192d12bap-16, -0x1.c4e55e0eacb42p-16, -0x1.bacc5a4abf872p-16, -0x1.b0a68226a0b6dp-16, -0x1.a67469944b5f4p-16, -0x1.9c3769af3c7e6p-16, -0x1.91f08e8ea0936p-16, -0x1.87a0a3e88626p-16, -0x1.7d487a3395f52p-16, -0x1.72e8f4b022cc8p-16, -0x1.6882f4fc1a2d9p-16, -0x1.5e175140be929p-16, -0x1.53a6da51afe8fp-16, -0x1.493266d7d611p-16, -0x1.3ebac74c6c64ep-16, -0x1.3440c56d2676ep-16, -0x1.29c52644e2b1p-16, -0x1.1f48aa25595bep-16, -0x1.14cc0cfcbdfb6p-16, -0x1.0a50077f0354ep-16, -0x1.ffaaa10ac2904p-17, -0x1.eab93aed36883p-17, -0x1.d5cd41cfdfc4ap-17, -0x1.c0e81054434f9p-17, -0x1.ac0af4a59de61p-17, -0x1.973735e40cc3bp-17, -0x1.826e193fe737bp-17, -0x1.6db0d1c0a4b2bp-17, -0x1.59007d77fd9cep-17, -0x1.445ed50c0296dp-17, -0x1.2fce421d20c8p-17, -0x1.1b4e60906388bp-17, -0x1.06de31ddaf6a8p-17, -0x1.e500bb606ccafp-18, -0x1.bc707277265d1p-18, -0x1.940ad77b4d511p-18, -0x1.6bd43ca9269cfp-18, -0x1.43c9e3b710521p-18, -0x1.1beb0fdeb4ecap-18, -0x1.e883d41531801p-19, -0x1.999b406f38674p-19, -0x1.4b1c442f92932p-19, -0x1.fa17f8f7544e7p-20, -0x1.5edd0b1eb04cap-20, -0x1.891e4c8ef403ep-21, -0x1.59a8bbacd59b8p-23, 0x1.b4ab0074bc5d7p-22, 0x1.048a2ef662661p-20, 0x1.9ae33eafc2d83p-20, 0x1.1818074df7aabp-19, 0x1.6234a31f72a89p-19, 0x1.abc8134653053p-19, 0x1.f4cb340432697p-19, 0x1.1e9d4a61cd2e8p-18, 0x1.428c58fa29d46p-18, 0x1.662f98c7cb9d9p-18, 0x1.8986514e9c2cap-18, 0x1.ac8f7cfcdc74cp-18, 0x1.cf4a1debf15edp-18, 0x1.f1b522ac0a4bfp-18, 0x1.09e7c479399cep-17, 0x1.1acc3ade93f5p-17, 0x1.2b869e977bef4p-17, 0x1.3c157c42f2d02p-17, 0x1.4c7bf8faa5e85p-17, 0x1.5cb7a9ef00e1bp-17, 0x1.6cc5a608e6481p-17, 0x1.7ca998c1dce74p-17, 0x1.8c6099357cc1bp-17, 0x1.9beb7bfa261f6p-17, 0x1.ab49d8c90f29ep-17, 0x1.ba7af7b4080ddp-17, 0x1.c97e719e68eb2p-17, 0x1.d853f7ad6f149p-17, 0x1.e6fb40495498ep-17, 0x1.f574046b62736p-17, 0x1.01defff229a25p-16, 0x1.08ec78e382bccp-16, 0x1.0fe24e4e5bdeep-16, 0x1.16c06343e3e32p-16, 0x1.1d869cb753df8p-16, 0x1.2434e17e9e3f2p-16, 0x1.2acb1a269659p-16, 0x1.3149309e5786ep-16, 0x1.37af0fe7c0e07p-16, 0x1.3dfca43d94b5ep-16, 0x1.4431dbf0dcbe4p-16, 0x1.4a4ea6d63ce12p-16, 0x1.5052ef8a1aba5p-16, 0x1.563eaf7050358p-16, 0x1.5c11f12a837e7p-16, 0x1.61cc98cc4a78p-16, 0x1.676eb14965101p-16, 0x1.6cf80e571aa47p-16, 0x1.7268a89e87f57p-16, 0x1.77c0b2f59417ep-16, 0x1.7d0061c0d8d3ap-16, 0x1.822712b0f9a46p-16, 0x1.8734d420e50bcp-16, 0x1.8c29c54781752p-16, 0x1.910627e156a6p-16, 0x1.95ca19fe40fd1p-16, 0x1.9a7575d42d2cep-16, 0x1.9f0834be2390cp-16, 0x1.a3825f08e9519p-16, 0x1.a7e3ffff3f5ep-16, 0x1.ac2d23b1548f6p-16, 0x1.b05dd6e5b46b8p-16, 0x1.b47627453191ep-16, 0x1.b87623727383p-16, 0x1.bc5ddb0f96569p-16, 0x1.c02d5ebe6fe8p-16, 0x1.c3e4c020e36dp-16, 0x1.c78411d91bd35p-16, 0x1.cb0b6785ea35ap-16, 0x1.ce7ad5b8123a6p-16, 0x1.d1d271d7b9483p-16, 0x1.d512520b620b3p-16, 0x1.d83a8d8dc6be6p-16, 0x1.db4b3cebcf355p-16, 0x1.de4479bd46d58p-16, 0x1.e1265e88c81efp-16, 0x1.e3f106dd6f881p-16, 0x1.e6a48fec19ce8p-16, 0x1.e941127c084ffp-16, 0x1.ebc6bb7241a7bp-16, 0x1.ee356b5b18bd9p-16, 0x1.f08d8b2cd8c1cp-16, 0x1.f2cf262ef1cc5p-16, 0x1.f4fa77af8ad78p-16, 0x1.f70f4d28abb8ep-16, 0x1.f90ddc29181cp-16, 0x1.faf68cdc8f447p-16, 0x1.fcc97c8f3c3e9p-16, 0x1.fe8695648bbc8p-16, 0x1.0016f043a15d2p-15, 0x1.00dfe29d9cd61p-15, 0x1.019e35c73af2fp-15, 0x1.0251f302894a8p-15, 0x1.02fb2bedc6496p-15, 0x1.0399f461250fap-15, 0x1.042e60d0739eap-15, 0x1.04b885857ca68p-15, 0x1.053867880c9ddp-15, 0x1.05ae5617b093ep-15, 0x1.0619e70244703p-15, 0x1.067bce91caed6p-15, 0x1.06d3ba76bcee6p-15, 0x1.0721d862056a9p-15, 0x1.076637139e7cp-15, 0x1.07a0f34e0f053p-15, 0x1.07d22d3e131abp-15, 0x1.07f9f10f85ed8p-15, 0x1.081856bb58cd4p-15, 0x1.082d6c5b42d95p-15, 0x1.08394b207cf52p-15, 0x1.083c0d62246e5p-15, 0x1.0835c9a8e09f6p-15, 0x1.082695cd7303fp-15, 0x1.080e88afd3f3p-15, 0x1.07edb866c0595p-15, 0x1.07c43a9b8ae95p-15, 0x1.0792277713ff1p-15, 0x1.07579a72b6bbfp-15, 0x1.0714ac1c440efp-15, 0x1.06c95f21524a5p-15, 0x1.0675e03547ec4p-15, 0x1.061a449299f7ep-15, 0x1.05b69fac54ef5p-15, 0x1.054b0868d2593p-15, 0x1.04d7970d5c6cp-15, 0x1.045c678247b69p-15, 0x1.03d993170c6b9p-15, 0x1.034f1e0ed55f3p-15, 0x1.02bd2fa331be4p-15, 0x1.0223e37791ffp-15, 0x1.01834c4cac076p-15, 0x1.00db8167f8264p-15, 0x1.002c9a5adeb98p-15, 0x1.feed5ff67860cp-16, 0x1.fd73b2b3531aep-16, 0x1.fbec5d3208c4dp-16, 0x1.fa578f5fe90e6p-16, 0x1.f8b57919745fdp-16, 0x1.f7064918cead9p-16, 0x1.f54a2e0760193p-16, 0x1.f3815886bb724p-16, 0x1.f1abf8874628ep-16, 0x1.efca3bddbb17bp-16, 0x1.eddc5182b81a8p-16, 0x1.ebe269cd35dbdp-16, 0x1.e9dcb401f6843p-16, 0x1.e7cb5e98afb7fp-16, 0x1.e5ae981b71434p-16, 0x1.e3868f420be86p-16, 0x1.e15372bd871acp-16, 0x1.df1570c4a3c39p-16, 0x1.dcccb7504995p-16, 0x1.da7974a3371f9p-16, 0x1.d81bd709f8b8p-16, 0x1.d5b40f619023ep-16, 0x1.d342490116bb9p-16, 0x1.d0c6a8c318f2ap-16, 0x1.ce416a202c72p-16, 0x1.cbb2baaccac5cp-16, 0x1.c91a8a61f5ac9p-16, 0x1.c679f4d5b033bp-16, 0x1.c3cf786c59b9ap-16, 0x1.c11c9c2252fa8p-16, 0x1.be61445e465e3p-16, 0x1.bb9d6de01859ep-16, 0x1.b8d147b4da7ddp-16, 0x1.b5fd15e24ac8cp-16, 0x1.b320fd2bf6934p-16, 0x1.b03d1e5620b5ap-16, 0x1.ad51af3590767p-16, 0x1.aa5ed766404eep-16, 0x1.a764c001261cfp-16, }}, 
      {{-0x1.880dc5b9588d5p-6, -0x1.231ad34b4406ap-4, -0x1.20cfeea8a99bbp-3, -0x1.c907af68cca9bp-3, -0x1.38901bfbd6f44p-2, -0x1.8211a3a79cb44p-2, -0x1.b9cdd8142313fp-2, -0x1.dbc7ed71cc62dp-2, -0x1.e6bc8bd7241bp-2, -0x1.db770d4be9a07p-2, -0x1.bc2bd295bd7e7p-2, -0x1.8be9f3c846666p-2, -0x1.4e29e047d751dp-2, -0x1.06786f58a59f8p-2, -0x1.707620e5b7974p-3, -0x1.9a2339786fb11p-4, -0x1.413d27091aec1p-6, 0x1.e704dd5156156p-5, 0x1.15020d4963751p-3, 0x1.a6c91e592477bp-3, 0x1.1683cb84995bap-2, 0x1.532d826a9c7b1p-2, 0x1.88fa8c018395cp-2, 0x1.b7c1bef04e96ap-2, 0x1.df8c7e3ea73ebp-2, 0x1.00461f9e639c5p-1, 0x1.0d8898a96fd65p-1, 0x1.17c10b3d985dap-1, 0x1.1f2aa45e076c5p-1, 0x1.24056f57d39a4p-1, 0x1.2693ed14f9936p-1, 0x1.27192396369dfp-1, 0x1.25d7177245f8ep-1, 0x1.230da162ebb56p-1, 0x1.1ef991d3e4588p-1, 0x1.19d415b641208p-1, 0x1.13d250e7c7e83p-1, 0x1.0d25240cbe559p-1, 0x1.05f914e67be88p-1, 0x1.fceca3204a4b9p-2, 0x1.ed819051d5505p-2, 0x1.ddf09c0c750a4p-2, 0x1.ce71a2f4bee2p-2, 0x1.bf352649e0064p-2, 0x1.b064c7e8c2c1cp-2, 0x1.a223ca2f763a5p-2, 0x1.948f91992bd9bp-2, 0x1.87c024ffb5d4ap-2, 0x1.7bc8aa068c699p-2, 0x1.70b7dd6920d1ep-2, 0x1.6698850c918cep-2, 0x1.5d71dc121f27bp-2, 0x1.5547f83613934p-2, 0x1.4e1c28305435ap-2, 0x1.47ed4bbf06923p-2, 0x1.42b82497f1bd5p-2, 0x1.3e77a13a911c1p-2, 0x1.3b252176ceebep-2, 0x1.38b8b504ba8ecp-2, 0x1.3729548eb9f47p-2, 0x1.366d155343d81p-2, 0x1.367957fcdb7cp-2, 0x1.3742f27e0692cp-2, 0x1.38be55d16e13cp-2, 0x1.3adfaf8b3a754p-2, 0x1.3d9b07a97502ap-2, 0x1.40e45ae0086bp-2, 0x1.44afb1c1e59a7p-2, 0x1.48f134d505968p-2, 0x1.4d9d3e0328d03p-2, 0x1.52a86784124cap-2, 0x1.58079888cabcfp-2, 0x1.5db00fc594c13p-2, 0x1.63976c332d42ap-2, 0x1.69b3b3fb3d783p-2, 0x1.6ffb5a0c63152p-2, 0x1.76654212473a3p-2, 0x1.7ce8c377f9f18p-2, 0x1.837daaf900614p-2, 0x1.8a1c3baaccba5p-2, 0x1.90bd2eba236f7p-2, 0x1.9759b2b28a8d8p-2, 0x1.9deb6a2014ep-2, 0x1.a46c696641fefp-2, 0x1.aad734566feddp-2, 0x1.b126bb747945fp-2, 0x1.b756585f0496cp-2, 0x1.bd61caa8db66ep-2, 0x1.c3453424cacfcp-2, 0x1.c8fd14a6c4993p-2, 0x1.ce86467672df1p-2, 0x1.d3ddfa3e3865ep-2, 0x1.d901b2881911ap-2, 0x1.ddef4010956e5p-2, 0x1.e2a4bdc0ad499p-2, 0x1.e7208c17cf65bp-2, 0x1.eb614dba80da1p-2, 0x1.ef65e372e75edp-2, 0x1.f32d68045faaap-2, 0x1.f6b72cf151978p-2, 0x1.fa02b6b3889aap-2, 0x1.fd0fb93015ab6p-2, 0x1.ffde14ac9a538p-2, 0x1.0136e93656cafp-1, 0x1.025f90dd8cc8dp-1, 0x1.03692a8758a48p-1, 0x1.0453ef9674acap-1, 0x1.0520284c9a051p-1, 0x1.05ce2a86b327p-1, 0x1.065e5885f2034p-1, 0x1.06d11fd82be77p-1, 0x1.0726f84212947p-1, 0x1.076062b816d74p-1, 0x1.077de8743cf66p-1, 0x1.07801a0bb7f27p-1, 0x1.07678e901d3cep-1, 0x1.0734e2ce5a4a3p-1, 0x1.06e8b8893153ep-1, 0x1.0683b5beb03c7p-1, 0x1.06068404af793p-1, 0x1.0571cfeabe52ep-1, 0x1.04c6485a4518dp-1, 0x1.04049e0eafc0dp-1, 0x1.032d8317cdd8fp-1, 0x1.0241aa56ddfb1p-1, 0x1.0141c70c8b0b3p-1, 0x1.002e8c75b9e55p-1, 0x1.fe115acf5f66p-2, 0x1.fba1b7e2ddae7p-2, 0x1.f90f9216757bfp-2, 0x1.f65c48a22b9bdp-2, 0x1.f389376c88695p-2, 0x1.f097b68fc93ecp-2, 0x1.ed8919e7e842ap-2, 0x1.ea5eb0bae156dp-2, 0x1.e719c548f685ap-2, 0x1.e3bb9c7e02b64p-2, 0x1.e04575b80d34ap-2, 0x1.dcb88a7b20b66p-2, 0x1.d9160e3bf3dc6p-2, 0x1.d55f2e2f38b19p-2, 0x1.d195112601471p-2, 0x1.cdb8d76bbc02ap-2, 0x1.c9cb9aa6dbd36p-2, 0x1.c5ce6dc3086eap-2, 0x1.c1c25ce59b9f8p-2, 0x1.bda86d647c321p-2, 0x1.b9819dba0c52dp-2, 0x1.b54ee58150d59p-2, 0x1.b11135821efc3p-2, 0x1.acc977ae7d51cp-2, 0x1.a8788f2fba199p-2, 0x1.a41f586e8ce77p-2, 0x1.9fbea92242fa6p-2, 0x1.9b575065c27cdp-2, 0x1.96ea16c827deap-2, 0x1.9277be616c487p-2, 0x1.8e0102e6d3c41p-2, 0x1.898699c637887p-2, 0x1.85093241850c7p-2, 0x1.808975875b1b9p-2, 0x1.7c0806cb4699bp-2, 0x1.77858364fc66bp-2, 0x1.730282f077f4dp-2, 0x1.6e7f9768ce64fp-2, 0x1.69fd4d4586636p-2, 0x1.657c2b9a24badp-2, 0x1.60fcb435b1dd3p-2, 0x1.5c7f63c099a71p-2, 0x1.5804b1dc1aeb6p-2, 0x1.538d114288c89p-2, 0x1.4f18efe472951p-2, 0x1.4aa8b706f74ep-2, 0x1.463ccb63e2dbep-2, 0x1.41d58d4902599p-2, 0x1.3d7358b54b2p-2, 0x1.3916857573526p-2, 0x1.34bf6741e8f0fp-2, 0x1.306e4ddd891d6p-2, 0x1.2c2385320765p-2, 0x1.27df556a92af2p-2, 0x1.23a203105aep-2, 0x1.1f6bcf267c1ccp-2, 0x1.1b3cf74489562p-2, 0x1.1715b5b080dap-2, 0x1.12f64178f68d3p-2, 0x1.0edece8e5f9a3p-2, 0x1.0acf8ddc1913cp-2, 0x1.06c8ad5fcf6a3p-2, 0x1.02ca584145c1ap-2, 0x1.fda96dd47118bp-3, 0x1.f5cfde3a18919p-3, 0x1.ee08481493677p-3, 0x1.e652eccb85cbfp-3, 0x1.deb008f7cd3fcp-3, 0x1.d71fd48dbaf8ap-3, 0x1.cfa28304cd0b6p-3, 0x1.c838437d528a3p-3, 0x1.c0e140e6446a7p-3, 0x1.b99da222b3fb3p-3, 0x1.b26d8a2e5205cp-3, 0x1.ab51183ffde9bp-3, 0x1.a44867eb4086ep-3, 0x1.9d53914170124p-3, 0x1.9672a8f2537e6p-3, 0x1.8fa5c06ba7238p-3, 0x1.88ece5f72b922p-3, 0x1.824824d7e6913p-3, 0x1.7bb785670c26ap-3, 0x1.753b0d303a56fp-3, 0x1.6ed2bf0cd73c3p-3, 0x1.687e9b3e4f7a6p-3, 0x1.623e9f87e7a2p-3, 0x1.5c12c746d949p-3, 0x1.55fb0b8ac1108p-3, 0x1.4ff7632e2d365p-3, 0x1.4a07c2ec8b3f3p-3, 0x1.442c1d78e0d26p-3, 0x1.3e646393a98fp-3, 0x1.38b0841f13f1ep-3, 0x1.33106c3318692p-3, 0x1.2d8407319770fp-3, 0x1.280b3eda3151ep-3, 0x1.22a5fb5d3060ap-3, 0x1.1d54236d50176p-3, 0x1.18159c50932bcp-3, 0x1.12ea49f10c72ap-3, 0x1.0dd20eee07a5ap-3, 0x1.08ccccad054b2p-3, 0x1.03da6369c920bp-3, 0x1.fdf564899b7bep-4, 0x1.f45b2ea1fd3d1p-4, 0x1.eae5df43d015p-4, 0x1.e1952eb402c31p-4, 0x1.d868d373013dap-4, 0x1.cf6082579f8dcp-4, 0x1.c67beea728d59p-4, 0x1.bdbaca2b8a8d7p-4, 0x1.b51cc549f21aap-4, 0x1.aca18f1b1b2a8p-4, 0x1.a448d58461539p-4, 0x1.9c12454f425f2p-4, 0x1.93fd8a3dbcc91p-4, 0x1.8c0a4f1c2a5ffp-4, 0x1.84383dd2be5ccp-4, 0x1.7c86ff78c3054p-4, 0x1.74f63c697a87dp-4, 0x1.6d859c58c83fep-4, 0x1.6634c6655f6d1p-4, 0x1.5f036127dc072p-4, 0x1.57f112c023c3dp-4, 0x1.50fd80e35e948p-4, 0x1.4a2850ebf1026p-4, 0x1.437127eac9037p-4, 0x1.3cd7aab7ff76bp-4, 0x1.365b7e00eda91p-4, 0x1.2ffc465376252p-4, 0x1.29b9a827f839dp-4, 0x1.239347ebf36c6p-4, 0x1.1d88ca0e77a7ep-4, 0x1.1799d30e40637p-4, 0x1.11c60786b56cep-4, 0x1.0c0d0c3b5363bp-4, 0x1.066e862068648p-4, 0x1.00ea1a622fc57p-4, 0x1.f6fedcd8fabfep-5, 0x1.ec5c4fe5d7201p-5, 0x1.e1ebd9f8ad5ep-5, 0x1.d7acc7d923976p-5, 0x1.cd9e671c6429p-5, 0x1.c3c0063380c8cp-5, 0x1.ba10f475874b6p-5, 0x1.b090822904c0cp-5, 0x1.a73e008efd84bp-5, 0x1.9e18c1f0b09bap-5, 0x1.952019af3a9fbp-5, 0x1.8c535c52e0b7fp-5, 0x1.83b1df97a1daap-5, 0x1.7b3afa7624bacp-5, 0x1.72ee0529ea3ecp-5, 0x1.6aca5936cefd2p-5, 0x1.62cf5170063fdp-5, 0x1.5afc4a014e505p-5, 0x1.5350a079a3ec9p-5, 0x1.4bcbb3d5c3c4dp-5, 0x1.446ce488941e8p-5, 0x1.3d339480f033fp-5, 0x1.361f272c35edcp-5, 0x1.2f2f017a304a2p-5, 0x1.286289dec063ep-5, 0x1.21b928575c783p-5, 0x1.1b32467128aep-5, 0x1.14cd4f4f8b02bp-5, 0x1.0e89afb1c9fa6p-5, 0x1.0866d5f6a12d4p-5, 0x1.0264321de9f4fp-5, 0x1.f9026b91d52c9p-6, 0x1.ed7aa874edf44p-6, 0x1.e23004afb1cap-6, 0x1.d7216d55d5fa8p-6, 0x1.cc4dd2ca1e086p-6, 0x1.c1b428c47a14fp-6, 0x1.b753665681e2ap-6, 0x1.ad2a85ed161e8p-6, 0x1.a338854f3ba45p-6, 0x1.997c659ae15d8p-6, 0x1.8ff52b418c16dp-6, 0x1.86a1de05f683ep-6, 0x1.7d8188fb4d9f2p-6, 0x1.74933a85daf4ep-6, 0x1.6bd6045beabe2p-6, 0x1.6348fb85c1529p-6, 0x1.5aeb385bbb3e3p-6, 0x1.52bbd6823a644p-6, 0x1.4ab9f4e53dfc2p-6, 0x1.42e4b5b18de7ap-6, 0x1.3b3b3e4f58e13p-6, 0x1.33bcb75cd84aep-6, 0x1.2c684caccf43dp-6, 0x1.253d2d4243b81p-6, 0x1.1e3a8b4d5e48fp-6, 0x1.175f9c276b23ap-6, 0x1.10ab984d97d9bp-6, 0x1.0a1dbb5a3a291p-6, 0x1.03b543feffaf5p-6, 0x1.fae2e7ed98833p-7, 0x1.eea32017d812p-7, 0x1.e2a9c0075db5p-7, 0x1.d6f55d435b347p-7, 0x1.cb84933d2859cp-7, 0x1.c0560342f2468p-7, 0x1.b5685477ba509p-7, 0x1.aaba33c75cbf6p-7, 0x1.a04a53d22fa82p-7, 0x1.96176cdb77ffp-7, 0x1.8c203cbc43266p-7, 0x1.826386d326bb7p-7, 0x1.78e013f36c9cep-7, 0x1.6f94b2562e56bp-7, 0x1.6680358cbf827p-7, 0x1.5da17672f6611p-7, 0x1.54f7532160c06p-7, 0x1.4c80aedd55681p-7, 0x1.443c720b03902p-7, 0x1.3c298a1ad6c59p-7, 0x1.3446e97900d07p-7, 0x1.2c93877b82669p-7, 0x1.250e6050fc6bap-7, 0x1.1db674efca601p-7, 0x1.168acb060d551p-7, 0x1.0f8a6cea64f89p-7, 0x1.08b4698d25be7p-7, 0x1.0207d469ebc8cp-7, 0x1.f7078af265c3p-8, 0x1.ea4eb2433b9e2p-8, 0x1.dde3605116b1ap-8, 0x1.d1c3df4423382p-8, 0x1.c5ee81bf760fbp-8, 0x1.ba61a2bde9a1p-8, 0x1.af1ba56da1209p-8, 0x1.a41af50c2a47ap-8, 0x1.995e04c3f2caep-8, 0x1.8ee34f8c3f945p-8, 0x1.84a9580c53b49p-8, 0x1.7aaea881afad7p-8, 0x1.70f1d2a8e4844p-8, 0x1.67716fa77042p-8, 0x1.5e2c1ff471c75p-8, 0x1.55208b3e6f0e3p-8, 0x1.4c4d604c7a6a5p-8, 0x1.43b154da4ab01p-8, 0x1.3b4b25708ba58p-8, 0x1.3319953b78324p-8, 0x1.2b1b6de2c72c3p-8, 0x1.234f7f6612decp-8, 0x1.1bb4a000809e6p-8, 0x1.1449ac14440f1p-8, 0x1.0d0d861d8b47dp-8, 0x1.05ff16a97d8a7p-8, 0x1.fe3a989a34eb6p-9, 0x1.f0ce372beffc1p-9, 0x1.e3b6fdea77903p-9, 0x1.d6f2ed36682c3p-9, 0x1.ca8010999836p-9, 0x1.be5c7e68b7d5ep-9, 0x1.b2865741480acp-9, 0x1.a6fbc5dcda122p-9, 0x1.9bbafeaae0cfbp-9, 0x1.90c23fbd95e48p-9, 0x1.860fd0c31445cp-9, 0x1.7ba20316c11ccp-9, 0x1.717731da83afcp-9, 0x1.678dc205a76ddp-9, 0x1.5de42256319e8p-9, 0x1.5478cb0bacc88p-9, 0x1.4b4a3e2888129p-9, 0x1.42570520311d8p-9, 0x1.399db341e342ep-9, 0x1.311ce23744263p-9, 0x1.28d333719f808p-9, 0x1.20bf4f54dda92p-9, 0x1.18dfe55089646p-9, 0x1.1133ac1bd08acp-9, 0x1.09b962105b7fp-9, 0x1.026fcd8a231a9p-9, 0x1.f6ab7a5bcc501p-10, 0x1.e8d40ff46ac03p-10, 0x1.db571a238179ep-10, 0x1.ce3266757e942p-10, 0x1.c163d03fce3bep-10, 0x1.b4e93edec69c2p-10, 0x1.a8c0a3ffff50ap-10, 0x1.9ce7fa4e89bfep-10, 0x1.915d44cd6e1d6p-10, 0x1.861e8f04d1e69p-10, 0x1.7b29edfc571dbp-10, 0x1.707d81c71e916p-10, 0x1.6617774583024p-10, 0x1.5bf609b1854p-10, 0x1.5217839732fd1p-10, 0x1.487a3ef6d30ccp-10, 0x1.3f1ca476541ecp-10, 0x1.35fd29b1172fbp-10, 0x1.2d1a4eda60a0ap-10, 0x1.24729c0a0ac41p-10, 0x1.1c049ea3e07eap-10, 0x1.13cee755055bbp-10, 0x1.0bd009151d48bp-10, 0x1.0406996d78cb4p-10, 0x1.f8e2640924a1ep-11, 0x1.ea1ce6411b7f8p-11, 0x1.dbba0d2eb7d8bp-11, 0x1.cdb745177cfa8p-11, 0x1.c01216d0bba08p-11, 0x1.b2c82971e13ebp-11, 0x1.a5d7417a5853bp-11, 0x1.993d3d8e4759fp-11, 0x1.8cf811494fd7p-11, 0x1.8105bee0c446ep-11, 0x1.7564507174a25p-11, 0x1.6a11d24751369p-11, 0x1.5f0c4e9fea8ffp-11, 0x1.5451cbeb14bcfp-11, 0x1.49e04e1dadcccp-11, 0x1.3fb5da3c4cd48p-11, 0x1.35d07bf8eca76p-11, 0x1.2c2e4bf296674p-11, 0x1.22cd75744308bp-11, 0x1.19ac3ad746361p-11, 0x1.10c8f7e58b2d1p-11, 0x1.082221ed1535bp-11, 0x1.ff6c8ae11ffb9p-12, 0x1.ef080362efacp-12, 0x1.df1405e206126p-12, 0x1.cf8df8a420178p-12, 0x1.c073459a27cf6p-12, 0x1.b1c153baebc45p-12, 0x1.a37584f1e2792p-12, 0x1.958d37e733dfbp-12, 0x1.8805cc7dcb382p-12, 0x1.7adca975c4e86p-12, 0x1.6e0f41d2e728ep-12, 0x1.619b194e22f83p-12, 0x1.557dc7ba2dbb8p-12, 0x1.49b4fd1c61833p-12, 0x1.3e3e81a270a21p-12, 0x1.331838d6cf7f6p-12, 0x1.2840217988dfdp-12, 0x1.1db44b84ac968p-12, 0x1.1372d4484bab7p-12, 0x1.0979de2d68e9bp-12, 0x1.ff8f1c9ab4343p-13, 0x1.ecb41f5934162p-13, 0x1.da5f35411903bp-13, 0x1.c88cf8be5631ep-13, 0x1.b73a356c379d9p-13, 0x1.a663e461b93cep-13, 0x1.9607204681e9fp-13, 0x1.8621180ff56e3p-13, 0x1.76af06b240e7ap-13, 0x1.67ae315e7587p-13, 0x1.591be859a4c72p-13, 0x1.4af58411da459p-13, 0x1.3d385a2f04065p-13, 0x1.2fe1abbc4cf24p-13, 0x1.22ee93061903ep-13, 0x1.165bfb347a25fp-13, 0x1.0a26ab522da0ep-13, 0x1.fc96d1b49e55fp-14, 0x1.e58e56cc3c705p-14, 0x1.cf2e9fa36b16ap-14, 0x1.b973684dace8dp-14, 0x1.a459597d1b9a8p-14, 0x1.8fddab7e10fc1p-14, 0x1.7bfdafe6f6d69p-14, 0x1.68b682e258fafp-14, 0x1.560509ffbe54p-14, 0x1.43e634618e5d9p-14, 0x1.325743033d351p-14, 0x1.2155dc2e05ee6p-14, 0x1.10dfd1458ccd6p-14, 0x1.00f2ac9b7b246p-14, 0x1.e31670702d10dp-15, 0x1.c54a5c9146bb9p-15, 0x1.a87666f4e87e7p-15, 0x1.8c8e4f056ce97p-15, 0x1.71858958879bdp-15, 0x1.5750dceb75358p-15, 0x1.3de7dfd5b1aaap-15, 0x1.2545ad9ed8fcp-15, 0x1.0d685ea4da2f1p-15, 0x1.ec9ebad8d31d9p-16, 0x1.bff2d7fc8286fp-16, 0x1.94c6e5e7a6d31p-16, 0x1.6b1170736b8a3p-16, 0x1.42c859df7e16dp-16, 0x1.1be3b773ebcf8p-16, 0x1.ecbe4ff9230d1p-17, 0x1.a47204c5bb0fap-17, 0x1.5edfdd51803b4p-17, 0x1.1c00862d73a56p-17, 0x1.b7896a6b7f694p-18, 0x1.3c29997fb65cp-18, 0x1.8b497ebf40138p-19, 0x1.4ed1ac95ea642p-20, -0x1.9f2242bfc047dp-22, -0x1.072b22e09c2dfp-19, -0x1.d2da81d2a3c9ep-19, -0x1.4b985d64d4672p-18, -0x1.aa1d7bfeecedap-18, -0x1.027a963d3a2p-17, -0x1.2e0d0ea3fb136p-17, -0x1.57ca78cada5ffp-17, -0x1.7fbeb182cf3fep-17, -0x1.a5f92a79ae032p-17, -0x1.ca8794b40b0f8p-17, -0x1.ed72167b04f29p-17, -0x1.075d84ea99f96p-16, -0x1.17315368c4524p-16, -0x1.26361561654dfp-16, -0x1.347054586f73ap-16, -0x1.41e6f6e300796p-16, -0x1.4ea1ac52095ebp-16, -0x1.5aa7d06d89b1bp-16, -0x1.6600709fe82cfp-16, -0x1.70b2edfec1471p-16, -0x1.7ac7526e0ae4bp-16, -0x1.8445e4b349654p-16, -0x1.8d362941623f4p-16, -0x1.959db05f3753fp-16, -0x1.9d7f5cfd6e48ep-16, -0x1.a4dbd67a4e6f2p-16, -0x1.abb322b40576fp-16, -0x1.b20683b453e2dp-16, -0x1.b7d934c64e755p-16, -0x1.bd2f3ee06c175p-16, -0x1.c20bb88dcd187p-16, -0x1.c67092ab1fea8p-16, -0x1.ca5fb887ea5e2p-16, -0x1.cddbc6ad72e1cp-16, -0x1.d0e8124cf9551p-16, -0x1.d38898a1ce60fp-16, -0x1.d5c1ae9ca338dp-16, -0x1.d79746d479682p-16, -0x1.d90c6448bc214p-16, -0x1.da23487f50fa5p-16, -0x1.dade221ece424p-16, -0x1.db3fae83fa729p-16, -0x1.db4ba849de78dp-16, -0x1.db06c0260dcfbp-16, -0x1.da75672912dd5p-16, -0x1.d99a2cea72424p-16, -0x1.d875cd7d5c99p-16, -0x1.d709a5ba02b58p-16, -0x1.d5590fe0140c2p-16, -0x1.d367b763ecdd4p-16, -0x1.d136d8cb82651p-16, -0x1.cec5ce923ab95p-16, -0x1.cc152a12c5f6p-16, -0x1.c927f3d43c405p-16, -0x1.c60204569845p-16, -0x1.c2a5f5f2a47c2p-16, -0x1.bf14f46fecfcdp-16, -0x1.bb5026df718cep-16, -0x1.b75994dc40862p-16, -0x1.b333989bfe9c8p-16, -0x1.aedffaca721c8p-16, -0x1.aa5fd94b9a653p-16, -0x1.a5b43ae414477p-16, -0x1.a0dea55bfde7p-16, -0x1.9be1a68967c48p-16, -0x1.96c0fb16f7e12p-16, -0x1.917fb7f0fd1c4p-16, -0x1.8c1dc907bc73cp-16, -0x1.86995d0e61851p-16, -0x1.80f2ef0ab3c6dp-16, -0x1.7b2d96aa3acb6p-16, -0x1.754bd0c48d9f6p-16, -0x1.6f4edc90264c1p-16, -0x1.693895fe803a8p-16, -0x1.630aeeac267adp-16, -0x1.5cc6af636cbe9p-16, -0x1.566c4d8737badp-16, -0x1.4ffd149acea5p-16, -0x1.497aec2f456e6p-16, -0x1.42e6d3338cc11p-16, -0x1.3c40f2e49147bp-16, -0x1.358a06d676f9ep-16, -0x1.2ec3807280dd1p-16, -0x1.27eeb61ddda12p-16, -0x1.210c958a11867p-16, -0x1.1a1dea1d77f94p-16, -0x1.13238716b6af2p-16, -0x1.0c1e8227b3533p-16, -0x1.0510cb4aa9493p-16, -0x1.fbf876aa82c29p-17, -0x1.edc161abaee46p-17, -0x1.df7bb1459e748p-17, -0x1.d12ab6757254fp-17, -0x1.c2d1116e4835fp-17, -0x1.b46dba63d247ep-17, -0x1.a600da937b4f2p-17, -0x1.978ce78a8ccabp-17, -0x1.891477433dc25p-17, -0x1.7a9a41b95302bp-17, -0x1.6c212c738c638p-17, -0x1.5daa7279e1c49p-17, -0x1.4f358e732a22fp-17, -0x1.40c31ac9143bdp-17, -0x1.32557e78d4d87p-17, -0x1.23ee29ca2e75fp-17, -0x1.158d1ce3034f9p-17, -0x1.073321f165832p-17, -0x1.f1c3e813c6284p-18, -0x1.d5363cbdeee82p-18, -0x1.b8bf9e03ca6cep-18, -0x1.9c61e62b4d48ep-18, -0x1.801e1f61ae9fep-18, -0x1.63f653502eb4p-18, -0x1.47ee88eee403fp-18, -0x1.2c0808e4066e6p-18, -0x1.1043e9be0576dp-18, -0x1.e94b6d0134ccap-19, -0x1.b25ab1b7d1751p-19, -0x1.7bb5907c1e449p-19, -0x1.4561e9c810625p-19, -0x1.0f64e10d17d21p-19, -0x1.b382b3378923fp-20, -0x1.48f2fe416689bp-20, -0x1.be3e0d2c708c4p-21, -0x1.d82c10946f66bp-22, -0x1.b7696b1156503p-25, 0x1.6722e40f414cep-22, 0x1.80f0280838d88p-21, 0x1.264fc447fb369p-20, 0x1.8b4cdde3e84ebp-20, 0x1.ef67f180d8f3bp-20, 0x1.294f8e9e93479p-19, 0x1.5a78f154fdbc9p-19, 0x1.8b2d463ba4a7bp-19, 0x1.bb6978bd01622p-19, 0x1.eb2ae198ce78ap-19, 0x1.0d38c3078f8p-18, 0x1.249e38f5de677p-18, 0x1.3bc4bda531d22p-18, 0x1.52aae4906acacp-18, 0x1.694f8d0ceec91p-18, 0x1.7fb251da29d5cp-18, 0x1.95d39c8b42853p-18, 0x1.abb28390aebf7p-18, 0x1.c14de0dbb40e2p-18, 0x1.d6a51c6b256f3p-18, 0x1.ebb7c7245012p-18, 0x1.0042b7353c6d6p-17, 0x1.0a86ce1d1d57cp-17, 0x1.14a7eeb8c801cp-17, 0x1.1ea5e30f48036p-17, 0x1.28807902b2954p-17, 0x1.3237818eec529p-17, 0x1.3bcad5b693775p-17, 0x1.453a601a30b9ap-17, 0x1.4e86031e4bd55p-17, 0x1.57ad7734c0fd7p-17, 0x1.60b0905ba9015p-17, 0x1.698f3c3a6676fp-17, 0x1.72497440803cdp-17, 0x1.7adf303e5772fp-17, 0x1.83504f0e0dd76p-17, 0x1.8b9cbcb91f537p-17, 0x1.93c4709778b35p-17, 0x1.9bc763a56a386p-17, 0x1.a3a58e67f45e1p-17, 0x1.ab5eeba96d9d6p-17, 0x1.b2f379e119715p-17, 0x1.ba633a4f3c6c2p-17, 0x1.c1ae2f2db7ccdp-17, 0x1.c8d45d73324a5p-17, 0x1.cfd5ccedb7487p-17, 0x1.d6b287ebd9deep-17, 0x1.dd6a9b32b27adp-17, 0x1.e3fe15ea2683fp-17, 0x1.ea6d0965a774dp-17, 0x1.f0b788d47ab41p-17, 0x1.f6dda916e54b6p-17, 0x1.fcdf80f5fa0b8p-17, 0x1.015e94c99dcb5p-16, 0x1.043b5f4284605p-16, 0x1.07062e95aceb1p-16, 0x1.09bf120842186p-16, 0x1.0c661a411810ep-16, 0x1.0efb5982cf401p-16, 0x1.117edb3c4eefcp-16, 0x1.13f0a2f329c2ap-16, 0x1.1650d78d4423p-16, 0x1.189fa79b05523p-16, 0x1.1add14d72f301p-16, 0x1.1d0918a5df646p-16, 0x1.1f23dc3513f1ep-16, 0x1.212d6971943f8p-16, 0x1.2325f8b249497p-16, 0x1.250daae2b092ep-16, 0x1.26e449d943bb8p-16, 0x1.28aa2ccf68185p-16, 0x1.2a5f8658e7daep-16, 0x1.2c04639b4553ap-16, 0x1.2d98b232c9b87p-16, 0x1.2f1ca073d6baep-16, 0x1.309057301c84ep-16, 0x1.31f3f1f105d35p-16, 0x1.33478c7b12468p-16, 0x1.348b44c94e4ccp-16, 0x1.35bf392523e28p-16, 0x1.36e37940cc6b6p-16, 0x1.37f865ce8083p-16, 0x1.38fdcc2f06fd3p-16, 0x1.39f3bfc63f5fep-16, 0x1.3adac374158ebp-16, 0x1.3bb2b02825ddep-16, 0x1.3c7bb78263b91p-16, 0x1.3d35fbc3aef87p-16, 0x1.3de1a31130075p-16, 0x1.3e7ed0cc526cp-16, 0x1.3f0da4cef8cc9p-16, 0x1.3f8e44a432354p-16, 0x1.4000c12391bep-16, 0x1.40652757ba608p-16, 0x1.40bbe9f3a075p-16, 0x1.410502f7d05dbp-16, 0x1.41405e871b32bp-16, 0x1.416e7c71e21e3p-16, 0x1.418f453cf5b4ep-16, 0x1.41a2faab90b4cp-16, 0x1.41a9c1a98394bp-16, 0x1.41a3b5c930d2cp-16, 0x1.4190f9eb18dc1p-16, 0x1.4171b3202f6eep-16, 0x1.414606c5998eap-16, 0x1.410e1a37a0782p-16, 0x1.40ca12d5e120bp-16, 0x1.407a160c6febfp-16, 0x1.401e495637657p-16, 0x1.3fb6d23de77bdp-16, 0x1.3f43d665751dep-16, 0x1.3ec57b87bb719p-16, 0x1.3e3be76b5c80ap-16, 0x1.3da73fd2b760fp-16, 0x1.3d07aa7e44c5p-16, 0x1.3c5d4d823f8cep-16, 0x1.3ba84ff03f13fp-16, 0x1.3ae8d6e40d5p-16, 0x1.3a1ef53fea891p-16, 0x1.394ad84ec45d3p-16, 0x1.386ccd2f834bdp-16, 0x1.3784c80d13db7p-16, 0x1.369322dae3ba1p-16, 0x1.3597cca59cc59p-16, 0x1.3492edfb07fb5p-16, 0x1.3384c98c380bdp-16, 0x1.326d94feef04fp-16, 0x1.314d446a75f7fp-16, 0x1.3023fec65c5d2p-16, 0x1.2ef1f10b77816p-16, 0x1.2db753d723ac9p-16, 0x1.2c745341f5e25p-16, 0x1.2b29067feb4ebp-16, 0x1.29d58dcf797dcp-16, 0x1.287a0d78e3d5ap-16, 0x1.2716aa2c9f4bdp-16, 0x1.25ab885721294p-16, 0x1.2438cc1d7fcaap-16, 0x1.22be996b8b44fp-16, 0x1.213d13fb9511dp-16, 0x1.1fb45f5838e7dp-16, 0x1.1e249edbd489ep-16, 0x1.1c8df5b0adf87p-16, 0x1.1af086d1e41d3p-16, 0x1.194c750ad0fdp-16, 0x1.17a1e2f6994eep-16, 0x1.15f0f2fb5b941p-16, 0x1.1439c73b00968p-16, 0x1.127c81a93cdeep-16, 0x1.10b9442c9175cp-16, 0x1.0ef0308f5325p-16, 0x1.0d21687a2623bp-16, 0x1.0b4d0d960b9d4p-16, 0x1.09734236e1dc2p-16, 0x1.0794238d07841p-16, 0x1.05afe59518af6p-16, 0x1.03c6680238a24p-16, 0x1.01d818c5cd372p-16, 0x1.ffc9eb96a9fbcp-17, 0x1.fbda60fabaac8p-17, 0x1.f7e18d540f873p-17, 0x1.f3dfbda1f4f9fp-17, 0x1.efd56785634eap-17, 0x1.ebc2c43ef553p-17, 0x1.e7a7e2f111de4p-17, 0x1.e384ea95e2f16p-17, 0x1.df5a4c6e84d11p-17, 0x1.db284645058b2p-17, 0x1.d6ef03cd3e2a7p-17, 0x1.d2aebd79f4a68p-17, 0x1.ce67afa4f1c6ep-17, 0x1.ca1a1a6721758p-17, 0x1.c5c63ae0fdee9p-17, 0x1.c16c0cbfda5a6p-17, 0x1.bd0bde607afa9p-17, 0x1.b8a64ca5eb602p-17, 0x1.b43b66727adedp-17, 0x1.afcafbe643523p-17, 0x1.ab558993e1deap-17, 0x1.a6db3c6e9ed71p-17, 0x1.a25c4ed59875dp-17, 0x1.9dd90a35eff29p-17, 0x1.995199f04b8f9p-17, 0x1.94c60e0b4ec32p-17, 0x1.9036ac7c1e5a8p-17, 0x1.8ba3ad0121cb9p-17, 0x1.870d40b2d782dp-17, 0x1.827397fca3f23p-17, 0x1.7dd6e05344272p-17, 0x1.79374e91c5e8ep-17, 0x1.7495121f62d3dp-17, 0x1.6ff051b23b25bp-17, 0x1.6b493fb3c7343p-17, 0x1.66a0119a070a4p-17, 0x1.61f4f6de6a648p-17, 0x1.5d47fd066b9cbp-17, 0x1.5899711768b0bp-17, 0x1.53e97b354a274p-17, 0x1.4f38406ea8e92p-17, 0x1.4a85ea74ed82dp-17, 0x1.45d2a46dcf5fp-17, 0x1.411e9e49c20d6p-17, 0x1.3c6a03afcffap-17, 0x1.37b4e10228f6dp-17, 0x1.32ff74c96ba53p-17, 0x1.2e49eb8cfdf6fp-17, 0x1.299464381af45p-17, 0x1.24df04bed1e23p-17, 0x1.2029f3317295dp-17, 0x1.1b7557418a06ep-17, 0x1.16c1547ec2135p-17, 0x1.120e100dbc73fp-17, 0x1.0d5bae1fc1333p-17, 0x1.08aa5256ba1c3p-17, 0x1.03fa1e7b044a1p-17, 0x1.fe9667ab91ba5p-18, 0x1.f53b6b9c5f359p-18, 0x1.ebe38d2fbf0b8p-18, 0x1.e28f0a8618d42p-18, 0x1.d93e238ed4d7dp-18, 0x1.cff11af5c1b96p-18, 0x1.c6a83022ed904p-18, 0x1.bd639fcfd3dbcp-18, 0x1.b423a6151098bp-18, 0x1.aae87ea2b2fb1p-18, 0x1.a1b26459f087bp-18, 0x1.988190bcf4912p-18, 0x1.8f563c48f990cp-18, 0x1.86309f125c38fp-18, 0x1.7d10f07757124p-18, 0x1.73f769fc2f8f9p-18, 0x1.6ae43df0a9b9dp-18, 0x1.61d79772d6753p-18, 0x1.58d1bb11ca17cp-18, 0x1.4fd2e30f5c013p-18, 0x1.46dadabb664c4p-18, 0x1.3deb4df9a7ce4p-18, 0x1.35017cf120affp-18, 0x1.2c20327ada759p-18, 0x1.23472f0a36bf8p-18, 0x1.1a75f6aca1c41p-18, 0x1.11acc25920279p-18, 0x1.08ec0f1e70747p-18, 0x1.0033f53a9aa8bp-18, 0x1.ef091dfe69dcbp-19, 0x1.ddbc1c87889a6p-19, 0x1.cc812f696d2bap-19, 0x1.bb58a1ff0c10bp-19, }}, 
      {{0x1.dc0c2534f8b5ap+0, 0x1.098ff37c1ea83p+1, 0x1.21744b7d7643dp+1, 0x1.305dbe59508aep+1, 0x1.35cf96e6db217p+1, 0x1.335c0ca3849eep+1, 0x1.2b374693be924p+1, 0x1.1f86deaee5bfp+1, 0x1.1217134bcd9fap+1, 0x1.0445276be33a5p+1, 0x1.ee07afb76a58p+0, 0x1.d5d616619d15ap+0, 0x1.c095b733a9b04p+0, 0x1.ae7c18d181ee2p+0, 0x1.9f7459b99533p+0, 0x1.9339a0218a631p+0, 0x1.896bb1e541fp+0, 0x1.819e465e242f6p+0, 0x1.7b63e133f6b4p+0, 0x1.765510e9cd6c5p+0, 0x1.7214df2bd8e03p+0, 0x1.6e53276fbda08p+0, 0x1.6acd6afb3df51p+0, 0x1.674e9beada994p+0, 0x1.63ae3d8519a37p+0, 0x1.5fcf204896381p+0, 0x1.5b9dec598bbd9p+0, 0x1.570f9daaf4c6ep+0, 0x1.522009bc1a6d9p+0, 0x1.4cd07e36d4198p+0, 0x1.472681ab1e22fp+0, 0x1.412abad9adf08p+0, 0x1.3ae7ffb585eb3p+0, 0x1.346a8b0b2edadp+0, 0x1.2dbf56383714bp+0, 0x1.26f3936d65b1cp+0, 0x1.201444b184e91p+0, 0x1.192debc6ba08fp+0, 0x1.124c4f32ad7b4p+0, 0x1.0b7a50ec1d6c9p+0, 0x1.04c1d38fe184cp+0, 0x1.fc5756b051463p-1, 0x1.ef7f30ec2af87p-1, 0x1.e308917007029p-1, 0x1.d6febd733d49p-1, 0x1.cb6afa6c4c2a4p-1, 0x1.c054aa86d5c7cp-1, 0x1.b5c16d065ea37p-1, 0x1.abb541153838dp-1, 0x1.a232a9b2b65b9p-1, 0x1.993ad1e16baaap-1, 0x1.90cdb04c98969p-1, 0x1.88ea29e27966bp-1, 0x1.818e330422373p-1, 0x1.7ab6eef89da2cp-1, 0x1.7460cd898f2e8p-1, 0x1.6e87a69d925d9p-1, 0x1.6926d3ccad33ap-1, 0x1.643947ec4075ep-1, 0x1.5fb9a495d144bp-1, 0x1.5ba24dba9f91cp-1, 0x1.57ed7b4edae6dp-1, 0x1.5495492e32967p-1, 0x1.5193c54370f66p-1, 0x1.4ee2fc1640573p-1, 0x1.4c7d03d61b5f7p-1, 0x1.4a5c05fcb7834p-1, 0x1.487a47a0d3de4p-1, 0x1.46d23097bb3edp-1, 0x1.455e5178104bcp-1, 0x1.4419689b9faefp-1, 0x1.42fe6632b6fcbp-1, 0x1.42086f8414fbfp-1, 0x1.4132e167cacc7p-1, 0x1.40795217e13f4p-1, 0x1.3fd79261866b2p-1, 0x1.3f49ae4e83c89p-1, 0x1.3ecbed5431d65p-1, 0x1.3e5ad21089bfbp-1, 0x1.3df319b7614a6p-1, 0x1.3d91bb1d318fcp-1, 0x1.3d33e589600dep-1, 0x1.3cd6ff52265dfp-1, 0x1.3c78a4326dc22p-1, 0x1.3c16a389ea8eap-1, 0x1.3baefe89c4fb5p-1, 0x1.3b3fe61009513p-1, 0x1.3ac7b8b723f8cp-1, 0x1.3a4500b96ed9ep-1, 0x1.39b671ac9fc0dp-1, 0x1.391ae67f7b919p-1, 0x1.38715f586442fp-1, 0x1.37b8ff50df3c1p-1, 0x1.36f10a83c2b25p-1, 0x1.3618e405b78cep-1, 0x1.35300bb50d26bp-1, 0x1.34361c749c96bp-1, 0x1.332aca4221c38p-1, 0x1.320de0435d92dp-1, 0x1.30df3f2ef7dd8p-1, 0x1.2f9edb915ce1dp-1, 0x1.2e4cbc2ae3fa8p-1, 0x1.2ce8f881f1f08p-1, 0x1.2b73b763ecd17p-1, 0x1.29ed2d8aa1c95p-1, 0x1.28559c58011b2p-1, 0x1.26ad50929fcb3p-1, 0x1.24f4a1452c3adp-1, 0x1.232beea5f1ac2p-1, 0x1.2153a10b3e4e4p-1, 0x1.1f6c27fcbca7fp-1, 0x1.1d75f948fd79p-1, 0x1.1b71902bc2cd9p-1, 0x1.195f6c8c480efp-1, 0x1.1740123eb0e7bp-1, 0x1.15140853dfb1ap-1, 0x1.12dbd87dde1cfp-1, 0x1.10980e77d4accp-1, 0x1.0e493776e9ee5p-1, 0x1.0befe1adcb49p-1, 0x1.098c9bd5037fep-1, 0x1.071ff4b7910eep-1, 0x1.04aa7acef79c2p-1, 0x1.022cbbe7c73adp-1, 0x1.ff4e898f3fc8p-2, 0x1.fa3541bb1c32fp-2, 0x1.f50eb3fcc1f0dp-2, 0x1.efdbf045f111fp-2, 0x1.ea9e02569b08p-2, 0x1.e555f159f0fabp-2, 0x1.e004bf8eaedfap-2, 0x1.daab69f269fcep-2, 0x1.d54ae7f88da71p-2, 0x1.cfe42b54f9a51p-2, 0x1.ca781fc80fd08p-2, 0x1.c507aaf02bf9fp-2, 0x1.bf93ac26bb84ap-2, 0x1.ba1cfc6721a81p-2, 0x1.b4a46e39ab63cp-2, 0x1.af2acd9fd305cp-2, 0x1.a9b0e00a4fe51p-2, 0x1.a4376456e5316p-2, 0x1.9ebf12d01a426p-2, 0x1.99489d2d58805p-2, 0x1.93d4ae9a42acap-2, 0x1.8e63ebc5c2034p-2, 0x1.88f6f2f00dac2p-2, 0x1.838e5bf8d3298p-2, 0x1.7e2ab87480672p-2, 0x1.78cc93c49052fp-2, 0x1.73747330b914bp-2, 0x1.6e22d5ff9aba3p-2, 0x1.68d835940c15ep-2, 0x1.6395058adb47ep-2, 0x1.5e59b3da32bbfp-2, 0x1.5926a8f314f3ep-2, 0x1.53fc47e0bd1fap-2, 0x1.4edaee69016e3p-2, 0x1.49c2f5303af8bp-2, 0x1.44b4afdd4177ap-2, 0x1.3fb06d39f91e9p-2, 0x1.3ab6775517d9cp-2, 0x1.35c713a6862afp-2, 0x1.30e28332d7cf2p-2, 0x1.2c0902aca5abep-2, 0x1.273aca964337ap-2, 0x1.22780f64ae57dp-2, 0x1.1dc101a0ef766p-2, 0x1.1915ce08d66cep-2, 0x1.14769db030617p-2, 0x1.0fe396216030dp-2, 0x1.0b5cd97c88ed3p-2, 0x1.06e28696113d2p-2, 0x1.0274b91629c5fp-2, 0x1.fc27132f209fdp-3, 0x1.f37e1b8848bb2p-3, 0x1.eaeeb0e1f5cbap-3, 0x1.e278f37668049p-3, 0x1.da1cfe482d286p-3, 0x1.d1dae757724fdp-3, 0x1.c9b2bfd4e3688p-3, 0x1.c1a494555340ep-3, 0x1.b9b06d047d1fp-3, 0x1.b1d64dd5007ecp-3, 0x1.aa1636aea5026p-3, 0x1.a270239c482f8p-3, 0x1.9ae40cf936843p-3, 0x1.9371e79bd6743p-3, 0x1.8c19a4fe99d56p-3, 0x1.84db33688f6c3p-3, 0x1.7db67e159577ap-3, 0x1.76ab6d5c7ab83p-3, 0x1.6fb9e6d2e3b69p-3, 0x1.68e1cd70588a3p-3, 0x1.622301b141078p-3, 0x1.5b7d61b8c9379p-3, 0x1.54f0c970b1a56p-3, 0x1.4e7d12a7991f6p-3, 0x1.4822152ecb53dp-3, 0x1.41dfa6f7c4a8dp-3, 0x1.3bb59c3050145p-3, 0x1.35a3c75cfc197p-3, 0x1.2fa9f972a1672p-3, 0x1.29c801ef62e17p-3, 0x1.23fdaef31d698p-3, 0x1.1e4acd56b2bccp-3, 0x1.18af28c20c3bep-3, 0x1.132a8bc146308p-3, 0x1.0dbcbfd96291cp-3, 0x1.08658d9c6aa55p-3, 0x1.0324bcbc950fep-3, 0x1.fbf4283d1ffcp-4, 0x1.f1cab3d626ecfp-4, 0x1.e7cca73f42e58p-4, 0x1.ddf98c3da1f53p-4, 0x1.d450eb8051509p-4, 0x1.cad24cbe20291p-4, 0x1.c17d36d2bbb98p-4, 0x1.b8512fda4f553p-4, 0x1.af4dbd4b5245dp-4, 0x1.a672640f8d1bep-4, 0x1.9dbea89cb02a9p-4, 0x1.95320f0c72907p-4, 0x1.8ccc1b33521c1p-4, 0x1.848c50b56dd22p-4, 0x1.7c723319dbaa9p-4, 0x1.747d45ddaa35fp-4, 0x1.6cad0c8744401p-4, 0x1.65010ab98656dp-4, 0x1.5d78c44555282p-4, 0x1.5613bd38e3e67p-4, 0x1.4ed179edb483cp-4, 0x1.47b17f16c8d55p-4, 0x1.40b351cf95678p-4, 0x1.39d677ab1f6bap-4, 0x1.331a76c177c72p-4, 0x1.2c7ed5bad2a1ap-4, 0x1.26031bd91f166p-4, 0x1.1fa6d101ed88dp-4, 0x1.19697dc990b27p-4, 0x1.134aab7ed196p-4, 0x1.0d49e4357f97ap-4, 0x1.0766b2cea937bp-4, 0x1.01a0a2fee7843p-4, 0x1.f7ee82a8d3b7bp-5, 0x1.ecd4367c8d963p-5, 0x1.e1f17e2a1215fp-5, 0x1.d74578462bf26p-5, 0x1.cccf455692decp-5, 0x1.c28e07da94238p-5, 0x1.b880e451478b5p-5, 0x1.aea70140aa119p-5, 0x1.a4ff873fc5a8p-5, 0x1.9b89a102d99fap-5, 0x1.92447b669eb8ep-5, 0x1.892f4577dc9cfp-5, 0x1.80493076f3ddp-5, 0x1.77916fd98482cp-5, 0x1.6f07394d476fap-5, 0x1.66a9c4bdbf591p-5, 0x1.5e784c5c1445dp-5, 0x1.56720ca624bc5p-5, 0x1.4e96446ab24f6p-5, 0x1.46e434c9ee5adp-5, 0x1.3f5b2133dd4d1p-5, 0x1.37fa4f675de66p-5, 0x1.30c1077354a3fp-5, 0x1.29ae93ba98439p-5, 0x1.22c240f7da685p-5, 0x1.1bfb5e400d38p-5, 0x1.15593d019c36bp-5, 0x1.0edb31010738bp-5, 0x1.08809054dfb47p-5, 0x1.0248b3631833bp-5, 0x1.f865e9c129959p-6, 0x1.ec7d63a47ffe4p-6, 0x1.e0d6931c00071p-6, 0x1.d5703b739b98bp-6, 0x1.ca49249083de2p-6, 0x1.bf601ae69bcf3p-6, 0x1.b4b3ef6d62ec9p-6, 0x1.aa437797648eep-6, 0x1.a00d8d4d475fdp-6, 0x1.96110eeb578dbp-6, 0x1.8c4cdf3f1482dp-6, 0x1.82bfe581e7b4ep-6, 0x1.79690d5022a93p-6, 0x1.7047469cafd7bp-6, 0x1.675985a45c1d1p-6, 0x1.5e9ec2e1ecf2fp-6, 0x1.5615fb057aa28p-6, 0x1.4dbe2eee133bap-6, 0x1.459663a42a511p-6, 0x1.3d9da252dda41p-6, 0x1.35d2f83e83458p-6, 0x1.2e3576b8a24p-6, 0x1.26c43312450b3p-6, 0x1.1f7e468e78547p-6, 0x1.1862ce5656a8bp-6, 0x1.1170eb6f42248p-6, 0x1.0aa7c2b29c3ep-6, 0x1.04067cc5d855ep-6, 0x1.fb188c22fbe8ap-7, 0x1.ee709d6c9bd88p-7, 0x1.e2139501406bbp-7, 0x1.d5ffe1b552067p-7, 0x1.ca33f97dfd24dp-7, 0x1.beae595868805p-7, 0x1.b36d8533ea3a8p-7, 0x1.a87007ded6b78p-7, 0x1.9db472f3f4228p-7, 0x1.93395ec70cc41p-7, 0x1.88fd6a4f2594fp-7, 0x1.7eff3b0e42889p-7, 0x1.753d7cf7c28ep-7, 0x1.6bb6e255fac18p-7, 0x1.626a23b14529ep-7, 0x1.5955ffb8d7736p-7, 0x1.50793b2e6605p-7, 0x1.47d2a0d1f9c01p-7, 0x1.3f61014e51a4dp-7, 0x1.3723332452652p-7, 0x1.2f1812950bb53p-7, 0x1.273e818a29217p-7, 0x1.1f95677e445a5p-7, 0x1.181bb16350442p-7, 0x1.10d0518edf71ep-7, 0x1.09b23fa13396fp-7, 0x1.02c07873398f8p-7, 0x1.f7f3fc046fb7bp-8, 0x1.eabbaeb87c681p-8, 0x1.ddd62119eef5ep-8, 0x1.d1417512cfb26p-8, 0x1.c4fbd633c7ae1p-8, 0x1.b903798873b09p-8, 0x1.ad569d6d06b5ep-8, 0x1.a1f389644eef1p-8, 0x1.96d88def7adf1p-8, 0x1.8c040467fa0dcp-8, 0x1.81744edb2720cp-8, 0x1.7727d7e67d485p-8, 0x1.6d1d1293da9fap-8, 0x1.63527a34bd56dp-8, 0x1.59c6923d287b8p-8, 0x1.5077e61d2ed23p-8, 0x1.4765091ab4932p-8, 0x1.3e8c962b540e3p-8, 0x1.35ed2fcfa5cf8p-8, 0x1.2d857fefcf46ep-8, 0x1.255437b9e5cf3p-8, 0x1.1d580f817749ap-8, 0x1.158fc69ff66fcp-8, 0x1.0dfa23557c26dp-8, 0x1.0695f2a955508p-8, 0x1.fec41094e73cp-9, 0x1.f0ba7cde2b63p-9, 0x1.e30ceb67d0496p-9, 0x1.d5b929f687a95p-9, 0x1.c8bd1298be774p-9, 0x1.bc168b66ab6c1p-9, 0x1.afc3864501aa3p-9, 0x1.a3c200aa5c511p-9, 0x1.98100367b800bp-9, 0x1.8caba273dbe6bp-9, 0x1.8192fcb8bf23fp-9, 0x1.76c43be22220ap-9, 0x1.6c3d942c14bccp-9, 0x1.61fd442fe96dep-9, 0x1.580194aee6c7p-9, 0x1.4e48d85a47f35p-9, 0x1.44d16b9917c07p-9, 0x1.3b99b44d9d522p-9, 0x1.32a0219c2aee8p-9, 0x1.29e32bb57723bp-9, 0x1.216153a5fd65p-9, 0x1.1919232bb7e45p-9, 0x1.11092c913ca63p-9, 0x1.09300a8d2a875p-9, 0x1.018c60229a57bp-9, 0x1.f439b0feaa412p-10, 0x1.e5c04da9c7fap-10, 0x1.d7aa0c5674a5cp-10, 0x1.c9f4725674a38p-10, 0x1.bc9d13ca10ebp-10, 0x1.afa1932a358e4p-10, 0x1.a2ffa0d33ebe4p-10, 0x1.96b4faad8d481p-10, 0x1.8abf6bdd602e2p-10, 0x1.7f1ccc9492714p-10, 0x1.73cb01f5ead21p-10, 0x1.68c7fe03fa6f7p-10, 0x1.5e11bf8f17f6ep-10, 0x1.53a65214de1d8p-10, 0x1.4983cd857efeep-10, 0x1.3fa855e5ede9cp-10, 0x1.36121b022d39ep-10, 0x1.2cbf576ac571dp-10, 0x1.23ae50aadcac7p-10, 0x1.1add5605646efp-10, 0x1.124ac08fc51dcp-10, 0x1.09f4f2d7272cfp-10, 0x1.01da58e1b913p-10, 0x1.f3f2d0a1dbc17p-11, 0x1.e4a1412c48623p-11, 0x1.d5bd164597731p-11, 0x1.c74376f9d3ac8p-11, 0x1.b9319e489bfdap-11, 0x1.ab84da7db5364p-11, 0x1.9e3a8c199c344p-11, 0x1.915024658bc2fp-11, 0x1.84c323e52d081p-11, 0x1.789118e430398p-11, 0x1.6cb79e60ed7c1p-11, 0x1.61345b86a271bp-11, 0x1.560503ccde545p-11, 0x1.4b2757ad99d1fp-11, 0x1.409925bfbdf4fp-11, 0x1.36584bec21243p-11, 0x1.2c62b86b99ec7p-11, 0x1.22b66a49aa299p-11, 0x1.1951713ed57eep-11, 0x1.1031ecd4f7248p-11, 0x1.07560ae85ea27p-11, 0x1.fd780b6634b96p-12, 0x1.ecc44350d6f8p-12, 0x1.dc8d56ea30838p-12, 0x1.cccfecfa6b298p-12, 0x1.bd88b84348957p-12, 0x1.aeb477ea77df8p-12, 0x1.a04ff9afdf851p-12, 0x1.92581d72fe251p-12, 0x1.84c9d93cadb95p-12, 0x1.77a23ce7ee85p-12, 0x1.6ade74a3378d8p-12, 0x1.5e7bc9ca0fa0dp-12, 0x1.5277a1ec48d4fp-12, 0x1.46cf7c258457dp-12, 0x1.3b80ed26532d6p-12, 0x1.30899a7b21708p-12, 0x1.25e735b70f2edp-12, 0x1.1b97784bccd28p-12, 0x1.11982092c783bp-12, 0x1.07e6f09fc3b05p-12, 0x1.fd035e2ab38dp-13, 0x1.eacc5346380f9p-13, 0x1.d924718823021p-13, 0x1.c80787bacbb18p-13, 0x1.b77189ea59ffbp-13, 0x1.a75e96d50f2b7p-13, 0x1.97cafa98fdd2ep-13, 0x1.88b32e42f4cfep-13, 0x1.7a13d4350be06p-13, 0x1.6be9b1d0d29a3p-13, 0x1.5e31a77287fc7p-13, 0x1.50e8a8275ccc2p-13, 0x1.440bb2ca1944ap-13, 0x1.3797cd907b035p-13, 0x1.2b8a048c4ac71p-13, 0x1.1fdf6abc23742p-13, 0x1.14951cdaec7ecp-13, 0x1.09a844e626a46p-13, 0x1.fe2c3ae325906p-14, 0x1.e9b7e89877c32p-14, 0x1.d5ee58e71c37p-14, 0x1.c2ca7fbe6d0d9p-14, 0x1.b047805afb895p-14, 0x1.9e60aeb709075p-14, 0x1.8d118d42e9856p-14, 0x1.7c55c3c81eb9cp-14, 0x1.6c291722938b8p-14, 0x1.5c87603dd988ap-14, 0x1.4d6c8956aacc1p-14, 0x1.3ed4927915e5p-14, 0x1.30bb9aec16f2dp-14, 0x1.231dea4d085f8p-14, 0x1.15f7f45a5454cp-14, 0x1.094655884edep-14, 0x1.fa0b952957369p-15, 0x1.e2664f3e9125fp-15, 0x1.cb96a564d385cp-15, 0x1.b59684ea8b793p-15, 0x1.a05ffc8af28cap-15, 0x1.8bed373e2fc43p-15, 0x1.78386cafaa79cp-15, 0x1.653bc96e884a5p-15, 0x1.52f157cd6b831p-15, 0x1.4152f6544b546p-15, 0x1.305a67b56e636p-15, 0x1.200180b3fb929p-15, 0x1.10426ae52a5a8p-15, 0x1.0117e52803fc7p-15, 0x1.e4fac9dcb993dp-16, 0x1.c8de0aba1137fp-16, 0x1.add292c49defp-16, 0x1.93d19ed30c237p-16, 0x1.7ad43eddefb2fp-16, 0x1.62d35691e83c5p-16, 0x1.4bc7efc3a28a3p-16, 0x1.35ab9504be17cp-16, 0x1.207867bcef8fbp-16, 0x1.0c28d436f9bd8p-16, 0x1.f16e01abec5cep-17, 0x1.cc386d8277a57p-17, 0x1.a8a1017d862f6p-17, 0x1.86954e7e0bdbcp-17, 0x1.66012f2db181cp-17, 0x1.46d058cc5e587p-17, 0x1.28f05d2444ec2p-17, 0x1.0c527f051925fp-17, 0x1.e1d917658c395p-18, 0x1.ad704d6514c1fp-18, 0x1.7b616236796ecp-18, 0x1.4ba1a8fdd8631p-18, 0x1.1e221aaf89fbep-18, 0x1.e59fcfd7aa7abp-19, 0x1.932f6a18969fdp-19, 0x1.44d237248bc7ap-19, 0x1.f4e11097cb2bfp-20, 0x1.67f36c8fd6848p-20, 0x1.c578e5e4f82d8p-21, 0x1.9449a9c39c5f1p-22, -0x1.146fb2b6e3226p-24, -0x1.013ecb10e31c4p-21, -0x1.d2ac02364f93ep-21, -0x1.4bd49fdf4e917p-20, -0x1.a88934bf02f42p-20, -0x1.ffdbafa15dedp-20, -0x1.29104b55ace1fp-19, -0x1.4fc72da463e68p-19, -0x1.741e9320678d5p-19, -0x1.9619e073b0bep-19, -0x1.b5bd87b0c6fa4p-19, -0x1.d3161cb841844p-19, -0x1.ee38f59b480c3p-19, -0x1.039fb11724309p-18, -0x1.0f20251b6d059p-18, -0x1.19a5d7f60efb1p-18, -0x1.233537f17b4bdp-18, -0x1.2bd153b347aa3p-18, -0x1.337ee992a6aafp-18, -0x1.3a460f191d7c8p-18, -0x1.403185e87bdeep-18, -0x1.454cdd1047c21p-18, -0x1.49a322f05b7efp-18, -0x1.4d3eec8dd6e2bp-18, -0x1.502b13f9dcaeep-18, -0x1.527317af965d9p-18, -0x1.54229a5e170b3p-18, -0x1.554436ba47d1cp-18, -0x1.55e01c7b989c5p-18, -0x1.55fb3e205a3d6p-18, -0x1.5597de287b57bp-18, -0x1.54b7743664c75p-18, -0x1.535cdb035434cp-18, -0x1.518d2822bcec3p-18, -0x1.4f4e4aba120c4p-18, -0x1.4ca50375ac594p-18, -0x1.4994ad0667303p-18, -0x1.46208a98e4e26p-18, -0x1.424c986408aeap-18, -0x1.3e1d93a3dc603p-18, -0x1.3998eaf6382c7p-18, -0x1.34c463f8bafe7p-18, -0x1.2fa54431031a5p-18, -0x1.2a3faec09e8bcp-18, -0x1.2496db68ab348p-18, -0x1.1eade07219e99p-18, -0x1.18886bde1eb58p-18, -0x1.122b4039eb36fp-18, -0x1.0b9c28758bdf8p-18, -0x1.04e092523589cp-18, -0x1.fbf7563aceb63p-19, -0x1.eddd1794eebcep-19, -0x1.df75e6a7dc7b4p-19, -0x1.d0c9ce90ed92bp-19, -0x1.c1e177f302ec1p-19, -0x1.b2bfeed456331p-19, -0x1.a363eb7201894p-19, -0x1.93ced80e2dc75p-19, -0x1.84079e84a21dp-19, -0x1.7416e86ec2ea3p-19, -0x1.64027d0adedb9p-19, -0x1.53ccd7edab6fep-19, -0x1.43785dbbf6d7fp-19, -0x1.3309629ad86d1p-19, -0x1.2284e82b3fc3bp-19, -0x1.11ee9a95e676cp-19, -0x1.01489a3900ebbp-19, -0x1.e12994a783739p-20, -0x1.bfac4431d4cd9p-20, -0x1.9e23bc5a08165p-20, -0x1.7c9fa4972247ep-20, -0x1.5b2c88123e246p-20, -0x1.39c8b313271c9p-20, -0x1.186ab68d8c94fp-20, -0x1.ee26c14f81538p-21, -0x1.ab9e1873b1e4ep-21, -0x1.694e77e4b2446p-21, -0x1.273fb9737bbe1p-21, -0x1.cafe27d4b2108p-22, -0x1.48357721a7b7ep-22, -0x1.8c59c900b994ep-23, -0x1.1394a50ec8d67p-24, 0x1.dc8dce741ebf8p-25, 0x1.763bae19aa241p-23, 0x1.39b55eda408d4p-22, 0x1.b75cac78af427p-22, 0x1.1a0724d947764p-21, 0x1.57dc45ed9a168p-21, 0x1.9525e49d1706bp-21, 0x1.d1dfcec9e8b2bp-21, 0x1.070382637f5b2p-20, 0x1.24cc23ba5f34ap-20, 0x1.42471351ca501p-20, 0x1.5f6deb842db86p-20, 0x1.7c3ab80a2dc8ap-20, 0x1.98b0288bcc84ep-20, 0x1.b4d1c5490ba68p-20, 0x1.d09a6c6544e67p-20, 0x1.ec0680dc51ca1p-20, 0x1.038d1ad54d8f9p-19, 0x1.10ebb030ecbb8p-19, 0x1.1e1d714cc12bap-19, 0x1.2b20934720acap-19, 0x1.37f331a6a02adp-19, 0x1.449350e04d8e7p-19, 0x1.5100b4e57829fp-19, 0x1.5d3cf3c5f2b67p-19, 0x1.694870cb00643p-19, 0x1.7521a5ffc4356p-19, 0x1.80c815620b47dp-19, 0x1.8c3cc9b23e8b9p-19, 0x1.977ff57430a84p-19, 0x1.a290c925e8898p-19, 0x1.ad6ea768d570bp-19, 0x1.b81955c885c46p-19, 0x1.c290ded77f9ap-19, 0x1.ccd5b9917581ap-19, 0x1.d6e7d22810076p-19, 0x1.e0c607e0157dep-19, 0x1.ea70ac0639628p-19, 0x1.f3e828c057dbdp-19, 0x1.fd2ba0f359042p-19, 0x1.031e0bd883beep-18, 0x1.078d411c8da09p-18, 0x1.0be32608ec202p-18, 0x1.101f8937cf2bfp-18, 0x1.144282797f808p-18, 0x1.184c3fe0f85f4p-18, 0x1.1c3ced87d156dp-18, 0x1.2014b92476d0ep-18, 0x1.23d3cda15f84fp-18, 0x1.277a230e5bc2dp-18, 0x1.2b0797a2ad97p-18, 0x1.2e7c68c5bc9ap-18, 0x1.31d8d3ffea5f3p-18, 0x1.351ccca2cc963p-18, 0x1.38489ec29ae73p-18, 0x1.3b5cabd19e48cp-18, 0x1.3e58ffa1e8ebp-18, 0x1.413d9db862164p-18, 0x1.440a9e10f5c27p-18, 0x1.46c055904afd6p-18, 0x1.495f14eeef567p-18, 0x1.4be6f1afc869dp-18, 0x1.4e57edbc9587dp-18, 0x1.50b22da3fa377p-18, 0x1.52f5ef7a25e69p-18, 0x1.5523a7b3963cep-18, 0x1.573b774221c84p-18, 0x1.593d701275975p-18, 0x1.5b29c5244a579p-18, 0x1.5d00b1d8df1cbp-18, 0x1.5ec26f679e74ep-18, 0x1.606f34f9a4c69p-18, 0x1.6207392cc815dp-18, 0x1.638ab3186a993p-18, 0x1.64f9da6f5ecp-18, 0x1.6654e729516a4p-18, 0x1.679c13c79c2d9p-18, 0x1.68cfa1ba2dc72p-18, 0x1.69efcd6f92d3ap-18, 0x1.6afcbecc20589p-18, 0x1.6bf6a92ec9405p-18, 0x1.6cddca8a63e05p-18, 0x1.6db2650e77694p-18, 0x1.6e74b91170ee2p-18, 0x1.6f24fa3e13a11p-18, 0x1.6fc361188dcep-18, 0x1.70502a253ed6bp-18, 0x1.70cb91787adddp-18, 0x1.7135d1c512962p-18, 0x1.718f259fa6a9cp-18, 0x1.71d7c81ebea11p-18, 0x1.720ff4738260bp-18, 0x1.7237e5212fb85p-18, 0x1.724fd4c5e034p-18, 0x1.7257fe24ed79dp-18, 0x1.72509c0245568p-18, 0x1.7239e91f40f6ep-18, 0x1.72142032edaap-18, 0x1.71df7bd2b1d3ep-18, 0x1.719c3652439f2p-18, 0x1.714a89b37073ap-18, 0x1.70eaafbf1ed97p-18, 0x1.707ce23532599p-18, 0x1.70015adb2e32fp-18, 0x1.6f785338ccb68p-18, 0x1.6ee20458c7244p-18, 0x1.6e3ea7726d85ep-18, 0x1.6d8e7618d05d4p-18, 0x1.6cd1a3454613ep-18, 0x1.6c085a7297098p-18, 0x1.6b32e34bacea5p-18, 0x1.6a518af0e5c18p-18, 0x1.69647873347bp-18, 0x1.686bcb6b28e62p-18, 0x1.6767c96c842c9p-18, 0x1.66589d7e01e92p-18, 0x1.653e97a05560ap-18, 0x1.6419f635fd948p-18, 0x1.62eab2bc1c135p-18, 0x1.61b12b0e53752p-18, 0x1.606da4fbe46c4p-18, 0x1.5f204b0defe24p-18, 0x1.5dc93473b8bb8p-18, 0x1.5c689f56910f3p-18, 0x1.5afec5f4f9ec3p-18, 0x1.598bd9cd71fa4p-18, 0x1.58100be9c3124p-18, 0x1.568b8ddd53b84p-18, 0x1.54fe90e9999c1p-18, 0x1.53693fb3143edp-18, 0x1.51cbe564bdc47p-18, 0x1.50269022dd672p-18, 0x1.4e7969fb3d4abp-18, 0x1.4cc4c9f686dbbp-18, 0x1.4b08c122ed1fep-18, 0x1.4945849deb2c6p-18, 0x1.477b42f183662p-18, 0x1.45aa2c44e4ac6p-18, 0x1.43d26e54b0b64p-18, 0x1.41f4345ab0ed1p-18, 0x1.400fac5d943b1p-18, 0x1.3e24f41da9ef3p-18, 0x1.3c342604910ep-18, 0x1.3a3da8e453dd1p-18, 0x1.3841874ffc2a7p-18, 0x1.363fc0ef93acdp-18, 0x1.3438c483f2677p-18, 0x1.322c8e051c231p-18, 0x1.301b5bf24fd77p-18, 0x1.2e05567790b9fp-18, 0x1.2bea9e485b6fbp-18, 0x1.29cb5908ecb71p-18, 0x1.27a7ad746e0f2p-18, 0x1.257fc1f531726p-18, 0x1.2353bc6ddfb0dp-18, 0x1.2123c23ef904ep-18, 0x1.1eeff84fdefd1p-18, 0x1.1cb8831304fd9p-18, 0x1.1a7d8688e1f93p-18, 0x1.183f26469f16dp-18, 0x1.15fd8579198eap-18, 0x1.13b8c6dd1053ep-18, 0x1.11710cb2c0652p-18, 0x1.0f2678b8b457ep-18, 0x1.0cd92c55c19c4p-18, 0x1.0a8948f84551ap-18, 0x1.0836eec45a439p-18, 0x1.05e234ea67e42p-18, 0x1.038b3ec306938p-18, 0x1.01323e6972ad7p-18, 0x1.fdae770f18f1fp-19, 0x1.f8f4d9b651d09p-19, 0x1.f437aab46b81dp-19, 0x1.ef772718d34cp-19, 0x1.eab3abb6eaaacp-19, 0x1.e5ed89d669f9dp-19, 0x1.e124b3bdb7892p-19, 0x1.dc596449337dep-19, 0x1.d78bddf895f48p-19, 0x1.d2bc732e69064p-19, 0x1.cdeb63b20934ap-19, 0x1.c918d0793a1cbp-19, 0x1.c444e6e4a357fp-19, 0x1.bf6fd98cbbf86p-19, 0x1.ba99db077b30ep-19, 0x1.b5c31cf30f9dcp-19, 0x1.b0ebcff459013p-19, 0x1.ac1423ce6fb35p-19, 0x1.a73c477138a45p-19, 0x1.a26468ff2eddp-19, 0x1.9d8cb5cfa23a9p-19, 0x1.98b55a7225f4fp-19, 0x1.93de82b33b0cp-19, 0x1.8f08599ed42ffp-19, 0x1.8a33098041007p-19, 0x1.855ebbde6b5c1p-19, 0x1.808b9972d33a7p-19, 0x1.7bb9ca408c56p-19, 0x1.76e975c1e8387p-19, 0x1.721ac2e541593p-19, 0x1.6d4dd7f73148p-19, 0x1.6882dac4ab2c5p-19, 0x1.63b9f145f0186p-19, 0x1.5ef33bdaa70fp-19, 0x1.5a2eefd9d6e36p-19, 0x1.556cf10b06c9bp-19, 0x1.50adacfeddd71p-19, 0x1.4bf12748f3de9p-19, 0x1.4737949efbbfp-19, 0x1.4280e643ba6f4p-19, 0x1.3dcd460917ad4p-19, 0x1.391cf9acf6cadp-19, 0x1.34701c45d1146p-19, 0x1.2fc6ab32f5891p-19, 0x1.2b20b43ab801p-19, 0x1.267e78d789dacp-19, 0x1.21e0163fade47p-19, 0x1.1d459cbf5e3cp-19, 0x1.18af2540c995dp-19, 0x1.141ccaf58010dp-19, 0x1.0f8eaad30615p-19, 0x1.0b04dfdcd7a37p-19, 0x1.067f62c60f193p-19, 0x1.01fe4bce5d98p-19, 0x1.fb040adbf20b1p-20, 0x1.f214dd631affp-20, 0x1.e92eef8086a9ep-20, 0x1.e052b34adc876p-20, 0x1.d78054490eb83p-20, 0x1.ceb7f7b045bf2p-20, 0x1.c5f9ce072afebp-20, 0x1.bd45fe603883ap-20, 0x1.b49c8d19be021p-20, 0x1.abfdb6ef56937p-20, 0x1.a369a20d6c6cfp-20, 0x1.9ae06d576d70dp-20, 0x1.926239df0ccebp-20, 0x1.89ef258dfa4cep-20, 0x1.818755747f767p-20, 0x1.792ae837d4df8p-20, 0x1.70d9f31c9c234p-20, 0x1.689497a6906a5p-20, 0x1.605afbbaf7366p-20, 0x1.582d3d0c35e3p-20, 0x1.500b4ad5ec1adp-20, 0x1.47f56b559f8eep-20, 0x1.3febb23442fep-20, 0x1.37ee2eda5fb1ep-20, 0x1.2ffcf6eb464b1p-20, 0x1.281821e6b5d42p-20, 0x1.203fcdb59202p-20, 0x1.1874124d1d0d9p-20, 0x1.10b4dcf2a2eb4p-20, 0x1.09025f3c1b849p-20, 0x1.015cb241a8951p-20, 0x1.f387b9168634ap-21, 0x1.e46fdbc8259fbp-21, 0x1.d571edeaf6c83p-21, 0x1.c68e1127f3801p-21, 0x1.b7c4616e4fb1cp-21, 0x1.a914fb556923ap-21, 0x1.9a7ff95938a98p-21, 0x1.8c0574875628ap-21, 0x1.7da5830074be8p-21, 0x1.6f6039a041a67p-21, 0x1.6135af37b76a3p-21, 0x1.5325f8883f336p-21, 0x1.453125c5bcda1p-21, 0x1.3757478607555p-21, 0x1.29986f811195ap-21, 0x1.1bf4ace774399p-21, 0x1.0e6c0ca0f0908p-21, 0x1.00fe9a90c98cfp-21, 0x1.e758c3c347ea1p-22, 0x1.ccead95f4e57cp-22, 0x1.b2b386e3b6641p-22, 0x1.98b2daf676c1dp-22, 0x1.7ee8e394ceee9p-22, 0x1.6555ad42a3933p-22, 0x1.4bf94ab82f15ep-22, 0x1.32d3bbae7d6a6p-22, 0x1.19e4ec9d18c3ep-22, 0x1.012d0c66ee771p-22, 0x1.d15849a5b05eep-23, 0x1.a0c333e66fb54p-23, 0x1.709f3a8528ac8p-23, 0x1.40e35c2b70a28p-23, 0x1.1197bcc034ec8p-23, 0x1.c5761647e7c3cp-24, 0x1.6895ca364b3f1p-24, 0x1.0c8ec597d7a6dp-24, 0x1.62c63804e69ecp-25, 0x1.5c4833e056076p-26, -0x1.3297ef25995bep-31, -0x1.6c09e513a1affp-26, -0x1.658c79ee9600ep-25, -0x1.09b0dc2c33a91p-24, }}, 
      {{-0x1.cb99ae3b1b172p-1, -0x1.cb6bb416cf908p-1, -0x1.cb1edde0169cbp-1, -0x1.cab2df057328dp-1, -0x1.ca2752914d3cfp-1, -0x1.c97bc0593f51bp-1, -0x1.c8afa29a46affp-1, -0x1.c7c26ba406e1ap-1, -0x1.c6b38b4a60e3ep-1, -0x1.c58273e84316ap-1, -0x1.c42e9ed197903p-1, -0x1.c2b7902358aadp-1, -0x1.c11cd9ee978ebp-1, -0x1.bf5e1ec4b288bp-1, -0x1.bd7b13b0742f1p-1, -0x1.bb7381aa3bd7ep-1, -0x1.b9474695c438bp-1, -0x1.b6f655d787461p-1, -0x1.b480b88ed89d6p-1, -0x1.b1e68d80e7535p-1, -0x1.af2808c00ad6dp-1, -0x1.ac45731a1f297p-1, -0x1.a93f2958145fcp-1, -0x1.a6159b583f9b8p-1, -0x1.a2c94b0c4991fp-1, -0x1.9f5acb62d67eep-1, -0x1.9bcabf2427463p-1, -0x1.9819d7c80a34bp-1, -0x1.9448d44a7df02p-1, -0x1.90588003754aep-1, -0x1.8c49b18545f82p-1, -0x1.881d498470e42p-1, -0x1.83d431cab053p-1, -0x1.7f6f5c36936e8p-1, -0x1.7aefc1c8579f5p-1, -0x1.765661bc460fdp-1, -0x1.71a440b27a4c7p-1, -0x1.6cda67e3b3abp-1, -0x1.67f9e462a67e8p-1, -0x1.6303c66923c43p-1, -0x1.5df920b05b45ap-1, -0x1.58db07d37bf39p-1, -0x1.53aa91bbf7c7p-1, -0x1.4e68d516bfa1ep-1, -0x1.4916e8d1d19a5p-1, -0x1.43b5e3a191582p-1, -0x1.3e46db8d65b4p-1, -0x1.38cae58336dfap-1, -0x1.334314f16b048p-1, -0x1.2db07b67188f2p-1, -0x1.2814283a29fb3p-1, -0x1.226f28333f02fp-1, -0x1.1cc2853f1bea7p-1, -0x1.170f46257e701p-1, -0x1.11566e453685p-1, -0x1.0b98fd555f9f1p-1, -0x1.05d7ef2b9c822p-1, -0x1.00143b8734867p-1, -0x1.f49dabc1e6b22p-2, -0x1.e9115a7f5242dp-2, -0x1.dd8558224ed74p-2, -0x1.d1fb700f2a7bap-2, -0x1.c67563f5e6d6dp-2, -0x1.baf4eb9d4f2efp-2, -0x1.af7bb4b5c130fp-2, -0x1.a40b62b3532a9p-2, -0x1.98a58eaef4bfap-2, -0x1.8d4bc74e31457p-2, -0x1.81ff90b12873cp-2, -0x1.76c2646662d0bp-2, -0x1.6b95b1641e744p-2, -0x1.607adc06aa943p-2, -0x1.55733e13765dfp-2, -0x1.4a8026c073af6p-2, -0x1.3fa2dabf65009p-2, -0x1.34dc944cc988cp-2, -0x1.2a2e8341fe0fcp-2, -0x1.1f99cd2a46c7p-2, -0x1.151f8d5a6d482p-2, -0x1.0ac0d50a9c153p-2, -0x1.007eab7237635p-2, -0x1.ecb41bcac2c79p-3, -0x1.d8a7dfe7d64b3p-3, -0x1.c4da7712ef237p-3, -0x1.b14da21d0f00dp-3, -0x1.9e030f14968ddp-3, -0x1.8afc5989f06d4p-3, -0x1.783b0ad4f6b21p-3, -0x1.65c09a5ac104p-3, -0x1.538e6dd387e05p-3, -0x1.41a5d99063ca4p-3, -0x1.300820c0a8351p-3, -0x1.1eb675b6ac69ep-3, -0x1.0db1fa2bccc1fp-3, -0x1.f9f77f071c6f6p-4, -0x1.d9298e1b72681p-4, -0x1.b8fc048eb402fp-4, -0x1.9970a63532b0ep-4, -0x1.7a89183aa1be9p-4, -0x1.5c46e19cd5ab1p-4, -0x1.3eab6ba3ea28cp-4, -0x1.21b80257ec828p-4, -0x1.056dd4f408a3ep-4, -0x1.d39becae95109p-5, -0x1.9db2bae620151p-5, -0x1.6921cb6e8877fp-5, -0x1.35ea9ef900d33p-5, -0x1.040e80d8838fdp-5, -0x1.a71d0f9d29262p-6, -0x1.48d72da9b410dp-6, -0x1.da99778ed2f8dp-7, -0x1.28fd6ad92adabp-7, -0x1.f36d98c6403b4p-9, 0x1.4e6142b3f4405p-10, 0x1.95f32542a956ep-8, 0x1.66ade78fc71fcp-7, 0x1.fceaf00f51d05p-7, 0x1.46d99614f7a42p-6, 0x1.8c84e80b5e8aap-6, 0x1.cf7960a50b9d3p-6, 0x1.07dca4e0f5754p-5, 0x1.26a3a176ae8b8p-5, 0x1.44131ff107b22p-5, 0x1.602cc385a7ebcp-5, 0x1.7af25801d6d3cp-5, 0x1.9465d10818e5dp-5, 0x1.ac89494c16c82p-5, 0x1.c35f01cc81224p-5, 0x1.d8e9610ae1dedp-5, 0x1.ed2af241401c2p-5, 0x1.0013324ab4b35p-4, 0x1.08ef4524f4b23p-4, 0x1.112b2bf64525ap-4, 0x1.18c871c12dd5ap-4, 0x1.1fc8b1d8a5c1fp-4, 0x1.262d977395ff8p-4, 0x1.2bf8dd3f269bcp-4, 0x1.312c4cefd202ap-4, 0x1.35c9bed14892fp-4, 0x1.39d3195523806p-4, 0x1.3d4a50a07cd3ep-4, 0x1.403166186d6bp-4, 0x1.428a67ed8ad33p-4, 0x1.445770a661a8dp-4, 0x1.459aa6a911c5ap-4, 0x1.46563bc404db5p-4, 0x1.468c6cb5ee9fep-4, 0x1.463f80b50d92cp-4, 0x1.4571c8f5d6933p-4, 0x1.4425a03117f31p-4, 0x1.425d6a29a2457p-4, 0x1.401b9331a09acp-4, 0x1.3d628fafaab88p-4, 0x1.3a34dba3a479ap-4, 0x1.3694fa2b9544ap-4, 0x1.328575087c293p-4, 0x1.2e08dc2349d16p-4, 0x1.2921c5120f0cp-4, 0x1.23d2ca9d7c442p-4, 0x1.1e1e8c46d1bbcp-4, 0x1.1807adce4abfcp-4, 0x1.1190d6ba31636p-4, 0x1.0abcb1dea309ap-4, 0x1.038dece627af2p-4, 0x1.f80e6fb65e451p-5, 0x1.e85689652533fp-5, 0x1.d7f98dae58d5p-5, 0x1.c6fce56d4bcbdp-5, 0x1.b565fa9f0c8edp-5, 0x1.a33a378146cedp-5, 0x1.907f05b40db99p-5, 0x1.7d39cd5eb89b2p-5, 0x1.696ff457f3fe8p-5, 0x1.5526dd5146fe2p-5, 0x1.4063e706196d4p-5, 0x1.2b2c6b6e6a5a9p-5, 0x1.1585bef55696ep-5, 0x1.feea5f67404e1p-6, 0x1.d200095c86999p-6, 0x1.a456fa327d95dp-6, 0x1.75f99f3d71d4dp-6, 0x1.46f25355049c8p-6, 0x1.174b5d744e474p-6, 0x1.ce1ddec67b79ap-7, 0x1.6c8e48d2cc89bp-7, 0x1.09fc00149fcbap-7, 0x1.4cf5b32e2573fp-8, 0x1.0879d8243a5c6p-9, -0x1.182e04773963bp-10, -0x1.11bd3215efec7p-8, -0x1.deb23a93794b9p-8, -0x1.5662943d947fcp-7, -0x1.bde883e79b60ep-7, -0x1.12ec599ed3f7bp-6, -0x1.471095fdda4adp-6, -0x1.7b581e3040a86p-6, -0x1.afba3c6a9a977p-6, -0x1.e42e5ec025d0ap-6, -0x1.0c560bf0eed57p-5, -0x1.26958fe98ef6bp-5, -0x1.40d1aa49ff9fcp-5, -0x1.5b065d60b2083p-5, -0x1.752fbf156204ap-5, -0x1.8f49f92ee269p-5, -0x1.a9514993ea1cep-5, -0x1.c3420286cc6bap-5, -0x1.dd188adc5ad75p-5, -0x1.f6d15e2db7c87p-5, -0x1.08348682bd6e5p-4, -0x1.14ee1e83fa41dp-4, -0x1.2193d48b5b1b3p-4, -0x1.2e2410b7be6b8p-4, -0x1.3a9d45e3481bbp-4, -0x1.46fdf1ae43ap-4, -0x1.53449c87dbb6ap-4, -0x1.5f6fd9b4a28a9p-4, -0x1.6b7e4752f2262p-4, -0x1.776e8e5d401edp-4, -0x1.833f62aa5d9e3p-4, -0x1.8eef82ebbe591p-4, -0x1.9a7db8a9c457p-4, -0x1.a5e8d83e2b765p-4, -0x1.b12fc0cc9ad3bp-4, -0x1.bc515c3952c31p-4, -0x1.c74c9f1e40011p-4, -0x1.d22088be2ac21p-4, -0x1.dccc22f65f34cp-4, -0x1.e74e822eac49ap-4, -0x1.f1a6c547d3234p-4, -0x1.fbd41588737ecp-4, -0x1.02ead3444a6p-3, -0x1.07d55b0dcfd2ep-3, -0x1.0ca9461c991a1p-3, -0x1.11663d723d92bp-3, -0x1.160bef0931a08p-3, -0x1.1a9a0dc747929p-3, -0x1.1f10516f9071ep-3, -0x1.236e7693bfe7cp-3, -0x1.27b43e84fc5ebp-3, -0x1.2be16f4438631p-3, -0x1.2ff5d3720813ep-3, -0x1.33f13a3e140e4p-3, -0x1.37d377560db01p-3, -0x1.3b9c62d441b68p-3, -0x1.3f4bd92dd58b5p-3, -0x1.42e1bb20969d9p-3, -0x1.465deda0835c9p-3, -0x1.49c059c4fd1ep-3, -0x1.4d08ecb5b729fp-3, -0x1.50379797577e2p-3, -0x1.534c4f77e56e5p-3, -0x1.56470d3af8eedp-3, -0x1.5927cd85afd21p-3, -0x1.5bee90aa85fecp-3, -0x1.5e9b5a94f3981p-3, -0x1.612e32b4ee1f2p-3, -0x1.63a723ea4bac7p-3, -0x1.66063c70067e8p-3, -0x1.684b8dc77194bp-3, -0x1.6a772ca353c7bp-3, -0x1.6c8930d2ff5d7p-3, -0x1.6e81b52d539f6p-3, -0x1.7060d77bcd64bp-3, -0x1.7226b8658443p-3, -0x1.73d37b5a3793cp-3, -0x1.7567467d5e1dap-3, -0x1.76e2429143d06p-3, -0x1.78449ae233d1bp-3, -0x1.798e7d31b887p-3, -0x1.7ac019a1eb75p-3, -0x1.7bd9a2a0e84e5p-3, -0x1.7cdb4cd450b7fp-3, -0x1.7dc54f04fb28bp-3, -0x1.7e97e20ab9873p-3, -0x1.7f5340b84f48cp-3, -0x1.7ff7a7c786589p-3, -0x1.808555c5737f8p-3, -0x1.80fc8afee969ap-3, -0x1.815d896d16c64p-3, -0x1.81a894a2592e2p-3, -0x1.81ddf1b745b26p-3, -0x1.81fde737e0091p-3, -0x1.8208bd1113b31p-3, -0x1.81febc7e5f44bp-3, -0x1.81e02ff7c1a74p-3, -0x1.81ad631fdfa56p-3, -0x1.8166a2b26b70dp-3, -0x1.810c3c72c9ba4p-3, -0x1.809e7f1afe088p-3, -0x1.801dba4ad5841p-3, -0x1.7f8a3e77573fbp-3, -0x1.7ee45cda7adefp-3, -0x1.7e2c6763283f4p-3, -0x1.7d62b0a57675ap-3, -0x1.7c878bcb3d7b9p-3, -0x1.7b9b4c84ee39bp-3, -0x1.7a9e46faad6dp-3, -0x1.7990cfbdc13a6p-3, -0x1.78733bba4c2a1p-3, -0x1.7745e02946972p-3, -0x1.76091282d63cdp-3, -0x1.74bd2870dfd25p-3, -0x1.736277c1f7a55p-3, -0x1.71f9565c8fc7dp-3, -0x1.70821a327e335p-3, -0x1.6efd1934ca2c2p-3, -0x1.6d6aa947c9af9p-3, -0x1.6bcb20378a884p-3, -0x1.6a1ed3ac8a8bcp-3, -0x1.68661920be221p-3, -0x1.66a145d4db68cp-3, -0x1.64d0aec603745p-3, -0x1.62f4a8a39f772p-3, -0x1.610d87c5a4d2dp-3, -0x1.5f1ba0230d0ecp-3, -0x1.5d1f4548acce8p-3, -0x1.5b18ca5045b6ap-3, -0x1.590881d7ef672p-3, -0x1.56eebdf9bfca5p-3, -0x1.54cbd043c6f3dp-3, -0x1.52a009b048926p-3, -0x1.506bba9e4ab42p-3, -0x1.4e2f32ca5b13ap-3, -0x1.4beac147ac5b6p-3, -0x1.499eb4796e582p-3, -0x1.474b5a0c6e4c3p-3, -0x1.44f0fef0fa1bdp-3, -0x1.428fef550c7c9p-3, -0x1.4028769eb4f3bp-3, -0x1.3dbadf66c2af3p-3, -0x1.3b477373b9418p-3, -0x1.38ce7bb4f4ddp-3, -0x1.3650403e1cd86p-3, -0x1.33cd0842cf602p-3, -0x1.31451a1285732p-3, -0x1.2eb8bb14b7159p-3, -0x1.2c282fc53ed8cp-3, -0x1.2993bbb0eea51p-3, -0x1.26fba172675d9p-3, -0x1.246022af1d5fap-3, -0x1.21c180149efb7p-3, -0x1.1f1ff956098abp-3, -0x1.1c7bcd29ba579p-3, -0x1.19d539472a9dep-3, -0x1.172c7a65075bcp-3, -0x1.1481cc3770b84p-3, -0x1.11d5696e799f7p-3, -0x1.0f278bb4c5471p-3, -0x1.0c786bae5ddf8p-3, -0x1.09c840f7b9e3bp-3, -0x1.07174224e497dp-3, -0x1.0465a4c0dd119p-3, -0x1.01b39d4d15cbcp-3, -0x1.fe02be824cba7p-4, -0x1.f89e3a1537f2bp-4, -0x1.f33a1019f11d6p-4, -0x1.edd6a143a4e2dp-4, -0x1.e8744c324386cp-4, -0x1.e3136d7340a9p-4, -0x1.ddb45f82c8e51p-4, -0x1.d8577acd0acb8p-4, -0x1.d2fd15afe421bp-4, -0x1.cda5847cc063cp-4, -0x1.c851197ab1543p-4, -0x1.c30024e8cc27fp-4, -0x1.bdb2f500b9b69p-4, -0x1.b869d5f985ff6p-4, -0x1.b325120a92de1p-4, -0x1.ade4f16ed826bp-4, -0x1.a8a9ba683e25ap-4, -0x1.a373b1433773fp-4, -0x1.9e43185a7dfb6p-4, -0x1.9918301b07377p-4, -0x1.93f3370813bbp-4, -0x1.8ed469bf783cep-4, -0x1.89bc02fdfb399p-4, -0x1.84aa3ba3e9ff1p-4, -0x1.7f9f4ab9bfd7cp-4, -0x1.7a9b6574fb79bp-4, -0x1.759ebf3d0a18fp-4, -0x1.70a989b05bd2p-4, -0x1.6bbbf4a98ab95p-4, -0x1.66d62e449ec57p-4, -0x1.61f862e47054fp-4, -0x1.5d22bd381d5a6p-4, -0x1.5855664097dd2p-4, -0x1.5390855646124p-4, -0x1.4ed4402ebae94p-4, -0x1.4a20bae27b161p-4, -0x1.457617f2d5a27p-4, -0x1.40d4784fd006p-4, -0x1.3c3bfb5e150f3p-4, -0x1.37acbefcfeb6ap-4, -0x1.3326df8c9c136p-4, -0x1.2eaa77f3d3756p-4, -0x1.2a37a1a677a8p-4, -0x1.25ce74ab7dedap-4, -0x1.216f07a324d96p-4, -0x1.1d196fcd2c949p-4, -0x1.18cdc10f143cep-4, -0x1.148c0dfa4fb34p-4, -0x1.105467d2903ccp-4, -0x1.0c26de94023b5p-4, -0x1.080380f98ca96p-4, -0x1.03ea5c8317176p-4, -0x1.ffb6faf794c43p-5, -0x1.f7adde008e10ap-5, -0x1.efb97609d6aabp-5, -0x1.e7d9d4b803f19p-5, -0x1.e00f0977ede79p-5, -0x1.d859218b0b535p-5, -0x1.d0b82813bae16p-5, -0x1.c92c262186a4bp-5, -0x1.c1b522bd4ef5bp-5, -0x1.ba5322f571193p-5, -0x1.b30629e9ca5d4p-5, -0x1.abce38d7bbeabp-5, -0x1.a4ab4f2610542p-5, -0x1.9d9d6a70c17afp-5, -0x1.96a48694bbfd2p-5, -0x1.8fc09dbb8136fp-5, -0x1.88f1a866ac6ap-5, -0x1.82379d7b61ba8p-5, -0x1.7b92724daa864p-5, -0x1.75021aaba9f97p-5, -0x1.6e8688e8b902cp-5, -0x1.681fade86b0e6p-5, -0x1.61cd792971aeap-5, -0x1.5b8fd8d05881fp-5, -0x1.5566b9b2384d8p-5, -0x1.4f52075f32263p-5, -0x1.4951ac2cd68bap-5, -0x1.436591406cd85p-5, -0x1.3d8d9e9912f04p-5, -0x1.37c9bb19c44e2p-5, -0x1.3219cc932e65ep-5, -0x1.2c7db7cd774f5p-5, -0x1.26f56091d32dbp-5, -0x1.2180a9b3f6c2dp-5, -0x1.1c1f751b6f9e5p-5, -0x1.16d1a3cccb0b6p-5, -0x1.119715f2a6d33p-5, -0x1.0c6faae692808p-5, -0x1.075b4139d2ba3p-5, -0x1.0259b6bdf795ap-5, -0x1.fad5d11ab1bd3p-6, -0x1.f11d6626d1b76p-6, -0x1.e789e429b9b2fp-6, -0x1.de1b016f6ee75p-6, -0x1.d4d0731650973p-6, -0x1.cba9ed1ea2b68p-6, -0x1.c2a72279a1a44p-6, -0x1.b9c7c5187bdb2p-6, -0x1.b10b85faf8988p-6, -0x1.a872153da57b8p-6, -0x1.9ffb2227fe827p-6, -0x1.97a65b3a197aap-6, -0x1.8f736e3a20e2ep-6, -0x1.8762084184ea1p-6, -0x1.7f71d5c9d0f3cp-6, -0x1.77a282b94e71ep-6, -0x1.6ff3ba6f58ee8p-6, -0x1.686527d05b881p-6, -0x1.60f67551a434ap-6, -0x1.59a74d04df0f7p-6, -0x1.527758a339b04p-6, -0x1.4b6641986de1bp-6, -0x1.4473b10d62ca3p-6, -0x1.3d9f4ff292448p-6, -0x1.36e8c70a2aaa2p-6, -0x1.304fbef1fdf45p-6, -0x1.29d3e02d0da36p-6, -0x1.2374d32cfb35cp-6, -0x1.1d32405b13495p-6, -0x1.170bd0212125ep-6, -0x1.11012af232185p-6, -0x1.0b11f952bdfdap-6, -0x1.053de3e0eb403p-6, -0x1.ff0926b8bd717p-7, -0x1.f3cb615bbba4cp-7, -0x1.e8c1c9dd83115p-7, -0x1.ddebb2e0325b1p-7, -0x1.d3486f8344845p-7, -0x1.c8d75370fc54dp-7, -0x1.be97b2eb5988ep-7, -0x1.b488e2d8ceaa8p-7, -0x1.aaaa38d048683p-7, -0x1.a0fb0b24c4534p-7, -0x1.977ab0f0e907dp-7, -0x1.8e2882219725dp-7, -0x1.8503d780b6cfp-7, -0x1.7c0c0abeed13ap-7, -0x1.7340767dab714p-7, -0x1.6aa076583282fp-7, -0x1.622b66ecb677cp-7, -0x1.59e0a5e4d5067p-7, -0x1.51bf91fdd1ac8p-7, -0x1.49c78b1054abfp-7, -0x1.41f7f21808ae6p-7, -0x1.3a50293abeceep-7, -0x1.32cf93cf22c14p-7, -0x1.2b75966354cbcp-7, -0x1.244196c2f8fcbp-7, -0x1.1d32fbfd3022dp-7, -0x1.16492e69e06ecp-7, -0x1.0f8397af380efp-7, -0x1.08e1a2c68419ap-7, -0x1.0262bc00afc85p-7, -0x1.f80ca2159969ep-8, -0x1.eb97a1e41eaep-8, -0x1.df65584f5522cp-8, -0x1.d374a90894d97p-8, -0x1.c7c47a96d4bc9p-8, -0x1.bc53b65c93c53p-8, -0x1.b121489dbdf7cp-8, -0x1.a62c208449bep-8, -0x1.9b73302526514p-8, -0x1.90f56c847647ap-8, -0x1.86b1cd98b6d98p-8, -0x1.7ca74e4ee4326p-8, -0x1.72d4ec8c927eep-8, -0x1.6939a932c348ep-8, -0x1.5fd4881feec27p-8, -0x1.56a490316a173p-8, -0x1.4da8cb44f17c9p-8, -0x1.44e0463971737p-8, -0x1.3c4a10ef97756p-8, -0x1.33e53e4a23ddap-8, -0x1.2bb0e42da7336p-8, -0x1.23ac1b801102ap-8, -0x1.1bd60027f53ddp-8, -0x1.142db10b9b4dp-8, -0x1.0cb2500f65119p-8, -0x1.056302143f7cfp-8, -0x1.fc7dddeb9b411p-9, -0x1.ee8a83101d34ep-9, -0x1.e0ea4f2a75eb4p-9, -0x1.d39ba3b4ceb3bp-9, -0x1.c69ce80b33dep-9, -0x1.b9ec89634ca9p-9, -0x1.ad88fac685c08p-9, -0x1.a170b50afe3bp-9, -0x1.95a236cb68a03p-9, -0x1.8a1c045f54a5p-9, -0x1.7edca7d2d365ep-9, -0x1.73e2b0dda8393p-9, -0x1.692cb4da30e3p-9, -0x1.5eb94ebbf0559p-9, -0x1.54871f05b9be8p-9, -0x1.4a94cbc043b8ep-9, -0x1.40e1006e852bep-9, -0x1.376a6e049a1d9p-9, -0x1.2e2fcadbeb167p-9, -0x1.252fd2a887e3fp-9, -0x1.1c69466d483a6p-9, -0x1.13daec7103905p-9, -0x1.0b839031f88abp-9, -0x1.0362025a4f02bp-9, -0x1.f6ea31678960dp-10, -0x1.e7775c36ed16p-10, -0x1.d86944ea43d9ep-10, -0x1.c9bdb53d8536fp-10, -0x1.bb7280c729bc2p-10, -0x1.ad8584de2509dp-10, -0x1.9ff4a880cc4efp-10, -0x1.92bddc38b5077p-10, -0x1.85df1a026ce47p-10, -0x1.795665306afa5p-10, -0x1.6d21ca524f2fep-10, -0x1.613f5f1827dd9p-10, -0x1.55ad4238a5464p-10, -0x1.4a699b54b3a7bp-10, -0x1.3f729adcdf887p-10, -0x1.34c679f552dcfp-10, -0x1.2a637a5aede63p-10, -0x1.2047e646e2625p-10, -0x1.16721054147a5p-10, -0x1.0ce053627da72p-10, -0x1.0391127c558d2p-10, -0x1.f50571736f853p-11, -0x1.e367724b9100ep-11, -0x1.d2451d4412b01p-11, -0x1.c19b77989a57p-11, -0x1.b16795c286ed6p-11, -0x1.a1a69b4624404p-11, -0x1.9255ba78785c6p-11, -0x1.8372344ae41d7p-11, -0x1.74f9581428147p-11, -0x1.66e88359963dap-11, -0x1.593d219985f22p-11, -0x1.4bf4ac15f10ebp-11, -0x1.3f0ca99e46e41p-11, -0x1.3282ae5ac9389p-11, -0x1.26545b9778b1fp-11, -0x1.1a7f5f8f4a6eap-11, -0x1.0f017537e854fp-11, -0x1.03d8640e87417p-11, -0x1.f203ffc5da394p-12, -0x1.dcf85149b74fdp-12, -0x1.c88994638ba65p-12, -0x1.b4b3b842d64b1p-12, -0x1.a172c327bb60bp-12, -0x1.8ec2d2012ce61p-12, -0x1.7ca018079da23p-12, -0x1.6b06de5e62fb6p-12, -0x1.59f383b0582f3p-12, -0x1.49627bd0d56d4p-12, -0x1.39504f5cf3819p-12, -0x1.29b99b5d6b521p-12, -0x1.1a9b10e73ccf5p-12, -0x1.0bf174c233d8ap-12, -0x1.fb733e184b4f1p-13, -0x1.dfe0f5bb159eap-13, -0x1.c5260be4cda2ap-13, -0x1.ab3ca09e6573ap-13, -0x1.921ef7d746dfcp-13, -0x1.79c778b3bc7a5p-13, -0x1.6230ace6b718dp-13, -0x1.4b5540032d4b1p-13, -0x1.352ffed99c815p-13, -0x1.1fbbd6d171c35p-13, -0x1.0af3d5448886fp-13, -0x1.eda64dc4334d6p-14, -0x1.c6aa2e17d6efp-14, -0x1.a0ea1e748e9cfp-14, -0x1.7c5d2cc3a2002p-14, -0x1.58faa0b6bc243p-14, -0x1.36b9fa97e389ep-14, -0x1.1592f222edd7ep-14, -0x1.eafaeabfa129fp-15, -0x1.ace34ef6eecep-15, -0x1.70cfbf6a6dd4cp-15, -0x1.36b1507b37a57p-15, -0x1.fcf2f4932082ep-16, -0x1.90342d29c7aa4p-16, -0x1.270abd4ae84c4p-16, -0x1.82b7a4cb0157p-17, -0x1.7c3542d934829p-18, -0x1.73d5a89caedf1p-30, 0x1.6f4daf284460cp-18, 0x1.692cdf64e4aap-17, 0x1.0a5aa4441f1a1p-16, 0x1.5d36cdf51e748p-16, 0x1.ad4111840e8a4p-16, 0x1.fa8ef79c35f55p-16, 0x1.229ab838069fdp-15, 0x1.46a46b971e4e1p-15, 0x1.696e7ac59bebfp-15, 0x1.8b0283846bac3p-15, 0x1.ab69de37fe78bp-15, 0x1.caad9f8111bffp-15, 0x1.e8d699e14c8fap-15, 0x1.02f6afa47b665p-14, 0x1.10fd21549fb1fp-14, 0x1.1e82acbc38b3cp-14, 0x1.2b8b3e9a0e4bdp-14, 0x1.381aa66fc5b84p-14, 0x1.44349734d31e5p-14, 0x1.4fdca81040a24p-14, 0x1.5b1655097f2e6p-14, 0x1.65e4ffb70b206p-14, 0x1.704befe7423aep-14, 0x1.7a4e544deb841p-14, 0x1.83ef43255faa7p-14, 0x1.8d31bacf1cf9dp-14, 0x1.9618a2756395ep-14, 0x1.9ea6caa4331edp-14, 0x1.a6deeddfed655p-14, 0x1.aec3b13d0c048p-14, 0x1.b657a4f130588p-14, 0x1.bd9d44e20a69ap-14, 0x1.c496f92fc5965p-14, 0x1.cb4716c1d3c8dp-14, 0x1.d1afdfc8812d8p-14, 0x1.d7d384438a89bp-14, 0x1.ddb4227fc7588p-14, 0x1.e353c797de20ap-14, 0x1.e8b46fedf4c0fp-14, 0x1.edd807a3eda45p-14, 0x1.f2c06b127bb8ep-14, 0x1.f76f6739342afp-14, 0x1.fbe6ba2ffbcep-14, 0x1.001409cb91d34p-13, 0x1.021a8a804f1efp-13, 0x1.0407a92d2617dp-13, 0x1.05dc292a0284bp-13, 0x1.0798c76248fa9p-13, 0x1.093e3a852b265p-13, 0x1.0acd333575e1bp-13, 0x1.0c465c38c70f6p-13, 0x1.0daa5aa4ec63bp-13, 0x1.0ef9ce0c3876ap-13, 0x1.103550a8a67e3p-13, 0x1.115d778707f0bp-13, 0x1.1272d2af4ea9ap-13, 0x1.1375ed4d3dbd3p-13, 0x1.14674dd78c2d9p-13, 0x1.1547763673017p-13, 0x1.1616e3e90835bp-13, 0x1.16d61029556c7p-13, 0x1.178570100c6ebp-13, 0x1.182574b6ec9c6p-13, 0x1.18b68b5a240dbp-13, 0x1.19391d791b2f3p-13, 0x1.19ad90f67ce95p-13, 0x1.1a144837973f7p-13, 0x1.1a6da242204d5p-13, 0x1.1ab9fad99cb1bp-13, 0x1.1af9aa9c99d5ep-13, 0x1.1b2d071f41f7ep-13, 0x1.1b5463073e5ebp-13, 0x1.1b700e25fa53dp-13, 0x1.1b80559234aafp-13, 0x1.1b8583c0e45a5p-13, 0x1.1b7fe09ce652dp-13, 0x1.1b6fb19f4f46dp-13, 0x1.1b5539e4f4f89p-13, 0x1.1b30ba455d1eap-13, 0x1.1b027167f2ee3p-13, 0x1.1aca9bd8f3afdp-13, 0x1.1a89741de8098p-13, 0x1.1a3f32c8d0eb2p-13, 0x1.19ec0e8ba1f12p-13, 0x1.19903c4a45142p-13, 0x1.192bef2c59e43p-13, 0x1.18bf58aec4206p-13, 0x1.184aa8b4b24c4p-13, 0x1.17ce0d9750b31p-13, 0x1.1749b435f51d3p-13, 0x1.16bdc8050baa9p-13, 0x1.162a731d20804p-13, 0x1.158fde4938eb2p-13, 0x1.14ee3113cc53fp-13, 0x1.144591d4c51d5p-13, 0x1.139625be63131p-13, 0x1.12e010e9be601p-13, 0x1.122376627257fp-13, 0x1.1160783260923p-13, 0x1.1097376d35df5p-13, 0x1.0fc7d43af3f0bp-13, 0x1.0ef26de1e748fp-13, 0x1.0e1722d10b0f1p-13, 0x1.0d3610aa38a44p-13, 0x1.0c4f544b481b5p-13, 0x1.0b6309d6a9951p-13, 0x1.0a714cbc654a9p-13, 0x1.097a37c27a5d9p-13, 0x1.087de50cc4f5dp-13, 0x1.077c6e2457dc1p-13, 0x1.0675ebff83eb6p-13, 0x1.056a7708aff74p-13, 0x1.045a272564f07p-13, 0x1.034513bc7e428p-13, 0x1.022b53bc53e36p-13, 0x1.010cfda18684ap-13, 0x1.ffd44ef899ebp-14, 0x1.fd85cdeb0157ap-14, 0x1.fb2ea2a95601ap-14, 0x1.f8cef709a8f38p-14, 0x1.f666f43334a4ep-14, 0x1.f3f6c2a674a22p-14, 0x1.f17e8a46f85bdp-14, 0x1.eefe7263c4aa9p-14, 0x1.ec76a1bef0f74p-14, 0x1.e9e73e950556cp-14, 0x1.e7506ea4907dcp-14, 0x1.e4b2573585dbfp-14, 0x1.e20d1d1f37089p-14, 0x1.df60e4ce9aa48p-14, 0x1.dcadd24ccce23p-14, 0x1.d9f40944689ddp-14, 0x1.d733ad066ef7ap-14, 0x1.d46ce08f03b2ap-14, 0x1.d19fc68b42994p-14, 0x1.cecc815caafd5p-14, 0x1.cbf3331daf0d2p-14, 0x1.c913fda60983cp-14, 0x1.c62f028e258e1p-14, 0x1.c3446331ef5e9p-14, 0x1.c05440b4f76c9p-14, 0x1.bd5ebc04a9e7fp-14, 0x1.ba63f5db58f25p-14, 0x1.b7640ec32d9f5p-14, 0x1.b45f271878a13p-14, 0x1.b1555f0bd7b92p-14, 0x1.ae46d6a3d5d96p-14, 0x1.ab33adbf8ce1ep-14, 0x1.a81c0417cb436p-14, 0x1.a4fff940b420ep-14, 0x1.a1dfacaadfb8dp-14, 0x1.9ebb3da5109afp-14, 0x1.9b92cb5d5b73dp-14, 0x1.986674e1ba3aap-14, 0x1.95365920f012ep-14, 0x1.920296eb2a58dp-14, 0x1.8ecb4cf31808bp-14, 0x1.8b9099ce8c6a6p-14, 0x1.88529bf60bf4ap-14, 0x1.851171c554ab9p-14, 0x1.81cd397c1f0fdp-14, 0x1.7e86113d94d96p-14, 0x1.7b3c1710da0edp-14, 0x1.77ef68e0f0eabp-14, 0x1.74a0247c83467p-14, 0x1.714e67955dd6p-14, 0x1.6dfa4fc0a0134p-14, 0x1.6aa3fa760c3d5p-14, 0x1.674b850fe68fcp-14, 0x1.63f10cca3c6e9p-14, 0x1.6094aec2c5f44p-14, 0x1.5d3687f85010cp-14, 0x1.59d6b549dc13dp-14, 0x1.5675537641d21p-14, 0x1.53127f1b89e98p-14, 0x1.4fae54b617628p-14, 0x1.4c48f09fac90ep-14, 0x1.48e26f0f0f344p-14, 0x1.457aec177717bp-14, 0x1.421283a6f0196p-14, 0x1.3ea951862ec04p-14, 0x1.3b3f71579fbep-14, 0x1.37d4fe9657043p-14, 0x1.346a14950b18ep-14, 0x1.30fece7dda8bp-14, 0x1.2d93475071fc9p-14, 0x1.2a2799e1e9305p-14, 0x1.26bbe0db81a8ep-14, 0x1.235036b99e358p-14, 0x1.1fe4b5cb5b8afp-14, 0x1.1c7978311174fp-14, 0x1.190e97db99783p-14, 0x1.15a42e8b6cbdap-14, 0x1.123a55cf9f0afp-14, 0x1.0ed1270501b98p-14, 0x1.0b68bb5521becp-14, 0x1.08012bb5b8ffap-14, 0x1.049a90e74f652p-14, 0x1.013503746d50ep-14, 0x1.fba137623c1b3p-15, 0x1.f4dae3739ad5cp-15, 0x1.ee173ae46898cp-15, 0x1.e7566d0a6157cp-15, 0x1.e098a8c675cebp-15, 0x1.d9de1c832e419p-15, 0x1.d326f63499e9fp-15, 0x1.cc73635551b64p-15, 0x1.c5c390e548ed2p-15, 0x1.bf17ab68fc923p-15, 0x1.b86fdee7058a7p-15, 0x1.b1cc56e70e5bap-15, 0x1.ab2d3e70f87a9p-15, 0x1.a492c00b578aap-15, 0x1.9dfd05b906081p-15, 0x1.976c38f9b6d6ap-15, 0x1.90e082c7a0fa9p-15, 0x1.8a5a0b961581ep-15, 0x1.83d8fb50f5869p-15, 0x1.7d5d795c7a56bp-15, 0x1.76e7ac9305ed3p-15, 0x1.7077bb43f6d35p-15, 0x1.6a0dcb330e48dp-15, 0x1.63aa0198134f8p-15, 0x1.5d4c831dcf434p-15, 0x1.56f573e0145ddp-15, 0x1.50a4f76d58715p-15, 0x1.4a5b30c3a8862p-15, 0x1.44184250ecf31p-15, 0x1.3ddc4df2b0703p-15, 0x1.37a774f5ae99ap-15, 0x1.3179d8143652bp-15, 0x1.2b5397771b2b2p-15, 0x1.2534d2b352ae4p-15, 0x1.1f1da8cb0d69fp-15, 0x1.190e382e149aep-15, 0x1.13069eb83369p-15, 0x1.0d06f9b0f3e3cp-15, 0x1.070f65cc0c2d4p-15, 0x1.011fff28d92b9p-15, 0x1.f671c2a3f6e8ap-16, 0x1.eab44e7cbbe6ep-16, 0x1.df07d6a0d56e4p-16, 0x1.d36c8eaae964bp-16, 0x1.c7e2a90db0a85p-16, 0x1.bc6a5714dfce3p-16, 0x1.b103c8e19e178p-16, 0x1.a5af2d6df48bap-16, 0x1.9a6cb28d1eac7p-16, 0x1.8f3c84eb2089dp-16, 0x1.841ed00dd7222p-16, 0x1.7913be549f087p-16, 0x1.6e1b78fa06e63p-16, 0x1.6336281609751p-16, 0x1.5863f29c80759p-16, 0x1.4da4fe5eb1b82p-16, 0x1.42f9700d05f26p-16, 0x1.38616b37a181cp-16, 0x1.2ddd124fbab1cp-16, 0x1.236c86a8d04d6p-16, 0x1.190fe87a0438p-16, 0x1.0ec756dfbbeb7p-16, }}, 
      {{-0x1.cb9c76f1bedadp-1, -0x1.cb76de297eb1fp-1, -0x1.cb381703cf1fcp-1, -0x1.cadff62a28a38p-1, -0x1.ca6e4199ce683p-1, -0x1.c9e2b2ed84a5dp-1, -0x1.c93cf9e9cfc3cp-1, -0x1.c87cbf2592dafp-1, -0x1.c7a1a6b029e77p-1, -0x1.c6ab529ccad1p-1, -0x1.c599656149627p-1, -0x1.c46b83fc5d603p-1, -0x1.c32157dcea4e7p-1, -0x1.c1ba90880d266p-1, -0x1.c036e4fedd7a4p-1, -0x1.be9614e6d60dfp-1, -0x1.bcd7e979054d4p-1, -0x1.bafc363ca8702p-1, -0x1.b902d99200c0cp-1, -0x1.b6ebbd1218847p-1, -0x1.b4b6d5c806551p-1, -0x1.b26424480f89cp-1, -0x1.aff3b4a8cac15p-1, -0x1.ad659e6241fb5p-1, -0x1.aaba0416cca4ap-1, -0x1.a7f11349349c8p-1, -0x1.a50b04036ea81p-1, -0x1.a2081870fc388p-1, -0x1.9ee89c6fba9a2p-1, -0x1.9bace519a7995p-1, -0x1.98555049d1dcbp-1, -0x1.94e2441e649e1p-1, -0x1.91542e7977634p-1, -0x1.8dab848202a8cp-1, -0x1.89e8c22621426p-1, -0x1.860c699f8395ep-1, -0x1.821702facbdcep-1, -0x1.7e091ba25dbfcp-1, -0x1.79e345ecfc54p-1, -0x1.75a618b07c6aep-1, -0x1.71522ed8ad7fbp-1, -0x1.6ce8270286764p-1, -0x1.6868a31b9824ep-1, -0x1.63d44805b5d46p-1, -0x1.5f2bbd3eb8e2p-1, -0x1.5a6fac8c47fc7p-1, -0x1.55a0c1ab79139p-1, -0x1.50bfaa042fa3cp-1, -0x1.4bcd146010a86p-1, -0x1.46c9b0a4e8cd2p-1, -0x1.41b62f9264c44p-1, -0x1.3c934282f65f2p-1, -0x1.37619b2fcf8a6p-1, -0x1.3221eb77ce3bep-1, -0x1.2cd4e529474aep-1, -0x1.277b39ce92ba3p-1, -0x1.22159a7d43b01p-1, -0x1.1ca4b7a7fa4a9p-1, -0x1.172940f2b8029p-1, -0x1.11a3e509a5754p-1, -0x1.0c15517a378ccp-1, -0x1.067e328ea4daep-1, -0x1.00df332b960a7p-1, -0x1.f671f9600a2abp-2, -0x1.eb186dae70afbp-2, -0x1.dfb30f3993c4ap-2, -0x1.d443264557bccp-2, -0x1.c8c9f7322c788p-2, -0x1.bd48c250a2afap-2, -0x1.b1c0c3b89011cp-2, -0x1.a6333323a99b5p-2, -0x1.9aa143cb6cfafp-2, -0x1.8f0c244a3415ap-2, -0x1.8374fe7f59278p-2, -0x1.77dcf7763e345p-2, -0x1.6c452f501f26ap-2, -0x1.60aec13084d5bp-2, -0x1.551ac32c3a28cp-2, -0x1.498a463aa48e8p-2, -0x1.3dfe56295671p-2, -0x1.3277f991c5383p-2, -0x1.26f831d0f750cp-2, -0x1.1b7ffb01166c3p-2, -0x1.10104bf4bd13dp-2, -0x1.04aa1633e9205p-2, -0x1.f29c8bf4e1906p-3, -0x1.dbfb846fc5088p-3, -0x1.c572d92164a85p-3, -0x1.af0442c13158cp-3, -0x1.98b16f7c212b7p-3, -0x1.827c02fdab884p-3, -0x1.6c65967aa0584p-3, -0x1.566fb8bdab8f2p-3, -0x1.409bee356568fp-3, -0x1.2aebb103b62f1p-3, -0x1.1560710e80535p-3, -0x1.fff72822b4aebp-4, -0x1.d57ceb6098608p-4, -0x1.ab54cf16b33a8p-4, -0x1.818162a5c8dfap-4, -0x1.580521b93bb45p-4, -0x1.2ee2747238a22p-4, -0x1.061baf93c4bcfp-4, -0x1.bb66295f4ceb7p-5, -0x1.6b55a4a7f6c29p-5, -0x1.1c0a0872be9d7p-5, -0x1.9b0ecdc61bcb5p-6, -0x1.ff46b4b1ba47fp-7, -0x1.97651f882c2dap-8, 0x1.924105f852f31p-9, 0x1.9173bca366a67p-7, 0x1.5d75368541c9cp-6, 0x1.f073b53215b33p-6, 0x1.40d795cd675d3p-5, 0x1.8890d7d6b56fcp-5, 0x1.cf62cda25e219p-5, 0x1.0aa562da7ec5dp-4, 0x1.2d2317e5ab008p-4, 0x1.4f294e3db1cefp-4, 0x1.70b6de6ad1145p-4, 0x1.91cab103348dep-4, 0x1.b263be7bb5c9fp-4, 0x1.d2810ef8ab6d1p-4, 0x1.f221ba1ec19cfp-4, 0x1.08a27371eb95bp-3, 0x1.17f4e5afeef6p-3, 0x1.2707d64edcfdcp-3, 0x1.35daef360cfecp-3, 0x1.446de1971e005p-3, 0x1.52c065d655ac8p-3, 0x1.60d23b72ef685p-3, 0x1.6ea328ef61be7p-3, 0x1.7c32fbb98eae4p-3, 0x1.89818812e5064p-3, 0x1.968ea8f86bc17p-3, 0x1.a35a400ab4c35p-3, 0x1.afe43575b6f31p-3, 0x1.bc2c77d88c30dp-3, 0x1.c832fc2d16a9fp-3, 0x1.d3f7bdaf7cd5fp-3, 0x1.df7abdc592fa6p-3, 0x1.eabc03e618b41p-3, 0x1.f5bb9d7fd6d5bp-3, 0x1.003ccef04fafp-2, 0x1.057b0f0e0ef76p-2, 0x1.0a989e7947d14p-2, 0x1.0f958f5ba8c55p-2, 0x1.1471f69ba2ebp-2, 0x1.192debcf8e693p-2, 0x1.1dc98930babb9p-2, 0x1.2244eb8e6c0e5p-2, 0x1.26a03240c8c55p-2, 0x1.2adb7f1bb6bccp-2, 0x1.2ef6f661a5a0cp-2, 0x1.32f2beb64c136p-2, 0x1.36cf011153ab5p-2, 0x1.3a8be8b0f6dffp-2, 0x1.3e29a30c95b8dp-2, 0x1.41a85fc736425p-2, 0x1.450850a2017d1p-2, 0x1.4849a96eb159dp-2, 0x1.4b6ca001f7abcp-2, 0x1.4e716c25db6d6p-2, 0x1.5158478c11a04p-2, 0x1.54216dc04eb22p-2, 0x1.56cd1c1a97719p-2, 0x1.595b91b18937p-2, 0x1.5bcd0f4ca836p-2, 0x1.5e21d756a9d9p-2, 0x1.605a2dcfc1c0ap-2, 0x1.6276583ff3296p-2, 0x1.64769da96645dp-2, 0x1.665b467ac5841p-2, 0x1.68249c81a16bfp-2, 0x1.69d2eadcdf0aep-2, 0x1.6b667def3240ap-2, 0x1.6cdfa351a53cap-2, 0x1.6e3ea9c62b6b9p-2, 0x1.6f83e12a4ad2ap-2, 0x1.70af9a69cf884p-2, 0x1.71c227719a011p-2, 0x1.72bbdb227cc18p-2, 0x1.739d094433916p-2, 0x1.7466067871ff1p-2, 0x1.7517282e0af4p-2, 0x1.75b0c49432acdp-2, 0x1.7633328de0cc6p-2, 0x1.769ec9a54c61cp-2, 0x1.76f3e1ff88093p-2, 0x1.7732d450413c4p-2, 0x1.775bf9cd9edbfp-2, 0x1.776fac24451cfp-2, 0x1.776e456b7bc1ep-2, 0x1.775820197dacep-2, 0x1.772d96f7eba0bp-2, 0x1.76ef05186afc7p-2, 0x1.769cc5c96a4a2p-2, 0x1.7637348b10e7ap-2, 0x1.75bead045dbd8p-2, 0x1.75338af86c3abp-2, 0x1.74962a3bea90ep-2, 0x1.73e6e6aabe907p-2, 0x1.73261c1dd3db5p-2, 0x1.7254266122d4p-2, 0x1.71716129ddd03p-2, 0x1.707e280cd7e83p-2, 0x1.6f7ad67517c21p-2, 0x1.6e67c79aa003fp-2, 0x1.6d45567967b74p-2, 0x1.6c13ddc88934dp-2, 0x1.6ad3b7f1a0203p-2, 0x1.69853f0861e15p-2, 0x1.6828ccc262faap-2, 0x1.66beba6f189fcp-2, 0x1.654760f008097p-2, 0x1.63c318b13129ep-2, 0x1.623239a1aa314p-2, 0x1.60951b2c719cep-2, 0x1.5eec143178909p-2, 0x1.5d377afedd91dp-2, 0x1.5b77a54a61c11p-2, 0x1.59ace82b0e034p-2, 0x1.57d79813146c4p-2, 0x1.55f808c9e047fp-2, 0x1.540e8d665d8d9p-2, 0x1.521b7849774ccp-2, 0x1.501f1b18c7cd2p-2, 0x1.4e19c6b97b423p-2, 0x1.4c0bcb4b6d6dcp-2, 0x1.49f5782471ecp-2, 0x1.47d71bcbd76e3p-2, 0x1.45b103f61842bp-2, 0x1.43837d80bfa33p-2, 0x1.414ed46e80b6p-2, 0x1.3f1353e380232p-2, 0x1.3cd14621cb66ap-2, 0x1.3a88f48601d5bp-2, 0x1.383aa78430a8p-2, 0x1.35e6a6a4d8c98p-2, 0x1.338d388227b04p-2, 0x1.312ea2c55a6bp-2, 0x1.2ecb2a2451f2p-2, 0x1.2c63125f50cf2p-2, 0x1.29f69e3ee612dp-2, 0x1.27860f920595cp-2, 0x1.2511a72c452c1p-2, 0x1.2299a4e44b1aep-2, 0x1.201e47925f4cp-2, 0x1.1d9fcd0f28ed9p-2, 0x1.1b1e72329092bp-2, 0x1.189a72d2cd6d8p-2, 0x1.161409c394672p-2, 0x1.138b70d56e5bdp-2, 0x1.1100e0d532d85p-2, 0x1.0e74918ba676cp-2, 0x1.0be6b9bd3dbcdp-2, 0x1.09578f29fd70ep-2, 0x1.06c7468d82853p-2, 0x1.0436139f25469p-2, 0x1.01a429123fbbp-2, 0x1.fe23712d22ef9p-3, 0x1.f8fde5b181ddp-3, 0x1.f3d80f05f7087p-3, 0x1.eeb24a7b655dep-3, 0x1.e98cf360e1a68p-3, 0x1.e46863059c79dp-3, 0x1.df44f0baf82a1p-3, 0x1.da22f1d6d8be2p-3, 0x1.d502b9b61b80fp-3, 0x1.cfe499bf46dc1p-3, 0x1.cac8e165662dap-3, 0x1.c5afde2b08cd2p-3, 0x1.c099dba57bff8p-3, 0x1.bb8723802110dp-3, 0x1.b677fd7fef691p-3, 0x1.b16caf871f176p-3, 0x1.ac657d98f3e86p-3, 0x1.a762a9ddae4fdp-3, 0x1.a26474a69f816p-3, 0x1.9d6b1c725a8fdp-3, 0x1.9876ddf10618ap-3, 0x1.9387f408caf61p-3, 0x1.8e9e97da637cep-3, 0x1.89bb00c5bd33p-3, 0x1.84dd646eba30cp-3, 0x1.8005f6c209606p-3, 0x1.7b34e9fa167ep-3, 0x1.766a6ea40bae7p-3, 0x1.71a6b3a4ec991p-3, 0x1.6ce9e63ec2378p-3, 0x1.68343215d67abp-3, 0x1.6385c13606ceap-3, 0x1.5edebc181be58p-3, 0x1.5a3f49a73cc6fp-3, 0x1.55a78f4661df6p-3, 0x1.5117b0d5e2733p-3, 0x1.4c8fd0b8fdab5p-3, 0x1.48100fdb78beep-3, 0x1.43988db74506bp-3, 0x1.3f29685a26f2bp-3, 0x1.3ac2bc6b6db52p-3, 0x1.3664a531a7698p-3, 0x1.320f3c98618bfp-3, 0x1.2dc29b35eb328p-3, 0x1.297ed85118286p-3, 0x1.254409e70b12p-3, 0x1.211244b0fc0c8p-3, 0x1.1ce99c2a04948p-3, 0x1.18ca2294e8c92p-3, 0x1.14b3e901dfcep-3, 0x1.10a6ff545a6a9p-3, 0x1.0ca37448c9a9fp-3, 0x1.08a9557a60332p-3, 0x1.04b8af68ce5a8p-3, 0x1.00d18d7dfe334p-3, 0x1.f9e7f4278f6c3p-4, 0x1.f23ffcf339fafp-4, 0x1.eaab45f46d032p-4, 0x1.e329ddc26445cp-4, 0x1.dbbbd10159db3p-4, 0x1.d4612a6dad695p-4, 0x1.cd19f2e6f2b8bp-4, 0x1.c5e6317afb02ap-4, 0x1.bec5eb70b406dp-4, 0x1.b7b9245313711p-4, 0x1.b0bfddfbc9f41p-4, 0x1.a9da189e02b41p-4, 0x1.a307d2d0edeb3p-4, 0x1.9c49099a4808fp-4, 0x1.959db878c7d68p-4, 0x1.8f05d96e61545p-4, 0x1.8881650a87b62p-4, 0x1.821052744527p-4, 0x1.7bb297743d169p-4, 0x1.7568287e917fp-4, 0x1.6f30f8bcaf30cp-4, 0x1.690cfa16fa72fp-4, 0x1.62fc1d3e5e164p-4, 0x1.5cfe51b5c45d1p-4, 0x1.571385db695ccp-4, 0x1.513ba6f21139p-4, 0x1.4b76a12a2618ep-4, 0x1.45c45faaafc0fp-4, 0x1.4024cc9a2e547p-4, 0x1.3a97d127572dfp-4, 0x1.351d5591b20d9p-4, 0x1.2fb5413213cbfp-4, 0x1.2a5f7a82fa174p-4, 0x1.251be728c8edcp-4, 0x1.1fea6bf9e4e95p-4, 0x1.1acaed06ade04p-4, 0x1.15bd4da15a35fp-4, 0x1.10c17065acdfap-4, 0x1.0bd737408ff7fp-4, 0x1.06fe83778ca9ep-4, 0x1.023735b020ce2p-4, 0x1.fb025bede4ce6p-5, 0x1.f1b8978dce49dp-5, 0x1.e890dc202ac24p-5, 0x1.df8ae67d30de8p-5, 0x1.d6a672827ff53p-5, 0x1.cde33b204b6a7p-5, 0x1.c540fa662c553p-5, 0x1.bcbf698fce339p-5, 0x1.b45e41114787p-5, 0x1.ac1d38a338097p-5, 0x1.a3fc074eaa5d8p-5, 0x1.9bfa6378a9bf8p-5, 0x1.941802eda3a35p-5, 0x1.8c549aec8cce7p-5, 0x1.84afe031b7a18p-5, 0x1.7d2987017b3c5p-5, 0x1.75c1433291cd1p-5, 0x1.6e76c8384b3e7p-5, 0x1.6749c92c635cbp-5, 0x1.6039f8d8bf003p-5, 0x1.594709c0d3039p-5, 0x1.5270ae2adc6ebp-5, 0x1.4bb69828dbc36p-5, 0x1.451879a1541f4p-5, 0x1.3e960457d15e7p-5, 0x1.382ee9f533d61p-5, 0x1.31e2dc0fc639ap-5, 0x1.2bb18c331c9dbp-5, 0x1.259aabe7b74f7p-5, 0x1.1f9decba724e6p-5, 0x1.19bb0043bc203p-5, 0x1.13f1982ea04fap-5, 0x1.0e41663f8f118p-5, 0x1.08aa1c5b00526p-5, 0x1.032b6c8bd390ap-5, 0x1.fb8a1213190dfp-6, 0x1.f0ed487ca489p-6, 0x1.e67fe1998f225p-6, 0x1.dc41432b4f02cp-6, 0x1.d230d37a76acbp-6, 0x1.c84df9613eebbp-6, 0x1.be981c55b05dp-6, 0x1.b50ea47375b62p-6, 0x1.abb0fa85496a4p-6, 0x1.a27e880e2d219p-6, 0x1.9976b75213bedp-6, 0x1.9098f35e68ea1p-6, 0x1.87e4a81236178p-6, 0x1.7f594225e3a16p-6, 0x1.76f62f32b708bp-6, 0x1.6ebaddba0752ap-6, 0x1.66a6bd2c23fddp-6, 0x1.5eb93deede613p-6, 0x1.56f1d163d7edbp-6, 0x1.4f4fe9ee87422p-6, 0x1.47d2faf9e818dp-6, 0x1.407a78fdfaa7ap-6, 0x1.3945d984e6d1p-6, 0x1.3234932febf6bp-6, 0x1.2b461dbc06e93p-6, 0x1.2479f2065d6f3p-6, 0x1.1dcf8a105dcd8p-6, 0x1.17466103b6333p-6, 0x1.10ddf335f42edp-6, 0x1.0a95be2c01a99p-6, 0x1.046d409d5b836p-6, 0x1.fcc7f4ee28398p-7, 0x1.f0f2d9bd21d43p-7, 0x1.e55a346868a6bp-7, 0x1.d9fd0c2b41ad3p-7, 0x1.ceda6ac00aa08p-7, 0x1.c3f15c63ebb7ep-7, 0x1.b940efdaa6f85p-7, 0x1.aec8367195d1ap-7, 0x1.a4864402b4cd7p-7, 0x1.9a7a2ef6fb1a7p-7, 0x1.90a310488ee74p-7, 0x1.87000384a3e4ep-7, 0x1.7d9026cce0bf8p-7, 0x1.74529ad8ab42bp-7, 0x1.6b4682f5e0b6ep-7, 0x1.626b0509ad359p-7, 0x1.59bf499081cf4p-7, 0x1.51427b9e6d35cp-7, 0x1.48f3c8de9ba9bp-7, 0x1.40d26192f2c63p-7, 0x1.38dd78934ce4ap-7, 0x1.3114434c68c8ep-7, 0x1.2975f9beb95b1p-7, 0x1.2201d67cd48d9p-7, 0x1.1ab716a9cdb67p-7, 0x1.1394f9f761c04p-7, 0x1.0c9ac2a3a99cdp-7, 0x1.05c7b576e049p-7, 0x1.fe363381de808p-8, 0x1.f12872ad2aa68p-8, 0x1.e464c11d5b72cp-8, 0x1.d7e9bc7e1588p-8, 0x1.cbb60772807cbp-8, 0x1.bfc8498ea7cfdp-8, 0x1.b41f2f5048188p-8, 0x1.a8b96a1791ca1p-8, 0x1.9d95b01f958fap-8, 0x1.92b2bc76304dp-8, 0x1.880f4ef42740fp-8, 0x1.7daa2c349fc6ap-8, 0x1.73821d8c867b5p-8, 0x1.6995f101be183p-8, 0x1.5fe47942206b8p-8, 0x1.566c8d9a2a97ap-8, 0x1.4d2d09eb96bf2p-8, 0x1.4424cea3d5996p-8, 0x1.3b52c0b21650bp-8, 0x1.32b5c97d9867p-8, 0x1.2a4cd6db5157dp-8, 0x1.2216db03dfa19p-8, 0x1.1a12cc8927ad8p-8, 0x1.123fa64bce18bp-8, 0x1.0a9c67708fa59p-8, 0x1.03281355cfc95p-8, 0x1.f7c36310cb213p-9, 0x1.e9909b7237a47p-9, 0x1.dbb5ef6305ba1p-9, 0x1.ce318691b6671p-9, 0x1.c10190b2546ffp-9, 0x1.b424456796cabp-9, 0x1.a797e42d0cc78p-9, 0x1.9b5ab44000563p-9, 0x1.8f6b04890d901p-9, 0x1.83c72b8593fa7p-9, 0x1.786d8730e0dacp-9, 0x1.6d5c7ced1b9d5p-9, 0x1.6292796ce9328p-9, 0x1.580df09c4d333p-9, 0x1.4dcd5d89ca12fp-9, 0x1.43cf424f93553p-9, 0x1.3a1227fcfadf3p-9, 0x1.30949e7f04fcbp-9, 0x1.27553c8a2bd3ap-9, 0x1.1e529f834b3afp-9, 0x1.158b6b690239bp-9, 0x1.0cfe4abd22997p-9, 0x1.04a9ee6df48fp-9, 0x1.f91a1b7fb42e8p-10, 0x1.e94ccc6d17bd8p-10, 0x1.d9e976fe82f34p-10, 0x1.caedaeb3ddb6bp-10, 0x1.bc571307248c9p-10, 0x1.ae234f3f52fdfp-10, 0x1.a0501a452b6p-10, 0x1.92db3677d6145p-10, 0x1.85c271808fd6dp-10, 0x1.7903a4284531bp-10, 0x1.6c9cb22ca1338p-10, 0x1.608b8a153f0d7p-10, 0x1.54ce250993364p-10, 0x1.496286a6ef933p-10, 0x1.3e46bcd688c12p-10, 0x1.3378dfa4daa57p-10, 0x1.28f711179a93p-10, 0x1.1ebf7d05cc9fcp-10, 0x1.14d058ef59bf2p-10, 0x1.0b27e3d465b08p-10, 0x1.01c4660e84acp-10, 0x1.f1486251d36c2p-11, 0x1.df8b3f72d632p-11, 0x1.ce4e2a74abd73p-11, 0x1.bd8dfbc742fb5p-11, 0x1.ad479d0b53226p-11, 0x1.9d7808c73abb7p-11, 0x1.8e1c4a1c261d2p-11, 0x1.7f317c7db87e8p-11, 0x1.70b4cb691f6b6p-11, 0x1.62a3721ccbf3bp-11, 0x1.54fabb51b1de8p-11, 0x1.47b800f5c3eap-11, 0x1.3ad8abe63c415p-11, 0x1.2e5a33aa3388fp-11, 0x1.223a1e303a7b9p-11, 0x1.1675ff89ccf67p-11, 0x1.0b0b79ab4b597p-11, 0x1.fff0785016673p-12, 0x1.ea7407e8dc639p-12, 0x1.d59d3648190c4p-12, 0x1.c167b1581313ap-12, 0x1.adcf4049da649p-12, 0x1.9acfc319bc412p-12, 0x1.88653216f0e45p-12, 0x1.768b9d6cc3e3bp-12, 0x1.653f2cabcfef8p-12, 0x1.547c1e57474c6p-12, 0x1.443ec771f6f2dp-12, 0x1.3483930d739f8p-12, 0x1.254701db1e6adp-12, 0x1.1685a9be475acp-12, 0x1.083c356077a5ap-12, 0x1.f4cec78d90be2p-13, 0x1.da080fd3bc12p-13, 0x1.c01e109962e57p-13, 0x1.a70abd3376cd1p-13, 0x1.8ec82e788de7dp-13, 0x1.7750a1fec45a6p-13, 0x1.609e7957e1bbdp-13, 0x1.4aac3953aee04p-13, 0x1.357489431bb49p-13, 0x1.20f2323e24906p-13, 0x1.0d201e6fc12abp-13, 0x1.f3f2b0c22ccf9p-14, 0x1.cef214966c63cp-14, 0x1.ab34facf2981dp-14, 0x1.88b2328f378b8p-14, 0x1.6760c6566e95ap-14, 0x1.4737fabb9afd2p-14, 0x1.282f4d26036cp-14, 0x1.0a3e729049b3p-14, 0x1.dabaac9fb143dp-15, 0x1.a30831c29c623p-15, 0x1.6d561d7462256p-15, 0x1.39957e4310dddp-15, 0x1.07b7c6143d21ep-15, 0x1.af5d8fdc6f81cp-16, 0x1.52d96b80a6c99p-16, 0x1.f39078ff0d86dp-17, 0x1.481fab1f4a1c1p-17, 0x1.465aea2a04df5p-18, 0x1.220e2e7153a2p-23, -0x1.2800abd0964e9p-18, -0x1.269b389118ca2p-17, -0x1.b3762e60e7d18p-17, -0x1.1d5eddbeaf7f6p-16, -0x1.5e4e9834e3295p-16, -0x1.9c9f58a5c8cb6p-16, -0x1.d8659e914af4bp-16, -0x1.08daad2c4b7b6p-15, -0x1.2450f8557597bp-15, -0x1.3e9f1ef36a3ccp-15, -0x1.57ce4cb20a4cfp-15, -0x1.6fe76c55e065dp-15, -0x1.86f3295129973p-15, -0x1.9cf9f1522449cp-15, -0x1.b203f5c473579p-15, -0x1.c6192d5120c7dp-15, -0x1.d9415550b9fadp-15, -0x1.eb83f338b53a8p-15, -0x1.fce856013f8a5p-15, -0x1.06bacbc26536cp-14, -0x1.0e994eea08eadp-14, -0x1.16130e4465e61p-14, -0x1.1d2b4b04910e9p-14, -0x1.23e52e679f575p-14, -0x1.2a43ca4fdd31p-14, -0x1.304a19ddf2033p-14, -0x1.35fb020815b1ap-14, -0x1.3b59522f85c05p-14, -0x1.4067c4abf760ep-14, -0x1.4528ff5c3c0b5p-14, -0x1.499f942e3e7f6p-14, -0x1.4dce01a5ee223p-14, -0x1.51b6b360c611p-14, -0x1.555c0295e742fp-14, -0x1.58c03694e0893p-14, -0x1.5be5853f5187p-14, -0x1.5ece13822e01cp-14, -0x1.617bf5c9d7d58p-14, -0x1.63f1307597816p-14, -0x1.662fb847631fdp-14, -0x1.683972cfebdf1p-14, -0x1.6a1036db42129p-14, -0x1.6bb5ccd822b2cp-14, -0x1.6d2bef3dab647p-14, -0x1.6e744aeea0a51p-14, -0x1.6f907f9a9bad5p-14, -0x1.7082201c684a2p-14, -0x1.714ab2d61dbf6p-14, -0x1.71ebb20c8580bp-14, -0x1.72668c3d93772p-14, -0x1.72bca476edf38p-14, -0x1.72ef52a94d23fp-14, -0x1.72ffe3fa14c0ep-14, -0x1.72ef9b120f763p-14, -0x1.72bfb06c9eab9p-14, -0x1.727152a23cb3fp-14, -0x1.7205a6b22e61ap-14, -0x1.717dc84b2cb18p-14, -0x1.70daca100b477p-14, -0x1.701db5dce9a12p-14, -0x1.6f478d0944cdcp-14, -0x1.6e5948a92b367p-14, -0x1.6d53d9cbb1d66p-14, -0x1.6c3829b8bdc57p-14, -0x1.6b071a2c4991cp-14, -0x1.69c18591c70e9p-14, -0x1.68683f3acc84dp-14, -0x1.66fc13983c5a7p-14, -0x1.657dc86f16adfp-14, -0x1.63ee1d0d469f4p-14, -0x1.624dca7ba9d3dp-14, -0x1.609d83afb065fp-14, -0x1.5eddf5bbaf332p-14, -0x1.5d0fc7fddaa23p-14, -0x1.5b339c4ddb48bp-14, -0x1.594a0f287eb27p-14, -0x1.5753b7db0fb5dp-14, -0x1.555128ada11b3p-14, -0x1.5342ef0ad3e3dp-14, -0x1.512993a7b7545p-14, -0x1.4f059aaa56dd1p-14, -0x1.4cd783cf2f58cp-14, -0x1.4a9fca8ccfeb4p-14, -0x1.485ee637ad7f3p-14, -0x1.46154a23c9702p-14, -0x1.43c365c5f8311p-14, -0x1.4169a4d483d58p-14, -0x1.3f086f65f6a15p-14, -0x1.3ca02a0fbf959p-14, -0x1.3a313603b0fe2p-14, -0x1.37bbf12c9728p-14, -0x1.3540b6496108ep-14, -0x1.32bfdd089fea7p-14, -0x1.3039ba2268074p-14, -0x1.2dae9f71d2f16p-14, -0x1.2b1edc0d4098p-14, -0x1.288abc5e03dd2p-14, -0x1.25f28a381f055p-14, -0x1.23568cefcd907p-14, -0x1.20b7096f2d3dp-14, -0x1.1e14424bdf1dcp-14, -0x1.1b6e77daaa28cp-14, -0x1.18c5e843d1bcbp-14, -0x1.161acf9575e87p-14, -0x1.136d67d66bacep-14, -0x1.10bde917b81fep-14, -0x1.0e0c89860cd1dp-14, -0x1.0b597d7abe893p-14, -0x1.08a4f78b591b4p-14, -0x1.05ef2899cc927p-14, -0x1.03383fe379617p-14, -0x1.00806b0fdd4a2p-14, -0x1.fb8fac7c7b865p-15, -0x1.f61d5827531bap-15, -0x1.f0aa2b906fd81p-15, -0x1.eb367667acb1p-15, -0x1.e5c285b4fd7dcp-15, -0x1.e04ea3f01aa61p-15, -0x1.dadb191815663p-15, -0x1.d5682ac991d5dp-15, -0x1.cff61c5334d8fp-15, -0x1.ca852ecb40586p-15, -0x1.c515a1238a4ddp-15, -0x1.bfa7b03c95827p-15, -0x1.ba3b96f860732p-15, -0x1.b4d18e4bf2d2cp-15, -0x1.af69cd51504b7p-15, -0x1.aa0489571f413p-15, -0x1.a4a1f5f17b57fp-15, -0x1.9f4245095e9a9p-15, -0x1.99e5a6eb8d9d3p-15, -0x1.948c4a57018eep-15, -0x1.8f365c8a5f19bp-15, -0x1.89e409525dee8p-15, -0x1.84957b155d38ap-15, -0x1.7f4adae05810cp-15, -0x1.7a045072c5993p-15, -0x1.74c2024a0bef3p-15, -0x1.6f8415ac911cdp-15, -0x1.6a4aaeb4110d3p-15, -0x1.6515f0583e157p-15, -0x1.5fe5fc7830afdp-15, -0x1.5abaf3e407da4p-15, -0x1.5594f665595fap-15, -0x1.507422c8b6d5p-15, -0x1.4b5896e57ea38p-15, -0x1.46426fa6a044p-15, -0x1.4131c9117db22p-15, -0x1.3c26be4daaceap-15, -0x1.372169abf391fp-15, -0x1.3221e4ace1fb7p-15, -0x1.2d284807ab0bdp-15, -0x1.2834abb02fc1dp-15, -0x1.234726dd5c7cap-15, -0x1.1e5fd00e8ce32p-15, -0x1.197ebd1131b9bp-15, -0x1.14a4030675a38p-15, -0x1.0fcfb667a479cp-15, -0x1.0b01eb0b44424p-15, -0x1.063ab429e2d92p-15, -0x1.017a2462cc8b9p-15, -0x1.f9809b7fba62ep-16, -0x1.f01a8372f28afp-16, -0x1.e6c22275d875p-16, -0x1.dd77994c26c9p-16, -0x1.d43b07ad825e7p-16, -0x1.cb0c8c4c23d6dp-16, -0x1.c1ec44db98ffap-16, -0x1.b8da4e17a811bp-16, -0x1.afd6c3c939198p-16, -0x1.a6e1c0cdaf633p-16, -0x1.9dfb5f1b3ad7ep-16, -0x1.9523b7c631158p-16, -0x1.8c5ae3065312ep-16, -0x1.83a0f83b31f0cp-16, -0x1.7af60df17bd26p-16, -0x1.725a39e6cb865p-16, -0x1.69cd910e0d583p-16, -0x1.61502793bb88p-16, -0x1.58e210e14d64ap-16, -0x1.50835fa1c0dd2p-16, -0x1.483425c4780ccp-16, -0x1.3ff4747ff7124p-16, -0x1.37c45c55e9c3bp-16, -0x1.2fa3ed16f3576p-16, -0x1.279335e4feb45p-16, -0x1.1f924535a96b9p-16, -0x1.17a128d540403p-16, -0x1.0fbfede9ff6b2p-16, -0x1.07eea0f60de47p-16, -0x1.002d4dd93ab4p-16, -0x1.f0f7ffa8d0e33p-17, -0x1.e1b583170875ep-17, -0x1.d2933a0faa97ap-17, -0x1.c3913772d052ap-17, -0x1.b4af8cf32b6bdp-17, -0x1.a5ee4b1a3dce7p-17, -0x1.974d814bca18p-17, -0x1.88cd3dc8bb39fp-17, -0x1.7a6d8db347b96p-17, -0x1.6c2e7d1294aabp-17, -0x1.5e1016d52163ap-17, -0x1.501264d469063p-17, -0x1.42356fd86b8cp-17, -0x1.34793f9a1320bp-17, -0x1.26dddac6f81ebp-17, -0x1.19634703faba1p-17, -0x1.0c0988ee42a9ap-17, -0x1.fda14841143f3p-18, -0x1.e3713669017c3p-18, -0x1.c982df8d0afa8p-18, -0x1.afd644ed64015p-18, -0x1.966b65d93079p-18, -0x1.7d423fb3f760bp-18, -0x1.645acdf96c698p-18, -0x1.4bb50a3fadd47p-18, -0x1.3350ec40ec997p-18, -0x1.1b2e69dd5d99bp-18, -0x1.034d7720ba7eap-18, -0x1.d75c0c8dfb77ap-19, -0x1.a8a00f83526a4p-19, -0x1.7a66d4743b86ap-19, -0x1.4cb03533de7cep-19, -0x1.1f7c081682071p-19, -0x1.e5944002ff1d7p-20, -0x1.8d3498e74e238p-20, -0x1.35d8b316c897p-20, -0x1.bf0040447414cp-21, -0x1.1454d5fecb95cp-21, -0x1.aeb8c0eddc65ep-23, 0x1.d7a5a87514f3p-24, 0x1.bf29d556c45a1p-22, 0x1.82338e0f0abbp-21, 0x1.1168e493e6b03p-20, 0x1.60b8691fb06cap-20, 0x1.af08f5e42e75bp-20, 0x1.fc5b3228c9936p-20, 0x1.2457e591f84cfp-19, 0x1.4a03b9f8192bbp-19, 0x1.6f3172ba3146ep-19, 0x1.93e16f2a1c5c6p-19, 0x1.b814116ee3505p-19, 0x1.dbc9be7a1ebdcp-19, 0x1.ff02ddffe6148p-19, 0x1.10dfed37ad2e4p-18, 0x1.22009071a3a4ep-18, 0x1.32e3908ccb7eep-18, 0x1.438926b7e4347p-18, 0x1.53f18d6adfc47p-18, 0x1.641d005ff7d1ap-18, 0x1.740bbc9178b3cp-18, 0x1.83be003406603p-18, 0x1.93340ab1f041dp-18, 0x1.a26e1ca53c7bfp-18, 0x1.b16c77d3a6aep-18, 0x1.c02f5f2aa0283p-18, 0x1.ceb716b868342p-18, 0x1.dd03e3a64c16ap-18, 0x1.eb160c36dc7c7p-18, 0x1.f8edd7bf1227fp-18, 0x1.0345c750e2e82p-17, 0x1.09f7bd24c5eacp-17, 0x1.108cf29290d95p-17, 0x1.17058d50a726fp-17, 0x1.1d61b391e3db5p-17, 0x1.23a18c039004ep-17, 0x1.29c53dcaa370fp-17, 0x1.2fccf081143b2p-17, 0x1.35b8cc33030eap-17, 0x1.3b88f95cad8f5p-17, 0x1.413da0e83f544p-17, 0x1.46d6ec29d0cfep-17, 0x1.4c5504dece1ecp-17, 0x1.51b8152a1e24fp-17, 0x1.57004791dc0afp-17, 0x1.5c2dc6fc6c6f6p-17, 0x1.6140beaef58ddp-17, 0x1.66395a4a26c2cp-17, 0x1.6b17c5c810961p-17, 0x1.6fdc2d78c6eb8p-17, 0x1.7486be00b38c6p-17, 0x1.7917a4564a29fp-17, 0x1.7d8f0dbe4ce1bp-17, 0x1.81ed27cb0b202p-17, 0x1.8632205845961p-17, 0x1.8a5e25899d95p-17, 0x1.8e7165c7b7832p-17, 0x1.926c0fbdc3a1dp-17, 0x1.964e52579862ap-17, 0x1.9a185cbf42628p-17, 0x1.9dca5e5968a2ap-17, 0x1.a16486c3cea06p-17, 0x1.a4e705d320d8p-17, 0x1.a8520b900a406p-17, 0x1.aba5c834ce5cbp-17, 0x1.aee26c2b93202p-17, 0x1.b208280bd6f88p-17, 0x1.b5172c975def7p-17, 0x1.b80faab82dbc2p-17, 0x1.baf1d37ebf26ep-17, 0x1.bdbdd81fb37cbp-17, 0x1.c073e9f10b30bp-17, 0x1.c3143a682d74bp-17, 0x1.c59efb18492cp-17, 0x1.c8145dae80efcp-17, 0x1.ca7493f085a71p-17, 0x1.ccbfcfbb98e27p-17, 0x1.cef64300efa3ap-17, 0x1.d1181fc3a2e76p-17, 0x1.d3259817bd888p-17, 0x1.d51ede1e80c3ep-17, 0x1.d70424057da32p-17, 0x1.d8d59c0455f75p-17, 0x1.da93785a141fdp-17, 0x1.dc3deb4c0db14p-17, 0x1.ddd527239d3bbp-17, 0x1.df595e2b124e4p-17, 0x1.e0cac2adc9f6bp-17, }}, 
      {{-0x1.cba4cfde50921p-1, -0x1.cb98491e618a4p-1, -0x1.cb836287913b6p-1, -0x1.cb66134c91a01p-1, -0x1.cb404f7f38436p-1, -0x1.cb1208696eb85p-1, -0x1.cadb2cf2d2256p-1, -0x1.ca9baa0dc71fcp-1, -0x1.ca536b2790b99p-1, -0x1.ca025a97ce118p-1, -0x1.c9a8620c74446p-1, -0x1.c9456af0107a7p-1, -0x1.c8d95ec8c8004p-1, -0x1.c864278f1a313p-1, -0x1.c7e5affbebe95p-1, -0x1.c75de3cdb9504p-1, -0x1.c6ccb00516e34p-1, -0x1.c6320318d7f33p-1, -0x1.c58dcd2244cafp-1, -0x1.c4e00001e89f8p-1, -0x1.c4288f7d7a8f1p-1, -0x1.c36771576e6e8p-1, -0x1.c29c9d60b5f21p-1, -0x1.c1c80d853afbp-1, -0x1.c0e9bdd3956fp-1, -0x1.c001ac807a9c5p-1, -0x1.bf0fd9e663106p-1, -0x1.be144881d6d0ap-1, -0x1.bd0efcead2be9p-1, -0x1.bbfffdcba8ca4p-1, -0x1.bae753d5c16cdp-1, -0x1.b9c509b49119ep-1, -0x1.b8992bff17a33p-1, -0x1.b763c9282f43cp-1, -0x1.b624f16df1794p-1, -0x1.b4dcb6c86671ap-1, -0x1.b38b2cd7b91b7p-1, -0x1.b23068d216fd2p-1, -0x1.b0cc817167258p-1, -0x1.af5f8ee0f3b23p-1, -0x1.ade9aaab2801ap-1, -0x1.ac6aefa77528ep-1, -0x1.aae379e87200dp-1, -0x1.a95366aa45f7fp-1, -0x1.a7bad4416a885p-1, -0x1.a619e209cc56p-1, -0x1.a470b05654186p-1, -0x1.a2bf6060da2aep-1, -0x1.a106143a8d1ffp-1, -0x1.9f44eebcc7609p-1, -0x1.9d7c137a5a725p-1, -0x1.9baba6b14d3f4p-1, -0x1.99d3cd3d10038p-1, -0x1.97f4ac891f481p-1, -0x1.960e6a841e0ddp-1, -0x1.94212d935d422p-1, -0x1.922d1c86d1285p-1, -0x1.90325e8d7801bp-1, -0x1.8e311b2a2849bp-1, -0x1.8c297a28c9983p-1, -0x1.8a1ba393f5177p-1, -0x1.8807bfaafb91cp-1, -0x1.85edf6d84e03bp-1, -0x1.83ce71a84798ep-1, -0x1.81a958c0586a7p-1, -0x1.7f7ed4d68a9efp-1, -0x1.7d4f0ea965e09p-1, -0x1.7b1a2ef829b05p-1, -0x1.78e05e7b5fae8p-1, -0x1.76a1c5ddc3a6fp-1, -0x1.745e8db57cc1ap-1, -0x1.7216de7daa0b6p-1, -0x1.6fcae0903b85p-1, -0x1.6d7abc2019436p-1, -0x1.6b26993395c42p-1, -0x1.68ce9f9f27baap-1, -0x1.6672f7006a732p-1, -0x1.6413c6b9630abp-1, -0x1.61b135ec08b8dp-1, -0x1.5f4b6b760b54cp-1, -0x1.5ce28decda493p-1, -0x1.5a76c399e4b45p-1, -0x1.5808327716aa8p-1, -0x1.5597002b8baffp-1, -0x1.53235208782cp-1, -0x1.50ad4d0646faep-1, -0x1.4e3515c1e797fp-1, -0x1.4bbad07a4d19fp-1, -0x1.493ea10e1a0b5p-1, -0x1.46c0aaf979c79p-1, -0x1.4441115421353p-1, -0x1.41bff6cf7a617p-1, -0x1.3f3d7db4f4d56p-1, -0x1.3cb9c7e47b147p-1, -0x1.3a34f6d30a697p-1, -0x1.37af2b896c584p-1, -0x1.352886a3109bcp-1, -0x1.32a1284d022f4p-1, -0x1.30193044fc035p-1, -0x1.2d90bdd897a49p-1, -0x1.2b07efe493325p-1, -0x1.287ee4d433b2ep-1, -0x1.25f5baa0bac25p-1, -0x1.236c8ed0f31f3p-1, -0x1.20e37e78d1e3cp-1, -0x1.1e5aa6392ae05p-1, -0x1.1bd2223f7654fp-1, -0x1.194a0e45a8b3cp-1, -0x1.16c2859219c77p-1, -0x1.143ba2f77be76p-1, -0x1.11b580d4df7c9p-1, -0x1.0f303915c623p-1, -0x1.0cabe532413bp-1, -0x1.0a289e2f1bb1p-1, -0x1.07a67c9e104eap-1, -0x1.0525989e090f5p-1, -0x1.02a609db68936p-1, -0x1.0027e7905de7ep-1, -0x1.fb56910a7c7e5p-2, -0x1.f6608621d5835p-2, -0x1.f16dda327192cp-2, -0x1.ec7eb826cc6c6p-2, -0x1.e7934a0923deap-2, -0x1.e2abb904751afp-2, -0x1.ddc82d6585e8ep-2, -0x1.d8e8ce9bff018p-2, -0x1.d40dc33b85f94p-2, -0x1.cf3730fced984p-2, -0x1.ca653cbf65516p-2, -0x1.c5980a89b81e2p-2, -0x1.c0cfbd8b91829p-2, -0x1.bc0c781ecbcd9p-2, -0x1.b74e5bc8c4f24p-2, -0x1.b295893bbb4bfp-2, -0x1.ade2205832bcdp-2, -0x1.a934402e5f851p-2, -0x1.a48c06ff96d12p-2, -0x1.9fe9923fc8848p-2, -0x1.9b4cfe96fb379p-2, -0x1.96b667e2d333ep-2, -0x1.9225e93819006p-2, -0x1.8d9b9ce44bcd2p-2, -0x1.89179c6f34c01p-2, -0x1.849a009c822d2p-2, -0x1.8022e16d65e19p-2, -0x1.7bb256223b5abp-2, -0x1.7748753c2edd3p-2, -0x1.72e5547eedc94p-2, -0x1.6e8908f259216p-2, -0x1.6a33a6e43b256p-2, -0x1.65e541ea069abp-2, -0x1.619dece29532cp-2, -0x1.5d5db9f7ecfbcp-2, -0x1.5924baa10874p-2, -0x1.54f2ffa3a6184p-2, -0x1.50c899161861cp-2, -0x1.4ca596611a2acp-2, -0x1.488a0641aa1c4p-2, -0x1.4475f6cae61bep-2, -0x1.40697567ec711p-2, -0x1.3c648eddc06fap-2, -0x1.38674f4d3235cp-2, -0x1.3471c234c9efp-2, -0x1.3083f272b70cfp-2, -0x1.2c9dea46c0d0ep-2, -0x1.28bfb3543cfe7p-2, -0x1.24e956a4068dfp-2, -0x1.211adca679a5bp-2, -0x1.1d544d356f939p-2, -0x1.1995af9640ee9p-2, -0x1.15df0a7bc7482p-2, -0x1.1230640863b36p-2, -0x1.0e89c1d0031a5p-2, -0x1.0aeb28da2bce5p-2, -0x1.07549da407242p-2, -0x1.03c624226e944p-2, -0x1.003fbfc3fb0e9p-2, -0x1.f982e6e62d006p-3, -0x1.f29683301c77p-3, -0x1.ebba583648fc5p-3, -0x1.e4ee68cd4cbb2p-3, -0x1.de32b6d20365fp-3, -0x1.d787432db52e7p-3, -0x1.d0ec0dda437f1p-3, -0x1.ca6115e65bddp-3, -0x1.c3e65979a3c0bp-3, -0x1.bd7bd5d8eb77ap-3, -0x1.b721876a591cp-3, -0x1.b0d769b99efb1p-3, -0x1.aa9d777c268c6p-3, -0x1.a473aa953e0dp-3, -0x1.9e59fc1a461a2p-3, -0x1.98506456e02d2p-3, -0x1.9256dad110c72p-3, -0x1.8c6d564d6ded2p-3, -0x1.8693ccd33c0c1p-3, -0x1.80ca33b0972e5p-3, -0x1.7b107f7e8a98ap-3, -0x1.7566a42530524p-3, -0x1.6fcc94dfc53dbp-3, -0x1.6a424440ba8dap-3, -0x1.64c7a435c81b2p-3, -0x1.5f5ca60bf26bbp-3, -0x1.5a013a739197fp-3, -0x1.54b551844be23p-3, -0x1.4f78dac113d18p-3, -0x1.4a4bc51c19fc5p-3, -0x1.452dfefab6e86p-3, -0x1.401f7639586fbp-3, -0x1.3b20182f5a08ap-3, -0x1.362fd1b2e336cp-3, -0x1.314e8f1cb5452p-3, -0x1.2c7c3c4bf81f2p-3, -0x1.27b8c4a9fbba6p-3, -0x1.2304132deef24p-3, -0x1.1e5e126097449p-3, -0x1.19c6ac5ff615ap-3, -0x1.153dcae2e8adp-3, -0x1.10c3573cc3ccap-3, -0x1.0c573a60e0539p-3, -0x1.07f95ce61e342p-3, -0x1.03a9a70a66889p-3, -0x1.fed0016c2f545p-4, -0x1.f668a2fedd4a8p-4, -0x1.ee1d015bd1844p-4, -0x1.e5ecea7b2c344p-4, -0x1.ddd82bc4c33d1p-4, -0x1.d5de9216a5ee7p-4, -0x1.cdffe9cb849c7p-4, -0x1.c63bfec1031b4p-4, -0x1.be929c5dfb648p-4, -0x1.b7038d98a093p-4, -0x1.af8e9cfc99125p-4, -0x1.a83394b0f3ddp-4, -0x1.a0f23e7e0c22ep-4, -0x1.99ca63d36423cp-4, -0x1.92bbcdcd51c5cp-4, -0x1.8bc6453aa2e6dp-4, -0x1.84e992a229ee5p-4, -0x1.7e257e482e661p-4, -0x1.7779d033ca394p-4, -0x1.70e650342b54dp-4, -0x1.6a6ac5e5c3bp-4, -0x1.6406f8b75d89ep-4, -0x1.5dbaafef1813p-4, -0x1.5785b2af4efbbp-4, -0x1.5167c7fb68acap-4, -0x1.4b60b6bc8f361p-4, -0x1.457045c64c0bbp-4, -0x1.3f963bdb14714p-4, -0x1.39d25fb0b7d34p-4, -0x1.342477f4b79ap-4, -0x1.2e8c4b508bfd8p-4, -0x1.2909a06dcc2cp-4, -0x1.239c3dfa4181bp-4, -0x1.1e43eaabe387p-4, -0x1.19006d44bdf27p-4, -0x1.13d18c96bc18ap-4, -0x1.0eb70f876211ep-4, -0x1.09b0bd136ac78p-4, -0x1.04be5c5252a75p-4, -0x1.ffbf68f39696bp-5, -0x1.f62919c22a8b3p-5, -0x1.ecb95a0894866p-5, -0x1.e36fb90f1505ap-5, -0x1.da4bc67432cfap-5, -0x1.d14d1232c0077p-5, -0x1.c8732ca7be2d5p-5, -0x1.bfbda6980ec09p-5, -0x1.b72c1135fd87dp-5, -0x1.aebdfe26a2631p-5, -0x1.a672ff87156p-5, -0x1.9e4aa7f17d831p-5, -0x1.96448a81f666p-5, -0x1.8e603adb4d6p-5, -0x1.869d4d2b93672p-5, -0x1.7efb56309163bp-5, -0x1.7779eb3c07088p-5, -0x1.7018a237d5f75p-5, -0x1.68d711a9f3e58p-5, -0x1.61b4d0b8463c2p-5, -0x1.5ab1772c4fa0bp-5, -0x1.53cc9d76c1b1ep-5, -0x1.4d05dcb2dff92p-5, -0x1.465ccea9cd0b9p-5, -0x1.3fd10dd5a5b4ap-5, -0x1.39623564886ccp-5, -0x1.330fe13b70d5p-5, -0x1.2cd9adf8f70d2p-5, -0x1.26bf38f7ebda2p-5, -0x1.20c02051d9015p-5, -0x1.1adc02e15aef9p-5, -0x1.1512804463277p-5, -0x1.0f6338de52ed7p-5, -0x1.09cdcdda0402ep-5, -0x1.0451e12ba7817p-5, -0x1.fdde2b2522068p-6, -0x1.f34a1d35c65d9p-6, -0x1.e8e6e13e32264p-6, -0x1.deb3c193022f1p-6, -0x1.d4b00a2b26a72p-6, -0x1.cadb08a260a88p-6, -0x1.c1340c3b92053p-6, -0x1.b7ba65e2d1f88p-6, -0x1.ae6d682f53661p-6, -0x1.a54c676523b19p-6, -0x1.9c56b976a6bc7p-6, -0x1.938bb60602002p-6, -0x1.8aeab6663607cp-6, -0x1.8273159c2f77dp-6, -0x1.7a24305f904f8p-6, -0x1.71fd651b67925p-6, -0x1.69fe13eeabb91p-6, -0x1.62259eac962c8p-6, -0x1.5a7368dcdc451p-6, -0x1.52e6d7bbb7bcbp-6, -0x1.4b7f5239d2faap-6, -0x1.443c40fc0a72ap-6, -0x1.3d1d0e5b11de9p-6, -0x1.36212662ef3fp-6, -0x1.2f47f6d25f577p-6, -0x1.2890ef1a0b04fp-6, -0x1.21fb805bafe9fp-6, -0x1.1b871d691507ap-6, -0x1.15333ac2f7999p-6, -0x1.0eff4e97ca341p-6, -0x1.08ead0c25e122p-6, -0x1.02f53ac87acbap-6, -0x1.fa3c0fb289933p-7, -0x1.eec96997541f5p-7, -0x1.e391803925025p-7, -0x1.d89353da32985p-7, -0x1.cdcde80140a94p-7, -0x1.c34043758d8bap-7, -0x1.b8e9703aae637p-7, -0x1.aec87b8c499aap-7, -0x1.a4dc75d978af2p-7, -0x1.9b2472c0397c1p-7, -0x1.919f8908a467p-7, -0x1.884cd2a00396dp-7, -0x1.7f2b6c93bbb8dp-7, -0x1.763a770c2f256p-7, -0x1.6d79154761aebp-7, -0x1.64e66d939f40dp-7, -0x1.5c81a949e8cdbp-7, -0x1.5449f4c866da3p-7, -0x1.4c3e7f6c987d8p-7, -0x1.445e7b8d980cep-7, -0x1.3ca91e76253b6p-7, -0x1.351da05ea7102p-7, -0x1.2dbb3c6724023p-7, -0x1.268130910f703p-7, -0x1.1f6ebdb91031fp-7, -0x1.18832790bc9cbp-7, -0x1.11bdb4983f05ap-7, -0x1.0b1dae17eb5a4p-7, -0x1.04a26019c2002p-7, -0x1.fc9632c5de614p-8, -0x1.f02e56da76d1ep-8, -0x1.e40bd4c0d4cdfp-8, -0x1.d82d5a172e632p-8, -0x1.cc9199bd0ecd9p-8, -0x1.c1374bc5d3b43p-8, -0x1.b61d2d6b42e21p-8, -0x1.ab4200ffed0d2p-8, -0x1.a0a48de199e72p-8, -0x1.9643a06bacdcdp-8, -0x1.8c1e09e975d91p-8, -0x1.8232a08870048p-8, -0x1.78803f4aa9e56p-8, -0x1.6f05c5f8f023p-8, -0x1.65c219151ce0bp-8, -0x1.5cb421cc43e95p-8, -0x1.53dacde922b12p-8, -0x1.4b350fc627118p-8, -0x1.42c1de3fe7746p-8, -0x1.3a8034a751d0ap-8, -0x1.326f12b3ffcd8p-8, -0x1.2a8d7c768b774p-8, -0x1.22da7a4af5661p-8, -0x1.1b5518cafe838p-8, -0x1.13fc68c0965bap-8, -0x1.0ccf7f186113p-8, -0x1.05cd74d430fa5p-8, -0x1.fdeacdfb3fe0bp-9, -0x1.f08ced314eb79p-9, -0x1.e37f912c9d531p-9, -0x1.d6c10b8edb8e8p-9, -0x1.ca4fb59eea7dcp-9, -0x1.be29f02ea2af9p-9, -0x1.b24e238091fe2p-9, -0x1.a6babf2e2726p-9, -0x1.9b6e3a0dba762p-9, -0x1.90671218f1b22p-9, -0x1.85a3cc5326c5ap-9, -0x1.7b22f4b01c271p-9, -0x1.70e31dfab40b4p-9, -0x1.66e2e1bbf9ca2p-9, -0x1.5d20e02246d82p-9, -0x1.539bbfe87663dp-9, -0x1.4a522e3da9103p-9, -0x1.4142deacad7c5p-9, -0x1.386c8b0411aep-9, -0x1.2fcdf33e398d5p-9, -0x1.2765dd699335bp-9, -0x1.1f3315910ae52p-9, -0x1.17346da4cb79cp-9, -0x1.0f68bd6329b95p-9, -0x1.07cee2419b6a7p-9, -0x1.0065bf562b678p-9, -0x1.f2587a81bbdcfp-10, -0x1.e442942ae8281p-10, -0x1.d687b28adec86p-10, -0x1.c925c71443c99p-10, -0x1.bc1acd9e3b98ap-10, -0x1.af64cc3998201p-10, -0x1.a301d30682deep-10, -0x1.96effc0a6cccbp-10, -0x1.8b2d6b06d78b7p-10, -0x1.7fb84d501fb83p-10, -0x1.748ed9a4f2602p-10, -0x1.69af5006354bdp-10, -0x1.5f17f98f6c454p-10, -0x1.54c7284f45c4ep-10, -0x1.4abb37213155fp-10, -0x1.40f28986aa8aap-10, -0x1.376b8b81c0514p-10, -0x1.2e24b16f567b8p-10, -0x1.251c77e27c3dap-10, -0x1.1c51637fa448p-10, -0x1.13c200d8d5b37p-10, -0x1.0b6ce449edd0ep-10, -0x1.0350a9d5890e4p-10, -0x1.f6d7ea04b6dfap-11, -0x1.e77ae17191f79p-11, -0x1.d8879e42a2f78p-11, -0x1.c9fb9305da4eep-11, -0x1.bbd4404508f2ap-11, -0x1.ae0f3443f9a7cp-11, -0x1.a0aa0ac155edp-11, -0x1.93a26cb6ccd6fp-11, -0x1.86f6101af3ba3p-11, -0x1.7aa2b7a3f4df6p-11, -0x1.6ea6328ac024fp-11, -0x1.62fe5c4fa017p-11, -0x1.57a91c7ee998ep-11, -0x1.4ca466773df4ep-11, -0x1.41ee39308abeep-11, -0x1.37849f032c9edp-11, -0x1.2d65ad70be2c1p-11, -0x1.238f84ed75c5dp-11, -0x1.1a0050aa08f41p-11, -0x1.10b6465ed59e1p-11, -0x1.07afa6177cbeap-11, -0x1.fdd573feb4e51p-12, -0x1.eccbac5e2bd98p-12, -0x1.dc3eb0f500e98p-12, -0x1.cc2b507f46f88p-12, -0x1.bc8e6c6ceebbdp-12, -0x1.ad64f882147f8p-12, -0x1.9eabfa7a13afdp-12, -0x1.906089ab02de2p-12, -0x1.827fceab3215dp-12, -0x1.750702f7e5581p-12, -0x1.67f3709dcb25ap-12, -0x1.5b4271e2b57dfp-12, -0x1.4ef170f0a3499p-12, -0x1.42fde78281c4cp-12, -0x1.37655e91f96dep-12, -0x1.2c256e0725d7dp-12, -0x1.213bbc68d08b3p-12, -0x1.16a5fe8efa52ap-12, -0x1.0c61f755fa0ccp-12, -0x1.026d77537b934p-12, -0x1.f18cb918a8356p-13, -0x1.ded5245831dcp-13, -0x1.ccb0207a7ff4p-13, -0x1.bb19b6c775cdep-13, -0x1.aa0e092f15fbcp-13, -0x1.998951c251f49p-13, -0x1.8987e22e9f7bep-13, -0x1.7a06233aa375dp-13, -0x1.6b00944775f87p-13, -0x1.5c73cad173f92p-13, -0x1.4e5c71f54e57cp-13, -0x1.40b749f6fd808p-13, -0x1.338127cab028bp-13, -0x1.26b6f49fb8c07p-13, -0x1.1a55ad6e2f8c2p-13, -0x1.0e5a6286c2498p-13, -0x1.02c23723ac2aap-13, -0x1.ef14c1fa46737p-14, -0x1.d9604fbe83aep-14, -0x1.c461ca82431ebp-14, -0x1.b01407beaf135p-14, -0x1.9c71feaef77fep-14, -0x1.8976c78be8be8p-14, -0x1.771d9acbe8087p-14, -0x1.6561d0655328ep-14, -0x1.543edf15a8fcbp-14, -0x1.43b05bab63e59p-14, -0x1.33b1f8556d773p-14, -0x1.243f83f30de62p-14, -0x1.1554e96ad569ep-14, -0x1.06ee2f0178a61p-14, -0x1.f20eeb6ceccdfp-15, -0x1.d739f147fe80fp-15, -0x1.bd5618c058da2p-15, -0x1.a45c3cc6a9b8ep-15, -0x1.8c4568e2abec7p-15, -0x1.750ad809c77p-15, -0x1.5ea5f37dd1973p-15, -0x1.491051b1d1d25p-15, -0x1.3443b53269129p-15, -0x1.203a0b97bd723p-15, -0x1.0ced6c78d784ap-15, -0x1.f4b030d0b94b6p-16, -0x1.d0e8efeaf7534p-16, -0x1.ae7a3561bf3abp-16, -0x1.8d596c72b7928p-16, -0x1.6d7c4a984dbecp-16, -0x1.4ed8cdb465747p-16, -0x1.31653a4849684p-16, -0x1.151819b23dddp-16, -0x1.f3d070f2409e6p-17, -0x1.bf9949404d6cp-17, -0x1.8d7957fef7d72p-17, -0x1.5d5fb55d5d8aep-17, -0x1.2f3bf2e30b794p-17, -0x1.02fe185d44044p-17, -0x1.b12d41c180b36p-18, -0x1.5fecefbec01fbp-18, -0x1.121dec98d7ce5p-18, -0x1.8f477f1f1ddd9p-19, -0x1.00c57fa820f13p-19, -0x1.e20078fcb0b08p-21, 0x1.379adc1ff6de4p-24, 0x1.0c48223477e89p-20, 0x1.f9cd96874540cp-20, 0x1.6e34d381da661p-19, 0x1.da3c94b6444cfp-19, 0x1.20958fea31b31p-18, 0x1.51961a804852bp-18, 0x1.803526359f618p-18, 0x1.ac874f7a74164p-18, 0x1.d6a0975ab8decp-18, 0x1.fe9467964bda7p-18, 0x1.123acb57420a5p-17, 0x1.242b35e906b9dp-17, 0x1.3524515e973c9p-17, 0x1.452eb7b8f72c8p-17, 0x1.5452c0f2f594bp-17, 0x1.629884cba9aecp-17, 0x1.7007dc8192b9ap-17, 0x1.7ca8648b550d5p-17, 0x1.88817e3a6df06p-17, 0x1.939a515e4742fp-17, 0x1.9df9cdd63c79cp-17, 0x1.a7a6ad1e9452ep-17, 0x1.b0a773ce65b28p-17, 0x1.b9027310c640ap-17, 0x1.c0bdca14a0b76p-17, 0x1.c7df676e2066ep-17, 0x1.ce6d0a742ecc5p-17, 0x1.d46c4491a891bp-17, 0x1.d9e27a926ddccp-17, 0x1.ded4e5e4fc6f5p-17, 0x1.e34895d4748b8p-17, 0x1.e74270baf7523p-17, 0x1.eac7352bf1134p-17, 0x1.eddb7b173a796p-17, 0x1.f083b4e3b9915p-17, 0x1.f2c430831ed9bp-17, 0x1.f4a1187ec2acap-17, 0x1.f61e74fde0fcbp-17, 0x1.f7402cc4b03f1p-17, 0x1.f80a062cbe288p-17, 0x1.f87fa81726adbp-17, 0x1.f8a49ad7a6312p-17, 0x1.f87c491a104dcp-17, 0x1.f80a00c2877a5p-17, 0x1.f750f3c453b75p-17, 0x1.f65438f68fd5ep-17, 0x1.f516cce380885p-17, 0x1.f39b928f6e31p-17, 0x1.f1e5543cf62cap-17, 0x1.eff6c429ab7eep-17, 0x1.edd27d46a58c2p-17, 0x1.eb7b03edf7a0dp-17, 0x1.e8f2c68f06ed5p-17, 0x1.e63c1e58ae74dp-17, 0x1.e3594fdfca16bp-17, 0x1.e04c8bbf9053ep-17, 0x1.dd17ef35f9d47p-17, 0x1.d9bd84bb03b72p-17, 0x1.d63f4495f9797p-17, 0x1.d29f156ba705cp-17, 0x1.cedecccad8f8p-17, 0x1.cb002fb330345p-17, 0x1.c704f3199834ap-17, 0x1.c2eebc683254p-17, 0x1.bebf21fb9ea46p-17, 0x1.ba77ab9b57c28p-17, 0x1.b619d2efbe594p-17, 0x1.b1a703f35baacp-17, 0x1.ad209d63a264dp-17, 0x1.a887f12b5d0c1p-17, 0x1.a3de44cad1da3p-17, 0x1.9f24d1be0f5abp-17, 0x1.9a5cc5e06e37bp-17, 0x1.958743ca46a42p-17, 0x1.90a5633003f8fp-17, 0x1.8bb8313b536f7p-17, 0x1.86c0b0e38354fp-17, 0x1.81bfdb419534ap-17, 0x1.7cb69fe327201p-17, 0x1.77a5e51ad020fp-17, 0x1.728e884cf0bd7p-17, 0x1.6d715e3bcc75fp-17, 0x1.684f33502a11ep-17, 0x1.6328cbe0f1f56p-17, 0x1.5dfee4778164p-17, 0x1.58d232118dbe7p-17, 0x1.53a362632d38ap-17, 0x1.4e731c14ad541p-17, 0x1.4941feff5d4bdp-17, 0x1.4410a4684dcc4p-17, 0x1.3edf9f39e3e5ap-17, 0x1.39af7c3ad6135p-17, 0x1.3480c2437856ap-17, 0x1.2f53f27244091p-17, 0x1.2a29885de2facp-17, 0x1.2501fa460facp-17, 0x1.1fddb9428af5bp-17, 0x1.1abd31710b1d1p-17, 0x1.15a0ca20d8ddp-17, 0x1.1088e5ff01299p-17, 0x1.0b75e33e83d71p-17, 0x1.06681bc102f3bp-17, 0x1.015fe53e0719bp-17, 0x1.f8bb22d08ce97p-18, 0x1.eec2dc23e9d03p-18, 0x1.e4d78aa0a42bap-18, 0x1.daf9bb3b5706p-18, 0x1.d129f3f4a7f53p-18, 0x1.c768b4194c2c1p-18, 0x1.bdb6747f2f6c4p-18, 0x1.b413a7c1fcbacp-18, 0x1.aa80ba7be94afp-18, 0x1.a0fe137f1063ap-18, 0x1.978c140a4ea2fp-18, 0x1.8e2b17fe6472cp-18, 0x1.84db760f03142p-18, 0x1.7b9d7ff453e0ap-18, 0x1.7271829a76227p-18, 0x1.6957c64eaeeb2p-18, 0x1.60508eeb1d9a6p-18, 0x1.575c1c01d59d5p-18, 0x1.4e7aa90583427p-18, 0x1.45ac6d71f575cp-18, 0x1.3cf19cf1002e4p-18, 0x1.344a67805423bp-18, 0x1.2bb6f9951a61bp-18, 0x1.23377c3ef7ab4p-18, 0x1.1acc154858141p-18, 0x1.1274e756c5447p-18, 0x1.0a32120a52b21p-18, 0x1.0203b21b916aep-18, 0x1.f3d3c2efddd27p-19, 0x1.e3c96ebb9d76bp-19, 0x1.d3e890ef768dap-19, 0x1.c4314decfc326p-19, 0x1.b4a3c55283ac6p-19, 0x1.a540122bf741cp-19, 0x1.96064b216ae2p-19, 0x1.86f682a4b2054p-19, 0x1.7810c71c4667p-19, 0x1.6955230c5e20ap-19, 0x1.5ac39d3e36e6dp-19, 0x1.4c5c38e910786p-19, 0x1.3e1ef5d6a58d7p-19, 0x1.300bd085ed839p-19, 0x1.2222c24fa0d47p-19, 0x1.1463c185ae3dfp-19, 0x1.06cec1953e32dp-19, 0x1.f2c76647e5019p-20, 0x1.d845085cc16b6p-20, 0x1.be164048c1a03p-20, 0x1.a43ae00a25726p-20, 0x1.8ab2b4f433f8bp-20, 0x1.717d87deebd74p-20, 0x1.589b1d5bd140fp-20, 0x1.400b35e4ca1d3p-20, 0x1.27cd8e0a2cf59p-20, 0x1.0fe1de9b8c1fap-20, 0x1.f08fb9a71ec74p-21, 0x1.c1fe7505a2fbcp-21, 0x1.940f4c692618fp-21, 0x1.66c196aa955bdp-21, 0x1.3a14a4ac0641ap-21, 0x1.0e07c19fd8b1cp-21, 0x1.c534669f73981p-22, 0x1.6f9674a949e5fp-22, 0x1.1b3424b35bb41p-22, 0x1.9017c96c9101dp-23, 0x1.d87066d31584ap-24, 0x1.2b1901806af4fp-25, -0x1.51059b86fe128p-25, -0x1.e1c451f00e18ap-24, -0x1.8b1f7b212baa1p-23, -0x1.117e7041ec3f3p-22, -0x1.5c3ef4bd5d3a8p-22, -0x1.a5d3196f43b4ep-22, -0x1.ee3cb2b537343p-22, -0x1.1abecd45789a5p-21, -0x1.3dcbd818fdb95p-21, -0x1.60466bfb3c30bp-21, -0x1.822f7d71a49a4p-21, -0x1.a388033ab6579p-21, -0x1.c450f6334b34cp-21, -0x1.e48b5132280b4p-21, -0x1.021c0876507e8p-20, -0x1.11ac19eaed2abp-20, -0x1.20f65d023ba91p-20, -0x1.2ffb528aa645ap-20, -0x1.3ebb7c0b3bedp-20, -0x1.4d375bb4390b2p-20, -0x1.5b6f74541966dp-20, -0x1.6964494a3a434p-20, -0x1.77165e7dbbb4fp-20, -0x1.8486385217216p-20, -0x1.91b45b9d2210cp-20, -0x1.9ea14d9cd75aap-20, -0x1.ab4d93ed530cep-20, -0x1.b7b9b48041905p-20, -0x1.c3e63592b20ecp-20, -0x1.cfd39da5743fp-20, -0x1.db827374f2c25p-20, -0x1.e6f33df0bdf4dp-20, -0x1.f22684341d9b5p-20, -0x1.fd1ccd7df6c84p-20, -0x1.03eb5094e9915p-19, -0x1.092a4354bd4c9p-19, -0x1.0e4b82bec7249p-19, -0x1.134f529857f99p-19, -0x1.1835f6a7fa445p-19, -0x1.1cffb2b281cd8p-19, -0x1.21acca784735ep-19, -0x1.263d81b25e4d6p-19, -0x1.2ab21c103837p-19, -0x1.2f0add34797b6p-19, -0x1.334808b314a78p-19, -0x1.3769e20d62242p-19, -0x1.3b70acb11e87cp-19, -0x1.3f5cabf597b57p-19, -0x1.432e2319bb5ffp-19, -0x1.46e555423b75ap-19, -0x1.4a82857703e0fp-19, -0x1.4e05f6a0fcf42p-19, -0x1.516feb8901166p-19, -0x1.54c0a6d52be49p-19, -0x1.57f86b0706af5p-19, -0x1.5b177a79efc48p-19, -0x1.5e1e1761c122cp-19, -0x1.610c83c8e9f12p-19, -0x1.63e3018e59d87p-19, -0x1.66a1d2640365ap-19, -0x1.694937cd4c8cep-19, -0x1.6bd9731de12c7p-19, -0x1.6e52c57851addp-19, -0x1.70b56fcc79bc3p-19, -0x1.7301b2d616d39p-19, -0x1.7537cf1b80d31p-19, -0x1.775804ec1df51p-19, -0x1.7962945f9a33fp-19, -0x1.7b57bd542075fp-19, -0x1.7d37bf6d894c1p-19, -0x1.7f02da13da72p-19, -0x1.80b94c727d9efp-19, -0x1.825b5576a5817p-19, -0x1.83e933ce15e1bp-19, -0x1.856325e687fccp-19, -0x1.86c969ecbebeap-19, -0x1.881c3dcb32a5ep-19, -0x1.895bdf292442ep-19, -0x1.8a888b69efdb6p-19, -0x1.8ba27fab96b77p-19, -0x1.8ca9f8c5ecb8cp-19, -0x1.8d9f3349bc25bp-19, -0x1.8e826b804d2e1p-19, -0x1.8f53dd6a141dp-19, -0x1.9013c4be5a4d1p-19, -0x1.90c25ce970fd6p-19, -0x1.915fe10c51a01p-19, -0x1.91ec8bfc227d9p-19, -0x1.9268984139a3bp-19, -0x1.92d44016903d8p-19, -0x1.932fbd68eb8e3p-19, -0x1.937b49d63dd6fp-19, -0x1.93b71eacb4397p-19, -0x1.93e374e9e60a7p-19, -0x1.9400853ae0593p-19, -0x1.940e87fadb0bdp-19, -0x1.940db53333af4p-19, -0x1.93fe4499f7eb9p-19, -0x1.93e06d920819dp-19, -0x1.93b46729e9c78p-19, -0x1.937a681bb2f57p-19, -0x1.9332a6cc21344p-19, -0x1.92dd594a404a1p-19, -0x1.927ab54f26c09p-19, -0x1.920af03d0582ap-19, -0x1.918e3f1ed9763p-19, -0x1.9104d6a843223p-19, -0x1.906eeb3459c4ep-19, -0x1.8fccb0c5a0f37p-19, -0x1.8f1e5b061cc75p-19, -0x1.8e641d4624f42p-19, -0x1.8d9e2a7bebb9dp-19, -0x1.8cccb54392a4bp-19, -0x1.8befefdf01a01p-19, -0x1.8b080c351c0bfp-19, -0x1.8a153bd0eee87p-19, -0x1.8917afe1e9e73p-19, -0x1.880f993bdbf65p-19, -0x1.86fd28569cc81p-19, -0x1.85e08d4cf6f83p-19, -0x1.84b9f7dd0b32dp-19, -0x1.83899768661c2p-19, -0x1.824f9af28c7f1p-19, -0x1.810c312186ceap-19, -0x1.7fbf883e10fep-19, -0x1.7e69ce32d0bdfp-19, -0x1.7d0b308bd617p-19, -0x1.7ba3dc76e659fp-19, -0x1.7a33fec3c274p-19, -0x1.78bbc3e310805p-19, -0x1.773b57e6401ccp-19, -0x1.75b2e6805a83ep-19, -0x1.74229b0512be4p-19, -0x1.728aa068e96p-19, -0x1.70eb21412ffe5p-19, -0x1.6f4447c3ee177p-19, -0x1.6d963dc781615p-19, -0x1.6be12cc2e0a86p-19, -0x1.6a253dcd585dp-19, -0x1.6862999ecfc1p-19, -0x1.6699688fd0f8fp-19, -0x1.64c9d298df91fp-19, -0x1.62f3ff5328539p-19, -0x1.611815f835bb8p-19, -0x1.5f363d61da15fp-19, -0x1.5d4e9c0a7d4ffp-19, -0x1.5b61580d7496cp-19, -0x1.596e9726661f2p-19, -0x1.57767eb1888ebp-19, -0x1.557933abfe107p-19, -0x1.5376dab3c39d2p-19, -0x1.516f9807fc7f8p-19, -0x1.4f638f8881eb6p-19, -0x1.4d52e4b6f689ep-19, -0x1.4b3dbab603a1bp-19, -0x1.49243449ceafdp-19, -0x1.470673d80d015p-19, -0x1.44e49b68ee52p-19, -0x1.42becca633e82p-19, -0x1.409528dc0672ep-19, -0x1.3e67d0f8cd1c2p-19, -0x1.3c36e58de4d96p-19, -0x1.3a0286cf78113p-19, -0x1.37cad494dbfe8p-19, -0x1.358fee587e3e2p-19, -0x1.3351f338a14f3p-19, -0x1.311101f7755d6p-19, -0x1.2ecd38fb4b8e7p-19, -0x1.2c86b64ebd359p-19, -0x1.2a3d97a128eacp-19, -0x1.27f1fa472b06p-19, -0x1.25a3fb3a5ec96p-19, -0x1.2353b71a458a8p-19, -0x1.21014a2c30cabp-19, -0x1.1eacd05bb3334p-19, -0x1.1c56653b0f43dp-19, -0x1.19fe2403d2f76p-19, -0x1.17a42796af6ap-19, -0x1.15488a7bfcdb5p-19, -0x1.12eb66e402299p-19, -0x1.108cd6a7dad3ep-19, -0x1.0e2cf34922d03p-19, -0x1.0bcbd5f2e6edcp-19, -0x1.09699779babcdp-19, -0x1.0706505c465ep-19, -0x1.04a218c3c67b9p-19, -0x1.023d08840d709p-19, -0x1.ffae6e389c65ep-20, -0x1.fae1776f6c7b7p-20, -0x1.f6135a5abc014p-20, -0x1.f1444402176fcp-20, -0x1.ec7460c73c232p-20, -0x1.e7a3dc670a781p-20, }}, 
      {{-0x1.39badff7b9399p-7, -0x1.39b77247e39ap-6, -0x1.d68c08835ac5ep-6, -0x1.39adccec7f85ep-5, -0x1.8814a28f281aap-5, -0x1.d67d4f5b40f06p-5, -0x1.1275c08c7ffbdp-4, -0x1.39b1a8ed23928p-4, -0x1.60f461de95efp-4, -0x1.883f9f270eda3p-4, -0x1.af948bb995d1p-4, -0x1.d6f396ef09dd8p-4, -0x1.fe5c4c03425c7p-4, -0x1.12e69a23affc1p-3, -0x1.26a1e1e159e7bp-3, -0x1.3a5e27c2ff58p-3, -0x1.4e19065680214p-3, -0x1.61cf8b7215b5dp-3, -0x1.757e3e9c7055ep-3, -0x1.892129fe111p-3, -0x1.9cb3e54686987p-3, -0x1.b031a1fb1bbfap-3, -0x1.c39538b25d606p-3, -0x1.d6d936cf1d54cp-3, -0x1.e9f7ec5dd5069p-3, -0x1.fceb79c72f467p-3, -0x1.07d6ee8ce5397p-2, -0x1.111c7f5db0445p-2, -0x1.1a435eaf0cccap-2, -0x1.23487c90e6d38p-2, -0x1.2c28cee926a2p-2, -0x1.34e1561db0946p-2, -0x1.3d6f2148b7985p-2, -0x1.45cf51f929914p-2, -0x1.4dff1f82d0c98p-2, -0x1.55fbd9e2ff2a2p-2, -0x1.5dc2ec3f752eep-2, -0x1.6551df05b5a38p-2, -0x1.6ca659b13af39p-2, -0x1.73be243f06cc4p-2, -0x1.7a972854fdc3bp-2, -0x1.812f7223440b4p-2, -0x1.8785310597727p-2, -0x1.8d96b7ea6029fp-2, -0x1.93627d84dd421p-2, -0x1.98e71c4f8cd59p-2, -0x1.9e235263a1162p-2, -0x1.a316012a09ff8p-2, -0x1.a7be2cea5b3ep-2, -0x1.ac1afc3b86ac1p-2, -0x1.b02bb75a32f96p-2, -0x1.b3efc7682c9a2p-2, -0x1.b766b59832dddp-2, -0x1.ba902a493b064p-2, -0x1.bd6bec13eb415p-2, -0x1.bff9deccfa4cbp-2, -0x1.c23a027ed2b17p-2, -0x1.c42c725cac8aep-2, -0x1.c5d163b1230dap-2, -0x1.c72924ca0bb1ap-2, -0x1.c8341be334c29p-2, -0x1.c8f2c61174dd9p-2, -0x1.c965b62f53e4p-2, -0x1.c98d93cc60b4fp-2, -0x1.c96b1a202ad87p-2, -0x1.c8ff1701aa6d3p-2, -0x1.c84a69e3c32ecp-2, -0x1.c74e02d766f75p-2, -0x1.c60ae193ccb98p-2, -0x1.c48214850f115p-2, -0x1.c2b4b7e168f5fp-2, -0x1.c0a3f4c5407cap-2, -0x1.be51005611b46p-2, -0x1.bbbd1aec3f529p-2, -0x1.b8e98f43c8c02p-2, -0x1.b5d7b1b3cd56p-2, -0x1.b288df6cc65bap-2, -0x1.aefe7dbd59decp-2, -0x1.ab39f95d96e54p-2, -0x1.a73cc5c07addap-2, -0x1.a3085c6b8b87bp-2, -0x1.9e9e3c545d4f3p-2, -0x1.99ffe943d0008p-2, -0x1.952eeb3ed9607p-2, -0x1.902ccdf4aaa34p-2, -0x1.8afb20320a7f6p-2, -0x1.859b7359b0d75p-2, -0x1.800f5ae183df8p-2, -0x1.7a586bd488222p-2, -0x1.74783c5968fdp-2, -0x1.6e70633d6ef04p-2, -0x1.68427783ca3c6p-2, -0x1.61f00ff91223dp-2, -0x1.5b7ac2cae425ap-2, -0x1.54e4252380e2bp-2, -0x1.4e2dcac9597b7p-2, -0x1.475945c27373cp-2, -0x1.406825fb93481p-2, -0x1.395bf8f31906ep-2, -0x1.323649677f8b2p-2, -0x1.2af89f096da07p-2, -0x1.23a47e314fd5p-2, -0x1.1c3b67986176cp-2, -0x1.14bed81521376p-2, -0x1.0d30485b20c07p-2, -0x1.05912cbe2043fp-2, -0x1.fbc5e9f0cd478p-3, -0x1.ec4e17e8a012cp-3, -0x1.dcbdaf31ff245p-3, -0x1.cd1771344796bp-3, -0x1.bd5e1495924e1p-3, -0x1.ad9444e645551p-3, -0x1.9dbca25279eafp-3, -0x1.8dd9c1591b1f9p-3, -0x1.7dee2a889ff42p-3, -0x1.6dfc5a4135071p-3, -0x1.5e06c07c3eec5p-3, -0x1.4e0fc09914a55p-3, -0x1.3e19b12ec1d8dp-3, -0x1.2e26dbe2c55bp-3, -0x1.1e397d44892bfp-3, -0x1.0e53c4ad895e2p-3, -0x1.fcefa84bff5a5p-4, -0x1.dd4f809bbc375p-4, -0x1.bdcb209416cf1p-4, -0x1.9e667b6b4cc9ep-4, -0x1.7f25692e780a7p-4, -0x1.600ba6b3762b6p-4, -0x1.411cd59215f1fp-4, -0x1.225c7c2434aedp-4, -0x1.03ce058c88871p-4, -0x1.cae983878990cp-5, -0x1.8ea7cb57a976fp-5, -0x1.52dd1651d6513p-5, -0x1.178f628026b1bp-5, -0x1.b988f0ec21dep-6, -0x1.4503d74422f1ep-6, -0x1.a3346aa33231p-7, -0x1.7d597e493f68ep-8, 0x1.1bdbd6e4d3b68p-10, 0x1.0331385c46c6dp-7, 0x1.e0623a788e3bdp-7, 0x1.5d7e8632c2deap-6, 0x1.c97880a312d6cp-6, 0x1.1a0b8c7b2ac99p-5, 0x1.4ea95ea0e7092p-5, 0x1.82921e085ea74p-5, 0x1.b5c261920ec0cp-5, 0x1.e836ef1492f9p-5, 0x1.0cf65d59d037fp-4, 0x1.25707319874ap-4, 0x1.3d8860231eaa1p-4, 0x1.553ce1ee198e2p-4, 0x1.6c8ccbb45792p-4, 0x1.8377061549757p-4, 0x1.99fa8eb7e6072p-4, 0x1.b01677eb8c9f6p-4, 0x1.c5c9e847e41ebp-4, 0x1.db141a4bee07dp-4, 0x1.eff45bfc54642p-4, 0x1.023507408e123p-3, 0x1.0c3a52e163a01p-3, 0x1.1609d4038865ep-3, 0x1.1fa356c6a7ab6p-3, 0x1.2906b0154a37ep-3, 0x1.3233bd72d7207p-3, 0x1.3b2a64c97f79bp-3, 0x1.43ea943832d53p-3, 0x1.4c7441e094a08p-3, 0x1.54c76bb503fc6p-3, 0x1.5ce41746c17c9p-3, 0x1.64ca51942ae53p-3, 0x1.6c7a2ed730141p-3, 0x1.73f3ca53e24e7p-3, 0x1.7b3746274f338p-3, 0x1.8244cb16888b6p-3, 0x1.891c885dfb401p-3, 0x1.8fbeb38103081p-3, 0x1.962b8819dd108p-3, 0x1.9c6347a9dc9f4p-3, 0x1.a266396a03fc4p-3, 0x1.a834aa1bfd3acp-3, 0x1.adceebdb6bda6p-3, 0x1.b33555efac5b6p-3, 0x1.b868449e00e5p-3, 0x1.bd6818fc24d65p-3, 0x1.c23538c35c5d3p-3, 0x1.c6d00e23f666bp-3, 0x1.cb390799454efp-3, 0x1.cf7097be228bp-3, 0x1.d3773521df659p-3, 0x1.d74d5a1dcc253p-3, 0x1.daf384ab37b42p-3, 0x1.de6a363a03efap-3, 0x1.e1b1f387bc261p-3, 0x1.e4cb4477403c2p-3, 0x1.e7b6b3e900f4fp-3, 0x1.ea74cf93cb9abp-3, 0x1.ed0627de296cdp-3, 0x1.ef6b4fb85f25fp-3, 0x1.f1a4dc76f85c9p-3, 0x1.f3b365adfa044p-3, 0x1.f597850ca6f31p-3, 0x1.f751d639e9c41p-3, 0x1.f8e2f6b15a6b7p-3, 0x1.fa4b85a0df7bp-3, 0x1.fb8c23c6fbce2p-3, 0x1.fca57351b542ep-3, 0x1.fd9817be20d17p-3, 0x1.fe64b5b898667p-3, 0x1.ff0bf2fd8d505p-3, 0x1.ff8e763b08d54p-3, 0x1.ffece6f2c87bp-3, 0x1.0013f6ae86df5p-2, 0x1.00201926052f8p-2, 0x1.001b2f87fb34fp-2, 0x1.00058eade7968p-2, 0x1.ffbf172abe27ep-3, 0x1.ff52f6a622b72p-3, 0x1.fec7660c46663p-3, 0x1.fe1d0f97b77fp-3, 0x1.fd549d6746544p-3, 0x1.fc6eb966ad30dp-3, 0x1.fb6c0d37d93e9p-3, 0x1.fa4d421cdb6f3p-3, 0x1.f91300e27b3dbp-3, 0x1.f7bdf1cb6ecdfp-3, 0x1.f64ebc7c2ddb9p-3, 0x1.f4c607e76f4e8p-3, 0x1.f3247a3b419e4p-3, 0x1.f16ab8cec34cap-3, 0x1.ef996810754ecp-3, 0x1.edb12b7531115p-3, 0x1.ebb2a567b4e75p-3, 0x1.e99e7738ca662p-3, 0x1.e7754110032c9p-3, 0x1.e537a1dd0eb69p-3, 0x1.e2e63749a77bcp-3, 0x1.e0819dac0bea6p-3, 0x1.de0a6ffa0ce9ap-3, 0x1.db8147bcaf426p-3, 0x1.d8e6bd04555dbp-3, 0x1.d63b665d75c0bp-3, 0x1.d37fd8c5df269p-3, 0x1.d0b4a7a2808acp-3, 0x1.cdda64b5b8aap-3, 0x1.caf1a01626cfep-3, 0x1.c7fae82604dcep-3, 0x1.c4f6c98af5683p-3, 0x1.c1e5cf2659572p-3, 0x1.bec8820e1b52bp-3, 0x1.bb9f6985f5814p-3, 0x1.b86b0af92d1e3p-3, 0x1.b52be9f4c4d0dp-3, 0x1.b1e288221c15ep-3, 0x1.ae8f65420487p-3, 0x1.ab32ff2840afap-3, 0x1.a7cdd1b76c6f8p-3, 0x1.a46056dd54328p-3, 0x1.a0eb068fac081p-3, 0x1.9d6e56c92da57p-3, 0x1.99eabb8717295p-3, 0x1.9660a6c70c64p-3, 0x1.92d088854d71bp-3, 0x1.8f3acebb4fd8fp-3, 0x1.8b9fe55ea6d3cp-3, 0x1.880036604efd4p-3, 0x1.845c29ac3bf8ap-3, 0x1.80b4252945f83p-3, 0x1.7d088cb95be0bp-3, 0x1.7959c23a08fcbp-3, 0x1.75a825853ca85p-3, 0x1.71f4147262e9dp-3, 0x1.6e3dead7bb7d9p-3, 0x1.6a86028bf49d7p-3, 0x1.66ccb36809824p-3, 0x1.63125349603b2p-3, 0x1.5f5736141e0d3p-3, 0x1.5b9badb5ba477p-3, 0x1.57e00a27cc05bp-3, 0x1.5424997307731p-3, 0x1.5069a7b274397p-3, 0x1.4caf7f16cf0a4p-3, 0x1.48f667ea2617p-3, 0x1.453ea8939533ap-3, 0x1.4188859b3b26p-3, 0x1.3dd441ae4dbe7p-3, 0x1.3a221da35c8fp-3, 0x1.3672587eb6d1ep-3, 0x1.32c52f76f55ffp-3, 0x1.2f1addf9a7d7p-3, 0x1.2b739db02169ep-3, 0x1.27cfa684655bcp-3, 0x1.242f2ea62cfcdp-3, 0x1.20926a900e339p-3, 0x1.1cf98d0cb7218p-3, 0x1.1964c73c41883p-3, 0x1.15d44899a1732p-3, 0x1.12483f0021f3bp-3, 0x1.0ec0d6b0fa7fp-3, 0x1.0b3e3a58f25dfp-3, 0x1.07c093161777cp-3, 0x1.0448087d7ec94p-3, 0x1.00d4c0a119172p-3, 0x1.facdc02b1d53cp-4, 0x1.f3fd13f05077p-4, 0x1.ed37bfe97c1a3p-4, 0x1.e67e0497669aep-4, 0x1.dfd01fafef4edp-4, 0x1.d92e4c2a1a6d4p-4, 0x1.d298c24a223edp-4, 0x1.cc0fb7ad99e54p-4, 0x1.c5935f5791e5bp-4, 0x1.bf23e9bcb3e6ap-4, 0x1.b8c184cf7005cp-4, 0x1.b26c5c0c2324cp-4, 0x1.ac24988534698p-4, 0x1.a5ea60ef2f3a2p-4, 0x1.9fbdd9ace0bdap-4, 0x1.999f24db65875p-4, 0x1.938e625e24421p-4, 0x1.8d8bafeacfecbp-4, 0x1.879729154f2b2p-4, 0x1.81b0e75b99642p-4, 0x1.7bd9023182ce1p-4, 0x1.760f8f0c7987fp-4, 0x1.7054a16f2c5aap-4, 0x1.6aa84af521a4dp-4, 0x1.650a9b5e362d8p-4, 0x1.5f7ba09a06d96p-4, 0x1.59fb66d34463ap-4, 0x1.5489f87aeba44p-4, 0x1.4f275e5368608p-4, 0x1.49d39f7b9b6e7p-4, 0x1.448ec179c647fp-4, 0x1.3f58c8465aa4cp-4, 0x1.3a31b656af57bp-4, 0x1.35198ca793eb4p-4, 0x1.30104ac7ca35ap-4, 0x1.2b15eee25f60bp-4, 0x1.262a75c8e249bp-4, 0x1.214ddafd81406p-4, 0x1.1c8018bd02a77p-4, 0x1.17c128089983fp-4, 0x1.131100afa16cbp-4, 0x1.0e6f99592f323p-4, 0x1.09dce78d86f5fp-4, 0x1.0558dfbf6ada5p-4, 0x1.00e375554736ep-4, 0x1.f8f9356481c95p-5, 0x1.f048827e2db73p-5, 0x1.e7b4b2e5d603p-5, 0x1.df3da5b7bbe02p-5, 0x1.d6e3384f16d4ap-5, 0x1.cea54656c5ddap-5, 0x1.c683a9d9b656ap-5, 0x1.be7e3b5300fd4p-5, 0x1.b694d1bdc0f15p-5, 0x1.aec742a4a1853p-5, 0x1.a71562312339ep-5, 0x1.9f7f033a978bfp-5, 0x1.9803f754d9324p-5, 0x1.90a40edeb0462p-5, 0x1.895f190ffdc56p-5, 0x1.8234e40794bfdp-5, 0x1.7b253cd8cff6cp-5, 0x1.742fef98dfb5dp-5, 0x1.6d54c76bcdc91p-5, 0x1.66938e913de48p-5, 0x1.5fec0e70ee033p-5, 0x1.595e0fa6e2aebp-5, 0x1.52e95a0f58df1p-5, 0x1.4c8db4d2717bdp-5, 0x1.464ae66f978d3p-5, 0x1.4020b4c89f5aap-5, 0x1.3a0ee52caac79p-5, 0x1.34153c62c1b01p-5, 0x1.2e337eb42d678p-5, 0x1.28696ff6980cfp-5, 0x1.22b6d395dd0efp-5, 0x1.1d1b6c9da8c8p-5, 0x1.1796fdc2ceeb5p-5, 0x1.1229496c673e5p-5, 0x1.0cd211bcaaa2ep-5, 0x1.0791189994516p-5, 0x1.02661fb5468e6p-5, 0x1.faa1d12c590dp-6, 0x1.f0a2693de8d0cp-6, 0x1.e6cd8a2c6b82bp-6, 0x1.dd22b65beabe2p-6, 0x1.d3a17015c7c22p-6, 0x1.ca493996c9657p-6, 0x1.c119951cce902p-6, 0x1.b81204f402bf6p-6, 0x1.af320b83b0b8fp-6, 0x1.a6792b5a9f06fp-6, 0x1.9de6e73b26149p-6, 0x1.957ac226b556p-6, 0x1.8d343f691beb1p-6, 0x1.8512e2a351306p-6, 0x1.7d162fd5f1505p-6, 0x1.753dab6b4c0e3p-6, 0x1.6d88da4126dd5p-6, 0x1.65f741b216d2cp-6, 0x1.5e88679e7fd07p-6, 0x1.573bd2754bea4p-6, 0x1.5011093c2d46p-6, 0x1.49079397b7ep-6, 0x1.421ef9d30246bp-6, 0x1.3b56c4e6fbbedp-6, 0x1.34ae7e81874b9p-6, 0x1.2e25b10c31625p-6, 0x1.27bbe7b2a4e08p-6, 0x1.2170ae68d29a5p-6, 0x1.1b4391f0d1d64p-6, 0x1.15341fe07144fp-6, 0x1.0f41e6a68a0bdp-6, 0x1.096c7590137b5p-6, 0x1.03b35cccdcb23p-6, 0x1.fc2c5ae83810bp-7, 0x1.f128f3117e49dp-7, 0x1.e65ba7facbdd7p-7, 0x1.dbc3a1706d917p-7, 0x1.d160092cdbb12p-7, 0x1.c7300adf6f0cap-7, 0x1.bd32d4328d73ep-7, 0x1.b36794d18d038p-7, 0x1.a9cd7e6e0d84cp-7, 0x1.a063c4c4e6d7cp-7, 0x1.97299da2ddaa5p-7, 0x1.8e1e40e8c2ffap-7, 0x1.8540e88f3ddeap-7, 0x1.7c90d0aa54438p-7, 0x1.740d376c76ceep-7, 0x1.6bb55d2948e7cp-7, 0x1.6388845804f0bp-7, 0x1.5b85f195974ep-7, 0x1.53aceba6730ddp-7, 0x1.4bfcbb77ed872p-7, 0x1.4474ac2187654p-7, 0x1.3d140ae5b6c0cp-7, 0x1.35da273297302p-7, 0x1.2ec652a2367aep-7, 0x1.27d7e0faa4ed3p-7, 0x1.210e282dca474p-7, 0x1.1a688058f3e17p-7, 0x1.13e643c436106p-7, 0x1.0d86cee1850d7p-7, 0x1.0749804b9593ep-7, 0x1.012db8c484c69p-7, 0x1.f665b668df3c4p-8, 0x1.eab0994f10995p-8, 0x1.df3ae898b0c48p-8, 0x1.d40376e33c5bp-8, 0x1.c9091b07e6281p-8, 0x1.be4ab016ef19ap-8, 0x1.b3c71552461eap-8, 0x1.a97d2e281e2b2p-8, 0x1.9f6be22d299a9p-8, 0x1.95921d1658079p-8, 0x1.8beeceb2a6703p-8, 0x1.8280eae472181p-8, 0x1.7947699a86747p-8, 0x1.704146c9144cp-8, 0x1.676d82626eda3p-8, 0x1.5ecb204f4d61ep-8, 0x1.5659286738f08p-8, 0x1.4e16a668982dap-8, 0x1.4602a9f0770c4p-8, 0x1.3e1c46724fe4ap-8, 0x1.3662932f99b9dp-8, 0x1.2ed4ab2f14eap-8, 0x1.2771ad3432543p-8, 0x1.2038bbb616016p-8, 0x1.1928fcd6745dep-8, 0x1.12419a58e48abp-8, 0x1.0b81c19911e4p-8, 0x1.04e8a381d7b75p-8, 0x1.fceae9074817bp-9, 0x1.f04ed915d21bfp-9, 0x1.e3fb8ded5db26p-9, 0x1.d7ef851d9ed1p-9, 0x1.cc2942f4a53b5p-9, 0x1.c0a7526b2368ap-9, 0x1.b5684510d3d1ap-9, 0x1.aa6ab2f8f0d1p-9, 0x1.9fad3aa63e2dep-9, 0x1.952e80f6f04fp-9, 0x1.8aed31115515dp-9, 0x1.80e7fc4f4e6b7p-9, 0x1.771d9a2ad7143p-9, 0x1.6d8cc829782bbp-9, 0x1.643449c8e2ccap-9, 0x1.5b12e86a5c8aep-9, 0x1.5227733f40e69p-9, 0x1.4970bf34c2c77p-9, 0x1.40eda6e023107p-9, 0x1.389d0a6aa165p-9, 0x1.307dcf7dd5a3ep-9, 0x1.288ee12fd8f79p-9, 0x1.20cf2fef6ca6ep-9, 0x1.193db1708eabbp-9, 0x1.11d96098b3a72p-9, 0x1.0aa13d6b8b521p-9, 0x1.03944cf7211c6p-9, 0x1.f96332822daadp-10, 0x1.ebf0626698cddp-10, 0x1.dece5110f89a9p-10, 0x1.d1fb2f734f953p-10, 0x1.c57537d61300cp-10, 0x1.b93aadb2ede13p-10, 0x1.ad49dd8f49705p-10, 0x1.a1a11cd7a6fe4p-10, 0x1.963ec9ba9c5eap-10, 0x1.8b214b051c79bp-10, 0x1.80470ffd85bcfp-10, 0x1.75ae904084ec2p-10, 0x1.6b564b9da6e11p-10, 0x1.613cc9f34a6b4p-10, 0x1.57609b0d1f34bp-10, 0x1.4dc0568083b74p-10, 0x1.445a9b8adb99ep-10, 0x1.3b2e10efb001ap-10, 0x1.323964d6d8e58p-10, 0x1.297b4cabb4994p-10, 0x1.20f284fc300e4p-10, 0x1.189dd1581a844p-10, 0x1.107bfc3162498p-10, 0x1.088bd6bbff4a1p-10, 0x1.00cc38ce957b7p-10, 0x1.f2780186df8d9p-11, 0x1.e3b426b4124d8p-11, 0x1.d54ab730dc475p-11, 0x1.c739955a9d7a7p-11, 0x1.b97eafa525de5p-11, 0x1.ac18005fd3293p-11, 0x1.9f038d7cc2b08p-11, 0x1.923f6855ed9c3p-11, 0x1.85c9ad77cdb58p-11, 0x1.79a084673072ap-11, 0x1.6dc21f6c097bep-11, 0x1.622cbb5b41c8p-11, 0x1.56de9f60ffa4fp-11, 0x1.4bd61ccc85e06p-11, 0x1.41118edc65ce3p-11, 0x1.368f5a8b60f29p-11, 0x1.2c4dee5e413f3p-11, 0x1.224bc232357dfp-11, 0x1.1887570bff26fp-11, 0x1.0eff36e8851f7p-11, 0x1.05b1f48bc6906p-11, 0x1.f93c56a884198p-12, 0x1.e784fe1751082p-12, 0x1.d63b3774c59d3p-12, 0x1.c55c6af4bd28dp-12, 0x1.b4e61098716cdp-12, 0x1.a4d5afd6f9b4ep-12, 0x1.9528df48d50eap-12, 0x1.85dd4454b8507p-12, 0x1.76f092ddb2d9bp-12, 0x1.68608cf1fb4fp-12, 0x1.5a2b027c5511dp-12, 0x1.4c4dd0f5c32dbp-12, 0x1.3ec6e31899344p-12, 0x1.31943096affd6p-12, 0x1.24b3bdcd40b9p-12, 0x1.18239b7ebdedcp-12, 0x1.0be1e688b38edp-12, 0x1.ffd98f409f5a7p-13, 0x1.e884e616a9c3bp-13, 0x1.d1c250bce5bbdp-13, 0x1.bb8e647274fd8p-13, 0x1.a5e5cc0c6b27ep-13, 0x1.90c54774b908p-13, 0x1.7c29ab2da9ebfp-13, 0x1.680fdfd52aea2p-13, 0x1.5474e1ae4f235p-13, 0x1.4155c0285acf6p-13, 0x1.2eaf9d6c9e156p-13, 0x1.1c7fadeb3b5e4p-13, 0x1.0ac337ecabd37p-13, 0x1.f2ef264484838p-14, 0x1.d134507d46d54p-14, 0x1.b050e10e06b48p-14, 0x1.903feae2e8bfep-14, 0x1.70fca0787a242p-14, 0x1.528253197f5a5p-14, 0x1.34cc721c61cep-14, 0x1.17d68a2419f1cp-14, 0x1.f73888ce5d58ap-15, 0x1.c032cbf4e58dfp-15, 0x1.8a939e39dd51ap-15, 0x1.5652f517db3b2p-15, 0x1.2368f9abc9832p-15, 0x1.e39c0ed1a3cfcp-16, 0x1.82f555a0ffd15p-16, 0x1.24cf406a8337fp-16, 0x1.923749fb346eap-17, 0x1.bf32cfbc7e437p-18, 0x1.8d4f64bfe5a1ap-20, -0x1.dec5a5b301de5p-19, -0x1.1c9233f751642p-17, -0x1.bd116947edfc1p-17, -0x1.2ca3b0386a7bcp-16, -0x1.78a5eabbbad06p-16, -0x1.c29af6b780dcp-16, -0x1.05470e9c429d5p-15, -0x1.28452fe01b447p-15, -0x1.4a4d3d15596b8p-15, -0x1.6b647248499a1p-15, -0x1.8b8fea853cad6p-15, -0x1.aad4a0c036175p-15, -0x1.c93770b24e3f2p-15, -0x1.e6bd17abce41ep-15, -0x1.01b51ab708f6fp-14, -0x1.0fa1a67908f8fp-14, -0x1.1d26629b91fbdp-14, -0x1.2a457500b9778p-14, -0x1.3700f64db938p-14, -0x1.435af2482cfbbp-14, -0x1.4f55682f76241p-14, -0x1.5af24b1655fcp-14, -0x1.6633823835e84p-14, -0x1.711ae94d3004cp-14, -0x1.7baa50dd72bf3p-14, -0x1.85e37e8f4d53fp-14, -0x1.8fc82d7525f58p-14, -0x1.995a0e59c24e7p-14, -0x1.a29ac8093c1d2p-14, -0x1.ab8bf79890f19p-14, -0x1.b42f30adf9857p-14, -0x1.bc85fdc0f6141p-14, -0x1.c491e05fdf353p-14, -0x1.cc54516f28166p-14, -0x1.d3cec1675d2a6p-14, -0x1.db029892e932dp-14, -0x1.e1f13748b171fp-14, -0x1.e89bf6279dd8ap-14, -0x1.ef04264ca7afcp-14, -0x1.f52b118ad0721p-14, -0x1.fb11fa9eda615p-14, -0x1.005d0eb222afp-13, -0x1.0312578313593p-13, -0x1.05a96f186b9e9p-13, -0x1.0822e9a06c1e4p-13, -0x1.0a7f58387bacbp-13, -0x1.0cbf4903612c7p-13, -0x1.0ee3473f02e7bp-13, -0x1.10ebdb58eb904p-13, -0x1.12d98b03c5245p-13, -0x1.14acd94a4d1c5p-13, -0x1.166646a313421p-13, -0x1.18065102c56edp-13, -0x1.198d73ee94826p-13, -0x1.1afc288d701cbp-13, -0x1.1c52e5b946d9p-13, -0x1.1d92200fd6d7dp-13, -0x1.1eba4a022b9dep-13, -0x1.1fcbd3e491f15p-13, -0x1.20c72bfd420d1p-13, -0x1.21acbe933c44dp-13, -0x1.227cf5fc335dep-13, -0x1.23383aaa66b2p-13, -0x1.23def33a02b84p-13, -0x1.2471847d8d76cp-13, -0x1.24f0518aaa522p-13, -0x1.255bbbc604cadp-13, -0x1.25b422eeeeaa2p-13, -0x1.25f9e52a6a781p-13, -0x1.262d5f0e8b824p-13, -0x1.264eebacdb7c8p-13, -0x1.265ee49c3d86dp-13, -0x1.265da2031126bp-13, -0x1.264b7aa0b31f2p-13, -0x1.2628c3d698813p-13, -0x1.25f5d1b128e1ep-13, -0x1.25b2f6f085a5ep-13, -0x1.25608510c864cp-13, -0x1.24fecc5216f67p-13, -0x1.248e1bc057203p-13, -0x1.240ec13aae03fp-13, -0x1.2381097a713edp-13, -0x1.22e5401ac32b4p-13, -0x1.223baf9e9f376p-13, -0x1.2184a177e43bfp-13, -0x1.20c05e0d5f05fp-13, -0x1.1fef2cc0c2dbep-13, -0x1.1f1153f4bc227p-13, -0x1.1e27191205p-13, -0x1.1d30c08d81e9fp-13, -0x1.1c2e8ded19084p-13, -0x1.1b20c3ccd375bp-13, -0x1.1a07a3e3ad6efp-13, -0x1.18e36f088187bp-13, -0x1.17b4653610e3fp-13, -0x1.167ac58fc97f3p-13, -0x1.1536ce65a4105p-13, -0x1.13e8bd386e042p-13, -0x1.1290cebd7fbf8p-13, -0x1.112f3ee29c51p-13, -0x1.0fc448d1633eap-13, -0x1.0e5026f2f7787p-13, -0x1.0cd312f2fb283p-13, -0x1.0b4d45c3266dp-13, -0x1.09bef79e2d8d2p-13, -0x1.0828600adb651p-13, -0x1.0689b5de9ca03p-13, -0x1.04e32f40aedf8p-13, -0x1.033501ac92b9ap-13, -0x1.017f61f4776cep-13, -0x1.ff8508875b8bfp-14, -0x1.fbfd384288eb1p-14, -0x1.f867b8e453cc5p-14, -0x1.f4c4eef6b72a9p-14, -0x1.f1153dc7c4299p-14, -0x1.ed59076e5e743p-14, -0x1.e990accd891cdp-14, -0x1.e5bc8d981a2bbp-14, -0x1.e1dd0854a26bbp-14, -0x1.ddf27a60bfb2p-14, -0x1.d9fd3ff4a3633p-14, -0x1.d5fdb42637b2p-14, -0x1.d1f430ec3bdbcp-14, -0x1.cde10f214391fp-14, -0x1.c9c4a6867022dp-14, -0x1.c59f4dc666e11p-14, -0x1.c1715a78271f2p-14, -0x1.bd3b2121470a5p-14, -0x1.b8fcf5390fe7ep-14, -0x1.b4b7292a7be33p-14, -0x1.b06a0e5684ed7p-14, -0x1.ac15f516ca14ep-14, -0x1.a7bb2cbf1bd6p-14, -0x1.a35a03a042c65p-14, -0x1.9ef2c709c9dep-14, -0x1.9a85c34c3985fp-14, -0x1.961343baa950bp-14, -0x1.919b92acf969bp-14, -0x1.8d1ef981d25f4p-14, -0x1.889dc09fdb57fp-14, -0x1.84182f77d1a3cp-14, -0x1.7f8e8c86616efp-14, -0x1.7b011d55adee8p-14, -0x1.7670267ee0efp-14, -0x1.71dbebabb4727p-14, -0x1.6d44af9852c53p-14, -0x1.68aab414cbc07p-14, -0x1.640e3a0624fcbp-14, -0x1.5f6f816829263p-14, -0x1.5acec94ee0d9ap-14, -0x1.562c4fe7dcd84p-14, -0x1.5188527bc0e7ep-14, -0x1.4ce30d6fcd707p-14, -0x1.483cbc46f5fcap-14, -0x1.439599a32dc56p-14, -0x1.3eeddf46eb2fap-14, -0x1.3a45c6164e832p-14, -0x1.359d8618d5532p-14, -0x1.30f5567a30dd5p-14, -0x1.2c4d6d8bcd4fcp-14, -0x1.27a600c5f7f5ap-14, -0x1.22ff44c9636d1p-14, -0x1.1e596d605b28ap-14, -0x1.19b4ad7fd5f98p-14, -0x1.15113748c691bp-14, -0x1.106f3c0961092p-14, -0x1.0bceec3eb312cp-14, -0x1.073077957eadfp-14, -0x1.02940ceb8ad76p-14, -0x1.fbf3b4a2093b9p-15, -0x1.f2c41a13a0b99p-15, -0x1.e999a31d6d283p-15, -0x1.e074a71c6be78p-15, -0x1.d7557bdce18c5p-15, -0x1.ce3c759c7e3c1p-15, -0x1.c529e70ccec62p-15, -0x1.bc1e21559fb05p-15, -0x1.b319741772ff6p-15, -0x1.aa1c2d6eb9465p-15, -0x1.a12699f614459p-15, -0x1.983904c8c975ap-15, -0x1.8f53b784dfe67p-15, -0x1.8676fa4ecf1f2p-15, -0x1.7da313d37f16p-15, -0x1.74d8494ac9247p-15, -0x1.6c16de7a86928p-15, -0x1.635f15b8f3ff9p-15, -0x1.5ab12fefb57b3p-15, -0x1.520d6c9e543abp-15, -0x1.497409dc232fcp-15, -0x1.40e5445c39349p-15, -0x1.3861576ff032ep-15, -0x1.2fe87d092fbp-15, -0x1.277aedbd007d3p-15, -0x1.1f18e0c71c9afp-15, -0x1.16c28c0c61c38p-15, -0x1.0e78241d662f7p-15, -0x1.0639dc392016ap-15, -0x1.fc0fcca0fd2aep-16, -0x1.ebc4e610bc3afp-16, -0x1.db936379bbf66p-16, -0x1.cb7ba108a6ffep-16, -0x1.bb7df8642a5b3p-16, -0x1.ab9ac0b1c7c6ap-16, -0x1.9bd24e9d28aa8p-16, -0x1.8c24f45cc19c4p-16, -0x1.7c9301b827a99p-16, -0x1.6d1cc40e5cfeep-16, -0x1.5dc2865ad2167p-16, -0x1.4e84913bc743dp-16, -0x1.3f632af7d8f56p-16, -0x1.305e9783e54f9p-16, -0x1.2177188a6b5d1p-16, -0x1.12aced704c1c6p-16, -0x1.0400535a51b5ep-16, -0x1.eae30a66e4167p-17, -0x1.ce0177667be88p-17, -0x1.b15c5ac8e3418p-17, -0x1.94f41d5454c3bp-17, -0x1.78c9238b8e74p-17, -0x1.5cdbcdb9b9c33p-17, -0x1.412c78017f644p-17, -0x1.25bb7a664d4edp-17, -0x1.0a8928d7b6981p-17, -0x1.df2ba681c54f3p-18, -0x1.a9c38b25037f3p-18, -0x1.74da8f9bf31p-18, -0x1.40713c284dc88p-18, -0x1.0c88116280bb6p-18, -0x1.b23f1097a9b74p-19, -0x1.4c7024d8821c9p-19, -0x1.cf4867a95fb46p-20, -0x1.07b8068afcfbep-20, -0x1.08c2540cb20c4p-22, 0x1.02993563f6ce8p-21, 0x1.42be52541db91p-20, 0x1.0111bba4bf1cdp-19, 0x1.5fbd852011f3cp-19, 0x1.bd621366db1fep-19, 0x1.0cff80c09a8b2p-18, 0x1.3ac9fbc3b94dbp-18, 0x1.6810553d4f3e6p-18, 0x1.94d26e0642ae9p-18, 0x1.c1102d376cd46p-18, 0x1.ecc980168c11dp-18, 0x1.0bff2cfc5b62fp-17, 0x1.21575a155fb2bp-17, 0x1.366d46f0a1db9p-17, 0x1.4b40f60e4d9f6p-17, 0x1.5fd26cc66c7b3p-17, 0x1.7421b3400d9b1p-17, 0x1.882ed46634421p-17, 0x1.9bf9dddad2b1ap-17, 0x1.af82dfe9fa1ap-17, 0x1.c2c9ed81b6b2p-17, 0x1.d5cf1c25905cp-17, 0x1.e89283e14a2d1p-17, 0x1.fb143f3e951ep-17, 0x1.06aa359daf30cp-16, 0x1.0fa9939e4df22p-16, 0x1.18884a823b4d8p-16, 0x1.21466c53ad2d4p-16, 0x1.29e40c3f7a642p-16, 0x1.32613e90cc31bp-16, 0x1.3abe18ab660ccp-16, 0x1.42fab1062aad3p-16, 0x1.4b171f24afb13p-16, 0x1.53137b949564p-16, 0x1.5aefdfe584b45p-16, 0x1.62ac66a4691afp-16, 0x1.6a492b57e9b9cp-16, 0x1.71c64a79d3edep-16, 0x1.7923e171c68a6p-16, 0x1.80620e90cc4e9p-16, 0x1.8780f10c0385bp-16, 0x1.8e80a8f7591c5p-16, 0x1.956157409b9e6p-16, 0x1.9c231dab3c95cp-16, 0x1.a2c61eca94024p-16, 0x1.a94a7dfd37cbap-16, 0x1.afb05f67e3837p-16, 0x1.b5f7e7f10c5fp-16, 0x1.bc213d3c80b87p-16, 0x1.c22c85a5c34d4p-16, 0x1.c819e83b98bbep-16, 0x1.cde98cbcd71a5p-16, 0x1.d39b9b9194b98p-16, 0x1.d9303dc6cb415p-16, 0x1.dea79d0c5c671p-16, 0x1.e401e3ae65716p-16, 0x1.e93f3c90c6397p-16, 0x1.ee5fd32c33c4dp-16, 0x1.f363d3884722dp-16, 0x1.f84b6a3842339p-16, 0x1.fd16c456e30b3p-16, 0x1.00e307c08ecabp-15, 0x1.032cbce9a6f22p-15, 0x1.056898f23009dp-15, 0x1.0796b36093254p-15, 0x1.09b723f51d11ap-15, }}, 
      {{-0x1.0fb3420b11cffp-7, -0x1.0fb1b7c268d92p-6, -0x1.9787276e2eab5p-6, -0x1.0facc8f5270a6p-5, -0x1.5394c04896e1ep-5, -0x1.977c32ddc5b0fp-5, -0x1.db643f2614b85p-5, -0x1.0fa72726ab18dp-4, -0x1.319df973695fp-4, -0x1.5397625435865p-4, -0x1.75941e15bbc19p-4, -0x1.9794c869cb357p-4, -0x1.b999cd21c7f17p-4, -0x1.dba35b1b11b6cp-4, -0x1.fdb15990f7c38p-4, -0x1.0fe1afefc886dp-3, -0x1.20ec57d321be2p-3, -0x1.31f81892ade3bp-3, -0x1.430438d2baecdp-3, -0x1.540fd1d80212bp-3, -0x1.6519d06e41eb6p-3, -0x1.7620f67aaa418p-3, -0x1.8723dd1c35f0fp-3, -0x1.9820f73d9a029p-3, -0x1.a916947e8ab07p-3, -0x1.ba02e45c62916p-3, -0x1.cae3f9850186ap-3, -0x1.dbb7cd413b25p-3, -0x1.ec7c42e6f4cd8p-3, -0x1.fd2f2b459404fp-3, -0x1.06e72400d3b63p-2, -0x1.0f2ba76b85df5p-2, -0x1.1763f65d3fef3p-2, -0x1.1f8ee46ac6dddp-2, -0x1.27ab43ac73ef4p-2, -0x1.2fb7e61169ee3p-2, -0x1.37b39e9c0a824p-2, -0x1.3f9d42875e392p-2, -0x1.4773aa557a42ep-2, -0x1.4f35b2c7345bbp-2, -0x1.56e23dbda15bp-2, -0x1.5e7833061cd7dp-2, -0x1.65f6811193ea4p-2, -0x1.6d5c1d9809c76p-2, -0x1.74a8062938b51p-2, -0x1.7bd940ab4e6e2p-2, -0x1.82eedbc8c7005p-2, -0x1.89e7ef4e5e324p-2, -0x1.90c39c7a17d8fp-2, -0x1.97810e3c5a3d4p-2, -0x1.9e1f796c0b24dp-2, -0x1.a49e1ceea0109p-2, -0x1.aafc41d505f38p-2, -0x1.b1393b6e3bd74p-2, -0x1.b75467507e197p-2, -0x1.bd4d2d59c11fcp-2, -0x1.c322ffa84dbeep-2, -0x1.c8d55a8c2ad86p-2, -0x1.ce63c47211bfep-2, -0x1.d3cdcdc887c48p-2, -0x1.d91310dfc5524p-2, -0x1.de3331c4f8b92p-2, -0x1.e32dde196d618p-2, -0x1.e802cce62186fp-2, -0x1.ecb1be6c386d8p-2, -0x1.f13a7bf2c2e3fp-2, -0x1.f59cd7923ca32p-2, -0x1.f9d8abfe2491dp-2, -0x1.fdeddc4d014b6p-2, -0x1.00ee29df94468p-1, -0x1.02d202c24588ap-1, -0x1.04a27640e3da2p-1, -0x1.065f858a637b7p-1, -0x1.0809356c856e6p-1, -0x1.099f8e35f5f06p-1, -0x1.0b229b98711d5p-1, -0x1.0c926c8b073c1p-1, -0x1.0def132c89ba8p-1, -0x1.0f38a4a635836p-1, -0x1.106f390ea298ep-1, -0x1.1192eb4d073fdp-1, -0x1.12a3d8fcd401bp-1, -0x1.13a22251b5efdp-1, -0x1.148de9fbfe7f2p-1, -0x1.1567550d7e65ep-1, -0x1.162e8aded1108p-1, -0x1.16e3b4f521b1ep-1, -0x1.1786fee8697d8p-1, -0x1.1818964a2a91ap-1, -0x1.1898aa8ca9c33p-1, -0x1.19076ceaa7f51p-1, -0x1.1965104f9ba2ep-1, -0x1.19b1c9406bf23p-1, -0x1.19edcdc4ac2fap-1, -0x1.1a1955505a236p-1, -0x1.1a3498ae1a2e8p-1, -0x1.1a3fd1e9f802cp-1, -0x1.1a3b3c3ca3275p-1, -0x1.1a2713f72e8e7p-1, -0x1.1a03966f4b87ep-1, -0x1.19d101ec0395dp-1, -0x1.198f9592efd28p-1, -0x1.193f9155ea99p-1, -0x1.18e135e13c1c2p-1, -0x1.1874c48a41788p-1, -0x1.17fa7f3e8c815p-1, -0x1.1772a8737932ap-1, -0x1.16dd83163ba56p-1, -0x1.163b527c62577p-1, -0x1.158c5a54cbe67p-1, -0x1.14d0de9910761p-1, -0x1.1409237f5cfecp-1, -0x1.13356d6cbd392p-1, -0x1.125600e7d6588p-1, -0x1.116b228c0f103p-1, -0x1.107516fd22e8bp-1, -0x1.0f7422db22df7p-1, -0x1.0e688ab6dcb86p-1, -0x1.0d529306ad673p-1, -0x1.0c32801bb7bf1p-1, -0x1.0b0896178244dp-1, -0x1.09d518e1f7f5bp-1, -0x1.08984c1fcab12p-1, -0x1.07527329370d5p-1, -0x1.0603d10127638p-1, -0x1.04aca84cb28f3p-1, -0x1.034d3b4af8935p-1, -0x1.01e5cbcd576ddp-1, -0x1.00769b2ff932cp-1, -0x1.fdffd4a57127bp-2, -0x1.fb03f324b3409p-2, -0x1.f7fa11842d7c5p-2, -0x1.f4e2ae4afa7cap-2, -0x1.f1be46d535b9ep-2, -0x1.ee8d5748f1c45p-2, -0x1.eb505a8bc40ep-2, -0x1.e807ca38e6adfp-2, -0x1.e4b41e97ea64bp-2, -0x1.e155ce93f5ce5p-2, -0x1.dded4fb38d5bdp-2, -0x1.da7b1610e1004p-2, -0x1.d6ff94529dce2p-2, -0x1.d37b3ba53abaep-2, -0x1.cfee7bb4c4ecbp-2, -0x1.cc59c2a71f435p-2, -0x1.c8bd7d16b9f21p-2, -0x1.c51a160db80c9p-2, -0x1.c16ff70184ca6p-2, -0x1.bdbf87cecf438p-2, -0x1.ba092eb5f17ccp-2, -0x1.b64d5057b6e46p-2, -0x1.b28c4fb285c3cp-2, -0x1.aec68e1fe50cp-2, -0x1.aafc6b525a19dp-2, -0x1.a72e4553a0a14p-2, -0x1.a35c788335b9ap-2, -0x1.9f875f953283dp-2, -0x1.9baf5391758a7p-2, -0x1.97d4abd319196p-2, -0x1.93f7be082ff32p-2, -0x1.9018de31c9b6fp-2, -0x1.8c385ea439afcp-2, -0x1.885690079eba8p-2, -0x1.8473c158a9a05p-2, -0x1.80903fe99edp-2, -0x1.7cac576390638p-2, -0x1.78c851c7d3143p-2, -0x1.74e47771a31f6p-2, -0x1.71010f1800955p-2, -0x1.6d1e5dcfb5e0fp-2, -0x1.693ca70d94d87p-2, -0x1.655c2ca8da117p-2, -0x1.617d2eddba6dap-2, -0x1.5d9fec501ed5bp-2, -0x1.59c4a20e7f2d8p-2, -0x1.55eb8b94e943ep-2, -0x1.5214e2d022965p-2, -0x1.4e40e020f44cep-2, -0x1.4a6fba5f8fd77p-2, -0x1.46a1a6df1568bp-2, -0x1.42d6d9713382p-2, -0x1.3f0f8469e70bap-2, -0x1.3b4bd8a34c93ap-2, -0x1.378c058192891p-2, -0x1.33d038f6fb4c5p-2, -0x1.30189f87f68fp-2, -0x1.2c65644f5040ap-2, -0x1.28b6b1026f502p-2, -0x1.250cadf5a8a93p-2, -0x1.216782209e81cp-2, -0x1.1dc75322b4532p-2, -0x1.1a2c454789dcbp-2, -0x1.16967b8b889f9p-2, -0x1.130617a079b51p-2, -0x1.0f7b39f227f61p-2, -0x1.0bf601ab0bcf1p-2, -0x1.08768cb8fdad6p-2, -0x1.04fcf7d1f218dp-2, -0x1.01895e78bdb8ep-2, -0x1.fc37b603b6367p-3, -0x1.f5690d30744fbp-3, -0x1.eea6f28421cdcp-3, -0x1.e7f193cb631abp-3, -0x1.e1491c9cc113fp-3, -0x1.daadb6625fb24p-3, -0x1.d41f8863b12cbp-3, -0x1.cd9eb7cf2f44p-3, -0x1.c72b67c40bc24p-3, -0x1.c0c5b95bec698p-3, -0x1.ba6dcbb49388fp-3, -0x1.b423bbf9923ecp-3, -0x1.ade7a56deca72p-3, -0x1.a7b9a175bc48cp-3, -0x1.a199c79fc6314p-3, -0x1.9b882daf0a07cp-3, -0x1.9584e7a44935p-3, -0x1.8f9007c781badp-3, -0x1.89a99eb158557p-3, -0x1.83d1bb547d557p-3, -0x1.7e086b0701a4bp-3, -0x1.784db98b95cd7p-3, -0x1.72a1b11ac57d4p-3, -0x1.6d045a6c16e1bp-3, -0x1.6775bcbf23dcdp-3, -0x1.61f5dde49633p-3, -0x1.5c84c2471d904p-3, -0x1.57226cf44420dp-3, -0x1.51cedfa53de28p-3, -0x1.4c8a1ac7976abp-3, -0x1.47541d85d5b7fp-3, -0x1.422ce5d002a9ep-3, -0x1.3d1470641aafap-3, -0x1.380ab8d66c636p-3, -0x1.330fb999ddc2ep-3, -0x1.2e236c081703cp-3, -0x1.2945c8699afp-3, -0x1.2476c5fdc23afp-3, -0x1.1fb65b02a1b9fp-3, -0x1.1b047cbcd1d3dp-3, -0x1.16611f7f261b4p-3, -0x1.11cc36b23ff78p-3, -0x1.0d45b4dc0ed41p-3, -0x1.08cd8ba7350c2p-3, -0x1.0463abea4eedcp-3, -0x1.000805af21fd6p-3, -0x1.f775107363aaep-4, -0x1.eef6441e6c7a9p-4, -0x1.e69381f9f846dp-4, -0x1.de4ca43e434c4p-4, -0x1.d62183ce89d58p-4, -0x1.ce11f8460df36p-4, -0x1.c61dd805010fp-4, -0x1.be44f83d21d6dp-4, -0x1.b6872cfe36fc4p-4, -0x1.aee4494241d0dp-4, -0x1.a75c1ef978973p-4, -0x1.9fee7f161f682p-4, -0x1.989b39980bf18p-4, -0x1.91621d9806603p-4, -0x1.8a42f952ec5d9p-4, -0x1.833d9a349ca29p-4, -0x1.7c51cce2adf0cp-4, -0x1.757f5d46e9e18p-4, -0x1.6ec6169999704p-4, -0x1.6825c36b944cap-4, -0x1.619e2db01e631p-4, -0x1.5b2f1ec68ad0cp-4, -0x1.54d85f83b173dp-4, -0x1.4e99b83b268f9p-4, -0x1.4872f0c8434a5p-4, -0x1.4263d096f8dddp-4, -0x1.3c6c1eac6e1f7p-4, -0x1.368ba1af6b997p-4, -0x1.30c21ff092dd5p-4, -0x1.2b0f5f7264941p-4, -0x1.257325f1127bdp-4, -0x1.1fed38ea218bap-4, -0x1.1a7d5da3da4e7p-4, -0x1.1523593487a11p-4, -0x1.0fdef08985f18p-4, -0x1.0aafe86e22a39p-4, -0x1.059605924b9c4p-4, -0x1.00910c9112ffp-4, -0x1.f74183edfe0aap-5, -0x1.ed89d49068612p-5, -0x1.e3fa940cd2f3fp-5, -0x1.da934b6d71986p-5, -0x1.d15383ce7c756p-5, -0x1.c83ac6691b0fap-5, -0x1.bf489c9df97bdp-5, -0x1.b67c8fff8cfe6p-5, -0x1.add62a5c02d21p-5, -0x1.a554f5c6dc3fp-5, -0x1.9cf87ca23b881p-5, -0x1.94c049a7e74fp-5, -0x1.8cabe7f1f4f43p-5, -0x1.84bae30330d14p-5, -0x1.7cecc6cf390b4p-5, -0x1.75411fc2455ccp-5, -0x1.6db77ac8b4d0ep-5, -0x1.664f6556492abp-5, -0x1.5f086d6d1f17fp-5, -0x1.57e221a464f2cp-5, -0x1.50dc112ec7465p-5, -0x1.49f5cbe0a01abp-5, -0x1.432ee235e41b4p-5, -0x1.3c86e557cd3dap-5, -0x1.35fd67224e2b2p-5, -0x1.2f91fa2939aa9p-5, -0x1.294431bd40863p-5, -0x1.2313a1f0a5e78p-5, -0x1.1cffdf9bc0afep-5, -0x1.17088061442a7p-5, -0x1.112d1ab24da2ap-5, -0x1.0b6d45d24389p-5, -0x1.05c899da74e8fp-5, -0x1.003eafbd900e3p-5, -0x1.f59e4295c054bp-6, -0x1.eaf31262b7aa9p-6, -0x1.e07b0605054a1p-6, -0x1.d635566a1b79bp-6, -0x1.cc213e4ed9facp-6, -0x1.c23dfa444915ap-6, -0x1.b88ac8b3d1c25p-6, -0x1.af06e9e35356cp-6, -0x1.a5b19ff8bca71p-6, -0x1.9c8a2efd6d8eep-6, -0x1.938fdce142a09p-6, -0x1.8ac1f17d4bafbp-6, -0x1.821fb6964c2bbp-6, -0x1.79a877deda5f7p-6, -0x1.715b82f94c059p-6, -0x1.693827795d338p-6, -0x1.613db6e57e995p-6, -0x1.596b84b80364p-6, -0x1.51c0e6600102fp-6, -0x1.4a3d3341e4568p-6, -0x1.42dfc4b7eab8fp-6, -0x1.3ba7f6124749cp-6, -0x1.3495249724565p-6, -0x1.2da6af825b92dp-6, -0x1.26dbf805122e3p-6, -0x1.203461450d1ebp-6, -0x1.19af505be2f3dp-6, -0x1.134c2c55f779p-6, -0x1.0d0a5e315645dp-6, -0x1.06e950dc4b27ep-6, -0x1.00e87133eb12bp-6, -0x1.f60e5c04c3e47p-7, -0x1.ea89effa4478fp-7, -0x1.df428385de6cap-7, -0x1.d436ffb377307p-7, -0x1.c9665158e35bdp-7, -0x1.becf691114683p-7, -0x1.b4713b373420dp-7, -0x1.aa4abfe15abd9p-7, -0x1.a05af2db17f4ep-7, -0x1.96a0d39fc2599p-7, -0x1.8d1b6554a7c26p-7, -0x1.83c9aec2e39f7p-7, -0x1.7aaaba512032ep-7, -0x1.71bd95fd2c28fp-7, -0x1.690153554700ap-7, -0x1.60750771639b3p-7, -0x1.5817caec3f29ap-7, -0x1.4fe8b9dc3a2e4p-7, -0x1.47e6f3cc2d454p-7, -0x1.40119bb40240ep-7, -0x1.3867d7f13dca8p-7, -0x1.30e8d23f715f1p-7, -0x1.2993b7b07cbd2p-7, -0x1.2267b8a4c675cp-7, -0x1.1b6408c34bac5p-7, -0x1.1487def1c1b6ap-7, -0x1.0dd2754c5eca5p-7, -0x1.0743091ddca6ap-7, -0x1.00d8dad727807p-7, -0x1.f5265c0e52b94p-8, -0x1.e8e292a4efb86p-8, -0x1.dce4ecd5e0e18p-8, -0x1.d12c040e9c779p-8, -0x1.c5b677b566ce9p-8, -0x1.ba82ed185d1b4p-8, -0x1.af900f5c707fbp-8, -0x1.a4dc8f6c42f9ap-8, -0x1.9a6723e70d0a8p-8, -0x1.902e890f6811fp-8, -0x1.863180ba37e6ep-8, -0x1.7c6ed23d5f3dap-8, -0x1.72e54a5ea8204p-8, -0x1.6993bb426cca9p-8, -0x1.6078fc5a88947p-8, -0x1.5793ea55167ap-8, -0x1.4ee3670b6205fp-8, -0x1.46665970b23c3p-8, -0x1.3e1bad814536bp-8, -0x1.360254314788ep-8, -0x1.2e19435bd4ed9p-8, -0x1.265f75b2199b5p-8, -0x1.1ed3eaaa5b1b8p-8, -0x1.1775a66f58639p-8, -0x1.1043b1cf65408p-8, -0x1.093d1a2be01bdp-8, -0x1.0260f168b0339p-8, -0x1.f75c9bb76b7c7p-9, -0x1.ea489478dbb45p-9, -0x1.dd840b2769355p-9, -0x1.d10d465737d2dp-9, -0x1.c4e294fea0f5ep-9, -0x1.b9024e563e432p-9, -0x1.ad6ad1b953642p-9, -0x1.a21a86862f5f5p-9, -0x1.970fdbff150bp-9, -0x1.8c49492b24115p-9, -0x1.81c54cb79ed62p-9, -0x1.77826cd9774c8p-9, -0x1.6d7f372efbe21p-9, -0x1.63ba40a1edb01p-9, -0x1.5a322549cd47cp-9, -0x1.50e5884e55a8p-9, -0x1.47d313ca730c6p-9, -0x1.3ef978af419ddp-9, -0x1.36576ea78c7dbp-9, -0x1.2debb3fb5a533p-9, -0x1.25b50d7414a92p-9, -0x1.1db2464090e4ap-9, -0x1.15e22fd9ddb4ep-9, -0x1.0e43a1e7d7167p-9, -0x1.06d57a268620bp-9, -0x1.ff2d3896c0592p-10, -0x1.f10be3d65b7a6p-10, -0x1.e344d4bfe993ap-10, -0x1.d5d5f55eb6ffep-10, -0x1.c8bd3ae2aaa9cp-10, -0x1.bbf8a56df9209p-10, -0x1.af863fe3daa2cp-10, -0x1.a3641fb76ad03p-10, -0x1.979064bbc15d5p-10, -0x1.8c0938f3af92fp-10, -0x1.80ccd0634dad6p-10, -0x1.75d968e104806p-10, -0x1.6b2d49e7fe44dp-10, -0x1.60c6c46ad8b39p-10, -0x1.56a432a6ef1f5p-10, -0x1.4cc3f7f866365p-10, -0x1.432480ae9ad85p-10, -0x1.39c441e15ef6ap-10, -0x1.30a1b946e3d78p-10, -0x1.27bb6d09cf229p-10, -0x1.1f0feba04b005p-10, -0x1.169dcba3b3da5p-10, -0x1.0e63aba867e1bp-10, -0x1.06603216d8981p-10, -0x1.fd241a092879dp-11, -0x1.edefe41c5feb9p-11, -0x1.df213c63ac3d5p-11, -0x1.d0b5ab543c053p-11, -0x1.c2aac79372c75p-11, -0x1.b4fe35af4b7b4p-11, -0x1.a7ada7d7392b6p-11, -0x1.9ab6dd97522bep-11, -0x1.8e17a3937bc5dp-11, -0x1.81cdd3442b347p-11, -0x1.75d752b424a36p-11, -0x1.6a32143f7894dp-11, -0x1.5edc165325a8dp-11, -0x1.53d3632e24421p-11, -0x1.491610a3958cbp-11, -0x1.3ea23fdd614eep-11, -0x1.34761d20ba56bp-11, -0x1.2a8fdf92988c3p-11, -0x1.20edc8fe3b2dfp-11, -0x1.178e259bf930ap-11, -0x1.0e6f4bd95280ap-11, -0x1.058f9c21c1573p-11, -0x1.f9db015258be5p-12, -0x1.e90eda6bf7b25p-12, -0x1.d8b7bddb522a9p-12, -0x1.c8d2b8423ff9ap-12, -0x1.b95ce83485bb7p-12, -0x1.aa537dd5d260ep-12, -0x1.9bb3ba77c13cbp-12, -0x1.8d7af03b7f68p-12, -0x1.7fa681b334ce3p-12, -0x1.7233e18686c11p-12, -0x1.65209218c08a6p-12, -0x1.586a252ff0884p-12, -0x1.4c0e3b9dcfc1cp-12, -0x1.400a84eb4bab3p-12, -0x1.345cbf0462c87p-12, -0x1.2902b5e5f85cdp-12, -0x1.1dfa434d9ce77p-12, -0x1.13414e6b0684fp-12, -0x1.08d5cb917cb5p-12, -0x1.fd6b77da518aap-13, -0x1.e9be5a702a586p-13, -0x1.d6a072e26be7ep-13, -0x1.c40e0d29eab87p-13, -0x1.b2038cae1e32ap-13, -0x1.a07d6bbb80ffbp-13, -0x1.8f783afc5977fp-13, -0x1.7ef0a0f5fbc8fp-13, -0x1.6ee3598628076p-13, -0x1.5f4d35655e454p-13, -0x1.502b19a91a55ep-13, -0x1.4179ff4b4e8b3p-13, -0x1.3336f2b3af38dp-13, -0x1.255f1341103a5p-13, -0x1.17ef92d898c57p-13, -0x1.0ae5b575cbcdap-13, -0x1.fc7da17906cfp-14, -0x1.e3f0971abc598p-14, -0x1.cc1f3b3aae8a8p-14, -0x1.b5049e1bed52fp-14, -0x1.9e9bf01403e87p-14, -0x1.88e080c2add92p-14, -0x1.73cdbe538ab55p-14, -0x1.5f5f34c1a2501p-14, -0x1.4b908d1c0095bp-14, -0x1.385d8cd41ca05p-14, -0x1.25c2150b62f16p-14, -0x1.13ba21e658b6cp-14, -0x1.0241c9e4b6567p-14, -0x1.e2aa7a7447da5p-15, -0x1.c1e18a5db6c1fp-15, -0x1.a221870129b2fp-15, -0x1.8363638e0240fp-15, -0x1.65a041bb3aeecp-15, -0x1.48d170a09273bp-15, -0x1.2cf06b92b49e9p-15, -0x1.11f6d909eedb4p-15, -0x1.efbd1321c9ebp-16, -0x1.bd42ed6b9361cp-16, -0x1.8c738400d70ep-16, -0x1.5d4367e798f54p-16, -0x1.2fa7761dec8f8p-16, -0x1.0394d5b98f5cbp-16, -0x1.b201ebf2751b7p-17, -0x1.5fc318fb7364dp-17, -0x1.105926ecde54bp-17, -0x1.87611f9eb9926p-18, -0x1.e6d93faa408b5p-19, -0x1.92bf133d734ebp-20, 0x1.27cc1e5769b9bp-21, 0x1.5364b6c8e42ffp-19, 0x1.299cf8acc3ddcp-18, 0x1.a4daad9bde9ccp-18, 0x1.0dc5f6af8354bp-17, 0x1.46e8290b46eddp-17, 0x1.7de3513fe7a92p-17, 0x1.b2c66bb8722eap-17, 0x1.e5a0109697f1bp-17, 0x1.0b3f3b2a07dd2p-16, 0x1.22b7ba253e31dp-16, 0x1.3940429b33036p-16, 0x1.4edf64ce3e5e1p-16, 0x1.639b8513405a7p-16, 0x1.777adcfc2d002p-16, 0x1.8a837c763efe3p-16, 0x1.9cbb4ae252798p-16, 0x1.ae2808270e962p-16, 0x1.becf4dbdbc653p-16, 0x1.ceb68fb2d98d4p-16, 0x1.dde31da72067ap-16, 0x1.ec5a23c11fc0dp-16, 0x1.fa20aba463e61p-16, 0x1.039dceab8cb28p-15, 0x1.09d7e0160d8c1p-15, 0x1.0fc0ddce3b0cep-15, 0x1.155b0c12acde4p-15, 0x1.1aa8a00c24d5p-15, 0x1.1fabc0359effp-15, 0x1.246684bfd08e5p-15, 0x1.28daf7f30d7adp-15, 0x1.2d0b168ee0b53p-15, 0x1.30f8d0272d7d3p-15, 0x1.34a6077d32276p-15, 0x1.381492d976278p-15, 0x1.3b463c5fa8b4fp-15, 0x1.3e3cc262c891ep-15, 0x1.40f9d7b6b42c8p-15, 0x1.437f23fde9bb1p-15, 0x1.45ce43f6a988ep-15, 0x1.47e8c9c70a0d2p-15, 0x1.49d03d44a9587p-15, 0x1.4b861c3c4ab23p-15, 0x1.4d0bdab68167ap-15, 0x1.4e62e33accc52p-15, 0x1.4f8c97113797ap-15, 0x1.508a4e81e442p-15, 0x1.515d5911e9c08p-15, 0x1.5206fdc0712a1p-15, 0x1.52887b4118f4cp-15, 0x1.52e30834f04c8p-15, 0x1.5317d361685b4p-15, 0x1.532803e6fa44bp-15, 0x1.5314b974af178p-15, 0x1.52df0c7b788c8p-15, 0x1.52880e5fc3171p-15, 0x1.5210c9a940e99p-15, 0x1.517a42317e692p-15, 0x1.50c5755287ec4p-15, 0x1.4ff35a1221179p-15, 0x1.4f04e14d0d85fp-15, 0x1.4dfaf5e134e2ep-15, 0x1.4cd67cd6164fdp-15, 0x1.4b9855844d476p-15, 0x1.4a4159bbc039fp-15, 0x1.48d25de91bbe3p-15, 0x1.474c313a5cb92p-15, 0x1.45af9dc14f069p-15, 0x1.43fd6896c77b5p-15, 0x1.423651fb6b003p-15, 0x1.405b1577e1f5ep-15, 0x1.3e6c69fce33e3p-15, 0x1.3c6b02013d23bp-15, 0x1.3a578b9f84e7dp-15, 0x1.3832b0b33caf5p-15, 0x1.35fd16f43e476p-15, 0x1.33b76012b4975p-15, 0x1.316229d11b3a1p-15, 0x1.2efe0e1e0c035p-15, 0x1.2c8ba32d09784p-15, 0x1.2a0b7b8ed3d4ap-15, 0x1.277e26497e4ap-15, 0x1.24e42eee70763p-15, 0x1.223e1db10eaap-15, 0x1.1f8c777c5736ep-15, 0x1.1ccfbe07dd3e8p-15, 0x1.1a086feba0c2bp-15, 0x1.173708b4f1adfp-15, 0x1.145c00f899b3ap-15, 0x1.1177ce6610715p-15, 0x1.0e8ae3d9cac78p-15, 0x1.0b95b16e30adep-15, 0x1.0898a48d32479p-15, 0x1.05942800ea7d7p-15, 0x1.0288a403c3db6p-15, 0x1.feecfc9fbc39ap-16, 0x1.f8bc345db3601p-16, 0x1.f27fb1103675fp-16, 0x1.ec382fdf2489ap-16, 0x1.e5e66966f49cbp-16, 0x1.df8b11d435aaap-16, 0x1.d926d8fde3a5cp-16, 0x1.d2ba6a7eec352p-16, 0x1.cc466dcf642edp-16, 0x1.c5cb865c6eb99p-16, 0x1.bf4a539fc3df7p-16, 0x1.b8c37137578e1p-16, 0x1.b23776facd189p-16, 0x1.aba6f911f1047p-16, 0x1.a51288089ec9cp-16, 0x1.9e7ab0e40e24bp-16, 0x1.97dffd365f7c1p-16, 0x1.9142f33236b0ep-16, 0x1.8aa415bd3e58dp-16, 0x1.8403e482d6edp-16, 0x1.7d62dc05a89fep-16, 0x1.76c175b11e23fp-16, 0x1.702027e9f0efdp-16, 0x1.697f661eb1e82p-16, 0x1.62dfa0d7fa2p-16, 0x1.5c4145c81593p-16, 0x1.55a4bfd97d113p-16, 0x1.4f0a773dcfb5dp-16, 0x1.4872d17c3e69fp-16, 0x1.41de318007fa5p-16, 0x1.3b4cf7a4f5904p-16, 0x1.34bf81c582791p-16, 0x1.2e362b47c6debp-16, 0x1.27b14d29b9e3bp-16, 0x1.21313e0d37efep-16, 0x1.1ab65244991bp-16, 0x1.1440dbdde2e78p-16, 0x1.0dd12aae37f5ep-16, 0x1.07678c5d366ccp-16, 0x1.01044c6f45477p-16, 0x1.f54f68a103399p-17, 0x1.e8a416bdfb091p-17, 0x1.dc072dea00dbap-17, 0x1.cf7934e512743p-17, 0x1.c2faae8e97206p-17, 0x1.b68c19f6b2251p-17, 0x1.aa2df271de469p-17, 0x1.9de0afaabd96bp-17, 0x1.91a4c5b2af16ap-17, 0x1.857aa51359588p-17, 0x1.7962badf10925p-17, 0x1.6d5d70c238e4dp-17, 0x1.616b2d12201e1p-17, 0x1.558c52dd0901ap-17, 0x1.49c141fa174afp-17, 0x1.3e0a57180c9d5p-17, 0x1.3267ebcaccdcdp-17, 0x1.26da569aa9814p-17, 0x1.1b61eb12f503dp-17, 0x1.0ffef9cef5cf6p-17, 0x1.04b1d0876997ap-17, 0x1.f2f574404e323p-18, 0x1.dcb3fd697e114p-18, 0x1.c69fc74c61b21p-18, 0x1.b0b9574b77cf8p-18, 0x1.9b012d85140dcp-18, 0x1.8577c4eba0e72p-18, 0x1.701d935bdb5b4p-18, 0x1.5af309b372ec8p-18, 0x1.45f893e9e7314p-18, 0x1.312e99259ca75p-18, 0x1.1c957bd1a88dep-18, 0x1.082d99b37d55p-18, 0x1.e7ee980101b65p-19, 0x1.bfe5cee5a6dc5p-19, 0x1.984178bb40178p-19, 0x1.71022d823ec6bp-19, 0x1.4a287cc149a7ep-19, 0x1.23b4eda8d7441p-19, 0x1.fb4ffe7002bf2p-20, 0x1.b00450c84fadap-20, 0x1.6587b07b2aba9p-20, 0x1.1bdaec2d2c8b5p-20, 0x1.a5fd8691a370ep-21, 0x1.15e7cc90fed37p-21, 0x1.0eebdbef71f04p-22, -0x1.55bb988925c1dp-27, -0x1.20fb7bde8ceaep-22, -0x1.19fd91d5bdc25p-21, -0x1.a1d59675a56f5p-21, -0x1.1402896c7c58dp-20, -0x1.5645b42072a73p-20, -0x1.97b408d439bf5p-20, -0x1.d84d51a11077ap-20, -0x1.0c08b27ec313dp-19, -0x1.2b8012c0de933p-19, -0x1.4a8cc0d6569e9p-19, -0x1.692eb9d29653bp-19, -0x1.87660081e8b5ep-19, -0x1.a5329d4b9e899p-19, -0x1.c2949e14edcfap-19, -0x1.df8c1625af22ep-19, -0x1.fc191e0b13b1bp-19, -0x1.0c1de9be8124fp-18, -0x1.19fa2ca2394e3p-18, -0x1.27a16b8fc3283p-18, -0x1.3513bcd3c935dp-18, -0x1.4251391b24d2p-18, -0x1.4f59fb66285a5p-18, -0x1.5c2e20fc84217p-18, -0x1.68cdc9601338ep-18, -0x1.7539164105901p-18, -0x1.81702b71665cap-18, -0x1.8d732ed8dc71fp-18, -0x1.99424867bac6cp-18, -0x1.a4dda20c25ea5p-18, -0x1.b04567a682bd6p-18, -0x1.bb79c6fe272bdp-18, -0x1.c67aefb67182ap-18, -0x1.d149134224799p-18, -0x1.dbe464d8bccb3p-18, -0x1.e64d196c36ebep-18, -0x1.f083679dfdbbdp-18, -0x1.fa8787b38bb09p-18, -0x1.022cd9c62c4e1p-17, -0x1.06fd134bd77a9p-17, -0x1.0bb48ee51295dp-17, -0x1.10536bc983dc7p-17, -0x1.14d9c9e8f24e4p-17, -0x1.1947c9e6a75c9p-17, -0x1.1d9d8d14bbfbbp-17, -0x1.21db356f2a309p-17, -0x1.2600e596b0ee2p-17, -0x1.2a0ec0cc193a6p-17, -0x1.2e04eaec3b498p-17, -0x1.31e3886a67239p-17, -0x1.35aabe4cc037ep-17, -0x1.395ab22738249p-17, -0x1.3cf38a173e373p-17, -0x1.40756cbf4b542p-17, -0x1.43e08142c917ep-17, -0x1.4734ef4169498p-17, -0x1.4a72ded2cf721p-17, -0x1.4d9a78833e708p-17, -0x1.50abe54f00ed1p-17, -0x1.53a74e9e71a06p-17, -0x1.568cde41bf4a4p-17, -0x1.595cbe6d50573p-17, -0x1.5c1719b5c35ebp-17, -0x1.5ebc1b0c05898p-17, -0x1.614bedb98b8e2p-17, -0x1.63c6bd5ceb3cbp-17, -0x1.662cb5e5ddb76p-17, -0x1.687e0391d78d9p-17, -0x1.6abad2e7db659p-17, -0x1.6ce350b55fe9dp-17, -0x1.6ef7aa0b1ea6cp-17, -0x1.70f80c3962a56p-17, -0x1.72e4a4ccaa9c7p-17, -0x1.74bda18a67f3ep-17, -0x1.7683306db3b2p-17, -0x1.78357fa428e0ep-17, -0x1.79d4bd8a6146fp-17, -0x1.7b6118a95b973p-17, -0x1.7cdabfb2ff5e4p-17, -0x1.7e41e17f8614bp-17, -0x1.7f96ad09edc0bp-17, -0x1.80d9516d79175p-17, -0x1.8209fde26ff0ep-17, -0x1.8328e1bb9271ap-17, -0x1.84362c633e5f7p-17, -0x1.85320d5890256p-17, -0x1.861cb42d02a8fp-17, -0x1.86f650818918cp-17, -0x1.87bf1203c13aep-17, -0x1.8877286bdb511p-17, -0x1.891ec379a6efp-17, -0x1.89b612f24138ep-17, -0x1.8a3d469e03fc8p-17, -0x1.8ab48e458870fp-17, -0x1.8b1c19af6f65ep-17, -0x1.8b74189e2f374p-17, -0x1.8bbcbace17133p-17, -0x1.8bf62ff2cda9fp-17, -0x1.8c20a7b4c003ap-17, -0x1.8c3c51af6e45ep-17, -0x1.8c495d6fa2db7p-17, -0x1.8c47fa70fe1cbp-17, -0x1.8c38581bb2f7ap-17, -0x1.8c1aa5c3131eep-17, -0x1.8bef12a396a25p-17, -0x1.8bb5cde05ef1ep-17, -0x1.8b6f0681b4a33p-17, -0x1.8b1aeb73b4c59p-17, -0x1.8ab9ab83ef46ep-17, -0x1.8a4b755f9ca9fp-17, -0x1.89d0779214979p-17, -0x1.8948e083728d2p-17, -0x1.88b4de76aa6dbp-17, -0x1.88149f87901b1p-17, -0x1.876851a9faf67p-17, -0x1.86b022a7d4ae2p-17, -0x1.85ec401fc520bp-17, -0x1.851cd783a1b94p-17, -0x1.8442161731d2ap-17, -0x1.835c28ee99c0bp-17, -0x1.826b3ced24f75p-17, -0x1.816f7ec3bc9b4p-17, -0x1.80691aeff564fp-17, -0x1.7f583dbaa5e5ep-17, -0x1.7e3d1336770a7p-17, -0x1.7d17c73f3e5ep-17, -0x1.7be885786350cp-17, -0x1.7aaf794baacf9p-17, -0x1.796ccde87797bp-17, -0x1.7820ae430073cp-17, -0x1.76cb45129b90bp-17, -0x1.756cbcd0e9333p-17, -0x1.74053fb8fb8b9p-17, -0x1.7294f7c6aca75p-17, -0x1.711c0eb58b2edp-17, -0x1.6f9aadff63b2p-17, -0x1.6e10fedc6ec66p-17, -0x1.6c7f2a41ba9f6p-17, -0x1.6ae558e0997ffp-17, -0x1.6943b325a6f7ep-17, -0x1.679a6138c502p-17, -0x1.65e98afb98587p-17, -0x1.6431580939318p-17, -0x1.6271efb545756p-17, -0x1.60ab790bcf72cp-17, -0x1.5ede1ad050601p-17, -0x1.5d09fb7cf7189p-17, -0x1.5b2f4142294a1p-17, -0x1.594e120665312p-17, -0x1.5766936573839p-17, -0x1.5578eaafde87bp-17, -0x1.53853cea63676p-17, -0x1.518baecdc8658p-17, -0x1.4f8c64c669929p-17, -0x1.4d8782f37e074p-17, -0x1.4b7d2d2721423p-17, -0x1.496d86e5c85fap-17, -0x1.4758b365bf631p-17, -0x1.453ed58f270dap-17, -0x1.43200ffbf9316p-17, -0x1.40fc84f71b9eep-17, -0x1.3ed4567c1c69cp-17, -0x1.3ca7a63768ac2p-17, -0x1.3a7695863732p-17, -0x1.384145757ddcfp-17, -0x1.3607d6c28d239p-17, -0x1.33ca69db07476p-17, -0x1.31891edc1117ep-17, -0x1.2f44159296d58p-17, -0x1.2cfb6d7b246b4p-17, -0x1.2aaf45c1ba0d9p-17, -0x1.285fbd4209305p-17, -0x1.260cf286f8719p-17, -0x1.23b703caebf21p-17, -0x1.215e0ef79cb14p-17, -0x1.1f0231a6373f9p-17, }}, 
      {{-0x1.f3d7dbe60a3c2p-1, -0x1.f3813a12be6c6p-1, -0x1.f2eb438cf141fp-1, -0x1.f20f409185a65p-1, -0x1.f0e616cd45a9bp-1, -0x1.ef6966378f23dp-1, -0x1.ed944c510bf23p-1, -0x1.eb63d1a002255p-1, -0x1.e8d7107fd936ap-1, -0x1.e5ef277708df7p-1, -0x1.e2af0832f804ep-1, -0x1.df1b316ea31c3p-1, -0x1.db395ec47492bp-1, -0x1.d7103667cbe0cp-1, -0x1.d2a6fa3f62a08p-1, -0x1.ce053fe077309p-1, -0x1.c932b16d178a4p-1, -0x1.c436d840a0bd8p-1, -0x1.bf18f18f3398dp-1, -0x1.b9dfcc9555f0cp-1, -0x1.b491b19d3ab72p-1, -0x1.af3450eb82ce2p-1, -0x1.a9ccb88c4171cp-1, -0x1.a45f4ff375132p-1, -0x1.9eefd86bffa66p-1, -0x1.998171611b9a9p-1, -0x1.94169fa4b69b7p-1, -0x1.8eb156ee6e625p-1, -0x1.895304e92f297p-1, -0x1.83fc9d3f30eacp-1, -0x1.7eaea62c76af8p-1, -0x1.796945364df2bp-1, -0x1.742c4bba523c2p-1, -0x1.6ef7431913914p-1, -0x1.69c9784fa36f7p-1, -0x1.64a206e01d9f9p-1, -0x1.5f7fe2f3f746dp-1, -0x1.5a61e2ab99073p-1, -0x1.5546c695d351bp-1, -0x1.502d414f49826p-1, -0x1.4b13fe4e306edp-1, -0x1.45f9a7e1f7e6dp-1, -0x1.40dcec70b7746p-1, -0x1.3bbc82fdd5d44p-1, -0x1.36972f064fe7fp-1, -0x1.316bc3bf8dc22p-1, -0x1.2c3926c5d05b5p-1, -0x1.26fe524721122p-1, -0x1.21ba56b74d88ap-1, -0x1.1c6c5c18f610cp-1, -0x1.1713a2e71bcbcp-1, -0x1.11af84a9e3214p-1, -0x1.0c3f74409108ap-1, -0x1.06c2fdea03eeap-1, -0x1.0139c71432b4p-1, -0x1.f7471bf4fe4a9p-2, -0x1.ec00523404539p-2, -0x1.e09f0d0484feap-2, -0x1.d523561060d5fp-2, -0x1.c98d62c158b6ep-2, -0x1.bddd924e95613p-2, -0x1.b2146bab20ad2p-2, -0x1.a6329b5ccfb7p-2, -0x1.9a38f14241d89p-2, -0x1.8e285e4ddc0cp-2, -0x1.8201f23ae5ef5p-2, -0x1.75c6d9414f4b2p-2, -0x1.697859cc12fb5p-2, -0x1.5d17d23597e1bp-2, -0x1.50a6b68d061bap-2, -0x1.44268e670bff1p-2, -0x1.3798f2bc3045bp-2, -0x1.2aff8bd677b74p-2, -0x1.1e5c0f4fd1853p-2, -0x1.11b03e22787cap-2, -0x1.04fde2cc35accp-2, -0x1.f08d9f0a7d151p-3, -0x1.d719b91656f3p-3, -0x1.bda3cd00cc538p-3, -0x1.a42f99c0794eap-3, -0x1.8ac0e10f48335p-3, -0x1.715b64a54d9a2p-3, -0x1.5802e39c8b578p-3, -0x1.3ebb17fd3523ap-3, -0x1.2587b471be428p-3, -0x1.0c6c6221f068cp-3, -0x1.e6d97d684e582p-4, -0x1.b518b4e76e21p-4, -0x1.839d6d36cd182p-4, -0x1.526e8785dcf69p-4, -0x1.2192c0dc889f2p-4, -0x1.e2215ef61b6eep-5, -0x1.81dd80f13c3e5p-5, -0x1.22666b3c90133p-5, -0x1.87908deea041fp-6, -0x1.983b7d96fa1dap-7, -0x1.28b3de52e35c6p-10, 0x1.4a21cdabd943p-7, 0x1.5aa16cd35dce5p-6, 0x1.0708f04de781cp-5, 0x1.5fa7507329459p-5, 0x1.b72270846c4bfp-5, 0x1.06b8aab3ca9f1p-4, 0x1.3145b7f048046p-4, 0x1.5b344e782e828p-4, 0x1.848092fa23518p-4, 0x1.ad26e044a3f33p-4, 0x1.d523c71bc9834p-4, 0x1.fc740df4f582dp-4, 0x1.118a584d2690dp-3, 0x1.24816fdbd91b1p-3, 0x1.371e002977433p-3, 0x1.495ed59857aap-3, 0x1.5b42d613e937ep-3, 0x1.6cc900b24bd8fp-3, 0x1.7df06d4e77fd3p-3, 0x1.8eb84c1bbf2bfp-3, 0x1.9f1fe5332ee3dp-3, 0x1.af26981b7f88cp-3, 0x1.becbdb4c1fa44p-3, 0x1.ce0f3babe8321p-3, 0x1.dcf05c0bfc2a8p-3, 0x1.eb6ef49f56578p-3, 0x1.f98ad26f78b1bp-3, 0x1.03a1eb67559b6p-2, 0x1.0a4cfb641d68ap-2, 0x1.10c69d478975ep-2, 0x1.170ede758e7f1p-2, 0x1.1d25d552d558bp-2, 0x1.230ba0faa68ffp-2, 0x1.28c068f4b1f95p-2, 0x1.2e445ceacec63p-2, 0x1.3397b45ee4104p-2, 0x1.38baae61077d5p-2, 0x1.3dad9145ff491p-2, 0x1.4270aa5e37f94p-2, 0x1.47044dad4a54p-2, 0x1.4b68d5a22aa8dp-2, 0x1.4f9ea2d01223ap-2, 0x1.53a61ba83ac9ep-2, 0x1.577fac347ae3dp-2, 0x1.5b2bc5d2d39bbp-2, 0x1.5eaadef201572p-2, 0x1.61fd72cf1a1a3p-2, 0x1.6524013444f3dp-2, 0x1.681f0e3898f6bp-2, 0x1.6aef22012b38ap-2, 0x1.6d94c88352009p-2, 0x1.701091482a552p-2, 0x1.72630f315f0a8p-2, 0x1.748cd83f41957p-2, 0x1.768e855828c33p-2, 0x1.7868b2112df83p-2, 0x1.7a1bfc78391f2p-2, 0x1.7ba904df687b2p-2, 0x1.7d106da9d3ebbp-2, 0x1.7e52db19ab328p-2, 0x1.7f70f31faf3a9p-2, 0x1.806b5d2c08938p-2, 0x1.8142c200780dep-2, 0x1.81f7cb83e3a9ep-2, 0x1.828b24973a229p-2, 0x1.82fd78ebac32bp-2, 0x1.834f74da3b94ap-2, 0x1.8381c53c9b564p-2, 0x1.839517475d8c7p-2, 0x1.838a18656bc21p-2, 0x1.83617614c62d6p-2, 0x1.831bddc4885ap-2, 0x1.82b9fcb42929fp-2, 0x1.823c7fd3f8d12p-2, 0x1.81a413a6d23d8p-2, 0x1.80f16425005bdp-2, 0x1.80251ca04d1c1p-2, 0x1.7f3fe7a939c4ep-2, 0x1.7e426ef558aabp-2, 0x1.7d2d5b46c3753p-2, 0x1.7c015454a98c1p-2, 0x1.7abf00b4f164ep-2, 0x1.796705c6e4564p-2, 0x1.77fa079ee2bdcp-2, 0x1.7678a8f31a501p-2, 0x1.74e38b0937199p-2, 0x1.733b4da50a585p-2, 0x1.71808ef8233b2p-2, 0x1.6fb3eb924fd7bp-2, 0x1.6dd5fe5306c9p-2, 0x1.6be7605bad96p-2, 0x1.69e8a902b7eadp-2, 0x1.67da6dc79f349p-2, 0x1.65bd4247a33adp-2, 0x1.6391b83357abbp-2, 0x1.61585f44f40cfp-2, 0x1.5f11c5375f084p-2, 0x1.5cbe75bdf583ep-2, 0x1.5a5efa7d02f83p-2, 0x1.57f3db02e7efep-2, 0x1.557d9cc1e7a78p-2, 0x1.52fcc30a9b7c1p-2, 0x1.5071cf06ffd71p-2, 0x1.4ddd3fb61e8e1p-2, 0x1.4b3f91e84b46p-2, 0x1.4899403bede5p-2, 0x1.45eac31ad86f8p-2, 0x1.433490b81ff4cp-2, 0x1.40771d0e79dd4p-2, 0x1.3db2d9df114a4p-2, 0x1.3ae836b0d4f69p-2, 0x1.3817a0d038527p-2, 0x1.3541834f64c58p-2, 0x1.32664706cfa7fp-2, 0x1.2f8652963dbecp-2, 0x1.2ca20a66206ffp-2, 0x1.29b9d0a957ae6p-2, 0x1.26ce055f49377p-2, 0x1.23df06564ee64p-2, 0x1.20ed2f2e77b52p-2, 0x1.1df8d95c96981p-2, 0x1.1b025c2d9a588p-2, 0x1.180a0cca31173p-2, 0x1.15103e3aaa417p-2, 0x1.1215416b1aefap-2, 0x1.0f19652fc1282p-2, 0x1.0c1cf6499d3a7p-2, 0x1.09203f6b460a1p-2, 0x1.0623893deb15ep-2, 0x1.03271a668e5b5p-2, 0x1.002b378b64ecbp-2, 0x1.fa6046b2cfd1fp-3, 0x1.f46c3d1413e85p-3, 0x1.ee7acfd227a93p-3, 0x1.e88c78b54a402p-3, 0x1.e2a1adc2a2ffbp-3, 0x1.dcbae148c084ap-3, 0x1.d6d881ec4ade3p-3, 0x1.d0fafab4e8ba8p-3, 0x1.cb22b31a516fp-3, 0x1.c5500f118cbeep-3, 0x1.bf836f1a55cffp-3, 0x1.b9bd304c9eab8p-3, 0x1.b3fdac6636eeap-3, 0x1.ae4539d886b54p-3, 0x1.a8942bd661454p-3, 0x1.a2ead261f13b9p-3, 0x1.9d497a5aa91fap-3, 0x1.97b06d8b4c979p-3, 0x1.921ff2b7f6f8ap-3, 0x1.8c984dac336fep-3, 0x1.8719bf490fe2ep-3, 0x1.81a4859335f9bp-3, 0x1.7c38dbc0ffc21p-3, 0x1.76d6fa4887ed5p-3, 0x1.717f16edb2232p-3, 0x1.6c3164d02e0dep-3, 0x1.66ee147967ed7p-3, 0x1.61b553ea72214p-3, 0x1.5c874ea9dc39p-3, 0x1.57642dd173271p-3, 0x1.524c181bfa696p-3, 0x1.4d3f31f2c2031p-3, 0x1.483d9d7b2ca0bp-3, 0x1.43477aa41c3abp-3, 0x1.3e5ce7334372dp-3, 0x1.397dfed25c8e6p-3, 0x1.34aadb1c3fe4dp-3, 0x1.2fe393a9dfeaep-3, 0x1.2b283e1f25932p-3, 0x1.2678ee37a6dc2p-3, 0x1.21d5b5d342fabp-3, 0x1.1d3ea502944c2p-3, 0x1.18b3ca13445fbp-3, 0x1.1435319c394c9p-3, 0x1.0fc2e6899a915p-3, 0x1.0b5cf228b5683p-3, 0x1.07035c33b6e1dp-3, 0x1.02b62add3ca99p-3, 0x1.fceac5b78533bp-4, 0x1.f4820ee9c3646p-4, 0x1.ec323510d97fp-4, 0x1.e3fb3936bccadp-4, 0x1.dbdd19c5381c1p-4, 0x1.d3d7d29b2d174p-4, 0x1.cbeb5d216a24dp-4, 0x1.c417b05f3d8a6p-4, 0x1.bc5cc10ea7c34p-4, 0x1.b4ba81b03eadbp-4, 0x1.ad30e29eaff7p-4, 0x1.a5bfd221f45d6p-4, 0x1.9e673c8230429p-4, 0x1.97270c1a335p-4, 0x1.8fff2969a241p-4, 0x1.88ef7b26d2be8p-4, 0x1.81f7e650461e7p-4, 0x1.7b184e3dd5da6p-4, 0x1.745094b1826f3p-4, 0x1.6da099e7f230bp-4, 0x1.67083ca898dc2p-4, 0x1.60875a5585721p-4, 0x1.5a1dcefae32f3p-4, 0x1.53cb755e20463p-4, 0x1.4d90270cc4342p-4, 0x1.476bbc6aefe07p-4, 0x1.415e0cc18e93dp-4, 0x1.3b66ee4c327d3p-4, 0x1.35863646a1df5p-4, 0x1.2fbbb8fa1108ep-4, 0x1.2a0749ca1269p-4, 0x1.2468bb412f623p-4, 0x1.1edfdf1d3956ap-4, 0x1.196c865b4bb6dp-4, 0x1.140e814381032p-4, 0x1.0ec59f745bfa6p-4, 0x1.0991afede6046p-4, 0x1.0472811c86899p-4, 0x1.fecfc1c719127p-5, 0x1.f4e3394ee942fp-5, 0x1.eb1f02afc8a67p-5, 0x1.e182b6f2c69aep-5, 0x1.d80dee5d9af1cp-5, 0x1.cec04084fc3dp-5, 0x1.c599445e7af6p-5, 0x1.bc989051d0f66p-5, 0x1.b3bdba49b5179p-5, 0x1.ab0857c421612p-5, 0x1.a277fde22de74p-5, 0x1.9a0c41776109p-5, 0x1.91c4b71889763p-5, 0x1.89a0f32a27443p-5, 0x1.81a089ee527a3p-5, 0x1.79c30f923977dp-5, 0x1.7208183b2815ep-5, 0x1.6a6f38131d211p-5, 0x1.62f80354fa80ep-5, 0x1.5ba20e583dbd4p-5, 0x1.546ced9c5bfb9p-5, 0x1.4d5835d3ac56bp-5, 0x1.46637bedf11a9p-5, 0x1.3f8e55227e22p-5, 0x1.38d856f9fecccp-5, 0x1.32411757d7aeap-5, 0x1.2bc82c832c104p-5, 0x1.256d2d2f9066cp-5, 0x1.1f2fb0855aa1p-5, 0x1.190f4e2996a04p-5, 0x1.130b9e45b452ep-5, 0x1.0d24398ed6cecp-5, 0x1.0758b94cd1177p-5, 0x1.01a8b760dc85dp-5, 0x1.f8279c97e3e57p-6, 0x1.ed333269d52b5p-6, 0x1.e27367dc847d7p-6, 0x1.d7e775f743f1bp-6, 0x1.cd8e972e2e91bp-6, 0x1.c368076c14aaep-6, 0x1.b973041bf1321p-6, 0x1.afaecc31c2ee8p-6, 0x1.a61aa032f5c2fp-6, 0x1.9cb5c23e485fp-6, 0x1.937f76134159fp-6, 0x1.8a770119243b1p-6, 0x1.819baa6578bb9p-6, 0x1.78ecbac227c6ep-6, 0x1.70697cb319d11p-6, 0x1.68113c7b84405p-6, 0x1.5fe34822c2bb2p-6, 0x1.57deef78c850fp-6, 0x1.5003841a406a5p-6, 0x1.485059743d05fp-6, 0x1.40c4c4c79b121p-6, 0x1.39601d2c0e1c4p-6, 0x1.3221bb92c76p-6, 0x1.2b08fac8dccd1p-6, 0x1.241537794fa53p-6, 0x1.1d45d02ed695fp-6, 0x1.169a2555476adp-6, 0x1.1011993ad301cp-6, 0x1.09ab9010df6fdp-6, 0x1.03676fecad5f2p-6, 0x1.fa89418f92b3dp-7, 0x1.ee85190032529p-7, 0x1.e2c13daf9b84dp-7, 0x1.d73c8aea1ad9cp-7, 0x1.cbf5dfc2c9d2ep-7, 0x1.c0ec1f120d458p-7, 0x1.b61e2f739d832p-7, 0x1.ab8afb443b79bp-7, 0x1.a131709ee9fa2p-7, 0x1.97108159f725p-7, 0x1.8d27230372113p-7, 0x1.83744edd7eab6p-7, 0x1.79f701da3bcf8p-7, 0x1.70ae3c975eca5p-7, 0x1.679903598714ep-7, 0x1.5eb65e07558b3p-7, 0x1.560558241fb6ep-7, 0x1.4d8500ca7bb14p-7, 0x1.45346aa69786ep-7, 0x1.3d12abf02b6aep-7, 0x1.351ede6466481p-7, 0x1.2d581f3f761ebp-7, 0x1.25bd8f360957fp-7, 0x1.1e4e526e723aap-7, 0x1.17099079c93f8p-7, 0x1.0fee744cce605p-7, 0x1.08fc2c389900ep-7, 0x1.0231e9e33a791p-7, 0x1.f71dc4803ea36p-8, 0x1.ea249b10f0364p-8, 0x1.dd76ce66bd233p-8, 0x1.d112dbdbbdc85p-8, 0x1.c4f74726151afp-8, 0x1.b9229a478f857p-8, 0x1.ad93657d4b0fbp-8, 0x1.a2483f2f196fep-8, 0x1.973fc3ded5ba6p-8, 0x1.8c7896177cfb8p-8, 0x1.81f15e5c2d7d9p-8, 0x1.77a8cb172e377p-8, 0x1.6d9d90889d49ap-8, 0x1.63ce68b53aa0cp-8, 0x1.5a3a1355294e5p-8, 0x1.50df55c2676a5p-8, 0x1.47bcfae772b62p-8, 0x1.3ed1d32dce48fp-8, 0x1.361cb46c8132bp-8, 0x1.2d9c79d684841p-8, 0x1.255003e951b45p-8, 0x1.1d36385b50a95p-8, 0x1.154e020a4bf01p-8, 0x1.0d9650ea086d5p-8, 0x1.060e19f2c0578p-8, 0x1.fd68ae1f5b58bp-9, 0x1.ef100e1b6fab2p-9, 0x1.e1105b1425e4fp-9, 0x1.d367a5c1f0eep-9, 0x1.c6140838e15c3p-9, 0x1.b913a5c65f4fbp-9, 0x1.ac64aacf0c485p-9, 0x1.a0054cacaa9b5p-9, 0x1.93f3c98c86f3dp-9, 0x1.882e684d9ff65p-9, 0x1.7cb3785f6a63ap-9, 0x1.718151a089f9ap-9, 0x1.6696543dd1d33p-9, 0x1.5bf0e89184f43p-9, 0x1.518f7f02b9bdcp-9, 0x1.47708fe52c48ap-9, 0x1.3d929b5923532p-9, 0x1.33f4292ba880cp-9, 0x1.2a93c8b6e6513p-9, 0x1.217010c327a84p-9, 0x1.18879f677952cp-9, 0x1.0fd919eb47bf1p-9, 0x1.07632ca7d4bd2p-9, 0x1.fe4915d3f15d4p-10, 0x1.ee37dda8f409ap-10, 0x1.de9032849fd6ap-10, 0x1.cf4fa35308851p-10, 0x1.c073cbfc8c08ep-10, 0x1.b1fa552c341f4p-10, 0x1.a3e0f417772bfp-10, 0x1.96256a45fd983p-10, 0x1.88c5855a2d59dp-10, 0x1.7bbf1eda7de37p-10, 0x1.6f101bfb7a985p-10, 0x1.62b66d69edc8ap-10, 0x1.56b00f1656b14p-10, 0x1.4afb0800b08c8p-10, 0x1.3f956a04c0be3p-10, 0x1.347d51a74bcefp-10, 0x1.29b0e5e3e4a71p-10, 0x1.1f2e57fb1ffe6p-10, 0x1.14f3e341f588fp-10, 0x1.0affccf13f8acp-10, 0x1.015063f5daf8ep-10, 0x1.efc80184dcfadp-11, 0x1.dd720a404f527p-11, 0x1.cb9bb8037e0b4p-11, 0x1.ba41f2ac2c4ap-11, 0x1.a961b3b7852d8p-11, 0x1.98f805eb1e686p-11, 0x1.890204fe5d422p-11, 0x1.797cdd45b60cbp-11, 0x1.6a65cb5ec1853p-11, 0x1.5bba1bddb5fe4p-11, 0x1.4d772afcd22f9p-11, 0x1.3f9a644be6324p-11, 0x1.3221426160796p-11, 0x1.25094e8db4b26p-11, 0x1.1850208e3ce3dp-11, 0x1.0bf35e42fa35ep-11, 0x1.ffe176c7c5c69p-12, 0x1.e88bf27247495p-12, 0x1.d1e1cca5c02a2p-12, 0x1.bbdebc8729333p-12, 0x1.a67e92b53c3b5p-12, 0x1.91bd38c0be7b1p-12, 0x1.7d96b0a6c348bp-12, 0x1.6a07144da37b9p-12, 0x1.570a95039df3bp-12, 0x1.449d7afff7303p-12, 0x1.32bc24e6970f7p-12, 0x1.2163074d20dbfp-12, 0x1.108eac43549f8p-12, 0x1.003bb2db923cfp-12, 0x1.e0cd9d7022812p-13, 0x1.c2198f30e9201p-13, 0x1.a454f1d2752aap-13, 0x1.8779a2ad5b42bp-13, 0x1.6b81a4c0e20fdp-13, 0x1.50671fdffe78ap-13, 0x1.36245fe06fe4cp-13, 0x1.1cb3d3cf878e4p-13, 0x1.04100d294e025p-13, 0x1.d8677e2abecccp-14, 0x1.aa337b483e399p-14, 0x1.7d79fa269841dp-14, 0x1.52312229fb249p-14, 0x1.284f582e9326cp-14, 0x1.ff967a564814ap-15, 0x1.b137599aeacd5p-15, 0x1.656f784c7d586p-15, 0x1.1c2d70b37bbe7p-15, 0x1.aac09550722aep-16, 0x1.21eef222885c8p-16, 0x1.3b8b5da7218d2p-17, 0x1.e254ea93a6b7ap-20, -0x1.74438e00fe176p-18, -0x1.a7f5b3c110843p-17, -0x1.46b5c852d474fp-16, -0x1.b55e28c8980b2p-16, -0x1.1007dfd13cb5cp-15, -0x1.4372cfff9157bp-15, -0x1.74fd17f373d8bp-15, -0x1.a4b396334e0e1p-15, -0x1.d2a2d6c9a6c56p-15, -0x1.fed71539b38d4p-15, -0x1.14ae1f38f3d22p-14, -0x1.291ef95141d9p-14, -0x1.3cc3c3906ba66p-14, -0x1.4fa2041691a4bp-14, -0x1.61bf1d5ba14bap-14, -0x1.73204f0cc6a33p-14, -0x1.83cab6e3d0e57p-14, -0x1.93c3517a185ep-14, -0x1.a30efb178f954p-14, -0x1.b1b2707c70f1p-14, -0x1.bfb24fa703451p-14, -0x1.cd1318946b70bp-14, -0x1.d9d92dfc4f0a9p-14, -0x1.e608d60ce041ap-14, -0x1.f1a63b1b22213p-14, -0x1.fcb56c55e4306p-14, -0x1.039d2f383915ep-13, -0x1.089c7626571d1p-13, -0x1.0d5a6bced1cb1p-13, -0x1.11d8e4c4f44aep-13, -0x1.1619a9a3f36b8p-13, -0x1.1a1e775b7f17ep-13, -0x1.1de8ff7acf983p-13, -0x1.217ae87a06fc9p-13, -0x1.24d5ce01727dcp-13, -0x1.27fb412f42418p-13, -0x1.2aecc8dc02439p-13, -0x1.2dabe1dc6798fp-13, -0x1.3039ff432fb7ap-13, -0x1.32988a9faf435p-13, -0x1.34c8e43c917dap-13, -0x1.36cc635b65dc4p-13, -0x1.38a4567022cfcp-13, -0x1.3a52035a303c1p-13, -0x1.3bd6a79d37658p-13, -0x1.3d3378973d4f5p-13, -0x1.3e69a3b687f63p-13, -0x1.3f7a4ead629acp-13, -0x1.406697a5399dbp-13, -0x1.412f956fee96fp-13, -0x1.41d657b889667p-13, -0x1.425be732371e5p-13, -0x1.42c145c6633e9p-13, -0x1.43076ec13802fp-13, -0x1.432f56fdf1a89p-13, -0x1.4339ed10c519cp-13, -0x1.43281971626dfp-13, -0x1.42fabea26b632p-13, -0x1.42b2b959e18ap-13, -0x1.4250e0a6ff514p-13, -0x1.41d60617cd832p-13, -0x1.4142f5de27befp-13, -0x1.409876f2e72aep-13, -0x1.3fd74b38b6ae6p-13, -0x1.3f002f9dfcfbfp-13, -0x1.3e13dc3dacae6p-13, -0x1.3d13047f53a51p-13, -0x1.3bfe57369cf62p-13, -0x1.3ad67ec19a546p-13, -0x1.399c2126457fp-13, -0x1.384fe02fafbaap-13, -0x1.36f25989f6094p-13, -0x1.358426dd8cf3ap-13, -0x1.3405ddea3a5aap-13, -0x1.327810a0ddf19p-13, -0x1.30db4d3c93157p-13, -0x1.2f301e5bb5d1ep-13, -0x1.2d770b174ef93p-13, -0x1.2bb0971adc1b6p-13, -0x1.29dd42baf0f46p-13, -0x1.27fd8b0b12b1dp-13, -0x1.2611e9f373b22p-13, -0x1.241ad645ea021p-13, -0x1.2218c3d20845dp-13, -0x1.200c237934d5dp-13, -0x1.1df56341dec62p-13, -0x1.1bd4ee6a56281p-13, -0x1.19ab2d7af2da9p-13, -0x1.17788657d02b4p-13, -0x1.153d5c5246b64p-13, -0x1.12fa10396a135p-13, -0x1.10af006af1b19p-13, -0x1.0e5c88e2a1fefp-13, -0x1.0c03034a03059p-13, -0x1.09a2c70779691p-13, -0x1.073c294ca323dp-13, -0x1.04cf7d24f6eafp-13, -0x1.025d1383675f6p-13, -0x1.ffca76a019193p-14, -0x1.fad082ea0cb0ap-14, -0x1.f5cce1d6e1ebcp-14, -0x1.f0c0258f3698dp-14, -0x1.ebaadc8a81ee9p-14, -0x1.e68d91a66bec5p-14, -0x1.e168cc3dc5405p-14, -0x1.dc3d103e84c7dp-14, -0x1.d70ade3f555e4p-14, -0x1.d1d2b394c0989p-14, -0x1.cc950a652ca91p-14, -0x1.c75259bd75301p-14, -0x1.c20b15a39f75ep-14, -0x1.bcbfaf29e3502p-14, -0x1.b7709480dbda5p-14, -0x1.b21e31092d78bp-14, -0x1.acc8ed64c6f9fp-14, -0x1.a7712f87fb169p-14, -0x1.a2175ac983421p-14, -0x1.9cbbcff275b15p-14, -0x1.975eed4dea22ap-14, -0x1.92010eb7a668bp-14, -0x1.8ca28dab13bc8p-14, -0x1.8743c1510ef78p-14, -0x1.81e4fe8e31dbfp-14, -0x1.7c86981003b36p-14, -0x1.7728de5a30f39p-14, -0x1.71cc1fd3306e9p-14, -0x1.6c70a8d07ddd9p-14, -0x1.6716c3a2eaf02p-14, -0x1.61beb8a21b113p-14, -0x1.5c68ce38316fp-14, -0x1.571548ecdeae8p-14, -0x1.51c46b6fdc865p-14, -0x1.4c7676a3fdf7ep-14, -0x1.472ba9a8f60d3p-14, -0x1.41e441e53a826p-14, -0x1.3ca07b1065136p-14, -0x1.37608f3beda16p-14, -0x1.3224b6dcbc845p-14, -0x1.2ced28d3ed83fp-14, -0x1.27ba1a77d5a61p-14, -0x1.228bbf9c15cb6p-14, -0x1.1d624a9a2855ap-14, -0x1.183dec59716d1p-14, -0x1.131ed45710f0cp-14, -0x1.0e0530ad70ab8p-14, -0x1.08f12e1bf9ap-14, -0x1.03e2f80e02176p-14, -0x1.fdb571446c038p-15, -0x1.f3b13162368c8p-15, -0x1.e9b97fa889fd7p-15, -0x1.dfcea8d9649f9p-15, -0x1.d5f0f7520c529p-15, -0x1.cc20b3189b0adp-15, -0x1.c25e21e6cc634p-15, -0x1.b8a98736f663cp-15, -0x1.af03244f45aeap-15, -0x1.a56b384cfa674p-15, -0x1.9be2003024468p-15, -0x1.9267b6e54a8a8p-15, -0x1.88fc955132da6p-15, -0x1.7fa0d25a4dc32p-15, -0x1.7654a2f31a5d2p-15, -0x1.6d183a240f158p-15, -0x1.63ebc91558adp-15, -0x1.5acf7f17cd49ep-15, -0x1.51c389aebaf4bp-15, -0x1.48c81498aeb5cp-15, -0x1.3fdd49d7f45cep-15, -0x1.370351bb4466ap-15, -0x1.2e3a52e6d4999p-15, -0x1.2582725b8b422p-15, -0x1.1cdbd38004488p-15, -0x1.14469827f56cp-15, -0x1.0bc2e09bfd241p-15, -0x1.0350cba147593p-15, -0x1.f5e0ed026a00bp-16, -0x1.e543fa1f95f6dp-16, -0x1.d4caf3681d23p-16, -0x1.c4760adbf0bep-16, -0x1.b4456fbbe44b4p-16, -0x1.a4394e962c3cp-16, -0x1.9451d154dc2dfp-16, -0x1.848f1f48fc8c1p-16, -0x1.74f15d38a9afcp-16, -0x1.6578ad6aed80fp-16, -0x1.56252fb4a6949p-16, -0x1.46f701836c155p-16, -0x1.37ee3de9f3e68p-16, -0x1.290afdac4374dp-16, -0x1.1a4d5749a0c9p-16, -0x1.0bb55f08c6f3p-16, -0x1.fa864e062ca79p-17, -0x1.dded7e5c55cb2p-17, -0x1.c1a06acf99d57p-17, -0x1.a59f2afe4337cp-17, -0x1.89e9d281098fdp-17, -0x1.6e8070fafbcadp-17, -0x1.53631231a25dp-17, -0x1.3891be1dab847p-17, -0x1.1e0c78feae4dbp-17, -0x1.03d3436e98dbdp-17, -0x1.d3cc34ea91d2ap-18, -0x1.a089ef302c2acp-18, -0x1.6ddfa1dd11ca8p-18, -0x1.3bcd3265eeecap-18, -0x1.0a527fa742e1bp-18, -0x1.b2dec4130d211p-19, -0x1.52475743c724cp-19, -0x1.e5bca1543aa1dp-20, -0x1.294677d86829ap-20, -0x1.bcacc69f5bc71p-22, 0x1.225923a335b6dp-22, 0x1.fbfe4c968a717p-21, 0x1.b110ab3419d12p-20, 0x1.30e619117e0acp-19, 0x1.8819956e6276cp-19, 0x1.de238d079d30ap-19, 0x1.19826630867cep-18, 0x1.435f14fbe3bdbp-18, 0x1.6ca84302c2606p-18, 0x1.955e65263f131p-18, 0x1.bd81f4eddf56cp-18, 0x1.e513706c9000ep-18, 0x1.0609ad1375958p-17, 0x1.19411c7b37cb5p-17, 0x1.2c304bf7573a1p-17, 0x1.3ed783236b2bap-17, 0x1.51370b9e765p-17, 0x1.634f30fef196ap-17, 0x1.752040c57a45ap-17, 0x1.86aa8a50ffd84p-17, 0x1.97ee5ed27e6ddp-17, 0x1.a8ec11418b7c2p-17, 0x1.b9a3f64fc3b7ep-17, 0x1.ca16645d140b2p-17, 0x1.da43b36c5be5ep-17, 0x1.ea2c3d17755a6p-17, 0x1.f9d05c8610af1p-17, 0x1.0498372fd458ep-16, 0x1.0c2668612ad21p-16, 0x1.1392f19bd26f4p-16, 0x1.1ade0354f34fdp-16, 0x1.2207ceacae141p-16, 0x1.29108568cf04dp-16, 0x1.2ff859f014f33p-16, 0x1.36bf7f451618bp-16, 0x1.3d662900f3f74p-16, 0x1.43ec8b4e6ce69p-16, 0x1.4a52dae51ea0fp-16, 0x1.50994d04b4a2ap-16, 0x1.56c0177050e7dp-16, 0x1.5cc7706996fd7p-16, 0x1.62af8eac5427bp-16, 0x1.6878a969e0eb3p-16, 0x1.6e22f8445306ep-16, 0x1.73aeb34aa18b5p-16, 0x1.791c12f3a7fe3p-16, 0x1.7e6b501a576a2p-16, 0x1.839ca3f9792e7p-16, 0x1.88b04826eeaa5p-16, 0x1.8da6769032482p-16, 0x1.927f6975dae47p-16, 0x1.973b5b6831065p-16, 0x1.9bda874249cabp-16, 0x1.a05d2826b8ef9p-16, 0x1.a4c3797bcf943p-16, 0x1.a90db6e7f65bap-16, 0x1.ad3c1c4d254bdp-16, 0x1.b14ee5c61845bp-16, 0x1.b5464fa201facp-16, 0x1.b92296618eaccp-16, 0x1.bce3f6b30562ep-16, 0x1.c08aad6f0129cp-16, 0x1.c416f794f5009p-16, 0x1.c7891247db02bp-16, 0x1.cae13aca944d6p-16, 0x1.ce1fae7d71c66p-16, 0x1.d144aada3936fp-16, 0x1.d4506d717ba1dp-16, 0x1.d74333e75cec2p-16, 0x1.da1d3bf0304aep-16, 0x1.dcdec34e08f6ap-16, 0x1.df8807cd8e145p-16, 0x1.e21947430bdecp-16, 0x1.e492bf8798fc1p-16, 0x1.e6f4ae764e905p-16, 0x1.e93f51e96ab16p-16, 0x1.eb72e7b80016dp-16, 0x1.ed8fadb31d994p-16, 0x1.ef95e1a2e013dp-16, 0x1.f185c14435888p-16, 0x1.f35f8a464cae4p-16, 0x1.f5237a483f95ap-16, 0x1.f6d1ced66ce03p-16, 0x1.f86ac56836928p-16, 0x1.f9ee9b5dae293p-16, 0x1.fb5d8dfd3a323p-16, 0x1.fcb7da71523ccp-16, 0x1.fdfdbdc668e6cp-16, 0x1.ff2f74e8b9d04p-16, 0x1.00269e5122d66p-15, 0x1.00aba8cc2f52p-15, 0x1.0126f824ff973p-15, 0x1.0198aa86f90d4p-15, 0x1.0200de0829573p-15, 0x1.025fb0a894582p-15, 0x1.02b54051184b4p-15, 0x1.0301aad2afe48p-15, 0x1.03450de564196p-15, 0x1.037f872783169p-15, 0x1.03b1341cde6a1p-15, 0x1.03da322dcdbafp-15, 0x1.03fa9ea655887p-15, 0x1.041296b582df7p-15, 0x1.0422376c9eb58p-15, 0x1.04299dbe56756p-15, 0x1.0428e67e18105p-15, 0x1.04202e5f3e251p-15, 0x1.040f91f47178cp-15, 0x1.03f72daeed411p-15, 0x1.03d71dddebc8fp-15, 0x1.03af7eadf0da7p-15, 0x1.03806c281de3ap-15, 0x1.034a0231a234ep-15, 0x1.030c5c8b2cb1p-15, 0x1.02c796d0466dap-15, 0x1.027bcc76c7a13p-15, 0x1.022918ce41c19p-15, 0x1.01cf96ff87e6ap-15, 0x1.016f620c33923p-15, 0x1.010894cdf81c1p-15, 0x1.009b49f65f526p-15, 0x1.00279c0e425ep-15, 0x1.ff5b4aea78554p-16, 0x1.fe5b00c2a242ep-16, 0x1.fd4e8dbce4483p-16, 0x1.fc36259c6561cp-16, 0x1.fb11fbce75dcep-16, 0x1.f9e2436a22896p-16, 0x1.f8a72f2f4354bp-16, 0x1.f760f185f037ep-16, 0x1.f60fbc7dc3b48p-16, 0x1.f4b3c1cd0fa11p-16, 0x1.f34d32d071129p-16, 0x1.f1dc408a4603p-16, 0x1.f0611ba1e0ac8p-16, 0x1.eedbf4632589cp-16, 0x1.ed4cfabe08312p-16, 0x1.ebb45e4616989p-16, 0x1.ea124e31e7878p-16, 0x1.e866f95aadc82p-16, 0x1.e6b28e3c066f3p-16, 0x1.e4f53af356bacp-16, 0x1.e32f2d3f6e657p-16, 0x1.e16092805535dp-16, 0x1.df8997b6d9dcep-16, 0x1.ddaa698470d0ap-16, 0x1.dbc3342ac2723p-16, 0x1.d9d4238b8aa0cp-16, 0x1.d7dd63282beb1p-16, 0x1.d5df1e21b834ep-16, 0x1.d3d97f389a3f1p-16, 0x1.d1ccb0cc6d4d4p-16, 0x1.cfb8dcdbec935p-16, 0x1.cd9e2d049d756p-16, 0x1.cb7cca830d807p-16, 0x1.c954de3279101p-16, 0x1.c726908c98dddp-16, 0x1.c4f209a9f144cp-16, 0x1.c2b771418dccdp-16, 0x1.c076eea8ffba1p-16, 0x1.be30a8d459b9ep-16, 0x1.bbe4c65674571p-16, }}, 
      {{-0x1.f3eab820747fep-1, -0x1.f3ce25c8ce33bp-1, -0x1.f39d5c58e4e31p-1, -0x1.f356de8b78f96p-1, -0x1.f2f8f8e0cb1d5p-1, -0x1.f281f74dbde7fp-1, -0x1.f1f04f43275f8p-1, -0x1.f142bd1cddd4dp-1, -0x1.f07856048f137p-1, -0x1.ef9090346635ap-1, -0x1.ee8b43c01fb2ap-1, -0x1.ed68a5ec8cd36p-1, -0x1.ec2940d65b466p-1, -0x1.eacde8d565746p-1, -0x1.e957b0b91c9ap-1, -0x1.e7c7ddb3663c1p-1, -0x1.e61fdb8bcf252p-1, -0x1.e4613184f7b7ep-1, -0x1.e28d78385bcebp-1, -0x1.e0a6508f939f1p-1, -0x1.dead5bec4b136p-1, -0x1.dca4358028f63p-1, -0x1.da8c6cca710e7p-1, -0x1.d867812972eeap-1, -0x1.d636de68f2001p-1, -0x1.d3fbda33faad2p-1, -0x1.d1b7b24f8d96p-1, -0x1.cf6b8b83a3782p-1, -0x1.cd18711911e4dp-1, -0x1.cabf54d4608aep-1, -0x1.c8610f57938dep-1, -0x1.c5fe60d6fd673p-1, -0x1.c397f20f6abap-1, -0x1.c12e556e0fc6bp-1, -0x1.bec2085cbe1a5p-1, -0x1.bc5374a6d2cfbp-1, -0x1.b9e2f1ed18368p-1, -0x1.b770c720743a7p-1, -0x1.b4fd2bfcaec1ap-1, -0x1.b2884a7de2738p-1, -0x1.b012404c46e5ap-1, -0x1.ad9b201afcfa9p-1, -0x1.ab22f2f756b81p-1, -0x1.a8a9b986c9ec4p-1, -0x1.a62f6d32540ebp-1, -0x1.a3b4013e8f299p-1, -0x1.a13763d0258ep-1, -0x1.9eb97edc9dbacp-1, -0x1.9c3a3907c2d7bp-1, -0x1.99b9766e1cc9fp-1, -0x1.9737195d14394p-1, -0x1.94b302f982b95p-1, -0x1.922d13d57b27fp-1, -0x1.8fa52c76307d7p-1, -0x1.8d1b2dcadd1ecp-1, -0x1.8a8ef9959fe15p-1, -0x1.880072c733acap-1, -0x1.856f7dce747f2p-1, -0x1.82dc00dc90985p-1, -0x1.8045e41ec7d8cp-1, -0x1.7dad11ee8f85dp-1, -0x1.7b1176f8e6847p-1, -0x1.7873025d9df86p-1, -0x1.75d1a5c74e578p-1, -0x1.732d557ca8349p-1, -0x1.7086086bc656bp-1, -0x1.6ddbb83016a73p-1, -0x1.6b2e61136dbb1p-1, -0x1.687e020ac95a4p-1, -0x1.65ca9caf3cf17p-1, -0x1.631435337ceb8p-1, -0x1.605ad25673611p-1, -0x1.5d9e7d533d56p-1, -0x1.5adf41ceefbcbp-1, -0x1.581d2dc472f8dp-1, -0x1.5558516ec32a8p-1, -0x1.5290bf31d9dd4p-1, -0x1.4fc68b828038fp-1, -0x1.4cf9cccd44a21p-1, -0x1.4a2a9b5cc65e8p-1, -0x1.4759113f86f5ep-1, -0x1.44854a2d6e9bp-1, -0x1.41af636d2461ep-1, -0x1.3ed77bb962b88p-1, -0x1.3bfdb32663d84p-1, -0x1.39222b07805ap-1, -0x1.364505d51bdbap-1, -0x1.33666712f1854p-1, -0x1.30867336d5541p-1, -0x1.2da54f8ff91d4p-1, -0x1.2ac3222ec43ddp-1, -0x1.27e011cd49666p-1, -0x1.24fc45b864a13p-1, -0x1.2217e5b98a951p-1, -0x1.1f331a014f678p-1, -0x1.1c4e0b12a931ap-1, -0x1.1968e1aef6d55p-1, -0x1.1683c6c2c7742p-1, -0x1.139ee3536b54ep-1, -0x1.10ba606d4a41dp-1, -0x1.0dd667130192cp-1, -0x1.0af3202d49e35p-1, -0x1.0810b47ba1607p-1, -0x1.052f4c85bae64p-1, -0x1.024f108daea16p-1, -0x1.fee05105d00cbp-2, -0x1.f92577eba1cd5p-2, -0x1.f36de41865a47p-2, -0x1.edb9e2ec9d8b8p-2, -0x1.e809c0c9420f6p-2, -0x1.e25dc8fca891p-2, -0x1.dcb645b0b2efep-2, -0x1.d7137fda43572p-2, -0x1.d175bf29f0386p-2, -0x1.cbdd49fde0b3fp-2, -0x1.c64a6554da3acp-2, -0x1.c0bd54c26344p-2, -0x1.bb365a63fd49p-2, -0x1.b5b5b6d769474p-2, -0x1.b03ba931e762bp-2, -0x1.aac86ef87057cp-2, -0x1.a55c4418d8055p-2, -0x1.9ff762e3d2e81p-2, -0x1.9a9a0407d3869p-2, -0x1.95445e8cb7e5p-2, -0x1.8ff6a7d03b1ffp-2, -0x1.8ab113832738ep-2, -0x1.8573d3a732d98p-2, -0x1.803f188d967cbp-2, -0x1.7b1310d63801ep-2, -0x1.75efe96f7737ep-2, -0x1.70d5cd968e2e1p-2, -0x1.6bc4e6d875e75p-2, -0x1.66bd5d1354449p-2, -0x1.61bf567861909p-2, -0x1.5ccaf78e43e91p-2, -0x1.57e06333d89bdp-2, -0x1.52ffbaa3638c9p-2, -0x1.4e291d761f5c8p-2, -0x1.495ca9a8274a7p-2, -0x1.449a7b9cb5f48p-2, -0x1.3fe2ae22b3445p-2, -0x1.3b355a798767ap-2, -0x1.36929856365a6p-2, -0x1.31fa7de8b42cfp-2, -0x1.2d6d1fe1790fbp-2, -0x1.28ea9177431c2p-2, -0x1.2472e46d0d553p-2, -0x1.200629182e3d1p-2, -0x1.1ba46e66a1f5p-2, -0x1.174dc1e573267p-2, -0x1.13022fc7486d7p-2, -0x1.0ec1c2eb08a18p-2, -0x1.0a8c84e29d06ap-2, -0x1.06627df9c1911p-2, -0x1.0243b53cf06ep-2, -0x1.fc606100a3e3cp-3, -0x1.f44fe8cd85086p-3, -0x1.ec5608d1b3ba9p-3, -0x1.e472c5b7fd28ap-3, -0x1.dca621f2f6e01p-3, -0x1.d4f01dcb2eb55p-3, -0x1.cd50b76d57276p-3, -0x1.c5c7eaf875859p-3, -0x1.be55b28c05871p-3, -0x1.b6fa06560988bp-3, -0x1.afb4dca116647p-3, -0x1.a88629e245c77p-3, -0x1.a16de0c7136acp-3, -0x1.9a6bf243228dp-3, -0x1.93804d9de5837p-3, -0x1.8caae0802f4dep-3, -0x1.85eb970195aa9p-3, -0x1.7f425bb5c0b1ap-3, -0x1.78af17b98e74fp-3, -0x1.7231b2c00aa5cp-3, -0x1.6bca131f4cb7cp-3, -0x1.65781ddd1bf5bp-3, -0x1.5f3bb6bb75af2p-3, -0x1.5914c044ddbcep-3, -0x1.53031bd885afp-3, -0x1.4d06a9b6463cep-3, -0x1.471f490a614bp-3, -0x1.414cd7f91fe0dp-3, -0x1.3b8f33aa328b4p-3, -0x1.35e63853e5c5p-3, -0x1.3051c1462359ap-3, -0x1.2ad1a8f53e217p-3, -0x1.2565c90488f5fp-3, -0x1.200dfa50c1abap-3, -0x1.1aca14fa3cb6ap-3, -0x1.1599f06ee15p-3, -0x1.107d6373f5399p-3, -0x1.0b74442fa92d2p-3, -0x1.067e68327cd59p-3, -0x1.019ba48061b03p-3, -0x1.f9979b3363e6bp-4, -0x1.f01d6f07e39a2p-4, -0x1.e6c86ba4ab655p-4, -0x1.dd98375c40739p-4, -0x1.d48c77bd76abap-4, -0x1.cba4d1a365977p-4, -0x1.c2e0e944ceccdp-4, -0x1.ba40624338b09p-4, -0x1.b1c2dfb99c276p-4, -0x1.a968044aaa7bap-4, -0x1.a12f722eb7c82p-4, -0x1.9918cb413d97ep-4, -0x1.9123b10dfbb5cp-4, -0x1.894fc4ddbfcaep-4, -0x1.819ca7c2c85c8p-4, -0x1.7a09faa4ca5fcp-4, -0x1.72975e4c9dc9p-4, -0x1.6b44736f8b491p-4, -0x1.6410daba42147p-4, -0x1.5cfc34db741ecp-4, -0x1.5606228e1c7d6p-4, -0x1.4f2e44a36d1f1p-4, -0x1.48743c0c6b3dep-4, -0x1.41d7a9e334615p-4, -0x1.3b582f73f6264p-4, -0x1.34f56e4591687p-4, -0x1.2eaf0821f0311p-4, -0x1.28849f1e0ef1ap-4, -0x1.2275d5a1b6eeep-4, -0x1.1c824e6ef030bp-4, -0x1.16a9aca927ccap-4, -0x1.10eb93dc113a7p-4, -0x1.0b47a8023d3dep-4, -0x1.05bd8d8b6ed8dp-4, -0x1.004ce962aa656p-4, -0x1.f5eac1e8094e7p-5, -0x1.eb6d34645be9ep-5, -0x1.e120773783228p-5, -0x1.d703d880a454ep-5, -0x1.cd16a78a7ddeep-5, -0x1.c35834d492fa4p-5, -0x1.b9c7d21be5977p-5, -0x1.b064d2634326ap-5, -0x1.a72e89fb1bdc6p-5, -0x1.9e244e88f3932p-5, -0x1.9545770e67037p-5, -0x1.8c915befcd0edp-5, -0x1.840756fa71a85p-5, -0x1.7ba6c36a6e38ap-5, -0x1.736efdf028a4p-5, -0x1.6b5f64b570801p-5, -0x1.6377576243f9ep-5, -0x1.5bb637213ff01p-5, -0x1.541b66a3b8178p-5, -0x1.4ca64a257f9b6p-5, -0x1.455647705a7bbp-5, -0x1.3e2ac5df2cc5ep-5, -0x1.37232e60d3401p-5, -0x1.303eeb7ab8865p-5, -0x1.297d694b1feaap-5, -0x1.22de158b304bep-5, -0x1.1c605f90b4afdp-5, -0x1.1603b84fa2cedp-5, -0x1.0fc7925b5e6c2p-5, -0x1.09ab61e7c3543p-5, -0x1.03ae9cc9f330dp-5, -0x1.fba174f1cc49ap-6, -0x1.f022681b9d70bp-6, -0x1.e4df08888065cp-6, -0x1.d9d64ef44a365p-6, -0x1.cf07375f04b19p-6, -0x1.c470c10c1e1dcp-6, -0x1.ba11ee81344d3p-6, -0x1.afe9c5848a8d3p-6, -0x1.a5f74f1b2df51p-6, -0x1.9c399786c3271p-6, -0x1.92afae4308119p-6, -0x1.8958a6030b199p-6, -0x1.803394ae17ad3p-6, -0x1.773f935c5c787p-6, -0x1.6e7bbe5355c93p-6, -0x1.65e73501f02d1p-6, -0x1.5d8119fc74dfap-6, -0x1.554892f834139p-6, -0x1.4d3cc8c7017dfp-6, -0x1.455ce75273a98p-6, -0x1.3da81d96f9c54p-6, -0x1.361d9d9eb21ddp-6, -0x1.2ebc9c7c2a12bp-6, -0x1.27845244d7acap-6, -0x1.2073fa0b80e89p-6, -0x1.198ad1da71c07p-6, -0x1.12c81aad8fb8ep-6, -0x1.0c2b186c43ea4p-6, -0x1.05b311e354daep-6, -0x1.febea17d20fdep-7, -0x1.f25e4304c509p-7, -0x1.e643a70a9cf42p-7, -0x1.da6d71d2a2a76p-7, -0x1.ceda4d2a51cddp-7, -0x1.c388e85b12364p-7, -0x1.b877f81c7acb3p-7, -0x1.ada6368661e12p-7, -0x1.a3126302e3aa8p-7, -0x1.98bb42403a39dp-7, -0x1.8e9f9e22768e6p-7, -0x1.84be45b53566fp-7, -0x1.7b160d1d22d38p-7, -0x1.71a5cd897dc6p-7, -0x1.686c6525851f4p-7, -0x1.5f68b709d6a87p-7, -0x1.5699ab2dc59b4p-7, -0x1.4dfe2e58993cdp-7, -0x1.45953212d967dp-7, -0x1.3d5dac9784fddp-7, -0x1.355698c54d69ap-7, -0x1.2d7ef60fce313p-7, -0x1.25d5c870c5a73p-7, -0x1.1e5a185952d22p-7, -0x1.170af2a32f629p-7, -0x1.0fe76881f9484p-7, -0x1.08ee8f7481e8bp-7, -0x1.021f8136218e9p-7, -0x1.f6f2b7603388p-8, -0x1.e9f681d606b71p-8, -0x1.dd48ae008c5d6p-8, -0x1.d0e790176036cp-8, -0x1.c4d18439f6caep-8, -0x1.b904ee5319fp-8, -0x1.ad8039fc4ec8bp-8, -0x1.a241da6183d06p-8, -0x1.97484a24e066ap-8, -0x1.8c920b42b4296p-8, -0x1.821da6f5abd4ap-8, -0x1.77e9ad9b1aaf5p-8, -0x1.6df4b69784242p-8, -0x1.643d603b64b0bp-8, -0x1.5ac24fa800bc8p-8, -0x1.518230b4a720cp-8, -0x1.487bb5d3fdd18p-8, -0x1.3fad97f98cbbbp-8, -0x1.3716967f972bbp-8, -0x1.2eb5770d1b32dp-8, -0x1.2689057c1723ep-8, -0x1.1e9013c00249fp-8, -0x1.16c979cc919eap-8, -0x1.0f34157cb1234p-8, -0x1.07ceca79b1dcap-8, -0x1.00988222d1996p-8, -0x1.f32056e9ed056p-9, -0x1.e56975e5350e2p-9, -0x1.d80a551832921p-9, -0x1.cb00f3104d2c8p-9, -0x1.be4b58d9263d5p-9, -0x1.b1e799ceabb2fp-9, -0x1.a5d3d36f9e3cap-9, -0x1.9a0e2d30ab8a6p-9, -0x1.8e94d85006a73p-9, -0x1.83660fa9aa55bp-9, -0x1.7880178bf9703p-9, -0x1.6de13d8cf1a6ap-9, -0x1.6387d85ff2dbp-9, -0x1.597247ac1bac8p-9, -0x1.4f9ef3e30b56bp-9, -0x1.460c4e183ef15p-9, -0x1.3cb8cfd90c4ffp-9, -0x1.33a2fb04f3932p-9, -0x1.2ac959a6a8cfep-9, -0x1.222a7dcd97dfap-9, -0x1.19c50167d716dp-9, -0x1.1197861ccc708p-9, -0x1.09a0b5282b1b8p-9, -0x1.01df3f3598ca3p-9, -0x1.f4a3b879a6b93p-10, -0x1.e5ee96bc91a2fp-10, -0x1.d79ca580940f5p-10, -0x1.c9ab7ed94a282p-10, -0x1.bc18ca5dee3b1p-10, -0x1.aee23ce65683bp-10, -0x1.a2059849b551bp-10, -0x1.9580ab1db5819p-10, -0x1.89515076fabedp-10, -0x1.7d756faa8bf58p-10, -0x1.71eafc1002cc7p-10, -0x1.66aff4c4fc00bp-10, -0x1.5bc264714728bp-10, -0x1.5120610c2c8ffp-10, -0x1.46c80ba2a0a34p-10, -0x1.3cb7901e4c291p-10, -0x1.32ed250da611p-10, -0x1.29670b6cd5acep-10, -0x1.20238e6fb4048p-10, -0x1.1721034c62e7ep-10, -0x1.0e5dc9072843fp-10, -0x1.05d8483ec5a6fp-10, -0x1.fb1de5f422e0ap-11, -0x1.eb0088ec3ea9p-11, -0x1.db5581eb02e69p-11, -0x1.cc19eb2044e26p-11, -0x1.bd4af00860839p-11, -0x1.aee5cd0f774ecp-11, -0x1.a0e7cf3653946p-11, -0x1.934e53b906c6ep-11, -0x1.8616c7b6da42dp-11, -0x1.793ea7dc57caep-11, -0x1.6cc3800e2ce42p-11, -0x1.60a2eb1622f8cp-11, -0x1.54da925192751p-11, -0x1.49682d60eeeacp-11, -0x1.3e4981d91ba52p-11, -0x1.337c62f63a8a5p-11, -0x1.28feb14fd7572p-11, -0x1.1ece5a8e7429bp-11, -0x1.14e9592267974p-11, -0x1.0b4db3fc65b39p-11, -0x1.01f97e471220cp-11, -0x1.f1d5ae444bbf2p-12, -0x1.e03fd2bd654c7p-12, -0x1.cf2dd679be55dp-12, -0x1.be9c3c55b7f6bp-12, -0x1.ae879d09f3d17p-12, -0x1.9eeca6ae87868p-12, -0x1.8fc81c401c696p-12, -0x1.8116d527a4ca2p-12, -0x1.72d5bcc4b695dp-12, -0x1.6501d1f9c2e62p-12, -0x1.579826bb0150bp-12, -0x1.4a95df9f3d8d2p-12, -0x1.3df833734e7fep-12, -0x1.31bc6acf3f6a5p-12, -0x1.25dfdfae45a14p-12, -0x1.1a5ffd07faf8cp-12, -0x1.0f3a3e6c8e249p-12, -0x1.046c2fa24b9f5p-12, -0x1.f3e6d88b62ad1p-13, -0x1.df9b3ed6281f3p-13, -0x1.cbf10685051d9p-13, -0x1.b8e3c17ae3b72p-13, -0x1.a66f1e6c82ff3p-13, -0x1.948ee83373f33p-13, -0x1.833f052458722p-13, -0x1.727b766983994p-13, -0x1.6240575fa48b7p-13, -0x1.5289dcf7bb016p-13, -0x1.4354551abc315p-13, -0x1.349c2611b16efp-13, -0x1.265dcdf0b3fa7p-13, -0x1.1895e204f3082p-13, -0x1.0b410e463cb3ep-13, -0x1.fcb829965896fp-14, -0x1.e3c79a818831ap-14, -0x1.cbaa48ca369bfp-14, -0x1.b45a3708a1cecp-14, -0x1.9dd18ff1e53a2p-14, -0x1.880aa55e92f56p-14, -0x1.72ffef554cb1bp-14, -0x1.5eac0b1ceab32p-14, -0x1.4b09ba51f681fp-14, -0x1.3813e2027d118p-14, -0x1.25c589cf13fc6p-14, -0x1.1419db0ff7bafp-14, -0x1.030c20000bacdp-14, -0x1.e52f85d88ae0ep-15, -0x1.c5709ace64eecp-15, -0x1.a6d2cf0542016p-15, -0x1.894dae18f016bp-15, -0x1.6cd8fda0c1769p-15, -0x1.516cbbbbf862ep-15, -0x1.37011da70f27dp-15, -0x1.1d8e8e58140efp-15, -0x1.050dad24136a7p-15, -0x1.daee98dabd6ffp-16, -0x1.ad88e0af1b8e2p-16, -0x1.81dc9b0b787d6p-16, -0x1.57dc8fbbbb28bp-16, -0x1.2f7be2aa743ffp-16, -0x1.08ae118744cd7p-16, -0x1.c6cde2f5e2b47p-17, -0x1.7f3559d1cff78p-17, -0x1.3a7b828579c2bp-17, -0x1.f113f37fdfd48p-18, -0x1.7295f3b47df5dp-18, -0x1.f2a55b04dded7p-19, -0x1.0a41e7e901e34p-19, -0x1.5d8bd906c5b68p-22, 0x1.52b38d0e48fe4p-20, 0x1.752b8f3767cdfp-19, 0x1.1c06bb43c2fe9p-18, 0x1.792383c237721p-18, 0x1.d20ee73594a57p-18, 0x1.13755982007e3p-17, 0x1.3bebe1355eccp-17, 0x1.627b0268cd698p-17, 0x1.873242049a168p-17, 0x1.aa20b52c54097p-17, 0x1.cb550433b56f7p-17, 0x1.eadd6d7efcaebp-17, 0x1.0463e42b14087p-16, 0x1.1290c3cf08851p-16, 0x1.1ffbde43fac5ap-16, 0x1.2cab8c9608d77p-16, 0x1.38a5f9890e9b9p-16, 0x1.43f122d727447p-16, 0x1.4e92da649b9fap-16, 0x1.5890c76ee6f79p-16, 0x1.61f067afd7865p-16, 0x1.6ab7107e5c6f3p-16, 0x1.72e9efe2f63a6p-16, 0x1.7a8e0daa981dfp-16, 0x1.81a84c6d7a53dp-16, 0x1.883d6a9190449p-16, 0x1.8e52034769ca6p-16, 0x1.93ea8f7e2dfe8p-16, 0x1.990b66d294d76p-16, 0x1.9db8c077e1f35p-16, 0x1.a1f6b41a79844p-16, 0x1.a5c93abcf5f34p-16, 0x1.a9342f8f2cabfp-16, 0x1.ac3b50beeee81p-16, 0x1.aee24045f2b27p-16, 0x1.b12c84aeba129p-16, 0x1.b31d89d6716fbp-16, 0x1.b4b8a1aaa1577p-16, 0x1.b60104df5dc4ap-16, 0x1.b6f9d3a2ae313p-16, 0x1.b7a6164a77175p-16, 0x1.b808bdfdc94eap-16, 0x1.b824a55a3b8f6p-16, 0x1.b7fc91140f9d9p-16, 0x1.b793309216a9cp-16, 0x1.b6eb1e8739d9fp-16, 0x1.b606e184d3e9ap-16, 0x1.b4e8ec8c340efp-16, 0x1.b3939f9a8b3fdp-16, 0x1.b2094831b82f7p-16, 0x1.b04c21dc6abedp-16, 0x1.ae5e56af6364p-16, 0x1.ac41ffc89ec9bp-16, 0x1.a9f925c83e25cp-16, 0x1.a785c148ce27ap-16, 0x1.a4e9bb5218b42p-16, 0x1.a226edcb34cb7p-16, 0x1.9f3f23e6c5b9bp-16, 0x1.9c341a8f1869p-16, 0x1.990780ccc16b8p-16, 0x1.95baf82c3290cp-16, 0x1.9250151fd521cp-16, 0x1.8ec85f5fcf798p-16, 0x1.8b2552462e1e1p-16, 0x1.87685d2a7b4adp-16, 0x1.8392e3b85eaa5p-16, 0x1.7fa63e45a2db6p-16, 0x1.7ba3ba2570dfap-16, 0x1.778c99f88b674p-16, 0x1.736215fcb41a1p-16, 0x1.6f255c58561d6p-16, 0x1.6ad791651c9e9p-16, 0x1.6679cff7e7a0fp-16, 0x1.620d29a7d2487p-16, 0x1.5d92a71108ed2p-16, 0x1.590b48188e69ep-16, 0x1.5478042b7b738p-16, 0x1.4fd9ca7ec4afbp-16, 0x1.4b31824b3857ap-16, 0x1.46800b0966f51p-16, 0x1.41c63cab1aa94p-16, 0x1.3d04e7d2e8112p-16, 0x1.383cd60ad15e7p-16, 0x1.336ec9f921519p-16, 0x1.2e9b7f9388e24p-16, 0x1.29c3ac5182ff9p-16, 0x1.24e7ff5c3cc3dp-16, 0x1.200921be5777cp-16, 0x1.1b27b690cd097p-16, 0x1.16445b2873c35p-16, 0x1.115fa7409f6bp-16, 0x1.0c7a2d252321dp-16, 0x1.079479db5205ap-16, 0x1.02af1549aafd5p-16, 0x1.fb9504bc2e5f6p-17, 0x1.f1ce7e6743766p-17, 0x1.e80b8a6d47aa2p-17, 0x1.de4d1290abf7cp-17, 0x1.d493f7c1b3c87p-17, 0x1.cae11261361fap-17, 0x1.c1353281bcd94p-17, 0x1.b791202602e44p-17, 0x1.adf59b7e86231p-17, 0x1.a4635d245ce67p-17, 0x1.9adb16537868p-17, 0x1.915d71221f581p-17, 0x1.87eb10b72ccdbp-17, 0x1.7e8491800fce8p-17, 0x1.752a8962a7969p-17, 0x1.6bdd87f024b9ep-17, 0x1.629e1694fe50ep-17, 0x1.596cb8c851436p-17, 0x1.5049ec3914bb8p-17, 0x1.473628faeb4d3p-17, 0x1.3e31e1b138f69p-17, 0x1.353d83b855c2ap-17, 0x1.2c59774f11214p-17, 0x1.23861fbdb63d2p-17, 0x1.1ac3db7c5745ep-17, 0x1.1213045891d7p-17, 0x1.0973ef99760eap-17, 0x1.00e6ee220b43ap-17, 0x1.f0d8992913c57p-18, 0x1.e008a6e521acfp-18, 0x1.cf5e8e7bb990dp-18, 0x1.bedad12ed03a4p-18, 0x1.ae7de8bb54d05p-18, 0x1.9e484794b5914p-18, 0x1.8e3a591e45ce1p-18, 0x1.7e5481e1eb89dp-18, 0x1.6e971fc715ba1p-18, 0x1.5f028a471e7c3p-18, 0x1.4f9712a0703c6p-18, 0x1.4055040737ac5p-18, 0x1.313ca3d62ff48p-18, 0x1.224e31bd79aa5p-18, 0x1.1389e7ef30bbep-18, 0x1.04effb4d52704p-18, 0x1.ed013725f84b2p-19, 0x1.d077e6fd035p-19, 0x1.b44451f4a9357p-19, 0x1.9866ba86ae81cp-19, 0x1.7cdf5a1fd5408p-19, 0x1.61ae6168863f1p-19, 0x1.46d3f88f1a7cfp-19, 0x1.2c503f8b262p-19, 0x1.12234e6373b3cp-19, 0x1.f09a6adfa0b08p-20, 0x1.bd9bfb332c8d4p-20, 0x1.8b4b5130356f7p-20, 0x1.59a8626102308p-20, 0x1.28b316dca671dp-20, 0x1.f0d6937264f3fp-21, 0x1.91a192fe50275p-21, 0x1.33c6b11e898afp-21, 0x1.ae8ab64b1676cp-22, 0x1.f0739eeaba8e2p-23, 0x1.1264bd2634f6ep-24, -0x1.b1634bbb88ffap-24, -0x1.1a9e08b23a88p-22, -0x1.c6386ae68219bp-22, -0x1.37950c308d85ap-21, -0x1.8abaaa4f0e4bbp-21, -0x1.dc8e4339c27dep-21, -0x1.16888daf3b90cp-20, -0x1.3e2243caded42p-20, -0x1.6514f6429434p-20, -0x1.8b615f05f8504p-20, -0x1.b1083f56e1e75p-20, -0x1.d60a5f83dfa55p-20, -0x1.fa688ea3237a7p-20, -0x1.0f11d1278c43p-19, -0x1.209e3b33d653cp-19, -0x1.31d9f66787f5cp-19, -0x1.42c5769860598p-19, -0x1.5361326113968p-19, -0x1.63ada303e4664p-19, -0x1.73ab44501b205p-19, -0x1.835a94846e754p-19, -0x1.92bc143535c4ap-19, -0x1.a1d046338aae5p-19, -0x1.b097af711204dp-19, -0x1.bf12d6e9efaccp-19, -0x1.cd42458b7d88ep-19, -0x1.db26861da1665p-19, -0x1.e8c0252b294d4p-19, -0x1.f60fb0ed0b6adp-19, -0x1.018adc99dd6bp-18, -0x1.07e967a957c48p-18, -0x1.0e23c3059e663p-18, -0x1.143a38bd124efp-18, -0x1.1a2d1381d8c03p-18, -0x1.1ffc9ea0600e6p-18, -0x1.25a925f665472p-18, -0x1.2b32f5ea31c2ep-18, -0x1.309a5b61cbbd9p-18, -0x1.35dfa3ba8f46ap-18, -0x1.3b031cc154b6p-18, -0x1.400514a9da0d6p-18, -0x1.44e5da07beb76p-18, -0x1.49a5bbc6561cep-18, -0x1.4e450921aeec5p-18, -0x1.52c4119fc1dd3p-18, -0x1.5723250883aeap-18, -0x1.5b629360746c7p-18, -0x1.5f82ace10da99p-18, -0x1.6383c1f3043ccp-18, -0x1.67662327d9e0fp-18, -0x1.6b2a2133a0fd7p-18, -0x1.6ed00ce76b0f3p-18, -0x1.7258372b6d92ep-18, -0x1.75c2f0f96b3e9p-18, -0x1.79108b571246cp-18, -0x1.7c41575167d97p-18, -0x1.7f55a5f74e73bp-18, -0x1.824dc85447981p-18, -0x1.852a0f6c2b16dp-18, -0x1.87eacc360ccb6p-18, -0x1.8a904f97de474p-18, -0x1.8d1aea6200a1bp-18, -0x1.8f8aed4af7243p-18, -0x1.91e0a8eae29eep-18, -0x1.941c6db852dfp-18, -0x1.963e8c030d013p-18, -0x1.984753f12d087p-18, -0x1.9a37157b2c69ep-18, -0x1.9c0e20684363fp-18, -0x1.9dccc44ab5946p-18, -0x1.9f73507cc36cap-18, -0x1.a102141d2bd0ep-18, -0x1.a2795e0bfe21bp-18, -0x1.a3d97ce752e81p-18, -0x1.a522bf089e22ap-18, -0x1.a6557281993b3p-18, -0x1.a771e51928aa1p-18, -0x1.a8786448e9ec9p-18, -0x1.a9693d3ab560dp-18, -0x1.aa44bcc57f95ep-18, -0x1.ab0b2f6b673cp-18, -0x1.abbce156ed808p-18, -0x1.ac5a1e58efd0cp-18, -0x1.ace331e5cf34dp-18, -0x1.ad58671429bebp-18, -0x1.adba089a03e95p-18, -0x1.ae0860cada482p-18, -0x1.ae43b995f7cf6p-18, -0x1.ae6c5c8451e76p-18, -0x1.ae8292b68edep-18, -0x1.ae86a4e39b986p-18, -0x1.ae78db56b2e21p-18, -0x1.ae597dedcf177p-18, -0x1.ae28d4183a5d6p-18, -0x1.ade724d4cfdf7p-18, -0x1.ad94b6b0a6428p-18, -0x1.ad31cfc578a97p-18, -0x1.acbeb5b8a5514p-18, -0x1.ac3badb9992e1p-18, -0x1.aba8fc80c0b17p-18, -0x1.ab06e64e184c5p-18, -0x1.aa55aee858953p-18, -0x1.a995999bca3cp-18, -0x1.a8c6e938fc97cp-18, -0x1.a7e9e0141feaep-18, -0x1.a6fec0040492fp-18, -0x1.a605ca6110224p-18, -0x1.a4ff4004714e4p-18, -0x1.a3eb614782902p-18, -0x1.a2ca6e02c74ffp-18, -0x1.a19ca58d6da62p-18, -0x1.a06246bc8aefap-18, -0x1.9f1b8fe270052p-18, -0x1.9dc8bece0584p-18, -0x1.9c6a10ca82983p-18, -0x1.9affc29e92383p-18, -0x1.998a108c18ebfp-18, -0x1.9809364fa6b3ep-18, -0x1.967d6f203a81ap-18, -0x1.94e6f5aeb6b72p-18, -0x1.934604259edb9p-18, -0x1.919ad428b70dp-18, -0x1.8fe59ed4ee183p-18, -0x1.8e269cc0005f9p-18, -0x1.8c5e05f83d0edp-18, -0x1.8a8c12049c96p-18, -0x1.88b0f7e4528f2p-18, -0x1.86ccee0eb339cp-18, -0x1.84e02a735986bp-18, -0x1.82eae279f6f5cp-18, -0x1.80ed4b024f8cbp-18, -0x1.7ee798644685dp-18, -0x1.7cd9fe6ff437cp-18, -0x1.7ac4b06d8583ap-18, -0x1.78a7e11d6ed94p-18, -0x1.7683c2b88671cp-18, -0x1.745886f03e889p-18, -0x1.72265eee9eba8p-18, -0x1.6fed7b5682475p-18, -0x1.6dae0c43f4e1ap-18, -0x1.6b68414c5be6p-18, -0x1.691c497e98144p-18, -0x1.66ca5363441b6p-18, -0x1.64728cfd26293p-18, -0x1.621523c9661a9p-18, -0x1.5fb244bff4f52p-18, -0x1.5d4a1c53e8d8dp-18, -0x1.5adcd673d0968p-18, -0x1.586a9e89fb74ep-18, -0x1.55f39f7cf5fep-18, -0x1.537803b01ab0bp-18, -0x1.50f7f503d2da5p-18, -0x1.4e739cd611a9ep-18, -0x1.4beb2402e72fbp-18, -0x1.495eb2e4f9feep-18, -0x1.46ce7155e89ap-18, -0x1.443a86aee07b1p-18, -0x1.41a319c91e0cfp-18, -0x1.3f0850fe8695dp-18, -0x1.3c6a522a3e61fp-18, -0x1.39c942a92f5e8p-18, -0x1.3725475a7d415p-18, -0x1.347e84a059ac9p-18, -0x1.31d51e6076082p-18, -0x1.2f293804bfb8ep-18, -0x1.2c7af47bdd81cp-18, -0x1.29ca7639f8699p-18, -0x1.2717df3959642p-18, -0x1.246350fb1e9e9p-18, -0x1.21acec87de58cp-18, -0x1.1ef4d270338d6p-18, -0x1.1c3b22cda51b6p-18, -0x1.197ffd43244ep-18, -0x1.16c380fdf60abp-18, -0x1.1405ccb66de0dp-18, -0x1.1146feb083a14p-18, -0x1.0e8734bc7dffep-18, -0x1.0bc68c37efeedp-18, -0x1.0905220e5d7c2p-18, -0x1.064312b9cdf43p-18, -0x1.03807a43c2e4fp-18, -0x1.00bd74461cf8ap-18, -0x1.fbf437d76fc9cp-19, -0x1.f66d17e26e1e6p-19, -0x1.f0e5bd4b686fdp-19, -0x1.eb5e5bd76aad4p-19, -0x1.e5d726739a4aap-19, -0x1.e0504f3723b45p-19, -0x1.daca0765024ap-19, -0x1.d5447f6d302a2p-19, -0x1.cfbfe6ee2e302p-19, -0x1.ca3c6cb7046dep-19, -0x1.c4ba3ec8f43e9p-19, -0x1.bf398a58ed3f6p-19, -0x1.b9ba7bd10aed4p-19, -0x1.b43d3ed24d0f5p-19, -0x1.aec1fe36ef3cp-19, -0x1.a948e41381959p-19, -0x1.a3d219b875649p-19, -0x1.9e5dc7b41988cp-19, -0x1.98ec15d3fcfe5p-19, -0x1.937d2b26b2d08p-19, -0x1.8e112dfdeff8cp-19, -0x1.88a843efd07e8p-19, -0x1.834291d8a5c99p-19, -0x1.7de03bdcaf0c8p-19, -0x1.788165698d16p-19, -0x1.732631385d4e5p-19, -0x1.6dcec14f3acacp-19, -0x1.687b3702e3b25p-19, -0x1.632bb2f898479p-19, -0x1.5de05527a6effp-19, -0x1.58993cdb40dd7p-19, -0x1.535688b41b69fp-19, -0x1.4e1856aa5a156p-19, -0x1.48dec40ec945p-19, -0x1.43a9ed8ca35c7p-19, -0x1.3e79ef2b77d99p-19, -0x1.394ee45124e34p-19, -0x1.3428e7c32ad21p-19, -0x1.2f0813a840dd6p-19, -0x1.29ec818a4d825p-19, -0x1.24d64a57b979bp-19, -0x1.1fc586657cdf7p-19, -0x1.1aba4d7059f24p-19, -0x1.15b4b69f43954p-19, -0x1.10b4d88450946p-19, -0x1.0bbac91eac8cep-19, -0x1.06c69ddc276a7p-19, -0x1.01d86b9b64917p-19, -0x1.f9e08d59673e8p-20, -0x1.f01c85a802a52p-20, -0x1.e664e694b701ep-20, -0x1.dcb9d57f7c83ap-20, -0x1.d31b76b9f1789p-20, -0x1.c989ed89a1afp-20, -0x1.c0055c2b5a778p-20, -0x1.b68de3d6a4b36p-20, -0x1.ad23a4c10c281p-20, -0x1.a3c6be2114f78p-20, -0x1.9a774e3167483p-20, -0x1.91357233d72fap-20, -0x1.88014674905a9p-20, -0x1.7edae64d8493cp-20, -0x1.75c26c29ecbcdp-20, -0x1.6cb7f1882744ep-20, -0x1.63bb8efd6ab4bp-20, -0x1.5acd5c38c8fdp-20, -0x1.51ed70062e276p-20, -0x1.491be0516a8f8p-20, -0x1.4058c228db1c4p-20, -0x1.37a429c1544a7p-20, -0x1.2efe2a788afcbp-20, -0x1.2666d6d786852p-20, -0x1.1dde40965458dp-20, -0x1.1564789e57826p-20, -0x1.0cf98f0d8c80bp-20, -0x1.049d93395647p-20, -0x1.f8a12762a48bfp-21, -0x1.e8253c83dbeeep-21, -0x1.d7c77ff05094cp-21, }}, 
      {{0x1.d6f98b2094e2dp-17, 0x1.d70771137cd87p-15, 0x1.092d3a730cc65p-13, 0x1.d86b9bf9d85dbp-13, 0x1.7276a7d6b0b2p-12, 0x1.0c35edbadcff9p-11, 0x1.6fb4ecc85270cp-11, 0x1.e46ea744379cfp-11, 0x1.35865160bb744p-10, 0x1.82090c147384bp-10, 0x1.d7e2496f07fbcp-10, 0x1.1b86168c9fa59p-9, 0x1.4fa86099dc9b7p-9, 0x1.88227959228b6p-9, 0x1.c4a2f6042d0e3p-9, 0x1.025e25d50af4fp-8, 0x1.23f2bfc173cf6p-8, 0x1.46bdcf166be5fp-8, 0x1.6a61e8940e6c8p-8, 0x1.8e76f5e1d657fp-8, 0x1.b28ba5ed6b2dap-8, 0x1.d626f755af802p-8, 0x1.f8c9cf22f8495p-8, 0x1.0cf84818ee43dp-7, 0x1.1c8a54e57ac36p-7, 0x1.2ad70aeb63ab9p-7, 0x1.379a6073aca8cp-7, 0x1.4290ebf507251p-7, 0x1.4b787c5c99b8ap-7, 0x1.5210a1f9c2705p-7, 0x1.561b27bdb1bdcp-7, 0x1.575c7ce52cc5dp-7, 0x1.559c0f7190f47p-7, 0x1.50a49811ea5a8p-7, 0x1.484458470b1eep-7, 0x1.3c4d4baa0b3cap-7, 0x1.2c954d4cd2113p-7, 0x1.18f63233b70e1p-7, 0x1.014dd9e75b279p-7, 0x1.cafc6c3136d83p-8, 0x1.8ada948f313f5p-8, 0x1.420a48a696872p-8, 0x1.e0cf3b287aa5bp-9, 0x1.2bacf718a8f69p-9, 0x1.92137118032b8p-11, -0x1.d30c9bebd6fbcp-11, -0x1.6036ca5ed53f8p-9, -0x1.2ee9fa1519578p-8, -0x1.b6c5a5764135ap-8, -0x1.23d033a000e98p-7, -0x1.70b31da328815p-7, -0x1.c1feb53d7a1fdp-7, -0x1.0bd1b75883339p-6, -0x1.38c79bc79c5afp-6, -0x1.67d6d020be188p-6, -0x1.98f402a9433f8p-6, -0x1.cc12dc1f8acbdp-6, -0x1.009309e6fa131p-5, -0x1.1c0fc1996ee37p-5, -0x1.38781c95bdc6bp-5, -0x1.55c4464912895p-5, -0x1.73ec1721e888dp-5, -0x1.92e71d4165474p-5, -0x1.b2aca4d7a95ep-5, -0x1.d333c0286c886p-5, -0x1.f4734f363b0b5p-5, -0x1.0b310389c86cbp-4, -0x1.1c7b3c6ce41f7p-4, -0x1.2e138c23408ddp-4, -0x1.3ff521005ed53p-4, -0x1.521b20c3b1ed7p-4, -0x1.6480ab65a24c1p-4, -0x1.7720ddbb874cbp-4, -0x1.89f6d3f3f2583p-4, -0x1.9cfdabecb6302p-4, -0x1.b030876431cc4p-4, -0x1.c38a8e0755532p-4, -0x1.d706ef5e124cap-4, -0x1.eaa0e4978d93ep-4, -0x1.fe53b237df97fp-4, -0x1.090d54d449cf6p-3, -0x1.12f89556ceebap-3, -0x1.1ce9526002721p-3, -0x1.26dd4c27cbd68p-3, -0x1.30d24bf684234p-3, -0x1.3ac624aec8dc2p-3, -0x1.44b6b34c9e6b4p-3, -0x1.4ea1df5a7c04ep-3, -0x1.58859b5cad343p-3, -0x1.625fe533940b8p-3, -0x1.6c2ec67523ecfp-3, -0x1.75f054be0f31p-3, -0x1.7fa2b1fb06a94p-3, -0x1.89440caa58678p-3, -0x1.92d2a0164a25cp-3, -0x1.9c4cb48882ddfp-3, -0x1.a5b09f76c3c8cp-3, -0x1.aefcc3a9347dap-3, -0x1.b82f915a9401fp-3, -0x1.c1478652749a6p-3, -0x1.ca432df9cfc59p-3, -0x1.d321216a24844p-3, -0x1.dbe007775596p-3, -0x1.e47e94b4772afp-3, -0x1.ecfb8b73cee3ap-3, -0x1.f555bbc21ec0cp-3, -0x1.fd8c035d88697p-3, -0x1.02cea6d40f638p-2, -0x1.06c449cb30e29p-2, -0x1.0aa66dccec0ecp-2, -0x1.0e749cc3f1a94p-2, -0x1.122e673e85468p-2, -0x1.15d3645e742b1p-2, -0x1.196331c76ddd2p-2, -0x1.1cdd738bdcc24p-2, -0x1.2041d4184f10cp-2, -0x1.2390041d8843dp-2, -0x1.26c7ba794fbe6p-2, -0x1.29e8b41e137c1p-2, -0x1.2cf2b3f971b8fp-2, -0x1.2fe582d9bf1d2p-2, -0x1.32c0ef52a12c4p-2, -0x1.3584cda0c9491p-2, -0x1.3830f78ced548p-2, -0x1.3ac54c4e0a382p-2, -0x1.3d41b06b06cbp-2, -0x1.3fa60d9bc5229p-2, -0x1.41f252a9bc437p-2, -0x1.44267350228d3p-2, -0x1.4642681bbd1b3p-2, -0x1.48462e4a6694fp-2, -0x1.4a31c7aa58dc3p-2, -0x1.4c053a794c113p-2, -0x1.4dc09143750c4p-2, -0x1.4f63dac276347p-2, -0x1.50ef29bc486b9p-2, -0x1.526294e232eebp-2, -0x1.53be36afd29bp-2, -0x1.55022d4a40dcep-2, -0x1.562e9a5f68cdcp-2, -0x1.5743a3058a0e4p-2, -0x1.58416f9afe0a5p-2, -0x1.59282ba63fa6p-2, -0x1.59f805b63f70dp-2, -0x1.5ab12f430e0d4p-2, -0x1.5b53dc8ee364p-2, -0x1.5be044878547fp-2, -0x1.5c56a0a816c62p-2, -0x1.5cb72cdb53367p-2, -0x1.5d02275e3c86bp-2, -0x1.5d37d0a33cc0bp-2, -0x1.5d586b35c5c92p-2, -0x1.5d643b9e668c3p-2, -0x1.5d5b88476810ep-2, -0x1.5d3e9961e691ep-2, -0x1.5d0db8cb72ee1p-2, -0x1.5cc931f43a3ccp-2, -0x1.5c7151c5b2a45p-2, -0x1.5c066689d47dcp-2, -0x1.5b88bfd2dcafap-2, -0x1.5af8ae6399932p-2, -0x1.5a56841841821p-2, -0x1.59a293cfd7e39p-2, -0x1.58dd31561b712p-2, -0x1.5806b14dfe243p-2, -0x1.571f691cac13bp-2, -0x1.5627aed51804bp-2, -0x1.551fd92412f58p-2, -0x1.54083f3cebfffp-2, -0x1.52e138c697407p-2, -0x1.51ab1dc95bc26p-2, -0x1.5066469d032a9p-2, -0x1.4f130bd79228fp-2, -0x1.4db1c63c7f948p-2, -0x1.4c42ceac69c07p-2, -0x1.4ac67e1551f51p-2, -0x1.493d2d634dc74p-2, -0x1.47a73571ba9ddp-2, -0x1.4604eefce634cp-2, -0x1.4456b2943244fp-2, -0x1.429cd88cae7adp-2, -0x1.40d7b8f425a7ap-2, -0x1.3f07ab849fefap-2, -0x1.3d2d079855fffp-2, -0x1.3b48241e1004cp-2, -0x1.3959578df7da7p-2, -0x1.3760f7ded2991p-2, -0x1.355f5a7ba41dfp-2, -0x1.3354d439bc941p-2, -0x1.3141b94f2c046p-2, -0x1.2f265d4997fa9p-2, -0x1.2d03130574ff6p-2, -0x1.2ad82ca5a145p-2, -0x1.28a5fb8b5c913p-2, -0x1.266cd04e9f972p-2, -0x1.242cfab6cb46dp-2, -0x1.21e6c9b3b63bap-2, -0x1.1f9a8b570e2aep-2, -0x1.1d488cce0f862p-2, -0x1.1af11a5b94a32p-2, -0x1.18947f52739d5p-2, -0x1.1633061030a84p-2, -0x1.13ccf7f7fdca8p-2, -0x1.11629d6e07ff9p-2, -0x1.0ef43dd311c2ap-2, -0x1.0c821f8057ecp-2, -0x1.0a0c87c3bc0cap-2, -0x1.0793badc3ca15p-2, -0x1.0517fbf6ab49cp-2, -0x1.02998d2aace25p-2, -0x1.0018af77fab54p-2, -0x1.fb2b4587c27dp-3, -0x1.f6214bae09ba5p-3, -0x1.f113ecb6b85a7p-3, -0x1.ec03a1b4e09dep-3, -0x1.e6f0e177a0654p-3, -0x1.e1dc20877f696p-3, -0x1.dcc5d12447b79p-3, -0x1.d7ae634338c72p-3, -0x1.d296448db695ap-3, -0x1.cd7de060535c5p-3, -0x1.c8659fca481aap-3, -0x1.c34de98d4353ep-3, -0x1.be37221da3fe7p-3, -0x1.b921aba30721ap-3, -0x1.b40de5f933923p-3, -0x1.aefc2eb15cc31p-3, -0x1.a9ece113b3df7p-3, -0x1.a4e05621545fep-3, -0x1.9fd6e49677de5p-3, -0x1.9ad0e0ecf914ep-3, -0x1.95ce9d5f1efd2p-3, -0x1.90d069eab475fp-3, -0x1.8bd694545c9bp-3, -0x1.86e1682b301e4p-3, -0x1.81f12ecc97527p-3, -0x1.7d062f685f251p-3, -0x1.7820af0512b43p-3, -0x1.7340f0847d5abp-3, -0x1.6e6734a873fbbp-3, -0x1.6993ba17c5e3bp-3, -0x1.64c6bd6363514p-3, -0x1.6000790bb8c48p-3, -0x1.5b4125862bbb9p-3, -0x1.5688f942ca739p-3, -0x1.51d828b225e21p-3, -0x1.4d2ee64b4996bp-3, -0x1.488d6291e078ep-3, -0x1.43f3cc1c784f1p-3, -0x1.3f624f9ae5d18p-3, -0x1.3ad917dcc4e2ap-3, -0x1.36584dd81bf6dp-3, -0x1.31e018b01113ep-3, -0x1.2d709dbbbe7abp-3, -0x1.290a008d17264p-3, -0x1.24ac62f7e932ep-3, -0x1.2057e518e9114p-3, -0x1.1c0ca55cd71c9p-3, -0x1.17cac087ad1bcp-3, -0x1.139251bbdffd8p-3, -0x1.0f637281a97edp-3, -0x1.0b3e3ace60c62p-3, -0x1.0722c10bd3df3p-3, -0x1.03111a1fb3afap-3, -0x1.fe12b2e5fc53p-4, -0x1.f61721f2e455bp-4, -0x1.ee2fa271fa68dp-4, -0x1.e65c52a27733ep-4, -0x1.de9d4e05d1b91p-4, -0x1.d6f2ad6eac5b8p-4, -0x1.cf5c870fc72cp-4, -0x1.c7daee8ad6104p-4, -0x1.c06df4ff64fcfp-4, -0x1.b915a9199e479p-4, -0x1.b1d2172110f84p-4, -0x1.aaa349075e7bp-4, -0x1.a3894676df844p-4, -0x1.9c8414e130559p-4, -0x1.9593b78da78a9p-4, -0x1.8eb82fa7b6358p-4, -0x1.87f17c4d32579p-4, -0x1.813f9a9c83cb8p-4, -0x1.7aa285c2b5eb7p-4, -0x1.741a370969b9bp-4, -0x1.6da6a5e4ae2c9p-4, -0x1.6747c800afd79p-4, -0x1.60fd914f4ee5p-4, -0x1.5ac7f4158da78p-4, -0x1.54a6e0f8d9dfep-4, -0x1.4e9a470c340f5p-4, -0x1.48a213dd2d9efp-4, -0x1.42be3380bfcc4p-4, -0x1.3cee909ffbe1bp-4, -0x1.373314848f74ap-4, -0x1.318ba7251fd24p-4, -0x1.2bf82f3179cc2p-4, -0x1.2678921e966acp-4, -0x1.210cb43274864p-4, -0x1.1bb4788fc00eap-4, -0x1.166fc1415354bp-4, -0x1.113e6f458304bp-4, -0x1.0c2062994204cp-4, -0x1.07157a431222p-4, -0x1.021d945dc42fdp-4, -0x1.fa711c46206f2p-5, -0x1.f0cc87ebe4652p-5, -0x1.e74d22d9c2963p-5, -0x1.ddf2a2b7a2eb3p-5, -0x1.d4bcbbbc07356p-5, -0x1.cbab20bf53325p-5, -0x1.c2bd834eab5c6p-5, -0x1.b9f393be75c9fp-5, -0x1.b14d013c7b59p-5, -0x1.a8c979e1a21e1p-5, -0x1.a068aac350366p-5, -0x1.982a400460d4ap-5, -0x1.900de4e5c4dbap-5, -0x1.881343d6bcbc9p-5, -0x1.803a0684b5175p-5, -0x1.7881d5eac2f44p-5, -0x1.70ea5a60c20bbp-5, -0x1.69733baa0fd5ap-5, -0x1.621c2103f607p-5, -0x1.5ae4b133a639fp-5, -0x1.53cc9293eaa51p-5, -0x1.4cd36b226bdcap-5, -0x1.45f8e08cab484p-5, -0x1.3f3c983c94657p-5, -0x1.389e3764c156p-5, -0x1.321d630c617d9p-5, -0x1.2bb9c01ac7cecp-5, -0x1.2572f362a6c3cp-5, -0x1.1f48a1acf6d74p-5, -0x1.193a6fc38182cp-5, -0x1.1348027b25de6p-5, -0x1.0d70febdc16bdp-5, -0x1.07b50993c68ccp-5, -0x1.0213c82d8e5cfp-5, -0x1.f919bfd89d6f6p-6, -0x1.ee3fecd5968dfp-6, -0x1.e399630b6c00ap-6, -0x1.d9256ec78e4dap-6, -0x1.cee35cfb107e9p-6, -0x1.c4d27b49ae7b7p-6, -0x1.baf218184540bp-6, -0x1.b141829ac3454p-6, -0x1.a7c00ae177bbep-6, -0x1.9e6d01e602d4bp-6, -0x1.9547b99791da3p-6, -0x1.8c4f84e6b7619p-6, -0x1.8383b7d0c0988p-6, -0x1.7ae3a76a78e8ep-6, -0x1.726ea9ea88fc4p-6, -0x1.6a2416b347999p-6, -0x1.6203465c2b848p-6, -0x1.5a0b92bab2073p-6, -0x1.523c56eae3acbp-6, -0x1.4a94ef575a512p-6, -0x1.4314b9c0f5917p-6, -0x1.3bbb1545fe455p-6, -0x1.3487626907d34p-6, -0x1.2d79031751733p-6, -0x1.268f5aaecec66p-6, -0x1.1fc9ce03d0bbcp-6, -0x1.1927c3664ec0dp-6, -0x1.12a8a2a6d0f36p-6, -0x1.0c4bd51b07fdcp-6, -0x1.0610c5a1fb66p-6, -0x1.ffedc14ff8197p-7, -0x1.f3fb28546b1f6p-7, -0x1.e8489f73dc18cp-7, -0x1.dcd508fef25c6p-7, -0x1.d19f4a79c2b3fp-7, -0x1.c6a64ca092256p-7, -0x1.bbe8fb6befd9bp-7, -0x1.b16646146de7ap-7, -0x1.a71d1f159c205p-7, -0x1.9d0c7c30ae698p-7, -0x1.9333566ea036p-7, -0x1.8990aa21aae2p-7, -0x1.802376e689656p-7, -0x1.76eabfa50ab1dp-7, -0x1.6de58a906a5cbp-7, -0x1.6512e12712b2ap-7, -0x1.5c71d0320d29dp-7, -0x1.540167c40c181p-7, -0x1.4bc0bb37fe2fdp-7, -0x1.43aee12f6deb2p-7, -0x1.3bcaf390557dcp-7, -0x1.34140f82c9f73p-7, -0x1.2c89556e27967p-7, -0x1.2529e8f611ecfp-7, -0x1.1df4f0f70fa9p-7, -0x1.16e99782f0791p-7, -0x1.100709dccaed9p-7, -0x1.094c7874db651p-7, -0x1.02b916e40cb1dp-7, -0x1.f89837ce804e1p-8, -0x1.ec0982b4e6e4ep-8, -0x1.dfc48866fe9a1p-8, -0x1.d3c7c8f9b6c2p-8, -0x1.c811ca9fdb973p-8, -0x1.bca1199ec8626p-8, -0x1.b174484284bb9p-8, -0x1.a689eed16f847p-8, -0x1.9be0ab7fd62e2p-8, -0x1.91772263049b8p-8, -0x1.874bfd64396ep-8, -0x1.7d5dec333f677p-8, -0x1.73aba4389b8e5p-8, -0x1.6a33e087e0c16p-8, -0x1.60f561d164431p-8, -0x1.57eeee53fa262p-8, -0x1.4f1f51ce6b141p-8, -0x1.46855d70c383bp-8, -0x1.3e1fe7cd774ebp-8, -0x1.35edccca47a27p-8, -0x1.2deded913a64bp-8, -0x1.261f30813545p-8, -0x1.1e80811ea068p-8, -0x1.1710d003fe188p-8, -0x1.0fcf12d22fb74p-8, -0x1.08ba4420e7242p-8, -0x1.01d1636ee33c7p-8, -0x1.f626ea245ca2fp-9, -0x1.e8ff04508333dp-9, -0x1.dc29310c63d94p-9, -0x1.cfa39551933ffp-9, -0x1.c36c5f4937df4p-9, -0x1.b781c62c531c1p-9, -0x1.abe20a23ec953p-9, -0x1.a08b74293ce03p-9, -0x1.957c55e5f22b1p-9, -0x1.8ab309948ad29p-9, -0x1.802df1e095832p-9, -0x1.75eb79c74adc2p-9, -0x1.6bea1478027bap-9, -0x1.62283d34f64a3p-9, -0x1.58a47733dc1dep-9, -0x1.4f5d4d7f0949fp-9, -0x1.465152d6448d7p-9, -0x1.3d7f21903f346p-9, -0x1.34e55b7bcbcacp-9, -0x1.2c82a9c184d73p-9, -0x1.2455bcc57ff77p-9, -0x1.1c5d4c093eea3p-9, -0x1.1498160de3962p-9, -0x1.0d04e0368b79p-9, -0x1.05a276aae7e3bp-9, -0x1.fcdf587401fcdp-10, -0x1.eed6b47ae5ecap-10, -0x1.e128c0f8baf5ep-10, -0x1.d3d34a1eb202cp-10, -0x1.c6d428881546fp-10, -0x1.ba29410266908p-10, -0x1.add0845658054p-10, -0x1.a1c7ef108db55p-10, -0x1.960d894bbf951p-10, -0x1.8a9f667af1fc6p-10, -0x1.7f7ba534125a2p-10, -0x1.74a06efbd2889p-10, -0x1.6a0bf81180c1ap-10, -0x1.5fbc7f3b9dd99p-10, -0x1.55b04d9518fbdp-10, -0x1.4be5b65b440d9p-10, -0x1.425b16bbe9d74p-10, -0x1.390ed5a4a3ef7p-10, -0x1.2fff63926fb27p-10, -0x1.272b3a61cb762p-10, -0x1.1e90dd1fa4085p-10, -0x1.162ed7dac5e7dp-10, -0x1.0e03bf75f2df5p-10, -0x1.060e317aa00fbp-10, -0x1.fc99a7d89d1ffp-11, -0x1.ed7caa386a3c8p-11, -0x1.dec2d6fd253b4p-11, -0x1.d069aafdb8d14p-11, -0x1.c26eb2acb7329p-11, -0x1.b4cf89c45af59p-11, -0x1.a789daf49e8a4p-11, -0x1.9a9b5f93106c5p-11, -0x1.8e01df4b100a6p-11, -0x1.81bb2fcfb52bap-11, -0x1.75c5348e8ac69p-11, -0x1.6a1dde63a992ep-11, -0x1.5ec32b4fe8f5cp-11, -0x1.53b3262ea0eaap-11, -0x1.48ebe66d77b06p-11, -0x1.3e6b8fc67026ap-11, -0x1.343051f8d167fp-11, -0x1.2a3868855ad0ep-11, -0x1.20821a6a14b95p-11, -0x1.170bb9e0be69ap-11, -0x1.0dd3a41cc9725p-11, -0x1.04d8410c0a1dep-11, -0x1.f830062f126d8p-12, -0x1.e722cdcb5b4cdp-12, -0x1.d685e63aa9fe7p-12, -0x1.c6567055558fep-12, -0x1.b691a008830fep-12, -0x1.a734bbe3841ap-12, -0x1.983d1ca791c4p-12, -0x1.89a82cd89c843p-12, -0x1.7b73685193c07p-12, -0x1.6d9c5bd852641p-12, -0x1.6020a4b6c988bp-12, -0x1.52fdf0543d95dp-12, -0x1.4631fbcfe6426p-12, -0x1.39ba939f8f9cp-12, -0x1.2d95932edaedfp-12, -0x1.21c0e480f4d02p-12, -0x1.163a7fd2fb4ccp-12, -0x1.0b006b420e931p-12, -0x1.0010ba71aeadp-12, -0x1.ead31c6b2722bp-13, -0x1.d612287646f75p-13, -0x1.c1db0d6d7f006p-13, -0x1.ae2a5824d6b45p-13, -0x1.9afcad3815e23p-13, -0x1.884ec8720309bp-13, -0x1.761d7c2faa968p-13, -0x1.6465b0cc49603p-13, -0x1.5324640dfa9f5p-13, -0x1.4256a8956c803p-13, -0x1.31f9a552aec1ap-13, -0x1.220a94fb5a4d3p-13, -0x1.1286c583da735p-13, -0x1.036b979c644fp-13, -0x1.e96cfc6145a0fp-14, -0x1.ccc9fbd45f821p-14, -0x1.b0e9596b67d73p-14, -0x1.95c6629901cabp-14, -0x1.7b5c857ccd784p-14, -0x1.61a74fffe7322p-14, -0x1.48a26ef52c864p-14, -0x1.3049ad3ed5511p-14, -0x1.1898f2fc4b325p-14, -0x1.018c44b58433bp-14, -0x1.d63f852df48bdp-15, -0x1.aa9f4f4c72916p-15, -0x1.803092084d90fp-15, -0x1.56ec2a6155fe3p-15, -0x1.2ecb26a1cd583p-15, -0x1.07c6c4fbd220ep-15, -0x1.c3b0e453fc181p-16, -0x1.79f39038eaf79p-16, -0x1.32491957f0aep-16, -0x1.d94ac15e61ce2p-17, -0x1.51f9341ec544ap-17, -0x1.9d0d26fa7a6e9p-18, -0x1.3b72107a06b5bp-19, 0x1.68d5ed4927d33p-20, 0x1.4ae8c4b82f4eep-18, 0x1.1a450b9e21ab3p-17, 0x1.8ba0d06de0444p-17, 0x1.f99b413654f8fp-17, 0x1.3223b5e3ce7c3p-16, 0x1.65dbefa3a2ccap-16, 0x1.97ff57f490567p-16, 0x1.c896bd50869bcp-16, 0x1.f7aab45d23eecp-16, 0x1.12a1ccd245f19p-15, 0x1.28b4c9a370b82p-15, 0x1.3e124950f8374p-15, 0x1.52be2af03b15ep-15, 0x1.66bc34ca52e85p-15, 0x1.7a101515b121p-15, 0x1.8cbd62b97c13fp-15, 0x1.9ec79dfd029fep-15, 0x1.b032313ebd254p-15, 0x1.c1007199c662p-15, 0x1.d1359f92ca8c7p-15, 0x1.e0d4e7b5073fap-15, 0x1.efe16332347bep-15, 0x1.fe5e1879ee3b2p-15, 0x1.0626fde75ebfap-14, 0x1.0cd9f7ea3284bp-14, 0x1.1349630ec3447p-14, 0x1.19769fd83d46p-14, 0x1.1f6306c57ff6bp-14, 0x1.250fe890b3b91p-14, 0x1.2a7e8e6d10604p-14, 0x1.2fb03a40d0957p-14, 0x1.34a626e1e796p-14, 0x1.3961884b0efap-14, 0x1.3de38bd420182p-14, 0x1.422d5865971ap-14, 0x1.46400eab80ba1p-14, 0x1.4a1cc946c1ed3p-14, 0x1.4dc49cfcd1ca9p-14, 0x1.513898e53dccbp-14, 0x1.5479c696e4ee8p-14, 0x1.57892a523fcd8p-14, 0x1.5a67c32c31e1bp-14, 0x1.5d168b353c6a1p-14, 0x1.5f9677a17ee2dp-14, 0x1.61e878ed7be84p-14, 0x1.640d7b02bdd98p-14, 0x1.6606655b69d89p-14, 0x1.67d41b236febdp-14, 0x1.69777b59485ecp-14, 0x1.6af160eefde12p-14, 0x1.6c42a2e6c3b22p-14, 0x1.6d6c1471c1fcep-14, 0x1.6e6e850c4f9a4p-14, 0x1.6f4ac098fdb7ap-14, 0x1.70018f7b7842ep-14, 0x1.7093b6b19f1cp-14, 0x1.7101f7ec7a597p-14, 0x1.714d11a7ae1eap-14, 0x1.7175bf402e0e2p-14, 0x1.717cb90a97331p-14, 0x1.7162b468747f9p-14, 0x1.712863dbd3aa1p-14, 0x1.70ce771c2fc74p-14, 0x1.70559b283ac9cp-14, 0x1.6fbe7a58ab22cp-14, 0x1.6f09bc718a946p-14, 0x1.6e3806b2861c8p-14, 0x1.6d49fbe878961p-14, 0x1.6c403c7b746a2p-14, 0x1.6b1b667eabb77p-14, 0x1.69dc15be77501p-14, 0x1.6882e3cdf6ac2p-14, 0x1.671068152f0aap-14, 0x1.658537dc9c78ap-14, 0x1.63e1e65a40eddp-14, 0x1.622704bd0229ep-14, 0x1.6055223806da3p-14, 0x1.5e6ccc0d2a472p-14, 0x1.5c6e8d9887694p-14, 0x1.5a5af058c1bfp-14, 0x1.58327bf9c86bfp-14, 0x1.55f5b65dc5b0bp-14, 0x1.53a523a540d7bp-14, 0x1.5141463840d5dp-14, 0x1.4eca9ecdd79d9p-14, 0x1.4c41ac7479e89p-14, 0x1.49a6ec98a140fp-14, 0x1.46fadb0c4e809p-14, 0x1.443df20dbdb01p-14, 0x1.4170aa4e0da5fp-14, 0x1.3e937af6fa661p-14, 0x1.3ba6d9b170c19p-14, 0x1.38ab3aaad933cp-14, 0x1.35a1109a924e1p-14, 0x1.3288ccc789f1bp-14, 0x1.2f62df0ca0b04p-14, 0x1.2c2fb5ddd6efap-14, 0x1.28efbe4cf3aa2p-14, 0x1.25a3640dd3a25p-14, 0x1.224b117a9209ap-14, 0x1.1ee72f9789b38p-14, 0x1.1b7826173c859p-14, 0x1.17fe5b5e061fbp-14, 0x1.147a34858f779p-14, 0x1.10ec156055016p-14, 0x1.0d54607cf477p-14, 0x1.09b377296cbf4p-14, 0x1.0609b97588b9ap-14, 0x1.025786366d547p-14, 0x1.fd3a7611d7b0cp-15, 0x1.f5b668a8f045p-15, 0x1.ee239a9b8b646p-15, 0x1.e682bff1a4e05p-15, 0x1.ded48a57227efp-15, 0x1.d719a9205c777p-15, 0x1.cf52c94f0e0ebp-15, 0x1.c78095955166bp-15, 0x1.bfa3b65b22058p-15, 0x1.b7bcd1c1eee24p-15, 0x1.afcc8ba8287b8p-15, 0x1.a7d385acecd52p-15, 0x1.9fd25f34a536bp-15, 0x1.97c9b56bce197p-15, 0x1.8fba234a624c1p-15, 0x1.87a44197a30a8p-15, 0x1.7f88a6ecf07ecp-15, 0x1.7767e7b98d29bp-15, 0x1.6f4296457df47p-15, 0x1.671942b4cd569p-15, 0x1.5eec7b0a740ccp-15, 0x1.56bccb2c182f1p-15, 0x1.4e8abce326efep-15, 0x1.4656d7e1a8656p-15, 0x1.3e21a1c4c9231p-15, 0x1.35eb9e16d864ap-15, 0x1.2db54e53049e6p-15, 0x1.257f31e70dff7p-15, 0x1.1d49c63769b08p-15, 0x1.151586a145c2cp-15, 0x1.0ce2ec7d9ef03p-15, 0x1.04b26f23d221ep-15, 0x1.f90907d92d9e1p-16, 0x1.e8b33c682cbf8p-16, 0x1.d8645ebad2a99p-16, 0x1.c81d4daa72c16p-16, 0x1.b7dee4285d15ap-16, 0x1.a7a9f9438deeap-16, 0x1.977f602edc312p-16, 0x1.875fe845c0e7ap-16, 0x1.774c5d12619ep-16, 0x1.67458652c0667p-16, 0x1.574c27ff5fb0ap-16, 0x1.476102503fde2p-16, 0x1.3784d1c2ae878p-16, 0x1.27b84f1deab6ep-16, 0x1.17fc2f7b5ad3ap-16, 0x1.0851244ac7a8ep-16, 0x1.f16fb6b169262p-17, 0x1.d261fda6de31p-17, 0x1.b37a6aa464956p-17, 0x1.94ba43b4b35b9p-17, 0x1.7622c7cb82a6ap-17, 0x1.57b52ed2984b6p-17, 0x1.3972a9b6e4fa5p-17, 0x1.1b5c6273b823cp-17, 0x1.fae6f83b14bd2p-18, 0x1.bf7225e19d9cbp-18, 0x1.845c78bc5e199p-18, 0x1.49a80e3287d67p-18, 0x1.0f56f64641bd4p-18, 0x1.aad6676065603p-19, 0x1.37cd77f4755e8p-19, 0x1.8b2dde641eebdp-20, 0x1.50da103552b8p-21, -0x1.c502c39a83d5fp-23, -0x1.17f33bd98979bp-20, -0x1.f584cd43fadacp-20, -0x1.68a7350655706p-19, -0x1.d5a4d0ac9cee1p-19, -0x1.20dc0ce750964p-18, -0x1.566f0489a474p-18, -0x1.8b89d7abb2ca2p-18, -0x1.c02b1abcef7b2p-18, -0x1.f4516e0d16a4fp-18, -0x1.13fdbed9f073cp-17, -0x1.2d9400b89e9f7p-17, -0x1.46eade4787b2ap-17, -0x1.6001bee284067p-17, -0x1.78d80f8d99892p-17, -0x1.916d42e604021p-17, -0x1.a9c0d114c631cp-17, -0x1.c1d237be3f461p-17, -0x1.d9a0f9f356dcap-17, -0x1.f12ca0223e5e6p-17, -0x1.043a5c03bb0c4p-16, -0x1.0fbc6a502a474p-16, -0x1.1b1c470cf9bbep-16, -0x1.2659c0e184582p-16, -0x1.3174a8fe80779p-16, -0x1.3c6cd315581e3p-16, -0x1.47421550d4971p-16, -0x1.51f4484e080b1p-16, -0x1.5c8347145e339p-16, -0x1.66eeef0ddd53dp-16, -0x1.71371ffffdcc4p-16, -0x1.7b5bbc02fa682p-16, -0x1.855ca77a7861ap-16, -0x1.8f39c90e0aa6dp-16, -0x1.98f309a1abc02p-16, -0x1.a288544d3b83p-16, -0x1.abf996558ed9fp-16, -0x1.b546bf24ad23cp-16, -0x1.be6fc041cf9a6p-16, -0x1.c7748d4941be4p-16, -0x1.d0551be50730dp-16, -0x1.d91163c57b13fp-16, -0x1.e1a95e99cefb4p-16, -0x1.ea1d0807fecc1p-16, -0x1.f26c5da516099p-16, -0x1.fa975eed201a1p-16, -0x1.014f069e7b816p-15, -0x1.054035e478119p-15, -0x1.091f3fcb5b3bep-15, -0x1.0cec27baa72a5p-15, -0x1.10a6f1fa838d8p-15, -0x1.144fa3b042427p-15, -0x1.17e642da8b56fp-15, -0x1.1b6ad64d7651cp-15, -0x1.1edd65aed9e1cp-15, -0x1.223df97328c93p-15, -0x1.258c9ad92ffebp-15, -0x1.28c953e6a5698p-15, -0x1.2bf42f6442f6bp-15, -0x1.2f0d38da4a86bp-15, -0x1.32147c8d208d3p-15, -0x1.350a07794aafep-15, -0x1.37ede7500fce3p-15, -0x1.3ac02a7413b5fp-15, -0x1.3d80dff5b0e92p-15, -0x1.4030178f422ddp-15, -0x1.42cde1a193064p-15, -0x1.455a4f30a58d7p-15, -0x1.47d571e052222p-15, -0x1.4a3f5bf0a1e55p-15, -0x1.4c98203a80c5bp-15, -0x1.4edfd22c3f9f7p-15, -0x1.511685c63fcb7p-15, -0x1.533c4f97bc95cp-15, -0x1.555144bb445bap-15, -0x1.57557ad3a77a9p-15, -0x1.594908087c3d8p-15, -0x1.5b2c0303012f3p-15, -0x1.5cfe82eaed0d2p-15, -0x1.5ec09f6336709p-15, -0x1.60727086b547p-15, -0x1.62140ee53e11cp-15, -0x1.63a5938094cb3p-15, -0x1.652717c909b04p-15, -0x1.6698b59ac74ccp-15, -0x1.67fa873aa88ep-15, -0x1.694ca752ef7d1p-15, -0x1.6a8f30f0c4a77p-15, -0x1.6bc23f80f4551p-15, -0x1.6ce5eecd0d064p-15, -0x1.6dfa5af8d6efp-15, -0x1.6effa07ef683fp-15, -0x1.6ff5dc2e558c6p-15, -0x1.70dd2b275852dp-15, -0x1.71b5aad91d47ap-15, -0x1.727f78feca556p-15, -0x1.733ab39ca8d87p-15, -0x1.73e778fd85535p-15, -0x1.7485e7b055638p-15, -0x1.75161e8534bdep-15, -0x1.75983c8af3004p-15, -0x1.760c610cba5f2p-15, -0x1.7672ab8f44d65p-15, -0x1.76cb3bce6b0f3p-15, -0x1.771631ba80d6cp-15, -0x1.7753ad768343p-15, -0x1.7783cf552756ap-15, -0x1.77a6b7d68448fp-15, -0x1.77bc87a5b079cp-15, -0x1.77c55f96dc7ecp-15, -0x1.77c160a4d626p-15, -0x1.77b0abee5ca2bp-15, -0x1.779362b47b039p-15, -0x1.7769a6581cdd1p-15, -0x1.77339857e8d9p-15, -0x1.76f15a4e03226p-15, -0x1.76a30dee36dc6p-15, -0x1.7648d503b8ea3p-15, -0x1.75e2d16f33227p-15, -0x1.7571252486badp-15, -0x1.74f3f229318dfp-15, -0x1.746b5a920c344p-15, -0x1.73d78081731eap-15, -0x1.73388625abdbdp-15, -0x1.728e8db6a8995p-15, -0x1.71d9b9743d7dap-15, -0x1.711a2ba490bcep-15, -0x1.705006924f971p-15, -0x1.6f7b6c8abb586p-15, -0x1.6e9c7fdc0b60ap-15, -0x1.6db362d3b5962p-15, -0x1.6cc037bd0b275p-15, -0x1.6bc320df4d1bbp-15, -0x1.6abc407c038cap-15, -0x1.69abb8cdf0828p-15, -0x1.6891ac06db628p-15, -0x1.676e3c4e81ff2p-15, -0x1.66418bc0daeacp-15, -0x1.650bbc6d01d8dp-15, -0x1.63ccf05341bc9p-15, -0x1.628549643acf7p-15, -0x1.6134e97ef2cf7p-15, -0x1.5fdbf27014f6cp-15, -0x1.5e7a85f072ffp-15, -0x1.5d10c5a3373dep-15, -0x1.5b9ed31518004p-15, -0x1.5a24cfbb4bd8bp-15, -0x1.58a2dcf20311dp-15, -0x1.57191bfb409b2p-15, -0x1.5587adfdacd59p-15, -0x1.53eeb40381f4ap-15, -0x1.524e4ef988f27p-15, -0x1.50a69fadd438ap-15, -0x1.4ef7c6cec706fp-15, -0x1.4d41e4ea1152ep-15, -0x1.4b851a6b94f3dp-15, -0x1.49c1879c80224p-15, -0x1.47f74ca2846dap-15, -0x1.4626897eb1759p-15, -0x1.444f5e0c3780ap-15, -0x1.4271ea0029274p-15, -0x1.408e4ce85f6bfp-15, -0x1.3ea4a62a2aa9fp-15, -0x1.3cb515020c534p-15, -0x1.3abfb8832b82dp-15, -0x1.38c4af95d7ccap-15, -0x1.36c418f6f1338p-15, -0x1.34be13377d278p-15, -0x1.32b2bcbbb23f8p-15, -0x1.30a233ba7a7b9p-15, -0x1.2e8c963c78826p-15, -0x1.2c72021b89877p-15, -0x1.2a5295022e55p-15, -0x1.282e6c6aed219p-15, }}, 
      {{-0x1.b538c7189386bp-8, -0x1.b5bab509ac5a9p-7, -0x1.4920b12e60d42p-6, -0x1.b8bc9b6fb253fp-6, -0x1.1535fbb0ca759p-5, -0x1.4f7111a65e864p-5, -0x1.8b59692a59afap-5, -0x1.c921331026c03p-5, -0x1.046fa3634f873p-4, -0x1.2547693538dd1p-4, -0x1.4708bdc548ebap-4, -0x1.699986956abp-4, -0x1.8cd6faef3ab33p-4, -0x1.b0980313f726fp-4, -0x1.d4af84fd9de3ap-4, -0x1.f8ee7e0fc2332p-4, -0x1.0e92eb8b68ffp-3, -0x1.2093f522f2c5ep-3, -0x1.3264dd0ca96bap-3, -0x1.43f1ee63101adp-3, -0x1.5529916323f77p-3, -0x1.65fc80506a81bp-3, -0x1.765de25510c85p-3, -0x1.864350b956996p-3, -0x1.95a4ca95a18fdp-3, -0x1.a47c9acb611fdp-3, -0x1.b2c733a8b7fb7p-3, -0x1.c083032ca62b4p-3, -0x1.cdb042735503ep-3, -0x1.da50c269987f7p-3, -0x1.e667b7859dfep-3, -0x1.f1f985eb420f5p-3, -0x1.fd0b8f14c0f5fp-3, -0x1.03d200ea6afccp-2, -0x1.08e4d6a6ad27p-2, -0x1.0dc1eba21df68p-2, -0x1.126d0b0bfe99cp-2, -0x1.16ea1739b13d5p-2, -0x1.1b3cfa628b096p-2, -0x1.1f6999357f485p-2, -0x1.2373c7384d9c4p-2, -0x1.275f3cd9f1977p-2, -0x1.2b2f8f1dc1b3bp-2, -0x1.2ee828c1e94f8p-2, -0x1.328c44c25287ap-2, -0x1.361eea187830ap-2, -0x1.39a2e898af131p-2, -0x1.3d1ad6ce4b4b9p-2, -0x1.408910b91449dp-2, -0x1.43efb75017541p-2, -0x1.4750b0af8ce8fp-2, -0x1.4aada8d96bc4fp-2, -0x1.4e0812f230e78p-2, -0x1.51612ae54f355p-2, -0x1.54b9f75eb3fccp-2, -0x1.58134c089a8d6p-2, -0x1.5b6dcbfec16b9p-2, -0x1.5ec9ec69b509bp-2, -0x1.6227f7368c59cp-2, -0x1.65880de0d525p-2, -0x1.68ea2c45df853p-2, -0x1.6c4e2b79c0bc4p-2, -0x1.6fb3c49790b4cp-2, -0x1.731a93876d5a7p-2, -0x1.768219b5a3d65p-2, -0x1.79e9c0b74cc83p-2, -0x1.7d50dcd942149p-2, -0x1.80b6af9715f2dp-2, -0x1.841a69f824ce1p-2, -0x1.877b2ed17185dp-2, -0x1.8ad814eb51ceap-2, -0x1.8e30290a61eb9p-2, -0x1.91826fdb6f439p-2, -0x1.94cde7c26857dp-2, -0x1.98118a8c7cc28p-2, -0x1.9b4c4f05ddd64p-2, -0x1.9e7d2a73ac9acp-2, -0x1.a1a311f2c2df6p-2, -0x1.a4bcfbbc2142cp-2, -0x1.a7c9e04fda919p-2, -0x1.aac8bb876b4d3p-2, -0x1.adb88d9073a3ep-2, -0x1.b0985bd0c8d3dp-2, -0x1.b36731b4ed552p-2, -0x1.b6242169e451ap-2, -0x1.b8ce44837039p-2, -0x1.bb64bc8fb32a6p-2, -0x1.bde6b39937c4ep-2, -0x1.c0535c985361cp-2, -0x1.c2a9f3d4da35bp-2, -0x1.c4e9bf390ee2dp-2, -0x1.c7120e96b622cp-2, -0x1.c9223bdf28ae8p-2, -0x1.cb19ab4f3fba5p-2, -0x1.ccf7cb8fe504cp-2, -0x1.cebc15cc0f751p-2, -0x1.d0660dbceb9bp-2, -0x1.d1f541ace4d0cp-2, -0x1.d3694a723e0bdp-2, -0x1.d4c1cb61e1ec4p-2, -0x1.d5fe723b02368p-2, -0x1.d71ef70c2b355p-2, -0x1.d8231c1249acep-2, -0x1.d90aad9239c8ep-2, -0x1.d9d581ad57f8ep-2, -0x1.da83783192d39p-2, -0x1.db147a656e9a4p-2, -0x1.db887ad06a101p-2, -0x1.dbdf75002c725p-2, -0x1.dc196d4adb8f9p-2, -0x1.dc36708efa504p-2, -0x1.dc3693f1233f8p-2, -0x1.dc19f497ee3f7p-2, -0x1.dbe0b7665487fp-2, -0x1.db8b08b4d4e86p-2, -0x1.db191c099c782p-2, -0x1.da8b2bcff4ccbp-2, -0x1.d9e1790f2d5dbp-2, -0x1.d91c4b213cc82p-2, -0x1.d83bef694970cp-2, -0x1.d740b90a43bdbp-2, -0x1.d62b009dc9528p-2, -0x1.d4fb23eb6e546p-2, -0x1.d3b185a0960f9p-2, -0x1.d24e8d08fe9c3p-2, -0x1.d0d2a5c81f2e3p-2, -0x1.cf3e3f936f0cdp-2, -0x1.cd91cdedba249p-2, -0x1.cbcdc7e38f827p-2, -0x1.c9f2a7c8e9646p-2, -0x1.c800eaf819dd2p-2, -0x1.c5f911921208ep-2, -0x1.c3db9e4010232p-2, -0x1.c1a915f6c5351p-2, -0x1.bf61ffbafb268p-2, -0x1.bd06e467c4705p-2, -0x1.ba984e76406c1p-2, -0x1.b816c9c6fbbdep-2, -0x1.b582e36cefea4p-2, -0x1.b2dd297a259e2p-2, -0x1.b0262ace00414p-2, -0x1.ad5e76e53657ap-2, -0x1.aa869dab7019dp-2, -0x1.a79f2f4e91fadp-2, -0x1.a4a8bc13b54f4p-2, -0x1.a1a3d42dc4169p-2, -0x1.9e910795be7fdp-2, -0x1.9b70e5e4a23e6p-2, -0x1.9843fe2ef09b2p-2, -0x1.950adee1cf4d5p-2, -0x1.91c615a1c094ap-2, -0x1.8e762f2ae9cbp-2, -0x1.8b1bb732e5c87p-2, -0x1.87b7384c196d7p-2, -0x1.84493bca88203p-2, -0x1.80d249aa1d3e6p-2, -0x1.7d52e87663796p-2, -0x1.79cb9d33a6991p-2, -0x1.763ceb4971213p-2, -0x1.72a7546e64877p-2, -0x1.6f0b58955ec8fp-2, -0x1.6b6975dbe8888p-2, -0x1.67c22879def46p-2, -0x1.6415eab257b13p-2, -0x1.606534c5aef4fp-2, -0x1.5cb07ce4b9aa3p-2, -0x1.58f8372517a4bp-2, -0x1.553cd57694c2bp-2, -0x1.517ec79995e47p-2, -0x1.4dbe7b1688efep-2, -0x1.49fc5b364ce0fp-2, -0x1.4638d0fb89fbcp-2, -0x1.4274431cf469ap-2, -0x1.3eaf16006a4c4p-2, -0x1.3ae9abb6ecd6cp-2, -0x1.372463f9681cp-2, -0x1.335f9c263f043p-2, -0x1.2f9baf3f97039p-2, -0x1.2bd8f5ea5ebbcp-2, -0x1.2817c66dfc2e3p-2, -0x1.245874b4a988bp-2, -0x1.209b524c6c50bp-2, -0x1.1ce0ae68aa024p-2, -0x1.1928d5e4488aap-2, -0x1.157413445e933p-2, -0x1.11c2aebb63585p-2, -0x1.0e14ee2cdb66fp-2, -0x1.0a6b15317d6c1p-2, -0x1.06c5651bc415ap-2, -0x1.03241cfceb446p-2, -0x1.ff0ef3549b1bdp-3, -0x1.f7df6b8648879p-3, -0x1.f0ba136d2f0aap-3, -0x1.e99f57944d70dp-3, -0x1.e28fa040b326cp-3, -0x1.db8b517f73713p-3, -0x1.d492cb341e568p-3, -0x1.cda66927abe29p-3, -0x1.c6c68317e28f4p-3, -0x1.bff36cc71cac8p-3, -0x1.b92d760c704cdp-3, -0x1.b274eae429e03p-3, -0x1.abca138096daep-3, -0x1.a52d345b13359p-3, -0x1.9e9e8e4557239p-3, -0x1.981e5e7af60bdp-3, -0x1.91acdeb31328ap-3, -0x1.8b4a453236b45p-3, -0x1.84f6c4dc4b8b7p-3, -0x1.7eb28d46b10a2p-3, -0x1.787dcaca69f0fp-3, -0x1.7258a6964faebp-3, -0x1.6c4346c15c8a1p-3, -0x1.663dce5ceddf9p-3, -0x1.60485d870d69bp-3, -0x1.5a63117cb37f3p-3, -0x1.548e04abfb3ebp-3, -0x1.4ec94ec64fb0ap-3, -0x1.491504d28129cp-3, -0x1.4371393ec3ce9p-3, -0x1.3dddfbf297382p-3, -0x1.385b5a608e6e8p-3, -0x1.32e95f97f6768p-3, -0x1.2d8814565c533p-3, -0x1.28377f18e70d5p-3, -0x1.22f7a42d8be7p-3, -0x1.1dc885c413107p-3, -0x1.18aa23fef3e6p-3, -0x1.139c7d03f47d2p-3, -0x1.0e9f8d0ca6018p-3, -0x1.09b34e769ab4bp-3, -0x1.04d7b9d376fb5p-3, -0x1.000cc5f8ba4a3p-3, -0x1.f6a4d01eb1268p-4, -0x1.ed51274626f94p-4, -0x1.e41e756333134p-4, -0x1.db0c9b72cbde1p-4, -0x1.d21b7790c76b9p-4, -0x1.c94ae5149883p-4, -0x1.c09abcad9b17bp-4, -0x1.b80ad47ed7872p-4, -0x1.af9b003a3595cp-4, -0x1.a74b113b4096cp-4, -0x1.9f1ad6a1609a4p-4, -0x1.970a1d697f4cep-4, -0x1.8f18b087388fdp-4, -0x1.874658fd7eda5p-4, -0x1.7f92ddf6b5283p-4, -0x1.77fe04dc48d62p-4, -0x1.7087916dbfcf5p-4, -0x1.692f45d7445f7p-4, -0x1.61f4e2c7a6916p-4, -0x1.5ad82785e12d9p-4, -0x1.53d8d2060ed06p-4, -0x1.4cf69efde4365p-4, -0x1.463149f8a25d3p-4, -0x1.3f888d6a8a56cp-4, -0x1.38fc22c3ca587p-4, -0x1.328bc282f21d7p-4, -0x1.2c372446e167fp-4, -0x1.25fdfee03ee1bp-4, -0x1.1fe008626daf9p-4, -0x1.19dcf63409753p-4, -0x1.13f47d1eeb11ap-4, -0x1.0e26515fb3f9dp-4, -0x1.087226b4dfa9p-4, -0x1.02d7b06d65e2p-4, -0x1.faad42edcaa0fp-5, -0x1.efdd58d6ba178p-5, -0x1.e53f073cf04c8p-5, -0x1.dad1b254d0979p-5, -0x1.d094bdf8aa2p-5, -0x1.c6878dc0c141ap-5, -0x1.bca9851a85229p-5, -0x1.b2fa075ef8293p-5, -0x1.a97877e84af7ap-5, -0x1.a0243a26b52fep-5, -0x1.96fcb1b4865ecp-5, -0x1.8e014269788e4p-5, -0x1.8531506d47a94p-5, -0x1.7c8c40498e651p-5, -0x1.741176faf1232p-5, -0x1.6bc05a019831ap-5, -0x1.63984f70f7506p-5, -0x1.5b98bdfef794dp-5, -0x1.53c10d126b0d8p-5, -0x1.4c10a4d0eebabp-5, -0x1.4486ee2c25c1ep-5, -0x1.3d2352ee5a2b2p-5, -0x1.35e53dc68a8c5p-5, -0x1.2ecc1a53ddf34p-5, -0x1.27d7553091c1fp-5, -0x1.21065bfc50406p-5, -0x1.1a589d660a464p-5, -0x1.13cd89353e874p-5, -0x1.0d649052ccc2fp-5, -0x1.071d24d141d9dp-5, -0x1.00f6b9f4aad8ep-5, -0x1.f5e18873e2323p-6, -0x1.ea1572bb8973fp-6, -0x1.de8820c6232f2p-6, -0x1.d338833213fdep-6, -0x1.c8258d418b715p-6, -0x1.bd4e34e4efbfap-6, -0x1.b2b172c48c26cp-6, -0x1.a84e424969643p-6, -0x1.9e23a1a580ce1p-6, -0x1.943091db28fc7p-6, -0x1.8a7416c3d0697p-6, -0x1.80ed371617a11p-6, -0x1.779afc6b41da5p-6, -0x1.6e7c7343ff7dbp-6, -0x1.6590ab0ca215dp-6, -0x1.5cd6b620bd2d4p-6, -0x1.544da9ce34ceap-6, -0x1.4bf49e57be93fp-6, -0x1.43caaef6d97d6p-6, -0x1.3bcef9dd51adp-6, -0x1.3400a0363d063p-6, -0x1.2c5ec62679d7ap-6, -0x1.24e892ccc998ep-6, -0x1.1d9d30416db1cp-6, -0x1.167bcb956d00ap-6, -0x1.0f8394d15460cp-6, -0x1.08b3bef3b673ap-6, -0x1.020b7fef38b72p-6, -0x1.f71421508fe21p-7, -0x1.ea5d59e5029f6p-7, -0x1.ddf1271b79152p-7, -0x1.d1ce0c459c79ap-7, -0x1.c5f2927ffde7ep-7, -0x1.ba5d48aa66dd3p-7, -0x1.af0cc35fc028cp-7, -0x1.a3ff9ced4bc03p-7, -0x1.9934754988baap-7, -0x1.8ea9f20a9197ap-7, -0x1.845ebe5c071f8p-7, -0x1.7a518af4a130ap-7, -0x1.70810e0b4ef5cp-7, -0x1.66ec034bfd09fp-7, -0x1.5d912bcc018a5p-7, -0x1.546f4dfe41c9p-7, -0x1.4b8535a6fc85bp-7, -0x1.42d1b3cf42cd2p-7, -0x1.3a539eb84a497p-7, -0x1.3209d1ce6a904p-7, -0x1.29f32d9bd9b4p-7, -0x1.220e97bb4ea8p-7, -0x1.1a5afaca4991dp-7, -0x1.12d7465b5b8a6p-7, -0x1.0b826ee81c76fp-7, -0x1.045b6dc316bf5p-7, -0x1.fac28212f601fp-8, -0x1.ed25d7297e241p-8, -0x1.dfdee9d85c318p-8, -0x1.d2ebd26c90bb3p-8, -0x1.c64ab254362ecp-8, -0x1.b9f9b401082f2p-8, -0x1.adf70acae1ea5p-8, -0x1.a240f2d1f8e2ap-8, -0x1.96d5b0e12e3b8p-8, -0x1.8bb3925044292p-8, -0x1.80d8ece5f4f9ap-8, -0x1.76441eba37ffdp-8, -0x1.6bf38e18622e5p-8, -0x1.61e5a9615435ap-8, -0x1.5818e6edbe068p-8, -0x1.4e8bc4f05e638p-8, -0x1.453cc95867521p-8, -0x1.3c2a81b3fc28dp-8, -0x1.33538312af9e2p-8, -0x1.2ab669e83630ep-8, -0x1.2251d9ef319edp-8, -0x1.1a247e0c2d9cep-8, -0x1.122d08309bb73p-8, -0x1.0a6a313e394edp-8, -0x1.02dab8ea5851bp-8, -0x1.f6facb432660cp-9, -0x1.e8a208d74d16ep-9, -0x1.daa8d19ea6157p-9, -0x1.cd0cd96d5a85bp-9, -0x1.bfcbe0a70b1p-9, -0x1.b2e3b4082c3d6p-9, -0x1.a6522c6fd490dp-9, -0x1.9a152ea9fbc7dp-9, -0x1.8e2aab3a48878p-9, -0x1.82909e2739cd4p-9, -0x1.77450ec62d9bfp-9, -0x1.6c460f87701b5p-9, -0x1.6191bdc338d82p-9, -0x1.5726418707273p-9, -0x1.4d01cd6386c53p-9, -0x1.43229e3b23897p-9, -0x1.3986fb111110ep-9, -0x1.302d34d8dd75ap-9, -0x1.2713a646a987bp-9, -0x1.1e38b3a007a8dp-9, -0x1.159aca8d3a5aep-9, -0x1.0d3861eb4b8b7p-9, -0x1.050ff99e6c7dap-9, -0x1.fa4034ca8689cp-10, -0x1.eaceab58f55a8p-10, -0x1.dbc88ac675469p-10, -0x1.cd2b17a01f04ep-10, -0x1.bef3a6ccaebe6p-10, -0x1.b11f9d38fe16dp-10, -0x1.a3ac6f8525f8p-10, -0x1.9697a1b3823fap-10, -0x1.89dec6d85c0f7p-10, -0x1.7d7f80cabd59bp-10, -0x1.71777fd6f9478p-10, -0x1.65c48271d59fep-10, -0x1.5a6454ed3d1f5p-10, -0x1.4f54d12def22dp-10, -0x1.4493de628d7b7p-10, -0x1.3a1f70bb8b6ecp-10, -0x1.2ff58924777f5p-10, -0x1.261434fe84f5bp-10, -0x1.1c798ddbe5b4fp-10, -0x1.1323b93c93199p-10, -0x1.0a10e84c4375fp-10, -0x1.013f57a11397ap-10, -0x1.f15a9df7906a9p-11, -0x1.e0b24211c76c1p-11, -0x1.d0825645ee372p-11, -0x1.c0c7aa2bc0c15p-11, -0x1.b17f21c699f9fp-11, -0x1.a2a5b51050921p-11, -0x1.94386f862d45fp-11, -0x1.86346fb85a5b2p-11, -0x1.7896e6daecb8ep-11, -0x1.6b5d18593230cp-11, -0x1.5e84596b05b1cp-11, -0x1.520a10ac0debep-11, -0x1.45ebb5b5112e7p-11, -0x1.3a26d0b71022bp-11, -0x1.2eb8fa18a0163p-11, -0x1.239fda14f6843p-11, -0x1.18d9285c9c2f7p-11, -0x1.0e62abb895629p-11, -0x1.043a39aeb694fp-11, -0x1.f4bb6c509d603p-12, -0x1.e1962634bb4bbp-12, -0x1.cf00a05f363eep-12, -0x1.bcf6f4e8319adp-12, -0x1.ab75580579d72p-12, -0x1.9a7817690c37bp-12, -0x1.89fb99a287db1p-12, -0x1.79fc5d84342b4p-12, -0x1.6a76f98af7682p-12, -0x1.5b681b4a27087p-12, -0x1.4ccc86d916694p-12, -0x1.3ea1164580ef4p-12, -0x1.30e2b907d26fep-12, -0x1.238e737a73f94p-12, -0x1.16a15e54f02fp-12, -0x1.0a18a628b8b1p-12, -0x1.fbe315c375f79p-13, -0x1.e452be932170ap-13, -0x1.cd7b1119a1f73p-13, -0x1.b756fb882cdc8p-13, -0x1.a1e18efe23595p-13, -0x1.8d15fea43f54dp-13, -0x1.78ef9ecd82a7p-13, -0x1.6569e41d5f058p-13, -0x1.528062b19f021p-13, -0x1.402ecd526d62dp-13, -0x1.2e70f4a720f53p-13, -0x1.1d42c66ec971p-13, -0x1.0ca04cbdd834fp-13, -0x1.f90b5a813096fp-14, -0x1.d9de5102cd34bp-14, -0x1.bbb232687f20cp-14, -0x1.9e7fe70b07cd7p-14, -0x1.824088da63084p-14, -0x1.66ed620ff7887p-14, -0x1.4c7febe122488p-14, -0x1.32f1cd41f8364p-14, -0x1.1a3cd9aa51888p-14, -0x1.025b0fe3df363p-14, -0x1.d68d31c2e7427p-15, -0x1.a9f38d3685c85p-15, -0x1.7ede25e714732p-15, -0x1.55423d4205065p-15, -0x1.2d156042d3dd7p-15, -0x1.064d6565a52e6p-15, -0x1.c1c0d54a2471fp-16, -0x1.7989a7082d6a1p-16, -0x1.33e28e554991fp-16, -0x1.e172ba189bb5cp-17, -0x1.5ff8c9f337494p-17, -0x1.c669d137b27ep-18, -0x1.ac1691a675c1bp-19, 0x1.16b122e9facc5p-22, 0x1.e07106791d799p-19, 0x1.c69a91143a37bp-18, 0x1.4a66890f154bfp-17, 0x1.ad851c453863cp-17, 0x1.0662a780d0085p-16, 0x1.342153c6f0c8dp-16, 0x1.600bf5a0085f4p-16, 0x1.8a2f91f03b2ebp-16, 0x1.b298d2791703p-16, 0x1.d95408695e734p-16, 0x1.fe6d2ee20bbdap-16, 0x1.10f7f6afe0142p-15, 0x1.21f3cd0cc99a2p-15, 0x1.322f9e2939fa3p-15, 0x1.41b0c74917faap-15, 0x1.507c806a3b2c5p-15, 0x1.5e97dd53f35abp-15, 0x1.6c07ce9f41bb1p-15, 0x1.78d122b6ec669p-15, 0x1.84f886d1ef98fp-15, 0x1.908287e445eabp-15, 0x1.9b73938d97b71p-15, 0x1.a5cff8fbbe60bp-15, 0x1.af9be9caf1deap-15, 0x1.b8db7adeca41bp-15, 0x1.c192a5338beecp-15, 0x1.c9c546ac5e17bp-15, 0x1.d17722d8e0482p-15, 0x1.d8abe3b699186p-15, 0x1.df671a6ce36dfp-15, 0x1.e5ac4002f9bbap-15, 0x1.eb7eb61040092p-15, 0x1.f0e1c76a2a92dp-15, 0x1.f5d8a8c8d7445p-15, 0x1.fa66796b2d101p-15, 0x1.fe8e43b2f76fep-15, 0x1.01297edfabd67p-14, 0x1.02dbc4ff8a068p-14, 0x1.045f5be0da60ap-14, 0x1.05b5a1e200d2ap-14, 0x1.06dfec5b2561dp-14, 0x1.07df87e0cbbb6p-14, 0x1.08b5b8830faa7p-14, 0x1.0963ba0c6e709p-14, 0x1.09eac03ce4d95p-14, 0x1.0a4bf7055a0bfp-14, 0x1.0a8882bf94c5ap-14, 0x1.0aa180655ac01p-14, 0x1.0a9805c5d3db5p-14, 0x1.0a6d21b919fc8p-14, 0x1.0a21dc5237be8p-14, 0x1.09b73710576dap-14, 0x1.092e2d0d1c931p-14, 0x1.0887b32acb6b6p-14, 0x1.07c4b840a418ep-14, 0x1.06e625453c9acp-14, 0x1.05ecdd795d5f1p-14, 0x1.04d9be8f1169cp-14, 0x1.03ada0d19cb56p-14, 0x1.0269574b17741p-14, 0x1.010dafe972e59p-14, 0x1.ff36e743670dbp-15, 0x1.fc26cd2601dabp-15, 0x1.f8ec904f40ce9p-15, 0x1.f589a66bc1ae4p-15, 0x1.f1ff7c3e07695p-15, 0x1.ee4f75dc54c22p-15, 0x1.ea7aeeeb4b60ep-15, 0x1.e6833ad72f393p-15, 0x1.e269a50b46ca7p-15, 0x1.de2f71279183ap-15, 0x1.d9d5db34cdceep-15, 0x1.d55e17d72313p-15, 0x1.d0c9547ea0dd7p-15, 0x1.cc18b79708d27p-15, 0x1.c74d60b4bc26p-15, 0x1.c26868c21e895p-15, 0x1.bd6ae22a85d4ep-15, 0x1.b855d9032849fp-15, 0x1.b32a53347a843p-15, 0x1.ade950a0c57dcp-15, 0x1.a893cb4a2540bp-15, 0x1.a32ab7774976bp-15, 0x1.9daf03d759d58p-15, 0x1.982199a401206p-15, 0x1.92835cc35c0f3p-15, 0x1.8cd52be7d74efp-15, 0x1.8717e0b02715fp-15, 0x1.814c4fc53ec0fp-15, 0x1.7b7348f84645fp-15, 0x1.758d975ed8d32p-15, 0x1.6f9c016efd2b6p-15, 0x1.699f4919cc103p-15, 0x1.63982be53edbbp-15, 0x1.5d8763068c6a2p-15, 0x1.576da379478dap-15, 0x1.514b9e185f922p-15, 0x1.4b21ffb438668p-15, 0x1.44f17129acf5ap-15, 0x1.3eba977762981p-15, 0x1.387e13d31832cp-15, 0x1.323c83be20c3dp-15, 0x1.2bf68118b06p-15, 0x1.25aca235ba059p-15, 0x1.1f5f79ed89e5dp-15, 0x1.190f97af9198dp-15, 0x1.12bd87947e88fp-15, 0x1.0c69d26f570cep-15, 0x1.0614fdddb3721p-15, 0x1.ff7f18b0d3319p-16, 0x1.f2d3fa8611af5p-16, 0x1.e62999f5b777bp-16, 0x1.d980e9cd235c4p-16, 0x1.ccdad707bdcacp-16, 0x1.c03848ecb43f3p-16, 0x1.b39a212951dadp-16, 0x1.a7013bebd55cbp-16, 0x1.9a6e6ffdae573p-16, 0x1.8de28edd10573p-16, 0x1.815e64d4d2189p-16, 0x1.74e2b9150bae3p-16, 0x1.68704dca29ca1p-16, 0x1.5c07e03409ab2p-16, 0x1.4faa28bc03f1cp-16, 0x1.4357db0ae9c36p-16, 0x1.3711a61eaa05p-16, 0x1.2ad8345dc3d0fp-16, 0x1.1eac2bacee931p-16, 0x1.128e2d81b39a1p-16, 0x1.067ed6f62500ep-16, 0x1.f4fd81b81d242p-17, 0x1.dd1cff9e071bcp-17, 0x1.c55d488d041cfp-17, 0x1.adbf754fac94cp-17, 0x1.964496ae274eap-17, 0x1.7eedb59100be3p-17, 0x1.67bbd32086369p-17, 0x1.50afe8e8400ep-17, 0x1.39cae8f379a9dp-17, 0x1.230dbdee7a4e6p-17, 0x1.0c794b44f1404p-17, 0x1.ec1cda7becfa7p-18, 0x1.bf9bf2399deaap-18, 0x1.93717a78e588ep-18, 0x1.679f02562e0bep-18, 0x1.3c260b8f03994p-18, 0x1.11080ab782d23p-18, 0x1.cc8cceddca3a7p-19, 0x1.77c4f9322201ap-19, 0x1.23bb311b4fb97p-19, 0x1.a0e3f5362cef6p-20, 0x1.f7af05af38f23p-21, 0x1.6156cb0b36dccp-22, -0x1.26740989f138ap-22, -0x1.d3f8a47688d87p-21, -0x1.88c41fefddf73p-20, -0x1.12f83dba39042p-19, -0x1.60bed0659e65ep-19, -0x1.adb3fbaca6331p-19, -0x1.f9d608965b738p-19, -0x1.2291aa91b0b1bp-18, -0x1.47cd29fef89c8p-18, -0x1.6c9cc60eb4a38p-18, -0x1.90ffcc36c8c66p-18, -0x1.b4f593c2c2797p-18, -0x1.d87d7da56083dp-18, -0x1.fb96f450d7a2cp-18, -0x1.0f20b5c9318ebp-17, -0x1.203e3031577ffp-17, -0x1.3123ac6241ab1p-17, -0x1.41d0f1cd614a5p-17, -0x1.5245cc422ea9ep-17, -0x1.62820bd94aa93p-17, -0x1.728584e2d2cf6p-17, -0x1.82500fd3f544fp-17, -0x1.91e189331ff8dp-17, -0x1.a139d18660613p-17, -0x1.b058cd4180f1ap-17, -0x1.bf3e64b4bde31p-17, -0x1.cdea83f9e7e6cp-17, -0x1.dc5d1ae2cc8d1p-17, -0x1.ea961ce995a21p-17, -0x1.f895811e0460dp-17, -0x1.032da10a6bbf1p-16, -0x1.09f3aeebf58e4p-16, -0x1.109ceae9ede13p-16, -0x1.172957648671ap-16, -0x1.1d98f85d3a5b8p-16, -0x1.23ebd36ed4p-16, -0x1.2a21efc61c3edp-16, -0x1.303b5618a1227p-16, -0x1.3638109e20729p-16, -0x1.3c182b0809019p-16, -0x1.41dbb27a24da3p-16, -0x1.4782b583269adp-16, -0x1.4d0d4414ba27dp-16, -0x1.527b6f7c19f39p-16, -0x1.57cd4a5b37feep-16, -0x1.5d02e8a0af8fp-16, -0x1.621c5f80f5626p-16, -0x1.6719c56f69a2p-16, -0x1.6bfb3216fd03fp-16, -0x1.70c0be52e1751p-16, -0x1.756a84286b916p-16, -0x1.79f89ebf79159p-16, -0x1.7e6b2a5bcc4fep-16, -0x1.82c24456cb018p-16, -0x1.86fe0b1844a6bp-16, -0x1.8b1e9e0fe5afp-16, -0x1.8f241daf6c8b6p-16, -0x1.930eab6313ba2p-16, -0x1.96de698bf4f32p-16, -0x1.9a937b79b99fcp-16, -0x1.9e2e05643a07ap-16, -0x1.a1ae2c64ef17fp-16, -0x1.a51416719f0f1p-16, -0x1.a85fea55a85aap-16, -0x1.ab91cfac75563p-16, -0x1.aea9eedb42615p-16, -0x1.b1a8710ba965bp-16, -0x1.b48d80259499fp-16, -0x1.b75946c93aa3p-16, -0x1.ba0bf04a20ffp-16, -0x1.bca5a8a9751bp-16, -0x1.bf269c8fff15bp-16, -0x1.c18ef9495d17bp-16, -0x1.c3deecbe0f4f1p-16, -0x1.c616a56ea36ccp-16, -0x1.c836526ded4d6p-16, -0x1.ca3e235cacf65p-16, -0x1.cc2e48639cbaap-16, -0x1.ce06f22ebafc6p-16, -0x1.cfc851e87ab5ep-16, -0x1.d172993496562p-16, -0x1.d305fa2b150dcp-16, -0x1.d482a753fd0c7p-16, -0x1.d5e8d3a236378p-16, -0x1.d738b26ee3c5cp-16, -0x1.d872777528807p-16, -0x1.d99656cd1166dp-16, -0x1.daa484e778ebcp-16, -0x1.db9d36897bf2cp-16, -0x1.dc80a0c85972dp-16, -0x1.dd4ef904cb5a1p-16, -0x1.de0874e7097fp-16, -0x1.dead4a5a8d293p-16, -0x1.df3daf8a190e1p-16, -0x1.dfb9dadb7434p-16, -0x1.e02202eb8281dp-16, -0x1.e0765e8a837f4p-16, -0x1.e0b724b80624dp-16, -0x1.e0e48c9f4a328p-16, -0x1.e0fecd93328fp-16, -0x1.e1061f0b0392ap-16, -0x1.e0fab89e5d533p-16, -0x1.e0dcd201fb60ap-16, -0x1.e0aca30426ae1p-16, -0x1.e06a63890aa9p-16, -0x1.e0164b877e53ap-16, -0x1.dfb09305db0f9p-16, -0x1.df3972165b132p-16, -0x1.deb120d41159dp-16, -0x1.de17d75fc2989p-16, -0x1.dd6dcddcf2145p-16, -0x1.dcb33c6e9ae1ap-16, -0x1.dbe85b3443ef4p-16, -0x1.db0d62471e282p-16, -0x1.da2289b704505p-16, -0x1.d9280987dab99p-16, -0x1.d81e19ae96552p-16, -0x1.d704f20ebefe9p-16, -0x1.d5dcca77a1114p-16, -0x1.d4a5daa18cafap-16, -0x1.d3605a2b8e184p-16, -0x1.d20c8098d8e15p-16, -0x1.d0aa854e3786ep-16, -0x1.cf3a9f8fc6a1ep-16, -0x1.cdbd067e99c93p-16, -0x1.cc31f1164e6e4p-16, -0x1.ca99962ac65c6p-16, -0x1.c8f42c6635cd6p-16, -0x1.c741ea46dd3p-16, -0x1.c583061cbd2a5p-16, -0x1.c3b7b607a8498p-16, -0x1.c1e02ff592a8dp-16, -0x1.bffca9a039b4ap-16, -0x1.be0d588b52ac6p-16, -0x1.bc12720293ac1p-16, -0x1.ba0c2b1816104p-16, -0x1.b7fab8a27a28ep-16, -0x1.b5de4f3b3bec2p-16, -0x1.b3b7233cfab0fp-16, -0x1.b18568c1cd29p-16, -0x1.af4953a197851p-16, -0x1.ad0317708efd8p-16, -0x1.aab2e77df13d9p-16, -0x1.a858f6d232e57p-16, -0x1.a5f5782da7d2ep-16, -0x1.a3889e074bd7bp-16, -0x1.a1129a8b72efcp-16, -0x1.9e939f9a344a5p-16, -0x1.9c0bdec658785p-16, -0x1.997b89540831bp-16, -0x1.96e2d037b296ap-16, -0x1.9441e414fe3fap-16, -0x1.9198f53d8c303p-16, -0x1.8ee833afdb35cp-16, -0x1.8c2fcf165fe18p-16, -0x1.896ff6c66e63bp-16, -0x1.86a8d9bf51ccep-16, -0x1.83daa6a9559ep-16, -0x1.81058bd4e9493p-16, -0x1.7e29b739e872cp-16, -0x1.7b475676a3104p-16, -0x1.785e96cf1ada7p-16, -0x1.756fa52c227b3p-16, -0x1.727aae1ae3c6cp-16, -0x1.6f7fddcbee57p-16, -0x1.6c7f6012d6fcep-16, -0x1.6979606594e6ap-16, -0x1.666e09dbb160ep-16, -0x1.635d872db1f54p-16, -0x1.604802b4da725p-16, -0x1.5d2da66a85bf1p-16, -0x1.5a0e9be78ba6dp-16, -0x1.56eb0c63e49d7p-16, -0x1.53c320b672438p-16, -0x1.509701548e44ap-16, -0x1.4d66d65188a37p-16, -0x1.4a32c75e3750ep-16, -0x1.46fafbc8f4badp-16, -0x1.43bf9a7cfe63dp-16, -0x1.4080ca028e1b3p-16, -0x1.3d3eb07eb0ea6p-16, -0x1.39f973b2ab703p-16, -0x1.36b138fbe8954p-16, -0x1.33662553ec94p-16, -0x1.30185d504465ap-16, -0x1.2cc8052259cd8p-16, -0x1.2975409740307p-16, -0x1.26203317908cbp-16, -0x1.22c8ffa7c4456p-16, -0x1.1f6fc8e8111afp-16, -0x1.1c14b11412b2ep-16, -0x1.18b7da031cbd5p-16, -0x1.155965281eda7p-16, -0x1.11f97391b5e63p-16, -0x1.0e9825ea734e1p-16, -0x1.0b359c78ca553p-16, -0x1.07d1f71f4566ep-16, -0x1.046d555c96a98p-16, -0x1.0107d64b98b6bp-16, -0x1.fb43314789907p-17, -0x1.f475757270f75p-17, -0x1.eda6b4f9cf154p-17, -0x1.e6d72af9f2ef4p-17, -0x1.e00711c9b4415p-17, -0x1.d936a2fb44765p-17, -0x1.d266175c5fa79p-17, -0x1.cb95a6f74a417p-17, -0x1.c4c58912e24e8p-17, -0x1.bdf5f433522bap-17, -0x1.b7271e1b0586cp-17, -0x1.b0593bcb801a2p-17, -0x1.a98c81859ff7bp-17, -0x1.a2c122ca7a079p-17, -0x1.9bf7525c2c70fp-17, -0x1.952f423e5a8a5p-17, -0x1.8e6923b783d83p-17, -0x1.87a527513ad04p-17, -0x1.80e37cd9a2c16p-17, -0x1.7a24536385719p-17, -0x1.7367d947ff23cp-17, -0x1.6cae3c26ddb53p-17, -0x1.65f7a8e80eab3p-17, -0x1.5f444bbc3ad81p-17, -0x1.5894501d69348p-17, -0x1.51e7e0d047752p-17, -0x1.4b3f27e55e288p-17, -0x1.449a4eba38709p-17, -0x1.3df97df9ec581p-17, -0x1.375cdd9e5ceb3p-17, -0x1.30c494f132877p-17, -0x1.2a30ca8d2754ap-17, -0x1.23a1a45f0dd8dp-17, -0x1.1d1747a6de527p-17, -0x1.1691d8f8cb46ap-17, -0x1.10117c3e44564p-17, -0x1.099654b771fcp-17, -0x1.032084fc8ed94p-17, -0x1.f9605dfcdc576p-18, -0x1.ec8ae80fb0d57p-18, -0x1.dfc0e97e40c6p-18, -0x1.d302a24de1711p-18, -0x1.c650513f10c1ap-18, -0x1.b9aa33cfe671bp-18, -0x1.ad10863fc1b02p-18, -0x1.a0838390760a6p-18, -0x1.940365886e7c2p-18, -0x1.879064b682924p-18, -0x1.7b2ab87376ea8p-18, -0x1.6ed296e507fffp-18, -0x1.628835004c106p-18, -0x1.564bc68c0979cp-18, -0x1.4a1d7e23572b9p-18, -0x1.3dfd8d3916feap-18, }}, 
      {{-0x1.fa621fd662704p-1, -0x1.fa24f4bda0c9p-1, -0x1.f9b120ae31e34p-1, -0x1.f8fdb1cab5477p-1, -0x1.f806d15fabb1fp-1, -0x1.f6cd86c30e86ep-1, -0x1.f5568394753c1p-1, -0x1.f3a8bcd1cdeap-1, -0x1.f1cc2a6eab4d7p-1, -0x1.efc8cfa9a4fc1p-1, -0x1.eda611422fc3ap-1, -0x1.eb6a50a839395p-1, -0x1.e91abde39dd78p-1, -0x1.e6bb515248c2p-1, -0x1.e44ee00805c5dp-1, -0x1.e1d74022d8397p-1, -0x1.df557502f44c4p-1, -0x1.dcc9dda77065bp-1, -0x1.da3461568e068p-1, -0x1.d794982fc32aep-1, -0x1.d4e9ee5b0b34ep-1, -0x1.d233c14dd66adp-1, -0x1.cf717723d1b7ap-1, -0x1.cca2906007922p-1, -0x1.c9c6b49e4648fp-1, -0x1.c6ddbad73389p-1, -0x1.c3e7ade2a6c93p-1, -0x1.c0e4cde170e4dp-1, -0x1.bdd58f2dd3e1dp-1, -0x1.baba9763a9be3p-1, -0x1.b794b900a142fp-1, -0x1.b464ee0ba946ep-1, -0x1.b12c52218a485p-1, -0x1.adec1c348624cp-1, -0x1.aaa5983defb5p-1, -0x1.a75a21135c7c5p-1, -0x1.a40b1a854fe79p-1, -0x1.a0b9ebe320b87p-1, -0x1.9d67faf73a7e6p-1, -0x1.9a16a787b687dp-1, -0x1.96c747615f3adp-1, -0x1.937b22ee7f6e1p-1, -0x1.9033725721b1p-1, -0x1.8cf15b259bd53p-1, -0x1.89b5ee6823e48p-1, -0x1.86822746bff4fp-1, -0x1.8356ea03f30dap-1, -0x1.8035035e078e8p-1, -0x1.7d1d2846ad56fp-1, -0x1.7a0ff5e6c1c87p-1, -0x1.770df1e458d9fp-1, -0x1.74178ae1a5063p-1, -0x1.712d192bda16bp-1, -0x1.6e4edf91d5dap-1, -0x1.6b7d0c5afb029p-1, -0x1.68b7ba5766384p-1, -0x1.65fef2034695fp-1, -0x1.6352aab7dc673p-1, -0x1.60b2cbe53a3d4p-1, -0x1.5e1f2e5086f77p-1, -0x1.5b979d531124p-1, -0x1.591bd817041bap-1, -0x1.56ab92cf14ed1p-1, -0x1.544677e6e8b5dp-1, -0x1.51ec292a596b9p-1, -0x1.4f9c40e2202bap-1, -0x1.4d5652e4b6ec1p-1, -0x1.4b19ed9a8e64ep-1, -0x1.48e69af4f4264p-1, -0x1.46bbe15739957p-1, -0x1.44994471dcb48p-1, -0x1.427e460f9cef4p-1, -0x1.406a66d488ae9p-1, -0x1.3e5d26ef2a2ep-1, -0x1.3c5606bc18677p-1, -0x1.3a54875c3de32p-1, -0x1.38582b3e3badp-1, -0x1.3660769b59afp-1, -0x1.346cefe880776p-1, -0x1.327d203bbc65dp-1, -0x1.309093a6d3787p-1, -0x1.2ea6d98778092p-1, -0x1.2cbf84cda3066p-1, -0x1.2ada2c38a2d35p-1, -0x1.28f66a8b68b1ep-1, -0x1.2713deb89e964p-1, -0x1.25322c070bc11p-1, -0x1.2350fa2ecb67ep-1, -0x1.216ff56fd21b6p-1, -0x1.1f8ecea241763p-1, -0x1.1dad3b40fd87dp-1, -0x1.1bcaf56ef5ab2p-1, -0x1.19e7bbf790b7ep-1, -0x1.1803524aa1b57p-1, -0x1.161d80744956dp-1, -0x1.1436131124c84p-1, -0x1.124cdb3f1ee95p-1, -0x1.1061ae8b3cc9fp-1, -0x1.0e7466dcb4254p-1, -0x1.0c84e25d95834p-1, -0x1.0a93036153759p-1, -0x1.089eb04967951p-1, -0x1.06a7d36857009p-1, -0x1.04ae5ae34ab33p-1, -0x1.02b2389279b58p-1, -0x1.00b361e092055p-1, -0x1.fd639f52a753p-2, -0x1.f95afc2f0c5fp-2, -0x1.f54cd904eade3p-2, -0x1.f1393a963035p-2, -0x1.ed202b7206939p-2, -0x1.e901bbae98de3p-2, -0x1.e4de00a2ec21cp-2, -0x1.e0b514a1035cep-2, -0x1.dc8716b080a02p-2, -0x1.d8542a49ef11dp-2, -0x1.d41c7712dcf81p-2, -0x1.cfe0289aec0ddp-2, -0x1.cb9f6e19fb511p-2, -0x1.c75a7a2f7da4cp-2, -0x1.c31182a3246afp-2, -0x1.bec4c026ec29ap-2, -0x1.ba746e1a9e24p-2, -0x1.b620ca50e30dbp-2, -0x1.b1ca14d5e5f73p-2, -0x1.ad708fb7a2b75p-2, -0x1.a9147ecfdef15p-2, -0x1.a4b6278fdcab2p-2, -0x1.a055d0cdcad9fp-2, -0x1.9bf3c293f6f95p-2, -0x1.979045f1c6451p-2, -0x1.932ba4ce72311p-2, -0x1.8ec629bd91caep-2, -0x1.8a601fd564262p-2, -0x1.85f9d286e0a95p-2, -0x1.81938d778a281p-2, -0x1.7d2d9c5cfb1c3p-2, -0x1.78c84ada2c513p-2, -0x1.7463e45e6a917p-2, -0x1.7000b405fca76p-2, -0x1.6b9f047c6506fp-2, -0x1.673f1fe04a1e5p-2, -0x1.62e14fa8ea089p-2, -0x1.5e85dc8d1e796p-2, -0x1.5a2d0e6be25e9p-2, -0x1.55d72c3650dbp-2, -0x1.51847bdb129ddp-2, -0x1.4d35423332fbep-2, -0x1.48e9c2f04eb8ap-2, -0x1.44a2408c16c7fp-2, -0x1.405efc391812ep-2, -0x1.3c2035d4c2898p-2, -0x1.37e62bdaa08cdp-2, -0x1.33b11b58b7a75p-2, -0x1.2f813fe508069p-2, -0x1.2b56d3941d12dp-2, -0x1.27320ef0ab2fep-2, -0x1.231328f425fb6p-2, -0x1.1efa5700536e3p-2, -0x1.1ae7ccd9c2cf6p-2, -0x1.16dbbca328cabp-2, -0x1.12d656d99145cp-2, -0x1.0ed7ca515feabp-2, -0x1.0ae044341235cp-2, -0x1.06efeffec1b5ap-2, -0x1.0306f7815241dp-2, -0x1.fe4b05bc9cb5fp-3, -0x1.f6977116c3beap-3, -0x1.eef37aa4d814bp-3, -0x1.e75f68a647d1bp-3, -0x1.dfdb7e0a833e1p-3, -0x1.d867fa76565eap-3, -0x1.d1051a4a2d5c7p-3, -0x1.c9b316a93cbf2p-3, -0x1.c272258181279p-3, -0x1.bb4279948250fp-3, -0x1.b4244280cb44fp-3, -0x1.ad17accc17c2ap-3, -0x1.a61ce1ee172e2p-3, -0x1.9f34085bc96f2p-3, -0x1.985d43935dfd5p-3, -0x1.9198b4289359cp-3, -0x1.8ae677d188e17p-3, -0x1.8446a973f1615p-3, -0x1.7db96132a9103p-3, -0x1.773eb47b9c74dp-3, -0x1.70d6b615fbd2ep-3, -0x1.6a817630a986bp-3, -0x1.643f0270ec1c3p-3, -0x1.5e0f660146385p-3, -0x1.57f2a9a081872p-3, -0x1.51e8d3b0d40dp-3, -0x1.4bf1e8472603bp-3, -0x1.460de93a686ddp-3, -0x1.403cd632fc60ap-3, -0x1.3a7eacba1f951p-3, -0x1.34d3684960021p-3, -0x1.2f3b025a04e8dp-3, -0x1.29b5727478c1fp-3, -0x1.2442ae3f9d2ddp-3, -0x1.1ee2a99018bbep-3, -0x1.199556777edf7p-3, -0x1.145aa55371bcdp-3, -0x1.0f3284dc93947p-3, -0x1.0a1ce2356778bp-3, -0x1.0519a8f900c0dp-3, -0x1.0028c34994944p-3, -0x1.f69433bdb6295p-4, -0x1.ecfb28288e61dp-4, -0x1.e3862fee1defdp-4, -0x1.da3514a803911p-4, -0x1.d1079d8a4ff05p-4, -0x1.c7fd8f7e6ebf2p-4, -0x1.bf16ad3d86974p-4, -0x1.b652b76a79dcbp-4, -0x1.adb16cab6e3d3p-4, -0x1.a53289c2e1d5dp-4, -0x1.9cd5c9a83c682p-4, -0x1.949ae59ffa85dp-4, -0x1.8c819553419f2p-4, -0x1.84898ee71213ap-4, -0x1.7cb28712e65e5p-4, -0x1.74fc3136ddcb8p-4, -0x1.6d663f7163115p-4, -0x1.65f062b4524e2p-4, -0x1.5e9a4ad99f227p-4, -0x1.5763a6b777ba6p-4, -0x1.504c2433ea0f1p-4, -0x1.4953705803a12p-4, -0x1.4279376275876p-4, -0x1.3bbd24d9b2f69p-4, -0x1.351ee39d971b1p-4, -0x1.2e9e1df885121p-4, -0x1.283a7db00fba7p-4, -0x1.21f3ac152255dp-4, -0x1.1bc95213ac40fp-4, -0x1.15bb1841d4582p-4, -0x1.0fc8a6eeb244bp-4, -0x1.09f1a6308fcf3p-4, -0x1.0435bdf2b3cd6p-4, -0x1.fd292c057024dp-5, -0x1.f21bac3ad5d38p-5, -0x1.e7424bf6842e8p-5, -0x1.dc9c5ab8b5ed6p-5, -0x1.d22928281571p-5, -0x1.c7e8042810772p-5, -0x1.bdd83eee47cf5p-5, -0x1.b3f929173736dp-5, -0x1.aa4a13ba0c35ap-5, -0x1.a0ca507bb252bp-5, -0x1.977931a11b4dp-5, -0x1.8e560a20bcac3p-5, -0x1.85602db35fdafp-5, -0x1.7c96f0e4246dep-5, -0x1.73f9a91fda956p-5, -0x1.6b87acc39f914p-5, -0x1.6340532ada0d3p-5, -0x1.5b22f4bc7932ap-5, -0x1.532eeaf7a0a8cp-5, -0x1.4b63907fa123p-5, -0x1.43c0412761638p-5, -0x1.3c4459fc1fc1dp-5, -0x1.34ef394fa317p-5, -0x1.2dc03ec1db684p-5, -0x1.26b6cb49eeca6p-5, -0x1.1fd2413ebbfffp-5, -0x1.1912045ed926p-5, -0x1.127579d80b9f6p-5, -0x1.0bfc084e40a19p-5, -0x1.05a517e20c052p-5, -0x1.fee0246d55c54p-6, -0x1.f2b8c4ef2c98bp-6, -0x1.e6d2eabb41087p-6, -0x1.db2d72674ba76p-6, -0x1.cfc73bb5a913ap-6, -0x1.c49f299d1623bp-6, -0x1.b9b4224fabf8ap-6, -0x1.af050f4116531p-6, -0x1.a490dd2c12f39p-6, -0x1.9a567c173ab9p-6, -0x1.9054df591da3fp-6, -0x1.868afd9bbb987p-6, -0x1.7cf7d0df58764p-6, -0x1.739a567cae57fp-6, -0x1.6a718f269da32p-6, -0x1.617c7eeb30b1bp-6, -0x1.58ba2d342f982p-6, -0x1.5029a4c71e08dp-6, -0x1.47c9f3c4c4682p-6, -0x1.3f9a2ba8332c4p-6, -0x1.37996145592b9p-6, -0x1.2fc6acc724666p-6, -0x1.282129ad3cc81p-6, -0x1.20a7f6c9506d7p-6, -0x1.195a363c03bcap-6, -0x1.12370d717c278p-6, -0x1.0b3da51d9b6acp-6, -0x1.046d2937dc80cp-6, -0x1.fb8991edc38a4p-7, -0x1.ee876d976b5f6p-7, -0x1.e1d250b98e9c6p-7, -0x1.d568ad012ba1dp-7, -0x1.c948fa704ea17p-7, -0x1.bd71b75269fbap-7, -0x1.b1e168305051cp-7, -0x1.a69697c3a77cap-7, -0x1.9b8fd6ea0711ep-7, -0x1.90cbbc97aec3cp-7, -0x1.8648e5c9d6044p-7, -0x1.7c05f578b81a4p-7, -0x1.7201948943537p-7, -0x1.683a71be84a8dp-7, -0x1.5eaf41aac05ap-7, -0x1.555ebea064889p-7, -0x1.4c47a8a2aa333p-7, -0x1.4368c55606c28p-7, -0x1.3ac0dff06b0ffp-7, -0x1.324ec929615ap-7, -0x1.2a115729f88d9p-7, -0x1.2207657c8382cp-7, -0x1.1a2fd4fc4d3f5p-7, -0x1.12898bc51c3edp-7, -0x1.0b137522b6db8p-7, -0x1.03cc81802edb4p-7, -0x1.f9674cae85e16p-8, -0x1.eb8fbc3f2f69dp-8, -0x1.de10507be3c8dp-8, -0x1.d0e711e6cd3dap-8, -0x1.c41212990eda5p-8, -0x1.b78f6e211bb92p-8, -0x1.ab5d49610d10ap-8, -0x1.9f79d26cfe31fp-8, -0x1.93e340698bb5bp-8, -0x1.8897d36a363b2p-8, -0x1.7d95d4500fbeap-8, -0x1.72db94a8619efp-8, -0x1.68676e8b73d8bp-8, -0x1.5e37c47b8e865p-8, -0x1.544b014404616p-8, -0x1.4a9f97d87aa1p-8, -0x1.4134033450162p-8, -0x1.3806c63a4b7ebp-8, -0x1.2f166b9468cfp-8, -0x1.26618593d69d1p-8, -0x1.1de6ae114a3d8p-8, -0x1.15a4864d7f39ap-8, -0x1.0d99b6d1e3862p-8, -0x1.05c4ef51af407p-8, -0x1.fc49cd16107cp-9, -0x1.ed70b451437a3p-9, -0x1.defc1d46f7c8cp-9, -0x1.d0e99e49f7d86p-9, -0x1.c336dad28dfbap-9, -0x1.b5e18343ce338p-9, -0x1.a8e754b1a5043p-9, -0x1.9c4618a7444d8p-9, -0x1.8ffba4ee4dd9ap-9, -0x1.8405db5694cbp-9, -0x1.7862a97ea4a2ap-9, -0x1.6d10089cad0afp-9, -0x1.620bfd4846ef1p-9, -0x1.57549744d0714p-9, -0x1.4ce7f14c598e5p-9, -0x1.42c430db6c4efp-9, -0x1.38e785fd57026p-9, -0x1.2f502b1924fe2p-9, -0x1.25fc64bf59943p-9, -0x1.1cea817833d66p-9, -0x1.1418d992bf428p-9, -0x1.0b85cef489f18p-9, -0x1.032fcce9f2349p-9, -0x1.f62a8fee6613dp-10, -0x1.e6697b5438897p-10, -0x1.d71968d8f4b11p-10, -0x1.c83776ae0de23p-10, -0x1.b9c0d40a9075ap-10, -0x1.abb2c0d38eda7p-10, -0x1.9e0a8d466f6cep-10, -0x1.90c599a4638a5p-10, -0x1.83e155dee4fb1p-10, -0x1.775b4145e8353p-10, -0x1.6b30ea3723984p-10, -0x1.5f5fedceb9518p-10, -0x1.53e5f7991b609p-10, -0x1.48c0c14634fe5p-10, -0x1.3dee125defeb5p-10, -0x1.336bbff5bef36p-10, -0x1.2937ac67dd4bp-10, -0x1.1f4fc70b300d5p-10, -0x1.15b20bece7d65p-10, -0x1.0c5c838b05cb1p-10, -0x1.034d42903a0fdp-10, -0x1.f504d321de9bap-11, -0x1.e3f449930bc3cp-11, -0x1.d36557bb287f9p-11, -0x1.c35483310d3b5p-11, -0x1.b3be675e9c9b4p-11, -0x1.a49fb50637681p-11, -0x1.95f531cacb779p-11, -0x1.87bbb7b98c65ep-11, -0x1.79f034d69125fp-11, -0x1.6c8faaaac4eb6p-11, -0x1.5f972dd4c1df7p-11, -0x1.5303e59b6977ep-11, -0x1.46d30b8255018p-11, -0x1.3b01eae0ce3c5p-11, -0x1.2f8de07a5b0a2p-11, -0x1.24745a19b70f4p-11, -0x1.19b2d62d7f3f9p-11, -0x1.0f46e36697e62p-11, -0x1.052e205915901p-11, -0x1.f6cc763ce99eep-12, -0x1.e3d9e1f3fe2c7p-12, -0x1.d1801bfdc6958p-12, -0x1.bfbad9707534ap-12, -0x1.ae85eba557411p-12, -0x1.9ddd3f8f9fd5ap-12, -0x1.8dbcdd1728badp-12, -0x1.7e20e675c0a91p-12, -0x1.6f0597986edafp-12, -0x1.6067458413b5ap-12, -0x1.52425dbc86b3fp-12, -0x1.449365afaf08p-12, -0x1.3756fa2348c94p-12, -0x1.2a89cea5ed8d4p-12, -0x1.1e28ad02fce3ap-12, -0x1.123074b9acc4cp-12, -0x1.069e1a76d39b6p-12, -0x1.f6dd4f232ab16p-13, -0x1.e13e73165a71bp-13, -0x1.cc5a03223e563p-13, -0x1.b82a8804876c3p-13, -0x1.a4aaafed2b267p-13, -0x1.91d54d9302198p-13, -0x1.7fa5574da5b23p-13, -0x1.6e15e6345a73ep-13, -0x1.5d22354218c32p-13, -0x1.4cc5a07e66c67p-13, -0x1.3cfba42a89c3ep-13, -0x1.2dbfdbf44cefbp-13, -0x1.1f0e022c68dffp-13, -0x1.10e1ef025534ep-13, -0x1.033797c3f2be2p-13, -0x1.ec161c43ba8dep-14, -0x1.d2b0feef8403bp-14, -0x1.ba386831fe0fp-14, -0x1.a2a51d433220bp-14, -0x1.8bf01695e508fp-14, -0x1.76127e892be0fp-14, -0x1.6105b0212d582p-14, -0x1.4cc335c91d3b3p-14, -0x1.3944c8199a47ep-14, -0x1.26844caa0610fp-14, -0x1.147bd4e6409fcp-14, -0x1.03259cec25cf9p-14, -0x1.e4f814e1ce74fp-15, -0x1.c4f357564f7cfp-15, -0x1.a6326c8b145aap-15, -0x1.88ab0cad844f7p-15, -0x1.6c533abed055fp-15, -0x1.5121429f20231p-15, -0x1.370bb72217d32p-15, -0x1.1e09702faa257p-15, -0x1.061188f123d1fp-15, -0x1.de36bc13e5e5fp-16, -0x1.b23d17b2a1267p-16, -0x1.8825d992796e7p-16, -0x1.5fe12f4ebd04p-16, -0x1.395fbc0e4d5e2p-16, -0x1.1492955ea8d61p-16, -0x1.e2d6804426702p-17, -0x1.9fb75b1fa80e6p-17, -0x1.5fac709586a38p-17, -0x1.229b430e1fa8cp-17, -0x1.d0d4390509b23p-18, -0x1.6200123f5c194p-18, -0x1.f11347b7ae4edp-19, -0x1.2883dee2caabfp-19, -0x1.a7dae03e132e2p-21, 0x1.2bb29d950da3fp-21, 0x1.ecf82b9ddb287p-20, 0x1.990ad7d2a672fp-19, 0x1.1974d93ecb439p-18, 0x1.62337e7a7041dp-18, 0x1.a6e758d328fbfp-18, 0x1.e7b53f7eb6afbp-18, 0x1.126075f0bdb6bp-17, 0x1.2f1680c3d0566p-17, 0x1.4a0d8aeb588fbp-17, 0x1.6355dbd3b464fp-17, 0x1.7aff3b4a3f954p-17, 0x1.9118f5187445cp-17, 0x1.a5b1dc7a0c219p-17, 0x1.b8d84f8875568p-17, 0x1.ca9a3a83f1685p-17, 0x1.db051b0fbe7c9p-17, 0x1.ea26035377a51p-17, 0x1.f8099d098ae6bp-17, 0x1.025e163b9df72p-16, 0x1.0824c9a8ed62ap-16, 0x1.0d5ea9c854f7p-16, 0x1.12114914b7fdp-16, 0x1.16420cde805cep-16, 0x1.19f62e96f47ebp-16, 0x1.1d32bd161c4bp-16, 0x1.1ffc9dd345fe4p-16, 0x1.22588e1869608p-16, 0x1.244b242d430dp-16, 0x1.25d8d077bfb4p-16, 0x1.2705de976573ep-16, 0x1.27d6767755c18p-16, 0x1.284e9d5a16d6fp-16, 0x1.287236dcf57ecp-16, 0x1.284505f52e65dp-16, 0x1.27caade4b928p-16, 0x1.2706b32b54462p-16, 0x1.25fc7c6d62c9cp-16, 0x1.24af53562f0bap-16, 0x1.23226575619e2p-16, 0x1.2158c5126f5cfp-16, 0x1.1f5569fe9d09fp-16, 0x1.1d1b325e125dp-16, 0x1.1aace36c4b03p-16, 0x1.180d2a3bbb075p-16, 0x1.153e9c6f126a5p-16, 0x1.1243b8ed8f63p-16, 0x1.0f1ee89314e1fp-16, 0x1.0bd27ed9adcf6p-16, 0x1.0860ba8002775p-16, 0x1.04cbc62a6e605p-16, 0x1.0115b8ff59681p-16, 0x1.fa812e7d12693p-17, 0x1.f29ca5abb31bep-17, 0x1.ea8197e07ec77p-17, 0x1.e233a302b68fdp-17, 0x1.d9b6439a1962ep-17, 0x1.d10cd5d533e21p-17, 0x1.c83a968af72bfp-17, 0x1.bf42a42f64341p-17, 0x1.b627ffc8f555fp-17, 0x1.aced8dd7f6784p-17, 0x1.a396173af13a7p-17, 0x1.9a244a0b86c91p-17, 0x1.909aba74b66e5p-17, 0x1.86fbe382ffd65p-17, 0x1.7d4a27ef06c33p-17, 0x1.7387d2e16866bp-17, 0x1.69b718b1bc39ep-17, 0x1.5fda179f3e182p-17, 0x1.55f2d88375336p-17, 0x1.4c034f833bb1ap-17, 0x1.420d5cb4dabeap-17, 0x1.3812ccc6169e3p-17, 0x1.2e15599a6ee46p-17, 0x1.2416aae6f696bp-17, 0x1.1a1856c70dd1ap-17, 0x1.101be24f1a3ccp-17, 0x1.0622c2194f5dfp-17, 0x1.f85cb59d0304fp-18, 0x1.e48003569087cp-18, 0x1.d0b1fa02cb6ddp-18, 0x1.bcf5096911038p-18, 0x1.a94b856746e97p-18, 0x1.95b7a6de1c308p-18, 0x1.823b8c9403276p-18, 0x1.6ed93c14589d2p-18, 0x1.5b92a28505937p-18, 0x1.4869957840908p-18, 0x1.355fd3b4993dap-18, 0x1.227705fa46789p-18, 0x1.0fb0bfbfd23e3p-18, 0x1.fa1cffd832a6cp-19, 0x1.d523630e8d8dap-19, 0x1.b07758d20de4cp-19, 0x1.8c1b6bbe1a152p-19, 0x1.681202a11fcc9p-19, 0x1.445d61b6a38bfp-19, 0x1.20ffabda5092cp-19, 0x1.fbf5c75ebfbf1p-20, 0x1.b6a1d97f1c14ep-20, 0x1.720719207ae52p-20, 0x1.2e28d76427074p-20, 0x1.d6145b0de4172p-21, 0x1.515bfdc55dd77p-21, 0x1.9c5beb42125edp-22, 0x1.323cf4514ddd8p-23, -0x1.9bdc90f02c19dp-24, -0x1.63dc76cc8b561p-22, -0x1.2ec4dc00af3c5p-21, -0x1.a9fbe7b92d605p-21, -0x1.11c812de665bfp-20, -0x1.4dbf56c435f4fp-20, -0x1.88e271fc134eep-20, -0x1.c3303c2fd7014p-20, -0x1.fca7b0e1dcbb8p-20, -0x1.1aa3f70a7a56bp-19, -0x1.3688197fb5236p-19, -0x1.51ffef628674ep-19, -0x1.6d0b379ff9e83p-19, -0x1.87a9bfe8ebb61p-19, -0x1.a1db641dba6a7p-19, -0x1.bba00dc2354e2p-19, -0x1.d4f7b3736b94dp-19, -0x1.ede258627f528p-19, -0x1.033005eab56fbp-18, -0x1.0f3874544a03fp-18, -0x1.1b0a8a6b8f284p-18, -0x1.26a6608324e02p-18, -0x1.320c140a66235p-18, -0x1.3d3bc75670e2p-18, -0x1.4835a16e1e9aep-18, -0x1.52f9cdd671f6bp-18, -0x1.5d887c60cc5eep-18, -0x1.67e1e0fbd2b81p-18, -0x1.7206338514f5p-18, -0x1.7bf5af9c89bfp-18, -0x1.85b09478f9eddp-18, -0x1.8f3724be91f07p-18, -0x1.9889a655c1e62p-18, -0x1.a1a86244fa65ap-18, -0x1.aa93a48a9a449p-18, -0x1.b34bbbf8591f3p-18, -0x1.bbd0fa1056674p-18, -0x1.c423b2e2c461cp-18, -0x1.cc443ced00e87p-18, -0x1.d432f0f9c046ap-18, -0x1.dbf02a020d166p-18, -0x1.e37c450fdb5a2p-18, -0x1.ead7a1214c8f3p-18, -0x1.f2029f0c96066p-18, -0x1.f8fda165cd7b4p-18, -0x1.ffc90c6448b7fp-18, -0x1.0332a2e4fefep-17, -0x1.06695a65d096ep-17, -0x1.0988e0fc82f73p-17, -0x1.0c916b936eeecp-17, -0x1.0f832fac498d8p-17, -0x1.125e6355c7fc8p-17, -0x1.15233d2175598p-17, -0x1.17d1f419e1ebcp-17, -0x1.1a6abfb975eb7p-17, -0x1.1cedd7e11dce4p-17, -0x1.1f5b74cf7c763p-17, -0x1.21b3cf189d59ap-17, -0x1.23f71f9dc4ef5p-17, -0x1.26259f856ec93p-17, -0x1.283f8833eac9dp-17, -0x1.2a451343d80d6p-17, -0x1.2c367a7f47dcp-17, -0x1.2e13f7d8bc4b7p-17, -0x1.2fddc564cd9e2p-17, -0x1.31941d53c3874p-17, -0x1.333739eb6353p-17, -0x1.34c755815414ap-17, -0x1.3644aa7568504p-17, -0x1.37af732c2eb13p-17, -0x1.3907ea099c67p-17, -0x1.3a4e496c1bf6p-17, -0x1.3b82cba7c8b3dp-17, -0x1.3ca5ab0190c2bp-17, -0x1.3db721aaf6707p-17, -0x1.3eb769bdc7a3bp-17, -0x1.3fa6bd37c3fe7p-17, -0x1.408555f6c48f6p-17, -0x1.41536db4f5187p-17, -0x1.42113e0510121p-17, -0x1.42bf004eeb3e6p-17, -0x1.435cedcc40549p-17, -0x1.43eb3f85148ap-17, -0x1.446a2e4ce1146p-17, -0x1.44d9f2bf77118p-17, -0x1.453ac53e3f187p-17, -0x1.458cdded6759ap-17, -0x1.45d074b15ad0bp-17, -0x1.4605c12c318afp-17, -0x1.462cfabb561b9p-17, -0x1.464658753b346p-17, -0x1.4652112711d17p-17, -0x1.46505b52def19p-17, -0x1.46416d2d4ededp-17, -0x1.46257c9be444p-17, -0x1.45fcbf332f2f9p-17, -0x1.45c76a35291fdp-17, -0x1.4585b28f3f58cp-17, -0x1.4537ccd91260fp-17, -0x1.44dded52da69cp-17, -0x1.447847e403c72p-17, -0x1.44071019ddb4cp-17, -0x1.438a79264e01bp-17, -0x1.4302b5deaff82p-17, -0x1.426ff8ba9d81fp-17, -0x1.41d273d2e792bp-17, -0x1.412a58e09ad15p-17, -0x1.4077d93bf66c2p-17, -0x1.3fbb25dbb434ap-17, -0x1.3ef46f54183d5p-17, -0x1.3e23e5d62cda7p-17, -0x1.3d49b92f066bp-17, -0x1.3c6618c726b1fp-17, -0x1.3b7933a1ccb9dp-17, -0x1.3a83385c76717p-17, -0x1.3984552e44299p-17, -0x1.387cb7e77c5abp-17, -0x1.376c8df13acbap-17, -0x1.3654044ce5c97p-17, -0x1.35334793d71b7p-17, -0x1.340a83f718b61p-17, -0x1.32d9e53f22262p-17, -0x1.31a196cb7a753p-17, -0x1.3061c392a92cfp-17, -0x1.2f1a9621ed20fp-17, -0x1.2dcc389d1ebefp-17, -0x1.2c76d4be92cd3p-17, -0x1.2b1a93d70bdc6p-17, -0x1.29b79ecda2116p-17, -0x1.284e1e1fc4e02p-17, -0x1.26de39e145471p-17, -0x1.256819bc4a913p-17, -0x1.23ebe4f16bd8ap-17, -0x1.2269c257c4ebdp-17, -0x1.20e1d85d0c7f2p-17, -0x1.1f544d05c123fp-17, -0x1.1dc145ed3f302p-17, -0x1.1c28e845ff4a2p-17, -0x1.1a8b58d9b78ep-17, -0x1.18e8bc09950e6p-17, -0x1.174135ce985ap-17, -0x1.1594e9b9a49d4p-17, -0x1.13e3faf3dde2cp-17, -0x1.122e8c3f0ac92p-17, -0x1.1074bff5b3106p-17, -0x1.0eb6b80b8bd4dp-17, -0x1.0cf4960dd3379p-17, -0x1.0b2e7b23a9249p-17, -0x1.0964880e66a87p-17, -0x1.0796dd29fd7c9p-17, -0x1.05c59a6d6a4fdp-17, -0x1.03f0df6b11df9p-17, -0x1.0218cb51384bbp-17, -0x1.003d7cea6384bp-17, -0x1.fcbe253bc4f3ap-18, -0x1.f8fb54e055d59p-18, -0x1.f532c406bb1ep-18, -0x1.f164ad2f76365p-18, -0x1.ed914a184fa9dp-18, -0x1.e9b8d3bd673cep-18, -0x1.e5db825a1756bp-18, -0x1.e1f98d6a0561ep-18, -0x1.de132baa2d472p-18, -0x1.da28931a097p-18, -0x1.d639f8fc88101p-18, -0x1.d24791d93eaf3p-18, -0x1.ce51917d88f3ep-18, -0x1.ca582afdaa057p-18, -0x1.c65b90b5c99c9p-18, -0x1.c25bf44b371fp-18, -0x1.be5986ad9920ep-18, -0x1.ba54781827da8p-18, -0x1.b64cf812c06adp-18, -0x1.b24335731c6b4p-18, -0x1.ae375e5e0d428p-18, -0x1.aa29a048bd3b5p-18, -0x1.a61a27f9d20dcp-18, -0x1.a209218ab1fefp-18, -0x1.9df6b868cec46p-18, -0x1.99e31756e933p-18, -0x1.95ce686e2c936p-18, -0x1.91b8d51fa836fp-18, -0x1.8da2863559815p-18, -0x1.898ba3d396804p-18, -0x1.8574557a5ad3cp-18, -0x1.815cc20688c47p-18, -0x1.7d450fb311472p-18, -0x1.792d641a72781p-18, -0x1.7515e437ec966p-18, -0x1.70feb468c6468p-18, -0x1.6ce7f86d9dcd4p-18, -0x1.68d1d36bb0337p-18, -0x1.64bc67ee59c64p-18, -0x1.60a7d7e83cf33p-18, -0x1.5c9444b49741bp-18, -0x1.5881cf1869a0cp-18, -0x1.547097440064ap-18, -0x1.5060bcd4320fdp-18, -0x1.4c525ed3beacbp-18, -0x1.48459bbc94a43p-18, -0x1.443a917915493p-18, -0x1.40315d65739fep-18, -0x1.3c2a1c50fe19dp-18, -0x1.3824ea7f8695ap-18, -0x1.3421e3aa8206dp-18, -0x1.302123027964fp-18, -0x1.2c22c330731c4p-18, -0x1.2826de5733915p-18, -0x1.242d8e145cc7dp-18, -0x1.2036eb81ef2cap-18, -0x1.1c430f37829a4p-18, -0x1.1852114b9b9cbp-18, -0x1.1464095507e9ep-18, -0x1.10790e6c11a27p-18, -0x1.0c91372bd2916p-18, -0x1.08ac99b37b05fp-18, -0x1.04cb4ba7a30eep-18, -0x1.00ed62338f064p-18, -0x1.fa25e414f04d9p-19, -0x1.f2781ed1a19c3p-19, -0x1.ead19c2b46872p-19, -0x1.e33282c787a3dp-19, -0x1.db9af8661d64dp-19, -0x1.d40b21e34504ep-19, -0x1.cc83233a6ba1ep-19, -0x1.c5031f887e43bp-19, -0x1.bd8b390ec68a2p-19, -0x1.b61b91353a207p-19, -0x1.aeb4488cd6de3p-19, -0x1.a7557ed209dd3p-19, -0x1.9fff52ef5bbb7p-19, -0x1.98b1e2ffd2808p-19, -0x1.916d4c513fe94p-19, -0x1.8a31ab66be65p-19, -0x1.82ff1bfb4d33ep-19, -0x1.7bd5b9040a852p-19, -0x1.74b59cb2a6a82p-19, -0x1.6d9ee077917bbp-19, -0x1.66919d047d2fcp-19, -0x1.5f8dea4e98f7p-19, -0x1.5893df9138195p-19, -0x1.51a393500dcdp-19, -0x1.4abd1b5934077p-19, -0x1.43e08cc79607dp-19, -0x1.3d0dfc0570c9ep-19, -0x1.36457cce537f3p-19, -0x1.2f872231a531ep-19, -0x1.28d2fe94ab953p-19, -0x1.222923b4c3697p-19, -0x1.1b89a2a9cfa3bp-19, -0x1.14f48be8692b7p-19, -0x1.0e69ef43e63f8p-19, -0x1.07e9dbf09dcd5p-19, -0x1.01746085f371dp-19, -0x1.f6131600f19ccp-20, -0x1.e952d188f3063p-20, -0x1.dca80d3f58353p-20, -0x1.d012e19701d3p-20, -0x1.c39365de49abdp-20, -0x1.b729b0430153p-20, -0x1.aad5d5d6c3c9fp-20, -0x1.9e97ea933ded8p-20, -0x1.9270015e095d2p-20, -0x1.865e2c0c9afa5p-20, -0x1.7a627b685c11ep-20, -0x1.6e7cff3326aa9p-20, -0x1.62adc62a647f3p-20, -0x1.56f4de0b6668ep-20, -0x1.4b5253971a60ep-20, -0x1.3fc63295e1cadp-20, -0x1.345085db8dca8p-20, -0x1.28f1574b49276p-20, -0x1.1da8afdb3bdcp-20, -0x1.127697983c7b9p-20, -0x1.075b15a94636cp-20, -0x1.f8ac60a6fe738p-21, -0x1.e2cfd9fb97b89p-21, -0x1.cd20a068667cap-21, -0x1.b79ebb579ecacp-21, -0x1.a24a308ba961cp-21, -0x1.8d23042716d79p-21, -0x1.782938b3eb54ap-21, -0x1.635ccf299a59cp-21, -0x1.4ebdc6f3b44dp-21, -0x1.3a4c1df9a1cfep-21, -0x1.2607d0a476ef9p-21, -0x1.11f0d9e5cff76p-21, -0x1.fc0e667ef2d01p-22, -0x1.d495a9916529p-22, -0x1.ad776a6a412e7p-22, -0x1.86b393b5da485p-22, -0x1.604a0d72dd90ap-22, -0x1.3a3abcff36692p-22, -0x1.148585244d813p-22, -0x1.de548c4490bf7p-23, -0x1.9451bb795d93ap-23, -0x1.4b024e8fab17fp-23, -0x1.0265f7692824cp-23, -0x1.74f8c667fa53cp-24, -0x1.cd14ea2110a76p-25, -0x1.66010bd21d466p-26, 0x1.913484ed60615p-27, 0x1.78d59df01246ap-25, 0x1.454d49ecc64a8p-24, 0x1.cccedb9dc814bp-24, 0x1.297833254916fp-23, 0x1.6bd96a17622a3p-23, 0x1.ad8b8ba82cb6p-23, 0x1.ee8f14abfbf99p-23, 0x1.177242d9d27c9p-22, 0x1.3746317a6c98ep-22, 0x1.56c39a1c886ffp-22, 0x1.75eac264d363p-22, 0x1.94bbf1aa7febdp-22, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      28, 0x1.61eb851eb851fp+2, 0x1.cd93029a49e63p+0, 0x1.e542b4445a0d2p+1, -0x1.ba53284abb94cp-8, 
      {{
        {0x1.0b851eb851eb8p+2, 0x1.0cccccccccccdp+2, 0x1.14744e30ce0cap-6, -0x1.5cead16ce6117p-5, 0x1.3a8d9cc1bdb98p-5, -0x1.ad4ca5e8c58c5p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.06bf5fa40987ep-6, -0x1.5076c3865ef26p-5, 0x1.341d1a44a647ep-5, -0x1.aefc82482e428p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.cd3ac61e74295p-7, -0x1.3275ed4d66b9ep-5, 0x1.23f3a22ebe258p-5, -0x1.b10e6f7dda4eep-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.92cd86ec21133p-7, -0x1.1613d4a733f6p-5, 0x1.13b64acd3929p-5, -0x1.b31bddeeec014p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.5de3dc3f7eb7p-7, -0x1.f6a4e84c5655fp-6, 0x1.03653f4776b5cp-5, -0x1.b4d9843f597d6p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.2e2a3e2db01e2p-7, -0x1.c4673bd17b682p-6, 0x1.e606fb0a2d1b2p-6, -0x1.aa4bcfa1709b9p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.034d3164d59fp-7, -0x1.95662e0d8cc24p-6, 0x1.c60e184477dc7p-6, -0x1.9d4b1de8de5a9p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b9f5e14ce5bd1p-8, -0x1.698b21d17f0c1p-6, 0x1.a70edc6c9a629p-6, -0x1.90d1f75f31a69p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.75c83ad2b765cp-8, -0x1.40bda224c0c16p-6, 0x1.88ff1d1243763p-6, -0x1.84347f373f59dp-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.397787740bf02p-8, -0x1.1ae5995040f7ap-6, 0x1.6be19387b84f8p-6, -0x1.77a0c2597136bp-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.046eb475131fdp-8, -0x1.efd5b02db6e0bp-7, 0x1.4fb584f43637ep-6, -0x1.6b0a69f15f926p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.ac3b088a818f1p-9, -0x1.af6a6c24713b5p-7, 0x1.347b236882402p-6, -0x1.5e74c46835476p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.5bf11cfe99862p-9, -0x1.7459120dc31a4p-7, 0x1.1a32617a4b0e2p-6, -0x1.51deeeedafe4p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.16f27fd265f72p-9, -0x1.3e714e6e204aap-7, 0x1.00db42c211103p-6, -0x1.45492659b124cp-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.b87769d0cd99fp-10, -0x1.0d82cd86b49bbp-7, 0x1.d0eb8c90478e7p-7, -0x1.38b35a1cef9c4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.55a5d4f34814ap-10, -0x1.c2ba7754d441p-8, 0x1.a203d8a58a02dp-7, -0x1.2c1d8f9cbb758p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.038ff22b5b987p-10, -0x1.73a08a50f3c8ep-8, 0x1.74ff69813ab17p-7, -0x1.1f87c1d3012ddp-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.80d18e8a711ccp-11, -0x1.2d572c9a45813p-8, 0x1.49de3fa1941e4p-7, -0x1.12f1ff72f5bedp-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.14ed5d743f18ep-11, -0x1.defb6dd0f5db3p-9, 0x1.20a0595055a8p-7, -0x1.065c12b58739dp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.804d5ec1857e6p-12, -0x1.736702f8d5179p-9, 0x1.f28b79d09c589p-8, -0x1.f38d88082eaf2p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.fd5e2fdaf815bp-13, -0x1.172fcca645e0dp-9, 0x1.a79ca568fbbd2p-8, -0x1.da5e4f0020722p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.3e0290dc4d06dp-13, -0x1.9328e3beb7656p-10, 0x1.6074e65c2a12bp-8, -0x1.c14048748cb8fp-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.6e4a93e6299ep-14, -0x1.13a79403bf453p-10, 0x1.1d11a84aae90dp-8, -0x1.a7e2139c9518bp-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.77f9a7cf6f421p-15, -0x1.5cafe0033946cp-11, 0x1.baf9177ffd345p-9, -0x1.8f7365797d81fp-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.430528dd8004p-16, -0x1.86ee011508f96p-12, 0x1.432345db8ac11p-9, -0x1.7386cacf45eb9p-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.972aa2041d6p-18, -0x1.62015caaa0dc9p-13, 0x1.a75c120785246p-10, -0x1.64a25b8cb38e2p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.083c6f9fd78p-20, -0x1.93a3a556f66a2p-15, 0x1.a2c21c9966064p-11, -0x1.2336bdeca2351p-8}, 
        {0x1.6p+2, 0x1.61eb851eb851fp+2, 0x1.54a1a6d26505ap-26, -0x1.a61f56aaa97bfp-20, 0x1.1534e2c28d866p-13, -0x1.4a3ded66a72b7p-7}, 
      }}, 
      0x1.5e0d20a00ba7bp-2, -0x1.fbca3b5651dccp+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.4a631f84b36afp+0, -0x1.424c29a36e698p+0, -0x1.37693d1637e3fp+0, -0x1.2a1187d9bb9fcp+0, -0x1.1aa153aee1473p+0, -0x1.09756761c6af7p+0, -0x1.edcfa6961e9a6p-1, -0x1.c69b90e869b96p-1, -0x1.9dec6aa4f1c24p-1, -0x1.7451ea9dd9514p-1, -0x1.4a4cda02da9dp-1, -0x1.204eec8428ce6p-1, -0x1.ed7618c2523fep-2, -0x1.9bcbefc8055e5p-2, -0x1.4c2e2f85e5f51p-2, -0x1.fe25e2159816fp-3, -0x1.69b36020a6d53p-3, -0x1.b735ed452e93ap-4, -0x1.5138fafbd741ap-5, 0x1.5f0be06bc0c55p-6, 0x1.497e67a18d27ap-4, 0x1.162e6029ec95p-3, 0x1.802777e25ead7p-3, 0x1.e2b4bd30c4d4bp-3, 0x1.1ef7ac0c40182p-2, 0x1.48fe6160d7c4ap-2, 0x1.6f864140ec58p-2, 0x1.92ab12767fdcep-2, 0x1.b28bc09ec046ap-2, 0x1.cf499b1410255p-2, 0x1.e907b09a0ee9ap-2, 0x1.ffea416c03b06p-2, 0x1.0a0b217be768dp-1, 0x1.12d87c26a12b9p-1, 0x1.1a6fcb0aa8142p-1, 0x1.20e37a8e48205p-1, 0x1.2645a876375c1p-1, 0x1.2aa80810fd625p-1, 0x1.2e1bcc3e1a798p-1, 0x1.30b19576acadap-1, 0x1.3279640c7ea7cp-1, 0x1.33828e2efcc92p-1, 0x1.33dbb8f1ad617p-1, 0x1.3392d42b47c27p-1, 0x1.32b5189f9344fp-1, 0x1.314f082881639p-1, 0x1.2f6c6f766ab91p-1, 0x1.2d186933eb1d7p-1, 0x1.2a5d625f9c72ap-1, 0x1.27451f5c2dd3fp-1, 0x1.23d8c1bf08247p-1, 0x1.2020cebd90e61p-1, 0x1.1c2535d868c74p-1, 0x1.17ed57d875f2bp-1, 0x1.13800dea39aaap-1, 0x1.0ee3b0a8e3cd1p-1, 0x1.0a1e1f5958d9ep-1, 0x1.0534c6ee0e107p-1, 0x1.002ca8b407edfp-1, 0x1.f614c27e7454cp-2, 0x1.eba45d62d2353p-2, 0x1.e10fedd335a3cp-2, 0x1.d65e9b61f0963p-2, 0x1.cb96f47090fd7p-2, 0x1.c0bef8d5b4dcdp-2, 0x1.b5dc247b3469ap-2, 0x1.aaf3790208103p-2, 0x1.a00986480b3fdp-2, 0x1.952273d3b0de1p-2, 0x1.8a42082b3f8dp-2, 0x1.7f6bb0d1023abp-2, 0x1.74a288f1ccf31p-2, 0x1.69e95febee5aep-2, 0x1.5f42bf8bcad1dp-2, 0x1.54b0f1f9dcc24p-2, 0x1.4a3606374aap-2, 0x1.3fd3d570714c2p-2, 0x1.358c078ab23d4p-2, 0x1.2b6016c893de8p-2, 0x1.2151541c5654fp-2, 0x1.1760ea76a6955p-2, 0x1.0d8fe1961438cp-2, 0x1.03df2190977b7p-2, 0x1.f49eea3481cd4p-3, 0x1.e1c3180c760ep-3, 0x1.cf2bfdbee46fdp-3, 0x1.bcda9b61b6cebp-3, 0x1.aacfcb00190a1p-3, 0x1.990c41de8092cp-3, 0x1.87908df492af8p-3, 0x1.765d2474fab63p-3, 0x1.65725a08b6bd3p-3, 0x1.54d06a03a58b6p-3, 0x1.447777a127792p-3, 0x1.34678f9d9d64cp-3, 0x1.24a0ace65c6a2p-3, 0x1.1522b34a7cad3p-3, 0x1.05ed7bd78e60bp-3, 0x1.ee01995bd21d6p-4, 0x1.d0b8bd15190ffp-4, 0x1.b3ffbc21ace15p-4, 0x1.97d5d747a3866p-4, 0x1.7c3a3aeca0c7p-4, 0x1.612bffb6e5664p-4, 0x1.46aa2d8e73daap-4, 0x1.2cb3bbddfe75p-4, 0x1.134792afded47p-4, 0x1.f4c91df3afb74p-5, 0x1.c4130023f4babp-5, 0x1.946a55b1cc5c6p-5, 0x1.65cc9a8d7a912p-5, 0x1.3837264133eddp-5, 0x1.0ba75c78f7659p-5, 0x1.c034fdf2b03c8p-6, 0x1.6b1b937a9c62cp-6, 0x1.17fcd741161cep-6, 0x1.8da63302a146dp-7, 0x1.de6240279af58p-8, 0x1.523b4ffaca4ddp-9, -0x1.0931f09ef9a17p-9, -0x1.aad94138f4606p-8, -0x1.64dd86b8e899dp-7, -0x1.f0ab29c36f568p-7, -0x1.3c70c6f7cf98p-6, -0x1.7ec667f8b5d48p-6, -0x1.bf5c717b3df2ap-6, -0x1.fe38fdc6d30b9p-6, -0x1.1db10c67fe79bp-5, -0x1.3b6ee657e6485p-5, -0x1.5859137fa913dp-5, -0x1.747298445dd69p-5, -0x1.8fbe76d5365a9p-5, -0x1.aa3fb14aef495p-5, -0x1.c3f945f36ac3bp-5, -0x1.dcee30a31c7a7p-5, -0x1.f521699242cfp-5, -0x1.064af41126b67p-4, -0x1.11a74d692ee6fp-4, -0x1.1ca738dafb251p-4, -0x1.274c2ac93e8d2p-4, -0x1.319795ac332bfp-4, -0x1.3b8ae9a9179f1p-4, -0x1.4527943ad5d4dp-4, -0x1.4e6f01a7ddd0dp-4, -0x1.57629943034f9p-4, -0x1.6003c197f2d79p-4, -0x1.6853dd9630d1ap-4, -0x1.70544e27b21ap-4, -0x1.78067059adf22p-4, -0x1.7f6b9e86b5ea8p-4, -0x1.868531272b9aep-4, -0x1.8d547bfa6b3f9p-4, -0x1.93dad0ed9901dp-4, -0x1.9a197d0e16716p-4, -0x1.a011cfdb27c19p-4, -0x1.a5c50d5a157e2p-4, -0x1.ab347c1f8669cp-4, -0x1.b0615e04ea33ep-4, -0x1.b54cf2289b3d1p-4, -0x1.b9f8738bc592ap-4, -0x1.be651ac97df6ep-4, -0x1.c2941d223815fp-4, -0x1.c686aca69bbb3p-4, -0x1.ca3df7e65ab01p-4, -0x1.cdbb2a2c1d1e8p-4, -0x1.d0ff6d8bf9107p-4, -0x1.d40be3c71876fp-4, -0x1.d6e1b22e07decp-4, -0x1.d981f6463c72ep-4, -0x1.dbedcbcc75b3p-4, -0x1.de264d6740acap-4, -0x1.e02c8ac6e39a5p-4, -0x1.e2019bfd39393p-4, -0x1.e3a68e269c3e4p-4, -0x1.e51c6d2fd7a58p-4, -0x1.e664427ed9692p-4, -0x1.e77f144cf5ac4p-4, -0x1.e86de515e7378p-4, -0x1.e931b5258f0bbp-4, -0x1.e9cb80fb0bf93p-4, -0x1.ea3c42a200cdap-4, -0x1.ea84f0e7013ccp-4, -0x1.eaa6819cff9a1p-4, -0x1.eaa1e3e98c1d6p-4, -0x1.ea780665e1fd5p-4, -0x1.ea29d46c9a692p-4, -0x1.e9b836b366405p-4, -0x1.e92412bb345a1p-4, -0x1.e86e4b5158462p-4, -0x1.e797c083b32abp-4, -0x1.e6a14ee58ef78p-4, -0x1.e58bd12f34e6fp-4, -0x1.e4581eb110dbdp-4, -0x1.e3070c9e0c4bep-4, -0x1.e1996cd99f98bp-4, -0x1.e0100de920d9ep-4, -0x1.de6bbe41f301cp-4, -0x1.dcad45ecdb89p-4, -0x1.dad56ce9d962fp-4, -0x1.d8e4f7dbf287ap-4, -0x1.d6dca872904b3p-4, -0x1.d4bd3db590282p-4, -0x1.d287747b239fap-4, -0x1.d03c0690a1d05p-4, -0x1.cddbab6606853p-4, -0x1.cb6717e8fb5fcp-4, -0x1.c8defdac77536p-4, -0x1.c6440cb8ead3dp-4, -0x1.c396f1d1baf31p-4, -0x1.c0d8575cd1c55p-4, -0x1.be08e556201e3p-4, -0x1.bb2940ede3b81p-4, -0x1.b83a0cfd1aebep-4, -0x1.b53be9b957c0cp-4, -0x1.b22f74dbd2d6fp-4, -0x1.af15499c8de12p-4, -0x1.abee00becadcep-4, -0x1.a8ba30691d419p-4, -0x1.a57a6c7b2b49bp-4, -0x1.a22f4616db4d5p-4, -0x1.9ed94c305975dp-4, -0x1.9b790b27e9ebcp-4, -0x1.980f0cd2c06cfp-4, -0x1.949bd8cc8f0eap-4, -0x1.911ff41c21291p-4, -0x1.8d9be16c3dfa5p-4, -0x1.8a1020ff722a7p-4, -0x1.867d30df5792p-4, -0x1.82e38c608f8ep-4, -0x1.7f43acb9fe1f1p-4, -0x1.7b9e08b5738f2p-4, -0x1.77f314c2f5832p-4, -0x1.744343066fdfbp-4, -0x1.708f0322ad11fp-4, -0x1.6cd6c30ad1338p-4, -0x1.691aed66c0968p-4, -0x1.655beb75cbf16p-4, -0x1.619a23d218d1ap-4, -0x1.5dd5fae4ad5b5p-4, -0x1.5a0fd2dde699p-4, -0x1.56480bb3c59b5p-4, -0x1.527f032fe3905p-4, -0x1.4eb514e26a764p-4, -0x1.4aea9a320c4dp-4, -0x1.471fea64032adp-4, -0x1.43555a946fcd1p-4, -0x1.3f8b3dc20870bp-4, -0x1.3bc1e4d2b1095p-4, -0x1.37f99ea092369p-4, -0x1.3432b7dd1d3c2p-4, -0x1.306d7b4dbac92p-4, -0x1.2caa3197ef33fp-4, -0x1.28e9215484c2fp-4, -0x1.252a8f5756c22p-4, -0x1.216ebe1fd7d7bp-4, -0x1.1db5eee97b339p-4, -0x1.1a00601c48f7bp-4, -0x1.164e4ed214d8p-4, -0x1.129ff61a3fd3fp-4, -0x1.0ef58f31dbf8cp-4, -0x1.0b4f516d725dcp-4, -0x1.07ad72621bf8cp-4, -0x1.041025d092826p-4, -0x1.00779db89c5dcp-4, -0x1.f9c814af0b0a8p-5, -0x1.f2ab347eb7452p-5, -0x1.eb98f461e44e2p-5, -0x1.e491aac1e6a57p-5, -0x1.dd95aa999a233p-5, -0x1.d6a543a6a13bbp-5, -0x1.cfc0c2767816p-5, -0x1.c8e8705ec3474p-5, -0x1.c21c93ca9479dp-5, -0x1.bb5d6fc82eefdp-5, -0x1.b4ab449cca95p-5, -0x1.ae064f8b91dedp-5, -0x1.a76ecaee0ec37p-5, -0x1.a0e4ee3d81db6p-5, -0x1.9a68ee24fea01p-5, -0x1.93fafc893ed1ap-5, -0x1.8d9b489591508p-5, -0x1.8749fee1423edp-5, -0x1.8107496a74fe9p-5, -0x1.7ad34f7e2e80cp-5, -0x1.74ae360592894p-5, -0x1.6e981f5837907p-5, -0x1.68912b6df3779p-5, -0x1.629977df9987fp-5, -0x1.5cb12022aff27p-5, -0x1.56d83d2ff77ccp-5, -0x1.510ee602fd4a1p-5, -0x1.4b552f694ac5dp-5, -0x1.45ab2b9fc4477p-5, -0x1.4010eb1b51e73p-5, -0x1.3a867c3fb734p-5, -0x1.350bebb1836bbp-5, -0x1.2fa14449dc675p-5, -0x1.2a468f03ddb78p-5, -0x1.24fbd2724b5p-5, -0x1.1fc113c94232ep-5, -0x1.1a9655bd29052p-5, -0x1.157b99d52fa5ap-5, -0x1.1070e0205e31ep-5, -0x1.0b76277cf227cp-5, -0x1.068b6d61882f6p-5, -0x1.01b0ad7a995adp-5, -0x1.f9cbc300e3508p-6, -0x1.f056026f7b99cp-6, -0x1.e70005909020bp-6, -0x1.ddc9b6dfb7dadp-6, -0x1.d4b2ffad8a236p-6, -0x1.cbbbc8a85825ap-6, -0x1.c2e3f7d459d38p-6, -0x1.ba2b709cc621p-6, -0x1.b19211b160c49p-6, -0x1.a917b54ca75b1p-6, -0x1.a0bc32899c035p-6, -0x1.987f5f8cb88a6p-6, -0x1.9061134978089p-6, -0x1.8861262ed3447p-6, -0x1.807f7082d3003p-6, -0x1.78bbc82aa3d11p-6, -0x1.7115fdee38e54p-6, -0x1.698ddcb44c49p-6, -0x1.62232a0244c67p-6, -0x1.5ad5aad9ccefp-6, -0x1.53a525b44624bp-6, -0x1.4c9165b5520e2p-6, -0x1.459a39b5b1263p-6, -0x1.3ebf714cecbd8p-6, -0x1.3800d7d3ef75cp-6, -0x1.315e3094b4d92p-6, -0x1.2ad73671e0a78p-6, -0x1.246b9e710dea2p-6, -0x1.1e1b1d31cf7ddp-6, -0x1.17e56cbf8f1c7p-6, -0x1.11ca5041e47adp-6, -0x1.0bc992a7a5861p-6, -0x1.05e30169b519dp-6, -0x1.00166696ae89cp-6, -0x1.f4c70422bf34fp-7, -0x1.e9940f4382deap-7, -0x1.de93437bbe923p-7, -0x1.d3c3f0e6f454fp-7, -0x1.c92571fff83dbp-7, -0x1.beb739d1070b1p-7, -0x1.b478d6c74beeap-7, -0x1.aa69e2eacc73ap-7, -0x1.a089faaf8da98p-7, -0x1.96d8a72c149edp-7, -0x1.8d55540e1aa09p-7, -0x1.83ff4f446d4bp-7, -0x1.7ad5d3e9edc7cp-7, -0x1.71d81f379a7d1p-7, -0x1.69058182c8353p-7, -0x1.605d6f91596d8p-7, -0x1.57df82cdba7a1p-7, -0x1.4f8b6c42ed289p-7, -0x1.4760dec311164p-7, -0x1.3f5f78dbadbe4p-7, -0x1.3786b7468e0ep-7, -0x1.2fd5f26c380e4p-7, -0x1.284c65e6f5aa7p-7, -0x1.20e93e6166dcdp-7, -0x1.19abb1568fd0ep-7, -0x1.12930bac3b354p-7, -0x1.0b9ec294a3ca9p-7, -0x1.04ce700838138p-7, -0x1.fc43867161a4ap-8, -0x1.ef30d51ba0f47p-8, -0x1.e2640503fd8a8p-8, -0x1.d5dc21483e38bp-8, -0x1.c9980f93bfc25p-8, -0x1.bd9698d274198p-8, -0x1.b1d6708720487p-8, -0x1.a65642074c627p-8, -0x1.9b14cecea5152p-8, -0x1.9011071719087p-8, -0x1.854a1bf5c9682p-8, -0x1.7abf6637f64d3p-8, -0x1.707036d69c165p-8, -0x1.665baf4e4fffcp-8, -0x1.5c80bf02e1f98p-8, -0x1.52de43b90a31dp-8, -0x1.49731099ca7a1p-8, -0x1.403e169ca8351p-8, -0x1.373e1f3ace8a7p-8, -0x1.2e71e3df34e77p-8, -0x1.25d827f42145ap-8, -0x1.1d6ff1c02e893p-8, -0x1.1538ad0f9d262p-8, -0x1.0d320e2869d0bp-8, -0x1.055bd0a8af584p-8, -0x1.fb6aea6a76028p-9, -0x1.ec7c7775e029p-9, -0x1.ddea9f49c7745p-9, -0x1.cfb3cc047bf7bp-9, -0x1.c1d6757f858a7p-9, -0x1.b450a88496754p-9, -0x1.a71fae9ed721fp-9, -0x1.9a402fcb75926p-9, -0x1.8daef95318472p-9, -0x1.8169abd711a3p-9, -0x1.756f085acc487p-9, -0x1.69be9712a106bp-9, -0x1.5e5805405fab6p-9, -0x1.533ab28563b01p-9, -0x1.4865b49fc6c4fp-9, -0x1.3dd82cb6fcab3p-9, -0x1.33918d0c93514p-9, -0x1.29916613ab6c4p-9, -0x1.1fd6c1021c873p-9, -0x1.165f96feaed59p-9, -0x1.0d28f2c69c275p-9, -0x1.042fa75795c0ap-9, -0x1.f6e206073281dp-10, -0x1.e5d68fa1b6146p-10, -0x1.d53b22a100e81p-10, -0x1.c50ef3dbc037fp-10, -0x1.b55157a167089p-10, -0x1.a6012c0c7d875p-10, -0x1.971cf102f903ep-10, -0x1.88a36f9d114f6p-10, -0x1.7a942374cfd23p-10, -0x1.6cee93c18df72p-10, -0x1.5fb0f49c56a3cp-10, -0x1.52d7661319666p-10, -0x1.465cbb801b04p-10, -0x1.3a3b9f2c1ac7ep-10, -0x1.2e6f5825cca0ep-10, -0x1.22f458c2729d3p-10, -0x1.17c906b38b655p-10, -0x1.0cedb80cbdadp-10, -0x1.02631eec3ec33p-10, -0x1.f051c154941dbp-11, -0x1.dc7a715e3bb84p-11, -0x1.c93d12eb1ad77p-11, -0x1.b697bc104b609p-11, -0x1.a489f56733434p-11, -0x1.931384f880f3p-11, -0x1.8233225fd8ba8p-11, -0x1.71e5457138786p-11, -0x1.622403726023fp-11, -0x1.52e6eda8ddf8fp-11, -0x1.4422c3298d164p-11, -0x1.35cc855e20177p-11, -0x1.27df7128ab8ccp-11, -0x1.1a5d675ed0a7ap-11, -0x1.0d489c6c15e89p-11, -0x1.009fc4ae7c525p-11, -0x1.e8c198aa87c9bp-12, -0x1.d11620b89873dp-12, -0x1.ba3aa10681c4cp-12, -0x1.a4275374dcd4ep-12, -0x1.8ed4fa5c9e3e2p-12, -0x1.7a4205422069dp-12, -0x1.66712745cb526p-12, -0x1.536459bfc8cdp-12, -0x1.411a3d68dbba3p-12, -0x1.2f8b2c4bf076ap-12, -0x1.1ea5a8fa19027p-12, -0x1.0e5901de9b5a4p-12, -0x1.fd484bec969a5p-13, -0x1.df15cd0aa7014p-13, -0x1.c20763bfd3a8ap-13, -0x1.a60210c01e8f2p-13, -0x1.8afecab93aa28p-13, -0x1.7101ec4c84ddp-13, -0x1.5806691b63066p-13, -0x1.40009fc29b2c7p-13, -0x1.28e8972f652e5p-13, -0x1.12bcdda86975cp-13, -0x1.faff69e61b38bp-14, -0x1.d260a20894b66p-14, -0x1.ab9326c777115p-14, -0x1.8694c7bf665a1p-14, -0x1.635b1ad5b20f2p-14, -0x1.41b8db9c50d52p-14, -0x1.2195c901b67acp-14, -0x1.030a87d1f4a9fp-14, -0x1.cc13b6bee7461p-15, -0x1.94c4ff0a2f8dcp-15, -0x1.60246daaad73fp-15, -0x1.2e56605f191f1p-15, -0x1.fe6bfcc1cf9d5p-16, -0x1.a4e8229ea161bp-16, -0x1.4fa3dba8d12e7p-16, -0x1.fcb27cc67b478p-17, -0x1.62279241f79ddp-17, -0x1.a021c55d2a3f5p-18, -0x1.1ad54b35d91e2p-19, 0x1.d1b94ea0dd89ep-20, 0x1.66cba2d3b0fbfp-18, 0x1.24ce2fde2aca1p-17, 0x1.8e3de270486d1p-17, 0x1.f0696be9ba6dcp-17, 0x1.25c354b8ccea7p-16, 0x1.4fd2fd94c801dp-16, 0x1.7719bb121b51p-16, 0x1.9ba4cc5c07aabp-16, 0x1.bd15e551a7063p-16, 0x1.db918d42bf7fep-16, 0x1.f74ebe55f2cc9p-16, 0x1.082ae2fc725a5p-15, 0x1.1354a0e4b2ad8p-15, 0x1.1d35b6ceae663p-15, 0x1.25f17e783bf1dp-15, 0x1.2daedada79c88p-15, 0x1.347dff2c3154ap-15, 0x1.3a528e2f92759p-15, 0x1.3f28c5c4c97b1p-15, 0x1.43129139fc518p-15, 0x1.4608eccd265efp-15, 0x1.47f32f6314e0bp-15, 0x1.48f84e631714fp-15, 0x1.4927dba2728c6p-15, 0x1.48aa8bef3705fp-15, 0x1.478ffe5a4c793p-15, 0x1.45b3a4f03570bp-15, 0x1.4331cbfca8004p-15, 0x1.401fdeb6a0faep-15, 0x1.3c83967a07adep-15, 0x1.3859b3ff26245p-15, 0x1.33a1a4f49737fp-15, 0x1.2e595a6fd295ep-15, 0x1.28807efae8ce7p-15, 0x1.221ac5079205dp-15, 0x1.1b3a3fd9bace4p-15, 0x1.13fef58b83e43p-15, 0x1.0c7e6c321e5e6p-15, 0x1.04add72502863p-15, 0x1.f90e0ceeeb37cp-16, 0x1.e80ee16804e83p-16, 0x1.d6390e82ea275p-16, 0x1.c3c614a313622p-16, 0x1.b0e2d92d60c76p-16, 0x1.9daba914ee828p-16, 0x1.89ec65bce28edp-16, 0x1.75becbf774c1bp-16, 0x1.61488a3162287p-16, 0x1.4c89abe2cd8a3p-16, 0x1.3780c2a22db06p-16, 0x1.22328da655cacp-16, 0x1.0ca477a264a93p-16, 0x1.edbb5236058d9p-17, 0x1.c1c8c74bef34ep-17, 0x1.9577974e567e9p-17, 0x1.68bda3b1c5968p-17, 0x1.3ba2a669d1029p-17, 0x1.0e355e4e4800cp-17, 0x1.c1996994a9482p-18, 0x1.66e138aab1cbbp-18, 0x1.0c11b6bc0727dp-18, 0x1.62e55405b0247p-19, 0x1.59038eb556efp-20, -0x1.423c5761d986cp-24, -0x1.7eab2dd751edp-20, -0x1.73fc7d54f4649p-19, -0x1.1436a29af3ca9p-18, -0x1.6debe149c8e13p-18, -0x1.c7120465c85d2p-18, -0x1.0fe0b733f546p-17, -0x1.3bf0de6d392c6p-17, -0x1.67b59f2409f44p-17, -0x1.9327d14d89288p-17, -0x1.be415a88e7056p-17, -0x1.e8fbb8771985dp-17, -0x1.09a85eda33749p-16, -0x1.1e9d8b8b8596p-16, -0x1.335af5ff00e31p-16, -0x1.47e43fa4553d3p-16, -0x1.5c3d4f7085b99p-16, -0x1.705a34fb270ap-16, -0x1.8433c8ce22102p-16, -0x1.97be3d3356f16p-16, -0x1.ab085b0fd833bp-16, -0x1.be1861ff31b8cp-16, -0x1.d0e81f2ef5c01p-16, -0x1.e3664359db91p-16, -0x1.f599a8220fb71p-16, -0x1.03c49d8c3c7f7p-15, -0x1.0c95b93bd1092p-15, -0x1.15403d0d763c9p-15, -0x1.1dc5013b1139bp-15, -0x1.26246c566b2e9p-15, -0x1.2e5a5a37062e3p-15, -0x1.366a1cb8f6d7bp-15, -0x1.3e523cbe05a75p-15, -0x1.461252032b1aep-15, -0x1.4da937e1b9c83p-15, -0x1.5519d29f5f3b4p-15, -0x1.5c6096eda051ep-15, -0x1.637de3602d864p-15, -0x1.6a73aab1210efp-15, -0x1.71414d53f9099p-15, -0x1.77e650996da81p-15, -0x1.7e608fddd8625p-15, -0x1.84b24be29fc2cp-15, -0x1.8adb9a5e27095p-15, -0x1.90dbd253af2bp-15, -0x1.96b339d496886p-15, -0x1.9c61f94c3d70cp-15, -0x1.a1e829d67f9b9p-15, -0x1.a745ebd6276a7p-15, -0x1.ac7b63ce1ee7bp-15, -0x1.b1890ccfa07b4p-15, -0x1.b66e745b1b5afp-15, -0x1.bb2beaafb41fep-15, -0x1.bfc22737b6969p-15, -0x1.c431229229ac8p-15, -0x1.c8791fd186853p-15, -0x1.cc9a6518731ebp-15, -0x1.d095300706d1ep-15, -0x1.d46978a7ce2aap-15, -0x1.d818ae27bba32p-15, -0x1.dba213ce14d65p-15, -0x1.df06791071c0bp-15, -0x1.e244e6e389b0dp-15, -0x1.e55f2423b3b9ap-15, -0x1.e85651be1dcf7p-15, -0x1.eb280e34d0f9ap-15, -0x1.edd6abc0665afp-15, -0x1.f062096705805p-15, -0x1.f2cc72412f643p-15, -0x1.f513d1f2d8355p-15, -0x1.f73978df3bdf1p-15, -0x1.f93d7cfbb0976p-15, -0x1.fb1fa383ec7a9p-15, -0x1.fce12ed90f71p-15, -0x1.fe82b35dbda3fp-15, -0x1.00023fa2f946p-14, -0x1.00b2e76dc688bp-14, -0x1.01551a369756bp-14, -0x1.01e77b717045ep-14, -0x1.026ad0e688e5p-14, -0x1.02df40ca29a31p-14, -0x1.034511ef8a95p-14, -0x1.039c79ea4eb76p-14, -0x1.03e56093f6351p-14, -0x1.04212d6ef6ff5p-14, -0x1.044eafe59d916p-14, -0x1.046e9f256c572p-14, -0x1.04814a6904cedp-14, -0x1.0486911db6ba7p-14, -0x1.047f38a78ce7p-14, -0x1.046b51e93264ap-14, -0x1.044b175939727p-14, -0x1.041e5a75e3bffp-14, -0x1.03e5e27f759fap-14, -0x1.03a1925fbab9p-14, -0x1.0351b00c2bf9dp-14, -0x1.02f68b31ba8bep-14, -0x1.0290263b1085ap-14, -0x1.021ef858b8fd9p-14, -0x1.01a2c033ce041p-14, -0x1.011dc62cb0c75p-14, -0x1.008c6699bcb23p-14, -0x1.ffe2d7d5d04c6p-15, -0x1.fe99ce85fa9p-15, -0x1.fd3d8ec958a4ep-15, -0x1.fbce54b9f2471p-15, -0x1.fa4d0dfbfc789p-15, -0x1.f8b980652d205p-15, -0x1.f714608415adfp-15, -0x1.f55e7eb5a302ep-15, -0x1.f3975b41f4ee3p-15, -0x1.f1bf81483a716p-15, -0x1.efd7e96dd713p-15, -0x1.ede0d0b75e59ep-15, -0x1.ebda7e2ca332dp-15, -0x1.e9c54e6110842p-15, -0x1.e7a1a537bb744p-15, -0x1.e56fe0dd879dap-15, -0x1.e3306354eabaap-15, -0x1.e0e38e6fed5f5p-15, -0x1.de89ba2699d8cp-15, -0x1.dc22cb85cec41p-15, -0x1.d9b0c19b4a276p-15, -0x1.d731e2cdbf2c8p-15, -0x1.d4a7b04c15215p-15, -0x1.d2124035ff42ep-15, -0x1.cf71ed4e76319p-15, -0x1.ccc7107cb9a77p-15, -0x1.ca116d0d61b9ap-15, -0x1.c7530cc0cfff6p-15, -0x1.c48a71da5f925p-15, -0x1.c1b887d938788p-15, -0x1.bedc4d3832a6cp-15, -0x1.bbfa979c5b86cp-15, -0x1.b90f19829bd5p-15, -0x1.b61ac8e42ed35p-15, -0x1.b31ff40c7ccep-15, -0x1.b01ec0feb47a1p-15, -0x1.ad132f1ec0cc3p-15, -0x1.aa02ff67910a1p-15, -0x1.a6eafa9e872d2p-15, -0x1.a3cd89f841f18p-15, -0x1.a0a9f5ea972e6p-15, -0x1.9d80ba920342bp-15, -0x1.9a5200065044ap-15, -0x1.971de1cc674c9p-15, -0x1.93e4e563f37e1p-15, -0x1.90a5cef6044dep-15, -0x1.8d653be792088p-15, -0x1.8a1ef68301c13p-15, -0x1.86d4bb7d45ddep-15, -0x1.8386c1bc518a4p-15, -0x1.80354df377f7bp-15, -0x1.7ce09bfbde87p-15, -0x1.7988e09281ce4p-15, -0x1.762e57a59e74bp-15, -0x1.72d0a18805b9p-15, -0x1.6f71b9fe93b16p-15, -0x1.6c0ffaf148508p-15, -0x1.68ac4b44a7719p-15, -0x1.6546ea6717c86p-15, -0x1.61dff9af77bc4p-15, -0x1.5e75fdeddf99ep-15, -0x1.5b0e0615cfbfdp-15, -0x1.57a37ae7f107ap-15, -0x1.5438271b77aedp-15, -0x1.50cc3ad26ab3bp-15, -0x1.4d60e02d66f56p-15, -0x1.49f328c8e4fbdp-15, -0x1.468652a0b51a4p-15, -0x1.43199848c87ecp-15, -0x1.3fad1c698796fp-15, -0x1.3c4248e9382cfp-15, -0x1.38d56f7b2a745p-15, -0x1.3568ae91ff475p-15, -0x1.320071d2e517bp-15, -0x1.2e97672c4268cp-15, -0x1.2b2f813e98e26p-15, -0x1.27c8cc7067d3ep-15, -0x1.246348a6e413cp-15, -0x1.20ffd59f070c5p-15, -0x1.1d9a7f7672d57p-15, -0x1.1a3d9bb7097b3p-15, -0x1.16deee35abab8p-15, -0x1.138289f112558p-15, -0x1.102848d3356dfp-15, -0x1.0cd1990e30f2bp-15, -0x1.097b4af81da02p-15, -0x1.0628a1ed7307ep-15, -0x1.02d85fdf9b26ep-15, -0x1.ff19611fed58cp-16, -0x1.f8800e917f433p-16, -0x1.f1f00b8682526p-16, -0x1.eb6666d836632p-16, -0x1.e4e2df94486bcp-16, -0x1.de682bdcee15cp-16, -0x1.d7ef3cc843f17p-16, -0x1.d17ef740b064ep-16, -0x1.cb165f103c2f5p-16, -0x1.c4b4b749b10fbp-16, -0x1.be5a24492f86fp-16, -0x1.b806f69acfa54p-16, -0x1.b1bb43a7027a4p-16, -0x1.ab7756f5be88bp-16, -0x1.a53b3b94224b9p-16, -0x1.9f08f2e149e09p-16, -0x1.98daeb1bde5ccp-16, -0x1.92b717c4906cap-16, -0x1.8c9b007c2c22p-16, -0x1.86884cc933035p-16, -0x1.807dc102ea374p-16, -0x1.7a7bebdbe3f81p-16, -0x1.7483f071981c5p-16, -0x1.6e92a9db96376p-16, -0x1.68ab729c7a277p-16, -0x1.62cd5c202da1ep-16, -0x1.5cf88200253afp-16, -0x1.572c3b3caf19fp-16, -0x1.516a5e81d92edp-16, -0x1.4bb1987b402b2p-16, -0x1.4602002ab9498p-16, -0x1.405c2de0fe51fp-16, -0x1.3abff55c4cf29p-16, -0x1.353105887f03ep-16, -0x1.2fa492eb0f5d7p-16, -0x1.2a25f136c04d7p-16, -0x1.24b0b11c773b1p-16, -0x1.1f45c444e57b4p-16, -0x1.19e4b84a5579cp-16, -0x1.148db33ad019ep-16, -0x1.0f4082f2cf55cp-16, -0x1.09fe045b63fdap-16, -0x1.04c44dcb566c6p-16, -0x1.ff2da55d5c6f8p-17, -0x1.f4e574059e74p-17, -0x1.eaad861b75aeap-17, -0x1.e0927efeb8469p-17, -0x1.d6881beb63c96p-17, -0x1.cc9337ba47539p-17, -0x1.c2b0d05d5d03p-17, -0x1.b8e4b98d002fbp-17, -0x1.af34ffbac1539p-17, -0x1.a58c67fa1b1d9p-17, -0x1.9bfc978e75561p-17, -0x1.928318fa74f4p-17, -0x1.8920f416f9de7p-17, -0x1.7fd0c2c8befd3p-17, -0x1.76969c512ab27p-17, -0x1.6d718aa131fe2p-17, -0x1.6461367c367bfp-17, -0x1.5b6603017f89ap-17, -0x1.527db604d7c9bp-17, -0x1.49b571ccd54eep-17, -0x1.40f189a5967e6p-17, -0x1.3849b67822284p-17, -0x1.2fb76da0fb6e4p-17, -0x1.2738e37831bc1p-17, -0x1.1ecfa863c9b77p-17, -0x1.167b2c478a86ap-17, -0x1.0e3b8acd6f87fp-17, -0x1.06108ced4e627p-17, -0x1.fbf48384cb4b4p-18, -0x1.ebf15e3932ba1p-18, -0x1.dc16571a359dap-18, -0x1.cc6648009688fp-18, -0x1.bcde3992315fdp-18, -0x1.ad7d79acc2326p-18, -0x1.9e46a1c48fa84p-18, -0x1.8f2efb15be5fp-18, -0x1.80532c2f0e006p-18, -0x1.718fe0d6a8a55p-18, -0x1.630040e7f296p-18, -0x1.54930585108c2p-18, -0x1.464dad1c006d3p-18, -0x1.3835c41581b2fp-18, -0x1.2a3c00bcf877ep-18, -0x1.1c6b57f7df93fp-18, -0x1.0ec61a03f7ed5p-18, -0x1.0145c01a2c546p-18, -0x1.e7d9ffbf520bbp-19, -0x1.cd76275f3ee09p-19, -0x1.b35fa688e1232p-19, -0x1.9995b109e28fbp-19, -0x1.800c2da009afp-19, -0x1.66eb79655f70cp-19, -0x1.4e03f790c67aep-19, -0x1.35777d32fc7eep-19, -0x1.1d1c93647c6e8p-19, -0x1.05198cd269c01p-19, -0x1.dab2b311709adp-20, -0x1.abde6a56ffc0ap-20, -0x1.7d96bbdc9a0c6p-20, -0x1.4fdc3a357bc72p-20, -0x1.22ac9036acfc6p-20, -0x1.ec41d66125f7bp-21, -0x1.94335db1a1488p-21, -0x1.3d4aef19d5948p-21, -0x1.ce75d80887a3p-22, -0x1.257996b18b642p-22, -0x1.f9106c19a8b44p-24, 0x1.3337e15120352p-25, 0x1.93765eddd9c0dp-23, 0x1.6aad7c4ed9be2p-22, 0x1.048708cd80dfp-21, 0x1.52c59830d388dp-21, 0x1.9ff425bda1794p-21, 0x1.ec139529fb4a8p-21, 0x1.1b9773679dfcap-20, 0x1.409d18df4fefep-20, 0x1.651bcc04cc6b2p-20, 0x1.891e472446a44p-20, 0x1.aca54f9e28e8ap-20, 0x1.cf9a48f6238ccp-20, 0x1.f218c2824235ep-20, 0x1.0a0bc1b5986c1p-19, 0x1.1ac784ee8ffcfp-19, 0x1.2b4fe2ae36193p-19, 0x1.3b948ad6bfcap-19, 0x1.4b9b412680e23p-19, 0x1.5b64f64b362e3p-19, 0x1.6af3e228cfed2p-19, 0x1.7a41f7a47960dp-19, 0x1.8956c06bcdf38p-19, 0x1.982fee2c2bfd3p-19, 0x1.a6e5125cb777dp-19, 0x1.b5330d3733febp-19, 0x1.c35bfc31faf0fp-19, 0x1.d1597358f836bp-19, 0x1.df07c1f620167p-19, 0x1.ec865969e47afp-19, 0x1.f9ceb6e8a2bp-19, 0x1.0356cbdcfc111p-18, 0x1.09dcfa1a272c4p-18, 0x1.102e95b62abefp-18, 0x1.1664e743697fcp-18, 0x1.1c7c328e4d807p-18, 0x1.227b9c4bf7529p-18, 0x1.2868c86626daep-18, 0x1.2e35acdf43ea7p-18, 0x1.33e46bf38117p-18, 0x1.3981b31e49179p-18, 0x1.3f0168c9f1fdcp-18, 0x1.44699e70d2558p-18, 0x1.49b56a0f8068ep-18, 0x1.4eeae67db2439p-18, 0x1.540789da811e7p-18, 0x1.590a6ed3a90a8p-18, 0x1.5dfe4b98fdbfdp-18, 0x1.62d05b9d5b36p-18, 0x1.6789fd9d58629p-18, 0x1.6c2f95c6b97dcp-18, 0x1.70bc7fdb90409p-18, 0x1.7538f5c838ed2p-18, 0x1.79998034974dap-18, 0x1.7de19983c96a2p-18, 0x1.821633cfe2a4cp-18, 0x1.8634a672fea32p-18, 0x1.8a3d6db5a1ceep-18, 0x1.8e309982005c3p-18, 0x1.920e347f32ec1p-18, 0x1.95d7cdf8d8a19p-18, 0x1.998eaaeb83634p-18, 0x1.9d2a632f47912p-18, 0x1.a0b9545ff49ecp-18, 0x1.a42baed350db9p-18, 0x1.a78cbb3a0a58fp-18, 0x1.aadcd5f70811cp-18, 0x1.ae17aa8fd95f1p-18, 0x1.b13f818213a02p-18, 0x1.b453da256b26cp-18, 0x1.b7556d2db44fdp-18, 0x1.ba3fe96d81b15p-18, 0x1.bd2309bdb1d82p-18, 0x1.bfe9ff2954142p-18, 0x1.c2a1be4d3aeb1p-18, 0x1.c5467e1536d38p-18, 0x1.c7db3d94f52f9p-18, 0x1.ca57c922e0f4ap-18, 0x1.cccf345178e36p-18, 0x1.cf2c0e414abc3p-18, 0x1.d179c7f2eedcbp-18, 0x1.d3bbce642a2e3p-18, 0x1.d5e970187f4e3p-18, 0x1.d806af30ee44ap-18, 0x1.da183e06cf9fbp-18, 0x1.dc10c50955f5ap-18, 0x1.ddfde8079efd9p-18, 0x1.dfdb7db089395p-18, 0x1.e1a84579320afp-18, 0x1.e368e6f133f2ap-18, 0x1.e51868bebbdfap-18, 0x1.e6b9f509cca1bp-18, 0x1.e85b4aa72ed1fp-18, 0x1.e9d0ff14a19b8p-18, 0x1.eb44f3b8daf9bp-18, 0x1.ecac729913777p-18, 0x1.ee0bded41b81fp-18, 0x1.ef5053c4d5609p-18, 0x1.f08ec0ed64d89p-18, 0x1.f1be748950853p-18, 0x1.f2e2f099a8e89p-18, 0x1.f3f8af7cfdafdp-18, 0x1.f501c70181f09p-18, 0x1.f5fd83aa7ae6fp-18, 0x1.f6ebc0fcd5ea2p-18, 0x1.f7cfe77afe6f3p-18, 0x1.f8a534abe4fa5p-18, 0x1.f97196d746a06p-18, 0x1.fa303efc9b78bp-18, 0x1.fae34bbb7257cp-18, 0x1.fb8a910229c28p-18, 0x1.fc2645d6fb047p-18, 0x1.fcb72f54fdc8fp-18, 0x1.fd3c341965366p-18, 0x1.fdb63259c1e02p-18, 0x1.fe2543d93e3c8p-18, 0x1.fe8a3002b0a5p-18, 0x1.fee4997366c5cp-18, 0x1.ff343393af701p-18, 0x1.ff79642c008dfp-18, 0x1.ffb4b46c6a3cp-18, 0x1.ffe498cff3d61p-18, 0x1.000699262d82bp-17, 0x1.00158df045f87p-17, 0x1.001f1d7abee72p-17, 0x1.002529b29a219p-17, 0x1.0026be5101711p-17, 0x1.0021d1659885bp-17, 0x1.001944d11f1cdp-17, 0x1.000c1a14599dp-17, 0x1.fff60948af4dfp-18, 0x1.ffcbd69a6deddp-18, 0x1.ff993ceb9f92dp-18, 0x1.ff5c3f0933c7dp-18, 0x1.ff16845a160f5p-18, 0x1.fecc4df56b66fp-18, 0x1.fe77dbfcf147cp-18, 0x1.fe1c0c9582faep-18, 0x1.fdb853abceeb3p-18, 0x1.fd4ce9e0e966ep-18, 0x1.fcda289d058a9p-18, 0x1.fc60094bc7862p-18, 0x1.fbdeadffa4082p-18, 0x1.fb535908f78e1p-18, }}, 
      {{-0x1.4ed33b1999efdp+0, -0x1.4c1113e1e9f7ap+0, -0x1.484d0976ae20dp+0, -0x1.439b0821297fcp+0, -0x1.3e10e263d20efp+0, -0x1.37c55043ece47p+0, -0x1.30cf3335e82adp+0, -0x1.29450be2d0c38p+0, -0x1.213c95ebf0c4ap+0, -0x1.18ca8321847d4p+0, -0x1.10024b844bb9bp+0, -0x1.06f6106024e83p+0, -0x1.fb6d198049634p-1, -0x1.e8a620b25d2b8p-1, -0x1.d5b3051cd6fdp-1, -0x1.c2acd6f01d26fp-1, -0x1.afaa02cd7d592p-1, -0x1.9cbe7318e1e25p-1, -0x1.89fbb59b2dcddp-1, -0x1.777123ce18087p-1, -0x1.652c0c55be1d4p-1, -0x1.5337dcb7839dbp-1, -0x1.419e4a57cf873p-1, -0x1.30677a1c58aabp-1, -0x1.1f9a2627878bdp-1, -0x1.0f3bc1559481cp-1, -0x1.fea130b25c819p-2, -0x1.dfb7e0899e7a5p-2, -0x1.c1c045c9e8d2ap-2, -0x1.a4bd716c4b01cp-2, -0x1.88b101c9479d7p-2, -0x1.6d9b4e8fd7538p-2, -0x1.537b91627501cp-2, -0x1.3a500aa012f74p-2, -0x1.2216232971081p-2, -0x1.0aca8aeb10446p-2, -0x1.e8d2a8ff2e8d4p-3, -0x1.bddc1c673b32ap-3, -0x1.94a7b0bd93dfbp-3, -0x1.6d2af3550803fp-3, -0x1.475ae1eaa5827p-3, -0x1.232c0acc69478p-3, -0x1.0092a958a24cep-3, -0x1.bf057e2b11bbbp-4, -0x1.7fe0534fc7a7p-4, -0x1.439d6ef3d119cp-4, -0x1.0a246bb2e4762p-4, -0x1.a6ba0c469b5a5p-5, -0x1.3e5e5f915c63dp-5, -0x1.b60ca2ad983bap-6, -0x1.f20c7d89dbf67p-7, -0x1.15371e4d9aa83p-8, 0x1.95da8b500bf0cp-8, 0x1.079ecdc0f9431p-6, 0x1.a18052792e558p-6, 0x1.19b73ed6ab28dp-5, 0x1.5edd1e9805e0ep-5, 0x1.a0590a8843d7ap-5, 0x1.de510a735fa9fp-5, 0x1.0c74f5e963b43p-4, 0x1.2823a07bae61cp-4, 0x1.4245b1965c7f5p-4, 0x1.5aebbb46be9afp-4, 0x1.7225b6ec0c6e8p-4, 0x1.880306ea10601p-4, 0x1.9c927b8492cf5p-4, 0x1.afe254f0f55ddp-4, 0x1.c20046ba3df9ap-4, 0x1.d2f97c8820acdp-4, 0x1.e2da9d2161582p-4, 0x1.f1afcf3d6e4eep-4, 0x1.ff84bcd6e74f2p-4, 0x1.06324bb04c009p-3, 0x1.0c2d0e7114c75p-3, 0x1.11b7cd86db8c3p-3, 0x1.16d779b2d95cdp-3, 0x1.1b90cfe4eb03dp-3, 0x1.1fe85aecc46a3p-3, 0x1.23e2758dcdf4ap-3, 0x1.27834c852121fp-3, 0x1.2acee01ceb8e7p-3, 0x1.2dc905ffe409cp-3, 0x1.30756b1b7ef5bp-3, 0x1.32d7950e08a4fp-3, 0x1.34f2e43d085a6p-3, 0x1.36ca94df7bee6p-3, 0x1.3861c09a79d98p-3, 0x1.39bb601ac3832p-3, 0x1.3ada4db55da84p-3, 0x1.3bc1414b74785p-3, 0x1.3c72db76cf34ep-3, 0x1.3cf19d68be593p-3, 0x1.3d3fee9db5a24p-3, 0x1.3d601d293b6c6p-3, 0x1.3d545e8c350d7p-3, 0x1.3d1ed24709d63p-3, 0x1.3cc17d34724a8p-3, 0x1.3c3e552239eb5p-3, 0x1.3b9737172ed57p-3, 0x1.3acded82caf61p-3, 0x1.39e43033a416cp-3, 0x1.38dba4e1e5001p-3, 0x1.37b5e013bd6b4p-3, 0x1.367465c526b16p-3, 0x1.3518aa194ca9p-3, 0x1.33a4123febf85p-3, 0x1.3217f493cc372p-3, 0x1.307599c904ec5p-3, 0x1.2ebe3cfee6f54p-3, 0x1.2cf30cb3ce7a3p-3, 0x1.2b152b9ecb8acp-3, 0x1.2925ae8efd7cbp-3, 0x1.2725a24a23965p-3, 0x1.2516064a27ae1p-3, 0x1.22f7d0c2d4c2ap-3, 0x1.20cbeda03dca4p-3, 0x1.1e933f33ed86bp-3, 0x1.1c4e9e724a7ffp-3, 0x1.19fedc147037cp-3, 0x1.17a4bf8f14e88p-3, 0x1.154108f9d3b5cp-3, 0x1.12d4702c3c3d2p-3, 0x1.105fa58134b0bp-3, 0x1.0de3523d8f748p-3, 0x1.0b601819b2bc6p-3, 0x1.08d693f1385bdp-3, 0x1.06475a9be6a8ap-3, 0x1.03b2fa566258cp-3, 0x1.0119fce2e67d3p-3, 0x1.fcf9cb4eccaedp-4, 0x1.f7b865367c29p-4, 0x1.f270b8d929e78p-4, 0x1.ed23ad80914b4p-4, 0x1.e7d220d1f3089p-4, 0x1.e27ce6e4d7af8p-4, 0x1.dd24cb4b759b3p-4, 0x1.d7ca8fad463ap-4, 0x1.d26eef37f7528p-4, 0x1.cd129b264a83bp-4, 0x1.c7b63e43107cfp-4, 0x1.c25a7b69e418p-4, 0x1.bcffee5595c14p-4, 0x1.b7a72bf36feb9p-4, 0x1.b250c1dd115b6p-4, 0x1.acfd38ba0cf3ep-4, 0x1.a7ad11d3abeb9p-4, 0x1.a260c895e539ap-4, 0x1.9d18d31f125d5p-4, 0x1.97d5a1df64cf1p-4, 0x1.9297a0585b6a5p-4, 0x1.8d5f337a39ec4p-4, 0x1.882cbd7446896p-4, 0x1.83009a3b4c8b5p-4, 0x1.7ddb21fb69d7cp-4, 0x1.78bca72d6904bp-4, 0x1.73a579cd0dcbep-4, 0x1.6e95e4accf066p-4, 0x1.698e2f0021b63p-4, 0x1.648e9bb909abcp-4, 0x1.5f976b36c5dd5p-4, 0x1.5aa8d8e4fec7ep-4, 0x1.55c31e194c6b6p-4, 0x1.50e66fbefb085p-4, 0x1.4c1300aa53152p-4, 0x1.4749008df5468p-4, 0x1.42889a7aa25c5p-4, 0x1.3dd1f95e42f81p-4, 0x1.392543481803cp-4, 0x1.34829cbdfb8b6p-4, 0x1.2fea276f8d8f2p-4, 0x1.2b5c028d1de81p-4, 0x1.26d84b565bfep-4, 0x1.225f1c2d82d4bp-4, 0x1.1df08ddab979p-4, 0x1.198cb6a490b0dp-4, 0x1.1533ab0b56ed1p-4, 0x1.10e57d6e0c0cep-4, 0x1.0ca23e3a4eaedp-4, 0x1.0869fd61ecb8bp-4, 0x1.043cc6ba1ef7bp-4, 0x1.001aa68a8c8dfp-4, 0x1.f8074c13acafbp-5, 0x1.efef9b9697361p-5, 0x1.e7ee48b3cbbc3p-5, 0x1.e0035ebf359a2p-5, 0x1.d82ee58c0920ap-5, 0x1.d070e26bc6171p-5, 0x1.c8c957fe20b85p-5, 0x1.c138479674dc6p-5, 0x1.b9bdad064d293p-5, 0x1.b259861952b7dp-5, 0x1.ab0bcb0b2a2f1p-5, 0x1.a3d4749659b84p-5, 0x1.9cb3772d09871p-5, 0x1.95a8c680be56cp-5, 0x1.8eb4554e8f3cdp-5, 0x1.87d6106c7ef88p-5, 0x1.810de96b8a7d7p-5, 0x1.7a5bcabdc05ddp-5, 0x1.73bfa0812dc48p-5, 0x1.6d39546e5fdc9p-5, 0x1.66c8cc75b59e3p-5, 0x1.606df115ee8aep-5, 0x1.5a28a74d0834ap-5, 0x1.53f8d2edba351p-5, 0x1.4dde568fb9913p-5, 0x1.47d915707a99ep-5, 0x1.41e8edf175e4ap-5, 0x1.3c0dc0ebd1dcfp-5, 0x1.36476cc63cef2p-5, 0x1.3095cebe468bep-5, 0x1.2af8c3cdee34bp-5, 0x1.257027a60337ep-5, 0x1.1ffbd54e91a5ap-5, 0x1.1a9ba6fe31fadp-5, 0x1.154f7632e2d09p-5, 0x1.10171b998343fp-5, 0x1.0af26f9da81bdp-5, 0x1.05e14a00d6bd4p-5, 0x1.00e38031c383dp-5, 0x1.f7f1d42188553p-6, 0x1.ee42ba564c4bfp-6, 0x1.e4b95cd90c859p-6, 0x1.db556672ee23dp-6, 0x1.d2167faf326b5p-6, 0x1.c8fc512e4cc2cp-6, 0x1.c0068290153bbp-6, 0x1.b734b849cb674p-6, 0x1.ae869bb038168p-6, 0x1.a5fbd134c2651p-6, 0x1.9d93fe1a720b6p-6, 0x1.954ec709e301p-6, 0x1.8d2bd02a647cap-6, 0x1.852abdd43e9a1p-6, 0x1.7d4b346d30d2ap-6, 0x1.758cd4d87b9bp-6, 0x1.6def44486e23cp-6, 0x1.667225c6cd4a7p-6, 0x1.5f151b8514fb6p-6, 0x1.57d7c8afac8a6p-6, 0x1.50b9cf6a0844fp-6, 0x1.49bad225cc27dp-6, 0x1.42da74dc489c7p-6, 0x1.3c185acfcb3ddp-6, 0x1.357424b3a7b63p-6, 0x1.2eed7689c087fp-6, 0x1.2883f3727719p-6, 0x1.22373ee3c2d2ap-6, 0x1.1c06fb76a69cp-6, 0x1.15f2ce2412fc9p-6, 0x1.0ffa598f99b87p-6, 0x1.0a1d439447f73p-6, 0x1.045b30d64aa41p-6, 0x1.fd678980783a2p-7, 0x1.f24d4a4f6536bp-7, 0x1.e766f1b396ccp-7, 0x1.dcb3c9adf2fb8p-7, 0x1.d233202c5820ap-7, 0x1.c7e442e69a17dp-7, 0x1.bdc6823f9ad92p-7, 0x1.b3d92c0516a4cp-7, 0x1.aa1b92f6cf46dp-7, 0x1.a08d088c0914cp-7, 0x1.972ce014fe426p-7, 0x1.8dfa6d09635f5p-7, 0x1.84f508bcdb84p-7, 0x1.7c1c032becbeap-7, 0x1.736eb946befb3p-7, 0x1.6aec82df06325p-7, 0x1.6294ba0e343dap-7, 0x1.5a66bacb77d7bp-7, 0x1.5261e31430124p-7, 0x1.4a858dbcdf85fp-7, 0x1.42d11e121dc29p-7, 0x1.3b43f3fd738a5p-7, 0x1.33dd71eaa85cfp-7, 0x1.2c9cfbb6b1086p-7, 0x1.2581f6b8d00a9p-7, 0x1.1e8bc9f08f95ep-7, 0x1.17b9dccf765f8p-7, 0x1.110b99056f301p-7, 0x1.0a806a4cb65ffp-7, 0x1.0417bebebc45cp-7, 0x1.fba202592b39fp-8, 0x1.ef574696f90b2p-8, 0x1.e34e2c1ef0e71p-8, 0x1.d78598d733d75p-8, 0x1.cbfc72c81b3e1p-8, 0x1.c0b1aa0abd42ap-8, 0x1.b5a426485afd4p-8, 0x1.aad2da08c500bp-8, 0x1.a03cc7e73df4dp-8, 0x1.95e0d81f4ab78p-8, 0x1.8bbe08b1a5a35p-8, 0x1.81d35e3acb6bcp-8, 0x1.781fd156bf179p-8, 0x1.6ea26d0b48d79p-8, 0x1.655a3d291648cp-8, 0x1.5c4639a1c764bp-8, 0x1.53658631f43c1p-8, 0x1.4ab7241661f79p-8, 0x1.423a2dfa826e9p-8, 0x1.39edb940360acp-8, 0x1.31d0e15d381f8p-8, 0x1.29e2c29b9ef3fp-8, 0x1.22227dbcaf689p-8, 0x1.1a8f3609c591fp-8, 0x1.132811a2297d5p-8, 0x1.0bec3a32e4f69p-8, 0x1.04dada56b03b9p-8, 0x1.fbe61a56daac3p-9, 0x1.ee68887aa3f35p-9, 0x1.e13aec8352fbfp-9, 0x1.d45be17e8a00cp-9, 0x1.c7c9de626640bp-9, 0x1.bb835f433cb1ep-9, 0x1.af86e574263a9p-9, 0x1.a3d2f5778d546p-9, 0x1.98661da296e64p-9, 0x1.8d3ef77b7ae4p-9, 0x1.825c1227cc4a5p-9, 0x1.77bc11aca914bp-9, 0x1.6d5d9ad6091eap-9, 0x1.633f6282292b4p-9, 0x1.595ff84567e2dp-9, 0x1.4fbe2e1b7cc0bp-9, 0x1.4658aff15bbbdp-9, 0x1.3d2e3e26837c1p-9, 0x1.343d982d16f83p-9, 0x1.2b858e693a462p-9, 0x1.2304f19a59891p-9, 0x1.1aba901e8f575p-9, 0x1.12a547c746e87p-9, 0x1.0ac3f617918bbp-9, 0x1.03157cf7cc211p-9, 0x1.f7317c69af91ep-10, 0x1.e89957da87895p-10, 0x1.da60727db67e7p-10, 0x1.cc849f2ae6f57p-10, 0x1.bf03e4a37d7a2p-10, 0x1.b1dc4269dda89p-10, 0x1.a50bc38784339p-10, 0x1.98907b8acc0afp-10, 0x1.8c6888fd62fcp-10, 0x1.8091f6b471c47p-10, 0x1.750ad22a6817p-10, 0x1.69d208cdeb0fap-10, 0x1.5ee4ed1bd529dp-10, 0x1.544225c762f4dp-10, 0x1.49e7f5630f669p-10, 0x1.3fd4b1af1fb2fp-10, 0x1.3606bbbc1fcd2p-10, 0x1.2c7c6f48cae23p-10, 0x1.2334610493fd7p-10, 0x1.1a2cec7da85ccp-10, 0x1.116494a70b006p-10, 0x1.08d9e03c48963p-10, 0x1.008b5745f771p-10, 0x1.f0ef0dfb050dp-11, 0x1.e13a07836b224p-11, 0x1.d1f4d581a7318p-11, 0x1.c31cc91257837p-11, 0x1.b4af53f92dcbfp-11, 0x1.a6a9b301496c4p-11, 0x1.9909ca76660afp-11, 0x1.8bcceb890b57p-11, 0x1.7ef0c49ec20b9p-11, 0x1.7272f4210457cp-11, 0x1.665117b7a9bfp-11, 0x1.5a88dddc73a5fp-11, 0x1.4f17faf74ea22p-11, 0x1.43fc2d76fc05ap-11, 0x1.393362aa59d73p-11, 0x1.2ebb959c293e3p-11, 0x1.2492b9f588a91p-11, 0x1.1ab6c93920cb3p-11, 0x1.11261797beeefp-11, 0x1.07de8cc45c596p-11, 0x1.fdbca25059ecep-12, 0x1.ec47128ec288p-12, 0x1.db58af57482aap-12, 0x1.caedd63405c9fp-12, 0x1.bb02fa1418225p-12, 0x1.ab9601e88dbe9p-12, 0x1.9c9fb1cb82ep-12, 0x1.8e2143978625cp-12, 0x1.8015fe5d08acfp-12, 0x1.727b0a8d0c2b9p-12, 0x1.654d73927754bp-12, 0x1.588a27d8dd881p-12, 0x1.4c2e7e9927c8dp-12, 0x1.40376b84a3234p-12, 0x1.34a26cc462f1p-12, 0x1.296c92d3a64bdp-12, 0x1.1e93098c50447p-12, 0x1.141404b544645p-12, 0x1.09ec41c397ff6p-12, 0x1.0019902f1cd85p-12, 0x1.ed33681e80da2p-13, 0x1.dad553bee6d11p-13, 0x1.c9132f17227dcp-13, 0x1.b7e8df3fabf49p-13, 0x1.a751d81383ce1p-13, 0x1.974a38576a039p-13, 0x1.87ce006a1a707p-13, 0x1.78d94d418f2a3p-13, 0x1.6a683b166a082p-13, 0x1.5c7720211843dp-13, 0x1.4f0220d7a5393p-13, 0x1.4205b26d81096p-13, 0x1.357e595797748p-13, 0x1.296896cd90a63p-13, 0x1.1dc0c77653232p-13, 0x1.12839a98cd902p-13, 0x1.07ae07fc1a764p-13, 0x1.fa77c6f19eb69p-14, 0x1.e65630ddcc52p-14, 0x1.d2f201699e762p-14, 0x1.c0450c956dae4p-14, 0x1.ae4a11fd80461p-14, 0x1.9cfbfedbb1538p-14, 0x1.8c558c7ef6f22p-14, 0x1.7c515c050e035p-14, 0x1.6cea117367a4p-14, 0x1.5e1a74c2d0e3bp-14, 0x1.4fddbb1e2109bp-14, 0x1.422e116b1cb43p-14, 0x1.3507c6e08e4e9p-14, 0x1.2865e727dbd7p-14, 0x1.1c4464eaa36bcp-14, 0x1.109f3fbe94de8p-14, 0x1.05721cdeca79ep-14, 0x1.f574d6269b01bp-15, 0x1.e0e780140f4d4p-15, 0x1.cd38bb8cea455p-15, 0x1.ba5a9551b5cf7p-15, 0x1.a84cafc1bb5bfp-15, 0x1.97050665e9239p-15, 0x1.867bd75839e6dp-15, 0x1.76aa8c0cfc575p-15, 0x1.678a220a37bd3p-15, 0x1.5914ec7b6864dp-15, 0x1.4b44957e940f8p-15, 0x1.3e12beca7da22p-15, 0x1.317a4948dc3ep-15, 0x1.2574fa464377ap-15, 0x1.19fd7870bfdd7p-15, 0x1.0f0f098936c8p-15, 0x1.04a5e2170f2bbp-15, 0x1.f57c210cd1944p-16, 0x1.e2a7b56b46a06p-16, 0x1.d0bf741e0eb3fp-16, 0x1.bfc081108a457p-16, 0x1.af9bf858b3187p-16, 0x1.a04bb516081fap-16, 0x1.91c7573c15925p-16, 0x1.8406d47e536dfp-16, 0x1.770470734cc2p-16, 0x1.6ab86e987ddb4p-16, 0x1.5f19e3a146108p-16, 0x1.54216967d6fa5p-16, 0x1.49c71892bcd07p-16, 0x1.400534cd252d5p-16, 0x1.36d8da3865cc1p-16, 0x1.2e33b483554eap-16, 0x1.2618a1dfbe9dbp-16, 0x1.1e7f23bfc2a76p-16, 0x1.1761b7e04117p-16, 0x1.10bac790a367dp-16, 0x1.0a849c076f103p-16, 0x1.04ba0c7a4ea37p-16, 0x1.feaa20c5b0deep-17, 0x1.f4a96a992449dp-17, 0x1.eb6cf69ddf155p-17, 0x1.e2e1b031f888fp-17, 0x1.db026df5809bcp-17, 0x1.d3c504f1f163ep-17, 0x1.cd21ee0743783p-17, 0x1.c711ea98932cbp-17, 0x1.c18de38fb2a28p-17, 0x1.bc91663b9381bp-17, 0x1.b81406fe0e3c6p-17, 0x1.b40db5af26a48p-17, 0x1.b07596e951df1p-17, 0x1.ad48be5deacf3p-17, 0x1.aa7cb86bb02ecp-17, 0x1.a819f29ad5d0ep-17, 0x1.a60900aed26a3p-17, 0x1.a44c1a5ead01p-17, 0x1.a2deb4261d43ap-17, 0x1.a1bd6160c5cb4p-17, 0x1.a0ecc850bca0cp-17, 0x1.a048d60674277p-17, 0x1.9feb238a6541p-17, 0x1.9fc5b81c90fa4p-17, 0x1.9fd723e505dcp-17, 0x1.a013697f446fep-17, 0x1.a082cbb33e227p-17, 0x1.a11ac0740221bp-17, 0x1.a1d7830b712f2p-17, 0x1.a2b6eeb536df8p-17, 0x1.a3b5e25a10145p-17, 0x1.a4d1a1df38ef9p-17, 0x1.a607653d78ff2p-17, 0x1.a7550c9f805bp-17, 0x1.a8b662fc5c937p-17, 0x1.aa29a1f254505p-17, 0x1.ababd4484d30bp-17, 0x1.ad3a64a94b6c6p-17, 0x1.aed6537be1fa6p-17, 0x1.b077629682531p-17, 0x1.b2207681ba889p-17, 0x1.b3ce16b4a1719p-17, 0x1.b57f41457bc06p-17, 0x1.b7324fbec5b5ep-17, 0x1.b8e565ade153cp-17, 0x1.ba96554b2306bp-17, 0x1.bc438e262d779p-17, 0x1.bdee578625636p-17, 0x1.bf8a868ebcd8dp-17, 0x1.c129a249d1b05p-17, 0x1.c2bd204d30955p-17, 0x1.c4482cb75867ep-17, 0x1.c5c50168c07dp-17, 0x1.c73b96df17266p-17, 0x1.c8a54d58da337p-17, 0x1.ca005a605b53dp-17, 0x1.cb4c24399a7fp-17, 0x1.cc8d0f420d5dap-17, 0x1.cdbc3eb828de6p-17, 0x1.cedb22e987fc7p-17, 0x1.cfe9c9cbd0051p-17, 0x1.d0e759dc2d577p-17, 0x1.d1d39427ec663p-17, 0x1.d2addbd252995p-17, 0x1.d3755dbe2fb7ap-17, 0x1.d429f076cf6f6p-17, 0x1.d4c8250567aeap-17, 0x1.d55870dee8d58p-17, 0x1.d5d344775203cp-17, 0x1.d6392faa75273p-17, 0x1.d68b984c874bcp-17, 0x1.d6c875c31c8f8p-17, 0x1.d6f1cf33ab138p-17, 0x1.d706a556b1fa1p-17, 0x1.d706f5ebafc7dp-17, 0x1.d6f268324da46p-17, 0x1.d6ce8326b309dp-17, 0x1.d68c2c5d4e3a1p-17, 0x1.d639997c3353p-17, 0x1.d5d25589a5f3fp-17, 0x1.d55634fafc897p-17, 0x1.d4c5d4d9189fdp-17, 0x1.d4213ccf80765p-17, 0x1.d36cf5d92825cp-17, 0x1.d29acfe4905a2p-17, 0x1.d1b91b2b7953dp-17, 0x1.d0c344dab256ap-17, 0x1.cfbb970b0f353p-17, 0x1.ce9f41ee6b281p-17, 0x1.cd6b827104c3p-17, 0x1.cc2a098afda56p-17, 0x1.cad380ef7345dp-17, 0x1.c96a8413ec21ap-17, 0x1.c7eeefbe52065p-17, 0x1.c6619ba14eba1p-17, 0x1.c4c20035e6a3ap-17, 0x1.c31077515238ap-17, 0x1.c14dd40be5fb4p-17, 0x1.bf78fed525721p-17, 0x1.bd9535d0a8d6bp-17, 0x1.bba0a8159025cp-17, 0x1.b99adbff41745p-17, 0x1.b78ea7a57141p-17, 0x1.b5604fe013c28p-17, 0x1.b32bf2b821edp-17, 0x1.b0e8845598ecbp-17, 0x1.ae965e026ep-17, 0x1.ac38971b01cc7p-17, 0x1.a9c6f7c56a9d9p-17, 0x1.a74bb706278fap-17, 0x1.a4c21d9866eabp-17, 0x1.a2298488c7662p-17, 0x1.9f85ee192a84cp-17, 0x1.9cd934c2c0c54p-17, 0x1.9a196d339ac05p-17, 0x1.97513013bdb6cp-17, 0x1.947d9229254e8p-17, 0x1.919ea7117345ap-17, 0x1.8eb22c8c8747p-17, 0x1.8bc142cf41d25p-17, 0x1.88c32c5a2a074p-17, 0x1.85b9e2a03b1bbp-17, 0x1.82a9ee1a31dfbp-17, 0x1.7f8edaadf3b48p-17, 0x1.7c6cbe57e7d8cp-17, 0x1.793fd88a1e14fp-17, 0x1.760ad2f7ce107p-17, 0x1.72ce9c00ae542p-17, 0x1.6f8ac43fc73b6p-17, 0x1.6c3f9ed6a6058p-17, 0x1.68ed7d650247p-17, 0x1.6594aa168f17p-17, 0x1.6235736eaab1bp-17, 0x1.5ed0212bb2ce5p-17, 0x1.5b66558926933p-17, 0x1.57f57a9e91cdep-17, 0x1.547eb1468885cp-17, 0x1.5104041383072p-17, 0x1.4d84a7a8c9deep-17, 0x1.4a00e51068b29p-17, 0x1.4679163ec7ce1p-17, 0x1.42ed7d8ee0e7cp-17, 0x1.3f5d3e43e3126p-17, 0x1.3bcbe53149d37p-17, 0x1.38366089fd2fdp-17, 0x1.349e1c20c99bfp-17, 0x1.3101d01a6ea85p-17, 0x1.2d65e4caaa80fp-17, 0x1.29c748d287243p-17, 0x1.26258e9492787p-17, 0x1.2282ab46f2ac2p-17, 0x1.1edd4b8ce0428p-17, 0x1.1b3ad6aac5a7ep-17, 0x1.1795ee9ea772ap-17, 0x1.13f149e6aeedbp-17, 0x1.104a7288ed612p-17, 0x1.0ca1ea46cc6afp-17, 0x1.08fb177b3cf2dp-17, 0x1.05546e0f5c89bp-17, 0x1.01ae30b540b4bp-17, 0x1.fc092fde01f6dp-18, 0x1.f4c79ade40c8bp-18, 0x1.ed7fdf27f524cp-18, 0x1.e63acd2e7a521p-18, 0x1.def7e5a1dfe52p-18, 0x1.d7b8768097126p-18, 0x1.d07c551531f03p-18, 0x1.c93f95c22a078p-18, 0x1.c213eff892486p-18, 0x1.bae04950939d2p-18, 0x1.b3b563c9cf4bap-18, 0x1.ac8f856c78e7bp-18, 0x1.a56f06358f078p-18, 0x1.9e5423edc0a83p-18, 0x1.973f41ab18393p-18, 0x1.9031f2a3655a5p-18, 0x1.89275f81595e9p-18, 0x1.822746627bc52p-18, 0x1.7b2cffaf91de7p-18, 0x1.7439c8040d339p-18, 0x1.6d4fa976f073fp-18, 0x1.666b399a048f6p-18, 0x1.5f8f7d5907a61p-18, 0x1.58b8bb68cd10dp-18, 0x1.51f8edebb3382p-18, 0x1.4b31500ffdeafp-18, 0x1.4475b9f926f0ap-18, 0x1.3dc537d4c745cp-18, 0x1.371e30b0e297cp-18, 0x1.307f7503663f3p-18, 0x1.29ed37e8c5c98p-18, 0x1.2362a76c03f62p-18, 0x1.1ce2a319da8ep-18, 0x1.166e8c3a938ffp-18, 0x1.100137558d4b1p-18, 0x1.09a0124f98769p-18, 0x1.0349f3bba25a8p-18, 0x1.f9fb9e4717229p-19, 0x1.ed79ef73a4c2ap-19, 0x1.e10e55ab7cf79p-19, 0x1.d4b917f75413bp-19, 0x1.c87a202ad33fdp-19, 0x1.bc51ff1918328p-19, 0x1.b04118864b082p-19, 0x1.a4473b79cb1cdp-19, 0x1.985a9edd0a511p-19, 0x1.8c9c8d3cf1373p-19, 0x1.80e675ed2fdf5p-19, 0x1.754b922625289p-19, 0x1.69c89b6a537fdp-19, 0x1.5e5dd94d9192cp-19, 0x1.530b8a0075b58p-19, 0x1.47ceaa4a109b2p-19, 0x1.3cb0a0903cfddp-19, 0x1.31a798d4b31cfp-19, 0x1.26b6822a25d39p-19, 0x1.1bd893a78d26dp-19, 0x1.112474f54e01cp-19, 0x1.0680523b3c433p-19, 0x1.f7e455d19456ep-20, 0x1.e307cb30014cbp-20, 0x1.ce86f7cb2a0f5p-20, 0x1.b9d807176b3bfp-20, 0x1.a5957feac74f9p-20, 0x1.9173224f3021p-20, 0x1.7d90faf4b1013p-20, 0x1.69dfb3cd2ae47p-20, 0x1.56637181c212cp-20, 0x1.431b3ca808153p-20, 0x1.2fffd01ff7126p-20, 0x1.1d1a0a0276e95p-20, 0x1.0a5e38965d4aap-20, 0x1.efdb04227e11ep-21, 0x1.cb475b74e75d6p-21, 0x1.a719d2a0df70cp-21, 0x1.835204f915226p-21, 0x1.5ff0b7b9b6cdbp-21, 0x1.3cf6c604b1414p-21, 0x1.1a62a021fbe12p-21, 0x1.f0689ca5fffe3p-22, 0x1.acc34890cf482p-22, 0x1.6a1200a9886f5p-22, 0x1.2814c47649087p-22, 0x1.cdc555c2b9a2ap-23, 0x1.4cf7d42355de2p-23, 0x1.9b79a8f08a20dp-24, 0x1.3e532f2957fe3p-25, -0x1.60971d4055808p-26, -0x1.4d46cd99d517p-24, -0x1.1fa336449c48ep-23, -0x1.9718f4eea024bp-23, -0x1.0657bd927a049p-22, -0x1.40b343a4e0f88p-22, -0x1.7a229e864b7cdp-22, -0x1.b2cde15fc9569p-22, -0x1.eab662de3483ap-22, -0x1.10d328872ae2ep-21, -0x1.2c227082ec85bp-21, -0x1.477338ac88b1dp-21, -0x1.616cdff92079cp-21, -0x1.7b825e93a8ec3p-21, -0x1.9539a68d450bcp-21, -0x1.ae95089631ee7p-21, -0x1.c79d091a00f9bp-21, -0x1.e03188bd1518p-21, -0x1.f8f5f2e4df557p-21, -0x1.082e4712cd933p-20, -0x1.13f7a74e083adp-20, -0x1.1f9450f9c2ddp-20, -0x1.2b0507f080198p-20, -0x1.3631688de89ecp-20, -0x1.41514501c6a0ap-20, -0x1.4c3357484ff32p-20, -0x1.56ed391c7b1b7p-20, -0x1.616e919b34157p-20, -0x1.6bdea5ee0edf5p-20, -0x1.761a967dc87ecp-20, -0x1.8026807457ce1p-20, -0x1.8a0a14c5cf042p-20, -0x1.93a1a49e31f7fp-20, -0x1.9d528682f0793p-20, -0x1.a6ba4c6afc879p-20, -0x1.aff5ec099feccp-20, -0x1.b908f9e6c50ccp-20, -0x1.c1f418abec941p-20, -0x1.cab7232273d72p-20, -0x1.d3522beff0d5p-20, -0x1.dbc4f53f2c45ap-20, -0x1.e4112b36abefep-20, -0x1.ec2e0399365cep-20, -0x1.f434219fd0f89p-20, -0x1.fc0bcf0a9b482p-20, -0x1.01df6cc3891d3p-19, -0x1.05a54343b25dap-19, -0x1.095895bf54d11p-19, -0x1.0cf95947ac3e9p-19, -0x1.10855ddaae727p-19, -0x1.14042042f548fp-19, -0x1.176e6571ec88ap-19, -0x1.1ac6a27dd8db2p-19, -0x1.1e0cb7e032bd3p-19, -0x1.21432e901961dp-19, -0x1.246628df50d9ap-19, -0x1.27782ad072184p-19, -0x1.2a7a057ddb6c4p-19, -0x1.2d6a667c4b84dp-19, -0x1.304a4feff85f4p-19, -0x1.330cd93cae885p-19, -0x1.35d97378d8f85p-19, -0x1.3886c78e054c1p-19, -0x1.3b25efd9b1461p-19, -0x1.3db42a224c819p-19, -0x1.4032d6e7b5f6fp-19, -0x1.42a22603da273p-19, -0x1.450248fe09259p-19, -0x1.47527d2eecb76p-19, -0x1.4996e5a09abe9p-19, -0x1.4bc6a40b19068p-19, -0x1.4dea2a0afde18p-19, -0x1.5002b271562c2p-19, -0x1.52061bb9c5a8bp-19, -0x1.53fe129957181p-19, -0x1.55e6a9ec83073p-19, -0x1.57c4c5966ecaep-19, -0x1.5992bb16dd596p-19, -0x1.5b4ecf3d21fc6p-19, -0x1.5d037a0cdd53cp-19, -0x1.5eac796de28eap-19, -0x1.60463cd3c2203p-19, -0x1.61cf8bd271a8cp-19, -0x1.634f1295d883p-19, -0x1.64c0e29d12802p-19, -0x1.66260d4939f0dp-19, -0x1.677ed5278dbep-19, -0x1.68cb284a6f05fp-19, -0x1.6a0c323e3f396p-19, -0x1.6b3b95286b672p-19, -0x1.6c68662692a52p-19, -0x1.6d8525ea6a2d2p-19, -0x1.6e95b4cc181e1p-19, -0x1.6f9bf61e6892cp-19, -0x1.709686439202fp-19, -0x1.7185df01999abp-19, -0x1.726a2ab7042f6p-19, -0x1.7343a28a0a2acp-19, -0x1.741266861529ep-19, -0x1.74d6901012c17p-19, -0x1.758e71de6051fp-19, -0x1.763fcd4d05d44p-19, -0x1.76e4af4f65496p-19, -0x1.7780b90708ef5p-19, -0x1.78124083735c5p-19, -0x1.78a4d8264b2b7p-19, -0x1.7917fea0a33aap-19, -0x1.798d2de68a68cp-19, -0x1.79f7f2ec98417p-19, -0x1.7a5a1f54d4444p-19, -0x1.7ab326c9fc122p-19, -0x1.7b005643f454fp-19, -0x1.7b49e92f6be1dp-19, -0x1.7b88e7180665ep-19, -0x1.7bbe954b77a93p-19, -0x1.7bec2c9f38839p-19, -0x1.7c114577e4b7cp-19, -0x1.7c2e2f1dfbe63p-19, -0x1.7c4307b5f77e6p-19, -0x1.7c510f67482b9p-19, -0x1.7c55ed6bbdad6p-19, -0x1.7c51696513966p-19, -0x1.7c47ea4f7b9e3p-19, -0x1.7c35861a658d4p-19, -0x1.7c1cfeea65beep-19, -0x1.7bfc86651e44bp-19, -0x1.7bd5a979364fcp-19, -0x1.7ba6ca8e14454p-19, -0x1.7b70dc2ba251ep-19, -0x1.7b350f16261fap-19, -0x1.7af35c88edd99p-19, -0x1.7aa7bfd07b56ap-19, -0x1.7a57da59bcc9ap-19, -0x1.7a011c8f05425p-19, -0x1.79a63146b3a0fp-19, -0x1.79419576dc99ep-19, -0x1.78d85d9a9f4c9p-19, -0x1.786785253d9cap-19, -0x1.77f50a46eeadfp-19, -0x1.777b2bcc41cfdp-19, -0x1.76fa0543233e9p-19, -0x1.767452817532bp-19, -0x1.75e90dc8aac86p-19, -0x1.755873dd79271p-19, -0x1.74c34ec369ccfp-19, -0x1.7427a89ab59cep-19, -0x1.73862ced7d1fbp-19, -0x1.72e240772147bp-19, -0x1.7239180dcc003p-19, -0x1.7189632885c1ep-19, -0x1.70d5d7078370bp-19, -0x1.701dfbaf9666fp-19, -0x1.6f608fd369c68p-19, -0x1.6ea031520449ap-19, -0x1.6ddacaf3de21bp-19, -0x1.6d111afdb567bp-19, -0x1.6c438ead2a817p-19, -0x1.6b712cd500adep-19, -0x1.6a9b36a5a0bb2p-19, -0x1.69c135ff10d54p-19, -0x1.68e341dd9d212p-19, -0x1.680b78a19e3e5p-19, -0x1.671c76c5478eap-19, -0x1.663288144f63bp-19, -0x1.654759a36e7d1p-19, -0x1.6457304d13c6p-19, -0x1.6363a6240b454p-19, -0x1.626d13371b4ccp-19, -0x1.616754e341453p-19, -0x1.6076426462fb8p-19, -0x1.5f7625343dcdp-19, -0x1.5e72c58285b7ep-19, -0x1.5d6b0ff4dab2bp-19, -0x1.5c637af711e6dp-19, -0x1.5b580a32adbfp-19, -0x1.5a497068064a3p-19, -0x1.593636c6a2f96p-19, -0x1.582438ad056d7p-19, -0x1.570dbeda12c73p-19, -0x1.55f4da589cd4ap-19, -0x1.54d97442b31ecp-19, -0x1.53bbcf3042221p-19, -0x1.529bd4c2be429p-19, -0x1.5179ad24e877dp-19, -0x1.50571958629cap-19, -0x1.4f2f170fd9018p-19, -0x1.4e0633e662d6ep-19, -0x1.4cdb8f93235eap-19, -0x1.4bae6068b9117p-19, -0x1.4a8242e3f48cp-19, -0x1.4950a1c0ce18bp-19, -0x1.481e9a50a0e94p-19, -0x1.46eaefa918982p-19, -0x1.45b58a9e85f63p-19, -0x1.447ea9ebbb1d5p-19, -0x1.434616ecc25a6p-19, -0x1.420c0fb16e809p-19, -0x1.40d0a5dff4913p-19, -0x1.3f93fe56ab9dap-19, -0x1.3e55b1048bf21p-19, -0x1.3d178924d63fbp-19, -0x1.3bd570c41da15p-19, -0x1.3a931218ef8d9p-19, -0x1.395047d0c9eaap-19, -0x1.380bfee02574fp-19, -0x1.36c758e6fd58ap-19, -0x1.358069d1e3f9p-19, -0x1.343930c96632bp-19, -0x1.32ea37e362a3p-19, -0x1.31a7c8bb51204p-19, -0x1.305dbefa2e3dp-19, -0x1.2f130a4515d49p-19, -0x1.2dc76debde606p-19, -0x1.2c7b11f1a440ap-19, -0x1.2b2ca75b2fa6bp-19, -0x1.29e0da3d60fd4p-19, -0x1.28928416c42eap-19, -0x1.2742e49166d5cp-19, -0x1.25f489e3f7382p-19, -0x1.24a4af733d615p-19, -0x1.23548ec635b7p-19, -0x1.2204819628d28p-19, -0x1.20b2ce04bfcb9p-19, -0x1.1f6167e24a6d8p-19, -0x1.1e0fbf8577f0ep-19, -0x1.1cbcc67a350afp-19, -0x1.1b6bc0de9a839p-19, -0x1.1a1915d9dcd94p-19, -0x1.18c6797181f68p-19, -0x1.1778326736667p-19, -0x1.1622526144321p-19, -0x1.14cdde6fde3c3p-19, -0x1.137ae6cb56b91p-19, -0x1.122982a4f0bc8p-19, -0x1.10d4c2b46f705p-19, -0x1.0f81b043312d4p-19, -0x1.0e2e461b81ffp-19, -0x1.0cdbffa2c9f1ep-19, -0x1.0b898ecd224fcp-19, -0x1.0a371df03c343p-19, -0x1.08e4053ecfac3p-19, -0x1.07919aa6a4dc8p-19, -0x1.063fb73ec30b7p-19, -0x1.04ed639f84436p-19, -0x1.039c5dd8a3e36p-19, -0x1.024b1b2cd9d16p-19, -0x1.00fa3a9c83532p-19, -0x1.ff53369d02c04p-20, -0x1.fcb2aafe3f991p-20, -0x1.fa13213984166p-20, -0x1.f77440a956436p-20, -0x1.f4d61054d1837p-20, -0x1.f238c83f674c1p-20, -0x1.ef9cbefd1b81ep-20, -0x1.ed01d7a89fadcp-20, -0x1.ea67a062f421fp-20, -0x1.e7ce5816c42f5p-20, -0x1.e536665edbe39p-20, -0x1.e29f38b52eb6ap-20, -0x1.e009ce185778ep-20, -0x1.dd7553dc33279p-20, -0x1.dae1d2e3d033p-20, -0x1.d850221d2765fp-20, -0x1.d5bfcd01ab97dp-20, -0x1.d33001f0a6408p-20, -0x1.d0a1f706dfdf6p-20, -0x1.ce15b4fb78252p-20, -0x1.cb8a6748d56bap-20, -0x1.c900d44ce1a56p-20, -0x1.c679b8c55c012p-20, -0x1.c3f2149efa2b5p-20, -0x1.c16d3930753e5p-20, -0x1.bee9c449f736dp-20, -0x1.bc67fa68c1bafp-20, -0x1.b9e7f6fbcb44dp-20, -0x1.b7698412fdd07p-20, -0x1.b4ec8a6892bb4p-20, -0x1.b2718dad42cf3p-20, -0x1.aff848c6e9399p-20, -0x1.ad80c45aaa0d6p-20, -0x1.ab0ac5bdf87e2p-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.7c8e655c72c55p-4, 0x1.0a4ad7b7200a5p-3, 0x1.44aa7a5dca995p-3, 0x1.6c3d4e1203e56p-3, 0x1.811c9eae3116p-3, 0x1.84375652c73bp-3, 0x1.7703e8b2b01bep-3, 0x1.5b4831a1fb516p-3, 0x1.32f14073ff078p-3, 0x1.ffed8d68281e4p-4, 0x1.888e2c1a253fep-4, 0x1.0372ec6762e72p-4, 0x1.d02986189f0ecp-6, -0x1.143ded20aee33p-7, -0x1.7ae08dd9d8dd4p-5, -0x1.5a2e57f9a80c7p-4, -0x1.f69281d88d7c3p-4, -0x1.485dd38f27894p-3, -0x1.9389591ecedadp-3, -0x1.dc22aa1fa50d2p-3, -0x1.10d01123d42b3p-2, -0x1.31ca518addcafp-2, -0x1.50d64aba82a29p-2, -0x1.6dd57e87afd26p-2, -0x1.88b357992cabfp-2, -0x1.a163d7293cd5dp-2, -0x1.b7e25f57149f3p-2, -0x1.cc309778c64f5p-2, -0x1.de5568792270ap-2, -0x1.ee5c16f3f5a6cp-2, -0x1.fc53777374812p-2, -0x1.04269d7398e91p-1, -0x1.092ea78cde0dfp-1, -0x1.0d4cab3553f81p-1, -0x1.108c176ab01c6p-1, -0x1.12f8c41fd698ap-1, -0x1.149ec8907599dp-1, -0x1.158a4e111cfc2p-1, -0x1.15c775ee7bd6bp-1, -0x1.15623aca374adp-1, -0x1.14665a9c58a31p-1, -0x1.12df44486ff16p-1, -0x1.10d8091e7a761p-1, -0x1.0e5b519bb86d7p-1, -0x1.0b7355029498p-1, -0x1.0829d3a087c68p-1, -0x1.048813b22feedp-1, -0x1.0096dcb88a77dp-1, -0x1.f8bcf94794926p-2, -0x1.efcd86a0fac82p-2, -0x1.e66e0e8bca929p-2, -0x1.dcac4ff3f7aedp-2, -0x1.d295228e27d14p-2, -0x1.c8347e3ea0192p-2, -0x1.bd958592a1b14p-2, -0x1.b2c28d31fcbbep-2, -0x1.a7c5248491d43p-2, -0x1.9ca628562dbdp-2, -0x1.916dbaba5822fp-2, -0x1.86235ec99d7fbp-2, -0x1.7acdf9484239dp-2, -0x1.6f73dc146b095p-2, -0x1.641acece37754p-2, -0x1.58c818193a1e9p-2, -0x1.4d80860798606p-2, -0x1.42487637f4acfp-2, -0x1.3723dd631d8fp-2, -0x1.2c164ecfb9256p-2, -0x1.212303aeaefbbp-2, -0x1.164ce0eac9ecdp-2, -0x1.0b967e61de1dp-2, -0x1.01022b444048bp-2, -0x1.ed23ea12138dap-3, -0x1.d88f57691a553p-3, -0x1.c449cd53c75bbp-3, -0x1.b05612f02c0d3p-3, -0x1.9cb68f60d6eedp-3, -0x1.896d51866eabbp-3, -0x1.767c1785ec558p-3, -0x1.63e454b3e8c54p-3, -0x1.51a7387a4879ep-3, -0x1.3fc5b3e3a3f49p-3, -0x1.2e407e5dffddap-3, -0x1.1d181ae4d53fdp-3, -0x1.0c4cdbc45e28fp-3, -0x1.f7bdd48267eaap-4, -0x1.d79c873882f0ap-4, -0x1.b8358186e1a02p-4, -0x1.998846baf218ep-4, -0x1.7b93f7623599ep-4, -0x1.5e579fb3ee106p-4, -0x1.41d20a86fc026p-4, -0x1.2601d745283cfp-4, -0x1.0ae57e57efef7p-4, -0x1.e0f6a6e41dde7p-5, -0x1.ad8312df52203p-5, -0x1.7b6c5dcc324ecp-5, -0x1.4aae877419e92p-5, -0x1.1b455004f90aep-5, -0x1.da58a94581b8p-6, -0x1.80be1348dee13p-6, -0x1.29b18dfdd39fep-6, -0x1.aa531c9be0e1dp-7, -0x1.0638b0d393e4p-7, -0x1.9c0068bb80cap-9, 0x1.9b55d68a28221p-10, 0x1.92380b959ef94p-8, 0x1.5a283c13bb2bdp-7, 0x1.e6a3e7430e935p-7, 0x1.3751d6c200469p-6, 0x1.791e1acca6f03p-6, 0x1.b8c13785e3559p-6, 0x1.f64572873917fp-6, 0x1.18da967665e7ep-5, 0x1.358d5deaba23bp-5, 0x1.514034008db22p-5, 0x1.6bf839421620cp-5, 0x1.85ba82c9642e9p-5, 0x1.9e8c21189b1dap-5, 0x1.b67217789fca3p-5, 0x1.cd716271d6ceep-5, 0x1.e38ef13dd75b1p-5, 0x1.f8cfa6a83ed99p-5, 0x1.069c2cb635a32p-4, 0x1.1066eb94b811p-4, 0x1.19ca689ae7dd4p-4, 0x1.22c8fda06b6eap-4, 0x1.2b64f9bc7702dp-4, 0x1.33a0a41900abfp-4, 0x1.3b7e3c2009bd4p-4, 0x1.42fff9233cf54p-4, 0x1.4a280b70697b7p-4, 0x1.50f899e3ef9ecp-4, 0x1.5773c3de213f6p-4, 0x1.5d9ba041f0ebdp-4, 0x1.63723d9f1211p-4, 0x1.68f9a1452ee08p-4, 0x1.6e33ca25bb37ep-4, 0x1.7322abfd678eep-4, 0x1.77c83423453f1p-4, 0x1.7c2646c3d78bp-4, 0x1.803ebf6c75525p-4, 0x1.841371b5f88a6p-4, 0x1.87a6279a013b2p-4, 0x1.8af8a4fcfcf84p-4, 0x1.8e0ca3c366948p-4, 0x1.90e3d57eda55bp-4, 0x1.937fe4b7c2884p-4, 0x1.95e272fb60e35p-4, 0x1.980d1a45970f9p-4, 0x1.9a016bb2790c2p-4, 0x1.9bc0f20a1bc58p-4, 0x1.9d4d2f676350cp-4, 0x1.9ea79d786e032p-4, 0x1.9fd1b19ec3056p-4, 0x1.a0ccd4cad545p-4, 0x1.a19a6c159451cp-4, 0x1.a23bd43ab690ep-4, 0x1.a2b2625e6a70ap-4, 0x1.a2ff65a5daacep-4, 0x1.a324254496343p-4, 0x1.a321e1fa9f6e8p-4, 0x1.a2f9d58cb56e4p-4, 0x1.a2ad334676432p-4, 0x1.a23d282b404c5p-4, 0x1.a1aada3d930ddp-4, 0x1.a0f7678d90ba8p-4, 0x1.a023ec43291dp-4, 0x1.9f317ac8f2b68p-4, 0x1.9e2120af29f01p-4, 0x1.9cf3e6fad7c86p-4, 0x1.9baaca9f80b4fp-4, 0x1.9a46cd5dd8998p-4, 0x1.98c8e17cb3292p-4, 0x1.9731f9c02f64fp-4, 0x1.958301aa2155ep-4, 0x1.93bcdee10bef7p-4, 0x1.91e073135daa7p-4, 0x1.8fee987a04282p-4, 0x1.8de8271f518p-4, 0x1.8bcdf0d088fc4p-4, 0x1.89a0c1f5f4d9ep-4, 0x1.8761647d3aec2p-4, 0x1.85109a63fc214p-4, 0x1.82af232501b79p-4, 0x1.803db98a1f7c2p-4, 0x1.7dbd13e146102p-4, 0x1.7b2de40ac7933p-4, 0x1.7890d807078eep-4, 0x1.75e6994aca4bbp-4, 0x1.732fcc4293a08p-4, 0x1.706d13a7afdaep-4, 0x1.6d9f0d12d4373p-4, 0x1.6ac6521e4efb8p-4, 0x1.67e378b61bffp-4, 0x1.64f71277dc81dp-4, 0x1.6201b01249d3cp-4, 0x1.5f03daeb39cd3p-4, 0x1.5bfe1b4841634p-4, 0x1.58f0f58db995fp-4, 0x1.55dce98c74561p-4, 0x1.52c2778dfbf2ep-4, 0x1.4fa2175b3a129p-4, 0x1.4c7c4132bc6bap-4, 0x1.495168e2e8df2p-4, 0x1.462200a470346p-4, 0x1.42ee750394354p-4, 0x1.3fb7322fbb679p-4, 0x1.3c7c9fefde8c8p-4, 0x1.393f2414727a8p-4, 0x1.35ff2100dd12cp-4, 0x1.32bcf6f7e12a3p-4, 0x1.2f79031c9995ep-4, 0x1.2c33a01cc8689p-4, 0x1.28ed25fcbeaa3p-4, 0x1.25a5ea7a8d148p-4, 0x1.225e407ad57b7p-4, 0x1.1f1678d7cdadbp-4, 0x1.1bcee1c332d6p-4, 0x1.1887c7167783cp-4, 0x1.15417297354f9p-4, 0x1.11fc2b474c4b4p-4, 0x1.0eb836b19b186p-4, 0x1.0b75d7b8fefabp-4, 0x1.08354f1d89c54p-4, 0x1.04f6db920028ep-4, 0x1.01bab9f21f7c4p-4, 0x1.fd02491d01eecp-5, 0x1.f694a8dec2283p-5, 0x1.f02d0093576fbp-5, 0x1.e9cbb9775e0e1p-5, 0x1.e37139e415db5p-5, 0x1.dd1de3fbb1f54p-5, 0x1.d6d21672fd25dp-5, 0x1.d08e2c5a7e658p-5, 0x1.ca527d7eb6b6bp-5, 0x1.c41f5d02f12f9p-5, 0x1.bdf51f39785dep-5, 0x1.b7d40e8880b9ep-5, 0x1.b1bc769e551b8p-5, 0x1.abae9f3d03896p-5, 0x1.a5aacc17913dcp-5, 0x1.9fb13eb8c8fe7p-5, 0x1.99c235e8d06a5p-5, 0x1.93dded09cd963p-5, 0x1.8e049cbab34adp-5, 0x1.88367b372a6ecp-5, 0x1.8273bb68e2bbbp-5, 0x1.7cbc8e3b92e63p-5, 0x1.77112175b7c9dp-5, 0x1.7171a11a57ee2p-5, 0x1.6bde35c347ed1p-5, 0x1.665706c1f8996p-5, 0x1.60dc37ab7764ap-5, 0x1.5b6dea5760255p-5, 0x1.560c3fee98ac8p-5, 0x1.50b754a114a84p-5, 0x1.4b6f444ee5366p-5, 0x1.4634287f2c02bp-5, 0x1.410617ff3b92ap-5, 0x1.3be5288596592p-5, 0x1.36d16d4682cap-5, 0x1.31caf7d737996p-5, 0x1.2cd1d7a621685p-5, 0x1.27e61aa99ca92p-5, 0x1.2307cce48d933p-5, 0x1.1e36f8e66119dp-5, 0x1.1973a708297cp-5, 0x1.14bddeba134b4p-5, 0x1.1015a58867b82p-5, 0x1.0b7aff43c9804p-5, 0x1.06edeeb921027p-5, 0x1.026e749bf0e78p-5, 0x1.fbf922202a48p-6, 0x1.f33084e18f6a2p-6, 0x1.ea830b2a5842dp-6, 0x1.e1f0ac7b342bdp-6, 0x1.d9795e6dea1e1p-6, 0x1.d11d138540746p-6, 0x1.c8dbbc05560cap-6, 0x1.c0b54678346bap-6, 0x1.b8a99efdc4138p-6, 0x1.b0b8aec54775bp-6, 0x1.a8e25e9477a39p-6, 0x1.a12693fb72e96p-6, 0x1.9985338d3c097p-6, 0x1.91fe1f79b0d56p-6, 0x1.8a9137f0bc262p-6, 0x1.833e6078e8ff3p-6, 0x1.7c056a270223dp-6, 0x1.74e63c85fbfd4p-6, 0x1.6de0af98f9a98p-6, 0x1.66f49a34d0238p-6, 0x1.6021d47b2b18bp-6, 0x1.596834be388c1p-6, 0x1.52c79090b631p-6, 0x1.4c3fbaf6a8875p-6, 0x1.45d087621ec72p-6, 0x1.3f79c81a618e1p-6, 0x1.393b4c90ce113p-6, 0x1.3314e4bd555acp-6, 0x1.2d065e229f2e5p-6, 0x1.270f883621f37p-6, 0x1.21302fd1a8805p-6, 0x1.1b68210498754p-6, 0x1.15b72888da965p-6, 0x1.101d1103a0532p-6, 0x1.0a99a3c4b8a4fp-6, 0x1.052caa543ebe2p-6, 0x1.ffabd8c844619p-7, 0x1.f52a6583a6f2bp-7, 0x1.ead48f0fe0a91p-7, 0x1.e0a9e6e3501d2p-7, 0x1.d6a9faf8ccbbcp-7, 0x1.ccd45a5618cf7p-7, 0x1.c3289053a7af7p-7, 0x1.b9a625ee5d3bbp-7, 0x1.b04ca248191a1p-7, 0x1.a71b93983448ep-7, 0x1.9e1285848e2efp-7, 0x1.95310b6053044p-7, 0x1.8c76b2ccf64b7p-7, 0x1.83e3080156ee7p-7, 0x1.7b7591ecc7c34p-7, 0x1.732dd4b3d92fcp-7, 0x1.6b0b541427b0dp-7, 0x1.630d97baee783p-7, 0x1.5b342d01fef01p-7, 0x1.537ea4fd094fdp-7, 0x1.4bec946b0c793p-7, 0x1.447d8bf69e06p-7, 0x1.3d3118405b4f5p-7, 0x1.3606bd9527671p-7, 0x1.2efdfa6a691fbp-7, 0x1.2816516e53d92p-7, 0x1.214f48c2e8e69p-7, 0x1.1aa870b26897cp-7, 0x1.142163a89bd1bp-7, 0x1.0db9c04aa47bdp-7, 0x1.07711ffb75baap-7, 0x1.014716c591e5bp-7, 0x1.f6765cd37caabp-8, 0x1.ea99ceece3282p-8, 0x1.def77f59eceb5p-8, 0x1.d38e7fac97076p-8, 0x1.c85dec7fbc5ap-8, 0x1.bd6510000fbb1p-8, 0x1.b2a331d5b186dp-8, 0x1.a817a485b57f9p-8, 0x1.9dc1ad6254ba9p-8, 0x1.93a06fbfd9b8dp-8, 0x1.89b2ff53044dap-8, 0x1.7ff85cce306f9p-8, 0x1.766f8350c5e32p-8, 0x1.6d178e2946153p-8, 0x1.63efb98a275c5p-8, 0x1.5af7630968cb6p-8, 0x1.522e005400c82p-8, 0x1.4993079d5b036p-8, 0x1.4125e5fffcd6dp-8, 0x1.38e5e5acad17dp-8, 0x1.30d22cc9a797fp-8, 0x1.28e9cc7c5f9cfp-8, 0x1.212bd08a1835ap-8, 0x1.199740b2c3abfp-8, 0x1.122b47ffaf964p-8, 0x1.0ae732001dc0ap-8, 0x1.03ca7335316fap-8, 0x1.f9a90e367fff1p-9, 0x1.ec09f8bb251f6p-9, 0x1.deb68ea6cc73cp-9, 0x1.d1ad968ca4415p-9, 0x1.c4edb00b7d1e2p-9, 0x1.b8756eaacf45ap-9, 0x1.ac434d45ea917p-9, 0x1.a055ccf4724d1p-9, 0x1.94ab709b4d05ep-9, 0x1.8942fd66ee6a4p-9, 0x1.7e1b69b3d23dfp-9, 0x1.7333d63153df3p-9, 0x1.688b5763455p-9, 0x1.5e20e67317273p-9, 0x1.53f345efdf0cep-9, 0x1.4a01329e8d443p-9, 0x1.404944eb9edb6p-9, 0x1.36ca5c533f5bdp-9, 0x1.2d832e7767254p-9, 0x1.247252aeef76dp-9, 0x1.1b967049698cdp-9, 0x1.12ee7411e4aa6p-9, 0x1.0a79a0d12a2a4p-9, 0x1.023788e106e61p-9, 0x1.f44f61308aa5p-10, 0x1.e492f27929b4cp-10, 0x1.d538062c1f16bp-10, 0x1.c63ce55b80a6dp-10, 0x1.b79f9a5547398p-10, 0x1.a95e89d9ba5c1p-10, 0x1.9b779a5a3003cp-10, 0x1.8de7ff1ce02acp-10, 0x1.80ac7a8d64961p-10, 0x1.73c1d05be713dp-10, 0x1.67259f3da6271p-10, 0x1.5ad67ef8f26dcp-10, 0x1.4ed3b569de59cp-10, 0x1.431ccac817088p-10, 0x1.37b0ede6f8bd9p-10, 0x1.2c8efb2432405p-10, 0x1.21b6071a8b555p-10, 0x1.17254f8ae1f02p-10, 0x1.0cdc334c6aad2p-10, 0x1.02d9a59fd9a8bp-10, 0x1.f237437a0d883p-11, 0x1.df3e888b3c1a2p-11, 0x1.ccc2eb7e6bf81p-11, 0x1.babf7582e1a74p-11, 0x1.a93074e664458p-11, 0x1.9813df380d4b4p-11, 0x1.8769125c37d73p-11, 0x1.772ec52aba3d4p-11, 0x1.6763c6a4ce978p-11, 0x1.58066ee348a26p-11, 0x1.491554badb6b7p-11, 0x1.3a8fc973b13b6p-11, 0x1.2c750487ad88fp-11, 0x1.1ec31603d454fp-11, 0x1.1176636627ce9p-11, 0x1.0489e3c2c8e2cp-11, 0x1.eff1453104f2ap-12, 0x1.d77c4f1a7442bp-12, 0x1.bfae18a6bd9bp-12, 0x1.a8836591f9944p-12, 0x1.91fc36532f896p-12, 0x1.7c198f58bfb2p-12, 0x1.66da23cbc422ap-12, 0x1.523b38188a2f9p-12, 0x1.3e38b7109b739p-12, 0x1.2ad0c9a4f3fc8p-12, 0x1.18029b85f1ecap-12, 0x1.05cd88d39b28p-12, 0x1.e8603a031c4d2p-13, 0x1.c64dfcdb4102p-13, 0x1.a558a2b40f68fp-13, 0x1.8570bd969a3f9p-13, 0x1.66817897e8bbdp-13, 0x1.4876a2ba26aep-13, 0x1.2b4739d24f824p-13, 0x1.0ef60433bfec7p-13, 0x1.e70d0ae74cfc4p-14, 0x1.b1ec9f0a28fdp-14, 0x1.7e7f753ca8595p-14, 0x1.4cc65ed4ace87p-14, 0x1.1cb910f0ecd2dp-14, 0x1.dc93d89d9c07p-15, 0x1.82d8892581bc2p-15, 0x1.2c2dbb48a772p-15, 0x1.b14deea59b7b2p-16, 0x1.108ba6624a2d9p-16, 0x1.d81566c599d2ap-18, -0x1.e7d460ca0e4fcp-20, -0x1.5af9f82a3a01fp-17, -0x1.3773ffce8c2d6p-16, -0x1.bc6da6e00fd91p-16, -0x1.1e076d5a5d62ap-15, -0x1.5bb0e3dacd8b2p-15, -0x1.970421688de2p-15, -0x1.d02ee487bf7afp-15, -0x1.0395739afa75p-14, -0x1.1e01333c11143p-14, -0x1.37661054b5f4bp-14, -0x1.4fcb7936bc07ep-14, -0x1.6733092ec191p-14, -0x1.7d9c30387e5abp-14, -0x1.930899678f2d1p-14, -0x1.a77cf33bc7e42p-14, -0x1.baf985092158ap-14, -0x1.cd86430cc93cap-14, -0x1.df350e93c285p-14, -0x1.f0133984f113dp-14, -0x1.000aff61f8b0fp-13, -0x1.07a1d102c4f64p-13, -0x1.0ed975864bdeap-13, -0x1.15b2765688f62p-13, -0x1.1c290fd019594p-13, -0x1.2241d78c89842p-13, -0x1.28057a70d1957p-13, -0x1.2d7c305437891p-13, -0x1.32a8c9160af16p-13, -0x1.378b751b4fc93p-13, -0x1.3c21ebffbc5d4p-13, -0x1.406963812e2ccp-13, -0x1.44651f2e5a58cp-13, -0x1.481aa33dd295bp-13, -0x1.4b8932b51a38p-13, -0x1.4eb0041173389p-13, -0x1.51946be835ad7p-13, -0x1.543792df3154fp-13, -0x1.569b01fff1749p-13, -0x1.58c8564ce0f25p-13, -0x1.5ac0bf1d6a93fp-13, -0x1.5c7f47c9a6afep-13, -0x1.5e0642956a0c2p-13, -0x1.5f58ed060b954p-13, -0x1.6077f1ba82c58p-13, -0x1.6163a754a1078p-13, -0x1.621e731e670aap-13, -0x1.62ac373af413fp-13, -0x1.6311602da6252p-13, -0x1.634fe6030aac6p-13, -0x1.6367018c6e181p-13, -0x1.6355ec3ca5ca7p-13, -0x1.631f4f0171697p-13, -0x1.62c293ef74f5ap-13, -0x1.623d693e94935p-13, -0x1.61942a5ce8541p-13, -0x1.60c8c9d519a9fp-13, -0x1.5fdfb86b7d34dp-13, -0x1.5edaea44c64d5p-13, -0x1.5db6f5d73ebf5p-13, -0x1.5c7613676107bp-13, -0x1.5b1c5be212ce7p-13, -0x1.59a9a270b72dbp-13, -0x1.581e08f104199p-13, -0x1.5679532842de7p-13, -0x1.54bc4c62df295p-13, -0x1.52e6c3be7bf2ep-13, -0x1.50f95baf46b3ap-13, -0x1.4ef60f0655207p-13, -0x1.4ce0d87f390afp-13, -0x1.4abbb9265647ap-13, -0x1.4885dfe3b1e76p-13, -0x1.463f0006088d4p-13, -0x1.43e708f5b47dcp-13, -0x1.417c73a720cbep-13, -0x1.3f024b61c7c28p-13, -0x1.3c7b15dcabc7p-13, -0x1.39e86211dabd8p-13, -0x1.37476633dfd1bp-13, -0x1.349ad75b2b2cap-13, -0x1.31e39e5940472p-13, -0x1.2f224822dd837p-13, -0x1.2c56ffe19d328p-13, -0x1.298216d381041p-13, -0x1.26a46866e4cb1p-13, -0x1.23be4180b35c5p-13, -0x1.20d02b99ec89cp-13, -0x1.1ddb95462c592p-13, -0x1.1addbee2e6749p-13, -0x1.17d8f0a6d609ep-13, -0x1.14cdfde84dc07p-13, -0x1.11be79fcec727p-13, -0x1.0eab100fd815dp-13, -0x1.0b9329e355039p-13, -0x1.0877ce3a350acp-13, -0x1.0557b4bcdd1efp-13, -0x1.0232cc27cbda6p-13, -0x1.fe19de084e774p-14, -0x1.f7c9571c43aa7p-14, -0x1.f173cf1ca2978p-14, -0x1.eb1b3751e3105p-14, -0x1.e4bf9a89d067bp-14, -0x1.de62ad06723f9p-14, -0x1.d803fd73b5157p-14, -0x1.d1a4379e610b7p-14, -0x1.cb4461f0371dap-14, -0x1.c4e4d7f5831e2p-14, -0x1.be8616154e3c5p-14, -0x1.b828b6ddf8592p-14, -0x1.b1cd9a938538fp-14, -0x1.ab744739aa7a3p-14, -0x1.a51e61bd53023p-14, -0x1.9ecb075a0baa9p-14, -0x1.987b91180a662p-14, -0x1.922fc0d965c13p-14, -0x1.8bead0045557ep-14, -0x1.85a9e23a6b39bp-14, -0x1.7f6e6c86edc1cp-14, -0x1.7938d61840fb7p-14, -0x1.7309f24c78bddp-14, -0x1.6ce0adab393e1p-14, -0x1.66bef7e2a1dccp-14, -0x1.60a447402c30cp-14, -0x1.5a90d0f7c630ap-14, -0x1.548577a8f7efdp-14, -0x1.4e82f8855703cp-14, -0x1.4887430536397p-14, -0x1.42952080d3cffp-14, -0x1.3cabab3d2826cp-14, -0x1.36cb6b55a3d13p-14, -0x1.30f3ccead426ep-14, -0x1.2b26f326302f7p-14, -0x1.25634f17779cdp-14, -0x1.1fa94489cf15fp-14, -0x1.19f9a7fb6e8bp-14, -0x1.145506d96e36dp-14, -0x1.0ebb240e38da8p-14, -0x1.092a7c25f5affp-14, -0x1.03a4ef6e312b7p-14, -0x1.fc5699bf51c28p-15, -0x1.f1786e22151bbp-15, -0x1.e6af96831e432p-15, -0x1.dbfe1c8e0e01ap-15, -0x1.d162f1d5ce05dp-15, -0x1.c6dfacffefbf1p-15, -0x1.bc73370050e77p-15, -0x1.b21e500f152f7p-15, -0x1.a7e07cc25ee32p-15, -0x1.9dba8515ed8dfp-15, -0x1.93ac79df44755p-15, -0x1.89b673aa5782bp-15, -0x1.7fd84bf64ef8dp-15, -0x1.7612768a62feep-15, -0x1.6c656bffc7252p-15, -0x1.62cfb908bbfc7p-15, -0x1.59537972b6361p-15, -0x1.4fee93e7f9113p-15, -0x1.46a268cb8d4bap-15, -0x1.3d6f29664efa1p-15, -0x1.3456ff7db16d5p-15, -0x1.2b54683bb9587p-15, -0x1.226c2c45196f5p-15, -0x1.199c0980adb31p-15, -0x1.10e364409478fp-15, -0x1.08456652874cap-15, -0x1.ff7f2d28e3ca4p-16, -0x1.eea4e1be3096ap-16, -0x1.ddf950aef508dp-16, -0x1.cd7f1df4d910dp-16, -0x1.bd3882968dd44p-16, -0x1.ad21eb9eb96a9p-16, -0x1.9d3bccd3bc871p-16, -0x1.8db68ed6202d3p-16, -0x1.7e01b7470555ap-16, -0x1.6eae276317b95p-16, -0x1.5f894680ea3f5p-16, -0x1.5096030f4faf8p-16, -0x1.41d275ca13067p-16, -0x1.333ecb095671cp-16, -0x1.24d999fd85194p-16, -0x1.16a3479b39066p-16, -0x1.089dc3e922295p-16, -0x1.f58e832653affp-17, -0x1.da3e79b9b1cacp-17, -0x1.bf4e774cc84b4p-17, -0x1.a4b8271600c2bp-17, -0x1.8a7dbb6225c59p-17, -0x1.70a034109907bp-17, -0x1.571bb02cb6b2cp-17, -0x1.3df0e1b3529efp-17, -0x1.25210ba707485p-17, -0x1.0cabc30e74da7p-17, -0x1.e91f5ed2b9aefp-18, -0x1.b996053e8d274p-18, -0x1.8aba16fddb16ep-18, -0x1.5c853f4d6a22dp-18, -0x1.2f1ce5caa2cfcp-18, -0x1.02427a1aa56fcp-18, -0x1.ac2c321b69098p-19, -0x1.55301d69eee14p-19, -0x1.ff0a4fb635939p-20, -0x1.563b0fe649cc5p-20, -0x1.60498a76cc60bp-21, -0x1.912ab11733883p-25, 0x1.28f90c6a0b97ep-21, 0x1.33110fe28c984p-20, 0x1.cf09a887a91ebp-20, 0x1.34404b2de7623p-19, 0x1.7fee84f08aa0dp-19, 0x1.ca11765cfa388p-19, 0x1.0993d9a92a3p-18, 0x1.2d849f386445dp-18, 0x1.50dc3ce1ad62dp-18, 0x1.739ff33ca9517p-18, 0x1.95cbbf22955bap-18, 0x1.b76269885232p-18, 0x1.d8649eee02fd9p-18, 0x1.f8cec7ef8474fp-18, 0x1.0c5be60d52e01p-17, 0x1.1c077b8baaa14p-17, 0x1.2b696c4759ca3p-17, 0x1.3a856fa0d63f9p-17, 0x1.495c64604f868p-17, 0x1.57eeb0ed55cd5p-17, 0x1.663d8632931bfp-17, 0x1.7447f4bed62fbp-17, 0x1.8210f8b5c2171p-17, 0x1.8fa31fe45a019p-17, 0x1.9cdd26c6b5445p-17, 0x1.a9de6fabf521dp-17, 0x1.b6a3feffda1fep-17, 0x1.c3291139504d4p-17, 0x1.cf6c643ac4dbap-17, 0x1.db80a3ae5036bp-17, 0x1.e74010cfa7757p-17, 0x1.f2cca5d469dap-17, 0x1.fe21866e4c803p-17, 0x1.049bcf15fdc66p-16, 0x1.0a09edf1eedcfp-16, 0x1.0f5b842585b5cp-16, 0x1.148fe554aa6b1p-16, 0x1.19a73cf26b17fp-16, 0x1.1ea40202b472ap-16, 0x1.233fa5551e99fp-16, 0x1.284956a913cafp-16, 0x1.2cf2b72a6a39cp-16, 0x1.3182554dac614p-16, 0x1.35f76b2c1b54dp-16, 0x1.3a528abdb3229p-16, 0x1.3e934598736b4p-16, 0x1.42baa9084cfa8p-16, 0x1.46c92512de53ep-16, 0x1.4abfb7be42cf8p-16, 0x1.4e9bc8c3599d7p-16, 0x1.5260635ce03f7p-16, 0x1.560d4a17fc191p-16, 0x1.59a4422e52914p-16, 0x1.5d205d4152baap-16, 0x1.608a4505039f7p-16, 0x1.63d79c97b285ep-16, 0x1.67113a7e43978p-16, 0x1.6a346086d2aabp-16, 0x1.6d42b58af621ap-16, 0x1.70390d34fe0e8p-16, 0x1.731d3e6449968p-16, 0x1.75eafca28c8p-16, 0x1.78a49126edb81p-16, 0x1.7b48fe66c7153p-16, 0x1.7dd66ddc47adcp-16, 0x1.8055f3518e76cp-16, 0x1.82b84533d64e3p-16, 0x1.8514d8811d227p-16, 0x1.8757017ebe11fp-16, 0x1.898698e01d7eep-16, 0x1.8ba3c6eb3176ep-16, 0x1.8daf6ec9f3665p-16, 0x1.8fa75aa970ed4p-16, 0x1.9187c022d6bcdp-16, 0x1.936326b26d1bp-16, 0x1.9528af23a3c6cp-16, 0x1.96dbd9cf45d67p-16, 0x1.987ec70460d37p-16, 0x1.9a0e7a1220dfep-16, 0x1.9b9161c03dcaep-16, 0x1.9d0250c3afe58p-16, 0x1.9e63e014cb22dp-16, 0x1.9fb4237bed902p-16, 0x1.a0f8cbaf580dbp-16, 0x1.a22d3835e1313p-16, 0x1.a35143df1f5bfp-16, 0x1.a467b18b285d6p-16, 0x1.a572cb056a5bp-16, 0x1.a6686b4bfaa7bp-16, 0x1.a75466e39ce34p-16, 0x1.a8321bdafd263p-16, 0x1.a902030bc5fe8p-16, 0x1.a9c4e192d5eb6p-16, 0x1.aa7c3dff8ecc4p-16, 0x1.ab23a5e8bafc7p-16, 0x1.abbeb5325c096p-16, 0x1.ac4ef9674a0b2p-16, 0x1.acd15843c217dp-16, 0x1.ad49445267a6bp-16, 0x1.adb44df9242bfp-16, 0x1.ae143e9c25c42p-16, 0x1.ae68db53bb242p-16, 0x1.aeb14c7b3d8cdp-16, 0x1.aeeed16da040ap-16, 0x1.af2087e2af38bp-16, 0x1.af4988ade5ef9p-16, 0x1.af67066e9a76p-16, 0x1.af7989741c816p-16, 0x1.af825308f7dafp-16, 0x1.af81fb19cf54ep-16, 0x1.af766fe458fb5p-16, 0x1.af6173f02635p-16, 0x1.af4308e0a85a2p-16, 0x1.af1bb01e900c3p-16, 0x1.aeeae4755d7f1p-16, 0x1.aeb5aabb308fbp-16, 0x1.ae6e93f2d9c66p-16, 0x1.ae22cae53966ep-16, 0x1.adcf9a82c16b2p-16, 0x1.ad73552df61c2p-16, 0x1.ad0e66dbe0fdfp-16, 0x1.aca2722531526p-16, 0x1.ac2e84cf92729p-16, 0x1.abb1b75c2b55ap-16, 0x1.ab2fcabbc5625p-16, 0x1.aaa30f4318e88p-16, 0x1.aa111561692b4p-16, 0x1.a979aea8bcff4p-16, 0x1.a8d6e797437cbp-16, 0x1.a82f7b34174a4p-16, 0x1.a780aa8f0a6d8p-16, 0x1.a6cc9c8e98d49p-16, 0x1.a6115db0cf64dp-16, 0x1.a54d373d58fefp-16, 0x1.a48756d5db13ap-16, 0x1.a3ba047434775p-16, 0x1.a2e652159d5bfp-16, 0x1.a20ce8d4f299cp-16, 0x1.a12e04f1b9ff4p-16, 0x1.a048effcefb99p-16, 0x1.9f5ff16aaa6a8p-16, 0x1.9e6f5e67213c2p-16, 0x1.9d79a1797475ep-16, 0x1.9c806a7c7e916p-16, 0x1.9b7ed0d39792fp-16, 0x1.9a7dd502f629ep-16, 0x1.99757673a1786p-16, 0x1.98675914c139cp-16, 0x1.9755f658acf02p-16, 0x1.9640786d4cecfp-16, 0x1.9526029c46fdfp-16, 0x1.940724aa0e1ffp-16, 0x1.92e4225f29f43p-16, 0x1.91bdafc8fff72p-16, 0x1.9092575cf68cep-16, 0x1.8f66c01cb119p-16, 0x1.8e32f98aba628p-16, 0x1.8cfb2632abc61p-16, 0x1.8bc2d38796d9p-16, 0x1.8a86752b279bdp-16, 0x1.894377e1efb4bp-16, 0x1.8802e09045943p-16, 0x1.86bd7d07d6097p-16, 0x1.85729b42bb404p-16, 0x1.842698e6c29c8p-16, 0x1.82d71c347d718p-16, 0x1.8183e291f21aap-16, 0x1.802eef43350fep-16, 0x1.7ed7e7ded22acp-16, 0x1.7d7ff350ac65fp-16, 0x1.7c2140d380cd4p-16, 0x1.7ac1fe4ee311fp-16, 0x1.79608518bb18fp-16, 0x1.77fce81be7919p-16, 0x1.769701a92339ep-16, 0x1.753005809a6c5p-16, 0x1.73c48c22266fap-16, 0x1.72589d1f0f3fdp-16, 0x1.70ea4a73d27f6p-16, 0x1.6f7ba0dd67c72p-16, 0x1.6e0a6267706cdp-16, 0x1.6c96d460edf75p-16, 0x1.6b2159560519ep-16, 0x1.69abb5fd9b09ep-16, 0x1.6834b7b61a4e3p-16, 0x1.66bb0a512ed77p-16, 0x1.653f353013291p-16, 0x1.63c48bb31ce2dp-16, 0x1.62468e327f027p-16, 0x1.60c97bb15a08p-16, 0x1.5f490b375c3f4p-16, 0x1.5dcb361c2a4d5p-16, 0x1.5c44ee605e1cap-16, 0x1.5ac402b16c02fp-16, 0x1.59413f02dc933p-16, 0x1.57bc2e6b346afp-16, 0x1.56364e1299bc6p-16, 0x1.54b121fe10495p-16, 0x1.532ab8ee02bf7p-16, 0x1.51a2ff304f6c7p-16, 0x1.501b51e3e8427p-16, 0x1.4e92735cc2f77p-16, 0x1.4d09fee05676bp-16, 0x1.4b80a17feb5e3p-16, 0x1.49f68d9fb3a79p-16, 0x1.486c261b0b312p-16, 0x1.46e1cc88e9a22p-16, 0x1.4556251c39344p-16, 0x1.43cbc8be833a1p-16, 0x1.424098e2b398ep-16, 0x1.40b52b1c8abfp-16, 0x1.3f2906b75a7cdp-16, 0x1.3d9dbef3ff6d3p-16, 0x1.3c12ce74bf7d2p-16, 0x1.3a86b9e82bd59p-16, 0x1.38f9e904a245p-16, 0x1.376ca5f228d02p-16, 0x1.35e4578b888bdp-16, 0x1.3457459d53aecp-16, 0x1.32ce647af1248p-16, 0x1.3142c7426b5cbp-16, 0x1.2fb68ea6a5fc5p-16, 0x1.2e2cbc0221489p-16, 0x1.2ca87202f6fadp-16, 0x1.2b19237f087a6p-16, 0x1.29905a37d77b7p-16, 0x1.2805d0cee2ebp-16, 0x1.269787d653708p-16, 0x1.24f3be18c6d95p-16, 0x1.236ec09b0a86p-16, 0x1.21e6e06df8cbap-16, 0x1.205f2276da5b5p-16, 0x1.1ed9ee3bcd184p-16, 0x1.1d547255b1fdp-16, 0x1.1bcfdb2ed139bp-16, 0x1.1a4b42958d50dp-16, 0x1.18c7c55aef73p-16, 0x1.1744e8b1e4e2ap-16, 0x1.15c272418f13p-16, 0x1.14421d6783848p-16, 0x1.12c184f422f2bp-16, 0x1.1141460ec94f7p-16, 0x1.0fc13b2c2a4ecp-16, 0x1.0e4ec33864363p-16, 0x1.0cc64c79ce874p-16, 0x1.0b49aa1550899p-16, 0x1.09cdf259da8ecp-16, 0x1.08530e4b2f24dp-16, 0x1.06d8d0900e638p-16, 0x1.05603326f71cap-16, 0x1.03e80058f867fp-16, 0x1.027155488c9b1p-16, 0x1.00fb1cf840011p-16, 0x1.ff0d4d88a4c7ep-17, 0x1.fc23faf662c46p-17, 0x1.f94100c57241ep-17, 0x1.f65b0a163f072p-17, 0x1.f37850a2936b6p-17, 0x1.f09891bebfedp-17, 0x1.edbbff93431b3p-17, 0x1.eae15dfbe0ae5p-17, 0x1.e8088580cb04fp-17, 0x1.e53308b7ef972p-17, 0x1.e261e30fbb4c6p-17, 0x1.df8bf90be0c7p-17, 0x1.dcbb415e734c7p-17, 0x1.d9eeeceb72cedp-17, 0x1.d72b40bcd40d5p-17, 0x1.d45d444c21f82p-17, 0x1.d19214f49b312p-17, 0x1.ced46b2cb5c27p-17, 0x1.cc10e82919344p-17, 0x1.c950bb00f83cp-17, 0x1.c6964e2a15e55p-17, 0x1.c3de1723ee1e3p-17, 0x1.c1284559cf58cp-17, 0x1.be744803bb023p-17, 0x1.bbc10b3f8cce5p-17, 0x1.b911e3a1557d8p-17, 0x1.b664bd42b6b8fp-17, 0x1.b3ba9c2807741p-17, 0x1.b114b231d29dfp-17, 0x1.ae6f84376d47bp-17, 0x1.abcd7d629cc2ep-17, 0x1.a9277ad20de82p-17, 0x1.a68fab19c073bp-17, 0x1.a3f7cf6a0fb3ap-17, 0x1.a161ac4f7b8ccp-17, 0x1.9ed071f33f3cp-17, 0x1.9c3a3c9ea8589p-17, 0x1.99ac394eda202p-17, 0x1.971fc7c3be152p-17, 0x1.94976c2b4371bp-17, 0x1.921193e672403p-17, 0x1.8f8bc213a58e5p-17, 0x1.8d0b0705bfe84p-17, 0x1.8a8d5e2273c5cp-17, 0x1.8812108f0aa6dp-17, 0x1.85990b7542a34p-17, 0x1.83236f0cf461dp-17, 0x1.80afeac7b2ba2p-17, 0x1.7e417c4b5f99fp-17, 0x1.7bd3359e754fep-17, 0x1.7968c0fbf0f35p-17, 0x1.770176ea13d1dp-17, 0x1.749cd38664ce9p-17, 0x1.723ba6edfa7d9p-17, 0x1.6fda4e0210106p-17, 0x1.6d7e071e9a09dp-17, 0x1.6b27926143164p-17, 0x1.68d0e756c3449p-17, 0x1.667b7ab03491p-17, 0x1.642bf54df987ep-17, 0x1.61dbe705ca485p-17, 0x1.5f92c818b12f8p-17, 0x1.5d4a56940988bp-17, 0x1.5b05a00cf62c4p-17, 0x1.58c34b77a58e8p-17, 0x1.568405e225feep-17, 0x1.5445ebc66f2c8p-17, 0x1.520b51194a276p-17, 0x1.4fd71d95bf85p-17, 0x1.4dad06fae527dp-17, 0x1.4b6fd3a98723cp-17, 0x1.494344740d0dfp-17, 0x1.4716e65f499e9p-17, 0x1.44ee93898ebcdp-17, 0x1.42c80b1705dbfp-17, 0x1.40a478c343c31p-17, 0x1.3e854d901e0c8p-17, 0x1.3c6887a611d2dp-17, 0x1.3a4cc67facf15p-17, 0x1.3835a5de7100fp-17, 0x1.362127ce2201dp-17, 0x1.340f8385d0f81p-17, 0x1.320058775cf05p-17, }}, 
      {{-0x1.7c1c432d66fe1p+0, -0x1.5f8b7a6a997e6p+0, -0x1.3ed96bcbca1e6p+0, -0x1.1c854671789b2p+0, -0x1.f4959cb45272ep-1, -0x1.b2aaf0ad35cbep-1, -0x1.74cd1c9da001p-1, -0x1.3be33c48ce2e1p-1, -0x1.08636d05ce3ecp-1, -0x1.b4e54dca9bbeep-2, -0x1.63f93db8c51b6p-2, -0x1.1d8b7e872669p-2, -0x1.c1e29072e8958p-3, -0x1.5ac0d0d10211dp-3, -0x1.03fc7eaa566bap-3, -0x1.77ab31a928926p-4, -0x1.012279a8c3867p-4, -0x1.4213bed1a726p-5, -0x1.50f19fc99b0d4p-6, -0x1.7ceb858792323p-8, 0x1.6eb7414fe2ebcp-8, 0x1.d2e847e408e65p-7, 0x1.52beab7d6c95ep-6, 0x1.9f35f05e1462dp-6, 0x1.d590603f3b13fp-6, 0x1.fba1103cc611ap-6, 0x1.0b3460e41efd5p-5, 0x1.1513d5a6ae753p-5, 0x1.1d37c7b88f7acp-5, 0x1.251ab0b91dd8cp-5, 0x1.2df1344a094dbp-5, 0x1.38b23aaa35126p-5, 0x1.461e594fb88a8p-5, 0x1.56c6eb5298f4p-5, 0x1.6b145e366d142p-5, 0x1.834bfc0183fbdp-5, 0x1.9f956a1f2b88p-5, 0x1.bffee6f624d22p-5, 0x1.e481f7025fa1cp-5, 0x1.06837a4aea8cep-4, 0x1.1cb42a0092718p-4, 0x1.34bac907f8aa9p-4, 0x1.4e7ad8e1355bap-4, 0x1.69d4b46fe58p-4, 0x1.86a67ac21434dp-4, 0x1.a4ccd7ba4d1ap-4, 0x1.c423c2a2fd491p-4, 0x1.e486d09a71059p-4, 0x1.02e9063cc0ff6p-3, 0x1.13f0ff3c772p-3, 0x1.254a0faefaa84p-3, 0x1.36e38a4aff7d3p-3, 0x1.48ad6dbd58167p-3, 0x1.5a98737cc21ebp-3, 0x1.6c9623a6760e4p-3, 0x1.7e98d51b988a9p-3, 0x1.9093aebc6d5bbp-3, 0x1.a27acaa822f1ep-3, 0x1.b442ef7e6a563p-3, 0x1.c5e1d382905f7p-3, 0x1.d74df414c54e8p-3, 0x1.e87e97c93a477p-3, 0x1.f96bc53c21438p-3, 0x1.05071eb644375p-2, 0x1.0d2fb9917c64ep-2, 0x1.152cc0cc1e594p-2, 0x1.1cfb9233733e1p-2, 0x1.2499d5ef21664p-2, 0x1.2c057d89cf07ap-2, 0x1.333cbbbe2af0fp-2, 0x1.3a3e034a1cf14p-2, 0x1.4107fff7c7dd5p-2, 0x1.4799953197956p-2, 0x1.4df1d9015782cp-2, 0x1.54101063b37ecp-2, 0x1.59f3ac6635dc3p-2, 0x1.5f9c4656fc18bp-2, 0x1.65099c9d9b13ap-2, 0x1.6a3b90558b43bp-2, 0x1.6f3221c6c9cb1p-2, 0x1.73ed6e9fa7fe8p-2, 0x1.786daf10466fbp-2, 0x1.7cb3337d56171p-2, 0x1.80be626c83179p-2, 0x1.848fb56d83f61p-2, 0x1.8827bcf149d7cp-2, 0x1.8b87137289addp-2, 0x1.8eae638027545p-2, 0x1.919e72bbc7c54p-2, 0x1.9457f6d99b943p-2, 0x1.96dbcbca0203fp-2, 0x1.992ac99778027p-2, 0x1.9b45d309bdf4cp-2, 0x1.9d2dd321eac7p-2, 0x1.9ee3bb90469e4p-2, 0x1.a068853216396p-2, 0x1.a1bd24dd9204dp-2, 0x1.a2e2a1718c14ep-2, 0x1.a3d9fb740a9aap-2, 0x1.a4a43a040c916p-2, 0x1.a5426480eead3p-2, 0x1.a5b58530fa51p-2, 0x1.a5fea6dca2ac7p-2, 0x1.a61ed4d856a81p-2, 0x1.a6171c6b1015fp-2, 0x1.a5e8877309d1fp-2, 0x1.a594221f8c9a6p-2, 0x1.a51af634b2be8p-2, 0x1.a47e0d106aee3p-2, 0x1.a3be6e567ca54p-2, 0x1.a2dd22587bc53p-2, 0x1.a1db259140016p-2, 0x1.a0b98120c6004p-2, 0x1.9f79323be0829p-2, 0x1.9e1b3556bd3bp-2, 0x1.9ca084e1b2febp-2, 0x1.9b0a17a89f6d1p-2, 0x1.9958e26c9bfd3p-2, 0x1.978dd5da36b9p-2, 0x1.95a9e05e9817bp-2, 0x1.93adebe1bb1acp-2, 0x1.919adf9475ed9p-2, 0x1.8f719f2c4dec2p-2, 0x1.8d330ad4451fep-2, 0x1.8adffc12c661dp-2, 0x1.887951c6f2b5bp-2, 0x1.85ffdce538f2ep-2, 0x1.83746df661c7ep-2, 0x1.80d7d2feacd13p-2, 0x1.7e2ad5afb0397p-2, 0x1.7b6e3ba94e2e2p-2, 0x1.78a2c663a0808p-2, 0x1.75c933f0107ep-2, 0x1.72e23e5ed980fp-2, 0x1.6fee9b2541964p-2, 0x1.6ceefcfca1199p-2, 0x1.69e41258b88cdp-2, 0x1.66ce84d3c4895p-2, 0x1.63aefbb1318bfp-2, 0x1.6086197133f1bp-2, 0x1.5d547cdc58e7p-2, 0x1.5a1ac115d6b93p-2, 0x1.56d97d441ddbfp-2, 0x1.539145ad4aed9p-2, 0x1.5042a95747f44p-2, 0x1.4cee3463009e7p-2, 0x1.49946ff2752b2p-2, 0x1.4635e0a37b6f3p-2, 0x1.42d307d507722p-2, 0x1.3f6c6325f0e28p-2, 0x1.3c026d85408fep-2, 0x1.38959d2494625p-2, 0x1.352665e1c88f4p-2, 0x1.31b5376f6139p-2, 0x1.2e427eca241c9p-2, 0x1.2acea5939082fp-2, 0x1.275a11ea23e44p-2, 0x1.23e526dc6ce68p-2, 0x1.207044cf4580ap-2, 0x1.1cfbc837004c9p-2, 0x1.19880b0745b39p-2, 0x1.161564785f5d1p-2, 0x1.12a42806ca80bp-2, 0x1.0f34a730c3b7p-2, 0x1.0bc72facb486ap-2, 0x1.085c0ddc11124p-2, 0x1.04f38a113832ep-2, 0x1.018dea5c82b8dp-2, 0x1.fc56e4946c803p-3, 0x1.f598c54e53004p-3, 0x1.eee1f32f951ccp-3, 0x1.e832e8e08072cp-3, 0x1.e18c12d8b815fp-3, 0x1.daedeabe20dcbp-3, 0x1.d458d07f9532cp-3, 0x1.cdcd2bed5c5bdp-3, 0x1.c74b5e923f5d5p-3, 0x1.c0d3c2195cc14p-3, 0x1.ba66b54a0a64dp-3, 0x1.b40485ea97c26p-3, 0x1.adad85a4d5886p-3, 0x1.a7620186a70adp-3, 0x1.a1224098ce371p-3, 0x1.9aee886c42fd2p-3, 0x1.94c7195130c68p-3, 0x1.8eac3080ebb62p-3, 0x1.889e07d63f9c6p-3, 0x1.829cd5d7e9037p-3, 0x1.7ca8cd35b4ddcp-3, 0x1.76c21c39bbe0fp-3, 0x1.70e8f60353fedp-3, 0x1.6b1d7da4ec23p-3, 0x1.655fdb9960484p-3, 0x1.5fb0343f59a7dp-3, 0x1.5a0ea8bb544d6p-3, 0x1.547b569b62dcp-3, 0x1.4ef65b76246e8p-3, 0x1.497fce251dcd6p-3, 0x1.4417c72cddfeep-3, 0x1.3ebe5927ff774p-3, 0x1.3973a2cf221a2p-3, 0x1.343790d7ce685p-3, 0x1.2f0a53478246p-3, 0x1.29ebe9a898c1dp-3, 0x1.24dc5ca72b55dp-3, 0x1.1fdbb2d6fbfdcp-3, 0x1.1ae9f82bac6bap-3, 0x1.160727e22d665p-3, 0x1.113346d9cba93p-3, 0x1.0c6e5485d5d79p-3, 0x1.07b84fc59a4a4p-3, 0x1.0311349f2efd6p-3, 0x1.fcf1fcc706543p-4, 0x1.f3df4d309abfep-4, 0x1.eaea4ac9daea5p-4, 0x1.e212e2984d836p-4, 0x1.d958fff678aa3p-4, 0x1.d0bc8a0791db8p-4, 0x1.c83d6680dae92p-4, 0x1.bfdb79fb6a6fap-4, 0x1.b796a3cdd4799p-4, 0x1.af6ec484b97ep-4, 0x1.a763b673f78b2p-4, 0x1.9f755568bfdbep-4, 0x1.97a37a2abcebdp-4, 0x1.8fedfbc555233p-4, 0x1.8854ad5c7c189p-4, 0x1.80d76616f130bp-4, 0x1.7975f4beda629p-4, 0x1.72302a399aa64p-4, 0x1.6b05d62a7e8d6p-4, 0x1.63f6c51a7e0e6p-4, 0x1.5d02c3e63e3ffp-4, 0x1.56299cf53a9cp-4, 0x1.4f6b1a7615a6fp-4, 0x1.48c7054a8ff03p-4, 0x1.423d269e9383ep-4, 0x1.3bcd3fb9b9a93p-4, 0x1.35771bf4cae0cp-4, 0x1.2f3a7e9c12dc2p-4, 0x1.29172ad3bfdc5p-4, 0x1.230ce5e12042fp-4, 0x1.1d1b7170d8e4p-4, 0x1.17428f038039bp-4, 0x1.11820125659cfp-4, 0x1.0bd988b839789p-4, 0x1.0648e5dda95ccp-4, 0x1.00cfd982cb315p-4, 0x1.f6dc45c9e631fp-5, 0x1.ec47023194509p-5, 0x1.e1df65b18e024p-5, 0x1.d7a4f3d7faf43p-5, 0x1.cd97210349a8ep-5, 0x1.c3b56f6997ee3p-5, 0x1.b9ff5bb12d376p-5, 0x1.b07460bc4574fp-5, 0x1.a713fba3752f5p-5, 0x1.9ddda7e61a47dp-5, 0x1.94d0e1a8998e1p-5, 0x1.8bed26d9085a3p-5, 0x1.8331f13a9d541p-5, 0x1.7a9ebecf9b98cp-5, 0x1.72330b8562f6p-5, 0x1.69ee5588d6437p-5, 0x1.61d01956b81bap-5, 0x1.59d7d37664842p-5, 0x1.520504aecc7bbp-5, 0x1.4a57290b9ce93p-5, 0x1.42cdc17bab0efp-5, 0x1.3b684b8a19fc2p-5, 0x1.342649868defap-5, 0x1.2d073a693c75cp-5, 0x1.260aa2e1fe26p-5, 0x1.1f3001d99b748p-5, 0x1.1876dafb3f202p-5, 0x1.11deb3035bcebp-5, 0x1.0b670e020d0e5p-5, 0x1.050f70dbb4b0bp-5, 0x1.fdaec4010f0a2p-6, 0x1.f17cd252ad901p-6, 0x1.e5881b9835791p-6, 0x1.d9cfb2f04c31ap-6, 0x1.ce52a3ba9f07bp-6, 0x1.c31010d0caea2p-6, 0x1.b8070b17cdca5p-6, 0x1.ad36aafd2356bp-6, 0x1.a29e0e8afe5f1p-6, 0x1.983c52762e88bp-6, 0x1.8e10adb8385b2p-6, 0x1.8419fc8ce3c1ep-6, 0x1.7a57a86bb4fb3p-6, 0x1.70c8c32281edp-6, 0x1.676c720a94bdbp-6, 0x1.5e41e0d5ab26ap-6, 0x1.55483b875a782p-6, 0x1.4c7eb45be5a9ap-6, 0x1.43e4798d6b8b7p-6, 0x1.3b78b9292ec06p-6, 0x1.333aba4e55356p-6, 0x1.2b29a3fe79c6fp-6, 0x1.2344bb4dfa2e2p-6, 0x1.1b8b3872d05edp-6, 0x1.13fc57499f07ep-6, 0x1.0c97601bd1362p-6, 0x1.055b941f75c0dp-6, 0x1.fc9074c8a887cp-7, 0x1.eeb9335d58ddfp-7, 0x1.e12ffce879e71p-7, 0x1.d3f3696887af3p-7, 0x1.c70212b617746p-7, 0x1.ba5a693a56654p-7, 0x1.adfbbcfb27527p-7, 0x1.a1e412cd874eep-7, 0x1.961257fa59e5p-7, 0x1.8a853d01d36b9p-7, 0x1.7f3b7bdbe8d92p-7, 0x1.7433d09babf3bp-7, 0x1.696d054a58fd7p-7, 0x1.5ee5d9789b7c8p-7, 0x1.549d1ce89237dp-7, 0x1.4a91a104e7148p-7, 0x1.40c23e6e0e6dp-7, 0x1.372dce087443ep-7, 0x1.2dd3236e8cdd1p-7, 0x1.24b13617a9335p-7, 0x1.1bc6d4db77895p-7, 0x1.1312ec5c52ee3p-7, 0x1.0a9470916987fp-7, 0x1.024a56eff3583p-7, 0x1.f46731145b654p-8, 0x1.e49e5e8ed8a97p-8, 0x1.d53842852cfafp-8, 0x1.c632d0525a4bp-8, 0x1.b78c17312fd2ap-8, 0x1.a94221105dc75p-8, 0x1.9b5311bc3db2cp-8, 0x1.8dbd09bc6d898p-8, 0x1.807e3cea059b8p-8, 0x1.7394e9d558c6fp-8, 0x1.66ff619a7aa06p-8, 0x1.5abbeaec5f997p-8, 0x1.4ec8c3b4f22bbp-8, 0x1.4324322c8d32bp-8, 0x1.37cc9582a1509p-8, 0x1.2cc0356f1d052p-8, 0x1.21fd17f71e7e1p-8, 0x1.1782e90684c9ep-8, 0x1.0d4efe2552413p-8, 0x1.03604a7f61477p-8, 0x1.f36aa36e9c364p-9, 0x1.e09952af4857cp-9, 0x1.ce49887e5d09p-9, 0x1.bc78769c7bcdp-9, 0x1.ab230593df9c2p-9, 0x1.9a46b05d7da8dp-9, 0x1.89e0ac2ec7f1fp-9, 0x1.79ee6f0288f1ap-9, 0x1.6a6d9a72e9552p-9, 0x1.5b5be6ff6a9bdp-9, 0x1.4cb6d1a941cb8p-9, 0x1.3e7bfb65d75bap-9, 0x1.30a8f071088b6p-9, 0x1.233b433b0f9aep-9, 0x1.1630997b97d7cp-9, 0x1.09864518985dbp-9, 0x1.fa74605fdac8p-10, 0x1.e2943b2527ad7p-10, 0x1.cb683bafb70bep-10, 0x1.b4ebf25b5b32cp-10, 0x1.9f1c26e39baa4p-10, 0x1.89f4aa021e5e9p-10, 0x1.7571d6ca397adp-10, 0x1.618f85f73b0f4p-10, 0x1.4e49cdb0381edp-10, 0x1.3b9d1c123d50dp-10, 0x1.29858ef29cda9p-10, 0x1.17ff2df915d9ep-10, 0x1.0706c16a690acp-10, 0x1.ed31c65cb4f97p-11, 0x1.cd64ce2558dap-11, 0x1.aea07693a7e3ep-11, 0x1.90de298e79612p-11, 0x1.7417fc424ed87p-11, 0x1.584b3ed5d3c5dp-11, 0x1.3d65aeb8e52acp-11, 0x1.236d688dba315p-11, 0x1.0a57e49d77f13p-11, 0x1.e43e1d16decf1p-12, 0x1.b57ae248dbb97p-12, 0x1.885a230897cecp-12, 0x1.5cd290759975fp-12, 0x1.32da8045445abp-12, 0x1.0a6932b602693p-12, 0x1.c6eca501fd6a3p-13, 0x1.7bef921f8fcc4p-13, 0x1.33c69df212dbfp-13, 0x1.dcc220fe17741p-14, 0x1.57589480ec428p-14, 0x1.ae55ebb006c4bp-15, 0x1.7035d2373cf56p-16, -0x1.a254bcdfb354ap-18, -0x1.172f62dc0a8e7p-15, -0x1.f0dc158e41175p-15, -0x1.60c82f616b5dfp-14, -0x1.c4bef8d0ea748p-14, -0x1.1236c6c608d1ep-13, -0x1.3ff73c92bc668p-13, -0x1.6bad0264e8f2ep-13, -0x1.9566781446d75p-13, -0x1.bd31094f59be4p-13, -0x1.e3163a2dc442p-13, -0x1.0391ba571f7ffp-12, -0x1.14b3d29fbf9f6p-12, -0x1.24f9e39d990d5p-12, -0x1.346bd5d7a8b57p-12, -0x1.4311b56f11418p-12, -0x1.50f09e818a8a3p-12, -0x1.5e116e8ce0a96p-12, -0x1.6a73d45964fa7p-12, -0x1.762022ea83352p-12, -0x1.811a2a2fa3b8bp-12, -0x1.8b66bab759aabp-12, -0x1.950a7d6f2774ep-12, -0x1.9e09f76f07dc6p-12, -0x1.a668c695d363ap-12, -0x1.ae2bec3c1c47ep-12, -0x1.b558095f7ab03p-12, -0x1.bbf4d26419f89p-12, -0x1.c207aaa39369ap-12, -0x1.c796733535bf9p-12, -0x1.cca630956e3f7p-12, -0x1.d13aafccc260cp-12, -0x1.d55738fe9d45ap-12, -0x1.d8fe612d440c4p-12, -0x1.dc336c411b2fbp-12, -0x1.def8e906645d2p-12, -0x1.e153d3c925bebp-12, -0x1.e3471c45da48p-12, -0x1.e4d5678d7e27bp-12, -0x1.e600ae4cb8416p-12, -0x1.e6ccb1db3577ap-12, -0x1.e73cd7398ddc8p-12, -0x1.e754104878c45p-12, -0x1.e717387ce16d6p-12, -0x1.e68bba5ea92a9p-12, -0x1.e5b55476bb8cep-12, -0x1.e49934db4c9aep-12, -0x1.e336c79337a01p-12, -0x1.e1915714dfef5p-12, -0x1.dfa94072e56bfp-12, -0x1.dd83fb6982545p-12, -0x1.db1fd4a8b8e68p-12, -0x1.d8817d4dfee94p-12, -0x1.d5aa6c990b734p-12, -0x1.d29c8e469ffe5p-12, -0x1.cf5d7b6ebef4p-12, -0x1.cbea031a5197p-12, -0x1.c845349804cb6p-12, -0x1.c4714acdb1fcap-12, -0x1.c06fd3cb91364p-12, -0x1.bc44a274624bbp-12, -0x1.b7f31adf9ab4cp-12, -0x1.b37cded6fa66p-12, -0x1.aed515f093445p-12, -0x1.aa25ec971884dp-12, -0x1.a54ae47b76c28p-12, -0x1.a05289adc3223p-12, -0x1.9b3dc47212df6p-12, -0x1.960dd899bb934p-12, -0x1.90c571ec5e48dp-12, -0x1.8b64cfffc2d48p-12, -0x1.85ed76ddc5e44p-12, -0x1.806046a208c5bp-12, -0x1.7abee687e42d9p-12, -0x1.750af090f230bp-12, -0x1.6f422e857289cp-12, -0x1.696930b3fe76cp-12, -0x1.63808d189f609p-12, -0x1.5d8a9790820f7p-12, -0x1.57871a7b113ccp-12, -0x1.5176c6787310ep-12, -0x1.4b5c58c419c5bp-12, -0x1.4538089e6f1dep-12, -0x1.3f0a5538d7b41p-12, -0x1.38d45b603ce5ep-12, -0x1.3297b06bc1a07p-12, -0x1.2c57318eb69bbp-12, -0x1.2611f50d8a3afp-12, -0x1.1fc8f4596f643p-12, -0x1.19802940fff92p-12, -0x1.132de8bf9dbc8p-12, -0x1.0cd635f749f5fp-12, -0x1.068a89372561cp-12, -0x1.0037a6d7ba18ap-12, -0x1.f3c8eef907e55p-13, -0x1.e724969d2f55ep-13, -0x1.da808391e8953p-13, -0x1.cde1f3d89ca96p-13, -0x1.c14ab7f3906e3p-13, -0x1.b4ba603a230acp-13, -0x1.a830dc901135ap-13, -0x1.9bb08f2361bfcp-13, -0x1.8f3984dcd6f6dp-13, -0x1.82cd2b2ff5edfp-13, -0x1.766c2d5683ff5p-13, -0x1.6a177b77ef4a2p-13, -0x1.5dd0b27683f9ep-13, -0x1.5199128d99454p-13, -0x1.457020ce96032p-13, -0x1.39597b8cfb6e6p-13, -0x1.2d52cafff8227p-13, -0x1.215db5d4c7d9ap-13, -0x1.157a9925a31ecp-13, -0x1.09a8e2a8a607dp-13, -0x1.fbd483726acadp-14, -0x1.e4805c52daec2p-14, -0x1.cd5495f68e4dep-14, -0x1.b6535fc7f65c6p-14, -0x1.9f7ed4490de16p-14, -0x1.88d3679a4f88p-14, -0x1.7259e5cb550abp-14, -0x1.5c0e02c4e45cp-14, -0x1.45f130b133fc9p-14, -0x1.3001f23f63e4dp-14, -0x1.1a436db811e2fp-14, -0x1.04b4cf7ba5ffap-14, -0x1.deaf91424e65fp-15, -0x1.b45541112b0b6p-15, -0x1.8a68265766c73p-15, -0x1.60dffbb43aa92p-15, -0x1.37c229690195p-15, -0x1.0f0d3a8e5fbc4p-15, -0x1.cd840213fdc2fp-16, -0x1.7dbb94475104ep-16, -0x1.2ec896042c534p-16, -0x1.c15fa2ce9ea7dp-17, -0x1.26e9f1aa28e1dp-17, -0x1.1c32259be929bp-18, 0x1.1d847ab505583p-22, 0x1.3c70c355b66fep-18, 0x1.31d5166b52463p-17, 0x1.c3af2a60b5afep-17, 0x1.29eef650cd0cbp-16, 0x1.7119283d16c37p-16, 0x1.b76a5b7c7b5ap-16, 0x1.fcdbdc158324ep-16, 0x1.20ab73f98e67ep-15, 0x1.428cdf52bbd46p-15, 0x1.63f9d53f17b66p-15, 0x1.84f4ef534c97bp-15, 0x1.a5814c2cb67bbp-15, 0x1.c599fec24f805p-15, 0x1.e54223792f4ddp-15, 0x1.023c7a73fd979p-14, 0x1.119fcc9d8d07bp-14, 0x1.20d0e4faa94dfp-14, 0x1.2fc7cbf0b8bd6p-14, 0x1.3e860ed57f596p-14, 0x1.4d0e1baeaaee4p-14, 0x1.5b5dc3557796ep-14, 0x1.697852a169f74p-14, 0x1.775a8d2c7b90cp-14, 0x1.85076505d5385p-14, 0x1.927df3951f7acp-14, 0x1.9fbe026b89309p-14, 0x1.acc893401f24cp-14, 0x1.b99de5884cfaep-14, 0x1.c63d5c6f953bp-14, 0x1.d2a6f3b1ab64fp-14, 0x1.deddc3d70beccp-14, 0x1.eadf7ea0806b3p-14, 0x1.f6adda40f594dp-14, 0x1.0123d0328d744p-13, 0x1.06e340860917ap-13, 0x1.0c705de798009p-13, 0x1.11f0084cb0ba1p-13, 0x1.1756cfd3adb9dp-13, 0x1.1ca5064d3316fp-13, 0x1.21d9c49d64ff7p-13, 0x1.26f5d3acf7f5bp-13, 0x1.2bf8e37c7411p-13, 0x1.30e401e3b566fp-13, 0x1.35b76b66fbb73p-13, 0x1.3a724ee3e2d77p-13, 0x1.3f148d90f2032p-13, 0x1.43a0f64ea28e2p-13, 0x1.481499e99ce12p-13, 0x1.4c71734f30446p-13, 0x1.50b6e9b4d0971p-13, 0x1.54e6cd59d19c1p-13, 0x1.58fed4e8d27e8p-13, 0x1.5d007848dc11cp-13, 0x1.60eb9c7dd0546p-13, 0x1.64c08c7823b47p-13, 0x1.687fd2db06edfp-13, 0x1.6c2967e950a0bp-13, 0x1.6fbe734bdc2f4p-13, 0x1.733db1d2c6e2fp-13, 0x1.76a7a59c9ce02p-13, 0x1.79fcdfa6e9dcdp-13, 0x1.7d3d8833be9fep-13, 0x1.8069bf53587dep-13, 0x1.8381c28e220bfp-13, 0x1.8685accbbe343p-13, 0x1.8975bc037aa2ap-13, 0x1.8c525d132e6e9p-13, 0x1.8f1b5441e3a4p-13, 0x1.91d18f25d2e88p-13, 0x1.9474b5aaeb28dp-13, 0x1.9704e1e09e929p-13, 0x1.9982de876a4aap-13, 0x1.9bee8a1cf38e1p-13, 0x1.9e46dc5a244f2p-13, 0x1.a08e72a922e0ep-13, 0x1.a2c42bb0a0be9p-13, 0x1.a4e8e2a3576dap-13, 0x1.a6fb48d2770c8p-13, 0x1.a8fcdb578fc73p-13, 0x1.aaed318faae5dp-13, 0x1.accd16560c07cp-13, 0x1.ae9cc4761236bp-13, 0x1.b05c11f40fb5ep-13, 0x1.b20bca183e89cp-13, 0x1.b3aa677c358c9p-13, 0x1.b53987a3f098ep-13, 0x1.b6b90e9867bcap-13, 0x1.b829d9ec9ac05p-13, 0x1.b98becbd9e55dp-13, 0x1.bade20a9e0f8ep-13, 0x1.bc2224e34214dp-13, 0x1.bd5753bbfcf6cp-13, 0x1.be6c24c82afe8p-13, 0x1.bf97cfafcf8fcp-13, 0x1.c0a1ddfa641a8p-13, 0x1.c19fc6e4cf459p-13, 0x1.c28eea7cc8393p-13, 0x1.c370fe2ca59ecp-13, 0x1.c445cad158686p-13, 0x1.c50dd975056c5p-13, 0x1.c5ca5a8fdb534p-13, 0x1.c6779c48850dap-13, 0x1.c7198f66c44dfp-13, 0x1.c7aece20e9b9bp-13, 0x1.c838516b3819cp-13, 0x1.c8b65957ebf9dp-13, 0x1.c927f23f9fcd3p-13, 0x1.c98d5c6f1a4d3p-13, 0x1.c9e8451d7bceap-13, 0x1.ca384b9ec79bp-13, 0x1.ca7cf2f0074e9p-13, 0x1.cab5f0233146ap-13, 0x1.cae4628ed4b4ep-13, 0x1.cb08d11287771p-13, 0x1.cb2316a7c4cdap-13, 0x1.cb32a03f1cfc7p-13, 0x1.cb36e56e98738p-13, 0x1.cb32f92014632p-13, 0x1.cb24ff5c01d76p-13, 0x1.cb0ce8908a8cfp-13, 0x1.caeb5beefc1bfp-13, 0x1.cac127bc03f3fp-13, 0x1.ca8d7c8c69c72p-13, 0x1.ca50723da1923p-13, 0x1.ca0b12c59dbf2p-13, 0x1.c9bc4e504b885p-13, 0x1.c96557eefe2f8p-13, 0x1.c905eb3691249p-13, 0x1.c8a147f9496e8p-13, 0x1.c82ef0df0146ep-13, 0x1.c7b739f2e175fp-13, 0x1.c737a0af34b82p-13, 0x1.c6b03a90b57cp-13, 0x1.c621f0322385bp-13, 0x1.c58bd27292862p-13, 0x1.c4ee396bdf0dp-13, 0x1.c44949808d7e8p-13, 0x1.c3a033e0e798dp-13, 0x1.c2eaed7074fb9p-13, 0x1.c2326d1ba486cp-13, 0x1.c172341b93bd8p-13, 0x1.c0ab97fd12d19p-13, 0x1.bfdec2ea8d904p-13, 0x1.bf0bb71736369p-13, 0x1.be32aa3c7586p-13, 0x1.bd535d3db736bp-13, 0x1.bc6e692544dabp-13, 0x1.bb8d91263b672p-13, 0x1.ba92ced32777dp-13, 0x1.b99cdc2f1d3dap-13, 0x1.b8a1696d7df2ap-13, 0x1.b7a09f8d6a8cfp-13, 0x1.b69a0c2161a7cp-13, 0x1.b5926fc0dbap-13, 0x1.b47f23e8356e7p-13, 0x1.b36a778791557p-13, 0x1.b25132f2be3f3p-13, 0x1.b1324fa987b15p-13, 0x1.b00f4d7961b6bp-13, 0x1.aee85553fab88p-13, 0x1.adbc1efb35618p-13, 0x1.ac8bf42e11ae2p-13, 0x1.ab57ecf2ac533p-13, 0x1.aa100ec32c817p-13, 0x1.a8e39c4ddfbd7p-13, 0x1.a7a351a2fb076p-13, 0x1.a65f9a6cacd27p-13, 0x1.a5183a19f7dd4p-13, 0x1.a3cd5a0634fcbp-13, 0x1.a27ea69706be1p-13, 0x1.a12cb1035293bp-13, 0x1.9fd75c364229fp-13, 0x1.9e7f35d017482p-13, 0x1.9d23265a5427cp-13, 0x1.9bc4937061de6p-13, 0x1.9a62da8e81444p-13, 0x1.98fe70c641796p-13, 0x1.9796ef07cf5c8p-13, 0x1.962db2d4d5fe8p-13, 0x1.94bfe31db1adfp-13, 0x1.9350c04132b3ep-13, 0x1.91decd531f919p-13, 0x1.906af670b1af5p-13, 0x1.8ef3f73ad91a6p-13, 0x1.8d7b3b23a1a22p-13, 0x1.8c00323d3cddcp-13, 0x1.8a8341566325bp-13, 0x1.8903fa33250dp-13, 0x1.8781ecdf6eb0fp-13, 0x1.85ffc1e9cfa3dp-13, 0x1.8474c4a7128b6p-13, 0x1.82f4114d3ad1fp-13, 0x1.816b62461462dp-13, 0x1.7fe1ae1d5636ep-13, 0x1.7e55ccfa04df6p-13, 0x1.7cc8d41c8eb65p-13, 0x1.7b39dcd9355a7p-13, 0x1.79a60397e6925p-13, 0x1.78186939e37d9p-13, 0x1.768624c09adap-13, 0x1.74f26ac4c4e91p-13, 0x1.735d4cc158366p-13, 0x1.71c6b68bedc07p-13, 0x1.702fd170f0297p-13, 0x1.6e977b6655c3p-13, 0x1.6cfe6e8b9023ap-13, 0x1.6b641051f2dabp-13, 0x1.69c98e419c951p-13, 0x1.682e16924d38ap-13, 0x1.6691c909919e6p-13, 0x1.64f4d6e61a982p-13, 0x1.63533c629699ep-13, 0x1.61b8ab8a08054p-13, 0x1.601a060812052p-13, 0x1.5e7affc44a571p-13, 0x1.5cdb3c71067e5p-13, 0x1.5b3b0469de7ccp-13, 0x1.599aa56cef7eep-13, 0x1.57fa277c190dap-13, 0x1.5658aefb03d3fp-13, 0x1.54b7cf957ce81p-13, 0x1.5316780c52b75p-13, 0x1.5174ab3c13a63p-13, 0x1.4fd2efd2453a6p-13, 0x1.4e31456745a5ep-13, 0x1.4c90040c4d4d6p-13, 0x1.4aee1ca10965dp-13, 0x1.494c6c4e0e8b2p-13, 0x1.47ab046b065c9p-13, 0x1.4609915b735e8p-13, 0x1.44685eef1c7ddp-13, 0x1.42c6eeb95fa28p-13, 0x1.41260b083d6acp-13, 0x1.3f860f3305b7bp-13, 0x1.3de58e5b1f556p-13, 0x1.3c455a275d87p-13, 0x1.3aa62066d8f81p-13, 0x1.3906ca0c56b87p-13, 0x1.376807f89868ep-13, 0x1.35d106255107cp-13, 0x1.342c1bbc5b485p-13, 0x1.328eab9000ac7p-13, 0x1.30f1f0a7efe24p-13, 0x1.2f55bbb035ceap-13, 0x1.2dba40df3d039p-13, 0x1.2c1f4e9a36efcp-13, 0x1.2a850a803cf18p-13, 0x1.28eb37e992ap-13, 0x1.2752dbac08037p-13, 0x1.25ba0b3c9bbe9p-13, 0x1.2422d404eb339p-13, 0x1.228c6768a79e5p-13, 0x1.20f622ae2c9c8p-13, 0x1.1f612da2b2819p-13, 0x1.1dccba2c566c2p-13, 0x1.1c397cad511f7p-13, 0x1.1aa707745c8dep-13, 0x1.1915036cb2fa6p-13, 0x1.1784acbdd038p-13, 0x1.15f4ee8ea0928p-13, 0x1.1465fddda5a6cp-13, 0x1.12d8cea4a75cep-13, 0x1.114c0a0423827p-13, 0x1.0fc02393adc6ap-13, 0x1.0e359e3a2130ap-13, 0x1.0cabdc49603bep-13, 0x1.0b22cefd5d0d2p-13, 0x1.099b7f40cbep-13, 0x1.0814f20e4ec1ep-13, 0x1.069011a43e9ebp-13, 0x1.050c08fdccd35p-13, 0x1.038826b8c80fep-13, 0x1.0206b707b5126p-13, 0x1.0086859b6e912p-13, 0x1.fe0df89ec94aap-14, 0x1.fb110a77aa689p-14, 0x1.f816b40f75816p-14, 0x1.f51f633ee71c5p-14, 0x1.f229703240bc2p-14, 0x1.ef363ab41185ap-14, 0x1.ec47ec4ae1c0ep-14, 0x1.e959118b9bc39p-14, 0x1.e66e6733d3e39p-14, 0x1.e3865ac7bd0b9p-14, 0x1.e0a01fb3fca94p-14, 0x1.ddbd5dd3cfc26p-14, 0x1.dadd5ce183164p-14, 0x1.d7fed219b22dap-14, 0x1.d52431a76e026p-14, 0x1.d24ba298fd43fp-14, 0x1.cf754d3818b08p-14, 0x1.cca288be6184dp-14, 0x1.c9d2747b0b873p-14, 0x1.c705f1e8ad081p-14, 0x1.c43a8ee73911ep-14, 0x1.c172b3803d2f2p-14, 0x1.beadac1e95c67p-14, 0x1.bbeb864c50d99p-14, 0x1.b92c273f9a64ap-14, 0x1.b66ff80974f09p-14, 0x1.b3b5c49cc04f8p-14, 0x1.b0ff04f27d4edp-14, 0x1.ae4b031521a4cp-14, 0x1.ab9a9625d8857p-14, 0x1.a8ecc01d08b12p-14, 0x1.a640d0415d185p-14, 0x1.a398b68ace7f6p-14, 0x1.a0f3d84d779efp-14, 0x1.9e5209902d9e4p-14, 0x1.9bb22b41ebaa1p-14, 0x1.99153619b04eep-14, 0x1.967c52f07700cp-14, 0x1.93e4c02be864p-14, 0x1.915167a526c1bp-14, 0x1.8ec24e3377798p-14, 0x1.8c35007971ba9p-14, 0x1.89a81e306fc8ep-14, 0x1.8721b71a34a73p-14, 0x1.849d1910c640dp-14, 0x1.821bbc3f2cb95p-14, 0x1.7f9cb6c5bafe9p-14, 0x1.7d219fa9c9e5fp-14, 0x1.7aa9212094a4cp-14, 0x1.783361054c2ccp-14, 0x1.75c0ef56d18ep-14, 0x1.73513f25ec594p-14, 0x1.70e520addecfp-14, 0x1.6e7b320bfd4b6p-14, 0x1.6c156a37c91bcp-14, 0x1.69b1d2e96796ep-14, 0x1.6751a914bc9b1p-14, 0x1.64f3b90df678p-14, 0x1.629999fab05a5p-14, 0x1.60425fe827d1cp-14, 0x1.5dee24b60d371p-14, 0x1.5b9c736d99e03p-14, 0x1.594e6bf2d8343p-14, 0x1.5703885c99e96p-14, 0x1.54bb4ff247c0ap-14, 0x1.527571084640cp-14, 0x1.503399ae5dbc8p-14, 0x1.4df4979943c93p-14, 0x1.4bb7ae80a54e7p-14, 0x1.497f646d86504p-14, 0x1.4748f9523e094p-14, 0x1.45159b37b03cdp-14, 0x1.42e51eaedf531p-14, 0x1.40c937dd7cd26p-14, 0x1.3e8de08e87416p-14, 0x1.3c676509b630fp-14, 0x1.3a41d12bc579p-14, 0x1.382a0fd628991p-14, 0x1.36018a03495fbp-14, 0x1.33e7bec88e218p-14, 0x1.31cea02f7fc84p-14, 0x1.2fb89396f7992p-14, 0x1.2da650099e025p-14, 0x1.2b96a4017954fp-14, 0x1.298a027c5916ap-14, 0x1.277ff0ec75689p-14, 0x1.2579230daa226p-14, 0x1.2375205ab2a4p-14, 0x1.2173e6159b89ap-14, 0x1.1f765b6c8361ep-14, 0x1.1d7a9d177880ap-14, 0x1.1b82459dc8c98p-14, 0x1.198c25d43b68p-14, 0x1.179b112769d87p-14, 0x1.15a9b3fe09cafp-14, 0x1.13bcb448a0f91p-14, 0x1.11d289fba6823p-14, 0x1.0feb6c9537b9dp-14, 0x1.0e068df7b193cp-14, 0x1.0c252caf98486p-14, 0x1.0a45d0a7645d1p-14, 0x1.0869d120dbaecp-14, 0x1.06908ca0887b4p-14, 0x1.04ba1d93f3454p-14, 0x1.02e65cbcad328p-14, 0x1.0115a158d17a5p-14, 0x1.fe8dd4e082da5p-15, 0x1.faf6a28222284p-15, 0x1.f764dd08bec29p-15, 0x1.f3d932749a5ebp-15, 0x1.f05281220c181p-15, 0x1.ecd0c90fa699cp-15, 0x1.e95702d902b9cp-15, 0x1.e5e0ed3564cddp-15, 0x1.e26ce688b104ep-15, 0x1.df013d2ac77cfp-15, 0x1.db9c2bea19be8p-15, 0x1.d847477d47ecep-15, 0x1.d4dfb57a533f4p-15, 0x1.d1857f14ff841p-15, 0x1.ce38255fbed1cp-15, 0x1.caea01edad2c1p-15, 0x1.c7a352892e6e7p-15, 0x1.c4623c231d6b5p-15, 0x1.c12572a1189bcp-15, 0x1.bdee809d44b84p-15, 0x1.babcee1291bd7p-15, 0x1.b78e8290be106p-15, 0x1.b466568a3e8e9p-15, 0x1.b14306979c39ep-15, 0x1.ae247d43cae93p-15, 0x1.ab0bfc1457785p-15, 0x1.a7f7f5ae41cc9p-15, 0x1.a4e8a01cc5136p-15, 0x1.a1caec680251cp-15, 0x1.9ed88907f3428p-15, 0x1.9bd94000fb872p-15, 0x1.98dd741ce9f3ap-15, 0x1.95e882d2a1ap-15, 0x1.92f5658da1c9dp-15, 0x1.900893aa86e4fp-15, 0x1.8d2079f41b297p-15, 0x1.8a3de38ab32a5p-15, 0x1.875f842b9b7cep-15, 0x1.8483b8df00af5p-15, 0x1.81ae9cec8df2dp-15, 0x1.7edf492fa8fd4p-15, 0x1.7c1332fa63574p-15, 0x1.794c157c2dbe2p-15, 0x1.768986382a3fcp-15, 0x1.73cb6974fc8d7p-15, 0x1.71124f8294806p-15, 0x1.6e5cce156de94p-15, 0x1.6bad619d3ef9dp-15, 0x1.690194bd9f5c8p-15, 0x1.665a2493a81ebp-15, 0x1.63b8393a2ac66p-15, 0x1.6117da746b3e4p-15, 0x1.5e7e2eb937d08p-15, 0x1.5bea13e17ec9bp-15, 0x1.5958abadabdfap-15, 0x1.56cb56cf03dc8p-15, 0x1.54436152fcd5ap-15, 0x1.51bda74712021p-15, 0x1.4f3f13ce74c6bp-15, 0x1.4cc3635e92705p-15, 0x1.4a4c88b005dcbp-15, 0x1.47d96d913a405p-15, 0x1.456a1902ad233p-15, 0x1.42fe8326bbdc3p-15, 0x1.40984c3dc366dp-15, 0x1.3e36c83e3159ap-15, 0x1.3bdcac0754561p-15, 0x1.397d3a7e3e119p-15, 0x1.3728a3f272287p-15, 0x1.34d4e4a19652ep-15, 0x1.3286ee610bc9fp-15, 0x1.303c7bb45f7e5p-15, 0x1.2df6e8ad5038ap-15, 0x1.2bb5583e80407p-15, 0x1.29776442e240dp-15, 0x1.273b6bf2a7d9ap-15, 0x1.25059b1e5b4dcp-15, 0x1.22d36b8c5258p-15, 0x1.20a51289157cfp-15, 0x1.1e7a137b4c566p-15, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.10c1802eb6bc3p-3, -0x1.148b020c567b8p-3, -0x1.19c99e43d5ddbp-3, -0x1.206f578823676p-3, -0x1.286b112a72dc1p-3, -0x1.31a90c7877df4p-3, -0x1.3c13665d95876p-3, -0x1.4792903c2bbf8p-3, -0x1.540dc0b568b8dp-3, -0x1.616b5a726605ep-3, -0x1.6f914804f057fp-3, -0x1.7e654cafbeca1p-3, -0x1.8dcd4a63e3342p-3, -0x1.9daf7d9113988p-3, -0x1.adf2af9414202p-3, -0x1.be7e60a34e51fp-3, -0x1.cf3aea1d8c167p-3, -0x1.e0119a1763c44p-3, -0x1.f0ecc8f6118b6p-3, -0x1.00dbf4ea77349p-2, -0x1.092fcb300ea04p-2, -0x1.1168cb5e428dbp-2, -0x1.197e7301dd99fp-2, -0x1.2168d9e560f0ap-2, -0x1.2920b18e270efp-2, -0x1.309f43a18ea37p-2, -0x1.37de6f5b05055p-2, -0x1.3ed8a63749352p-2, -0x1.4588e7f53eb9fp-2, -0x1.4beabe0943f0ep-2, -0x1.51fa369d08bcap-2, -0x1.57b3df3348a39p-2, -0x1.5d14bf0479b05p-2, -0x1.621a51276b7b1p-2, -0x1.66c27e96e993ap-2, -0x1.6b0b9823b68e7p-2, -0x1.6ef450608c8bep-2, -0x1.727bb5944c9b3p-2, -0x1.75a12bbd1398p-2, -0x1.786466ad8c2aep-2, -0x1.7ac5644c93a4cp-2, -0x1.7cc466fe07419p-2, -0x1.7e61f03a7fffap-2, -0x1.7f9ebb5a9d719p-2, -0x1.807bb899a0834p-2, -0x1.80fa085217344p-2, -0x1.811af6769cbaap-2, -0x1.80dff647e10a1p-2, -0x1.804a9e488aa46p-2, -0x1.7f5ca46eecfcp-2, -0x1.7e17da93f6d64p-2, -0x1.7c7e2b1e61f1ep-2, -0x1.7a9195e8afdfdp-2, -0x1.78542d603849ap-2, -0x1.75c813db4c3dp-2, -0x1.72ef792425fa9p-2, -0x1.6fcc98364d64ep-2, -0x1.6c61b52bdf1bap-2, -0x1.68b11b58228f5p-2, -0x1.64bd1b8cc2b5fp-2, -0x1.60880a86fecebp-2, -0x1.5c143f822e56ep-2, -0x1.576412ecf669fp-2, -0x1.5279dd3e9e989p-2, -0x1.4d57f5ea0da87p-2, -0x1.4800b26c06f31p-2, -0x1.4276657259bbp-2, -0x1.3cbb5e19d309ap-2, -0x1.36d1e740e6b6dp-2, -0x1.30bc46ed101c8p-2, -0x1.2a7cbdc11fbf1p-2, -0x1.24158682c0bfbp-2, -0x1.1d88d5ad9b519p-2, -0x1.16d8d912a5d78p-2, -0x1.1007b7824854dp-2, -0x1.091790801b427p-2, -0x1.020a7bff23769p-2, -0x1.f5c5144b1027fp-3, -0x1.e743862dbb9d2p-3, -0x1.d8944d8862aa1p-3, -0x1.c9bb598242c9ep-3, -0x1.babc883ab4bdcp-3, -0x1.ab9ba683da6f6p-3, -0x1.9c5c6fa3ff2e2p-3, -0x1.8d028d1cd80eep-3, -0x1.7d919677e2e95p-3, -0x1.6e0d111759da9p-3, -0x1.5e78700b1cf85p-3, -0x1.4ed713e943eb3p-3, -0x1.3f2c4aa9ec20fp-3, -0x1.2f7b4f86027ebp-3, -0x1.1fc74ad8d913ap-3, -0x1.101352045e94p-3, -0x1.00626757da947p-3, -0x1.e16ef3f240e72p-4, -0x1.c22acba0620ebp-4, -0x1.a2fde6ea961a9p-4, -0x1.83edb042d2a0ap-4, -0x1.64ff6b428f57ap-4, -0x1.46383495cda8bp-4, -0x1.279d01eb65c02p-4, -0x1.0932a1eaa48c5p-4, -0x1.d5fb785cd077cp-5, -0x1.9a05a28bc3284p-5, -0x1.5e8c75763557ep-5, -0x1.2398563ed8c4ap-5, -0x1.d262b877ecc79p-6, -0x1.5ebea25189bc3p-6, -0x1.d8a6c58ceb608p-7, -0x1.ecbd61b4b22a5p-8, -0x1.6c090cab9f91bp-11, 0x1.8c32837e6bf7dp-8, 0x1.a0159d78b55aap-7, 0x1.3b8e435b40ab6p-6, 0x1.a58b96a04d8d5p-6, 0x1.06fbfa7cb5b9ep-5, 0x1.3a648f0a99896p-5, 0x1.6cfab1c04e3f8p-5, 0x1.9eb9d395f25bdp-5, 0x1.cf9daceb9ee82p-5, 0x1.ffa23cb3d9a41p-5, 0x1.1761e3c93b369p-4, 0x1.2e7f6b781f385p-4, 0x1.45281c01d7eadp-4, 0x1.5b5a7d67a22e1p-4, 0x1.7115388acd07p-4, 0x1.865716a1ff0cp-4, 0x1.9b1f00a9dc36ep-4, 0x1.af6bfed150316p-4, 0x1.c33d37e1bb63dp-4, 0x1.d691f0a332cb2p-4, 0x1.e9698b3d2b428p-4, 0x1.fbc38693c0f92p-4, 0x1.06cfbed0f1df4p-3, 0x1.0f7e936851f9bp-3, 0x1.17ee29a5f5e32p-3, 0x1.201e772a758c6p-3, 0x1.280f7e4933a8cp-3, 0x1.2fc14dafa4682p-3, 0x1.3734000bcac3ap-3, 0x1.3e67bbb2114dp-3, 0x1.455cb2429e2c5p-3, 0x1.4c13204e42d6bp-3, 0x1.528b4cfb27299p-3, 0x1.58c589a945057p-3, 0x1.5ec23196e4ca9p-3, 0x1.6481a98522a1p-3, 0x1.6a045f5cab2b3p-3, 0x1.6f4ac9d2bb122p-3, 0x1.7455680e873dfp-3, 0x1.7924c14f2033bp-3, 0x1.7db96491ed9f7p-3, 0x1.8213e839d482ep-3, 0x1.8634e9b7234e1p-3, 0x1.8a1d0d3058fd1p-3, 0x1.8dccfd2bd0084p-3, 0x1.91456a3a775e1p-3, 0x1.94870aa3933f1p-3, 0x1.97929a11a769p-3, 0x1.9a68d94096e0bp-3, 0x1.9d0a8dacff844p-3, 0x1.9f788144f2d1p-3, 0x1.a1b38219ff8ep-3, 0x1.a3bc6214b30dfp-3, 0x1.a593f6a985b8bp-3, 0x1.a73b188f53678p-3, 0x1.a8b2a3774d1bep-3, 0x1.a9fb75c68f29dp-3, 0x1.ab1670513fb15p-3, 0x1.ac04761757b2fp-3, 0x1.acc66c030d14dp-3, 0x1.ad5d38a8e9059p-3, 0x1.adc9c4098c808p-3, 0x1.ae0cf75525967p-3, 0x1.ae27bcb098ffap-3, 0x1.ae1afefc637bdp-3, 0x1.ade7a99d35a39p-3, 0x1.ad8ea8463ebc5p-3, 0x1.ad10e6c53c8b6p-3, 0x1.ac6f50d035c6p-3, 0x1.abaad1d4f4396p-3, 0x1.aac454ca2c33p-3, 0x1.a9bcc4025c97cp-3, 0x1.a89509005997ep-3, 0x1.a74e0c4d83c0ap-3, 0x1.a5e8b551a7e91p-3, 0x1.a465ea2c85542p-3, 0x1.a2c68f90ee9acp-3, 0x1.a10b88a1847acp-3, 0x1.9f35b6cf10b51p-3, 0x1.9d45f9b8614e9p-3, 0x1.9b3d2f0bb78f2p-3, 0x1.991c3269b926ap-3, 0x1.96e3dd49dc6e2p-3, 0x1.949506e0499e1p-3, 0x1.92308405347cap-3, 0x1.8fb7271d8fbc9p-3, 0x1.8d29c005346edp-3, 0x1.8a891bfa526d8p-3, 0x1.87d6058a3fbdcp-3, 0x1.8511447f8c84dp-3, 0x1.823b9dd15b90cp-3, 0x1.7f55d393f94c5p-3, 0x1.7c60a4eaa3ec1p-3, 0x1.795ccdfa7eaccp-3, 0x1.764b07deaadc2p-3, 0x1.732c089d7fa1dp-3, 0x1.7000831ecef1ep-3, 0x1.6cc927233a4b7p-3, 0x1.6986a13c903b3p-3, 0x1.66399ac71bc19p-3, 0x1.62e2b9e3ef4afp-3, 0x1.5f82a1741d265p-3, 0x1.5c19f114cda55p-3, 0x1.58a9451c382c9p-3, 0x1.553136976e7e2p-3, 0x1.51b25b48f5d82p-3, 0x1.4e2d45a826de2p-3, 0x1.4aa284e149be8p-3, 0x1.4712a4d66bf19p-3, 0x1.437e2e20e502fp-3, 0x1.3fe5a613819a3p-3, 0x1.3c498ebd52fffp-3, 0x1.38aa66ed1a54p-3, 0x1.3508aa3540807p-3, 0x1.3164d0f06495fp-3, 0x1.2dbf504668d29p-3, 0x1.2a189a32071ddp-3, 0x1.26711d86d6fd9p-3, 0x1.22c945f7cc0bep-3, 0x1.1f217c1e217f7p-3, 0x1.1b7a2580ae60dp-3, 0x1.17d3a49b961adp-3, 0x1.142e58e85aaecp-3, 0x1.108a9ee64277ep-3, 0x1.0ce8d0231260ap-3, 0x1.094943440cb42p-3, 0x1.05ac4c0f41bcbp-3, 0x1.02123b7517cd6p-3, 0x1.fcf6bf3427029p-4, 0x1.f5d007c1beap-4, 0x1.eeb0e1e8f56dcp-4, 0x1.e799d9a5435c9p-4, 0x1.e08b75acb766ep-4, 0x1.d98637856bd8fp-4, 0x1.d28a9b9b2bdaap-4, 0x1.cb99195570ef4p-4, 0x1.c4b2232d87297p-4, 0x1.bdd626c4e2a0ep-4, 0x1.b7058cfb9f212p-4, 0x1.b040ba07268bcp-4, 0x1.a9880d88e7101p-4, 0x1.a2dbe2a52588cp-4, 0x1.9c3c9019e4f55p-4, 0x1.95aa6855c284cp-4, 0x1.8f25b98ef1777p-4, 0x1.88aecdda1c168p-4, 0x1.8245eb414dd0fp-4, 0x1.7beb53dac94b4p-4, 0x1.759f45dfd3b31p-4, 0x1.6f61fbc367451p-4, 0x1.6933ac48d002dp-4, 0x1.63148a9a28bd3p-4, 0x1.5d04c65ebb45fp-4, 0x1.57048bd136eefp-4, 0x1.511403d5c4bbfp-4, 0x1.4b33540fec14p-4, 0x1.45629ef84ba5cp-4, 0x1.3fa203f222442p-4, 0x1.39f19f609f782p-4, 0x1.34518abc02cfep-4, 0x1.2ec1dca6803f4p-4, 0x1.2942a900e855ep-4, 0x1.23d400ff14d2p-4, 0x1.1e75f33c15b11p-4, 0x1.19288bce1d83dp-4, 0x1.13ebd45a2abacp-4, 0x1.0ebfd4276ba3p-4, 0x1.09a490325f2f5p-4, 0x1.049a0b3fad192p-4, 0x1.ff408bdd6ccfep-5, 0x1.f56e7d97b8df7p-5, 0x1.ebbde4c4fdf5p-5, 0x1.e22eb69d5a6dep-5, 0x1.d8c0e49d1a3c1p-5, 0x1.cf745ca6e9d39p-5, 0x1.c64909257281p-5, 0x1.bd3ed12c59d42p-5, 0x1.b4559898a2b5cp-5, 0x1.ab8d403079a98p-5, 0x1.a2e5a5c26152bp-5, 0x1.9a5ea443bdd45p-5, 0x1.91f813eecc6acp-5, 0x1.89b1ca5ff4997p-5, 0x1.818b9ab285ec6p-5, 0x1.7985559cd70b3p-5, 0x1.719ec98bc23efp-5, 0x1.69d7c2bd91023p-5, 0x1.62300b5c46c61p-5, 0x1.5aa76b97557b1p-5, 0x1.533da9bcb857fp-5, 0x1.4bf28a517485p-5, 0x1.44c5d02987c3fp-5, 0x1.3db73c7f3d55ep-5, 0x1.36c68f09f083ap-5, 0x1.2ff38614415adp-5, 0x1.293dde91ad331p-5, 0x1.22a55433a0cbep-5, 0x1.1c29a17df649ep-5, 0x1.15ca7fdae839dp-5, 0x1.0f87a7ae7dd2p-5, 0x1.0960d06964d5dp-5, 0x1.0355b09b4b66dp-5, 0x1.facbfc095e6b3p-6, 0x1.ef22db5053a05p-6, 0x1.e3af67b676366p-6, 0x1.d87108ad2e7c3p-6, 0x1.cd67248bdc4f7p-6, 0x1.c29120ae784cfp-6, 0x1.b7ee619337ad2p-6, 0x1.ad7e4af749518p-6, 0x1.a3403ff2a3913p-6, 0x1.9933a312e15bdp-6, 0x1.8f57d6753ee31p-6, 0x1.85ac3bdfb89a3p-6, 0x1.7c3034d942b2dp-6, 0x1.72e322c1380c7p-6, 0x1.69c466e5eac61p-6, 0x1.60d3629a65ee4p-6, 0x1.580f774b5f9bfp-6, 0x1.4f78069366b3bp-6, 0x1.470c724e4f28ep-6, 0x1.3ecc1cabd6669p-6, 0x1.36b6684199e7ep-6, 0x1.2ecab81c4760ep-6, 0x1.27086fd01975ep-6, 0x1.1f6ef388b61ebp-6, 0x1.17fda8184801cp-6, 0x1.10b3f3060b11fp-6, 0x1.09913a9c1be24p-6, 0x1.0294e5f4c0916p-6, 0x1.f77cba0dfc8a2p-7, 0x1.ea1a116541007p-7, 0x1.dd00a597606ecp-7, 0x1.d02f4c4aacd5ap-7, 0x1.c3a4dd385e671p-7, 0x1.b760324041ed4p-7, 0x1.ab60277b2217p-7, 0x1.9fa39b4c715dp-7, 0x1.94296e72c6b97p-7, 0x1.88f084177d6a6p-7, 0x1.7df7c1dd5a31p-7, 0x1.733e0fee4dfa4p-7, 0x1.68c259085a2a5p-7, 0x1.5e838a8985a6cp-7, 0x1.5480947b1aebap-7, 0x1.4ab8699bfc806p-7, 0x1.4129ff6a4b0d6p-7, 0x1.37d44e2c3735cp-7, 0x1.2eb650f82481fp-7, 0x1.25cf05bc06d5p-7, 0x1.1d1d6d441940bp-7, 0x1.14a08b40f203cp-7, 0x1.0c57664cdede9p-7, 0x1.044107f0bd411p-7, 0x1.f8b8f95046812p-8, 0x1.e951a7c9e9d72p-8, 0x1.da4a4024de8ap-8, 0x1.cba0ed2f76666p-8, 0x1.bd53dfb3a8e6ap-8, 0x1.af614e7a1cea6p-8, 0x1.a1c7764c2706bp-8, 0x1.948499f4f42b4p-8, 0x1.879702419acdcp-8, 0x1.7afcfe007880dp-8, 0x1.6eb4e1ffb5662p-8, 0x1.62bd090ae3e9ep-8, 0x1.5713d3e82925dp-8, 0x1.4bb7a9543a9f8p-8, 0x1.40a6f5fe0674bp-8, 0x1.35e02c8185e4p-8, 0x1.2b61c561fd2fep-8, 0x1.212a3f038eadfp-8, 0x1.17381da44702cp-8, 0x1.0d89eb54930f1p-8, 0x1.041e37ef37c2ep-8, 0x1.f5e73221a410bp-9, 0x1.e411541d6499cp-9, 0x1.d2b817daef29dp-9, 0x1.c1d8caae3ba66p-9, 0x1.b170c52155b7dp-9, 0x1.a17d6adef2c78p-9, 0x1.91fc2a9c585a8p-9, 0x1.82ea7e028c066p-9, 0x1.7445e996d7233p-9, 0x1.660bfca2b8afp-9, 0x1.583a511b43b45p-9, 0x1.4ace8b87f9644p-9, 0x1.3dc65ae91313fp-9, 0x1.311f789d91adep-9, 0x1.24d7a84872262p-9, 0x1.18ecb7b5fab42p-9, 0x1.0d5c7ec05bc8ap-9, 0x1.0224df34236acp-9, 0x1.ee8789686075ap-10, 0x1.d96e493b34a52p-10, 0x1.c4f9fbd665c12p-10, 0x1.b126b232282ccp-10, 0x1.9df0900efd45p-10, 0x1.8b53cbbc2038fp-10, 0x1.794caddce92b6p-10, 0x1.67d7912e7983ap-10, 0x1.56f0e24ce3634p-10, 0x1.46951f78679ffp-10, 0x1.36c0d85a28217p-10, 0x1.2770adc9248e1p-10, 0x1.18a1518f7724dp-10, 0x1.0a4f862ebdecp-10, 0x1.f8f03d4a1e85ap-11, 0x1.de2ffc6488421p-11, 0x1.c458303908207p-11, 0x1.ab62deeb9054bp-11, 0x1.934a2dc2c772ep-11, 0x1.7c0860b215271p-11, 0x1.6597d9e597c98p-11, 0x1.4ff3194e02c25p-11, 0x1.3b14bc2d56729p-11, 0x1.26f77ca365ad5p-11, 0x1.1396313bd135ep-11, 0x1.00ebcc7c2218bp-11, 0x1.dde6b8e4bc1ebp-12, 0x1.bb50148b79a9ap-12, 0x1.9a0a338ca3eb9p-12, 0x1.7a0bd1fc15c0cp-12, 0x1.5b4bdf86cfc33p-12, 0x1.3dc17e9758741p-12, 0x1.2164037f25531p-12, 0x1.062af39e42808p-12, 0x1.d81c0920004cdp-13, 0x1.a60a36abd528dp-13, 0x1.76109712c7897p-13, 0x1.481fad179e5dfp-13, 0x1.1c2855736d6ecp-13, 0x1.e4378a7c382dbp-14, 0x1.93d710bf020cep-14, 0x1.471300010f525p-14, 0x1.fb9f840c0aa64p-15, 0x1.6fe4c9fd3b3a2p-15, 0x1.d58261fd5eb2p-16, 0x1.b005548961ba9p-17, -0x1.919ed186a637fp-20, -0x1.fc6ab6efec589p-17, -0x1.d7af41381c642p-16, -0x1.52f2798669a65p-15, -0x1.b498c28a38c1ep-15, -0x1.087b757d3a97ap-14, -0x1.341c266bab049p-14, -0x1.5d43990f52c76p-14, -0x1.84066d17ec76fp-14, -0x1.a878bf7927f5p-14, -0x1.caae2d0395ec5p-14, -0x1.eab9d4ec1887bp-14, -0x1.04572da612fccp-13, -0x1.124ef5cc50b35p-13, -0x1.1f4d1d89d9ae1p-13, -0x1.2b5a45983dc94p-13, -0x1.367ed5f7f7a51p-13, -0x1.40c2ff1a01bd5p-13, -0x1.4a2ebb034fd9ap-13, -0x1.52c9ce6f5719ap-13, -0x1.5a9bc9ecf8749p-13, -0x1.61ac0af4d42c4p-13, -0x1.6801bcfcb541bp-13, -0x1.6da3da88b8d95p-13, -0x1.72992e2fac67cp-13, -0x1.76e853a9bf7b7p-13, -0x1.7a97b8ccaba23p-13, -0x1.7dad9e8cd89fbp-13, -0x1.803019f4fb4bcp-13, -0x1.8225151b4189bp-13, -0x1.839250135900bp-13, -0x1.847d61db3c43bp-13, -0x1.84ebb94577735p-13, -0x1.84e29ddd0029cp-13, -0x1.846730c6d33e6p-13, -0x1.837e6d9c578eep-13, -0x1.822d2b4926e06p-13, -0x1.80781cdc4c96ap-13, -0x1.7e63d25d6a6a4p-13, -0x1.7bf4b996cd421p-13, -0x1.792f1ee23967cp-13, -0x1.76172decd29d4p-13, -0x1.72b0f27af315ep-13, -0x1.6f005926d1df5p-13, -0x1.6b09301d66eep-13, -0x1.66cf27d4c8547p-13, -0x1.6255d3c04b84fp-13, -0x1.5da0ab014dfd9p-13, -0x1.58b30916aee37p-13, -0x1.53902e85cf4a2p-13, -0x1.4e3b418173591p-13, -0x1.48b74e8e85355p-13, -0x1.4307492337aaep-13, -0x1.3d2e0c44b055dp-13, -0x1.372e5b2136fb5p-13, -0x1.310ae1a82e55bp-13, -0x1.2ac6351eb6fdfp-13, -0x1.2462d4af4065ap-13, -0x1.1de329f83b568p-13, -0x1.17498996fcf6fp-13, -0x1.109833b18d497p-13, -0x1.09d1547b1812fp-13, -0x1.02f704b854bfp-13, -0x1.f816947bc041bp-14, -0x1.ea2030dfde5bap-14, -0x1.dc0ea174a518p-14, -0x1.cde58614fe484p-14, -0x1.bfa85c8be31cp-14, -0x1.b15a8178e9185p-14, -0x1.a2ff3133088d9p-14, -0x1.949988a3e314ap-14, -0x1.862c862075d0ap-14, -0x1.77bb0a3bb93b8p-14, -0x1.6947d89639f7p-14, -0x1.5ad598a7d6194p-14, -0x1.4c66d686d4978p-14, -0x1.3dfe03a76013p-14, -0x1.2f9d779953768p-14, -0x1.214770bfc2ef8p-14, -0x1.12fe15082fe0cp-14, -0x1.04c37298bb2a8p-14, -0x1.ed3300fe0e8a9p-15, -0x1.d1043eaf1cfdep-15, -0x1.b4fe33e65cc95p-15, -0x1.99244beef2d95p-15, -0x1.7d79c8f647c77p-15, -0x1.6201c5454d6e6p-15, -0x1.46bf34681d0bp-15, -0x1.2bb4e4570e95ep-15, -0x1.10e57e9387847p-15, -0x1.eca7127c23c69p-16, -0x1.b802d050ca2dp-16, -0x1.83e2bbc208d15p-16, -0x1.504b196ce90a6p-16, -0x1.1d3fef6df8e26p-16, -0x1.d58a0ea2fff51p-17, -0x1.71bbdfe60284ap-17, -0x1.0f1bfeb3885e4p-17, -0x1.5b6151f06fc11p-18, -0x1.35fec87369e8cp-19, 0x1.171799e340ddcp-21, 0x1.bc77470215cc2p-19, 0x1.97015cb340dbp-18, 0x1.2695c4d7d904dp-17, 0x1.805924ef9b6d2p-17, 0x1.d8c73598c9887p-17, 0x1.17ee590a35616p-16, 0x1.42cb538c7375ap-16, 0x1.6cf937fcefa1ap-16, 0x1.9676d9fb6cb9p-16, 0x1.bf4331c7ff74ep-16, 0x1.e75d5afcc8e49p-16, 0x1.076249a46c833p-15, 0x1.1abc1c9acf686p-15, 0x1.2dbbe57a9036dp-15, 0x1.4061729c2365cp-15, 0x1.52aca1062871p-15, 0x1.649d5be24092ap-15, 0x1.76339bf183d9ap-15, 0x1.876f6709da306p-15, 0x1.9850cf912e3adp-15, 0x1.a8d7f400a7a57p-15, 0x1.b904fe6866cdp-15, 0x1.c8d823f804546p-15, 0x1.d851a48b54c43p-15, 0x1.e771ca3857ebep-15, 0x1.f638e8e2eb481p-15, 0x1.0253aee7b7ff6p-14, 0x1.095ec79e6c2a8p-14, 0x1.103df5ff5a082p-14, 0x1.16f1758cfad17p-14, 0x1.1d7985b446d0ap-14, 0x1.23d6699cfd18p-14, 0x1.2a0867fe69cd7p-14, 0x1.300fcaf1f8f8fp-14, 0x1.35ecdfca33e7ap-14, 0x1.3b9ff6e8b5edfp-14, 0x1.4129639663c89p-14, 0x1.46897bdd1ac5ap-14, 0x1.4bc098623fd8cp-14, 0x1.50cf14419c25ap-14, 0x1.55b54ceb5598dp-14, 0x1.5a73a2006a517p-14, 0x1.5f0a753211559p-14, 0x1.637a2a218ebf9p-14, 0x1.67c32640966a1p-14, 0x1.6be5d0b3d0fc3p-14, 0x1.6fe2923534a4ep-14, 0x1.73b9d4f7c67cap-14, 0x1.776c048cc7cadp-14, 0x1.7af98dc842c94p-14, 0x1.7e62dea840b56p-14, 0x1.81a8663b09ce1p-14, 0x1.84ca9487d1bbfp-14, 0x1.87c9da776ad1ep-14, 0x1.8aa6a9bdf6c42p-14, 0x1.8d6174c51ed72p-14, 0x1.8ffaae973c5ebp-14, 0x1.9272cacb143bbp-14, 0x1.94ca3d70718d9p-14, 0x1.97017afce1887p-14, 0x1.9918f83a57aa7p-14, 0x1.9b112a3512731p-14, 0x1.9cea862aea02ap-14, 0x1.9ea5817b3f6aap-14, 0x1.a04291972c1f6p-14, 0x1.a1c22bf28037ap-14, 0x1.a324c5f55e1efp-14, 0x1.a46ad4ed94b4cp-14, 0x1.a594ce022a35cp-14, 0x1.a6a3262604e28p-14, 0x1.a796520b7f465p-14, 0x1.a86ec618ac51p-14, 0x1.a92cf65bb75c3p-14, 0x1.a9d156804b337p-14, 0x1.aa5c59c4b2daap-14, 0x1.aace72f015283p-14, 0x1.ab281448731f1p-14, 0x1.ab69af8a13fa5p-14, 0x1.ab93b5ddf89f9p-14, 0x1.aba697d267e4ep-14, 0x1.aba2c552265fp-14, 0x1.ab88ad9cf0a39p-14, 0x1.ab58bf408b114p-14, 0x1.ab13681131436p-14, 0x1.aab91523c6148p-14, 0x1.aa4a32c6f39cfp-14, 0x1.a9c72c7d699edp-14, 0x1.a9306cf86b355p-14, 0x1.a8865e1261ec1p-14, 0x1.a7c968c967d4p-14, 0x1.a6f9f53b905a6p-14, 0x1.a6186aa114b17p-14, 0x1.a5252f49138c1p-14, 0x1.a420a89554a6dp-14, 0x1.a30b3af660faep-14, 0x1.a1e549e8935cep-14, 0x1.a0af37f09a9d1p-14, 0x1.9f6966982687p-14, 0x1.9e14366b87b77p-14, 0x1.9cb006f72320ap-14, 0x1.9b3d36c4930dfp-14, 0x1.99bc235950af5p-14, 0x1.982d293416814p-14, 0x1.9690a3cb49889p-14, 0x1.94e6ed8b68afp-14, 0x1.93305fd5e18a8p-14, 0x1.916d52ff3581bp-14, 0x1.8f9e1e4e81478p-14, 0x1.8dc317fc4a6e3p-14, 0x1.8bdc953152ecdp-14, 0x1.89eaea06df609p-14, 0x1.87ee698565d2p-14, 0x1.85e765a4e374ap-14, 0x1.83d62f4bc42b4p-14, 0x1.81bb164fa853ep-14, 0x1.7f96697500cd3p-14, 0x1.7d68766f06db1p-14, 0x1.7b3189e08617bp-14, 0x1.78f1ef5baf6a4p-14, 0x1.76a9f162fda18p-14, 0x1.7459d9696954fp-14, 0x1.7201efd347318p-14, 0x1.6fa27bf7503eap-14, 0x1.6d3bc41ed1112p-14, 0x1.6ace0d8729ae1p-14, 0x1.68599c62ae008p-14, 0x1.65deb3d96fca5p-14, 0x1.635d960b03e25p-14, 0x1.60d6840f2e6cp-14, 0x1.5e49bdf79472dp-14, 0x1.5bb782d1030e4p-14, 0x1.592010a482769p-14, 0x1.5683a47989b02p-14, 0x1.53e27a56d2932p-14, 0x1.513ccd448af1ap-14, 0x1.4e92d74dbe522p-14, 0x1.4be4d181e9192p-14, 0x1.4932f3f6efad8p-14, 0x1.467d75cb114a1p-14, 0x1.43c48d26239a9p-14, 0x1.41086f3c4fd9fp-14, 0x1.3e49504f42e85p-14, 0x1.3b8763b07a8a8p-14, 0x1.38c2dbc33d759p-14, 0x1.35fbe9feb875ap-14, 0x1.3332beef9b7fbp-14, 0x1.30678a3ac0a86p-14, 0x1.2d9a7a9f0d4dfp-14, 0x1.2acbbdf74029dp-14, 0x1.27fb813c87b4bp-14, 0x1.2529f0889dae2p-14, 0x1.225737179da62p-14, 0x1.1f837f4a9d8a1p-14, 0x1.1caef2a9d84e5p-14, 0x1.19d9b9e6bd93p-14, 0x1.1703fcde24f2fp-14, 0x1.142de29ae6bf3p-14, 0x1.11579157b9609p-14, 0x1.0e812e81da496p-14, 0x1.0baadebafe6f9p-14, 0x1.08d4c5dbe348ep-14, 0x1.05ff06f65a788p-14, 0x1.0329c457ba8c7p-14, 0x1.00551f8b52f8cp-14, 0x1.fb0272b8cbdfep-15, 0x1.f55c63b1432ebp-15, 0x1.efb850a52ba03p-15, 0x1.ea1676c73d7e1p-15, 0x1.e47711dd1a684p-15, 0x1.deda5c439fc71p-15, 0x1.d9408ef368cb5p-15, 0x1.d3a9e1857a96ap-15, 0x1.ce168a3822d3fp-15, 0x1.c886bdf304fc7p-15, 0x1.c2fab04bc7f07p-15, 0x1.bd72938abc5b7p-15, 0x1.b7ee98afa385cp-15, 0x1.b26eef75ab4ddp-15, 0x1.acf3c6581d8e4p-15, 0x1.a77d4a97193e9p-15, 0x1.a20ba83b6eb7dp-15, 0x1.9c9f0a1ba875p-15, 0x1.973799e029a2ep-15, 0x1.91d58007906c2p-15, 0x1.8c78e3eae06d3p-15, 0x1.8721ebc236c96p-15, 0x1.81d0bca900de7p-15, 0x1.7c857aa209e5fp-15, 0x1.7740489b99e16p-15, 0x1.7201487418c07p-15, 0x1.6cc89afe4d5e2p-15, 0x1.6796600510b3p-15, 0x1.626ab64f92965p-15, 0x1.5d45bba580f3bp-15, 0x1.58278cd34dfccp-15, 0x1.531045adfb7f5p-15, 0x1.4e00011707614p-15, 0x1.48f6d900a0e2cp-15, 0x1.43f4e67158371p-15, 0x1.3efa41884ebbap-15, 0x1.3a070180e7a5p-15, 0x1.351b3cb67e6f8p-15, 0x1.303708a86b223p-15, 0x1.2b5a79fda03f5p-15, 0x1.2685a4888a481p-15, 0x1.21b89b4ab5f5fp-15, 0x1.1cf3707875bccp-15, 0x1.1836357c483f3p-15, 0x1.1380fafa90305p-15, 0x1.0ed3d0d571ad4p-15, 0x1.0a2ec63018fd8p-15, 0x1.0591e9720601dp-15, 0x1.00fd484a93725p-15, 0x1.f8e1df68ffd34p-16, 0x1.efd9d7f290eb6p-16, 0x1.e6e29168fb829p-16, 0x1.ddfc21ad933bbp-16, 0x1.d5269d535b7adp-16, 0x1.cc6217a48d2a1p-16, 0x1.c3aea2a941c56p-16, 0x1.bb0c4f2dd7c7bp-16, 0x1.b27b2cc930e81p-16, 0x1.a9fb49e2d3838p-16, 0x1.a18cb3b89e801p-16, 0x1.992f766551097p-16, 0x1.90e39ce639688p-16, 0x1.88a931211c0fcp-16, 0x1.80803be9ad206p-16, 0x1.7868c5078e856p-16, 0x1.7062d33bea9e7p-16, 0x1.686e6c4743846p-16, 0x1.608b94ee5bb8cp-16, 0x1.58ba5100131b6p-16, 0x1.50faa35a619d2p-16, 0x1.494c8df00a6aap-16, 0x1.41b011cda226ap-16, 0x1.3a252f1e9dc9ep-16, 0x1.32abe5328b4e8p-16, 0x1.2b443281c000fp-16, 0x1.23ee14b2b75c4p-16, 0x1.1ca9889e84d3fp-16, 0x1.15768a55c18e6p-16, 0x1.0e551525698cfp-16, 0x1.0745239b65f58p-16, 0x1.0046af8b1a3eap-16, 0x1.f2b3642426726p-17, 0x1.e4fc4738fbcbcp-17, 0x1.d767f7d24be8ep-17, 0x1.c9f6641c001b3p-17, 0x1.bca778f94fba6p-17, 0x1.af7b220d2aa9ep-17, 0x1.a27149c1c30cdp-17, 0x1.9589d950edb4dp-17, 0x1.88c4b8cca809dp-17, 0x1.7c21cf2656ccfp-17, 0x1.6fa1023741e97p-17, 0x1.634236c77b4f1p-17, 0x1.57055095d79d9p-17, 0x1.4aea325faa247p-17, 0x1.3ef0bde6e269p-17, 0x1.3318d3fa9a1f9p-17, 0x1.2762547dcf342p-17, 0x1.1bcd1e6da8f1ap-17, 0x1.10590fe85a64ap-17, 0x1.05060634e74a6p-17, 0x1.f3a7bb91c78a2p-18, 0x1.dd84e49e80859p-18, 0x1.c7a33d5d75c75p-18, 0x1.b2027a1fdbbbep-18, 0x1.9ca24dc6acc77p-18, 0x1.878269cfa64c4p-18, 0x1.72a27e609c8d8p-18, 0x1.5e023a54a0ed8p-18, 0x1.49a14b450cb4dp-18, 0x1.357f5d970a2d2p-18, 0x1.219c1c8549c0fp-18, 0x1.0df7322c0035fp-18, 0x1.f5208f2662c8ap-19, 0x1.cece096f858b6p-19, 0x1.a8f62131db968p-19, 0x1.83982280f233cp-19, 0x1.5eb357990a03fp-19, 0x1.3a4708f27c0ddp-19, 0x1.16527d58d5f54p-19, 0x1.e5a9f3f086c3ap-20, 0x1.9f9b84e381b25p-20, 0x1.5a7831df6de06p-20, 0x1.163e7c6c84358p-20, 0x1.a5d9c6d5c33d5p-21, 0x1.2103c65ee54f4p-21, 0x1.3befd6aa37742p-22, 0x1.cb3250d639a21p-25, -0x1.8b3685b18ebddp-23, -0x1.c11b02338df34p-22, -0x1.5c8f96c09232p-21, -0x1.d6d702c00e4bcp-21, -0x1.27b374642de5ap-20, -0x1.632137cfdd9b8p-20, -0x1.9db66078a74bp-20, -0x1.d7748488d283ap-20, -0x1.082e9db21d39bp-19, -0x1.24390ec627ab9p-19, -0x1.3fda6242d2431p-19, -0x1.5b13655fb8da6p-19, -0x1.75e4e5bd7c45bp-19, -0x1.904fb1593c0cdp-19, -0x1.aa54967fe9859p-19, -0x1.c3f463c33cdcep-19, -0x1.dd2fe7ee5e089p-19, -0x1.f607f1fb1f90fp-19, -0x1.073ea88272a5bp-18, -0x1.13486a1fc5261p-18, -0x1.1f21a575b9fb7p-18, -0x1.2acac226f0fa8p-18, -0x1.364427d2184c4p-18, -0x1.418e3e0eee066p-18, -0x1.4ca96c6725b9p-18, -0x1.57961a52a2dccp-18, -0x1.6254af33e5b09p-18, -0x1.6ce592529a7f9p-18, -0x1.77492ad756633p-18, -0x1.817fdfc7b6e2cp-18, -0x1.8b8a18018481fp-18, -0x1.95683a38206f6p-18, -0x1.9f1aacef8c44cp-18, -0x1.a8a1d6783eb5ep-18, -0x1.b1fe1cec3bee2p-18, -0x1.bb2fe62bd7bfep-18, -0x1.c43797d923236p-18, -0x1.cd159754c16c2p-18, -0x1.d5ca49ba89e65p-18, -0x1.de5613dfb376dp-18, -0x1.e6b95a4da879fp-18, -0x1.eef48140ac05ap-18, -0x1.f707eca306d84p-18, -0x1.fef4000af46d3p-18, -0x1.035c8f5cc05e9p-17, -0x1.072bd5ca9fa4fp-17, -0x1.0ae804943e8b2p-17, -0x1.0e914ccfdce75p-17, -0x1.1227df630ac27p-17, -0x1.15abed01e5c9cp-17, -0x1.191da62d5bb48p-17, -0x1.1c7d3b322219cp-17, -0x1.1fcadc285f1b5p-17, -0x1.2306b8f1cc851p-17, -0x1.263101383e81ap-17, -0x1.2949e46e71419p-17, -0x1.2c5191cd8bb45p-17, -0x1.2f483854c9103p-17, -0x1.322e06c847272p-17, -0x1.35032bb01ba34p-17, -0x1.37c7d557d83b8p-17, -0x1.3a7c31ce1461dp-17, -0x1.3d206ee2a6b96p-17, -0x1.3fb4ba26a3ef3p-17, -0x1.423940ec2130bp-17, -0x1.44ae304412fbcp-17, -0x1.4713b4fe877c7p-17, -0x1.4969fbaa69e0ep-17, -0x1.4bb130945ba1fp-17, -0x1.4de97fc5ee115p-17, -0x1.501315059c268p-17, -0x1.522e1bd62095ep-17, -0x1.543abf75c3fa1p-17, -0x1.56392ade11e2fp-17, -0x1.582988c3e09e5p-17, -0x1.5a0c03963f663p-17, -0x1.5be0c57d51d2cp-17, -0x1.5da7f85ba9bb2p-17, -0x1.5f61c5cd12cdp-17, -0x1.610e57262f1c2p-17, -0x1.62add5743d7d4p-17, -0x1.6440697ca1e82p-17, -0x1.65c63bbd069d4p-17, -0x1.673f746ad78fcp-17, -0x1.68ac3b72c956ep-17, -0x1.6a0cb879a1801p-17, -0x1.6b6112dac42e7p-17, -0x1.6ca971a8807c9p-17, -0x1.6de5fbac38d69p-17, -0x1.6f16d766364d1p-17, -0x1.703c2b0d4242fp-17, -0x1.71561c8e73fc8p-17, -0x1.7264d18d5bdb9p-17, -0x1.73686f639fefp-17, -0x1.74611b21aea69p-17, -0x1.754ef98e249edp-17, -0x1.76322f253b131p-17, -0x1.770ae0197d72ap-17, -0x1.77d930541a159p-17, -0x1.789d437450ae2p-17, -0x1.79573ccf9aa2ep-17, -0x1.7a073f717b801p-17, -0x1.7aad6e1baf153p-17, -0x1.7b49eb4699de3p-17, -0x1.7bdcd921743f8p-17, -0x1.7c6659918686bp-17, -0x1.7ce68e3262902p-17, -0x1.7d5d9856cbcd4p-17, -0x1.7dcb9908e6d38p-17, -0x1.7e30b1095b6c7p-17, -0x1.7e8d00cfc9518p-17, -0x1.7ee0a88b53f67p-17, -0x1.7f2bc822774d7p-17, -0x1.7f6e7f33d2fbp-17, -0x1.7fa8ed15a730cp-17, -0x1.7fdb30d58b2ddp-17, -0x1.8005693a1ab55p-17, -0x1.8027b4c27fe1fp-17, -0x1.804231a61e1e8p-17, -0x1.8054fdd4f8789p-17, -0x1.806036f8a3bd5p-17, -0x1.8063fa740e452p-17, -0x1.80606563bb0a2p-17, -0x1.8055949dc489bp-17, -0x1.8043a4b244881p-17, -0x1.802ab1ec0f69bp-17, -0x1.800ad850d9abap-17, -0x1.7fe433a0d3022p-17, -0x1.7fb6df5747c15p-17, -0x1.7f82f6ab8a547p-17, -0x1.7f48949084465p-17, -0x1.7f07d3b522571p-17, -0x1.7ec0ce84b229p-17, -0x1.7e739f2744403p-17, -0x1.7e205f827cfa4p-17, -0x1.7dc72938cc3bep-17, -0x1.7d6815aa2d1dap-17, -0x1.7d033df565db7p-17, -0x1.7c98baf760a7dp-17, -0x1.7c28a54b149d7p-17, -0x1.7bb3154b21e9fp-17, -0x1.7b382311dbe4ep-17, -0x1.7ab7e67906c49p-17, -0x1.7a32771a3b0eap-17, -0x1.79a7ec4fdc07ep-17, -0x1.79185d356f9d2p-17, -0x1.7883e0a7801ffp-17, -0x1.77ea8d43e455p-17, -0x1.774c796a767b3p-17, -0x1.76a9bb3e34864p-17, -0x1.760268a3c96bep-17, -0x1.75569743576d1p-17, -0x1.74a65c88b32c4p-17, -0x1.73f1cda3794b7p-17, -0x1.7338ff876091ap-17, -0x1.727c06ec87bd1p-17, }}, 
      {{-0x1.0eb88430e50c8p-3, -0x1.0ffd3c098b39dp-3, -0x1.11c0dd33cf862p-3, -0x1.1400892d382bbp-3, -0x1.16b8b1ea00e26p-3, -0x1.19e52dee9fa06p-3, -0x1.1d814d163f211p-3, -0x1.2187ed3abae34p-3, -0x1.25f38e2bb4786p-3, -0x1.2abe6490d3959p-3, -0x1.2fe26b7835a9ep-3, -0x1.3559746e6298ap-3, -0x1.3b1d361252ec5p-3, -0x1.412759273f5p-3, -0x1.477184309ef0fp-3, -0x1.4df565ab6e875p-3, -0x1.54acbcfc1e3f6p-3, -0x1.5b91622a6c0a7p-3, -0x1.629d4c850aacdp-3, -0x1.69ca98469ecbcp-3, -0x1.71138b545cd0ap-3, -0x1.7872992d489e2p-3, -0x1.7fe2661f433e7p-3, -0x1.875dc9d57383fp-3, -0x1.8edfd151d7bfbp-3, -0x1.9663c0622413fp-3, -0x1.9de5129ea21cap-3, -0x1.a55f7c004d4eap-3, -0x1.accee91a3b7a9p-3, -0x1.b42f7f01289f3p-3, -0x1.bb7d9aeb19638p-3, -0x1.c2b5d18ffecf2p-3, -0x1.c9d4ee539428cp-3, -0x1.d0d7f23fe592fp-3, -0x1.d7bc12d749823p-3, -0x1.de7eb8c405256p-3, -0x1.e51d7e6b4010bp-3, -0x1.eb962e68721bp-3, -0x1.f1e6c1f5fc176p-3, -0x1.f80d5f4738b05p-3, -0x1.fe0857d7da293p-3, -0x1.01eb135a0bfd3p-2, -0x1.04bab75e6cf65p-2, -0x1.07727c755498p-2, -0x1.0a11d948f5a5bp-2, -0x1.0c9855d55386dp-2, -0x1.0f058a8edf97fp-2, -0x1.11591f8cac5bdp-2, -0x1.1392cbb6efb3fp-2, -0x1.15b253fa789d3p-2, -0x1.17b78a8195c97p-2, -0x1.19a24df2defe6p-2, -0x1.1b7288b6376cbp-2, -0x1.1d2830404e0ddp-2, -0x1.1ec34464c55dbp-2, -0x1.2043ceaf2f4ecp-2, -0x1.21a9e1c2e2bd4p-2, -0x1.22f598c1b805cp-2, -0x1.242716b9a0de2p-2, -0x1.253e86190cedep-2, -0x1.263c1829fdadap-2, -0x1.27200493b00ccp-2, -0x1.27ea88e2a947fp-2, -0x1.289be817018fap-2, -0x1.29346a38bbac5p-2, -0x1.29b45bf1eabc3p-2, -0x1.2a1c0e2e7d944p-2, -0x1.2a6bd5c16a47bp-2, -0x1.2aa40b0f02db4p-2, -0x1.2ac509bc3b4a2p-2, -0x1.2acf3062a1f82p-2, -0x1.2ac2e048ccfdep-2, -0x1.2aa07d1f0a9d2p-2, -0x1.2a686cc011219p-2, -0x1.2a1b16f57dce5p-2, -0x1.29b8e53fe9395p-2, -0x1.294242a25c4f6p-2, -0x1.28b79b70f3dc6p-2, -0x1.28195d2282a82p-2, -0x1.2767f624ff935p-2, -0x1.26a3d5b499e31p-2, -0x1.25cd6bb543586p-2, -0x1.24e5288e8960fp-2, -0x1.23eb7d099b133p-2, -0x1.22e0da3151bc2p-2, -0x1.21c5b134219c6p-2, -0x1.209a7347cde24p-2, -0x1.1f5f918ec34b3p-2, -0x1.1e157cff005a7p-2, -0x1.1cbca64a7131cp-2, -0x1.1b557dc8a1961p-2, -0x1.19e07361b93e7p-2, -0x1.185df67aa1e2cp-2, -0x1.16ce75e25070fp-2, -0x1.15325fc01461fp-2, -0x1.138a2182e705cp-2, -0x1.11d627d1a3078p-2, -0x1.1016de7c2184cp-2, -0x1.0e4cb06d21048p-2, -0x1.0c78079cfc746p-2, -0x1.0a994d05183acp-2, -0x1.08b0e89408004p-2, -0x1.06bf41225815p-2, -0x1.04c4bc68025bep-2, -0x1.02c1bef2761a8p-2, -0x1.00b6ac1b3947dp-2, -0x1.fd47cbfe2b6b5p-3, -0x1.f9139aeba50dep-3, -0x1.f4d18414dc235p-3, -0x1.f08243e7af7a6p-3, -0x1.ec26941c4aebcp-3, -0x1.e7bf2ba88263dp-3, -0x1.e34cbeb40c581p-3, -0x1.decffe8da1d05p-3, -0x1.da4999a0f5f17p-3, -0x1.d5ba3b6d7fc17p-3, -0x1.d1228c7e1382ep-3, -0x1.cc83326142da1p-3, -0x1.c7dccfa281fb3p-3, -0x1.c33003c40833bp-3, -0x1.be7d6b396f535p-3, -0x1.b9c59f630301bp-3, -0x1.b5093689c546ap-3, -0x1.b048c3dc1db78p-3, -0x1.ab84d76b342a7p-3, -0x1.a6bdfe28e9be7p-3, -0x1.a1f4c1e67ac59p-3, -0x1.9d29a953b556dp-3, -0x1.985d37fecd53p-3, -0x1.938fee54c5115p-3, -0x1.8ec249a26024cp-3, -0x1.89f4c415abaadp-3, -0x1.8527d4c009a93p-3, -0x1.805bef98be9aap-3, -0x1.7b9185800752ap-3, -0x1.76c90442a2fcbp-3, -0x1.7202d69ddd882p-3, -0x1.6d3f644405639p-3, -0x1.687f11e157f7dp-3, -0x1.63c241215a542p-3, -0x1.5f0950b49701bp-3, -0x1.5a549c56c1e06p-3, -0x1.55a47cd53b03p-3, -0x1.50f94815ede6dp-3, -0x1.4c53511e8c26ap-3, -0x1.47b2e81c13d2cp-3, -0x1.43185a6aaea07p-3, -0x1.3e83f29ddafc3p-3, -0x1.39f5f888d4716p-3, -0x1.356eb1474fa19p-3, -0x1.30ee5f4669409p-3, -0x1.2c75424dd7eap-3, -0x1.2803978954804p-3, -0x1.2399999239f56p-3, -0x1.1f378079502e2p-3, -0x1.1add81d0cd6e2p-3, -0x1.168bd0b67930cp-3, -0x1.12429dddfbde5p-3, -0x1.0e02179b4b881p-3, -0x1.09ca69ed3e76ep-3, -0x1.059bbe8833b7fp-3, -0x1.01763ce0dd156p-3, -0x1.fab4146e2579bp-4, -0x1.f28e934190a46p-4, -0x1.ea7c382a0404fp-4, -0x1.e27d40edcefe5p-4, -0x1.da91e7419e1cdp-4, -0x1.d2ba60dec0b72p-4, -0x1.caf6df99607bep-4, -0x1.c3479176c54fdp-4, -0x1.bbaca0c39cb12p-4, -0x1.b426342a2dc01p-4, -0x1.acb46ec8928f8p-4, -0x1.a5577046d8d3ap-4, -0x1.9e0f54ed0bb29p-4, -0x1.96dc35b9357d2p-4, -0x1.8fbe28752eea3p-4, -0x1.88b53fcc63c3cp-4, -0x1.81c18b616841dp-4, -0x1.7ae317e36be9dp-4, -0x1.7419ef2381542p-4, -0x1.6d661829b942ep-4, -0x1.66c7974a0ca33p-4, -0x1.603e6e39152p-4, -0x1.59ca9c208e1c8p-4, -0x1.536c1db39d642p-4, -0x1.4d22ed42e3343p-4, -0x1.46ef02d04bff5p-4, -0x1.40d05422a1ap-4, -0x1.3ac6d4d8df536p-4, -0x1.34d2767d3efb3p-4, -0x1.2ef3289803b2dp-4, -0x1.2928d8c1fe066p-4, -0x1.237372b6c9444p-4, -0x1.1dd2e066be642p-4, -0x1.18470a089efa6p-4, -0x1.12cfd62af4863p-4, -0x1.0d6d29c521fdcp-4, -0x1.081ee8482a95cp-4, -0x1.02e4f3af2a133p-4, -0x1.fb7e591efe029p-5, -0x1.f15ae4514d3bfp-5, -0x1.e75f44e790c2cp-5, -0x1.dd8b3465e7ep-5, -0x1.d3de6a001da9ep-5, -0x1.ca589ab6de654p-5, -0x1.c0f9797456513p-5, -0x1.b7c0b7282b145p-5, -0x1.aeae02e2d4b8fp-5, -0x1.a5c109f05bda7p-5, -0x1.9cf977f27327ep-5, -0x1.9456f6f9f6cbep-5, -0x1.8bd92f9fcaaf5p-5, -0x1.837fc91d1d92p-5, -0x1.7b4a69630e837p-5, -0x1.7338b531bb6a9p-5, -0x1.6b4a502eae0e7p-5, -0x1.637edcfaba45bp-5, -0x1.5bd5fd473b00fp-5, -0x1.544f51eac07c7p-5, -0x1.4cea7af52617ap-5, -0x1.45a717c31737fp-5, -0x1.3e84c71102817p-5, -0x1.3783270d7c198p-5, -0x1.30a1d56b15fdfp-5, -0x1.29e06f71a70bbp-5, -0x1.233e920f0e153p-5, -0x1.1cbbd9e765c4ap-5, -0x1.1657e364b8c7p-5, -0x1.10124ac62edadp-5, -0x1.09eaac2eb6fc3p-5, -0x1.03e0a3b33503bp-5, -0x1.fbe79ad058104p-6, -0x1.f0478adde72c7p-6, -0x1.e4e05004da614p-6, -0x1.d9b123068b674p-6, -0x1.ceb93d07831e6p-6, -0x1.c3f7d7a62645ep-6, -0x1.b96c2d108a2b8p-6, -0x1.af15781963405p-6, -0x1.a4f2f44c1d0cdp-6, -0x1.9b03de0024abep-6, -0x1.9147726b5b3c9p-6, -0x1.87bcefb3bcf74p-6, -0x1.7e63950048dadp-6, -0x1.753aa28920815p-6, -0x1.6c4159a6e7254p-6, -0x1.6376fce16e9e5p-6, -0x1.5adacffdab4cp-6, -0x1.526c180af5f88p-6, -0x1.4a2a1b6f9febp-6, -0x1.421421f4e7f2ap-6, -0x1.3a2974d23e1c1p-6, -0x1.32695eb7f0d0ep-6, -0x1.2ad32bd93ba28p-6, -0x1.236629f5bf7e2p-6, -0x1.1c21a86264fe1p-6, -0x1.1504f811b366dp-6, -0x1.0e0f6b9b9762p-6, -0x1.07405744a9a7dp-6, -0x1.00971104ebbbep-6, -0x1.f425e11c065f2p-7, -0x1.e7669ea20462p-7, -0x1.daef110762e02p-7, -0x1.cebdf24acd37bp-7, -0x1.c2d20006cd887p-7, -0x1.b729fb79d0a7dp-7, -0x1.abc4a98d2f914p-7, -0x1.a0a0d2db8d23ep-7, -0x1.95bd43b663955p-7, -0x1.8b18cc2aca0b8p-7, -0x1.80b240058d1b7p-7, -0x1.768876d690521p-7, -0x1.6c9a4bf38572cp-7, -0x1.62e69e79f96a8p-7, -0x1.596c5150c673ep-7, -0x1.502a4b28f2746p-7, -0x1.471f767de8681p-7, -0x1.3e4ac1952f7b1p-7, -0x1.35ab1e7d9781dp-7, -0x1.2d3f830de6c81p-7, -0x1.2506e8e3007c2p-7, -0x1.1d004d5d91ecfp-7, -0x1.152ab19f590b6p-7, -0x1.0d851a87ed3ep-7, -0x1.060e90b128c8ep-7, -0x1.fd8c40d64f0ffp-8, -0x1.ef55b36fc7225p-8, -0x1.e177a08cf2589p-8, -0x1.d3f036dc28c3p-8, -0x1.c6bdac510c02dp-8, -0x1.b9de3e1913726p-8, -0x1.ad50308f90115p-8, -0x1.a111cf3109869p-8, -0x1.95216c8e1ba07p-8, -0x1.897d623df391p-8, -0x1.7e2410d01ea65p-8, -0x1.7313dfbe071abp-8, -0x1.684b3d5bfb3c1p-8, -0x1.5dc89ec9e2633p-8, -0x1.538a7fe3810b2p-8, -0x1.498f633062d72p-8, -0x1.3fd5d1d379283p-8, -0x1.365c5b7a76b57p-8, -0x1.2d21964cd30a6p-8, -0x1.24241eda9acacp-8, -0x1.1b62980b0058fp-8, -0x1.12dbab0ab040ep-8, -0x1.0a8e0739f45fcp-8, -0x1.0278621ab07d1p-8, -0x1.f532ee7c6ef4fp-9, -0x1.e5e01065fa1abp-9, -0x1.d6f5b8e42a2a9p-9, -0x1.c871829959838p-9, -0x1.ba5113b2c1a0fp-9, -0x1.ac921dc312334p-9, -0x1.9f325d9cedc2ep-9, -0x1.922f9b2d1b73bp-9, -0x1.8587a954dd609p-9, -0x1.793865c422eeep-9, -0x1.6d3fb8d3a1cd5p-9, -0x1.619b955f3b81fp-9, -0x1.5649f8a00bb6ep-9, -0x1.4b48ea06c0d5dp-9, -0x1.40967b15da2e4p-9, -0x1.3630c73c20a79p-9, -0x1.2c15f3af2ab5cp-9, -0x1.22442f4610279p-9, -0x1.18b9b2543118dp-9, -0x1.0f74be8415a99p-9, -0x1.06739eb29bf56p-9, -0x1.fb694d9490c3bp-10, -0x1.ea6c673d72c8p-10, -0x1.d9ed55911b1a7p-10, -0x1.c9e8f50274ca8p-10, -0x1.ba5c32fe708a9p-10, -0x1.ab440da5186d3p-10, -0x1.9c9d9382dbed2p-10, -0x1.8e65e34aa57f9p-10, -0x1.809a2b906f5f7p-10, -0x1.7337aa847298fp-10, -0x1.663badaeb4a82p-10, -0x1.59a391ab7e275p-10, -0x1.4d6cc1e850b76p-10, -0x1.4194b861946dbp-10, -0x1.3618fd60d43f6p-10, -0x1.2af7273bf57fdp-10, -0x1.202cda1476209p-10, -0x1.15b7c797fef6fp-10, -0x1.0b95aec16b197p-10, -0x1.01c45b9a622b5p-10, -0x1.f0834dfc03522p-11, -0x1.de16ecb7df2f1p-11, -0x1.cc3f76f8ab64dp-11, -0x1.baf8e888c7a63p-11, -0x1.aa3f54f79942dp-11, -0x1.9a0ee72592861p-11, -0x1.8a63e0d22cdbep-11, -0x1.7b3a9a2b08d1cp-11, -0x1.6c8f815cdea3cp-11, -0x1.5e5f1a255765dp-11, -0x1.50a5fd66ecfd6p-11, -0x1.4360d8be4141dp-11, -0x1.368c6e18af3cfp-11, -0x1.2a25934ca17b3p-11, -0x1.1e2931b38c186p-11, -0x1.129445c4c7c1p-11, -0x1.0763deb273bd4p-11, -0x1.f92a3c0f9a37fp-12, -0x1.e44a6e91639c4p-12, -0x1.d022df25b2913p-12, -0x1.bcae3a8129788p-12, -0x1.a9e74f1a23e17p-12, -0x1.97c90c735fe12p-12, -0x1.864e826a3030bp-12, -0x1.7572e0877904ap-12, -0x1.65317553547b4p-12, -0x1.5585adabfe112p-12, -0x1.466b141f0c0ddp-12, -0x1.37dd5045edb58p-12, -0x1.29d82624a3a28p-12, -0x1.1c57758bc90c9p-12, -0x1.0f57397cf7a5p-12, -0x1.02d38791d4d7ap-12, -0x1.ed911ecc23b3cp-13, -0x1.d6653407d75f1p-13, -0x1.c01c12a73bfaap-13, -0x1.aaaeaf194273p-13, -0x1.96162d54f294dp-13, -0x1.824bdfc619b73p-13, -0x1.6f494640decf5p-13, -0x1.5d080cf889459p-13, -0x1.4b820b7d47521p-13, -0x1.3ab143bccdef5p-13, -0x1.2a8fe108fa53bp-13, -0x1.1b18372296aa4p-13, -0x1.0c44c1491869fp-13, -0x1.fc20429e1040ep-14, -0x1.e0ea3d644467dp-14, -0x1.c6dd4b737d0d5p-14, -0x1.adef8d2f42323p-14, -0x1.9617691d2ed62p-14, -0x1.7f4b8a39a64bep-14, -0x1.6982de555b1e6p-14, -0x1.54b49479c17e9p-14, -0x1.40d81b58ca1f6p-14, -0x1.2de51fc1241d5p-14, -0x1.1bd38b1ea0952p-14, -0x1.0a9b81fdf54b9p-14, -0x1.f46ac538778e2p-15, -0x1.d53386f5e24d2p-15, -0x1.b782e3fcc87d9p-15, -0x1.9b4ae220c7366p-15, -0x1.807def9adcf97p-15, -0x1.670ee06d60e3fp-15, -0x1.4ef0ebd7f8e79p-15, -0x1.3817a9da33028p-15, -0x1.227710c26823bp-15, -0x1.0e0372c945b03p-15, -0x1.f562f77be4243p-16, -0x1.d0ec5d758b311p-16, -0x1.ae8dc7d5fddfp-16, -0x1.8e328cb342dbap-16, -0x1.6fc6a39d49311p-16, -0x1.5336a16ef94dbp-16, -0x1.386fb43770e99p-16, -0x1.1f5f9f39fde55p-16, -0x1.07f4b704a2cf6p-16, -0x1.e43bbb3e12951p-17, -0x1.bb94fd9c9732cp-17, -0x1.95d518dad1432p-17, -0x1.72dcf5beabca9p-17, -0x1.528e7b1ede9d3p-17, -0x1.34cc871359351p-17, -0x1.197ae852a325dp-17, -0x1.007e57abb3511p-17, -0x1.d378e3658989ep-18, -0x1.aa3761113b68p-18, -0x1.8506cba2f580fp-18, -0x1.63b7698a1b339p-18, -0x1.461b18e310ccfp-18, -0x1.2c05442094015p-18, -0x1.154ad714be777p-18, -0x1.01c2342c297edp-18, -0x1.e28653e399c29p-19, -0x1.c74dd1af3738cp-19, -0x1.b18ff272ea7cdp-19, -0x1.a104634576a9ap-19, -0x1.95655a8f1ee13p-19, -0x1.8e6f858709e43p-19, -0x1.8be1f60605051p-19, -0x1.8d7e1106dde37p-19, -0x1.93077d4f369ccp-19, -0x1.9c4412b3a7e8fp-19, -0x1.a8fbc9bda1124p-19, -0x1.b8f8abad04ef8p-19, -0x1.cc06c2f07de1cp-19, -0x1.e1f40c0dbc7e3p-19, -0x1.fa9066b5a9019p-19, -0x1.0ad6c3bc9c72ap-18, -0x1.198f74d68bb0dp-18, -0x1.295ce0e4461b1p-18, -0x1.3a2a78050a3d5p-18, -0x1.4be479bcfc74dp-18, -0x1.5e77eea58a2f3p-18, -0x1.71d2a23c6c294p-18, -0x1.85e31cee890fdp-18, -0x1.9a989e37bb15bp-18, -0x1.afe316f64a85cp-18, -0x1.c5b323dd72d6fp-18, -0x1.dbfa080dc73fp-18, -0x1.f2a9a7d7a25e9p-18, -0x1.04da41d0426cdp-17, -0x1.1086d97128954p-17, -0x1.1c546faf7c77fp-17, -0x1.283d202f0ff5cp-17, -0x1.343b4b0f11349p-17, -0x1.404992adaa398p-17, -0x1.4c62d97badabbp-17, -0x1.58823fe367a5ep-17, -0x1.64a32238c94b9p-17, -0x1.70c116babcff7p-17, -0x1.7cd7eba0c0e3ap-17, -0x1.88e3a53925f8fp-17, -0x1.94e07c12bf161p-17, -0x1.a0cadb3630823p-17, -0x1.ac9f5e66dd707p-17, -0x1.b85ad076a17cep-17, -0x1.c3fa299f7c04fp-17, -0x1.cf7a8dee3d37bp-17, -0x1.dad94bb688949p-17, -0x1.e613da1318cd2p-17, -0x1.f127d76eb1e88p-17, -0x1.fc13081b448b9p-17, -0x1.0369aa77d0192p-16, -0x1.08b364f960566p-16, -0x1.0de5ca888efd2p-16, -0x1.1300026cdab3bp-16, -0x1.180143a1ef986p-16, -0x1.1ce8d4405fe7p-16, -0x1.21b608eaac8a9p-16, -0x1.2668443e2d318p-16, -0x1.2afef648c2ce9p-16, -0x1.2f799c021323dp-16, -0x1.33d7bec96717fp-16, -0x1.3818f3e6d6482p-16, -0x1.3c3cdc1048be6p-16, -0x1.404322f40fb8fp-16, -0x1.442b7ec4d8517p-16, -0x1.47f5afcae6a9cp-16, -0x1.4ba17ff6a3c4ap-16, -0x1.4f2ec278e393fp-16, -0x1.529d535c842edp-16, -0x1.55ed1724f951bp-16, -0x1.591dfa6e74c1bp-16, -0x1.5c2ff19254862p-16, -0x1.5f22f84e3acbbp-16, -0x1.61f7116bf8e8cp-16, -0x1.64ac466fd90cp-16, -0x1.6742a746aefd2p-16, -0x1.69ba49f8204acp-16, -0x1.6c134a5b15266p-16, -0x1.6e4dc9cc3e7ap-16, -0x1.7069eee81af31p-16, -0x1.7267e545a0572p-16, -0x1.7447dd34bde04p-16, -0x1.760a0b7e35975p-16, -0x1.77aea9261c76ep-16, -0x1.7935f33058b95p-16, -0x1.7aa02a670689ep-16, -0x1.7bed93236de07p-16, -0x1.7d1e75179e18cp-16, -0x1.7e331b1bbf41ap-16, -0x1.7f2bd2fb1aa5p-16, -0x1.8008ed44d0628p-16, -0x1.80cabd1d7f26ep-16, -0x1.8171981221bcep-16, -0x1.81fdd5ed3671ap-16, -0x1.826fd08d0bbf9p-16, -0x1.82c7e3bbe88dep-16, -0x1.83066d09b5f1dp-16, -0x1.832bcba71d79fp-16, -0x1.83386041a23bfp-16, -0x1.832c8ce137ca1p-16, -0x1.8308b4c7e7e66p-16, -0x1.82cd3c5133092p-16, -0x1.827a88d486a79p-16, -0x1.82110087b432dp-16, -0x1.81910a6333d19p-16, -0x1.80fb0e06d9ab6p-16, -0x1.804f739fc8429p-16, -0x1.7f8ea3cfdc61ep-16, -0x1.7eb90795fb4e3p-16, -0x1.7dcf08377ab5fp-16, -0x1.7cd10f2a1c59p-16, -0x1.7bbf85fffa2a5p-16, -0x1.7a9ad65267d4cp-16, -0x1.796369b01d299p-16, -0x1.7819a989dab95p-16, -0x1.76bdff21c0054p-16, -0x1.7550d37a68c2bp-16, -0x1.73d28f4797e0fp-16, -0x1.72439ade9f8bep-16, -0x1.70a45e2885c67p-16, -0x1.6ef54093e4914p-16, -0x1.6d36a90879b0fp-16, -0x1.6b68fdda49a5ep-16, -0x1.698ca4be9ef0fp-16, -0x1.67a202c0019d6p-16, -0x1.65a97c34f5ff9p-16, -0x1.63a374b55d412p-16, -0x1.61904f111c589p-16, -0x1.5f706d4791166p-16, -0x1.5d44307f12019p-16, -0x1.5b0bf8fd5076cp-16, -0x1.58c8261fae872p-16, -0x1.56791654cd92bp-16, -0x1.541f2715b5d78p-16, -0x1.51bab4e060867p-16, -0x1.4f4c1b31993b8p-16, -0x1.4cd3b4800f8a8p-16, -0x1.4a51da37d6134p-16, -0x1.47c6e4b55db83p-16, -0x1.45332b42120b7p-16, -0x1.429704101aae1p-16, -0x1.3ff2c43747009p-16, -0x1.3d46bfb1909f6p-16, -0x1.3a934958fef42p-16, -0x1.37d8b2e48af94p-16, -0x1.35174ce673ecbp-16, -0x1.324f66c9e9f49p-16, -0x1.2f814ed1fa23fp-16, -0x1.2cad521791c0dp-16, -0x1.29d3bc8896f66p-16, -0x1.26f4d8e6f5469p-16, -0x1.2410f0c7cebc4p-16, -0x1.21284c9324ba8p-16, -0x1.1e3b338381849p-16, -0x1.1b49eba5cdba5p-16, -0x1.1854b9d99c014p-16, -0x1.155be1d12f80cp-16, -0x1.125fa61213eccp-16, -0x1.0f6047f5b2ae4p-16, -0x1.0c5e07a9ef413p-16, -0x1.0959243229e3ep-16, -0x1.0651db686c121p-16, -0x1.034869fe4a0f6p-16, -0x1.003d0b7e80834p-16, -0x1.fa5ff49c74593p-17, -0x1.f442df5d7d928p-17, -0x1.ee23477daca87p-17, -0x1.e8019af9bc7fap-17, -0x1.e1de4590b151p-17, -0x1.dbb9b0c80d343p-17, -0x1.d59443efd7fcfp-17, -0x1.cf6e6426ef274p-17, -0x1.c948745f9f43p-17, -0x1.c322d563bffebp-17, -0x1.bcfde5d9eefbbp-17, -0x1.b6da0249e12b8p-17, -0x1.b0b78521b4b3p-17, -0x1.aa96c6bac28aep-17, -0x1.a4781d5e9e3dbp-17, -0x1.9e5bdd4cf6782p-17, -0x1.984258c08099bp-17, -0x1.922bdff475d48p-17, -0x1.8c18c12a30014p-17, -0x1.860948aea26c2p-17, -0x1.7ffdc0e05cfaep-17, -0x1.79f672348a7a6p-17, -0x1.73f3a33db4e23p-17, -0x1.6df598b0feb84p-17, -0x1.67fc956c07f39p-17, -0x1.6208da7b364fbp-17, -0x1.5c1aa71ee60a7p-17, -0x1.563238d21cdcbp-17, -0x1.504fcb5064c68p-17, -0x1.4a73989b492ebp-17, -0x1.449dd9011b4b5p-17, -0x1.3ecec322cda68p-17, -0x1.39068bf99263ap-17, -0x1.334566dd9726fp-17, -0x1.2d8b858b68b31p-17, -0x1.27d9182a4d64ep-17, -0x1.222e4d5252df4p-17, -0x1.1c8b52123d046p-17, -0x1.16f051f614097p-17, -0x1.115d770c9eb48p-17, -0x1.0bd2e9ed6c23bp-17, -0x1.0650d1bf10749p-17, -0x1.00d7543ce5e91p-17, -0x1.f6cd2b79d5756p-18, -0x1.ebfd726b5d8f7p-18, -0x1.e13fc088e9fabp-18, -0x1.d694566584626p-18, -0x1.cbfb71f8a5771p-18, -0x1.c1754ea9e7a5dp-18, -0x1.b702255c0a463p-18, -0x1.aca22c7891defp-18, -0x1.a25597fba00afp-18, -0x1.981c997db0f45p-18, -0x1.8df76040bdd39p-18, -0x1.83e6193a74e9ep-18, -0x1.79e8ef1eef70cp-18, -0x1.70000a6b898c7p-18, -0x1.662b917251905p-18, -0x1.5c6ba86439ec2p-18, -0x1.52c0715b8833bp-18, -0x1.492a0c66cb0b5p-18, -0x1.3fa8979301fe4p-18, -0x1.363c2ef65f3f7p-18, -0x1.2ce4ecb99a358p-18, -0x1.23a2e922b58edp-18, -0x1.1a763a9f0bff9p-18, -0x1.115ef5cc8f7e5p-18, -0x1.085d2d840ac1cp-18, -0x1.fee1e5c53bc3p-19, -0x1.ed34aaa617f85p-19, -0x1.dbb2c5303a8d1p-19, -0x1.ca5c4daa22b38p-19, -0x1.b931592e457e3p-19, -0x1.a831f9bdbb0a6p-19, -0x1.975e3e503507dp-19, -0x1.86b632e83e41dp-19, -0x1.7639e0a2c30c1p-19, -0x1.65e94dc9f0945p-19, -0x1.55c47de5173cdp-19, -0x1.45cb71ca4f2e3p-19, -0x1.35fe27aeed1e1p-19, -0x1.265c9b3788673p-19, -0x1.16e6c5883c81ep-19, -0x1.079c9d5522fa7p-19, -0x1.f0fc2de2b7ca5p-20, -0x1.d31648bcce0c6p-20, -0x1.b5876ab88fc72p-20, -0x1.984f6ef115878p-20, -0x1.7b6e2c382dfc7p-20, -0x1.5ee37534c8cc5p-20, -0x1.42af1880c24f7p-20, -0x1.26d0e0c2a51ecp-20, -0x1.0b4894cae7891p-20, -0x1.e02bef5f8a06p-21, -0x1.aa7191ce5f578p-21, -0x1.756188c47f1b2p-21, -0x1.40fb454fd3f4ap-21, -0x1.0d3e31db098fep-21, -0x1.b45364c00d9bp-22, -0x1.4f7a49365ddccp-22, -0x1.d7df80f316aa7p-23, -0x1.1364dc5c9e821p-23, -0x1.460754e08de75p-25, 0x1.b731e78cc0d8ep-25, 0x1.2a890ba27e65p-23, 0x1.e4b6ef469d894p-23, 0x1.4e2ca3f8ee94dp-22, 0x1.a8b9a5fa7e674p-22, 0x1.0102110c237b5p-21, 0x1.2d06e2d9bc377p-21, 0x1.586c236718314p-21, 0x1.8332b1dc84e59p-21, 0x1.ad5b716189a88p-21, 0x1.d6e748f794ecfp-21, 0x1.ffd72352981f6p-21, 0x1.1415f75984eaep-20, 0x1.27f34e61dc7d6p-20, 0x1.3b84113a57367p-20, 0x1.4ec8bbeb3c3ap-20, 0x1.61c1cbfca6b68p-20, 0x1.746fc065b16d3p-20, 0x1.86d3197b26dd8p-20, 0x1.98ec58df3cebp-20, 0x1.aabc0172857e9p-20, 0x1.bc42974380aafp-20, 0x1.cd809f7f9fc09p-20, 0x1.de76a063af0a9p-20, 0x1.ef25212e5c445p-20, 0x1.ff8caa110f049p-20, 0x1.07d6e210e08dfp-19, 0x1.0fc47ca6d4f73p-19, 0x1.178f6a25e838bp-19, 0x1.1f37f047a357ap-19, 0x1.26be551cffe5bp-19, 0x1.2e22df0895d9cp-19, 0x1.3565d4b8ad2a9p-19, 0x1.3c877d20488aep-19, 0x1.43881f71ba73p-19, 0x1.4a6803192a052p-19, 0x1.51276fb6c0e74p-19, 0x1.57c6ad18a9d74p-19, 0x1.5e46033695828p-19, 0x1.64a5ba2bbbfc7p-19, 0x1.6ae61a32414ddp-19, 0x1.71076b9e13206p-19, 0x1.7709f6d7d1f19p-19, 0x1.7cee04583a3f1p-19, 0x1.82b3dca37cfb1p-19, 0x1.885bc844c7d9dp-19, 0x1.8de60fc9e0113p-19, 0x1.9352fbbec4032p-19, 0x1.98a2d4a97de83p-19, 0x1.9dd5e305cbd12p-19, 0x1.a2ec6f418df65p-19, 0x1.a7e6c1b8ec64bp-19, 0x1.acc522b244c02p-19, 0x1.b187da5a97ffp-19, 0x1.b62f30c1dd0ep-19, 0x1.babb6dd7f5702p-19, 0x1.bf2cd968e55e1p-19, 0x1.c383bb195f7bcp-19, 0x1.c7c05a6434418p-19, 0x1.cbe2fe96d9152p-19, 0x1.cfebeece7802p-19, 0x1.d3db71f4f6cb1p-19, 0x1.d7b1cebe0e21bp-19, 0x1.db6f4ba4db11cp-19, 0x1.df142ee8b91cfp-19, 0x1.e2a0be8afd288p-19, 0x1.e615404c82e05p-19, 0x1.e971f9ab49aa7p-19, 0x1.ecb72fdfdee03p-19, 0x1.efe527db09becp-19, 0x1.f2fc2643c6e4ep-19, 0x1.f5fc6f75551bep-19, 0x1.f8e6477d03de9p-19, 0x1.fbb9f21803075p-19, 0x1.fe77b2b18b44ap-19, 0x1.008fe6309ef27p-18, 0x1.01d940f4a3799p-18, 0x1.03180ada39531p-18, 0x1.044c64ea648fap-18, 0x1.05767000da489p-18, 0x1.06964ccb7115bp-18, 0x1.07ac1bc96161p-18, 0x1.08b7fd4a55048p-18, 0x1.09ba116de4b8ap-18, 0x1.0ab27822e1eacp-18, 0x1.0ba15126bd66ap-18, 0x1.0c86bc0504c51p-18, 0x1.0d62d816bc662p-18, 0x1.0e35c481e0e93p-18, 0x1.0effa038ded76p-18, 0x1.0fc089fa0f34fp-18, 0x1.1078a04f4f2ap-18, 0x1.1128018d8660ep-18, 0x1.11cecbd4308f5p-18, 0x1.126d1d0d1a982p-18, 0x1.130312ebdb131p-18, 0x1.1390caed9e21cp-18, 0x1.14166258b9593p-18, 0x1.1493f63c5909p-18, 0x1.1509a37032693p-18, 0x1.157786945b3f9p-18, 0x1.15ddbc110ff0ep-18, 0x1.163c60167b961p-18, 0x1.16938e9c494dep-18, 0x1.16e363619a26bp-18, 0x1.172bf9ece8deep-18, 0x1.176d6d8baed0bp-18, 0x1.17a7d95254ab3p-18, 0x1.17db581c387fbp-18, 0x1.1808048b83f72p-18, 0x1.182df908eea3p-18, 0x1.184d4fc3eaaafp-18, 0x1.186622b24c05fp-18, 0x1.18788b9065e0dp-18, 0x1.1884a3e0f5dd7p-18, 0x1.188a84ed46a92p-18, 0x1.188a47c4f32bfp-18, 0x1.1884053df5851p-18, 0x1.1877d5f4c957ep-18, 0x1.1865d24c6aee7p-18, 0x1.184e126e53c41p-18, 0x1.1830ae4a86ea3p-18, 0x1.180dbd9796cbfp-18, 0x1.17e557d2e52b2p-18, 0x1.17b79440eae51p-18, 0x1.178489ecca219p-18, 0x1.174c4fa8b5831p-18, 0x1.170efc0df308p-18, 0x1.16cca57d143fdp-18, 0x1.1685621e15b54p-18, 0x1.163947e08621ap-18, 0x1.15e86c7bb3ad7p-18, 0x1.1592e56ec26b9p-18, 0x1.1538c800f13c8p-18, 0x1.14da2941cd1c5p-18, 0x1.14771e093caa5p-18, 0x1.140fbaf7c7a4p-18, 0x1.13a41476d449dp-18, 0x1.13343eb8c9621p-18, 0x1.12c04db95c9ebp-18, 0x1.1248553db9d0bp-18, 0x1.11cc68d4dd691p-18, 0x1.114c9bd79f6c8p-18, 0x1.10c9016900b2ap-18, 0x1.1041ac76733e7p-18, 0x1.0fb6afb82eb1bp-18, 0x1.0f281db15b892p-18, 0x1.0e9608b090c7cp-18, 0x1.0e0082cfbd313p-18, 0x1.0d679df48fa12p-18, 0x1.0ccb6bd0cbc83p-18, 0x1.0c2bfde27eeb5p-18, 0x1.0b896574667fbp-18, 0x1.0ae3b39e11e41p-18, 0x1.0a3af9445dbd5p-18, 0x1.098f471996d6dp-18, 0x1.08e0ad9dead51p-18, 0x1.082f3d1fd0d69p-18, 0x1.077b05bbf9993p-18, 0x1.06c4175dcd6f6p-18, 0x1.060a81bfd1219p-18, 0x1.054e546bfd8d3p-18, 0x1.048f9ebbe721bp-18, 0x1.03ce6fd92b1dep-18, 0x1.030ad6bdc6e53p-18, 0x1.0244e23460a1ep-18, 0x1.017ca0d8971c8p-18, 0x1.00b221176122fp-18, 0x1.ffcae25eb7499p-19, 0x1.fe2d3e6213607p-19, 0x1.fc8b71fec5a94p-19, 0x1.fae598a0855c5p-19, 0x1.f93bcd58a9715p-19, 0x1.f78e2adf17daap-19, 0x1.f5dccb934b3bdp-19, 0x1.f427c97cbe223p-19, 0x1.f26f3e4b9231cp-19, 0x1.f0b3435959e78p-19, 0x1.eef3f1a9fe9bcp-19, 0x1.ed3161ec32a5ep-19, 0x1.eb6bac79e09ddp-19, 0x1.e9a2e959a8fa2p-19, 0x1.e7d7303ee3373p-19, 0x1.e608988a67069p-19, 0x1.e437394b6635cp-19, 0x1.e263293ffba4bp-19, 0x1.e08c7ed5de8d3p-19, 0x1.deb3502b5378ep-19, 0x1.dcd7b30fbf409p-19, 0x1.daf9bd043a0bap-19, 0x1.d919833c2e6a3p-19, 0x1.d7371a9e28489p-19, 0x1.d55297c48cd31p-19, 0x1.d36c0efe38fcdp-19, 0x1.d183944f5edc6p-19, 0x1.cf993b72304d8p-19, 0x1.cdad17d78992ep-19, 0x1.cbbf3ca73e01ep-19, 0x1.c9cfbcc15636dp-19, 0x1.c7deaabe3d9fcp-19, 0x1.c5ec18efcba87p-19, 0x1.c3f81961e0863p-19, 0x1.c202bddaecaffp-19, 0x1.c00c17dc9c13bp-19, 0x1.be1438a4dcf46p-19, 0x1.bc1b312e2a469p-19, 0x1.ba2112308b0ffp-19, 0x1.b825ec21f7dc7p-19, 0x1.b629cf36e88dp-19, 0x1.b42ccb632e3f3p-19, 0x1.b22ef05ab6b81p-19, 0x1.b0304d920d853p-19, 0x1.ae30f23f0a13ep-19, 0x1.ac30ed595a9e7p-19, 0x1.aa304d9b54dap-19, 0x1.a82f21829a411p-19, 0x1.a62d775096524p-19, 0x1.a42b5d0b26e3dp-19, 0x1.a228e07d43502p-19, 0x1.a0260f37ca41bp-19, 0x1.9e22f691b7e2dp-19, 0x1.9c1fa3a9535b1p-19, 0x1.9a1c2364bb772p-19, 0x1.98188271f3eb4p-19, 0x1.9614cd47d2d36p-19, 0x1.94111026bd341p-19, 0x1.920d571928ae8p-19, 0x1.9009adf429e38p-19, 0x1.8e062058166f6p-19, 0x1.8c02b9b1134d1p-19, 0x1.89ff8537de056p-19, 0x1.87fc8df2179f6p-19, 0x1.85f9deb328e81p-19, 0x1.83f7821c9b385p-19, 0x1.81f5829e9d0b3p-19, 0x1.7ff3ea78e51e1p-19, 0x1.7df2c3bb04df9p-19, 0x1.7bf21844e211cp-19, 0x1.79f1f1c760d88p-19, 0x1.77f259c5256a1p-19, 0x1.75f35992e67e9p-19, 0x1.73f4fa581db56p-19, 0x1.71f7450f6994ap-19, 0x1.6ffa42870570ep-19, 0x1.6dfdfb6192089p-19, 0x1.6c0278169bd4cp-19, 0x1.6a07c0f2de7b9p-19, 0x1.680dde18e9adfp-19, 0x1.6614d781f9543p-19, 0x1.641cb4fe2c516p-19, 0x1.62257e34de70fp-19, 0x1.602f3aa54a62cp-19, 0x1.5e39f1a7345d4p-19, 0x1.5c45aa6b4b896p-19, 0x1.5a526bfba8d4dp-19, 0x1.58603d3c3466fp-19, 0x1.566f24eb39c78p-19, 0x1.547f29a2000ep-19, 0x1.529051d517209p-19, 0x1.50a2a3d4e2a18p-19, 0x1.4eb625ce3063dp-19, 0x1.4ccaddca62804p-19, 0x1.4ae0d1b02c69ap-19, 0x1.48f80743f6a6fp-19, 0x1.471084281348cp-19, 0x1.452a4ddd83a3p-19, 0x1.434569c484f4ep-19, 0x1.4161dd1c8a12p-19, 0x1.3f7fad04ecee8p-19, 0x1.3d9ede7d8c92fp-19, 0x1.3bbf7666ea823p-19, 0x1.39e179829967bp-19, 0x1.3804ec73e8e08p-19, 0x1.3629d3c049c97p-19, 0x1.345033cf70416p-19, 0x1.327810ebd83fdp-19, 0x1.30a16f436d549p-19, 0x1.2ecc52e7cd868p-19, 0x1.2cf8bfce75b69p-19, 0x1.2b26b9d15dd88p-19, 0x1.295644af6b166p-19, 0x1.2787640c9b0cdp-19, 0x1.25ba1b728bd62p-19, 0x1.23ee6e50da94bp-19, 0x1.22245ffd70b1dp-19, 0x1.205bf3b500f53p-19, 0x1.1e952c9b59609p-19, 0x1.1cd00dbb995f7p-19, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.b3f993ae4572fp-7, 0x1.47d490502dd6fp-6, 0x1.b697aa074ef67p-6, 0x1.1338772d37ef7p-5, 0x1.4bbab1b6cdc6cp-5, 0x1.84d25418f222p-5, 0x1.be7531dd9a272p-5, 0x1.f8902a0fe3c0bp-5, 0x1.19842cf6fe628p-4, 0x1.36de30881f5ep-4, 0x1.5442d293cdb47p-4, 0x1.719cc4a641845p-4, 0x1.8ed5488e4dcbp-4, 0x1.abd4b57f40d21p-4, 0x1.c882ef8e3c0edp-4, 0x1.e4c7d11d78a24p-4, 0x1.0045c32a86377p-3, 0x1.0ddb6d945f8b4p-3, 0x1.1b19be54e435ep-3, 0x1.27f617452f967p-3, 0x1.34667ae779b2bp-3, 0x1.40619cd8e69acp-3, 0x1.4bdeeddf24976p-3, 0x1.56d6a41150006p-3, 0x1.6141bf9658d41p-3, 0x1.6b1a0c6c79f78p-3, 0x1.745a21a5a417bp-3, 0x1.7cfd5e7cb67eep-3, 0x1.84ffe59edf2a3p-3, 0x1.8c5e96fc39b5ap-3, 0x1.9317086a85a7p-3, 0x1.99277d5cd9346p-3, 0x1.9e8eddeb9f75ep-3, 0x1.a34cad61196efp-3, 0x1.a7610077cd7d2p-3, 0x1.aacc737224128p-3, 0x1.ad90202cb2cd2p-3, 0x1.afad94477996fp-3, 0x1.b126c77d7c566p-3, 0x1.b1fe123e0270ap-3, 0x1.b2362496ba0e4p-3, 0x1.b1d1fd7ab5efep-3, 0x1.b0d4e26f25dbp-3, 0x1.af4257a4142e3p-3, 0x1.ad1e187d1dedcp-3, 0x1.aa6c108c2d20bp-3, 0x1.a73054fe8e567p-3, 0x1.a36f1e7b5cf6cp-3, 0x1.9f2cc3711ed91p-3, 0x1.9a6db2cf5fbd4p-3, 0x1.95366f288dde8p-3, 0x1.8f8b8a37a48a3p-3, 0x1.8971a0c4d7075p-3, 0x1.82ed56e427bf5p-3, 0x1.7c035488ad601p-3, 0x1.74b842672b873p-3, 0x1.6d10c722bc4ap-3, 0x1.651184be3e3cep-3, 0x1.5cbf164d801cep-3, 0x1.541e0de12965p-3, 0x1.4b32f2a8b70f2p-3, 0x1.42023f460c36fp-3, 0x1.3890604e55aa2p-3, 0x1.2ee1b2f44e9acp-3, 0x1.24fa83d82cf5ap-3, 0x1.1adf0df9c6a08p-3, 0x1.109379c9c9079p-3, 0x1.061bdc5712e84p-3, 0x1.f6f86d2b00fddp-4, 0x1.e170e977a9ad7p-4, 0x1.cba8db6cdcfc3p-4, 0x1.b5a7c559d07bcp-4, 0x1.9f74fd319225cp-4, 0x1.8917abd77393fp-4, 0x1.7296cc878e236p-4, 0x1.5bf92c58ee6e1p-4, 0x1.454569d715e65p-4, 0x1.2e81f4b0e111ap-4, 0x1.17b50d7b0bcep-4, 0x1.00e4c584ce513p-4, 0x1.d42dfd7a6aa75p-5, 0x1.a6a2d75007a63p-5, 0x1.79331ec22e23fp-5, 0x1.4be97b5aba184p-5, 0x1.1ed03631283e2p-5, 0x1.e3e2747c66635p-6, 0x1.8aac298c8c2b9p-6, 0x1.320febb36559p-6, 0x1.b43ec3a65245fp-7, 0x1.05d6f5c200d0ep-7, 0x1.64237ae1b1e66p-9, -0x1.4831e8b21350bp-9, -0x1.f696e7b634e8dp-8, -0x1.a297cfba71e73p-7, -0x1.23eb56d593164p-6, -0x1.757743e54deacp-6, -0x1.c5e396fdc4444p-6, -0x1.0a92704d8fcb7p-5, -0x1.31982ba8d977fp-5, -0x1.57fdeaa0e8cbep-5, -0x1.7dbeeab9b06d1p-5, -0x1.a2d6b88d4265p-5, -0x1.c7412e6350edbp-5, -0x1.eafa72be8f35ap-5, -0x1.06ff7b7045eebp-4, -0x1.1825baa261694p-4, -0x1.28ee7809c1badp-4, -0x1.395857c6b1b33p-4, -0x1.49622037f28c8p-4, -0x1.590ab929fe3efp-4, -0x1.68512b0393d19p-4, -0x1.77349defe0572p-4, -0x1.85b4590699bc2p-4, -0x1.93cfc1725f235p-4, -0x1.a1865995b5b88p-4, -0x1.aed7c02eec911p-4, -0x1.bbc3af7b44d68p-4, -0x1.c849fc5999857p-4, -0x1.d46a956ce2eecp-4, -0x1.e025823ee5525p-4, -0x1.eb7ae2633932ep-4, -0x1.f66aec9b0e234p-4, -0x1.007af6fcf492cp-3, -0x1.058e2485c62c5p-3, -0x1.0a6f3a7daaaedp-3, -0x1.0f1e7e5eaf0bap-3, -0x1.139c3f1cb60c2p-3, -0x1.17e8d4bc0de7bp-3, -0x1.1c049fe929e19p-3, -0x1.1ff009919cf59p-3, -0x1.23ab827e77e16p-3, -0x1.273782f00b6bcp-3, -0x1.2a948a3b38412p-3, -0x1.2dc31e68528ddp-3, -0x1.30c3cbd3acafbp-3, -0x1.339724cfdefd3p-3, -0x1.363dc149ce636p-3, -0x1.38b83e6e9429ap-3, -0x1.3b073e533c4cfp-3, -0x1.3d2b679e76979p-3, -0x1.3f25653436f1dp-3, -0x1.40f5e5e358443p-3, -0x1.429d9c154571bp-3, -0x1.441d3d7fab0b8p-3, -0x1.457582d83544dp-3, -0x1.46a7278a6f41cp-3, -0x1.47b2e96faa3fdp-3, -0x1.489988890a801p-3, -0x1.495bc6bba5b6fp-3, -0x1.49fa678ec49bp-3, -0x1.4a762fec36da7p-3, -0x1.4acfe5e2c4e78p-3, -0x1.4b08506ab5ef9p-3, -0x1.4b20372c6bbd7p-3, -0x1.4b18624909fa6p-3, -0x1.4af19a252ef55p-3, -0x1.4aaca735b281p-3, -0x1.4a4a51ce5f7a1p-3, -0x1.49cb61f2b6073p-3, -0x1.49309f289283fp-3, -0x1.487ad04cd61c7p-3, -0x1.47aabb69e51fp-3, -0x1.46c1259012c44p-3, -0x1.45bed2afdac22p-3, -0x1.44a48575f176ap-3, -0x1.4372ff2912e9ap-3, -0x1.422aff899c15fp-3, -0x1.40cd44b2cb496p-3, -0x1.3f5a8afdb9349p-3, -0x1.3dd38ce5e93c5p-3, -0x1.3c3902ef7736bp-3, -0x1.3a8ba38ed8e48p-3, -0x1.38cc23121b698p-3, -0x1.36fb338ba3cb3p-3, -0x1.351984be5ab71p-3, -0x1.3327c40b4552dp-3, -0x1.31269c6077bc2p-3, -0x1.2f16b629586c1p-3, -0x1.2cf8b740347fp-3, -0x1.2acd42e10d202p-3, -0x1.2894f99d9a949p-3, -0x1.265079527cfb1p-3, -0x1.24005d1d8bcccp-3, -0x1.21a53d5540991p-3, -0x1.1f3faf812eebap-3, -0x1.1cd046537a667p-3, -0x1.1a5791a352fc6p-3, -0x1.17d61e6859627p-3, -0x1.154c76b6f2c2bp-3, -0x1.12bb21bd74d0dp-3, -0x1.1022a3c23069dp-3, -0x1.0d837e22413bap-3, -0x1.0ade2f51297e7p-3, -0x1.083332d92828ap-3, -0x1.0583015c3fef6p-3, -0x1.02ce1095eff5ep-3, -0x1.0014d35d8bb22p-3, -0x1.faaf7352624cp-4, -0x1.f52e6122a77fep-4, -0x1.efa744a9a7f03p-4, -0x1.ea1aecbb3cc74p-4, -0x1.e48a228b8692ap-4, -0x1.def5a9ba20c9dp-4, -0x1.d95e405e2166ep-4, -0x1.d3c49f1300b69p-4, -0x1.ce297906381d5p-4, -0x1.c88d7c05ab2cap-4, -0x1.c2f1508eb4531p-4, -0x1.bd5599ddddf3dp-4, -0x1.b7baf5ff32c99p-4, -0x1.b221fddf1239bp-4, -0x1.ac8b455b9a308p-4, -0x1.a6f75b5678c8cp-4, -0x1.a166c9c7304c6p-4, -0x1.9bda15cdc8477p-4, -0x1.9651bfc5d1d18p-4, -0x1.90ce4359bedf7p-4, -0x1.8b5017968bbdbp-4, -0x1.85d7aeffa0d57p-4, -0x1.806577a2f3131p-4, -0x1.7af9db2d5750bp-4, -0x1.75953efefca1fp-4, -0x1.703804400e079p-4, -0x1.6ae287f56e2c9p-4, -0x1.659523158b6a2p-4, -0x1.60502a9d43741p-4, -0x1.5b13efa4d02a7p-4, -0x1.55e0bf74b8d21p-4, -0x1.50b6e39ac50e8p-4, -0x1.4b96a1fee49a3p-4, -0x1.46803cf810225p-4, -0x1.4173f36119f2bp-4, -0x1.3c7200ad665b9p-4, -0x1.377a9cfd90bc9p-4, -0x1.328dfd33f05f1p-4, -0x1.2dac5308fdd21p-4, -0x1.28d5cd1f95cbcp-4, -0x1.240a971912e05p-4, -0x1.1f4ad9a93cd33p-4, -0x1.1a96baaa0c1a5p-4, -0x1.15ee5d2f3a02dp-4, -0x1.1151e199a2645p-4, -0x1.0cc165aa6bfa7p-4, -0x1.083d0495f8f9ep-4, -0x1.03c4d716a2deap-4, -0x1.feb1e6fe67cfap-5, -0x1.f5f2db9a4f818p-5, -0x1.ed4caf7555712p-5, -0x1.e4bf81a0b2f04p-5, -0x1.dc4b6ced7c15ap-5, -0x1.d3f0880f10f1cp-5, -0x1.cbaee5bd0bdfep-5, -0x1.c38694d49f95dp-5, -0x1.bb77a07969df6p-5, -0x1.b3821035b7dabp-5, -0x1.aba5e81a3e858p-5, -0x1.a3e328dd3b4bcp-5, -0x1.9c39cff90941bp-5, -0x1.94a9d7ca212f2p-5, -0x1.8d3337ac8a0dcp-5, -0x1.85d5e418af6b7p-5, -0x1.7e91cebfab102p-5, -0x1.7766e6a6f7589p-5, -0x1.7055184392b7fp-5, -0x1.695c4d94853f2p-5, -0x1.627c6e3ce340fp-5, -0x1.5bb55f9d303a4p-5, -0x1.550704ec33947p-5, -0x1.4e713f4f3ee8dp-5, -0x1.47f3edf1e3a9p-5, -0x1.418eee1d1884dp-5, -0x1.3b421b4dcb651p-5, -0x1.350d4f4af190dp-5, -0x1.2ef0623b02a4bp-5, -0x1.28eb2ab8eb064p-5, -0x1.22fd7de875792p-5, -0x1.1d272f8a322b8p-5, -0x1.1768120ecb64bp-5, -0x1.11bff6a9e076dp-5, -0x1.0c2ead64566a6p-5, -0x1.06b4052e2fa08p-5, -0x1.014fcbefd87b6p-5, -0x1.f8039d35fa341p-6, -0x1.ed93b275c0d45p-6, -0x1.e34f6e087b6c2p-6, -0x1.d93664c94e9fcp-6, -0x1.cf482a22f2709p-6, -0x1.c584502c9d083p-6, -0x1.bbea67c614c6bp-6, -0x1.b27a00b2d7fd1p-6, -0x1.a932a9b46beb6p-6, -0x1.a013f0a3c9284p-6, -0x1.971d628a024c8p-6, -0x1.8e4e8bb7ff95dp-6, -0x1.85a6f7dd85b17p-6, -0x1.7d26321f6e57cp-6, -0x1.74cbc52d028bp-6, -0x1.6c973b54b1941p-6, -0x1.64881e97f430ap-6, -0x1.5c9df8be88464p-6, -0x1.54d85368ebc69p-6, -0x1.4d36b8221d191p-6, -0x1.45b8b070c0014p-6, -0x1.3e5dc5e78972ap-6, -0x1.372582350c5c8p-6, -0x1.300f6f32ea3d8p-6, -0x1.291b16f451aeep-6, -0x1.224803d3f6884p-6, -0x1.1b95c0816120dp-6, -0x1.1503d80dbaad9p-6, -0x1.0e91d5f803091p-6, -0x1.083f4638ba725p-6, -0x1.020bb54cfff73p-6, -0x1.f7ed6082588f8p-7, -0x1.ebff8975e2c9ep-7, -0x1.e04d0205e4fd5p-7, -0x1.d4d4e81bea2b1p-7, -0x1.c9965b0b03b58p-7, -0x1.be907ba0369ccp-7, -0x1.b3c26c321e118p-7, -0x1.a92b50af8c7b7p-7, -0x1.9eca4ead8c0eap-7, -0x1.949e8d746645fp-7, -0x1.8aa7360bf02f8p-7, -0x1.80e3734715e92p-7, -0x1.775271ceadbf7p-7, -0x1.6df3602b9187p-7, -0x1.64c56ed01bbd2p-7, -0x1.5bc7d020e3d9bp-7, -0x1.52f9b87ccc1ccp-7, -0x1.4a5a5e448b11ap-7, -0x1.41e8f9e19043dp-7, -0x1.39a4c5cc48a75p-7, -0x1.318cfe91f9734p-7, -0x1.29a0e2d9e30b3p-7, -0x1.21dfb369e8568p-7, -0x1.1a48b32acb469p-7, -0x1.12db272bd0615p-7, -0x1.0b9656a6019bfp-7, -0x1.04798afef3402p-7, -0x1.fb081f9647409p-8, -0x1.ed6a659faa311p-8, -0x1.e01888092f1e9p-8, -0x1.d3112b28d869bp-8, -0x1.c652f7bd0a1d8p-8, -0x1.b9dc9aed62638p-8, -0x1.adacc64af6985p-8, -0x1.a1c22fcf8a9a9p-8, -0x1.961b91dca1d1fp-8, -0x1.8ab7ab3999ecp-8, -0x1.7f953f1164c52p-8, -0x1.74b314efa8e9ap-8, -0x1.6a0ff8bd67eeep-8, -0x1.5faababd13d59p-8, -0x1.55822f861de17p-8, -0x1.4b9530003027p-8, -0x1.41e2995de35e6p-8, -0x1.38694d171aebfp-8, -0x1.2f2830e2f5f2fp-8, -0x1.261e2eb17931bp-8, -0x1.1d4a34a4a908p-8, -0x1.14ab35097554ap-8, -0x1.0c4026505c235p-8, -0x1.040803059f24dp-8, -0x1.f8039392b971cp-9, -0x1.e858fa8ea99e4p-9, -0x1.d90e485cc781ap-9, -0x1.ca21924f841ccp-9, -0x1.bb90f59c5bc1p-9, -0x1.ad5a974965ba5p-9, -0x1.9f7ca41ac1a29p-9, -0x1.91f5507faaa2p-9, -0x1.84c2d87f4ba33p-9, -0x1.77e37fa5171d2p-9, -0x1.6b5590ece963p-9, -0x1.5f175eaf089c4p-9, -0x1.5327428bb786ap-9, -0x1.47839d56f9c29p-9, -0x1.3c2ad703aa2b7p-9, -0x1.311b5e8ed27dap-9, -0x1.2653a9eab8ad5p-9, -0x1.1bd235e9c324cp-9, -0x1.11958629500fbp-9, -0x1.079c24fc6c90dp-9, -0x1.fbc946ad0a6abp-10, -0x1.e8db316c260fdp-10, -0x1.d66b461e8a863p-10, -0x1.c476cd6ce7b09p-10, -0x1.b2fb1c95af8a5p-10, -0x1.a1f59542175afp-10, -0x1.9163a55b5135cp-10, -0x1.8142c6dfc3387p-10, -0x1.71907fb88137dp-10, -0x1.624a618ec9ccep-10, -0x1.536e09a186c2dp-10, -0x1.44f9209b399acp-10, -0x1.36e95a67cbea3p-10, -0x1.293c760ab1ea1p-10, -0x1.1bf03d75292b6p-10, -0x1.0f02855cf9e6fp-10, -0x1.02712d12f6ff6p-10, -0x1.ec743cb486fe1p-11, -0x1.d4b69a7efd80dp-11, -0x1.bda56fe120425p-11, -0x1.a73ccd2866a31p-11, -0x1.9178d644b5cbfp-11, -0x1.7c55c278ff16dp-11, -0x1.67cfdc0d7afe4p-11, -0x1.53e380013fabbp-11, -0x1.408d1dbdb67b5p-11, -0x1.2dc936c9d525fp-11, -0x1.1b945e7f14536p-11, -0x1.09eb39bdf55c5p-11, -0x1.f194fd48df1e9p-12, -0x1.d05de887c6d3cp-12, -0x1.b02ae4b17afb5p-12, -0x1.90f5c205cf30ap-12, -0x1.72b870fcad7e7p-12, -0x1.556d01b9430d8p-12, -0x1.390da380233c6p-12, -0x1.1d94a42c84945p-12, -0x1.02fc6fa948b83p-12, -0x1.d27f1ed6a07bap-13, -0x1.a0b153d76368bp-13, -0x1.7085044b03fefp-13, -0x1.41efee294f84fp-13, -0x1.14e8066cc3afep-13, -0x1.d2c6f02b82052p-14, -0x1.7eb1466671e57p-14, -0x1.2d7c37d8f63a3p-14, -0x1.be2aa63b69b03p-15, -0x1.26d516853863p-15, -0x1.29a8d7b6f44d3p-16, -0x1.00c26370332bdp-20, 0x1.fedf236e67f8dp-17, 0x1.028642b468e73p-15, 0x1.8085be14d0b5ap-15, 0x1.f9d5eb102983ap-15, 0x1.374ae4c07d914p-14, 0x1.6f71d6326bdccp-14, 0x1.a56e9e8bc77e9p-14, 0x1.d94fbf47e3c3cp-14, 0x1.0591b422bf49bp-13, 0x1.1d7bbcac49c16p-13, 0x1.346cc1e8e1c2ap-13, 0x1.4a6b660176eb5p-13, 0x1.5f7e255e29ae9p-13, 0x1.73ab5760a175ap-13, 0x1.86f92f1f1fe7p-13, 0x1.996dbc185118p-13, 0x1.ab0eeae7e3b34p-13, 0x1.bbe285f3c86c2p-13, 0x1.cbee361a97faap-13, 0x1.db37835e03c7fp-13, 0x1.e9c3d588be7aep-13, 0x1.f79874d47ea2bp-13, 0x1.025d454574921p-12, 0x1.089790d11709p-12, 0x1.0e7d93ae7f0d7p-12, 0x1.1411b5f0abb25p-12, 0x1.195651686ca88p-12, 0x1.1e4db1ee1e2ebp-12, 0x1.22fa15aa6125bp-12, 0x1.275dad5da7345p-12, 0x1.2b7a9ca6a9f26p-12, 0x1.2f52fa47666c6p-12, 0x1.32e8d068e49bcp-12, 0x1.363e1cddae737p-12, 0x1.3954d162edf2dp-12, 0x1.3c2ed3e0f4cd1p-12, 0x1.3ecdfeaa8a2ap-12, 0x1.413420ba519p-12, 0x1.4362fdefac7f5p-12, 0x1.455c4f4ac8d5ap-12, 0x1.4721c325cb408p-12, 0x1.48b4fd70089b7p-12, 0x1.4a1797e530c6bp-12, 0x1.4b4b22456420dp-12, 0x1.4c51228aefc59p-12, 0x1.4d2b151fa06a1p-12, 0x1.4dda6d1126152p-12, 0x1.4e6094444be73p-12, 0x1.4ebeeba785a51p-12, 0x1.4ef6cb6410ec4p-12, 0x1.4f09830e81c82p-12, 0x1.4ef859d56ebedp-12, 0x1.4ec48eb12bfbep-12, 0x1.4e6f589094208p-12, 0x1.4df9e68680447p-12, 0x1.4d655ff4f2e4cp-12, 0x1.4cb2e4b8b2f66p-12, 0x1.4be38d5304a2ep-12, 0x1.4af86b13420b1p-12, 0x1.49f2883f61c56p-12, 0x1.48d2e83c15c64p-12, 0x1.479a87b36c617p-12, 0x1.464a5cbabd26p-12, 0x1.44e356f83d758p-12, 0x1.43665fc817e75p-12, 0x1.41d45a6000d0cp-12, 0x1.402e23f2807d5p-12, 0x1.3e7493d1a27aep-12, 0x1.3ca87b908e933p-12, 0x1.3acaa724a9864p-12, 0x1.38dbdd061417p-12, 0x1.36dcde4fbfcf1p-12, 0x1.34ce66de9e131p-12, 0x1.32b12d6fc2cd9p-12, 0x1.3085e3be7d311p-12, 0x1.2e4d36a17cd4ep-12, 0x1.2c07ce27d0fdcp-12, 0x1.29b64db4b8cefp-12, 0x1.2759541b79c8ep-12, 0x1.24f17bb9f7e0fp-12, 0x1.227f5a93920cfp-12, 0x1.2003826a4574fp-12, 0x1.1d7e80d87252cp-12, 0x1.1af0df69cc3fp-12, 0x1.185b23b34a3dfp-12, 0x1.15bdcf6b1e735p-12, 0x1.1319607fce761p-12, 0x1.106e512efbecap-12, 0x1.0dbd181babe8fp-12, 0x1.0b06286421477p-12, 0x1.0849f1b73ba84p-12, 0x1.0588e06980634p-12, 0x1.02c35d8960078p-12, 0x1.fff39de68c866p-13, 0x1.fa592eca3e2a1p-13, 0x1.f4b82d2370d44p-13, 0x1.ef1152669637ap-13, 0x1.e965523c409afp-13, 0x1.e3b4daa49a1a4p-13, 0x1.de00941ae4eadp-13, 0x1.d84921b7a471ep-13, 0x1.d28f2152084eap-13, 0x1.ccd32ba17e1ecp-13, 0x1.c715d45d87354p-13, 0x1.c157aa5d9a06dp-13, 0x1.bb9937b7c4bb8p-13, 0x1.b5db01deb21fap-13, 0x1.b01d89bf3415ep-13, 0x1.aa614bdd4d3b7p-13, 0x1.a4a6c07049279p-13, 0x1.9eee5b7e73643p-13, 0x1.99388cf8504cap-13, 0x1.9385c0d2abc91p-13, 0x1.8dd65f20a1bb8p-13, 0x1.882acc2c50273p-13, 0x1.828368906fed8p-13, 0x1.7ce0914fff0b8p-13, 0x1.77429fee0df94p-13, 0x1.71a9ea84ce148p-13, 0x1.6c16c3dc0d3a5p-13, 0x1.66897b7f41b07p-13, 0x1.61025dd316277p-13, 0x1.5b81b42ab964p-13, 0x1.5607c4dc33814p-13, 0x1.5094d354f78cfp-13, 0x1.4b29202d531b1p-13, 0x1.45c4e93bcda2cp-13, 0x1.406869a7aec8fp-13, 0x1.3b13d9fba6e4bp-13, 0x1.35c77037c52c5p-13, 0x1.30835fe300e52p-13, 0x1.2b47da1c8387p-13, 0x1.26150dac59c05p-13, 0x1.20eb2713b94a3p-13, 0x1.1bca509d3beddp-13, 0x1.16b2b26c395c1p-13, 0x1.11a4728c5628fp-13, 0x1.0c9fb500576dfp-13, 0x1.07a49bd0d5ff5p-13, 0x1.02b3471a7721ep-13, 0x1.fb97aa377422p-14, 0x1.f1dcc48567026p-14, 0x1.e83612744c362p-14, 0x1.dea3c5ed668f7p-14, 0x1.d5260d86c3819p-14, 0x1.cbbd149c226dp-14, 0x1.c26903675c039p-14, 0x1.b929ff175bfc6p-14, 0x1.b00029e7c5ea2p-14, 0x1.a6eba336a8df4p-14, 0x1.9dec879b5bf2p-14, 0x1.9502f0fb4e5b9p-14, 0x1.8c2ef69f437dap-14, 0x1.8370ad47dfcfep-14, 0x1.7ac8274132ee6p-14, 0x1.7235747660769p-14, 0x1.69b8a284b69d3p-14, 0x1.6151bccdd2794p-14, 0x1.5900cc8a1c93bp-14, 0x1.50c5d8da6477dp-14, 0x1.48a0e6d8efbfep-14, 0x1.4091f9aa631fcp-14, 0x1.3899128e2229cp-14, 0x1.30b630ee40d4ap-14, 0x1.28e9526f197dbp-14, 0x1.213272fe73f36p-14, 0x1.19918ce28849ep-14, 0x1.120698c82eeb7p-14, 0x1.0a918dd1646ccp-14, 0x1.033261a2ca558p-14, 0x1.f7d210e1deafcp-15, 0x1.e96aea1b47ed6p-15, 0x1.db2f31e90453bp-15, 0x1.cd1ec8af15fb5p-15, 0x1.bf398c56419bbp-15, 0x1.b17f58637f7fdp-15, 0x1.a3f0060fda5e9p-15, 0x1.968b6c5d8a3b6p-15, 0x1.8951602ee2eecp-15, 0x1.7c41b45b35bd8p-15, 0x1.6f5c39c391132p-15, 0x1.62a0bf66bbdf9p-15, 0x1.560f1274e4946p-15, 0x1.49a6fe631452bp-15, 0x1.3d684cfdded26p-15, 0x1.3152c67b15b9ep-15, 0x1.2566318be9201p-15, 0x1.19a2536dd2ee9p-15, 0x1.0e06effbbcfd3p-15, 0x1.0293c9bdb9d91p-15, 0x1.ee9143f27186bp-16, 0x1.d84a7180e59e3p-16, 0x1.c2529a02d09d3p-16, 0x1.aca939296c85bp-16, 0x1.974dc896cb015p-16, 0x1.823fbffa7fba1p-16, 0x1.6d7e952b37d43p-16, 0x1.5909bc413b97fp-16, 0x1.44e0a7b0af419p-16, 0x1.3102c861125f6p-16, 0x1.1d6f8dc66edp-16, 0x1.0a2665f7fe839p-16, 0x1.ee4d7b8dcf258p-17, 0x1.c8e001a9901f4p-17, 0x1.a403334fd32fdp-17, 0x1.7fb5e380fc285p-17, 0x1.5bf6e35b5f92fp-17, 0x1.38c5023f30fedp-17, 0x1.161f0df7e308dp-17, 0x1.e807a5be18628p-18, 0x1.a4e43800ee55ap-18, 0x1.62d1667afb268p-18, 0x1.21ccc2d8ef42fp-18, 0x1.c3a7b9eab2d53p-19, 0x1.45c886354692fp-19, 0x1.93ee08f10511bp-20, 0x1.40b931a50ed25p-21, -0x1.3cb4600dc33bfp-22, -0x1.3ab8e04b13557p-20, -0x1.11284c431542cp-19, -0x1.82ff0d19f7c57p-19, -0x1.f2e59f801dd14p-19, -0x1.30707801c9fbep-18, -0x1.667af54407ebbp-18, -0x1.9b94bcf692941p-18, -0x1.cfc043db9d527p-18, -0x1.017ffeecbb0dbp-17, -0x1.1aab2eeb68d8bp-17, -0x1.3362eac8987a3p-17, -0x1.4ba86abb06ebp-17, -0x1.637ce63d87ec3p-17, -0x1.7ae193ff3ae06p-17, -0x1.91d7a9d10b9a4p-17, -0x1.a8605c94c8ffap-17, -0x1.be7ce02e42a14p-17, -0x1.d42e67728c2f9p-17, -0x1.e976241b6b631p-17, -0x1.fe5546b653626p-17, -0x1.09667f4c14913p-16, -0x1.136f3ce85f239p-16, -0x1.1d45728e1712dp-16, -0x1.26e9b5ebfd499p-16, -0x1.305c9bfba9b58p-16, -0x1.399eb8fb8820fp-16, -0x1.42b0a06a64f7ap-16, -0x1.4b92e501a7607p-16, -0x1.544618b09a45ep-16, -0x1.5ccacc97ddb9ap-16, -0x1.65219103f8f6dp-16, -0x1.6d4af56a86343p-16, -0x1.75478864e8adbp-16, -0x1.7d17d7ad5ba45p-16, -0x1.84bc701aa9a63p-16, -0x1.8c35dd9cffbfcp-16, -0x1.9384ab3a9064ep-16, -0x1.9aa9630c7170bp-16, -0x1.a1a48e3b35b0fp-16, -0x1.a876b4fd06827p-16, -0x1.af205e9202461p-16, -0x1.b5a211421017dp-16, -0x1.bbfc525affe7dp-16, -0x1.c22fa62e2a4f4p-16, -0x1.c83c900de753cp-16, -0x1.ce23924c45197p-16, -0x1.d3e52e395ebf4p-16, -0x1.d981e4208607cp-16, -0x1.defa3347fb4a5p-16, -0x1.e44e99ef4dad8p-16, -0x1.e97f954da0b81p-16, -0x1.ee8da190c673dp-16, -0x1.f37939dcdbfdp-16, -0x1.f842d84a7ae65p-16, -0x1.fceaf5e627aa8p-16, -0x1.00b90557dd895p-15, -0x1.02ec46cce686bp-15, -0x1.050f7a44a0b1fp-15, -0x1.0722da2a3c19fp-15, -0x1.0926a061b3376p-15, -0x1.0b1b064788fe5p-15, -0x1.0d0044b0ded85p-15, -0x1.0ed693eb66f36p-15, -0x1.109e2bbd4b664p-15, -0x1.1257436537ea5p-15, -0x1.1402119a8dbd9p-15, -0x1.159ecc8d46735p-15, -0x1.172da9e65e3d8p-15, -0x1.18aedec803d7ap-15, -0x1.1a229fcd8f28ap-15, -0x1.1b89210c023eap-15, -0x1.1ce296124ed8p-15, -0x1.1e2f31e99008cp-15, -0x1.1f6f27155754ap-15, -0x1.20a2a7941a925p-15, -0x1.21c9e4dfc4c15p-15, -0x1.22e50fedd562ap-15, -0x1.23f4592ffaac4p-15, -0x1.24f7f0949aceap-15, -0x1.25f005871f418p-15, -0x1.26dcc6f0c5bb3p-15, -0x1.27be6338ef17fp-15, -0x1.28950845c5158p-15, -0x1.2960e37cac892p-15, -0x1.2a2221c3022a1p-15, -0x1.2ad8ef7ec1058p-15, -0x1.2b8578970bc3ap-15, -0x1.2c27e874bf4adp-15, -0x1.2cc06a0353edbp-15, -0x1.2d4f27b17dbefp-15, -0x1.2dd44b71bd0b7p-15, -0x1.2e4ffebb0cbafp-15, -0x1.2ec26a89dcb6cp-15, -0x1.2f2bb760aa508p-15, -0x1.2f8c0d48aea36p-15, -0x1.2fe393d2a5d14p-15, -0x1.30327217b2b68p-15, -0x1.3078ceb9f46eep-15, -0x1.30b6cfe58b8bp-15, -0x1.30ec9b513d464p-15, -0x1.311a563f4087ep-15, -0x1.3140257e1f10dp-15, -0x1.315e2d6985bafp-15, -0x1.317491eb1b346p-15, -0x1.3183767b51533p-15, -0x1.318afe223892cp-15, -0x1.318b4b78497a1p-15, -0x1.318480a75771dp-15, -0x1.3176bf6b83f59p-15, -0x1.31622913ef1e9p-15, -0x1.3146de838cee3p-15, -0x1.312500321c19ep-15, -0x1.30fcae2d23539p-15, -0x1.30ce0818afe1p-15, -0x1.30992d3025db6p-15, -0x1.305e3c472bcfcp-15, -0x1.301d53cabf72cp-15, -0x1.2fd691c1c3f0bp-15, -0x1.2f8a13ce1fff6p-15, -0x1.2f37f72d86e87p-15, -0x1.2ee058ba7adcep-15, -0x1.2e8354ed08aadp-15, -0x1.2e2107dbb2a6p-15, -0x1.2db98d3c73577p-15, -0x1.2d4d0065862bbp-15, -0x1.2cdb7c4e5d2a5p-15, -0x1.2c651b905858bp-15, -0x1.2be9f867e1462p-15, -0x1.2b6a2cb53248ep-15, -0x1.2ae5d1fd40521p-15, -0x1.2a5d016a86216p-15, -0x1.29cfd3cdf3804p-15, -0x1.293e619fe6effp-15, -0x1.28a8c300f9396p-15, -0x1.280f0fbad9903p-15, -0x1.27715f412a6ddp-15, -0x1.26cfc8b27e218p-15, -0x1.262a62d902ab8p-15, -0x1.2581442b8e83cp-15, -0x1.24d482ce62cbcp-15, -0x1.24243493f6de7p-15, -0x1.23706efdff531p-15, -0x1.22b9473e27895p-15, -0x1.21fed236f5b98p-15, -0x1.2141247cabc64p-15, -0x1.20805256143d6p-15, -0x1.1fbc6fbd53acp-15, -0x1.1ef59060afdb9p-15, -0x1.1e2bc7a370ffep-15, -0x1.1d5f289ed039fp-15, -0x1.1c8fc622a3739p-15, -0x1.1bbdb2b634d2bp-15, -0x1.1ae900991919p-15, -0x1.1a11c1c3f45b1p-15, -0x1.193807e95c9fcp-15, -0x1.185be47680b02p-15, -0x1.177d68940830ep-15, -0x1.169ca526e4f66p-15, -0x1.15b9aad10ac36p-15, -0x1.14d489f23e741p-15, -0x1.13ed52a8cfe5fp-15, -0x1.130414d24b97ap-15, -0x1.1218e00c5f71p-15, -0x1.112bc3b598461p-15, -0x1.103cceee07eefp-15, -0x1.0f4c1098289f2p-15, -0x1.0e59975981304p-15, -0x1.0d65719b5bcc7p-15, -0x1.0c6fad8b7b84p-15, -0x1.0b78591cec30bp-15, -0x1.0a7f820890c59p-15, -0x1.098535ce15102p-15, -0x1.088981b4677f2p-15, -0x1.078c72ca92077p-15, -0x1.068e15e85119cp-15, -0x1.058e77aedd65cp-15, -0x1.048da4897e20cp-15, -0x1.038ba8ae4068ep-15, -0x1.0288901eabc5dp-15, -0x1.018466a86b7f3p-15, -0x1.007f37e5e9889p-15, -0x1.fef21e7e18c1bp-16, -0x1.fce3efd385b9fp-16, -0x1.fad3f9d518b04p-16, -0x1.f8c2522ab75e7p-16, -0x1.f6af0e1c31e98p-16, -0x1.f49a4292986fbp-16, -0x1.f28404195edd5p-16, -0x1.f06c66dfaf98ep-16, -0x1.ee537eb988239p-16, -0x1.ec395f20e9e6dp-16, -0x1.ea1e1b370a49cp-16, -0x1.e801c5c5888a5p-16, -0x1.e5e4713f95e4fp-16, -0x1.e3c62fc31fe69p-16, -0x1.e1a7131a02abp-16, -0x1.df872cbb0c452p-16, -0x1.dd668dcb34c1dp-16, -0x1.db45471eb7e5fp-16, -0x1.d923693a08049p-16, -0x1.d7010453031f2p-16, -0x1.d4de28521f606p-16, -0x1.d2bae4d348541p-16, -0x1.d09749270e439p-16, -0x1.ce736453c2d69p-16, -0x1.cc4f4516513f5p-16, -0x1.ca2af9e304632p-16, -0x1.c80690e70caf5p-16, -0x1.c5e218095a6edp-16, -0x1.c3bd9ceb943ap-16, -0x1.c1992ceb085b6p-16, -0x1.bf74d52198705p-16, -0x1.bd50a266c34dbp-16, -0x1.bb2ca15092c9fp-16, -0x1.b908de3472788p-16, -0x1.b6e5652842ec5p-16, -0x1.b4c24202ff737p-16, -0x1.b29f805df3efep-16, -0x1.b07d2b959674dp-16, -0x1.ae5b4eca51c23p-16, -0x1.ac39f4e152a17p-16, -0x1.aa1928859a702p-16, -0x1.a7f8f428b9c08p-16, -0x1.a5d962037f739p-16, -0x1.a3ba7c1714a0dp-16, -0x1.a19c4c2dc4302p-16, -0x1.9f7edbdbbb3e3p-16, -0x1.9d62347fdc3ddp-16, -0x1.9b465f44966b4p-16, -0x1.992b65208cf94p-16, -0x1.97114ed72b80bp-16, -0x1.94f824f9e5f0ap-16, -0x1.92dfefe8dfba9p-16, -0x1.90c8b7d379c66p-16, -0x1.8eb284b9482ap-16, -0x1.8c9d5e6a9bca9p-16, -0x1.8a894c894d903p-16, -0x1.887656897ecacp-16, -0x1.866483b22ce9ep-16, -0x1.8453db1e27eccp-16, -0x1.824463bc5e0bp-16, -0x1.80362450cdd21p-16, -0x1.7e2923754adc8p-16, -0x1.7c1d6799ec11dp-16, -0x1.7a12f705c6ffcp-16, -0x1.7809d7d7ae15dp-16, -0x1.76021006bc6fep-16, -0x1.73fba562f00a4p-16, -0x1.71f69d95c33d5p-16, -0x1.6ff2fe22ea405p-16, -0x1.6df0cc68e9c34p-16, -0x1.6bf00da1a08ffp-16, -0x1.69f0c6e2dd6b6p-16, -0x1.67f2fd1f133aap-16, -0x1.65f6b525c236fp-16, -0x1.63fbf3a3d2b8bp-16, -0x1.6202bd24b1d82p-16, -0x1.600b161295e1ap-16, -0x1.5e1502b703a46p-16, -0x1.5c20873b759e8p-16, -0x1.5a2da7a9c4792p-16, -0x1.583c67ecbc31p-16, -0x1.564ccbd0a4ff8p-16, -0x1.545ed703a6cabp-16, -0x1.52728d168e96p-16, -0x1.5087f17ce9e37p-16, -0x1.4e9f078dccdc9p-16, -0x1.4cb7d28459ca1p-16, -0x1.4ad25580007d1p-16, -0x1.48ee938521e13p-16, -0x1.470c8f7d8ecedp-16, -0x1.452c4c38df3b9p-16, -0x1.434dcc6cfb236p-16, -0x1.417112b65938cp-16, -0x1.3f962198a1067p-16, -0x1.3dbcfb7f3c7d6p-16, -0x1.3be5a2bd8ep-16, -0x1.3a10198f60cb3p-16, -0x1.383c62196093cp-16, -0x1.366a7e6992951p-16, -0x1.349a707783aedp-16, -0x1.32cc3a24c8a86p-16, -0x1.30ffdd3d91302p-16, -0x1.2f355b78db049p-16, -0x1.2d6cb678ed2c6p-16, -0x1.2ba5efcbb208ap-16, -0x1.29e108eb0751p-16, -0x1.281e033d3387ap-16, -0x1.265ce01524aap-16, -0x1.249da0b2e4342p-16, -0x1.22e04643f9d8ap-16, -0x1.2124d1e39269dp-16, -0x1.1f6b449af8302p-16, -0x1.1db39f61f8838p-16, -0x1.1bfde31f26cf6p-16, -0x1.1a4a10a831997p-16, -0x1.189828c233eedp-16, -0x1.16e82c2217633p-16, -0x1.153a1b6cc5c98p-16, -0x1.138df7377fabdp-16, -0x1.11e3c008337bep-16, -0x1.103b7655c430fp-16, -0x1.0e951a886412dp-16, -0x1.0cf0acf9d593ap-16, -0x1.0b4e2df59f31dp-16, -0x1.09ad9db97564ap-16, -0x1.080efc7577236p-16, -0x1.06724a4c4b70bp-16, -0x1.04d7875388658p-16, -0x1.033eb39415e8bp-16, -0x1.01a7cf0a3936ep-16, -0x1.0012d9a5f4b8ap-16, -0x1.fcffa6969bcfp-17, -0x1.f9dd77a4e9e02p-17, -0x1.f6bf26102acc1p-17, -0x1.f3a4b15b0ba69p-17, -0x1.f08e18f2380ccp-17, -0x1.ed7b5c2c8c963p-17, -0x1.ea6c7a4bbb1f2p-17, -0x1.e761727cbb31cp-17, -0x1.e45a43d82641bp-17, -0x1.e156ed62cefe7p-17, -0x1.de576e0dfc698p-17, -0x1.db5bc4b81273fp-17, -0x1.d863f02cf3fdep-17, -0x1.d56fef261b563p-17, -0x1.d27fc04b5b583p-17, -0x1.cf93623328ebp-17, -0x1.ccaad362ebb5ep-17, -0x1.c9c6124f8b5c2p-17, -0x1.c6e51d5dc765cp-17, -0x1.c407f2e25cb83p-17, -0x1.c12e912291608p-17, -0x1.be58f654d1a9bp-17, -0x1.bb8720a09349dp-17, -0x1.b8b90e1ee57f8p-17, -0x1.b5eebcdadbb71p-17, -0x1.b3282ad1bba8bp-17, -0x1.b06555f36f31dp-17, -0x1.ada63c22ed89dp-17, -0x1.aaeadb364f6fp-17, -0x1.a83330f7708fp-17, -0x1.a57f3b2406963p-17, -0x1.a2cef76ddf279p-17, -0x1.a022637b78a01p-17, -0x1.9d797ce7f51ddp-17, -0x1.9ad44143b7967p-17, }}, 
      {{-0x1.49d53da0f7e37p-3, -0x1.4c4b534101c39p-3, -0x1.4f951260456c4p-3, -0x1.5394980172411p-3, -0x1.582b77514c6b2p-3, -0x1.5d3c64add4f19p-3, -0x1.62ac41025f158p-3, -0x1.6862b3ad09a16p-3, -0x1.6e4a7490f365bp-3, -0x1.74515eccfe128p-3, -0x1.7a685dde30beap-3, -0x1.8083421293e4p-3, -0x1.869885a00195ep-3, -0x1.8ca109163cc27p-3, -0x1.9297cbf9c38a5p-3, -0x1.9879a4ed2094ap-3, -0x1.9e44fbc5b0a9ep-3, -0x1.a3f987255f101p-3, -0x1.a9980ea2a3499p-3, -0x1.af22321d5afb6p-3, -0x1.b49a369085332p-3, -0x1.ba02d8773725fp-3, -0x1.bf5f23b12d993p-3, -0x1.c4b250b553b95p-3, -0x1.c9ffa6cbd4a7dp-3, -0x1.cf4a62fb315cfp-3, -0x1.d495a34b723abp-3, -0x1.d9e455fdfe329p-3, -0x1.df392c576598bp-3, -0x1.e496909984b2ep-3, -0x1.e9fe9ecf61f97p-3, -0x1.ef7320103acffp-3, -0x1.f4f587e4a0269p-3, -0x1.fa86f37dff6eap-3, -0x1.0014153bb72e4p-2, -0x1.02ecd06e4e072p-2, -0x1.05cdbd1d2cae2p-2, -0x1.08b6c6c127699p-2, -0x1.0ba7b4c8bd167p-2, -0x1.0ea02d176b2e4p-2, -0x1.119fb6ae829ap-2, -0x1.14a5bc6f5ff3dp-2, -0x1.17b18fe9582cdp-2, -0x1.1ac26c27b5073p-2, -0x1.1dd77876204bep-2, -0x1.20efcb1392aa3p-2, -0x1.240a6bcd72059p-2, -0x1.2726567de4326p-2, -0x1.2a427d699ca31p-2, -0x1.2d5dcb7a72865p-2, -0x1.30772654f977p-2, -0x1.338d70482049ep-2, -0x1.369f8a1680a73p-2, -0x1.39ac549991936p-2, -0x1.3cb2b23f6fe6fp-2, -0x1.3fb188643a095p-2, -0x1.42a7c08855fadp-2, -0x1.45944965283a2p-2, -0x1.487617e1ea86bp-2, -0x1.4b4c27ea719dbp-2, -0x1.4e157d29c154fp-2, -0x1.50d123aa518a7p-2, -0x1.537e305de903ep-2, -0x1.561bc18ef51a4p-2, -0x1.58a8ff3d2647p-2, -0x1.5b251b671fccep-2, -0x1.5d8f5242e4a9fp-2, -0x1.5fe6ea66a4f37p-2, -0x1.622b34e3695d3p-2, -0x1.645b8d5315d4ep-2, -0x1.667759db0c2afp-2, -0x1.687e0b24bb477p-2, -0x1.6a6f1c4d36267p-2, -0x1.6c4a12cce5ed7p-2, -0x1.6e0e7e5851cap-2, -0x1.6fbbf8badc762p-2, -0x1.715225ac4455p-2, -0x1.72d0b2a1a7abfp-2, -0x1.7437569aaed07p-2, -0x1.7585d1eb771bbp-2, -0x1.76bbee03c8bb3p-2, -0x1.77d97d340bed3p-2, -0x1.78de5a706ffffp-2, -0x1.79ca69129eafp-2, -0x1.7a9d949a56071p-2, -0x1.7b57d06d2cfaep-2, -0x1.7bf91795ccfebp-2, -0x1.7c816c82d2cbdp-2, -0x1.7cf0d8c58db7dp-2, -0x1.7d476cd0c8478p-2, -0x1.7d853fb7c0426p-2, -0x1.7daa6eed6b4c6p-2, -0x1.7db71e0430ecbp-2, -0x1.7dab766e233f9p-2, -0x1.7d87a73dd66c1p-2, -0x1.7d4be4e7e8064p-2, -0x1.7cf86905415c6p-2, -0x1.7c8d7216295ap-2, -0x1.7c0b43462b48fp-2, -0x1.7b722430e1643p-2, -0x1.7ac260a7aab59p-2, -0x1.79fc487852d8dp-2, -0x1.79202f34b38d7p-2, -0x1.782e6bfb5801fp-2, -0x1.772759411de41p-2, -0x1.760b549be9517p-2, -0x1.74dabe8e5c445p-2, -0x1.7395fa54a6286p-2, -0x1.723d6db2625aap-2, -0x1.70d180c18df03p-2, -0x1.6f529dc29aebfp-2, -0x1.6dc130ed9887dp-2, -0x1.6c1da8447c71cp-2, -0x1.6a6873668cfc3p-2, -0x1.68a20364e68aap-2, -0x1.66caca98281a2p-2, -0x1.64e33c7740bd1p-2, -0x1.62ebcd6f60aebp-2, -0x1.60e4f2bd0f4eep-2, -0x1.5ecf224667c9ep-2, -0x1.5caad27676b3p-2, -0x1.5a787a19c2b12p-2, -0x1.5838903bf37b1p-2, -0x1.55eb8c06a292fp-2, -0x1.5391e4a14ba42p-2, -0x1.512c111261c9ap-2, -0x1.4eba882184768p-2, -0x1.4c3dc03ad6331p-2, -0x1.49b62f536bf27p-2, -0x1.47244acedfff3p-2, -0x1.44888765f6e82p-2, -0x1.41e3590e624b7p-2, -0x1.3f3532e390cc3p-2, -0x1.3c7e871094dcep-2, -0x1.39bfc6bb17d2ap-2, -0x1.36f961ef570c8p-2, -0x1.342bc78d27acp-2, -0x1.31576535fffbep-2, -0x1.2e7ca73bfbf81p-2, -0x1.2b9bf891e00abp-2, -0x1.28b5c2bc10512p-2, -0x1.25ca6dc27b87ap-2, -0x1.22da60236fef5p-2, -0x1.1fe5fec75beffp-2, -0x1.1cedacf56f778p-2, -0x1.19f1cc491d35cp-2, -0x1.16f2bca872078p-2, -0x1.13f0dc3b45347p-2, -0x1.10ec87632fe85p-2, -0x1.0de618b452805p-2, -0x1.0adde8eedb5c1p-2, -0x1.07d44ef94bad2p-2, -0x1.04c99fdb717a4p-2, -0x1.01be2eba18976p-2, -0x1.fd6499a6c82p-3, -0x1.f74c92f7a1c95p-3, -0x1.f134e437affbbp-3, -0x1.eb1e245c5b249p-3, -0x1.e508e67d28a67p-3, -0x1.def5b9d28458dp-3, -0x1.d8e529b59e39bp-3, -0x1.d2d7bda15386ap-3, -0x1.cccdf93412857p-3, -0x1.c6c85c32b81c9p-3, -0x1.c0c7628c505b7p-3, -0x1.bacb845ebad4bp-3, -0x1.b4d535fc22138p-3, -0x1.aee4e7f13abcep-3, -0x1.a8fb070c4271fp-3, -0x1.a317fc64b5a7dp-3, -0x1.9d3c2d63b2c84p-3, -0x1.9767fbccf9e39p-3, -0x1.919bc5c88c7a1p-3, -0x1.8bd7e5ecd75e8p-3, -0x1.861cb349640dcp-3, -0x1.806a81720c35fp-3, -0x1.7ac1a08a9a4f8p-3, -0x1.75225d52df32ep-3, -0x1.6f8d01332870ap-3, -0x1.6a01d24913e61p-3, -0x1.64811374ba671p-3, -0x1.5f0b04662369bp-3, -0x1.599fe1ab099e5p-3, -0x1.543fe4bcd0ca1p-3, -0x1.4eeb440ec1ff2p-3, -0x1.49a2331c73d0cp-3, -0x1.4464e2785f62fp-3, -0x1.3f337fda9c2e5p-3, -0x1.3a0e362fba8dp-3, -0x1.34f52da7c095dp-3, -0x1.2fe88bc52fc32p-3, -0x1.2ae8736c27a0cp-3, -0x1.25f504f18a3bfp-3, -0x1.210e5e2a2ea6cp-3, -0x1.1c349a7a0d526p-3, -0x1.1767d2e376f8ap-3, -0x1.12a81e1636682p-3, -0x1.0df5907eb1701p-3, -0x1.09503c54fc99ep-3, -0x1.04b831abd8044p-3, -0x1.002d7e7f9aa6ap-3, -0x1.f7605d8a0ba9ap-4, -0x1.ee8098eff777bp-4, -0x1.e5bbbf543c3dp-4, -0x1.dd11dd228775dp-4, -0x1.d482fb2ba314p-4, -0x1.cc0f1ec1dc59p-4, -0x1.c3b649d5163e1p-4, -0x1.bb787b0e892ddp-4, -0x1.b355adec3a9d4p-4, -0x1.ab4ddadc024adp-4, -0x1.a360f756475d3p-4, -0x1.9b8ef5f8593b3p-4, -0x1.93d7c69e58ae7p-4, -0x1.8c3b567cc8e21p-4, -0x1.84b99039b80fdp-4, -0x1.7d525c05781dp-4, -0x1.76059fb2f12e9p-4, -0x1.6ed33ecf83d2fp-4, -0x1.67bb1aba80637p-4, -0x1.60bd12bc2bb1fp-4, -0x1.59d9041c55c32p-4, -0x1.530eca387cf41p-4, -0x1.4c5e3e99810fbp-4, -0x1.45c73908e2fd2p-4, -0x1.3f498fa58ff7ep-4, -0x1.38e516f83ea74p-4, -0x1.3299a20751c52p-4, -0x1.2c67026a4eedap-4, -0x1.264d085cddcep-4, -0x1.204b82d155818p-4, -0x1.1a623f82dabf9p-4, -0x1.14910b0706f04p-4, -0x1.0ed7b0df23c3fp-4, -0x1.0935fb88f2af9p-4, -0x1.03abb48f06a19p-4, -0x1.fc7149315d122p-5, -0x1.f1b926f2e377ap-5, -0x1.e72e908042cdp-5, -0x1.dcd1128af8132p-5, -0x1.d2a03874d0933p-5, -0x1.c89b8c6b8b55fp-5, -0x1.bec29783ad20fp-5, -0x1.b514e1d284296p-5, -0x1.ab91f28763eddp-5, -0x1.a239500419371p-5, -0x1.990a7ff4964p-5, -0x1.90050765e2fb7p-5, -0x1.87286adc4a6dbp-5, -0x1.7e742e68cc23ap-5, -0x1.75e7d5bdd768dp-5, -0x1.6d82e44351fe7p-5, -0x1.6544dd29e837p-5, -0x1.5d2d437db42f5p-5, -0x1.553b9a3833b34p-5, -0x1.4d6f64519cfddp-5, -0x1.45c824d185a92p-5, -0x1.3e455edeef835p-5, -0x1.36e695cfb38a2p-5, -0x1.2fab4d3753d92p-5, -0x1.289308f532c86p-5, -0x1.219d4d4238073p-5, -0x1.1ac99ebde6299p-5, -0x1.1417827ae0a7ep-5, -0x1.0d867e0ae57c9p-5, -0x1.0716178a43846p-5, -0x1.00c5d5aacad12p-5, -0x1.f52a7f7c79d5ep-6, -0x1.e907bb807f9ep-6, -0x1.dd2270bfa8c2dp-6, -0x1.d179b210b50aep-6, -0x1.c60c93d4363dap-6, -0x1.bada2c04cd85fp-6, -0x1.afe1924687a71p-6, -0x1.a521dff55da3dp-6, -0x1.9a9a3032f32edp-6, -0x1.90499ff3814b2p-6, -0x1.862f4e09ff69p-6, -0x1.7c4a5b3388e2fp-6, -0x1.7299ea22128edp-6, -0x1.691d1f866959p-6, -0x1.5fd3221980f48p-6, -0x1.56bb1aa518f34p-6, -0x1.4dd4340bc38adp-6, -0x1.451d9b5047afp-6, -0x1.3c967f9c72371p-6, -0x1.343e12474e4f9p-6, -0x1.2c1386dac8bd8p-6, -0x1.24161318d3c3cp-6, -0x1.1c44eefffeff8p-6, -0x1.149f54cf8e7eap-6, -0x1.0d24810b1764fp-6, -0x1.05d3b27da2201p-6, -0x1.fd585478acc77p-7, -0x1.ef5a575179c77p-7, -0x1.e1abf8e52f015p-7, -0x1.d44bc93291badp-7, -0x1.c7385cd9b5b2p-7, -0x1.ba704d1d531aep-7, -0x1.adf237e365a82p-7, -0x1.a1bcbfb518d6fp-7, -0x1.95ce8bbdfa751p-7, -0x1.8a2647caa1d25p-7, -0x1.7ec2a446b2484p-7, -0x1.73a2563a3d51p-7, -0x1.68c41746b56fap-7, -0x1.5e26a5a336cd5p-7, -0x1.53c8c41860a81p-7, -0x1.49a939fba7a59p-7, -0x1.3fc6d32a3bebfp-7, -0x1.3620600381bc4p-7, -0x1.2cb4b56313689p-7, -0x1.2382ac9a5f399p-7, -0x1.1a892369eb65cp-7, -0x1.11c6fbfa34fc2p-7, -0x1.093b1cd4418adp-7, -0x1.00e470d9e652bp-7, -0x1.f183ce7b4fcb1p-8, -0x1.e1a4e6f4c8db7p-8, -0x1.d22a1a956d7d9p-8, -0x1.c31161401fde9p-8, -0x1.b458bb33547dbp-8, -0x1.a5fe30f655d6ap-8, -0x1.97ffd3463aec3p-8, -0x1.8a5bbb02679b7p-8, -0x1.7d100918c68f7p-8, -0x1.701ae671a0698p-8, -0x1.637a83db3dfe4p-8, -0x1.572d19f524661p-8, -0x1.4b30e91b16393p-8, -0x1.3f84394fe9bb1p-8, -0x1.34255a281aa03p-8, -0x1.2912a2b42ad8fp-8, -0x1.1e4a716af7d32p-8, -0x1.13cb2c13ca7c8p-8, -0x1.09933fb032a32p-8, -0x1.ff4240cc0a796p-9, -0x1.ebe692d20fd8dp-9, -0x1.d91079c95ecb5p-9, -0x1.c6bd07cb83506p-9, -0x1.b4e95c87e7776p-9, -0x1.a392a516e13cfp-9, -0x1.92b61bccc7babp-9, -0x1.8251080d247bap-9, -0x1.7260be1dd50ep-9, -0x1.62e29efa32364p-9, -0x1.53d418268f841p-9, -0x1.4532a38345cefp-9, -0x1.36fbc72075c93p-9, -0x1.292d1511a3ba8p-9, -0x1.1bc42b417080cp-9, -0x1.0ebeb345bab5cp-9, -0x1.021a6233cc381p-9, -0x1.eba9f0e9aac69p-10, -0x1.d3d88334ea76p-10, -0x1.bcbc28678e02fp-10, -0x1.a650a344f3dfbp-10, -0x1.9091cbe0b78c5p-10, -0x1.7b7b8f4a1e889p-10, -0x1.6709ef3871b63p-10, -0x1.533901b78cc61p-10, -0x1.4004f0d545d1ep-10, -0x1.2d69fa4fb8642p-10, -0x1.1b646f43d2eddp-10, -0x1.09f0b3dd1d3c2p-10, -0x1.f2167e0bdff1p-11, -0x1.d161343084083p-11, -0x1.b1bac11f1f0d2p-11, -0x1.931c7f76ecbd8p-11, -0x1.757fece5a902p-11, -0x1.58dea98fd1aedp-11, -0x1.3d32777aaeadap-11, -0x1.227539f7ec19ep-11, -0x1.08a0f51275ebap-11, -0x1.df5f99fa89aa3p-12, -0x1.af380b077c64cp-12, -0x1.80c002f7f52d8p-12, -0x1.53ec84758da81p-12, -0x1.28b2ce11580ap-12, -0x1.fe10b266813e4p-13, -0x1.adc5b21702c22p-13, -0x1.607073115e7fap-13, -0x1.15fd3c9f554dp-13, -0x1.9cb186e0dcd0bp-14, -0x1.12e04f32eb426p-14, -0x1.1cc3ca6ade3c8p-15, -0x1.e2455b8a00f48p-19, 0x1.acc8cb3290f8fp-16, 0x1.c11b7ed022859p-15, 0x1.51224305dc89p-14, 0x1.bd10c5d06562ep-14, 0x1.123cc9d809307p-13, 0x1.43be1fed7b72ep-13, 0x1.731bd42f4ff4ap-13, 0x1.a064fccaa4964p-13, 0x1.cba858ca0b2ap-13, 0x1.f4f451c36fea4p-13, 0x1.0e2b7ec07b0ddp-12, 0x1.20ef0fd198f69p-12, 0x1.32cb959d8b396p-12, 0x1.43c7a230816aap-12, 0x1.53e9a0e0bfc04p-12, 0x1.6337d712ac88bp-12, 0x1.71b864fa1850ep-12, 0x1.7f714657ed813p-12, 0x1.8c685334c0236p-12, 0x1.98a34098ba1e2p-12, 0x1.a427a13f68b2fp-12, 0x1.aefae64a1cbd6p-12, 0x1.b9225fee1b179p-12, 0x1.c2a33e205a17dp-12, 0x1.cb82913dfecap-12, 0x1.d3c54ab2a0753p-12, 0x1.db703d9a84cd7p-12, 0x1.e2881f637d516p-12, 0x1.e911886a26b7p-12, 0x1.ef10f493f84b8p-12, 0x1.f48ac3e7982aep-12, 0x1.f9833b22294cep-12, 0x1.fdfe844940fc5p-12, 0x1.0100579dc74b4p-11, 0x1.02c6d91ec39d1p-11, 0x1.0454b54217905p-11, 0x1.05abce5eef6d3p-11, 0x1.06cdfacbc7c3cp-11, 0x1.07bd05202345p-11, 0x1.087aac74e3598p-11, 0x1.0908a4a3ab472p-11, 0x1.09689684dad25p-11, 0x1.099c202c77f53p-11, 0x1.09a4d525fbf53p-11, 0x1.09843eaec5b2ap-11, 0x1.093bdbefc608bp-11, 0x1.08cd22360fc6ap-11, 0x1.08397d29e0f9p-11, 0x1.07824f053bd5dp-11, 0x1.06a8f0c8d6845p-11, 0x1.05aeb2708e98cp-11, 0x1.0494db2671cbbp-11, 0x1.035ca9753bfbfp-11, 0x1.020753792d663p-11, 0x1.009607107ce1dp-11, 0x1.fe13d4153cce3p-12, 0x1.fac834ad8fda6p-12, 0x1.f74b5c6257e3ep-12, 0x1.f39f689f73ea7p-12, 0x1.efc6681b55d0ap-12, 0x1.ebc25b2c65ee9p-12, 0x1.e795341d49905p-12, 0x1.e340d77ead8bap-12, 0x1.dec71c784b20fp-12, 0x1.da29cd17142d3p-12, 0x1.d56aa69ae95d6p-12, 0x1.d08b59c2466a3p-12, 0x1.cb8d8b142a2adp-12, 0x1.c672d32930639p-12, 0x1.c13cbef25426bp-12, 0x1.bbeccffe4df93p-12, 0x1.b6847cbe86c83p-12, 0x1.b10530c938f0bp-12, 0x1.ab704d1b56bbbp-12, 0x1.a5c7285850d1p-12, 0x1.a00b0f08d9b59p-12, 0x1.9a3d43d8313c6p-12, 0x1.945effd07fedp-12, 0x1.8e71729582116p-12, 0x1.8875c29e24193p-12, 0x1.826d0d6ce0229p-12, 0x1.7c5867c6b1de8p-12, 0x1.7638dde954111p-12, 0x1.700f73c02cbecp-12, 0x1.69dd2517d99fp-12, 0x1.63a2e5d0b4a6p-12, 0x1.5d61a210a468dp-12, 0x1.571a3e72f080bp-12, 0x1.50cd98387d0fap-12, 0x1.4a7c85757cda4p-12, 0x1.4427d53f3acc8p-12, 0x1.3dd04fd8293d8p-12, 0x1.3776b6db738dp-12, 0x1.311bc5675399ep-12, 0x1.2ac03046a34fep-12, 0x1.2464a619a7273p-12, 0x1.1e09cf7d9fa34p-12, 0x1.17b04f33c13f5p-12, 0x1.1158c246db08ep-12, 0x1.0b03c030e31b7p-12, 0x1.04b1dafef73e5p-12, 0x1.fcc73eea6adb4p-13, 0x1.f0332a623efa4p-13, 0x1.e3a87d978b121p-13, 0x1.d72833f5846bfp-13, 0x1.cab33f61a16adp-13, 0x1.be4a887ad9c93p-13, 0x1.b1eeeed827e37p-13, 0x1.a5a14944bb227p-13, 0x1.996265fae1a35p-13, 0x1.8d330ade32eadp-13, 0x1.8113f5b468d42p-13, 0x1.7505dc5c4f67fp-13, 0x1.69096d03cfeb7p-13, 0x1.5d1f4e5cdf4e9p-13, 0x1.51481fd0e049p-13, 0x1.458479b31c2ep-13, 0x1.39d4ed71fbffp-13, 0x1.2e3a05c75a016p-13, 0x1.22b446e7852a5p-13, 0x1.17442eaeb838cp-13, 0x1.0bea34ce460dbp-13, 0x1.00a6caf80bc2ap-13, 0x1.eaf4ba13810d6p-14, 0x1.d4caa26ca4f6ep-14, 0x1.bed0105de6d03p-14, 0x1.a905ba957a455p-14, 0x1.936c4d5bed2d1p-14, 0x1.7e046adf1ed05p-14, 0x1.68ceab7d06ea4p-14, 0x1.53cb9e0ca733dp-14, 0x1.3efbc823e61a8p-14, 0x1.2a5fa65d5b69bp-14, 0x1.15f7ac9b36389p-14, 0x1.01c4464931cefp-14, 0x1.db8bad39a7c8ep-15, 0x1.b3f971a83ee94p-15, 0x1.8cd280e598be5p-15, 0x1.661772fc8be21p-15, 0x1.3fc8d16f64366p-15, 0x1.19e717aa0ba75p-15, 0x1.e8e566e1a4785p-16, 0x1.9ed80a997c6e8p-16, 0x1.55a6c1e9da031p-16, 0x1.0d521b6e41ec1p-16, 0x1.8bb51b68df644p-17, 0x1.fd01e01273539p-18, 0x1.cc2118f44afe9p-19, -0x1.6b47c1607bcfap-21, -0x1.3d6a3671cc4e7p-18, -0x1.24f9843dc2b25p-17, -0x1.a981cba436a11p-17, -0x1.16271604dd8c9p-16, -0x1.56af826fa3e5bp-16, -0x1.965a6c9519404p-16, -0x1.d52827243888fp-16, -0x1.098c8aafa1db2p-15, -0x1.2816d5447ead1p-15, -0x1.463334a82ba94p-15, -0x1.63e1f1a27c0b7p-15, -0x1.81235c26d1c34p-15, -0x1.9df7cb1170cfcp-15, -0x1.ba5f9be4a8739p-15, -0x1.d65b3289ac012p-15, -0x1.f1eaf9124038fp-15, -0x1.0687afbe35085p-14, -0x1.13e46dbbc3103p-14, -0x1.210bf41563a24p-14, -0x1.2dfe82fec97f4p-14, -0x1.3abc5d3020181p-14, -0x1.4745c7cc177bep-14, -0x1.539b0a4554cf3p-14, -0x1.5fbc6e45b245bp-14, -0x1.6baa3f95b2453p-14, -0x1.7764cc04f5c2bp-14, -0x1.82ec63528a178p-14, -0x1.8e41571691cadp-14, -0x1.9963faac6555cp-14, -0x1.a454a31cf011fp-14, -0x1.af13a709e94b2p-14, -0x1.b9a15e99faed2p-14, -0x1.c3fe2364717a3p-14, -0x1.ce2a505eca1c3p-14, -0x1.d82641c9a9bf4p-14, -0x1.e1f2551eb38ddp-14, -0x1.eb8ee8ff172bap-14, -0x1.f4fc5d2268ccap-14, -0x1.fe3b1246263c1p-14, -0x1.03a5b50ea272dp-13, -0x1.0816e3a05b554p-13, -0x1.0c7146900ec63p-13, -0x1.10b50ff98086ep-13, -0x1.14e272551f81dp-13, -0x1.18f9a07109ddp-13, -0x1.1cfacd6a7507p-13, -0x1.20e62ca6d14f6p-13, -0x1.24bbf1cdb828fp-13, -0x1.287c50c25e1f2p-13, -0x1.2c277d9dcda7dp-13, -0x1.2fbdaca8dbb35p-13, -0x1.333f1256bac3bp-13, -0x1.36abe33f4c42cp-13, -0x1.3a045419e26fcp-13, -0x1.3d4899b80ee8cp-13, -0x1.4078e900c32b7p-13, -0x1.439576eb488dap-13, -0x1.469e787a907aep-13, -0x1.499422b8d142p-13, -0x1.4c76aab2fedadp-13, -0x1.4f46457494bd1p-13, -0x1.52032803763b5p-13, -0x1.54ad875bef4b8p-13, -0x1.5745986cd0545p-13, -0x1.59cb9013bf1fdp-13, -0x1.5c3fa319abd4dp-13, -0x1.5ea2062f3c08p-13, -0x1.60f2ede96da5ap-13, -0x1.63328ebe6c4b5p-13, -0x1.65611d026fa45p-13, -0x1.677ecce49aabep-13, -0x1.698bd26c1cb08p-13, -0x1.6b88617566281p-13, -0x1.6d74adaf91c19p-13, -0x1.6f50ea9989e9ap-13, -0x1.711d4b7fc76dbp-13, -0x1.72da0379a4effp-13, -0x1.748745673977p-13, -0x1.762543ef0b5bbp-13, -0x1.77b4317be824fp-13, -0x1.7934403aff0aep-13, -0x1.7aa5a219a6ceep-13, -0x1.7c0888c3a37a9p-13, -0x1.7d5d25a14bb23p-13, -0x1.7ea3a9d5c2bdfp-13, -0x1.7fdc463d4cb26p-13, -0x1.81072b6ba719ep-13, -0x1.822489aabc97p-13, -0x1.833490f90041cp-13, -0x1.843771081f7c9p-13, -0x1.852d593ba0df7p-13, -0x1.861678a7a8f75p-13, -0x1.86f2fe0fcc887p-13, -0x1.87c317e5e1eap-13, -0x1.8886f44907865p-13, -0x1.893ec104a40ccp-13, -0x1.89eaab8f4d6b9p-13, -0x1.8a8ae10a0641ap-13, -0x1.8b1f8e3f3d29fp-13, -0x1.8ba8dfa2227f4p-13, -0x1.8c27014dddb25p-13, -0x1.8c9a1f04b604ap-13, -0x1.8d02642fa672p-13, -0x1.8d5ffbddb541ap-13, -0x1.8db310c33efa2p-13, -0x1.8dfbcd39a1b74p-13, -0x1.8e3a5b3e98546p-13, -0x1.8e6ee473d758ap-13, -0x1.8e99921eaac9p-13, -0x1.8eba8d27987bbp-13, -0x1.8ed1fe1a32283p-13, -0x1.8ee00d24a3032p-13, -0x1.8ee4e21771981p-13, -0x1.8ee0a46562f6ap-13, -0x1.8ed37b2330d6ap-13, -0x1.8ebd8d076a11bp-13, -0x1.8e9f006a579dbp-13, -0x1.8e77fb45e7d55p-13, -0x1.8e48a335acaadp-13, -0x1.8e111d76c0a2ap-13, -0x1.8dd18ee7dc714p-13, -0x1.8d8a1c09432a8p-13, -0x1.8d3ae8fcdb79dp-13, -0x1.8ce419864b8e6p-13, -0x1.8c85d10af49a4p-13, -0x1.8c20329240486p-13, -0x1.8bb360c5c4c47p-13, -0x1.8b3f7df14f896p-13, -0x1.8ac4ac031f07p-13, -0x1.8a430c8c2d648p-13, -0x1.89bac0c058223p-13, -0x1.892be9769c728p-13, -0x1.8896a72972332p-13, -0x1.87fb19f6f9dccp-13, -0x1.875961a17f1dep-13, -0x1.86b19d8f9045dp-13, -0x1.8603eccc6fc2ap-13, -0x1.85506e087f505p-13, -0x1.84973f997d38cp-13, -0x1.83d87f7af79e6p-13, -0x1.83144b4eaeaap-13, -0x1.824ac05cf4eb4p-13, -0x1.817bfb954229dp-13, -0x1.80a8198e8476p-13, -0x1.7fcf36879b8ecp-13, -0x1.7ef16e67d27adp-13, -0x1.7e0edcbf2de53p-13, -0x1.7d279cc726903p-13, -0x1.7c3bc962f97fap-13, -0x1.7b4b7d2042e52p-13, -0x1.7a56d237669bfp-13, -0x1.795de28c3b4cp-13, -0x1.7860c7ae7031fp-13, -0x1.775f9ada1c561p-13, -0x1.765a74f8532a8p-13, -0x1.75516e9fae5afp-13, -0x1.7444a014ce99ep-13, -0x1.7334214aed8bap-13, -0x1.722009e480cdcp-13, -0x1.71087133ce959p-13, -0x1.6fed6e3b6ae36p-13, -0x1.6ecf17aedd3e2p-13, -0x1.6dad83f343bafp-13, -0x1.6c88c91fbf135p-13, -0x1.6b60fcfe2b4bp-13, -0x1.6a36350bbd5p-13, -0x1.6908867993187p-13, -0x1.67d8062d42d92p-13, -0x1.66a4c8c19f61p-13, -0x1.656ee2873719cp-13, -0x1.64366784f374fp-13, -0x1.62fb6b78b4bf3p-13, -0x1.61be01d808126p-13, -0x1.607e3dd0af579p-13, -0x1.5f3c324940b4ap-13, -0x1.5df7f1e1d295ep-13, -0x1.5cb18ef4994e2p-13, -0x1.5b691b968f863p-13, -0x1.5a1ea9980740ap-13, -0x1.58d24a855ee5bp-13, -0x1.57840fa78f93p-13, -0x1.56340a04ce56ep-13, -0x1.54e24a61349edp-13, -0x1.538ee13f62596p-13, -0x1.5239dee1257e5p-13, -0x1.50e3534803de6p-13, -0x1.4f8b4e35f67c9p-13, -0x1.4e31df2e047acp-13, -0x1.4cd71574d41ddp-13, -0x1.4b7b001158a43p-13, -0x1.4a1dadcd6d329p-13, -0x1.48bf2d367e29dp-13, -0x1.475f8c9e16906p-13, -0x1.45feda1a86b4cp-13, -0x1.449d23878acf4p-13, -0x1.433a7686deba3p-13, -0x1.41d6e080e1dfcp-13, -0x1.40726ea52da62p-13, -0x1.3f0d2deb3b2a9p-13, -0x1.3da72b12f2787p-13, -0x1.3c4072a54829ap-13, -0x1.3ad910f4e06ep-13, -0x1.3971121ea911bp-13, -0x1.3808820a634c2p-13, -0x1.369f6c6b4a625p-13, -0x1.3535dcc0ae936p-13, -0x1.33cbde567fce8p-13, -0x1.32617c45df9d7p-13, -0x1.30f6c175d295dp-13, -0x1.2f8bb89bbca5bp-13, -0x1.2e206c3bfb199p-13, -0x1.2cb4e6aa7038ap-13, -0x1.2b49320b2c9b2p-13, -0x1.29dd5852e60efp-13, -0x1.287163479a9fcp-13, -0x1.27055c8116ccp-13, -0x1.25994d6985a21p-13, -0x1.242d3f3e01c4fp-13, -0x1.22c13b0f1f3b1p-13, -0x1.215549c179beep-13, -0x1.1fe9740e41422p-13, -0x1.1e7dc283c1efdp-13, -0x1.1d123d85e4f9cp-13, -0x1.1ba6ed4ec7eb1p-13, -0x1.1a3bd9ef410fcp-13, -0x1.18d10b4f5e753p-13, -0x1.1766892ee884ep-13, -0x1.15fc5b25eaed1p-13, -0x1.149288a5493f9p-13, -0x1.132918f7293a4p-13, -0x1.11c0133f747b9p-13, -0x1.10577e7c65ebep-13, -0x1.0eef61870f0c6p-13, -0x1.0d87c313bbf1ap-13, -0x1.0c20a9b2827a8p-13, -0x1.0aba1bcfba1c2p-13, -0x1.09541fb47ae2p-13, -0x1.07eebb8710b8ep-13, -0x1.0689f54b77bb6p-13, -0x1.0525d2e3da4cp-13, -0x1.03c25a1100c52p-13, -0x1.025f9072d079ep-13, -0x1.00fd7b88a962ap-13, -0x1.ff384163dfd8ep-14, -0x1.fc770a5cf9532p-14, -0x1.f9b75c3e16368p-14, -0x1.f6f9410b49c29p-14, -0x1.f43cc28c283cap-14, -0x1.f181ea4cba20fp-14, -0x1.eec8c19e4980bp-14, -0x1.ec11519822c24p-14, -0x1.e95ba318809edp-14, -0x1.e6a7bec581211p-14, -0x1.e3f5ad0dbcf79p-14, -0x1.e14576293aa63p-14, -0x1.de97221a2f478p-14, -0x1.dbeab8adc4b4fp-14, -0x1.d940417cfe4fap-14, -0x1.d697c3ed6d25p-14, -0x1.d3f14731f9b1ap-14, -0x1.d14cd24bbc0dbp-14, -0x1.ceaa6c0aa70fcp-14, -0x1.cc0a1b0e490dfp-14, -0x1.c96be5c689049p-14, -0x1.c6cfd27461efdp-14, -0x1.c435e72aae5b9p-14, -0x1.c19e29cece1f1p-14, -0x1.bf08a0196550cp-14, -0x1.bc754f970cd0dp-14, -0x1.b9e43da904a0ep-14, -0x1.b7556f85f10a9p-14, -0x1.b4c8ea3a63889p-14, -0x1.b23eb2a9a6568p-14, -0x1.afb6cd8e7095cp-14, -0x1.ad313f7b766b3p-14, -0x1.aaae0cdc1d23bp-14, -0x1.a82d39f50eec5p-14, -0x1.a5aecae4d78bbp-14, -0x1.a332c3a49d644p-14, -0x1.a0b92808c0853p-14, -0x1.9e41fbc1627ecp-14, -0x1.9bcd425b1ed9fp-14, -0x1.995aff3f94e7bp-14, -0x1.96eb35b5f80cap-14, -0x1.947de8e3a2eeap-14, -0x1.92131bccbcd3dp-14, -0x1.8faad154ab7ccp-14, -0x1.8d450c3ed2fe9p-14, -0x1.8ae1cf2ef174cp-14, -0x1.88811ca9e04c6p-14, -0x1.8622f715f52eep-14, -0x1.83c760bba05bp-14, -0x1.816e5bc5e7ae8p-14, -0x1.7f17ea42ecacfp-14, -0x1.7cc40e248037ep-14, -0x1.7a72c9409e50dp-14, -0x1.78241d51ec331p-14, -0x1.75d80bf847e71p-14, -0x1.738e96b9244ffp-14, -0x1.7147befff2318p-14, -0x1.6f03861edcfb3p-14, -0x1.6cc1ed4f23f36p-14, -0x1.6a82f5b19a4cbp-14, -0x1.6846a04f0bd96p-14, -0x1.660cee18c9606p-14, -0x1.63d5dfe8fe2eap-14, -0x1.61a176833141p-14, -0x1.5f6fb294b57f2p-14, -0x1.5d4094b506818p-14, -0x1.5b141d663f769p-14, -0x1.58ea4d158f827p-14, -0x1.56c3241ba181fp-14, -0x1.549ea2bcfa13cp-14, -0x1.527cc92a6a58cp-14, -0x1.505d97816cba7p-14, -0x1.4e410dcc7852bp-14, -0x1.4c272c037ab3p-14, -0x1.4a0ff20c40603p-14, -0x1.47fb5fbabdf5ep-14, -0x1.45e974d17e942p-14, -0x1.43da3101fe7c1p-14, -0x1.41cd93ecfb0c1p-14, -0x1.3fc39d22ad4b6p-14, -0x1.3dbc4c2360842p-14, -0x1.3bb7a05fbb94dp-14, -0x1.39b59939108fbp-14, -0x1.37b63601a94adp-14, -0x1.35b975fd26abbp-14, -0x1.33bf5860cc504p-14, -0x1.31c7dc53d0b92p-14, -0x1.2fd300efae87fp-14, -0x1.2de0c5407cf33p-14, -0x1.2bf128451c44cp-14, -0x1.2a0428efa952ep-14, -0x1.2819c625c5049p-14, -0x1.2631fec0d0aadp-14, -0x1.244cd18e35b31p-14, -0x1.226a3d4fc2f7cp-14, -0x1.208a40bbdd63bp-14, -0x1.1eacda7dba7e6p-14, -0x1.1cd20935ca2a6p-14, -0x1.1af9cb79e8b9cp-14, -0x1.19241fd5a4494p-14, -0x1.175104ca7df67p-14, -0x1.158078d02bce9p-14, -0x1.13b27a54d01c8p-14, -0x1.11e707bd143fep-14, -0x1.101e1f64ab1ap-14, -0x1.0e57bf9e7f2bap-14, -0x1.0c93e6b4d83b7p-14, -0x1.0ad292e9a0dfp-14, -0x1.0913c2769df7p-14, -0x1.0757738da5fcfp-14, -0x1.059da458de14cp-14, -0x1.03e652fae34dcp-14, -0x1.02317d8f195b7p-14, -0x1.007f2229b5c0fp-14, -0x1.fd9e7db030887p-15, -0x1.fa43a3420812dp-15, -0x1.f6edb1096ce6ap-15, -0x1.f39ca2fa4d75ap-15, -0x1.f05074fc83d7cp-15, -0x1.ed0922ec0dff4p-15, -0x1.e9c6a899757c1p-15, -0x1.e68901ca1b815p-15, -0x1.e3502a38ca739p-15, -0x1.e01c1d95f3289p-15, -0x1.dcecd787feb07p-15, -0x1.d9c253aba6f6ep-15, -0x1.d69c8d945c015p-15, -0x1.d37b80cc70f7ap-15, -0x1.d05f28d54bb33p-15, -0x1.cd4781282f3a6p-15, -0x1.ca3485364ae23p-15, -0x1.c7263068fbe0dp-15, -0x1.c41c7e223005bp-15, -0x1.c11769bc99f76p-15, -0x1.be16ee8c14a44p-15, -0x1.bb1b07dde1f2cp-15, -0x1.b823b0f8d0967p-15, -0x1.b530e51dbfed1p-15, -0x1.b2429f87958c1p-15, -0x1.af58db6bb707ap-15, -0x1.ac7393fa6122ep-15, -0x1.a992c45eb019cp-15, -0x1.a6b667bef44b7p-15, -0x1.a3de793d10fc4p-15, -0x1.a10af3f68d446p-15, -0x1.9e3bd304ea88p-15, -0x1.9b71117db0b74p-15, -0x1.98aaaa72d2776p-15, -0x1.95e898f2f5e99p-15, -0x1.932ad80998567p-15, -0x1.907162bf362bdp-15, -0x1.8dbc34197f96fp-15, -0x1.8b0b471bc15c4p-15, -0x1.885e96c6b9f81p-15, -0x1.85b61e18e828ep-15, -0x1.8311d80f0965ep-15, -0x1.8071bfa40893cp-15, -0x1.7dd5cfd12f04p-15, -0x1.7b3e038e70d6fp-15, -0x1.78aa55d276b6p-15, -0x1.761ac192df099p-15, -0x1.738f41c45ec2fp-15, -0x1.7107d15aef799p-15, -0x1.6e846b4a0ade2p-15, -0x1.6c050a84a3859p-15, -0x1.6989a9fd63f62p-15, -0x1.671244a6fdeacp-15, -0x1.649ed5741e12fp-15, -0x1.622f57579978bp-15, -0x1.5fc3c544b479dp-15, -0x1.5d5c1a2f23813p-15, -0x1.5af8510b352d8p-15, -0x1.589864cdf3d34p-15, -0x1.563c506d394dap-15, -0x1.53e40edfec3e1p-15, -0x1.518f9b1e20d5ap-15, -0x1.4f3ef0211fadap-15, -0x1.4cf208e382f63p-15, -0x1.4aa8e06176f44p-15, -0x1.48637198bc876p-15, -0x1.4621b788a7b88p-15, -0x1.43e3ad32631ap-15, -0x1.41a94d99170cbp-15, -0x1.3f7293c1e176fp-15, -0x1.3d3f7ab402715p-15, -0x1.3b0ffd78f8bd5p-15, -0x1.38e4171c8788dp-15, -0x1.36bbc2ace3778p-15, -0x1.3496fb3ab80a4p-15, -0x1.3275bbd94921p-15, -0x1.3057ff9e804f3p-15, -0x1.2e3dc1a301656p-15, -0x1.2c26fd0243a95p-15, -0x1.2a13acdab6f22p-15, -0x1.2803cc4db2b97p-15, -0x1.25f7567fa09ecp-15, -0x1.23ee4698285c1p-15, -0x1.21e897c216317p-15, -0x1.1fe6452b6f11ap-15, -0x1.1de74a059fd54p-15, -0x1.1beba1856e189p-15, -0x1.19f346e3276e5p-15, -0x1.17fe355aa2181p-15, -0x1.160c682b4a5afp-15, -0x1.141dda982bddap-15, -0x1.123287e7fe449p-15, -0x1.104a6b6554c0fp-15, -0x1.0e65805e8c68fp-15, -0x1.0c83c225d5962p-15, -0x1.0aa52c114cc16p-15, -0x1.08c9b97b0d9b7p-15, -0x1.06f165c126cccp-15, -0x1.051c2c45bf11bp-15, -0x1.034a086f1d27cp-15, -0x1.017af5a7a432fp-15, -0x1.ff5ddebbd9349p-16, -0x1.fbcbe209852d3p-16, -0x1.f83fec2667c6ep-16, -0x1.f4b9f40937fe5p-16, -0x1.f139f0b150fb4p-16, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      37, 0x1.4851eb851eb85p+2, 0x1.ae6794ee683cfp+2, 0x1.41bf49f2e1c4dp+4, 0x1.d4da00232df3p-8, 
      {{
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0d9afc1462453p-3, -0x1.aca54a98b8644p-1, 0x1.68558996243fcp+1, -0x1.0730386010ecfp+2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8a79493a81a44p-4, -0x1.2c4da64df295dp-1, 0x1.1960abdfb8c5p+1, -0x1.c7dfb523fdc11p+1}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.270a066b8b8f3p-4, -0x1.92db62755138ep-2, 0x1.a9fe3b017236fp+0, -0x1.8bee4069e9fdep+1}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.cbd8f7ff7eeaap-5, -0x1.0037300036b18p-2, 0x1.3336c148126a2p+0, -0x1.4d2a34343595cp+1}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.7b45e99a432c3p-5, -0x1.32a3cba4132aep-3, 0x1.9e87633d9e48p-1, -0x1.0f213f0af3de4p+1}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.4c5b7477ba81p-5, -0x1.5aba4cc790526p-4, 0x1.f7b3ae07b1869p-2, -0x1.a1fd0a570f1cdp+0}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.3216288c89ac7p-5, -0x1.86cfaa6aaab9bp-5, 0x1.f9d14fa6ea812p-3, -0x1.250f8e30a6181p+0}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.226e92f1a396p-5, -0x1.02d198339381dp-5, 0x1.344a16d913317p-4, -0x1.55eb7a29a8c0ep-1}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.16593de44947ep-5, -0x1.dc61e86c3d996p-6, -0x1.980ebbca107b4p-6, -0x1.31aa41b1b0368p-3}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.09c6b0c609efbp-5, -0x1.0bc3992bf444fp-5, -0x1.836d854fa52a7p-5, 0x1.764de45065085p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.f7069fe2b757cp-6, -0x1.2ce46c09c0b5bp-5, -0x1.1322f40453a85p-5, 0x1.bb01098a9e95ap-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.d7abf5b8588e7p-6, -0x1.4515597cfc5dfp-5, -0x1.a15f31f8aaefbp-6, 0x1.de7c09031ba93p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.b63d5474e3f4bp-6, -0x1.565d04e1136d1p-5, -0x1.11d395aaef70dp-6, 0x1.a69250657b72bp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.936c9fa5886bbp-6, -0x1.60e2a93319fep-5, -0x1.261c2e4c2e68p-7, 0x1.8725b991a1a87p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6fddacfcb746bp-6, -0x1.654df667c0faep-5, -0x1.db5f914004eb8p-10, 0x1.612953acd2f03p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4c26445224496p-6, -0x1.642430f39e223p-5, 0x1.30f34ce5c8b07p-8, 0x1.3cef084207f16p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.28ce1fa2c5a84p-6, -0x1.5df3d6541715ep-5, 0x1.56a2ab674f81fp-7, 0x1.183c22002dc11p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.064eeb10d408bp-6, -0x1.5348eb636d12ep-5, 0x1.fec6bfcdd15ebp-7, 0x1.e753194104065p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.ca2889c79504ap-7, -0x1.44b01e7fa3065p-5, 0x1.487ca3b0a949bp-6, 0x1.9e1c9d1e6b76ap-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8af77b10cd392p-7, -0x1.32b5f09ad9849p-5, 0x1.869a880ed3019p-6, 0x1.54eac4c466c36p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.4fa9af2150a02p-7, -0x1.1de6eed2f8d28p-5, 0x1.b9bdbf2c48d1fp-6, 0x1.0bb7aeab626cdp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.18c20f67a40cfp-7, -0x1.06cfa302acdp-5, 0x1.e1e6195f97955p-6, 0x1.8509d78b8873ep-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.cd4ed339a2688p-8, -0x1.dbf92fcb966e9p-6, 0x1.ff13a323a837fp-6, 0x1.e548674622c5ep-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.7348df88cd5eap-8, -0x1.a7f4afed7d8bcp-6, 0x1.08a32d1b24c2ep-5, 0x1.80f9872335dacp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.23cf7058efedap-8, -0x1.72aadba8e89fbp-6, 0x1.0c3f1d92ac775p-5, -0x1.9134d1690bb43p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.be0ef5b675983p-9, -0x1.3d34c79a7693cp-6, 0x1.0a5daafdc802ep-5, -0x1.891d7f851b8cep-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.49bb79abd0e94p-9, -0x1.08ab8a9aad2ffp-6, 0x1.02feb70015e51p-5, -0x1.56eb14be4bbcbp-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d41af290f495fp-10, -0x1.ac50666762d16p-7, 0x1.ec45660b7fb52p-6, -0x1.e97382815e1b4p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.3bfb24da1b8bep-10, -0x1.4d87ddda89582p-7, 0x1.c78fef74ff0cep-6, -0x1.3dabaee054287p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.904fd090ebap-11, -0x1.ee5dde9c5d466p-8, 0x1.97e962068c071p-6, -0x1.87d0b523f0854p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.d342f516263bfp-12, -0x1.56f4db8e0614fp-8, 0x1.5d23ad4127f33p-6, -0x1.cd7ba219aa105p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ea2234781fbffp-13, -0x1.b24a5a126c2bbp-9, 0x1.17eabb56e80acp-6, -0x1.11ededd156d28p-5}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.bf04936b9616cp-14, -0x1.e674f4ad50eeep-10, 0x1.8b79e7fd02613p-7, -0x1.0530a3fef78e1p-5}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.4f609186bdadbp-15, -0x1.d185e39c5c91ep-11, 0x1.dd863e61a87fcp-8, -0x1.7f1fde7a17392p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.6cfc92fb234e4p-17, -0x1.5ee8201ec0ef4p-12, 0x1.ef4ca4fd9b899p-9, -0x1.0a57db9dc2865p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a2bfaa8123a12p-20, -0x1.4a0c3f2235983p-14, 0x1.5f6007b3caa01p-10, -0x1.efc57f4ebada5p-8}, 
        {0x1.4666666666666p+2, 0x1.4851eb851eb85p+2, 0x1.08fd49e5b0801p-25, -0x1.74596b5d02d61p-20, 0x1.af4c40f13a8bfp-13, -0x1.74a32c673c451p-6}, 
      }}, 
      0x1.b10dd84804f82p-1, -0x1.4316ea47b4abdp+3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.7445dea6d70bp-6, 0x1.71833b06ba54bp-5, 0x1.11c726cb6f456p-4, 0x1.67018ccfb1f38p-4, 0x1.b77ffc041ed93p-4, 0x1.0141c68343cb1p-3, 0x1.23beda0c0779p-3, 0x1.43064e15bacb8p-3, 0x1.5efb295d90491p-3, 0x1.7791ba2c400fp-3, 0x1.8cccea7c59786p-3, 0x1.9ebba011912a7p-3, 0x1.ad766916a1aecp-3, 0x1.b91d571902ff5p-3, 0x1.c1d622b124972p-3, 0x1.c7ca93cf97914p-3, 0x1.cb272eec33186p-3, 0x1.cc1a133cca2f3p-3, 0x1.cad21814c7a85p-3, 0x1.c77e0ae8d0365p-3, 0x1.c24c19d430324p-3, 0x1.bb695b43a890ep-3, 0x1.b301727228d5ep-3, 0x1.a93e47e71f4cdp-3, 0x1.9e47d40af791fp-3, 0x1.92440723bf7edp-3, 0x1.8556a65463323p-3, 0x1.77a14bb7b3307p-3, 0x1.694371393fff9p-3, 0x1.5a5a2572b6539p-3, 0x1.4b00bc4b9c391p-3, 0x1.3b503c1479efcp-3, 0x1.2b5fb7334e9f1p-3, 0x1.1b446d50d82f1p-3, 0x1.0b11c55606777p-3, 0x1.f5b2e06b82253p-4, 0x1.d5570fdc8929dp-4, 0x1.b52d3780ee608p-4, 0x1.954f9e3f1537cp-4, 0x1.75d5dc4532ccep-4, 0x1.56d506d448433p-4, 0x1.385fda625c28cp-4, 0x1.1a86e303f4254p-4, 0x1.fab146ed64796p-5, 0x1.c1c3624e4ed9dp-5, 0x1.8a59d16e7f4fap-5, 0x1.5486d1cf74dc3p-5, 0x1.2059cab5fc52bp-5, 0x1.dbbe4f4be3eadp-6, 0x1.7a41774478ff1p-6, 0x1.1c4bd5368e038p-6, 0x1.83cf66c296f98p-7, 0x1.ac6cf568fb1b9p-8, 0x1.7e8c9103513e1p-10, -0x1.bd85fd582887fp-9, -0x1.076b5a028c7dp-7, -0x1.985a3e2b09047p-7, -0x1.1120f7689dd6cp-6, -0x1.529d5e9b10593p-6, -0x1.90b0aa43e7ecfp-6, -0x1.cb6b1bfb2159bp-6, -0x1.016f5759785fdp-5, -0x1.1b8f6f48e7635p-5, -0x1.34203f0f402acp-5, -0x1.4b2cc5ac29841p-5, -0x1.60c073f74fea2p-5, -0x1.74e737953d043p-5, -0x1.87ad486c918cp-5, -0x1.991f25c3b2819p-5, -0x1.a9498364fc4d6p-5, -0x1.b83938af8187ep-5, -0x1.c5fb32a6c8b66p-5, -0x1.d29c642eb9d21p-5, -0x1.de29c4b563c94p-5, -0x1.e8b02ce264bep-5, -0x1.f23c6455842b8p-5, -0x1.fadb0c705006ap-5, -0x1.014c4b1a27f37p-4, -0x1.04c0a1954ddf9p-4, -0x1.07d089b3945e6p-4, -0x1.0a81e316ec27p-4, -0x1.0cda69ca8ef0cp-4, -0x1.0edfb384dd0c8p-4, -0x1.10972b915dcdbp-4, -0x1.120615dea36efp-4, -0x1.133188bea5ec3p-4, -0x1.141e6e7394089p-4, -0x1.14d1836e74a8dp-4, -0x1.154f55fec1b9fp-4, -0x1.159c459b76cd9p-4, -0x1.15bc82d202044p-4, -0x1.15b40f106da15p-4, -0x1.1586bcf56b99p-4, -0x1.153830ccb6034p-4, -0x1.14cbe0a5fceacp-4, -0x1.1445153cd8dafp-4, -0x1.13a6eaf73801fp-4, -0x1.12f4521f61569p-4, -0x1.123010c989f8bp-4, -0x1.115cc2c5de1bep-4, -0x1.107cdb5458204p-4, -0x1.0f92a5dcca34dp-4, -0x1.0ea0470810288p-4, -0x1.0da7be010efafp-4, -0x1.0caae5d33b6f5p-4, -0x1.0bab75d92dcf6p-4, -0x1.0aab040e1aaddp-4, -0x1.09ab05c32c262p-4, -0x1.08acd0d0c2b46p-4, -0x1.07b19d9a3c10ap-4, -0x1.06ba86f7d54fep-4, -0x1.05c88d05e7494p-4, -0x1.04dc94f38503fp-4, -0x1.03f76a3416478p-4, -0x1.0319c349298ccp-4, -0x1.0244397e04812p-4, -0x1.01775450d4dabp-4, -0x1.00b3848952e2bp-4, -0x1.fff24dcfd3a37p-5, -0x1.fe9109209ece9p-5, -0x1.fd43a8d96d831p-5, -0x1.fc0a783d64dc7p-5, -0x1.fae5a07642a92p-5, -0x1.f9d52ec0834efp-5, -0x1.f8d90e877bf96p-5, -0x1.f7f112f76a373p-5, -0x1.f71cf462c508dp-5, -0x1.f65c52ebdc5c7p-5, -0x1.f5aeb84aea7bp-5, -0x1.f51398a0c9315p-5, -0x1.f48a5526b00f1p-5, -0x1.f4123bc79d06ep-5, -0x1.f3aa8a12166f5p-5, -0x1.f3526e008bb6fp-5, -0x1.f309076d4af81p-5, -0x1.f2cd682a2ff16p-5, -0x1.f29e97f3156a7p-5, -0x1.f27b92ad3d85ap-5, -0x1.f2634bbb35bfap-5, -0x1.f254ade97e61dp-5, -0x1.f24e9d4609502p-5, -0x1.f24ff80ca2ac6p-5, -0x1.f25797a6b152cp-5, -0x1.f264519f81aa9p-5, -0x1.f274f8872a1fp-5, -0x1.f2885d37d19f5p-5, -0x1.f29d4f2c34897p-5, -0x1.f2b29db549a4ep-5, -0x1.f2c7183f65a2dp-5, -0x1.f2d98fb83bb8ap-5, -0x1.f2e8d66e568a2p-5, -0x1.f2f3c16bf789p-5, -0x1.f2f92885389d6p-5, -0x1.f2f7e6ede605p-5, -0x1.f2eedbeeb0b2bp-5, -0x1.f2dceafbc643ep-5, -0x1.f2c0fcb4971e2p-5, -0x1.f299ff6e2694bp-5, -0x1.f266e6633f4d5p-5, -0x1.f226ab418f921p-5, -0x1.f1d84ec11e7e4p-5, -0x1.f17ad79505151p-5, -0x1.f10d53d87efc2p-5, -0x1.f08ed93b4bdep-5, -0x1.effe84a933034p-5, -0x1.ef5b7cbe6ab77p-5, -0x1.eea4ed289672fp-5, -0x1.edda0c5b3aae1p-5, -0x1.ecfa190a2d6b8p-5, -0x1.ec045a455a84ap-5, -0x1.eaf8206d3d9fdp-5, -0x1.e9d4c48cdefc4p-5, -0x1.e899a94dcb936p-5, -0x1.e7463adead9e6p-5, -0x1.e5d9ee1dcbc66p-5, -0x1.e45442223513ap-5, -0x1.e2b4bf388f121p-5, -0x1.e0faf7743288dp-5, -0x1.df26861d4ac8fp-5, -0x1.dd3710dd4aefap-5, -0x1.db2c463b209ecp-5, -0x1.d905de7648eeap-5, -0x1.d6c39b9da1093p-5, -0x1.d465490ec846ap-5, -0x1.d1eabe42dfbcp-5, -0x1.cf53d1aed083ap-5, -0x1.cca0724f16dd3p-5, -0x1.c9d08e228dcbp-5, -0x1.c6e41ebee367ep-5, -0x1.c3db269997de1p-5, -0x1.c0b5b11296d22p-5, -0x1.bd73d1cc23b73p-5, -0x1.ba15a50da076dp-5, -0x1.b69b4ff9d6ea8p-5, -0x1.b304fecee1403p-5, -0x1.af52e6a31df98p-5, -0x1.ab8543c73620ep-5, -0x1.a79c5a85527d9p-5, -0x1.a3987617db7f5p-5, -0x1.9f79e966308dbp-5, -0x1.9b410e5ea858bp-5, -0x1.96ee4503ab818p-5, -0x1.9281f472d082ap-5, -0x1.8dfc89f6206edp-5, -0x1.895e7934d1e97p-5, -0x1.84a83b7792b01p-5, -0x1.7fda4fa56cc99p-5, -0x1.7af53a1207e4bp-5, -0x1.75f984321d8cap-5, -0x1.70e7bce40c9ecp-5, -0x1.6bc0777d177cbp-5, -0x1.66844b96d51fdp-5, -0x1.6133d529f3d94p-5, -0x1.5bcfb3d56f3a3p-5, -0x1.56588bd3b941dp-5, -0x1.50cf0468e3b48p-5, -0x1.4b33c8505d11bp-5, -0x1.4587852da668dp-5, -0x1.3fcaeb42925b4p-5, -0x1.39fead2375c3cp-5, -0x1.3423811bda6acp-5, -0x1.2e3a1ef7c1197p-5, -0x1.28433ff61c839p-5, -0x1.223f9f59f0757p-5, -0x1.1c2ff9ac26f84p-5, -0x1.16150ccd96667p-5, -0x1.0fef9829b110dp-5, -0x1.09c05ba407b7fp-5, -0x1.0388180fd97d6p-5, -0x1.fa8f1c8440428p-6, -0x1.edfefe3febd8dp-6, -0x1.e16157b37f032p-6, -0x1.d4b7aba6c5b69p-6, -0x1.c8037bf5cc279p-6, -0x1.bb464a4756436p-6, -0x1.ae819541f3bbcp-6, -0x1.a1b6d9e1d0f77p-6, -0x1.94e79358e25f3p-6, -0x1.88153a8531d8ap-6, -0x1.7b414722a65fdp-6, -0x1.6e6d2db7792bep-6, -0x1.619a5c5d82d92p-6, -0x1.54ca419339ca5p-6, -0x1.47fe444fc5eefp-6, -0x1.3b37c9a4f7efdp-6, -0x1.2e78318630baep-6, -0x1.21c0d8bcc2aa7p-6, -0x1.151316a57fa4cp-6, -0x1.08703d2538e21p-6, -0x1.f7b32fab94dc5p-7, -0x1.dea0da12dce0cp-7, -0x1.c5abfb75069b4p-7, -0x1.acd70beb7a6dep-7, -0x1.942477b7fa386p-7, -0x1.7b969e0fc4357p-7, -0x1.632fd2aebe395p-7, -0x1.4af251a53b46ep-7, -0x1.32e058b62284dp-7, -0x1.1afc0d7a72ceep-7, -0x1.03478c8cf50bbp-7, -0x1.d789ccd03f59ep-8, -0x1.a8ec33a85d784p-8, -0x1.7aba34b95f5c3p-8, -0x1.4cf7917c3cbe7p-8, -0x1.1fa7f0e2bec3ap-8, -0x1.e59db3308f373p-9, -0x1.8cdf7302f8d89p-9, -0x1.351bbf87a696bp-9, -0x1.bcb200dc0683ep-10, -0x1.113ab9b1469e8p-10, -0x1.9f75e1119e9fep-12, 0x1.fad3ae99ea0c7p-13, 0x1.c8c47ee29d7dbp-11, 0x1.872f8a993ab32p-10, 0x1.13dc3795bda89p-9, 0x1.62f9bd097d35p-9, 0x1.b0ebd6eb8002dp-9, 0x1.fdae446d0238ap-9, 0x1.249e8214c81b2p-8, 0x1.49ca2a3422172p-8, 0x1.6e5853e577ec9p-8, 0x1.92475e9985a1bp-8, 0x1.b595bda25f782p-8, 0x1.d8420354bf7f9p-8, 0x1.fa4adc1aa97ddp-8, 0x1.0dd789b2eac3ep-7, 0x1.1e36c88793866p-7, 0x1.2e42afdb95b38p-7, 0x1.3dfac60f52219p-7, 0x1.4d5eb4b8d4b82p-7, 0x1.5c6e21f319af9p-7, 0x1.6b28c72051818p-7, 0x1.798e66d7297bfp-7, 0x1.879ed329ed40fp-7, 0x1.9559ea4595abfp-7, 0x1.a2bf9619eef7dp-7, 0x1.afcfce790bf98p-7, 0x1.bc8a94bfa6b3fp-7, 0x1.c8eff9b5ec671p-7, 0x1.d50016bf2e66dp-7, 0x1.e0bb1074da3b9p-7, 0x1.ec2116945dbdcp-7, 0x1.f7326357fa39p-7, 0x1.00f79dbeb930fp-6, 0x1.062bf665f6f41p-6, 0x1.0b36688b7d604p-6, 0x1.101725722e263p-6, 0x1.14ce63c4d441ap-6, 0x1.195c5e04f362ep-6, 0x1.1dc153298acecp-6, 0x1.21fd86408469p-6, 0x1.26113fcfa4c4p-6, 0x1.29fcc97fb75a5p-6, 0x1.2dc0739f0e9f3p-6, 0x1.315c9062bb2e1p-6, 0x1.34d1779594a86p-6, 0x1.381f8360ecc37p-6, 0x1.3b47115a8034fp-6, 0x1.3e48828d35207p-6, 0x1.41243b162cad8p-6, 0x1.43daa1e21b501p-6, 0x1.466c2095d21b7p-6, 0x1.48d923ab09e29p-6, 0x1.4b221a58889e7p-6, 0x1.4d4775a535e81p-6, 0x1.4f49a9ecd4561p-6, 0x1.51292e836c977p-6, 0x1.52e677c3dc904p-6, 0x1.54820447ed249p-6, 0x1.55fc4e5276501p-6, 0x1.5755d413c0087p-6, 0x1.588f14db2a31ep-6, 0x1.59a89157f688cp-6, 0x1.5aa2cbcca01acp-6, 0x1.5b7e47c2338bep-6, 0x1.5c3b89f225f54p-6, 0x1.5cdb182f124b1p-6, 0x1.5d5d79583e9eep-6, 0x1.5dc3363af24ebp-6, 0x1.5e0cd37eea7bbp-6, 0x1.5e3ade25a672p-6, 0x1.5e4dde8aded35p-6, 0x1.5e465e498f71p-6, 0x1.5e24e821b2dbcp-6, 0x1.5dea05f2dc01dp-6, 0x1.5d96439a880f6p-6, 0x1.5d2a2b54de23fp-6, 0x1.5ca64809c8b05p-6, 0x1.5c0b24d4601a1p-6, 0x1.5b594c5f54e2dp-6, 0x1.5a91491bf6c6bp-6, 0x1.59b3a53e9275cp-6, 0x1.58c0eaaa0da06p-6, 0x1.57b9a2a1670ecp-6, 0x1.569e5563b94bbp-6, 0x1.556f8b427f089p-6, 0x1.542dcb7e9121ep-6, 0x1.52d99d1d9d94cp-6, 0x1.51738613baf35p-6, 0x1.4ffc0b8c6a54bp-6, 0x1.4e73b2002ecc4p-6, 0x1.4cdafcf9fa894p-6, 0x1.4b326e8a55e51p-6, 0x1.497a87e5860b7p-6, 0x1.47b3c827d153ep-6, 0x1.45deaeb5c7a86p-6, 0x1.43fbb8b2d77p-6, 0x1.420b62aff2289p-6, 0x1.400e27d9466c3p-6, 0x1.3e0482577fb36p-6, 0x1.3beeeaef7fadfp-6, 0x1.39cdd8b8c9408p-6, 0x1.37a1c0e7b1223p-6, 0x1.356b16ea53e94p-6, 0x1.332a4c7118a95p-6, 0x1.30dfd1114e933p-6, 0x1.2e8c133b515abp-6, 0x1.2c2f82e81d4ep-6, 0x1.29ca8b80dfefbp-6, 0x1.275d9b1f46df2p-6, 0x1.24e91c9a377c9p-6, 0x1.226d79507f3bcp-6, 0x1.1feb17f4b2641p-6, 0x1.1d625b1f01dbdp-6, 0x1.1ad3a3275b63fp-6, 0x1.183f4caa6221bp-6, 0x1.15a5b380082b7p-6, 0x1.130731b82bc59p-6, 0x1.106421e040928p-6, 0x1.0dbcdf115a02bp-6, 0x1.0b11c49e5d972p-6, 0x1.08632d00cdb1bp-6, 0x1.05b16eedb5303p-6, 0x1.02fcdfecf420dp-6, 0x1.0045ce57bf398p-6, 0x1.fb190ceb0c6c6p-7, 0x1.f5a29cd4d4aebp-7, 0x1.f028dca4bf792p-7, 0x1.eaac5a49785b3p-7, 0x1.e52daa9df6ffdp-7, 0x1.dfad6879cda25p-7, 0x1.da2c32e585411p-7, 0x1.d4aaa824609d1p-7, 0x1.cf295e74248a8p-7, 0x1.c9a8dd0accecdp-7, 0x1.c429958ec9454p-7, 0x1.beabe40be8d7p-7, 0x1.b93012bd415b9p-7, 0x1.b3b661210d675p-7, 0x1.ae3f127ad011cp-7, 0x1.a8ca771a2efb7p-7, 0x1.a358f5e561305p-7, 0x1.9deb1179be21ap-7, 0x1.988164c081efbp-7, 0x1.931c98edf94e1p-7, 0x1.8dbd55adb7b4fp-7, 0x1.88642fd45e1b3p-7, 0x1.83119b3d145f3p-7, 0x1.7dc5e4dd0ff33p-7, 0x1.78812ee42a1ap-7, 0x1.73437bd00533cp-7, 0x1.6e0cbef20ed44p-7, 0x1.68dcef3438d14p-7, 0x1.63b419910f82ep-7, 0x1.5e926d8c89774p-7, 0x1.597840fdd099ep-7, 0x1.54660a09f25b2p-7, 0x1.4f5c4ea2a1cbfp-7, 0x1.4a5b939600748p-7, 0x1.456444eab1df8p-7, 0x1.4076a9f1eb987p-7, 0x1.3b92dec3b714cp-7, 0x1.36b8d9f404352p-7, 0x1.31e87be3c2f63p-7, 0x1.2d21a453997c8p-7, 0x1.28644904c7fc9p-7, 0x1.23b087aabac5p-7, 0x1.1f06ae559c95dp-7, 0x1.1a6737468476ap-7, 0x1.15d2b8dad2a74p-7, 0x1.1149ca5890ea7p-7, 0x1.0cccf07ca94ebp-7, 0x1.085c709a6a15dp-7, 0x1.03f852792868fp-7, 0x1.ff40a74a98c73p-8, 0x1.f6a7e59b664c3p-8, 0x1.ee2515e39f746p-8, 0x1.e5b6e73b10bffp-8, 0x1.dd5c4a79c899ap-8, 0x1.d514ac7ddc3d3p-8, 0x1.cce01be3c60e6p-8, 0x1.c4bf4def670cbp-8, 0x1.bcb3808c815acp-8, 0x1.b4be58b7f54e7p-8, 0x1.ace18a9095e0fp-8, 0x1.a51eaf73f1b47p-8, 0x1.9d76f4791cbcap-8, 0x1.95eaf24490dccp-8, 0x1.8e7a990354d9p-8, 0x1.872535f052bebp-8, 0x1.7fe99a07adbd7p-8, 0x1.78c655eb7f5e9p-8, 0x1.71b9fb0a355a7p-8, 0x1.6ac35110da127p-8, 0x1.63e171deb7181p-8, 0x1.5d13da3da03c8p-8, 0x1.565a65a890fc9p-8, 0x1.4fb54fc34f54ap-8, 0x1.49252f5cd31e8p-8, 0x1.42aae4612db96p-8, 0x1.3c4770e0ac8e9p-8, 0x1.35fbbf1a22148p-8, 0x1.2fc868d402b42p-8, 0x1.29ad963a6d3ecp-8, 0x1.23ab06a63d0f2p-8, 0x1.1dc03feef8eb2p-8, 0x1.17eccbb5184afp-8, 0x1.12305fa9a7345p-8, 0x1.0c8ad6cac3ff7p-8, 0x1.06fbfde7a66c8p-8, 0x1.01835386000f3p-8, 0x1.f83fdce1bea03p-9, 0x1.eda14f2806c33p-9, 0x1.e328ff89e6f8fp-9, 0x1.d8d60788d8408p-9, 0x1.cea9045e9c2f8p-9, 0x1.c4a3b64db6384p-9, 0x1.bac8315eb6ecep-9, 0x1.b11806338f36dp-9, 0x1.a793d273b12d5p-9, 0x1.9e3b6d810c768p-9, 0x1.950e59e4e036cp-9, 0x1.8c0c3d6d45f3p-9, 0x1.83350f22ba09p-9, 0x1.7a88ce820f617p-9, 0x1.7206e5c57bfdp-9, 0x1.69ad93625a252p-9, 0x1.6179a5cd9e7cdp-9, 0x1.59671545674bfp-9, 0x1.517221d7e423p-9, 0x1.4998b5e26fd72p-9, 0x1.41db03a7aa9d4p-9, 0x1.3a3b02f4e699bp-9, 0x1.32bb23871aef2p-9, 0x1.2b5cf526444e4p-9, 0x1.2420df8f2b527p-9, 0x1.1d06bdabd77f8p-9, 0x1.160f185b585b2p-9, 0x1.0f3bb5b314768p-9, 0x1.088f743c32e21p-9, 0x1.020d5814d6077p-9, 0x1.f76eb2deba90bp-10, 0x1.eb1ace95b8f08p-10, 0x1.df1a0b761003p-10, 0x1.d362fa8be1223p-10, 0x1.c7e91f98f3633p-10, 0x1.bc9f70cb48f54p-10, 0x1.b17b8d80213a6p-10, 0x1.a6788380b82c3p-10, 0x1.9b97adbc7203ap-10, 0x1.90dee8cab0efdp-10, 0x1.8655148e4e3dfp-10, 0x1.7bfed8c6e8189p-10, 0x1.71dd5f95c87d4p-10, 0x1.67ef78804a7cp-10, 0x1.5e3380cdf0003p-10, 0x1.54aa3a5fd2389p-10, 0x1.4b5746742a63ep-10, 0x1.423fde5176d5ep-10, 0x1.39681dfa2fff2p-10, 0x1.30d1652a012b9p-10, 0x1.287a7aa96b99ap-10, 0x1.2060872c87ecdp-10, 0x1.187fabf2ae713p-10, 0x1.10d314ff78034p-10, 0x1.09556e9ddc25dp-10, 0x1.02014298c40fap-10, 0x1.f5a2da33a127ep-11, 0x1.e7833d32440a3p-11, 0x1.d99ead1b8a654p-11, 0x1.cbf4f33013ea2p-11, 0x1.be89c586d8a57p-11, 0x1.b1615a2990c17p-11, 0x1.a47e74b55ec58p-11, 0x1.97e3b179d8e07p-11, 0x1.8b964f8d5d2a5p-11, 0x1.7f9c0c8fae15bp-11, 0x1.73f5da123a93cp-11, 0x1.689ea93d9e9eep-11, 0x1.5d904b3b8aa65p-11, 0x1.52c7cf7d33676p-11, 0x1.4846a8034249ep-11, 0x1.3e1021a65ce56p-11, 0x1.34265e632ffabp-11, 0x1.2a88a715ecda2p-11, 0x1.213395f03e4bfp-11, 0x1.182122053e725p-11, 0x1.0f47db82c7e59p-11, 0x1.069d601318658p-11, 0x1.fc3d35edb5977p-12, 0x1.eba92c32cf644p-12, 0x1.db952a564718fp-12, 0x1.cbffdd29790cp-12, 0x1.bcd158bcad95cp-12, 0x1.adf87929d31dfp-12, 0x1.9f78d63db7ac1p-12, 0x1.915ba907e749ap-12, 0x1.83a27f7c72729p-12, 0x1.764a2ec28517cp-12, 0x1.694e1bceba7c8p-12, 0x1.5ca6ad63e0f16p-12, 0x1.504d11fab8ab6p-12, 0x1.4442defb63f83p-12, 0x1.3893d964b6fadp-12, 0x1.2d4adbd2cd45bp-12, 0x1.226b4dda4978fp-12, 0x1.17efd7347a02fp-12, 0x1.0dcfa706a1613p-12, 0x1.03fd0659a2a57p-12, 0x1.f4c1d85e1d475p-13, 0x1.e1d5cf0a5c7b2p-13, 0x1.cf54a9b295ab6p-13, 0x1.bd76af7b5a7fbp-13, 0x1.ac3c73795278bp-13, 0x1.9b8572058707bp-13, 0x1.8b5e0beb34438p-13, 0x1.7bea2f3a2f184p-13, 0x1.6d24508035227p-13, 0x1.5edea5fa6c79fp-13, 0x1.50e9597fc7024p-13, 0x1.433131500e93fp-13, 0x1.35caf75833c75p-13, 0x1.28d5c324a2c86p-13, 0x1.1c537b192d027p-13, 0x1.102e5dbc78358p-13, 0x1.0463970d3f55fp-13, 0x1.f21272ef7a81dp-14, 0x1.dc56a9db9f509p-14, 0x1.c781b52cbd8c1p-14, 0x1.b375b0544a02fp-14, 0x1.a0251bda59155p-14, 0x1.8d88289481f1p-14, 0x1.7b71334f5b817p-14, 0x1.69c1eeb7d6f5ap-14, 0x1.58b32b2c65c82p-14, 0x1.4851dc62a5c64p-14, 0x1.385ccd4ea4934p-14, 0x1.28ebaa766bdp-14, 0x1.1a3691f4d6a23p-14, 0x1.0c3093df3bb54p-14, 0x1.fd7f31acbb596p-15, 0x1.e3c06670f3494p-15, 0x1.cb2e2d8c01299p-15, 0x1.b3a8cd98c22fep-15, 0x1.9cd518577b5a3p-15, 0x1.868b5d1d5bc99p-15, 0x1.711e4713deb84p-15, 0x1.5cb2035e7ec8cp-15, 0x1.48f7adea38febp-15, 0x1.35f26cac327a4p-15, 0x1.23eb7fde30246p-15, 0x1.12d6dd365ad27p-15, 0x1.027f88b0c9a06p-15, 0x1.e59181ac99a8dp-16, 0x1.c762f2bf9ebfp-16, 0x1.aac1a0e8420b3p-16, 0x1.8fc5b1e8a364cp-16, 0x1.75e7805459068p-16, 0x1.5d172cd666d4p-16, 0x1.452fcf77c90cap-16, 0x1.2e16a03978ac7p-16, 0x1.18787a310ca6cp-16, 0x1.04411b97c223ap-16, 0x1.e1e56a681e3f4p-17, 0x1.bd0325f78e622p-17, 0x1.99da8bc9a4fd7p-17, 0x1.788c09f8dac96p-17, 0x1.592324bb5063bp-17, 0x1.3bc494faa1a98p-17, 0x1.2099873787ef3p-17, 0x1.0705a35a8f7e7p-17, 0x1.dd3a15ce3180cp-18, 0x1.af32a04170ca3p-18, 0x1.833a6839f9314p-18, 0x1.5a1b8ca5fbed3p-18, 0x1.34c085e115c73p-18, 0x1.121ca1edceb32p-18, 0x1.e30c51979f181p-19, 0x1.a5f7d64389337p-19, 0x1.6d0b66759de39p-19, 0x1.383932f41968dp-19, 0x1.088f5008465dap-19, 0x1.bd956181be46ap-20, 0x1.70b3890b29cf1p-20, 0x1.280a0c3558502p-20, 0x1.c91d231258562p-21, 0x1.5590624de37e7p-21, 0x1.e332b65aae5b4p-22, 0x1.30b85a74e339dp-22, 0x1.26736d0e529ccp-23, 0x1.687d9cbb4867dp-27, -0x1.99397fba64e9dp-24, -0x1.8f875e2dc2408p-23, -0x1.12c7fbb798fc5p-22, -0x1.4cb702f727a89p-22, -0x1.737206cdb0c9ap-22, -0x1.82e2851560e5cp-22, -0x1.811e5b968f506p-22, -0x1.75ca6c7e8443p-22, -0x1.5fd3903f61b7cp-22, -0x1.397f230be034bp-22, -0x1.0428650971bfbp-22, -0x1.87d255f33fa1fp-23, -0x1.e45ca08a3f781p-24, -0x1.1dff5fe7bd042p-25, 0x1.dd369fda27c46p-25, 0x1.490e6768445p-23, 0x1.14eeda555b9bbp-22, 0x1.8e2e2555036adp-22, 0x1.0877460b8f458p-21, 0x1.4c7da93153d8dp-21, 0x1.93c4ff9d9c319p-21, 0x1.de0909a0cfce7p-21, 0x1.15884631becaep-20, 0x1.3d5346deba13cp-20, 0x1.663a20fc42937p-20, 0x1.902d3e098d555p-20, 0x1.bb59c1acda84fp-20, 0x1.e6965b747da09p-20, 0x1.097fe235800c3p-19, 0x1.2001b34bc6358p-19, 0x1.36d7875872fcfp-19, 0x1.4deb70382e3d4p-19, 0x1.650f54ce2f098p-19, 0x1.7c56a66c3470cp-19, 0x1.939b58e59650ap-19, 0x1.ab6c4c4565ac8p-19, 0x1.c2f08036d108ap-19, 0x1.da5588b187376p-19, 0x1.f1de85462715ap-19, 0x1.04b5a0c3bae42p-18, 0x1.1073a62e293bdp-18, 0x1.1c1d8085b4068p-18, 0x1.27c5be2c77d8ep-18, 0x1.3356ee842aa17p-18, 0x1.3ed3d1755410cp-18, 0x1.4a3097aaa24dcp-18, 0x1.55717d372d644p-18, 0x1.60a4122fe8ae3p-18, 0x1.6ba7312bd874cp-18, 0x1.767b99f81e8f9p-18, 0x1.814721a2c4756p-18, 0x1.8bc905a284617p-18, 0x1.96333edd1ba85p-18, 0x1.a07d7e34a237ep-18, 0x1.aa9c2635a4a8ap-18, 0x1.b48d5e4fb8309p-18, 0x1.be521df3412bp-18, 0x1.c7eb2f185b42bp-18, 0x1.d1567f6ba998fp-18, 0x1.da8df4f6ebfa5p-18, 0x1.e398b49b050b5p-18, 0x1.ec77c634f1e4ap-18, 0x1.f4f19cf86cc7ep-18, 0x1.fd7a645c1155ap-18, 0x1.02cb66c9fd195p-17, 0x1.06c7ad798fbd1p-17, 0x1.0ab0756be0dbdp-17, 0x1.0e7ebe3828d86p-17, 0x1.1231747d2e5b1p-17, 0x1.15c8e23d626c3p-17, 0x1.194424d1c69dap-17, 0x1.1ca46f4ff6679p-17, 0x1.1fe9bface2757p-17, 0x1.2315080d52d85p-17, 0x1.26424272f3b8ep-17, 0x1.2917b0434b7d2p-17, 0x1.2bf316f91c54bp-17, 0x1.2eb0fc2f1d01fp-17, 0x1.3152f13e4fc21p-17, 0x1.33e1bbefdf079p-17, 0x1.367ec2fb6080ap-17, 0x1.38a00af700e14p-17, 0x1.3aede304103a9p-17, 0x1.3cfee05015eb5p-17, 0x1.3f069949809f6p-17, 0x1.40f7ae0a3b9c1p-17, 0x1.42cc395ca5627p-17, 0x1.448f40e74ce5ap-17, 0x1.4631138d7b7b5p-17, 0x1.47bc8edf3b32bp-17, 0x1.49371d1024966p-17, 0x1.4a9a5746e0c68p-17, 0x1.4bdb442762b72p-17, 0x1.4d0521774332dp-17, 0x1.4e1f7cf50c6c1p-17, 0x1.4f24236724a4cp-17, 0x1.501282124f79p-17, 0x1.50eb349faead3p-17, 0x1.51aea2ea64f2p-17, 0x1.525d6f9221df3p-17, 0x1.52f775e14ee31p-17, 0x1.537e0b3f14241p-17, 0x1.53f10d513b29fp-17, 0x1.5450ea567080ap-17, 0x1.549db7db635a9p-17, 0x1.54d84bfb0d45ap-17, 0x1.5500df94dec76p-17, 0x1.5517e2c0e9c3ap-17, 0x1.551dc6f311affp-17, 0x1.5512fbc5c9223p-17, 0x1.54f7d7ab4751ep-17, 0x1.54cab861f0019p-17, 0x1.5490f2f371671p-17, 0x1.5445ec55ba40fp-17, 0x1.53ed992e05f03p-17, 0x1.538995dfe1fe3p-17, 0x1.53118f44ebe2ep-17, 0x1.528c5c230d9c5p-17, 0x1.51fce09a05df1p-17, 0x1.515f7ff2be67dp-17, 0x1.50b5051cfeeeep-17, 0x1.50007014e2d42p-17, 0x1.4f3ac3f8c1dcbp-17, 0x1.4e6d63371077bp-17, 0x1.4d94f1d06b436p-17, 0x1.4cb18974729e4p-17, 0x1.4bc4008b7f226p-17, 0x1.4acf77de55a96p-17, 0x1.49cb262ed1a24p-17, 0x1.48bf023f26bd6p-17, 0x1.47aa8ad0e4c51p-17, 0x1.468e73257332cp-17, 0x1.455ab9bf5e0a1p-17, 0x1.4420c2c29e855p-17, 0x1.43084fe67b382p-17, 0x1.41ca132c920bbp-17, 0x1.40823c2564d7fp-17, 0x1.3f12237265134p-17, 0x1.3dee8a816bd83p-17, 0x1.3cb068d681662p-17, 0x1.3b38b725555a4p-17, 0x1.39d4db3361db3p-17, 0x1.386ce4864ead7p-17, 0x1.36ffc32f72ea8p-17, 0x1.358e1f2dea71ep-17, 0x1.3417af96369abp-17, 0x1.329d0594dc9ep-17, 0x1.311e61d0ba087p-17, 0x1.2f9bcc160671bp-17, 0x1.2e15cc5d9a54ap-17, 0x1.2c8cdfc823be5p-17, 0x1.2b00f9f6a6285p-17, 0x1.2970c80b4a799p-17, 0x1.27df1155467f9p-17, 0x1.264b5b2adb25bp-17, 0x1.24b49c5451c5ap-17, 0x1.231bf65f9ed5p-17, 0x1.2181c0a459471p-17, 0x1.1fe6a6169fb3ap-17, 0x1.1e484c921d167p-17, 0x1.1cabf1b119b5dp-17, 0x1.1b0a87ee092cap-17, 0x1.196a55b8c0c04p-17, 0x1.17cadf7ee8912p-17, 0x1.1627a7c3c85bfp-17, 0x1.14831ccb1b4f6p-17, 0x1.12e382fa1ed53p-17, 0x1.11415b19c1c62p-17, 0x1.0f9f8f75e651cp-17, 0x1.0de6924016268p-17, 0x1.0c5cea902d8d8p-17, 0x1.0abac01699c5fp-17, 0x1.091a1516779e7p-17, 0x1.077a5a807df4ap-17, 0x1.05db95625309p-17, 0x1.043dc6a363e43p-17, 0x1.02a117997c57fp-17, 0x1.010b96db078e4p-17, 0x1.fedc31196f988p-18, 0x1.fb8fa80eefb43p-18, 0x1.f878f96144cafp-18, 0x1.f54b454c82c16p-18, 0x1.f22302215bd8cp-18, 0x1.eeff293ae4a5ep-18, 0x1.ebddc29ce4019p-18, 0x1.e8c0bd106e853p-18, 0x1.e5a851df9d5a3p-18, 0x1.e29e078a16691p-18, 0x1.dfcc14b5958a5p-18, 0x1.dc7963ead1fp-18, 0x1.d96f4ddb393cbp-18, 0x1.d66c1a314b69ep-18, 0x1.d36dde1e44adap-18, 0x1.d074930c4f592p-18, 0x1.cd7ac1e5d2927p-18, 0x1.ca96b8f92eb4dp-18, 0x1.c7bb9efe7c5c1p-18, 0x1.c4c5b5b8a51adp-18, 0x1.c1e1c27148d42p-18, 0x1.bf084800bc8c5p-18, 0x1.bc316bce5e7f5p-18, 0x1.b96201b776459p-18, 0x1.b69fd52ae5c14p-18, 0x1.b3ec056cc97c6p-18, 0x1.b103b032d8df3p-18, 0x1.ae5e449733d0bp-18, 0x1.aba61c9bfe2cep-18, 0x1.a8f4e8a504c65p-18, 0x1.a63e6b6e4a013p-18, 0x1.a3ad1d93e4465p-18, 0x1.a10e8ce15bf47p-18, 0x1.9e76f2b492e9dp-18, 0x1.9be62e1d53f4p-18, 0x1.9959ce8020943p-18, 0x1.96d3bb28f24e2p-18, 0x1.9452a7e9f4c93p-18, 0x1.91d8299ca4a72p-18, 0x1.8f634197ff3aep-18, 0x1.8cf3dda3d9e6fp-18, 0x1.8a8efca4f61a3p-18, 0x1.88238449222c8p-18, 0x1.859f28c5bfa19p-18, 0x1.8370c0182e503p-18, 0x1.811c79ca9ce2bp-18, 0x1.7ece4ac18196ep-18, 0x1.7c86374a17f63p-18, 0x1.7a443606da751p-18, 0x1.7808fdaee2d96p-18, 0x1.75cf5eafcfd2p-18, 0x1.739ce76a3ad26p-18, 0x1.70e4a9ec2fb65p-18, 0x1.6f48fdd0c3bfdp-18, 0x1.6d27461f107a4p-18, 0x1.6b103b294b16ep-18, 0x1.6880667f78026p-18, 0x1.66e0f83c353dp-18, 0x1.64d0aa708a2f5p-18, 0x1.62c7599ae0678p-18, 0x1.60c3d9ded2363p-18, 0x1.5ec4ef9390defp-18, 0x1.5cc9f3fa94ebap-18, 0x1.5ad6bef0657a8p-18, 0x1.59267432695eap-18, 0x1.56f8d5f4445b3p-18, 0x1.550ff3d56096dp-18, 0x1.532d2adba126p-18, 0x1.51142d9efd34cp-18, 0x1.5001906c99439p-18, 0x1.4da0c10e9008ap-18, 0x1.4bcbdda96a853p-18, 0x1.49fe1c4e7fc3ap-18, 0x1.4834375ec54ebp-18, 0x1.466eee14d0ed2p-18, 0x1.44acca4592465p-18, 0x1.42ed2fcef221bp-18, 0x1.413de17719119p-18, 0x1.3f7fa547feee7p-18, 0x1.3dd1c5b119dd5p-18, 0x1.3c790e8428d08p-18, 0x1.3a79d9d16df1bp-18, 0x1.3898eb5554f7ap-18, 0x1.372b25a91d193p-18, 0x1.35867e3e49ee8p-18, 0x1.33e91f3c151fbp-18, 0x1.324e37afe8e37p-18, 0x1.30b6f06673829p-18, 0x1.2e6badf8de8fep-18, 0x1.2d916bdefbc68p-18, 0x1.2c033d2378574p-18, 0x1.2a77731a3ced3p-18, 0x1.28ef187422d67p-18, 0x1.2769097c6f34dp-18, 0x1.25bf32ce39d47p-18, 0x1.246a91408ab99p-18, 0x1.22eac0b60996fp-18, 0x1.2127dd2ccd96bp-18, 0x1.1ff6c44db1ce1p-18, 0x1.1e7a312528301p-18, 0x1.1d05d00b2e84fp-18, 0x1.1b93e85dcc82ap-18, 0x1.1a2227b1f5474p-18, 0x1.18b5d58083087p-18, 0x1.1749d1ccef044p-18, 0x1.15d4dd2cf51ep-18, 0x1.14752791354f8p-18, 0x1.130fc54497083p-18, 0x1.11ab1fcfed5cbp-18, 0x1.10482bcd78c84p-18, 0x1.0f00ba172308cp-18, 0x1.0d87892b397d2p-18, 0x1.0c2dd53a267aep-18, 0x1.0b772226535d4p-18, 0x1.094a907a2bbcbp-18, 0x1.0818ac07c15d8p-18, 0x1.06addcd8e4c84p-18, 0x1.0569f4525448p-18, 0x1.041fbaa06610ep-18, 0x1.02d1b935d1d33p-18, 0x1.016b2a21d273fp-18, 0x1.fff360478389cp-19, 0x1.fda74c65be20dp-19, 0x1.faf1eb7a4ed0ap-19, 0x1.f84a46230b6e5p-19, 0x1.f5ad20b265257p-19, 0x1.f31219bc4819bp-19, 0x1.f0783b8db74bfp-19, 0x1.edd8cc979ed56p-19, 0x1.eb48e199e639fp-19, 0x1.e8b61b94f48c8p-19, 0x1.e5be238eed06ep-19, 0x1.e37060dd67799p-19, 0x1.e0f499900de4dp-19, 0x1.de6e3ce3ddbd2p-19, 0x1.dbdc8dfa2bf8dp-19, 0x1.d94daccbc61bcp-19, 0x1.d6c054bcde7edp-19, 0x1.d42ca5ba1e665p-19, 0x1.d1b9c6a21237dp-19, 0x1.cf1cc9701bbb2p-19, 0x1.cc5e35755aa8ep-19, 0x1.ca1482b3d8ae1p-19, 0x1.c7fe9f6e743c6p-19, 0x1.c4f6e026a69ddp-19, 0x1.c26950c6b1578p-19, 0x1.bfe5b2f20a3bfp-19, 0x1.bd2457668ceddp-19, 0x1.bad40c794a5c1p-19, 0x1.b813984fffa2ap-19, 0x1.b5be4bb58b3bcp-19, 0x1.b33eeb3e6c0a9p-19, 0x1.b0bd89d319efbp-19, 0x1.ae3efbd004f7p-19, 0x1.abb0fec36d81ap-19, 0x1.a921b97309d61p-19, 0x1.a699d807dae0ap-19, 0x1.a41246709d743p-19, 0x1.a18aa2ad3e058p-19, 0x1.9f0309b0c8084p-19, 0x1.9c7c8f7d54a03p-19, 0x1.9a0121c927503p-19, 0x1.976f33063636bp-19, 0x1.94b1908860f11p-19, 0x1.9264034df4bedp-19, 0x1.8fc0a744911d6p-19, 0x1.8d52cfc3b908ep-19, 0x1.8ad3d339c2267p-19, 0x1.888ddee36da9cp-19, 0x1.85a81e4caf3cbp-19, 0x1.831d40b6f12e7p-19, 0x1.8091838aece8ap-19, 0x1.7e063ce506b97p-19, 0x1.7b7b33c272852p-19, 0x1.78e2ab79496d1p-19, 0x1.769537b819e8dp-19, 0x1.73d496d28e68ap-19, 0x1.714480ac754bfp-19, 0x1.6eb650247149dp-19, 0x1.6c23e41541104p-19, 0x1.699380bef6d43p-19, 0x1.6707f3d973ff6p-19, 0x1.64757cbd91cf9p-19, 0x1.61e3f2127868ap-19, 0x1.5f65aa0177633p-19, 0x1.5ceec9c9c6027p-19, 0x1.5a3cd3a845debp-19, 0x1.5699d576aac0cp-19, 0x1.5618d4e3cdef9p-19, 0x1.5263b5ee75686p-19, 0x1.4ffdd9590398bp-19, 0x1.4d4be7951614bp-19, 0x1.4ab3ecdbc6f6p-19, 0x1.481dddc4f9195p-19, 0x1.458883aa26781p-19, 0x1.42f31f195ab38p-19, 0x1.405a9388c3fdep-19, 0x1.3de2e3e1a013cp-19, 0x1.3b2e81a07e0a4p-19, 0x1.38983a8d62ad1p-19, 0x1.36970adff65d8p-19, 0x1.3301058bbc1f3p-19, 0x1.30cecc6c13e91p-19, 0x1.2e2e886abfbc4p-19, 0x1.2bf927acd301p-19, 0x1.28fb648f3b97dp-19, 0x1.2662604d2483fp-19, 0x1.23c847b7b5982p-19, 0x1.212ddb59e8eccp-19, 0x1.1e94d54ee26e6p-19, 0x1.1bc3a0688fa48p-19, 0x1.18fa638fd4f9bp-19, 0x1.16cb29e26ea6fp-19, 0x1.1428ddd0f2263p-19, 0x1.11907bddee3bfp-19, 0x1.0f02453066fb4p-19, 0x1.0cab32c3706d7p-19, 0x1.09e6f7695f07fp-19, 0x1.071d16d4f540bp-19, 0x1.0482ce2320b4dp-19, 0x1.0207189646e2fp-19, 0x1.fe9ad17ca19e9p-20, 0x1.f96b39d668c65p-20, 0x1.f4213bbfa52f3p-20, 0x1.eefe001720083p-20, 0x1.e9cce6fdb4e8ep-20, 0x1.e4a8f687759bp-20, 0x1.de330d6f04cc7p-20, 0x1.da6b41fc14ed4p-20, 0x1.d4fbdbaa14f9p-20, 0x1.cfd616de8dfa5p-20, 0x1.cab83ebab77f2p-20, 0x1.c5780eb063e1fp-20, 0x1.c0489764a39cfp-20, 0x1.bb1feede59957p-20, 0x1.b5f031aae8003p-20, 0x1.b08173a592f5p-20, 0x1.ab9ae5acd6726p-20, 0x1.a99ff276f0abbp-20, 0x1.a15a8f8acf449p-20, 0x1.9c2cde2375b52p-20, 0x1.96f359b7775c3p-20, 0x1.910f410866569p-20, 0x1.8ccf5b07549a6p-20, 0x1.87e2002f0a032p-20, 0x1.829dedb4617a6p-20, 0x1.7d69ff04ec666p-20, 0x1.78527f9ad835p-20, 0x1.733bdf65ff141p-20, 0x1.6e2710a79a5b2p-20, 0x1.68f9102473ea3p-20, 0x1.64049bb690cfap-20, 0x1.5efb569d4776cp-20, 0x1.59de46470c0dcp-20, 0x1.54d3361dffc71p-20, 0x1.4f956a9a10196p-20, 0x1.4adfb091f3caap-20, 0x1.45c890140b867p-20, 0x1.40c1d08f4ba5p-20, 0x1.3bc77d7983c6ap-20, 0x1.36cc1fd4147f6p-20, }}, 
      {{0x1.42ceca7128597p-6, 0x1.4198f60bde657p-5, 0x1.df70e90ab7bacp-5, 0x1.3cf1143be44bcp-4, 0x1.87ffb26ab88bfp-4, 0x1.d07e6ee9c356cp-4, 0x1.0b0c3cac789bcp-3, 0x1.2c44bf0131009p-3, 0x1.4bce541c0b1c9p-3, 0x1.6995a362a8deap-3, 0x1.858db7a1db16bp-3, 0x1.9faf42877a74p-3, 0x1.b7f7d5ea8519ep-3, 0x1.ce693ecdafadfp-3, 0x1.e308d7e956593p-3, 0x1.f5defc1dba6cfp-3, 0x1.037b38160024ep-2, 0x1.0b2e00228f77cp-2, 0x1.120efebbc26aep-2, 0x1.1825fa5f4772fp-2, 0x1.1d7b2af486f87p-2, 0x1.2217173eab1ecp-2, 0x1.260275d79cd7dp-2, 0x1.294615dec7525p-2, 0x1.2beacc2bd09a5p-2, 0x1.2df957e517aaap-2, 0x1.2f7a60a2c803cp-2, 0x1.307661c66a024p-2, 0x1.30f5a274ebd29p-2, 0x1.310030a680622p-2, 0x1.309dd8b863b38p-2, 0x1.2fd621d858527p-2, 0x1.2eb04a26662b4p-2, 0x1.2d3347b849712p-2, 0x1.2b65c210568b2p-2, 0x1.294e19679b867p-2, 0x1.26f25ee98a047p-2, 0x1.24585b62f883ap-2, 0x1.21858dd02f478p-2, 0x1.1e7f2decbb5fcp-2, 0x1.1b4a2d31d872cp-2, 0x1.17eb399774414p-2, 0x1.1466bf23adf17p-2, 0x1.10c0e98b4b8b9p-2, 0x1.0cfda8fb9c8aap-2, 0x1.0920b13ffbf26p-2, 0x1.052d7a010d13fp-2, 0x1.01274b2b354fdp-2, 0x1.fa226639b214p-3, 0x1.f1dc1f17383f7p-3, 0x1.e9811b75441b8p-3, 0x1.e1165a5effa71p-3, 0x1.d8a0814d83929p-3, 0x1.d023e75473557p-3, 0x1.c7a48bcf35db8p-3, 0x1.bf262712c2c0ep-3, 0x1.b6ac26fd3098p-3, 0x1.ae39b6057e271p-3, 0x1.a5d1bbbbeedap-3, 0x1.9d76e1d2e2d8ap-3, 0x1.952b97fef16aep-3, 0x1.8cf214f1fca96p-3, 0x1.84cc5b10f1fc7p-3, 0x1.7cbc3b58b2e74p-3, 0x1.74c3589f34c6cp-3, 0x1.6ce322cfa90bep-3, 0x1.651cea4382c0ep-3, 0x1.5d71d11eb57c5p-3, 0x1.55e2d63308479p-3, 0x1.4e70d59dcf347p-3, 0x1.471c8b18ac489p-3, 0x1.3fe693e6d18fbp-3, 0x1.38cf6fce14de6p-3, 0x1.31d7886e7d74fp-3, 0x1.2aff286806401p-3, 0x1.244687d7d1569p-3, 0x1.1dadc86d7f6ccp-3, 0x1.1734f84f45843p-3, 0x1.10dc13c99b83dp-3, 0x1.0aa3063881c5ep-3, 0x1.0489abcba6a47p-3, 0x1.fd1fa5c5f0651p-4, 0x1.f16a7a19099dep-4, 0x1.e5f340eb72f3p-4, 0x1.dab95162faeacp-4, 0x1.cfbbeff156e3ep-4, 0x1.c4fa5091d0698p-4, 0x1.ba7397a982431p-4, 0x1.b026dcc7703bfp-4, 0x1.a6132b9159542p-4, 0x1.9c3785d4c4b6fp-4, 0x1.9292e3dd26f18p-4, 0x1.8924381f7c153p-4, 0x1.7fea6e4175ee7p-4, 0x1.76e46d1f3a028p-4, 0x1.6e1118009cfddp-4, 0x1.656f4f08d591cp-4, 0x1.5cfdf0896b0d5p-4, 0x1.54bbd9a2a68b9p-4, 0x1.4ca7e6ed57eb3p-4, 0x1.44c0f5679a19cp-4, 0x1.3d05e3418e3eep-4, 0x1.35759033bb5a8p-4, 0x1.2e0ede401008fp-4, 0x1.26d0b2ce3fae5p-4, 0x1.1fb9f5ad0927ap-4, 0x1.18c9935376ea2p-4, 0x1.11fe7b6d54bf6p-4, 0x1.0b57a2511085ap-4, 0x1.04d4009ffafe7p-4, 0x1.fce5280c0bc0ap-5, 0x1.f064bd1f81e4cp-5, 0x1.e424d07a577f4p-5, 0x1.d82376f005d24p-5, 0x1.cc5edde2c2605p-5, 0x1.c0d52e50a7cdbp-5, 0x1.b584a5ca8e4a4p-5, 0x1.aa6b8bb2311eap-5, 0x1.9f88332e4102cp-5, 0x1.94d8fbbf7461bp-5, 0x1.8a5c5098f7f91p-5, 0x1.8010a94573aacp-5, 0x1.75f483b530cp-5, 0x1.6c067d89179b4p-5, 0x1.6245229f02856p-5, 0x1.58af1e6add418p-5, 0x1.4f43226895bc3p-5, 0x1.45ffebea846f9p-5, 0x1.3ce442f884063p-5, 0x1.33eefb35af32ep-5, 0x1.2b1ef324556fp-5, 0x1.2273143725819p-5, 0x1.19ea525fbfd59p-5, 0x1.1183aca14ed51p-5, 0x1.093e2c2c13cc6p-5, 0x1.0118e411edc51p-5, 0x1.f225e4c3cccc7p-6, 0x1.e256f77345ee4p-6, 0x1.d2c3682966c28p-6, 0x1.c369a85c116f1p-6, 0x1.b4483b77ad57p-6, 0x1.a55db9fd4429p-6, 0x1.96a8cd4970a37p-6, 0x1.88282e8fc361ap-6, 0x1.79daa5f9773a4p-6, 0x1.6bbf0c869dbc2p-6, 0x1.5dd44a1b1ddf7p-6, 0x1.501954ff8b715p-6, 0x1.428d320667729p-6, 0x1.352ef32c0b95bp-6, 0x1.27fdb82b63411p-6, 0x1.1af8ace8361b3p-6, 0x1.0e1f09fd006cdp-6, 0x1.017014cd11222p-6, 0x1.e9d6375797c02p-7, 0x1.d11ef447b0c8bp-7, 0x1.b8b92ac1c1629p-7, 0x1.a0a3ba4579876p-7, 0x1.88dd9574919efp-7, 0x1.7165bf79f73e9p-7, 0x1.5a3b4fafa214fp-7, 0x1.435d6d5955c41p-7, 0x1.2ccb4ee232f8cp-7, 0x1.16843c36af96ap-7, 0x1.008788103180cp-7, 0x1.d5a9302c0159ap-8, 0x1.aad5b34b16f28p-8, 0x1.8093904349cc8p-8, 0x1.56e1d64b42577p-8, 0x1.2dbfaa9a81b3dp-8, 0x1.052c45b738b35p-8, 0x1.ba4ddc4975d1bp-9, 0x1.6b5e05e3eefffp-9, 0x1.1d87fcaa1dfbcp-9, 0x1.a1950b02597afp-10, 0x1.0a49b900973ep-10, 0x1.d4b0f00532528p-12, -0x1.dc4cd65fb3f4bp-14, -0x1.5d156ce49e8ecp-11, -0x1.3d269b393ec9fp-10, -0x1.c99985f198d9ep-10, -0x1.29f2293cec60dp-9, -0x1.6e03e53077c6cp-9, -0x1.b1024b9d5b7b4p-9, -0x1.f2edf6213b8d2p-9, -0x1.19e32719384cbp-8, -0x1.39c6377a61bbbp-8, -0x1.592023abc6996p-8, -0x1.77f1067d5a558p-8, -0x1.9638f959818ebp-8, -0x1.b3f8195950ce9p-8, -0x1.d12e789736938p-8, -0x1.eddc3c47a58e3p-8, -0x1.0500bb75c89f8p-7, -0x1.12cf26387ca57p-7, -0x1.20596be8421aap-7, -0x1.2d9fa0699933dp-7, -0x1.3aa1d604fa37p-7, -0x1.47602334f3001p-7, -0x1.53da9f9f04127p-7, -0x1.601165462f9ebp-7, -0x1.6c048ee19bb5bp-7, -0x1.77b43d530cd65p-7, -0x1.8320920f1fe3bp-7, -0x1.8e49b255a4999p-7, -0x1.992fc60bd2075p-7, -0x1.a3d2f8f8b9dfap-7, -0x1.ae337a3df31ffp-7, -0x1.b8517c8fd8ea5p-7, -0x1.c22d346bf2445p-7, -0x1.cbc6dc6c82de8p-7, -0x1.d51eb17837278p-7, -0x1.de34f52ea3e1fp-7, -0x1.e709ec47897fdp-7, -0x1.ef9ddea82756fp-7, -0x1.f7f119fa23b58p-7, -0x1.0001f766bec76p-6, -0x1.03eb58e988e72p-6, -0x1.07b4de02e71adp-6, -0x1.0b5eb1d1066a8p-6, -0x1.0ee9098a54ccfp-6, -0x1.12541658b3352p-6, -0x1.15a0082134c42p-6, -0x1.18cd19037485ap-6, -0x1.1bdb7fa6a0d05p-6, -0x1.1ecb7627be844p-6, -0x1.219d37a8e98ep-6, -0x1.2451029bdae93p-6, -0x1.26e71601a6469p-6, -0x1.295fb30adeb25p-6, -0x1.2bbb1ca4b341cp-6, -0x1.2df9976b45c01p-6, -0x1.301b6a27f9d24p-6, -0x1.3220dcadc748dp-6, -0x1.340a386d7d9ddp-6, -0x1.35d7c86ebe093p-6, -0x1.3789d9d7b6e29p-6, -0x1.3920bb0ff34eep-6, -0x1.3a9cba52bd15p-6, -0x1.3bfe2a384cee6p-6, -0x1.3d455c11605e8p-6, -0x1.3e72a603bb422p-6, -0x1.3f8659a92ea48p-6, -0x1.4080cc44d66ddp-6, -0x1.416259962354cp-6, -0x1.422b56a9b08a8p-6, -0x1.42dc1d3b7714cp-6, -0x1.4375080eb7dc5p-6, -0x1.43f671e86055cp-6, -0x1.4460b71f295cp-6, -0x1.44b43479e6fa8p-6, -0x1.44f147ea1ebaap-6, -0x1.45184f89882b2p-6, -0x1.4529aa64cb748p-6, -0x1.4525b7fb5fa8ep-6, -0x1.450cdaf4dd25ap-6, -0x1.44df6cd2aefd3p-6, -0x1.449dd5d2a30d6p-6, -0x1.444874e3cfedbp-6, -0x1.43dfac197a4dep-6, -0x1.4363dd0b3e141p-6, -0x1.42d56a8b118cep-6, -0x1.4234b66f1e6f1p-6, -0x1.418223ce4478fp-6, -0x1.40be14d6597dcp-6, -0x1.3fe8ecbddd284p-6, -0x1.3f030d9cf69cp-6, -0x1.3e0cda072f67ap-6, -0x1.3d06b5768d4aep-6, -0x1.3bf100e7bd885p-6, -0x1.3acc1eceaf634p-6, -0x1.399870fbde0cep-6, -0x1.385658efbb722p-6, -0x1.370637c7109b8p-6, -0x1.35a86e6608b7dp-6, -0x1.343d5cff22b75p-6, -0x1.32c5637589d2cp-6, -0x1.3140e112cd18ap-6, -0x1.2fb034472d94dp-6, -0x1.2e13ba1917d5ep-6, -0x1.2c6bd7b903fap-6, -0x1.2ab8deafbf396p-6, -0x1.28fb32a2215eap-6, -0x1.27332a2e39bfcp-6, -0x1.2561279774f2dp-6, -0x1.23857ecef3941p-6, -0x1.21a08a80f99c1p-6, -0x1.1fb2a1e2abdacp-6, -0x1.1dbc206051aabp-6, -0x1.1bbd590566caep-6, -0x1.19b6a26bb5099p-6, -0x1.17a850c773e91p-6, -0x1.1592b9d93edf4p-6, -0x1.13762f5fdd73bp-6, -0x1.115302db4c24bp-6, -0x1.0f298561ceeacp-6, -0x1.0cfa05988b41cp-6, -0x1.0ac4d4e44cc7ap-6, -0x1.088a3e03b9197p-6, -0x1.064a8f0cf0236p-6, -0x1.04061343a6e84p-6, -0x1.01bd14d9d884bp-6, -0x1.fedfb9d33367ep-7, -0x1.fa3d66eca1168p-7, -0x1.f593bcd1f3825p-7, -0x1.f0e350467ea03p-7, -0x1.ec2c9b6e54a3bp-7, -0x1.e770305020fc1p-7, -0x1.e2ae8b7761098p-7, -0x1.dde83717e9dbap-7, -0x1.d91db1fa4c654p-7, -0x1.d44f6f9a2e31bp-7, -0x1.cf7df344f1a78p-7, -0x1.caa9b3850705dp-7, -0x1.c5d3257853847p-7, -0x1.c0fabd49c56c6p-7, -0x1.bc20ebe491479p-7, -0x1.b7461fb5fea89p-7, -0x1.b26ac4e589767p-7, -0x1.ad8f4599fb38bp-7, -0x1.a8b408f1e7638p-7, -0x1.a3d973f50e5c4p-7, -0x1.9effe9371252ap-7, -0x1.9a27c8ed2e62p-7, -0x1.955170c6a9e9dp-7, -0x1.907d3c2024c4ap-7, -0x1.8bab7f4e4fd1fp-7, -0x1.86dca0424ec03p-7, -0x1.8210e3ea6420ap-7, -0x1.7d48a133fabdep-7, -0x1.7884285f062a7p-7, -0x1.73c3c6d6755f4p-7, -0x1.6f07c7aa8eadp-7, -0x1.6a5073e3eaa6ep-7, -0x1.659e124dbf7d9p-7, -0x1.60f0e7752faa6p-7, -0x1.5c4935b71ee48p-7, -0x1.57a73d58c9509p-7, -0x1.530b39af4c7acp-7, -0x1.4e756e95a7b18p-7, -0x1.49e60e3d3b622p-7, -0x1.455d5306dd3d1p-7, -0x1.40db72661f0fdp-7, -0x1.3c60a066afd08p-7, -0x1.37ed0e99dcf78p-7, -0x1.3380ecf31d73cp-7, -0x1.2f1c694d0ef34p-7, -0x1.2abfaf8d33ef3p-7, -0x1.266ae9a6312dbp-7, -0x1.221e3fecfe039p-7, -0x1.1dd9d8e443acp-7, -0x1.199dd8e91bb77p-7, -0x1.156a62c2edeb5p-7, -0x1.113f97e0afae7p-7, -0x1.0d1d9747a307ap-7, -0x1.09047e833f546p-7, -0x1.04f46906690fbp-7, -0x1.00ed76b46cff3p-7, -0x1.f9df6e98a323fp-8, -0x1.f1f68e0f349e1p-8, -0x1.ea207707f45b5p-8, -0x1.e25d54bf81daap-8, -0x1.daad493a7fd7p-8, -0x1.d31071a8e8d9bp-8, -0x1.cb86fee6d9642p-8, -0x1.c410fa33e6178p-8, -0x1.bcae894b3b55ap-8, -0x1.b55fc143cb5b5p-8, -0x1.ae24b78b50efp-8, -0x1.a6fd7f0e24eadp-8, -0x1.9fea283d5c14ap-8, -0x1.98eac11763e94p-8, -0x1.91ff552cc9e6cp-8, -0x1.8b27edbdf4618p-8, -0x1.846491a9e10bfp-8, -0x1.7db53f3e80556p-8, -0x1.771a17ac6cc67p-8, -0x1.7092d9214c80ep-8, -0x1.6a1fce481ca4p-8, -0x1.63c0c8f27e6e9p-8, -0x1.5d75cd04d5e11p-8, -0x1.573ed5316d3cap-8, -0x1.511bd870dcb67p-8, -0x1.4b0ccbffe80b3p-8, -0x1.4511a3ead469cp-8, -0x1.3f2a50e2ec9e6p-8, -0x1.3956c595bd84dp-8, -0x1.3396f167a4b21p-8, -0x1.2deabfa8e63fep-8, -0x1.28521e1632728p-8, -0x1.22ccf60391859p-8, -0x1.1d5b1e71730cp-8, -0x1.17fcc6ce5c40dp-8, -0x1.12b17542be386p-8, -0x1.0d79625709725p-8, -0x1.08543e426a7c2p-8, -0x1.0342050be8af7p-8, -0x1.fc851e598bc32p-9, -0x1.f2ab828e807d4p-9, -0x1.e8f6f955e48a1p-9, -0x1.df674379a2501p-9, -0x1.d5fc1fe10b36dp-9, -0x1.ccb54b0a1df55p-9, -0x1.c3927f536e31cp-9, -0x1.ba93743ac0ff1p-9, -0x1.b1b7e01a2ee22p-9, -0x1.a8ff794eed82bp-9, -0x1.a069f4c70e192p-9, -0x1.97f708304a554p-9, -0x1.8fa667381945cp-9, -0x1.8777c59db45bbp-9, -0x1.7f6aca718b709p-9, -0x1.777f2e451ec2bp-9, -0x1.6fb4ec071dfecp-9, -0x1.680b4d4df48cep-9, -0x1.6081dcb408d13p-9, -0x1.5918d59a6c8ap-9, -0x1.51cf776825fc3p-9, -0x1.4aa5944e79f05p-9, -0x1.439aa5aa3eb59p-9, -0x1.3cae89ca5e494p-9, -0x1.35e0dbd2cd2f7p-9, -0x1.2f314892ea2b5p-9, -0x1.289f7b642bee4p-9, -0x1.222b2072cad96p-9, -0x1.1bd3e1813304cp-9, -0x1.159960ba2062fp-9, -0x1.0f7b51e0977bdp-9, -0x1.0979487d08959p-9, -0x1.0392f5e2b4162p-9, -0x1.fb8ffc6ab58bbp-10, -0x1.f03015f99e7e7p-10, -0x1.e5058f420433dp-10, -0x1.da0fc214a7eep-10, -0x1.cf4e0a5c45434p-10, -0x1.c4bfc42c4addbp-10, -0x1.ba6448fd86407p-10, -0x1.b03aed51706c9p-10, -0x1.a64301d6ca403p-10, -0x1.9c7bd2aaa9449p-10, -0x1.92e525fda82b9p-10, -0x1.897cc94d8a2cp-10, -0x1.8043703df6caep-10, -0x1.7737e69551601p-10, -0x1.6e5a55a7dbcdp-10, -0x1.65a89af1627c2p-10, -0x1.5d22b11cb516ep-10, -0x1.54c85fdbc7682p-10, -0x1.4c98de67a0ce3p-10, -0x1.44935bb42b75ap-10, -0x1.3cb74fac7d95bp-10, -0x1.350417825a6eep-10, -0x1.2d79597a02434p-10, -0x1.26160d41b9e42p-10, -0x1.1eda071907e84p-10, -0x1.17c43fd63612cp-10, -0x1.10d487c0ed7dfp-10, -0x1.0a09edd22509fp-10, -0x1.0363f40a0bf93p-10, -0x1.f9c3ffbbe20a7p-11, -0x1.ed06e469646aap-11, -0x1.e08f5299df47bp-11, -0x1.d45c07b6def67p-11, -0x1.c86bbccc3ecc9p-11, -0x1.bcbd6ca40120ap-11, -0x1.b14fd79270261p-11, -0x1.a621f7ae6da62p-11, -0x1.9b32c568d32f8p-11, -0x1.90813a70722d3p-11, -0x1.860c5a3320688p-11, -0x1.7bd30b8f81291p-11, -0x1.71d46a647f838p-11, -0x1.680f768b2677p-11, -0x1.5e8336320a005p-11, -0x1.552ea85604b74p-11, -0x1.4c10c144c7521p-11, -0x1.43286cb60b773p-11, -0x1.3a749339c62b6p-11, -0x1.31f42460787bbp-11, -0x1.29a619049f2dap-11, -0x1.218977c2a55e3p-11, -0x1.199d4909fdb35p-11, -0x1.11e0c1539051ep-11, -0x1.0a525d73eb1b6p-11, -0x1.02f30e1698a3dp-11, -0x1.f77f9037133bcp-12, -0x1.e97304ae3a1e4p-12, -0x1.dbbd2bb3e2f5ap-12, -0x1.ce5cf1b0dd512p-12, -0x1.c1509a096b8ccp-12, -0x1.b4964e0461ed6p-12, -0x1.a82c25434268p-12, -0x1.9c103913b6335p-12, -0x1.9040764446ed6p-12, -0x1.84bcca9c79368p-12, -0x1.798101a211152p-12, -0x1.6e8d8ccd6e529p-12, -0x1.63ded10cdb692p-12, -0x1.5975d6119b0b5p-12, -0x1.4f4f8c4c05d62p-12, -0x1.456af8d4b8dfdp-12, -0x1.3bc7281c03357p-12, -0x1.326342655de5bp-12, -0x1.293e3ab449974p-12, -0x1.205716b09145ep-12, -0x1.17ac254fb1909p-12, -0x1.0f3c9b46d984cp-12, -0x1.070691004cd1dp-12, -0x1.fe11cd99bac8p-13, -0x1.ee849d4905a7p-13, -0x1.df630f2992978p-13, -0x1.d0aa3ea7ea092p-13, -0x1.c257548999182p-13, -0x1.b4674f94fc38bp-13, -0x1.a6d728b29fad6p-13, -0x1.99a40e9b2bec5p-13, -0x1.8ccb6e96c16d2p-13, -0x1.804b3882544c8p-13, -0x1.742211d52912ep-13, -0x1.684d1fed9a804p-13, -0x1.5ccf2b05597e4p-13, -0x1.51a61cb23b6bdp-13, -0x1.46cd293657dc2p-13, -0x1.3c3feac8c7d89p-13, -0x1.320bfb2078369p-13, -0x1.2816add8dc184p-13, -0x1.1e70e276f8bp-13, -0x1.1513280b80673p-13, -0x1.0bfcaff92e943p-13, -0x1.032bb2b555781p-13, -0x1.f53c28cc9a72dp-14, -0x1.e4a3d45675d43p-14, -0x1.d489b8d852e3cp-14, -0x1.c4e8cd5bee817p-14, -0x1.b5bf8b50b31e5p-14, -0x1.a708296bfd185p-14, -0x1.98c0adf1abfa7p-14, -0x1.8ae7107666cc4p-14, -0x1.7d7940e5aa2ddp-14, -0x1.7074675d4c9d7p-14, -0x1.63d5b8f7fb21ap-14, -0x1.579a01dde795ep-14, -0x1.4bbfe6b071c3bp-14, -0x1.404422af43809p-14, -0x1.3525066b106e6p-14, -0x1.2a6104307c4e9p-14, -0x1.1ff566ee64dcfp-14, -0x1.15e2329c9276ep-14, -0x1.0c1f0748e1fd8p-14, -0x1.02affc3bf66cep-14, -0x1.f320cb30c667fp-15, -0x1.e17c03fc78c63p-15, -0x1.d06992f8cf928p-15, -0x1.bfe7b7ec120cdp-15, -0x1.aff20ee588eb8p-15, -0x1.a0850f31c54bep-15, -0x1.919d61ba1b4d3p-15, -0x1.8337a60683956p-15, -0x1.754f960bd7d9bp-15, -0x1.67d24d759bdacp-15, -0x1.5ad7bdae26142p-15, -0x1.4e5d856a1d4efp-15, -0x1.4242e7f3de7aep-15, -0x1.3696a95ed0542p-15, -0x1.2b51c88a28e2ap-15, -0x1.20713b4fc8e25p-15, -0x1.15f872ae45b66p-15, -0x1.0bdc7becb74p-15, -0x1.021a12a70f3bbp-15, -0x1.f16ef87c13323p-16, -0x1.df56357dcd05bp-16, -0x1.cde990198536p-16, -0x1.bd12f2e284e5p-16, -0x1.acf9d1d952f8bp-16, -0x1.9d60d96d253dcp-16, -0x1.8e73ad7f88a47p-16, -0x1.801048e6dbb1ap-16, -0x1.723b599d10f61p-16, -0x1.64ee4e2627bcap-16, -0x1.58231566a0208p-16, -0x1.4bd52521f48eap-16, -0x1.3ff7360a60549p-16, -0x1.349936b9f77f6p-16, -0x1.29c156eef3dp-16, -0x1.1f4c9383d3062p-16, -0x1.1544d696ac95dp-16, -0x1.0ba62dcb01906p-16, -0x1.026c0e7d8b0a3p-16, -0x1.f327ca71a518bp-17, -0x1.e22f8983c4be2p-17, -0x1.d1eb8148b681bp-17, -0x1.c25324d401e6bp-17, -0x1.b363988c8ddd4p-17, -0x1.a51994c45c56bp-17, -0x1.976c0fe91b47ap-17, -0x1.8a5aea13f845bp-17, -0x1.7ddccb64a85cbp-17, -0x1.71eba3fbeed9p-17, -0x1.668719b98d0ap-17, -0x1.5ba89b8c70e87p-17, -0x1.514812f6944cfp-17, -0x1.475ec15b27035p-17, -0x1.3de75a074fc41p-17, -0x1.34df5e396c89p-17, -0x1.2c45f28b8bc48p-17, -0x1.24191371b0024p-17, -0x1.1c1107b37d1cdp-17, -0x1.14be0c13ed7ffp-17, -0x1.0dd4b896fe96ap-17, -0x1.071ede2639a08p-17, -0x1.00c0edbd2cc41p-17, -0x1.f572ca761e77p-18, -0x1.e9ff7ac16b6e1p-18, -0x1.df1f1c311758cp-18, -0x1.d4cd63413985bp-18, -0x1.cb00f31743a5p-18, -0x1.c1bbef23e3f6cp-18, -0x1.b8f506a8f7efep-18, -0x1.b0a24455d0e4p-18, -0x1.a8d28e2edb3dcp-18, -0x1.a16cc47dee6b6p-18, -0x1.9a7beb3889e28p-18, -0x1.93d9881e5d163p-18, -0x1.8da4f5b4fd165p-18, -0x1.87cc770327dd3p-18, -0x1.824db9f21ca18p-18, -0x1.7cb001bd410f7p-18, -0x1.77da2c44b50cap-18, -0x1.73b021794e5c8p-18, -0x1.6f632ef76825fp-18, -0x1.6b5d047d33fb1p-18, -0x1.67934cda3e4f7p-18, -0x1.645d400bb6301p-18, -0x1.608b698c7bde2p-18, -0x1.5dadcc0ae0b1ap-18, -0x1.5aca36eea09ep-18, -0x1.581b780ef9a9bp-18, -0x1.559b9e249b218p-18, -0x1.5348e27e9d4cdp-18, -0x1.5154c9c35b189p-18, -0x1.4f1a9184f660bp-18, -0x1.4d3b874da23fap-18, -0x1.4b7db8eefa53cp-18, -0x1.49dfc5123e02dp-18, -0x1.48618e551894dp-18, -0x1.46fe976c9e594p-18, -0x1.45b3cec875efep-18, -0x1.44860900ce0c8p-18, -0x1.43687781d2a47p-18, -0x1.426353de5751dp-18, -0x1.417122f7b172ap-18, -0x1.40950e983f6e2p-18, -0x1.3fbb73b295671p-18, -0x1.3effaf42a068ep-18, -0x1.3e4d4bed28f9ep-18, -0x1.3da3235e94257p-18, -0x1.3d01492a5128dp-18, -0x1.3c72c115aae42p-18, -0x1.3be726015d22fp-18, -0x1.3b63e7768ecf9p-18, -0x1.3ae9d7d4697a9p-18, -0x1.3ad22b89989fbp-18, -0x1.39d1db7c19929p-18, -0x1.398f373d7755ap-18, -0x1.391e74b0fb335p-18, -0x1.38b447885dee2p-18, -0x1.384e4093e63eep-18, -0x1.37e7955ae2742p-18, -0x1.37793ab79ac95p-18, -0x1.371665b8681e5p-18, -0x1.36ad43b418295p-18, -0x1.3642ab26d8f05p-18, -0x1.35d5cb738724bp-18, -0x1.3565e5aa024p-18, -0x1.34f4a99399874p-18, -0x1.3480a058aa68dp-18, -0x1.340b07469208ap-18, -0x1.335bd9249f942p-18, -0x1.32c509232625p-18, -0x1.3287c15029b26p-18, -0x1.31f74202e3f65p-18, -0x1.31643e2975939p-18, -0x1.30cd7f34db575p-18, -0x1.3031e985062e5p-18, -0x1.2f926aba25c2ep-18, -0x1.2eea3f2f50cbdp-18, -0x1.2e40aca928fdcp-18, -0x1.2dbb555f54a56p-18, -0x1.2cc6de4bd1b08p-18, -0x1.2c0b8b713cfddp-18, -0x1.2b44f132c7aaap-18, -0x1.2a771bc2448dep-18, -0x1.29a03d78d03d9p-18, -0x1.289645ff39598p-18, -0x1.27e11137e4e36p-18, -0x1.26f86431889c4p-18, -0x1.260402c3249a6p-18, -0x1.250cb09d52f2dp-18, -0x1.241097434167fp-18, -0x1.230cba6291eaep-18, -0x1.21ff1a0f63afap-18, -0x1.20efb77b39a5cp-18, -0x1.1fc25b9f1e2bcp-18, -0x1.1eb673f27a581p-18, -0x1.1d90abe6894bdp-18, -0x1.1c6234b2ee9d9p-18, -0x1.1b3043af925c3p-18, -0x1.19f82c3a698cep-18, -0x1.18ba6ca493276p-18, -0x1.17749598dddfdp-18, -0x1.16297acb5317p-18, -0x1.14d8e85c540ddp-18, -0x1.1382e7f795075p-18, -0x1.1226caa2cbb05p-18, -0x1.10c5721d3f8p-18, -0x1.0f5dff8729cbbp-18, -0x1.0df27d7e73955p-18, -0x1.0c81efdab9cfdp-18, -0x1.0b0d6214587f8p-18, -0x1.0992e0bf593e8p-18, -0x1.08120c527bf36p-18, -0x1.068dcd5b572a2p-18, -0x1.0509875d91c6bp-18, -0x1.035af7bf55b34p-18, -0x1.01ead49b91239p-18, -0x1.005743659a908p-18, -0x1.fd7511855fd2ep-19, -0x1.fa3f578f5e9d5p-19, -0x1.f7006c6f81abp-19, -0x1.f3bab4876f62dp-19, -0x1.f0747f7d9291ep-19, -0x1.ed1c46a84822ep-19, -0x1.e9c32327aadadp-19, -0x1.e664e734bdc46p-19, -0x1.e3094815b0ae2p-19, -0x1.e0869938d566ep-19, -0x1.dc23e851cc77bp-19, -0x1.d8bccbf7114a7p-19, -0x1.d53d1e0f6adf5p-19, -0x1.d1c6cf82aced6p-19, -0x1.ce507ba4cd35cp-19, -0x1.cbd53f26b144dp-19, -0x1.c7035c755af44p-19, -0x1.c40d63b6ec88cp-19, -0x1.c02f9c2e8079ep-19, -0x1.bc9a6dc5188e4p-19, -0x1.b918f843c63e7p-19, -0x1.b5634a53ddbffp-19, -0x1.b206e1ca43e9cp-19, -0x1.ae4dfd6221f4p-19, -0x1.aab86ed630855p-19, -0x1.a728e33c25251p-19, -0x1.a385215659446p-19, -0x1.9feb8d41e9194p-19, -0x1.9c55a939851aep-19, -0x1.98bbb499bf848p-19, -0x1.9521340ce17aep-19, -0x1.9185723dc5114p-19, -0x1.8de99012591c8p-19, -0x1.8a4fec769a51ap-19, -0x1.86c06515147b7p-19, -0x1.8324c2317c99ap-19, -0x1.7f8c6ba719308p-19, -0x1.7bf66c07a9245p-19, -0x1.786558c6c1c3bp-19, -0x1.74d0d8a92230cp-19, -0x1.71406a61e767dp-19, -0x1.6db1f4a606c5bp-19, -0x1.6a259a85ea814p-19, -0x1.669b760db94fep-19, -0x1.6313a5046a851p-19, -0x1.5f8e3fb80ac6p-19, -0x1.5bf3d7c2a44ecp-19, -0x1.588bb2c09bebp-19, -0x1.551054f252d7cp-19, -0x1.5196129d812bap-19, -0x1.4e1d88e0557abp-19, -0x1.4aa280098a6abp-19, -0x1.473cc2d8fd7acp-19, -0x1.43dcb28f71b51p-19, -0x1.4075b1698a851p-19, -0x1.3cffb3a056afdp-19, -0x1.39a678823abddp-19, -0x1.363ed0a44288ep-19, -0x1.32e6351b99996p-19, -0x1.2f91020702ap-19, -0x1.2c3fe1852676ep-19, -0x1.28f4fcca26089p-19, -0x1.25b969281f4c5p-19, -0x1.2265d9ddc1f49p-19, -0x1.1f252963e4bafp-19, -0x1.1bea572cc4802p-19, -0x1.18bdb17db9f41p-19, -0x1.153b78fbc82abp-19, -0x1.11de0e953f0d9p-19, -0x1.0f3d8cd61b547p-19, -0x1.0bfeb57f1181ep-19, -0x1.08cff459fdc54p-19, -0x1.051cb11128865p-19, -0x1.02c0fddb9a30fp-19, -0x1.00273ec23704cp-19, -0x1.f93ffa8657392p-20, -0x1.f31f1e458455ap-20, -0x1.ed166ee5d9dc1p-20, -0x1.e71d57ca2f3d7p-20, -0x1.e1305d5967afdp-20, -0x1.db46b4dc77357p-20, -0x1.d56a4426af37fp-20, -0x1.cf98d8b1b511ep-20, -0x1.c9cf1bca5b715p-20, -0x1.c413bc78f1db6p-20, -0x1.be6213fffa7fep-20, -0x1.b8b8d930e5173p-20, -0x1.b31a23122dbb9p-20, -0x1.ad865eddcc134p-20, -0x1.a7fcf26af4626p-20, -0x1.a27e26641c8e6p-20, -0x1.9d0b22593b62p-20, -0x1.97a0cd90d6a48p-20, -0x1.9247217f6501bp-20, -0x1.8ce2381483932p-20, -0x1.87a6120dfbc18p-20, -0x1.825f0d918deacp-20, -0x1.7d25903338758p-20, -0x1.7811b8a40384fp-20, -0x1.72d455131e3cfp-20, -0x1.6d9522497b38ap-20, -0x1.68ac12daedb23p-20, -0x1.63adafe3658ebp-20, -0x1.5eb5e5078b3b5p-20, -0x1.595882189cd25p-20, -0x1.54db2d927d2dfp-20, -0x1.4ff6414d4481bp-20, -0x1.4b2d4d3918408p-20, -0x1.4668d2f23bd95p-20, -0x1.41a679573c3eap-20, -0x1.3cf0bfb96445dp-20, -0x1.3846db9ecfa9cp-20, -0x1.34331be69e8b6p-20, -0x1.2f16feeaec90cp-20, -0x1.2a444824261cbp-20, -0x1.25fb02283f15bp-20, -0x1.21862d403e7dbp-20, -0x1.1d0f6479fc14dp-20, -0x1.18a84b9584dc3p-20, -0x1.143e5931e0b1p-20, -0x1.0fe836a3e6872p-20, -0x1.0ba218e095916p-20, -0x1.07970484043b3p-20, -0x1.0410007e5a136p-20, -0x1.fde8379305334p-21, -0x1.f592ef5371f15p-21, -0x1.ed4f5aeed2aap-21, -0x1.e5202310c8b65p-21, -0x1.dd08fa555ac6p-21, -0x1.d499ef2e5cd6ap-21, -0x1.cd0ecbfa49e14p-21, -0x1.c590c9b3ed9bep-21, -0x1.bd4b27de05dc3p-21, -0x1.b5682f036c1cfp-21, -0x1.adb05ba95ec2bp-21, -0x1.a602cd6cbbd8fp-21, -0x1.9e6be1d13f242p-21, -0x1.975a8234a1445p-21, -0x1.901948feacc04p-21, -0x1.873c1c1483485p-21, -0x1.80d6242153efdp-21, -0x1.7959ecc03f8c2p-21, -0x1.720bc7e7771f8p-21, -0x1.6aa36b296e1f7p-21, -0x1.63d758c5920bcp-21, -0x1.5cc6876c9ca6ep-21, -0x1.55c485ec3dac2p-21, -0x1.4ed5365854169p-21, -0x1.47f1602ad4a33p-21, -0x1.4124eb740707dp-21, -0x1.3a55c3d092697p-21, -0x1.33a387fda79p-21, -0x1.2cf31948a7b12p-21, -0x1.2652decd296fap-21, -0x1.1fec761f1222p-21, -0x1.1944d3ac60a3cp-21, -0x1.123e8022284a4p-21, -0x1.0c74f69d81716p-21, -0x1.061a63a61bdd8p-21, -0x1.ff6f3cf11f0cep-22, -0x1.f2ef5b0370e9ep-22, -0x1.e6e10c1230ff3p-22, -0x1.da7325e233aa3p-22, -0x1.ce2b8a400cd19p-22, -0x1.c1e1285b63632p-22, -0x1.b2c103906df5bp-22, -0x1.aa077fa51a995p-22, -0x1.9e4a1a20abf58p-22, -0x1.92b77833e22e8p-22, -0x1.835515cd78b27p-22, -0x1.7b635a661a9bcp-22, -0x1.6fda269ecf36cp-22, -0x1.6477919e9956dp-22, -0x1.592ef37fcdc8p-22, -0x1.4dfbd317d296dp-22, -0x1.42dc53ea39354p-22, -0x1.37df52ca16e64p-22, -0x1.2e25323450765p-22, -0x1.220bbee0ff355p-22, -0x1.173e35a9d0b67p-22, -0x1.0c8f0ab51b8aap-22, -0x1.0073da43b39c6p-22, -0x1.f865616056429p-23, -0x1.da082adc910fbp-23, -0x1.c50b99bfc1455p-23, -0x1.b095be37eaf41p-23, -0x1.9c0697636b84bp-23, -0x1.87d487bd01278p-23, -0x1.737636ca2a7d6p-23, -0x1.5f670495f599dp-23, -0x1.4be954822e049p-23, -0x1.3806cfd6de5b2p-23, -0x1.24a6f7c1e9facp-23, -0x1.14b9d1297bb36p-23, -0x1.fc49bed86ebf8p-24, -0x1.cdc5bdee0b66ap-24, -0x1.af964da1a6be3p-24, -0x1.898574dc75c0ap-24, -0x1.6568500dd44bep-24, -0x1.3f2c617b0e41ap-24, -0x1.1a4960e250e8fp-24, -0x1.2f61abc14b242p-25, -0x1.a2aa187a8fef3p-25, -0x1.5a293a2853136p-25, -0x1.126f227ffb38fp-25, -0x1.972ef84da6f88p-26, -0x1.08b81e327e095p-26, -0x1.f3432e8911f82p-28, 0x1.6689b8f44af52p-31, 0x1.29a8dbb00f23p-27, 0x1.40011bbbb06e2p-26, 0x1.a319b23fc4ce3p-26, 0x1.1908835f39ad6p-25, 0x1.5a8af12d25fd4p-25, 0x1.9d0f5fc1c53efp-25, 0x1.e0016df8bcddbp-25, 0x1.10d9c576215fp-24, 0x1.30d14d6b4c7d7p-24, 0x1.538c50af5fca6p-24, 0x1.72224a3fbbb28p-24, 0x1.91c3c9c21cd1bp-24, 0x1.b16a1e708d5fep-24, 0x1.d0d689d0d9241p-24, 0x1.e913b15dc11cdp-24, 0x1.077ee18409777p-23, 0x1.16c51d84490ep-23, 0x1.211025d92e6f5p-23, 0x1.367718ce3d8dep-23, 0x1.44655de51a68cp-23, 0x1.55d989642a4c3p-23, 0x1.61a5f2e39f12dp-23, 0x1.6f31938cdd362p-23, 0x1.7cc7499ad2459p-23, 0x1.8dfd3d2120895p-23, 0x1.9cbefb467e2e9p-23, 0x1.aa6ece3b0faa4p-23, 0x1.b89b6a656b497p-23, 0x1.c6f4c7f883d76p-23, 0x1.d4eb6cc7e068fp-23, 0x1.e2ba437824f7ep-23, 0x1.f077fe458640fp-23, 0x1.fe68013e2b73fp-23, 0x1.05d70b894533cp-22, 0x1.0c8b0df7563d8p-22, 0x1.14783a43e74e2p-22, 0x1.1a165338d16e7p-22, 0x1.2082ce52856fep-22, 0x1.26f6c22cf642dp-22, 0x1.2d75cfabefb53p-22, 0x1.33e501ce75ee6p-22, 0x1.3a43181464aa7p-22, 0x1.40b3ccff43a9ap-22, 0x1.46d7fd176171cp-22, 0x1.4d16bcc83f843p-22, 0x1.5371797e37759p-22, 0x1.5968251743fbap-22, 0x1.5f2a9ce13b24ap-22, 0x1.65a0a7a511cf9p-22, 0x1.6ba8fd7f65995p-22, 0x1.716987461256dp-22, 0x1.7776e42cea3ddp-22, 0x1.7d4488338d2a7p-22, 0x1.83d0a1773156bp-22, 0x1.8915f1519fed1p-22, 0x1.8e653b1b29043p-22, 0x1.9432c368fedafp-22, 0x1.99b5a2c5fbe9ep-22, 0x1.9f428cde0918fp-22, 0x1.a4db79094b493p-22, 0x1.aa557fb64199fp-22, 0x1.afc4a50d9542dp-22, 0x1.b528ba9f144d2p-22, 0x1.ba7f02a95de96p-22, 0x1.bfc869454f151p-22, 0x1.c50194c6c8089p-22, 0x1.ca36ff8378e4ep-22, 0x1.cfa0aa7bc9a61p-22, 0x1.d471b66d89cd5p-22, 0x1.d999c0f075313p-22, 0x1.de40c7ba0414cp-22, 0x1.e338b2c19b939p-22, 0x1.e760a8b4bc88bp-22, 0x1.ed5cf8b8a513dp-22, 0x1.f233e9f3b4a5bp-22, 0x1.f70171cea4c35p-22, 0x1.fbbfbecf07598p-22, 0x1.003950834f119p-21, 0x1.029b62e2b4e4cp-21, 0x1.04ea380fb3531p-21, 0x1.0725d6f8d4901p-21, 0x1.09688659cbc61p-21, 0x1.0ba64bfe7689ep-21, 0x1.0dea218bfe6eap-21, 0x1.101f0e2e071b5p-21, 0x1.123d62b6d65f7p-21, 0x1.146b388ce952cp-21, 0x1.169031dc3bae9p-21, 0x1.1896f027104e4p-21, 0x1.1acad0d7c0e16p-21, 0x1.1ccffab689c98p-21, 0x1.1f8e489cd0c74p-21, 0x1.1ad418ab4ee9dp-21, 0x1.22f9bd01eaeefp-21, 0x1.24dc765340bd5p-21, 0x1.26db5c0669203p-21, 0x1.28d073241185cp-21, 0x1.2abca76dc0152p-21, 0x1.2c9f6c46ace34p-21, 0x1.2e7df63b84eap-21, 0x1.30642f6ff5001p-21, 0x1.3215335c5f393p-21, 0x1.3400aca4a6e8fp-21, 0x1.35ce7a3220d9ep-21, 0x1.378aa78107103p-21, 0x1.39670843ea753p-21, 0x1.3b0937640c631p-21, 0x1.3ccc417a41b1bp-21, 0x1.3e162cdb2412ep-21, 0x1.402cd7318ab1ep-21, 0x1.41d3704d584e5p-21, 0x1.437456688aa3ap-21, 0x1.4511419315eb9p-21, 0x1.46a818db24ed6p-21, 0x1.48382b0fc4b73p-21, 0x1.4a05ee808215p-21, 0x1.4b4df40a4a556p-21, 0x1.4cd03838fb185p-21, 0x1.4e54a31e14e5bp-21, 0x1.4fc8addb00688p-21, 0x1.50f80cfd2eddfp-21, 0x1.522d54662395p-21, 0x1.541bf05762e4ap-21, 0x1.558682d4d3e1bp-21, 0x1.56ad23f982ea6p-21, 0x1.5832c4ff875ep-21, 0x1.597bf5f894ce1p-21, 0x1.5aeb52dd7b417p-21, 0x1.5c27a335b4e77p-21, 0x1.5d6940e922245p-21, 0x1.5eab9bb4a5efcp-21, 0x1.5fb8e9b31971ep-21, 0x1.60cd4838a1cbap-21, 0x1.625d153177f9ep-21, 0x1.63755e1cb42dap-21, 0x1.6488bc7a6b953p-21, 0x1.65ca4f6c33b82p-21, 0x1.66ea9ad76309ep-21, 0x1.6800cdb7da752p-21, 0x1.691b21ec63ff5p-21, 0x1.6a4701d0ddaep-21, 0x1.6b3ed7700620ep-21, 0x1.6bf3099aec575p-21, 0x1.6d4114f38c96cp-21, 0x1.6e3c8870ce3b1p-21, 0x1.6f4779a48e93dp-21, 0x1.7064e934a105dp-21, 0x1.711ab2ebccf67p-21, 0x1.71e76d42644e4p-21, 0x1.72e3f0bb3f29ap-21, 0x1.73d50d03fae2cp-21, 0x1.74b1582743bb4p-21, 0x1.758a06289586fp-21, 0x1.765e5cd7a9c54p-21, 0x1.773b4719e5b98p-21, 0x1.77f83181b12b1p-21, 0x1.78b8f8ea4aec7p-21, 0x1.798beba9ba04ap-21, 0x1.7a4b3d9759377p-21, 0x1.7af5b5c2288f2p-21, 0x1.7bab995abdc09p-21, 0x1.7c60f92a53adcp-21, 0x1.7d0f7531c899ap-21, 0x1.7db5c385c9605p-21, 0x1.7e59618144c2dp-21, }}, 
      {{-0x1.06e4f89a1d9b3p+0, -0x1.001a2428ee867p+0, -0x1.eaac6b45ebe4fp-1, -0x1.ce7a8341d48e1p-1, -0x1.ad037447b2635p-1, -0x1.87a99cc3b85cep-1, -0x1.5fb9747d7f8edp-1, -0x1.365e5a5925917p-1, -0x1.0c9d0bb16c452p-1, -0x1.c6a3efd9749dbp-2, -0x1.76643daab535bp-2, -0x1.299b1b5ed8308p-2, -0x1.c24b26d5f0aa6p-3, -0x1.3b4aac52876abp-3, -0x1.7e230b7b7846cp-4, -0x1.38948f295e7b6p-5, 0x1.73da785eded9cp-7, 0x1.c456d74ce3749p-5, 0x1.7f238aa93335ap-4, 0x1.0306687c069p-3, 0x1.3be555dfec72ap-3, 0x1.6ab60aefe8469p-3, 0x1.900f991c864f4p-3, 0x1.ac9374ce408c4p-3, 0x1.c0e9218ec49a2p-3, 0x1.cdba9a3f22b04p-3, 0x1.d3b16d8d20417p-3, 0x1.d37465669ee1bp-3, 0x1.cda5ab949175fp-3, 0x1.c2e18df2574f8p-3, 0x1.b3bd21aaeba04p-3, 0x1.a0c5d5ee13daap-3, 0x1.8a80dbcd70461p-3, 0x1.716acf098da6ap-3, 0x1.55f7b2b083b88p-3, 0x1.3892ed987ee3cp-3, 0x1.199f6d3e4b4cp-3, 0x1.f2efc7d223502p-4, 0x1.b0de1be9c02b2p-4, 0x1.6da014efbc6f6p-4, 0x1.29bd702b33f52p-4, 0x1.cb6066f0220ap-5, 0x1.43caf22940207p-5, 0x1.7af8feb6f7779p-6, 0x1.c90390ac04e5cp-8, -0x1.22cb700c32676p-7, -0x1.8ef512f5fd413p-6, -0x1.42c5b90dcf05bp-5, -0x1.ba341e75bae58p-5, -0x1.16ba52fe7a92dp-4, -0x1.4e221330c9afep-4, -0x1.833614f78b3e2p-4, -0x1.b5e0e21b3dd9fp-4, -0x1.e61243bb84c2ap-4, -0x1.09df5ae771dbep-3, -0x1.1f6f7c17c8565p-3, -0x1.33b7cea82fedbp-3, -0x1.46b84ccfcb943p-3, -0x1.587276723dae4p-3, -0x1.68e921d8eef8p-3, -0x1.782054d10b40bp-3, -0x1.861d1b97fb83dp-3, -0x1.92e569ae6bcfcp-3, -0x1.9e7ff8756debep-3, -0x1.a8f42a68ff2d7p-3, -0x1.b249ee0a7be31p-3, -0x1.ba89ab0c4548ap-3, -0x1.c1bc264726ac4p-3, -0x1.c7ea7082df652p-3, -0x1.cd1dd37b088b4p-3, -0x1.d15fc13e6a588p-3, -0x1.d4b9c559d172p-3, -0x1.d735772895ae3p-3, -0x1.d8dc6f4275b6p-3, -0x1.d9b839e9a1a3p-3, -0x1.d9d250c8ed748p-3, -0x1.d93410d66504cp-3, -0x1.d7e6b3af8fde5p-3, -0x1.d5f3493c9e72p-3, -0x1.d362b25a48f31p-3, -0x1.d03d9c4ebe3aap-3, -0x1.cc8c7ceb99288p-3, -0x1.c857906e930dap-3, -0x1.c3a6d384ab028p-3, -0x1.be820788d8d13p-3, -0x1.b8f0ab40af05dp-3, -0x1.b2f9fc994db2ap-3, -0x1.aca4f7bfe6477p-3, -0x1.a5f8568edd8cap-3, -0x1.9efa90f961157p-3, -0x1.97b1dd7c3cbd5p-3, -0x1.902431a6835b9p-3, -0x1.8857433cff391p-3, -0x1.80508932c809cp-3, -0x1.78153cf21204p-3, -0x1.6faa5b91c2ad2p-3, -0x1.6714a762ae3d3p-3, -0x1.5e58a943cf041p-3, -0x1.557ab25fae0bcp-3, -0x1.4c7edddd85c38p-3, -0x1.4369128f6bce8p-3, -0x1.3a3d04f23b5d9p-3, -0x1.30fe38efbe519p-3, -0x1.27b003cade9fdp-3, -0x1.1e558dc1ddba4p-3, -0x1.14f1d418e8566p-3, -0x1.0b87aa9d4d1e9p-3, -0x1.0219bd1c54ca8p-3, -0x1.f1552277f205ep-4, -0x1.de790ff725999p-4, -0x1.cba3be4722e31p-4, -0x1.b8d965a8e66bep-4, -0x1.a61dfe5555c5dp-4, -0x1.937542ec8c8a4p-4, -0x1.80e2b48673c9ep-4, -0x1.6e699b8ee6f85p-4, -0x1.5c0d0c5a8feaep-4, -0x1.49cfe88fab89ap-4, -0x1.37b4e1f6784e3p-4, -0x1.25be7c9257e4dp-4, -0x1.13ef10bf202a1p-4, -0x1.0248cd1ce0049p-4, -0x1.e19b715d51b81p-5, -0x1.beff68e29c165p-5, -0x1.9cc0fa6cd6c66p-5, -0x1.7ae35ac5dca27p-5, -0x1.59697d28e9823p-5, -0x1.3856167ae2642p-5, -0x1.17aba09dbd392p-5, -0x1.eed8bacef71a7p-6, -0x1.af34b2e2b04a2p-6, -0x1.706edecf5b2c6p-6, -0x1.328a94d01c622p-6, -0x1.eb15a2b10214p-7, -0x1.72e477b0c1cf3p-7, -0x1.f90cb08e62b41p-8, -0x1.0ffeb8af7a084p-8, -0x1.5530dfb36b85ap-11, 0x1.6dee5023a4246p-9, 0x1.94d40becf051ep-8, 0x1.37763d31d8986p-7, 0x1.a29ea1bdb366cp-7, 0x1.05f103f1ea0a3p-6, 0x1.399fd3b2919eap-6, 0x1.6c5b8bd940eap-6, 0x1.9e24252b24df7p-6, 0x1.cef9c28d8875fp-6, 0x1.fedcaef13db2bp-6, 0x1.16e6ad1f5d291p-5, 0x1.2de62be2d0219p-5, 0x1.446d2db890891p-5, 0x1.5a7c1c597b70fp-5, 0x1.70136fdb4e08bp-5, 0x1.8533add31a855p-5, 0x1.99dd68f077564p-5, 0x1.ae113f841844ap-5, 0x1.c1cfdb3bea12ep-5, 0x1.d519f07693492p-5, 0x1.e7f03ce831434p-5, 0x1.fa5387fdd3b1cp-5, 0x1.062250cb1fa85p-4, 0x1.0ee230b78d0b1p-4, 0x1.1769d36e69cb4p-4, 0x1.1fb9ac09cc00fp-4, 0x1.27d23102c1189p-4, 0x1.2fb3dbc0365dp-4, 0x1.375f2857482d9p-4, 0x1.3ed4959384bf9p-4, 0x1.4614a4aef567cp-4, 0x1.4d1fd8eb0078fp-4, 0x1.53f6b7af99a7bp-4, 0x1.5a99c8001aeb3p-4, 0x1.610992b68c099p-4, 0x1.6746a266d7d18p-4, 0x1.6d5182629e3c1p-4, 0x1.732abfba04b5ap-4, 0x1.78d2e87886addp-4, 0x1.7e4a8b79cf75ap-4, 0x1.83923871f10a5p-4, 0x1.88aa7fe88661ap-4, 0x1.8d93f3019512dp-4, 0x1.924f23430f925p-4, 0x1.96dca2b7d83d5p-4, 0x1.9b3d03b9efad1p-4, 0x1.9f70d8e985074p-4, 0x1.a378b4bab7555p-4, 0x1.a7552a70ae229p-4, 0x1.ab06ccb8de28bp-4, 0x1.ae8e2e5f3f0fcp-4, 0x1.b1ebe223aaff3p-4, 0x1.b5207ab101397p-4, 0x1.b82c8a58e3ca6p-4, 0x1.bb10a336c8d28p-4, 0x1.bdcd572b74f5cp-4, 0x1.c06337ba09bb1p-4, 0x1.c2d2d6117dc0ep-4, 0x1.c51cc2ef3dd61p-4, 0x1.c7418e8d874dfp-4, 0x1.c941c8f1e246dp-4, 0x1.cb1e0159d4d05p-4, 0x1.ccd6c6953b5ddp-4, 0x1.ce6ca6fcb7f16p-4, 0x1.cfe03073021e5p-4, 0x1.d131f011fc4e3p-4, 0x1.d262726dc77c2p-4, 0x1.d3724362e48ecp-4, 0x1.d461ee4f3a571p-4, 0x1.d531fe1df3bc3p-4, 0x1.d5e2fcdad5353p-4, 0x1.d67573c00e92ep-4, 0x1.d6e9eb79e4445p-4, 0x1.d740ec08c3b32p-4, 0x1.d77afcf296efbp-4, 0x1.d798a4d737293p-4, 0x1.d79a69a2211bp-4, 0x1.d780d0574d6dbp-4, 0x1.d74c5d51457e4p-4, 0x1.d6fd9454612eap-4, 0x1.d694f8740f0dbp-4, 0x1.d6130c5c00806p-4, 0x1.d57850cc41626p-4, 0x1.d4c5464ddb04p-4, 0x1.d3fa6d1d392e5p-4, 0x1.d3184442221efp-4, 0x1.d21f4a206c284p-4, 0x1.d10ffc53446ddp-4, 0x1.cfead75ccb8d3p-4, 0x1.ceb056f6c1162p-4, 0x1.cd60f61469154p-4, 0x1.cbfd2f15b738ep-4, 0x1.ca857b79c0463p-4, 0x1.c8fa53cd4e7acp-4, 0x1.c75c2fbb4386dp-4, 0x1.c5ab85b9703f5p-4, 0x1.c3e8cb98e97cp-4, 0x1.c2147662f50a8p-4, 0x1.c02efa89c28a3p-4, 0x1.be38cb599d1a1p-4, 0x1.bc325b1287f41p-4, 0x1.ba1c1ae3c52cdp-4, 0x1.b7f67b0bfb53bp-4, 0x1.b5c1eaf46a31bp-4, 0x1.b37ed96249039p-4, 0x1.b12db438ac6aap-4, 0x1.aecee801e346bp-4, 0x1.ac62e05c5d0c2p-4, 0x1.a9ea07a66477bp-4, 0x1.a764c75b8a5ffp-4, 0x1.a4d3880c94629p-4, 0x1.a236b18fdf8cep-4, 0x1.9f8eaaa80fcb6p-4, 0x1.9cdbd8fd6e44ap-4, 0x1.9a1ea0d5d324cp-4, 0x1.9757655a4523dp-4, 0x1.948688b7aa7a1p-4, 0x1.91ac6c389ac99p-4, 0x1.8ec9700d06947p-4, 0x1.8bddf39799189p-4, 0x1.88ea54dcf4425p-4, 0x1.85eef09e3ba81p-4, 0x1.82ec2257a1b23p-4, 0x1.7fe244650c1c8p-4, 0x1.7cd1b01608bbcp-4, 0x1.79babdcdfa539p-4, 0x1.769dc4cbb5d96p-4, 0x1.737b1b3d3027p-4, 0x1.705315cfc9002p-4, 0x1.6d260809cd123p-4, 0x1.69f4441a418ffp-4, 0x1.66be1b0476853p-4, 0x1.6383dcbc86ab5p-4, 0x1.6045d8297f748p-4, 0x1.5d045b0cacd47p-4, 0x1.59bfb1e70ef95p-4, 0x1.567827dac2f55p-4, 0x1.532e06bac935p-4, 0x1.4fe19708bfb92p-4, 0x1.4c9320159419ap-4, 0x1.4942e80d65086p-4, 0x1.45f133f29d0d6p-4, 0x1.429e48230bc63p-4, 0x1.3f4a66933ad3dp-4, 0x1.3bf5d1068c266p-4, 0x1.38a0c72fb92b1p-4, 0x1.354b882fc0709p-4, 0x1.31f6510fd4b5cp-4, 0x1.2ea15e3288c68p-4, 0x1.2b4ceaa369ecap-4, 0x1.27f9308d35aa2p-4, 0x1.24a66881fbe4ap-4, 0x1.2154ca0d31e75p-4, 0x1.1e048b5e2f328p-4, 0x1.1ab5e158e0626p-4, 0x1.1768ff9e16143p-4, 0x1.141e188fb2db1p-4, 0x1.10d55d79ac552p-4, 0x1.0d8efebb1aad1p-4, 0x1.0a4b2ad7beca9p-4, 0x1.070a101d6eeep-4, 0x1.03cbdadba0e19p-4, 0x1.0090b68e39052p-4, 0x1.fab19aaed3674p-5, 0x1.f4489050d380cp-5, 0x1.ede69da7df6b1p-5, 0x1.e78c0ffcdb4dfp-5, 0x1.e1393290be3e8p-5, 0x1.daee4e6004b7cp-5, 0x1.d4abaa4f4e814p-5, 0x1.ce718aea25971p-5, 0x1.c84032b3a72a5p-5, 0x1.c217e0d213f15p-5, 0x1.bbf8d4a071ac3p-5, 0x1.b5e348aebad8fp-5, 0x1.afd776e1e06a4p-5, 0x1.a9d596bbfe408p-5, 0x1.a3ddddd1efbefp-5, 0x1.9df07fb592aecp-5, 0x1.980dade10c634p-5, 0x1.923597d839bb8p-5, 0x1.8c686b3695545p-5, 0x1.86a6536f99bdep-5, 0x1.80ef7a0ff92bfp-5, 0x1.7b4406bbd1f3fp-5, 0x1.75a41f3ae075ap-5, 0x1.700fe784b975ap-5, 0x1.6a8781c93a6f9p-5, 0x1.650b0e65de391p-5, 0x1.5f9aac5422268p-5, 0x1.5a36783cc4bd4p-5, 0x1.54de8d6a8e8b6p-5, 0x1.4f93056f837cdp-5, 0x1.4a53f81ec526fp-5, 0x1.45217ba4d36b5p-5, 0x1.3ffba49c12e64p-5, 0x1.3ae286106e819p-5, 0x1.35d63187e337fp-5, 0x1.30d6b70b799f1p-5, 0x1.2be42535510b5p-5, 0x1.26fe88f69a7a7p-5, 0x1.2225ee754e997p-5, 0x1.1d5a5f9472badp-5, 0x1.189be5640f9b7p-5, 0x1.13ea876a9d689p-5, 0x1.0f464be6cc0bdp-5, 0x1.0aaf37c896ee6p-5, 0x1.06254ec762d7cp-5, 0x1.01a8935dede09p-5, 0x1.fa720db17e6e8p-6, 0x1.f1ad52bd3c42p-6, 0x1.e902f3e47499dp-6, 0x1.e072ecf19ba67p-6, 0x1.d7fd37879027ap-6, 0x1.cfa1cb2631e0cp-6, 0x1.c7609d2811cb9p-6, 0x1.bf39a0d3faeacp-6, 0x1.b72cc78d868eap-6, 0x1.af3a00d7d2df2p-6, 0x1.a7613a855d5aap-6, 0x1.9fa260442b55bp-6, 0x1.97fd5c6765f01p-6, 0x1.9072177e25d98p-6, 0x1.890078744288bp-6, 0x1.81a8641ae302fp-6, 0x1.7a69bfbc9a49dp-6, 0x1.7344698fe0762p-6, 0x1.6c38470a73f2dp-6, 0x1.6545348d79f4cp-6, 0x1.5e6b10e21b90cp-6, 0x1.57a9b8d6888f8p-6, 0x1.510107ff5e2c5p-6, 0x1.4a70d8b6d6ca8p-6, 0x1.43f9041544ab8p-6, 0x1.3d9961f0ffa2ep-6, 0x1.3751c8ecfb8edp-6, 0x1.31220e926fdbap-6, 0x1.2b0a06b9b28ecp-6, 0x1.250988c9aecf5p-6, 0x1.1f20600e90f39p-6, 0x1.194e6844f7ae6p-6, 0x1.13936e3c34151p-6, 0x1.0def4455066f8p-6, 0x1.0861bb0e4051p-6, 0x1.02eaa1bcf6b13p-6, 0x1.fb138ce4bd1cep-7, 0x1.f07dec92da20ep-7, 0x1.e613fae19f9cp-7, 0x1.dbd54f5b43b01p-7, 0x1.d1c181036ac5fp-7, 0x1.c7d8272275aedp-7, 0x1.be18d96a202abp-7, 0x1.b4832f7e40219p-7, 0x1.ab16bef8954fcp-7, 0x1.a1d322d804d4p-7, 0x1.98b7e7d19ba9cp-7, 0x1.8fc4a59972bcfp-7, 0x1.86f8e7d7ef706p-7, 0x1.7e543e49030dap-7, 0x1.75d637f37f7ebp-7, 0x1.6d7e651fc1386p-7, 0x1.654c58d17fa8cp-7, 0x1.5d3fa88bb3cbp-7, 0x1.5557eb8a24bc8p-7, 0x1.4d94b9240e089p-7, 0x1.45f5a6b253ea4p-7, 0x1.3e7a45a62eb03p-7, 0x1.37222258c77c9p-7, 0x1.2fecc3dff3aa9p-7, 0x1.28d9ada3806c6p-7, 0x1.21e86204006fep-7, 0x1.1b18659e1c118p-7, 0x1.14694286b2af1p-7, 0x1.0dda8a7350266p-7, 0x1.076bd7cd50b56p-7, 0x1.011ccd2476827p-7, 0x1.f5da1dae9fcc9p-8, 0x1.e9b8842e54793p-8, 0x1.ddd414879f29ap-8, 0x1.d22bfea21c27dp-8, 0x1.c6bf67651742cp-8, 0x1.bb8d504552e81p-8, 0x1.b094c77f2f194p-8, 0x1.a5d4c72dc7c83p-8, 0x1.9b4c540c72283p-8, 0x1.90fa82a879fb7p-8, 0x1.86de7b433f7c8p-8, 0x1.7cf77ba4afb0cp-8, 0x1.7344d645c6f95p-8, 0x1.69c5d9d058b6fp-8, 0x1.6079e8fab118dp-8, 0x1.576047a9bf9ddp-8, 0x1.4e7832bdb0d7cp-8, 0x1.45c0d26bacb12p-8, 0x1.3d3940b03d5f9p-8, 0x1.34e091cd38748p-8, 0x1.2cb5df668bcc2p-8, 0x1.24b853577d37fp-8, 0x1.1ce72f684e053p-8, 0x1.1541cfeaa8eap-8, 0x1.0dc7a8ca65a67p-8, 0x1.06783c4422d12p-8, 0x1.fea613cd3b025p-9, 0x1.f0af2a1c26ae4p-9, 0x1.e30a601a5478p-9, 0x1.d5b63c29cebcap-9, 0x1.c8b0fd6506ad6p-9, 0x1.bbf8adfc13315p-9, 0x1.af8b40c300045p-9, 0x1.a366b00756999p-9, 0x1.97891e4a8103ep-9, 0x1.8bf0f1feb64acp-9, 0x1.809ce325193a3p-9, 0x1.758bf542a434ap-9, 0x1.6abd8e7f94f6bp-9, 0x1.603105146b364p-9, 0x1.55e60a14ff3ffp-9, 0x1.4bdbfccb8ac9p-9, 0x1.4212398353789p-9, 0x1.3887c4d5fd8d1p-9, 0x1.2f3b64d8fd321p-9, 0x1.262b991d7e0dcp-9, 0x1.1d56b09c9788fp-9, 0x1.14bae4eced145p-9, 0x1.0c5676ee42e2cp-9, 0x1.0427c52eb8b47p-9, 0x1.f85ab51887103p-10, 0x1.e8cbe0cef8677p-10, 0x1.d9a0e559b61e2p-10, 0x1.cad7fd493fb51p-10, 0x1.bc6fc1266d77cp-10, 0x1.ae6714bd72365p-10, 0x1.a0bcfd67189bdp-10, 0x1.93707315a7441p-10, 0x1.868027eadced1p-10, 0x1.79ea707dfc852p-10, 0x1.6dad4cbb7d3cap-10, 0x1.61c690c3fd46dp-10, 0x1.5634175003764p-10, 0x1.4af3e15b8167cp-10, 0x1.40040f6e983aap-10, 0x1.3562b9fa68ec3p-10, 0x1.2b0dc3f8d3bb4p-10, 0x1.2102ce8d495a7p-10, 0x1.173f6255424b3p-10, 0x1.0dc12de04ed55p-10, 0x1.0486af9e64583p-10, 0x1.f71cfe5c437e9p-11, 0x1.e5b087ad29152p-11, 0x1.d4c697a74c045p-11, 0x1.c45de74c206d9p-11, 0x1.b474623e788eap-11, 0x1.a507615d420afp-11, 0x1.96140a816f319p-11, 0x1.87979fff96664p-11, 0x1.798f9526742b5p-11, 0x1.6bf94de1b9a63p-11, 0x1.5ed1d1558a4efp-11, 0x1.52152f728d6ebp-11, 0x1.45be9efbdb217p-11, 0x1.39c8c2346aafep-11, 0x1.2e2ec91fbb3e5p-11, 0x1.22ed3706b49cbp-11, 0x1.18025106447eep-11, 0x1.0d6da7aac6702p-11, 0x1.032f1637249ddp-11, 0x1.f28ba62c1d8e9p-12, 0x1.df6072299b8b4p-12, 0x1.ccd8f4e0cba22p-12, 0x1.baf22ba2d3504p-12, 0x1.a9ab300060b7fp-12, 0x1.99048a6cfb913p-12, 0x1.88fee28a9f75dp-12, 0x1.7999603dfe4fep-12, 0x1.6ad0639d3871ap-12, 0x1.5c9d16712831fp-12, 0x1.4ef5c32b235dap-12, 0x1.41cedc0b52c9ep-12, 0x1.351cb6e17890ep-12, 0x1.28d5ab83dedd2p-12, 0x1.1cf3d6b722339p-12, 0x1.1174b81f394dfp-12, 0x1.065b5dbe38028p-12, 0x1.f752ce73e7b85p-13, 0x1.e2bc20e3bea6fp-13, 0x1.cef069aa4c916p-13, 0x1.bbeb13ae51bbcp-13, 0x1.a9a2a532880cfp-13, 0x1.98157a0660aa4p-13, 0x1.8742df56c1c7bp-13, 0x1.772cda2fe838ap-13, 0x1.67d3fb02f5c4dp-13, 0x1.59358ef906898p-13, 0x1.4b4c09a15943bp-13, 0x1.3e0fd7441eaa4p-13, 0x1.31783ac57e49bp-13, 0x1.257b5551b300bp-13, 0x1.1a0e98a8fc6d3p-13, 0x1.0f27940b6f655p-13, 0x1.04bc8869a4fc4p-13, 0x1.f58a2aa57e72fp-14, 0x1.e276a4737f5acp-14, 0x1.d038dbc742406p-14, 0x1.becf5b2781094p-14, 0x1.ae381af8616f4p-14, 0x1.9e721f241d0f7p-14, 0x1.8f7a3712ae15fp-14, 0x1.814f9171f952bp-14, 0x1.73f3e5b6c8131p-14, 0x1.67631d7c89487p-14, 0x1.5b9035437994fp-14, 0x1.50712e3376ccdp-14, 0x1.45fdaae8bdda7p-14, 0x1.3c330532f1777p-14, 0x1.3310ea459b957p-14, 0x1.2a94f070be15dp-14, 0x1.22b9997f610b1p-14, 0x1.1b761f237b391p-14, 0x1.14bef666c61fbp-14, 0x1.0e85580ac0962p-14, 0x1.08ba3b5665b52p-14, 0x1.0354d6e88af95p-14, 0x1.fcc0dd8c7a922p-15, 0x1.f3cb83198aaep-15, 0x1.ebb6b93c84a03p-15, 0x1.e46987a405f1dp-15, 0x1.ddcb16bcaaa7ep-15, 0x1.d7d9cbbea53bap-15, 0x1.d296d912c6368p-15, 0x1.cdfff962993b1p-15, 0x1.ca0ca84a90f25p-15, 0x1.c6b0de4237f73p-15, 0x1.c3e13db3808fcp-15, 0x1.c192a7e07832cp-15, 0x1.bfc1ce04a0be8p-15, 0x1.be75d17f79207p-15, 0x1.bdb4fd167a14fp-15, 0x1.bd7df861f9b12p-15, 0x1.bdc658b450612p-15, 0x1.be80b2e568d33p-15, 0x1.bf9b4eb26eea8p-15, 0x1.c0fc4376577a3p-15, 0x1.c2912cf7aaf05p-15, 0x1.c45fd6c854d75p-15, 0x1.c688edc6a6073p-15, 0x1.c90e3e6669b5dp-15, 0x1.cbcc8ecae96e3p-15, 0x1.cecec25d575b5p-15, 0x1.d221aab1cf5d7p-15, 0x1.d5bf6bf78c30ep-15, 0x1.d991401b3f8p-15, 0x1.dd7f6f29976d5p-15, 0x1.e17f9013fb14dp-15, 0x1.e598083b340eap-15, 0x1.e9d48a98a482bp-15, 0x1.ee33bc6765c34p-15, 0x1.f2a9fe702e19ep-15, 0x1.f734a7238e31bp-15, 0x1.fbd9230839207p-15, 0x1.004fba355e6e4p-14, 0x1.02bf037ad58ddp-14, 0x1.0536ac1157413p-14, 0x1.07b4ab64daff5p-14, 0x1.0a3767b7adc8ep-14, 0x1.0cb95c3668dc8p-14, 0x1.0f36cfbdd3b7dp-14, 0x1.11b513b1eff0fp-14, 0x1.1434e0f48a1fbp-14, 0x1.16ade4bdfb7p-14, 0x1.19250ce5e85dp-14, 0x1.1b9dd5762229bp-14, 0x1.1e155ce6f94edp-14, 0x1.208969ad4c1cbp-14, 0x1.22f94c8398e03p-14, 0x1.25650efd9cd79p-14, 0x1.27cac4e23c7b3p-14, 0x1.2a25e27c965ecp-14, 0x1.2c74162db68d2p-14, 0x1.2eb93d7e8ae11p-14, 0x1.30f6875cd74eep-14, 0x1.3327f0d1e462dp-14, 0x1.354e0d39e8d15p-14, 0x1.376b8727ab478p-14, 0x1.397ff35a3d636p-14, 0x1.3b88396cd369dp-14, 0x1.3d835858a10bap-14, 0x1.3f710bfe35cabp-14, 0x1.41532429ac18ap-14, 0x1.4326d856bdf2p-14, 0x1.44ef5532ed6aep-14, 0x1.46ab9f5f1d002p-14, 0x1.4855659032207p-14, 0x1.49ef1a83d43e6p-14, 0x1.4b7c83ea6d1bep-14, 0x1.4cfc245dcb0d2p-14, 0x1.4e6e82fa16bb2p-14, 0x1.4fcf43c5d63d7p-14, 0x1.5120f4e8bc958p-14, 0x1.52634e5cb8187p-14, 0x1.5396a5ef2fed9p-14, 0x1.54bb8ca94a8c2p-14, 0x1.55d6c5f32903dp-14, 0x1.56d9473ea82dap-14, 0x1.57cf9f8fceea5p-14, 0x1.58b62a8d4731bp-14, 0x1.598c09f1e3554p-14, 0x1.5a5274598305cp-14, 0x1.5b0abd6764af1p-14, 0x1.5bb3bec0f3451p-14, 0x1.5c4bec3175fd5p-14, 0x1.5cd5797d1dbc5p-14, 0x1.5d4e9f2c1c0b4p-14, 0x1.5db848e88ced6p-14, 0x1.5e1395f89614ep-14, 0x1.5e6007572cedbp-14, 0x1.5e9dfd726d944p-14, 0x1.5ecbbee9a70f5p-14, 0x1.5ee9cd1dfcb25p-14, 0x1.5efa0ed72d135p-14, 0x1.5efc38444abc9p-14, 0x1.5eef7f98c7fd2p-14, 0x1.5ed4300640f95p-14, 0x1.5eaa901d213edp-14, 0x1.5e731b19cf955p-14, 0x1.5e2d2ba57f76ep-14, 0x1.5dd9ba4cd5d4fp-14, 0x1.5d7896993042bp-14, 0x1.5d0a13d78e72ap-14, 0x1.5c8ed7d3b3babp-14, 0x1.5c06a2bd96c91p-14, 0x1.5b70b92b11053p-14, 0x1.5ace7cc52aa91p-14, 0x1.5a1f9441a8ed2p-14, 0x1.59647c60b1896p-14, 0x1.589d22526c0e8p-14, 0x1.57c9bc852932ap-14, 0x1.56ea9940b31ffp-14, 0x1.55ffdef7d109cp-14, 0x1.5509c7a05189dp-14, 0x1.5407ab2bb2f3p-14, 0x1.52fb2be65e004p-14, 0x1.51e5262638bbdp-14, 0x1.50c36a17f8171p-14, 0x1.4f97593f729b5p-14, 0x1.4e61230601353p-14, 0x1.4d20fa0158707p-14, 0x1.4bd721ede1abep-14, 0x1.4a83a1e586db7p-14, 0x1.4926f62cb91f8p-14, 0x1.47c2c34372037p-14, 0x1.4651c01e07639p-14, 0x1.44da57a3048a5p-14, 0x1.435a35acd30f2p-14, 0x1.41d1d660c0572p-14, 0x1.4040b30ba6f88p-14, 0x1.3ea3eeb444786p-14, 0x1.3d08bd6cad7ecp-14, 0x1.3b5ff85c328efp-14, 0x1.39b1f949caa33p-14, 0x1.37fbc027dff13p-14, 0x1.363e84b2758a5p-14, 0x1.347ac780e7bb2p-14, 0x1.32b084251588cp-14, 0x1.30dfdf6fcf4a3p-14, 0x1.2f0a2b05ae554p-14, 0x1.2d2cc7b13da87p-14, 0x1.2b4a8a0a0ac2cp-14, 0x1.2962a1140eed3p-14, 0x1.277569c8ad5bfp-14, 0x1.25830323533fap-14, 0x1.238bb73b4c0cep-14, 0x1.218f6fd8437c6p-14, 0x1.1f8e7a3acfecbp-14, 0x1.1d893ab1918fbp-14, 0x1.1b7f79fdb451dp-14, 0x1.1971bc6abcaa7p-14, 0x1.176019f995a9cp-14, 0x1.154aaf6ed2c68p-14, 0x1.1331aeae9fd78p-14, 0x1.111541577fb77p-14, 0x1.0ef5943476b47p-14, 0x1.0cd2c787c2729p-14, 0x1.0aad0752b0cbdp-14, 0x1.0884877facc58p-14, 0x1.0659695c7c3c6p-14, 0x1.042c0a8939becp-14, 0x1.01fbb47994761p-14, 0x1.ff92969d86124p-15, 0x1.fb29f6c745ee5p-15, 0x1.f6bdee554ad78p-15, 0x1.f24e447ca5517p-15, 0x1.eddb5b04a14d3p-15, 0x1.e9652c7172ac8p-15, 0x1.e4ecdaff2de02p-15, 0x1.e071e09fc1d4ap-15, 0x1.dbf4ca1777ab3p-15, 0x1.d775b8254b27ap-15, 0x1.d2f5aa40db0a5p-15, 0x1.ce72d2840594p-15, 0x1.c9ef9dd72d82dp-15, 0x1.c56b690ae6acdp-15, 0x1.c0e6e74a891a6p-15, 0x1.bc600da4164f9p-15, 0x1.b7e2144f7d54ep-15, 0x1.b34cdfbcb57e2p-15, 0x1.aed4ea83b38bdp-15, 0x1.aa4c3841ec6fbp-15, 0x1.a5c78c413c70fp-15, 0x1.a1447330a13ep-15, 0x1.9cc13230a42f5p-15, 0x1.9841691024d2ap-15, 0x1.93c0bca4ce97ep-15, 0x1.8f428b78fb08bp-15, 0x1.8ac64e3e54dbap-15, 0x1.864c1070626aap-15, 0x1.81d3894c54e71p-15, 0x1.7d5d7f6a3f867p-15, 0x1.78ea1025d7456p-15, 0x1.74792e333f9e7p-15, 0x1.700b2a449befcp-15, 0x1.6ba01f78041efp-15, 0x1.673826b51ded1p-15, 0x1.62d38db5a186bp-15, 0x1.5e72163adeb93p-15, 0x1.5a144aed7b44cp-15, 0x1.55ba2b095f84ap-15, 0x1.5163eb3e23328p-15, 0x1.4d118af6046c9p-15, 0x1.48c3374c6816fp-15, 0x1.447915548714ep-15, 0x1.403342f51f3c6p-15, 0x1.3bf1dd6bbc355p-15, 0x1.37b501d534ec3p-15, 0x1.337ccb366d998p-15, 0x1.2f48de06ba28fp-15, 0x1.2b1aa59fae162p-15, 0x1.26f0e789fb254p-15, 0x1.22cc370d80ccbp-15, 0x1.1eacf03d671aap-15, 0x1.1a92581eec137p-15, 0x1.167d6d392940cp-15, 0x1.126f64c5e387cp-15, 0x1.0e65bbb29678fp-15, 0x1.0a5f8a7761138p-15, 0x1.0661aac6d5684p-15, 0x1.02678e899a739p-15, 0x1.fce76c89a2b3ep-16, 0x1.f50c28fd1ce1dp-16, 0x1.ed3ccf73e94fdp-16, 0x1.e579f40af4352p-16, 0x1.ddc6dace7642dp-16, 0x1.d617c7ceb1188p-16, 0x1.ce77b8d4af68dp-16, 0x1.c6e4fd473ae58p-16, 0x1.bf5fd43d0b994p-16, 0x1.b7e694820a694p-16, 0x1.b07248bddb4aep-16, 0x1.a9185cd996972p-16, 0x1.a1c4ca2ac36fap-16, 0x1.9a7d62a7ace09p-16, 0x1.933b9095e3beep-16, 0x1.8c183be2e8864p-16, 0x1.84f97b429b02bp-16, 0x1.7de723e33798dp-16, 0x1.76e22530cf164p-16, 0x1.6fea6c8573248p-16, 0x1.68ffee13ab48fp-16, 0x1.6222b7f2f9584p-16, 0x1.5b534c4099dafp-16, 0x1.54914b57f3752p-16, 0x1.4ddcba75d19e5p-16, 0x1.4735b22f93a83p-16, 0x1.409befeb73cfdp-16, 0x1.3a0fd19458811p-16, 0x1.339195326c04p-16, 0x1.2d209adb17364p-16, 0x1.26bd62e8e572ap-16, 0x1.2067dfc0c13b5p-16, 0x1.1a1fd88ee13a1p-16, 0x1.13e57647576e9p-16, 0x1.0db8ceca69448p-16, 0x1.0799cde5537p-16, 0x1.018960db85305p-16, 0x1.f702a6e30a6d6p-17, 0x1.eb1d995fcca61p-17, 0x1.df4c0b7e32e9ap-17, 0x1.d3965cac4e321p-17, 0x1.c7fb7aa05d1f7p-17, 0x1.bc7a3289e56d2p-17, 0x1.b117874531b54p-17, 0x1.a5ceb4a8511c4p-17, 0x1.9aa1268f60e81p-17, 0x1.8f5e475d68723p-17, 0x1.8496fe46a4039p-17, 0x1.79b6f8f2687b7p-17, 0x1.6ef41690db25bp-17, 0x1.644c21f337635p-17, 0x1.59bec346c10e7p-17, 0x1.4f4bfbefa05b2p-17, 0x1.44f3c73d1b1eap-17, 0x1.3abb15f383485p-17, 0x1.3094479b44501p-17, 0x1.2680b58b2749ep-17, 0x1.1c9ab6b4c8c4p-17, 0x1.12c566d95d4b2p-17, 0x1.090a0a161781dp-17, 0x1.fed190794b7eep-18, 0x1.ebc19ece14c2bp-18, 0x1.d8e64ec6313aap-18, 0x1.c63f79fa9adc7p-18, 0x1.b3cf2b9225c8ap-18, 0x1.a1a24b9b8e2a2p-18, 0x1.8f76f8a00f423p-18, 0x1.7d980a66b91d2p-18, 0x1.6bec8d150f7d3p-18, 0x1.5a7241ef31df5p-18, 0x1.492a5d5834d0ap-18, 0x1.3813d99298ec1p-18, 0x1.2723263c839bp-18, 0x1.1678c153f246dp-18, 0x1.05f0eba5b8dc2p-18, 0x1.eb371f0babf9ap-19, 0x1.caf2781c80be1p-19, 0x1.ab026f4487ca5p-19, 0x1.8b76935d797d7p-19, 0x1.6c58a12744208p-19, 0x1.4d66e0b7949d1p-19, 0x1.2eded959c2334p-19, 0x1.10fb220d9748cp-19, 0x1.e670e7521680cp-20, 0x1.abb2393523988p-20, 0x1.716915c5dc32ep-20, 0x1.3863d14cff30dp-20, 0x1.ff7caeef651d1p-21, 0x1.8fb25af22639bp-21, 0x1.21429a0dfd1fcp-21, 0x1.6869b45893d19p-22, 0x1.227b66aa559a8p-23, -0x1.0ea04ea6bef51p-24, -0x1.15a55dba5b37cp-22, -0x1.e4f0aca41337p-22, -0x1.58c727cdd1ce2p-21, -0x1.bdbe4012923f1p-21, -0x1.10c527712bce3p-20, -0x1.425ec09df03cdp-20, -0x1.72754a1318d27p-20, -0x1.a25ff1b078661p-20, -0x1.d1a6fba3732c3p-20, -0x1.0022e44e06592p-19, -0x1.171e9913f3a91p-19, -0x1.2de07437aefa3p-19, -0x1.443518378694cp-19, -0x1.5a4ce84cdda8p-19, -0x1.706390e1dd6cbp-19, -0x1.858aa5583f235p-19, -0x1.9ab3608c4459p-19, -0x1.af90c1b325b51p-19, -0x1.c4734baab0ecp-19, -0x1.d871b233111bbp-19, -0x1.ec724c5f560bfp-19, -0x1.0013e9b252948p-18, -0x1.09ca7cb107a48p-18, -0x1.135c9b1f9a18dp-18, -0x1.1cc9fd711b45p-18, -0x1.26110392d47aap-18, -0x1.2ecb52036d23ap-18, -0x1.383e1699ea8b5p-18, -0x1.4121d301a371bp-18, -0x1.49e12552d21c7p-18, -0x1.52811859ff88fp-18, -0x1.5af1c131f92a1p-18, -0x1.635344fe8d3ccp-18, -0x1.6b8bfee3f3eb5p-18, -0x1.73a29d256d7f1p-18, -0x1.7b9a378f65dc6p-18, -0x1.83700f5c5b66p-18, -0x1.8b2797efa1629p-18, -0x1.92bafb84278f4p-18, -0x1.9a4dc55b07719p-18, -0x1.a18c5e06339dcp-18, -0x1.a8c40177b60f5p-18, -0x1.afa8c761ee811p-18, -0x1.b6dc87686123fp-18, -0x1.bdaccc4e9cc9ep-18, -0x1.c4814558cede1p-18, -0x1.cb20eb08de17bp-18, -0x1.d1a0e16892c1p-18, -0x1.d80f2cb35a5fcp-18, -0x1.de5ad84b49982p-18, -0x1.e4cb7f4b1f2b2p-18, -0x1.eaa03b288830cp-18, -0x1.f09801833b479p-18, -0x1.f674d21b8c9d4p-18, -0x1.fc3676e19f2a6p-18, -0x1.00ee6a547dabep-17, -0x1.03ea80d8c22f1p-17, -0x1.066a76ccd11b7p-17, -0x1.09184cee25836p-17, -0x1.0bc0627048172p-17, -0x1.0e47e48828ee8p-17, -0x1.10cdf2f1dbb1fp-17, -0x1.13452226b2045p-17, -0x1.15b1c12fcfbf6p-17, -0x1.18107151d8d34p-17, -0x1.1a65bdedb91e3p-17, -0x1.1cacf8c007bfap-17, -0x1.1ef8d0aa6e73bp-17, -0x1.21185387344d1p-17, -0x1.233c5e25b8729p-17, -0x1.2554cacb72ee5p-17, -0x1.2761d223aad9p-17, -0x1.2956d97a1c58fp-17, -0x1.2b59fc7cf58c5p-17, -0x1.2d445e971deb9p-17, -0x1.2ef50536fc67p-17, -0x1.30f8c344446f2p-17, -0x1.32c6fcea753fbp-17, -0x1.3489ebc953105p-17, -0x1.363c6b58f5fd2p-17, -0x1.37e4fc0d3f002p-17, -0x1.3983571dd6e63p-17, -0x1.3b1e3a440e33fp-17, -0x1.3cc0e46f3aedbp-17, -0x1.3e4281788cb07p-17, -0x1.3fa7bba98db0cp-17, -0x1.41199edcd730ep-17, -0x1.427faf9d8566dp-17, -0x1.43dc31037fb7fp-17, -0x1.452f55e52f12p-17, -0x1.467a02a0768e4p-17, -0x1.47b9e7ae8ee41p-17, -0x1.48f1b74ecb6eep-17, -0x1.4a1918b654865p-17, -0x1.4b483df0de1ebp-17, -0x1.4c644bbc306e7p-17, -0x1.4d77b5fbd38eep-17, -0x1.4e83c9dbfce34p-17, -0x1.4f87624b2cb78p-17, -0x1.508234eafa58bp-17, -0x1.517443112330ap-17, -0x1.526792bab2032p-17, -0x1.534232fd418e6p-17, -0x1.54248ab076d65p-17, -0x1.54ee4db878103p-17, -0x1.558e4de354a93p-17, -0x1.567f6ad06fa7dp-17, -0x1.573bf33947359p-17, -0x1.57efce0e49958p-17, -0x1.58a48c0594c4bp-17, -0x1.5943a0084a529p-17, -0x1.59cf3f6ecd4dep-17, -0x1.5a79b76a1f51ep-17, -0x1.5b0907f18600bp-17, -0x1.5b949c31e26cp-17, -0x1.5c1527f0b2e56p-17, -0x1.5c91839ea2d18p-17, -0x1.5d06a64dbbe03p-17, -0x1.5d7675fdc9d28p-17, -0x1.5dde258379a32p-17, -0x1.5e3f9531beebap-17, -0x1.5e9accdcebf25p-17, -0x1.5eeedaed9a9a1p-17, -0x1.5f3a559db9ed9p-17, -0x1.5f86dc9eecb7dp-17, -0x1.5fcdba40b2bfcp-17, -0x1.6006aa209b3e6p-17, -0x1.60407da78c599p-17, -0x1.607052e5959ccp-17, -0x1.608a76b9fa248p-17, -0x1.60ba50aa5b2ecp-17, -0x1.60e189e6695adp-17, -0x1.60fc5251f5747p-17, -0x1.6111e2b0b5ee1p-17, -0x1.6121a342c91dap-17, -0x1.612c952263b14p-17, -0x1.6130d964af1aep-17, -0x1.61194fb891325p-17, -0x1.612e10ff49a13p-17, -0x1.6124c0bec53dp-17, -0x1.611606066ace6p-17, -0x1.61039940f02cep-17, -0x1.60ebd245ef2cep-17, -0x1.60cde2afaecf2p-17, -0x1.60ad0abd804cp-17, -0x1.608740a8742fdp-17, -0x1.605c471b0cea9p-17, -0x1.6028f7b8ca2bep-17, -0x1.5ffaa1d5f71dbp-17, -0x1.5fc5ef5e5b75ep-17, -0x1.5f8a175c992f2p-17, -0x1.5f485f71356e4p-17, -0x1.5efaeff4a6047p-17, -0x1.5ebacb96c597cp-17, -0x1.5e6ee52b87524p-17, -0x1.5e1ec8d40375ap-17, -0x1.5dcab710dad21p-17, -0x1.5d730d3574fcdp-17, -0x1.5d180d5f0025fp-17, -0x1.5cc21d880b83dp-17, -0x1.5c55762eb3b35p-17, -0x1.5bede821b7406p-17, -0x1.5b70a2f6f7f2ap-17, -0x1.5b1c013decd8cp-17, -0x1.5aa4df1e913f3p-17, -0x1.5a319060944fcp-17, -0x1.59b1c42bb0ebap-17, -0x1.593e1a9596646p-17, -0x1.58c06050464cfp-17, -0x1.583eea4b37262p-17, -0x1.57ba0c1cba8e7p-17, -0x1.57328cc4c8e91p-17, -0x1.56afe458c8c3dp-17, -0x1.5617239bc8d68p-17, -0x1.558a8abded7d6p-17, -0x1.54f6dabe9da4ep-17, -0x1.5461909be9d55p-17, -0x1.53c9598647c61p-17, -0x1.53239d30fa7dap-17, -0x1.528a3e23d5179p-17, -0x1.51ed07e6edd07p-17, -0x1.514a293419ep-17, -0x1.508ece243595dp-17, -0x1.4ffbad6b2a071p-17, -0x1.4f4f84eb04fb5p-17, -0x1.4ea2f02fd9e04p-17, -0x1.4df2a621c7ca3p-17, -0x1.4d404418ff885p-17, -0x1.4c8b5b6424b1p-17, -0x1.4bdf8fa977527p-17, -0x1.4b1c33463595ep-17, -0x1.4a61ac7fd587cp-17, -0x1.49a57cae257fap-17, -0x1.48e62e3f20718p-17, -0x1.4823da0819e3dp-17, -0x1.4760ddc5919d5p-17, -0x1.469a0ef9c8a3bp-17, -0x1.45d4e33bcea99p-17, -0x1.450e96282a72ap-17, -0x1.443e3d08f1ff3p-17, -0x1.436a83d117858p-17, -0x1.42a67f0bebf79p-17, -0x1.41d6afc01df7p-17, -0x1.4105b3720f725p-17, -0x1.402b51c185fap-17, -0x1.3f5c9d44a9035p-17, -0x1.3e8098299934ap-17, -0x1.3dab579b3e4eap-17, -0x1.3cd3daa53211cp-17, -0x1.3bf8719a402c7p-17, -0x1.3b1bb45f40efdp-17, -0x1.3a3d90007ae32p-17, -0x1.3960a974ee8d6p-17, -0x1.387d2ebf9e70ap-17, -0x1.379adb9242376p-17, -0x1.36b831a228651p-17, -0x1.35d3ca09707e2p-17, -0x1.34ed7ad4eb41p-17, -0x1.3406965fe2be6p-17, -0x1.331e67f1ea6aap-17, -0x1.32350dc5b4f19p-17, -0x1.314a83502f723p-17, -0x1.305ee305c4ed6p-17, }}, 
      {{-0x1.08718839a81dfp+0, -0x1.06249019a3fa2p+0, -0x1.026d96f0a974p+0, -0x1.fae3475b1b898p-1, -0x1.eeb5bd95377afp-1, -0x1.e0aa795b67c26p-1, -0x1.d1187b6880de7p-1, -0x1.c052dc94dedbfp-1, -0x1.aea6eb4aa1e3p-1, -0x1.9c5b0b8ca7edap-1, -0x1.89ae3ac0d0843p-1, -0x1.76d7f7390cb4dp-1, -0x1.6408615175829p-1, -0x1.5168a2caf5e9bp-1, -0x1.3f1b69ccade6p-1, -0x1.2d3d756e02d5ap-1, -0x1.1be62bc27d83bp-1, -0x1.0b282a9ae030dp-1, -0x1.f623b1db029cep-2, -0x1.d75bd2f12de07p-2, -0x1.ba07aeb78f562p-2, -0x1.9e30ad59a8cdep-2, -0x1.83db7663a4b3ap-2, -0x1.6b08a77101467p-2, -0x1.53b57655ce7cdp-2, -0x1.3ddc4b5ebeaafp-2, -0x1.297537cd78e23p-2, -0x1.16766e7db2db5p-2, -0x1.04d4a5f8e89d9p-2, -0x1.e906d671736d5p-3, -0x1.caeae2385703ep-3, -0x1.af399b6352504p-3, -0x1.95d6622152459p-3, -0x1.7ea42b55d196cp-3, -0x1.6985cfc1a3b8fp-3, -0x1.565e4268b9943p-3, -0x1.4510db123705cp-3, -0x1.35816fb348703p-3, -0x1.27948445c563ep-3, -0x1.1b2f61c10b70cp-3, -0x1.10382ebf0d667p-3, -0x1.0695fec9c4c36p-3, -0x1.fc61bec3998d5p-4, -0x1.ede3c253240b8p-4, -0x1.e186295da1577p-4, -0x1.d71f24975f06p-4, -0x1.ce873417d4c9bp-4, -0x1.c7986f3bb3cb5p-4, -0x1.c22f3fa08d547p-4, -0x1.be29f1dbebaa2p-4, -0x1.bb68bca11b6e6p-4, -0x1.b9cdb314e8d52p-4, -0x1.b93cb3aa5326cp-4, -0x1.b99b5e01be4bbp-4, -0x1.bad0f49da028bp-4, -0x1.bcc657f3c2eccp-4, -0x1.bf65f3b234109p-4, -0x1.c29b9f497ed5ep-4, -0x1.c6549f64eb423p-4, -0x1.ca7f895bfa2ecp-4, -0x1.cf0c33c53604cp-4, -0x1.d3eba27223258p-4, -0x1.d90ffc7909182p-4, -0x1.de6c7dce76ae9p-4, -0x1.e3f55f5ab3f6bp-4, -0x1.e99fc60885a5dp-4, -0x1.ef61c9422c8cp-4, -0x1.f5324d3ae4f92p-4, -0x1.fb090239799b8p-4, -0x1.006f2abb9d112p-3, -0x1.0355b28f35ce2p-3, -0x1.0634fa9091f3fp-3, -0x1.090a313ea298dp-3, -0x1.0bd2d0bfc6082p-3, -0x1.0e8c915f846eap-3, -0x1.11356d87e374cp-3, -0x1.13cb98e25badbp-3, -0x1.164d7ecbf07dap-3, -0x1.18b9b993b9365p-3, -0x1.1b0f1548e50bbp-3, -0x1.1d4c87fdcbaffp-3, -0x1.1f712ecf83de9p-3, -0x1.217c4c40498abp-3, -0x1.236d445b6a61ep-3, -0x1.25439a579282ep-3, -0x1.26feedd5fbfe3p-3, -0x1.289ef8654ea4bp-3, -0x1.2a238c0454e7ep-3, -0x1.2b8c9012e95f4p-3, -0x1.2cda00142d7a6p-3, -0x1.2e0be99380655p-3, -0x1.2f226a6f976edp-3, -0x1.301daf408bd9p-3, -0x1.30fdf1e1bb78p-3, -0x1.31c37821279d1p-3, -0x1.326e9271fc5d9p-3, -0x1.32ff9ae63faecp-3, -0x1.3376f40013e6ap-3, -0x1.33d507f27fb7bp-3, -0x1.341a47844aeedp-3, -0x1.3447293a3447fp-3, -0x1.345c288b4230bp-3, -0x1.3459c52d3a50dp-3, -0x1.34408264c8e5ap-3, -0x1.3410e5b93076bp-3, -0x1.33cb77d93167fp-3, -0x1.3370c2abaa10cp-3, -0x1.330151b41206cp-3, -0x1.327db18005a6cp-3, -0x1.31e66eb3f810dp-3, -0x1.313c174eb6c59p-3, -0x1.307f385c81e45p-3, -0x1.2fb05ed34c011p-3, -0x1.2ed0176f07e1dp-3, -0x1.2ddeef70da5a9p-3, -0x1.2cdd6f8aa0bc7p-3, -0x1.2bcc21f9e2e02p-3, -0x1.2aab8ea9a9bcep-3, -0x1.297c3bf91efb6p-3, -0x1.283eae7e952c9p-3, -0x1.26f368ecbe5a1p-3, -0x1.259aec013174p-3, -0x1.2435b6960c787p-3, -0x1.22c4452aa3237p-3, -0x1.2147127bb3ddcp-3, -0x1.1fbe96e07a6cbp-3, -0x1.1e2b4894c0cdap-3, -0x1.1c8d9b991ebdbp-3, -0x1.1ae601ae4ad1ep-3, -0x1.1934ea3cb61ddp-3, -0x1.177ac2670ea8bp-3, -0x1.15b7f4f70ecfp-3, -0x1.13ecea5c71dbbp-3, -0x1.121a08a7d1e56p-3, -0x1.103fb38723f74p-3, -0x1.0e5e4c353e571p-3, -0x1.0c7631cc7dc3p-3, -0x1.0a87c1b800f86p-3, -0x1.089354d11a709p-3, -0x1.069943afe4c7ep-3, -0x1.0499e4bd9c643p-3, -0x1.02958b4700511p-3, -0x1.008c8870f9121p-3, -0x1.fcfe57376d733p-4, -0x1.f8db83cee0e35p-4, -0x1.f4b12cb5120e1p-4, -0x1.f07fe3d318016p-4, -0x1.ec4837434b307p-4, -0x1.e80ab10235a4cp-4, -0x1.e3c7d737e79cdp-4, -0x1.df802c0c661a6p-4, -0x1.db342e05acfe7p-4, -0x1.d6e457f7113f1p-4, -0x1.d291213299da2p-4, -0x1.ce3afd604f801p-4, -0x1.c9e25cbd409cap-4, -0x1.c587ac10c7331p-4, -0x1.c12b54ce87b8fp-4, -0x1.bccdbd4430343p-4, -0x1.b86f483083afap-4, -0x1.b41055bae68fbp-4, -0x1.afb1429f758c8p-4, -0x1.ab5268aa37349p-4, -0x1.a6f41ed8f08f4p-4, -0x1.a296b8e51e884p-4, -0x1.9e3a890d36952p-4, -0x1.99dfdcf92e996p-4, -0x1.958700e4e6144p-4, -0x1.91303e333e363p-4, -0x1.8cdbdbb70bcecp-4, -0x1.888a1dc7cb795p-4, -0x1.843b469916a92p-4, -0x1.7fef95babe7dep-4, -0x1.7ba7481733464p-4, -0x1.776299c4c6cfdp-4, -0x1.7321c331962d3p-4, -0x1.6ee4fb5c1a88ap-4, -0x1.6aac772e6beb6p-4, -0x1.66786985d46ddp-4, -0x1.624903440c56p-4, -0x1.5e1e7385feb69p-4, -0x1.59f8e76315829p-4, -0x1.55d88a3e9983dp-4, -0x1.51bd85ae7870ep-4, -0x1.4da803a58ecbp-4, -0x1.499824ab819e8p-4, -0x1.458e13002c97p-4, -0x1.4189efd82620cp-4, -0x1.3d8bdcc151b3cp-4, -0x1.3993f9c4e0a09p-4, -0x1.35a2657eabb66p-4, -0x1.31b73d0fb4dc4p-4, -0x1.2dd29c58adcdbp-4, -0x1.29f49dc674d38p-4, -0x1.261d5a890c66fp-4, -0x1.224ceaa605b94p-4, -0x1.1e8364a00d45fp-4, -0x1.1ac0de01d4b8cp-4, -0x1.17056b0f03a5ap-4, -0x1.13511efda68e4p-4, -0x1.0fa40c058f224p-4, -0x1.0bfe42fb582ddp-4, -0x1.085fd3e4cf445p-4, -0x1.04c8cdbe247bp-4, -0x1.01393e804284fp-4, -0x1.fb626659168a7p-5, -0x1.f4616fb587f77p-5, -0x1.ed6faf671b41fp-5, -0x1.e68d39fdb6588p-5, -0x1.dfba227e356d5p-5, -0x1.d8f67a090b443p-5, -0x1.d2425047c41b2p-5, -0x1.cb9db3254a96fp-5, -0x1.c508af3e71142p-5, -0x1.be834f9426f1dp-5, -0x1.b80d9db5712c9p-5, -0x1.b1a7a1bb21abbp-5, -0x1.ab5161dfd95a3p-5, -0x1.a50ae3078bf12p-5, -0x1.9ed43186ed815p-5, -0x1.98ad43c2bcf17p-5, -0x1.92961d94af2a2p-5, -0x1.8c8ec9450d568p-5, -0x1.86973e41b55e9p-5, -0x1.80af7c387ae01p-5, -0x1.7ad78098a29c5p-5, -0x1.750f47be757ecp-5, -0x1.6f56cca25846ap-5, -0x1.69ae096aaa762p-5, -0x1.6414f739451e9p-5, -0x1.5e8b8e54f1a6bp-5, -0x1.5911c61c86332p-5, -0x1.53a794efd28c3p-5, -0x1.4e4cf02ed02cep-5, -0x1.4901cce675e81p-5, -0x1.43c61f06a1dcdp-5, -0x1.3e99d9910bbd9p-5, -0x1.397cef0d0b129p-5, -0x1.346f5121c80cdp-5, -0x1.2f70f0bdd85d4p-5, -0x1.2a81bea28aeb3p-5, -0x1.25a1a96540ff8p-5, -0x1.20d0a10665ffbp-5, -0x1.1c0e93193790ep-5, -0x1.175b6e2c47995p-5, -0x1.12b71efbfd4acp-5, -0x1.0e2192574927cp-5, -0x1.099ab41c9b453p-5, -0x1.05226ff8e9b23p-5, -0x1.00b8b0ebe5e7fp-5, -0x1.f8bac3475673dp-6, -0x1.f020d847bd052p-6, -0x1.e7a3743fb751cp-6, -0x1.df42699fbe04ep-6, -0x1.d6fd89f2e92e8p-6, -0x1.ced4a79a51c0ap-6, -0x1.c6c78e5b25cbfp-6, -0x1.bed611c27a7cp-6, -0x1.b6ffff0438576p-6, -0x1.af452409376a4p-6, -0x1.a7a54e1d0992ap-6, -0x1.a02049ebb48d1p-6, -0x1.98b5e3bd151fap-6, -0x1.9165e6d66d267p-6, -0x1.8a301e91231c7p-6, -0x1.831455157708ap-6, -0x1.7c1254d86e3b4p-6, -0x1.7529e722cef12p-6, -0x1.6e5ad54e83991p-6, -0x1.67a4e80a1b76p-6, -0x1.6107e7d0359e4p-6, -0x1.5a839cafb63d1p-6, -0x1.5417ce6a665abp-6, -0x1.4dc44471708c8p-6, -0x1.4788c6060105fp-6, -0x1.41651a04f39bdp-6, -0x1.3b59072304692p-6, -0x1.356453c2eae8dp-6, -0x1.2f86c586d0934p-6, -0x1.29c02071b6266p-6, -0x1.2410384e76c5ap-6, -0x1.1e76be15b904fp-6, -0x1.18f384866818ep-6, -0x1.138649227f731p-6, -0x1.0e2ede6ded25ep-6, -0x1.08ecff83be03fp-6, -0x1.03c073e128e5cp-6, -0x1.fd51feae49382p-7, -0x1.f34cdd3e08109p-7, -0x1.e970ffcf338b4p-7, -0x1.dfbdf696d530fp-7, -0x1.d6334ca89e4f3p-7, -0x1.ccd08dc463ec9p-7, -0x1.c395454442677p-7, -0x1.ba80fcd57b9e1p-7, -0x1.b19341947731dp-7, -0x1.a8cba986e2746p-7, -0x1.a029ab02d75f3p-7, -0x1.97ace9608ca5p-7, -0x1.8f54e581f06c4p-7, -0x1.87212f6fd78ap-7, -0x1.7f11558024f42p-7, -0x1.7724e6270372ep-7, -0x1.6f5b6fadd1646p-7, -0x1.67b481eab2367p-7, -0x1.602fac3d982f8p-7, -0x1.58cc7ee8d0d71p-7, -0x1.518a8a6562b72p-7, -0x1.4a696028b8ee3p-7, -0x1.43688fb9068ecp-7, -0x1.3c87b3f6de7b3p-7, -0x1.35c6545b81ba8p-7, -0x1.2f240bbe78558p-7, -0x1.28a06c26117c8p-7, -0x1.223b0b3e42fdcp-7, -0x1.1bf37e2dd19eap-7, -0x1.15c95b3b0fdf1p-7, -0x1.0fbc39bc44207p-7, -0x1.09cbb16be49fcp-7, -0x1.03f75a3452905p-7, -0x1.fc7d9b12b7eadp-8, -0x1.f1434ab7b9e2p-8, -0x1.e63ef8a3f1f94p-8, -0x1.db6fdbaee9bc2p-8, -0x1.d0d52c7ead29p-8, -0x1.c66e2504116d5p-8, -0x1.bc39fbdb42f6fp-8, -0x1.b237fd92dd99bp-8, -0x1.a8675a0468c5dp-8, -0x1.9ec757b56a713p-8, -0x1.955737bbd51dp-8, -0x1.8c163e2e8898p-8, -0x1.8303b12c765adp-8, -0x1.7a1ed8311856cp-8, -0x1.7166fc8f568b5p-8, -0x1.68db69472279cp-8, -0x1.607b6ae99c41ap-8, -0x1.58464f56d49b4p-8, -0x1.503b609c2854fp-8, -0x1.485a05981d37bp-8, -0x1.40a17d0178cfep-8, -0x1.3911232ed8bedp-8, -0x1.31a85097d8775p-8, -0x1.2a665d84dc531p-8, -0x1.234aa5a80c54cp-8, -0x1.1c5484e69e394p-8, -0x1.15835a65e3b8cp-8, -0x1.0ed686985de8p-8, -0x1.084d6c24008ep-8, -0x1.01e76eea53d46p-8, -0x1.f747e951da89ep-9, -0x1.eb04cb25676c5p-9, -0x1.df0456542c0c4p-9, -0x1.d345602ad57aap-9, -0x1.c7c6c52cf22edp-9, -0x1.bc87629dadd51p-9, -0x1.b1861afdba88dp-9, -0x1.a6c1cdeea689bp-9, -0x1.9c396c793551dp-9, -0x1.91ebdf795270fp-9, -0x1.87d816b6983a2p-9, -0x1.7dfd04f08ddebp-9, -0x1.74599b6841cd4p-9, -0x1.6aecfe28a7f71p-9, -0x1.61b5c5020f958p-9, -0x1.58b36dfaa674dp-9, -0x1.4fe4b1dcb3d93p-9, -0x1.4748acfbc9325p-9, -0x1.3ede6b4d406ep-9, -0x1.36a4fbfbb8f5bp-9, -0x1.2e9b71cc3a4fap-9, -0x1.26c0e2fb58cd6p-9, -0x1.1f14693d96ef9p-9, -0x1.1795216edd0b8p-9, -0x1.10422ba1c76cdp-9, -0x1.091a98a12294dp-9, -0x1.021df025348f8p-9, -0x1.f69507584ea6ep-10, -0x1.e940f3f3ebf2ap-10, -0x1.dc3ce76df1781p-10, -0x1.cf878432201f9p-10, -0x1.c31f40d2b9095p-10, -0x1.b7028d2afdb9fp-10, -0x1.ab2fe8398789fp-10, -0x1.9fa5ccbced12ap-10, -0x1.9462c68b565bap-10, -0x1.8965588bbdef1p-10, -0x1.7eac182fe87adp-10, -0x1.7435a266d2978p-10, -0x1.6a0093a732e1bp-10, -0x1.600b88b29d074p-10, -0x1.565501594243cp-10, -0x1.4cdc4afbc775p-10, -0x1.439f489c8675ap-10, -0x1.3a9d5beb15cbep-10, -0x1.31d4e8c239eebp-10, -0x1.2944d57cec885p-10, -0x1.20ebd804c5403p-10, -0x1.18c8cd0cce54dp-10, -0x1.10da8b3481fa3p-10, -0x1.091fecc86a927p-10, -0x1.0197d1176905bp-10, -0x1.f4823997ed1e2p-11, -0x1.e635725066297p-11, -0x1.d8472964fbb83p-11, -0x1.cab5487cb0403p-11, -0x1.bd7dbde13199dp-11, -0x1.b09e833bbd17p-11, -0x1.a4159f071c4acp-11, -0x1.97e11f3de479ap-11, -0x1.8bff18ce36548p-11, -0x1.806da42877f24p-11, -0x1.752af2b858fc9p-11, -0x1.6a357b0360e5ep-11, -0x1.5f8b15e3862e5p-11, -0x1.5529ea00835cep-11, -0x1.4b10c79ae9e98p-11, -0x1.413da9448ed0ep-11, -0x1.37af4812a7127p-11, -0x1.2e6301980e2f9p-11, -0x1.255855aed4977p-11, -0x1.1c8d5d7ed57e1p-11, -0x1.1400975244f93p-11, -0x1.0bb082116b1d4p-11, -0x1.039bb4e73b378p-11, -0x1.f78173799ec03p-12, -0x1.e83ca8adf792fp-12, -0x1.d9651028711fep-12, -0x1.caf9afad6106ap-12, -0x1.bcf6c78140466p-12, -0x1.af5a14c5c6191p-12, -0x1.a2210ff69f8eap-12, -0x1.954941699a9e5p-12, -0x1.88d03d14bfbaep-12, -0x1.7cb3a9388fa4cp-12, -0x1.70f13f1675cbep-12, -0x1.6586bdf1b2f0cp-12, -0x1.5a71e30a353bep-12, -0x1.4fb08305f6306p-12, -0x1.45407cfc99bdap-12, -0x1.3b204f05684e1p-12, -0x1.314c1d7015a51p-12, -0x1.27c3a968747eap-12, -0x1.1e8462535ea9bp-12, -0x1.158c7ef6ea1dcp-12, -0x1.0cd9eab530cdap-12, -0x1.046ae02a81b7fp-12, -0x1.f87b60f8f4967p-13, -0x1.e8a133ac88b29p-13, -0x1.d943c6a19b1bfp-13, -0x1.ca5fd6e21f211p-13, -0x1.bbf14e0959ba1p-13, -0x1.adf81fe72d7aap-13, -0x1.a06c00e7e1cb5p-13, -0x1.934f259daed76p-13, -0x1.869ae99b864d9p-13, -0x1.7a4e9e13d8bep-13, -0x1.6e66284db92cbp-13, -0x1.62df2893d68bcp-13, -0x1.57b6db87f1924p-13, -0x1.4cea9222aa2b8p-13, -0x1.4277aa6f02fb8p-13, -0x1.385b910534fbdp-13, -0x1.2e93b7020f9adp-13, -0x1.251ddc84da1e1p-13, -0x1.1bf784808e0f1p-13, -0x1.131e771f069dfp-13, -0x1.0a90846e316acp-13, -0x1.024b86d3a3ef6p-13, -0x1.f49a9c2573e06p-14, -0x1.e5283137d2c03p-14, -0x1.d63b3e0074af2p-14, -0x1.c7d00d8a38af2p-14, -0x1.b9e2cf5c8427fp-14, -0x1.ac6fc03cf9ccdp-14, -0x1.9f7328904adb8p-14, -0x1.92e95fc6b002cp-14, -0x1.86ced148471d3p-14, -0x1.7b2003cb1de84p-14, -0x1.6fd989b2b47p-14, -0x1.64f83e0b16c3ap-14, -0x1.5a7913411594ep-14, -0x1.5058f8718f5c4p-14, -0x1.4692bcb4dec99p-14, -0x1.3d2ab008d0233p-14, -0x1.34143872fa25p-14, -0x1.2b5562ba602b2p-14, -0x1.22e60e545acbfp-14, -0x1.1ac57baafbb07p-14, -0x1.12f158cf5ce93p-14, -0x1.0b66ce7ec5425p-14, -0x1.042354491cd2dp-14, -0x1.fa494f1131941p-15, -0x1.ecd0efea64d08p-15, -0x1.dfd6b3feed131p-15, -0x1.d35a09d7c03f7p-15, -0x1.c753b45076efep-15, -0x1.bbc2a4130513ap-15, -0x1.b09ebae6924bcp-15, -0x1.a5e6e2b6fc774p-15, -0x1.9b972abe9d0f6p-15, -0x1.91ac2ece0956ap-15, -0x1.8822ab5933ac9p-15, -0x1.7ef7ad82e941cp-15, -0x1.7627d8292966dp-15, -0x1.6daee14bf0b04p-15, -0x1.658cd91ade2a6p-15, -0x1.5dbb597c8fc97p-15, -0x1.5638851f2999ep-15, -0x1.4f019946dd4cep-15, -0x1.48137499e9f5ep-15, -0x1.416b5fd410b1bp-15, -0x1.3b065f8016c56p-15, -0x1.34e1ba8b45f4cp-15, -0x1.2efac6daff288p-15, -0x1.294eb52f60966p-15, -0x1.23db5484c03f8p-15, -0x1.1e9e9ae9cb88ep-15, -0x1.19966ba2348ffp-15, -0x1.14b71c6f9af8bp-15, -0x1.1013d6fa7fe1fp-15, -0x1.0ba6802c60c4cp-15, -0x1.075e1a7fd0064p-15, -0x1.033e4976fd8f4p-15, -0x1.fea4ea5c574f7p-16, -0x1.f706f26466225p-16, -0x1.efbe908100054p-16, -0x1.e8be814a54261p-16, -0x1.e205c9012dce3p-16, -0x1.db911f2756543p-16, -0x1.d55c4e075b81ap-16, -0x1.cf6575357ee7dp-16, -0x1.c9a814000f08p-16, -0x1.c422215a22931p-16, -0x1.bed0aca09052bp-16, -0x1.b9b120ff456e7p-16, -0x1.b4c0c4b6e103dp-16, -0x1.affdcab79594bp-16, -0x1.ab66798dcfcfcp-16, -0x1.a6f86382d8f26p-16, -0x1.a2b220e6e9975p-16, -0x1.9e912649931edp-16, -0x1.9a8f6a0956133p-16, -0x1.96b446f0b0c77p-16, -0x1.92fbce4efbe2cp-16, -0x1.8f5e2ff14257ep-16, -0x1.8bddf403d5dabp-16, -0x1.887cecca27583p-16, -0x1.852ecbce52f94p-16, -0x1.81fce7c227b92p-16, -0x1.7ee21f04995ep-16, -0x1.7bdb832a253e3p-16, -0x1.78ec01673fe2ep-16, -0x1.760db8dedaf8cp-16, -0x1.73417778b3f56p-16, -0x1.7085f1636a899p-16, -0x1.6dd9e65985c86p-16, -0x1.6b3c912c4d4dep-16, -0x1.68ad20705de1ap-16, -0x1.661d555e1c104p-16, -0x1.63a5335720f88p-16, -0x1.6144f1df3eb77p-16, -0x1.5ee000ab2e2c4p-16, -0x1.5c873a478ce71p-16, -0x1.5a3609ef66cd1p-16, -0x1.57ee710d929fcp-16, -0x1.55a613462af19p-16, -0x1.53697318168f8p-16, -0x1.5138ba35d9a45p-16, -0x1.4f06b4f0f3e32p-16, -0x1.4cd8217ce00ebp-16, -0x1.4aafca2ff3de8p-16, -0x1.488b1b1b84231p-16, -0x1.4669d07162508p-16, -0x1.444a6ebbf6525p-16, -0x1.422e6c2c71c67p-16, -0x1.40142439efce6p-16, -0x1.3dfb71e4b97a8p-16, -0x1.3be3df54e92f2p-16, -0x1.39cd0c31c506fp-16, -0x1.37b6f6db1b352p-16, -0x1.35943a1d460c9p-16, -0x1.337a1eac121f6p-16, -0x1.3173fb9f99c63p-16, -0x1.2f5c83329fe2ep-16, -0x1.2d44e0df08b0ep-16, -0x1.2b2c6a7f74549p-16, -0x1.291282e09a801p-16, -0x1.26f7b699172efp-16, -0x1.24db35e31718fp-16, -0x1.22bdc41ac502p-16, -0x1.209db8e263d49p-16, -0x1.1e7bfdd3ab42cp-16, -0x1.1c58304255399p-16, -0x1.1a3252b7af75ep-16, -0x1.180b9c7e41ef6p-16, -0x1.15df2b156c4a2p-16, -0x1.13b56dedd5555p-16, -0x1.1187a943d4796p-16, -0x1.0f572451d9c57p-16, -0x1.0d2475b35c6a7p-16, -0x1.0aef63894a9eep-16, -0x1.08b7dd509d3b6p-16, -0x1.067df3db22e2p-16, -0x1.0441c49c47c5fp-16, -0x1.0203737fe107ap-16, -0x1.ff78c99037905p-17, -0x1.faf75aae9128fp-17, -0x1.f673f4d0214bp-17, -0x1.f1e41e1122a16p-17, -0x1.ed50303c9decp-17, -0x1.e8b85304bd387p-17, -0x1.e41c66f69bc05p-17, -0x1.df7bb3ad92169p-17, -0x1.dad7a4382f48ep-17, -0x1.d62ec1871bb58p-17, -0x1.d183f11ee8099p-17, -0x1.ccd33e33f71ep-17, -0x1.c81d87c605529p-17, -0x1.c3691a288375ep-17, -0x1.beaff553a88e5p-17, -0x1.b9f6bb2c2e7ecp-17, -0x1.b5338fe1d717ep-17, -0x1.b07166fdbe646p-17, -0x1.abacd2cda90d3p-17, -0x1.a6e67bb5f4a7cp-17, -0x1.a20574ba08864p-17, -0x1.9d3bf7adb111p-17, -0x1.988503c3a51cap-17, -0x1.93b5a3fb163eap-17, -0x1.8ee546393fb2cp-17, -0x1.8a143d9d74064p-17, -0x1.853a63e00ccf8p-17, -0x1.80732e72de3cdp-17, -0x1.7b9a50014c0ccp-17, -0x1.76c6baec93648p-17, -0x1.71f1cbc248bb7p-17, -0x1.6d1d5809f9ea8p-17, -0x1.6849eb96ca87dp-17, -0x1.63939d556fb74p-17, -0x1.5ea29b9c4ae2bp-17, -0x1.59ce951c6e51dp-17, -0x1.54fc033e6a379p-17, -0x1.502a8ccc428aap-17, -0x1.4b5b08f06e204p-17, -0x1.468cafb9467dfp-17, -0x1.41c024afeea5fp-17, -0x1.3cf17a9064d9fp-17, -0x1.382c1e4e81bfep-17, -0x1.3364d38632df2p-17, -0x1.2ea023d37194fp-17, -0x1.29e209273720ep-17, -0x1.25193635328cp-17, -0x1.2061f145419f8p-17, -0x1.1baa9fb6562b1p-17, -0x1.16f33b4a294f8p-17, -0x1.12402fe5398d8p-17, -0x1.0d91e91ca883dp-17, -0x1.08e641354aba2p-17, -0x1.043e60140d46ep-17, -0x1.ff34f9bdccc54p-18, -0x1.f5fb3b6a8d068p-18, -0x1.ecc195f85213fp-18, -0x1.e394c8a9519c9p-18, -0x1.da71390e2bcefp-18, -0x1.d155b00cf8379p-18, -0x1.c844e7228382p-18, -0x1.bf3edc7b5064ap-18, -0x1.b638f3453d245p-18, -0x1.ad51481d806c7p-18, -0x1.a46a85c7e27f1p-18, -0x1.9b8ed1668a376p-18, -0x1.92be59a4cd054p-18, -0x1.89f93c9a7728ap-18, -0x1.8140c0c957cebp-18, -0x1.78943fab9bf0ap-18, -0x1.6ff3feef1c2b6p-18, -0x1.675516385f2c2p-18, -0x1.5ecb470da6c5fp-18, -0x1.565e4bd22a66cp-18, -0x1.4def80a2b1909p-18, -0x1.458e62caf89e1p-18, -0x1.3d3b4455e5ce9p-18, -0x1.34f60bda4a9e4p-18, -0x1.2cbf4fae88dbfp-18, -0x1.249583a9bebbfp-18, -0x1.1c7bb276d810bp-18, -0x1.148160a5d0a87p-18, -0x1.0c6b75c54f86bp-18, -0x1.047d7b57374a2p-18, -0x1.f9387c800a245p-19, -0x1.e99426f158f56p-19, -0x1.da0243f219a38p-19, -0x1.ca4115d202cf2p-19, -0x1.bb591ab0625a1p-19, -0x1.ac1c58a5e6cccp-19, -0x1.9d1bd1f5b76c2p-19, -0x1.8e2ce7a38b05bp-19, -0x1.7f59787a1a01bp-19, -0x1.70a981b454006p-19, -0x1.62164fd0de9e4p-19, -0x1.53a0579af6cc1p-19, -0x1.456f3fb296b03p-19, -0x1.3721ae787e54ap-19, -0x1.2911f0720e339p-19, -0x1.1b1dd94d768d9p-19, -0x1.0d4d9e383b5b2p-19, -0x1.ff3bb4f40a9e4p-20, -0x1.e41e6961cfd7fp-20, -0x1.c93c64c5b59eap-20, -0x1.ae9d7cb116b35p-20, -0x1.9440bc8cadd6ap-20, -0x1.7a24d941862e4p-20, -0x1.604c3d5510f53p-20, -0x1.46b484c758f0ep-20, -0x1.2d5df62e12066p-20, -0x1.144a5465af27dp-20, -0x1.f6f17b851ac86p-21, -0x1.c5d25418f20bbp-21, -0x1.9533daf0d170fp-21, -0x1.651b9a5db041ap-21, -0x1.3587bda10b2cep-21, -0x1.0674cdde5488p-21, -0x1.b02cc7fd1ba1bp-22, -0x1.53bda4ada6112p-22, -0x1.f14db7c2ccb07p-23, -0x1.3d348c94bfe93p-23, -0x1.16a083ea92c49p-24, 0x1.2511c0302e985p-26, 0x1.a517c131b2e7ep-24, 0x1.7ebe223720203p-23, 0x1.142920143f02cp-22, 0x1.680d563c24b6ap-22, 0x1.bae9684d9fd3ep-22, 0x1.0667ed5c54b86p-21, 0x1.2ebe7716e4d6ep-21, 0x1.56d4ee2ef1bbfp-21, 0x1.7e43e636b6476p-21, 0x1.a5378848498dbp-21, 0x1.cb981ef559ab5p-21, 0x1.f1bb651b68eedp-21, 0x1.0b1a29187450cp-20, 0x1.1e91b939d99c8p-20, 0x1.30020db270aecp-20, 0x1.423e391295382p-20, 0x1.54065c8074d4ap-20, 0x1.657bc67979d6p-20, 0x1.76e5abfd5c47p-20, 0x1.87b85997511e1p-20, 0x1.98a8315be1801p-20, 0x1.a936f4f74fb52p-20, 0x1.b98c939bcbe17p-20, 0x1.c9a6b2222a91ap-20, 0x1.d98388641ab78p-20, 0x1.e9200be0e3604p-20, 0x1.f887abab792ffp-20, 0x1.03dacd3f373abp-19, 0x1.0b539e58b2d43p-19, 0x1.12af47b565a3ep-19, 0x1.19ee549786dp-19, 0x1.210eeafffaabap-19, 0x1.2818575339d18p-19, 0x1.2f0293ab8c85ap-19, 0x1.35d0ff1022decp-19, 0x1.3c829f270002bp-19, 0x1.431976ca78a94p-19, 0x1.49950a0df13b5p-19, 0x1.4ff537bb23a91p-19, 0x1.563a439dec04cp-19, 0x1.5c646f940abf7p-19, 0x1.6273f2bac007bp-19, 0x1.686902144a5ddp-19, 0x1.6e488833d751p-19, 0x1.74049f2fc6f28p-19, 0x1.79abc0931b793p-19, 0x1.7f39f2a11a8b9p-19, 0x1.84acf0cc0ed73p-19, 0x1.8a093897d90c4p-19, 0x1.8f497f1be0f7p-19, 0x1.945d2e0beba56p-19, 0x1.99680ee164384p-19, 0x1.9e79817761c2dp-19, 0x1.a351d57fd0c4dp-19, 0x1.a81db8a89de8p-19, 0x1.accf65e5c9321p-19, 0x1.b167bba52dddcp-19, 0x1.b5e85ec23409ep-19, 0x1.ba502ca9b364p-19, 0x1.be967ff7caef8p-19, 0x1.c2dd960b76005p-19, 0x1.c70549a97642p-19, 0x1.cb14bf3f2e3bep-19, 0x1.cf06821201bd5p-19, 0x1.d2e18d397b171p-19, 0x1.d6c85dd7a4809p-19, 0x1.da73f5194d4fp-19, 0x1.de1933c18a613p-19, 0x1.e1a97db579656p-19, 0x1.e53d5a1259f9ap-19, 0x1.e883aafe43062p-19, 0x1.ebd16b6d0ebf6p-19, 0x1.ef0ba098391e7p-19, 0x1.f23302bdef4a9p-19, 0x1.f546b8ba7d5bp-19, 0x1.f847bcd82d148p-19, 0x1.fb357dfe6cf91p-19, 0x1.fe0dd34aef8c4p-19, 0x1.0069a77deea67p-18, 0x1.01c3273727298p-18, 0x1.03133e75e4aadp-18, 0x1.045ae2ca00342p-18, 0x1.05991abc20d42p-18, 0x1.06ce1f86cf34fp-18, 0x1.07fa4ddba0254p-18, 0x1.091db8861a23dp-18, 0x1.0a3870b7004eep-18, 0x1.0b4a93d047ad3p-18, 0x1.0c544a1d6a56fp-18, 0x1.0d557e4b121d6p-18, 0x1.0e4e790482fbcp-18, 0x1.0f3dd9f0d0ba7p-18, 0x1.102af3f4d76ccp-18, 0x1.110807b0e0934p-18, 0x1.11e0d3827b264p-18, 0x1.12b170a11133ep-18, 0x1.137ad37886c11p-18, 0x1.143e3d0ed8aa9p-18, 0x1.14f681f875021p-18, 0x1.15a81818a412dp-18, 0x1.165303c8c5f6ap-18, 0x1.17103c84ac4eap-18, 0x1.1792c3e39d5a2p-18, 0x1.182a3306953cep-18, 0x1.18b8907b78963p-18, 0x1.194005256da23p-18, 0x1.19c0da186898ep-18, 0x1.1a3af74b20ca5p-18, 0x1.1aae5d600b431p-18, 0x1.1b1131e730805p-18, 0x1.1b80d3c5eac52p-18, 0x1.1be6cf423c5cbp-18, 0x1.1c3b680c5f1c8p-18, 0x1.1c8eb71c0d886p-18, 0x1.1cdc65165bb3ep-18, 0x1.1d23a46f9fee2p-18, 0x1.1d6610e8c44c3p-18, 0x1.1da17dfe447bdp-18, 0x1.1dd657d95c13ap-18, 0x1.1e02f40415649p-18, 0x1.1e267e61c1d1cp-18, 0x1.1e55e39b02007p-18, 0x1.1e7568fbc3091p-18, 0x1.1e8eb568550aap-18, 0x1.1ea343c39e6b7p-18, 0x1.1eb2069f86c34p-18, 0x1.1ebdfd36efec8p-18, 0x1.1ec41cbb233ccp-18, 0x1.1ec15a9afe824p-18, 0x1.1ebce19efefd6p-18, 0x1.1eb32535c4bfep-18, 0x1.1ea41c03131d2p-18, 0x1.1e9141dcb7977p-18, 0x1.1e7954181273fp-18, 0x1.1e5674d933002p-18, 0x1.1e3f8d708adebp-18, 0x1.1e22e515cd88bp-18, 0x1.1de9710b96409p-18, 0x1.1dbe79339e3f6p-18, 0x1.1d8b16f570a96p-18, 0x1.1d571ec775a63p-18, 0x1.1d19ba646effep-18, 0x1.1cdc10a982f49p-18, 0x1.1c9878826e71p-18, 0x1.1c5164246823cp-18, 0x1.1c06ad68d2ce2p-18, 0x1.1bb63680f3b6ap-18, 0x1.1b6631f59a3dap-18, 0x1.1b108454df7aep-18, 0x1.1ab7011d34715p-18, 0x1.1a59e97a6c3c4p-18, 0x1.19f9229c0db51p-18, 0x1.199670505fa75p-18, 0x1.1934d6a161b89p-18, 0x1.18c3e79d095d6p-18, 0x1.1856508b461d9p-18, 0x1.17e5b31e88ed7p-18, 0x1.17716a7213693p-18, 0x1.16f9f58487b79p-18, 0x1.1680ca6ac08f5p-18, 0x1.16025f224a728p-18, 0x1.15834e623ea6cp-18, 0x1.150787f80ff5cp-18, 0x1.147aba24c79d1p-18, 0x1.13f170e0aaf58p-18, 0x1.1366246e25b1cp-18, 0x1.12e18ff17610fp-18, 0x1.12484c980351fp-18, 0x1.11b57dcefccc2p-18, 0x1.112006d089d49p-18, 0x1.1088231512aecp-18, 0x1.0fedd208adaa6p-18, 0x1.0f510eb9a5f8dp-18, 0x1.0eb18a332fe2ep-18, 0x1.0dffe2b87092cp-18, 0x1.0d6d167090478p-18, 0x1.0cc7cc6def76fp-18, 0x1.0c20147c5b5bdp-18, 0x1.0b76db4b4db3cp-18, 0x1.0ac879ac2a7d3p-18, 0x1.0a1cc013958dfp-18, 0x1.096d15e826b01p-18, 0x1.08ba968e57864p-18, 0x1.08078801aee4ep-18, 0x1.0751a17ade634p-18, 0x1.069b78fd922bdp-18, 0x1.05e2324ac4f5dp-18, 0x1.052a170a567dcp-18, 0x1.046b23586834p-18, 0x1.03acf11b5665p-18, 0x1.02e4d4cd7dbeap-18, 0x1.022cdb7eccd91p-18, 0x1.01662a2504537p-18, 0x1.00a6fa17f8dbbp-18, 0x1.ffc35532a621fp-19, 0x1.fe1d410d3b5ecp-19, 0x1.fca45cdb61872p-19, 0x1.fb10478c09ff8p-19, 0x1.f9e39dad4889ap-19, 0x1.f7e4845bdda38p-19, 0x1.f6498aa96d133p-19, 0x1.f4accbe2ff8cdp-19, 0x1.f30dfc4eb2b52p-19, 0x1.f16c67341c989p-19, 0x1.efe907d4869bfp-19, 0x1.ee221f146359dp-19, 0x1.ec7c23603629ap-19, 0x1.ead826cd34c62p-19, 0x1.e924f968011d9p-19, 0x1.e77918a90341bp-19, 0x1.e5c862aadcfa2p-19, 0x1.e417d2ec59932p-19, 0x1.e264fa5c4b2c3p-19, 0x1.e0b13d92ab8d4p-19, 0x1.defab66d4dd8p-19, 0x1.dd5a5f5e3cad7p-19, 0x1.db8aa78e31562p-19, 0x1.d9d08cfaec9bp-19, 0x1.d814ed187237fp-19, 0x1.d657f8a9736d4p-19, 0x1.d47ef4182cb51p-19, 0x1.d2da2dab23bap-19, 0x1.d11974a21b4f2p-19, 0x1.cf3ff33794bd2p-19, 0x1.cd8bb5dbc443bp-19, 0x1.cbd22f2a73405p-19, 0x1.ca12a9d2ca8b1p-19, 0x1.c8466f8fdfad8p-19, 0x1.c67a33886eaedp-19, 0x1.c4aecc96f0335p-19, 0x1.c2f149731f024p-19, 0x1.c12eb823ec4ecp-19, 0x1.bf62bca43f81cp-19, 0x1.bd94a804c6ff6p-19, 0x1.bbcae3da75866p-19, 0x1.b9ffacd0ec0ccp-19, 0x1.b833ce5a07da6p-19, 0x1.b6678d1442888p-19, 0x1.b49ba1f4eccbfp-19, 0x1.b2cde86eed13dp-19, 0x1.b100a1fe9da21p-19, 0x1.af2d3abf82141p-19, 0x1.ad65da5003561p-19, 0x1.ab97466cf11fcp-19, 0x1.a9c81848c6035p-19, 0x1.a7f98f6ecb6cep-19, 0x1.a62af66609acbp-19, 0x1.a45beeba097cep-19, 0x1.a28e288326803p-19, 0x1.a0befb448f4bp-19, 0x1.9eef0e0c91064p-19, 0x1.9d21c82d38f87p-19, 0x1.9b517640626e6p-19, 0x1.997a34564faaap-19, 0x1.97b4e2f7ca95fp-19, 0x1.95e6c583c377ep-19, 0x1.9417798cf4a89p-19, 0x1.924b2f0c64427p-19, 0x1.907cf5132c54p-19, 0x1.8e9e14156d40ep-19, 0x1.8ce1d4db4df9ap-19, 0x1.8b15145efc1e6p-19, 0x1.8949c7f3f23bfp-19, 0x1.877b55bd07cdep-19, 0x1.85affd54f92f1p-19, 0x1.83e46115e1848p-19, 0x1.821bfa91dd30dp-19, 0x1.8050c48b73efcp-19, 0x1.7e867b6ce749cp-19, 0x1.7cbd2de212e31p-19, 0x1.7af4724980becp-19, 0x1.792bec0d6f619p-19, 0x1.7764e83b29168p-19, 0x1.759f4e6d899dap-19, 0x1.73d7cbf1106e9p-19, 0x1.7213043ffd5fep-19, 0x1.7051f8d7ea19ep-19, 0x1.6e79af59217a1p-19, 0x1.6cc1788fae42ap-19, 0x1.6b03be4ceffffp-19, 0x1.6941d8f7c0704p-19, 0x1.6780ed78f9f9cp-19, 0x1.65c04bc912dfap-19, 0x1.640103093aff6p-19, 0x1.6242461e4a13dp-19, 0x1.6082b43918891p-19, 0x1.5ec8335a804c3p-19, 0x1.5d0c559770a7dp-19, 0x1.5b50c419ec0bp-19, 0x1.59978b42fff01p-19, 0x1.57dec3c117266p-19, 0x1.562552b4158f6p-19, 0x1.546ec62944acbp-19, 0x1.52b8e2084b534p-19, 0x1.510431b2758c9p-19, 0x1.4f50d6c40b149p-19, 0x1.4d9d02bd6741cp-19, 0x1.4beb78c521e25p-19, 0x1.4a408ddffa1f5p-19, 0x1.488a48cc3549dp-19, 0x1.46da6e80c747bp-19, 0x1.452d1cda0a8c7p-19, 0x1.4380c1868eadap-19, 0x1.41d55e3b2905p-19, 0x1.402b02c17178dp-19, 0x1.3e820cb243f94p-19, 0x1.3cda916596782p-19, 0x1.3b39885d4a35cp-19, 0x1.398e0ccbce457p-19, 0x1.37e9583cb8016p-19, 0x1.3644f97f30361p-19, 0x1.34a4926347253p-19, 0x1.3302c733711c4p-19, 0x1.3164a749286fep-19, 0x1.2fc1977893fe9p-19, 0x1.2e289e4d5a382p-19, 0x1.2c8d76ad0e821p-19, 0x1.2af2faa4e57e8p-19, 0x1.29597f068375fp-19, 0x1.27c1d672d0085p-19, 0x1.262bd0271558ap-19, 0x1.2493fe8c78f5bp-19, 0x1.2302e2f523c81p-19, 0x1.216f0e1e01adbp-19, 0x1.1fe0b4e9c48f6p-19, 0x1.1e4f3c074a41dp-19, 0x1.1cbd8882c90f4p-19, 0x1.1b2daa25e0fcbp-19, 0x1.19a668219f671p-19, 0x1.181da886ae512p-19, 0x1.1684ea8dc3952p-19, 0x1.150b9b1ddb6cdp-19, 0x1.1383c65876faap-19, 0x1.1200bc02e61fbp-19, 0x1.107c49cd61373p-19, 0x1.0ef994397a14p-19, 0x1.0d78b2d20235cp-19, 0x1.0bfa62a4b25f7p-19, 0x1.0a7b581723581p-19, 0x1.08fecc284e304p-19, 0x1.078592d81932ap-19, 0x1.060bc839a3504p-19, 0x1.0490f6973df5fp-19, 0x1.031a15ac4ae46p-19, 0x1.01a2d9ffc655p-19, 0x1.00309ab11f93cp-19, 0x1.fd7e11ae75dcep-20, 0x1.fa973c359bfb4p-20, 0x1.f7b8bb87ae6cbp-20, 0x1.f4dd8348becc8p-20, 0x1.f203ea320a6b9p-20, 0x1.ef2d657d21a9p-20, 0x1.ec55c402e470fp-20, 0x1.e987d559b9be8p-20, 0x1.e6b2b82a2968cp-20, 0x1.e3eb5d46749f1p-20, 0x1.e12619b92438fp-20, 0x1.de6065d8548edp-20, 0x1.db9dd12779951p-20, 0x1.d8de304170266p-20, 0x1.d624316c4c7b7p-20, 0x1.d367aeb9c143dp-20, 0x1.d0b0a7dba6e5fp-20, 0x1.cdfd6def94af9p-20, 0x1.cb4cb2c6f5d85p-20, 0x1.c89dc54093bd4p-20, 0x1.c5f330522a14p-20, 0x1.c34b08a72cacdp-20, 0x1.c0a5d52a9d221p-20, 0x1.be03887aa4bfp-20, 0x1.bb6430145e01cp-20, }}, 
      {{-0x1.30ec2788ae5a5p-11, -0x1.2650fb5067895p-9, -0x1.39f1e0add943p-8, -0x1.04d9cf7109996p-7, -0x1.78581fdbf66c7p-7, -0x1.eef691660da44p-7, -0x1.308a19364d519p-6, -0x1.6417738b9a7f2p-6, -0x1.8f7cf3ca5a5b8p-6, -0x1.b0b174b731fabp-6, -0x1.c63bead841f1cp-6, -0x1.cf2452c72eaf8p-6, -0x1.cae8e1091708dp-6, -0x1.b96895999b72fp-6, -0x1.9ad392318fbe4p-6, -0x1.6f9b788fadc39p-6, -0x1.3864d47042e0ep-6, -0x1.ebf5c07b3029p-7, -0x1.52886a959e5c4p-7, -0x1.4ce6f3e9da23bp-8, 0x1.642811479a735p-11, 0x1.c315f2e33c8f9p-8, 0x1.b95a49f63deefp-7, 0x1.4dd7ce04fa931p-6, 0x1.c34d98591222cp-6, 0x1.1e111c057e8b2p-5, 0x1.5bbaec5b8e62ep-5, 0x1.9a3b73208e42p-5, 0x1.d93112400e91ap-5, 0x1.0c213d9d0193fp-4, 0x1.2b8e632210a2dp-4, 0x1.4aba952f420a5p-4, 0x1.69841aa5119a5p-4, 0x1.87cc842c34f16p-4, 0x1.a578e3d23553cp-4, 0x1.c2714e7a53e66p-4, 0x1.dea0f08716c75p-4, 0x1.f9f5ac82e4b38p-4, 0x1.0a3000c1e2d05p-3, 0x1.16e96b1f491d2p-3, 0x1.2321a4fab9f6dp-3, 0x1.2ed443b2498d6p-3, 0x1.39fdce2022f23p-3, 0x1.449ba9f031074p-3, 0x1.4eabfc71b2f6bp-3, 0x1.582d8d76b5437p-3, 0x1.612051b594061p-3, 0x1.6983fb1ebbdb5p-3, 0x1.715959e968cc1p-3, 0x1.78a19257289c1p-3, 0x1.7f5e36aa8e9abp-3, 0x1.85913b94af38p-3, 0x1.8b3cedd79ca01p-3, 0x1.9063e7240c47p-3, 0x1.9509042f09b21p-3, 0x1.992f5d3705bb5p-3, 0x1.9cda3f3715a04p-3, 0x1.a00d1d03888e6p-3, 0x1.a2cb93ba2d8dcp-3, 0x1.a5195cf344076p-3, 0x1.a6fa46f2d51cep-3, 0x1.a87238e6e382bp-3, 0x1.a98521d6e28e8p-3, 0x1.aa36fd08ba88bp-3, 0x1.aa8bcb5ac7f68p-3, 0x1.aa878897e416dp-3, 0x1.aa2e36ad89017p-3, 0x1.a983cad5de96p-3, 0x1.a88c35442bc0cp-3, 0x1.a74b56a907916p-3, 0x1.a5c505d691408p-3, 0x1.a3fd081ba953bp-3, 0x1.a1f70c49d1c62p-3, 0x1.9fb6b6f212c2p-3, 0x1.9d3f8cbd14741p-3, 0x1.9a9501610cd4ep-3, 0x1.97ba6da5d2edbp-3, 0x1.94b317a5f402cp-3, 0x1.91822349d529dp-3, 0x1.8e2a9ffb45e3cp-3, 0x1.8aaf809ad4706p-3, 0x1.87139d8567084p-3, 0x1.8359b3a44695ep-3, 0x1.7f8463dd9f96bp-3, 0x1.7b96346c4eee5p-3, 0x1.779190854b00ap-3, 0x1.7378c7ba1b5dep-3, 0x1.6f4e0f6388cdp-3, 0x1.6b138138cbc31p-3, 0x1.66cb1e5d80fe8p-3, 0x1.6276cddafd11ep-3, 0x1.5e185cee463ecp-3, 0x1.59b1836adfaabp-3, 0x1.5543dbe9c125dp-3, 0x1.50d0ee8a9b609p-3, 0x1.4c5a2a9c693d2p-3, 0x1.47e0ea45ad831p-3, 0x1.436672c36d3b3p-3, 0x1.3eebf3620f348p-3, 0x1.3a728b10a7f66p-3, 0x1.35fb411968eeep-3, 0x1.31870e8e25ce5p-3, 0x1.2d16d9e14234bp-3, 0x1.28ab77be6f72ep-3, 0x1.2445abd444fa3p-3, 0x1.1fe62dc043a63p-3, 0x1.1b8da4d5611b1p-3, 0x1.173ca711cc204p-3, 0x1.12f3c0cc5f9e4p-3, 0x1.0eb371cb30be7p-3, 0x1.0a7c2d33d16d3p-3, 0x1.064e57b7bd5c2p-3, 0x1.022a4d51a104ap-3, 0x1.fc20c5905ba9ap-4, 0x1.f401c00cda8dap-4, 0x1.ebf80549d12b9p-4, 0x1.e403fee50b05p-4, 0x1.dc260b42c6087p-4, 0x1.d45e72dea7ce1p-4, 0x1.ccad771bb5745p-4, 0x1.c51343b9dabdap-4, 0x1.bd8ff60788d0ep-4, 0x1.b623a8fae60cdp-4, 0x1.aece603997292p-4, 0x1.a7901f8546f56p-4, 0x1.a068d8bd6ae9cp-4, 0x1.995878ef8b33ap-4, 0x1.925ee25a87f3cp-4, 0x1.8b7bf0a46a5e2p-4, 0x1.84af79c143f62p-4, 0x1.7df943da4ab84p-4, 0x1.77591c377e6b9p-4, 0x1.70cec42f01ca7p-4, 0x1.6a59f6e008661p-4, 0x1.63fa664eb586ep-4, 0x1.5dafd065b9212p-4, 0x1.5779e0b99430dp-4, 0x1.5158433ccaaf8p-4, 0x1.4b4aa3ad56217p-4, 0x1.4550ac2f21e2ap-4, 0x1.3f6a014ef433ap-4, 0x1.399648bf73f6bp-4, 0x1.33d526062d9c3p-4, 0x1.2e263b51fdec2p-4, 0x1.28892e36a89fep-4, 0x1.22fd9f44c0d65p-4, 0x1.1d83324c0de73p-4, 0x1.1819883a5d61ep-4, 0x1.12c0486748266p-4, 0x1.0d77134084757p-4, 0x1.083d91c9135e6p-4, 0x1.03136903c6fd2p-4, 0x1.fbf07b1999b81p-5, 0x1.f1d775c751917p-5, 0x1.e7db1640a6629p-5, 0x1.ddfabac6b10afp-5, 0x1.d435bba84f915p-5, 0x1.ca8b7084d627ap-5, 0x1.c0fb494cc4694p-5, 0x1.b784a9e9d4d32p-5, 0x1.ae26f774a2bd5p-5, 0x1.a4e1a7233fe3dp-5, 0x1.9bb4314ac7272p-5, 0x1.929e070d19b3p-5, 0x1.899ea89191d6bp-5, 0x1.80b5918d77399p-5, 0x1.77e2555370605p-5, 0x1.6f247b2bc31a5p-5, 0x1.667b8fda3b516p-5, 0x1.5de7261d7f3fcp-5, 0x1.5566d5fb8617ap-5, 0x1.4cfa46e5f1dfdp-5, 0x1.44a113e5d3b5dp-5, 0x1.3c5ae69ee9d6bp-5, 0x1.34276facbcb8ep-5, 0x1.2c065cbb47e18p-5, 0x1.23f766208b423p-5, 0x1.1bfa3e201b6b8p-5, 0x1.140eb123a74f4p-5, 0x1.0c3473ffc4c1p-5, 0x1.046b57b737bbcp-5, 0x1.f96651090ede3p-6, 0x1.ea1765cc8da62p-6, 0x1.dae998c02d767p-6, 0x1.cbdcb76788d85p-6, 0x1.bcf02b4e262e1p-6, 0x1.ae23ff14be5f2p-6, 0x1.9f77e28c70735p-6, 0x1.90eba6b6f4ffp-6, 0x1.827f204b366aap-6, 0x1.743222fc272d1p-6, 0x1.6604a2584a31ep-6, 0x1.57f69378a234dp-6, 0x1.4a07b7855e928p-6, 0x1.3c3830f4ff6e8p-6, 0x1.2e87d8e3ca3d1p-6, 0x1.20f6bc14f567ap-6, 0x1.1384e734c87a5p-6, 0x1.0632647013f92p-6, 0x1.f1fe74571bd2cp-7, 0x1.d7d6f959cef5ap-7, 0x1.bdee854029923p-7, 0x1.a445484c1cde1p-7, 0x1.8adb893629bdcp-7, 0x1.71b180a09dd3dp-7, 0x1.58c77ea7a4184p-7, 0x1.401dcd4ea79cbp-7, 0x1.27b4bc40b1672p-7, 0x1.0f8cadd2b3378p-7, 0x1.ef4bd11aba534p-8, 0x1.c001b692e16b9p-8, 0x1.913bfab97f08fp-8, 0x1.62fb09a759801p-8, 0x1.354013c0ec1p-8, 0x1.080b7d219e62p-8, 0x1.b6bcec8ad9086p-9, 0x1.5e73a96b0b02ep-9, 0x1.073ca5fa4db7p-9, 0x1.62332aa7c813p-10, 0x1.7031365ff2dfp-11, 0x1.02d0a510497fcp-14, -0x1.2b181ed39090bp-11, -0x1.3910199451915p-10, -0x1.da5aa4a2908a9p-10, -0x1.3cb4a33ef99fcp-9, -0x1.8b1c731bb4d2bp-9, -0x1.d86346b9d813dp-9, -0x1.1243771ac21a5p-8, -0x1.37c33239a022ep-8, -0x1.5cb02b92b76acp-8, -0x1.8109ad333b5fdp-8, -0x1.a4cf148595fa2p-8, -0x1.c7ffb637b202dp-8, -0x1.ea9acec0d9057p-8, -0x1.0650188304486p-7, -0x1.17078dbad625ap-7, -0x1.277398c9f5e2ap-7, -0x1.3793fd4d82e8ap-7, -0x1.4768702979ep-7, -0x1.56f0d9accdcc8p-7, -0x1.662d0a4162f16p-7, -0x1.751ccddf544edp-7, -0x1.83c03286643f8p-7, -0x1.9216f1777634bp-7, -0x1.a02127ea74f78p-7, -0x1.adde954940461p-7, -0x1.bb4f4815e2734p-7, -0x1.c8733753091c7p-7, -0x1.d54a80766cc01p-7, -0x1.e1d52130772ap-7, -0x1.ee13295ed49e9p-7, -0x1.fa04a97cad0b7p-7, -0x1.02d4e66fe15ep-6, -0x1.08815b7e9bf4fp-6, -0x1.0e07c4d515f7bp-6, -0x1.13682f4d2a15cp-6, -0x1.18a2cbb5d2504p-6, -0x1.1db7b7585c432p-6, -0x1.22a700f3b9275p-6, -0x1.2770d0d463792p-6, -0x1.2c156fda3726p-6, -0x1.3094d0bc47987p-6, -0x1.34ef502b06bb7p-6, -0x1.392502aa131e7p-6, -0x1.3d362b6b26fd5p-6, -0x1.4122f167a8c3p-6, -0x1.44eb9b896271ap-6, -0x1.4890595458aa6p-6, -0x1.4c11749532825p-6, -0x1.4f6f26adba963p-6, -0x1.52a9b5036de89p-6, -0x1.55c16581abfcfp-6, -0x1.58b680f1e411fp-6, -0x1.5b89527c86964p-6, -0x1.5e3a279a2ea6ep-6, -0x1.60c94fb8973a9p-6, -0x1.63371c92b0cbbp-6, -0x1.6583e214eac4ap-6, -0x1.67aff66bd3d1dp-6, -0x1.69bbb17f101d3p-6, -0x1.6ba7717c49de6p-6, -0x1.6d738e6eeff62p-6, -0x1.6f20621cb7e03p-6, -0x1.70ae5c314d4cep-6, -0x1.721dc8f1b1e8bp-6, -0x1.736f1ace21b7ap-6, -0x1.74a2b37cba25dp-6, -0x1.75b8fe6c2328ep-6, -0x1.76b256d2fd891p-6, -0x1.778f19d61c9d8p-6, -0x1.784fd8974ed13p-6, -0x1.78f4de6d5edacp-6, -0x1.797eb071bde34p-6, -0x1.79edad518731fp-6, -0x1.7a423d52cb394p-6, -0x1.7a7cd62a1ea23p-6, -0x1.7a9de367f31c2p-6, -0x1.7aa5e33cd0a61p-6, -0x1.7a95441f00ce4p-6, -0x1.7a6c6f2cee901p-6, -0x1.7a2be58e1c92dp-6, -0x1.79d412d01a5bp-6, -0x1.79656440f024ap-6, -0x1.78e049539b96fp-6, -0x1.78454e03b6c3ap-6, -0x1.7794d4568f9eep-6, -0x1.76cf5e02d3ab6p-6, -0x1.75f54eeecee88p-6, -0x1.75072707d6a07p-6, -0x1.74055e0591243p-6, -0x1.72f06421f4859p-6, -0x1.71c89d0ef1a15p-6, -0x1.708ea23c75a3dp-6, -0x1.6f42c6238aa52p-6, -0x1.6de59eb87eb94p-6, -0x1.6c777aef02865p-6, -0x1.6af8d7cb5ef7cp-6, -0x1.696a30d6d1fe6p-6, -0x1.67cbf6b15e114p-6, -0x1.661e96cd33ba8p-6, -0x1.6462839c6f9c4p-6, -0x1.62982eb0561f2p-6, -0x1.60c0027d50387p-6, -0x1.5eda63465fdfdp-6, -0x1.5ce7dc28a9ba3p-6, -0x1.5ae8c3b06bd03p-6, -0x1.58dd8d7fb2308p-6, -0x1.56c6a3be61f8ap-6, -0x1.54a466a91425dp-6, -0x1.5277516361b47p-6, -0x1.503fbd9fb8766p-6, -0x1.4dfe145fb4c2p-6, -0x1.4bb2bf9e6f021p-6, -0x1.495e2304825a6p-6, -0x1.4700a2107fbcbp-6, -0x1.449a9f5ab6519p-6, -0x1.422c7bd3dc34fp-6, -0x1.3fb6947506427p-6, -0x1.3d39506f21bfap-6, -0x1.3ab5072abdf5ap-6, -0x1.382a0fc78cd4dp-6, -0x1.3598c4a0e2423p-6, -0x1.33018d986a9dap-6, -0x1.3064b3d534bddp-6, -0x1.2dc2abb11fcabp-6, -0x1.2b1b9df611663p-6, -0x1.286ffb0507fe8p-6, -0x1.25c015153d486p-6, -0x1.230c32808b624p-6, -0x1.2054a79d744edp-6, -0x1.1d99c5afe4463p-6, -0x1.1adbdae9aa0a8p-6, -0x1.181b2cfc95343p-6, -0x1.1558030afa9f3p-6, -0x1.1292b6a5a4634p-6, -0x1.0fcb8357e35bbp-6, -0x1.0d02b4d840623p-6, -0x1.0a3882abc46a7p-6, -0x1.076d3ba45227ep-6, -0x1.04a1214a0c9d3p-6, -0x1.01d470fcc5d6ap-6, -0x1.fe0ebef85a665p-7, -0x1.f8746827a5bd1p-7, -0x1.f2da718c94547p-7, -0x1.ed4119737d021p-7, -0x1.e7a90a7655782p-7, -0x1.e21284705e7bep-7, -0x1.dc7df982b3b87p-7, -0x1.d6ebe0c35c14cp-7, -0x1.d15ca06b63b62p-7, -0x1.cbd09bd4e4703p-7, -0x1.c6483575d3701p-7, -0x1.c0c3ce4388885p-7, -0x1.bb43b21f44945p-7, -0x1.b5c829a16768ep-7, -0x1.b051c8699ced8p-7, -0x1.aae0a858a0e76p-7, -0x1.a5754ef877506p-7, -0x1.a00fd26d241b8p-7, -0x1.9ab0980dfa064p-7, -0x1.9557f8d414fb1p-7, -0x1.90062dc8e65fp-7, -0x1.8abb6ac3a27f7p-7, -0x1.8578231656b4cp-7, -0x1.803c6b5dc4133p-7, -0x1.7b089ed0e3591p-7, -0x1.75dcc6389fcffp-7, -0x1.70b931aff8aaap-7, -0x1.6b9e1cbdaea56p-7, -0x1.668bb6f94bf8p-7, -0x1.61822f40d864fp-7, -0x1.5c81bc31ac77ap-7, -0x1.578a98621aca7p-7, -0x1.529cdcb17b401p-7, -0x1.4db8b55bcd003p-7, -0x1.48de5d8db8b7dp-7, -0x1.440ddbd16fe7cp-7, -0x1.3f47531fad29p-7, -0x1.3a8af5826ced9p-7, -0x1.35d8cb1b819e5p-7, -0x1.3130fb35a4f22p-7, -0x1.2c93b398c0232p-7, -0x1.28011b78895adp-7, -0x1.2379506447b23p-7, -0x1.1efc55656d791p-7, -0x1.1a8a5b47e21bep-7, -0x1.1623651e2d762p-7, -0x1.11c76036c907p-7, -0x1.0d76678db8126p-7, -0x1.093047a0c54b5p-7, -0x1.04f4f8fb974b9p-7, -0x1.00c4ab4a05966p-7, -0x1.f93ef5f262851p-8, -0x1.f10af44770782p-8, -0x1.e8ed96f4f9616p-8, -0x1.e0e73b1b18ecep-8, -0x1.d8f815bb8a1dp-8, -0x1.d12090def84f9p-8, -0x1.c9602d601b314p-8, -0x1.c1b72537e7892p-8, -0x1.ba2509ef7c7dfp-8, -0x1.b2a991b761b32p-8, -0x1.ab446b2902b53p-8, -0x1.a3f55b272a687p-8, -0x1.9cbc469b1197p-8, -0x1.959936bfafd0ap-8, -0x1.8e8c51f68ca0ep-8, -0x1.8795d1fecf1b3p-8, -0x1.80b5e7d18fff1p-8, -0x1.79ecb68290694p-8, -0x1.733a3c831a34cp-8, -0x1.6c9e528ab7a54p-8, -0x1.6618ae371d537p-8, -0x1.5fa8ef83b8d0bp-8, -0x1.594eb8d272c1ep-8, -0x1.5309c411dea25p-8, -0x1.4cd9ecd27a257p-8, -0x1.46bf386689c0bp-8, -0x1.40b9d7e5968e3p-8, -0x1.3aca18de31915p-8, -0x1.34f05835a5cd3p-8, -0x1.2f2ca1d274c65p-8, -0x1.297f296a8260ep-8, -0x1.23e7abe9aa06bp-8, -0x1.1e65ac1e1e27fp-8, -0x1.18f87e82570edp-8, -0x1.139f5a75443b1p-8, -0x1.0e59885b273f6p-8, -0x1.09263b87570dap-8, -0x1.0404dc1e1d1eap-8, -0x1.fdea9afa47d97p-9, -0x1.f3ef64acfef09p-9, -0x1.ea19939dc5b03p-9, -0x1.e06924b9f2e1fp-9, -0x1.d6e06171c2361p-9, -0x1.cd7ef1ffde3bcp-9, -0x1.c446566816c6ep-9, -0x1.bb369318df87cp-9, -0x1.b24f53c9fe6bdp-9, -0x1.a98f8ebf6f638p-9, -0x1.a0f5d21a6ee6bp-9, -0x1.98807652fdf4cp-9, -0x1.902dd78548097p-9, -0x1.87fc874954c03p-9, -0x1.7feb5c1f35afap-9, -0x1.77f9933168065p-9, -0x1.7026b9b03e99p-9, -0x1.6872b69af1955p-9, -0x1.60ddc31d999f9p-9, -0x1.5968798134f67p-9, -0x1.52131ac20190bp-9, -0x1.4ade88eee350dp-9, -0x1.43cae79cd28c1p-9, -0x1.3cd8127820876p-9, -0x1.3605889949ffbp-9, -0x1.2f5296a9e62e3p-9, -0x1.28be8e6d1c3f5p-9, -0x1.2248ec23eb04ep-9, -0x1.1bf14aa2d9d26p-9, -0x1.15b72bc6e00c1p-9, -0x1.0f99f4eb26281p-9, -0x1.0998a4bdcbabap-9, -0x1.03b1d8ea63c6p-9, -0x1.fbc8ed50c7165p-10, -0x1.f05feb42930dp-10, -0x1.e528bedc52928p-10, -0x1.da23f0dffe78dp-10, -0x1.cf53bd2a6c019p-10, -0x1.c4b8c6d90a008p-10, -0x1.ba53e02745da9p-10, -0x1.b0238960b98bap-10, -0x1.a6271be30a282p-10, -0x1.9c5e487e0d123p-10, -0x1.92c7d92c67efdp-10, -0x1.89641fc2bae8dp-10, -0x1.80326691944b4p-10, -0x1.77309f679c36fp-10, -0x1.6e5bc9a1966cep-10, -0x1.65af032c15fc5p-10, -0x1.5d27818d1ff0cp-10, -0x1.54c2c5c59274ep-10, -0x1.4c805821afdc6p-10, -0x1.4462f6bde2a2fp-10, -0x1.3c6b3d9b87b26p-10, -0x1.349b9230c08e4p-10, -0x1.2cf2dc61bf564p-10, -0x1.2570e4d1bd939p-10, -0x1.1e16456a5af12p-10, -0x1.16e4122dab854p-10, -0x1.0fdc6ed6b6bf2p-10, -0x1.0902748c7f3cp-10, -0x1.0256fe47c110ap-10, -0x1.f7b478e181de3p-11, -0x1.eb130cd07995p-11, -0x1.dec024fec0381p-11, -0x1.d2b09baa3d8c8p-11, -0x1.c6d8db7b668b2p-11, -0x1.bb2f010d1833ap-11, -0x1.afae42482605bp-11, -0x1.a457a8ffc395dp-11, -0x1.992febf65ff48p-11, -0x1.8e3d3804d6818p-11, -0x1.838307232735ep-11, -0x1.7902144cd0eedp-11, -0x1.6eb8c1e2bf99ap-11, -0x1.64a63dc974c09p-11, -0x1.5ac94f4e66f04p-11, -0x1.5125a6498ba04p-11, -0x1.47c04222d061fp-11, -0x1.3e9ca28dba48cp-11, -0x1.35baaff3e568cp-11, -0x1.2d18c95063a01p-11, -0x1.24b4dfbe2e30cp-11, -0x1.1c8b03e1cdb26p-11, -0x1.1497051c5e6b7p-11, -0x1.0cd3966faae48p-11, -0x1.053bad75837b8p-11, -0x1.fb957e5cd9492p-12, -0x1.ecf991eddbd1ap-12, -0x1.de9ba3cdd0d27p-12, -0x1.d08197c47016ep-12, -0x1.c2a86b058a41fp-12, -0x1.b519880860c6ep-12, -0x1.a7d10487a17a5p-12, -0x1.9ad28d4b6188bp-12, -0x1.8e238a4fa7b0cp-12, -0x1.81c868d646d2dp-12, -0x1.75c54dbc7374dp-12, -0x1.6a0a2913b6dcbp-12, -0x1.5e9c891a8e08p-12, -0x1.5375e0ed93163p-12, -0x1.48991453030c8p-12, -0x1.3e02e341cc2d7p-12, -0x1.33b8566af0ba3p-12, -0x1.29b9f7f39a188p-12, -0x1.2003dcfef8b74p-12, -0x1.16906a36d0a14p-12, -0x1.0d578a0bb392fp-12, -0x1.044db792eda4cp-12, -0x1.f6e44c64f49bbp-13, -0x1.e598018aa375ep-13, -0x1.d4c9593844716p-13, -0x1.c477ab63a5fb8p-13, -0x1.b48d05963e9cfp-13, -0x1.a4faa256e017ap-13, -0x1.95c2c954bfab4p-13, -0x1.86ed59596476bp-13, -0x1.787cb6fa2898fp-13, -0x1.6a6ce0d84076ep-13, -0x1.5cb41318412b5p-13, -0x1.4f53d34810a39p-13, -0x1.424341b322ceap-13, -0x1.35858c1cdafd8p-13, -0x1.291e37c9553b3p-13, -0x1.1d1b95bc16a58p-13, -0x1.117c2c40dbefap-13, -0x1.063dd822f159fp-13, -0x1.f6b128480a5b1p-14, -0x1.e180e96d80d8dp-14, -0x1.ccc3abc4a46e1p-14, -0x1.b85d518eeeaap-14, -0x1.a4679ec3d7feep-14, -0x1.9110d9a9f1d35p-14, -0x1.7e58e3320e808p-14, -0x1.6c25640627e54p-14, -0x1.5a80ce6dc37a3p-14, -0x1.498659d596a1p-14, -0x1.3927703fbe108p-14, -0x1.2954c5f702ebbp-14, -0x1.19cfb70092b4dp-14, -0x1.0a9cb420fbdf6p-14, -0x1.f772437d20437p-15, -0x1.da897803937edp-15, -0x1.be8a21ffdc74p-15, -0x1.a34f45608f3b4p-15, -0x1.88cbe521c21d6p-15, -0x1.6f257818bda9dp-15, -0x1.566f4a9a5fd5fp-15, -0x1.3e991942c3486p-15, -0x1.278a5951d1216p-15, -0x1.1137e9d7a2bcfp-15, -0x1.f7366a111a6c3p-16, -0x1.cd1fa1c85e88ep-16, -0x1.a3fc939d8e31dp-16, -0x1.7c23d03bcd0c1p-16, -0x1.55a901fdf818bp-16, -0x1.3035d2bda1379p-16, -0x1.0bc1adba0e389p-16, -0x1.d14a5fd14ae0ep-17, -0x1.8e147177586e5p-17, -0x1.4d1ef3b5a2887p-17, -0x1.0eba2ec0abe6ap-17, -0x1.a4f580f9fb6c8p-18, -0x1.303ebf0aa51f6p-18, -0x1.7ecf24c7d764p-19, -0x1.4479024878a9ap-20, 0x1.904e47fb9c34ap-22, 0x1.fe476d8a977ep-20, 0x1.c5b0dd8770f3cp-19, 0x1.42d5750a3c258p-18, 0x1.9ed2203ad1e99p-18, 0x1.f706df64373fbp-18, 0x1.2605dd2e16d7p-17, 0x1.4f126d68ce592p-17, 0x1.76adc87560d73p-17, 0x1.9cabc61fc3378p-17, 0x1.c0ec77846bb95p-17, 0x1.e3ef0c7b39218p-17, 0x1.02dd785852c5cp-16, 0x1.13236e96c463ap-16, 0x1.22db5a42feab9p-16, 0x1.31d11ea6facf2p-16, 0x1.402d43078db4ap-16, 0x1.4dcefb354cf9dp-16, 0x1.5af26b316af91p-16, 0x1.678ca598251b3p-16, 0x1.73a70b8056871p-16, 0x1.7f343b752a8c8p-16, 0x1.8a370b315004p-16, 0x1.9488f95f45a8dp-16, 0x1.9e691df3ba8bep-16, 0x1.a7e7478d0fcccp-16, 0x1.b0efaa4b65406p-16, 0x1.b98d4103de35cp-16, 0x1.c1b3bacad919bp-16, 0x1.c9653a184807ap-16, 0x1.d0aef371b46afp-16, 0x1.d79312470a903p-16, 0x1.de12ae2077147p-16, 0x1.e431298bbf176p-16, 0x1.e9f0ea5f9dbcbp-16, 0x1.ef561bdb5e1e8p-16, 0x1.f461801cd7a1p-16, 0x1.f918c747362acp-16, 0x1.fd7b226a89933p-16, 0x1.00c5781508ef3p-15, 0x1.02a5733391b79p-15, 0x1.045cbcc854b64p-15, 0x1.05f63cc6ab7b3p-15, 0x1.076b545ced311p-15, 0x1.08bc84f9054ddp-15, 0x1.09e48cd21d906p-15, 0x1.0adfeb45efe37p-15, 0x1.0bde1b8ffd9c1p-15, 0x1.0caf40ff33604p-15, 0x1.0d5ccade420bcp-15, 0x1.0ded1d9b3d645p-15, 0x1.0e6abae16282dp-15, 0x1.0edb8931c36fap-15, 0x1.0f0ad66055743p-15, 0x1.0f327522e1794p-15, 0x1.0f4a21d7bbb8ap-15, 0x1.0f4862016963cp-15, 0x1.0f2bc43f181abp-15, 0x1.0ef624a408befp-15, 0x1.0eaa2ddc882c6p-15, 0x1.0e4a2fe3616eep-15, 0x1.0dd205b3858c5p-15, 0x1.0d46cae1635aap-15, 0x1.0cb4bdb81c141p-15, 0x1.0c16b02071884p-15, 0x1.0b5acf105113bp-15, 0x1.0a87e591eb18fp-15, 0x1.09afb28713baap-15, 0x1.08c2a5f9fed56p-15, 0x1.07c9883d5f528p-15, 0x1.06be15f144dd5p-15, 0x1.05b48add1dac1p-15, 0x1.0487b964f7155p-15, 0x1.0356840336d2bp-15, 0x1.020f5de872659p-15, 0x1.00c635e0d9938p-15, 0x1.fed9fc1668b97p-16, 0x1.fc0b2cbd1f19cp-16, 0x1.f94acb6b89176p-16, 0x1.f6762f9edd6efp-16, 0x1.f361c56daea3cp-16, 0x1.f056b15e3ab4ep-16, 0x1.ed382312b1942p-16, 0x1.ea03fde537f6bp-16, 0x1.e6c06b9fd089cp-16, 0x1.e36b3f90255a8p-16, 0x1.e0017f881dbc4p-16, 0x1.dc8b65e824dfap-16, 0x1.d90357bdac068p-16, 0x1.d58317c87092bp-16, 0x1.d1e2c1b3ce66cp-16, 0x1.ce36e491d39d3p-16, 0x1.ca779d4ea85bbp-16, 0x1.c6bfe244bc9eep-16, 0x1.c2ff16b8899c4p-16, 0x1.bf285944b43bep-16, 0x1.bb55396fc9eaap-16, 0x1.b775c1db6e8e6p-16, 0x1.b388fba278386p-16, 0x1.af94a9e0fa49p-16, 0x1.ab9929f29c578p-16, 0x1.a7951d02b3ae1p-16, 0x1.a387933e90bdp-16, 0x1.9f7d6a8ee498fp-16, 0x1.9b708220f9d5bp-16, 0x1.9753d24aed65ep-16, 0x1.932944af525f8p-16, 0x1.8f0719c0b762dp-16, 0x1.8ae4bf71d3022p-16, 0x1.86c5ab163b62bp-16, 0x1.829b1b7c37716p-16, 0x1.7e69461da0a36p-16, 0x1.7a34c03566bcfp-16, 0x1.75fe62085c247p-16, 0x1.71c4a9f868467p-16, 0x1.6d8c1f3a3d15ep-16, 0x1.695276d2c6db3p-16, 0x1.65185397d2f92p-16, 0x1.60db980a8d44cp-16, 0x1.5cb05a8d37dbdp-16, 0x1.58586e12fe38fp-16, 0x1.5418ce20f99d3p-16, 0x1.4fe9c67d8e249p-16, 0x1.4ba8a1ef00743p-16, 0x1.4766ad8dc3e42p-16, 0x1.43258ab3d98b8p-16, 0x1.3ee17a64398dp-16, 0x1.3abd68ff0f8cap-16, 0x1.367f248ad7885p-16, 0x1.32466b7590694p-16, 0x1.2e11877d64971p-16, 0x1.29d9bd84331b7p-16, 0x1.25acb48a68935p-16, 0x1.217a203a2333p-16, 0x1.1d4bbdce09829p-16, 0x1.191d1050e7ce4p-16, 0x1.14fc5e2ef835fp-16, 0x1.10dba2dbda28dp-16, 0x1.0cb56d8751cb5p-16, 0x1.08963b9d9a969p-16, 0x1.047bed92e7eacp-16, 0x1.0066ede3535e8p-16, 0x1.f8ab62c46c7e8p-17, 0x1.f08c1f30c8f26p-17, 0x1.e86b802925221p-17, 0x1.e05969209cda9p-17, 0x1.d855daa9d61d9p-17, 0x1.d0587f64a714cp-17, 0x1.c85fe77b54a87p-17, 0x1.c0727936b5cd4p-17, 0x1.b88e6da5825aap-17, 0x1.b0b3472366ed6p-17, 0x1.a8e1631b0f629p-17, 0x1.a118ec72913a5p-17, 0x1.995a04b5183d9p-17, 0x1.91a4db3afd11cp-17, 0x1.89fbf8a9354d4p-17, 0x1.8258cf742f87fp-17, 0x1.7ac01915f401ap-17, 0x1.733b1899e7c55p-17, 0x1.6bbe76ea4d0a8p-17, 0x1.644ca203e281cp-17, 0x1.5cd630853ced4p-17, 0x1.557a7161cc07fp-17, 0x1.4e2da07390beep-17, 0x1.46ded70a47e04p-17, 0x1.3f9abe8fa1248p-17, 0x1.386eacd0fb69ap-17, 0x1.314aceb5f2182p-17, 0x1.2a30eaf4918bcp-17, 0x1.23225e47bdd53p-17, 0x1.1c1cbb0acbce8p-17, 0x1.1526e31792701p-17, 0x1.0e4d332b69f9bp-17, 0x1.076c782d20f41p-17, 0x1.0091d652566eap-17, 0x1.f3974fe56a9b7p-18, 0x1.e60d4d924f017p-18, 0x1.d89f613e493c3p-18, 0x1.cba4807e07d58p-18, 0x1.be73b194f466bp-18, 0x1.b15dd20626133p-18, 0x1.a4232c736bbbcp-18, 0x1.97b3e6164d98ap-18, 0x1.8b33464347954p-18, 0x1.7e3bf9ab0f736p-18, 0x1.71b7ba8d7b264p-18, 0x1.65483cb79f3aep-18, 0x1.58f6b6b722e88p-18, 0x1.4cad4d7b25108p-18, 0x1.409acab2f136bp-18, 0x1.3497b0a122fcap-18, 0x1.28aba9cfad2bdp-18, 0x1.1cdc65b0cdb46p-18, 0x1.11272fd6eaeb2p-18, 0x1.058c55a966695p-18, 0x1.f414a3100cabp-19, 0x1.dd4dc32d2cd89p-19, 0x1.c6b7c4d9f1cb9p-19, 0x1.b0543a446fc4ap-19, 0x1.9a2bc00601da3p-19, 0x1.8435d61da64d6p-19, 0x1.6e7741e903a03p-19, 0x1.58f43688aadb9p-19, 0x1.43a33d14ff873p-19, 0x1.2e8776e58dd8cp-19, 0x1.199797e0d0141p-19, 0x1.04eacc4dd96bbp-19, 0x1.e0d179f1780bp-20, 0x1.b857554b68d92p-20, 0x1.904bde1924e62p-20, 0x1.687e0966ba55p-20, 0x1.414b34825fb6dp-20, 0x1.1a6436f710731p-20, 0x1.e699499bc0dc1p-21, 0x1.9c1d708881ec4p-21, 0x1.50bcdf54b7365p-21, 0x1.06424ccceaef5p-21, 0x1.79745cd543058p-22, 0x1.d07bb5dff2d4ap-23, 0x1.6249dbcc4f41p-24, -0x1.ac13d819689b9p-25, -0x1.870772dd0f339p-23, -0x1.4c022df056bd2p-22, -0x1.d6ca943ed7619p-22, -0x1.2e55b2cf84029p-21, -0x1.7187c849a9971p-21, -0x1.b382a4a013c5bp-21, -0x1.f4c72626e9cbfp-21, -0x1.1a7d8116bc224p-20, -0x1.3a5479ede4e19p-20, -0x1.59e5f6fba99aap-20, -0x1.7898c62f323dep-20, -0x1.963c3646cf8c9p-20, -0x1.b57e1b00d6834p-20, -0x1.d31d218c246dap-20, -0x1.f0914fee6214bp-20, -0x1.06c5e4f39c652p-19, -0x1.1503382772e91p-19, -0x1.20a0629225e55p-19, -0x1.310e229f4d583p-19, -0x1.3e9c5855576e8p-19, -0x1.4c3bd3c463351p-19, -0x1.598e6e7967768p-19, -0x1.66ef5f1730b24p-19, -0x1.738ed8e57f69cp-19, -0x1.8044ca874770bp-19, -0x1.8cd6f4494295cp-19, -0x1.98e8015ec2349p-19, -0x1.a5729feda25dbp-19, -0x1.b125217e1fd1dp-19, -0x1.bcf137d0143e6p-19, -0x1.c88ed75184527p-19, -0x1.d4237dc89e967p-19, -0x1.df1865cf3954p-19, -0x1.ea169e0780247p-19, -0x1.f4ea0aa8e275dp-19, -0x1.ff8ca1e000127p-19, -0x1.05007771033c1p-18, -0x1.0a230b5a322bbp-18, -0x1.0f2cb942ad0acp-18, -0x1.141d9672ca055p-18, -0x1.19034b641cb2dp-18, -0x1.1dc66b316022ap-18, -0x1.227a10971bf47p-18, -0x1.270829cc8678dp-18, -0x1.2bae057c0d4a1p-18, -0x1.2ff421c053cbfp-18, -0x1.3447d8c148d89p-18, -0x1.388eb592149cdp-18, -0x1.3cbd1cb334115p-18, -0x1.40c901d647468p-18, -0x1.44c049d4733f1p-18, -0x1.48a1e7bd1c4a5p-18, -0x1.4c86ea7bb50f1p-18, -0x1.4311fcf9a933ep-18, -0x1.53ed586f12b57p-18, -0x1.5775914d94107p-18, -0x1.5aec9152e9a1p-18, -0x1.5ebfb41898785p-18, -0x1.61ab606046809p-18, -0x1.64ec6b547649fp-18, -0x1.68177cddc838p-18, -0x1.6b2da73725598p-18, -0x1.6e2fe2a63dd78p-18, -0x1.711ec859dc29ap-18, -0x1.73f78504a0eeap-18, -0x1.7689522e898dfp-18, -0x1.797269660ab74p-18, -0x1.7c13382b17ef2p-18, -0x1.7e9f72e3d9be9p-18, -0x1.7af6abf952214p-18, -0x1.82fcc1ec92c02p-18, -0x1.85d5ebfda5ae8p-18, -0x1.881c96f77a6d7p-18, -0x1.8a3b0e2da7123p-18, -0x1.8c605dd27ae32p-18, -0x1.8e6291d931fedp-18, -0x1.90694a3653fdfp-18, -0x1.924d061302ba3p-18, -0x1.94176a061f613p-18, -0x1.95dfa44abe86bp-18, -0x1.978c34c4f74f1p-18, -0x1.98e4a2e827384p-18, -0x1.9abdbe4a38dc9p-18, -0x1.9c6f891803547p-18, -0x1.9dc2743e3a04bp-18, -0x1.9f156e13038f6p-18, -0x1.a059ad49cb8c6p-18, -0x1.a18648a6028ecp-18, -0x1.a2b41d1b566d1p-18, -0x1.a28258b7f664p-18, -0x1.a4d95cdafcb2fp-18, -0x1.a5e5fa82f3d03p-18, -0x1.a6cb1af3ad7f3p-18, -0x1.a7a1875a4afa4p-18, -0x1.a874034003cdp-18, -0x1.a946f67d78dep-18, -0x1.a9cae563a0392p-18, -0x1.aa6605c542a37p-18, -0x1.ab4f9cfd9d31cp-18, -0x1.ab980d3594241p-18, -0x1.ac170f90c4adfp-18, -0x1.ac538691542a3p-18, -0x1.acb1e3d1db9aap-18, -0x1.ad09ec36b193dp-18, -0x1.ad4662cc9e79bp-18, -0x1.ad7b5e1791ac3p-18, -0x1.ad9ec8a7b6c78p-18, -0x1.ada6ddb708969p-18, -0x1.adad704f8758fp-18, -0x1.ada6f01d1cf32p-18, -0x1.ad93236d55e3ap-18, -0x1.ae254cedef41ep-18, -0x1.ad441e6c7afd7p-18, -0x1.ad073467c0f58p-18, -0x1.ac3a3620e323p-18, -0x1.acc097ef7b6a5p-18, -0x1.ac1339de85a9dp-18, -0x1.abb962fab63cap-18, -0x1.ab3110774cbdfp-18, -0x1.aaa536f0cc524p-18, -0x1.aa15e04576347p-18, -0x1.a98db1881513fp-18, -0x1.a8f59abd1353cp-18, -0x1.a8319338c18fdp-18, -0x1.a7ca561a8d93bp-18, -0x1.a6ca25a9d655dp-18, -0x1.a5fb1791270a8p-18, -0x1.a51d019da7733p-18, -0x1.a4382ad412eb2p-18, -0x1.a3467a2427cb3p-18, -0x1.a25405dad095dp-18, -0x1.a1521ae4d3f5ap-18, -0x1.a074dda5c714bp-18, -0x1.9f40848e6ab8ep-18, -0x1.9e1d1da53cb01p-18, -0x1.9cef96ebf6c89p-18, -0x1.9bc1167707d8bp-18, -0x1.9a88643db7d57p-18, -0x1.993d8d5fddc3bp-18, -0x1.981f4bd085c24p-18, -0x1.96a02826599c5p-18, -0x1.954822c6e271dp-18, -0x1.93e59766759a9p-18, -0x1.927a2e6a72f37p-18, -0x1.90d397adf71c5p-18, -0x1.8fa5a84b0b96cp-18, -0x1.8e2e0c161ddb1p-18, -0x1.8c6a5b0f915f2p-18, -0x1.88a1d632d22c5p-18, -0x1.8961301dd172cp-18, -0x1.87cf638e2f0f8p-18, -0x1.85464a337439ap-18, -0x1.842d101a8d1afp-18, -0x1.82bcb69b4020ap-18, -0x1.80eb55f672011p-18, -0x1.7f1b8832be344p-18, -0x1.7d58b32a3035ap-18, -0x1.7b86337ad475cp-18, -0x1.79b0bdf6b34fep-18, -0x1.77d59fc9568e7p-18, -0x1.75f2b17c9df9cp-18, -0x1.740915b622874p-18, -0x1.7215ac2ef8af7p-18, -0x1.7024cb9002fd3p-18, -0x1.6e406733c631dp-18, -0x1.6c294887005eap-18, -0x1.6a2f00eec3594p-18, -0x1.68221db2de106p-18, -0x1.6605773ce8482p-18, -0x1.6427f00acb1f1p-18, -0x1.61e23e5918aa7p-18, -0x1.5fc85c726b989p-18, -0x1.5da8f162262c4p-18, -0x1.5b7f492364adep-18, -0x1.59551d4b50668p-18, -0x1.5726383b1f78dp-18, -0x1.54de52ccb0bfep-18, -0x1.52b96acdff777p-18, -0x1.5072e71892ec6p-18, -0x1.4e2a0455d3bf9p-18, -0x1.4c1718baf0b8dp-18, -0x1.49d53aa8948ep-18, -0x1.47548d7e6b0ap-18, -0x1.451abff02b80cp-18, -0x1.42cf32fdf79b1p-18, -0x1.4082ef4ef16fcp-18, -0x1.3e13321473384p-18, -0x1.3bb1bcf2000aap-18, -0x1.39c1213e9ba76p-18, -0x1.37f912cc6e7fbp-18, -0x1.34cc758c7efc4p-18, -0x1.321aa54d6e96ap-18, -0x1.2fd5df7640403p-18, -0x1.2d7143fba95cep-18, -0x1.2b0465b970e42p-18, -0x1.288fda56dec44p-18, -0x1.26096d15c004bp-18, -0x1.23c70bc3dadcbp-18, -0x1.213ff30f07662p-18, -0x1.1eb039cf49073p-18, -0x1.1c3876a6423bap-18, -0x1.1997cd26d8ee4p-18, -0x1.13a69bfd38e76p-18, -0x1.14caca16fdfa4p-18, -0x1.1235be8276fb4p-18, -0x1.101083941fafap-18, -0x1.0d53ddd91030dp-18, -0x1.0ac9b934263e3p-18, -0x1.08432d62fa82fp-18, -0x1.05bdad0e3b052p-18, -0x1.0335d33cd8b28p-18, -0x1.00bb6321e2622p-18, -0x1.fcb29f1928e92p-19, -0x1.f74435cdbf23p-19, -0x1.f227726c644bdp-19, -0x1.ed241da71a786p-19, -0x1.e7de3127c418bp-19, -0x1.e249de0d380ep-19, -0x1.ddbaf86b8253bp-19, -0x1.d8ff06a061877p-19, -0x1.d3c9c876ca29ep-19, -0x1.ce24f11fbc8e6p-19, -0x1.c95b9af86337ap-19, -0x1.c40157be4c2cap-19, -0x1.bf5dc44671105p-19, -0x1.ba27210a2bfeap-19, -0x1.b4f6db34f03e2p-19, -0x1.afd95f575f54ep-19, -0x1.ab1e6a4e2ebb5p-19, -0x1.a540260bcd3bbp-19, -0x1.a0f624dfae409p-19, -0x1.9bcbe304d0249p-19, -0x1.9631bdb63224p-19, -0x1.913d39338b261p-19, -0x1.8c3c3133013f1p-19, -0x1.872eac76eab6p-19, -0x1.821d77c3d0b87p-19, -0x1.7cf0649c1894ap-19, -0x1.7804d99b5b325p-19, -0x1.71c8a62a67bc4p-19, -0x1.6ddda9d46a494p-19, -0x1.68aae3610778bp-19, -0x1.63d35afdc8704p-19, -0x1.5f6b9073f4fb3p-19, -0x1.599c55ff409b3p-19, -0x1.54aaf76105016p-19, -0x1.4fd9893358d38p-19, -0x1.4aed8a6f76653p-19, -0x1.45f65aa329c5bp-19, -0x1.41035dd9f3bc6p-19, -0x1.3c1450ecb863ap-19, -0x1.35da583772564p-19, -0x1.3222ada410451p-19, -0x1.2cdd5a734835p-19, -0x1.28e681136d604p-19, -0x1.240813423bd3cp-19, -0x1.1e607e496e07fp-19, -0x1.19b08b7a84fc3p-19, -0x1.14fe57c65b59bp-19, -0x1.102c0adefa702p-19, -0x1.0b5dc1da0b603p-19, -0x1.06920f8daf519p-19, }}, 
      {{0x1.0a8476b8f33e3p-3, 0x1.fe8523d64b9afp-3, 0x1.67b2a6dc4f7edp-2, 0x1.bbec7f6b2184bp-2, 0x1.fb9acaa670db9p-2, 0x1.13e976cbea57bp-1, 0x1.213d4a1ebb86fp-1, 0x1.26eff7548469cp-1, 0x1.263a5303aad3dp-1, 0x1.2050783061ceep-1, 0x1.1653c6b677276p-1, 0x1.094ac90a318dbp-1, 0x1.f43a6bf19d025p-2, 0x1.d32586e701c4ep-2, 0x1.b0a79e0339d48p-2, 0x1.8dd67f0e5cb3p-2, 0x1.6b921313a79cap-2, 0x1.4a8a2dca8cecbp-2, 0x1.2b447761c03fbp-2, 0x1.0e22449f98205p-2, 0x1.e6cc1f99809d2p-3, 0x1.b670fe090f1eap-3, 0x1.8b59d541e7e57p-3, 0x1.658abf2cb001p-3, 0x1.44ec478e4100bp-3, 0x1.29517d2c07074p-3, 0x1.127d37059f9e3p-3, 0x1.002679f3ce71fp-3, 0x1.e3f867b90075fp-4, 0x1.cf50637b5ad15p-4, 0x1.c1a3c62a1646bp-4, 0x1.ba40312356593p-4, 0x1.b8758cedb9547p-4, 0x1.bb9885d6c30a1p-4, 0x1.c3046488bd02fp-4, 0x1.ce1c7ca2fdeap-4, 0x1.dc4d25856b273p-4, 0x1.ed0c591b4e8bep-4, 0x1.ffda0d51fe1bep-4, 0x1.0a202a03927c3p-3, 0x1.14e9a165312f6p-3, 0x1.201864838fd34p-3, 0x1.2b802ad500dfp-3, 0x1.36f93d231f7bbp-3, 0x1.42603a1abb24dp-3, 0x1.4d95dbd13d37cp-3, 0x1.587eb0fe58e86p-3, 0x1.6302e50ef761cp-3, 0x1.6d0df4a4beb22p-3, 0x1.768e721813015p-3, 0x1.7f75c6d99d332p-3, 0x1.87b7f4f7a2954p-3, 0x1.8f4b5ae534d93p-3, 0x1.962883a82a18ap-3, 0x1.9c49e64c0ebeap-3, 0x1.a1abbeab77cefp-3, 0x1.a64bdbf5af7b2p-3, 0x1.aa29746a8d9cbp-3, 0x1.ad44feb84ab3p-3, 0x1.afa00a29a37e3p-3, 0x1.b13d21ea64a6p-3, 0x1.b21fa6ad0bcbdp-3, 0x1.b24bb4aedd5adp-3, 0x1.b1c60b5151dbep-3, 0x1.b093f1a27b6dap-3, 0x1.aebb1d2191238p-3, 0x1.ac41a76186e58p-3, 0x1.a92df14f94a0ap-3, 0x1.a58697309a5d2p-3, 0x1.a1525fe316b8cp-3, 0x1.9c9832ba7ca47p-3, 0x1.975f06f6d7202p-3, 0x1.91add940117e4p-3, 0x1.8b8ba874b5adbp-3, 0x1.84ff63053cff4p-3, 0x1.7e0fe7b3b9a2ap-3, 0x1.76c3fa3bf766ep-3, 0x1.6f2241763ca2fp-3, 0x1.67313ee86ee35p-3, 0x1.5ef74cf9145f9p-3, 0x1.567a9a2f2ea9ap-3, 0x1.4dc127500ab58p-3, 0x1.44d0c57b4e842p-3, 0x1.3baf1226d5681p-3, 0x1.32617876f55acp-3, 0x1.28ed2ea1df6a1p-3, 0x1.1f5735969f339p-3, 0x1.15a45a6943673p-3, 0x1.0bd93344c7bfap-3, 0x1.01fa21fe5501fp-3, 0x1.f016a78f05e64p-4, 0x1.dc218524df117p-4, 0x1.c81c694908425p-4, 0x1.b40e80017a71fp-4, 0x1.9ffe906cc3ad8p-4, 0x1.8bf305e330268p-4, 0x1.77f1ec4dd0427p-4, 0x1.6400f7dd4eddbp-4, 0x1.502584a903b15p-4, 0x1.3c6499f714c53p-4, 0x1.28c2eefbac7fcp-4, 0x1.1544eccb3916dp-4, 0x1.01eeb02e16c6cp-4, 0x1.dd881e4850f52p-5, 0x1.b79132a792a78p-5, 0x1.91ff3c538f5e4p-5, 0x1.6cd859a5c437bp-5, 0x1.4822305d438cbp-5, 0x1.23e1f11c577c9p-5, 0x1.001c5e415faafp-5, 0x1.b9aba438795b5p-6, 0x1.742480066715ap-6, 0x1.2faa7bd9bb823p-6, 0x1.d88808e57c296p-7, 0x1.53edd458557f1p-7, 0x1.a3212a3ad3b8bp-8, 0x1.45e59acdbb932p-9, -0x1.627e53a924632p-10, -0x1.4f883fedd9a6bp-8, -0x1.20ddcb0e7abcdp-7, -0x1.9797e8c4c120ap-7, -0x1.05f7424336b49p-6, -0x1.3eef421900601p-6, -0x1.76b2e0ec7d456p-6, -0x1.ad4153dc3b10bp-6, -0x1.e29a3dfa6c211p-6, -0x1.0b5ecca496498p-5, -0x1.24d5d76d3cbcep-5, -0x1.3db28c7f5b35bp-5, -0x1.55f55d60a44a7p-5, -0x1.6d9ed87047ee8p-5, -0x1.84afb335be97ep-5, -0x1.9b28bc910546cp-5, -0x1.b10adea2df691p-5, -0x1.c65719d01021p-5, -0x1.db0e8f2d1b782p-5, -0x1.ef326d02ecac6p-5, -0x1.0161fa8372ee6p-4, -0x1.0ae2412172deap-4, -0x1.141abe9f9daa3p-4, -0x1.1d0c2d2c08b73p-4, -0x1.25b7506cda70ep-4, -0x1.2e1cf18983865p-4, -0x1.363ddf75a3ef2p-4, -0x1.3e1aef24c9a98p-4, -0x1.45b4f944314c9p-4, -0x1.4d0cdbd5c8322p-4, -0x1.542376e829a09p-4, -0x1.5af9b036adca9p-4, -0x1.61906d8e20c64p-4, -0x1.67e89b206e969p-4, -0x1.6e03235352b51p-4, -0x1.73e0f3e715fdcp-4, -0x1.7982fd26ff6b5p-4, -0x1.7eea2d753dfc2p-4, -0x1.84177889c657ap-4, -0x1.890bcf596b16cp-4, -0x1.8dc8225210094p-4, -0x1.924d6724b1a1p-4, -0x1.969c8ec1b120fp-4, -0x1.9ab6891b25ac5p-4, -0x1.9e9c49747493ep-4, -0x1.a24ebfe5b873p-4, -0x1.a5cede6fc6fe5p-4, -0x1.a91d9103f5dabp-4, -0x1.ac3bc5ae760b1p-4, -0x1.af2a6c258f299p-4, -0x1.b1ea6dcaaeb7ap-4, -0x1.b47cb2eea440ap-4, -0x1.b6e2254c7ec31p-4, -0x1.b91ba93689195p-4, -0x1.bb2a25f28954fp-4, -0x1.bd0e7d08e09c9p-4, -0x1.bec98dea19049p-4, -0x1.c05c38f26c8d2p-4, -0x1.c1c75a1548723p-4, -0x1.c30bc9d36f1a2p-4, -0x1.c42a61ebd404fp-4, -0x1.c523f97561f14p-4, -0x1.c5f9623255abcp-4, -0x1.c6ab6b3ca3eb2p-4, -0x1.c73ae72e99139p-4, -0x1.c7a89fe5a8d84p-4, -0x1.c7f55e9675f53p-4, -0x1.c821ed034bafp-4, -0x1.c82f0ee8e189fp-4, -0x1.c81d84ab1e632p-4, -0x1.c7ee0f10f9fdp-4, -0x1.c7a16c910a2ep-4, -0x1.c738579fecfafp-4, -0x1.c6b38556fee42p-4, -0x1.c613af65c405ep-4, -0x1.c55986a52f09ep-4, -0x1.c485bbe4bc283p-4, -0x1.c398fd9e83347p-4, -0x1.c293f6024ce56p-4, -0x1.c1774ead8458cp-4, -0x1.c043b0469c1dcp-4, -0x1.bef9b9753566ep-4, -0x1.bd9a10738335bp-4, -0x1.bc25532623a1bp-4, -0x1.ba9c1deaadb3bp-4, -0x1.b8ff0a81a769ep-4, -0x1.b74eb1aa1a99p-4, -0x1.b58ba600863a6p-4, -0x1.b3b67e5f8b0ecp-4, -0x1.b1cfcc19f4452p-4, -0x1.afd81954302a7p-4, -0x1.adcff32b86361p-4, -0x1.abb7e5ce72c8fp-4, -0x1.a9907847c38cbp-4, -0x1.a75a2ed22eed6p-4, -0x1.a5158cacbbf5ap-4, -0x1.a2c3149e73f8ap-4, -0x1.a06342dcda0cfp-4, -0x1.9df696272316ep-4, -0x1.9b7d88155b198p-4, -0x1.98f891965636cp-4, -0x1.966829f49ec16p-4, -0x1.93ccc20aa6e17p-4, -0x1.9126cef9edd08p-4, -0x1.8e76c316c5cd4p-4, -0x1.8bbd0ab8f62eap-4, -0x1.88fa0f350a6c3p-4, -0x1.862e3f669fc1ep-4, -0x1.835a021e1291p-4, -0x1.807dbf2a5f618p-4, -0x1.7d99d9e4635e3p-4, -0x1.7aaeb643c59b7p-4, -0x1.77bcb32c670dcp-4, -0x1.74c4331416e28p-4, -0x1.71c593f6314f6p-4, -0x1.6ec12d303fa71p-4, -0x1.6bb75c27c797ap-4, -0x1.68a87785fb1a3p-4, -0x1.6594d88571b15p-4, -0x1.627cd0970a47bp-4, -0x1.5f60b4ad002ccp-4, -0x1.5c40d69d1cc56p-4, -0x1.591d84d502958p-4, -0x1.55f70ec693255p-4, -0x1.52cdc0264811ap-4, -0x1.4fa1e5d5db103p-4, -0x1.4c73c69f3c82ep-4, -0x1.4943ad3276fb9p-4, -0x1.4611de2e79272p-4, -0x1.42de9ee62876fp-4, -0x1.3faa31374cb81p-4, -0x1.3c74da11c3f6cp-4, -0x1.393ed8255871cp-4, -0x1.36086b1c4dd04p-4, -0x1.32d1ce2d8a28bp-4, -0x1.2f9b3ff782cdp-4, -0x1.2c64fac2a5995p-4, -0x1.292f3789a6999p-4, -0x1.25fa2d1ec2b3dp-4, -0x1.22c612e7ac4b4p-4, -0x1.1f931e5f489c1p-4, -0x1.1c6183415f9d1p-4, -0x1.1931741306994p-4, -0x1.16032207d30ebp-4, -0x1.12d6bc7b5d314p-4, -0x1.0fac7324185cdp-4, -0x1.0c8471d192329p-4, -0x1.095ee6c6679ep-4, -0x1.063bfa01dba5bp-4, -0x1.031bd9655c299p-4, -0x1.fffd54c30fd85p-5, -0x1.f9c92a754fcb2p-5, -0x1.f39b7ecb4823ap-5, -0x1.ed749cfb1c7ep-5, -0x1.e754cc83b4255p-5, -0x1.e13c52f9df24dp-5, -0x1.db2b73b84f7a6p-5, -0x1.d5226fe627bbap-5, -0x1.cf21862cbe3f7p-5, -0x1.c928f30e73a88p-5, -0x1.c338f148330aep-5, -0x1.bd51b9d16053ep-5, -0x1.b77383e9cbdb7p-5, -0x1.b19e7d5dce66p-5, -0x1.abd2e398d9e4dp-5, -0x1.a610e05279fa2p-5, -0x1.a058a65655e29p-5, -0x1.9aaa5b4187cc9p-5, -0x1.950630c1d4a5bp-5, -0x1.8f6c4c166aaabp-5, -0x1.89dcd56f89d35p-5, -0x1.8457f357247a4p-5, -0x1.7eddc75da65d4p-5, -0x1.796e748c05259p-5, -0x1.740a1af794917p-5, -0x1.6eb0d913c5958p-5, -0x1.6962cb8d1b1e9p-5, -0x1.64200e0d5ddeep-5, -0x1.5ee8b9d55af64p-5, -0x1.59bce5603edd4p-5, -0x1.549ca8acc946p-5, -0x1.4f88195dbe674p-5, -0x1.4a7f4c4a07f3ap-5, -0x1.458250a1e1447p-5, -0x1.4091384600e29p-5, -0x1.3bac12c10960fp-5, -0x1.36d2ec1d7a6b4p-5, -0x1.3205d4be614c8p-5, -0x1.2d44d4b6f4666p-5, -0x1.288ff86ff36dap-5, -0x1.23e745cb3fb28p-5, -0x1.1f4ac63e6849cp-5, -0x1.1aba7faf2e029p-5, -0x1.16367a0253474p-5, -0x1.11beb4122b2eap-5, -0x1.0d5334cca485fp-5, -0x1.08f3fc8e97c08p-5, -0x1.04a10d7533e87p-5, -0x1.005a656f45536p-5, -0x1.f840043e549e9p-6, -0x1.efe3c8fc80a8ep-6, -0x1.e7a01266a2cd9p-6, -0x1.df74d3e09f4b9p-6, -0x1.d76204d6d80d5p-6, -0x1.cf679a8405204p-6, -0x1.c78586c2ae469p-6, -0x1.bfbbba459c1eap-6, -0x1.b80a24588279ap-6, -0x1.b070b2bf014b5p-6, -0x1.a8ef4eaaada2bp-6, -0x1.a185e6f5722ccp-6, -0x1.9a3461d768f52p-6, -0x1.92faaa2f34354p-6, -0x1.8bd8a2d549b5ep-6, -0x1.84ce32164cc26p-6, -0x1.7ddb3cfbf426cp-6, -0x1.76ffa55e19a25p-6, -0x1.703b4c0a6fb6cp-6, -0x1.698e1188c5a4ep-6, -0x1.62f7d57e8c9c3p-6, -0x1.5c7873c566073p-6, -0x1.560fcd128b79ap-6, -0x1.4fbdbf46091d8p-6, -0x1.4982202d617c8p-6, -0x1.435ccae77d384p-6, -0x1.3d4d9b19ef4c9p-6, -0x1.3754689bc89efp-6, -0x1.31710c8271882p-6, -0x1.2ba35c03a9fc6p-6, -0x1.25eb2ec2c77b7p-6, -0x1.20485a79d01e4p-6, -0x1.1abab3d5aefdap-6, -0x1.15420f8e73f21p-6, -0x1.0fde41c78dbecp-6, -0x1.0a8f1e0fe1fe4p-6, -0x1.0554765433788p-6, -0x1.002e1c84a191bp-6, -0x1.f637ca861687ep-7, -0x1.ec3b40108f97bp-7, -0x1.e2663dc89aba9p-7, -0x1.d8b86238cf51dp-7, -0x1.cf314fb3c3178p-7, -0x1.c5d0a7ca0111cp-7, -0x1.bc960732c3787p-7, -0x1.b3810dba2acf7p-7, -0x1.aa915f49a42fcp-7, -0x1.a1c691807e30fp-7, -0x1.99204ee867386p-7, -0x1.909e2303e1085p-7, -0x1.883fb80cbbaebp-7, -0x1.8004a7780afd7p-7, -0x1.77ec8e0c84578p-7, -0x1.6ff708958f05dp-7, -0x1.6823b3c3e88c9p-7, -0x1.60722c1dce05bp-7, -0x1.58e20df6c2b21p-7, -0x1.5172f4d4d4002p-7, -0x1.4a247ba108852p-7, -0x1.42f643d792293p-7, -0x1.3be7d8b53a128p-7, -0x1.34f9003751687p-7, -0x1.2e2925120e362p-7, -0x1.277803868dedcp-7, -0x1.20e534f9fe1c8p-7, -0x1.1a7053ca77925p-7, -0x1.1418fc6c3cbb5p-7, -0x1.0dded25e3cda7p-7, -0x1.07c170203455bp-7, -0x1.01c0771bf84f5p-7, -0x1.f7b6ff9b7c4a6p-8, -0x1.ec2459dd6065bp-8, -0x1.e0c843da4d646p-8, -0x1.d5a1fd01ad32bp-8, -0x1.cab0c8dbc7fa2p-8, -0x1.bff3f0743bbbep-8, -0x1.b56aa03c1f249p-8, -0x1.ab1449c0ea79ap-8, -0x1.a0f00cefab1f5p-8, -0x1.96fd434615b1ap-8, -0x1.8d3b3293421a9p-8, -0x1.83a921d1526c5p-8, -0x1.7a465d1517c7p-8, -0x1.71122ff2f23aep-8, -0x1.680bed97478edp-8, -0x1.5f32ed223986p-8, -0x1.568686b9bd3e6p-8, -0x1.4e06125b267d7p-8, -0x1.45b0e616bc564p-8, -0x1.3d8653b451f2p-8, -0x1.3585aa90614f6p-8, -0x1.2dae380083e1bp-8, -0x1.25ff48e521896p-8, -0x1.1e782eda323e5p-8, -0x1.171841f11e11fp-8, -0x1.0fdee2cb2ffbep-8, -0x1.08cb79f084da2p-8, -0x1.01dd700d1aa1fp-8, -0x1.f628891dafc4ep-9, -0x1.e8dee9730cf2cp-9, -0x1.dbdccb7aa8933p-9, -0x1.cf2128bae4e1cp-9, -0x1.c2ad274e825edp-9, -0x1.b6784a61b6c5ap-9, -0x1.aa888ccd38952p-9, -0x1.9eda389e882a6p-9, -0x1.936c0b0426322p-9, -0x1.883cd4edaacafp-9, -0x1.7d4b75e5e50dp-9, -0x1.7296e9689fac3p-9, -0x1.681e34037e525p-9, -0x1.5de0892ca0f74p-9, -0x1.53dcd3da3f1f8p-9, -0x1.4a123db3bc16fp-9, -0x1.407fbd1623bebp-9, -0x1.37244058e514bp-9, -0x1.2dfeb08d55268p-9, -0x1.250dfc5a09c42p-9, -0x1.1c510cb6b36bfp-9, -0x1.13c6cd1d614cbp-9, -0x1.0b6e4fcd3cc87p-9, -0x1.0346ce6d9711ep-9, -0x1.f69f15659c48ap-10, -0x1.e70f93f3163f6p-10, -0x1.d7ddfa9cf37d9p-10, -0x1.c9082bc37d94bp-10, -0x1.ba8d5142bd666p-10, -0x1.ac6b61d0a8cdp-10, -0x1.9ea0491b1c088p-10, -0x1.9129ddbcac643p-10, -0x1.8405f36693489p-10, -0x1.773253eaba7d9p-10, -0x1.6aaccbcc775c3p-10, -0x1.5e73aa5585cd4p-10, -0x1.52856954f907dp-10, -0x1.46e0e1070f351p-10, -0x1.3b84afdffdf1bp-10, -0x1.3070bbafb59dp-10, -0x1.25a3ab68acb66p-10, -0x1.1b1b7c77b26cp-10, -0x1.10dbdaf012e64p-10, -0x1.06dee76fdba03p-10, -0x1.fa499b82302a7p-11, -0x1.e757d5239fff9p-11, -0x1.d4e4e02d672e3p-11, -0x1.c2ecfe7a03fccp-11, -0x1.b16c83a91a04ap-11, -0x1.a0600b5a51d76p-11, -0x1.8fc44dd6f6fe4p-11, -0x1.7f96adc796b33p-11, -0x1.6fd4b48d1012fp-11, -0x1.607c5fac78d04p-11, -0x1.518befaf1e434p-11, -0x1.4300efd2ff3c5p-11, -0x1.34dd39be52dabp-11, -0x1.271c559aed329p-11, -0x1.19bdb526a76f9p-11, -0x1.0cbf7907f17e3p-11, -0x1.001f74bde38b6p-11, -0x1.e7b6ad4cffd01p-12, -0x1.cfe1aa7ca68a8p-12, -0x1.b8bb981de3b81p-12, -0x1.a2406d6acac4cp-12, -0x1.8c6c24a8c9fadp-12, -0x1.773a3df0184d3p-12, -0x1.62a5d4efcdf9cp-12, -0x1.4ea9f2b9a1ecfp-12, -0x1.3b428b4e97e75p-12, -0x1.286a13d7b6cb8p-12, -0x1.162092d29aca6p-12, -0x1.04625a97605f5p-12, -0x1.e65e3e6977d04p-13, -0x1.c50980a5ce206p-13, -0x1.a4c1385d04de7p-13, -0x1.858060f12feadp-13, -0x1.6740c26d47e99p-13, -0x1.49fc34cd6b5c1p-13, -0x1.2dad9d12a5c9ep-13, -0x1.124fc7fb10934p-13, -0x1.efb67f4cddd01p-14, -0x1.bc926baa99bf8p-14, -0x1.8b1e7ebc24a4p-14, -0x1.5b498e48770d7p-14, -0x1.2cfe5632fe857p-14, -0x1.002f5987bf61ep-14, -0x1.a9ac275b533dcp-15, -0x1.55d9794ebade7p-15, -0x1.04e8e8656d96bp-15, -0x1.6d9f74e473199p-16, -0x1.adfa7dbb7b215p-17, -0x1.174bae4196fecp-18, 0x1.17fce7661f273p-18, 0x1.990a1bbc9a512p-17, 0x1.4dc10cc01cfcbp-16, 0x1.c9aca5b162db3p-16, 0x1.202c6af785e33p-15, 0x1.58efc2dd81049p-15, 0x1.8f3c179cddd31p-15, 0x1.c337150ba8901p-15, 0x1.f50a156b4b341p-15, 0x1.127196664a9ep-14, 0x1.29745008fdfcdp-14, 0x1.3f95ca34a055cp-14, 0x1.54d483aec4515p-14, 0x1.693cfb0a3ede4p-14, 0x1.7cc699f99da9dp-14, 0x1.8f6b3a66fdba4p-14, 0x1.a132887569be2p-14, 0x1.b22aa93b32f76p-14, 0x1.c24e50bbe1f1fp-14, 0x1.d1a763228d437p-14, 0x1.e033decd9b5c3p-14, 0x1.edf7971061bf9p-14, 0x1.faf0b68f2b5a4p-14, 0x1.038ffca3d9032p-13, 0x1.0946838efd0fdp-13, 0x1.0e9ff9cd57a8dp-13, 0x1.13a0322423241p-13, 0x1.184c8e8430f7fp-13, 0x1.1ca9a74b44d6ep-13, 0x1.20bb8f3379208p-13, 0x1.24873bc47fc91p-13, 0x1.28117450ab4cbp-13, 0x1.2b5c8b4fb442cp-13, 0x1.2e6b4edbb81c1p-13, 0x1.313cec91a1a9cp-13, 0x1.33d27975a03edp-13, 0x1.362cfb14043b2p-13, 0x1.384d4da15116dp-13, 0x1.3a33052d0b322p-13, 0x1.3bdec085a611p-13, 0x1.3d4127d15d002p-13, 0x1.3e8ebb86e5137p-13, 0x1.3f98991f19824p-13, 0x1.40717f66d7527p-13, 0x1.41222fec5e805p-13, 0x1.419266c29b1cap-13, 0x1.41db62143bc31p-13, 0x1.41f73950ff0c6p-13, 0x1.41e7a04001f4p-13, 0x1.41af161a1a911p-13, 0x1.4151514efe71fp-13, 0x1.40d1c7fde542bp-13, 0x1.40302054e1cecp-13, 0x1.3f6f143f1de3fp-13, 0x1.3e8d0c39477aep-13, 0x1.3d876211af2bfp-13, 0x1.3c6350e1e1959p-13, 0x1.3b2421325a94ep-13, 0x1.39ca73f494358p-13, 0x1.385462d38fc78p-13, 0x1.36c522caf063ap-13, 0x1.351da237e9195p-13, 0x1.335b97f93f8c4p-13, 0x1.318603417a31p-13, 0x1.2f9a49f8c17dap-13, 0x1.2d9b5487f1044p-13, 0x1.2b864bd676e94p-13, 0x1.295bea45d5949p-13, 0x1.271d3866ac1fep-13, 0x1.24cad63121c62p-13, 0x1.226664eda39f2p-13, 0x1.1ff1fdac78f3p-13, 0x1.1d7093344d702p-13, 0x1.1ae4595b0d6dbp-13, 0x1.184a15e344d9dp-13, 0x1.15a32947daee4p-13, 0x1.12f1ce1b38108p-13, 0x1.103250252937bp-13, 0x1.0d6767d5107c3p-13, 0x1.0a8fa59b248bcp-13, 0x1.07ab0a69726d7p-13, 0x1.04be02cbe22eep-13, 0x1.01ca10d483c1ep-13, 0x1.fda47cdb1258fp-14, 0x1.f7a4a9f32b9dp-14, 0x1.f197b04d48f84p-14, 0x1.eb7c14f0aeb9cp-14, 0x1.e55665b986583p-14, 0x1.df27e4e105f79p-14, 0x1.d8ed0c5f5f82p-14, 0x1.d2a880ccb6929p-14, 0x1.cc5964c82ea2dp-14, 0x1.c6023daa37a4ep-14, 0x1.bfa4732a6ce9dp-14, 0x1.b940e23fd3833p-14, 0x1.b2da24ebaff5fp-14, 0x1.ac71c8b5bcacep-14, 0x1.a606235ac732fp-14, 0x1.9f974c14351c2p-14, 0x1.9925cc453595bp-14, 0x1.92b6f3defc3ccp-14, 0x1.8c45c8a4e7afcp-14, 0x1.85d2140511b31p-14, 0x1.7f5e473fc67e2p-14, 0x1.78eb944431791p-14, 0x1.727a558f566ebp-14, 0x1.6c0a0e521f603p-14, 0x1.659ef56b7a067p-14, 0x1.5f36b472b255ep-14, 0x1.58d6856afa457p-14, 0x1.52747f5a8d6eap-14, 0x1.4c190d50e5327p-14, 0x1.45c43f0745d64p-14, 0x1.3f74253beede6p-14, 0x1.3928b8fdfa365p-14, 0x1.32e49343a2cecp-14, 0x1.2ca6acd9a65bfp-14, 0x1.266ffdba27d51p-14, 0x1.204053d01b4e9p-14, 0x1.1a1311c379b14p-14, 0x1.13f2e5ddf5505p-14, 0x1.0ddecac759ffbp-14, 0x1.07cf7b24b594p-14, 0x1.01c97d119f29bp-14, 0x1.f797ed40e173fp-15, 0x1.ebc1c45b81ab3p-15, 0x1.dfdbff2f7a395p-15, 0x1.d419756a6d077p-15, 0x1.c86bae96a28b4p-15, 0x1.bccf10d6e7405p-15, 0x1.b149b90f37621p-15, 0x1.a5d86e89122eep-15, 0x1.9a8a73e9f4d3p-15, 0x1.8f390725ba73ep-15, 0x1.840c4cd1332bp-15, 0x1.78f387c0afc84p-15, 0x1.6defa68a8e40fp-15, 0x1.6306eee70041p-15, 0x1.58322a1a7ad9ep-15, 0x1.4d725bf07b29ep-15, 0x1.42cb487cfc04cp-15, 0x1.384029f919ff9p-15, 0x1.2dcb13e5c6835p-15, 0x1.236dda96d5b96p-15, 0x1.192a69f5ba244p-15, 0x1.0ef9c2fe9f1ffp-15, 0x1.04e7b5c554946p-15, 0x1.f5da00d38c864p-16, 0x1.e2139a572d8ccp-16, 0x1.ce8156673e47ep-16, 0x1.bb22c3cc54d51p-16, 0x1.a7eef03f19fedp-16, 0x1.94ecf89b00f3cp-16, 0x1.821d122f90317p-16, 0x1.6f90ab572f39dp-16, 0x1.5d2e2b31723e5p-16, 0x1.4af5cfa3fac83p-16, 0x1.38f77fe54ce3dp-16, 0x1.2721d53f44f0ep-16, 0x1.1585ad3fbb185p-16, 0x1.042087ee8f76p-16, 0x1.e6d0831bcbfddp-17, 0x1.c3cd1dbfbf525p-17, 0x1.a22939086ec45p-17, 0x1.80ec5b95c0cap-17, 0x1.60130382ab39p-17, 0x1.3f9d524ba9996p-17, 0x1.1f8e7f8a49f64p-17, 0x1.ffcf0f06193cap-18, 0x1.c13a62d412465p-18, 0x1.835c4ee67d6fep-18, 0x1.4654e8aef7ee7p-18, 0x1.0a373f96c4da1p-18, 0x1.9d77c1e426ac6p-19, 0x1.27ef7465fe4aap-19, 0x1.68021e5be3d9ep-20, 0x1.06cff94e53da7p-21, -0x1.7ad73e46850ddp-22, -0x1.3ca955fd18d95p-20, -0x1.0c17a2ca4deccp-19, -0x1.78641a14ea466p-19, -0x1.e37764576318ep-19, -0x1.2663ab3890f0cp-18, -0x1.5a42adf0688e3p-18, -0x1.8d82c9bd78d6cp-18, -0x1.c0140733a04cep-18, -0x1.f226164475a52p-18, -0x1.116ccf1d3ff8ap-17, -0x1.299ac6bd41511p-17, -0x1.415fd6c0f1328p-17, -0x1.58bf1f44d8b5bp-17, -0x1.6fea95b01edfcp-17, -0x1.86a095b3b33p-17, -0x1.9d11b7d3b6337p-17, -0x1.b32c461f2fa26p-17, -0x1.c8d0673c9d6ddp-17, -0x1.de3503947221cp-17, -0x1.f338d0721a86ep-17, -0x1.0402b4cef6dacp-16, -0x1.0e2efb862fc03p-16, -0x1.18313865393a8p-16, -0x1.2208e5a635585p-16, -0x1.2bbe852b81d8p-16, -0x1.3547c9b0b677p-16, -0x1.3ea8401aa4532p-16, -0x1.47dbffdecae42p-16, -0x1.50ed5547475ecp-16, -0x1.59d49c5cd5781p-16, -0x1.62944080fc651p-16, -0x1.6b2c6c4519c0dp-16, -0x1.739c89f1aff5cp-16, -0x1.7be5c1829c5d6p-16, -0x1.840bfb0f1ecc1p-16, -0x1.8c09bb8c6c52ap-16, -0x1.93e1bd59843f6p-16, -0x1.9b954cce308b1p-16, -0x1.a31f51a55ac0ep-16, -0x1.aa8d3e6a38267p-16, -0x1.b1d32da701735p-16, -0x1.b8f427f8cf8abp-16, -0x1.bff1ff2ccfa17p-16, -0x1.c6cc3fa85f7cdp-16, -0x1.cd83fc7bac0c2p-16, -0x1.d418b5c14f9acp-16, -0x1.da8fa4ad3ed19p-16, -0x1.e0dccf27803aep-16, -0x1.e707cc84b21d1p-16, -0x1.ed16b2cc2a9fdp-16, -0x1.f302a397e7c81p-16, -0x1.f8d78be9c4d72p-16, -0x1.fe829cdfe942ep-16, -0x1.02090fe7ef84p-15, -0x1.04b932957946bp-15, -0x1.0764c3596f38dp-15, -0x1.09f29f63286cdp-15, -0x1.0c8a63509454dp-15, -0x1.0ef801b76e65ap-15, -0x1.1164eda66b3c2p-15, -0x1.13bf3fdcd95cp-15, -0x1.160a2e5f6b0ffp-15, -0x1.1849ecf9cc8a5p-15, -0x1.1a760b130f859p-15, -0x1.1c98edbb920dap-15, -0x1.1eaa559f49ee5p-15, -0x1.20af0b6320fb1p-15, -0x1.22ac662066744p-15, -0x1.2495b45881154p-15, -0x1.266d18223a226p-15, -0x1.283c996ca701fp-15, -0x1.2a012dbc0d8f7p-15, -0x1.2bb5c8951a18bp-15, -0x1.2d5d083343d97p-15, -0x1.2ef87040b76ep-15, -0x1.3089440917876p-15, -0x1.320b9c699e4dp-15, -0x1.33826fdff254fp-15, -0x1.34ed7219d7718p-15, -0x1.364a93c12f192p-15, -0x1.379d6227048ecp-15, -0x1.38e4f669a2bd7p-15, -0x1.3a20bc7c53961p-15, -0x1.3b510799ba7a1p-15, -0x1.3c7618f6734acp-15, -0x1.3d901bb8fd314p-15, -0x1.3e9f349a3a8a7p-15, -0x1.3fa2fc61ae685p-15, -0x1.409d535bd3115p-15, -0x1.418d267fcdcdfp-15, -0x1.42739dc865771p-15, -0x1.434c0ebd61179p-15, -0x1.4419c5a3bb9a5p-15, -0x1.44e13df3ad4ep-15, -0x1.459a586aea1c7p-15, -0x1.465141de86a65p-15, -0x1.46fcc19c925b4p-15, -0x1.479ae930dd7dap-15, -0x1.4831bb60ba21ap-15, -0x1.48be9472c0917p-15, -0x1.4942f0a1fda49p-15, -0x1.49be50b2ddcc7p-15, -0x1.4a3030ed7e98cp-15, -0x1.4a97a28d25792p-15, -0x1.4afc9ce53b7a2p-15, -0x1.4b533bb0b2282p-15, -0x1.4ba3a9ae23e8dp-15, -0x1.4be975a67167p-15, -0x1.4c2997a130e69p-15, -0x1.4c6787dcab4bep-15, -0x1.4c94821859387p-15, -0x1.4cbc1072445e4p-15, -0x1.4cd8a143f2a34p-15, -0x1.4cf906112d7acp-15, -0x1.4d09c3313ae31p-15, -0x1.4d16a7d44e794p-15, -0x1.4d1102c21f201p-15, -0x1.4d0d04afd8cd2p-15, -0x1.4d02828ae1511p-15, -0x1.4cf2f528d0a65p-15, -0x1.4cd8af7e741cp-15, -0x1.4cbbe1cddf953p-15, -0x1.4c946fbab2e96p-15, -0x1.4c6718a469a46p-15, -0x1.4c34b1747f6b9p-15, -0x1.4bfb9557fb9ebp-15, -0x1.4bbc420110fccp-15, -0x1.4b7730aeb1d71p-15, -0x1.4b2b26b6f2301p-15, -0x1.4ad9c9181e1f2p-15, -0x1.4a82ba6adf4cdp-15, -0x1.4a25fcd17d4cfp-15, -0x1.49c42d087d2abp-15, -0x1.495c322b4a79bp-15, -0x1.48ec8a279a8e2p-15, -0x1.4879d37040c3p-15, -0x1.480527e266d28p-15, -0x1.478717db805ffp-15, -0x1.47045d6c4f6ep-15, -0x1.467d42101f80bp-15, -0x1.45f183b645016p-15, -0x1.45617aeffcaa5p-15, -0x1.44cd67d6d991dp-15, -0x1.442e4faa7829bp-15, -0x1.43910f8ebd60cp-15, -0x1.42f732d7c9fdap-15, -0x1.4246ef713c079p-15, -0x1.419e97542061ap-15, -0x1.40ece7433bca6p-15, -0x1.4037d775fbe37p-15, -0x1.3f7fa3286e599p-15, -0x1.3ec375da3f867p-15, -0x1.3e02f539d6252p-15, -0x1.3d3fd92c53ae1p-15, -0x1.3c78f4f1058ap-15, -0x1.3baef341661fdp-15, -0x1.3adf0bdbb2177p-15, -0x1.3a093c1cb77c4p-15, -0x1.3933a7e49441bp-15, -0x1.38588f3500078p-15, -0x1.378353c57ca93p-15, -0x1.36a1d69f5b01ep-15, -0x1.35b9d5ecfe1b1p-15, -0x1.34d26e581a0a3p-15, -0x1.33ea501c5fb05p-15, -0x1.33021d6ec1531p-15, -0x1.3213658ba37fp-15, -0x1.311d9ef556a01p-15, -0x1.30290f7a71d7p-15, -0x1.2f2f38035b0aep-15, -0x1.2e2f9acf555a1p-15, -0x1.2d403294ca9dbp-15, -0x1.2c3d3ba11c25bp-15, -0x1.2b3ab62e2ee3dp-15, -0x1.2a366662ba52fp-15, -0x1.29378c494d952p-15, -0x1.282739f334ec3p-15, -0x1.271c3eb50058p-15, -0x1.2610e95b6b4f9p-15, -0x1.2500f6572b701p-15, -0x1.23f229027221ap-15, -0x1.22db043899e5ap-15, -0x1.21c7d16af387ep-15, -0x1.20abb329cecaap-15, -0x1.1f95259716addp-15, -0x1.1e77ff32a887ep-15, -0x1.1d5f8ecc567dep-15, -0x1.1c3f72f24efc8p-15, -0x1.1b1e90a7ac305p-15, -0x1.19fcabc29a7dep-15, -0x1.18da7b0484381p-15, -0x1.17b4f79309f2fp-15, -0x1.168faae9ba135p-15, -0x1.1565e9381fb9bp-15, -0x1.143d39a8b035bp-15, -0x1.1312a68870eecp-15, -0x1.11e98a037dbep-15, -0x1.10bef4762de7dp-15, -0x1.0f8d590960461p-15, -0x1.0e5e3a52115acp-15, -0x1.0d2cebad234aap-15, -0x1.0bfdfcb463a73p-15, -0x1.0aca9ee8a6221p-15, -0x1.0997adae52ce5p-15, -0x1.085fe2a5859fap-15, -0x1.07310b4bee5d8p-15, -0x1.057a2c794aba1p-15, -0x1.04c63cdeeee6ep-15, -0x1.03887d110b637p-15, -0x1.02524d2eaa9dp-15, -0x1.011e511ba3462p-15, -0x1.ffc126493a9d2p-16, -0x1.fd4cf4b9bd747p-16, -0x1.fad78753317dp-16, -0x1.f861223fb11bdp-16, -0x1.f5e9bb2477b07p-16, -0x1.f37132b9bccbdp-16, -0x1.f0f72be4f0e0bp-16, -0x1.ee66cf52c2737p-16, -0x1.ec02bdec805ddp-16, -0x1.e987af66ac4c2p-16, -0x1.e70ba37387e8ap-16, -0x1.e47b88d676457p-16, -0x1.e2110c887507cp-16, -0x1.df982bbbf252p-16, -0x1.dd1b7f4119b05p-16, -0x1.da91c9c278971p-16, -0x1.d81a48b5fad3bp-16, -0x1.d595a3952afe2p-16, -0x1.d32204a16177cp-16, -0x1.d0a04ec18873cp-16, -0x1.ce24d03fbb484p-16, -0x1.cba08d307f639p-16, -0x1.c9217c42c66e6p-16, -0x1.c697a7d39c976p-16, -0x1.c426755e82618p-16, -0x1.c1a3e28b24555p-16, -0x1.bf1d355b54e7ap-16, -0x1.bcb21960852bcp-16, -0x1.ba30e87b3692ep-16, -0x1.b7b2768327d5dp-16, -0x1.b53019c43c7dcp-16, -0x1.b2a45949865d4p-16, -0x1.b043fbccfd1ep-16, -0x1.adc7f0a96fecbp-16, -0x1.ab4edaa0fc7dep-16, -0x1.a8d7b38185193p-16, -0x1.a6581e21ad27cp-16, -0x1.a3f6b17df178p-16, -0x1.a16a093c6e395p-16, -0x1.9f00c3ce586aap-16, -0x1.9c8c246fb7889p-16, -0x1.9a0b0966f7eacp-16, -0x1.97a40318fc066p-16, -0x1.952a3a55497f2p-16, -0x1.92bb898ce927p-16, -0x1.904cbad8bd2d9p-16, -0x1.8ddf1fdc7fb6p-16, -0x1.8b73c37ca9219p-16, -0x1.890e78ae0b17ap-16, -0x1.869ba918208a2p-16, -0x1.84325e00789bcp-16, -0x1.81cbad45293bbp-16, -0x1.7f657d1401c14p-16, -0x1.7d09a812ecad2p-16, -0x1.7a9b65f922fa3p-16, -0x1.7839a3025e9d4p-16, -0x1.75c58ab27bc44p-16, -0x1.73589a70fc3d7p-16, -0x1.711aa124c1331p-16, -0x1.6eb927acf5c8dp-16, -0x1.6c63ba8337ebcp-16, -0x1.6a0988d983ad9p-16, -0x1.67b1bc82f00cp-16, -0x1.655dbde27b7e4p-16, -0x1.6310593c3a1efp-16, -0x1.60bed1c82b70cp-16, -0x1.5e7681ccb9552p-16, -0x1.5c1ab714bd1afp-16, -0x1.59cd91f6b5b84p-16, -0x1.5781ac89543fbp-16, -0x1.553828ef48d13p-16, -0x1.52f064d41c80ep-16, -0x1.50ab49a0f4becp-16, -0x1.4e6786e92b4bep-16, -0x1.4c2182252f6bcp-16, -0x1.49e62df759a82p-16, -0x1.47aae6f7be8cfp-16, -0x1.456b9c7ebfcb6p-16, -0x1.4331cbf710efep-16, -0x1.40fa68417756cp-16, -0x1.3ec0c877b9fa4p-16, -0x1.3c9adbdd647b3p-16, -0x1.3a61cdbfc6eebp-16, -0x1.382ced6ec67c2p-16, -0x1.35fce74809838p-16, -0x1.33d6ad127131fp-16, -0x1.319c113dac3efp-16, -0x1.2f89f81769c09p-16, -0x1.2d6686e63bd8dp-16, -0x1.2b3ac69f6ff78p-16, -0x1.28d6079e2e2c3p-16, -0x1.27030dcbb3317p-16, -0x1.24d3e9393b6e8p-16, -0x1.22c96a5bd8ac9p-16, -0x1.20b316f88235cp-16, -0x1.1ea5ecfae7d5bp-16, -0x1.1c82496c0934ap-16, -0x1.1a728cba24c59p-16, -0x1.1861326b77ab6p-16, -0x1.1664fa3ff0a5p-16, -0x1.145456d05edc8p-16, -0x1.12492321bdaa2p-16, -0x1.104305fc8ca06p-16, -0x1.0e3f5f55896a1p-16, -0x1.0c3d33b07f2fp-16, -0x1.0a3ff64e1ca66p-16, -0x1.0845457f718a8p-16, -0x1.0649bd0a5c9aep-16, -0x1.0453450916cb1p-16, -0x1.025bd9ebcb1c3p-16, -0x1.00621d6a7b119p-16, -0x1.fcfa9c20190f7p-17, -0x1.f91402ac9cfa4p-17, -0x1.f53e91b7795fap-17, -0x1.f16f3727bb693p-17, -0x1.ed988d3fccde5p-17, -0x1.e9d0fdf4bc3c5p-17, -0x1.e60f9d66522c3p-17, -0x1.e23f611796d1cp-17, -0x1.de9526d950ccbp-17, -0x1.dadc81a89ad21p-17, -0x1.d71f0f0bacbfap-17, -0x1.d389fffb334c7p-17, -0x1.cfe66daeedb94p-17, -0x1.cc26e85112cbcp-17, -0x1.c893d4d6896eap-17, -0x1.c4fd52277600fp-17, -0x1.c1690761a0acdp-17, -0x1.bdd5b7bb75184p-17, -0x1.ba4939d4f1eb7p-17, -0x1.b6c5a321db484p-17, -0x1.b344bd7d73ec9p-17, -0x1.afd1d8e5085b3p-17, -0x1.ac44710233b5dp-17, -0x1.a8dda88fc6cdp-17, -0x1.a5710dc05ecaep-17, -0x1.a207e5c55a0f8p-17, -0x1.9ea34a3cf693dp-17, -0x1.9b407a9769b98p-17, -0x1.97ea610b7fe89p-17, -0x1.949cf22e6fa7bp-17, -0x1.9141fc9ca19a1p-17, -0x1.8df518b710f42p-17, -0x1.8aa070fa6276bp-17, -0x1.86ff3bd30f8f3p-17, -0x1.842f4b48cc8c9p-17, -0x1.80fb9375624d6p-17, -0x1.7dc2e7b1f7f14p-17, -0x1.7a8ad15bf87d8p-17, -0x1.776d8749bb29bp-17, -0x1.74457926327aap-17, -0x1.711d11237a7f4p-17, -0x1.6e06081c33451p-17, -0x1.6afc8f7c278ebp-17, -0x1.67cca47bb9833p-17, -0x1.64c632d659788p-17, -0x1.61c7ae3aecac2p-17, -0x1.5ec96048bf1a9p-17, -0x1.5bc3cfd9cfdf7p-17, -0x1.58b08021d3eefp-17, -0x1.55cfc08566735p-17, -0x1.52dc3acf2beebp-17, -0x1.5003ca11d907bp-17, -0x1.4ce27e203340cp-17, -0x1.4a20671a9386ap-17, -0x1.472ddc7330bdp-17, -0x1.4477737c7abebp-17, -0x1.41969c15b2a2bp-17, -0x1.3ebfae0559a7cp-17, -0x1.3bf3c95cdcbcdp-17, -0x1.39347b3b3b65dp-17, -0x1.3661ad66604ap-17, -0x1.33b3c7dcbf449p-17, -0x1.30fb3850f7485p-17, -0x1.2e3107dc51a57p-17, -0x1.2b862401c75aep-17, -0x1.28da42ac0e9c5p-17, -0x1.26345f94b434cp-17, -0x1.238f90bdf2773p-17, -0x1.20eedb881e7d6p-17, -0x1.1e5343743fa44p-17, -0x1.1bb5609956136p-17, -0x1.192d16497f0eap-17, -0x1.16a41ec80760ap-17, -0x1.140f63a03ed05p-17, -0x1.118cffa9bbdf6p-17, -0x1.0f11a3c209ab4p-17, -0x1.0c90ecbe4dd15p-17, -0x1.0a1c589a606cp-17, -0x1.07aaecb0eb9ebp-17, -0x1.053bb4b05f5f1p-17, -0x1.02d0fc7808693p-17, -0x1.006aa74640191p-17, -0x1.fb90b63f4acdcp-18, -0x1.f75140466d376p-18, -0x1.f29070c3a9bc2p-18, -0x1.ee06bb7bfea88p-18, -0x1.e967c4b68df7cp-18, -0x1.e4a78e28a8f13p-18, -0x1.e02515a738e19p-18, -0x1.db9c496a5f96ep-18, -0x1.d71a4b2b98abp-18, -0x1.d2a0d75c35619p-18, -0x1.ce2fb026276d7p-18, }}, 
      {{-0x1.769d0e0e1346bp+0, -0x1.5fa40480fa85ap+0, -0x1.425b91011a607p+0, -0x1.2333345136fa5p+0, -0x1.04e7d0b25be9dp+0, -0x1.d21fa71b51514p-1, -0x1.a0f8a91ad3ea7p-1, -0x1.76f8be8271eb5p-1, -0x1.54173a7fc393p-1, -0x1.37e548e274eb9p-1, -0x1.21ba6436aa081p-1, -0x1.10d28e0359871p-1, -0x1.04626f0cc7299p-1, -0x1.f748a6c6ed7e9p-2, -0x1.ebc035d0fa86fp-2, -0x1.e4df49c828505p-2, -0x1.e1819e3af6d32p-2, -0x1.e0abaaa17b544p-2, -0x1.e18941ce11636p-2, -0x1.e36aeabd78d7cp-2, -0x1.e5c27fe844b25p-2, -0x1.e81f7f0a89bc4p-2, -0x1.ea2b4cc31b6a5p-2, -0x1.eba5983a55e07p-2, -0x1.ec60f887e89c8p-2, -0x1.ec3fd02954fcp-2, -0x1.eb3184d122546p-2, -0x1.e93003fe8db52p-2, -0x1.e63d99d4e28b4p-2, -0x1.e26312ceecb7ep-2, -0x1.ddae25c2bfe4p-2, -0x1.d83017f900276p-2, -0x1.d1fc9fb493922p-2, -0x1.cb28f540d2a1dp-2, -0x1.c3cb1140c3ec1p-2, -0x1.bbf9120ddad6ep-2, -0x1.b3c8bf13b7241p-2, -0x1.ab4f2bd36f211p-2, -0x1.a2a06f55f689dp-2, -0x1.99cf71a72184ep-2, -0x1.90edc7cf00ce9p-2, -0x1.880b9ee6bc016p-2, -0x1.7f37b0632fc5ap-2, -0x1.767f4032c1ce2p-2, -0x1.6dee219abfad1p-2, -0x1.658ebfa44cb02p-2, -0x1.5d6a2dc37ea59p-2, -0x1.5588340533b28p-2, -0x1.4def6598c2b44p-2, -0x1.46a532ad666aap-2, -0x1.3fadfdcfc1dc9p-2, -0x1.390d306a853ffp-2, -0x1.32c54f3b78717p-2, -0x1.2cd80f9b5b204p-2, -0x1.274669bf4dec5p-2, -0x1.2210accef36aap-2, -0x1.1d36902571bccp-2, -0x1.18b745384457ap-2, -0x1.149186706a8c8p-2, -0x1.10c3a66231ac2p-2, -0x1.0d4b9e526d6dep-2, -0x1.0a271a8b2fdf2p-2, -0x1.075385f2890b8p-2, -0x1.04ce15336bc6bp-2, -0x1.0293d112f5863p-2, -0x1.00a19e727797fp-2, -0x1.fde88fe218991p-3, -0x1.fb1108b32a532p-3, -0x1.f8b5fae25be26p-3, -0x1.f6d0ac560a67bp-3, -0x1.f55a60bc4d501p-3, -0x1.f44c61960c6f9p-3, -0x1.f3a006ed749fbp-3, -0x1.f34ec064f8c79p-3, -0x1.f35218be75676p-3, -0x1.f3a3bd8bc4085p-3, -0x1.f43d828e1f768p-3, -0x1.f5196651dd357p-3, -0x1.f63195882d688p-3, -0x1.f7806cde04cbap-3, -0x1.f9007b7387dd8p-3, -0x1.faac848c963f7p-3, -0x1.fc7f808bdf47ap-3, -0x1.fe749d8f456bdp-3, -0x1.00439fbb5b37fp-2, -0x1.0159803cd75bdp-2, -0x1.0279d8653b3b5p-2, -0x1.03a2ab28a9511p-2, -0x1.04d215b54703fp-2, -0x1.06064f386bf0ep-2, -0x1.073da83b1645fp-2, -0x1.08768a134789dp-2, -0x1.09af761b9ba34p-2, -0x1.0ae705423f051p-2, -0x1.0c1be6e438c3dp-2, -0x1.0d4ce0a80409ap-2, -0x1.0e78cd41a85e1p-2, -0x1.0f9e9c26e9827p-2, -0x1.10bd5064654f7p-2, -0x1.11d40009cc974p-2, -0x1.12e1d37404fc9p-2, -0x1.13e6045b0129ap-2, -0x1.14dfdcc8156cp-2, -0x1.15ceb6a02e427p-2, -0x1.16b1fab476c72p-2, -0x1.178920344da35p-2, -0x1.1853abe3ea322p-2, -0x1.19112f55d750cp-2, -0x1.19c14881a3c8bp-2, -0x1.1a63a140babe6p-2, -0x1.1af7ee797e38dp-2, -0x1.1b7def8e5eed1p-2, -0x1.1bf56dfe05be5p-2, -0x1.1c5e3c70db07ap-2, -0x1.1cb836bfa0c7ep-2, -0x1.1d0340abd7d77p-2, -0x1.1d3f45e55313p-2, -0x1.1d6c396424521p-2, -0x1.1d8a14e7adf19p-2, -0x1.1d98d8aaeed5cp-2, -0x1.1d988b07f1bd9p-2, -0x1.1d8937ff9117ap-2, -0x1.1d6af0a447b12p-2, -0x1.1d3dcbad17161p-2, -0x1.1d01e3cbc4fb1p-2, -0x1.1cb758ac40288p-2, -0x1.1c5e4dce4fc92p-2, -0x1.1bf6ea9d76752p-2, -0x1.1b8159fc21adbp-2, -0x1.1afdca2389139p-2, -0x1.1a6c6c481f747p-2, -0x1.19cd744b32766p-2, -0x1.192118822e7c9p-2, -0x1.186791ab89e97p-2, -0x1.17a11a91a5827p-2, -0x1.16cdef944e3b3p-2, -0x1.15ee4f19ed4c6p-2, -0x1.150278a074fcap-2, -0x1.140aad5662f2fp-2, -0x1.13072f631b4b7p-2, -0x1.11f841e68a796p-2, -0x1.10de290613affp-2, -0x1.0fb92997402efp-2, -0x1.0e898920b279cp-2, -0x1.0d4f8d8dfab85p-2, -0x1.0c0b7d5347a85p-2, -0x1.0abd9f2918dcbp-2, -0x1.096639fb8067p-2, -0x1.080594c57c0d2p-2, -0x1.069bf6a32038p-2, -0x1.0529a695a021bp-2, -0x1.03aeeb6e0fa5fp-2, -0x1.022c0bf6f7694p-2, -0x1.00a14e8595b85p-2, -0x1.fe1df22b5ed0cp-3, -0x1.faeaa2815cfbep-3, -0x1.f7a9387a0b34bp-3, -0x1.f45a3d9a9968bp-3, -0x1.f0fe39eb14dcp-3, -0x1.ed95b45cd9b68p-3, -0x1.ea2132c9421fcp-3, -0x1.e6a1397eabe16p-3, -0x1.e3164b431a2efp-3, -0x1.df80e9e7156d9p-3, -0x1.dbe194f7e26f7p-3, -0x1.d838cb0e1bbp-3, -0x1.d487086b7c29bp-3, -0x1.d0ccc810b48b8p-3, -0x1.cd0a8330aa06ep-3, -0x1.c940b14735534p-3, -0x1.c56fc7e4a8684p-3, -0x1.c1983a8426fc9p-3, -0x1.bdba7b3689e49p-3, -0x1.b9d6f9d7f0e3bp-3, -0x1.b5ee2437f99eap-3, -0x1.b200668c25521p-3, -0x1.ae0e2ae249cc5p-3, -0x1.aa17d965d73b1p-3, -0x1.a61dd7f75de3bp-3, -0x1.a2208ae77e291p-3, -0x1.9e205449cf97p-3, -0x1.9a1d9405e2116p-3, -0x1.9618a84bf4662p-3, -0x1.9211ed2a47f36p-3, -0x1.8e09bc9c497dap-3, -0x1.8a006e6c8eadap-3, -0x1.85f658f513538p-3, -0x1.81ebd00f1e8p-3, -0x1.7de125a6216b2p-3, -0x1.79d6a9c207294p-3, -0x1.75ccaa9afe568p-3, -0x1.71c373f460bdfp-3, -0x1.6dbb4fed4aabcp-3, -0x1.69b48709ccc2fp-3, -0x1.65af5f340b73bp-3, -0x1.61ac1d15657e6p-3, -0x1.5dab032d7767fp-3, -0x1.59ac51c5597c4p-3, -0x1.55b047eb3228dp-3, -0x1.51b72261e108dp-3, -0x1.4dc11c75cf41ap-3, -0x1.49ce6f77d372p-3, -0x1.45df52f959046p-3, -0x1.41f3fcc7a0901p-3, -0x1.3e0ca13ba486p-3, -0x1.3a297286a3327p-3, -0x1.364aa1671a663p-3, -0x1.32705d4e03c9ep-3, -0x1.2e9ad3ac49bacp-3, -0x1.2aca3048ff53fp-3, -0x1.26fe9d7791a1p-3, -0x1.23384411dceep-3, -0x1.1f774b8475622p-3, -0x1.1bbbd95c18d2ep-3, -0x1.1806123962d0dp-3, -0x1.145618ab49c9ep-3, -0x1.10ac0e35d89a5p-3, -0x1.0d0812f2c1291p-3, -0x1.096a45903cc5fp-3, -0x1.05d2c31eb09bcp-3, -0x1.0241a83112d11p-3, -0x1.fd6e1e3ee09c4p-4, -0x1.f6662213c0fcap-4, -0x1.ef6b8d8eeff75p-4, -0x1.e87e8de00bd12p-4, -0x1.e19f4f199a1b5p-4, -0x1.dacdf9f76bd42p-4, -0x1.d40ab5713e057p-4, -0x1.cd55a626b97a2p-4, -0x1.c6aeef04a4992p-4, -0x1.c016afe78d84dp-4, -0x1.b98d06fc0f2b7p-4, -0x1.b3121113d10d5p-4, -0x1.aca5e782a51a8p-4, -0x1.a648a2f370267p-4, -0x1.9ffa59065fe25p-4, -0x1.99bb1ee82f2p-4, -0x1.938b06d8e1c77p-4, -0x1.8d6a2165919f4p-4, -0x1.87587dd7cc5f1p-4, -0x1.8156293525369p-4, -0x1.7b632f15c0223p-4, -0x1.757f997bbc26cp-4, -0x1.6fab715545474p-4, -0x1.69e6bd0c651afp-4, -0x1.64318236c2763p-4, -0x1.5e8bc48c9dda6p-4, -0x1.58f586db3f59ap-4, -0x1.536ec9dd32e0bp-4, -0x1.4df78dc43bfe2p-4, -0x1.488fd0c5e57b5p-4, -0x1.433790936e2ebp-4, -0x1.3deec8d82c8adp-4, -0x1.38b57461aa783p-4, -0x1.338b8c8dbd135p-4, -0x1.2e7109f49dbbbp-4, -0x1.2965e3eb2b03fp-4, -0x1.246a11443dd9p-4, -0x1.1f7d86e7ef059p-4, -0x1.1aa03944f1da6p-4, -0x1.15d21bfe4efdep-4, -0x1.111320f42d0f9p-4, -0x1.0c6339b97bc06p-4, -0x1.07c2574b89874p-4, -0x1.033069119df41p-4, -0x1.fd5abd99a109fp-5, -0x1.f4724b9a2cb9cp-5, -0x1.eba757f6b5c7ep-5, -0x1.e2f9bcb6630cp-5, -0x1.da6950ebe05c2p-5, -0x1.d1f5eb6bf0c19p-5, -0x1.c99f61cb73ff4p-5, -0x1.c165885edb3d7p-5, -0x1.b948323e412e3p-5, -0x1.b147314a1ca78p-5, -0x1.a96256346086fp-5, -0x1.a199709f5966dp-5, -0x1.99ec4f249ae8ep-5, -0x1.925abf89a8f4cp-5, -0x1.8ae48eee3d97ep-5, -0x1.838988cc0112fp-5, -0x1.7c49793af9322p-5, -0x1.75242a3353e66p-5, -0x1.6e19659796c62p-5, -0x1.6728f3e62cb26p-5, -0x1.60529d60cf7b5p-5, -0x1.59962a49c0c0bp-5, -0x1.52f361219a7abp-5, -0x1.4c6a08f4df9e5p-5, -0x1.45f9e786c8e3cp-5, -0x1.3fa2c2f9968b1p-5, -0x1.396460053336ap-5, -0x1.333e83beb1808p-5, -0x1.2d30f24692d4p-5, -0x1.273b6fa87cadbp-5, -0x1.215dbf54aac17p-5, -0x1.1b97a41e89db5p-5, -0x1.15e8e3cb9ac32p-5, -0x1.10513efa5dd53p-5, -0x1.0ad078c50aa1ep-5, -0x1.056655309c8ebp-5, -0x1.001295ddcf2ebp-5, -0x1.f5a9f9a9a4d3dp-6, -0x1.eb5a9a5b9ccd7p-6, -0x1.e13690058911dp-6, -0x1.d73d612558a77p-6, -0x1.cd6e907879c83p-6, -0x1.c3c9a415d3298p-6, -0x1.ba4e1f77a403cp-6, -0x1.b0fb87dbd1092p-6, -0x1.a7d163134d7f1p-6, -0x1.9ecf3400f2eb7p-6, -0x1.95f48003cbc4ep-6, -0x1.8d40cdec6d8b2p-6, -0x1.84b3a2360cde7p-6, -0x1.7c4c833ad5ccp-6, -0x1.740af86e2a6b4p-6, -0x1.6bee86f4ec947p-6, -0x1.63f6b6619eed6p-6, -0x1.5c231004e5fd2p-6, -0x1.54731b860540bp-6, -0x1.4ce66154bf2b7p-6, -0x1.457c6ab8b5945p-6, -0x1.3e34c1588589ap-6, -0x1.370ef0735389p-6, -0x1.300a826de7d62p-6, -0x1.29270453ad487p-6, -0x1.226401d872f8cp-6, -0x1.1bc107cdd0459p-6, -0x1.153da38853097p-6, -0x1.0ed96561affdbp-6, -0x1.0893dc9393f82p-6, -0x1.026c98d91130bp-6, -0x1.f8c656251cf09p-7, -0x1.ecee499f538bap-7, -0x1.e1503120ec778p-7, -0x1.d5eb34147c63ap-7, -0x1.cabe7dd4bc673p-7, -0x1.bfc934c9fc21p-7, -0x1.b50a863b00ee7p-7, -0x1.aa81a0f134dap-7, -0x1.a02db4bd17dafp-7, -0x1.960df06bf2c66p-7, -0x1.8c2189ceffab9p-7, -0x1.8267b6a03e711p-7, -0x1.78dfac3d493d9p-7, -0x1.6f88a57a7b6c9p-7, -0x1.6661dcdda9683p-7, -0x1.5d6a8d84334cbp-7, -0x1.54a1f717395d7p-7, -0x1.4c075aacf50a1p-7, -0x1.4399faa2713d8p-7, -0x1.3b591c8a17231p-7, -0x1.334407943dcc6p-7, -0x1.2b5a013be04d8p-7, -0x1.239a5620f5fb8p-7, -0x1.1c0451bfc834cp-7, -0x1.1497453f71cfap-7, -0x1.0d527e9594ee3p-7, -0x1.063550a3e2aa4p-7, -0x1.fe7e22df0e62p-8, -0x1.f0de2dbeabf46p-8, -0x1.e3896fb7d2e87p-8, -0x1.d67e9c3f3fd14p-8, -0x1.c9bc79ed99028p-8, -0x1.bd41b794fa421p-8, -0x1.b10d1b7aa6438p-8, -0x1.a51d692916473p-8, -0x1.99716a77491f7p-8, -0x1.8e07ec580099fp-8, -0x1.82dfbf9c77e6dp-8, -0x1.77f7b8f01a685p-8, -0x1.6d4eb0b33c49ap-8, -0x1.62e3833927d1fp-8, -0x1.58b50fd342e22p-8, -0x1.4ec23a8d57652p-8, -0x1.4509e8466f577p-8, -0x1.3b8b14cfdf55bp-8, -0x1.3244983230e4ap-8, -0x1.29357663cebcbp-8, -0x1.205ca43899845p-8, -0x1.17b91a9e29b3bp-8, -0x1.0f49db0ad3aa9p-8, -0x1.070de03fc50dcp-8, -0x1.fe086dbf783b7p-9, -0x1.ee57c3a3d4e7dp-9, -0x1.df07ef06fa96cp-9, -0x1.d017051cf5311p-9, -0x1.c183278f593ffp-9, -0x1.b34a8bc7a1ap-9, -0x1.a56b731eb76dfp-9, -0x1.97e4146dc6227p-9, -0x1.8ab2ad70e40eap-9, -0x1.7dd5967ded456p-9, -0x1.714b11a39ef7cp-9, -0x1.6511854b3a27dp-9, -0x1.59274810a5cap-9, -0x1.4d8abda283edbp-9, -0x1.423a58dded4cap-9, -0x1.37348440436dep-9, -0x1.2c77bd0ce0a83p-9, -0x1.220289c001c4fp-9, -0x1.17d374c7bdef4p-9, -0x1.0de90ca725935p-9, -0x1.0441e1514ebbp-9, -0x1.f5b9179c30ff7p-10, -0x1.e36f4867616dap-10, -0x1.d1a389057b222p-10, -0x1.c05322bb55136p-10, -0x1.af7b5bd4feecfp-10, -0x1.9f199fe3dda7bp-10, -0x1.8f2b6319dc22p-10, -0x1.7fae2e7e127ap-10, -0x1.709fa3d22e22fp-10, -0x1.61fd83c5146bep-10, -0x1.53c57532b8909p-10, -0x1.45f53473d5f7fp-10, -0x1.388a6a4d3c251p-10, -0x1.2b83fa4178b64p-10, -0x1.1edca32c6db32p-10, -0x1.1295031675d71p-10, -0x1.06a9eb9e3090ap-10, -0x1.f632616c01012p-11, -0x1.dfc171c2c091dp-11, -0x1.c9fcfadf76dbcp-11, -0x1.b4e11e21eb3abp-11, -0x1.a06a150d3665ep-11, -0x1.8c9461750154bp-11, -0x1.795c3b596b498p-11, -0x1.66be306a19fdfp-11, -0x1.54b69db446067p-11, -0x1.4341e2b430129p-11, -0x1.325c667a5fd49p-11, -0x1.2202a5b773365p-11, -0x1.123122dc69cd8p-11, -0x1.02e46fd3f155p-11, -0x1.e832ba65e953ep-12, -0x1.cb99f3f777887p-12, -0x1.aff8d2c03c235p-12, -0x1.9549b9704969ap-12, -0x1.7b8756b361892p-12, -0x1.62ac08f5566f9p-12, -0x1.4ab28ffdec353p-12, -0x1.339518fe34c44p-12, -0x1.1d4db8f90ef83p-12, -0x1.07d64659460dep-12, -0x1.e6522ecc92815p-13, -0x1.be7ff797b7409p-13, -0x1.982a56019ba6cp-13, -0x1.7347e3876e366p-13, -0x1.4fcde6e14cc91p-13, -0x1.2db457a4587efp-13, -0x1.0cf21193cb5d1p-13, -0x1.db031f4c1c35ep-14, -0x1.9eb4ec844841bp-14, -0x1.64e7e1b264c51p-14, -0x1.2d97b9ae2e33bp-14, -0x1.f154b9697508ap-15, -0x1.8c257075c244dp-15, -0x1.2b7e6b66709fp-15, -0x1.9e76cdb496f24p-16, -0x1.dcdfef1b6c3fcp-17, -0x1.1a84bb5822684p-18, 0x1.64e4558eedda3p-18, 0x1.e2c03e63544eep-17, 0x1.820e3bbbf53ap-16, 0x1.05bd867f673e5p-15, 0x1.46ec9dd186071p-15, 0x1.84abd2fd56163p-15, 0x1.bf13dc22c44ebp-15, 0x1.f62fd79564a94p-15, 0x1.150ed6bb3dc0fp-14, 0x1.2d77c8219a65fp-14, 0x1.445df3fb80428p-14, 0x1.59cd198ec29d1p-14, 0x1.6dd128336d27p-14, 0x1.8075d8aa6dee2p-14, 0x1.91c6715cb835ep-14, 0x1.a1cda096de62fp-14, 0x1.b09572967fd04p-14, 0x1.be29a88cc5e1bp-14, 0x1.ca95dfdd0ab26p-14, 0x1.d5e45aceb837dp-14, 0x1.e01f650d85f5ep-14, 0x1.e951ce0baa071p-14, 0x1.f181bbade47b3p-14, 0x1.f8b67c0cbbe49p-14, 0x1.fef65e9be96b5p-14, 0x1.0223eb1dfb511p-13, 0x1.04597c2f8a2efp-13, 0x1.061f04215bf29p-13, 0x1.077872268b689p-13, 0x1.0869bfe15b1fdp-13, 0x1.08f65bdcd32dp-13, 0x1.0921ab8ee798fp-13, 0x1.08efc4ed808b6p-13, 0x1.08646cf7d0ac4p-13, 0x1.078470c37e0adp-13, 0x1.0653ef571b59ep-13, 0x1.04d798d73df38p-13, 0x1.031303b4b3ea8p-13, 0x1.0108c5644d4cfp-13, 0x1.fd7554d051033p-14, 0x1.f8550b769eee6p-14, 0x1.f2b438a8473cp-14, 0x1.ec985574a2b48p-14, 0x1.e605dfdafcb13p-14, 0x1.df0155049458ep-14, 0x1.d78e51198e908p-14, 0x1.cfafa12d48d28p-14, 0x1.c76670bd3d415p-14, 0x1.beb70a72654b7p-14, 0x1.b5a4f9b5ea0dbp-14, 0x1.ac369b9712e06p-14, 0x1.a273712037302p-14, 0x1.9862b3e07c28fp-14, 0x1.8e0d831349773p-14, 0x1.837b087700a37p-14, 0x1.78ae870e803c3p-14, 0x1.6daa0668e9e3p-14, 0x1.62723c5dbe485p-14, 0x1.570619bb50475p-14, 0x1.4b6662fe30da3p-14, 0x1.3f96eda526ed9p-14, 0x1.339b5506afa96p-14, 0x1.277621dc945ccp-14, 0x1.1b292553fb271p-14, 0x1.0eb5fffe4d475p-14, 0x1.021f371ce1d1bp-14, 0x1.eacb4272d290cp-15, 0x1.d114729425a95p-15, 0x1.b7205a462332cp-15, 0x1.9cf62cd9cfd9p-15, 0x1.829bea38545b6p-15, 0x1.6819632a70aafp-15, 0x1.4d75764b1f477p-15, 0x1.32b6b97bd9bf6p-15, 0x1.17e424f67d75bp-15, 0x1.fa0884a513134p-16, 0x1.c43689d972136p-16, 0x1.8e5aa9e9ac218p-16, 0x1.5876dcd958b7dp-16, 0x1.228fb8b295987p-16, 0x1.d954fc79ea31ep-17, 0x1.6d96d6da8b8bap-17, 0x1.01e825dedc19cp-17, 0x1.2c9ff68f1b523p-18, 0x1.55a73498f306p-20, -0x1.01bf66907196ep-19, -0x1.56ef7f137e6bdp-18, -0x1.1632ff040668p-17, -0x1.8082dd7e4e1bfp-17, -0x1.eaaeb9ed8b0f7p-17, -0x1.2a3202056a7efp-16, -0x1.5ed71627f934bp-16, -0x1.9342ca8f629e6p-16, -0x1.c76f95e7be8ap-16, -0x1.fb539cc1a1278p-16, -0x1.17727f269b96cp-15, -0x1.311182aade622p-15, -0x1.4a8574638b823p-15, -0x1.63cf912f4c11dp-15, -0x1.7cf06746cd084p-15, -0x1.95e30a7c892ffp-15, -0x1.aea3e40eeb034p-15, -0x1.c7324432853f2p-15, -0x1.df8f41b7b96a9p-15, -0x1.f7b7f20c11415p-15, -0x1.07d5bc0466159p-14, -0x1.13b5e121de91ep-14, -0x1.1f78241c7d805p-14, -0x1.2b1ed4c392499p-14, -0x1.36a79d863b396p-14, -0x1.42151cca4da79p-14, -0x1.4d65f2501bfdcp-14, -0x1.5899c1a9740dp-14, -0x1.63b04c1bab25ap-14, -0x1.6ea8e466f4975p-14, -0x1.7982801517e19p-14, -0x1.843baf24bd241p-14, -0x1.8ed36c2714b65p-14, -0x1.994b259e77af7p-14, -0x1.a3a2c476008cfp-14, -0x1.add97f7e81049p-14, -0x1.b7f0874e997eep-14, -0x1.c1e70538b1a0ep-14, -0x1.cbbdcac08a4d8p-14, -0x1.d574db159efa9p-14, -0x1.df0a82ba3163p-14, -0x1.e87db4dd0079cp-14, -0x1.f1cd5ce764552p-14, -0x1.fafbd58f8613ap-14, -0x1.02043bf0174dfp-13, -0x1.0679fa5353094p-13, -0x1.0ade84fe21824p-13, -0x1.0f31ddc18e7a3p-13, -0x1.13749e0bc3592p-13, -0x1.17a68cc950667p-13, -0x1.1bc7d91d91cc4p-13, -0x1.1fd851ea011a7p-13, -0x1.23d7e8aecc1f2p-13, -0x1.27c69fbda2baep-13, -0x1.2ba4477b4ea41p-13, -0x1.2f70ca0513bfep-13, -0x1.332c7eae013d6p-13, -0x1.36d78695973ecp-13, -0x1.3a71bcc99d456p-13, -0x1.3dfb0f7128d91p-13, -0x1.4173d8cdd96f9p-13, -0x1.44dc7767b2ec8p-13, -0x1.48349337e28bdp-13, -0x1.4b7c6ecb0af4ep-13, -0x1.4eb3c75f7c723p-13, -0x1.51db1623494cdp-13, -0x1.54f1ccf93711bp-13, -0x1.57f87eb13b998p-13, -0x1.5aee880d6cd7ep-13, -0x1.5dd570607411cp-13, -0x1.60ac3bdb7319ap-13, -0x1.6373066052dc1p-13, -0x1.662a3873d47c2p-13, -0x1.68d1f716d7f83p-13, -0x1.6b6a28a872599p-13, -0x1.6df2fa807943ep-13, -0x1.706c7d787c88fp-13, -0x1.72d6dea8ff8a9p-13, -0x1.75329144e7de4p-13, -0x1.777ef459eb674p-13, -0x1.79bc3b4b30fd8p-13, -0x1.7beb03da28e68p-13, -0x1.7e0b25821b1e5p-13, -0x1.801cdcf73d1b4p-13, -0x1.821f68d3c61d1p-13, -0x1.8414f38a4f52fp-13, -0x1.85fbfd400a768p-13, -0x1.87d4e98a8833p-13, -0x1.89a0272c110c6p-13, -0x1.8b5d69cd453d8p-13, -0x1.8d0d13a418e63p-13, -0x1.8eaeb5c3d3069p-13, -0x1.9044039903ac9p-13, -0x1.91cb69594a807p-13, -0x1.9345cd1f050adp-13, -0x1.94b345b9bac04p-13, -0x1.9613b0d7d476cp-13, -0x1.976785cada0efp-13, -0x1.98aedb5052e84p-13, -0x1.99e9ad10ed37cp-13, -0x1.9b17f3c3c69b3p-13, -0x1.9c3a1da7de2p-13, -0x1.9d50374f3085cp-13, -0x1.9e5a512e1869p-13, -0x1.9f58d1bb2842ap-13, -0x1.a04b6a384c6ccp-13, -0x1.a13283e873c11p-13, -0x1.a20e3fc0c8eb9p-13, -0x1.a2dea608eeeecp-13, -0x1.a3a3d395ebc2bp-13, -0x1.a45e3c2d6c522p-13, -0x1.a50dc71d7bd86p-13, -0x1.a5b297a1ddd06p-13, -0x1.a64c55d6f6c47p-13, -0x1.a6db6daa1a622p-13, -0x1.a760e46787d3cp-13, -0x1.a7dba74881cf9p-13, -0x1.a84cc0fa8a354p-13, -0x1.a8b3c05561c6fp-13, -0x1.a910af5c06585p-13, -0x1.a961ae6fdd3bdp-13, -0x1.a9ada59009359p-13, -0x1.a9edefda5a165p-13, -0x1.aa24def18993bp-13, -0x1.aa529dbdfdda4p-13, -0x1.aa774af88ee15p-13, -0x1.aa92fd8c1f368p-13, -0x1.aaa5dfdce413ap-13, -0x1.aab02ee674bd5p-13, -0x1.aab1d32d346f2p-13, -0x1.aaaafc0355b57p-13, -0x1.aa9bc753786f1p-13, -0x1.aa846c24c5db1p-13, -0x1.aa650b11317b6p-13, -0x1.aa3dac45c22d8p-13, -0x1.aa0e61d29d036p-13, -0x1.a9d77de9003eap-13, -0x1.a998bb01bfcadp-13, -0x1.a9529c3e07375p-13, -0x1.a9051ce5e4408p-13, -0x1.a8b081a983969p-13, -0x1.a8549892be2a8p-13, -0x1.a7f19f0c56665p-13, -0x1.a787d2f71473fp-13, -0x1.a7174a6794229p-13, -0x1.a6a0646e45d97p-13, -0x1.a6221544fa977p-13, -0x1.a59d9c9515e93p-13, -0x1.a512ba43a8ae9p-13, -0x1.a4815ecf8cc1bp-13, -0x1.a3ea899754a95p-13, -0x1.a34d29e5fbe5bp-13, -0x1.a2aa128894efp-13, -0x1.a2012e2da5e38p-13, -0x1.a1522afd9fdb5p-13, -0x1.a09dcb3971d46p-13, -0x1.9fe3c46ae7cadp-13, -0x1.9f24ba8d0c311p-13, -0x1.9e5fedaf8c4aep-13, -0x1.9d95e5c575203p-13, -0x1.9cc6b5a7c2a7ep-13, -0x1.9bf2b079bba9cp-13, -0x1.9b19a38953f17p-13, -0x1.9a3bbd2ee0846p-13, -0x1.9958fc2cab46ep-13, -0x1.9871b3078293dp-13, -0x1.9785cb45a11c2p-13, -0x1.969567b8498ffp-13, -0x1.95a09df59adcdp-13, -0x1.94a7832e06089p-13, -0x1.93aa40abf03cep-13, -0x1.92a8e95a48033p-13, -0x1.91a357679461dp-13, -0x1.9099dd409e7c8p-13, -0x1.8f8cb3b66ddbcp-13, -0x1.8e7b8faabdcb6p-13, -0x1.8d66dd6421a25p-13, -0x1.8c4e70e526b71p-13, -0x1.8b327c46cf873p-13, -0x1.8a13196588e9ap-13, -0x1.88f0548cc8afbp-13, -0x1.87ca4505d6d15p-13, -0x1.86a0f9937eb48p-13, -0x1.8574ab3e787ap-13, -0x1.8445067c0c2fap-13, -0x1.831259ddecb35p-13, -0x1.81dcf5ce48c3ap-13, -0x1.80a4c9cf4ed45p-13, -0x1.7f69dbfd1ed6fp-13, -0x1.7e2c0baa1ddd9p-13, -0x1.7ceb98b31f863p-13, -0x1.7ba863404885cp-13, -0x1.7a631c208a24bp-13, -0x1.791aec9386b0cp-13, -0x1.77d12d225cd8ep-13, -0x1.768437dbd6754p-13, -0x1.75357daea1a48p-13, -0x1.73e47c861aafap-13, -0x1.72915cdd56883p-13, -0x1.713c4bd40ff05p-13, -0x1.6fe51950acf51p-13, -0x1.6e8c1e4f1065bp-13, -0x1.6d312770aca7ep-13, -0x1.6bd471279c783p-13, -0x1.6a764e6e34f0bp-13, -0x1.69162c7bb9665p-13, -0x1.67b433a5dca45p-13, -0x1.6650ef1994e43p-13, -0x1.64ec491132632p-13, -0x1.6385f0ac54804p-13, -0x1.621e271cc6b78p-13, -0x1.60b51bdc943c8p-13, -0x1.5f4af46ca4731p-13, -0x1.5ddf645759e6p-13, -0x1.5c729eec6bd98p-13, -0x1.5b04bda45f331p-13, -0x1.5995a737ba2fdp-13, -0x1.58259dcfb76c9p-13, -0x1.56b49b63b5db9p-13, -0x1.5542a142f695cp-13, -0x1.53cfbe39498cdp-13, -0x1.525bffc99a199p-13, -0x1.50e7720191cedp-13, -0x1.4f72206e1eb4ep-13, -0x1.4dfc14beb7881p-13, -0x1.4c85654b3ec21p-13, -0x1.4b0e23196509p-13, -0x1.499646a01ad92p-13, -0x1.481d9d5202e5dp-13, -0x1.46a4790323c45p-13, -0x1.452b2b8649b01p-13, -0x1.43b1273b1e2a2p-13, -0x1.4237129eeb421p-13, -0x1.40bc7e562c4c9p-13, -0x1.3f41738d5303bp-13, -0x1.3dc63f181b1ecp-13, -0x1.3c4ac98fc51e4p-13, -0x1.3acf25f85eafbp-13, -0x1.395357603e80ap-13, -0x1.37d76291414cp-13, -0x1.365b44b5d100fp-13, -0x1.34df427fd0f61p-13, -0x1.336314ad2bc38p-13, -0x1.31e6f6508e706p-13, -0x1.306ad27fa836ap-13, -0x1.2eeeb75a9fce6p-13, -0x1.2d72f601264dp-13, -0x1.2bf720fadecap-13, -0x1.2a7b726673923p-13, -0x1.28ffd448804cp-13, -0x1.2784c7293c914p-13, -0x1.2609e6fd8f2a1p-13, -0x1.248f680220892p-13, -0x1.23147cb2f15fp-13, -0x1.219a5d1067abep-13, -0x1.2020a364eba6cp-13, -0x1.1ea7725ea1033p-13, -0x1.1d2e7738d8d47p-13, -0x1.1bb60d42bcea4p-13, -0x1.1a3dea83d3944p-13, -0x1.18c64b9c4d3p-13, -0x1.174f409624e2dp-13, -0x1.15d8b70338ac5p-13, -0x1.1462b98f367dep-13, -0x1.12ed51b8083d4p-13, -0x1.117878b0c37f6p-13, -0x1.10044306b3cedp-13, -0x1.0e90b1f3fa586p-13, -0x1.0d1dcbf2c6e66p-13, -0x1.0baba064136fdp-13, -0x1.0a3a17521bfebp-13, -0x1.08c9111536711p-13, -0x1.075900e8a2ab8p-13, -0x1.05e9e4435c14ap-13, -0x1.047b5699393f5p-13, -0x1.030d854e93ab6p-13, -0x1.01a08df63b0cap-13, -0x1.00347454979eap-13, -0x1.fd9270e798b54p-14, -0x1.fabdb3ed56f94p-14, -0x1.f7ea46db77fb8p-14, -0x1.f519289fa374bp-14, -0x1.f24a58750384bp-14, -0x1.ef7be7a4dceeep-14, -0x1.ecb0708c1bf96p-14, -0x1.e9e6a1dbda241p-14, -0x1.e71eb1f0437e3p-14, -0x1.e458ac360276p-14, -0x1.e194b1f2b847fp-14, -0x1.ded2bb226f4a8p-14, -0x1.dc12dd8a39a02p-14, -0x1.d95509019e7ffp-14, -0x1.d6995dfe4ccdp-14, -0x1.d3dfa7d431e22p-14, -0x1.d12803e139d3fp-14, -0x1.ce72a11c544f1p-14, -0x1.cbbf4befb49edp-14, -0x1.c90ee4c5ca63fp-14, -0x1.c660018269294p-14, -0x1.c3b3130894b55p-14, -0x1.c108c2908d691p-14, -0x1.be6108cc8eaf5p-14, -0x1.bbbb86def6862p-14, -0x1.b9184f9493801p-14, -0x1.b676e234a4951p-14, -0x1.b3d83bcb3e277p-14, -0x1.b13bc29527e7dp-14, -0x1.aea2383dd78b3p-14, -0x1.ac0aeaf04e2a9p-14, -0x1.a9758c1d491aep-14, -0x1.a6e2c42b660b5p-14, -0x1.a45284547e4c5p-14, -0x1.a1c53a1f416d1p-14, -0x1.9f39749eabe3dp-14, -0x1.9cb0a3b134025p-14, -0x1.9a2a6f0787afp-14, -0x1.97a6a5b33b4c7p-14, -0x1.95256b11f04dbp-14, -0x1.92a67d9c58d67p-14, -0x1.902a75e61eb2fp-14, -0x1.8db0366a7126dp-14, -0x1.8b394af10232bp-14, -0x1.88c49970e71e5p-14, -0x1.86531bdd76bafp-14, -0x1.83e3885645783p-14, -0x1.8176a4d2a1688p-14, -0x1.7f0c6d5e4f305p-14, -0x1.7ca4ec33fd69cp-14, -0x1.7a3fede3be00dp-14, -0x1.77ddbdd95d632p-14, -0x1.757db8a89349ep-14, -0x1.7320a0f44b639p-14, -0x1.70c62171258a6p-14, -0x1.6e6ec3587b2dep-14, -0x1.6c19a88316c69p-14, -0x1.69c6fed6e83eap-14, -0x1.677739dcd7fd2p-14, -0x1.6529c5739fc82p-14, -0x1.62df76e5ea6a5p-14, -0x1.6097c6f97d50ep-14, -0x1.5e52b00ea905dp-14, -0x1.5c0fe27bcfbb9p-14, -0x1.59d0737661c4cp-14, -0x1.579048b0a7cd6p-14, -0x1.555935c3cdc72p-14, -0x1.532101e8e556fp-14, -0x1.50ec2c5df2a1ap-14, -0x1.4eba0233803cp-14, -0x1.4c8a456023c04p-14, -0x1.4a5d53dcdc10ep-14, -0x1.483313b18ebcap-14, -0x1.460b864a41823p-14, -0x1.43e6aa6293f2dp-14, -0x1.41c47e158b5ccp-14, -0x1.3fa4fe6f682c4p-14, -0x1.3d8783662b6d5p-14, -0x1.3b6e222ffcc04p-14, -0x1.3956beb1977d6p-14, -0x1.3742089636c72p-14, -0x1.353205915ffd2p-14, -0x1.3320e3aaa0d5ap-14, -0x1.31142437cdabfp-14, -0x1.2f0a32872f1ap-14, -0x1.2d02810d1bccep-14, -0x1.2afe1e1d76f33p-14, -0x1.28fbf5847b5efp-14, -0x1.26fd0f16b3a3cp-14, -0x1.2500581954979p-14, -0x1.230683f0f9a84p-14, -0x1.210f06ebac512p-14, -0x1.1f1a625fb2a75p-14, -0x1.1d281f9d7edf7p-14, -0x1.1b391f6c16affp-14, -0x1.194c2b4fc2a06p-14, -0x1.1761ead103bap-14, -0x1.157b21529384p-14, -0x1.139626bde4a28p-14, -0x1.11b402b4bbbb4p-14, -0x1.0fd42b6a7efacp-14, -0x1.0df7bed50e4eep-14, -0x1.0c1d6511bc7dbp-14, -0x1.0a4587723c28cp-14, -0x1.08707515db747p-14, -0x1.069e0d9e4f4bfp-14, -0x1.04cdb623d9e15p-14, -0x1.030122033d0b9p-14, -0x1.0135bd34909p-14, -0x1.fedc4dedc8724p-15, -0x1.fb5058b596382p-15, -0x1.f7c90915ad487p-15, -0x1.f44901602bcadp-15, -0x1.f0ccececb715cp-15, -0x1.ed561653228d8p-15, -0x1.e9e415ca50fe3p-15, -0x1.e6774d6962f64p-15, -0x1.e30fa1342f159p-15, -0x1.dfad5631e61ccp-15, -0x1.dc4f1222088a2p-15, -0x1.d8f65352295c8p-15, -0x1.d5a2a7e51ae51p-15, -0x1.d253df9451651p-15, -0x1.cf0a11148dd69p-15, -0x1.cbc4f7be7e49fp-15, -0x1.c885006c410e5p-15, -0x1.c548f97d5d50ep-15, -0x1.c21149d50a82ap-15, -0x1.bee220c0c0499p-15, -0x1.bbb528e9c6895p-15, -0x1.b88de6e46f2bbp-15, -0x1.b56af6d66d802p-15, -0x1.b24cd61c81633p-15, -0x1.af33a4573e31ap-15, -0x1.ac1f98a872233p-15, -0x1.a90fd91936d6ep-15, -0x1.a6052d55d0388p-15, -0x1.a2fe095789495p-15, -0x1.9ffc6678a076fp-15, -0x1.9cff729df055p-15, -0x1.9a072a669f9b8p-15, -0x1.9713865591fb2p-15, -0x1.942487aa5447p-15, -0x1.913a1fd5d9ce6p-15, -0x1.8e53da5a48ecep-15, -0x1.8b730c473458p-15, -0x1.88969c675fe52p-15, -0x1.85be37e90e9f5p-15, -0x1.82ea9a22b0635p-15, -0x1.801b87d8bb05ap-15, -0x1.7d50a4e4ee714p-15, -0x1.7a8b4e6ee6e35p-15, -0x1.77c94a1e5fd18p-15, -0x1.750b96ab72326p-15, -0x1.72529907fba8fp-15, -0x1.6f9e6d5c6e67bp-15, -0x1.6ced57af31917p-15, -0x1.6a42a9a5f89acp-15, -0x1.679b479c28152p-15, -0x1.64f7f0bf2c7p-15, -0x1.62563bb2058d4p-15, -0x1.5fbee660d4b1ep-15, -0x1.5d2735f26542ap-15, -0x1.5a9740a1ccaa3p-15, -0x1.5809348b26fc9p-15, -0x1.557facff68a1dp-15, -0x1.52f9069a7b5d8p-15, -0x1.50780b2956feep-15, -0x1.4dfaabccdd7ecp-15, -0x1.4b831e3ffeb9dp-15, -0x1.490db08ba5ae1p-15, -0x1.469c9cfa126dep-15, -0x1.442fdd1e6386bp-15, -0x1.41c73066cbec7p-15, -0x1.3f628021d6141p-15, -0x1.3d01f83aba33fp-15, -0x1.3aa564e9cef2ep-15, -0x1.384cb56d1413ap-15, -0x1.35f80f984cc03p-15, -0x1.33a7229a708ffp-15, -0x1.3159e6406bc4ap-15, -0x1.2f118c77bcacp-15, -0x1.2ccc43de4e8a6p-15, -0x1.2a8b1e85d9e21p-15, -0x1.284ddbb26efd9p-15, -0x1.2613f3c12db7cp-15, -0x1.23de40e18988ep-15, -0x1.21ac73527b9bep-15, -0x1.1f7dbce9f6127p-15, -0x1.1d53b92a3b901p-15, -0x1.1b2cf1b101d18p-15, -0x1.19096e93f90c7p-15, -0x1.16eab41b06416p-15, -0x1.14cf23234095cp-15, -0x1.12b64068b0e39p-15, -0x1.10a2231fcf644p-15, -0x1.0e9161e3fc646p-15, -0x1.0c841bccb1ccbp-15, -0x1.0a7a622569247p-15, -0x1.087440f010fe5p-15, -0x1.06716bf236c2fp-15, -0x1.04713a78b9b51p-15, -0x1.02771d5f952d8p-15, -0x1.007e9b91a5e6fp-15, -0x1.fd145cf06a975p-16, -0x1.f931eeb0ebc6fp-16, -0x1.f5564d3d89731p-16, -0x1.f181859778a76p-16, -0x1.edb389ee777fcp-16, -0x1.e9ebcb0b0183ap-16, -0x1.e62bd6088ce23p-16, -0x1.e27195947bb28p-16, -0x1.debe1c44e1bf3p-16, -0x1.db10768fcc823p-16, -0x1.d76857b5d32f6p-16, -0x1.d3cb430b06ea6p-16, -0x1.d032b5de3ee0ap-16, -0x1.cc9e61188ca46p-16, -0x1.c911c07994acbp-16, -0x1.c58cbc4599ddep-16, -0x1.c20cc1a6904aep-16, -0x1.be929cd069855p-16, -0x1.bb1fc1f23cdadp-16, -0x1.b7b3b64e81da9p-16, -0x1.b44a2d9ea37efp-16, -0x1.b0ea3f6b11fd9p-16, -0x1.ad908b06aa28dp-16, -0x1.aa3c45a2e3b9bp-16, -0x1.a6ed7c55f111bp-16, -0x1.a3a3bd1e47bf7p-16, -0x1.a06218b123c25p-16, -0x1.9d24d37ce5666p-16, -0x1.99ef888316d82p-16, -0x1.96bb4feb0a03bp-16, -0x1.9392278e28bddp-16, -0x1.906bcb598231cp-16, -0x1.8d4e1d893d04ap-16, -0x1.8a3399021540dp-16, -0x1.871f1f5562e7ap-16, -0x1.8410a9223d792p-16, -0x1.8108277cdc2c4p-16, -0x1.7e04666eee5f5p-16, -0x1.7b06ddcfb01fap-16, -0x1.780eceb3da2a7p-16, -0x1.751b3e9b629cap-16, -0x1.722e16a0e749bp-16, -0x1.6f461a4d510a8p-16, -0x1.6c63adef16a23p-16, -0x1.6986632e837p-16, -0x1.66ae78cb8a4cbp-16, -0x1.63dbaf6822aabp-16, -0x1.610e8fba60799p-16, -0x1.5e46582ca1008p-16, -0x1.5b83f4f7dc033p-16, -0x1.58c4dba186f47p-16, -0x1.560bdbb5ec039p-16, -0x1.53596a957db74p-16, -0x1.50aa6a678b0cap-16, -0x1.4e00dc75008cfp-16, -0x1.4b5c5c10b7488p-16, -0x1.48bcbaa17c314p-16, -0x1.4622087896409p-16, -0x1.438c3c152dfc9p-16, -0x1.40f838434ca64p-16, -0x1.3e6f2dd0e1d76p-16, -0x1.3be7d6c1c54bp-16, -0x1.3965636e1faf4p-16, -0x1.36e7bb3ba33f9p-16, -0x1.346e465451798p-16, -0x1.31fa2f7f920b5p-16, -0x1.2f8a4af72fdc4p-16, -0x1.2d1f21cbdff6ap-16, -0x1.2ab893ee15ecbp-16, -0x1.28569703caa0ep-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.17d612396c067p-9, 0x1.18ed053fcb76bp-8, 0x1.a818addf23f33p-8, 0x1.1d3c459f80bfap-7, 0x1.6885b733580f9p-7, 0x1.b660bb5d24153p-7, 0x1.039e6affa7164p-6, 0x1.2dc00a69eba9ep-6, 0x1.59c33445f9dd2p-6, 0x1.87d09d2afbbf7p-6, 0x1.b80b9afdfda98p-6, 0x1.ea92206516052p-6, 0x1.0fbe6574cdd66p-5, 0x1.2b6f8031f6f06p-5, 0x1.48638c534e8ccp-5, 0x1.669f485e468afp-5, 0x1.862522b4784cp-5, 0x1.a6f55976bb7efp-5, 0x1.c90e1c34a784fp-5, 0x1.ec6baeb50f0edp-5, 0x1.0884462194d5bp-4, 0x1.1b6ec583a6b26p-4, 0x1.2ef0ff84af75p-4, 0x1.4305ee4787a71p-4, 0x1.57a7eccc36dedp-4, 0x1.6cd0c725a1189p-4, 0x1.8279ca146d017p-4, 0x1.989bd1f9a68fp-4, 0x1.af2f59175d356p-4, 0x1.c62c85189cf73p-4, 0x1.dd8b33dcac479p-4, 0x1.f543078386e4bp-4, 0x1.06a5b8ddaf206p-3, 0x1.12cddf283a77fp-3, 0x1.1f158e80e47c8p-3, 0x1.2b78554f33fa4p-3, 0x1.37f1bcb7ff6ep-3, 0x1.447d4c7c1c218p-3, 0x1.51168e83a5a4fp-3, 0x1.5db9121940104p-3, 0x1.6a606ed925693p-3, 0x1.77084757d8397p-3, 0x1.83ac4b84a64c3p-3, 0x1.90483acc21432p-3, 0x1.9cd7e5fed25d5p-3, 0x1.a95731006984cp-3, 0x1.b5c21443a8959p-3, 0x1.c2149e171ef95p-3, 0x1.ce4af3c6d198cp-3, 0x1.da6152969ea03p-3, 0x1.e654109921252p-3, 0x1.f21f9d668c321p-3, 0x1.fdc082b6d89b2p-3, 0x1.0499b27123309p-2, 0x1.0a3a81a591bb8p-2, 0x1.0fc11c59aad0fp-2, 0x1.152bfdc013765p-2, 0x1.1a79aef730062p-2, 0x1.1fa8c71c553f4p-2, 0x1.24b7eb58f43fep-2, 0x1.29a5ceea7e8bdp-2, 0x1.2e713325af64fp-2, 0x1.3318e775c33dfp-2, 0x1.379bc958178c1p-2, 0x1.3bf8c4549f981p-2, 0x1.402ed1f37e5b4p-2, 0x1.443cf9b00bc5fp-2, 0x1.482250e97e9cbp-2, 0x1.4bddfad163624p-2, 0x1.4f6f285807e39p-2, 0x1.52d51816e9781p-2, 0x1.560f163942fe8p-2, 0x1.591c7c62bc573p-2, 0x1.5bfcb19441f59p-2, 0x1.5eaf2a0f10d8dp-2, 0x1.61336735e94a6p-2, 0x1.6388f76c6f6a2p-2, 0x1.65af75f4b7571p-2, 0x1.67a68acaeee02p-2, 0x1.696dea7f3493bp-2, 0x1.6b05560d85be3p-2, 0x1.6c6c9ab3d0fbcp-2, 0x1.6da391c625e19p-2, 0x1.6eaa208108c8cp-2, 0x1.6f8037d9e8f91p-2, 0x1.7025d44dc2df6p-2, 0x1.709afdadf478bp-2, 0x1.70dfc6eb4bdc9p-2, 0x1.70f44ddf5fbbbp-2, 0x1.70d8bb1436a95p-2, 0x1.708d418a58039p-2, 0x1.70121e7d48adep-2, 0x1.6f6799269498ap-2, 0x1.6e8e027f690d3p-2, 0x1.6d85b500e51eap-2, 0x1.6c4f146325171p-2, 0x1.6aea8d5b2c803p-2, 0x1.69589557bfeefp-2, 0x1.6799aa3d47a3ep-2, 0x1.65ae5220d24e8p-2, 0x1.63971b02556c7p-2, 0x1.61549a863d4bcp-2, 0x1.5ee76dae6c5b6p-2, 0x1.5c503892bc41cp-2, 0x1.598fa6191f842p-2, 0x1.56a667ad7a2b3p-2, 0x1.539534f946121p-2, 0x1.505ccb9b20c7p-2, 0x1.4cfdeede5424cp-2, 0x1.4979677276ac4p-2, 0x1.45d0032332215p-2, 0x1.420294904c90bp-2, 0x1.3e11f2e605564p-2, 0x1.39fef995d7bc3p-2, 0x1.35ca880fbbd33p-2, 0x1.3175817bf2b57p-2, 0x1.2d00cc7570adbp-2, 0x1.286d52c4fc20fp-2, 0x1.23bc011d036d4p-2, 0x1.1eedc6d649687p-2, 0x1.1a0395ad679e1p-2, 0x1.14fe6181419p-2, 0x1.0fdf201266c7cp-2, 0x1.0aa6c8c37e8c3p-2, 0x1.0556545abb089p-2, 0x1.ffdd7988d3c4bp-3, 0x1.f4e1f9ad42b9ep-3, 0x1.e9bc202c34a1ep-3, 0x1.de6de4f87c008p-3, 0x1.d2f9407cd3135p-3, 0x1.c7602b2cebdfdp-3, 0x1.bba49d190dcdbp-3, 0x1.afc88d8446f6ep-3, 0x1.a3cdf27d4aae3p-3, 0x1.97b6c079f2af4p-3, 0x1.8b84e9f57813cp-3, 0x1.7f3a5f116cda2p-3, 0x1.72d90d396e122p-3, 0x1.6662dec99f67p-3, 0x1.59d9bab7f0e79p-3, 0x1.4d3f84402f0c9p-3, 0x1.40961a92e78afp-3, 0x1.33df5887107ap-3, 0x1.271d144e9258dp-3, 0x1.1a511f2d9000fp-3, 0x1.0d7d45348a6fp-3, 0x1.00a34cfd4c261p-3, 0x1.e789eed53a1d1p-4, 0x1.cdc7fed58d774p-4, 0x1.b40433799f29fp-4, 0x1.9a41e971023edp-4, 0x1.8084703249465p-4, 0x1.66cf0995e00d3p-4, 0x1.4d24e97654dcap-4, 0x1.33893555e3014p-4, 0x1.19ff04094b425p-4, 0x1.00895d67da9fbp-4, 0x1.ce5674012c607p-5, 0x1.9bcf05a8f788ap-5, 0x1.6982222b856e6p-5, 0x1.37755bd81b42ep-5, 0x1.05ae247af215ap-5, 0x1.a86399f1c8b38p-6, 0x1.460b09e90c804p-6, 0x1.c8b969f20493p-7, 0x1.06c4e70bdceddp-7, 0x1.192ecdde6438cp-9, -0x1.e27e46fcd41d3p-9, -0x1.35ead392de831p-7, -0x1.f184879b881d6p-7, -0x1.55add7433d08p-6, -0x1.b1afea36a929p-6, -0x1.06604443851bfp-5, -0x1.336c01f9284d7p-5, -0x1.5ff77a09a7e66p-5, -0x1.8bff1b289eb65p-5, -0x1.b77f76e089c9p-5, -0x1.e275417cacfe8p-5, -0x1.066ea8f62afefp-4, -0x1.1b5a50cfd5f9cp-4, -0x1.2ffc262f266d1p-4, -0x1.4452c80bf033dp-4, -0x1.585ce6576dde9p-4, -0x1.6c1941decd0aap-4, -0x1.7f86ac2b0e906p-4, -0x1.92a4075e4138p-4, -0x1.a570460e4159fp-4, -0x1.b7ea6b1d06ecp-4, -0x1.ca11898eb14c6p-4, -0x1.dbe4c45d46f1fp-4, -0x1.ed634e4a706d8p-4, -0x1.fe8c69af1783ap-4, -0x1.07afb42497671p-3, -0x1.0fedd583c6644p-3, -0x1.180050ea13d7ep-3, -0x1.1fe6e5ae48642p-3, -0x1.27a15a6c79d2fp-3, -0x1.2f2f7ce8ce7d5p-3, -0x1.369121f18fe6p-3, -0x1.3dc625409714bp-3, -0x1.44ce695c2368cp-3, -0x1.4ba9d777220bap-3, -0x1.52585f50eecefp-3, -0x1.58d9f714a00cfp-3, -0x1.5f2e9b37e111cp-3, -0x1.65564e5963d76p-3, -0x1.6b51191f0397ep-3, -0x1.711f0a13877eep-3, -0x1.76c0358426e72p-3, -0x1.7c34b55dcc813p-3, -0x1.817ca90a2593dp-3, -0x1.8698354c7e38cp-3, -0x1.8b87841e8091bp-3, -0x1.904ac48cd6f6ep-3, -0x1.94e22a93b665dp-3, -0x1.994deefb61053p-3, -0x1.9d8e4f34a2806p-3, -0x1.a1a38d35536cfp-3, -0x1.a58def54e0343p-3, -0x1.a94dc028e89e4p-3, -0x1.ace34e61f63bap-3, -0x1.b04eeca84d325p-3, -0x1.b390f178eac7ep-3, -0x1.b6a9b702a477bp-3, -0x1.b9999b03865dcp-3, -0x1.bc60fea65855cp-3, -0x1.bf0046606ebf4p-3, -0x1.c177d9cfb2ac8p-3, -0x1.c3c82398f3f44p-3, -0x1.c5f191468b4eep-3, -0x1.c7f4932744947p-3, -0x1.c9d19c2da3941p-3, -0x1.cb8921cf7f1f3p-3, -0x1.cd1b9be5f870ap-3, -0x1.ce89848dd7bb3p-3, -0x1.cfd3580844331p-3, -0x1.d0f9949bed8fcp-3, -0x1.d1fcba76964f4p-3, -0x1.d2dd4b8f167b6p-3, -0x1.d39bcb87c63a1p-3, -0x1.d438bf915d5a8p-3, -0x1.d4b4ae4e4fca5p-3, -0x1.d5101fb6963b5p-3, -0x1.d54b9cfbfc7cdp-3, -0x1.d567b06ee3f0fp-3, -0x1.d564e56388304p-3, -0x1.d543c817c2577p-3, -0x1.d504e5994cc13p-3, -0x1.d4a8cbac8c739p-3, -0x1.d43008b3d693bp-3, -0x1.d39b2b97461adp-3, -0x1.d2eac3ad0cb0fp-3, -0x1.d21f60a25206p-3, -0x1.d139926493981p-3, -0x1.d039e90b9135cp-3, -0x1.cf20f4c3be532p-3, -0x1.cdef45b93e58cp-3, -0x1.cca56c036868dp-3, -0x1.cb43f790d37bp-3, -0x1.c9cb7813e90cap-3, -0x1.c83c7cf00650ap-3, -0x1.c69795271964fp-3, -0x1.c4dd4f47d8774p-3, -0x1.c30e395c6d054p-3, -0x1.c12ae0d9b1206p-3, -0x1.bf33d28ef0a32p-3, -0x1.bd299a962f382p-3, -0x1.bb0cc444edec7p-3, -0x1.b8ddda1d7e602p-3, -0x1.b69d65c0ccb57p-3, -0x1.b44befe0b71edp-3, -0x1.b1ea0032da69p-3, -0x1.af781d63e276cp-3, -0x1.acf6cd0b5ead8p-3, -0x1.aa6693a00455p-3, -0x1.a7c7f46c7bf21p-3, -0x1.a51b71849e56ap-3, -0x1.a2618bbb2cd78p-3, -0x1.9f9ac297fd9d7p-3, -0x1.9cc7944ea6a04p-3, -0x1.99e87db58dca1p-3, -0x1.96fdfa3d76012p-3, -0x1.940883e97a265p-3, -0x1.9108934772817p-3, -0x1.8dfe9f68c902fp-3, -0x1.8aeb1ddbbd3abp-3, -0x1.87ce82a509f2dp-3, -0x1.84a94039f538p-3, -0x1.817bc77ac74d3p-3, -0x1.7e4687ada4225p-3, -0x1.7b09ee79c3cb2p-3, -0x1.77c667e3101d9p-3, -0x1.747c5e461883dp-3, -0x1.712c3a546a147p-3, -0x1.6dd663113b3b7p-3, -0x1.6a7b3dce73be8p-3, -0x1.671b2e2a030a8p-3, -0x1.63b6960b9661dp-3, -0x1.604dd5a29649bp-3, -0x1.5ce14b64794afp-3, -0x1.5971540b63382p-3, -0x1.55fe4a9510fb9p-3, -0x1.528888420e47dp-3, -0x1.4f1064953368dp-3, -0x1.4b9635536973dp-3, -0x1.481a4e83b06fdp-3, -0x1.449d026f6cbcep-3, -0x1.411ea1a2ee8a8p-3, -0x1.3d9f7aee3c269p-3, -0x1.3a1fdb6619df6p-3, -0x1.36a00e6544092p-3, -0x1.33205d8ded9fp-3, -0x1.2fa110cb6ca1ep-3, -0x1.2c226e541fa3ap-3, -0x1.28a4baab82d26p-3, -0x1.252838a47e301p-3, -0x1.21ad2963d6f97p-3, -0x1.1e33cc62ddbe9p-3, -0x1.1abc5f7238a0dp-3, -0x1.17471ebce79fp-3, -0x1.13d444cb60a15p-3, -0x1.10640a86e4b1bp-3, -0x1.0cf6a73cea50dp-3, -0x1.098c50a2b669cp-3, -0x1.06253ad90fa87p-3, -0x1.02c1987017a39p-3, -0x1.fec334d68219fp-4, -0x1.f80ae08ac24d4p-4, -0x1.f15a8fe9c0029p-4, -0x1.eab29be002b77p-4, -0x1.e4135a628e08dp-4, -0x1.dd7d1e77d434p-4, -0x1.d6f03840d491fp-4, -0x1.d06cf502644bdp-4, -0x1.c9f39f2ea147cp-4, -0x1.c3847e6e7a327p-4, -0x1.bd1fd7ab6ed38p-4, -0x1.b6c5ed195af0bp-4, -0x1.b076fe406b699p-4, -0x1.aa33480721659p-4, -0x1.a3fb04bc78b23p-4, -0x1.9dce6c2218ae6p-4, -0x1.97adb376a4b41p-4, -0x1.91990d800d085p-4, -0x1.8b90aa960057bp-4, -0x1.8594b8ac5a617p-4, -0x1.7fa5635daa35bp-4, -0x1.79c2d3f5b5769p-4, -0x1.73ed317c08f71p-4, -0x1.6e24a0be9253bp-4, -0x1.6869445c2e485p-4, -0x1.62bb3ccf4b6dfp-4, -0x1.5d1aa8787b34dp-4, -0x1.5787a3a90ba92p-4, -0x1.520248ad9a894p-4, -0x1.4c8aafd8a1d93p-4, -0x1.4720ef8d00c47p-4, -0x1.41c51c48793d8p-4, -0x1.3c7748ae2639fp-4, -0x1.37378590e8144p-4, -0x1.3205e1fdc0beap-4, -0x1.2ce26b462a548p-4, -0x1.27cd2d0a5348ap-4, -0x1.22c63143592bp-4, -0x1.1dcd804d6748dp-4, -0x1.18e320f1c8cf1p-4, -0x1.14071870e9af8p-4, -0x1.0f396a8c3d226p-4, -0x1.0a7a19901533bp-4, -0x1.05c9265d65e8dp-4, -0x1.012690736cf45p-4, -0x1.f924abf2883fbp-5, -0x1.f018e78ebcdbbp-5, -0x1.e729cae1d282ap-5, -0x1.de574a9a2b8d4p-5, -0x1.d5a1590092c13p-5, -0x1.cd07e60a60b5ep-5, -0x1.c48adf6b6ee8cp-5, -0x1.bc2a30a7dc058p-5, -0x1.b3e5c32583216p-5, -0x1.abbd7e3d5020fp-5, -0x1.a3b1474c4cb0cp-5, -0x1.9bc101c472d72p-5, -0x1.93ec8f3d4cda8p-5, -0x1.8c33cf84508c9p-5, -0x1.8496a0ad0087p-5, -0x1.7d14df20ccabp-5, -0x1.75ae65aec051p-5, -0x1.6e630d9ae03f3p-5, -0x1.6732aead5a897p-5, -0x1.601d1f4170121p-5, -0x1.5922345418bb2p-5, -0x1.5241c19279257p-5, -0x1.4b7b996804b35p-5, -0x1.44cf8d0c7118fp-5, -0x1.3e3d6c915798bp-5, -0x1.37c506efaf8aep-5, -0x1.31662a14ee1f8p-5, -0x1.2b20a2eff9ca3p-5, -0x1.24f43d7dd209bp-5, -0x1.1ee0c4d5ff3ccp-5, -0x1.18e60336bc73bp-5, -0x1.1303c210e8419p-5, -0x1.0d39ca13b2b45p-5, -0x1.0787e3380ae8fp-5, -0x1.01edd4cbd509p-5, -0x1.f8d6caf9a1878p-6, -0x1.ee00b6c6bf844p-6, -0x1.e358f819e35e2p-6, -0x1.d8df190c7858fp-6, -0x1.ce92a2ca82594p-6, -0x1.c4731da60da9fp-6, -0x1.ba80112a4834fp-6, -0x1.b0b9042e06414p-6, -0x1.a71d7ce5f0a31p-6, -0x1.9dad00f621426p-6, -0x1.94671583577c6p-6, -0x1.8b4b3f43cc1cap-6, -0x1.8259028f70282p-6, -0x1.798fe36fd195fp-6, -0x1.70ef65af9f9fep-6, -0x1.68770ce99d697p-6, -0x1.60265c97419ep-6, -0x1.57fcd81eea64ap-6, -0x1.4ffa02e19ea09p-6, -0x1.481d60486387ep-6, -0x1.406673d1414d3p-6, -0x1.38d4c11bca87fp-6, -0x1.3167cbf54118dp-6, -0x1.2a1f186476176p-6, -0x1.22fa2ab521f09p-6, -0x1.1bf88782eb982p-6, -0x1.1519b3c41f822p-6, -0x1.0e5d34d3f3346p-6, -0x1.07c2907c7ef54p-6, -0x1.01494d004f546p-6, -0x1.f5e1e2475569bp-7, -0x1.e972086afc58fp-7, -0x1.dd421c2fccedap-7, -0x1.d1512e90fb989p-7, -0x1.c59e51d07ab5dp-7, -0x1.ba2899864a16bp-7, -0x1.aeef1aaf07246p-7, -0x1.a3f0ebb9f1aeap-7, -0x1.992d24964d787p-7, -0x1.8ea2dec02e967p-7, -0x1.8451354cc9f41p-7, -0x1.7a3744f61b8dap-7, -0x1.70542c25fe859p-7, -0x1.66a70b00cc30bp-7, -0x1.5d2f036f7de12p-7, -0x1.53eb392910b1ep-7, -0x1.4adad1bbb3d7ep-7, -0x1.41fcf4955c8f6p-7, -0x1.3950cb0baaf55p-7, -0x1.30d58063b176cp-7, -0x1.288a41d8f63c3p-7, -0x1.206e3ea436a76p-7, -0x1.1880a801ab07cp-7, -0x1.10c0b136bd6dap-7, -0x1.092d8f97899a7p-7, -0x1.01c67a8bd7f16p-7, -0x1.f515572748998p-8, -0x1.e6f2bc96c9939p-8, -0x1.d923a0dfce0e6p-8, -0x1.cba683c34f603p-8, -0x1.be79e950178a3p-8, -0x1.b19c59e84007ep-8, -0x1.a50c6245ee679p-8, -0x1.98c8937f9430bp-8, -0x1.8ccf830b94433p-8, -0x1.811fcac30166bp-8, -0x1.75b808e4391b9p-8, -0x1.6a96e0146a4a5p-8, -0x1.5fbaf760af4dcp-8, -0x1.5522fa3f39b7fp-8, -0x1.4acd988ebae38p-8, -0x1.40b9869687faep-8, -0x1.36e57d057d1ep-8, -0x1.2d5038f0835dp-8, -0x1.23f87bd0f2ab7p-8, -0x1.1add0b821e3p-8, -0x1.11fcb23eb853ap-8, -0x1.09563e9d94afdp-8, -0x1.00e8838e185c1p-8, -0x1.f164b0a8f5531p-9, -0x1.e165310aad95ep-9, -0x1.d1d04801a7ddcp-9, -0x1.c2a3bddc13bd2p-9, -0x1.b3dd636a8c733p-9, -0x1.a57b11f57ef0cp-9, -0x1.977aab306a6c6p-9, -0x1.89da192e43724p-9, -0x1.7c974e5382398p-9, -0x1.6fb045493ab07p-9, -0x1.632300ee9753cp-9, -0x1.56ed8c4a6a8acp-9, -0x1.4b0dfa7bf1f8ep-9, -0x1.3f8266ab79296p-9, -0x1.3448f3fa82a12p-9, -0x1.295fcd7313b3ep-9, -0x1.1ec525f772a0ep-9, -0x1.14773830b9317p-9, -0x1.0a74467dd75fbp-9, -0x1.00ba9ae11baeap-9, -0x1.ee910dde13cf3p-10, -0x1.dc38c7778477ep-10, -0x1.ca69239013a7p-10, -0x1.b91ef1de18021p-10, -0x1.a85710a60abbp-10, -0x1.980e6c944afd2p-10, -0x1.8842009611101p-10, -0x1.78eed5b26299fp-10, -0x1.6a1202e22915p-10, -0x1.5ba8ace93b76fp-10, -0x1.4db0062cf5d74p-10, -0x1.40254e8cdb81fp-10, -0x1.3305d33a168d3p-10, -0x1.264eee8d5ebcfp-10, -0x1.19fe07e02df22p-10, -0x1.0e109361facaap-10, -0x1.028411efddd2ap-10, -0x1.eeac21d6ac692p-11, -0x1.d9085420f8513p-11, -0x1.c418069a7eb45p-11, -0x1.afd69d2fc45fdp-11, -0x1.9c3f938a89525p-11, -0x1.894e7cc09f271p-11, -0x1.76ff02fff77bep-11, -0x1.654ce73c8f7f4p-11, -0x1.543400de31d64p-11, -0x1.43b03d6ee5ab8p-11, -0x1.33bda0485c973p-11, -0x1.24584242002dbp-11, -0x1.157c5160a1439p-11, -0x1.072610846c0a5p-11, -0x1.f2a3ae33756d6p-12, -0x1.d7f8218b2d092p-12, -0x1.be427a3522064p-12, -0x1.a57bde8917193p-12, -0x1.8d9d9b78d32cp-12, -0x1.76a123f1e37dcp-12, -0x1.608010406eac6p-12, -0x1.4b341d747c72bp-12, -0x1.36b72cc89f621p-12, -0x1.230343076be9ep-12, -0x1.101287f51c139p-12, -0x1.fbbe8b6f662cap-13, -0x1.d8c7d082c90f3p-13, -0x1.b735f97e524ddp-13, -0x1.96fe61fecbc6fp-13, -0x1.7816a5cefaf8bp-13, -0x1.5a749fbd014c9p-13, -0x1.3e0e6881355d4p-13, -0x1.22da559d56f8dp-13, -0x1.08cef84bafcaep-13, -0x1.dfc638c2eed8ep-14, -0x1.b01b8e817e73dp-14, -0x1.828c6d8b369e5p-14, -0x1.5707c077ac056p-14, -0x1.2d7cdea26c275p-14, -0x1.05db8a21a2171p-14, -0x1.c027db75d382fp-15, -0x1.782d35bdd2e2ap-15, -0x1.33a90f68e1e35p-15, -0x1.e4fc34565a3ccp-16, -0x1.691f92b7874c9p-16, -0x1.e709380471affp-17, -0x1.07ea4c968ab3ap-17, -0x1.a3c7410180d49p-20, 0x1.27634c2fac96dp-18, 0x1.50f9534292f7cp-17, 0x1.01dfb396c6f5dp-16, 0x1.5631454942a46p-16, 0x1.a59f6a7698d53p-16, 0x1.f056ed3262dd3p-16, 0x1.1b41ae4a49b79p-15, 0x1.3c2789c4369f5p-15, 0x1.5af19fa59347bp-15, 0x1.77b3f2fec3ceap-15, 0x1.9281f679c0df1p-15, 0x1.ab6e8f92a7bbp-15, 0x1.c28c1996f4231p-15, 0x1.d7ec68d840bf9p-15, 0x1.eba0cd8addf44p-15, 0x1.fdba16d532165p-15, 0x1.07244ad5c032bp-14, 0x1.0eae0fd80e8fbp-14, 0x1.1582090735b7bp-14, 0x1.1ba7aa1bd08c5p-14, 0x1.21262d50acba8p-14, 0x1.260494baf4a18p-14, 0x1.2a49ab99ab825p-14, 0x1.2dfc07a37364bp-14, 0x1.31220a4ce92b4p-14, 0x1.33c1e209274c1p-14, 0x1.35e18b81b85d3p-14, 0x1.3786d2d07653p-14, 0x1.38b754ae7375fp-14, 0x1.39787f9a8a79dp-14, 0x1.39cf9502c4bedp-14, 0x1.39c1aa649464ap-14, 0x1.3953aa62004dep-14, 0x1.388a55dc3c543p-14, 0x1.376a44ffec7e2p-14, 0x1.35f7e8515e7aep-14, 0x1.343789b26c8eep-14, 0x1.322d4d61efd3fp-14, 0x1.2fdd32f82b216p-14, 0x1.2d4b165f86006p-14, 0x1.2a7ab0c16bd6dp-14, 0x1.276f997739f65p-14, 0x1.242d46f447b72p-14, 0x1.20b70fa2ede06p-14, 0x1.1d102acabfa47p-14, 0x1.193bb164c9a89p-14, 0x1.153c9ef6a300cp-14, 0x1.1115d25fc3ebep-14, 0x1.0cca0ea97e4d6p-14, 0x1.085bfbcfe580dp-14, 0x1.03ce2783619f2p-14, 0x1.fe460bd810ba3p-15, 0x1.f4b9e4c6a8928p-15, 0x1.eafc6058db9b2p-15, 0x1.e111d6562638ep-15, 0x1.d6fe71213f3a8p-15, 0x1.ccc62f11016bfp-15, 0x1.c26ce3c34cf79p-15, 0x1.b7f63963ba202p-15, 0x1.ad65b1ec84ffep-15, 0x1.a2bea86777d66p-15, 0x1.980452159b2cap-15, 0x1.8d39bfa454909p-15, 0x1.8261de4ef8e93p-15, 0x1.777f78fa2de3bp-15, 0x1.6c95394d0411p-15, 0x1.61a5a8bfa1d79p-15, 0x1.56b331ac2014fp-15, 0x1.4bc0204949e71p-15, 0x1.40cea3adcc07p-15, 0x1.35e0cec21bccfp-15, 0x1.2af89934c0e51p-15, 0x1.2017e062be8b2p-15, 0x1.1540683f662d9p-15, 0x1.0a73dc30bab83p-15, 0x1.ff679fd5ac775p-16, 0x1.ea038085ef955p-16, 0x1.d4be27fa166bfp-16, 0x1.bf9a392610539p-16, 0x1.aa9a2dfe6b5e7p-16, 0x1.95c058e9daff9p-16, 0x1.810ee6393016cp-16, 0x1.6c87dd8e360dp-16, 0x1.582d233c44badp-16, 0x1.4400799b1dd33p-16, 0x1.30038253e9058p-16, 0x1.1c37bfabb1b21p-16, 0x1.089e95b56853ap-16, 0x1.ea729712b5191p-17, 0x1.c41218d063778p-17, 0x1.9e1dd1bedc114p-17, 0x1.7897afbe7b6efp-17, 0x1.53816f97cb2bdp-17, 0x1.2edc9f1287735p-17, 0x1.0aaa9ee65496dp-17, 0x1.cdd949761bdb5p-18, 0x1.87477a0a193ap-18, 0x1.41a199b41b33bp-18, 0x1.f9d24ec281a5fp-19, 0x1.723eb499d213fp-19, 0x1.d914954618b08p-20, 0x1.a2d9d072d23e1p-21, -0x1.93be7d46b8717p-23, -0x1.3298b00f5e068p-20, -0x1.177adb9b6e3e5p-19, -0x1.93c7dc2c3e981p-19, -0x1.071a142e6b651p-18, -0x1.4360773f8fccp-18, -0x1.7eb7dbb431491p-18, -0x1.b92130c966405p-18, -0x1.f29d8e1a97011p-18, -0x1.159718b582ee9p-17, -0x1.316a3e1fbe276p-17, -0x1.4cc8f8ec8d744p-17, -0x1.67b41a858c12bp-17, -0x1.822c831b6e31ap-17, -0x1.9c3320b72f3ebp-17, -0x1.b5c8ee3cd84b4p-17, -0x1.ceeef29cfefe6p-17, -0x1.e7a63fd8d5b66p-17, -0x1.ffeff2420a763p-17, -0x1.0be697cfa883dp-16, -0x1.179f933905b53p-16, -0x1.2323869424284p-16, -0x1.2e7310be33f44p-16, -0x1.398ed3d87018dp-16, -0x1.447774fe0eb23p-16, -0x1.4f2d9be7f0f77p-16, -0x1.59b1f2a88f60dp-16, -0x1.6405255c761bp-16, -0x1.6e27e1e473245p-16, -0x1.781ad7a1383acp-16, -0x1.81deb7389f52ep-16, -0x1.8b74324b57101p-16, -0x1.94dbfb4452ac4p-16, -0x1.9e16c5185b432p-16, -0x1.a7254317ff993p-16, -0x1.b00828b27c014p-16, -0x1.b8c0294cad7bdp-16, -0x1.c14df80db55d7p-16, -0x1.c9b247ba5c0e3p-16, -0x1.d1edca80b08fcp-16, -0x1.da0131d62b3d7p-16, -0x1.e1ed2e4f7cb1cp-16, -0x1.e9b26f80549eep-16, -0x1.f151a3d65c12ep-16, -0x1.f8cb7878c363p-16, -0x1.00104c9715efep-15, -0x1.03a8d82026bc3p-15, -0x1.072fb32e870adp-15, -0x1.0aa531414cd82p-15, -0x1.0e09a4f20666fp-15, -0x1.115d5fec94e75p-15, -0x1.14a0b2e15d51fp-15, -0x1.17d3ed8103a69p-15, -0x1.1af75e7080018p-15, -0x1.1e0b534149f6bp-15, -0x1.2110186b6d8f3p-15, -0x1.2405f9459a8a7p-15, -0x1.26ed3fff5742dp-15, -0x1.29c6359ca1fc2p-15, -0x1.2c9121ef53e51p-15, -0x1.2f4e4b9585486p-15, -0x1.31fdf7f3d894dp-15, -0x1.34a06b323a198p-15, -0x1.3735e8382d8bep-15, -0x1.39beb0ac30957p-15, -0x1.3c3b04f13a989p-15, -0x1.3eab2423cd20dp-15, -0x1.410f4c1b19e2p-15, -0x1.4367b967157bcp-15, -0x1.45b4a74f8fcf8p-15, -0x1.47f64fd5ad394p-15, -0x1.4a2cebb18ce0fp-15, -0x1.4c58b2567610ap-15, -0x1.4e79d9f056e3fp-15, -0x1.50909766cdc8cp-15, -0x1.529d1e5eae9bap-15, -0x1.549fa13bf09c1p-15, -0x1.56985122a81a9p-15, -0x1.58875df988dd7p-15, -0x1.5a6cf66d01a49p-15, -0x1.5c4947f10ac5fp-15, -0x1.5e1c7ec399cc6p-15, -0x1.5fe6c5f14eb49p-15, -0x1.61a8475756b5cp-15, -0x1.63612ba85eabep-15, -0x1.65119a6d6b433p-15, -0x1.66b9ba0c306ep-15, -0x1.6859afc90912dp-15, -0x1.69f19fcbf330bp-15, -0x1.6b81ad247ee03p-15, -0x1.6d09f9cc93032p-15, -0x1.6e8aa6af1006cp-15, -0x1.7003d3a9c6d9bp-15, -0x1.71759f94f0403p-15, -0x1.72e02843f525fp-15, -0x1.74438a8ca90e4p-15, -0x1.759fe24a809dfp-15, -0x1.76f54a6401661p-15, -0x1.7843dccf2d31bp-15, -0x1.798bb2961df7ap-15, -0x1.7acce3dd371e7p-15, -0x1.7c0787e6a2a42p-15, -0x1.7d3bb5169ff56p-15, -0x1.7e6980f9102fp-15, -0x1.7f91004714068p-15, -0x1.80b246eb7f057p-15, -0x1.81cd6806cadd2p-15, -0x1.82e275f4ede06p-15, -0x1.83f182521c6d2p-15, -0x1.84fa9e00cbb6ap-15, -0x1.85fdd92bb8f24p-15, -0x1.86fb434d0dcdbp-15, -0x1.87f2eb33072f7p-15, -0x1.88e4df03cfae6p-15, -0x1.89d12c434c518p-15, -0x1.8ab7dfd6ae9c6p-15, -0x1.8b99060a1eb82p-15, -0x1.8c74aa95addccp-15, -0x1.8d4ad8a12d2f1p-15, -0x1.8e1b9ac88b01p-15, -0x1.8ee6fb218d316p-15, -0x1.8fad033fabff9p-15, -0x1.906dbc3867031p-15, -0x1.91292ea704fa6p-15, -0x1.91df62b298be4p-15, -0x1.92906011951cp-15, -0x1.933c2e0d6e608p-15, -0x1.93e2d387be1d9p-15, -0x1.948456fde1773p-15, -0x1.9520be8c7086dp-15, -0x1.95b80ff4b0ac2p-15, -0x1.964a509f8e8f2p-15, -0x1.96d785a18c0cdp-15, -0x1.975fb3bec027ap-15, -0x1.97e2df6ebb955p-15, -0x1.98610ce094376p-15, -0x1.98da3ffdbce2ap-15, -0x1.994e7c6da5798p-15, -0x1.99bdc599cead2p-15, -0x1.9a281eb10817dp-15, -0x1.9a8d8aaa2f29p-15, -0x1.9aee0c486b407p-15, -0x1.9b49a61dd6fc7p-15, -0x1.9ba05a8ef235ap-15, -0x1.9bf22bd5f3324p-15, -0x1.9c3f1c04dc983p-15, -0x1.9c872d08d3ab5p-15, -0x1.9cca60ad5b29dp-15, -0x1.9d08b8a0084bbp-15, -0x1.9d423670c7fp-15, -0x1.9d76db96a2e7fp-15, -0x1.9da6a9724790cp-15, -0x1.9dd1a14f3bb5dp-15, -0x1.9df7c467067e4p-15, -0x1.9e1913e4a3d9cp-15, -0x1.9e3590e5534fp-15, -0x1.9e4d3c7b7aeefp-15, -0x1.9e6017b1434e2p-15, -0x1.9e6e2389fd48bp-15, -0x1.9e776104c6fd8p-15, -0x1.9e7bd11e463d7p-15, -0x1.9e7b74d2b6904p-15, -0x1.9e764d1ffa1cp-15, -0x1.9e6c5b0759d78p-15, -0x1.9e5d9f8f57c11p-15, -0x1.9e4a1bc51d47ep-15, -0x1.9e31d0beb76f6p-15, -0x1.9e14bf9bd67b9p-15, -0x1.9df2e9871a205p-15, -0x1.9dcc4fb987747p-15, -0x1.9da0f37a447ccp-15, -0x1.9d70d6200863ap-15, -0x1.9d3bf9138e5efp-15, -0x1.9d025dcf3693p-15, -0x1.9cc405e0b273fp-15, -0x1.9c80f2eb5ada1p-15, -0x1.9c3926a88c99cp-15, -0x1.9beca2e7b6345p-15, -0x1.9b9b69907a0a4p-15, -0x1.9b457ca403e93p-15, -0x1.9aeade3cf8788p-15, -0x1.9a8b90903b628p-15, -0x1.9a2795eeb37d7p-15, -0x1.99bef0c54c988p-15, -0x1.9951a39d30693p-15, -0x1.98dfb11dcbea8p-15, -0x1.98691c0cf7b76p-15, -0x1.97ede74e9e548p-15, -0x1.976e15e659704p-15, -0x1.96e9aaf7be443p-15, -0x1.9660a9c64400bp-15, -0x1.95d315b5c9779p-15, -0x1.9540f24c45184p-15, -0x1.94aa43306269cp-15, -0x1.940f0c2a17ecp-15, -0x1.936f51247f122p-15, -0x1.92cb162c7e586p-15, -0x1.92225f70c0427p-15, -0x1.9175314375b79p-15, -0x1.90c39018eca44p-15, -0x1.900d80882f959p-15, -0x1.8f53074be34dp-15, -0x1.8e94294167036p-15, -0x1.8dd0eb68afa91p-15, -0x1.8d0952e4c5a34p-15, -0x1.8c3d64fc0b6ap-15, -0x1.8b6d27176b1fdp-15, -0x1.8a989ec2b77c4p-15, -0x1.89bfd1ac314ccp-15, -0x1.88e2c5a467639p-15, -0x1.8801809ef7b52p-15, -0x1.871c08b191578p-15, -0x1.86326413495efp-15, -0x1.8544991dcd1cfp-15, -0x1.8452ae4bb3f0fp-15, -0x1.835caa381a67p-15, -0x1.826293a0263f6p-15, -0x1.816471610561ep-15, -0x1.80624a7846232p-15, -0x1.7f5c260406d32p-15, -0x1.7e520b40e365bp-15, -0x1.7d44018b2c036p-15, -0x1.7c32105e319dap-15, -0x1.7b1c3f532dfcbp-15, -0x1.7a029621b7c34p-15, -0x1.78e51c9eed801p-15, -0x1.77c3dabc64f13p-15, -0x1.769ed88942993p-15, -0x1.75761e30a1e6bp-15, -0x1.7449b3f8e16bdp-15, -0x1.7319a244019f5p-15, -0x1.71e5f18e90299p-15, -0x1.70aeaa6eb3f9ep-15, -0x1.6f73d594ddd17p-15, -0x1.6e357bcaab46p-15, -0x1.6cf3a5f1e0781p-15, -0x1.6bae5d05155f4p-15, -0x1.6a65aa1586fbap-15, -0x1.6919964b98519p-15, -0x1.67ca2ae664866p-15, -0x1.6677713a80bdfp-15, -0x1.652172b1e0b8ep-15, -0x1.63c838cb018a6p-15, -0x1.626bcd1887986p-15, -0x1.610c3940f68d2p-15, -0x1.5fa986fd4b92cp-15, -0x1.5e43c01915d35p-15, -0x1.5cdaee7170e75p-15, -0x1.5b6f1bf46b59cp-15, -0x1.5a0052a11cfeep-15, -0x1.588e9c85da819p-15, -0x1.571a03c0fe111p-15, -0x1.55a2927f7ebbap-15, -0x1.542852fbe3a7dp-15, -0x1.52ab4f7ec5101p-15, -0x1.512b925dda822p-15, -0x1.4fa925fa7c3edp-15, -0x1.4e2414c26a1aep-15, -0x1.4c9c692e007d5p-15, -0x1.4b122dc02e48ep-15, -0x1.49856d062145bp-15, -0x1.47f631962642cp-15, -0x1.4664860fbc2e3p-15, -0x1.44d0751a3752ep-15, -0x1.433a0964576bfp-15, -0x1.41a14da3fc57fp-15, -0x1.40064c9571978p-15, -0x1.3e6910fabd0aap-15, -0x1.3cc9a59b2d72cp-15, -0x1.3b2815431b664p-15, -0x1.39846ac2b2627p-15, -0x1.37deb0ed7faa2p-15, -0x1.3636f29a9e96cp-15, -0x1.348d3aa3021f7p-15, -0x1.32e193e1b49edp-15, -0x1.3134093369932p-15, -0x1.2f84a5754372dp-15, -0x1.2dd3738519354p-15, -0x1.2c207e3fc093p-15, -0x1.2a6bd081e6ea6p-15, -0x1.28b5752714afcp-15, -0x1.26fd7708e7fd7p-15, -0x1.2543e0fe8a96p-15, -0x1.2388bddc31a15p-15, -0x1.21cc1872f2ccap-15, -0x1.200dfb902acefp-15, -0x1.1e4e71fc93956p-15, -0x1.1c8d867c7aaa8p-15, -0x1.1acb43cf4ea4p-15, -0x1.1907b4ae8225cp-15, -0x1.1742e3cd11062p-15, -0x1.157cdbd7b31bp-15, -0x1.13b5a773fa534p-15, -0x1.11ed514021b6cp-15, -0x1.1023e3d26e839p-15, -0x1.0e5969b8e81f2p-15, -0x1.0c8ded78c067bp-15, -0x1.0ac1798dffc2p-15, -0x1.08f4186b6397bp-15, -0x1.0725d4798ad9dp-15, -0x1.0556b816af632p-15, -0x1.0386cd967721ep-15, -0x1.01b61f418a872p-15, -0x1.ffc96ea9f8f86p-16, -0x1.fc254003915cep-16, -0x1.f87fc6d9f438ep-16, -0x1.f4d9175f35beap-16, -0x1.f13145aa816bbp-16, -0x1.ed8865b893cfdp-16, -0x1.e9de8b6c9aa67p-16, -0x1.e633ca8cd425bp-16, -0x1.e28836c302495p-16, -0x1.dedbe39cccd1ep-16, -0x1.db2ee48aa83fp-16, -0x1.d7814cde6708fp-16, -0x1.d3d32fcb0a11fp-16, -0x1.d024a06512cbcp-16, -0x1.cc75b1a1789a3p-16, -0x1.c8c676545909cp-16, -0x1.c5170131b328dp-16, -0x1.c16764cbc427ep-16, -0x1.bdb7b39331dcep-16, -0x1.ba07ffd6f5ddep-16, -0x1.b6585bc2e9afcp-16, -0x1.b2a8d95fdaf31p-16, -0x1.aef98a9384e85p-16, -0x1.ab4a811fe88abp-16, -0x1.a79bcea1ba7b4p-16, -0x1.a3ed8491dd4e7p-16, -0x1.a03fb4445073p-16, -0x1.9c926ee6d36f8p-16, -0x1.98e5c581c2618p-16, -0x1.9539c8f821851p-16, -0x1.918e8a0521a87p-16, -0x1.8de4193dd41edp-16, -0x1.8a3a8710e7bcfp-16, -0x1.8691e3c4ec40ap-16, -0x1.82ea3f78dcaa9p-16, -0x1.7f43aa248fa73p-16, -0x1.7b9e33978326bp-16, -0x1.77f9eb7828f07p-16, -0x1.7456e144a08bdp-16, -0x1.70b52452d2a1fp-16, -0x1.6d14c3cefb02ep-16, -0x1.6975cebca4d97p-16, -0x1.65d853f5da6cp-16, -0x1.623c622ad4683p-16, -0x1.5ea207e303c75p-16, -0x1.5b09537ac5188p-16, -0x1.57725324d67b6p-16, -0x1.53dd14eae7bd6p-16, -0x1.5049a6aae751bp-16, -0x1.4cb81618fce1ap-16, -0x1.492870c008d78p-16, -0x1.459ac3feb587ap-16, -0x1.420f1d0992e63p-16, -0x1.3e8588eb68acep-16, -0x1.3afe148330faep-16, -0x1.3778cc85ed6d8p-16, -0x1.33f5bd7dfba0bp-16, -0x1.3074f3c9d53fbp-16, -0x1.2cf67b9db2ac7p-16, -0x1.297a6103a9fbep-16, -0x1.2600afd9b51d8p-16, -0x1.228973d3645d8p-16, -0x1.1f14b87a31428p-16, -0x1.1ba2892c4fe92p-16, -0x1.1832f11cb1e5bp-16, -0x1.14c5fb5465e8ep-16, -0x1.115bb2b11b485p-16, -0x1.0df421e66ee6ep-16, -0x1.0a8f537cc30c8p-16, -0x1.072d51d27486bp-16, -0x1.03ce271c08c67p-16, -0x1.0071dd6253042p-16, -0x1.fa30fd09a02eep-17, -0x1.f384287228606p-17, -0x1.ecdd50136db72p-17, -0x1.e63c86b0e1c6dp-17, -0x1.dfa1deb990637p-17, -0x1.d90d6a482847p-17, -0x1.d27f3b261ae81p-17, -0x1.cbf762c84d144p-17, -0x1.c575f251f5edp-17, -0x1.befafa94ba496p-17, -0x1.b8868c0eb5bfap-17, -0x1.b218b6ed1ba9fp-17, -0x1.abb18b0ddd684p-17, -0x1.a55117fa5b5eep-17, -0x1.9ef76ced9d6f4p-17, -0x1.98a498d2d39f5p-17, -0x1.9258aa4444481p-17, -0x1.8c13af8c63aaep-17, -0x1.85d5b6a842852p-17, -0x1.7f9ecd44dea2ap-17, -0x1.796f00c17d441p-17, -0x1.73465e2e9da07p-17, -0x1.6d24f251f0e8p-17, -0x1.670ac9a08de15p-17, -0x1.60f7f045c5076p-17, -0x1.5aec722073fd9p-17, -0x1.54e85ac22a815p-17, -0x1.4eebb572cb86bp-17, -0x1.48f68d2f5a1c3p-17, -0x1.4308eca9b58a2p-17, -0x1.3d22de4c0b983p-17, -0x1.37446c348aa65p-17, -0x1.316da03ad6b9ap-17, -0x1.2b9e83ed7954fp-17, -0x1.25d72092e1d9dp-17, -0x1.20177f2b6267cp-17, -0x1.1a5fa86f8c571p-17, -0x1.14afa4d16379fp-17, -0x1.0f077c7fb2d72p-17, -0x1.0967376104462p-17, -0x1.03cedd192d8ep-17, -0x1.fc7cea1002143p-18, -0x1.f16c0c9196314p-18, -0x1.e66b2f6896749p-18, -0x1.db7a5fc3e6dc8p-18, -0x1.d099aa4c9b832p-18, -0x1.c5c91b281352p-18, -0x1.bb08bdfd9ea3p-18, -0x1.b0589df171629p-18, -0x1.a5b8c5a98567dp-18, -0x1.9b293f4f81467p-18, -0x1.90aa148d9d149p-18, -0x1.863b4e92f9d58p-18, }}, 
      {{0x1.e46006d43b577p-10, 0x1.e551e9960776cp-9, 0x1.6d2a90b8d95c8p-8, 0x1.e91227d3cc15fp-8, 0x1.3368caf9fd176p-7, 0x1.736b27e8b0f3cp-7, 0x1.b4c44b2888c93p-7, 0x1.f7a5672381befp-7, 0x1.1e1e3ed7a2af3p-6, 0x1.415a16ef57c51p-6, 0x1.6599c8568a5edp-6, 0x1.8aef116ff75e3p-6, 0x1.b169dd3c84c24p-6, 0x1.d91843118daeap-6, 0x1.0103454734acbp-5, 0x1.161f999184c95p-5, 0x1.2be57f453b564p-5, 0x1.42587ed675abap-5, 0x1.597b4fb6d7adap-5, 0x1.714fe07c2657ep-5, 0x1.89d75f978ae46p-5, 0x1.a3124474f7bcbp-5, 0x1.bd0058e00a496p-5, 0x1.d7a0c2910354fp-5, 0x1.f2f20cc901407p-5, 0x1.077918f45824bp-4, 0x1.15cf5278132b2p-4, 0x1.247a2d6cc857cp-4, 0x1.3377e9e17fab8p-4, 0x1.42c691eeda5ccp-4, 0x1.5263fe0daabbcp-4, 0x1.624dd9496d76p-4, 0x1.7281a54c47ee4p-4, 0x1.82fcbe42c4b99p-4, 0x1.93bc5e9606299p-4, 0x1.a4bda27b98cb1p-4, 0x1.b5fd8b5a72cbap-4, 0x1.c7790304ec5fbp-4, 0x1.d92cdec800dbep-4, 0x1.eb15e2500dfb7p-4, 0x1.fd30c263ecb3ep-4, 0x1.07bd13bb7f1c5p-3, 0x1.10f75809b2483p-3, 0x1.1a45798eb58cbp-3, 0x1.23a5c0f8b1576p-3, 0x1.2d16752eb250bp-3, 0x1.3695dc3c2e2d8p-3, 0x1.40223c2bf0defp-3, 0x1.49b9dbd33b8e5p-3, 0x1.535b038dd0c02p-3, 0x1.5d03fdebd5d62p-3, 0x1.66b3185231f21p-3, 0x1.7066a38e4c476p-3, 0x1.7a1cf45de8bd3p-3, 0x1.83d463ebd8f38p-3, 0x1.8d8b50424cdd6p-3, 0x1.97401cb3676bdp-3, 0x1.a0f13238d2a5cp-3, 0x1.aa9cffcae44e2p-3, 0x1.b441fab00225p-3, 0x1.bdde9ec4c8d1dp-3, 0x1.c7716ebd8f662p-3, 0x1.d0f8f461b3a9bp-3, 0x1.da73c0c13a2a7p-3, 0x1.e3e06c6529db9p-3, 0x1.ed3d977b04057p-3, 0x1.f689e9fbbf708p-3, 0x1.ffc413ce9fa27p-3, 0x1.04756674126f2p-2, 0x1.08fe6ab2bb46p-2, 0x1.0d7c7ad23a71p-2, 0x1.11eeff2c59e52p-2, 0x1.1655644ecb362p-2, 0x1.1aaf1b02dc1d2p-2, 0x1.1efb9853e5fa3p-2, 0x1.233a55948e506p-2, 0x1.276ad062e80fcp-2, 0x1.2b8c8aab8350dp-2, 0x1.2f9f0aab7d18cp-2, 0x1.33a1daf1969fap-2, 0x1.37948a5e637edp-2, 0x1.3b76ac23963fep-2, 0x1.3f47d7c2764c2p-2, 0x1.4307a909816f2p-2, 0x1.46b5c0114b64ap-2, 0x1.4a51c138962bdp-2, 0x1.4ddb551fb1319p-2, 0x1.515228a323484p-2, 0x1.54b5ecd5a3615p-2, 0x1.580656f968d4fp-2, 0x1.5b432078d3381p-2, 0x1.5e6c06de744ep-2, 0x1.6180cbcc7c171p-2, 0x1.648134f390371p-2, 0x1.676d0c091076fp-2, 0x1.6a441ebccbe65p-2, 0x1.6d063eae30498p-2, 0x1.6fb34160f3d4p-2, 0x1.724b003140a9dp-2, 0x1.74cd5847661dp-2, 0x1.773a2a8b12bafp-2, 0x1.79915b9621b7dp-2, 0x1.7bd2d3a6f7c3cp-2, 0x1.7dfe7e927e3bfp-2, 0x1.80144bb5b9a5cp-2, 0x1.82142de704ae1p-2, 0x1.83fe1b66f3a42p-2, 0x1.85d20dd0e6261p-2, 0x1.8790020b4a13fp-2, 0x1.8937f83798248p-2, 0x1.8ac9f3a20bddep-2, 0x1.8c45fab11d1a9p-2, 0x1.8dac16d4c304dp-2, 0x1.8efc54757ec71p-2, 0x1.9036c2e33ab1dp-2, 0x1.915b7443fc148p-2, 0x1.926a7d8271061p-2, 0x1.9363f63c5afeap-2, 0x1.9447f8b0e1b0fp-2, 0x1.9516a1aec71abp-2, 0x1.95d010828ed39p-2, 0x1.967466e491923p-2, 0x1.9703c8e70692ep-2, 0x1.977e5ce40a5b3p-2, 0x1.97e44b6b9b601p-2, 0x1.9835bf319fe8p-2, 0x1.9872e4fbea2b1p-2, 0x1.989beb9049a48p-2, 0x1.98b103a2a7637p-2, 0x1.98b25fc3306ddp-2, 0x1.98a0344c96216p-2, 0x1.987ab75264921p-2, 0x1.9842208f6ee5ap-2, 0x1.97f6a9545cabdp-2, 0x1.97988c7654adfp-2, 0x1.9728063dc92b4p-2, 0x1.96a5545569779p-2, 0x1.9610b5b93d61dp-2, 0x1.956a6aa5e4ab1p-2, 0x1.94b2b48809f2cp-2, 0x1.93e9d5ebfbe5bp-2, 0x1.9310126d7f9a4p-2, 0x1.9225aea7cbd39p-2, 0x1.912af025c1661p-2, 0x1.90201d52538cfp-2, 0x1.8f057d692a4d3p-2, 0x1.8ddb58677d94fp-2, 0x1.8ca1f6fd2d7cap-2, 0x1.8b59a27e10a0bp-2, 0x1.8a02a4d388da1p-2, 0x1.889d486e4cbcfp-2, 0x1.8729d83879a93p-2, 0x1.85a89f87dfe8ap-2, 0x1.8419ea10960cdp-2, 0x1.827e03d7c96eep-2, 0x1.80d53926d6dp-2, 0x1.7f1fd67ea3a0fp-2, 0x1.7d5e288b3e183p-2, 0x1.7b907c17c0926p-2, 0x1.79b71e027d84ap-2, 0x1.77d25b316c854p-2, 0x1.75e28086e4bd6p-2, 0x1.73e7dad695cd3p-2, 0x1.71e2b6dacfdbap-2, 0x1.6fd3612a0a189p-2, 0x1.6dba262cb86a7p-2, 0x1.6b97521362a2cp-2, 0x1.696b30cd04b51p-2, 0x1.67360dfdb46b4p-2, 0x1.64f834f590fc7p-2, 0x1.62b1f0a7f50d7p-2, 0x1.60638ba2f304ep-2, 0x1.5e0d500712764p-2, 0x1.5baf877f58c26p-2, 0x1.594a7b3991edap-2, 0x1.56de73dee1267p-2, 0x1.546bb98c95777p-2, 0x1.51f293cd3f1fcp-2, 0x1.4f7349920d7dbp-2, 0x1.4cee212c6938ep-2, 0x1.4a636047d61ep-2, 0x1.47d34be4121b3p-2, 0x1.453e284f76a6ep-2, 0x1.42a43921997a2p-2, 0x1.4005c1362df32p-2, 0x1.3d6302a82014p-2, 0x1.3abc3eccf41ddp-2, 0x1.3811b6305af2ep-2, 0x1.3563a89009c2dp-2, 0x1.32b254d7c59c4p-2, 0x1.2ffdf91dae53dp-2, 0x1.2d46d29ebff41p-2, 0x1.2a8d1dbb8c78ep-2, 0x1.27d115f52d65fp-2, 0x1.2512f5ea6b053p-2, 0x1.2252f755186bcp-2, 0x1.1f915307a598p-2, 0x1.1cce40eae2609p-2, 0x1.1a09f7fbf4681p-2, 0x1.1744ae4a80157p-2, 0x1.147e98f6fed88p-2, 0x1.11b7ec3146b12p-2, 0x1.0ef0db373db14p-2, 0x1.0c299853bd6edp-2, 0x1.096254dd9fcep-2, 0x1.069b4136f9177p-2, 0x1.03d48ccc77e14p-2, 0x1.010e6614f3976p-2, 0x1.fc91f5223c643p-3, 0x1.f708ed96bda81p-3, 0x1.f1820cafa0f0fp-3, 0x1.ebfda7a8ceaa9p-3, 0x1.e67c11d272d91p-3, 0x1.e0fd9c91cd905p-3, 0x1.db8297624ff25p-3, 0x1.d60b4fd6f41c6p-3, 0x1.d098119bd388bp-3, 0x1.cb292677fcc42p-3, 0x1.c5bed64f87982p-3, 0x1.c0596725d7d34p-3, 0x1.baf91d202128dp-3, 0x1.b59e3a881ef68p-3, 0x1.b048ffcef560bp-3, 0x1.aaf9ab9053872p-3, 0x1.a5b07a95b4823p-3, 0x1.a06da7d9dd117p-3, 0x1.9b316c8c7652p-3, 0x1.95fc0015e281bp-3, 0x1.90cd981b28a1bp-3, 0x1.8ba66882115bp-3, 0x1.8686a37567f3p-3, 0x1.816e79695a09ep-3, 0x1.7c5e191ff8c55p-3, 0x1.7755afaddeed3p-3, 0x1.7255687ee89f9p-3, 0x1.6d5d6d5b1a84cp-3, 0x1.686de66b8e49cp-3, 0x1.6386fa3f88733p-3, 0x1.5ea8cdd19d237p-3, 0x1.59d3848ceca0dp-3, 0x1.55074052779cp-3, 0x1.5044217e826a2p-3, 0x1.4b8a46ee0c7a1p-3, 0x1.46d9ce04579f1p-3, 0x1.4232d2b07e4f9p-3, 0x1.3d956f731633fp-3, 0x1.3901bd63e36cap-3, 0x1.3477d43792e0cp-3, 0x1.2ff7ca457d592p-3, 0x1.2b81b48d7b517p-3, 0x1.2715a6bdb8c99p-3, 0x1.22b3b3388d7cbp-3, 0x1.1e5beb1a68725p-3, 0x1.1a0e5e3fad7cbp-3, 0x1.15cb1b4aa44e8p-3, 0x1.11922fa961686p-3, 0x1.0d63a79bb7d27p-3, 0x1.093f8e392209dp-3, 0x1.0525ed76b2d8bp-3, 0x1.0116ce2cff252p-3, 0x1.fa24703c11423p-4, 0x1.f23063f646669p-4, 0x1.ea5182d5b13adp-4, 0x1.e287d61d8a332p-4, 0x1.dad36512e2a6ep-4, 0x1.d334350841e55p-4, 0x1.cbaa496940877p-4, 0x1.c435a3c610681p-4, 0x1.bcd643deef7f8p-4, 0x1.b58c27af8cac4p-4, 0x1.ae574b7a5ca6cp-4, 0x1.a737a9d3d10ccp-4, 0x1.a02d3bad8be82p-4, 0x1.9937f86161c66p-4, 0x1.9257d5bc63bbp-4, 0x1.8b8cc809b81f9p-4, 0x1.84d6c21d675d7p-4, 0x1.7e35b55f0a486p-4, 0x1.77a991d45f7dbp-4, 0x1.7132462bc227bp-4, 0x1.6acfbfc687c56p-4, 0x1.6481eac33d66dp-4, 0x1.5e48b207cca2ep-4, 0x1.5823ff4b7923fp-4, 0x1.5213bb20cadbdp-4, 0x1.4c17ccff4bb4cp-4, 0x1.46301b4d31617p-4, 0x1.405c8b68ddd63p-4, 0x1.3a9d01b244228p-4, 0x1.34f16194274bap-4, 0x1.2f598d8d3db55p-4, 0x1.29d567392c141p-4, 0x1.2464cf5961c32p-4, 0x1.1f07a5ddcf1b4p-4, 0x1.19bdc9ed802a3p-4, 0x1.148719ef09d9dp-4, 0x1.0f637390dc008p-4, 0x1.0a52b3d16eac1p-4, 0x1.0554b70745bb9p-4, 0x1.006958e8da16p-4, 0x1.f720e928b040ep-5, 0x1.ed93c92e78dc9p-5, 0x1.e42b05eb9e61cp-5, 0x1.dae65264ed542p-5, 0x1.d1c560a9d2266p-5, 0x1.c8c7e1e2792p-5, 0x1.bfed865d99d1bp-5, 0x1.b735fd9e0ed1ap-5, 0x1.aea0f6680d0f7p-5, 0x1.a62e1ece2d117p-5, 0x1.9ddd243e1d494p-5, 0x1.95adb38d14063p-5, 0x1.8d9f7903fc169p-5, 0x1.85b2206b58eeap-5, 0x1.7de55516e741fp-5, 0x1.7638c1f0f84bcp-5, 0x1.6eac1185898aap-5, 0x1.673eee0d19472p-5, 0x1.5ff101773355p-5, 0x1.58c1f574c09acp-5, 0x1.51b1738213c0ap-5, 0x1.4abf24f0aaedp-5, 0x1.43eab2f0c63b4p-5, 0x1.3d33c69a9e23fp-5, 0x1.369a08f77a3afp-5, 0x1.301d230a716p-5, 0x1.29bcbdd8f7f8ap-5, 0x1.237882732d6d3p-5, 0x1.1d5019fbe7264p-5, 0x1.17432db08d181p-5, 0x1.115166f0a6709p-5, 0x1.0b7a6f453e82p-5, 0x1.05bdf068094bcp-5, 0x1.001b944a45284p-5, 0x1.f5260a36e6a2ep-6, 0x1.ea47da9fa43bbp-6, 0x1.df9bef4d31ee4p-6, 0x1.d5219e60164cap-6, 0x1.cad83ea69b83p-6, 0x1.c0bf27a817465p-6, 0x1.b6d5b1afc2e08p-6, 0x1.ad1b35d73f7f7p-6, 0x1.a38f0e10a44b8p-6, 0x1.9a3095302f9b3p-6, 0x1.90ff26f59f7cep-6, 0x1.87fa201527bc2p-6, 0x1.7f20de3ffda54p-6, 0x1.7672c02c9c027p-6, 0x1.6def259ea3e03p-6, 0x1.65956f6e5f06fp-6, 0x1.5d64ff8ffd7e2p-6, 0x1.555d391a6d06ap-6, 0x1.4d7d804de05cep-6, 0x1.45c53a9a0be32p-6, 0x1.3e33cea41430dp-6, 0x1.36c8a44c23f67p-6, 0x1.2f8324b2bb847p-6, 0x1.2862ba3db234cp-6, 0x1.2166d09cf7cc6p-6, 0x1.1a8ed4cf043b8p-6, 0x1.13da3524fee33p-6, 0x1.0d486146b8d1ap-6, 0x1.06d8ca363aa07p-6, 0x1.008ae25339b1ap-6, 0x1.f4bc3abc7798ap-7, 0x1.e8a3e0f6eb853p-7, 0x1.dccba46b05609p-7, 0x1.d13274ff89563p-7, 0x1.c5d745713ee74p-7, 0x1.bab90b56fcbe9p-7, 0x1.afd6bf251f55cp-7, 0x1.a52f5c30b7d47p-7, 0x1.9ac1e0b236a36p-7, 0x1.908d4dc7ed304p-7, 0x1.8690a777c66f7p-7, 0x1.7ccaf4b1147abp-7, 0x1.733b3f4da198fp-7, 0x1.69e09412a24fdp-7, 0x1.60ba02b142205p-7, 0x1.57c69dc6cdbfdp-7, 0x1.4f057adc9b2abp-7, 0x1.4675b267948ccp-7, 0x1.3e165fc7877cdp-7, 0x1.35e6a14622e02p-7, 0x1.2de59815a404dp-7, 0x1.2612684f47a43p-7, 0x1.1e6c38f16f761p-7, 0x1.16f233dd9b262p-7, 0x1.0fa385d6063b5p-7, 0x1.087f5e7b2828bp-7, 0x1.0184f048d14aap-7, 0x1.f566e12680932p-8, 0x1.e8142f07b3cccp-8, 0x1.db10402b97543p-8, 0x1.ce599024be6a9p-8, 0x1.c1eea01a65a4cp-8, 0x1.b5cdf6c084a34p-8, 0x1.a9f6204f7294ep-8, 0x1.9e65ae7b538dbp-8, 0x1.931b386b02faep-8, 0x1.88155aaf0efa9p-8, 0x1.7d52b737ed42dp-8, 0x1.72d1f54c50af6p-8, 0x1.6891c17f2a15cp-8, 0x1.5e90cda535b26p-8, 0x1.54cdd0ca71c83p-8, 0x1.4b47872764d76p-8, 0x1.41fcb21633693p-8, 0x1.38ec180757d9p-8, 0x1.301484764f6b7p-8, 0x1.2774c7de193b8p-8, 0x1.1f0bb7ad6e81bp-8, 0x1.16d82e3b06653p-8, 0x1.0ed90ab97e9a5p-8, 0x1.070d312b4401cp-8, 0x1.fee714aca84cep-9, 0x1.f016076fb32a6p-9, 0x1.e1a51eef68fecp-9, 0x1.d39248b7ebb67p-9, 0x1.c5db7b784230cp-9, 0x1.b87eb6e91c65fp-9, 0x1.ab7a03b31101bp-9, 0x1.9ecb735505c71p-9, 0x1.9271200a2bdd4p-9, 0x1.86692cb063b28p-9, 0x1.7ab1c4adde16ap-9, 0x1.6f491bd77e6d3p-9, 0x1.642d6e564d9ebp-9, 0x1.595d008dbde4ap-9, 0x1.4ed61f0131fecp-9, 0x1.44971e3a15162p-9, 0x1.3a9e5aad7f385p-9, 0x1.30ea38a226f2cp-9, 0x1.27792416501d4p-9, 0x1.1e4990a5921cp-9, 0x1.1559f96ef5641p-9, 0x1.0ca8e0facd717p-9, 0x1.0434d12123fb3p-9, 0x1.f7f8b5decf21ap-10, 0x1.e7fc2d1e6401cp-10, 0x1.d87146587cea9p-10, 0x1.c9554db62407p-10, 0x1.baa59cff1db23p-10, 0x1.ac5f9b671590ep-10, 0x1.9e80bd5b85713p-10, 0x1.910684514b1ap-10, 0x1.83ee7e930c244p-10, 0x1.7736470ff7474p-10, 0x1.6adb852a0aec4p-10, 0x1.5edbec85753b6p-10, 0x1.53353cd83e77bp-10, 0x1.47e541b9a24adp-10, 0x1.3ce9d272af937p-10, 0x1.3240d1ce851f2p-10, 0x1.27e82deb2d255p-10, 0x1.1ddde00b1f63cp-10, 0x1.141fec66b257cp-10, 0x1.0aac61fe409c6p-10, 0x1.01815a6cc6dep-10, 0x1.f139f374b2c47p-11, 0x1.dffadc5fe8e83p-11, 0x1.cf41e055cd626p-11, 0x1.bf0b83e1fb911p-11, 0x1.af545f0a4c5b5p-11, 0x1.a0191cf922017p-11, 0x1.91567ba7ebff6p-11, 0x1.83094b8b2742ep-11, 0x1.752e6f3f7681bp-11, 0x1.67c2db36a5651p-11, 0x1.5ac395670d44dp-11, 0x1.4e2db4fa2e193p-11, 0x1.41fe61fdd471fp-11, 0x1.3632d51529961p-11, 0x1.2ac8572b04be5p-11, 0x1.1fbc4124f9773p-11, 0x1.150bfb984617bp-11, 0x1.0ab4fe7db3c77p-11, 0x1.00b4d0e8df175p-11, 0x1.ee12117d3c975p-12, 0x1.db5e94d97b663p-12, 0x1.c94a91472694cp-12, 0x1.b7d1881e32022p-12, 0x1.a6ef1625263abp-12, 0x1.969ef306ead68p-12, 0x1.86dcf0ccd32aep-12, 0x1.77a4fb5a1e13cp-12, 0x1.68f317e8cd5dap-12, 0x1.5ac36487f1a1cp-12, 0x1.4d12179db9016p-12, 0x1.3fdb7f695fb3bp-12, 0x1.331c018776a8ap-12, 0x1.26d01a78915bfp-12, 0x1.1af45d2a16d8cp-12, 0x1.0f85727e638c3p-12, 0x1.048018da7a3b9p-12, 0x1.f3c247654c9edp-13, 0x1.df4af633dc7e8p-13, 0x1.cb9436a6d60d4p-13, 0x1.b89828c9f128p-13, 0x1.a6511357efaedp-13, 0x1.94b962e60ab8fp-13, 0x1.83cba916a4ac3p-13, 0x1.73829bca866efp-13, 0x1.63d91459e5e44p-13, 0x1.54ca0ecc0eeep-13, 0x1.4650a916f459cp-13, 0x1.38682260d09ffp-13, 0x1.2b0bda413f875p-13, 0x1.1e37500b1b7a4p-13, 0x1.11e622172bd33p-13, 0x1.06140d10f9809p-13, 0x1.f579d68f96dp-14, 0x1.dfb96806a9183p-14, 0x1.cadef5b2e805ep-14, 0x1.b6e2de14f21e4p-14, 0x1.a3bdb5b70377bp-14, 0x1.916845f182f5dp-14, 0x1.7fdb8bb11b7a3p-14, 0x1.6f10b63e9e4a2p-14, 0x1.5f012614ff89ap-14, 0x1.4fa66bb63024ap-14, 0x1.40fa4687afe5ap-14, 0x1.32f6a3b6a9125p-14, 0x1.25959d1cef313p-14, 0x1.18d17831ae2fp-14, 0x1.0ca4a4facd4cp-14, 0x1.0109bd028cb44p-14, 0x1.ebf704ad8184ap-15, 0x1.d6e9bd15d3168p-15, 0x1.c2e1c37a06c96p-15, 0x1.afd583449e03fp-15, 0x1.9dbbb134a752bp-15, 0x1.8c8b4988360d9p-15, 0x1.7c3b8e2bc4d5fp-15, 0x1.6cc404ff66be7p-15, 0x1.5e1c76175661p-15, 0x1.503cea160da99p-15, 0x1.431da879b4d63p-15, 0x1.36b7360a515e6p-15, 0x1.2b02533cc2c26p-15, 0x1.1ff7faab9fac3p-15, 0x1.15915f9214791p-15, 0x1.0bc7ec4d3d9c3p-15, 0x1.029540ecd07ecp-15, 0x1.f3e66389885d5p-16, 0x1.e3b78c1236ce2p-16, 0x1.d4926ceb17a68p-16, 0x1.c66bd7ee63137p-16, 0x1.b938fcc391da2p-16, 0x1.acef665001a5cp-16, 0x1.a184f83b813f1p-16, 0x1.96efec8687197p-16, 0x1.8d26d1253a38fp-16, 0x1.842085b1f9bdcp-16, 0x1.7bd439234d0e1p-16, 0x1.7439679b27bdap-16, 0x1.6d47d83cfc885p-16, 0x1.66f79b0b7338dp-16, 0x1.614106d96f26ap-16, 0x1.5c1cb748395a9p-16, 0x1.57838acd52aa5p-16, 0x1.536ea0c2a8084p-16, 0x1.4fd7578c9f37cp-16, 0x1.4cb74abebca7ep-16, 0x1.4a08515b6dd23p-16, 0x1.47c47c0a6f098p-16, 0x1.45e6136d2b6acp-16, 0x1.4467966ce0babp-16, 0x1.4343b8a4c4feap-16, 0x1.427560c55ad8cp-16, 0x1.41f7a70e9e16ap-16, 0x1.41c5d3cc68c8p-16, 0x1.41db5de24688bp-16, 0x1.4233e95d206ccp-16, 0x1.42cb460ce47adp-16, 0x1.439d6e27d4b97p-16, 0x1.44a684fd52d84p-16, 0x1.45e2d5a3749f7p-16, 0x1.474ed1bcdc746p-16, 0x1.48e7103c11ffbp-16, 0x1.4aa84c31abff4p-16, 0x1.4c8f63a757d95p-16, 0x1.4e99567db27b4p-16, 0x1.50c3454ee6987p-16, 0x1.530a705fb1614p-16, 0x1.556c3693bbaa3p-16, 0x1.57e6146a34869p-16, 0x1.5a75a3010aae8p-16, 0x1.5d18971edea11p-16, 0x1.5fccc043754e4p-16, 0x1.629007c347968p-16, 0x1.65606fe1695ebp-16, 0x1.683c12f4e057ap-16, 0x1.6b2122922f4f9p-16, 0x1.6e0de6bd7dc1fp-16, 0x1.7100bd1ddcc02p-16, 0x1.73f8183bf7f2bp-16, 0x1.76f27ec2545d5p-16, 0x1.79ee8ac3cd5f1p-16, 0x1.7ceae9093d016p-16, 0x1.7fe65863e49bfp-16, 0x1.82dfa8fff80f5p-16, 0x1.85d5bbc2b63d7p-16, 0x1.88c781ac13339p-16, 0x1.8bb3fb387fdebp-16, 0x1.8e9a37cc8b0bbp-16, 0x1.917955225c8bap-16, 0x1.94507ebd69889p-16, 0x1.971eed60f0109p-16, 0x1.99e3e689c7117p-16, 0x1.9c9ebbf054658p-16, 0x1.9f4ecb07fbccfp-16, 0x1.a1f37c881f239p-16, 0x1.a48c43f783147p-16, 0x1.a7189f384eb98p-16, 0x1.a998161bfe23ap-16, 0x1.ac0a39f92cdc5p-16, 0x1.ae6ea542486eep-16, 0x1.b0c4fb25af6d6p-16, 0x1.b30ce728fed65p-16, 0x1.b5461ccd8eb72p-16, 0x1.b7705736e39b9p-16, 0x1.b98b58d208bc1p-16, 0x1.bb96eb0296225p-16, 0x1.bd92ddcd8f8fap-16, 0x1.bf7f078f338c7p-16, 0x1.c15b44ac1cde6p-16, 0x1.c32777483d5a2p-16, 0x1.c4e386ffd1d4ap-16, 0x1.c68f60a49ecbdp-16, 0x1.c82af5f74204ep-16, 0x1.c9b63d6c499d2p-16, 0x1.cb3131ebc6c68p-16, 0x1.cc9bd29579381p-16, 0x1.cdf6228aebc0ap-16, 0x1.cf4028b4a82a4p-16, 0x1.d079ef8f3f0a3p-16, 0x1.d1a384f6fe554p-16, 0x1.d2bcf9f7dbc6fp-16, 0x1.d3c6629bc546p-16, 0x1.d4bfd5c072573p-16, 0x1.d5a96ce80cbfcp-16, 0x1.d6834411bf16ep-16, 0x1.d74d798f29446p-16, 0x1.d8082dde002bep-16, 0x1.d8b3838360919p-16, 0x1.d94f9ee6cc404p-16, 0x1.d9dca630cc543p-16, 0x1.da5ac1299a021p-16, 0x1.daca19181d1e2p-16, 0x1.db2ad8a57fbbap-16, 0x1.db7d2bbddae2ep-16, 0x1.dbc13f76e66d9p-16, 0x1.dbf741f31e66dp-16, 0x1.dc1f624a4dc3ep-16, 0x1.dc39d06eea236p-16, 0x1.dc46bd184638ep-16, 0x1.dc4659ac53169p-16, 0x1.dc38d8294d4ap-16, 0x1.dc1e6b1249aep-16, 0x1.dbf7455cad251p-16, 0x1.dbc39a5be703p-16, 0x1.db839db2303fap-16, 0x1.db37833d4e541p-16, 0x1.dadf7f0905a7cp-16, 0x1.da7bc53f1d6a1p-16, 0x1.da0c8a19e79d9p-16, 0x1.d99201d4f9162p-16, 0x1.d90c60a2e2a67p-16, 0x1.d87bda9f3eabdp-16, 0x1.d7e0a3c3a6f4fp-16, 0x1.d73aefdcfef73p-16, 0x1.d68af281e62c1p-16, 0x1.d5d0df0853b38p-16, 0x1.d50ce87d7042cp-16, 0x1.d43f419c88c4cp-16, 0x1.d3681cc7235f9p-16, 0x1.d287abfe666c9p-16, 0x1.d19e20db3288ap-16, 0x1.d0abac88ae1a8p-16, 0x1.cfb07fbcf1aap-16, 0x1.ceaccab52ed8dp-16, 0x1.cda0bd2f55534p-16, 0x1.cc8c8665a558ep-16, 0x1.cb70550b415aap-16, 0x1.ca4c57463d90bp-16, 0x1.c920baae6a215p-16, 0x1.c7edac487f574p-16, 0x1.c6b35883efe7fp-16, 0x1.c571eb37a2ebfp-16, 0x1.c4298fa01f7edp-16, 0x1.c2da705d71098p-16, 0x1.c184b770d0756p-16, 0x1.c0288e3b707cfp-16, 0x1.bec61d7dcbb06p-16, 0x1.bd5d8d55ee593p-16, 0x1.bbef053f29604p-16, 0x1.ba7aac10831aep-16, 0x1.b900a7fd98d52p-16, 0x1.b7811e957c6d6p-16, 0x1.b5fc34c33044cp-16, 0x1.b4720eccc0a9ap-16, 0x1.b2e2d055db7dfp-16, 0x1.b14e9c5d75182p-16, 0x1.afb5954046b13p-16, 0x1.ae17dcb8795d9p-16, 0x1.ac7593df64168p-16, 0x1.aacedb2dd6aa9p-16, 0x1.a923d27daa61ap-16, 0x1.a774990af2caap-16, 0x1.a5c14d751b148p-16, 0x1.a40a0dc05b50ap-16, 0x1.a24ef757795dap-16, 0x1.a090270cd0a2ep-16, 0x1.9ecdb91c92862p-16, 0x1.9d07c92da7f5fp-16, 0x1.9b3e72541e8ccp-16, 0x1.9971cf12c4bbfp-16, 0x1.97a1f95db532bp-16, 0x1.95cf0a9b581cdp-16, 0x1.93f91ba6d1b67p-16, 0x1.922044d1d0e83p-16, 0x1.90449de7a507ap-16, 0x1.8e663e2d83bc9p-16, 0x1.8c853c6636135p-16, 0x1.8aa1aed4119cap-16, 0x1.88bbab3a477efp-16, 0x1.86d346dfe0fe6p-16, 0x1.84e8969136e84p-16, 0x1.82fbaea2af6a4p-16, 0x1.810ca2f324b97p-16, 0x1.7f1b86edd6447p-16, 0x1.7d286d8cc8de5p-16, 0x1.7b33695afc653p-16, 0x1.793c8c76980b6p-16, 0x1.7743e8933b5fdp-16, 0x1.75498efc12175p-16, 0x1.734d9096630d5p-16, 0x1.714ffde370e39p-16, 0x1.6f50e702cbc3ap-16, 0x1.6d505bb44ed0dp-16, 0x1.6b4e6b5a55176p-16, 0x1.694b24fc8c48cp-16, 0x1.6746974917d89p-16, 0x1.6540d097462e8p-16, 0x1.6339dee9b72b3p-16, 0x1.6131cff032b1ap-16, 0x1.5f28b109bc701p-16, 0x1.5d1e8f46c815ep-16, 0x1.5b13776b3dfb1p-16, 0x1.590775f042874p-16, 0x1.56fa970641557p-16, 0x1.54ece696b9a67p-16, 0x1.52de7045fddb4p-16, 0x1.50cf3f7557d0dp-16, 0x1.4ebf5f44e0dap-16, 0x1.4caeda95bbb9cp-16, 0x1.4a9dbc0b12ff8p-16, 0x1.488c0e0c34bep-16, 0x1.4679dac63985p-16, 0x1.44672c2e00634p-16, 0x1.42540c0169cacp-16, 0x1.404083c9108e8p-16, 0x1.3e2c9cda608dcp-16, 0x1.3c18605852c5bp-16, 0x1.3a03d7359bc3ep-16, 0x1.37ef0a35afc6fp-16, 0x1.35da01ee633cdp-16, 0x1.33c4c6c96b8c2p-16, 0x1.31af6105f40b5p-16, 0x1.2f99d8b9ea2fap-16, 0x1.2d8435d2ea9f7p-16, 0x1.2b6e80181b554p-16, 0x1.2958bf2ae4d06p-16, 0x1.2742fa88f8e5p-16, 0x1.252d398ccbcb3p-16, 0x1.2317836f10955p-16, 0x1.2101df47a86b6p-16, 0x1.1eec540f349ffp-16, 0x1.1cd6e89f94114p-16, 0x1.1ac1a3b509284p-16, 0x1.18ac8befd6bc2p-16, 0x1.1697a7d4b920fp-16, 0x1.1482fdce2a6a1p-16, 0x1.126e942cf903ep-16, 0x1.105a712978814p-16, 0x1.0e469ae468317p-16, 0x1.0c3317679d2e3p-16, 0x1.0a1feca6eeb53p-16, 0x1.080d2081071f8p-16, 0x1.05fab8c03eefep-16, 0x1.03e8bb1b674ddp-16, 0x1.01d72d3610a38p-16, 0x1.ff8c29429bc96p-17, 0x1.fb6aedb9ea6cap-17, 0x1.f74ab2afca377p-17, 0x1.f32b82e1615c6p-17, 0x1.ef0d68ec4e29bp-17, 0x1.eaf06f500de23p-17, 0x1.e6d4a06f259ddp-17, 0x1.e2ba068f9cc9p-17, 0x1.dea0abdcba75bp-17, 0x1.da889a67baf11p-17, 0x1.d671dc28c4c25p-17, 0x1.d25c7affa5759p-17, 0x1.ce4880b4dac75p-17, 0x1.ca35f6fa030ddp-17, 0x1.c624e76b555cdp-17, 0x1.c2155b8fbce77p-17, 0x1.be075cd9bf95bp-17, 0x1.b9faf4a86d3fcp-17, 0x1.b5f02c47e896cp-17, 0x1.b1e70cf1aae09p-17, 0x1.addf9fcdae499p-17, 0x1.a9d9edf22d0a6p-17, 0x1.a5d60064b8fd7p-17, 0x1.a1d3e01b198eap-17, 0x1.9dd395face5a5p-17, 0x1.99d52ad9d60e3p-17, 0x1.95d8a77ef0b44p-17, 0x1.91de14a2a8deep-17, 0x1.8de57aef2cbf7p-17, 0x1.89eee2ffef08fp-17, 0x1.85fa5562ca0c7p-17, 0x1.8207da98a2932p-17, 0x1.7e177b1512d6bp-17, 0x1.7a293f3e1caf3p-17, 0x1.763d2f6d5102bp-17, 0x1.725353f003a6ap-17, 0x1.6e6bb50654f06p-17, 0x1.6a865ae3ea2c7p-17, 0x1.66a34db100e16p-17, 0x1.62c295895e6fp-17, 0x1.5ee43a7c86d1ep-17, 0x1.5b08448de9503p-17, 0x1.572ebbb56db5cp-17, 0x1.5357a7df10e2ep-17, 0x1.4f8310ea55681p-17, 0x1.4bb0feab4e475p-17, 0x1.47e178ea359b2p-17, 0x1.4414876368b28p-17, 0x1.404a31c71737ap-17, 0x1.3c827fb9bed67p-17, 0x1.38bd78d3cad2ep-17, 0x1.34fb24a19170fp-17, 0x1.313b8aa30a99ap-17, 0x1.2d7eb24c3fb0bp-17, 0x1.29c4a304c927ap-17, 0x1.260d642781d28p-17, 0x1.2258fd033ca2cp-17, 0x1.1ea774d9f724ep-17, 0x1.1af8d2e07634fp-17, 0x1.174d1e3eb769cp-17, 0x1.13a45e10507c4p-17, 0x1.0ffe99632d9d6p-17, 0x1.0c5bd737b50ebp-17, 0x1.08bc1e80c0814p-17, 0x1.051f7623e7bc8p-17, 0x1.0185e4f9125ebp-17, 0x1.fbdee3928e683p-18, 0x1.f4b846a0be98dp-18, 0x1.ed980076f50e1p-18, 0x1.e67e1e5269cb6p-18, 0x1.df6aad52512f1p-18, 0x1.d85dba798a46p-18, 0x1.d15752ac24fa6p-18, 0x1.ca5782afd9b12p-18, 0x1.c35e572af72e8p-18, 0x1.bc6bdca59388dp-18, 0x1.b5801f88234afp-18, 0x1.ae9b2c1ac676ep-18, 0x1.a7bd0e84e155dp-18, 0x1.a0e5d2ce4cd72p-18, 0x1.9a1584dd81e6fp-18, 0x1.934c307795f8bp-18, 0x1.8c89e13f680acp-18, 0x1.85cea2b64fe54p-18, 0x1.7f1a803b6105cp-18, 0x1.786d8509fc919p-18, 0x1.71c7bc3b0fd4cp-18, 0x1.6b2930c41c171p-18, 0x1.6491ed7614a6bp-18, 0x1.5e01fcfdf3dbdp-18, 0x1.577969e53c833p-18, 0x1.50f83e900b437p-18, 0x1.4a7e853c61e4dp-18, 0x1.440c4803645eep-18, 0x1.3da190d9853b9p-18, 0x1.373e698b2caeap-18, 0x1.30e2dbbf53d65p-18, 0x1.2a8ef0f70f6c5p-18, 0x1.2442b28b54361p-18, 0x1.1dfe29ae6d242p-18, 0x1.17c15f6ae24cp-18, 0x1.118c5ca35ca92p-18, 0x1.0b5f2a1314811p-18, 0x1.0539d04c4e957p-18, 0x1.fe38af72844c2p-19, 0x1.f20d9136b7b93p-19, 0x1.e5f2561590fa5p-19, 0x1.d9e70deedebedp-19, 0x1.cdebc84ee879ap-19, 0x1.c200946d7962cp-19, 0x1.b62581311a886p-19, 0x1.aa5a9d2bc92d1p-19, 0x1.9e9ff69954454p-19, 0x1.92f59b639835dp-19, 0x1.875b99205d7fap-19, 0x1.7bd1fd0e5e16fp-19, 0x1.7058d4175d7fp-19, 0x1.64f02ad0fa9f7p-19, 0x1.59980d797a4efp-19, 0x1.4e5087f9af03p-19, 0x1.4319a5e52fp-19, 0x1.37f3727826e8ep-19, 0x1.2cddf8986cb84p-19, 0x1.21d942d72ae85p-19, 0x1.16e55b6d84f29p-19, 0x1.0c024c3d69b7ep-19, 0x1.01301ed2daeebp-19, 0x1.ecddb8c5f0484p-20, 0x1.d77d1b9634e92p-20, 0x1.c23e7723041efp-20, 0x1.ad21dbceced0bp-20, 0x1.9827594bd9e99p-20, 0x1.834efe9ec7713p-20, 0x1.6e98da1ec81f2p-20, 0x1.5a04f9753ba9ap-20, 0x1.4593699ef0217p-20, 0x1.314436ebe288ap-20, 0x1.1d176cfbf1bb7p-20, 0x1.090d16c6bbc8ep-20, 0x1.ea4a7d2c90652p-21, 0x1.c2bfdc0d968fcp-21, 0x1.9b7a5c1c10f53p-21, 0x1.747a0de67f493p-21, 0x1.4dbf00a63f225p-21, 0x1.274942413c8d5p-21, 0x1.0118df49b9c9bp-21, 0x1.b65bc5fa7e661p-22, 0x1.6b10ae96bb943p-22, 0x1.205089ad755dbp-22, 0x1.ac36cbc1fbf32p-23, 0x1.18e29e65e3c7dp-23, 0x1.0d493c67d64abp-24, -0x1.5064e48d8471p-28, -0x1.3529522dbd411p-24, -0x1.298fe42ba87bfp-23, -0x1.b774da05281d8p-23, -0x1.2221c8a98d58bp-22, -0x1.67fe0aefd780ap-22, -0x1.ad4f3c3128e8p-22, -0x1.f215674698c4ep-22, -0x1.1b284cc265fbep-21, -0x1.3d00715d07b7ap-21, -0x1.5e932a93f5d0dp-21, -0x1.7fe082bea469dp-21, -0x1.a0e885683d77ep-21, -0x1.c1ab3f53df0b2p-21, -0x1.e228be7183338p-21, -0x1.013088ed4a77ap-20, -0x1.112a24ee50419p-20, -0x1.21013bf809cddp-20, -0x1.30b5d75854779p-20, -0x1.404800f149c81p-20, -0x1.4fb7c3379080dp-20, -0x1.5f05292f5b9b7p-20, -0x1.6e303e6ab7a34p-20, -0x1.7d390f0cb65d3p-20, -0x1.8c1fa7c438d9dp-20, -0x1.9ae415c8fe99bp-20, -0x1.a98666df47f59p-20, -0x1.b806a95415bc8p-20, -0x1.c664ebfc4e25ap-20, -0x1.d4a13e33486b2p-20, -0x1.e2bbafd92920dp-20, -0x1.f0b45153ce8d2p-20, -0x1.fe8b3389c43c9p-20, -0x1.062033efca824p-19, -0x1.0cea001eea8a4p-19, -0x1.13a3078549a7ap-19, -0x1.1a4b5393045ebp-19, -0x1.20e2edf73a4dcp-19, -0x1.2769e09e7c61ep-19, -0x1.2de035b0506d6p-19, -0x1.3445f7907647ap-19, -0x1.3a9b30ddd5fb3p-19, -0x1.40dfec714ed35p-19, -0x1.4714355cc947fp-19, -0x1.4d3816eac28bcp-19, -0x1.534b9c9e1af8ap-19, -0x1.594ed22fffaeep-19, -0x1.5f41c391773p-19, -0x1.65247ce94a69fp-19, -0x1.6af70a91edc2ap-19, -0x1.70b9791ba4279p-19, -0x1.766bd54990808p-19, -0x1.7c0e2c10d44a3p-19, -0x1.81a08a9937564p-19, -0x1.8722fe3bbae4ep-19, -0x1.8c9594822d451p-19, -0x1.91f85b256957ep-19, -0x1.974b600e61775p-19, -0x1.9c8eb153be24ap-19, -0x1.a1c25d38bb7efp-19, -0x1.a6e6722f056b9p-19, -0x1.abfafed397753p-19, -0x1.b10011edecb1ap-19, -0x1.b5f5ba7129c9bp-19, -0x1.badc0778d9ae8p-19, -0x1.bfb3084a334cap-19, -0x1.c47acc5297e56p-19, -0x1.c93363277f752p-19, -0x1.cddcdc84c0dc4p-19, -0x1.d277484bd3a4p-19, -0x1.d702b6848ff48p-19, -0x1.db7f3759f10ddp-19, -0x1.dfecdb1ae1ecbp-19, -0x1.e44bb23a6074ap-19, -0x1.e89bcd4befc81p-19, -0x1.ecdd3d0682ccep-19, -0x1.f11012416c2f8p-19, -0x1.f5345df2b744p-19, -0x1.f94a3131bef3bp-19, -0x1.fd519d339e5b3p-19, -0x1.00a559a558b21p-18, -0x1.029ac273e325cp-18, -0x1.048911cbe2c4dp-18, -0x1.067050813af57p-18, -0x1.08508775dffa8p-18, -0x1.0a29bf9897041p-18, -0x1.0bfc01e4fffc3p-18, -0x1.0dc75763a5aadp-18, -0x1.0f8bc928d1a99p-18, -0x1.11496054acf5ep-18, -0x1.130026130ae7fp-18, -0x1.14b0239acdd7bp-18, -0x1.1659622d06de6p-18, -0x1.17fbeb15ac4ap-18, -0x1.1997c7aae2ep-18, -0x1.1b2d014c49b8ap-18, -0x1.1cbba1631fb75p-18, -0x1.1e43b161a6749p-18, -0x1.1fc53ac2eb7a8p-18, -0x1.2140470ac0c69p-18, -0x1.22b4dfc443c7ep-18, -0x1.24230e83320fap-18, -0x1.258adce28f26ep-18, -0x1.26ec54845c7fep-18, -0x1.28477f119694p-18, -0x1.299c663987f3ep-18, -0x1.2aeb13b20c6f4p-18, -0x1.2c339136f570cp-18, -0x1.2d75e88961a98p-18, -0x1.2eb223703b9a3p-18, -0x1.2fe84bb762d78p-18, -0x1.31186b2f1da77p-18, -0x1.32428bacb09d4p-18, -0x1.3366b709026aap-18, -0x1.3484f7210a8e3p-18, -0x1.359d55d5845e3p-18, -0x1.36afdd0a6fec7p-18, -0x1.37bc96a67cb89p-18, -0x1.38c38c93d80fep-18, -0x1.39c4c8be8f26bp-18, -0x1.3ac055154464fp-18, -0x1.3bb63b8844339p-18, -0x1.3ca68609d721ep-18, -0x1.3d913e8da486p-18, -0x1.3e766f08653ep-18, -0x1.3f56216fcbc36p-18, -0x1.40305fba5b871p-18, -0x1.410533de800dfp-18, -0x1.41d4a7d38d76cp-18, -0x1.429ec5902aa67p-18, -0x1.4363970b3e34ap-18, -0x1.4423263ab4d3fp-18, -0x1.44dd7d13e4783p-18, -0x1.4592a58b36286p-18, -0x1.4642a993a11ecp-18, -0x1.46ed931e82b89p-18, -0x1.47936c1c01092p-18, -0x1.48343e79bb59bp-18, -0x1.48d01423d1512p-18, -0x1.4966f703a87e4p-18, -0x1.49f8f10020ccfp-18, -0x1.4a860bfd6d9d2p-18, -0x1.4b0e51dcd4e88p-18, -0x1.4b91cc7c029c6p-18, -0x1.4c1085b60c4b8p-18, -0x1.4c8a8761b3936p-18, -0x1.4cffdb525db38p-18, -0x1.4d708b574aa7dp-18, -0x1.4ddca13bbd829p-18, -0x1.4e4426c6407f9p-18, -0x1.4ea725b949986p-18, -0x1.4f05a7d27e975p-18, -0x1.4f5fb6ca7a4aap-18, -0x1.4fb55c54fca77p-18, -0x1.5006a2206c409p-18, }}, 
      {{0x1.75104159724edp-1, 0x1.7499ff9920785p-1, 0x1.73d7401b653b4p-1, 0x1.72cb598ce1a93p-1, 0x1.717aa98d98b54p-1, 0x1.6fea5ab290935p-1, 0x1.6e202aabcc606p-1, 0x1.6c2234272d777p-1, 0x1.69f6be86a01ap-1, 0x1.67a4146905193p-1, 0x1.65306144ebb4ap-1, 0x1.62a195d69c07ap-1, 0x1.5ffd52d753ec5p-1, 0x1.5d48d94ba4cdp-1, 0x1.5a88ffa7d0a61p-1, 0x1.57c22b0a2a0c8p-1, 0x1.54f84bd6cee92p-1, 0x1.522edd10f601p-1, 0x1.4f68e5e18096fp-1, 0x1.4ca8fcce6ef1fp-1, 0x1.49f14c39ee241p-1, 0x1.474397d1489e9p-1, 0x1.44a142a39e189p-1, 0x1.420b55a5d6e66p-1, 0x1.3f828674dd5abp-1, 0x1.3d073e30d374p-1, 0x1.3a99a0540bfbep-1, 0x1.3839916f20438p-1, 0x1.35e6bdb8d3e7p-1, 0x1.33a09f64c4641p-1, 0x1.316684b75651bp-1, 0x1.2f3795d00a76dp-1, 0x1.2d12da2599b0ap-1, 0x1.2af73db0e993fp-1, 0x1.28e395c54ae1ap-1, 0x1.26d6a5958c988p-1, 0x1.24cf22664234ep-1, 0x1.22cbb76e5900cp-1, 0x1.20cb09679694ep-1, 0x1.1ecbb9d1178e8p-1, 0x1.1ccc69e63a9acp-1, 0x1.1acbbd4caf653p-1, 0x1.18c85c7c985f1p-1, 0x1.16c0f6e5df2a6p-1, 0x1.14b444d5f7ce5p-1, 0x1.12a10921727c2p-1, 0x1.10861294bc8c6p-1, 0x1.0e623d2f883bcp-1, 0x1.0c34732e4bdb5p-1, 0x1.09fbade547313p-1, 0x1.07b6f670721afp-1, 0x1.0565663ba8595p-1, 0x1.03062766549c6p-1, 0x1.00987505bd747p-1, 0x1.fc3736920a69cp-2, 0x1.f71def038c82ep-2, 0x1.f1e3f0282c771p-2, 0x1.ec8838a13be0dp-2, 0x1.e709e87688606p-2, 0x1.e168408198ebfp-2, 0x1.dba2a1bb49607p-2, 0x1.d5b88c6fdbef7p-2, 0x1.cfa99f5d65734p-2, 0x1.c97596c01c062p-2, 0x1.c31c4b4fcb0c4p-2, 0x1.bc9db1316d074p-2, 0x1.b5f9d6df9e225p-2, 0x1.af30e40c62fb6p-2, 0x1.a843187e7317ep-2, 0x1.a130caec05319p-2, 0x1.99fa67d4e1792p-2, 0x1.92a0705d40ccdp-2, 0x1.8b23792ad7672p-2, 0x1.838429453c40cp-2, 0x1.7bc338faa8b6bp-2, 0x1.73e170c9f0c0bp-2, 0x1.6bdfa8526f14bp-2, 0x1.63bec54a75074p-2, 0x1.5b7fba7cc0c84p-2, 0x1.532386cd54257p-2, 0x1.4aab3445f8c94p-2, 0x1.4217d72aa3a93p-2, 0x1.396a8d15d51afp-2, 0x1.30a47c1d0d507p-2, 0x1.27c6d1fd5296cp-2, 0x1.1ed2c34fbf3afp-2, 0x1.15c98ac609019p-2, 0x1.0cac686edb7ccp-2, 0x1.037ca101ed10fp-2, 0x1.f476fa6732001p-3, 0x1.e1d4921fb3f3p-3, 0x1.cf14a6b8d2c0dp-3, 0x1.bc39da03b0584p-3, 0x1.a946d0f6c17c2p-3, 0x1.963e329a7f114p-3, 0x1.8322a702b0f38p-3, 0x1.6ff6d653e37d1p-3, 0x1.5cbd67d4901f8p-3, 0x1.497901099143ap-3, 0x1.362c44dd78c34p-3, 0x1.22d9d2d254009p-3, 0x1.0f84463d84c32p-3, 0x1.f85c6b1a8391fp-4, 0x1.d1b4632edfc25p-4, 0x1.ab1589e2c42efp-4, 0x1.8484e6a08fb74p-4, 0x1.5e0771e3bdc2ep-4, 0x1.37a2141a4e38ep-4, 0x1.1159a4959a8e8p-4, 0x1.d665d1141c03p-5, 0x1.8a65243a6d177p-5, 0x1.3eba7f0370acap-5, 0x1.e6dde882c3e81p-6, 0x1.5116d740482b3p-6, 0x1.786280aca247cp-7, 0x1.41f1eebbd8b77p-9, -0x1.aac5d308189f9p-8, -0x1.f91af9f4e1904p-7, -0x1.8d45e38df23f5p-6, -0x1.0e658b3f4c5d5p-5, -0x1.5586f57c0d63p-5, -0x1.9bffcf852ba08p-5, -0x1.e1c8ed9df0161p-5, -0x1.136dacfd57892p-4, -0x1.35982ab1ba085p-4, -0x1.5760abe20e17fp-4, -0x1.78c4085526b05p-4, -0x1.99bf33d8ee548p-4, -0x1.ba4f3e6feababp-4, -0x1.da7154766db01p-4, -0x1.fa22bebf852acp-4, -0x1.0cb07154fc693p-3, -0x1.1c14a116c23f5p-3, -0x1.2b3cbdf03578fp-3, -0x1.3a27a57adfe67p-3, -0x1.48d4439a3a873p-3, -0x1.57419273ba1f1p-3, -0x1.656e9a6375dcfp-3, -0x1.735a71ed85fa8p-3, -0x1.81043dac2daecp-3, -0x1.8e6b303af5654p-3, -0x1.9b8e8a1eb9a08p-3, -0x1.a86d99aae5f02p-3, -0x1.b507bae3d8784p-3, -0x1.c15c575e9a035p-3, -0x1.cd6ae61dfdf95p-3, -0x1.d932eb6d43be7p-3, -0x1.e4b3f8b85a045p-3, -0x1.efedac61d05f6p-3, -0x1.fadfb1969dd32p-3, -0x1.02c4e00feaec2p-2, -0x1.07f5ce192a542p-2, -0x1.0d028b1e4d1c6p-2, -0x1.11eb0559666e9p-2, -0x1.16af30ec8c9b7p-2, -0x1.1b4f07c63a5d2p-2, -0x1.1fca8984f44e9p-2, -0x1.2421bb5a3b618p-2, -0x1.2854a7ecdad8fp-2, -0x1.2c635f3a9cc52p-2, -0x1.304df67975478p-2, -0x1.341487f825f08p-2, -0x1.37b732fe739a6p-2, -0x1.3b361bacef319p-2, -0x1.3e916adc62922p-2, -0x1.41c94dfce964p-2, -0x1.44ddf6f4c55b9p-2, -0x1.47cf9bfef243ep-2, -0x1.4a9e77898bdb3p-2, -0x1.4d4ac8140ac87p-2, -0x1.4fd4d00d664bfp-2, -0x1.523cd5b21ea17p-2, -0x1.548322ea421a2p-2, -0x1.56a805276eb33p-2, -0x1.58abcd42e14d5p-2, -0x1.5a8ecf5b9054ap-2, -0x1.5c5162b46682fp-2, -0x1.5df3e1929bfb3p-2, -0x1.5f76a91c3e033p-2, -0x1.60da1936e47acp-2, -0x1.621e9466a5562p-2, -0x1.63447fad47dddp-2, -0x1.644c4269bcfb2p-2, -0x1.65364637e71f9p-2, -0x1.6602f6d0ba927p-2, -0x1.66b2c1eab0dedp-2, -0x1.6746171aa1d8bp-2, -0x1.67bd67b4ff27p-2, -0x1.681926af7ce01p-2, -0x1.6859c88325e5fp-2, -0x1.687fc30ee4cf9p-2, -0x1.688b8d7a87f76p-2, -0x1.687da01a3e0abp-2, -0x1.685674529062dp-2, -0x1.6816847ce7061p-2, -0x1.67be4bcc8a018p-2, -0x1.674e463433e4ep-2, -0x1.66c6f04c282ffp-2, -0x1.6628c738dd153p-2, -0x1.65744892342cap-2, -0x1.64a9f24b4215ap-2, -0x1.63ca429aacf43p-2, -0x1.62d5b7e39e42dp-2, -0x1.61ccd09f4befep-2, -0x1.60b00b4718559p-2, -0x1.5f7fe63f47491p-2, -0x1.5e3cdfc2517fp-2, -0x1.5ce775cccd77fp-2, -0x1.5b802609f0289p-2, -0x1.5a076dc0aa33ep-2, -0x1.587dc9c15ea38p-2, -0x1.56e3b6542dd68p-2, -0x1.5539af27de542p-2, -0x1.53802f415964fp-2, -0x1.51b7b0ebc27b8p-2, -0x1.4fe0ada92182p-2, -0x1.4dfb9e23a472fp-2, -0x1.4c08fa1f73669p-2, -0x1.4a09386d19b7bp-2, -0x1.47fccedc7da84p-2, -0x1.45e432306998fp-2, -0x1.43bfd612a4a0fp-2, -0x1.41902d0894cedp-2, -0x1.3f55a8686f777p-2, -0x1.3d10b84eefa97p-2, -0x1.3ac1cb9595d8p-2, -0x1.38694fc96b07p-2, -0x1.3607b1224857cp-2, -0x1.339d5a7a9ccfcp-2, -0x1.312ab547b5be6p-2, -0x1.2eb029927f33fp-2, -0x1.2c2e1df0c00ddp-2, -0x1.29a4f77ecf667p-2, -0x1.271519d9bdafap-2, -0x1.247ee719edf3ap-2, -0x1.21e2bfce25651p-2, -0x1.1f4102f702b9cp-2, -0x1.1c9a0e02e5ac7p-2, -0x1.19ee3cca3ba59p-2, -0x1.173de98c34302p-2, -0x1.14896cebda24cp-2, -0x1.11d11ded8bd5p-2, -0x1.0f1551f4d3169p-2, -0x1.0c565cc298cap-2, -0x1.09949073b218ep-2, -0x1.06d03d7fc4c99p-2, -0x1.0409b2b87cefcp-2, -0x1.01413d491b03ap-2, -0x1.fcee516c91902p-3, -0x1.f7577dbc82a08p-3, -0x1.f1be8ff27fa91p-3, -0x1.ec2415346f119p-3, -0x1.e688975f9e5c3p-3, -0x1.e0ec9d0b4361bp-3, -0x1.db50a98b78b28p-3, -0x1.d5b53cf4b9839p-3, -0x1.d01ad41fd297ap-3, -0x1.ca81e8ae47449p-3, -0x1.c4eaf10f21c83p-3, -0x1.bf56608430b03p-3, -0x1.b9c4a727a340bp-3, -0x1.b43631f20a21ep-3, -0x1.aeab6ac0b388p-3, -0x1.a924b85c5f51bp-3, -0x1.a3a27e80408dap-3, -0x1.9e251de158b96p-3, -0x1.98acf43614f7cp-3, -0x1.933a5c3e37ce8p-3, -0x1.8dcdadcb0238cp-3, -0x1.88673dc7a0748p-3, -0x1.83075e41cf1b2p-3, -0x1.7dae5e72b7a4cp-3, -0x1.785c8ac80618p-3, -0x1.73122ced29d3fp-3, -0x1.6dcf8bd4c95dfp-3, -0x1.6894ebc25b217p-3, -0x1.63628e53e8685p-3, -0x1.5e38b28bf3827p-3, -0x1.591794db7d977p-3, -0x1.53ff6f2c2c239p-3, -0x1.4ef078ea87f63p-3, -0x1.49eae7104f8a6p-3, -0x1.44eeec2eebadbp-3, -0x1.3ffcb879e5083p-3, -0x1.3b1479d1786d5p-3, -0x1.36365bcd2f93p-3, -0x1.316287c688bd1p-3, -0x1.2c9924e3a4903p-3, -0x1.27da5821fd92cp-3, -0x1.23264461208dep-3, -0x1.1e7d0a6d6792dp-3, -0x1.19dec90ab5e14p-3, -0x1.154b9cff2f676p-3, -0x1.10c3a11df204ep-3, -0x1.0c46ee51bfd99p-3, -0x1.07d59ba7aa75p-3, -0x1.036fbe59aff3ep-3, -0x1.fe2ad3b29ea13p-4, -0x1.f58d5fb41d445p-4, -0x1.ed0740b7e68e4p-4, -0x1.e498936bdf062p-4, -0x1.dc4171406d333p-4, -0x1.d401f07d0af3cp-4, -0x1.cbda2454b3a5fp-4, -0x1.c3ca1cfa14bccp-4, -0x1.bbd1e7b3aafbfp-4, -0x1.b3f18eefa92a8p-4, -0x1.ac291a57a2f4bp-4, -0x1.a4788ee422b2p-4, -0x1.9cdfeeefe8f78p-4, -0x1.955f3a4b1cdbfp-4, -0x1.8df66e4e23ebap-4, -0x1.86a585ec58dcfp-4, -0x1.7f6c79c6815a1p-4, -0x1.784b403d07cddp-4, -0x1.7141cd81fce4dp-4, -0x1.6a5013aad8d87p-4, -0x1.637602c202ac2p-4, -0x1.5cb388d817bb6p-4, -0x1.56089214ee7ebp-4, -0x1.4f7508c861058p-4, -0x1.48f8d57ad0b6dp-4, -0x1.4293defd6c25cp-4, -0x1.3c460a7a2c984p-4, -0x1.360f3b8398718p-4, -0x1.2fef54243d218p-4, -0x1.29e634ede6684p-4, -0x1.23f3bd0894275p-4, -0x1.1e17ca412899cp-4, -0x1.18523917d5a2p-4, -0x1.12a2e4ce4304fp-4, -0x1.0d09a775719e2p-4, -0x1.078659fb5c422p-4, -0x1.0218d4384d549p-4, -0x1.f981d9f7f3edep-5, -0x1.eefcf434a0524p-5, -0x1.e4a2a0f00ced2p-5, -0x1.da72882dcb97cp-5, -0x1.d06c5043a0e5ap-5, -0x1.c68f9df10d776p-5, -0x1.bcdc147648ceep-5, -0x1.b35155aac5ea2p-5, -0x1.a9ef02132d3eep-5, -0x1.a0b4b8f6c836ap-5, -0x1.97a2187481004p-5, -0x1.8eb6bd974faa5p-5, -0x1.85f2446a2d25fp-5, -0x1.7d54480b8a163p-5, -0x1.74dc62c03e844p-5, -0x1.6c8a2e060e9d3p-5, -0x1.645d42a59e20ap-5, -0x1.5c5538c3ff881p-5, -0x1.5471a7f3b7da7p-5, -0x1.4cb2274556213p-5, -0x1.45164d57960d4p-5, -0x1.3d9db0670a48p-5, -0x1.3647e65d513f6p-5, -0x1.2f1484dfdd949p-5, -0x1.2803215e51d1dp-5, -0x1.2113512063721p-5, -0x1.1a44a9535a55ep-5, -0x1.1396bf1724e89p-5, -0x1.0d09278af7cf8p-5, -0x1.069b77d995a33p-5, -0x1.004d4545271fep-5, -0x1.f43c4a655f87p-6, -0x1.e81b5a6a429fdp-6, -0x1.dc36e63015591p-6, -0x1.d08e19d3d3c9ap-6, -0x1.c520220c4badep-6, -0x1.b9ec2c3d3bf5p-6, -0x1.aef16689da335p-6, -0x1.a42effe6903bbp-6, -0x1.99a4282a28c2dp-6, -0x1.8f50101e23fb1p-6, -0x1.8531e98e9c4cap-6, -0x1.7b48e759519dcp-6, -0x1.71943d7c3103dp-6, -0x1.681321234c32ep-6, -0x1.5ec4c8b607ac1p-6, -0x1.55a86be3e012ap-6, -0x1.4cbd43b080fdp-6, -0x1.44028a7f555efp-6, -0x1.3b777c1e8beap-6, -0x1.331b55d18b2dbp-6, -0x1.2aed565ae21fdp-6, -0x1.22ecbe05aa803p-6, -0x1.1b18ceae8a201p-6, -0x1.1370cbcc092b5p-6, -0x1.0bf3fa76934b2p-6, -0x1.04a1a16fecc14p-6, -0x1.faf21254720edp-7, -0x1.ecf2f79d25ea8p-7, -0x1.df448a8667349p-7, -0x1.d1e566624b613p-7, -0x1.c4d42a13341ffp-7, -0x1.b80f7815b4a26p-7, -0x1.ab95f68987a14p-7, -0x1.9f664f39fb75ap-7, -0x1.937f2fa563af1p-7, -0x1.87df490418a9ep-7, -0x1.7c85504e7ca2bp-7, -0x1.716ffe4298a46p-7, -0x1.669e0f68f3057p-7, -0x1.5c0e4418b0585p-7, -0x1.51bf607b425c6p-7, -0x1.47b02c8f561f5p-7, -0x1.3ddf742b574cdp-7, -0x1.344c06ff4c6ffp-7, -0x1.2af4b89610175p-7, -0x1.21d860564a804p-7, -0x1.18f5d982a2d89p-7, -0x1.104c0339a120cp-7, -0x1.07d9c075020c8p-7, -0x1.ff3bf01148952p-8, -0x1.ef2f2941f867ap-8, -0x1.df8b09822c157p-8, -0x1.d04d7580a2e14p-8, -0x1.c174598f0ap-8, -0x1.b2fda99bcddccp-8, -0x1.a4e7612b47437p-8, -0x1.972f834fd4faep-8, -0x1.89d41aa1aa7fdp-8, -0x1.7cd33935d0258p-8, -0x1.702af89492d0ap-8, -0x1.63d979af44e6ap-8, -0x1.57dce4d5a64aep-8, -0x1.4c3369aa87e36p-8, -0x1.40db3f1809c93p-8, -0x1.35d2a3436eca6p-8, -0x1.2b17db805b064p-8, -0x1.20a934439bc0ap-8, -0x1.16850115af506p-8, -0x1.0ca99c84c2d9cp-8, -0x1.0315681656ce1p-8, -0x1.f38d987129c7cp-9, -0x1.e17870667c629p-9, -0x1.cfe84430dfccap-9, -0x1.beda0d699dcf6p-9, -0x1.ae4ad2ffaf71ep-9, -0x1.9e37a916f1233p-9, -0x1.8e9db0e7ad062p-9, -0x1.7f7a189d25a85p-9, -0x1.70ca1b33ea1edp-9, -0x1.628b0057bcebcp-9, -0x1.54ba1c411e917p-9, -0x1.4754cf92a0fa1p-9, -0x1.3a588735da0bap-9, -0x1.2dc2bc38037afp-9, -0x1.2190f3a64d7e9p-9, -0x1.15c0be6a9015cp-9, -0x1.0a4fb926a338p-9, -0x1.fe771821cbc68p-10, -0x1.e903d59f7385cp-10, -0x1.d44128aa13123p-10, -0x1.c02aa57437b04p-10, -0x1.acbbf63584b32p-10, -0x1.99f0dae2029d3p-10, -0x1.87c528e0f026cp-10, -0x1.7634cac30326bp-10, -0x1.653bbff9edbe4p-10, -0x1.54d61c8ee08f5p-10, -0x1.450008d96ca64p-10, -0x1.35b5c136c1b72p-10, -0x1.26f395c12fe81p-10, -0x1.18b5ea06ff997p-10, -0x1.0af934c2a093dp-10, -0x1.fb73ff251f286p-11, -0x1.e1e9cd625c7p-11, -0x1.c94d315b44f8ep-11, -0x1.b197ac492999bp-11, -0x1.9ac2e2f23af03p-11, -0x1.84c89d1da199dp-11, -0x1.6fa2c506e909dp-11, -0x1.5b4b66d1aa187p-11, -0x1.47bcb00255789p-11, -0x1.34f0eef0db527p-11, -0x1.22e29243514d6p-11, -0x1.118c2864efda6p-11, -0x1.00e85eff805e6p-11, -0x1.e1e404edd6575p-12, -0x1.c347fac865544p-12, -0x1.a5f2b02568471p-12, -0x1.89da6ffafb743p-12, -0x1.6ef5be9d4c77bp-12, -0x1.553b58c03e86p-12, -0x1.3ca2327948c62p-12, -0x1.25217643831d9p-12, -0x1.0eb0840b2f447p-12, -0x1.f28de068bacc8p-13, -0x1.c9b9055654bfdp-13, -0x1.a2d26be015ddbp-13, -0x1.7dca6c5a0633bp-13, -0x1.5a91c08fa4f4fp-13, -0x1.391981f7678d7p-13, -0x1.195327e3c14d1p-13, -0x1.f6610b7d0bc9p-14, -0x1.bd47928d2ab4ap-14, -0x1.873ef1ac1d6cap-14, -0x1.542ce355ec3ccp-14, -0x1.23f7cc6ce4b78p-14, -0x1.ed0d71cf75f35p-15, -0x1.9782b1019faf9p-15, -0x1.471ff6fb3f238p-15, -0x1.f76e3dbc00b14p-16, -0x1.6a3670477b5d2p-16, -0x1.cc8201688af47p-17, -0x1.ace2e78bf05d5p-18, 0x1.cd55638d8b9b7p-22, 0x1.c5679d1b18ce5p-18, 0x1.a70711f19af15p-17, 0x1.2dfea809700dp-16, 0x1.81159cfaa348p-16, 0x1.cd10b6bb6f348p-16, 0x1.091b22d6d855ap-15, 0x1.2865535e2181cp-15, 0x1.448826ffe92bp-15, 0x1.5da3e8aeca20fp-15, 0x1.73d7f988c9bd4p-15, 0x1.8742d5e655102p-15, 0x1.98021a79a5916p-15, 0x1.a632893cfe663p-15, 0x1.b1f00e5990f34p-15, 0x1.bb55c4fa1e5d9p-15, 0x1.c27dfc0283aa1p-15, 0x1.c7823ab46b15bp-15, 0x1.ca7b45482e404p-15, 0x1.cb812162bf2ffp-15, 0x1.caab1a87ee582p-15, 0x1.c80fc66eda85dp-15, 0x1.c3c50947e230ep-15, 0x1.bde019e45a894p-15, 0x1.b67585dc26d7ep-15, 0x1.ad99359624e73p-15, 0x1.a35e703d498d3p-15, 0x1.97d7dfa9e394dp-15, 0x1.8b17942cec16fp-15, 0x1.7d2f085e2faefp-15, 0x1.6e2f24b69f66ep-15, 0x1.5e284340fd87ap-15, 0x1.4d2a331a42bbcp-15, 0x1.3b443bec201cfp-15, 0x1.2885215b19acbp-15, 0x1.14fb265a93839p-15, 0x1.00b410747bbe6p-15, 0x1.d77a5604c3ffdp-16, 0x1.ac4694a30d9bbp-16, 0x1.7fe59d755c72cp-16, 0x1.526f4f53cdc6ap-16, 0x1.23faad1c629bdp-16, 0x1.e93bc744a7c42p-17, 0x1.88dc9e7997732p-17, 0x1.270102dc4d832p-17, 0x1.87a11943b532cp-18, 0x1.7dc54fbe91382p-19, -0x1.7e0130e86d24bp-23, -0x1.b1211981bf12cp-19, -0x1.a6bb3654da7b4p-18, -0x1.3b1784f70d2fcp-17, -0x1.a356d393e5956p-17, -0x1.05fecdab1115p-16, -0x1.3a7795fa531f4p-16, -0x1.6f0803c54bed8p-16, -0x1.a3a2ece331fdfp-16, -0x1.d83bb7b3adf02p-16, -0x1.06632b6e285eap-15, -0x1.209ba29e32d9ep-15, -0x1.3ac1c0ed4997p-15, -0x1.54d0460376876p-15, -0x1.6ec22fbd74af1p-15, -0x1.8892b85328927p-15, -0x1.a23d547c23d73p-15, -0x1.bbbdb1ae1900ap-15, -0x1.d50fb458f9d06p-15, -0x1.ee2f763653df2p-15, -0x1.038ca24eedb69p-14, -0x1.0fe4cf73cd0e4p-14, -0x1.1c1e9a6a1a513p-14, -0x1.2838728166f2bp-14, -0x1.3430ddb74cd23p-14, -0x1.400677fbc4884p-14, -0x1.4bb7f27825e86p-14, -0x1.574412de79cffp-14, -0x1.62a9b2b724707p-14, -0x1.6de7beba8978ap-14, -0x1.78fd3627cb20cp-14, -0x1.83e92a254a30bp-14, -0x1.8eaabd2243bb7p-14, -0x1.9941223c7d907p-14, -0x1.a3ab9cab63ba5p-14, -0x1.ade97f2e7225cp-14, -0x1.b7fa2b7e5a23fp-14, -0x1.c1dd11c47b3d5p-14, -0x1.cb91b0125a09dp-14, -0x1.d51791dfedd9fp-14, -0x1.de6e4f8b2d3b5p-14, -0x1.e7958ddd226b6p-14, -0x1.f08cfd909a85p-14, -0x1.f9545adc9872bp-14, -0x1.00f5b6816726dp-13, -0x1.052902f038357p-13, -0x1.094400c09e215p-13, -0x1.0d46a2dc2c2bp-13, -0x1.1130e0dc6c1b1p-13, -0x1.1502b6d9e6effp-13, -0x1.18bc253bad73ap-13, -0x1.1c5d308899446p-13, -0x1.1fe5e13a1eafcp-13, -0x1.235643903146p-13, -0x1.26ae676658de7p-13, -0x1.29ee600a9f7d4p-13, -0x1.2d164414cd956p-13, -0x1.30262d3f66da3p-13, -0x1.331e3842168efp-13, -0x1.35fe84ac7c37p-13, -0x1.38c734c3296cp-13, -0x1.3b786d5c8afccp-13, -0x1.3e1255bfdd5d5p-13, -0x1.409517849d63ep-13, -0x1.4300de72e0821p-13, -0x1.4555d8656ad8ep-13, -0x1.4794352c0aa84p-13, -0x1.49bc266f39cd7p-13, -0x1.4bcddf94839dbp-13, -0x1.4dc995a39c313p-13, -0x1.4faf7f2d0fb4ep-13, -0x1.517fd43103c09p-13, -0x1.533ace07665d5p-13, -0x1.54e0a74895befp-13, -0x1.56719bb7266abp-13, -0x1.57ede8295934ap-13, -0x1.5955ca756bb8p-13, -0x1.5aa9815c48ae6p-13, -0x1.5be94c76a144dp-13, -0x1.5d156c22594eap-13, -0x1.5e2e216fc755bp-13, -0x1.5f33ae10ddc22p-13, -0x1.60265447d5e7cp-13, -0x1.610656d747deap-13, -0x1.61d3f8f2b4bfbp-13, -0x1.628f7e2f7c10bp-13, -0x1.63392a7625db6p-13, -0x1.63d141f533ae1p-13, -0x1.64580912f9e9ap-13, -0x1.64cdc4618460ep-13, -0x1.6532b8921d4b2p-13, -0x1.65872a695250ep-13, -0x1.65cb5eb42cbd4p-13, -0x1.65ff9a3d31d7bp-13, -0x1.662421c1c81eap-13, -0x1.663939e878496p-13, -0x1.663f2737c4b4bp-13, -0x1.66362e0c7700dp-13, -0x1.661e9291bbc0dp-13, -0x1.65f898b87d68cp-13, -0x1.65c4842f94b4cp-13, -0x1.6582985c14fcp-13, -0x1.65331852b6f14p-13, -0x1.64d646d05118bp-13, -0x1.646c66341b9b7p-13, -0x1.63f5b8794f463p-13, -0x1.63727f310f4a4p-13, -0x1.62e2fb7d84572p-13, -0x1.62476e0bec2fdp-13, -0x1.61a01710766bfp-13, -0x1.60ed3640e6debp-13, -0x1.602f0ad0c9b61p-13, -0x1.5f65d36d2ee89p-13, -0x1.5e91ce38ae975p-13, -0x1.5db338c803dcap-13, -0x1.5cca501e5dbdep-13, -0x1.5bd750aab1b92p-13, -0x1.5ada76444d913p-13, -0x1.59d3fc2861b37p-13, -0x1.58c41cf7c542bp-13, -0x1.57ab12b4154d1p-13, -0x1.568916be055a6p-13, -0x1.555e61d342fd8p-13, -0x1.542b2c0c93f19p-13, -0x1.52efacdc92be7p-13, -0x1.51ac1b0dec5c7p-13, -0x1.5060acc2751dep-13, -0x1.4f0d9771cb345p-13, -0x1.4db30fe83af69p-13, -0x1.4c514a465e803p-13, -0x1.4ae879ffec593p-13, -0x1.4978d1db7f9e3p-13, -0x1.480283f207e28p-13, -0x1.4685c1ae739f1p-13, -0x1.4502bbcd88905p-13, -0x1.4379a25dd8e78p-13, -0x1.41eaa4bf59017p-13, -0x1.4055f1a436ac8p-13, -0x1.3ebbb7105cdbbp-13, -0x1.3d1c225a25fe7p-13, -0x1.3b77602a8d8aep-13, -0x1.39cd9c7dfc744p-13, -0x1.381f02a437275p-13, -0x1.366bbd418fc8fp-13, -0x1.34b3f64f6c6b8p-13, -0x1.32f7d71cc6f55p-13, -0x1.3137884f612cdp-13, -0x1.2f7331e49eb2p-13, -0x1.2daafb32246bap-13, -0x1.2bdf0ae748ec5p-13, -0x1.2a0f870dd27fep-13, -0x1.283c950b36ecap-13, -0x1.266659a1b1c6p-13, -0x1.248cf8f19f338p-13, -0x1.22b0967a790aep-13, -0x1.20d1551c80daap-13, -0x1.1eef5719b402p-13, -0x1.1d0abe17649ebp-13, -0x1.1b23ab1f5aae2p-13, -0x1.193a3ea18c814p-13, -0x1.174e9875836cp-13, -0x1.1560d7db936b4p-13, -0x1.13711b7e9398dp-13, -0x1.117f81758cb6ap-13, -0x1.0f8c2744d4e89p-13, -0x1.0d9729dff27e3p-13, -0x1.0ba0a5ab180cap-13, -0x1.09a8b67cc2c4p-13, -0x1.07af779f2ca11p-13, -0x1.05b503d232d1p-13, -0x1.03b9754ccb7dep-13, -0x1.01bce5bea4237p-13, -0x1.ff7edca381948p-14, -0x1.fb824f58a6374p-14, -0x1.f78453e45cc16p-14, -0x1.f385198d0386dp-14, -0x1.ef84ce9b1dea1p-14, -0x1.eb83a05c592dcp-14, -0x1.e781bb2779a89p-14, -0x1.e37f4a5f2d25fp-14, -0x1.df7c787564622p-14, -0x1.db796eeec5bf2p-14, -0x1.d776566635971p-14, -0x1.d373568fd7735p-14, -0x1.cf70963c57522p-14, -0x1.cb6e3b5c518c7p-14, -0x1.c76c6b03c1efep-14, -0x1.c36b496d18c6dp-14, -0x1.bf6af9fc4a789p-14, -0x1.bb6b9f4272e1cp-14, -0x1.b76d5b00b9b85p-14, -0x1.b3704e2bba717p-14, -0x1.af7498ee8adfdp-14, -0x1.ab7a5aae04796p-14, -0x1.a781b20bd22abp-14, -0x1.a38abce9688bep-14, -0x1.9f95986b738a1p-14, -0x1.9ba260fcb78d9p-14, -0x1.97b13250fd9d2p-14, -0x1.93c22768291e6p-14, -0x1.8fd55a913fe53p-14, -0x1.8beae56d84a2fp-14, -0x1.8802e0f32964bp-14, -0x1.841d65703afdbp-14, -0x1.803a8a8d8fdedp-14, -0x1.7c5a67519795p-14, -0x1.787d12235d9f8p-14, -0x1.74a2a0cd0b784p-14, -0x1.70cb287ec4dcep-14, -0x1.6cf6bdd15cd28p-14, -0x1.692574c92806p-14, -0x1.655760d86efa8p-14, -0x1.618c94e244bcap-14, -0x1.5dc5233cf4058p-14, -0x1.5a011db4ba302p-14, -0x1.5640958e2c9d5p-14, -0x1.52839b88c7b4cp-14, -0x1.4eca3fe15f73bp-14, -0x1.4b149254b48e5p-14, -0x1.4762a221b3ffp-14, -0x1.43b47e0be50f9p-14, -0x1.400a345dc5e9cp-14, -0x1.3c63d2eb0a3ffp-14, -0x1.38c16712fce86p-14, -0x1.3522fdc2b2185p-14, -0x1.3188a3774525dp-14, -0x1.2df2643ff29f1p-14, -0x1.2a604bc05c2c6p-14, -0x1.26d26532a2a78p-14, -0x1.2348bb69652ccp-14, -0x1.1fc358d1e4627p-14, -0x1.1c42477609d38p-14, -0x1.18c590fe641f7p-14, -0x1.154d3eb422fb7p-14, -0x1.11d95982f800cp-14, -0x1.0e69e9fb0b1dp-14, -0x1.0afef852e266cp-14, -0x1.07988c691fca9p-14, -0x1.0436adc66430ap-14, -0x1.00d9639f1dbc4p-14, -0x1.fb0169aa7f6b2p-15, -0x1.f4594ff409cb3p-15, -0x1.edba869f2fa6ap-15, -0x1.e72519959eb87p-15, -0x1.e09914296578p-15, -0x1.da168118679acp-15, -0x1.d39d6a8f9fc94p-15, -0x1.cd2dda2e03a6fp-15, -0x1.c6c7d907a2949p-15, -0x1.c06b6fa8caee8p-15, -0x1.ba18a618e1786p-15, -0x1.b3cf83dd461ep-15, -0x1.ad900ffc4c283p-15, -0x1.a75a5100095f7p-15, -0x1.a12e4cf8e8a71p-15, -0x1.9b0c098086748p-15, -0x1.94f38bbc46a88p-15, -0x1.8ee4d86015485p-15, -0x1.88dff3b0e37afp-15, -0x1.82e4e18718a2cp-15, -0x1.7cf3a550ea9aap-15, -0x1.770c421534698p-15, -0x1.712eba7588f6bp-15, -0x1.6b5b10b094a52p-15, -0x1.659146a4713e5p-15, -0x1.5fd15dd0cea07p-15, -0x1.5a1b575954b65p-15, -0x1.546f3407b067dp-15, -0x1.4eccf44d84cc9p-15, -0x1.49349846e65b9p-15, -0x1.43a61fbc1f717p-15, -0x1.3e218a23abf4fp-15, -0x1.38a6d6a45be64p-15, -0x1.333604171bda9p-15, -0x1.2dcf1108dc185p-15, -0x1.2871fbbc56317p-15, -0x1.231ec22c1d8e4p-15, -0x1.1dd5620c4b72dp-15, -0x1.1895d8cc2488fp-15, -0x1.13602397a4d49p-15, -0x1.0e343f599def9p-15, -0x1.091228bd0844fp-15, -0x1.03f9dc2ea728bp-15, -0x1.fdd6abbd59e1ap-16, -0x1.f3cd238488c8ep-16, -0x1.e9d7172a5f91bp-16, -0x1.dff47db5aa97cp-16, -0x1.d6254dc0559d8p-16, -0x1.cc697d79eaf31p-16, -0x1.c2c102aa38cd7p-16, -0x1.b92bd2b417c37p-16, -0x1.afa9e2988ccep-16, -0x1.a63b26f88e862p-16, -0x1.9cdf9417f1d2cp-16, -0x1.93971de0903b8p-16, -0x1.8a61b7e3d6638p-16, -0x1.813f555d2b683p-16, -0x1.782fe934e85e8p-16, -0x1.6f3366027a84cp-16, -0x1.6649be0e449b1p-16, -0x1.5d72e3541d51ap-16, -0x1.54aec7858cdc8p-16, -0x1.4bfd5c0b9513cp-16, -0x1.435e9208f91ep-16, -0x1.3ad25a5c633d2p-16, -0x1.3258a5a26c571p-16, -0x1.29f16436df8p-16, -0x1.219c863760c29p-16, -0x1.1959fb85107fep-16, -0x1.1129b3c63df15p-16, -0x1.090b9e6846578p-16, -0x1.00ffaaa1b89dbp-16, -0x1.f20b8ee5b6c08p-17, -0x1.e23bc75151796p-17, -0x1.d28fdbbc41f9fp-17, -0x1.c307a8fa0d537p-17, -0x1.b3a30b80d3e15p-17, -0x1.a461df6bff467p-17, -0x1.9544007e6d44dp-17, -0x1.86494a2636c13p-17, -0x1.7771977efbc01p-17, -0x1.68bcc3552a264p-17, -0x1.5a2aa8288c00ep-17, -0x1.4bbb202f129f3p-17, -0x1.3d6e0556c0ff1p-17, -0x1.2f4331492d7e4p-17, -0x1.213a7d6df880cp-17, -0x1.1353c2ec7ae94p-17, -0x1.058edaaeb1e99p-17, -0x1.efd73ac8ff6abp-18, -0x1.d4d3c706dfbp-18, -0x1.ba130a96bb31ep-18, -0x1.9f94b591a8964p-18, -0x1.855877a8b4df2p-18, -0x1.6b5e002edb68bp-18, -0x1.51a4fe1ccc58fp-18, -0x1.382d20107065bp-18, -0x1.1ef61455363d7p-18, -0x1.05ff88e63da95p-18, -0x1.da9256e43bf96p-19, -0x1.a9a552c04703bp-19, -0x1.79375fa1b5623p-19, -0x1.4947d748e32ecp-19, -0x1.19d612fcddff4p-19, -0x1.d5c2d71448c36p-20, -0x1.78d272a30501bp-20, -0x1.1cd9a89968fe7p-20, -0x1.83ae50455be84p-21, -0x1.9f267ee5b15c9p-22, -0x1.d5f7a5e9db6fbp-25, 0x1.25df494b07293p-22, 0x1.415cc460e9bd7p-21, 0x1.edea8ca22cee8p-21, 0x1.4c4dd32322b9bp-20, 0x1.a0b95d7c7dcbdp-20, 0x1.f4393a9981055p-20, 0x1.2367600ddc852p-19, 0x1.4c3da1f7c7c16p-19, 0x1.74a00e24dd8b7p-19, 0x1.9c8f4fcf7fa45p-19, 0x1.c40c124b9c53p-19, 0x1.eb170102cd268p-19, 0x1.08d863b735b93p-18, 0x1.1bed088bb92a1p-18, 0x1.2ec9c4c6537f2p-18, 0x1.416eee2ea2fb7p-18, 0x1.53dcda8e6cfadp-18, 0x1.6613dfaba608fp-18, 0x1.78145348d59bdp-18, 0x1.89de8b220e72dp-18, 0x1.9b72dce99a94ap-18, 0x1.acd19e48b0512p-18, 0x1.bdfb24dcc48eap-18, 0x1.ceefc63347d5bp-18, 0x1.dfafd7ccdc5ap-18, 0x1.f03baf174ac18p-18, 0x1.0049d0b5aac91p-17, 0x1.085c0207d8eaap-17, 0x1.10549619cce95p-17, 0x1.1833b776e86e9p-17, 0x1.1ff9909de062bp-17, 0x1.27a64bff8d21dp-17, 0x1.2f3a13fe6efap-17, 0x1.36b512ee4fa0fp-17, 0x1.3e17731330f63p-17, 0x1.45615e9fb72efp-17, 0x1.4c92ffb5dcb13p-17, 0x1.53ac8065ee619p-17, 0x1.5aae0aad72c21p-17, 0x1.6197c87705ea5p-17, 0x1.6869e3989d837p-17, 0x1.6f2485d420633p-17, 0x1.75c7d8d6b82b7p-17, 0x1.7c540637988fp-17, 0x1.82c9377823591p-17, 0x1.89279601fa1ccp-17, 0x1.8f6f4b27bde0fp-17, 0x1.95a08024e3e4cp-17, 0x1.9bbb5e1b8da94p-17, 0x1.a1c00e15134b3p-17, 0x1.a7aeb9015ae5bp-17, 0x1.ad8787b628cp-17, 0x1.b34aa2ef222fdp-17, 0x1.b8f8334cc8bf7p-17, 0x1.be906153967aap-17, 0x1.c413556cb666p-17, 0x1.c98137e546438p-17, 0x1.ceda30ed09aadp-17, 0x1.d41e68963a7a3p-17, 0x1.d94e06d5e3a17p-17, 0x1.de693383314fep-17, 0x1.e3701656afd73p-17, 0x1.e862d6e9891dp-17, 0x1.ed419cb5d26d7p-17, 0x1.f20c8f16474e5p-17, 0x1.f6c3d545b22cep-17, 0x1.fb67965e567ccp-17, 0x1.fff7f959017c8p-17, 0x1.023a928751073p-16, 0x1.046fa01b0a9d5p-16, 0x1.069b38b21e9f6p-16, 0x1.08bd6f86188ep-16, 0x1.0ad657bf3adb4p-16, 0x1.0ce60474d057ap-16, 0x1.0eec88ac1b187p-16, 0x1.10e9f758b7e8dp-16, 0x1.12de635ce9f2ap-16, 0x1.14c9df88d8e87p-16, 0x1.16ac7e9a43ec2p-16, 0x1.1886533cf367fp-16, 0x1.1a57700a80daep-16, 0x1.1c1fe78a02894p-16, 0x1.1ddfcc2f879fap-16, 0x1.1f97305cc5db5p-16, 0x1.21462660d7f7dp-16, 0x1.22ecc0779459p-16, 0x1.248b10c9c3163p-16, 0x1.2621296ce0ba6p-16, 0x1.27af1c63c570bp-16, 0x1.2934fb9d4336fp-16, 0x1.2ab2d8f4e6425p-16, 0x1.2c28c632c5708p-16, 0x1.2d96d50b634bep-16, 0x1.2efd171f5569ap-16, 0x1.305b9dfb29c0bp-16, 0x1.31b27b17ff6cep-16, 0x1.3301bfdae827dp-16, 0x1.34497d944e151p-16, 0x1.3589c580fda6bp-16, 0x1.36c2a8c984346p-16, 0x1.37f43881eb873p-16, 0x1.391e85a9c842ap-16, 0x1.3a41a12c984a6p-16, 0x1.3b5d9be134cdap-16, 0x1.3c728689b4bc5p-16, 0x1.3d8071d3b364dp-16, 0x1.3e876e5863e8ap-16, 0x1.3f878c9bcb139p-16, 0x1.4080dd0d22cc9p-16, 0x1.417370072fd55p-16, 0x1.425f55cfa28abp-16, 0x1.43449e972042fp-16, 0x1.44235a795551ap-16, 0x1.44fb997d444aap-16, 0x1.45cd6b9459a91p-16, 0x1.4698e09b22d61p-16, 0x1.475e085922342p-16, 0x1.481cf280ba398p-16, 0x1.48d5aeae8b4f5p-16, 0x1.49884c6aa2759p-16, 0x1.4a34db27bf5aap-16, 0x1.4adb6a42d4d0bp-16, 0x1.4b7c0903bf1bdp-16, 0x1.4c16c69d58d78p-16, 0x1.4cabb22cc4a89p-16, 0x1.4d3adab9ba56fp-16, 0x1.4dc44f36dd46p-16, 0x1.4e481e8131623p-16, 0x1.4ec657600ee13p-16, 0x1.4f3f0885f844bp-16, 0x1.4fb2408f9e269p-16, 0x1.50200e03e95p-16, 0x1.50887f550273ep-16, 0x1.50eba2df22d27p-16, 0x1.514986e93d8f1p-16, 0x1.51a239a45fb87p-16, 0x1.51f5c92cdfa53p-16, 0x1.52444388ecbd7p-16, 0x1.528db6a96bf95p-16, 0x1.52d2306a0a9dap-16, 0x1.5311be90bbcecp-16, 0x1.534c6ecdf00d3p-16, 0x1.53824ebd0aa94p-16, 0x1.53b36be3b58b8p-16, 0x1.53dfd3b1dc29ap-16, 0x1.54079382d51f7p-16, 0x1.542ab89c0624ep-16, 0x1.5449502d552fbp-16, 0x1.5463675189ba7p-16, 0x1.54790b0e65fccp-16, 0x1.548a4853a43bap-16, 0x1.54972bfc50a9dp-16, 0x1.549fc2cde219bp-16, 0x1.54a4197884358p-16, 0x1.54a43c97a4bacp-16, 0x1.54a038b0fe7bbp-16, 0x1.54981a352247ap-16, 0x1.548bed80111f8p-16, 0x1.547bbed8249ffp-16, 0x1.54679a6ecd3d2p-16, 0x1.544f8c607064bp-16, 0x1.5433a0b4c62a5p-16, 0x1.5413e35df088ep-16, 0x1.53f06039d6b3fp-16, 0x1.53c923110ef2ep-16, 0x1.539e37976c957p-16, 0x1.536fa96c284dbp-16, 0x1.533d84199486cp-16, 0x1.5307d31503745p-16, 0x1.52cea1bfed115p-16, 0x1.5291fb666216p-16, 0x1.5251eb3ff064bp-16, 0x1.520e7c70401f1p-16, 0x1.51c7ba060b332p-16, 0x1.517daefb438bbp-16, 0x1.513066366a0efp-16, 0x1.50dfea88ca18ep-16, 0x1.508c46b00c48cp-16, 0x1.503585551a98ap-16, 0x1.4fdbb10d14a42p-16, 0x1.4f7ed458fef3cp-16, 0x1.4f1ef9a59cccap-16, 0x1.4ebc2b4b99faep-16, 0x1.4e567390462bep-16, 0x1.4deddca47f81fp-16, 0x1.4d8270a54cc83p-16, 0x1.4d14399c74c52p-16, 0x1.4ca3417fa102ep-16, 0x1.4c2f9230e8e16p-16, 0x1.4bb9357f09129p-16, 0x1.4b403524dab15p-16, 0x1.4ac49aca1e757p-16, 0x1.4a4670032b46dp-16, 0x1.49c5be5091491p-16, 0x1.49428f2049387p-16, }}, 
      {{0x1.752aafd3975fap-1, 0x1.750325e07d016p-1, 0x1.74c1b96af5329p-1, 0x1.746719abcb69cp-1, 0x1.73f42fda4ee82p-1, 0x1.736a15de3a4f2p-1, 0x1.72ca0ca75f91ep-1, 0x1.721572bcc698ap-1, 0x1.714dbb632b85p-1, 0x1.70746694bd2b2p-1, 0x1.6f8af9e7c7d55p-1, 0x1.6e92fa6dd4ccfp-1, 0x1.6d8de786e62b7p-1, 0x1.6c7d369b7fc9p-1, 0x1.6b624faac8e97p-1, 0x1.6a3e8a974f83fp-1, 0x1.69132d1c165d1p-1, 0x1.67e16953eaf52p-1, 0x1.66aa5cbe28b7fp-1, 0x1.656f0fadadd24p-1, 0x1.64307510a7dd1p-1, 0x1.62ef6a81c6177p-1, 0x1.61acb8954a98dp-1, 0x1.606913563fb7ep-1, 0x1.5f251ae9ba758p-1, 0x1.5de15c4f915a4p-1, 0x1.5c9e523944113p-1, 0x1.5b5c65f0f0fbcp-1, 0x1.5a1bf04b3ef79p-1, 0x1.58dd3a9ff7149p-1, 0x1.57a07fc5cb463p-1, 0x1.5665ed0e63aadp-1, 0x1.552da34058525p-1, 0x1.53f7b78d276a4p-1, 0x1.52c43481a10b4p-1, 0x1.51931aef8df95p-1, 0x1.506462cf96a76p-1, 0x1.4f37fc1ab34fap-1, 0x1.4e0dcf9a9203dp-1, 0x1.4ce5bfb090314p-1, 0x1.4bbfa9130252dp-1, 0x1.4a9b6380a470ap-1, 0x1.4978c26a23961p-1, 0x1.48579591c5beap-1, 0x1.4737a9a145ff3p-1, 0x1.4618c8b60c7fcp-1, 0x1.44fabae3f0ac4p-1, 0x1.43dd46aec1dep-1, 0x1.42c0317adb18dp-1, 0x1.41a33ff50aa5dp-1, 0x1.408636721eb1p-1, 0x1.3f68d94669988p-1, 0x1.3e4aed1596fc1p-1, 0x1.3d2c371b2a9dfp-1, 0x1.3c0c7d6c0141ep-1, 0x1.3aeb873134f5ap-1, 0x1.39c91cdcba86p-1, 0x1.38a508581606bp-1, 0x1.377f152d813d8p-1, 0x1.365710abd89c4p-1, 0x1.352cca05aa43p-1, 0x1.3400126bb5538p-1, 0x1.32d0bd2330ab7p-1, 0x1.319e9f982401bp-1, 0x1.3069916c205d6p-1, 0x1.2f316c81a1926p-1, 0x1.2df60d045b2cp-1, 0x1.2cb7516eb7947p-1, 0x1.2b751a8cc2decp-1, 0x1.2a2f4b7cc1307p-1, 0x1.28e5c9ada63b3p-1, 0x1.27987cdba3354p-1, 0x1.26474f0afde5ep-1, 0x1.24f22c815d2f8p-1, 0x1.239903bdb89eep-1, 0x1.223bc56f11082p-1, 0x1.20da646a1a38fp-1, 0x1.1f74d59df5a2p-1, 0x1.1e0b100820ee7p-1, 0x1.1c9d0ca7b3961p-1, 0x1.1b2ac67007578p-1, 0x1.19b43a3ae58d2p-1, 0x1.183966ba4e088p-1, 0x1.16ba4c69eefbep-1, 0x1.1536ed805cadcp-1, 0x1.13af4de01e128p-1, 0x1.122373089bb6p-1, 0x1.10936406fdeefp-1, 0x1.0eff296709f92p-1, 0x1.0d66cd24048e2p-1, 0x1.0bca5a99a7a0cp-1, 0x1.0a29de75335c4p-1, 0x1.088566a69e962p-1, 0x1.06dd0251f3ab5p-1, 0x1.0530c1c0da39bp-1, 0x1.0380b65454bf3p-1, 0x1.01ccf276b7d63p-1, 0x1.0015898dddb28p-1, 0x1.fcb51fdb2e63p-2, 0x1.f9383594c29abp-2, 0x1.f5b48058b9831p-2, 0x1.f22a2dc51b9f9p-2, 0x1.ee996cecc224p-2, 0x1.eb026e3ef53efp-2, 0x1.e765636f99c53p-2, 0x1.e3c27f5ff3f4fp-2, 0x1.e019f607fee04p-2, 0x1.dc6bfc605256ep-2, 0x1.d8b8c84ca4813p-2, 0x1.d5009086d604p-2, 0x1.d1438c8a97a3ap-2, 0x1.cd81f4819bc19p-2, 0x1.c9bc0130596d9p-2, 0x1.c5f1ebe35ed7dp-2, 0x1.c223ee5d2f9d9p-2, 0x1.be5242c4acbf9p-2, 0x1.ba7d239408e3cp-2, 0x1.b6a4cb88432c3p-2, 0x1.b2c97591266f1p-2, 0x1.aeeb5cc1cd417p-2, 0x1.ab0abc41a8a08p-2, 0x1.a727cf3e04d4dp-2, 0x1.a342d0dc0c8e8p-2, 0x1.9f5bfc2b48e9p-2, 0x1.9b738c189b42bp-2, 0x1.9789bb61ac10ap-2, 0x1.939ec488d3f73p-2, 0x1.8fb2e1c975792p-2, 0x1.8bc64d0cca521p-2, 0x1.87d93fdf1f352p-2, 0x1.83ebf3657f411p-2, 0x1.7ffea053cba62p-2, 0x1.7c117ee33aa5dp-2, 0x1.7824c6c943353p-2, 0x1.7438af2eec748p-2, 0x1.704d6ea880fdp-2, 0x1.6c633b2da8376p-2, 0x1.687a4a11dcefcp-2, 0x1.6492cffd474ebp-2, 0x1.60ad00e5ef389p-2, 0x1.5cc910094e1d8p-2, 0x1.58e72fe639a02p-2, 0x1.5507923725c1dp-2, 0x1.512a67ecbcd21p-2, 0x1.4d4fe128ce726p-2, 0x1.49782d398e358p-2, 0x1.45a37a95255dap-2, 0x1.41d1f6d592e3dp-2, 0x1.3e03ceb4db8afp-2, 0x1.3a392e0981a28p-2, 0x1.36723fc34a319p-2, 0x1.32af2de84b238p-2, 0x1.2ef021923cbf1p-2, 0x1.2b3542ec141f2p-2, 0x1.277eb92fdec33p-2, 0x1.23ccaaa4e0f95p-2, 0x1.201f3c9df24b3p-2, 0x1.1c7693781cc5p-2, 0x1.18d2d2997336p-2, 0x1.15341c7027369p-2, 0x1.119a9271d5b7bp-2, 0x1.0e06551b0d9ffp-2, 0x1.0a7783ef088bfp-2, 0x1.06ee3d779e7ddp-2, 0x1.036a9f4565f86p-2, 0x1.ffd98be00fff5p-3, 0x1.f8e99a2d8ab7cp-3, 0x1.f2059ec24debap-3, 0x1.eb2dccffb7e1ap-3, 0x1.e462565b8860fp-3, 0x1.dda36a6241617p-3, 0x1.d6f136b9dd0ebp-3, 0x1.d04be724cf70dp-3, 0x1.c9b3a58550355p-3, 0x1.c32899e0ead6ep-3, 0x1.bcaaea6454425p-3, 0x1.b63abb677e0dep-3, 0x1.afd82f71eac82p-3, 0x1.a983673f3b736p-3, 0x1.a33c81c3f46b7p-3, 0x1.9d039c3279b6p-3, 0x1.96d8d2003d75ap-3, 0x1.90bc3ceb18966p-3, 0x1.8aadf4fedd874p-3, 0x1.84ae109b07fb3p-3, 0x1.7ebca4789b48ap-3, 0x1.78d9c3b02a202p-3, 0x1.73057fbff6038p-3, 0x1.6d3fe8923f1cdp-3, 0x1.67890c83a2299p-3, 0x1.61e0f8699edbp-3, 0x1.5c47b7993515ap-3, 0x1.56bd53ed93c8bp-3, 0x1.5141d5cee4cb8p-3, 0x1.4bd5443929728p-3, 0x1.4677a4c3299c1p-3, 0x1.4128fba56c6aep-3, 0x1.3be94bc147deap-3, 0x1.36b896a7f6955p-3, 0x1.3196dca1b2d35p-3, 0x1.2c841cb4e6a7fp-3, 0x1.278054ad53463p-3, 0x1.228b812346706p-3, 0x1.1da59d82d0c4dp-3, 0x1.18cea412fb296p-3, 0x1.14068dfcffbc2p-3, 0x1.0f4d53537d7c2p-3, 0x1.0aa2eb19ab11cp-3, 0x1.06074b4a844fcp-3, 0x1.017a68dff26cfp-3, 0x1.f9f86fb3dc2bep-4, 0x1.f119568b2c1eep-4, 0x1.e8576a888122ep-4, 0x1.dfb28e250428dp-4, 0x1.d72aa21e41888p-4, 0x1.cebf8584136b8p-4, 0x1.c67115c650683p-4, 0x1.be3f2ec27a1c1p-4, 0x1.b629aad138c21p-4, 0x1.ae3062d3c1accp-4, 0x1.a6532e411549ap-4, 0x1.9e91e33320ff4p-4, 0x1.96ec5673b1b85p-4, 0x1.8f625b894ad03p-4, 0x1.87f3c4c3cddap-4, 0x1.80a06348fe571p-4, 0x1.79680720d809ep-4, 0x1.724a7f41bfa42p-4, 0x1.6b47999c7fe86p-4, 0x1.645f232821807p-4, 0x1.5d90e7ed9137ap-4, 0x1.56dcb31319b2fp-4, 0x1.50424ee7acf51p-4, 0x1.49c184edffcbap-4, 0x1.435a1de772641p-4, 0x1.3d0be1decd406p-4, 0x1.36d69832c71b7p-4, 0x1.30ba07a05d69bp-4, 0x1.2ab5f64cfb6b2p-4, 0x1.24ca29d06b3afp-4, 0x1.1ef6673e98f4ep-4, 0x1.193a7331205fdp-4, 0x1.139611d0aabe4p-4, 0x1.0e0906de17abp-4, 0x1.089315bb742d3p-4, 0x1.03340174bef3fp-4, 0x1.fbd71990f6a1cp-5, 0x1.f172f4601e22bp-5, 0x1.e73b17cfdf38ep-5, 0x1.dd2f07ef3b9f1p-5, 0x1.d34e4872dcf76p-5, 0x1.c9985cc43d47ep-5, 0x1.c00cc8107a509p-5, 0x1.b6ab0d56b7975p-5, 0x1.ad72af7625523p-5, 0x1.a463313ba7f91p-5, 0x1.9b7c156f1dac8p-5, 0x1.92bcdee0400abp-5, 0x1.8a2510732f1c6p-5, 0x1.81b42d2c96931p-5, 0x1.7969b83d7c79bp-5, 0x1.7145350eb1996p-5, 0x1.6946274be3edep-5, 0x1.616c12ee5d023p-5, 0x1.59b67c4763c44p-5, 0x1.5224e80a48d95p-5, 0x1.4ab6db561777cp-5, 0x1.436bdbbefa9bp-5, 0x1.3c436f5743927p-5, 0x1.353d1cb824368p-5, 0x1.2e586b0a166edp-5, 0x1.2794e20ceffb9p-5, 0x1.20f20a1fad0f6p-5, 0x1.1a6f6c47e6d25p-5, 0x1.140c9239016ap-5, 0x1.0dc9065b0be5ap-5, 0x1.07a453d15a25ep-5, 0x1.019e0680d15ccp-5, 0x1.f76b562be41bfp-6, 0x1.ebd59e152d87cp-6, 0x1.e07a0156e62a8p-6, 0x1.d5579e3a97e5fp-6, 0x1.ca6d94c3e62d7p-6, 0x1.bfbb06b9efb5bp-6, 0x1.b53f17b04cebdp-6, 0x1.aaf8ed0f766d4p-6, 0x1.a0e7ae1cca642p-6, 0x1.970a84020b7b9p-6, 0x1.8d6099d476fb4p-6, 0x1.83e91c9b5ad02p-6, 0x1.7aa33b5652eb9p-6, 0x1.718e270308abfp-6, 0x1.68a912a28cf18p-6, 0x1.5ff3333e51168p-6, 0x1.576bbfecb92acp-6, 0x1.4f11f1d548264p-6, 0x1.46e5043473717p-6, 0x1.3ee4345f1a3efp-6, 0x1.370ec1c596dc3p-6, 0x1.2f63edf68b0cp-6, 0x1.27e2fca14928cp-6, 0x1.208b3397ef2afp-6, 0x1.195bdad133932p-6, 0x1.12543c69de977p-6, 0x1.0b73a4a5fda66p-6, 0x1.04b961f1c981bp-6, 0x1.fc4989c489266p-7, 0x1.ef6a406b3978dp-7, 0x1.e2d391a678748p-7, 0x1.d6842b9748b27p-7, 0x1.ca7ac0b011a9ep-7, 0x1.beb607b350bbbp-7, 0x1.b334bbb1e7b9bp-7, 0x1.a7f59c08eb5bdp-7, 0x1.9cf76c5f0c603p-7, 0x1.9238f4a195b5fp-7, 0x1.87b9010108238p-7, 0x1.7d7661ed5097ep-7, 0x1.736fec11a5d28p-7, 0x1.69a478500a8fbp-7, 0x1.6012e3bc743abp-7, 0x1.56ba0f979fff3p-7, 0x1.4d98e149af8ebp-7, 0x1.44ae425c48392p-7, 0x1.3bf92074a0b4fp-7, 0x1.33786d4d1d309p-7, 0x1.2b2b1eaec51bdp-7, 0x1.23102e6a6ea21p-7, 0x1.1b269a51a86b1p-7, 0x1.136d642f7aaf7p-7, 0x1.0be391c0db2d6p-7, 0x1.04882cad01068p-7, 0x1.fab484fb08872p-8, 0x1.ecb1c92c7273bp-8, 0x1.df06505a0a5e1p-8, 0x1.d1b04c82de975p-8, 0x1.c4adf72810a1ap-8, 0x1.b7fd913b879ep-8, 0x1.ab9d630e3733ap-8, 0x1.9f8bbc3e3d5fap-8, 0x1.93c6f3a4b293cp-8, 0x1.884d67435977cp-8, 0x1.7d1d7c320c841p-8, 0x1.72359e8bf4bap-8, 0x1.6794415cb1288p-8, 0x1.5d37de8d4c9ecp-8, 0x1.531ef6d0f331ep-8, 0x1.49481191bdb6bp-8, 0x1.3fb1bcdd36956p-8, 0x1.365a8d50d62b7p-8, 0x1.2d411e06750b2p-8, 0x1.2464108093bacp-8, 0x1.1bc20c96a6648p-8, 0x1.1359c0614610cp-8, 0x1.0b29e02676fd1p-8, 0x1.03312645c66a5p-8, 0x1.f6dca648e2dacp-9, 0x1.e7c05a3316ee4p-9, 0x1.d90b00b46ee14p-9, 0x1.caba3dcb8a82dp-9, 0x1.bccbc0e3d306dp-9, 0x1.af3d44ae0cc42p-9, 0x1.a20c8ef8c4ec4p-9, 0x1.953770890e123p-9, 0x1.88bbc4f358d7cp-9, 0x1.7c97727440384p-9, 0x1.70c869c9bf182p-9, 0x1.654ca60c42ee6p-9, 0x1.5a222c882f044p-9, 0x1.4f470c9771b8fp-9, 0x1.44b95f7b47eeep-9, 0x1.3a77483644966p-9, 0x1.307ef36673ceep-9, 0x1.26ce972005b3p-9, 0x1.1d6472c7b987fp-9, 0x1.143eceee1817bp-9, 0x1.0b5bfd2a725e4p-9, 0x1.02ba57f67dd7bp-9, 0x1.f4b0851434ed1p-10, 0x1.e468516e9568ap-10, 0x1.d498fd8d3ab32p-10, 0x1.c53f82a7841cfp-10, 0x1.b658ea5518845p-10, 0x1.a7e24e4867fcdp-10, 0x1.99d8d809c3366p-10, 0x1.8c39c0b33c6c9p-10, 0x1.7f0250ad08b0bp-10, 0x1.722fdf6acc83ep-10, 0x1.65bfd32931a04p-10, 0x1.59afa0acaa7fbp-10, 0x1.4dfccb004c675p-10, 0x1.42a4e335fd786p-10, 0x1.37a58826d0eafp-10, 0x1.2cfc66348262dp-10, 0x1.22a7370b3cb47p-10, 0x1.18a3c1647d83ap-10, 0x1.0eefd8ca727b7p-10, 0x1.05895d5c1f28bp-10, 0x1.f8dc7724a844cp-11, 0x1.e738d80a336d1p-11, 0x1.d623e664adb66p-11, 0x1.c599c2891bedbp-11, 0x1.b596a3b5a9d2ep-11, 0x1.a616d7a2f40afp-11, 0x1.9716c21629588p-11, 0x1.8892dc75231a4p-11, 0x1.7a87b55c0119ap-11, 0x1.6cf1f0340c88bp-11, 0x1.5fce44cc142d4p-11, 0x1.53197ef216b6dp-11, 0x1.46d07e0ed4254p-11, 0x1.3af034c24f734p-11, 0x1.2f75a882242dep-11, 0x1.245df138f8e6p-11, 0x1.19a638e79c931p-11, 0x1.0f4bbb478f2cbp-11, 0x1.054bc56e9fb05p-11, 0x1.f7476ae8e9301p-12, 0x1.e4a1f4322757ep-12, 0x1.d2a224d9b80bfp-12, 0x1.c1431af459338p-12, 0x1.b08013e0005e3p-12, 0x1.a0546b9c79441p-12, 0x1.90bb9c260ce3cp-12, 0x1.81b13cd39e091p-12, 0x1.733101b6953eep-12, 0x1.6536bafe798e7p-12, 0x1.57be545dce67fp-12, 0x1.4ac3d472eef53p-12, 0x1.3e435c324e1bdp-12, 0x1.323926542b01ap-12, 0x1.26a186c41655dp-12, 0x1.1b78ea1362c0ap-12, 0x1.10bbd4edfc0fdp-12, 0x1.0666e391652e8p-12, 0x1.f8ed928d35e77p-13, 0x1.e5d09fbba172p-13, 0x1.d370ae5a998e2p-13, 0x1.c1c7a922d04aap-13, 0x1.b0cfa4e0b82cep-13, 0x1.a082df7de353ap-13, 0x1.90dbbf10dbed3p-13, 0x1.81d4d0f09282ap-13, 0x1.7368c8cc395ep-13, 0x1.65927fc7dc4fbp-13, 0x1.584cf39c9bcb1p-13, 0x1.4b9345bdb9199p-13, 0x1.3f60ba82078d7p-13, 0x1.33b0b850773d4p-13, 0x1.287ec6d18f753p-13, 0x1.1dc68e251482dp-13, 0x1.1383d61a64dbap-13, 0x1.09b2856ea6416p-13, 0x1.004ea10ce1647p-13, 0x1.eea896a62ab0bp-14, 0x1.dd7f86b60f2edp-14, 0x1.cd1ac88bc9361p-14, 0x1.bd7349191e9e2p-14, 0x1.ae822aa5fcb1p-14, 0x1.a040c37d18afdp-14, 0x1.92a89ca2a348dp-14, 0x1.85b3708ecef43p-14, 0x1.795b29f03e0dep-14, 0x1.6d99e2751ab7bp-14, 0x1.6269e19afc5d4p-14, 0x1.57c59b8435ceap-14, 0x1.4da7afd4264e9p-14, 0x1.440ae8927a213p-14, 0x1.3aea39128ce87p-14, 0x1.3240bce344c19p-14, 0x1.2a09b6c233f4bp-14, 0x1.22408f96c43f1p-14, 0x1.1ae0d571df6edp-14, 0x1.13e63a93b7115p-14, 0x1.0d4c94763849bp-14, 0x1.070fdadf5197ap-14, 0x1.012c26f461db5p-14, 0x1.f73b64aea3409p-15, 0x1.ecc1ac8bd7ef8p-15, 0x1.e2e4157d2ff7dp-15, 0x1.d99bcb57cd3e8p-15, 0x1.d0e23425405a6p-15, 0x1.c8b0ee8cf66d4p-15, 0x1.c101d0439b5e5p-15, 0x1.b9cee4860785dp-15, 0x1.b3126a9d6ccc4p-15, 0x1.acc6d46ad0f61p-15, 0x1.a6e6c4fb23d1ap-15, 0x1.a16d0f270dde9p-15, 0x1.9c54b436fb11ap-15, 0x1.9798e29149774p-15, 0x1.9334f470acaep-15, 0x1.8f246ea30205fp-15, 0x1.8b62ff4c95b1ep-15, 0x1.87ec7cb85d249p-15, 0x1.84bce42b3cbb4p-15, 0x1.81d058c0108f8p-15, 0x1.7f23224b825c6p-15, 0x1.7cb1ac45c446bp-15, 0x1.7a7884bb72a0ep-15, 0x1.78745b4516ffbp-15, 0x1.76a20006f1cdbp-15, 0x1.74fe62b46a187p-15, 0x1.7386919c8fc81p-15, 0x1.7237b8b947256p-15, 0x1.710f20c84dabp-15, 0x1.700a2e68b4f3ap-15, 0x1.6f26613c2b84p-15, 0x1.6e6153116abbdp-15, 0x1.6db8b7123dab7p-15, 0x1.6d2a58f762b6ap-15, 0x1.6cb41c40b8d01p-15, 0x1.6c53fb747e6edp-15, 0x1.6c080761d2f1cp-15, 0x1.6bce666a2e5a5p-15, 0x1.6ba553cd0bccep-15, 0x1.6b8b1efb3eea6p-15, 0x1.6b7e2aee1c6dp-15, 0x1.6b7ced805bc31p-15, 0x1.6b85eed011edp-15, 0x1.6b97c8a160802p-15, 0x1.6bb125c6c45efp-15, 0x1.6bd0c18e3fcdp-15, 0x1.6bf5673086a32p-15, 0x1.6c1df14703518p-15, 0x1.6c494943752b1p-15, 0x1.6c7666eb8b62ap-15, 0x1.6ca44fd938149p-15, 0x1.6cd216fe2778ep-15, 0x1.6cfedc29dddfp-15, 0x1.6d29cb948b2e7p-15, 0x1.6d521d6d61af9p-15, 0x1.6d77156b3bb35p-15, 0x1.6d9802608460dp-15, 0x1.6db43dd2a98ep-15, 0x1.6dcb2b94454fbp-15, 0x1.6ddc396340fd6p-15, 0x1.6de6de87b3331p-15, 0x1.6dea9b78863e5p-15, 0x1.6de6f9801137ap-15, 0x1.6ddb8a65b24acp-15, 0x1.6dc7e818870fep-15, 0x1.6dabb45cb3e6cp-15, 0x1.6d86987c3dba3p-15, 0x1.6d5844f924c84p-15, 0x1.6d207142e0776p-15, 0x1.6cdedb6d48dcep-15, 0x1.6c9347eabda56p-15, 0x1.6c3d8147de59ap-15, 0x1.6bdd57e92a77bp-15, 0x1.6b72a1cafcabcp-15, 0x1.6afd3a43b814ep-15, 0x1.6a7d01c7b8fb5p-15, 0x1.69f1ddaf814d2p-15, 0x1.695bb7fefe21bp-15, 0x1.68ba7f2f97bp-15, 0x1.680e25fc32d48p-15, 0x1.6756a32d0d1ddp-15, 0x1.6693f167a1cc5p-15, 0x1.65c60efe80c4p-15, 0x1.64ecfdc385a9p-15, 0x1.6408c2db4082cp-15, 0x1.631966927e675p-15, 0x1.621ef4345155fp-15, 0x1.611979e2f5f9p-15, 0x1.60090870416efp-15, 0x1.5eedb33908b86p-15, 0x1.5dc7900070036p-15, 0x1.5c96b6ce15b4fp-15, 0x1.5b5b41cb958d7p-15, 0x1.5a154d254b593p-15, 0x1.58c4f6ea81e85p-15, 0x1.576a5eefcc83p-15, 0x1.5605a6b271d2ap-15, 0x1.5496f13c33bfbp-15, 0x1.531e6308ac461p-15, 0x1.519c21eba0b92p-15, 0x1.501054f8156d1p-15, 0x1.4e7b24686977p-15, 0x1.4cdcb987d7d55p-15, 0x1.4b353e9c013d6p-15, 0x1.4984ded022a7bp-15, 0x1.47cbc620e2192p-15, 0x1.460a21483f178p-15, 0x1.44401dab63bep-15, 0x1.426de9487ed33p-15, 0x1.4093b2a590b4fp-15, 0x1.3eb1a8bff0031p-15, 0x1.3cc7fafca676dp-15, 0x1.3ad6d9190253ap-15, 0x1.38de731cc1daep-15, 0x1.36def94ba14cbp-15, 0x1.34d89c18af97ep-15, 0x1.32cb8c192cddcp-15, 0x1.30b7f9f8e2e63p-15, 0x1.2e9e166e5a45ap-15, 0x1.2c7e123019672p-15, 0x1.2a581dea389dap-15, 0x1.282c6a34680f1p-15, 0x1.25fb2788797d2p-15, 0x1.23c48639a4af2p-15, 0x1.2188b66ba439fp-15, 0x1.1f47e80ace7b8p-15, 0x1.1d024ac4839dfp-15, 0x1.1ab80dffcfd83p-15, 0x1.186960d66aa2dp-15, 0x1.1616720e8235cp-15, 0x1.13bf701472d8cp-15, 0x1.116488f52bdc3p-15, 0x1.0f05ea58ae271p-15, 0x1.0ca3c17d0cd5p-15, 0x1.0a3e3b317f1f6p-15, 0x1.07d583d212f6fp-15, 0x1.0569c74353b9bp-15, 0x1.02fb30ee894f5p-15, 0x1.0089ebbe1ffc9p-15, 0x1.fc2c4434882fap-16, 0x1.f73ffbcb6be45p-16, 0x1.f24f50f61b9b1p-16, 0x1.ed5a95545c993p-16, 0x1.e862196b2727cp-16, 0x1.e3662ca106798p-16, 0x1.de671d39a851cp-16, 0x1.d965385265449p-16, 0x1.d460c9df01e38p-16, 0x1.cf5a1ca71e4c1p-16, 0x1.ca517a437b326p-16, 0x1.c5472b1c1b6a5p-16, 0x1.c03b76664fd3ap-16, 0x1.bb2ea2239a009p-16, 0x1.b620f31f9fa19p-16, 0x1.b112acf049819p-16, 0x1.ac0411f42bad2p-16, 0x1.a6f56352b5bap-16, 0x1.a1e6e0fc1a471p-16, 0x1.9cd8c9a8d6a68p-16, 0x1.97cb5ada83d5p-16, 0x1.92bed0dc554c7p-16, 0x1.8db366c37486dp-16, 0x1.88a9567043dp-16, 0x1.83a0d88f87deap-16, 0x1.7e9a249b39843p-16, 0x1.799570dc8548fp-16, 0x1.7492f26cd8ea9p-16, 0x1.6f92dd37ec563p-16, 0x1.6a9563fd8d62fp-16, 0x1.659ab85398f1p-16, 0x1.60a30aa85551p-16, 0x1.5bae8a446939ep-16, 0x1.56bd654d4b156p-16, 0x1.51cfc8c7cbae2p-16, 0x1.4ce5e09aa4783p-16, 0x1.47ffd790dcc69p-16, 0x1.431dd75cc70bfp-16, 0x1.3e40089ae42ap-16, 0x1.396692d45c1c2p-16, 0x1.34919c8237bedp-16, 0x1.2fc14b108217ap-16, 0x1.2af5c2e0f87b8p-16, 0x1.262f274e67a59p-16, 0x1.216d9ab0122b8p-16, 0x1.1cb13e5c32862p-16, 0x1.17fa32ac1210cp-16, 0x1.134896fea3916p-16, 0x1.0e9c89bc2a878p-16, 0x1.09f6285955f7cp-16, 0x1.05558f5af3fa8p-16, 0x1.00bada591d1a3p-16, 0x1.f84c480512f9bp-17, 0x1.ef2f0c405503bp-17, 0x1.e61e3330e8c81p-17, 0x1.dd19ece5eb5c2p-17, 0x1.d42267b6de483p-17, 0x1.cb37d04b4e0e6p-17, 0x1.c25a51a1a7b92p-17, 0x1.b98a151589d48p-17, 0x1.b0c7426707841p-17, 0x1.a811ffc188286p-17, 0x1.9f6a71c251fd3p-17, 0x1.96d0bb7fc48a2p-17, 0x1.8e44fe8fd92a1p-17, 0x1.85c75b0f33b0fp-17, 0x1.7d57efa7afeb7p-17, 0x1.74f6d996c3e37p-17, 0x1.6ca434b4d5b22p-17, 0x1.64601b7b348fbp-17, 0x1.5c2aa70b35009p-17, 0x1.5403ef34694dep-17, 0x1.4bec0a7b127d4p-17, 0x1.43e30e1eec814p-17, 0x1.3be90e2141ce1p-17, 0x1.33fe1d4b2e329p-17, 0x1.2c224d3436943p-17, 0x1.2455ae48408ddp-17, 0x1.1c984fcdbe83ep-17, 0x1.14ea3febe71b7p-17, 0x1.0d4b8bb0dd8ebp-17, 0x1.05bc3f172c59dp-17, 0x1.fc78ca1831974p-18, 0x1.ed980eeae5724p-18, 0x1.ded65e6e481fp-18, 0x1.d033c8721f9c6p-18, 0x1.c1b05ad98eff9p-18, 0x1.b34c21a5a2988p-18, 0x1.a507270118467p-18, 0x1.96e1734a8ecd3p-18, 0x1.88db0d1f6d57ap-18, 0x1.7af3f9669a44fp-18, 0x1.6d2c3b5adceep-18, 0x1.5f83d49529839p-18, 0x1.51fac516d344cp-18, 0x1.44910b534b6bbp-18, 0x1.3746a43a576cbp-18, 0x1.2a1b8b4150c6ep-18, 0x1.1d0fba6d20771p-18, 0x1.10232a5b9620dp-18, 0x1.0355d24caa765p-18, 0x1.ed4f505699366p-19, 0x1.d431412e2c38dp-19, 0x1.bb515dd8af92dp-19, 0x1.a2af8a9aa9ce8p-19, 0x1.8a4ba9556cb85p-19, 0x1.72259997f30f7p-19, 0x1.5a3d38aeafdaep-19, 0x1.429261b5521c3p-19, 0x1.2b24eda5abd3ep-19, 0x1.13f4b36789fbdp-19, 0x1.fa030fc10c548p-20, 0x1.cc967c05fb749p-20, 0x1.9fa34db9f2c79p-20, 0x1.7329234d5c6eap-20, 0x1.472797a2de05cp-20, 0x1.1b9e4229bf10cp-20, 0x1.e1196df7243e9p-21, 0x1.8be50ded1418dp-21, 0x1.379e7fafaab41p-21, 0x1.c889b157ca864p-22, 0x1.23ae50eca3095p-22, 0x1.0151e3f0c08adp-23, -0x1.044314ca85b59p-25, -0x1.7fcf5ccd54c7fp-23, -0x1.5d76fd37d8c5ap-22, -0x1.f93864a54a97cp-22, -0x1.499701ddb8c77p-21, -0x1.95ad015097875p-21, -0x1.e0df4920b7b83p-21, -0x1.15977afc9e35bp-20, -0x1.3a4e9449667e5p-20, -0x1.5e9582c46ff58p-20, -0x1.826cda993aaf7p-20, -0x1.a5d531bd82354p-20, -0x1.c8cf1fdd9befap-20, -0x1.eb5b3e49f37d4p-20, -0x1.06bd13f22febap-19, -0x1.17963c873d5b1p-19, -0x1.283967cb9d712p-19, -0x1.38a6e554f83bbp-19, -0x1.48df055f03babp-19, -0x1.58e218c32ef85p-19, -0x1.68b070f051be3p-19, -0x1.784a5fe31e8eap-19, -0x1.87b0381df8656p-19, -0x1.96e24ca1fd748p-19, -0x1.a5e0f0e74b92ep-19, -0x1.b4ac78d6037aap-19, -0x1.c34538bf77433p-19, -0x1.d1ab8556f647fp-19, -0x1.dfdfb3ab61179p-19, -0x1.ede21920ac17bp-19, -0x1.fbb30b6941e1p-19, -0x1.04a9703ffb25dp-18, -0x1.0b60f7512b6f7p-18, -0x1.1200462534fe7p-18, -0x1.1887881461af2p-18, -0x1.1ef6e88fa5573p-18, -0x1.254e931dde34p-18, -0x1.2b8eb3591071ep-18, -0x1.31b774ebe5262p-18, -0x1.37c9038f2de54p-18, -0x1.3dc38b075475ep-18, -0x1.43a7372209a3ap-18, -0x1.497433b3efbe2p-18, -0x1.4f2aac963384p-18, -0x1.54cacda47d89ep-18, -0x1.5a54c2baed6e9p-18, -0x1.5fc8b7b3d3574p-18, -0x1.6526d86597d3fp-18, -0x1.6a6f50a0ea617p-18, -0x1.6fa24c2ec4f91p-18, -0x1.74bff6ce943bap-18, -0x1.79c87c3467f78p-18, -0x1.7ebc08071fa6ap-18, -0x1.839ac5decdaf4p-18, -0x1.8864e1431bcc4p-18, -0x1.8d1a85a98d28bp-18, -0x1.91bbde73f6ab4p-18, -0x1.964916eee6405p-18, -0x1.9ac25a504f511p-18, -0x1.9f27d3b62f71dp-18, -0x1.a379ae250586cp-18, -0x1.a7b8148687bdbp-18, -0x1.abe331a847158p-18, -0x1.affb303a80bap-18, -0x1.b4003acee7974p-18, -0x1.b7f27bd775b52p-18, -0x1.bbd21da536a87p-18, -0x1.bf9f4a6755bf6p-18, -0x1.c35a2c29fa074p-18, -0x1.c702ecd5330a5p-18, -0x1.ca99b62bf51d3p-18, -0x1.ce1eb1cb39211p-18, -0x1.d192092902e7cp-18, -0x1.d4f3e59393682p-18, -0x1.d844703096559p-18, -0x1.db83d1fc1739p-18, -0x1.deb233c7d6cf4p-18, -0x1.e1cfbe3a8958p-18, -0x1.e4dc99cf132a8p-18, -0x1.e7d8eed3d31f8p-18, -0x1.eac4e569e93c5p-18, -0x1.eda0a584a56e2p-18, -0x1.f06c56e8e7dc3p-18, -0x1.f328212c6fa4bp-18, -0x1.f5d42bb5531b1p-18, -0x1.f8709db972d64p-18, -0x1.fafd9e3dd035ep-18, -0x1.fd7b54164227ep-18, -0x1.ffe9e5e500b6ap-18, -0x1.0124bd0d048d1p-17, -0x1.024d1b794e01ep-17, -0x1.036e213c79c59p-17, -0x1.0487e141f30aap-17, -0x1.059a6e5b37362p-17, -0x1.06a5db3faff92p-17, -0x1.07aa3a8c7c434p-17, -0x1.08a79ec44d3d6p-17, -0x1.099e1a4f5a0a1p-17, -0x1.0a8dbf7b0b9b6p-17, -0x1.0b76a079f4eacp-17, -0x1.0c58cf63b4da9p-17, -0x1.0d345e34cb1e8p-17, -0x1.0e095ece8bd6ep-17, -0x1.0ed7e2f6fb899p-17, -0x1.0f9ffc58c6324p-17, -0x1.1061bc8317ea7p-17, -0x1.111d34e98c325p-17, -0x1.11d276e41c5b2p-17, -0x1.128193af089d9p-17, -0x1.132a9c6ad2e97p-17, -0x1.13cda21c381f8p-17, -0x1.146ab5ac14665p-17, -0x1.1501e7e761008p-17, -0x1.1593497f1e651p-17, -0x1.161eeb08686c6p-17, -0x1.16a4dcfc562d2p-17, -0x1.17252fb7f37fep-17, -0x1.179ff37c4b84ap-17, -0x1.1815386e79c8ap-17, -0x1.18850e9789fedp-17, -0x1.18ef85e478b7cp-17, -0x1.1954ae2646b1cp-17, -0x1.19b49711ef7aap-17, -0x1.1a0f50407f7c5p-17, -0x1.1a64e92ef423bp-17, -0x1.1ab5713e6b255p-17, -0x1.1b00f7b40740cp-17, -0x1.1b478bb91593ep-17, -0x1.1b893c5afe2f9p-17, -0x1.1bc6188b62a49p-17, -0x1.1bfe2f2029fa2p-17, -0x1.1c318ed367e44p-17, -0x1.1c60464385d61p-17, -0x1.1c8a63f3597d9p-17, -0x1.1caff64a3025ep-17, -0x1.1cd10b93c9d12p-17, -0x1.1cedb200742b7p-17, -0x1.1d05f7a523798p-17, -0x1.1d19ea7b749cep-17, -0x1.1d299861c2d76p-17, -0x1.1d350f1b43e4fp-17, -0x1.1d3c5c501a6dfp-17, -0x1.1d3f8d8d4f419p-17, -0x1.1d3eb04502e8dp-17, -0x1.1d39d1ce8b0cfp-17, -0x1.1d30ff6668aaap-17, -0x1.1d24462e59f0dp-17, -0x1.1d13b32d9e906p-17, -0x1.1cff5350f4463p-17, -0x1.1ce7336a8fa7p-17, -0x1.1ccb60325af4dp-17, -0x1.1cabe64625f75p-17, -0x1.1c88d22981cfep-17, -0x1.1c623045f140bp-17, -0x1.1c380ceb16a6p-17, -0x1.1c0a744eb41acp-17, -0x1.1bd9728cd800dp-17, -0x1.1ba513a7e581cp-17, -0x1.1b6d6388bb2e2p-17, -0x1.1b326dfed03efp-17, -0x1.1af43ec047e58p-17, -0x1.1ab2e16a1c188p-17, -0x1.1a6e61802c6c5p-17, -0x1.1a26ca6d4ea5ap-17, -0x1.19dc27838a636p-17, -0x1.198e83fc1b91dp-17, -0x1.193deaf792b2ep-17, -0x1.18ea677e0ef22p-17, -0x1.1894047f4cd7cp-17, -0x1.183accd29f144p-17, -0x1.17decb3730379p-17, -0x1.17800a543ae58p-17, -0x1.171e94b8e3807p-17, -0x1.16ba74dc8d3p-17, -0x1.1653b51eeec71p-17, -0x1.15ea5fc815119p-17, -0x1.157e7f089a76p-17, -0x1.15101cf9d4a3fp-17, -0x1.149f439dda7d6p-17, -0x1.142bfcdfa45e6p-17, -0x1.13b6529330b83p-17, -0x1.133e4e75ab692p-17, -0x1.12c3fa2d76d0fp-17, -0x1.12475f4a677abp-17, -0x1.11c88745e1393p-17, -0x1.11477b82e1875p-17, -0x1.10c4454e31af1p-17, -0x1.103eedde77a5fp-17, -0x1.0fb77e545daedp-17, -0x1.0f2dffbac3ed1p-17, -0x1.0ea27b06c92f6p-17, -0x1.0e14f917de642p-17, -0x1.0d8582b8199c2p-17, -0x1.0cf4209c1c3ebp-17, -0x1.0c60db6354774p-17, -0x1.0bcbbb982b097p-17, -0x1.0b34c9afff484p-17, -0x1.0a9c0e0b540c9p-17, -0x1.0a0190f5f936bp-17, -0x1.09655aa72b3dep-17, -0x1.08c77341a174fp-17, -0x1.0827e2d3bee4ep-17, -0x1.0786b157b9367p-17, -0x1.06e3e6b3afe5dp-17, -0x1.063f8ab9c556p-17, -0x1.0599a528446e4p-17, -0x1.04f23da9bddb2p-17, -0x1.04495bd528c5cp-17, -0x1.039f072e17925p-17, -0x1.02f34724bd10cp-17, -0x1.024623160d581p-17, -0x1.0197a24bdf35cp-17, -0x1.00e7cbfd2a014p-17, -0x1.0036a74e00da3p-17, -0x1.ff08769f890b7p-18, -0x1.fda11e0281f33p-18, -0x1.fc37529d725b2p-18, -0x1.facb22243d2e5p-18, -0x1.f95c9a267915ap-18, -0x1.f7ebc80f5b6d3p-18, -0x1.f678b92628ad1p-18, -0x1.f5037a8e9b4fbp-18, -0x1.f38c1948dfc85p-18, -0x1.f212a231dc924p-18, -0x1.f09722037dfe6p-18, -0x1.ef19a55501b7cp-18, -0x1.ed9a389b3427ep-18, -0x1.ec18e82886a89p-18, -0x1.ea95c02d67b6ap-18, -0x1.e910ccb87adc8p-18, -0x1.e78a19b6f6f2dp-18, -0x1.e601b2f4c8b67p-18, -0x1.e477a41ca336ep-18, -0x1.e2ebf8b89a09bp-18, -0x1.e15ebc3209f23p-18, -0x1.dfcff9d1f9b9cp-18, -0x1.de3fbcc166db2p-18, -0x1.dcae100944a51p-18, -0x1.db1afe92f4ffp-18, -0x1.d9869328a12fbp-18, -0x1.d7f0d87503194p-18, -0x1.d659d903d8ce5p-18, -0x1.d4c19f4269714p-18, -0x1.d328357f53eafp-18, -0x1.d18da5ead947cp-18, -0x1.cff1fa97549efp-18, -0x1.ce553d795ccb8p-18, -0x1.ccb77867cda5cp-18, -0x1.cb18b51c2a029p-18, -0x1.c978fd32dc8d9p-18, -0x1.c7d85a2b87e9fp-18, -0x1.c636d568e4af7p-18, -0x1.c49478313ac3p-18, -0x1.c2f14baec1516p-18, -0x1.c14d58ef72b61p-18, -0x1.bfa8a8e58c2adp-18, -0x1.be034467aa509p-18, -0x1.bc5d34310c57cp-18, -0x1.bab680e1d5244p-18, -0x1.b90f32ff38442p-18, -0x1.b76752f38cf58p-18, -0x1.b5bee90eb39b9p-18, -0x1.b415fd865dcd8p-18, -0x1.b26c9875eea1cp-18, -0x1.b0c2c1dee42cp-18, -0x1.af1881a9690bdp-18, -0x1.ad6ddfa3bc3cep-18, -0x1.abc2e38302589p-18, -0x1.aa1794e379777p-18, -0x1.a86bfb485291cp-18, -0x1.a6c01e1c2436fp-18, -0x1.a51404b12d6bcp-18, -0x1.a367b641617cp-18, -0x1.a1bb39ee973f5p-18, -0x1.a00e96c2c0706p-18, -0x1.9e61d3b074504p-18, -0x1.9cb4f7928346ep-18, -0x1.9b08092ca0138p-18, -0x1.995b0f2b9928ep-18, -0x1.97ae10251ab48p-18, -0x1.960112987b8d9p-18, -0x1.94541cee397cp-18, -0x1.92a73578cecdp-18, -0x1.90fa6274afba8p-18, -0x1.8f4daa0826f7bp-18, -0x1.8da11243ec25bp-18, -0x1.8bf4a1236b989p-18, -0x1.8a485c8c6817p-18, -0x1.889c4a4f975c8p-18, -0x1.86f07028f68d1p-18, -0x1.8544d3bf6fb41p-18, -0x1.83997aa57ea29p-18, -0x1.81ee6a595d084p-18, -0x1.8043a844adb6cp-18, -0x1.7e9939bd4bddbp-18, -0x1.7cef240539c04p-18, -0x1.7b456c4aab5eap-18, -0x1.799c17a8528e5p-18, -0x1.77f32b25b4de2p-18, -0x1.764aabb728b4dp-18, -0x1.74a29e3dd0fdfp-18, -0x1.72fb078859aabp-18, -0x1.7153ec5282f6p-18, -0x1.6fad5145c96eap-18, -0x1.6e073af942396p-18, -0x1.6c61adf1dff43p-18, -0x1.6abcaea2e11a9p-18, -0x1.6918416d500c3p-18, -0x1.67746aa0ecce4p-18, -0x1.65d12e7c066bdp-18, -0x1.642e912b53c2cp-18, -0x1.628c96cad3789p-18, -0x1.60eb43655d958p-18, -0x1.5f4a9af4d766cp-18, -0x1.5daaa162d734dp-18, -0x1.5c0b5a8835dfbp-18, -0x1.5a6cca2d86c5fp-18, -0x1.58cef40b5d85p-18, -0x1.5731dbca1658dp-18, -0x1.5595850247618p-18, -0x1.53f9f33d03cc2p-18, -0x1.525f29f39004bp-18, -0x1.50c52c8fe7294p-18, -0x1.4f2bfe6ce6463p-18, -0x1.4d93a2d628e28p-18, -0x1.4bfc1d0870c2bp-18, -0x1.4a657031bfda3p-18, -0x1.48cf9f7158948p-18, -0x1.473aadd82b5cep-18, -0x1.45a69e68924e5p-18, -0x1.441374170db47p-18, -0x1.428131c9aebdfp-18, -0x1.40efda58e4fe9p-18, -0x1.3f5f708f630d4p-18, -0x1.3dcff729ddf41p-18, -0x1.3c4170d8030c7p-18, -0x1.3ab3e03be2fb3p-18, -0x1.392747ea40f4p-18, -0x1.379baa6b2f3bep-18, -0x1.36110a3966d54p-18, -0x1.348769c313db3p-18, -0x1.32fecb69b787bp-18, -0x1.3177318225514p-18, -0x1.2ff09e54f962p-18, -0x1.2e6b141e71f7cp-18, -0x1.2ce6950e936b9p-18, -0x1.2b632349aa798p-18, -0x1.29e0c0e7cdb7fp-18, -0x1.285f6ff587effp-18, -0x1.26df3273c3f01p-18, -0x1.25600a57d7365p-18, -0x1.23e1f98bc3a7dp-18, -0x1.226501ee586c6p-18, -0x1.20e925533dbfep-18, -0x1.1f6e658314132p-18, -0x1.1df4c43bafb5ep-18, -0x1.1c7c43301c4c3p-18, -0x1.1b04e408a1213p-18, -0x1.198ea86352223p-18, -0x1.181991d377f8ap-18, -0x1.16a5a1e257c89p-18, }}, 
      {{-0x1.e950a1e24d901p-15, -0x1.ea138ee1f0332p-13, -0x1.145ae82b28d17p-11, -0x1.eceb5dd1783ap-11, -0x1.829e009f1ab14p-10, -0x1.179abd9713a14p-9, -0x1.7e65b30450ec1p-9, -0x1.f5f242f10ef5fp-9, -0x1.3f3c7f9c996bap-8, -0x1.8c1278b57f951p-8, -0x1.e188599d8a3bp-8, -0x1.1fd111ee2bfbep-7, -0x1.532ce89039eecp-7, -0x1.8acf71cfd9ae5p-7, -0x1.c6ab1cc2512e6p-7, -0x1.0356867bfa93p-6, -0x1.255e9ca478a1ep-6, -0x1.495f4f5b43f7ep-6, -0x1.6f47c1baf460fp-6, -0x1.9704e34663f7fp-6, -0x1.c0819c5fbdbbbp-6, -0x1.eba6fdf604928p-6, -0x1.0c2e399289e64p-5, -0x1.2343f9d8f21ep-5, -0x1.3b071b3c5cbfdp-5, -0x1.5369718619fbbp-5, -0x1.6c5c60f507c9fp-5, -0x1.85d0f5661f791p-5, -0x1.9fb7f85d7d879p-5, -0x1.ba0205cf121b5p-5, -0x1.d49f9f912f41cp-5, -0x1.ef813f6c4cd78p-5, -0x1.054bb3e175415p-4, -0x1.12e959694f82dp-4, -0x1.2091f04a1e65p-4, -0x1.2e3df1a269262p-4, -0x1.3be5f55213edbp-4, -0x1.4982b6fbca2cp-4, -0x1.570d1a70cd8e2p-4, -0x1.647e2f8fd27d2p-4, -0x1.71cf359ffef94p-4, -0x1.7ef99e312da1ap-4, -0x1.8bf70f8a9e4f5p-4, -0x1.98c166b121ac9p-4, -0x1.a552b90d95161p-4, -0x1.b1a555bc35c9fp-4, -0x1.bdb3c68d0f33cp-4, -0x1.c978d0bd48c84p-4, -0x1.d4ef7570b530cp-4, -0x1.e012f1f2adcc5p-4, -0x1.eadebfc49d319p-4, -0x1.f54e94803dc42p-4, -0x1.ff5e61932eec9p-4, -0x1.048529ec5e5c2p-3, -0x1.0927698b51255p-3, -0x1.0d9440b067e4ep-3, -0x1.11ca1d33f3ff2p-3, -0x1.15c7895ae3ad2p-3, -0x1.198b2b6d73b86p-3, -0x1.1d13c5479e913p-3, -0x1.206033e450a08p-3, -0x1.236f6ee45f29dp-3, -0x1.26408811fb564p-3, -0x1.28d2aae1593eep-3, -0x1.2b251bef0a817p-3, -0x1.2d37387c86a41p-3, -0x1.2f0875eb2c0bep-3, -0x1.30986136125d3p-3, -0x1.31e69e6ad338p-3, -0x1.32f2e8217d353p-3, -0x1.33bd0ef3c1dc1p-3, -0x1.3444f8f379d34p-3, -0x1.348aa1208577p-3, -0x1.348e16de17e67p-3, -0x1.344f7d6767412p-3, -0x1.33cf0b43c599dp-3, -0x1.330d09ba2d2c5p-3, -0x1.3209d44431c3fp-3, -0x1.30c5d80062c0fp-3, -0x1.2f41932423e6dp-3, -0x1.2d7d946cf5071p-3, -0x1.2b7a7a914671dp-3, -0x1.2938f3b0d4e4fp-3, -0x1.26b9bcc4a052ep-3, -0x1.23fda10e937fcp-3, -0x1.21057988efce5p-3, -0x1.1dd22c558a6dcp-3, -0x1.1a64ac2d0ecf6p-3, -0x1.16bdf7ce3e782p-3, -0x1.12df196d73acp-3, -0x1.0ec9262466f35p-3, -0x1.0a7d3d6273498p-3, -0x1.05fc885d6b6f2p-3, -0x1.014839832d3a1p-3, -0x1.f8c317d82fadcp-4, -0x1.ee93859d12154p-4, -0x1.e40451e705c43p-4, -0x1.d918205959a77p-4, -0x1.cdd1a1978e637p-4, -0x1.c23392376f427p-4, -0x1.b640b9b6bc2b7p-4, -0x1.a9fbe974828a3p-4, -0x1.9d67fbae87abcp-4, -0x1.9087d282fb743p-4, -0x1.835e56f69911dp-4, -0x1.75ee77ff92be6p-4, -0x1.683b2995612fdp-4, -0x1.5a4763c5b22dep-4, -0x1.4c1621cea5fap-4, -0x1.3daa613e7c42p-4, -0x1.2f072118e20c5p-4, -0x1.202f6101f7d6ep-4, -0x1.1126206f31dd2p-4, -0x1.01ee5dde2e4f3p-4, -0x1.e5162c232b14ep-5, -0x1.c5fe86a8273fdp-5, -0x1.a69bb98308fdp-5, -0x1.86f3ab2c9d6a1p-5, -0x1.670c390a09183p-5, -0x1.46eb36248c605p-5, -0x1.269669edd7924p-5, -0x1.06138f10e2acbp-5, -0x1.cad0a49ea4f18p-6, -0x1.8934a2d68f004p-6, -0x1.475e343b3d356p-6, -0x1.05585230e6747p-6, -0x1.865ba45765014p-7, -0x1.01d2c7cad36e2p-7, -0x1.f4ac7d571e702p-9, 0x1.e1a59f655ec28p-13, 0x1.185be077d6501p-8, 0x1.10b6dc620d2bep-7, 0x1.950da4091bfb2p-7, 0x1.0c8f76b33c44bp-6, 0x1.4e6bdf0fee025p-6, 0x1.9012beba77d56p-6, 0x1.d17afb1f6ee76p-6, 0x1.094dd631b7781p-5, 0x1.29b60f1d258aep-5, 0x1.49f1e8555d4f6p-5, 0x1.69fd3c5f5d945p-5, 0x1.89d40090b9e16p-5, 0x1.a97245555f75ep-5, 0x1.c8d4366c8a9b8p-5, 0x1.e7f61b1d19574p-5, 0x1.036a2b30c334cp-4, 0x1.12b5b385dae34p-4, 0x1.21dbf3f0748bbp-4, 0x1.30db47d705e08p-4, 0x1.3fb218aa4a897p-4, 0x1.4e5edde822c9fp-4, 0x1.5ce01d1afc902p-4, 0x1.6b3469d5ded9cp-4, 0x1.795a65ad471b6p-4, 0x1.8750c02cded24p-4, 0x1.951636ca3d26dp-4, 0x1.a2a994d4c284fp-4, 0x1.b009b362b3764p-4, 0x1.bd35793bad218p-4, 0x1.ca2bdac08bb67p-4, 0x1.d6ebd9d0e59a4p-4, 0x1.e37485ae3b00cp-4, 0x1.efc4fadcd4a96p-4, 0x1.fbdc6302a7f5p-4, 0x1.03dcfa620b0dbp-3, 0x1.09ae79cf6e59fp-3, 0x1.0f6257e1913a9p-3, 0x1.14f842f56b5a7p-3, 0x1.1a6fef97b7fc5p-3, 0x1.1fc9186f0e78ap-3, 0x1.25037e2543c54p-3, 0x1.2a1ee750231bap-3, 0x1.2f1b20597dbb5p-3, 0x1.33f7fb66aa6c2p-3, 0x1.38b5503f72fb4p-3, 0x1.3d52fc34822e2p-3, 0x1.41d0e2055bd6fp-3, 0x1.462ee9c5e533p-3, 0x1.4a6d00c3849d4p-3, 0x1.4e8b1969f0539p-3, 0x1.52892b27a0e09p-3, 0x1.56673251fe087p-3, 0x1.5a25300950c5ep-3, 0x1.5dc32a1c7511cp-3, 0x1.61412aec5d0bdp-3, 0x1.649f414f72b6ap-3, 0x1.67dd8074d21e5p-3, 0x1.6afbffc76bbfap-3, 0x1.6dfadad11719ap-3, 0x1.70da311d9ab16p-3, 0x1.739a261dad0bep-3, 0x1.763ae109f689ap-3, 0x1.78bc8cc62317p-3, 0x1.7b1f57c3fca89p-3, 0x1.7d6373e6974f4p-3, 0x1.7f8916659dd7dp-3, 0x1.819077b0b9af1p-3, 0x1.8379d353225b2p-3, 0x1.854567d74f42cp-3, 0x1.86f376aae0df2p-3, 0x1.88844402b5073p-3, 0x1.89f816bf38cd9p-3, 0x1.8b4f3850ed637p-3, 0x1.8c89f49d343a7p-3, 0x1.8da899e3599a5p-3, 0x1.8eab78a1e8392p-3, 0x1.8f92e37c42501p-3, 0x1.905f2f208e408p-3, 0x1.9110b22dedfd9p-3, 0x1.91a7c51b0ca9p-3, 0x1.9224c21d03456p-3, 0x1.9288050e8f355p-3, 0x1.92d1eb57aec44p-3, 0x1.9302d3d58e9b6p-3, 0x1.931b1ec2dfe33p-3, 0x1.931b2da08c83p-3, 0x1.9303631ecb419p-3, 0x1.92d423069e542p-3, 0x1.928dd223b2af2p-3, 0x1.9230d62eac69bp-3, 0x1.91bd95b7d7674p-3, 0x1.913478124513cp-3, 0x1.9095e53f52ccp-3, 0x1.8fe245da9e39bp-3, 0x1.8f1a030666c1cp-3, 0x1.8e3d86585b23cp-3, 0x1.8d4d39c6d34a7p-3, 0x1.8c4987967f197p-3, 0x1.8b32da487a625p-3, 0x1.8a099c88d95b6p-3, 0x1.88ce391d9dc33p-3, 0x1.87811ad61d7bfp-3, 0x1.8622ac7adc617p-3, 0x1.84b358bdc984fp-3, 0x1.83338a2afb11dp-3, 0x1.81a3ab19cbd6ap-3, 0x1.8004259e6c076p-3, 0x1.7e55637be297fp-3, 0x1.7c97ce1673bd6p-3, 0x1.7acbce667e2efp-3, 0x1.78f1ccebbcadbp-3, 0x1.770a31a0f2dbap-3, 0x1.751563f00d4dfp-3, 0x1.7313caa69c384p-3, 0x1.7105cbeac93dap-3, 0x1.6eebcd30a0d14p-3, 0x1.6cc6332fd418ep-3, 0x1.6a9561d9d568cp-3, 0x1.6859bc505c8b4p-3, 0x1.6613a4dc4f4e2p-3, 0x1.63c37ce50c94ep-3, 0x1.6169a4e813c65p-3, 0x1.5f067c7113248p-3, 0x1.5c9a62124d398p-3, 0x1.5a25b35d60c84p-3, 0x1.57a8ccdc67d21p-3, 0x1.55240a0b783f9p-3, 0x1.5297c552702eap-3, 0x1.500457ff28496p-3, 0x1.4d6a1a3ff3853p-3, 0x1.4ac9631e7352ap-3, 0x1.4822887ac1204p-3, 0x1.4575df06e8c98p-3, 0x1.42c3ba42b3118p-3, 0x1.400c6c77bbc2dp-3, 0x1.3d5046b5d6189p-3, 0x1.3a8f98cfbe8f6p-3, 0x1.37cab1580f8fcp-3, 0x1.3501dd9e89a8dp-3, 0x1.323569ad8fb08p-3, 0x1.2f65a047fd7d7p-3, 0x1.2c92cae72f018p-3, 0x1.29bd31b953eb7p-3, 0x1.26e51b9ffc747p-3, 0x1.240ace2ee9e97p-3, 0x1.212e8dab1941fp-3, 0x1.1e509d0a06e32p-3, 0x1.1b713df12b905p-3, 0x1.1890b0b5b8b03p-3, 0x1.15af345c7fab7p-3, 0x1.12cd069a15fd7p-3, 0x1.0fea63d328c41p-3, 0x1.0d07871cffcffp-3, 0x1.0a24aa3e38ff3p-3, 0x1.074205afa6c88p-3, 0x1.045fd09d646d7p-3, 0x1.017e40e810e0ap-3, 0x1.fd3b164c698d3p-4, 0x1.f77bc54ba399ap-4, 0x1.f1bef2dc2de6fp-4, 0x1.ec05008273902p-4, 0x1.e64e4d3cf8f8dp-4, 0x1.e09b358889687p-4, 0x1.daec1364ce326p-4, 0x1.d5413e590c927p-4, 0x1.cf9b0b7924a08p-4, 0x1.c9f9cd6ad6a2dp-4, 0x1.c45dd46b30d61p-4, 0x1.bec76e543743dp-4, 0x1.b936e6a2caedbp-4, 0x1.b3ac867ca4528p-4, 0x1.ae2894b69d1dbp-4, 0x1.a8ab55db0d308p-4, 0x1.a3350c305aafep-4, 0x1.9dc5f7bfad417p-4, 0x1.985e565bc6c11p-4, 0x1.92fe63a7fe717p-4, 0x1.8da6591f5bd7ap-4, 0x1.88566e1bcde88p-4, 0x1.830ed7dd7e02cp-4, 0x1.7dcfc9923fc26p-4, 0x1.7899745d134cfp-4, 0x1.736c075dc0f32p-4, 0x1.6e47afb88669ep-4, 0x1.692c989dd7e48p-4, 0x1.641aeb522e069p-4, 0x1.5f12cf35e5403p-4, 0x1.5a1469cd283fep-4, 0x1.551fdec7e497ep-4, 0x1.50355009caa69p-4, 0x1.4b54ddb2523e6p-4, 0x1.467ea624c62ap-4, 0x1.41b2c6105904p-4, 0x1.3cf1587832d77p-4, 0x1.383a76bb8c4c8p-4, 0x1.338e389dc0dc9p-4, 0x1.2eecb44e65c56p-4, 0x1.2a55fe715b5c4p-4, 0x1.25ca2a26dcf8p-4, 0x1.214949138b3a4p-4, 0x1.1cd36b68705d4p-4, 0x1.18689feafcf16p-4, 0x1.1408f3fd0115cp-4, 0x1.0fb473a493653p-4, 0x1.0b6b2993f83d3p-4, 0x1.072d1f3177f45p-4, 0x1.02fa5c9f28936p-4, 0x1.fda5d1855e38bp-5, 0x1.f56d9299dfdcdp-5, 0x1.ed4c0583622d7p-5, 0x1.e54130fe5d1cap-5, 0x1.dd4d198b3bddfp-5, 0x1.d56fc17d433c5p-5, 0x1.cda9290954c1cp-5, 0x1.c5f94e548eaf4p-5, 0x1.be602d82c9d3fp-5, 0x1.b6ddc0c4e8988p-5, 0x1.af7200670c015p-5, 0x1.a81ce2de92dcp-5, 0x1.a0de5cd7faa9ep-5, 0x1.99b6614490b19p-5, 0x1.92a4e167faf3ap-5, 0x1.8ba9cce593629p-5, 0x1.84c511cd955cdp-5, 0x1.7df69caa26e99p-5, 0x1.773e588c2a5e9p-5, 0x1.709c2f17e6269p-5, 0x1.6a1008917bfabp-5, 0x1.6399cbe938591p-5, 0x1.5d395ec7a6dfap-5, 0x1.56eea5997f98cp-5, 0x1.50b9839b64147p-5, 0x1.4a99dae56218fp-5, 0x1.448f8c7652707p-5, 0x1.3e9a783f0295ep-5, 0x1.38ba7d2d277e5p-5, 0x1.32ef79362954ap-5, 0x1.2d394961b1fc3p-5, 0x1.2797c9d414861p-5, 0x1.220ad5d88255bp-5, 0x1.1c9247eb09084p-5, 0x1.172df9c261904p-5, 0x1.11ddc45990864p-5, 0x1.0ca17ff958072p-5, 0x1.077904416ba64p-5, 0x1.0264283187dffp-5, 0x1.fac58464865a3p-6, 0x1.f0e9503b7e24fp-6, 0x1.e7335e904dbf6p-6, 0x1.dda3590fe80cbp-6, 0x1.d438e87c1dcf7p-6, 0x1.caf3b4bb766b9p-6, 0x1.c1d364e8a6247p-6, 0x1.b8d79f61b85b2p-6, 0x1.b00009d6cb522p-6, 0x1.a74c495878e85p-6, 0x1.9ebc0265deebcp-6, 0x1.964ed8fa5ef22p-6, 0x1.8e04709ae8acap-6, 0x1.85dc6c6309d49p-6, 0x1.7dd66f118cccp-6, 0x1.75f21b14d5cdbp-6, 0x1.6e2f1296dce45p-6, 0x1.668cf788e01b1p-6, 0x1.5f0b6baeb2761p-6, 0x1.57aa10a9c1bbdp-6, 0x1.50688803d52cp-6, 0x1.4946733965791p-6, 0x1.424373c3bd2b2p-6, 0x1.3b5f2b22b3ad5p-6, 0x1.34993ae634fdp-6, 0x1.2df144b7629c1p-6, 0x1.2766ea6181d8dp-6, 0x1.20f9cdda95a44p-6, 0x1.1aa9914bac693p-6, 0x1.1475d718ef427p-6, 0x1.0e5e41e95e28p-6, 0x1.086274ae607b3p-6, 0x1.028212aaf7fbcp-6, 0x1.f9797ef568d08p-7, 0x1.ee243e30f4293p-7, 0x1.e303abc9e1169p-7, 0x1.d817115981408p-7, 0x1.cd5db95d1c83dp-7, 0x1.c2d6ef416fc47p-7, 0x1.b881ff6dbb289p-7, 0x1.ae5e374e40c65p-7, 0x1.a46ae55e82944p-7, 0x1.9aa75932d06dep-7, 0x1.9112e3819f35p-7, 0x1.87acd62c62b12p-7, 0x1.7e748447e75d1p-7, 0x1.756942246b772p-7, 0x1.6c8a655533c61p-7, 0x1.63d744b7d5c73p-7, 0x1.5b4f387b076adp-7, 0x1.52f19a252e142p-7, 0x1.4abdc49a7b994p-7, 0x1.42b31422b6d25p-7, 0x1.3ad0e66eb6e44p-7, 0x1.33169a9d7d4c8p-7, 0x1.2b839140f9ee5p-7, 0x1.24172c628d432p-7, 0x1.1cd0cf872cab6p-7, 0x1.15afdfb33e8cap-7, 0x1.0eb3c36e2a949p-7, 0x1.07dbe2c5a5291p-7, 0x1.0127a750b2ca8p-7, 0x1.f52cf864a42e4p-8, 0x1.e84f9c3818aa7p-8, 0x1.dbb616a0240c2p-8, 0x1.cf5f47468aa11p-8, 0x1.c34a10fdd3db1p-8, 0x1.b77559c4409b9p-8, 0x1.abe00ac655681p-8, 0x1.a0891060dafb8p-8, 0x1.956f5a229998ap-8, 0x1.8a91dacd91321p-8, 0x1.7fef8857c06bp-8, 0x1.75875beb91856p-8, 0x1.6b5851e80f04fp-8, 0x1.616169e04f585p-8, 0x1.57a1a69b105d3p-8, 0x1.4e180e11a4176p-8, 0x1.44c3a96e803dcp-8, 0x1.3ba3850bc59dp-8, 0x1.32b6b07125119p-8, 0x1.29fc3e51baef3p-8, 0x1.217344898eedfp-8, 0x1.191adc1a9d4f2p-8, 0x1.10f22129f5ae3p-8, 0x1.08f832fc57377p-8, 0x1.012c33f2968b3p-8, 0x1.f31a930bc3243p-9, 0x1.e43538878beap-9, 0x1.d5a6af93a7e0fp-9, 0x1.c76d558297b43p-9, 0x1.b9878db50c406p-9, 0x1.abf3c1900d1f3p-9, 0x1.9eb060732174p-9, 0x1.91bbdfadf61ep-9, 0x1.8514ba75aca79p-9, 0x1.78b971da0e111p-9, 0x1.6ca88cba27dbfp-9, 0x1.60e097b89fe7ap-9, 0x1.556025308e494p-9, 0x1.4a25cd28a3fadp-9, 0x1.3f302d478c3a9p-9, 0x1.347de8c72d1f1p-9, 0x1.2a0da867df299p-9, 0x1.1fde1a63dd244p-9, 0x1.15edf261facap-9, 0x1.0c3be9689b0bap-9, 0x1.02c6bdd0256a3p-9, 0x1.f31a666afb255p-10, 0x1.e11c24d959057p-10, 0x1.cf9052e5a451ap-10, 0x1.be7496c05e711p-10, 0x1.adc6a0b53f2d2p-10, 0x1.9d842b0e293fbp-10, 0x1.8daaf9f78f0d5p-10, 0x1.7e38db6351cfp-10, 0x1.6f2ba6ed21cbcp-10, 0x1.60813dbcbfe24p-10, 0x1.52378a6a497d9p-10, 0x1.444c80e0e5158p-10, 0x1.36be1e42046c7p-10, 0x1.298a68c85c7f4p-10, 0x1.1caf6fab3ae74p-10, 0x1.102b4b01800a4p-10, 0x1.03fc1ba488bdp-10, 0x1.f040162749b97p-11, 0x1.d92a96adee4c2p-11, 0x1.c2b42dc5fd37bp-11, 0x1.acd960f61a313p-11, 0x1.9796c62af4898p-11, 0x1.82e9037dabea4p-11, 0x1.6ecccef990041p-11, 0x1.5b3eee64b8b1cp-11, 0x1.483c37070000fp-11, 0x1.35c18d71c4695p-11, 0x1.23cbe54752f8dp-11, 0x1.12584103c98c7p-11, 0x1.0163b1c4cb4b7p-11, 0x1.e1d6ae26f4a67p-12, 0x1.c1d8bd5842c65p-12, 0x1.a2c808918a9c2p-12, 0x1.849f22d67a17ep-12, 0x1.6758ba4b4ac5ap-12, 0x1.4aef97ceacc3ap-12, 0x1.2f5e9e8bf830fp-12, 0x1.14a0cb939cf01p-12, 0x1.f5626ae5d95abp-13, 0x1.c316179655cd7p-13, 0x1.92532dd961c3ap-13, 0x1.63106ee096714p-13, 0x1.3544cba3de0c7p-13, 0x1.08e7641b47a73p-13, 0x1.bbdf0cf0739cap-14, 0x1.68a95cc0ac18p-14, 0x1.181d085776104p-14, 0x1.9453709c3201cp-15, 0x1.fafdae9704539p-16, 0x1.ae73b2768d927p-17, -0x1.0b880492b4eb9p-18, -0x1.5391faae16b56p-16, -0x1.2d88757b6b7b4p-15, -0x1.accc366f48f1dp-15, -0x1.13d838f48bd23p-14, -0x1.4f28606441972p-14, -0x1.886412dd45262p-14, -0x1.bf9887f5c577bp-14, -0x1.f4d2aedaf9df8p-14, -0x1.140f97ce252c9p-13, -0x1.2cc5363c4c1dp-13, -0x1.449041928a908p-13, -0x1.5b76a70726204p-13, -0x1.717e32cbe9ca9p-13, -0x1.86ac90ab11282p-13, -0x1.9b074ca05c0bp-13, -0x1.ae93d377667edp-13, -0x1.c157735ba88c5p-13, -0x1.d3575c71cab26p-13, -0x1.e498a16821102p-13, -0x1.f5203808faee5p-13, -0x1.02797ce351a59p-12, -0x1.0a0ad22487124p-12, -0x1.11466cfc415eep-12, -0x1.182e9142acb31p-12, -0x1.1ec575b6e4798p-12, -0x1.250d44419f912p-12, -0x1.2b081a35e6cb2p-12, -0x1.30b808912f21dp-12, -0x1.361f143af156p-12, -0x1.3b3f364147154p-12, -0x1.401a5c1836ee2p-12, -0x1.44b267d39119dp-12, -0x1.49093064965ap-12, -0x1.4d2081d1d0326p-12, -0x1.50fa1d723b6abp-12, -0x1.5497ba2424fb7p-12, -0x1.57fb0485f0f9p-12, -0x1.5b259f2b599efp-12, -0x1.5e1922d3b6b82p-12, -0x1.60d71e9e46515p-12, -0x1.6361183e6e377p-12, -0x1.65b88c2daf7cbp-12, -0x1.67deedded3e48p-12, -0x1.69d5a7ee05613p-12, -0x1.6b9e1c51ae6dcp-12, -0x1.6d39a489635a2p-12, -0x1.6ea991cd0623fp-12, -0x1.6fef2d393e362p-12, -0x1.710bb7fe48f02p-12, -0x1.72006b8a1cabdp-12, -0x1.72ce79b51bef7p-12, -0x1.73770cebb8194p-12, -0x1.73fb485845216p-12, -0x1.745c480c3e253p-12, -0x1.749b21281ef55p-12, -0x1.74b8e20299b4bp-12, -0x1.74b6924f8fabfp-12, -0x1.74953345aad43p-12, -0x1.7455bfc3d2e7dp-12, -0x1.73f92c7572749p-12, -0x1.738067f67538ep-12, -0x1.72ec5af5c48c3p-12, -0x1.723de8583951dp-12, -0x1.7175ed5a411bap-12, -0x1.709541b05267bp-12, -0x1.6f9cb7a7bafp-12, -0x1.6e8d1c46a1f74p-12, -0x1.6d67376a4f6e5p-12, -0x1.6c2bcbe649eb7p-12, -0x1.6adb97a1e18f6p-12, -0x1.697753b563ff8p-12, -0x1.67ffb486e448bp-12, -0x1.667569e60bf78p-12, -0x1.64d91f27ac3b9p-12, -0x1.632b7b40bd218p-12, -0x1.616d20e03d041p-12, -0x1.5f9eae895799ap-12, -0x1.5dc0beacc9ff9p-12, -0x1.5bd3e7c0cdd26p-12, -0x1.59d8bc5a2bb58p-12, -0x1.57cfcb4323e9ap-12, -0x1.55b99f92fa5e3p-12, -0x1.5396c0c453abp-12, -0x1.5167b2cb7b85cp-12, -0x1.4f2cf62c4247fp-12, -0x1.4ce7080eb0519p-12, -0x1.4a9662542e10dp-12, -0x1.483b7bab6bd47p-12, -0x1.45d6c7a442dd2p-12, -0x1.4368b6c38878fp-12, -0x1.40f1b6956082cp-12, -0x1.3e7231c00006p-12, -0x1.3bea9015de6acp-12, -0x1.395b36a738cadp-12, -0x1.36c487d3411p-12, -0x1.3426e3599d3b3p-12, -0x1.3182a66a15e72p-12, -0x1.2ed82bb544984p-12, -0x1.2c27cb7c4acdbp-12, -0x1.2971db9fd5d38p-12, -0x1.26b6afaf694a6p-12, -0x1.23f698f8037fep-12, -0x1.2131e692b6f84p-12, -0x1.1e68e572371a8p-12, -0x1.1b9be070ebf8p-12, -0x1.18cb205df2e91p-12, -0x1.15f6ec0a639d8p-12, -0x1.131f8855e996ep-12, -0x1.1045383b48051p-12, -0x1.0d683cdc65d6ep-12, -0x1.0a88d58e354fcp-12, -0x1.07a73fe43ed82p-12, -0x1.04c3b7bbc26a4p-12, -0x1.01de7746b2b83p-12, -0x1.fdef6e2d9de27p-13, -0x1.f81f5c4f7c262p-13, -0x1.f24d23d2ebc93p-13, -0x1.ec792c94089ffp-13, -0x1.e6a3db7eb7c7cp-13, -0x1.e0cd92a18b9e5p-13, -0x1.daf6b14030d39p-13, -0x1.d51f93e5c0761p-13, -0x1.cf4894761c19fp-13, -0x1.c9720a3f362f5p-13, -0x1.c39c4a098793p-13, -0x1.bdc7a628826cdp-13, -0x1.b7f46e8a3c306p-13, -0x1.b222f0c753f7dp-13, -0x1.ac537831f07b6p-13, -0x1.a6864de402afcp-13, -0x1.a0bbb8cdf8146p-13, -0x1.9af3fdc4a7c07p-13, -0x1.952f5f8f03fcep-13, -0x1.8f6e1ef2ec7d5p-13, -0x1.89b07ac2ae708p-13, -0x1.83f6afe99c2d1p-13, -0x1.7e40f977da35ap-13, -0x1.788f90ae80e72p-13, -0x1.72e2ad0b8e6adp-13, -0x1.6d3a8454d9c08p-13, -0x1.67974aa331eb6p-13, -0x1.61f9326d5016p-13, -0x1.5c606c921bdf4p-13, -0x1.56cd28631bc9cp-13, -0x1.513f93ae36ee7p-13, -0x1.4bb7dac78a7f5p-13, -0x1.46362892ad605p-13, -0x1.40baa68c3e82p-13, -0x1.3b457cd237fc1p-13, -0x1.35d6d22d20a23p-13, -0x1.306ecc189275ap-13, -0x1.2b0d8ecb21a9ep-13, -0x1.25b33d3ea88ap-13, -0x1.205ff937b5cb1p-13, -0x1.1b13e34dce897p-13, -0x1.15cf1af26eb74p-13, -0x1.1091be786e6cfp-13, -0x1.0b5beb1aea06p-13, -0x1.062dbd048450bp-13, -0x1.01074f555a924p-13, -0x1.f7d178540f539p-14, -0x1.eda43943933d8p-14, -0x1.e38711c9983cp-14, -0x1.d97a3053e61e7p-14, -0x1.cf7dc179a4684p-14, -0x1.c591f006b06f6p-14, -0x1.bbb6e5070017p-14, -0x1.b1ecc7d04795ep-14, -0x1.a833be0dc8472p-14, -0x1.9e8bebca1429ap-14, -0x1.94f573790c76p-14, -0x1.8b707600e4b8fp-14, -0x1.81fd12c4bcep-14, -0x1.789b67ad0967dp-14, -0x1.6f4b9130bb928p-14, -0x1.660daa5d763edp-14, -0x1.5ce1cce0c8dacp-14, -0x1.53c8111017209p-14, -0x1.4ac08df0cbf22p-14, -0x1.41cb593fcfc65p-14, -0x1.38e88779f49fap-14, -0x1.30182be31d64p-14, -0x1.275a588cf8f0dp-14, -0x1.1eaf1e5e240b5p-14, -0x1.16168d198890dp-14, -0x1.0d90b3651155ap-14, -0x1.051d9ecfe018ep-14, -0x1.f97ab7b18c99ap-15, -0x1.e8dfebe927cd3p-15, -0x1.d86aef27b29dp-15, -0x1.c81bd451d9bb6p-15, -0x1.b7f2ac5c5f2eap-15, -0x1.a7ef86562836bp-15, -0x1.98126f741c54cp-15, -0x1.885b731b6fb7dp-15, -0x1.78ca9aeb7f0e5p-15, -0x1.695feec8b8d5fp-15, -0x1.5a1b74e6127e2p-15, -0x1.4afd31ceded22p-15, -0x1.3c0528704f5b3p-15, -0x1.2d335a2331ee7p-15, -0x1.1e87c6b3fd292p-15, -0x1.10026c6be8432p-15, -0x1.01a3481a2911ap-15, -0x1.e6d4aa3788b12p-16, -0x1.caaf1ac860518p-16, -0x1.aed5d309f2a3p-16, -0x1.9348c16ab58aep-16, -0x1.7807d1b59a785p-16, -0x1.5d12ed1ef1e8ep-16, -0x1.4269fa55027bap-16, -0x1.280cdd8d5944p-16, -0x1.0dfb78925309ep-16, -0x1.e86b55a2686cp-17, -0x1.b576a2cf9ae76p-17, -0x1.83188e630dadcp-17, -0x1.5150c9a8a957ap-17, -0x1.201f019aed0adp-17, -0x1.df05bdf8e0acdp-18, -0x1.7ef80cde70649p-18, -0x1.20143116ff409p-18, -0x1.84b2c7cf41302p-19, -0x1.971b5b9065cc4p-20, -0x1.4b7682b87dc8ap-23, 0x1.3fa3875d7670ep-20, 0x1.520f9edd593f6p-19, 0x1.0102004458411p-18, 0x1.57d866cc10e7cp-18, 0x1.ad8bfc33e7785p-18, 0x1.010ee01c50b97p-17, 0x1.2ac75c821b08p-17, 0x1.53eff97f10db2p-17, 0x1.7c894056c985ep-17, 0x1.a493bd49eea93p-17, 0x1.cc0fff840e4aep-17, 0x1.f2fe990825342p-17, 0x1.0cb00f4fe7d53p-16, 0x1.1f9a93e67fe4ep-16, 0x1.323f275a1fe5fp-16, 0x1.449e180836282p-16, 0x1.56b7b59023045p-16, 0x1.688c50cae112fp-16, 0x1.7a1c3bc36c56p-16, 0x1.8b67c9af8aabp-16, 0x1.9c6f4ee705c1ap-16, 0x1.ad3320dbf90dep-16, 0x1.bdb39615f04dap-16, 0x1.cdf10627dc848p-16, 0x1.ddebc9aa5f60bp-16, 0x1.eda43a33a5299p-16, 0x1.fd1ab251027b7p-16, 0x1.0627c6c029a98p-15, 0x1.0da194144cd9bp-15, 0x1.14faefc9d8802p-15, 0x1.1c3408f3e3d91p-15, 0x1.234d0f107ee56p-15, 0x1.2a4632056757bp-15, 0x1.311fa21c687a5p-15, 0x1.37d990008c68dp-15, 0x1.3e742cbbcb63bp-15, 0x1.44efa9b2fb4d9p-15, 0x1.4b4c38a35fa5dp-15, 0x1.518a0b9f93108p-15, 0x1.57a9550cba5ccp-15, 0x1.5daa479f90fedp-15, 0x1.638d16597589ep-15, 0x1.6951f485c56dbp-15, 0x1.6ef915b742116p-15, 0x1.7482adc518fb3p-15, 0x1.79eef0c85a92bp-15, 0x1.7f3e131921a0ap-15, 0x1.8470494c0f1cfp-15, 0x1.8985c82ff58b9p-15, 0x1.8e7ec4cb2259fp-15, 0x1.935b7458902d8p-15, 0x1.981c0c45c9604p-15, 0x1.9cc0c2308b147p-15, 0x1.a149cbe3f0aa8p-15, 0x1.a5b75f5684b8p-15, 0x1.aa09b2a767ce9p-15, 0x1.ae40fc1c5250bp-15, 0x1.b25d721fac419p-15, 0x1.b65f4b3d6ba07p-15, 0x1.ba46be2149c3ap-15, 0x1.be1401946b1adp-15, 0x1.c1c74c7b9bbe4p-15, 0x1.c560d5d4c4085p-15, 0x1.c8e0d4b49f79dp-15, 0x1.cc478044c4aefp-15, 0x1.cf950fc2363d8p-15, 0x1.d2c9ba7a9502dp-15, 0x1.d5e5b7ca172a2p-15, 0x1.d8e93f19fc93ep-15, 0x1.dbd487deaaf7dp-15, 0x1.dea7c9951c5e5p-15, 0x1.e1633bc0fcb3cp-15, 0x1.e40715ebb4c93p-15, 0x1.e6938fa1d533ep-15, 0x1.e908e0712b96ap-15, 0x1.eb673fe6f0c7cp-15, 0x1.edaee58e83d63p-15, 0x1.efe008ef6fd53p-15, 0x1.f1fae18b0cc67p-15, 0x1.f3ffa6db8d7d2p-15, 0x1.f5ee90522012ap-15, 0x1.f7c7d5551815fp-15, 0x1.f98bad3e16916p-15, 0x1.fb3a4f591b88p-15, 0x1.fcd3f2e27904ep-15, 0x1.fe58cf05237b4p-15, 0x1.ffc91ad930fdp-15, 0x1.009286b154c0ap-14, 0x1.01366ec7cd8cep-14, 0x1.01d0611b505dp-14, 0x1.0260790af8c57p-14, 0x1.02e6d1e8b866cp-14, 0x1.036386f890688p-14, 0x1.03d6b37024d8cp-14, 0x1.044072760267ap-14, 0x1.04a0df20b3acbp-14, 0x1.04f814763642fp-14, 0x1.05462d6b4504ep-14, 0x1.058b44e2fdcc2p-14, 0x1.05c775ae08e8cp-14, 0x1.05fada89b3443p-14, 0x1.06258e1febad8p-14, 0x1.0647ab062a5dbp-14, 0x1.06614bbd134a7p-14, 0x1.06728aafabab1p-14, 0x1.067b823322aacp-14, 0x1.067c4c85f93cp-14, 0x1.067503cfa0a3ap-14, 0x1.0665c21fba42p-14, 0x1.064ea16dd6e73p-14, 0x1.062fbb98c9582p-14, 0x1.06092a660852ap-14, 0x1.05db078142a4ep-14, 0x1.05a56c7c207d2p-14, 0x1.056872cd88c85p-14, 0x1.052433d12b33ep-14, 0x1.04d8c8c70b9ffp-14, 0x1.04864ad323b9fp-14, 0x1.042cd2fcf4331p-14, 0x1.03cc7a2ee9775p-14, 0x1.036559361c448p-14, 0x1.02f788c1e30e4p-14, 0x1.028321634c81dp-14, 0x1.02083b8cd3805p-14, 0x1.0186ef92312f3p-14, 0x1.00ff55a7b2e9fp-14, 0x1.007185e1b8bbep-14, 0x1.ffbb306959d1dp-15, 0x1.fe8748e9792dcp-15, 0x1.fd4784a9efc59p-15, 0x1.fbfc12cf1429bp-15, 0x1.faa5223add602p-15, 0x1.f942e18b4f027p-15, 0x1.f7d57f1a67f29p-15, 0x1.f65d28fda4f93p-15, 0x1.f4da0d052ac34p-15, 0x1.f34c58bb8c3c8p-15, 0x1.f1b43964dbb05p-15, 0x1.f011dbfe6b60dp-15, 0x1.ee656d3e3a876p-15, 0x1.ecaf19926c0f9p-15, 0x1.eaef0d2133db2p-15, 0x1.e92573c7cc811p-15, 0x1.e7527919f9ec9p-15, 0x1.e57648624ba7ap-15, 0x1.e3910ca0fdb54p-15, 0x1.e1a2f08ba5b35p-15, 0x1.dfac1e8d98185p-15, 0x1.ddacc0c722c38p-15, 0x1.dba5010c968ccp-15, 0x1.d99508e6710fdp-15, 0x1.d77d01915e797p-15, 0x1.d55d13fd395d5p-15, 0x1.d33568cd32579p-15, 0x1.d1062857ad1a2p-15, 0x1.cecf7aa563ee1p-15, 0x1.cc918771934b5p-15, 0x1.ca4c762a3a56cp-15, 0x1.c8006def0a259p-15, 0x1.c5ad9591764f5p-15, 0x1.c354139487e59p-15, 0x1.c0f40e2cc6c06p-15, 0x1.be8dab3fd723p-15, 0x1.bc21106466472p-15, 0x1.b9ae62e2a2b2dp-15, 0x1.b735c7b3439f8p-15, 0x1.b4b7637fbf61p-15, 0x1.b2335aa2155aap-15, 0x1.afa9d124d815ap-15, 0x1.ad1aeac32df9cp-15, 0x1.aa86cae8a83a9p-15, 0x1.a7ed94b0c00eap-15, 0x1.a54f6ae7be59cp-15, 0x1.a2ac7009fe863p-15, 0x1.a004c643e3b5ep-15, 0x1.9d588f72c1dd7p-15, 0x1.9aa7ed23ac3e2p-15, 0x1.97f30093e2eccp-15, 0x1.9539eab11ae07p-15, 0x1.927ccc193c604p-15, 0x1.8fbbc51a7281p-15, 0x1.8cf6f5b36d144p-15, 0x1.8a2e7d938a171p-15, 0x1.87627c1a9f4a9p-15, 0x1.84931058fdcecp-15, 0x1.81c0590ff5ff6p-15, 0x1.7eea74b1561ccp-15, 0x1.7c11815ffc92p-15, 0x1.79359cf0083cdp-15, 0x1.7656e4e6cc898p-15, 0x1.7375767adc422p-15, 0x1.70916e93f619cp-15, 0x1.6daae9cc04d6ep-15, 0x1.6ac2046edc4fap-15, 0x1.67d6da7a27c29p-15, 0x1.64e9879db8bdcp-15, 0x1.61fa273ba8fcbp-15, 0x1.5f08d468b5ebcp-15, 0x1.5c15a9ec78245p-15, 0x1.5920c2413e505p-15, 0x1.562a3794e218cp-15, 0x1.533223c902835p-15, 0x1.5038a0728fef3p-15, 0x1.4d3dc6da5bd67p-15, 0x1.4a41affd7b85dp-15, 0x1.4744748d7a316p-15, 0x1.44462cf0ab19ep-15, 0x1.4146f1425a8c5p-15, 0x1.3e46d953147ffp-15, 0x1.3b45fca8bdce7p-15, 0x1.3844727f39efap-15, 0x1.354251c8eed6ep-15, 0x1.323fb12e55fb4p-15, 0x1.2f3ca70ec6d2ap-15, 0x1.2c3949808aff1p-15, 0x1.2935ae5153c2cp-15, 0x1.2631eb0690d47p-15, 0x1.232e14dd5a655p-15, 0x1.202a40cb64527p-15, 0x1.1d26837fc2dcbp-15, 0x1.1a22f161c61aep-15, 0x1.171f9e9237bfbp-15, 0x1.141c9eec16cfbp-15, 0x1.111a060420bc4p-15, 0x1.0e17e72944aep-15, 0x1.0b165565b8f12p-15, 0x1.0815637eec2fbp-15, 0x1.051523f5ad134p-15, 0x1.0215a9068d594p-15, 0x1.fe2e095564dc6p-16, 0x1.f8329130ad8b7p-16, 0x1.f2390c84c3762p-16, 0x1.ec419db2ca6abp-16, 0x1.e64c66975bbcdp-16, 0x1.e059888bb5a2p-16, 0x1.da6924667d078p-16, 0x1.d47b5a7c9394ep-16, 0x1.ce904aa1c2735p-16, 0x1.c8a8142a1cd3p-16, 0x1.c2c2d5ea5ab67p-16, 0x1.bce0ae380cd3fp-16, 0x1.b701baeb95b54p-16, 0x1.b1261960c4a45p-16, 0x1.ab4de676b3147p-16, 0x1.a5793e9186465p-16, 0x1.9fa83d9be1a81p-16, 0x1.99daff05dfd2cp-16, 0x1.94119dc76ac7bp-16, 0x1.8e4c346181a3ep-16, 0x1.888adcdd4db75p-16, 0x1.82cdb0ce9060cp-16, 0x1.7d14c953e9ab2p-16, 0x1.77603f18155bbp-16, 0x1.71b02a51b9f1cp-16, 0x1.6c04a2c4fce54p-16, 0x1.665dbfc567992p-16, 0x1.60bb9834e33adp-16, 0x1.5b1e4285f2bbbp-16, 0x1.5585d4bca5a6fp-16, 0x1.4ff2646e51836p-16, 0x1.4a6406c41eab3p-16, 0x1.44dad07a0c186p-16, 0x1.3f56d5e0dad36p-16, 0x1.39d82adfe252ep-16, 0x1.345ee2f375c1ap-16, 0x1.2eeb113037b6cp-16, 0x1.297cc8439b316p-16, 0x1.24141a72ff2cap-16, 0x1.1eb1199ddf3b3p-16, 0x1.1953d73feba31p-16, 0x1.13fc646ff61b2p-16, 0x1.0eaad1e1c4b9fp-16, 0x1.095f2fe727619p-16, 0x1.04198e6f2b1b4p-16, 0x1.fdb3fa12a4db3p-17, 0x1.f34115cba257dp-17, 0x1.e8da8daa9fdd2p-17, 0x1.de807e94bfc8bp-17, 0x1.d43304b843359p-17, 0x1.c9f23b8975acdp-17, 0x1.bfbe3dc5d883ep-17, 0x1.b59725776f609p-17, 0x1.ab7d0bf50b296p-17, 0x1.a17009e46ac72p-17, 0x1.9770373c199b5p-17, 0x1.8d7dab44a6c9ep-17, 0x1.83987c9d31acbp-17, 0x1.79c0c1383e755p-17, 0x1.6ff68e6141b5cp-17, 0x1.6639f8bdf75efp-17, 0x1.5c8b144d8c057p-17, 0x1.52e9f46f9c3bap-17, 0x1.4956abe07f91dp-17, 0x1.3fd14cbc2da0fp-17, 0x1.3659e88282003p-17, 0x1.2cf09017240fp-17, 0x1.239553c28dd2ep-17, 0x1.1a484335e21c7p-17, 0x1.11096d89e71a9p-17, 0x1.07d8e143d9da5p-17, 0x1.fd6d58ac54686p-18, 0x1.eb45b83e992c7p-18, 0x1.d93afadbf227ap-18, 0x1.c74d3909d6fbcp-18, 0x1.b57c8a2e50622p-18, 0x1.a3c9049d3373dp-18, 0x1.9232bd94a0b08p-18, 0x1.80b9c946735dap-18, 0x1.6f5e3ad576b65p-18, 0x1.5e20245ca33dep-18, 0x1.4cff96f1d689cp-18, 0x1.3bfca2a6a1a07p-18, 0x1.2b17568e16cddp-18, 0x1.1a4fc0c33d7c4p-18, 0x1.09a5ee60268e2p-18, 0x1.f233d722b4b8p-19, 0x1.d15787149b889p-19, 0x1.b0b701231fea4p-19, 0x1.9052580591c24p-19, 0x1.70299c9c3cef2p-19, 0x1.503cddfa8e3ep-19, 0x1.308c29765bda7p-19, 0x1.11178a9af4637p-19, 0x1.e3be16875c8b5p-20, 0x1.a5c567178f65bp-20, 0x1.684513d34deb3p-20, 0x1.2b3d265993a7dp-20, 0x1.dd5b49e9d830ep-21, 0x1.652d257c1ee36p-21, 0x1.dbdfbebbf6a81p-22, 0x1.de8dc46f8f9aep-23, 0x1.23e711f4a32c5p-28, -0x1.c88c70b0525b5p-23, -0x1.cb3acce9420ebp-22, -0x1.58272f3f07f42p-21, -0x1.c9c09adf10264p-21, -0x1.1d34e9b29cbbfp-20, -0x1.5511844ac2dc5p-20, -0x1.8c7637ce1f061p-20, -0x1.c36321a96f7f2p-20, -0x1.f9d861e3bdd48p-20, }}, 
      {{-0x1.020256b2a3442p-8, -0x1.ffc2583f4af28p-8, -0x1.7ab2a916c717cp-7, -0x1.efd9d25c36337p-7, -0x1.2f0bd82dda79ap-6, -0x1.624507f5dce62p-6, -0x1.915267f968451p-6, -0x1.bc13d878da63ap-6, -0x1.e2895431ad84fp-6, -0x1.02667e3ce43dep-5, -0x1.1186b40adcc24p-5, -0x1.1ec43578f671bp-5, -0x1.2a4338d064ba4p-5, -0x1.342b3d15aecc4p-5, -0x1.3ca55481c1b46p-5, -0x1.43dab93c7d508p-5, -0x1.49f3a6b9e8e91p-5, -0x1.4f1671333ca6ep-5, -0x1.5366d4601e99bp-5, -0x1.5705729cb7c0ep-5, -0x1.5a0f7deaa4489p-5, -0x1.5c9e849e84bf5p-5, -0x1.5ec85c030b2e4p-5, -0x1.609f23bae5a94p-5, -0x1.62315d2eb2368p-5, -0x1.638a12d682e5fp-5, -0x1.64b10bace2d2bp-5, -0x1.65ab07919f4aep-5, -0x1.667a01d383d61p-5, -0x1.671d778121743p-5, -0x1.6792af80de516p-5, -0x1.67d502c80ba4ap-5, -0x1.67de235762e19p-5, -0x1.67a660e959ecep-5, -0x1.6724ea7ca3a4bp-5, -0x1.66500c1b0d0eap-5, -0x1.651d686bad6dap-5, -0x1.63822dc709b8dp-5, -0x1.617346a56e975p-5, -0x1.5ee5855ba25bbp-5, -0x1.5bcdcb30dd8f4p-5, -0x1.58212aeb32c55p-5, -0x1.53d506fde481dp-5, -0x1.4edf2b8fe49aep-5, -0x1.4935e498966fap-5, -0x1.42d0105621bep-5, -0x1.3ba52e63ba788p-5, -0x1.33ad6bb7a23p-5, -0x1.2ae1abd067408p-5, -0x1.213b8f57a83abp-5, -0x1.16b5787e4fc05p-5, -0x1.0b4a8d535a287p-5, -0x1.fded70a559efap-6, -0x1.e36d4ecb8eaaap-6, -0x1.c70f93180b81ap-6, -0x1.a8d096b7ede2cp-6, -0x1.88ae251690a53p-6, -0x1.66a7714d1b12ep-6, -0x1.42bd0a3c6c0a1p-6, -0x1.1cf0cd94781dfp-6, -0x1.ea8bb409c501ep-7, -0x1.978101979a00fp-7, -0x1.40cc6da2b71afp-7, -0x1.ccf615e34d3f8p-8, -0x1.1137ed29c2c9ap-8, -0x1.3a01c946a1a1p-10, 0x1.ec2abe2ea08c7p-10, 0x1.4b40701056f07p-8, 0x1.10fa52a895ad9p-7, 0x1.7f7c1f35f416dp-7, 0x1.f10cbe65e3b2p-7, 0x1.32c90afd645c3p-6, 0x1.6e7875ef43878p-6, 0x1.ab8680334c463p-6, 0x1.e9e493dcc7eb9p-6, 0x1.14c1d89434864p-5, 0x1.352a3d24dde77p-5, 0x1.56239f6268824p-5, 0x1.77a6032a37aefp-5, 0x1.99a94daeeeebep-5, 0x1.bc254a79ebe56p-5, 0x1.df11b03553afep-5, 0x1.0133129ff2a7ep-4, 0x1.130d2205eb54ap-4, 0x1.2512cfa50f132p-4, 0x1.373fe2f1d03edp-4, 0x1.49902360d7356p-4, 0x1.5bff5a33b1e3dp-4, 0x1.6e89542ea6c26p-4, 0x1.8129e3386e2b1p-4, 0x1.93dcdfe489b37p-4, 0x1.a69e2ae8e977p-4, 0x1.b969ae7f9348fp-4, 0x1.cc3b5fb4eda6dp-4, 0x1.df0f3fa35f0c9p-4, 0x1.f1e15c9cc18e4p-4, 0x1.0256e9a133bdep-3, 0x1.0bb867c6135fdp-3, 0x1.151346df7774cp-3, 0x1.1e65ada9c8828p-3, 0x1.27adcbe70a5b5p-3, 0x1.30e9dac30d867p-3, 0x1.3a181d306ddffp-3, 0x1.4336e03e88aa1p-3, 0x1.4c447b68a6bf4p-3, 0x1.553f50de8d0afp-3, 0x1.5e25cdc6a80cfp-3, 0x1.66f66a7a02cbp-3, 0x1.6fafaaba37cd2p-3, 0x1.78501de18ac4p-3, 0x1.80d65f0d5b3adp-3, 0x1.8941154313828p-3, 0x1.918ef38fd16a7p-3, 0x1.99beb922db3ep-3, 0x1.a1cf3163205d2p-3, 0x1.a9bf33ffe5fabp-3, 0x1.b18da4fcc4f26p-3, 0x1.b93974b929f93p-3, 0x1.c0c19ff37a746p-3, 0x1.c8252fc80751p-3, 0x1.cf6339abf2cb6p-3, 0x1.d67adf6436e4dp-3, 0x1.dd6b4ef8ea703p-3, 0x1.e433c2a4f2716p-3, 0x1.ead380c23db9p-3, 0x1.f149dbb2bb1cap-3, 0x1.f79631c625903p-3, 0x1.fdb7ed1cd13aap-3, 0x1.01d741c3cecaep-2, 0x1.04bcbb3296929p-2, 0x1.078c293e444bap-2, 0x1.0a4557eaaca5ap-2, 0x1.0ce818c6e6695p-2, 0x1.0f7442d728781p-2, 0x1.11e9b27da7d38p-2, 0x1.144849627a13bp-2, 0x1.168fee5a9db9p-2, 0x1.18c08d4e29aafp-2, 0x1.1ada171dbeb7bp-2, 0x1.1cdc8187428fbp-2, 0x1.1ec7c709f876bp-2, 0x1.209be6ca08d2ap-2, 0x1.2258e4737d4efp-2, 0x1.23fec81ccb17cp-2, 0x1.258d9e28ef91dp-2, 0x1.27057729343aep-2, 0x1.286667bea27f7p-2, 0x1.29b0887b36e94p-2, 0x1.2ae3f5c2df873p-2, 0x1.2c00cfac4f3b5p-2, 0x1.2d0739e1b7868p-2, 0x1.2df75b816cc7bp-2, 0x1.2ed15efe85335p-2, 0x1.2f9572017d128p-2, 0x1.3043c548e3cd8p-2, 0x1.30dc8c8a25fdbp-2, 0x1.315ffe5273341p-2, 0x1.31ce53e7d10cdp-2, 0x1.3227c92a5e339p-2, 0x1.326c9c75cf74ap-2, 0x1.329d0e8330fabp-2, 0x1.32b9624aec27cp-2, 0x1.32c1dce722505p-2, 0x1.32b6c5765b06dp-2, 0x1.329864fe90f56p-2, 0x1.326706509e98ap-2, 0x1.3222f5ec16bafp-2, 0x1.31cc81e3860cdp-2, 0x1.3163f9c129493p-2, 0x1.30e9ae6c1857p-2, 0x1.305df20dec1fcp-2, 0x1.2fc117f8e06b5p-2, 0x1.2f13748e7a1eap-2, 0x1.2e555d26ae566p-2, 0x1.2d8727f7947c7p-2, 0x1.2ca92bfd9cbeep-2, 0x1.2bbbc0e4581a4p-2, 0x1.2abf3eefca0c9p-2, 0x1.29b3fee64a19p-2, 0x1.289a59faf7c08p-2, 0x1.2772a9b8c00d2p-2, 0x1.263d47edf27e2p-2, 0x1.24fa8e986e90ep-2, 0x1.23aad7d261fb2p-2, 0x1.224e7dbf9b8dbp-2, 0x1.20e5da7b724d6p-2, 0x1.1f71480741334p-2, 0x1.1df1203974f12p-2, 0x1.1c65bcad30905p-2, 0x1.1acf76b27fae2p-2, 0x1.192ea73f1c7fp-2, 0x1.1783a6dfc926dp-2, 0x1.15cecdaa347cbp-2, 0x1.1410732f6d4d9p-2, 0x1.1248ee6ee5e0cp-2, 0x1.107895ca00b3bp-2, 0x1.0e9fbef8243c3p-2, 0x1.0cbebefb5c472p-2, 0x1.0ad5ea157bc4bp-2, 0x1.08e593bdc6eacp-2, 0x1.06ee0e971d533p-2, 0x1.04efac66a334ep-2, 0x1.02eabe0aeccadp-2, 0x1.00df9373a00a8p-2, 0x1.fd9cf73327649p-3, 0x1.f96f88eec78a1p-3, 0x1.f5377604f3625p-3, 0x1.f0f5564913ca8p-3, 0x1.eca9bf6afc0c8p-3, 0x1.e85544eb9b13bp-3, 0x1.e3f8781285039p-3, 0x1.df93e7e4471e9p-3, 0x1.db2821199089bp-3, 0x1.d6b5ae1712e71p-3, 0x1.d23d16e6360bcp-3, 0x1.cdbee12e765a4p-3, 0x1.c93b902f88258p-3, 0x1.c4b3a4bc23156p-3, 0x1.c0279d357bb46p-3, 0x1.bb97f5876883dp-3, 0x1.b705272526457p-3, 0x1.b26fa906b714ep-3, 0x1.add7efa6dd319p-3, 0x1.a93e6d01a7cdp-3, 0x1.a4a390938c957p-3, 0x1.a007c7590997ep-3, 0x1.9b6b7bcecf784p-3, 0x1.96cf15f2650d6p-3, 0x1.9232fb434c49ap-3, 0x1.8d978ec493552p-3, 0x1.88fd30fee1ae1p-3, 0x1.84644002e98fdp-3, 0x1.7fcd176c474d2p-3, 0x1.7b381064bde82p-3, 0x1.76a581a7d8d13p-3, 0x1.7215bf86e4bbp-3, 0x1.6d891bed42274p-3, 0x1.68ffe665055a9p-3, 0x1.647a6c1bec84ap-3, 0x1.5ff8f7e899a2dp-3, 0x1.5b7bd25017276p-3, 0x1.5703418b9a32dp-3, 0x1.528f898e8c0d6p-3, 0x1.4e20ec0cca298p-3, 0x1.49b7a8811a0b6p-3, 0x1.4553fc33dc866p-3, 0x1.40f62241e6ccap-3, 0x1.3c9e53a391269p-3, 0x1.384cc733ec5eap-3, 0x1.3401b1b81de0cp-3, 0x1.2fbd45e6e6f3dp-3, 0x1.2b7fb47041f05p-3, 0x1.27492c052a911p-3, 0x1.2319d95f7a7f2p-3, 0x1.1ef1e749df5fcp-3, 0x1.1ad17ea7e8a2p-3, 0x1.16b8c67e2fb08p-3, 0x1.12a7e3fa81039p-3, 0x1.0e9efa7c2b068p-3, 0x1.0a9e2b9c434fbp-3, 0x1.06a597360aa25p-3, 0x1.02b55b6f49e66p-3, 0x1.fd9b29817a66dp-4, 0x1.f5dcbbfd0845ep-4, 0x1.ee2fa0c124444p-4, 0x1.e694071642cf2p-4, 0x1.df0a1b2e3f81p-4, 0x1.d79206354691bp-4, 0x1.d02bee62a05dfp-4, 0x1.c8d7f7097eb19p-4, 0x1.c19640a9b6b7bp-4, 0x1.ba66e90069532p-4, 0x1.b34a0b18965aep-4, 0x1.ac3fbf5ba3858p-4, 0x1.a5481ba1b91c6p-4, 0x1.9e6333420d176p-4, 0x1.97911723161dfp-4, 0x1.90d1d5ca91acbp-4, 0x1.8a257b6d732f5p-4, 0x1.838c11ffa9953p-4, 0x1.7d05a143c15dcp-4, 0x1.76922eda5fc31p-4, 0x1.7031be5197041p-4, 0x1.69e451340a205p-4, 0x1.63a9e717ee736p-4, 0x1.5d827dadd7208p-4, 0x1.576e10cf5916ap-4, 0x1.516c9a8d7c97p-4, 0x1.4b7e133f00a45p-4, 0x1.45a2718e6a8c1p-4, 0x1.3fd9aa87e5f08p-4, 0x1.3a23b1a6f147p-4, 0x1.348078e3d480ep-4, 0x1.2eeff0c0e8629p-4, 0x1.29720857a3f89p-4, 0x1.2406ad657790bp-4, 0x1.1eadcc5871af9p-4, 0x1.1967505bac704p-4, 0x1.14332363861bfp-4, 0x1.0f112e39a176fp-4, 0x1.0a015888b1a03p-4, 0x1.050388e80ad59p-4, 0x1.0017a4e70005dp-4, 0x1.f67b22300ae8p-5, 0x1.ecea62373eea7p-5, 0x1.e37ccf562bca1p-5, 0x1.da322d45eaed9p-5, 0x1.d10a3e1aab216p-5, 0x1.c804c257cf3bcp-5, 0x1.bf217903a49bp-5, 0x1.b6601fbaa90d7p-5, 0x1.adc072c261e3fp-5, 0x1.a5422d1bcadfbp-5, 0x1.9ce508955a29ep-5, 0x1.94a8bddc94685p-5, 0x1.8c8d048f3d3ffp-5, 0x1.8491934c184e7p-5, 0x1.7cb61fc34a163p-5, 0x1.74fa5ec64c8bfp-5, 0x1.6d5e045778aebp-5, 0x1.65e0c3b936675p-5, 0x1.5e824f7cbc2b1p-5, 0x1.5742599079d2bp-5, 0x1.5020934e0cdf7p-5, 0x1.491cad87e8c09p-5, 0x1.4236589692ba5p-5, 0x1.3b6d446581446p-5, 0x1.34c1207fa3721p-5, 0x1.2e319c1b846e5p-5, 0x1.27be66271977cp-5, 0x1.21672d5335cafp-5, 0x1.1b2ba01ea2031p-5, 0x1.150b6ce0e7219p-5, 0x1.0f0641d4b2d83p-5, 0x1.091bcd21fa081p-5, 0x1.034bbce7bc411p-5, 0x1.fb2b7e8af0e22p-6, 0x1.eff304c8a9bf7p-6, 0x1.e4ed68ffe9aa2p-6, 0x1.da1a07de069e2p-6, 0x1.cf783e56d7784p-6, 0x1.c50769b4a60ddp-6, 0x1.bac6e7a77f6a9p-6, 0x1.b0b61653eb5b9p-6, 0x1.a6d4546132afp-6, 0x1.9d210107066b5p-6, 0x1.939b7c1a9feacp-6, 0x1.8a43261b69565p-6, 0x1.8117603f11a6bp-6, 0x1.78178c7d39e77p-6, 0x1.6f430d9a8e00ep-6, 0x1.6699473373f32p-6, 0x1.5e199dc63a4bep-6, 0x1.55c376bcd27fdp-6, 0x1.4d96387628bffp-6, 0x1.45914a4ef9a06p-6, 0x1.3db414aa404e1p-6, 0x1.35fe00f93f6fap-6, 0x1.2e6e79c324b15p-6, 0x1.2704eaac3c6e6p-6, 0x1.1fc0c07ccbfc3p-6, 0x1.18a169278cf56p-6, 0x1.11a653cfbef82p-6, 0x1.0acef0ceeecc8p-6, 0x1.041ab1ba5bbb7p-6, 0x1.fb1212d0070dbp-7, 0x1.ee32d7e6cbce4p-7, 0x1.e1969d83c9a12p-7, 0x1.d53c510dcac7p-7, 0x1.c922e28f41483p-7, 0x1.bd4944bd3f825p-7, 0x1.b1ae6cfdf0a2ap-7, 0x1.a651536e79223p-7, 0x1.9b30f2e86271ep-7, 0x1.904c490656ba1p-7, 0x1.85a25628963c5p-7, 0x1.7b321d78b01e7p-7, 0x1.70faa4ecf2064p-7, 0x1.66faf54b5a741p-7, 0x1.5d321a2bf756bp-7, 0x1.539f21fb027a4p-7, 0x1.4a411dfa740a5p-7, 0x1.41172243446fep-7, 0x1.382045c63b338p-7, 0x1.2f5ba24c64a5ap-7, 0x1.26c854772a5bap-7, 0x1.1e657bc00777fp-7, 0x1.16323a7808743p-7, 0x1.0e2db5c6c60fbp-7, 0x1.065715a93bca7p-7, 0x1.fd5b09e076e05p-8, 0x1.ee60627d3200dp-8, 0x1.dfbc960e2f5bep-8, 0x1.d16e0b141b5e6p-8, 0x1.c3732da580d7ap-8, 0x1.b5ca6f69102ep-8, 0x1.a872478f864f4p-8, 0x1.9b6932ccea76bp-8, 0x1.8eadb3519990ap-8, 0x1.823e50c2a94bep-8, 0x1.7619983232659p-8, 0x1.6a3e1c16e718cp-8, 0x1.5eaa7443993a5p-8, 0x1.535d3dde48fcbp-8, 0x1.48551b56cf369p-8, 0x1.3d90b45d5f6ap-8, 0x1.330eb5d89a545p-8, 0x1.28cdd1db8bf1bp-8, 0x1.1eccbf9b3b2acp-8, 0x1.150a3b63f2dafp-8, 0x1.0b85068e90788p-8, 0x1.023be7755412cp-8, 0x1.f25b52d1531c4p-9, 0x1.e0b2394759d68p-9, 0x1.cf7a2c811f2d7p-9, 0x1.beb0e0598dac5p-9, 0x1.ae54123a274a7p-9, 0x1.9e61890303b19p-9, 0x1.8ed714f230e47p-9, 0x1.7fb28f8b13548p-9, 0x1.70f1db7db905dp-9, 0x1.6292e48d7fdedp-9, 0x1.54939f7806d7ep-9, 0x1.46f209dbbaf65p-9, 0x1.39ac2a1e5b454p-9, 0x1.2cc00f533700cp-9, 0x1.202bd12198397p-9, 0x1.13ed8faad3d5ep-9, 0x1.080373706716ep-9, 0x1.f8d75a7432189p-10, 0x1.e248ebf7edc4ap-10, 0x1.cc581d788d39ep-10, 0x1.b70180f338548p-10, 0x1.a241b8219b9c8p-10, 0x1.8e157445f9a53p-10, 0x1.7a7975f7390c9p-10, 0x1.676a8ced1e62dp-10, 0x1.54e597ccc3ff8p-10, 0x1.42e783f4a5bfcp-10, 0x1.316d4d49b79bcp-10, 0x1.2073fe03ad113p-10, 0x1.0ff8ae7a4a44bp-10, 0x1.fff109e4ddfbfp-11, 0x1.e0e16ad701563p-11, 0x1.c2bd02da0312dp-11, 0x1.a57e6fa8f7d2cp-11, 0x1.8920694789dc6p-11, 0x1.6d9dc19ee7c27p-11, 0x1.52f1641b4650ap-11, 0x1.39165549d6e21p-11, 0x1.2007b27883af4p-11, 0x1.07c0b1542ad31p-11, 0x1.e0793f144036cp-12, 0x1.b2edc4d14ba0bp-12, 0x1.86d5ed00ed411p-12, 0x1.5c28de8fda692p-12, 0x1.32dded7b4d5cap-12, 0x1.0aec9a1a3b1dcp-12, 0x1.c89920ce83bf4p-13, 0x1.7deb4e961f6eep-13, 0x1.35bfbfd646161p-13, 0x1.e00d93e043cdfp-14, 0x1.596227f7d24cfp-14, 0x1.aebe55bac3293p-15, 0x1.679ca61e4ebfbp-16, -0x1.f22b3b2d3f09dp-18, -0x1.27b5576f8191ep-15, -0x1.045c6742278d6p-14, -0x1.70c2fb76ee1ep-14, -0x1.d928ec6c7a99p-14, -0x1.1ed417d6f160cp-13, -0x1.4f2d175c28abbp-13, -0x1.7dabe4b58e8bp-13, -0x1.aa5cac3b04f1fp-13, -0x1.d54b57e090b75p-13, -0x1.fe83905f78ae1p-13, -0x1.13085f33faff3p-12, -0x1.25ff05e12f5bap-12, -0x1.382b323a89862p-12, -0x1.49923bf203e26p-12, -0x1.5a395cf51f03ap-12, -0x1.6a25b1f965469p-12, -0x1.795c3b05f71c7p-12, -0x1.87e1dbfc186f7p-12, -0x1.95bb5d1d301a5p-12, -0x1.a2ed6b8e74e68p-12, -0x1.af7c99dbf8dc8p-12, -0x1.bb6d6079ca22fp-12, -0x1.c6c41e40d9a6cp-12, -0x1.d18518edabc76p-12, -0x1.dbb47d99e1e84p-12, -0x1.e5566136db3b6p-12, -0x1.ee6ec103c3f65p-12, -0x1.f701830448025p-12, -0x1.ff1276734d358p-12, -0x1.0352aa1acfcb7p-11, -0x1.06dedfa4f52ap-11, -0x1.0a2fa29bbc155p-11, -0x1.0d46af3d43631p-11, -0x1.1025b777c8332p-11, -0x1.12ce631e6380ep-11, -0x1.1542501c8b8ccp-11, -0x1.178312a95f752p-11, -0x1.199235795c5b9p-11, -0x1.1b7139f04d895p-11, -0x1.1d2198512ec86p-11, -0x1.1ea4bfee0c092p-11, -0x1.1ffc175724c6fp-11, -0x1.2128fc88ae927p-11, -0x1.222cc5182eabep-11, -0x1.2308be610daf3p-11, -0x1.23be2db06c4bbp-11, -0x1.244e50700cac1p-11, -0x1.24ba5c50a6cc4p-11, -0x1.25037f73231c6p-11, -0x1.252ae091ed758p-11, -0x1.25319f2882fdfp-11, -0x1.2518d39ad8e01p-11, -0x1.24e18f5c592a9p-11, -0x1.248cdd1551cc9p-11, -0x1.241bc0c8a8ecdp-11, -0x1.238f37f821151p-11, -0x1.22e839c859234p-11, -0x1.2227b72418fbfp-11, -0x1.214e9aded4b4p-11, -0x1.205dc9d684969p-11, -0x1.1f562315322fep-11, -0x1.1e387ff158b95p-11, -0x1.1d05b42e3469cp-11, -0x1.1bbe8e1b21f39p-11, -0x1.1a63d6b2942ddp-11, -0x1.18f651b80ee35p-11, -0x1.1776bdd6070fcp-11, -0x1.15e5d4bb0fdep-11, -0x1.14444b36387cfp-11, -0x1.1292d15339894p-11, -0x1.10d21275ab38dp-11, -0x1.0f02b574485b5p-11, -0x1.0d255cb2c4908p-11, -0x1.0b3aa63c2d6ep-11, -0x1.09432bdbec5d1p-11, -0x1.073f8336a8455p-11, -0x1.05303de2b62cdp-11, -0x1.0315e97fd9142p-11, -0x1.00f10fce9221fp-11, -0x1.fd846d8e5da8ap-12, -0x1.f913c15ffe0b4p-12, -0x1.f4911866ccee5p-12, -0x1.effd68eacbcb9p-12, -0x1.eb59a250daffep-12, -0x1.e6a6ad44f8498p-12, -0x1.e1e56be1986f4p-12, -0x1.dd16b9d7d5ec2p-12, -0x1.d83b6c95ee5c5p-12, -0x1.d354536d66be9p-12, -0x1.ce6237b7cb05cp-12, -0x1.c965dcfb6feafp-12, -0x1.c460010eb7bebp-12, -0x1.bf515c3b12523p-12, -0x1.ba3aa15ed0099p-12, -0x1.b51c7e0ecc659p-12, -0x1.aff79ab6ea5cap-12, -0x1.aacc9ab9ee1f2p-12, -0x1.a59c1c90de29ap-12, -0x1.a066b9e950449p-12, -0x1.9b2d07c3a40dbp-12, -0x1.95ef968ffbf22p-12, -0x1.90aef24b15bbfp-12, -0x1.8b6ba29a1401ap-12, -0x1.86262ae5e15a6p-12, -0x1.80df0a75f6652p-12, -0x1.7b96bc8abbd53p-12, -0x1.764db876ae16cp-12, -0x1.710471b7cc29ep-12, -0x1.6bbb580fda8c6p-12, -0x1.6672d79c4fabap-12, -0x1.612b58edb1932p-12, -0x1.5be5411e886b3p-12, -0x1.56a0f1e9a4ee4p-12, -0x1.515ec9bffac7cp-12, -0x1.4c1f23ddd4c4cp-12, -0x1.46e2585feb4aap-12, -0x1.41a8bc577e9abp-12, -0x1.3c72a1de8fb54p-12, -0x1.3740582af9e8cp-12, -0x1.32122ba1d5c92p-12, -0x1.2ce865e9ba1fp-12, -0x1.27c34dfced877p-12, -0x1.22a3283b6194cp-12, -0x1.1d88367bb2a2cp-12, -0x1.1872b81c352d4p-12, -0x1.1362ea137c7eep-12, -0x1.0e5907006a07p-12, -0x1.09554739f66ep-12, -0x1.0457e0de98092p-12, -0x1.fec20fc6b32d9p-13, -0x1.f4e1dc44984dep-13, -0x1.eb0f86d228102p-13, -0x1.e14b6b0da559cp-13, -0x1.d795e0b360633p-13, -0x1.cdef3bb8ac084p-13, -0x1.c457cc65ed6a8p-13, -0x1.bacfdf6f8509dp-13, -0x1.b157be0f4460bp-13, -0x1.a7efae1c08d1ep-13, -0x1.9e97f221a072cp-13, -0x1.9550c977f715fp-13, -0x1.8c1a70593b6cfp-13, -0x1.82f51ff81aae5p-13, -0x1.79e10e9522428p-13, -0x1.70de6f9366fdap-13, -0x1.67ed738d32a77p-13, -0x1.5f0e4867ce881p-13, -0x1.56411966e2c52p-13, -0x1.4d860f3f755e5p-13, -0x1.44dd502a49bcep-13, -0x1.3c46fff604cfcp-13, -0x1.33c340187f4acp-13, -0x1.2b522fc04c226p-13, -0x1.22f3ebe53f3aap-13, -0x1.1aa88f58a69f1p-13, -0x1.127032d5587f1p-13, -0x1.0a4aed0ef599dp-13, -0x1.0238d2c150988p-13, -0x1.f473ed7e27816p-14, -0x1.e49cd4004f33ep-14, -0x1.d4ec775f2fbe2p-14, -0x1.c562f272d23f8p-14, -0x1.b6005caf94e74p-14, -0x1.a6c4ca4034485p-14, -0x1.97b04c1f7c67ep-14, -0x1.88c2f0309297p-14, -0x1.79fcc1572d769p-14, -0x1.6b5dc78f10029p-14, -0x1.5ce60802c2c7fp-14, -0x1.4e958521d7a5ep-14, -0x1.406c3eb7075e8p-14, -0x1.326a31fd15b46p-14, -0x1.248f59b397ce4p-14, -0x1.16dbae32e0a23p-14, -0x1.094f257fb611ep-14, -0x1.f7d366bcbe12cp-15, -0x1.dd5692caa27a1p-15, -0x1.c327ae1ed0607p-15, -0x1.a946939a74acp-15, -0x1.8fb31a2d4c12ep-15, -0x1.766d14f70f3a3p-15, -0x1.5d745367ebfe5p-15, -0x1.44c8a15feda32p-15, -0x1.2c69c74f1af56p-15, -0x1.14578a5314e9ap-15, -0x1.f92358a8a7e88p-16, -0x1.ca2fd846ba2f1p-16, -0x1.9bd40b2736352p-16, -0x1.6e0f632f4c52ep-16, -0x1.40e14cb607533p-16, -0x1.14492eb969b8p-16, -0x1.d08cd61ea8965p-17, -0x1.79b0bd2dca0aep-17, -0x1.23fcc2d0c9e72p-17, -0x1.9edf1c0c413bp-18, -0x1.f01ef3d214ap-19, -0x1.4e1f2a23da77p-20, 0x1.3aeb5c58e2eeap-20, 0x1.dd76bf4a9ddaap-19, 0x1.8c7cd2dd341b8p-18, 0x1.140121716ad78p-17, 0x1.60a767d829351p-17, 0x1.ac32d33d55edfp-17, 0x1.f6a500915b55ep-17, 0x1.1fffc968a03f4p-16, 0x1.44221962e082fp-16, 0x1.67ba475e18f2ep-16, 0x1.8ac92d23871dap-16, 0x1.ad4fa6ff5ed92p-16, 0x1.cf4e93a15d082p-16, 0x1.f0c6d3feaae14p-16, 0x1.08dca59a55b33p-15, 0x1.19136f3646113p-15, 0x1.29083a5f7acdep-15, 0x1.38bb7b8cef591p-15, 0x1.482da812e9bbdp-15, 0x1.575f36164309p-15, 0x1.66509c7fd8275p-15, 0x1.750252f0843ccp-15, 0x1.8374d1b58a127p-15, 0x1.91a891bcda854p-15, 0x1.9f9e0c8a5bd98p-15, 0x1.ad55bc2cb2f4ap-15, 0x1.bad01b3305e88p-15, 0x1.c80da4a2a8289p-15, 0x1.d50ed3ecdc5ccp-15, 0x1.e1d424e5e65a7p-15, 0x1.ee5e13babe32p-15, 0x1.faad1ce892347p-15, 0x1.0360de99ead74p-14, 0x1.094e38cfbdcbdp-14, 0x1.0f1edbb23fe6ap-14, 0x1.14d305f4ec07bp-14, 0x1.1a6af65e63dbbp-14, 0x1.1fe6ebc44a452p-14, 0x1.25472507d80a5p-14, 0x1.2a8be11210236p-14, 0x1.2fb55ed053819p-14, 0x1.34c3dd30c0f55p-14, 0x1.39b79b1f18396p-14, 0x1.3e90d78156038p-14, 0x1.434fd134bd9c9p-14, 0x1.47f4c70aa30fcp-14, 0x1.4c7ff7c58f6b4p-14, 0x1.50f1a2166c36fp-14, 0x1.554a0499ab4f8p-14, 0x1.59895dd48bf14p-14, 0x1.5dafec3276192p-14, 0x1.61bdee02a1bd3p-14, 0x1.65b3a17574b2dp-14, 0x1.6991449a1983p-14, 0x1.6d57155c45cc4p-14, 0x1.7105518211f0ap-14, 0x1.749c36a9926f1p-14, 0x1.781c0246d8ff9p-14, 0x1.7b84f1a20614ep-14, 0x1.7ed741d5141bfp-14, 0x1.82132fca23e54p-14, 0x1.8538f8398019p-14, 0x1.8848d7a7ee218p-14, 0x1.8b430a64da83ep-14, 0x1.8e27cc88a62fep-14, 0x1.90f759f31b157p-14, 0x1.93b1ee49de90ep-14, 0x1.9657c4f6ce67p-14, 0x1.98e91926970a6p-14, 0x1.9b6625c74ac78p-14, 0x1.9dcf258723a21p-14, 0x1.a02452d303161p-14, 0x1.a265e7d529b07p-14, 0x1.a4941e740e00bp-14, 0x1.a6af3051413abp-14, 0x1.a8b756c8330fep-14, 0x1.aaaccaed0590ap-14, 0x1.ac8fc58b92693p-14, 0x1.ae607f268b813p-14, 0x1.b01f2ff63a536p-14, 0x1.b1cc0fe7a7c19p-14, 0x1.b367569bc5b56p-14, 0x1.b4f13b6684f08p-14, 0x1.b669f54e05e22p-14, 0x1.b7d1bb09b3dedp-14, 0x1.b928c3019d976p-14, 0x1.ba6f434da9896p-14, 0x1.bba571b4e00c8p-14, 0x1.bccb83accccc4p-14, 0x1.bde1ae58d73fp-14, 0x1.bee82689a5ec4p-14, 0x1.bfdf20bc6faf8p-14, 0x1.c0c6d11a916f3p-14, 0x1.c19f6b790533dp-14, 0x1.c2692357dcd9ap-14, 0x1.c3242be1b58d3p-14, 0x1.c3d0b7eb54b79p-14, 0x1.c46ef9f33db4dp-14, 0x1.c4ff2421598f3p-14, 0x1.c58168468019dp-14, 0x1.c5f5f7dc1dde3p-14, 0x1.c65d0403f50f8p-14, 0x1.c6b6bd87c8df7p-14, 0x1.c70354d911d55p-14, 0x1.c742fa10b78c7p-14, 0x1.c775dceece0cdp-14, 0x1.c79c2cda6a8f1p-14, 0x1.c7b618e16d71bp-14, 0x1.c7c3cfb8552f5p-14, 0x1.c7c57fb9fd852p-14, 0x1.c7bb56e7a30cfp-14, 0x1.c7a582e8a4304p-14, 0x1.c784310a69bd5p-14, 0x1.c7578e404f7bbp-14, 0x1.c71fc7238cc13p-14, 0x1.c6dd07f33f40dp-14, 0x1.c68f7c9448d09p-14, 0x1.c637509154d11p-14, 0x1.c5d4af1ab7c05p-14, 0x1.c567c3068a3f6p-14, 0x1.c4f0b6d0a9126p-14, 0x1.c46fb49ab186p-14, 0x1.c3e4e62c21dcdp-14, 0x1.c35074f255b4ap-14, 0x1.c2b28a00a4a69p-14, 0x1.c20b4e1064142p-14, 0x1.c15ae98110962p-14, 0x1.c0a184585c661p-14, 0x1.bfdf4642639bep-14, 0x1.bf145691be31cp-14, 0x1.be40dc3fa23e6p-14, 0x1.bd64fdec16656p-14, 0x1.bc80e1de15df3p-14, 0x1.bb94ae03b2b2ap-14, 0x1.baa087f251282p-14, 0x1.b9a494e6e33bap-14, 0x1.b8a0f9c60ad77p-14, 0x1.b795db1c51abep-14, 0x1.b6835d1e6da41p-14, 0x1.b569a3a97523cp-14, 0x1.b448d2431fe13p-14, 0x1.b3210c1a008adp-14, 0x1.b1f27405d06ffp-14, 0x1.b0bd2c87a926bp-14, 0x1.af8157ca5e9dfp-14, 0x1.ae3f17a2ba902p-14, 0x1.acf68d8fb9c2ep-14, 0x1.aba7dabadb4a9p-14, 0x1.aa531ff877023p-14, 0x1.a8f87dc8196b4p-14, 0x1.a7981454cd896p-14, 0x1.a63203755bef7p-14, 0x1.a4c66aaca69fp-14, 0x1.a355692a0dbbcp-14, 0x1.a1df1dc9be72bp-14, 0x1.a063a71503dc7p-14, 0x1.9ee32342a72ffp-14, 0x1.9d5db03754474p-14, 0x1.9bd36b85f26fbp-14, 0x1.9a44727004114p-14, 0x1.98b0e1e5ecf0dp-14, 0x1.9718d68779797p-14, 0x1.957c6ca4252c6p-14, 0x1.93dbc03b84313p-14, 0x1.9236ecfdbe5ffp-14, 0x1.908e0e4bde847p-14, 0x1.8ee13f38236eep-14, 0x1.8d309a86903f4p-14, 0x1.8b7c3aad41c9p-14, 0x1.89c439d4e4355p-14, 0x1.8808b1d909a9p-14, 0x1.8649bc489431bp-14, 0x1.8487726644fc5p-14, 0x1.82c1ed291047ep-14, 0x1.80f9453c86998p-14, 0x1.7f2d93014bfddp-14, 0x1.7d5eee8d8028ap-14, 0x1.7b8d6fad2f962p-14, 0x1.79b92de2d005ep-14, 0x1.77e24067a83ddp-14, 0x1.7608be2c48eafp-14, 0x1.742cbdd8ee448p-14, 0x1.724e55cdfe822p-14, 0x1.706d9c248823ap-14, 0x1.6e8aa6aea2237p-14, 0x1.6ca58af7e6764p-14, 0x1.6abe5e45f7b57p-14, 0x1.68d53598e3d74p-14, 0x1.66ea25ab9f95p-14, 0x1.64fd42f47d7ep-14, 0x1.630ea1a5b2eap-14, 0x1.611e55adab8f7p-14, 0x1.5f2c72b78c7a3p-14, 0x1.5d390c2bbdad3p-14, 0x1.5b44353063bbp-14, 0x1.594e00a9ca6b2p-14, 0x1.5756813ada2e3p-14, 0x1.555dc9459975dp-14, 0x1.5363eaeb95307p-14, 0x1.5168f80e739a9p-14, 0x1.4f6d02504ff05p-14, 0x1.4d701b144e24ep-14, 0x1.4b72537f04458p-14, 0x1.4973bc76fd41bp-14, 0x1.477466a51f1p-14, 0x1.457462754ad39p-14, 0x1.4373c016b1871p-14, 0x1.41728f7c52732p-14, 0x1.3f70e05d774c3p-14, 0x1.3d6ec23636157p-14, 0x1.3b6c4447ebcdfp-14, 0x1.39697599a8b4fp-14, 0x1.376664f8b2b6bp-14, 0x1.356320f8f8e53p-14, 0x1.335fb7f58d3fp-14, 0x1.315c38112778ap-14, 0x1.2f58af3691ca6p-14, 0x1.2d552b1923427p-14, 0x1.2b51b93537ec4p-14, 0x1.294e66d0a9b14p-14, 0x1.274b40fb5f8fbp-14, 0x1.2548548fa3883p-14, 0x1.2345ae32a1ccbp-14, 0x1.21435a54e84aap-14, 0x1.1f416532eab71p-14, 0x1.1d3fdad557678p-14, 0x1.1b3ec7119bb9cp-14, 0x1.193e358a74ea1p-14, 0x1.173e31b04b0bfp-14, 0x1.153ec6c1a9041p-14, 0x1.133fffcbc0f03p-14, 0x1.1141e7aac7202p-14, 0x1.0f44890a80f09p-14, 0x1.0d47ee66ad186p-14, 0x1.0b4c220b794b6p-14, 0x1.09512e15f584bp-14, 0x1.07571c749530fp-14, 0x1.055df6e798621p-14, 0x1.0365c7017cc31p-14, 0x1.016e962756f19p-14, 0x1.fef0db22e8299p-15, 0x1.fb06ac976445cp-15, 0x1.f71eb26bd05dp-15, 0x1.f338fe08f0a2fp-15, 0x1.ef55a08157d15p-15, 0x1.eb74aa921e2e8p-15, 0x1.e7962ca3e6c35p-15, 0x1.e3ba36cbe31efp-15, 0x1.dfe0d8cc6bbe8p-15, 0x1.dc0a221609388p-15, 0x1.d83621c837279p-15, 0x1.d464e6b23ae59p-15, 0x1.d0967f5417763p-15, 0x1.cccaf9df57494p-15, 0x1.c9026437f6c77p-15, 0x1.c53ccbf51423fp-15, 0x1.c17a3e61d257ep-15, 0x1.bdbac87e2a763p-15, 0x1.b9fe76ffbcff2p-15, 0x1.b6455652b5944p-15, 0x1.b28f729aaab56p-15, 0x1.aedcd7b338ad5p-15, 0x1.ab2d9130e8835p-15, 0x1.a781aa61f50f5p-15, 0x1.a3d92e4f28312p-15, 0x1.a03427bcb3593p-15, 0x1.9c92a12ad8259p-15, 0x1.98f4a4d6aba9p-15, 0x1.955a3cbb009abp-15, 0x1.91c372911cebfp-15, 0x1.8e304fd1740d5p-15, 0x1.8aa0ddb4917a8p-15, 0x1.8715253393961p-15, 0x1.838d2f093026ap-15, 0x1.800903b265997p-15, 0x1.7c88ab6f33d6ep-15, 0x1.790c2e434c702p-15, 0x1.759393f6daf19p-15, 0x1.721ee41740f48p-15, 0x1.6eae25f7d798fp-15, 0x1.6b4160b2b43ccp-15, 0x1.67d89b293c906p-15, 0x1.6473dc04eaf19p-15, 0x1.611329b803a55p-15, 0x1.5db68a7e61d8dp-15, 0x1.5a5e045e24354p-15, 0x1.57099d28339f6p-15, 0x1.53b95a790ad0dp-15, 0x1.506d41b988c0dp-15, 0x1.4d25581f7a455p-15, 0x1.49e1a2ae5cfd7p-15, 0x1.46a22637dcb2ep-15, 0x1.4366e75cb769bp-15, 0x1.402fea8d5003bp-15, 0x1.3cfd340a42545p-15, 0x1.39cec7e515784p-15, 0x1.36a4aa00eee5dp-15, 0x1.337ede1338e0bp-15, 0x1.305d67a434c12p-15, 0x1.2d404a0fa0af1p-15, 0x1.2a2788854596ap-15, 0x1.27132609b3f23p-15, 0x1.24032576e41eap-15, 0x1.20f7897cb6fadp-15, 0x1.1df054a19ff5cp-15, 0x1.1aed89432d9b4p-15, 0x1.17ef2996c9f8bp-15, 0x1.14f537aa2e441p-15, 0x1.11ffb56401bf1p-15, 0x1.0f0ea48478f66p-15, 0x1.0c2206a5c90c8p-15, 0x1.0939dd3cf349cp-15, 0x1.0656299a1d619p-15, 0x1.0376ece925e2bp-15, 0x1.009c28325e1fep-15, 0x1.fb8bb8b5fbae2p-16, 0x1.f5e8144b41ddp-16, 0x1.f04d6465c9164p-16, 0x1.eabbaa03e38c9p-16, 0x1.e532e5e1e362p-16, 0x1.dfb3187b38014p-16, 0x1.da3c420b94d4bp-16, 0x1.d4ce62900541ap-16, 0x1.cf6979c7ce324p-16, 0x1.ca0d87353ce41p-16, 0x1.c4ba8a1f188f9p-16, 0x1.bf708191833a3p-16, 0x1.ba2f6c5ebf265p-16, 0x1.b4f749205e3p-16, 0x1.afc8163809669p-16, 0x1.aaa1d1d0b62d2p-16, 0x1.a58479df6305p-16, 0x1.a0700c243b62fp-16, 0x1.9b64862b3b418p-16, 0x1.9661e54d741bap-16, 0x1.916826b19e7b3p-16, 0x1.8c77474d397b6p-16, 0x1.878f43e5858b9p-16, 0x1.82b019101bc13p-16, 0x1.7dd9c3341c7c7p-16, 0x1.790c3e8ac3d84p-16, 0x1.7447872060d2ap-16, 0x1.6f8b98d55c4f9p-16, 0x1.6ad86f5ee8325p-16, 0x1.662e0647df77p-16, 0x1.618c58f1801aep-16, 0x1.5cf3629420b2ap-16, 0x1.58631e40543f4p-16, 0x1.53db86dfb3f11p-16, 0x1.4f5c97353e458p-16, 0x1.4ae649de871c5p-16, 0x1.4678995447d51p-16, 0x1.42137feb52247p-16, 0x1.3db6f7d509236p-16, 0x1.3962fb202c821p-16, 0x1.351783ba01693p-16, 0x1.30d48b6e6d231p-16, 0x1.2c9a0be954bf6p-16, 0x1.2867feb6a671ep-16, 0x1.243e5d4385545p-16, 0x1.201d20ded0261p-16, 0x1.1c0442b9edf1p-16, 0x1.17f3bbe94fbd5p-16, 0x1.13eb85654e81cp-16, 0x1.0feb980a939f6p-16, 0x1.0bf3ec9af789ep-16, 0x1.08047bbe33c31p-16, 0x1.041d3e0249e5dp-16, 0x1.003e2bdc4ed9dp-16, 0x1.f8ce7b51d79e4p-17, 0x1.f130d75a68827p-17, 0x1.e9a35c2e6d99bp-17, 0x1.e225f9fc9eaa9p-17, 0x1.dab8a0c80cca8p-17, 0x1.d35b4068d511fp-17, 0x1.cc0dc88dfc307p-17, 0x1.c4d028be0fd5fp-17, 0x1.bda250582cfc5p-17, 0x1.b6842e95eb56ap-17, 0x1.af75b28b1f58cp-17, 0x1.a876cb2852e1ap-17, 0x1.a187673ad7f7ep-17, 0x1.9aa7756e425e2p-17, 0x1.93d6e44ddcd5ap-17, 0x1.8d15a244abffep-17, 0x1.86639d9f31737p-17, 0x1.7fc0c48c639c8p-17, 0x1.792d051e5096bp-17, 0x1.72a84d4b80b2fp-17, 0x1.6c328aefa4d8bp-17, 0x1.65cbabcc7d1b9p-17, 0x1.5f739d8b4104dp-17, 0x1.592a4dbd3e1a5p-17, 0x1.52efa9dc6c4fp-17, 0x1.4cc39f4c862b9p-17, 0x1.46a61b5cc080ap-17, 0x1.40970b471f56p-17, 0x1.3a965c32b967cp-17, 0x1.34a3fb3397005p-17, 0x1.2ebfd54c43552p-17, 0x1.28e9d76e4bc75p-17, 0x1.2321ee7adefe6p-17, 0x1.1d680743f0e26p-17, 0x1.17bc0e8cd767cp-17, 0x1.121df10b2451bp-17, 0x1.0c8d9b677ff65p-17, 0x1.070afa3deeb57p-17, 0x1.0195fa1f70e2fp-17, 0x1.f85d0f2354016p-18, 0x1.eda91e20b98cep-18, 0x1.e30ffa1cc041ap-18, 0x1.d8917bea393fep-18, 0x1.ce2d7c4d2eeb5p-18, 0x1.c3e3d3fb10716p-18, 0x1.b9b45b9b43578p-18, 0x1.af9eebc9dbd85p-18, 0x1.a5a35d18498a4p-18, 0x1.9bc1880d6b8c7p-18, 0x1.91f94529faf78p-18, 0x1.884a6ce6330e7p-18, 0x1.7eb4d7b4c794bp-18, 0x1.75385e0524b01p-18, 0x1.6bd4d841c6a28p-18, 0x1.628a1ed456681p-18, 0x1.59580a241cd26p-18, 0x1.503e7299c37e5p-18, 0x1.473d309e1cf66p-18, 0x1.3e541c9d003a4p-18, 0x1.35830f04b575bp-18, 0x1.2cc9e048938f5p-18, 0x1.242868e0d09a2p-18, 0x1.1b9e814b9e9aep-18, 0x1.132c020f40c21p-18, 0x1.0ad0c3ba3a1d4p-18, 0x1.028c9ee3865f5p-18, 0x1.f4bed85b1bcf1p-19, 0x1.e4920889b64fdp-19, }}, 
      {{0x1.6f5a17ba42055p-1, 0x1.6f1504d928bf2p-1, 0x1.6ea8060c1d18ep-1, 0x1.6e19c799d9161p-1, 0x1.6d71192ea9559p-1, 0x1.6cb444eda5da7p-1, 0x1.6be8b9109fc9bp-1, 0x1.6b12e60ecd1c8p-1, 0x1.6a363d15292d5p-1, 0x1.6955415d8f139p-1, 0x1.6871a38ffd63ep-1, 0x1.678c617c79b94p-1, 0x1.66a5e69953e4cp-1, 0x1.65be2b1b9629bp-1, 0x1.64d4d06f2f191p-1, 0x1.63e93a714576fp-1, 0x1.62faa53417f66p-1, 0x1.6208375334e14p-1, 0x1.611111053e09bp-1, 0x1.6014582e3d5a6p-1, 0x1.5f1141c070872p-1, 0x1.5e0718bd4adf6p-1, 0x1.5cf54327acb99p-1, 0x1.5bdb4534cc1a1p-1, 0x1.5ab8c3040daf5p-1, 0x1.598d811fedc83p-1, 0x1.585964038beecp-1, 0x1.571c6ed9ce218p-1, 0x1.55d6c1a49f9a5p-1, 0x1.548896f4a310ap-1, 0x1.53324153f2935p-1, 0x1.51d428812c6d4p-1, 0x1.506ec693409ap-1, 0x1.4f02a51a09c66p-1, 0x1.4d905a4bdc6bdp-1, 0x1.4c18864cc9662p-1, 0x1.4a9bd0994d4ebp-1, 0x1.491ae59b926c8p-1, 0x1.479674702e65fp-1, 0x1.460f2cdd6d6c7p-1, 0x1.4485bd7ea867dp-1, 0x1.42fad223df173p-1, 0x1.416f1264c5e75p-1, 0x1.3fe32065ad605p-1, 0x1.3e5797cc017cp-1, 0x1.3ccd0cdfb4ff8p-1, 0x1.3b440bd69452ep-1, 0x1.39bd18464abb4p-1, 0x1.3838acb9d063dp-1, 0x1.36b73a66e60fdp-1, 0x1.353929005fe12p-1, 0x1.33bed6a206225p-1, 0x1.324897d30409ep-1, 0x1.30d6b79bfe13ap-1, 0x1.2f6977ae15bedp-1, 0x1.2e0110985d6bp-1, 0x1.2c9db2096040dp-1, 0x1.2b3f831aa8e2ap-1, 0x1.29e6a2a4549a5p-1, 0x1.28932796fc4ep-1, 0x1.2745215a67d9ep-1, 0x1.25fc982fae2acp-1, 0x1.24b98d958d21ap-1, 0x1.237bfcadf197ep-1, 0x1.2243daa3c2e55p-1, 0x1.21111710310ebp-1, 0x1.1fe39c5ed8536p-1, 0x1.1ebb503032dcfp-1, 0x1.1d9813b9e0475p-1, 0x1.1c79c42468d9p-1, 0x1.1b603ae62e91ep-1, 0x1.1a4b4e1b52e52p-1, 0x1.193ad0da69501p-1, 0x1.182e9385d39ecp-1, 0x1.17266419ba74fp-1, 0x1.16220e7694079p-1, 0x1.15215ca839407p-1, 0x1.142417298faa9p-1, 0x1.132a0524d04cep-1, 0x1.1232ecb07bb61p-1, 0x1.113e93090c637p-1, 0x1.104cbcc77f404p-1, 0x1.0f5d2e14c75bap-1, 0x1.0e6faada4574ep-1, 0x1.0d83f6ef5f4c9p-1, 0x1.0c99d6444eb1bp-1, 0x1.0bb10d0a44394p-1, 0x1.0ac95fd8f98cfp-1, 0x1.09e293d1c9bf7p-1, 0x1.08fc6ec06e376p-1, 0x1.0816b739762e3p-1, 0x1.073134b6927d8p-1, 0x1.064bafb0cf052p-1, 0x1.0565f1b8cc92cp-1, 0x1.047fc58d17e1fp-1, 0x1.0398f72eab1e3p-1, 0x1.02b153f3b6457p-1, 0x1.01c8aa98bb63ep-1, 0x1.00decb5015502p-1, 0x1.ffe70f9ff48d4p-2, 0x1.fe0d66be10ee3p-2, 0x1.fc3045bee2d0fp-2, 0x1.fa4f59b1a1e83p-2, 0x1.f86a53017e798p-2, 0x1.f680e58456f91p-2, 0x1.f492c887204e9p-2, 0x1.f29fb6d8133c4p-2, 0x1.f0a76ecebcd03p-2, 0x1.eea9b2520cb46p-2, 0x1.eca646dc71a23p-2, 0x1.ea9cf57e21e2cp-2, 0x1.e88d8adda172cp-2, 0x1.e677d7369dfaap-2, 0x1.e45bae573384bp-2, 0x1.e238e79bab882p-2, 0x1.e00f5de8d0acep-2, 0x1.dddeefa4e47ap-2, 0x1.dba77eaf48859p-2, 0x1.d968f056f357ap-2, 0x1.d7232d4fbbfdbp-2, 0x1.d4d621a690fb7p-2, 0x1.d281bcb4aade5p-2, 0x1.d025f111c6c3dp-2, 0x1.cdc2b48583373p-2, 0x1.cb57fff7df64ep-2, 0x1.c8e5cf60f93bfp-2, 0x1.c66c21b814992p-2, 0x1.c3eaf8e1f60b5p-2, 0x1.c162599ea4fadp-2, 0x1.bed24b76a1145p-2, 0x1.bc3ad8a795f54p-2, 0x1.b99c0e109cefcp-2, 0x1.b6f5fb1e19362p-2, 0x1.b448b1b539dd9p-2, 0x1.b194461f2af41p-2, 0x1.aed8cef408935p-2, 0x1.ac16650599376p-2, 0x1.a94d2349d7442p-2, 0x1.a67d26c55fb63p-2, 0x1.a3a68e75c35cfp-2, 0x1.a0c97b3bcb52fp-2, 0x1.9de60fc5bad34p-2, 0x1.9afc7079909dap-2, 0x1.980cc35f59823p-2, 0x1.9517300b9414p-2, 0x1.921bdf89b4e6fp-2, 0x1.8f1afc46cc3bp-2, 0x1.8c14b1fc5731bp-2, 0x1.89092d9b44e8dp-2, 0x1.85f89d3733e16p-2, 0x1.82e32ff1eb35fp-2, 0x1.7fc915e71c634p-2, 0x1.7caa80186d30dp-2, 0x1.7987a059cd3f4p-2, 0x1.7660a93e246e2p-2, 0x1.7335ce045693bp-2, 0x1.70074284a07ccp-2, 0x1.6cd53b1e58c28p-2, 0x1.699feca61161cp-2, 0x1.66678c541f5bap-2, 0x1.632c4fb38be36p-2, 0x1.5fee6c916ffb1p-2, 0x1.5cae18ecbe041p-2, 0x1.596b8ae67cc75p-2, 0x1.5626f8b27000cp-2, 0x1.52e0988836c8fp-2, 0x1.4f98a094dcc86p-2, 0x1.4c4f46ecdff77p-2, 0x1.4904c17eac3c4p-2, 0x1.45b946058f8a9p-2, 0x1.426d09fd1e295p-2, 0x1.3f20429516845p-2, 0x1.3bd324a5b27fep-2, 0x1.3885e4a475443p-2, 0x1.3538b6996d948p-2, 0x1.31ebce14e99eap-2, 0x1.2e9f5e25a50efp-2, 0x1.2b53994f65f84p-2, 0x1.2808b1820eb94p-2, 0x1.24bed8111f26fp-2, 0x1.21763daba8811p-2, 0x1.1e2f1254ad97fp-2, 0x1.1ae9855bf0044p-2, 0x1.17a5c5572a712p-2, 0x1.1464001bb403dp-2, 0x1.112462b888ea4p-2, 0x1.0de71970beaaep-2, 0x1.0aac4fb655405p-2, 0x1.0774302571c36p-2, 0x1.043ee47ff10a3p-2, 0x1.010c95a960c1bp-2, 0x1.fbbad746974bep-3, 0x1.f5631b13ccf8fp-3, 0x1.ef1243221bf6dp-3, 0x1.e8c89a033e938p-3, 0x1.e286686e392cp-3, 0x1.dc4bf53b54269p-3, 0x1.d6198560a0e73p-3, 0x1.cfef5bef217eep-3, 0x1.c9cdba107d172p-3, 0x1.c3b4df054661cp-3, 0x1.bda50823c5185p-3, 0x1.b79e70d74a76p-3, 0x1.b1a1529ffe333p-3, 0x1.abade5132cce9p-3, 0x1.a5c45ddc082f6p-3, 0x1.9fe4f0bcdc63bp-3, 0x1.9a0fcf90adec1p-3, 0x1.94452a4d4519fp-3, 0x1.8e852f05994ep-3, 0x1.88d009eca07d8p-3, 0x1.8325e558787p-3, 0x1.7d86e9c5e0e94p-3, 0x1.77f33ddc16956p-3, 0x1.726b0670ee2adp-3, 0x1.6cee668d423b4p-3, 0x1.677d7f71a8447p-3, 0x1.6218709b65f6bp-3, 0x1.5cbf57c9a32d1p-3, 0x1.57725102debf2p-3, 0x1.5231769a94951p-3, 0x1.4cfce13715de9p-3, 0x1.47d4a7d79b57fp-3, 0x1.42b8dfda7c80cp-3, 0x1.3da99d03910bp-3, 0x1.38a6f182be456p-3, 0x1.33b0edfaa0ab3p-3, 0x1.2ec7a1875deabp-3, 0x1.29eb19c58dcap-3, 0x1.251b62d93e509p-3, 0x1.2058877514169p-3, 0x1.1ba290e17b4a8p-3, 0x1.16f98703edd35p-3, 0x1.125d706648665p-3, 0x1.0dce523e2a2b9p-3, 0x1.094c307465189p-3, 0x1.04d70dac7391cp-3, 0x1.006eeb4bf6d86p-3, 0x1.f82793046cb21p-4, 0x1.ef8b4e9f46c04p-4, 0x1.e709051ac7b0ap-4, 0x1.dea0afe99a65fp-4, 0x1.d652464ddc8a9p-4, 0x1.ce1dbd6808117p-4, 0x1.c6030845e907cp-4, 0x1.be0217f170376p-4, 0x1.b61adb7f8406dp-4, 0x1.ae4d401eb1af1p-4, 0x1.a6993125c5d01p-4, 0x1.9efe982251ab3p-4, 0x1.977d5ce70d2ecp-4, 0x1.9015659a16e06p-4, 0x1.88c696c31fe68p-4, 0x1.8190d3596377bp-4, 0x1.7a73fcd184c83p-4, 0x1.736ff32b3f0dp-4, 0x1.6c8494fef35dap-4, 0x1.65b1bf8b0391ap-4, 0x1.5ef74ec109684p-4, 0x1.58551d52daaabp-4, 0x1.51cb04bf6343bp-4, 0x1.4b58dd5f4c7f3p-4, 0x1.44fe7e71738f3p-4, 0x1.3ebbbe2731f91p-4, 0x1.389071b0702e1p-4, 0x1.327c6d47865a8p-4, 0x1.2c7f843ce7e6ep-4, 0x1.269989029e116p-4, 0x1.20ca4d378798p-4, 0x1.1b11a1b268b6p-4, 0x1.156f568cc1408p-4, 0x1.0fe33b2d6e568p-4, 0x1.0a6d1e5315b49p-4, 0x1.050cce1e57aecp-4, 0x1.ff8430379db58p-5, 0x1.f519929ba777ap-5, 0x1.ead95c6c1b308p-5, 0x1.e0c325bd95518p-5, 0x1.d6d685c8426f1p-5, 0x1.cd1312f9b412fp-5, 0x1.c37863064a983p-5, 0x1.ba060afa2fd8cp-5, 0x1.b0bb9f49e9b54p-5, 0x1.a798b3e277cd7p-5, 0x1.9e9cdc391725dp-5, 0x1.95c7ab5a86155p-5, 0x1.8d18b3f9f2595p-5, 0x1.848f887f74d04p-5, 0x1.7c2bbb16272bap-5, 0x1.73ecddb9d33e9p-5, 0x1.6bd282443eba4p-5, 0x1.63dc3a7a11961p-5, 0x1.5c09981756c7fp-5, 0x1.545a2cdb9fc0ap-5, 0x1.4ccd8a95c4afp-5, 0x1.4563432f418b6p-5, 0x1.3e1ae8b73d494p-5, 0x1.36f40d6d2cc23p-5, 0x1.2fee43cb1c432p-5, 0x1.29091e8fa122cp-5, 0x1.224430c76fdep-5, 0x1.1b9f0dd69a982p-5, 0x1.151949817e545p-5, 0x1.0eb277f551e4p-5, 0x1.086a2dd070933p-5, 0x1.0240002a40e85p-5, 0x1.f8670935b8d2ap-6, 0x1.ec88a284c0f1ap-6, 0x1.e0e3f99fdc8d6p-6, 0x1.d5783d10d3531p-6, 0x1.ca449c99cb462p-6, 0x1.bf48494194588p-6, 0x1.b482755f6aca5p-6, 0x1.a9f254a627e04p-6, 0x1.9f971c2ef1d36p-6, 0x1.957002835acb2p-6, 0x1.8b7c3fa7099f6p-6, 0x1.81bb0d20dfb7bp-6, 0x1.782ba603a1a8bp-6, 0x1.6ecd46f622902p-6, 0x1.659f2e3b01aa6p-6, 0x1.5ca09bb7e889bp-6, 0x1.53d0d0fc6f3b4p-6, 0x1.4b2f11486ec26p-6, 0x1.42baa1920d352p-6, 0x1.3a72c88b4912fp-6, 0x1.3256cea72ca4fp-6, 0x1.2a65fe1e95002p-6, 0x1.229fa2f4a111dp-6, 0x1.1b030afabedb8p-6, 0x1.138f85d45de91p-6, 0x1.0c4464fa4bec5p-6, 0x1.0520fbbdbf049p-6, 0x1.fc493e95f99b3p-7, 0x1.ee9d4d5793aep-7, 0x1.e13cd592f1685p-7, 0x1.d4268cdd5b818p-7, 0x1.c7592c91d3caep-7, 0x1.bad371d36f8adp-7, 0x1.ae941d8f4f544p-7, 0x1.a299f47df5046p-7, 0x1.96e3bf2435d44p-7, 0x1.8b7049d398a3fp-7, 0x1.803e64aa3f763p-7, 0x1.754ce3926a2eap-7, 0x1.6a9a9e418cf1ep-7, 0x1.60267036d6f8bp-7, 0x1.55ef38b98dc17p-7, 0x1.4bf3dad6c398ap-7, 0x1.42333d5ee183dp-7, 0x1.38ac4ae2c582dp-7, 0x1.2f5df1b077aefp-7, 0x1.264723cfa1b64p-7, 0x1.1d66d6fda0958p-7, 0x1.14bc04a9672c8p-7, 0x1.0c45a9eef3c09p-7, 0x1.0402c792906f5p-7, 0x1.f7e4c3f7937ebp-8, 0x1.e8270260674bcp-8, 0x1.d8ca619babc5bp-8, 0x1.c9cd000ae6222p-8, 0x1.bb2d03292032fp-8, 0x1.ace8977e7fac4p-8, 0x1.9efdf0939633fp-8, 0x1.916b48e43e998p-8, 0x1.842ee1d216f98p-8, 0x1.77470396c1be1p-8, 0x1.6ab1fd35ae258p-8, 0x1.5e6e246dbd0adp-8, 0x1.5279d5aa8c735p-8, 0x1.46d373f5795d2p-8, 0x1.3b7968e66c5bp-8, 0x1.306a24946a3c1p-8, 0x1.25a41d85fcbabp-8, 0x1.1b25d0a13d28fp-8, 0x1.10edc11bf6c15p-8, 0x1.06fa786b4d1e6p-8, 0x1.fa950c670bc33p-9, 0x1.e7b9006f20f8ep-9, 0x1.d55e0490a76cp-9, 0x1.c3815c681e588p-9, 0x1.b220576afdd2p-9, 0x1.a13850c60a4fdp-9, 0x1.90c6af3b5578p-9, 0x1.80c8e5002b36ap-9, 0x1.713c6f9afa543p-9, 0x1.621ed7c0f07bdp-9, 0x1.536db133e7e2fp-9, 0x1.45269a9fc8c37p-9, 0x1.37473d78610efp-9, 0x1.29cd4dd6d51c1p-9, 0x1.1cb68a5761f53p-9, 0x1.1000bbf6ecfc3p-9, 0x1.03a9b5f0d7acap-9, 0x1.ef5eab39169dep-10, 0x1.d81f0496fda91p-10, 0x1.c1905a4e17747p-10, 0x1.abaea21ce3478p-10, 0x1.9675e4ea26c71p-10, 0x1.81e23e8110322p-10, 0x1.6defdd4e8e3e2p-10, 0x1.5a9b021dd688fp-10, 0x1.47dfffd63b8ebp-10, 0x1.35bb3b38fe1f4p-10, 0x1.24292a9f1ed3ap-10, 0x1.132655b822b4bp-10, 0x1.02af5548ed9d6p-10, 0x1.e581a5d649b11p-11, 0x1.c6af119a2c862p-11, 0x1.a8e082e32d135p-11, 0x1.8c0faee240564p-11, 0x1.70366a758ae2cp-11, 0x1.554ea9abd44d5p-11, 0x1.3b527f48cf9a7p-11, 0x1.223c1c4ab0f2cp-11, 0x1.0a05cf708ca5cp-11, 0x1.e5540983013acp-12, 0x1.b8468a2bceaa9p-12, 0x1.8cd86b4103a0cp-12, 0x1.62ff2ef2e4a7fp-12, 0x1.3ab08e5518916p-12, 0x1.13e27877d2ecap-12, 0x1.dd16230a63037p-13, 0x1.954163bf5bbadp-13, 0x1.5033ca873a47bp-13, 0x1.0ddad3d596d66p-13, 0x1.9c48becb19b54p-14, 0x1.21fd5d141c5d7p-14, 0x1.59618a0fb4985p-15, 0x1.e207add0a9365p-17, -0x1.7b9ac38181833p-17, -0x1.2d196df0128a5p-15, -0x1.f25608e27bf68p-15, -0x1.576d6fa4e2238p-14, -0x1.b1727aac1475fp-14, -0x1.03abfefe849f1p-13, -0x1.2c9d95b919834p-13, -0x1.539c48a1ab4a9p-13, -0x1.78b60e7d3a0c7p-13, -0x1.9bf88f2bf71a8p-13, -0x1.bd712519c89b5p-13, -0x1.dd2cdea6b57cbp-13, -0x1.fb387f8d0d563p-13, -0x1.0bd04120827a6p-12, -0x1.19388ca62c179p-12, -0x1.25db185263e38p-12, -0x1.31bdb77ed2e3bp-12, -0x1.3ce61b8a3f645p-12, -0x1.4759d47c9895ep-12, -0x1.511e51a8eab11p-12, -0x1.5a38e24bd67c9p-12, -0x1.62aeb629e459p-12, -0x1.6a84de289f88p-12, -0x1.71c04ce7de094p-12, -0x1.7865d7577ecb2p-12, -0x1.7e7a354ab7a83p-12, -0x1.8402020a4c9f2p-12, -0x1.8901bce2fd6a9p-12, -0x1.8d7dc9b2cc1c3p-12, -0x1.917a717427bd6p-12, -0x1.94fbe2c5a02ccp-12, -0x1.98063270dd48bp-12, -0x1.9a9d5beebe51ep-12, -0x1.9cc541e98a5b9p-12, -0x1.9e81aebc95833p-12, -0x1.9fd654f2b29p-12, -0x1.a0c6cfc19e671p-12, -0x1.a156a383cbd09p-12, -0x1.a1893e306946fp-12, -0x1.a161f7d0d8666p-12, -0x1.a0e412f4a3dap-12, -0x1.a012bd2367445p-12, -0x1.9ef10f4c7149ap-12, -0x1.9d820e34b1a82p-12, -0x1.9bc8aae37e862p-12, -0x1.99c7c30b37db5p-12, -0x1.978221739724ap-12, -0x1.94fa7e5e9c179p-12, -0x1.92337fee19366p-12, -0x1.8f2fba86a735ap-12, -0x1.8bf1b1306488p-12, -0x1.887bd5f6a4e5ap-12, -0x1.84d08a4586323p-12, -0x1.80f21f464d491p-12, -0x1.7ce2d639ae039p-12, -0x1.78a4e0d02365fp-12, -0x1.743a618177485p-12, -0x1.6fa56be26c2adp-12, -0x1.6ae804f7e7868p-12, -0x1.6604238a35ca5p-12, -0x1.60fbb075257f1p-12, -0x1.5bd086f800a48p-12, -0x1.56847502dd904p-12, -0x1.51193b83713f3p-12, -0x1.4b908eaf821e3p-12, -0x1.45ec164ec3f3bp-12, -0x1.402d6e02dc424p-12, -0x1.3a56258dfbae3p-12, -0x1.3467c1184db29p-12, -0x1.2e63b9742414p-12, -0x1.284b7c607f0a9p-12, -0x1.22206cca4adb4p-12, -0x1.1be3e30cd7bbep-12, -0x1.15972d3037162p-12, -0x1.0f3b8f278fc83p-12, -0x1.08d2430ce1c5ep-12, -0x1.025c795c708dap-12, -0x1.f7b6b25e0359fp-13, -0x1.eaa000e4ae37cp-13, -0x1.dd77084256fbep-13, -0x1.d03de0f311b52p-13, -0x1.c2f6926544431p-13, -0x1.b5a3136212cd8p-13, -0x1.a8454a73fd43cp-13, -0x1.9adf0e4b5bec2p-13, -0x1.8d7226218eaf9p-13, -0x1.80004a18c565cp-13, -0x1.728b239a5422ap-13, -0x1.65144db4535e6p-13, -0x1.579d557300f25p-13, -0x1.4a27ba3a6cbf4p-13, -0x1.3cb4ee1cd13ecp-13, -0x1.2f46562fc2d78p-13, -0x1.21dd4adf9cd5cp-13, -0x1.147b1840c38bcp-13, -0x1.0720fe5f5f889p-13, -0x1.f3a0631b7a42ep-14, -0x1.d913b56099ca7p-14, -0x1.be9e2f119092bp-14, -0x1.a441f5feb4aa3p-14, -0x1.8a011ad424339p-14, -0x1.6fdd99a571d0cp-14, -0x1.55d95a77642eep-14, -0x1.3bf631c567446p-14, -0x1.2235e1055cb58p-14, -0x1.089a172772962p-14, -0x1.de48e2272de25p-15, -0x1.abacf4499a291p-15, -0x1.7963593f264dfp-15, -0x1.476ee4525f88fp-15, -0x1.15d2487195d48p-15, -0x1.c92032213213p-16, -0x1.67559607d31f9p-16, -0x1.06496aaef7e76p-16, -0x1.4c00487da40b6p-17, -0x1.19f7fa269cf41p-18, 0x1.839016283eaaep-20, 0x1.d8842ed6229c1p-18, 0x1.a66d08beed558p-17, 0x1.2f76019c3a2edp-16, 0x1.8adc4a8194063p-16, 0x1.e566559fd6db2p-16, 0x1.1f88a3d0f7e33p-15, 0x1.4bed38fe4836ap-15, 0x1.77dfa8cefbd37p-15, 0x1.a35ec6d62e33dp-15, 0x1.ce697b23d6eaep-15, 0x1.f8fec1a992344p-15, 0x1.118ed4d265727p-14, 0x1.2662aa84ed38p-14, 0x1.3afa7bf9fabffp-14, 0x1.4f55ec0c67808p-14, 0x1.6374a61fcd07ap-14, 0x1.77565ddd05ee1p-14, 0x1.8afacef17a80ap-14, 0x1.9e61bccea28e2p-14, 0x1.b18af26c2e877p-14, 0x1.c476420aa38efp-14, 0x1.d72384f8a8944p-14, 0x1.e9929b588131fp-14, 0x1.fbc36be865026p-14, 0x1.06daf1e54f31fp-13, 0x1.0fb4fb2826639p-13, 0x1.186fce627692ep-13, 0x1.210b6b1d9611cp-13, 0x1.2987d3ad9771p-13, 0x1.31e50d18f16b7p-13, 0x1.3a231f00cf409p-13, 0x1.42421389dd5b9p-13, 0x1.4a41f745fac2ep-13, 0x1.5222d91e46674p-13, 0x1.59e4ca3d859eep-13, 0x1.6187ddfbb042dp-13, 0x1.690c29c92006p-13, 0x1.7071c51b54396p-13, 0x1.77b8c95933dadp-13, 0x1.7ee151c88ae5ap-13, 0x1.85eb7b7bb110fp-13, 0x1.8cd7653fb4f6fp-13, 0x1.93a52f8afd39ep-13, 0x1.9a54fc6c8e7e5p-13, 0x1.a0e6ef7b524c2p-13, 0x1.a75b2dc664f19p-13, 0x1.adb1ddc554176p-13, 0x1.b3eb2748e8f02p-13, 0x1.ba07336c7c385p-13, 0x1.c0062c8785a8p-13, 0x1.c5e83e1fb5345p-13, 0x1.cbad94db51acp-13, 0x1.d1565e740a9e9p-13, 0x1.d6e2c9aa0dd13p-13, 0x1.dc5306377b473p-13, 0x1.e1a744c4631ap-13, 0x1.e6dfb6dabb356p-13, 0x1.ebfc8edb196f5p-13, 0x1.f0fdfff1417dcp-13, 0x1.f5e43e0982159p-13, 0x1.faaf7dc6103dap-13, 0x1.ff5ff474db536p-13, 0x1.01faec02b7bc6p-12, 0x1.0438af7fbfc5bp-12, 0x1.0669603ca5fd3p-12, 0x1.088d1a0755decp-12, 0x1.0aa3f8ec02fe6p-12, 0x1.0cae1930ee5dap-12, 0x1.0eab97523b116p-12, 0x1.109c8ffdd2374p-12, 0x1.1281200f8f6d7p-12, 0x1.1459648d4f90bp-12, 0x1.16257aa3669c8p-12, 0x1.17e57fa0e8f5bp-12, 0x1.199990f44ab94p-12, 0x1.1b41cc27f8bd6p-12, 0x1.1cde4edf0fbeep-12, 0x1.1e6f36d23ecb2p-12, 0x1.1ff4a1ccabe9bp-12, 0x1.216eada90baadp-12, 0x1.22dd784eb4a79p-12, 0x1.24411faeebc12p-12, 0x1.2599c1c22b6c3p-12, 0x1.26e77c857964cp-12, 0x1.282a6df805585p-12, 0x1.2962b41896ebfp-12, 0x1.2a906ce34cd2dp-12, 0x1.2bb3b64f5356bp-12, 0x1.2cccae4ca4553p-12, 0x1.2ddb72c1fdbb4p-12, 0x1.2ee0218ad3805p-12, 0x1.2fdad8753eecep-12, 0x1.30cbb54034238p-12, 0x1.31b2d599a27e5p-12, 0x1.3290571ca7644p-12, 0x1.3364574fe9326p-12, 0x1.342ef3a3e2631p-12, 0x1.34f0497154c91p-12, 0x1.35a875f7c2332p-12, 0x1.3657965bf4d1ep-12, 0x1.36fdc7a69b6f9p-12, 0x1.379b26c2f0e8ep-12, 0x1.382fd07d6166cp-12, 0x1.38bbe18259ec2p-12, 0x1.393f765d1617fp-12, 0x1.39baab7665cacp-12, 0x1.3a2d9d13abff2p-12, 0x1.3a986755c8ea5p-12, 0x1.3afb26380f5f7p-12, 0x1.3b55f58f52f75p-12, 0x1.3ba8f1090a7dp-12, 0x1.3bf4342a55fa8p-12, 0x1.3c37da4f3903bp-12, 0x1.3c73fea9d24cfp-12, 0x1.3ca8bc4180cb8p-12, 0x1.3cd62df249af9p-12, 0x1.3cfc6e6c11c8p-12, 0x1.3d1b9831fefc3p-12, 0x1.3d33c599cfdc1p-12, 0x1.3d4510cb56c59p-12, 0x1.3d4f93bfec072p-12, 0x1.3d536841d366ap-12, 0x1.3d50a7ebd826cp-12, 0x1.3d476c28c41dcp-12, 0x1.3d37ce3302efap-12, 0x1.3d21e71422271p-12, 0x1.3d05cfa487595p-12, 0x1.3ce3a08b16876p-12, 0x1.3cbb723cccc9p-12, 0x1.3c8d5cfc8226ap-12, 0x1.3c5978da9d097p-12, 0x1.3c1fddb4d1d4bp-12, 0x1.3be0a335eb0dbp-12, 0x1.3b9be0d593c3bp-12, 0x1.3b51add82a139p-12, 0x1.3b02214e986ccp-12, 0x1.3aad5216176adp-12, 0x1.3a5356d82fa28p-12, 0x1.39f4460a8971ep-12, 0x1.399035eeda88ep-12, 0x1.39273c92d6267p-12, 0x1.38b96fd015ad2p-12, 0x1.3846e54c1fd7cp-12, 0x1.37cfb278580fep-12, 0x1.3753ec91f4851p-12, 0x1.36d3a8a2184bdp-12, 0x1.364efb7dc1cd7p-12, 0x1.35c5f9c5dbe5p-12, 0x1.3538b7e74e15cp-12, 0x1.34a74a1b0f025p-12, 0x1.3411c46628ed6p-12, 0x1.33783a99dcdabp-12, 0x1.32dac053be07cp-12, 0x1.323968fdc13bcp-12, 0x1.319447ce6803cp-12, 0x1.30eb6fc8ddf87p-12, 0x1.303ef3bd1b6bdp-12, 0x1.2f8ee64811187p-12, 0x1.2edb59d3cd82ep-12, 0x1.2e246097a50e4p-12, 0x1.2d6a0c986554p-12, 0x1.2cac6fa8887b2p-12, 0x1.2beb9b685e336p-12, 0x1.2b27a146455b3p-12, 0x1.2a60927ee03d3p-12, 0x1.2996801d4a9b6p-12, 0x1.28c97afb526e2p-12, 0x1.27f993c1b7d73p-12, 0x1.2726dae86c2f3p-12, 0x1.265160b6c9dd5p-12, 0x1.25793543cf57p-12, 0x1.249e68766fbcfp-12, 0x1.23c10a05c4d8cp-12, 0x1.22e129795f46bp-12, 0x1.21fed629849c3p-12, 0x1.211a1f3f79b73p-12, 0x1.203313b5c070bp-12, 0x1.1f49c2586efbep-12, 0x1.1e5e39c56d25bp-12, 0x1.1d70886cc3983p-12, 0x1.1c80bc90e4d01p-12, 0x1.1b8ee446ff86cp-12, 0x1.1a9b0d77440dep-12, 0x1.19a545dd30de9p-12, 0x1.18ad9b07e5041p-12, 0x1.17b41a5a6bc4dp-12, 0x1.16b8d10c1401p-12, 0x1.15bbcc28b6011p-12, 0x1.14bd189108207p-12, 0x1.13bcc2faee845p-12, 0x1.12bad7f1d0ad4p-12, 0x1.11b763d6ea878p-12, 0x1.10b272e198147p-12, 0x1.0fac111fafeffp-12, 0x1.0ea44a75d37abp-12, 0x1.0d9b2a9fc3f83p-12, 0x1.0c90bd30af1e7p-12, 0x1.0b850d938af5bp-12, 0x1.0a78270b66025p-12, 0x1.096a14b3c1573p-12, 0x1.085ae180d8315p-12, 0x1.074a984001b22p-12, 0x1.06394397fc153p-12, 0x1.0526ee09439bcp-12, 0x1.0413a1ee6e6c3p-12, 0x1.02ff697c7a7bcp-12, 0x1.01ea4ec321c5fp-12, 0x1.00d45bad2e845p-12, 0x1.ff7b3401a51a4p-13, 0x1.fd4c26bffab03p-13, 0x1.fb1ba2915a1ep-13, 0x1.f8e9ba2a8757fp-13, 0x1.f6b67ff9b57b7p-13, 0x1.f48206272f3e7p-13, 0x1.f24c5e9606936p-13, 0x1.f0159ae4af95bp-13, 0x1.edddcc6db02dap-13, 0x1.eba504483f7dep-13, 0x1.e96b5348f66ddp-13, 0x1.e730ca026b7cep-13, 0x1.e4f578c5e0994p-13, 0x1.e2b96fa3de0c2p-13, 0x1.e07cbe6cdd9d1p-13, 0x1.de3f74b1ee802p-13, 0x1.dc01a1c554c37p-13, 0x1.d9c354bb2608ap-13, 0x1.d7849c69fa0f9p-13, 0x1.d545876b8122p-13, 0x1.d306241d21b37p-13, 0x1.d0c680a0a29ep-13, 0x1.ce86aadcbeda1p-13, 0x1.cc46b07dc885fp-13, 0x1.ca069ef64beddp-13, 0x1.c7c6837fa6ddbp-13, 0x1.c5866b1a98bf2p-13, 0x1.c346628fedbcp-13, 0x1.c10676711611p-13, 0x1.bec6b318b9c5p-13, 0x1.bc8724ab5396p-13, 0x1.ba47d717c9319p-13, 0x1.b808d618036ddp-13, 0x1.b5ca2d317f4d4p-13, 0x1.b38be7b5e551p-13, 0x1.b14e10c39e177p-13, 0x1.af10b346636p-13, 0x1.acd3d9f7d676cp-13, 0x1.aa978f600e84ep-13, 0x1.a85bddd62346bp-13, 0x1.a620cf80c7f7dp-13, 0x1.a3e66e56d188bp-13, 0x1.a1acc41fc6bbap-13, 0x1.9f73da746e757p-13, 0x1.9d3bbabf508aep-13, 0x1.9b046e3d4d12dp-13, 0x1.98cdfdfe2381dp-13, 0x1.969872e4f45e6p-13, 0x1.9463d5a8cdc42p-13, 0x1.92302ed530b21p-13, 0x1.8ffd86ca99f3bp-13, 0x1.8dcbe5befe6d4p-13, 0x1.8b9b53be5b39bp-13, 0x1.896bd8ab29dbbp-13, 0x1.873d7c3ee9268p-13, 0x1.8510460a9e0bbp-13, 0x1.82e43d774d33ep-13, 0x1.80b969c68300fp-13, 0x1.7e8fd212cd27p-13, 0x1.7c677d5032781p-13, 0x1.7a40724cae4a2p-13, 0x1.781ab7b0ae90fp-13, 0x1.75f653ff902a9p-13, 0x1.73d34d980da97p-13, 0x1.71b1aab4bf3b1p-13, 0x1.6f91716c8c26p-13, 0x1.6d72a7b31efafp-13, 0x1.6b5553595f2d9p-13, 0x1.69397a0ddfdebp-13, 0x1.671f215d52405p-13, 0x1.65064eb2f7132p-13, 0x1.62ef0759110afp-13, 0x1.60d9507952b1cp-13, 0x1.5ec52f1d49977p-13, 0x1.5cb2a82ecc351p-13, 0x1.5aa1c078699d3p-13, 0x1.58927ca5d1111p-13, 0x1.5684e14440cabp-13, 0x1.5478f2c2ecab4p-13, 0x1.526eb5736236p-13, 0x1.50662d89f6739p-13, 0x1.4e5f5f1e2652ap-13, 0x1.4c5a4e2b0009fp-13, 0x1.4a56fe8f87fap-13, 0x1.4855740f190dbp-13, 0x1.4655b251c6e79p-13, 0x1.4457bce4c65ep-13, 0x1.425b973ac13f8p-13, 0x1.406144ac409b6p-13, 0x1.3e68c87809883p-13, 0x1.3c7225c3764f8p-13, 0x1.3a7d5f9ad5014p-13, 0x1.388a78f1c7d43p-13, 0x1.369974a39ab79p-13, 0x1.34aa5573a0191p-13, 0x1.32bd1e0d8bde3p-13, 0x1.30d1d105c38dcp-13, 0x1.2ee870d9bb168p-13, 0x1.2d00fff04d144p-13, 0x1.2b1b809a0dad8p-13, 0x1.2937f5119ba42p-13, 0x1.27565f7bfe025p-13, 0x1.2576c1e8eb425p-13, 0x1.23991e53227acp-13, 0x1.21bd76a0baa1ap-13, 0x1.1fe3cca372b6bp-13, 0x1.1e0c2218fe52dp-13, 0x1.1c3678ab5b39ap-13, 0x1.1a62d1f114e76p-13, 0x1.18912f6d9cd61p-13, 0x1.16c192918ef21p-13, 0x1.14f3fcbaf6f4dp-13, 0x1.13286f35a7c3cp-13, 0x1.115eeb3b7fe4ap-13, 0x1.0f9771f4aed87p-13, 0x1.0dd2047803787p-13, 0x1.0c0ea3cb2b02cp-13, 0x1.0a4d50e2fbdd2p-13, 0x1.088e0ca3ba095p-13, 0x1.06d0d7e15d668p-13, 0x1.0515b35fd458bp-13, 0x1.035c9fd3466fcp-13, 0x1.01a59de0570efp-13, 0x1.ffe15c38d3c23p-14, 0x1.fc7ba21bc1fdfp-14, 0x1.f91a0e58b9c5ap-14, 0x1.f5bca1c1f6ea7p-14, 0x1.f2635d0d339b7p-14, 0x1.ef0e40d418164p-14, 0x1.ebbd4d94bff56p-14, 0x1.e87083b232e2ap-14, 0x1.e527e374e0e38p-14, 0x1.e1e36d0b09081p-14, 0x1.dea320893b1fp-14, 0x1.db66fdeac3cbbp-14, 0x1.d82f051216cf2p-14, 0x1.d4fb35c95f258p-14, 0x1.d1cb8fc2ce49ap-14, 0x1.cea0129918818p-14, 0x1.cb78bdcfdf273p-14, 0x1.c85590d41757ap-14, 0x1.c5368afc7b702p-14, 0x1.c21bab89f38a1p-14, 0x1.bf04f1a7f4f51p-14, 0x1.bbf25c6cf019fp-14, 0x1.b8e3eadab1c24p-14, 0x1.b5d99bdec7f95p-14, 0x1.b2d36e52e3538p-14, 0x1.afd160fd3a029p-14, 0x1.acd37290e3b51p-14, 0x1.a9d9a1ae42126p-14, 0x1.a6e3ece357328p-14, 0x1.a3f252ac1a494p-14, 0x1.a104d172dff3dp-14, 0x1.9e1b6790ace85p-14, 0x1.9b36134d945b3p-14, 0x1.9854d2e10d90ap-14, 0x1.9577a47243d84p-14, 0x1.929e861873b01p-14, 0x1.8fc975db3e884p-14, 0x1.8cf871b2fe2b8p-14, 0x1.8a2b77890be74p-14, 0x1.876285381fa93p-14, 0x1.849d988c9f42fp-14, 0x1.81dcaf44e730ep-14, 0x1.7f1fc71193ec2p-14, 0x1.7c66dd95ddf81p-14, 0x1.79b1f067db46ap-14, 0x1.7700fd10ca294p-14, 0x1.7454010d5f22fp-14, 0x1.71aaf9ce0113ap-14, 0x1.6f05e4b7262c7p-14, 0x1.6c64bf21915d4p-14, 0x1.69c7865a8cb31p-14, 0x1.672e37a444acap-14, 0x1.6498d035fb643p-14, 0x1.62074d3c4a21cp-14, 0x1.5f79abd976ec8p-14, 0x1.5cefe925a0dbfp-14, 0x1.5a6a022f05ce9p-14, 0x1.57e7f3fa43165p-14, 0x1.5569bb829aa52p-14, 0x1.52ef55ba2b137p-14, 0x1.5078bf8a2f095p-14, 0x1.4e05f5d33a21cp-14, 0x1.4b96f56d64835p-14, 0x1.492bbb28976f8p-14, 0x1.46c443ccc06cp-14, 0x1.44608c1a0ce37p-14, 0x1.420090c921734p-14, 0x1.3fa44e8b47511p-14, 0x1.3d4bc20aac6c5p-14, 0x1.3af6e7ea9ba2cp-14, 0x1.38a5bcc7a5a5p-14, 0x1.36583d37e289p-14, 0x1.340e65cb17cc9p-14, 0x1.31c8330af08a2p-14, 0x1.2f85a17b3045ap-14, 0x1.2d46ad99df3cfp-14, 0x1.2b0b53df7f5ebp-14, 0x1.28d390bf3f16ep-14, 0x1.269f60a71ef56p-14, 0x1.246ec00024a93p-14, 0x1.2241ab2e866a4p-14, 0x1.20181e91d3541p-14, 0x1.1df2168525d5fp-14, 0x1.1bcf8f5f52e61p-14, 0x1.19b0857308cfp-14, 0x1.1794f50effd3dp-14, 0x1.157cda7e21ff5p-14, 0x1.13683207b8b81p-14, 0x1.1156f7ef8964cp-14, 0x1.0f492876032dfp-14, 0x1.0d3ebfd86c072p-14, 0x1.0b37ba50fddep-14, 0x1.0934141709309p-14, 0x1.0733c95f20d3ap-14, 0x1.0536d65b38efp-14, 0x1.033d373ad7cf2p-14, 0x1.0146e82b29e3dp-14, 0x1.fea7caae51b01p-15, 0x1.fac855cf815b6p-15, 0x1.f6ef6a07d52a1p-15, 0x1.f31cffa1a0775p-15, 0x1.ef510ee3dd7e8p-15, 0x1.eb8b90126fa5ap-15, 0x1.e7cc7b6e57bbep-15, 0x1.e413c935f1953p-15, 0x1.e06171a539934p-15, 0x1.dcb56cf5ff16cp-15, 0x1.d90fb360232f7p-15, 0x1.d5703d19ce4b7p-15, 0x1.d1d70257b0587p-15, 0x1.ce43fb4d30af1p-15, 0x1.cab7202c9c8dp-15, 0x1.c7306927684b1p-15, 0x1.c3afce6e6b2c7p-15, 0x1.c0354831f2d2bp-15, 0x1.bcc0cea228d85p-15, 0x1.b95259ef1a04fp-15, 0x1.b5e9e248f107ap-15, 0x1.b2875fe02f63cp-15, 0x1.af2acae5d063cp-15, 0x1.abd41b8b7736fp-15, 0x1.a8834a03a896ep-15, 0x1.a5384e81fb6b1p-15, 0x1.a1f3213b29b7dp-15, 0x1.9eb3ba655063bp-15, 0x1.9b7a123822bcep-15, 0x1.984620ece3a0bp-15, 0x1.9517debec4997p-15, 0x1.91ef43eb01401p-15, 0x1.8ecc48b0ee5dfp-15, 0x1.8baee55231c53p-15, 0x1.88971212dbe54p-15, 0x1.8584c7399139ap-15, 0x1.8277fd0fbf408p-15, 0x1.7f70abe1aeda7p-15, 0x1.7c6ecbfea851dp-15, 0x1.797255b91089cp-15, 0x1.767b41669a5a3p-15, 0x1.7389876051bb2p-15, 0x1.709d2002bb1cdp-15, 0x1.6db603ae0eda7p-15, 0x1.6ad42ac6348b3p-15, 0x1.67f78db304f0cp-15, 0x1.652024e04771ep-15, 0x1.624de8bdd33fdp-15, 0x1.5f80d1bfba929p-15, 0x1.5cb8d85e66665p-15, 0x1.59f5f51688cb5p-15, 0x1.573820696df5dp-15, 0x1.547f52dd09933p-15, 0x1.51cb84fbdf5e4p-15, 0x1.4f1caf5550f25p-15, 0x1.4c72ca7da4ff7p-15, 0x1.49cdcf0e085f3p-15, 0x1.472db5a4da767p-15, 0x1.449276e58c0f8p-15, 0x1.41fc0b78cc63bp-15, 0x1.3f6a6c0ca64ap-15, 0x1.3cdd91547db1ap-15, 0x1.3a5574092c184p-15, 0x1.37d20ce91851bp-15, 0x1.355354b85a32ep-15, 0x1.32d94440a159ap-15, 0x1.3063d4517a595p-15, 0x1.2df2fdc03411dp-15, 0x1.2b86b9680a8f1p-15, 0x1.291f002a39694p-15, 0x1.26bbcaede344bp-15, 0x1.245d12a0695edp-15, 0x1.2202d0353e84bp-15, 0x1.1facfca601608p-15, 0x1.1d5b90f2ababap-15, 0x1.1b0e86216bfe5p-15, 0x1.18c5d53ecc5c9p-15, 0x1.1681775debdb6p-15, 0x1.1441659827ccap-15, 0x1.1205990d94cd7p-15, 0x1.0fce0ae4c3affp-15, 0x1.0d9ab44ad09d1p-15, 0x1.0b6b8e73963dcp-15, 0x1.0940929993118p-15, 0x1.0719b9fe00dap-15, 0x1.04f6fde8df0d4p-15, 0x1.02d857a90bb24p-15, 0x1.00bdc09421defp-15, 0x1.fd4e640d7a307p-16, 0x1.f9294ac8a4d08p-16, 0x1.f50c282e8917ep-16, 0x1.f0f6ef220a309p-16, 0x1.ece99293ce29dp-16, 0x1.e8e40582f2d5ap-16, 0x1.e4e63afc4910fp-16, 0x1.e0f0261b37bf1p-16, 0x1.dd01ba091a60bp-16, 0x1.d91ae9fd78906p-16, 0x1.d53ba93eabbd7p-16, 0x1.d163eb20e9751p-16, 0x1.cd93a3071b8e6p-16, 0x1.c9cac462bb6a7p-16, 0x1.c60942b34347dp-16, 0x1.c24f11874f364p-16, 0x1.be9c247b9331cp-16, 0x1.baf06f3b8c65dp-16, 0x1.b74be58149b19p-16, 0x1.b3ae7b158e3dep-16, 0x1.b01823cfa5891p-16, 0x1.ac88d395c9b93p-16, 0x1.a9007e5ca1e81p-16, 0x1.a57f1827cdedap-16, 0x1.a204950999fedp-16, 0x1.9e90e922ed61fp-16, 0x1.9b2408a3bd014p-16, 0x1.97bde7ca8058ap-16, 0x1.945e7ae4d7312p-16, 0x1.9105b64ed1296p-16, 0x1.8db38e7391478p-16, 0x1.8a67f7ccd65bbp-16, 0x1.8722e6e34d258p-16, 0x1.83e4504ea5f1bp-16, 0x1.80ac28b4f3ea4p-16, 0x1.7d7a64cbba95p-16, 0x1.7a4ef956ce513p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      48, 0x1.ep+2, 0x1.3df6375b23602p+0, 0x1.d20989d60174p+0, -0x1.6d45e6be441cdp-9, 
      {{
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.0ba9ca581a18cp-7, -0x1.bdde6650a6cf7p-7, 0x1.14e49c68d9dafp-7, -0x1.1bfcf023bf1d8p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.ec1b3858054eap-8, -0x1.a2b640b96efb4p-7, 0x1.0a3e536782b01p-7, -0x1.1c045040aae6cp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c38c713205dc4p-8, -0x1.889ebf930b31bp-7, 0x1.ff2f873092289p-8, -0x1.1be6cecfd1cc7p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.9d8bfbd5c3516p-8, -0x1.6f97d83e1ff57p-7, 0x1.e9e49e142f393p-8, -0x1.1c55736250eaep-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.79fe94dacf904p-8, -0x1.57a1b1acd1e91p-7, 0x1.d49168a002c15p-8, -0x1.191b4ce5dceb9p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.58c8ff74baff8p-8, -0x1.40baf46d9206ep-7, 0x1.bf7c2941f8962p-8, -0x1.12384a7d68a47p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.39d04e26d395ap-8, -0x1.2adec5b46d5p-7, 0x1.aaeb23abc3efep-8, -0x1.0be1a0aed3027p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1cfa2b77e3ea2p-8, -0x1.1606cc61ed311p-7, 0x1.96d3d13840e96p-8, -0x1.05655bd602fb2p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.022ce08e2d492p-8, -0x1.022ce0a75ae97p-7, 0x1.833903ee9a49ep-8, -0x1.fde65517ffbfcp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.d29eaa5ecf6efp-9, -0x1.de959afe6a3c2p-8, 0x1.7019fa574d7f8p-8, -0x1.f0fc8c226dfb1p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.a4921f8183e0fp-9, -0x1.bab4c2dcca0d4p-8, 0x1.5d76e849362c9p-8, -0x1.e41435954195bp-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.7a046a8dc2cd6p-9, -0x1.98aad40de86f8p-8, 0x1.4b4fbfe06a1d1p-8, -0x1.d72b7bc7fc485p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.52c712cbc489bp-9, -0x1.786b6a380060bp-8, 0x1.39a484d5b70dbp-8, -0x1.ca42dc92d1d31p-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.2eacdcc2aed7dp-9, -0x1.59ea20de6cddcp-8, 0x1.28753629cf2f6p-8, -0x1.bd5a363d61519p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.0d89ca3894e81p-9, -0x1.3d1a938de1217p-8, 0x1.17c1d4211b893p-8, -0x1.b07191d0c3eb5p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.de663464eeb3ep-10, -0x1.21f05dd08f629p-8, 0x1.078a5ea94763ap-8, -0x1.a388ece134e08p-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.a6fe91e888752p-10, -0x1.085f1b31559fap-8, 0x1.ef9dab8e779c4p-9, -0x1.96a04814ad6dep-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.748c2001ae0dfp-10, -0x1.e0b4ce75c79dep-9, 0x1.d11e72f35100fp-9, -0x1.89b7a33ed316ep-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.46c0cc33f152p-10, -0x1.b3abbaefec77fp-9, 0x1.b3971381cdf9p-9, -0x1.7ccefe6b65258p-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.1d50fe80bef26p-10, -0x1.898a32e68bc58p-9, 0x1.97078d39bffcbp-9, -0x1.6fe6599762aecp-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.efe732cebcfcdp-11, -0x1.62376d6f19437p-9, 0x1.7b6fe01b322fcp-9, -0x1.62fdb4c381bap-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.acc3f3c9e4c0ap-11, -0x1.3d9aa19f083fcp-9, 0x1.60d00c26220e2p-9, -0x1.56150fef942a4p-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.70afeee8efc25p-11, -0x1.1b9b068bcc1eap-9, 0x1.4728115a908b2p-9, -0x1.492c6b1baa42bp-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.3b27c81d8e4a7p-11, -0x1.f83fa695b072bp-10, 0x1.2e77efb87d5fcp-9, -0x1.3c43c647c648fp-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.0bad1855265cep-11, -0x1.be207de33fe6fp-10, 0x1.16bfa73fe81a6p-9, -0x1.2f5b2173dec67p-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.c38cdaf1a76bdp-12, -0x1.88a7012b2d647p-10, 0x1.fffe6fe1a1fd8p-10, -0x1.22727c9fe856p-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.79fe94dacf961p-12, -0x1.57a19e985f929p-10, 0x1.d46d439672566p-10, -0x1.1589d7cc1e49ap-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.39d04e26d39dep-12, -0x1.2adec455bd53cp-10, 0x1.aacbc99e3a984p-10, -0x1.08a132f809cep-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.022ce08e2d4f2p-12, -0x1.022ce08e2d4d5p-10, 0x1.831a01f905ecap-10, -0x1.f7711c48937e7p-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.a4921f8183ef9p-13, -0x1.bab4c2d92c722p-11, 0x1.5d57eca6c7a9cp-10, -0x1.dd9fd2a0a00fp-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.52c712cbc497dp-13, -0x1.786b6a37be08ep-11, 0x1.398589a78875ap-10, -0x1.c3ce88f8a182fp-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.0d89ca3894f15p-13, -0x1.3d1a938ddc455p-11, 0x1.17a2d8fb4924dp-10, -0x1.a9fd3f5159d2bp-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.a6fe91e888953p-14, -0x1.085f1b31555b3p-11, 0x1.ef5fb543f8041p-11, -0x1.902bf5a88701p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.46c0cc33f169p-14, -0x1.b3abbaefebc6ap-12, 0x1.b3591d377d5dbp-11, -0x1.765aac0331185p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.efe732cebd241p-15, -0x1.62376d6f1c667p-12, 0x1.7b31e9d09c671p-11, -0x1.5c8962530150ap-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.70afeee8efd81p-15, -0x1.1b9b068bc0fbp-12, 0x1.46ea1b10f5ce6p-11, -0x1.42b818c98239bp-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.0bad18552696p-15, -0x1.be207de3919e3p-13, 0x1.1681b0f2bbde9p-11, -0x1.28e6ceb2301e1p-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.79fe94dacfd7fp-16, -0x1.57a19e972e50dp-13, 0x1.d3f15716694ep-12, -0x1.0f1586a84985ap-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.022ce08e2dc7fp-16, -0x1.022ce092a094ep-13, 0x1.829e1517200cap-12, -0x1.ea886df3d76c8p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.52c712cbc5402p-17, -0x1.786b6a16850c3p-14, 0x1.39099e328c897p-12, -0x1.b6e6079a40e48p-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.a6fe91e88ap-18, -0x1.085f1bad53e6bp-14, 0x1.ee67d3b6d268ap-13, -0x1.8342cc80c4075p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.efe732cec0c01p-19, -0x1.623769d192975p-15, 0x1.7a3a2ff69797cp-13, -0x1.4fa2ab62a809fp-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.0bad185529cp-19, -0x1.be2098df78658p-16, 0x1.158962f29861fp-13, -0x1.1bf6f715eb253p-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.022ce08e35p-20, -0x1.022c7bd858266p-16, 0x1.80b1cb3e707b2p-14, -0x1.d0eceb141b695p-13}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.a6fe91e8a3fffp-22, -0x1.08620ae78ccecp-17, 0x1.ea6f0970d084dp-15, -0x1.68a9784f56f1ep-13}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.0bad185560001p-23, -0x1.bdf4a82e7ffb2p-19, 0x1.12095adacf8e4p-15, -0x1.05195ebf6ad88p-13}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a6fe91ea8p-26, -0x1.09a64b255db1ap-20, 0x1.d582219fd75a5p-17, -0x1.1ffca01098cc7p-14}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.a6fe9207ffffep-30, -0x1.c46ceff612802p-24, 0x1.efb252fc8p-19, -0x1.8168ca7378a56p-14}, 
      }}, 
      0x1.6aa8b383c33fap-10, -0x1.177ba3aeb4c48p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.1385e1302c3f2p+1, -0x1.110046706352bp+1, -0x1.0d8ce7f6ca469p+1, -0x1.093c8dd3321b1p+1, -0x1.0421c52d77e37p+1, -0x1.fca025274cb06p+0, -0x1.efb6afc1d16ep+0, -0x1.e1aec13470b05p+0, -0x1.d2af166527902p+0, -0x1.c2dd114e60231p+0, -0x1.b25c5b9127ba5p+0, -0x1.a14ea5400cba5p+0, -0x1.8fd37a25ebc0cp+0, -0x1.7e0828d2b26cp+0, -0x1.6c07b7c696be9p+0, -0x1.59eae59b92343p+0, -0x1.47c831d051825p+0, -0x1.35b3ec3e5a51fp+0, -0x1.23c049a13ffd3p+0, -0x1.11fd7beb44ea9p+0, -0x1.0079cd3d6167bp+0, -0x1.de837a306c476p-1, -0x1.bcc03bffe004ep-1, -0x1.9bbc66d788393p-1, -0x1.7b87a45e238e9p-1, -0x1.5c2ef7644972dp-1, -0x1.3dbcfb1a58a3p-1, -0x1.203a1882a5ef4p-1, -0x1.03acbda3f6b8ep-1, -0x1.d0331cc739ae6p-2, -0x1.9b072ea0d1c96p-2, -0x1.67d8f067d97b1p-2, -0x1.36a91b1f3fdbbp-2, -0x1.077632281a584p-2, -0x1.b47987db7898bp-3, -0x1.5def5bf9f525p-3, -0x1.0b40abe9100e8p-3, -0x1.78bb793069cc9p-4, -0x1.c4d2ad3cf8b88p-5, -0x1.4d8e01a4407ddp-6, 0x1.a404694b0e6a4p-7, 0x1.6adfcc4659214p-5, 0x1.2f99b99601024p-4, 0x1.a32ee999011a9p-4, 0x1.0830d728a23afp-3, 0x1.3bb29ec2ab5d7p-3, 0x1.6c36c2387a121p-3, 0x1.99d76d66fb4cep-3, 0x1.c4aee32edf965p-3, 0x1.ecd7602a9a58ap-3, 0x1.0935804582022p-2, 0x1.1ac1d468bc853p-2, 0x1.2b1d78787e5ffp-2, 0x1.3a55092d5cea3p-2, 0x1.4874ec3101307p-2, 0x1.55894940b881bp-2, 0x1.619e049f7154ap-2, 0x1.6cbeba3e804f4p-2, 0x1.76f6b9bd747e4p-2, 0x1.80510329fb828p-2, 0x1.88d84474e6c9cp-2, 0x1.9096d77bbb2b4p-2, 0x1.9796c0907b9a2p-2, 0x1.9de1ad8cd2ff6p-2, 0x1.a380f56d75bf2p-2, 0x1.a87d982cad199p-2, 0x1.ace03f249c6f2p-2, 0x1.b0b13da6bde83p-2, 0x1.b3f891eea50d7p-2, 0x1.b6bde6510d33bp-2, 0x1.b9089294119f6p-2, 0x1.badf9db556f4dp-2, 0x1.bc49bf71608fep-2, 0x1.bd4d6261877d5p-2, 0x1.bdf0a607b1d96p-2, 0x1.be3960268b63ep-2, 0x1.be2d20a6d8756p-2, 0x1.bdd13237e364cp-2, 0x1.bd2a9d2b54e9ap-2, 0x1.bc3e29f22b66dp-2, 0x1.bb10633e49f61p-2, 0x1.b9a5985c494bdp-2, 0x1.b801df8f34be8p-2, 0x1.b6291846c57dfp-2, 0x1.b41eed729474bp-2, 0x1.b1e6d7c8b627dp-2, 0x1.af841f947dd04p-2, 0x1.acf9dfa133cedp-2, 0x1.aa4b067edcfbap-2, 0x1.a77a59072e271p-2, 0x1.a48a742536cecp-2, 0x1.a17dcee521961p-2, 0x1.9e56bc2b65b18p-2, 0x1.9b176c92a7676p-2, 0x1.97c1f02e2b855p-2, 0x1.94583819717fbp-2, 0x1.90dc182fd4227p-2, 0x1.8d4f487ff19d4p-2, 0x1.89b366cc3026fp-2, 0x1.8609f7f54fae9p-2, 0x1.82546951e38fep-2, 0x1.7e9411f0e59dap-2, 0x1.7aca33e12aa85p-2, 0x1.76f7fd578490fp-2, 0x1.731e89c804776p-2, 0x1.6f3ee2e761c6cp-2, 0x1.6b5a0210d5148p-2, 0x1.6770d075a2664p-2, 0x1.638428cf19161p-2, 0x1.5f94d7d11d98fp-2, 0x1.5ba39d16b784ap-2, 0x1.57b12bf005c7ep-2, 0x1.53be2c0e33987p-2, 0x1.4fcb3a47b27eap-2, 0x1.4bd8e93655feep-2, 0x1.47e7c1d22f274p-2, 0x1.43f844287d98cp-2, 0x1.400ae7b9577afp-2, 0x1.3c201c2cf28cdp-2, 0x1.383849b30e03cp-2, 0x1.3453d189cd736p-2, 0x1.30730e6eee9c4p-2, 0x1.2c965504f827fp-2, 0x1.28bdf4370b309p-2, 0x1.24ea35992cfc2p-2, 0x1.211b5dc6bb722p-2, 0x1.1d51aca8a7e1ep-2, 0x1.198d5dc820a65p-2, 0x1.15cea89975fe4p-2, 0x1.1215c0bfd558cp-2, 0x1.0e62d649a41bep-2, 0x1.0ab615e5501e5p-2, 0x1.070fa92d76e01p-2, 0x1.036fb6bc7df3ap-2, 0x1.ffacc4f16c827p-3, 0x1.f8879b5bc9bp-3, 0x1.f1702e8794a86p-3, 0x1.ea66b7b659c79p-3, 0x1.e36b6bc99ba63p-3, 0x1.dc7e7bca4b74fp-3, 0x1.d5a014f10f15bp-3, 0x1.ced060d3c3885p-3, 0x1.c80f85b1fac7dp-3, 0x1.c15da6c298674p-3, 0x1.babae426ce7d8p-3, 0x1.b4275b20cf442p-3, 0x1.ada3264be91c5p-3, 0x1.a72e5dd0787ep-3, 0x1.a0c91764c21c8p-3, 0x1.9a736656e8021p-3, 0x1.942d5bea0455bp-3, 0x1.8df7073bcddfbp-3, 0x1.87d0758c0e26fp-3, 0x1.81b9b210dddb4p-3, 0x1.7bb2c6460e5d5p-3, 0x1.75bbb9e393a28p-3, 0x1.6fd4931451f97p-3, 0x1.69fd5656d4514p-3, 0x1.643606ab4ff3dp-3, 0x1.5e7ea5943e745p-3, 0x1.58d733421878ap-3, 0x1.533fae7e40716p-3, 0x1.4db814cd57a7ep-3, 0x1.4840625fc8e1cp-3, 0x1.42d89257ff317p-3, 0x1.3d809e94ead85p-3, 0x1.38387fdf8abc8p-3, 0x1.33002de5037bap-3, 0x1.2dd79f5726ad8p-3, 0x1.28bec9db566ffp-3, 0x1.23b5a21deacbap-3, 0x1.1ebc1bde85be2p-3, 0x1.19d229fe78c9ap-3, 0x1.14f7be6e024abp-3, 0x1.102cca470c58ep-3, 0x1.0b713ddbaaf8p-3, 0x1.06c508b61cf98p-3, 0x1.0228198ce4236p-3, 0x1.fb34bcbd09d49p-4, 0x1.f23788ee1d399p-4, 0x1.e95870f7cfef8p-4, 0x1.e0974c9e8a3a7p-4, 0x1.d7f3f2745c29ep-4, 0x1.cf6e37e986466p-4, 0x1.c705f12e1f1a1p-4, 0x1.bebaf11146703p-4, 0x1.b68d0996b4f76p-4, 0x1.ae7c0b7e614d8p-4, 0x1.a687c68c41c22p-4, 0x1.9eb009a2213dcp-4, 0x1.96f4a28e318cbp-4, 0x1.8f555e25b92f6p-4, 0x1.87d20887ff812p-4, 0x1.806a6cca87abp-4, 0x1.791e559062481p-4, 0x1.71ed8c5b13466p-4, 0x1.6ad7da069b724p-4, 0x1.63dd06cfef01dp-4, 0x1.5cfcda564f719p-4, 0x1.56371b58e7882p-4, 0x1.4f8b905edf891p-4, 0x1.48f9ff2746168p-4, 0x1.42822cac1ede3p-4, 0x1.3c23ddea774dep-4, 0x1.35ded71284ce7p-4, 0x1.2fb2dbeb00c74p-4, 0x1.299fafd803706p-4, 0x1.23a516034309bp-4, 0x1.1dc2d10e71f65p-4, 0x1.17f8a3456c333p-4, 0x1.12464ec951dcbp-4, 0x1.0cab9561f116ap-4, 0x1.072838a208362p-4, 0x1.01bbfa0288671p-4, 0x1.f8cd34fee441p-5, 0x1.ee4fb6797222ap-5, 0x1.e3fefa4a8d611p-5, 0x1.d9da81b6c525p-5, 0x1.cfe1ce525d105p-5, 0x1.c614615224dfp-5, 0x1.bc71bbe5c42ecp-5, 0x1.b2f95f3271a89p-5, 0x1.a9aacc6986bcep-5, 0x1.a0858482971c1p-5, 0x1.9789091bcc088p-5, 0x1.8eb4dbcad221ep-5, 0x1.86087dc60f853p-5, 0x1.7d837129fbe4fp-5, 0x1.752538084a9b7p-5, 0x1.6ced54d592852p-5, 0x1.64db4a415662cp-5, 0x1.5cee9b749ac1ap-5, 0x1.5526cbf696d9ap-5, 0x1.4d835faaf6693p-5, 0x1.4603db2e992e4p-5, 0x1.3ea7c3500b96bp-5, 0x1.376e9d791784p-5, 0x1.3057efcb65e74p-5, 0x1.296340c149d5dp-5, 0x1.229017b3d2302p-5, 0x1.1bddfc9abfd38p-5, 0x1.154c77fb36d53p-5, 0x1.0edb13025b9cap-5, 0x1.0889578571d9cp-5, 0x1.0256d039eda1dp-5, 0x1.f886114071b6ep-6, 0x1.ec9b1aa424dbdp-6, 0x1.e0ebd6f882fc6p-6, 0x1.d577621d788e9p-6, 0x1.ca3cd8d4564acp-6, 0x1.bf3b59d94b77dp-6, 0x1.b4720598272dep-6, 0x1.a9dffeb5ff989p-6, 0x1.9f846b18a7977p-6, 0x1.955e729c5e07dp-6, 0x1.8b6d3e88317b7p-6, 0x1.81aff8c3766bap-6, 0x1.7825cb8feb016p-6, 0x1.6ecde3228ca12p-6, 0x1.65a76e203ebcp-6, 0x1.5cb19ea2a8dc9p-6, 0x1.53ebaba80007dp-6, 0x1.4b54ced905e3cp-6, 0x1.42ec4313d5127p-6, 0x1.3ab1427c28cb7p-6, 0x1.32a3066b6b78cp-6, 0x1.2ac0c86842b1bp-6, 0x1.2309c4b3f053cp-6, 0x1.1b7d3cf41696ap-6, 0x1.141a79579e2a8p-6, 0x1.0ce0c736d5c89p-6, 0x1.05cf75ee098e3p-6, 0x1.fdcba82dd816ap-7, 0x1.f046596fc2159p-7, 0x1.e30d8faecdd7bp-7, 0x1.d61fdced8e2d6p-7, 0x1.c97bdc6e813a1p-7, 0x1.bd2039f3658d7p-7, 0x1.b10bb2d4947c1p-7, 0x1.a53d104ff24cbp-7, 0x1.99b31e6ba1224p-7, 0x1.8e6ca1e36dde6p-7, 0x1.83685423b12ebp-7, 0x1.78a4e6296da36p-7, 0x1.6e21097194d22p-7, 0x1.63db7b2ed78b1p-7, 0x1.59d30c94295d1p-7, 0x1.5006a33acc471p-7, 0x1.46753323b30eap-7, 0x1.3d1db250ecaeep-7, 0x1.33ff0e71088bep-7, 0x1.2b1828705c641p-7, 0x1.2267d6c39745ap-7, 0x1.19ecef77bab43p-7, 0x1.11a653475c881p-7, 0x1.0992f5a75915p-7, 0x1.01b1ddbc6b865p-7, 0x1.f40440bc5f55fp-8, 0x1.e505ab597bff8p-8, 0x1.d6661dcb24d29p-8, 0x1.c823a30e3895p-8, 0x1.ba3c3710e7b2fp-8, 0x1.acadd745a0411p-8, 0x1.9f769678d2019p-8, 0x1.9294a887a821bp-8, 0x1.860661f89fa9p-8, 0x1.79ca2afb4b0f7p-8, 0x1.6dde6d61f539fp-8, 0x1.624184cb9d679p-8, 0x1.56f1b4c3eab21p-8, 0x1.4bed300f1852fp-8, 0x1.41322dfaf9f9bp-8, 0x1.36bf02fbcfda7p-8, 0x1.2c922cc00d5ep-8, 0x1.22aa4cb9cc478p-8, 0x1.1906165c29b52p-8, 0x1.0fa43db03da5p-8, 0x1.068369cf9f701p-8, 0x1.fb4454ddb2d7cp-9, 0x1.e9fde67c78748p-9, 0x1.d9304b80a5b34p-9, 0x1.c8d85aa399f3fp-9, 0x1.b8f33be81ea25p-9, 0x1.a97e7d1d1f865p-9, 0x1.9a77eb5bf5daep-9, 0x1.8bdd5772a4975p-9, 0x1.7dac7e9e12d27p-9, 0x1.6fe317726d931p-9, 0x1.627ee05518ca5p-9, 0x1.557d8ae96d115p-9, 0x1.48dca1276ad15p-9, 0x1.3c9998fe55889p-9, 0x1.30b21787a1f55p-9, 0x1.25241d4b553c5p-9, 0x1.19edd98266f2fp-9, 0x1.0f0d4028e8571p-9, 0x1.047fd310b1d5fp-9, 0x1.f485d2f24f5f6p-10, 0x1.e0a871f959bd7p-10, 0x1.cd64259b7e3b7p-10, 0x1.bab63a1147d09p-10, 0x1.a89bd4ce79715p-10, 0x1.9711dfdafcbf5p-10, 0x1.8615b05884d4p-10, 0x1.75a561f900d44p-10, 0x1.65bf099e4b477p-10, 0x1.565f1ba7fcdc8p-10, 0x1.477f92fc5ef75p-10, 0x1.39190a4c27fe1p-10, 0x1.2b252ae96218ep-10, 0x1.1da06581a2053p-10, 0x1.108973ce14c8fp-10, 0x1.03df8cce590cbp-10, 0x1.ef42b92ecb15p-11, 0x1.d79b0f4f7ef06p-11, 0x1.c0c76cd0da1c5p-11, 0x1.aac8fb11586d4p-11, 0x1.959f4a07bf52fp-11, 0x1.8143cdbf91d5ep-11, 0x1.6da86e31ba1bfp-11, 0x1.5abb641bdbe92p-11, 0x1.486dfc08586bp-11, 0x1.36b90103b6da7p-11, 0x1.259ba5578394fp-11, 0x1.1516f7579db02p-11, 0x1.052aaecb7447fp-11, 0x1.ebab34246835dp-12, 0x1.ce2fd39425229p-12, 0x1.b1e85030d9bdbp-12, 0x1.96d9c555a71bfp-12, 0x1.7d011f8d370fdp-12, 0x1.644e41e0ea181p-12, 0x1.4ca60ff515ae8p-12, 0x1.35ea4e3064af9p-12, 0x1.2002ec279189ap-12, 0x1.0ae40a77f467fp-12, 0x1.ed1b37c6ad813p-13, 0x1.c60975f958321p-13, 0x1.a098042b0ee36p-13, 0x1.7cc45183d5f1ap-13, 0x1.5a8decd5c8772p-13, 0x1.39f9eef8d2793p-13, 0x1.1b0a927914946p-13, 0x1.fb739a0c7d639p-14, 0x1.c3f1ed9b576d8p-14, 0x1.8f602da1a52f1p-14, 0x1.5d7c10c4f3ce4p-14, 0x1.2df59465912e2p-14, 0x1.0083b541cc06cp-14, 0x1.aa129535dd1aap-15, 0x1.57319846b508bp-15, 0x1.088eca1bf7285p-15, 0x1.7c4f2cd3c2154p-16, 0x1.dfdb26a0f32ecp-17, 0x1.afc53cb60f313p-18, -0x1.fc8e723e10d65p-21, -0x1.07b89da84bcbbp-17, -0x1.e0359fc2c6814p-17, -0x1.54bbdf52bf295p-16, -0x1.b1f5b02d00131p-16, -0x1.041aaeb2e7d49p-15, -0x1.2c24ab2f6ef2fp-15, -0x1.518b1cfdc6ae8p-15, -0x1.746c3ee13193p-15, -0x1.94b43234fef5fp-15, -0x1.b27b178127d61p-15, -0x1.cdc9687296c16p-15, -0x1.e67b692ae7e2fp-15, -0x1.fca34c7c7d2ccp-15, -0x1.083fb1057ee2ep-14, -0x1.111633b9305c9p-14, -0x1.18d61723a67eap-14, -0x1.1f8360ad4794fp-14, -0x1.252433964c5b6p-14, -0x1.29c01d755b0d2p-14, -0x1.2d691cc4c6892p-14, -0x1.3043443086ac5p-14, -0x1.3258577b99ebfp-14, -0x1.339241119e564p-14, -0x1.340eb25373363p-14, -0x1.33f376ff7352p-14, -0x1.332cbf5193769p-14, -0x1.31af87a5eb31p-14, -0x1.2f936c7696879p-14, -0x1.2ceb204213c96p-14, -0x1.29b237f026191p-14, -0x1.25e8c2450ed75p-14, -0x1.219ac60a4120ap-14, -0x1.1cd00dec4e2edp-14, -0x1.178c2447949f2p-14, -0x1.11d2c42bed45ap-14, -0x1.0bb59eebddd91p-14, -0x1.053efd5113f88p-14, -0x1.fcadd82a9f3d3p-15, -0x1.ee170eac5961ap-15, -0x1.dee5fd527904dp-15, -0x1.cf259489275dbp-15, -0x1.bee22f47d6d44p-15, -0x1.ae1bc2202b8d2p-15, -0x1.9ce8c78926d5ap-15, -0x1.8b4613ef9b11fp-15, -0x1.7926cb58fd53dp-15, -0x1.66a1ed3c5e608p-15, -0x1.53cc5f444bbb6p-15, -0x1.40ab0d29e49ffp-15, -0x1.2d41bf4d3d75cp-15, -0x1.198c220f2b75cp-15, -0x1.05945f2d8b52ap-15, -0x1.e2e482d9acd53p-16, -0x1.ba3c0c70690aep-16, -0x1.914286aa09c9dp-16, -0x1.67c3c27d45f61p-16, -0x1.3dfde6fcbf0f5p-16, -0x1.143f88990ef12p-16, -0x1.d4d469034de02p-17, -0x1.8113a55b8ed9cp-17, -0x1.2d3f1f997aa98p-17, -0x1.b256f5344bbf1p-18, -0x1.0a352600899d1p-18, -0x1.89f385de31fecp-20, 0x1.12fe76fa8c7cdp-20, 0x1.d6e6272b1aa89p-19, 0x1.9183e6dca3f3ap-18, 0x1.1b937e75ac07fp-17, 0x1.6e157e9d9a55cp-17, 0x1.c0012dde1ca17p-17, 0x1.08a2ea3cd6de9p-16, 0x1.310ca856d8cd7p-16, 0x1.593f3c4022e5p-16, 0x1.81253a18454a2p-16, 0x1.a8a669de55df3p-16, 0x1.cfc363db79e96p-16, 0x1.f6774c9353125p-16, 0x1.0e6467f2514acp-15, 0x1.215c33ecfbe4fp-15, 0x1.341b76023ac8dp-15, 0x1.46a0268cdf56ep-15, 0x1.58e97c4dc53e4p-15, 0x1.6af63d8c0037bp-15, 0x1.7cc4c7e039c83p-15, 0x1.8e53f50ae1b2bp-15, 0x1.9fa48ec3e713bp-15, 0x1.b0b2b0817dfa3p-15, 0x1.c17b3034112d7p-15, 0x1.d200552c7e05dp-15, 0x1.e240c770d9215p-15, 0x1.f23a719bd2e2bp-15, 0x1.00f6d15075bbdp-14, 0x1.08ac2764e8786p-14, 0x1.103d0673cfbf7p-14, 0x1.17a9d2b280d8bp-14, 0x1.1ef13ecb9f733p-14, 0x1.26134099b0558p-14, 0x1.2d1046d518fdcp-14, 0x1.33e8042cad3d2p-14, 0x1.3a9a4f9e18a3dp-14, 0x1.4126fb2ccc8d1p-14, 0x1.478dc7ff59d9dp-14, 0x1.4dceeda9f5aa6p-14, 0x1.53e9af6d32731p-14, 0x1.59dd173eab0dap-14, 0x1.5fac9f7a36a3bp-14, 0x1.65555a357b9d1p-14, 0x1.6ad7f3ccb137cp-14, 0x1.70359e8c49aa2p-14, 0x1.756e058c8b2cfp-14, 0x1.7a7f08390caedp-14, 0x1.7f69e69d80922p-14, 0x1.843257bf2445bp-14, 0x1.88d3f08e9664fp-14, 0x1.8d5014c5917bap-14, 0x1.91a85d8abfdf3p-14, 0x1.95dc521fe504ep-14, 0x1.99ebf65381527p-14, 0x1.9dd79a8cdd551p-14, 0x1.a19f8f4345233p-14, 0x1.a543e37e713d4p-14, 0x1.a8c4ea27351e6p-14, 0x1.ac2373b5f6a81p-14, 0x1.af5e1ece41136p-14, 0x1.b2774660fa1d1p-14, 0x1.b56db343a13c4p-14, 0x1.b8425d766f4adp-14, 0x1.baf67be8389bcp-14, 0x1.bd89de146624bp-14, 0x1.bffc96cd5e9d7p-14, 0x1.c24c93b283ac4p-14, 0x1.c47f148621fddp-14, 0x1.c690670c9e807p-14, 0x1.c882b39f7449p-14, 0x1.ca56c712d0c6ep-14, 0x1.cc0c7bff3a17p-14, 0x1.cda3fb8f33f6bp-14, 0x1.cf1db1fbfb1bdp-14, 0x1.d07a1c2219271p-14, 0x1.d1b9b00e53b91p-14, 0x1.d2dcc8381aca7p-14, 0x1.d3e39237e1b75p-14, 0x1.d4cebdefcf549p-14, 0x1.d59f3732af363p-14, 0x1.d654135de839bp-14, 0x1.d6ee359891908p-14, 0x1.d76e4e1633b65p-14, 0x1.d7d54ba217744p-14, 0x1.d823085c5a774p-14, 0x1.d858377a04481p-14, 0x1.d8745d3a558a7p-14, 0x1.d878cbb2e0cbbp-14, 0x1.d864c2340811bp-14, 0x1.d83a2d220cf5cp-14, 0x1.d7f92bbac5bf1p-14, 0x1.d7a1b405a5f03p-14, 0x1.d734278061a8cp-14, 0x1.d6b12619b96a7p-14, 0x1.d618fb96c7594p-14, 0x1.d56bfe4345289p-14, 0x1.d4aac84a589efp-14, 0x1.d3d5a8e758d07p-14, 0x1.d2ed0bc98b6b6p-14, 0x1.d1f113f047da6p-14, 0x1.d0e2963236e8ep-14, 0x1.cfc218912dae9p-14, 0x1.ce8f33b09e23cp-14, 0x1.cd4a7f100dfa8p-14, 0x1.cbf5058fc1c23p-14, 0x1.ca8eb1dd22f85p-14, 0x1.c9182d395535ep-14, 0x1.c791acaf97995p-14, 0x1.c5faed013a8cdp-14, 0x1.c45508e5f2072p-14, 0x1.c2a07fdcd214dp-14, 0x1.c0dd640237fb2p-14, 0x1.bf0c0fb90ce5cp-14, 0x1.bd2cdfeb4b9a3p-14, 0x1.bb40441785bcap-14, 0x1.b946740af5acbp-14, 0x1.b73fdb1db141dp-14, 0x1.b52cd9bcea0c5p-14, 0x1.b30dc5cf17078p-14, 0x1.b0e2e573d7931p-14, 0x1.aeac9d50cc854p-14, 0x1.ac6b3a8c577eap-14, 0x1.aa1f0852a5bfp-14, 0x1.a7c855d82abe6p-14, 0x1.a567c321673e8p-14, 0x1.a2fd48e4190b1p-14, 0x1.a088f78c2d58fp-14, 0x1.9e0b9fc11f1cbp-14, 0x1.9b85a7694737fp-14, 0x1.98f6cdc1a664bp-14, 0x1.965f947eabf73p-14, 0x1.93c06c727af54p-14, 0x1.9119adc399fb9p-14, 0x1.8e6b5b723e111p-14, 0x1.8bb5cfd2f79afp-14, 0x1.88f9754cae6e5p-14, 0x1.86366f235a528p-14, 0x1.836d1334df911p-14, 0x1.809d9a3ffa507p-14, 0x1.7dc8519039eb3p-14, 0x1.7aed6c26bb622p-14, 0x1.780d2eb4f3fa8p-14, 0x1.7527ebd8a0616p-14, 0x1.723dc651b24b3p-14, 0x1.6f4efd2cf0ddbp-14, 0x1.6c5be69cc298bp-14, 0x1.6964b0259ec18p-14, 0x1.666977b9abacap-14, 0x1.636aa4f175eadp-14, 0x1.60685f1f5a6p-14, 0x1.5d62e463ada77p-14, 0x1.5a5a5303b8a7cp-14, 0x1.574ee8c64bb06p-14, 0x1.5440d913abc8fp-14, 0x1.5130774d7e3eep-14, 0x1.4e1dd86e17ecp-14, 0x1.4b09314d69fecp-14, 0x1.47f2adcbafbafp-14, 0x1.44da9dd37da45p-14, 0x1.41c112a5273cbp-14, 0x1.3ea621d8a849p-14, 0x1.3b8a3dc177697p-14, 0x1.386d4ffe4c51bp-14, 0x1.354faa872e1ddp-14, 0x1.323193eca0511p-14, 0x1.2f12e609142ddp-14, 0x1.2bf3e692b5f5ep-14, 0x1.28d4fa1c8b4fap-14, 0x1.25b604a8f05f5p-14, 0x1.22974035e35cp-14, 0x1.1f78d6e109eb9p-14, 0x1.1c5aebb616426p-14, 0x1.193da3eb93c59p-14, 0x1.1621212b67b08p-14, 0x1.13058255de1c9p-14, 0x1.0feaf312c403ep-14, 0x1.0cd18cc89649dp-14, 0x1.09b972151008fp-14, 0x1.06a2c0a0b91ap-14, 0x1.038d99ee3a125p-14, 0x1.007a17e63dbfcp-14, 0x1.fad0c521efb3dp-15, 0x1.f4b1184bba05dp-15, 0x1.ee957054a3ca8p-15, 0x1.e87dcd24ae18fp-15, 0x1.e26ac5eafafcfp-15, 0x1.dc5b217886cd7p-15, 0x1.d6529c1f30386p-15, 0x1.d04e0a2481463p-15, 0x1.ca4e743b648fep-15, 0x1.c45445f84125bp-15, 0x1.be5faeeead46ep-15, 0x1.b870de9a3cafbp-15, 0x1.b28806ee331f8p-15, 0x1.aca4e1839a378p-15, 0x1.a6c81e39ad338p-15, 0x1.a0f20e6e25087p-15, 0x1.9b2230935ca3ap-15, 0x1.9558ba2bca0d6p-15, 0x1.8f967363eea22p-15, 0x1.89db123671239p-15, 0x1.8426b04c74cb3p-15, 0x1.7e797497ae455p-15, 0x1.78d392181b6c5p-15, 0x1.733520b7b1efbp-15, 0x1.6d9e3d4589589p-15, 0x1.680f07c60da4dp-15, 0x1.6287a4b2ea7fap-15, 0x1.5d07e8bd0b202p-15, 0x1.57905cfddc306p-15, 0x1.5220da8d629b1p-15, 0x1.4cb98c2baf6afp-15, 0x1.475a7f745804dp-15, 0x1.4203a1c35d776p-15, 0x1.3cb54c958a9b1p-15, 0x1.376f73e478f32p-15, 0x1.3232335526b7ep-15, 0x1.2cfd99263a6e5p-15, 0x1.27d1b8014db28p-15, 0x1.22ae980b2a41ap-15, 0x1.1d945e13fdf53p-15, 0x1.18830b196ec82p-15, 0x1.137aa5cc50e11p-15, 0x1.0e7b380fcd155p-15, 0x1.09852380a1ab4p-15, 0x1.0497e9aaab208p-15, 0x1.ff67c4f23bdd4p-16, 0x1.f5b2344b2e2e5p-16, 0x1.ec0f1b25dfc92p-16, 0x1.e27e919211898p-16, 0x1.d900dd4eaabd2p-16, 0x1.cf95c06a5a05fp-16, 0x1.c63d64dfb24d7p-16, 0x1.bcf7fce8401aep-16, 0x1.b3c53a8be134cp-16, 0x1.aaa5839915964p-16, 0x1.a198b7f981bf1p-16, 0x1.989efcce6d7cep-16, 0x1.8fb8643b9cd62p-16, 0x1.86e47df1d7a87p-16, 0x1.7e23f6436a3ebp-16, 0x1.757695a14bb58p-16, 0x1.6cdc51bb6268p-16, 0x1.645507ec47d7cp-16, 0x1.5be0f5223f2dep-16, 0x1.53800d61facc8p-16, 0x1.4b325bf8f3b5cp-16, 0x1.42f7cfa51cdf7p-16, 0x1.3ad01d21ac523p-16, 0x1.32bbb3081a383p-16, 0x1.2abac80de958ep-16, 0x1.22cc90a6462b8p-16, 0x1.1af1a0a6fcabap-16, 0x1.132979d8f24eep-16, 0x1.0b749bf376cc5p-16, 0x1.03d2caab840fbp-16, 0x1.f887b28a7a62ep-17, 0x1.e98f40e314814p-17, 0x1.dabc3f3152c67p-17, 0x1.cc1104f7edb9ep-17, 0x1.bd8a8dc6f4c1bp-17, 0x1.af27c3ddb1ceap-17, 0x1.a0ecb7c522998p-17, 0x1.92d67ce2ed69p-17, 0x1.84d9c037392e8p-17, 0x1.771938dea9704p-17, 0x1.6972338c28307p-17, 0x1.5bf021f0ce85ep-17, 0x1.4e92db6234338p-17, 0x1.415a41dbbbfcdp-17, 0x1.344633bc644dp-17, 0x1.27568f06b09b1p-17, 0x1.1a8b310206a3bp-17, 0x1.0de3f8ff875b9p-17, 0x1.0160cf8c7c901p-17, 0x1.ea02ad82c55f8p-18, 0x1.d18b19e45eea3p-18, 0x1.b95a89513ccfep-18, 0x1.a17181478ac8dp-18, 0x1.89ceae7ff9776p-18, 0x1.72710e7af139fp-18, 0x1.5b59c531ba6a7p-18, 0x1.4487f007ad22dp-18, 0x1.2dfb3b815c701p-18, 0x1.17b374b020a3ap-18, 0x1.01b018bd59316p-18, 0x1.d7df7b5a2a0e8p-19, 0x1.ace72e7cc448cp-19, 0x1.8275ff9156211p-19, 0x1.588eb7d922fb9p-19, 0x1.2f25ba1b913e2p-19, 0x1.0642c99fdea7ep-19, 0x1.bbcd5a644a3f3p-20, 0x1.6c0ef65ed37cp-20, 0x1.1d66dec748dcap-20, 0x1.9f6c8c900d1e5p-21, 0x1.060adff33e8bcp-21, 0x1.ba9a9b6836897p-23, -0x1.360b47ea958ep-24, -0x1.7445d0832db4fp-22, -0x1.4b9d1138a5235p-21, -0x1.db2243538a6bap-21, -0x1.345c97957a028p-20, -0x1.7a31b2ed0cc5ap-20, -0x1.bf134fa994376p-20, -0x1.018157b848d7ap-19, -0x1.2300bf26c349dp-19, -0x1.4408b55f036a2p-19, -0x1.649a1294ca0c6p-19, -0x1.84b5afe6980d1p-19, -0x1.a45c67492343dp-19, -0x1.c38ebe063d902p-19, -0x1.e24e8f01e465bp-19, -0x1.004dd943c2986p-18, -0x1.0f3baaa08574bp-18, -0x1.1df12a18e87e3p-18, -0x1.2c6eeb122e32ap-18, -0x1.3ab6262064a71p-18, -0x1.48c2eff18541ap-18, -0x1.569c6e198926ep-18, -0x1.643fa2dfac7fcp-18, -0x1.71ac3dd5cea16p-18, -0x1.7ee49439a313ep-18, -0x1.8be51ac809704p-18, -0x1.98b4716c26161p-18, -0x1.a54f1bd47907fp-18, -0x1.b1b59e1254135p-18, -0x1.bde96cedb332fp-18, -0x1.c9e9348d039a9p-18, -0x1.d5b92ead801fdp-18, -0x1.e1559706e4716p-18, -0x1.ecc16367cfa4bp-18, -0x1.f7fb2a9fb5c2ep-18, -0x1.01828b8222893p-17, -0x1.06efb0842a8fdp-17, -0x1.0c44a819fe966p-17, -0x1.118231fd9880ep-17, -0x1.16a825a7742fap-17, -0x1.1bb720139c0f9p-17, -0x1.20af6f69e07ap-17, -0x1.258fd94be401dp-17, -0x1.2a5ad5381c7c1p-17, -0x1.2f0fda9f93d12p-17, -0x1.33ad0c5215e82p-17, -0x1.3834ea295178cp-17, -0x1.3ca84f9fd8bc1p-17, -0x1.4104388d3feb8p-17, -0x1.454ca0caae5f6p-17, -0x1.497f2607abfc5p-17, -0x1.4d9c9b7c9da2fp-17, -0x1.51a5956b79062p-17, -0x1.559a38e311477p-17, -0x1.597acfa95a421p-17, -0x1.5d4603a13caa3p-17, -0x1.60ff3f12fec64p-17, -0x1.64a389d22b54dp-17, -0x1.683495efafd68p-17, -0x1.6bb23b12373cap-17, -0x1.6f1d819a0dc7dp-17, -0x1.72753f330ea74p-17, -0x1.75ba26cb32733p-17, -0x1.78edb27a05b48p-17, -0x1.7c0e20885c4c4p-17, -0x1.7f1c4af40542ep-17, -0x1.8218e07987776p-17, -0x1.8503f35306cbep-17, -0x1.87dce8eb56761p-17, -0x1.8aa4e353739a8p-17, -0x1.8d5bed8d31088p-17, -0x1.9001b46bfa493p-17, -0x1.9296e4b939b52p-17, -0x1.951bec57ded55p-17, -0x1.978f4f04dc958p-17, -0x1.99f342c320459p-17, -0x1.9c47f33a76dfep-17, -0x1.9e8bc0395a494p-17, -0x1.a0c02f3c879fap-17, -0x1.a2e51bf51b404p-17, -0x1.a4fa9afdd3fb5p-17, -0x1.a7016cd15c514p-17, -0x1.a8f96f7d0d382p-17, -0x1.aae13a8799a84p-17, -0x1.acbc760ad4221p-17, -0x1.ae87d518167e3p-17, -0x1.b04590fb83eefp-17, -0x1.b1f4edb978308p-17, -0x1.b395f4bba4001p-17, -0x1.b52a1038c0a7fp-17, -0x1.b6b04e0cdf20cp-17, -0x1.b82922de1272cp-17, -0x1.b99437d0d5367p-17, -0x1.baf2eb6cbd28dp-17, -0x1.bc44314cfe783p-17, -0x1.bd8940e7e7821p-17, -0x1.bec15c92e6b74p-17, -0x1.bfecb9b17c82ap-17, -0x1.c10d1429e9f52p-17, -0x1.c21f88fba2281p-17, -0x1.c326c40650dc1p-17, -0x1.c421b3bdf70ap-17, -0x1.c511ae0600d4ep-17, -0x1.c5f6592f52603p-17, -0x1.c6cf64833f74ep-17, -0x1.c79d31319304p-17, -0x1.c85deb49e6841p-17, -0x1.c916858bc722cp-17, -0x1.c9c4f6fc5b807p-17, -0x1.ca65d2e65a1c5p-17, -0x1.cafdcb922baaep-17, -0x1.cb8b59ce4f49bp-17, -0x1.cc0e17e496c42p-17, -0x1.cc871d37e25d4p-17, -0x1.ccf6360277c5p-17, -0x1.cd5b82f7902e5p-17, -0x1.cdb71fea2ba1ap-17, -0x1.ce08f997664e9p-17, -0x1.ce526cf9ab3d2p-17, -0x1.ce91e99bc2d06p-17, -0x1.cec7683581acdp-17, -0x1.cef5cfee7dc17p-17, -0x1.cf1933c18035ap-17, -0x1.cf35e86c50759p-17, -0x1.cf488e1b64e41p-17, -0x1.cf531d855602p-17, -0x1.cf551026fc93cp-17, -0x1.cf68bec2b69e7p-17, -0x1.cf41aa4afa829p-17, -0x1.cf2b2e8db79c6p-17, -0x1.cf0d069bc6002p-17, -0x1.cee756dd7b52p-17, -0x1.cebaae9a84257p-17, -0x1.ce84fb637eb52p-17, -0x1.ce487b6187d27p-17, -0x1.ce05718eca181p-17, -0x1.cdbab23ad3334p-17, -0x1.cd68828113b78p-17, -0x1.cd0fdc6986158p-17, -0x1.ccb028b37ce7dp-17, -0x1.cc49b77617453p-17, -0x1.cbdd12f2488d3p-17, -0x1.cb68a657d8d46p-17, -0x1.caee566b0869cp-17, -0x1.ca6f793a75659p-17, -0x1.c9e87b7097cacp-17, -0x1.c95b37993838p-17, -0x1.c8c97a9747a14p-17, -0x1.c830c62c61b85p-17, -0x1.c7927cdfd4415p-17, -0x1.c6ee6d43ea187p-17, -0x1.c64522d643bb1p-17, -0x1.c59596e3b397cp-17, -0x1.c4e148edcd56bp-17, -0x1.c427b6f450ed2p-17, -0x1.c368357aa377ap-17, -0x1.c2a3ee9dc5b1ep-17, -0x1.c1dbcdc44e162p-17, -0x1.c10cf6c134fd8p-17, -0x1.c03a2dafd0007p-17, -0x1.bf62f2a256d1ep-17, -0x1.be85cfc226ebp-17, -0x1.bda545e2b7114p-17, -0x1.bcbf5b5a091fp-17, -0x1.bbd535c446156p-17, -0x1.bae756387a47cp-17, -0x1.b9f46e8ddec1ap-17, -0x1.b8fdf7604a5a3p-17, -0x1.b8038da16791bp-17, -0x1.b70411d5d332ap-17, -0x1.b601b7430995ap-17, -0x1.b4fb39952129bp-17, -0x1.b3f0bfbb87a8dp-17, -0x1.b2e2a90e98317p-17, -0x1.b1d16fdcb8b47p-17, -0x1.b0bb3a0cd6ed4p-17, -0x1.afa3de7891ac6p-17, -0x1.ae87174d4ea9bp-17, -0x1.ad679ece8486dp-17, -0x1.ac450ef65e339p-17, -0x1.ab1f38871b0adp-17, -0x1.a9f64bb19212dp-17, -0x1.a8ca7e154c281p-17, -0x1.a79b271543f46p-17, -0x1.a669264123c5cp-17, -0x1.a534fbc4a93a9p-17, -0x1.a3fd4f76f55fbp-17, -0x1.a2c2fd0f52b1cp-17, -0x1.a1867e54a2484p-17, -0x1.a0478eb5da47cp-17, -0x1.9f04e73139969p-17, -0x1.9dc0ec48d7f73p-17, -0x1.9c7a179903999p-17, -0x1.9b309fd81ded8p-17, -0x1.99e5dc8dbb74dp-17, -0x1.9898200d21d4dp-17, -0x1.974869215e5fbp-17, -0x1.95f69ba8a9923p-17, -0x1.94a2950ecfa61p-17, -0x1.934d612e17714p-17, -0x1.91f5eaaef39c2p-17, -0x1.909bf2071f06bp-17, -0x1.8f3fef7041aa6p-17, -0x1.8de33c4514423p-17, -0x1.8c844461d0401p-17, -0x1.8b23b497c8ce2p-17, -0x1.89c1c610fe806p-17, -0x1.885dd92569a9dp-17, -0x1.86f8a061e704p-17, -0x1.8591ad220aa21p-17, -0x1.842a3394272afp-17, -0x1.82c0512522548p-17, -0x1.8155e5504813p-17, -0x1.7fe9193200c77p-17, -0x1.7e7cdb130d6f7p-17, -0x1.7d0e2c5fda5bfp-17, -0x1.7b9e7c569c995p-17, -0x1.7a2df66e0d2bbp-17, -0x1.78bcd744c8607p-17, -0x1.7749aa08d276cp-17, -0x1.75d64861bd321p-17, -0x1.7461a884bdaacp-17, -0x1.72ec5afeda62fp-17, -0x1.71765b1386c4ap-17, -0x1.6ffefb5d7e2dp-17, -0x1.6e8752a7033eap-17, -0x1.6d0ee4917ba29p-17, -0x1.6b9613adba5d4p-17, -0x1.6a1b96d56051p-17, -0x1.68a1ee24b0db7p-17, -0x1.6727692d4aaf6p-17, -0x1.65aba7fe040dep-17, -0x1.642f237a62418p-17, -0x1.62b33b2307965p-17, -0x1.6136900cb87bp-17, -0x1.5fb949ce9dc87p-17, -0x1.5e3c331b80557p-17, -0x1.5cbe0cd8513a2p-17, -0x1.5b40120fdbcb8p-17, -0x1.59c18d849f86fp-17, -0x1.5842fa36650f5p-17, }}, 
      {{-0x1.14e323250d34fp+1, -0x1.1408548c60cf8p+1, -0x1.12da6d635135fp+1, -0x1.115d2febdb8d7p+1, -0x1.0f94ded8ea67ep+1, -0x1.0d861316b72dcp+1, -0x1.0b35992f9ee03p+1, -0x1.08a8571fa1cc5p+1, -0x1.05e33794e40ep+1, -0x1.02eb19d47880bp+1, -0x1.ff898a6152569p+0, -0x1.f8e9beb0297ep+0, -0x1.f1ffc9e91eb39p+0, -0x1.ead4485d478d6p+0, -0x1.e36f71802cf2dp+0, -0x1.dbd9129d50bap+0, -0x1.d4188ba8d7dd7p+0, -0x1.cc34cdcb25543p+0, -0x1.c4345b5567df2p+0, -0x1.bc1d48d9b7158p+0, -0x1.b3f53f3a4bbeap+0, -0x1.abc17e6ae5691p+0, -0x1.a386e0d932849p+0, -0x1.9b49df16a78abp+0, -0x1.930e9460a1949p+0, -0x1.8ad8c26caf98bp+0, -0x1.82abd6b1e0a33p+0, -0x1.7a8aee71d8aa4p+0, -0x1.7278dbaa75bdbp+0, -0x1.6a7829a3b9743p+0, -0x1.628b217a3f701p+0, -0x1.5ab3ce8260c34p+0, -0x1.52f402cf3f3dap+0, -0x1.4b4d59fd159aep+0, -0x1.43c13f887b877p+0, -0x1.3c50eff4b8f63p+0, -0x1.34fd7d77ac578p+0, -0x1.2dc7d2ec887aep+0, -0x1.26b0b6d058ecep+0, -0x1.1fb8ce0e9595ep+0, -0x1.18e09ea5e4c65p+0, -0x1.122892160d4aap+0, -0x1.0b90f7b2ab66p+0, -0x1.051a06cf8f8e4p+0, -0x1.fd87c18cab8ecp-1, -0x1.f11d25d14fbe5p-1, -0x1.e4f4306754ee6p-1, -0x1.d90cb61563adcp-1, -0x1.cd666d80fd926p-1, -0x1.c200f21379962p-1, -0x1.b6dbc6abe1685p-1, -0x1.abf65824a2b52p-1, -0x1.a14fffa9eb5e4p-1, -0x1.96e804decap-1, -0x1.8cbd9fde2e081p-1, -0x1.82cffb21f9621p-1, -0x1.791e3535e660dp-1, -0x1.6fa76254fb595p-1, -0x1.666a8de17d168p-1, -0x1.5d66bbc670cbp-1, -0x1.549ae9b912c5bp-1, -0x1.4c061059cd26p-1, -0x1.43a724490aae2p-1, -0x1.3b7d1723b8cfcp-1, -0x1.3386d8605c26ep-1, -0x1.2bc3562736b81p-1, -0x1.24317e076b9f2p-1, -0x1.1cd03dac085aap-1, -0x1.159e837350da6p-1, -0x1.0e9b3efe24032p-1, -0x1.07c561b0eec29p-1, -0x1.011bdf1838b9ep-1, -0x1.f53b5ac09b07cp-2, -0x1.e8938b48d62a6p-2, -0x1.dc3e487fad12dp-2, -0x1.d039922ec5cacp-2, -0x1.c4836f9c81cf8p-2, -0x1.b919f001575e3p-2, -0x1.adfb2af122cbdp-2, -0x1.a3254088451bfp-2, -0x1.989659bf123cdp-2, -0x1.8e4ca8990bb2bp-2, -0x1.84466847604f2p-2, -0x1.7a81dd5d4d65bp-2, -0x1.70fd55aff5a6ep-2, -0x1.67b728a708a2bp-2, -0x1.5eadb72e36f54p-2, -0x1.55df6b719f706p-2, -0x1.4d4ab944de1c2p-2, -0x1.44ee1dbfd7b1fp-2, -0x1.3cc81f5ce02ebp-2, -0x1.34d74dcdc6d3fp-2, -0x1.2d1a41ee402e1p-2, -0x1.258f9da8b9b0dp-2, -0x1.1e360bc692bf1p-2, -0x1.170c3fe3f3bb7p-2, -0x1.1010f639147e5p-2, -0x1.0942f381b1497p-2, -0x1.02a104d2bd081p-2, -0x1.f853fed9d745fp-3, -0x1.ebb981156840ep-3, -0x1.df705ab0c8869p-3, -0x1.d37665228c5d5p-3, -0x1.c7c98905c1e62p-3, -0x1.bc67bd9ad4d83p-3, -0x1.b14f089f73b43p-3, -0x1.a67d7d1f88625p-3, -0x1.9bf13cc5d9477p-3, -0x1.91a875d36e62dp-3, -0x1.87a163b7eeb36p-3, -0x1.7dda4e7b1b2c3p-3, -0x1.74518a5f22cbfp-3, -0x1.6b0577a609c16p-3, -0x1.61f4822b8d30ap-3, -0x1.591d210fbe455p-3, -0x1.507dd69f3df06p-3, -0x1.48152f854e674p-3, -0x1.3fe1c31af72e4p-3, -0x1.37e23294f2a9dp-3, -0x1.3015291c07e8dp-3, -0x1.28795b49056a9p-3, -0x1.210d86ecfd0f1p-3, -0x1.19d072e31c4dp-3, -0x1.12c0ee93183b6p-3, -0x1.0bddd1fda064ap-3, -0x1.0525fd3f98a4dp-3, -0x1.fd30b0d693f3cp-4, -0x1.f067a685940ddp-4, -0x1.e3eeca21c4025p-4, -0x1.d7c418a1573ccp-4, -0x1.cbe59d17cf18ap-4, -0x1.c051703a375afp-4, -0x1.b505b7f8746e8p-4, -0x1.aa00a73479bf7p-4, -0x1.9f407d1b93168p-4, -0x1.94c384fa66f5bp-4, -0x1.8a8815c88556cp-4, -0x1.808c91d575329p-4, -0x1.76cf66c3102f5p-4, -0x1.6d4f0c5d2a159p-4, -0x1.640a052a033cbp-4, -0x1.5afedd9810a34p-4, -0x1.522c2be5d4fbcp-4, -0x1.49908fadab3bcp-4, -0x1.412ab1f13ab27p-4, -0x1.38f9445af383ap-4, -0x1.30fb01611d21cp-4, -0x1.292eabcc91e6fp-4, -0x1.21930e8fed7fap-4, -0x1.1a26fc909c7ep-4, -0x1.12e95051a00f4p-4, -0x1.0bd8ebd96c8d8p-4, -0x1.04f4b85e3e7c7p-4, -0x1.fc774c4f4560bp-5, -0x1.ef59589118075p-5, -0x1.e28d91257075ap-5, -0x1.d611fe40b1067p-5, -0x1.c9e4b4ff624adp-5, -0x1.be03d648be819p-5, -0x1.b26d8f1c50aaep-5, -0x1.a72017e343ca1p-5, -0x1.9c19b474ca343p-5, -0x1.9158b329737bp-5, -0x1.86db6d4730e15p-5, -0x1.7ca04623da177p-5, -0x1.72a5ab213e41p-5, -0x1.68ea138c6493bp-5, -0x1.5f6c0013b31e7p-5, -0x1.5629fa98f272ep-5, -0x1.4d2296057c83cp-5, -0x1.44546e1231ddcp-5, -0x1.3bbe26d5c437p-5, -0x1.335e6cd96c04p-5, -0x1.2b33f4b1016eep-5, -0x1.233d7ac5a8ce5p-5, -0x1.1b79c3396c25cp-5, -0x1.13e7998108c03p-5, -0x1.0c85d087cf5d7p-5, -0x1.0553424c91e47p-5, -0x1.fc9d9f84d8a12p-6, -0x1.eeeec0a89cdb3p-6, -0x1.e197c47b00adcp-6, -0x1.d4969457708f4p-6, -0x1.c7e925d33d426p-6, -0x1.bb8d7ab6b3788p-6, -0x1.af81a0cbacb41p-6, -0x1.a3c3b159e55bbp-6, -0x1.9851d107e2814p-6, -0x1.8d2a2f9e7a2a6p-6, -0x1.824b07b36d272p-6, -0x1.77b29ddee66a9p-6, -0x1.6d5f41cf0e85fp-6, -0x1.634f4c60329e8p-6, -0x1.598120e34fae1p-6, -0x1.4ff32b746d37ap-6, -0x1.46a3e258ff9c6p-6, -0x1.3d91c45e67d6dp-6, -0x1.34bb595497329p-6, -0x1.2c1f31ad9ae83p-6, -0x1.23bbe691f3666p-6, -0x1.1b901901aa156p-6, -0x1.139a725717f97p-6, -0x1.0bd9a4120be65p-6, -0x1.044c66b3fc72p-6, -0x1.f9e2f5847f4d3p-7, -0x1.eb8f505e3cb17p-7, -0x1.dd9b7be31751dp-7, -0x1.d00523c80c91bp-7, -0x1.c2ca01db315ep-7, -0x1.b5e7dd69f0b73p-7, -0x1.a95c8a7be46a2p-7, -0x1.9d25ea812bbc4p-7, -0x1.9141ead0f5547p-7, -0x1.85ae84ba0cd63p-7, -0x1.7a69bee465c0bp-7, -0x1.6f71aa4fb6809p-7, -0x1.64c463633f6c7p-7, -0x1.5a6013251326p-7, -0x1.5042ebd037eb8p-7, -0x1.466b2ba5adbc2p-7, -0x1.3cd71a0bd8107p-7, -0x1.33850932553e5p-7, -0x1.2a7355fe08ff5p-7, -0x1.21a0668481555p-7, -0x1.190aa9cf1f1f1p-7, -0x1.10b098914dad5p-7, -0x1.0890b527abb6bp-7, -0x1.00a98a3aa72e1p-7, -0x1.f1f35735e8bdcp-8, -0x1.e2ff69a2878b5p-8, -0x1.d4749560710e9p-8, -0x1.c65034248043ep-8, -0x1.b88fae2fc276ap-8, -0x1.ab307c3feec6ap-8, -0x1.9e302616fedbcp-8, -0x1.918c432f3b8d3p-8, -0x1.85427814a46f7p-8, -0x1.795077104a4c4p-8, -0x1.6db40397a236bp-8, -0x1.626aec2d8509ap-8, -0x1.57730cbf2bf18p-8, -0x1.4cca4ebaf5c53p-8, -0x1.426ea80e20453p-8, -0x1.385e1b80637a1p-8, -0x1.2e96b6bfe8cbdp-8, -0x1.25169606b7382p-8, -0x1.1bdbdd7999015p-8, -0x1.12e4c0997ea5ap-8, -0x1.0a2f79ec25b25p-8, -0x1.01ba52a0c0103p-8, -0x1.f30736f53d64bp-9, -0x1.e31361893ea51p-9, -0x1.d395f490e30f5p-9, -0x1.c48bcf372a709p-9, -0x1.b5f1e6580e5fp-9, -0x1.a7c540fb0e76ap-9, -0x1.9a02f8f976ae8p-9, -0x1.8ca83b2324ff9p-9, -0x1.7fb242466eb95p-9, -0x1.731e5be60671p-9, -0x1.66e9ecb78eae1p-9, -0x1.5b1263f90ff16p-9, -0x1.4f953f386e8ap-9, -0x1.447011721316dp-9, -0x1.39a078ae10ec3p-9, -0x1.2f2422676facbp-9, -0x1.24f8cbec6a7adp-9, -0x1.1b1c41c7efad7p-9, -0x1.118c5e94c7a12p-9, -0x1.08470838a228p-9, -0x1.fe9468b1811fbp-10, -0x1.ed27cb3b69f34p-10, -0x1.dc445275b91a1p-10, -0x1.cbe632d6ee28cp-10, -0x1.bc09bf7b26e8ep-10, -0x1.acab5b83ea7a2p-10, -0x1.9dc784de6c33cp-10, -0x1.8f5ad36096b49p-10, -0x1.8161ed018f9f2p-10, -0x1.73d99a4debe22p-10, -0x1.66bea995403abp-10, -0x1.5a0e0931af63ep-10, -0x1.4dc4b74d32d8bp-10, -0x1.41dfc42ede462p-10, -0x1.365c55722dc18p-10, -0x1.2b37a4a06d88ap-10, -0x1.206ef94b67ad5p-10, -0x1.15ffb37911ee4p-10, -0x1.0be741d33fa8fp-10, -0x1.02232216006bap-10, -0x1.f161cd3e9820cp-11, -0x1.df1c62a1dbd99p-11, -0x1.cd716346aef1fp-11, -0x1.bc5c44f565fap-11, -0x1.abd8a955fad8ep-11, -0x1.9be245a6ca879p-11, -0x1.8c74f5f005dd1p-11, -0x1.7d8caf842f3bap-11, -0x1.6f257f5a59b7ep-11, -0x1.613b900cdecbbp-11, -0x1.53cb396b98ce4p-11, -0x1.46d0ce674bfd8p-11, -0x1.3a48bf2c61dc1p-11, -0x1.2e2f9c83627fep-11, -0x1.228215bc19046p-11, -0x1.173cd09291e15p-11, -0x1.0c5cafd8b5995p-11, -0x1.01de9bb5f958ap-11, -0x1.ef7f2acab9f5cp-12, -0x1.dbf9748c5bbcp-12, -0x1.c9266ab390a34p-12, -0x1.b7007bc9eae3cp-12, -0x1.a582530b3d5fp-12, -0x1.94a69fdb2a55dp-12, -0x1.8468580b4ca39p-12, -0x1.74c279f93aa27p-12, -0x1.65b03b5a474e9p-12, -0x1.572cfdae60734p-12, -0x1.49343e444012bp-12, -0x1.3bc1997ff886cp-12, -0x1.2ed0ce7053e9cp-12, -0x1.225d9bf735592p-12, -0x1.1663f9081e83bp-12, -0x1.0adfccf052a8p-12, -0x1.ff9ac222a5cap-13, -0x1.ea52056ba985ep-13, -0x1.d5de23fe99cafp-13, -0x1.c2382a04ee0fep-13, -0x1.af59695ea10fbp-13, -0x1.9d3b533f393ddp-13, -0x1.8bd77cfae8789p-13, -0x1.7b27953483585p-13, -0x1.6b2568288e2bp-13, -0x1.5bcaef646e29p-13, -0x1.4d12602c50f2bp-13, -0x1.3ef62e0324bffp-13, -0x1.317103064b7c8p-13, -0x1.247dbb5cf4a88p-13, -0x1.18176cd83979ep-13, -0x1.0c39585d7b1abp-13, -0x1.00dec655b0b3ap-13, -0x1.ec0628b9b829fp-14, -0x1.d7438fe566db4p-14, -0x1.c36cc54e2c68ap-14, -0x1.b0790b178fc13p-14, -0x1.9e5faf150d3fcp-14, -0x1.8d18910b9dd9dp-14, -0x1.7c9c49245a4c5p-14, -0x1.6ce3299bfc055p-14, -0x1.5de61fe1b6fc9p-14, -0x1.4f9e841187d54p-14, -0x1.420664f452813p-14, -0x1.3516be589f03cp-14, -0x1.28c9beab03c9cp-14, -0x1.1d18a9ed1b132p-14, -0x1.11fdab35b070cp-14, -0x1.0772d76f5940ap-14, -0x1.fae47eb1d4adep-15, -0x1.e7ec1945846afp-15, -0x1.d5f13d2b33b79p-15, -0x1.c4e97600139eap-15, -0x1.b4cb5b758d6b6p-15, -0x1.a58e53473b5c1p-15, -0x1.9729b5d910ab1p-15, -0x1.8995197262baep-15, -0x1.7cc814d0f1eb6p-15, -0x1.70ba2326015d9p-15, -0x1.6563a9984eaafp-15, -0x1.5abd81a46f85ep-15, -0x1.50bf5c225e1c1p-15, -0x1.4760e7a519c51p-15, -0x1.3e9a46baf09dbp-15, -0x1.366445967cce9p-15, -0x1.2eb85ab8e042cp-15, -0x1.27902db1736a5p-15, -0x1.20e66035563f3p-15, -0x1.1ab572104f325p-15, -0x1.14f7c03629d29p-15, -0x1.0fa7f5f1e9af1p-15, -0x1.0ac1947e8a932p-15, -0x1.063f9e43b906fp-15, -0x1.021d4a5d2d3fbp-15, -0x1.fcab5310aaffbp-16, -0x1.f5c6fdc1f80fbp-16, -0x1.ef839f89fd2fp-16, -0x1.e9d7f7e8c994ap-16, -0x1.e4bbeb6f90f23p-16, -0x1.e0276305db1fcp-16, -0x1.dc13bd7e652cbp-16, -0x1.d878535a9dffep-16, -0x1.d54e6a36c4da1p-16, -0x1.d290fe1491cb1p-16, -0x1.d039a7a87ec6fp-16, -0x1.ce434d2f6316ep-16, -0x1.cca766397c5c7p-16, -0x1.cb619bda6cdf9p-16, -0x1.ca697b866dec4p-16, -0x1.c9b9ef043f1e4p-16, -0x1.c94f3cced50d9p-16, -0x1.c92328d726b38p-16, -0x1.c9322a8a8e15dp-16, -0x1.c97626030b6c3p-16, -0x1.c9eb173bb13b3p-16, -0x1.ca8c8a1459d0ap-16, -0x1.cb56278d18e4dp-16, -0x1.cc454512feb7ep-16, -0x1.cd57530b800abp-16, -0x1.ce87d2adc1cb1p-16, -0x1.cfd4532cfc314p-16, -0x1.d139810c2c632p-16, -0x1.d2b3f9eaf7bf5p-16, -0x1.d4411d4560ffp-16, -0x1.d5dddbb73c626p-16, -0x1.d788421db3cap-16, -0x1.d93ec5d5594f8p-16, -0x1.dafcc776ea0ecp-16, -0x1.dcc0336ded91cp-16, -0x1.de87a4041ed86p-16, -0x1.e0510a6125ec6p-16, -0x1.e21a5025a72f9p-16, -0x1.e3e220ef7d7d8p-16, -0x1.e5a657927ac4bp-16, -0x1.e7651522d9f45p-16, -0x1.e91def48afbep-16, -0x1.eaceadf618dacp-16, -0x1.ec758a3407f3bp-16, -0x1.ee127057ac1d6p-16, -0x1.efa3e44bf679ap-16, -0x1.f128ef1e7d597p-16, -0x1.f2a0594a36e0bp-16, -0x1.f4091b8c4a934p-16, -0x1.f561efac18188p-16, -0x1.f6aa0820157eap-16, -0x1.f7e0fe1da4152p-16, -0x1.f9066f50fe226p-16, -0x1.fa1959cd1a63ep-16, -0x1.fb1814cf49c02p-16, -0x1.fc0315f98396bp-16, -0x1.fcda0a0a40319p-16, -0x1.fd9c245a8eddep-16, -0x1.fe48f0ecc83cbp-16, -0x1.fee0b1628200ep-16, -0x1.ff621f23b556bp-16, -0x1.ffcd9798b8072p-16, -0x1.00116f9818c0ap-15, -0x1.00311b59c0ef1p-15, -0x1.00453447b5a31p-15, -0x1.004dd5dd5f4afp-15, -0x1.004b38677c86cp-15, -0x1.003d0f4f3466ap-15, -0x1.00232d7850562p-15, -0x1.fffbd53720f82p-16, -0x1.ff9a21a3103a5p-16, -0x1.ff2251a1c7d87p-16, -0x1.fe92ed0401987p-16, -0x1.fdebdf92737edp-16, -0x1.fd2edba7458d3p-16, -0x1.fc5b36c872bf2p-16, -0x1.fb710d15af877p-16, -0x1.fa709aa7c2fa3p-16, -0x1.f95a100d1862p-16, -0x1.f82da46bf131dp-16, -0x1.f6eb8a9abcaecp-16, -0x1.f593eebce4a34p-16, -0x1.f42729ec4e784p-16, -0x1.f2a56b2cb36ep-16, -0x1.f10f0de10eb9ap-16, -0x1.ef6410a837da9p-16, -0x1.eda4e7213dca9p-16, -0x1.ebd2d2c19edfp-16, -0x1.e9ebd5a649058p-16, -0x1.e7f24b0522e64p-16, -0x1.e5e62220ad8c4p-16, -0x1.e3c70cc668e0dp-16, -0x1.e195bd672b8fcp-16, -0x1.df52999c8ce9ep-16, -0x1.dcfdeeec19f43p-16, -0x1.da9816b745221p-16, -0x1.d8216baa8eb83p-16, -0x1.d59a4f36a0c4fp-16, -0x1.d3032ddfad4a5p-16, -0x1.d05c1f23b2d64p-16, -0x1.cda5b3ffe44f3p-16, -0x1.cae00635a0bb2p-16, -0x1.c80c78a15586bp-16, -0x1.c52aabb613379p-16, -0x1.c23a13dce4d9fp-16, -0x1.bf3c64231eb26p-16, -0x1.bc31d9c2f454fp-16, -0x1.b91a49a753ae9p-16, -0x1.b5f63d85e1603p-16, -0x1.b2c67c67e9cap-16, -0x1.af8ad5444432p-16, -0x1.ac444da2bc43cp-16, -0x1.a8f29f28295cap-16, -0x1.a5965884165fdp-16, -0x1.a22feed4b9f4ep-16, -0x1.9ebf94fe1dec2p-16, -0x1.9b46344573cafp-16, -0x1.97c3b01198083p-16, -0x1.9437e383dd1a9p-16, -0x1.90a4331c3482fp-16, -0x1.8d08a61aa21a9p-16, -0x1.8964ffc998e26p-16, -0x1.85ba25e3bae0dp-16, -0x1.8208651895e0ep-16, -0x1.7e503f0f36e03p-16, -0x1.7a916ea2dfca7p-16, -0x1.76ccb8900259cp-16, -0x1.73025ac1b773p-16, -0x1.6f32af90199b6p-16, -0x1.6b5e031d8b923p-16, -0x1.6784a43513474p-16, -0x1.63a6e8a14834fp-16, -0x1.5fc5139d21574p-16, -0x1.5bdf63246896fp-16, -0x1.57f5f9add5b1dp-16, -0x1.540a2ed672d58p-16, -0x1.501ae48331732p-16, -0x1.4c28a931e42d4p-16, -0x1.4834cb79ac266p-16, -0x1.443e9bfe0a015p-16, -0x1.404673cd7655ap-16, -0x1.3c4d02f9114d2p-16, -0x1.38522937b9a7bp-16, -0x1.3456613044645p-16, -0x1.3059caf567dep-16, -0x1.2c5cec890e12p-16, -0x1.285ebae011e85p-16, -0x1.24621b17f0906p-16, -0x1.2064a9a306236p-16, -0x1.1c681559509e5p-16, -0x1.186c05efb46d5p-16, -0x1.1470bf58c6995p-16, -0x1.10769e29acd3ap-16, -0x1.0c7dcf81f8fa1p-16, -0x1.08867bdb62553p-16, -0x1.0490c04267cb6p-16, -0x1.009d6e4fa55bp-16, -0x1.f957bd4e98babp-17, -0x1.f1787f40c0823p-17, -0x1.e99f1ff545596p-17, -0x1.e1cae9ace5a16p-17, -0x1.d9fc48662171dp-17, -0x1.d233a366dba9cp-17, -0x1.ca7157362661p-17, -0x1.c2b5ba8b24d4dp-17, -0x1.bb01051137634p-17, -0x1.b353913c16236p-17, -0x1.abad50efd8459p-17, -0x1.a410302318fd9p-17, -0x1.9c7a84568e9f4p-17, -0x1.94ec4b6ecb1c8p-17, -0x1.8d68150190b9bp-17, -0x1.85ecc979c8209p-17, -0x1.7e799db415c35p-17, -0x1.7710ebc760edp-17, -0x1.6fb19e2f8659ap-17, -0x1.685cafc2f99abp-17, -0x1.61105d1ec9c26p-17, -0x1.59d05e6fbe04ep-17, -0x1.5299eea127d92p-17, -0x1.4b6e1b21e6f6fp-17, -0x1.444dc25ab21b1p-17, -0x1.3d386727aaaap-17, -0x1.362e169f8c819p-17, -0x1.2f2f9e282c34cp-17, -0x1.283cbb9c9c1e5p-17, -0x1.2155ab532174bp-17, -0x1.1a7a99ea9fa87p-17, -0x1.13abad5b74c36p-17, -0x1.0ce90a60ed19cp-17, -0x1.0632c91c8425fp-17, -0x1.ff11e5b860371p-18, -0x1.f1d8c6713c62ep-18, -0x1.e4b7c0919223p-18, -0x1.d7b0b466f557ep-18, -0x1.cac43e7425cdep-18, -0x1.bdf27c135eff6p-18, -0x1.b13a41d34955ep-18, -0x1.a49ce0b138aadp-18, -0x1.981a3b75398dcp-18, -0x1.8bb272dc666a7p-18, -0x1.7f6535db73ee4p-18, -0x1.7335609ef597ep-18, -0x1.671faf24feb92p-18, -0x1.5b241c6c284b3p-18, -0x1.4f446e86f32fp-18, -0x1.4381ca3fdf93dp-18, -0x1.37da9514aa5a9p-18, -0x1.2c4f72937f7cdp-18, -0x1.20def41504c3cp-18, -0x1.158d110c58b5fp-18, -0x1.0a55641f1f128p-18, -0x1.fe72728b3b4e6p-19, -0x1.e87522b0acadep-19, -0x1.d2aeabd1dd6f7p-19, -0x1.bd2205af5d232p-19, -0x1.a7cd6ad0287dp-19, -0x1.92b29c01a1262p-19, -0x1.7dcf1d270daa3p-19, -0x1.6923e445f6ee4p-19, -0x1.54b37c142dd16p-19, -0x1.407a3f970a08cp-19, -0x1.2c78620b721e9p-19, -0x1.18b12f2916beap-19, -0x1.0522d7b40a7b8p-19, -0x1.e3927c47a9ff1p-20, -0x1.bd56a3083e766p-20, -0x1.978a818c4ea3ap-20, -0x1.722df725d17e4p-20, -0x1.4d44a0a10c0dap-20, -0x1.28c7e972bf8e8p-20, -0x1.04b6d2d4c849ep-20, -0x1.c2363f7801ebcp-21, -0x1.7bda4ae33a243p-21, -0x1.365a6d45287dap-21, -0x1.e3676269fb9dap-22, -0x1.5be6c7b3d0f8bp-22, -0x1.ac2e534a7fa9ap-23, -0x1.478687c498ff6p-24, 0x1.83f4e705026b3p-25, 0x1.629280c79d8c1p-23, 0x1.3057181ccdebfp-22, 0x1.ad9b8bd253126p-22, 0x1.14abc61c76d72p-21, 0x1.51bab7aba0b1ap-21, 0x1.8ddf60415e858p-21, 0x1.c93c10e73208cp-21, 0x1.01e3da49c7aap-20, 0x1.1ec0737ad5caep-20, 0x1.3b34c0b560fep-20, 0x1.574146c5f9bcap-20, 0x1.72e7fe53ac11bp-20, 0x1.8e2750a07f853p-20, 0x1.a900949a0ff0bp-20, 0x1.c37548caf8c9ep-20, 0x1.dd85571b7094ep-20, 0x1.f7313beb5353p-20, 0x1.083cf4ed376e8p-19, 0x1.14b0590381051p-19, 0x1.20f1c1376e43ap-19, 0x1.2d02d2282c1dp-19, 0x1.38e2cbf3baa9bp-19, 0x1.44959f16a7713p-19, 0x1.50154494be22fp-19, 0x1.5b72714c4a517p-19, 0x1.6688d249f5693p-19, 0x1.717b0c3baa68dp-19, 0x1.7c418975b2bbap-19, 0x1.86d9715348f06p-19, 0x1.9142d6f0821e1p-19, 0x1.9b7e3780659c1p-19, 0x1.a58ba30adb23p-19, 0x1.af7067be4a9e1p-19, 0x1.b926c97e13f41p-19, 0x1.c2ada28d82d75p-19, 0x1.cc0bf28ef4c6ap-19, 0x1.d5429eb74ae11p-19, 0x1.de497b7899867p-19, 0x1.e72615e8d995fp-19, 0x1.efd97b729fe6bp-19, 0x1.f863b4e4e72fbp-19, 0x1.006203830cfe6p-18, 0x1.047d980836486p-18, 0x1.0884cc5f3a7b7p-18, 0x1.0c77b8616a831p-18, 0x1.1056472df3863p-18, 0x1.1422a248ff947p-18, 0x1.17d9d9b1eaa83p-18, 0x1.1b7df44ea989ep-18, 0x1.1f0e5d67333afp-18, 0x1.228bcb9bee345p-18, 0x1.25f770ec40593p-18, 0x1.294f9b6b4824bp-18, 0x1.2c95565afe596p-18, 0x1.2fc8a0c9da0e5p-18, 0x1.32e9c338339d8p-18, 0x1.35f8e661603bbp-18, 0x1.38f66b276c417p-18, 0x1.3be20de33c9aap-18, 0x1.3ebc4ac9036bcp-18, 0x1.41857c28ef618p-18, 0x1.443de0642f69bp-18, 0x1.46e3f80b1ecbp-18, 0x1.497a9d9dc14b2p-18, 0x1.4c00a30586326p-18, 0x1.4e7665ce16cep-18, 0x1.50dbdabc79284p-18, 0x1.5330f1b7dadf5p-18, 0x1.55762bccd04f3p-18, 0x1.57ac105c6a0b6p-18, 0x1.59d26b04ecdap-18, 0x1.5be92a3f3323p-18, 0x1.5df15d3830c5dp-18, 0x1.5fea468e767e3p-18, 0x1.61d4a7d1d5e07p-18, 0x1.63b02a375e49fp-18, 0x1.657ce69f3978dp-18, 0x1.673c91a2a7793p-18, 0x1.68ed3ac39c9ebp-18, 0x1.6a8fd24084a94p-18, 0x1.6c24b1ac9a95fp-18, 0x1.6dac7c9cea974p-18, 0x1.6f26a13e8ec95p-18, 0x1.709373e57d29ep-18, 0x1.71f301bbc4a1ap-18, 0x1.7345a3cb702bfp-18, 0x1.748c5ef41216ep-18, 0x1.75c606d4b62f4p-18, 0x1.76f22e63791c1p-18, 0x1.7813241c2d6ddp-18, 0x1.79275e31c225p-18, 0x1.7a307fd29b359p-18, 0x1.7b2d1f5c5e54fp-18, 0x1.7c1deb732f9a2p-18, 0x1.7d03a37f9b39bp-18, 0x1.7dde6be478913p-18, 0x1.7eae3c648691fp-18, 0x1.7f71132400d3bp-18, 0x1.8029c0a1df462p-18, 0x1.80d9b147a575ep-18, 0x1.817cb291148bcp-18, 0x1.8215d43703a2dp-18, 0x1.82b991fb9d666p-18, 0x1.8329c8c875cf2p-18, 0x1.83a4b6f4063ffp-18, 0x1.8415a29ef311ap-18, 0x1.847ce1c870764p-18, 0x1.84da891049172p-18, 0x1.852ebc60d476ap-18, 0x1.85799f0cd1999p-18, 0x1.85bb53748760ap-18, 0x1.85f3f6e059661p-18, 0x1.862395e8a6237p-18, 0x1.864aadca611cbp-18, 0x1.866924a24be2ap-18, 0x1.867f253f46aa8p-18, 0x1.868c245e3a0fcp-18, 0x1.86914a2cba3bdp-18, 0x1.868e9d90b82b4p-18, 0x1.8683b5e13649dp-18, 0x1.8670ed59f4bffp-18, 0x1.8656616a9b7a9p-18, 0x1.863414e357e1fp-18, 0x1.860a482f36434p-18, 0x1.85d9d65abc0d5p-18, 0x1.85a1b4c8689b8p-18, 0x1.8561f33623ff2p-18, 0x1.851ae2da0e1d1p-18, 0x1.84ce124500ffcp-18, 0x1.847a07da73043p-18, 0x1.841f319bc5731p-18, 0x1.83be9a9146c36p-18, 0x1.83556b2ae79b4p-18, 0x1.82e751bf79a27p-18, 0x1.82732e4ccb86ep-18, 0x1.81f8fce237cb8p-18, 0x1.8178c6c9d1f52p-18, 0x1.80f1ce0241194p-18, 0x1.8065cc95a2cfbp-18, 0x1.7fd3e9de2edf2p-18, 0x1.7f3c70d3e8f5dp-18, 0x1.7e9f706bb9f86p-18, 0x1.7dfd14803a1aap-18, 0x1.7d5570040c1dap-18, 0x1.7ca89c26f6847p-18, 0x1.7bf6b1f487bd1p-18, 0x1.7b3fca4099255p-18, 0x1.7a83fda1551dfp-18, 0x1.79c3646e35a68p-18, 0x1.78fe0ba5ac2fbp-18, 0x1.78342c4882eb3p-18, 0x1.7765bc3b328b3p-18, 0x1.7692dd451b19fp-18, 0x1.75bba776b67e7p-18, 0x1.74e04044daf79p-18, 0x1.7400f5fdd426cp-18, 0x1.731c6e2049311p-18, 0x1.72350ff0cf86bp-18, 0x1.7149abcecebdbp-18, 0x1.705a4872d7d98p-18, 0x1.6f675e7830f9fp-18, 0x1.6e6fe17c0b9bp-18, 0x1.6d75d8ae83f2ep-18, 0x1.6c781979951e9p-18, 0x1.6b76bfe68ff61p-18, 0x1.6a7230cb9364ap-18, 0x1.6969eac84341cp-18, 0x1.685f48153de1p-18, 0x1.6750f5a364e5p-18, 0x1.663feb0538998p-18, 0x1.652b657ce966p-18, 0x1.641435fe7d562p-18, 0x1.62fa86f45a5dap-18, 0x1.61ddb8f32abbfp-18, 0x1.60be74c7c253ep-18, 0x1.5f9c704663adfp-18, 0x1.5e782739ae6f5p-18, 0x1.5d517b517af8ep-18, 0x1.5c2754a75ff08p-18, 0x1.5afc15fc8dea9p-18, 0x1.59cedcab4be27p-18, 0x1.589dd08d0ff39p-18, 0x1.576b11bd7d782p-18, 0x1.5637503c539f1p-18, 0x1.5500631742dcep-18, 0x1.53c8526cc6634p-18, 0x1.528df2c0f9e3dp-18, 0x1.5151a72d6fb2p-18, 0x1.5013aa4b3e701p-18, 0x1.4ed4042b492b2p-18, 0x1.4d92ce37c2f64p-18, 0x1.4c4f4d042d29dp-18, 0x1.4b0b3369b9638p-18, 0x1.49c4f059f90fp-18, 0x1.487d54f98b65p-18, 0x1.473446050661ep-18, 0x1.45ea2c7ff564ep-18, 0x1.449e70822de1fp-18, 0x1.43515cfc5e928p-18, 0x1.4203b205da3fp-18, 0x1.40b45afbe760bp-18, 0x1.3f63f248d180ep-18, 0x1.3e12931f5b222p-18, 0x1.3cc05329592c1p-18, 0x1.3b6ccea5471f3p-18, 0x1.3a1874d19c4c9p-18, 0x1.38c3500c315a7p-18, 0x1.376d4a44f8f18p-18, 0x1.3616867d5e0e1p-18, 0x1.34bf4d68f5d3dp-18, 0x1.3366b8466081bp-18, 0x1.320dcbe42651dp-18, 0x1.30b48bf42ffb2p-18, 0x1.2f5a5a38d5ea4p-18, 0x1.2dffb9fd51ce8p-18, 0x1.2ca48c0164594p-18, 0x1.2b48e3c90fbc4p-18, 0x1.29ed06d628ca5p-18, 0x1.2890c2e3d8775p-18, 0x1.273393ea79b95p-18, 0x1.25d6f4a0e7adfp-18, 0x1.24796cd98f9f5p-18, 0x1.231c05f9664ecp-18, 0x1.21be12eb46267p-18, 0x1.205fc3d8b4634p-18, 0x1.1f01f45b5e2fp-18, 0x1.1da3bd2ccd832p-18, 0x1.1c4584448f85ep-18, 0x1.1ae70ecbd55eap-18, 0x1.1988ae9f4763ap-18, 0x1.182a349b96e46p-18, 0x1.16cc0a8404d02p-18, 0x1.156dd08c90bcep-18, 0x1.140f66be3cafdp-18, 0x1.12b1fd35fd8f8p-18, 0x1.1153fbe994a15p-18, 0x1.0ff608c90b9e1p-18, 0x1.0e98a38a4bf7dp-18, 0x1.0d3b9dfc79a8p-18, 0x1.0bdea1a711ae6p-18, 0x1.0a81fe337ccf9p-18, 0x1.0925a7332c016p-18, 0x1.07c9b064f209dp-18, 0x1.066e469928059p-18, 0x1.0512fdf45f5ffp-18, 0x1.03b7eb8bd6f3ap-18, 0x1.025db69581149p-18, 0x1.0103db905fec2p-18, 0x1.ff54b79584908p-19, 0x1.fca2de6ab80c8p-19, 0x1.f9f210e85538ep-19, 0x1.f74259e56b53ep-19, 0x1.f493bc45dbcddp-19, 0x1.f1e609f5c3a88p-19, 0x1.ef3a8affebb12p-19, 0x1.ec8f96638d9fp-19, 0x1.e9e51ecab01c7p-19, 0x1.e73d845de47c5p-19, 0x1.e495ef801b328p-19, 0x1.e1f0c9672dcd1p-19, 0x1.df4c63e459103p-19, 0x1.dca9a0e659129p-19, 0x1.da080d8f667f4p-19, 0x1.d78cef93188f6p-19, 0x1.d4cad74f479d3p-19, 0x1.d22dde92b4fap-19, 0x1.cf92d31bf6f72p-19, 0x1.ccf9a5a36dd7dp-19, 0x1.ca629130e1093p-19, 0x1.c7cc33f25a06fp-19, 0x1.c537f97621969p-19, 0x1.c2a5a2d9ecd65p-19, 0x1.c0154efa00833p-19, 0x1.bd86236cf4d87p-19, 0x1.baf98122435adp-19, 0x1.b86e48b0a62b6p-19, 0x1.b5e50e5a82d22p-19, 0x1.b35defa917d8ap-19, 0x1.b0d8302a814cp-19, 0x1.ae5461ff4034ep-19, 0x1.abd3f332066a3p-19, 0x1.a95448c05e49bp-19, 0x1.a6d63d7609abbp-19, 0x1.a45b721229b11p-19, 0x1.a1e2008c35a42p-19, 0x1.9f6abff69aa25p-19, 0x1.9cf5808063a21p-19, 0x1.9a82ec5229696p-19, 0x1.9811582d17f81p-19, 0x1.95a2b87ba706dp-19, 0x1.93362cc9516bcp-19, 0x1.90cbd50d3ae3cp-19, 0x1.8e638178ca86fp-19, 0x1.8bfde4d85329bp-19, 0x1.8999c66b7a00bp-19, 0x1.87385937d899dp-19, 0x1.84d9490dd9669p-19, 0x1.827c2885c3a5ap-19, 0x1.802119e3a602fp-19, 0x1.7dc8aaee7daf9p-19, 0x1.7b726332f81cdp-19, 0x1.791ef930b07a5p-19, 0x1.76cd1f8bfd59p-19, 0x1.747e2bf84febep-19, 0x1.72317324a0671p-19, 0x1.6fe6b02c9c889p-19, 0x1.6d9eb8fe11c7p-19, 0x1.6b590cc0d3752p-19, 0x1.6915a68ea33d9p-19, 0x1.66d4aaa3b1d4dp-19, 0x1.64963e924a287p-19, 0x1.6259b737ee23bp-19, 0x1.6020694d48d88p-19, 0x1.5de90fa3f06aep-19, 0x1.5bb3c88da3752p-19, 0x1.598188dd034b6p-19, 0x1.575193204b97ap-19, 0x1.552402fea05ebp-19, 0x1.52f8f76c54b23p-19, 0x1.50d0219867fcap-19, 0x1.4ea9d0f66457p-19, 0x1.4c86605970407p-19, 0x1.4a64fe8acbb46p-19, 0x1.48460d4e348d8p-19, 0x1.462a02b6006cep-19, 0x1.44105b3cda5b1p-19, 0x1.41f86b4669aa6p-19, 0x1.3fe3e08d5feb2p-19, 0x1.3dd17ab33dfafp-19, 0x1.3bc184e433431p-19, 0x1.39b43b4c1592dp-19, 0x1.37a94b7aafb2ep-19, 0x1.35a0e084fff7fp-19, 0x1.339af312a9686p-19, 0x1.31976082a18d3p-19, 0x1.2f96ca65619e3p-19, 0x1.2d98b09e297cep-19, 0x1.2b9c4d242434fp-19, 0x1.29a29dbaa9337p-19, 0x1.27abe002c046p-19, 0x1.25b773730544bp-19, 0x1.23c57ddcd4a06p-19, 0x1.21d60aaa911ccp-19, 0x1.1fe91c7edae89p-19, 0x1.1dfe95a28ea1ap-19, 0x1.1c168dd051ce4p-19, 0x1.1a312b1b29e43p-19, 0x1.184e19750968cp-19, 0x1.166d989054dcap-19, 0x1.148f30cfcf8b9p-19, 0x1.12b43f484d82bp-19, 0x1.10dafb4843226p-19, 0x1.0f042a16a822bp-19, 0x1.0d302ae0415edp-19, 0x1.0b5e8650ad85cp-19, 0x1.098f4388151b1p-19, 0x1.07c289a76e8afp-19, 0x1.05f8409f9001dp-19, 0x1.04306f472cb5ep-19, 0x1.026b083d7e095p-19, 0x1.00a803abc6e12p-19, 0x1.fdcf1d5bcc899p-20, 0x1.fa52e74936cd1p-20, 0x1.f6dbac6208de2p-20, 0x1.f368cf0d83f9cp-20, 0x1.effc0a04f3c53p-20, 0x1.ec93878a0089cp-20, 0x1.e92f34f5b6f2ap-20, 0x1.e5cf22ec6b24ap-20, 0x1.e27562fb5efe8p-20, 0x1.df200967013c3p-20, 0x1.dbcf5378a88eep-20, 0x1.d8834147b5c74p-20, 0x1.d53beebb3290dp-20, 0x1.d1f98733cdd37p-20, 0x1.cebbf419b6d2cp-20, 0x1.cb822cb1eb28fp-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.a4e1a943132c3p-5, 0x1.282d60f691df8p-4, 0x1.6acedb126b522p-4, 0x1.97fed29dca4cep-4, 0x1.aeadcd59bcc4p-4, 0x1.aebf43729904ap-4, 0x1.98c8102c74477p-4, 0x1.6ddb998fdf8d7p-4, 0x1.2f647d0235fa2p-4, 0x1.be0c65e9a35fcp-5, 0x1.fa16c1c4e1d09p-6, 0x1.f6f07f65a7d09p-9, -0x1.ae36f294eedf9p-6, -0x1.e2f73aa7368b7p-5, -0x1.80534624cc64dp-4, -0x1.0b356ae554cc7p-3, -0x1.591888631da95p-3, -0x1.a917e046ecd24p-3, -0x1.fa86858c20156p-3, -0x1.2662ff40b748cp-2, -0x1.4fa31d6a1b572p-2, -0x1.78c2a6bed0b59p-2, -0x1.a1877be8791b5p-2, -0x1.c9be083efcbdcp-2, -0x1.f138f059761dep-2, -0x1.0be855d2975b9p-1, -0x1.1eb1950fd3fe2p-1, -0x1.30e9b45d74782p-1, -0x1.4284878c42ddfp-1, -0x1.53780643e8a2p-1, -0x1.63bc1b432a354p-1, -0x1.734a762bdd69bp-1, -0x1.821e5fbf39a27p-1, -0x1.90348f68ba36ap-1, -0x1.9d8b04a01bbdcp-1, -0x1.aa20e2267c5f7p-1, -0x1.b5f64c0f01b7cp-1, -0x1.c10c489359a24p-1, -0x1.cb64a35f36786p-1, -0x1.d501d3ab7a19cp-1, -0x1.dde6e48d1e739p-1, -0x1.e6175fb0824f3p-1, -0x1.ed973a602e34ap-1, -0x1.f46ac4604ad47p-1, -0x1.fa9698783d11ap-1, -0x1.000fc7ac0d105p+0, -0x1.02855908d4edbp+0, -0x1.04ae980d0b591p+0, -0x1.068e2a64dcfaep+0, -0x1.0826bf40c75abp+0, -0x1.097b0b52e5ea7p+0, -0x1.0a8dc52ee040dp+0, -0x1.0b61a22e362d8p+0, -0x1.0bf95387d1c5p+0, -0x1.0c5783d0b6dfcp+0, -0x1.0c7ed4f0cc985p+0, -0x1.0c71de262e6f8p+0, -0x1.0c332a73e0877p+0, -0x1.0bc5374859854p+0, -0x1.0b2a735ad91e4p+0, -0x1.0a653db0d22f9p+0, -0x1.0977e4d40fe56p+0, -0x1.0864a640cf51dp+0, -0x1.072dadf1a6872p+0, -0x1.05d515f980fddp+0, -0x1.045ce65e90fe7p+0, -0x1.02c714f1b5f3p+0, -0x1.01158551c3542p+0, -0x1.fe9411eddd94ap-1, -0x1.faccbeb7aef88p-1, -0x1.f6d86c642fb8p-1, -0x1.f2ba53196b31bp-1, -0x1.ee7588a4577dbp-1, -0x1.ea0d00e52f775p-1, -0x1.e5838e93740dap-1, -0x1.e0dbe4c6fc0c4p-1, -0x1.dc1896250392cp-1, -0x1.d73c17695a9a4p-1, -0x1.d248bfb16fd8cp-1, -0x1.cd40c93babbc3p-1, -0x1.c82652a083c6ep-1, -0x1.c2fb5fa4015b2p-1, -0x1.bdc1da2791feap-1, -0x1.b87b9332d89a2p-1, -0x1.b32a43e7e1493p-1, -0x1.adcf8e24317abp-1, -0x1.a86cfe0d03629p-1, -0x1.a3040a1ed8ce1p-1, -0x1.9d9614bf2eec6p-1, -0x1.98246ce09fec9p-1, -0x1.92b04ebf5a385p-1, -0x1.8d3ae4c5f2ea2p-1, -0x1.87c5486123109p-1, -0x1.825082c33f1dbp-1, -0x1.7cdd8d82390dep-1, -0x1.776d53821a43cp-1, -0x1.7200b1790851ep-1, -0x1.6c9876adf204fp-1, -0x1.673565a5351dcp-1, -0x1.61d834a558f7bp-1, -0x1.5c818e5603e59p-1, -0x1.5732126e64623p-1, -0x1.51ea560d646ap-1, -0x1.4caae459396ffp-1, -0x1.47743f08288dfp-1, -0x1.4246defe102a1p-1, -0x1.3d2333c3c48aap-1, -0x1.3809a5ef4091dp-1, -0x1.32fa958ff07cap-1, -0x1.2df65ba88a8a8p-1, -0x1.28fd4a453c358p-1, -0x1.240faccb82c6cp-1, -0x1.1f2dc87790e67p-1, -0x1.1a57dc8df59fp-1, -0x1.158e22b8a7f75p-1, -0x1.10d0cf6b01609p-1, -0x1.0c2011db87d2p-1, -0x1.077c14aa3b503p-1, -0x1.02e4fddb0d893p-1, -0x1.fcb5de7a1832fp-2, -0x1.f3bc0d0a593cfp-2, -0x1.eadcbb3e93878p-2, -0x1.e21815b22da2bp-2, -0x1.d96e42145e122p-2, -0x1.d0df5fb1523a1p-2, -0x1.c86b87b140eb6p-2, -0x1.c012cd7aad74dp-2, -0x1.b7d53ee6c7856p-2, -0x1.afb2e4cbaab1cp-2, -0x1.a7abc302f82e9p-2, -0x1.9fbfd8d5ebce4p-2, -0x1.97ef212d4a8dbp-2, -0x1.903992e6591e3p-2, -0x1.889f20f63d3bcp-2, -0x1.811fbab1d1075p-2, -0x1.79bb4bf86d3dep-2, -0x1.7271bd5b55db6p-2, -0x1.6b42f466e806p-2, -0x1.642ed3e73688dp-2, -0x1.5d353ba92b9d4p-2, -0x1.5656092b9f1aap-2, -0x1.4f9117637d6cfp-2, -0x1.48e63f05b4604p-2, -0x1.425556ab80a3bp-2, -0x1.3bde32f167e7bp-2, -0x1.3580a68f5b3e4p-2, -0x1.2f3c827bc4705p-2, -0x1.2911960d04dcfp-2, -0x1.22ffaf0b390dbp-2, -0x1.1d0699d16cd19p-2, -0x1.17262160e800dp-2, -0x1.115e0f84062aap-2, -0x1.0bae2cceefbd7p-2, -0x1.061640d64a543p-2, -0x1.0096121654d26p-2, -0x1.f65acca90db3cp-3, -0x1.ebb804742b105p-3, -0x1.e14353d05d5f8p-3, -0x1.d6fc41468dd4cp-3, -0x1.cce2524a5a877p-3, -0x1.c2f50b0ad28b4p-3, -0x1.b933eee0cb122p-3, -0x1.af9e7ff43df86p-3, -0x1.a6343fedcec81p-3, -0x1.9cf4af77c3915p-3, -0x1.93df4ebf62348p-3, -0x1.8af39d7ed76b1p-3, -0x1.82311b16cd3a9p-3, -0x1.7997464b16221p-3, -0x1.71259de6659bp-3, -0x1.68dba077b15a7p-3, -0x1.60b8cc6c11a77p-3, -0x1.58bca021d16dep-3, -0x1.50e69a2f22d7cp-3, -0x1.4936393ce218ep-3, -0x1.41aafbfe2c261p-3, -0x1.3a44617ae9d4dp-3, -0x1.3301e92354eafp-3, -0x1.2be312b2316cep-3, -0x1.24e75e4c870c1p-3, -0x1.1e0e4c7837066p-3, -0x1.17575e7ad5c3p-3, -0x1.10c215ef59f3bp-3, -0x1.0a4df5201a6ddp-3, -0x1.03fa7eee5bbe5p-3, -0x1.fb8e6e430d5afp-4, -0x1.ef6743f6fd226p-4, -0x1.e37e89319b211p-4, -0x1.d7d349d05fd83p-4, -0x1.cc64935ebfd9ep-4, -0x1.c13174e17d9e3p-4, -0x1.b638ff7e28b49p-4, -0x1.ab7a45c16a66bp-4, -0x1.a0f45cbcf1878p-4, -0x1.96a65a6930e1bp-4, -0x1.8c8f57d7c0eb4p-4, -0x1.82ae6f5e1df1dp-4, -0x1.7902bdbe4cffcp-4, -0x1.6f8b61557498ep-4, -0x1.66477b74dc8a6p-4, -0x1.5d362ea2bc3cdp-4, -0x1.5456a019c7072p-4, -0x1.4ba7f7981c10bp-4, -0x1.43295e34f459ap-4, -0x1.3ad9fff0e9852p-4, -0x1.32b90b03db7a1p-4, -0x1.2ac5afee3d0b2p-4, -0x1.22ff2122f59ccp-4, -0x1.1b6493c5e82f7p-4, -0x1.13f53f579b6d8p-4, -0x1.0cb05d7f8d77cp-4, -0x1.05952a54bbbebp-4, -0x1.fd45c8e624607p-5, -0x1.efb1988e5debbp-5, -0x1.e26c4b4c4524p-5, -0x1.d5746b4b7042dp-5, -0x1.c8c88879f856bp-5, -0x1.bc673852a16edp-5, -0x1.b04f13aacde01p-5, -0x1.a47eb93fb4171p-5, -0x1.98f4cb934b8ddp-5, -0x1.8daff2605450fp-5, -0x1.82aeda6cc3825p-5, -0x1.77f03541db96dp-5, -0x1.6d72b810c0e21p-5, -0x1.63351d6860469p-5, -0x1.59362543b6297p-5, -0x1.4f749312e85dfp-5, -0x1.45ef2f65bf9abp-5, -0x1.3ca4c78366b8fp-5, -0x1.33942d335961cp-5, -0x1.2abc36af9d2cbp-5, -0x1.221bbec2bf8ebp-5, -0x1.19b1a50cf5209p-5, -0x1.117cccd6fc2e9p-5, -0x1.097c1eddbe0e3p-5, -0x1.01ae879da9aa3p-5, -0x1.f425efcfc35d5p-6, -0x1.e550caaa08d32p-6, -0x1.d6db9326b8b98p-6, -0x1.c8c44506065fap-6, -0x1.bb08e4aa7c1d6p-6, -0x1.ada77ebbffb12p-6, -0x1.a09e2820e7c51p-6, -0x1.93eafd97acb06p-6, -0x1.878c260c6b1d8p-6, -0x1.7b7fcd7dd95dbp-6, -0x1.6fc42aa87827fp-6, -0x1.64577a496d2f5p-6, -0x1.593801fe580a3p-6, -0x1.4e640d87e8ddep-6, -0x1.43d9f13384d34p-6, -0x1.39980a3a6ad2bp-6, -0x1.2f9cbbfe18128p-6, -0x1.25e67230e34d4p-6, -0x1.1c739f7cbd9d5p-6, -0x1.1342bd3360cfcp-6, -0x1.0a524c0d7fab2p-6, -0x1.01a0d16c8e6c2p-6, -0x1.f259b6a7188d9p-7, -0x1.e1ea01e2f0454p-7, -0x1.d1efbebe086a2p-7, -0x1.c26833ab2c2cap-7, -0x1.b350b7a7539ddp-7, -0x1.a4a6aa7ebb9cbp-7, -0x1.966775fc36eefp-7, -0x1.88908fed00042p-7, -0x1.7b1f7bcbaf527p-7, -0x1.6e11cb276081ep-7, -0x1.61651f4e2315bp-7, -0x1.5517276371518p-7, -0x1.4925a0cd6722cp-7, -0x1.3d8e4ce71a3bdp-7, -0x1.324ef78cf14d7p-7, -0x1.276576028a69fp-7, -0x1.1ccfa36a8ebf5p-7, -0x1.128b6a1a8c122p-7, -0x1.0896c51554056p-7, -0x1.fddf7804a9d57p-8, -0x1.eb28ce791be01p-8, -0x1.d905c8eab1a5ep-8, -0x1.c772b4da222cp-8, -0x1.b66be5397f119p-8, -0x1.a5edb68ab6c45p-8, -0x1.95f497c6562d5p-8, -0x1.867d10fc2698p-8, -0x1.7783c6a4e5802p-8, -0x1.69058099986e8p-8, -0x1.5aff1963744edp-8, -0x1.4d6d7ccb6349fp-8, -0x1.404da06d60efcp-8, -0x1.339c7d0653594p-8, -0x1.275711183b747p-8, -0x1.1b7a6b2d4d0f3p-8, -0x1.1003ae3ba5ed4p-8, -0x1.04f01921398f1p-8, -0x1.f47a0974f2b1dp-9, -0x1.dfcfc16b275c4p-9, -0x1.cbdc518fbf69cp-9, -0x1.b89abe3ae351fp-9, -0x1.a6061951fb68dp-9, -0x1.941977243dfbep-9, -0x1.82d00713d5965p-9, -0x1.7225259f956aep-9, -0x1.621461a3fd2a2p-9, -0x1.5299632284ce8p-9, -0x1.43b007fd34bd2p-9, -0x1.35543ae203b98p-9, -0x1.2781eba9cfe69p-9, -0x1.1a35114d3180cp-9, -0x1.0d69a72df0c13p-9, -0x1.011bbba9c33aep-9, -0x1.ea8f1e1ffe061p-10, -0x1.d3d3095497de5p-10, -0x1.bdfc6e5eaebd3p-10, -0x1.a904a60fede22p-10, -0x1.94e534b306972p-10, -0x1.8197c0203d14dp-10, -0x1.6f15d0c11afb6p-10, -0x1.5d58f9a56de12p-10, -0x1.4c5ac5b7a729ep-10, -0x1.3c14f9b456766p-10, -0x1.2c81a5afac519p-10, -0x1.1d9b2c1816454p-10, -0x1.0f5c548f61c59p-10, -0x1.01bffcf6e7cbap-10, -0x1.e982055f0b73ap-11, -0x1.d0b4cb48702e8p-11, -0x1.b90e8f86f0ce2p-11, -0x1.a285b22df87f6p-11, -0x1.8d108d1be590ep-11, -0x1.78a58e33e9dbcp-11, -0x1.653b901829c4dp-11, -0x1.52ca1155326f4p-11, -0x1.4148f4ea3ebacp-11, -0x1.30aff64f375ccp-11, -0x1.20f6667697c76p-11, -0x1.12139069273f9p-11, -0x1.03ff6ed5ba731p-11, -0x1.ed65e792688fap-12, -0x1.d44f416f4cf43p-12, -0x1.bcadfd80325a7p-12, -0x1.a675402feed02p-12, -0x1.9198f2b6c1628p-12, -0x1.7e0e36cab9487p-12, -0x1.6bca3beccf99dp-12, -0x1.5ac086e8dd366p-12, -0x1.4ae1bf3f3f3a8p-12, -0x1.3c1cf0ad1e2eap-12, -0x1.2e62b137ded65p-12, -0x1.21a7e199dd0abp-12, -0x1.15e42e54ffad6p-12, -0x1.0b0ffc12521fdp-12, -0x1.012382d129da8p-12, -0x1.f02d652871ea7p-13, -0x1.dfc6b3268e78bp-13, -0x1.d108e85ec3de8p-13, -0x1.c3e839f72d3ddp-13, -0x1.b851a81967b8ap-13, -0x1.ae2951d7feef7p-13, -0x1.a54f50baa7f77p-13, -0x1.9da8089421022p-13, -0x1.97217aa6a2c47p-13, -0x1.91b1b3776c6a9p-13, -0x1.8d518c7a552ebp-13, -0x1.89f87b43aa6e1p-13, -0x1.879cbcd4c23bcp-13, -0x1.8636d950e1ef3p-13, -0x1.85c2a887aef3dp-13, -0x1.863ba38562297p-13, -0x1.8798ccbad667cp-13, -0x1.89c9d29f4afdbp-13, -0x1.8cb83f2726faep-13, -0x1.904bdf4ff88dp-13, -0x1.94707488ffb21p-13, -0x1.99196c46f73d5p-13, -0x1.9e416fa5e5f1ep-13, -0x1.a3e65afd4b917p-13, -0x1.aa04b1a697f46p-13, -0x1.b096e199796c3p-13, -0x1.b79842f7c8aecp-13, -0x1.bf05c987f902cp-13, -0x1.c6dbbfb8d3ad3p-13, -0x1.cf146570b367dp-13, -0x1.d7a7ac22ed6b4p-13, -0x1.e08ab8cd5529p-13, -0x1.e9b0cd1dfa19cp-13, -0x1.f30aae7537b21p-13, -0x1.fc8b67c80e59dp-13, -0x1.0315ab86c4c4cp-12, -0x1.07f53c540fa33p-12, -0x1.0ce4ad388fb56p-12, -0x1.11e277f277719p-12, -0x1.16ed5ad776fddp-12, -0x1.1c03de93a92f1p-12, -0x1.21240d56248e7p-12, -0x1.264b4c4e8e04p-12, -0x1.2b7826315a1d8p-12, -0x1.30a95cc270c03p-12, -0x1.35dce324109b1p-12, -0x1.3b102371c4e1cp-12, -0x1.403ea3d2da672p-12, -0x1.4563f70fb0942p-12, -0x1.4a7e6fe51e2a5p-12, -0x1.4f8e1d2dac2b4p-12, -0x1.5491ab7190828p-12, -0x1.59885d2877586p-12, -0x1.5e72da764cc32p-12, -0x1.635027617108ep-12, -0x1.681dc9743f099p-12, -0x1.6cda787e10f17p-12, -0x1.7185ea3a82addp-12, -0x1.761f76f7d5dedp-12, -0x1.7aa68a57e5bfp-12, -0x1.7f1a7dfa84cd5p-12, -0x1.8379c3367314dp-12, -0x1.87c1d21584269p-12, -0x1.8bf226cbf7bf1p-12, -0x1.900c04cf389c1p-12, -0x1.940d700099f9bp-12, -0x1.97f3ff098f043p-12, -0x1.9bc0f40fff9f5p-12, -0x1.9f750377dba84p-12, -0x1.a30ec190119d8p-12, -0x1.a68d134f1bbdfp-12, -0x1.a9f03ba6bc481p-12, -0x1.ad389ece93f6bp-12, -0x1.b0655e579b221p-12, -0x1.b3763369083a8p-12, -0x1.b66b10862045p-12, -0x1.b943ebe94afdfp-12, -0x1.bbffda8f6ddd4p-12, -0x1.be9e7132c431ap-12, -0x1.c1216b1dfb1a3p-12, -0x1.c38830a6acb8cp-12, -0x1.c5d1a53c228dbp-12, -0x1.c7fd9949f4c08p-12, -0x1.ca0c2bb274f86p-12, -0x1.cbfd93e54d2fdp-12, -0x1.cdd176cdc2bf1p-12, -0x1.cf88339a08cadp-12, -0x1.d122a4076d303p-12, -0x1.d2a04119a7cbep-12, -0x1.d400dddea118ap-12, -0x1.d544c560b8abbp-12, -0x1.d66c037b35556p-12, -0x1.d77746eb5c302p-12, -0x1.d86696eaef6c5p-12, -0x1.d93997daf0cadp-12, -0x1.d9f0fcad3c2f8p-12, -0x1.da8cccf6c098fp-12, -0x1.db0e3e79555d9p-12, -0x1.db74cd47cebdp-12, -0x1.dbbfe772aeffbp-12, -0x1.dbf031a15567cp-12, -0x1.dc05e3bb7d746p-12, -0x1.dc019aff7f7ebp-12, -0x1.dbe3fae68eb49p-12, -0x1.dbacf53ade3cbp-12, -0x1.db5c9dcbb14c1p-12, -0x1.daf35338c146ap-12, -0x1.da717a0b8f1b1p-12, -0x1.d9d76e0f4dadap-12, -0x1.d925bfd1d10bcp-12, -0x1.d85cc113eb363p-12, -0x1.d77c5735bb71ap-12, -0x1.d684f32f73da2p-12, -0x1.d5773220ece4cp-12, -0x1.d45398b9b632p-12, -0x1.d31a8342cc495p-12, -0x1.d1cbaef020963p-12, -0x1.d067bd8ab4179p-12, -0x1.ceef1d8bc1381p-12, -0x1.cd623268102dep-12, -0x1.cbc1782b48a8ep-12, -0x1.ca0d284bf89p-12, -0x1.c845a0340454ep-12, -0x1.c66b46f38f42dp-12, -0x1.c47e7fcac83fbp-12, -0x1.c27fabbd90713p-12, -0x1.c06f310985757p-12, -0x1.be4d6a62d30bdp-12, -0x1.bc1ab9c7a229bp-12, -0x1.b9d764d1ac627p-12, -0x1.b784140b9484p-12, -0x1.b520dc1bb5797p-12, -0x1.b2ae29e991fbp-12, -0x1.b02c7f7acca0dp-12, -0x1.ad9c24b9ca901p-12, -0x1.aafd6f251226p-12, -0x1.a850ceab3b7fbp-12, -0x1.a596994bdfe35p-12, -0x1.a2cf240b0142ep-12, -0x1.9ffae081b23fp-12, -0x1.9d1a1cbca0a44p-12, -0x1.9a2d3766af5f4p-12, -0x1.97348b8c44303p-12, -0x1.94306a47514c6p-12, -0x1.91214b0567f78p-12, -0x1.8e0767dcdfd73p-12, -0x1.8ae2f3d695f03p-12, -0x1.87b4a80889efp-12, -0x1.847c99b7430f2p-12, -0x1.813b167d8a5c3p-12, -0x1.7df0a3274d847p-12, -0x1.7a9d6acb8e8adp-12, -0x1.7741d074faa29p-12, -0x1.73de0bb345bafp-12, -0x1.7072acb952f8fp-12, -0x1.6cffc068d2ab2p-12, -0x1.6985afd2b9d7cp-12, -0x1.6604d88b32a39p-12, -0x1.627d7e6fb2fadp-12, -0x1.5eefebe074154p-12, -0x1.5b5c6b6fde95dp-12, -0x1.57c34810becb9p-12, -0x1.5424c68982e7bp-12, -0x1.50814b801f11ap-12, -0x1.4cd8faaa2624p-12, -0x1.492c0f0126757p-12, -0x1.457b058d32b59p-12, -0x1.41c5f7399ba58p-12, -0x1.3e0d3485468d9p-12, -0x1.3a5106ff206bcp-12, -0x1.3691b323b0b8ap-12, -0x1.32cf708c37f13p-12, -0x1.2f0a676cbba33p-12, -0x1.2b430db03fed4p-12, -0x1.27793b81363c7p-12, -0x1.23adc80fa98ffp-12, -0x1.1fe06fd1bee3ap-12, -0x1.1c11ab5917cabp-12, -0x1.1841997ba68a8p-12, -0x1.1470761ac80e7p-12, -0x1.109e7ef53fe41p-12, -0x1.0ccbea18225edp-12, -0x1.08f8eb6c1981ap-12, -0x1.0525b3398bb95p-12, -0x1.015282cdb538cp-12, -0x1.faff0c14bc9acp-13, -0x1.f359b9486283ep-13, -0x1.ebb595f201f38p-13, -0x1.e412f71c274bep-13, -0x1.dc7249cbcb72dp-13, -0x1.d4d3db81e6decp-13, -0x1.cd3810416a02ap-13, -0x1.c59f2d2459037p-13, -0x1.be098302dc6d4p-13, -0x1.b6776644e3291p-13, -0x1.aee9343a2c68ap-13, -0x1.a75f972b74cep-13, -0x1.9fda45d84e6b1p-13, -0x1.9859b58caa05p-13, -0x1.90de78732d215p-13, -0x1.8968aa3002d74p-13, -0x1.81f85f0af0777p-13, -0x1.7a8e44816df99p-13, -0x1.732a582712855p-13, -0x1.6bcd0aa30507dp-13, -0x1.6476394f6e99ep-13, -0x1.5d26c2d81c92ap-13, -0x1.55de75bdd99fdp-13, -0x1.4e9d6cf4bc519p-13, -0x1.4764473467e72p-13, -0x1.4033103315425p-13, -0x1.390a05074d5e2p-13, -0x1.31e95453ac596p-13, -0x1.2ad13a7cfbb6dp-13, -0x1.23c1d378cd9c4p-13, -0x1.1cbb675e89312p-13, -0x1.15be29f263a95p-13, -0x1.0eca403b17cf5p-13, -0x1.07dfd6acc67bfp-13, -0x1.00ff1a3829b9ap-13, -0x1.f45093cc06507p-14, -0x1.e6b67c2a9b83p-14, -0x1.d9311429919fp-14, -0x1.cbc038995f2ap-14, -0x1.be64604096fc6p-14, -0x1.b11d79f7269ap-14, -0x1.a3ec1b0330338p-14, -0x1.96d06e360b004p-14, -0x1.89caaf625d784p-14, -0x1.7cdb08e405f27p-14, -0x1.70022f871ac71p-14, -0x1.633fc746f1ca8p-14, -0x1.5693ed5e4dd05p-14, -0x1.49ff37eb1bfd6p-14, -0x1.3d820ccc43d15p-14, -0x1.311c3cf497cfcp-14, -0x1.24cdcf18f3725p-14, -0x1.18972eb98a929p-14, -0x1.0c78f99ef0d76p-14, -0x1.00727e7d58f15p-14, -0x1.e907e67343022p-15, -0x1.d15c5def84af4p-15, -0x1.b9e18ecaaf15ep-15, -0x1.a298118f7dfb4p-15, -0x1.8b800a69ad5fep-15, -0x1.7499beff6cd48p-15, -0x1.5de54f55ee7fap-15, -0x1.4762fed8244d2p-15, -0x1.3112af2bb14dep-15, -0x1.1af4f5b1f56e7p-15, -0x1.0509f3b6aaaf9p-15, -0x1.dea2f29266211p-16, -0x1.b397ff73a7573p-16, -0x1.88f13e891ae0dp-16, -0x1.5eb223cfbeb52p-16, -0x1.34d8e7c62bbddp-16, -0x1.0b663f4ab20dap-16, -0x1.c4b336f6f13e8p-17, -0x1.7366ec4cd8486p-17, -0x1.22e762846ef26p-17, -0x1.a66c76ba8a90dp-18, -0x1.08a48b6748635p-18, -0x1.b1dcb4bdabb3p-20, 0x1.70e491f31d412p-21, 0x1.8e23f76ecaaf1p-19, 0x1.5e6dbda69e166p-18, 0x1.f4338847229aap-18, 0x1.442c608594774p-17, 0x1.8d76c6a8926a4p-17, 0x1.d5f20e3179b04p-17, 0x1.0ece46b15d206p-16, 0x1.32403b2fcfa58p-16, 0x1.554d17e579d72p-16, 0x1.77f21ee91fc5ep-16, 0x1.9a329b011d3b2p-16, 0x1.bc0df6607931dp-16, 0x1.dd843d5fcd7d9p-16, 0x1.fe95ad9864ea1p-16, 0x1.0fa125d0203e2p-15, 0x1.1fc60f22529fap-15, 0x1.2fb85f10af0b9p-15, 0x1.3f78accfce8d6p-15, 0x1.4f07bc480c8e4p-15, 0x1.5e654a9a5827dp-15, 0x1.6d91788df39c3p-15, 0x1.7c8c75d8554c8p-15, 0x1.8b565425051fep-15, 0x1.99efb1275607dp-15, 0x1.a85839c12306dp-15, 0x1.b690595758dc9p-15, 0x1.c498c201685a7p-15, 0x1.d2709fc56107ap-15, 0x1.e01dbb2222973p-15, 0x1.ed9165fbd2e23p-15, 0x1.fadaa29ad72ddp-15, 0x1.03fa7dde0b2fp-14, 0x1.0a7030364a8dbp-14, 0x1.10ce87c5f4381p-14, 0x1.171592f4c5aaep-14, 0x1.1d456e3b1dd9ap-14, 0x1.235eb46575457p-14, 0x1.2960f82d8ff07p-14, 0x1.2f4c036449edep-14, 0x1.3520dd03084bfp-14, 0x1.3adfb9b23ae21p-14, 0x1.4087965d0e589p-14, 0x1.46194708be77dp-14, 0x1.4b95058eaeea1p-14, 0x1.50fae92acf673p-14, 0x1.564aeea4616b3p-14, 0x1.5b8546244e4d9p-14, 0x1.60aa14dee017p-14, 0x1.65b978f8494f4p-14, 0x1.6ab3800f3ea7dp-14, 0x1.6f98de801efe1p-14, 0x1.7468d4c9268c4p-14, 0x1.7923f7af2b229p-14, 0x1.7dca8544171c5p-14, 0x1.825c970cd0d34p-14, 0x1.86da41a04d604p-14, 0x1.8b43928c17625p-14, 0x1.8f98f4651efafp-14, 0x1.93da41d41bee5p-14, 0x1.9807c59fd999fp-14, 0x1.9c21986fb311fp-14, 0x1.a027fde3e7a01p-14, 0x1.a41b0361061f1p-14, 0x1.a7fad0830c181p-14, 0x1.abc78b2cb34ap-14, 0x1.af8167c60b6f8p-14, 0x1.b32867942b73bp-14, 0x1.b6bcf016e9061p-14, 0x1.ba3ef46aea40fp-14, 0x1.bdaebca028e07p-14, 0x1.c10c45f6b2412p-14, 0x1.c457f02fff6ap-14, 0x1.c7919939685e5p-14, 0x1.cab9a59f9da6ep-14, 0x1.cdd0276fd43bcp-14, 0x1.d0d4ec9bed599p-14, 0x1.d3c9286d63bfap-14, 0x1.d6abf16952667p-14, 0x1.d97de5a3dde62p-14, 0x1.dc3efd8acf0e7p-14, 0x1.deef61fc3fc7p-14, 0x1.e18f93c902047p-14, 0x1.e41f40ef9e656p-14, 0x1.e69ebbb5e5addp-14, 0x1.e90e354268733p-14, 0x1.eb6defa1a43dcp-14, 0x1.edbde72c62181p-14, 0x1.effe4b8d70498p-14, 0x1.f22f396dcfe1dp-14, 0x1.f450e5b2421f7p-14, 0x1.f663ba6b54d5p-14, 0x1.f8677480b5dffp-14, 0x1.fa5c0a263509cp-14, 0x1.fc425292163dep-14, 0x1.fe19e50edc7a3p-14, 0x1.ffe36f7be80bcp-14, 0x1.00cf3b244a1d7p-13, 0x1.01a5ae4e77654p-13, 0x1.027533a48a204p-13, 0x1.033e08a4105ddp-13, 0x1.03fff9c65e81bp-13, 0x1.04bad883486f7p-13, 0x1.056f5b0f17e14p-13, 0x1.061d43d49489bp-13, 0x1.06c48cfe25656p-13, 0x1.076563f0cc639p-13, 0x1.0804469279606p-13, 0x1.0894084c86025p-13, 0x1.0921f584f1168p-13, 0x1.09a9b59fcd1c6p-13, 0x1.0a2b5bf69d577p-13, 0x1.0aa6f9f23e1efp-13, 0x1.0b1ca141f164fp-13, 0x1.0b8c638f0997dp-13, 0x1.0bf652614593dp-13, 0x1.0c5a7f06cb6c3p-13, 0x1.0cb8fa377526dp-13, 0x1.0d11d7e158ba6p-13, 0x1.0d65275ccbf2dp-13, 0x1.0db2fa14b92ccp-13, 0x1.0dfb5c40bc5cfp-13, 0x1.0e3e584a643ap-13, 0x1.0e7c27798181p-13, 0x1.0eb4ad97160fbp-13, 0x1.0ee80ab350d14p-13, 0x1.0f164ef7ed03cp-13, 0x1.0f3f881700269p-13, 0x1.0f63c8fcc26d2p-13, 0x1.0f8332cd0ff7ap-13, 0x1.0f9dbc9d09c39p-13, 0x1.0fb37be0e4b47p-13, 0x1.0fc45df2b6c65p-13, 0x1.0fd0d30c566edp-13, 0x1.0fd89d7a42e18p-13, 0x1.0fdbd69986648p-13, 0x1.0fdab13f4d0f6p-13, 0x1.0fd4e048517e2p-13, 0x1.0fcad8386c85p-13, 0x1.0fbc8f7593e36p-13, 0x1.0faa455d8e382p-13, 0x1.0f9381b5c13edp-13, 0x1.0f78747c554cdp-13, 0x1.0f59a8b32ee52p-13, 0x1.0f36c4fb50a4bp-13, 0x1.0f0fe9f0a0269p-13, 0x1.0ee52c8933196p-13, 0x1.0eb69856cfd01p-13, 0x1.0e843c4ab7b25p-13, 0x1.0e4e2661ce747p-13, 0x1.0e146487019dcp-13, 0x1.0dd7048e7124ep-13, 0x1.0d96143326de5p-13, 0x1.0d51a1169b167p-13, 0x1.0d09a8d4e34b5p-13, 0x1.0cbe68935231ep-13, 0x1.0c6fbdc913527p-13, 0x1.0c1dc567a62bep-13, 0x1.0bc88cc720b9cp-13, 0x1.0b70244d30b17p-13, 0x1.0b14a4a7b7ceep-13, 0x1.0ab5c8ea41592p-13, 0x1.0a5422a6f855bp-13, 0x1.09ef71a39353dp-13, 0x1.0987c8d036d46p-13, 0x1.091d3b7550356p-13, 0x1.08afaf9398feap-13, 0x1.083f7d2f710d6p-13, 0x1.07cc7ebb5dd19p-13, 0x1.0756bf8cd1dfap-13, 0x1.06de59da7083dp-13, 0x1.06634b5d6d98p-13, 0x1.05e5ba2c1d2cbp-13, 0x1.05659344266dfp-13, 0x1.04e2e4e90181p-13, 0x1.045dd65d84f3ap-13, 0x1.03d65c4a160d3p-13, 0x1.034c7d1e64d84p-13, 0x1.02c04c4521026p-13, 0x1.0231e5a63a672p-13, 0x1.01a1339542a1ep-13, 0x1.010e451270102p-13, 0x1.0079634e04eadp-13, 0x1.ffc458f574c74p-14, 0x1.fe91faddc7a85p-14, 0x1.fd5bc96ad6cd1p-14, 0x1.fc2103f0992a5p-14, 0x1.fae294956f114p-14, 0x1.f9a0a544eabfbp-14, 0x1.f85a7966b51f2p-14, 0x1.f7110da971402p-14, 0x1.f5c3d63d2f905p-14, 0x1.f4730e474935dp-14, 0x1.f31edf1f04e38p-14, 0x1.f1c755a02a258p-14, 0x1.f06c87fc2eb25p-14, 0x1.ef0e411c490efp-14, 0x1.edad270cc8465p-14, 0x1.ec48b9a79fbb5p-14, 0x1.eae14fdc34d1ep-14, 0x1.e976d99d8960ap-14, 0x1.e809bcf00b9fp-14, 0x1.e699a63e5985bp-14, 0x1.e526c9377658cp-14, 0x1.e3b1571425337p-14, 0x1.e23924e1755a8p-14, 0x1.e0be7287bd93dp-14, 0x1.df413c97a2be5p-14, 0x1.ddc1900e28997p-14, 0x1.dc3f9d1a5a14fp-14, 0x1.dabb3c7e4a0acp-14, 0x1.d9348e7292de9p-14, 0x1.d7abc56e8fdcp-14, 0x1.d620d83c2d1d2p-14, 0x1.d493e6e576b2p-14, 0x1.d304bf5823639p-14, 0x1.d173bc91481c9p-14, 0x1.cfe0ddf4a216fp-14, 0x1.ce4c18ca85ba1p-14, 0x1.ccb58a06fcd69p-14, 0x1.cb1d3146222f1p-14, 0x1.c9832151b6831p-14, 0x1.c7e798ab9eda1p-14, 0x1.c64a6af1991d3p-14, 0x1.c4ab7af588334p-14, 0x1.c30b744177635p-14, 0x1.c169afff8730fp-14, 0x1.bfc6bbd67d85ap-14, 0x1.be224cccd77f5p-14, 0x1.bc7c73f793e5fp-14, 0x1.bad5ae894f90ap-14, 0x1.b92d967fcaba3p-14, 0x1.b78461c688647p-14, 0x1.b5da036cb14d8p-14, 0x1.b42e944dcd221p-14, 0x1.b28237e395f12p-14, 0x1.b0d4ded4fa954p-14, 0x1.af26a53375b6bp-14, 0x1.ad77836ebf8abp-14, 0x1.abc7a43ce1562p-14, 0x1.aa16a60391869p-14, 0x1.a86562037eec7p-14, 0x1.a6b30a33964a5p-14, 0x1.a5000d06576a8p-14, 0x1.a34cadbc2f61cp-14, 0x1.a198a074896ccp-14, 0x1.9fe3e91eac542p-14, 0x1.9e2e853c5a665p-14, 0x1.9c7926d6e60c2p-14, 0x1.9ac33e6613bf1p-14, 0x1.990cbdb9aa1bap-14, 0x1.9755f57ff1abep-14, 0x1.959ea93c6c3c3p-14, 0x1.93e74418dfd3p-14, 0x1.922f93c287306p-14, 0x1.9077aa657d0f6p-14, 0x1.8ebf917d6d938p-14, 0x1.8d074e3d82ef1p-14, 0x1.8b4ecf06a7cc1p-14, 0x1.8996a521f3c67p-14, 0x1.87de1f4dc9ae9p-14, 0x1.862554431cdf9p-14, 0x1.846cf9f570d29p-14, 0x1.82b44a011ab98p-14, 0x1.80fc0fb7e09c4p-14, 0x1.7f439eab520cap-14, 0x1.7d8b6185c8f42p-14, 0x1.7bd332a98bc6cp-14, 0x1.7a2d0d719c322p-14, 0x1.7863e1cb391d3p-14, 0x1.76ac3bfb1cc7bp-14, 0x1.74f5302b3a56dp-14, 0x1.733e5046ed9bp-14, 0x1.7187bd6a4c4b7p-14, 0x1.6fd16c4c29e5ep-14, 0x1.6e1b85e648b2dp-14, 0x1.6c661e009a22cp-14, 0x1.6ab11c6d845d3p-14, 0x1.68fc680b00e24p-14, 0x1.67485052dc5a9p-14, 0x1.6594a0f7667b3p-14, 0x1.63e16c238e6adp-14, 0x1.622efe9708ccdp-14, 0x1.607cc29eba297p-14, 0x1.5ecb0b81d2c05p-14, 0x1.5d1a7c344edebp-14, 0x1.5b6a222267676p-14, 0x1.59ba64cda778bp-14, 0x1.580b7ef586cb9p-14, 0x1.565d3287a8fc9p-14, 0x1.54af9a4a3e5b6p-14, 0x1.5302b9d354272p-14, 0x1.515697d594575p-14, 0x1.4fab0aa6c33a8p-14, 0x1.4e009aa22559cp-14, 0x1.4c56c720a79ccp-14, 0x1.4aadadfae57a6p-14, 0x1.490582f4ca788p-14, 0x1.475e47e938c25p-14, 0x1.45b7c1c84ed8ap-14, 0x1.4412241c85a94p-14, 0x1.426d92f62e416p-14, 0x1.40c9a9e8308f4p-14, 0x1.3f26c8b9e0661p-14, 0x1.3d84cdf74ee2p-14, 0x1.3be3c1a58e1fp-14, 0x1.3a43e2d59d959p-14, 0x1.38a4b99493b6bp-14, 0x1.3706c3c4eeb79p-14, 0x1.3569c4888ead3p-14, 0x1.33cdb2b274456p-14, 0x1.3232aff5d9712p-14, 0x1.3098edf0e2197p-14, 0x1.2f0007aeba8f8p-14, 0x1.2d68275aa4ffbp-14, 0x1.2bd18cbfffa8cp-14, 0x1.2a3bc78846dacp-14, 0x1.28a782def2268p-14, 0x1.2714044118111p-14, 0x1.2581ba4f927a5p-14, 0x1.23f0a85b2b995p-14, 0x1.2260b5430d5fep-14, 0x1.20d1ea97a5a68p-14, 0x1.1f44473e1cfe2p-14, 0x1.1db7df9aa855bp-14, 0x1.1c2c809c13ae6p-14, 0x1.1aa2944c3dd92p-14, 0x1.1919b0d5341fbp-14, 0x1.17920a7d42bfap-14, 0x1.160bb8d0ed301p-14, 0x1.14869c48163eap-14, 0x1.13029c84e1422p-14, 0x1.117ff6917760bp-14, 0x1.0ffe90f4705d3p-14, 0x1.0e7e5aeb05a3dp-14, 0x1.0cff916eb51a7p-14, 0x1.0b81f47f5c97cp-14, 0x1.0a05a7bcfcbd2p-14, 0x1.088a92a081d8fp-14, 0x1.0710e8b1bc153p-14, 0x1.0598b34c28e0ep-14, 0x1.04219281d253p-14, 0x1.02abaa5fda803p-14, 0x1.01372e8d05edp-14, 0x1.ff88470d30f4p-15, 0x1.fca4a4d04c82ap-15, 0x1.f9c3c37c2820cp-15, 0x1.f6e5b30065a42p-15, 0x1.f409f91213f9bp-15, 0x1.f1314ec96a9e6p-15, 0x1.ee5b2dec17f5fp-15, 0x1.eb87f6dcf17c5p-15, 0x1.e8b7445160485p-15, 0x1.e5e96c67535cfp-15, 0x1.e31dd3f66cdcp-15, 0x1.e0562333aacc7p-15, 0x1.dd904af7cacacp-15, 0x1.dacd622c4d81cp-15, 0x1.d80d6925d1fa7p-15, 0x1.d5504d9164723p-15, 0x1.d295a8e1a98e7p-15, 0x1.cfde0440fdadcp-15, 0x1.cd290726250b2p-15, 0x1.ca773028c02e7p-15, 0x1.c7c7d38a026b8p-15, 0x1.c51b25203fab5p-15, 0x1.c271be2c210b9p-15, 0x1.bfcad71b835f5p-15, 0x1.bd26d418120b7p-15, 0x1.ba85736e6b85bp-15, 0x1.b7e74ef50937p-15, 0x1.b54bf8637469ep-15, 0x1.b2b3430695e39p-15, 0x1.b01cf345f99eap-15, 0x1.ad8a37da52009p-15, 0x1.aafa25750f092p-15, 0x1.a86cc74090ddep-15, 0x1.a5e25a8edebfep-15, 0x1.a35aaa4ecc083p-15, 0x1.a0d5e077b234bp-15, 0x1.9e53e19fbb654p-15, 0x1.9bd4c35c606fdp-15, }}, 
      {{-0x1.948426408d622p+1, -0x1.87c95b4cc9e86p+1, -0x1.7882ba85ebd04p+1, -0x1.67af2d6ef4493p+1, -0x1.5611c778cea73p+1, -0x1.443e2a5c147a9p+1, -0x1.32a275b29a058p+1, -0x1.218f328910855p+1, -0x1.113da1bc2512bp+1, -0x1.01d4c0d7cbcf9p+1, -0x1.e6da925c6a74p+0, -0x1.cc29bea3d17efp+0, -0x1.b3a13bb6a5b78p+0, -0x1.9d3e3a7347b15p+0, -0x1.88f425f6ab08dp+0, -0x1.76af3ad23cb9fp+0, -0x1.665697bfb1b17p+0, -0x1.57cde1efcaf54p+0, -0x1.4af691cb4807fp+0, -0x1.3fb0f8d6005f2p+0, -0x1.35dd0e020dbe4p+0, -0x1.2d5b0b9eaa668p+0, -0x1.260be738afc2bp+0, -0x1.1fd1aae0b49b8p+0, -0x1.1a8fb602df421p+0, -0x1.162ae980512a7p+0, -0x1.1289c4b33bc99p+0, -0x1.0f9474bd1da5dp+0, -0x1.0d34da5861f54p+0, -0x1.0b56876a0b948p+0, -0x1.09e6b6a2c7cb4p+0, -0x1.08d43e7ad6e23p+0, -0x1.080f808f5e484p+0, -0x1.078a5776633efp+0, -0x1.07380126cdedbp+0, -0x1.070d0abe67437p+0, -0x1.06ff3a27d59a4p+0, -0x1.07057867053b5p+0, -0x1.0717bc26f08d3p+0, -0x1.072ef4e36452dp+0, -0x1.0744f6c6086e5p+0, -0x1.0754678657ffp+0, -0x1.0758ac3d8843p+0, -0x1.074dd84e6431ap+0, -0x1.07309d5f08a42p+0, -0x1.06fe3c67536efp+0, -0x1.06b4779ab8d4bp+0, -0x1.0651858f95f94p+0, -0x1.05d4051c0e96ap+0, -0x1.053af238660f7p+0, -0x1.04859bb2c3986p+0, -0x1.03b399b847d2fp+0, -0x1.02c4c5110ef66p+0, -0x1.01b92f362f95cp+0, -0x1.00911b0b647c7p+0, -0x1.fe99ec601f967p-1, -0x1.fbdaa6185a633p-1, -0x1.f8e5c6b3b9bf8p-1, -0x1.f5bce67297231p-1, -0x1.f261c97c2c21dp-1, -0x1.eed657e7823cfp-1, -0x1.eb1c969c5f62ep-1, -0x1.e736a0dd8c9d7p-1, -0x1.e326a28cf1528p-1, -0x1.deeed32b61271p-1, -0x1.da91714a8545ap-1, -0x1.d610be9ffee3ap-1, -0x1.d16efc878527fp-1, -0x1.ccae68ff9bc02p-1, -0x1.c7d13c00b427fp-1, -0x1.c2d9a53eb443cp-1, -0x1.bdc9ca4642e72p-1, -0x1.b8a3c4bb642c2p-1, -0x1.b369a11a1bf67p-1, -0x1.ae1d5d781ba6p-1, -0x1.a8c0e8d1a75aap-1, -0x1.a356220edd153p-1, -0x1.9dded793ed448p-1, -0x1.985cc703cb3ep-1, -0x1.92d19cccaf275p-1, -0x1.8d3ef41585a71p-1, -0x1.87a656b9d1aecp-1, -0x1.82093d5a59e21p-1, -0x1.7c690f7a6edc6p-1, -0x1.76c7238b4d8e1p-1, -0x1.7124bf967535ap-1, -0x1.6b83193efff57p-1, -0x1.65e35601f637p-1, -0x1.60468bdd78194p-1, -0x1.5aadc1950f975p-1, -0x1.5519ef25a40ccp-1, -0x1.4f8bfe4148f34p-1, -0x1.4a04cab52e226p-1, -0x1.448522e5ca79p-1, -0x1.3f0dc85be1e35p-1, -0x1.399f701c5354ep-1, -0x1.343ac341ec73cp-1, -0x1.2ee05f60ebbd8p-1, -0x1.2990d6fe81573p-1, -0x1.244cb211d185ap-1, -0x1.1f146e73bd01cp-1, -0x1.19e8804455a2bp-1, -0x1.14c9526511e3ep-1, -0x1.0fb746e608fe8p-1, -0x1.0ab2b76211754p-1, -0x1.05bbf56f514c9p-1, -0x1.00d34af0f86dcp-1, -0x1.f7f1f533e6768p-2, -0x1.ee5a80533e1f7p-2, -0x1.e4e0a18812fp-2, -0x1.db84b6a83da17p-2, -0x1.d24711cce5be3p-2, -0x1.c927f9bef59fp-2, -0x1.c027aab9bbe2ep-2, -0x1.b74656dee2b02p-2, -0x1.ae8426e9cf447p-2, -0x1.a5e13a852146dp-2, -0x1.9d5da8f160a01p-2, -0x1.94f98170a87a4p-2, -0x1.8cb4cbb2457efp-2, -0x1.848f885f9fefep-2, -0x1.7c89b16dbf811p-2, -0x1.74a33a8681dcdp-2, -0x1.6cdc11818b20bp-2, -0x1.65341ea08e2bcp-2, -0x1.5dab44faba7c1p-2, -0x1.564162cb0f50ap-2, -0x1.4ef651cea11p-2, -0x1.47c9e76e3479p-2, -0x1.40bbf532e4eep-2, -0x1.39cc48eae8472p-2, -0x1.32faacfcbaa4cp-2, -0x1.2c46e893d0d54p-2, -0x1.25b0bff094512p-2, -0x1.1f37f483abc4ep-2, -0x1.18dc45445d52bp-2, -0x1.129d6edafdbf5p-2, -0x1.0c7b2bb8b4437p-2, -0x1.0675344c62c5p-2, -0x1.008b3f5405a08p-2, -0x1.f57a039450d1fp-3, -0x1.ea145e75c5343p-3, -0x1.dee4f3a65b75ep-3, -0x1.d3eb251363b26p-3, -0x1.c926526662fc9p-3, -0x1.be95d96e974b1p-3, -0x1.b4391639b1234p-3, -0x1.aa0f63580a7b5p-3, -0x1.a0181a1609157p-3, -0x1.965292a3e4dbp-3, -0x1.8cbe244b0350ap-3, -0x1.835a25968d87fp-3, -0x1.7a25ec8ffc99ap-3, -0x1.7120cec5ad377p-3, -0x1.684a219f35af1p-3, -0x1.5fa13a265ef8bp-3, -0x1.57256dc903ca7p-3, -0x1.4ed611c2c3d8p-3, -0x1.46b27bd0dd37p-3, -0x1.3eba01ea6b7cep-3, -0x1.36ebfa9691b5ap-3, -0x1.2f47bcccedd13p-3, -0x1.27cca06a563e4p-3, -0x1.2079fdd182847p-3, -0x1.194f2e6b269e8p-3, -0x1.124b8c8922933p-3, -0x1.0b6e736540853p-3, -0x1.04b73f44db86bp-3, -0x1.fc4a9b6f12119p-4, -0x1.ef6ffaadf32d1p-4, -0x1.e2dd5c0db34c1p-4, -0x1.d69182051582ap-4, -0x1.ca8b31b47178fp-4, -0x1.bec932e2ecb21p-4, -0x1.b34a5045e61abp-4, -0x1.a80d57b33e3d6p-4, -0x1.9d1119f366e22p-4, -0x1.92546ab620c03p-4, -0x1.87d620f2810e8p-4, -0x1.7d9516c987006p-4, -0x1.739029c82c05p-4, -0x1.69c63a7d9e6a4p-4, -0x1.60362d0dca3c3p-4, -0x1.56dee8e324d5bp-4, -0x1.4dbf58eafb9a6p-4, -0x1.44d66b4c4b257p-4, -0x1.3c2311d4185c1p-4, -0x1.33a441c6d2f19p-4, -0x1.2b58f3d757a4bp-4, -0x1.2340242967fb9p-4, -0x1.1b58d2a9b5059p-4, -0x1.13a2027b3866ap-4, -0x1.0c1aba9fcc211p-4, -0x1.04c2053fa5748p-4, -0x1.fb2de13e342cep-5, -0x1.ed311bb81cf34p-5, -0x1.df8be44c0128ep-5, -0x1.d23c6bc63e87fp-5, -0x1.c540ea96e9d9dp-5, -0x1.b8979f5c2c7dap-5, -0x1.ac3ed09545c27p-5, -0x1.a034cb37bad88p-5, -0x1.9477e2dfab0dp-5, -0x1.890672d6b1a3ep-5, -0x1.7ddedcb373649p-5, -0x1.72ff88dc44832p-5, -0x1.6866e68a77dddp-5, -0x1.5e136bf8a31a9p-5, -0x1.540395be95667p-5, -0x1.4a35e6ff30f78p-5, -0x1.40a8e9a894df8p-5, -0x1.375b2e11f1e7dp-5, -0x1.2e4b4ae4ab2f8p-5, -0x1.2577ddc021d8dp-5, -0x1.1cdf89774f62fp-5, -0x1.1480f85ce2c27p-5, -0x1.0c5ada774cb5cp-5, -0x1.046be56f558fbp-5, -0x1.f965abc538e78p-6, -0x1.ea5cdb37fb371p-6, -0x1.dbbaea5b783bp-6, -0x1.cd7d754812c2ap-6, -0x1.bfa222e971384p-6, -0x1.b226a643f9f65p-6, -0x1.a508be686b89ep-6, -0x1.984634d1c3b9fp-6, -0x1.8bdcddbaa5b0ep-6, -0x1.7fca990ae80f8p-6, -0x1.740d5105cf1ccp-6, -0x1.68a2fa71a99bep-6, -0x1.5d89948cf1038p-6, -0x1.52bf28ef8a0a8p-6, -0x1.4841cb9c85c67p-6, -0x1.3e0f9a32bff82p-6, -0x1.3426bcc8b30afp-6, -0x1.2a85643dfae33p-6, -0x1.2129cc175cc0dp-6, -0x1.18123862c9427p-6, -0x1.0f3cf7306717p-6, -0x1.06a85f3a65953p-6, -0x1.fca5a0f2a50b9p-7, -0x1.ec75673d7942ep-7, -0x1.dcbcf44819c55p-7, -0x1.cd793c192709cp-7, -0x1.bea744796c55bp-7, -0x1.b04420f774aadp-7, -0x1.a24cfa0bdd70dp-7, -0x1.94bf03f83b789p-7, -0x1.8797859fe451bp-7, -0x1.7ad3d31127747p-7, -0x1.6e715120fd29ap-7, -0x1.626d73226072p-7, -0x1.56c5ba330e286p-7, -0x1.4b77b80c65dacp-7, -0x1.40810bcdbb74fp-7, -0x1.35df626ca563cp-7, -0x1.2b907605e7c5ap-7, -0x1.21920cbc2acd7p-7, -0x1.17e1fbe57b7b3p-7, -0x1.0e7e24df3b328p-7, -0x1.0564748281798p-7, -0x1.f925ccf559e04p-8, -0x1.e80f0aec5ca82p-8, -0x1.d780c7464f3eap-8, -0x1.c777406913728p-8, -0x1.b7eec90907ebp-8, -0x1.a8e3c73762b5fp-8, -0x1.9a52b805f39ecp-8, -0x1.8c3831c90193dp-8, -0x1.7e90e32742214p-8, -0x1.71599284953e2p-8, -0x1.648f17c430836p-8, -0x1.582e611af604ep-8, -0x1.4c34687ccd4e9p-8, -0x1.409e3552541b7p-8, -0x1.3568e5718ce54p-8, -0x1.2a91a9050d519p-8, -0x1.2015c4a214625p-8, -0x1.15f2987b5e57bp-8, -0x1.0c2592ee9fc3cp-8, -0x1.02ac38d40b759p-8, -0x1.f3082b36534a4p-9, -0x1.e15581a4297f6p-9, -0x1.d03bbb7ab4938p-9, -0x1.bfb63a6a0d669p-9, -0x1.afc0848e548f3p-9, -0x1.a0564c27724fp-9, -0x1.917364c3254b8p-9, -0x1.8313cad844ee7p-9, -0x1.753395d55b1b9p-9, -0x1.67ceeb0bef8ep-9, -0x1.5ae1fcf54036dp-9, -0x1.4e6912846466cp-9, -0x1.42608569c238bp-9, -0x1.36c4ce4c538d2p-9, -0x1.2b92875d67697p-9, -0x1.20c66ee7088e3p-9, -0x1.165d5e9475fc5p-9, -0x1.0c5447a045cf6p-9, -0x1.02a828f33b0bfp-9, -0x1.f2ac0ff0ff5e4p-10, -0x1.e0b5f9b285cafp-10, -0x1.cf6864707c6fcp-10, -0x1.bebdcf7f79fcep-10, -0x1.aeb0eb17ce4aap-10, -0x1.9f3cbb4e3bf63p-10, -0x1.905c51b9a9734p-10, -0x1.820af15a01039p-10, -0x1.7443efb5bd0f4p-10, -0x1.6702a8901034fp-10, -0x1.5a428e247c95ep-10, -0x1.4dff3816a7ff6p-10, -0x1.42345b58dfa71p-10, -0x1.36ddf81cd296bp-10, -0x1.2bf829aa139f7p-10, -0x1.217f459a6a84bp-10, -0x1.176fb1754f453p-10, -0x1.0dc5d3506a37cp-10, -0x1.047e2f2d492e1p-10, -0x1.f72a7e9ff2f66p-11, -0x1.e60f27d82b11ap-11, -0x1.d5a39bc9c613ap-11, -0x1.c5e191b5e5ac9p-11, -0x1.b6c31008efe9cp-11, -0x1.a842802ddd585p-11, -0x1.9a5a598dcb54cp-11, -0x1.8d0545e34ca64p-11, -0x1.803e016d6bd99p-11, -0x1.73ff745dbf437p-11, -0x1.68449ebb9ee22p-11, -0x1.5d088b3c0fcddp-11, -0x1.5246598a30a15p-11, -0x1.47f964af47b05p-11, -0x1.3e1d5af83740dp-11, -0x1.34ae2216f54f4p-11, -0x1.2ba799b1673c7p-11, -0x1.23057d6d5b35dp-11, -0x1.1ac38e57df247p-11, -0x1.12dddc74a2165p-11, -0x1.0b50e8e03184fp-11, -0x1.041981c722f12p-11, -0x1.fa690007b8a02p-12, -0x1.ed3d7124de9b6p-12, -0x1.e0aa7379b4d95p-12, -0x1.d4aabd5cc6e56p-12, -0x1.c93935906b0f4p-12, -0x1.be4fee23e363p-12, -0x1.b3e7bfebf75bap-12, -0x1.a9f91295b4118p-12, -0x1.a07d434dd0a56p-12, -0x1.976edeb22ca89p-12, -0x1.8eca05a2e78b6p-12, -0x1.868b5dfbd3f2bp-12, -0x1.7eaf0466b8295p-12, -0x1.7731a6f31240bp-12, -0x1.70102aa8f7a7ep-12, -0x1.694820e4dec86p-12, -0x1.62d6d218fa4b8p-12, -0x1.5cb811646fb8dp-12, -0x1.56e5ed7f8e467p-12, -0x1.5159b396bfd12p-12, -0x1.4c0d9ee595806p-12, -0x1.46fde8251bfa2p-12, -0x1.4228712ae28d5p-12, -0x1.3d8b9e00d2e34p-12, -0x1.3925896e4d2f2p-12, -0x1.34f4452cc4c22p-12, -0x1.30f62d3e48f6ap-12, -0x1.2d2a24c738458p-12, -0x1.298f46ad0f401p-12, -0x1.2623b7fb7bfd9p-12, -0x1.22e41e8559a6cp-12, -0x1.1fcbea7db3d18p-12, -0x1.1cd65ffa77954p-12, -0x1.19ff99f84cbbap-12, -0x1.1745251beba88p-12, -0x1.14a5f60f9a9d5p-12, -0x1.1221a3bedb5abp-12, -0x1.0fb7870f13ba8p-12, -0x1.0d6693c08e511p-12, -0x1.0b2dd7308fdafp-12, -0x1.090cc0d155db1p-12, -0x1.0702a31cc2d4fp-12, -0x1.050e5cfb1f7c4p-12, -0x1.032e629978521p-12, -0x1.0160c9d892605p-12, -0x1.ff4606d65aa96p-13, -0x1.fbe4f5b4f59b4p-13, -0x1.f8991b90c7285p-13, -0x1.f560648c91fbep-13, -0x1.f23ac78db0332p-13, -0x1.ef285bfd6637ep-13, -0x1.ec286d029c744p-13, -0x1.e939cabc422b6p-13, -0x1.e65bdb5045c75p-13, -0x1.e38cc6dba9a99p-13, -0x1.e0cb73d17915fp-13, -0x1.de16a77d6692cp-13, -0x1.db6d466030ee2p-13, -0x1.d8ce6b13e957bp-13, -0x1.d637f25031effp-13, -0x1.d3a731b6c85d2p-13, -0x1.d118c6a001a8cp-13, -0x1.ce8be024e6d1ap-13, -0x1.cc00c547322e3p-13, -0x1.c976908e955edp-13, -0x1.c6ecc9a7f2ce3p-13, -0x1.c4643ed496546p-13, -0x1.c1dc31287ec5dp-13, -0x1.bf53150c5a7dcp-13, -0x1.bcc82e8c5e5dbp-13, -0x1.ba3b459787a77p-13, -0x1.b7ac5494f6de2p-13, -0x1.b51ae412b0ca1p-13, -0x1.b2867a798d551p-13, -0x1.afee7befd3518p-13, -0x1.ad5166ff2addcp-13, -0x1.aaae98c9d0cd3p-13, -0x1.a8074020813d2p-13, -0x1.a55a3469cb5dbp-13, -0x1.a2a5d68a55136p-13, -0x1.9feb3117fd349p-13, -0x1.9d2ae7eba51cap-13, -0x1.9a64152d23352p-13, -0x1.97960fdb89224p-13, -0x1.94c165de8b969p-13, -0x1.91e5e52f35ac8p-13, -0x1.8f0393ab13214p-13, -0x1.8c1a35e603064p-13, -0x1.8929e2ac3354p-13, -0x1.86329b3a27012p-13, -0x1.8333f327bba58p-13, -0x1.802dbbed64923p-13, -0x1.7d212524e653dp-13, -0x1.7a0dd097c64f7p-13, -0x1.76f32e8e7c9dap-13, -0x1.73d16cd2275cap-13, -0x1.70a84ce15c044p-13, -0x1.6d7837317376ep-13, -0x1.6a40fab5fdde4p-13, -0x1.67030ed70fd1cp-13, -0x1.63bec8e6f7e28p-13, -0x1.6074318855b0fp-13, -0x1.5d2311d9d0ee2p-13, -0x1.59cb69a564d94p-13, -0x1.566de0e5a76d2p-13, -0x1.530a7d7449367p-13, -0x1.4fa1715a5d56cp-13, -0x1.4c32a17c3570dp-13, -0x1.48be63f33a061p-13, -0x1.4544fa60bbca9p-13, -0x1.41c70ce16518ap-13, -0x1.3e4459c61a69bp-13, -0x1.3abc453b0cac9p-13, -0x1.372fa97fdea95p-13, -0x1.339ec4b44eebfp-13, -0x1.300990bdd6702p-13, -0x1.2c70a5c134b6ap-13, -0x1.28d4054518c9bp-13, -0x1.2533bdd58c27ep-13, -0x1.21900aed01adbp-13, -0x1.1de929a1ffa28p-13, -0x1.1a3f4cad59043p-13, -0x1.1692e7f362b65p-13, -0x1.12e40e9845783p-13, -0x1.0f32c7b196463p-13, -0x1.0b7f179473f82p-13, -0x1.07c9c0aecf8e5p-13, -0x1.0412f1b0d0ed2p-13, -0x1.005a6b3b09386p-13, -0x1.f9416d996a77fp-14, -0x1.f1cb8c62f2d45p-14, -0x1.ea539864c224dp-14, -0x1.e2da716f0c14bp-14, -0x1.db6060dbeb2p-14, -0x1.d3e5a1ce52225p-14, -0x1.cc6a9655ec7f9p-14, -0x1.c4efaa11fbd26p-14, -0x1.bd754148a199fp-14, -0x1.b5fbb7e54250ep-14, -0x1.ae8364725c82ap-14, -0x1.a70ce92fed46ap-14, -0x1.9f98686252df3p-14, -0x1.9826488fbd868p-14, -0x1.90b668fcbdf01p-14, -0x1.8949f7c1ec253p-14, -0x1.81e101591dd0bp-14, -0x1.7a7b9fed0f4a5p-14, -0x1.731a41dbb288ep-14, -0x1.6bbd5f100d273p-14, -0x1.646538bdfe0dfp-14, -0x1.5d11f9e914ca6p-14, -0x1.55c42143af5d3p-14, -0x1.4e7bcb8a677c7p-14, -0x1.47397b4c798e8p-14, -0x1.3ffd6b7282ad6p-14, -0x1.38c7dc1cf8d31p-14, -0x1.31992323602e4p-14, -0x1.2a71527ff732p-14, -0x1.2350d024acd1ep-14, -0x1.1c38130108a3cp-14, -0x1.152703e311f4bp-14, -0x1.0e1e049399d23p-14, -0x1.071d8a842933p-14, -0x1.002574e8fe59dp-14, -0x1.f26cb9d33d22ep-15, -0x1.e49fdfae5f6cfp-15, -0x1.d6e5d02af4d5p-15, -0x1.c93ed41a8edccp-15, -0x1.bbab23c86878ep-15, -0x1.ae2b0aad83646p-15, -0x1.a0bf197f86ec4p-15, -0x1.9367a767e70dfp-15, -0x1.862511285a5bfp-15, -0x1.78f7aa71200acp-15, -0x1.6bdfe1efcef1ap-15, -0x1.5ede1293255e2p-15, -0x1.51f202b920426p-15, -0x1.451cdc2501de9p-15, -0x1.385ea36d79f4cp-15, -0x1.2bb72c875ed9dp-15, -0x1.1f272b9428d3cp-15, -0x1.12aec9b40b6f1p-15, -0x1.064e773d48f75p-15, -0x1.f40c74f0a9a27p-16, -0x1.dbacc3233d305p-16, -0x1.c37d9f3e42062p-16, -0x1.ab8071311782p-16, -0x1.93b7570f01617p-16, -0x1.7c1d51493a203p-16, -0x1.64b843a28ccccp-16, -0x1.4d85448210517p-16, -0x1.36866a94d8d75p-16, -0x1.1fbb7392983ccp-16, -0x1.09247934e188dp-16, -0x1.e583b968f610bp-17, -0x1.b927dbcaf0d81p-17, -0x1.8d35eae3b931p-17, -0x1.61ad8a92eb9fep-17, -0x1.369078e1b6e11p-17, -0x1.0bded1436fe8ep-17, -0x1.c32fb81ad9489p-18, -0x1.6f798f54efc06p-18, -0x1.1c9bee11c5b1bp-18, -0x1.952de149f8a03p-19, -0x1.e5ac7adc1edfap-20, -0x1.48bf21efa2523p-21, 0x1.32fcb34beba3ap-21, 0x1.d3f86f4b70c51p-20, 0x1.8580fa13c6e77p-19, 0x1.0fae17323704ep-18, 0x1.5bbbc70e66efdp-18, 0x1.a6ed59ee1a4acp-18, 0x1.f1473b74c3cc5p-18, 0x1.1d633e319f5a3p-17, 0x1.41b35daa5adcfp-17, 0x1.65986c584ca35p-17, 0x1.890f57284b98p-17, 0x1.ac1a73903c43bp-17, 0x1.ceb57b23463f7p-17, 0x1.f0e6e852f3042p-17, 0x1.09552013dc6a9p-16, 0x1.19fff5d766e83p-16, 0x1.2a756fecd3667p-16, 0x1.3ab4958f83f08p-16, 0x1.4abdeeacd9f49p-16, 0x1.5a914b287f195p-16, 0x1.6a2f10c1dd10ap-16, 0x1.79976878da6fp-16, 0x1.88ca66e9d22fcp-16, 0x1.97c833d6b0e1bp-16, 0x1.a6910191c3cacp-16, 0x1.b525005b8b3a1p-16, 0x1.c38463e1291b3p-16, 0x1.d1afc0158cd0bp-16, 0x1.dfa5b83ad1256p-16, 0x1.ed68afbcbe31p-16, 0x1.faf7b0952b16fp-16, 0x1.0429bc890a4c7p-15, 0x1.0abda48a28b53p-15, 0x1.11381a36ef96ap-15, 0x1.17992f3952f5fp-15, 0x1.1de0f2399c32fp-15, 0x1.240f738bd69a9p-15, 0x1.2a2547fe08ab2p-15, 0x1.30220563aebabp-15, 0x1.3605c1994a6f8p-15, 0x1.3bd0d3065490fp-15, 0x1.4183c088e73e6p-15, 0x1.471e4fd669f5ap-15, 0x1.4ca07e271beafp-15, 0x1.520a968c0637p-15, 0x1.575d44a2db309p-15, 0x1.5c97cf6561a2fp-15, 0x1.61ba7452eed6ep-15, 0x1.66c614f02d7ecp-15, 0x1.6bba381b3124fp-15, 0x1.7097569753415p-15, 0x1.755d7b48cd6bbp-15, 0x1.7a0cdc59bd568p-15, 0x1.7ea58f230d02cp-15, 0x1.8327cdc1f2bep-15, 0x1.8793992c7927ep-15, 0x1.8be9594219596p-15, 0x1.902938dd40ebp-15, 0x1.9453313677c25p-15, 0x1.9867a678e9b16p-15, 0x1.9c661bf8523fap-15, 0x1.a04fc9e43ce4cp-15, 0x1.a424462e14edcp-15, 0x1.a7e3dd301f0e5p-15, 0x1.ab8e8816c34a9p-15, 0x1.af24986dfa039p-15, 0x1.b2a625ecc901dp-15, 0x1.b61399be49d2fp-15, 0x1.b96cf08a7859dp-15, 0x1.bcb25b064328fp-15, 0x1.bfe3f797b989cp-15, 0x1.c30241c10929dp-15, 0x1.c60d1fc446701p-15, 0x1.c9047f9366058p-15, 0x1.cbe9539059f3bp-15, 0x1.cebaa3e6c16ep-15, 0x1.d179b81f48ebfp-15, 0x1.d426e360757dep-15, 0x1.d6c104d7b5266p-15, 0x1.d948cccde6b4cp-15, 0x1.dbbf51eaaa1b9p-15, 0x1.de23c73636feap-15, 0x1.e0769bc92e45p-15, 0x1.e2b81053710dep-15, 0x1.e4e8508c306f9p-15, 0x1.e7079b12a7496p-15, 0x1.e9159bb72d2bdp-15, 0x1.eb13487f28c1cp-15, 0x1.ed008dad3b167p-15, 0x1.eedd3862afd75p-15, 0x1.f0a9b6f306626p-15, 0x1.f2663e39bb76cp-15, 0x1.f412f92f0fe6p-15, 0x1.f5b0245afdd6cp-15, 0x1.f73dadfb11031p-15, 0x1.f8bc0e99a44dep-15, 0x1.fa2b45d330267p-15, 0x1.fb8b4125478e7p-15, 0x1.fcdcdb9e97a0cp-15, 0x1.fe219b1e0acf6p-15, 0x1.ff542e9add867p-15, 0x1.003d2def34be6p-14, 0x1.00c91fafb7055p-14, 0x1.014e1f31f22d5p-14, 0x1.01cc467c15b25p-14, 0x1.0243ab715c25p-14, 0x1.02b464df0326p-14, 0x1.031e46bd55e84p-14, 0x1.0381b29995e81p-14, 0x1.03dee516c4fdp-14, 0x1.04358344fe7e9p-14, 0x1.04858730486a9p-14, 0x1.04cfb37c948b7p-14, 0x1.0513b7df5486fp-14, 0x1.05519654772c8p-14, 0x1.058968a5f81c5p-14, 0x1.05bb5d35596fdp-14, 0x1.05e77f3b25c71p-14, 0x1.060de1390d843p-14, 0x1.062e9a10e182bp-14, 0x1.0649ca54f5686p-14, 0x1.065f31e7d9217p-14, 0x1.066f68e61729ap-14, 0x1.067a41bff1f76p-14, 0x1.067fc19abd34dp-14, 0x1.067ff6362ab9dp-14, 0x1.067b17d37b38p-14, 0x1.06712e1825b64p-14, 0x1.06622e0e2ae57p-14, 0x1.064e52822e119p-14, 0x1.06359a0f25f45p-14, 0x1.06181ef68db0bp-14, 0x1.05f5e088ed1cbp-14, 0x1.05cf01c0b5d5cp-14, 0x1.05a39271f6923p-14, 0x1.0573a50d39982p-14, 0x1.053f43c247138p-14, 0x1.050692c44cf12p-14, 0x1.04c984fec788ep-14, 0x1.048844ff6be46p-14, 0x1.0442cdb7c5355p-14, 0x1.03f94ebf51e41p-14, 0x1.03abbc380d6p-14, 0x1.035a4293852e4p-14, 0x1.0304d5f935d44p-14, 0x1.02ab97524664fp-14, 0x1.024e849e4a34ep-14, 0x1.01edd7d89292ap-14, 0x1.01897f83339f8p-14, 0x1.0121772873b9p-14, 0x1.00b5fc31f67f4p-14, 0x1.0047183bd85cbp-14, 0x1.ffa942f2cff2bp-15, 0x1.febde316b90eep-15, 0x1.fdcbfc7778d0fp-15, 0x1.fcd3a0417b5b7p-15, 0x1.fbd4c55aa91bdp-15, 0x1.facfc33c322cfp-15, 0x1.f9c4aa9ff4b17p-15, 0x1.f8b3a2afc3d11p-15, 0x1.f79cb90e2f9bap-15, 0x1.f67fb6c970ad1p-15, 0x1.f55d38551493p-15, 0x1.f4359491937abp-15, 0x1.f3080f4939ce6p-15, 0x1.f1d5742ae1693p-15, 0x1.f09d347361b65p-15, 0x1.ef602a6e99799p-15, 0x1.ee1e313d9d317p-15, 0x1.ecd72844c5694p-15, 0x1.eb8ae45c90a44p-15, 0x1.ea3a18df4f874p-15, 0x1.e8e562763a201p-15, 0x1.e78b759a15891p-15, 0x1.e62d24422209ap-15, 0x1.e4caa525e8815p-15, 0x1.e363ee14c7554p-15, 0x1.e2039a9024d0bp-15, 0x1.e08a0f74f3684p-15, 0x1.df17250c139f7p-15, 0x1.dda0559e9e367p-15, 0x1.dc25c24ffba66p-15, 0x1.daa77eab84748p-15, 0x1.d925a1091ff79p-15, 0x1.d7a03fabbb127p-15, 0x1.d617709fa499dp-15, 0x1.d48b4a085953bp-15, 0x1.d2fbe2f2eefb5p-15, 0x1.d1694a5e6ac45p-15, 0x1.cfd39920bf746p-15, 0x1.ce3ae35ee6f5ep-15, 0x1.cc9f4b87b8dabp-15, 0x1.cb00b96d826e3p-15, 0x1.c95f89856cc1cp-15, 0x1.c7bb943c37257p-15, 0x1.c615001e8263ap-15, 0x1.c46be14249e4ap-15, 0x1.c2c050f72eed9p-15, 0x1.c1125b1e50ac6p-15, 0x1.bf61e8e4e3ce3p-15, 0x1.bdaf4b61f118bp-15, 0x1.bbfa98024905cp-15, 0x1.ba43f539c242fp-15, 0x1.b88adee3ed5d4p-15, 0x1.b6cff6e232a13p-15, 0x1.b51328e7b92f1p-15, 0x1.b354587d1eff9p-15, 0x1.b194506e53422p-15, 0x1.afd24b76758f8p-15, 0x1.ae0e7a4d22773p-15, 0x1.ac48a9345609dp-15, 0x1.aa81e074db007p-15, 0x1.a8ba076a870ccp-15, 0x1.a6f01bf96f029p-15, 0x1.a5250b7c6fd7ep-15, 0x1.a358b9b96b93bp-15, 0x1.a18b3142a83c3p-15, 0x1.9fbc7da1976aep-15, 0x1.9decaecff06bep-15, 0x1.9c1bd35807884p-15, 0x1.9a49f976d5722p-15, 0x1.98772f2a5ca7ep-15, 0x1.96a382378b74cp-15, 0x1.94cf002c34b49p-15, 0x1.92f9a32ff3237p-15, 0x1.9123b2029b828p-15, 0x1.8f4d0031e6ee9p-15, 0x1.8d75adf3c620fp-15, 0x1.8b9dc726d4ce4p-15, 0x1.89c550adfeccep-15, 0x1.87ec430b3b17ep-15, 0x1.86134f61b466ap-15, 0x1.84396a02b15bfp-15, 0x1.825f3635adf97p-15, 0x1.8084d56e0b5d3p-15, 0x1.7eaa2b1dcbd54p-15, 0x1.7ccf88140245p-15, 0x1.7af46c453e065p-15, 0x1.79193f7f7072ep-15, 0x1.773e112127cfbp-15, 0x1.7562ccca76184p-15, 0x1.7387987409897p-15, 0x1.71ac49df34e43p-15, 0x1.6fd126d21f4e1p-15, 0x1.6df63aed9bd74p-15, 0x1.6c1b5245fdbddp-15, 0x1.6a409f1402bafp-15, 0x1.68663356ff565p-15, 0x1.668c15b296bbbp-15, 0x1.64b21c4fae584p-15, 0x1.62d893d63167p-15, 0x1.60ff85a29c6c6p-15, 0x1.5f2676fcc0c83p-15, 0x1.5d4e4bb85f3d7p-15, 0x1.5b76643ff582fp-15, 0x1.599eb6949dd9p-15, 0x1.57c83c39bed76p-15, 0x1.55f2143d4a6f5p-15, 0x1.541c1f02308b8p-15, 0x1.5247487f91957p-15, 0x1.5072b7714d78dp-15, 0x1.4e9efe803bda3p-15, 0x1.4ccc0837c5a87p-15, 0x1.4af9c2000895bp-15, 0x1.4928399704de5p-15, 0x1.475771e07010ap-15, 0x1.4587b4dc5e23bp-15, 0x1.43b87a9f86214p-15, 0x1.41ea590831adep-15, 0x1.401d124899c5cp-15, 0x1.3e50a02d3e435p-15, 0x1.3c853bf8fe60bp-15, 0x1.3abac6c139812p-15, 0x1.38f152b5006b6p-15, 0x1.3728c5fd27997p-15, 0x1.35615b07c82d5p-15, 0x1.339afafa2500cp-15, 0x1.31d5aa2b7eefbp-15, 0x1.301176419ebdp-15, 0x1.2e4e458f7cfcdp-15, 0x1.2c8c596268421p-15, 0x1.2acba304848eep-15, 0x1.290bf39d71255p-15, 0x1.274d8303f7788p-15, 0x1.25902c8d3ab7fp-15, 0x1.23d4475779e81p-15, 0x1.221987fef1d9ep-15, 0x1.20600021ac03ap-15, 0x1.1ea7c72637cb9p-15, 0x1.1cf0d646f5c9dp-15, 0x1.1b3b4462bed2fp-15, 0x1.19870525d1e84p-15, 0x1.17d3fb8caebd2p-15, 0x1.16225fb4a7ae6p-15, 0x1.147250d3bfcfcp-15, 0x1.12c34b022600ep-15, 0x1.1115f083904f8p-15, 0x1.0f69d1bb539cdp-15, 0x1.0dbf4c66a36b7p-15, 0x1.0c1652b874bcfp-15, 0x1.0a6e70493b68dp-15, 0x1.08c82c672234fp-15, 0x1.07235d8dc50a6p-15, 0x1.058010329d67dp-15, 0x1.03de552a95736p-15, 0x1.023e07f2f422ap-15, 0x1.009f4f692b10ep-15, 0x1.fe0406947e8e9p-16, 0x1.facc910a26c57p-16, 0x1.f79810f49874fp-16, 0x1.f4673e0369d48p-16, 0x1.f138a96fb7c71p-16, 0x1.ee0dbc075edfp-16, 0x1.eae61f42e78bcp-16, 0x1.e7c1914ed5034p-16, 0x1.e4a02b26aa213p-16, 0x1.e181dbb68405dp-16, 0x1.de66a30b4071dp-16, 0x1.db4f27199468bp-16, 0x1.d83aca74dafe8p-16, 0x1.d5295fa10cdb4p-16, 0x1.d21b351b99f9fp-16, 0x1.cf10b57363a03p-16, 0x1.cc09448d32ce6p-16, 0x1.c9052a3978c5ep-16, 0x1.c60463fac89e7p-16, 0x1.c306f1ff36e49p-16, 0x1.c00cdbe5734b6p-16, 0x1.bd165422bae3p-16, 0x1.ba225f2d66a23p-16, 0x1.b73254392cc3p-16, 0x1.b4462c715b8aap-16, 0x1.b15c86242aa8p-16, 0x1.ae76f3128f5bcp-16, 0x1.ab940f16ca47cp-16, 0x1.a8b522894d33bp-16, 0x1.a5d9770e114e1p-16, 0x1.a30163143dd1fp-16, 0x1.a0462c9d417c7p-16, 0x1.9d5a92c2e6b8dp-16, 0x1.9a8cf1ac5f009p-16, 0x1.97c21304c30eep-16, 0x1.94fad7fa46932p-16, 0x1.9237168279795p-16, 0x1.8f76e85c2b0e3p-16, 0x1.8cba2bd06c05p-16, 0x1.8a00852d97392p-16, 0x1.874a66a2b67fcp-16, 0x1.8498028917318p-16, 0x1.81e8f19471494p-16, 0x1.7f3d174b4483ep-16, 0x1.7c94ef6577d4ap-16, 0x1.79efcc844f0dcp-16, 0x1.774eb6719032ap-16, 0x1.74b13e1361a13p-16, 0x1.7216221e93fe3p-16, 0x1.6f7f3e0518ae6p-16, 0x1.6cebdfc5c01c3p-16, 0x1.6a5b82b29c7f2p-16, 0x1.67cedbd53c1f6p-16, 0x1.6545935709d01p-16, 0x1.62bfb7914f42p-16, 0x1.603d44b04b1adp-16, 0x1.5dbea1a84def2p-16, 0x1.5b42ba0b28a27p-16, 0x1.58ca9e3f1dcf7p-16, 0x1.5655fc00be4d8p-16, 0x1.53e4a30632eeap-16, 0x1.5176950c7ec13p-16, 0x1.4f0c1a72a7cccp-16, 0x1.4ca503d730451p-16, 0x1.4a41007848a17p-16, 0x1.47e0d2e53eb09p-16, 0x1.4583f77c666f1p-16, 0x1.432a694f1ca0ep-16, 0x1.40d44989182aap-16, 0x1.3e8121b923d48p-16, 0x1.3c31e460c73d6p-16, 0x1.39e5940f90cb7p-16, 0x1.379cbc1971417p-16, 0x1.35575fe2f857dp-16, 0x1.33154caac05fp-16, 0x1.30d632850b0c2p-16, 0x1.2e9ac201bdd59p-16, 0x1.2c62bbab30625p-16, 0x1.2a2daab47cc2dp-16, 0x1.27fc58f697273p-16, 0x1.25cdcf423f593p-16, 0x1.23a2c5ed050b7p-16, 0x1.217b20132d71cp-16, 0x1.1f56882d396ffp-16, 0x1.1d35420ec6481p-16, 0x1.1b173d4d583eep-16, 0x1.18fc7bb4a0306p-16, 0x1.16e4dced5e73ep-16, 0x1.14d0ba991fe1fp-16, 0x1.12bf5f4e69b0bp-16, 0x1.10b1848156342p-16, 0x1.0ea6d222c26fdp-16, 0x1.0c9f17582c7d1p-16, 0x1.0a9a981aac16p-16, 0x1.089983dc8437cp-16, 0x1.069b5bd72ed67p-16, 0x1.04a05b329a391p-16, 0x1.02a8a60bb53ap-16, 0x1.00b3c7da76cd9p-16, 0x1.fd8466b0aa897p-17, 0x1.f9a74eb3700dap-17, 0x1.f5d0b5786db79p-17, 0x1.f1ffd7d0c66e9p-17, 0x1.ee3484c5580a4p-17, 0x1.ea702dbe460d9p-17, 0x1.e6b25b50e917cp-17, 0x1.e2fa167d72f9bp-17, 0x1.df4785388058bp-17, 0x1.db9b5506dad9fp-17, 0x1.d7f5067fa6aacp-17, 0x1.d4547e9337684p-17, 0x1.d0ba8476b2944p-17, 0x1.cd25d72cd1a5dp-17, 0x1.c997690c67a7ap-17, 0x1.c60e85e7f439bp-17, 0x1.c28bd9df6944cp-17, 0x1.bf0ed6090944ep-17, 0x1.bb98840d5f29cp-17, 0x1.b825eaea0b5d6p-17, 0x1.b4bac3386a03ep-17, 0x1.b15511ecf3305p-17, 0x1.adf4b89450a44p-17, 0x1.aa99fac0869c1p-17, 0x1.a7457025df6cdp-17, 0x1.a3f62f78f3417p-17, 0x1.a0acc7a603d01p-17, 0x1.9d6869e3169fep-17, 0x1.9a2a2e9123c8fp-17, 0x1.96f1b7d32c84ap-17, 0x1.93bdea1e42ae1p-17, 0x1.90903d883d5f9p-17, 0x1.8d67e72abe7bcp-17, 0x1.8a45509fc021bp-17, 0x1.87276d46e5ab9p-17, 0x1.840eff777fee7p-17, 0x1.80fc50799861ep-17, 0x1.7defcf5cdea7fp-17, 0x1.7ae7343148d6bp-17, 0x1.77e432acc218p-17, 0x1.74e6c430d5786p-17, 0x1.71ee71f7f2cf4p-17, 0x1.6efb7bfe122e7p-17, 0x1.6c0da011d84f3p-17, 0x1.6924f2297893fp-17, 0x1.6641922f6cb5cp-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{0x1.deea79b6a1d38p-1, 0x1.dd8390cc715fep-1, 0x1.db8f5e99294dap-1, 0x1.d91019d6735d3p-1, 0x1.d6088650bd2b6p-1, 0x1.d27be84b8d6d2p-1, 0x1.ce6df726eb091p-1, 0x1.c9e2cfbcd917fp-1, 0x1.c4dee6d2faadep-1, 0x1.bf66fbe5de498p-1, 0x1.b9800c80e469bp-1, 0x1.b32f48467b77dp-1, 0x1.ac7a05c03a918p-1, 0x1.a565b804b58efp-1, 0x1.9df7e53942263p-1, 0x1.96361df0170f2p-1, 0x1.8e25f55eb9dbbp-1, 0x1.85ccfa6575d33p-1, 0x1.7d30b15e4970fp-1, 0x1.74568ea81fcbfp-1, 0x1.6b43f1e241db4p-1, 0x1.61fe21cb5fafep-1, 0x1.588a48b778012p-1, 0x1.4eed718ffb49fp-1, 0x1.452c8551ea6e1p-1, 0x1.3b4c48fe1bf98p-1, 0x1.31515bf076dddp-1, 0x1.274036938d7b8p-1, 0x1.1d1d2966b61b9p-1, 0x1.12ec5c4d76b73p-1, 0x1.08b1ce1fc882ep-1, 0x1.fce2a8e6d960fp-2, 0x1.e85d372e707f3p-2, 0x1.d3da4d73c1848p-2, 0x1.bf60a06ce5efep-2, 0x1.aaf694025854dp-2, 0x1.96a23c5ffd315p-2, 0x1.82695f350bd49p-2, 0x1.6e51751b51714p-2, 0x1.5a5fab1f21445p-2, 0x1.4698e4621221p-2, 0x1.3301bbd35303p-2, 0x1.1f9e85f9142a2p-2, 0x1.0c7352c706345p-2, 0x1.f307defd0b82fp-3, 0x1.cda7d12ae4d3dp-3, 0x1.a8cd174241adfp-3, 0x1.847dd2866f5b5p-3, 0x1.60bfae2d26252p-3, 0x1.3d97e33527fe8p-3, 0x1.1b0b3c370ee35p-3, 0x1.f23c325beb52p-4, 0x1.afa8e66c3ec6p-4, 0x1.6e63c08011a69p-4, 0x1.2e732d6d149a2p-4, 0x1.dfb9c45c105dp-5, 0x1.654bc5eaadae2p-5, 0x1.db4a288242963p-6, 0x1.e334785d0283cp-7, 0x1.b286616b9b045p-11, -0x1.a17bbb675d656p-7, -0x1.a9541e21e4577p-6, -0x1.3e146d36d1cd9p-5, -0x1.a49c35209e373p-5, -0x1.0420462c473eep-4, -0x1.3480c32dfc04dp-4, -0x1.63700c9037d28p-4, -0x1.90ef08f00a801p-4, -0x1.bcff05167b8bdp-4, -0x1.e7a1aea5bda7cp-4, -0x1.086c8774e5da8p-3, -0x1.1c53c2e6281bap-3, -0x1.2f87e275e13e6p-3, -0x1.420a656ab72fp-3, -0x1.53dcef31350c6p-3, -0x1.6501451b85b93p-3, -0x1.75794c326d2f2p-3, -0x1.854707174bce1p-3, -0x1.946c93f713054p-3, -0x1.a2ec2a8e0665ap-3, -0x1.b0c81a3c1b5ffp-3, -0x1.be02c829d6413p-3, -0x1.ca9ead7d6c22ap-3, -0x1.d69e55a001565p-3, -0x1.e2045c92d22ddp-3, -0x1.ecd36d5406c55p-3, -0x1.f70e405305d85p-3, -0x1.005bccfa03353p-2, -0x1.04e924914e44p-2, -0x1.093092f987ef7p-2, -0x1.0d338829159fbp-2, -0x1.10f37761a6cf1p-2, -0x1.1471d69635d4cp-2, -0x1.17b01dd7e1be8p-2, -0x1.1aafc6c979352p-2, -0x1.1d724c1991e97p-2, -0x1.1ff9290308098p-2, -0x1.2245d8d3bb85ap-2, -0x1.2459d67967f4dp-2, -0x1.26369c146b1f5p-2, -0x1.27dda290568e1p-2, -0x1.295061421fb42p-2, -0x1.2a904d8bcb127p-2, -0x1.2b9eda856497bp-2, -0x1.2c7d78ab204c2p-2, -0x1.2d2d959079f08p-2, -0x1.2db09b982c6c2p-2, -0x1.2e07f1b0d5f0fp-2, -0x1.2e34fb1623e29p-2, -0x1.2e3917165e0b9p-2, -0x1.2e15a0dc2bbd9p-2, -0x1.2dcbef3c66e25p-2, -0x1.2d5d5487df84ep-2, -0x1.2ccb1e60e2879p-2, -0x1.2c16959461a82p-2, -0x1.2b40fdf698c25p-2, -0x1.2a4b96430c408p-2, -0x1.293797ffbe6bep-2, -0x1.2806376375597p-2, -0x1.26b8a33ef69f5p-2, -0x1.255004e911ae6p-2, -0x1.23cd802d5bc8cp-2, -0x1.2232333d7f3cep-2, -0x1.207f36a4fb264p-2, -0x1.1eb59d3f3aa24p-2, -0x1.1cd6742fe4b03p-2, -0x1.1ae2c2dd47b4cp-2, -0x1.18db8aecc63e6p-2, -0x1.16c1c84129c56p-2, -0x1.149670fac4fap-2, -0x1.125a757947479p-2, -0x1.100ec05f2dc22p-2, -0x1.0db43696b78c3p-2, -0x1.0b4bb7584a59ep-2, -0x1.08d61c322e00bp-2, -0x1.065439118bb8fp-2, -0x1.03c6dc4c9aa43p-2, -0x1.012eceadecd5bp-2, -0x1.fd19a7017faf8p-3, -0x1.f7c3513c8d1e8p-3, -0x1.f25c0cf7b2476p-3, -0x1.ece54073ef243p-3, -0x1.e760476825337p-3, -0x1.e1ce732213b7fp-3, -0x1.dc310aa89c11p-3, -0x1.d6894adf3f363p-3, -0x1.d0d866aaa93dap-3, -0x1.cb1f87163dbb1p-3, -0x1.c55fcb7a838a2p-3, -0x1.bf9a49a45f4e8p-3, -0x1.b9d00dfd02454p-3, -0x1.b4021bb271433p-3, -0x1.ae316ce0a681ep-3, -0x1.a85ef2bb15f1fp-3, -0x1.a28b95b6aa0ep-3, -0x1.9cb835b40469p-3, -0x1.96e5aa2a09e21p-3, -0x1.9114c2509bb44p-3, -0x1.8b46454b76593p-3, -0x1.857af25525881p-3, -0x1.7fb380e9fc9a7p-3, -0x1.79f0a0f30d2ecp-3, -0x1.7432faf108ae9p-3, -0x1.6e7b302709337p-3, -0x1.68c9dac52caf1p-3, -0x1.631f8e1304f8ep-3, -0x1.5d7cd699c5029p-3, -0x1.57e23a4e35c0bp-3, -0x1.525038ba4eb7ap-3, -0x1.4cc74b268748ap-3, -0x1.4747e4c2cac28p-3, -0x1.41d272cf01213p-3, -0x1.3c675cc33c53ep-3, -0x1.370704776b3e3p-3, -0x1.31b1c64aa5cfap-3, -0x1.2c67f949f286cp-3, -0x1.2729ef569a7b7p-3, -0x1.21f7f54bf7b6bp-3, -0x1.1cd25324bdd63p-3, -0x1.17b94c1fbb3aep-3, -0x1.12ad1ee410feep-3, -0x1.0dae05a4d806fp-3, -0x1.08bc36443b18dp-3, -0x1.03d7e275f7e4cp-3, -0x1.fe026fc2a4e2p-4, -0x1.f470c084deef6p-4, -0x1.eafb031622a39p-4, -0x1.e1a17c058cc5dp-4, -0x1.d86468cced19dp-4, -0x1.cf44000eb473fp-4, -0x1.c64071d2a7e6bp-4, -0x1.bd59e7c160135p-4, -0x1.b490855e965fcp-4, -0x1.abe4684233c14p-4, -0x1.a355a85032b3ep-4, -0x1.9ae457ef44889p-4, -0x1.9290843e473cbp-4, -0x1.8a5a35488d6fbp-4, -0x1.82416e38ea90dp-4, -0x1.7a462d8b9943p-4, -0x1.72686d3ef1c2ap-4, -0x1.6aa82302f648p-4, -0x1.63054067b6cfap-4, -0x1.5b7fb30a907fdp-4, -0x1.541764c249e8cp-4, -0x1.4ccc3bca10dd5p-4, -0x1.459e1aeb5a997p-4, -0x1.3e8ce1a6ab7d5p-4, -0x1.37986c5b4a0efp-4, -0x1.30c0946ddf318p-4, -0x1.2a05306e0716dp-4, -0x1.2366143ad99b5p-4, -0x1.1ce3112669b15p-4, -0x1.167bf6184399cp-4, -0x1.10308faeeaf8ap-4, -0x1.0a00a8605d852p-4, -0x1.03ec0899a15e3p-4, -0x1.fbe4edbab91cbp-5, -0x1.f0276fc30475fp-5, -0x1.e49f1d5824506p-5, -0x1.d94b795de7142p-5, -0x1.ce2c03c5dbe6bp-5, -0x1.c34039c38881cp-5, -0x1.b88795feebcf4p-5, -0x1.ae0190c555bb7p-5, -0x1.a3ada038a2ab8p-5, -0x1.998b387cd170dp-5, -0x1.8f99cbe417f89p-5, -0x1.85d8cb19662bfp-5, -0x1.7c47a54967e6bp-5, -0x1.72e5c84a173fcp-5, -0x1.69b2a0c0d9dd8p-5, -0x1.60ad9a4739dfdp-5, -0x1.57d61f8e3fa55p-5, -0x1.4f2b9a8075ed8p-5, -0x1.46ad7462a0141p-5, -0x1.3e5b15f32ad7ep-5, -0x1.3633e7885e5cbp-5, -0x1.2e37512d59d93p-5, -0x1.2664babde217cp-5, -0x1.1ebb8c0107b61p-5, -0x1.173b2cc2b2839p-5, -0x1.0fe304ec0f86ep-5, -0x1.08b27c9af2e88p-5, -0x1.01a8fc3832561p-5, -0x1.f58bd919f3f2ep-6, -0x1.e8116dae54e34p-6, -0x1.dae189b984876p-6, -0x1.cdfb01fcb44ddp-6, -0x1.c15cac917cc1ap-6, -0x1.b505610b48f8bp-6, -0x1.a8f3f8971bccp-6, -0x1.9d274e19ab549p-6, -0x1.919e3e4be3911p-6, -0x1.8657a7d5e604p-6, -0x1.7b526b687c708p-6, -0x1.708d6bd52a577p-6, -0x1.66078e24cc5p-6, -0x1.5bbfb9acdc761p-6, -0x1.51b4d82369ffep-6, -0x1.47e5d5b1cc6dap-6, -0x1.3e51a106173fcp-6, -0x1.34f72b635e62cp-6, -0x1.2bd568b0df05bp-6, -0x1.22eb4f87ff7b1p-6, -0x1.1a37d9414467dp-6, -0x1.11ba02003ec42p-6, -0x1.0970c8be779b9p-6, -0x1.015b2f556bd8p-6, -0x1.f2f0750f24ec6p-7, -0x1.e38de4111b06p-7, -0x1.d48cc108e459ap-7, -0x1.c5eb274c8c56bp-7, -0x1.b7a7383b5c8afp-7, -0x1.a9bf1b47bf17cp-7, -0x1.9c30fdffa692dp-7, -0x1.8efb1413852acp-7, -0x1.821b975bfbe11p-7, -0x1.7590c7de33c5cp-7, -0x1.6958ebcf089d4p-7, -0x1.5d724f94f5753p-7, -0x1.51db45c8e7bfbp-7, -0x1.46922735ff262p-7, -0x1.3b9552d84459ep-7, -0x1.30e32dda60748p-7, -0x1.267a239262fafp-7, -0x1.1c58a57daddfcp-7, -0x1.127d2b3bf5ed9p-7, -0x1.08e632897ffcdp-7, -0x1.ff247e7129428p-8, -0x1.ecffb6547d6b2p-8, -0x1.db5b2c8c8d66ep-8, -0x1.ca340ce53eadp-8, -0x1.b9878f1429103p-8, -0x1.a952f6a50c5f3p-8, -0x1.999392e501c2ep-8, -0x1.8a46becc923a9p-8, -0x1.7b69e0e8f2f37p-8, -0x1.6cfa6b4449ed5p-8, -0x1.5ef5db4d18c37p-8, -0x1.5159b9bcdccacp-8, -0x1.44239a7dce03p-8, -0x1.37511c901613cp-8, -0x1.2adfe9ee43a9p-8, -0x1.1ecdb7712811cp-8, -0x1.131844b34b989p-8, -0x1.07bd5bf394aa6p-8, -0x1.f975a3ef67328p-9, -0x1.e41d0bdc15478p-9, -0x1.cf6cc29e61e05p-9, -0x1.bb60af7e70e5ap-9, -0x1.a7f4cddce8a52p-9, -0x1.95252cf4395c1p-9, -0x1.82edef994cc2dp-9, -0x1.714b4bfbc4712p-9, -0x1.60398b65edf35p-9, -0x1.4fb509fc9518bp-9, -0x1.3fba367e2a8e3p-9, -0x1.304592021a53fp-9, -0x1.2153afb7c93f3p-9, -0x1.12e134a59ee05p-9, -0x1.04ead7681cea1p-9, -0x1.eedabfe1793c9p-10, -0x1.d4cb4e89fa67ap-10, -0x1.bba12e7b10623p-10, -0x1.a356548abfd1ep-10, -0x1.8be4d632e3375p-10, -0x1.7546e9107c39ap-10, -0x1.5f76e2637faaap-10, -0x1.4a6f368f13431p-10, -0x1.362a789a7b01fp-10, -0x1.22a359b2f0bcap-10, -0x1.0fd4a8adc29cap-10, -0x1.fb72a31799036p-11, -0x1.d898b9fae1021p-11, -0x1.b711dfce192f6p-11, -0x1.96d495ce2d6p-11, -0x1.77d793b9681adp-11, -0x1.5a11c6dee018cp-11, -0x1.3d7a51300ac21p-11, -0x1.22088854d18f4p-11, -0x1.07b3f4c0a27ccp-11, -0x1.dce8a19543607p-12, -0x1.ac830f909c7b2p-12, -0x1.7e276a5384a6cp-12, -0x1.51c647321dee8p-12, -0x1.2750983887b52p-12, -0x1.fd6f54e104b04p-13, -0x1.afda485fde91cp-13, -0x1.65c606d47dff7p-13, -0x1.1f17380f2f01bp-13, -0x1.b76659022e41ap-14, -0x1.36ffb403b22d7p-14, -0x1.798f626e0b3cdp-15, -0x1.2232fb0bbaeb6p-16, 0x1.2f0beac699d67p-17, 0x1.1d6456d208944p-15, 0x1.e42690301c726p-15, 0x1.5031aa68fafd7p-14, 0x1.a939099a88f1ep-14, 0x1.fd5402f90895bp-14, 0x1.26560fce6b49p-13, 0x1.4bb4ed05237f3p-13, 0x1.6eda51e331cd4p-13, 0x1.8fd97567bfca8p-13, 0x1.aec50f8083a34p-13, 0x1.cbaf5bb367c66p-13, 0x1.e6aa1bbaf6101p-13, 0x1.ffc69a1a94c8cp-13, 0x1.0b8ad6531d2ffp-12, 0x1.1653db80d9f69p-12, 0x1.2046568a45623p-12, 0x1.296a0ab8bc8b9p-12, 0x1.31c685dc0e0ep-12, 0x1.3963217485901p-12, 0x1.404703d8eb789p-12, 0x1.4679215766172p-12, 0x1.4c003d50049afp-12, 0x1.50e2eb4cf29aep-12, 0x1.55279013623a4p-12, 0x1.58d462b0e32bap-12, 0x1.5bef6d83883d2p-12, 0x1.5e7e8f3dcb05dp-12, 0x1.60877be5a3e4bp-12, 0x1.620fbdce9e792p-12, 0x1.631cb68f730a1p-12, 0x1.63b39ff344628p-12, 0x1.63d98ce6d1671p-12, 0x1.63936a5fe3bd5p-12, 0x1.62e60041e22aap-12, 0x1.61d5f23d68e0bp-12, 0x1.6067c0abd3b6dp-12, 0x1.5e9fc96629495p-12, 0x1.5c8248981fa7bp-12, 0x1.5a13598f4236dp-12, 0x1.5756f785ab5f7p-12, 0x1.5450fe68bbdd8p-12, 0x1.51052b9c7ee19p-12, 0x1.4d771ebac5919p-12, 0x1.49aa5a4e14eecp-12, 0x1.45a24489aca42p-12, 0x1.416227fd0aa76p-12, 0x1.3ced344419dfcp-12, 0x1.38467eb396457p-12, 0x1.337103025f93fp-12, 0x1.2e6fa3eec8435p-12, 0x1.29452be14fd48p-12, 0x1.23f44d8a6b268p-12, 0x1.1e7fa47e7c07p-12, 0x1.18e9b5cdfaa17p-12, 0x1.1334f09a41645p-12, 0x1.0d63aea6defd8p-12, 0x1.077834e8ff3ebp-12, 0x1.0174b411c2f96p-12, 0x1.f6b6923098611p-13, 0x1.ea5bfb7d4ae29p-13, 0x1.dddd9227ef549p-13, 0x1.d13f1fe9bc426p-13, 0x1.c4844b114abffp-13, 0x1.b7b0977542ddfp-13, 0x1.aac7676521bb2p-13, 0x1.9dcbfc92780a5p-13, 0x1.90c178f3fa08bp-13, 0x1.83aadfa7ab918p-13, 0x1.768b15cb5ab6bp-13, 0x1.6964e351d113p-13, 0x1.5c3af3d3f948ep-13, 0x1.4f0fd75d1131p-13, 0x1.41e6032fc5fbcp-13, 0x1.34bfd28aa362ep-13, 0x1.279f8765de4bdp-13, 0x1.1a874b2b00298p-13, 0x1.0d792f6cc04dap-13, 0x1.00772e9616d4fp-13, 0x1.e706592f507a1p-14, 0x1.cd3def214fe5p-14, 0x1.b39890e5eccbcp-14, 0x1.9a1987482eb86p-14, 0x1.80c3f3337bb11p-14, 0x1.679acee872508p-14, 0x1.4ea0ef253222fp-14, 0x1.35d90449e20b7p-14, 0x1.1d459b74913b5p-14, 0x1.04e91f98490e4p-14, 0x1.d98bb51407b6cp-15, 0x1.a9bbec13bcc1ep-15, 0x1.7a66f988bd802p-15, 0x1.4b90b697efe24p-15, 0x1.1d3cc22038f56p-15, 0x1.dedd052ebe0c2p-16, 0x1.84524fb55913fp-16, 0x1.2adf59e624795p-16, 0x1.a513673eb7a54p-17, 0x1.ed5a27bd8566dp-18, 0x1.2a555297e013fp-19, -0x1.7cabd096479b1p-19, -0x1.068b96aba4095p-17, -0x1.ab850f9c0cda8p-17, -0x1.2708410abd5a1p-16, -0x1.7713d8fef82efp-16, -0x1.c5e27f300c9a3p-16, -0x1.09b8d700bb3ap-15, -0x1.2fdf9403600a4p-15, -0x1.55647ab8c2722p-15, -0x1.7a46b0c8c0d98p-15, -0x1.9e857c2d351e9p-15, -0x1.c2204200f1891p-15, -0x1.e516855cf8402p-15, -0x1.03b3f3195ce97p-14, -0x1.148a101a58f7ap-14, -0x1.250d84e23ea07p-14, -0x1.353e4976fc551p-14, -0x1.451c622fd9c9dp-14, -0x1.54a7df38f152bp-14, -0x1.63e0dc1ba7021p-14, -0x1.72c77f4518f77p-14, -0x1.815bf993e833dp-14, -0x1.8f9e85e8eb962p-14, -0x1.9d8f68ba98c2p-14, -0x1.ab2eefaacbedbp-14, -0x1.b87d712085e6cp-14, -0x1.c57b4be55331dp-14, -0x1.d228e6c398218p-14, -0x1.de86b028fb4efp-14, -0x1.ea951dcb3dbfcp-14, -0x1.f654ac51cd9d3p-14, -0x1.00e2ef7ed4499p-13, -0x1.06749fab7177dp-13, -0x1.0bdfae6e8b612p-13, -0x1.1124665bfe345p-13, -0x1.164314b612477p-13, -0x1.1b3c0948acc27p-13, -0x1.200f964648f4cp-13, -0x1.24be1024ce899p-13, -0x1.2947cd7c3b35bp-13, -0x1.2dad26e647b25p-13, -0x1.31ee76dfb074p-13, -0x1.360c19a94856cp-13, -0x1.3a066d2a9ecfcp-13, -0x1.3dddd0d5e7adbp-13, -0x1.4192a58c20ff7p-13, -0x1.45254d82a4deep-13, -0x1.48962c296bc6p-13, -0x1.4be5a612a8c4ap-13, -0x1.4f1420da4549p-13, -0x1.5222030ecb803p-13, -0x1.550fb41ab1fd9p-13, -0x1.57dd9c2f35809p-13, -0x1.5a8c242f8030bp-13, -0x1.5d1bb59becc5cp-13, -0x1.5f8cba7f0dd92p-13, -0x1.61df9d5ad20a3p-13, -0x1.6414c916199fbp-13, -0x1.662ca8ebc92b2p-13, -0x1.6827a8596c7adp-13, -0x1.6a06330fd75b5p-13, -0x1.6bc8b4e2d326dp-13, -0x1.6d6f99ba94184p-13, -0x1.6efb4d8493b1bp-13, -0x1.706c3c26eb8cbp-13, -0x1.71c2d171eb1a1p-13, -0x1.72ff7913de885p-13, -0x1.74229e8c80feap-13, -0x1.752cad2159eedp-13, -0x1.761e0fd26a90cp-13, -0x1.76f7314f17b77p-13, -0x1.77b87bec0e0c5p-13, -0x1.7862599945d0fp-13, -0x1.78f533d8923d5p-13, -0x1.797173b43645cp-13, -0x1.79d781b62e6cp-13, -0x1.7a27c5e09e663p-13, -0x1.7a62a7a4e9657p-13, -0x1.7a888ddcc0f7ap-13, -0x1.7a99dec29baf3p-13, -0x1.7a96ffeb36691p-13, -0x1.7a80563ef3579p-13, -0x1.7a5645f366fd4p-13, -0x1.7a193285d1258p-13, -0x1.79c97eb548659p-13, -0x1.79678c7dde387p-13, -0x1.78f3bd1349807p-13, -0x1.786e70dc0f238p-13, -0x1.77d8076de0804p-13, -0x1.7730df88927fap-13, -0x1.76795712b2151p-13, -0x1.75b1cb15c413bp-13, -0x1.74da97ba9d553p-13, -0x1.73f41846d4cd9p-13, -0x1.72fea719443a4p-13, -0x1.71fa9da7794fap-13, -0x1.70e8547b19633p-13, -0x1.6fc8232fa00f1p-13, -0x1.6e9a60706c326p-13, -0x1.6d5f61f64fbe7p-13, -0x1.6c177c86538f4p-13, -0x1.6ac303efeddb2p-13, -0x1.69624b0ba11d8p-13, -0x1.67f5a3b99db57p-13, -0x1.667d5ee0bbc9fp-13, -0x1.64f9cc6d76facp-13, -0x1.636b3b51b6886p-13, -0x1.61d1f983491e4p-13, -0x1.602e53fc1575fp-13, -0x1.5e8096b93a103p-13, -0x1.5cc90cbb36a36p-13, -0x1.5b080005a5dap-13, -0x1.593db99efe462p-13, -0x1.576a81911dfd7p-13, -0x1.558e9ee93a63p-13, -0x1.53aa57b85d5abp-13, -0x1.51bdf113a622ap-13, -0x1.4fc9af14d9717p-13, -0x1.4dcdd4daf1931p-13, -0x1.4bcaa48b38563p-13, -0x1.49c05f5187e5fp-13, -0x1.47af45618523ep-13, -0x1.459795f75e9cp-13, -0x1.43798f58ef738p-13, -0x1.41556ed6eef36p-13, -0x1.3f2b70cdca823p-13, -0x1.3cfbd0a739299p-13, -0x1.3ac6c8db621f7p-13, -0x1.388c92f225893p-13, -0x1.364d6784bad08p-13, -0x1.34097e3effb4bp-13, -0x1.31c10de0ce90dp-13, -0x1.2f744c3fffc4ap-13, -0x1.2d236e49d1fe5p-13, -0x1.2acea8045b86p-13, -0x1.28762c9098434p-13, -0x1.261a2e2bedf29p-13, -0x1.23bade31f3e93p-13, -0x1.21586d1e70e3ep-13, -0x1.1ef30a8ee3bd8p-13, -0x1.1c8ae544af2dcp-13, -0x1.1a202b26d5d7p-13, -0x1.17b30943f2adbp-13, -0x1.1543abd43ee23p-13, -0x1.12d23e3b75909p-13, -0x1.105eeb0ab689ep-13, -0x1.0de9dc02cfcbep-13, -0x1.0b733a1635e81p-13, -0x1.08fb2d6adf98bp-13, -0x1.0681dd5c854f8p-13, -0x1.0407707eb923fp-13, -0x1.018c0c9ed29dbp-13, -0x1.fe1fad8ca8323p-14, -0x1.f925e679617a6p-14, -0x1.f42b0b137cf81p-14, -0x1.ef2f60ef5b269p-14, -0x1.ea332c2a1cec7p-14, -0x1.e536af6e909d3p-14, -0x1.e03a2bf91f2ddp-14, -0x1.db3de19be10a1p-14, -0x1.d6420ec3533ecp-14, -0x1.d146f07a81ed3p-14, -0x1.cc4cc26f532c4p-14, -0x1.c753bef6daeafp-14, -0x1.c25c1f1192005p-14, -0x1.bd661a6fbfac9p-14, -0x1.b871e775cd7b4p-14, -0x1.b37fbb4071b76p-14, -0x1.ae8fc9a8dd797p-14, -0x1.a9a24549876f5p-14, -0x1.a4b75f819e90fp-14, -0x1.9fcf4879e3db8p-14, -0x1.9aea2f28a7bc8p-14, -0x1.960841563955cp-14, -0x1.9129aba0709dbp-14, -0x1.8c4e997fdc3adp-14, -0x1.8777354aeff2bp-14, -0x1.82a3a83ab639p-14, -0x1.7dd41a6efe6bcp-14, -0x1.7908b2f1b764ap-14, -0x1.744197bbf3899p-14, -0x1.6f7eedb95bdddp-14, -0x1.6ac0d8cc5650fp-14, -0x1.66077bd1ede7dp-14, -0x1.6152f8a61807ap-14, -0x1.5ca370273509cp-14, -0x1.57f9023a45da6p-14, -0x1.5353cdce82b5p-14, -0x1.4eb3f0e1d0b6cp-14, -0x1.4a198883bcf52p-14, -0x1.4584b0d9d0333p-14, -0x1.40f5852366771p-14, -0x1.3c6c1fbcc0a5bp-14, -0x1.37e89a23ab9fdp-14, -0x1.336b0cfa63632p-14, -0x1.2ef3900b60e6p-14, -0x1.2a823a4d471dcp-14, -0x1.261721e634313p-14, -0x1.21b25c2f21cdap-14, -0x1.1d53fdb79f035p-14, -0x1.18fc1a4965349p-14, -0x1.14aac4eb8b04bp-14, -0x1.10600fe5c272ep-14, -0x1.0c1c0cc42f896p-14, -0x1.07decc5a8df8p-14, -0x1.03a85ec72a8cap-14, -0x1.fef1a6ed3178dp-15, -0x1.f6a0724d6e8f7p-15, -0x1.ee5d3bd36ec4ep-15, -0x1.e6281e534220dp-15, -0x1.de013356ca3a1p-15, -0x1.d5e89322f3f6ap-15, -0x1.cdde54bef08b3p-15, -0x1.c5e28df9fbbdep-15, -0x1.bdf55370f0cd4p-15, -0x1.b616b89442c7ep-15, -0x1.ae46cfae27548p-15, -0x1.a685a9e8717dfp-15, -0x1.9ed3575159f5ep-15, -0x1.972fe6e20cf0cp-15, -0x1.8f9b6683eeb4ep-15, -0x1.8815e316324e7p-15, -0x1.809f6872c0719p-15, -0x1.7938017440085p-15, -0x1.71dfb7fad6e3fp-15, -0x1.6a9694f15f86p-15, -0x1.635ca053301cp-15, -0x1.5c31e1309603bp-15, -0x1.55165db3c9492p-15, -0x1.4e0a1b26411p-15, -0x1.470d1df5738c8p-15, -0x1.401f69b7694edp-15, -0x1.3941012fa9e93p-15, -0x1.3271e653b4926p-15, -0x1.2bb21a5082acbp-15, -0x1.25019d8d64f58p-15, -0x1.1e606fb2098dap-15, -0x1.17ce8faa4f3ccp-15, -0x1.114bfbaa75a8cp-15, -0x1.0ad8b133fa213p-15, -0x1.0474ad18fdb8p-15, -0x1.fc3fd70213d1fp-16, -0x1.efb4cfda16fe4p-16, -0x1.e3483a7688eefp-16, -0x1.d6fa0b571de9dp-16, -0x1.caca35c6063bdp-16, -0x1.beb8abdfa270dp-16, -0x1.b2c55e9a9ddcdp-16, -0x1.a6f03dcf15984p-16, -0x1.9b39383dc1a4dp-16, -0x1.8fa03b97e1597p-16, -0x1.8425348540b21p-16, -0x1.78c80eadb3362p-16, -0x1.6d88b4bc13624p-16, -0x1.62671068e4fe4p-16, -0x1.57630a7eff1bcp-16, -0x1.4c7c8ae2ac95cp-16, -0x1.41b37898ba8c5p-16, -0x1.3707b9cafa094p-16, -0x1.2c7933d0a9cdp-16, -0x1.2207cb336e1fep-16, -0x1.17b363b5f3f03p-16, -0x1.0d7be0598ceddp-16, -0x1.03612364ad304p-16, -0x1.f2c61ccfc8f1p-17, -0x1.df0304878798ap-17, -0x1.cb78be5de6b1dp-17, -0x1.b82709753fd44p-17, -0x1.a50da3b2eec59p-17, -0x1.922c49c62596fp-17, -0x1.7f82b735c4706p-17, -0x1.6d10a66894874p-17, -0x1.5ad5d0ae7dd7cp-17, -0x1.48d1ee4d9e418p-17, -0x1.3704b688f3466p-17, -0x1.256ddfab5493bp-17, -0x1.140d1f10d41a4p-17, -0x1.02e2292d54341p-17, -0x1.e3d963327aa98p-18, -0x1.c258d630b90fbp-18, -0x1.a1420f460a8dep-18, -0x1.809470dba2baep-18, -0x1.604f5be79ec07p-18, -0x1.40722ff89c1c9p-18, -0x1.20fc4b48727a8p-18, -0x1.01ed0aca98b93p-18, -0x1.c687947a493e4p-19, -0x1.89ffc86dda981p-19, -0x1.4e41646e7e579p-19, -0x1.134b19647cfe3p-19, -0x1.b2372c87a0da5p-20, -0x1.3f631040e160ep-20, -0x1.9c2e694b9ef15p-21, -0x1.7943b47a7ebbp-22, 0x1.fe4ec14daed92p-25, 0x1.f2d69d8a1a085p-22, 0x1.cff6b8682f17bp-21, 0x1.51c64c485fc6fp-20, 0x1.ba1931ae82185p-20, 0x1.107b644e06ceep-19, 0x1.4330e79a9fed3p-19, 0x1.752e82b26415bp-19, 0x1.a6759654ca14cp-19, 0x1.d70783f9bb30fp-19, 0x1.0372d6ddf9feep-18, 0x1.1b08bb20d53acp-18, 0x1.324620550e619p-18, 0x1.492bb83ce2382p-18, 0x1.5fba34c139efep-18, 0x1.75f247ed50476p-18, 0x1.8bd4a3e24eb74p-18, 0x1.a161facd1b858p-18, 0x1.b69afedf8bfe8p-18, 0x1.cb8062465364p-18, 0x1.e012d722389b7p-18, 0x1.f4530f7e89b32p-18, 0x1.0420dea647239p-17, 0x1.0defc92ba615fp-17, 0x1.1796a01e66ea6p-17, 0x1.2115bc341f024p-17, 0x1.2a6d7604ca502p-17, 0x1.339e2607659bdp-17, 0x1.3ca8248f45ffp-17, 0x1.458bc9c6bc0e3p-17, 0x1.4e496daea5741p-17, 0x1.56e168193ff2cp-17, 0x1.5f5410a762e72p-17, 0x1.67a1bec63958dp-17, 0x1.6fcac9aa9b70ep-17, 0x1.77cf884fcd3eap-17, 0x1.7fb05175ff5eap-17, 0x1.876d7b9c7fb5fp-17, 0x1.8f075d0044302p-17, 0x1.967e4b9add405p-17, 0x1.9dd29d1dfd9bp-17, 0x1.a504a6f10ba21p-17, 0x1.ac14be325b909p-17, 0x1.b30337b0ba7a9p-17, 0x1.b9d067eae9b7p-17, 0x1.c07ca30d57354p-17, 0x1.c7083cf02233bp-17, 0x1.cd738914ec154p-17, 0x1.d3bedaa58fcc5p-17, 0x1.d9ea84719955cp-17, 0x1.dff6d8ec927ecp-17, 0x1.e5e42a2caa756p-17, 0x1.ebb2c9e8a370ap-17, 0x1.f1630976e656dp-17, 0x1.f6f539ca75a32p-17, 0x1.fc69ab72f1b87p-17, 0x1.00e0574cab39ep-16, 0x1.037d4980f4063p-16, 0x1.060bd403a026cp-16, 0x1.088c1e4d3ce98p-16, 0x1.0afe4fa13f63p-16, 0x1.0d628f0d1e915p-16, 0x1.0fb90366f699dp-16, 0x1.1201d34eeee99p-16, 0x1.143d252d4a739p-16, 0x1.166b1f31c13cfp-16, 0x1.188be753ec73p-16, 0x1.1a9fa351a0294p-16, 0x1.1ca678afade7ap-16, 0x1.1ea08cb8fca41p-16, 0x1.208e047dca871p-16, 0x1.226f04d3d48d3p-16, 0x1.2443b255c15ecp-16, 0x1.260c3162d2c46p-16, 0x1.27c8a61eb841fp-16, 0x1.297934711607bp-16, 0x1.2b1e0004c76fap-16, 0x1.2cb72c48b89a9p-16, 0x1.2e44dc6e6f047p-16, 0x1.2fc7336b15925p-16, 0x1.313e53f602fdbp-16, 0x1.32aa60899e402p-16, 0x1.340b7b6251cd7p-16, 0x1.3561c67eb10bap-16, 0x1.36ad639f4e87fp-16, 0x1.37ee744747c1ap-16, 0x1.392519bb29418p-16, 0x1.3a51750142307p-16, 0x1.3b73a6e19c6a1p-16, 0x1.3c8bcfe56a361p-16, 0x1.3d9a1057af9dap-16, 0x1.3e9e8844ef8e3p-16, 0x1.3f99577ae764ap-16, 0x1.408a9d88be7c8p-16, 0x1.417279beedafap-16, 0x1.42510b2f6c039p-16, 0x1.432670ad82b4ep-16, 0x1.43f2c8ce20cd5p-16, 0x1.44b631e706922p-16, 0x1.4570ca1013dcap-16, 0x1.4622af221e817p-16, 0x1.46cbfeb8064b6p-16, 0x1.476cd62e0ff88p-16, 0x1.480552a26a888p-16, 0x1.489590f553fc7p-16, 0x1.491dadc8722aap-16, 0x1.499dc57f71fdap-16, 0x1.4a15f4409d55ap-16, 0x1.4a8655f48bc4fp-16, 0x1.4aef0645f0d7cp-16, 0x1.4b5020a265d73p-16, 0x1.4ba9c03a0cd4cp-16, 0x1.4bfbffffd2f57p-16, 0x1.4c46faa9f5c06p-16, 0x1.4c8acab1c74fbp-16, 0x1.4cc78a53fab25p-16, 0x1.4cfd5390d7cd9p-16, 0x1.4d2c402c93462p-16, 0x1.4d5469af4016ep-16, 0x1.4d75e9653a35cp-16, 0x1.4d90d85f66b5bp-16, 0x1.4da54f72e5f3ep-16, 0x1.4db3673a2a74ep-16, 0x1.4dbb381486522p-16, 0x1.4dbcda2680f9ap-16, 0x1.4db8655a31406p-16, 0x1.4dadf15faf3c3p-16, 0x1.4d9d95ad4d30cp-16, 0x1.4d87697f4ec85p-16, 0x1.4d6b83d89a569p-16, 0x1.4d49fb82c8b31p-16, 0x1.4d22e70f2c3cp-16, 0x1.4cf65cd5c357p-16, 0x1.4cc472f6a002ap-16, 0x1.4c8d3f59ba70ep-16, 0x1.4c50d7af05ecdp-16, 0x1.4c0f516f26704p-16, 0x1.4bc8c1db79496p-16, 0x1.4b7d3dfea0e58p-16, 0x1.4b2cdaac5823fp-16, 0x1.4ad7ac8227339p-16, 0x1.4a7dc7e77930ap-16, 0x1.4a1f410e250dap-16, 0x1.49bc2bf2bb65ep-16, 0x1.49549c5c8ad04p-16, 0x1.48e8a5ddceb57p-16, 0x1.48785bd4bef88p-16, 0x1.4803d16b54279p-16, 0x1.478b19975192fp-16, 0x1.470e471b3d2d9p-16, 0x1.468d6c863daf1p-16, 0x1.46089c351b1a4p-16, 0x1.457fe85196d83p-16, 0x1.44f362d30e91bp-16, 0x1.44631d7f235c2p-16, 0x1.43cf29ea11a2p-16, 0x1.433799769cf63p-16, 0x1.429c7d569e07ep-16, 0x1.41fde68b9e479p-16, 0x1.415be5e69090ep-16, 0x1.40b68c084ffc9p-16, 0x1.400de96295985p-16, 0x1.3f620e379384dp-16, 0x1.3eb30a9a92c49p-16, 0x1.3e00ee70271d6p-16, 0x1.3d4bc96ecd9f1p-16, 0x1.3c93ab1ed9e78p-16, 0x1.3bd8a2db49437p-16, 0x1.3b1abfd1bb79fp-16, 0x1.3a5a11030ad6dp-16, 0x1.3996a542ffc98p-16, 0x1.38d08b3986bd7p-16, 0x1.3807d162b5de7p-16, 0x1.373c860ecd182p-16, 0x1.366eb762e7596p-16, 0x1.359e73590f79bp-16, 0x1.34cbc7c11ee18p-16, 0x1.33f6c2406fb7fp-16, 0x1.331f705246cf6p-16, 0x1.3245df48bbacp-16, 0x1.316a1c4c6cdacp-16, 0x1.308c345d31ecbp-16, 0x1.2fac34520f374p-16, 0x1.2eca28da27388p-16, 0x1.2de61e7c9b9b7p-16, 0x1.2d002198d0f39p-16, 0x1.2c183e67004bap-16, 0x1.2b2e80f892a8cp-16, 0x1.2a42f53841779p-16, 0x1.2955a6eabb8f4p-16, 0x1.2866a1ae6cfdp-16, 0x1.2775f0fc40d9ep-16, 0x1.2683a027ee64ep-16, 0x1.258fba605f551p-16, 0x1.249a4aafaf214p-16, 0x1.23a35bfb9c219p-16, 0x1.22aaf905d4a9p-16, 0x1.21b12c6c9cc16p-16, 0x1.20b600aaf232ap-16, 0x1.1fb980187573ap-16, 0x1.1ebbb4ea197c6p-16, 0x1.1dbca93273098p-16, 0x1.1cbc66e24f35dp-16, 0x1.1bbaf7c8712f6p-16, 0x1.1ab86591f5a81p-16, 0x1.19b4b9cb0ee76p-16, 0x1.18affddefe4e8p-16, 0x1.17aa3b1893e2bp-16, 0x1.16a37aa258d15p-16, 0x1.159bc586aad13p-16, 0x1.149324b083bc5p-16, 0x1.1389a0eb82edcp-16, 0x1.127f42e4206b1p-16, 0x1.117413281bdc1p-16, 0x1.10681a26c8342p-16, 0x1.0f5b603155319p-16, 0x1.0e4ded7b20cacp-16, 0x1.0d3fca19cb5b1p-16, 0x1.0c30fe05b6752p-16, 0x1.0b21911a5ef56p-16, 0x1.0a118b169bb27p-16, 0x1.0900f39c9648ep-16, 0x1.07efd2327470cp-16, 0x1.06de2e428563p-16, 0x1.05cc0f1b84dd4p-16, 0x1.04b97bf0d6f04p-16, 0x1.03a67bdac0ed1p-16, 0x1.029315d6d1e0ap-16, 0x1.017f50c8454c1p-16, 0x1.006b3377fbefbp-16, 0x1.fead8929ad2c5p-17, 0x1.fc8415682a641p-17, 0x1.fa5a18a3593b1p-17, 0x1.f82f9fa05f16cp-17, 0x1.f604b6f2da1bbp-17, 0x1.f3d96afd65c34p-17, 0x1.f1adc7f193a71p-17, 0x1.ef81d9d0bb07bp-17, 0x1.ed55ac6c86081p-17, 0x1.eb294b6793167p-17, 0x1.e8fcc235a5ec1p-17, 0x1.e6d01c1c547d2p-17, 0x1.e4a36433535aep-17, 0x1.e276a565afdecp-17, 0x1.e049ea71417e6p-17, 0x1.de1d3de796249p-17, 0x1.dbf0aa2ec77bep-17, 0x1.d9c43981aedp-17, 0x1.d797f5f024774p-17, 0x1.d56be95f8a2cp-17, }}, 
      {{0x1.dfaa7e9d3f776p-1, 0x1.df329ec11d8fdp-1, 0x1.de8b412ce9987p-1, 0x1.ddb4d8dfc2e2p-1, 0x1.dcaff68f6d5d2p-1, 0x1.db7d46b2cd2aep-1, 0x1.da1d8f63bcd79p-1, 0x1.d891ae2984eb9p-1, 0x1.d6da95b9ef125p-1, 0x1.d4f94bbc15ae4p-1, 0x1.d2eee695a179ap-1, 0x1.d0bc8b491e1d6p-1, 0x1.ce636b6a5b733p-1, 0x1.cbe4c32c661cbp-1, 0x1.c941d78b7bdc8p-1, 0x1.c67bf4946f1bap-1, 0x1.c3946bca2c62ep-1, 0x1.c08c92a97e5f1p-1, 0x1.bd65c14ab01e3p-1, 0x1.ba21512057aap-1, 0x1.b6c09bd24a5aap-1, 0x1.b344fa338d63dp-1, 0x1.afafc351ee355p-1, 0x1.ac024b9ddee0ap-1, 0x1.a83de429203d8p-1, 0x1.a463d9fac2df5p-1, 0x1.a075757709e5ep-1, 0x1.9c73f9d9bf8cdp-1, 0x1.9860a4c197e3bp-1, 0x1.943cadcb4b84ap-1, 0x1.9009463b2035ep-1, 0x1.8bc798b3aa487p-1, 0x1.8778c8f8a03fap-1, 0x1.831df3bca97c4p-1, 0x1.7eb82e792a5dfp-1, 0x1.7a48874f1677dp-1, 0x1.75d004efee0a8p-1, 0x1.714fa68e14513p-1, 0x1.6cc863d3c0324p-1, 0x1.683b2cdfd5348p-1, 0x1.63a8ea4806652p-1, 0x1.5f127d1fab399p-1, 0x1.5a78bf02c1d44p-1, 0x1.55dc8224a18cp-1, 0x1.513e9161ee002p-1, 0x1.4c9fb0556559ap-1, 0x1.48009b6f2c7cp-1, 0x1.4362080e47c8ep-1, 0x1.3ec4a49bf0a2dp-1, 0x1.3a2918a88a8ep-1, 0x1.35900509f3fb6p-1, 0x1.30fa03fb01b41p-1, 0x1.2c67a93bef3d7p-1, 0x1.27d982339bcp-1, 0x1.2350161168c6ep-1, 0x1.1ecbe5ef9a852p-1, 0x1.1a4d6cf6194dbp-1, 0x1.15d5207d761d4p-1, 0x1.116370321ce11p-1, 0x1.0cf8c6379c132p-1, 0x1.0895874bed6fp-1, 0x1.043a12eaaf7afp-1, 0x1.ffcd86e081e0dp-2, 0x1.f737dc795a9abp-2, 0x1.eeb3c7acc0e39p-2, 0x1.e641e0192e55dp-2, 0x1.dde2b43302097p-2, 0x1.d596c988136a3p-2, 0x1.cd5e9d02904b1p-2, 0x1.c53aa32b0a12p-2, 0x1.bd2b4869b1198p-2, 0x1.b530f146ae73fp-2, 0x1.ad4bfaa99577bp-2, 0x1.a57cba17e1a37p-2, 0x1.9dc37df27ce78p-2, 0x1.96208db24829dp-2, 0x1.8e942a239be84p-2, 0x1.871e8da0c4eeap-2, 0x1.7fbfec4b6d49dp-2, 0x1.78787444fb273p-2, 0x1.71484de5d7fb8p-2, 0x1.6a2f9bf3a4ca5p-2, 0x1.632e7bd654822p-2, 0x1.5c4505cc2ea2p-2, 0x1.55734d1cb9467p-2, 0x1.4eb9604a8789dp-2, 0x1.48174943eb572p-2, 0x1.418d0d9292997p-2, 0x1.3b1aae8a03079p-2, 0x1.34c02975022dp-2, 0x1.2e7d77c1e4dbap-2, 0x1.28528f2dc27fp-2, 0x1.223f61ee9ad7p-2, 0x1.1c43dedc62a8fp-2, 0x1.165ff19900a42p-2, 0x1.109382b73a79fp-2, 0x1.0ade77e097e0ep-2, 0x1.0540b3fa378d5p-2, 0x1.ff742e91415cdp-3, 0x1.f494ff25166dap-3, 0x1.e9e390855aeafp-3, 0x1.df5f95110c644p-3, 0x1.d508baf060fefp-3, 0x1.cadeac5277f8p-3, 0x1.c0e10fa930eap-3, 0x1.b70f87e3167f7p-3, 0x1.ad69b4a379966p-3, 0x1.a3ef3278be98bp-3, 0x1.9a9f9b10decbdp-3, 0x1.917a856c2c8aap-3, 0x1.887f860e5fb1cp-3, 0x1.7fae2f2df931fp-3, 0x1.770610e1f8814p-3, 0x1.6e86b94df9ca1p-3, 0x1.662fb4ccbb157p-3, 0x1.5e008e191ae95p-3, 0x1.55f8ce75905b2p-3, 0x1.4e17fdd22480cp-3, 0x1.465da2f1017bap-3, 0x1.3ec94389947a3p-3, 0x1.375a646a4d3d6p-3, 0x1.301089990854dp-3, 0x1.28eb36722876ap-3, 0x1.21e9edc668a0bp-3, 0x1.1b0c31f773531p-3, 0x1.145185133a7e8p-3, 0x1.0db968ee2e0e5p-3, 0x1.07435f3c421a5p-3, 0x1.00eee9a8dc803p-3, 0x1.f57713db590fbp-4, 0x1.e95183d0e739ap-4, 0x1.dd6c275f96d85p-4, 0x1.d1c6034dcf4adp-4, 0x1.c65e1d20d479ep-4, 0x1.bb337b407d80bp-4, 0x1.b04525192abb7p-4, 0x1.a592233bf5f5fp-4, 0x1.9b197f7d2c8d8p-4, 0x1.90da45112a0cep-4, 0x1.86d380a79a49ap-4, 0x1.7d0440852cb1ap-4, 0x1.736b949bd0e18p-4, 0x1.6a088ea181f8bp-4, 0x1.60da4225aa84dp-4, 0x1.57dfc4a537025p-4, 0x1.4f182d9d593adp-4, 0x1.4682969d0d939p-4, 0x1.3e1e1b556caa9p-4, 0x1.35e9d9a8d3d3p-4, 0x1.2de4f1b8ef2aap-4, 0x1.260e85f3b1c5ep-4, 0x1.1e65bb1f43ddfp-4, 0x1.16e9b864f29cbp-4, 0x1.0f99a75b2b339p-4, 0x1.0874b40e8a08cp-4, 0x1.017a0d0a08b72p-4, 0x1.f551c6bca5edbp-5, 0x1.e800d55094b5ep-5, 0x1.daffb22d8795bp-5, 0x1.ce4ccedf09676p-5, 0x1.c1e6a22715b34p-5, 0x1.b5cba805454f5p-5, 0x1.a9fa61bcae271p-5, 0x1.9e7155d883899p-5, 0x1.932f102f818dp-5, 0x1.883221e6351dep-5, 0x1.7d7921702f81fp-5, 0x1.7302aa902d0c3p-5, 0x1.68cd5e57414d9p-5, 0x1.5ed7e3230f178p-5, 0x1.5520e49b2004fp-5, 0x1.4ba713ad5dff7p-5, 0x1.42692689c166ep-5, 0x1.3965d89d3a8b2p-5, 0x1.309bea8be1057p-5, 0x1.280a222a74e8p-5, 0x1.1faf4a7738cdbp-5, 0x1.178a33923119fp-5, 0x1.0f99b2b4ce0a1p-5, 0x1.07dca2290c8e7p-5, 0x1.0051e14014415p-5, 0x1.f1f0a890b5d7cp-6, 0x1.e39dc906a894dp-6, 0x1.d5a900357409p-6, 0x1.c810342ad91d6p-6, 0x1.bad15497ef05ap-6, 0x1.adea5ab9852b3p-6, 0x1.a159493fde51cp-6, 0x1.951c2c35db7aep-6, 0x1.893118e7a1154p-6, 0x1.7d962dc8bc1b2p-6, 0x1.72499259d968ep-6, 0x1.6749770e143b3p-6, 0x1.5c94152fe9e6p-6, 0x1.5227aec5d6fe2p-6, 0x1.48028e76b040bp-6, 0x1.3e23076db4682p-6, 0x1.3487753e6d732p-6, 0x1.2b2e3bc855677p-6, 0x1.2215c71a5eeebp-6, 0x1.193c8b56546ebp-6, 0x1.10a1049422b9ep-6, 0x1.0841b6c509b5ep-6, 0x1.001d2d96c5452p-6, 0x1.f063f8ad5a146p-7, 0x1.e0fd7ba9a8563p-7, 0x1.d204288e54fa8p-7, 0x1.c375525954b74p-7, 0x1.b54e5a6127b7bp-7, 0x1.a78cb01b7e77ep-7, 0x1.9a2dd0e3f7f5bp-7, 0x1.8d2f47c337236p-7, 0x1.808ead361e59ep-7, 0x1.7449a6f563757p-7, 0x1.685de7bd68e85p-7, 0x1.5cc92f1673b08p-7, 0x1.5189491d35be9p-7, 0x1.469c0e4bc66b4p-7, 0x1.3bff6342f73fap-7, 0x1.31b138941a751p-7, 0x1.27af8a8b3c942p-7, 0x1.1df860f9d34ffp-7, 0x1.1489cf01e8166p-7, 0x1.0b61f2e1c1b72p-7, 0x1.027ef5c00e1bcp-7, 0x1.f3be16f12cfa4p-8, 0x1.e300e4d2f6404p-8, 0x1.d2c2e681e8b34p-8, 0x1.c300c19765c63p-8, 0x1.b3b72f877588ep-8, 0x1.a4e2fd3fcd201p-8, 0x1.96810ac7e7ae1p-8, 0x1.888e4ae24cf9p-8, 0x1.7b07c2af1c0b2p-8, 0x1.6dea894faebd2p-8, 0x1.6133c78b86931p-8, 0x1.54e0b7766ea96p-8, 0x1.48eea417cfdffp-8, 0x1.3d5ae91345e71p-8, 0x1.3222f2526f8cfp-8, 0x1.27443baff77adp-8, 0x1.1cbc50a3e29d7p-8, 0x1.1288cbf11503fp-8, 0x1.08a757540e9fep-8, 0x1.fe2b5665ef115p-9, 0x1.eba31c9dab896p-9, 0x1.d9b1aaec0757ap-9, 0x1.c852c66fd1b77p-9, 0x1.b7824f33cc869p-9, 0x1.a73c3f9af38b4p-9, 0x1.977cabcf28c7fp-9, 0x1.883fc1327014ap-9, 0x1.7981c5d2607c7p-9, 0x1.6b3f17de1eafep-9, 0x1.5d742d1e97edp-9, 0x1.501d927135a9p-9, 0x1.4337eb44c93dfp-9, 0x1.36bff118e1276p-9, 0x1.2ab272ff5251ap-9, 0x1.1f0c552021f61p-9, 0x1.13ca903f96081p-9, 0x1.08ea31468df93p-9, 0x1.fcd0b19a2dc52p-10, 0x1.e884754e491d4p-10, 0x1.d4ea3ae6d6e4p-10, 0x1.c1fcb458f875fp-10, 0x1.afb6b777c9752p-10, 0x1.9e133d1ec0933p-10, 0x1.8d0d606058fc2p-10, 0x1.7ca05db8c1f38p-10, 0x1.6cc7924496e4fp-10, 0x1.5d7e7afb73ff5p-10, 0x1.4ec0b3ee9fa51p-10, 0x1.4089f78b73216p-10, 0x1.32d61de1a227dp-10, 0x1.25a11bed42b88p-10, 0x1.18e702e48c66cp-10, 0x1.0ca3ff8932dd3p-10, 0x1.00d4597d56e3cp-10, 0x1.eae8e53838dc5p-11, 0x1.d5018cab78152p-11, 0x1.bfebd21dc78eap-11, 0x1.aba10f06ff157p-11, 0x1.981acc59f922ap-11, 0x1.8552c157856f3p-11, 0x1.7342d26797d41p-11, 0x1.61e50ff90d505p-11, 0x1.5133b56780196p-11, 0x1.412927e763742p-11, 0x1.31bff578338cbp-11, 0x1.22f2d3dc6093bp-11, 0x1.14bc9f970ecd3p-11, 0x1.07185aefc7439p-11, 0x1.f40259f6ed13cp-12, 0x1.dae4c15691fc1p-12, 0x1.c2cec7c1c4548p-12, 0x1.abb78d0ef4ce2p-12, 0x1.9596736562e98p-12, 0x1.80631d8465b04p-12, 0x1.6c156d159e764p-12, 0x1.58a5810850941p-12, 0x1.460bb3f6389f2p-12, 0x1.34409a926955dp-12, 0x1.233d0221440ebp-12, 0x1.12f9eef9b4c05p-12, 0x1.03709b0fb214ap-12, 0x1.e934e90d13ddap-13, 0x1.cce238996f95ap-13, 0x1.b1dcc97f21221p-13, 0x1.9818a0af4f7f7p-13, 0x1.7f8a20bb090f8p-13, 0x1.6826074b2e978p-13, 0x1.51e16aa86e075p-13, 0x1.3cb1b752a74f2p-13, 0x1.288cada700cf6p-13, 0x1.15685f9510451p-13, 0x1.033b2e631d9a3p-13, 0x1.e3f790fba1183p-14, 0x1.c3424eaf07a42p-14, 0x1.a4451aa993ee8p-14, 0x1.86ef078a7be6dp-14, 0x1.6b2fb1d66c292p-14, 0x1.50f73c1c8bd6cp-14, 0x1.38364b3305bfdp-14, 0x1.20de028f4a51ap-14, 0x1.0ae000b2c2e2fp-14, 0x1.ec5cb760017e3p-15, 0x1.c5773b90f671p-15, 0x1.a0f5843a20037p-15, 0x1.7ebe62e6eb066p-15, 0x1.5eb97e28666b3p-15, 0x1.40cf4b74b664fp-15, 0x1.24e9092fabd67p-15, 0x1.0af0b8e15fb9dp-15, 0x1.e5a23314cd55p-16, 0x1.b8eb443b73442p-16, 0x1.8f94f84d60147p-16, 0x1.6978fd1534876p-16, 0x1.467250e554ec4p-16, 0x1.265d38b068153p-16, 0x1.09173662f643cp-16, 0x1.dcfdfee8dfcc1p-17, 0x1.ace8e787cd8e4p-17, 0x1.81b1295bb34a6p-17, 0x1.5b1af8beb458cp-17, 0x1.38ecaaccc7859p-17, 0x1.1aeea501c161dp-17, 0x1.00eb4d261e90dp-17, 0x1.d55df39211f6p-18, 0x1.b00fc6354c11ap-18, 0x1.918c285c9f9d3p-18, 0x1.7976b9514bdf6p-18, 0x1.677685a7cebd6p-18, 0x1.5b35ec249128cp-18, 0x1.54628340e059fp-18, 0x1.52acff913a4cbp-18, 0x1.55c91ad220157p-18, 0x1.5d6d7ba569cddp-18, 0x1.69539dfb0ac4p-18, 0x1.7937bc3742fbdp-18, 0x1.8cd8b8d676e94p-18, 0x1.a3f808b88a5e2p-18, 0x1.be599e1f19c44p-18, 0x1.dbc3d42de4485p-18, 0x1.fbff5b06696cfp-18, 0x1.0f6b923db0b2dp-17, 0x1.220c28a66c66p-17, 0x1.35c90f6f595c4p-17, 0x1.4a8aeabde8ba9p-17, 0x1.603b5b9029ab9p-17, 0x1.76c4f75f4178ep-17, 0x1.8e133fffb109fp-17, 0x1.a6129bc0cb2c3p-17, 0x1.beb04dc5dac59p-17, 0x1.d7da6e92ff296p-17, 0x1.f17fe4d1c997ap-17, 0x1.05c82f26ddce3p-16, 0x1.12fe24967eb7ep-16, 0x1.205a66a70f8e6p-16, 0x1.2dd5e2f12d948p-16, 0x1.3b69dd9d4a726p-16, 0x1.490fee5c49b6fp-16, 0x1.56c1fd79de2cfp-16, 0x1.647a4103c1374p-16, 0x1.72333a0ab07d4p-16, 0x1.7fe7b1f4920f7p-16, 0x1.8d92b7e52d01dp-16, 0x1.9b2f9e3baac1ep-16, 0x1.a8b9f8228c851p-16, 0x1.b62d9731ab9bcp-16, 0x1.c38689236e412p-16, 0x1.d0c1159a1f7b9p-16, 0x1.ddd9bbfccaad4p-16, 0x1.eacd315e370ecp-16, 0x1.f7985e77467d3p-16, 0x1.021c2eda7562ap-15, 0x1.08553ca741a51p-15, 0x1.0e7614b906a6dp-15, 0x1.147d893c11e7dp-15, 0x1.1a6a8196727fp-15, 0x1.203bf99294cc3p-15, 0x1.25f1008f4a5b6p-15, 0x1.2b88b8b7b6a22p-15, 0x1.3102564296f7bp-15, 0x1.365d1eb4c67d1p-15, 0x1.3b98682d212e1p-15, 0x1.40b398b24b88ep-15, 0x1.45ae258a9fe2p-15, 0x1.4a879297208a8p-15, 0x1.4f3f71b3f9d1p-15, 0x1.53d5621e7bbb4p-15, 0x1.58490fe1bb30cp-15, 0x1.5c9a3344fba0ep-15, 0x1.60c8904248757p-15, 0x1.64d3f5fdb721fp-15, 0x1.68bc3e44e9353p-15, 0x1.6c814d11e1c71p-15, 0x1.70231010fc8aap-15, 0x1.73a17e2bbec95p-15, 0x1.76fc97191f5e4p-15, 0x1.7a3462eed442dp-15, 0x1.7d48f1b93d19ap-15, 0x1.803a5b14a0092p-15, 0x1.8308bdcacea59p-15, 0x1.85b43f750752ep-15, 0x1.883d0c20e814p-15, 0x1.8aa355f75a1d3p-15, 0x1.8ce754e861c39p-15, 0x1.8f0946598727p-15, 0x1.91096cd644988p-15, 0x1.92e80fc466e37p-15, 0x1.94a57b1a5623bp-15, 0x1.9641ff183f65ep-15, 0x1.97bdf0051525p-15, 0x1.9919a5eca13dbp-15, 0x1.9a557c603e05bp-15, 0x1.9b71d23b4912ap-15, 0x1.9c6f09681ffd5p-15, 0x1.9d4d86a89ea07p-15, 0x1.9e0db15ff2877p-15, 0x1.9eaff35eb497fp-15, 0x1.9f34b8b0f672cp-15, 0x1.9f9c6f6f8d93ap-15, 0x1.9fe7879169f84p-15, 0x1.a01672bf8864p-15, 0x1.a029a42b96f45p-15, 0x1.a0219066c2c6ep-15, 0x1.9ffead3b52996p-15, 0x1.9fc171878e513p-15, 0x1.9f6a55196e1c4p-15, 0x1.9ef9d08cae0fbp-15, 0x1.9e705d2abecb7p-15, 0x1.9dce74cb71d43p-15, 0x1.9d1491b691314p-15, 0x1.9c432e87fae0ap-15, 0x1.9b5ac61462bf1p-15, 0x1.9a5bd34eb7492p-15, 0x1.9946d130747bdp-15, 0x1.981c3aa0e371cp-15, 0x1.96dc8a5ed58d4p-15, 0x1.95883aeb13c6cp-15, 0x1.941fc674bf2e8p-15, 0x1.92a3a6c5323eep-15, 0x1.9114552d8d7c8p-15, 0x1.8f724a75fe28cp-15, 0x1.8dbdfecc6ac0ep-15, 0x1.8bf7e9b4bc03ap-15, 0x1.8a2081fadb5cp-15, 0x1.88383da384172p-15, 0x1.863f91df6d915p-15, 0x1.8436f2fea4f11p-15, 0x1.821ed4656e84ap-15, 0x1.7ff7a88065497p-15, 0x1.7dc1e0ba2bd04p-15, 0x1.7b7ded7262d47p-15, 0x1.792c3df3c917fp-15, 0x1.76cd406bad8e9p-15, 0x1.746161e2b6bb1p-15, 0x1.71e90e34a41dcp-15, 0x1.6f64b009c3f29p-15, 0x1.6cd4b0d071946p-15, 0x1.6a3978b7d76abp-15, 0x1.67936ea9fe7efp-15, 0x1.64e2f846e9c45p-15, 0x1.622879e099653p-15, 0x1.5f6456769f758p-15, 0x1.5c96efb24fed9p-15, 0x1.59c0a5e4175c1p-15, 0x1.56e1d800381c8p-15, 0x1.53fae39c0e4d3p-15, 0x1.510c24ec170bap-15, 0x1.4e15f6c2435a6p-15, 0x1.4b18b28c8dadap-15, 0x1.4814b0533f7c8p-15, 0x1.450a46b8726ebp-15, 0x1.41f9caf7544a4p-15, 0x1.3ee390e376c5ap-15, 0x1.3bc7eae90ef09p-15, 0x1.38a72a0ce6caep-15, 0x1.35819decb1ef5p-15, 0x1.325794bf5096fp-15, 0x1.2f295b55c8eb3p-15, 0x1.2bf73d1c5ef71p-15, 0x1.28c1841bb9353p-15, 0x1.258878f9f5fbbp-15, 0x1.224c62fc5a077p-15, 0x1.1f0d8808e7f88p-15, 0x1.1bcc2ca7fab04p-15, 0x1.18889406a070bp-15, 0x1.1542fff871096p-15, 0x1.11fbb0f9e2d6cp-15, 0x1.0eb2e632569dfp-15, 0x1.0b68dd76b4f71p-15, 0x1.081dd34c346ddp-15, 0x1.04d202eaf57aep-15, 0x1.0185a64089f3dp-15, 0x1.fc71ebe650ad3p-16, 0x1.f5d852c8aff2ep-16, 0x1.ef3eed67ccbc3p-16, 0x1.e8a62586a8457p-16, 0x1.e20e62717213ep-16, 0x1.db78090488082p-16, 0x1.d4e37bb2219bbp-16, 0x1.ce511a89a8951p-16, 0x1.c7c1433e0d9acp-16, 0x1.c134512dbc8cap-16, 0x1.baaa9d6828c4ep-16, 0x1.b4247eb5d374ep-16, 0x1.ada2499f0f306p-16, 0x1.a7245072eeb5p-16, 0x1.a0aae34e8ae1cp-16, 0x1.9a365024bd6afp-16, 0x1.93c6e2c50ee8fp-16, 0x1.8d5ce4e313265p-16, 0x1.86f89e1d69eb4p-16, 0x1.809a5405a4ecbp-16, 0x1.7a424a27592a7p-16, 0x1.73f0c21026bccp-16, 0x1.6da5fb5661b6p-16, 0x1.676233a0cf002p-16, 0x1.6125a6ae42f58p-16, 0x1.5af08e5c729d8p-16, 0x1.54c322afc11bfp-16, 0x1.4e9d99dae0742p-16, 0x1.48802845c3ea3p-16, 0x1.426b00952b281p-16, 0x1.3c5e53b1bacfcp-16, 0x1.365a50cf4f6bbp-16, 0x1.305f25745be6ap-16, 0x1.2a6cfd819011cp-16, 0x1.2484033853692p-16, 0x1.1ea45f424d567p-16, 0x1.18ce38b866b46p-16, 0x1.1301b529e0f02p-16, 0x1.0d3ef8a2ec2f6p-16, 0x1.078625b486c37p-16, 0x1.01d75d7aacfdp-16, 0x1.f8657f470783cp-17, 0x1.ed30d4ec016ddp-17, 0x1.e210f5b1207f8p-17, 0x1.d70618afb4f65p-17, 0x1.cc10725b4e76cp-17, 0x1.c130348eb193fp-17, 0x1.b6658e988f602p-17, 0x1.abb0ad4856ecep-17, 0x1.a111bafb7e69bp-17, 0x1.9688dfa9513c6p-17, 0x1.8c1640f017f9dp-17, 0x1.81ba0221769cp-17, 0x1.7774444e98472p-17, 0x1.6d45265421699p-17, 0x1.632cc4e63a5b6p-17, 0x1.592b3a9c15683p-17, 0x1.4f409ffbea71fp-17, 0x1.456d0b869dd63p-17, 0x1.3bb091c3744c1p-17, 0x1.320b454a98fb3p-17, 0x1.287d36d0a6671p-17, 0x1.1f067531918c6p-17, 0x1.15a70d7b54dcap-17, 0x1.0c5f0af8b0442p-17, 0x1.032e773c1e38ep-17, 0x1.f42ab453bea4p-18, 0x1.e227740443f28p-18, 0x1.d05336d711041p-18, 0x1.beae02f96f526p-18, 0x1.ad37db8c2d505p-18, 0x1.9bf0c0b806e11p-18, 0x1.8ad8afc073a77p-18, 0x1.79efa316a52ecp-18, 0x1.6935926b09c3bp-18, 0x1.58aa72c0ee538p-18, 0x1.484e367efa677p-18, 0x1.3820cd821539bp-18, 0x1.2822252e2d349p-18, 0x1.185228803ecdfp-18, 0x1.08b0c01e3bc83p-18, 0x1.f27ba4d00b6bfp-19, 0x1.d3f2870fd2c2dp-19, 0x1.b5c5eb04be489p-19, 0x1.97f5908be60c6p-19, 0x1.7a8133755d38ap-19, 0x1.5d688ba48f8b6p-19, 0x1.40ab4d2c9a66cp-19, 0x1.2449286da9dd5p-19, 0x1.0841ca33176f3p-19, 0x1.d929b79c61785p-20, 0x1.a2840668495a5p-20, 0x1.6c91c63039456p-20, 0x1.3752360f266dap-20, 0x1.02c48f0814894p-20, 0x1.9dd00871f5453p-21, 0x1.37778621908aap-21, 0x1.a4fbcdfc54d1cp-22, 0x1.bb85c13959f27p-23, 0x1.940ba378758f9p-26, -0x1.511c859cff579p-23, -0x1.67adc70b95e79p-22, -0x1.1210caaddaa85p-21, -0x1.6ef6c116a5f38p-21, -0x1.ca8ab968e05bfp-21, -0x1.12675734793bdp-20, -0x1.3ee25150dc368p-20, -0x1.6ab75009b769dp-20, -0x1.95e75befb69ep-20, -0x1.c07380fe2ba54p-20, -0x1.ea5cce745c74cp-20, -0x1.09d22b57370b9p-19, -0x1.1e2597800e652p-19, -0x1.322937c864b02p-19, -0x1.45dd999bf4e43p-19, -0x1.59434bace9c1fp-19, -0x1.6c5adde2ca861p-19, -0x1.7f24e1497eaabp-19, -0x1.91a1e8016e6ecp-19, -0x1.a3d2852f4e0c6p-19, -0x1.b5b74cec697bcp-19, -0x1.c750d43755184p-19, -0x1.d89fb0e543232p-19, -0x1.e9a47992d6fe7p-19, -0x1.fa5fc5963a12bp-19, -0x1.05691678ae8bcp-18, -0x1.0d7e24221092ep-18, -0x1.156f585f6ff4p-18, -0x1.1d3d000a938c7p-18, -0x1.24e76838c0078p-18, -0x1.2c6ede34b6bcap-18, -0x1.33d3af784b0f4p-18, -0x1.3b1629a6bcab9p-18, -0x1.42369a86afc36p-18, -0x1.49354ffcb6d96p-18, -0x1.50129806085c6p-18, -0x1.56cec0b2d446ep-18, -0x1.5d6a182147d6dp-18, -0x1.63e4ec78aa57ep-18, -0x1.6a3f8be420de3p-18, -0x1.707a448d99342p-18, -0x1.7695649a16704p-18, -0x1.7c913a2453409p-18, -0x1.826e133858a16p-18, -0x1.882c3dcf85904p-18, -0x1.8dcc07cbb277ep-18, -0x1.934dbef48f4e1p-18, -0x1.98b1b0f253b5p-18, -0x1.9df82b4a61bf7p-18, -0x1.a3217b5b6cc52p-18, -0x1.a82dee59d4abfp-18, -0x1.ad1dd14c4afacp-18, -0x1.b1f1710823c28p-18, -0x1.b6a91a2e393ccp-18, -0x1.bb45192800203p-18, -0x1.bfc5ba23cebdp-18, -0x1.c42b491200982p-18, -0x1.c87611a21ae3dp-18, -0x1.cca65f4092abp-18, -0x1.d0bc7d12cbde9p-18, -0x1.d4b8b5f55c982p-18, -0x1.d89b5478d9f39p-18, -0x1.dc64a2dfe31d2p-18, -0x1.e014eb1d5d5f7p-18, -0x1.e3ac76d0b2e41p-18, -0x1.e72b8f446d953p-18, -0x1.ea927d6bcd708p-18, -0x1.ede189e0bbf29p-18, -0x1.f118fce1dbc1dp-18, -0x1.f4391e50814a7p-18, -0x1.f74235af10cf2p-18, -0x1.fa348a1f77921p-18, -0x1.fd106260ae8ddp-18, -0x1.ffd604cd45c6fp-18, -0x1.0142dbad2c43dp-17, -0x1.028fdfcb0703bp-17, -0x1.03d23152a23edp-17, -0x1.0509f2a165b45p-17, -0x1.063745def8ep-17, -0x1.075a4cfc7ffdcp-17, -0x1.087329b4c7d91p-17, -0x1.0981fd8abd3bp-17, -0x1.0a86e9c92beb8p-17, -0x1.0b820f8269855p-17, -0x1.0c738f8f98618p-17, -0x1.0d5b8a9051fcdp-17, -0x1.0e3a20ea3fa34p-17, -0x1.0f0f72c8923f7p-17, -0x1.0fdba01bf7fa7p-17, -0x1.109ec899f1751p-17, -0x1.11590bbc4c791p-17, -0x1.120a88c0fd7efp-17, -0x1.12b35eaa46971p-17, -0x1.1353ac3deb0e8p-17, -0x1.13eb9004dedffp-17, -0x1.147b284b4be37p-17, -0x1.1502932026dfep-17, -0x1.1581ee5556bd8p-17, -0x1.15f9577f9f7cp-17, -0x1.1668ebf5f4ae7p-17, -0x1.16d0c8d18245ap-17, -0x1.17310aedb331bp-17, -0x1.1789cee7f3695p-17, -0x1.17db311fb4abap-17, -0x1.18254db64ef08p-17, -0x1.1868408ef62cdp-17, -0x1.18a4254ef3898p-17, -0x1.18d9175d58932p-17, -0x1.190731e2ea547p-17, -0x1.192e8fc9f4f3p-17, -0x1.194f4bbf4166ep-17, -0x1.1969803144142p-17, -0x1.197d4750521d9p-17, -0x1.198abb0ea3fcbp-17, -0x1.1991f5209962bp-17, -0x1.19930efc9f22ap-17, -0x1.198e21dbec6a8p-17, -0x1.198346b9eaddcp-17, -0x1.197296546d33ap-17, -0x1.195c292be51d9p-17, -0x1.194017839e388p-17, -0x1.191e7961c8b7p-17, -0x1.18f7668fc2039p-17, -0x1.18caf69a1cf7ap-17, -0x1.189940d10cef6p-17, -0x1.18625c48804e4p-17, -0x1.18265fd845d21p-17, -0x1.17e5621c1c48cp-17, -0x1.179f7973c9307p-17, -0x1.1754bc044a62ap-17, -0x1.17053fb7168c9p-17, -0x1.16b11a3a8f9cfp-17, -0x1.1658610241995p-17, -0x1.15fb29474c8abp-17, -0x1.1599880866f12p-17, -0x1.1533920af0721p-17, -0x1.14c95bda432e3p-17, -0x1.145af9c85393bp-17, -0x1.13e87feddb50cp-17, -0x1.1372022ad3d32p-17, -0x1.12f79426a1a8fp-17, -0x1.127949507bd54p-17, -0x1.11f734df97313p-17, -0x1.117169d39ee6cp-17, -0x1.10e7faf5199c3p-17, -0x1.105afad578021p-17, -0x1.0fca7bcf90c3bp-17, -0x1.0f3690079ff3cp-17, -0x1.0e9f496bf727dp-17, -0x1.0e04b9b5b6f2bp-17, -0x1.0d66f2684ec58p-17, -0x1.0cc604d229bbcp-17, -0x1.0c22020d08f6cp-17, -0x1.0b7afafe56c5dp-17, -0x1.0ad1005796e9ep-17, -0x1.0a2422972fe9cp-17, -0x1.09747207dcd49p-17, -0x1.08c1fec193b21p-17, -0x1.080cd8a9a7f45p-17, -0x1.07550f7354f65p-17, -0x1.069ab2a002ba5p-17, -0x1.05ddd17fae8a5p-17, -0x1.051e7b3139395p-17, -0x1.045cbea2e5621p-17, -0x1.0398aa92b27b8p-17, -0x1.02d24d8e9eb57p-17, -0x1.0209b5f514a45p-17, -0x1.013ef1f526eafp-17, -0x1.00720f8ed8499p-17, -0x1.ff463928a81d9p-18, -0x1.fda44d52c201ap-18, -0x1.fbfe7687e1851p-18, -0x1.fa54cf5931c3fp-18, -0x1.f8a771fdebb49p-18, -0x1.f6f67853ac0b9p-18, -0x1.f541fbe0b48fap-18, -0x1.f38a15d3440f5p-18, -0x1.f1cedf024e8f6p-18, -0x1.f0106feeaccbfp-18, -0x1.ee4ee0c3abc2ep-18, -0x1.ec8a4957ed3b7p-18, -0x1.eac2c12e2f3b5p-18, -0x1.e8f85f75e153dp-18, -0x1.e72b3b0bed3dfp-18, -0x1.e55b6a7bddb65p-18, -0x1.e389040022ccbp-18, -0x1.e1b41d82fc38dp-18, -0x1.dfdccc9f21f7ep-18, -0x1.de0326a070154p-18, -0x1.dc2740844cfd5p-18, -0x1.da492efbdb3fdp-18, -0x1.d869066b62d1cp-18, -0x1.d686daeb14788p-18, -0x1.d4a2c0481748dp-18, -0x1.d2bcca05280b2p-18, -0x1.d0d50b5b11b67p-18, -0x1.ceeb973a6da2fp-18, -0x1.cd00804bc4afbp-18, -0x1.cb13d8efb90d9p-18, -0x1.c925b34022718p-18, -0x1.c7362110db4c7p-18, -0x1.c54533f05a6cp-18, -0x1.c352fd2870ec3p-18, -0x1.c15f8dbf1b787p-18, -0x1.bf6af676e8549p-18, -0x1.bd7547d002d6cp-18, -0x1.bb7e9208e742fp-18, -0x1.b986e51ec6ce9p-18, -0x1.b78e50ce5693ep-18, -0x1.b594e49481687p-18, -0x1.b39aafaf05d04p-18, -0x1.b19fc11cbb74ap-18, -0x1.afa4279fa0022p-18, -0x1.ada7f1bc3e658p-18, -0x1.abab2dba82efp-18, -0x1.a9ade9a69179dp-18, -0x1.a7b03351635fap-18, -0x1.a5b218513267ap-18, -0x1.a3b3a602d9917p-18, -0x1.a1b4e98a42e63p-18, -0x1.9fb5efd2616afp-18, -0x1.9db6c58e41cb4p-18, -0x1.9bb777398f82ap-18, -0x1.99b8111965d4p-18, -0x1.97b89f3cc2cb2p-18, -0x1.95b92d7d4a14p-18, -0x1.93b9c77fa61dbp-18, -0x1.91ba78b479ed1p-18, -0x1.8fbb4c58c56b1p-18, -0x1.8dbc4d76a19b5p-18, -0x1.8bbd86e5a815dp-18, -0x1.89bf034b8ca76p-18, -0x1.87c0cd1d09f4ap-18, -0x1.85c2ee9dd438p-18, -0x1.83c571e17dd29p-18, -0x1.81c860ccbc222p-18, -0x1.7fcbc515102bdp-18, -0x1.7dcfa841831c8p-18, -0x1.7bd413ab4f304p-18, -0x1.79d9107e55951p-18, -0x1.77dea7b9ce3dp-18, -0x1.75e4e230f88d7p-18, -0x1.73ebc88bb9528p-18, -0x1.71f36346a8deap-18, -0x1.6ffbbab3bffa9p-18, -0x1.6e04d6fb0d31ap-18, -0x1.6c0ec01b171afp-18, -0x1.6a197de9858a3p-18, -0x1.682518138f173p-18, -0x1.6631961e649fcp-18, -0x1.643eff67ea09ep-18, -0x1.624d5b2713efcp-18, -0x1.605cb06c9c0f2p-18, -0x1.5e6d06233325ep-18, -0x1.5c7e630ffc4f3p-18, -0x1.5a90cdd3624dcp-18, -0x1.58a44ce9455ffp-18, -0x1.56b8e6a9524b9p-18, -0x1.54cea147d8cf3p-18, -0x1.52e582d6743fbp-18, -0x1.50fd9143eaac6p-18, -0x1.4f16d25ce2751p-18, -0x1.4d314bcc50ae1p-18, -0x1.4b4d031be0506p-18, -0x1.4969fdb492c4ap-18, -0x1.478840df1cb2ep-18, -0x1.45a7d1c49137bp-18, -0x1.43c8b56e5988ap-18, -0x1.41eaf0c6c3a08p-18, -0x1.400e8899ac045p-18, -0x1.3e338194ad9b6p-18, -0x1.3c59e047b012ap-18, -0x1.3a81a9252feaep-18, -0x1.38aae082c762p-18, -0x1.36d58a99a5c68p-18, -0x1.3501ab86aee26p-18, -0x1.332f474b40feep-18, -0x1.315e61cd5a12dp-18, -0x1.2f8efed7e74fep-18, -0x1.2dc1221b5fea6p-18, -0x1.2bf4cf2e18f8fp-18, -0x1.2a2a098c726b9p-18, -0x1.2860d4996242ap-18, -0x1.2699339ee668ap-18, -0x1.24d329ce7c4ffp-18, -0x1.230eba4111f5fp-18, -0x1.214be7f79f833p-18, -0x1.1f8ab5db71a8dp-18, -0x1.1dcb26bea0169p-18, -0x1.1c0d3d5c53859p-18, -0x1.1a50fc59248bap-18, -0x1.189666439990cp-18, -0x1.16dd7d941ab39p-18, -0x1.152644ad8e95cp-18, -0x1.1370bddd92da3p-18, -0x1.11bceb5cdaf9p-18, -0x1.100acf4f8ac06p-18, -0x1.0e5a6bc56d186p-18, -0x1.0cabc2ba58e42p-18, -0x1.0afed61684987p-18, -0x1.0953a7aebe6fcp-18, -0x1.07aa3944e2e1p-18, -0x1.06028c8804f99p-18, -0x1.045ca314aae4ap-18, -0x1.02b87e753f318p-18, -0x1.011620225b7a3p-18, -0x1.feeb1305ed97p-19, -0x1.fbad77d966ee5p-19, -0x1.f873714830df7p-19, -0x1.f53d01ba2b28fp-19, -0x1.f20a2b7656f0cp-19, -0x1.eedaf0a312b74p-19, -0x1.ebaf5346d76bep-19, -0x1.e8875548b7d2ep-19, -0x1.e562f87125abap-19, -0x1.e2423e69f92fp-19, -0x1.df2528bf79145p-19, -0x1.dc0bb8e0c254ap-19, -0x1.d8f5f01fdf39cp-19, -0x1.d5e3cfb28ed2bp-19, -0x1.d2d558b2c20b5p-19, -0x1.cfca8c1f19eb1p-19, -0x1.ccc36adb507f5p-19, -0x1.c9bff5b09adb1p-19, -0x1.c6c02d4e4a7f8p-19, -0x1.c3c4124a4261ap-19, -0x1.c0cba5213ef9p-19, -0x1.bdd6e63779f6bp-19, -0x1.bae5d5d8ff029p-19, -0x1.b7f87439fab53p-19, -0x1.b50ec17775f12p-19, -0x1.b228bd978b7f5p-19, -0x1.af466889ccf0ap-19, -0x1.ac67c227be8e3p-19, -0x1.a98cca354a10bp-19, -0x1.a6b5806107429p-19, -0x1.a3e1e444ccb13p-19, -0x1.a111f565fea66p-19, -0x1.9e45b335c9f52p-19, -0x1.9b7d1d11b00dcp-19, -0x1.98b8324408b27p-19, -0x1.95f6f2040c573p-19, -0x1.93395b765260fp-19, -0x1.907f6dad654b8p-19, -0x1.8dc927a9f3165p-19, -0x1.8b16885b0af2ap-19, -0x1.88678e9e8e3ffp-19, -0x1.85bc3941931f4p-19, -0x1.83148700c390bp-19, -0x1.80707688927c5p-19, -0x1.7dd006758eb4fp-19, -0x1.7b333554e1ca3p-19, -0x1.789a01a489adep-19, -0x1.760469d39259bp-19, -0x1.73726c42847dp-19, -0x1.70e40743b06dcp-19, -0x1.6e59391b67cdcp-19, -0x1.6bd2000069eabp-19, -0x1.694e5a1c1ccfcp-19, -0x1.66ce458ab881dp-19, -0x1.6451c05bbee6cp-19, -0x1.61d8c892523dbp-19, -0x1.5f635c2547911p-19, -0x1.5cf178ff82f2ep-19, -0x1.5a831d004957cp-19, -0x1.581845fb660f9p-19, -0x1.55b0f1b987011p-19, -0x1.534d1df887072p-19, -0x1.50ecc86bb8e12p-19, -0x1.4e8feebbf5091p-19, -0x1.4c368e87f55b4p-19, -0x1.49e0a5649bfe9p-19, -0x1.478e30dd31126p-19, -0x1.453f2e7382636p-19, -0x1.42f39ba044d76p-19, -0x1.40ab75d34b311p-19, -0x1.3e66ba73acaf5p-19, -0x1.3c2566e002bb9p-19, -0x1.39e7786eaa0ddp-19, -0x1.37acec6dfbbe5p-19, -0x1.3575c0247db1dp-19, -0x1.3341f0d11b17dp-19, -0x1.31117bab4a76ap-19, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.9bc0e18f9069fp-6, 0x1.35266d7a5ce4bp-5, 0x1.9ccd2a1832484p-5, 0x1.0275ea06d39e7p-4, 0x1.36c9b73db5eb4p-4, 0x1.6b673d909279bp-4, 0x1.a0507777b9d86p-4, 0x1.d5842fe78af12p-4, 0x1.057f171a714a1p-3, 0x1.205bb8627cfb8p-3, 0x1.3b5338c19861ep-3, 0x1.565fb80c51dd8p-3, 0x1.717a5f5d14f82p-3, 0x1.8c9b878b4741fp-3, 0x1.a7badec2c916fp-3, 0x1.c2cf8c8a49d95p-3, 0x1.ddd053b9a6ecp-3, 0x1.f8b3b20ade07fp-3, 0x1.09b7fe88a1df5p-2, 0x1.16fdbe3e71021p-2, 0x1.242640d246b9ap-2, 0x1.312cbe3081d24p-2, 0x1.3e0c86a79fcb8p-2, 0x1.4ac10acc6c744p-2, 0x1.5745e233a212fp-2, 0x1.6396d1154c1cbp-2, 0x1.6fafccef6366ap-2, 0x1.7b8d003d74e5fp-2, 0x1.872acd5b11292p-2, 0x1.9285d0a6439b3p-2, 0x1.9d9ae1f67bc37p-2, 0x1.a867157b5b191p-2, 0x1.b2e7bc15a9375p-2, 0x1.bd1a633b786f2p-2, 0x1.c6fcd4773a657p-2, 0x1.d08d14903943p-2, 0x1.d9c96269a252bp-2, 0x1.e2b035a4100dfp-2, 0x1.eb403d0c51b1ep-2, 0x1.f3785ce11106ep-2, 0x1.fb57acf7dfbdfp-2, 0x1.016ebb649e6d1p-1, 0x1.050499b520462p-1, 0x1.086d44bcdb00bp-1, 0x1.0ba8a582d9d83p-1, 0x1.0eb6b9b70880ep-1, 0x1.119792a3b61cdp-1, 0x1.144b5420f793fp-1, 0x1.16d2338b3feabp-1, 0x1.192c76be4687p-1, 0x1.1b5a731528a9ap-1, 0x1.1d5c8c7081afdp-1, 0x1.1f3334430e1bap-1, 0x1.20dee8a553365p-1, 0x1.226033709ca9dp-1, 0x1.23b7a96191618p-1, 0x1.24e5e9428827bp-1, 0x1.25eb9b1db11dp-1, 0x1.26c96f771b82cp-1, 0x1.27801e8e91e94p-1, 0x1.281067a93cec6p-1, 0x1.287b1062f28b7p-1, 0x1.28c0e4071158cp-1, 0x1.28e2b2f0c3705p-1, 0x1.28e151f27d024p-1, 0x1.28bd99c48b8fdp-1, 0x1.2878667a84985p-1, 0x1.281296ff60b23p-1, 0x1.278d0c9815fb6p-1, 0x1.26e8aa6c78436p-1, 0x1.262655163213cp-1, 0x1.2546f2359fd4bp-1, 0x1.244b680c5d8e3p-1, 0x1.23349d1d53d15p-1, 0x1.220377d21643ap-1, 0x1.20b8de255fe7fp-1, 0x1.1f55b5528404dp-1, 0x1.1ddae189a3b85p-1, 0x1.1c4945a87b253p-1, 0x1.1aa1c2f79e333p-1, 0x1.18e538ebf9c92p-1, 0x1.171484ec717a6p-1, 0x1.1530821b71a2fp-1, 0x1.133a092452197p-1, 0x1.1131f00c5fe75p-1, 0x1.0f190a077057cp-1, 0x1.0cf0274fd405ap-1, 0x1.0ab815018d51bp-1, 0x1.08719cf8a3fedp-1, 0x1.061d85b27ae6ap-1, 0x1.03bc923204607p-1, 0x1.014f81e6b96b8p-1, 0x1.fdae212c67e72p-2, 0x1.f8a7ec90a477dp-2, 0x1.f38dce6b85cb4p-2, 0x1.ee612771c483ap-2, 0x1.e92350819a045p-2, 0x1.e3d59a8d18b52p-2, 0x1.de794e888abbdp-2, 0x1.d90fad5ca183ep-2, 0x1.d399efdc46249p-2, 0x1.ce1946bddffbbp-2, 0x1.c88eda97de78cp-2, 0x1.c2fbcbe05ef3ep-2, 0x1.bd6132efc0631p-2, 0x1.b7c02005fb957p-2, 0x1.b2199b5298601p-2, 0x1.ac6ea4ff1b3b8p-2, 0x1.a6c0353bbd23p-2, 0x1.a10f3c4e50b04p-2, 0x1.9b5ca2a32f0f9p-2, 0x1.95a948e006fb4p-2, 0x1.8ff607f86d31dp-2, 0x1.8a43b14414e5p-2, 0x1.84930e9684264p-2, 0x1.7ee4e258340b6p-2, 0x1.7939e7a0f415p-2, 0x1.7392d2537d7c6p-2, 0x1.6df04f3a16be7p-2, 0x1.685304242ec33p-2, 0x1.62bb9004d8c2ap-2, 0x1.5d2a8b120e836p-2, 0x1.57a086e4a4b8bp-2, 0x1.521e0e98d9bf6p-2, 0x1.4ca3a6ef6bd05p-2, 0x1.4731ce6f22de4p-2, 0x1.41c8fd86b9732p-2, 0x1.3c69a6af14b79p-2, 0x1.3714368dba0ccp-2, 0x1.31c9141773451p-2, 0x1.2c88a0b30ccf6p-2, 0x1.2753385c288e7p-2, 0x1.222931c610afbp-2, 0x1.1d0ade7e7f83bp-2, 0x1.17f88b1050e8ap-2, 0x1.12f27f261084ep-2, 0x1.0df8fdac5d599p-2, 0x1.090c44f414978p-2, 0x1.042c8ed43d915p-2, 0x1.feb4219759548p-3, 0x1.f529f844a72e2p-3, 0x1.ebbafc147a5a3p-3, 0x1.e2677f804d5adp-3, 0x1.d92fcd576c361p-3, 0x1.d01428fe845abp-3, 0x1.c714ceae5b40dp-3, 0x1.be31f3b194e91p-3, 0x1.b56bc6a18876dp-3, 0x1.acc26fa219394p-3, 0x1.a436109c8fbcbp-3, 0x1.9bc6c57966949p-3, 0x1.9374a459091a8p-3, 0x1.8b3fbdcb896a9p-3, 0x1.83281d072fb46p-3, 0x1.7b2dc81dfe253p-3, 0x1.7350c0320e26ep-3, 0x1.6b9101a8d5e77p-3, 0x1.63ee845d4aba6p-3, 0x1.5c693bd0df71ep-3, 0x1.5501175b669bp-3, 0x1.4db60259cd2d8p-3, 0x1.4687e45bb599ep-3, 0x1.3f76a14ff334fp-3, 0x1.388219afe27dep-3, 0x1.31aa2aa9a7e9ap-3, 0x1.2aeeae494aa75p-3, 0x1.244f7ba0bc12ep-3, 0x1.1dcc66eebf861p-3, 0x1.176541c4c884ep-3, 0x1.1119db2bb4e29p-3, 0x1.0ae9ffc787d04p-3, 0x1.04d579fa0ef68p-3, 0x1.fdb82408ff5a9p-4, 0x1.f1fb1c5026b6p-4, 0x1.e673658b3d2aap-4, 0x1.db2084f8579ecp-4, 0x1.d001fc8d34ec5p-4, 0x1.c5174b309f5b2p-4, 0x1.ba5fecf1da7cp-4, 0x1.afdb5b3e441ap-4, 0x1.a5890d152137ep-4, 0x1.9b6877399e232p-4, 0x1.91790c631ce16p-4, 0x1.87ba3d6bbecaep-4, 0x1.7e2b797d4e71ap-4, 0x1.74cc2e3c80ad8p-4, 0x1.6b9bc7f29c77bp-4, 0x1.6299b1b5936ddp-4, 0x1.59c5558e91d9bp-4, 0x1.511e1c9f128fp-4, 0x1.48a36f447c114p-4, 0x1.4054b53a52fa7p-4, 0x1.383155bb09e5ap-4, 0x1.3038b79f7722ep-4, 0x1.286a417cfaef9p-4, 0x1.20c559c25bd42p-4, 0x1.194966d366b31p-4, 0x1.11f5cf23563b1p-4, 0x1.0ac9f94e0e66dp-4, 0x1.03c54c3031513p-4, 0x1.f9ce5dfc2e712p-5, 0x1.ec5e12b367c98p-5, 0x1.df3886ced7cc6p-5, 0x1.d25c8bc3d19f6p-5, 0x1.c5c8f459daf17p-5, 0x1.b97c94ce70b63p-5, 0x1.ad7642f6eb43ap-5, 0x1.a1b4d66098af6p-5, 0x1.9637286f1c33ep-5, 0x1.8afc147919a5ep-5, 0x1.800277e34217ap-5, 0x1.75493239ce536p-5, 0x1.6acf254870535p-5, 0x1.60933530cf6bdp-5, 0x1.5694487f94c7ap-5, 0x1.4cd148401b373p-5, 0x1.4349200eca6a5p-5, 0x1.39fabe2a2c5aep-5, 0x1.30e51382c55adp-5, 0x1.280713c9bf4e8p-5, 0x1.1f5fb57e6a8a2p-5, 0x1.16edf1faac3ebp-5, 0x1.0eb0c57e56987p-5, 0x1.06a72f39805e9p-5, 0x1.fda062abbf324p-6, 0x1.ee55a1fe644adp-6, 0x1.df6c2cd5854cp-6, 0x1.d0e219bc0eafp-6, 0x1.c2b58568ed2bbp-6, 0x1.b4e492c9027a4p-6, 0x1.a76d6b07acde1p-6, 0x1.9a4e3d95c066bp-6, 0x1.8d85402f26aecp-6, 0x1.8110aedf202abp-6, 0x1.74eecc033cd88p-6, 0x1.691de04d18468p-6, 0x1.5d9c3ac2f3aecp-6, 0x1.526830bf217d2p-6, 0x1.47801dee6c771p-6, 0x1.3ce2644d7431bp-6, 0x1.328d6c251559bp-6, 0x1.287fa405dfe95p-6, 0x1.1eb780c2b8db6p-6, 0x1.15337d6a98939p-6, 0x1.0bf21b418d641p-6, 0x1.02f1e1b8f4d28p-6, 0x1.f462bcce09e0fp-7, 0x1.e35e49fb556a5p-7, 0x1.d2d39e818e646p-7, 0x1.c2bff9f79fb85p-7, 0x1.b320a7edc5951p-7, 0x1.a3f2ffd6b5cafp-7, 0x1.953464efb015dp-7, 0x1.86e24627b87b7p-7, 0x1.78fa1e05e6a1cp-7, 0x1.6b79728ef455ep-7, 0x1.5e5dd529f4beap-7, 0x1.51a4e28477c98p-7, 0x1.454c4275ea1afp-7, 0x1.3951a7e273cc9p-7, 0x1.2db2d09d398aep-7, 0x1.226d854a26c74p-7, 0x1.177f993f4289p-7, 0x1.0ce6ea6595345p-7, 0x1.02a16119aba91p-7, 0x1.f159e017a535p-8, 0x1.de0f283fe6a81p-8, 0x1.cb5ea89a70644p-8, 0x1.b94482fae6a5ap-8, 0x1.a7bcecd89f065p-8, 0x1.96c42f0cc58c9p-8, 0x1.8656a59022de4p-8, 0x1.7670bf38b2e1bp-8, 0x1.670efd771b489p-8, 0x1.582df4140173fp-8, 0x1.49ca48ed5c1f4p-8, 0x1.3be0b3b3adf6fp-8, 0x1.2e6dfda764c64p-8, 0x1.216f01563273ep-8, 0x1.14e0aa58a1f2ep-8, 0x1.08bff50fc3006p-8, 0x1.fa13dcc628bbap-9, 0x1.e37766fd2a56ap-9, 0x1.cda4e32270fc6p-9, 0x1.b896cb172af7bp-9, 0x1.a447b7bddf1d3p-9, 0x1.90b260793b7cp-9, 0x1.7dd19aab850f9p-9, 0x1.6ba0593717e8dp-9, 0x1.5a19abffa23e2p-9, 0x1.4938bf6c4b5abp-9, 0x1.38f8dbeacca0ap-9, 0x1.295565739d42p-9, 0x1.1a49db0efa17fp-9, 0x1.0bd1d65b54a29p-9, 0x1.fbd216290d02ep-10, 0x1.e1168d38901c4p-10, 0x1.c768df0791c3ep-10, 0x1.aec10a2cf534bp-10, 0x1.97173dcc4e62ep-10, 0x1.8063d8b059445p-10, 0x1.6a9f6867c4b33p-10, 0x1.55c2a864bbe05p-10, 0x1.41c6811f159p-10, 0x1.2ea40738c96e6p-10, 0x1.1c547aa596ca6p-10, 0x1.0ad145d4a057fp-10, 0x1.f427f9ba1b196p-11, 0x1.d42cb95abdae7p-11, 0x1.b5a4947a8d80ep-11, 0x1.9883a3855cf99p-11, 0x1.7cbe4bd19178p-11, 0x1.62493e1499bd9p-11, 0x1.491974dc9a4f3p-11, 0x1.3124330f76fd9p-11, 0x1.1a5f026f70bdep-11, 0x1.04bfb22610065p-11, 0x1.e078aaa5a4862p-12, 0x1.b9968340b6d97p-12, 0x1.94c61bbe57e7ap-12, 0x1.71f5214a58117p-12, 0x1.5111bde73ea77p-12, 0x1.320a95c3094f5p-12, 0x1.14cec49703d4fp-12, 0x1.f29bb62641c5cp-13, 0x1.beefb8a633a8ap-13, 0x1.8e7a76bc5ab46p-13, 0x1.611db1660b52bp-13, 0x1.36bbffb7c0664p-13, 0x1.0f38ca1a76d69p-13, 0x1.d4f08b428c571p-14, 0x1.90bededf37868p-14, 0x1.51a810689e227p-14, 0x1.17791f7836c39p-14, 0x1.c4010255bb545p-15, 0x1.621c2f111f267p-15, 0x1.08e6524744b0bp-15, 0x1.7009633a522e7p-16, 0x1.bc7cec18f205cp-17, 0x1.6f03a698a649ap-18, -0x1.81523d3b8aa4fp-20, -0x1.f79285f5c19bep-18, -0x1.ac93539c34c12p-17, -0x1.21dba025a5ad3p-16, -0x1.612d4dccb55f8p-16, -0x1.94ccfe65eacc1p-16, -0x1.bd449bc5b86b8p-16, -0x1.db19c964d3f87p-16, -0x1.eecdff2a1d301p-16, -0x1.f8dea3b4ac028p-16, -0x1.f9c5262c326ep-16, -0x1.f1f7178244451p-16, -0x1.e1e64336ea8f2p-16, -0x1.ca00c790ba3ecp-16, -0x1.aab12d7c97f43p-16, -0x1.845e7fce97f51p-16, -0x1.576c6210a4734p-16, -0x1.243b26dd05e81p-16, -0x1.d64fcb97082e3p-17, -0x1.5919219f00e21p-17, -0x1.a30024d3c51cbp-18, -0x1.00b1a1f22f62p-19, 0x1.68ff868b92981p-19, 0x1.fa50f40cd3007p-18, 0x1.a7f690db1c123p-17, 0x1.2d0c5956c366dp-16, 0x1.898151cdcab27p-16, 0x1.e9169da1fd893p-16, 0x1.25c5905b4f637p-15, 0x1.585012e3c5a18p-15, 0x1.8c0ca6c634817p-15, 0x1.c0de3f19f3e65p-15, 0x1.f6a8e9a4daa8ap-15, 0x1.16a8e37d3d24ep-14, 0x1.325f8163e6179p-14, 0x1.4e6be62362841p-14, 0x1.6ac22771d14ecp-14, 0x1.8756d58acdb18p-14, 0x1.a41ef7a67b2efp-14, 0x1.c110088d16673p-14, 0x1.de1ff33ffa827p-14, 0x1.fb450fb24c791p-14, 0x1.0c3b0fcb12cb8p-13, 0x1.1ad5259e2f798p-13, 0x1.296c8f4602ab9p-13, 0x1.37fd4303d5e5dp-13, 0x1.468365f28fbfap-13, 0x1.54fb4a9d615b3p-13, 0x1.63616f9cf0cbp-13, 0x1.71b27e3f81504p-13, 0x1.7feb4936b3becp-13, 0x1.8e08cb4e97fb6p-13, 0x1.9c08262f70abcp-13, 0x1.a9e6a12349fap-13, 0x1.b7a1a7e5a0689p-13, 0x1.c536c97b4354ap-13, 0x1.d2a3b70f96dfp-13, 0x1.dfe642db7c81fp-13, 0x1.ecfc5f10270d3p-13, 0x1.f9e41ccc6e62dp-13, 0x1.034dd58bd1f62p-12, 0x1.0990aaf0ec3d8p-12, 0x1.0fb9c2866d853p-12, 0x1.15c85dbd484cfp-12, 0x1.1bbbcb10b9b23p-12, 0x1.219365943b3fap-12, 0x1.274e9482b64bfp-12, 0x1.2ceccad32c5cdp-12, 0x1.326d86cee8407p-12, 0x1.37d051a9f9858p-12, 0x1.3d14bf1fa0c17p-12, 0x1.423a6d10ee571p-12, 0x1.47410325c0c5bp-12, 0x1.4c283271793b4p-12, 0x1.50efb517d6e0fp-12, 0x1.55974df696a23p-12, 0x1.5a1ec85144196p-12, 0x1.5e85f77e0fb1dp-12, 0x1.62ccb695bb2bcp-12, 0x1.66f2e8267553bp-12, 0x1.6af875e74fbf5p-12, 0x1.6edd506fb09b7p-12, 0x1.72a16eef997efp-12, 0x1.7644cee99761bp-12, 0x1.79c773f0565ecp-12, 0x1.7d2967652d298p-12, 0x1.806ab8383ebbbp-12, 0x1.838b7aab2ca46p-12, 0x1.868bc8154d8bfp-12, 0x1.896bbea98cdc2p-12, 0x1.8c2b813e7b8e1p-12, 0x1.8ecb371757517p-12, 0x1.914b0baee445dp-12, 0x1.93ab2e84dfe29p-12, 0x1.95ebd2ebc9e42p-12, 0x1.980d2fd88a26cp-12, 0x1.9a0f7fb41f201p-12, 0x1.9bf3002e0657p-12, 0x1.9db7f210a2abdp-12, 0x1.9f5e9916d71e1p-12, 0x1.a0e73bc26b564p-12, 0x1.a2522334632eap-12, 0x1.a39f9b07148bp-12, 0x1.a4cff1284718bp-12, 0x1.a5e375b54540ep-12, 0x1.a6da7ad821273p-12, 0x1.a7b554a5e20abp-12, 0x1.a87458fe00b86p-12, 0x1.a917df6b449f8p-12, 0x1.a9a041048a611p-12, 0x1.aa0dd84fab4efp-12, 0x1.aa6101256ffb6p-12, 0x1.aa9a18963b6ep-12, 0x1.aab97ccf16466p-12, 0x1.aabf8d0090f1bp-12, 0x1.aaaca9460e5cdp-12, 0x1.aa81328de083fp-12, 0x1.aa3d8a8312a75p-12, 0x1.a9e21376e523p-12, 0x1.a96f304b570aap-12, 0x1.a8e5445eea925p-12, 0x1.a844b3798e338p-12, 0x1.a78de1b926cb9p-12, 0x1.a6c1337f63634p-12, 0x1.a5df0d608b5ddp-12, 0x1.a4e7d41289e6ep-12, 0x1.a3dbec5c873ddp-12, 0x1.a2bbbb0847113p-12, 0x1.a187a4d28a328p-12, 0x1.a0400e5cdbbbep-12, 0x1.9ee55c1ff8adbp-12, 0x1.9d77f25f5a08ep-12, 0x1.9bf8351bf4b2p-12, 0x1.9a668808612b7p-12, 0x1.98c34e7dc2b64p-12, 0x1.970eeb708e7a1p-12, 0x1.9549c165fce83p-12, 0x1.9374326a8295fp-12, 0x1.918ea0080da36p-12, 0x1.8f996b3cb8adep-12, 0x1.8d94f4725f63fp-12, 0x1.8b819b76c576dp-12, 0x1.895fbf73869aap-12, 0x1.872fbee672293p-12, 0x1.84f1f79b0532ep-12, 0x1.82a6c6a38a097p-12, 0x1.804e8852d4117p-12, 0x1.7de998366328dp-12, 0x1.7b785111196b5p-12, 0x1.78fb0cd56400cp-12, 0x1.767224a086d98p-12, 0x1.73ddf0b629b8dp-12, 0x1.713ec87c3976bp-12, 0x1.6e9502764a412p-12, 0x1.6be0f44229687p-12, 0x1.6922f2944b244p-12, 0x1.665b51348f43dp-12, 0x1.638a62fb592f5p-12, 0x1.60b079cebad39p-12, 0x1.5dcde6a023824p-12, 0x1.5ae2f96999ba2p-12, 0x1.57f0012be73aap-12, 0x1.54f54becf37a4p-12, 0x1.51f326b616e87p-12, 0x1.4ee9dd9250766p-12, 0x1.4bd9bb8d2882dp-12, 0x1.48c30ab191f91p-12, 0x1.45a61408f46b9p-12, 0x1.42831f9a8e736p-12, 0x1.3f5a746ab47c4p-12, 0x1.3c2c587a93848p-12, 0x1.38f910c77d6bbp-12, 0x1.35c0e14ae798ap-12, 0x1.32840cfaa91fcp-12, 0x1.2f42d5c8f882ap-12, 0x1.2bfd7ca47c59cp-12, 0x1.28b44178c9e1cp-12, 0x1.2567632ecd76fp-12, 0x1.22171fad56a57p-12, 0x1.1ec3b3da04262p-12, 0x1.1b6d5b99ae9adp-12, 0x1.181451d1ce97ap-12, 0x1.14b8d068f8efbp-12, 0x1.115b10480b18bp-12, 0x1.0dfb495b6a796p-12, 0x1.0a99b2947eb6dp-12, 0x1.073681ea967cbp-12, 0x1.03d1ec5c81515p-12, 0x1.006c25f1fb79bp-12, 0x1.fa0ac37a550e6p-13, 0x1.f33ba3b8663c2p-13, 0x1.ec6b4ef6050c2p-13, 0x1.e59a25a9a0591p-13, 0x1.dec8866c1e94bp-13, 0x1.d7f6cdfc0dd4fp-13, 0x1.d125574178b67p-13, 0x1.ca547b51d1c34p-13, 0x1.c38491742267dp-13, 0x1.bcb5ef2471f1cp-13, 0x1.b5e8e817ed5p-13, 0x1.af1dce4144dep-13, 0x1.a854f1d486ad6p-13, 0x1.a18ea14b7f05p-13, 0x1.9acb296a3a333p-13, 0x1.940ad542d9705p-13, 0x1.8d4dee3a8aafbp-13, 0x1.8694bc0d8ff29p-13, 0x1.7fdf84d3790bep-13, 0x1.792e8d0429dadp-13, 0x1.7282177c7d70ap-13, 0x1.6bda65826b1d2p-13, 0x1.6537b6c9ae15bp-13, 0x1.5e9a4978736a7p-13, 0x1.58025a2c13b0bp-13, 0x1.517023fd7d6aap-13, 0x1.4ae3e0864f124p-13, 0x1.445dc7e500a6dp-13, 0x1.3dde10c205d31p-13, 0x1.3764f054488b5p-13, 0x1.30f29a65b77c1p-13, 0x1.2a874157fb338p-13, 0x1.242316299e969p-13, 0x1.1dc6487a69116p-13, 0x1.177106901bdc6p-13, 0x1.11237d5ae64c3p-13, 0x1.0addd87a7ef6p-13, 0x1.04a04242705ddp-13, 0x1.fcd5c77de0b4dp-14, 0x1.f07bc9732a7dfp-14, 0x1.e432d77b79509p-14, 0x1.d7fb3c3ac95b8p-14, 0x1.cbd53feb43fc9p-14, 0x1.bfc128662dc7cp-14, 0x1.b3bf392d01973p-14, 0x1.a7cfb3731d861p-14, 0x1.9bf2d62659f54p-14, 0x1.9028ddf80995ap-14, 0x1.847205658092ap-14, 0x1.78ce84c18a10fp-14, 0x1.6d3e923ccc943p-14, 0x1.61c261ee8a161p-14, 0x1.565a25ddbf3b4p-14, 0x1.4b060e0929de2p-14, 0x1.3fc648703886dp-14, 0x1.349b011b68265p-14, 0x1.29846224dcba3p-14, 0x1.1e8293c00e7d8p-14, 0x1.1395bc430593dp-14, 0x1.08be002e24695p-14, 0x1.fbf70468cce3dp-15, 0x1.e69cc6867bfaep-15, 0x1.d16d85159eb9dp-15, 0x1.bc697b0b698bap-15, 0x1.a790e002268cbp-15, 0x1.92e3e8484da18p-15, 0x1.7e62c4f09a8dep-15, 0x1.6a0da3e0a019cp-15, 0x1.55e4afe07e51ep-15, 0x1.41e810a953ceep-15, 0x1.2e17eaf4b6b65p-15, 0x1.1a74608a62ba9p-15, 0x1.06fd904fbbd6dp-15, 0x1.e7672cabcc76ap-16, 0x1.c12d17cf8f0e9p-16, 0x1.9b4d0f3050df3p-16, 0x1.75c73a9f22718p-16, 0x1.509bbcb3aa407p-16, 0x1.2bcab2e88c0dbp-16, 0x1.075435b482fa6p-16, 0x1.c670b14ce7a9bp-17, 0x1.7eee54fe2d2cfp-17, 0x1.38216a94389a9p-17, 0x1.e413f9e28a066p-18, 0x1.59501be96fbd3p-18, 0x1.9fee5ab3ff1c2p-19, 0x1.20243c3575e37p-20, -0x1.f3d377e88ccd7p-21, -0x1.87271a903e74bp-19, -0x1.47429c73fefafp-18, -0x1.c987fce4bf80fp-18, -0x1.25320f32589afp-17, -0x1.64ebbfe43c34ap-17, -0x1.a3f1574aadb8ep-17, -0x1.e24323556c353p-17, -0x1.0ff0bc79edc8dp-16, -0x1.2e6659f519a79p-16, -0x1.4c829b5471075p-16, -0x1.6a45b5109bca9p-16, -0x1.87afdecd7b6a8p-16, -0x1.a4c15346b93ap-16, -0x1.c17a503b3ba25p-16, -0x1.dddb16596f38ep-16, -0x1.f9e3e92c4b2f3p-16, -0x1.0aca87836fe3cp-15, -0x1.187768793ddc1p-15, -0x1.25f8bd4defb8ap-15, -0x1.334ead20371cbp-15, -0x1.4079604e268a2p-15, -0x1.4d79006c6c6d5p-15, -0x1.5a4db83d8c5b3p-15, -0x1.66f7b3a8a8fc2p-15, -0x1.73771fb1d708ap-15, -0x1.7fcc2a71a2e9ep-15, -0x1.8bf7030c356ecp-15, -0x1.97f7d9a988e1bp-15, -0x1.a3cedf6d842dbp-15, -0x1.af7c46705a1bcp-15, -0x1.bb0041b67bc15p-15, -0x1.c65b0529274c9p-15, -0x1.d18cc58ec34aep-15, -0x1.dc95b883898f3p-15, -0x1.e7761472c517dp-15, -0x1.f22e108ef5d9p-15, -0x1.fcbde4cb696d7p-15, -0x1.0392e4eaa965bp-14, -0x1.08b2fc86849f6p-14, -0x1.0dbf563f2a753p-14, -0x1.12b80f6e0e875p-14, -0x1.179d45bc2ab69p-14, -0x1.1c6f171eebe96p-14, -0x1.212da1d565412p-14, -0x1.25d90464d23a1p-14, -0x1.2a715d966f3fcp-14, -0x1.2ef6cc73c733p-14, -0x1.336970441dbebp-14, -0x1.37c9688999e72p-14, -0x1.3c16d4fe6bea5p-14, -0x1.4051d59247133p-14, -0x1.447a8a67795e1p-14, -0x1.489113d07fc75p-14, -0x1.4c95924d7210bp-14, -0x1.508826897e053p-14, -0x1.5468f1581741cp-14, -0x1.583813b2e9ba9p-14, -0x1.5bf5aeb7e2969p-14, -0x1.5fa1e3a5cd833p-14, -0x1.633cd3dada0acp-14, -0x1.66c6a0d1f103bp-14, -0x1.6a3f6c20c134bp-14, -0x1.6da75775f7bf1p-14, -0x1.70fe84965d2b5p-14, -0x1.7445155b29edfp-14, -0x1.777b2bb01677dp-14, -0x1.7aa0e99127b86p-14, -0x1.7db67108eac66p-14, -0x1.80bbe42e7ea23p-14, -0x1.83b16523bec0ep-14, -0x1.8697161391152p-14, -0x1.896d192fface3p-14, -0x1.8c3390affe25fp-14, -0x1.8eea9eceb340ap-14, -0x1.919265c96e93cp-14, -0x1.942b07dd8e4f2p-14, -0x1.96b4a7474c14ep-14, -0x1.992f66402210ap-14, -0x1.9b9b66fd28ac8p-14, -0x1.9df8cbae467fdp-14, -0x1.a047b67bd1f1ep-14, -0x1.a288498578901p-14, -0x1.a4baa6e10f266p-14, -0x1.a6def099056e8p-14, -0x1.a8f548ab097bcp-14, -0x1.aafdd106fe60fp-14, -0x1.acf8ab8d83ddfp-14, -0x1.aee5fa0ed0bdap-14, -0x1.b0c5de49bfa3fp-14, -0x1.b29879ea09175p-14, -0x1.b45dee8743b2ep-14, -0x1.b6165da4c1ec2p-14, -0x1.b7c1e8af6ca29p-14, -0x1.b960b0fcdc8a3p-14, -0x1.baf2d7ca8b00fp-14, -0x1.bc787e3cb56e3p-14, -0x1.bdf1c55db0529p-14, -0x1.bf5ece1ce779fp-14, -0x1.c0bfb94d961eap-14, -0x1.c214a7a619f99p-14, -0x1.c35db9bf1b15bp-14, -0x1.c49b1012b5712p-14, -0x1.c5cccafb97cfp-14, -0x1.c6f30ab44dc55p-14, -0x1.c80def567b61ep-14, -0x1.c91d98da08982p-14, -0x1.ca222714b35ep-14, -0x1.cb1bb9b8f30b1p-14, -0x1.cc0a7054e4ba2p-14, -0x1.ccee6a5333ab9p-14, -0x1.cdc7c6f914423p-14, -0x1.ce96a565fdc1ap-14, -0x1.cf5b249300f86p-14, -0x1.d015635256c24p-14, -0x1.d0c5804edaba1p-14, -0x1.d16b9a0bc4f7ap-14, -0x1.d207cee3a8753p-14, -0x1.d29a3d080c605p-14, -0x1.d32302811b09bp-14, -0x1.d3a23d2d11c75p-14, -0x1.d4180abfda463p-14, -0x1.d48488c29ad9cp-14, -0x1.d4e7d4935e365p-14, -0x1.d5420b649e59bp-14, -0x1.d5934a3cd14p-14, -0x1.d5dbadf67ae74p-14, -0x1.d61b533f22b2ep-14, -0x1.d6525696ecbcap-14, -0x1.d680d451c1448p-14, -0x1.d6a6e8958152ap-14, -0x1.d6c4af5a1520bp-14, -0x1.d6da446946456p-14, -0x1.d6e7c35e7b3fep-14, -0x1.d6ed47a67f9fdp-14, -0x1.d6eaec7fa9d9ap-14, -0x1.d6e0ccf9014d6p-14, -0x1.d6cf03f2457b1p-14, -0x1.d6b5ac1bc82e9p-14, -0x1.d694dff64edf5p-14, -0x1.d66cb9d2be05bp-14, -0x1.d63d53d22eb8ep-14, -0x1.d606c7e5949c8p-14, -0x1.d5c92fcdcc4ap-14, -0x1.d584a51b5fdep-14, -0x1.d539412e668b4p-14, -0x1.d4e71d36c90f1p-14, -0x1.d48e52332fdffp-14, -0x1.d42ef8f1cebd1p-14, -0x1.d3c92a10d62c7p-14, -0x1.d35cfdfd17cd3p-14, -0x1.d2ea8cf29a0f4p-14, -0x1.d271eefc89ca2p-14, -0x1.d1f33bf52f6dep-14, -0x1.d16e8b8602d42p-14, -0x1.d0e3f527e6b24p-14, -0x1.d05390227d76bp-14, -0x1.cfbd738ca92fep-14, -0x1.cf21b64c574e1p-14, -0x1.ce806f16b87c1p-14, -0x1.cdd9b47021fedp-14, -0x1.cd2d9cac2ff01p-14, -0x1.cc7c3dedd1da2p-14, -0x1.cbc5ae2751edp-14, -0x1.cb0a031a6701bp-14, -0x1.ca49525831p-14, -0x1.c983b141c394ap-14, -0x1.c8b9350763a2bp-14, -0x1.c7e9f2a8c9eb4p-14, -0x1.c715fef687bc8p-14, -0x1.c63d6e90a5dcdp-14, -0x1.c56055e722a49p-14, -0x1.c47ec93a2ba36p-14, -0x1.c398dc9a5011p-14, -0x1.c2aea3e85cc5ep-14, -0x1.c1c032d62263bp-14, -0x1.c0cd9ce5fca33p-14, -0x1.bfd6f56afbc2bp-14, -0x1.bedc4f894968p-14, -0x1.bdddbe3628a02p-14, -0x1.bcdb54383151ep-14, -0x1.bbd5242782aebp-14, -0x1.bacb406dc6ccdp-14, -0x1.b9bdbb4693ee8p-14, -0x1.b8aca6bf8052fp-14, -0x1.b79814b837d41p-14, -0x1.b68016e2c78fep-14, -0x1.b564bec3ff2f6p-14, -0x1.b4461db3270acp-14, -0x1.b32444da13fa2p-14, -0x1.b1ff45369506ep-14, -0x1.b0d72f997c9f8p-14, -0x1.afac14a6f8dcfp-14, -0x1.ae7e04d70332fp-14, -0x1.ad4d10758811dp-14, -0x1.ac1947a2801ecp-14, -0x1.aae2ba5295ef6p-14, -0x1.a9a9784f059ccp-14, -0x1.a86d9135b42e8p-14, -0x1.a72f1479a4b2bp-14, -0x1.a5ee11631510cp-14, -0x1.a4aa970fc7e54p-14, -0x1.a364b473455bep-14, -0x1.a21c785703e62p-14, -0x1.a0d1f15ab9d5dp-14, -0x1.9f852df48d76dp-14, -0x1.9e363c715ebc5p-14, -0x1.9ce52af4ee2a7p-14, -0x1.9b92077a1ef3p-14, -0x1.9a3cdfd37484fp-14, -0x1.98e5c1aae9d5fp-14, -0x1.978cba820a3e8p-14, -0x1.9631d7b33e05dp-14, -0x1.94d5267112fe9p-14, -0x1.9376b3c6aa989p-14, -0x1.92168c9807b32p-14, -0x1.90b4bda2659f8p-14, -0x1.8f51537c56365p-14, -0x1.8dec5a96483afp-14, -0x1.8c85df3a9fad4p-14, -0x1.8b1ded8dd43b1p-14, -0x1.89b4918ee11f2p-14, -0x1.8849d71765038p-14, -0x1.86ddc9dc093acp-14, -0x1.8570756cb3d44p-14, -0x1.8401e534bfa28p-14, -0x1.8292247b52e19p-14, -0x1.81213e639e71fp-14, -0x1.7faf3ded19d56p-14, -0x1.7e3c2df3c632ap-14, -0x1.7cc81930785f1p-14, -0x1.7b530a3904495p-14, -0x1.79dd0b80dd1ecp-14, -0x1.78662758ae12ep-14, -0x1.76ee67eefb3d5p-14, -0x1.7575d750d10fep-14, -0x1.73fc7f6976842p-14, -0x1.72826a02ca99dp-14, -0x1.7107a0c58bdb6p-14, -0x1.6f8c2d39a82bcp-14, -0x1.6e1018c688133p-14, -0x1.6c936cb3521eep-14, -0x1.6b1632273714ap-14, -0x1.6998722990ee9p-14, -0x1.681a35a232a94p-14, -0x1.669b8559b3907p-14, -0x1.651c69f9ac7ebp-14, -0x1.639cec0d09d4bp-14, -0x1.621d140033a53p-14, -0x1.609cea21642d3p-14, -0x1.5f1c76a0e2ea6p-14, -0x1.5d9bc19149f5bp-14, -0x1.5c1ad2e7d4bcep-14, -0x1.5a99b27c8775ep-14, -0x1.5918680a61333p-14, -0x1.5796fb2fedfcfp-14, -0x1.5615736f45037p-14, -0x1.5493d82e242f2p-14, -0x1.531230b678231p-14, -0x1.51908436c5146p-14, -0x1.500ed9c209f84p-14, -0x1.4e8d38500f0e5p-14, -0x1.4d0ba6bdc24aep-14, -0x1.4b8a2bcd5fdf3p-14, -0x1.4a08ce26d9fcbp-14, -0x1.48879457f09c7p-14, -0x1.470684d4906edp-14, -0x1.4585a5f6f5158p-14, -0x1.4404fdffe1866p-14, -0x1.4284931706e7dp-14, -0x1.41046b4b1ab98p-14, -0x1.3f848c922b22ep-14, -0x1.3e04fcc9c8902p-14, -0x1.3c85c1b761ee1p-14, -0x1.3b06e1086b375p-14, -0x1.3988605292986p-14, -0x1.380a451417163p-14, -0x1.368c94b3f8a73p-14, -0x1.350f54821d4f7p-14, -0x1.339289b7ab33p-14, -0x1.321639774a289p-14, -0x1.309a68cd2fcb1p-14, -0x1.2f1f1caf6b232p-14, -0x1.2da459fe42536p-14, -0x1.2c2a25847ad5cp-14, -0x1.2ab083f73ed1ep-14, -0x1.293779f67af82p-14, -0x1.27bf0c0d2cb04p-14, -0x1.26473eb193475p-14, -0x1.24d0164562607p-14, -0x1.23599715f82dep-14, -0x1.21e3c55ca4f5ap-14, -0x1.206ea53ec644dp-14, -0x1.1efa3ace0beeap-14, -0x1.1d868a08aea1bp-14, -0x1.1c1396d9a4de4p-14, -0x1.1aa16518e2e9fp-14, -0x1.192ff88b7df08p-14, -0x1.17bf54e3e8e71p-14, -0x1.164f7dc2286ep-14, -0x1.14e076b415a65p-14, -0x1.1372433582951p-14, -0x1.1204e6b0708adp-14, -0x1.1098647d36546p-14, -0x1.0f2cbfe2c64e3p-14, -0x1.0dc1fc16eb76p-14, -0x1.0c581c3e63e61p-14, -0x1.0aef236d13a22p-14, -0x1.098714a628143p-14, -0x1.081ff2dc87bd6p-14, -0x1.06b9c0f2d2359p-14, -0x1.055481bb84331p-14, -0x1.03f037f946717p-14, -0x1.028ce65f0a287p-14, -0x1.012a8f90525d1p-14, -0x1.ff926c426a498p-15, -0x1.fcd1b92d80b12p-15, -0x1.fa130ace225dp-15, -0x1.f75665f2de7dep-15, -0x1.f49bcf4d0e7dfp-15, -0x1.f1e34b714fc76p-15, -0x1.ef2cded7b9cf7p-15, -0x1.ec788ddc4d6bp-15, -0x1.e9c65cbf2bedfp-15, -0x1.e7164fa503f9fp-15, -0x1.e4686a977cdc3p-15, -0x1.e1bcb18577672p-15, -0x1.df13284363b29p-15, -0x1.dc6bd28b89e25p-15, -0x1.d9c6b3fe65aa1p-15, -0x1.d723d0231d8e9p-15, -0x1.d4832a67b3e53p-15, -0x1.d1e4c62142a31p-15, -0x1.cf48a68c7694fp-15, -0x1.ccaececdca19p-15, -0x1.ca1741f1e5adfp-15, -0x1.c78202edeae33p-15, -0x1.c4ef149fb027ep-15, -0x1.c25e79ce0f55ep-15, -0x1.bfd0352951c7cp-15, -0x1.bd44494b75299p-15, -0x1.babab8b857c95p-15, -0x1.b83385de0bd16p-15, -0x1.b5aeb3154921fp-15, -0x1.b32c42a19bcb8p-15, -0x1.b0ac36b1a4e8ap-15, -0x1.ae2e915f60274p-15, -0x1.abb354b0822dfp-15, -0x1.a93a8296bcb3fp-15, -0x1.a6c41ceffc795p-15, -0x1.a450258695f43p-15, -0x1.a1de9e11b953ep-15, -0x1.9f6f8835a7d35p-15, -0x1.9d02e583e90bdp-15, -0x1.9a98b77b93603p-15, -0x1.9830ff899690bp-15, -0x1.95cbbf08f10e2p-15, -0x1.9368f7430f172p-15, -0x1.9108a96fef784p-15, -0x1.8eaad6b64cfacp-15, -0x1.8c4f802c11af6p-15, -0x1.89f6a6d68b2c4p-15, -0x1.87a04baa93436p-15, -0x1.854c6f8cd6442p-15, -0x1.82fb135209629p-15, -0x1.80ac37bf34933p-15, -0x1.7e5fdd89e7ddep-15, -0x1.7c1605587335ep-15, -0x1.79ceafc23a6c2p-15, -0x1.7789dd4fd0353p-15, -0x1.75478e7b2728bp-15, -0x1.7307c3afeb1b5p-15, -0x1.70ca7d4bb3ec1p-15, -0x1.6e8fbb9e2141dp-15, -0x1.6c577ee934fa5p-15, -0x1.6a21c7616e2f9p-15, -0x1.67ee952e1a488p-15, -0x1.65bde86971cb7p-15, -0x1.638fc120cf22p-15, -0x1.61641f54f3697p-15, -0x1.5f3b02fa393fcp-15, -0x1.5d146bf8b2aafp-15, -0x1.5af05a2c5fdcbp-15, }}, 
      {{0x1.c1983285ec996p-1, 0x1.c0c6ab3eb65fdp-1, 0x1.bfaa43acc4ed6p-1, 0x1.be4a1ea6cd8c5p-1, 0x1.bcadeed6b5d47p-1, 0x1.badd92464aa9ap-1, 0x1.b8e0c8bd7d672p-1, 0x1.b6beff3ae70a5p-1, 0x1.b47f2bec6bde3p-1, 0x1.b227b6f5d0956p-1, 0x1.afbe6d0f6fb19p-1, 0x1.ad4879a00d9c7p-1, 0x1.aaca66707566cp-1, 0x1.a8481f7b89989p-1, 0x1.a5c4f9ae1c393p-1, 0x1.a343bbaad7899p-1, 0x1.a0c6a7dab06f8p-1, 0x1.9e4f873c305b1p-1, 0x1.9bdfb4855f93ep-1, 0x1.99782746b4546p-1, 0x1.97197ed2a58b1p-1, 0x1.94c40cbe38108p-1, 0x1.9277dedc1094ep-1, 0x1.9034c89de4056p-1, 0x1.8dfa6bd02840dp-1, 0x1.8bc840aa10bd7p-1, 0x1.899d9d309925cp-1, 0x1.8779bbeee553ap-1, 0x1.855bc208d85cfp-1, 0x1.8342c4ae9fd53p-1, 0x1.812dcdf936831p-1, 0x1.7f1be138b35acp-1, 0x1.7d0bfebdb8004p-1, 0x1.7afd272776236p-1, 0x1.78ee5e3fd11c8p-1, 0x1.76dead6ee5964p-1, 0x1.74cd25cf02d85p-1, 0x1.72b8e1e9bef82p-1, 0x1.70a1072663762p-1, 0x1.6e84c6f177bc7p-1, 0x1.6c635fa4bb489p-1, 0x1.6a3c1d36599b5p-1, 0x1.680e59b5afb1ep-1, 0x1.65d97d9b797c6p-1, 0x1.639cfff2cb6d8p-1, 0x1.6158665fc6988p-1, 0x1.5f0b45088d97cp-1, 0x1.5cb53e6493d38p-1, 0x1.5a5602f6034bap-1, 0x1.57ed50f099fcep-1, 0x1.557af3d10955cp-1, 0x1.52fec3e7925c9p-1, 0x1.5078a5d856158p-1, 0x1.4de88a13836f3p-1, 0x1.4b4e6c475a813p-1, 0x1.48aa52cdb8859p-1, 0x1.45fc4e16b5124p-1, 0x1.43447811a1e8ep-1, 0x1.4082f3959a673p-1, 0x1.3db7ebcaa3a9ap-1, 0x1.3ae393943a28bp-1, 0x1.380624fe12108p-1, 0x1.351fe0aba5cc6p-1, 0x1.32310d4b1e68dp-1, 0x1.2f39f70c093f4p-1, 0x1.2c3aef1a3157cp-1, 0x1.29344b1ceda44p-1, 0x1.262664bb19bf5p-1, 0x1.23119923e40dfp-1, 0x1.1ff6489c9474fp-1, 0x1.1cd4d61359b46p-1, 0x1.19ada6b72c246p-1, 0x1.16812194c3691p-1, 0x1.134faf389a45fp-1, 0x1.1019b955f755ap-1, 0x1.0cdfaa72e31cbp-1, 0x1.09a1ed98fa1a8p-1, 0x1.0660ee0aff58fp-1, 0x1.031d16ff1123cp-1, 0x1.ffada6bac15adp-2, 0x1.f91d1b06990bdp-2, 0x1.f2895e156ed08p-2, 0x1.ebf3412af13fep-2, 0x1.e55b93397e34cp-2, 0x1.dec3208886276p-2, 0x1.d82ab26238bcap-2, 0x1.d1930ec836d18p-2, 0x1.cafcf82ef35c9p-2, 0x1.c4692d3f7efc2p-2, 0x1.bdd8689f6bf0bp-2, 0x1.b74b60be88fd7p-2, 0x1.b0c2c7aa207f1p-2, 0x1.aa3f4ae57cd45p-2, 0x1.a3c1934767c59p-2, 0x1.9d4a44dc62106p-2, 0x1.96d9fecd54341p-2, 0x1.90715b4a7300fp-2, 0x1.8a10ef7a200fep-2, 0x1.83b94b6b857b3p-2, 0x1.7d6afa0cb7318p-2, 0x1.772681241da09p-2, 0x1.70ec614cf9585p-2, 0x1.6abd15f6c759fp-2, 0x1.649915675774cp-2, 0x1.5e80d0bf636eep-2, 0x1.5874b4017b6e5p-2, 0x1.5275261b1c8abp-2, 0x1.4c8288efbfd2ap-2, 0x1.469d3965ca76ep-2, 0x1.40c58f75257e2p-2, 0x1.3afbde3767e3bp-2, 0x1.354073f96aacep-2, 0x1.2f939a4e25f67p-2, 0x1.29f59622b6e19p-2, 0x1.2466a7d3762d7p-2, 0x1.1ee70b41fbdfcp-2, 0x1.1976f7ebfd117p-2, 0x1.1416a102e1216p-2, 0x1.0ec6358403bfp-2, 0x1.0985e0517e6acp-2, 0x1.0455c84b70a0ap-2, 0x1.fe6c20d3550c8p-3, 0x1.f44dafab58f6ap-3, 0x1.ea507409ccdf5p-3, 0x1.e0749da64d714p-3, 0x1.d6ba553a5bb0bp-3, 0x1.cd21bcb69d2acp-3, 0x1.c3aaef7833e4ap-3, 0x1.ba56027df6a04p-3, 0x1.b123049d8ebdcp-3, 0x1.a811feb855056p-3, 0x1.9f22f3efd67b9p-3, 0x1.9655e1d9fbf7cp-3, 0x1.8daac0b4ba1b1p-3, 0x1.852183993ab22p-3, 0x1.7cba18ae6c284p-3, 0x1.7474695afa918p-3, 0x1.6c505a768e3ap-3, 0x1.644dcc7a59681p-3, 0x1.5c6c9bb0dbcf8p-3, 0x1.54aca064e01abp-3, 0x1.4d0daf0fa111ep-3, 0x1.458f988611191p-3, 0x1.3e322a2545c69p-3, 0x1.36f52dfdf7bdep-3, 0x1.2fd86aff1349p-3, 0x1.28dba51f65209p-3, 0x1.21fe9d8641144p-3, 0x1.1b4112b346a3cp-3, 0x1.14a2c0a51db6p-3, 0x1.0e2360ff440f5p-3, 0x1.07c2ab2ed82c7p-3, 0x1.0180548e7239cp-3, 0x1.f6b82111f1583p-4, 0x1.eaab2177042a5p-4, 0x1.ded90a2c6dff3p-4, 0x1.d34137f8820b8p-4, 0x1.c7e304c581f56p-4, 0x1.bcbdc7dd9a0c1p-4, 0x1.b1d0d624f7f4dp-4, 0x1.a71b8252146d8p-4, 0x1.9c9d1d240429ap-4, 0x1.9254f59704bdfp-4, 0x1.88425917375afp-4, 0x1.7e6493b190e5fp-4, 0x1.74baf0430702ap-4, 0x1.6b44b8a60412cp-4, 0x1.620135de2854fp-4, 0x1.58efb0425d97p-4, 0x1.500f6fa547551p-4, 0x1.475fbb7c1a5aep-4, 0x1.3edfdb03dc156p-4, 0x1.368f15651bb19p-4, 0x1.2e6cb1d625642p-4, 0x1.2677f7bbbf273p-4, 0x1.1eb02ec87056cp-4, 0x1.17149f1a653c8p-4, 0x1.0fa49157ee8a7p-4, 0x1.085f4ecaae2f4p-4, 0x1.014421797265fp-4, 0x1.f4a4a8819b338p-5, 0x1.e71265d4e0734p-5, 0x1.d9d014869e106p-5, 0x1.ccdc50613b4d8p-5, 0x1.c035b7874bf36p-5, 0x1.b3daea990b71ep-5, 0x1.a7ca8cd7b1b91p-5, 0x1.9c034446b57dp-5, 0x1.9083b9cb0b06cp-5, 0x1.854a99486f0c7p-5, 0x1.7a5691bccfdd5p-5, 0x1.6fa65559df14fp-5, 0x1.6538999ce52b9p-5, 0x1.5b0c1764dac11p-5, 0x1.511f8b06dd1b3p-5, 0x1.4771b4610e039p-5, 0x1.3e0156ebe6c59p-5, 0x1.34cd39ca12588p-5, 0x1.2bd427d6db078p-5, 0x1.2314efb337e73p-5, 0x1.1a8e63d185b58p-5, 0x1.123f5a7ffed89p-5, 0x1.0a26adf1f81bep-5, 0x1.02433c47f14f6p-5, 0x1.f527cf2d0a10fp-6, 0x1.e62f2bd890d36p-6, 0x1.d79a62ad30f4ep-6, 0x1.c9674fcaecf62p-6, 0x1.bb93d75ccf33p-6, 0x1.ae1de59cdd153p-6, 0x1.a1036ed6581a7p-6, 0x1.94426f664b459p-6, 0x1.87d8ebba8c623p-6, 0x1.7bc4f04f3770dp-6, 0x1.700491aac0612p-6, 0x1.6495ec58a38bbp-6, 0x1.597724e2cc241p-6, 0x1.4ea667c9c50c3p-6, 0x1.4421e97bb8406p-6, 0x1.39e7e64a557e8p-6, 0x1.2ff6a25fb3dbcp-6, 0x1.264c69b23064dp-6, 0x1.1ce78ff7626bp-6, 0x1.13c670962d3a1p-6, 0x1.0ae76e9801844p-6, 0x1.0248f49959114p-6, 0x1.f3d2e972f14fp-7, 0x1.e38ed112ffd9fp-7, 0x1.d3c2a1f5c99adp-7, 0x1.c46b6c9a8d65p-7, 0x1.b5864ff78ffdap-7, 0x1.a7107953ae8eap-7, 0x1.9907241f158d1p-7, 0x1.8b6799cb1ee3p-7, 0x1.7e2f31a150532p-7, 0x1.715b5099bad4dp-7, 0x1.64e96930afa44p-7, 0x1.58d6fb3bd4e2cp-7, 0x1.4d2193bec12d4p-7, 0x1.41c6ccbf1b5a8p-7, 0x1.36c44d184efa9p-7, 0x1.2c17c84eefea3p-7, 0x1.21befe63c9748p-7, 0x1.17b7bba6aa0b7p-7, 0x1.0dffd8890b405p-7, 0x1.049539707f30dp-7, 0x1.f6eb9d1209cd6p-8, 0x1.e53f272ea52adp-8, 0x1.d4211f962101p-8, 0x1.c38dab22277cap-8, 0x1.b38104cb37ddbp-8, 0x1.a3f77d4d72f67p-8, 0x1.94ed7acd70ac2p-8, 0x1.865f787d6b50dp-8, 0x1.784a0642bc9e7p-8, 0x1.6aa9c85bc28efp-8, 0x1.5d7b7706230fcp-8, 0x1.50bbde25a6943p-8, 0x1.4467dceb752bep-8, 0x1.387c657e060dfp-8, 0x1.2cf67ca194d7ap-8, 0x1.21d339614e07bp-8, 0x1.170fc4b921d4dp-8, 0x1.0ca959404ff15p-8, 0x1.029d42d4a4eafp-8, 0x1.f1d1bc8d5a8bcp-9, 0x1.df13320d03fbep-9, 0x1.ccf9e1a300b1fp-9, 0x1.bb80e6c1b7ba5p-9, 0x1.aaa37c3227fccp-9, 0x1.9a5cfb74a4058p-9, 0x1.8aa8dc233c772p-9, 0x1.7b82b35626439p-9, 0x1.6ce63309f4257p-9, 0x1.5ecf2987d3324p-9, 0x1.513980cfa82f4p-9, 0x1.44213e04146a2p-9, 0x1.378280d88bbd7p-9, 0x1.2b5983014d98ap-9, 0x1.1fa297a5933b2p-9, 0x1.145a2ad39910ep-9, 0x1.097cc0f6b66aap-9, 0x1.fe0dec9edfbb5p-10, 0x1.e9eafcdb61894p-10, 0x1.d68a475a491eap-10, 0x1.c3e58d66acbf4p-10, 0x1.b1f6bbe02d7aep-10, 0x1.a0b7ea3f7c38ap-10, 0x1.9023599f534b3p-10, 0x1.803373c971b74p-10, 0x1.70e2ca476340fp-10, 0x1.622c15777193p-10, 0x1.540a33a5c0c0ap-10, 0x1.4678282911261p-10, 0x1.39711a8433bf7p-10, 0x1.2cf0558abd698p-10, 0x1.20f14689d5b96p-10, 0x1.156f7c750e481p-10, 0x1.0a66a716fa61ep-10, 0x1.ffa52c8be8684p-11, 0x1.eb5e7238c6323p-11, 0x1.d7f13a6938738p-11, 0x1.c555dbd1b7b39p-11, 0x1.b384e72d8ccb7p-11, 0x1.a27725cd50a47p-11, 0x1.9225982d2f678p-11, 0x1.82897490efb95p-11, 0x1.739c25a85c625p-11, 0x1.6557493a06682p-11, 0x1.57b4aed53179p-11, 0x1.4aae568b53234p-11, 0x1.3e3e6faed78dep-11, 0x1.325f57999d78bp-11, 0x1.270b9879a1067p-11, 0x1.1c3de8243eb3ep-11, 0x1.11f126efe3b22p-11, 0x1.08205e94db49cp-11, 0x1.fd8d82250f88fp-12, 0x1.ebbf4f381f084p-12, 0x1.dacd2315c464ap-12, 0x1.caae46ad69824p-12, 0x1.bb5a4b28cf931p-12, 0x1.acc907f3b9719p-12, 0x1.9ef298ce1c7d1p-12, 0x1.91cf5bebbccddp-12, 0x1.8557f01ccc9b9p-12, 0x1.7985330220cedp-12, 0x1.6e503f4d74caap-12, 0x1.63b26b09f4408p-12, 0x1.59a545eed66e2p-12, 0x1.502297be56088p-12, 0x1.47245eac45dc4p-12, 0x1.3ea4cdcf3df2bp-12, 0x1.369e4b9c821bfp-12, 0x1.2f0b706c1a3fap-12, 0x1.27e7050467dc6p-12, 0x1.212c01326bf99p-12, 0x1.1ad58a67b1da9p-12, 0x1.14def262b155ap-12, 0x1.0f43b5df50eeap-12, 0x1.09ff7b5071e4ap-12, 0x1.050e119f6574dp-12, 0x1.006b6ef598748p-12, 0x1.f8275f1aba275p-13, 0x1.f006291432107p-13, 0x1.e86c05b18cc26p-13, 0x1.e15204302dd2dp-13, 0x1.dab1770c01b22p-13, 0x1.d483f1eb91ee2p-13, 0x1.cec3479a57924p-13, 0x1.c969880ebdb86p-13, 0x1.c470fe7eba7ccp-13, 0x1.bfd42f81f91e8p-13, 0x1.bb8dd740e1289p-13, 0x1.b798e7ac679a1p-13, 0x1.b3f086c60e783p-13, 0x1.b0900cf31dab6p-13, 0x1.ad73035a180f3p-13, 0x1.aa95224c355d1p-13, 0x1.a7f24fbbcc0a6p-13, 0x1.a5869dbbb061dp-13, 0x1.a34e4907604ffp-13, 0x1.a145b7999154cp-13, 0x1.9f69774a88a6ap-13, 0x1.9db63c78b7a21p-13, 0x1.9c28e0bb3324ap-13, 0x1.9abe619e4b2d1p-13, 0x1.9973df6898b69p-13, 0x1.98469be7a0a1dp-13, 0x1.9733f947da3ebp-13, 0x1.963978f41c0d1p-13, 0x1.9554ba7caa272p-13, 0x1.94837a88297eap-13, 0x1.93c391cba024cp-13, 0x1.9312f40a50e16p-13, 0x1.926faf1bf7cadp-13, 0x1.91d7e9fb82818p-13, 0x1.9149e3deb83e4p-13, 0x1.90c3f3511bd7fp-13, 0x1.904485585c22ep-13, 0x1.8fca1c9fb56fbp-13, 0x1.8f5350a870af9p-13, 0x1.8edecd00c1ccbp-13, 0x1.8e6b50808c848p-13, 0x1.8df7ac8e319a3p-13, 0x1.8d82c4675df4p-13, 0x1.8d0b8c6f7bc72p-13, 0x1.8c9109851de31p-13, 0x1.8c12505b8621dp-13, 0x1.8b8e84da9c28ap-13, 0x1.8b04d981f7641p-13, 0x1.8a748ed230cc8p-13, 0x1.89dcf2bc5dd42p-13, 0x1.893d6013d2189p-13, 0x1.88953e058c248p-13, 0x1.87e3ff95044a7p-13, 0x1.8729231bbf775p-13, 0x1.866431ce3cea4p-13, 0x1.8594bf4368d68p-13, 0x1.84ba6901f1ed7p-13, 0x1.83d4d611007f3p-13, 0x1.82e3b68b8824bp-13, 0x1.81e6c3388837ep-13, 0x1.80ddbd26daedap-13, 0x1.7fc86d4b72d4bp-13, 0x1.7ea6a424464ap-13, 0x1.7d78395c1de85p-13, 0x1.7c3d0b7497d67p-13, 0x1.7af4ff71db6e1p-13, 0x1.79a0008849ca8p-13, 0x1.783dffce87a1cp-13, 0x1.76cef3f242131p-13, 0x1.7552d8ee60401p-13, 0x1.73c9afc622ce6p-13, 0x1.72337e3f54b88p-13, 0x1.70904ea20edc7p-13, 0x1.6ee02f7a79589p-13, 0x1.6d23335b801aap-13, 0x1.6b5970a46585p-13, 0x1.698301499f3fdp-13, 0x1.67a0029de2c78p-13, 0x1.65b0951f1f2f5p-13, 0x1.63b4dc447063ap-13, 0x1.61acfe4d25243p-13, 0x1.5f992413c7d14p-13, 0x1.5d7978e1dc435p-13, 0x1.5b4e2a44bec4cp-13, 0x1.591767e52695ep-13, 0x1.56d563604c2cep-13, 0x1.54885021cc9cdp-13, 0x1.5230634025b7ap-13, 0x1.4fcdd359ebbcap-13, 0x1.4d60d874258ffp-13, 0x1.4ae9abdbab0f8p-13, 0x1.4868880623ee7p-13, 0x1.45dda874f6dbfp-13, 0x1.43494999c7af2p-13, 0x1.40aba8bbc03cdp-13, 0x1.3e0503de47c46p-13, 0x1.3b5599a8bbf84p-13, 0x1.389da94efdb17p-13, 0x1.35dd727b66d3ap-13, 0x1.3315353a36e4p-13, 0x1.304531e4f86bap-13, 0x1.2d6da90f802dep-13, 0x1.2a8edb75c657bp-13, 0x1.27a909ea823d8p-13, 0x1.24bc7546c419dp-13, 0x1.21c95e5a80307p-13, 0x1.1ed005dd13a39p-13, 0x1.1bd0ac5f8e588p-13, 0x1.18cb923f6ac04p-13, 0x1.15c0f79a07475p-13, 0x1.12b11c404be7fp-13, 0x1.0f9c3fabb1b8dp-13, 0x1.0c82a0f37c04cp-13, 0x1.09647ec26594cp-13, 0x1.0642174dfc84ep-13, 0x1.031ba84cfab0ep-13, 0x1.ffe2ddddf7372p-14, 0x1.f9874fa972e3bp-14, 0x1.f3251e123b725p-14, 0x1.ecbcbff3fc72cp-14, 0x1.e64eaae37f2bbp-14, 0x1.dfdb532361186p-14, 0x1.d9632b987cefdp-14, 0x1.d2e6a5bf75b44p-14, 0x1.cc6631a49b711p-14, 0x1.c5e23dda01001p-14, 0x1.bf5b376fceaaap-14, 0x1.b8d189eceb42bp-14, 0x1.b2459f495761dp-14, 0x1.abb7dfe70e5a6p-14, 0x1.a528b28d19359p-14, 0x1.9e987c631f129p-14, 0x1.9807a0ecec847p-14, 0x1.917682067b8e7p-14, 0x1.8ae57fe152fc4p-14, 0x1.8454f901c2f4cp-14, 0x1.7dc54a3c2dccep-14, 0x1.7736ceb394ef7p-14, 0x1.70a9dfd880328p-14, 0x1.6a1ed567d2719p-14, 0x1.63960569e1589p-14, 0x1.5d0fc432962d7p-14, 0x1.568c6461b0a57p-14, 0x1.500c36e2f7b6bp-14, 0x1.498f8aeecb54bp-14, 0x1.4316ae0bf78d8p-14, 0x1.3ca1ec10243a2p-14, 0x1.36318f21da301p-14, 0x1.2fc5dfba4f578p-14, 0x1.295f24a7db318p-14, 0x1.22fda30fb2e5ap-14, 0x1.1ca19e70a3ad6p-14, 0x1.164b58a5b2f1cp-14, 0x1.0ffb11e95e337p-14, 0x1.09b108d863b0bp-14, 0x1.036d7a74f8ef2p-14, 0x1.fa614455053a1p-15, 0x1.edf573a14243fp-15, 0x1.e197f35e508bp-15, 0x1.d5493103b555ep-15, 0x1.c90996f92d39bp-15, 0x1.bcd98c9e07536p-15, 0x1.b0b976516def9p-15, 0x1.a4a9b57ae1a32p-15, 0x1.98aaa89317775p-15, 0x1.8cbcab2cac939p-15, 0x1.80e015fc98538p-15, 0x1.75153ee3cfe3dp-15, 0x1.695c78f7e0b33p-15, 0x1.5db6148c354d6p-15, 0x1.52225f3bb9b09p-15, 0x1.46a1a3f1e7f4p-15, 0x1.3b342af49b73ep-15, 0x1.2fda39ed2f1f5p-15, 0x1.249413f241825p-15, 0x1.1961f99111687p-15, 0x1.0e4428d7d0ef6p-15, 0x1.033add5e5142ep-15, 0x1.f08ca0a13fcfp-16, 0x1.dacd70f02d3f1p-16, 0x1.c538948a863fcp-16, 0x1.afce6fb332e4ep-16, 0x1.9a8f62221c699p-16, 0x1.857bc717528bcp-16, 0x1.7093f56ec557fp-16, 0x1.5bd83fb3093dfp-16, 0x1.4748f430965ccp-16, 0x1.32e65d088844cp-16, 0x1.1eb0c0445c15ap-16, 0x1.0aa85fe7e4548p-16, 0x1.ed9af408e815p-17, 0x1.c6409196c9c2ep-17, 0x1.9f420541954aap-17, 0x1.789fb45b8c6edp-17, 0x1.5259fce4e00acp-17, 0x1.2c7135b086d42p-17, 0x1.06e5ae878efefp-17, 0x1.c36f609bbd069p-18, 0x1.79cefa48fceffp-18, 0x1.30eaa118ffd06p-18, 0x1.d1857e2b2f6f3p-19, 0x1.42af6324d902ap-19, 0x1.6aa725c6ac279p-20, 0x1.4b94b688a1a67p-22, -0x1.83cc7e088db75p-21, -0x1.d3ba6baad6ea3p-20, -0x1.714b68bb0006fp-19, -0x1.f73d8b15633afp-19, -0x1.3dd9c2cc92e49p-18, -0x1.7f56ab27038ddp-18, -0x1.c0158808eb21ep-18, -0x1.000b36883bde8p-17, -0x1.1facbbe683ccp-17, -0x1.3eef67c1ef442p-17, -0x1.5dd3527aa5cfap-17, -0x1.7c589911583c6p-17, -0x1.9a7f5d0a4ea4dp-17, -0x1.b847c4515a99fp-17, -0x1.d5b1f91ceac9bp-17, -0x1.f2be29d41a2b2p-17, -0x1.07b6447907de2p-16, -0x1.15dea67646f8cp-16, -0x1.23d8580c0857ap-16, -0x1.31a378477f10ep-16, -0x1.3f40280bcf6d3p-16, -0x1.4cae8a05834c5p-16, -0x1.59eec29dc6554p-16, -0x1.6700f7eeb6d9fp-16, -0x1.73e551b70a835p-16, -0x1.809bf94e35698p-16, -0x1.8d251998de46cp-16, -0x1.9980defd39717p-16, -0x1.a5af77580d2c3p-16, -0x1.b1b111f1251fcp-16, -0x1.bd85df70e3e7p-16, -0x1.c92e11d4fe97ap-16, -0x1.d4a9dc666072fp-16, -0x1.dff973ae99db6p-16, -0x1.eb1d0d6db2018p-16, -0x1.f614e08fef336p-16, -0x1.007092921e7dp-15, -0x1.05c10a294ae8bp-15, -0x1.0afbf428f9e8ep-15, -0x1.10216e2fcb733p-15, -0x1.1531965aab02fp-15, -0x1.1a2c8b408b90ap-15, -0x1.1f126bedcae8p-15, -0x1.23e357dfe1039p-15, -0x1.289f6f0122241p-15, -0x1.2d46d1a496e25p-15, -0x1.31d9a081ce212p-15, -0x1.3657fcb0ecf75p-15, -0x1.3ac207a6b0e8dp-15, -0x1.3f17e3305bc95p-15, -0x1.4359b1703dc9ep-15, -0x1.478794d9d98f9p-15, -0x1.4ba1b02e05c56p-15, -0x1.4fa82677911a2p-15, -0x1.539b1b07acf57p-15, -0x1.577ab172864aap-15, -0x1.5b470d8bd3406p-15, -0x1.5f00536375055p-15, -0x1.62a6a7425a22ap-15, -0x1.663a2da740619p-15, -0x1.69bb0b43943c3p-15, -0x1.6d2964f86dd9p-15, -0x1.70855fd3a00adp-15, -0x1.73cf210c7f411p-15, -0x1.7706ce016fb64p-15, -0x1.7a2c8c34f1e9bp-15, -0x1.7d40814abe3b2p-15, -0x1.8042d30528f18p-15, -0x1.8333a7429110ap-15, -0x1.861323fad3259p-15, -0x1.88e16f3cb310dp-15, -0x1.8b9eaf2b635c1p-15, -0x1.8e4b09fc20bcep-15, -0x1.90e6a5f3e6735p-15, -0x1.9371a96516c56p-15, -0x1.95ec3aad37a6bp-15, -0x1.98568032d421p-15, -0x1.9ab0a0634a476p-15, -0x1.9cfac1b077a7bp-15, -0x1.9f350a8f2a742p-15, -0x1.a15fa174da34dp-15, -0x1.a37aacd59e716p-15, -0x1.a5865322593ccp-15, -0x1.a782bac6eb1e5p-15, -0x1.a9700a2866436p-15, -0x1.ab4e67a33ad77p-15, -0x1.ad1df9896e2c1p-15, -0x1.aedee620f6a05p-15, -0x1.b09153a22c119p-15, -0x1.b23568361d46cp-15, -0x1.b3cb49f4f8d02p-15, -0x1.b5531ee48f7c2p-15, -0x1.b6cd0cf6f6801p-15, -0x1.b8393a08af21cp-15, -0x1.b997cbdfc07e7p-15, -0x1.bae8e82a35ac4p-15, -0x1.bc2cb47c95037p-15, -0x1.bd635650a5968p-15, -0x1.be8cf30443134p-15, -0x1.bfa9afd836536p-15, -0x1.c0b9b1eed4fffp-15, -0x1.c1bd1e4afba3p-15, -0x1.c2b419ced0f6dp-15, -0x1.c39ec93abdcdfp-15, -0x1.c47d512c6a63ep-15, -0x1.c54fd61da8383p-15, -0x1.c6167c636c7d6p-15, -0x1.c6d1682ce9268p-15, -0x1.c780bd82a4e11p-15, -0x1.c824a0452d746p-15, -0x1.c8bd342ce9a3bp-15, -0x1.c94a9cc8c6deep-15, -0x1.c9ccfd7d6c9d7p-15, -0x1.ca4479847cb25p-15, -0x1.cab133ebbfce9p-15, -0x1.cb134f94b069ap-15, -0x1.cb6aef3361badp-15, -0x1.cbb8354dfbdbep-15, -0x1.cbfb443c0bf6fp-15, -0x1.cc343e25d52ccp-15, -0x1.cc634503b9fb5p-15, -0x1.cc887a9da5a3fp-15, -0x1.cca4008a75edcp-15, -0x1.ccb5f82f648c3p-15, -0x1.ccbe82bf9826fp-15, -0x1.ccbdc13b59de7p-15, -0x1.ccb3d46fdba6cp-15, -0x1.cca0dcf6f5a02p-15, -0x1.cc84fb36247bfp-15, -0x1.cc604f5e79a26p-15, -0x1.cc32f96c02cbcp-15, -0x1.cbfd1925905adp-15, -0x1.cbbece1c6504ep-15, -0x1.cb7837ab9a88fp-15, -0x1.cb2974f7f220fp-15, -0x1.cad2a4ef79b6dp-15, -0x1.ca73e6493db5ap-15, -0x1.ca0d578509a0ep-15, -0x1.c99f16eb20bd9p-15, -0x1.c929428bf889cp-15, -0x1.c8abf8400254bp-15, -0x1.c82755a776491p-15, -0x1.c79b7829e1eebp-15, -0x1.c7087cf655346p-15, -0x1.c66e81033509fp-15, -0x1.c5cda10db726dp-15, -0x1.c525f999ea535p-15, -0x1.c477a6f2a3502p-15, -0x1.c3c2c5293e25bp-15, -0x1.c3077015d377p-15, -0x1.c245c356bfcfp-15, -0x1.c17dda50a56dfp-15, -0x1.c0afd02e81e75p-15, -0x1.bfdbbfe17bb14p-15, -0x1.bf01c420d3bbp-15, -0x1.be21f769faaefp-15, -0x1.bd3c7400775dbp-15, -0x1.bc5153ede3dc8p-15, -0x1.bb60b1020fbf6p-15, -0x1.ba6aa4d2b18e1p-15, -0x1.b96f48bb84ab9p-15, -0x1.b86eb5dec4ea3p-15, -0x1.b7690524bdc67p-15, -0x1.b65e4f3bd6a6fp-15, -0x1.b54eac98c6be3p-15, -0x1.b43a3576a091ep-15, -0x1.b32101d6f03ecp-15, -0x1.b2032981e3d28p-15, -0x1.b0e0c4062d086p-15, -0x1.afb9e8b928eabp-15, -0x1.ae8eaeb715259p-15, -0x1.ad5f2ce3220aap-15, -0x1.ac2b79e7888b2p-15, -0x1.aaf3ac35b62c9p-15, -0x1.a9b7da067b82dp-15, -0x1.a878195a175b4p-15, -0x1.a7347ff89469cp-15, -0x1.a5ed2371ad8aap-15, -0x1.a4a2191ccc517p-15, -0x1.a353761a03138p-15, -0x1.a2014f5183469p-15, -0x1.a0abb973fcfa9p-15, -0x1.9f52c8fabe323p-15, -0x1.9df692280226p-15, -0x1.9c972907212fdp-15, -0x1.9b34a16ce4bd2p-15, -0x1.99cf0ef78edfdp-15, -0x1.9866850f0a95ap-15, -0x1.96fb16e542f8ap-15, -0x1.958cd77656c4dp-15, -0x1.941bd988d1fd4p-15, -0x1.92a82fadeb885p-15, -0x1.9131ec41c2cb5p-15, -0x1.8fb9216ba1f5ep-15, -0x1.8e3de11e329bdp-15, -0x1.8cc03d17ef32dp-15, -0x1.8b4046e313384p-15, -0x1.89be0fd5c7ddep-15, -0x1.8839a91338619p-15, -0x1.86b3238b086b8p-15, -0x1.852a8ff9c41b4p-15, -0x1.839ffee938a92p-15, -0x1.821380b0c3a99p-15, -0x1.808525758cb29p-15, -0x1.7ef4fd2b0c775p-15, -0x1.7d631792fa685p-15, -0x1.7bcf843dbc079p-15, -0x1.7a3a528aaa71bp-15, -0x1.78a391a8717b9p-15, -0x1.770b50953c034p-15, -0x1.75719e1f26de4p-15, -0x1.73d688e468d7dp-15, -0x1.723a1f53bc412p-15, -0x1.709c6faca3099p-15, -0x1.6efd87ffae15p-15, -0x1.6d5d762ef5ee4p-15, -0x1.6bbc47edf6632p-15, -0x1.6a1a0ac240dc5p-15, -0x1.6876cc0416919p-15, -0x1.66d298de1496fp-15, -0x1.652d7e4dc7389p-15, -0x1.6387892401e3bp-15, -0x1.61e0c6052c409p-15, -0x1.603941699b8c9p-15, -0x1.5e91079e116c6p-15, -0x1.5ce824c3a5956p-15, -0x1.5b3ea4d064b11p-15, -0x1.5994938f7ae03p-15, -0x1.57e9fca1a7623p-15, -0x1.563eeb7d7a30ep-15, -0x1.54936b6fac45cp-15, -0x1.52e7879b7f141p-15, -0x1.513b4afb00a0dp-15, -0x1.4f8ec05f65391p-15, -0x1.4de1f271548c1p-15, -0x1.4c34ebb161487p-15, -0x1.4a87b678127adp-15, -0x1.48da5cf6394cfp-15, -0x1.472ce935e26a9p-15, -0x1.457f651a01569p-15, -0x1.43d1da5ee5deep-15, -0x1.4224529a9f8d5p-15, -0x1.4076d73d592a8p-15, -0x1.3ec971918e6d4p-15, -0x1.3d1c2abcb43b5p-15, -0x1.3b6f0bbf3b2f1p-15, -0x1.39c21d74de7eep-15, -0x1.381568951e7c5p-15, -0x1.3668f5b379251p-15, -0x1.34bccd3fca554p-15, -0x1.3310f786a40cbp-15, -0x1.31657cb188cccp-15, -0x1.2fba64c75d15ep-15, -0x1.2e0fb7acacf11p-15, -0x1.2c657d23f1d49p-15, -0x1.2abbbccdf3ebcp-15, -0x1.29127e2a2147p-15, -0x1.2769c896bf383p-15, -0x1.25c1a35126212p-15, -0x1.241a1576971a9p-15, -0x1.2273260410b7bp-15, -0x1.20ccdbd6adc7fp-15, -0x1.1f273dac097fdp-15, -0x1.1d8252228a0d6p-15, -0x1.1bde1fb9a3f7cp-15, -0x1.1a3aacd265319p-15, -0x1.1897ffaf997c6p-15, -0x1.16f61e75fb68bp-15, -0x1.15550f2ca4626p-15, -0x1.13b4d7bd54634p-15, -0x1.12157df4bd402p-15, -0x1.10770782d69bp-15, -0x1.0ed979fb264e3p-15, -0x1.0d3cdad50de28p-15, -0x1.0ba12f6c18be1p-15, -0x1.0a067d00512b5p-15, -0x1.086cc8b676c08p-15, -0x1.06d4179856a4bp-15, -0x1.053c6e951cfcdp-15, -0x1.03a5d2818c679p-15, -0x1.021048182c1b4p-15, -0x1.007bd3fa033f9p-15, -0x1.fdd0f55cf77cbp-16, -0x1.faac81477cff3p-16, -0x1.f78a545dfb431p-16, -0x1.f46a771992475p-16, -0x1.f14cf1c280855p-16, -0x1.ee31cc710c684p-16, -0x1.eb190f0df0635p-16, -0x1.e802c152a01e9p-16, -0x1.e4eeeaca17453p-16, -0x1.e1dd92d13acc5p-16, -0x1.decec097916bp-16, -0x1.dbc27b1fb34a7p-16, -0x1.d8b8c93fd17e2p-16, -0x1.d5b1b1a246d97p-16, -0x1.d2ad3ac6269c7p-16, -0x1.cfab6affb7abep-16, -0x1.ccac4878fc08cp-16, -0x1.c9afd93238489p-16, -0x1.c6b623025ef29p-16, -0x1.c3bf2b97d5f05p-16, -0x1.c0caf8788c2b5p-16, -0x1.bdd98f02b2bd3p-16, -0x1.baeaf46d8e9ffp-16, -0x1.b7ff2dc9912d9p-16, -0x1.b5164000e3329p-16, -0x1.b2302fd7e3076p-16, -0x1.af4d01eda644fp-16, -0x1.ac6cbabc82ad1p-16, -0x1.a98f5e9a8fdefp-16, -0x1.a6b4f1ba33da1p-16, -0x1.a3dd782a5ca3dp-16, -0x1.a108f5d70fac4p-16, -0x1.9e376e89ec3aep-16, -0x1.9b68e5ea955b6p-16, -0x1.989d5f7f3b7ecp-16, -0x1.95d4deacf5d57p-16, -0x1.930f66b846e54p-16, -0x1.904cfac58ac8cp-16, -0x1.8d8d9dd96851p-16, -0x1.8ad152d957c48p-16, -0x1.88181c8bedd06p-16, -0x1.8561fd9941da2p-16, -0x1.82aef88b93bbap-16, -0x1.7fff0fcf85684p-16, -0x1.7d5245b4892c8p-16, -0x1.7aa89c6d5e56fp-16, -0x1.780216109e73ap-16, -0x1.755eb498ef048p-16, -0x1.72be79e569fd1p-16, -0x1.702167ba1e05cp-16, -0x1.6d877fc0568a8p-16, -0x1.6af0c3872eba3p-16, -0x1.685d3483d1a85p-16, -0x1.65ccd4120d4c1p-16, -0x1.633fa37477f91p-16, -0x1.60b5a3d4df56fp-16, -0x1.5e2ed644cb86bp-16, -0x1.5bab3bbdb8c7fp-16, -0x1.592ad521913fep-16, -0x1.56ada33aeffcfp-16, -0x1.5433a6bd9c2e9p-16, -0x1.51bce046df9d6p-16, -0x1.4f49505dc6ccap-16, -0x1.4cd8f773a3671p-16, -0x1.4a6bd5e455be6p-16, -0x1.4801ebf68a0b3p-16, -0x1.459b39dc3dbb1p-16, -0x1.4337bfb2f40b5p-16, -0x1.40d77d840d38dp-16, -0x1.3e7a734539cb7p-16, -0x1.3c20a0d8b5abfp-16, -0x1.39ca060db88d2p-16, -0x1.3776a2a0a06f6p-16, -0x1.3526763b47602p-16, -0x1.32d9807569cc7p-16, -0x1.308fc0d4fb883p-16, -0x1.2e4936ce5f49bp-16, -0x1.2c05e1c4bf4bcp-16, -0x1.29c5c10a7cfdap-16, -0x1.2788d3e140dd8p-16, -0x1.254f197a60cb2p-16, -0x1.231890f735c6dp-16, -0x1.20e539695aa2dp-16, -0x1.1eb511d2fee08p-16, -0x1.1c88192721c71p-16, -0x1.1a5e4e49e25f4p-16, -0x1.1837b010c6c9ap-16, -0x1.16143d4305be5p-16, -0x1.13f3f499d5d05p-16, -0x1.11d6d4c09ad33p-16, -0x1.0fbcdc552543fp-16, -0x1.0da609e8172a7p-16, -0x1.0b925bfd1add4p-16, -0x1.0981d10affd4p-16, -0x1.0774677c38c16p-16, -0x1.056a1daef0789p-16, -0x1.0362f1f559e95p-16, -0x1.015ee295e6e33p-16, -0x1.febbdb971350cp-17, -0x1.fac0238bfb696p-17, -0x1.f6ca9953da6c2p-17, -0x1.f2db392289452p-17, -0x1.eef1ff16a1f88p-17, -0x1.eb0ee73a36a8bp-17, -0x1.e731ed8337e91p-17, -0x1.e35b0dd3b427p-17, -0x1.df8a43fa6efcp-17, -0x1.dbbf8bb35196bp-17, -0x1.d7fae0a7d27ep-17, -0x1.d43c3e6f6a4d2p-17, -0x1.d083a08fdea3ep-17, -0x1.ccd1027dcf628p-17, -0x1.c9245f9d1e6ccp-17, -0x1.c57db34141cf9p-17, -0x1.c1dcf8adbb5e3p-17, -0x1.be422b167d941p-17, -0x1.baad45a0298cap-17, -0x1.b71e4360b06c7p-17, -0x1.b3951f5f99fe8p-17, -0x1.b011d49632d2ap-17, -0x1.ac945df0054bbp-17, -0x1.a91cb64b9abd1p-17, -0x1.a5aad87a7cdb6p-17, -0x1.a23ebf4141443p-17, -0x1.9ed865584d7cfp-17, -0x1.9b77c56c3a63bp-17, -0x1.981cda1e00dbep-17, -0x1.94c79e03716cp-17, -0x1.91780ba749dbcp-17, -0x1.8e2e1d89a9ef8p-17, -0x1.8ae9ce207e0dap-17, -0x1.87ab17d7bea7cp-17, -0x1.8471f511ae32bp-17, -0x1.813e602743cbfp-17, -0x1.7e10536867c09p-17, -0x1.7ae7c91c4ce78p-17, -0x1.77c4bb81b2ec6p-17, -0x1.74a724cf22d6fp-17, -0x1.718eff3356ce1p-17, -0x1.6e7c44d5752e7p-17, -0x1.6b6eefd555b72p-17, -0x1.6866fa4bc545ep-17, -0x1.65645e4ac821ap-17, -0x1.626715ddef023p-17, -0x1.5f6f1b0a995aep-17, -0x1.5c7c67d02fp-17, -0x1.598ef6284cd3fp-17, -0x1.56a6c00702bf5p-17, -0x1.53c3bf5b4419dp-17, -0x1.50e5ee0f4838fp-17, -0x1.4e0d460875d41p-17, -0x1.4b39c12760db5p-17, -0x1.486b594863f2ep-17, -0x1.45a20844114acp-17, -0x1.42ddc7ef1d6f5p-17, -0x1.401e921ab0915p-17, -0x1.3d64609486158p-17, -0x1.3aaf2d272cdb3p-17, -0x1.37fef19a3cd87p-17, -0x1.3553a7b291c2p-17, -0x1.32ad49328996ep-17, -0x1.300bcfda339bbp-17, -0x1.2d6f35677316p-17, -0x1.2ad773964dfc2p-17, -0x1.28448420f87c8p-17, -0x1.25b660c020a71p-17, -0x1.232d032b1cafdp-17, -0x1.20a865180b5cp-17, -0x1.1e28803c0ba2cp-17, -0x1.1bad4e4b624aap-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      34, 0x1.f851eb851eb85p+1, 0x1.e97f4c3d84452p+1, 0x1.8fc7369da65e2p+2, -0x1.1fba6a03c0eb4p-6, 
      {{
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.3b9f524ca811cp-4, -0x1.728568143aa28p-2, 0x1.623c892af5151p-1, -0x1.1a36f3cf5abd4p-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.f0a42af96fe07p-5, -0x1.2fe8342482054p-2, 0x1.37e77e3241127p-1, -0x1.147bbf2697797p-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.83006d3701cp-5, -0x1.eb58cd761264dp-3, 0x1.0e6e87ec77266p-1, -0x1.0fdf26e6debb8p-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2b017d319af8p-5, -0x1.875490942bfa1p-3, 0x1.cb4d50fa11e1ap-2, -0x1.0a02767fdb2c6p-1}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.cac99c68bab5fp-6, -0x1.33734160df9d2p-3, 0x1.7b7fc706e9ba4p-2, -0x1.08078a4cf9973p-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.5dee69ebeebcdp-6, -0x1.def14acdd71d8p-4, 0x1.2c4a50bc9edap-2, -0x1.d8ee8a73d04bep-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.093563088aad5p-6, -0x1.7503aea9b4dd3p-4, 0x1.cab377f018d11p-3, -0x1.6df8fa2e35967p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.8e187190fce38p-7, -0x1.2440db9ee9d3bp-4, 0x1.5ce8c67bd589cp-3, -0x1.0cc5ef6e22f4bp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.26134ec7996ccp-7, -0x1.cd11c3038a93ep-5, 0x1.0c46fea797da3p-3, -0x1.438228930aa48p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a7e4285f3599dp-8, -0x1.6b76b568c15aap-5, 0x1.b7808abcac828p-4, -0x1.ac65bf726c817p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.273aa2ed43efbp-8, -0x1.19fd3f17efd74p-5, 0x1.773e146b82a27p-4, -0x1.a070193c15ea4p-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.893868e126556p-9, -0x1.aa5fe76a8320ap-6, 0x1.38c6dd6f4c25ep-4, -0x1.7596ff9814598p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.ec6585c974e67p-10, -0x1.3878ba599879fp-6, 0x1.00bd03e549182p-4, -0x1.5304b2d9a21e8p-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.18c90879b77edp-10, -0x1.b7e4c3fe94bp-7, 0x1.9bc56bbc7b278p-5, -0x1.2e3aa5f29d9fp-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.0eb412191581ep-11, -0x1.2551a2db58666p-7, 0x1.411a39f3b2441p-5, -0x1.0a08ccc85369ep-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.4cac2a2d62473p-13, -0x1.69ae1134bb8f4p-8, 0x1.e29592a265afap-6, -0x1.cb5bc9a76431p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.a926d19be104fp-15, -0x1.886a5ee7278eap-9, 0x1.58c6d623613b2p-6, -0x1.82be089766171p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.42447c9658379p-13, -0x1.4601a6afcc0a1p-10, 0x1.c9820d858533fp-7, -0x1.3a1229b700dcp-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.8584e34c21dcp-13, -0x1.1b043949c5d0fp-13, 0x1.0d10c14aeb16fp-7, -0x1.e30d667df2ed7p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.705929217f45p-13, 0x1.e7a2d50428249p-12, 0x1.f09956faef3b7p-9, -0x1.510f71ebbcb7ap-6}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.311d1a5d603a1p-13, 0x1.69902a4779abep-11, 0x1.70819f80331bdp-11, -0x1.84d99622c0fb9p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.d0741de8f4281p-14, 0x1.5fc0750353253p-11, -0x1.1a5de4699ad12p-10, -0x1.3a1fa7cf10fb5p-9}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.504dd5129073cp-14, 0x1.1ddacf18a1c02p-11, -0x1.789a96c1531d3p-10, 0x1.0254efbc18aecp-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.d7fc66acb23fp-15, 0x1.b4915bcb612dap-12, -0x1.2b1ab53c1882dp-10, 0x1.43ef33a46c501p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.3ffdce33765f1p-15, 0x1.46a4e435b6c8p-12, -0x1.f507416076ecdp-11, 0x1.4b967540c7184p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.a018ddd69bc91p-16, 0x1.d8c5ab1068a91p-13, -0x1.918d5166a1991p-11, 0x1.1d8c9d6ca8947p-10}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.00d3fad34a4d7p-16, 0x1.4948c72632236p-13, -0x1.3be3222c6f067p-11, 0x1.fbca7bd49da4p-11}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.28b5529dd0f61p-17, 0x1.b45384a11f26ap-14, -0x1.df6febff7b8dfp-12, 0x1.b4ca2d22b6bf4p-11}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.3a13b009f80edp-18, 0x1.0ec23d6b176a7p-14, -0x1.5c66780eab21ep-12, 0x1.6fcb2c8213fc4p-11}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.26a8937150a3cp-19, 0x1.32eeb9bb56664p-15, -0x1.dc1fd568e3de7p-13, 0x1.2a7883499526p-11}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.cef71b246b4cp-21, 0x1.30993a2a2ec86p-16, -0x1.290ab9d6572ecp-13, 0x1.c8e65cbe7ee7dp-12}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.10f2146e008p-22, 0x1.e72c0a2d51b5fp-18, -0x1.3ff1a26d956d2p-14, 0x1.431861a849d5ep-12}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.74ed5a9b6bp-25, 0x1.04b1ef74913ffp-19, -0x1.f858d288d7aedp-16, 0x1.4b7a05f7ce9dap-13}, 
        {0x1.f333333333333p+1, 0x1.f851eb851eb85p+1, -0x1.d1a2186748001p-30, 0x1.053875514ae11p-23, -0x1.aa4cc7177fp-18, 0x1.2accd4c79a7p-12}, 
      }}, 
      -0x1.b2954dceac77p-8, 0x1.ca75531c676a2p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.48a9d13acd804p-1, -0x1.39eb9a78afdb1p-1, -0x1.232023d758732p-1, -0x1.062ba4a89f73dp-1, -0x1.c9f548c751537p-2, -0x1.82acde86434b5p-2, -0x1.399b31b2bcf76p-2, -0x1.e2a69d2d171b9p-3, -0x1.57b68e285f435p-3, -0x1.aad2914fbf0d9p-4, -0x1.775bd93c5627bp-5, 0x1.b5ef492e80c1fp-8, 0x1.b1f06265efc74p-5, 0x1.7cc304b45d52ep-4, 0x1.03952c1d4b3dp-3, 0x1.3c95d32592925p-3, 0x1.6a16a5dbc1df6p-3, 0x1.8cee6991d7434p-3, 0x1.a60a11e8199fap-3, 0x1.b66228f1408a4p-3, 0x1.bef28bc19933ep-3, 0x1.c0b4140fb3a79p-3, 0x1.bc97d71212e4fp-3, 0x1.b383acf925b13p-3, 0x1.a64fbfba90448p-3, 0x1.95c4eba66354bp-3, 0x1.829bc6e142cc3p-3, 0x1.6d7c2d624e8a5p-3, 0x1.56fd35b8e321fp-3, 0x1.3fa577fe6478p-3, 0x1.27eb94584cbbep-3, 0x1.1036e99e22b0bp-3, 0x1.f1c0de9d68ba3p-4, 0x1.c467502fe907ep-4, 0x1.98df47e7640f9p-4, 0x1.6f901495d79cep-4, 0x1.48cc4b8750c96p-4, 0x1.24d3d8d55db19p-4, 0x1.03d5ffc46e8c8p-4, 0x1.cbe688c282158p-5, 0x1.967e72da7f09bp-5, 0x1.67845ebcfa456p-5, 0x1.3ef585648fe41p-5, 0x1.1cbe91ea5c351p-5, 0x1.00be397cbeab7p-5, 0x1.d58f25cf1a263p-6, 0x1.b548605b4b659p-6, 0x1.a02bfb3d1bd84p-6, 0x1.95b1d26e7f6a7p-6, 0x1.9548aefb1ff2fp-6, 0x1.9e58d120639ep-6, 0x1.b04624cadb71ap-6, 0x1.ca7228462c65bp-6, 0x1.ec3d8d4939a7cp-6, 0x1.0a84cde713306p-5, 0x1.221cae6a1048ep-5, 0x1.3c994a3e4031bp-5, 0x1.59af4891e078ap-5, 0x1.79156ae0c5ff3p-5, 0x1.9a84d2af27858p-5, 0x1.bdb93786076b9p-5, 0x1.e27111560cc7p-5, 0x1.0436daf7656f8p-4, 0x1.17b9b7c22cd63p-4, 0x1.2ba4c563e213ap-4, 0x1.3fdd2ffd46d1ep-4, 0x1.5449a9b6252dap-4, 0x1.68d2697ae673cp-4, 0x1.7d61244794afdp-4, 0x1.91e1086c51f7ep-4, 0x1.a63eb4daf67e8p-4, 0x1.ba68316fdf892p-4, 0x1.ce4ce5ca89019p-4, 0x1.e1dd8f2aadd48p-4, 0x1.f50c33ba58b1bp-4, 0x1.03e60b8d2df8fp-3, 0x1.0d08d64c0d2eap-3, 0x1.15e9458fd1bfdp-3, 0x1.1e82b041143bep-3, 0x1.26d0f2fa3bed6p-3, 0x1.2ed069da0898ap-3, 0x1.367deaa0b9d34p-3, 0x1.3dd6be7dd2fb7p-3, 0x1.44d89be9163b6p-3, 0x1.4b81a07a7f94fp-3, 0x1.51d04ae58ecafp-3, 0x1.57c3751907b48p-3, 0x1.5d5a4e9da25ddp-3, 0x1.62945717441d5p-3, 0x1.677158f8d2a9fp-3, 0x1.6bf164517fbd2p-3, 0x1.7014c9bba9207p-3, 0x1.73dc155f6b87ep-3, 0x1.77480a1979b36p-3, 0x1.7a599cc2452afp-3, 0x1.7d11efa0fecb2p-3, 0x1.7f724e0e8c06dp-3, 0x1.817c28535d255p-3, 0x1.83310fbc184dfp-3, 0x1.8492b2e4e035ep-3, 0x1.85a2da4bbf1ccp-3, 0x1.866365064f0fdp-3, 0x1.86d645b90e259p-3, 0x1.86fd7fba54e24p-3, 0x1.86db246167467p-3, 0x1.8671508264af3p-3, 0x1.85c22a11ba569p-3, 0x1.84cfddedc5ceap-3, 0x1.839c9dcfb5811p-3, 0x1.822a9e5fe1636p-3, 0x1.807c15728f64fp-3, 0x1.7e93385e24175p-3, 0x1.7c723a7f74f91p-3, 0x1.7a1b4bda04b31p-3, 0x1.779097d4d8521p-3, 0x1.74d4441c2ffdap-3, 0x1.71e86f9c8b5cdp-3, 0x1.6ecf31987061cp-3, 0x1.6b8a98db45555p-3, 0x1.681caaffd8691p-3, 0x1.648763d3a618bp-3, 0x1.60ccb4cbe15dep-3, 0x1.5cee848d58f1ap-3, 0x1.58eeae90b8d9fp-3, 0x1.54cf02cb266e3p-3, 0x1.5091457770cfcp-3, 0x1.4c372ee4824f5p-3, 0x1.47c26b4f071b4p-3, 0x1.43349add0f439p-3, 0x1.3e8f51890f6f3p-3, 0x1.39d4172a2370dp-3, 0x1.3504678b1023bp-3, 0x1.3021b27553c36p-3, 0x1.2b2d5bcbcb4a9p-3, 0x1.2628bbc34374fp-3, 0x1.21151ef862e53p-3, 0x1.1bf3c69c9ef3ep-3, 0x1.16c5e8c2e6687p-3, 0x1.118cb0811e251p-3, 0x1.0c493e250ce5p-3, 0x1.06fca78af5c9fp-3, 0x1.01a7f8514e7a9p-3, 0x1.f8986415c84edp-4, 0x1.edd4992d836ap-4, 0x1.e3066cdbe4584p-4, 0x1.d82fa98eff067p-4, 0x1.cd5207e1de65p-4, 0x1.c26f2f4a31234p-4, 0x1.b788b66e95f39p-4, 0x1.aca023ae98b92p-4, 0x1.a1b6edd7bee71p-4, 0x1.96ce7c9e5df46p-4, 0x1.8be828ef43a03p-4, 0x1.81053d92070a1p-4, 0x1.7626f7c77fecep-4, 0x1.6b4e87911af4fp-4, 0x1.607d100bab955p-4, 0x1.55b3a81d1ebe8p-4, 0x1.4af35ae854d4cp-4, 0x1.403d27f6edc8ap-4, 0x1.359203a02b3afp-4, 0x1.2af2d7aa38a54p-4, 0x1.206083a74a858p-4, 0x1.15dbdd077113ap-4, 0x1.0b65af7b166edp-4, 0x1.00febd915c831p-4, 0x1.ed4f8202622fdp-5, 0x1.d8c2d5629c7fbp-5, 0x1.c458c6088723ep-5, 0x1.b01294da7e034p-5, 0x1.9bf17383b374bp-5, 0x1.87f6846e2c941p-5, 0x1.7422db0ee567p-5, 0x1.60777ceacd854p-5, 0x1.4cf56268bb648p-5, 0x1.399d76de8c19ep-5, 0x1.26709884f38d5p-5, 0x1.136f9920054fep-5, 0x1.009b3ef8d32b3p-5, 0x1.dbe88a7e993ffp-6, 0x1.b6f6b7a5b7e61p-6, 0x1.92624eccd0f6bp-6, 0x1.6e2c848429f94p-6, 0x1.4a567a2b4713ep-6, 0x1.26e13e20ceafep-6, 0x1.03cdcb36ede4ep-6, 0x1.c23a122d3107p-7, 0x1.7d9f9bb497d3ep-7, 0x1.39cdbec87da01p-7, 0x1.ed8bcd5eb8713p-8, 0x1.6912ba047cee6p-8, 0x1.cc6529902a3cep-9, 0x1.93b5cbd53e3d7p-10, -0x1.abacd246db96cp-12, -0x1.3189083f7e16ap-9, -0x1.152e43e068f5ep-8, -0x1.8ff6d6fd5e40bp-8, -0x1.048e9de6316a6p-7, -0x1.40504fb2b9ca9p-7, -0x1.7b402e3847ef5p-7, -0x1.b55dfe87d2937p-7, -0x1.eea99db4d98a6p-7, -0x1.13917fa5808cap-6, -0x1.2f65156eee7afp-6, -0x1.4acf9d5a45ec6p-6, -0x1.65d12e077ee8cp-6, -0x1.8069e7e1fad1fp-6, -0x1.9a99f4ec0611ep-6, -0x1.b46187d718eb8p-6, -0x1.cdc0db194162dp-6, -0x1.e6b8308db3e9cp-6, -0x1.ff47d19e8f341p-6, -0x1.0bb807b7dd766p-5, -0x1.1798a1464cf35p-5, -0x1.2345e50f86f2ap-5, -0x1.2ec00599f8527p-5, -0x1.3a07383a4a8b6p-5, -0x1.451bb521eff44p-5, -0x1.4ffdb76a2f86ep-5, -0x1.5aad7cee787cap-5, -0x1.652b45fb9d27ap-5, -0x1.6f775505d0ddfp-5, -0x1.7991ee88b93d1p-5, -0x1.837b590c5530ap-5, -0x1.8d33dd23b290dp-5, -0x1.96bbc54ff7074p-5, -0x1.a0135dc8ee547p-5, -0x1.a93af449786ecp-5, -0x1.b232d7f6875c6p-5, -0x1.bafb5953226b5p-5, -0x1.c394ca307df43p-5, -0x1.cbff7d92e9ca8p-5, -0x1.d43bc7935ed76p-5, -0x1.dc49fd4ae76d5p-5, -0x1.e42a74c57fe0cp-5, -0x1.ebdd84f0d6e44p-5, -0x1.f36385793f688p-5, -0x1.fabccea2dfd74p-5, -0x1.00f4dc9a2dac9p-4, -0x1.04754f3e88d5ap-4, -0x1.07dfec32426ap-4, -0x1.0b34e0b417508p-4, -0x1.0e745a399207bp-4, -0x1.119e86517cc6ap-4, -0x1.14b3928f2a25ep-4, -0x1.17b3ac8d9455ep-4, -0x1.1a9f0204e40cdp-4, -0x1.1d75c0dc9e028p-4, -0x1.20381726de37bp-4, -0x1.22e633025d5eep-4, -0x1.258042758de7p-4, -0x1.2806735cb0d1ep-4, -0x1.2a78f377cd7dbp-4, -0x1.2cd7f08c9beafp-4, -0x1.2f2398803d233p-4, -0x1.315c1952bd935p-4, -0x1.3381a0fce1c3ap-4, -0x1.35945d46a017p-4, -0x1.37947bb2dbfa2p-4, -0x1.3982298eeae88p-4, -0x1.3b5d941a1c53fp-4, -0x1.3d26e8a9b4bc6p-4, -0x1.3ede54adb9f96p-4, -0x1.40840593a563ep-4, -0x1.4218289927c7fp-4, -0x1.439aeaadd75e4p-4, -0x1.450c7877c3163p-4, -0x1.466cfe77d92a4p-4, -0x1.47bca937097f4p-4, -0x1.48fba55e6b025p-4, -0x1.4a2a1fab171e9p-4, -0x1.4b4844c5b5ec7p-4, -0x1.4c56411797eb5p-4, -0x1.4d5440b82fae7p-4, -0x1.4e426f7ee10d6p-4, -0x1.4f20f92e55e53p-4, -0x1.4ff0099faa62bp-4, -0x1.50afccd44b275p-4, -0x1.51606ee4c4c7p-4, -0x1.52021bd7294b9p-4, -0x1.5294ff75d8f1p-4, -0x1.5319453ed8919p-4, -0x1.538f18755dfd3p-4, -0x1.53f6a44bc8c0bp-4, -0x1.5450140eeac34p-4, -0x1.549b933b925ebp-4, -0x1.54d94d73b4c9cp-4, -0x1.55096e59930dep-4, -0x1.552c2165d0065p-4, -0x1.554191cddf345p-4, -0x1.5549ea8930bb8p-4, -0x1.55455671e8ac1p-4, -0x1.553400709dd7fp-4, -0x1.5516139c404afp-4, -0x1.54ebbb409aeb6p-4, -0x1.54b522c714ebap-4, -0x1.5472758f41a27p-4, -0x1.5423dec9aa5f6p-4, -0x1.53c989672152ap-4, -0x1.5363a02380cadp-4, -0x1.52f24da7705bep-4, -0x1.5275bcb066b0cp-4, -0x1.51ee182cc1ef2p-4, -0x1.515b8b3faa06cp-4, -0x1.50be412b1fdc4p-4, -0x1.5016652ac33f2p-4, -0x1.4f64224f1e65ep-4, -0x1.4ea7a369bcf28p-4, -0x1.4de113114443ap-4, -0x1.4d109bbba61fep-4, -0x1.4c3667e28e544p-4, -0x1.4b52a2229371ap-4, -0x1.4a65754819ddp-4, -0x1.496f0c44bbcc5p-4, -0x1.486f921196a35p-4, -0x1.4767318a728cp-4, -0x1.4656154ffd5a9p-4, -0x1.453c67bc27d7ep-4, -0x1.441a52ebe2915p-4, -0x1.42f000d9aea2cp-4, -0x1.41bd9b7e19028p-4, -0x1.40834ce95eadbp-4, -0x1.3f413f4c484a5p-4, -0x1.3df79cecb44dep-4, -0x1.3ca6900a0fbc3p-4, -0x1.3b4e42bbaf9d1p-4, -0x1.39eeded4c3dabp-4, -0x1.38888dd78f766p-4, -0x1.371b78fa1391dp-4, -0x1.35a7c93aa8575p-4, -0x1.342da77b0f107p-4, -0x1.32ad3c98e843bp-4, -0x1.3126b17a93f3ap-4, -0x1.2f9a2f0b2327cp-4, -0x1.2e07de2760d4cp-4, -0x1.2c6fe781c1bdbp-4, -0x1.2ad27386aa5bap-4, -0x1.292faa499fe25p-4, -0x1.2787b3804c4a4p-4, -0x1.25dab68b64dabp-4, -0x1.2428da8952713p-4, -0x1.2272466bdb174p-4, -0x1.20b721097d443p-4, -0x1.1ef79124a6b19p-4, -0x1.1d33bd663a9bdp-4, -0x1.1b6bcc4cee2a2p-4, -0x1.199fe416c6fd3p-4, -0x1.17d02aab90bd3p-4, -0x1.15fcc58e4c157p-4, -0x1.1425d9d8ccad3p-4, -0x1.124b8c4142e86p-4, -0x1.106e0126d0dbdp-4, -0x1.0e8d5ca0a8953p-4, -0x1.0ca9c28b08263p-4, -0x1.0ac3568e263bp-4, -0x1.08da3c1cc6793p-4, -0x1.06ee966ab6904p-4, -0x1.0500885df83fap-4, -0x1.0310347ee45bbp-4, -0x1.011dbceba2576p-4, -0x1.fe5286a37e2e2p-5, -0x1.fa65d1dcfc6f4p-5, -0x1.f6759d28fedbap-5, -0x1.f2822968a9b0bp-5, -0x1.ee8bb6cabb26dp-5, -0x1.ea9284d91abc1p-5, -0x1.e696d27e848efp-5, -0x1.e298de0278435p-5, -0x1.de98e4fbde7f3p-5, -0x1.da97243ec2cd2p-5, -0x1.d693d7c8c4e01p-5, -0x1.d28f3ab273543p-5, -0x1.ce8987287a899p-5, -0x1.ca82f66cb281bp-5, -0x1.c67bc0dc7e05p-5, -0x1.c2741dfa7f5b7p-5, -0x1.be6c44781ffb9p-5, -0x1.ba646a3d184b1p-5, -0x1.b65cc46b6d5fcp-5, -0x1.b255875ed2ab4p-5, -0x1.ae4ee6a73907ep-5, -0x1.aa4914ff8712ap-5, -0x1.a6444442dc36ap-5, -0x1.a240a5633dc4dp-5, -0x1.9e3e68641198cp-5, -0x1.9a3dbc59585cp-5, -0x1.963ecf6aeb864p-5, -0x1.9241ced9f06c8p-5, -0x1.8e46e706a6cb3p-5, -0x1.8a4e43756ae4fp-5, -0x1.86580ed256ba3p-5, -0x1.826472f35e782p-5, -0x1.7e7398d881608p-5, -0x1.7a85a8a9f73e4p-5, -0x1.769ac9b461ca3p-5, -0x1.72b32263eb9f1p-5, -0x1.6eced83fcd916p-5, -0x1.6aee0fe771cb3p-5, -0x1.6710ed12536d6p-5, -0x1.633792923d1f9p-5, -0x1.5f62225726724p-5, -0x1.5b90bd736e7e6p-5, -0x1.57c3841fbc189p-5, -0x1.53fa95be335edp-5, -0x1.503610dd1e304p-5, -0x1.4c761339121b3p-5, -0x1.48bab9be6fdfep-5, -0x1.45042089dde16p-5, -0x1.415262e799fc2p-5, -0x1.3da59b51ee66ep-5, -0x1.39fde36f868f8p-5, -0x1.365b541296b88p-5, -0x1.32be05398fc42p-5, -0x1.2f260e1175564p-5, -0x1.2b9384f96eddap-5, -0x1.28067f86d6ec9p-5, -0x1.247f12891a034p-5, -0x1.20fd520d1e147p-5, -0x1.1d81516030a6fp-5, -0x1.1a0b23128ddfcp-5, -0x1.169ad8f99c415p-5, -0x1.13308431bd1a6p-5, -0x1.0fcc351f9362ep-5, -0x1.0c6dfb70bff8ap-5, -0x1.0915e61c577d5p-5, -0x1.05c40363842f8p-5, -0x1.027860d2e021bp-5, -0x1.fe6616897b478p-6, -0x1.f7e81dc8ab8f5p-6, -0x1.f176ee62abcb3p-6, -0x1.eb129e06ab1a3p-6, -0x1.e4bb4119894d8p-6, -0x1.de70eabab5d72p-6, -0x1.d833acc8900f8p-6, -0x1.d20397e50dd8ep-6, -0x1.cbe0bb7b44253p-6, -0x1.c5cb25c5debcfp-6, -0x1.bfc2e3d5fec2ep-6, -0x1.b9c801999f7bp-6, -0x1.b3da89e0bd009p-6, -0x1.adfa8660bcd84p-6, -0x1.a827ffb678c76p-6, -0x1.a262fd6798568p-6, -0x1.9cab85e44cd87p-6, -0x1.97019e8a64232p-6, -0x1.91654baa2dd3ep-6, -0x1.8bd6908d70582p-6, -0x1.86556f8004e06p-6, -0x1.80e1e9d96ff27p-6, -0x1.7b7c00068f18ep-6, -0x1.7623b1923421ap-6, -0x1.70d8fd2b9d99p-6, -0x1.6b9be0aa5377cp-6, -0x1.666c590f52e8bp-6, -0x1.614a62845536ep-6, -0x1.5c35f85a9fcf1p-6, -0x1.572f150b02d7ap-6, -0x1.5235b238a2069p-6, -0x1.4d49c8b77d4b6p-6, -0x1.486b5096b244ap-6, -0x1.439a412d148b9p-6, -0x1.3ed6912601cfep-6, -0x1.3a20368bee98dp-6, -0x1.357726cea3a38p-6, -0x1.30db56c46a5cbp-6, -0x1.2c4cbaa6b8b66p-6, -0x1.27cb460c92d18p-6, -0x1.2356ebe573c33p-6, -0x1.1eef9e77ab976p-6, -0x1.1a954f64511b4p-6, -0x1.1647efb152108p-6, -0x1.12076fd87fddbp-6, -0x1.0dd3bfd8e2317p-6, -0x1.09accf46ae06ep-6, -0x1.05928d5683065p-6, -0x1.0184e8e194e76p-6, -0x1.fb07a0c45a1b8p-7, -0x1.f31e63d45697dp-7, -0x1.eb4df62d71c55p-7, -0x1.e396320ac08bdp-7, -0x1.dbf6f09da3fd6p-7, -0x1.d4700a144e7b8p-7, -0x1.cd0155b37b6a9p-7, -0x1.c5aaaa0016df9p-7, -0x1.be6bdcf1651b9p-7, -0x1.b744c42136683p-7, -0x1.b03534eefa254p-7, -0x1.a93d048d6f25ap-7, -0x1.a25c07f73f9aap-7, -0x1.9b9213ccf8052p-7, -0x1.94defc248cfa4p-7, -0x1.8e4294572c9eep-7, -0x1.87bcaedb48bb1p-7, -0x1.814d1d3714ce8p-7, -0x1.7af3b0135e8cp-7, -0x1.74b0376eef2c4p-7, -0x1.6e8282eb1a88dp-7, -0x1.686a6222ca12fp-7, -0x1.6267a4f9366f9p-7, -0x1.5c7a1bcd8f293p-7, -0x1.56a19785a0c58p-7, -0x1.50dde96a6eaf2p-7, -0x1.4b2ee2db8ac65p-7, -0x1.459454e838b0cp-7, -0x1.400e0fe3665edp-7, -0x1.3a9be30a5bf96p-7, -0x1.353d9c536228bp-7, -0x1.2ff3087335a1ep-7, -0x1.2abbf31f04b79p-7, -0x1.2598278494677p-7, -0x1.208770e6c8ad9p-7, -0x1.1b899b42c3298p-7, -0x1.169e73dcc902cp-7, -0x1.11c5c995b7915p-7, -0x1.0cff6cf383be7p-7, -0x1.084b2fd641a5dp-7, -0x1.03a8e4e5bf513p-7, -0x1.fe30bda5084e1p-8, -0x1.f532df1cce6bp-8, -0x1.ec57cf44f5a22p-8, -0x1.e39f2b824ce7ep-8, -0x1.db088d537a4bbp-8, -0x1.d2938acc821e6p-8, -0x1.ca3fb7be4f7adp-8, -0x1.c20ca76a506fbp-8, -0x1.b9f9ee83c71fep-8, -0x1.b2072531acb09p-8, -0x1.aa33e8ad0a494p-8, -0x1.a27fdc23dff18p-8, -0x1.9aeaa8a1329a6p-8, -0x1.9373fbecd82dfp-8, -0x1.8c1b868f87b1p-8, -0x1.84e0f958acbp-8, -0x1.7dc402e0abd1ap-8, -0x1.76c44d745476dp-8, -0x1.6fe17dca72764p-8, -0x1.691b329328b7ep-8, -0x1.627104f48f948p-8, -0x1.5be289ce12a04p-8, -0x1.556f539eefc5fp-8, -0x1.4f16f4e530715p-8, -0x1.48d902bbeb041p-8, -0x1.42b5176a36b8ep-8, -0x1.3caad47c96b2ap-8, -0x1.36b9e3f9845ep-8, -0x1.30e1f858575d1p-8, -0x1.2b22cb1bf4a29p-8, -0x1.257c1a42ee666p-8, -0x1.1feda50d19143p-8, -0x1.1a7728c4b7871p-8, -0x1.15185e33b821p-8, -0x1.0fd0f83579fbep-8, -0x1.0aa0a37e8a1dep-8, -0x1.05870763a3ea2p-8, -0x1.0083c73c3f842p-8, -0x1.f72d0807a3411p-9, -0x1.ed7dbc0cbbecp-9, -0x1.e3f8ed2ea6e3p-9, -0x1.da9de3cb37a7fp-9, -0x1.d16bf1d5f01c1p-9, -0x1.c862767dd7642p-9, -0x1.bf80e0c041e3ep-9, -0x1.b6c6afe8a4662p-9, -0x1.ae3371464b762p-9, -0x1.a5c6bb12e3a15p-9, -0x1.9d802563be681p-9, -0x1.955f42bc91572p-9, -0x1.8d639a1be9fa6p-9, -0x1.858ca3fc58c47p-9, -0x1.7dd9cad6d88dfp-9, -0x1.764a6e8dbc0b4p-9, -0x1.6edde93ea1d8dp-9, -0x1.679393b6fe6a5p-9, -0x1.606ac848c5718p-9, -0x1.5962e3c768223p-9, -0x1.527b458198abfp-9, -0x1.4bb34f94f317ep-9, -0x1.450a68b8395bfp-9, -0x1.3e7fffb88b6f1p-9, -0x1.38138fd53889p-9, -0x1.31c4a465de156p-9, -0x1.2b92da19b1c83p-9, -0x1.257ddcb8df79fp-9, -0x1.1f85616eb0e9cp-9, -0x1.19a91ee93b5bdp-9, -0x1.13e8c583949ebp-9, -0x1.0e43f9de03a58p-9, -0x1.08ba5389eaa1cp-9, -0x1.034b6002e9808p-9, -0x1.fbed5123f736ep-10, -0x1.f177711d68782p-10, -0x1.e734429b06c2dp-10, -0x1.dd22f4207bebbp-10, -0x1.d342b847f90a4p-10, -0x1.c992ba5331af2p-10, -0x1.c01214de4cf0bp-10, -0x1.b6bfcf9872693p-10, -0x1.ad9ae5c089474p-10, -0x1.a4a2536d3f9ffp-10, -0x1.9bd52504decdp-10, -0x1.93328373ad41p-10, -0x1.8ab9b8e460eb8p-10, -0x1.826a2c3978458p-10, -0x1.7a4354ba43437p-10, -0x1.7244aa302f997p-10, -0x1.6a6d96f149aa4p-10, -0x1.62bd7091a2068p-10, -0x1.5b337984dedd3p-10, -0x1.53ceeaecf0365p-10, -0x1.4c8f031767cf9p-10, -0x1.45731369b748dp-10, -0x1.3e7a8833420b4p-10, -0x1.37a4e691cda2bp-10, -0x1.30f1c03ab7333p-10, -0x1.2a60a177de1a2p-10, -0x1.23f100c14bc29p-10, -0x1.1da2370de83b7p-10, -0x1.1773840519058p-10, -0x1.11641bd6eca4p-10, -0x1.0b7338d5340c7p-10, -0x1.05a02a7c7e497p-10, -0x1.ffd4bb4f52e3p-11, -0x1.f4a2b89c0a20bp-11, -0x1.e9a98b3704f2fp-11, -0x1.dee882e249fbp-11, -0x1.d45ee78ea61f1p-11, -0x1.ca0be807f0923p-11, -0x1.bfee9435fda17p-11, -0x1.b605e1c3be663p-11, -0x1.ac50b7d7797d7p-11, -0x1.a2cdfefa38a7ep-11, -0x1.997cb28f4fc7fp-11, -0x1.905bef6eb9e21p-11, -0x1.876af8ed7af58p-11, -0x1.7ea92e82b8188p-11, -0x1.7615f248ce30ap-11, -0x1.6db0897c1eefbp-11, -0x1.657805efa9c94p-11, -0x1.5d6b44c8b87c5p-11, -0x1.558903a5a6f27p-11, -0x1.4dd0008e7ad3ep-11, -0x1.463f14b97979p-11, -0x1.3ed541a2f8e5dp-11, -0x1.3791b2fe77fa2p-11, -0x1.3073bba60a3bp-11, -0x1.297acf7d751ap-11, -0x1.22a679338cac7p-11, -0x1.1bf64d349ad49p-11, -0x1.1569ddf0974b9p-11, -0x1.0f00b4214dd53p-11, -0x1.08ba4aa4821a3p-11, -0x1.02960cc973545p-11, -0x1.f926ae6de5c5dp-12, -0x1.ed62f7db8226bp-12, -0x1.e1df91be956cdp-12, -0x1.d69b1f334f541p-12, -0x1.cb9457ed97f7ep-12, -0x1.c0ca0dd4e9c5cp-12, -0x1.b63b24b241324p-12, -0x1.abe67b5b5d0c5p-12, -0x1.a1cad1606dadbp-12, -0x1.97e6bceb14767p-12, -0x1.8e38bdb296624p-12, -0x1.84bf61e2f6409p-12, -0x1.7b795ce387612p-12, -0x1.72657aeb38a99p-12, -0x1.69828485d5bc5p-12, -0x1.60cf3adc8dc97p-12, -0x1.584a7b73f2486p-12, -0x1.4ff3681cf6b5ap-12, -0x1.47c969f37937ap-12, -0x1.3fcc0d8720b2dp-12, -0x1.37fad19087224p-12, -0x1.305508f82a84cp-12, -0x1.28d9dfcd5d9dcp-12, -0x1.21887b7e0f94p-12, -0x1.1a601afd41c59p-12, -0x1.13601b8d64dc7p-12, -0x1.0c87e05bc5932p-12, -0x1.05d6b643b7d32p-12, -0x1.fe979dea32dcfp-13, -0x1.f1ccae7910ae9p-13, -0x1.e54b29ad97169p-13, -0x1.d911e80469ab4p-13, -0x1.cd1ff39da4271p-13, -0x1.c17444799d195p-13, -0x1.b60d80965a9d5p-13, -0x1.aae9f237de211p-13, -0x1.a007bcdbe735fp-13, -0x1.95650fb2a187fp-13, -0x1.8b0006106107ep-13, -0x1.80d652e2db2e2p-13, -0x1.76e54715b8bedp-13, -0x1.6d2a7a8c1887dp-13, -0x1.63a48cae5c88bp-13, -0x1.5a53336a3b629p-13, -0x1.513683f758143p-13, -0x1.484e1d29825fp-13, -0x1.3f98de09ff367p-13, -0x1.371549b7b3624p-13, -0x1.2ec22b492551bp-13, -0x1.269ee593a4fep-13, -0x1.1eab380ac20dbp-13, -0x1.16e6c38b60e11p-13, -0x1.0f50ba0b53673p-13, -0x1.07e7ded5b4f77p-13, -0x1.00aab9c7d255ep-13, -0x1.f32fab398ea66p-14, -0x1.e55be6ecbab76p-14, -0x1.d7d8560a7464ep-14, -0x1.caa3e1dade03p-14, -0x1.bdbdf826bc2c6p-14, -0x1.b1261587fb9ebp-14, -0x1.a4db48367edebp-14, -0x1.98dc16f9b1456p-14, -0x1.8d26f5c187231p-14, -0x1.81baaf8c0396p-14, -0x1.7695ea7333238p-14, -0x1.6bb61a3a07d29p-14, -0x1.6117909d2d36cp-14, -0x1.56b7592a69c47p-14, -0x1.4c94d3556502bp-14, -0x1.42b0dd387432ep-14, -0x1.390b80ed2cdc7p-14, -0x1.2fa2c64b7e1e3p-14, -0x1.2673a9187d93cp-14, -0x1.1d7be34005a3dp-14, -0x1.14baa53b21a08p-14, -0x1.0c2fcc227ecbep-14, -0x1.03dacddc1cbeap-14, -0x1.f774d9c4ce43dp-15, -0x1.e79a17dd5554cp-15, -0x1.d8220997842d1p-15, -0x1.c9098acdf768p-15, -0x1.ba4d9f443c167p-15, -0x1.abeb826161a4fp-15, -0x1.9de0d939f6181p-15, -0x1.902bec4c8e5eap-15, -0x1.82cbc44df241ap-15, -0x1.75c00bdbbfcc7p-15, -0x1.69089efb0b952p-15, -0x1.5ca4cfe2157e2p-15, -0x1.5092c661149dcp-15, -0x1.44cfb4df8f706p-15, -0x1.39590a1a3a01p-15, -0x1.2e2d544b716dap-15, -0x1.234b525802bbep-15, -0x1.18b02183a978cp-15, -0x1.0e57db5f08f25p-15, -0x1.044106eeacb67p-15, -0x1.f4db16971ac1p-16, -0x1.e1bda690d0a03p-16, -0x1.cf25469a83487p-16, -0x1.bd09a6d0238cap-16, -0x1.ab65eb0b0a67ap-16, -0x1.9a39be76d01aap-16, -0x1.898494263a616p-16, -0x1.79430725d037dp-16, -0x1.69705c8f049fp-16, -0x1.5a0882f1193f8p-16, -0x1.4b089fbbb7212p-16, -0x1.3c6eb0ace97e5p-16, -0x1.2e3908873b12ap-16, -0x1.2065f5a4dc9a6p-16, -0x1.12f39e987ecd1p-16, -0x1.05e00b3c8c83ep-16, -0x1.f252865208e25p-17, -0x1.d99acf150c0dep-17, -0x1.c1957f9d0a3bap-17, -0x1.aa3f8380be3d9p-17, -0x1.93961a4da201dp-17, -0x1.7d964d65e8e36p-17, -0x1.683b9ee19023cp-17, -0x1.537eff025b5bp-17, -0x1.3f5830d12eb1ap-17, -0x1.2bc1b55832868p-17, -0x1.18bb690d0785ap-17, -0x1.064707f998038p-17, -0x1.e8c06cdbd9987p-18, -0x1.c5fbd78d9eeacp-18, -0x1.a43ccb8ccb39fp-18, -0x1.8389143125eb7p-18, -0x1.63d5e97695e74p-18, -0x1.4510bb10b5cbfp-18, -0x1.27379cb1533a1p-18, -0x1.0a51d7ace9a58p-18, -0x1.dcbbdd658eca6p-19, -0x1.a6a706ef4a169p-19, -0x1.7255b9c31f1f1p-19, -0x1.3fbb7d5d9b92fp-19, -0x1.0ecc0c2aa8179p-19, -0x1.bef2f4d50253dp-20, -0x1.636d37bf8d50cp-20, -0x1.0aef96b16d18fp-20, -0x1.6accd19dcd48bp-21, -0x1.8b020ab199cdcp-22, -0x1.2edc826f31f73p-24, 0x1.d10e30e600845p-23, 0x1.08fcfdaeeaef4p-21, 0x1.987282c3d5b34p-21, 0x1.11634736be652p-20, 0x1.540d2cbdaf62p-20, 0x1.94453050febeap-20, 0x1.d215facd0ba2fp-20, 0x1.06c4691b2615ep-19, 0x1.23561a0b48213p-19, 0x1.3ecbfaebb6cd5p-19, 0x1.5932750fd4c44p-19, 0x1.728d394f6c5dep-19, 0x1.8ad222b64bbc2p-19, 0x1.a1f7aa9c60a08p-19, 0x1.b81186ae297d8p-19, 0x1.cd3c8714630e5p-19, 0x1.e178ede609179p-19, 0x1.f4ce3a092665ap-19, 0x1.03a650c9b794bp-18, 0x1.0c76d6c91a1f7p-18, 0x1.14d84079dc793p-18, 0x1.1cd2519145ff9p-18, 0x1.246a8fe3222cbp-18, 0x1.2ba1d4c3ea797p-18, 0x1.3278197cfd5a1p-18, 0x1.38ef63e36f362p-18, 0x1.3f0bac146e0c4p-18, 0x1.44d0701698fcep-18, 0x1.4a3eb757014ccp-18, 0x1.4f55f5323dad6p-18, 0x1.5416a4e7f207ep-18, 0x1.58837ab51353p-18, 0x1.5ca06bdd72791p-18, 0x1.6071425d910bep-18, 0x1.63f8feab6956fp-18, 0x1.6739f4828cd5ep-18, 0x1.6a361fd02d797p-18, 0x1.6cef6377706b6p-18, 0x1.6f679bfd37565p-18, 0x1.71a098a6f2a01p-18, 0x1.739be571bffd1p-18, 0x1.755aaffb4d6d2p-18, 0x1.76de10db2d572p-18, 0x1.7827cc5292336p-18, 0x1.793a868bc57aap-18, 0x1.7a18cbbbaeb87p-18, 0x1.7ac3c57e6f856p-18, 0x1.7b399acdf87ap-18, 0x1.7b7772b1dea52p-18, 0x1.7b83fc6957a8bp-18, 0x1.7b67b6f6648b1p-18, 0x1.7b23b97f91999p-18, 0x1.7ab7f9fdc24b8p-18, }}, 
      {{-0x1.4c13a1a0c2b97p-1, -0x1.470c4825b38abp-1, -0x1.3f0ee2c0968c3p-1, -0x1.348c54c1ba3acp-1, -0x1.27fe162b0b75ap-1, -0x1.19dc568ec9ec5p-1, -0x1.0a97ec589452ap-1, -0x1.f52d8ff72c7p-2, -0x1.d464566f59d3fp-2, -0x1.b36c3fe92eeffp-2, -0x1.92c39288483f1p-2, -0x1.72d07f5912e58p-2, -0x1.53e3777b54596p-2, -0x1.3639c527f964ap-2, -0x1.1a002aa44f7cfp-2, -0x1.feaac0a17622fp-3, -0x1.cc98ba52a730dp-3, -0x1.9ddcc32f11757p-3, -0x1.727986bb28947p-3, -0x1.4a64f9b6c9e58p-3, -0x1.258b07ce4f0a4p-3, -0x1.03cfdb2b60b0ap-3, -0x1.ca2392b1b29ep-4, -0x1.9255e15a932cep-4, -0x1.5fe521577439p-4, -0x1.327c4da12fc01p-4, -0x1.09c4b077abc4ep-4, -0x1.cacebe9b7a085p-5, -0x1.8a1cd87cd207p-5, -0x1.50cbb0783b3c6p-5, -0x1.1e389f3899b1ep-5, -0x1.e38ee522fd18ap-6, -0x1.95c67edab5d73p-6, -0x1.51fde720c58aep-6, -0x1.172b638cb8228p-6, -0x1.c8ac067008d41p-7, -0x1.712b6a27665aep-7, -0x1.26264592c5fd1p-7, -0x1.cc1d6fef41417p-8, -0x1.5eed707eb45f5p-8, -0x1.021dced8ed955p-8, -0x1.6694e37fad798p-9, -0x1.c11be8f1a89b8p-10, -0x1.b8dd9c9bcbb7bp-11, -0x1.809bcf1ca0d35p-14, 0x1.24e52537e7d38p-11, 0x1.28b8829574cbcp-10, 0x1.afd9df1bd183fp-10, 0x1.1629e917cc97cp-9, 0x1.510d34050d15p-9, 0x1.8a51ca66007bap-9, 0x1.c378d7f1d8f93p-9, 0x1.fdceae19ea4d3p-9, 0x1.1d37b62e8eb1cp-8, 0x1.3d25af45f7b55p-8, 0x1.5f158a0609207p-8, 0x1.835998e2f5afap-8, 0x1.aa33fe77a3908p-8, 0x1.d3d84eff99971p-8, 0x1.0036883e7e382p-7, 0x1.18068f4e1e09ep-7, 0x1.31647b16297dep-7, 0x1.4c53f3d2e7c07p-7, 0x1.68d496da51f8fp-7, 0x1.86e273778eacp-7, 0x1.a6767bb099c2bp-7, 0x1.c786ec70b090fp-7, 0x1.ea07af7ce0386p-7, 0x1.06f55b42c0c18p-6, 0x1.1990269a1afp-6, 0x1.2ccbb065dd325p-6, 0x1.409edf254ac61p-6, 0x1.550024de92ca6p-6, 0x1.69e598e00e93ap-6, 0x1.7f45101d49d89p-6, 0x1.951433fc5d4f3p-6, 0x1.ab4896d25bafdp-6, 0x1.c1d7c585f0ff7p-6, 0x1.d8b7563cddf64p-6, 0x1.efdcf496874bp-6, 0x1.039f360fa27dcp-5, 0x1.0f68d8d756557p-5, 0x1.1b467607a489ep-5, 0x1.27333e030190fp-5, 0x1.332a81c84c56ep-5, 0x1.3f27b61476b43p-5, 0x1.4b2675ee0a214p-5, 0x1.5722849d3882p-5, 0x1.6317cf15f7018p-5, 0x1.6f026ced03025p-5, 0x1.7adea0f54418bp-5, 0x1.86a8d99bc896ap-5, 0x1.925db10fffa95p-5, 0x1.9df9ed5235c7cp-5, 0x1.a97a801ac04a5p-5, 0x1.b4dc86a380ec6p-5, 0x1.c01d494ddefafp-5, 0x1.cb3a3b2373d2cp-5, 0x1.d630f931358e8p-5, 0x1.e0ff49b81d10fp-5, 0x1.eba31b4d70111p-5, 0x1.f61a83c9fd7e1p-5, 0x1.0031df99e41bfp-4, 0x1.053e9748bc68ep-4, 0x1.0a32ab5912cacp-4, 0x1.0f0d6f79769a9p-4, 0x1.13ce47fd794a6p-4, 0x1.1874a93d6efffp-4, 0x1.1d0016f54e2efp-4, 0x1.217023a39fbc2p-4, 0x1.25c46fed65a2dp-4, 0x1.29fca9f7ce0abp-4, 0x1.2e188cd34c5b3p-4, 0x1.3217dfd8d89a3p-4, 0x1.35fa761433cebp-4, 0x1.39c02da976183p-4, 0x1.3d68ef4112f69p-4, 0x1.40f4ad77b0ee3p-4, 0x1.4463644e4a2dap-4, 0x1.47b518a36a46dp-4, 0x1.4ae9d7ac4425dp-4, 0x1.4e01b674ae76bp-4, 0x1.50fcd16243d3ep-4, 0x1.53db4bbb4f748p-4, 0x1.569d4f330256dp-4, 0x1.59430b786847ep-4, 0x1.5bccb5c8331fcp-4, 0x1.5e3a8887a28a1p-4, 0x1.608cc2dc060cbp-4, 0x1.62c3a84be25bdp-4, 0x1.64df8063aca48p-4, 0x1.66e0965c3a2p-4, 0x1.68c738c950481p-4, 0x1.6a93b94aff765p-4, 0x1.6c466c427861dp-4, 0x1.6ddfa88e28191p-4, 0x1.6f5fc744165f9p-4, 0x1.70c7237d07a87p-4, 0x1.72161a11421fep-4, 0x1.734d09682d792p-4, 0x1.746c5142d7761p-4, 0x1.7574528bcb4c7p-4, 0x1.76656f2b3e3b7p-4, 0x1.774009d9168c5p-4, 0x1.780485f6fac03p-4, 0x1.78b34767fd699p-4, 0x1.794cb26d7dce5p-4, 0x1.79d12b84a16a9p-4, 0x1.7a41174163c98p-4, 0x1.7a9cda3cc88ffp-4, 0x1.7ae4d8ec27a24p-4, 0x1.7b19778c86295p-4, 0x1.7b3b1a0b111efp-4, 0x1.7b4a23ee95b42p-4, 0x1.7b46f841e9da9p-4, 0x1.7b31f982d9d73p-4, 0x1.7b0b8991500f9p-4, 0x1.7ad409a01e219p-4, 0x1.7a8bda2612806p-4, 0x1.7a335ad2db18dp-4, 0x1.79caea82870ebp-4, 0x1.7952e73746ba5p-4, 0x1.78cbae0a3c235p-4, 0x1.78359b25a29c5p-4, 0x1.779109c03d3bap-4, 0x1.76de5413b95b8p-4, 0x1.761dd355f4811p-4, 0x1.754fdfb4dde22p-4, 0x1.7474d051de2efp-4, 0x1.738cfb3ca025ap-4, 0x1.7298b56e3fb6p-4, 0x1.719852c6e1edcp-4, 0x1.708c260a82678p-4, 0x1.6f7480dec2a19p-4, 0x1.6e51b3c74ca42p-4, 0x1.6d240e2428386p-4, 0x1.6bebde312d4a3p-4, 0x1.6aa97105290f9p-4, 0x1.695d12904422bp-4, 0x1.68070d9babf41p-4, 0x1.66a7abc605cdcp-4, 0x1.653f358d108bdp-4, 0x1.63cdf244e46bep-4, 0x1.6254281c7aba8p-4, 0x1.60d21c1d25222p-4, 0x1.5f48122cc341fp-4, 0x1.5db64d0fda2f4p-4, 0x1.5c1d0e6a9efb2p-4, 0x1.5a7c96c1866dp-4, 0x1.58d5257b4848ap-4, 0x1.5726f8e3c2b4ep-4, 0x1.55724e2ebd432p-4, 0x1.53b761797de82p-4, 0x1.51f66dcbfbf7ep-4, 0x1.502fad1b8c4ecp-4, 0x1.4e63584e1577p-4, 0x1.4c91a73d2b00bp-4, 0x1.4abad0b82ceep-4, 0x1.48df0a8600bc3p-4, 0x1.46fe8967a21b2p-4, 0x1.4519811b0de43p-4, 0x1.43302460b0c3bp-4, 0x1.4142a4fa7608ap-4, 0x1.3f5133b0bd725p-4, 0x1.3d5c00541c51ap-4, 0x1.3b6339c00b47p-4, 0x1.39670ddf446b5p-4, 0x1.3767a9adbbdb2p-4, 0x1.3565393c7cbf3p-4, 0x1.335fe7b367c9ap-4, 0x1.3157df542941fp-4, 0x1.2f4d497d99ad5p-4, 0x1.2d404eaf6014bp-4, 0x1.2b31168d20895p-4, 0x1.291fc7e130ecep-4, 0x1.270c889f1b3bap-4, 0x1.24f77de69c915p-4, 0x1.22e0cc0732808p-4, 0x1.20c89683c4621p-4, 0x1.1eaf0015ca768p-4, 0x1.1c942aafed916p-4, 0x1.1a783780779f1p-4, 0x1.185b46f50f403p-4, 0x1.163d78bd54a4cp-4, 0x1.141eebcf5585p-4, 0x1.11ffbe6a02679p-4, 0x1.0fe00e178fd8ep-4, 0x1.0dbff7b1d1697p-4, 0x1.0b9f976282289p-4, 0x1.097f08a8d0aeep-4, 0x1.075e665c7e822p-4, 0x1.053dcab02094p-4, 0x1.031d4f33d2a17p-4, 0x1.00fd0cd7e5a56p-4, 0x1.fdba37e008524p-5, 0x1.f97b286d01414p-5, 0x1.f53d199ecd764p-5, 0x1.f1003895fa4cdp-5, 0x1.ecc4b150310d8p-5, 0x1.e88aaead0c028p-5, 0x1.e4525a750b803p-5, 0x1.e01bdd5e2af17p-5, 0x1.dbe75f1389507p-5, 0x1.d7b506390bc73p-5, 0x1.d384f86fa066cp-5, 0x1.cf575a5999256p-5, 0x1.cb2c4f9ff4011p-5, 0x1.c703faf886c6fp-5, 0x1.c2de7e2bbfe4ap-5, 0x1.bebbfa1963363p-5, 0x1.ba9c8ebc1e941p-5, 0x1.b6805b2cd63f6p-5, 0x1.b2677da6bbf8ap-5, 0x1.ae52138c858a5p-5, 0x1.aa40396e2f03p-5, 0x1.a6320b0e2aeafp-5, 0x1.a227a36559afbp-5, 0x1.9e211ca5d43c7p-5, 0x1.9a1e903df8b7fp-5, 0x1.962016d96290ep-5, 0x1.9225c86b0a2cap-5, 0x1.8e2fbc2cdcc19p-5, 0x1.8a3e08a7df9b6p-5, 0x1.8650c3b60793dp-5, 0x1.82680285daa4bp-5, 0x1.7e83d99bb9ef4p-5, 0x1.7aa45cd49b174p-5, 0x1.76c99f69c0597p-5, 0x1.72f3b3f54d97bp-5, 0x1.6f22ac76df819p-5, 0x1.6b569a5732c78p-5, 0x1.678f8e6a81faep-5, 0x1.63cd98f208953p-5, 0x1.6010c99d96888p-5, 0x1.5c592f8dfe4fp-5, 0x1.58a6d95894b61p-5, 0x1.54f9d50b52dcep-5, 0x1.51523030aacaep-5, 0x1.4daff7d2688cdp-5, 0x1.4a13387b5f1a7p-5, 0x1.467bfe3870385p-5, 0x1.42ea5499b72f4p-5, 0x1.3f5e46b48f6a2p-5, 0x1.3bd7df268b637p-5, 0x1.38572819087e8p-5, 0x1.34dc2b4486027p-5, 0x1.3166f1f2f86cp-5, 0x1.2df78501c5239p-5, 0x1.2a8dece16f73ep-5, 0x1.272a31979223fp-5, 0x1.23cc5abf8acf7p-5, 0x1.20746f8cc9b49p-5, 0x1.1d2276cde688cp-5, 0x1.19d676ef921f6p-5, 0x1.169075ff01a84p-5, 0x1.135079ab7f6f9p-5, 0x1.10168746a491dp-5, 0x1.0ce2a3c6c3e09p-5, 0x1.09b4d3c4351a3p-5, 0x1.068d1b7dd4802p-5, 0x1.036b7ed9df179p-5, 0x1.00500168995e7p-5, 0x1.fa754ccdbabe7p-6, 0x1.f456e17fe66f3p-6, 0x1.ee44c61d568c8p-6, 0x1.e83eff3bc2cf9p-6, 0x1.e24590d19ffefp-6, 0x1.dc587e37688e4p-6, 0x1.d677ca2a04581p-6, 0x1.d0a376ce8168ap-6, 0x1.cadb85b66b1d6p-6, 0x1.c51ff7e413318p-6, 0x1.bf70cdcdeb895p-6, 0x1.b9ce07609c4bap-6, 0x1.b437a40019d68p-6, 0x1.aeada287f7143p-6, 0x1.a930014d0afd8p-6, 0x1.a3bebe1de4b55p-6, 0x1.9e59d646a837p-6, 0x1.99014694470f2p-6, 0x1.93b50b584b725p-6, 0x1.8e75206c4cc61p-6, 0x1.894181346bc2dp-6, 0x1.841a28a0eb4bfp-6, 0x1.7eff112eed061p-6, 0x1.79f034e91113dp-6, 0x1.74ed8d6876ee6p-6, 0x1.6ff713d6775p-6, 0x1.6b0cc0ef35725p-6, 0x1.662e8d04cf558p-6, 0x1.615c7002acfd9p-6, 0x1.5c9661708fa6ap-6, 0x1.57dc5874e7e75p-6, 0x1.532e4bd66a4f9p-6, 0x1.4e8c31fd07cf6p-6, 0x1.49f600f2af3a7p-6, 0x1.456bae643092cp-6, 0x1.40ed2fa2ad0fdp-6, 0x1.3c7a79a5a9b32p-6, 0x1.3813810dae99bp-6, 0x1.33b83a273198cp-6, 0x1.2f6898ed47dadp-6, 0x1.2b24910c0d99dp-6, 0x1.26ec15e47c77dp-6, 0x1.22bf1a892ff6p-6, 0x1.1e9d91c498f95p-6, 0x1.1a876e16dc6efp-6, 0x1.167ca1b7b76f7p-6, 0x1.127d1e97f59b1p-6, 0x1.0e88d66338634p-6, 0x1.0a9fba82c4194p-6, 0x1.06c1bc1f68fep-6, 0x1.02eecc243f6dap-6, 0x1.fe4db682371fbp-7, 0x1.f6d3b3d869ecfp-7, 0x1.ef6f70c765956p-7, 0x1.e820cd5dba66dp-7, 0x1.e0e7a93e5cba6p-7, 0x1.d9c3e3a2ce0dap-7, 0x1.d2b55b5dce9fap-7, 0x1.cbbbeede9bcb1p-7, 0x1.c4d77c34ca97bp-7, 0x1.be07e1146fb48p-7, 0x1.b74cfada86c6p-7, 0x1.b0a6a690fcd24p-7, 0x1.aa14c0f2977cep-7, 0x1.a397266e87d2bp-7, 0x1.9d2db32cd8a17p-7, 0x1.96d843033d0dcp-7, 0x1.9096b194e6aebp-7, 0x1.8a68da3cc5fa8p-7, 0x1.844e980e99e61p-7, 0x1.7e47c5e39a7cdp-7, 0x1.78543e660ccebp-7, 0x1.7273dc01a1c5cp-7, 0x1.6ca678f1cdfd7p-7, 0x1.66ebef43b7bf9p-7, 0x1.614418d938d9ep-7, 0x1.5baecf6bdda31p-7, 0x1.562bec8fa071dp-7, 0x1.50bb49b5601ddp-7, 0x1.4b5cc02d2db07p-7, 0x1.461029288d6aep-7, 0x1.40d55dbcc3c28p-7, 0x1.3bac36e556b82p-7, 0x1.36948d86b3c6fp-7, 0x1.318e3a710204p-7, 0x1.2c99166307f22p-7, 0x1.27b4fa0ceaa1cp-7, 0x1.22e1be1323fc2p-7, 0x1.1e1f3b116cf3ep-7, 0x1.196d499c13cb4p-7, 0x1.14cbc243d104bp-7, 0x1.103a7d96fdfe4p-7, 0x1.0bb95423f265fp-7, 0x1.07481e7a475b4p-7, 0x1.02e6b53065ba9p-7, 0x1.fd29e1bc7c18fp-8, 0x1.f4a5544e3357dp-8, 0x1.ec3f736f0d026p-8, 0x1.e3f7f0915f5afp-8, 0x1.dbce7d4511c88p-8, 0x1.d3c2cb3bf7c2ep-8, 0x1.cbd48c4df3bbap-8, 0x1.c403727ced454p-8, 0x1.bc4f2ff88b8eap-8, 0x1.b4b77721dddaap-8, 0x1.ad3bfa8ec3caap-8, 0x1.a5dc6d0d25871p-8, 0x1.9e9881a6271f3p-8, 0x1.976feba12e976p-8, 0x1.90625e8708a5ep-8, 0x1.896f8e250fafbp-8, 0x1.82972e904c94cp-8, 0x1.7bd8f428b3e98p-8, 0x1.7534939c470a9p-8, 0x1.6ea9c1ea2ddf8p-8, 0x1.68383465ae46p-8, 0x1.61dfa0b91be3bp-8, 0x1.5b9fbce891ed3p-8, 0x1.55783f548f165p-8, 0x1.4f68debc61195p-8, 0x1.4971524060ab8p-8, 0x1.43915163f016p-8, 0x1.3dc8940f8d3a3p-8, 0x1.3816d292b32c1p-8, 0x1.327bc5a60ff62p-8, 0x1.2cf7266da7393p-8, 0x1.2788ae7b32b9p-8, 0x1.223017d0530ebp-8, 0x1.1ced1ce0b75a2p-8, 0x1.17bf7893e41e7p-8, 0x1.12a6e646b9f26p-8, 0x1.0da321cc851fcp-8, 0x1.08b3e770d99ccp-8, 0x1.03d8f3f803eb3p-8, 0x1.fe2409406f5c5p-9, 0x1.f4bdae489522cp-9, 0x1.eb7e537960f93p-9, 0x1.e2657643537b8p-9, 0x1.d9729519ce8e4p-9, 0x1.d0a52f75c42bp-9, 0x1.c7fcc5d758a5ep-9, 0x1.bf78d9c654f51p-9, 0x1.b718edd2072a6p-9, 0x1.aedc8590b4961p-9, 0x1.a6c3259fc1bf2p-9, 0x1.9ecc53a503082p-9, 0x1.96f7965146544p-9, 0x1.8f4475647e619p-9, 0x1.87b279b286227p-9, 0x1.80412d27a50a6p-9, 0x1.78f01acbcfa84p-9, 0x1.71becec3c3f07p-9, 0x1.6aacd64f8e5f7p-9, 0x1.63b9bfc44aa25p-9, 0x1.5ce51a8f4b6c7p-9, 0x1.562e7727c4081p-9, 0x1.4f95670d9e89bp-9, 0x1.49197cd059576p-9, 0x1.42ba4c0beb263p-9, 0x1.3c7769716a2f4p-9, 0x1.36506acee70b4p-9, 0x1.3044e716e088cp-9, 0x1.2a54766546a2fp-9, 0x1.247eb200518d4p-9, 0x1.1ec334546f1e7p-9, 0x1.192198ebeeec1p-9, 0x1.13997c63f066bp-9, 0x1.0e2a7c614a34ep-9, 0x1.08d43787b9e52p-9, 0x1.03964d761de88p-9, 0x1.fce0bd9146e98p-10, 0x1.f2c41a41cafb2p-10, 0x1.e8d5f664542b9p-10, 0x1.df15999e1ed7bp-10, 0x1.d5824dea3d2fbp-10, 0x1.cc1b5fa6dc0e6p-10, 0x1.c2e01d93875e5p-10, 0x1.b9cfd8c000d6ep-10, 0x1.b0e9e46ddc047p-10, 0x1.a82d95ea54d94p-10, 0x1.9f9a446851076p-10, 0x1.972f48e1ed65dp-10, 0x1.8eebfe09a726ep-10, 0x1.86cfc04e4dc76p-10, 0x1.7ed9edeb5c067p-10, 0x1.7709e70fbcb4ap-10, 0x1.6f5f0e04ee15cp-10, 0x1.67d8c754b2d78p-10, 0x1.607679e3b5a48p-10, 0x1.59378efa0e03p-10, 0x1.521b72367876cp-10, 0x1.4b21916dac72dp-10, 0x1.44495c7b52d8ep-10, 0x1.3d92450ce63b2p-10, 0x1.36fbbe705381cp-10, 0x1.30853d6fa29b9p-10, 0x1.2a2e383fb595ep-10, 0x1.23f62685a8767p-10, 0x1.1ddc817095e0fp-10, 0x1.17e0c3e340bd7p-10, 0x1.12026aa43cd3p-10, 0x1.0c40f48c3e818p-10, 0x1.069be2a7d668bp-10, 0x1.0112b847608adp-10, 0x1.f749f5efd751cp-11, 0x1.eca464cdc50c6p-11, 0x1.e233d069721e7p-11, 0x1.d7f74f7d0a9cp-11, 0x1.cdedfbcea43b3p-11, 0x1.c416f1d474924p-11, 0x1.ba7150776c345p-11, 0x1.b0fc38fbc7e66p-11, 0x1.a7b6cf109eb41p-11, 0x1.9ea03900bee9p-11, 0x1.95b79ffbcc26dp-11, 0x1.8cfc306a22959p-11, 0x1.846d1a3d3f0adp-11, 0x1.7c09912f6fdeap-11, 0x1.73d0cce71ce3dp-11, 0x1.6bc208f7b5dedp-11, 0x1.63dc84bd7315p-11, 0x1.5c1f831b63c78p-11, 0x1.548a4a4abe7d9p-11, 0x1.4d1c233bea0ap-11, 0x1.45d45995d34f3p-11, 0x1.3eb23b49af45bp-11, 0x1.37b518702d4a1p-11, 0x1.30dc432ff6786p-11, 0x1.2a270fb7283p-11, 0x1.2394d44f9e14p-11, 0x1.1d24e968baf23p-11, 0x1.16d6aa001fc36p-11, 0x1.10a97331d2756p-11, 0x1.0a9ca5b37956fp-11, 0x1.04afa4d56fe86p-11, 0x1.fdc3ae6b68967p-12, 0x1.f2654d6d9b17ep-12, 0x1.e74300cf4bfbap-12, 0x1.dc5ba8bd56055p-12, 0x1.d1ae2b071d49p-12, 0x1.c73972ac1d73fp-12, 0x1.bcfc6f743994ep-12, 0x1.b2f6157d95274p-12, 0x1.a9255ccb716d1p-12, 0x1.9f8940d311073p-12, 0x1.9620c00ebe698p-12, 0x1.8ceadbad9eb32p-12, 0x1.83e6977b184cp-12, 0x1.7b12fa10e0fcbp-12, 0x1.726f0d559ac98p-12, 0x1.69f9df316a4ccp-12, 0x1.61b2824f50dfep-12, 0x1.59980eba8b8f4p-12, 0x1.51a9a235a6916p-12, 0x1.49e66039c1071p-12, 0x1.424d71b0c6cdep-12, 0x1.3ade048405584p-12, 0x1.33974b24393bbp-12, 0x1.2c787c1c40e07p-12, 0x1.2580d1b098db8p-12, 0x1.1eaf897cf017ep-12, 0x1.1803e3fe38284p-12, 0x1.117d24045f509p-12, 0x1.0b1a8e1d1fbfbp-12, 0x1.04db681d46911p-12, 0x1.fd7df1efe8391p-13, 0x1.f189120ad981bp-13, 0x1.e5d6c57e944a6p-13, 0x1.da65a794839cap-13, 0x1.cf345c1f9c005p-13, 0x1.c441911f69edcp-13, 0x1.b98bff707ccd1p-13, 0x1.af126a61aab91p-13, 0x1.a4d39e7242d9ap-13, 0x1.9ace6fb8565b3p-13, 0x1.9101b878574b1p-13, 0x1.876c5843a9aa4p-13, 0x1.7e0d33ae28fcbp-13, 0x1.74e3345a7c68fp-13, 0x1.6bed4901666a4p-13, 0x1.632a651deadb5p-13, 0x1.5a998012f7e33p-13, 0x1.523993f54ecefp-13, 0x1.4a099c5c56d5bp-13, 0x1.420895bfec9bfp-13, 0x1.3a357dd0ab11p-13, 0x1.328f54e1aaf3cp-13, 0x1.2b152016b1896p-13, 0x1.23c5eba96f8b5p-13, 0x1.1ca0cc7dcd14cp-13, 0x1.15a4e0750af17p-13, 0x1.0ed14d694ed2ep-13, 0x1.08253f3fa46fap-13, 0x1.019fe5c5279edp-13, 0x1.f680e68d41023p-14, 0x1.ea0c3813f5592p-14, 0x1.dde02cc475eb2p-14, 0x1.d1fb3869b065bp-14, 0x1.c65bd77bb8248p-14, 0x1.bb0090b7f81d9p-14, 0x1.afe7f5031a1f5p-14, 0x1.a5109e0592aeep-14, 0x1.9a792bc087f97p-14, 0x1.902041efdf356p-14, 0x1.86048645a033ep-14, 0x1.7c24a02f09058p-14, 0x1.727f3a6b66624p-14, 0x1.69130611c5a23p-14, 0x1.5fdebe036bbe9p-14, 0x1.56e12970eb744p-14, 0x1.4e191c52247f8p-14, 0x1.45857576adc92p-14, 0x1.3d251ae5a83d7p-14, 0x1.34f6f61639ca4p-14, 0x1.2cf9f18a8ff67p-14, 0x1.252cf89eba728p-14, 0x1.1d8ef93534ccfp-14, 0x1.161ee62409337p-14, 0x1.0edbb92d4a08p-14, 0x1.07c473e3fd0f1p-14, 0x1.00d81f8aae3cap-14, 0x1.f42b98b4d8da6p-15, 0x1.e6f92159210cfp-15, 0x1.da17107403a8ep-15, 0x1.cd83a6d76b2c6p-15, 0x1.c13d2d25b8cf1p-15, 0x1.b541f20487b14p-15, 0x1.a990489431e9ap-15, 0x1.9e268825db068p-15, 0x1.93030df28afbcp-15, 0x1.8824404dd15c7p-15, 0x1.7d8891dfef665p-15, 0x1.732e836037864p-15, 0x1.6914a11b4fabbp-15, 0x1.5f397e0a7d063p-15, 0x1.559baff900dc1p-15, 0x1.4c39ce97dc674p-15, 0x1.431276629a026p-15, 0x1.3a244d57209e7p-15, 0x1.316e06200c2b6p-15, 0x1.28ee5f803503fp-15, 0x1.20a420a743b5p-15, 0x1.188e1526a7873p-15, 0x1.10ab0b370de7ap-15, 0x1.08f9d540d28bbp-15, 0x1.01794d8a8f76ep-15, 0x1.f450b399a3406p-16, 0x1.e60bd8e9a18f5p-16, 0x1.d8220519d492bp-16, 0x1.ca913dd7c91d8p-16, 0x1.bd57896541377p-16, 0x1.b072e73bacd46p-16, 0x1.a3e14fe0d0f5cp-16, 0x1.97a0bc2079d29p-16, 0x1.8baf2ff6b22dcp-16, 0x1.800ac3782b4ep-16, 0x1.74b1a52d33e28p-16, 0x1.69a2158069a26p-16, 0x1.5eda5f3dcfda4p-16, 0x1.5458d2fdfb9acp-16, 0x1.4a1bc8ea9945cp-16, 0x1.4021a71430a2bp-16, 0x1.3668e61c52413p-16, 0x1.2cf00ece8f784p-16, 0x1.23b5b96779d2dp-16, 0x1.1ab865a04cfdbp-16, 0x1.11f69865d781bp-16, 0x1.096eedfe4e408p-16, 0x1.011ff091566d9p-16, 0x1.f2108d56a0bcdp-17, 0x1.e24d59266e294p-17, 0x1.d2f3e38f27405p-17, 0x1.c401e5159d864p-17, 0x1.b5751c69e5288p-17, 0x1.a74b482df3ebcp-17, 0x1.99821a6550fc6p-17, 0x1.8c173605f5453p-17, 0x1.7f0832eac01c5p-17, 0x1.7252aa2a12333p-17, 0x1.65f446c24680cp-17, 0x1.59ead34a1681bp-17, 0x1.4e343d5d6cf9fp-17, 0x1.42ce909fe6a7ep-17, 0x1.37b7e80d72ea5p-17, 0x1.2cee620df6f39p-17, 0x1.22701bcacd642p-17, 0x1.183b37843eda1p-17, 0x1.0e4de6f3d935p-17, 0x1.04a66dc909a7p-17, 0x1.f686313b308d5p-18, 0x1.e44465d3e2308p-18, 0x1.d2841110739a4p-18, 0x1.c141e4ec14272p-18, 0x1.b07ac545b54bcp-18, 0x1.a02bc9683c76cp-18, 0x1.905229d5d9ffdp-18, 0x1.80eb2c847cf76p-18, 0x1.71f41e397906dp-18, 0x1.636a57f6b733p-18, 0x1.554b44b3e957ep-18, 0x1.47945e420f60fp-18, 0x1.3a43226966975p-18, 0x1.2d5507b35f45fp-18, 0x1.20c7797f74129p-18, 0x1.1497df023d24ap-18, 0x1.08c3abd02daddp-18, 0x1.fa90e6a9139cap-19, 0x1.e447ed5d2c289p-19, 0x1.cea84d12920bdp-19, 0x1.b9ae2c6481e64p-19, 0x1.a555c43de816ep-19, 0x1.919b29d3b430ep-19, 0x1.7e7a3980d2871p-19, 0x1.6beebffe62297p-19, 0x1.59f4aa5970b05p-19, 0x1.488824009804dp-19, 0x1.37a575b72a136p-19, 0x1.2748f317579a8p-19, 0x1.176f161318758p-19, 0x1.0814a0bf696f5p-19, 0x1.f26d189fd535bp-20, 0x1.d5a3a508ab679p-20, 0x1.b9c6980594f2p-20, 0x1.9ecf7f2911d66p-20, 0x1.84b80f53de407p-20, 0x1.6b7a52e3170ccp-20, 0x1.5310a261751bbp-20, 0x1.3b7589b0078b6p-20, 0x1.24a3b80ecd741p-20, 0x1.0e95f8445a53ap-20, 0x1.f28e46cc706e9p-21, 0x1.c96423ab036fdp-21, 0x1.a1a3349e5b3afp-21, 0x1.7b4146646da78p-21, 0x1.56348da5fa1acp-21, 0x1.3273e41cfb9dfp-21, 0x1.0ff6d9d6f0464p-21, 0x1.dd6b2671547aep-22, 0x1.9d50ea0b69ac2p-22, 0x1.5f8f5fd22c555p-22, 0x1.2415c6d5da3c9p-22, 0x1.d5a4d2199b741p-23, 0x1.6767aa6e0aff3p-23, 0x1.faa819b8faad2p-24, 0x1.2e99512de7e81p-24, 0x1.a9ab56de949ffp-26, -0x1.48657d4689ebbp-26, -0x1.0725669a5ff66p-24, -0x1.b4e8d8068f84dp-24, -0x1.2dcac9cbbeadep-23, -0x1.7db106ccba843p-23, -0x1.ca428b4cc9f1fp-23, -0x1.09ccad761dd65p-22, -0x1.2ce6be441763p-22, -0x1.4e7adfd46c5f4p-22, -0x1.6e94606d24f9p-22, -0x1.8d3e46f83347fp-22, -0x1.aa8324b62b3f7p-22, -0x1.c66d10c520debp-22, -0x1.e105c67e6223dp-22, -0x1.fa56d2e25cea2p-22, -0x1.0934de04279bp-21, -0x1.14a40621cc623p-21, -0x1.1f7d9ca8f7793p-21, -0x1.29c63cf79b777p-21, -0x1.33825525dbce5p-21, -0x1.3cb62577a17c6p-21, -0x1.4565c4602ab29p-21, -0x1.4d9520fc7f696p-21, -0x1.554810a068003p-21, -0x1.5c82774699568p-21, -0x1.63487076e7826p-21, -0x1.699e31d34c5cp-21, -0x1.6f87aa842c731p-21, -0x1.75083eca5f93ap-21, -0x1.7a22e5135a00dp-21, -0x1.7eda886d562acp-21, -0x1.83323b0b5d2d2p-21, -0x1.872d07bc08fd6p-21, -0x1.8acdf3516e368p-21, -0x1.8e182d337febdp-21, -0x1.910edabbdc947p-21, -0x1.93b4c6ec9e0b5p-21, -0x1.960c896e82162p-21, -0x1.9818cde7d38c2p-21, -0x1.99dc507f07737p-21, -0x1.9b59a5b44e09ep-21, -0x1.9c947ea6dc916p-21, -0x1.9d8c40b64c3fp-21, -0x1.9e46271eb7e68p-21, -0x1.9ec38f98ec884p-21, -0x1.9f069c43b9a03p-21, -0x1.9f11627e73ee9p-21, -0x1.9ee5ee762b41cp-21, -0x1.9e8646cf4ea4fp-21, -0x1.9df46ca67eaaep-21, -0x1.9d3259b5f6901p-21, -0x1.9c41ff7dcbe89p-21, -0x1.9b254640f92dfp-21, -0x1.99de07ea81d4ap-21, -0x1.986e064b90fdep-21, -0x1.96d6e3f0eb6efp-21, -0x1.951a2c6647b88p-21, -0x1.933970682d0e8p-21, -0x1.91365eaac0dddp-21, -0x1.8f12bceb818a2p-21, -0x1.8ccff870e3f9ap-21, -0x1.8a6f451b43815p-21, -0x1.87f1d2844810bp-21, -0x1.8559108767d73p-21, -0x1.82a68b62841fcp-21, -0x1.7fdb965c88ab6p-21, -0x1.7cf97e325f77p-21, -0x1.7a018b627607dp-21, -0x1.76f4d1464a8bdp-21, -0x1.73d464ec7ae7cp-21, -0x1.70a1740a3b46fp-21, -0x1.6d5d214fb3e02p-21, -0x1.6a08788edca06p-21, -0x1.66a47808ac34p-21, -0x1.633215b1d392ep-21, -0x1.5fb241edc98e3p-21, -0x1.5c25eab91f0fp-21, -0x1.588df77d2ea7fp-21, -0x1.54eb46229a8b7p-21, -0x1.513eac0b56bf6p-21, -0x1.4d88f78af83c8p-21, -0x1.49caf0b9e891cp-21, -0x1.46055a9cfde5p-21, -0x1.4238f4ad8dc25p-21, -0x1.3e667bc2f9503p-21, -0x1.3a8eaab97bad5p-21, -0x1.36b241dc75f71p-21, -0x1.32d1d842113p-21, -0x1.2eee2b4869fc6p-21, -0x1.2b07d2c1e9423p-21, -0x1.271f5ae07c043p-21, -0x1.23354a5076e25p-21, -0x1.1f4a2d63957efp-21, -0x1.1b5e98ba8f04ap-21, -0x1.177317f77d73dp-21, -0x1.138823b63d086p-21, -0x1.0f9e283519286p-21, -0x1.0bb592d97c2bep-21, -0x1.07cef0125fdbap-21, -0x1.03eac9e50099cp-21, -0x1.0009886b8bea4p-21, -0x1.f857160aedcf2p-22, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.9e43ce541b107p-4, 0x1.82ff9df6f1563p-3, 0x1.07de7b300965bp-2, 0x1.396f72a08beb2p-2, 0x1.57758f3cd78e1p-2, 0x1.648186ac071c4p-2, 0x1.63b70ac7e8748p-2, 0x1.5854e83096f41p-2, 0x1.45699bb8ff976p-2, 0x1.2da8374b31d9dp-2, 0x1.13548a358e37fp-2, 0x1.f07f144cb9dcp-3, 0x1.bb9bc907b97c5p-3, 0x1.8a08503d72d7bp-3, 0x1.5d2ac3882cb96p-3, 0x1.35e3bb7be688fp-3, 0x1.14a9c3f4e67d6p-3, 0x1.f342ea516cc23p-4, 0x1.c963a8d816ba7p-4, 0x1.ab2a3ceb42b9fp-4, 0x1.97ccaaa35742cp-4, 0x1.8e5800613988ep-4, 0x1.8dc11cab6279fp-4, 0x1.94f193194be61p-4, 0x1.a2d172f9ab86ep-4, 0x1.b64e94892e827p-4, 0x1.ce61f2a532d9p-4, 0x1.ea137b7aa9ba5p-4, 0x1.043e55ff88accp-3, 0x1.14651beef1e06p-3, 0x1.251e78ac61819p-3, 0x1.36150cd83a32dp-3, 0x1.46fd9d2e56cdfp-3, 0x1.5796d08bc3fd9p-3, 0x1.67a8ca05daea4p-3, 0x1.7704a7f43b96bp-3, 0x1.8583ef72ba7f3p-3, 0x1.9307eac7bbc84p-3, 0x1.9f79002c5dc6cp-3, 0x1.aac60599808cp-3, 0x1.b4e3956e8968p-3, 0x1.bdcb6704e7887p-3, 0x1.c57bad92acf1ep-3, 0x1.cbf67f25dd3a1p-3, 0x1.d141450018ae9p-3, 0x1.d564362e7f755p-3, 0x1.d869dcde15c0bp-3, 0x1.da5ea6a201053p-3, 0x1.db507f9b6ad53p-3, 0x1.db4e784c3abd4p-3, 0x1.da6875a62c2c2p-3, 0x1.d8aeeacf2c50bp-3, 0x1.d6329bf54be57p-3, 0x1.d3046980b2b31p-3, 0x1.cf3522f1a6396p-3, 0x1.cad560cfd6748p-3, 0x1.c5f564e1b9108p-3, 0x1.c0a50004d0358p-3, 0x1.baf37cf2160a1p-3, 0x1.b4ef8f2d595e8p-3, 0x1.aea74622db729p-3, 0x1.a828037b65cfap-3, 0x1.a17e74ba8318ap-3, 0x1.9ab68f07eaa4ep-3, 0x1.93db8d01d4642p-3, 0x1.8cf7ee2acba68p-3, 0x1.861578333d146p-3, 0x1.7f3d3962f225ep-3, 0x1.78778d0251217p-3, 0x1.71cc1f9360453p-3, 0x1.6b41f440be7dep-3, 0x1.64df6a42731cbp-3, 0x1.5eaa42a3fe03cp-3, 0x1.58a7a684478fcp-3, 0x1.52dc2e21c9d8fp-3, 0x1.4d4be783c371ap-3, 0x1.47fa5dcb78b73p-3, 0x1.42ea9fdea79fap-3, 0x1.3e1f47286ee4fp-3, 0x1.399a7dd80d96cp-3, 0x1.355e054288ddap-3, 0x1.316b3c02adaf2p-3, 0x1.2dc3242b004fap-3, 0x1.2a6669571bc56p-3, 0x1.275566a09474p-3, 0x1.24902c601686ep-3, 0x1.221685b5c75ep-3, 0x1.1fe7fdd1f92eap-3, 0x1.1e03e50832435p-3, 0x1.1c6955aae4487p-3, 0x1.1b1738bd6c43p-3, 0x1.1a0c4a7db23cdp-3, 0x1.19471ec447434p-3, 0x1.18c62540f451cp-3, 0x1.1887ad877350fp-3, 0x1.1889eaee180bp-3, 0x1.18caf8398aaccp-3, 0x1.1948db0fd19aep-3, 0x1.1a0187366337cp-3, 0x1.1af2e198d1b95p-3, 0x1.1c1ac31a7eef7p-3, 0x1.1d76fb36d5ab8p-3, 0x1.1f05527241e2bp-3, 0x1.20c38c9ec98bp-3, 0x1.22af6af75c14cp-3, 0x1.24c6ae14c7b1dp-3, 0x1.270717bb698e4p-3, 0x1.296e6c87258d1p-3, 0x1.2bfa75730ac9ep-3, 0x1.2ea9013ff4d1dp-3, 0x1.3177e5ba5830ep-3, 0x1.346500df424p-3, 0x1.376e39e5a2e61p-3, 0x1.3a918226316cfp-3, 0x1.3dccd5ece6c44p-3, 0x1.411e3d2c62c94p-3, 0x1.4483cc1b32a23p-3, 0x1.47fba3bb4594dp-3, 0x1.4b83f248cfc68p-3, 0x1.4f1af39a65c9bp-3, 0x1.52bef169110f8p-3, 0x1.566e4389d490bp-3, 0x1.5a275016ac4cep-3, 0x1.5de88b8425a34p-3, 0x1.61b078ac805ffp-3, 0x1.657da8c916c43p-3, 0x1.694ebb6141f2cp-3, 0x1.6d225e2deeb0ap-3, 0x1.70f74ced74a7bp-3, 0x1.74cc5137cd8a5p-3, 0x1.78a0424557aa2p-3, 0x1.7c7204a80294dp-3, 0x1.80408a10340a7p-3, 0x1.840ad1018eb3ap-3, 0x1.87cfe47ca79ffp-3, 0x1.8b8edbb9d756ep-3, 0x1.8f46d9d6daf8p-3, 0x1.92f70d76f0f95p-3, 0x1.969eb07672292p-3, 0x1.9a3d07979df1p-3, 0x1.9dd1621c1d59p-3, 0x1.a15b19720bfcp-3, 0x1.a4d990e38da78p-3, 0x1.a84c352e9449cp-3, 0x1.abb27c2a563dcp-3, 0x1.af0be47a7dbefp-3, 0x1.b257f52ea2eddp-3, 0x1.b5963d602cceap-3, 0x1.b8c653e7e08dap-3, 0x1.bbe7d70c81b51p-3, 0x1.befa6c20e7126p-3, 0x1.c1fdbf3732f66p-3, 0x1.c4f182df7584fp-3, 0x1.c7d56fd32ab7cp-3, 0x1.caa944a2d7188p-3, 0x1.cd6cc57d0fd4ep-3, 0x1.d01fbbf1634a7p-3, 0x1.d2c1f6a13a432p-3, 0x1.d55348ff7dc19p-3, 0x1.d7d38b26003f2p-3, 0x1.da42999d33083p-3, 0x1.dca055150e3d4p-3, 0x1.deeca2334120cp-3, 0x1.e12769728f8f9p-3, 0x1.e35096f110619p-3, 0x1.e5681a314baf2p-3, 0x1.e76de5f015872p-3, 0x1.e961f00c994c4p-3, 0x1.eb4431603a828p-3, 0x1.ed14a5868a614p-3, 0x1.eed34ab5f7569p-3, 0x1.f08021ae291c7p-3, 0x1.f21b2d9d214cfp-3, 0x1.f3a473f048662p-3, 0x1.f51bfc2bef98ap-3, 0x1.f681cfdaf5d6ap-3, 0x1.f7d5fa8247cf2p-3, 0x1.f9188980bf952p-3, 0x1.fa498be68f8fp-3, 0x1.fb69125eae8c7p-3, 0x1.fc772f29d8d35p-3, 0x1.fd73f612ae6efp-3, 0x1.fe5f7c4dc3382p-3, 0x1.ff39d85aa8ac9p-3, 0x1.000190fc7726cp-2, 0x1.005db914a4965p-2, 0x1.00b171913dd4ap-2, 0x1.00fcc81a8720cp-2, 0x1.013fcad96242fp-2, 0x1.017a8874fd406p-2, 0x1.01ad101519fa9p-2, 0x1.01d7715dd838ep-2, 0x1.01f9bc637dc4dp-2, 0x1.021401a002a43p-2, 0x1.022651f187796p-2, 0x1.0230be9d53a71p-2, 0x1.0233594da10b1p-2, 0x1.022e3407f2f8fp-2, 0x1.022161236154bp-2, 0x1.020cf345ecacfp-2, 0x1.01f0fd66e584dp-2, 0x1.01cd92cf14c9ep-2, 0x1.01a2c712792e4p-2, 0x1.0170ae079b771p-2, 0x1.01375bc2a5f6bp-2, 0x1.00f6e495b5798p-2, 0x1.00af5d1259a96p-2, 0x1.0060da074f311p-2, 0x1.000b707a3a026p-2, 0x1.ff5e6b4272b11p-3, 0x1.fe987dc044a18p-3, 0x1.fdc5439234925p-3, 0x1.fce4e83a305cap-3, 0x1.fbf79792712b8p-3, 0x1.fafd7dc279377p-3, 0x1.f9f6c7350365fp-3, 0x1.f8e3a0941503ep-3, 0x1.f7c436c9c8f5fp-3, 0x1.f698b700249edp-3, 0x1.f5614e9bad9b9p-3, 0x1.f41e2b32202e1p-3, 0x1.f2cf7a82c7782p-3, 0x1.f1756a73b17afp-3, 0x1.f01029115e2a7p-3, 0x1.ee9fe48cd0352p-3, 0x1.ed24cb35e44c8p-3, 0x1.eb9f0b744ebdfp-3, 0x1.ea0ed3c307cfp-3, 0x1.e87452ae9bda1p-3, 0x1.e6cfb6d38c215p-3, 0x1.e5212ed9b4218p-3, 0x1.e368e96da70bbp-3, 0x1.e1a7153bc0a67p-3, 0x1.dfdbe0eeeb48cp-3, 0x1.de077b315b356p-3, 0x1.dc2a12aa9312p-3, 0x1.da43d5f85b57cp-3, 0x1.d854f3a5a2153p-3, 0x1.d65d9a2532178p-3, 0x1.d45df7d2f236fp-3, 0x1.d2563af85a30fp-3, 0x1.d04691cd415dep-3, 0x1.ce2f2a70ff78bp-3, 0x1.cc1032de4733ep-3, 0x1.c9e9d8e1ae056p-3, 0x1.c7bc4a1929f81p-3, 0x1.c587b3fb42b13p-3, 0x1.c34c43ddfb36dp-3, 0x1.c10a26f565c6fp-3, 0x1.bec18a484b5fbp-3, 0x1.bc729aa168108p-3, 0x1.ba1d84870d20ep-3, 0x1.b7c2743e5da86p-3, 0x1.b56195d641debp-3, 0x1.b2fb152ff393bp-3, 0x1.b08f1dfcd5ca8p-3, 0x1.ae1ddbb126e05p-3, 0x1.aba779739beefp-3, 0x1.a92c221452265p-3, 0x1.a6ac00108e73dp-3, 0x1.a4273d9f973f6p-3, 0x1.a19e04be01749p-3, 0x1.9f107f2e6696bp-3, 0x1.9c7ed66d65288p-3, 0x1.99e933a00127dp-3, 0x1.974fbf871514ep-3, 0x1.94b2a27f57395p-3, 0x1.9212048cfdc61p-3, 0x1.8f6e0d6a6c841p-3, 0x1.8cc6e48f60932p-3, 0x1.8a1cb12b0da45p-3, 0x1.876f9a140a49p-3, 0x1.84bfc5b750858p-3, 0x1.820d5a1030e47p-3, 0x1.7f587cad66869p-3, 0x1.7ca152bf70626p-3, 0x1.79e80126ce5e4p-3, 0x1.772cac78fda04p-3, 0x1.746f78f8be507p-3, 0x1.71b08a85a0e89p-3, 0x1.6ef0048be2ad5p-3, 0x1.6c2e09fd4b9cdp-3, 0x1.696abd5689be6p-3, 0x1.66a640ad6f1d5p-3, 0x1.63e0b5bf8c1ffp-3, 0x1.611a3df8d674p-3, 0x1.5e52fa6e70ee6p-3, 0x1.5b8b0bd0497f8p-3, 0x1.58c29258d4404p-3, 0x1.55f9adc342516p-3, 0x1.53307d4cd563p-3, 0x1.50671fc031236p-3, 0x1.4d9db3846fd9dp-3, 0x1.4ad456a81afe9p-3, 0x1.480b26e2653fdp-3, 0x1.4542418a24a73p-3, 0x1.4279c386ef41p-3, 0x1.3fb1c9438a695p-3, 0x1.3cea6ea7d6c52p-3, 0x1.3a23cf1d02428p-3, 0x1.375e0599834bbp-3, 0x1.34992caf2660dp-3, 0x1.31d55e949c49dp-3, 0x1.2f12b52635717p-3, 0x1.2c5149ddac828p-3, 0x1.299135c4ddd5ep-3, 0x1.26d2916959e6dp-3, 0x1.241574d620ea3p-3, 0x1.2159f7961c209p-3, 0x1.1ea030bdfb318p-3, 0x1.1be836f931f99p-3, 0x1.193220949f53bp-3, 0x1.167e038294008p-3, 0x1.13cbf556d1067p-3, 0x1.111c0b3c73ccap-3, 0x1.0e6e59ea227dbp-3, 0x1.0bc2f59955572p-3, 0x1.0919f20417659p-3, 0x1.0673626a02d53p-3, 0x1.03cf599a63ca3p-3, 0x1.012de9ffa3528p-3, 0x1.fd1e4b4fa0b07p-4, 0x1.f7e63c8e946b8p-4, 0x1.f2b3ca69c105p-4, 0x1.ed8716c27d615p-4, 0x1.e860429a495dap-4, 0x1.e33f6e047d5c4p-4, 0x1.de24b8224c29ap-4, 0x1.d9103f2a86e6cp-4, 0x1.d4022079f4759p-4, 0x1.cefa78a6f8d61p-4, 0x1.c9f96391f55e6p-4, 0x1.c4fefc6d79b7bp-4, 0x1.c00b5dbc19b6fp-4, 0x1.bb1ea145640ebp-4, 0x1.b638e006b979p-4, 0x1.b15a3225b8803p-4, 0x1.ac82aee93e9c5p-4, 0x1.a7b26cbb3de99p-4, 0x1.a2e98132b081p-4, 0x1.9e2801227cb3p-4, 0x1.996e00a8f4981p-4, 0x1.94bb933bc7961p-4, 0x1.9010cbad564ccp-4, 0x1.8b6dbc2a4c70ep-4, 0x1.86d276315f18cp-4, 0x1.823f0a885e589p-4, 0x1.7db3893303c7p-4, 0x1.7930016eb34a9p-4, 0x1.74b481b48fcacp-4, 0x1.704117c13d858p-4, 0x1.6bd5d0a005ed8p-4, 0x1.6772b8b6bb4a3p-4, 0x1.6317dbcf9721bp-4, 0x1.5ec5451f0adf4p-4, 0x1.5a7aff4484548p-4, 0x1.56391446a4925p-4, 0x1.51ff8d8cd634bp-4, 0x1.4dce73d8f8cb4p-4, 0x1.49a5cf43a72d2p-4, 0x1.4585a73c8648fp-4, 0x1.416e028e9adc1p-4, 0x1.3d5ee76780fa9p-4, 0x1.39585b5fdfe5fp-4, 0x1.355a6383899fap-4, 0x1.31650457f2afdp-4, 0x1.2d7841e010c33p-4, 0x1.29941f9d32b31p-4, 0x1.25b8a08d290cfp-4, 0x1.21e5c7271814ep-4, 0x1.1e1b955858352p-4, 0x1.1a5a0c83210e1p-4, 0x1.16a12d7fd0264p-4, 0x1.12f0f8a0a918dp-4, 0x1.0f496db725cfbp-4, 0x1.0baa8c19fcd27p-4, 0x1.081452aaddb18p-4, 0x1.0486bfdb54e27p-4, 0x1.0101d1b068bf1p-4, 0x1.fb0b0b895a50ep-5, 0x1.f423b2917810dp-5, 0x1.ed4d9204ee4b7p-5, 0x1.e688a297caaeep-5, 0x1.dfd4dc2530d31p-5, 0x1.d93235b0e33c1p-5, 0x1.d2a0a56c00282p-5, 0x1.cc2020bc5adedp-5, 0x1.c5b09c4521d8p-5, 0x1.bf520bef907f1p-5, 0x1.b90462f2e1357p-5, 0x1.b2c793db1f85cp-5, 0x1.ac9b908ec7884p-5, 0x1.a6804a52f7b69p-5, 0x1.a075b1ce098dfp-5, 0x1.9a7bb708b3201p-5, 0x1.9492496e628e3p-5, 0x1.8eb957cdd7163p-5, 0x1.88f0d05ae0442p-5, 0x1.8338a0b22c8dcp-5, 0x1.7d90b5de99e6dp-5, 0x1.77f8fc5fabc59p-5, 0x1.727160301be48p-5, 0x1.6cf9cccc0663fp-5, 0x1.67922d3679b33p-5, 0x1.623a6bfe703d2p-5, 0x1.5cf27343478c5p-5, 0x1.57ba2cb89b90ep-5, 0x1.529181a94767cp-5, 0x1.4d785af9854ep-5, 0x1.486ea12868284p-5, 0x1.43743c5144da5p-5, 0x1.3e89142dbb022p-5, 0x1.39ad1018c5edep-5, 0x1.34e01712ea376p-5, 0x1.30220fc7231fdp-5, 0x1.2b72e08ff9ca6p-5, 0x1.26d26f7c56cd1p-5, 0x1.2240a253e5a01p-5, 0x1.1dbd5e9b06c2cp-5, 0x1.19488996736a3p-5, 0x1.14e2084e9c39dp-5, 0x1.1089bf92b005cp-5, 0x1.0c3f93fb303cp-5, 0x1.080369ebfff48p-5, 0x1.03d525963027p-5, 0x1.ff6955f38bcc3p-6, 0x1.f743bbcfe0463p-6, 0x1.ef39440b9f9f5p-6, 0x1.e749b59fbe1p-6, 0x1.df74d73b3d373p-6, 0x1.d7ba6f4a63487p-6, 0x1.d01a43fd48a2ep-6, 0x1.c8941b4da6b5bp-6, 0x1.c127bb041b8fbp-6, 0x1.b9d4e8bd5b239p-6, 0x1.b29b69ef8ce0ap-6, 0x1.ab7b03efcb12dp-6, 0x1.a4737bf7aab4cp-6, 0x1.9d84972a0db3bp-6, 0x1.96ae1a9746b11p-6, 0x1.8fefcb403d526p-6, 0x1.89496e1905216p-6, 0x1.82bac80b6874fp-6, 0x1.7c439df9dfb87p-6, 0x1.75e3b4c359b2p-6, 0x1.6f9ad147c8d0fp-6, 0x1.6968b86d5b7b1p-6, 0x1.634d2f261e9bep-6, 0x1.5d47fa759e177p-6, 0x1.5758df764f0ddp-6, 0x1.517fa35e6caep-6, 0x1.4bbc0b83ed852p-6, 0x1.460ddd5f7e4a8p-6, 0x1.4074de8e6d0c4p-6, 0x1.3af0d4d3cbcebp-6, 0x1.358186192b069p-6, 0x1.3026b86fa8844p-6, 0x1.2ae03211bc5e6p-6, 0x1.25adb96665b4p-6, 0x1.208f1505c6c1fp-6, 0x1.1b840bbea7139p-6, 0x1.168c649c2dfebp-6, 0x1.11a7e6eac89c2p-6, 0x1.0cd65a3b71479p-6, 0x1.0817866500b0ap-6, 0x1.036b3383bdf7cp-6, 0x1.fda253efe4574p-7, 0x1.f49264c940bcbp-7, 0x1.eba62b5ecd5dbp-7, 0x1.e2dd3a04aa1a7p-7, 0x1.da37239fbca2bp-7, 0x1.d1b37bb0f2c36p-7, 0x1.c951d661f4077p-7, 0x1.c111c890a35abp-7, 0x1.b8f2e7d6fa2d3p-7, 0x1.b0f4ca8e0d198p-7, 0x1.a91707cb6b2afp-7, 0x1.a159375acccabp-7, 0x1.99baf1b59dccap-7, 0x1.923bcffba696fp-7, 0x1.8adb6bef8a3a6p-7, 0x1.83995ff8bce0fp-7, 0x1.7c75472be4a4fp-7, 0x1.756ebd583f56ap-7, 0x1.6e855f17fc04ap-7, 0x1.67b8c9dfb1ee2p-7, 0x1.61089c09a9da1p-7, 0x1.5a7474d9face4p-7, 0x1.53fbf47a8274bp-7, 0x1.4d9ebbef41b1ap-7, 0x1.475c6d06018fp-7, 0x1.4134aa4531ff3p-7, 0x1.3b2716de8903ep-7, 0x1.353356a986f76p-7, 0x1.2f590e28439b9p-7, 0x1.2997e296a623ap-7, 0x1.23ef7a01c6c44p-7, 0x1.1e5f7b62a9c84p-7, 0x1.18e78eb60140bp-7, 0x1.13875d0b3f9e8p-7, 0x1.0e3e908645eebp-7, 0x1.090cd452680dep-7, 0x1.03f1d488234bdp-7, 0x1.fdda7c160e4a4p-8, 0x1.f3fd7ccc10c63p-8, 0x1.ea4c075cd1269p-8, 0x1.e0c578e70f1fep-8, 0x1.d7692f80a9075p-8, 0x1.ce368a5fcdd85p-8, 0x1.c52cea25f93c6p-8, 0x1.bc4bb140bdc97p-8, 0x1.b392444e73ab3p-8, 0x1.ab000a719ecc3p-8, 0x1.a2946d7fb9005p-8, 0x1.9a4ed9fe3c924p-8, 0x1.922ebeeae4eadp-8, 0x1.8a338d58284c3p-8, 0x1.825cb7ef52ef3p-8, 0x1.7aa9b27001f72p-8, 0x1.7319f14459e3fp-8, 0x1.6bace93d23be3p-8, 0x1.64620f8235c65p-8, 0x1.5d38d9bb90ee3p-8, 0x1.5630be701371cp-8, 0x1.4f49358e7bffep-8, 0x1.4881b90c8640cp-8, 0x1.41d9c58373dd6p-8, 0x1.3b50daaa4542p-8, 0x1.34e67b92020b7p-8, 0x1.2e9a2e91dac6cp-8, 0x1.286b7cdfe517dp-8, 0x1.2259f1e6c2ce3p-8, 0x1.1c651a76f08abp-8, 0x1.168c83fad413ep-8, 0x1.10cfbbd047d77p-8, 0x1.0b2e4ee3d9644p-8, 0x1.05a7c9924c1dp-8, 0x1.003bb7d40adc7p-8, 0x1.f5d34b4ba04dfp-9, 0x1.eb623f44e5361p-9, 0x1.e1236780bd5c4p-9, 0x1.d715e4406f68ap-9, 0x1.cd38dba7e6ab6p-9, 0x1.c38b7afbeb09ep-9, 0x1.ba0cf74bc5c46p-9, 0x1.b0bc8d4f59e68p-9, 0x1.a799806bc0669p-9, 0x1.9ea319008c522p-9, 0x1.95d8a252d4003p-9, 0x1.8d3968853eedcp-9, 0x1.84c4b7054cc68p-9, 0x1.7c79d7b1f38a6p-9, 0x1.745812c5975b1p-9, 0x1.6c5eaf5d0bacp-9, 0x1.648cf459a7048p-9, 0x1.5ce22964c0384p-9, 0x1.555d97f45cbe4p-9, 0x1.4dfe8c54c818ap-9, 0x1.46c456c1ef06bp-9, 0x1.3fae4c9124028p-9, 0x1.38bbc945e0316p-9, 0x1.31ec2f4ce66e9p-9, 0x1.2b3ee80dd152ep-9, 0x1.24b3631c1dbb9p-9, 0x1.1e49148a2df3cp-9, 0x1.17ff72a71d366p-9, 0x1.11d5f3a8dfb92p-9, 0x1.0bcc0bd7248edp-9, 0x1.05e12ca8c06b1p-9, 0x1.0014c4fb260bcp-9, 0x1.f4cc8458f1e0dp-10, 0x1.e9aa233ae6608p-10, 0x1.dec14419a2c0bp-10, 0x1.d410c8d6232efp-10, 0x1.c99798351bf7cp-10, 0x1.bf549dc4fed58p-10, 0x1.b546ca05c1944p-10, 0x1.ab6d1380cfd99p-10, 0x1.a1c678edd18e2p-10, 0x1.985203d8d0c03p-10, 0x1.8f0ecacac2b2p-10, 0x1.85fbf1e907bcfp-10, 0x1.7d18a96813e3ep-10, 0x1.746429df7c9fbp-10, 0x1.6bddaf57915eep-10, 0x1.638474718354ep-10, 0x1.5b57af21f5bfdp-10, 0x1.53568ff79f7a9p-10, 0x1.4b804403e3b67p-10, 0x1.43d3f880573dep-10, 0x1.3c50de989ac74p-10, 0x1.34f62db5dc0afp-10, 0x1.2dc3234fd6658p-10, 0x1.26b7006dfc40ap-10, 0x1.1fd1061a073d4p-10, 0x1.1910728e9fba8p-10, 0x1.12748098b09e2p-10, 0x1.0bfc69a5f9133p-10, 0x1.05a769da3c9fep-10, 0x1.fee98976fd271p-11, 0x1.f2c7919a0205ap-11, 0x1.e6e7a1aee01abp-11, 0x1.db4884c160d62p-11, 0x1.cfe9139ce2509p-11, 0x1.c4c82b0a77fep-11, 0x1.b9e4a3594d009p-11, 0x1.af3d4c0600d21p-11, 0x1.a4d0ecd2997f2p-11, 0x1.9a9e4bc613c7p-11, 0x1.90a435eafac89p-11, 0x1.86e18799beffp-11, 0x1.7d5530fb6485bp-11, 0x1.73fe3485e4ce9p-11, 0x1.6adb9f6e3135fp-11, 0x1.61ec7ebfde3aep-11, 0x1.592fd5966a1a5p-11, 0x1.50a498b0878a2p-11, 0x1.4849b12704d5bp-11, 0x1.401e04d1cd2fep-11, 0x1.382080c659dc5p-11, 0x1.3050222871595p-11, 0x1.28abfad1bffeap-11, 0x1.213330ec6c0fap-11, 0x1.19e4fa0ab37b9p-11, 0x1.12c0939903d55p-11, 0x1.0bc53b50f6a0ap-11, 0x1.04f22a1254c9p-11, 0x1.fc8d2458f385bp-12, 0x1.ef834176583eep-12, 0x1.e2c502326ebd5p-12, 0x1.d650c3250e745p-12, 0x1.ca24f1188b867p-12, 0x1.be40119f2d411p-12, 0x1.b2a0c5e89149cp-12, 0x1.a745c46e0328dp-12, 0x1.9c2dc9b7a3e02p-12, 0x1.915785b758132p-12, 0x1.86c18ea02e295p-12, 0x1.7c6a606276508p-12, 0x1.7250694c49762p-12, 0x1.68721ccc3c15bp-12, 0x1.5ece02f351481p-12, 0x1.5562bfd425684p-12, 0x1.4c2f146287471p-12, 0x1.4331dc77ddc15p-12, 0x1.3a6a0b1e4bcc3p-12, 0x1.31d6a47b9d1b9p-12, 0x1.2976b61f2e6bfp-12, 0x1.2149501b30b56p-12, 0x1.194d806ca3966p-12, 0x1.1182506fbf346p-12, 0x1.09e6c3bb13dadp-12, 0x1.0279d8807cdebp-12, 0x1.f675139a0219fp-13, 0x1.e84fa6c73b765p-13, 0x1.da816ca8a9524p-13, 0x1.cd087a05ee0afp-13, 0x1.bfe2f9a450ccfp-13, 0x1.b30f2736bcff4p-13, 0x1.a68b41b21b484p-13, 0x1.9a557bb7e574cp-13, 0x1.8e6bf5a99af62p-13, 0x1.82ccc8bb8985fp-13, 0x1.77761c54eaed3p-13, 0x1.6c6633056c087p-13, 0x1.619b631dcbdb7p-13, 0x1.571406367aba5p-13, 0x1.4cce773e7f2bep-13, 0x1.42c926fb0fda2p-13, 0x1.3902b29a5b325p-13, 0x1.2f79e4fb82b44p-13, 0x1.262da1b89f62ep-13, 0x1.1d1cc8ef79c5ep-13, 0x1.1446265218841p-13, 0x1.0ba8741847126p-13, 0x1.03426d280e595p-13, 0x1.f625bdc00c2e7p-14, 0x1.e63156b26d6fap-14, 0x1.d6a576f32b8b1p-14, 0x1.c77fdea79e9ddp-14, 0x1.b8be3801a2564p-14, 0x1.aa5e313bea857p-14, 0x1.9c5d9e370e907p-14, 0x1.8eba86d937325p-14, 0x1.8173163bbfea8p-14, 0x1.7485735966f87p-14, 0x1.67ef9ca4baa9cp-14, 0x1.5baf63033bbabp-14, 0x1.4fc28855be3edp-14, 0x1.4426dc1e7c365p-14, 0x1.38da2971d5ce8p-14, 0x1.2dda076e3ade4p-14, 0x1.2323dd9310c9p-14, 0x1.18b5432dee1fep-14, 0x1.0e8c6a831c37fp-14, 0x1.04a8274dd65acp-14, 0x1.f60f0db8fd8bdp-15, 0x1.e352b1d0eedffp-15, 0x1.d1180fcba2139p-15, 0x1.bf5ba338429eap-15, 0x1.ae1a4413171cdp-15, 0x1.9d517d0d9a2ebp-15, 0x1.8cff47ed1da8dp-15, 0x1.7d2184aea92cep-15, 0x1.6db5a17cddc38p-15, 0x1.5eb89c0626472p-15, 0x1.50273ac72fcfep-15, 0x1.41fe52332c243p-15, 0x1.343afd94b556ep-15, 0x1.26dac20b6a0a9p-15, 0x1.19db94773c9e4p-15, 0x1.0d3bba7bc4123p-15, 0x1.00f988378ec82p-15, 0x1.ea2635e3d093p-16, 0x1.d30c98df71c5dp-16, 0x1.bca1e992c8cb5p-16, 0x1.a6e24986cb625p-16, 0x1.91c9c09158773p-16, 0x1.7d53138b34571p-16, 0x1.6977da0220563p-16, 0x1.56328b152da01p-16, 0x1.43803a2647b84p-16, 0x1.315fa54e27b96p-16, 0x1.1fcea9da0d427p-16, 0x1.0ec900bd36903p-16, 0x1.fc92a24d45b67p-17, 0x1.dc9644cdcf85dp-17, 0x1.bd973d480d7e1p-17, 0x1.9f91684a81384p-17, 0x1.827fd780bebb8p-17, 0x1.665c320ab21c3p-17, 0x1.4b1f6a75b24f5p-17, 0x1.30c27773ed6aap-17, 0x1.173e8f9ee59ap-17, 0x1.fd1a5066112aap-18, 0x1.cd500da27aa2p-18, 0x1.9f12f0d958797p-18, 0x1.72591ee928ffp-18, 0x1.471a82f8d424p-18, 0x1.1d5088938d4e4p-18, 0x1.e9ea488b8be1cp-19, 0x1.9c027b7bdc78bp-19, 0x1.50d6b2debbe35p-19, 0x1.0850285358004p-19, 0x1.84b2e9cbdb9b6p-20, 0x1.fb8949467b63fp-21, 0x1.eedbee7fa1b2p-22, -0x1.a2310c9dc3cefp-28, -0x1.e9ec615d5bd5p-22, -0x1.dde5227c7c489p-21, -0x1.5f0a54fe40a52p-20, -0x1.cac8117e2f4dbp-20, -0x1.1927fe1432be6p-19, -0x1.4aeaec7315807p-19, -0x1.7abf24ed84bbdp-19, -0x1.a8ad55f6f5a5bp-19, -0x1.d4be8e307a92cp-19, -0x1.ff019b7f90486p-19, -0x1.13c3e67a0841fp-18, -0x1.27306606d50a2p-18, -0x1.39ccc25ba5767p-18, -0x1.4b9e7a691acb4p-18, -0x1.5caaa1054610bp-18, -0x1.6cf63a502e7d3p-18, -0x1.7c865fa2c13bep-18, -0x1.8b6035167de32p-18, -0x1.9988c94969dd1p-18, -0x1.a704fab7ffbd7p-18, -0x1.b3d96ae87c3e6p-18, -0x1.c00a765aa2aa1p-18, -0x1.cb9c3a30abb1dp-18, -0x1.d692de460e10ap-18, -0x1.e0f3459264bc6p-18, -0x1.eac394d091f91p-18, -0x1.f40a7341361e9p-18, -0x1.fccd03c570659p-18, -0x1.0286cbf5140d8p-17, -0x1.0666c60566c93p-17, -0x1.0a08aedf464cbp-17, -0x1.0d6febd104eb5p-17, -0x1.109df6a255292p-17, -0x1.1393138c6386dp-17, -0x1.16519a4ecce91p-17, -0x1.18dcd0f7adfc2p-17, -0x1.1b35dfba8b53ep-17, -0x1.1d5cc9fd116e4p-17, -0x1.1f52a79753c0ep-17, -0x1.21195f9c520e7p-17, -0x1.22b2ba5c90202p-17, -0x1.24204affae2b8p-17, -0x1.25639ee3fc573p-17, -0x1.267e57a71afcep-17, -0x1.277206afc392bp-17, -0x1.28401f0ef2754p-17, -0x1.28e9f132c1213p-17, -0x1.2970b42e42562p-17, -0x1.29d59144c06cap-17, -0x1.2a19ab8b4f7b9p-17, -0x1.2a3e239af8edep-17, -0x1.2a44191ccce74p-17, -0x1.2a2ca94e5e00dp-17, -0x1.29f8e76b05ef2p-17, -0x1.29a9cf4ae0582p-17, -0x1.29403ccc5b0a6p-17, -0x1.28bcfe2674bd2p-17, -0x1.28210750b7bb5p-17, -0x1.276d8ff1cd973p-17, -0x1.26a3d07271011p-17, -0x1.25c474f387b98p-17, -0x1.24cf53ad0af19p-17, -0x1.23c450656235fp-17, -0x1.22a50da2768a9p-17, -0x1.2173ab6475ecep-17, -0x1.20308e920f708p-17, -0x1.1edc87511e417p-17, -0x1.1d78e3943cd64p-17, -0x1.1c059fec4c263p-17, -0x1.1a830f87fe62dp-17, -0x1.18f2724bad49ep-17, -0x1.1754be7e1327bp-17, -0x1.15aa5d37bbdcfp-17, -0x1.13f39bfd25102p-17, -0x1.123102ac9da55p-17, -0x1.1063501349f43p-17, -0x1.0e8b32504a40ap-17, -0x1.0ca90c3ffdac6p-17, -0x1.0abd0fac00bccp-17, -0x1.08c78a627f9cap-17, -0x1.06c9097e9f767p-17, -0x1.04c23ce292943p-17, -0x1.02b3cd372fb4ep-17, -0x1.009e49a252daep-17, -0x1.fd04561ab5a1cp-18, -0x1.f8bfbbd715cd5p-18, -0x1.f46f930739236p-18, -0x1.f014a498de0d9p-18, -0x1.ebafb2151c869p-18, -0x1.e7416aa6bbcfbp-18, -0x1.e2ca6552a2943p-18, -0x1.de4b3241480a6p-18, -0x1.d9c484ed2558fp-18, -0x1.d5373e0c6e28ap-18, -0x1.d0a434738fe54p-18, -0x1.cc0bed205159bp-18, -0x1.c76e419209c41p-18, -0x1.c2cad5cda2bb5p-18, -0x1.be236038693e9p-18, -0x1.b979ee4b3dd49p-18, -0x1.b4ceed0a2f179p-18, -0x1.b0228b14d35bfp-18, }}, 
      {{-0x1.8208f7177deefp-1, -0x1.55f891c44da08p-1, -0x1.21215922502a8p-1, -0x1.d8fb795c85c8ap-2, -0x1.79857d4bf2fbdp-2, -0x1.2800a0be9daf6p-2, -0x1.cad038ef0067dp-3, -0x1.61e7d4d80f027p-3, -0x1.11ee319672efdp-3, -0x1.ada1168e59b8ap-4, -0x1.58ca6604cb80ep-4, -0x1.1d8d6bfa68c75p-4, -0x1.ea0937e2ae0a8p-5, -0x1.b2aa796253b03p-5, -0x1.8b66c4c24702dp-5, -0x1.6ca5476070e7cp-5, -0x1.509921fef05f1p-5, -0x1.330561a9c1419p-5, -0x1.10ff136bcac3ap-5, -0x1.d1633d3ec36dcp-6, -0x1.724f865536071p-6, -0x1.0434f1b4c4551p-6, -0x1.0f18c8ba44287p-7, 0x1.3979c61d31ca2p-13, 0x1.3020363714782p-7, 0x1.374196df32df3p-6, 0x1.ddd4b7ca0de79p-6, 0x1.44c615d0e7cfap-5, 0x1.9c1b88dfb47cp-5, 0x1.f3e0e2e2b10f6p-5, 0x1.25905e91c5f15p-4, 0x1.507ee82e87344p-4, 0x1.7a5a7f4bbb63ep-4, 0x1.a2cf094edca36p-4, 0x1.c995c2f47395dp-4, 0x1.ee74c8177a251p-4, 0x1.089f2dde17cc7p-3, 0x1.18e803355f5f9p-3, 0x1.2808ce1b889cfp-3, 0x1.35fa1be7cf063p-3, 0x1.42b89a449d5cfp-3, 0x1.4e4497481efcbp-3, 0x1.58a18715159adp-3, 0x1.61d5909ab7177p-3, 0x1.69e92264c7114p-3, 0x1.70e68ff2fab21p-3, 0x1.76d9b7b73c12ap-3, 0x1.7bcfb19b9a5b9p-3, 0x1.7fd685c79d6b4p-3, 0x1.82fceb433432fp-3, 0x1.85520e042f328p-3, 0x1.86e55be4527ep-3, 0x1.87c657f75cc16p-3, 0x1.880473bb5a751p-3, 0x1.87aeedae5747dp-3, 0x1.86d4b4e671139p-3, 0x1.8584512c0cf25p-3, 0x1.83cbcf205136bp-3, 0x1.81b8aff2acad4p-3, 0x1.7f57dc3bbc218p-3, 0x1.7cb59a0e02992p-3, 0x1.79dd85b4262bdp-3, 0x1.76da8d10b1de9p-3, 0x1.73b6ecc8c483dp-3, 0x1.707c2f1008a31p-3, 0x1.6d332bdcdcf12p-3, 0x1.69e40acb9ce15p-3, 0x1.6696464747d09p-3, 0x1.6350b06144c57p-3, 0x1.601977c71638fp-3, 0x1.5cf62d9111fedp-3, 0x1.59ebcb10c2facp-3, 0x1.56feb808b37c5p-3, 0x1.5432d167c6f7ep-3, 0x1.518b70c727246p-3, 0x1.4f0b73ce9e2a6p-3, 0x1.4cb5440690c2bp-3, 0x1.4a8ade1f14c3ap-3, 0x1.488dd919044b3p-3, 0x1.46bf6cf1322fp-3, 0x1.45207947bab44p-3, 0x1.43b18bccebcddp-3, 0x1.4272e6b410ffdp-3, 0x1.416487043c03bp-3, 0x1.40862ac2283dep-3, 0x1.3fd756d5a5599p-3, 0x1.3f575c9fbd4dcp-3, 0x1.3f055f36e0efep-3, 0x1.3ee05850659aap-3, 0x1.3ee71cdbc8c4cp-3, 0x1.3f18615cab03fp-3, 0x1.3f72be0bdbefap-3, 0x1.3ff4b2c48af31p-3, 0x1.409caac06e575p-3, 0x1.41690020e338cp-3, 0x1.4257ff4154d4ap-3, 0x1.4367e9d0af6fp-3, 0x1.4496f9ae11f87p-3, 0x1.45e363881ad77p-3, 0x1.474b594119a86p-3, 0x1.48cd0c17ee88bp-3, 0x1.4a66ae9bb2df9p-3, 0x1.4c16766c5b132p-3, 0x1.4dda9dccf9086p-3, 0x1.4fb1650a53aebp-3, 0x1.519913bb4868fp-3, 0x1.538ff9db3f55ap-3, 0x1.559470c2afb0fp-3, 0x1.57a4dbff5eebcp-3, 0x1.59bfaa0e64f58p-3, 0x1.5be354f8101c2p-3, 0x1.5e0e62d2424d7p-3, 0x1.603f66293eef6p-3, 0x1.6274fe4f5ba6bp-3, 0x1.64add79a63711p-3, 0x1.66e8ab8b93897p-3, 0x1.692440e7042f3p-3, 0x1.6b5f6bbc110ddp-3, 0x1.6d990d5e94681p-3, 0x1.6fd014563a59ap-3, 0x1.72037c3e526b8p-3, 0x1.74324d9eefad8p-3, 0x1.765b9dbbcd562p-3, 0x1.787e8e56f2b26p-3, 0x1.7a9a4d719f47cp-3, 0x1.7cae1500a7fd1p-3, 0x1.7eb92a9d5cbd4p-3, 0x1.80badf34bf176p-3, 0x1.82b28eaad56c6p-3, 0x1.849f9f840795bp-3, 0x1.8681828c05bf2p-3, 0x1.8857b27279ef5p-3, 0x1.8a21b3744a4abp-3, 0x1.8bdf1303c724bp-3, 0x1.8d8f676603a7ep-3, 0x1.8f324f5ff76b6p-3, 0x1.90c771e49ab81p-3, 0x1.924e7db6775a6p-3, 0x1.93c72918f0c89p-3, 0x1.95313184b1213p-3, 0x1.968c5b4f1cc1ep-3, 0x1.97d8715d006dfp-3, 0x1.991544ddf1c01p-3, 0x1.9a42acfa4d879p-3, 0x1.9b608685d3769p-3, 0x1.9c6eb3c1e2467p-3, 0x1.9d6d1c14ffe12p-3, 0x1.9e5babbf6285p-3, 0x1.9f3a53a146495p-3, 0x1.a00908fff4621p-3, 0x1.a0c7c540f4f32p-3, 0x1.a17685b12ee3cp-3, 0x1.a2154b5819c3cp-3, 0x1.a2a41abf57e32p-3, 0x1.a322fbb9def1fp-3, 0x1.a391f93dc0fc4p-3, 0x1.a3f1213e2789dp-3, 0x1.a440847789443p-3, 0x1.a48036452f5a8p-3, 0x1.a4b04c876ead5p-3, 0x1.a4d0df819d84bp-3, 0x1.a4e209abfc7bap-3, 0x1.a4e3e793be9dep-3, 0x1.a4d697c8ada6dp-3, 0x1.a4ba3abee3c52p-3, 0x1.a48ef2a5fd5d3p-3, 0x1.a454e34e58656p-3, 0x1.a40c321b7caabp-3, 0x1.a3b505ebce564p-3, 0x1.a34f86f42c9fdp-3, 0x1.a2dbdea6696d6p-3, 0x1.a25a37a6ce843p-3, 0x1.a1cabdbc08154p-3, 0x1.a12d9db0cf8c8p-3, 0x1.a0830539292afp-3, 0x1.9fcb22e7976a5p-3, 0x1.9f062625ac646p-3, 0x1.9e343f1fbc36bp-3, 0x1.9d559ea9e8797p-3, 0x1.9c6a763036c74p-3, 0x1.9b72f7b3436efp-3, 0x1.9a6f55c053503p-3, 0x1.995fc35d43d1dp-3, 0x1.984473f2597bep-3, 0x1.971d9b4190512p-3, 0x1.95eb6d6700155p-3, 0x1.94ae1ed1e8dap-3, 0x1.9365e4314cb88p-3, 0x1.9212f261b49dp-3, 0x1.90b57e6877b11p-3, 0x1.8f4dbd764e2f6p-3, 0x1.8ddbe4e19effdp-3, 0x1.8c602a1513371p-3, 0x1.8adac27fa757ap-3, 0x1.894be390fd41cp-3, 0x1.87b3c2bcad065p-3, 0x1.86129576de167p-3, 0x1.846891263705ep-3, 0x1.82b5eb153faf8p-3, 0x1.80fad86d47de2p-3, 0x1.7f378e38c9bf6p-3, 0x1.7d6c4162dc45bp-3, 0x1.7b9926ae47b15p-3, 0x1.79be72a896b68p-3, 0x1.77dc59a258bb4p-3, 0x1.75f30faeadbb9p-3, 0x1.7402c8a49c745p-3, 0x1.720bb81bc5156p-3, 0x1.700e116351ba1p-3, 0x1.6e0a0778ab112p-3, 0x1.6bffcd030c4e3p-3, 0x1.69ef9453d87c4p-3, 0x1.67d98f6731c8bp-3, 0x1.65bdefe062521p-3, 0x1.639ce702532c5p-3, 0x1.6176a5a88918dp-3, 0x1.5f4b5c44517bfp-3, 0x1.5d1b3add5fd0ap-3, 0x1.5ae671121406cp-3, 0x1.58ad2e14408edp-3, 0x1.566fa0a338a0fp-3, 0x1.542df706ed6eep-3, 0x1.51e85f0e4e15ap-3, 0x1.4f9f060fcc6fdp-3, 0x1.4d5218e8c5cadp-3, 0x1.4b01c3faa2aafp-3, 0x1.48ae3326e25d4p-3, 0x1.465791cc8d6afp-3, 0x1.43fe0ac806fafp-3, 0x1.41a1c872d80acp-3, 0x1.3f42f4a1e98ddp-3, 0x1.3ce1b8a27755cp-3, 0x1.3a7e3d37dfc28p-3, 0x1.3818aa9bbd44bp-3, 0x1.35b1287f4d3efp-3, 0x1.3347de0b738aep-3, 0x1.30dcf1ddcecdcp-3, 0x1.2e708a048d816p-3, 0x1.2c02cbfc7c184p-3, 0x1.2993dcb2eb69ep-3, 0x1.2723e0898576cp-3, 0x1.24b2fb5833d4ap-3, 0x1.2241506a905fbp-3, 0x1.1fcf027a6417fp-3, 0x1.1d5c33aba11b8p-3, 0x1.1ae9058d77baap-3, 0x1.1875991fdce0ap-3, 0x1.16020ed8f7dcap-3, 0x1.138e86a5f1f7ep-3, 0x1.111b1fe64bf35p-3, 0x1.0ea7f9653fe6ep-3, 0x1.0c353156a3739p-3, 0x1.09c2e55a30ab1p-3, 0x1.075132830e2aap-3, 0x1.04e0355e2ec7cp-3, 0x1.027009f2e3941p-3, 0x1.0000cbbd7fac9p-3, 0x1.fb252b508dbd2p-4, 0x1.f64b041050882p-4, 0x1.f1735540a5a2fp-4, 0x1.ec9e5154b94b5p-4, 0x1.e7cc29bc2a0f5p-4, 0x1.e2fd0ee739ecap-4, 0x1.de31303e4016cp-4, 0x1.d968bc1309589p-4, 0x1.d4a3df975714fp-4, 0x1.cfe2c6dfe1d03p-4, 0x1.cb259cf31dbfap-4, 0x1.c66c8bdb2fa03p-4, 0x1.c1b7bcb0b4ed2p-4, 0x1.bd075798ab506p-4, 0x1.b85b83b84ddadp-4, 0x1.b3b46727dfcc4p-4, 0x1.af1226edeb329p-4, 0x1.aa74e707166bfp-4, 0x1.a5dcca76de16fp-4, 0x1.a149f3588045p-4, 0x1.9cbc82e73b8ap-4, 0x1.9834997ac41c2p-4, 0x1.93b2567b5c81fp-4, 0x1.8f35d85604c5dp-4, 0x1.8abf3c78cbb1bp-4, 0x1.864e9f5a89c16p-4, 0x1.81e41c8accb72p-4, 0x1.7d7fcec2596d7p-4, 0x1.7921cfec9cd4cp-4, 0x1.74ca39268e9adp-4, 0x1.707922b521be1p-4, 0x1.6c2ea3f9e565fp-4, 0x1.67ead36d097c6p-4, 0x1.63adc6a125e6p-4, 0x1.5f77924feb9bbp-4, 0x1.5b484a6a5be54p-4, 0x1.57200225a107ep-4, 0x1.52fecbff956cep-4, 0x1.4ee4b9ba3ab8bp-4, 0x1.4ad1dc51e4p-4, 0x1.46c643f3fd6fap-4, 0x1.42c1fffc55ef6p-4, 0x1.3ec51efadf6cap-4, 0x1.3acfaec09ffcep-4, 0x1.36e1bc6ebcf8dp-4, 0x1.32fb5481f6d11p-4, 0x1.2f1c82d6b64a2p-4, 0x1.2b4552a53b6adp-4, 0x1.2775ce78fd23p-4, 0x1.23ae002836b06p-4, 0x1.1fedf0d06cedp-4, 0x1.1c35a8da5889cp-4, 0x1.188530048b156p-4, 0x1.14dc8d71463afp-4, 0x1.113bc7b2d8c42p-4, 0x1.0da2e4d28913cp-4, 0x1.0a11ea506ef8ep-4, 0x1.0688dd1d8e72cp-4, 0x1.0307c193ba0e2p-4, 0x1.ff1d36df08494p-5, 0x1.f83adb9f389f1p-5, 0x1.f16876750b566p-5, 0x1.eaa60b52c57e7p-5, 0x1.e3f39d2910acfp-5, 0x1.dd512dfc24541p-5, 0x1.d6bebeef16233p-5, 0x1.d03c50432a1b1p-5, 0x1.c9c9e14db98ebp-5, 0x1.c367706a73ff7p-5, 0x1.bd14faf10181fp-5, 0x1.b6d27d334ba42p-5, 0x1.b09ff28650f8p-5, 0x1.aa7d5553ca656p-5, 0x1.a46a9f2fc572p-5, 0x1.9e67c8ec8b4dap-5, 0x1.9874caa7a1435p-5, 0x1.92919bcd4dcbep-5, 0x1.8cbe3313793b3p-5, 0x1.86fa866f8e6c8p-5, 0x1.81468b0ca65efp-5, 0x1.7ba23546ce389p-5, 0x1.760d78ae16d42p-5, 0x1.7088481161311p-5, 0x1.6b12958e757c3p-5, 0x1.65ac52a38fc1p-5, 0x1.6055703e48029p-5, 0x1.5b0ddec4a4c09p-5, 0x1.55d58e176ce0fp-5, 0x1.50ac6d8e18575p-5, 0x1.4b926bf007176p-5, 0x1.4687776e3fd76p-5, 0x1.418b7da10b26bp-5, 0x1.3c9e6b8affd17p-5, 0x1.37c02da14a623p-5, 0x1.32f0afd77fb16p-5, 0x1.2e2fddac8e8f1p-5, 0x1.297da23646acfp-5, 0x1.24d9e8298725p-5, 0x1.204499ddf8ac6p-5, 0x1.1bbda14da3ac2p-5, 0x1.1744e811e4eb7p-5, 0x1.12da575ffea7fp-5, 0x1.0e7dd8075fb9ap-5, 0x1.0a2f527306ef4p-5, 0x1.05eeaeae338c2p-5, 0x1.01bbd46b9b68p-5, 0x1.fb2d561be5a78p-6, 0x1.f2fe3360be0fbp-6, 0x1.eaea0e5b5c0cfp-6, 0x1.e2f0b44b03c8ep-6, 0x1.db11f1fdf1cc4p-6, 0x1.d34d93d3289dap-6, 0x1.cba365b77324cp-6, 0x1.c4133324fbd1p-6, 0x1.bc9cc723eaedfp-6, 0x1.b53fec4ddf64fp-6, 0x1.adfc6cd50153dp-6, 0x1.a6d2128eec647p-6, 0x1.9fc0a6ff2baa4p-6, 0x1.98c7f36202e6dp-6, 0x1.91e7c0b60398p-6, 0x1.8b1fd7c3c708bp-6, 0x1.847001235b64fp-6, 0x1.7dd8053f8598cp-6, 0x1.7757ac5739c8fp-6, 0x1.70eebe7e7de99p-6, 0x1.6a9d039fd424p-6, 0x1.6462437f370b9p-6, 0x1.5e3e45bef9f4ap-6, 0x1.5830d1e6335cdp-6, 0x1.5239af67e49ddp-6, 0x1.4c58a5aa138d6p-6, 0x1.468d7c0c6086p-6, 0x1.40d7f9edc8a1p-6, 0x1.3b37e6b1b96cp-6, 0x1.35ad09c402b3fp-6, 0x1.30372a9c012adp-6, 0x1.2ad610bed42b3p-6, 0x1.258983c120c8fp-6, 0x1.20514b48c0791p-6, 0x1.1b2d2f0f74171p-6, 0x1.161cf6e5e9f3ap-6, 0x1.11206ab819e0ap-6, 0x1.0c375291daf17p-6, 0x1.076176a380f8cp-6, 0x1.029e9f462f6fp-6, 0x1.fbdd29ffa3249p-7, 0x1.f2a2410d43de6p-7, 0x1.e98c1588d716cp-7, 0x1.e09a39b2d6b8cp-7, 0x1.d7cc403d61f07p-7, 0x1.cf21bc4ffb96dp-7, 0x1.c69a418a61cedp-7, 0x1.be35640754bedp-7, 0x1.b5f2b85fad823p-7, 0x1.add1d3ae81ea8p-7, 0x1.a5d24b963bb9dp-7, 0x1.9df3b64666d31p-7, 0x1.9635aa819cf82p-7, 0x1.8e97bfa30529bp-7, 0x1.87198da35f9fbp-7, 0x1.7fbaad1d6a477p-7, 0x1.787ab751d4aaap-7, 0x1.7159462aca48bp-7, 0x1.6a55f43f027f7p-7, 0x1.63705cd44abfep-7, 0x1.5ca81be1775bep-7, 0x1.55fcce10274adp-7, 0x1.4f6e10be6085ap-7, 0x1.48fb8200b4e79p-7, 0x1.42a4c0a4c21cap-7, 0x1.3c696c344a2p-7, 0x1.364924f84ef6fp-7, 0x1.30438bfbff8dep-7, 0x1.2a58430f18f9p-7, 0x1.2486ecc7d742p-7, 0x1.1ecf2c8491349p-7, 0x1.1930a66d412a3p-7, 0x1.13aaff7553817p-7, 0x1.0e3ddd5d86abbp-7, 0x1.08e8e6b5dbfbp-7, 0x1.03abc2df2fe9bp-7, 0x1.fd0c3418dcea9p-8, 0x1.f2ef2a85fdd96p-8, 0x1.e8ffbcb5811edp-8, 0x1.df3d3ffb7071ap-8, 0x1.d5a70b4f9132cp-8, 0x1.cc3c774d9c70ep-8, 0x1.c2fcde365861dp-8, 0x1.b9e79bf1d7709p-8, 0x1.b0fc0e1291b73p-8, 0x1.a83993d8be16bp-8, 0x1.9f9f8e3596319p-8, 0x1.972d5fcdca1cbp-8, 0x1.8ee26cfa4e693p-8, 0x1.86be1bc7a847cp-8, 0x1.7ebfd3f354687p-8, 0x1.76e6fee80c7f7p-8, 0x1.6f3307b9dd804p-8, 0x1.67a35b225384ep-8, 0x1.6037677f1c7e6p-8, 0x1.58ee9cd24038ap-8, 0x1.51c86cc408b5ep-8, 0x1.4ac44aa6ef54ap-8, 0x1.43e1ab7ae6b3cp-8, 0x1.3d2005ef51b1bp-8, 0x1.367ed2625e324p-8, 0x1.2ffd8add65613p-8, 0x1.299bab0eb1b3bp-8, 0x1.2358b04201383p-8, 0x1.1d3419596fc33p-8, 0x1.172d66c844f72p-8, 0x1.11441a90fc255p-8, 0x1.0b77b846840f1p-8, 0x1.05c7c510281afp-8, 0x1.0033c7ae90326p-8, 0x1.f57690ff89684p-9, 0x1.eabba300bfb57p-9, 0x1.e035dc9210a0cp-9, 0x1.d5e4580ebf297p-9, 0x1.cbc632e86d37cp-9, 0x1.c1da8d9022791p-9, 0x1.b8208b615776bp-9, 0x1.ae9752936ebc9p-9, 0x1.a53e0c3407ep-9, 0x1.9c13e42b9c016p-9, 0x1.93180949e8366p-9, 0x1.8a49ad56aab6fp-9, 0x1.81a80520b281ep-9, 0x1.793248861e6d4p-9, 0x1.70e7b27099f0ep-9, 0x1.68c780c58d8a6p-9, 0x1.60d0f44a515cfp-9, 0x1.59035081cb77fp-9, 0x1.515ddb896addp-9, 0x1.49dfddfcf43aap-9, 0x1.4288a2e6ca85p-9, 0x1.3b5777c0a67b7p-9, 0x1.344bac841c1ap-9, 0x1.2d6493c7561a5p-9, 0x1.26a182de7c994p-9, 0x1.2001d1f8333b9p-9, 0x1.1984dc2c975efp-9, 0x1.1329ff77f6355p-9, 0x1.0cf09c9f8b00dp-9, 0x1.06d817027d75bp-9, 0x1.00dfd45f85091p-9, 0x1.f60e7930f3e72p-10, 0x1.ea9b730047b7ep-10, 0x1.df656d76c72fcp-10, 0x1.d46b4378f2c8ep-10, 0x1.c9abd3b55138bp-10, 0x1.bf260104efeedp-10, 0x1.b4d8b2ebafd5bp-10, 0x1.aac2d61e477ep-10, 0x1.a0e35cef98fdfp-10, 0x1.97393f898c733p-10, 0x1.8dc37bdf03e33p-10, 0x1.8481155218bd5p-10, 0x1.7b71141bea16cp-10, 0x1.7292848e8e071p-10, 0x1.69e476529bfdep-10, 0x1.6165fbc25cca4p-10, 0x1.5916297cd58ebp-10, 0x1.50f41642c3579p-10, 0x1.48fedb23491edp-10, 0x1.413593f320d01p-10, 0x1.39975ffc92898p-10, 0x1.322362d36ebb9p-10, 0x1.2ad8c51d273aap-10, 0x1.23b6b53155776p-10, 0x1.1cbc6763bc033p-10, 0x1.15e915e2fee13p-10, 0x1.0f3c00279bd91p-10, 0x1.08b46a083cde1p-10, 0x1.02519a9ea5333p-10, 0x1.f825b6563886bp-11, 0x1.ebeeec6f6d23dp-11, 0x1.dffd6de977a7ep-11, 0x1.d44fd23447573p-11, 0x1.c8e4b21e2e54ap-11, 0x1.bdbaa8da29cc7p-11, 0x1.b2d05583fa837p-11, 0x1.a8245cfea6c01p-11, 0x1.9db56bfc62123p-11, 0x1.938238ef7e1b5p-11, 0x1.89898592043bbp-11, 0x1.7fca1faf3ba84p-11, 0x1.7642e0ea75496p-11, 0x1.6cf2ad72b10ccp-11, 0x1.63d871cf139cfp-11, 0x1.5af3202f25c14p-11, 0x1.5241adcaae35cp-11, 0x1.49c310d3fd0d2p-11, 0x1.41763f5382e25p-11, 0x1.395a2ef9e87a4p-11, 0x1.316dd5ba92c7ep-11, 0x1.29b02adbe5c1ap-11, 0x1.222028342dcdp-11, 0x1.1abccb67ad72ap-11, 0x1.1385172896309p-11, 0x1.0c7814844aa43p-11, 0x1.0594d43e09932p-11, 0x1.fdb4e0180c59cp-12, 0x1.f09016cedcddcp-12, 0x1.e3b9a72551968p-12, 0x1.d72ffd2cb9d7bp-12, 0x1.caf192731ff02p-12, 0x1.befce8950edap-12, 0x1.b35083a39282fp-12, 0x1.a7eae5b9a86b1p-12, 0x1.9cca8ccf0506bp-12, 0x1.91edf32449628p-12, 0x1.875391ca82a0bp-12, 0x1.7cf9e425ef461p-12, 0x1.72df6b1f50dcdp-12, 0x1.6902af1ba807p-12, 0x1.5f62409762bf2p-12, 0x1.55fcb8010981bp-12, 0x1.4cd0b5ce1c1f3p-12, 0x1.43dce392f17fdp-12, 0x1.3b1ff644b81bcp-12, 0x1.3298b10d35de9p-12, 0x1.2a45e794e12dfp-12, 0x1.22267e99741fp-12, 0x1.1a396a1aaf1cp-12, 0x1.127da92b9aa66p-12, 0x1.0af2405b645bbp-12, 0x1.0396343d988b4p-12, 0x1.f8d10b69f6196p-13, 0x1.ead0622acb4c9p-13, 0x1.dd28606af9924p-13, 0x1.cfd6fce5c2cd9p-13, 0x1.c2da39cb210f5p-13, 0x1.b63029e741ac2p-13, 0x1.a9d6f05ba43b9p-13, 0x1.9dccbb3dee676p-13, 0x1.920fbbd4ca05dp-13, 0x1.869e2058e9b99p-13, 0x1.7b76126707815p-13, 0x1.7095bb38f284dp-13, 0x1.65fb4c4b63439p-13, 0x1.5ba509373b446p-13, 0x1.51914f5d2aacdp-13, 0x1.47be988ea596fp-13, 0x1.3e2b77bb4d395p-13, 0x1.34d690a5f3682p-13, 0x1.2bbe8d78e83b9p-13, 0x1.22e215c0a7705p-13, 0x1.1a3fc9c958076p-13, 0x1.11d643bb2059cp-13, 0x1.09a41dda36e51p-13, 0x1.01a7fb9da796p-13, 0x1.f3c12486c30f1p-14, 0x1.e4995adda494ap-14, 0x1.d5d65b0ccb85dp-14, 0x1.c775ffa572caap-14, 0x1.b9762651a9eb5p-14, 0x1.abd49b7f77448p-14, 0x1.9e8f1111ea86ep-14, 0x1.91a323c570216p-14, 0x1.850e6c4454ff4p-14, 0x1.78ce948cb3941p-14, 0x1.6ce169df53b87p-14, 0x1.6144e62035b63p-14, 0x1.55f72edfe8696p-14, 0x1.4af68b3a03562p-14, 0x1.404154685f23cp-14, 0x1.35d5e678b526ap-14, 0x1.2bb295fdbfe73p-14, 0x1.21d5acc8748bbp-14, 0x1.183d6cd1a75fep-14, 0x1.0ee8173417f71p-14, 0x1.05d3f56eebbf2p-14, 0x1.f9fec6b71286ap-15, 0x1.e8d1ae99cb042p-15, 0x1.d81dc90a3cb4dp-15, 0x1.c7e0698463377p-15, 0x1.b816f29a024e6p-15, 0x1.a8beb1b8fc763p-15, 0x1.99d4c5bb44979p-15, 0x1.8b561e10b0af6p-15, 0x1.7d3f9352e6077p-15, 0x1.6f8e0ba04ab72p-15, 0x1.623e9888d9b7ep-15, 0x1.554e850ef25dp-15, 0x1.48bb56da15cf4p-15, 0x1.3c82c9bb4f31dp-15, 0x1.30a2c7e9213fp-15, 0x1.25195de7b4828p-15, 0x1.19e4aba6765e1p-15, 0x1.0f02d768c8f3p-15, 0x1.0472054b5222cp-15, 0x1.f460a5aed9525p-16, 0x1.e077aaa06981bp-16, 0x1.cd2535a61cd3ep-16, 0x1.ba655d874e29p-16, 0x1.a83441ac0195fp-16, 0x1.968e1a1b2d2eep-16, 0x1.856f44fe38d0cp-16, 0x1.74d44bc810e97p-16, 0x1.64b9d9c8926aep-16, 0x1.551ca3cf48e07p-16, 0x1.45f94c9cea03p-16, 0x1.374c5aa0347dfp-16, 0x1.29124c08083a1p-16, 0x1.1b47bd23b720dp-16, 0x1.0de97f7daa379p-16, 0x1.00f48c3291296p-16, 0x1.e8cbc9630835ap-17, 0x1.d07524ac2f36ep-17, 0x1.b8df8cb019c1fp-17, 0x1.a206001299e95p-17, 0x1.8be42bca1d59p-17, 0x1.767616797585dp-17, 0x1.61b7be280131ap-17, 0x1.4da4db8139a43p-17, 0x1.3a38ec40b0801p-17, 0x1.276f7505aeb45p-17, 0x1.15444106b7a26p-17, 0x1.03b36b6d7f51ap-17, 0x1.e5725b5acb8e7p-18, 0x1.c4a34d1888d0bp-18, 0x1.a4f19ffca82d5p-18, 0x1.8655552ff6b78p-18, 0x1.68c6ef28bd328p-18, 0x1.4c3fa594a12bep-18, 0x1.30b92f4276b17p-18, 0x1.162d3f1bab761p-18, 0x1.f92a13e232455p-19, 0x1.c7d26a687c52fp-19, 0x1.984479f38ca4dp-19, 0x1.6a71a840d3485p-19, 0x1.3e4b5090d39efp-19, 0x1.13c18539b24cp-19, 0x1.d586546a34dc2p-20, 0x1.8680df7a7e8fdp-20, 0x1.3a5b38973504bp-20, 0x1.e20cdd8916c1ap-21, 0x1.54ed4bf71996ap-21, 0x1.9a736f5ae57bcp-22, 0x1.2b267e0e4742cp-23, -0x1.9480e79c696c8p-24, -0x1.55f78e572c69ap-22, -0x1.1e984ebbdb3fep-21, -0x1.8d7ec5c1d31ffp-21, -0x1.f7c9744e325e9p-21, -0x1.2ecc3012b18edp-20, -0x1.5f88999b51a3bp-20, -0x1.8e2e2320cf068p-20, -0x1.bad08ecf9fd21p-20, -0x1.e581c9af2455cp-20, -0x1.0728886eac5fbp-19, -0x1.1aa567e50a9c2p-19, -0x1.2d3cb2c28e71ep-19, -0x1.3ef3630eb06d7p-19, -0x1.4fcf1795f00bdp-19, -0x1.5fd63de726363p-19, -0x1.6f0f482d8192cp-19, -0x1.7d7ff6cf9062ep-19, -0x1.8b2e2e3f58bbp-19, -0x1.9821c0595571fp-19, -0x1.a46449fc06bc5p-19, -0x1.affe07a07ea36p-19, -0x1.baf3262ba0436p-19, -0x1.c545386d8c48ep-19, -0x1.cef7269e9ff05p-19, -0x1.d80f23c50957dp-19, -0x1.e09507371e66dp-19, -0x1.e88f4cb2effcfp-19, -0x1.f001e829cb189p-19, -0x1.f6ef9da3cef55p-19, -0x1.fd5bcc68ba37ap-19, -0x1.01a574c5abc3ep-18, -0x1.0460f8f6b36d8p-18, -0x1.06e2eccd93b71p-18, -0x1.092dae05d7d71p-18, -0x1.0b437eb76cde9p-18, -0x1.0d267fded215cp-18, -0x1.0ed89eb1552ddp-18, -0x1.105b7f4011538p-18, -0x1.11b072bb31215p-18, -0x1.12d884d3504f2p-18, -0x1.13d4a88cea8edp-18, -0x1.14a600dcd1035p-18, -0x1.154e1d82c9cf3p-18, -0x1.15cee4cd4df38p-18, -0x1.162a1d6707c9dp-18, -0x1.16611867b6c89p-18, -0x1.16750dd8b8cdp-18, -0x1.1667cd78ca295p-18, -0x1.163b8102359ap-18, -0x1.15f160188087cp-18, -0x1.158959917babbp-18, -0x1.15038936e8af6p-18, -0x1.1461634db4ac2p-18, -0x1.13a50b0ffb116p-18, -0x1.12cff6ed478abp-18, -0x1.11e2c1d419109p-18, -0x1.10de0dfac98c7p-18, -0x1.0fc2fe84b6265p-18, -0x1.0e92ef03505bdp-18, -0x1.0d4f1620ad4c4p-18, -0x1.0bf86d0f21633p-18, -0x1.0a8fc1ac4a9bbp-18, -0x1.0915ce99b37ecp-18, -0x1.078b4b49311e2p-18, -0x1.05f0f22f0a493p-18, -0x1.04477f34d57d9p-18, -0x1.028faa92de2b5p-18, -0x1.00ca2490e5477p-18, -0x1.fdef271104db4p-19, -0x1.fa31256212b11p-19, -0x1.f65b66231a007p-19, -0x1.f26f0e789f90ep-19, -0x1.ee6d7e5e48948p-19, -0x1.ea587b1a38f04p-19, -0x1.e631f1b5fc42ap-19, -0x1.e1fb51a3991bfp-19, -0x1.ddb522d6ab43p-19, -0x1.d95f9d2c9c54ep-19, -0x1.d4fbf532957adp-19, -0x1.d08c1a4aff62p-19, -0x1.cc10c55beefd8p-19, -0x1.c789ebc97d425p-19, -0x1.c2f8d376c3d6p-19, -0x1.be5f5841a736p-19, -0x1.b9bdfd8b9e7bdp-19, -0x1.b5148c974d7a1p-19, -0x1.b0637e507068fp-19, -0x1.ababd025ecdacp-19, -0x1.a6ee6d9377564p-19, -0x1.a22c152fda747p-19, -0x1.9d65a4219d5f8p-19, -0x1.989bcf3a98972p-19, -0x1.93cf60a2c676cp-19, -0x1.8f01081142215p-19, -0x1.8a315fcf24137p-19, -0x1.8560f29d0d499p-19, -0x1.809042bb06a26p-19, -0x1.7bbfce8317dap-19, -0x1.76f012a1264b6p-19, -0x1.72218af8d98bbp-19, -0x1.6d54b1cf5e5cfp-19, -0x1.6889fb8e23b0dp-19, -0x1.63c1cf5414bf2p-19, -0x1.5efc822cafaadp-19, -0x1.5a3a6138b8d1bp-19, -0x1.557bce2aa7732p-19, -0x1.50c14fbf94db5p-19, -0x1.4c0b6c45d10b9p-19, -0x1.475a5d692dd82p-19, -0x1.42ade67b4d2adp-19, -0x1.3e05d1f0f5409p-19, -0x1.3962e031a4e72p-19, -0x1.34c616edfb996p-19, -0x1.302f886157aefp-19, -0x1.2b9f81b79ca93p-19, -0x1.271694c8e93c2p-19, -0x1.229498c95b366p-19, -0x1.1e19932bc02f1p-19, -0x1.19a60acaf6d58p-19, -0x1.153a5ea34e02p-19, -0x1.10d6a1a60c46bp-19, -0x1.0c7ad8a9a5d45p-19, -0x1.08272801821b4p-19, -0x1.03dbd087f81dfp-19, -0x1.ff3212e65d17bp-20, -0x1.f6bdc5a728583p-20, -0x1.ee5aa9070156ep-20, -0x1.e608cbb02b95bp-20, -0x1.ddc87ce8e7662p-20, -0x1.d59a2d6e25663p-20, -0x1.cd7e44aada275p-20, -0x1.c5750f33089eap-20, -0x1.bd7ec2fb1ac52p-20, -0x1.b59b899206becp-20, -0x1.adcb870ddb76bp-20, -0x1.a60edf0504e54p-20, -0x1.9e65af0f9da46p-20, -0x1.96d00e26b32b1p-20, -0x1.8f4e082158d85p-20, -0x1.87dfa588d102ap-20, -0x1.8084fe8d5f767p-20, -0x1.793e3f7196314p-20, -0x1.720b8fe23a571p-20, -0x1.6aecf2e272a7cp-20, -0x1.63e21efb0434bp-20, -0x1.5ceab2e349f0ep-20, -0x1.56073998ffaf8p-20, -0x1.4f3864d2b8b7cp-20, -0x1.487e2ca53ab76p-20, -0x1.41d86d40924abp-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.49851d1e09885p-3, -0x1.4ab9e65c55ac8p-3, -0x1.4cb28e3c6c0eep-3, -0x1.4f615614f9e3fp-3, -0x1.52b4dfcef6917p-3, -0x1.56995dd83546bp-3, -0x1.5af9b15e85bc5p-3, -0x1.5fc0677edeae5p-3, -0x1.64d88a9a3223dp-3, -0x1.6a2e42fbac7d5p-3, -0x1.6faf47dae8386p-3, -0x1.754b2623e896dp-3, -0x1.7af364cec698bp-3, -0x1.809b8f23781b8p-3, -0x1.86392c92aadb6p-3, -0x1.8bc3ac67e2732p-3, -0x1.913449fecd46dp-3, -0x1.9685eca840d74p-3, -0x1.9bb50537e1989p-3, -0x1.a0bf6a57e4506p-3, -0x1.a5a43437727fcp-3, -0x1.aa6397e221905p-3, -0x1.aefec277f7d23p-3, -0x1.b377b482fd3d2p-3, -0x1.b7d11db9d312cp-3, -0x1.bc0e39932cb71p-3, -0x1.c032ad1cdcdc2p-3, -0x1.c442668f3fe9p-3, -0x1.c8417f11d2cf4p-3, -0x1.cc341f18e9203p-3, -0x1.d01e65b09bb38p-3, -0x1.d40452f06c8c5p-3, -0x1.d7e9b5b893705p-3, -0x1.dbd21cbf3415p-3, -0x1.dfc0cadb0de71p-3, -0x1.e3b8ae637c8c3p-3, -0x1.e7bc5b6be8fb9p-3, -0x1.ebce08936c7afp-3, -0x1.efef8e1859e7fp-3, -0x1.f42266da7eeap-3, -0x1.f867b2f5c0116p-3, -0x1.fcc03ba0b2d76p-3, -0x1.00963bffad3fcp-2, -0x1.02d6495058bc7p-2, -0x1.052037b2be4e8p-2, -0x1.0773d8cbc2befp-2, -0x1.09d0e100b8a2dp-2, -0x1.0c36ea701d5fcp-2, -0x1.0ea577c80d729p-2, -0x1.111bf6ef4a84bp-2, -0x1.1399c3794c15ap-2, -0x1.161e28e111dafp-2, -0x1.18a864891bbcp-2, -0x1.1b37a7813361ep-2, -0x1.1dcb18148a58ap-2, -0x1.2061d324073ep-2, -0x1.22faed519dc25p-2, -0x1.2595740239a66p-2, -0x1.28306e3c0de4cp-2, -0x1.2acadd67386e4p-2, -0x1.2d63bdf686d02p-2, -0x1.2ffa07fdcfb51p-2, -0x1.328cafbafc5aap-2, -0x1.351aa6163e4ebp-2, -0x1.37a2d91d6a4a3p-2, -0x1.3a24347dceb2dp-2, -0x1.3c9da1ff34bcdp-2, -0x1.3f0e0a022e6acp-2, -0x1.417454033400ep-2, -0x1.43cf672385e58p-2, -0x1.461e2ab855fd1p-2, -0x1.485f86e045448p-2, -0x1.4a92651ed8dc4p-2, -0x1.4cb5b0fd47bf7p-2, -0x1.4ec858afb2c7p-2, -0x1.50c94dbdadf0dp-2, -0x1.52b785accdfa9p-2, -0x1.5491faabe497bp-2, -0x1.5657ac3d7b938p-2, -0x1.58079fe01d011p-2, -0x1.59a0e1b30124dp-2, -0x1.5b228515c3232p-2, -0x1.5c8ba541d064cp-2, -0x1.5ddb65dc6b255p-2, -0x1.5f10f3801ad33p-2, -0x1.602b843cac955p-2, -0x1.612a580cdd83fp-2, -0x1.620cb941103ebp-2, -0x1.62d1fcde7a8acp-2, -0x1.637982f2624c2p-2, -0x1.6402b6d92e0b2p-2, -0x1.646d0f7919f51p-2, -0x1.64b80f70938cep-2, -0x1.64e3453851976p-2, -0x1.64ee4b395c99ep-2, -0x1.64d8c7d750ecfp-2, -0x1.64a26d6f3f1abp-2, -0x1.644afa4b9aaebp-2, -0x1.63d2388dbcba5p-2, -0x1.6337fe0d9006cp-2, -0x1.627c2c2ffcee6p-2, -0x1.619eafb4c376cp-2, -0x1.609f807c68992p-2, -0x1.5f7ea146ec5dp-2, -0x1.5e3c1f6bfb547p-2, -0x1.5cd8128d4d98ap-2, -0x1.5b529c43e799p-2, -0x1.59abe7c8eb571p-2, -0x1.57e4299aa675fp-2, -0x1.55fb9f1e84aebp-2, -0x1.53f28e4084fep-2, -0x1.51c94510ce8d4p-2, -0x1.4f80195ff284dp-2, -0x1.4d17685a6a27dp-2, -0x1.4a8f9623cdb09p-2, -0x1.47e90d723dc03p-2, -0x1.45243f2a6f897p-2, -0x1.4241a1fcbea99p-2, -0x1.3f41b203a5e3bp-2, -0x1.3c24f063ebb3dp-2, -0x1.38ebe2eed4892p-2, -0x1.359713c696e6dp-2, -0x1.322711054d3d1p-2, -0x1.2e9c6c66964a7p-2, -0x1.2af7baf40d5dfp-2, -0x1.273994b4bcc7dp-2, -0x1.2362945fa46afp-2, -0x1.1f735711691bfp-2, -0x1.1b6c7c053b501p-2, -0x1.174ea450fe59bp-2, -0x1.131a72a4b031p-2, -0x1.0ed08b0d154e6p-2, -0x1.0a7192b99af4ap-2, -0x1.05fe2fc56d461p-2, -0x1.01770903afffp-2, -0x1.f9b98b9d8dd7p-3, -0x1.f0601bb53ba48p-3, -0x1.e6e31213b10c5p-3, -0x1.dd43be8ba337cp-3, -0x1.d38370b29ba0dp-3, -0x1.c9a3779b9d288p-3, -0x1.bfa52196b1418p-3, -0x1.b589bbf54ab82p-3, -0x1.ab5292d31aaffp-3, -0x1.a100f0e3390ffp-3, -0x1.96961f414ccbap-3, -0x1.8c13654689d18p-3, -0x1.817a08623654cp-3, -0x1.76cb4bf58c595p-3, -0x1.6c087132aa1a8p-3, -0x1.6132b6fe70bf2p-3, -0x1.564b59d4f7a4ep-3, -0x1.4b5393b082a9bp-3, -0x1.404c9bf2a8c4cp-3, -0x1.3537a74f89827p-3, -0x1.2a15e7badc9c7p-3, -0x1.1ee88c56adf04p-3, -0x1.13b0c16394923p-3, -0x1.086fb0324a9a1p-3, -0x1.fa4cfe2cd02b5p-4, -0x1.e3aca2b470adbp-4, -0x1.cd008e66cf46ap-4, -0x1.b64afb71144fep-4, -0x1.9f8e1dae8b4d5p-4, -0x1.88cc22961c998p-4, -0x1.72073128bc4e3p-4, -0x1.5b4169e09e901p-4, -0x1.447ce6a0fc752p-4, -0x1.2dbbbaa65f262p-4, -0x1.16fff277383abp-4, -0x1.004b93d4b82fp-4, -0x1.d3413b579179ep-5, -0x1.a602100c21c45p-5, -0x1.78dd87f5ef562p-5, -0x1.4bd7774128af4p-5, -0x1.1ef3a3f8f42c7p-5, -0x1.e46b8bd19b904p-6, -0x1.8b430cfaf1b04p-6, -0x1.3275014b2f701p-6, -0x1.b41102c7a14f2p-7, -0x1.040910d42e8a7p-7, -0x1.537f9e308c56ap-9, 0x1.6573e8f94baaap-9, 0x1.06a0523b9d9e2p-7, 0x1.b2dd1b23de599p-7, 0x1.2f03469e9a3c5p-6, 0x1.84080f70eee5dp-6, 0x1.d876c2833b33dp-6, 0x1.1624aceff45c6p-5, 0x1.3fbcf7b1ff7d6p-5, 0x1.69015e807b54p-5, 0x1.91ef0e7ee9822p-5, 0x1.ba83451b97f84p-5, 0x1.e2bb502efe084p-5, 0x1.054a470d35a75p-4, 0x1.190636f2e86d6p-4, 0x1.2c9037ae4d311p-4, 0x1.3fe71194bb62bp-4, 0x1.530995787a3b3p-4, 0x1.65f69cb569646p-4, 0x1.78ad093cfb77p-4, 0x1.8b2bc5a16f5p-4, 0x1.9d71c520464c7p-4, 0x1.af7e03abd659bp-4, 0x1.c14f85f413d31p-4, 0x1.d2e5596e529bbp-4, 0x1.e43e945c27731p-4, 0x1.f55a55d1410d6p-4, 0x1.031be2dc1d861p-3, 0x1.0b6b0a6b31e7p-3, 0x1.139a3e6735436p-3, 0x1.1ba92010f204bp-3, 0x1.23975518e134p-3, 0x1.2b64879ec633bp-3, 0x1.33106630be9d1p-3, 0x1.3a9aa3c9acc09p-3, 0x1.4202f7cf180c8p-3, 0x1.49491e0e62cedp-3, 0x1.506cd6b96b4fbp-3, 0x1.576de662921c2p-3, 0x1.5e4c15f81e77bp-3, 0x1.650732bf08dfcp-3, 0x1.6b9f0e4d28fc5p-3, 0x1.72137e82c7e08p-3, 0x1.78645d83993dap-3, 0x1.7e9189af1d4abp-3, 0x1.849ae59862961p-3, 0x1.8a8057fd4142p-3, 0x1.9041cbbcf3871p-3, 0x1.95df2fce2dca2p-3, 0x1.9b587734977d2p-3, 0x1.a0ad98f5cb7dbp-3, 0x1.a5de900dc1294p-3, 0x1.aaeb5b62b8895p-3, 0x1.afd3fdb8a6f4dp-3, 0x1.b4987da41fc05p-3, 0x1.b938e57cca94dp-3, 0x1.bdb5434f5f82dp-3, 0x1.c20da8cf335f1p-3, 0x1.c6422b4759b1p-3, 0x1.ca52e38b58ad6p-3, 0x1.ce3fede77ff3dp-3, 0x1.d2096a10d3fcbp-3, 0x1.d5af7b14ade11p-3, 0x1.d9324747fa619p-3, 0x1.dc91f8362399cp-3, 0x1.dfceba8fbfc56p-3, 0x1.e2e8be18df438p-3, 0x1.e5e035972dbd4p-3, 0x1.e8b556bfca4aep-3, 0x1.eb685a24e3c85p-3, 0x1.edf97b2323e85p-3, 0x1.f068f7cef2b16p-3, 0x1.f2b710e17b881p-3, 0x1.f4e409a59fbfcp-3, 0x1.f6f027e4bfd42p-3, 0x1.f8dbb3d360928p-3, 0x1.faa6f7fdc9398p-3, 0x1.fc5241347d885p-3, 0x1.fdddde78b1a5fp-3, 0x1.ff4a20e8b45b2p-3, 0x1.004badd626eeap-2, 0x1.00e2f1f0902dbp-2, 0x1.016b084386082p-2, 0x1.01e41d364b6c4p-2, 0x1.024e5e0db0ee5p-2, 0x1.02a9f8e25554ap-2, 0x1.02f71c96f2041p-2, 0x1.0335f8ceae75dp-2, 0x1.0366bde385449p-2, 0x1.03899cdcb66bcp-2, 0x1.039ec7654566ap-2, 0x1.03a66fc29374ap-2, 0x1.03a0c8cb01c93p-2, 0x1.038e05dcb3655p-2, 0x1.036e5ad45f376p-2, 0x1.0341fc043deffp-2, 0x1.03091e2b0e449p-2, 0x1.02c3f66b378bdp-2, 0x1.0272ba42072c7p-2, 0x1.02159f7f0aa3bp-2, 0x1.01acdc3b87e3ep-2, 0x1.0138a6d218013p-2, 0x1.00b935d65f55cp-2, 0x1.002ec00ce7f41p-2, 0x1.ff32f8c642159p-3, 0x1.fdf343cefbe5ep-3, 0x1.fc9ecf837a883p-3, 0x1.fb360a56a0e79p-3, 0x1.f9b962cfda7aep-3, 0x1.f829477c85534p-3, 0x1.f68626e1ac371p-3, 0x1.f4d06f6e0c613p-3, 0x1.f3088f6c6dfp-3, 0x1.f12ef4f64c5fbp-3, 0x1.ef440de6cd4dp-3, 0x1.ed4847ce0e4d8p-3, 0x1.eb3c0fe4bcaacp-3, 0x1.e91fd3000c1c7p-3, 0x1.e6f3fd85f3007p-3, 0x1.e4b8fb61c916bp-3, 0x1.e26f37f927544p-3, 0x1.e0171e2130632p-3, 0x1.ddb118141b1a6p-3, 0x1.db3d8f671a331p-3, 0x1.d8bced00986f3p-3, 0x1.d62f990ec0655p-3, 0x1.d395fafe5fc75p-3, 0x1.d0f079721ab4bp-3, 0x1.ce3f7a39ee367p-3, 0x1.cb83624b08ef5p-3, 0x1.c8bc95b7f75bap-3, 0x1.c5eb77a9166fap-3, 0x1.c3106a5566f7ep-3, 0x1.c02bcefb9cc99p-3, 0x1.bd3e05db8f95ep-3, 0x1.ba476e2ff0599p-3, 0x1.b748662847ce5p-3, 0x1.b4414ae34bf0fp-3, 0x1.b132786979425p-3, 0x1.ae1c49a7f88f5p-3, 0x1.aaff186bd05e1p-3, 0x1.a7db3d5d5cb93p-3, 0x1.a4b10ffc0b97cp-3, 0x1.a180e69a64ea8p-3, 0x1.9e4b165a56636p-3, 0x1.9b0ff329bf74p-3, 0x1.97cfcfbf472fp-3, 0x1.948afd9769932p-3, 0x1.9141ccf1cf9bap-3, 0x1.8df48ccee31ffp-3, 0x1.8aa38aed9a1eap-3, 0x1.874f13c98a28p-3, 0x1.83f772992d0bfp-3, 0x1.809cf14c68608p-3, 0x1.7d3fd88b42c67p-3, 0x1.79e06fb4df8bdp-3, 0x1.767efcdea021ap-3, 0x1.731bc4d3886adp-3, 0x1.6fb70b13cd43fp-3, 0x1.6c5111d49b56cp-3, 0x1.68ea1a000825fp-3, 0x1.658263353b64cp-3, 0x1.621a2bc8be20fp-3, 0x1.5eb1b0c4fc106p-3, 0x1.5b492deaec73cp-3, 0x1.57e0ddb2ed1c2p-3, 0x1.5478f94dba77cp-3, 0x1.5111b8a599c23p-3, 0x1.4dab525fa5826p-3, 0x1.4a45fbdd3d379p-3, 0x1.46e1e93d9bbaep-3, 0x1.437f4d5f8fee2p-3, 0x1.401e59e356d8p-3, 0x1.3cbf3f2c9104bp-3, 0x1.39622c64605cap-3, 0x1.36074f7b9a369p-3, 0x1.32aed52d1832fp-3, 0x1.2f58e9002c464p-3, 0x1.2c05b54b2032fp-3, 0x1.28b56335dbb75p-3, 0x1.25681abc9a905p-3, 0x1.221e02b2bbfedp-3, 0x1.1ed740c5a7696p-3, 0x1.1b93f97fc538ap-3, 0x1.1854504b8b0e1p-3, 0x1.151867769b549p-3, 0x1.11e06034f2e42p-3, 0x1.0eac5aa42d839p-3, 0x1.0b7c75ced255dp-3, 0x1.0850cfafb4817p-3, 0x1.052985355bc37p-3, 0x1.0206b245805b9p-3, 0x1.fdd0e38118802p-4, 0x1.f79dbb0a4dbe9p-4, 0x1.f1741ce7a876fp-4, 0x1.eb5438e51f41p-4, 0x1.e53e3ce0efe2ap-4, 0x1.df3254d2fef41p-4, 0x1.d930aad445971p-4, 0x1.d339672650c58p-4, 0x1.cd4cb03ab996cp-4, 0x1.c76aaababb6d3p-4, 0x1.c193798ec319dp-4, 0x1.bbc73de60c138p-4, 0x1.b606173e36a4p-4, 0x1.b050236aefad4p-4, 0x1.aaa57e9d8c1dbp-4, 0x1.a506436cb7bedp-4, 0x1.9f728adc09a02p-4, 0x1.99ea6c63abdc2p-4, 0x1.946dfdf7fd07fp-4, 0x1.8efd54112119fp-4, 0x1.899881b29ecd4p-4, 0x1.843f9872eaba3p-4, 0x1.7ef2a882f024bp-4, 0x1.79b1c0b591595p-4, 0x1.747cee87201fcp-4, 0x1.6f543e24ca364p-4, 0x1.6a37ba73fdb67p-4, 0x1.65276d19c2369p-4, 0x1.60235e82037f1p-4, 0x1.5b2b95e6d20bp-4, 0x1.5640195794ef1p-4, 0x1.5160edc02ee91p-4, 0x1.4c8e16f01041cp-4, 0x1.47c797a14368ap-4, 0x1.430d717f5ce1fp-4, 0x1.3e5fa52e6377ap-4, 0x1.39be3251a4b62p-4, 0x1.352917927a1adp-4, 0x1.30a052a6f7916p-4, 0x1.2c23e0588cbe9p-4, 0x1.27b3bc8a912fap-4, 0x1.234fe240bb3fcp-4, 0x1.1ef84ba589f91p-4, 0x1.1aacf2109383dp-4, 0x1.166dce0cc447dp-4, 0x1.123ad75e8897p-4, 0x1.0e140509e1f06p-4, 0x1.09f94d5863fb7p-4, 0x1.05eaa5df228fcp-4, 0x1.01e80384841e4p-4, 0x1.fbe2b50c08891p-5, 0x1.f40d3cfbb8552p-5, 0x1.ec4f84d12a1eap-5, 0x1.e4a97155143eep-5, 0x1.dd1ae62a9b3d6p-5, 0x1.d5a3c5d9ff497p-5, 0x1.ce43f1db03551p-5, 0x1.c6fb4a9f49fb9p-5, 0x1.bfc9af9c69399p-5, 0x1.b8aeff55ddc64p-5, 0x1.b1ab1766d5421p-5, 0x1.aabdd48bc01a1p-5, 0x1.a3e712abc30cbp-5, 0x1.9d26ace1f2d91p-5, 0x1.967c7d8667d2dp-5, 0x1.8fe85e3723b7fp-5, 0x1.896a27e0d12d1p-5, 0x1.8301b2c7481dcp-5, 0x1.7caed68df8c73p-5, 0x1.76716a401ed1cp-5, 0x1.70494458cd02cp-5, 0x1.6a363acacc3e4p-5, 0x1.6438230852c7ap-5, 0x1.5e4ed20a8ba7cp-5, 0x1.587a1c58fae44p-5, 0x1.52b9d610b1dcep-5, 0x1.4d0dd2eb5861fp-5, 0x1.4775e64616207p-5, 0x1.41f1e328441ccp-5, 0x1.3c819c4a0a79p-5, 0x1.3724e41abcca8p-5, 0x1.31db8cc722baap-5, 0x1.2ca5683f9290bp-5, 0x1.2782483ddbe1ep-5, 0x1.2271fe4b1f415p-5, 0x1.1d745bc56da45p-5, 0x1.188931e546007p-5, 0x1.13b051c2f9397p-5, 0x1.0ee98c5bd8951p-5, 0x1.0a34b2974a24ap-5, 0x1.0591954bb67bcp-5, 0x1.01000543576fcp-5, 0x1.f8ffa681ab2b2p-6, 0x1.f021a007b662cp-6, 0x1.e765989ad8c85p-6, 0x1.decb31c85a1adp-6, 0x1.d6520d3105937p-6, 0x1.cdf9cc9129a0ap-6, 0x1.c5c211c85413p-6, 0x1.bdaa7ee0daec4p-6, 0x1.b5b2b61720ebbp-6, 0x1.adda59e08d675p-6, 0x1.a6210cf273417p-6, 0x1.9e86724885decp-6, 0x1.970a2d2b465f1p-6, 0x1.8fabe13611d67p-6, 0x1.886b325d0aeefp-6, 0x1.8147c4f2ce0f7p-6, 0x1.7a413dade8fdfp-6, 0x1.735741ae1e6f4p-6, 0x1.6c89768177a0cp-6, 0x1.65d782291804fp-6, 0x1.5f410b1e0932cp-6, 0x1.58c5b85592b93p-6, 0x1.52653145908a7p-6, 0x1.4c1f1de8a1ffp-6, 0x1.45f326c1fd5e3p-6, 0x1.3fe0f4e14b24p-6, 0x1.39e831e625cc9p-6, 0x1.340888039a537p-6, 0x1.2e41a20359e32p-6, 0x1.28932b48d8845p-6, 0x1.22fccfd43e0fep-6, 0x1.1d7e3c4527477p-6, 0x1.18171ddd52853p-6, 0x1.12c722831bde3p-6, 0x1.0d8df8c3c8027p-6, 0x1.086b4fd5c542ep-6, 0x1.035ed79ac0f6ap-6, 0x1.fcd081430d61dp-7, 0x1.f30e784fc5f7ep-7, 0x1.e976f8387b31cp-7, 0x1.e009663e742ap-7, 0x1.d6c5290a3bedep-7, 0x1.cda9a8ae4c116p-7, 0x1.c4b64ea977ed8p-7, 0x1.bbea85e91b5b1p-7, 0x1.b345bacb263d5p-7, 0x1.aac75b1fc9c21p-7, 0x1.a26ed62b16267p-7, 0x1.9a3b9ca65d5f1p-7, 0x1.922d20c16e58fp-7, 0x1.8a42d62376277p-7, 0x1.827c31ebdcf96p-7, 0x1.7ad8aab30df1fp-7, 0x1.7357b88aa4321p-7, 0x1.6bf8d4fe09e0dp-7, 0x1.64bb7b126fb9bp-7, 0x1.5d9f2746d9b73p-7, 0x1.56a35793f9133p-7, 0x1.4fc78b6bd7d58p-7, 0x1.490b43b97216dp-7, 0x1.426e02e01aa12p-7, 0x1.3bef4cbad6d5fp-7, 0x1.358ea69b82915p-7, 0x1.2f4b9749e34d7p-7, 0x1.2925a7027bf13p-7, 0x1.231c5f758439fp-7, 0x1.1d2f4bc595b22p-7, 0x1.175df8863b623p-7, 0x1.11a7f3ba8649cp-7, 0x1.0c0cccd3662d8p-7, 0x1.068c14ae0b41ep-7, 0x1.01255d92216bp-7, 0x1.f7b0765fbfb54p-8, 0x1.ed48853c9279ap-8, 0x1.e31214b1ec301p-8, 0x1.d90c547c413dep-8, 0x1.cf367718e9636p-8, 0x1.c58fb1c1a8aap-8, 0x1.bc173c68129aep-8, 0x1.b2cc51b0f98f8p-8, 0x1.a9ae2eef8eea9p-8, 0x1.a0bc14206d14p-8, 0x1.97f543e49632dp-8, 0x1.8f59037c5d82bp-8, 0x1.86e69ac238bc5p-8, 0x1.7e9d5425433e1p-8, 0x1.767c7ca41124dp-8, 0x1.6e8363c717ff6p-8, 0x1.66b15b9b40999p-8, 0x1.5f05b8ac1b54fp-8, 0x1.577fd1fe750dp-8, 0x1.501f010a5b057p-8, 0x1.48e2a1b5830d8p-8, 0x1.41ca124d6a73bp-8, 0x1.3ad4b3816e38dp-8, 0x1.3401e85ce3423p-8, 0x1.2d5116411657cp-8, 0x1.26c1a4df6696fp-8, 0x1.2052fe332481ep-8, 0x1.1a048e7ba5b0dp-8, 0x1.13d5c4361e883p-8, 0x1.0dc610178bb1ep-8, 0x1.07d4e50697ed4p-8, 0x1.0201b81584201p-8, 0x1.f89800f80ccb6p-9, 0x1.ed666f224a59ap-9, 0x1.e26db18a0f47cp-9, 0x1.d7acc335d9696p-9, 0x1.cd22a345e56d3p-9, 0x1.c2ce54e7f20c4p-9, 0x1.b8aedf4b0969fp-9, 0x1.aec34d933fc24p-9, 0x1.a50aaecd84ab6p-9, 0x1.9b8415e359526p-9, 0x1.922e998ea24cdp-9, 0x1.8909544dd76e3p-9, 0x1.8013645787e9fp-9, 0x1.774beb8e9c2c6p-9, 0x1.6eb20f761e1aap-9, 0x1.6644f9259cb27p-9, 0x1.5e03d53cd2836p-9, 0x1.55edd3d831d6fp-9, 0x1.4e02288520e81p-9, 0x1.46400a35dff9ap-9, 0x1.3ea6b33655ab4p-9, 0x1.373561205703dp-9, 0x1.2feb54d01d14ep-9, 0x1.28c7d258be8ebp-9, 0x1.21ca20f92f507p-9, 0x1.1af18b1095f48p-9, 0x1.143d5e135462cp-9, 0x1.0dacea7ff9dcep-9, 0x1.073f83d3f95f6p-9, 0x1.00f48080f2f09p-9, 0x1.f59673c3bf51ep-10, 0x1.e986186036caap-10, 0x1.ddb6acf1c9617p-10, 0x1.d226f525befdbp-10, 0x1.c6d5ba265d426p-10, 0x1.bbc1ca874589ap-10, 0x1.b0e9fa3003013p-10, 0x1.a64d2247c6854p-10, 0x1.9bea2121af375p-10, 0x1.91bfda286371ap-10, 0x1.87cd35ca27d44p-10, 0x1.7e112165aa77p-10, 0x1.748a8f3645df9p-10, 0x1.6b3876413609p-10, 0x1.6219d241debaap-10, 0x1.592da397cfb9fp-10, 0x1.5072ef33c186ap-10, 0x1.47e8be852fb73p-10, 0x1.3f8e1f68b3dc4p-10, 0x1.37622414ea982p-10, 0x1.2f63e309ffa0ep-10, 0x1.279276ff5b409p-10, 0x1.1fecfed24ae8ep-10, 0x1.18729d7581f2fp-10, 0x1.112279df44195p-10, 0x1.09fbbef972f47p-10, 0x1.02fd9b9059e8dp-10, 0x1.f84e84864671ap-11, 0x1.eaefd2e5ef349p-11, 0x1.dddd96678cf91p-11, 0x1.d1164a783639bp-11, 0x1.c49871abe0909p-11, 0x1.b862959dde51ep-11, 0x1.ac7346d3c3911p-11, 0x1.a0c91c9f3cb47p-11, 0x1.9562b5003f8f6p-11, 0x1.8a3eb48971e94p-11, 0x1.7f5bc6415ac98p-11, 0x1.74b89b8861eb9p-11, 0x1.6a53ebfb95045p-11, 0x1.602c755a02d45p-11, 0x1.5640fb698c32p-11, 0x1.4c9047dc7b01ep-11, 0x1.43192a36549a3p-11, 0x1.39da77b33af96p-11, 0x1.30d30b2dc9c69p-11, 0x1.2801c505cc2b1p-11, 0x1.1f658b0834016p-11, 0x1.16fd4855a26bap-11, 0x1.0ec7ed4bbae9cp-11, 0x1.06c46f6c72c58p-11, 0x1.fde3928e76cdp-12, 0x1.ee9df4c3453a4p-12, 0x1.dfb60e4281bcap-12, 0x1.d129f16b15cd4p-12, 0x1.c2f7ba0285f93p-12, 0x1.b51d8d0b22a05p-12, 0x1.a7999898f80bbp-12, 0x1.9a6a13a78daf3p-12, 0x1.8d8d3df2734ap-12, 0x1.81015fca92449p-12, 0x1.74c4c9f006bbbp-12, 0x1.68d5d56b61397p-12, 0x1.5d32e36450267p-12, 0x1.51da5cff1905ep-12, 0x1.46cab334cb10bp-12, 0x1.3c025eb06be22p-12, 0x1.317fdfa8fad85p-12, 0x1.2741bdbfcfffcp-12, 0x1.1d4687dcc316cp-12, 0x1.138cd40bab182p-12, 0x1.0a133f5acb8fap-12, 0x1.00d86dba6ab82p-12, 0x1.efb613b59f26p-13, 0x1.de338a1b57e5bp-13, 0x1.cd26ae4a17ef3p-13, 0x1.bc8cfcacc7aa8p-13, 0x1.ac63fe339ef44p-13, 0x1.9ca9481b10bc8p-13, 0x1.8d5a7bb1d0f66p-13, 0x1.7e75461a8fa76p-13, 0x1.6ff760198f63ap-13, 0x1.61de8dd7ce0d9p-13, 0x1.54289eade05d6p-13, 0x1.46d36cefcfe8fp-13, 0x1.39dcddb391aaep-13, 0x1.2d42e0a32bd41p-13, 0x1.21036fc3dbf64p-13, 0x1.151c8f4883fddp-13, 0x1.098c4d5d617f1p-13, 0x1.fca183f3ca554p-14, 0x1.e6d01d5d1b7c2p-14, 0x1.d1a0bcf2d63bfp-14, 0x1.bd0fcb2b8eb09p-14, 0x1.a919c2a080b78p-14, 0x1.95bb2fb450754p-14, 0x1.82f0b0406552p-14, 0x1.70b6f336fe571p-14, 0x1.5f0ab85b71424p-14, 0x1.4de8cfe494d0fp-14, 0x1.3d4e1a33eb203p-14, 0x1.2d378783e65p-14, 0x1.1da2179ad7aecp-14, 0x1.0e8ad97bd337ap-14, 0x1.ffddd649537c9p-15, 0x1.e396f270694fbp-15, 0x1.c83b7d82b99b1p-15, 0x1.adc609c9ca915p-15, 0x1.943145444f349p-15, 0x1.7b77f90fe5318p-15, 0x1.639508f54dc81p-15, 0x1.4c8372d540ae9p-15, 0x1.363e4e33affb3p-15, 0x1.20c0cbafa0cddp-15, 0x1.0c063490c82f6p-15, 0x1.f013d49875476p-16, 0x1.c98ecc086a698p-16, 0x1.a47470420a8c6p-16, 0x1.80bc0faee5e3ep-16, 0x1.5e5d256ae999bp-16, 0x1.3d4f587a9ceb5p-16, 0x1.1d8a7add3ace6p-16, 0x1.fe0d119c8830bp-17, 0x1.c3774fb1714bp-17, 0x1.8b444c692577cp-17, 0x1.5564f3ac0a9ap-17, 0x1.21ca7f81e8ce7p-17, 0x1.e0cced04b3d9ep-18, 0x1.825554ca84686p-18, 0x1.28126cf3ec72fp-18, 0x1.a3d1f95fd4f08p-19, 0x1.fef9633ae0401p-20, 0x1.8bc308b581931p-21, -0x1.9028256bbf6b2p-22, -0x1.7f2d8ef4807ddp-20, -0x1.45f5a49532d4bp-19, -0x1.c551b92543944p-19, -0x1.1eed130d81aeap-18, -0x1.57de8a8dd507ap-18, -0x1.8d93de99c28adp-18, -0x1.c02333b9a5f84p-18, -0x1.efa239ca428c8p-18, -0x1.0e13170f61022p-17, -0x1.22e1ef011206ap-17, -0x1.3647d436439a2p-17, -0x1.484ec03c9a275p-17, -0x1.590077a795b3dp-17, -0x1.68668b24a1cd1p-17, -0x1.768a58613d715p-17, -0x1.83750b19f6343p-17, -0x1.8f2f9e092632cp-17, -0x1.99c2dbcf6de2ap-17, -0x1.a3375fea88d0cp-17, -0x1.ab95979f14582p-17, -0x1.b2e5c2c5b1c4p-17, -0x1.b92ff4c092798p-17, -0x1.be7c15451f781p-17, -0x1.c2d1e13ea101ap-17, -0x1.c638eb9424db8p-17, -0x1.c8b89dfca86ffp-17, -0x1.ca5839c11f8c3p-17, -0x1.cb1ed889bbfa9p-17, -0x1.cb136d1e7205bp-17, -0x1.ca3cc41bcd26bp-17, -0x1.c8a184be8012bp-17, -0x1.c648317ee5aabp-17, -0x1.c33728dee1599p-17, -0x1.bf74a60a16426p-17, -0x1.bb06c18b4a9b8p-17, -0x1.b5f371e4529b2p-17, -0x1.b0408c447176bp-17, -0x1.a9f3c52bd46fep-17, -0x1.a312b0f8c5cd5p-17, -0x1.9ba2c48fa19eap-17, -0x1.93a955f502903p-17, -0x1.8b2b9ce595c8dp-17, -0x1.822eb35ccecbbp-17, -0x1.78b796322fcfcp-17, -0x1.6ecb259eb67dap-17, -0x1.646e25cc931a3p-17, -0x1.59a53f5ef11bbp-17, -0x1.4e74fff21efc8p-17, -0x1.42e1daa79065fp-17, -0x1.36f0289ba5f82p-17, -0x1.2aa4296ec053ep-17, -0x1.1e0203b9f6c92p-17, -0x1.110dc585c1ab2p-17, -0x1.03cb64cab6938p-17, -0x1.ec7d7fbeaa5eap-18, -0x1.d0d73bd9f208bp-18, -0x1.b4ab5eb66f9e6p-18, -0x1.98011c88fe3cfp-18, -0x1.7adf7dc2ffe6fp-18, -0x1.5d4d5fe6675ep-18, -0x1.3f517640aba31p-18, -0x1.20f24add254c3p-18, -0x1.02363f2fbd172p-18, -0x1.c64719d8d668ep-19, -0x1.87808d70f51e1p-19, -0x1.4824b1e6d2432p-19, -0x1.083f14d0a3babp-19, -0x1.8fb5f447297f4p-20, -0x1.0e06bae4641d3p-20, -0x1.170bce11cde0bp-21, -0x1.090ad9019c712p-25, 0x1.ee767ff14fb14p-22, 0x1.00182d66573e1p-20, 0x1.85140518ac753p-20, 0x1.053f2d9fb8054p-19, 0x1.48227148e7f35p-19, 0x1.8b2ae4e4ae6abp-19, 0x1.ce4fdc9d4f706p-19, 0x1.08c4741baeabbp-18, 0x1.2a66e8fdd5fa2p-18, 0x1.4c0b4ec16a2fep-18, 0x1.6dadc363be4a3p-18, 0x1.8f4a80737f75ap-18, 0x1.b0ddda89be03cp-18, 0x1.d26440d43f4b1p-18, 0x1.f3da3c7fb20a1p-18, 0x1.0a9e3824c8e1bp-17, 0x1.1b43cbf774f15p-17, 0x1.2bdc43e0eab9bp-17, 0x1.3c661611122e1p-17, 0x1.4cdfc485d5a73p-17, 0x1.5d47dccff6a98p-17, 0x1.6d9cf7d7c31b2p-17, 0x1.7dddb9a524d3dp-17, 0x1.8e08d12c7fc64p-17, 0x1.9e1cf80cc4871p-17, 0x1.ae18f2642d0bdp-17, 0x1.bdfb8e9ae2df7p-17, 0x1.cdc3a527500a8p-17, 0x1.dd70185fbbfbdp-17, 0x1.ecffd448a492dp-17, 0x1.fc71ce6384b0ep-17, 0x1.05e282be09664p-16, 0x1.0d7c40bdf02bdp-16, 0x1.1505a99d45be4p-16, 0x1.1c7e4a26d4661p-16, 0x1.23e5b36d943c5p-16, 0x1.2b3b7ab97e9a8p-16, 0x1.327f396ed99bcp-16, 0x1.39b08cf9aeca4p-16, 0x1.40cf16b7cf6cfp-16, 0x1.47da7be6347ap-16, 0x1.4ed2658af251bp-16, 0x1.55b680613572bp-16, 0x1.5c867cc73b303p-16, 0x1.63420ea8de2fap-16, 0x1.69e8ed6e50f43p-16, }}, 
      {{-0x1.493fd595c097p-3, -0x1.49a7483058416p-3, -0x1.4a51a8bd097b5p-3, -0x1.4b3c1b1ea233bp-3, -0x1.4c62eb50b3c58p-3, -0x1.4dc1c034ae1acp-3, -0x1.4f53cd2fa6e6p-3, -0x1.5114006c4079dp-3, -0x1.52fd2c0ad096ep-3, -0x1.550a291e77358p-3, -0x1.5735f3fdf5788p-3, -0x1.597bc20820865p-3, -0x1.5bd7116d79e4ap-3, -0x1.5e43b3d34d1c6p-3, -0x1.60bdd4bd91078p-3, -0x1.6341fca6235e4p-3, -0x1.65cd118dc04f9p-3, -0x1.685c55afc129fp-3, -0x1.6aed64dcc0d1dp-3, -0x1.6d7e30ded7ea1p-3, -0x1.700cfd2e95e08p-3, -0x1.72985a2adf67p-3, -0x1.751f1ff73c264p-3, -0x1.77a0691a9e38cp-3, -0x1.7a1b8cf31d064p-3, -0x1.7c901a104a0c1p-3, -0x1.7efdd08487b64p-3, -0x1.81649c3d5810fp-3, -0x1.83c48f7255619p-3, -0x1.861ddd39ff3f2p-3, -0x1.8870d452b72c4p-3, -0x1.8abdda2ce7dcfp-3, -0x1.8d05664198c0fp-3, -0x1.8f47fdbe9fa99p-3, -0x1.91862f8f43714p-3, -0x1.93c090c5fdacap-3, -0x1.95f7b9696f8eep-3, -0x1.982c41a4ad304p-3, -0x1.9a5ebf58f4653p-3, -0x1.9c8fc40d2ac21p-3, -0x1.9ebfdb362a00ep-3, -0x1.a0ef88d1bdf6p-3, -0x1.a31f484d7cc58p-3, -0x1.a54f8bb21a974p-3, -0x1.a780bb0b93a74p-3, -0x1.a9b33406a81dap-3, -0x1.abe749bc2435dp-3, -0x1.ae1d44a2ea647p-3, -0x1.b05562a2197p-3, -0x1.b28fd73d328a7p-3, -0x1.b4cccbd4bba5bp-3, -0x1.b70c5ff6815ddp-3, -0x1.b94ea9b92cf53p-3, -0x1.bb93b61f93adep-3, -0x1.bddb8980a1b09p-3, -0x1.c0261ff177e76p-3, -0x1.c2736dafa0b7p-3, -0x1.c4c35f89e945fp-3, -0x1.c715db46ac557p-3, -0x1.c96ac006c7e29p-3, -0x1.cbc1e6a4c1877p-3, -0x1.ce1b220fd9683p-3, -0x1.d0763fa2f76f2p-3, -0x1.d2d307779b4f1p-3, -0x1.d5313cb4fc282p-3, -0x1.d7909ddbae021p-3, -0x1.d9f0e50e25f3dp-3, -0x1.dc51c85684c34p-3, -0x1.deb2f9ea0296fp-3, -0x1.e114286a743afp-3, -0x1.e374ff2626aaep-3, -0x1.e5d526568b24ep-3, -0x1.e834435ddd1cbp-3, -0x1.ea91f90414be4p-3, -0x1.ecede7b351fa9p-3, -0x1.ef47adb3e6d26p-3, -0x1.f19ee7681d058p-3, -0x1.f3f32f87c294fp-3, -0x1.f6441f5b8a4a1p-3, -0x1.f8914ef82dca2p-3, -0x1.fada55794e929p-3, -0x1.fd1ec93c00c14p-3, -0x1.ff5e4018dab82p-3, -0x1.00cc27cebc01cp-2, -0x1.01e646a29c0ccp-2, -0x1.02fd475894ff3p-2, -0x1.0410f4ef739d6p-2, -0x1.05211aaf22c1ap-2, -0x1.062d8442d362ep-2, -0x1.0735fdd2670dp-2, -0x1.083a541b057b9p-2, -0x1.093a5486cca0ap-2, -0x1.0a35cd43889edp-2, -0x1.0b2c8d5867d68p-2, -0x1.0c1e64ba9b319p-2, -0x1.0d0b2460d6ccap-2, -0x1.0df29e55a8e16p-2, -0x1.0ed4a5c8a3dd2p-2, -0x1.0fb10f1e4c3f5p-2, -0x1.1087affece34cp-2, -0x1.11585f63768a9p-2, -0x1.1222f5a2eb02bp-2, -0x1.12e74c7c27c21p-2, -0x1.13a53f204167dp-2, -0x1.145caa3af2663p-2, -0x1.150d6bf9f55fcp-2, -0x1.15b7641339ba3p-2, -0x1.165a73c9f186ap-2, -0x1.16f67df28c87fp-2, -0x1.178b66f59f07ep-2, -0x1.181914d1c8432p-2, -0x1.189f6f1c9d44ap-2, -0x1.191e5f02a956p-2, -0x1.1995cf468b0f4p-2, -0x1.1a05ac3f3ebbcp-2, -0x1.1a6de3d59fc15p-2, -0x1.1ace6581306eep-2, -0x1.1b27224433a11p-2, -0x1.1b780ca7256eep-2, -0x1.1bc118b39ebebp-2, -0x1.1c023beeb0f4ap-2, -0x1.1c3b6d52c8ae9p-2, -0x1.1c6ca5491e278p-2, -0x1.1c95dda2c1532p-2, -0x1.1cb711915189ap-2, -0x1.1cd03d9f61316p-2, -0x1.1ce15fa89c47ap-2, -0x1.1cea76d1b0751p-2, -0x1.1ceb83800764dp-2, -0x1.1ce487515bb99p-2, -0x1.1cd585132b441p-2, -0x1.1cbe80ba156f1p-2, -0x1.1c9f7f5929d5cp-2, -0x1.1c7887192eeffp-2, -0x1.1c499f2fe61a8p-2, -0x1.1c12cfd752b4p-2, -0x1.1bd422450edbap-2, -0x1.1b8da0a1a88b4p-2, -0x1.1b3f56001833cp-2, -0x1.1ae94e5548f12p-2, -0x1.1a8b966fbea65p-2, -0x1.1a263bef5a016p-2, -0x1.19b94d3d3c9b1p-2, -0x1.1944d983d126p-2, -0x1.18c8f0a6f81fap-2, -0x1.1845a33c5e48ap-2, -0x1.17bb0283f8f06p-2, -0x1.17292060affdbp-2, -0x1.16900f51306dfp-2, -0x1.15efe268ed01bp-2, -0x1.1548ad494841ap-2, -0x1.149a841af0354p-2, -0x1.13e57b875fecdp-2, -0x1.1329a8b296b32p-2, -0x1.12672134f18dap-2, -0x1.119dfb1539f34p-2, -0x1.10ce4cc2da568p-2, -0x1.0ff82d103ffc6p-2, -0x1.0f1bb32d669aep-2, -0x1.0e38f6a28b8d1p-2, -0x1.0d500f4b0c20bp-2, -0x1.0c6115506b79p-2, -0x1.0b6c212579de5p-2, -0x1.0a714b81a8796p-2, -0x1.0970ad5c7bd7dp-2, -0x1.086a5fe924b4p-2, -0x1.075e7c9238676p-2, -0x1.064d1cf58baabp-2, -0x1.05365ae02d011p-2, -0x1.041a504a7d7b7p-2, -0x1.02f9175464c09p-2, -0x1.01d2ca41a5a1p-2, -0x1.00a7837649895p-2, -0x1.feeebae651167p-3, -0x1.fc84e5a5124bdp-3, -0x1.fa11bc89b07edp-3, -0x1.f795751af37d3p-3, -0x1.f51044ff581dcp-3, -0x1.f28261f704232p-3, -0x1.efec01d5e6fbcp-3, -0x1.ed4d5a7df787bp-3, -0x1.eaa6a1d9a3217p-3, -0x1.e7f80dd651c28p-3, -0x1.e541d45f1b6a5p-3, -0x1.e2842b5791bffp-3, -0x1.dfbf4896b0687p-3, -0x1.dcf361e1e6de9p-3, -0x1.da20ace8457a3p-3, -0x1.d7475f3dbeb2ep-3, -0x1.d467ae5689cfp-3, -0x1.d181cf829aaf6p-3, -0x1.ce95f7e93b07dp-3, -0x1.cba45c84ac634p-3, -0x1.c8ad321df7043p-3, -0x1.c5b0ad48be0c4p-3, -0x1.c2af025f30aa9p-3, -0x1.bfa8657e18514p-3, -0x1.bc9d0a80edf41p-3, -0x1.b98d24fe12769p-3, -0x1.b678e843144bcp-3, -0x1.b36087510951p-3, -0x1.b04434d903ed7p-3, -0x1.ad24233892bf9p-3, -0x1.aa0084765c70ap-3, -0x1.a6d98a3eca7c1p-3, -0x1.a3af65e0c913p-3, -0x1.a082484a9a5a7p-3, -0x1.9d526206bfa6p-3, -0x1.9a1fe338ef03bp-3, -0x1.96eafb9b27915p-3, -0x1.93b3da7ace9cdp-3, -0x1.907aaeb5e3a3ep-3, -0x1.8d3fa6b84dd6p-3, -0x1.8a02f0793423dp-3, -0x1.86c4b9786d0f5p-3, -0x1.83852ebc0559ep-3, -0x1.80447ccdd3e4bp-3, -0x1.7d02cfb92631bp-3, -0x1.79c053087e7c7p-3, -0x1.767d31c36a73dp-3, -0x1.7339966c63a0fp-3, -0x1.6ff5aafed2fcep-3, -0x1.6cb198ed18ecdp-3, -0x1.696d891eb6aa9p-3, -0x1.6629a3ee823b9p-3, -0x1.62e61128f84fcp-3, -0x1.5fa2f80a97cdap-3, -0x1.5c607f3e5983ep-3, -0x1.591eccdc3c166p-3, -0x1.55de0667e0a16p-3, -0x1.529e50cf3c791p-3, -0x1.4f5fd069638a6p-3, -0x1.4c22a8f56372p-3, -0x1.48e6fd9931ed5p-3, -0x1.45acf0e0b5aeep-3, -0x1.4274a4bcdb835p-3, -0x1.3f3e3a82c4178p-3, -0x1.3c09d2eb097e1p-3, -0x1.38d78e110e62bp-3, -0x1.35a78b726ce6dp-3, -0x1.3279e9ee70eecp-3, -0x1.2f4ec7c5ab0f5p-3, -0x1.2c26429990acep-3, -0x1.2900776c375fbp-3, -0x1.25dd82a0202dp-3, -0x1.22bd7ff810d2fp-3, -0x1.1fa08a9706972p-3, -0x1.1c86bd003aac3p-3, -0x1.1970311733c9dp-3, -0x1.165d001feea2ap-3, -0x1.134d42bf163p-3, -0x1.104110fa4e762p-3, -0x1.0d3882388c7a2p-3, -0x1.0a33ad4286d93p-3, -0x1.0732a8432e4ap-3, -0x1.043588c83ebf9p-3, -0x1.013c63c2d5d32p-3, -0x1.fc8e9b1048e44p-4, -0x1.f6acb3a450ef4p-4, -0x1.f0d33780ec349p-4, -0x1.eb024bb225e44p-4, -0x1.e53a1412b1d26p-4, -0x1.df7ab34de1d72p-4, -0x1.d9c44ae1a3fbbp-4, -0x1.d416fb20a050bp-4, -0x1.ce72e33474ad7p-4, -0x1.c8d82120058b2p-4, -0x1.c346d1c1e077ep-4, -0x1.bdbf10d6c8c21p-4, -0x1.b840f8fc4261ap-4, -0x1.b2cca3b340109p-4, -0x1.ad622962ebc66p-4, -0x1.a801a15b6f346p-4, -0x1.a2ab21d8e83cp-4, -0x1.9d5ec006565c4p-4, -0x1.981c9000b1a3cp-4, -0x1.92e4a4da030abp-4, -0x1.8db7109c8f18cp-4, -0x1.8893e44e157a3p-4, -0x1.837b2ff319e8p-4, -0x1.7e6d02923c5e2p-4, -0x1.79696a379f0a3p-4, -0x1.747073f856c93p-4, -0x1.6f822bf5e92fcp-4, -0x1.6a9e9d61d3e6ap-4, -0x1.65c5d2811d2cp-4, -0x1.60f7d4afefc49p-4, -0x1.5c34ac653eaa4p-4, -0x1.577c61366da81p-4, -0x1.52cef9db0645dp-4, -0x1.4e2c7c3070395p-4, -0x1.4994ed3dadb5fp-4, -0x1.4508513720e25p-4, -0x1.4086ab825201cp-4, -0x1.3c0ffeb9bcd4ap-4, -0x1.37a44cb09d447p-4, -0x1.33439676c1b0bp-4, -0x1.2eeddc5c5ea4bp-4, -0x1.2aa31df5e151ap-4, -0x1.26635a1fc6148p-4, -0x1.222e8f026d0cfp-4, -0x1.1e04ba15eeb3cp-4, -0x1.19e5d825efbd7p-4, -0x1.15d1e55574a2ap-4, -0x1.11c8dd22af005p-4, -0x1.0dcaba6aced6bp-4, -0x1.09d7776dc9c1p-4, -0x1.05ef0dd225b27p-4, -0x1.021176a8b9517p-4, -0x1.fc7d54e0dc2b3p-5, -0x1.f4ed4233ec83fp-5, -0x1.ed72a4170cc8bp-5, -0x1.e60d684903451p-5, -0x1.debd7b8246c86p-5, -0x1.d782c97c46b73p-5, -0x1.d05d3cf8a3a18p-5, -0x1.c94cbfc8558d5p-5, -0x1.c2513ad2cc45fp-5, -0x1.bb6a961cf5a1bp-5, -0x1.b498b8d03edb3p-5, -0x1.addb89417c94fp-5, -0x1.a732ecf7c4701p-5, -0x1.a09ec8b337282p-5, -0x1.9a1f0073b42a1p-5, -0x1.93b3777f7ebe5p-5, -0x1.8d5c1069caebep-5, -0x1.8718ad193c48ap-5, -0x1.80e92ece4e44ep-5, -0x1.7acd7629a4e42p-5, -0x1.74c5633251259p-5, -0x1.6ed0d55bf4596p-5, -0x1.68efab8cd9f67p-5, -0x1.6321c423f387ap-5, -0x1.5d66fcfec1999p-5, -0x1.57bf337f289a1p-5, -0x1.522a44912bae2p-5, -0x1.4ca80cb091039p-5, -0x1.473867ee72c89p-5, -0x1.41db31f6b50bbp-5, -0x1.3c904615689c2p-5, -0x1.37577f3c11c3ep-5, -0x1.3230b806de78fp-5, -0x1.2d1bcac1bb7b5p-5, -0x1.2818916d5e314p-5, -0x1.2326e5c429eb5p-5, -0x1.1e46a13f09e6ep-5, -0x1.19779d1a2820cp-5, -0x1.14b9b2599723ap-5, -0x1.100cb9cddd942p-5, -0x1.0b708c1869dp-5, -0x1.06e501aff503fp-5, -0x1.0269f2e4c52e6p-5, -0x1.fbfe6fc9c0b7bp-6, -0x1.f34951804124fp-6, -0x1.eab43ad872a0ep-6, -0x1.e23edb913d917p-6, -0x1.d9e8e344ae9dbp-6, -0x1.d1b2016f74ee8p-6, -0x1.c999e57828d7ep-6, -0x1.c1a03eb666e0bp-6, -0x1.b9c4bc79c4178p-6, -0x1.b2070e108d9f8p-6, -0x1.aa66e2ce645b2p-6, -0x1.a2e3ea12a3cf2p-6, -0x1.9b7dd34ea5d6dp-6, -0x1.94344e0bd2f99p-6, -0x1.8d0709f19262p-6, -0x1.85f5b6cb0892ep-6, -0x1.7f00048ca6f63p-6, -0x1.7825a359a2179p-6, -0x1.716643893046bp-6, -0x1.6ac195aba6735p-6, -0x1.64374a8f68b41p-6, -0x1.5dc71345bc8a9p-6, -0x1.5770a12769327p-6, -0x1.5133a5d936dc3p-6, -0x1.4b0fd3504a05ep-6, -0x1.4504dbd653323p-6, -0x1.3f12720da05dcp-6, -0x1.393848f505a39p-6, -0x1.337613eba5834p-6, -0x1.2dcb86b48d869p-6, -0x1.2838557a409a4p-6, -0x1.22bc34d20bedp-6, -0x1.1d56d9bf49824p-6, -0x1.1807f9b6794p-6, -0x1.12cf4aa03a533p-6, -0x1.0dac82dc2a899p-6, -0x1.089f59439d909p-6, -0x1.03a7852c3cfa5p-6, -0x1.fd897cd504873p-7, -0x1.f3ed7aa83e83cp-7, -0x1.ea7a758475e15p-7, -0x1.e12fe0273514fp-7, -0x1.d80d2e5d5cf8fp-7, -0x1.cf11d5070667dp-7, -0x1.c63d4a1b204ap-7, -0x1.bd8f04aaf0153p-7, -0x1.b5067ce54d55bp-7, -0x1.aca32c19b196dp-7, -0x1.a4648cbb20e34p-7, -0x1.9c4a1a62c3753p-7, -0x1.945351d26d1afp-7, -0x1.8c7fb0f6f8fa4p-7, -0x1.84ceb6ea5d8d6p-7, -0x1.7d3fe3f5a5e26p-7, -0x1.75d2b992c3725p-7, -0x1.6e86ba6e2eb6cp-7, -0x1.675b6a6861befp-7, -0x1.60504e972724ap-7, -0x1.5964ed46c3008p-7, -0x1.5298cdfb028a1p-7, -0x1.4beb7970109bp-7, -0x1.455c799b389bp-7, -0x1.3eeb59ab7e36fp-7, -0x1.3897a60a19ca1p-7, -0x1.3260ec5ac6327p-7, -0x1.2c46bb7bff29p-7, -0x1.2648a3871736bp-7, -0x1.206635d02fd28p-7, -0x1.1a9f04e6169e5p-7, -0x1.14f2a492053a1p-7, -0x1.0f60a9d749719p-7, -0x1.09e8aaf2c4761p-7, -0x1.048a3f5a65974p-7, -0x1.fe89ff78f2b58p-8, -0x1.f4310bfde435ep-8, -0x1.ea08da7d02feep-8, -0x1.e010a39b6c5e2p-8, -0x1.d647a267daa0ap-8, -0x1.ccad14587cd2p-8, -0x1.c340394892cefp-8, -0x1.ba005375f04b5p-8, -0x1.b0eca77e4d2d2p-8, -0x1.a8047c5c74b12p-8, -0x1.9f471b656754ap-8, -0x1.96b3d0452b1e9p-8, -0x1.8e49e8fbbbb72p-8, -0x1.8608b5d99a3bap-8, -0x1.7def897c76afbp-8, -0x1.75fdb8cb9bc9bp-8, -0x1.6e329af445a31p-8, -0x1.668d8965ed265p-8, -0x1.5f0ddfce63a2bp-8, -0x1.57b2fc15f6429p-8, -0x1.507c3e5b5784bp-8, -0x1.496908ef86be1p-8, -0x1.4278c051b31a5p-8, -0x1.3baacb2ae3c83p-8, -0x1.34fe9249b151bp-8, -0x1.2e73809de1f6p-8, -0x1.28090333f0572p-8, -0x1.21be89308fe77p-8, -0x1.1b9383cc1217ep-8, -0x1.1587664dce9fep-8, -0x1.0f99a6077a511p-8, -0x1.09c9ba506c2f6p-8, -0x1.04171c80e55a2p-8, -0x1.fd028fda832f5p-9, -0x1.f20f73c243f11p-9, -0x1.e753e33532e5p-9, -0x1.dccee08a9521bp-9, -0x1.d27f71eaf4e47p-9, -0x1.c864a146454cdp-9, -0x1.be7d7c49fec6fp-9, -0x1.b4c914573db58p-9, -0x1.ab467e78b533bp-9, -0x1.a1f4d358b97b1p-9, -0x1.98d32f3741488p-9, -0x1.8fe0b1dfe22f2p-9, -0x1.871c7e9fc2ca2p-9, -0x1.7e85bc3b88fcep-9, -0x1.761b94e559177p-9, -0x1.6ddd3632d0793p-9, -0x1.65c9d112ec802p-9, -0x1.5de099c41f112p-9, -0x1.5620c7ca1f92cp-9, -0x1.4e8995e4240ccp-9, -0x1.471a4202c6673p-9, -0x1.3fd20d3e1080bp-9, -0x1.38b03bcba2bacp-9, -0x1.31b414f4c3712p-9, -0x1.2adce30c9428dp-9, -0x1.2429f36629791p-9, -0x1.1d9a964adabp-9, -0x1.172e1ef070402p-9, -0x1.10e3e36f91cb5p-9, -0x1.0abb3cba0182dp-9, -0x1.04b3869110f39p-9, -0x1.fd983ef83386p-10, -0x1.f208d17df4b97p-10, -0x1.e6b78ca16b0ecp-10, -0x1.dba33da3f3892p-10, -0x1.d0cab707d2dbcp-10, -0x1.c62cd07daa9edp-10, -0x1.bbc866d1f0c46p-10, -0x1.b19c5bdac901ep-10, -0x1.a7a796661e666p-10, -0x1.9de9022747d8fp-10, -0x1.945f8fa57860dp-10, -0x1.8b0a3429d31abp-10, -0x1.81e7e9ae2b71p-10, -0x1.78f7aecb32f6ap-10, -0x1.703886a7ac76ap-10, -0x1.67a978e6e77fp-10, -0x1.5f499197fd925p-10, -0x1.5717e12500b7p-10, -0x1.4f137c4253afp-10, -0x1.473b7bde19d3fp-10, -0x1.3f8efd0ff3832p-10, -0x1.380d2108c14b8p-10, -0x1.30b50d02b0498p-10, -0x1.2985ea3144434p-10, -0x1.227ee5b1c7196p-10, -0x1.1b9f307bacf53p-10, -0x1.14e5ff512a016p-10, -0x1.0e528ab01a534p-10, -0x1.07e40ec2e0d26p-10, -0x1.0199cb519833ep-10, -0x1.f6e607668f5a9p-11, -0x1.eaddfd7edc3e5p-11, -0x1.df1a0d7f49564p-11, -0x1.d398d2c28b5bdp-11, -0x1.c858ef4f153cdp-11, -0x1.bd590bbb03031p-11, -0x1.b297d7111dc1fp-11, -0x1.a81406b527feap-11, -0x1.9dcc5649ea33cp-11, -0x1.93bf8795ee03ap-11, -0x1.89ec6269f3e4ep-11, -0x1.8051b486d7576p-11, -0x1.76ee51844617dp-11, -0x1.6dc112b7e4fd4p-11, -0x1.64c8d71bd361cp-11, -0x1.5c048336dee3fp-11, -0x1.53730104074adp-11, -0x1.4b133fdac772p-11, -0x1.42e434577dbc4p-11, -0x1.3ae4d84459615p-11, -0x1.33142a8245419p-11, -0x1.2b712ef2a3b17p-11, -0x1.23faee60d3192p-11, -0x1.1cb0766c7522fp-11, -0x1.1590d9735ec46p-11, -0x1.0e9b2e7cfc0cfp-11, -0x1.07ce91247f029p-11, -0x1.012a2184c9df3p-11, -0x1.f55a08477bdc6p-12, -0x1.e8acc3bc0639ap-12, -0x1.dc4acfa70cc54p-12, -0x1.d0328ea72f1fap-12, -0x1.c4626b93d020dp-12, -0x1.b8d8d956fdbfdp-12, -0x1.ad9452c84b45dp-12, -0x1.a2935a87557c3p-12, -0x1.97d47ad8e8248p-12, -0x1.8d5645818ec2cp-12, -0x1.831753a4491a3p-12, -0x1.7916459e6dbcdp-12, -0x1.6f51c2e6be754p-12, -0x1.65c879eb3d62bp-12, -0x1.5c791ff053d9bp-12, -0x1.536270f085554p-12, -0x1.4a832f7c86626p-12, -0x1.41da249b722bap-12, -0x1.39661fac88bb5p-12, -0x1.3125f647d5919p-12, -0x1.2918842156304p-12, -0x1.213caaea3a439p-12, -0x1.19915235806dbp-12, -0x1.12156759e5ap-12, -0x1.0ac7dd56da9f8p-12, -0x1.03a7acb8d7db4p-12, -0x1.f967a6fc1fac3p-13, -0x1.ebd6a9f7802eep-13, -0x1.de9a7388ac75p-13, -0x1.d1b11f1a7ed81p-13, -0x1.c518d22c10a6bp-13, -0x1.b8cfbc1e21ca4p-13, -0x1.acd41602a5dd3p-13, -0x1.a124226ceb471p-13, -0x1.95be2d41b13b8p-13, -0x1.8aa08b896243p-13, -0x1.7fc99b41e47afp-13, -0x1.7537c33274403p-13, -0x1.6ae972be9dac1p-13, -0x1.60dd21bbca4bp-13, -0x1.57115046f2db1p-13, -0x1.4d84869971a99p-13, -0x1.443554e1c78bcp-13, -0x1.3b22531a0ac45p-13, -0x1.324a20e136b1fp-13, -0x1.29ab65533e713p-13, -0x1.2144cee44207ep-13, -0x1.19151339ee4b3p-13, -0x1.111aef0717d33p-13, -0x1.095525e810623p-13, -0x1.01c2823e5bf73p-13, -0x1.f4c3aa1cf0cf2p-14, -0x1.e663ebbb6fc3dp-14, -0x1.d863852060522p-14, -0x1.cac03e900af8ep-14, -0x1.bd77ec8be51c3p-14, -0x1.b0886f8fbe8c1p-14, -0x1.a3efb3d69a9d5p-14, -0x1.97abb11c028fp-14, -0x1.8bba6a6062841p-14, -0x1.8019edaeac033p-14, -0x1.74c853e1bc1cep-14, -0x1.69c3c06c50645p-14, -0x1.5f0a6121b689dp-14, -0x1.549a6dfec0971p-14, -0x1.4a7228f4bc904p-14, -0x1.408fddb430746p-14, -0x1.36f1e17abd48fp-14, -0x1.2d9692dfc34afp-14, -0x1.247c59a2ba12cp-14, -0x1.1ba1a67c19578p-14, -0x1.1304f2eb2ade5p-14, -0x1.0aa4c109f83cfp-14, -0x1.027f9b5e54c33p-14, -0x1.f5282958f0109p-15, -0x1.e5c18f9946755p-15, -0x1.d6c8aefc35f2ap-15, -0x1.c83adc7d3456dp-15, -0x1.ba157c3dec231p-15, -0x1.ac560138f40d8p-15, -0x1.9ef9ecef413b8p-15, -0x1.91fecf1b169b8p-15, -0x1.85624562eb3d5p-15, -0x1.7921fb100d3abp-15, -0x1.6d3ba8c22c59dp-15, -0x1.61ad1429aa08bp-15, -0x1.56740fc0a6e2cp-15, -0x1.4b8e7a838ff3ep-15, -0x1.40fa3fb18157ep-15, -0x1.36b556852ea45p-15, -0x1.2cbdc1f64555ep-15, -0x1.23119078e4882p-15, -0x1.19aedbc03de11p-15, -0x1.1093c87e9c518p-15, -0x1.07be862ceec4fp-15, -0x1.fe5a9d98f2349p-16, -0x1.edbccd5e42c3cp-16, -0x1.dda0387e710bdp-16, -0x1.ce018f8d453d6p-16, -0x1.bedd96745fb56p-16, -0x1.b031240670e3ep-16, -0x1.a1f92199c875dp-16, -0x1.94328aa174486p-16, -0x1.86da6c47d8f0bp-16, -0x1.79ede50ed5145p-16, -0x1.6d6a246fdc1cp-16, -0x1.614c6a7f724fcp-16, -0x1.5592078d46d15p-16, -0x1.4a385bcf99fa9p-16, -0x1.3f3cd707ed297p-16, -0x1.349cf82c08f3ep-16, -0x1.2a564d14cfbeep-16, -0x1.206672292ea91p-16, -0x1.16cb120d8ea82p-16, -0x1.0d81e556d8c8ep-16, -0x1.0488b23801a17p-16, -0x1.f7ba9876db582p-17, -0x1.e6fb27e9e159fp-17, -0x1.d6ceed76a664cp-17, -0x1.c731dcbce4afcp-17, -0x1.b82001c8c38c2p-17, -0x1.a9958086066b9p-17, -0x1.9b8e943bc621dp-17, -0x1.8e078f089ee11p-17, -0x1.80fcd964efc6ep-17, -0x1.746af1a2db639p-17, -0x1.684e6b747af75p-17, -0x1.5ca3ef733c005p-17, -0x1.51683aab0ee36p-17, -0x1.46981e259f3bcp-17, -0x1.3c307e7ad84b5p-17, -0x1.322e536427d4fp-17, -0x1.288ea74ba8f6p-17, -0x1.1f4e96e7e6228p-17, -0x1.166b50d116da4p-17, -0x1.0de2151b4631cp-17, -0x1.05b034f8ab882p-17, -0x1.fba6249dd55eap-18, -0x1.ec903ec76f8ddp-18, -0x1.de19bceb6735p-18, -0x1.d03dc2d313f83p-18, -0x1.c2f792d95f938p-18, -0x1.b6428d3b5c23cp-18, -0x1.aa1a2f73bd9f5p-18, -0x1.9e7a139091025p-18, -0x1.935def92208f2p-18, -0x1.88c194c6c3bebp-18, -0x1.7ea0ef357681cp-18, -0x1.74f80502b7b7bp-18, -0x1.6bc2f5d6aa2d8p-18, -0x1.62fdfa51fae84p-18, -0x1.5aa5637701fc4p-18, -0x1.52b59a2476178p-18, -0x1.4b2b1e87c030fp-18, -0x1.4402879a46945p-18, -0x1.3d388297a6221p-18, -0x1.36c9d28b56765p-18, -0x1.30b34fc1c11dcp-18, -0x1.2af1e75a0619ep-18, -0x1.25829ac7b5b08p-18, -0x1.20627f5f9fdcp-18, -0x1.1b8ebde2a6b7dp-18, -0x1.1704920f349e8p-18, -0x1.12c14a32a79ep-18, -0x1.0ec246bd399f5p-18, -0x1.0b04f9d65f044p-18, -0x1.0786e6facedd4p-18, -0x1.0445a294a0791p-18, -0x1.013ed1967127dp-18, -0x1.fce052394c71ap-19, -0x1.f7aedc244718bp-19, -0x1.f2e4e99a7337cp-19, -0x1.ee7e4177e3b59p-19, -0x1.ea76c80cc3e3dp-19, -0x1.e6ca7e7a0156dp-19, -0x1.e37581f69bd76p-19, -0x1.e0740b44dc619p-19, -0x1.ddc26df990cfp-19, -0x1.db5d17e35d7eap-19, -0x1.d9409075911cap-19, -0x1.d769782b9d1e6p-19, -0x1.d5d487f435a1ep-19, -0x1.d47e90a13484cp-19, -0x1.d3647a5886cdap-19, -0x1.d283440bfb2c9p-19, -0x1.d1d802f24f43ap-19, -0x1.d15fe1fc8a62ep-19, -0x1.d11821577bf82p-19, -0x1.d0fe15e9a3b07p-19, -0x1.d10f28dd145ffp-19, -0x1.d148d71f551ebp-19, -0x1.d1a8b0ece61efp-19, -0x1.d22c595c0184ep-19, -0x1.d2d185ebfa902p-19, -0x1.d395fe192374ep-19, -0x1.d4779ae29bb7ap-19, -0x1.d574466e650c4p-19, -0x1.d689fb9b2c76cp-19, -0x1.d7b6c597c4b79p-19, -0x1.d8f8bf800b1a3p-19, -0x1.da4e1401e008ap-19, -0x1.dbb4fcf4aa1c9p-19, -0x1.dd2bc30084347p-19, -0x1.deb0bd450a1c8p-19, -0x1.e04250fa23387p-19, -0x1.e1def119b5a7ep-19, -0x1.e3851e0ff8c95p-19, -0x1.e533655f4f4dp-19, -0x1.e6e8615558e63p-19, -0x1.e8a2b8b65003ep-19, -0x1.ea611e71bcf8p-19, -0x1.ec2251530ecedp-19, -0x1.ede51bb921ebp-19, -0x1.efa8534ba8c2ap-19, -0x1.f16ad8b3f82eap-19, -0x1.f32b975612903p-19, -0x1.f4e98509f4ad5p-19, -0x1.f6a3a1e176a96p-19, -0x1.f858f7dc15214p-19, -0x1.fa089aaa8ff35p-19, -0x1.fbb1a770fd003p-19, -0x1.fd534489fa92dp-19, -0x1.feeca1490908fp-19, -0x1.003e7adee6af9p-18, -0x1.0101c1400a387p-18, -0x1.01bfc839fce64p-18, -0x1.027838496ae32p-18, -0x1.032abdda4dfa2p-18, -0x1.03d7092fcba9ap-18, -0x1.047cce47dceffp-18, -0x1.051bc4c3d6b56p-18, -0x1.05b3a7cf28ca4p-18, -0x1.064436085bea7p-18, -0x1.06cd3167b713fp-18, -0x1.074e5f29a0edcp-18, -0x1.07c787b81bbfap-18, -0x1.08387692e98e9p-18, -0x1.08a0fa3c33bcap-18, -0x1.0900e423c0dccp-18, -0x1.0958089078291p-18, -0x1.09a63e8cffa02p-18, -0x1.09eb5fd41c2a1p-18, -0x1.0a2748be10d2bp-18, -0x1.0a59d82d5318dp-18, -0x1.0a82ef7c40ea2p-18, -0x1.0aa2726af69e4p-18, -0x1.0ab8470e2a5ep-18, -0x1.0ac455bd38981p-18, -0x1.0ac68901d2f7dp-18, -0x1.0abecd877a541p-18, -0x1.0aad120b776f5p-18, -0x1.0a91474d584e9p-18, -0x1.0a6b5fff6fde1p-18, -0x1.0a3b50b70a125p-18, -0x1.0a010fdf3ab5cp-18, -0x1.09bc95a978b95p-18, -0x1.096ddc00d4326p-18, -0x1.0914de7a73675p-18, -0x1.08b19a48d001ep-18, -0x1.08440e301a8a8p-18, -0x1.07cc3a7754d46p-18, -0x1.074a20dd899bcp-18, -0x1.06bdc48c5d121p-18, -0x1.06272a0cc63d2p-18, -0x1.0586573af0be3p-18, -0x1.04db533b8245ap-18, -0x1.0426266fcfefep-18, -0x1.0366da6bdfa6bp-18, -0x1.029d79ea60f6dp-18, -0x1.01ca10c398c59p-18, -0x1.00ecabe32a33ep-18, -0x1.0005593c3817fp-18, -0x1.fe284f85550c1p-19, -0x1.fc324ec0c9689p-19, -0x1.fa28d1d8ae9f3p-19, -0x1.f80bfc41382eep-19, -0x1.f5dbf324e0735p-19, -0x1.f398dd5355eb3p-19, -0x1.f142e330039dp-19, -0x1.eeda2ea186fc6p-19, -0x1.ec5eeb03248dep-19, -0x1.e9d1451462b13p-19, -0x1.e7316ae87807fp-19, -0x1.e47f8bd982509p-19, -0x1.e1bbd879590e5p-19, -0x1.dee6828392dd9p-19, -0x1.dbffbcce1c286p-19, -0x1.d907bb3d1dd2fp-19, -0x1.d5feb2b8a6b43p-19, -0x1.d2e4d91b438acp-19, -0x1.cfba652765966p-19, -0x1.cc7f8e7c02509p-19, -0x1.c9348d8694b84p-19, -0x1.c5d99b79d36b4p-19, -0x1.c26ef24121ba7p-19, -0x1.bef4cc767d277p-19, -0x1.bb6b6556588a2p-19, -0x1.b7d2f8b60cfd7p-19, -0x1.b42bc2f93ab4fp-19, -0x1.b076010950eb2p-19, -0x1.acb1f04b3195bp-19, -0x1.a8dfce93f03f1p-19, -0x1.a4ffda21aa9bbp-19, }}, 
      std::vector<double>(850, 0.0), 
      {{-0x1.8fe7696b4e7e9p-8, -0x1.8e4f2b39f057cp-7, -0x1.28de1a8f4ab31p-6, -0x1.889e834ba4667p-6, -0x1.e616bac67a849p-6, -0x1.208f383b68bf5p-5, -0x1.4cd8e9e86da42p-5, -0x1.77f555041f9efp-5, -0x1.a1fc415bd6d5bp-5, -0x1.cb0c77cfa4dbfp-5, -0x1.f348416156cadp-5, -0x1.0d6943d206f39p-4, -0x1.20e657561482bp-4, -0x1.342a911141014p-4, -0x1.47433df13e4b4p-4, -0x1.5a3b90fa6bd83p-4, -0x1.6d1c9c9426e3bp-4, -0x1.7fed66f558b36p-4, -0x1.92b30dd7dd179p-4, -0x1.a570f11d1a4dp-4, -0x1.b828df2a82a72p-4, -0x1.cadb403367725p-4, -0x1.dd873f574d0c9p-4, -0x1.f02af183bb52dp-4, -0x1.0161bd44b021dp-3, -0x1.0aa6987ad8b14p-3, -0x1.13e1e0945b73p-3, -0x1.1d1127f3ca079p-3, -0x1.2631ce36d4b5ep-3, -0x1.2f4110e317d22p-3, -0x1.383c1b8735fdap-3, -0x1.41201714243cap-3, -0x1.49ea382ee6bdcp-3, -0x1.5297cc3e98c0ep-3, -0x1.5b264503ce894p-3, -0x1.639342931ebcp-3, -0x1.6bdc9b9b57099p-3, -0x1.740063ef00ed6p-3, -0x1.7bfcf156f0d1bp-3, -0x1.83d0dec040a01p-3, -0x1.8b7b0de277315p-3, -0x1.92faa7826d6aap-3, -0x1.9a4f1a7c0f481p-3, -0x1.a17819c004813p-3, -0x1.a87599737f729p-3, -0x1.af47cb5f6ad4bp-3, -0x1.b5ef1ada26102p-3, -0x1.bc6c28538a39dp-3, -0x1.c2bfc4a7045d3p-3, -0x1.c8eaec52eabd9p-3, -0x1.ceeec2afa6fd4p-3, -0x1.d4cc8d3c7275p-3, -0x1.da85af130bf38p-3, -0x1.e01ba48f80d95p-3, -0x1.e58fff3571eeap-3, -0x1.eae461d8d7456p-3, -0x1.f01a7d0d83426p-3, -0x1.f5340bde2fffbp-3, -0x1.fa32d0ca0d62p-3, -0x1.ff18930650697p-3, -0x1.01f38e000e5a8p-2, -0x1.04501a8d46b71p-2, -0x1.06a2d2d2023d6p-2, -0x1.08ec987ef8b0ep-2, -0x1.0b2e4a790b1bfp-2, -0x1.0d68c41856307p-2, -0x1.0f9cdc797e1adp-2, -0x1.11cb65df3368dp-2, -0x1.13f52d22337dbp-2, -0x1.161af92e2f13cp-2, -0x1.183d8a8a51c8p-2, -0x1.1a5d9aec559bbp-2, -0x1.1c7bdcd53e99cp-2, -0x1.1e98fb37227f9p-2, -0x1.20b599236d084p-2, -0x1.22d2518155a59p-2, -0x1.24efb6cc48a2dp-2, -0x1.270e52da1fa2fp-2, -0x1.292ea6a925f2bp-2, -0x1.2b512a35e1a7ep-2, -0x1.2d764c58ac1ap-2, -0x1.2f9e72ab28388p-2, -0x1.31c9f9759dc89p-2, -0x1.33f933a4464a4p-2, -0x1.362c6ac484edbp-2, -0x1.3863df0a0763dp-2, -0x1.3a9fc75bbae08p-2, -0x1.3ce0516873df9p-2, -0x1.3f25a1c31fc78p-2, -0x1.416fd40649df4p-2, -0x1.43befafeae1aep-2, -0x1.461320dc8be65p-2, -0x1.486c476b5d029p-2, -0x1.4aca684f8df1cp-2, -0x1.4d2d7549cca1dp-2, -0x1.4f95587f7311fp-2, -0x1.5201f4c79ab78p-2, -0x1.547325fc56756p-2, -0x1.56e8c14f8e517p-2, -0x1.596295a2f9699p-2, -0x1.5be06be2b5bb3p-2, -0x1.5e620761efae8p-2, -0x1.60e726391f21cp-2, -0x1.636f81a5512d6p-2, -0x1.65face6809a2fp-2, -0x1.6888bd273e7fbp-2, -0x1.6b18faccfb68ap-2, -0x1.6dab30e643a3p-2, -0x1.703f0600c6586p-2, -0x1.72d41e070cbefp-2, -0x1.756a1a9ac0f48p-2, -0x1.78009b6cc79dep-2, -0x1.7a973e92d92adp-2, -0x1.7d2da0da60413p-2, -0x1.7fc35e1862cfap-2, -0x1.825811763f3f4p-2, -0x1.84eb55bb1b763p-2, -0x1.877cc591d8ceep-2, -0x1.8a0bfbcb7d2edp-2, -0x1.8c98939ded9cbp-2, -0x1.8f2228defac72p-2, -0x1.91a8583ba9ee7p-2, -0x1.942abf6bc13b9p-2, -0x1.96a8fd6190091p-2, -0x1.9922b27608ac9p-2, -0x1.9b97809126784p-2, -0x1.9e070b4ebebe3p-2, -0x1.a070f81fcd1bfp-2, -0x1.a2d4ee6847ce2p-2, -0x1.a5329799a8089p-2, -0x1.a7899f4a3708p-2, -0x1.a9d9b349406a7p-2, -0x1.ac2283b050808p-2, -0x1.ae63c2f1988c2p-2, -0x1.b09d25e3a4e62p-2, -0x1.b2ce63ca86e9ap-2, -0x1.b4f7365e916d1p-2, -0x1.b71759d0d9ed6p-2, -0x1.b92e8ccd9a903p-2, -0x1.bb3c907c9b41p-2, -0x1.bd41287fcec4bp-2, -0x1.bf3c1af03c65dp-2, -0x1.c12d305969acdp-2, -0x1.c31433b357f0bp-2, -0x1.c4f0f25b43ec5p-2, -0x1.c6c33c0b430eep-2, -0x1.c88ae2d0df82cp-2, -0x1.ca47bb02d3779p-2, -0x1.cbf99b35ff632p-2, -0x1.cda05c31bae4ep-2, -0x1.cf3bd8e394f7ap-2, -0x1.d0cbee52a3fc1p-2, -0x1.d2507b9279d8bp-2, -0x1.d3c961b5d1bacp-2, -0x1.d53683c10fa9bp-2, -0x1.d697c69ca3136p-2, -0x1.d7ed1107608cdp-2, -0x1.d9364b88df87bp-2, -0x1.da736063f038cp-2, -0x1.dba43b8934ad8p-2, -0x1.dcc8ca89e9611p-2, -0x1.dde0fc8aeaf3cp-2, -0x1.deecc237ff9cdp-2, -0x1.dfec0db76f563p-2, -0x1.e0ded29df46fp-2, -0x1.e1c505e306468p-2, -0x1.e29e9dd584c93p-2, -0x1.e36b9210cfae6p-2, -0x1.e42bdb7242dd7p-2, -0x1.e4df740f2288dp-2, -0x1.e586572af45bbp-2, -0x1.e620812e4a901p-2, -0x1.e6adef9dfe4a3p-2, -0x1.e72ea112d9aa1p-2, -0x1.e7a29531b0b19p-2, -0x1.e809cca3ea50bp-2, -0x1.e864491072ffcp-2, -0x1.e8b20d151a39p-2, -0x1.e8f31c4054385p-2, -0x1.e9277b0b63869p-2, -0x1.e94f2ed4dd8fp-2, -0x1.e96a3ddb91b8ap-2, -0x1.e978af39c16c7p-2, -0x1.e97a8ae0b2b4ap-2, -0x1.e96fd99490b53p-2, -0x1.e958a4e89363p-2, -0x1.e934f73b75f55p-2, -0x1.e904dbb42845fp-2, -0x1.e8c85e3ec22ap-2, -0x1.e87f8b89ab918p-2, -0x1.e82a7102fe444p-2, -0x1.e7c91cd611d74p-2, -0x1.e75b9de9339d4p-2, -0x1.e6e203db877e1p-2, -0x1.e65c5f030808p-2, -0x1.e5cac06aa468fp-2, -0x1.e52d39d078cb4p-2, -0x1.e483dda41a0c9p-2, -0x1.e3cebf04f4ce8p-2, -0x1.e30df1c0b7154p-2, -0x1.e2418a51c7f9ap-2, -0x1.e1699dddc11dp-2, -0x1.e0864233ec834p-2, -0x1.df978dcbc5105p-2, -0x1.de9d97c36f8bep-2, -0x1.dd9877de301fdp-2, -0x1.dc884682d7ecap-2, -0x1.db6d1cba23a96p-2, -0x1.da47142d148c3p-2, -0x1.d91647233172ep-2, -0x1.d7dad080bd0cap-2, -0x1.d694cbc4d7582p-2, -0x1.d544550788b3bp-2, -0x1.d3e988f7bb557p-2, -0x1.d28484d9190edp-2, -0x1.d1156681d777fp-2, -0x1.cf9c4c5864004p-2, -0x1.ce195550fdf72p-2, -0x1.cc8ca0eb30082p-2, -0x1.caf64f2f33babp-2, -0x1.c95680ab37ea1p-2, -0x1.c7ad56708fee6p-2, -0x1.c5faf210c1592p-2, -0x1.c43f759a7f37fp-2, -0x1.c27b0396845c7p-2, -0x1.c0adbf0456c4p-2, -0x1.bed7cb56f10dfp-2, -0x1.bcf94c71511cfp-2, -0x1.bb1266a2efdap-2, -0x1.b9233ea42218dp-2, -0x1.b72bf9925e377p-2, -0x1.b52cbcec71785p-2, -0x1.b325ae8e9c4a5p-2, -0x1.b116f4ae99e57p-2, -0x1.af00b5d797a17p-2, -0x1.ace318e618117p-2, -0x1.aabe4503c4f87p-2, -0x1.a89261a3340c2p-2, -0x1.a65f967b985dfp-2, -0x1.a4260b846d2afp-2, -0x1.a1e5e8f10ce15p-2, -0x1.9f9f572c4430bp-2, -0x1.9d527ed3d7e89p-2, -0x1.9aff88b4019a3p-2, -0x1.98a69dc2ea78ap-2, -0x1.9647e71c19e7fp-2, -0x1.93e38dfbe55ddp-2, -0x1.9179bbbada8b5p-2, -0x1.8f0a99c927c39p-2, -0x1.8c9651aa07064p-2, -0x1.8a1d0cef24a49p-2, -0x1.879ef5340e406p-2, -0x1.851c34199f291p-2, -0x1.8294f34176d53p-2, -0x1.80095c49711e8p-2, -0x1.7d7998c7274a2p-2, -0x1.7ae5d2437a4cep-2, -0x1.784e323623381p-2, -0x1.75b2e20150d78p-2, -0x1.73140aed50bf7p-2, -0x1.7071d6244277dp-2, -0x1.6dcc6cadd849cp-2, -0x1.6b23f76b2a85dp-2, -0x1.68789f1294e7fp-2, -0x1.65ca8c2ba5226p-2, -0x1.6319e70b1ef59p-2, -0x1.6066d7cf0a656p-2, -0x1.5db1865adc51ep-2, -0x1.5afa1a53abd16p-2, -0x1.5840bb1c7fbabp-2, -0x1.55858fd2ae379p-2, -0x1.52c8bf4a53362p-2, -0x1.500a700adb14fp-2, -0x1.4d4ac84ba42e5p-2, -0x1.4a89edf0b741dp-2, -0x1.47c80687972d4p-2, -0x1.4505374427848p-2, -0x1.4241a4fdaa07bp-2, -0x1.3f7d742bd8affp-2, -0x1.3cb8c8e41234bp-2, -0x1.39f3c6d6a3987p-2, -0x1.372e914c2974ap-2, -0x1.34694b230a57dp-2, -0x1.31a416cd0953cp-2, -0x1.2edf164cf4414p-2, -0x1.2c1a6b346a33dp-2, -0x1.295636a1baff7p-2, -0x1.2692993de192p-2, -0x1.23cfb33a967d9p-2, -0x1.210da4507d562p-2, -0x1.1e4c8bbd6b216p-2, -0x1.1b8c8842c415bp-2, -0x1.18cdb823f8224p-2, -0x1.16103925102dap-2, -0x1.135428895c50ep-2, -0x1.1099a31235dccp-2, -0x1.0de0c4fddb522p-2, -0x1.0b29aa06648a9p-2, -0x1.08746d60d0d3ep-2, -0x1.05c129bc28d63p-2, -0x1.030ff940b98b8p-2, -0x1.0060f58f6a7c5p-2, -0x1.fb686f82441c5p-3, -0x1.f613b0cc96808p-3, -0x1.f0c3df0cca27fp-3, -0x1.eb79293f66c5dp-3, -0x1.e633bd4dfaad9p-3, -0x1.e0f3c80ec8247p-3, -0x1.dbb975449a473p-3, -0x1.d684ef9ec1859p-3, -0x1.d15660b937b2dp-3, -0x1.cc2df11cee4e8p-3, -0x1.c70bc8403b96ep-3, -0x1.c1f00c8771d3fp-3, -0x1.bcdae345972dep-3, -0x1.b7cc70bd4437bp-3, -0x1.b2c4d821a062p-3, -0x1.adc43b977fda3p-3, -0x1.a8cabc36a4998p-3, -0x1.a3d87a0b1b992p-3, -0x1.9eed9416bb73bp-3, -0x1.9a0a2852bba7bp-3, -0x1.952e53b167ff4p-3, -0x1.905a321ffaac7p-3, -0x1.8b8dde887f31p-3, -0x1.86c972d3db18cp-3, -0x1.820d07ebeaef9p-3, -0x1.7d58b5bdb6156p-3, -0x1.78ac933bbdd78p-3, -0x1.7408b66059bafp-3, -0x1.6f6d34302f0bdp-3, -0x1.6ada20bcbbc6ap-3, -0x1.664f8f26f0753p-3, -0x1.61cd91a1e1cc2p-3, -0x1.5d54397582322p-3, -0x1.58e397017a119p-3, -0x1.547bb9bffbc31p-3, -0x1.501cb048bb894p-3, -0x1.4bc68853e1642p-3, -0x1.47794ebd15478p-3, -0x1.43350f869179ep-3, -0x1.3ef9d5dc43066p-3, -0x1.3ac7ac16eb0fbp-3, -0x1.369e9bbf5a866p-3, -0x1.327ead91a5f49p-3, -0x1.2e67e9806bc2ap-3, -0x1.2a5a56b81d1f2p-3, -0x1.2655fba24fb2ap-3, -0x1.225adde91116p-3, -0x1.1e69027a45b83p-3, -0x1.1a806d8b06e21p-3, -0x1.16a1229b06e39p-3, -0x1.12cb2477f7028p-3, -0x1.0efe7540f2b09p-3, -0x1.0b3b1669e81e2p-3, -0x1.078108bf05326p-3, -0x1.03d04c6827276p-3, -0x1.0028e0ec431cdp-3, -0x1.f9158a69ad29cp-4, -0x1.f1ebef22a392dp-4, -0x1.ead4eb75023eep-4, -0x1.e3d079abed36p-4, -0x1.dcde92f2df9c2p-4, -0x1.d5ff2f5c72483p-4, -0x1.cf3245e917ccbp-4, -0x1.c877cc8dd3398p-4, -0x1.c1cfb83aeedd7p-4, -0x1.bb39fce298a4dp-4, -0x1.b4b68d7f8743p-4, -0x1.ae455c1b7df06p-4, -0x1.a7e659d5e380dp-4, -0x1.a19976ea29fbbp-4, -0x1.9b5ea2b647cabp-4, -0x1.9535cbc111f2cp-4, -0x1.8f1edfc08b376p-4, -0x1.8919cba02a455p-4, -0x1.83267b870958cp-4, -0x1.7d44dade0d715p-4, -0x1.7774d455f5c6fp-4, -0x1.71b651ed6136dp-4, -0x1.6c093cf6bf48fp-4, -0x1.666d7e1e2dae5p-4, -0x1.60e2fd6f4c11fp-4, -0x1.5b69a25af25c6p-4, -0x1.560153bcdcc29p-4, -0x1.50a9f7e14231bp-4, -0x1.4b63748a5814ep-4, -0x1.462daef5c0a4fp-4, -0x1.41088be1e827p-4, -0x1.3bf3ef934effp-4, -0x1.36efbdd9b84fcp-4, -0x1.31fbda1550b0ep-4, -0x1.2d18273bb4863p-4, -0x1.284487dcea333p-4, -0x1.2380de283ffc3p-4, -0x1.1ecd0bf11fdffp-4, -0x1.1a28f2b3bf615p-4, -0x1.15947399c8fb8p-4, -0x1.110f6f7ee8351p-4, -0x1.0c99c6f5414b3p-4, -0x1.08335a49d9072p-4, -0x1.03dc0988dd9dfp-4, -0x1.ff276903c5162p-5, -0x1.f6b4759810602p-5, -0x1.ee5ef7940b723p-5, -0x1.e626ad5c49294p-5, -0x1.de0b54fc50c7cp-5, -0x1.d60cac2e33c93p-5, -0x1.ce2a70620f4d5p-5, -0x1.c6645ec54ee24p-5, -0x1.beba3449d3dd5p-5, -0x1.b72badacf2213p-5, -0x1.afb8877e3b478p-5, -0x1.a8607e2629c65p-5, -0x1.a1234deca1dccp-5, -0x1.9a00b2ff4a637p-5, -0x1.92f86977b5c33p-5, -0x1.8c0a2d6172fedp-5, -0x1.8535babfe833bp-5, -0x1.7e7acd9410407p-5, -0x1.77d921e20e331p-5, -0x1.715073b69a034p-5, -0x1.6ae07f2c4dfbbp-5, -0x1.64890070bf036p-5, -0x1.5e49b3c9818c5p-5, -0x1.582255990395cp-5, -0x1.5212a26342cafp-5, -0x1.4c1a56d257b5p-5, -0x1.46392fbaeb1ccp-5, -0x1.406eea207ebccp-5, -0x1.3abb4339991a4p-5, -0x1.351df873ccc5bp-5, -0x1.2f96c7779dd53p-5, -0x1.2a256e2c4adecp-5, -0x1.24c9aabb6c6dcp-5, -0x1.1f833b9482e18p-5, -0x1.1a51df7053bd4p-5, -0x1.153555543c6a6p-5, -0x1.102d5c954e17p-5, -0x1.0b39b4db62e5dp-5, -0x1.065a1e24066e4p-5, -0x1.018e58c549d48p-5, -0x1.f9ac4ae0ecea2p-6, -0x1.f0628a694988ap-6, -0x1.e73ef3027b6f5p-6, -0x1.de410850b5841p-6, -0x1.d5684ec216d9dp-6, -0x1.ccb44b930f2e6p-6, -0x1.c42484d2857c5p-6, -0x1.bbb88165c9111p-6, -0x1.b36fc90c65c98p-6, -0x1.ab49e463a97ecp-6, -0x1.a3465cea204c5p-6, -0x1.9b64bd02ba494p-6, -0x1.93a48ff7e766bp-6, -0x1.8c0561fe73fa3p-6, -0x1.8486c0383d2b1p-6, -0x1.7d2838b6c230dp-6, -0x1.75e95a7d85b83p-6, -0x1.6ec9b584418a3p-6, -0x1.67c8dab90b6c8p-6, -0x1.60e65c0235bfcp-6, -0x1.5a21cc401dd23p-6, -0x1.537abf4ec83c3p-6, -0x1.4cf0ca076c58dp-6, -0x1.46838241cdc8dp-6, -0x1.40327ed5764adp-6, -0x1.39fd579ad58a1p-6, -0x1.33e3a56c33301p-6, -0x1.2de502269cbd4p-6, -0x1.280108aa91f02p-6, -0x1.223754dca8bb1p-6, -0x1.1c8783a6167c3p-6, -0x1.16f132f51822bp-6, -0x1.117401bd2eb34p-6, -0x1.0c0f8ff773b97p-6, -0x1.06c37ea280a67p-6, -0x1.018f6fc29d42bp-6, -0x1.f8e60cc31cd7bp-7, -0x1.eedbcd1cd0aebp-7, -0x1.e4ff6aba9baa4p-7, -0x1.db5031ce1e67cp-7, -0x1.d1cd709188701p-7, -0x1.c876774662985p-7, -0x1.bf4a98348c0d1p-7, -0x1.b64927a8b311ep-7, -0x1.ad717bf3060d3p-7, -0x1.a4c2ed6564812p-7, -0x1.9c3cd651b6051p-7, -0x1.93de9307f26ep-7, -0x1.8ba781d4353a3p-7, -0x1.839702fc83945p-7, -0x1.7bac78be887cdp-7, -0x1.73e7474d4448bp-7, -0x1.6c46d4ce98f13p-7, -0x1.64ca8958916d1p-7, -0x1.5d71ceeed1da8p-7, -0x1.563c117fe1a92p-7, -0x1.4f28bee226f3ep-7, -0x1.483746d106728p-7, -0x1.41671ae9d99e3p-7, -0x1.3ab7aea8eabfep-7, -0x1.3428776612d6dp-7, -0x1.2db8ec51b4ce9p-7, -0x1.27688671348dcp-7, -0x1.2136c09bb5cbcp-7, -0x1.1b231776a4b6dp-7, -0x1.152d097228827p-7, -0x1.0f5416c5a473bp-7, -0x1.0997c16c10ae6p-7, -0x1.03f78d2054d5ap-7, -0x1.fce5feb32d6ddp-8, -0x1.f2133e8ee406dp-8, -0x1.e775eb9c81db9p-8, -0x1.dd0d1b0683783p-8, -0x1.d2d7e55154acap-8, -0x1.c8d56653d3b4ap-8, -0x1.bf04bd2f38274p-8, -0x1.b5650c476374bp-8, -0x1.abf5793ac42cep-8, -0x1.a2b52cda819dbp-8, -0x1.99a353228171p-8, -0x1.90bf1b3127c46p-8, -0x1.8807b73f7ae5ap-8, -0x1.7f7c5c98d677ap-8, -0x1.771c43930d7ebp-8, -0x1.6ee6a785f2bcap-8, -0x1.66dac6c39da43p-8, -0x1.5ef7e28fce1dap-8, -0x1.573d3f180e93p-8, -0x1.4faa236b582a1p-8, -0x1.483dd972089f5p-8, -0x1.40f7ade5ba028p-8, -0x1.39d6f048e2283p-8, -0x1.32daf2deed63bp-8, -0x1.2c030aa3f5e59p-8, -0x1.254e8f44a3a1cp-8, -0x1.1ebcdb161a00ep-8, -0x1.184d4b0de5496p-8, -0x1.11ff3eb9d2ec5p-8, -0x1.0bd2183805365p-8, -0x1.05c53c2ed64ebp-8, -0x1.ffb02389e0426p-9, -0x1.f414053262abp-9, -0x1.e8b4f576172eap-9, -0x1.dd91d144a2f28p-9, -0x1.d2a97a4f3dbdfp-9, -0x1.c7fad6f8c0077p-9, -0x1.bd84d246330bdp-9, -0x1.b3465bcf99c14p-9, -0x1.a93e67b0240bdp-9, -0x1.9f6bee7768478p-9, -0x1.95cded19da0a1p-9, -0x1.8c6364e211307p-9, -0x1.832b5b616537ep-9, -0x1.7a24da61af043p-9, -0x1.714eefd5b3cf7p-9, -0x1.68a8adcb6118dp-9, -0x1.60312a5c9aa8cp-9, -0x1.57e77fa13803p-9, -0x1.4fcacba0787ccp-9, -0x1.47da3042dee7dp-9, -0x1.4014d3442cc42p-9, -0x1.3879de256f759p-9, -0x1.31087e1f0aa82p-9, -0x1.29bfe41347006p-9, -0x1.229f4480495bdp-9, -0x1.1ba5d773265c5p-9, -0x1.14d2d879f26dcp-9, -0x1.0e2586973b362p-9, -0x1.079d243440b3bp-9, -0x1.0138f714651b3p-9, -0x1.f5f09090b5affp-10, -0x1.e9b4c8429435dp-10, -0x1.ddbd344873eddp-10, -0x1.d20879fb987cdp-10, -0x1.c69544eb8c4cap-10, -0x1.bb6246c5edd8ap-10, -0x1.b06e373e4b9d3p-10, -0x1.a5b7d3f5fa65cp-10, -0x1.9b3de0654301ep-10, -0x1.90ff25c35037fp-10, -0x1.86fa72ef7f611p-10, -0x1.7d2e9c5a95ff7p-10, -0x1.739a7bf059481p-10, -0x1.6a3cf100ca7b1p-10, -0x1.6114e02aa9bd5p-10, -0x1.58213345dccdbp-10, -0x1.4f60d94d1652p-10, -0x1.46d2c649b498fp-10, -0x1.3e75f33e08c83p-10, -0x1.36495e11359dcp-10, -0x1.2e4c0979f1578p-10, -0x1.267cfceb72abfp-10, -0x1.1edb448093855p-10, -0x1.1765f0e896925p-10, -0x1.101c1753d892ep-10, -0x1.08fcd1604177ap-10, -0x1.02073d069c509p-10, -0x1.f674f91026c02p-11, -0x1.e92b6cb6dc828p-11, -0x1.dc302a363b102p-11, -0x1.cf818ee7261c9p-11, -0x1.c31e0021b1de2p-11, -0x1.b703eb1bca07fp-11, -0x1.ab31c4c649bfp-11, -0x1.9fa609aa5ab7ap-11, -0x1.945f3dc97ff84p-11, -0x1.895bec7b523p-11, -0x1.7e9aa84d9d2a6p-11, -0x1.741a0ae449049p-11, -0x1.69d8b4d99ecf7p-11, -0x1.5fd54d9fb6348p-11, -0x1.560e8360ccc86p-11, -0x1.4c830ae2053b3p-11, -0x1.43319f651bb27p-11, -0x1.3a19028b29077p-11, -0x1.3137fc384a93ap-11, -0x1.288d5a75ea42cp-11, -0x1.2017f157fe9fcp-11, -0x1.17d69ae0de17ap-11, -0x1.0fc836e5b33cbp-11, -0x1.07ebaaf4bcdb6p-11, -0x1.003fe239c8c5bp-11, -0x1.f1879aca2b2b7p-12, -0x1.e2ecc521eddeap-12, -0x1.d4ad3a5388b3ep-12, -0x1.c6c6fba7ae42ep-12, -0x1.b93814a866d25p-12, -0x1.abfe9aef8d695p-12, -0x1.9f18adf8e9051p-12, -0x1.928476f1cd7f6p-12, -0x1.8640288d9a9b8p-12, -0x1.7a49fed74d38dp-12, -0x1.6ea03f04ec8ddp-12, -0x1.6341374e20aecp-12, -0x1.582b3ebe049acp-12, -0x1.4d5cb50bb2e95p-12, -0x1.42d4026f97284p-12, -0x1.388f977b113fap-12, -0x1.2e8decefd0544p-12, -0x1.24cd83996b6bdp-12, -0x1.1b4ce424c383cp-12, -0x1.120a9efbca34ap-12, -0x1.09054c1eed4d3p-12, -0x1.003b8b0032c61p-12, -0x1.ef5804bf67fa5p-13, -0x1.deaac04d3a93fp-13, -0x1.ce6cb28b90b68p-13, -0x1.be9b532468975p-13, -0x1.af342746cbcd3p-13, -0x1.a034c163571c5p-13, -0x1.919ac0ed0a6ecp-13, -0x1.8363d217c906ep-13, -0x1.758dad981b40dp-13, -0x1.6816186718fa6p-13, -0x1.5afae3845e472p-13, -0x1.4e39ebb913c43p-13, -0x1.41d1195ffd256p-13, -0x1.35be60287c213p-13, -0x1.29ffbedf36507p-13, -0x1.1e933f37d07a1p-13, -0x1.1376f59205d25p-13, -0x1.08a900c84ae0bp-13, -0x1.fc4f13ef41366p-14, -0x1.e7e1889cc6deap-14, -0x1.d405d9aca0d2fp-14, -0x1.c0b894893a029p-14, -0x1.adf659916a0acp-14, -0x1.9bbbdbb543efep-14, -0x1.8a05e0193b374p-14, -0x1.78d13db951786p-14, -0x1.681add0c659dfp-14, -0x1.57dfb7ac09d67p-14, -0x1.481cd7f97eadp-14, -0x1.38cf58cc538bbp-14, -0x1.29f46517fb21ap-14, -0x1.1b89379ba6f8p-14, -0x1.0d8b1a91d3954p-14, -0x1.ffeeceb5ebb3dp-15, -0x1.e5970c6ad03a5p-15, -0x1.cc09dbd56c111p-15, -0x1.b342470aaf503p-15, -0x1.9b3b7413aa8dcp-15, -0x1.83f0a44d56f69p-15, -0x1.6d5d33e92ee04p-15, -0x1.577c99534622cp-15, -0x1.424a64b273564p-15, -0x1.2dc23f5b0f85bp-15, -0x1.19dfeb4d2dde5p-15, -0x1.069f42ae9caadp-15, -0x1.e7f86ea4b6c3cp-16, -0x1.c3e5a467e487bp-16, -0x1.a0fe6601868a5p-16, -0x1.7f3b1f3b39ee4p-16, -0x1.5e946769ec96p-16, -0x1.3f030074c2e3ep-16, -0x1.207fd609f5ec1p-16, -0x1.0303fca7ed6bp-16, -0x1.cd1161a2fbfe7p-17, -0x1.960eac695a8c6p-17, -0x1.60f2edae22b6fp-17, -0x1.2db18487408aep-17, -0x1.f87c33438a61dp-18, -0x1.99193b0ebe448p-18, -0x1.3d228e87f7a86p-18, -0x1.c9024b3397e87p-19, -0x1.1e3cfe81196adp-19, -0x1.e724f401eaf14p-21, 0x1.241f82d13aa56p-22, 0x1.79a907492997dp-20, 0x1.4f517efa6543dp-19, 0x1.dc22f2189b903p-19, 0x1.31b7ff9e4cebbp-18, 0x1.72af70262611dp-18, 0x1.b10a76091fdb1p-18, 0x1.ecdb4d58ab8d9p-18, 0x1.1319e2a58347ap-17, 0x1.2e92a1534071cp-17, 0x1.48e060ef7f124p-17, 0x1.620b6cbf65fdfp-17, 0x1.7a1bde1ba57d4p-17, 0x1.91199d98632d4p-17, 0x1.a70c63f24ecfdp-17, 0x1.bbfbbb3b9364bp-17, 0x1.cfeeffc8c37afp-17, 0x1.e2ed6135dac1ap-17, 0x1.f4fde358f0f8cp-17, 0x1.0313afa0ec297p-16, 0x1.0b38420eac0ecp-16, 0x1.12efec11bae9dp-16, 0x1.1a3ddcbe89696p-16, 0x1.21252f8e5c46cp-16, 0x1.27a8ecd36f3c7p-16, 0x1.2dcc0a21492cp-16, 0x1.33916ab476c7fp-16, 0x1.38fbdfdb83042p-16, 0x1.3e0e295ce54d2p-16, 0x1.42caf5d8aaa2cp-16, 0x1.4734e328fb954p-16, 0x1.4b4e7ec1dcd2cp-16, 0x1.4f1a460b7f8ddp-16, 0x1.529aa6c4aa43cp-16, 0x1.55d1ff5129bfap-16, 0x1.58c29f195fef1p-16, 0x1.5b6ec6dba3bc3p-16, 0x1.5dd8a9032aff1p-16, 0x1.600269f50867ep-16, 0x1.61ee20647f3acp-16, 0x1.639dd5a035d3dp-16, 0x1.651385dcd4d79p-16, 0x1.66512083916e1p-16, 0x1.6758887bb9303p-16, 0x1.682b946eea09p-16, 0x1.68cc0f138e172p-16, 0x1.693bb76f702d3p-16, 0x1.697c411df4c01p-16, 0x1.698f548f8308fp-16, 0x1.69768f4bdb8e4p-16, 0x1.69338430161a8p-16, 0x1.68c7bbadb8b94p-16, 0x1.6834b4084deb5p-16, 0x1.677be18e31defp-16, 0x1.669eaed60c89ep-16, 0x1.659e7cf37ff59p-16, 0x1.647ca3b30856bp-16, 0x1.633a71cde883fp-16, 0x1.61d92d21927fep-16, 0x1.605a12dff5465p-16, 0x1.5ebe57c681e5ap-16, 0x1.5d07284f7f96ap-16, 0x1.5b35a8e01f905p-16, 0x1.594af5faaabd7p-16, 0x1.5748246dc9f81p-16, 0x1.552e4181a1fdp-16, 0x1.52fe5322e947p-16, 0x1.50b958112d9aep-16, 0x1.4e6048083f4dep-16, 0x1.4bf413eac6ddcp-16, 0x1.4975a5eb56dd1p-16, 0x1.46e5e1b3a3039p-16, 0x1.4445a48cd497bp-16, 0x1.4195c585185b4p-16, 0x1.3ed715965a63dp-16, 0x1.3c0a5fc9e5b68p-16, 0x1.3930695c27eb9p-16, 0x1.3649f1e139892p-16, 0x1.3357b366691dcp-16, 0x1.305a6293e103fp-16, 0x1.2d52aecd29513p-16, 0x1.2a414251a79a8p-16, 0x1.2726c25c8b01fp-16, 0x1.2403cf43899f5p-16, 0x1.20d90493702fap-16, 0x1.1da6f92fd30bbp-16, 0x1.1a6e3f6e294dbp-16, 0x1.172f653321381p-16, 0x1.13eaf40d14e6bp-16, 0x1.10a1714fdb0a5p-16, 0x1.0d535e2e30fd2p-16, 0x1.0a0137d4847b2p-16, 0x1.06ab7780a28f9p-16, 0x1.0352929c58f3p-16, 0x1.ffedf5a64f0c7p-17, 0x1.f9323c58b3002p-17, 0x1.f272ce400415bp-17, 0x1.ebb0795ad7f47p-17, 0x1.e4ec04e69d7e8p-17, 0x1.de263186355a4p-17, 0x1.d75fb96ccee07p-17, 0x1.d099508773cffp-17, 0x1.c9d3a4a5bd458p-17, 0x1.c30f5da028898p-17, 0x1.bc4d1d7fc5be1p-17, 0x1.b58d80a145ec3p-17, 0x1.aed11ddc03f6dp-17, 0x1.a81886a5c83d7p-17, 0x1.a16447336dda1p-17, 0x1.9ab4e69e03066p-17, 0x1.940ae70211971p-17, 0x1.8d66c5a267dc7p-17, 0x1.86c8fb0527dc3p-17, 0x1.8031fb1598514p-17, 0x1.79a23541550b5p-17, 0x1.731a149695726p-17, 0x1.6c99ffe1c338bp-17, 0x1.662259c9d3feap-17, 0x1.5fb380ea52a6dp-17, 0x1.594dcff18624ep-17, 0x1.52f19db8f5b56p-17, 0x1.4c9f3d5f21a1dp-17, 0x1.4656fe627e67ep-17, 0x1.40192cb9f2e34p-17, 0x1.39e610ebe665ap-17, 0x1.33bdf0264d756p-17, 0x1.2da10c566a05ap-17, 0x1.278fa43e8ac7p-17, 0x1.2189f38cf8f71p-17, 0x1.1b9032f11f127p-17, 0x1.15a29830b0d34p-17, 0x1.0fc1563b4a09cp-17, 0x1.09ec9d3fff161p-17, 0x1.04249ac0401dep-17, 0x1.fcd2f3467f17bp-18, 0x1.f176c49004db1p-18, 0x1.e634f5306505bp-18, 0x1.db0dcc33f574ep-18, 0x1.d0018c0259e2ep-18, 0x1.c5107281bfc86p-18, 0x1.ba3ab93687fap-18, }}, 
      {{-0x1.09e7d629b241ep-2, -0x1.0a4e2aae99654p-2, -0x1.0aed130b6b4fep-2, -0x1.0bb8ba48a472fp-2, -0x1.0ca608b56a90ap-2, -0x1.0dabbb54f32c9p-2, -0x1.0ec2b1a266756p-2, -0x1.0fe5d19a7f1d7p-2, -0x1.1111bdea9373p-2, -0x1.12447f4947b7ap-2, -0x1.137d30dcfbe5p-2, -0x1.14bbb5ef43d29p-2, -0x1.16007a6b4b456p-2, -0x1.174c3db3ab8f8p-2, -0x1.189fe6d2d144ep-2, -0x1.19fc61125bdebp-2, -0x1.1b628032d356cp-2, -0x1.1cd2eb9ed48c4p-2, -0x1.1e4e0fffa3a68p-2, -0x1.1fd416910c023p-2, -0x1.2164e181626e6p-2, -0x1.23000c98eb4dp-2, -0x1.24a4f1588e90cp-2, -0x1.2652adbd82fe2p-2, -0x1.28082cdf3ad1ep-2, -0x1.29c430ad293b2p-2, -0x1.2b855c28bcd53p-2, -0x1.2d4a3d92bd85cp-2, -0x1.2f11581fab5b2p-2, -0x1.30d92ce2a5f66p-2, -0x1.32a042b86794cp-2, -0x1.34652d12cff0dp-2, -0x1.36269198a9a08p-2, -0x1.37e32c9ce05e5p-2, -0x1.3999d47beb0c9p-2, -0x1.3b497bf679608p-2, -0x1.3cf133a59587fp-2, -0x1.3e902aa7158d7p-2, -0x1.4025aea1d7e74p-2, -0x1.41b12b4057cc1p-2, -0x1.4332293e1ef08p-2, -0x1.44a84d21e7d28p-2, -0x1.461355bb10cbep-2, -0x1.47731a75bf2a1p-2, -0x1.48c78995d1dbp-2, -0x1.4a10a665ab29ep-2, -0x1.4b4e87631c6b3p-2, -0x1.4c81547239441p-2, -0x1.4da9451bc4816p-2, -0x1.4ec69edb299aep-2, -0x1.4fd9b37e841e8p-2, -0x1.50e2df9a1be55p-2, -0x1.51e2890fe886ap-2, -0x1.52d91dab1ab79p-2, -0x1.53c711cf2eaeep-2, -0x1.54acdf39ec4e2p-2, -0x1.558b03d77b5aap-2, -0x1.566200a7c025ep-2, -0x1.573258b43b2cbp-2, -0x1.57fc9015b4b6ep-2, -0x1.58c12b092122ap-2, -0x1.5980ad1344e88p-2, -0x1.5a3b9832b8e8ep-2, -0x1.5af26c2016465p-2, -0x1.5ba5a59c0f4dep-2, -0x1.5c55bdcb6ed5ep-2, -0x1.5d0329a0db52ep-2, -0x1.5dae59546128dp-2, -0x1.5e57b7e8b9a9bp-2, -0x1.5effaabe40aecp-2, -0x1.5fa691338653cp-2, -0x1.604cc453603dbp-2, -0x1.60f296904cafcp-2, -0x1.6198538cecf01p-2, -0x1.623e3ff14a04ap-2, -0x1.62e4994c8a818p-2, -0x1.638b9602a77e7p-2, -0x1.64336545a6e11p-2, -0x1.64dc2f19cf90bp-2, -0x1.65861464377cbp-2, -0x1.66312f030ee38p-2, -0x1.66dd91eef022bp-2, -0x1.678b496484238p-2, -0x1.683a5b15b65c9p-2, -0x1.68eac661bf3efp-2, -0x1.699c8493373bep-2, -0x1.6a4f89237a8cp-2, -0x1.6b03c20294491p-2, -0x1.6bb917e2f42e9p-2, -0x1.6c6f6e88395c7p-2, -0x1.6d26a5185dca4p-2, -0x1.6dde966e96e51p-2, -0x1.6e97196f4c21dp-2, -0x1.6f50015c8530cp-2, -0x1.70091e2a4c506p-2, -0x1.70c23cd270fa8p-2, -0x1.717b27a743905p-2, -0x1.7233a6a4cc3d3p-2, -0x1.72eb7fc026dcp-2, -0x1.73a27734a46f8p-2, -0x1.74584fce6617p-2, -0x1.750ccb3237e2fp-2, -0x1.75bfaa22652a3p-2, -0x1.7670acc067973p-2, -0x1.771f92cb3faabp-2, -0x1.77cc1bda674fap-2, -0x1.787607953d835p-2, -0x1.791d15e6ec64ep-2, -0x1.79c1072ebeabdp-2, -0x1.7a619c6ce4f73p-2, -0x1.7afe976bb826ep-2, -0x1.7b97bae5842e1p-2, -0x1.7c2ccaa6eac42p-2, -0x1.7cbd8badf7e6p-2, -0x1.7d49c44600591p-2, -0x1.7dd13c2069692p-2, -0x1.7e53bc6a72f34p-2, -0x1.7ed10fe030291p-2, -0x1.7f4902dcc73d1p-2, -0x1.7fbb63682544p-2, -0x1.802801424667ap-2, -0x1.808eadec3c31ep-2, -0x1.80ef3caf13ce5p-2, -0x1.814982a0c7cbep-2, -0x1.819d56a75f3d3p-2, -0x1.81ea917a5f989p-2, -0x1.82310da2b95e3p-2, -0x1.8270a7794cfb6p-2, -0x1.82a93d243061cp-2, -0x1.82daae92d41b6p-2, -0x1.8304dd792390dp-2, -0x1.8327ad49c5e3bp-2, -0x1.8343032f986f2p-2, -0x1.8356c6067bff8p-2, -0x1.8362de53938b9p-2, -0x1.8367363d07c79p-2, -0x1.8363b98169f77p-2, -0x1.8358556ec5635p-2, -0x1.8344f8d97ab38p-2, -0x1.83299412ed1eap-2, -0x1.830618e01aec4p-2, -0x1.82da7a7027e4p-2, -0x1.82a6ad52ede5ap-2, -0x1.826aa76f99d14p-2, -0x1.82265ffb609ffp-2, -0x1.81d9cf705c11dp-2, -0x1.8184ef848857fp-2, -0x1.8127bb20fd8eap-2, -0x1.80c22e5956142p-2, -0x1.80544663597bp-2, -0x1.7fde018edee71p-2, -0x1.7f5f5f3df8dcfp-2, -0x1.7ed85fdd5f84ep-2, -0x1.7e4904dd2693ep-2, -0x1.7db150a9b52c8p-2, -0x1.7d1146a507a37p-2, -0x1.7c68eb20356eep-2, -0x1.7bb843554018bp-2, -0x1.7aff556120a36p-2, -0x1.7a3e283e1c9ffp-2, -0x1.7974c3be5865ap-2, -0x1.78a33086a5faap-2, -0x1.77c9780992e1ep-2, -0x1.76e7a482a95d3p-2, -0x1.75fdc0f1ea6cp-2, -0x1.750bd91775f7ep-2, -0x1.7411f96f64b37p-2, -0x1.73102f2dcbc2p-2, -0x1.7206883ae5c08p-2, -0x1.70f5132f64b62p-2, -0x1.6fdbdf50e09aap-2, -0x1.6ebafc8e65f81p-2, -0x1.6d927b7d1b6b3p-2, -0x1.6c626d5502686p-2, -0x1.6b2ae3edc998p-2, -0x1.69ebf1bbacd57p-2, -0x1.68a5a9cc6968cp-2, -0x1.67581fc435c5cp-2, -0x1.660367dac91f8p-2, -0x1.64a796d860c97p-2, -0x1.6344c212d0269p-2, -0x1.61daff6a8ca33p-2, -0x1.606a6547bb007p-2, -0x1.5ef30a9738aa9p-2, -0x1.5d7506c7a2dc5p-2, -0x1.5bf071c65252ep-2, -0x1.5a6563fc54ceep-2, -0x1.58d3f64b5b96cp-2, -0x1.573c420a9e18dp-2, -0x1.559e6103b4a38p-2, -0x1.53fa6d6f65099p-2, -0x1.525081f26215ep-2, -0x1.50a0b99a01c1ap-2, -0x1.4eeb2fd8e1d3ep-2, -0x1.4d3000837ede3p-2, -0x1.4b6f47ccc2de7p-2, -0x1.49a922427c911p-2, -0x1.47ddacc9d2ce5p-2, -0x1.460d049ba33b6p-2, -0x1.44374740d5fd5p-2, -0x1.425c928ea4aa1p-2, -0x1.407d04a2d6ac5p-2, -0x1.3e98bbdfec7f7p-2, -0x1.3cafd6e94453p-2, -0x1.3ac2749f33afcp-2, -0x1.38d0b41b13ea6p-2, -0x1.36dab4ab4a30ap-2, -0x1.34e095cf42d58p-2, -0x1.32e277336a6a4p-2, -0x1.30e078ad1cb9bp-2, -0x1.2edaba368e7cfp-2, -0x1.2cd15beab7f0ap-2, -0x1.2ac47e01354d4p-2, -0x1.28b440ca29017p-2, -0x1.26a0c4aa1d7bap-2, -0x1.248a2a15e6838p-2, -0x1.2270918e80d08p-2, -0x1.20541b9cf8aa9p-2, -0x1.1e34e8ce51dbbp-2, -0x1.1c1319af71d54p-2, -0x1.19eecec91381ep-2, -0x1.17c8289bbf0cep-2, -0x1.159f479bcae5ap-2, -0x1.13744c2d643d9p-2, -0x1.114756a0a132bp-2, -0x1.0f18872da09cdp-2, -0x1.0ce7fdf0b0731p-2, -0x1.0ab5dae6871b3p-2, -0x1.08823de883c26p-2, -0x1.064d46a902803p-2, -0x1.041714afbcca8p-2, -0x1.01dfc7563bf12p-2, -0x1.ff4efb88b51c4p-3, -0x1.fadcadd9affb4p-3, -0x1.f668e3140022ap-3, -0x1.f1f3d834c6f43p-3, -0x1.ed7dc9bb4b7d5p-3, -0x1.e906f3a2b7d11p-3, -0x1.e48f915c0a48p-3, -0x1.e017ddc8290ddp-3, -0x1.dba01332244d8p-3, -0x1.d7286b49a3777p-3, -0x1.d2b11f1d83c9dp-3, -0x1.ce3a67169a079p-3, -0x1.c9c47af2b384ep-3, -0x1.c54f91bfb43a9p-3, -0x1.c0dbe1d6f18a8p-3, -0x1.bc69a0d8b65bep-3, -0x1.b7f903a7f7982p-3, -0x1.b38a3e663e502p-3, -0x1.af1d846fbc198p-3, -0x1.aab3085793526p-3, -0x1.a64afbe450a61p-3, -0x1.a1e5900c94f4p-3, -0x1.9d82f4f3ecf2dp-3, -0x1.992359e7e03e8p-3, -0x1.94c6ed5d2a9efp-3, -0x1.906ddced2771cp-3, -0x1.8c1855536f376p-3, -0x1.87c6826b9f58ep-3, -0x1.83788f2f5b1a2p-3, -0x1.7f2ea5b46d185p-3, -0x1.7ae8ef2b23b69p-3, -0x1.76a793dcd520dp-3, -0x1.726abb2a910acp-3, -0x1.6e328b8c002d6p-3, -0x1.69ff2a8e6c39cp-3, -0x1.65d0bcd3fbb24p-3, -0x1.61a766130bab6p-3, -0x1.5d834915be537p-3, -0x1.596487b9aca9cp-3, -0x1.554b42efbe085p-3, -0x1.51379abc31d08p-3, -0x1.4d29ae36bff74p-3, -0x1.49219b8aed75cp-3, -0x1.451f7ff87ce0fp-3, -0x1.412377d403f1ep-3, -0x1.3d2d9e87a7c26p-3, -0x1.393e0e93f6104p-3, -0x1.3554e190e2919p-3, -0x1.3172302ee22ffp-3, -0x1.2d96123829747p-3, -0x1.29c09e9202b21p-3, -0x1.25f1eb3e43db5p-3, -0x1.222a0d5ce4e3bp-3, -0x1.1e69192da97a5p-3, -0x1.1aaf2211eb511p-3, -0x1.16fc3a8e7a60ap-3, -0x1.1350744d932a7p-3, -0x1.0fabe020f2014p-3, -0x1.0c0e8e03f9abfp-3, -0x1.08788d1dec80bp-3, -0x1.04e9ebc43b7e6p-3, -0x1.0162b77ceb628p-3, -0x1.fbc5fa0216af8p-4, -0x1.f4d5907e6aa11p-4, -0x1.edf448bc56d2bp-4, -0x1.e722377efa6a4p-4, -0x1.e05f700472b4ep-4, -0x1.d9ac040b6a5c2p-4, -0x1.d30803d8ade25p-4, -0x1.cc737e3cf3233p-4, -0x1.c5ee809a96468p-4, -0x1.bf7916eb847p-4, -0x1.b9134bc730fd8p-4, -0x1.b2bd28689a9a1p-4, -0x1.ac76b4b45ca22p-4, -0x1.a63ff73edaea9p-4, -0x1.a018f5526bc56p-4, -0x1.9a01b2f598e5ep-4, -0x1.93fa32f15e27p-4, -0x1.8e0276d77f8cp-4, -0x1.881a7f08d646dp-4, -0x1.82424abbacb3ap-4, -0x1.7c79d8021e32ap-4, -0x1.76c123d0756c9p-4, -0x1.71182a038fb14p-4, -0x1.6b7ee56740569p-4, -0x1.65f54fbcb0beep-4, -0x1.607b61c0c3b82p-4, -0x1.5b1113326fe16p-4, -0x1.55b65ad919897p-4, -0x1.506b2e8ae8aeep-4, -0x1.4b2f833313eabp-4, -0x1.46034cd82b5abp-4, -0x1.40e67ea252d61p-4, -0x1.3bd90ae17db67p-4, -0x1.36dae31397fbfp-4, -0x1.31ebf7eaa91b8p-4, -0x1.2d0c3952ecf34p-4, -0x1.283b9678db545p-4, -0x1.2379fdcf29eb9p-4, -0x1.1ec75d14bbb15p-4, -0x1.1a23a15a8246cp-4, -0x1.158eb70955789p-4, -0x1.110889e7b768p-4, -0x1.0c91051f871cbp-4, -0x1.08281343aa49cp-4, -0x1.03cd9e559d91bp-4, -0x1.ff031f95f3688p-5, -0x1.f687a125c9b76p-5, -0x1.ee289236e44a2p-5, -0x1.e5e5c2adda357p-5, -0x1.ddbf018229a4ap-5, -0x1.d5b41cc88544ep-5, -0x1.cdc4e1bcfedc6p-5, -0x1.c5f11cccfd197p-5, -0x1.be3899a120252p-5, -0x1.b69b2326e8a2cp-5, -0x1.af18839a3d427p-5, -0x1.a7b0848ed1b81p-5, -0x1.a062eef94fc48p-5, -0x1.992f8b386a157p-5, -0x1.9216211db4627p-5, -0x1.8b1677f662e91p-5, -0x1.84305693d0357p-5, -0x1.7d638353e0c9cp-5, -0x1.76afc4293745dp-5, -0x1.7014dea3466dep-5, -0x1.699297f62ec4bp-5, -0x1.6328b502767fdp-5, -0x1.5cd6fa5c979d2p-5, -0x1.569d2c5460efcp-5, -0x1.507b0efc2fc44p-5, -0x1.4a70662ffd3p-5, -0x1.447cf59c4019ep-5, -0x1.3ea080c4acc7bp-5, -0x1.38dacb0abe96ap-5, -0x1.332b97b423718p-5, -0x1.2d92a9f0f8d59p-5, -0x1.280fc4e1e1154p-5, -0x1.22a2ab9defca2p-5, -0x1.1d4b21386d1d4p-5, -0x1.1808e8c675df7p-5, -0x1.12dbc5646b6e3p-5, -0x1.0dc37a3b4718bp-5, -0x1.08bfca85bb349p-5, -0x1.03d0799539ceep-5, -0x1.fdea95ad99247p-6, -0x1.f45c03af92f9ap-6, -0x1.eaf4c494cba0dp-6, -0x1.e1b4601438a54p-6, -0x1.d89a5e3ff95d4p-6, -0x1.cfa6478d910dap-6, -0x1.c6d7a4ddecf98p-6, -0x1.be2dff852143dp-6, -0x1.b5a8e151debe3p-6, -0x1.ad47d494a692p-6, -0x1.a50a6426bb103p-6, -0x1.9cf01b70d5646p-6, -0x1.94f8867188f3dp-6, -0x1.8d2331c382244p-6, -0x1.856faaa36de17p-6, -0x1.7ddd7ef5b79ddp-6, -0x1.766c3d4bf7cefp-6, -0x1.6f1b74ea3e86ep-6, -0x1.67eab5cc0c6c8p-6, -0x1.60d990a9217b3p-6, -0x1.59e796fa17b07p-6, -0x1.53145afcb104fp-6, -0x1.4c5f6fb811b21p-6, -0x1.45c86900a1195p-6, -0x1.3f4edb7bd0a1ep-6, -0x1.38f25ca3adcfcp-6, -0x1.32b282ca366e3p-6, -0x1.2c8ee51c8118fp-6, -0x1.26871ba5c61b7p-6, -0x1.209abf522088ep-6, -0x1.1ac969f13a386p-6, -0x1.1512b638b4e71p-6, -0x1.0f763fc67fa65p-6, -0x1.09f3a322f1e25p-6, -0x1.048a7dc2c284ap-6, -0x1.fe74dc11adf69p-7, -0x1.f406268fdb4f7p-7, -0x1.e9c81b8846055p-7, -0x1.dfb9fd688f34p-7, -0x1.d5db1086434d1p-7, -0x1.cc2a9b20fef87p-7, -0x1.c2a7e56457703p-7, -0x1.b95239698a90fp-7, -0x1.b028e338deb1fp-7, -0x1.a72b30cad573ap-7, -0x1.9e587209047c6p-7, -0x1.95aff8ceda805p-7, -0x1.8d3118ea0a379p-7, -0x1.84db281adbfeep-7, -0x1.7cad7e141fc4ap-7, -0x1.74a7747b1c259p-7, -0x1.6cc866e726475p-7, -0x1.650fb2e11c252p-7, -0x1.5d7cb7e2a690dp-7, -0x1.560ed75553cc3p-7, -0x1.4ec5749183b05p-7, -0x1.479ff4dd251b8p-7, -0x1.409dbf6a56619p-7, -0x1.39be3d55cac3ap-7, -0x1.3300d9a529db1p-7, -0x1.2c6501451ecbap-7, -0x1.25ea2307702fdp-7, -0x1.1f8fafa0d3e6fp-7, -0x1.195519a6bc69fp-7, -0x1.1339d58cf4722p-7, -0x1.0d3d59a323f78p-7, -0x1.075f1e123cb15p-7, -0x1.019e9cd9c38c7p-7, -0x1.f7f6a39a02b7bp-8, -0x1.ece975204a5d5p-8, -0x1.e214ad2a7f543p-8, -0x1.d7774e32543ep-8, -0x1.cd105e40dd804p-8, -0x1.c2dee6e7ddaccp-8, -0x1.b8e1f53b5ad1bp-8, -0x1.af1899caa9dd7p-8, -0x1.a581e89996ffdp-8, -0x1.9c1cf91959693p-8, -0x1.92e8e6215bf86p-8, -0x1.89e4cde805e89p-8, -0x1.810fd1fb4d2c7p-8, -0x1.786917392c5bp-8, -0x1.6fefc5c82d711p-8, -0x1.67a3090fa3822p-8, -0x1.5f820faff4bc1p-8, -0x1.578c0b7ac0f45p-8, -0x1.4fc0316b0b4d5p-8, -0x1.481db99d39131p-8, -0x1.40a3df4713b0ap-8, -0x1.3951e0afbed2ep-8, -0x1.3226ff278b5c7p-8, -0x1.2b227effecf86p-8, -0x1.2443a78335692p-8, -0x1.1d89c2ec5ec27p-8, -0x1.16f41e5ed94bfp-8, -0x1.108209de4d01bp-8, -0x1.0a32d8462af2p-8, -0x1.0405df41afc32p-8, -0x1.fbf4ee86711a9p-9, -0x1.f01ff6f88a2fdp-9, -0x1.e48b93aa045d3p-9, -0x1.d93685c7f2cb4p-9, -0x1.ce1f93cbb4f76p-9, -0x1.c345896a44394p-9, -0x1.b8a73783cdd7fp-9, -0x1.ae437412f93d9p-9, -0x1.a4191a1c9da25p-9, -0x1.9a27099f459c8p-9, -0x1.906c2782dd7a1p-9, -0x1.86e75d8836d0ep-9, -0x1.7d979a3902475p-9, -0x1.747bd0d767f91p-9, -0x1.6b92f94e20c62p-9, -0x1.62dc10203ce1p-9, -0x1.5a561659446f3p-9, -0x1.5200117d5288cp-9, -0x1.49d90b7964022p-9, -0x1.41e01293726bdp-9, -0x1.3a14395afd681p-9, -0x1.32749699a3c46p-9, -0x1.2b004543937a1p-9, -0x1.23b664684e20ap-9, -0x1.1c96172378a1fp-9, -0x1.159e848df2fd6p-9, -0x1.0eced7ae99e98p-9, -0x1.08263f6bcf2e2p-9, -0x1.01a3ee7c660e9p-9, -0x1.f68e36b2a2b71p-10, -0x1.ea1e005e33939p-10, -0x1.ddf5b59eeafe6p-10, -0x1.d213d94660413p-10, -0x1.c676f5380638ep-10, -0x1.bb1d9a4d5a03fp-10, -0x1.b006603a3a3a2p-10, -0x1.a52fe5717c1p-10, -0x1.9a98cf09fd746p-10, -0x1.903fc8a3d5942p-10, -0x1.8623844d7b3b5p-10, -0x1.7c42ba69ee2c5p-10, -0x1.729c299685434p-10, -0x1.692e969132d23p-10, -0x1.5ff8cc1f31b2ap-10, -0x1.56f99af3d65e8p-10, -0x1.4e2fd997d7615p-10, -0x1.459a64507e248p-10, -0x1.3d381d078f41bp-10, -0x1.3507eb3324317p-10, -0x1.2d08bbbe337e4p-10, -0x1.253980f0d0e83p-10, -0x1.1d9932597aa03p-10, -0x1.1626ccb5c582p-10, -0x1.0ee151dc1424fp-10, -0x1.07c7c8a525643p-10, -0x1.00d93cd645b57p-10, -0x1.f4297e170545bp-11, -0x1.e6f2c9442e7bbp-11, -0x1.da0c8f46f88c9p-11, -0x1.cd750d60d35d8p-11, -0x1.c12a89d8957dap-11, -0x1.b52b53d1b1335p-11, -0x1.a975c32493ad9p-11, -0x1.9e08383683674p-11, -0x1.92e11bd325345p-11, -0x1.87fedf05d9739p-11, -0x1.7d5ffaf3eb1e9p-11, -0x1.7302f0b6f75eep-11, -0x1.68e64938b517bp-11, -0x1.5f08950e0a8bcp-11, -0x1.55686c53cdf37p-11, -0x1.4c046e8b348f8p-11, -0x1.42db427739e1dp-11, -0x1.39eb95fac1924p-11, -0x1.31341df63d7aap-11, -0x1.28b396273f0a4p-11, -0x1.2068c1074c699p-11, -0x1.185267ac23c1bp-11, -0x1.106f59a783cbap-11, -0x1.08be6ce8ca525p-11, -0x1.013e7d9d4ca56p-11, -0x1.f3dcdc26265e5p-12, -0x1.e59a4d3501f1ep-12, -0x1.d7b32ad2e6045p-12, -0x1.ca255cfc64a9fp-12, -0x1.bceed70674727p-12, -0x1.b00d9766dd8a4p-12, -0x1.a37fa77d4a564p-12, -0x1.97431b5d511c5p-12, -0x1.8b561199b3854p-12, -0x1.7fb6b30f98b67p-12, -0x1.746332b4093cp-12, -0x1.6959cd60a9be5p-12, -0x1.5e98c9a334474p-12, -0x1.541e778b9c9b6p-12, -0x1.49e9307caf21fp-12, -0x1.3ff756fd23fdap-12, -0x1.36475688ee0c1p-12, -0x1.2cd7a363cccd2p-12, -0x1.23a6ba6cd0956p-12, -0x1.1ab320f23285ap-12, -0x1.11fb64863c12ap-12, -0x1.097e1ad4c906cp-12, -0x1.0139e17964e3p-12, -0x1.f25abbae17f96p-13, -0x1.e2ae79de4bfddp-13, -0x1.d36c6674faa8bp-13, -0x1.c491f904865a8p-13, -0x1.b61cb774a68d9p-13, -0x1.a80a35b61003dp-13, -0x1.9a58157a5d06bp-13, -0x1.8d0405ec0d11bp-13, -0x1.800bc365f45ffp-13, -0x1.736d172fccb97p-13, -0x1.6725d7389d35cp-13, -0x1.5b33e5d488168p-13, -0x1.4f953179d614cp-13, -0x1.4447b48251f5ap-13, -0x1.394974ea2cb7fp-13, -0x1.2e988412b4d72p-13, -0x1.2432fe85a5c62p-13, -0x1.1a170bb8639a6p-13, -0x1.1042ddd1e25b9p-13, -0x1.06b4b17155499p-13, -0x1.fad59ae9ba76dp-14, -0x1.e8c705856ecfep-14, -0x1.d73a5826b959p-14, -0x1.c62c5b7533a19p-14, -0x1.b599eaea142ddp-14, -0x1.a57ff467e185fp-14, -0x1.95db77d516fdep-14, -0x1.86a986bc002d1p-14, -0x1.77e743e7d7a3ap-14, -0x1.6991e306c71ap-14, -0x1.5ba6a84d3965fp-14, -0x1.4e22e81a40f48p-14, -0x1.4104069f3c02ap-14, -0x1.344777866c0f1p-14, -0x1.27eabd9f23a4bp-14, -0x1.1beb6a88a6b1bp-14, -0x1.10471e5fc7a23p-14, -0x1.04fb876f6aabdp-14, -0x1.f40cc3bcf0f2bp-15, -0x1.decaeecad9d4cp-15, -0x1.ca2d3e01904aap-15, -0x1.b62f794c48ec8p-15, -0x1.a2cd81faa1f74p-15, -0x1.9003522cc4ecp-15, -0x1.7dccfc4b23d79p-15, -0x1.6c26aa79cf429p-15, -0x1.5b0c9e168ba64p-15, -0x1.4a7b2f308b765p-15, -0x1.3a6ecc0b68398p-15, -0x1.2ae3f89e0728fp-15, -0x1.1bd74e19876adp-15, -0x1.0d457a6caa22dp-15, -0x1.fe567fa238e96p-16, -0x1.e30ae8aad800fp-16, -0x1.c8a202d4ba496p-16, -0x1.af15c6ef849d3p-16, -0x1.966052d252858p-16, -0x1.7e7be890f7243p-16, -0x1.6762eda5f1b9ap-16, -0x1.510fea2857e52p-16, -0x1.3b7d88019e06ep-16, -0x1.26a6922d22973p-16, -0x1.1285f3f202002p-16, -0x1.fe2d705c5b853p-17, -0x1.d8a81136ee2c2p-17, -0x1.b4725a3608e53p-17, -0x1.918316115a14ep-17, -0x1.6fd14912eb555p-17, -0x1.4f542fd353b49p-17, -0x1.30033de6b8468p-17, -0x1.11d61c9c78021p-17, -0x1.e989538110cbdp-18, -0x1.b18decda8ea2ap-18, -0x1.7baa8bb6ccab6p-18, -0x1.47d01869e4878p-18, -0x1.15efdaf72712ep-18, -0x1.cbf6f1a347015p-19, -0x1.6fc9e55d4d416p-19, -0x1.173d44f6d3d69p-19, -0x1.846ce4d152316p-20, -0x1.c26de75eba6c8p-21, -0x1.12986da507bbep-22, 0x1.45dbeb02ae06dp-22, 0x1.c2a0d07b7083ap-21, 0x1.6b1510ecb8d08p-20, 0x1.eef2aa16a6702p-20, 0x1.368ae0e77f961p-19, 0x1.72d4e2ccee8eep-19, 0x1.ac6c84a499f3dp-19, 0x1.e36666d6b71f3p-19, 0x1.0beb51bf1e54p-18, 0x1.24e868c58d47dp-18, 0x1.3cb403f5a2d8p-18, 0x1.5357703f38932p-18, 0x1.68dbbd908c7efp-18, 0x1.7d49c0371e833p-18, 0x1.90aa125c493b7p-18, 0x1.a305155b9464dp-18, 0x1.b462f31707f96p-18, 0x1.c4cb9f5c44c6bp-18, 0x1.d446d9153fff6p-18, 0x1.e2dc2b9ebc91dp-18, 0x1.f092effcd3cafp-18, 0x1.fd724e063c6dap-18, 0x1.04c09ed34b9e9p-17, 0x1.0a6343f516f32p-17, 0x1.0fa4641ad4a79p-17, 0x1.148736a58f7c5p-17, 0x1.190edd3522185p-17, 0x1.1d3e642a8fc0ep-17, 0x1.2118c32f0229fp-17, 0x1.24a0ddadec427p-17, 0x1.27d983578d019p-17, 0x1.2ac570993c623p-17, 0x1.2d674f1507af4p-17, 0x1.2fc1b613004ccp-17, 0x1.31d72afb289dep-17, 0x1.33aa21ba4dd2dp-17, 0x1.353cfd3913156p-17, 0x1.36920fbf985f8p-17, 0x1.37ab9b5f4e687p-17, 0x1.388bd2582ed78p-17, 0x1.3934d77e889dbp-17, 0x1.39a8be93a0287p-17, 0x1.39e98caf550bap-17, 0x1.39f93892d51aep-17, 0x1.39d9ab095f81ap-17, 0x1.398cbf3b18248p-17, 0x1.39144308e535cp-17, 0x1.3871f7596b64bp-17, 0x1.37a79071dde8fp-17, 0x1.36b6b6409cb08p-17, 0x1.35a104b00b368p-17, 0x1.34680beed775dp-17, 0x1.330d50bbd1afap-17, 0x1.31924cb264297p-17, 0x1.2ff86e8c1c338p-17, 0x1.2e411a68ac5dcp-17, 0x1.2c6daa13b8031p-17, 0x1.2a7f6d4288795p-17, 0x1.2877a9d96405ep-17, 0x1.26579c2684c75p-17, 0x1.24207724f2ad2p-17, 0x1.21d364b0a5d49p-17, 0x1.1f7185c9d88c8p-17, 0x1.1cfbf2c961784p-17, 0x1.1a73bb99f9d7p-17, 0x1.17d9e7ee1e7dfp-17, 0x1.152f7777a75cep-17, 0x1.1275621940c4ep-17, 0x1.0fac981ad7b36p-17, 0x1.0cd6025ad4438p-17, 0x1.09f2827d7cdcbp-17, 0x1.0702f31e45897p-17, 0x1.040827fd0f5e4p-17, 0x1.0102ee2acaefbp-17, 0x1.fbe8186b6e1b9p-18, 0x1.f5b884a98ca34p-18, 0x1.ef789522130c5p-18, 0x1.e929b1dde6067p-18, 0x1.e2cd372bb7fdcp-18, 0x1.dc6475ebd1075p-18, 0x1.d5f0b3e3ec953p-18, 0x1.cf732bfefbf2fp-18, 0x1.c8ed0e9d6832ap-18, 0x1.c25f81d80bd9p-18, 0x1.bbcba1c7f8af9p-18, 0x1.b53280c5d03p-18, 0x1.ae9527af13d73p-18, 0x1.a7f49624c0c5ep-18, 0x1.a151c2c898ff6p-18, 0x1.9aad9b7cacd3ap-18, 0x1.9409059eeedf9p-18, 0x1.8d64de3f95dd3p-18, 0x1.86c1fa5e846fdp-18, 0x1.8021271f316d3p-18, 0x1.79832a017a8fep-18, 0x1.72e8c113a5a4dp-18, 0x1.6c52a327d7298p-18, 0x1.65c180048b31p-18, 0x1.5f3600968fa62p-18, 0x1.58b0c72112415p-18, 0x1.52326f6aa693ep-18, 0x1.4bbb8eed7a9dap-18, 0x1.454cb4ff2d8b3p-18, 0x1.3ee66b00fdaa2p-18, 0x1.38893486fdbecp-18, 0x1.32358f82a7df1p-18, 0x1.2bebf4689aee2p-18, 0x1.25acd65a7c7dep-18, 0x1.1f78a34cfc9e9p-18, 0x1.194fc42a67682p-18, 0x1.13329cf9b31d2p-18, 0x1.0d218d0146bcdp-18, 0x1.071ceee9bbaf4p-18, 0x1.012518ddee927p-18, 0x1.f674b95c0789p-19, 0x1.eaba0fdcda018p-19, 0x1.df1ac82e7da5bp-19, 0x1.d3976d455d776p-19, 0x1.c8308254e10eep-19, 0x1.bce6830c21695p-19, 0x1.b1b9e3cb22b61p-19, 0x1.a6ab11dd23ca5p-19, 0x1.9bba73ac421aap-19, 0x1.90e868f52eff4p-19, 0x1.86354afd6d7ep-19, 0x1.7ba16cc30b389p-19, 0x1.712d1b2e202f6p-19, 0x1.66d89d3e950dp-19, 0x1.5ca4343be82fap-19, 0x1.52901be23c10bp-19, 0x1.489c8a8e326aep-19, 0x1.3ec9b1653891cp-19, 0x1.3517bc83b8622p-19, 0x1.2b86d32212e59p-19, 0x1.221717bed989ap-19, 0x1.18c8a8439e1abp-19, 0x1.0f9b9e2c017a5p-19, 0x1.06900ea8f4b1p-19, 0x1.fb4c158d3c606p-20, 0x1.e9bb3f17e321bp-20, 0x1.d86dac42026adp-20, 0x1.c76367d6c938fp-20, 0x1.b69c756691d83p-20, 0x1.a618d17e9411ap-20, 0x1.95d871e649cb9p-20, 0x1.85db45e2b1eb8p-20, 0x1.76213667afd0ap-20, 0x1.66aa2654960d3p-20, 0x1.5775f2ab0c833p-20, 0x1.488472c65633p-20, 0x1.39d5788ca406fp-20, 0x1.2b68d0a585574p-20, 0x1.1d3e42a685e86p-20, 0x1.0f55914a2305p-20, 0x1.01ae7a9c297f4p-20, 0x1.e8917047473e3p-21, 0x1.ce47fe2e79e8bp-21, 0x1.b4800103c22d6p-21, 0x1.9b38d2e3cbb26p-21, 0x1.8271c639bef21p-21, 0x1.6a2a2619878acp-21, 0x1.5261368a52421p-21, 0x1.3b1634d325e8ap-21, 0x1.244857c6c8277p-21, 0x1.0df6d00aac798p-21, 0x1.f04190abaafb7p-22, 0x1.c58acb84352ccp-22, 0x1.9bc7900f7846dp-22, 0x1.72f61372d5241p-22, 0x1.4b1481175b676p-22, 0x1.2420fb1cd253fp-22, 0x1.fc3335a15b381p-23, 0x1.b1f8e2464e5dap-23, 0x1.698f0e1d4e706p-23, 0x1.22f1bc1b4a50cp-23, 0x1.bc39c21607abap-24, 0x1.3618c8a9db712p-24, 0x1.66f083537dd2ap-25, 0x1.a27e58762590bp-27, -0x1.1da44d4021a8fp-26, -0x1.7f75ccada34dep-25, -0x1.34ae4e346af32p-24, -0x1.a64bfd1fe2bedp-24, -0x1.0a4e5af34f4cdp-23, -0x1.3fd4a55eaa176p-23, -0x1.73bd4e0092e11p-23, -0x1.a60ccb73ddcaap-23, -0x1.d6c79a3bafd7bp-23, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      18, 0x1.ap+2, 0x1.aaa7f6a517467p+1, 0x1.b3629315d67b3p+3, -0x1.9fbfbe2b2be2dp-10, 
      {{
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.37c0016478f0ap-8, -0x1.5a65c199bb678p-6, 0x1.20a84d242420cp-5, -0x1.a245a40e848e5p-6}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.f011aecb58ddp-9, -0x1.23cd940aeec53p-6, 0x1.01497a6fda2f3p-5, -0x1.8754cea69e8ffp-6}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.853f7d6358744p-9, -0x1.e68fad6910539p-7, 0x1.c7dfd5e04fc9p-6, -0x1.706d241eab077p-6}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.2caf505afaf78p-9, -0x1.90e9aadb61a7ep-7, 0x1.909c43a882ee7p-6, -0x1.5870a37b3f5a9p-6}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.c8570ee018147p-10, -0x1.45f5106ae34dp-7, 0x1.5cf1c4bc6ca11p-6, -0x1.40be5065bfabbp-6}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.534600a831402p-10, -0x1.04fac3e0544a7p-7, 0x1.2cd538ad297abp-6, -0x1.28f81d340746p-6}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.eca45ab1bbf29p-11, -0x1.9a88f713fe9a1p-8, 0x1.00499ab22862cp-6, -0x1.11373ce5493f3p-6}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.5bd690487ad6bp-11, -0x1.3c376baaa6681p-8, 0x1.ae9c3cb92132dp-7, -0x1.f2e9e24da8fe6p-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.db28008fc57abp-12, -0x1.db2800b689b9bp-9, 0x1.63c5f460ae406p-7, -0x1.c36600889202ep-7}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.37c0016478ee7p-12, -0x1.5a638f9e33ed4p-9, 0x1.20104118fecp-7, -0x1.93e21ec386e54p-7}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.853f7d635873ep-13, -0x1.e68f5da4c7fd8p-10, 0x1.c6f645c421d55p-8, -0x1.645d874693f53p-7}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.c8570ee01809dp-14, -0x1.45f5074b33f76p-10, 0x1.5c0d69fbc23d5p-8, -0x1.34dbc6a91e5fcp-7}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.eca45ab1bbeap-15, -0x1.9a890f147e44bp-11, 0x1.feca29920bdb9p-9, -0x1.054f6045aa448p-7}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.db28008fc56c1p-16, -0x1.db2747358251cp-12, 0x1.6200efcea5b3p-9, -0x1.abd57435569bcp-8}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.853f7d6358303p-17, -0x1.e694c4376c78cp-13, 0x1.c34e99e3b1099p-10, -0x1.4be371a7a9c5cp-8}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.eca45ab1babffp-19, -0x1.9a609fcde6384p-14, 0x1.f85911cafcc0fp-11, -0x1.e0898f0fb2e5bp-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.853f7d6355p-21, -0x1.e8e987f04ef74p-16, 0x1.b00d118322cbcp-12, -0x1.0902e3d086a19p-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.853f7d633p-25, -0x1.a054c454207c8p-19, 0x1.c82666f06b603p-14, -0x1.62a9556d31499p-9}, 
      }}, 
      0x1.4db9e3681272ep-5, -0x1.012f9520b2705p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.d38e0ad317ce5p-5, 0x1.c7c4123b4b938p-4, 0x1.47fd1d3831ab1p-3, 0x1.9d8619cae06d7p-3, 0x1.e221f93afcae1p-3, 0x1.0a511365348c3p-2, 0x1.1a682447f7bbdp-2, 0x1.219c4cab208dap-2, 0x1.207bb93071342p-2, 0x1.17c62ac160217p-2, 0x1.0859e07379422p-2, 0x1.e6483f03a4e9ap-3, 0x1.b22a7593d19a1p-3, 0x1.762f772804847p-3, 0x1.341457d278bf6p-3, 0x1.daebf55e15d6bp-4, 0x1.47984e3f6802bp-4, 0x1.619c6f98cf592p-5, 0x1.8ddfa5f9f6592p-8, -0x1.f8db0ff8a76f6p-6, -0x1.12b9831295bb6p-4, -0x1.a33a2395a103cp-4, -0x1.1744b01eb4eccp-3, -0x1.59d96f5e6167p-3, -0x1.98fb94462c933p-3, -0x1.d462e79835848p-3, -0x1.05edf3fda518bp-2, -0x1.1fa294c8bde84p-2, -0x1.374673ded286dp-2, -0x1.4cd76445f98e8p-2, -0x1.6058e8373f5c8p-2, -0x1.71d3425aed2ap-2, -0x1.81529e34186acp-2, -0x1.8ee64f3339f8cp-2, -0x1.9aa025d987c86p-2, -0x1.a493da6b86fd7p-2, -0x1.acd68bec9d325p-2, -0x1.b37e51408996fp-2, -0x1.b8a1da4ea245dp-2, -0x1.bc581f77d6b25p-2, -0x1.beb81e07e3891p-2, -0x1.bfd8a0394b31ep-2, -0x1.bfd00f6ffa2b2p-2, -0x1.beb44f524ae07p-2, -0x1.bc9aa0aa5a296p-2, -0x1.b9978b31497dp-2, -0x1.b5becd10793a4p-2, -0x1.b1234f2b301cbp-2, -0x1.abd71dfeaf59cp-2, -0x1.a5eb65b0cfcdep-2, -0x1.9f70707843306p-2, -0x1.9875a8280097ep-2, -0x1.910998bc4558dp-2, -0x1.8939f4762e491p-2, -0x1.81139985e8178p-2, -0x1.78a297b2dca09p-2, -0x1.6ff237638309dp-2, -0x1.670d006c7e4f4p-2, -0x1.5dfcc1858c01p-2, -0x1.54ca9799ef644p-2, -0x1.4b7ef54918fa9p-2, -0x1.4221aa45426c4p-2, -0x1.38b9eaa6a0d44p-2, -0x1.2f4e5618f2eccp-2, -0x1.25e4fee7bd396p-2, -0x1.1c8370e144486p-2, -0x1.132eb811c1ea7p-2, -0x1.09eb675a375a3p-2, -0x1.00bd9eda54423p-2, -0x1.ef52247af9495p-3, -0x1.dd621db5f7a4ap-3, -0x1.cbb10369f4f49p-3, -0x1.ba43faa29873cp-3, -0x1.a91f7ec6fed0cp-3, -0x1.98476cadc7b3p-3, -0x1.87bf0d36381a7p-3, -0x1.77891fa6ac247p-3, -0x1.67a7e37e763d1p-3, -0x1.581d22076178fp-3, -0x1.48ea3758c0364p-3, -0x1.3a101b15d5071p-3, -0x1.2b8f689f930aap-3, -0x1.1d686705f199ep-3, -0x1.0f9b10679db6bp-3, -0x1.02271925a42adp-3, -0x1.ea17ecf29f2fep-4, -0x1.d091c9dffb768p-4, -0x1.b7b9dc8f085c9p-4, -0x1.9f8dde69089bep-4, -0x1.880b393036b8dp-4, -0x1.712f111f86d5bp-4, -0x1.5af64e33cb98ap-4, -0x1.455da4d0180cp-4, -0x1.30619e0f230e6p-4, -0x1.1bfe9f092ec32p-4, -0x1.0830f00e5158ep-4, -0x1.e9e985d9330dap-5, -0x1.c48c71b94f141p-5, -0x1.a042d024e690ep-5, -0x1.7d04c0e153abcp-5, -0x1.5aca607a0bacbp-5, -0x1.398bd036377c8p-5, -0x1.19413d33c71a7p-5, -0x1.f3c5cec282cbfp-6, -0x1.b6d24dd50395bp-6, -0x1.7b98e2e274eacp-6, -0x1.420abdadd6c4dp-6, -0x1.0a1959732396fp-6, -0x1.a76d083f584a1p-7, -0x1.3da8c88c69574p-7, -0x1.ad95f524cb12dp-8, -0x1.cae59c1a2f557p-9, -0x1.15a9fe8a6530ep-11, 0x1.35a7f2689958cp-9, 0x1.53587fde4f027p-8, 0x1.0383276c31a68p-7, 0x1.5b04dd93ec8f6p-7, 0x1.b046b8dcb24d5p-7, 0x1.01ae9da3fed86p-6, 0x1.2a2e0ac72a11p-6, 0x1.51ab14987bcdep-6, 0x1.782ec4c8fcb0bp-6, 0x1.9dc1c0a702939p-6, 0x1.c26c4ac40a0ap-6, 0x1.e63644b79f446p-6, 0x1.049398ca85a18p-5, 0x1.15a31c795f461p-5, 0x1.264d1445b4a5bp-5, 0x1.3694bba50e132p-5, 0x1.467d243f8bd1cp-5, 0x1.560937105c19ap-5, 0x1.653bb5bc056aep-5, 0x1.74173c4254c3ep-5, 0x1.829e426819235p-5, 0x1.90d31cf8fa127p-5, 0x1.9eb7ff2840a67p-5, 0x1.ac4efc59f00ap-5, 0x1.b99a0952a7e5p-5, 0x1.c69afd676d155p-5, 0x1.d35394149a62bp-5, 0x1.dfc56e6b3900ap-5, 0x1.ebf21452d4fb9p-5, 0x1.f7daf561deccp-5, 0x1.01c0b548018cbp-4, 0x1.07735bcfdd20cp-4, 0x1.0d0605f0cb057p-4, 0x1.1279418bf538bp-4, 0x1.17cd93997b516p-4, 0x1.1d03789b7b76cp-4, 0x1.221b651b0a1e6p-4, 0x1.2715c5f1c221bp-4, 0x1.2bf30108b095ap-4, 0x1.30b375cc2e66fp-4, 0x1.35577d98b9ac1p-4, 0x1.39df6bf706452p-4, 0x1.3e4b8f109bccdp-4, 0x1.429c305a7ccc3p-4, 0x1.46d194c56e78ep-4, 0x1.4aebfd0b4abb1p-4, 0x1.4eeba5fd6dc9cp-4, 0x1.52d0c8df49323p-4, 0x1.569b9bf4cbc74p-4, 0x1.5a4c529d2217dp-4, 0x1.5de31d6f775adp-4, 0x1.61602aa58b9eap-4, 0x1.64c3a6598123fp-4, 0x1.680dbaf36460bp-4, 0x1.6b3e9128b215ap-4, 0x1.6e56501d5902ap-4, 0x1.71551db66ecccp-4, 0x1.743b1eda77326p-4, 0x1.7708779b97c1cp-4, 0x1.79bd4b69204b7p-4, 0x1.7c59bcf7b01c1p-4, 0x1.7eddee90d6943p-4, 0x1.814a023d98528p-4, 0x1.839e1a09bdde8p-4, 0x1.85da57ec1a7c1p-4, 0x1.87fedde4d8902p-4, 0x1.8a0bce0fb2056p-4, 0x1.8c014ad6a754bp-4, 0x1.8ddf77239a437p-4, 0x1.8fa6764ad048ep-4, 0x1.91566c29a14a6p-4, 0x1.92ef7d200d602p-4, 0x1.9471ce236d347p-4, 0x1.95dd8505aa612p-4, 0x1.9732c85857a28p-4, 0x1.9871bf8380913p-4, 0x1.999a92b51f8bep-4, 0x1.9aad6afce696bp-4, 0x1.9baa723685f02p-4, 0x1.9c91d368cd483p-4, 0x1.9d63ba7559d43p-4, 0x1.9e20544bfd432p-4, 0x1.9ec7cec7e4be4p-4, 0x1.9f5a58b1a3664p-4, 0x1.9fd821ef96bddp-4, 0x1.a0415b5eab48ep-4, 0x1.a09636fdf3459p-4, 0x1.a0d6e7bd2e0f1p-4, 0x1.a103a1997e217p-4, 0x1.a11c9976ae24fp-4, 0x1.a12205494f2e3p-4, 0x1.a1141bf63965cp-4, 0x1.a0f3157e6ca4ep-4, 0x1.a0bf2abe64737p-4, 0x1.a078958e26c9ap-4, 0x1.a01f90a845c85p-4, 0x1.9fb4579ab520ep-4, 0x1.9f3726f0b7137p-4, 0x1.9ea83c03a1527p-4, 0x1.9e07d50c23bp-4, 0x1.9d56310eb41a3p-4, 0x1.9c938fd3ae8a7p-4, 0x1.9bc031cb4eedcp-4, 0x1.9adc58349d5bap-4, 0x1.99e844f32ca66p-4, 0x1.98e43a94d77adp-4, 0x1.97d07c53755dep-4, 0x1.96ad4df7c84c8p-4, 0x1.957af3ccba0a8p-4, 0x1.9439b2ac98368p-4, 0x1.92e9cfe79d275p-4, 0x1.918b913d5dc1ap-4, 0x1.901f3ce97d625p-4, 0x1.8ea519824ae1bp-4, 0x1.8d1d6dfccb866p-4, 0x1.8b888195b3b3cp-4, 0x1.89e69bcbdbc0cp-4, 0x1.8838045f95ad2p-4, 0x1.867d03467ebd1p-4, 0x1.84b5e09d75eb4p-4, 0x1.82e2e4b4dcc57p-4, 0x1.810457f4633d4p-4, 0x1.7f1a82ccd846fp-4, 0x1.7d25adb74ea6fp-4, 0x1.7b2621293b13fp-4, 0x1.791c2585f9e5p-4, 0x1.7708033c409d7p-4, 0x1.74ea029156999p-4, 0x1.72c26bb436b88p-4, 0x1.709186a52ee28p-4, 0x1.6e579b2f60577p-4, 0x1.6c14f0d8253c2p-4, 0x1.69c9ceed40af8p-4, 0x1.67767c73a5a98p-4, 0x1.651b402a0beb2p-4, 0x1.62b8607b55451p-4, 0x1.604e2371a9793p-4, 0x1.5ddcceaea876p-4, 0x1.5b64a754259fap-4, 0x1.58e5f21eb8c69p-4, 0x1.5660f34d83da8p-4, 0x1.53d5eeb158689p-4, 0x1.5145279bc3f7bp-4, 0x1.4eaee0d3aca7ep-4, 0x1.4c135c84ef0afp-4, 0x1.4972dc3eab43dp-4, 0x1.46cda0e12d006p-4, 0x1.4423eac1c2271p-4, 0x1.4175f992eacb7p-4, 0x1.3ec40c76aaba8p-4, 0x1.3c0e61e01932cp-4, 0x1.3955378a1b2cfp-4, 0x1.3698ca657dd42p-4, 0x1.33d9568d77861p-4, 0x1.31171762b287p-4, 0x1.2e52478c5c741p-4, 0x1.2b8b21114d00dp-4, 0x1.28c1dd4f2dd9ep-4, 0x1.25f6b4d88b186p-4, 0x1.2329df5fb8588p-4, 0x1.205b939466349p-4, 0x1.1d8c072708073p-4, 0x1.1abb6ee3a2473p-4, 0x1.17e9fee1e2f33p-4, 0x1.1517ea9c88c33p-4, 0x1.124564ff51728p-4, 0x1.0f72a02f647c3p-4, 0x1.0c9fcd65b7c82p-4, 0x1.09cd1c99dd945p-4, 0x1.06fabc7391e03p-4, 0x1.0428da7377c67p-4, 0x1.0157a33aa8efcp-4, 0x1.fd0e85caebfa2p-5, 0x1.f76fca9c21121p-5, 0x1.f1d36bef505f3p-5, 0x1.ec39bf68cedc4p-5, 0x1.e6a3184d817fap-5, 0x1.e10fc68dc3e28p-5, 0x1.db80168245be5p-5, 0x1.d5f4517bf2b8cp-5, 0x1.d06cbed695e9bp-5, 0x1.cae9a5ae20ce8p-5, 0x1.c56b4d92fbc73p-5, 0x1.bff1feec48191p-5, 0x1.ba7e019a10516p-5, 0x1.b50f9b543a596p-5, 0x1.afa70db31e24bp-5, 0x1.aa449512f03a9p-5, 0x1.a4e868f2c6c73p-5, 0x1.9f92bd9c346a8p-5, 0x1.9a43c6a38935dp-5, 0x1.94fbb96510c5ap-5, 0x1.8fbace27ee97p-5, 0x1.8a813fa6ced43p-5, 0x1.854f48b25f064p-5, 0x1.802520e74ea7ap-5, 0x1.7b02f9b3cd4d3p-5, 0x1.75e8fcdd97bccp-5, 0x1.70d74d515e8cdp-5, 0x1.6bce0a013809dp-5, 0x1.66cd51f8aac7p-5, 0x1.61d5480931e79p-5, 0x1.5ce614f019597p-5, 0x1.57ffe6bbab575p-5, 0x1.5322ed7e7d9c5p-5, 0x1.4e4f56ac148fep-5, 0x1.4985485359261p-5, 0x1.44c4de6385acap-5, 0x1.400e2afac070cp-5, 0x1.3b61399ab76d6p-5, 0x1.36be143b8becfp-5, 0x1.3224c8a2d69d5p-5, 0x1.2d956c391f08ap-5, 0x1.29101d1da64dep-5, 0x1.2494ffc9db638p-5, 0x1.202439e332f9bp-5, 0x1.1bbdebfed5ca8p-5, 0x1.17622c96db67ep-5, 0x1.1311062f9747cp-5, 0x1.0eca791e6234cp-5, 0x1.0a8e7fe70e99fp-5, 0x1.065d14d15c25bp-5, 0x1.023636e1cfe32p-5, 0x1.fc33da809b0a8p-6, 0x1.f41090671c467p-6, 0x1.ec02bdec3b43ap-6, 0x1.e40a95412d82bp-6, 0x1.dc283f9af4881p-6, 0x1.d45bd35a633fep-6, 0x1.cca5516613697p-6, 0x1.c504aa21ac964p-6, 0x1.bd79c60d1d37dp-6, 0x1.b6048d2908afcp-6, 0x1.aea4eb3eaad43p-6, 0x1.a75ad263cee78p-6, 0x1.a0263d89556d6p-6, 0x1.990731fc93bccp-6, 0x1.91fdbc8b05391p-6, 0x1.8b09e902b8862p-6, 0x1.842bb86b044dfp-6, 0x1.7d631cbb860a3p-6, 0x1.76affea56682ep-6, 0x1.701248c9ace67p-6, 0x1.6989eec74a10fp-6, 0x1.6316e97e43dfdp-6, 0x1.5cb92bc76f05bp-6, 0x1.56709a2e49af1p-6, 0x1.503d0d8d878d9p-6, 0x1.4a1e5dd9fc59bp-6, 0x1.44146a54e7da9p-6, 0x1.3e1f16f89dccbp-6, 0x1.383e42993b769p-6, 0x1.3271c2947e0b2p-6, 0x1.2cb96d4364b29p-6, 0x1.27152d794632bp-6, 0x1.21850d563c819p-6, 0x1.1c0929fd2c9b2p-6, 0x1.16a1943d5a8ebp-6, 0x1.114e343d4438dp-6, 0x1.0c0ec5a8d157cp-6, 0x1.06e2ee9a09f6p-6, 0x1.01ca5de5cbb5ep-6, 0x1.f989b0eae64f9p-7, 0x1.efa45d6bb0eb5p-7, 0x1.e5e4549dafa23p-7, 0x1.dc491832b74cep-7, 0x1.d2d244ea57b8p-7, 0x1.c97fcd47ef3d9p-7, 0x1.c052077bd6387p-7, 0x1.b7496ef0273a6p-7, 0x1.ae66377649c8cp-7, 0x1.a5a7ff134248p-7, 0x1.9d0ddae43e032p-7, 0x1.9496b4cafbe4ap-7, 0x1.8c41b139a1b34p-7, 0x1.840e55352e81p-7, 0x1.7bfc5f0462826p-7, 0x1.740b8437e4144p-7, 0x1.6c3b577ae517bp-7, 0x1.648b6e9681d1fp-7, 0x1.5cfba801fa291p-7, 0x1.558c507e9df1p-7, 0x1.4e3df63bef4d9p-7, 0x1.4710ef2a95094p-7, 0x1.4004e2a50406fp-7, 0x1.3918b71effef2p-7, 0x1.324af6f96cd19p-7, 0x1.2b9a5e544a2d7p-7, 0x1.250631c39306bp-7, 0x1.1e8e38a4152c1p-7, 0x1.1832784d0f73fp-7, 0x1.11f2ee1a87c1ap-7, 0x1.0bcf766bfcefbp-7, 0x1.05c7e5d24d619p-7, 0x1.ffb87cdb1a15fp-8, 0x1.f419a959c3925p-8, 0x1.e8b45455b7541p-8, 0x1.dd88edbb03f03p-8, 0x1.d29666ad28f13p-8, 0x1.c7da1a7c5fcf7p-8, 0x1.bd50a4121684fp-8, 0x1.b2f6e8acd1ef4p-8, 0x1.a8cabfed2b1e7p-8, 0x1.9ecb39a13fafdp-8, 0x1.94f889ba55fe3p-8, 0x1.8b53860b90861p-8, 0x1.81dcee049ef63p-8, 0x1.7894faca26649p-8, 0x1.6f7b9281aca39p-8, 0x1.6690daff83b23p-8, 0x1.5dd578703ef71p-8, 0x1.554a2e3e12405p-8, 0x1.4cef2bf46f443p-8, 0x1.44c37414ad74dp-8, 0x1.3cc4c6a0aeea9p-8, 0x1.34f00eb9c7f3fp-8, 0x1.2d41d29585334p-8, 0x1.25b6bfe284791p-8, 0x1.1e4cdd029b53dp-8, 0x1.170475aa1f85ep-8, 0x1.0fdf567f9624p-8, 0x1.08defc1c1d807p-8, 0x1.0203b5862958p-8, 0x1.f69a9158a0151p-9, 0x1.e97734ce93736p-9, 0x1.dc9d179b79891p-9, 0x1.d00c0b3310271p-9, 0x1.c3c4e1eed438bp-9, 0x1.b7c92581f9f43p-9, 0x1.ac1933c2d78efp-9, 0x1.a0b2db861e0acp-9, 0x1.959119672cc2dp-9, 0x1.8aabf49f2c637p-9, 0x1.7ffac4674a764p-9, 0x1.7579b41468b01p-9, 0x1.6b2b4a32e3179p-9, 0x1.61130674f54fap-9, 0x1.5731748091633p-9, 0x1.4d868b9677e32p-9, 0x1.4413c95491561p-9, 0x1.3ad985d879acfp-9, 0x1.31d526ce441c1p-9, 0x1.2903cb5e73685p-9, 0x1.206592a55a60bp-9, 0x1.17fd9d6826cb4p-9, 0x1.0fcf00f8e45cfp-9, 0x1.07da2023f62a3p-9, 0x1.001cc161d5a95p-9, 0x1.f123f83a5113ap-10, 0x1.e2644af511e8fp-10, 0x1.d3f130a9d0e43p-10, 0x1.c5cee0ac44422p-10, 0x1.b8002f2e3da41p-10, 0x1.aa7d87d9f24d8p-10, 0x1.9d42aba29897bp-10, 0x1.90560d0880119p-10, 0x1.83bd455a49783p-10, 0x1.7775a91527dc5p-10, 0x1.6b78581c50358p-10, 0x1.5fc05be074991p-10, 0x1.544e457107606p-10, 0x1.4927b0a6fcb96p-10, 0x1.3e51f9b46ce57p-10, 0x1.33cd0d3e8c512p-10, 0x1.299541137b35cp-10, 0x1.1fa596e9452bfp-10, 0x1.15f445b6b0b9ep-10, 0x1.0c7bfab98e331p-10, 0x1.0344cf72fb573p-10, 0x1.f4a1d65efd3f8p-11, 0x1.e32c13787b2bap-11, 0x1.d220a0ddfa322p-11, 0x1.c18445243463ep-11, 0x1.b153bc2acc9eep-11, 0x1.a18a586632d54p-11, 0x1.9227a0f7f155p-11, 0x1.832a5eb8245e3p-11, 0x1.748f0cc5779c1p-11, 0x1.6654732ea2c64p-11, 0x1.587f7380175b9p-11, 0x1.4b1634964edc2p-11, 0x1.3e16b466e3c6cp-11, 0x1.317a823e2739ap-11, 0x1.253ea1dda521fp-11, 0x1.19578d1272293p-11, 0x1.0dbb8ccb2bf4fp-11, 0x1.02750bf070f2ap-11, 0x1.ef007f4d345f5p-12, 0x1.d9af6ded7646ep-12, 0x1.c512381cac9d1p-12, 0x1.b12929d82b7a4p-12, 0x1.9dd916d473597p-12, 0x1.8b0bdf1dd6ca6p-12, 0x1.78b8562ff5d19p-12, 0x1.66e17e3898ef5p-12, 0x1.558ed86d31d54p-12, 0x1.44c17b99be4d8p-12, 0x1.347330e44a67ep-12, 0x1.24a3142dc99d3p-12, 0x1.15589aabd2ec4p-12, 0x1.0691a1705fcbap-12, 0x1.f08dbe4cc3901p-13, 0x1.d4fd77844e016p-13, 0x1.ba51bb120f028p-13, 0x1.a05c7afc24ab3p-13, 0x1.872749f4488ep-13, 0x1.6e9c14e19a609p-13, 0x1.56e52bf0e5692p-13, 0x1.401323093a1fp-13, 0x1.2a09cce5344p-13, 0x1.14c344cf7c884p-13, 0x1.00464940e0ceap-13, 0x1.d91d28eb1e83fp-14, 0x1.b305e6f4542eap-14, 0x1.8e0cc4833e699p-14, 0x1.6a2e41f166631p-14, 0x1.478d2e0e564f7p-14, 0x1.262653809005bp-14, 0x1.05e0b23c1b5eep-14, 0x1.cd9b06d4e01a8p-15, 0x1.91e8aca0c999bp-15, 0x1.58994883f642fp-15, 0x1.21edb080649cdp-15, 0x1.da98d59ae5de7p-16, 0x1.745bb4bd28913p-16, 0x1.11244f65d10f8p-16, 0x1.63a7dec09e9f1p-17, 0x1.5ba5a258fa7a4p-18, -0x1.02d3126c3b08cp-25, -0x1.52d45bc30ad4fp-18, -0x1.4b4f114fe479cp-17, -0x1.e68fc572b674p-17, -0x1.3d74cfd4dbafap-16, -0x1.83fc01f81600ep-16, -0x1.c6d61f1331f73p-16, -0x1.034ad692b8e79p-15, -0x1.220c34fbe8e87p-15, -0x1.3fa595175445ep-15, -0x1.5bdccd18fa27ep-15, -0x1.76dd803857bcep-15, -0x1.90a00d86ca139p-15, -0x1.a8f840e4135a8p-15, -0x1.bff6e72d7c89cp-15, -0x1.d582da0674693p-15, -0x1.ea163b724f5e1p-15, -0x1.fdfb684c31a2ap-15, -0x1.086f5d2a0aa1fp-14, -0x1.113c2521c82f1p-14, -0x1.198d684ce186ep-14, -0x1.216d7cf9a1f52p-14, -0x1.28da58ab9fca5p-14, -0x1.2fd5680aae003p-14, -0x1.366241cac98c7p-14, -0x1.3c84b1b5fe3edp-14, -0x1.423f79703ef48p-14, -0x1.479314f05b23fp-14, -0x1.4c7c1fce79f46p-14, -0x1.50f3b7c082058p-14, -0x1.5501f91b15bc2p-14, -0x1.58c837211f1b8p-14, -0x1.5c461e6e90344p-14, -0x1.5f7843057a32bp-14, -0x1.6263843d30318p-14, -0x1.64f0c69006d48p-14, -0x1.672c12820441fp-14, -0x1.69119935ddd78p-14, -0x1.6ac3c24602cf3p-14, -0x1.6c4a86381f602p-14, -0x1.6d7e7b042bfb3p-14, -0x1.6e7466a1ab708p-14, -0x1.6f34b1e7f4199p-14, -0x1.6fbd62a3d9d3bp-14, -0x1.700f2661b2214p-14, -0x1.702c0c1859a27p-14, -0x1.7016616ed338cp-14, -0x1.6fd057df684c6p-14, -0x1.6f5bf66160dd8p-14, -0x1.6ebb4eb2f18p-14, -0x1.6df0af79f6637p-14, -0x1.6cfe7dee62fb7p-14, -0x1.6be64bf8756e7p-14, -0x1.6aa4d4ed10887p-14, -0x1.6932f9de137ffp-14, -0x1.679df8300cc6dp-14, -0x1.65f1c4498f99p-14, -0x1.642f5581d45a6p-14, -0x1.62479c73594cp-14, -0x1.603ed7492b8ebp-14, -0x1.5e17fd01f9d28p-14, -0x1.5bde905e9962bp-14, -0x1.598f0c38cb27bp-14, -0x1.57234313dc9bbp-14, -0x1.54a45c7c87919p-14, -0x1.52117187aef88p-14, -0x1.4f6a9a0838a4p-14, -0x1.4cb0dbc671de3p-14, -0x1.49e55d2eab25ep-14, -0x1.47093be159178p-14, -0x1.441d873c83dcp-14, -0x1.41233ded485d9p-14, -0x1.3e1b4bf7ede9ep-14, -0x1.3b069601725bfp-14, -0x1.37e60ea69e1e4p-14, -0x1.34bac7990d183p-14, -0x1.3185f20e2c9bep-14, -0x1.2e48e276b8307p-14, -0x1.2b040dc31d6bcp-14, -0x1.27b2e6b0da2e3p-14, -0x1.2455e2111b7fcp-14, -0x1.20f8d30691f39p-14, -0x1.1d97ef6819d5p-14, -0x1.1a2d62ab25274p-14, -0x1.16bf738cad25ap-14, -0x1.134e090df69dbp-14, -0x1.0fd9508a5230cp-14, -0x1.0c6152857287bp-14, -0x1.08e7e9d07ab47p-14, -0x1.056cb554e1805p-14, -0x1.01f00b0f6c771p-14, -0x1.fce4dbdf03251p-15, -0x1.f5e8b8657c1c8p-15, -0x1.eeec9710850adp-15, -0x1.e7f15772acfe6p-15, -0x1.e0f7c7b13f571p-15, -0x1.da00b479cfe6p-15, -0x1.d30cdba94085dp-15, -0x1.cc1cf11a021cep-15, -0x1.c531a1add913dp-15, -0x1.be4b982b4b53fp-15, -0x1.b76b885f2e7fep-15, -0x1.b0923104e87f4p-15, -0x1.a9c058c88ac78p-15, -0x1.a2f6eaf7cb036p-15, -0x1.9c3552cb808ccp-15, -0x1.95788e71d2b2fp-15, -0x1.8ec7f64758dacp-15, -0x1.8820835479dacp-15, -0x1.8182296caea67p-15, -0x1.7aefbbae053c5p-15, -0x1.74677c2083091p-15, -0x1.6dea140727f2ap-15, -0x1.6778cc9826e3p-15, -0x1.6113684187fecp-15, -0x1.5aba184b3d2aap-15, -0x1.546d2f0c16011p-15, -0x1.4e2cf94a38b97p-15, -0x1.47f9bc8c755a7p-15, -0x1.41d3b8a46a2cdp-15, -0x1.3bbb28ad83966p-15, -0x1.35b043c656bfdp-15, -0x1.2fb33cd79d97fp-15, -0x1.29c443c98e1f9p-15, -0x1.23e3848afd0cep-15, -0x1.1e112714b9712p-15, -0x1.184d500d6e744p-15, -0x1.12982165d0d8fp-15, -0x1.0cf1bc15e0037p-15, -0x1.075a3fe8b22cp-15, -0x1.01d1c74786efep-15, -0x1.f8b0da87f42ebp-16, -0x1.eddcc973694edp-16, -0x1.e326ca78dbecfp-16, -0x1.d88f2ba0a29ddp-16, -0x1.ce15fa812f5cep-16, -0x1.c3bbb420a5e7cp-16, -0x1.b980c7fecbee6p-16, -0x1.af646e71eb712p-16, -0x1.a566e4e484611p-16, -0x1.9b886ebb1fe99p-16, -0x1.91c8ec71a68c6p-16, -0x1.8828500d566b3p-16, -0x1.7ea6943e4a3a8p-16, -0x1.7543b36e3208dp-16, -0x1.6bffa7a181a88p-16, -0x1.62da5f5bf68cbp-16, -0x1.59d3c409f98e9p-16, -0x1.50ebc2f1169f6p-16, -0x1.4822465ef3cd5p-16, -0x1.3f77313c0bb34p-16, -0x1.36ea6870a3a44p-16, -0x1.2e7bce1947102p-16, -0x1.262b408ccb006p-16, -0x1.1df89bc1ee267p-16, -0x1.15e3b941a00dp-16, -0x1.0dec75d2ad7cfp-16, -0x1.0612a5fc4c8bp-16, -0x1.fcac3b73a31c6p-17, }}, 
      {{0x1.96aba7785a826p-5, 0x1.917c8f411650ap-4, 0x1.26e98e8340487p-3, 0x1.7e4a10ca2cef8p-3, 0x1.cd742f7816653p-3, 0x1.09b699c768899p-2, 0x1.27cf66ec2308cp-2, 0x1.40e42b503b582p-2, 0x1.54f7e032e604cp-2, 0x1.64299d6da92dep-2, 0x1.6eae0b498032bp-2, 0x1.74c99cd7420a9p-2, 0x1.76cba269cb03fp-2, 0x1.750a31a8f6fc9p-2, 0x1.6fded4a939742p-2, 0x1.67a3ea901181cp-2, 0x1.5cb2a177e5613p-2, 0x1.4f61716453cc3p-2, 0x1.400301ef68b8cp-2, 0x1.2ee566ec21153p-2, 0x1.1c51a2f00f188p-2, 0x1.088b613506c1bp-2, 0x1.e7a1b52e8fd79p-3, 0x1.bcb5b6cd02b37p-3, 0x1.90b9c33c16b97p-3, 0x1.640a99ba244fap-3, 0x1.36fb35c686e11p-3, 0x1.09d5589e8bf95p-3, 0x1.b9b43b61ba2fdp-4, 0x1.608527b3569d8p-4, 0x1.0880b03946b0dp-4, 0x1.63f8bcd0c445ap-5, 0x1.7504d37e319c8p-6, 0x1.5199bab68d9cep-9, -0x1.17b64aec2768p-6, -0x1.2807f81c2fce9p-5, -0x1.bf29bc4234286p-5, -0x1.2886274e6e22fp-4, -0x1.6ec471a1fae7bp-4, -0x1.b242403930e32p-4, -0x1.f2f74cb724abbp-4, -0x1.186ff21406d51p-3, -0x1.35fe293364dabp-3, -0x1.52282d90d957dp-3, -0x1.6cf15fe18e43cp-3, -0x1.865e68c0779c3p-3, -0x1.9e75075b7c72ep-3, -0x1.b53be55cb5aeep-3, -0x1.caba6f93a29e4p-3, -0x1.def8b2fea23aap-3, -0x1.f1ff3dc39d2e7p-3, -0x1.01eb81e1ab598p-2, -0x1.0a44a336ba41p-2, -0x1.120fbfbd2388fp-2, -0x1.1951a7292b532p-2, -0x1.200f33e689cd8p-2, -0x1.264d4400a0774p-2, -0x1.2c10b302d4c82p-2, -0x1.315e54a8a24e2p-2, -0x1.363af04c008ccp-2, -0x1.3aab3cfb65154p-2, -0x1.3eb3de2754bf5p-2, -0x1.425960d1f1d21p-2, -0x1.45a039314f536p-2, -0x1.488cc0be6ae81p-2, -0x1.4b23349af445ep-2, -0x1.4d67b44c3dc39p-2, -0x1.4f5e40bdf381ap-2, -0x1.510abb804d0dbp-2, -0x1.5270e644a91fep-2, -0x1.53946286e5dbfp-2, -0x1.5478b16731b7ep-2, -0x1.552133a6395bcp-2, -0x1.559129c92d74dp-2, -0x1.55cbb4550635dp-2, -0x1.55d3d42ac002dp-2, -0x1.55ac6af778a7ap-2, -0x1.55583bb704742p-2, -0x1.54d9eb4cafe83p-2, -0x1.5434012459101p-2, -0x1.5368e7e624d7ep-2, -0x1.527aee2e4e2f6p-2, -0x1.516c475198615p-2, -0x1.503f0c2694d4bp-2, -0x1.4ef53bd44b26ap-2, -0x1.4d90bca411fcp-2, -0x1.4c135cd4b5a2cp-2, -0x1.4a7ed372bb1e9p-2, -0x1.48d4c12c3e304p-2, -0x1.4716b126ea909p-2, -0x1.454619d32453ep-2, -0x1.43645dbe9b36p-2, -0x1.4172cc62d61ddp-2, -0x1.3f72a2f1155edp-2, -0x1.3d650d1ad3018p-2, -0x1.3b4b25d5c2c15p-2, -0x1.3925f819b1b33p-2, -0x1.36f67f9e9105bp-2, -0x1.34bda98ea4c86p-2, -0x1.327c553b70a13p-2, -0x1.303354c52f134p-2, -0x1.2de36dc25f342p-2, -0x1.2b8d59e0bf3f5p-2, -0x1.2931c77f631aep-2, -0x1.26d15a445986dp-2, -0x1.246cabac218f6p-2, -0x1.22044b93d5d75p-2, -0x1.1f98c0be06afap-2, -0x1.1d2a8951e8643p-2, -0x1.1aba1b544c13dp-2, -0x1.1847e51c25708p-2, -0x1.15d44dc3ec88dp-2, -0x1.135fb59083007p-2, -0x1.10ea7659e713fp-2, -0x1.0e74e3e8bda3ep-2, -0x1.0bff4c547da88p-2, -0x1.0989f859d192dp-2, -0x1.07152bad6b28cp-2, -0x1.04a1254b321e5p-2, -0x1.022e1fc1885d5p-2, -0x1.ff78a2ed6c2c9p-3, -0x1.fa97d9d9c702p-3, -0x1.f5ba420240d36p-3, -0x1.f0e0324ff12adp-3, -0x1.ec09fb49037ap-3, -0x1.e737e78032064p-3, -0x1.e26a3bf3f69b2p-3, -0x1.dda13871b32f4p-3, -0x1.d8dd17efc3173p-3, -0x1.d41e10db15e0bp-3, -0x1.cf64556f9f96p-3, -0x1.cab013fb53d8ap-3, -0x1.c6017726ece25p-3, -0x1.c158a6386d3cep-3, -0x1.bcb5c54c74eb7p-3, -0x1.b818f594ff14cp-3, -0x1.b382558bb849fp-3, -0x1.aef20124f4e41p-3, -0x1.aa6811ff173a1p-3, -0x1.a5e49f8f55d0cp-3, -0x1.a167bf48fce46p-3, -0x1.9cf184c49128ap-3, -0x1.988201e4598c5p-3, -0x1.941946f47ceefp-3, -0x1.8fb762ca44dp-3, -0x1.8b5c62deb49adp-3, -0x1.870853703cdc1p-3, -0x1.82bb3f9260ff1p-3, -0x1.7e753149f9362p-3, -0x1.7a3631a11d92fp-3, -0x1.75fe48bce7b61p-3, -0x1.71cd7deae0528p-3, -0x1.6da3d7b8e319fp-3, -0x1.69815bfb60817p-3, -0x1.65660fe56158bp-3, -0x1.6151f810bb4b4p-3, -0x1.5d451884bd14bp-3, -0x1.593f74ce57087p-3, -0x1.55410fffb184ap-3, -0x1.5149ecbb2c931p-3, -0x1.4d5a0d4187e6ap-3, -0x1.49717371c6b5cp-3, -0x1.459020d5c9413p-3, -0x1.41b616a644c72p-3, -0x1.3de355d2c6c2ap-3, -0x1.3a17df0290d2dp-3, -0x1.3653b29fa127dp-3, -0x1.3296d0d6981f3p-3, -0x1.2ee1399a253c8p-3, -0x1.2b32eca92f6bdp-3, -0x1.278be990a651fp-3, -0x1.23ec2faf63608p-3, -0x1.2053be35a09e3p-3, -0x1.1cc29429b13b8p-3, -0x1.1938b069b4fb5p-3, -0x1.15b611adba6f9p-3, -0x1.123ab685c532ap-3, -0x1.0ec69d5e5fc8ap-3, -0x1.0b59c48225b06p-3, -0x1.07f42a16d18fdp-3, -0x1.0495cc23513bap-3, -0x1.013ea889224f5p-3, -0x1.fbdd7a1ee8391p-4, -0x1.f54c0eab2df0ep-4, -0x1.eec909bf86fffp-4, -0x1.e8546623f46edp-4, -0x1.e1ee1e5b01179p-4, -0x1.db962cabe641p-4, -0x1.d54c8b20d20e9p-4, -0x1.cf113380852f8p-4, -0x1.c8e41f4b8197bp-4, -0x1.c2c547d16b6d3p-4, -0x1.bcb4a6147b7aep-4, -0x1.b6b232d905435p-4, -0x1.b0bde6a485fd9p-4, -0x1.aad7b9b7f230ep-4, -0x1.a4ffa4134a42p-4, -0x1.9f359d6f60996p-4, -0x1.99799d4a94698p-4, -0x1.93cb9ad5361b6p-4, -0x1.8e2b8d04017dep-4, -0x1.88996a7c8edc7p-4, -0x1.831529aaf4aa7p-4, -0x1.7d9ec0af51e5dp-4, -0x1.783625635f68ep-4, -0x1.72db4d57ddcadp-4, -0x1.6d8e2de2496e3p-4, -0x1.684ebc058b0f4p-4, -0x1.631cec809c21ap-4, -0x1.5df8b3cf72b9ap-4, -0x1.58e2062166836p-4, -0x1.53d8d75febbcdp-4, -0x1.4edd1b304be59p-4, -0x1.49eec4ed0a413p-4, -0x1.450dc7a474b16p-4, -0x1.403a1630b66e1p-4, -0x1.3b73a30c47ce2p-4, -0x1.36ba607b8ae06p-4, -0x1.320e40780cb0dp-4, -0x1.2d6f34b1ce9c1p-4, -0x1.28dd2e9b74e04p-4, -0x1.24581f603d73bp-4, -0x1.1fdff7ddcf234p-4, -0x1.1b74a8b818006p-4, -0x1.1716224cc760ep-4, -0x1.12c454b63a3e3p-4, -0x1.0e7f2fcf58c4dp-4, -0x1.0a46a32f3013ep-4, -0x1.061a9e2b58bbdp-4, -0x1.01fb0fe37ee39p-4, -0x1.fbcfce52c35e3p-5, -0x1.f3c2253b696ecp-5, -0x1.ebcd0142ae29bp-5, -0x1.e3f03eb3b89p-5, -0x1.dc2bb95f81c8bp-5, -0x1.d47f4cabed138p-5, -0x1.ccead388b446ap-5, -0x1.c56e287b19a56p-5, -0x1.be0925a390108p-5, -0x1.b6bba49ff562cp-5, -0x1.af857ece0831ep-5, -0x1.a8668d129b83ep-5, -0x1.a15ea7e8fb74dp-5, -0x1.9a6da77c6e615p-5, -0x1.939363985e409p-5, -0x1.8ccfb3b0ec25ap-5, -0x1.86226edf17ca1p-5, -0x1.7f8b6beccd393p-5, -0x1.790a8155f79a9p-5, -0x1.729f854348e43p-5, -0x1.6c4a4d93ba809p-5, -0x1.660aafe627fdap-5, -0x1.5fe081889576bp-5, -0x1.59cb9790a990bp-5, -0x1.53cbc6cde85abp-5, -0x1.4de0e3de83fa5p-5, -0x1.480ac3210c92p-5, -0x1.424938c07e467p-5, -0x1.3c9c18b4c5e3cp-5, -0x1.370336cb6c4b9p-5, -0x1.317e669485ae8p-5, -0x1.2c0d7b863a772p-5, -0x1.26b048e30c6cbp-5, -0x1.2166a1dd1cc48p-5, -0x1.1c30598276b1ap-5, -0x1.170d42b5ad4a2p-5, -0x1.11fd304c31121p-5, -0x1.0cfff4fb22b4fp-5, -0x1.08156367462b5p-5, -0x1.033d4e189afc9p-5, -0x1.fcef0f0ff11dp-6, -0x1.f387c465c2464p-6, -0x1.ea4461089b574p-6, -0x1.e12489d96ad5dp-6, -0x1.d827e3ad0a93p-6, -0x1.cf4e134c7b7b2p-6, -0x1.c696bd785e58p-6, -0x1.be0186e604fafp-6, -0x1.b58e1462475d9p-6, -0x1.ad3c0ad0e330bp-6, -0x1.a50b0f23ce525p-6, -0x1.9cfac69ae3b86p-6, -0x1.950ad69a1f9d8p-6, -0x1.8d3ae4ad37ed3p-6, -0x1.858a967ba02ffp-6, -0x1.7df991df95f6dp-6, -0x1.76877cb3e443ap-6, -0x1.6f33fd0e8b85ep-6, -0x1.67feb945d3e7ep-6, -0x1.60e757e64dff9p-6, -0x1.59ed801b268fp-6, -0x1.5310d9481b876p-6, -0x1.4c510b2e04bebp-6, -0x1.45adbdf813b58p-6, -0x1.3f269a09db42p-6, -0x1.38bb4801bf06fp-6, -0x1.326b70b71cafap-6, -0x1.2c36bd588ed54p-6, -0x1.261cd76c1ef49p-6, -0x1.201d6900a9fdcp-6, -0x1.1a381cac4126fp-6, -0x1.146c9da8002adp-6, -0x1.0eba97ad90d1dp-6, -0x1.0921b71e12f03p-6, -0x1.03a1a88e870bdp-6, -0x1.fc74323bc611dp-7, -0x1.f1d56c4784c5dp-7, -0x1.e7665a92e0203p-7, -0x1.dd26595b78f57p-7, -0x1.d314c5d6a4311p-7, -0x1.c930fe7ecba2dp-7, -0x1.bf7a635b3d204p-7, -0x1.b5f0560c30724p-7, -0x1.ac9239bed0e2cp-7, -0x1.a35f730e65dd1p-7, -0x1.9a5767b8833abp-7, -0x1.91797df4f5974p-7, -0x1.88c51d021e00dp-7, -0x1.8039ac54b83c8p-7, -0x1.77d693d54b991p-7, -0x1.6f9b3cbb284dap-7, -0x1.678711c052b99p-7, -0x1.5f997f7d582e7p-7, -0x1.57d1f4bd364b7p-7, -0x1.502fe2b7d26b7p-7, -0x1.48b2bc7727278p-7, -0x1.4159f653eb7acp-7, -0x1.3a2505502474ap-7, -0x1.33135e96d2fb7p-7, -0x1.2c247726e0abdp-7, -0x1.2557c42a5f2b3p-7, -0x1.1eacbb921c70fp-7, -0x1.1822d4d03817fp-7, -0x1.11b98a4e97312p-7, -0x1.0b7059333d66cp-7, -0x1.0546c1a15682fp-7, -0x1.fe788cc1b3afp-8, -0x1.f2a0d78c9ff5ep-8, -0x1.e7056d68bae76p-8, -0x1.dba5579f5bbbfp-8, -0x1.d07f9dcf85b85p-8, -0x1.c5934648aa3f9p-8, -0x1.badf57d1e2809p-8, -0x1.b062dc4fca78fp-8, -0x1.a61ce35c80d26p-8, -0x1.9c0c83f608eadp-8, -0x1.9230dc2e76e6ap-8, -0x1.8889100000221p-8, -0x1.7f1447584063dp-8, -0x1.75d1abe2dfef5p-8, -0x1.6cc06704daa9fp-8, -0x1.63dfa0f5551e5p-8, -0x1.5b2e7eaab602cp-8, -0x1.52ac24619d7a7p-8, -0x1.4a57b7581f061p-8, -0x1.423061f3fa8cfp-8, -0x1.3a35560377152p-8, -0x1.3265cd02270ddp-8, -0x1.2ac10700ee158p-8, -0x1.2346482cd3b37p-8, -0x1.1bf4d6a356f48p-8, -0x1.14cbf9800cf2fp-8, -0x1.0dcaf8582903ap-8, -0x1.06f119c116ad2p-8, -0x1.003da2d62dc1ep-8, -0x1.f35faf2fe2daap-9, -0x1.e68dfa366dc98p-9, -0x1.da04bb24936a7p-9, -0x1.cdc295fa0c3e2p-9, -0x1.c1c63dbd75b75p-9, -0x1.b60e70bed31fbp-9, -0x1.aa99f0067d3bep-9, -0x1.9f677b842c84fp-9, -0x1.9475d52d29eacp-9, -0x1.89c3c1cdc21f4p-9, -0x1.7f500a926c082p-9, -0x1.75197ad850254p-9, -0x1.6b1edd366d4a5p-9, -0x1.615efc4cbe81bp-9, -0x1.57d8a77c980c4p-9, -0x1.4e8ab95d8e66ep-9, -0x1.45741b338b089p-9, -0x1.3c93c0de79c5p-9, -0x1.33e8a19319bp-9, -0x1.2b71b0bac189ap-9, -0x1.232dded3354afp-9, -0x1.1b1c1e7a7959ep-9, -0x1.133b6a8ab4c77p-9, -0x1.0b8ac6d45af74p-9, -0x1.04093cfb555a3p-9, -0x1.f96bb0e2fc0bdp-10, -0x1.eb1f4a8907e5dp-10, -0x1.dd2b665b60f6fp-10, -0x1.cf8e2c25bc3dfp-10, -0x1.c245d77c491e6p-10, -0x1.b550af471a182p-10, -0x1.a8acfbff01ab1p-10, -0x1.9c58ffad004bbp-10, -0x1.9052f6d2da7a8p-10, -0x1.84992598cfd42p-10, -0x1.7929e48ba547bp-10, -0x1.6e03a390b8cb5p-10, -0x1.6324e04047245p-10, -0x1.588c1f867d503p-10, -0x1.4e37ef98cb992p-10, -0x1.4426e7cf6d56ap-10, -0x1.3a57a30910a7ep-10, -0x1.30c8b82037eaep-10, -0x1.2778b8abe225p-10, -0x1.1e663512848b5p-10, -0x1.158fbe55f0bd1p-10, -0x1.0cf3e4b30b0e1p-10, -0x1.04913c8a0c204p-10, -0x1.f8ccd7ad9b0dp-11, -0x1.e8e46291320bfp-11, -0x1.d966c01e69f19p-11, -0x1.ca519d19a24a6p-11, -0x1.bba2adb462c43p-11, -0x1.ad57cc1d72c85p-11, -0x1.9f6efe5d4f938p-11, -0x1.91e65ab2e5e6dp-11, -0x1.84bbd7165dd33p-11, -0x1.77ed3655c7fecp-11, -0x1.6b7819dad8fp-11, -0x1.5f5a2b2da4fe7p-11, -0x1.5391297b299c5p-11, -0x1.481ae79b9d5dcp-11, -0x1.3cf54aefcae0ap-11, -0x1.321e57d700c85p-11, -0x1.27943431e0cb8p-11, -0x1.1d550fcfc1212p-11, -0x1.135f1945b08b6p-11, -0x1.09b09921ab5eap-11, -0x1.004813fcd0336p-11, -0x1.ee487c52c1fdap-12, -0x1.dc8798ceb9e14p-12, -0x1.cb4a8c0b0b6b4p-12, -0x1.ba8df3fc8ac43p-12, -0x1.aa4e25699ce21p-12, -0x1.9a878b585d423p-12, -0x1.8b36e679e33e4p-12, -0x1.7c594cefe1c1p-12, -0x1.6debd94ebee73p-12, -0x1.5feb9b29abb59p-12, -0x1.52559cb23a28ep-12, -0x1.4526eff401c59p-12, -0x1.385cacd9eeeaep-12, -0x1.2bf427deee1f3p-12, -0x1.1feb312210dep-12, -0x1.143ff2bc6c31bp-12, -0x1.08f095d78ac76p-12, -0x1.fbf62da2eea5ep-13, -0x1.e6ba857a9a24p-13, -0x1.d22959fba377bp-13, -0x1.be3d79466416fp-13, -0x1.aaf1e1204c13ap-13, -0x1.98424e1850b64p-13, -0x1.862b3815ebd3ap-13, -0x1.74a922b7bfb9ap-13, -0x1.63b7f69c57908p-13, -0x1.53532ac6d14bp-13, -0x1.437646ff328d8p-13, -0x1.341d08afd250dp-13, -0x1.2543b393f955ap-13, -0x1.16e7562591ec9p-13, -0x1.09052da73b842p-13, -0x1.f734227b19924p-14, -0x1.dd458b03f8f31p-14, -0x1.c438d2458e9dep-14, -0x1.ac08553e355f3p-14, -0x1.94adb19a6118p-14, -0x1.7e2230231d6d6p-14, -0x1.685f645aef6fcp-14, -0x1.536009c670ed7p-14, -0x1.3f1fe3b99332cp-14, -0x1.2b9a78a579acp-14, -0x1.18c9f013e9bbfp-14, -0x1.06a7b2978f454p-14, -0x1.ea5b9d794e269p-15, -0x1.c8ae55599865ap-15, -0x1.a83f5032bcf5fp-15, -0x1.8907c72127aebp-15, -0x1.6aff2079059fbp-15, -0x1.4e1a7601982fbp-15, -0x1.324fa7e1425e3p-15, -0x1.17968bd96b0bp-15, -0x1.fbcf6d6878c2ap-16, -0x1.ca786f26d465ep-16, -0x1.9b190a2b73f83p-16, -0x1.6da118b24db2ap-16, -0x1.420154fb46f08p-16, -0x1.182c7a9f35aa7p-16, -0x1.e02e7a219821cp-17, -0x1.936a231f144a4p-17, -0x1.49ebb3f3f479dp-17, -0x1.0390d68cc86fp-17, -0x1.807d88f2131a8p-18, -0x1.ff8228b198e7fp-19, -0x1.099416face4a5p-19, -0x1.ee5b753bf342ap-23, 0x1.81e59963a1d49p-20, 0x1.965f584859007p-19, 0x1.30dba22369f3ep-18, 0x1.91a9e041e10e2p-18, 0x1.edc7123e4f95p-18, 0x1.22ace3f21e233p-17, 0x1.4c4210e36c5e8p-17, 0x1.73b46757aaebdp-17, 0x1.991669f5aa82cp-17, 0x1.bc7a78a5520f9p-17, 0x1.ddf16b25e4c0fp-17, 0x1.fd8a5a09f0fc7p-17, 0x1.0daa78c5bef31p-16, 0x1.1bb24baeb35e9p-16, 0x1.28e6270599fd9p-16, 0x1.354c0df6cbc5dp-16, 0x1.40e9721979c36p-16, 0x1.4bc572c735502p-16, 0x1.55e7656ccb301p-16, 0x1.5f571a89d165fp-16, 0x1.681a3f28e3acap-16, 0x1.7036c5b8d1ee4p-16, 0x1.77b3589209b17p-16, 0x1.7e96082ea44f5p-16, 0x1.84e462b74225bp-16, 0x1.8aa3b77f7dc5ep-16, 0x1.8fd9932a89b5ep-16, 0x1.948baeb3ef436p-16, 0x1.98bfab4c9c8b7p-16, 0x1.9c7ae35949d22p-16, 0x1.9fc1a72ac1021p-16, 0x1.a29853a25469cp-16, 0x1.a50309b26758fp-16, 0x1.a707068bc5598p-16, 0x1.a8a8a8e7197dep-16, 0x1.a9ea8c07eb64ap-16, 0x1.aad117f2c17b1p-16, 0x1.ab6145884bae8p-16, 0x1.ab9f0b2a5a2efp-16, 0x1.ab8d5d73ab0a8p-16, 0x1.ab2f4c46e73eep-16, 0x1.aa88ca868c072p-16, 0x1.a99d46ebf2013p-16, 0x1.a86fdd377916ep-16, 0x1.a70351e6cda39p-16, 0x1.a55a505ff58ep-16, 0x1.a377537a49dfap-16, 0x1.a15d4f998ac24p-16, 0x1.9f0fb848c8ddap-16, 0x1.9c92173e05b52p-16, 0x1.99e71d3da3855p-16, 0x1.9710ca5d1267cp-16, 0x1.9410f59332a5ep-16, 0x1.90e9c776345a2p-16, 0x1.8d9daf2e12a2dp-16, 0x1.8a2e989ad43dcp-16, 0x1.869e332faf512p-16, 0x1.82ef6870dcb6ep-16, 0x1.7f24738abb40dp-16, 0x1.7b3eb2cb0c705p-16, 0x1.773f563fee01cp-16, 0x1.73289150a0555p-16, 0x1.6efc306bca7f3p-16, 0x1.6abbc9d53bf85p-16, 0x1.66689d4ad8fa3p-16, 0x1.620479e6370e2p-16, 0x1.5d908e5ff8632p-16, 0x1.590e16ddefa86p-16, 0x1.547e3cab57f52p-16, 0x1.4fe2346a21985p-16, 0x1.4b3b945608b5fp-16, 0x1.468bc619bc804p-16, 0x1.41d45fe812a51p-16, 0x1.3d16127e130a3p-16, 0x1.3851ad20fff15p-16, 0x1.3388278d8b39fp-16, 0x1.2eba6c156bea7p-16, 0x1.29e98ca1575e6p-16, 0x1.25164f4e60585p-16, 0x1.2041e44a8ade4p-16, 0x1.1b6d2123b99fap-16, 0x1.16985046fda31p-16, 0x1.11c46f1734733p-16, 0x1.0cf235488960bp-16, 0x1.08223cf293fe7p-16, 0x1.03553e84e1cb8p-16, 0x1.fd17c82c29f6fp-17, 0x1.f38d6267e3502p-17, 0x1.ea0c58ccba712p-17, 0x1.e095bc5054183p-17, 0x1.d72a86c5e55a8p-17, 0x1.cdcbaa99d0df7p-17, 0x1.c47a18d53dbd5p-17, 0x1.bb36ba9c4439p-17, 0x1.b20271627aecbp-17, 0x1.a8de0bea3a1d3p-17, 0x1.9fca55c5c127bp-17, 0x1.96c7e8128c201p-17, 0x1.8dd79c319f187p-17, 0x1.84f96e29a44dbp-17, 0x1.7c2e95af70fdp-17, 0x1.7377837a56582p-17, 0x1.6ad4d44945d4cp-17, 0x1.6246c8c5b09cfp-17, 0x1.59cdc7af89ad3p-17, 0x1.516a45e4b3a21p-17, 0x1.491cbc925d3efp-17, 0x1.40e5723e94ba5p-17, 0x1.38c4bd5f9e0f8p-17, 0x1.30baeba5a4127p-17, 0x1.28c842c3416fdp-17, 0x1.20ed0500d696ep-17, 0x1.192969f421fb8p-17, 0x1.117da35372dc2p-17, 0x1.09e9db1422e36p-17, 0x1.026e33d3d6a75p-17, 0x1.f615dba583201p-18, 0x1.e780183bb4023p-18, 0x1.d91b599deb8fdp-18, 0x1.cae812f8290e7p-18, 0x1.bce60173dfc48p-18, 0x1.af153c74d1541p-18, 0x1.a1761857adcdfp-18, 0x1.9408a0d527d2cp-18, 0x1.86cca748682c3p-18, 0x1.79c22601641fdp-18, 0x1.6ce957b0e998ap-18, 0x1.604220dcddc8dp-18, 0x1.53cc1a54268cep-18, 0x1.47873c768d359p-18, 0x1.3b737e738f576p-18, 0x1.2f90ab47c7026p-18, 0x1.23de8e7a7deacp-18, 0x1.185ce5725a63bp-18, 0x1.0d0b77585700ep-18, 0x1.01eaaa82bbbf7p-18, 0x1.edf1f85b44f2ep-19, 0x1.d86e098aa9f9fp-19, 0x1.c349040e9be1dp-19, 0x1.ae81bbf87f6e5p-19, 0x1.9a17a5bd84f49p-19, 0x1.860a2aa3623cbp-19, 0x1.7258a3d343cd8p-19, 0x1.5f0264cf9bfb3p-19, 0x1.4c06b86ba7182p-19, 0x1.3964df4ca8152p-19, 0x1.271c09d787726p-19, 0x1.152b5dc72bb2p-19, 0x1.03924b8c65e05p-19, 0x1.e4a01adb0045bp-20, 0x1.c2c679b326575p-20, 0x1.a19761aa3b971p-20, 0x1.8110da0a8fd42p-20, 0x1.613153ea2d998p-20, 0x1.41f701d28d456p-20, 0x1.235f04372dd6fp-20, 0x1.0568cb03f6695p-20, 0x1.d024bfd59647cp-21, 0x1.96b3c8385a0f9p-21, 0x1.5e7b085cc00fap-21, 0x1.2776e0e0b5e6p-21, 0x1.e3472bb4f8632p-22, 0x1.79fc26719d6f5p-22, 0x1.1304b3f48282ep-22, 0x1.5cb2b609da8f5p-23, 0x1.2fbf8d9c84e9ep-24, -0x1.4399d52a9591dp-26, -0x1.c8b6a0588da65p-24, -0x1.9be683ceea021p-23, -0x1.2791ab878418bp-22, -0x1.7f104a9f58b63p-22, -0x1.d47701eff63a8p-22, -0x1.13e6cbfe4ebbep-21, -0x1.3c8a2f142e47dp-21, -0x1.64308076d2e45p-21, -0x1.8ad75e8c9d218p-21, -0x1.b0839d28ea089p-21, -0x1.d53a174620b2ap-21, -0x1.f8fddb72b6db6p-21, -0x1.0de9325f592f3p-20, -0x1.1edd8d4f82189p-20, -0x1.2f5dece8bb77cp-20, -0x1.3f6cbfcf8c5e5p-20, -0x1.4f0abc224162ap-20, -0x1.5e395b909ffecp-20, -0x1.6cfadbb1db393p-20, -0x1.7b51cba06dd72p-20, -0x1.893ebc19cee3cp-20, -0x1.96c42a30b183ep-20, -0x1.a3e34d0651f8bp-20, -0x1.b09d164f034c6p-20, -0x1.bcf4dbf00b3e9p-20, -0x1.c8eaf347c1aabp-20, -0x1.d4818b5fcf6adp-20, -0x1.dfba9c68950e7p-20, -0x1.ea971376efc21p-20, -0x1.f5176be2581e2p-20, -0x1.ff3fc8304e023p-20, -0x1.04882fd257619p-19, -0x1.0945545c763abp-19, }}, 
      {{0x1.b795817392a94p-4, 0x1.1180f4a8e1197p-3, 0x1.597b6ac444588p-3, 0x1.a39e3fe063385p-3, 0x1.e23693d02066dp-3, 0x1.0596387e10feap-2, 0x1.0c0d34cf5fc8fp-2, 0x1.02ef9fabc871cp-2, 0x1.d3fd4b5c99f16p-3, 0x1.83f413b9a3336p-3, 0x1.18a8d9ac1d5f1p-3, 0x1.2bcc500530e68p-4, -0x1.828a8949c2c0dp-16, -0x1.4972b7bcacaaep-4, -0x1.53bd00ae7d2f8p-3, -0x1.047699b35d563p-2, -0x1.603be6925265dp-2, -0x1.bb79d9e58c697p-2, -0x1.0a5a5958a5078p-1, -0x1.3555370bdb1e8p-1, -0x1.5e28a89b4828ap-1, -0x1.846a65b6cb45dp-1, -0x1.a7c8a60c43665p-1, -0x1.c807c0c7d0fb4p-1, -0x1.e4ffad508982ap-1, -0x1.fe9987a4950edp-1, -0x1.0a669679e63d1p+0, -0x1.13cf7f6c3ac98p+0, -0x1.1b8eeac54da33p+0, -0x1.21b0917a0c47dp+0, -0x1.2643a389d41dp+0, -0x1.295a0a150a6d7p+0, -0x1.2b07bfa6e1f9cp+0, -0x1.2b623d84265f2p+0, -0x1.2a7ffcd931d72p+0, -0x1.28780a12e182bp+0, -0x1.2561a8b1d4db2p+0, -0x1.2154062133183p+0, -0x1.1c65f9ffe50e1p+0, -0x1.16add23b85e51p+0, -0x1.1041296fd8ef1p+0, -0x1.0934c645053eap+0, -0x1.019c82aad00cap+0, -0x1.f31673d28fdc6p-1, -0x1.e225791776b57p-1, -0x1.d087929c1e9dap-1, -0x1.be5c14527bd9dp-1, -0x1.abc029ad1b1ep-1, -0x1.98cedca6dd354p-1, -0x1.85a12137a2eb7p-1, -0x1.724de4932b2ebp-1, -0x1.5eea1f94f1f31p-1, -0x1.4b88eaeac31c5p-1, -0x1.383b95550e1d1p-1, -0x1.2511ba867beb1p-1, -0x1.12195adf8ee88p-1, -0x1.febde6df72691p-2, -0x1.d9db2b212c9d2p-2, -0x1.b59dfd8898eeep-2, -0x1.92175ec5f90edp-2, -0x1.6f56028064f31p-2, -0x1.4d667a133c3b4p-2, -0x1.2c535e33cbacap-2, -0x1.0c25766144345p-2, -0x1.d9c7bd3a00228p-3, -0x1.9d28563e324d5p-3, -0x1.62751450b3d09p-3, -0x1.29b3c7e45b9b3p-3, -0x1.e5cfe2ece73d6p-4, -0x1.7c25f478d5391p-4, -0x1.1668d23cd76fdp-4, -0x1.692851eb87467p-5, -0x1.5a8284ea6a401p-6, 0x1.bde520222569dp-11, 0x1.6735efdb74748p-6, 0x1.58c5d2e8c50cap-5, 0x1.f698ac986e8bbp-5, 0x1.469b951503e95p-4, 0x1.8e63cce6e92c8p-4, 0x1.d2b944743f5fbp-4, 0x1.09d89880dac59p-3, 0x1.28b0c531f189cp-3, 0x1.45f0711b8dbddp-3, 0x1.61a31fd00a2bdp-3, 0x1.7bd47ed9f1847p-3, 0x1.949056f659bb7p-3, 0x1.abe27e5d2c9f4p-3, 0x1.c1d6ccd0e2687p-3, 0x1.d67910a59a00cp-3, 0x1.e9d50525282a4p-3, 0x1.fbf649fe678b5p-3, 0x1.06742dd47b301p-2, 0x1.0e5b467347f7cp-2, 0x1.15b6006a48c32p-2, 0x1.1c89d30d97489p-2, 0x1.22dc194c799bap-2, 0x1.28b20ff1b09ap-2, 0x1.2e10d426e2e07p-2, 0x1.32fd6239932c4p-2, 0x1.377c94ba57e08p-2, 0x1.3b9323babd7fp-2, 0x1.3f45a448d53cbp-2, 0x1.4298883155e1cp-2, 0x1.45901dc142658p-2, 0x1.48308fd5610ddp-2, 0x1.4a7de600637e7p-2, 0x1.4c7c04b931b33p-2, 0x1.4e2eadcda7ac1p-2, 0x1.4f9980c7143d7p-2, 0x1.50bffb6e48d89p-2, 0x1.51a57a7185e1p-2, 0x1.524d3a0888f07p-2, 0x1.52ba5695d0dc9p-2, 0x1.52efcd7f2aa6fp-2, 0x1.52f07de9fd65ap-2, 0x1.52bf2979fe567p-2, 0x1.525e753a92229p-2, 0x1.51d0ea6a20a09p-2, 0x1.5118f7481801cp-2, 0x1.5038effdf770cp-2, 0x1.4f330f7261781p-2, 0x1.4e09781cf7d64p-2, 0x1.4cbe34dd4ef8cp-2, 0x1.4b5339db21cf3p-2, 0x1.49ca654a72553p-2, 0x1.4825803bb4b3fp-2, 0x1.46663f71d0673p-2, 0x1.448e441bb8c6bp-2, 0x1.429f1c98ec1fp-2, 0x1.409a453d95fdcp-2, 0x1.3e812907cdb46p-2, 0x1.3c55224ad05adp-2, 0x1.3a177b666746dp-2, 0x1.37c96f6f71528p-2, 0x1.356c2ad16b7e6p-2, 0x1.3300cbe313857p-2, 0x1.3088638f73529p-2, 0x1.2e03f5e1dfcd9p-2, 0x1.2b747a8fc758fp-2, 0x1.28dadd838c96ep-2, 0x1.2637ff6803e97p-2, 0x1.238cb621f7b56p-2, 0x1.20d9cd4273b55p-2, 0x1.1e200683ac17ap-2, 0x1.1b601a41f737fp-2, 0x1.189ab7d888848p-2, 0x1.15d086097a2ebp-2, 0x1.13022369d5d82p-2, 0x1.103026bf591c5p-2, 0x1.0d5b1f5984991p-2, 0x1.0a83955e0debap-2, 0x1.07aa0a2aaf162p-2, 0x1.04cef89f9ba25p-2, 0x1.01f2d56e5743dp-2, 0x1.fe2c1eb15f875p-3, 0x1.f8721ef0c8befp-3, 0x1.f2b8731933e15p-3, 0x1.ecffd85fdf11ap-3, 0x1.e749022a32dd5p-3, 0x1.e1949a7ac0528p-3, 0x1.dbe342627e48ap-3, 0x1.d635927a74576p-3, 0x1.d08c1b38c1a6dp-3, 0x1.cae76547128afp-3, 0x1.c547f1e315c99p-3, 0x1.bfae3b3a34e4ap-3, 0x1.ba1ab4be2971bp-3, 0x1.b48dcb7298d66p-3, 0x1.af07e6244ab95p-3, 0x1.a98965c232533p-3, 0x1.a412a59f8bdfcp-3, 0x1.9ea3fbb27c604p-3, 0x1.993db8db09effp-3, 0x1.93e0290596a53p-3, 0x1.8e8b936eefde8p-3, 0x1.89403ae2c047bp-3, 0x1.83fe5de6daed5p-3, 0x1.7ec636ee44f46p-3, 0x1.7997fc80c1e8p-3, 0x1.7473e162ac8d4p-3, 0x1.6f5a14cbf265ap-3, 0x1.6a4ac29072367p-3, 0x1.6546133d16536p-3, 0x1.604c2c41d4f65p-3, 0x1.5b5d300db3b44p-3, 0x1.56793e2f120e2p-3, 0x1.51a0738412422p-3, 0x1.4cd2ea4b024eep-3, 0x1.4810ba43e9564p-3, 0x1.4359f8c79083bp-3, 0x1.3eaeb8e7f0cd3p-3, 0x1.3a0f0b7b1911ep-3, 0x1.357aff4ff2433p-3, 0x1.30f2a12e07fa9p-3, 0x1.2c75fbf642c08p-3, 0x1.280518b1ff4b6p-3, 0x1.239ffea66bf9ap-3, 0x1.1f46b370bae49p-3, 0x1.1af93b13bee3ep-3, 0x1.16b7980d8222ep-3, 0x1.1281cb6353cc7p-3, 0x1.0e57d4b8f4206p-3, 0x1.0a39b2539e06cp-3, 0x1.0627613a890b9p-3, 0x1.0220dd35b4a0ep-3, 0x1.fc4c41df905f6p-4, 0x1.f46e4bdedd9f3p-4, 0x1.eca7c9603c46bp-4, 0x1.e4f8a95532476p-4, 0x1.dd60d8b861f4ap-4, 0x1.d5e042bfe20dp-4, 0x1.ce76d0d9f6942p-4, 0x1.c7246ad6dc649p-4, 0x1.bfe8f6eb0872ep-4, 0x1.b8c459d28a058p-4, 0x1.b1b676cb254bep-4, 0x1.aabf2fcc74aa6p-4, 0x1.a3de6579242b1p-4, 0x1.9d13f73fda634p-4, 0x1.965fc3703001p-4, 0x1.8fc1a73a38849p-4, 0x1.89397ecb086acp-4, 0x1.82c725509fedcp-4, 0x1.7c6a75144cd67p-4, 0x1.7623477c2105bp-4, 0x1.6ff175245313p-4, 0x1.69d4d5e645735p-4, 0x1.63cd40e3f386bp-4, 0x1.5dda8c9530232p-4, 0x1.57fc8ecaa769fp-4, 0x1.52331cc50b0a9p-4, 0x1.4c7e0b39e210ep-4, 0x1.46dd2e5ba113ep-4, 0x1.415059ef7ee56p-4, 0x1.3bd7614b76bf9p-4, 0x1.3672175e19e8ep-4, 0x1.31204eba9c50bp-4, 0x1.2be1d99fdb2fcp-4, 0x1.26b689fb1c8aep-4, 0x1.219e3188ea332p-4, 0x1.1c98a1be3da6p-4, 0x1.17a5abe3b76fdp-4, 0x1.12c52113c9d01p-4, 0x1.0df6d23df5d7dp-4, 0x1.093a902af6e82p-4, 0x1.04902b9081757p-4, 0x1.ffeeea1a75709p-5, 0x1.f6e07a74ca124p-5, 0x1.edf4a9524e193p-5, 0x1.e52b17cb302edp-5, 0x1.dc8366f822392p-5, 0x1.d3fd37e777cf4p-5, 0x1.cb982bcce0592p-5, 0x1.c353e3f51ac35p-5, 0x1.bb3001e7a2053p-5, 0x1.b32c2763919bcp-5, 0x1.ab47f660a4fa3p-5, 0x1.a383110bc5d16p-5, 0x1.9bdd19d18f507p-5, 0x1.9455b353d5187p-5, 0x1.8cec80a34aba2p-5, 0x1.85a12528d3d39p-5, 0x1.7e7344ce08c4dp-5, 0x1.776283e0ab3e6p-5, 0x1.706e871795bap-5, 0x1.6996f38a8a235p-5, 0x1.62db6ea842038p-5, 0x1.5c3b9e63d54f6p-5, 0x1.55b7292d9b265p-5, 0x1.4f4db6270596dp-5, 0x1.48feed1aa2f1ap-5, 0x1.42ca765e246d9p-5, 0x1.3caffacc40194p-5, 0x1.36af23a251f2ap-5, 0x1.30c79a899debfp-5, 0x1.2af909b65bb7ep-5, 0x1.25431c19de9fp-5, 0x1.1fa57d803d94ep-5, 0x1.1a1fdaa0a1249p-5, 0x1.14b1e0f0354cp-5, 0x1.0f5b3e8711977p-5, 0x1.0a1ba1ca2c8b9p-5, 0x1.04f2b965622ecp-5, 0x1.ffc068e19a12bp-6, 0x1.f5c78567b7476p-6, 0x1.ebfa29efd3f57p-6, 0x1.e257ba9e19f0cp-6, 0x1.d8df9e00ef812p-6, 0x1.cf913c78def3cp-6, 0x1.c66bff6146c46p-6, 0x1.bd6f502243065p-6, 0x1.b49a980839ed4p-6, 0x1.abed40b06d585p-6, 0x1.a366b4f262543p-6, 0x1.9b066267ab15bp-6, 0x1.92cbba0103342p-6, 0x1.8ab6306e110c4p-6, 0x1.82c53cee26f41p-6, 0x1.7af857fa004a3p-6, 0x1.734ef9918c2ep-6, 0x1.6bc8984607066p-6, 0x1.6464a97f23fdp-6, 0x1.5d22a2d1163a9p-6, 0x1.5601fbfab4d87p-6, 0x1.4f02310524ffp-6, 0x1.4822c321bc401p-6, 0x1.4163385ec8e2cp-6, 0x1.3ac319bf3f1cbp-6, 0x1.3441f09a6d31fp-6, 0x1.2ddf4432a7ec7p-6, 0x1.279a987d76e65p-6, 0x1.21736eb5cbc8cp-6, 0x1.1b69478b419e2p-6, 0x1.157ba64984572p-6, 0x1.0faa13acab195p-6, 0x1.09f41f8e22eeap-6, 0x1.0459607875e44p-6, 0x1.fdb2e22fdffcdp-7, 0x1.f2e7d9a80bd9cp-7, 0x1.e850d84a5200ap-7, 0x1.dded04d8e06bbp-7, 0x1.d3bb7c551fb48p-7, 0x1.c9bb5699141d2p-7, 0x1.bfebadb662c4bp-7, 0x1.b64ba5beea16bp-7, 0x1.acda72517f174p-7, 0x1.a397583631d69p-7, 0x1.9a81a9fe9bcefp-7, 0x1.9198c0a0098b4p-7, 0x1.88dbf2990035p-7, 0x1.804a8ca547be5p-7, 0x1.77e3cf03b774bp-7, 0x1.6fa6efdc07a2p-7, 0x1.67932113ae32dp-7, 0x1.5fa7982fd1f57p-7, 0x1.57e39511ba1a7p-7, 0x1.50466682ef77ap-7, 0x1.48cf6b968ae28p-7, 0x1.417e10b84127bp-7, 0x1.3a51c8e2d24e9p-7, 0x1.334a051c4a0adp-7, 0x1.2c662dd933d18p-7, 0x1.25a5a1099f4f2p-7, 0x1.1f07b53562c18p-7, 0x1.188bbf11e92a9p-7, 0x1.1231164ecf851p-7, 0x1.0bf71858ff701p-7, 0x1.05dd29d906ba1p-7, 0x1.ffc57059d859ap-8, 0x1.f40e74aafa0eap-8, 0x1.e8945e8fd6339p-8, 0x1.dd5631603f8dap-8, 0x1.d252ea2f986efp-8, 0x1.c78979d42b7ddp-8, 0x1.bcf8cbddf43d4p-8, 0x1.b29fd3f863b3fp-8, 0x1.a87d967863b03p-8, 0x1.9e9123c201252p-8, 0x1.94d98a4194d53p-8, 0x1.8b55cbccf0aap-8, 0x1.8204e0429fe5cp-8, 0x1.78e5c259726e3p-8, 0x1.6ff77a2c154dcp-8, 0x1.67391b0b374e1p-8, 0x1.5ea9b8747401fp-8, 0x1.564860f22f317p-8, 0x1.4e1429c4cab3ap-8, 0x1.460c44f972351p-8, 0x1.3e300dafea6c8p-8, 0x1.367ef9d03614ap-8, 0x1.2ef87570bed64p-8, 0x1.279bc1d20c29p-8, 0x1.2067f039455f5p-8, 0x1.195bfb6ea0fe7p-8, 0x1.1276eac604346p-8, 0x1.0bb7e23888a34p-8, 0x1.051e17a189dcep-8, 0x1.fd517d870bf3p-9, 0x1.f0ae0d6aad776p-9, 0x1.e45063d914ccdp-9, 0x1.d8376beda7d38p-9, 0x1.cc6285608f3f2p-9, 0x1.c0d14014ff41dp-9, 0x1.b582e501263ap-9, 0x1.aa76206a91efap-9, 0x1.9fa90ee79f14fp-9, 0x1.9519a1eceaad2p-9, 0x1.8ac60dbdb7212p-9, 0x1.80acf32f7b476p-9, 0x1.76cd36e076ea8p-9, 0x1.6d25bbe2a6407p-9, 0x1.63b5480419d94p-9, 0x1.5a7aaac3490cp-9, 0x1.5175053debfbfp-9, 0x1.48a3ef7fc8658p-9, 0x1.400749a17afccp-9, 0x1.379ebe62729edp-9, 0x1.2f694a542be1bp-9, 0x1.276529e7d1905p-9, 0x1.1f90415c26236p-9, 0x1.17e8ad3ba9bfcp-9, 0x1.106d1958bc8c5p-9, 0x1.091cb97d2fd0dp-9, 0x1.01f702f44c8e8p-9, 0x1.f5f6cdbe13ee8p-10, 0x1.e85273cce6a9bp-10, 0x1.daff9a467585cp-10, 0x1.cdfd4310334f2p-10, 0x1.c14b1420e1ec7p-10, 0x1.b4e90c7562b8cp-10, 0x1.a8d69d330669bp-10, 0x1.9d11c96f148e8p-10, 0x1.919716ff0dd28p-10, 0x1.86626330394afp-10, 0x1.7b6fe5e153857p-10, 0x1.70bccd87d57f3p-10, 0x1.664779a8c15c5p-10, 0x1.5c0f614f1e5bap-10, 0x1.5214964d5e88bp-10, 0x1.48571963f3e41p-10, 0x1.3ed671a5ef2bep-10, 0x1.3591dbd13b97bp-10, 0x1.2c88d12997a45p-10, 0x1.23bb3e3ffb7a6p-10, 0x1.1b2927d4766ccp-10, 0x1.12d2069d6029ap-10, 0x1.0ab442094fcc1p-10, 0x1.02cd257b1c7aep-10, 0x1.f63297b662cc7p-11, 0x1.e72a0f3cb5a9cp-11, 0x1.d879bb074f318p-11, 0x1.ca1d20c045d7fp-11, 0x1.bc13e2f95feecp-11, 0x1.ae605d04d435fp-11, 0x1.a1045b93cc616p-11, 0x1.93ff8d0356738p-11, 0x1.8750ab52f991p-11, 0x1.7af6ad8872bc5p-11, 0x1.6ef0851dc7457p-11, 0x1.633d2867fe6cfp-11, 0x1.57dc65b314df5p-11, 0x1.4cceab2b6dc1ap-11, 0x1.42136ba796cf2p-11, 0x1.37a7efb252d7fp-11, 0x1.2d872317b16b1p-11, 0x1.23a97b8a90af2p-11, 0x1.1a06e97e9f1a2p-11, 0x1.109b8eb81b69cp-11, 0x1.07690b69a7b84p-11, 0x1.fce3b934a1acep-12, 0x1.eb6be9570d606p-12, 0x1.da697dd96776bp-12, 0x1.c9dde5e456748p-12, 0x1.b9c8aabafd0adp-12, 0x1.aa245ef1bcb08p-12, 0x1.9aeb1bbf5c4cep-12, 0x1.8c1bff038bd9bp-12, 0x1.7dbb2b8756dfep-12, 0x1.6fccb57a75d8p-12, 0x1.62503fb31da15p-12, 0x1.5541292ae7942p-12, 0x1.489681e9b7bedp-12, 0x1.3c42f1a15329ep-12, 0x1.303e1c956d6f8p-12, 0x1.248ab618f721p-12, 0x1.192a60dd076f5p-12, 0x1.0e1650dfcade2p-12, 0x1.034a702078b26p-12, 0x1.f196ab533d52fp-13, 0x1.dd39ca68a5cc8p-13, 0x1.c978a5610fc7ep-13, 0x1.b646efed1c8dep-13, 0x1.a39b89d0359a6p-13, 0x1.91762d5278612p-13, 0x1.7fde884de3951p-13, 0x1.6edbd9cc31084p-13, 0x1.5e6cd05c95982p-13, 0x1.4e8a803cd3893p-13, 0x1.3f2c115547445p-13, 0x1.304171584036bp-13, 0x1.21c18c2689d97p-13, 0x1.13b8087870bc2p-13, 0x1.06274e4946fffp-13, 0x1.f1fd226614e16p-14, 0x1.d86dfc302c1ep-14, 0x1.bfa70d0920c2cp-14, 0x1.a7a1f0d60703ap-14, 0x1.905612de5dd9fp-14, 0x1.79c14a959f444p-14, 0x1.63e060d8fc0bbp-14, 0x1.4eacb86ab5a46p-14, 0x1.3a232d35b4fap-14, 0x1.2649b9fab7f09p-14, 0x1.132825c484a0ap-14, 0x1.00ba085f2406cp-14, 0x1.dde8d32fefb07p-15, 0x1.bba33ac75c7f2p-15, 0x1.9a7f92d935b79p-15, 0x1.7a5fb331d1bbdp-15, 0x1.5b6036788de45p-15, 0x1.3d73e9a8e2f34p-15, 0x1.2088ae77181b2p-15, 0x1.04c4506e15ce9p-15, 0x1.d44a4598469bfp-16, 0x1.a10307f8084dep-16, 0x1.6f6f2ddfe6894p-16, 0x1.3f716f63efbb7p-16, 0x1.110ffaef6649ep-16, 0x1.c8bb43bed2435p-17, 0x1.72b5004eded5bp-17, 0x1.1fe3bb21d04bap-17, 0x1.a078b98a6bd9ap-18, 0x1.07c587d6f73a9p-18, 0x1.d6245b98947ap-20, -0x1.69b740f2f5de3p-22, -0x1.38d91455f373p-19, -0x1.1ca73aa29985bp-18, -0x1.98526f1c715b1p-18, -0x1.07a13f991bb66p-17, -0x1.40fd5fc8b8436p-17, -0x1.77cd21bb3adc5p-17, -0x1.abe70e3344734p-17, -0x1.dd9d56cf4460bp-17, -0x1.06826e79c98d7p-16, -0x1.1d07ef1441945p-16, -0x1.32674e51e7215p-16, -0x1.46c4b47fa9bc1p-16, -0x1.5a48b6673b8eep-16, -0x1.6cf6cba339cd7p-16, -0x1.7eb928ab0d2a5p-16, -0x1.8f93c5186d92fp-16, -0x1.9f98e1634767dp-16, -0x1.aebea8d7a60dcp-16, -0x1.bd01f038f7abdp-16, -0x1.ca6a426f17f0ep-16, -0x1.d6e42c54cd418p-16, -0x1.e2a29b6cd2428p-16, -0x1.edd2c0b26fa43p-16, -0x1.f875e107f6586p-16, -0x1.013468a11ff93p-15, -0x1.05cc239f9fb97p-15, -0x1.0a1559d813cc4p-15, -0x1.0e1677991ddd2p-15, -0x1.11cf3bbf4095ap-15, -0x1.153ed3046be4dp-15, -0x1.18632bba3b3abp-15, -0x1.1b38ead8a7c8ap-15, -0x1.1dc02b746c193p-15, -0x1.200500294730dp-15, -0x1.22191bb6893c7p-15, -0x1.23fb4a079385ap-15, -0x1.25a306da986a1p-15, -0x1.27178019c412ap-15, -0x1.2857ebdb07027p-15, -0x1.295e129818bedp-15, -0x1.2a2d14108a1d3p-15, -0x1.2ac1a336dce3fp-15, -0x1.2b2e647133662p-15, -0x1.2b7ecf72659d6p-15, -0x1.2ba6c38867d14p-15, -0x1.2b9bdacfedcccp-15, -0x1.2b6ad1c4f45f3p-15, -0x1.2b17177ca04b5p-15, -0x1.2aa062965f8f2p-15, -0x1.2a076c2c70d45p-15, -0x1.294d950248895p-15, -0x1.28744663179dep-15, -0x1.277c9b7abf15ep-15, -0x1.266701adb6a3ep-15, -0x1.2532cb370b77ap-15, -0x1.23de5a1370cd7p-15, -0x1.226c561329289p-15, -0x1.20e66c9fc65dp-15, -0x1.1f4cbb2a43e0bp-15, -0x1.1d9e87f143902p-15, -0x1.1bdd5bb7857c5p-15, -0x1.1a0322ad583d1p-15, -0x1.18137f5b25436p-15, -0x1.160db2e1f6e63p-15, -0x1.13fb2d550f5d2p-15, -0x1.11de47c6debc2p-15, -0x1.0faca1a95564dp-15, -0x1.0d6c07fb3b2d9p-15, -0x1.0b1eee085a754p-15, -0x1.08c4fe99476dcp-15, -0x1.065e9a1d091c1p-15, -0x1.03ec7ab01d345p-15, -0x1.016f66a878f3dp-15, -0x1.fdd03a5d0ae32p-16, -0x1.f8aea42edec2ep-16, -0x1.f37b72936f61ep-16, -0x1.ee3823cf0b3ffp-16, -0x1.e8e639d9c1fccp-16, -0x1.e386c6052c1cfp-16, -0x1.de18742aabf1cp-16, -0x1.d8982ca878dfbp-16, -0x1.d30cd4f7116a3p-16, -0x1.cd7c6f437eafcp-16, -0x1.c7e7894f2f2d1p-16, -0x1.c2474301f8631p-16, -0x1.bc9e03b1061ccp-16, -0x1.b6ed84cbde0a5p-16, -0x1.b13b2d48ef786p-16, -0x1.ab859db545621p-16, -0x1.a5ca4cd603332p-16, -0x1.a00d9763f3a77p-16, -0x1.9a4f52348378bp-16, -0x1.948fbc605115p-16, -0x1.8ecf7f6f5f1abp-16, -0x1.890f502053da7p-16, -0x1.834fdfa4931d8p-16, -0x1.7d91cfaa811c5p-16, -0x1.77d5c051dae39p-16, -0x1.721c41495e5bp-16, -0x1.6c65df5c42566p-16, -0x1.66b327b1c9ef9p-16, -0x1.6104b301b2921p-16, -0x1.5b5b1efe512e9p-16, -0x1.55b7130bd9e62p-16, -0x1.5018dd0f28717p-16, -0x1.4a7efb81475f7p-16, -0x1.44e9e8f393d9fp-16, -0x1.3f5df4ba255e9p-16, -0x1.39d9c9e1c9581p-16, -0x1.345ba256db354p-16, -0x1.2ee5bef0263d4p-16, -0x1.297839cfc0735p-16, -0x1.2413344cfb2d5p-16, -0x1.1eb6d5ce3b49ap-16, -0x1.1963cdfc4e3d5p-16, -0x1.141a1d613a31cp-16, -0x1.0ed9f78980e09p-16, -0x1.09a39c223bd1dp-16, -0x1.0477474a37695p-16, -0x1.feaa648cfd9bep-17, -0x1.f47b295737399p-17, -0x1.ea6139b416e4ap-17, -0x1.e05ce792b8c22p-17, -0x1.d66e9f3c049ep-17, -0x1.cc96a40cc8f03p-17, -0x1.c2d541819ffcap-17, -0x1.b92abf96d4269p-17, -0x1.af97633da3218p-17, -0x1.a61b6bfee6e1fp-17, -0x1.9cb715586c4afp-17, -0x1.936a9ad3e9bap-17, -0x1.8a36067c44bfap-17, -0x1.811943d6b849ep-17, -0x1.781518df55a22p-17, -0x1.6f294e1d66c86p-17, -0x1.66560439ea5cep-17, -0x1.5d9b6be211005p-17, -0x1.54f997189552cp-17, -0x1.4c709ab3df2e5p-17, -0x1.4400801cafcb3p-17, -0x1.3ba95514bf227p-17, -0x1.336b284d5744bp-17, -0x1.2b46079484256p-17, -0x1.2339f50945f24p-17, -0x1.1b46f2495009dp-17, -0x1.136cff0147494p-17, -0x1.0bac180b13daep-17, -0x1.04043d82b224bp-17, -0x1.f8eac5453e28ap-18, -0x1.e9ff03d1710eap-18, -0x1.db450d9662cd7p-18, -0x1.ccbcdcad3a7a1p-18, -0x1.be664dff54d0fp-18, -0x1.b04136a5ebec6p-18, -0x1.a24d71c6c30afp-18, -0x1.948ace06ee287p-18, -0x1.86f9148cd92c8p-18, -0x1.79980c37875f6p-18, -0x1.6c6763e354734p-18, -0x1.5f675910054eep-18, -0x1.5297a7814e095p-18, -0x1.45f8377aea58ep-18, -0x1.39884817cfbb8p-18, -0x1.2d46ec95eb765p-18, -0x1.213527dcad853p-18, -0x1.15525fd57edb7p-18, -0x1.099de4523b782p-18, -0x1.fc2f55fd8e11fp-19, -0x1.e57e9daec714bp-19, -0x1.cf298c2509334p-19, -0x1.b92f1fb937b75p-19, -0x1.a38e9acdb72d8p-19, -0x1.8e477fdefbbc8p-19, -0x1.79590c70afd58p-19, -0x1.64c2a24a197a9p-19, -0x1.5083a8e7d057cp-19, -0x1.3c9b314a6c28dp-19, -0x1.2908b8ab473c4p-19, -0x1.15cb6fb32805ap-19, -0x1.02e28fa4a572ap-19, -0x1.e09af40a705e8p-20, -0x1.bc174283263dfp-20, -0x1.9837b69347b31p-20, -0x1.74fb442d511e1p-20, -0x1.5260600107b7ep-20, }}, 
      {{0x1.9cc355b36da51p-4, 0x1.c2da93b8740fp-4, 0x1.fa6526704b988p-4, 0x1.1dad3d70f3756p-3, 0x1.3f0ba96d03863p-3, 0x1.5e0a8b7dd304ep-3, 0x1.781706b862233p-3, 0x1.8b50b119be1d7p-3, 0x1.967aad976b182p-3, 0x1.98e51f73bf49cp-3, 0x1.92545ce74dcafp-3, 0x1.82e8d34dcf785p-3, 0x1.6b0917ca5fad5p-3, 0x1.4b4ec5f4baba2p-3, 0x1.247653c4c5ce1p-3, 0x1.eea37dbd5a2fbp-4, 0x1.897baade8c513p-4, 0x1.1b339ae920908p-4, 0x1.4b0363ce06467p-5, 0x1.50567d4a1b17bp-7, -0x1.5691952b4da82p-6, -0x1.b037e5181666ap-5, -0x1.5c0b2fcef4054p-4, -0x1.e04204c18b9e3p-4, -0x1.31d88a23532d2p-3, -0x1.72b48d5135d38p-3, -0x1.b24cdbcafa874p-3, -0x1.f047e934ad369p-3, -0x1.162cee6d8f6f5p-2, -0x1.3321c76e19218p-2, -0x1.4ee8be4da28b5p-2, -0x1.696d5df8ff553p-2, -0x1.829ffa3f41e71p-2, -0x1.9a7531736a2dep-2, -0x1.b0e573ba4192cp-2, -0x1.c5ec915e06ae9p-2, -0x1.d989510342fb2p-2, -0x1.ebbd0daf2ee2ep-2, -0x1.fc8b5c67aae79p-2, -0x1.05fcdcb89f62ep-1, -0x1.0d079e92616eap-1, -0x1.136a2c0b8788dp-1, -0x1.19294b057244ap-1, -0x1.1e4a33a7e6a62p-1, -0x1.22d278021bf8fp-1, -0x1.26c7ee6d15835p-1, -0x1.2a309e85d166ep-1, -0x1.2d12b07e2c209p-1, -0x1.2f745e9407b4p-1, -0x1.315be877cbef7p-1, -0x1.32cf88761d333p-1, -0x1.33d56a30c07dfp-1, -0x1.3473a2c68ed13p-1, -0x1.34b02a3cc080ep-1, -0x1.3490d60927f57p-1, -0x1.341b54a08fa64p-1, -0x1.335529e3c55b8p-1, -0x1.3243ac56d08dp-1, -0x1.30ec03073d3e8p-1, -0x1.2f5324085afd9p-1, -0x1.2d7dd3754b606p-1, -0x1.2b70a2e73582cp-1, -0x1.292ff1498a23p-1, -0x1.26bfeb0844b6dp-1, -0x1.24248a7f4165fp-1, -0x1.216198ad79331p-1, -0x1.1e7aae15ed359p-1, -0x1.1b7333cbf435fp-1, -0x1.184e649f7aadap-1, -0x1.150f4e6a459f8p-1, -0x1.11b8d36cb6e56p-1, -0x1.0e4dabbe226c9p-1, -0x1.0ad066c832409p-1, -0x1.07436cc867683p-1, -0x1.03a9005b17cdap-1, -0x1.000340016cfacp-1, -0x1.f8a84f5740fa4p-2, -0x1.f13b247a3a033p-2, -0x1.e9c2761cd340cp-2, -0x1.e2417ecb2b674p-2, -0x1.dabb3fd49cc9p-2, -0x1.d33284182998p-2, -0x1.cba9e2cd80e71p-2, -0x1.c423c227ee141p-2, -0x1.bca259f048efdp-2, -0x1.b527b601e0b8ap-2, -0x1.adb5b8b348f7bp-2, -0x1.a64e1d284e494p-2, -0x1.9ef2798936d21p-2, -0x1.97a441284b711p-2, -0x1.9064c68aa92a8p-2, -0x1.89353d5dccd89p-2, -0x1.8216bc5422576p-2, -0x1.7b0a3eee54ffap-2, -0x1.7410a72e99656p-2, -0x1.6d2abf34082b3p-2, -0x1.66593ac38e917p-2, -0x1.5f9cb8bf0cedbp-2, -0x1.58f5c48479e63p-2, -0x1.5264d740f4edfp-2, -0x1.4bea5929e3befp-2, -0x1.4586a2acde6e9p-2, -0x1.3f39fd8b76cd5p-2, -0x1.3904a5e255cd6p-2, -0x1.32e6cb2d81ea2p-2, -0x1.2ce0913496195p-2, -0x1.26f210e6707dep-2, -0x1.211b5931be063p-2, -0x1.1b5c6fcaddc2bp-2, -0x1.15b551e4d562fp-2, -0x1.1025f4e18ccfdp-2, -0x1.0aae46f6831e9p-2, -0x1.054e2fc6b444bp-2, -0x1.000590f422439p-2, -0x1.f5a88d492d3eap-3, -0x1.eb745004e6ba4p-3, -0x1.e16e0f6554659p-3, -0x1.d7956883f3e3dp-3, -0x1.cde9f1189964fp-3, -0x1.c46b383d530d7p-3, -0x1.bb18c71ba3589p-3, -0x1.b1f22194b2d95p-3, -0x1.a8f6c6dfcc353p-3, -0x1.a0263216da7c8p-3, -0x1.977fdabb00687p-3, -0x1.8f0335349db87p-3, -0x1.86afb342ce842p-3, -0x1.7e84c4680eb82p-3, -0x1.7681d64bb115ap-3, -0x1.6ea65513f76e4p-3, -0x1.66f1abbd33c67p-3, -0x1.5f634463d1464p-3, -0x1.57fa888ca0f6ap-3, -0x1.50b6e1672a37p-3, -0x1.4997b807f2ac2p-3, -0x1.429c75a1d1a7p-3, -0x1.3bc483b603a2fp-3, -0x1.350f4c448f91dp-3, -0x1.2e7c39f3a56c5p-3, -0x1.280ab83728bcfp-3, -0x1.21ba3372d70ffp-3, -0x1.1b8a1919e2991p-3, -0x1.1579d7cae875bp-3, -0x1.0f88df6adf0dfp-3, -0x1.09b6a137d6fdp-3, -0x1.04028fe2b9fa9p-3, -0x1.fcd83f3d2f828p-4, -0x1.f1e58c613b347p-4, -0x1.e72bf5facbf07p-4, -0x1.dcaa6e2d4011cp-4, -0x1.d25fea8f4b6e1p-4, -0x1.c84b64301431p-4, -0x1.be6bd7b7efc78p-4, -0x1.b4c045643e103p-4, -0x1.ab47b11de90a4p-4, -0x1.a201227bfc0fp-4, -0x1.98eba4c9e4889p-4, -0x1.9006470ca308ap-4, -0x1.87501c0013562p-4, -0x1.7ec83a2865978p-4, -0x1.766dbbba40bbcp-4, -0x1.6e3fbea8eb85fp-4, -0x1.663d649db0f44p-4, -0x1.5e65d2f67ed32p-4, -0x1.56b832be55036p-4, -0x1.4f33b0a50cbffp-4, -0x1.47d77d03cee09p-4, -0x1.40a2cbc52f931p-4, -0x1.3994d4698f551p-4, -0x1.32acd1f998811p-4, -0x1.2bea02fe3dd11p-4, -0x1.254ba977c3a55p-4, -0x1.1ed10ad0fa551p-4, -0x1.18796fd798ep-4, -0x1.124424b28294fp-4, -0x1.0c3078d01f75ep-4, -0x1.063dbee653f33p-4, -0x1.006b4cdd01e9p-4, -0x1.f570f79197d6ep-5, -0x1.ea494fb722464p-5, -0x1.df5e60bad463ap-5, -0x1.d4aeef35b0243p-5, -0x1.ca39c5c043b35p-5, -0x1.bffdb4c7e1f5ep-5, -0x1.b5f9928d8b2dp-5, -0x1.ac2c3affe78e5p-5, -0x1.a2948fa165b2ap-5, -0x1.9931777d8cc21p-5, -0x1.9001df0a91cd5p-5, -0x1.8704b80fcf3fbp-5, -0x1.7e38f98a2e505p-5, -0x1.759d9faae2f5cp-5, -0x1.6d31aba93ac84p-5, -0x1.64f423b201542p-5, -0x1.5ce412dbc13e2p-5, -0x1.5500890433bf2p-5, -0x1.4d489ac132317p-5, -0x1.45bb614aedb1cp-5, -0x1.3e57fa5d19dbfp-5, -0x1.371d8836fe08ep-5, -0x1.300b3172f63afp-5, -0x1.292020f446b01p-5, -0x1.225b85e0440d6p-5, -0x1.1bbc937d9890cp-5, -0x1.154281234c34p-5, -0x1.0eec8a2505086p-5, -0x1.08b9edca6b438p-5, -0x1.02a9ef2ba64f8p-5, -0x1.f977aa4f8a8cap-6, -0x1.edddd4af8d30ep-6, -0x1.e284f9e1faac6p-6, -0x1.d76bbd76e8141p-6, -0x1.cc90c9effdacep-6, -0x1.c1f2d0c8a2fbep-6, -0x1.b7908a145b17bp-6, -0x1.ad68b4a9207b4p-6, -0x1.a37a15ac75095p-6, -0x1.99c378b93a6aep-6, -0x1.9043af9bfb6c1p-6, -0x1.86f99236aac84p-6, -0x1.7de3fe78bd787p-6, -0x1.7501d83a608bfp-6, -0x1.6c5208dd36deep-6, -0x1.63d37fb4f6bdep-6, -0x1.5b85316c32138p-6, -0x1.5366182eef73dp-6, -0x1.4b75337f7f672p-6, -0x1.43b18818b1d95p-6, -0x1.3c1a1fbe59e6bp-6, -0x1.34ae0963a0ab7p-6, -0x1.2d6c58be0c476p-6, -0x1.2654267141dep-6, -0x1.1f648fd48231ap-6, -0x1.189cb6e543298p-6, -0x1.11fbc223f6105p-6, -0x1.0b80dc90e6c8bp-6, -0x1.052b3583e6986p-6, -0x1.fdf40143aea8ep-7, -0x1.f1d8eb8bf0a8cp-7, -0x1.e603a1ae4bfd3p-7, -0x1.da72a3c74988ap-7, -0x1.cf2479ba142dcp-7, -0x1.c417b319119dbp-7, -0x1.b94ae72c61dc4p-7, -0x1.aebcb4af90e6fp-7, -0x1.a46bc192ce7c2p-7, -0x1.9a56bb1f2e55fp-7, -0x1.907c556393421p-7, -0x1.86db4b791718dp-7, -0x1.7d725f28def9ep-7, -0x1.744058d5342ccp-7, -0x1.6b4407615515bp-7, -0x1.627c4002af44p-7, -0x1.59e7de252e7f3p-7, -0x1.5185c34063b2cp-7, -0x1.4954d6e2ce457p-7, -0x1.4154065a22c1dp-7, -0x1.398244b9fe019p-7, -0x1.31de8ab8f477p-7, -0x1.2a67d68e93d0bp-7, -0x1.231d2bbd5c473p-7, -0x1.1bfd9332d60dfp-7, -0x1.15081ae98fa2cp-7, -0x1.0e3bd616d7a54p-7, -0x1.0797dcde30d52p-7, -0x1.011b4c2a66b3ap-7, -0x1.f58a8ba57534fp-8, -0x1.e929e03488bep-8, -0x1.dd12ec679bd95p-8, -0x1.d1440f11e0d1p-8, -0x1.c5bbafea03f83p-8, -0x1.ba783f77a9992p-8, -0x1.af783695d55a9p-8, -0x1.a4ba167c66d0cp-8, -0x1.9a3c6885b219dp-8, -0x1.8ffdbdee5c966p-8, -0x1.85fcafb1f372ap-8, -0x1.7c37de52cb7a3p-8, -0x1.72adf1dcde0e7p-8, -0x1.695d99b069824p-8, -0x1.60458c3ab88fbp-8, -0x1.5764873151944p-8, -0x1.4eb94f250a3eep-8, -0x1.4642af649b4b4p-8, -0x1.3dff79c66f72ap-8, -0x1.35ee86a8fc5ebp-8, -0x1.2e0eb47d97475p-8, -0x1.265ee7f425ebcp-8, -0x1.1ede0bcbf4fbfp-8, -0x1.178b109cbf791p-8, -0x1.1064ed42543c5p-8, -0x1.096a9e38ce93ap-8, -0x1.029b256855291p-8, -0x1.f7eb150173332p-9, -0x1.eaf1b4d1fefb9p-9, -0x1.de484e54cddfdp-9, -0x1.d1ed0f988eaccp-9, -0x1.c5de30c50902bp-9, -0x1.ba19f39a674edp-9, -0x1.ae9ea3e169109p-9, -0x1.a36a96d7df9a8p-9, -0x1.987c2b61d9a22p-9, -0x1.8dd1c9903b581p-9, -0x1.8369e2d01b397p-9, -0x1.7942f07155d5bp-9, -0x1.6f5b74cf0b392p-9, -0x1.65b1f9f8516e4p-9, -0x1.5c4511c131d7ep-9, -0x1.531356283096fp-9, -0x1.4a1b68ac1ef8fp-9, -0x1.415bf29dd5803p-9, -0x1.38d3a537925c9p-9, -0x1.308139592b6b7p-9, -0x1.28636f61b0fe2p-9, -0x1.20790f31eb1c7p-9, -0x1.18c0e784e450dp-9, -0x1.1139cd44bc82p-9, -0x1.09e29bc46f553p-9, -0x1.02ba3455af266p-9, -0x1.f77efb42a75cfp-10, -0x1.e9e2c9714f5f4p-10, -0x1.dc9db9da342b6p-10, -0x1.cfadbfb15c009p-10, -0x1.c310db3532141p-10, -0x1.b6c519f1b4b03p-10, -0x1.aac895a1c8cbcp-10, -0x1.9f1972ebc01a2p-10, -0x1.93b5e0456e933p-10, -0x1.889c14fd75187p-10, -0x1.7dca502c0bb67p-10, -0x1.733ed987f6d83p-10, -0x1.68f8012cf53f4p-10, -0x1.5ef420dfa96abp-10, -0x1.55319f097ce4ep-10, -0x1.4baeec5121f2dp-10, -0x1.426a84fc73bccp-10, -0x1.3962f04e7c89cp-10, -0x1.3096be9bd5476p-10, -0x1.28048768ddf57p-10, -0x1.1faae86f11dbap-10, -0x1.178884229078ap-10, -0x1.0f9c02196865p-10, -0x1.07e40fe3ced0fp-10, -0x1.005f62cb055bap-10, -0x1.f219735cd96f4p-11, -0x1.e3d5ba733bd28p-11, -0x1.d5f142a9b0134p-11, -0x1.c869c4baf00bbp-11, -0x1.bb3d090b57311p-11, -0x1.ae68e43b0fb63p-11, -0x1.a1eb33acefa39p-11, -0x1.95c1dd39c60cp-11, -0x1.89eac9c42bd5p-11, -0x1.7e63eac918e0ep-11, -0x1.732b3a7567494p-11, -0x1.683ec2b72b706p-11, -0x1.5d9c9eedc7ca5p-11, -0x1.5342fb73a8f68p-11, -0x1.4930155291a28p-11, -0x1.3f623661eb311p-11, -0x1.35d7b20e25f83p-11, -0x1.2c8ee303daadap-11, -0x1.23862c2f89412p-11, -0x1.1abbf52ff2c28p-11, -0x1.122eaa81ad78bp-11, -0x1.09dcbda87c1e1p-11, -0x1.01c4a6ab3af6dp-11, -0x1.f3c9d43508616p-12, -0x1.e478381b0bdd5p-12, -0x1.d591be071ff36p-12, -0x1.c713c55a421a5p-12, -0x1.b8fbb9bac5e6bp-12, -0x1.ab470dc386ffcp-12, -0x1.9df341ed4a5d8p-12, -0x1.90fde2bd898bdp-12, -0x1.84648c4d259fp-12, -0x1.7824e42144e84p-12, -0x1.6c3c9bd80c1p-12, -0x1.60a96a282c2dp-12, -0x1.556914e45455dp-12, -0x1.4a797705072e2p-12, -0x1.3fd885243069fp-12, -0x1.35844759b3cfep-12, -0x1.2b7ad1affcd29p-12, -0x1.21ba38cbb4a73p-12, -0x1.1840955e9ef7ep-12, -0x1.0f0c08110c739p-12, -0x1.061ac2bd808abp-12, -0x1.fad60fe54de42p-13, -0x1.e9f64e8e4f1f8p-13, -0x1.d992f009400dbp-13, -0x1.c9a8af304d402p-13, -0x1.ba345dce5ed5p-13, -0x1.ab32db603a91bp-13, -0x1.9ca130c837a7bp-13, -0x1.8e7c791b6787bp-13, -0x1.80c1d9300fccbp-13, -0x1.736e798c95a6ap-13, -0x1.667f866cbbed2p-13, -0x1.59f23c765d946p-13, -0x1.4dc3f52d2da39p-13, -0x1.41f231af13765p-13, -0x1.367a8a6ce98ddp-13, -0x1.2b5aa20c4c074p-13, -0x1.2090323eb3198p-13, -0x1.161905fd114b1p-13, -0x1.0bf2eda2963ep-13, -0x1.021bc310eaedfp-13, -0x1.f122ba109db6p-14, -0x1.dea33020dcde9p-14, -0x1.ccb4ae05c7aadp-14, -0x1.bb5304c7e74b5p-14, -0x1.aa7a1a96afb6dp-14, -0x1.9a26097888f2cp-14, -0x1.8a5328de4d72dp-14, -0x1.7afe10e73d0b9p-14, -0x1.6c236301ff077p-14, -0x1.5dbfcd3bc6a63p-14, -0x1.4fd03504652cdp-14, -0x1.4251b5161db9ep-14, -0x1.354183807c313p-14, -0x1.289cbc6a4a3d7p-14, -0x1.1c6051fafbf39p-14, -0x1.10891278a64d3p-14, -0x1.0513e5a073ab4p-14, -0x1.f3fb8f2533891p-15, -0x1.de87bdc922a78p-15, -0x1.c9c6c06119ba7p-15, -0x1.b5b363ef2479fp-15, -0x1.a248be275ac12p-15, -0x1.8f820e2f99e6p-15, -0x1.7d5a98eb9aeb6p-15, -0x1.6bcdd81ae9af3p-15, -0x1.5ad7de15d0231p-15, -0x1.4a75180cd247p-15, -0x1.3aa20527cb47ap-15, -0x1.2b5ad1bef9098p-15, -0x1.1c9b4c070c597p-15, -0x1.0e5ef0081214ep-15, -0x1.00a16c7c2bc54p-15, -0x1.e6bd79ef79352p-16, -0x1.cd26ab5736796p-16, -0x1.b4773aea5e311p-16, -0x1.9ca8152c8e769p-16, -0x1.85b2239f70e31p-16, -0x1.6f8e722f07df4p-16, -0x1.5a36258f10f87p-16, -0x1.45a2ec631ed46p-16, -0x1.31cf5e584dbb3p-16, -0x1.1eb6f40028113p-16, -0x1.0c55174a47087p-16, -0x1.f549d33a59931p-17, -0x1.d3427b842e785p-17, -0x1.b2890b4cfe80ap-17, -0x1.9311d71e82a72p-17, -0x1.74d1a6a3129b1p-17, -0x1.57bec3054208p-17, -0x1.3bd0ee6e393e8p-17, -0x1.210015996100ap-17, -0x1.0743167922dap-17, -0x1.dd200fc55cdafp-18, -0x1.adba6817cb3b4p-18, -0x1.8042b99bdbcdep-18, -0x1.54a8a0aae364fp-18, -0x1.2adedf1581322p-18, -0x1.02d905a418a0bp-18, -0x1.b9126e1049ab1p-19, -0x1.6fc2a10833be8p-19, -0x1.29a9a0462a2bcp-19, -0x1.cd5e7c5b35b7fp-20, -0x1.4d6f3a9a3a6b6p-20, -0x1.a69d3d3be4c82p-21, -0x1.7b1b7b339e61ap-22, 0x1.053b148fa5cd9p-24, 0x1.e89e8c69a5134p-22, 0x1.bdb5829ab39dfp-21, 0x1.3e9cd7858402p-20, 0x1.99a30f34367ap-20, 0x1.f01cee2af457ep-20, 0x1.2119e0f93856cp-19, 0x1.4804f4d1a29fep-19, 0x1.6cde5dfa7dbdp-19, 0x1.8fb768c2ab6dap-19, 0x1.b0a52fb025bdep-19, 0x1.cfbbeafd2759ap-19, 0x1.ed0b9ad54b3d1p-19, 0x1.0451fddf4c5d6p-18, 0x1.11490db180b54p-18, 0x1.1d7296fd07bb7p-18, 0x1.28d691d9c2412p-18, 0x1.337bf1ff84e9bp-18, 0x1.3d69a73b8d895p-18, 0x1.46a5058c2dff6p-18, 0x1.4f343265f3c4cp-18, 0x1.571ec4676cbp-18, 0x1.5e6cc4d3ced7fp-18, 0x1.652469ed0ec8ep-18, 0x1.6b4af5263c5ep-18, 0x1.70e44047d2aa9p-18, 0x1.75f4e982d3aaap-18, 0x1.7a832d3fa81efp-18, 0x1.7e94eed2a3131p-18, 0x1.822f46851e832p-18, 0x1.855749296ddd3p-18, 0x1.881209902913p-18, 0x1.8a63f14baeca6p-18, 0x1.8c50e7fb62201p-18, 0x1.8ddcdc0addfap-18, 0x1.8f0bf16af1d67p-18, 0x1.8fe2436117488p-18, 0x1.9063873b8c053p-18, 0x1.9093285235535p-18, 0x1.90749cdec64d3p-18, 0x1.900c15a9fcf65p-18, 0x1.8f5dab05846cbp-18, 0x1.8e6c08ff4377ep-18, 0x1.8d3999a0cda8bp-18, 0x1.8bc97c5d7b235p-18, 0x1.8a1ea09b5592ep-18, 0x1.883c95097cfecp-18, 0x1.86259fd9e5939p-18, 0x1.83dc5db13f01bp-18, 0x1.8163822d9d7bfp-18, 0x1.7ebd992bc62b2p-18, 0x1.7bed08052aeeap-18, 0x1.78f3f67caaed9p-18, 0x1.75d4aeafc749bp-18, 0x1.72918a49c072p-18, 0x1.6f2cb8b749b9ap-18, 0x1.6ba8a4fe4b27cp-18, 0x1.6806aff582b28p-18, 0x1.6448e2bbf5202p-18, 0x1.6070b6fcd972bp-18, 0x1.5c805c5b70e77p-18, 0x1.5879865cff5bcp-18, 0x1.545d370695c58p-18, 0x1.502d27655a6c6p-18, 0x1.4beb42bf91dfep-18, 0x1.47990e8c9f92p-18, 0x1.4337ace3c9d83p-18, 0x1.3ec838427db65p-18, 0x1.3a4c5e49ab779p-18, 0x1.35c51c4ec132dp-18, 0x1.3133efe7535d9p-18, 0x1.2c9994849ceb8p-18, 0x1.27f7316636c4fp-18, 0x1.234d976f4380dp-18, 0x1.1e9e0983533dp-18, 0x1.19e9720489d92p-18, 0x1.1531535bfcd1ap-18, 0x1.107686bc2a8abp-18, 0x1.0bb9d6652050fp-18, 0x1.06fbc64dce215p-18, 0x1.023d160d4ecdap-18, 0x1.fafd7b8bd87d5p-19, 0x1.f1827b838ed25p-19, 0x1.e80a291d14901p-19, 0x1.de970e3aac18ep-19, 0x1.d52a29dfa631cp-19, 0x1.cbc4aee4f49d8p-19, 0x1.c266dde1b2677p-19, 0x1.b912650118993p-19, 0x1.afc8850677a23p-19, 0x1.a68a4bb6e575dp-19, 0x1.9d57cd9787c49p-19, 0x1.9433071d32becp-19, 0x1.8b1c3dd7acf2ep-19, 0x1.821440eb9c9e4p-19, 0x1.791b711755b3fp-19, 0x1.7032530dbf196p-19, 0x1.675a7c7b8e08ap-19, 0x1.5e94e7bbd7852p-19, 0x1.55e1a9b072ad7p-19, 0x1.4d415a8fb831ap-19, 0x1.44b4450e7f0fap-19, 0x1.3c3b1b3b9b35p-19, 0x1.33d644a413a0ap-19, 0x1.2b8643ec70a2dp-19, 0x1.234b6e9c36acap-19, 0x1.1b265ba8f4688p-19, 0x1.131766b0b1249p-19, 0x1.0b1e9fd8dce1cp-19, 0x1.033c95664ce71p-19, 0x1.f6e269479f84fp-20, 0x1.e7798403fa2ccp-20, 0x1.d83fbf09725a7p-20, 0x1.c935c20c2f475p-20, 0x1.ba5b1c72208edp-20, 0x1.abafef1767606p-20, 0x1.9d34c3013126cp-20, 0x1.8ee9fb39457d3p-20, 0x1.80cfc86d3f163p-20, 0x1.72e6556abe812p-20, 0x1.652dcd046c1d9p-20, 0x1.57a65396b9d96p-20, 0x1.4a50060837d5cp-20, 0x1.3d2aeac67cac5p-20, 0x1.3036ff59cb73ep-20, 0x1.2374d9ee54d61p-20, 0x1.16e2d87d3ab72p-20, 0x1.0a822561e8ae6p-20, 0x1.fca603ed3ca8p-21, 0x1.e4aa247a0d7a7p-21, 0x1.cd0fa8c3fcae4p-21, 0x1.b5d7121fe856fp-21, 0x1.9efeb5e07b8b3p-21, 0x1.888760b31ecap-21, 0x1.727053bddd448p-21, 0x1.5cb93493a98efp-21, 0x1.4761595e76e6fp-21, 0x1.326925c34a923p-21, 0x1.1dceafd7c22cep-21, 0x1.0992aa56f3bcep-21, 0x1.eb67a8e6b972cp-22, 0x1.c46378d24611fp-22, 0x1.9e16cc97596bdp-22, 0x1.78817c91876a7p-22, 0x1.53a1335ca1626p-22, 0x1.2f751b4b4d529p-22, 0x1.0bfce18eaf2dap-22, 0x1.d269dc281c674p-23, 0x1.8e397ca0cee8fp-23, 0x1.4b6782331d59ep-23, 0x1.09efee2c5d92bp-23, 0x1.93986cbadebf9p-24, 0x1.15f08c6342586p-24, 0x1.35e44904185b3p-25, 0x1.14587ecd1b564p-27, -0x1.4d28e9e0259c4p-26, -0x1.8d2e7c4258f37p-25, -0x1.375d816f0babap-24, -0x1.a5a540a046396p-24, -0x1.08bb2e4360081p-23, -0x1.3d6cb8e177373p-23, -0x1.70ea35fb3fdap-23, -0x1.a332ed595d9dfp-23, -0x1.d450536d59271p-23, -0x1.0223f36d9d03bp-22, -0x1.198a352d72b18p-22, -0x1.305fa69728d54p-22, -0x1.46a5e474f4075p-22, -0x1.5c5e8a6e5edc3p-22, -0x1.718b524a76f07p-22, -0x1.862e198350be6p-22, -0x1.9a489e4054529p-22, -0x1.addca91fc655bp-22, -0x1.c0ec0b54f76ecp-22, -0x1.d37885562ef7ap-22, -0x1.e583aa2d15082p-22, -0x1.f70ef88b64f9dp-22, -0x1.040f7330168f2p-21, -0x1.0c5998a3fbf71p-21, -0x1.1466337de80fap-21, -0x1.1c360c161fadcp-21, -0x1.23caef142ea3ap-21, -0x1.2b264b60e0b83p-21, -0x1.32483a22ad2bap-21, -0x1.39314e1bd5023p-21, -0x1.3fe2a55c71795p-21, -0x1.465d2da91b6ddp-21, -0x1.4ca1c71c17603p-21, -0x1.52b1712b8a95ap-21, -0x1.588c514972c4ep-21, -0x1.5e3419db73c54p-21, -0x1.63a8f3939465ep-21, -0x1.68ecbd7632b71p-21, -0x1.6dff1554d3ef9p-21, -0x1.72e12dbbae3a9p-21, -0x1.779411a0604cbp-21, -0x1.7c186f61aa5e8p-21, -0x1.806f12df896aap-21, -0x1.8498e0155b336p-21, -0x1.8896b42116d63p-21, -0x1.8c687dd93bd4bp-21, -0x1.9010321f96677p-21, -0x1.938dd52a97721p-21, -0x1.96e21a66de11p-21, -0x1.9a0e3e720ef24p-21, -0x1.9d12c866f46a8p-21, -0x1.9ff0573f90664p-21, -0x1.a2a78c5acfac5p-21, -0x1.a5395d0db5736p-21, -0x1.a7a69cd004038p-21, -0x1.a9f13745916c8p-21, -0x1.ac1645c11c17cp-21, -0x1.ae18d14156124p-21, -0x1.affa45df0c6c4p-21, -0x1.b1ba213d89db5p-21, -0x1.b3598cd3d7b36p-21, -0x1.b4d8db7c8e4a3p-21, -0x1.b6382580b3b96p-21, -0x1.b77976209ae08p-21, -0x1.b89c42f858cep-21, -0x1.b9a1c26147e07p-21, -0x1.ba8ae15a21465p-21, -0x1.bb578e8e12c89p-21, -0x1.bc0748626483bp-21, -0x1.bc9d459776c61p-21, -0x1.bd1897ee9e4cdp-21, -0x1.bd79e05ff24a6p-21, }}, 
      {{-0x1.a426a7c8b3544p-7, -0x1.9077872573b1fp-5, -0x1.a46767e73ddf2p-4, -0x1.579a5ec3aada9p-3, -0x1.e86b63f34b769p-3, -0x1.3d594381a9a34p-2, -0x1.835296597b665p-2, -0x1.c3478ed169554p-2, -0x1.fb4e8c822cf0bp-2, -0x1.1525731199123p-1, -0x1.27e307e4c5988p-1, -0x1.35e4c37a19608p-1, -0x1.3f5e2de021093p-1, -0x1.44a2f20aed6bbp-1, -0x1.461b043aea25dp-1, -0x1.44396c2d9ecb6p-1, -0x1.3f75585519017p-1, -0x1.38451071e460bp-1, -0x1.2f1a639efda87p-1, -0x1.24603bfdbd8fdp-1, -0x1.18791328b9feap-1, -0x1.0bbe1134088b3p-1, -0x1.fcfd58ad732b6p-2, -0x1.e2014f6a05aa3p-2, -0x1.c700af166d2bbp-2, -0x1.ac622d42cc8cfp-2, -0x1.927bb80907798p-2, -0x1.7993c9230c3fbp-2, -0x1.61e2cd7ee0ffap-2, -0x1.4b94930475b2ap-2, -0x1.36c9b2b7d9544p-2, -0x1.2398eff1d97f9p-2, -0x1.121086fb11b62p-2, -0x1.023766de7d8e5p-2, -0x1.e81ca683f023p-3, -0x1.cf21d7d1c4edfp-3, -0x1.b96d31f66c78fp-3, -0x1.a6e6b9727cf52p-3, -0x1.9771183014009p-3, -0x1.8aeadfb5a093ap-3, -0x1.812f9ffd90068p-3, -0x1.7a18d6292a4ap-3, -0x1.757eb71481a7p-3, -0x1.7338d94fdd66ap-3, -0x1.731ec1e05fe6p-3, -0x1.7508572ef6b99p-3, -0x1.78ce3d2b7bab3p-3, -0x1.7e4a1dca63ee4p-3, -0x1.8556e03df00d5p-3, -0x1.8dd0d22f017dfp-3, -0x1.9795c4c682abap-3, -0x1.a2851f6185668p-3, -0x1.ae7fea8d7709bp-3, -0x1.bb68d3ccc5e9dp-3, -0x1.c9242c3251a2ep-3, -0x1.d797e3010d994p-3, -0x1.e6ab7c6e1784ap-3, -0x1.f64806a5ebed9p-3, -0x1.032c064701536p-2, -0x1.0b63c3c9727bbp-2, -0x1.13c1e84918887p-2, -0x1.1c3dc83faaf9ep-2, -0x1.24cf5866888e4p-2, -0x1.2d6f25f8dfa5cp-2, -0x1.36164f18d579p-2, -0x1.3ebe7b5d9d6a2p-2, -0x1.4761d49a1182cp-2, -0x1.4ffaffdd8d99cp-2, -0x1.588516b2c38bcp-2, -0x1.60fba09eac14cp-2, -0x1.695a8cdfa5e2fp-2, -0x1.719e2c69340c4p-2, -0x1.79c32c1bcb34dp-2, -0x1.81c68f3caaa04p-2, -0x1.89a5aa202f29ep-2, -0x1.915e1d1a90823p-2, -0x1.98edcf96444dfp-2, -0x1.a052eb782c80ep-2, -0x1.a78bd8a30787p-2, -0x1.ae9738c481938p-2, -0x1.b573e34353c71p-2, -0x1.bc20e16c90b6ap-2, -0x1.c29d6ac483faep-2, -0x1.c8e8e197ad0fbp-2, -0x1.cf02cf98e69fp-2, -0x1.d4eae2d159563p-2, -0x1.daa0ea97bc576p-2, -0x1.e024d4c2ae111p-2, -0x1.e576aaf8b812cp-2, -0x1.ea96902cc824ap-2, -0x1.ef84be347f286p-2, -0x1.f441838bb027dp-2, -0x1.f8cd4139bf04cp-2, -0x1.fd2868c9156c4p-2, -0x1.00a9bd39eeap-1, -0x1.02a781aee1052p-1, -0x1.048dce0034bcap-1, -0x1.065cf34c4122cp-1, -0x1.081546e52d3abp-1, -0x1.09b721a696a18p-1, -0x1.0b42df5f66739p-1, -0x1.0cb8de4468514p-1, -0x1.0e197e6e2c021p-1, -0x1.0f652161dc29dp-1, -0x1.109c29a83744ap-1, -0x1.11befa6b8589cp-1, -0x1.12cdf71da80c7p-1, -0x1.13c9832c2c724p-1, -0x1.14b201b7bd24p-1, -0x1.1587d554750b6p-1, -0x1.164b5fd82a43ep-1, -0x1.16fd02211258ep-1, -0x1.179d1bf24886ep-1, -0x1.182c0bcd8e5c2p-1, -0x1.18aa2ed4617p-1, -0x1.1917e0ad58a7cp-1, -0x1.19757b718b53cp-1, -0x1.19c35798e685dp-1, -0x1.1a01cbed3ee05p-1, -0x1.1a312d83634b8p-1, -0x1.1a51cfb20978cp-1, -0x1.1a64040f48b0bp-1, -0x1.1a681a6e8fc71p-1, -0x1.1a5e60e560fcbp-1, -0x1.1a4723c9ca91dp-1, -0x1.1a22adba0a25cp-1, -0x1.19f147a4cd88fp-1, -0x1.19b338d1001c5p-1, -0x1.1968c6e0db6e1p-1, -0x1.191235e66f1c2p-1, -0x1.18afc866d0728p-1, -0x1.1841bf6864efp-1, -0x1.17c85a800ffeep-1, -0x1.1743d7df5ac46p-1, -0x1.16b4745d9302fp-1, -0x1.161a6b8629ddfp-1, -0x1.1575f7a8fba7fp-1, -0x1.14c751e6aeeb3p-1, -0x1.140eb23abb551p-1, -0x1.134c4f8a3a961p-1, -0x1.12805fb6d50d3p-1, -0x1.11ab17a369de9p-1, -0x1.10ccab4475c4bp-1, -0x1.0fe54dabfa075p-1, -0x1.0ef531156b25cp-1, -0x1.0dfc86f0ffa1bp-1, -0x1.0cfb7fef51b23p-1, -0x1.0bf24c069b592p-1, -0x1.0ae11a8954daep-1, -0x1.09c81a253223dp-1, -0x1.08a778ee86775p-1, -0x1.077f646966a89p-1, -0x1.06500993673c6p-1, -0x1.051994ec66e42p-1, -0x1.03dc327a3318ep-1, -0x1.02980dd107296p-1, -0x1.014d5217865f6p-1, -0x1.fff8542899d61p-2, -0x1.fd498058b1b11p-2, -0x1.fa8e7ccac9311p-2, -0x1.f7c79ce6945b4p-2, -0x1.f4f5336a352afp-2, -0x1.f2179279801ccp-2, -0x1.ef2f0ba34b9e7p-2, -0x1.ec3befd934131p-2, -0x1.e93e8f8b7903ep-2, -0x1.e6373a9e17019p-2, -0x1.e32640742a39fp-2, -0x1.e00befeec98f7p-2, -0x1.dce897669f01p-2, -0x1.d9bc84bb2ca68p-2, -0x1.d6880558c09cap-2, -0x1.d34b66250582ap-2, -0x1.d006f39076034p-2, -0x1.ccbaf98775869p-2, -0x1.c967c37f98537p-2, -0x1.c60d9c6fd97c1p-2, -0x1.c2acced479bfbp-2, -0x1.bf45a4a2022d5p-2, -0x1.bbd8674de314ap-2, -0x1.b8655fc1da7eap-2, -0x1.b4ecd6615a7c3p-2, -0x1.b16f130fd88d1p-2, -0x1.adec5d18aec49p-2, -0x1.aa64fb369e2c1p-2, -0x1.a6d933936fc3cp-2, -0x1.a3494bb8a1037p-2, -0x1.9fb5889e5e12p-2, -0x1.9c1e2e9aef6a2p-2, -0x1.98838161c7859p-2, -0x1.94e5c3f6302dbp-2, -0x1.914538c2bdd08p-2, -0x1.8da2216c1768p-2, -0x1.89fcbefbbe0d4p-2, -0x1.865551b7dc9ecp-2, -0x1.82ac192f80152p-2, -0x1.7f015437c63b6p-2, -0x1.7b5540d6ec773p-2, -0x1.77a81c5e51fc6p-2, -0x1.73fa234b8a706p-2, -0x1.704b915afc139p-2, -0x1.6c9ca16c46bbcp-2, -0x1.68ed8d95cd49bp-2, -0x1.653e8f0dcb1b2p-2, -0x1.618fde3d6c07dp-2, -0x1.5de1b2a3926ccp-2, -0x1.5a3442f093d19p-2, -0x1.5687c4e77a9abp-2, -0x1.52dc6d6592897p-2, -0x1.4f32706b096f7p-2, -0x1.4b8a00ff10ab6p-2, -0x1.47e3514ed11f4p-2, -0x1.443e929117b04p-2, -0x1.409bf50e394cap-2, -0x1.3cfba81dbdaaep-2, -0x1.395dda294c45fp-2, -0x1.35c2b89a9a801p-2, -0x1.322a6fef2264ep-2, -0x1.2e952bb101081p-2, -0x1.2b03166b95b27p-2, -0x1.277459b68658dp-2, -0x1.23e91e3574d86p-2, -0x1.20618b86dbe92p-2, -0x1.1cddc855ae317p-2, -0x1.195dfa594ad7p-2, -0x1.15e24645a992ep-2, -0x1.126acfdcd8c9p-2, -0x1.0ef7b9e26c5c6p-2, -0x1.0b892625b6858p-2, -0x1.081f357cbd6f3p-2, -0x1.04ba07c0e279ap-2, -0x1.0159bbd67f004p-2, -0x1.fbfcdf658f1fap-3, -0x1.f550809f9b3f4p-3, -0x1.eeae936795144p-3, -0x1.e8174defdb3b9p-3, -0x1.e18ae47d84f86p-3, -0x1.db09897705571p-3, -0x1.d4936d7a888d6p-3, -0x1.ce28bf29d36d4p-3, -0x1.c7c9ab771e7e8p-3, -0x1.c1765d765fb5p-3, -0x1.bb2efe6e87707p-3, -0x1.b4f3b5dc96606p-3, -0x1.aec4a97dc3e18p-3, -0x1.a8a1fd4c78d09p-3, -0x1.a28bd38e109e1p-3, -0x1.9c824cd27eb45p-3, -0x1.968587fc9f1f4p-3, -0x1.9095a246a29bp-3, -0x1.8ab2b733ca70bp-3, -0x1.84dce0c424bd4p-3, -0x1.7f14373acb174p-3, -0x1.7958d165714d2p-3, -0x1.73aac47980f68p-3, -0x1.6e0a24233de46p-3, -0x1.68770292e0145p-3, -0x1.62f170782b26ap-3, -0x1.5d797d01d6322p-3, -0x1.580f35fe88e55p-3, -0x1.52b2a7c4e0bb1p-3, -0x1.4d63dd57466cdp-3, -0x1.4822e057c17dcp-3, -0x1.42efb91e96b2ep-3, -0x1.3dca6ea65c192p-3, -0x1.38b3069f6d5ecp-3, -0x1.33a9857a2205fp-3, -0x1.2eadee5be583cp-3, -0x1.29c0435423df6p-3, -0x1.24e08530c733fp-3, -0x1.200eb3a97673bp-3, -0x1.1b4acd56162acp-3, -0x1.1694cfafc6b3dp-3, -0x1.11ecb711dc455p-3, -0x1.0d527ec05f299p-3, -0x1.08c620fb498eep-3, -0x1.04479700de8afp-3, -0x1.ffadb261a4895p-4, -0x1.f6e7be0694833p-4, -0x1.ee3d3e19f9dbep-4, -0x1.e5ae1dd1d7f7ep-4, -0x1.dd3a46a836a34p-4, -0x1.d4e1a026624e6p-4, -0x1.cca4101e18c13p-4, -0x1.c4817abf02a9cp-4, -0x1.bc79c2f2e0026p-4, -0x1.b48cca5a83c61p-4, -0x1.acba714bb2946p-4, -0x1.a50296e98b705p-4, -0x1.9d6518b5427bcp-4, -0x1.95e1d2c742c23p-4, -0x1.8e789f66c8b31p-4, -0x1.8729578168ecep-4, -0x1.7ff3d2e904d39p-4, -0x1.78d7e878e81aap-4, -0x1.71d56ea251ab6p-4, -0x1.6aec3b17ca127p-4, -0x1.641c22f28bfb2p-4, -0x1.5d64fa2839ab8p-4, -0x1.56c6934714c9fp-4, -0x1.5040bf5c07af2p-4, -0x1.49d34e075a46ap-4, -0x1.437e0dd2283a9p-4, -0x1.3d40cce777378p-4, -0x1.371b594cdc573p-4, -0x1.310d81540b094p-4, -0x1.2b171375cdb43p-4, -0x1.2537ddbd105b1p-4, -0x1.1f6fad5e061bdp-4, -0x1.19be4e1c09408p-4, -0x1.14238a16cd852p-4, -0x1.0e9f2a0185a5ap-4, -0x1.0930f5c9e033cp-4, -0x1.03d8b558b029ap-4, -0x1.fd2c62925e74fp-5, -0x1.f2d2667efb449p-5, -0x1.e8a30b929189bp-5, -0x1.de9de7eccec41p-5, -0x1.d4c29028bbd7ap-5, -0x1.cb1095fbe7badp-5, -0x1.c18787e6c05cp-5, -0x1.b826f0da5a8dep-5, -0x1.aeee59c7e859dp-5, -0x1.a5dd4b979eba5p-5, -0x1.9cf35118bd2bdp-5, -0x1.942ff86038232p-5, -0x1.8b92d30dd79fdp-5, -0x1.831b7560624f4p-5, -0x1.7ac9743da8327p-5, -0x1.729c62e8c960ep-5, -0x1.6a93d18cdbaffp-5, -0x1.62af4c856669bp-5, -0x1.5aee5cf31cb7fp-5, -0x1.53508b419eb55p-5, -0x1.4bd5605a53d13p-5, -0x1.447c67bcda3a6p-5, -0x1.3d4530c8ea83bp-5, -0x1.362f4ecb916e8p-5, -0x1.2f3a581f7e2f7p-5, -0x1.2865e460c0a73p-5, -0x1.21b18a118da89p-5, -0x1.1b1cdd127af9p-5, -0x1.14a76e49d4d26p-5, -0x1.0e50ccad0f38ep-5, -0x1.081886c9c378dp-5, -0x1.01fe2c5a9711dp-5, -0x1.f8029d7001af9p-6, -0x1.ec4302d7afe4dp-6, -0x1.e0bcb54803686p-6, -0x1.d56ee689978b4p-6, -0x1.ca58cca12c47ap-6, -0x1.bf799f33f459bp-6, -0x1.b4d0932b8072p-6, -0x1.aa5cda5a22025p-6, -0x1.a01da5562cb05p-6, -0x1.9612277b0adcep-6, -0x1.8c399968733a9p-6, -0x1.829337a79e308p-6, -0x1.791e3ed9fd0a7p-6, -0x1.6fd9e9166600ap-6, -0x1.66c56ecfdaffep-6, -0x1.5de00b48c4385p-6, -0x1.5528fde386a44p-6, -0x1.4c9f89c95ebe6p-6, -0x1.4442f236f5432p-6, -0x1.3c1278df8f685p-6, -0x1.340d620d4dcd8p-6, -0x1.2c32fae470bcep-6, -0x1.24829cec64c78p-6, -0x1.1cfba989ab828p-6, -0x1.159d80282a63p-6, -0x1.0e6774b546596p-6, -0x1.0758ceda5464ep-6, -0x1.0070d2953b302p-6, -0x1.f35d92d223554p-7, -0x1.e6240cf50dd66p-7, -0x1.d933c54461891p-7, -0x1.cc8b6c4d0a064p-7, -0x1.c029b0f0d2514p-7, -0x1.b40d4ed965ff2p-7, -0x1.a83520e938068p-7, -0x1.9ca025e37282dp-7, -0x1.914d6ad912a37p-7, -0x1.863be8d618813p-7, -0x1.7b6a6c9b2d118p-7, -0x1.70d79ce1d65d2p-7, -0x1.6682188ca8be1p-7, -0x1.5c68972658c4cp-7, -0x1.5289f379a906fp-7, -0x1.48e51e17a2e73p-7, -0x1.3f7907f651e7p-7, -0x1.36449a5ce528dp-7, -0x1.2d46c3e198f44p-7, -0x1.247e8c922c526p-7, -0x1.1beb22e138be3p-7, -0x1.138bcc14c0acfp-7, -0x1.0b5fbe3d7285ep-7, -0x1.0365fbf6e562p-7, -0x1.f73aa1ded999fp-8, -0x1.e808e293dbb8ep-8, -0x1.d9344bd76924cp-8, -0x1.cabacc7fe30cep-8, -0x1.bc9aaaba5163cp-8, -0x1.aed25a0188297p-8, -0x1.a1604dcf527ffp-8, -0x1.9442eb4c3e327p-8, -0x1.877899279d894p-8, -0x1.7affdfacef6ffp-8, -0x1.6ed77f2d6c72cp-8, -0x1.62fe590f95476p-8, -0x1.577327f232cf2p-8, -0x1.4c34398cf9dffp-8, -0x1.413f691036ee2p-8, -0x1.36925fbc9ab5ep-8, -0x1.2c2ae3a7dae7dp-8, -0x1.22070b737db5p-8, -0x1.182550f1f62d4p-8, -0x1.0e848ac46e4cbp-8, -0x1.0523c4eb14d0bp-8, -0x1.f80412e0b2988p-9, -0x1.e63c7bf8e5dbcp-9, -0x1.d4ee67bf665d6p-9, -0x1.c417aac871a93p-9, -0x1.b3b67014bf3bap-9, -0x1.a3c8ffa0667eep-9, -0x1.944d5a163a66bp-9, -0x1.8540db5eb0e1fp-9, -0x1.76a02dafb5f21p-9, -0x1.68678a62d747dp-9, -0x1.5a92f9974c82fp-9, -0x1.4d1ea7278cdd9p-9, -0x1.4007941fbfad8p-9, -0x1.334c199df5acap-9, -0x1.26eb7225c8707p-9, -0x1.1ae4ad851ddabp-9, -0x1.0f36394bd940dp-9, -0x1.03de3d50908b5p-9, -0x1.f1b5f5b5c159bp-10, -0x1.dc5573e6319f1p-10, -0x1.c797a7b66e4ebp-10, -0x1.b379ecbe228f6p-10, -0x1.9ffa159e1b4bap-10, -0x1.8d155260c93d4p-10, -0x1.7ac770bf34ab7p-10, -0x1.690ab828fc117p-10, -0x1.57d7e5551895ep-10, -0x1.4727721f18ec8p-10, -0x1.36f49f21e528ep-10, -0x1.273e32a7549e8p-10, -0x1.180379c53a5c2p-10, -0x1.0942318b55db2p-10, -0x1.f5efb538d82a9p-11, -0x1.da45a61d1ea77p-11, -0x1.bf81c0e02a94ep-11, -0x1.a59c8645465b3p-11, -0x1.8c8e5d63f52p-11, -0x1.74530c6edd53p-11, -0x1.5ce9a0b4cc279p-11, -0x1.46511aa0b82bcp-11, -0x1.3085a0273747cp-11, -0x1.1b80a4d77092p-11, -0x1.0738dd303723p-11, -0x1.e7447afdefac3p-12, -0x1.c1684b5aaddb4p-12, -0x1.9cda532b2c447p-12, -0x1.79963ab9c2d1fp-12, -0x1.578cfc2e97efdp-12, -0x1.36b35aa7b51e4p-12, -0x1.17094572a1fe2p-12, -0x1.f11ba3bc9a6e1p-13, -0x1.b66f615024669p-13, -0x1.7df31a868a29dp-13, -0x1.4790723d4806ep-13, -0x1.133cb8b97dd38p-13, -0x1.c1ef8c0dcd34dp-14, -0x1.6181ea88b8931p-14, -0x1.05195d60942e5p-14, -0x1.592182fb6229ep-15, -0x1.5ef7dc8ebe4eap-16, -0x1.98fb4b5b11001p-20, 0x1.1e9cf7ef91706p-16, 0x1.24ad80dfec1f1p-15, 0x1.b36b2f126d1dap-15, 0x1.1dff5af8c7d61p-14, 0x1.5f5544a1d8671p-14, 0x1.9dbfe5ad2657bp-14, 0x1.d9574818cc306p-14, 0x1.091ada8a2b8f4p-13, 0x1.24364eecf17f9p-13, 0x1.3e0736d9078fdp-13, 0x1.56990d77313cfp-13, 0x1.6df48e3fbb553p-13, 0x1.841c8fa7fd815p-13, 0x1.991251c98ba8fp-13, 0x1.acdef908da18dp-13, 0x1.bf8fc6d301931p-13, 0x1.d12e5edace91ep-13, 0x1.e1cccc74723b2p-13, 0x1.f17ae72f0ae98p-13, 0x1.001a7853de113p-12, 0x1.07025279cfdf5p-12, 0x1.0d7a76074fbd1p-12, 0x1.137f4f088893cp-12, 0x1.1913aa98fe623p-12, 0x1.1e40a2bdbeac2p-12, 0x1.230e025e13c67p-12, 0x1.27807f11a124bp-12, 0x1.2b99eaaeae81bp-12, 0x1.2f5afa9451914p-12, 0x1.32c5ce9c071dcp-12, 0x1.35de24c8191f4p-12, 0x1.38a66c3d66bc9p-12, 0x1.3b1f176490f4ep-12, 0x1.3d4ac2bbe33f3p-12, 0x1.3f2d236bde767p-12, 0x1.40c6c2cf547fcp-12, 0x1.421d750ed2827p-12, 0x1.43386aa3ccce2p-12, 0x1.4418507080f1p-12, 0x1.44c15c2424105p-12, 0x1.453078c1b1269p-12, 0x1.45658963d8599p-12, 0x1.4565519645416p-12, 0x1.453208c0c44cep-12, 0x1.44cc7be67212cp-12, 0x1.44369a8714f2ap-12, 0x1.4374a446ac975p-12, 0x1.428b38ed9fb09p-12, 0x1.417be5f76b81ap-12, 0x1.40460fbebf161p-12, 0x1.3eeb18a9f8043p-12, 0x1.3d6da1cc844d9p-12, 0x1.3bcde72960255p-12, 0x1.3a0c9f2d9f575p-12, 0x1.382b5a198760fp-12, 0x1.362969da8a161p-12, 0x1.340c1e7100963p-12, 0x1.31d8275144f93p-12, 0x1.2f8e6c769f3b6p-12, 0x1.2d2ccc293f0c8p-12, 0x1.2ab2802e50e8p-12, 0x1.282381b084d88p-12, 0x1.25819d3ae2cadp-12, 0x1.22cd820066c94p-12, 0x1.2007bd1e70b9bp-12, 0x1.1d30a2dc12586p-12, 0x1.1a4843a0bf513p-12, 0x1.174f3ea6c31f9p-12, 0x1.144833fd7a9b4p-12, 0x1.1136bac48575fp-12, 0x1.0e1b31b28bf8p-12, 0x1.0af4b115e3e84p-12, 0x1.07c4e7c6346f8p-12, 0x1.048c3266a6a25p-12, 0x1.0149fc1f607a7p-12, 0x1.fbfe636a94ac2p-13, 0x1.f5575ef3a2abep-13, 0x1.eea6462e5f0bfp-13, 0x1.e7efe6dbbe1bdp-13, 0x1.e130b44673af4p-13, 0x1.da65d872bab0fp-13, 0x1.d39465320975p-13, 0x1.ccbe328b5f91bp-13, 0x1.c5e3c95312411p-13, 0x1.bf05f3cfff785p-13, 0x1.b825d12d5f57cp-13, 0x1.b1445f4c164d1p-13, 0x1.aa62826864d96p-13, 0x1.a380e09e59a6fp-13, 0x1.9c9fb3a134ee9p-13, 0x1.95bec051960f9p-13, 0x1.8edf6aff3d8fdp-13, 0x1.880587a218a03p-13, 0x1.813190ad4ea78p-13, 0x1.7a6391923abdp-13, 0x1.739c6efbb869cp-13, 0x1.6cda2dd19104ap-13, 0x1.661e63e6177c2p-13, 0x1.5f69047eec99fp-13, 0x1.58bde47e10a75p-13, 0x1.521e1d08c65c1p-13, 0x1.4b85ef976582dp-13, 0x1.44f7b97f2c3dbp-13, 0x1.3e74a735f61b3p-13, 0x1.37fca3c92588fp-13, 0x1.318ff19155558p-13, 0x1.2b2f0d8b4f214p-13, 0x1.24da5180d6753p-13, 0x1.1e92252c6b786p-13, 0x1.1856df84899b9p-13, 0x1.1228d5c154c86p-13, 0x1.0c0861509d1d9p-13, 0x1.05f5dad0da669p-13, 0x1.ffe303dbdae12p-14, 0x1.f3f62a01797dfp-14, 0x1.e823d4d2b874cp-14, 0x1.dc6ed23bcc9e7p-14, 0x1.d0d9a6c311bd9p-14, 0x1.c564a66d43d55p-14, 0x1.ba0ca7d01af07p-14, 0x1.aed2a94b58beep-14, 0x1.a3b73f47c1bf6p-14, 0x1.98bcc08c4316bp-14, 0x1.8de266abcc524p-14, 0x1.8326e30dd62f2p-14, 0x1.788c0cd114366p-14, 0x1.6e11a2ee2715p-14, 0x1.63b78c8f6556ep-14, 0x1.597de3e101d8ap-14, 0x1.4f64c6c1f4635p-14, 0x1.456c4eec19219p-14, 0x1.3b948e336a798p-14, 0x1.31dd91be3f4d7p-14, 0x1.28475ecd56c53p-14, 0x1.1ed1f67f981a5p-14, 0x1.157d5679700ap-14, 0x1.0c499e9a4a6bbp-14, 0x1.0336b784d5adcp-14, 0x1.f4895d0e96284p-15, 0x1.e2e716a1b1ca4p-15, 0x1.d183f37b3367bp-15, 0x1.c05fab59cb5f6p-15, 0x1.af7ed9b7d429fp-15, 0x1.9edf585a0a7bap-15, 0x1.8e7e27e400822p-15, 0x1.7e5d7d052d5f9p-15, 0x1.6e7ca4236d6p-15, 0x1.5edb28f647273p-15, 0x1.4f78870a2ac9bp-15, 0x1.405502a3cb656p-15, 0x1.316fd155aee14p-15, 0x1.22c882e8e4cbp-15, 0x1.145eb7d07d4c3p-15, 0x1.063209929b074p-15, 0x1.f0842169c21cbp-16, 0x1.d51cfb56c18b6p-16, 0x1.ba2d402e231adp-16, 0x1.9fb480818c07ap-16, 0x1.85b1b0e8f5a92p-16, 0x1.6c23cb7c1a965p-16, 0x1.5309e0d3cc347p-16, 0x1.3a62f977bea2ap-16, 0x1.222e21200cba8p-16, 0x1.0a6a68b50662dp-16, 0x1.e62dc98b8e343p-17, 0x1.b86578635a852p-17, 0x1.8b78acb4b8d54p-17, 0x1.5f61c78db1a2ap-17, 0x1.3425782d534f8p-17, 0x1.09be0cc818819p-17, 0x1.c051da3f084bp-18, 0x1.6eceed70495c5p-18, 0x1.1ee6cbac5f4f2p-18, 0x1.a12b31a5e2c12p-19, 0x1.07b923e293079p-19, 0x1.c59fb9f44c2c6p-21, -0x1.0e8f80577a5cap-22, -0x1.63fa3982fba19p-20, -0x1.3f22646b2b7edp-19, -0x1.c94ab70614da5p-19, -0x1.283f88a577afcp-18, -0x1.6a643c9f84d8ep-18, -0x1.ab17ea58eb911p-18, -0x1.ea5f1c89f242fp-18, -0x1.141f259e19cf7p-17, -0x1.325d04020ebafp-17, -0x1.4feb58d304fb6p-17, -0x1.6ccc700da454bp-17, -0x1.89027dd5a9f19p-17, -0x1.a48fbb663ff1cp-17, -0x1.bf765db5a5ca2p-17, -0x1.d9b8a3104b865p-17, -0x1.f358c139bdf95p-17, -0x1.062c241e2309p-16, -0x1.125d69cd44aeep-16, -0x1.1e40cf5d78f85p-16, -0x1.29d782ba13fdap-16, -0x1.35228d39faefap-16, -0x1.4022d9de38c8ep-16, -0x1.4ad9bc1b1668fp-16, -0x1.554834374e2e4p-16, -0x1.5f6f3469bcffap-16, -0x1.694fbd2151f09p-16, -0x1.72eaff9c87564p-16, -0x1.7c42093d7f017p-16, -0x1.8555dc8666a46p-16, -0x1.8e2760955299fp-16, -0x1.96b761e820f01p-16, -0x1.9f075c2e3609ap-16, -0x1.a71814d051af1p-16, -0x1.aeea62de3b5cbp-16, -0x1.b67f73c791225p-16, -0x1.bdd8301d60618p-16, -0x1.c4f5818285f34p-16, -0x1.cbd85bdc1503p-16, -0x1.d281b9db885e6p-16, -0x1.d8f29a0f42c4fp-16, -0x1.df2bbfbde2f88p-16, -0x1.e52e29b9530efp-16, -0x1.eafac21709689p-16, }}, 
      {{0x1.1cebdc6aa7241p-2, 0x1.f06763872e644p-2, 0x1.3137c750e1669p-1, 0x1.3b94413a71192p-1, 0x1.1f7c1244e1938p-1, 0x1.ce12c386890a6p-2, 0x1.3817e8ffd0344p-2, 0x1.1c161fec9b7ap-3, -0x1.1306d8e3c2c96p-5, -0x1.9d9704a2ccf85p-3, -0x1.6fd3ac2d76ac3p-2, -0x1.0051000fa6fddp-1, -0x1.3f36bb7b11e73p-1, -0x1.7403940adcde8p-1, -0x1.9eb9cecfac0a9p-1, -0x1.bfc9e56a7c64ep-1, -0x1.d7eecbf93305fp-1, -0x1.e8116e249aee6p-1, -0x1.f1328e549c49ap-1, -0x1.f45a1b8b0b551p-1, -0x1.f28b148c6b73bp-1, -0x1.ecbb1eca52a91p-1, -0x1.e3cd0e7b7846fp-1, -0x1.d88db65f8057dp-1, -0x1.cbb270082ea2cp-1, -0x1.bdd8e715fb40dp-1, -0x1.af87c76bf98f5p-1, -0x1.a130036e117ap-1, -0x1.932e7882601p-1, -0x1.85cdc74d24318p-1, -0x1.79484088ae042p-1, -0x1.6dc9d0731c966p-1, -0x1.6371da4bf7419p-1, -0x1.5a54f980b895ap-1, -0x1.527ea18e8224cp-1, -0x1.4bf29925f93fbp-1, -0x1.46ae4f5b6a6e9p-1, -0x1.42aa0b19269c6p-1, -0x1.3fd9f647dfb14p-1, -0x1.3e2f072cb4fbp-1, -0x1.3d97cab19613ap-1, -0x1.3e01124a807e4p-1, -0x1.3f56880f9f4afp-1, -0x1.41832bad49364p-1, -0x1.4471ba97b67fdp-1, -0x1.480d05ffcd8dap-1, -0x1.4c4038c06d857p-1, -0x1.50f70f542cfd1p-1, -0x1.561e039c63684p-1, -0x1.5ba26e4d61a03p-1, -0x1.61729f6d42de1p-1, -0x1.677def2e354cfp-1, -0x1.6db4c8a37b253p-1, -0x1.7408aeecd2c05p-1, -0x1.7a6c3e41d4f4bp-1, -0x1.80d32954f5da9p-1, -0x1.873233d5575f4p-1, -0x1.8d7f2ad5d7908p-1, -0x1.93b0db4af5fd7p-1, -0x1.99bf076b1f4dap-1, -0x1.9fa25aef778a6p-1, -0x1.a5545ef1076dap-1, -0x1.aacf6d34969edp-1, -0x1.b00ea37306eep-1, -0x1.b50dd697f990cp-1, -0x1.b9c9862ad0a21p-1, -0x1.be3ecffc0caeap-1, -0x1.c26b642a0f56p-1, -0x1.c64d798201862p-1, -0x1.c9e3c265f8158p-1, -0x1.cd2d62173205ap-1, -0x1.d029e2907d75ep-1, -0x1.d2d92adf693fcp-1, -0x1.d53b75fb43454p-1, -0x1.d7514a3202852p-1, -0x1.d91b710fa5944p-1, -0x1.da9aefcee0b29p-1, -0x1.dbd10048a70cdp-1, -0x1.dcbf0a6e365d4p-1, -0x1.dd669e2c0c18dp-1, -0x1.ddc96dd51838ep-1, -0x1.dde948e9bcfa2p-1, -0x1.ddc817609e07fp-1, -0x1.dd67d54536e0bp-1, -0x1.dcca8eb7fd8ebp-1, -0x1.dbf25c4e5a1f4p-1, -0x1.dae15fbddc00fp-1, -0x1.d999c0e482058p-1, -0x1.d81dab0794579p-1, -0x1.d66f4a6fda868p-1, -0x1.d490ca2c6b8a4p-1, -0x1.d2845225cbc9ep-1, -0x1.d04c0560c6398p-1, -0x1.cdea006fc3063p-1, -0x1.cb605827db18p-1, -0x1.c8b11866fb478p-1, -0x1.c5de43137a33fp-1, -0x1.c2e9cf489b35cp-1, -0x1.bfd5a88c4397bp-1, -0x1.bca3ae41c0728p-1, -0x1.b955b31f2d37p-1, -0x1.b5ed7cd1d1618p-1, -0x1.b26cc3ad5f74fp-1, -0x1.aed532736aca3p-1, -0x1.ab28663402cadp-1, -0x1.a767ee392ad61p-1, -0x1.a3954c014c5d9p-1, -0x1.9fb1f34a2cd93p-1, -0x1.9bbf4a310e589p-1, -0x1.97bea9459329ap-1, -0x1.93b15bc0ff106p-1, -0x1.8f989fb06aa39p-1, -0x1.8b75a63671784p-1, -0x1.874993cb104fap-1, -0x1.83158079a8475p-1, -0x1.7eda7830afa05p-1, -0x1.7a997b0dab025p-1, -0x1.76537dae5edebp-1, -0x1.7209697d21fb3p-1, -0x1.6dbc1d075ba15p-1, -0x1.696c6c5836016p-1, -0x1.651b213c1a9aap-1, -0x1.60c8fbaa7fd2p-1, -0x1.5c76b20d7afcdp-1, -0x1.5824f19659758p-1, -0x1.53d45e950d63p-1, -0x1.4f8594ca5d51p-1, -0x1.4b3927b6f5f9fp-1, -0x1.46efa2e978cd6p-1, -0x1.42a98a4fba84cp-1, -0x1.3e675a84413p-1, -0x1.3a298914a29b7p-1, -0x1.35f084cb019d8p-1, -0x1.31bcb5f98216dp-1, -0x1.2d8e7eb55e7d1p-1, -0x1.29663b259b4e3p-1, -0x1.254441b9b4f28p-1, -0x1.2128e36f7d7ep-1, -0x1.1d146c0735fc6p-1, -0x1.1907224709bf2p-1, -0x1.1501482d9229dp-1, -0x1.11031b2ac9c75p-1, -0x1.0d0cd45434fa7p-1, -0x1.091ea896c96ffp-1, -0x1.0538c8e336be5p-1, -0x1.015b6269d48b1p-1, -0x1.fb0d3d72d49adp-2, -0x1.f37547e00044cp-2, -0x1.ebef29c926ff3p-2, -0x1.e47b229b68f01p-2, -0x1.dd196bdb76044p-2, -0x1.d5ca394d4c603p-2, -0x1.ce8db96271ccfp-2, -0x1.c7641566a1b88p-2, -0x1.c04d71c161df2p-2, -0x1.b949ee394272cp-2, -0x1.b259a62410627p-2, -0x1.ab7cb0b1048eep-2, -0x1.a4b3210d9d99ap-2, -0x1.9dfd06a0aaa96p-2, -0x1.975a6d368d389p-2, -0x1.90cb5d36148ddp-2, -0x1.8a4fdbca34a14p-2, -0x1.83e7eb0f5b3dp-2, -0x1.7d938a331c39ap-2, -0x1.7752b5a5028b7p-2, -0x1.7125673e77291p-2, -0x1.6b0b96579a132p-2, -0x1.650537f7b1be1p-2, -0x1.5f123eec87f93p-2, -0x1.59329bebd887ep-2, -0x1.53663db73b3f9p-2, -0x1.4dad112d63aafp-2, -0x1.4807016d34f8cp-2, -0x1.4273f7eb86bf4p-2, -0x1.3cf3dc862e75fp-2, -0x1.378695aafdb4bp-2, -0x1.322c086351353p-2, -0x1.2ce41867910bfp-2, -0x1.27aea834c115ap-2, -0x1.228b992751e08p-2, -0x1.1d7acb81f00f2p-2, -0x1.187c1e8d3f895p-2, -0x1.138f709c5fbb4p-2, -0x1.0eb49f1b91cc8p-2, -0x1.09eb86b68611cp-2, -0x1.0534033f498a8p-2, -0x1.008defe69b12bp-2, -0x1.f7f24e5c32514p-3, -0x1.eeeb05fc2a678p-3, -0x1.e605b95932009p-3, -0x1.dd421a2cd81f7p-3, -0x1.d49fd9299c027p-3, -0x1.cc1ea63addc9bp-3, -0x1.c3be308bbe903p-3, -0x1.bb7e267f52d4p-3, -0x1.b35e35f0ee976p-3, -0x1.ab5e0c1e924f7p-3, -0x1.a37d55cab79bfp-3, -0x1.9bbbbf5a9f6e9p-3, -0x1.9418f4d1dfd3fp-3, -0x1.8c94a1db3eb49p-3, -0x1.852e71f0e704fp-3, -0x1.7de61049c15f7p-3, -0x1.76bb28123e33p-3, -0x1.6fad643daae8bp-3, -0x1.68bc6fcd5b7a2p-3, -0x1.61e7f5b25e0cdp-3, -0x1.5b2fa0e87d8d6p-3, -0x1.54931c89b8acbp-3, -0x1.4e1213b90f905p-3, -0x1.47ac31cf1ee91p-3, -0x1.41612247555d9p-3, -0x1.3b3090e414a21p-3, -0x1.351a29936f875p-3, -0x1.2f1d98a565bbap-3, -0x1.293a8a92ea1c4p-3, -0x1.2370ac45bd194p-3, -0x1.1dbfaafc72ee2p-3, -0x1.1827345071abap-3, -0x1.12a6f64a53f09p-3, -0x1.0d3e9f5e0997fp-3, -0x1.07edde6e8081dp-3, -0x1.02b462d27a2f7p-3, -0x1.fb23b8ca861f6p-4, -0x1.f10bf6f5e7fc7p-4, -0x1.e720e1e4c72a1p-4, -0x1.dd61dc63e8468p-4, -0x1.d3ce4a44ac8b4p-4, -0x1.ca6590983927ap-4, -0x1.c127157e417cfp-4, -0x1.b812403df3ce5p-4, -0x1.af2679711f629p-4, -0x1.a6632ac4f8303p-4, -0x1.9dc7bf392e3fep-4, -0x1.9553a30905d9p-4, -0x1.8d0643af1782ap-4, -0x1.84df0fef1653fp-4, -0x1.7cdd77f24675ep-4, -0x1.7500ed03bd2d9p-4, -0x1.6d48e1f27bd0dp-4, -0x1.65b4cad0e96acp-4, -0x1.5e441d0762e8ap-4, -0x1.56f64f53403dp-4, -0x1.4fcad9f251c35p-4, -0x1.48c136469e63cp-4, -0x1.41d8df5298ec3p-4, -0x1.3b11514e09ceep-4, -0x1.346a09ed89d2cp-4, -0x1.2de288484452ap-4, -0x1.277a4cc6afaf6p-4, -0x1.2130d95752b3fp-4, -0x1.1b05b12c63965p-4, -0x1.14f858fb2f92fp-4, -0x1.0f0856cae1771p-4, -0x1.09353223194e8p-4, -0x1.037e73e072841p-4, -0x1.fbc74c9460364p-5, -0x1.f0c8aa12e05cdp-5, -0x1.e6001a6de4957p-5, -0x1.db6cba5ec86bap-5, -0x1.d10da9b875c29p-5, -0x1.c6e20ae7ffbbep-5, -0x1.bce90340986aap-5, -0x1.b321bac246ec6p-5, -0x1.a98b5c1933446p-5, -0x1.a02514c17fd95p-5, -0x1.96ee148b5d783p-5, -0x1.8de58ea6f1c37p-5, -0x1.850ab87ffc68bp-5, -0x1.7c5cca5f2706cp-5, -0x1.73daff46aeec8p-5, -0x1.6b8494c70bf24p-5, -0x1.6358cb0578ca2p-5, -0x1.5b56e4ab78647p-5, -0x1.537e26feeb4bbp-5, -0x1.4bcdd9d18dff9p-5, -0x1.444547b550931p-5, -0x1.3ce3bddea89b6p-5, -0x1.35a88c24b4b99p-5, -0x1.2e930495176d8p-5, -0x1.27a27bdf08106p-5, -0x1.20d648ddb3b12p-5, -0x1.1a2dc4ccd0dd1p-5, -0x1.13a84b4171f14p-5, -0x1.0d453a8480bcbp-5, -0x1.0703f361ed5cbp-5, -0x1.00e3d9278a8fdp-5, -0x1.f5c8a365a38c7p-6, -0x1.ea0989b5c51dfp-6, -0x1.de8939b7412d2p-6, -0x1.d3468b06d0173p-6, -0x1.c84059aef64b4p-6, -0x1.bd7586466b12cp-6, -0x1.b2e4f5f718285p-6, -0x1.a88d938d068efp-6, -0x1.9e6e4e8bfbd8bp-6, -0x1.94861b6024effp-6, -0x1.8ad3f28964de2p-6, -0x1.8156cfd411162p-6, -0x1.780db2422b674p-6, -0x1.6ef79ba1490fap-6, -0x1.6613916c68fe3p-6, -0x1.5d609de63c4cbp-6, -0x1.54ddcfa50428cp-6, -0x1.4c8a3b3e99ecap-6, -0x1.4464fa417e7e2p-6, -0x1.3c6d2a252ca79p-6, -0x1.34a1ec2d8372cp-6, -0x1.2d0263a00bfbep-6, -0x1.258db5ae37c1fp-6, -0x1.1e4309ad710f9p-6, -0x1.172189e8b0554p-6, -0x1.102864b4d77d5p-6, -0x1.0956cd9e193fep-6, -0x1.02abfdaf92c96p-6, -0x1.f84e6634f5c49p-7, -0x1.eb8f61c67f4aep-7, -0x1.df19792d229d1p-7, -0x1.d2eb3a03cb373p-7, -0x1.c70334bc23199p-7, -0x1.bb5ffafd39eafp-7, -0x1.b00022278245ep-7, -0x1.a4e24648cf78cp-7, -0x1.9a050bc5a7147p-7, -0x1.8f67227c9593fp-7, -0x1.8507454b49e74p-7, -0x1.7ae438ccac9d2p-7, -0x1.70fcc86692338p-7, -0x1.674fc2d545ce9p-7, -0x1.5ddbf836fa546p-7, -0x1.54a038adba6c7p-7, -0x1.4b9b5471c7f1dp-7, -0x1.42cc209b66c04p-7, -0x1.3a317738bd59bp-7, -0x1.31ca3a8ca5962p-7, -0x1.2995573e452f9p-7, -0x1.2191c35a357d5p-7, -0x1.19be7de98f8ap-7, -0x1.121a8bc507036p-7, -0x1.0aa4f4fc1a5ap-7, -0x1.035cc229ddaa4p-7, -0x1.f881f7f4d2579p-8, -0x1.eaa1590152947p-8, -0x1.dd15c1ea0f8bdp-8, -0x1.cfdd574b1b505p-8, -0x1.c2f649be4f74p-8, -0x1.b65ed5b6d5ea4p-8, -0x1.aa15452c16f37p-8, -0x1.9e17efbc1f561p-8, -0x1.9265385fa24fap-8, -0x1.86fb8bb6d793p-8, -0x1.7bd958080ed13p-8, -0x1.70fd0edf82be8p-8, -0x1.666525fee3361p-8, -0x1.5c101c2f32315p-8, -0x1.51fc7c2e0cd0fp-8, -0x1.4828dabefe5cap-8, -0x1.3e93d1f32d659p-8, -0x1.353bfdc81b033p-8, -0x1.2c1ffc68e1d4cp-8, -0x1.233e73a0bee95p-8, -0x1.1a96135ef9a83p-8, -0x1.122593c8c41e6p-8, -0x1.09ebb2bc8cefep-8, -0x1.01e7311eb07c7p-8, -0x1.f42dad9f56b8cp-9, -0x1.e4f2f4a68e325p-9, -0x1.d61c095f68014p-9, -0x1.c7a6d6b9ddab1p-9, -0x1.b9914ca7f7d94p-9, -0x1.abd9466c3b9abp-9, -0x1.9e7c87b4a2f3p-9, -0x1.9178d3c531979p-9, -0x1.84cbfee22a069p-9, -0x1.7873fa7356238p-9, -0x1.6c6ec7a241fffp-9, -0x1.60ba73b0781a4p-9, -0x1.55550cbdf3045p-9, -0x1.4a3cb687866aep-9, -0x1.3f6fbbd0eba48p-9, -0x1.34ec959b5f8a2p-9, -0x1.2ab1d185d06a2p-9, -0x1.20bdeb7820524p-9, -0x1.170f358a45614p-9, -0x1.0da3db739ed34p-9, -0x1.047a0595045bp-9, -0x1.f71ff2e87e14ap-10, -0x1.e5c84db95eabep-10, -0x1.d4ea32ef87fe1p-10, -0x1.c482c39472f97p-10, -0x1.b48f19105a62ap-10, -0x1.a50c646af4262p-10, -0x1.95f80cab03587p-10, -0x1.874fd4872960dp-10, -0x1.7911b3286ac4ap-10, -0x1.6b3b864907b59p-10, -0x1.5dcac814a6b3dp-10, -0x1.50bc8c145e133p-10, -0x1.440dbaa7f86cfp-10, -0x1.37bb6b3166d93p-10, -0x1.2bc31ce8b5698p-10, -0x1.2022abf3196f1p-10, -0x1.14d8250304908p-10, -0x1.09e19c22786acp-10, -0x1.fe7a3c146e6b7p-11, -0x1.e9d16adc7f38bp-11, -0x1.d5c53cbfc6004p-11, -0x1.c2528f06a0e4ap-11, -0x1.af768894e0e9bp-11, -0x1.9d2e0a110dbb6p-11, -0x1.8b7528fe6d18p-11, -0x1.7a472853f1184p-11, -0x1.699ef9a09a3d2p-11, -0x1.5977d09369813p-11, -0x1.49cd911c7e08cp-11, -0x1.3a9cddf08b591p-11, -0x1.2be30b8ca3dc3p-11, -0x1.1d9ddbfa7001cp-11, -0x1.0fcb16fa7ee7ep-11, -0x1.026841566a2a8p-11, -0x1.eae57786e499ap-12, -0x1.d1d042b49b57fp-12, -0x1.b98caa96db223p-12, -0x1.a216bcbe5a1cap-12, -0x1.8b69f64379c42p-12, -0x1.7580bb296cb4fp-12, -0x1.60543630c79cbp-12, -0x1.4bdcdcad64ea9p-12, -0x1.3812e547fd23p-12, -0x1.24eedd453a014p-12, -0x1.126ade2f65766p-12, -0x1.00837a049154cp-12, -0x1.de6da38afae0dp-13, -0x1.bd0599a449cp-13, -0x1.9cc84a19da841p-13, -0x1.7dae50bca71b9p-13, -0x1.5fb09eb31e2b5p-13, -0x1.42c83fffaa12dp-13, -0x1.26eea1b60dd8cp-13, -0x1.0c1e12672fd9bp-13, -0x1.e4a3eb1949afap-14, -0x1.b308fe3a86b0bp-14, -0x1.835b4aaa3268cp-14, -0x1.558585264cbb8p-14, -0x1.296d76110e652p-14, -0x1.fdf0370f7e18bp-15, -0x1.ac2851916286dp-15, -0x1.5d78dc6fc8a6dp-15, -0x1.11db923a5b76ap-15, -0x1.927e90ff23903p-16, -0x1.07225823a948fp-16, -0x1.03117522951c9p-17, -0x1.903242c58b649p-24, 0x1.e3f49d69efc8bp-18, 0x1.dcabae2b0ebb8p-17, 0x1.5e99b7f7b23cbp-16, 0x1.c9d2a9187ec8p-16, 0x1.18055adb4a365p-15, 0x1.48af4d38e4abcp-15, 0x1.76fe4f6574651p-15, 0x1.a312494c177f5p-15, 0x1.cd13db8679ef3p-15, 0x1.f520556134ed1p-15, 0x1.0d9eb1bb757c5p-14, 0x1.1fb980f65cc6dp-14, 0x1.30ed399752affp-14, 0x1.41436656aba14p-14, 0x1.50bc70c2ff892p-14, 0x1.5f596a83d590cp-14, 0x1.6d22663d77a83p-14, 0x1.7a225f6fc5a26p-14, 0x1.8662c22e4f173p-14, 0x1.91e7e2a9c633bp-14, 0x1.9cb2867cdb359p-14, 0x1.a6c33ef8260eap-14, 0x1.b01f008d7a29bp-14, 0x1.b8cd7a1b2d31cp-14, 0x1.c0d736233109dp-14, 0x1.c8484f36855d9p-14, 0x1.cf291fc6cf9ep-14, 0x1.d577734a1268ap-14, 0x1.db35aecee791cp-14, 0x1.e06f98e73eb7ep-14, 0x1.e52bd5a445ac5p-14, 0x1.e96c30a686faap-14, 0x1.ed3576c040b3fp-14, 0x1.f08ce1d9a5958p-14, 0x1.f375d5dbde113p-14, 0x1.f5f42e7d265a8p-14, 0x1.f80c208ad0eb4p-14, 0x1.f9c156901fe12p-14, 0x1.fb14ff5153986p-14, 0x1.fc07b01af3c3dp-14, 0x1.fc9d074efde1ep-14, 0x1.fcda429c45462p-14, 0x1.fcc2fe32134bap-14, 0x1.fc5e0f015bddp-14, 0x1.fbb131023bc3dp-14, 0x1.fabb2933a8d2ep-14, 0x1.f97fbedf3dfcp-14, 0x1.f802f8b7d35b8p-14, 0x1.f6425c3c23d6dp-14, 0x1.f4401210feecbp-14, 0x1.f202d5dcc2883p-14, 0x1.ef9062352af02p-14, 0x1.ecec26b019865p-14, 0x1.ea1777d93cf93p-14, 0x1.e712e1180e7b4p-14, 0x1.e3dffa98d1f25p-14, 0x1.e081721390bbfp-14, 0x1.dcf91dc3f0f0fp-14, 0x1.d9475c0834b68p-14, 0x1.d56e180b9ap-14, 0x1.d170015d5e2eep-14, 0x1.cd4d8a510a715p-14, 0x1.c90ac19d71f4bp-14, 0x1.c4aca16fd22cep-14, 0x1.c033ba5dd3414p-14, 0x1.bba2e78aa9a79p-14, 0x1.b6f8189a3a82bp-14, 0x1.b2335473e3da7p-14, 0x1.ad57caa14b25ap-14, 0x1.a86708bf3c51cp-14, 0x1.a361c166ba19cp-14, 0x1.9e493904843d5p-14, 0x1.992059aa2ebb3p-14, 0x1.93ea4101b277ep-14, 0x1.8ea7ede829a52p-14, 0x1.895913148213cp-14, 0x1.83fe6f8acc0eap-14, 0x1.7e99e8cc2c4dcp-14, 0x1.792ba3a20e341p-14, 0x1.73b4144b2a522p-14, 0x1.6e344b2fb21dbp-14, 0x1.68abdaa652fb6p-14, 0x1.631e319c7f379p-14, 0x1.5d8e5725f8fc3p-14, 0x1.57fce00a8f353p-14, 0x1.5268688c5695p-14, 0x1.4cd06955bf61dp-14, 0x1.47377bfb58f1cp-14, 0x1.419eb3aab8c8p-14, 0x1.3c067cd8f33a5p-14, 0x1.366f3cd796148p-14, 0x1.30d9135ad15p-14, 0x1.2b44154efae49p-14, 0x1.25b0ad8e6e841p-14, 0x1.202040de7512ep-14, 0x1.1a95494a0ce3bp-14, 0x1.150fd716f857p-14, 0x1.0f8f76c3b25aap-14, 0x1.0a14fc020ad38p-14, 0x1.04a09702abbe6p-14, 0x1.fe64304b8f7aep-15, 0x1.f393c74db34ep-15, 0x1.e8cfb5d5c9b04p-15, 0x1.de1c917ab17d1p-15, 0x1.d37cf301f71a9p-15, 0x1.c8eecc8edfefep-15, 0x1.be70239d6d986p-15, 0x1.b4040854bc653p-15, 0x1.a9ab8bf5e985cp-15, 0x1.9f66f0dc5391dp-15, 0x1.95364e8adf9d1p-15, 0x1.8b1a9230efe1p-15, 0x1.81140e179ec39p-15, 0x1.772330d13cbabp-15, 0x1.6d4838f9986d2p-15, 0x1.6383233cff77p-15, 0x1.59d3e6153e085p-15, 0x1.503b260a237a9p-15, 0x1.46baecb701927p-15, 0x1.3d535153c02a3p-15, 0x1.340444a26bc77p-15, 0x1.2ace316ef0d12p-15, 0x1.21afe4cca9202p-15, 0x1.18aa24c3f11b8p-15, 0x1.0fbcd052f4664p-15, 0x1.06e9d81a24c2ep-15, 0x1.fc636a1c48737p-16, 0x1.eb2487f3c542p-16, 0x1.da19437016aa6p-16, 0x1.c9430c88eaa23p-16, 0x1.b8a0ed271c581p-16, 0x1.a832f8e4a9d59p-16, 0x1.97fa32f2f7eeap-16, 0x1.87f5f1edc29cfp-16, 0x1.7826a17291685p-16, 0x1.688c4facbd7c5p-16, 0x1.592717a61e337p-16, 0x1.49f70e2f8b1d8p-16, 0x1.3afc44e5c0c8bp-16, 0x1.2c36b27eddb27p-16, 0x1.1da5ce4b7d493p-16, 0x1.0f48aea4a81aap-16, 0x1.012069d3ff2f9p-16, 0x1.e65bcf2e7eca2p-17, 0x1.cae2abce17f1dp-17, 0x1.afd04f0969fafp-17, 0x1.95265c0749f59p-17, 0x1.7ae4c38a3473ep-17, 0x1.610c4a97ec079p-17, 0x1.479c702856555p-17, 0x1.2e92e3d24d7d7p-17, 0x1.15f108f194569p-17, 0x1.fb6b21973a966p-18, 0x1.cbc039d837325p-18, 0x1.9ce02fe45b4a1p-18, 0x1.6ec9dff4be3aep-18, 0x1.417c54bcaabbep-18, 0x1.14f61e7e03573p-18, 0x1.d26ca3f9a486ap-19, 0x1.7c77015748a19p-19, 0x1.2808d10b19d77p-19, 0x1.aa3d3afee6346p-20, 0x1.07723f48bcd43p-20, 0x1.9e8bd7984c4fbp-22, -0x1.a9b08a2a8dd47p-23, -0x1.9e2a28a312dap-21, -0x1.660e59c0d7211p-20, -0x1.fa269b1baea0dp-20, -0x1.45aad975df9a3p-19, -0x1.8cd3ab1538e11p-19, -0x1.d295793cddc78p-19, -0x1.0b7841d995244p-18, -0x1.2cf222b87cc2bp-18, -0x1.4dbd71887aa4p-18, -0x1.6dd9859fad474p-18, -0x1.8d48bfbc1a465p-18, -0x1.ac0c836507b4fp-18, -0x1.ca26aacf3ce77p-18, -0x1.e798f3a205da7p-18, -0x1.023297b3445e7p-17, -0x1.104682e197555p-17, -0x1.1e08af570bf8fp-17, -0x1.2b7ab0f02143bp-17, -0x1.389d1318e11bcp-17, -0x1.457078efd82cdp-17, -0x1.51f60c401e95p-17, -0x1.5e2e9a9538b1cp-17, -0x1.6a1aff898359fp-17, -0x1.75bc195abfb75p-17, -0x1.8112ca7b056dp-17, -0x1.8c1ff0f837878p-17, -0x1.96e46aa6c78fap-17, -0x1.a161216aa83eep-17, -0x1.ab9703be535a9p-17, -0x1.b586c4ef2008bp-17, -0x1.bf315c20f522ep-17, -0x1.c8981873a690fp-17, -0x1.d1ba9f0eaaa4fp-17, -0x1.da9b070e8d0f3p-17, -0x1.e33a234f2ae85p-17, -0x1.eb97c55c70cf8p-17, -0x1.f3b5c37ebd823p-17, -0x1.fb94bbc2ce1edp-17, -0x1.019aaeb10604p-16, -0x1.054c4b5e731f2p-16, -0x1.08dfa2d84a86p-16, -0x1.0c551fb92bbc3p-16, -0x1.0fad27b599a94p-16, -0x1.12e836f241302p-16, -0x1.1606b3455c475p-16, -0x1.1909012b810d6p-16, -0x1.1bef5e3e44863p-16, -0x1.1eba963be10e8p-16, -0x1.216aacc7e92fp-16, -0x1.2400418076638p-16, -0x1.267baea2a596cp-16, -0x1.28dd5a1f42fbdp-16, -0x1.2b25aed66f45p-16, -0x1.2d55152d03506p-16, -0x1.2f6b92b93b9afp-16, -0x1.316a65086f1c2p-16, -0x1.3351200f92d99p-16, -0x1.352058f9becd5p-16, -0x1.36d8924093af4p-16, -0x1.387a2fc6250acp-16, -0x1.3a05739934d4cp-16, -0x1.3b7ac09263f62p-16, -0x1.3cda81944325ep-16, -0x1.3e250ca880234p-16, -0x1.3f5ae3ae14531p-16, -0x1.407c091c9e113p-16, -0x1.41891919aa518p-16, -0x1.42827a2cb54fap-16, -0x1.43682d1e5e187p-16, -0x1.443af97c119a1p-16, -0x1.44fb031455999p-16, -0x1.45a87e309544cp-16, -0x1.4643f4c25df98p-16, -0x1.46cd9ccd0bce3p-16, -0x1.4745e94bdf192p-16, -0x1.47ad2f6e28c29p-16, -0x1.4803a013f4107p-16, -0x1.48495104b8b73p-16, -0x1.487f1f88dee02p-16, -0x1.48a5114f3ab42p-16, -0x1.48bb63dabce6fp-16, }}, 
      {{-0x1.aab921e80003p-6, 0x1.09dc001bd9f2bp-3, 0x1.065c2d49c29c9p-2, 0x1.45f2546d4b65dp-2, 0x1.3f16e2f95aaedp-2, 0x1.f73c76b94132cp-3, 0x1.157e20b6b6dd8p-3, -0x1.d7b3c5a0e08c3p-9, -0x1.4304b68107f81p-3, -0x1.4327837ee4f53p-2, -0x1.dfd2a896ef34ap-2, -0x1.38a56ec1ff5cp-1, -0x1.79c699d64cc3ap-1, -0x1.b2315b2aae937p-1, -0x1.e17cbf4531e65p-1, -0x1.03e224dfa3333p+0, -0x1.12c0698272b21p+0, -0x1.1db4479fd2feap+0, -0x1.252ae53041ce7p+0, -0x1.2999c8ee3f8a4p+0, -0x1.2b77b3823b8ddp+0, -0x1.2b378af62b268p+0, -0x1.2944ef16612b3p+0, -0x1.260219af65965p+0, -0x1.21c6bb55292c8p+0, -0x1.1cdf9328714f5p+0, -0x1.178e8c3865878p+0, -0x1.120b3678a5d35p+0, -0x1.0c837aa98eaf5p+0, -0x1.071c70fe27a3ap+0, -0x1.01f3487e68277p+0, -0x1.fa3c6463238e9p-1, -0x1.f15a8efa07a5fp-1, -0x1.e956cb0fd5638p-1, -0x1.e23df2b53a8p-1, -0x1.dc15752962117p-1, -0x1.d6dca7b4916afp-1, -0x1.d28df1814de4bp-1, -0x1.cf1fd358b0459p-1, -0x1.cc85cd723f594p-1, -0x1.cab125fb014ecp-1, -0x1.c991930361b4ep-1, -0x1.c915ca5bbb325p-1, -0x1.c92bf9ffe0065p-1, -0x1.c9c22b8f6a2d6p-1, -0x1.cac6955de4cffp-1, -0x1.cc27db7602224p-1, -0x1.cdd542a6a87ecp-1, -0x1.cfbed7847c4dbp-1, -0x1.d1d58b29bf8bp-1, -0x1.d40b473586b35p-1, -0x1.d652fa6bc65acp-1, -0x1.d8a09f5a720b6p-1, -0x1.dae93dcf6a9cap-1, -0x1.dd22e87527ea1p-1, -0x1.df44b709e3e84p-1, -0x1.e146be24ba0dap-1, -0x1.e32205136f58bp-1, -0x1.e4d07a31d4af6p-1, -0x1.e64ce66e39d03p-1, -0x1.e792dff9be0fbp-1, -0x1.e89ebcd82cf5p-1, -0x1.e96d8527ba141p-1, -0x1.e9fce5a5cdfb9p-1, -0x1.ea4b225e657eep-1, -0x1.ea5709c57f04cp-1, -0x1.ea1fe84076a6fp-1, -0x1.e9a57c3699ccep-1, -0x1.e8e7eaad24edp-1, -0x1.e7e7b486166d2p-1, -0x1.e6a5ac4e829e1p-1, -0x1.e522ecb31f78ap-1, -0x1.e360cf92ec3dp-1, -0x1.e160e5a4dd5adp-1, -0x1.df24eec7ec9c2p-1, -0x1.dcaed2d9734fp-1, -0x1.da009b24e6d99p-1, -0x1.d71c6c5c624a7p-1, -0x1.d404811b2ccd2p-1, -0x1.d0bb24e016401p-1, -0x1.cd42af86a745ap-1, -0x1.c99d81283ee06p-1, -0x1.c5cdfe73315b9p-1, -0x1.c1d68d59a63aap-1, -0x1.bdb9921fa8d49p-1, -0x1.b9796cc01bd67p-1, -0x1.b518769c0ec5fp-1, -0x1.b099007a622f7p-1, -0x1.abfd50bddad17p-1, -0x1.a747a1e9b9d52p-1, -0x1.a27a214dfecc6p-1, -0x1.9d96edf1e644cp-1, -0x1.98a017ab13ef3p-1, -0x1.93979e5bcb4c9p-1, -0x1.8e7f71651c0bdp-1, -0x1.89596f2948947p-1, -0x1.842764ba9acb8p-1, -0x1.7eeb0dab18823p-1, -0x1.79a613e4d5f38p-1, -0x1.745a0faddace1p-1, -0x1.6f0887ada7bc2p-1, -0x1.69b2f112d3b11p-1, -0x1.645aafc2115dcp-1, -0x1.5f01168fa7887p-1, -0x1.59a7678e7178p-1, -0x1.544ed4625e5eep-1, -0x1.4ef87e983fc5bp-1, -0x1.49a5780b0773bp-1, -0x1.4456c35397e5ep-1, -0x1.3f0d542bf944dp-1, -0x1.39ca0fe95f65cp-1, -0x1.348dcdeb6f475p-1, -0x1.2f595816cf2c6p-1, -0x1.2a2d6b4c3fa05p-1, -0x1.250ab7ddc3487p-1, -0x1.1ff1e208f91ebp-1, -0x1.1ae3826f4d2cdp-1, -0x1.15e0268ce63f4p-1, -0x1.10e8512a25cedp-1, -0x1.0bfc7ad229825p-1, -0x1.071d1246f76e2p-1, -0x1.024a7ce5dd3a5p-1, -0x1.fb0a2e436d947p-2, -0x1.f19a69c7e240ap-2, -0x1.e84643e82a593p-2, -0x1.df0e44bc59a1ap-2, -0x1.d5f2e5a85b1ecp-2, -0x1.ccf49215fb184p-2, -0x1.c413a827a7734p-2, -0x1.bb50796dcc8e3p-2, -0x1.b2ab4b8f78094p-2, -0x1.aa2458ec0497fp-2, -0x1.a1bbd1368e9b3p-2, -0x1.9971da132cda9p-2, -0x1.91468f9e58996p-2, -0x1.893a05051cce1p-2, -0x1.814c44fe7887dp-2, -0x1.797d5254f915ep-2, -0x1.71cd2857d9d8cp-2, -0x1.6a3bbb5938bf9p-2, -0x1.62c8f916d2f88p-2, -0x1.5b74c92a1d51p-2, -0x1.543f0d6c4fcaep-2, -0x1.4d27a25809782p-2, -0x1.462e5f5f4c433p-2, -0x1.3f5317567954p-2, -0x1.389598b472f8ap-2, -0x1.31f5aded50219p-2, -0x1.2b731dba761a7p-2, -0x1.250dab652c75bp-2, -0x1.1ec517108d5c8p-2, -0x1.18991dea635c7p-2, -0x1.12897a7c190aap-2, -0x1.0c95e4db417edp-2, -0x1.06be12e272579p-2, -0x1.0101b86835ffcp-2, -0x1.f6c10eda403ebp-3, -0x1.ebb460a2a8524p-3, -0x1.e0dcc3f4ae6dbp-3, -0x1.d63994092c919p-3, -0x1.cbca29c31b72ap-3, -0x1.c18ddc0eeac12p-3, -0x1.b784001ec4a06p-3, -0x1.adabe9b308216p-3, -0x1.a404eb51b8e0dp-3, -0x1.9a8e5685bb5bp-3, -0x1.91477c25cb7e7p-3, -0x1.882fac69b0bd5p-3, -0x1.7f463738497f9p-3, -0x1.768a6c4903693p-3, -0x1.6dfb9b50bbedfp-3, -0x1.6599142f21513p-3, -0x1.5d62271057c88p-3, -0x1.555624934ca53p-3, -0x1.4d745dec83e41p-3, -0x1.45bc24f677844p-3, -0x1.3e2ccc6ef71c2p-3, -0x1.36c5a7f6b119ap-3, -0x1.2f860c3246c27p-3, -0x1.286d4ee0cbe22p-3, -0x1.217ac6f9536e2p-3, -0x1.1aadccb4c3346p-3, -0x1.1405b9a8f1bbfp-3, -0x1.0d81e8d4e4513p-3, -0x1.0721b6ab8d8f7p-3, -0x1.00e48139e67cdp-3, -0x1.f59350173d0d1p-4, -0x1.e9a118c545bcep-4, -0x1.ddf1224d0a2d3p-4, -0x1.d28235eebcaf9p-4, -0x1.c7532067dbed9p-4, -0x1.bc62b2105ecb4p-4, -0x1.b1afbed9b009bp-4, -0x1.a7391e5b8d4b2p-4, -0x1.9cfdac02388adp-4, -0x1.92fc46d4c82d2p-4, -0x1.8933d1c04fecbp-4, -0x1.7fa3337b39ca4p-4, -0x1.7649567d55fa5p-4, -0x1.6d2529425d238p-4, -0x1.64359e0b566adp-4, -0x1.5b79aafa5f9e7p-4, -0x1.52f04a1ad80bp-4, -0x1.4a98794f3b70fp-4, -0x1.42713a728b298p-4, -0x1.3a7993245fbcbp-4, -0x1.32b08cf6110e9p-4, -0x1.2b15354e44ca4p-4, -0x1.23a69d6bb2ff2p-4, -0x1.1c63da68062f3p-4, -0x1.154c05211c1ebp-4, -0x1.0e5e3a48c9a7p-4, -0x1.07999a42e4d47p-4, -0x1.00fd494f74be7p-4, -0x1.f510de9681324p-5, -0x1.e8746fb0dea89p-5, -0x1.dc23a44b1ce84p-5, -0x1.d01ce23842f45p-5, -0x1.c45e9663f51eap-5, -0x1.b8e734d74d47bp-5, -0x1.adb538b36011dp-5, -0x1.a2c7240c4e227p-5, -0x1.981b7fe2aa3a2p-5, -0x1.8db0dc0629157p-5, -0x1.8385cf0b0eb11p-5, -0x1.7998f634f1f31p-5, -0x1.6fe8f5628d241p-5, -0x1.667477018e229p-5, -0x1.5d3a2bc680e32p-5, -0x1.5438caf766598p-5, -0x1.4b6f12052eb06p-5, -0x1.42dbc48bdd2cbp-5, -0x1.3a7dac59589e9p-5, -0x1.3253992c03233p-5, -0x1.2a5c60bff990dp-5, -0x1.2296deac385acp-5, -0x1.1b01f44387addp-5, -0x1.139c888c4a72dp-5, -0x1.0c658830df40bp-5, -0x1.055be54c0a423p-5, -0x1.fcfd2ef958d0ep-6, -0x1.ef993765d5ebcp-6, -0x1.e289e83eda384p-6, -0x1.d5cd502d0862bp-6, -0x1.c9618870701fbp-6, -0x1.bd44b39a2c702p-6, -0x1.b174fee642822p-6, -0x1.a5f0a0a2ac7b7p-6, -0x1.9ab5d8faf0c9ap-6, -0x1.8fc2f17115f84p-6, -0x1.85163ca8c072bp-6, -0x1.7aae166b3fc04p-6, -0x1.7088e356bb4aap-6, -0x1.66a510d232114p-6, -0x1.5d0114cc2ddc8p-6, -0x1.539b6dc9c77ccp-6, -0x1.4a72a27b096cep-6, -0x1.418541ba8e029p-6, -0x1.38d1e261505bdp-6, -0x1.30572327fdcfcp-6, -0x1.2813aa399364ep-6, -0x1.200625b12c2eep-6, -0x1.182d4ada87253p-6, -0x1.1087d6614c727p-6, -0x1.09148c0ec408ep-6, -0x1.01d2369e17dacp-6, -0x1.f57f4f864b674p-7, -0x1.e7b76ecfa285fp-7, -0x1.da4a89cd27fa2p-7, -0x1.cd366b12c4fdcp-7, -0x1.c078ea3ad1e17p-7, -0x1.b40feb6d42c33p-7, -0x1.a7f95ee0aa9aep-7, -0x1.9c3340acfb1fdp-7, -0x1.90bb98811d5f3p-7, -0x1.85907986247fdp-7, -0x1.7ab0022320a19p-7, -0x1.70185bf5bb5abp-7, -0x1.65c7bb872d0ccp-7, -0x1.5bbc603494f5bp-7, -0x1.51f493338273ap-7, -0x1.486ea81909a0cp-7, -0x1.3f28fc0446746p-7, -0x1.3621f5aece383p-7, -0x1.2d580545ce03ep-7, -0x1.24c9a49cb6832p-7, -0x1.1c7556da43038p-7, -0x1.1459a8507de5fp-7, -0x1.0c752e46bc519p-7, -0x1.04c6862c7538dp-7, -0x1.fa98abe135b24p-8, -0x1.ec0a957861aa6p-8, -0x1.dde0336033ee4p-8, -0x1.d016ff94660fap-8, -0x1.c2ac83ba82b05p-8, -0x1.b59e59edaf34ep-8, -0x1.a8ea2ba53a566p-8, -0x1.9c8db1610f21ap-8, -0x1.9086b17594b36p-8, -0x1.84d2ff2302bc8p-8, -0x1.797079ae2559cp-8, -0x1.6e5d0b8d4c4bap-8, -0x1.6396abfb8d49cp-8, -0x1.591b5f6c716e7p-8, -0x1.4ee937233bd8cp-8, -0x1.44fe52f768732p-8, -0x1.3b58dfce175p-8, -0x1.31f7163b7db72p-8, -0x1.28d73a2133683p-8, -0x1.1ff798183c97ep-8, -0x1.1756854f57933p-8, -0x1.0ef25f9254b8p-8, -0x1.06c98e03017b4p-8, -0x1.fdb50491c6adbp-9, -0x1.ee4773c808b8dp-9, -0x1.df477c66a9373p-9, -0x1.d0b248c03008fp-9, -0x1.c28517556435ep-9, -0x1.b4bd380713f8p-9, -0x1.a75806e83f829p-9, -0x1.9a52ec8b6933bp-9, -0x1.8dab5bd2ba767p-9, -0x1.815ed4e2ce23dp-9, -0x1.756ae8cc4a9bbp-9, -0x1.69cd38afaad5cp-9, -0x1.5e837c6d8fbefp-9, -0x1.538b7ff314c34p-9, -0x1.48e32209850ap-9, -0x1.3e8850baea32dp-9, -0x1.3479055932a56p-9, -0x1.2ab340fe61359p-9, -0x1.21350cd348fc7p-9, -0x1.17fc785325a98p-9, -0x1.0f079d136809ep-9, -0x1.0654a243153ccp-9, -0x1.fbc37a6716bfap-10, -0x1.eb5a6930df517p-10, -0x1.db6abe43be3d8p-10, -0x1.cbf14614456f4p-10, -0x1.bceae4754e82bp-10, -0x1.ae548f1a11b8fp-10, -0x1.a02b471bf1acdp-10, -0x1.926c175d7850cp-10, -0x1.85141738c6037p-10, -0x1.78206e5d52942p-10, -0x1.6b8e55a6fca44p-10, -0x1.5f5b1ebb7d4a5p-10, -0x1.53842ddd3d0a1p-10, -0x1.4806fd4ec1118p-10, -0x1.3ce11eb4d5b0cp-10, -0x1.321036afd7af2p-10, -0x1.2791fba17fc06p-10, -0x1.1d642d71213dbp-10, -0x1.138496863d2aep-10, -0x1.09f10c88da51ep-10, -0x1.00a774edd8493p-10, -0x1.ef4b8f353ba3ep-11, -0x1.ddd4195c412a5p-11, -0x1.cce4aefe4110ep-11, -0x1.bc7985e6cb55bp-11, -0x1.ac8ee339eb974p-11, -0x1.9d2124590c30fp-11, -0x1.8e2cc70f0d81p-11, -0x1.7fae634515b58p-11, -0x1.71a2a78d8f908p-11, -0x1.6406537918d83p-11, -0x1.56d63d5d39fbap-11, -0x1.4a0f61bde8bbdp-11, -0x1.3daeea0c9efc5p-11, -0x1.31b220572f4cep-11, -0x1.26165ba028d19p-11, -0x1.1ad8e65fe5dfep-11, -0x1.0ff6fb52cc3f4p-11, -0x1.056ddb2f40398p-11, -0x1.f675bb4a09d36p-12, -0x1.e2b6ff82d27f4p-12, -0x1.cf9a93a860df9p-12, -0x1.bd1bd269c5b92p-12, -0x1.ab360c7d65599p-12, -0x1.99e4d033d66d9p-12, -0x1.8924008d31e3p-12, -0x1.78efe263ff40cp-12, -0x1.6944ec4fd7d5p-12, -0x1.5a1f7db4693b7p-12, -0x1.4b7bb4822021fp-12, -0x1.3d556f5e2293ep-12, -0x1.2fa890cc089f1p-12, -0x1.227137c91e28ap-12, -0x1.15abd9d8492d8p-12, -0x1.095528b6c757ep-12, -0x1.fad3d111a16a1p-13, -0x1.e3cdbfcb0ab0fp-13, -0x1.cd91e79a442c6p-13, -0x1.b81a8108a361ep-13, -0x1.a362782ba07f5p-13, -0x1.8f6522090a25ap-13, -0x1.7c1db7233ee27p-13, -0x1.6986caee417b8p-13, -0x1.579a4e8ccc956p-13, -0x1.4651f30fe8fecp-13, -0x1.35a7c6124f64bp-13, -0x1.259699f6b9f26p-13, -0x1.1619edd6a308p-13, -0x1.072d9b54d2d96p-13, -0x1.f19b2e9b0bb79p-14, -0x1.d5ebbd35188c6p-14, -0x1.bb448fb0319d2p-14, -0x1.a19e92ac5bcecp-14, -0x1.88f31756391a7p-14, -0x1.713c0d0fe7d4bp-14, -0x1.5a72f86a3913ep-14, -0x1.44901cc955f11p-14, -0x1.2f8a716bee625p-14, -0x1.1b5880d0454b2p-14, -0x1.07f15a69ef7d6p-14, -0x1.ea9a972ec91ecp-15, -0x1.c6cbd0652a128p-15, -0x1.a46be3a0abbf8p-15, -0x1.8371cd02501a5p-15, -0x1.63d4b184e08d6p-15, -0x1.458af0d9311bdp-15, -0x1.288a8dc7affa1p-15, -0x1.0cca67743c656p-15, -0x1.e4847cda28a47p-16, -0x1.b1d4bbdb4fd1bp-16, -0x1.8174005588eaap-16, -0x1.534e495c7459cp-16, -0x1.274ab275d9f8cp-16, -0x1.fa9f2ba12c1efp-17, -0x1.aa849c116ced7p-17, -0x1.5e13694d833b9p-17, -0x1.15230e48e2871p-17, -0x1.9f366c940cd69p-18, -0x1.1ad8e1f94be08p-18, -0x1.3a1acf4f0d054p-19, -0x1.2d2640fbee0fp-21, 0x1.2e5186a9b68d5p-20, 0x1.6d9e81cce91b1p-19, 0x1.1c3cb28291472p-18, 0x1.7c07b5ff30595p-18, 0x1.d65bc03508be5p-18, 0x1.15acceb9a5b6ap-17, 0x1.3d9503589a7adp-17, 0x1.63011281c8e52p-17, 0x1.8612fc61c38dp-17, 0x1.a6f38229d4318p-17, 0x1.c5cc3c1ecf76cp-17, 0x1.e2b822eca210fp-17, 0x1.fdc0d8de4e4c6p-17, 0x1.0b75f440c7c3cp-16, 0x1.1723b6f1b296ap-16, 0x1.21f1504aebf53p-16, 0x1.2be422126bd4p-16, 0x1.3502dc27fd68ep-16, 0x1.3d57ca3570637p-16, 0x1.44ed50414ee61p-16, 0x1.4bc9c985011a4p-16, 0x1.51efaa59ee753p-16, 0x1.5761641290a91p-16, 0x1.5c24990cd1baep-16, 0x1.6041e9cabd9b5p-16, 0x1.63c4e50620391p-16, 0x1.66bbfeaaad085p-16, 0x1.6931b29bfc03dp-16, 0x1.6b2854875ecf6p-16, 0x1.6ca2e87feaf07p-16, 0x1.6daa5aeda27cbp-16, 0x1.6e456ce1c306fp-16, 0x1.6e7498c4ae23p-16, 0x1.6e38c6e5980b3p-16, 0x1.6d97b6da766b1p-16, 0x1.6c98f1053956ap-16, 0x1.6b433fe475b41p-16, 0x1.6998ce9738f1dp-16, 0x1.679b3d5493fb5p-16, 0x1.654ade5a70341p-16, 0x1.62ab19fff07bbp-16, 0x1.5fc11ec4d998cp-16, 0x1.5c928ddf33574p-16, 0x1.59273e3255112p-16, 0x1.55849ba03b8eap-16, 0x1.51a9524b32edep-16, 0x1.4d96faff79bc2p-16, 0x1.49552628629fep-16, 0x1.44e80f436fef2p-16, 0x1.4050c79f7dc7fp-16, 0x1.3b9257824fbe3p-16, 0x1.36b018553917cp-16, 0x1.31abf56b4233fp-16, 0x1.2c88771dcdeaep-16, 0x1.2747e4eb59657p-16, 0x1.21eca97b08bfbp-16, 0x1.1c775e1ba5a96p-16, 0x1.16e8555c0d499p-16, 0x1.1141b8813391cp-16, 0x1.0b86ae67f1a49p-16, 0x1.05b94178d5b5dp-16, 0x1.ffbada902296bp-17, 0x1.f3ecbc0974b0dp-17, 0x1.e80689b4b7602p-17, 0x1.dc0c8df13eedp-17, 0x1.d00334c5a2c1bp-17, 0x1.c3e7653563283p-17, 0x1.b7bb66afaf84p-17, 0x1.ab86d159e1db7p-17, 0x1.9f4ffe3b7d5f1p-17, 0x1.931a80955e231p-17, 0x1.86e7754c9c2bp-17, 0x1.7ab71782427e1p-17, 0x1.6e8af8f472e79p-17, 0x1.62657ecef5ce3p-17, 0x1.5648a9ed4d811p-17, 0x1.4a34787bc6ab7p-17, 0x1.3e2ab7216103ap-17, 0x1.322e0660e620cp-17, 0x1.263e989f7dd8cp-17, 0x1.1a605bd99e684p-17, 0x1.0e97f9bbd1029p-17, 0x1.02e662645fbdfp-17, 0x1.ee9a81cbce70ap-18, 0x1.d7951fbcd7a4ep-18, 0x1.c0bbd5478c0cbp-18, 0x1.aa144acba4fdbp-18, 0x1.93a0f67d6d2cep-18, 0x1.7d62d0adf0b84p-18, 0x1.675b84e1be4edp-18, 0x1.5190376814342p-18, 0x1.3c066120de0fep-18, 0x1.26beb9174053p-18, 0x1.11b838e4ef858p-18, 0x1.f9e5e92be0bbap-19, 0x1.d0e4582153531p-19, 0x1.a86a842f3c041p-19, 0x1.807868059de08p-19, 0x1.59109c8f15a27p-19, 0x1.323005ca09e6dp-19, 0x1.0be1783f2a53cp-19, 0x1.cc5c8b89a760cp-20, 0x1.822da53cb36fcp-20, 0x1.39289ba81124ap-20, 0x1.e289149dba6acp-21, 0x1.552bde4a9f147p-21, 0x1.94658830884b1p-22, 0x1.069f3ba1580dap-23, -0x1.11e8fe12e5cdbp-23, -0x1.907272a23bbfep-22, -0x1.4999266904b72p-21, -0x1.c893cb0b87e76p-21, -0x1.229b79776ad3dp-20, -0x1.5fa734e825966p-20, -0x1.9b758df5978c4p-20, -0x1.d60b6b0657f89p-20, -0x1.07b47eb577f94p-19, -0x1.23c85705dc7dcp-19, -0x1.3f42784a7b60bp-19, -0x1.5a243a2d1051fp-19, -0x1.746fd132bdb5cp-19, -0x1.8e1f355a5ef5dp-19, -0x1.a73147d97ffap-19, -0x1.bfaa30c916a21p-19, -0x1.d78f7d41877f5p-19, -0x1.eeddf526b1958p-19, -0x1.02cad6e3607b5p-18, -0x1.0ddbff575f741p-18, -0x1.18a3b5a79e717p-18, -0x1.2321b007cd869p-18, -0x1.2d56d51173fb8p-18, -0x1.3743b498d64afp-18, -0x1.40e92b29ab147p-18, -0x1.4a4833782077dp-18, -0x1.53618ef49a5fap-18, -0x1.5c34449e8f138p-18, -0x1.64c2a3d5489c8p-18, -0x1.6d0bafda3651dp-18, -0x1.7510fc50b4107p-18, -0x1.7cd2f699bd8abp-18, -0x1.84531fe262df2p-18, -0x1.8b91e3d781b6ep-18, -0x1.929026f045d05p-18, -0x1.994ddded6ba1p-18, -0x1.9fcbaa6c2bb91p-18, -0x1.a60b68b38f8e3p-18, -0x1.ac0d7dfc6492fp-18, -0x1.b1d21ad948e1ap-18, -0x1.b75ad0c36cc5fp-18, -0x1.bca85f9d4f436p-18, -0x1.c1ba814e22b78p-18, -0x1.c6937c19da622p-18, -0x1.cb334e84f0b3cp-18, -0x1.cf9b0042cbd41p-18, -0x1.d3cb51464f1f5p-18, -0x1.d7c5137109be7p-18, -0x1.db891b49abc5dp-18, -0x1.df183f55d5f66p-18, -0x1.e27365cf35f7p-18, -0x1.e59b7411ea04cp-18, -0x1.e8911daf29873p-18, -0x1.eb5527f31aeffp-18, -0x1.ede7d7c25c4f1p-18, -0x1.f04b9188de2e9p-18, -0x1.f27fd91e88e3ep-18, -0x1.f485a4dfc9383p-18, -0x1.f65e421b2d9a2p-18, -0x1.f809f8abaf666p-18, -0x1.f989f4eb7022fp-18, -0x1.faded43d2135ap-18, -0x1.fc09afaaa9161p-18, -0x1.fd0b1831d8e7cp-18, -0x1.fde3e602846f7p-18, -0x1.fe94ffc3c703ep-18, -0x1.ff1ecb49e45dbp-18, -0x1.ff82b4792aedp-18, -0x1.ffc0f07d2af63p-18, -0x1.ffda94f53bf62p-18, -0x1.ffd04c6bdea2bp-18, -0x1.ffa303c0e95f1p-18, -0x1.ff5313ac1170cp-18, -0x1.fee1c34e067efp-18, -0x1.fe4fd65760b0ep-18, -0x1.fd9d77603f4d5p-18, -0x1.fccbb70746ef2p-18, -0x1.fbdb2ca34ba0cp-18, -0x1.faccd80211b8ep-18, -0x1.f9a152ea1993p-18, -0x1.f85943e6e1739p-18, -0x1.f6f597cbe701cp-18, -0x1.f575cd38a0d48p-18, -0x1.f3dd31fb2fec1p-18, -0x1.f22a0ce9b4f54p-18, -0x1.f05e065217ed5p-18, -0x1.ee798c5b464eep-18, -0x1.ec7d519a2fb9dp-18, -0x1.ea6a01f4b3749p-18, -0x1.e84049e115bdcp-18, -0x1.e600c3c171882p-18, -0x1.e3ac400413766p-18, -0x1.e1425c7e52d3fp-18, -0x1.dec586dc33e97p-18, -0x1.dc34f8509e97fp-18, -0x1.d991b5ef91c2bp-18, -0x1.d6dc4feb6d0d5p-18, -0x1.d41559dec4f95p-18, -0x1.d13d6684dc66dp-18, -0x1.ce550e78d9002p-18, -0x1.cb5ce154c56a8p-18, -0x1.c8557115c3ecep-18, -0x1.c53f3a48cff1p-18, -0x1.c21a8adc1fcdcp-18, -0x1.bee8510b74d56p-18, -0x1.bba8da68b0762p-18, -0x1.b85cec612747cp-18, -0x1.b5049a87f20f7p-18, -0x1.b1a0b36981c0dp-18, -0x1.ae31b233cf12p-18, -0x1.aab7ca7ad0412p-18, -0x1.a733c81532286p-18, -0x1.a3a62af496d44p-18, -0x1.a00f1e1e43766p-18, -0x1.9c6f321b88d8bp-18, -0x1.98c6decda3a5bp-18, -0x1.951691ed52413p-18, -0x1.915eba8b39dfcp-18, -0x1.8d9fb8379d209p-18, -0x1.89da27d73e446p-18, -0x1.860e31630f3ccp-18, -0x1.823c246f5a2e3p-18, -0x1.7e64f8ef41574p-18, -0x1.7a882e68f0981p-18, -0x1.76a6d19c98dc3p-18, -0x1.72c1145d90ae9p-18, -0x1.6ed750afccac6p-18, -0x1.6ae9e6c35d258p-18, -0x1.66f931e096768p-18, -0x1.6304c7a90ef2cp-18, -0x1.5f0f13c070516p-18, -0x1.5b16505c51158p-18, -0x1.571b74b3ca6ccp-18, -0x1.531ef752fab22p-18, -0x1.4f2133d7c2de2p-18, -0x1.4b2247a3c2a68p-18, -0x1.47228450a418ep-18, -0x1.43224b38f9c06p-18, -0x1.3f218f3fd8108p-18, -0x1.3b21daeb2438bp-18, -0x1.372195ac08e86p-18, -0x1.332218f5fc6dcp-18, -0x1.2f239a44ad869p-18, -0x1.2b25fa05f1897p-18, -0x1.2729df5b70976p-18, -0x1.232f56a62dbd8p-18, -0x1.1f367e650466bp-18, -0x1.1b3fc24748048p-18, -0x1.174b37cdea1edp-18, -0x1.135943001d7f7p-18, -0x1.0f6a1c25187bcp-18, -0x1.0b7dca47ecbf8p-18, -0x1.079430f7ebe1fp-18, -0x1.03ae4235908a9p-18, -0x1.ff9795a05b007p-19, -0x1.f7d9957f5431ap-19, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.7e7d9ccdfa957p-8, 0x1.7fd1ccd4b7084p-7, 0x1.217e2c4c1e81dp-6, 0x1.84f14a50dccbcp-6, 0x1.eabf69c40085bp-6, 0x1.29a6b59ab6909p-5, 0x1.5f7317cbe3f3fp-5, 0x1.96dd23c0df2cep-5, 0x1.cff062c323013p-5, 0x1.05563b130c675p-4, 0x1.23831c0d865c6p-4, 0x1.427482d47c69bp-4, 0x1.621c0bd2388fcp-4, 0x1.8267ec09b5114p-4, 0x1.a343942696a81p-4, 0x1.c49848ba99e7ep-4, 0x1.e64dae3c825b2p-4, 0x1.04252430cc131p-3, 0x1.1539f674202e4p-3, 0x1.2658150c5c216p-3, 0x1.377250a54efc4p-3, 0x1.487baadf76d23p-3, 0x1.5967781253627p-3, 0x1.6a297b973e203p-3, 0x1.7ab5fedcbd86bp-3, 0x1.8b01e391340a4p-3, 0x1.9b02b142f3cabp-3, 0x1.aaae9ee0cf92ap-3, 0x1.b9fc989018e23p-3, 0x1.c8e4425284b1p-3, 0x1.d75df7f7b4466p-3, 0x1.e562cad33a03ep-3, 0x1.f2ec7da9b1fb9p-3, 0x1.fff57f3e4f0e6p-3, 0x1.063c71efa41edp-2, 0x1.0c392f21af9dbp-2, 0x1.11ef1bff08665p-2, 0x1.175ca4e1d15c3p-2, 0x1.1c8079d52fc78p-2, 0x1.21598ac5c26aep-2, 0x1.25e703ce6661bp-2, 0x1.2a2849a9983afp-2, 0x1.2e1cf64c44496p-2, 0x1.31c4d5ac11f7ep-2, 0x1.351fe2b104bfdp-2, 0x1.382e4450ba11bp-2, 0x1.3af04ad060006p-2, 0x1.3d666d29e5accp-2, 0x1.3f9146907e36bp-2, 0x1.41719410935b6p-2, 0x1.4308324764265p-2, 0x1.44561b2ee32a9p-2, 0x1.455c63fad9a7cp-2, 0x1.461c3b04d2522p-2, 0x1.4696e5c4d116cp-2, 0x1.46cdbed5682eap-2, 0x1.46c234023668ep-2, 0x1.4675c460577cep-2, 0x1.45e9fe70a95c5p-2, 0x1.45207e4c330cbp-2, 0x1.441aebdb3b879p-2, 0x1.42daf917d6fa5p-2, 0x1.4162605cdd2ccp-2, 0x1.3fb2e2c25db0cp-2, 0x1.3dce4688a991fp-2, 0x1.3bb65593168e5p-2, 0x1.396cdbf3938d5p-2, 0x1.36f3a68814e78p-2, 0x1.344c81aac9f1p-2, 0x1.317937f5eaedfp-2, 0x1.2e7b911bd1ffbp-2, 0x1.2b5550d3e842bp-2, 0x1.280835dcc931dp-2, 0x1.2495f913d9ep-2, 0x1.21004ca2644fcp-2, 0x1.1d48db4028d4p-2, 0x1.1971478b28ca7p-2, 0x1.157b2b744e523p-2, 0x1.116817c0795f1p-2, 0x1.0d39939d5607ep-2, 0x1.08f11c49458a6p-2, 0x1.049024cd91e97p-2, 0x1.001815ca07718p-2, 0x1.f7149aa217d95p-3, 0x1.edd03da653c35p-3, 0x1.e465a63225141p-3, 0x1.dad75095faecbp-3, 0x1.d127a408b5d4bp-3, 0x1.c758f2e56e39p-3, 0x1.bd6d7afd8a49bp-3, 0x1.b36765fceafc4p-3, 0x1.a948c9de23124p-3, 0x1.9f13a96c988abp-3, 0x1.94c9f4d2a84f6p-3, 0x1.8a6d8a31cd111p-3, 0x1.800036430451fp-3, 0x1.7583b4fdaadd4p-3, 0x1.6af9b2432c375p-3, 0x1.6063ca8dff5bcp-3, 0x1.55c38ba27cb62p-3, 0x1.4b1a75403649ep-3, 0x1.4069f9d2a5349p-3, 0x1.35b37f1ff9901p-3, 0x1.2af85ef520f79p-3, 0x1.2039e7ce0ac15p-3, 0x1.15795d79694b9p-3, 0x1.0ab7f9b72fb9ap-3, 0x1.ffedd9a275fc4p-4, 0x1.ea6ebc5b3834ap-4, 0x1.d4f4d9b432447p-4, 0x1.bf8260210a4c2p-4, 0x1.aa196f676822dp-4, 0x1.94bc1989a030cp-4, 0x1.7f6c63a1e23d5p-4, 0x1.6a2c46add2dbbp-4, 0x1.54fdb04a7eed5p-4, 0x1.3fe28360c6f44p-4, 0x1.2adc98c26f3f7p-4, 0x1.15edbfb81a6ddp-4, 0x1.0117be808502dp-4, 0x1.d8b8a582dc7bcp-5, 0x1.af7a63d54a9b8p-5, 0x1.8678131786145p-5, 0x1.5db4ff3a457bdp-5, 0x1.353465795b372p-5, 0x1.0cf974be49788p-5, 0x1.ca0e9bda291adp-6, 0x1.7ac2083968c5cp-6, 0x1.2c133978fab6dp-6, 0x1.bc103e9f9650ep-7, 0x1.214d1ca821d2ap-7, 0x1.0fd0ff923f4afp-8, -0x1.0125c1256520fp-11, -0x1.4d30e4cbacdadp-8, -0x1.3b9ef6d3555cbp-7, -0x1.cf1b56090ed9ap-7, -0x1.30819b6463257p-6, -0x1.78a63d85be0f4p-6, -0x1.bff6a09e6fc69p-6, -0x1.0336f9628bb7dp-5, -0x1.2603c0d003c8cp-5, -0x1.485f5d8cdf578p-5, -0x1.6a47970c77937p-5, -0x1.8bba459d24b7bp-5, -0x1.acb552c52f1fcp-5, -0x1.cd36b99ef4fe3p-5, -0x1.ed3c87339c878p-5, -0x1.06626d69bf8dbp-4, -0x1.15e6f335e97e3p-4, -0x1.252af76c7098bp-4, -0x1.342da61a26ebbp-4, -0x1.42ee350f7fe8ap-4, -0x1.516be403108cbp-4, -0x1.5fa5fcb17a6b8p-4, -0x1.6d9bd2fa8e11p-4, -0x1.7b4cc4fb8050dp-4, -0x1.88b83b2618d1fp-4, -0x1.95dda854ba5b8p-4, -0x1.a2bc89db30d2dp-4, -0x1.af5467943732ep-4, -0x1.bba4d3eba9e03p-4, -0x1.c7ad6be554a3bp-4, -0x1.d36dd7206f78p-4, -0x1.dee5c7d7a7555p-4, -0x1.ea14fadde19a2p-4, -0x1.f4fb379796e0cp-4, -0x1.ff984ff0f13dfp-4, -0x1.04f6102854505p-3, -0x1.09fb47c3d4d1bp-3, -0x1.0edbc75ed5e1p-3, -0x1.13978cad5d3bp-3, -0x1.182e9a76e40dcp-3, -0x1.1ca0f88837c6bp-3, -0x1.20eeb3a3f23d4p-3, -0x1.2517dd71a55f1p-3, -0x1.291c8c6bbfa5dp-3, -0x1.2cfcdbcc33027p-3, -0x1.30b8eb77fb45dp-3, -0x1.3450dfe984062p-3, -0x1.37c4e21a06a27p-3, -0x1.3b151f69ebd35p-3, -0x1.3e41c9884341ep-3, -0x1.414b16595bb31p-3, -0x1.44313fdc91c49p-3, -0x1.46f48411626d4p-3, -0x1.499524dbccb0bp-3, -0x1.4c1367e81b26p-3, -0x1.4e6f968e16345p-3, -0x1.50a9fdb3c3f5ap-3, -0x1.52c2edafa7ad2p-3, -0x1.54baba2aaf701p-3, -0x1.5691ba01c02bdp-3, -0x1.5848472705db1p-3, -0x1.59debe830466ep-3, -0x1.5b557fd583953p-3, -0x1.5caced9656e84p-3, -0x1.5de56cd61769cp-3, -0x1.5eff651ed74ebp-3, -0x1.5ffb4054da00dp-3, -0x1.60d96a975ea0ep-3, -0x1.619a522185cd5p-3, -0x1.623e672b5c5aap-3, -0x1.62c61bcb174ep-3, -0x1.6331e3d68660bp-3, -0x1.638234c4cdc36p-3, -0x1.63b78590663fbp-3, -0x1.63d24e996f277p-3, -0x1.63d309886105fp-3, -0x1.63ba31311928p-3, -0x1.638841765236fp-3, -0x1.633db72d8ba77p-3, -0x1.62db10036382bp-3, -0x1.6260ca606b53cp-3, -0x1.61cf654e7adedp-3, -0x1.6127605e85e7p-3, -0x1.60693b8efeb21p-3, -0x1.5f957732baba1p-3, -0x1.5eac93d8714dbp-3, -0x1.5daf1232c287cp-3, -0x1.5c9d7300dc9abp-3, -0x1.5b7836f7b4e25p-3, -0x1.5a3fdeabd4bc7p-3, -0x1.58f4ea7bd1e68p-3, -0x1.5797da7b50f5ap-3, -0x1.56292e5eb6d89p-3, -0x1.54a965676d3f1p-3, -0x1.5318fe50d1a66p-3, -0x1.5178773dbc91ap-3, -0x1.4fc84da6b367p-3, -0x1.4e08fe48ad322p-3, -0x1.4c3b051489152p-3, -0x1.4a5edd1f14194p-3, -0x1.48750091bc48fp-3, -0x1.467de89bdcd63p-3, -0x1.447a0d64a0ab9p-3, -0x1.4269e5fd93262p-3, -0x1.404de855ba082p-3, -0x1.3e26892d5306bp-3, -0x1.3bf43c0a25fefp-3, -0x1.39b7732c6d953p-3, -0x1.37709f84547b5p-3, -0x1.352030a8059c4p-3, -0x1.32c694ca4741ep-3, -0x1.306438b1abc3ap-3, -0x1.2df987b047e85p-3, -0x1.2b86eb9bf4428p-3, -0x1.290cccc7127dcp-3, -0x1.268b91f9db02fp-3, -0x1.2403a06c2b08ap-3, -0x1.21755bbfc962fp-3, -0x1.1ee125fb31e7fp-3, -0x1.1c475f84d40e6p-3, -0x1.19a8671ec76adp-3, -0x1.170499e2f6ebfp-3, -0x1.145c533fb766ep-3, -0x1.11afecf4d23f3p-3, -0x1.0effbf10f617cp-3, -0x1.0c4c1fef8bca3p-3, -0x1.09956436fbf57p-3, -0x1.06dbded7481c4p-3, -0x1.041fe1090c702p-3, -0x1.0161ba4cdc35fp-3, -0x1.fd4370d5e374ep-4, -0x1.f7c04ee67546p-4, -0x1.f23aa37b6c171p-4, -0x1.ecb2ffd63ad2cp-4, -0x1.e729f1cbce4cp-4, -0x1.e1a003c70a147p-4, -0x1.dc15bccbe72bep-4, -0x1.d68ba07b212ebp-4, -0x1.d1022f165962ep-4, -0x1.cb79e584bdb56p-4, -0x1.c5f33d5833a9p-4, -0x1.c06eacd2ecd27p-4, -0x1.baeca6ed6dae7p-4, -0x1.b56d9b5d01896p-4, -0x1.aff1f69a92addp-4, -0x1.aa7a21e9e3551p-4, -0x1.a50683611ccbp-4, -0x1.9f977df0bf53cp-4, -0x1.9a2d716bddb72p-4, -0x1.94c8ba90a7c8dp-4, -0x1.8f69b3113c036p-4, -0x1.8a10b19cc68b3p-4, -0x1.84be09e8d4438p-4, -0x1.7f720cbaec42cp-4, -0x1.7a2d07f25cd1ap-4, -0x1.74ef46923d314p-4, -0x1.6fb910cba1deep-4, -0x1.6a8aac07fae2bp-4, -0x1.65645af39b76dp-4, -0x1.60465d886a23cp-4, -0x1.5b30f118ae3e6p-4, -0x1.56245059fe78cp-4, -0x1.5120b3704b113p-4, -0x1.4c264ff9001b7p-4, -0x1.473559163907ap-4, -0x1.424dff7a0aad8p-4, -0x1.3d707171db6a8p-4, -0x1.389cdaf1c5a16p-4, -0x1.33d365a005a8dp-4, -0x1.2f1438e06a8a8p-4, -0x1.2a5f79dfd36d2p-4, -0x1.25b54b9fa6d63p-4, -0x1.2115cf014c61ap-4, -0x1.1c8122d1a6204p-4, -0x1.17f763d48129dp-4, -0x1.1378acd002507p-4, -0x1.0f0516980818fp-4, -0x1.0a9cb81984415p-4, -0x1.063fa665c571dp-4, -0x1.01edf4bdb417p-4, -0x1.fb4f6939fe716p-5, -0x1.f2d9eb8a71368p-5, -0x1.ea7b8c91b7e21p-5, -0x1.e234652c84b04p-5, -0x1.da048b04ff00bp-5, -0x1.d1ec10a84c06bp-5, -0x1.c9eb059bf0c51p-5, -0x1.c2017672f34cfp-5, -0x1.ba2f6ce2cd314p-5, -0x1.b274efd829e6fp-5, -0x1.aad2038b613ep-5, -0x1.a346a994be7b8p-5, -0x1.9bd2e100865c6p-5, -0x1.9476a662c30aap-5, -0x1.8d31f3eac7973p-5, -0x1.8604c1767c36ep-5, -0x1.7eef04a55afb4p-5, -0x1.77f0b0eb327cep-5, -0x1.7109b7a2a173ap-5, -0x1.6a3a081f4811dp-5, -0x1.63818fbfb7edap-5, -0x1.5ce039ff189f4p-5, -0x1.5655f0867f517p-5, -0x1.4fe29b3e08bf2p-5, -0x1.4986205d9ecp-5, -0x1.4340647d7b55ap-5, -0x1.3d114aa65acb7p-5, -0x1.36f8b4616b57dp-5, -0x1.30f681c7e35e7p-5, -0x1.2b0a91925d4acp-5, -0x1.2534c127e0618p-5, -0x1.1f74ecac984bcp-5, -0x1.19caef1050d16p-5, -0x1.1436a21c97275p-5, -0x1.0eb7de8297affp-5, -0x1.094e7be8aead7p-5, -0x1.03fa50f7b12ep-5, -0x1.fd7666cfd1d33p-6, -0x1.f321f01b90b34p-6, -0x1.e8f6e5cca872p-6, -0x1.def4ee468426p-6, -0x1.d51bae6da19b9p-6, -0x1.cb6ac9beb0bfep-6, -0x1.c1e1e265286bfp-6, -0x1.b8809951405f9p-6, -0x1.af468e4d72341p-6, -0x1.a63360135d623p-6, -0x1.9d46ac60291a1p-6, -0x1.948010085a12p-6, -0x1.8bdf270b26db2p-6, -0x1.83638ca546826p-6, -0x1.7b0cdb632ef05p-6, -0x1.72daad32e1fd7p-6, -0x1.6acc9b75341f3p-6, -0x1.62e23f0e86581p-6, -0x1.5b1b307713c9ap-6, -0x1.537707cabc63bp-6, -0x1.4bf55cd85d941p-6, -0x1.4495c730a3db3p-6, -0x1.3d57de347169dp-6, -0x1.363b3922cd1f8p-6, -0x1.2f3f6f265ed4ap-6, -0x1.2864176277892p-6, -0x1.21a8c8ffb2d62p-6, -0x1.1b0d1b3821733p-6, -0x1.1490a5630f1bp-6, -0x1.0e32ff0065ebfp-6, -0x1.07f3bfc391b67p-6, -0x1.01d27f9e18b3ep-6, -0x1.f79dad938043fp-7, -0x1.ebd0bba4b4a12p-7, -0x1.e03d5b3e56429p-7, -0x1.d4e2bef7ea8bep-7, -0x1.c9c01a434f95fp-7, -0x1.bed4a17d65efcp-7, -0x1.b41f89fe117cdp-7, -0x1.a9a00a27754afp-7, -0x1.9f555974a57c3p-7, -0x1.953eb087a0d2bp-7, -0x1.8b5b4936ae04dp-7, -0x1.81aa5e991e418p-7, -0x1.782b2d136b0b2p-7, -0x1.6edcf262c8bd4p-7, -0x1.65beeda8281dap-7, -0x1.5cd05f7291da8p-7, -0x1.541089c915aaep-7, -0x1.4b7eb0341d371p-7, -0x1.431a17c636a15p-7, -0x1.3ae207247a493p-7, -0x1.32d5c68e40ec2p-7, -0x1.2af49fe48f51bp-7, -0x1.233ddeb0f2fb3p-7, -0x1.1bb0d02be9bb2p-7, -0x1.144cc342da8a1p-7, -0x1.0d11089da4f1dp-7, -0x1.05fcf2a3c1b62p-7, -0x1.fe1fab020672cp-8, -0x1.f0920e53b6e16p-8, -0x1.e34fbebeb7827p-8, -0x1.d6576f65849c9p-8, -0x1.c9a7d7115b8a3p-8, -0x1.bd3fb0381353cp-8, -0x1.b11db90110bb5p-8, -0x1.a540b349bdde5p-8, -0x1.99a764a93b1efp-8, -0x1.8e509673b7abcp-8, -0x1.833b15bcd6448p-8, -0x1.7865b359b955dp-8, -0x1.6dcf43e285702p-8, -0x1.63769fb32d595p-8, -0x1.595aa2ebeb15ap-8, -0x1.4f7a2d713b1ecp-8, -0x1.45d422eb205d1p-8, -0x1.3c676ac42d957p-8, -0x1.3332f028072bp-8, -0x1.2a35a2018b5e7p-8, -0x1.216e72f87329fp-8, -0x1.18dc596e9561dp-8, -0x1.107e4f7ce1c61p-8, -0x1.085352efd7816p-8, -0x1.005a6543d6c85p-8, -0x1.f1251741f36f1p-9, -0x1.e1f59dacfd27bp-9, -0x1.d32476ac74f74p-9, -0x1.c4afc25ec66cp-9, -0x1.b695a812d219dp-9, -0x1.a8d4563c7a52ep-9, -0x1.9b6a02693c41fp-9, -0x1.8e54e9339f389p-9, -0x1.81934e371d959p-9, -0x1.75237c02e7cfbp-9, -0x1.6903c40c81385p-9, -0x1.5d327ea1c0ce4p-9, -0x1.51ae0adaeda64p-9, -0x1.4674ce8bfea66p-9, -0x1.3b853635f035bp-9, -0x1.30ddb4f7b4976p-9, -0x1.267cc47e75322p-9, -0x1.1c60e4f646ae9p-9, -0x1.12889cf9c8adep-9, -0x1.08f279828ba84p-9, -0x1.ff3a1bb0d6c9dp-10, -0x1.ed0de701e4e83p-10, -0x1.db5d945da4fa7p-10, -0x1.ca266f6161b37p-10, -0x1.b965cfc0d871ep-10, -0x1.a91919241062dp-10, -0x1.993dbb03f0c2cp-10, -0x1.89d13088612f4p-10, -0x1.7ad1006496b8fp-10, -0x1.6c3abcb461aa2p-10, -0x1.5e0c02d8fd339p-10, -0x1.50427b55d2b6bp-10, -0x1.42dbd9ac7fe9p-10, -0x1.35d5dc39f5511p-10, -0x1.292e4c1280eb1p-10, -0x1.1ce2fcde5fe8bp-10, -0x1.10f1ccb6a061bp-10, -0x1.0558a4012c886p-10, -0x1.f42aea9a5cf3ep-11, -0x1.de4c7a5fbc02bp-11, -0x1.c91204427f6dcp-11, -0x1.b477a8b0baef6p-11, -0x1.a0799b5292a95p-11, -0x1.8d1422c0ef586p-11, -0x1.7a4398422a279p-11, -0x1.68046782d90afp-11, -0x1.56530e518a14ap-11, -0x1.452c1c59d5ad4p-11, -0x1.348c32dfa4d0ep-11, -0x1.2470047b11c54p-11, -0x1.14d454d45e33cp-11, -0x1.05b5f860bef68p-11, -0x1.ee23a8401e4e3p-12, -0x1.d1c9bab4cd296p-12, -0x1.b65832ba29416p-12, -0x1.9bc93a75c18d5p-12, -0x1.82171b1248a4dp-12, -0x1.693c3c42d5b9dp-12, -0x1.513323c05e969p-12, -0x1.39f674cd46f4p-12, -0x1.2380efb70478cp-12, -0x1.0dcd7159b9c4dp-12, -0x1.f1ade54968f28p-13, -0x1.c9311042b5fd6p-13, -0x1.a21ac2f533805p-13, -0x1.7c61920c74c71p-13, -0x1.57fc4698d3923p-13, -0x1.34e1dd28fda33p-13, -0x1.130984e23250cp-13, -0x1.e4d53d335d7dep-14, -0x1.a5f977eb26718p-14, -0x1.696f3d17d7c0fp-14, -0x1.2f266e0ce27acp-14, -0x1.ee1e911b94402p-15, -0x1.8234ca3c28d4ap-15, -0x1.1a716ab469eebp-15, -0x1.6d6e094cd56e3p-16, -0x1.5ba3578994a87p-17, 0x1.454ed60feed6ep-21, 0x1.757a8df70fdfcp-17, 0x1.641c69af29ccp-16, 0x1.033e2291491p-15, 0x1.510803cd78f6ep-15, 0x1.9b84d694f9fep-15, 0x1.e2cd02cf5861bp-15, 0x1.137c2e9b0b894p-14, 0x1.340f15145dcf4p-14, 0x1.532a9043ea347p-14, 0x1.70d9b63bcb628p-14, 0x1.8d2759104b85p-14, 0x1.a81e0831e90cp-14, 0x1.c1c811c3f1bcp-14, 0x1.da2f83eb256e7p-14, 0x1.f15e2e1a0571dp-14, 0x1.03aed12a53822p-13, 0x1.0e1b9b387c21p-13, 0x1.17fa02a907885p-13, 0x1.214e7810446acp-13, 0x1.2a1d4fbcf42b3p-13, 0x1.326ac25061615p-13, 0x1.3a3aed5036b13p-13, 0x1.4191d3b96125dp-13, 0x1.48735e8dec51bp-13, 0x1.4ee35d61354b7p-13, 0x1.54e586e463057p-13, 0x1.5a7d796c1441bp-13, 0x1.5faebb78042p-13, 0x1.647cbc354f454p-13, 0x1.68ead3ff0a787p-13, 0x1.6cfc44dd5a706p-13, 0x1.70b43b02774ebp-13, 0x1.7415cd4479befp-13, 0x1.7723fd9642674p-13, 0x1.79e1b97df68cfp-13, 0x1.7c51da8801e9dp-13, 0x1.7e7726b905c8cp-13, 0x1.805450fc90e0cp-13, 0x1.81ebf99560ccdp-13, 0x1.8340ae87307f2p-13, 0x1.8454ec016ffd9p-13, 0x1.852b1cc68c1d3p-13, 0x1.85c59a91f762fp-13, 0x1.8626ae7b6a6c5p-13, 0x1.86509159273d9p-13, 0x1.86456c2045f62p-13, 0x1.86075842cbddep-13, 0x1.8598600c9be9bp-13, 0x1.84fa7efdf8d99p-13, 0x1.842fa22446c8bp-13, 0x1.8339a870a9198p-13, 0x1.821a630dab62fp-13, 0x1.80d395b33103ep-13, 0x1.7f66f6f8aa75p-13, 0x1.7dd630a5d3e83p-13, 0x1.7c22e00142c17p-13, 0x1.7a4e961d1eb01p-13, 0x1.785ad8233d28p-13, 0x1.76491f9ec826cp-13, 0x1.741adac5874bbp-13, 0x1.71d16cbe92e97p-13, 0x1.6f6e2de83a9f9p-13, 0x1.6cf26c1c67bfap-13, 0x1.6a5f6af30ae48p-13, 0x1.67b66403462e1p-13, 0x1.64f8872350875p-13, 0x1.6226faa7c9b4fp-13, 0x1.5f42dba0a9004p-13, 0x1.5c4d3e152de16p-13, 0x1.59472d3f5c782p-13, 0x1.5631abc4a3232p-13, 0x1.530db3ee72944p-13, 0x1.4fdc37e0308dfp-13, 0x1.4c9e21ceb60a7p-13, 0x1.49545433bedc2p-13, 0x1.45ffaa01d5999p-13, 0x1.42a0f6d746f14p-13, 0x1.3f39072e6b241p-13, 0x1.3bc8a08de7657p-13, 0x1.385081b82adf4p-13, 0x1.34d162d93342cp-13, 0x1.314bf5b32acfep-13, 0x1.2dc0e5cb2897p-13, 0x1.2a30d8939625cp-13, 0x1.269c6d9672f9cp-13, 0x1.23043e9e5cb2bp-13, 0x1.1f68dfdeaa608p-13, 0x1.1bcae01a1dbb8p-13, 0x1.182ac8c98424bp-13, 0x1.14891e410a636p-13, 0x1.10e65fd48facdp-13, 0x1.0d4307fc35ecbp-13, 0x1.099f8c7641p-13, 0x1.05fc5e69277a6p-13, 0x1.0259ea855e103p-13, 0x1.fd713249706abp-14, 0x1.f6319cd5daf02p-14, 0x1.eef5d4c82e48cp-14, 0x1.e7be92464b98cp-14, 0x1.e08c85beac382p-14, 0x1.d96058203bb9fp-14, 0x1.d23aab1463ffdp-14, 0x1.cb1c1934491eap-14, 0x1.c405363ed807dp-14, 0x1.bcf68f4bfb9cfp-14, 0x1.b5f0ab0024a1bp-14, 0x1.aef409bda6d58p-14, 0x1.a80125d4fed41p-14, 0x1.a11873b3b628bp-14, 0x1.9a3a6212626a9p-14, 0x1.93675a20d8cd5p-14, 0x1.8c9fbfb26d0bp-14, 0x1.85e3f1682aeep-14, 0x1.7f3448da489e4p-14, 0x1.78911ac063cd8p-14, 0x1.71fab7199dec6p-14, 0x1.6b71695228a5fp-14, 0x1.64f578689e7ap-14, 0x1.5e872712af4d2p-14, 0x1.5826b3e06539fp-14, 0x1.51d4595ea816ap-14, 0x1.4b904e3917a4ep-14, 0x1.455ac55abb9e2p-14, 0x1.3f33ee0da6412p-14, 0x1.391bf41a4e469p-14, 0x1.3312ffe561bdap-14, 0x1.2d19368d8bf08p-14, 0x1.272eba07f9ba3p-14, 0x1.2153a93be0effp-14, 0x1.1b88201e25284p-14, 0x1.15cc37cb303cep-14, 0x1.102006a0fd99fp-14, 0x1.0a83a0581ba8cp-14, 0x1.04f7161bb3e87p-14, 0x1.fef4ed4224ceep-15, 0x1.f41b9c7e2527cp-15, 0x1.e9624e074c64bp-15, 0x1.dec91194dd61fp-15, 0x1.d44ff2a218f03p-15, 0x1.c9f6f898b470cp-15, 0x1.bfbe26f7d349bp-15, 0x1.b5a57d7a8f391p-15, 0x1.abacf83dd6997p-15, 0x1.a1d48fe5bcb29p-15, 0x1.981c39bfc4241p-15, 0x1.8e83e7e603a5cp-15, 0x1.850b896018baep-15, 0x1.7bb30a44d730bp-15, 0x1.727a53d88981dp-15, 0x1.69614cac3f15ap-15, 0x1.6067d8bb8c605p-15, 0x1.578dd9893e99dp-15, 0x1.4ed32e3b38006p-15, 0x1.4637b3b623c1p-15, 0x1.3dbb44b763e9dp-15, 0x1.355db9ee39eb9p-15, 0x1.2d1eea15246ecp-15, 0x1.24feaa09abcb7p-15, 0x1.1cfccce3f5f0fp-15, 0x1.1519240ce4afp-15, 0x1.0d537f54ccc1dp-15, 0x1.05abad073e079p-15, 0x1.fc42f401120c3p-16, 0x1.ed69638295eabp-16, 0x1.deca3d040aa19p-16, 0x1.d065128a9af76p-16, 0x1.c23973d44d19p-16, 0x1.b446ee7b4de7p-16, 0x1.a68d0e166a3e8p-16, 0x1.990b5c5aa2b95p-16, 0x1.8bc1613abb7f3p-16, 0x1.7eaea30633545p-16, 0x1.71d2a68558c8ep-16, 0x1.652cef175cdb3p-16, 0x1.58bcfecd22743p-16, 0x1.4c825683676fbp-16, 0x1.407c75fe9f6e2p-16, 0x1.34aadc01ab999p-16, 0x1.290d066666117p-16, 0x1.1da272354eae5p-16, 0x1.126a9bbb3dedap-16, 0x1.0764fe9fc1329p-16, 0x1.f9222bf1c7684p-17, 0x1.e3dcb8be903ddp-17, 0x1.cef89805d5a91p-17, 0x1.ba74bd7879b89p-17, 0x1.a6501c3c8759fp-17, 0x1.9289a71072d7fp-17, }}, 
      {{0x1.4b0d943b07978p-8, 0x1.4ba1822c11837p-7, 0x1.f2df2b2be2585p-7, 0x1.4de2be02f137cp-6, 0x1.a366b3a793a81p-6, 0x1.fa304e881ca74p-6, 0x1.2935fbfd02a81p-5, 0x1.561ea01ce03cdp-5, 0x1.83df6442fdc52p-5, 0x1.b28139712b1a9p-5, 0x1.e208e407d200dp-5, 0x1.093ba1240ad1ep-4, 0x1.21e4cfc08c081p-4, 0x1.3afd0719fb34p-4, 0x1.547fe26465a34p-4, 0x1.6e67bcd5d363bp-4, 0x1.88adde5849d54p-4, 0x1.a34aa632cf995p-4, 0x1.be35b342b2656p-4, 0x1.d966098bcf8bfp-4, 0x1.f4d235029a324p-4, 0x1.083834c1c550dp-3, 0x1.161b4ffb0282dp-3, 0x1.240d5850267a7p-3, 0x1.3209355c0c24fp-3, 0x1.4009d4a0b6202p-3, 0x1.4e0a32a990359p-3, 0x1.5c0562ef3b208p-3, 0x1.69f6968e0d25bp-3, 0x1.77d921e30a1eap-3, 0x1.85a88124a330cp-3, 0x1.93605c0e14116p-3, 0x1.a0fc88b4b4263p-3, 0x1.ae790d9eca1afp-3, 0x1.bbd22332f3ap-3, 0x1.c9043496563abp-3, 0x1.d60be00e924b5p-3, 0x1.e2e5f6fae759bp-3, 0x1.ef8f7d7643909p-3, 0x1.fc05a9b21ff55p-3, 0x1.0422f18c1efffp-2, 0x1.0a26e09fbd08p-2, 0x1.100d855f188aep-2, 0x1.15d5d9f187014p-2, 0x1.1b7eeeadc7daep-2, 0x1.2107e967263bep-2, 0x1.267004b6dd451p-2, 0x1.2bb68f43a07eap-2, 0x1.30daeb08b72fep-2, 0x1.35dc8c9dc2cd1p-2, 0x1.3abafa7ff34f7p-2, 0x1.3f75cc5d37877p-2, 0x1.440caa61bba62p-2, 0x1.487f4c87f4724p-2, 0x1.4ccd79eb4e787p-2, 0x1.50f7081d8d15ap-2, 0x1.54fbda7ed9cd8p-2, 0x1.58dbe1987e33cp-2, 0x1.5c971a7a3ebcfp-2, 0x1.602d8e1a58378p-2, 0x1.639f50b81641ap-2, 0x1.66ec81410bf71p-2, 0x1.6a1548b8f6518p-2, 0x1.6d19d9a4556d6p-2, 0x1.6ffa6f75d6a57p-2, 0x1.72b74dfea26ebp-2, 0x1.7550c0e1b1949p-2, 0x1.77c71b0a47bd7p-2, 0x1.7a1ab625b9eb3p-2, 0x1.7c4bf220a5085p-2, 0x1.7e5b34a7b7408p-2, 0x1.8048e8ac39001p-2, 0x1.82157dec73836p-2, 0x1.83c1688016d3p-2, 0x1.854d2068c48eap-2, 0x1.86b92126d5853p-2, 0x1.8805e95274ecap-2, 0x1.8933fa3924954p-2, 0x1.8a43d77fbb3d8p-2, 0x1.8b3606c8e8e83p-2, 0x1.8c0b0f6042146p-2, 0x1.8cc379e9d9c37p-2, 0x1.8d5fd01667a81p-2, 0x1.8de09c5bed4dcp-2, 0x1.8e4669b2d32eap-2, 0x1.8e91c3576d018p-2, 0x1.8ec3348fd1e63p-2, 0x1.8edb4875ed9bbp-2, 0x1.8eda89c5b6f69p-2, 0x1.8ec182af65c3ap-2, 0x1.8e90bcad8e255p-2, 0x1.8e48c05efd5a3p-2, 0x1.8dea15642f06dp-2, 0x1.8d7542403c38bp-2, 0x1.8ceacc3d16661p-2, 0x1.8c4b3752e825dp-2, 0x1.8b97061272b9cp-2, 0x1.8aceb9923c7p-2, 0x1.89f2d15e6a791p-2, 0x1.8903cb6b15611p-2, 0x1.88022408f4fdbp-2, 0x1.86ee55dc36f37p-2, 0x1.85c8d9d5583e4p-2, 0x1.8492272bdb08fp-2, 0x1.834ab35aaf7c1p-2, 0x1.81f2f21e2d364p-2, 0x1.808b557379ce8p-2, 0x1.7f144d993297cp-2, 0x1.7d8e491140949p-2, 0x1.7bf9b4a3b28acp-2, 0x1.7a56fb627edd8p-2, 0x1.78a686ae1027cp-2, 0x1.76e8be3a8151cp-2, 0x1.751e081571d33p-2, 0x1.7346c8ac566bbp-2, 0x1.716362d32f742p-2, 0x1.6f7437cb96b4ep-2, 0x1.6d79a74c074a8p-2, 0x1.6b740f875509bp-2, 0x1.6963cd344079bp-2, 0x1.67493b9518e1cp-2, 0x1.6524b47f5d047p-2, 0x1.62f69063529f1p-2, 0x1.60bf26538233ap-2, 0x1.5e7ecc0c178e1p-2, 0x1.5c35d5fa156ddp-2, 0x1.59e49742585d2p-2, 0x1.578b61c8621fp-2, 0x1.552a8634ebef6p-2, 0x1.52c253fc30a37p-2, 0x1.50531963f8c66p-2, 0x1.4ddd2389594ep-2, 0x1.4b60be662bf1bp-2, 0x1.48de34d63937bp-2, 0x1.4655d09c19f11p-2, 0x1.43c7da65c6e8ap-2, 0x1.413499d0e1516p-2, 0x1.3e9c556eab9acp-2, 0x1.3bff52c7bd37dp-2, 0x1.395dd65f66cc5p-2, 0x1.36b823b6d622ep-2, 0x1.340e7d4ff0405p-2, 0x1.316124afeec5fp-2, 0x1.2eb05a61b8469p-2, 0x1.2bfc5df800509p-2, 0x1.29456e0f2ba74p-2, 0x1.268bc84effb5ep-2, 0x1.23cfa96c1efdap-2, 0x1.21114d2952f0ap-2, 0x1.1e50ee58af18p-2, 0x1.1b8ec6dc83d9ep-2, 0x1.18cb0fa833c77p-2, 0x1.160600c0df938p-2, 0x1.133fd13dfa49ap-2, 0x1.1078b749b9e4cp-2, 0x1.0db0e82178115p-2, 0x1.0ae89815f81bp-2, 0x1.081ffa8b9d75dp-2, 0x1.055741fa92e29p-2, 0x1.028e9feee5431p-2, 0x1.ff8c8a112d067p-3, 0x1.f9fcc1f7504ecp-3, 0x1.f46e4520466dep-3, 0x1.eee16f443b06ap-3, 0x1.e9569a4386aa1p-3, 0x1.e3ce1e26ba46cp-3, 0x1.de48511ec6bdbp-3, 0x1.d8c5878520f3p-3, 0x1.d34613dc074afp-3, 0x1.cdca46cece308p-3, 0x1.c8526f324fcb7p-3, 0x1.c2deda057375ep-3, 0x1.bd6fd271cdd34p-3, 0x1.b805a1cc6a3e3p-3, 0x1.b2a08f96adb93p-3, 0x1.ad40e17f63369p-3, 0x1.a7e6db63edb2dp-3, 0x1.a292bf519d7ebp-3, 0x1.9d44cd8734278p-3, 0x1.97fd44768d511p-3, 0x1.92bc60c6738a9p-3, 0x1.8d825d549f5c1p-3, 0x1.884f7337e6b55p-3, 0x1.8323d9c2906c2p-3, 0x1.7dffc684dba13p-3, 0x1.78e36d4faf9abp-3, 0x1.73cf003775d7bp-3, 0x1.6ec2af972646cp-3, 0x1.69beaa13778d1p-3, 0x1.64c31c9e41709p-3, 0x1.5fd0327a0271ap-3, 0x1.5ae6153d9402ep-3, 0x1.5604ecd805754p-3, 0x1.512cdf94a3cp-3, 0x1.4c5e121f1c8dap-3, 0x1.4798a787d44ccp-3, 0x1.42dcc14856a4dp-3, 0x1.3e2a7f47f4a7dp-3, 0x1.3981ffe079e31p-3, 0x1.34e35fe30904ep-3, 0x1.304eba9d1adp-3, 0x1.2bc429dd930dp-3, 0x1.2743c5f9fa6d3p-3, 0x1.22cda5d3cca8p-3, 0x1.1e61dedde8e78p-3, 0x1.1a0085220f658p-3, 0x1.15a9ab468238cp-3, 0x1.115d6293b5158p-3, 0x1.0d1bbafa0dc5p-3, 0x1.08e4c317bfe15p-3, 0x1.04b8883eb31f4p-3, 0x1.0097167a7a4fp-3, 0x1.f900f12cb463p-4, 0x1.f0e97046b234dp-4, 0x1.e8e7bafcc0516p-4, 0x1.e0fbdfacbc84dp-4, 0x1.d925ea64f4083p-4, 0x1.d165e4f0902c3p-4, 0x1.c9bbd6e404c6bp-4, 0x1.c227c5a99c87ap-4, 0x1.baa9b48df73bbp-4, 0x1.b341a4cc8d55ap-4, 0x1.abef959c46d1fp-4, 0x1.a4b3843bf431fp-4, 0x1.9d8d6bfedad13p-4, 0x1.967d46592eefp-4, 0x1.8f830aec86279p-4, 0x1.889eaf94425c2p-4, 0x1.81d02871edd4dp-4, 0x1.7b1767f986d83p-4, 0x1.74745efdbdb8p-4, 0x1.6de6fcbc1c589p-4, 0x1.676f2ee91bf3ep-4, 0x1.610ce1bc22efcp-4, 0x1.5abffffb6a6cep-4, 0x1.54887307cc436p-4, 0x1.4e6622e8728fdp-4, 0x1.4858f6566d63fp-4, 0x1.4260d2c829543p-4, 0x1.3c7d9c7cc65aep-4, 0x1.36af36874f104p-4, 0x1.30f582d9cdef7p-4, 0x1.2b5062503eb78p-4, 0x1.25bfb4bb5e8ccp-4, 0x1.204358eb53fe3p-4, 0x1.1adb2cba33db2p-4, 0x1.15870d165f28ap-4, 0x1.1046d60cb791cp-4, 0x1.0b1a62d2af6dep-4, 0x1.06018dd02e7fbp-4, 0x1.00fc30a94de44p-4, 0x1.f814488fd5afp-5, 0x1.ee5681ca1e7fdp-5, 0x1.e4bebc245de72p-5, 0x1.db4ca584736c7p-5, 0x1.d1ffeaa504ef8p-5, 0x1.c8d83726f63d2p-5, 0x1.bfd535a28691cp-5, 0x1.b6f68fb818f68p-5, 0x1.ae3bee209fbb6p-5, 0x1.a5a4f8bdb6508p-5, 0x1.9d3156a95b12p-5, 0x1.94e0ae4554a27p-5, 0x1.8cb2a54a3d32cp-5, 0x1.84a6e0d6357a4p-5, 0x1.7cbd057b4012dp-5, 0x1.74f4b74d42682p-5, 0x1.6d4d99efb1904p-5, 0x1.65c750a2e34f1p-5, 0x1.5e617e510e2d4p-5, 0x1.571bc59aeb43fp-5, 0x1.4ff5c8e409927p-5, 0x1.48ef2a5ec903bp-5, 0x1.42078c17ff9a4p-5, 0x1.3b3e90024bed9p-5, 0x1.3493d80116602p-5, 0x1.2e0705f33e99p-5, 0x1.2797bbbd7599fp-5, 0x1.21459b544b7c3p-5, 0x1.1b1046c5e8617p-5, 0x1.14f760437ceaap-5, 0x1.0efa8a2a5f4b2p-5, 0x1.0919670cde791p-5, 0x1.035399bac8a9dp-5, 0x1.fb518a9351f37p-6, 0x1.f0311a396ea3ep-6, 0x1.e54529d90c511p-6, 0x1.da8d019cc666p-6, 0x1.d007ea76e8618p-6, 0x1.c5b52e2f17de2p-6, 0x1.bb94176f86f98p-6, 0x1.b1a3f1d18b379p-6, 0x1.a7e409e9bee21p-6, 0x1.9e53ad539ed11p-6, 0x1.94f22abca8d57p-6, 0x1.8bbed1eefc2d5p-6, 0x1.82b8f3db8474ep-6, 0x1.79dfe2a3acf66p-6, 0x1.7132f1a296b89p-6, 0x1.68b17575e7d06p-6, 0x1.605ac406225d9p-6, 0x1.582e348e9632fp-6, 0x1.502b1fa4db924p-6, 0x1.4850df3fed7fep-6, 0x1.409ecebedbf1fp-6, 0x1.39144aef1a129p-6, 0x1.31b0b21267e15p-6, 0x1.2a7363e46276fp-6, 0x1.235bc19fafa8p-6, 0x1.1c692e02d3ce6p-6, 0x1.159b0d54ae33ep-6, 0x1.0ef0c5689fa4p-6, 0x1.0869bda26010bp-6, 0x1.02055ef97754p-6, 0x1.f78627f8ed3adp-7, 0x1.eb4491a7ab5ebp-7, 0x1.df44d68920292p-7, 0x1.d385d564ef7afp-7, 0x1.c80670446d62fp-7, 0x1.bcc58c7637f25p-7, 0x1.b1c2129130a07p-7, 0x1.a6faee76fe0e5p-7, 0x1.9c6f0f561d32bp-7, 0x1.921d67ab64617p-7, 0x1.8804ed4320fdbp-7, 0x1.7e249939b7eb1p-7, 0x1.747b67fbdc70bp-7, 0x1.6b08594666007p-7, 0x1.61ca7025b5678p-7, 0x1.58c0b2f4bbb37p-7, 0x1.4fea2b5b9a59cp-7, 0x1.4745e64df0c39p-7, 0x1.3ed2f408d2067p-7, 0x1.3690681058614p-7, 0x1.2e7d592cffde1p-7, 0x1.2698e1689a5a3p-7, 0x1.1ee21e0afb5bdp-7, 0x1.17582f966b9c4p-7, 0x1.0ffa39c3c333cp-7, 0x1.08c7637e540f8p-7, 0x1.01bed6df87901p-7, 0x1.f5bf82549101fp-8, 0x1.e852a58c4f151p-8, 0x1.db357e74a0b3p-8, 0x1.ce667a5099e9bp-8, 0x1.c1e40c8d29715p-8, 0x1.b5acaeb5c382fp-8, 0x1.a9bee068e85fp-8, 0x1.9e19274c086bap-8, 0x1.92ba0eff513d1p-8, 0x1.87a029112b3ecp-8, 0x1.7cca0cf1467cfp-8, 0x1.723657e39d042p-8, 0x1.67e3acf303d18p-8, 0x1.5dd0b4e3a53e6p-8, 0x1.53fc1e25242a9p-8, 0x1.4a649cc4aa515p-8, 0x1.4108ea5ea97fap-8, 0x1.37e7c61092a7ep-8, 0x1.2efff46a47b74p-8, 0x1.26503f5f796f4p-8, 0x1.1dd77638d12cap-8, 0x1.15946d850d738p-8, 0x1.0d85ff0a01357p-8, 0x1.05ab09b57270cp-8, 0x1.fc04e31bcfd9ap-9, 0x1.ed163f46dfd8bp-9, 0x1.de88040067db4p-9, 0x1.d058173253616p-9, 0x1.c284687d43cc9p-9, 0x1.b50af1199bba7p-9, 0x1.a7e9b3b88e4ffp-9, 0x1.9b1ebc651fe1bp-9, 0x1.8ea820653ff18p-9, 0x1.8283fe1aa26e8p-9, 0x1.76b07ce3df54p-9, 0x1.6b2bccfd7501ep-9, 0x1.5ff42762f04d2p-9, 0x1.5507cdb02062ap-9, 0x1.4a650a024cea7p-9, 0x1.400a2ed9a235fp-9, 0x1.35f596fa892a1p-9, 0x1.2c25a54f647e7p-9, 0x1.2298c4ca28d45p-9, 0x1.194d68463a0c2p-9, 0x1.10420a6a6e52fp-9, 0x1.07752d8b38974p-9, 0x1.fdcab71a1333dp-10, 0x1.ed224b8d68bd5p-10, 0x1.dcee49c88789ep-10, 0x1.cd2bf1936eb57p-10, 0x1.bdd890ec86b55p-10, 0x1.aef183ceeb493p-10, 0x1.a07433f9dfc93p-10, 0x1.925e18b7f1432p-10, 0x1.84acb6a73692p-10, 0x1.775d9f817d525p-10, 0x1.6a6e71e566a68p-10, 0x1.5ddcd91fc669dp-10, 0x1.51a68cf56216p-10, 0x1.45c9516dbba0cp-10, 0x1.3a42f69da76d2p-10, 0x1.2f115872fcd7fp-10, 0x1.24325e80a8b7bp-10, 0x1.19a3fbcb0fcc9p-10, 0x1.0f642e9530983p-10, 0x1.0571002e79937p-10, 0x1.f791098174d42p-11, 0x1.e4d1b63e94fep-11, 0x1.d2a0592c1bc71p-11, 0x1.c0f9597337531p-11, 0x1.afd9326f4037ap-11, 0x1.9f3c734ffd67ap-11, 0x1.8f1fbebcb8dcep-11, 0x1.7f7fca78fab1ap-11, 0x1.70595f0a19ec4p-11, 0x1.61a9575dde6fdp-11, 0x1.536ca072c3f4ep-11, 0x1.45a03900e8257p-11, 0x1.384131243a0ep-11, 0x1.2b4caa082b103p-11, 0x1.1ebfd5940d001p-11, 0x1.1297f6191fb26p-11, 0x1.06d25e0141934p-11, 0x1.f6d8defe56dadp-12, 0x1.e0c7387f70c42p-12, 0x1.cb6aca3871e19p-12, 0x1.b6beb39c05a78p-12, 0x1.a2be314606bacp-12, 0x1.8f649c6740e84p-12, 0x1.7cad6a3362028p-12, 0x1.6a942b50cc2dcp-12, 0x1.59148b4b871d3p-12, 0x1.482a500957d86p-12, 0x1.37d15940387dcp-12, 0x1.28059feffa378p-12, 0x1.18c335dc9caefp-12, 0x1.0a06450c1ae8ap-12, 0x1.f7961e8ab9b89p-13, 0x1.dc1bdb23fef5p-13, 0x1.c1969f8314c91p-13, 0x1.a7ff77dfa0922p-13, 0x1.8f4f9c17de44bp-13, 0x1.77806ec4a6f06p-13, 0x1.608b7c50df298p-13, 0x1.4a6a7a14d0d9fp-13, 0x1.35174575b4062p-13, 0x1.208be3096206bp-13, 0x1.0cc27dbd9a15bp-13, 0x1.f36acc05544f6p-14, 0x1.cebe21f5f957p-14, 0x1.ab742f594663cp-14, 0x1.89826c7263361p-14, 0x1.68de962ca3775p-14, 0x1.497eac981d2d5p-14, 0x1.2b58f16b975e9p-14, 0x1.0e63e68d925e3p-14, 0x1.e52c994b32936p-15, 0x1.afce4367bf455p-15, 0x1.7c9b3f5a66aa6p-15, 0x1.4b827643ad3b6p-15, 0x1.1c7343cddcaep-15, 0x1.debae7270ba73p-16, 0x1.88627d1c8c28ap-16, 0x1.35be9128a4fe9p-16, 0x1.cd62778c2548ap-17, 0x1.363ac2c96abedp-17, 0x1.4b9ab6d36d93fp-18, 0x1.be31df92a5e15p-21, -0x1.9ee673745c1e5p-19, -0x1.ca7a1283dab58p-18, -0x1.5cd9f0f2a349p-17, -0x1.cec1bbcb32063p-17, -0x1.1d923c124ae2ep-16, -0x1.5118718da3b23p-16, -0x1.820a38436d5a2p-16, -0x1.b07da9795a2f4p-16, -0x1.dc8841a506093p-16, -0x1.031f721add815p-15, -0x1.16daefa57441ap-15, -0x1.298077a7819a3p-15, -0x1.3b19a1447b273p-15, -0x1.4bafbe49bd23cp-15, -0x1.5b4bdce3991fbp-15, -0x1.69f6c945ccd9p-15, -0x1.77b90f4d1b9a6p-15, -0x1.849afc1631721p-15, -0x1.90a49f8fb6399p-15, -0x1.9bddcdfecb7a2p-15, -0x1.a64e217fac9a9p-15, -0x1.affcfb794781fp-15, -0x1.b8f1860bf7595p-15, -0x1.c132b57754857p-15, -0x1.c8c749782d198p-15, -0x1.cfb5ce9e028e3p-15, -0x1.d6049f9bf5412p-15, -0x1.dbb9e68d906f9p-15, -0x1.e0db9e364d4f3p-15, -0x1.e56f933b15861p-15, -0x1.e97b655471415p-15, -0x1.ed0488791fb4cp-15, -0x1.f0104600ea738p-15, -0x1.f2a3bdc311157p-15, -0x1.f4c3e72bc564cp-15, -0x1.f675924d64978p-15, -0x1.f7bd68e9e658p-15, -0x1.f89fef777ae51p-15, -0x1.f921861f1e1eap-15, -0x1.f94669b27d65dp-15, -0x1.f912b49f9bf1ep-15, -0x1.f88a5fdc46fep-15, -0x1.f7b143ce410cbp-15, -0x1.f68b192c17b65p-15, -0x1.f51b79d9a1f9bp-15, -0x1.f365e1be5c6abp-15, -0x1.f16daf97d6bb8p-15, -0x1.ef3625c597bcap-15, -0x1.ecc26b112fe64p-15, -0x1.ea158b7257799p-15, -0x1.e73278cc8541p-15, -0x1.e41c0ba8b9fb4p-15, -0x1.e0d503e9d74bdp-15, -0x1.dd60097eb5d95p-15, -0x1.d9bfad0dc3e67p-15, -0x1.d5f6689d151b5p-15, -0x1.d206a0371705fp-15, -0x1.cdf2a28ae51bap-15, -0x1.c9bca986c641p-15, -0x1.c566daf1d1c94p-15, -0x1.c0f348ff264e3p-15, -0x1.bc63f2df6b239p-15, -0x1.b7bac54d09fe7p-15, -0x1.b2f99b1644406p-15, -0x1.ae223da3210cdp-15, -0x1.a93665778fac6p-15, -0x1.a437bab283adcp-15, -0x1.9f27d589fa31ap-15, -0x1.9a083ec41ad24p-15, -0x1.94da702caa64p-15, -0x1.8f9fd50845e52p-15, -0x1.8a59ca83682b8p-15, -0x1.8509a01f8c6c3p-15, -0x1.7fb0981c2e98bp-15, -0x1.7a4fe7df4ac13p-15, -0x1.74e8b858d0779p-15, -0x1.6f7c2665316bp-15, -0x1.6a0b432c6ee53p-15, -0x1.6497147ec54fbp-15, -0x1.5f20952eb7c9cp-15, -0x1.59a8b568bbefbp-15, -0x1.54305b0930f6ep-15, -0x1.4eb861ef7d34bp-15, -0x1.49419c4f49f0bp-15, -0x1.43ccd2fee5fe3p-15, -0x1.3e5ac5c436513p-15, -0x1.38ec2b9e7ecffp-15, -0x1.3381b30fd2263p-15, -0x1.2e1c02632f515p-15, -0x1.28bbb7f102a4ap-15, -0x1.23616a6273d68p-15, -0x1.1e0da8f1c6a79p-15, -0x1.18c0fba9cb39dp-15, -0x1.137be3a2a34cap-15, -0x1.0e3edb3d77d0bp-15, -0x1.090a565ed32a5p-15, -0x1.03dec2a686643p-15, -0x1.fd790f4e29ed7p-16, -0x1.f3480e33fe904p-16, -0x1.e92b3a27fef6bp-16, -0x1.df23406d99b87p-16, -0x1.d530c3c473201p-16, -0x1.cb545cc633cd8p-16, -0x1.c18e9a43603p-16, -0x1.b7e0019c66d3cp-16, -0x1.ae490f18dbcp-16, -0x1.a4ca363aa070fp-16, -0x1.9b63e2108b8ddp-16, -0x1.921675846c64ep-16, -0x1.88e24ba9762ap-16, -0x1.7fc7b8066054cp-16, -0x1.76c706ddbbfcdp-16, -0x1.6de07d7502ca8p-16, -0x1.65145a57fe986p-16, -0x1.5c62d59b9a7bbp-16, -0x1.53cc211d2163p-16, -0x1.4b5068c177a9fp-16, -0x1.42efd2b0d38fp-16, -0x1.3aaa7f918a083p-16, -0x1.32808ac12b3f8p-16, -0x1.2a720a8ac0cb2p-16, -0x1.227f105c8ff4cp-16, -0x1.1aa7a8fb45cbdp-16, -0x1.12ebdcb46ce97p-16, -0x1.0b4baf8e2ebaep-16, -0x1.03c72177088c3p-16, -0x1.f8bc5ce585772p-17, -0x1.ea219d8d74884p-17, -0x1.dbbdee48c8a45p-17, -0x1.cd9131a4dbc0bp-17, -0x1.bf9b43a915a59p-17, -0x1.b1dbfa240e97fp-17, -0x1.a45324f67e858p-17, -0x1.97008e5b47707p-17, -0x1.89e3fb2e2a4dcp-17, -0x1.7cfd2b2e952b2p-17, -0x1.704bd9411a56fp-17, -0x1.63cfbbaedf467p-17, -0x1.57888461c1d9fp-17, -0x1.4b75e1202e82bp-17, -0x1.3f977bc5bceaap-17, -0x1.33ecfa7a4d8d6p-17, -0x1.2875ffe76b962p-17, -0x1.1d322b6b3ddb6p-17, -0x1.1221194b00186p-17, -0x1.074262e13aedp-17, -0x1.f92b3d9a1df81p-18, -0x1.e434c23bc9f47p-18, -0x1.cfa076fce0732p-18, -0x1.bb6d7abe0684dp-18, -0x1.a79ae83912b46p-18, -0x1.9427d64e5c5dcp-18, -0x1.8113584f23f5dp-18, -0x1.6e5c7e443c60fp-18, -0x1.5c02553397841p-18, -0x1.4a03e7604ba01p-18, -0x1.38603c8c22f8dp-18, -0x1.27165a34a7f96p-18, -0x1.162543ce0dfdfp-18, -0x1.058bfafae6ad8p-18, -0x1.ea92ff86914ebp-19, -0x1.cab9a19184ebfp-19, -0x1.ab89d6f0826f9p-19, -0x1.8d0198735bc46p-19, -0x1.6f1edd3de0a1ep-19, -0x1.51df9b21a8eb4p-19, -0x1.3541c6f13146cp-19, -0x1.194354d25b7c1p-19, -0x1.fbc471164bca3p-20, -0x1.c638cb9ddcc03p-20, -0x1.91dfa10713b66p-20, -0x1.5eb4da0ad9497p-20, -0x1.2cb460d54955ep-20, -0x1.f7b443000d038p-21, -0x1.9844151a7b6cep-21, -0x1.3b101aac28e81p-21, -0x1.c02079ea1368dp-22, -0x1.0e78d9113e4a4p-22, -0x1.846510bbf12ddp-24, 0x1.203906db13209p-24, 0x1.da1b44ea3d871p-23, 0x1.8df4b38378afep-22, 0x1.15699a57244d1p-21, 0x1.61dc677232d0fp-21, 0x1.ac5a898c5b72ep-21, 0x1.f4ebbc9d8bc43p-21, 0x1.1dcbd7c8acf61p-20, 0x1.403301ec5bc46p-20, 0x1.61af26776c17cp-20, 0x1.824407f97ef9bp-20, 0x1.a1f5619dee6c7p-20, 0x1.c0c6e7006da15p-20, 0x1.debc43fb734e8p-20, 0x1.fbd91c84349dfp-20, 0x1.0c10864160e04p-19, 0x1.19cbd3d5ce54ap-19, 0x1.27203caeb22aap-19, 0x1.340f82427208dp-19, 0x1.409b61c0df33cp-19, 0x1.4cc5940346f0cp-19, 0x1.588fcd832496ap-19, 0x1.63fbbe4deedd7p-19, 0x1.6f0b11fc12913p-19, 0x1.79bf6fa6f2822p-19, 0x1.841a79e2a86a5p-19, 0x1.8e1dceb5e5a2ap-19, 0x1.97cb079497289p-19, 0x1.a123b95a2a86ap-19, 0x1.aa29744540ca2p-19, 0x1.b2ddc3f4114aep-19, 0x1.bb422f62c1f85p-19, 0x1.c35838e87838dp-19, 0x1.cb215e3563f7dp-19, 0x1.d29f18532ee77p-19, 0x1.d9d2dba2fdc26p-19, 0x1.e0be17dfb718bp-19, 0x1.e762381e0913ep-19, 0x1.edc0a2cf03da3p-19, 0x1.f3dab9c1da0b4p-19, 0x1.f9b1da2616421p-19, 0x1.ff475c8f91a74p-19, 0x1.024e4a7cb1d2bp-18, 0x1.04d9696503964p-18, 0x1.0745b06c57972p-18, 0x1.0993c2b8510edp-18, 0x1.0bc4412bf82f1p-18, 0x1.0dd7ca6a788c2p-18, 0x1.0fcefad9def4bp-18, 0x1.11aa6ca64b26dp-18, 0x1.136ab7c5266cbp-18, 0x1.151071f8f38ecp-18, }}, 
      {{0x1.03bb7afa1a28p-1, 0x1.03dbf0b5e5615p-1, 0x1.041443c574035p-1, 0x1.0467129026a42p-1, 0x1.04d6fec37b3acp-1, 0x1.0566242ffd13ep-1, 0x1.0615b502859d6p-1, 0x1.06e5bcded91ep-1, 0x1.07d5067c1d0c5p-1, 0x1.08e11cf6b8702p-1, 0x1.0a0661a0f806dp-1, 0x1.0b402fbac111dp-1, 0x1.0c89088598658p-1, 0x1.0ddac34e7cf6ap-1, 0x1.0f2ebe17d2ca6p-1, 0x1.107e0c7989bf2p-1, 0x1.11c1a310bf09fp-1, 0x1.12f27e74513bp-1, 0x1.1409c51da93eep-1, 0x1.1500e4115219dp-1, 0x1.15d1a656d285ep-1, 0x1.1676477eeb476p-1, 0x1.16e9819702ad3p-1, 0x1.172696fb59f58p-1, 0x1.17295882db5e1p-1, 0x1.16ee28812870fp-1, 0x1.1671fb183b8dap-1, 0x1.15b2544c11cbbp-1, 0x1.14ad4441aefdp-1, 0x1.1361620882845p-1, 0x1.11cdc54266a21p-1, 0x1.0ff1fef3c91eep-1, 0x1.0dce11bb4e527p-1, 0x1.0b6269a6c6e31p-1, 0x1.08afd3d29da5dp-1, 0x1.05b775f925ed1p-1, 0x1.027ac6105b47dp-1, 0x1.fdf7041d4e63bp-2, 0x1.f6774fd43a322p-2, 0x1.ee7adbc2709dep-2, 0x1.e6067630d795p-2, 0x1.dd1f4129665c2p-2, 0x1.d3caa53169ddfp-2, 0x1.ca0e44cfc994dp-2, 0x1.bfeff0e28692p-2, 0x1.b5759dc3e0d4ap-2, 0x1.aaa5593d2ee03p-2, 0x1.9f85414392cfbp-2, 0x1.941b7b794b889p-2, 0x1.886e2d6d38b3ap-2, 0x1.7c837591421d3p-2, 0x1.706164dfc7b35p-2, 0x1.640df927b30c5p-2, 0x1.578f17f6928fp-2, 0x1.4aea8a17f5125p-2, 0x1.3e25f7a12c159p-2, 0x1.3146e480b5f66p-2, 0x1.2452ad88a07c7p-2, 0x1.174e85eb6a2dap-2, 0x1.0a3f75231d318p-2, 0x1.fa54aa754e3bcp-3, 0x1.e027a2e35fd35p-3, 0x1.c600ca67260acp-3, 0x1.abe8b6b4b9db2p-3, 0x1.91e79b6e385ap-3, 0x1.780549b229152p-3, 0x1.5e49301ba2229p-3, 0x1.44ba5b28be13ep-3, 0x1.2b5f75fca460fp-3, 0x1.123ecb731f595p-3, 0x1.f2bc8ef8acb99p-4, 0x1.c186f16fdb7fap-4, 0x1.90e7248ec935bp-4, 0x1.60e6dba058929p-4, 0x1.318f1b4cf8ef4p-4, 0x1.02e83e34f22bp-4, 0x1.a9f3f3870cb48p-5, 0x1.4f96c66030d67p-5, 0x1.ed8bd28dced3fp-6, 0x1.3f1a49e0f6dd6p-6, 0x1.27dc847302b0fp-7, -0x1.3e52157bca1d3p-10, -0x1.709da941841adp-7, -0x1.593fccc269186p-6, -0x1.f6aaeabda6ef3p-6, -0x1.484273167c63cp-5, -0x1.93621c1d5a64dp-5, -0x1.dcb083716871dp-5, -0x1.12154423432b6p-4, -0x1.34e6e602994ccp-4, -0x1.56cc543fd5e01p-4, -0x1.77c51330bcc54p-4, -0x1.97d0f9ee52d01p-4, -0x1.b6f02dcbb4803p-4, -0x1.d5231dee3af4fp-4, -0x1.f26a7f07baff9p-4, -0x1.0763a399c1c32p-3, -0x1.151d54fb405c1p-3, -0x1.22630a3154128p-3, -0x1.2f3594aef1982p-3, -0x1.3b95df0617002p-3, -0x1.4784eb2e6a035p-3, -0x1.5303d0dd32efep-3, -0x1.5e13bbee821f8p-3, -0x1.68b5eadf30caep-3, -0x1.72ebad577c22ap-3, -0x1.7cb662c5e014bp-3, -0x1.86177909d4806p-3, -0x1.8f106b2e0dda7p-3, -0x1.97a2c031debc4p-3, -0x1.9fd009e13c95ep-3, -0x1.a799e3bb1cbeap-3, -0x1.af01f1e591b7bp-3, -0x1.b609e02f5a582p-3, -0x1.bcb3611e5d2fp-3, -0x1.c3002d0aa5ac4p-3, -0x1.c8f201456d32fp-3, -0x1.ce8a9f4bc6866p-3, -0x1.d3cbcc04714fap-3, -0x1.d8b74f087253dp-3, -0x1.dd4ef1f5fc41dp-3, -0x1.e1947fcd3c036p-3, -0x1.e589c456ad178p-3, -0x1.e9308b927f375p-3, -0x1.ec8aa130b54dep-3, -0x1.ef99d01197bc8p-3, -0x1.f25fe1ce1e6dfp-3, -0x1.f4de9e47f0373p-3, -0x1.f717cb40abddep-3, -0x1.f90d2bf813dc2p-3, -0x1.fac080d0dcaa9p-3, -0x1.fc3386fbbe919p-3, -0x1.fd67f82882e0bp-3, -0x1.fe5f8a3cc70fap-3, -0x1.ff1bef1024db5p-3, -0x1.ff9ed42d88d69p-3, -0x1.ffe9e299613acp-3, -0x1.fffebe9c7f25p-3, -0x1.ffdf0793532cp-3, -0x1.ff8c57c1613dcp-3, -0x1.ff084428ac6f9p-3, -0x1.fe545c64db6cfp-3, -0x1.fd722a89f95d8p-3, -0x1.fc6333068a422p-3, -0x1.fb28f488dbe91p-3, -0x1.f9c4e7e751814p-3, -0x1.f838800b920cdp-3, -0x1.f68529e066ae4p-3, -0x1.f4ac4c4229261p-3, -0x1.f2af47f196857p-3, -0x1.f08f7788f0f9fp-3, -0x1.ee4e2f733beb7p-3, -0x1.ebecbde58b62ap-3, -0x1.e96c6ada34952p-3, -0x1.e6ce780dcc3dp-3, -0x1.e41420fddafbcp-3, -0x1.e13e9ae9273dcp-3, -0x1.de4f14d17e9f6p-3, -0x1.db46b77eee1f1p-3, -0x1.d826a58447adfp-3, -0x1.d4effb44ed357p-3, -0x1.d1a3cefbc247dp-3, -0x1.ce4330c3374acp-3, -0x1.cacf2a9e5f26fp-3, -0x1.c748c082f5fb7p-3, -0x1.c3b0f06452acp-3, -0x1.c008b23f2b8a4p-3, -0x1.bc50f826263p-3, -0x1.b88aae4f21d31p-3, -0x1.b4b6bb212c3ecp-3, -0x1.b0d5ff431decdp-3, -0x1.ace955aac57f2p-3, -0x1.a8f193ac9ff65p-3, -0x1.a4ef890c13f7cp-3, -0x1.a0e4000c1f6d3p-3, -0x1.9ccfbd806c0ebp-3, -0x1.98b380ded1df8p-3, -0x1.949004512c5a6p-3, -0x1.9065fcc7816b5p-3, -0x1.8c361a0a732dcp-3, -0x1.880106cdf727ep-3, -0x1.83c768c4440f3p-3, -0x1.7f89e0b0f535p-3, -0x1.7b490a7c5e53cp-3, -0x1.77057d47036ccp-3, -0x1.72bfcb7d34b6ap-3, -0x1.6e7882eac7922p-3, -0x1.6a302ccedf547p-3, -0x1.65e74defd69d6p-3, -0x1.619e66af21a3dp-3, -0x1.5d55f31d4a047p-3, -0x1.590e6b0de7ed2p-3, -0x1.54c8422b9600dp-3, -0x1.5083e80be8c0cp-3, -0x1.4c41c8435b66dp-3, -0x1.48024a792dcc8p-3, -0x1.43c5d27b351fap-3, -0x1.3f8cc0519e848p-3, -0x1.3b57705293d01p-3, -0x1.37263b35cf8bp-3, -0x1.32f976280ea79p-3, -0x1.2ed172de6b587p-3, -0x1.2aae7fa991338p-3, -0x1.2690e788d52fp-3, -0x1.2278f23d1f003p-3, -0x1.1e66e45bb5732p-3, -0x1.1a5aff60db428p-3, -0x1.165581c241b6dp-3, -0x1.1256a70151eeap-3, -0x1.0e5ea7bd415f5p-3, -0x1.0a6db9c4fec13p-3, -0x1.06841028e1689p-3, -0x1.02a1db4c33ae2p-3, -0x1.fd8e91ecfc024p-4, -0x1.f5e908c946b87p-4, -0x1.ee536cb383d28p-4, -0x1.e6ce0a5fc3042p-4, -0x1.df5929d0ce84dp-4, -0x1.d7f50e7898d06p-4, -0x1.d0a1f75847e33p-4, -0x1.c9601f1fb9019p-4, -0x1.c22fbc4c992dfp-4, -0x1.bb110148fef63p-4, -0x1.b4041c8993a99p-4, -0x1.ad0938ab389d2p-4, -0x1.a6207c903d9c8p-4, -0x1.9f4a0b7d11a64p-4, -0x1.9886053482b7ep-4, -0x1.91d48613775f2p-4, -0x1.8b35a72c36a5dp-4, -0x1.84a97e612bdfdp-4, -0x1.7e301e7f34141p-4, -0x1.77c997576b7ffp-4, -0x1.7175f5d8818afp-4, -0x1.6b35442790002p-4, -0x1.650789b87721cp-4, -0x1.5eeccb65bf79ap-4, -0x1.58e50b87fffc7p-4, -0x1.52f04a0ccb7f1p-4, -0x1.4d0e848d246e6p-4, -0x1.473fb66376706p-4, -0x1.4183d8c11b62ap-4, -0x1.3bdae2c366414p-4, -0x1.3644c98839f27p-4, -0x1.30c18042289ecp-4, -0x1.2b50f84c2217ap-4, -0x1.25f3213cab7f7p-4, -0x1.20a7e8f8a6e0ep-4, -0x1.1b6f3bc5aab6fp-4, -0x1.1649045be4d1bp-4, -0x1.11352bf795432p-4, -0x1.0c339a6a163dfp-4, -0x1.0744362a7b487p-4, -0x1.0266e465c410fp-4, -0x1.fb37121d4b69cp-5, -0x1.f1c40dd9d9e09p-5, -0x1.e8747f58ef9cfp-5, -0x1.df4827d795cdbp-5, -0x1.d63ec69489ed7p-5, -0x1.cd5818ebd3f7fp-5, -0x1.c493da71a87a1p-5, -0x1.bbf1c50c81bafp-5, -0x1.b371910e80875p-5, -0x1.ab12f54e12dcap-5, -0x1.a2d5a73de6c9dp-5, -0x1.9ab95b042659fp-5, -0x1.92bdc391060a2p-5, -0x1.8ae292b4a56f4p-5, -0x1.8327793445373p-5, -0x1.7b8c26ded9342p-5, -0x1.74104aa0f077ap-5, -0x1.6cb3929804058p-5, -0x1.6575ac2523547p-5, -0x1.5e5643ff06b27p-5, -0x1.5755064389aa4p-5, -0x1.50719e8892b12p-5, -0x1.49abb7ec6876p-5, -0x1.4302fd257695fp-5, -0x1.3c7718918a25dp-5, -0x1.3607b44480cbcp-5, -0x1.2fb47a16792e4p-5, -0x1.297d13b178c33p-5, -0x1.23612a9e97e1ap-5, -0x1.1d606852ae1bcp-5, -0x1.177a763a82bf6p-5, -0x1.11aefdc68afd1p-5, -0x1.0bfda8762df84p-5, -0x1.06661fe29c792p-5, -0x1.00e80dc933cebp-5, -0x1.f706382af1173p-6, -0x1.ec6de9d54be59p-6, -0x1.e2068559b187bp-6, -0x1.d7cf60139f8a9p-6, -0x1.cdc7d002a4794p-6, -0x1.c3ef2bda5d369p-6, -0x1.ba44cb11c80b7p-6, -0x1.b0c805f1e00c7p-6, -0x1.a77835a379cb9p-6, -0x1.9e54b43c86a32p-6, -0x1.955cdcccaae52p-6, -0x1.8c900b69317d3p-6, -0x1.83ed9d38640ebp-6, -0x1.7b74f07c4843bp-6, -0x1.7325649cc7ec7p-6, -0x1.6afe5a314c632p-6, -0x1.62ff3309cbc97p-6, -0x1.5b27523754ccep-6, -0x1.53761c1408c02p-6, -0x1.4beaf64aa3b59p-6, -0x1.448547dd804f1p-6, -0x1.3d44792d298dep-6, -0x1.3627f3fe7886ep-6, -0x1.2f2f23803d477p-6, -0x1.285974507c0f6p-6, -0x1.21a65481431aap-6, -0x1.1b15339d1a616p-6, -0x1.14a582ab0f6c2p-6, -0x1.0e56b4326a99fp-6, -0x1.08283c3dfb8dp-6, -0x1.0219905f13431p-6, -0x1.f8544f60520ecp-7, -0x1.ecb2f5ae58b91p-7, -0x1.e14e080f1fa6ep-7, -0x1.d6247e07ec961p-7, -0x1.cb35523f4757ap-7, -0x1.c07f827f48e89p-7, -0x1.b6020fb74fbb5p-7, -0x1.abbbfdfd52e4dp-7, -0x1.a1ac548e9eb36p-7, -0x1.97d21dd020ae3p-7, -0x1.8e2c674e37bb6p-7, -0x1.84ba41bc17e84p-7, -0x1.7b7ac0f2cfe5fp-7, -0x1.726cfbefd415p-7, -0x1.69900cd33c297p-7, -0x1.60e310dd9a116p-7, -0x1.5865286d647dcp-7, -0x1.501576fc35ca4p-7, -0x1.47f3231b8ad27p-7, -0x1.3ffd56715c33fp-7, -0x1.38333db452836p-7, -0x1.309408a7cb13fp-7, -0x1.291eea177fdbdp-7, -0x1.21d317d2fbd6p-7, -0x1.1aafcaa8dc72p-7, -0x1.13b43e61cb845p-7, -0x1.0cdfb1bb4c0a8p-7, -0x1.063166625e1e1p-7, -0x1.ff5141db98b47p-8, -0x1.f28951b0fa642p-8, -0x1.e60990f6e8f5ap-8, -0x1.d9d09a0f850bep-8, -0x1.cddd0d00867b1p-8, -0x1.c22d8f66893fbp-8, -0x1.b6c0cc680694p-8, -0x1.ab9574a811397p-8, -0x1.a0aa3e38e4701p-8, -0x1.95fde48e3a135p-8, -0x1.8b8f286f7bd69p-8, -0x1.815ccfe9b7252p-8, -0x1.7765a64184585p-8, -0x1.6da87be4ac9fp-8, -0x1.6424265bb450cp-8, -0x1.5ad7803b64681p-8, -0x1.51c16916157ffp-8, -0x1.48e0c56d08543p-8, -0x1.40347ea194518p-8, -0x1.37bb82e6497a5p-8, -0x1.2f74c5300559cp-8, -0x1.275f3d270d971p-8, -0x1.1f79e71806ca1p-8, -0x1.17c3c3e4f91a9p-8, -0x1.103bd8f64cb59p-8, -0x1.08e1302bd7b6cp-8, -0x1.01b2d7cdcd631p-8, -0x1.f55fc4fb8a111p-9, -0x1.e7aece4f8bdep-9, -0x1.da5101e6975e5p-9, -0x1.cd449e6907eb2p-9, -0x1.c087eaba9c21dp-9, -0x1.b41935dd0bdeep-9, -0x1.a7f6d6d28cc5cp-9, -0x1.9c1f2c80737ebp-9, -0x1.90909d91ffbc8p-9, -0x1.8549985b4c4acp-9, -0x1.7a4892bc63b26p-9, -0x1.6f8c0a04998d9p-9, -0x1.651282d602409p-9, -0x1.5ada8908fe679p-9, -0x1.50e2af9030a9bp-9, -0x1.4729905c7d1e5p-9, -0x1.3dadcc414c402p-9, -0x1.346e0ad9023abp-9, -0x1.2b68fa69ba565p-9, -0x1.229d4fca3c5f5p-9, -0x1.1a09c6471e86fp-9, -0x1.11ad1f883974cp-9, -0x1.098623764de2p-9, -0x1.0193a020f003bp-9, -0x1.f3a8d34956801p-10, -0x1.e48eb42315506p-10, -0x1.d5d6a2a344055p-10, -0x1.c77e6a2048445p-10, -0x1.b983e1412be52p-10, -0x1.abe4e9cca52cep-10, -0x1.9e9f7078845dcp-10, -0x1.91b16cb9e88f8p-10, -0x1.8518e095c3581p-10, -0x1.78d3d87263ea1p-10, -0x1.6ce06ae8dd0bep-10, -0x1.613cb897968b9p-10, -0x1.55e6ebf516ff1p-10, -0x1.4add3923970cbp-10, -0x1.401dddc4efe7p-10, -0x1.35a720cf69d66p-10, -0x1.2b77526299651p-10, -0x1.218ccb9d45227p-10, -0x1.17e5ee73dee33p-10, -0x1.0e8125872b2bdp-10, -0x1.055ce3fbaf36cp-10, -0x1.f8ef4aa3dc0fbp-11, -0x1.e79fda7d58498p-11, -0x1.d6c88f086a435p-11, -0x1.c6668f988a733p-11, -0x1.b6771303b7dd2p-11, -0x1.a6f75f587908ap-11, -0x1.97e4c9948d473p-11, -0x1.893cb55cd2b3ap-11, -0x1.7afc94b5cf727p-11, -0x1.6d21e7bdfd4ecp-11, -0x1.5faa3c68953e1p-11, -0x1.52932e396fdc8p-11, -0x1.45da6602ec0d2p-11, -0x1.397d99a375ac7p-11, -0x1.2d7a8bc4cc98bp-11, -0x1.21cf0b9c8e68ep-11, -0x1.1678f4ad32146p-11, -0x1.0b762e88b1063p-11, -0x1.00c4ac93878e8p-11, -0x1.ecc4db92a8ab9p-12, -0x1.d89af902f6624p-12, -0x1.c507dc6c3c14p-12, -0x1.b207c6964211ap-12, -0x1.9f970dac91cafp-12, -0x1.8db21cd045f6ap-12, -0x1.7c5573acd93cdp-12, -0x1.6b7da60d9e377p-12, -0x1.5b275b75b528dp-12, -0x1.4b4f4eba64d4dp-12, -0x1.3bf24d9d1ce3p-12, -0x1.2d0d38698ca24p-12, -0x1.1e9d0193b30bcp-12, -0x1.109ead59aa6f7p-12, -0x1.030f516534a08p-12, -0x1.ebd828def7c46p-13, -0x1.d2645bcec0cep-13, -0x1.b9bdcb2f9aef4p-13, -0x1.a1df26a2216f8p-13, -0x1.8ac33d28ca88ep-13, -0x1.7464fc7c0ad77p-13, -0x1.5ebf7068230fap-13, -0x1.49cdc229ce602p-13, -0x1.358b37d02330cp-13, -0x1.21f333a0d0438p-13, -0x1.0f01337f3a9f8p-13, -0x1.f961a0abd11c3p-14, -0x1.d5fb7b06b7646p-14, -0x1.b3c79092a1071p-14, -0x1.92bdae7f4c5afp-14, -0x1.72d5d39354932p-14, -0x1.54082f1a02439p-14, -0x1.364d1fd6dcef2p-14, -0x1.199d33014239ep-14, -0x1.fbe24684bcb54p-15, -0x1.c683af6ee8f08p-15, -0x1.9310c6003e8edp-15, -0x1.617c04891019ep-15, -0x1.31b8389849b2cp-15, -0x1.03b881240ddb3p-15, -0x1.aee0998a8ea72p-16, -0x1.59a6afee4c05dp-16, -0x1.07ab56bd595dfp-16, -0x1.71ae6875cd437p-17, -0x1.b44e014ff51c8p-18, -0x1.22500b368858p-19, 0x1.0cd7b7307c4d9p-19, 0x1.92c23ac9a1fbap-18, 0x1.4a16ce0342014p-17, 0x1.c57f3d498e9bfp-17, 0x1.1de0d530d361p-16, 0x1.56822dcc8679fp-16, 0x1.8cb65206c77d7p-16, 0x1.c08f748baac4cp-16, 0x1.f21f53d5de38ap-16, 0x1.10bb9e683444dp-15, 0x1.275406b6dc307p-15, 0x1.3ce11b9410a2dp-15, 0x1.516ae0ba47336p-15, 0x1.64f92617997c5p-15, 0x1.779389001b2f2p-15, 0x1.89417552ebb9dp-15, 0x1.9a0a269cf7f8ep-15, 0x1.a9f4a936dcf35p-15, 0x1.b907db586019dp-15, 0x1.c74a6e28895ap-15, 0x1.d4c2e6c884872p-15, 0x1.e1779f5a413f4p-15, 0x1.ed6ec80044d34p-15, 0x1.f8ae67d42ead4p-15, 0x1.019e2eee190d3p-14, 0x1.068f30fcc776dp-14, 0x1.0b2d02ea7d27bp-14, 0x1.0f7a5ae09a313p-14, 0x1.1379dcceff697p-14, 0x1.172e1ad826284p-14, 0x1.1a9995be1482ap-14, 0x1.1dbebd48aa442p-14, 0x1.209ff0adcaecbp-14, 0x1.233f7ef6d2abcp-14, 0x1.259fa76158b6ep-14, 0x1.27c299bffb2c6p-14, 0x1.29aa76d7d1d65p-14, 0x1.2b5950bc515ep-14, 0x1.2cd12b2925e1cp-14, 0x1.2e13fbda3a6e2p-14, 0x1.2f23aae1f9c76p-14, 0x1.300212fd8834fp-14, 0x1.30b101e6746bdp-14, 0x1.313238a2dc559p-14, 0x1.31876bd403013p-14, 0x1.31b24403e6698p-14, 0x1.31b45def7ecf2p-14, 0x1.318f4ad12cbb2p-14, 0x1.314490a7a6117p-14, 0x1.30d5aa7cda4fbp-14, 0x1.304408a9acdeep-14, 0x1.2f911118e1abp-14, 0x1.2ebe1f89f72d4p-14, 0x1.2dcc85d00d21fp-14, 0x1.2cbd8c118f6b8p-14, 0x1.2b927104d3dafp-14, 0x1.2a4c6a2b8af35p-14, 0x1.28eca40d6bc6bp-14, 0x1.277442718001dp-14, 0x1.25e46095c5344p-14, 0x1.243e1165f8fcap-14, 0x1.22825fb13f35fp-14, 0x1.20b24e5d6ed32p-14, 0x1.1eced89a52d64p-14, 0x1.1cd8f2128107bp-14, 0x1.1ad1871d63ff7p-14, 0x1.18b97cedb3229p-14, 0x1.1691b1c06e7d7p-14, 0x1.145afd09c6a74p-14, 0x1.12162fa165f09p-14, 0x1.0fc413ed58208p-14, 0x1.0d656e0c6ce34p-14, 0x1.0afafbff8ff88p-14, 0x1.088575d1d0543p-14, 0x1.06058dc038c66p-14, 0x1.037bf05fc1e24p-14, 0x1.00e944c3187b8p-14, 0x1.fc9c593d4eba5p-15, 0x1.f75688d92e2fep-15, 0x1.f202471feaec4p-15, 0x1.eca0b8ed7234bp-15, 0x1.e732f97651ddap-15, 0x1.e1ba1a889f552p-15, 0x1.dc3724cabb65fp-15, 0x1.d6ab17fa0a737p-15, 0x1.d116eb26871a8p-15, 0x1.cb7b8ceea8694p-15, 0x1.c5d9e3b8ca042p-15, 0x1.c032cdeb7a8cep-15, 0x1.ba872224c8ca3p-15, 0x1.b4d7af6f4e8c6p-15, 0x1.af253d7662ad7p-15, 0x1.a9708cb906728p-15, 0x1.a3ba56bc8743fp-15, 0x1.9e034e3c5ef46p-15, 0x1.984c1f5a2d9bcp-15, 0x1.92956fcc48a35p-15, 0x1.8cdfdf0a2b39ap-15, 0x1.872c06793ce23p-15, 0x1.817a799669c57p-15, 0x1.7bcbc6220926cp-15, 0x1.76207447680b6p-15, 0x1.707906c571961p-15, 0x1.6ad5fb160ad7cp-15, 0x1.6537c99349e75p-15, 0x1.5f9ee59c9250dp-15, 0x1.5a0bbdbb4c46fp-15, 0x1.547ebbc59a6aep-15, 0x1.4ef84500eb8d8p-15, 0x1.4978ba43ff909p-15, 0x1.4400781713f24p-15, 0x1.3e8fd6d44df3bp-15, 0x1.39272ac690821p-15, 0x1.33c6c447e6094p-15, 0x1.2e6eefdefe499p-15, 0x1.291ff65bf18bfp-15, 0x1.23da1cf49afeep-15, 0x1.1e9da55fd334p-15, 0x1.196acdf0d8bbbp-15, 0x1.1441d1b0baf26p-15, 0x1.0f22e877bfc1fp-15, 0x1.0a0e47067f2b6p-15, 0x1.05041f1d710e9p-15, 0x1.00049f9523329p-15, 0x1.f61fe8e93ff43p-16, 0x1.ec4c8e105c2a4p-16, 0x1.e28f7bee60333p-16, 0x1.d8e8fab11cfaap-16, 0x1.cf594d90d89d8p-16, 0x1.c5e0b2f71f282p-16, 0x1.bc7f64a67ccb7p-16, 0x1.b33597e080857p-16, 0x1.aa037d8af7e8ap-16, 0x1.a0e94254a1fa2p-16, 0x1.97e70ed89752p-16, 0x1.8efd07c018f19p-16, 0x1.862b4de46ccaap-16, 0x1.7d71fe6f2f669p-16, 0x1.74d132fa9160bp-16, 0x1.6c4901afbfc7cp-16, 0x1.63d97d654d383p-16, 0x1.5b82b5bc65d6p-16, 0x1.5344b73db402ep-16, 0x1.4b1f8b7517288p-16, 0x1.4313390c30ea6p-16, 0x1.3b1fc3e5137c1p-16, 0x1.33452d33c09bep-16, 0x1.2b837396a189cp-16, 0x1.23da932f9faf8p-16, 0x1.1c4a85bb61b3ap-16, 0x1.14d342a81eap-16, 0x1.0d74bf2c191f2p-16, 0x1.062eee5b1d155p-16, 0x1.fe038277e4d4ap-17, 0x1.efda4db94992bp-17, 0x1.e1e218cc53f0ap-17, 0x1.d41aba61365cdp-17, 0x1.c68405aa1f61cp-17, 0x1.b91dca81ed92p-17, 0x1.abe7d58f0b245p-17, 0x1.9ee1f065ed553p-17, 0x1.920be1aad2aap-17, 0x1.85656d320a821p-17, 0x1.78ee541fbf45ap-17, 0x1.6ca6550836c1ep-17, 0x1.608d2c0c1ed4bp-17, 0x1.54a292f711e87p-17, 0x1.48e6415b4c4dbp-17, 0x1.3d57ecac98654p-17, 0x1.31f7485bcd7ffp-17, 0x1.26c405f0906b1p-17, 0x1.1bbdd521dad3ep-17, 0x1.10e463ef10c32p-17, 0x1.06375eb6c4586p-17, 0x1.f76ce09e54976p-18, 0x1.e2c2843596577p-18, 0x1.ce6ef83f17adbp-18, 0x1.ba718a34da151p-18, 0x1.a6c98527c3637p-18, 0x1.937631e7b2c9ap-18, 0x1.8076d72ada308p-18, 0x1.6dcab9b0e7a88p-18, 0x1.5b711c6723d79p-18, 0x1.4969408c477b3p-18, 0x1.37b265d05aa26p-18, 0x1.264bca76dd966p-18, 0x1.1534ab750a783p-18, 0x1.046c4491b5a12p-18, 0x1.e7e3a101af819p-19, 0x1.c7891202bc675p-19, 0x1.a7c74df0d2124p-19, 0x1.889cc5191b4b4p-19, 0x1.6a07e67d79f34p-19, 0x1.4c0720093b13bp-19, 0x1.2e98debce1e0ap-19, 0x1.11bb8edf5d1e7p-19, 0x1.eadb3855b8ee6p-20, 0x1.b35ae3ee846p-20, 0x1.7cf2f6ce1df3dp-20, 0x1.47a0471704356p-20, 0x1.135fab1f4fdd2p-20, 0x1.c05bf366de394p-21, 0x1.5c1014c5cc1bbp-21, 0x1.f3aad71f030c9p-22, 0x1.334b5721ecfc4p-22, 0x1.dbd45d5242234p-24, -0x1.0591cd3a64aa7p-24, -0x1.eb9b978596991p-23, -0x1.a6536bf4033f3p-22, -0x1.2980e1f90b1a6p-21, -0x1.7df29c931757dp-21, -0x1.d08512b9ac5eep-21, -0x1.109f359d8a2c7p-20, -0x1.38126336a70dep-20, -0x1.5e9f1ee637909p-20, }}, 
      {{0x1.03b46c9b13f8ep-1, 0x1.03bf1f1903a34p-1, 0x1.03d16ae0becb9p-1, 0x1.03ebe6697ab3ap-1, 0x1.040f38c0f2a18p-1, 0x1.043c005f37917p-1, 0x1.0472be8fa9f8p-1, 0x1.04b3c84666288p-1, 0x1.04ff3c4712b12p-1, 0x1.0554fe0305cfap-1, 0x1.05b4b45ee596cp-1, 0x1.061dcb8600a69p-1, 0x1.068f78ffcb0d8p-1, 0x1.0708c1555a381p-1, 0x1.07887eb1ed884p-1, 0x1.080d68063f461p-1, 0x1.089618508db9dp-1, 0x1.092115c21bfc3p-1, 0x1.09acd88e41c7dp-1, 0x1.0a37d13f0c655p-1, 0x1.0ac06e786759fp-1, 0x1.0b45221cf3fd5p-1, 0x1.0bc465cfb5f3cp-1, 0x1.0c3cbed3b26cep-1, 0x1.0cacc14f073e3p-1, 0x1.0d1312fa19025p-1, 0x1.0d6e6d45727ep-1, 0x1.0dbd9f0226454p-1, 0x1.0dff8d990bb8bp-1, 0x1.0e3335dd3896bp-1, 0x1.0e57ac85d03b5p-1, 0x1.0e6c1e5aafdd9p-1, 0x1.0e6fd01ec386bp-1, 0x1.0e621e4203a38p-1, 0x1.0e427c6436d1fp-1, 0x1.0e1074b0b2932p-1, 0x1.0dcba71a7c497p-1, 0x1.0d73c87f52a54p-1, 0x1.0d08a1b764964p-1, 0x1.0c8a0e96c05c8p-1, 0x1.0bf7fce4d762dp-1, 0x1.0b526b4de26a9p-1, 0x1.0a9968515e01cp-1, 0x1.09cd11305c4f6p-1, 0x1.08ed90de01b0ap-1, 0x1.07fb1ef4133bap-1, 0x1.06f5fead3459fp-1, 0x1.05de7de61cacep-1, 0x1.04b4f426cf36ep-1, 0x1.0379c1b4a6c62p-1, 0x1.022d4eadd1fffp-1, 0x1.00d00a2eb2b7bp-1, 0x1.fec4d302e59f9p-2, 0x1.fbc9ceafeea67p-2, 0x1.f8b00620922e5p-2, 0x1.f5788006dddd6p-2, 0x1.f22449bd3fdedp-2, 0x1.eeb4760d57d0ep-2, 0x1.eb2a1c0abeabfp-2, 0x1.e786560154292p-2, 0x1.e3ca4076782b6p-2, 0x1.dff6f93c98df8p-2, 0x1.dc0d9e986689p-2, 0x1.d80f4e770569dp-2, 0x1.d3fd25b47e75dp-2, 0x1.cfd83f71bd225p-2, 0x1.cba1b4795b01bp-2, 0x1.c75a9ab27e406p-2, 0x1.c30404a116405p-2, 0x1.be9f00f2b5b0dp-2, 0x1.ba2c9a175f0d7p-2, 0x1.b5add5e58bacap-2, 0x1.b123b548c63e7p-2, 0x1.ac8f33fa2f68ap-2, 0x1.a7f148424aa5bp-2, 0x1.a34ae2c37908dp-2, 0x1.9e9cee4c8c5e6p-2, 0x1.99e84fb2dee14p-2, 0x1.952de5b36ce7cp-2, 0x1.906e88da67beap-2, 0x1.8bab0b70c37adp-2, 0x1.86e4396f4eb89p-2, 0x1.821ad876dedb8p-2, 0x1.7d4fa7cd26d0fp-2, 0x1.7883605dd0fa5p-2, 0x1.73b6b4bf8448fp-2, 0x1.6eea513c6ef38p-2, 0x1.6a1edbde0d527p-2, 0x1.6554f47bd4ed3p-2, 0x1.608d34cc814fbp-2, 0x1.5bc83079b149dp-2, 0x1.57067535a3589p-2, 0x1.52488ad2c19bcp-2, 0x1.4d8ef35cd6367p-2, 0x1.48da2b33a8522p-2, 0x1.442aa926d2464p-2, 0x1.3f80de92a7fd6p-2, 0x1.3add377e004a4p-2, 0x1.36401ab8b6842p-2, 0x1.31a9e9facc3a4p-2, 0x1.2d1b0203fb0d7p-2, 0x1.2893babba3563p-2, 0x1.24146750f9af3p-2, 0x1.1f9d565b557c3p-2, 0x1.1b2ed1fa8d12fp-2, 0x1.16c91ff74d0dep-2, 0x1.126c81e35064ep-2, 0x1.0e1935396c8a9p-2, 0x1.09cf737d65afap-2, 0x1.058f725b72892p-2, 0x1.015963c76eba6p-2, 0x1.fa5aec3751f04p-3, 0x1.f217a86e8c981p-3, 0x1.e9e94b386279dp-3, 0x1.e1d01d1919e0ap-3, 0x1.d9cc604f4b59bp-3, 0x1.d1de510cb2ec9p-3, 0x1.ca0625ade8bafp-3, 0x1.c2440ef0f679ep-3, 0x1.ba98382ac63f8p-3, 0x1.b302c77b647d9p-3, 0x1.ab83de010c5c4p-3, 0x1.a41b980a09042p-3, 0x1.9cca0d45579b8p-3, 0x1.958f50f21648p-3, 0x1.8e6b720dc1f6fp-3, 0x1.875e7b8134d9p-3, 0x1.8068744c72c39p-3, 0x1.79895fb14d244p-3, 0x1.72c13d5cc3425p-3, 0x1.6c10098f4ac88p-3, 0x1.6575bd43de4a5p-3, 0x1.5ef24e55efab5p-3, 0x1.5885afa634bcfp-3, 0x1.522fd13e57bfp-3, 0x1.4bf0a0739028cp-3, 0x1.45c808082820ep-3, 0x1.3fb5f04bf3eb5p-3, 0x1.39ba3f3bbd0e9p-3, 0x1.33d4d89faf44ep-3, 0x1.2e059e28c5755p-3, 0x1.284c6f8d3b1bep-3, 0x1.22a92aa40caddp-3, 0x1.1d1bab7f8e048p-3, 0x1.17a3cc8715edp-3, 0x1.1241668fc5051p-3, 0x1.0cf450f4797c7p-3, 0x1.07bc61acde242p-3, 0x1.02996d63b9bbbp-3, 0x1.fb168f18c2edcp-4, 0x1.f12384eee211cp-4, 0x1.e7595ecd7ed33p-4, 0x1.ddb7bd412975ep-4, 0x1.d43e3f04597aep-4, 0x1.caec812310ef2p-4, 0x1.c1c21f1d28ae2p-4, 0x1.b8beb3074adf4p-4, 0x1.afe1d5aaa9c13p-4, 0x1.a72b1ea37f134p-4, 0x1.9e9a247e5eab9p-4, 0x1.962e7cd44f8e8p-4, 0x1.8de7bc65dccafp-4, 0x1.85c57734ff502p-4, 0x1.7dc7409e01d1ep-4, 0x1.75ecab6f5d515p-4, 0x1.6e354a0098abfp-4, 0x1.66a0ae48323a9p-4, 0x1.5f2e69f09db3bp-4, 0x1.57de0e6c5b3f4p-4, 0x1.50af2d092f4acp-4, 0x1.49a1570283918p-4, 0x1.42b41d92f7d96p-4, 0x1.3be7120528bacp-4, 0x1.3539c5c3b3224p-4, 0x1.2eabca687c1d3p-4, 0x1.283cb1cb40a24p-4, 0x1.21ec0e0f764fbp-4, 0x1.1bb971b180a2ep-4, 0x1.15a46f9341b3ap-4, 0x1.0fac9b080bb9dp-4, 0x1.09d187dff8feap-4, 0x1.0412ca72ae17ep-4, 0x1.fcdfef531c57dp-5, 0x1.f1d14a12c4efbp-5, 0x1.e6f8d176fc258p-5, 0x1.dc55b32cbd9acp-5, 0x1.d1e71e4ba3096p-5, 0x1.c7ac43653f6a1p-5, 0x1.bda454938f12cp-5, 0x1.b3ce8586864c6p-5, 0x1.aa2a0b90cc743p-5, 0x1.a0b61db3a34dp-5, 0x1.9771f4aa061ddp-5, 0x1.8e5ccaf3090f1p-5, 0x1.8575dcdb7b977p-5, 0x1.7cbc6886d8e02p-5, 0x1.742fadf78d29dp-5, 0x1.6bceef1690e77p-5, 0x1.63996fba66923p-5, 0x1.5b8e75ad7c9fcp-5, 0x1.53ad48b3fc66fp-5, 0x1.4bf532910ade8p-5, 0x1.44657f0b7e07cp-5, 0x1.3cfd7bf211ed4p-5, 0x1.35bc791f1de8cp-5, 0x1.2ea1c87bcfd28p-5, 0x1.27acbe02f260cp-5, 0x1.20dcafc345c07p-5, 0x1.1a30f5e16a67dp-5, 0x1.13a8ea9968565p-5, 0x1.0d43ea3fd1b43p-5, 0x1.0701534285643p-5, 0x1.00e086291d7e3p-5, 0x1.f5c1cb2a0119cp-6, 0x1.ea03ac82495e2p-6, 0x1.de857e0302314p-6, 0x1.d34611846ee54p-6, 0x1.c8443d0ce5fc6p-6, 0x1.bd7edace0636cp-6, 0x1.b2f4c9216e5e2p-6, 0x1.a8a4ea84f0136p-6, 0x1.9e8e259654202p-6, 0x1.94af650eab61dp-6, 0x1.8b0797bd35727p-6, 0x1.8195b081de77fp-6, 0x1.7858a64764fdfp-6, 0x1.6f4f73fd1be25p-6, 0x1.667918905e26cp-6, 0x1.5dd496e5aacb4p-6, 0x1.5560f5d1782ecp-6, 0x1.4d1d4010c05c8p-6, 0x1.45088441442adp-6, 0x1.3d21d4d99776bp-6, 0x1.35684820e7b4dp-6, 0x1.2ddaf82694113p-6, 0x1.267902b98b272p-6, 0x1.1f41895f79935p-6, 0x1.1833b14bd0695p-6, 0x1.114ea3569bd03p-6, 0x1.0a918bf335bafp-6, 0x1.03fb9b26d8f6ep-6, 0x1.fb1808fe1b0bdp-7, 0x1.ee83fe0ffce8ep-7, 0x1.e2398a8562d97p-7, 0x1.d6372a36471a3p-7, 0x1.ca7b5fbcb48f3p-7, 0x1.bf04b460b4708p-7, 0x1.b3d1b804148e8p-7, 0x1.a8e1010e2ac67p-7, 0x1.9e312c576b6c8p-7, 0x1.93c0dd14eed3bp-7, 0x1.898ebcc3ee631p-7, 0x1.7f997b1536694p-7, 0x1.75dfcdd8843b7p-7, 0x1.6c6070e7ee2efp-7, 0x1.631a261341b82p-7, 0x1.5a0bb50b672b2p-7, 0x1.5133eb4dc84c8p-7, 0x1.48919c0fc92e5p-7, 0x1.4023a02a353a1p-7, 0x1.37e8d604d9b08p-7, 0x1.2fe0218215e34p-7, 0x1.28086bea898c1p-7, 0x1.2060a3d8d9f19p-7, 0x1.18e7bd258c4bbp-7, 0x1.119cb0d2f4248p-7, 0x1.0a7e7cf946989p-7, 0x1.038c24b2c8c0bp-7, 0x1.f989601029d14p-8, 0x1.ec4e57b915f4ap-8, 0x1.df6553b5bfbf3p-8, 0x1.d2cc80c3a18e9p-8, 0x1.c68214e1ef8a5p-8, 0x1.ba844f2b9cee2p-8, 0x1.aed177b1a8431p-8, 0x1.a367df55b8a97p-8, 0x1.9845dfa5133c4p-8, 0x1.8d69dab3ecc8p-8, 0x1.82d23af904b02p-8, 0x1.787d7329a3c13p-8, 0x1.6e69fe15f5151p-8, 0x1.64965e85c44c7p-8, 0x1.5b011f158a97ep-8, 0x1.51a8d213ddb57p-8, 0x1.488c115f5014ep-8, 0x1.3fa97e44a17cdp-8, 0x1.36ffc15d5c56p-8, 0x1.2e8d8a6ed0b19p-8, 0x1.2651904973cc1p-8, 0x1.1e4a90a8a7b5cp-8, 0x1.16775012ead7fp-8, 0x1.0ed699ba65c61p-8, 0x1.07673f5de133ap-8, 0x1.0028192a29b0ep-8, 0x1.f2300b3798b2bp-9, 0x1.e46bd2c28683ep-9, 0x1.d7015e7b2cdcp-9, 0x1.c9ee8fd682e64p-9, 0x1.bd3153ff337dcp-9, 0x1.b0c7a39d201ecp-9, 0x1.a4af829dcfb7ep-9, 0x1.98e6fffd8adfp-9, 0x1.8d6c35913fdecp-9, 0x1.823d47d142517p-9, 0x1.775865a4d2942p-9, 0x1.6cbbc82e69b2bp-9, 0x1.6265b298d74e5p-9, 0x1.585471e51679ap-9, 0x1.4e865cb8f1bf2p-9, 0x1.44f9d32e605dbp-9, 0x1.3bad3ea3b8506p-9, 0x1.329f118ca55ecp-9, 0x1.29cdc743d0613p-9, 0x1.2137e3dd3fbafp-9, 0x1.18dbf3f988af4p-9, 0x1.10b88c99abd92p-9, 0x1.08cc4af3bdfd4p-9, 0x1.0115d4484f229p-9, 0x1.f327ab70bdefap-10, 0x1.e48a083853eb8p-10, 0x1.d65037b546a86p-10, 0x1.c877c1831ee08p-10, 0x1.bafe3bbcf7ffep-10, 0x1.ade14ab0671d8p-10, 0x1.a11ea091e0c39p-10, 0x1.94b3fd326d1b6p-10, 0x1.889f2db6b3801p-10, 0x1.7cde0c4f49332p-10, 0x1.716e7ff2781e4p-10, 0x1.664e7c170ac9ep-10, 0x1.5b7c007055d5ap-10, 0x1.50f518abae3acp-10, 0x1.46b7dc2efb48fp-10, 0x1.3cc26dd86d5ecp-10, 0x1.3312fbbfbb523p-10, 0x1.29a7bef81abfap-10, 0x1.207efb53823bep-10, 0x1.1796ff273d4bbp-10, 0x1.0eee231164ea1p-10, 0x1.0682c9bf9e90bp-10, 0x1.fca6bf6dddc0cp-11, 0x1.ecbcb6393899ap-11, 0x1.dd4476fff3aa5p-11, 0x1.ce3b134ad492fp-11, 0x1.bf9daea4c4079p-11, 0x1.b1697e34ce9e9p-11, 0x1.a39bc85a2bfbcp-11, 0x1.9631e44a8da6ap-11, 0x1.892939b17bdd9p-11, 0x1.7c7f405285b0fp-11, 0x1.70317face0626p-11, 0x1.643d8ea0dc44bp-11, 0x1.58a113176f0eap-11, 0x1.4d59c1ab583bfp-11, 0x1.42655d5418e7p-11, 0x1.37c1b7126376p-11, 0x1.2d6cad9e9cae5p-11, 0x1.23642d18c103ap-11, 0x1.19a62eba2c3ccp-11, 0x1.1030b888d792bp-11, 0x1.0701dd0c5f928p-11, 0x1.fc2f760863c4bp-12, 0x1.eae0fa3f1c19bp-12, 0x1.da14b36e28d4cp-12, 0x1.c9c7250f3225ep-12, 0x1.b9f4e8dd2cfe4p-12, 0x1.aa9aae504849bp-12, 0x1.9bb53a1c0bc1ep-12, 0x1.8d4165b095b1ep-12, 0x1.7f3c1ebe9ef1p-12, 0x1.71a266bddb403p-12, 0x1.6471527624d31p-12, 0x1.57a6098b4a7c8p-12, 0x1.4b3dc60b74569p-12, 0x1.3f35d3ff9d303p-12, 0x1.338b90fea76a7p-12, 0x1.283c6bc2dee1ap-12, 0x1.1d45e3c1a286ep-12, 0x1.12a588c5af43fp-12, 0x1.0858fa8b3b30ep-12, 0x1.fcbbd0bd3c861p-13, 0x1.e9642179c571ap-13, 0x1.d6a681ed26909p-13, 0x1.c47ea9a903694p-13, 0x1.b2e86c7d062e3p-13, 0x1.a1dfb9c8be368p-13, 0x1.91609bd12568bp-13, 0x1.8167371a46312p-13, 0x1.71efc9c3eaca2p-13, 0x1.62f6aaeae30eep-13, 0x1.54784a0cdcba9p-13, 0x1.46712e70a2753p-13, 0x1.38ddf690f902bp-13, 0x1.2bbb578c01deep-13, 0x1.1f061c94cb658p-13, 0x1.12bb2668b88fcp-13, 0x1.06d76ac7ff873p-13, 0x1.f6afe7e242a8bp-14, 0x1.e073c03f1c007p-14, 0x1.caf4c219bd7aep-14, 0x1.b62d76ebb27bdp-14, 0x1.a2188d42b6167p-14, 0x1.8eb0d7d5670bep-14, 0x1.7bf14c9ce3eecp-14, 0x1.69d503f450aa8p-14, 0x1.585737bc30627p-14, 0x1.47734284ec9acp-14, 0x1.37249ebc3d882p-14, 0x1.2766e5e1d5feep-14, 0x1.1835cfbe7b9f5p-14, 0x1.098d31a1c41adp-14, 0x1.f6d1fb45bad5dp-15, 0x1.db8a83cf2c7fep-15, 0x1.c13c4fdb290cp-15, 0x1.a7dfe7b45c42ep-15, 0x1.8f6e07993375p-15, 0x1.77df9e6a91c8fp-15, 0x1.612dcc626682p-15, 0x1.4b51e1d187ce4p-15, 0x1.36455de4c3b1cp-15, 0x1.2201ed73b1059p-15, 0x1.0e8169d3fe24p-15, 0x1.f77baf6cf19fbp-16, 0x1.d362cc12e0912p-16, 0x1.b0acd9c52bcdep-16, 0x1.8f4ed8df9f7e2p-16, 0x1.6f3e17dceff2cp-16, 0x1.507031516d7a9p-16, 0x1.32db09f28b293p-16, 0x1.1674ceac030b3p-16, 0x1.f667e57e6b49ep-17, 0x1.c21e5bdd33aaap-17, 0x1.8ffaf56e486f5p-17, 0x1.5fec2920c2fc4p-17, 0x1.31e0ec753db37p-17, 0x1.05c8b02fd5cf8p-17, 0x1.b726ba33e6b5bp-18, 0x1.6662a1bf710aep-18, 0x1.1926b5f549d2fp-18, 0x1.9eaae6d50fafep-19, 0x1.11a45ceec04cfp-19, 0x1.1604363a4241dp-20, 0x1.51c0e97455802p-24, -0x1.bfb1a98062edap-21, -0x1.c9408438f626cp-20, -0x1.53bf0ecabaaep-19, -0x1.bd78effbe8975p-19, -0x1.10fe4fded521ap-18, -0x1.40bbbe10c8d29p-18, -0x1.6e0ac84941934p-18, -0x1.9900cf702b619p-18, -0x1.c1b2941113d5p-18, -0x1.e8343aa1b0179p-18, -0x1.064ca7de7cd3dp-17, -0x1.177a661c4b221p-17, -0x1.27ac8c90cf1d2p-17, -0x1.36ec09d0d469ep-17, -0x1.454188643fd2fp-17, -0x1.52b5709bb86c9p-17, -0x1.5f4fea6290565p-17, -0x1.6b18defbb659p-17, -0x1.7617fab9b3989p-17, -0x1.8054aea70d195p-17, -0x1.89d6322652f6ap-17, -0x1.92a38486eebc5p-17, -0x1.9ac36e8e2adc2p-17, -0x1.a23c83f95a7e5p-17, -0x1.a91524f12ec3dp-17, -0x1.af537f78235ap-17, -0x1.b4fd90cc5785ap-17, -0x1.ba1926c1ac79fp-17, -0x1.beabe113fc4f8p-17, -0x1.c2bb32adb2715p-17, -0x1.c64c62e72999dp-17, -0x1.c9648ebfaebfdp-17, -0x1.cc08aa09a2a8ep-17, -0x1.ce3d80945994ep-17, -0x1.d007b74a21494p-17, -0x1.d16bcd48de2ap-17, -0x1.d26e1cf28d10ep-17, -0x1.d312dcf5acc35p-17, -0x1.d35e2150aedfbp-17, -0x1.d353dc4d3f1ebp-17, -0x1.d2f7df76035e7p-17, -0x1.d24ddc83f9ce1p-17, -0x1.d1596647ea9dp-17, -0x1.d01df18a1545p-17, -0x1.ce9ed5e8c7af1p-17, -0x1.ccdf4ead69274p-17, -0x1.cae27b9dafe3ap-17, -0x1.c8ab61c59efcdp-17, -0x1.c63cec3d62982p-17, -0x1.c399ece99ac56p-17, -0x1.c0c51d368578ep-17, -0x1.bdc11ecdb6ed4p-17, -0x1.ba907c48da88fp-17, -0x1.b735a9dcf5972p-17, -0x1.b3b3060116589p-17, -0x1.b00ada1304e97p-17, -0x1.ac3f5af62d886p-17, -0x1.a852a9ae042d8p-17, -0x1.a446d3f3f9f1ap-17, -0x1.a01dd4ca59d3bp-17, -0x1.9bd9950a27308p-17, -0x1.977bebedc2732p-17, -0x1.93069f9771baap-17, -0x1.8e7b65952ffb7p-17, -0x1.89dbe36034da3p-17, -0x1.8529aed74eaa2p-17, -0x1.80664eb8f45d8p-17, -0x1.7b933b17a7e53p-17, -0x1.76b1ddcc9e213p-17, -0x1.71c392e626bfcp-17, -0x1.6cc9a91415f14p-17, -0x1.67c5621016648p-17, -0x1.62b7f3042ca7p-17, -0x1.5da284ed0bbe4p-17, -0x1.588634faf5f08p-17, -0x1.536414f01f1eap-17, -0x1.4e3d2b7ab6fbbp-17, -0x1.4912748e0228dp-17, -0x1.43e4e1b8265f7p-17, -0x1.3eb55a7604b01p-17, -0x1.3984bc8466a17p-17, -0x1.3453dc2ed98e6p-17, -0x1.2f23849d1a85cp-17, -0x1.29f4781da634p-17, -0x1.24c7706dbc19ep-17, -0x1.1f9d1f008e344p-17, -0x1.1a762d433c9f1p-17, -0x1.15533cdfab3a7p-17, -0x1.1034e7fcbca1cp-17, -0x1.0b1bc17de2f02p-17, -0x1.0608553f911c5p-17, -0x1.00fb2852d0694p-17, -0x1.f7e9726cff3bfp-18, -0x1.edeb001e7915p-18, -0x1.e3fbddbbe7106p-18, -0x1.da1ce3694dfcep-18, -0x1.d04eddd3aba57p-18, -0x1.c6928e9435bfbp-18, -0x1.bce8ac90db967p-18, -0x1.b351e4590b5b1p-18, -0x1.a9ced8821980dp-18, -0x1.a06021feffae8p-18, -0x1.9706507656e1fp-18, -0x1.8dc1ea961d813p-18, -0x1.84936e6400c67p-18, -0x1.7b7b518bdc2bbp-18, -0x1.727a01ab36b04p-18, -0x1.698fe49c1e6b3p-18, -0x1.60bd58bcd6716p-18, -0x1.5802b53570a8fp-18, -0x1.4f604a3b07285p-18, -0x1.46d661511f30ap-18, -0x1.3e653d88ba1d9p-18, -0x1.360d1bbe66acp-18, -0x1.2dce32d61de5bp-18, -0x1.25a8b3f4810d1p-18, -0x1.1d9ccab83616p-18, -0x1.15aa9d6f5102ap-18, -0x1.0dd24d4cc70c1p-18, -0x1.0613f69abe7f8p-18, -0x1.fcdf61d97e601p-19, -0x1.edcb1e9fef87ep-19, -0x1.deeb40f2e7aa4p-19, -0x1.d03fdde785a37p-19, -0x1.c1c9029430254p-19, -0x1.b386b465dcdc6p-19, -0x1.a578f17257292p-19, -0x1.979fb0c7556cfp-19, -0x1.89fae2b72339p-19, -0x1.7c8a71246a17dp-19, -0x1.6f4e3fc9e65ddp-19, -0x1.62462c8096de5p-19, -0x1.55720f826e886p-19, -0x1.48d1bbad5da3ep-19, -0x1.3c64fec0e9bf6p-19, -0x1.302ba19ceb9d7p-19, -0x1.2425687c441d1p-19, -0x1.1852132ea83e5p-19, -0x1.0cb15d5075535p-19, -0x1.0142fe7f4bb38p-19, -0x1.ec0d551ea9481p-20, -0x1.d5f82377ccf14p-20, -0x1.c045c1b304035p-20, -0x1.aaf583078f117p-20, -0x1.9606b4977466dp-20, -0x1.81789dc5e6d3dp-20, -0x1.6d4a808b79d99p-20, -0x1.597b99c98d3b6p-20, -0x1.460b2197592c9p-20, -0x1.32f84b8e8cf8p-20, -0x1.204247154ea73p-20, -0x1.0de83fa5e1fdbp-20, -0x1.f7d2ba2361cdbp-21, -0x1.d4898787ce91bp-21, -0x1.b1f32a0457c4ep-21, -0x1.900dde5129cfbp-21, -0x1.6ed7dbcb73962p-21, -0x1.4e4f54e7191fcp-21, -0x1.2e72779c9a1b1p-21, -0x1.0f3f6dd2e65dep-21, -0x1.e168bb8960309p-22, -0x1.a59ed4cb82f88p-22, -0x1.6b1d6779f0afep-22, -0x1.31e0ae84811e5p-22, -0x1.f3c9c0d744796p-23, -0x1.864c5fceebcadp-23, -0x1.1b4199131a2c4p-23, -0x1.65438d5006f92p-24, -0x1.3194fac0b20e4p-25, 0x1.77bab851429e7p-27, 0x1.e4229970e2ed4p-25, 0x1.b092c1de2b8b8p-24, 0x1.35458a09202cbp-23, 0x1.9004cf3bcc47dp-23, 0x1.e88edbfbbce28p-23, 0x1.1f75ac58a4cd3p-22, 0x1.4990f4f87dc32p-22, 0x1.729d17d61fe38p-22, 0x1.9a9de2338f739p-22, 0x1.c1971e439e235p-22, 0x1.e78c92cb77fb7p-22, 0x1.0641016caf5b9p-21, 0x1.183d96b57ea07p-21, 0x1.29bde68fe25b8p-21, 0x1.3ac3cbf960428p-21, 0x1.4b511f7933e99p-21, 0x1.5b67b6ff9f16ap-21, 0x1.6b0965c5d2ba8p-21, 0x1.7a37fc30f8bbep-21, 0x1.88f547b8a8988p-21, 0x1.974312c7b307ep-21, 0x1.a52324a4e29a8p-21, 0x1.b297415999db8p-21, 0x1.bfa1299b8ed01p-21, 0x1.cc429ab8d4fc4p-21, 0x1.d87d4e8085cbfp-21, 0x1.e452fb34881b6p-21, 0x1.efc5537701b8p-21, 0x1.fad606372a3cap-21, 0x1.02c35f523d9e4p-20, 0x1.07ec920f65eaep-20, 0x1.0ce76d14b734ep-20, 0x1.11b4c02f55a1cp-20, 0x1.165559326bfdep-20, 0x1.1aca03f360492p-20, 0x1.1f138a43ddb51p-20, 0x1.2332b3ecde1fcp-20, 0x1.272846ac144d1p-20, 0x1.2af5062f237fap-20, 0x1.2e99b41138f6dp-20, 0x1.32170fd7aeb37p-20, 0x1.356dd6f064584p-20, 0x1.389ec4b02ccb9p-20, 0x1.3baa92503abe9p-20, 0x1.3e91f6ec8078dp-20, 0x1.4155a78380935p-20, 0x1.43f656f47b099p-20, 0x1.4674b5ffb82a3p-20, 0x1.48d17345347a3p-20, 0x1.4b0d3b45cfed1p-20, 0x1.4d28b86473e36p-20, 0x1.4f2492e4a5b0ep-20, 0x1.510170ebc283p-20, 0x1.52bff6825dddfp-20, 0x1.5460c5950b5f7p-20, 0x1.55e47df575c09p-20, 0x1.574bbd5c43101p-20, 0x1.58971f6a90019p-20, 0x1.59c73dad16f99p-20, 0x1.5adcaf9c9b45fp-20, 0x1.5bd80aa0c2eaap-20, 0x1.5cb9e212c1294p-20, 0x1.5d82c73f74608p-20, 0x1.5e33496a35788p-20, 0x1.5ecbf5cf4676bp-20, 0x1.5f4d57a6ef291p-20, 0x1.5fb7f829a1d62p-20, 0x1.600c5e92404f8p-20, 0x1.604b10210ccdap-20, 0x1.6074901fd33c2p-20, 0x1.60895fe3ff079p-20, 0x1.6089fed352394p-20, 0x1.6076ea66c87dp-20, 0x1.60509e2f1dd0bp-20, 0x1.601793d7c1ae4p-20, 0x1.5fcc432bceb7fp-20, 0x1.5f6f221909695p-20, 0x1.5f00a4b3c9fb3p-20, 0x1.5e813d3b78b2ap-20, 0x1.5df15c1eb2913p-20, 0x1.5d516ffecc9c3p-20, 0x1.5ca1e5b444a4cp-20, 0x1.5be3285382c3ap-20, 0x1.5b15a130fce28p-20, 0x1.5a39b7e5420e7p-20, 0x1.594fd25130739p-20, 0x1.585854a2f1a58p-20, }}, 
      {{0x1.f5f44209d0489p-13, 0x1.f147346bd2d65p-11, 0x1.1385173a0aa94p-9, 0x1.dffd924868ea5p-9, 0x1.6dd4e55b75028p-8, 0x1.fff20c5092ce1p-8, 0x1.517780f49da9ep-7, 0x1.a9bdeb62024fbp-7, 0x1.03a067bc02025p-6, 0x1.344e7255db6fap-6, 0x1.664ee3354fb61p-6, 0x1.99203bae6fc88p-6, 0x1.cc596099f9f3ep-6, 0x1.ffa842e5177e6p-6, 0x1.1967fa3fd222fp-5, 0x1.32d33e5b0fc0fp-5, 0x1.4c094fd2ff06cp-5, 0x1.6504da12f6332p-5, 0x1.7dc6c9c8ac069p-5, 0x1.96555323030e2p-5, 0x1.aebb061924cf2p-5, 0x1.c705f03a9ef33p-5, 0x1.df46cc0defe21p-5, 0x1.f7903eabeffbdp-5, 0x1.07fb126254f3cp-4, 0x1.1446783707656p-4, 0x1.20b48c82935aap-4, 0x1.2d4f4f0b58d3ep-4, 0x1.3a204ee4f6bb3p-4, 0x1.47307f5ec3007p-4, 0x1.5488165eb80d6p-4, 0x1.622e739f0266ap-4, 0x1.702a1012d26eap-4, 0x1.7e80749321512p-4, 0x1.8d3636de0a409p-4, 0x1.9c4efbea4d887p-4, 0x1.abcd7e92b4d6bp-4, 0x1.bbb399a8586a7p-4, 0x1.cc02548cf6896p-4, 0x1.dcb9f18d444eep-4, 0x1.edd9fd4cf8e87p-4, 0x1.ff615eb0b86d5p-4, 0x1.08a733666d3d7p-3, 0x1.11cf703c691f9p-3, 0x1.1b280f9f499e7p-3, 0x1.24af86b8e60b6p-3, 0x1.2e641ca66b8afp-3, 0x1.3843f0804a7c4p-3, 0x1.424cfed85e2e9p-3, 0x1.4c7d26b0016bep-3, 0x1.56d22deb947fbp-3, 0x1.6149c54b9885cp-3, 0x1.6be18bf55981cp-3, 0x1.769712962ecb9p-3, 0x1.8167de2cadcdep-3, 0x1.8c516a832db6ep-3, 0x1.97512c666d1e1p-3, 0x1.a26493a271e9ep-3, 0x1.ad890ccedfd8dp-3, 0x1.b8bc02f2d700fp-3, 0x1.c3fae10772a9fp-3, 0x1.cf43135ed6b6dp-3, 0x1.da9208f4bb9edp-3, 0x1.e5e534ac5aeacp-3, 0x1.f13a0e7ec86d4p-3, 0x1.fc8e149bf3147p-3, 0x1.03ef663fe194cp-2, 0x1.0994e1fe2a8adp-2, 0x1.0f36491cd8b64p-2, 0x1.14d26c5589eabp-2, 0x1.1a6821fcbb779p-2, 0x1.1ff6467178899p-2, 0x1.257bbc871f9eap-2, 0x1.2af76de8e1cf4p-2, 0x1.30684b76a234ep-2, 0x1.35cd4d9ad51bbp-2, 0x1.3b2574991209ap-2, 0x1.406fc8d504281p-2, 0x1.45ab5b118b53bp-2, 0x1.4ad744a7d2726p-2, 0x1.4ff2a7b64e4ecp-2, 0x1.54fcaf478d384p-2, 0x1.59f48f70eb33cp-2, 0x1.5ed98569385dcp-2, 0x1.63aad7977c991p-2, 0x1.6867d59a13e87p-2, 0x1.6d0fd8465df2ep-2, 0x1.71a241a15a69fp-2, 0x1.761e7cd18815bp-2, 0x1.7a83fe0a6666ap-2, 0x1.7ed242720e1a5p-2, 0x1.8308d00147dc2p-2, 0x1.8727355e98f3bp-2, 0x1.8b2d09b4bf64p-2, 0x1.8f19ec850e117p-2, 0x1.92ed85762c703p-2, 0x1.96a7841fa3b84p-2, 0x1.9a479fd2baedp-2, 0x1.9dcd97610750fp-2, 0x1.a13930e12a36dp-2, 0x1.a48a39721dd44p-2, 0x1.a7c084fd740ap-2, 0x1.aadbedf8ebd8bp-2, 0x1.addc5527b1f47p-2, 0x1.b0c1a15b9c109p-2, 0x1.b38bbf36ac4cbp-2, 0x1.b63aa0ed27f73p-2, 0x1.b8ce3e0872e73p-2, 0x1.bb46932af39a7p-2, 0x1.bda3a1d52cf1cp-2, 0x1.bfe5702c37551p-2, 0x1.c20c08c1c296cp-2, 0x1.c4177a5dbd9c6p-2, 0x1.c607d7c9be309p-2, 0x1.c7dd379e419f5p-2, 0x1.c997b411cee88p-2, 0x1.cb376aca0d00dp-2, 0x1.ccbc7caed2d95p-2, 0x1.ce270dbf327f7p-2, 0x1.cf7744e87ee49p-2, 0x1.d0ad4bdf4bdcap-2, 0x1.d1c94efa6068ep-2, 0x1.d2cb7d0f9213ap-2, 0x1.d3b407527d0a6p-2, 0x1.d48321350c377p-2, 0x1.d5390049c73b7p-2, 0x1.d5d5dc27ca22ep-2, 0x1.d659ee5063518p-2, 0x1.d6c572163a9d2p-2, 0x1.d718a485ef902p-2, 0x1.d753c45022f2bp-2, 0x1.d77711b4c9be9p-2, 0x1.d782ce6fc272dp-2, 0x1.d7773da68fc14p-2, 0x1.d754a3d726fep-2, 0x1.d71b46c7bda4dp-2, 0x1.d6cb6d77837c5p-2, 0x1.d6656010358b8p-2, 0x1.d5e967d875a7bp-2, 0x1.d557cf26d653dp-2, 0x1.d4b0e1558a3b4p-2, 0x1.d3f4eab6a3eeap-2, 0x1.d3243888d9205p-2, 0x1.d23f18ecb83adp-2, 0x1.d145dada4470cp-2, 0x1.d038ce16e7ffdp-2, 0x1.cf18432bb36bcp-2, 0x1.cde48b5bddd02p-2, 0x1.cc9df89b77c61p-2, 0x1.cb44dd864eab1p-2, 0x1.c9d98d56ef21bp-2, 0x1.c85c5bddc5093p-2, 0x1.c6cd9d785092ap-2, 0x1.c52da70866537p-2, 0x1.c37ccdeb7824bp-2, 0x1.c1bb67f1e57c3p-2, 0x1.bfe9cb5642f97p-2, 0x1.be084eb4a73ap-2, 0x1.bc174901e686fp-2, 0x1.ba171182cf632p-2, 0x1.b807ffc3518cdp-2, 0x1.b5ea6b8da25b8p-2, 0x1.b3beace14ce33p-2, 0x1.b1851bea3869ep-2, 0x1.af3e10f7a36e5p-2, 0x1.ace9e4730ca65p-2, 0x1.aa88eed717268p-2, 0x1.a81b88a66006fp-2, 0x1.a5a20a624d6eap-2, 0x1.a31ccc81d543bp-2, 0x1.a08c276841383p-2, 0x1.9df0735bed1f8p-2, 0x1.9b4a087d08c7fp-2, 0x1.98993ebc58f37p-2, 0x1.95de6dd1fee92p-2, 0x1.9319ed34469fcp-2, 0x1.904c140e81388p-2, 0x1.8d753937ea07fp-2, 0x1.8a95b32a9c55bp-2, 0x1.87add7fa9f8ap-2, 0x1.84bdfd4d0482p-2, 0x1.81c6784f1e293p-2, 0x1.7ec79dadd475dp-2, 0x1.7bc1c18d170ffp-2, 0x1.78b5377f6f327p-2, 0x1.75a2527db6eddp-2, 0x1.728964def4ec9p-2, 0x1.6f6ac050618e5p-2, 0x1.6c46b5cd978e2p-2, 0x1.691d9598efc1fp-2, 0x1.65efaf340e1c4p-2, 0x1.62bd5158a0611p-2, 0x1.5f86c9f14dab6p-2, 0x1.5c4c6612dced2p-2, 0x1.590e71f592689p-2, 0x1.55cd38eec2d1bp-2, 0x1.5289056aa23ffp-2, 0x1.4f4220e64ef04p-2, 0x1.4bf8d3ea128fdp-2, 0x1.48ad6603e894p-2, 0x1.45601dc23c6cfp-2, 0x1.421140aee77dbp-2, 0x1.3ec1134a6f4aap-2, 0x1.3b6fd90784befp-2, 0x1.381dd446bed2p-2, 0x1.34cb46529b1a6p-2, 0x1.31786f5bbbf3bp-2, 0x1.2e258e7566da5p-2, 0x1.2ad2e1924682p-2, 0x1.2780a581692dap-2, 0x1.242f15eb81e02p-2, 0x1.20de6d5068722p-2, 0x1.1d8ee504d8fccp-2, 0x1.1a40b53073094p-2, 0x1.16f414cbf572cp-2, 0x1.13a9399fb84aep-2, 0x1.1060584264c1ap-2, 0x1.0d19a417e5c95p-2, 0x1.09d54f5096bdep-2, 0x1.06938ae8ab387p-2, 0x1.035486a7ce4dep-2, 0x1.00187120fcbbcp-2, 0x1.f9beef6521911p-3, 0x1.f3538d0d14c82p-3, 0x1.ecef1126092aap-3, 0x1.e691cf35c8291p-3, 0x1.e03c185d63c0fp-3, 0x1.d9ee3b5b56f73p-3, 0x1.d3a8848dfe487p-3, 0x1.cd6b3df66ab32p-3, 0x1.c736af3b92dfdp-3, 0x1.c10b1dadd3733p-3, 0x1.bae8cc4ac756ep-3, 0x1.b4cffbc16ac5fp-3, 0x1.aec0ea7690274p-3, 0x1.a8bbd4899d08dp-3, 0x1.a2c0f3d98c983p-3, 0x1.9cd0800a3798p-3, 0x1.96eaae89e1d3p-3, 0x1.910fb296fb743p-3, 0x1.8b3fbd4628bep-3, 0x1.857afd887da6cp-3, 0x1.7fc1a031eab7p-3, 0x1.7a13cfffe77aep-3, 0x1.7471b5a03f415p-3, 0x1.6edb77b81a8c7p-3, 0x1.69513aeb22e5dp-3, 0x1.63d321e2dd3b7p-3, 0x1.5e614d561dbf2p-3, 0x1.58fbdc10a51d9p-3, 0x1.53a2eafadb9cep-3, 0x1.4e569521a7808p-3, 0x1.4916f3be5f927p-3, 0x1.43e41e3ed9d22p-3, 0x1.3ebe2a4d89f8ep-3, 0x1.39a52bd9b89f3p-3, 0x1.3499351fc6b2ap-3, 0x1.2f9a56b186e91p-3, 0x1.2aa89f7e9ab91p-3, 0x1.25c41cdce6302p-3, 0x1.20ecda9100452p-3, 0x1.1c22e2d6b3e0cp-3, 0x1.17663e697d61p-3, 0x1.12b6f48d154ebp-3, 0x1.0e150b15efa3ep-3, 0x1.09808671c59f9p-3, 0x1.04f969b017afcp-3, 0x1.007fb68aaaf5p-3, 0x1.f826dadc08456p-4, 0x1.ef691b03b3269p-4, 0x1.e6c62962f9225p-4, 0x1.de3dff687568bp-4, 0x1.d5d0942b5ed6dp-4, 0x1.cd7ddc7c1cf54p-4, 0x1.c545caf4bb8ap-4, 0x1.bd28500943c6cp-4, 0x1.b5255a17e7b9bp-4, 0x1.ad3cd579216e4p-4, 0x1.a56eac8f9b844p-4, 0x1.9dbac7d7fda1ap-4, 0x1.96210df885852p-4, 0x1.8ea163d086c4ap-4, 0x1.873bac87ad7f2p-4, 0x1.7fefc99d1ec15p-4, 0x1.78bd9af66888ep-4, 0x1.71a4feee3d015p-4, 0x1.6aa5d2630387dp-4, 0x1.63bff0c53190cp-4, 0x1.5cf33425721e6p-4, 0x1.563f754299514p-4, 0x1.4fa48b976143p-4, 0x1.49224d67f0b1fp-4, 0x1.42b88fcf2ce5bp-4, 0x1.3c6726cbcf3c8p-4, 0x1.362de54d475a2p-4, 0x1.300c9d4061b3ap-4, 0x1.2a031f9bb385cp-4, 0x1.24113c6bd1ab1p-4, 0x1.1e36c2df47c28p-4, 0x1.187381525872ep-4, 0x1.12c7455a820b8p-4, 0x1.0d31dbd1c780dp-4, 0x1.07b310e1c06a8p-4, 0x1.024ab00e6ab98p-4, 0x1.f9f108818e9d1p-5, 0x1.ef78afa267118p-5, 0x1.e52be9231d84ep-5, 0x1.db0a47ae4583fp-5, 0x1.d1135d08a0012p-5, 0x1.c746ba2407dd9p-5, 0x1.bda3ef31de603p-5, 0x1.b42a8bb50ed3ap-5, 0x1.aada1e939974ap-5, 0x1.a1b23627ad166p-5, 0x1.98b2605054677p-5, 0x1.8fda2a81a920ep-5, 0x1.872921d4a185ap-5, 0x1.7e9ed3166912bp-5, 0x1.763acad750552p-5, 0x1.6dfc95794c84p-5, 0x1.65e3bf3e0de6p-5, 0x1.5defd454ad03dp-5, 0x1.562060e6ebd69p-5, 0x1.4e74f12612558p-5, 0x1.46ed115766631p-5, 0x1.3f884de036a79p-5, 0x1.384633518edebp-5, 0x1.31264e737cf53p-5, 0x1.2a282c4ffd7ddp-5, 0x1.234b5a3d85a0ap-5, 0x1.1c8f65e93082cp-5, 0x1.15f3dd6090d83p-5, 0x1.0f784f1b25397p-5, 0x1.091c4a0374dc8p-5, 0x1.02df5d7fd34a2p-5, 0x1.f98232f5a213dp-6, 0x1.ed821cd69f8bp-6, 0x1.e1bd9ab89dfe3p-6, 0x1.d633cfe8b4f94p-6, 0x1.cae3e0f9628d5p-6, 0x1.bfccf3d036c04p-6, 0x1.b4ee2fb2dff48p-6, 0x1.aa46bd53abfc1p-6, 0x1.9fd5c6dd65e9dp-6, 0x1.959a77feb2691p-6, 0x1.8b93fdf4d901fp-6, 0x1.81c18795f6c83p-6, 0x1.7822455ac28e5p-6, 0x1.6eb56967b2c4fp-6, 0x1.657a2795b3772p-6, 0x1.5c6fb57a5c346p-6, 0x1.53954a6f9c0e8p-6, 0x1.4aea1f9b047bap-6, 0x1.426d6ff486133p-6, 0x1.3a1e784cd11bcp-6, 0x1.31fc775336bb6p-6, 0x1.2a06ad9b29bf6p-6, 0x1.223c5da147c48p-6, 0x1.1a9ccbd00d394p-6, 0x1.13273e84110b4p-6, 0x1.0bdafe0ff0d15p-6, 0x1.04b754bfd366cp-6, 0x1.fb771db9288b6p-7, 0x1.edcdf55d2b057p-7, 0x1.e071d10070d4dp-7, 0x1.d36155400a641p-7, 0x1.c69b2ac5020fdp-7, 0x1.ba1dfe47585bp-7, 0x1.ade88090871a9p-7, 0x1.a1f9667d62c7bp-7, 0x1.964f68ff5b61ep-7, 0x1.8ae9451d48804p-7, 0x1.7fc5bbf3a5d65p-7, 0x1.74e392b45817ap-7, 0x1.6a4192a5e0e61p-7, 0x1.5fde892231a45p-7, 0x1.55b94794ed527p-7, 0x1.4bd0a37968455p-7, 0x1.422376580e9a1p-7, 0x1.38b09dc372242p-7, 0x1.2f76fb54fc2bdp-7, 0x1.267574a92e4e4p-7, 0x1.1daaf35bac79ep-7, 0x1.15166502b87dap-7, 0x1.0cb6bb2a823fdp-7, 0x1.048aeb501e05cp-7, 0x1.f923ddb839722p-8, 0x1.e9958639ec95dp-8, 0x1.da68d2821633fp-8, 0x1.cb9bcca107fbbp-8, 0x1.bd2c864daa4ddp-8, 0x1.af1918d843383p-8, 0x1.a15fa51c79413p-8, 0x1.93fe537354825p-8, 0x1.86f353a4503a4p-8, 0x1.7a3cdcd69f511p-8, 0x1.6dd92d817feb4p-8, 0x1.61c68b5cac8acp-8, 0x1.560343503f9b1p-8, 0x1.4a8da9644afdcp-8, 0x1.3f6418b050a09p-8, 0x1.3484f34a250d2p-8, 0x1.29eea234e9e5p-8, 0x1.1f9f954fbaf6ap-8, 0x1.15964343dbcf5p-8, 0x1.0bd1297317b09p-8, 0x1.024ecbe5bc77bp-8, 0x1.f21b6a70c9182p-9, 0x1.e018ed13a000dp-9, 0x1.ce934ed0ab1cep-9, 0x1.bd87cb7eca9d1p-9, 0x1.acf3ab89dbc25p-9, 0x1.9cd443cd1449dp-9, 0x1.8d26f56d6fdcfp-9, 0x1.7de92db404bc4p-9, 0x1.6f1865e80aba3p-9, 0x1.60b22328c730ap-9, 0x1.52b3f647d5492p-9, 0x1.451b7ba2d405ap-9, 0x1.37e65afd5596bp-9, 0x1.2b12475af739ap-9, 0x1.1e9cfed91061dp-9, 0x1.12844a88ed7dcp-9, 0x1.06c5fe49baccdp-9, 0x1.f6bff1451fb4fp-10, 0x1.e0a04539752f9p-10, 0x1.cb28df3c0be5bp-10, 0x1.b655ba8671752p-10, 0x1.a222e67520022p-10, 0x1.8e8c863cfa182p-10, 0x1.7b8ed0a12abf3p-10, 0x1.69260fa918b4fp-10, 0x1.574ea05728d01p-10, 0x1.4604f25fa46b9p-10, 0x1.354587df85ecp-10, 0x1.250cf5152728p-10, 0x1.1557e017a16bfp-10, 0x1.06230090591f3p-10, 0x1.eed63ee75d144p-11, 0x1.d25a2d7627b59p-11, 0x1.b6cba23dd0553p-11, 0x1.9c2493a41375ep-11, 0x1.825f1879a51f4p-11, 0x1.697567728cc31p-11, 0x1.5161d69ec7645p-11, 0x1.3a1edae5d92afp-11, 0x1.23a707816ce63p-11, 0x1.0df50d7ae36f2p-11, 0x1.f20776536878fp-12, 0x1.c99bf7648f1e9p-12, 0x1.a29dad0f7dd85p-12, 0x1.7d02ddd9ad17fp-12, 0x1.58c206f1be789p-12, 0x1.35d1db37adb0fp-12, 0x1.1429424941233p-12, 0x1.e77eaf2447418p-13, 0x1.a916d2b8c0b63p-13, 0x1.6d09efce0e2e4p-13, 0x1.334768fa84a3dp-13, 0x1.f77e023dfa451p-14, 0x1.8cc1b34b547c5p-14, 0x1.263ae17cbbfc9p-14, 0x1.87967e9a11362p-15, 0x1.9554c7a004536p-16, 0x1.5779b9fc79dd9p-19, -0x1.3074b1e7c5514p-16, -0x1.3ea2a76dde812p-15, -0x1.ddf73253ad5bfp-15, -0x1.3b364bc708ca5p-14, -0x1.841b1b53be6b6p-14, -0x1.c9c31b843ccdep-14, -0x1.062363854ef76p-13, -0x1.25df014c0730ep-13, -0x1.44200fe8c4757p-13, -0x1.60f1f0218c6fap-13, -0x1.7c5fbc1a33b2cp-13, -0x1.967448c80dc8cp-13, -0x1.af3a27508e70ap-13, -0x1.c6bba66d46a8dp-13, -0x1.dd02d3c4f6ca7p-13, -0x1.f2197d414f43ap-13, -0x1.0304992f44fb1p-12, -0x1.0c6da2bad94c3p-12, -0x1.154c6681eac75p-12, -0x1.1da552742c13ep-12, -0x1.257cb7d02029bp-12, -0x1.2cd6cbbd6c576p-12, -0x1.33b7a7e64d9c9p-12, -0x1.3a234b0be6e82p-12, -0x1.401d999b591a4p-12, -0x1.45aa5e3c89c81p-12, -0x1.4acd4a61c4df2p-12, -0x1.4f89f6d2aa061p-12, -0x1.53e3e435f94e7p-12, -0x1.57de7b9869f27p-12, -0x1.5b7d0ef20df97p-12, -0x1.5ec2d9a7ae89fp-12, -0x1.61b3010ac725dp-12, -0x1.645094d757694p-12, -0x1.669e8faffb6f2p-12, -0x1.689fd796672abp-12, -0x1.6a573e6245ae2p-12, -0x1.6bc78236a80bp-12, -0x1.6cf34df3d8f67p-12, -0x1.6ddd39a84cfebp-12, -0x1.6e87cafeaac1cp-12, -0x1.6ef575aa7128cp-12, -0x1.6f289bd263eeap-12, -0x1.6f238e7837566p-12, -0x1.6ee88ddf07d5cp-12, -0x1.6e79c9ef4c624p-12, -0x1.6dd96299d17e8p-12, -0x1.6d096837ab692p-12, -0x1.6c0bdbe8d8532p-12, -0x1.6ae2aff0a86edp-12, -0x1.698fc8112957bp-12, -0x1.6814f9e34580dp-12, -0x1.66740d2e5552ep-12, -0x1.64aebc3ded7aep-12, -0x1.62c6b4356e1cap-12, -0x1.60bd956210835p-12, -0x1.5e94f38af20f1p-12, -0x1.5c4e5640418e8p-12, -0x1.59eb3927fea6ap-12, -0x1.576d0c49ab024p-12, -0x1.54d53458175f8p-12, -0x1.52250afa20983p-12, -0x1.4f5ddf10f869ap-12, -0x1.4c80f4fddcc59p-12, -0x1.498f86e5d154p-12, -0x1.468ac4f44c178p-12, -0x1.4373d59bf0df8p-12, -0x1.404bd5d69247p-12, -0x1.3d13d9632afc9p-12, -0x1.39cceb02d56f4p-12, -0x1.36780cb46025ap-12, -0x1.331637ee79cb7p-12, -0x1.2fa85dd8e1f2p-12, -0x1.2c2f6783f193cp-12, -0x1.28ac361f6516cp-12, -0x1.251fa32f5a0afp-12, -0x1.218a80c092e8bp-12, -0x1.1ded999b3dcep-12, -0x1.1a49b174d9275p-12, -0x1.169f8520ceae3p-12, -0x1.12efcac008bfap-12, -0x1.0f3b31ef8f189p-12, -0x1.0b8263f5dc29bp-12, -0x1.07c603eee60cep-12, -0x1.0406aef798445p-12, -0x1.0044fc587f35ap-12, -0x1.f902fb5d72c8p-13, -0x1.f1797e2941376p-13, -0x1.e9ee8e91fb889p-13, -0x1.e2632fab7c4bfp-13, -0x1.dad85a6aa0505p-13, -0x1.d34efdeeff6bbp-13, -0x1.cbc7ffca669b9p-13, -0x1.c4443c46cfbc5p-13, -0x1.bcc486aaf1dd4p-13, -0x1.b549a97c9686bp-13, -0x1.add466c1b1f1ep-13, -0x1.a665783fab628p-13, -0x1.9efd8fb92149dp-13, -0x1.979d572a842d6p-13, -0x1.90457104bbda4p-13, -0x1.88f678674495ap-13, -0x1.81b101577ca13p-13, -0x1.7a7598f7636e8p-13, -0x1.7344c5bada04ep-13, -0x1.6c1f079b9e3d4p-13, -0x1.6504d84be4ea1p-13, -0x1.5df6ab67d1f64p-13, -0x1.56f4eea54be1fp-13, -0x1.50000a0338d2fp-13, -0x1.49185ff6e745ep-13, -0x1.423e4d98838d9p-13, -0x1.3b722ace64151p-13, -0x1.34b44a7785918p-13, -0x1.2e04fa94aa9f1p-13, -0x1.276484703c83dp-13, -0x1.20d32cc5a2225p-13, -0x1.1a5133e719054p-13, -0x1.13ded5e2b0d71p-13, -0x1.0d7c4aa606315p-13, -0x1.0729c621f46a8p-13, -0x1.00e7786c63b42p-13, -0x1.f56b1bc2a5ba4p-14, -0x1.e9285e87b0256p-14, -0x1.dd0703ba0dff3p-14, -0x1.d1074f355591dp-14, -0x1.c5297e5a4fbcep-14, -0x1.b96dc849160cep-14, -0x1.add45e18bdec3p-14, -0x1.a25d6b0f3bda2p-14, -0x1.970914d5d89c7p-14, -0x1.8bd77bad9ae98p-14, -0x1.80c8baa16bed7p-14, -0x1.75dce7b7673d4p-14, -0x1.6b14141fee1cap-14, -0x1.606e4c6459204p-14, -0x1.55eb9893b3c07p-14, -0x1.4b8bfc6e767fp-14, -0x1.414f7791e192cp-14, -0x1.373605a03e671p-14, -0x1.2d3f9e6938b3fp-14, -0x1.236c36110bd4ap-14, -0x1.19bbbd3584e91p-14, -0x1.102e2113c21ebp-14, -0x1.06c34bab08b7bp-14, -0x1.faf647bfdb271p-15, -0x1.e8ab1b3b639ecp-15, -0x1.d6a4d3ec97a85p-15, -0x1.c4e32e863994bp-15, -0x1.b365e285318a7p-15, -0x1.a22ca26ce5f2fp-15, -0x1.91371c005dba9p-15, -0x1.8084f87aedd4fp-15, -0x1.7015dcc67eaa1p-15, -0x1.5fe969afae3b8p-15, -0x1.4fff3c18f3ed6p-15, -0x1.4056ed2bab1e9p-15, -0x1.30f0128850bffp-15, -0x1.21ca3e74d4c44p-15, -0x1.12e500094f089p-15, -0x1.043fe35bbff61p-15, -0x1.ebb4e3532a01ep-16, -0x1.cf686303a7361p-16, -0x1.b3994dd61974cp-16, -0x1.9846a714b3174p-16, -0x1.7d6f6d8f6fb14p-16, -0x1.63129be47e525p-16, -0x1.492f28c5be61ep-16, -0x1.2fc4073b26ba7p-16, -0x1.16d026e3e882ap-16, -0x1.fca4e867bfd16p-17, -0x1.cc93b160522dep-17, -0x1.9d6a76539655cp-17, -0x1.6f26ffece8458p-17, -0x1.41c7124dd433ep-17, -0x1.15486d7515741p-17, -0x1.d3519b4b995c7p-18, -0x1.7dcbd78fa645ep-18, -0x1.29fafb8f0dc92p-18, -0x1.afb4dbc4fce09p-19, -0x1.0ecb212326abap-19, -0x1.c4be0da518771p-21, 0x1.493a3da013b66p-22, 0x1.80851faee1674p-20, 0x1.542ba8c205e37p-19, 0x1.e4ebe93a584c2p-19, 0x1.394654f5605a5p-18, 0x1.7e8ba22bdbf5p-18, 0x1.c24a88ef4e3dep-18, 0x1.0243daaf8e917p-17, 0x1.22a3e94536121p-17, 0x1.4247c504fb508p-17, 0x1.6131c1c603d79p-17, 0x1.7f64323565aep-17, 0x1.9ce167a1dc30cp-17, 0x1.b9abb1ce4cddp-17, 0x1.d5c55ec0a719ep-17, 0x1.f130ba96d92c8p-17, 0x1.05f807acf4133p-16, 0x1.1302d26b3bfd9p-16, 0x1.1fb9e03a339e1p-16, 0x1.2c1e5289a9c24p-16, 0x1.38314973e117ap-16, 0x1.43f3e3aacef8cp-16, 0x1.4f673e69f235ep-16, 0x1.5a8c75654f331p-16, 0x1.6564a2bb26fbfp-16, 0x1.6ff0dee58a504p-16, 0x1.7a3240aead692p-16, 0x1.8429dd230ebd7p-16, 0x1.8dd8c785e629p-16, 0x1.974011453a018p-16, 0x1.a060c9f06c1d5p-16, 0x1.a93bff2d19638p-16, 0x1.b1d2bcadb765bp-16, 0x1.ba260c28bc531p-16, 0x1.c236f550eda33p-16, 0x1.ca067dcc5d854p-16, 0x1.d195a92d08161p-16, 0x1.d8e578eb8dbc1p-16, 0x1.dff6ec5f55dd8p-16, 0x1.e6cb00b8f20c8p-16, 0x1.ed62b0fcf988cp-16, 0x1.f3bef5fdba702p-16, 0x1.f9e0c657cc156p-16, 0x1.ffc9166d7b57ep-16, 0x1.02bc6c315b436p-15, 0x1.05787e0cc67d5p-15, 0x1.08193797552f2p-15, 0x1.0a9f0e7ba3f7fp-15, 0x1.0d0a773f26c2bp-15, 0x1.0f5be540a17fep-15, 0x1.1193cab7ce6fbp-15, 0x1.13b298b46af01p-15, 0x1.15b8bf1d6f2abp-15, }}, 
      {{0x1.9334a1a8b7154p-7, 0x1.95774f636ebbcp-6, 0x1.329af7be380bbp-5, 0x1.9ccd70c0d6e6p-5, 0x1.04a7a2c034251p-4, 0x1.3be5c6a86f655p-4, 0x1.73da9647b0ac4p-4, 0x1.ac2f2f32e481dp-4, 0x1.e4863c3ab679fp-4, 0x1.0e41cad0ffe09p-3, 0x1.29e8da345d66p-3, 0x1.4512a131bca32p-3, 0x1.5f9f90d715946p-3, 0x1.7976a2147f7f7p-3, 0x1.928550ca4ae4dp-3, 0x1.aabf471b34d69p-3, 0x1.c21dd3b34ec9p-3, 0x1.d89f40113c563p-3, 0x1.ee46170724434p-3, 0x1.018c33ccee803p-2, 0x1.0b8f8686aa281p-2, 0x1.1532811bb6287p-2, 0x1.1e7b62047c778p-2, 0x1.2770e2c5838cdp-2, 0x1.3019fb2192a95p-2, 0x1.387dad7d9b7bap-2, 0x1.40a2dc1cc8839p-2, 0x1.4890269f9914bp-2, 0x1.504bcf0c105b5p-2, 0x1.57dba591871cp-2, 0x1.5f44fa345c89bp-2, 0x1.668c9390f5e96p-2, 0x1.6db6a9ef51bb3p-2, 0x1.74c6e5ee8ad83p-2, 0x1.7bc0622053d14p-2, 0x1.82a5aefe33cd3p-2, 0x1.8978d8b43beffp-2, 0x1.903b6e4e6212cp-2, 0x1.96ee89e602cbbp-2, 0x1.9d92d97c3d871p-2, 0x1.a428a83b7c363p-2, 0x1.aaafe7e6b7eabp-2, 0x1.b1283a47c4f3ep-2, 0x1.b790fa7740d3ap-2, 0x1.bde945e0cfe66p-2, 0x1.c43004ed32179p-2, 0x1.ca63f34179faep-2, 0x1.d083a7878f982p-2, 0x1.d68d9ab82f8edp-2, 0x1.dc802ee1dd7dep-2, 0x1.e259b56af7ec6p-2, 0x1.e81874cf3cdf4p-2, 0x1.edbaaddacedf2p-2, 0x1.f33ea06611d9dp-2, 0x1.f8a28f96c94b3p-2, 0x1.fde4c5ab9c72ep-2, 0x1.0181cbabda26ep-1, 0x1.03feb35a3dbd7p-1, 0x1.066852e7e4a4ap-1, 0x1.08bdec6e6e018p-1, 0x1.0afecc073caacp-1, 0x1.0d2a489046856p-1, 0x1.0f3fc44bb6f22p-1, 0x1.113ead5d67ef9p-1, 0x1.13267e2914973p-1, 0x1.14f6bd940f6c5p-1, 0x1.16aeff2d22722p-1, 0x1.184ee33d1dc9ap-1, 0x1.19d616c27a5ecp-1, 0x1.1b44535a4ad9ap-1, 0x1.1c995f189d104p-1, 0x1.1dd50c523e0dcp-1, 0x1.1ef73959bf2fbp-1, 0x1.1fffd0316c3e9p-1, 0x1.20eec633cb138p-1, 0x1.21c41bb41951p-1, 0x1.227fdb98239f7p-1, 0x1.23221aecaf211p-1, 0x1.23aaf875979b5p-1, 0x1.241a9c3aaa37ep-1, 0x1.2471371229b27p-1, 0x1.24af0229d5df9p-1, 0x1.24d43e8f36165p-1, 0x1.24e134b7d7b9dp-1, 0x1.24d6340a189e5p-1, 0x1.24b3926708b5p-1, 0x1.2479abb5db801p-1, 0x1.2428e171526c2p-1, 0x1.23c19a377bfa3p-1, 0x1.2344415c178d5p-1, 0x1.22b1467dde82ep-1, 0x1.22091d1eebc1cp-1, 0x1.214c3c4070dp-1, 0x1.207b1e01d8f9ep-1, 0x1.1f963f437cd9cp-1, 0x1.1e9e1f4cf5dc1p-1, 0x1.1d933f7724393p-1, 0x1.1c7622d9eb5a9p-1, 0x1.1b474dfdad3dcp-1, 0x1.1a0746907b9a3p-1, 0x1.18b6931eff39p-1, 0x1.1755bad10735p-1, 0x1.15e54529b4b21p-1, 0x1.1465b9cb31e65p-1, 0x1.12d7a03de34d1p-1, 0x1.113b7fbafc5dfp-1, 0x1.0f91defa631b2p-1, 0x1.0ddb4403ca48ap-1, 0x1.0c183402e81e5p-1, 0x1.0a49331eb228bp-1, 0x1.086ec4537fc4fp-1, 0x1.0689694ffccb6p-1, 0x1.0499a254ce478p-1, 0x1.029fee16ccdfcp-1, 0x1.009cc9a3bc846p-1, 0x1.fd216092c8bb8p-2, 0x1.f8f836fdd5aadp-2, 0x1.f4bf05a0ba2fcp-2, 0x1.f076b7988c44bp-2, 0x1.ec2033e67a574p-2, 0x1.e7bc5d529f665p-2, 0x1.e34c1252618fap-2, 0x1.ded02cf22a3cap-2, 0x1.da4982c245592p-2, 0x1.d5b8e4c6c3146p-2, 0x1.d11f1f6a24501p-2, 0x1.cc7cfa72b2147p-2, 0x1.c7d338fa532bfp-2, 0x1.c3229968b61edp-2, 0x1.be6bd56fb0c5dp-2, 0x1.b9afa209a826dp-2, 0x1.b4eeaf79e4754p-2, 0x1.b029a94eb26ddp-2, 0x1.ab6136652530dp-2, 0x1.a695f8ee6e7d7p-2, 0x1.a1c88e7699691p-2, 0x1.9cf98feca1d9ep-2, 0x1.982991abbe1c7p-2, 0x1.93592385cb2f2p-2, 0x1.8e88d0cebf9ddp-2, 0x1.89b920690f61p-2, 0x1.84ea94d2ee475p-2, 0x1.801dac3457673p-2, 0x1.7b52e06dcd48dp-2, 0x1.768aa727b9453p-2, 0x1.71c571e25f1c4p-2, 0x1.6d03ae0652b99p-2, 0x1.6845c4f561a41p-2, 0x1.638c1c1bde81dp-2, 0x1.5ed7150248866p-2, 0x1.5a270d5f39403p-2, 0x1.557c5f29953f6p-2, 0x1.50d760aaefc0fp-2, 0x1.4c38649218929p-2, 0x1.479fba05ca826p-2, 0x1.430dacb770ad1p-2, 0x1.3e8284f5fac05p-2, 0x1.39fe87c0bc3bap-2, 0x1.3581f6da44376p-2, 0x1.310d10db36ee8p-2, 0x1.2ca01145145e3p-2, 0x1.283b3094edbecp-2, 0x1.23dea45606518p-2, 0x1.1f8a9f34508d8p-2, 0x1.1b3f510ed15abp-2, 0x1.16fce709d7519p-2, 0x1.12c38ba10c27cp-2, 0x1.0e9366b958d08p-2, 0x1.0a6c9db298cb6p-2, 0x1.064f537918abdp-2, 0x1.023ba896e4b1p-2, 0x1.fc637689ae4e7p-3, 0x1.f4634ef6ebef6p-3, 0x1.ec770e07181a4p-3, 0x1.e49ee30d14d98p-3, 0x1.dcdaf93d4f8e9p-3, 0x1.d52b77cd824b7p-3, 0x1.cd908213f0599p-3, 0x1.c60a37a61d0e2p-3, 0x1.be98b476feac8p-3, 0x1.b73c10f4aab4dp-3, 0x1.aff4622572d1fp-3, 0x1.a8c1b9c4815afp-3, 0x1.a1a4265de4b27p-3, 0x1.9a9bb36a1410cp-3, 0x1.93a86968e791fp-3, 0x1.8cca4dfc09ae7p-3, 0x1.86016400d792p-3, 0x1.7f4daba9c0246p-3, 0x1.78af229714934p-3, 0x1.7225c3ef4c1f3p-3, 0x1.6bb18876ce861p-3, 0x1.655266a7239d1p-3, 0x1.5f0852c5afb15p-3, 0x1.58d33ef9dfa5cp-3, 0x1.52b31b62d2e31p-3, 0x1.4ca7d62c869dap-3, 0x1.46b15ba47eeccp-3, 0x1.40cf964debf0cp-3, 0x1.3b026ef5591b5p-3, 0x1.3549ccc3d5e2bp-3, 0x1.2fa59551addebp-3, 0x1.2a15acb89eb64p-3, 0x1.2499f5a5982f5p-3, 0x1.1f32516a0e4b3p-3, 0x1.19dea00cc934p-3, 0x1.149ec05a4e40ap-3, 0x1.0f728ff4d3fbp-3, 0x1.0a59eb63c3cd8p-3, 0x1.0554ae22d303ep-3, 0x1.0062b2b0af9aep-3, 0x1.f707a53a837fap-4, 0x1.ed6fcd2f0ccd5p-4, 0x1.e3fd8cf605ea8p-4, 0x1.dab092b9b05adp-4, 0x1.d1888b30d8d46p-4, 0x1.c88521b77849fp-4, 0x1.bfa6006691af4p-4, 0x1.b6ead02b4ffbap-4, 0x1.ae5338dd79884p-4, 0x1.a5dee15527317p-4, 0x1.9d8d6f7fd4581p-4, 0x1.955e8874bcad6p-4, 0x1.8d51d0889555p-4, 0x1.8566eb60a298dp-4, 0x1.7d9d7c0529d3fp-4, 0x1.75f524f347da3p-4, 0x1.6e6d882e2c8fcp-4, 0x1.6706474fc0442p-4, 0x1.5fbf0398b546ep-4, 0x1.58975e0008867p-4, 0x1.518ef741f7621p-4, 0x1.4aa56fee69f9cp-4, 0x1.43da6876d716dp-4, 0x1.3d2d813ba69a1p-4, 0x1.369e5a9911072p-4, 0x1.302c94f3849eap-4, 0x1.29d7d0c38d90fp-4, 0x1.239faea149611p-4, 0x1.1d83cf4f654a6p-4, 0x1.1783d3c5a96bfp-4, 0x1.119f5d3b18fe1p-4, 0x1.0bd60d2fa2a48p-4, 0x1.062785756c20dp-4, 0x1.00936839b3681p-4, 0x1.f632b01a9f56cp-5, 0x1.eb71efd99f5edp-5, 0x1.e0e3d6907247fp-5, 0x1.d687ac14dc2cep-5, 0x1.cc5cb9406e2d5p-5, 0x1.c26247fdeea9dp-5, 0x1.b897a35616db8p-5, 0x1.aefc177baffa6p-5, 0x1.a58ef1d70a51ep-5, 0x1.9c4f8110dfdb4p-5, 0x1.933d151c9a9fap-5, 0x1.8a56ff420d4f3p-5, 0x1.819c922698125p-5, 0x1.790d21d5cb2bcp-5, 0x1.70a803c97b1bbp-5, 0x1.686c8ef15b608p-5, 0x1.605a1bba14eb7p-5, 0x1.58700413e5501p-5, 0x1.50ada378ca30fp-5, 0x1.491256f235c0ep-5, 0x1.419d7d1e584dap-5, 0x1.3a4e7634fc5e6p-5, 0x1.3324a40bfbbbap-5, 0x1.2c1f6a1b513dep-5, 0x1.253e2d80c9814p-5, 0x1.1e805503516eap-5, 0x1.17e54915f3d84p-5, 0x1.116c73da75fa7p-5, 0x1.0b154123a52c7p-5, 0x1.04df1e7751e23p-5, 0x1.fd92f61ff7bb3p-6, 0x1.f1a78fbc67929p-6, 0x1.e5faef13652afp-6, 0x1.da8bfce45a8efp-6, 0x1.cf59a55fc204ap-6, 0x1.c462d827c3adap-6, 0x1.b9a688505531dp-6, 0x1.af23ac5ee1c91p-6, 0x1.a4d93e4979f0dp-6, 0x1.9ac63b759bb04p-6, 0x1.90e9a4b68af9ap-6, 0x1.87427e4b4c746p-6, 0x1.7dcfcfdc3822p-6, 0x1.7490a4782e6bcp-6, 0x1.6b840a91780b2p-6, 0x1.62a913fa52e8ep-6, 0x1.59fed5e1286ebp-6, 0x1.518468cc788d8p-6, 0x1.4938e8967cfcdp-6, 0x1.411b746881e31p-6, 0x1.392b2eb600912p-6, 0x1.31673d377c513p-6, 0x1.29cec8e51af3bp-6, 0x1.2260fdf10ab1dp-6, 0x1.1b1d0bc1afc4dp-6, 0x1.140224eba2d6fp-6, 0x1.0d0f7f2b7b62bp-6, 0x1.0644535f6f243p-6, 0x1.ff3fbb0180936p-7, 0x1.f242b93a28d46p-7, 0x1.e590259f1b204p-7, 0x1.d9268a73b874dp-7, 0x1.cd0477fa32238p-7, 0x1.c12884651a0d7p-7, 0x1.b5914bc8b7c31p-7, 0x1.aa3d700c1fb72p-7, 0x1.9f2b98da311c7p-7, 0x1.945a73924ecddp-7, 0x1.89c8b3390048cp-7, 0x1.7f75106869d7fp-7, 0x1.755e4940a72fcp-7, 0x1.6b83215802db6p-7, 0x1.61e261ab2809p-7, 0x1.587ad88d274cbp-7, 0x1.4f4b59976eb8ap-7, 0x1.4652bd99bb0fep-7, 0x1.3d8fe289f2e1p-7, 0x1.3501ab740428ap-7, 0x1.2ca70069a77fp-7, 0x1.247ece72332cfp-7, 0x1.1c88077a572b6p-7, 0x1.14c1a243ec6b8p-7, 0x1.0d2a9a55b9d8dp-7, 0x1.05c1efeb488dbp-7, 0x1.fd0d4fc96b47cp-8, 0x1.eeef976d1ae66p-8, 0x1.e128d2b370ce3p-8, 0x1.d3b72676df251p-8, 0x1.c698c05a74d28p-8, 0x1.b9cbd6aa191f7p-8, 0x1.ad4ea83ad5699p-8, 0x1.a11f7c4b2987ep-8, 0x1.953ca263c9bdcp-8, 0x1.89a4723848694p-8, 0x1.7e554b881c048p-8, 0x1.734d95ffbbf3ep-8, 0x1.688bc11a04427p-8, 0x1.5e0e4401bc46p-8, 0x1.53d39d73561dep-8, 0x1.49da539ef6d1cp-8, 0x1.4020f40ab5e2dp-8, 0x1.36a6137508c67p-8, 0x1.2d684db796ce2p-8, 0x1.246645aa0a3edp-8, 0x1.1b9ea505668b7p-8, 0x1.13101c4782dfp-8, 0x1.0ab96296be5a6p-8, 0x1.029935a616d62p-8, 0x1.f55cb332e2edfp-9, 0x1.e5ef31d46f65fp-9, 0x1.d6e788985163bp-9, 0x1.c84365251ca2dp-9, 0x1.ba00812b4d9ap-9, 0x1.ac1ca230dcc0bp-9, 0x1.9e95995d35799p-9, 0x1.91694345fcb71p-9, 0x1.849587bc45f75p-9, 0x1.7818599a642edp-9, 0x1.6befb6927a1b5p-9, 0x1.6019a6fd74fbdp-9, 0x1.54943daad3a2bp-9, 0x1.495d97b0e6908p-9, 0x1.3e73dc3da41d2p-9, 0x1.33d53c683f68bp-9, 0x1.297ff3034c093p-9, 0x1.1f72446f66038p-9, 0x1.15aa7e6e86978p-9, 0x1.0c26f7f800ce9p-9, 0x1.02e6110d17b98p-9, 0x1.f3cc651c2d726p-10, 0x1.e24b9c203756ep-10, 0x1.d146bb66cac64p-10, 0x1.c0bac7f4b7cc6p-10, 0x1.b0a4d74252b28p-10, 0x1.a1020eeb7ce2cp-10, 0x1.91cfa4614f809p-10, 0x1.830adc9cb933ap-10, 0x1.74b10bd26ed77p-10, 0x1.66bf9527b7b83p-10, 0x1.5933ea68ac3b6p-10, 0x1.4c0b8bbf7ade3p-10, 0x1.3f44076cd6706p-10, 0x1.32daf981968e1p-10, 0x1.26ce0b993045ep-10, 0x1.1b1af495b56ecp-10, 0x1.0fbf785c8ee4p-10, 0x1.04b96794938f8p-10, 0x1.f40d3ec9cc1eap-11, 0x1.df4a126aa57a7p-11, 0x1.cb2534de7f7c1p-11, 0x1.b79aa88043e6cp-11, 0x1.a4a686b918207p-11, 0x1.9244ff8938caep-11, 0x1.8072591286d4bp-11, 0x1.6f2aef2511p-11, 0x1.5e6b32ce0b215p-11, 0x1.4e2fa9e7d649bp-11, 0x1.3e74eeaced1bap-11, 0x1.2f37af4c773cdp-11, 0x1.2074ad8048e58p-11, 0x1.1228be254ecf2p-11, 0x1.0450c8d5a5136p-11, 0x1.edd38f088d7edp-12, 0x1.d3e18c367f3aep-12, 0x1.bac5c4356593ap-12, 0x1.a27a94749165dp-12, 0x1.8afa7c18725a9p-12, 0x1.74401b43d9c37p-12, 0x1.5e463264af441p-12, 0x1.4907a1848279dp-12, 0x1.347f679b4861ap-12, 0x1.20a8a1e61e44p-12, 0x1.0d7e8b41b31fdp-12, 0x1.f5f8f70d44908p-13, 0x1.d23bcdd2e9e9p-13, 0x1.afbcbabc9838fp-13, 0x1.8e7313fc86788p-13, 0x1.6e5664e226528p-13, 0x1.4f5e6cb239185p-13, 0x1.31831d8354837p-13, 0x1.14bc9b2224272p-13, 0x1.f20673f4355f9p-14, 0x1.bc9efc0894fe4p-14, 0x1.89343374df27dp-14, 0x1.57b7da210005ep-14, 0x1.281c08e5d5821p-14, 0x1.f4a65f25a2913p-15, 0x1.9ca02603acc49p-15, 0x1.480b9660596aap-15, 0x1.ed9f0587b7dccp-16, 0x1.51a6b94caf277p-16, 0x1.77fcc36543812p-17, 0x1.63ba40f5963c7p-19, -0x1.747084a08a408p-18, -0x1.c1d08b4ea9a6ep-17, -0x1.5f18754b80bc5p-16, -0x1.d7d6eac8f90a8p-16, -0x1.25a668f7446fap-15, -0x1.5cd126e79cb76p-15, -0x1.917f3f68bab16p-15, -0x1.c3c3c4482a786p-15, -0x1.f3b14bd6af194p-15, -0x1.10acf9ddee7f6p-14, -0x1.2667b1dd30f43p-14, -0x1.3b116836116cbp-14, -0x1.4eb27ef35ebdbp-14, -0x1.6153212d2228fp-14, -0x1.72fb444bc3d2ep-14, -0x1.83b2a9490b952p-14, -0x1.9380dde888d12p-14, -0x1.a26d3de811433p-14, -0x1.b07ef42cb80d3p-14, -0x1.bdbcfbe5cbc14p-14, -0x1.ca2e21aa58618p-14, -0x1.d5d9049412fc4p-14, -0x1.e0c4174ece8e3p-14, -0x1.eaf5a1267272dp-14, -0x1.f473bf0c64148p-14, -0x1.fd44649830a48p-14, -0x1.02b6ae8109151p-13, -0x1.067a260cab5d3p-13, -0x1.09ef5799ed89p-13, -0x1.0d18ef0c95f29p-13, -0x1.0ff985f415ee5p-13, -0x1.1293a3fb24a1p-13, -0x1.14e9bf5634333p-13, -0x1.16fe3d2ee881ep-13, -0x1.18d3720cc1bbcp-13, -0x1.1a6ba23b8a24p-13, -0x1.1bc90230600bp-13, -0x1.1cedb6ea452a8p-13, -0x1.1ddbd653f4104p-13, -0x1.1e9567a03f9e5p-13, -0x1.1f1c63a677f32p-13, -0x1.1f72b53b659ep-13, -0x1.1f9a398907c6cp-13, -0x1.1f94c0641f61cp-13, -0x1.1f640c9fbf48ep-13, -0x1.1f09d45f5651fp-13, -0x1.1e87c16641167p-13, -0x1.1ddf71660742cp-13, -0x1.1d127649e43dfp-13, -0x1.1c2256825f216p-13, -0x1.1b108d4d420c1p-13, -0x1.19de8afd813f6p-13, -0x1.188db53fdac35p-13, -0x1.171f675f7189ep-13, -0x1.1594f287aa025p-13, -0x1.13ef9e0522cb2p-13, -0x1.1230a784f970cp-13, -0x1.10594353112bep-13, -0x1.0e6a9c961027ap-13, -0x1.0c65d58a226ep-13, -0x1.0a4c07bad38aep-13, -0x1.081e443baceefp-13, -0x1.05dd93dec9003p-13, -0x1.038af76a86caap-13, -0x1.012767ce4e18cp-13, -0x1.fd67acaab64a7p-14, -0x1.f86259b1ae1c4p-14, -0x1.f3409be14f09dp-14, -0x1.ee042a4698669p-14, -0x1.e8aeae29158fep-14, -0x1.e341c364dabd3p-14, -0x1.ddbef8c3ab711p-14, -0x1.d827d05367c1dp-14, -0x1.d27dbfbb3c94ep-14, -0x1.ccc2308d88c6ap-14, -0x1.c6f680992ccdep-14, -0x1.c11c0237a4ea1p-14, -0x1.bb33fc9a782e7p-14, -0x1.b53fac1551abcp-14, -0x1.af404267ad832p-14, -0x1.a936e704d93bap-14, -0x1.a324b758e7b4ap-14, -0x1.9d0ac70d3aa23p-14, -0x1.96ea204a857fp-14, -0x1.90c3c3f9fc1b8p-14, -0x1.8a98aa0431662p-14, -0x1.8469c18f23fa2p-14, -0x1.7e37f13a80646p-14, -0x1.7804175a8e091p-14, -0x1.71cf0a3128dbbp-14, -0x1.6b999825fa83bp-14, -0x1.656487fcfe4bfp-14, -0x1.5f30990c01d7bp-14, -0x1.58fe836e2c2ddp-14, -0x1.52cef8376652p-14, -0x1.4ca2a1a558e4bp-14, -0x1.467a234ffb553p-14, -0x1.40561a584555cp-14, -0x1.3a371d965a1b4p-14, -0x1.341dbdc693049p-14, -0x1.2e0a85b4d3122p-14, -0x1.27fdfa67a0b75p-14, -0x1.21f89b4980eaap-14, -0x1.1bfae251861adp-14, -0x1.1605442abebb7p-14, -0x1.1018305ad1c51p-14, -0x1.0a341167dbe51p-14, -0x1.04594cfcf6f22p-14, -0x1.fd10881c8feb7p-15, -0x1.f182a5f70c983p-15, -0x1.e609a3643e4b8p-15, -0x1.daa6279c88aa1p-15, -0x1.cf58d1774ce2bp-15, -0x1.c42237a932f1dp-15, -0x1.b902e90288832p-15, -0x1.adfb6caaa1dacp-15, -0x1.a30c425a8ee2bp-15, -0x1.9835e2957c4d3p-15, -0x1.8d78bee0cb389p-15, -0x1.82d541fa46c11p-15, -0x1.784bd00c967fp-15, -0x1.6ddcc6e339c33p-15, -0x1.63887e1c085bcp-15, -0x1.594f4758b979p-15, -0x1.4f316e6e06713p-15, -0x1.452f3991daaecp-15, -0x1.3b48e98927068p-15, -0x1.317eb9d3a144ep-15, -0x1.27d0e0d71a2a7p-15, -0x1.1e3f9009172cap-15, -0x1.14caf4171cc8bp-15, -0x1.0b73350f137fep-15, -0x1.023876857617ep-15, -0x1.f235af76cd46ep-16, -0x1.e034e7867f052p-16, -0x1.ce6ec3484cc4bp-16, -0x1.bce368faddebp-16, -0x1.ab92f750350e7p-16, -0x1.9a7d85afa19ddp-16, -0x1.89a32475f4369p-16, -0x1.7903dd34ff8ebp-16, -0x1.689fb2efd8623p-16, -0x1.5876a256eb95ep-16, -0x1.4888a2016e49ap-16, -0x1.38d5a2a58d432p-16, -0x1.295d8f4fa195cp-16, -0x1.1a204d9668c27p-16, -0x1.0b1dbdd0d2872p-16, -0x1.f8ab768db09abp-17, -0x1.db9038c6bfddfp-17, -0x1.bee965c956c3cp-17, -0x1.a2b69814502fp-17, -0x1.86f761830324p-17, -0x1.6bab4ba70e98dp-17, -0x1.50d1d81c96dacp-17, -0x1.366a80de53402p-17, -0x1.1c74b897c0fe5p-17, -0x1.02efeaf1fb763p-17, -0x1.d3b6f9c48bb75p-18, -0x1.a26d99e7442eap-18, -0x1.7202671fa2667p-18, -0x1.4274068c9c86dp-18, -0x1.13c1121eeb387p-18, -0x1.cbd0324005665p-19, -0x1.71cf4166f5945p-19, -0x1.197c48ac6867p-19, -0x1.85a8595d88a5dp-20, -0x1.b74f027ab76ddp-21, -0x1.a77c7255ce161p-23, 0x1.ba1865de7dd63p-22, 0x1.0ec02d97e1cd8p-20, 0x1.abc5819d72fd9p-20, 0x1.22ce81b2130e6p-19, 0x1.6e26dcc726517p-19, 0x1.b7ef61069ece9p-19, 0x1.0015d4245f2c7p-18, 0x1.236fab4d0e094p-18, 0x1.46070cc43fc14p-18, 0x1.67ddd3ba37157p-18, 0x1.88f5df7803233p-18, 0x1.a951130bd99a3p-18, 0x1.c8f154fbb9467p-18, 0x1.e7d88efac2a92p-18, 0x1.030456cfb6631p-17, 0x1.11c1d00dc2d67p-17, 0x1.2025abfb50802p-17, 0x1.2e30e466e8289p-17, 0x1.3be474086a32p-17, 0x1.494156626d252p-17, 0x1.564887a308609p-17, 0x1.62fb0486c4df7p-17, 0x1.6f59ca3c8877bp-17, 0x1.7b65d64a41a38p-17, 0x1.87202671baa1ap-17, 0x1.9289b8987a1f4p-17, 0x1.9da38aace77c1p-17, 0x1.a86e9a8f29189p-17, 0x1.b2ebe5fa26ac1p-17, 0x1.bd1c6a6d2a218p-17, 0x1.c701251680fabp-17, 0x1.d09b12bd9a8e2p-17, 0x1.d9eb2faf992c3p-17, 0x1.e2f277ad04efbp-17, 0x1.ebb1e5d51fd4dp-17, 0x1.f42a7495f461dp-17, 0x1.fc5d1d9938f0cp-17, 0x1.02256cda2c4a5p-16, 0x1.05fa506c193fp-16, 0x1.09adb5011a58bp-16, 0x1.0d401596dd3ccp-16, 0x1.10b1eca29f166p-16, 0x1.1403b40a0934fp-16, 0x1.1735e51d4212ep-16, 0x1.1a48f89017c6ap-16, 0x1.1d3d667425eebp-16, 0x1.2013a63358927p-16, 0x1.22cc2e89e1c6bp-16, 0x1.2567758115e85p-16, 0x1.27e5f06ac6a8dp-16, 0x1.2a4813dbe150ep-16, 0x1.2c8e53a842db3p-16, 0x1.2eb922ddc0dc6p-16, 0x1.30c8f3c0c3c65p-16, 0x1.32be37c757bdp-16, 0x1.34995f964ab7ep-16, 0x1.365adafd7a64p-16, 0x1.380318f40a3edp-16, 0x1.399287951c1dcp-16, 0x1.3b09941d440f2p-16, 0x1.3c68aae764305p-16, 0x1.3db03769a04bdp-16, 0x1.3ee0a433b9c08p-16, 0x1.3ffa5aebf627p-16, 0x1.40fdc44d26321p-16, 0x1.41eb48247c47ap-16, 0x1.42c34d4fe07b1p-16, 0x1.438639bbe1cf8p-16, 0x1.4434726253b1cp-16, 0x1.44ce5b487998cp-16, 0x1.4554577e05c66p-16, 0x1.45c6c91b493aap-16, 0x1.4626114102b39p-16, 0x1.4672901694647p-16, 0x1.46aca4c96ca34p-16, 0x1.46d4ad8c4d71p-16, 0x1.46eb07961ffefp-16, 0x1.46f00f21fb2aep-16, 0x1.46e41f6e2803cp-16, 0x1.46c792bc64cd4p-16, 0x1.469ac25129a66p-16, 0x1.465e0673a37ep-16, 0x1.4611b66d571eap-16, 0x1.45b6288aa0b93p-16, 0x1.454bb21a2bb4ap-16, 0x1.44d2a76dbbb85p-16, 0x1.444b5bd9e555ep-16, 0x1.43b621b688887p-16, 0x1.43134a5f72d62p-16, 0x1.426326348638ep-16, 0x1.41a6049a45a21p-16, 0x1.40dc33fab5ccp-16, 0x1.400601c5be812p-16, }}, 
      {{0x1.272a30b4d8b98p-1, 0x1.2757826f19716p-1, 0x1.27ad03ddd3daep-1, 0x1.2830701307eb7p-1, 0x1.28e2e08ef7eeep-1, 0x1.29c0e61e511fep-1, 0x1.2ac38071af1p-1, 0x1.2be157ef2a21ap-1, 0x1.2d0fea73f9e05p-1, 0x1.2e4486b5aaa5fp-1, 0x1.2f750a6a66068p-1, 0x1.309864ad74e6cp-1, 0x1.31a6e47e7b892p-1, 0x1.329a5d8755d7ep-1, 0x1.336e2d5a7527cp-1, 0x1.341f2a4309286p-1, 0x1.34ab8339c04e1p-1, 0x1.351296fe1be68p-1, 0x1.3554c6e50c9bbp-1, 0x1.357348b4ee3cp-1, 0x1.356ff9e863668p-1, 0x1.354d35e8d614ap-1, 0x1.350db03725684p-1, 0x1.34b453055a77ep-1, 0x1.3444226f9e941p-1, 0x1.33c0244687114p-1, 0x1.332b4c33c255dp-1, 0x1.32886be79d0b3p-1, 0x1.31da26ee5e51p-1, 0x1.3122e9c5034ep-1, 0x1.3064e3c36bc38p-1, 0x1.2fa20374a559ep-1, 0x1.2edbf4fb7fde5p-1, 0x1.2e142228cc4a9p-1, 0x1.2d4bb3f0ee881p-1, 0x1.2c8394f71db49p-1, 0x1.2bbc74ed61309p-1, 0x1.2af6cc90dd871p-1, 0x1.2a32e211f6543p-1, 0x1.2970cdbf4309p-1, 0x1.28b07ed10f8ffp-1, 0x1.27f1c0393cafbp-1, 0x1.27343d60bddc4p-1, 0x1.267786c0ab2bcp-1, 0x1.25bb16490284bp-1, 0x1.24fe538abff3ep-1, 0x1.2440979df6c2dp-1, 0x1.238130bf1e468p-1, 0x1.22bf65a0e760dp-1, 0x1.21fa7871a585p-1, 0x1.2131a994c2df4p-1, 0x1.20643a11d2431p-1, 0x1.1f916dbbb2429p-1, 0x1.1eb88d12dc99cp-1, 0x1.1dd8e6e67804p-1, 0x1.1cf1d1b817af4p-1, 0x1.1c02ace649ce3p-1, 0x1.1b0ae1a22b403p-1, 0x1.1a09e3b4441f8p-1, 0x1.18ff3214dc5aap-1, 0x1.17ea575be5ad9p-1, 0x1.16caea0c6c55bp-1, 0x1.15a08cbf5d1aep-1, 0x1.146aee3135747p-1, 0x1.1329c93606237p-1, 0x1.11dce496f299fp-1, 0x1.108412dc21a5dp-1, 0x1.0f1f3205df474p-1, 0x1.0dae2b377403ap-1, 0x1.0c30f255ffecp-1, 0x1.0aa7859d7880ap-1, 0x1.0911ed2db085ep-1, 0x1.07703a91286afp-1, 0x1.05c2883f31194p-1, 0x1.0408f91ac9615p-1, 0x1.0243b7ef7008dp-1, 0x1.0072f6ed07411p-1, 0x1.fd2dde4775f25p-2, 0x1.f95fc0018ef99p-2, 0x1.f57c1d99b0defp-2, 0x1.f1838c5944687p-2, 0x1.ed76ab487df66p-2, 0x1.e956223b89c35p-2, 0x1.e522a0e6e5351p-2, 0x1.e0dcddfb85548p-2, 0x1.dc85964b4c9b3p-2, 0x1.d81d8bf626bb1p-2, 0x1.d3a585a01bbd7p-2, 0x1.cf1e4db089177p-2, 0x1.ca88b19a9bf8dp-2, 0x1.c5e5812f1ae81p-2, 0x1.c1358df77eab6p-2, 0x1.bc79aa9a42bf6p-2, 0x1.b7b2aa485ae1dp-2, 0x1.b2e16033a226ep-2, 0x1.ae069f0e15dadp-2, 0x1.a9233891aaee9p-2, 0x1.a437fd10813dbp-2, 0x1.9f45bb0d378bp-2, 0x1.9a4d3edb16521p-2, 0x1.954f5245d8b02p-2, 0x1.904cbc40bb6f5p-2, 0x1.8b46409c97451p-2, 0x1.863c9fc4b0f04p-2, 0x1.81309681fccfcp-2, 0x1.7c22ddc4825f7p-2, 0x1.77142a729e85fp-2, 0x1.72052d3dd6d92p-2, 0x1.6cf6927cef217p-2, 0x1.67e9020b0a914p-2, 0x1.62dd1f2b7e181p-2, 0x1.5dd3887222ff4p-2, 0x1.58ccd7afd802cp-2, 0x1.53c9a1e2ff334p-2, 0x1.4eca772baa58ap-2, 0x1.49cfe2c34a4aap-2, 0x1.44da6af798ad9p-2, 0x1.3fea91288fa8ap-2, 0x1.3b00d1c93121p-2, 0x1.361da462ee6b6p-2, 0x1.31417b9b8082ep-2, 0x1.2c6cc53cfb8edp-2, 0x1.279fea3ff6921p-2, 0x1.22db4ed798351p-2, 0x1.1e1f527f61f73p-2, 0x1.196c500a906fp-2, 0x1.14c29db4f07eep-2, 0x1.10228d34fbc0dp-2, 0x1.0b8c6bcf29b06p-2, 0x1.0700826a4612bp-2, 0x1.027f15a4bd38ep-2, 0x1.fc10cbd56b4b5p-3, 0x1.f3395f19cbde7p-3, 0x1.ea7855b01029fp-3, 0x1.e1ce1859a6d24p-3, 0x1.d93b0830d6efbp-3, 0x1.d0bf7eda514c6p-3, 0x1.c85bceb7572bap-3, 0x1.c01043184d41cp-3, 0x1.b7dd206fa31dcp-3, 0x1.afc2a484db1e4p-3, 0x1.a7c106a7b04eep-3, 0x1.9fd877e323a43p-3, 0x1.98092330733a7p-3, 0x1.90532da9c6dp-3, 0x1.88b6b6bc97a39p-3, 0x1.8133d85bac21ap-3, 0x1.79caa730a0569p-3, 0x1.727b32cce4488p-3, 0x1.6b4585da284cap-3, 0x1.6429a64a207ap-3, 0x1.5d27958598307p-3, 0x1.563f509ad06ccp-3, 0x1.4f70d06b120a6p-3, 0x1.48bc09d77231ap-3, 0x1.4220edecc72fp-3, 0x1.3b9f6a0ebb3bap-3, 0x1.35376821fd363p-3, 0x1.2ee8ceb58d8a3p-3, 0x1.28b3812b1bd6ap-3, 0x1.22975fde77f6ap-3, 0x1.1c94484c12077p-3, 0x1.16aa15368504dp-3, 0x1.10d89ecb2dbebp-3, 0x1.0b1fbac5c9c1fp-3, 0x1.057f3c93261f2p-3, 0x1.ffedeae5a37d4p-4, 0x1.f50d692fb6597p-4, 0x1.ea5c8e9145529p-4, 0x1.dfdaf1fb56be5p-4, 0x1.d58826ff11933p-4, 0x1.cb63be07ad62p-4, 0x1.c16d44928c97ep-4, 0x1.b7a445657f491p-4, 0x1.ae0848c34723ap-4, 0x1.a498d49e3ea28p-4, 0x1.9b556cc954c39p-4, 0x1.923d932741a16p-4, 0x1.8950c7d811517p-4, 0x1.808e896500cf2p-4, 0x1.77f654eab9f6cp-4, 0x1.6f87a641f6a98p-4, 0x1.6741f82691144p-4, 0x1.5f24c45d0af4bp-4, 0x1.572f83d694a73p-4, 0x1.4f61aed39d24ap-4, 0x1.47babd04f144p-4, 0x1.403a25ab7691cp-4, 0x1.38df5fb686d5cp-4, 0x1.31a9e1e0f83f2p-4, 0x1.2a9922ccda201p-4, 0x1.23ac991ded9dcp-4, 0x1.1ce3bb92e4003p-4, 0x1.163e011d6de5ep-4, 0x1.0fbae0f91f658p-4, 0x1.0959d2c134619p-4, 0x1.031a4e853e8c4p-4, 0x1.f9f799b9846dap-5, 0x1.edfb8df39cd39p-5, 0x1.e23f6d7528a26p-5, 0x1.d6c22d74127ffp-5, 0x1.cb82c4bf31d63p-5, 0x1.c0802bdbe4218p-5, 0x1.b5b95d21e70dcp-5, 0x1.ab2d54d580c08p-5, 0x1.a0db11400cd4ep-5, 0x1.96c192c6f2423p-5, 0x1.8cdfdc0117fe2p-5, 0x1.8334f1cae4aa2p-5, 0x1.79bfdb58d59dp-5, 0x1.707fa248b7d75p-5, 0x1.677352b19a74cp-5, 0x1.5e99fb327823dp-5, 0x1.55f2acffb1542p-5, 0x1.4d7c7bef5b53p-5, 0x1.45367e8473d22p-5, 0x1.3d1fcdf902b29p-5, 0x1.3537864733391p-5, 0x1.2d7cc63178bacp-5, 0x1.25eeaf49ba88ep-5, 0x1.1e8c65f79e541p-5, 0x1.1755117df37e5p-5, 0x1.1047dbff4fe4bp-5, 0x1.0963f281dd127p-5, 0x1.02a884f269eb9p-5, 0x1.f8298c4d868bfp-6, 0x1.eb4fd7beba948p-6, 0x1.dec25d90afa25p-6, 0x1.d27f94f3befedp-6, 0x1.c685faf003956p-6, 0x1.bad41263c98d4p-6, 0x1.af68640106313p-6, 0x1.a4417e49bd669p-6, 0x1.995df58b794bcp-6, 0x1.8ebc63d9dd246p-6, 0x1.845b690855ae3p-6, 0x1.7a39aaa300e9dp-6, 0x1.7055d3e6d73p-6, 0x1.66ae95b90f3e8p-6, 0x1.5d42a69de60d6p-6, 0x1.5410c2aeb9889p-6, 0x1.4b17ab8f8f833p-6, 0x1.425628640fee7p-6, 0x1.39cb05c3f7f45p-6, 0x1.317515af1355ap-6, 0x1.29532f80c1acap-6, 0x1.21642fe31389ap-6, 0x1.19a6f8c17f6b2p-6, 0x1.121a713b44603p-6, 0x1.0abd859571e5p-6, 0x1.038f272ca527cp-6, 0x1.f91c98ccffdedp-7, 0x1.eb73e145cb9c9p-7, 0x1.de222859f4p-7, 0x1.d1257857d2697p-7, 0x1.c47be5271950ap-7, 0x1.b8238c29c061p-7, 0x1.ac1a941ca5fe5p-7, 0x1.a05f2cf807f98p-7, 0x1.94ef8fcfb47dfp-7, 0x1.89c9feb320425p-7, 0x1.7eecc48d4e472p-7, 0x1.74563504adbbbp-7, 0x1.6a04ac5ae15e2p-7, 0x1.5ff68f4c71bf8p-7, 0x1.562a4af08c321p-7, 0x1.4c9e5498c4889p-7, 0x1.435129b0d4948p-7, 0x1.3a414f9e758a6p-7, 0x1.316d53a14f11ep-7, 0x1.28d3cab2fb966p-7, 0x1.20735167373c9p-7, 0x1.184a8bcc2730ep-7, 0x1.1058254ad1efap-7, 0x1.089ad087c3529p-7, 0x1.01114743e03p-7, 0x1.f374947aee1c7p-8, 0x1.e5294222fbc0ep-8, 0x1.d73e343a2a039p-8, 0x1.c9b114be80be6p-8, 0x1.bc7f9ab5d8fa7p-8, 0x1.afa789f269ddbp-8, 0x1.a326b2d7d9e41p-8, 0x1.96faf220e2768p-8, 0x1.8b2230a595a2fp-8, 0x1.7f9a63223c63dp-8, 0x1.746189fecb7e3p-8, 0x1.6975b116fcc18p-8, 0x1.5ed4ef8303ef4p-8, 0x1.547d6760f9bfep-8, 0x1.4a6d459ee909p-8, 0x1.40a2c1c5859e2p-8, 0x1.371c1dc3886b3p-8, 0x1.2dd7a5b9caf67p-8, 0x1.24d3afc7f858fp-8, 0x1.1c0e9bda14228p-8, 0x1.1386d3769dbdfp-8, 0x1.0b3ac98d58c6fp-8, 0x1.0328fa46ddc93p-8, 0x1.f69fd5a9aa038p-9, 0x1.e75c5285e230bp-9, 0x1.d884989134a8ap-9, 0x1.ca15e6366d33ap-9, 0x1.bc0d8a827b81cp-9, 0x1.ae68e4cc00c1ap-9, 0x1.a125645c229a4p-9, 0x1.9440881904eaep-9, 0x1.87b7de315132ap-9, 0x1.7b8903c952ba2p-9, 0x1.6fb1a4a96bd4bp-9, 0x1.642f7aeddf265p-9, 0x1.59004eb81d597p-9, 0x1.4e21f5e1303f5p-9, 0x1.439253ad9d6cdp-9, 0x1.394f58829a9cap-9, 0x1.2f57019c89243p-9, 0x1.25a758c6d0b0cp-9, 0x1.1c3e7415200d7p-9, 0x1.131a759dab3d4p-9, 0x1.0a398b34e502dp-9, 0x1.0199ee2a73183p-9, 0x1.f273c60ea70b6p-10, 0x1.e22f729acdc1dp-10, 0x1.d263967005255p-10, 0x1.c30cfafb8b5c9p-10, 0x1.b4287e2749118p-10, 0x1.a5b311e23457ep-10, 0x1.97a9bbab0a8e5p-10, 0x1.8a09941d99854p-10, 0x1.7ccfc681e187p-10, 0x1.6ff9905d89d91p-10, 0x1.63844107c3dd2p-10, 0x1.576d393f1b56dp-10, 0x1.4bb1eac17be52p-10, 0x1.404fd7e695582p-10, 0x1.3544933c0fe56p-10, 0x1.2a8dbf23927cp-10, 0x1.20290d735dffbp-10, 0x1.16143f187053fp-10, 0x1.0c4d23bad4b9bp-10, 0x1.02d19963e0a46p-10, 0x1.f33f184cb3137p-11, 0x1.e169eb9082437p-11, 0x1.d01fbadd485fp-11, 0x1.bf5cae9675408p-11, 0x1.af1d0897744bap-11, 0x1.9f5d2395f1d45p-11, 0x1.90197287d19ap-11, 0x1.814e800b9081bp-11, 0x1.72f8edd4fc396p-11, 0x1.6515741cb0669p-11, 0x1.57a0e112b4581p-11, 0x1.4a981854755b9p-11, 0x1.3df81265e891cp-11, 0x1.31bddc2d88254p-11, 0x1.25e69672f8ff5p-11, 0x1.1a6f756124188p-11, 0x1.0f55c00addb52p-11, 0x1.0496cff2742cep-11, 0x1.f4602127bff95p-12, 0x1.e03dfde40b723p-12, 0x1.ccc2524c44576p-12, 0x1.b9e85be3aaf37p-12, 0x1.a7ab78a844718p-12, 0x1.96072640e874fp-12, 0x1.84f70130ee0a5p-12, 0x1.7476c4104f28fp-12, 0x1.648246c85b161p-12, 0x1.55157dd5379dcp-12, 0x1.462c798bc170ap-12, 0x1.37c36563cc8d5p-12, 0x1.29d68746b88c2p-12, 0x1.1c623ee24fcc8p-12, 0x1.0f63050016705p-12, 0x1.02d56ae01fddp-12, 0x1.ed6c33301292cp-13, 0x1.d603a2eb8dd93p-13, 0x1.bf6ad2cc97d57p-13, 0x1.a99b9cc0af818p-13, 0x1.949005a3b53d2p-13, 0x1.80423c23e8b15p-13, 0x1.6cac97ac050dap-13, 0x1.59c99754472f6p-13, 0x1.4793e0d9883b1p-13, 0x1.36063f9b533ccp-13, 0x1.251ba3a08c6d5p-13, 0x1.14cf20a22300cp-13, 0x1.051bed1bd3cc9p-13, 0x1.ebfac2c4f620cp-14, 0x1.cedded826312fp-14, 0x1.b2d88d3619589p-14, 0x1.97e21325be72cp-14, 0x1.7df22d70077d1p-14, 0x1.6500c572cca3ap-14, 0x1.4d05fe395142dp-14, 0x1.35fa32f61e502p-14, 0x1.1fd5f585d7945p-14, 0x1.0a920cfc7ad92p-14, 0x1.ec4ee876080e1p-15, 0x1.c51eb11db67ccp-15, 0x1.9f8630b5f8b35p-15, 0x1.7b78838fa7234p-15, 0x1.58e922fbdc031p-15, 0x1.37cbe2cfd51b5p-15, 0x1.1814eef9a2b17p-15, 0x1.f37192471a858p-16, 0x1.b9588cd175268p-16, 0x1.81c91a2d97051p-16, 0x1.4cae2504711c3p-16, 0x1.19f331c8e79bfp-16, 0x1.d308b52b913dfp-17, 0x1.769c964affa5dp-17, 0x1.1e7c79cefe747p-17, 0x1.9507cca53edb2p-18, 0x1.ea3dbb140c1edp-19, 0x1.73e558e70f2f3p-20, -0x1.9d5ceb45ca595p-21, -0x1.7a21c6796f4a4p-19, -0x1.3f758052b0948p-18, -0x1.bb16a5ff7b7ddp-18, -0x1.1817df3f7d078p-17, -0x1.4f7d3cb2ae412p-17, -0x1.83d76bd0facfdp-17, -0x1.b5419b979fd79p-17, -0x1.e3d62f4ad914cp-17, -0x1.07d761fea7fd9p-16, -0x1.1c721afd364f9p-16, -0x1.2fc75304ec3c2p-16, -0x1.41e2bf4a32ccbp-16, -0x1.52cfbc4e9879ap-16, -0x1.62995050f9ffep-16, -0x1.714a2daba4a42p-16, -0x1.7eecb51d78f78p-16, -0x1.8b8af80c1576ap-16, -0x1.972ebab19a6dp-16, -0x1.a1e1763a9670ep-16, -0x1.abac5ad914bb5p-16, -0x1.b49851c5a9f95p-16, -0x1.bcadff3590f4bp-16, -0x1.c3f5c441a1194p-16, -0x1.ca77c0c446bc7p-16, -0x1.d03bd523110eap-16, -0x1.d549a411c771bp-16, -0x1.d9a89448c9693p-16, -0x1.dd5fd22f73c54p-16, -0x1.e076517846f77p-16, -0x1.e2f2ceb687d4ap-16, -0x1.e4dbd0e5403a5p-16, -0x1.e637aae3c899ap-16, -0x1.e70c7cecafa37p-16, -0x1.e76035fc95f2dp-16, -0x1.e738953388febp-16, -0x1.e69b2b2979cddp-16, -0x1.e58d5b3d0b4f5p-16, -0x1.e4145cd72934ep-16, -0x1.e2353ca5995a6p-16, -0x1.dff4ddd017fb4p-16, -0x1.dd57fb21615b3p-16, -0x1.da63282784876p-16, -0x1.d71ad252dac69p-16, -0x1.d38342056ccf4p-16, -0x1.cfa09ba075ed3p-16, -0x1.cb76e0888407cp-16, -0x1.c709f021fbf14p-16, -0x1.c25d88c79078cp-16, -0x1.bd7548bae191ap-16, -0x1.b854af0d58daep-16, -0x1.b2ff1c833ecep-16, -0x1.ad77d4709bc81p-16, -0x1.a7c1fd8e974c4p-16, -0x1.a1e0a2cdaa769p-16, -0x1.9bd6b42161096p-16, -0x1.95a70745c69f7p-16, -0x1.8f54587f772bap-16, -0x1.88e14b57d5012p-16, -0x1.82506b513b605p-16, -0x1.7ba42c9aa6aa2p-16, -0x1.74deecba5215ep-16, -0x1.6e02f3377eac4p-16, -0x1.6712723b168bcp-16, -0x1.600f872fc2f2p-16, -0x1.58fc3b5bb880ep-16, -0x1.51da8477f7646p-16, -0x1.4aac45423036cp-16, -0x1.43734e0ab8cf7p-16, -0x1.3c315d401bdb3p-16, -0x1.34e81ff2c8493p-16, -0x1.2d99325ac27cep-16, -0x1.264620565e133p-16, -0x1.1ef065e65197cp-16, -0x1.17996fa53803p-16, -0x1.10429b3dc26e9p-16, -0x1.08ed37dc52871p-16, -0x1.019a869ebe74ep-16, -0x1.f49775feaa503p-17, -0x1.e603f67f679cfp-17, -0x1.d77cc19c19bc7p-17, -0x1.c903f14e26f6bp-17, -0x1.ba9b87709a5eep-17, -0x1.ac456e7d3d8eep-17, -0x1.9e037a41a589fp-17, -0x1.8fd7689138489p-17, -0x1.81c2e1f32bd7bp-17, -0x1.73c77a4b8a0c9p-17, -0x1.65e6b17e735dap-17, -0x1.5821f40ebcc73p-17, -0x1.4a7a9bbc21cp-17, -0x1.3cf1f018967cbp-17, -0x1.2f89271950e8fp-17, -0x1.224165a802a03p-17, -0x1.151bc02c1e43ap-17, -0x1.08193b13ab1bp-17, -0x1.f67596a8ee74bp-18, -0x1.dd02addaf26dcp-18, -0x1.c3db6ac6015d4p-18, -0x1.ab016071c049cp-18, -0x1.927606c9c54ep-18, -0x1.7a3abb87b30d4p-18, -0x1.6250c31289773p-18, -0x1.4ab94951c674p-18, -0x1.337562856572ep-18, -0x1.1c860c0fe69b7p-18, -0x1.05ec2d3d4b336p-18, -0x1.df51300a2c9c8p-19, -0x1.b378138ae57d1p-19, -0x1.884e57f76885cp-19, -0x1.5dd529f02dda7p-19, -0x1.340d9111b5518p-19, -0x1.0af87143abfdp-19, -0x1.c52d180a2168bp-20, -0x1.75d1034928e35p-20, -0x1.27dda4eec88f1p-20, -0x1.b6a780388677dp-21, -0x1.2067b93001a22p-21, -0x1.19f924744d933p-22, 0x1.cce28b2ab1ce3p-28, 0x1.22b70dc029c98p-22, 0x1.1c4952d1b5c9fp-21, 0x1.a4642a317858p-21, 0x1.14d6b600b8f04p-20, 0x1.561368a4b27bcp-20, 0x1.95e934b7eaeedp-20, 0x1.d4594b5ee0b2p-20, 0x1.08b282ba53c49p-19, 0x1.2686f0eb47016p-19, 0x1.43aac1eb77823p-19, 0x1.601ed8cc95485p-19, 0x1.7be42948a31e2p-19, 0x1.96fbb70694fc1p-19, 0x1.b16694e1ead0ep-19, 0x1.cb25e4327bb5cp-19, 0x1.e43ad4204eee9p-19, 0x1.fca6a0fd4d671p-19, 0x1.0a3549cea69c6p-18, 0x1.15c4005d3377ep-18, 0x1.2100242d97848p-18, 0x1.2bea6a9db7f22p-18, 0x1.36838e1c3f05dp-18, 0x1.40cc4de559818p-18, 0x1.4ac56dba1e1f9p-18, 0x1.546fb5a06a87ap-18, 0x1.5dcbf1a2e97bp-18, 0x1.66daf192b52c7p-18, 0x1.6f9d88c9e7623p-18, 0x1.78148df0f9e1ep-18, 0x1.8040dac754d28p-18, 0x1.88234bea584bdp-18, 0x1.8fbcc0a042879p-18, 0x1.970e1aa7484e1p-18, 0x1.9e183dffb9bfep-18, 0x1.a4dc10be87d8ep-18, 0x1.ab5a7add979c4p-18, 0x1.b194660cfd91p-18, 0x1.b78abd877a3b3p-18, 0x1.bd3e6de93ac9dp-18, 0x1.c2b06505ccd66p-18, 0x1.c7e191c0e069dp-18, 0x1.ccd2e3e6e1a6fp-18, 0x1.d1854c0979768p-18, 0x1.d5f9bb5a3d932p-18, 0x1.da312387553c9p-18, 0x1.de2c769b83ccap-18, 0x1.e1eca6de9705ep-18, 0x1.e572a6b348d55p-18, 0x1.e8bf687cbb34cp-18, 0x1.ebd3de7ebbd1dp-18, 0x1.eeb0fac251dc8p-18, 0x1.f157aefaaeb32p-18, 0x1.f3c8ec6c027e7p-18, 0x1.f605a3d29848ep-18, 0x1.f80ec549e285ap-18, 0x1.f9e540354a61dp-18, 0x1.fb8a032bcbeafp-18, 0x1.fcfdfbdf5ac7fp-18, 0x1.fe421709b515dp-18, 0x1.ff57405a2ddacp-18, 0x1.001f3130c90cp-17, 0x1.007c333f75e6p-17, 0x1.00c31a6840a34p-17, 0x1.00f45a108f62cp-17, 0x1.011064ebf8791p-17, 0x1.0117acf542f15p-17, 0x1.010aa366ca1dp-17, 0x1.00e9b8b46417ap-17, 0x1.00b55c83775ecp-17, 0x1.006dfda5337acp-17, 0x1.00140a1111222p-17, 0x1.ff4fddbbbf1c3p-18, 0x1.fe543079ffef7p-18, 0x1.fd35e2eaead46p-18, 0x1.fbf5c9bf422d4p-18, 0x1.fa94b7bd7dd4dp-18, 0x1.f9137dbd079dep-18, 0x1.f772ea9ba6d2dp-18, 0x1.f5b3cb35cddddp-18, 0x1.f3d6ea5fac84p-18, 0x1.f1dd10de6a7a9p-18, 0x1.efc70563befa7p-18, 0x1.ed958c85bbd78p-18, 0x1.eb4968b981605p-18, 0x1.e8e35a4ee2577p-18, 0x1.e6641f6af134p-18, 0x1.e3cc740395faep-18, 0x1.e11d11db5ce06p-18, 0x1.de56b0806ffdbp-18, 0x1.db7a05475b9f1p-18, 0x1.d887c346d1f18p-18, 0x1.d5809b5875a2cp-18, 0x1.d2653c1394f64p-18, 0x1.cf3651cc220a3p-18, 0x1.cbf48690bb03dp-18, 0x1.c8a0822a1bac8p-18, 0x1.c53aea1bd06fcp-18, 0x1.c1c461a051142p-18, 0x1.be3d89aa1ef18p-18, 0x1.baa700e2434aap-18, 0x1.b70163a967bf2p-18, 0x1.b34d4c174bf28p-18, 0x1.af8b51fadd2e1p-18, 0x1.abbc0add0afdcp-18, 0x1.a7e00a00da35fp-18, 0x1.a3f7e061fa5b5p-18, 0x1.a0041cb9bc72p-18, 0x1.9c054b7e759d7p-18, 0x1.97fbf6e4b9965p-18, 0x1.93e8a6e1ec1e7p-18, 0x1.8fcbe12d90372p-18, 0x1.8ba62946d1a58p-18, 0x1.87780073efeeap-18, 0x1.8341e5c489779p-18, 0x1.7f045615676f2p-18, 0x1.7abfcc1279aa6p-18, 0x1.7674c039ccfa5p-18, 0x1.7223a8dee4a82p-18, 0x1.6dccfa2ded51ep-18, 0x1.69712630b2487p-18, 0x1.65109ccf7d83fp-18, 0x1.60abcbd543d26p-18, 0x1.5c431ef4cca5ep-18, 0x1.57d6ffcadea7fp-18, 0x1.5367d5e265463p-18, 0x1.4ef606b7c3443p-18, 0x1.4a81f5bdc051p-18, 0x1.460c0463a9dd6p-18, 0x1.41949216f4c1ap-18, 0x1.3d1bfc4755884p-18, 0x1.38a29e6c3f927p-18, 0x1.3428d208b0b7cp-18, 0x1.2faeeeaf58d7fp-18, 0x1.2b354a07fc766p-18, 0x1.26bc37d2f6468p-18, 0x1.224409f0b6c91p-18, 0x1.1dcd1063471a4p-18, 0x1.19579953612fep-18, 0x1.14e3f1171b535p-18, 0x1.107262358db59p-18, 0x1.0c03356b6f507p-18, 0x1.0796b1afc2585p-18, 0x1.032d1c38edeb4p-18, 0x1.fd8d710692858p-19, 0x1.f4c790aa4285dp-19, 0x1.ec0917870f051p-19, 0x1.e352826e8bdcbp-19, 0x1.daa44ae1ad048p-19, 0x1.d1fee71f20eefp-19, 0x1.c962ca2a363c6p-19, 0x1.c0d063d70b88fp-19, 0x1.b84820d2a739bp-19, 0x1.afca6ab1f0f32p-19, 0x1.a757a7f6ea697p-19, 0x1.9ef03c1aebf76p-19, 0x1.9694879c0a8f9p-19, 0x1.8e44e8068a90ap-19, 0x1.8601b7fd1182ep-19, 0x1.7dcb4f42ff823p-19, 0x1.75a202c7f6251p-19, 0x1.6d8624b34f3f9p-19, 0x1.6578046c54f86p-19, 0x1.5d77eea54fa13p-19, 0x1.55862d65a04b2p-19, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      30, 0x1.2f5c28f5c28f6p+2, 0x1.21cf04ef1ee1ap-2, -0x1.af90c6147f92fp-1, -0x1.1ad8bcea5a81dp-3, 
      {{
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.1232de389c3d1p-5, -0x1.8dcdb24b07a2ap-5, 0x1.c256e744a819p-8, 0x1.a8fdfaf1fff25p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.fcecd215cec35p-6, -0x1.87609d2bf536ep-5, 0x1.20eb26136da3dp-7, 0x1.a32b6d3509fa8p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.d62cb84b601f5p-6, -0x1.7f5e55747e226p-5, 0x1.5fcb4341c8bdp-7, 0x1.9d6c95df602p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b04dace5fb7e9p-6, -0x1.75cc689cd44bcp-5, 0x1.9dcec0234a5bp-7, 0x1.9a8db72eb10ep-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.8b776bfc172b1p-6, -0x1.6aaef962bd4ep-5, 0x1.db640203e4ea4p-7, 0x1.82ecb319254a4p-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.67d10a4ab81p-6, -0x1.5e12c00a1d6ebp-5, 0x1.0ab6f4d708743p-6, 0x1.56744369fdecbp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.457f578321b79p-6, -0x1.50186ca19088ap-5, 0x1.2466137efb7f8p-6, 0x1.2d1b9efe1c2e1p-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.24a34098864b1p-6, -0x1.40e9305175816p-5, 0x1.3afb59053d9ccp-6, 0x1.02ecacb52241p-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.0559aa242ddap-6, -0x1.30ad23392d66ap-5, 0x1.4e66b2c60694ap-6, 0x1.b1ee4d3ab59edp-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.cf76e0caecae6p-7, -0x1.1f8ca8c5b3761p-5, 0x1.5eac6f4506fdfp-6, 0x1.5de47b3bdf776p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.97bace83a7395p-7, -0x1.0db0103697f14p-5, 0x1.6bcb671745c59p-6, 0x1.09e2e8177144bp-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.63a0b4899ece9p-7, -0x1.f67f5c66f9d0ep-6, 0x1.75c3e964f39e9p-6, 0x1.6bbe3eb1d6f53p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3342194012b4bp-7, -0x1.d0c7abe2505f2p-6, 0x1.7c95e0f8493fep-6, 0x1.876fb8a1232aep-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.06b072566dfbfp-7, -0x1.aa89b60f7d63fp-6, 0x1.8041538032613p-6, 0x1.bb128b453edd4p-13}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.bbea49908efb4p-8, -0x1.841621e98a836p-6, 0x1.80c63f76c7272p-6, -0x1.18aaea2f76969p-10}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.722309bac3bd6p-8, -0x1.5dbd9679c3f95p-6, 0x1.7e24a544bba43p-6, -0x1.345c18e99c81dp-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2ffdac535719cp-8, -0x1.37d0bac5abd65p-6, 0x1.785c84cd271b6p-6, -0x1.dc62ba7449728p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.eab92e34fb026p-9, -0x1.12a035d3aa3c6p-6, 0x1.6f6dde1af8ee1p-6, -0x1.4234af8b12895p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.84241cd185ee6p-9, -0x1.dcf95d54b26e4p-7, 0x1.6358b11f5b6f1p-6, -0x1.9637fcd10e85fp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.2bc06a5e162edp-9, -0x1.976d989d4a1e8p-7, 0x1.541cfe0ab7b08p-6, -0x1.ea3b5cb78b379p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.c1e433da4434fp-10, -0x1.553e6b97fe8b8p-7, 0x1.41bac42a3c11bp-6, -0x1.1f1f3b934e1c5p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.45f9d7839e693p-10, -0x1.170d242ae465bp-7, 0x1.2c320618c9696p-6, -0x1.49214a697fdccp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.c411753fc8a7p-11, -0x1.baf621e47dfd5p-8, 0x1.1382ba1dac9f3p-6, -0x1.73217580db186p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.282ea4f03b2cp-11, -0x1.5252fbc4cb94cp-8, 0x1.ef5a09019ec6cp-7, -0x1.9d28adf4c3155p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.67ae3adac0aefp-12, -0x1.eae70364c3e81p-9, 0x1.b160bbb68183cp-7, -0x1.c71594b55baaap-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.8856cb3b02ep-13, -0x1.4b342ad9860d9p-9, 0x1.6d1d7f01b3c3fp-7, -0x1.f164b4e69a03ep-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.6ba16f750c38p-14, -0x1.9028b344a4422p-10, 0x1.228197124fdd6p-7, -0x1.0d22a08463593p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.ff698d40914p-16, -0x1.9019ba10e094ap-11, 0x1.a3880108641f7p-8, -0x1.243ef1fb199cbp-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.9960505422p-18, -0x1.0d3a9ef341b6fp-12, 0x1.e85e12e3764a1p-9, -0x1.313fac0e115fdp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.2f5c28f5c28f6p+2, 0x1.0aa9f0980052ep-22, -0x1.90decaa708b57p-16, 0x1.e846ab4a52958p-11, -0x1.38246d5c455efp-6}, 
      }}, 
      0x1.b7a5654f3f538p-3, -0x1.1a61d01f67a16p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.fa90682d0b9dap+0, -0x1.f816f04973b6fp+0, -0x1.f406a547f8c6fp+0, -0x1.ee737c6789c5fp+0, -0x1.e775a732d4bb3p+0, -0x1.df28192a5ce6dp+0, -0x1.d5a769733bbe8p+0, -0x1.cb10fa25528bp+0, -0x1.bf8253a090898p+0, -0x1.b318a72ca9a05p+0, -0x1.a5f06fcd19739p+0, -0x1.98252abb8671dp+0, -0x1.89d122a2167c7p+0, -0x1.7b0d49d69c872p+0, -0x1.6bf1209db54d7p+0, -0x1.5c92a5221f0e5p+0, -0x1.4d064b3d5551cp+0, -0x1.3d5efa907fe4cp+0, -0x1.2dae11b36d60cp+0, -0x1.1e036d7954b06p+0, -0x1.0e6d7377f44d7p+0, -0x1.fdf23e398c3ecp-1, -0x1.df642185adb82p-1, -0x1.c1453c7fe1bd7p-1, -0x1.a3a7c900b08a6p-1, -0x1.869bb3c007eeap-1, -0x1.6a2ec1f2121b3p-1, -0x1.4e6cb6c5ab279p-1, -0x1.335f788077cf8p-1, -0x1.190f363a7c195p-1, -0x1.ff051759eddb9p-2, -0x1.cd7d443dca2bdp-2, -0x1.9d8ea8d098a4ep-2, -0x1.6f3e9b6929868p-2, -0x1.429047e3fd2ddp-2, -0x1.1784f43722ad9p-2, -0x1.dc38597988913p-3, -0x1.8ca7eee513e38p-3, -0x1.40520ba72146dp-3, -0x1.ee5b4fba610f6p-4, -0x1.625f775fb7bb5p-4, -0x1.b92dd35a2adc7p-5, -0x1.7393c96c48ae6p-6, 0x1.cd5b478712fcbp-8, 0x1.2174fc3457a54p-5, 0x1.fdd95d8183ad9p-5, 0x1.679108c612a38p-4, 0x1.cacd83a8afac5p-4, 0x1.1464863d8e5dap-3, 0x1.40d5a67480503p-3, 0x1.6ace3c54544b2p-3, 0x1.92628fd7e3405p-3, 0x1.b7a70219fa5ddp-3, 0x1.daaff9f54c17bp-3, 0x1.fb91d21c2cf1cp-3, 0x1.0d30644bcbe04p-2, 0x1.1b9877d54de5p-2, 0x1.290b10026c1edp-2, 0x1.3591f62397916p-2, 0x1.4136caf0d127dp-2, 0x1.4c03019a5f457p-2, 0x1.55ffdb81c1688p-2, 0x1.5f36649318ad2p-2, 0x1.67af7036b95ebp-2, 0x1.6f7396cda480bp-2, 0x1.768b33b0046ffp-2, 0x1.7cfe639d5682dp-2, 0x1.82d50393b14b7p-2, 0x1.8816b0046f83cp-2, 0x1.8ccac45bc7e71p-2, 0x1.90f85ad4336dap-2, 0x1.94a64c8ee0288p-2, 0x1.97db31e9ac998p-2, 0x1.9a9d630f20a67p-2, 0x1.9cf2f8b699b46p-2, 0x1.9ee1cd1367fcep-2, 0x1.a06f7cea03ac1p-2, 0x1.a1a168c4da71fp-2, 0x1.a27cb64ab260ap-2, 0x1.a30651a462ed1p-2, 0x1.a342ef012de5ap-2, 0x1.a3370c1c212b5p-2, 0x1.a2e6f1dfab4ep-2, 0x1.a256b5fd7a734p-2, 0x1.a18a3ca48e90ep-2, 0x1.a0853a21e1ed4p-2, 0x1.9f4b349f036bep-2, 0x1.9ddf85c3b6396p-2, 0x1.9c455c73faf5p-2, 0x1.9a7fbe6d1834bp-2, 0x1.989189f9c3aefp-2, 0x1.967d77878a036p-2, 0x1.94461b47e842ep-2, 0x1.91ede6bc83a48p-2, 0x1.8f772a3ec6fdfp-2, 0x1.8ce416801284cp-2, 0x1.8a36bdf615232p-2, 0x1.87711649de72cp-2, 0x1.8494f9ac17035p-2, 0x1.81a4282c8f9bap-2, 0x1.7ea048f9f8debp-2, 0x1.7b8aeb9f18d3dp-2, 0x1.7865892efdecep-2, 0x1.7531856785f3p-2, 0x1.71f02fca9d205p-2, 0x1.6ea2c4a6507f6p-2, 0x1.6b4a6e1ac89bfp-2, 0x1.67e8450bf1504p-2, 0x1.647d520ebacafp-2, 0x1.610a8e4c1d58p-2, 0x1.5d90e453342b6p-2, 0x1.5a1130eb050b2p-2, 0x1.568c43d4c257bp-2, 0x1.5302e082d131ep-2, 0x1.4f75beced6b2fp-2, 0x1.4be58ba0d970bp-2, 0x1.4852e98c4028bp-2, 0x1.44be716d254d2p-2, 0x1.4128b2f7f720ap-2, 0x1.3d92353d77391p-2, 0x1.39fb7733dfaa1p-2, 0x1.3664f030b9862p-2, 0x1.32cf1056dbcdep-2, 0x1.2f3a410e70a11p-2, 0x1.2ba6e567f4fcep-2, 0x1.28155a7bc0f3ap-2, 0x1.2485f7ce4ff39p-2, 0x1.20f90fa435269p-2, 0x1.1d6eef505bab3p-2, 0x1.19e7df877e7d1p-2, 0x1.166424aa84f66p-2, 0x1.12e3fefe54811p-2, 0x1.0f67aafc119fap-2, 0x1.0bef6182a2379p-2, 0x1.087b581183ff7p-2, 0x1.050bc0fd6e59ap-2, 0x1.01a0cba347602p-2, 0x1.fc754927f76a9p-3, 0x1.f5b2eb769e0a5p-3, 0x1.eefacd1b759dp-3, 0x1.e84d3861c169ap-3, 0x1.e1aa7322fa02ep-3, 0x1.db12bf14d1b02p-3, 0x1.d4865a0f63533p-3, 0x1.ce057e3b38c6cp-3, 0x1.c7906238be8a8p-3, 0x1.c12739628d2f7p-3, 0x1.baca33f60e3ep-3, 0x1.b4797f3ee8b68p-3, 0x1.ae3545ad4f7dbp-3, 0x1.a7fdaf0797e23p-3, 0x1.a1d2e092554a6p-3, 0x1.9bb4fd25d8ebap-3, 0x1.95a425476f666p-3, 0x1.8fa0774196804p-3, 0x1.89aa0f4efc928p-3, 0x1.83c107aa0e879p-3, 0x1.7de578984f727p-3, 0x1.78177880471a3p-3, 0x1.72571c06d6528p-3, 0x1.6ca476212a0fep-3, 0x1.66ff9820efc6fp-3, 0x1.616891b7b1ae5p-3, 0x1.5bdf7110394c6p-3, 0x1.566442e371bb7p-3, 0x1.50f712825cc4ep-3, 0x1.4b97e9d8327acp-3, 0x1.4646d17371a07p-3, 0x1.4103d09c1d60bp-3, 0x1.3bceed5d98e6ep-3, 0x1.36a82c90eac3cp-3, 0x1.318f91dd74c4p-3, 0x1.2c851fba30992p-3, 0x1.2788d78713481p-3, 0x1.229ab99672039p-3, 0x1.1dbac52da242cp-3, 0x1.18e8f883ead5dp-3, 0x1.142550cb76669p-3, 0x1.0f6fca40dd107p-3, 0x1.0ac86037052f8p-3, 0x1.062f0d10e35e4p-3, 0x1.01a3ca45f81bdp-3, 0x1.fa4d20d625999p-4, 0x1.f16eae6e6046ep-4, 0x1.e8ac2b27e7b32p-4, 0x1.e00583376a24ap-4, 0x1.d77aa13103cf3p-4, 0x1.cf0b6e11e84a3p-4, 0x1.c6b7d15584293p-4, 0x1.be7fb107bd789p-4, 0x1.b662f1ca63479p-4, 0x1.ae6176d44fff7p-4, 0x1.a67b21fa15859p-4, 0x1.9eafd3b32d714p-4, 0x1.96ff6b34637b5p-4, 0x1.8f69c67de3725p-4, 0x1.87eec24e3d5cbp-4, 0x1.808e3a32d9be2p-4, 0x1.7948088cb9be1p-4, 0x1.721c069edce44p-4, 0x1.6b0a0c9abea76p-4, 0x1.6411f1a75fdd9p-4, 0x1.5d338be52df8dp-4, 0x1.566eb07253a42p-4, 0x1.4fc3337dd9052p-4, 0x1.4930e8464e456p-4, 0x1.42b7a11ab39cep-4, 0x1.3c572f9461e75p-4, 0x1.360f6456c9113p-4, 0x1.2fe00f4180005p-4, 0x1.29c8ff75f129ep-4, 0x1.23ca03545c149p-4, 0x1.1de2e88bcf87cp-4, 0x1.18137c2265707p-4, 0x1.125b8a777f27bp-4, 0x1.0cbadf4db5ce1p-4, 0x1.073145d2079f7p-4, 0x1.01be88a4b52aap-4, 0x1.f8c4e3c4d8eefp-5, 0x1.ee3996546a3e2p-5, 0x1.e3dabb4608dbdp-5, 0x1.d9a7e4063144ep-5, 0x1.cfa0a130b5fddp-5, 0x1.c5c482a068d59p-5, 0x1.bc13177e0195cp-5, 0x1.b28bee4e7b213p-5, 0x1.a92e94f909661p-5, 0x1.9ffa98d780451p-5, 0x1.96ef86d177c75p-5, 0x1.8e0ceb505f858p-5, 0x1.855252619d873p-5, 0x1.7cbf47bd25002p-5, 0x1.745356d13a727p-5, 0x1.6c0e0acd65c4p-5, 0x1.63eeeeae69bf4p-5, 0x1.5bf58d4b58ec9p-5, 0x1.54217162ad95dp-5, 0x1.4c7225a686f1dp-5, 0x1.44e734c729945p-5, 0x1.3d80297c752b3p-5, 0x1.363c8e8fe0a42p-5, 0x1.2f1beee804f48p-5, 0x1.281dd5950eb1cp-5, 0x1.2141cddc29894p-5, 0x1.1a876340547efp-5, 0x1.13ee218abb068p-5, 0x1.0d7594ce2715fp-5, 0x1.071d49738833bp-5, 0x1.00e4cc41520cdp-5, 0x1.f59754f2fc852p-6, 0x1.e9a2e39f79e99p-6, 0x1.ddeb60fa1f9d5p-6, 0x1.d26fea724a6d8p-6, 0x1.c72f9e704a03cp-6, 0x1.bc299c5f538aep-6, 0x1.b15d04cefbe4cp-6, 0x1.a6c8f9a6621a6p-6, 0x1.9c6c9e53b34cbp-6, 0x1.924717decb98bp-6, 0x1.88578cd2a2003p-6, 0x1.7e9d2509fa16ep-6, 0x1.751709821959ap-6, 0x1.6bc4645b0cd8cp-6, 0x1.62a4611880806p-6, 0x1.59b62d11278c7p-6, 0x1.50f8f7d88cfb2p-6, 0x1.486bf366e476bp-6, 0x1.400e53dd4289ep-6, 0x1.37df4ef96b288p-6, 0x1.2fde1b807b0cep-6, 0x1.2809f0fdbbfe3p-6, 0x1.206207faf1bd4p-6, 0x1.18e59ade5b55ep-6, 0x1.1193e6e0a154dp-6, 0x1.0a6c2caefd01ap-6, 0x1.036db06568c65p-6, 0x1.f92f7172d827p-7, 0x1.ebd31b4b8b722p-7, 0x1.dec4ee80359fdp-7, 0x1.d2037aafe1578p-7, 0x1.c58d50623bba6p-7, 0x1.b961044ce9a82p-7, 0x1.ad7d330c4608ep-7, 0x1.a1e0838c69568p-7, 0x1.9689a6ccf572ap-7, 0x1.8b7754c963009p-7, 0x1.80a847a82c2bap-7, 0x1.761b37437fef8p-7, 0x1.6bced72aeb7bep-7, 0x1.61c1d84cef51p-7, 0x1.57f2ededc62d4p-7, 0x1.4e60d41e66d04p-7, 0x1.450a54446a8cap-7, 0x1.3bee472e71db6p-7, 0x1.330b919d07bbap-7, 0x1.2a611d644374bp-7, 0x1.21edd1cf12cddp-7, 0x1.19b08e1ae57a6p-7, 0x1.11a8288911cb1p-7, 0x1.09d372cd379ecp-7, 0x1.02314251e7801p-7, 0x1.f580f26c61201p-8, 0x1.e700192f9dabap-8, 0x1.d8de0a44e23efp-8, 0x1.cb18f3ea476aap-8, 0x1.bdaf0e4ebfbe4p-8, 0x1.b09e8712847cdp-8, 0x1.a3e572ed2c47bp-8, 0x1.9781cb07b6368p-8, 0x1.8b717754440a9p-8, 0x1.7fb2625871f5ep-8, 0x1.74428f5ae8021p-8, 0x1.69202b03ac212p-8, 0x1.5e49908221539p-8, 0x1.53bd41584056fp-8, 0x1.4979d2883f65ap-8, 0x1.3f7dd5826999ap-8, 0x1.35c7c4a81c20dp-8, 0x1.2c55fa04b5537p-8, 0x1.2326b347ee53p-8, 0x1.1a38215940d38p-8, 0x1.11887df0d4317p-8, 0x1.09162009e1926p-8, 0x1.00df88fceea8ap-8, 0x1.f1c6cd680a4b8p-9, 0x1.e24115226dd97p-9, 0x1.d32baf823f1bep-9, 0x1.c4845cc08032ap-9, 0x1.b648b467b7e79p-9, 0x1.a876152043e13p-9, 0x1.9b09aa8d50517p-9, 0x1.8e008439da191p-9, 0x1.8157b43b29182p-9, 0x1.750c6d6052582p-9, 0x1.691c1cde7bd54p-9, 0x1.5d84798d0da7cp-9, 0x1.5243836c946c2p-9, 0x1.47576e604b153p-9, 0x1.3cbe7faeb101bp-9, 0x1.3276ec943ce84p-9, 0x1.287ec8d28c15dp-9, 0x1.1ed406f532d24p-9, 0x1.15747f9b129d5p-9, 0x1.0c5df5ff996aap-9, 0x1.038e1d987ed06p-9, 0x1.f6055bc121cc3p-10, 0x1.e5730e4f3934dp-10, 0x1.d561a99af541ap-10, 0x1.c5ce21a13de43p-10, 0x1.b6b5c32b484d7p-10, 0x1.a815d7e71297cp-10, 0x1.99eb7bb5f8b42p-10, 0x1.8c33b79869af9p-10, 0x1.7eebacc06fc58p-10, 0x1.721087f82f02bp-10, 0x1.659f3440af61dp-10, 0x1.5994191b72ecbp-10, 0x1.4deb434067b91p-10, 0x1.42a0fd5a881cep-10, 0x1.37b265418071p-10, 0x1.2d1d74010ca02p-10, 0x1.22e068f31be94p-10, 0x1.18f920cd61ee1p-10, 0x1.0f64f539ec754p-10, 0x1.062137d948c01p-10, 0x1.fa578907a5327p-11, 0x1.e90621ba07c44p-11, 0x1.d84b28a9324c5p-11, 0x1.c8220553424dcp-11, 0x1.b8842fecba2e5p-11, 0x1.a96a99214fe97p-11, 0x1.9acfe19be6952p-11, 0x1.8cb166778e6f9p-11, 0x1.7f0e0f37f4d25p-11, 0x1.71e3e7369d168p-11, 0x1.652ebaa01a9dcp-11, 0x1.58e8d8d6c5d31p-11, 0x1.4d0d20353e99ep-11, 0x1.41988a97b234ep-11, 0x1.368a005b91cc4p-11, 0x1.2be08adc7df9ap-11, 0x1.219950bc12e81p-11, 0x1.17af140448b87p-11, 0x1.0e1bcc16c7eccp-11, 0x1.04db2d1c10b65p-11, 0x1.f7d7e1e85e84dp-12, 0x1.e69d3f54cf9abp-12, 0x1.d605c91d18feep-12, 0x1.c60bbc9eeb577p-12, 0x1.b6a5487bfba88p-12, 0x1.a7c85d7c1500ep-12, 0x1.996e4fc7ef01p-12, 0x1.8b94e0c3789c7p-12, 0x1.7e3c09252cdc8p-12, 0x1.716276e250523p-12, 0x1.65036bb475ac2p-12, 0x1.59175039a4518p-12, 0x1.4d96874721603p-12, 0x1.427c6f6c837fcp-12, 0x1.37c820705687dp-12, 0x1.2d7a4023b99a5p-12, 0x1.2391d865d60dfp-12, 0x1.1a0ada0b31ca2p-12, 0x1.10ded14e8c62fp-12, 0x1.080718c438adcp-12, 0x1.fefe23984539p-13, 0x1.ee888f4ed4d4p-13, 0x1.deaa900f80effp-13, 0x1.cf614c0699bdfp-13, 0x1.c0a92662b0357p-13, 0x1.b27d08c4267fp-13, 0x1.a4d6e502457dap-13, 0x1.97b101f3bcfb7p-13, 0x1.8b060b1b1d46cp-13, 0x1.7ed0a91f303f1p-13, 0x1.730d6a06dc587p-13, 0x1.67bad32352e8bp-13, 0x1.5cd54b246c4ccp-13, 0x1.52568a4742d03p-13, 0x1.483a045e766e5p-13, 0x1.3e7bd6e668bcep-13, 0x1.3514edce55c6bp-13, 0x1.2bfe44c7cd925p-13, 0x1.23353ccd3969bp-13, 0x1.1aba3d6e73d38p-13, 0x1.128d4d8c77226p-13, 0x1.0aada8f5ff637p-13, 0x1.031ac640ff06cp-13, 0x1.f7a09c38f0ebdp-14, 0x1.e987bc4ab154dp-14, 0x1.dbdd9f689045p-14, 0x1.cea6ac3c62d3p-14, 0x1.c1e4af8a1e91ap-14, 0x1.b590ec2a83d53p-14, 0x1.a9ac6dc8d1b56p-14, 0x1.9e38e13b11e1bp-14, 0x1.9329310955f63p-14, 0x1.886ab0237f82ep-14, 0x1.7df61059ccaf6p-14, 0x1.73d02274d71f6p-14, 0x1.69fb454bb43efp-14, 0x1.60749d4ee56aep-14, 0x1.573f46e3b431ap-14, 0x1.4e5e80dbc73c4p-14, 0x1.45c8c5bdcc545p-14, 0x1.3d6ba40ac7ec2p-14, 0x1.353f57633bba7p-14, 0x1.2d4c476c1bf22p-14, 0x1.25921a64f6ddfp-14, 0x1.1e0b8f4a0b57fp-14, 0x1.16bf58bc7e406p-14, 0x1.0fafa6ee5e18fp-14, 0x1.08d36102968edp-14, 0x1.021da99784afbp-14, 0x1.f711d888672b4p-15, 0x1.ea36eafad1287p-15, 0x1.ddac3ca366046p-15, 0x1.d167e3f02c33bp-15, 0x1.c5716854b5d15p-15, 0x1.b9cc356d639c1p-15, 0x1.ae6edc5f55993p-15, 0x1.a351d54acbc8cp-15, 0x1.9869a43b61b19p-15, 0x1.8db19a0a8ada7p-15, 0x1.83312ba6eab3bp-15, 0x1.78dfdec056001p-15, 0x1.6ec121be0b9b6p-15, 0x1.64dd2dcad479cp-15, 0x1.5b2e796675807p-15, 0x1.51af20fd91558p-15, 0x1.48554c61edd7dp-15, 0x1.3f1c3ceb24fcp-15, 0x1.360b9c49cf51dp-15, 0x1.2d1e3172d63b4p-15, 0x1.24543cb1d6d89p-15, 0x1.1bb2bc9d74aadp-15, 0x1.1333c607557b1p-15, 0x1.0ad31ec6a46b2p-15, 0x1.02911f14423f9p-15, 0x1.f4e1d2b203c23p-16, 0x1.e4dc82b4cc74bp-16, 0x1.d50a295bc5d65p-16, 0x1.c568a80cfc9a9p-16, 0x1.b5f92882582c1p-16, 0x1.a6c627f9b9606p-16, 0x1.97c7168fd2389p-16, 0x1.88f8eb3a29adbp-16, 0x1.7a5ecc7ca3cd9p-16, 0x1.6bf1ce508dbcp-16, 0x1.5dae792dae839p-16, 0x1.4f94544fb527dp-16, 0x1.41a427f0dce8ap-16, 0x1.33e57a3e5f953p-16, 0x1.265096aa60499p-16, 0x1.18e1dbe0bd948p-16, 0x1.0b99f6ddce778p-16, 0x1.fcf1faa64360fp-17, 0x1.e3008f40baa69p-17, 0x1.c968bf1d1d868p-17, 0x1.b01d16aad835ep-17, 0x1.971441ec99425p-17, 0x1.7e53ed6a1bc7fp-17, 0x1.65e6b2d45a48bp-17, 0x1.4dc293f5d1b12p-17, 0x1.35e4fe6dbc717p-17, 0x1.1e526307aaca5p-17, 0x1.07103a461b2d1p-17, 0x1.e0295337d1c6p-18, 0x1.b2b697ec9663ap-18, 0x1.85d6ba68af6a2p-18, 0x1.59907860366dcp-18, 0x1.2dd92822bef78p-18, 0x1.02ae5ae18421fp-18, 0x1.b0248d57d1978p-19, 0x1.5c0b640163829p-19, 0x1.0911cf5f8bd04p-19, 0x1.6e6d0bdb5d02p-20, 0x1.9a0423457fb3cp-21, 0x1.6fb8910edfc7dp-23, -0x1.bbb49d4b0e7afp-22, -0x1.099a6cf8c7238p-20, -0x1.a1ec9ccda97bp-20, -0x1.1c00be27ba306p-19, -0x1.65ec8b11e23a9p-19, -0x1.aeb6587904ad8p-19, -0x1.f65411d812a7dp-19, -0x1.1e646987fe48p-18, -0x1.4112567a8bf75p-18, -0x1.632ba3e3a9d3ap-18, -0x1.84afc9b0ba829p-18, -0x1.a5a248960d7a5p-18, -0x1.c601de2ba5eap-18, -0x1.e5cdcbe40ea6bp-18, -0x1.0282f3ea7c909p-17, -0x1.11d51209fb446p-17, -0x1.20dd2844ca4b4p-17, -0x1.2f9b2185f8785p-17, -0x1.3e0f20668ecc5p-17, -0x1.4c3875be2e8c6p-17, -0x1.5a17663127818p-17, -0x1.67acd1c1df5eep-17, -0x1.74f75f4301b52p-17, -0x1.81f817539e2bfp-17, -0x1.8eaedda983388p-17, -0x1.9b1ba9c3c4dd1p-17, -0x1.a73e5ed1485a6p-17, -0x1.b3169f0406efap-17, -0x1.bea5d21bf80a5p-17, -0x1.c9eaeccb143f4p-17, -0x1.d4e69426afa9cp-17, }}, 
      {{-0x1.fb1db632c0c05p+0, -0x1.fa481a0770105p+0, -0x1.f8e76162c696fp+0, -0x1.f6ffe8dcee4cfp+0, -0x1.f4971bc2034eep+0, -0x1.f1b328be11cfbp+0, -0x1.ee5ac5cb4ff8bp+0, -0x1.ea95009311223p+0, -0x1.e66918d15cc0cp+0, -0x1.e1de62a3d180dp+0, -0x1.dcfc2f1228acep+0, -0x1.d7c9b98564cd3p+0, -0x1.d24e19259288bp+0, -0x1.cc90356dc86d3p+0, -0x1.c696bd4ca139bp+0, -0x1.c068206da0e36p+0, -0x1.ba0a8a3fdd12ep+0, -0x1.b383de734c078p+0, -0x1.acd9b6ad89dd5p+0, -0x1.a611613fadcbp+0, -0x1.9f2fe0b4c4f0fp+0, -0x1.9839ec14d1a16p+0, -0x1.9133efbe0d127p+0, -0x1.8a220eb96440ap+0, -0x1.83082476e7326p+0, -0x1.7be9c6dc3fce2p+0, -0x1.74ca489820a5fp+0, -0x1.6dacbba8f9bb1p+0, -0x1.6693f40eb9a96p+0, -0x1.5f828a956898cp+0, -0x1.587adfb6b4c62p+0, -0x1.517f1e84cfe3bp+0, -0x1.4a913f951afe7p+0, -0x1.43b30be9ca821p+0, -0x1.3ce61fcd9eb85p+0, -0x1.362bed9fd4ad4p+0, -0x1.2f85c08744ffap+0, -0x1.28f4bf11fe83p+0, -0x1.2279edac0ceccp+0, -0x1.1c163100cebep+0, -0x1.15ca50325dbecp+0, -0x1.0f96f6f1aa3b6p+0, -0x1.097cb7775a9c3p+0, -0x1.037c0c4fd4164p+0, -0x1.fb2ab43011a42p-1, -0x1.ef91e2342ff75p-1, -0x1.e42e1da323381p-1, -0x1.d8ffbeadd40b8p-1, -0x1.ce06fd7329882p-1, -0x1.c343f48a05579p-1, -0x1.b8b6a371726b6p-1, -0x1.ae5ef0d8200fcp-1, -0x1.a43cacc240373p-1, -0x1.9a4f928901759p-1, -0x1.90974abd0080cp-1, -0x1.87136ce9000a6p-1, -0x1.7dc38136a3965p-1, -0x1.74a701fdd9aa3p-1, -0x1.6bbd5d458e2d4p-1, -0x1.6305f603e7894p-1, -0x1.5a802570b74d1p-1, -0x1.522b3c2c222b9p-1, -0x1.4a06835386d15p-1, -0x1.42113d834d2d4p-1, -0x1.3a4aa7cb04b3dp-1, -0x1.32b1fa8b94bf2p-1, -0x1.2b466a4887c27p-1, -0x1.24072869ab088p-1, -0x1.1cf363ebde4c3p-1, -0x1.160a4a0473297p-1, -0x1.0f4b06b6f776ap-1, -0x1.08b4c55e2f552p-1, -0x1.0246b1293c14cp-1, -0x1.f7ffeb1c3fa47p-2, -0x1.ebbf7d652b49dp-2, -0x1.dfca73945ee0ap-2, -0x1.d41f2ad88c7a1p-2, -0x1.c8bc03c691d93p-2, -0x1.bd9f62e2d3452p-2, -0x1.b2c7b11e883fdp-2, -0x1.a8335c488522fp-2, -0x1.9de0d76dd1d2cp-2, -0x1.93ce9b2ed6d14p-2, -0x1.89fb26094edfbp-2, -0x1.8064fc97ddeccp-2, -0x1.770aa9c7ba60dp-2, -0x1.6deabf05ebcfep-2, -0x1.6503d46444737p-2, -0x1.5c5488b77fd24p-2, -0x1.53db81ae57f74p-2, -0x1.4b976be2f09fbp-2, -0x1.4386fae669c12p-2, -0x1.3ba8e948284f2p-2, -0x1.33fbf8973ae9bp-2, -0x1.2c7ef15f09ebcp-2, -0x1.2530a321c521cp-2, -0x1.1e0fe44ecfe0ap-2, -0x1.171b9234336ffp-2, -0x1.105290ef0217dp-2, -0x1.09b3cb596e9b3p-2, -0x1.033e32f546c8fp-2, -0x1.f9e17faa407a2p-3, -0x1.ed94e10783c9ep-3, -0x1.e19493d4d215ep-3, -0x1.d5deae6b4fe2ap-3, -0x1.ca7153727753ep-3, -0x1.bf4ab1a66bee6p-3, -0x1.b469039c6d34ep-3, -0x1.a9ca8f86a84c3p-3, -0x1.9f6da6f6f026cp-3, -0x1.9550a6a0c400fp-3, -0x1.8b71f61b338fep-3, -0x1.81d007a229419p-3, -0x1.786957d7e4de1p-3, -0x1.6f3c6d8677ea9p-3, -0x1.6647d9615d51ep-3, -0x1.5d8a35c794fcfp-3, -0x1.550226862abc3p-3, -0x1.4cae589b39369p-3, -0x1.448d81fa8dc86p-3, -0x1.3c9e6151cdb7ep-3, -0x1.34dfbdcd1e79fp-3, -0x1.2d5066de5e26bp-3, -0x1.25ef340436fdp-3, -0x1.1ebb049296423p-3, -0x1.17b2bf7bf71e9p-3, -0x1.10d5531ba03f4p-3, -0x1.0a21b5027b559p-3, -0x1.0396e1c2a721dp-3, -0x1.fa67b97c94f6p-4, -0x1.edef5fea9836ep-4, -0x1.e1c2d7ae8df7p-4, -0x1.d5e04e2676066p-4, -0x1.ca45fcd816da8p-4, -0x1.bef22915b4186p-4, -0x1.b3e323a765136p-4, -0x1.a917487a95505p-4, -0x1.9e8cfe4d39861p-4, -0x1.9442b660029f1p-4, -0x1.8a36ec29fdc4ep-4, -0x1.80682509cfdc2p-4, -0x1.76d4f002a2aa2p-4, -0x1.6d7be571283cfp-4, -0x1.645ba6c875f22p-4, -0x1.5b72de500bf76p-4, -0x1.52c03ee39d0a7p-4, -0x1.4a4283b03660bp-4, -0x1.41f86ffef9d69p-4, -0x1.39e0cef46bc5fp-4, -0x1.31fa735985f0ep-4, -0x1.2a443763a6bebp-4, -0x1.22bcfc80b7ee5p-4, -0x1.1b63ab232ca4dp-4, -0x1.1437328af2ebap-4, -0x1.0d36889d0715fp-4, -0x1.0660a9adfbap-4, -0x1.ff6930ad4e7dap-5, -0x1.f262ba8f42051p-5, -0x1.e5ac0e3c6e764p-5, -0x1.d9435476bcc25p-5, -0x1.cd26c13b1f6b4p-5, -0x1.c1549368ef68bp-5, -0x1.b5cb1482e223ep-5, -0x1.aa88985deaf2cp-5, -0x1.9f8b7cdd61459p-5, -0x1.94d229ae7f5a7p-5, -0x1.8a5b1006630ebp-5, -0x1.8024aa62e1055p-5, -0x1.762d7c4605d11p-5, -0x1.6c74120a5e28dp-5, -0x1.62f70097a8ae9p-5, -0x1.59b4e5276e31dp-5, -0x1.50ac652367757p-5, -0x1.47dc2dddeba0ep-5, -0x1.3f42f46567cf6p-5, -0x1.36df75519074ap-5, -0x1.2eb07492adc7bp-5, -0x1.26b4bd42ebfb9p-5, -0x1.1eeb2179c4075p-5, -0x1.17527a190bf84p-5, -0x1.0fe9a6b49866fp-5, -0x1.08af8d560a109p-5, -0x1.01a31a4fc3eb5p-5, -0x1.f58680618a687p-6, -0x1.e81def0e89266p-6, -0x1.db0a7d881c4a8p-6, -0x1.ce4a342b8e1c6p-6, -0x1.c1db268bf2c35p-6, -0x1.b5bb732f44bebp-6, -0x1.a9e9434ca078ep-6, -0x1.9e62ca8d2a6ep-6, -0x1.932646ce070e9p-6, -0x1.8831ffd5eae44p-6, -0x1.7d84474200a5ap-6, -0x1.731b78288e93ep-6, -0x1.68f5f6d19ef9fp-6, -0x1.5f1230bf729afp-6, -0x1.556e9c44aed72p-6, -0x1.4c09b863ca459p-6, -0x1.42e20c9c3c569p-6, -0x1.39f628b9d60efp-6, -0x1.3144a4a576629p-6, -0x1.28cc2036e2971p-6, -0x1.208b4307eb7dcp-6, -0x1.1880bc48f773ap-6, -0x1.10ab4296d7d02p-6, -0x1.090993d2a9ep-6, -0x1.019a74e99cf7bp-6, -0x1.f4b963b2cfaa4p-7, -0x1.e69e3ab9f990ep-7, -0x1.d8e1217bf81b1p-7, -0x1.cb7fd7d965f9bp-7, -0x1.be782a5026188p-7, -0x1.b1c7f1d6abc25p-7, -0x1.a56d1397dd411p-7, -0x1.996580affc43dp-7, -0x1.8daf35ec50c47p-7, -0x1.82483b8b5f42ap-7, -0x1.772ea4fdabbb5p-7, -0x1.6c6090a8fa2a6p-7, -0x1.61dc27ad733p-7, -0x1.579f9dac1eb36p-7, -0x1.4da9308f0a5d4p-7, -0x1.43f72853a9c72p-7, -0x1.3a87d6cfe2371p-7, -0x1.31599773d62d3p-7, -0x1.286acf40cffc3p-7, -0x1.1fb9ec7e67641p-7, -0x1.17456633710b7p-7, -0x1.0f0bbc9e1cef9p-7, -0x1.070b78856e0ap-7, -0x1.fe8656671ee72p-8, -0x1.ef62dc8d05f46p-8, -0x1.e0a9c70537d82p-8, -0x1.d258694dc0d5fp-8, -0x1.c46c2684ea53dp-8, -0x1.b6e27115cbafcp-8, -0x1.a9b8ca663fb64p-8, -0x1.9cecc28659bf8p-8, -0x1.907bf7e1c640dp-8, -0x1.846416f309504p-8, -0x1.78a2d9f862863p-8, -0x1.6d3608aa3a5f5p-8, -0x1.621b77f3612e6p-8, -0x1.575109ad020f4p-8, -0x1.4cd4ac3d491bbp-8, -0x1.42a45a87ee71ap-8, -0x1.38be1b790ba9fp-8, -0x1.2f200225a979ap-8, -0x1.25c82c8fe027bp-8, -0x1.1cb4c4c5f90ddp-8, -0x1.13e3ffabe4c59p-8, -0x1.0b541d0d7b5cbp-8, -0x1.0303675f170c2p-8, -0x1.f5e06703cee4ap-9, -0x1.e631c117b4d2p-9, -0x1.d6f7af21d6e9p-9, -0x1.c82f16d929f3ep-9, -0x1.b9d4f11618853p-9, -0x1.abe649652c882p-9, -0x1.9e603d9c63ad8p-9, -0x1.913ffd7568f82p-9, -0x1.8482ca2d9137fp-9, -0x1.7825f62a1a837p-9, -0x1.6c26e49d302a1p-9, -0x1.608309285f603p-9, -0x1.5537e77b94257p-9, -0x1.4a4312f34790bp-9, -0x1.3fa22e3cfa663p-9, -0x1.3552eafa22cc5p-9, -0x1.2b530917074f7p-9, -0x1.21a057ced0b8fp-9, -0x1.1838b3c9ff472p-9, -0x1.0f1a0730249dep-9, -0x1.06424a1bb6e9bp-9, -0x1.fb5f038c66ebcp-10, -0x1.eabf7fdee57eep-10, -0x1.daa2459c57338p-10, -0x1.cb03a98ff5e96p-10, -0x1.bbe0187ad3f43p-10, -0x1.ad3416b5a3f4p-10, -0x1.9efc3fc0bc0b7p-10, -0x1.913545b147559p-10, -0x1.83dbf07d4f333p-10, -0x1.76ed1d3c57819p-10, -0x1.6a65bd7b2f9f3p-10, -0x1.5e42d6bd07338p-10, -0x1.5281822b46a87p-10, -0x1.471eec45a7d0ep-10, -0x1.3c1853f2b5e73p-10, -0x1.316b0be3adfedp-10, -0x1.271489fc38562p-10, -0x1.1d12294257661p-10, -0x1.13617bc846232p-10, -0x1.0a0024291bbcfp-10, -0x1.00ebc6594e0e6p-10, -0x1.f0442de8d0f32p-11, -0x1.df41be2838dcep-11, -0x1.cecbec8aa829p-11, -0x1.bede86ea83bedp-11, -0x1.af757a2530497p-11, -0x1.a08cd183d285p-11, -0x1.9220adf367239p-11, -0x1.842d500a3cfc9p-11, -0x1.76af0fa461a64p-11, -0x1.69a25cefc3bf8p-11, -0x1.5d03c0e99a658p-11, -0x1.50cfdd6fd64bfp-11, -0x1.45036d39c6551p-11, -0x1.399b437204554p-11, -0x1.2e944ae1aa6f2p-11, -0x1.23eb84cc590f2p-11, -0x1.199e07c19718ep-11, -0x1.0fa8fe9259a7cp-11, -0x1.0609a7b1e826ep-11, -0x1.f97aa9fb56499p-12, -0x1.e782d73812b16p-12, -0x1.d626c7a32a64bp-12, -0x1.c5619145d42ebp-12, -0x1.b52e6ea6f3e6ap-12, -0x1.a588bdc9cdb0ep-12, -0x1.966bff42ff418p-12, -0x1.87d3d5480bc24p-12, -0x1.79bc02c5331c7p-12, -0x1.6c206a8c4712bp-12, -0x1.5efd0ec810af3p-12, -0x1.524e10595269fp-12, -0x1.460fada07f785p-12, -0x1.3a3e408fc253dp-12, -0x1.2ed63cae67762p-12, -0x1.23d42e15e8d05p-12, -0x1.1934b99a1a36p-12, -0x1.0ef49b9831aa2p-12, -0x1.0510b0ef87b88p-12, -0x1.f70bd3ab9ce27p-13, -0x1.e4a2ade49746dp-13, -0x1.d2e03124744bap-13, -0x1.c1bee10f08982p-13, -0x1.b139657583571p-13, -0x1.a14a8d693be77p-13, -0x1.91ed49552447fp-13, -0x1.831ca847ee9d8p-13, -0x1.74d3da0cccba5p-13, -0x1.670e33e66acd5p-13, -0x1.59c734501af3ap-13, -0x1.4cfa83bbd24cp-13, -0x1.40a3f30c43af8p-13, -0x1.34bf79af0fe35p-13, -0x1.294933ecb7e4bp-13, -0x1.1e3d6047ab6a2p-13, -0x1.13985ae7da7dbp-13, -0x1.0956981d8c126p-13, -0x1.fee94168b7241p-14, -0x1.ebde24253dc7cp-14, -0x1.d985434490749p-14, -0x1.c7d8419312fcdp-14, -0x1.b6d0fe2887e88p-14, -0x1.a66994de3c09dp-14, -0x1.969c5d5752b9cp-14, -0x1.8763e8d6d7eb9p-14, -0x1.78bafca14184dp-14, -0x1.6a9c8917acb97p-14, -0x1.5d03a2257f68p-14, -0x1.4feb7ced28d8p-14, -0x1.434f713b51561p-14, -0x1.372afaf8d64edp-14, -0x1.2b79ba660dac7p-14, -0x1.2037736e108f9p-14, -0x1.15600c5dc4567p-14, -0x1.0aef8f0b57f46p-14, -0x1.00e22e295c2ccp-14, -0x1.ee68908937b7p-15, -0x1.dbc4f8fa400c2p-15, -0x1.c9d2e600162d4p-15, -0x1.b88bcd3639a26p-15, -0x1.a7e91f88cc8aep-15, -0x1.97e4b7db83042p-15, -0x1.8878a35079697p-15, -0x1.799f3a0415d94p-15, -0x1.6b530cf1a8383p-15, -0x1.5d8ed438dc93p-15, -0x1.504d609c5aa07p-15, -0x1.43899c0528142p-15, -0x1.373ea6f5546ccp-15, -0x1.2b67fce558ac2p-15, -0x1.20016e84fd2bap-15, -0x1.1506ea3328153p-15, -0x1.0a744c644fe1p-15, -0x1.00456aa704c73p-15, -0x1.ecec863f08f8ap-16, -0x1.da0632202cbf5p-16, -0x1.c7d0e1507aa95p-16, -0x1.b646000bcd99dp-16, -0x1.a55f3bee5acep-16, -0x1.9516583727e08p-16, -0x1.85651070abd8ap-16, -0x1.764534d39e254p-16, -0x1.67b0fbb79ee1ep-16, -0x1.59a334f24f831p-16, -0x1.4c17144aa9702p-16, -0x1.3f07c5de78c72p-16, -0x1.32704a69a0922p-16, -0x1.264bad23288c9p-16, -0x1.1a94e361f42b9p-16, -0x1.0f4884e7bb3f2p-16, -0x1.0462cf87dbd45p-16, -0x1.f3b7e8b843d3cp-17, -0x1.df6bac91e57c1p-17, -0x1.cbd3d35b389dfp-17, -0x1.b8ea3458095adp-17, -0x1.a6a7e0871601fp-17, -0x1.95063bc9eb0dap-17, -0x1.83ff29868f157p-17, -0x1.738ceb73db2aap-17, -0x1.63a9dca3b3933p-17, -0x1.545041fa74cb4p-17, -0x1.457afde084374p-17, -0x1.3724cd8997587p-17, -0x1.2949634dd4d87p-17, -0x1.1be2c80d696c7p-17, -0x1.0eece0033d4ffp-17, -0x1.0263a9378a093p-17, -0x1.ec867610e446bp-18, -0x1.d50f369f2aa17p-18, -0x1.be59dc9158d39p-18, -0x1.a85f817edb1cfp-18, -0x1.9319a7e4c5bfbp-18, -0x1.7e8195342bfp-18, -0x1.6a9061ba7cc6cp-18, -0x1.573f618a129c2p-18, -0x1.4488a93e5f178p-18, -0x1.326747254e64p-18, -0x1.20d6795362d24p-18, -0x1.0fd0ff60c973p-18, -0x1.fea32251e137ep-19, -0x1.dea6906b44d69p-19, -0x1.bfa322b7b16e4p-19, -0x1.a190281c78791p-19, -0x1.84653aade7f84p-19, -0x1.681a9d67bfddfp-19, -0x1.4ca9854a85c95p-19, -0x1.320ba3bf51aecp-19, -0x1.183a8d6ce3c02p-19, -0x1.fe5e41c7f8dd2p-20, -0x1.cdc3766c209bcp-20, -0x1.9e969c3cef397p-20, -0x1.70cccd49ad4a9p-20, -0x1.445dcb35dd068p-20, -0x1.193ff97d305b7p-20, -0x1.ded0d8015ec12p-21, -0x1.8d9b639fb8c59p-21, -0x1.3ecd6012fba9ap-21, -0x1.e4a5ed6146823p-22, -0x1.5030bd5a247f4p-22, -0x1.80326fdcb00d1p-23, -0x1.a22b10158c737p-25, 0x1.4d91a4d239d75p-24, 0x1.ae0179dd3f6bbp-23, 0x1.56a8f69737351p-22, 0x1.d275c9ee32c11p-22, 0x1.2541e7a6469fp-21, 0x1.5f77fea8a4a59p-21, 0x1.97e99a2890ecep-21, 0x1.cea01556d9ee5p-21, 0x1.01d1f74e32de6p-20, 0x1.1b80b5baf20a8p-20, 0x1.3460cc10ba5d7p-20, 0x1.4c763ebedece3p-20, 0x1.63c26a0e54f68p-20, 0x1.7a4f803f1a702p-20, 0x1.90217f15c942ep-20, 0x1.a53ad6c0ed9aap-20, 0x1.b99ed907b18f6p-20, 0x1.cd5160b55b661p-20, 0x1.e0563eadb2a6ep-20, 0x1.f2b0c148c3ad4p-20, 0x1.023219c4c02f5p-19, 0x1.0ab9eb4c7c025p-19, 0x1.12f18b369194p-19, 0x1.1ada9256e43d7p-19, 0x1.2276719478181p-19, 0x1.29c68ac582dccp-19, 0x1.30cc4ff4c2dd3p-19, 0x1.37891d2c141ep-19, 0x1.3dfe11e4caa86p-19, 0x1.442c745b3f93ep-19, 0x1.4a159963a3737p-19, 0x1.4fbad5b260fd8p-19, 0x1.551d672bb4c86p-19, 0x1.5a3e622cfe3a8p-19, 0x1.5f1ee567b3dc3p-19, 0x1.63c010efc334p-19, 0x1.6822e68da00c3p-19, 0x1.6c48808d21747p-19, 0x1.7031edc14e566p-19, 0x1.73e02ce8c1579p-19, 0x1.77543ded4d384p-19, 0x1.7a8f22078f2d6p-19, 0x1.7d91c508fc84dp-19, 0x1.805d28cbce766p-19, 0x1.82f24deb8d774p-19, 0x1.85521ac6c74d6p-19, 0x1.877d67bf97d22p-19, 0x1.89752335d6b3dp-19, 0x1.8b3a3120f4d1dp-19, 0x1.8ccd6da448f9ap-19, 0x1.8e2fa8616088ap-19, 0x1.8f628b1c1e5fep-19, 0x1.906bb34d87ea9p-19, 0x1.9132cad154a65p-19, 0x1.91e30b1844511p-19, 0x1.925c3a2ca57edp-19, 0x1.92ab2df720bc5p-19, 0x1.92cf159e2c093p-19, 0x1.92c8be97c2a26p-19, 0x1.9298fa2173c44p-19, 0x1.924095dcd2602p-19, 0x1.91c05b54df29bp-19, 0x1.911911de103p-19, 0x1.904b8a7f17381p-19, 0x1.8f588e938945cp-19, 0x1.8e41312eedc6dp-19, 0x1.8d0598cc75d7bp-19, 0x1.8ba759d8cf84bp-19, 0x1.8a24ba5aa2facp-19, 0x1.888202aa80585p-19, 0x1.86be6231f41bap-19, 0x1.84da653be209cp-19, 0x1.82d6ec10ddaaep-19, 0x1.80b4b9be927bfp-19, 0x1.7e748afb27d83p-19, 0x1.7c1717e19d6e9p-19, 0x1.799d1800fd967p-19, 0x1.77074284cc3dcp-19, 0x1.74564d6d3616ap-19, 0x1.718aecca9ebb5p-19, 0x1.6ea5d2d89174ep-19, 0x1.6ba7b15e728cfp-19, 0x1.689138c359dcep-19, 0x1.6563190bf62ddp-19, 0x1.621e01359929fp-19, 0x1.5ec29c3d0491ep-19, 0x1.5b5196f9110bp-19, 0x1.57cb9b1cb2bd9p-19, 0x1.543150c6b0e13p-19, 0x1.50835f163ca71p-19, 0x1.4cc26c05cb5a9p-19, 0x1.48ef1ddcd2ee1p-19, 0x1.450a167c67969p-19, 0x1.4113f80c09318p-19, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.141880f062a9fp-5, 0x1.0cbb3827d15bap-4, 0x1.82b34ca183ce1p-4, 0x1.e85d4927719b1p-4, 0x1.1dbf2b9b4c4adp-3, 0x1.3d73219f01636p-3, 0x1.531759fc466dfp-3, 0x1.5ec41e91957e5p-3, 0x1.60c9426892c7ap-3, 0x1.599e91b4f784cp-3, 0x1.49d7ad2e6d4c8p-3, 0x1.321a936fb173bp-3, 0x1.131844f2314d3p-3, 0x1.db0e22a32ae3bp-4, 0x1.843c6815a5cb9p-4, 0x1.2324f7b9b484fp-4, 0x1.724f16089b8cfp-5, 0x1.1e58f689b7247p-6, -0x1.8268ffd6c9eb5p-7, -0x1.5aa5c0949d232p-5, -0x1.2e5ea61463382p-4, -0x1.b26809fdd067fp-4, -0x1.1c3d6a7b560fap-3, -0x1.5fdb72cab061bp-3, -0x1.a3a7e9b040cd3p-3, -0x1.e7462f8be107p-3, -0x1.15316f0216c44p-2, -0x1.3659af2e6f431p-2, -0x1.56fabb0f1d2fp-2, -0x1.76f76677b40b3p-2, -0x1.9636370fbd025p-2, -0x1.b4a12559ce37ap-2, -0x1.d2255d17ea6fbp-2, -0x1.eeb2fe7c184d4p-2, -0x1.051e71d61d5d9p-1, -0x1.125c31fcc3dc3p-1, -0x1.1f0e8e6f0abccp-1, -0x1.2b325ec3b6661p-1, -0x1.36c56923d92b2p-1, -0x1.41c64c3607e17p-1, -0x1.4c3466bdc1f1cp-1, -0x1.560fc3ea4225cp-1, -0x1.5f5907f85eea3p-1, -0x1.68115da6a7e17p-1, -0x1.703a660af271ap-1, -0x1.77d629808128p-1, -0x1.7ee709f7da5a4p-1, -0x1.856fb6935fe31p-1, -0x1.8b73208d9e9d4p-1, -0x1.90f47130ad864p-1, -0x1.95f700e31f74p-1, -0x1.9a7e4f0ed5b32p-1, -0x1.9e8dface455bcp-1, -0x1.a229bc40560bdp-1, -0x1.a5555e765dbf5p-1, -0x1.a814b9f09f552p-1, -0x1.aa6baf9743908p-1, -0x1.ac5e2430c77f7p-1, -0x1.adeffc43da806p-1, -0x1.af251858d0d0bp-1, -0x1.b00151a3f1ccdp-1, -0x1.b088770938d72p-1, -0x1.b0be4a78c9237p-1, -0x1.b0a67e9f832f1p-1, -0x1.b044b4eaaa561p-1, -0x1.af9c7bd08144bp-1, -0x1.aeb14d5f0692dp-1, -0x1.ad868e07a99a3p-1, -0x1.ac1f8ba0a6d5dp-1, -0x1.aa7f7c99717e6p-1, -0x1.a8a97f5cbe949p-1, -0x1.a6a099dc35399p-1, -0x1.a467b941a30b2p-1, -0x1.a201b1c35a6b9p-1, -0x1.9f713e973feb5p-1, -0x1.9cb9020131d3bp-1, -0x1.99db857a4744ep-1, -0x1.96db39ee67354p-1, -0x1.93ba780bfe0fp-1, -0x1.907b80a260feep-1, -0x1.8d207d123697ap-1, -0x1.89ab7fc3ad1e6p-1, -0x1.861e84ac79531p-1, -0x1.827b71d77a8e7p-1, -0x1.7ec417fa5b8b6p-1, -0x1.7afa33084fa7dp-1, -0x1.771f6ad1af629p-1, -0x1.7335539d40633p-1, -0x1.6f3d6ecd06935p-1, -0x1.6b392b7a9d338p-1, -0x1.6729e71ca95d6p-1, -0x1.6310ee23f34a4p-1, -0x1.5eef7c9d8d495p-1, -0x1.5ac6beced630cp-1, -0x1.5697d1d09011dp-1, -0x1.5263c42898677p-1, -0x1.4e2b965d67f47p-1, -0x1.49f03b8a22727p-1, -0x1.45b299ea5bc22p-1, -0x1.41738b674e8a7p-1, -0x1.3d33de1c64f37p-1, -0x1.38f454daee0dcp-1, -0x1.34b5a7a8435bbp-1, -0x1.30788437c7205p-1, -0x1.2c3d8e6239a4bp-1, -0x1.280560964c13fp-1, -0x1.23d08c481abefp-1, -0x1.1f9f9a5a1a9e4p-1, -0x1.1b730b82ef675p-1, -0x1.174b58b038b63p-1, -0x1.1328f3632c2f5p-1, -0x1.0f0c460bad0a2p-1, -0x1.0af5b45ecb21cp-1, -0x1.06e59ba876bf1p-1, -0x1.02dc531bd9616p-1, -0x1.fdb4583e4288p-2, -0x1.f5bee525a2e11p-2, -0x1.edd8da30975e2p-2, -0x1.e602baa82f7f5p-2, -0x1.de3d0056bf7b8p-2, -0x1.d6881c045f224p-2, -0x1.cee475e9569c2p-2, -0x1.c7526e178a968p-2, -0x1.bfd25ce8e21c5p-2, -0x1.b864935f3e133p-2, -0x1.b1095b817456dp-2, -0x1.a9c0f8ba1358dp-2, -0x1.a28ba82abc214p-2, -0x1.9b69a0fa00e4bp-2, -0x1.945b14a63aa32p-2, -0x1.8d602f4f121d3p-2, -0x1.867917f19047ep-2, -0x1.7fa5f0b740941p-2, -0x1.78e6d72c8be9bp-2, -0x1.723be47f0ef77p-2, -0x1.6ba52db526d77p-2, -0x1.6522c3e5319dfp-2, -0x1.5eb4b467ae87bp-2, -0x1.585b090456684p-2, -0x1.5215c82355635p-2, -0x1.4be4f4fc38302p-2, -0x1.45c88fb6a57fap-2, -0x1.3fc0959574498p-2, -0x1.39cd011f100b8p-2, -0x1.33edca3ef3b2fp-2, -0x1.2e22e66369b5dp-2, -0x1.286c48a14b16ap-2, -0x1.22c9e1d48f731p-2, -0x1.1d3ba0b9cd79ep-2, -0x1.17c17209d29e9p-2, -0x1.125b40949883ep-2, -0x1.0d08f55cee46bp-2, -0x1.07ca77aef2e6p-2, -0x1.029fad3697949p-2, -0x1.fb10f424b8778p-3, -0x1.f10981dda181ap-3, -0x1.e728c6320bc47p-3, -0x1.dd6e811de3aa5p-3, -0x1.d3da70233bb0ap-3, -0x1.ca6c4e7311d95p-3, -0x1.c123d5100f282p-3, -0x1.b800baef732bfp-3, -0x1.af02b50e61929p-3, -0x1.a629769655ef6p-3, -0x1.9d74b0fdc723dp-3, -0x1.94e414239e17p-3, -0x1.8c774e64ecd75p-3, -0x1.842e0cb430ad7p-3, -0x1.7c07fab883348p-3, -0x1.7404c2e2b327p-3, -0x1.6c240e88bdba1p-3, -0x1.646585f7ebea4p-3, -0x1.5cc8d08127665p-3, -0x1.554d94995799cp-3, -0x1.4df377ed396b2p-3, -0x1.46ba1f71eb6eap-3, -0x1.3fa12f72f6397p-3, -0x1.38a84ba3ff3f9p-3, -0x1.31cf173595fbap-3, -0x1.2b1534ea3880ap-3, -0x1.247a471d4990cp-3, -0x1.1dfdefd5162a4p-3, -0x1.179fd0d30f0b9p-3, -0x1.115f8b9bd1399p-3, -0x1.0b3cc18f02e34p-3, -0x1.053713f025562p-3, -0x1.fe9c47e13ae85p-4, -0x1.f303257665bfap-4, -0x1.e7a203036f1abp-4, -0x1.dc782314e382dp-4, -0x1.d184c8750fd7fp-4, -0x1.c6c7363cf54ecp-4, -0x1.bc3eafea41a95p-4, -0x1.b1ea7968220d6p-4, -0x1.a7c9d7302a27cp-4, -0x1.9ddc0e623abc7p-4, -0x1.942064c0c8276p-4, -0x1.8a9620cf41252p-4, -0x1.813c89dbc6888p-4, -0x1.7812e8103f97ap-4, -0x1.6f1884828b1dep-4, -0x1.664ca94269a9ep-4, -0x1.5daea1654bb6bp-4, -0x1.553db90ecb50fp-4, -0x1.4cf93d8e2da56p-4, -0x1.44e07d525257cp-4, -0x1.3cf2c7e475c16p-4, -0x1.352f6e5260906p-4, -0x1.2d95c2b86024fp-4, -0x1.262518966f823p-4, -0x1.1edcc4d1f0de9p-4, -0x1.17bc1dac5b42ap-4, -0x1.10c27ad3f71c9p-4, -0x1.09ef357045a3ep-4, -0x1.0341a8212e9fbp-4, -0x1.f9725e15af6b4p-5, -0x1.ecaa4fb29c28p-5, -0x1.e029e38d679c2p-5, -0x1.d3efdb46bf37cp-5, -0x1.c7fafbb2804bp-5, -0x1.bc4a0cde17e03p-5, -0x1.b0dbda1b67725p-5, -0x1.a5af320bc1eadp-5, -0x1.9ac2e6a6acf12p-5, -0x1.9015cd3ffcdd1p-5, -0x1.85a6be8f68133p-5, -0x1.7b7496ac85656p-5, -0x1.717e3519f781ap-5, -0x1.67c27cdea3dfp-5, -0x1.5e4054604cb88p-5, -0x1.54f6a585a0cb5p-5, -0x1.4be45daf22c52p-5, -0x1.43086db9a6cebp-5, -0x1.3a61c9ff974bfp-5, -0x1.31ef6a5a17d5fp-5, -0x1.29b04a221263ap-5, -0x1.21a36830ac73fp-5, -0x1.19c7c6df2871ap-5, -0x1.121c6c05eb89ep-5, -0x1.0aa060fab068p-5, -0x1.0352b28eab2a3p-5, -0x1.f864e21a53129p-6, -0x1.ea7d60747144p-6, -0x1.dced0ea09a208p-6, -0x1.cfb221f869fd9p-6, -0x1.c2cad6b6bc795p-6, -0x1.b6356fe246f9cp-6, -0x1.a9f0375159e9bp-6, -0x1.9df97d902a6d8p-6, -0x1.924f9a1546db4p-6, -0x1.86f0eaeccc14cp-6, -0x1.7bdbd4e0d6e25p-6, -0x1.710ec3538c9dfp-6, -0x1.6688282b50a69p-6, -0x1.5c467bc5d2b62p-6, -0x1.52483cf5b4863p-6, -0x1.488bf107c0b55p-6, -0x1.3f1023c55a3e6p-6, -0x1.35d36768d58a5p-6, -0x1.2cd4547e5b666p-6, -0x1.241189b82ec1bp-6, -0x1.1b89abc6c26e3p-6, -0x1.133b6546a2296p-6, -0x1.0b2566cc05d66p-6, -0x1.034667028a0bbp-6, -0x1.f73a4591500cp-7, -0x1.e850ba579fa7dp-7, -0x1.d9cdbe6e3496cp-7, -0x1.cbaeef3d8aedap-7, -0x1.bdf1f4d50be16p-7, -0x1.b094819d696cap-7, -0x1.a394523497c83p-7, -0x1.96ef2e52e58b9p-7, -0x1.8aa2e96e1b4d7p-7, -0x1.7ead62faa97a3p-7, -0x1.730c86498cf8dp-7, -0x1.67be49a88aca2p-7, -0x1.5cc0ad04e948fp-7, -0x1.5211b8c7a3853p-7, -0x1.47af7d669b9ffp-7, -0x1.3d9813ece2c61p-7, -0x1.33c99f467b79fp-7, -0x1.2a424db3b01f4p-7, -0x1.210059a1c1407p-7, -0x1.1802095c40ebap-7, -0x1.0f45ad88ba047p-7, -0x1.06c99ef14cc4p-7, -0x1.fd1879074685bp-8, -0x1.ed17d4d09f673p-8, -0x1.dd8e2559e34e3p-8, -0x1.ce784e751bd43p-8, -0x1.bfd347f9dbd5ep-8, -0x1.b19c247620ee3p-8, -0x1.a3d00e1354637p-8, -0x1.966c4540c8765p-8, -0x1.896e1b7566293p-8, -0x1.7cd2ebd3a998bp-8, -0x1.709816495107p-8, -0x1.64baff1f2f17fp-8, -0x1.5939127987117p-8, -0x1.4e0fcae722a48p-8, -0x1.433cb861ab4b4p-8, -0x1.38bd859ab88d6p-8, -0x1.2e8ff70bcb6bbp-8, -0x1.24b1e6fe3fa17p-8, -0x1.1b213d70e650ap-8, -0x1.11dbe79eba4acp-8, -0x1.08dfd230f69f1p-8, -0x1.002ae835d793fp-8, -0x1.ef762e895f504p-9, -0x1.df1cae96a87cdp-9, -0x1.cf45664eb96c9p-9, -0x1.bfec9dcc557p-9, -0x1.b10ed2ca018fcp-9, -0x1.a2a8b1546fd11p-9, -0x1.94b7044704561p-9, -0x1.8736a2b67e30fp-9, -0x1.7a24607385d08p-9, -0x1.6d7d06c239a14p-9, -0x1.613d578051502p-9, -0x1.556219417a3c1p-9, -0x1.49e827ec1a63fp-9, -0x1.3ecc843b5b1afp-9, -0x1.340c5d69b14c8p-9, -0x1.29a5124a4b41dp-9, -0x1.1f94299e5af84p-9, -0x1.15d743d2c618ap-9, -0x1.0c6c0a707f57fp-9, -0x1.035022849a0bfp-9, -0x1.f5024c912bfe9p-10, -0x1.e3f94eb42d15fp-10, -0x1.d3806f01280e8p-10, -0x1.c392e91529a3bp-10, -0x1.b42c264b4c5ecp-10, -0x1.a547d342b5441p-10, -0x1.96e1e8b24e931p-10, -0x1.88f6ac7006835p-10, -0x1.7b829c94e5243p-10, -0x1.6e8255e6ee9bcp-10, -0x1.61f278bb4dffcp-10, -0x1.55cf9b4bb6b66p-10, -0x1.4a1649d099b39p-10, -0x1.3ec30c19f2448p-10, -0x1.33d269768dc82p-10, -0x1.2940edebb81bp-10, -0x1.1f0b3a28526e2p-10, -0x1.152e1f633b152p-10, -0x1.0ba6b7ca712bfp-10, -0x1.027266d7746a7p-10, -0x1.f31d7acdb9a02p-11, -0x1.e1f2abe4af78ap-11, -0x1.d15f87edc213cp-11, -0x1.c15f3afb09f23p-11, -0x1.b1ed156a454afp-11, -0x1.a3048322d71ecp-11, -0x1.94a0d5837c07p-11, -0x1.86bd17e73b8d5p-11, -0x1.795431696ede6p-11, -0x1.6c6154855eaacp-11, -0x1.5fe06753aad09p-11, -0x1.53ce0313ca55dp-11, -0x1.482703d6ba537p-11, -0x1.3ce80d0631debp-11, -0x1.320d71ca6901ap-11, -0x1.27938c11796d6p-11, -0x1.1d7723256f11bp-11, -0x1.13b5761e59aadp-11, -0x1.0a4bd2568d0e8p-11, -0x1.01370ca851befp-11, -0x1.f0e6c39f1922p-12, -0x1.dff9edc4a43f1p-12, -0x1.cfa13b5c74044p-12, -0x1.bfd854bf45342p-12, -0x1.b09c0cf2b69ecp-12, -0x1.a1e8af67f5f51p-12, -0x1.93b91064350dbp-12, -0x1.86070e8edd8d8p-12, -0x1.78ccfec9ecbf7p-12, -0x1.6c06b55da168ap-12, -0x1.5fb1660e4ee42p-12, -0x1.53ca6d98f5244p-12, -0x1.484df9d44707ap-12, -0x1.3d36b6decb86p-12, -0x1.327ee59de9a26p-12, -0x1.28220cc7700bcp-12, -0x1.1e1dce61d1749p-12, -0x1.14710ef4f4bb6p-12, -0x1.0b1a2a079858bp-12, -0x1.0215d5312ff51p-12, -0x1.f2bef9ffdaf28p-13, -0x1.e1e512abae808p-13, -0x1.d19719748799p-13, -0x1.c1d130b8d1655p-13, -0x1.b29106ec95d86p-13, -0x1.a3d39166dc161p-13, -0x1.9593a95d58a55p-13, -0x1.87ca687835789p-13, -0x1.7a70fde95e4eap-13, -0x1.6d82a1cfd1c63p-13, -0x1.60fd0c6f7e7ep-13, -0x1.54df097e7c586p-13, -0x1.492667c187cdp-13, -0x1.3dcf063f880e3p-13, -0x1.32d354ee551d4p-13, -0x1.282daf268cfb7p-13, -0x1.1dd9d4ac61fbp-13, -0x1.13d521de1337fp-13, -0x1.0a1d3ee45c0bfp-13, -0x1.00b04864c64dep-13, -0x1.ef180f4a0d84cp-14, -0x1.dd5bbcb87b6ddp-14, -0x1.cc25d0f47bf0ap-14, -0x1.bb70ccffdf7dep-14, -0x1.ab37902ab4977p-14, -0x1.9b751d79915b9p-14, -0x1.8c25c0706f93dp-14, -0x1.7d46fb76a5bc5p-14, -0x1.6ed516c16af07p-14, -0x1.60cabedb303a2p-14, -0x1.5323f2fd8807dp-14, -0x1.45dd0dc4a2ac3p-14, -0x1.38f0937cb3adbp-14, -0x1.2c592a76c9937p-14, -0x1.201434f46e731p-14, -0x1.1420f7a94c0b2p-14, -0x1.087e866120a88p-14, -0x1.fa56fe650fd63p-15, -0x1.e44d54327daa5p-15, -0x1.ced924616dd3ap-15, -0x1.b9ec6bfd4ef56p-15, -0x1.a57dce1d2876dp-15, -0x1.918e948f51d3fp-15, -0x1.7e1e7f8356b99p-15, -0x1.6b285292ef40dp-15, -0x1.58ab887b22c63p-15, -0x1.46a8073436634p-15, -0x1.35150f38b9e9fp-15, -0x1.23e6ab56302ccp-15, -0x1.1317a90afc54ep-15, -0x1.02aa0742c91dbp-15, -0x1.e53cc55be616bp-16, -0x1.c5e49b043fcb9p-16, -0x1.a74dc8a9228c5p-16, -0x1.897abec926b09p-16, -0x1.6c5efa205a389p-16, -0x1.4fe39baf03ad9p-16, -0x1.33fe756471873p-16, -0x1.18b8618a782cap-16, -0x1.fc1ffc40fa05fp-17, -0x1.c7fc6a1cad175p-17, -0x1.9513f602338b2p-17, -0x1.636a20212c9abp-17, -0x1.32e80f14c5de4p-17, -0x1.036e1d58709bap-17, -0x1.a9db941c40c69p-18, -0x1.4ee9090fdad9bp-18, -0x1.ec0c17a8db7b7p-19, -0x1.3e31d71f51d6ap-19, -0x1.28c405737cd97p-20, 0x1.157a1b60519fdp-23, 0x1.66573d1bc402bp-20, 0x1.5141b1592dfb6p-19, 0x1.ebd40936eb521p-19, 0x1.417e45f31ac2bp-18, 0x1.8b4dc2c39a7eap-18, 0x1.d36e6f50e58d1p-18, 0x1.0ced02c5f81e9p-17, 0x1.2f3f100b84409p-17, 0x1.50b50553691b7p-17, 0x1.71567ce9a0102p-17, 0x1.913070609aa03p-17, 0x1.b0499aaacc948p-17, 0x1.ce996a1d8eeb6p-17, 0x1.ec270374247ddp-17, 0x1.0479742ffde2bp-16, 0x1.127beb3a5b9a2p-16, 0x1.201ee94a8a768p-16, 0x1.2d656e204071dp-16, 0x1.3a4fbeae13af2p-16, 0x1.46dc5f8063105p-16, 0x1.530e543bbd3ffp-16, 0x1.5ee89e1a2efep-16, 0x1.6a6c777255655p-16, 0x1.759a0caf584a9p-16, 0x1.806e453e70ccap-16, 0x1.8aec5b535c487p-16, 0x1.9515d57ea57ep-16, 0x1.9eea2477379p-16, 0x1.a86c2e1a80791p-16, 0x1.b19da788e38ddp-16, 0x1.ba7f40a22663fp-16, 0x1.c3113b9a5973dp-16, 0x1.cb518822ac137p-16, 0x1.d3435d612ea42p-16, 0x1.dae89337a9199p-16, 0x1.e241899ee8d73p-16, 0x1.e94edba46d1dp-16, 0x1.f010b478bbc51p-16, 0x1.f685edd1529c8p-16, 0x1.fcb1980625bfdp-16, 0x1.014b23910c6e8p-15, 0x1.0419d1f72171ep-15, 0x1.06c406b85ce15p-15, 0x1.094b1f083f68cp-15, 0x1.0bafc0b50afa9p-15, 0x1.0df1c68824b37p-15, 0x1.1010ea9477dd3p-15, 0x1.120ea495213f1p-15, 0x1.13ebad9c70ed5p-15, 0x1.15a85d3489996p-15, 0x1.174355a90b055p-15, 0x1.18bea18dba659p-15, 0x1.1a1a6466598efp-15, 0x1.1b56f12a0d31fp-15, 0x1.1c74a4fba19fep-15, 0x1.1d73e2aad994ep-15, 0x1.1e551cce82ee6p-15, 0x1.1f187af72648dp-15, 0x1.1fbdfea7b4229p-15, 0x1.20471e2adc5bp-15, 0x1.20b4072c61d14p-15, 0x1.21045e8312bcdp-15, 0x1.2139355f9c234p-15, 0x1.2152f5e31e3b6p-15, 0x1.2152065a63153p-15, 0x1.21362d5d7e297p-15, 0x1.210013c51d0d6p-15, 0x1.20b0f2cb94213p-15, 0x1.20486e7aa1da5p-15, 0x1.1fc6e90163e2dp-15, 0x1.1f2d27f7d1507p-15, 0x1.1e7b7a9287663p-15, 0x1.1db23d082a23p-15, 0x1.1cd1db1f33ffp-15, 0x1.1bdac40147999p-15, 0x1.1acd6195958c3p-15, 0x1.19aa1b510f4cap-15, 0x1.187166e6a6058p-15, 0x1.17238371a454cp-15, 0x1.15c0ec05a5293p-15, 0x1.144a5203d4cb6p-15, 0x1.12bfb0ce2bd9cp-15, 0x1.1121c6d866bb1p-15, 0x1.0f70f3789dee6p-15, 0x1.0dad9875855a2p-15, 0x1.0bd80cd253997p-15, 0x1.09f08d0ec49e1p-15, 0x1.07f8015849afap-15, 0x1.05ee6015c629dp-15, 0x1.03d443069616ep-15, }}, 
      {{-0x1.869d42f534e9ep+1, -0x1.7f4ffec91773fp+1, -0x1.74bffafdc48p+1, -0x1.67ef411053693p+1, -0x1.59a8ae59b9bp+1, -0x1.4a8a8b8b2b33ap+1, -0x1.3b0f4686b2414p+1, -0x1.2b948d97cfb55p+1, -0x1.1c610f3cbc7c8p+1, -0x1.0da91c7c440adp+1, -0x1.ff24c71db04edp+0, -0x1.e46ddff4dfffap+0, -0x1.cb4f2a443d056p+0, -0x1.b3dbc213da31p+0, -0x1.9e1b5e3906fd5p+0, -0x1.8a0cdb8e72738p+0, -0x1.77a84bdea03dep+0, -0x1.66e0a04e5c68cp+0, -0x1.57a5024705f64p+0, -0x1.49e1ea1baf84ap+0, -0x1.3d81ff96d76b8p+0, -0x1.326ece456f094p+0, -0x1.289155810c123p+0, -0x1.1fd27aaa8ef09p+0, -0x1.181b62dd542b9p+0, -0x1.1155b872a31e6p+0, -0x1.0b6bdfe475cd7p+0, -0x1.06491f0fa836dp+0, -0x1.01d9b9331fa8p+0, -0x1.fc16037ad1bbfp-1, -0x1.f596cf72f22e9p-1, -0x1.f014f61245e93p-1, -0x1.eb71d9ba9420cp-1, -0x1.e79118b1482bcp-1, -0x1.e458801a2bf32p-1, -0x1.e1affa9cbc1d1p-1, -0x1.df817b75e6f26p-1, -0x1.ddb8e6e210939p-1, -0x1.dc43f8f9dff24p-1, -0x1.db122b95721c8p-1, -0x1.da149b62e1a09p-1, -0x1.d93ded198a8c9p-1, -0x1.d88232de83fa6p-1, -0x1.d7d6d232cf778p-1, -0x1.d7326aa91fd4bp-1, -0x1.d68cbdad8522bp-1, -0x1.d5de975406ce5p-1, -0x1.d521b856435c2p-1, -0x1.d450c16d75aafp-1, -0x1.d3671fd1752ccp-1, -0x1.d260fb18709e5p-1, -0x1.d13b2438a591cp-1, -0x1.cff305b874eefp-1, -0x1.ce8694e66b09ap-1, -0x1.ccf4441a3bb68p-1, -0x1.cb3af5fa95409p-1, -0x1.c959f1998cb1p-1, -0x1.c750d788107fcp-1, -0x1.c51f97ab9e9dfp-1, -0x1.c2c667e4e1358p-1, -0x1.c045bb704f092p-1, -0x1.bd9e3b00d4bcbp-1, -0x1.bad0bd80d9b85p-1, -0x1.b7de417414845p-1, -0x1.b4c7e701d11d6p-1, -0x1.b18eea7b9b8eap-1, -0x1.ae349f74404b9p-1, -0x1.aaba6c517a542p-1, -0x1.a721c648c0445p-1, -0x1.a36c2dc79495bp-1, -0x1.9f9b2b3bce3eep-1, -0x1.9bb04c340d32bp-1, -0x1.97ad20d19b324p-1, -0x1.93933986abb17p-1, -0x1.8f64251ae700fp-1, -0x1.8b216eeb119abp-1, -0x1.86cc9d650ff88p-1, -0x1.826730bea9185p-1, -0x1.7df2a1d2d20a7p-1, -0x1.7970612eb5081p-1, -0x1.74e1d649968b2p-1, -0x1.70485ed965dc4p-1, -0x1.6ba54e4a8c701p-1, -0x1.66f9ed5220e3cp-1, -0x1.6247799c88852p-1, -0x1.5d8f258f586d4p-1, -0x1.58d2182363895p-1, -0x1.54116cccf690ep-1, -0x1.4f4e337837d0ep-1, -0x1.4a89708fb2d34p-1, -0x1.45c41d12c3d2bp-1, -0x1.40ff26b408a04p-1, -0x1.3c3b7003d23bap-1, -0x1.3779d09fe8462p-1, -0x1.32bb1568b95c9p-1, -0x1.2e0000c056547p-1, -0x1.29494acb09598p-1, -0x1.2497a1b2f69e9p-1, -0x1.1feba9ef44319p-1, -0x1.1b45fe8fc36b4p-1, -0x1.16a731867546cp-1, -0x1.120fcbf3dfc7bp-1, -0x1.0d804e73bae62p-1, -0x1.08f93169c26c1p-1, -0x1.047ae54ef788dp-1, -0x1.0005d2fd223adp-1, -0x1.f734b7f6280abp-2, -0x1.ee71b58d38dbcp-2, -0x1.e5c3463bb3bcdp-2, -0x1.dd2a048f2c6f8p-2, -0x1.d4a67eb1d50a7p-2, -0x1.cc3936f4f78cp-2, -0x1.c3e2a4571f84bp-2, -0x1.bba33304e087p-2, -0x1.b37b44d8a64ccp-2, -0x1.ab6b31d6002d4p-2, -0x1.a373489dfd85dp-2, -0x1.9b93cee3af84ap-2, -0x1.93cd01dcc88d6p-2, -0x1.8c1f16a881e27p-2, -0x1.848a3abb38914p-2, -0x1.7d0e9440bcd3bp-2, -0x1.75ac4276754b7p-2, -0x1.6e635e0fe0e6p-2, -0x1.6733f98938259p-2, -0x1.601e217a27ec1p-2, -0x1.5921dcee33ab9p-2, -0x1.523f2dacc3b01p-2, -0x1.4b76108650b4fp-2, -0x1.44c67d98061fep-2, -0x1.3e30689587371p-2, -0x1.37b3c1030168p-2, -0x1.315072796b84dp-2, -0x1.2b0664ddc5015p-2, -0x1.24d57c9b3b235p-2, -0x1.1ebd9adb36134p-2, -0x1.18be9db470c99p-2, -0x1.12d860605e2f1p-2, -0x1.0d0abb65df194p-2, -0x1.075584c739b39p-2, -0x1.01b890328a3b1p-2, -0x1.f8675e3eda33cp-3, -0x1.ed8d61f86a7b6p-3, -0x1.e2e2c6a62b041p-3, -0x1.d86723d698dfap-3, -0x1.ce1a0dcfd3293p-3, -0x1.c3fb15db6733ap-3, -0x1.ba09ca7676808p-3, -0x1.b045b793edb3dp-3, -0x1.a6ae66ccd300fp-3, -0x1.9d435f97b86c4p-3, -0x1.9404277a2c7dfp-3, -0x1.8af042369585dp-3, -0x1.820731ffe273p-3, -0x1.79487793f2a04p-3, -0x1.70b392754130ap-3, -0x1.6848010bfbb2cp-3, -0x1.600540c8556cbp-3, -0x1.57eace4627264p-3, -0x1.4ff82571030ebp-3, -0x1.482cc1a17f67dp-3, -0x1.40881dc29ed4fp-3, -0x1.3909b45fedc9bp-3, -0x1.31b0ffcaafe9dp-3, -0x1.2a7d7a33607edp-3, -0x1.236e9dc243acep-3, -0x1.1c83e4acf51e1p-3, -0x1.15bcc94aea659p-3, -0x1.0f18c631bbf15p-3, -0x1.0897563bafd0fp-3, -0x1.0237f4a98e575p-3, -0x1.f7f43a674bdcep-4, -0x1.ebba98104479fp-4, -0x1.dfc1fbdb01befp-4, -0x1.d409609af293p-4, -0x1.c88fc28590ce6p-4, -0x1.bd541f48eefc3p-4, -0x1.b2557624622ffp-4, -0x1.a792c8038e4ecp-4, -0x1.9d0b17a346068p-4, -0x1.92bd69853e27fp-4, -0x1.88a8c41fa848ep-4, -0x1.7ecc2ff521f36p-4, -0x1.7526b77f89054p-4, -0x1.6bb76768072c4p-4, -0x1.627d4e87ab7a5p-4, -0x1.59777df37fa16p-4, -0x1.50a50908b13d9p-4, -0x1.4805057aa9fd7p-4, -0x1.3f968b607ebaap-4, -0x1.3758b53ee089ap-4, -0x1.2f4aa00edadefp-4, -0x1.276b6b4fbd238p-4, -0x1.1fba38f10cab5p-4, -0x1.18362d787e808p-4, -0x1.10de701330dfp-4, -0x1.09b22a6cdbe86p-4, -0x1.02b088da33f96p-4, -0x1.f7b1749e9745ep-5, -0x1.ea53e0ca2fee4p-5, -0x1.dd46bebb8d8f2p-5, -0x1.d0887c4eb9769p-5, -0x1.c4178cb9c11ap-5, -0x1.b7f2688cf94a5p-5, -0x1.ac178dbbe02adp-5, -0x1.a0857f94e52aap-5, -0x1.953ac6baee13bp-5, -0x1.8a35f15e3763ap-5, -0x1.7f7592cd22614p-5, -0x1.74f843ccc6a02p-5, -0x1.6abca29af8444p-5, -0x1.60c1529828134p-5, -0x1.5704fc8918bf9p-5, -0x1.4d864e7e6a8e2p-5, -0x1.4443fbcb2e645p-5, -0x1.3b3cbd01a5abcp-5, -0x1.326f4febc0e71p-5, -0x1.29da7783d52a4p-5, -0x1.217cfbed4163p-5, -0x1.1955aa6add2ap-5, -0x1.116355554d301p-5, -0x1.09a4d412793d2p-5, -0x1.0219030cfc8d8p-5, -0x1.f57d8752e4bb4p-6, -0x1.e729f87e176edp-6, -0x1.d93530243cfeep-6, -0x1.cb9d0e57ee9c3p-6, -0x1.be5f7cc2c9d51p-6, -0x1.b17a6efa34e57p-6, -0x1.a4ebe18f1964fp-6, -0x1.98b1da9aad09dp-6, -0x1.8cca6971064d1p-6, -0x1.8133a68a31c6ap-6, -0x1.75ebb369a7a75p-6, -0x1.6af0ba84c05b2p-6, -0x1.6040ef292bfbap-6, -0x1.55da8d632a6d9p-6, -0x1.4bbbd9e33fe76p-6, -0x1.41e321e3165cep-6, -0x1.384ebb09e695ep-6, -0x1.2efd03511badp-6, -0x1.25ec60e9a18d9p-6, -0x1.1d1b42217e086p-6, -0x1.14881d4854a83p-6, -0x1.0c3170911edfap-6, -0x1.0415c206c036bp-6, -0x1.f8673e989969dp-7, -0x1.e9133b44f895dp-7, -0x1.da2cb3261362ap-7, -0x1.cbb0eee3c0669p-7, -0x1.bd9d44d6f142ap-7, -0x1.afef1a001223ep-7, -0x1.a2a3e1636306ep-7, -0x1.95b91bcc9abep-7, -0x1.892c579898e5p-7, -0x1.7cfb30892e5c7p-7, -0x1.71234fa14da63p-7, -0x1.65a26aff1390cp-7, -0x1.5a7645a7a0db4p-7, -0x1.4f9caf3f5a8f5p-7, -0x1.451383b58faacp-7, -0x1.3ad8aaf4c1e79p-7, -0x1.30ea18aa55926p-7, -0x1.2745cc2dc0ca8p-7, -0x1.1de9d07d5966bp-7, -0x1.14d43c3754862p-7, -0x1.0c033172d2784p-7, -0x1.0374dd6a2b076p-7, -0x1.f64eefffe5d5bp-8, -0x1.e6328691f854cp-8, -0x1.d69116e5a6f2ep-8, -0x1.c7674bcb824e1p-8, -0x1.b8b1e4e6977efp-8, -0x1.aa6db6a4e25d3p-8, -0x1.9c97a980cf654p-8, -0x1.8f2cba1d0016dp-8, -0x1.8229f85bf3ea9p-8, -0x1.758c85856da5ap-8, -0x1.695192ee9845cp-8, -0x1.5d76615672493p-8, -0x1.51f8413dc515fp-8, -0x1.46d49405d6737p-8, -0x1.3c08cd36643e2p-8, -0x1.3192732596047p-8, -0x1.276f1e749cb52p-8, -0x1.1d9c7854b021cp-8, -0x1.1418381cbb09ep-8, -0x1.0ae02118d058fp-8, -0x1.01f201780c0f8p-8, -0x1.f29765a410433p-9, -0x1.e1d637e36bc49p-9, -0x1.d19c6559d60ffp-9, -0x1.c1e5ff56600e5p-9, -0x1.b2af37b7b830bp-9, -0x1.a3f46008b5252p-9, -0x1.95b1e4315b459p-9, -0x1.87e4428a4c44dp-9, -0x1.7a8806ae1edap-9, -0x1.6d99c937b7e1fp-9, -0x1.611632ae7494ep-9, -0x1.54fa0175468bbp-9, -0x1.4942102b76267p-9, -0x1.3deb5e0c7f76dp-9, -0x1.32f30829195fep-9, -0x1.285648cec5e52p-9, -0x1.1e126e952114fp-9, -0x1.1424d3a43a4e5p-9, -0x1.0a8ad7eb0b5bfp-9, -0x1.0141dfff6e749p-9, -0x1.f08eb212e92dfp-10, -0x1.df31806b2925cp-10, -0x1.ce6755b81b6a5p-10, -0x1.be2b989f012c2p-10, -0x1.ae79ee460a84p-10, -0x1.9f4e32aeaa818p-10, -0x1.90a4693f72058p-10, -0x1.8278aa7e75265p-10, -0x1.74c714f661b53p-10, -0x1.678bc61d4daafp-10, -0x1.5ac2dd4683a53p-10, -0x1.4e688718b9a8bp-10, -0x1.42790d2b684c1p-10, -0x1.36f0e467bee56p-10, -0x1.2bccb5ae3838ep-10, -0x1.21095e4ed2f23p-10, -0x1.16a3e8450bdd3p-10, -0x1.0c997c6622a5cp-10, -0x1.02e75295e8d5ap-10, -0x1.f31549ddc3ef6p-11, -0x1.e101539c30398p-11, -0x1.cf8d2bc259262p-11, -0x1.beb348b7c0827p-11, -0x1.ae6e45e1e49c4p-11, -0x1.9eb8eea46fb1p-11, -0x1.8f8e5e94a8bccp-11, -0x1.80e9fadb0e272p-11, -0x1.72c781f1718f2p-11, -0x1.6522e63175474p-11, -0x1.57f84337fc1bdp-11, -0x1.4b43c0dabd5acp-11, -0x1.3f0186c7c8fb4p-11, -0x1.332dbcb790fabp-11, -0x1.27c48f6c1a4ep-11, -0x1.1cc233e2f4795p-11, -0x1.1222eb5a0a995p-11, -0x1.07e310c3aeb7bp-11, -0x1.fbfe620ae44fcp-12, -0x1.e8e840ee111b7p-12, -0x1.d67df64cf6d63p-12, -0x1.c4ba182771f38p-12, -0x1.b3975ae20671p-12, -0x1.a31074085cbdp-12, -0x1.93202b9738d53p-12, -0x1.83c176dfc04c5p-12, -0x1.74ef703d3757ap-12, -0x1.66a525159627ap-12, -0x1.58dd6e278acecp-12, -0x1.4b930bc74fefcp-12, -0x1.3ec10733ab88fp-12, -0x1.32630e30fa242p-12, -0x1.267572fa73866p-12, -0x1.1af4ca52662p-12, -0x1.0fdd803622768p-12, -0x1.052bc436e1a7cp-12, -0x1.f5b7ac1be98cfp-13, -0x1.e1d4bd2250757p-13, -0x1.cea8ee4df502cp-13, -0x1.bc2e9800b7a95p-13, -0x1.aa5f4b558021ap-13, -0x1.99339a0ed4e1ap-13, -0x1.88a3f642e0adfp-13, -0x1.78aa097ba3a22p-13, -0x1.69412e79080f3p-13, -0x1.5a65db0dca2e9p-13, -0x1.4c1411da2cba5p-13, -0x1.3e46ad5261645p-13, -0x1.30f7ac7b00173p-13, -0x1.24218f55bddc5p-13, -0x1.17c028c67fa82p-13, -0x1.0bd07eee86339p-13, -0x1.004fbf02274c7p-13, -0x1.ea7430eb24d8ap-14, -0x1.d514f273b6f0fp-14, -0x1.c076f77fa6a8ep-14, -0x1.ac91a8386270dp-14, -0x1.9960020adf96dp-14, -0x1.86df25ec5c4d6p-14, -0x1.750b553a0c65fp-14, -0x1.63de19adb3a6ap-14, -0x1.534ee744161ep-14, -0x1.43553d5c7fabap-14, -0x1.33ea9eca2900cp-14, -0x1.250b16f9cb4a2p-14, -0x1.16b3fdc6f421bp-14, -0x1.08e210986c269p-14, -0x1.f720a1455d7c2p-15, -0x1.dd70af52f82c9p-15, -0x1.c4a7bc8b79356p-15, -0x1.acbca5132a0c4p-15, -0x1.95aa6a1d6d102p-15, -0x1.7f6dce11e26f7p-15, -0x1.6a01fe39b88a5p-15, -0x1.555f0d65fc29fp-15, -0x1.417ac887eb0fdp-15, -0x1.2e4ae718f61b2p-15, -0x1.1bc776021adp-15, -0x1.09eb35b8532d5p-15, -0x1.f162adf83962ap-16, -0x1.d02ba80b22b93p-16, -0x1.b02837d057567p-16, -0x1.914e036414061p-16, -0x1.7391ee383a509p-16, -0x1.56e969cfa21a8p-16, -0x1.3b4a88f7cb55ep-16, -0x1.20ab9a0279495p-16, -0x1.070524358d4c6p-16, -0x1.dca2ba5ae6d3dp-17, -0x1.ad1211fb45f03p-17, -0x1.7f42e32c8dc69p-17, -0x1.53274af02e2ddp-17, -0x1.28afd0456603bp-17, -0x1.ff90298a08119p-18, -0x1.b0b8d3c528156p-18, -0x1.64c38afa32864p-18, -0x1.1ba61f9eac765p-18, -0x1.aaaa7d2fe5f2cp-19, -0x1.2385b56df7ebp-19, -0x1.43882b5d9566ap-20, -0x1.297f9dd600944p-22, 0x1.4a619614f4c29p-21, 0x1.8bb29c4dc8be8p-20, 0x1.34946ab813661p-19, 0x1.9ed4c21a6561ep-19, 0x1.026237f5864bp-18, 0x1.3338272af4eeap-18, 0x1.61f1452adef4ap-18, 0x1.8ead63b4a8cbp-18, 0x1.b9960d031a792p-18, 0x1.e2bfa5eff86a9p-18, 0x1.05142ba0bf5b4p-17, 0x1.17e94defea0c2p-17, 0x1.29e51c4be8f7bp-17, 0x1.3b08045cfccbfp-17, 0x1.4b524df2c9db9p-17, 0x1.5acfa3d1b761fp-17, 0x1.6993805f80104p-17, 0x1.77a7a3af1b2b2p-17, 0x1.850748238931fp-17, 0x1.91b56f73a53b2p-17, 0x1.9db971632eacep-17, 0x1.a90ff36770905p-17, 0x1.b3b98ec60a632p-17, 0x1.bdc0dc5c3cee3p-17, 0x1.c733b9d274d23p-17, 0x1.d019708bc0a74p-17, 0x1.d86eb5c75c6cdp-17, 0x1.e0350dbacb6acp-17, 0x1.e77311d041962p-17, 0x1.ee27a02d8c859p-17, 0x1.f4535dfc8df9bp-17, 0x1.f9fc91a2bdeap-17, 0x1.ff28a68cb91a8p-17, 0x1.01ef5c84d6c5cp-16, 0x1.04116d3be9bc2p-16, 0x1.05f9da14697d9p-16, 0x1.07ab6c75cfae8p-16, 0x1.092663de5616dp-16, 0x1.0a69cf0044652p-16, 0x1.0b7848867e1b4p-16, 0x1.0c53632c0d7c9p-16, 0x1.0cfe6e80be6cfp-16, 0x1.0d7b92e59558dp-16, 0x1.0dc9e5ffb4a25p-16, 0x1.0deb70e0d175p-16, 0x1.0de1014354666p-16, 0x1.0daa512bbc28cp-16, 0x1.0d498e5959a42p-16, 0x1.0cc083a6c8d9dp-16, 0x1.0c0ff6dc45ab6p-16, 0x1.0b3804e138b01p-16, 0x1.0a3a71f98fe92p-16, 0x1.0918fedfcb84dp-16, 0x1.07d4c0f378bb3p-16, 0x1.066e67f84457fp-16, 0x1.04e568ab7bd8p-16, 0x1.033b8ea0eb5eap-16, 0x1.017201452a3c1p-16, 0x1.ff123fe5f74cdp-17, 0x1.fb051df1b62f9p-17, 0x1.f6befd0b3104dp-17, 0x1.f2417790397abp-17, 0x1.ed8dd1cac0dacp-17, 0x1.e8a38ebde560cp-17, 0x1.e386198536a33p-17, 0x1.de37d3f570cc6p-17, 0x1.d8ba023c25be1p-17, 0x1.d30e0f2f81f2p-17, 0x1.cd350cb20c616p-17, 0x1.c72f0a562e7ccp-17, 0x1.c0ff3a3d8381dp-17, 0x1.baa86c52123e6p-17, 0x1.b42b3b45d5dc8p-17, 0x1.ad874579ea494p-17, 0x1.a6bf67b659494p-17, 0x1.9fd56726156aap-17, 0x1.98c9d3aea3b5fp-17, 0x1.919d042d0bcd3p-17, 0x1.8a51eaa92648dp-17, 0x1.82ea5c215baa1p-17, 0x1.7b677bb598d79p-17, 0x1.73c802a11b991p-17, 0x1.6c0f950d0366p-17, 0x1.643f173e5275ap-17, 0x1.5c57a22d5a3e3p-17, 0x1.545a5acb7170cp-17, 0x1.4c4869a8e13a1p-17, 0x1.44230b3bd5d8ep-17, 0x1.3beb01de69123p-17, 0x1.33a0cfbcb45c9p-17, 0x1.2b473a565d94cp-17, 0x1.22defb71210edp-17, 0x1.1a67c9fc0cde7p-17, 0x1.11e4133c0c799p-17, 0x1.09547ad7fd767p-17, 0x1.00bb39e375cb4p-17, 0x1.f02d2c5571ba4p-18, 0x1.ded16cfa1ea77p-18, 0x1.cd67fe51d7586p-18, 0x1.bbf02b345fac7p-18, 0x1.aa6bb1a71ec9p-18, 0x1.98dd9a1133153p-18, 0x1.8747609c9dacp-18, 0x1.75aaa26d7a1dp-18, 0x1.6409283ba8763p-18, 0x1.5264be06a0c2p-18, 0x1.40bf1544fcc45p-18, 0x1.2f19cee6a40b9p-18, 0x1.1d76b63e81e31p-18, 0x1.0bd6cfcd87b3p-18, 0x1.f477d2db5f467p-19, 0x1.d1510b236f4eap-19, 0x1.ae394dd88ca02p-19, 0x1.8b35e0220e86ap-19, 0x1.684961da2dc18p-19, 0x1.457673f2ce55dp-19, 0x1.22bf5cd4e1526p-19, 0x1.00258e5478913p-19, 0x1.bb5eac3968218p-20, 0x1.76b80de78c0d5p-20, 0x1.325f306206524p-20, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.eb9676bcf2175p-1, 0x1.eacb4ddbec1fdp-1, 0x1.e9799ba21a184p-1, 0x1.e7a2b566b3eep-1, 0x1.e5486effae8f2p-1, 0x1.e26d1249c4c07p-1, 0x1.df1355a902e3bp-1, 0x1.db3e51f0d700bp-1, 0x1.d6f1780b42003p-1, 0x1.d23086a302347p-1, 0x1.ccff8003fdcf8p-1, 0x1.c762a0579757ap-1, 0x1.c15e545779b6bp-1, 0x1.baf7308887f33p-1, 0x1.b431e90890525p-1, 0x1.ad1349f3ee0aap-1, 0x1.a5a03064131ddp-1, 0x1.9ddd8404da502p-1, 0x1.95d0313c3b568p-1, 0x1.8d7d23de6564fp-1, 0x1.84e942673ecf9p-1, 0x1.7c1969b1a3bb1p-1, 0x1.731269247386bp-1, 0x1.69d8ff4d685e6p-1, 0x1.6071d6e1d39cep-1, 0x1.56e1841d922aep-1, 0x1.4d2c8278ddd42p-1, 0x1.435732adfeabep-1, 0x1.3965d908472acp-1, 0x1.2f5c9bf629cp-1, 0x1.253f82d8a4831p-1, 0x1.1b12750aa62b4p-1, 0x1.10d9391b6ab76p-1, 0x1.0697743736d8ep-1, 0x1.f8a15374559d7p-2, 0x1.e41075d26b3b3p-2, 0x1.cf82cd9b15458p-2, 0x1.bafe945e63a2ap-2, 0x1.a689bf573f222p-2, 0x1.9229ffcae08d9p-2, 0x1.7de4c3954867fp-2, 0x1.69bf35dddab63p-2, 0x1.55be3fef95bb6p-2, 0x1.41e68a30c9673p-2, 0x1.2e3c7d3676bedp-2, 0x1.1ac442efd75cdp-2, 0x1.0781c7e6d071dp-2, 0x1.e8f17924b6fa1p-3, 0x1.c3592d7049379p-3, 0x1.9e4125b5d3e9ep-3, 0x1.79af6b668ee08p-3, 0x1.55a99b61bc276p-3, 0x1.3234e903ddb08p-3, 0x1.0f56213f551efp-3, 0x1.da235b768c6e9p-4, 0x1.96d72febcb842p-4, 0x1.54cf18cf3ba48p-4, 0x1.1411bb495e09ep-4, 0x1.a94a1ded03eep-5, 0x1.2d1cc82ff702bp-5, 0x1.6749a6dc8cf06p-6, 0x1.e7533b72279fap-8, -0x1.b85bf2cff976ap-8, -0x1.506dfde9a0f7cp-6, -0x1.16934e4cf593cp-5, -0x1.821ca7c15d424p-5, -0x1.ead042ef46b8cp-5, -0x1.2856245aab46dp-4, -0x1.59d7e438d991ap-4, -0x1.89ed56be6a1e7p-4, -0x1.b896da7132cc8p-4, -0x1.e5d531aca2c0bp-4, -0x1.08d4beded4b07p-3, -0x1.1e0a9d0f6e7c3p-3, -0x1.328d1bea741ep-3, -0x1.465d4c75aed25p-3, -0x1.597c6608ef135p-3, -0x1.6bebc42cbc718p-3, -0x1.7dace489023f1p-3, -0x1.8ec164e39dc8cp-3, -0x1.9f2b012ea3e42p-3, -0x1.aeeb91a630f7p-3, -0x1.be0508fd8969cp-3, -0x1.cc79729b6593ap-3, -0x1.da4af0e50f67ep-3, -0x1.e77bbb9831591p-3, -0x1.f40e1e33011edp-3, -0x1.00023b3547eb1p-2, -0x1.05b0995775f59p-2, -0x1.0b13685e6f223p-2, -0x1.102bee1e786fdp-2, -0x1.14fb76b7baf0bp-2, -0x1.198353f2a9318p-2, -0x1.1dc4dca299336p-2, -0x1.21c16c0e76633p-2, -0x1.257a615f64d91p-2, -0x1.28f11f152ebc6p-2, -0x1.2c270a805c217p-2, -0x1.2f1d8b41d2322p-2, -0x1.31d60acfcf67cp-2, -0x1.3451f4002df92p-2, -0x1.3692b297bddc8p-2, -0x1.3899b2de9e2e5p-2, -0x1.3a6861396d153p-2, -0x1.3c0029c734a12p-2, -0x1.3d627803ec2fap-2, -0x1.3e90b66f75432p-2, -0x1.3f8c4e38f09e6p-2, -0x1.4056a6ee4e2cap-2, -0x1.40f1262ff79bp-2, -0x1.415d2f687c217p-2, -0x1.419c238818893p-2, -0x1.41af60c407a68p-2, -0x1.419842597816p-2, -0x1.415820540d4bfp-2, -0x1.40f04f57d433cp-2, -0x1.4062206e8913ep-2, -0x1.3faee0d81c3b4p-2, -0x1.3ed7d9de5791ap-2, -0x1.3dde50ab89c5ap-2, -0x1.3cc386242580fp-2, -0x1.3b88b6c33021bp-2, -0x1.3a2f1a79772d3p-2, -0x1.38b7e48f66a9dp-2, -0x1.37244389732dp-2, -0x1.3575610efa987p-2, -0x1.33ac61d3897bep-2, -0x1.31ca65826eafdp-2, -0x1.2fd086ac8486p-2, -0x1.2dbfdab81edb1p-2, -0x1.2b9971d30647dp-2, -0x1.295e56e6709e7p-2, -0x1.270f8f8cdafd4p-2, -0x1.24ae1c09bbcabp-2, -0x1.223af742f4da8p-2, -0x1.1fb716bbf02f6p-2, -0x1.1d236a925d3afp-2, -0x1.1a80dd7c75fbap-2, -0x1.17d054c8bc93dp-2, -0x1.1512b05f23b74p-2, -0x1.1248cac38bf22p-2, -0x1.0f7379198bab6p-2, -0x1.0c938b296c566p-2, -0x1.09a9cb665244ap-2, -0x1.06b6fef57c2fp-2, -0x1.03bbe5b69139cp-2, -0x1.00b93a4ce856fp-2, -0x1.fb5f6453823a5p-3, -0x1.f53ffb2ebc78dp-3, -0x1.ef158f89e6fe1p-3, -0x1.e8e16da6bb52fp-3, -0x1.e2a4d7c527049p-3, -0x1.dc61063f93b4ep-3, -0x1.d61727a8711adp-3, -0x1.cfc860e8f4a2p-3, -0x1.c975cd60f284p-3, -0x1.c3207f07c2486p-3, -0x1.bcc97e8e0e1f6p-3, -0x1.b671cb80844cbp-3, -0x1.b01a5c6b57469p-3, -0x1.a9c41efe6f842p-3, -0x1.a36ff8324c55bp-3, -0x1.9d1ec46d717abp-3, -0x1.96d157aa5ed05p-3, -0x1.90887d9e0081ep-3, -0x1.8a44f9de7b954p-3, -0x1.8407880a5c1a3p-3, -0x1.7dd0dbf001cd9p-3, -0x1.77a1a1b54eb49p-3, -0x1.717a7dff83764p-3, -0x1.6b5c0e1b36f89p-3, -0x1.6546e8246da8ap-3, -0x1.5f3b9b2eaf005p-3, -0x1.593aaf6d23d7ep-3, -0x1.5344a65aa5c3p-3, -0x1.4d59fae1b5cd9p-3, -0x1.477b21845c591p-3, -0x1.41a88883d6d72p-3, -0x1.3be298081ed01p-3, -0x1.3629b24733569p-3, -0x1.307e33ac2245dp-3, -0x1.2ae072fdcf866p-3, -0x1.2550c185637cap-3, -0x1.1fcf6b347155ep-3, -0x1.1a5cb6cab9f08p-3, -0x1.14f8e5fb91869p-3, -0x1.0fa43592e2d52p-3, -0x1.0a5edd99bfe9p-3, -0x1.0529117a8ce39p-3, -0x1.00030024aeb9p-3, -0x1.f5d9a85f99b76p-4, -0x1.ebcd67fd16e52p-4, -0x1.e1e183c1a9f02p-4, -0x1.d816386b2ab42p-4, -0x1.ce6bbb17f3e8fp-4, -0x1.c4e2398857b12p-4, -0x1.bb79da5eec9c4p-4, -0x1.b232bd5fdf17ap-4, -0x1.a90cfbaf1d14bp-4, -0x1.a008a80d62eefp-4, -0x1.9725cf1432e46p-4, -0x1.8e647770a55afp-4, -0x1.85c4a21d15ffbp-4, -0x1.7d464a99b1444p-4, -0x1.74e96723d8e77p-4, -0x1.6cade8ec6556ep-4, -0x1.6493bc4cc00c1p-4, -0x1.5c9ac8fad8a59p-4, -0x1.54c2f23bf1ed5p-4, -0x1.4d0c17164e5bap-4, -0x1.45761281b3ff2p-4, -0x1.3e00bb96cf5b8p-4, -0x1.36abe5bd7569fp-4, -0x1.2f7760d9c3dc6p-4, -0x1.2862f9782461ap-4, -0x1.216e78f833fap-4, -0x1.1a99a5b68e2e3p-4, -0x1.13e44335857ccp-4, -0x1.0d4e1244c16bcp-4, -0x1.06d6d127ceeb5p-4, -0x1.007e3bbb9f556p-4, -0x1.f4881735f80e7p-5, -0x1.e84ff083e1bb6p-5, -0x1.dc536e6064a7cp-5, -0x1.d091f814fe899p-5, -0x1.c50af1760ab24p-5, -0x1.b9bdbb21990e4p-5, -0x1.aea9b2bc4ad7p-5, -0x1.a3ce332c54a2p-5, -0x1.992a94d29e0eep-5, -0x1.8ebe2dc200234p-5, -0x1.848851f4c366ap-5, -0x1.7a8853804abfp-5, -0x1.70bd82c702fa7p-5, -0x1.67272ea89c4dp-5, -0x1.5dc4a4b0903a1p-5, -0x1.5495314304173p-5, -0x1.4b981fc80e7ecp-5, -0x1.42ccbad560664p-5, -0x1.3a324c5666404p-5, -0x1.31c81db2deb3ep-5, -0x1.298d77f3f826ep-5, -0x1.2181a3e7f736fp-5, -0x1.19a3ea446e945p-5, -0x1.11f393c715f5cp-5, -0x1.0a6fe95544058p-5, -0x1.0318341a0fd97p-5, -0x1.f7d77b4659edep-6, -0x1.e9d39ff901a71p-6, -0x1.dc236b94f26d6p-6, -0x1.cec574c6653a5p-6, -0x1.c1b853cce445bp-6, -0x1.b4faa2a8f3f96p-6, -0x1.a88afd47829ccp-6, -0x1.9c6801ab3102dp-6, -0x1.909050137d623p-6, -0x1.85028b21e1395p-6, -0x1.79bd57fcf5f31p-6, -0x1.6ebf5e71adab4p-6, -0x1.640749129bd8fp-6, -0x1.5993c55581f2bp-6, -0x1.4f6383af06b63p-6, -0x1.457537acbe13cp-6, -0x1.3bc7980d7fa12p-6, -0x1.32595ed834643p-6, -0x1.29294970fc4a6p-6, -0x1.203618ace5018p-6, -0x1.177e90e41e7d7p-6, -0x1.0f017a02cfa59p-6, -0x1.06bd9f9886f18p-6, -0x1.fd63a1ccae494p-7, -0x1.edb9c1d775c9bp-7, -0x1.de7b4ce4666fp-7, -0x1.cfa5f82f6a97p-7, -0x1.c13780aff0e99p-7, -0x1.b32dab2953f3ep-7, -0x1.a586443930976p-7, -0x1.983f206386b53p-7, -0x1.8b561c1d177d1p-7, -0x1.7ec91bd3bf3aep-7, -0x1.72960bf513d18p-7, -0x1.66bae0f332c63p-7, -0x1.5b359747f728fp-7, -0x1.5004337683a52p-7, -0x1.4524c20b5dcfp-7, -0x1.3a95579af48a9p-7, -0x1.305410bed440ep-7, -0x1.265f1211865c2p-7, -0x1.1cb4882918f1p-7, -0x1.1352a7907aeaep-7, -0x1.0a37acbfab766p-7, -0x1.0161dc12d7d44p-7, -0x1.f19f0380a9fffp-8, -0x1.e0fde39b7171fp-8, -0x1.d0dd1007b9752p-8, -0x1.c1394fc44681ep-8, -0x1.b20f79219bfb9p-8, -0x1.a35c71a4f930ap-8, -0x1.951d2de9f682ep-8, -0x1.874eb182b45d3p-8, -0x1.79ee0ed6a9c08p-8, -0x1.6cf8670040928p-8, -0x1.606ae9a91ba67p-8, -0x1.5442d4e5787eap-8, -0x1.487d750e6a5a7p-8, -0x1.3d18249b22ea1p-8, -0x1.32104bf98a866p-8, -0x1.27636165b1248p-8, -0x1.1d0ee8c0c5b08p-8, -0x1.1310736743967p-8, -0x1.0965a00682637p-8, -0x1.000c1a71cca62p-8, -0x1.ee0336ed93f6bp-9, -0x1.dc87d16325f3p-9, -0x1.cba1a8c0ae1aep-9, -0x1.bb4c7a6d3d656p-9, -0x1.ab841c609dcep-9, -0x1.9c447cc8fbc8fp-9, -0x1.8d89a1afa8578p-9, -0x1.7f4fa89e00d46p-9, -0x1.7192c641b52f1p-9, -0x1.644f461126ecp-9, -0x1.578189efb5016p-9, -0x1.4b2609d1b9732p-9, -0x1.3f395360c83cfp-9, -0x1.33b8099fedabdp-9, -0x1.289ee490114f7p-9, -0x1.1deab0d4c6b16p-9, -0x1.13984f593ac3p-9, -0x1.09a4b4f5884fdp-9, -0x1.000cea14598fcp-9, -0x1.ed9c14b1eb9fbp-10, -0x1.dbca888c08bf4p-10, -0x1.ca9fb1c91655ep-10, -0x1.ba1636d79ac2fp-10, -0x1.aa28e1d3452e5p-10, -0x1.9ad29fd66d338p-10, -0x1.8c0e804dab9bp-10, -0x1.7dd7b44c946e9p-10, -0x1.70298de3c3f36p-10, -0x1.62ff7f78d3274p-10, -0x1.56551b1fea933p-10, -0x1.4a2611f65ed3fp-10, -0x1.3e6e337f85b73p-10, -0x1.33296d035c57bp-10, -0x1.2853c8ee88004p-10, -0x1.1de96e3493044p-10, -0x1.13e69fb439a37p-10, -0x1.0a47bb9c8f1adp-10, -0x1.01093ad52a907p-10, -0x1.f04f60cf75313p-11, -0x1.df3f91d74edbap-11, -0x1.cedc93e721b2dp-11, -0x1.bf2022fac9025p-11, -0x1.b0042ac790756p-11, -0x1.a182c5a34c69p-11, -0x1.93963b700d102p-11, -0x1.8639008bcba15p-11, -0x1.7965b4c3eee08p-11, -0x1.6d17224d3a841p-11, -0x1.61483cc0288d5p-11, -0x1.55f42018e4d95p-11, -0x1.4b160fbae8358p-11, -0x1.40a9757a4e80bp-11, -0x1.36a9e0a7c2608p-11, -0x1.2d1305215dd9cp-11, -0x1.23e0ba67dfb2fp-11, -0x1.1b0efab724411p-11, -0x1.1299e2238728fp-11, -0x1.0a7dadba8bec8p-11, -0x1.02b6baa85cbb5p-11, -0x1.f6830ac15f9ebp-12, -0x1.e8355197baa32p-12, -0x1.da7dbaf16013bp-12, -0x1.cd55f1a1e03adp-12, -0x1.c0b7d8a572f7dp-12, -0x1.b49d899a2a87dp-12, -0x1.a90153415321ep-12, -0x1.9dddb809e5146p-12, -0x1.932d6c9f97c8p-12, -0x1.88eb56844ce1p-12, -0x1.7f128aafa0081p-12, -0x1.759e4c3601653p-12, -0x1.6c8a0af697cap-12, -0x1.63d162506d272p-12, -0x1.5b7017df876d5p-12, -0x1.53621a406115dp-12, -0x1.4ba37fda5ef2ap-12, -0x1.443085b0ec5b5p-12, -0x1.3d058e3c5d7d6p-12, -0x1.361f20481db58p-12, -0x1.2f79e5d7d63c8p-12, -0x1.2912ab13226b2p-12, -0x1.22e65d382c1b3p-12, -0x1.1cf20994034e7p-12, -0x1.1732dc81166fbp-12, -0x1.11a6206c7f54p-12, -0x1.0c493ce0a21e9p-12, -0x1.0719b595ac592p-12, -0x1.0215298802358p-12, -0x1.fa72a429c7abp-13, -0x1.f108043818619p-13, -0x1.e7e64a4e5da8bp-13, -0x1.df097d2e1373dp-13, -0x1.d66dd1ac13b91p-13, -0x1.ce0fa91e48534p-13, -0x1.c5eb8fd63e6c9p-13, -0x1.bdfe3ba2981e5p-13, -0x1.b6448a5f12a6p-13, -0x1.aebb808ab79p-13, -0x1.a76047e8106fap-13, -0x1.a0302e2875422p-13, -0x1.9928a3a06946cp-13, -0x1.92473a01f95d5p-13, -0x1.8b89a325ab606p-13, -0x1.84edafd48ea0cp-13, -0x1.7e714ea135a11p-13, -0x1.78128ac762ca4p-13, -0x1.71cf8b128d067p-13, -0x1.6ba690cc87b8cp-13, -0x1.6595f6b708225p-13, -0x1.5f9c300837b33p-13, -0x1.59b7c771e5a1bp-13, -0x1.53e75e312b223p-13, -0x1.4e29ab1f81d19p-13, -0x1.487d79d1c0ddfp-13, -0x1.42e1a9ba96cc8p-13, -0x1.3d552d53decp-13, -0x1.37d7094ea51ddp-13, -0x1.326653cb67e1cp-13, -0x1.2d02339569467p-13, -0x1.27a9df65c81ep-13, -0x1.225c9d2ed4c1p-13, -0x1.1d19c167b8dadp-13, -0x1.17e0ae63fc704p-13, -0x1.12b0d3ac565d9p-13, -0x1.0d89ad5f0e46fp-13, -0x1.086ac395037c8p-13, -0x1.0353a9cbe7217p-13, -0x1.fc87fcac5dcbfp-14, -0x1.f276d39b6164fp-14, -0x1.e8733d1bb6f63p-14, -0x1.de7cb0624cde1p-14, -0x1.d492b6276e0b4p-14, -0x1.cab4e7b2469p-14, -0x1.c0e2edf17ee31p-14, -0x1.b71c809823ce3p-14, -0x1.ad6165446a2eep-14, -0x1.a3b16eb06b59dp-14, -0x1.9a0c7be6fd898p-14, -0x1.9072777fbea2p-14, -0x1.86e356e7b4d46p-14, -0x1.7d5f19ac8ed63p-14, -0x1.73e5c8d0810eep-14, -0x1.6a777623a6335p-14, -0x1.61143ba69a496p-14, -0x1.57bc3af010f0ep-14, -0x1.4e6f9c986bc31p-14, -0x1.452e8fb43065dp-14, -0x1.3bf9494516d17p-14, -0x1.32d003bc7a674p-14, -0x1.29b2fe7f5c367p-14, -0x1.20a27d7120df8p-14, -0x1.179ec880e64bcp-14, -0x1.0ea82b3dd5813p-14, -0x1.05bef471c3cfdp-14, -0x1.f9c6eb784c49cp-15, -0x1.e82c06664ecd5p-15, -0x1.d6ade61edd52ap-15, -0x1.c54d3aa25c8cap-15, -0x1.b40ab6e2d596ap-15, -0x1.a2e71027cf482p-15, -0x1.91e2fd805ca4bp-15, -0x1.80ff3731f4098p-15, -0x1.703c76374ec18p-15, -0x1.5f9b73c6520a2p-15, -0x1.4f1ce8d7ac675p-15, -0x1.3ec18db422873p-15, -0x1.2e8a199049762p-15, -0x1.1e7742282bed4p-15, -0x1.0e89bb5f69b3ep-15, -0x1.fd846dd960044p-16, -0x1.de42c80c88da3p-16, -0x1.bf4fde2d97053p-16, -0x1.a0ad02e2f6a16p-16, -0x1.825b8224d3b0cp-16, -0x1.645ca0c4c128ap-16, -0x1.46b19bf2e52cbp-16, -0x1.295ba8d04eb27p-16, -0x1.0c5bf4197321p-16, -0x1.df67437baa40ep-17, -0x1.a6c7992e60d56p-17, -0x1.6edb0c2f5d294p-17, -0x1.37a3ac1af093bp-17, -0x1.012374c02c689p-17, -0x1.96b89b5fb102dp-18, -0x1.2ca013bd1835ap-18, -0x1.88019d736de2cp-19, -0x1.737877e9f7dd6p-20, 0x1.189afa42eeb26p-23, 0x1.b3945d17d7eep-20, 0x1.9effa16d58785p-19, 0x1.30926057e5e32p-18, 0x1.901a4e8e4fe35p-18, 0x1.ee154fe542407p-18, 0x1.2540a29651b5ep-17, 0x1.52ae1dc4370cap-17, 0x1.7f523628905afp-17, 0x1.ab2c1e77bdc2ap-17, 0x1.d63b1f5745d29p-17, 0x1.003f4ba675efdp-16, 0x1.14fafd46e7f8p-16, 0x1.2950696f5527dp-16, 0x1.3d3f5fb1077e4p-16, 0x1.50c7ba34e1405p-16, 0x1.63e95da25936dp-16, 0x1.76a438f72926dp-16, 0x1.88f84572988a9p-16, 0x1.9ae5866cb4dd3p-16, 0x1.ac6c093b4aa2ap-16, 0x1.bd8be4fe98e81p-16, 0x1.ce453a8866baap-16, 0x1.de98342a73403p-16, 0x1.ee8505927d7a7p-16, 0x1.fe0beb996431dp-16, 0x1.0696960d2f20cp-15, 0x1.0df48ae4ee91cp-15, 0x1.1520000125a02p-15, 0x1.1c192549b14fp-15, 0x1.22e02ecbc4135p-15, 0x1.297554a05e344p-15, 0x1.2fd8d2d5ed37p-15, 0x1.360ae95345a7p-15, 0x1.3c0bdbc334101p-15, 0x1.41dbf178fb87p-15, 0x1.477b75586a353p-15, 0x1.4ceab5ba722dap-15, 0x1.522a04546a7bbp-15, 0x1.5739b621530b5p-15, 0x1.5c1a2345265a6p-15, 0x1.60cba6f453179p-15, 0x1.654e9f5992619p-15, 0x1.69a36d7d5ee0dp-15, 0x1.6dca752d6cf5ap-15, 0x1.71c41ce08213dp-15, 0x1.7590cd9fe04d1p-15, 0x1.7930f2edb6c3fp-15, 0x1.7ca4faabb2e87p-15, 0x1.7fed55033d5ddp-15, 0x1.830a744a4e428p-15, }}, 
      {{0x1.ebc3ab044e8abp-1, 0x1.eb7fe716423d8p-1, 0x1.eb0f2444585d4p-1, 0x1.ea71a7574c85p-1, 0x1.e9a7cf1d08cd5p-1, 0x1.e8b2131eabdbfp-1, 0x1.e7910227625acp-1, 0x1.e64540aba0ba8p-1, 0x1.e4cf871d75ca3p-1, 0x1.e330a0383db46p-1, 0x1.e169674bebe01p-1, 0x1.df7ac68e54d61p-1, 0x1.dd65b57763fc6p-1, 0x1.db2b372bed333p-1, 0x1.d8cc58f9bd341p-1, 0x1.d64a30e6bc364p-1, 0x1.d3a5dc544129p-1, 0x1.d0e07eb732155p-1, 0x1.cdfb406516d12p-1, 0x1.caf74d75fb0d1p-1, 0x1.c7d5d4bab2018p-1, 0x1.c49806c6e5518p-1, 0x1.c13f150e34e11p-1, 0x1.bdcc3113944b9p-1, 0x1.ba408baa07a9p-1, 0x1.b69d5445d7685p-1, 0x1.b2e3b85d4e33ap-1, 0x1.af14e2d81d0a4p-1, 0x1.ab31fb8c7b5ffp-1, 0x1.a73c26c927ca5p-1, 0x1.a33484eb737dbp-1, 0x1.9f1c3200893b4p-1, 0x1.9af445712dbccp-1, 0x1.96bdd1b740748p-1, 0x1.9279e41c49a29p-1, 0x1.8e298480741d2p-1, 0x1.89cdb529535f5p-1, 0x1.85677297e3317p-1, 0x1.80f7b365393b9p-1, 0x1.7c7f68256227ep-1, 0x1.77ff7b4ff7516p-1, 0x1.7378d12df3d4cp-1, 0x1.6eec47cc64f4fp-1, 0x1.6a5ab6f38d5fep-1, 0x1.65c4f0221fd81p-1, 0x1.612bbe8c3b801p-1, 0x1.5c8fe71dd3947p-1, 0x1.57f228803b1c9p-1, 0x1.53533b228b57p-1, 0x1.4eb3d144a0efbp-1, 0x1.4a14970473bddp-1, 0x1.4576326d90163p-1, 0x1.40d9438a77325p-1, 0x1.3c3e6477ba09dp-1, 0x1.37a629789b981p-1, 0x1.3311210d10572p-1, 0x1.2e7fd408f391cp-1, 0x1.29f2c5ac49de8p-1, 0x1.256a73bc71c2cp-1, 0x1.20e7569e1ea4cp-1, 0x1.1c69e17002902p-1, 0x1.17f2822608748p-1, 0x1.1381a1a508a7ep-1, 0x1.0f17a3dedd11bp-1, 0x1.0ab4e7eec0199p-1, 0x1.0659c835e3392p-1, 0x1.02069a7829d6dp-1, 0x1.fb775ff1ef63cp-2, 0x1.f2f2ab30068a1p-2, 0x1.ea7fa7dc3e47bp-2, 0x1.e21eded3d650dp-2, 0x1.d9d0d0d8c949p-2, 0x1.d195f6ca9058dp-2, 0x1.c96ec1de7c555p-2, 0x1.c15b9bd78cb84p-2, 0x1.b95ce73dbc0edp-2, 0x1.b172ff94ad328p-2, 0x1.a99e3991af2f4p-2, 0x1.a1dee35112ff9p-2, 0x1.9a35448abc407p-2, 0x1.92a19ec5f1b39p-2, 0x1.8b242d8c5b16dp-2, 0x1.83bd269c30465p-2, 0x1.7c6cba198b96ep-2, 0x1.753312bedcc3cp-2, 0x1.6e10560c7ce26p-2, 0x1.6704a4775a8e6p-2, 0x1.60101996c0113p-2, 0x1.5932cc512d5d5p-2, 0x1.526ccf084b939p-2, 0x1.4bbe2fc3edc39p-2, 0x1.4526f85c2c882p-2, 0x1.3ea72ea290a0dp-2, 0x1.383ed48a54726p-2, 0x1.31ede84fb8ea2p-2, 0x1.2bb4649e730afp-2, 0x1.259240b72cdcap-2, 0x1.1f877094236bp-2, 0x1.1993e50cdf30fp-2, 0x1.13b78bf907d0ep-2, 0x1.0df25052577fdp-2, 0x1.08441a55b3dcp-2, 0x1.02accfa36523fp-2, 0x1.fa58a6bcf1214p-3, 0x1.ef850c9699e17p-3, 0x1.e4de8dda9228ep-3, 0x1.da64e34784648p-3, 0x1.d017c18c329c8p-3, 0x1.c5f6d97e1215ap-3, 0x1.bc01d84e5ea43p-3, 0x1.b23867bda6928p-3, 0x1.a89a2e4dd1bdp-3, 0x1.9f26cf72b3bacp-3, 0x1.95ddebc1266dep-3, 0x1.8cbf211cb405p-3, 0x1.83ca0ae3e2e85p-3, 0x1.7afe421b1ac3dp-3, 0x1.725b5d9631a52p-3, 0x1.69e0f220a753fp-3, 0x1.618e92a49269dp-3, 0x1.5963d0504c5bdp-3, 0x1.51603abad8effp-3, 0x1.498360071733p-3, 0x1.41cccd05c2f68p-3, 0x1.3a3c0d56489a8p-3, 0x1.32d0ab86714a6p-3, 0x1.2b8a3130f4df5p-3, 0x1.2468271af32a3p-3, 0x1.1d6a155054a4ep-3, 0x1.168f833f2a4b5p-3, 0x1.0fd7f7d1f860cp-3, 0x1.0942f98913b63p-3, 0x1.02d00e92f2a95p-3, 0x1.f8fd79c732e05p-4, 0x1.ec9d14961e739p-4, 0x1.e07df915d7f04p-4, 0x1.d49f32d612c3ap-4, 0x1.c8ffcd9aa0451p-4, 0x1.bd9ed58163dfcp-4, 0x1.b27b57269f446p-4, 0x1.a7945fc7a9fb9p-4, 0x1.9ce8fd64161bcp-4, 0x1.92783edd54c9p-4, 0x1.88413414e3fdap-4, 0x1.7e42ee090461p-4, 0x1.747c7ef01433cp-4, 0x1.6aecfa5289553p-4, 0x1.619375239c277p-4, 0x1.586f05d8ab3cdp-4, 0x1.4f7ec47f5f8b7p-4, 0x1.46c1cad29c0ffp-4, 0x1.3e37344e43c74p-4, 0x1.35de1e41d9b13p-4, 0x1.2db5a7e208eeep-4, 0x1.25bcf2591b24dp-4, 0x1.1df320d665663p-4, 0x1.1657589cb5dc8p-4, 0x1.0ee8c10fc8546p-4, 0x1.07a683c0c9c72p-4, 0x1.008fcc79f4badp-4, 0x1.f34792929834fp-5, 0x1.e5c35514faa34p-5, 0x1.d89145dfdf4ep-5, 0x1.cbafcf1614abbp-5, 0x1.bf1d5fa76b3e1p-5, 0x1.b2d86b5e41b1bp-5, 0x1.a6df6aeba25edp-5, 0x1.9b30dbf203c23p-5, 0x1.8fcb410eb78b8p-5, 0x1.84ad21e216ad4p-5, 0x1.79d50b166fb61p-5, 0x1.6f418e65cf5f7p-5, 0x1.64f1429ea3528p-5, 0x1.5ae2c3a74b311p-5, 0x1.5114b2809e91ap-5, 0x1.4785b547738b8p-5, 0x1.3e347735327cbp-5, 0x1.351fa89f7ec85p-5, 0x1.2c45fef6ffceep-5, 0x1.23a634c554af3p-5, 0x1.1b3f09aa3e115p-5, 0x1.130f4257feb14p-5, 0x1.0b15a88f09868p-5, 0x1.03510b18fab8ap-5, 0x1.f7807b85cf63p-6, 0x1.e8c432ae24866p-6, 0x1.da6af72c04192p-6, 0x1.cc728e5e19dp-6, 0x1.bed8c770b4027p-6, 0x1.b19b7b4cbfd6bp-6, 0x1.a4b88c85d8fecp-6, 0x1.982de7476f205p-6, 0x1.8bf981411551bp-6, 0x1.801959920638cp-6, 0x1.748b78b3e8c2ap-6, 0x1.694df064e387ap-6, 0x1.5e5edb9108b42p-6, 0x1.53bc5e3b29f32p-6, 0x1.4964a56518922p-6, 0x1.3f55e6f762c22p-6, 0x1.358e61a8944b9p-6, 0x1.2c0c5ce40ae3bp-6, 0x1.22ce28b05c07ap-6, 0x1.19d21d9564498p-6, 0x1.11169c81fa6ebp-6, 0x1.089a0eb15b7bep-6, 0x1.005ae590527ebp-6, 0x1.f0af35443afbep-7, 0x1.e11d5eca4958dp-7, 0x1.d1fd5a6f0383bp-7, 0x1.c34c4a76c6e16p-7, 0x1.b5076076944fap-7, 0x1.a72bdd1c6ab21p-7, 0x1.99b70ff76d6cfp-7, 0x1.8ca6573ff9fbep-7, 0x1.7ff71f9fa704ap-7, 0x1.73a6e3f94bdb3p-7, 0x1.67b32d30fcc36p-7, 0x1.5c1991f432d4p-7, 0x1.50d7b681efa0cp-7, 0x1.45eb4c731cfc2p-7, 0x1.3b52128308bbbp-7, 0x1.3109d45820851p-7, 0x1.27106a4ce0f97p-7, 0x1.1d63b9390d13fp-7, 0x1.1401b23b2c52bp-7, 0x1.0ae852825d988p-7, 0x1.0215a318809d3p-7, 0x1.f30f7159694d5p-8, 0x1.e27966bc97dc9p-8, 0x1.d2657d101e7cdp-8, 0x1.c2d02118077d2p-8, 0x1.b3b5d53f2e699p-8, 0x1.a513313081554p-8, 0x1.96e4e1714a2a4p-8, 0x1.8927a6fc5898p-8, 0x1.7bd856de42a9fp-8, 0x1.6ef3d9d2a733ap-8, 0x1.62772be27cc37p-8, 0x1.565f5c0378a6ap-8, 0x1.4aa98bb88c063p-8, 0x1.3f52eeb37dde8p-8, 0x1.3458ca77afe33p-8, 0x1.29b875fdfff66p-8, 0x1.1f6f5959ceeadp-8, 0x1.157aed5f45a02p-8, 0x1.0bd8bb4ab6f8ap-8, 0x1.02865c6936069p-8, 0x1.f302f384d6d55p-9, 0x1.e18f978722cd6p-9, 0x1.d0ae33d75d238p-9, 0x1.c05a74f1f5d1ep-9, 0x1.b090242f2d4bap-9, 0x1.a14b2722b6cbep-9, 0x1.92877efdf64eep-9, 0x1.844147f492b3fp-9, 0x1.7674b8a39ba6dp-9, 0x1.691e217af08fap-9, 0x1.5c39ec2944da9p-9, 0x1.4fc49b0a6c087p-9, 0x1.43bac8982f631p-9, 0x1.381926dd6dbap-9, 0x1.2cdc7eebaf602p-9, 0x1.2201b0532446ep-9, 0x1.1785b09cf884dp-9, 0x1.0d658ac7eb922p-9, 0x1.039e5ec773fa9p-9, 0x1.f45ac20a18e1dp-10, 0x1.e21fb3c795d48p-10, 0x1.d0864a8cb86cdp-10, 0x1.bf89642e6ab8ap-10, 0x1.af2403a613da9p-10, 0x1.9f51502ad1d17p-10, 0x1.900c944f4f31ap-10, 0x1.81513d23d87cap-10, 0x1.731ad95cc1fadp-10, 0x1.6565187d1cf6cp-10, 0x1.582bca05aed7cp-10, 0x1.4b6adca7f7711p-10, 0x1.3f1e5d7d618aep-10, 0x1.3342774294a42p-10, 0x1.27d37196ddca2p-10, 0x1.1ccdb03f5b158p-10, 0x1.122db26e2217ap-10, 0x1.07f0120d6c7a4p-10, 0x1.fc23061d04db3p-11, 0x1.e91da5788ed56p-11, 0x1.d6c9ce2348934p-11, 0x1.c5217c26f8f6fp-11, 0x1.b41eda5ca95dbp-11, 0x1.a3bc412f055bdp-11, 0x1.93f435639f34ep-11, 0x1.84c166eafcea6p-11, 0x1.761eafb7c218ap-11, 0x1.6807129c0bfe9p-11, 0x1.5a75ba2dd3224p-11, 0x1.4d65f7b1aacf8p-11, 0x1.40d3420b530ep-11, 0x1.34b934b527724p-11, 0x1.29138ebd3acabp-11, 0x1.1dde31c901f7ap-11, 0x1.1315211e7ba97p-11, 0x1.08b480b31243ep-11, 0x1.fd712880f1825p-12, 0x1.ea3b7cbdfa1a1p-12, 0x1.d7c0ff4af94c6p-12, 0x1.c5faeb9db1408p-12, 0x1.b4e2b5c86867ap-12, 0x1.a47208d9d91a7p-12, 0x1.94a2c5469165fp-12, 0x1.856eff5cf303dp-12, 0x1.76d0fdc31adadp-12, 0x1.68c337fdb2ea9p-12, 0x1.5b40550093e08p-12, 0x1.4e4329c8823p-12, 0x1.41c6b7fe1da5dp-12, 0x1.35c62ca1afb2bp-12, 0x1.2a3cdec042429p-12, 0x1.1f264e2fd5a23p-12, 0x1.147e2254c138cp-12, 0x1.0a4028ef6f033p-12, 0x1.006854f15d4cep-12, 0x1.ede57ab650369p-13, 0x1.dbb73842a7f56p-13, 0x1.ca3e9a3027a5ep-13, 0x1.b97499cf4ac7bp-13, 0x1.a952700d89cf4p-13, 0x1.99d193794bfd3p-13, 0x1.8aebb654bc295p-13, 0x1.7c9ac4b3f5782p-13, 0x1.6ed8e2a82e6d3p-13, 0x1.61a06a7992b0fp-13, 0x1.54ebeaebf3f54p-13, 0x1.48b625901e3cfp-13, 0x1.3cfa0d22e0703p-13, 0x1.31b2c3f5476dcp-13, 0x1.26db9a60645dfp-13, 0x1.1c700d462619bp-13, 0x1.126bc49ad97p-13, 0x1.08ca91faac7a7p-13, 0x1.ff10de935fc7ep-14, 0x1.ed42fabb52636p-14, 0x1.dc240560cc2cep-14, 0x1.cbacd43aa7c14p-14, 0x1.bbd6834f8d929p-14, 0x1.ac9a7294f4183p-14, 0x1.9df243a0c5745p-14, 0x1.8fd7d76d71a07p-14, 0x1.82454c2a821fp-14, 0x1.7534fb21c0e7cp-14, 0x1.68a176aaf52c7p-14, 0x1.5c85882fa4e98p-14, 0x1.50dc2e3e395p-14, 0x1.45a09aad10065p-14, 0x1.3ace30cb6461ep-14, 0x1.3060839deb28fp-14, 0x1.2653542c53c5p-14, 0x1.1ca28fdb80a87p-14, 0x1.134a4ed406db4p-14, 0x1.0a46d27625207p-14, 0x1.019483db9794cp-14, 0x1.f25fe4c4ef8d9p-15, 0x1.e22ba4888c1cdp-15, 0x1.d285f6751cab6p-15, 0x1.c368ce597500cp-15, 0x1.b4ce61d2d10aep-15, 0x1.a6b125d5a23bcp-15, 0x1.990bcc4b00e3ep-15, 0x1.8bd941be9ea45p-15, 0x1.7f14ab21710a8p-15, 0x1.72b963a090d3p-15, 0x1.66c2fa8d5bbfp-15, 0x1.5b2d315756b9ap-15, 0x1.4ff3f998559b4p-15, 0x1.45137331f21c2p-15, 0x1.3a87ea7880224p-15, 0x1.304dd66e360f1p-15, 0x1.2661d70e69b2cp-15, 0x1.1cc0b3aa6b55dp-15, 0x1.1367594fbe1dcp-15, 0x1.0a52d9401628bp-15, 0x1.018067784b155p-15, 0x1.f1dab280067d2p-16, 0x1.e12e4790429cdp-16, 0x1.d0f6b5a9e18f3p-16, 0x1.c12f5eee2f8fep-16, 0x1.b1d3dd9a9da78p-16, 0x1.a2e001a541fd6p-16, 0x1.944fce720572bp-16, 0x1.861f7899eb444p-16, 0x1.784b63c6eaa42p-16, 0x1.6ad020a30bf28p-16, 0x1.5daa6adaacc2ep-16, 0x1.50d727380d88ep-16, 0x1.445361c94a1f2p-16, 0x1.381c4c19d9a9p-16, 0x1.2c2f3b85145ffp-16, 0x1.2089a78c3bf03p-16, 0x1.15292846c3ebfp-16, 0x1.0a0b74d8fead1p-16, 0x1.fe5cc402f1394p-17, 0x1.e91fc16986a0bp-17, 0x1.d45bf982bc278p-17, 0x1.c00db70ae9765p-17, 0x1.ac31756c53a11p-17, 0x1.98c3de50c031cp-17, 0x1.85c1c760ba07bp-17, 0x1.73283004ca4b1p-17, 0x1.60f43f5444f1cp-17, 0x1.4f23421000e6fp-17, 0x1.3db2a8aeb2c0fp-17, 0x1.2ca0058291d68p-17, 0x1.1be90afc5229ap-17, 0x1.0b8b89eb15d49p-17, 0x1.f70adfce59ac5p-18, 0x1.d7a98b67a49ccp-18, 0x1.b8ef5b94c51a9p-18, 0x1.9ad8c5ddcfb74p-18, 0x1.7d626d9e84ca6p-18, 0x1.60892168ce8e5p-18, 0x1.4449d89a3ae2fp-18, 0x1.28a1b0e7fb078p-18, 0x1.0d8dec2b73529p-18, 0x1.e617dc552cc0ap-19, 0x1.b232750bf6db3p-19, 0x1.7f66e593b55ffp-19, 0x1.4db0a926e0408p-19, 0x1.1d0b6f76ec729p-19, 0x1.dae632b4f19a2p-20, 0x1.7dc76b4735b43p-20, 0x1.22b2fbe5e6a37p-20, 0x1.93434f90f29d7p-21, 0x1.ca31f1bbf5c3cp-22, 0x1.d6ccc59af27e2p-24, -0x1.ae1eadbf0a4fap-23, -0x1.0e17373933f0bp-21, -0x1.ace1009ab3388p-21, -0x1.23f84bdfd2821p-20, -0x1.6fa897aafdf78p-20, -0x1.b986d1f8ae322p-20, -0x1.00cc20cd89e85p-19, -0x1.23f104ac4d79bp-19, -0x1.4634958941bd4p-19, -0x1.67994549205e5p-19, -0x1.8821783b570b4p-19, -0x1.a7cf866e6de0fp-19, -0x1.c6a5bcced7ccap-19, -0x1.e4a65e62d9a63p-19, -0x1.00e9d2a9f0b86p-18, -0x1.0f17e1f68f149p-18, -0x1.1cde72ce4adcp-18, -0x1.2a3e97e3927fcp-18, -0x1.37396148a31f8p-18, -0x1.43cfdccfe4bc8p-18, -0x1.5003166a43106p-18, -0x1.5bd418710ef0dp-18, -0x1.6743ebf0ad358p-18, -0x1.725398f72117bp-18, -0x1.7d0426c421f09p-18, -0x1.87569c1179cedp-18, -0x1.914bff412a021p-18, -0x1.9ae5568e46493p-18, -0x1.a423a830b0ad8p-18, -0x1.ad07fa898a8a3p-18, -0x1.b593544514d2dp-18, -0x1.bdc6bc6cffdacp-18, -0x1.c5a33a8e137c6p-18, -0x1.cd29d6caf3e6p-18, -0x1.d45b99e81a10fp-18, -0x1.db398d66036b1p-18, -0x1.e1c4bb865cd1p-18, -0x1.e7fe2f59b52a8p-18, -0x1.ede6f4bf20e4bp-18, -0x1.f380186feb81ep-18, -0x1.f8caa7ff3f1ccp-18, -0x1.fdc7b1d356eb7p-18, -0x1.013c2295dcb9bp-17, -0x1.036eb90d5c6f7p-17, -0x1.057c24be4be26p-17, -0x1.0764ee79e769cp-17, -0x1.09299f6f2c984p-17, -0x1.0acac1268abe5p-17, -0x1.0c48dd7976a9ep-17, -0x1.0da47e8ebb20cp-17, -0x1.0ede2ed201d13p-17, -0x1.0ff678ebe69c4p-17, -0x1.10ede7baa9d5bp-17, -0x1.11c5064a56258p-17, -0x1.127c5fcbdef89p-17, -0x1.13147f8b4982ep-17, -0x1.138df0e82edd7p-17, -0x1.13e93f4aae775p-17, -0x1.1426f61b20878p-17, -0x1.1447a0b60f9b6p-17, -0x1.144bca6443a9ep-17, -0x1.1433fe4f5ce5bp-17, -0x1.1400c778617c8p-17, -0x1.13b2b0ac9a8eep-17, -0x1.134a447c96f57p-17, -0x1.12c80d30cf27p-17, -0x1.122c94bf8f8a6p-17, -0x1.117864c329d54p-17, -0x1.10ac066f82b3cp-17, -0x1.0fc80287a2e5p-17, -0x1.0ecce153a44abp-17, -0x1.0dbb2a96aca8ap-17, -0x1.0c9365852bd6fp-17, -0x1.0b5618bb80217p-17, -0x1.0a03ca33b20d8p-17, -0x1.089cff3c4e557p-17, -0x1.07223c6f8d6dap-17, -0x1.059405a9532a6p-17, -0x1.03f2ddfef88bp-17, -0x1.023f47b5f2d5fp-17, -0x1.0079c43bd9579p-17, -0x1.fd45a83c0018ap-18, -0x1.f975ee00f19fdp-18, -0x1.f585572daf418p-18, -0x1.f174df38d759p-18, -0x1.ed457f9a2ea41p-18, -0x1.e8f82fb9f8781p-18, -0x1.e48de4e53199p-18, -0x1.e007923f692b1p-18, -0x1.db6628b4660ccp-18, -0x1.d6aa96ebc1ff9p-18, -0x1.d1d5c93d75338p-18, -0x1.cce8a9a71110cp-18, -0x1.c7e41fbe46ad2p-18, -0x1.c2c910a746b74p-18, -0x1.bd985f0a652adp-18, -0x1.b852eb0a6b1c4p-18, -0x1.b2f9923b38a4dp-18, -0x1.ad8d2f97eb725p-18, -0x1.a80e9b7d3c793p-18, -0x1.a27eab9e82898p-18, -0x1.9cde32ffa1094p-18, -0x1.972e01ece04d3p-18, -0x1.916ee5f5f713ap-18, -0x1.8ba1a9e848386p-18, -0x1.85c715c790a1bp-18, -0x1.7fdfeec9aca86p-18, -0x1.79ecf751ea7edp-18, -0x1.73eeeeeb9d7f7p-18, -0x1.6de692477cde6p-18, -0x1.67d49b3770463p-18, -0x1.61b9c0ac97ba6p-18, -0x1.5b96b6b32e1c2p-18, -0x1.556c2e704b4c3p-18, -0x1.4f3ad6205182fp-18, -0x1.49035914d8f35p-18, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.5f123dd0ba71bp-7, 0x1.5f61fdaba2a66p-6, 0x1.07eb0b16ff995p-5, 0x1.6094b0ca87adep-5, 0x1.b9cb143b7b27cp-5, 0x1.09d2ea2cfe64ap-4, 0x1.371b58dad843ep-4, 0x1.64c4bb49ff109p-4, 0x1.92d2083e53cd2p-4, 0x1.c143673470991p-4, 0x1.f0165c932dbdap-4, 0x1.0fa2ff617badbp-3, 0x1.276598683c233p-3, 0x1.3f4e6ffb02edbp-3, 0x1.575820ff04044p-3, 0x1.6f7c897695ddp-3, 0x1.87b4e864a2d5dp-3, 0x1.9ff9fa5230f65p-3, 0x1.b844142b5b68fp-3, 0x1.d08b3c438fc95p-3, 0x1.e8c7416628d23p-3, 0x1.0077e7f4537fep-2, 0x1.0c7e42604ef9dp-2, 0x1.18727f544c1a2p-2, 0x1.245076b32bcb8p-2, 0x1.30140fa4b5b28p-2, 0x1.3bb9467e4193cp-2, 0x1.473c31e2d02bdp-2, 0x1.5299072921f08p-2, 0x1.5dcc1e1660cafp-2, 0x1.68d1f3fbc0282p-2, 0x1.73a72e44fb96dp-2, 0x1.7e489c8506336p-2, 0x1.88b33a0d83854p-2, 0x1.92e42f1cf36b1p-2, 0x1.9cd8d1ae8d303p-2, 0x1.a68ea5f61ad3ap-2, 0x1.b0035e91461afp-2, 0x1.b934dc7704e56p-2, 0x1.c2212ead22476p-2, 0x1.cac691cb1b9c6p-2, 0x1.d3236f50f0903p-2, 0x1.db365cd7dee3dp-2, 0x1.e2fe1b22726e4p-2, 0x1.ea799510c66f6p-2, 0x1.f1a7de7d67c8fp-2, 0x1.f8883306bee94p-2, 0x1.ff19f4c899795p-2, 0x1.02ae55847be2fp-1, 0x1.05a8006d7d4cep-1, 0x1.0879e1dd3b956p-1, 0x1.0b23f1113c24ep-1, 0x1.0da635105547ap-1, 0x1.1000c3f3c189ep-1, 0x1.1233c230567b7p-1, 0x1.143f61e094ef4p-1, 0x1.1623e2103061cp-1, 0x1.17e18e09941bbp-1, 0x1.1978bca5e481dp-1, 0x1.1ae9cf9fdf86fp-1, 0x1.1c3532e9fd727p-1, 0x1.1d5b5c081bdedp-1, 0x1.1e5cc96cf672p-1, 0x1.1f3a01dba6ed5p-1, 0x1.1ff393cd5a8b1p-1, 0x1.208a14db627b5p-1, 0x1.20fe212dbe122p-1, 0x1.21505aee36669p-1, 0x1.218169c01da27p-1, 0x1.2191fa3cbb78ep-1, 0x1.2182bd746e3c1p-1, 0x1.2154687484505p-1, 0x1.2107b3d1c7639p-1, 0x1.209d5b37b7de6p-1, 0x1.20161cfc6dc9p-1, 0x1.1f72b9b9103p-1, 0x1.1eb3f3e6da3c5p-1, 0x1.1dda8f809596ap-1, 0x1.1ce751a87e35dp-1, 0x1.1bdb005274c49p-1, 0x1.1ab661f26bd32p-1, 0x1.197a3d2efa11p-1, 0x1.18275897f3ddcp-1, 0x1.16be7a60f66c6p-1, 0x1.1540681fc8c38p-1, 0x1.13ade68e771e6p-1, 0x1.1207b9510cc04p-1, 0x1.104ea2bed2b87p-1, 0x1.0e8363aef30b7p-1, 0x1.0ca6bb4869622p-1, 0x1.0ab966d520437p-1, 0x1.08bc219821c56p-1, 0x1.06afa4a6bee93p-1, 0x1.0494a6c490288p-1, 0x1.026bdc4237e6p-1, 0x1.0035f6dec6357p-1, 0x1.fbe74b574ffap-2, 0x1.f74b29e60a25ap-2, 0x1.f298dc40e5748p-2, 0x1.edd1af57c8972p-2, 0x1.e8f6ea0d79fd7p-2, 0x1.e409cd15ddad9p-2, 0x1.df0b92d81975fp-2, 0x1.d9fd6f5473efbp-2, 0x1.d4e0900dbe628p-2, 0x1.cfb61bf62182bp-2, 0x1.ca7f335f22d1bp-2, 0x1.c53cefecb6352p-2, 0x1.bff0648b3824fp-2, 0x1.ba9a9d6827896p-2, 0x1.b53c9fed7a573p-2, 0x1.afd76abf6b0d6p-2, 0x1.aa6bf5bc98cfdp-2, 0x1.a4fb32005d8a2p-2, 0x1.9f8609e734464p-2, 0x1.9a0d611514031p-2, 0x1.9492147da040bp-2, 0x1.8f14fa6e15c11p-2, 0x1.8996e298ce19ep-2, 0x1.841896224c05bp-2, 0x1.7e9ad7afacd3dp-2, 0x1.791e63766cef8p-2, 0x1.73a3ef4d62e72p-2, 0x1.6e2c2abede0b1p-2, 0x1.68b7bf1bd2354p-2, 0x1.63474f8ff96abp-2, 0x1.5ddb7936db111p-2, 0x1.5874d331a40c5p-2, 0x1.5313eebdbc6acp-2, 0x1.4db9574c0c1bfp-2, 0x1.48659298dbc8cp-2, 0x1.431920c441f81p-2, 0x1.3dd47c6b0f4dep-2, 0x1.38981ac02a7fap-2, 0x1.33646ba64c2a6p-2, 0x1.2e39d9ca122d2p-2, 0x1.2918cabc58812p-2, 0x1.24019f0cd2b8dp-2, 0x1.1ef4b264d027ap-2, 0x1.19f25ba22ea8cp-2, 0x1.14faecf264445p-2, 0x1.100eb3ed9d80ap-2, 0x1.0b2df9b1e5d06p-2, 0x1.065902fe5071fp-2, 0x1.0190104e1dca2p-2, 0x1.f9a6bbe79824ap-3, 0x1.f04648682f83cp-3, 0x1.e6ff2ec1b979ap-3, 0x1.ddd1cfe7ad0d7p-3, 0x1.d4be855267327p-3, 0x1.cbc5a133fde5p-3, 0x1.c2e76eaca2b0ep-3, 0x1.ba2431fe9ba92p-3, 0x1.b17c28c1b4eb4p-3, 0x1.a8ef8a163e05dp-3, 0x1.a07e86d76acd9p-3, 0x1.982949cd30411p-3, 0x1.8feff7dd7c0fp-3, 0x1.87d2b03ccdc7bp-3, 0x1.7fd18c9e2e35ap-3, 0x1.77eca1627507bp-3, 0x1.7023fdc6df707p-3, 0x1.6877ac12f4364p-3, 0x1.60e7b1c5a8018p-3, 0x1.59740fc1cb971p-3, 0x1.521cc279b5ebap-3, 0x1.4ae1c21a2a0fap-3, 0x1.43c302b47c78fp-3, 0x1.3cc07467e9975p-3, 0x1.35da038a2ae4ep-3, 0x1.2f0f98cf36388p-3, 0x1.286119703d566p-3, 0x1.21ce6751d7c22p-3, 0x1.1b5761295ddb8p-3, 0x1.14fbe2a17c4f7p-3, 0x1.0ebbc47df54ecp-3, 0x1.0896dcbe8f8b2p-3, 0x1.028cfec13f4a8p-3, 0x1.f93bf6c6f5397p-4, 0x1.ed9342458a093p-4, 0x1.e21f7878d713fp-4, 0x1.d6e02d98f403p-4, 0x1.cbd4f1d7c6c27p-4, 0x1.c0fd519bc310cp-4, 0x1.b658d5b92381ep-4, 0x1.abe703a98c21dp-4, 0x1.a1a75dc232db3p-4, 0x1.979963687c0b6p-4, 0x1.8dbc91451cdadp-4, 0x1.84106175be9a2p-4, 0x1.7a944bbd31bep-4, 0x1.7147c5b22915fp-4, 0x1.682a42ec8ce67p-4, 0x1.5f3b35316315fp-4, 0x1.567a0c9d56cd8p-4, 0x1.4de637cde17dp-4, 0x1.457f24091a895p-4, 0x1.3d443d6437253p-4, 0x1.3534eee8baaep-4, 0x1.2d50a2b85fd1fp-4, 0x1.2596c22fc0a79p-4, 0x1.1e06b607c1c1fp-4, 0x1.169fe675c7a5ep-4, 0x1.0f61bb4abb601p-4, 0x1.084b9c10e5176p-4, 0x1.015cf028a0a8ap-4, 0x1.f52a3dc7eb967p-5, 0x1.e7e71f422bb53p-5, 0x1.daef53c78cf76p-5, 0x1.ce41aadb842d7p-5, 0x1.c1dcf4ac1cffap-5, 0x1.b5c0023ea6f62p-5, 0x1.a9e9a59a72c1bp-5, 0x1.9e58b1f19a7dfp-5, 0x1.930bfbc7f65a2p-5, 0x1.8802591838608p-5, 0x1.7d3aa1774203ap-5, 0x1.72b3ae35c182ep-5, 0x1.686c5a801b602p-5, 0x1.5e63837cb123ap-5, 0x1.5498086890b0bp-5, 0x1.4b08cab28f555p-5, 0x1.41b4ae14e9369p-5, 0x1.389a98ad61ee6p-5, 0x1.2fb97313fbd12p-5, 0x1.271028704ac91p-5, 0x1.1e9da68d6c46p-5, 0x1.1660ddecb525cp-5, 0x1.0e58c1d718cp-5, 0x1.0684486d57db9p-5, 0x1.fdc4d56df40a2p-6, 0x1.eee44960569e8p-6, 0x1.e064eaace188bp-6, 0x1.d244bd68a44a2p-6, 0x1.c481cbd7ec48ep-6, 0x1.b71a268178113p-6, 0x1.aa0be43fc01fp-6, 0x1.9d5522505c385p-6, 0x1.90f4046199c1p-6, 0x1.84e6b49e5e796p-6, 0x1.792b63b84c654p-6, 0x1.6dc048f05769cp-6, 0x1.62a3a21dcbed4p-6, 0x1.57d3b3b3d3245p-6, 0x1.4d4ec8c5880bcp-6, 0x1.43133308b4fbep-6, 0x1.391f4ad734e8dp-6, 0x1.2f716f2f17461p-6, 0x1.260805b19066cp-6, 0x1.1ce17aa0ba94p-6, 0x1.13fc40dc412eap-6, 0x1.0b56d1dcf3beep-6, 0x1.02efadaf6eb12p-6, 0x1.f58ab5db5530ap-7, 0x1.e5accd6f82f66p-7, 0x1.d642c9577fe7cp-7, 0x1.c749ddb95b84p-7, 0x1.b8bf4b9189548p-7, 0x1.aaa0609dea9a7p-7, 0x1.9cea77474c842p-7, 0x1.8f9af689b9344p-7, 0x1.82af51db5dafp-7, 0x1.7625091265c8fp-7, 0x1.69f9a8499fa5bp-7, 0x1.5e2ac7c42bbcbp-7, 0x1.52b60bd016356p-7, 0x1.479924a82605dp-7, 0x1.3cd1ce54b9ff6p-7, 0x1.325dd08be2cc1p-7, 0x1.283afe90c6ce7p-7, 0x1.1e6737124e0fbp-7, 0x1.14e064093ca81p-7, 0x1.0ba47a95aeaefp-7, 0x1.02b17adc13d09p-7, 0x1.f40adfc369572p-8, 0x1.e33cded18c169p-8, 0x1.d2f533984db08p-8, 0x1.c33033b56d783p-8, 0x1.b3ea4964e9cb3p-8, 0x1.a51ff33698a7dp-8, 0x1.96cdc3c36e5b5p-8, 0x1.88f0616261635p-8, 0x1.7b8485dd06d0cp-8, 0x1.6e86fe23e5342p-8, 0x1.61f4aa02c4288p-8, 0x1.55ca7bd4d1163p-8, 0x1.4a057838be9c1p-8, 0x1.3ea2b5c4f83d5p-8, 0x1.339f5cbbd2662p-8, 0x1.28f8a6c002376p-8, 0x1.1eabde892e5fp-8, 0x1.14b65f98c6975p-8, 0x1.0b1595ef1449dp-8, 0x1.01c6fdc0bdc15p-8, 0x1.f1904658ef0b3p-9, 0x1.e02d43e2bdc3dp-9, 0x1.cf604a4b20be7p-9, 0x1.bf24cdda8ea63p-9, 0x1.af76606506d34p-9, 0x1.a050b0ba6df6dp-9, 0x1.91af8a182de95p-9, 0x1.838ed39be3afcp-9, 0x1.75ea8fb744d11p-9, 0x1.68bedba563f2fp-9, 0x1.5c07eee1578f5p-9, 0x1.4fc21a9e1c7a8p-9, 0x1.43e9c9403eb65p-9, 0x1.387b7dd874e69p-9, 0x1.2d73d3a00f058p-9, 0x1.22cf7d76d9c44p-9, 0x1.188b45627e798p-9, 0x1.0ea40c0fbadp-9, 0x1.0516c854c633cp-9, 0x1.f7c10d6b47a63p-10, 0x1.e5fcd1d3e49cep-10, 0x1.d4db4ac8e5037p-10, 0x1.c4570db866c7bp-10, 0x1.b46ad7af6399ap-10, 0x1.a5118c724d122p-10, 0x1.96463599a18b4p-10, 0x1.880401b21e748p-10, 0x1.7a46435fd65f2p-10, 0x1.6d0870857ec7ap-10, 0x1.6046216e9893ep-10, 0x1.53fb0ffcd9bcbp-10, 0x1.482316d9bcafep-10, 0x1.3cba30aadbc55p-10, 0x1.31bc7749fe756p-10, 0x1.27262301055ap-10, 0x1.1cf389c89ee19p-10, 0x1.13211e8a450e2p-10, 0x1.09ab70666e708p-10, 0x1.008f29fd53d09p-10, 0x1.ef922176ae16p-11, 0x1.deac08526c103p-11, 0x1.ce65fa7e329edp-11, 0x1.beba1b74c7f6bp-11, 0x1.afa2bef026ebp-11, 0x1.a11a67a237891p-11, 0x1.931bc5f592133p-11, 0x1.85a1b6d40969ap-11, 0x1.78a742743d514p-11, 0x1.6c279b2bbab55p-11, 0x1.601e1c48cf5cap-11, 0x1.548648f1f8043p-11, 0x1.495bcb0b45326p-11, 0x1.3e9a722209664p-11, 0x1.343e325ee6421p-11, 0x1.2a43237c1d9aep-11, 0x1.20a57fc2e7eb7p-11, 0x1.1761a30e62ec5p-11, 0x1.0e7409d3ac3a9p-11, 0x1.05d9502fda9efp-11, 0x1.fb1c61f712cadp-12, 0x1.eb1f09c84f132p-12, 0x1.dbb48311d9696p-12, 0x1.ccd6f13d55ba8p-12, 0x1.be80ae31099a3p-12, 0x1.b0ac48aa8ce75p-12, 0x1.a35482a3675f9p-12, 0x1.96744fc18e934p-12, 0x1.8a06d3cfd8611p-12, 0x1.7e07613e4e27fp-12, 0x1.727177af61f5p-12, 0x1.6740c28c4d8f5p-12, 0x1.5c7117a2d2d5bp-12, 0x1.51fe75cbb898cp-12, 0x1.47e5039b31bp-12, 0x1.3e210e18acf97p-12, 0x1.34af077e2aa27p-12, 0x1.2b8b8601d9593p-12, 0x1.22b342a701d5p-12, 0x1.1a2318161d977p-12, 0x1.11d8017e23c23p-12, 0x1.09cf197d19eap-12, 0x1.0205990fd5155p-12, 0x1.f4f1ad1056fe6p-13, 0x1.e64c8916b7779p-13, 0x1.d816e23252496p-13, 0x1.ca4c092c7847p-13, 0x1.bce781bf9c60bp-13, 0x1.afe500cd1dfbbp-13, 0x1.a3406a9c80513p-13, 0x1.96f5d12834c81p-13, 0x1.8b01727604623p-13, 0x1.7f5fb6ff838bbp-13, 0x1.740d3022ea21dp-13, 0x1.6906969f3c30fp-13, 0x1.5e48c91f44874p-13, 0x1.53d0cacc28d64p-13, 0x1.499bc1ee119b4p-13, 0x1.3fa6f6931e527p-13, 0x1.35efd1430a8f2p-13, 0x1.2c73d9c00ce26p-13, 0x1.2330b5cc4d329p-13, 0x1.1a2427fb69d6ap-13, 0x1.114c0e8f6a3bcp-13, 0x1.08a6625b47e2cp-13, 0x1.003135b16c02bp-13, 0x1.efd566ae01eadp-14, 0x1.dfa23b084df4ap-14, 0x1.cfc599d6f4f0cp-14, 0x1.c03c5f8dd8476p-14, 0x1.b10391df9841dp-14, 0x1.a2185dfb96d36p-14, 0x1.937816d85f14ep-14, 0x1.8520339110c75p-14, 0x1.770e4dc72ff0bp-14, 0x1.6940201fec91bp-14, 0x1.5bb384c89dc5ep-14, 0x1.4e667403a3447p-14, 0x1.415702c9ac2c1p-14, 0x1.3483617558448p-14, 0x1.27e9da7753cd9p-14, 0x1.1b88d11e82da5p-14, 0x1.0f5ec05ce2ad6p-14, 0x1.036a39a5a4b4dp-14, 0x1.ef53c7a77794fp-15, 0x1.d838f42912321p-15, 0x1.c18195c037f7p-15, 0x1.ab2b6dff9f5cfp-15, 0x1.9534612b83cbcp-15, 0x1.7f9a746d54c69p-15, 0x1.6a5bcc0e0892p-15, 0x1.5576a9bc436fcp-15, 0x1.40e96af62fc09p-15, 0x1.2cb28779cbdffp-15, 0x1.18d08fbf91315p-15, 0x1.05422b8d8c4d7p-15, 0x1.e40c31316ba28p-16, 0x1.be36525d430dbp-16, 0x1.990085ea35acfp-16, 0x1.7468bb62d488fp-16, 0x1.506d043471e43p-16, 0x1.2d0b918a7920bp-16, 0x1.0a42b22266042p-16, 0x1.d021a08567668p-17, 0x1.8ce8dfa32d2a4p-17, 0x1.4ad858ebf5e37p-17, 0x1.09ed6fae8dc4ep-17, 0x1.944b5fb54eda5p-18, 0x1.16fd9579dece6p-18, 0x1.37da4fd3c940cp-19, 0x1.18afea0d58aadp-21, -0x1.4e2f2be2a95bfp-20, -0x1.8ff7ba5abd80ap-19, -0x1.3a3db6a67092bp-18, -0x1.aa54aa5772165p-18, -0x1.0c21f2a6b3747p-17, -0x1.4207396ff159fp-17, -0x1.76dba076dbdcfp-17, -0x1.aaa091c444d6ep-17, -0x1.dd576c418962ap-17, -0x1.0780c2b1d11e6p-16, -0x1.1fd0156b1302p-16, -0x1.379a51f55f7c4p-16, -0x1.4ee019825514dp-16, -0x1.65a20b7c1601bp-16, -0x1.7be0c6114d33ep-16, -0x1.919ce6d933be4p-16, -0x1.a6d70b5b9a44dp-16, -0x1.bb8fd190844c6p-16, -0x1.cfc7d84d58cf5p-16, -0x1.e37fbfbdb43ep-16, -0x1.f6b829c8040aap-16, -0x1.04b8dd3258ba6p-15, -0x1.0dd68bfdf2525p-15, -0x1.16b575db23b73p-15, -0x1.1f55f0db57e18p-15, -0x1.27b854b4d64d6p-15, -0x1.2fdcfade9e853p-15, -0x1.37c43eab75959p-15, -0x1.3f6e7d5bd3c34p-15, -0x1.46dc163923b7dp-15, -0x1.4e0d6aa5bb69ep-15, -0x1.5502de29c3988p-15, -0x1.5bbcd6833338fp-15, -0x1.623bbbb16cebep-15, -0x1.687ff7fabb07fp-15, -0x1.6e89f7f48b492p-15, -0x1.745a2a89f4c01p-15, -0x1.79f100fdbdea1p-15, -0x1.7f4eeee8f0cd3p-15, -0x1.84746a3cceb04p-15, -0x1.8961eb41b6b86p-15, -0x1.8e17ec9230416p-15, -0x1.9296eb158d167p-15, -0x1.96df65fb85b57p-15, -0x1.9af1deb53fb85p-15, -0x1.9eced8e9e3e5cp-15, -0x1.a276da71727e9p-15, -0x1.a5ea6b485e8b6p-15, -0x1.a92a1584da97ap-15, -0x1.ac3665480e119p-15, -0x1.af0fe8b4e835cp-15, -0x1.b1b72fe14a43fp-15, -0x1.b42cccc81228fp-15, -0x1.b6715338e39dbp-15, -0x1.b88558ca17137p-15, -0x1.ba6974c8fd526p-15, -0x1.bc1e40282b0dbp-15, -0x1.bda45570f25afp-15, -0x1.befc50b164c69p-15, -0x1.c026cf6ac62cep-15, -0x1.c124707e9b9cap-15, -0x1.c1f5d41effe49p-15, -0x1.c29b9bbba57d7p-15, -0x1.c31669f09568dp-15, -0x1.c366e272825d6p-15, -0x1.c38da9fc5284fp-15, -0x1.c38b663e52bafp-15, -0x1.c360bdc9ce02cp-15, -0x1.c30e57ffa0722p-15, -0x1.c294dcfe1f545p-15, -0x1.c1f4f58da0f0dp-15, -0x1.c12f4b0ee88c5p-15, -0x1.c0448767cc168p-15, -0x1.bf3554f237d9ap-15, -0x1.be025e6980bc7p-15, -0x1.bcac4ed9ed9bfp-15, -0x1.bb33d18c2271fp-15, -0x1.b99991f68542ep-15, -0x1.b7de3baa6bfccp-15, -0x1.b6027a4320265p-15, -0x1.b406f95541abap-15, -0x1.b1ec645e1016ep-15, -0x1.afb366b379f0ep-15, -0x1.ad5cab7339a8ep-15, -0x1.aae8dd734527fp-15, -0x1.a858a73214ad6p-15, -0x1.a5acb2c8047fap-15, -0x1.a2e5a9d820029p-15, -0x1.a00435801d47ap-15, -0x1.9d08fe4c5211fp-15, -0x1.99f4ac280d12fp-15, -0x1.96c7e65008b41p-15, -0x1.938353452421cp-15, -0x1.902798bf48a74p-15, -0x1.8cb55ba13cd4bp-15, -0x1.892d3feb6a268p-15, -0x1.858fe8b03b99cp-15, -0x1.81ddf807d799fp-15, -0x1.7e180f054405ap-15, -0x1.7a3ecdab771aap-15, -0x1.7652d2e189018p-15, -0x1.7254bc699c577p-15, -0x1.6e4526d6a4b06p-15, -0x1.6a24ad816241bp-15, -0x1.65f3ea8079c8bp-15, -0x1.61b3769e309a4p-15, }}, 
      {{0x1.dd1c03d32c091p-1, 0x1.dc9e0a937c36fp-1, 0x1.dbd00e4ae508dp-1, 0x1.dab71dcbc319ep-1, 0x1.d95944175094cp-1, 0x1.d7bd1cbbbf195p-1, 0x1.d5e9817be299dp-1, 0x1.d3e54c41a81b8p-1, 0x1.d1b729492ba3bp-1, 0x1.cf65763428e9dp-1, 0x1.ccf62b543327dp-1, 0x1.ca6eccfc14bf1p-1, 0x1.c7d4631308813p-1, 0x1.c52b757b7ad21p-1, 0x1.c2780c2614e38p-1, 0x1.bfbdb1e3e9369p-1, 0x1.bcff7939fe50ap-1, 0x1.ba40029f16084p-1, 0x1.b78183ac0aff1p-1, 0x1.b4c5cee0a9531p-1, 0x1.b20e5bb3afa9fp-1, 0x1.af5c4eb56e2eep-1, 0x1.acb0819a08b1p-1, 0x1.aa0b8b0b50a6ap-1, 0x1.a76dc62ae6b75p-1, 0x1.a4d759b451a6dp-1, 0x1.a2483eb4434c9p-1, 0x1.9fc046cea1cbfp-1, 0x1.9d3f221050fa9p-1, 0x1.9ac4644c5eef9p-1, 0x1.984f8a06366cfp-1, 0x1.95dffcebf6ed1p-1, 0x1.937517e5314d7p-1, 0x1.910e2abb03dd2p-1, 0x1.8eaa7d5f1b1f2p-1, 0x1.8c4952d763975p-1, 0x1.89e9ebd463325p-1, 0x1.878b88f832d2cp-1, 0x1.852d6cd3fbe1fp-1, 0x1.82cedda1bc579p-1, 0x1.806f26bfdd8f8p-1, 0x1.7e0d99f3e9db1p-1, 0x1.7ba990797432dp-1, 0x1.79426be1f01f2p-1, 0x1.76d796c9fa907p-1, 0x1.74688568468aep-1, 0x1.71f4b5fa123c3p-1, 0x1.6f7bb110cd0e4p-1, 0x1.6cfd09c447aa1p-1, 0x1.6a785dcc8a696p-1, 0x1.67ed55862cb91p-1, 0x1.655ba3e3cd3b9p-1, 0x1.62c3064f122adp-1, 0x1.6023447b616a5p-1, 0x1.5d7c302c51f8ap-1, 0x1.5acda4f1a48d5p-1, 0x1.581787da6ce49p-1, 0x1.5559c720e4dc1p-1, 0x1.529459d042d73p-1, 0x1.4fc73f65ca5c8p-1, 0x1.4cf27f6e2994cp-1, 0x1.4a1629201f04p-1, 0x1.473252f541db2p-1, 0x1.44471a41b56d3p-1, 0x1.4154a2cb73c08p-1, 0x1.3e5b1661c8806p-1, 0x1.3b5aa47586a1ap-1, 0x1.385381b269f92p-1, 0x1.3545e79a0fa41p-1, 0x1.32321420d90aep-1, 0x1.2f18494d0988ep-1, 0x1.2bf8ccd859711p-1, 0x1.28d3e7d4379bp-1, 0x1.25a9e650e379bp-1, 0x1.227b1707827a2p-1, 0x1.1f47cb074e91dp-1, 0x1.1c105565efcd7p-1, 0x1.18d50af3115d7p-1, 0x1.159641ef3ce72p-1, 0x1.125451c5fb393p-1, 0x1.0f0f92cb40c43p-1, 0x1.0bc85dfc1e244p-1, 0x1.087f0cc2ae94bp-1, 0x1.0533f8bd3c295p-1, 0x1.01e77b888a6a3p-1, 0x1.fd33dd1a76e13p-2, 0x1.f69755a079aa4p-2, 0x1.effa118c5bd5dp-2, 0x1.e95cc0534dbfp-2, 0x1.e2c00fa8a3255p-2, 0x1.dc24ab357629fp-2, 0x1.d58b3c5592423p-2, 0x1.cef469d97ea9ap-2, 0x1.c860d7cd6f26bp-2, 0x1.c1d12744fcc93p-2, 0x1.bb45f62b67be9p-2, 0x1.b4bfdf1841affp-2, 0x1.ae3f7928477d3p-2, 0x1.a7c557da4726cp-2, 0x1.a1520aefd7d68p-2, 0x1.9ae61e51c3eecp-2, 0x1.948219f7ee945p-2, 0x1.8e2681d490a4cp-2, 0x1.87d3d5c29ee9bp-2, 0x1.818a91772ee0fp-2, 0x1.7b4b2c75b6e96p-2, 0x1.75161a06fba72p-2, 0x1.6eebc9328af4fp-2, 0x1.68cca4ba98667p-2, 0x1.62b9131a1d74cp-2, 0x1.5cb1768515bf2p-2, 0x1.56b62ceab9786p-2, 0x1.50c78ff9902dap-2, 0x1.4ae5f5254426ep-2, 0x1.4511adae0fadap-2, 0x1.3f4b06a9adcb6p-2, 0x1.3992490daed4dp-2, 0x1.33e7b9bb1822p-2, 0x1.2e4b998b31ebap-2, 0x1.28be255d6f82cp-2, 0x1.233f9626570fbp-2, 0x1.1dd020ff52697p-2, 0x1.186ff73754cabp-2, 0x1.131f466440b8bp-2, 0x1.0dde3874f9e0dp-2, 0x1.08acf3c410e47p-2, 0x1.038b9b2af8cdap-2, 0x1.fcf49c2b613fcp-3, 0x1.f2f2512db313ap-3, 0x1.e91086f844d47p-3, 0x1.df4f68c5fb508p-3, 0x1.d5af1b9b2da24p-3, 0x1.cc2fbe6feda9ep-3, 0x1.c2d16a5a97c4fp-3, 0x1.b99432ba9bb42p-3, 0x1.b07825635c5eap-3, 0x1.a77d4ac71cc7ep-3, 0x1.9ea3a621e4396p-3, 0x1.95eb35a44483dp-3, 0x1.8d53f29dfd11fp-3, 0x1.84ddd1a85c023p-3, 0x1.7c88c2d05e297p-3, 0x1.7454b1c078e1bp-3, 0x1.6c4185e9fdd06p-3, 0x1.644f22ae1c281p-3, 0x1.5c7d678663409p-3, 0x1.54cc302ccbcc1p-3, 0x1.4d3b54c3328d1p-3, 0x1.45caa9fa4811ep-3, 0x1.3e7a0137e762fp-3, 0x1.374928bccbb94p-3, 0x1.3037ebc9a7dfep-3, 0x1.294612c3912efp-3, 0x1.22736357bb7b6p-3, 0x1.1bbfa09e87bep-3, 0x1.152a8b3dd9224p-3, 0x1.0eb3e18ab4e14p-3, 0x1.085b5faa24ff8p-3, 0x1.0220bfb15faf1p-3, 0x1.f807738a61665p-4, 0x1.ec0808713b75ep-4, 0x1.e042a755a247bp-4, 0x1.d4b6b648785cfp-4, 0x1.c9639865fbb0ep-4, 0x1.be48ae0d02522p-4, 0x1.b3655514c0453p-4, 0x1.a8b8e9010356cp-4, 0x1.9e42c334f12dap-4, 0x1.94023b244a4p-4, 0x1.89f6a6832cec8p-4, 0x1.801f597463446p-4, 0x1.767ba6b63be1ep-4, 0x1.6d0adfcdee513p-4, 0x1.63cc5531972f8p-4, 0x1.5abf5670c6b9bp-4, 0x1.51e3325baded3p-4, 0x1.49373728ebfe2p-4, 0x1.40bab299ffd4ap-4, 0x1.386cf21e654dbp-4, 0x1.304d42f5643c9p-4, 0x1.285af24e92c04p-4, 0x1.20954d6915a9bp-4, 0x1.18fba1b19fd32p-4, 0x1.118d3cdf3ce63p-4, 0x1.0a496d0ee4934p-4, 0x1.032f80dde6c3bp-4, 0x1.f87d8f065c459p-5, 0x1.eaed21cec98f4p-5, 0x1.ddac5b77fe6fdp-5, 0x1.d0b9df2266714p-5, 0x1.c41451d5c8e6p-5, 0x1.b7ba5aa90f9ecp-5, 0x1.abaaa2e812f8p-5, 0x1.9fe3d637702d8p-5, 0x1.9464a2b67a22p-5, 0x1.892bb91f50924p-5, 0x1.7e37cce52b6bbp-5, 0x1.73879450e1511p-5, 0x1.6919c89bc2469p-5, 0x1.5eed2608c1405p-5, 0x1.55006bfc096b6p-5, 0x1.4b525d10ff328p-5, 0x1.41e1bf2ec21a7p-5, 0x1.38ad5b9b34bc7p-5, 0x1.2fb3ff0c98991p-5, 0x1.26f479b9c7f5fp-5, 0x1.1e6d9f69233d7p-5, 0x1.161e477e25368p-5, 0x1.0e054d05c8a56p-5, 0x1.06218ec1b090bp-5, 0x1.fce3de644fd55p-6, 0x1.edeaa93e09e1fp-6, 0x1.df55523eefff4p-6, 0x1.d121b54199c1dp-6, 0x1.c34db5d861176p-6, 0x1.b5d73f56f267cp-6, 0x1.a8bc44da14044p-6, 0x1.9bfac14d8fc99p-6, 0x1.8f90b7708064fp-6, 0x1.837c31d7e292ep-6, 0x1.77bb42efa1eddp-6, 0x1.6c4c04fa214dep-6, 0x1.612c9a0e53211p-6, 0x1.565b2c146b963p-6, 0x1.4bd5ecc14adc9p-6, 0x1.419b15909d5c9p-6, 0x1.37a8e7bdd02a5p-6, 0x1.2dfdac3bdea09p-6, 0x1.2497b3ac089dfp-6, 0x1.1b75565389526p-6, 0x1.1294f410462a3p-6, 0x1.09f4f44ca1784p-6, 0x1.0193c5f25d2b1p-6, 0x1.f2dfbeb96b51bp-7, 0x1.e30f7c93629c5p-7, 0x1.d3b3cf9555c82p-7, 0x1.c4c9d068747abp-7, 0x1.b64ea61ade07dp-7, 0x1.a83f85fcda64p-7, 0x1.9a99b37d00a6bp-7, 0x1.8d5a80033fd9cp-7, 0x1.807f4acaf9f0ap-7, 0x1.740580bc324efp-7, 0x1.67ea9c43ddf1bp-7, 0x1.5c2c252b7869fp-7, 0x1.50c7b06fe4b2fp-7, 0x1.45bae017a8866p-7, 0x1.3b036308832a7p-7, 0x1.309ef4dc9da7ap-7, 0x1.268b5db72d8d2p-7, 0x1.1cc67218b459p-7, 0x1.134e12b2d9d3bp-7, 0x1.0a202c3c1138dp-7, 0x1.013ab742dff03p-7, 0x1.f1377001f65ddp-8, 0x1.e0827c5c6aeccp-8, 0x1.d052c9a6a33bep-8, 0x1.c0a4a43969032p-8, 0x1.b1746e5a34fb6p-8, 0x1.a2be9fe07104bp-8, 0x1.947fc5dae28dcp-8, 0x1.86b482351dfcbp-8, 0x1.79598b5d3bf56p-8, 0x1.6c6babe9c3429p-8, 0x1.5fe7c23fde76bp-8, 0x1.53cac039ddd4p-8, 0x1.4811aace5a35ap-8, 0x1.3cb999b78c9bep-8, 0x1.31bfb71b4237ep-8, 0x1.27213f3360dd5p-8, 0x1.1cdb7ff706439p-8, 0x1.12ebd8c44b608p-8, 0x1.094fba0a9e5ap-8, 0x1.0004a4f5e8897p-8, 0x1.ee105634ccc7p-9, 0x1.dcafdc42a074ap-9, 0x1.cbe33eec9883p-9, 0x1.bba5ffeb5556p-9, 0x1.abf3bf3709452p-9, 0x1.9cc83a676a4b8p-9, 0x1.8e1f4c15994eap-9, 0x1.7ff4eb3fba4d7p-9, 0x1.72452aae6ba1ep-9, 0x1.650c385c1b338p-9, 0x1.58465cde63d59p-9, 0x1.4beffad18b93ap-9, 0x1.40058e459480ep-9, 0x1.3483ac2da121ap-9, 0x1.296701d13095p-9, 0x1.1eac543f8db1cp-9, 0x1.14507fc553d08p-9, 0x1.0a507763d2a7dp-9, 0x1.00a9444a9798fp-9, 0x1.eeb00aa65bc0fp-10, 0x1.dcb3dcfd6bedep-10, 0x1.cb5890ec066d1p-10, 0x1.ba98e016db92ap-10, 0x1.aa6fab7d8c2ecp-10, 0x1.9ad7fa8703d37p-10, 0x1.8bccfa11d70bcp-10, 0x1.7d49fb893243p-10, 0x1.6f4a73fd8fd13p-10, 0x1.61c9fb4153945p-10, 0x1.54c44b0a081b7p-10, 0x1.48353e1565389p-10, 0x1.3c18cf529f32fp-10, 0x1.306b19100afc3p-10, 0x1.2528542bd2057p-10, 0x1.1a4cd7498fb69p-10, 0x1.0fd5160b6a9b1p-10, 0x1.05bda04f47ccdp-10, 0x1.f80642e0b52c2p-11, 0x1.e544bf173b11dp-11, 0x1.d33075918cdcap-11, 0x1.c1c3594d7752cp-11, 0x1.b0f78e97d5bf1p-11, 0x1.a0c769b4970efp-11, 0x1.912d6d8f1e992p-11, 0x1.82244a6f90197p-11, 0x1.73a6dcb8f5a8bp-11, 0x1.65b02bae38343p-11, 0x1.583b683d62377p-11, 0x1.4b43ebd33fecep-11, 0x1.3ec53734a96d2p-11, 0x1.32baf15dc8415p-11, 0x1.2720e669aeb66p-11, 0x1.1bf3067ef5a3ap-11, 0x1.112d64c35e3b2p-11, 0x1.06cc3656b114cp-11, 0x1.f997a2a4c8cedp-12, 0x1.e651579e65ca6p-12, 0x1.d3beb5e47939fp-12, 0x1.c1d923fd215eap-12, 0x1.b09a42da5243dp-12, 0x1.9ffbec16b2163p-12, 0x1.8ff8303c0856cp-12, 0x1.80895512ad8b9p-12, 0x1.71a9d4006418p-12, 0x1.6354586ddc655p-12, 0x1.5583be38c89d5p-12, 0x1.48331030040e7p-12, 0x1.3b5d869a63bdfp-12, 0x1.2efe85c4603b5p-12, 0x1.23119c9a90c5p-12, 0x1.1792834c782efp-12, 0x1.0c7d19f83166p-12, 0x1.01cd676064c19p-12, 0x1.eeff2f56ec3c7p-13, 0x1.db1ff651d8b1cp-13, 0x1.c7f60a428fbd7p-13, 0x1.b57a955cff526p-13, 0x1.a3a703371b0a9p-13, 0x1.9274fe99555d7p-13, 0x1.81de6f6024d3p-13, 0x1.71dd786c71914p-13, 0x1.626c759e91f83p-13, 0x1.5385f9e536b93p-13, 0x1.4524cd59bdc5dp-13, 0x1.3743eb68aa877p-13, 0x1.29de8109058a1p-13, 0x1.1cefeb035d26bp-13, 0x1.1073b4430513p-13, 0x1.046594322240bp-13, 0x1.f182da4ea77ap-14, 0x1.db0695b8d23d2p-14, 0x1.c54ec1e2d856ep-14, 0x1.b05412f7b8c92p-14, 0x1.9c0f8743dfeefp-14, 0x1.887a647f520efp-14, 0x1.758e3529c9f0ep-14, 0x1.6344c603582eap-14, 0x1.51982395afef1p-14, 0x1.408297cfc3838p-14, 0x1.2ffea7b9758ccp-14, 0x1.20071137d6638p-14, 0x1.1096c8e3b2791p-14, 0x1.01a8f7ef657b8p-14, 0x1.e671f44160d1fp-15, 0x1.ca84b7c038bbbp-15, 0x1.af81b09f28724p-15, 0x1.9560aeef8efccp-15, 0x1.7c19d90bf0516p-15, 0x1.63a5a82acb881p-15, 0x1.4bfce50f90a82p-15, 0x1.3518a4d6df5cfp-15, 0x1.1ef245e927ccdp-15, 0x1.09836cffa81d2p-15, 0x1.e98c0485d916dp-16, 0x1.c1685d15103d1p-16, 0x1.9a90b160500d9p-16, 0x1.74fa45fd8bcf1p-16, 0x1.509ad161df63dp-16, 0x1.2d6877175be8bp-16, 0x1.0b59c32c8a4c2p-16, 0x1.d4cb4b6fae7eap-17, 0x1.9506dd1bea5e4p-17, 0x1.575592559ec4p-17, 0x1.1ba77167311a8p-17, 0x1.c3da5096b054ep-18, 0x1.54300a7fc3933p-18, 0x1.d067befd4861dp-19, 0x1.ff2b0dbd38ccfp-20, 0x1.adac1de1147ecp-22, -0x1.1ad439ff1974p-20, -0x1.49f92f9c86574p-19, -0x1.0012d0c34010ep-18, -0x1.580dc7b2d8da5p-18, -0x1.ad02ad82d728bp-18, -0x1.ff05dfbc10cp-18, -0x1.2715793293bfep-17, -0x1.4d425ccf1ba1dp-17, -0x1.7212a94ef53e4p-17, -0x1.958f16270be42p-17, -0x1.b7c007e488ef2p-17, -0x1.d8ad940b89789p-17, -0x1.f85f85129b0e3p-17, -0x1.0b6eaefb089d1p-16, -0x1.1a172ed65156ap-16, -0x1.282cc146632a8p-16, -0x1.35b2c6c29c1cfp-16, -0x1.42ac828b7de86p-16, -0x1.4f1d1c2a70981p-16, -0x1.5b07a0cfb1407p-16, -0x1.666f04a6af7b5p-16, -0x1.715624263e468p-16, -0x1.7bbfc53b44a66p-16, -0x1.85ae986fc418bp-16, -0x1.8f253a0a21714p-16, -0x1.98263317290acp-16, -0x1.a0b3fa633b0a8p-16, -0x1.a8d0f574611bcp-16, -0x1.b07f796c9cbdbp-16, -0x1.b7c1cbe3df395p-16, -0x1.be9a23c01ecdfp-16, -0x1.c50aa9efe2dcap-16, -0x1.cb157a2b0d985p-16, -0x1.d0bca3a4f0b35p-16, -0x1.d60229b13f1f7p-16, -0x1.dae804643c4f6p-16, -0x1.df7021282b976p-16, -0x1.e39c634da978dp-16, -0x1.e76ea4918c633p-16, -0x1.eae8b59bc6d34p-16, -0x1.ee0c5e73cbdc8p-16, -0x1.f0db5ef4dd5b7p-16, -0x1.f3576f35da148p-16, -0x1.f5823fed41353p-16, -0x1.f75d7acf1d10ap-16, -0x1.f8eac2e2caacep-16, -0x1.fa2bb4d6467c4p-16, -0x1.fb21e74e640f2p-16, -0x1.fbceeb2b2ab48p-16, -0x1.fc344bcbcc80dp-16, -0x1.fc538f4c87725p-16, -0x1.fc2e36c385564p-16, -0x1.fbc5be73f0cc1p-16, -0x1.fb1b9e0219f0bp-16, -0x1.fa3148a4f2d0ap-16, -0x1.f9082d486e5bep-16, -0x1.f7a1b6beda41cp-16, -0x1.f5ff4be1083d6p-16, -0x1.f4224fb1755c2p-16, -0x1.f20c2178930e8p-16, -0x1.efbe1ce3c118bp-16, -0x1.ed399a1e1ee38p-16, -0x1.ea7fede5635a6p-16, -0x1.e79269a27bcb8p-16, -0x1.e4725b7c779e5p-16, -0x1.e1210e65219fbp-16, -0x1.dd9fca2c2a68cp-16, -0x1.d9efd38afc3afp-16, -0x1.d6126c31dea62p-16, -0x1.d208d2cedf8c3p-16, -0x1.cdd4431a53ed7p-16, -0x1.c975f5dc7ed3p-16, -0x1.c4ef20f28132fp-16, -0x1.c040f7552be4ep-16, -0x1.bb6ca91d577b1p-16, -0x1.b673638665929p-16, -0x1.b15650eee68ecp-16, -0x1.ac1698dbcce4ap-16, -0x1.a6b55ff832bd3p-16, -0x1.a133c81516f1dp-16, -0x1.9b92f028dfabp-16, -0x1.95d3f44e04d2ap-16, -0x1.8ff7edc2579cbp-16, -0x1.89fff2e15b9c2p-16, -0x1.83ed17242e435p-16, -0x1.7dc06b2018d6ap-16, -0x1.777afc7f8e303p-16, -0x1.711dd600b4c5bp-16, -0x1.6aa9ff7066314p-16, -0x1.64207da7f8d2ap-16, -0x1.5d82528752fe9p-16, -0x1.56d07cf114da3p-16, -0x1.500bf8c7639e9p-16, -0x1.4935bee79f6fep-16, -0x1.424ec522b713bp-16, -0x1.3b57fe3c78d72p-16, -0x1.345259e6cb051p-16, -0x1.2d3ec4bbf3b0ap-16, -0x1.261e283aa2db1p-16, -0x1.1ef16ac1df0f3p-16, -0x1.17b96f8ecf02p-16, -0x1.107716b6ec771p-16, -0x1.092b3d2465977p-16, -0x1.01d6bc93ed0edp-16, -0x1.f4f4d72297522p-17, -0x1.e62e3ae4aa1a7p-17, -0x1.d75b44ab5840cp-17, -0x1.c87d8e414a4c7p-17, -0x1.b996aaf77c4ep-17, -0x1.aaa8279ed8b8bp-17, -0x1.9bb38a86106cap-17, -0x1.8cba537812b89p-17, -0x1.7dbdfbb9e281cp-17, -0x1.6ebff601acec6p-17, -0x1.5fc1ae7ae3f49p-17, -0x1.50c48ac2943e6p-17, -0x1.41c9e9e76c93bp-17, -0x1.32d3246760088p-17, -0x1.23e18c3280a48p-17, -0x1.14f66cac1e524p-17, -0x1.06130aa88c769p-17, -0x1.ee7148df1f984p-18, -0x1.d0d0e37f84c9cp-18, -0x1.b34747ac7fe86p-18, -0x1.95d6cad6c62fap-18, -0x1.7881b571032dbp-18, -0x1.5b4a42fbd5d6ep-18, -0x1.3e32a20c919dep-18, -0x1.213cf45b08b28p-18, -0x1.046b4ecbeb2f9p-18, -0x1.cf7f72ff452eep-19, -0x1.96785fc2d5ff8p-19, -0x1.5dc54161c9797p-19, -0x1.2569dc25e4242p-19, -0x1.dad3b694f0ffbp-20, -0x1.6b91a25abd794p-20, -0x1.fa28dd81bb7b5p-21, -0x1.1ec5bb5681fb6p-21, -0x1.141c00aef80eep-23, 0x1.260d2683d4ad8p-22, 0x1.69569ea504762p-21, 0x1.1eee90b6af5e2p-20, 0x1.88473d12ea75fp-20, 0x1.f0afb2bb9bad4p-20, 0x1.2c113f68ebca9p-19, 0x1.5f4d2e6a79f73p-19, 0x1.92091b1dc14a4p-19, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      52, 0x1.2666666666666p+2, 0x1.52c907ac4cd35p+1, 0x1.0cdee65823ep+2, -0x1.a0af31e872788p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.235ea0a9ffb21p-2, -0x1.c6858ee654f44p-1, 0x1.2cc0a19470073p+0, -0x1.79f5435f5b45p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.f1a937b0a90b5p-3, -0x1.8d34b6210a1d3p-1, 0x1.1067d6207c622p+0, -0x1.63b75bca64f47p-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.a77d75d63fbabp-3, -0x1.596484f3bd836p-1, 0x1.eb742b490338ep-1, -0x1.50ce6b3a86465p-1}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.67285dee027f2p-3, -0x1.2ac5f877c209fp-1, 0x1.b8eece66a2482p-1, -0x1.3d00ed8aed506p-1}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.2fa76267c874bp-3, -0x1.010ebca6376ep-1, 0x1.8961ddf831e23p-1, -0x1.2970ad5520954p-1}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.000705fa00cc1p-3, -0x1.b7e67876f373cp-2, 0x1.5cc42a5ea0326p-1, -0x1.15d00457e0c0cp-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aec5b743658c4p-4, -0x1.7650700e4dd35p-2, 0x1.331829b7d815ap-1, -0x1.0233c0fea07b1p-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.69cb0d44fb6c4p-4, -0x1.3cc4b39131d08p-2, 0x1.0c5d332b4002fp-1, -0x1.dd2c9fb9a7eaep-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2f91750d32046p-4, -0x1.0aaca2d9efdf4p-2, 0x1.d126e7faa6d63p-2, -0x1.b5f26072740acp-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.fd54ec7b50851p-5, -0x1.bee334e9dc468p-3, 0x1.8f75bfe97bd42p-2, -0x1.8eb7f0cac32e1p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.ab8b720a5a75bp-5, -0x1.74f9ef953ec22p-3, 0x1.53a6f564ab5a4p-2, -0x1.677d9fa8a16f8p-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.67620c3f80475p-5, -0x1.367030425c59cp-3, 0x1.1dba83d82cbdp-2, -0x1.404304d0bf86p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.2eb08dad20afbp-5, -0x1.0218b0d7b26f5p-3, 0x1.db60eca4ecd11p-3, -0x1.1909724a4c971p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.ff1613fff55e1p-6, -0x1.ad8c5c2f5ba4dp-4, 0x1.87114a5b6f70dp-3, -0x1.e3981067c9d93p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.b083abfe5b146p-6, -0x1.6696b3f5aaf15p-4, 0x1.3e8747e5778ffp-3, -0x1.9539e817c47f7p-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.6ec30f18719d7p-6, -0x1.2cf61d8ab0dbcp-4, 0x1.01be98484d49ep-3, -0x1.4670bf7450a51p-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.3765eb45f8ab4p-6, -0x1.fc9e415aab9f4p-5, 0x1.a18e90ba82627p-4, -0x1.f26dd8842ba85p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.087670b37077cp-6, -0x1.b0954f561232bp-5, 0x1.56cae3737bd5cp-4, -0x1.4c55873c87c2bp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c0eea384339b2p-7, -0x1.71027ec1298c7p-5, 0x1.24f1425d9aabfp-4, -0x1.e7ecdff7d548cp-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.7cbec01de8c72p-7, -0x1.3a14a8ebd1f8fp-5, 0x1.005917f7d1131p-4, -0x1.d2a125021cdecp-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.42d2977f59391p-7, -0x1.0a4f91d85a4b9p-5, 0x1.bab39d95b76b6p-5, -0x1.a60c15cceacf1p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.11c6c59f129cp-7, -0x1.c2697a42a2ca3p-6, 0x1.7b6500b6fa996p-5, -0x1.7fb456c3fe815p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.d0acb859a8648p-8, -0x1.7c49e6f0570bap-6, 0x1.41d6c07ffad27p-5, -0x1.57b0ab497d5f1p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.8ab5c5231daaep-8, -0x1.4113859172487p-6, 0x1.0e490d34f4d14p-5, -0x1.301f616904d4ep-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4f98abdec9e8bp-8, -0x1.0f94bdfce9123p-6, 0x1.c1557d30ce953p-6, -0x1.08707d92001ccp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.1d825243552b6p-8, -0x1.cd3a7b2f51ca4p-7, 0x1.72008ab834f33p-6, -0x1.c18b3ff649fa2p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e5b912f39555cp-9, -0x1.89f89f1ecffdap-7, 0x1.2e920decdd0dfp-6, -0x1.725086b4541a8p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9c9c1c3b319bdp-9, -0x1.530304c18132fp-7, 0x1.ee0bf3706dacfp-7, -0x1.22a1b9431b5d3p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5d751079224fbp-9, -0x1.25f77307e8902p-7, 0x1.96db6f0f7f113p-7, -0x1.a9507546435d5p-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.268516add0f02p-9, -0x1.007882678699dp-7, 0x1.570f5d7828299p-7, -0x1.009b29dad8e9cp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ed0e597cdab43p-10, -0x1.c02db6952ed2dp-8, 0x1.3091b0ca87a01p-7, -0x1.5a25e03bb0186p-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.9956b19c61ea9p-10, -0x1.85dc6110f6f0bp-8, 0x1.169ba65fa737fp-7, -0x1.5d6fada6d8d49p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.50c3902883e43p-10, -0x1.50c291180b99fp-8, 0x1.f8ccf2b3144fbp-8, -0x1.4734862218637p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.124bdb632d06cp-10, -0x1.20bbe7e8f3fe8p-8, 0x1.c7b844fac3da9p-8, -0x1.37cfdebdc9784p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b9e6d028e043dp-11, -0x1.eb0050e299991p-9, 0x1.98f2b05e4c084p-8, -0x1.26962bc79d389p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5f95f3150ce4ep-11, -0x1.9da1640736fd9p-9, 0x1.6cc290338e0ccp-8, -0x1.15da26f875db5p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.13e083339f3e8p-11, -0x1.58d8a15f59ca2p-9, 0x1.43150a5b15f8ep-8, -0x1.04fc751f190a9p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.aa37827346eb3p-12, -0x1.1c2502568f5eap-9, 0x1.1bef2bfcd236fp-8, -0x1.e84f928f1637fp-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.436d95d0e5101p-12, -0x1.ce0a435c0ed3cp-10, 0x1.ee9f3530fab2ap-9, -0x1.c6a164e5eff9bp-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e0ea6c36c9218p-13, -0x1.71ef6708e93efp-10, 0x1.aa6d660e7d199p-9, -0x1.a4f4832155981p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5d28260d5588p-13, -0x1.22f6ca59b6a18p-10, 0x1.6b48b8c97d0ffp-9, -0x1.834747c496ecep-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ed0e597cdaaeep-14, -0x1.c03b972dd95dbp-11, 0x1.31313ad2666c8p-9, -0x1.619a26e3dcf35p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.50c3902883e16p-14, -0x1.50c3902d532fbp-11, 0x1.f84dd06070f7p-10, -0x1.3fecf5ab38254p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b9e6d028e0384p-15, -0x1.eb007557f24e4p-12, 0x1.985386ad1350bp-10, -0x1.1e3feb562a08cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.13e083339f3a9p-15, -0x1.58d8a4a2204dbp-12, 0x1.42738ce006b4dp-10, -0x1.f924ab95992f6p-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.436d95d0e4fap-16, -0x1.ce0a3f0586ff1p-13, 0x1.ed5c197992a8cp-11, -0x1.b5cd8c69d034p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.5d28260d556c2p-17, -0x1.22f6dbf9f78bep-13, 0x1.6a04d5c03a99cp-11, -0x1.726753ff3e488p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.50c3902883801p-18, -0x1.50c30ccab335dp-14, 0x1.f5cbac4db63cp-12, -0x1.2f3974a48c893p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.13e083339eaffp-19, -0x1.58dc7888f6589p-15, 0x1.3fdc665161e6fp-12, -0x1.d6729492bb588p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5d28260d55p-21, -0x1.22da33943555fp-16, 0x1.65740d178699dp-13, -0x1.5493e5c061b29p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.13e083339bfffp-23, -0x1.5a836c80cc19p-18, 0x1.3236a014fe5f1p-14, -0x1.77a66abd733fdp-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.13e08333cp-27, -0x1.27126d7f3a714p-21, 0x1.434b19c07e7ffp-16, -0x1.f6ba5f9ed02f1p-12}, 
      }}, 
      0x1.d90d6ddcdcfp-8, -0x1.6c8ec13599a64p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.cf3064b4c9f32p-12, -0x1.895cc3e991e9ap-9, -0x1.2b52b29666a34p-7, -0x1.3f181efaea4d2p-6, -0x1.162cc2afd5216p-5, -0x1.aa0aba01b33cfp-5, -0x1.29fd2b038e821p-4, -0x1.85d3c06868e18p-4, -0x1.e44abc1f1199ap-4, -0x1.20b2f7072367cp-3, -0x1.4cd015207583dp-3, -0x1.750336a8e3debp-3, -0x1.982056b580a56p-3, -0x1.b547641abc556p-3, -0x1.cbdf1f82688dbp-3, -0x1.db8dfaae73bc8p-3, -0x1.e43200ae9c82p-3, -0x1.e5d87ba54c3c7p-3, -0x1.e0b5c547bef9bp-3, -0x1.d51d8809862a3p-3, -0x1.c37bb7e114b27p-3, -0x1.ac4e05fc1f6c4p-3, -0x1.901e5edd8aeaap-3, -0x1.6f7dec7e56283p-3, -0x1.4b00fa13f3755p-3, -0x1.233b7acbf8859p-3, -0x1.f17c86e2095f8p-4, -0x1.9829a6a75a364p-4, -0x1.3b875a89b2aa2p-4, -0x1.b91c88ff1c874p-5, -0x1.f09427f768f9cp-6, -0x1.b1f66d63ac27ep-8, 0x1.1708e33886d27p-6, 0x1.4ba541ff30a55p-5, 0x1.047774244eb58p-4, 0x1.6128777eaa3cfp-4, 0x1.bb6ebe6fd4719p-4, 0x1.0971d43e106ebp-3, 0x1.3397ebc9f5b85p-3, 0x1.5c05095383e07p-3, 0x1.829b202deb68p-3, 0x1.a7421d71aeba4p-3, 0x1.c9e773be5f353p-3, 0x1.ea7d92d177048p-3, 0x1.047dbd6d12e51p-2, 0x1.12ae216ddffa8p-2, 0x1.1fcf59d6669b3p-2, 0x1.2be271527c234p-2, 0x1.36e9e821bb9e7p-2, 0x1.40e98a5c155fbp-2, 0x1.49e642d7331b6p-2, 0x1.51e5f61d71e45p-2, 0x1.58ef5ab660d17p-2, 0x1.5f09da4cbfb28p-2, 0x1.643d726f15dc3p-2, 0x1.689299c6f838fp-2, 0x1.6c12263316e1bp-2, 0x1.6ec5348ec3482p-2, 0x1.70b513f32f0c7p-2, 0x1.71eb327b6eb9dp-2, 0x1.72710e333c6a7p-2, 0x1.725023c96888dp-2, 0x1.7191e4d1c1a69p-2, 0x1.703fa8e631ccap-2, 0x1.6e62a44b85f52p-2, 0x1.6c03de8c7b588p-2, 0x1.692c2a9c0c152p-2, 0x1.65e4203aa909fp-2, 0x1.623416cb8b5b5p-2, 0x1.5e2421e461123p-2, 0x1.59bc0c84f9719p-2, 0x1.550357f80d1a7p-2, 0x1.500138b23a3f4p-2, 0x1.4abc95a6b0aebp-2, 0x1.453c074a81993p-2, 0x1.3f85d8063e7cdp-2, 0x1.39a002c03690cp-2, 0x1.339035dfd46b2p-2, 0x1.2d5bd2a301e2bp-2, 0x1.2707ef272a4b4p-2, 0x1.2099580d2e118p-2, 0x1.1a149245a5ea2p-2, 0x1.137ddd29b09efp-2, 0x1.0cd93479e6addp-2, 0x1.062a524863486p-2, 0x1.fee96486ffce3p-3, 0x1.f177255c89c11p-3, 0x1.e403efaaed62fp-3, 0x1.d6955c6243082p-3, 0x1.c93096e075ab5p-3, 0x1.bbda67481e84dp-3, 0x1.ae973074acb01p-3, 0x1.a16afb44567acp-3, 0x1.945974334409ep-3, 0x1.8765f5d52c30ap-3, 0x1.7a938997a5dcdp-3, 0x1.6de4ecaed0be5p-3, 0x1.615c948987b51p-3, 0x1.54fcb3fa022bbp-3, 0x1.48c73c47008cdp-3, 0x1.3cbde3410b07bp-3, 0x1.30e225d91be4ap-3, 0x1.25354ccc40b01p-3, 0x1.19b86ec44c0d3p-3, 0x1.0e6c747035767p-3, 0x1.03521a8ed1152p-3, 0x1.f0d3ee4a9caaep-4, 0x1.db68f3b62178dp-4, 0x1.c663e162e0ab3p-4, 0x1.b1c512ec3d684p-4, 0x1.9d8ca9ac4da39p-4, 0x1.89ba915c87f82p-4, 0x1.764e852076623p-4, 0x1.6348125f3bd6bp-4, 0x1.50a69c5512c64p-4, 0x1.3e69639b5cba3p-4, 0x1.2c8f85f1b051fp-4, 0x1.1b1803cc3e01ap-4, 0x1.0a01c1a4230abp-4, 0x1.f297181d1bf88p-5, 0x1.d1e8365baf19ep-5, 0x1.b1f42865db39ap-5, 0x1.92b815d042435p-5, 0x1.7431102db1987p-5, 0x1.565c0c9feb9a9p-5, 0x1.3935edc8d0c2dp-5, 0x1.1cbb88abdfaa8p-5, 0x1.00e9a3224a7a5p-5, 0x1.cb79f52c60e36p-6, 0x1.9664909f53117p-6, 0x1.628c7cbc5161ep-6, 0x1.2feb212121467p-6, 0x1.fcf3ca6444fccp-7, 0x1.9c6471ccccdc3p-7, 0x1.3e1b2147a6d49p-7, 0x1.c415c8503e0a3p-8, 0x1.104de3eec9f17p-8, 0x1.8314ba5dd0edep-10, -0x1.2a758ed1cbecep-10, -0x1.e3e4c9247ff02p-9, -0x1.95520e8e641bfp-8, -0x1.1a6a0d17763ccp-7, -0x1.6847fca79e81ep-7, -0x1.b44e3b8279199p-7, -0x1.fe87f10bb72c3p-7, -0x1.2380085f4b0aep-6, -0x1.46e0a43ed8562p-6, -0x1.696afe6470203p-6, -0x1.8b24268ed8d7bp-6, -0x1.ac110d1ddcfccp-6, -0x1.cc367e80f67d5p-6, -0x1.eb992268569p-6, -0x1.051ec0e03ce53p-5, -0x1.1414011625a33p-5, -0x1.22ae73b53209cp-5, -0x1.30f02833314f1p-5, -0x1.3edb1f0c78102p-5, -0x1.4c7148f079792p-5, -0x1.59b4841c41afcp-5, -0x1.66a6a080b1bedp-5, -0x1.73495dfcbaddp-5, -0x1.7f9e6ed23c09dp-5, -0x1.8ba773b24be8bp-5, -0x1.9766007a5f399p-5, -0x1.a2db9a1917a13p-5, -0x1.ae09b92a4b0f7p-5, -0x1.b8f1c893a97f9p-5, -0x1.c39524e0794f8p-5, -0x1.cdf51ea752025p-5, -0x1.d812fb4b380d1p-5, -0x1.e1eff47a0c888p-5, -0x1.eb8d374964cfdp-5, -0x1.f4ebe6e3a20b4p-5, -0x1.fe0d1b422af6fp-5, -0x1.0378f1874cb72p-4, -0x1.07cda1cc66e0ep-4, -0x1.0c051c05d591ep-4, -0x1.101fd8ed5dfeep-4, -0x1.141e4d77705c2p-4, -0x1.1800eb903bb58p-4, -0x1.1bc82053860e8p-4, -0x1.1f7453a9c858fp-4, -0x1.2305eae08dc71p-4, -0x1.267d4b0773a41p-4, -0x1.29dad1819c49fp-4, -0x1.2d1edb23ae9c2p-4, -0x1.3049c0d8e4b8ep-4, -0x1.335bd97528f53p-4, -0x1.365578942dd94p-4, -0x1.3936f05456eecp-4, -0x1.3c008ffbc850bp-4, -0x1.3eb2a4c446768p-4, -0x1.414d796b82fc5p-4, -0x1.43d15742b33dfp-4, -0x1.463e858f343c4p-4, -0x1.48954aee6110ep-4, -0x1.4ad5ec1512e88p-4, -0x1.4d00aab52e7d4p-4, -0x1.4f15c7355c437p-4, -0x1.511582e96691ep-4, -0x1.53001d9829b29p-4, -0x1.54d5d3c1be0bcp-4, -0x1.5696e2c9cc2fbp-4, -0x1.584387c5efa96p-4, -0x1.59dbfd8e27661p-4, -0x1.5b607db54581ep-4, -0x1.5cd142ab86a61p-4, -0x1.5e2e85421a8cep-4, -0x1.5f787e5c175a4p-4, -0x1.60af65de815d9p-4, -0x1.61d373927ca1p-4, -0x1.62e4ddd96983cp-4, -0x1.63e3dc42a0dbap-4, -0x1.64d0a53d60141p-4, -0x1.65ab6ef9c27a7p-4, -0x1.66746f816545dp-4, -0x1.672bdc93e5e2p-4, -0x1.67d1eb6e181b3p-4, -0x1.6866d1e03f995p-4, -0x1.68eac4e1bcf78p-4, -0x1.695dfa777e2a7p-4, -0x1.69c0a759917b7p-4, -0x1.6a1300aa68046p-4, -0x1.6a553b9a37a48p-4, -0x1.6a878cd289f18p-4, -0x1.6aaa29c784c74p-4, -0x1.6abd47912ac13p-4, -0x1.6ac11b5961b9ep-4, -0x1.6ab5da5631453p-4, -0x1.6a9bb9e56c3fbp-4, -0x1.6a72ef16da13ap-4, -0x1.6a3baf07adbf5p-4, -0x1.69f62edf9320bp-4, -0x1.69a2a4d1bbefcp-4, -0x1.69414554c9feep-4, -0x1.68d24740b429p-4, -0x1.6855df262cf7dp-4, -0x1.67cc43ed25fc4p-4, -0x1.6735a91922b1cp-4, -0x1.669246261a0dep-4, -0x1.65e24ff43c032p-4, -0x1.6525fd6db5003p-4, -0x1.645d833a50fecp-4, -0x1.6389183841681p-4, -0x1.62a8f18cbfd1ep-4, -0x1.61bd456cec4b6p-4, -0x1.60c64a0012fd8p-4, -0x1.5fc434dbf4857p-4, -0x1.5eb73a65f6f0ap-4, -0x1.5d9f93218b951p-4, -0x1.5c7d7324b6892p-4, -0x1.5b5110fd7eb1ep-4, -0x1.5a1aa11d687ebp-4, -0x1.58da5a1a8f24dp-4, -0x1.57907136ac3bdp-4, -0x1.563d1b9d9698fp-4, -0x1.54e08e5673b84p-4, -0x1.537aff0ffa938p-4, -0x1.520ca24efbd6cp-4, -0x1.5095ad00a1bd6p-4, -0x1.4f16545460cfdp-4, -0x1.4d8ecbb3bba77p-4, -0x1.4bff4803de2ccp-4, -0x1.4a67fd8c9578ep-4, -0x1.48c91f401f52cp-4, -0x1.4722e2076ceb4p-4, -0x1.457577d7d3839p-4, -0x1.43c114de86187p-4, -0x1.4205eb6cf5139p-4, -0x1.40442e4842b9p-4, -0x1.3e7c0fb964ec6p-4, -0x1.3cadc1811a562p-4, -0x1.3ad9754ed4425p-4, -0x1.38ff5ca22d034p-4, -0x1.371fa830698aap-4, -0x1.353a88965e20dp-4, -0x1.33502ecbc578dp-4, -0x1.3160c9a9c757dp-4, -0x1.2f6c895b3c91bp-4, -0x1.2d739cf1f5ad7p-4, -0x1.2b763284234bbp-4, -0x1.297478f7eda2ap-4, -0x1.276e9df4d022bp-4, -0x1.2564cef876f97p-4, -0x1.2357393a67dfcp-4, -0x1.2146087eb691bp-4, -0x1.1f31697c4a5dfp-4, -0x1.1d1987f4d6aap-4, -0x1.1afe8e9b831fep-4, -0x1.18e0a8965a078p-4, -0x1.16bfff80c38a3p-4, -0x1.149cbd339876ap-4, -0x1.12770addc80c4p-4, -0x1.104f11a4b9544p-4, -0x1.0e24f8a939344p-4, -0x1.0bf8e87da758fp-4, -0x1.09cb078d4a047p-4, -0x1.079b7ca2c1dc9p-4, -0x1.056a6f1debc67p-4, -0x1.0338027f7abf8p-4, -0x1.01045d65e5754p-4, -0x1.fd9f4321e8026p-5, -0x1.f933ed428db9ap-5, -0x1.f4c6f99b1abf3p-5, -0x1.f058b13fd2cd9p-5, -0x1.ebe956732af33p-5, -0x1.e7792d7951182p-5, -0x1.e308770b4f61p-5, -0x1.de97788dac2bdp-5, -0x1.da266d0d37396p-5, -0x1.d5b59820d9dbcp-5, -0x1.d145339e68da1p-5, -0x1.ccd57df4c2c2ap-5, -0x1.c866af808af6cp-5, -0x1.c3f9055aa914p-5, -0x1.bf8cb68c530cp-5, -0x1.bb21fb6eda323p-5, -0x1.b6b90b8eae27dp-5, -0x1.b2521d2c9aaa9p-5, -0x1.aded65054369dp-5, -0x1.a98b1837b9b8ap-5, -0x1.a52b67b4b2e55p-5, -0x1.a0ce8575a2239p-5, -0x1.9c74a1999a62bp-5, -0x1.981de7f11c638p-5, -0x1.93ca87d7c655p-5, -0x1.8f7aac3b83a96p-5, -0x1.8b2e80d83a4a5p-5, -0x1.86e630dcc3d11p-5, -0x1.82a1e6fce8b28p-5, -0x1.7e61cd118c4b9p-5, -0x1.7a260c2b1deafp-5, -0x1.75eecb6c3354fp-5, -0x1.71bc3087371cap-5, -0x1.6d8e5edc9a79bp-5, -0x1.696578f325daap-5, -0x1.65419e1c1fe43p-5, -0x1.6122edb9bea62p-5, -0x1.5d09870b2e48ep-5, -0x1.58f5886d292f7p-5, -0x1.54e71081b9375p-5, -0x1.50de3eaef4494p-5, -0x1.4cdb318002101p-5, -0x1.48de0715c4f41p-5, -0x1.44e6dc517bc64p-5, -0x1.40f5cc04c6a65p-5, -0x1.3d0aee9f8966dp-5, -0x1.39265a5e61a18p-5, -0x1.354823509ca8fp-5, -0x1.31705bffe6948p-5, -0x1.2d9f1505b302bp-5, -0x1.29d45fbd1d67fp-5, -0x1.26104e5d32c5ep-5, -0x1.2252f268bca55p-5, -0x1.1e9c60b305434p-5, -0x1.1aecad56b486fp-5, -0x1.1743ede9bd5bdp-5, -0x1.13a236e4ac91ap-5, -0x1.10079b2cc9b01p-5, -0x1.0c742b07c4de2p-5, -0x1.08e7f2b48cf83p-5, -0x1.0562fa98e7a07p-5, -0x1.01e547b339af1p-5, -0x1.fcddb7d42aa2dp-6, -0x1.f5ff70e40e2f5p-6, -0x1.ef2fc07c5e30dp-6, -0x1.e86eae9e6af96p-6, -0x1.e1bc4d280237ap-6, -0x1.db18bc76b8ca7p-6, -0x1.d4841b9e53a0dp-6, -0x1.cdfe8fa46de1ap-6, -0x1.c7883d0d64bap-6, -0x1.c1213ee9071acp-6, -0x1.bac9a56ad8bccp-6, -0x1.b4816e668d5c4p-6, -0x1.ae48894931ed7p-6, -0x1.a81edaaa65fc1p-6, -0x1.a2044298ef51p-6, -0x1.9bf8a43055ae3p-6, -0x1.95fbed51e1d0fp-6, -0x1.900e1bcb50751p-6, -0x1.8a2f3f23da327p-6, -0x1.845f75ac1a292p-6, -0x1.7e9ee0d3d4a25p-6, -0x1.78edb38a6079bp-6, -0x1.734bf55cc1b19p-6, -0x1.6db9be575c62bp-6, -0x1.6836ff723876dp-6, -0x1.62c39a0351427p-6, -0x1.5d5f5ff51f61ap-6, -0x1.580a1cb6f6ap-6, -0x1.52c3a0bd44a0cp-6, -0x1.4d8bc70f2d3cap-6, -0x1.486280262ed1p-6, -0x1.4347cd581c6b4p-6, -0x1.3e3bbf0bb7345p-6, -0x1.393e6c0dd361dp-6, -0x1.344fe8fdb69bep-6, -0x1.2f703f4b4171ap-6, -0x1.2a9f69058c37ep-6, -0x1.25dd50191770ep-6, -0x1.2129ce8f72625p-6, -0x1.1c84b8ee9430bp-6, -0x1.17ede19b4e98cp-6, -0x1.1365252a2c5bcp-6, -0x1.0eea67d83bed9p-6, -0x1.0a7d9e20f2c93p-6, -0x1.061ecd82ddcbdp-6, -0x1.01cdfd3290871p-6, -0x1.fb166b0b2cca7p-7, -0x1.f2ace77821f11p-7, -0x1.ea5f418cbca81p-7, -0x1.e22d24f9ebceap-7, -0x1.da161e452623ap-7, -0x1.d219a9be95fb8p-7, -0x1.ca374dcc8cfbbp-7, -0x1.c26eb230c3742p-7, -0x1.babfa408590ddp-7, -0x1.b32a1af2ce2cdp-7, -0x1.abae2da2d2f57p-7, -0x1.a44c04cb2c363p-7, -0x1.9d03c93d707bdp-7, -0x1.95d59776e4c6ap-7, -0x1.8ec171d6fcf9dp-7, -0x1.87c73748338f6p-7, -0x1.80e69f591380fp-7, -0x1.7a1f3be5c4f2cp-7, -0x1.73706d69a2011p-7, -0x1.6cd987945d589p-7, -0x1.6659ddbebda4cp-7, -0x1.5ff0e049f8db3p-7, -0x1.599e3139c3b22p-7, -0x1.5361b8cebdfbp-7, -0x1.4d3b83789f9dap-7, -0x1.472bce29b679bp-7, -0x1.4132c79159e8p-7, -0x1.3b5091be0bb8ep-7, -0x1.35852a43d6d1fp-7, -0x1.2fd06e0140b7ap-7, -0x1.2a321ef675041p-7, -0x1.24a9f6ab1f1c4p-7, -0x1.1f37aab50ebf3p-7, -0x1.19daf403b3b3bp-7, -0x1.149387594f8b3p-7, -0x1.0f610b6bfb031p-7, -0x1.0a431426cefd8p-7, -0x1.05392216f2ec4p-7, -0x1.0042afefd0b33p-7, -0x1.f6be93cd9bd65p-8, -0x1.ed1d49006d385p-8, -0x1.e3a14ffde93edp-8, -0x1.da4a963fa21a7p-8, -0x1.d1196b47ccf2ap-8, -0x1.c80da3433c323p-8, -0x1.bf26fbe69cb24p-8, -0x1.b664ff112010cp-8, -0x1.adc739a7a892ep-8, -0x1.a54d6b69dfc46p-8, -0x1.9cf79af6e6269p-8, -0x1.94c6001a7543fp-8, -0x1.8cb8c7863e313p-8, -0x1.84cfc6e8a6262p-8, -0x1.7d0a481ab9edp-8, -0x1.75670a107ebe5p-8, -0x1.6de478c1163c3p-8, -0x1.668105770fbb1p-8, -0x1.5f3b78949ae52p-8, -0x1.58132e6fb0fa1p-8, -0x1.5108079830dcfp-8, -0x1.4a1a38ac3e67ap-8, -0x1.4349f34d482b5p-8, -0x1.3c974106e29e5p-8, -0x1.3601ff5f5c11cp-8, -0x1.2f8a0c2e9e799p-8, -0x1.292f6a7406514p-8, -0x1.22f23e942bf9cp-8, -0x1.1cd2a389072bep-8, -0x1.16d07329d0f8bp-8, -0x1.10eb1fe2adad8p-8, -0x1.0b21beca8bce2p-8, -0x1.05732154b2e31p-8, -0x1.ffbc90eb610c7p-9, -0x1.f4c4df6489156p-9, -0x1.e9fe1fc3d09c1p-9, -0x1.df67de6838f0ep-9, -0x1.d50113dd6c221p-9, -0x1.cac8d6e961edep-9, -0x1.c0be41463079p-9, -0x1.b6e0efe681f4dp-9, -0x1.ad313d6104db8p-9, -0x1.a3b0046e7dd49p-9, -0x1.9a5e0acfde713p-9, -0x1.913b661311ee1p-9, -0x1.88473ac5ffe7dp-9, -0x1.7f7ff1ee51649p-9, -0x1.76e3a854f9c08p-9, -0x1.6e70a0f8239a4p-9, -0x1.66256f724f821p-9, -0x1.5e0111ee5cc22p-9, -0x1.560307a02a81ep-9, -0x1.4e2b49deea6dp-9, -0x1.4679fa3b8b12p-9, -0x1.3eeefa8a70f2ep-9, -0x1.3789c819bf73ap-9, -0x1.3049923fc4d2cp-9, -0x1.292db606b9e9ap-9, -0x1.2235cc9bef834p-9, -0x1.1b619ddd7b425p-9, -0x1.14b0ca3b4aaecp-9, -0x1.0e22bfadb4754p-9, -0x1.07b6ea41331e4p-9, -0x1.016cb47653befp-9, -0x1.f6872256a84acp-10, -0x1.ea748f660d1a7p-10, -0x1.de9e2fcfd9888p-10, -0x1.d301575e81d2cp-10, -0x1.c79d2cd501b58p-10, -0x1.bc7278c0c7ac8p-10, -0x1.b1822813b17c3p-10, -0x1.a6cbec71f87bep-10, -0x1.9c4e78734a6b5p-10, -0x1.9207ac957be46p-10, -0x1.87f68e3975fb7p-10, -0x1.7e1aa06a19bb4p-10, -0x1.7474d2c639af4p-10, -0x1.6b05cce3a9742p-10, -0x1.61cd2ac6a9e32p-10, -0x1.58c962fb42f66p-10, -0x1.4ff83737e8aa5p-10, -0x1.475720f15751cp-10, -0x1.3ee3d9e23f79cp-10, -0x1.369d27e200a9fp-10, -0x1.2e82fa0e28122p-10, -0x1.26952434b7aebp-10, -0x1.1ed24b9d720f9p-10, -0x1.1738a10c4b4c6p-10, -0x1.0fc78ac6219d4p-10, -0x1.087fcd195f328p-10, -0x1.0161e391df55dp-10, -0x1.f4d9db079d43dp-11, -0x1.e73ea44347228p-11, -0x1.d9effa94f8b9ep-11, -0x1.cced7db75a7a9p-11, -0x1.c036eb6f1fe85p-11, -0x1.b3ca8eb376074p-11, -0x1.a7a5d65c05e27p-11, -0x1.9bc6ce4a04e3dp-11, -0x1.902ca8aef00fdp-11, -0x1.84d73c04627c7p-11, -0x1.79c66210767ecp-11, -0x1.6ef9b42880e1ep-11, -0x1.646ece7093eadp-11, -0x1.5a22b336e925fp-11, -0x1.5010be3888754p-11, -0x1.463715225ece3p-11, -0x1.3c9678d94e644p-11, -0x1.332f59b2a67f2p-11, -0x1.2a0092fd40152p-11, -0x1.210906347e96dp-11, -0x1.18485bacff62ap-11, -0x1.0fbe1c2cdb271p-11, -0x1.0769b3ab1b8cbp-11, -0x1.fe941a8f7c755p-12, -0x1.eeba3842a2f0ep-12, -0x1.df416261247d4p-12, -0x1.d02686af58cf1p-12, -0x1.c167cb746fcc6p-12, -0x1.b303d52be4389p-12, -0x1.a4f935cbb041bp-12, -0x1.9746eb17af948p-12, -0x1.89ec7259376c5p-12, -0x1.7ce965148dc27p-12, -0x1.703d70cba6f7bp-12, -0x1.63e6dfcce1ff8p-12, -0x1.57e21d934710bp-12, -0x1.4c2a2211da939p-12, -0x1.40ba812381432p-12, -0x1.3592abba29f19p-12, -0x1.2ab4fa7d62fd2p-12, -0x1.20202ddea0e41p-12, -0x1.15cff42abd5ddp-12, -0x1.0bc4a17f094edp-12, -0x1.01ff37beb917bp-12, -0x1.f0fd5638dce49p-13, -0x1.de7c267fd343fp-13, -0x1.cc76743c7c019p-13, -0x1.bae91889a20c7p-13, -0x1.a9d25acb95e3cp-13, -0x1.993094e2514b8p-13, -0x1.8901addcc42bbp-13, -0x1.79435b84de9cap-13, -0x1.69f34868fb536p-13, -0x1.5b0f65ad39aafp-13, -0x1.4c96cda315df5p-13, -0x1.3e87f77b033c1p-13, -0x1.30e0dc7c1536bp-13, -0x1.239bfa3ab337bp-13, -0x1.16b44c904c3eap-13, -0x1.0a288092e62e9p-13, -0x1.fbf5db62bf08ap-14, -0x1.e452689438419p-14, -0x1.cd5d7387bb92p-14, -0x1.b713b7cdb508fp-14, -0x1.a17531b388424p-14, -0x1.8c795d047f8c2p-14, -0x1.781895766450bp-14, -0x1.64544cc950cbp-14, -0x1.512b7464968ffp-14, -0x1.3e972a182a42p-14, -0x1.2c92cd46dd6f5p-14, -0x1.1b1b55c7b29a9p-14, -0x1.0a2d978138249p-14, -0x1.f38dceff56c7fp-15, -0x1.d3c905c09174ep-15, -0x1.b5047262cc7b1p-15, -0x1.973be69fd2f3ep-15, -0x1.7a6b1ee1698bep-15, -0x1.5e8df82a6adddp-15, -0x1.43a09db8da19p-15, -0x1.2998a3d59f307p-15, -0x1.10682fc8251cap-15, -0x1.f01c9e4b78e11p-16, -0x1.c10e32b537a46p-16, -0x1.939251e3a35fap-16, -0x1.67ac7be68d826p-16, -0x1.3d5a1d691abc6p-16, -0x1.1490a7399c168p-16, -0x1.da84f5b3ba421p-17, -0x1.8ead8d7b8da46p-17, -0x1.45829c333c2e3p-17, -0x1.fde46e852f0d4p-18, -0x1.760d25accd577p-18, -0x1.e70cb4768fb5fp-19, -0x1.d7fbb4f239907p-20, 0x1.6417944485536p-25, 0x1.db9266cbf86bbp-20, 0x1.ccd37b9ca9503p-19, 0x1.517790a14f734p-18, 0x1.b830bf5603fc9p-18, 0x1.0d5663b0cb1a2p-17, 0x1.3c8754ef21d9cp-17, 0x1.69b5f55236a1fp-17, 0x1.94e0ce37a9c2cp-17, 0x1.be0fdb1677badp-17, 0x1.e5709cd39af12p-17, 0x1.0587dcf768d9fp-16, 0x1.1781c9d265951p-16, 0x1.28a4133641851p-16, 0x1.38e5c87a5c3b3p-16, 0x1.4859fe313bc4dp-16, 0x1.570c2512365b7p-16, 0x1.6500add48179ep-16, 0x1.723c31c0865ffp-16, 0x1.7ec0ebed93152p-16, 0x1.8a859b19fde55p-16, 0x1.95985baddcca5p-16, 0x1.a0184fd7f6124p-16, 0x1.a9f652b7be163p-16, 0x1.b3329c2a46f8dp-16, 0x1.bbcda0e02c277p-16, 0x1.c3d7cb4a95bbep-16, 0x1.cb56f5bf6ce52p-16, 0x1.d24b6835d10c3p-16, 0x1.d8b999d5a69dfp-16, 0x1.dea5f41f233d2p-16, 0x1.e4151a2c829bdp-16, 0x1.e90c41b016d61p-16, 0x1.ed8cda0c42887p-16, 0x1.f18d9f218af72p-16, 0x1.f50f627ca640bp-16, 0x1.f8336a9187d26p-16, 0x1.fb0284dbc8a8fp-16, 0x1.fd665a7cdc0d1p-16, 0x1.ff59b8ec84ebap-16, 0x1.00773e456e5ap-15, 0x1.01190cfa34d94p-15, 0x1.018e368c8a218p-15, 0x1.01da61b2f6b8ep-15, 0x1.01fd7c01594fcp-15, 0x1.01f8e157f0a23p-15, 0x1.01ccaa25675e1p-15, 0x1.017fefb97a1fdp-15, 0x1.010e3d560c7c4p-15, 0x1.0071682561d59p-15, 0x1.ff700ebbd40e7p-16, 0x1.fdcd00c057a12p-16, 0x1.fbdf49acb44cbp-16, 0x1.f9b588f54eb19p-16, 0x1.f7568a7c9b917p-16, 0x1.f4c1906ce2ef6p-16, 0x1.f1faf48e8fbdep-16, 0x1.ef05b3f9eef25p-16, 0x1.ebe1378625632p-16, 0x1.e890307f1180ap-16, 0x1.e51609425bc87p-16, 0x1.e164710582329p-16, 0x1.dd7c86ffe2849p-16, 0x1.d986520d728e8p-16, 0x1.d570219c72dd7p-16, 0x1.d12598c40ba55p-16, 0x1.ccbc641f8bb9cp-16, 0x1.c837edffc2e32p-16, 0x1.c3968ef4f39fbp-16, 0x1.bed8b3e8f6d2ap-16, 0x1.b9ff6ab78b81p-16, 0x1.b50bdc2c4250cp-16, 0x1.afff956aa8605p-16, 0x1.aadc9e1d8f433p-16, 0x1.a5a4290ad2826p-16, 0x1.a0586e09739aep-16, 0x1.9af5fad1ccca7p-16, 0x1.95846f24ba42fp-16, 0x1.90041e8f86077p-16, 0x1.8a70867aab30fp-16, 0x1.84cc3b82ba1d7p-16, 0x1.7f1f3e53bbbcbp-16, 0x1.7966c96621605p-16, 0x1.7391e0fe6066p-16, 0x1.6dbaf831a31fap-16, 0x1.67ddd889fcea5p-16, 0x1.61fd9c2e95797p-16, 0x1.5c15efb44d78fp-16, 0x1.56254cab5da9dp-16, 0x1.502e958e630ffp-16, 0x1.4a26e1aa72ca1p-16, 0x1.44232f5d214ep-16, 0x1.3e1a349076927p-16, 0x1.380a5187e34c5p-16, 0x1.31fb0791cccffp-16, 0x1.2bed0ef8a5fa9p-16, 0x1.25ddeb40aa606p-16, 0x1.1fcb091b389b3p-16, 0x1.19b79f7006d99p-16, 0x1.13a88b4a54fb8p-16, 0x1.0d9a9954636ecp-16, 0x1.078d78a7db081p-16, 0x1.01827e5af30cp-16, 0x1.f6f39037ca76p-17, 0x1.eaea223f94a35p-17, 0x1.dee5d9fe3180ap-17, 0x1.d2ee08eeab20cp-17, 0x1.c6fbe39a596p-17, 0x1.bb170a0639421p-17, 0x1.af3af501ddf14p-17, 0x1.a37028f4bac3ep-17, 0x1.97b52fbff3389p-17, 0x1.8c0018b8e7883p-17, 0x1.805198e3576e9p-17, 0x1.74b4d3a18c5e8p-17, 0x1.692eeb87b3099p-17, 0x1.5dbab5bfe9724p-17, 0x1.5251438ab1711p-17, 0x1.46ff0cf6dd23dp-17, 0x1.3bc2be4505839p-17, 0x1.3090de7e6a74cp-17, 0x1.2562486806085p-17, 0x1.1a5afd7525527p-17, 0x1.0f61ef793232bp-17, 0x1.047fc7d3249ddp-17, 0x1.f363a1b76334bp-18, 0x1.ddf2596fc5593p-18, 0x1.c8a47a6764d88p-18, 0x1.b375fb1de1e1ap-18, 0x1.9e9b468f8639bp-18, 0x1.89d724fdf46cdp-18, 0x1.754049166252fp-18, 0x1.60d4452634a06p-18, 0x1.4c95b0b82a038p-18, 0x1.3890b56efd62fp-18, 0x1.24adf5c1e6735p-18, 0x1.1107f60406256p-18, 0x1.fb0871cdab37ap-19, 0x1.d478886c7d403p-19, 0x1.ae522bf755751p-19, 0x1.8881245935854p-19, 0x1.630573228b265p-19, 0x1.3df3c0677a48cp-19, 0x1.1951a6421ed13p-19, 0x1.ea2c232fb5ff5p-20, 0x1.a29380795eee1p-20, 0x1.5bc108ad54d31p-20, 0x1.156d8c69768f3p-20, 0x1.9ffc6c01f8e34p-21, 0x1.1713157c04e95p-21, 0x1.2003e936b0075p-22, 0x1.44884332316c7p-26, -0x1.e9b9b41d7ae32p-23, -0x1.fa2565b8fa147p-22, -0x1.7e0636c465042p-21, -0x1.fd6358b6bd31ap-21, -0x1.3da2ea2587f21p-20, -0x1.7b8143ed57701p-20, -0x1.b9dcb3346af1dp-20, -0x1.f55e5f0138d06p-20, -0x1.188708815ac4ep-19, -0x1.35f55a7335065p-19, -0x1.52fe740def764p-19, -0x1.6fa3704c7181bp-19, -0x1.8bdf50ef3be49p-19, -0x1.a7b8a60f58a63p-19, -0x1.c3216445abfd4p-19, -0x1.ddad360b5841bp-19, -0x1.f8baf1784dbb3p-19, -0x1.098bd8804c92bp-18, -0x1.168071accabedp-18, -0x1.233e44f7891c4p-18, -0x1.2fb9618aedcc6p-18, -0x1.3c15ae8af3c9bp-18, -0x1.483a1ed37bac6p-18, -0x1.543d5a32e4186p-18, -0x1.603ad55c93ad8p-18, -0x1.6b928f63e4c37p-18, -0x1.76ee6a8601bfap-18, -0x1.822e62751e2ecp-18, -0x1.8d2b42b216278p-18, -0x1.980ec70db453bp-18, -0x1.a2aa66f32ebbcp-18, -0x1.ad1dc76aff3d4p-18, -0x1.b765b73697b7dp-18, -0x1.c1726f9560792p-18, -0x1.cb6c5de094de3p-18, -0x1.d5292d276e4a2p-18, -0x1.deb4f5c96e682p-18, -0x1.e8159e40c7763p-18, -0x1.f14ca502352cbp-18, -0x1.fa072ff7bd54ep-18, -0x1.0197458c2a68ap-17, -0x1.05efe7e7a3c5dp-17, -0x1.0a2ffde9575f3p-17, -0x1.0e5bd5328cdcfp-17, -0x1.12738c0e732fcp-17, -0x1.16706d7f83821p-17, -0x1.1a5f71c42a316p-17, -0x1.1e336e4f14a26p-17, -0x1.21f6e5c66bbe6p-17, -0x1.25a035d96beecp-17, -0x1.293a4e693188p-17, -0x1.2cc05234b1bdp-17, -0x1.302da0210cc0ep-17, -0x1.338c1fc6b982ap-17, -0x1.36d5b55c03e34p-17, -0x1.3a08a1c507d21p-17, -0x1.3d1ff168245b5p-17, -0x1.4030ec669033ap-17, -0x1.432999c262f2fp-17, -0x1.4617ceb7ab066p-17, -0x1.48e9dcb5945d1p-17, -0x1.4baa63269930ep-17, -0x1.4e5aa0d863e3bp-17, -0x1.50f5484fd60ebp-17, -0x1.538be947683b5p-17, -0x1.55f5ac7b3fb5p-17, -0x1.5856eda4ff3aep-17, -0x1.5ab3833e6108cp-17, -0x1.5cf750a086d61p-17, -0x1.5f1bc3318f5a5p-17, -0x1.614941116580ap-17, -0x1.635c5d4e5ae1cp-17, -0x1.6555067ac9736p-17, -0x1.6746e49fa33f6p-17, -0x1.69226e6bde187p-17, -0x1.6af1df4125b2p-17, -0x1.6cb5791fba27cp-17, -0x1.6e617e32f9a4bp-17, -0x1.7000f400af077p-17, -0x1.719291ab931cdp-17, -0x1.73097b0e52ee1p-17, -0x1.747e302c29042p-17, -0x1.75dfd01c2ee03p-17, -0x1.773150c7ce52dp-17, -0x1.7887169d93062p-17, -0x1.79ad8b78632eap-17, -0x1.7ad5a76c7e84cp-17, -0x1.7bf4005714d9p-17, -0x1.7cf9b5f59c116p-17, -0x1.7df35f9ad3655p-17, -0x1.7ee4e4bc97b81p-17, -0x1.7fc5029aae413p-17, -0x1.80a2d43a2a132p-17, -0x1.816a4f35c92ffp-17, -0x1.8221d5afd6e53p-17, -0x1.82d273a30c2b2p-17, -0x1.836daa8c51295p-17, -0x1.840501b823c05p-17, -0x1.84900bfbad9e1p-17, -0x1.8514a67953aaep-17, -0x1.8573e5c6ca65ep-17, -0x1.85dca085b6045p-17, -0x1.863280ae9311p-17, -0x1.8689825fd5265p-17, -0x1.86ca4505e3d0fp-17, -0x1.86fe24d0e6495p-17, -0x1.872952c36f86dp-17, -0x1.87498f38e3ca2p-17, -0x1.875e457e4b1dfp-17, -0x1.876c2bc5c356ep-17, -0x1.876db2a381534p-17, -0x1.875c707d38f28p-17, -0x1.87863fb095132p-17, -0x1.8729f6b45fa57p-17, }}, 
      {{-0x1.c9c3da21bd1c7p-13, -0x1.6ac68e2fe361cp-10, -0x1.1562defb74f06p-8, -0x1.2dfc08744b744p-7, -0x1.0e9b743aa3ce8p-6, -0x1.ab988ccaac026p-6, -0x1.355aa56ee81a5p-5, -0x1.a375c851d1f96p-5, -0x1.0e8b7241ff74ep-4, -0x1.4f7f3149b26b6p-4, -0x1.92f5bc237ef7fp-4, -0x1.d761b01d70c67p-4, -0x1.0daacbf8a5761p-3, -0x1.2ec5ce48c5891p-3, -0x1.4e74ab0ea8841p-3, -0x1.6c406741b765p-3, -0x1.87c7ce806f823p-3, -0x1.a0be5a977fd69p-3, -0x1.b6eab0cced1a3p-3, -0x1.ca24e2127fd9bp-3, -0x1.da54955a6b399p-3, -0x1.e76f171a3bda6p-3, -0x1.f1758e9049936p-3, -0x1.f8732d0607b63p-3, -0x1.fc7b8c3bd0f26p-3, -0x1.fda920ac25f87p-3, -0x1.fc1bdf3679afap-3, -0x1.f7f7f0c679548p-3, -0x1.f164abf814fe7p-3, -0x1.e88b8a55f8d9ep-3, -0x1.dd97620c9205dp-3, -0x1.d0b3aa40890aep-3, -0x1.c20bdfb37692fp-3, -0x1.b1cb10693a787p-3, -0x1.a01b69561e199p-3, -0x1.8d25e795570ecp-3, -0x1.79121c2edad0dp-3, -0x1.6405f2fffdcf1p-3, -0x1.4e2593bfd5cd9p-3, -0x1.379340180e4e6p-3, -0x1.206f596b0a558p-3, -0x1.08d83de602c58p-3, -0x1.e1d4abd31adbcp-4, -0x1.b1802f46ab079p-4, -0x1.80e42707139a8p-4, -0x1.502ddd204f3e5p-4, -0x1.1f87009b27606p-4, -0x1.de2b8657ca46p-5, -0x1.7df9f5aa83587p-5, -0x1.1eb877bb1700dp-5, -0x1.81400daae758cp-6, -0x1.8f8f6b384ff39p-7, -0x1.16340efad79bap-10, 0x1.433898542f9f4p-7, 0x1.50efc1fc54f26p-6, 0x1.fc592b28c2399p-6, 0x1.51d19486468cbp-5, 0x1.a3502a08f4867p-5, 0x1.f29555e546383p-5, 0x1.1fc8c390eecf4p-4, 0x1.451c2498056e9p-4, 0x1.69401fcb509b5p-4, 0x1.8c314ab66c1c9p-4, 0x1.aded846f354cbp-4, 0x1.ce73c3c9bbb5fp-4, 0x1.edc4085eaf9acp-4, 0x1.05ef9e9380f45p-3, 0x1.14638fd2c61aap-3, 0x1.223f18a9e2827p-3, 0x1.2f83cd17821a9p-3, 0x1.3c338eff96752p-3, 0x1.485085e7cd925p-3, 0x1.53dd0ed5796c4p-3, 0x1.5edbc3cf3f5fbp-3, 0x1.694f5fd84af9cp-3, 0x1.733acdfa1c4bdp-3, 0x1.7ca1132168511p-3, 0x1.85855115493f1p-3, 0x1.8deabf07143d8p-3, 0x1.95d4a3ec5f05p-3, 0x1.9d4655079946ep-3, 0x1.a4432f75cca4ep-3, 0x1.aace959e2a744p-3, 0x1.b0ebece93c7abp-3, 0x1.b69e9977e6b54p-3, 0x1.bbe9fc7bc3097p-3, 0x1.c0d1715af8d76p-3, 0x1.c5584d00a8102p-3, 0x1.c981dbaf8b625p-3, 0x1.cd51599daec21p-3, 0x1.d0ca0021fa358p-3, 0x1.d3eef11ab94f1p-3, 0x1.d6c3470ab9f5p-3, 0x1.d94a0989c99f2p-3, 0x1.db8630be44ab2p-3, 0x1.dd7aa346dcb4fp-3, 0x1.df2a37f15cf05p-3, 0x1.e097b206fc3cdp-3, 0x1.e1c5c551e8a3cp-3, 0x1.e2b71068bd2e6p-3, 0x1.e36e1fb1b552ep-3, 0x1.e3ed6e35a2547p-3, 0x1.e43764b189b9ep-3, 0x1.e44e57bd4040dp-3, 0x1.e4348a2bebcb4p-3, 0x1.e3ec2cc38d4acp-3, 0x1.e3775db251f64p-3, 0x1.e2d8298f281cdp-3, 0x1.e2108a8a0ac44p-3, 0x1.e1226a65023c7p-3, 0x1.e00fa147c2eb5p-3, 0x1.ded9f6324a6d3p-3, 0x1.dd83213acd1f5p-3, 0x1.dc0cc8104150fp-3, 0x1.da7881cf364b7p-3, 0x1.d8c7d65fde2d8p-3, 0x1.d6fc3f08e86b5p-3, 0x1.d51725755f216p-3, 0x1.d319e6a58cd42p-3, 0x1.d105d0e91db97p-3, 0x1.cedc24a4d551bp-3, 0x1.cc9e171c81c88p-3, 0x1.ca4ccee1c646dp-3, 0x1.c7e96794e02e1p-3, 0x1.c574f1ab7ecb7p-3, 0x1.c2f07208788fep-3, 0x1.c05ce11b62e62p-3, 0x1.bdbb2dc250df4p-3, 0x1.bb0c3ce98662ep-3, 0x1.b850ea382bfcdp-3, 0x1.b58a0655bcc9bp-3, 0x1.b2b859ed47161p-3, 0x1.afdca40b0576ep-3, 0x1.acf79c37315cp-3, 0x1.aa09f075e7743p-3, 0x1.a714486dff4a9p-3, 0x1.a41743e1a538ap-3, 0x1.a1137afa5c3cap-3, 0x1.9e097f023e1c7p-3, 0x1.9af9db7db3711p-3, 0x1.97e5135ed06b6p-3, 0x1.94cba791672p-3, 0x1.91ae0e3619ffp-3, 0x1.8e8cbb4098f5ap-3, 0x1.8b681ce8b6732p-3, 0x1.88409af6352dep-3, 0x1.851698e7200a5p-3, 0x1.81ea75f320346p-3, 0x1.7ebc8c684eb81p-3, 0x1.7b8d33192588fp-3, 0x1.785cbb1332764p-3, 0x1.752b736653d3p-3, 0x1.71f9a65b8be03p-3, 0x1.6ec79a7717c5ap-3, 0x1.6b959304b057dp-3, 0x1.6863d1826d264p-3, 0x1.653292637357ep-3, 0x1.62020f8de8168p-3, 0x1.5ed2815902634p-3, 0x1.5ba41bf82ccbbp-3, 0x1.5877118801cbep-3, 0x1.554b91f3eb0bfp-3, 0x1.5221cacbf5ee2p-3, 0x1.4ef9e72b28e05p-3, 0x1.4bd410753312p-3, 0x1.48b06d8e7f822p-3, 0x1.458f23fac4692p-3, 0x1.4270571cc4344p-3, 0x1.3f542876ec551p-3, 0x1.3c3ab8047733cp-3, 0x1.3924249ea578fp-3, 0x1.36108adcc9849p-3, 0x1.330006bac6d39p-3, 0x1.2ff2b1ef1328fp-3, 0x1.2ce8a5c263ccbp-3, 0x1.29e1f9de7b212p-3, 0x1.26dec4fce52afp-3, 0x1.23df1bb625e84p-3, 0x1.20e3131d84e6cp-3, 0x1.1deabdf8bf382p-3, 0x1.1af62e44c9f5cp-3, 0x1.18057698dfcd2p-3, 0x1.1518a78d483d6p-3, 0x1.122fcf617968ep-3, 0x1.0f4afe116f23dp-3, 0x1.0c6a4144387e7p-3, 0x1.098da6eb08bebp-3, 0x1.06b53b1b4f2f6p-3, 0x1.03e109e4308a8p-3, 0x1.01111f2e9a867p-3, 0x1.fc8b09bba558p-4, 0x1.f6fc8af532c1dp-4, 0x1.f176d71664697p-4, 0x1.ebf9ff624d6c9p-4, 0x1.e68613c0075b4p-4, 0x1.e11b24bd9e3acp-4, 0x1.dbb941af97794p-4, 0x1.d66079ee8d7ecp-4, 0x1.d110d9d00d185p-4, 0x1.cbca6dc48a6a7p-4, 0x1.c68d41de1c026p-4, 0x1.c15961287cfaep-4, 0x1.bc2ed5ebebf0cp-4, 0x1.b70da94114433p-4, 0x1.b1f5e4299323ap-4, 0x1.ace78ec717dddp-4, 0x1.a7e2b01b08c29p-4, 0x1.a2e74fbfdebb1p-4, 0x1.9df573bd8ab32p-4, 0x1.990d217e20d1bp-4, 0x1.942e5e25f7cf8p-4, 0x1.8f592e36ee11dp-4, 0x1.8a8d95cc89f33p-4, 0x1.85cb97bdc94c6p-4, 0x1.811335c8d4dafp-4, 0x1.7c647578155e3p-4, 0x1.77bf568fefb9fp-4, 0x1.7323db3cba38ep-4, 0x1.6e9203d7e1eb5p-4, 0x1.6a09d20bd0f87p-4, 0x1.658b45168e70cp-4, 0x1.61165c7688ca4p-4, 0x1.5cab178f0a452p-4, 0x1.58497575ca317p-4, 0x1.53f174f8ebac7p-4, 0x1.4fa31413f5d2bp-4, 0x1.4b5e5003c6687p-4, 0x1.472326109ab3cp-4, 0x1.42f193b81fa9bp-4, 0x1.3ec995f72d1eep-4, 0x1.3aab283680689p-4, 0x1.3696477be381ep-4, 0x1.328aee04be4c8p-4, 0x1.2e891715d08f5p-4, 0x1.2a90beeeaae85p-4, 0x1.26a1df6c25901p-4, 0x1.22bc731c2f754p-4, 0x1.1ee073b4c1cb6p-4, 0x1.1b0ddbfec24dcp-4, 0x1.1744a45ecb75fp-4, 0x1.1384c6796d7c5p-4, 0x1.0fce3a52250c6p-4, 0x1.0c20fa9400d36p-4, 0x1.087cfe18ad86dp-4, 0x1.04e23d4651735p-4, 0x1.0150b056c4af7p-4, 0x1.fb909db13dc71p-5, 0x1.f4921db7ae9cbp-5, 0x1.eda5d6397c602p-5, 0x1.e6cbab25c5dedp-5, 0x1.e0038fcf04c76p-5, 0x1.d94d6ff54158p-5, 0x1.d2a93a596fb3fp-5, 0x1.cc16d80afa14bp-5, 0x1.c59634b30c80dp-5, 0x1.bf273e09c928p-5, 0x1.b8c9dc6e3a28fp-5, 0x1.b27dfbfbaae21p-5, 0x1.ac438560976b8p-5, 0x1.a61a62f800298p-5, 0x1.a0027e700eb0ep-5, 0x1.99fbc0a0849d7p-5, 0x1.940612a8ea94fp-5, 0x1.8e215bb8af067p-5, 0x1.884d849b6d9b8p-5, 0x1.828a754f8bda5p-5, 0x1.7cd8159d327a2p-5, 0x1.77364b9dca80ep-5, 0x1.71a4fe224955p-5, 0x1.6c24134decb98p-5, 0x1.66b3732b3cfc3p-5, 0x1.615300e2c08dep-5, 0x1.5c02a5929067p-5, 0x1.56c2451f58439p-5, 0x1.5191c50771192p-5, 0x1.4c710a3e6838fp-5, 0x1.475ff98c5cb14p-5, 0x1.425e7900e5419p-5, 0x1.3d6c6ac96f8fbp-5, 0x1.3889b425fdfdep-5, 0x1.33b63a15dc047p-5, 0x1.2ef1e01e43effp-5, 0x1.2a3c88f3df6a1p-5, 0x1.259618a509f48p-5, 0x1.20fe731a1191bp-5, 0x1.1c757bf668311p-5, 0x1.17fb15da7879cp-5, 0x1.138f23d687ep-5, 0x1.0f318906382f3p-5, 0x1.0ae2278df07e7p-5, 0x1.06a0e3908f93fp-5, 0x1.026d9ed9e7d8cp-5, 0x1.fc9078fe4fc8dp-6, 0x1.f4613cacddaf1p-6, 0x1.ec4d4e0065eb5p-6, 0x1.e45471f0db862p-6, 0x1.dc766e003228dp-6, 0x1.d4b30644a7acfp-6, 0x1.cd09fce0e4d76p-6, 0x1.c57b18b91a38ep-6, 0x1.be061b760cf97p-6, 0x1.b6aacf5825216p-6, 0x1.af68f1c54672cp-6, 0x1.a8404b96484f5p-6, 0x1.a13099e6ed6e1p-6, 0x1.9a39a830eef36p-6, 0x1.935b3a505082cp-6, 0x1.8c9517b2643c2p-6, 0x1.85e6f8552766fp-6, 0x1.7f50ae2ae064p-6, 0x1.78d1f1783f52p-6, 0x1.726a927db448bp-6, 0x1.6c1a4c34403b6p-6, 0x1.65e0eaad99ffcp-6, 0x1.5fbe2ba0339b8p-6, 0x1.59b1da10b913ap-6, 0x1.53bbb9bcde7bfp-6, 0x1.4ddb8eb943e96p-6, 0x1.48111ea2184f6p-6, 0x1.425c307d32c97p-6, 0x1.3cbc86b1ac853p-6, 0x1.3731eb806a185p-6, 0x1.31bc22e99c618p-6, 0x1.2c5af13272193p-6, 0x1.270e2134f2f6ap-6, 0x1.21d576048c6e6p-6, 0x1.1cb0b823fe648p-6, 0x1.179faeb1ccf51p-6, 0x1.12a221b991fafp-6, 0x1.0db7d892e43bcp-6, 0x1.08e099dcfee01p-6, 0x1.041c305bbfca5p-6, 0x1.fed4c5b7cfcf3p-7, 0x1.f595f517f7abp-7, 0x1.ec7b826c6bf3dp-7, 0x1.e384fb052b195p-7, 0x1.dab1f85aaa769p-7, 0x1.d2021032bcb49p-7, 0x1.c974cfdb8058cp-7, 0x1.c109cadfaae85p-7, 0x1.b8c0a46c9a017p-7, 0x1.b098e608c242p-7, 0x1.a8922b8fe8e29p-7, 0x1.a0ac0e210d08p-7, 0x1.98e622bb083cep-7, 0x1.914003aeba948p-7, 0x1.89b950b44e651p-7, 0x1.8251a1ac2c0b5p-7, 0x1.7b088b1a510e3p-7, 0x1.73ddaa661a88p-7, 0x1.6cd0a9abfd24dp-7, 0x1.65e11861f98e8p-7, 0x1.5f0e94b22346cp-7, 0x1.5858c6180c82fp-7, 0x1.51bf4662d3116p-7, 0x1.4b41b99569141p-7, 0x1.44dfbc7bbe0fap-7, 0x1.3e98f6b0f77b8p-7, 0x1.386d06e04794cp-7, 0x1.325b8f84960dap-7, 0x1.2c6438fd860dfp-7, 0x1.2686a817b1367p-7, 0x1.20c27e6d61afbp-7, 0x1.1b176660414efp-7, 0x1.158506f2d1c81p-7, 0x1.100b05dc5fadbp-7, 0x1.0aa9119984cecp-7, 0x1.055edaf40dad4p-7, 0x1.002bf4edc6d2cp-7, 0x1.f62034edc211cp-8, 0x1.ec15f3b62f155p-8, 0x1.e2387a62da05cp-8, 0x1.d887269729b45p-8, 0x1.cf0154ff00b4cp-8, 0x1.c5a65629de202p-8, 0x1.bc75935bf5a0ap-8, 0x1.b36e7c7427f8dp-8, 0x1.aa90661f1b1f2p-8, 0x1.a1dab89c418b4p-8, 0x1.994cddad0305ep-8, 0x1.90e63de2d0758p-8, 0x1.88a642ea19e87p-8, 0x1.808c55bee4c43p-8, 0x1.78980c4f6013dp-8, 0x1.70c8710034685p-8, 0x1.691d70317789bp-8, 0x1.61962ea0ddec7p-8, 0x1.5a323171a3325p-8, 0x1.52f0e83c60cc6p-8, 0x1.4bd1cad6c0f7cp-8, 0x1.44d450a19508ep-8, 0x1.3df7f28a1cb1fp-8, 0x1.373c427695373p-8, 0x1.30a0a91fccdd4p-8, 0x1.2a24a85b047c3p-8, 0x1.23c7c4c43ad9cp-8, 0x1.1d89845e2a72dp-8, 0x1.17696388e8cdap-8, 0x1.1166f0999c91ap-8, 0x1.0b8199a51fa12p-8, 0x1.05b8ee6fdf6ap-8, 0x1.000c827961b7ap-8, 0x1.f4f7b7d595457p-9, 0x1.ea0d188488484p-9, 0x1.df5828ac189c1p-9, 0x1.d4d81c218d11p-9, 0x1.ca8c2b902e07bp-9, 0x1.c0734c4edbec7p-9, 0x1.b68cc92830c65p-9, 0x1.acd7b72c440aep-9, 0x1.a35335b5505b9p-9, 0x1.99fe852432fc3p-9, 0x1.90d8ce69d872dp-9, 0x1.87e138691b512p-9, 0x1.7f1713759ea08p-9, 0x1.76799d0c3c49ep-9, 0x1.6e07e567cf3a5p-9, 0x1.65c1609e7c61fp-9, 0x1.5da5422a7bef2p-9, 0x1.55b2da8710b6cp-9, 0x1.4de96d6ce8496p-9, 0x1.46484953535a1p-9, 0x1.3eceaaa36954dp-9, 0x1.377bddcb4486cp-9, 0x1.304f50a7ee069p-9, 0x1.29484699630fp-9, 0x1.2265d0f095341p-9, 0x1.1ba7982e52df1p-9, 0x1.150cdde6dc29p-9, 0x1.0e94f25155f6ep-9, 0x1.083f35706adb4p-9, 0x1.020b1d1d2eda9p-9, 0x1.f7eff97e43277p-10, 0x1.ec0ab82015633p-10, 0x1.e06515ff80a3cp-10, 0x1.d4fe165d642c1p-10, 0x1.c9d4ae9c438a1p-10, 0x1.bee7a60219e8dp-10, 0x1.b435aea4e11e1p-10, 0x1.a9bdf8bc605adp-10, 0x1.9f7f33795a2afp-10, 0x1.95787a22f922bp-10, 0x1.8ba8957e0ea2dp-10, 0x1.820e75729dc01p-10, 0x1.78a9386cca848p-10, 0x1.6f77bb1d48342p-10, 0x1.6678f20802512p-10, 0x1.5dabecf7ecf32p-10, 0x1.550fc91da5d4ap-10, 0x1.4ca3a0797bc8ap-10, 0x1.44664a1aafc2p-10, 0x1.3c58324f1ae1ap-10, 0x1.347680079094ap-10, 0x1.2cc18ef28924dp-10, 0x1.2538608189c61p-10, 0x1.1dda0bb1f24cdp-10, 0x1.16a5a626bfcd2p-10, 0x1.0f9a566347fd7p-10, 0x1.08b77f88422b5p-10, 0x1.01fc279eb7c1dp-10, 0x1.f6cee89552c33p-11, 0x1.e9f17a1edb1e4p-11, 0x1.dd5e7d9df5a3dp-11, 0x1.d114498d43f68p-11, 0x1.c51154e52b9p-11, 0x1.b953da5f94107p-11, 0x1.addb2562de31dp-11, 0x1.a2a50f407b8d5p-11, 0x1.97b14336fcb69p-11, 0x1.8cfdfe8b220d2p-11, 0x1.828a2c47be437p-11, 0x1.7854ad3a744fdp-11, 0x1.6e5bfb5dd1d52p-11, 0x1.649ec6c28a2b2p-11, 0x1.5b1be9989d49bp-11, 0x1.51d233974f6a7p-11, 0x1.48c06d7f48d42p-11, 0x1.3fe55d2c57101p-11, 0x1.373fe03999331p-11, 0x1.2ece21fee9f47p-11, 0x1.2690e5588125p-11, 0x1.1e8563111629fp-11, 0x1.16aaefa7e0346p-11, 0x1.0f01381dedc58p-11, 0x1.0785972eb09acp-11, 0x1.00389166396afp-11, 0x1.f23161268577cp-12, 0x1.e449ece26dcd1p-12, 0x1.d6b904ba2ca1bp-12, 0x1.c97d5f2868451p-12, 0x1.bc9554e4ffb1bp-12, 0x1.affe51dbe253cp-12, 0x1.a3b6a086ec04ap-12, 0x1.97bd235728b26p-12, 0x1.8c0ee382c983cp-12, 0x1.80ab4b375dd2ap-12, 0x1.758fdddf72934p-12, 0x1.6abb4b4d6ef7bp-12, 0x1.602cc085bd032p-12, 0x1.55e22734eaedcp-12, 0x1.4bd9cad53cfb5p-12, 0x1.4212b3756deep-12, 0x1.388b8b21b1818p-12, 0x1.2f423297e3632p-12, 0x1.26362e31d34c4p-12, 0x1.1d64e42ecdd44p-12, 0x1.14ce21025353ep-12, 0x1.0c706bc11d382p-12, 0x1.044aae35330fbp-12, 0x1.f8b585712d056p-13, 0x1.e93e0fbed5befp-13, 0x1.da31ff7ee74ccp-13, 0x1.cb89232fc51d6p-13, 0x1.bd3ff743363f2p-13, 0x1.af5986d14bc96p-13, 0x1.a1d26eb5c614cp-13, 0x1.94a73c4985133p-13, 0x1.87d53dafa1089p-13, 0x1.7b5b77eeb8c3p-13, 0x1.6f38b866b22b7p-13, 0x1.636983172e9bdp-13, 0x1.57ed4c7fa08ccp-13, 0x1.4cbf329da1dcbp-13, 0x1.41e0fb96c9533p-13, 0x1.374f80543f6abp-13, 0x1.2d0748dcdc973p-13, 0x1.23095db5033e2p-13, 0x1.19519225a5e7ep-13, 0x1.0fdf2e3aae6d3p-13, 0x1.06b09fd9a4562p-13, 0x1.fb8829261b51dp-14, 0x1.ea31699bddf49p-14, 0x1.d955484d75401p-14, 0x1.c8f51f84720bfp-14, 0x1.b90c181db0b5ep-14, 0x1.a99835195ae7bp-14, 0x1.9a9644420c19fp-14, 0x1.8c0291f4686b6p-14, 0x1.7ddaedf9102f3p-14, 0x1.701ef81a27a27p-14, 0x1.62c9bb9404f7ap-14, 0x1.55d86f9b22974p-14, 0x1.494ab3907b202p-14, 0x1.3d1c741844278p-14, 0x1.314a28d4cfdb8p-14, 0x1.25d31fee2385bp-14, 0x1.1ab48b5f8fa1fp-14, 0x1.0febec9d6afep-14, 0x1.05782348fabbfp-14, 0x1.f6aed9f00e2ap-15, 0x1.e30239d977691p-15, 0x1.d0064e7378317p-15, 0x1.bd943822c56d1p-15, 0x1.abb7d0127ab1dp-15, 0x1.9a6ad3c5d330fp-15, 0x1.89a7b0ea34838p-15, 0x1.796cfa0e9d6c4p-15, 0x1.69ba5eeccd255p-15, 0x1.5a864aae4a3a4p-15, 0x1.4bd40ab699229p-15, 0x1.3d9bc6785204ap-15, 0x1.2fd9e237f0cf2p-15, 0x1.228b0eebcdbedp-15, 0x1.15ad4a153fc0fp-15, 0x1.093de9ed8d3a9p-15, 0x1.fa741ccaf71p-16, 0x1.e33d4f1071074p-16, 0x1.cccee6a0fdc9dp-16, 0x1.b7339c3ff8133p-16, 0x1.a249f543752ecp-16, 0x1.8e10d57f3c867p-16, 0x1.7a9a6d31906abp-16, 0x1.67d3ec08f69d7p-16, 0x1.55bad11a261d7p-16, 0x1.4449b5396e521p-16, 0x1.33775db8364f1p-16, 0x1.2340ad5a8bc7cp-16, 0x1.13a2be9750e36p-16, 0x1.0498c6725bb5ep-16, 0x1.ec3e417a1afdfp-17, 0x1.d070d5011d34fp-17, 0x1.b5be1bc973d83p-17, 0x1.9be7cace69526p-17, 0x1.832cc1bd6ad79p-17, 0x1.6b704a7d627d9p-17, 0x1.54a0df5b725d6p-17, 0x1.3eb6294a058ffp-17, 0x1.29aa2cefdba8bp-17, 0x1.15895b20ab2c9p-17, 0x1.0239ef982dbdp-17, 0x1.df69704ed4915p-18, 0x1.bc055fa2c92f8p-18, 0x1.9a43f22d56faep-18, 0x1.79bf1214e458ap-18, 0x1.5abc1b246e7bfp-18, 0x1.3d3746266651cp-18, 0x1.21164d6b4365bp-18, 0x1.061cd71b0d0e8p-18, 0x1.d9070192811c2p-19, 0x1.a8340e84ce65dp-19, 0x1.79993801965c7p-19, 0x1.4d7251ba488c1p-19, 0x1.2387bd8aba1ebp-19, 0x1.f77aa266d496bp-20, 0x1.ac7602dcc2804p-20, 0x1.650dcb92b5af7p-20, 0x1.218f527eaccddp-20, 0x1.c3d8f89155524p-21, 0x1.4b1d6bbe0f704p-21, 0x1.b468fd3e78454p-22, 0x1.c0da7fa091aaep-23, 0x1.a8b27d4650f51p-26, -0x1.3a0b6ec64da36p-23, -0x1.4f2df540bfbd1p-22, -0x1.f2bce8a0fbb51p-22, -0x1.44b8fa9ff664fp-21, -0x1.8ac681f5c7f2ep-21, -0x1.cb88f1b2d72dfp-21, -0x1.0393bca7607fcp-20, -0x1.1ee9166a608bbp-20, -0x1.37d828b7fc9bp-20, -0x1.4e8ee91b01b8ep-20, -0x1.63b7df56c770ep-20, -0x1.759e6f67e1702p-20, -0x1.85bf9c87ecbbcp-20, -0x1.9426648132cecp-20, -0x1.a0bbc96e171b4p-20, -0x1.ab214cb0f50b9p-20, -0x1.b41987f37acc8p-20, -0x1.bb7e851d8d57ep-20, -0x1.c1971868fcfbp-20, -0x1.c548adbed242fp-20, -0x1.c77a340113c3bp-20, -0x1.c9255c3ad2375p-20, -0x1.c8f5f7452a855p-20, -0x1.c7d2db4986c28p-20, -0x1.c51a6d8a8b822p-20, -0x1.c13da57cae1f6p-20, -0x1.bc897bdc1f76ep-20, -0x1.b6491f4d7c0b7p-20, -0x1.af132f63e284dp-20, -0x1.a70f5c3a40a2cp-20, -0x1.9e1f13c5b2a3p-20, -0x1.946f753819fabp-20, -0x1.8a2fef93dbc19p-20, -0x1.7e9ef3634fdc4p-20, -0x1.727b85c62fcd9p-20, -0x1.65a811f823385p-20, -0x1.579c0d2b17b8bp-20, -0x1.4993f9734f976p-20, -0x1.3ad000e7e7ea7p-20, -0x1.2b754a747a356p-20, -0x1.1bd37714f4d49p-20, -0x1.0afe0bb9a372p-20, -0x1.f461bf522bd8ep-21, -0x1.d2796dfef92e6p-21, -0x1.ae90348c82d17p-21, -0x1.8ac4310eed623p-21, -0x1.65c29f6ab3eebp-21, -0x1.4054555bb52c4p-21, -0x1.1b2c0d8331bd3p-21, -0x1.e74208426d63ep-22, -0x1.9948d0d276afep-22, -0x1.4aa3c9241f87ap-22, -0x1.f62e9a21d8cafp-23, -0x1.547a9bc180d8ap-23, -0x1.652ac882889d6p-24, -0x1.0a15cf950e872p-27, 0x1.21fa2c8625afep-24, 0x1.3aaa6bb24cfdap-23, 0x1.e1804350d664ap-23, 0x1.42f979f472defp-22, 0x1.95cc9d1cfe7b6p-22, 0x1.e96e070710181p-22, 0x1.1ef2dc92a45e1p-21, 0x1.47d30034f566p-21, 0x1.71dc9067d24bdp-21, 0x1.9b4b6c763f8e3p-21, 0x1.c4c659c7000ccp-21, 0x1.eee81773ef325p-21, 0x1.0c026de4a0a16p-20, 0x1.2092486486e6ep-20, 0x1.349331b2ee4e1p-20, 0x1.49186b626ba31p-20, 0x1.5d66fb7fa35e6p-20, 0x1.7190bbf7b6892p-20, 0x1.85cc7236a6ad8p-20, 0x1.99662855b0abdp-20, 0x1.ad13aa49a6105p-20, 0x1.c044a3a02accap-20, 0x1.d3c1e5c5616d8p-20, 0x1.e776523c11622p-20, 0x1.fa3409a4b0c19p-20, 0x1.0692264dceb3dp-19, 0x1.0fc4669274d1fp-19, 0x1.1913941389cd5p-19, 0x1.224671b092db3p-19, 0x1.2b3abad1b57bdp-19, 0x1.342c792a6a37p-19, 0x1.3d08e6e78c335p-19, 0x1.45bbd499791d6p-19, 0x1.4e46c580d82f3p-19, 0x1.56b841a34374fp-19, 0x1.5f13c216237f4p-19, 0x1.675443d1c38a4p-19, 0x1.6f746029284abp-19, 0x1.776f2750009c5p-19, 0x1.7f4f4e440b58cp-19, 0x1.871c3c43d36b6p-19, 0x1.8e8d6fbdecf72p-19, 0x1.96402655b2dd1p-19, 0x1.9d981348d362cp-19, 0x1.a4dab9fef0d66p-19, 0x1.abf0ecd75a851p-19, 0x1.b2eeeedb0cefcp-19, 0x1.b9d155899f82ap-19, 0x1.c0262d30a0b61p-19, 0x1.c72464585b6c4p-19, 0x1.cdd71ee59f4f1p-19, 0x1.d458c636716e1p-19, 0x1.da579d570f09ap-19, 0x1.e031a75d3bf1bp-19, 0x1.e62cf121fa3c2p-19, 0x1.ec121641e0d5dp-19, 0x1.f1a2399fa3196p-19, 0x1.f743526f02f34p-19, 0x1.fcf29581491dep-19, 0x1.00f69c854943cp-18, 0x1.0382db6146774p-18, 0x1.060e4f430ae6p-18, 0x1.087e626e0f5dp-18, 0x1.0af13f6ac8954p-18, 0x1.0d5616226190ap-18, 0x1.0f96b6d48dabp-18, 0x1.11c5a6563b22dp-18, 0x1.13dec9e2d954bp-18, 0x1.15ec6181ecf35p-18, 0x1.17fb555640fc8p-18, 0x1.19e75f6fa5aebp-18, 0x1.1bc3bc40acd19p-18, 0x1.1d9976e25b435p-18, 0x1.1f5cf29f00891p-18, 0x1.2116e48292584p-18, 0x1.22bc2019c011bp-18, 0x1.2451b8e4b2917p-18, 0x1.25d8f6827da93p-18, 0x1.27522895136fdp-18, 0x1.28ba8b7d2d409p-18, 0x1.2a1e44bb4dbc5p-18, 0x1.2b626e769f4c8p-18, 0x1.2c91e73224fbp-18, 0x1.2dd89499b0c44p-18, 0x1.2ef6a9ddc886ap-18, 0x1.3009ae1eb108dp-18, 0x1.310bce2985ba4p-18, 0x1.321a233122269p-18, 0x1.32eee07c3a296p-18, 0x1.33c632bce472bp-18, 0x1.3487e08dfdf93p-18, 0x1.35626318728b3p-18, 0x1.3615c95fb1a52p-18, 0x1.36a6cd7271367p-18, 0x1.377cf23ec148dp-18, 0x1.37dbba7884f4fp-18, 0x1.386473af09e1dp-18, 0x1.38df52c060e61p-18, 0x1.393aa64b4618dp-18, 0x1.39a22c39048ecp-18, 0x1.39ed03de7f8eep-18, 0x1.3a3d0f19487f1p-18, 0x1.3a727269c1ae5p-18, 0x1.3a9ebc622bd29p-18, 0x1.3aba35fec5f5fp-18, 0x1.3ad3ac7114f88p-18, 0x1.3ade52dcf8dc4p-18, 0x1.3ae8e52fdec23p-18, 0x1.3aefe0e57a9ap-18, 0x1.3ad50c767fb7ap-18, 0x1.3ab4c1ab8f681p-18, 0x1.3a9495fecdb48p-18, 0x1.3a581cf686ca4p-18, 0x1.3a288b8d2c75ep-18, 0x1.39d769789ff49p-18, 0x1.399703d39cd1dp-18, 0x1.3934e8f60db77p-18, 0x1.38d439ee6ef18p-18, 0x1.386e920892b62p-18, 0x1.37fd02c3f6796p-18, 0x1.378185f97e09ap-18, 0x1.36fd2df941cd7p-18, 0x1.367aa3b5392ecp-18, 0x1.35cbfe127749fp-18, 0x1.3564fb03aedb5p-18, 0x1.34946f74906b9p-18, 0x1.33e8a9da40818p-18, 0x1.3334a74afbfd8p-18, 0x1.3276c56b43a3fp-18, 0x1.31abcf9f2eb72p-18, 0x1.30e3c8ecf20b5p-18, 0x1.3012bb11c9e9fp-18, 0x1.2f2e430b3df29p-18, 0x1.2e2ee70f7f311p-18, 0x1.2d6fbb2928046p-18, 0x1.2c84df2e3893fp-18, 0x1.2b928b7957d39p-18, 0x1.2a99a4efe457cp-18, 0x1.298bd4c098ffep-18, 0x1.287f8176c115cp-18, 0x1.276fdb346fa52p-18, 0x1.2664974e7576bp-18, 0x1.2577da97fcfe4p-18, 0x1.2423cdc2b1accp-18, 0x1.22faa74c7c5bbp-18, 0x1.21d683d84cd2p-18, 0x1.20a2d46fc5fbep-18, 0x1.1f81e99e32882p-18, 0x1.1e3eae11841e2p-18, 0x1.1cf83545c70e8p-18, 0x1.1bb6e7eeb48ap-18, 0x1.1a605451037b4p-18, 0x1.1918e563a3df4p-18, 0x1.17c68e5c15b4ep-18, 0x1.16684e21ee974p-18, 0x1.1520408180c26p-18, 0x1.13ca397364682p-18, 0x1.12363b5c7f70ep-18, 0x1.10f7a59ee2995p-18, 0x1.0f8ad6a9ffd01p-18, 0x1.0e18907aa004fp-18, 0x1.0ca7c17cce505p-18, 0x1.0b31218ae447ap-18, 0x1.09c5262d94ef6p-18, 0x1.083eb7dfc6a54p-18, 0x1.06b401de4a6c3p-18, 0x1.053cdbd3b1f3p-18, 0x1.03acfa0aa2796p-18, 0x1.022a4721d62ebp-18, 0x1.00a13d8b8d803p-18, 0x1.fe263ed854e74p-19, 0x1.fb0cfc73accecp-19, 0x1.f7e6b220e06ap-19, 0x1.f4d7c74ea0628p-19, 0x1.f16e2308f554fp-19, 0x1.ee56c882e620cp-19, 0x1.eb073a9846efdp-19, 0x1.e7f644d37f5e9p-19, 0x1.e4b0ef5403e78p-19, 0x1.e149b421dacdap-19, 0x1.de12b27839dbep-19, 0x1.dac599c073c53p-19, 0x1.d7881fc82e168p-19, 0x1.d419b1ef20a57p-19, 0x1.d0b3177f15e68p-19, 0x1.cd6f944cb5f67p-19, 0x1.ca1e2e431e5d1p-19, 0x1.c6aa1d6a13219p-19, 0x1.c35c8badf94b7p-19, 0x1.bff6686ffcdfdp-19, 0x1.bc7e1774213c8p-19, 0x1.b91c74fd2459ap-19, 0x1.b5afa8c184d1ap-19, 0x1.b24f27c056924p-19, 0x1.aef49a2d2db4cp-19, 0x1.ab7aadf72a915p-19, 0x1.a80d552b47166p-19, 0x1.a49ba4467f26p-19, 0x1.a11b28733691fp-19, 0x1.9dae2e252be5fp-19, 0x1.9a2b3d5e37fa1p-19, 0x1.96d82d47f085cp-19, 0x1.937d3eb0718b1p-19, 0x1.8fcfae443b62ep-19, 0x1.8c669c2be97fdp-19, 0x1.890413601ae11p-19, 0x1.856ba2763e8f2p-19, 0x1.82089918cbbdfp-19, 0x1.7e8bb5bd67d58p-19, 0x1.7b12b3cb9886p-19, 0x1.77afab3f149e1p-19, 0x1.743b9dad5ff13p-19, 0x1.70bfbe4fcb3fbp-19, 0x1.6d45e50a739d2p-19, 0x1.69d1cc562d3cap-19, 0x1.665bd36d6750cp-19, 0x1.62e995c3f52f9p-19, 0x1.5f6e81d40f494p-19, 0x1.5c10278def33ep-19, 0x1.58a2a967e8928p-19, 0x1.55255bb4a4be7p-19, 0x1.51d510610560bp-19, 0x1.4e67866cf2682p-19, 0x1.4aec4d88afa75p-19, 0x1.4782d80bc4ebdp-19, 0x1.442153f69bb85p-19, 0x1.40bfc8dd86d28p-19, 0x1.3d63efb63ccddp-19, 0x1.3a016c4e33526p-19, 0x1.36912a438141ep-19, 0x1.337ef203b04ep-19, 0x1.2fe600eb2052p-19, }}, 
      {{0x1.b7b8d316a8a42p-7, 0x1.42ee3f6b782ebp-6, 0x1.9d865ae2644eep-6, 0x1.b69be63fec0c1p-6, 0x1.73ef93bdfe9cdp-6, 0x1.a7273ff4b10c6p-7, -0x1.af72d0ab2af64p-10, -0x1.3df1af49e389dp-6, -0x1.3ba7704253be9p-5, -0x1.d48360b20d644p-5, -0x1.2dfaeede068c5p-4, -0x1.635282e69f20dp-4, -0x1.85e7d6f8c26abp-4, -0x1.92aca511a769bp-4, -0x1.87d166b26634cp-4, -0x1.64a2f1f395446p-4, -0x1.2960cd8c9981p-4, -0x1.ae229a1acc2ebp-5, -0x1.bd5afa81c5975p-6, 0x1.770b6c40f48b5p-9, 0x1.2f69f9a24231fp-5, 0x1.32068e524012bp-4, 0x1.d7fd4d0500a52p-4, 0x1.4373fb36fe1e4p-3, 0x1.9e12a5fd1c83dp-3, 0x1.fa98d45e39c11p-3, 0x1.2bec4cc9587f4p-2, 0x1.5a5dc0e93f2afp-2, 0x1.8822749333362p-2, 0x1.b4c99c7b5255dp-2, 0x1.dff027f4a94c9p-2, 0x1.04a04c7e4532ep-1, 0x1.18394cf871117p-1, 0x1.2aa52f17f903fp-1, 0x1.3bcbf039958e2p-1, 0x1.4b9b030b7d63bp-1, 0x1.5a04dc1b9e68bp-1, 0x1.67007ab0b8e06p-1, 0x1.7288f2aa68f43p-1, 0x1.7c9cf87547347p-1, 0x1.853e763da5c6ap-1, 0x1.8c72208c5b6d4p-1, 0x1.923f16857d90fp-1, 0x1.96ae8b774b7c9p-1, 0x1.99cb727d562d6p-1, 0x1.9ba230b9e4c2cp-1, 0x1.9c405c10e8ddbp-1, 0x1.9bb47e7973026p-1, 0x1.9a0ddbf38c725p-1, 0x1.975c3c313c524p-1, 0x1.93afbe3908ce3p-1, 0x1.8f18b24cf5314p-1, 0x1.89a775329190fp-1, 0x1.836c4ffd841ep-1, 0x1.7c7759d904195p-1, 0x1.74d860db9c3afp-1, 0x1.6c9ed7461119ep-1, 0x1.63d9c33f52e06p-1, 0x1.5a97b1820c97ep-1, 0x1.50e6a93946b6p-1, 0x1.46d42258acfccp-1, 0x1.3c6cfe7e0b3b9p-1, 0x1.31bd84440c86fp-1, 0x1.26d15c5149284p-1, 0x1.1bb39029d64dep-1, 0x1.106e89ee257dap-1, 0x1.050c150784b4bp-1, 0x1.f32abfbb9765p-2, 0x1.dc25fc556ed48p-2, 0x1.c519d8b70a4a2p-2, 0x1.ae1526a488138p-2, 0x1.97259a5a03561p-2, 0x1.8057d40231449p-2, 0x1.69b76a7524fa5p-2, 0x1.534ef692f3408p-2, 0x1.3d281da0dd1c3p-2, 0x1.274b9ddeed5cdp-2, 0x1.11c158773561dp-2, 0x1.f920bd5575cb3p-3, 0x1.cf7df6dbfe7ebp-3, 0x1.a6a57f4673121p-3, 0x1.7ea11a282f38bp-3, 0x1.577940375256bp-3, 0x1.3135379b397a2p-3, 0x1.0bdb245da6bdep-3, 0x1.cee03d3388adp-4, 0x1.87f087ba63533p-4, 0x1.42ed9208336b3p-4, 0x1.ffb8304f2e30cp-5, 0x1.7d7e8b288a5b9p-5, 0x1.fe63606529ef3p-6, 0x1.09a4e76671e92p-6, 0x1.cbe7bf6e4810ep-10, -0x1.90af0d161f8a7p-7, -0x1.a5a8d2b160441p-6, -0x1.3da2656bdf31bp-5, -0x1.a49f153843574p-5, -0x1.03eaaca3a1196p-4, -0x1.33a8b5eec8f8bp-4, -0x1.61905f6ecf358p-4, -0x1.8da8eb79a5ed6p-4, -0x1.b7fa156f1e9a6p-4, -0x1.e08c025e8672cp-4, -0x1.03b399e79ca97p-3, -0x1.164a3c760360dp-3, -0x1.280e71ee69be1p-3, -0x1.3904de128dae6p-3, -0x1.49323b01df6c7p-3, -0x1.589b53e4e444ep-3, -0x1.67450018eec2ep-3, -0x1.75341fe68a395p-3, -0x1.826d97ab59b48p-3, -0x1.8ef64d1b5c862p-3, -0x1.9ad324188c96dp-3, -0x1.a608fb6d778a5p-3, -0x1.b09caa8a0e862p-3, -0x1.ba92ff035e851p-3, -0x1.c3f0ba39e2327p-3, -0x1.ccba9051e72acp-3, -0x1.d4f525c2fb00cp-3, -0x1.dca50dcba5e65p-3, -0x1.e3cec9e913c66p-3, -0x1.ea76c838c9614p-3, -0x1.f0a161cb8968fp-3, -0x1.f652db6011833p-3, -0x1.fb8f6370151bbp-3, -0x1.002d88ceea9ebp-2, -0x1.025cf3a8710dbp-2, -0x1.0457e72958947p-2, -0x1.06204c0d24b8ep-2, -0x1.07b7ff9bf567dp-2, -0x1.0920d315a971dp-2, -0x1.0a5c8b77e7185p-2, -0x1.0b6ce1d4d7976p-2, -0x1.0c5383c2dd71ap-2, -0x1.0d12127d2fc2ep-2, -0x1.0daa236274556p-2, -0x1.0e1d409a86955p-2, -0x1.0e6ce8addbdbfp-2, -0x1.0e9a8e5e7e98p-2, -0x1.0ea799918750bp-2, -0x1.0e956736112cep-2, -0x1.0e654944eebe2p-2, -0x1.0e1886e7f222dp-2, -0x1.0db05d16e89d5p-2, -0x1.0d2dfeb59e679p-2, -0x1.0c92946542cc8p-2, -0x1.0bdf3d027ba97p-2, -0x1.0b150e1cad818p-2, -0x1.0a3513f9ed482p-2, -0x1.094051a7cc59cp-2, -0x1.0837c1512d8ffp-2, -0x1.071c54d233f4cp-2, -0x1.05eef5a8d079ap-2, -0x1.04b0850d474cbp-2, -0x1.0361dc3e00dd8p-2, -0x1.0203cd2149e96p-2, -0x1.0097223033341p-2, -0x1.fe393ce24238p-3, -0x1.fb29fc0f9b932p-3, -0x1.f801ecdc98344p-3, -0x1.f4c26d4fdef3bp-3, -0x1.f16cce6cc4805p-3, -0x1.ee0254f13def2p-3, -0x1.ea8439d36be5bp-3, -0x1.e6f3aae06158dp-3, -0x1.e351caa4908ccp-3, -0x1.df9fb0bdd9e9ap-3, -0x1.dbde6a7fa9a3fp-3, -0x1.d80efb74953d1p-3, -0x1.d4325d82b1619p-3, -0x1.d049811d876e1p-3, -0x1.cc554d960f388p-3, -0x1.c856a1ae04b5ep-3, -0x1.c44e53dad501bp-3, -0x1.c03d328b56851p-3, -0x1.bc24042ce4f17p-3, -0x1.b803879dfe612p-3, -0x1.b3dc748a59cp-3, -0x1.afaf7bc4134bap-3, -0x1.ab7d474f80308p-3, -0x1.a7467a7e50d0cp-3, -0x1.a30bb250ab677p-3, -0x1.9ecd85e2117d6p-3, -0x1.9a8c8670221adp-3, -0x1.96493faab1782p-3, -0x1.9204378d51c45p-3, -0x1.8dbdeef90e9fdp-3, -0x1.8976e1a6e6f7bp-3, -0x1.852f868c34f76p-3, -0x1.80e84ffa8b87bp-3, -0x1.7ca1ab8f956c2p-3, -0x1.785c0272c23f6p-3, -0x1.7417b9a3cc297p-3, -0x1.6fd53218e0348p-3, -0x1.6b94c8e13715fp-3, -0x1.6756d7347d598p-3, -0x1.631bb275170afp-3, -0x1.5ee3ac9cb600cp-3, -0x1.5aaf14268a1ap-3, -0x1.567e3443ca77dp-3, -0x1.5251550770476p-3, -0x1.4e28bb5a62433p-3, -0x1.4a04a924e0636p-3, -0x1.45e55d688caafp-3, -0x1.41cb1452307e4p-3, -0x1.3db60783606c9p-3, -0x1.39a66de16fc3dp-3, -0x1.359c7be2be03bp-3, -0x1.31986378e63a1p-3, -0x1.2d9a543e5cb44p-3, -0x1.29a27b716117ap-3, -0x1.25b104401553dp-3, -0x1.21c617a2bd5ebp-3, -0x1.1de1dc9208269p-3, -0x1.1a0477e38b0cfp-3, -0x1.162e0c919a87cp-3, -0x1.125ebba9b3693p-3, -0x1.0e96a46b8d2e4p-3, -0x1.0ad5e453d503ap-3, -0x1.071c974a58345p-3, -0x1.036ad7689d685p-3, -0x1.ff817a680bc06p-4, -0x1.f83cbf5361ce7p-4, -0x1.f107a87a525afp-4, -0x1.e9e25dfe1fce5p-4, -0x1.e2cd05197e70fp-4, -0x1.dbc7c0508f483p-4, -0x1.d4d2af87a0dc7p-4, -0x1.cdedf00d0f388p-4, -0x1.c7199cb19b1p-4, -0x1.c055cdac9bf3dp-4, -0x1.b9a299192734fp-4, -0x1.b30012e5461f8p-4, -0x1.ac6e4c6a5a3dcp-4, -0x1.a5ed557027165p-4, -0x1.9f7d3b2a1cdf3p-4, -0x1.991e093d0ffaap-4, -0x1.92cfc8b061961p-4, -0x1.8c92817efce2ap-4, -0x1.866639427f3f3p-4, -0x1.804af44896db5p-4, -0x1.7a40b49fc402p-4, -0x1.74477b322b52fp-4, -0x1.6e5f46f006863p-4, -0x1.6888158bb46e2p-4, -0x1.62c1e318549dcp-4, -0x1.5d0caa1a536ecp-4, -0x1.576863b8e4baep-4, -0x1.51d5082b1b74ep-4, -0x1.4c528dd473b24p-4, -0x1.46e0ea32e5644p-4, -0x1.4180111aa70a4p-4, -0x1.3c2ff5c8fd332p-4, -0x1.36f08a0d5217bp-4, -0x1.31c1be8217896p-4, -0x1.2ca382e14ccefp-4, -0x1.2795c5e593368p-4, -0x1.22987533141e9p-4, -0x1.1dab7d8d1f70cp-4, -0x1.18cecaf16499ap-4, -0x1.1402482919a28p-4, -0x1.0f45df7d77227p-4, -0x1.0a997a526d892p-4, -0x1.05fd0111cea4fp-4, -0x1.01705bd92e164p-4, -0x1.f9e6e31397affp-5, -0x1.f10c51a0d542fp-5, -0x1.e850ced713c72p-5, -0x1.dfb4253bdd5c1p-5, -0x1.d7361dfac5ad2p-5, -0x1.ced68142ce6dfp-5, -0x1.c695161d18b03p-5, -0x1.be71a2abf91c1p-5, -0x1.b66bebe9dedc4p-5, -0x1.ae83b608fec14p-5, -0x1.a6b8c4bc558bap-5, -0x1.9f0ad9f750e41p-5, -0x1.9779b7d70350bp-5, -0x1.90051f52f86e5p-5, -0x1.88acd0856df97p-5, -0x1.81708b60992d8p-5, -0x1.7a500f024e9f7p-5, -0x1.734b1a04de9d1p-5, -0x1.6c616a8bd1022p-5, -0x1.6592bddb749dap-5, -0x1.5eded16942661p-5, -0x1.5845621122c3dp-5, -0x1.51c62c1627b17p-5, -0x1.4b60ebcd1f007p-5, -0x1.45155cb9ef519p-5, -0x1.3ee33aa46c71ep-5, -0x1.38ca40d488e1ap-5, -0x1.32ca2ab5a2d8bp-5, -0x1.2ce2b2db825ap-5, -0x1.271394828705bp-5, -0x1.215c8a4a39d68p-5, -0x1.1bbd4f25d1c87p-5, -0x1.16359de73255bp-5, -0x1.10c53103cb25cp-5, -0x1.0b6bc36a3f90fp-5, -0x1.06290f826c15ap-5, -0x1.00fcd0c746f06p-5, -0x1.f7cd82648d8dcp-6, -0x1.edcd392a94a42p-6, -0x1.e3f83b1ce31d9p-6, -0x1.da4dff9d24972p-6, -0x1.d0cdfd6b9abefp-6, -0x1.c777acc2b10fbp-6, -0x1.be4a852ee74dfp-6, -0x1.b545fff2a718ep-6, -0x1.ac6994dd844aap-6, -0x1.a3b4bdf708c02p-6, -0x1.9b26f3f34387bp-6, -0x1.92bfb24ccb265p-6, -0x1.8a7e73903afb3p-6, -0x1.8262b3f67fad6p-6, -0x1.7a6bf0794a156p-6, -0x1.7299a70377e0bp-6, -0x1.6aeb5645924f2p-6, -0x1.63607e6f48366p-6, -0x1.5bf89e9fa1aa2p-6, -0x1.54b337e66b3f9p-6, -0x1.4d8fcbbb1614dp-6, -0x1.468ddac0c97ffp-6, -0x1.3face8c935b9ap-6, -0x1.38ec7901be2c6p-6, -0x1.324c108e935bep-6, -0x1.2bcb3602efc63p-6, -0x1.256971753a65ep-6, -0x1.1f264c5a8d77cp-6, -0x1.190150e67147ap-6, -0x1.12fa0a62b6be5p-6, -0x1.0d10046750612p-6, -0x1.0742cadb2ffb6p-6, -0x1.0191eaa94f796p-6, -0x1.f7f9e0b058272p-7, -0x1.ed06d46e8d934p-7, -0x1.e249d072888cap-7, -0x1.d7c1f7476bbb9p-7, -0x1.cd6e6ea4a1a4dp-7, -0x1.c34e61a94a05cp-7, -0x1.b960fde69475dp-7, -0x1.afa5745148023p-7, -0x1.a61af78f89ac7p-7, -0x1.9cc0bb709d71dp-7, -0x1.9395f44cccb8cp-7, -0x1.8a99d610626f2p-7, -0x1.81cb951e9b79p-7, -0x1.792a67c5f0b65p-7, -0x1.70b5855c11522p-7, -0x1.686c2880fe39bp-7, -0x1.604d90ad674efp-7, -0x1.5859002ad6433p-7, -0x1.508dc1555054ep-7, -0x1.48eb21447949dp-7, -0x1.417072a6aefb4p-7, -0x1.3a1d09f004a46p-7, -0x1.32f03d131ca37p-7, -0x1.2be961a30f8e2p-7, -0x1.2507caf4d5bcbp-7, -0x1.1e4aca871b648p-7, -0x1.17b1b098857f5p-7, -0x1.113bcc6ace9aep-7, -0x1.0ae86ff8eb96ap-7, -0x1.04b6f251db901p-7, -0x1.fd4d5f8bc397bp-8, -0x1.f16e1bab206f8p-8, -0x1.e5cefb442cea7p-8, -0x1.da6ee6520cb1ep-8, -0x1.cf4cd0d7c5b03p-8, -0x1.c467b3e36f5bbp-8, -0x1.b9be807803c75p-8, -0x1.af50216da988bp-8, -0x1.a51b6fc5ad934p-8, -0x1.9b1f3ad83ed8bp-8, -0x1.915a4afcbb4c9p-8, -0x1.87cb69babcba7p-8, -0x1.7e716b185f516p-8, -0x1.754b35ab3bda3p-8, -0x1.6c57c7b24512bp-8, -0x1.6396386f5f7c7p-8, -0x1.5b05b4d662c4fp-8, -0x1.52a570a6344ffp-8, -0x1.4a74b12006d6dp-8, -0x1.4272994037dcfp-8, -0x1.3a9e59426d162p-8, -0x1.32f6ff95f938ap-8, -0x1.2b7b8e4a0cfb5p-8, -0x1.242afdaaae5efp-8, -0x1.1d0445595f688p-8, -0x1.16066927428f8p-8, -0x1.0f307d8755946p-8, -0x1.0881b1ffd74ccp-8, -0x1.01f94a2ff0d0ap-8, -0x1.f72d3a8e2b5aep-9, -0x1.eab217b4a302cp-9, -0x1.de7fe9f8de54p-9, -0x1.d2955eff83ad9p-9, -0x1.c6f10a374eab1p-9, -0x1.bb9169e53469p-9, -0x1.b074e422c9abfp-9, -0x1.a599e0fd8a123p-9, -0x1.9afeccc6a76b7p-9, -0x1.90a23132fbabap-9, -0x1.8682b2dbdf027p-9, -0x1.7c9f1b856ccd1p-9, -0x1.72f65abcb905p-9, -0x1.6987690b6fb04p-9, -0x1.605146adeb3p-9, -0x1.5752e0ba59267p-9, -0x1.4e8b065a027cbp-9, -0x1.45f8660890002p-9, -0x1.3d999925e7ad5p-9, -0x1.356d330c5f335p-9, -0x1.2d71d33f6a5edp-9, -0x1.25a641ea63f9fp-9, -0x1.1e096ec2c2018p-9, -0x1.169a7721bbeebp-9, -0x1.0f5899287487cp-9, -0x1.0843277462f4ap-9, -0x1.0159785092d6bp-9, -0x1.f535b6d908232p-10, -0x1.e80d1bf29058dp-10, -0x1.db376913708dbp-10, -0x1.ceb2ae4ff1326p-10, -0x1.c27cccea69362p-10, -0x1.b6934f127ba45p-10, -0x1.aaf3c2f350a47p-10, -0x1.9f9bb64eeb7a2p-10, -0x1.9488f167fb7d7p-10, -0x1.89b998ed88ca1p-10, -0x1.7f2c47da34972p-10, -0x1.74dfe568efe28p-10, -0x1.6ad3a4b8673f5p-10, -0x1.6106b37e4b3d1p-10, -0x1.57782dfbc9582p-10, -0x1.4e27020a08979p-10, -0x1.4511eb66fa1e6p-10, -0x1.3c3780b81ef21p-10, -0x1.33965c1ae9a7fp-10, -0x1.2b2d195fb6d2dp-10, -0x1.22fa5a4675d2ep-10, -0x1.1afcc5d0167dbp-10, -0x1.1332f442bff95p-10, -0x1.0b9b5fedcdbc9p-10, -0x1.043469bc5ddeap-10, -0x1.f9f8e104bf4a8p-11, -0x1.ebe3e8597b8c4p-11, -0x1.de2776a288df4p-11, -0x1.d0c1d143a3ba8p-11, -0x1.c3b14dd338621p-11, -0x1.b6f5386e51c9ap-11, -0x1.aa8bdb246ba68p-11, -0x1.9e73925736379p-11, -0x1.92aa6ac25ffa8p-11, -0x1.872e7752fa31fp-11, -0x1.7bfe1daaadd5cp-11, -0x1.711836d921b74p-11, -0x1.667be218d29fep-11, -0x1.5c282c9851974p-11, -0x1.521bafed839ccp-11, -0x1.48544de4b8aep-11, -0x1.3ecf351c47de6p-11, -0x1.3589309ddf123p-11, -0x1.2c7f2c211e40bp-11, -0x1.23ae93fda4f22p-11, -0x1.1b15bc2e7fb13p-11, -0x1.12b3a82a15c1ap-11, -0x1.0a87c7480d024p-11, -0x1.02919064d355bp-11, -0x1.f5a0947b0cb3ep-12, -0x1.e685f49b7cd8ap-12, -0x1.d7d1589b3ffc6p-12, -0x1.c981411fa0ceap-12, -0x1.bb9482e963cfcp-12, -0x1.ae09dc978accep-12, -0x1.a0df7103b742ap-12, -0x1.941266394f995p-12, -0x1.879f3cd2c4ab2p-12, -0x1.7b8140a894711p-12, -0x1.6fb549d89a72ep-12, -0x1.64383f7ebffe3p-12, -0x1.59079dc8dac8dp-12, -0x1.4e222387f877p-12, -0x1.438556b9114f8p-12, -0x1.392f2a3fe81edp-12, -0x1.2f1d8ba8abc42p-12, -0x1.254f174e32ae3p-12, -0x1.1bc35f2506a8p-12, -0x1.127a86e70246p-12, -0x1.09747be9a8217p-12, -0x1.00b073bd09112p-12, -0x1.f05928ced47edp-13, -0x1.dfcc3b708e93fp-13, -0x1.cfb40d10d56d7p-13, -0x1.c00b329a5a62p-13, -0x1.b0cd0e0a0783p-13, -0x1.a1f619e187a88p-13, -0x1.938400f6751bbp-13, -0x1.85759c1f9e32dp-13, -0x1.77c9e43812be5p-13, -0x1.6a7f64d8ba24p-13, -0x1.5d93a40ab6014p-13, -0x1.5103e078c7db2p-13, -0x1.44cd7a029cee4p-13, -0x1.38eebf0220118p-13, -0x1.2d66335d9d735p-13, -0x1.223212f051d45p-13, -0x1.175005ce0f93dp-13, -0x1.0cbdc4dc59fap-13, -0x1.0278fd19c9769p-13, -0x1.f100ea5d04eb6p-14, -0x1.dda149ac4fa75p-14, -0x1.cac89fc75d266p-14, -0x1.b8712f07240c2p-14, -0x1.a6977d0a4db8p-14, -0x1.953bcb27a11d9p-14, -0x1.845f245a6fb67p-14, -0x1.73ff9fe560b05p-14, -0x1.64191524a56b8p-14, -0x1.54a5c2735369ap-14, -0x1.45a32685f3c32p-14, -0x1.370e64a9e1fa5p-14, -0x1.28e8a91c29b13p-14, -0x1.1b3210efbad7bp-14, -0x1.0de8c30383204p-14, -0x1.0108cd41b9eafp-14, -0x1.e919f31d16cccp-15, -0x1.d0df49e748b1fp-15, -0x1.b957643ae0436p-15, -0x1.a27b55bbff752p-15, -0x1.8c49fc0f4846ap-15, -0x1.76c0d4424d356p-15, -0x1.61d8fb2828a75p-15, -0x1.4d8ab807a352cp-15, -0x1.39d290efa1c13p-15, -0x1.26b1f9d43469dp-15, -0x1.1429ad0feebfp-15, -0x1.0235dfd39b9b7p-15, -0x1.e19e0554777fp-16, -0x1.bfdf90f8bf59ep-16, -0x1.9f2de9a57fea9p-16, -0x1.7f85241fc808ep-16, -0x1.60dccebe54a17p-16, -0x1.432a8dd213a39p-16, -0x1.266662500336ap-16, -0x1.0a8b27f24451ep-16, -0x1.df2e0dd5000c8p-17, -0x1.ab1107adc7257p-17, -0x1.78be2cb7c8b5bp-17, -0x1.480e980a36d46p-17, -0x1.1901b4cb2919cp-17, -0x1.d6d58000b24aep-18, -0x1.7e775bd107215p-18, -0x1.28ecb562aee42p-18, -0x1.ac74c681f2d49p-19, -0x1.0c9fa8270337p-19, -0x1.c8b8ffb84c036p-21, 0x1.177985a56155fp-22, 0x1.6599149a9815p-20, 0x1.3d826984ee192p-19, 0x1.c3362ec985de2p-19, 0x1.2210d31310547p-18, 0x1.60417eb60f2e7p-18, 0x1.9c435b52c2b0bp-18, 0x1.d6248bb8595ap-18, 0x1.06f8580446894p-17, 0x1.21dcd55f04aebp-17, 0x1.3bc2584e06516p-17, 0x1.549e5f35fc283p-17, 0x1.6c86210dc0f3fp-17, 0x1.837530057991p-17, 0x1.99711a79d4b22p-17, 0x1.ae864e2ef67f7p-17, 0x1.c2c64b664a509p-17, 0x1.d63e733258e1bp-17, 0x1.e8f09eafde463p-17, 0x1.fad6eafcbd3fbp-17, 0x1.05fae5d217465p-16, 0x1.0e2c76173230dp-16, 0x1.1603f78cd98e4p-16, 0x1.1d799ed88edbp-16, 0x1.2493c55b8f145p-16, 0x1.2b59b42e77077p-16, 0x1.31ce25ce050e9p-16, 0x1.37f43854b2c14p-16, 0x1.3dcd34bed6e0ep-16, 0x1.43591a7a7b3ddp-16, 0x1.489b1a14761a5p-16, 0x1.4d95cc8215836p-16, 0x1.52486246d5971p-16, 0x1.56b5f30cf66f2p-16, 0x1.5ae0d8bd059d3p-16, 0x1.5ec8a51f622f6p-16, 0x1.626f8273ed462p-16, 0x1.65d989d489242p-16, 0x1.69087550e215ap-16, 0x1.6bff7b650b764p-16, 0x1.6ebce75f99356p-16, 0x1.7142e390f68dfp-16, 0x1.7393381aee723p-16, 0x1.75afc75478113p-16, 0x1.7798f264c5002p-16, 0x1.79509887c4508p-16, 0x1.7adb33c743e7p-16, 0x1.7c3759e765fb6p-16, 0x1.7d659d53b24p-16, 0x1.7e68b006dc477p-16, 0x1.7f416c1482d81p-16, 0x1.7ff10035ca8d8p-16, 0x1.807b864222b0ep-16, 0x1.80de454165759p-16, 0x1.81162113fd768p-16, 0x1.812dd541ad1afp-16, 0x1.8121607de2827p-16, 0x1.80f24540c039cp-16, 0x1.80a10baa95107p-16, 0x1.802e707223047p-16, 0x1.7f9c1b8860833p-16, 0x1.7eec1ec728e29p-16, 0x1.7e1e933566c46p-16, 0x1.7d329b97fbd64p-16, 0x1.7c30a06e1c7dap-16, 0x1.7b1061c05973bp-16, 0x1.79d5b43d0ef5bp-16, 0x1.7880b3f3e90ffp-16, 0x1.7712219df3aa6p-16, 0x1.758c85cc8d26p-16, 0x1.73f0f1ce1abbdp-16, 0x1.72417736e99adp-16, 0x1.707abde0406bp-16, 0x1.6e9e383c6242p-16, 0x1.6caec867c1457p-16, 0x1.6aaaf95e856c2p-16, 0x1.6895fbc79580fp-16, 0x1.666e04f7a88dap-16, 0x1.6434bbee4aa41p-16, 0x1.61eb60dfca9efp-16, 0x1.5f9081eabcce4p-16, 0x1.5d264f3168dfbp-16, 0x1.5aad811e09b66p-16, 0x1.5825a7212ba4ep-16, 0x1.558f7ada20b89p-16, 0x1.52ece14dc9acdp-16, 0x1.503c909ab478ep-16, 0x1.4d80c29e8399bp-16, 0x1.4ab8ec17281e3p-16, 0x1.47e47161afcbbp-16, 0x1.4505b88199d03p-16, 0x1.421d07dffcefap-16, 0x1.3f2a8eb334db3p-16, 0x1.3c2ee9299600dp-16, 0x1.3929082c38a18p-16, 0x1.361a8a7375ab5p-16, 0x1.3303e5a2a14p-16, 0x1.2fe660bd1fd96p-16, 0x1.2cc040154be74p-16, 0x1.2993dd429b303p-16, 0x1.265fee2266cefp-16, 0x1.2323e0fe361dp-16, 0x1.1fe663f52377p-16, 0x1.1ca1142b2126bp-16, 0x1.1956fc3a755d6p-16, 0x1.1607f01ee7042p-16, 0x1.12b3f518644b6p-16, 0x1.0f5c2e4e73a7bp-16, 0x1.0c0074a8d7bdbp-16, 0x1.089a3df939c42p-16, 0x1.053b63adc2bcdp-16, 0x1.01d50af1011aap-16, 0x1.fcd8f57045a41p-17, 0x1.f6011656f314fp-17, 0x1.ef2496a9d0b1ep-17, 0x1.e849b4d238ab7p-17, 0x1.e164a8ffd99a2p-17, 0x1.da7f27528ab46p-17, 0x1.d3985890eeb3ep-17, 0x1.ccaed6b4a21f5p-17, 0x1.c5c22b851f6cap-17, 0x1.bed6464a8d83ep-17, 0x1.b7eb6a8ece2a7p-17, 0x1.b1021b5c63946p-17, 0x1.aa1375f4167ap-17, 0x1.a327d4086fb6cp-17, 0x1.9c3ec9b244c62p-17, 0x1.9554d59455841p-17, 0x1.8e6fd6b158cebp-17, 0x1.878c2076918f6p-17, 0x1.80a9aee70ccadp-17, 0x1.79cb3f19f74c3p-17, 0x1.72f25ffeb991bp-17, 0x1.6c1d2f63695d1p-17, 0x1.654b94d64d74bp-17, 0x1.5e7f8c1106d5dp-17, 0x1.57b5cb4fd4a12p-17, 0x1.50f009bd9713dp-17, 0x1.4a32c67343fa3p-17, 0x1.437b02b6e3b5cp-17, 0x1.3cc772784bef3p-17, 0x1.361acc7d93f9p-17, 0x1.2f75b535c9599p-17, 0x1.28d77819a2c26p-17, 0x1.223fef2dd308bp-17, 0x1.1baf859d80d03p-17, 0x1.1526d6595bd1dp-17, 0x1.0ea618a41478cp-17, 0x1.082d8d2841edfp-17, 0x1.01bcea3b53f92p-17, 0x1.f6abf4c703728p-18, 0x1.e9eb4201bd638p-18, 0x1.dd3e583e78a23p-18, 0x1.d0a463218b402p-18, 0x1.c41d48e1d5bfep-18, 0x1.b7a7d19009a5ap-18, 0x1.ab45bd6274b2bp-18, 0x1.9ee0c8b3a0612p-18, 0x1.92b9ff7f75fcfp-18, 0x1.86a265eca6ea7p-18, 0x1.7a9ebddab65d5p-18, 0x1.6e9743c9efb93p-18, 0x1.62a483cf6a45ap-18, 0x1.56d3b543053b4p-18, 0x1.4b16bfe0ade7ap-18, 0x1.3f72e5a76f41p-18, 0x1.33e25cc069c29p-18, 0x1.28645577e2ddep-18, 0x1.1d08aa8af0dd1p-18, 0x1.11bec072b220dp-18, 0x1.068ab4bda87c8p-18, 0x1.f6dfb2c754767p-19, 0x1.e0cf09e6ddea3p-19, 0x1.caec30ef3f291p-19, 0x1.b5430ef4e4f7p-19, 0x1.9fcbab629f0bep-19, 0x1.8a85a8d647284p-19, 0x1.756e4f4120f83p-19, 0x1.60838f6c7838cp-19, 0x1.4bceecb7617a7p-19, 0x1.374a42ab1c724p-19, 0x1.22f9218486484p-19, 0x1.0ed53f5f24e94p-19, 0x1.f5d053ad7770fp-20, 0x1.ce57117796398p-20, 0x1.a744de76d2ca3p-20, 0x1.8098bc4e67675p-20, 0x1.5a50e41ae92d3p-20, 0x1.346e96e0f9f0fp-20, 0x1.0eef62dde780fp-20, 0x1.d3c69f475747dp-21, 0x1.8a73c1bc3f15ep-21, 0x1.41d44c1c4a483p-21, 0x1.f42d98d1272c5p-22, 0x1.6656f72d90f4cp-22, 0x1.b433f309ce92ep-23, 0x1.4027d49f9c534p-24, -0x1.ccde76fe5460fp-25, -0x1.81c69bed1acebp-23, -0x1.46833acca4118p-22, -0x1.cad6413196c1fp-22, -0x1.26ad0d833f699p-21, -0x1.671452e2b70f1p-21, -0x1.a60efd6e815aap-21, -0x1.e5954d4e7d391p-21, -0x1.11d08cf4f0d07p-20, -0x1.307071d9195a7p-20, -0x1.4ea52852c9552p-20, -0x1.6c784726c0912p-20, -0x1.89d9fefa9f87bp-20, -0x1.a6e012fdaf5a1p-20, -0x1.c371dc28d410dp-20, -0x1.df7ccd4f50bedp-20, -0x1.fb7250427034bp-20, -0x1.0b6a20ea3af04p-19, -0x1.18f076c423617p-19, -0x1.264ea60ebc30dp-19, -0x1.3362a2481193ap-19, -0x1.4048fc45f5b44p-19, -0x1.4cff6296b4a16p-19, -0x1.59877ca896e45p-19, -0x1.65d9c8b314812p-19, -0x1.720090aab4a7ap-19, -0x1.7deb7fb9dc16fp-19, -0x1.89b411f9dfd26p-19, -0x1.9540b60bc948bp-19, -0x1.a0a00d3323d6bp-19, -0x1.abd02daaecbafp-19, -0x1.b6cf5921b49dap-19, -0x1.c19e34a176d0ep-19, -0x1.cc3d1d22d4a0dp-19, -0x1.d6af459cd1eb8p-19, -0x1.e0ed066a0e50ep-19, -0x1.ead735dc0b02dp-19, -0x1.f4dfa52c2d035p-19, -0x1.fe9275610b3d6p-19, -0x1.040bf6edcd40fp-18, -0x1.08b759c19401fp-18, -0x1.0d4b159393e1p-18, -0x1.11c99ae0c6972p-18, -0x1.1631592f9b61fp-18, -0x1.1a81b7c6171dp-18, -0x1.1ed6a54912e99p-18, -0x1.22e256ae247dap-18, -0x1.26f0e67262893p-18, -0x1.2aea5ac4c285ep-18, -0x1.2ece229a28771p-18, -0x1.3296b7c0d1779p-18, -0x1.364dbc3e61f41p-18, -0x1.39ef5fefb0d86p-18, -0x1.3d81014d9ccf3p-18, -0x1.40ea8a14217f7p-18, -0x1.445bb0748a8a6p-18, -0x1.47a834af5a37ep-18, -0x1.4ae22dac296eap-18, -0x1.4e08dce8b046fp-18, -0x1.512163a4995b8p-18, -0x1.541be2e38323cp-18, -0x1.5703b00ef1001p-18, -0x1.59db500a509d7p-18, -0x1.5ca1b91d3f11dp-18, -0x1.5f4c5a44c60dp-18, -0x1.61e7c0fa928efp-18, -0x1.64701418b8cb7p-18, -0x1.66e8856629f61p-18, -0x1.6950a7250badbp-18, -0x1.6bb4c3b866b4fp-18, -0x1.6dddfb46a5121p-18, -0x1.70079f18adccep-18, -0x1.7222bed44c22dp-18, -0x1.742bc2d24e141p-18, -0x1.76242625cd751p-18, -0x1.78068719c24fep-18, -0x1.79dd8343e16e4p-18, -0x1.7b9edeff518f2p-18, -0x1.7d54a6881befbp-18, -0x1.7ef623df9a381p-18, -0x1.8084aa755235bp-18, -0x1.8204de2f2b2e8p-18, -0x1.8377117509c52p-18, -0x1.84d567a199fc5p-18, -0x1.8626d6b3bb69dp-18, -0x1.8765c8c858a4p-18, -0x1.889218c0c1f23p-18, -0x1.89b3b5f804dbdp-18, -0x1.8ac5ae11b0d51p-18, -0x1.8bcf493f65095p-18, -0x1.8cc293ff4b08dp-18, -0x1.8da49759f73e8p-18, -0x1.8e7d9f70aa139p-18, -0x1.8f470e68811a7p-18, -0x1.8fec4c5253149p-18, -0x1.90a9a4b51eb1fp-18, -0x1.9143fe47a353fp-18, -0x1.91d8db7e026a3p-18, -0x1.925ed09b05d4ap-18, -0x1.92d8e9bf0bf47p-18, -0x1.933b102d9d90bp-18, -0x1.93955faadab4cp-18, -0x1.93df7ce88dad8p-18, -0x1.9422754e997efp-18, -0x1.945674d5875cep-18, -0x1.9481522d4be3bp-18, -0x1.949fc9e7a821ep-18, -0x1.94b06bed681d4p-18, -0x1.94b4863900fe1p-18, -0x1.94aa3e8bd8ea9p-18, -0x1.94972777d2219p-18, -0x1.9479f1602bd78p-18, -0x1.944f1b7493208p-18, -0x1.941f64e81972cp-18, -0x1.93d6fada9dfedp-18, -0x1.9391ef6fd65bdp-18, -0x1.933df2686f728p-18, -0x1.92e15b62f37c6p-18, -0x1.9274c21a957a5p-18, -0x1.920001cb76901p-18, -0x1.9182546eb18bp-18, -0x1.90f9b032daad1p-18, -0x1.906d29b825234p-18, -0x1.8fd2f62db7d31p-18, -0x1.8f2d7f3a6acdcp-18, -0x1.8e7c17cdf75fdp-18, -0x1.8dc9fdba12f73p-18, -0x1.8d08d150c1534p-18, -0x1.8c431c7f1d456p-18, -0x1.8b6707180b8d4p-18, -0x1.8a96421a8a49ep-18, -0x1.89ba165434c7dp-18, -0x1.88c8b6d8eccc2p-18, -0x1.87dd08573463dp-18, -0x1.86e2942c40082p-18, -0x1.85ddd23797d1cp-18, -0x1.84d466373ab9dp-18, -0x1.83c453d83a069p-18, -0x1.82ac689ff62b8p-18, -0x1.818ec149752e7p-18, -0x1.8068b857d85f9p-18, -0x1.7f37daef445fap-18, -0x1.7de9d49fdeb2fp-18, -0x1.7cc5ceddde9e8p-18, }}, 
      {{0x1.79f78929f5074p-7, 0x1.ca99aba0195fep-7, 0x1.14cfba367810fp-6, 0x1.3bd9027ac57b9p-6, 0x1.4f4fde008e1a8p-6, 0x1.493cb7efe196ep-6, 0x1.282018a0249ddp-6, 0x1.dbc0a05cb27dcp-7, 0x1.3d628e4b42264p-7, 0x1.00845bbd197edp-8, -0x1.3d49762288d51p-9, -0x1.24fa485907f5ep-7, -0x1.f50a32259859ep-7, -0x1.5a864dede9b4dp-6, -0x1.ae056d1ec6c19p-6, -0x1.f1565fecee87p-6, -0x1.10cebf51e4237p-5, -0x1.1e63625495fc2p-5, -0x1.20bb4de742f79p-5, -0x1.177b7be46fdcdp-5, -0x1.029146450f185p-5, -0x1.c44fc24ce18a3p-6, -0x1.6d3bf2d9377d4p-6, -0x1.00f80a4db01cap-6, -0x1.01ad028ddd0c1p-7, 0x1.1a4c42e54d7dap-10, 0x1.69a5b8f7d4c7p-7, 0x1.66f648419444bp-6, 0x1.1322ded27bbd2p-5, 0x1.787a90d593bb1p-5, 0x1.e29e89dbdbaeap-5, 0x1.285840c41ea43p-4, 0x1.60ecfdb4fc691p-4, 0x1.9aa71a3563966p-4, 0x1.d525be16723efp-4, 0x1.08070b8b91964p-3, 0x1.2585d79146d3ep-3, 0x1.42e8485843448p-3, 0x1.600aad4364e89p-3, 0x1.7ccc96aa82c23p-3, 0x1.9910c7f430647p-3, 0x1.b4bd1e5537e61p-3, 0x1.cfba76cc3e7f1p-3, 0x1.e9f4831edb345p-3, 0x1.01acd57700bb9p-2, 0x1.0ded729cedd3dp-2, 0x1.19b5c74f8a454p-2, 0x1.25009c68a2195p-2, 0x1.2fc9c34bb4542p-2, 0x1.3a0e04323c7dp-2, 0x1.43cb09e22f7b4p-2, 0x1.4cff4cb959451p-2, 0x1.55a9fd663d55bp-2, 0x1.5dcaf73d26181p-2, 0x1.6562b0118b477p-2, 0x1.6c72289993546p-2, 0x1.72fadcb43815ap-2, 0x1.78feb3e5e9a37p-2, 0x1.7e7ff454c730fp-2, 0x1.8381367c6ddcfp-2, 0x1.88055bc291a67p-2, 0x1.8c0f814f427b9p-2, 0x1.8fa2fab85445p-2, 0x1.92c3451a64a26p-2, 0x1.9574006f9541dp-2, 0x1.97b8e7302ba2ap-2, 0x1.9995c7a790fb3p-2, 0x1.9b0e7dec56bf5p-2, 0x1.9c26ee9bfb5e7p-2, 0x1.9ce301d778ec7p-2, 0x1.9d469f12be2a4p-2, 0x1.9d55a8ed64637p-2, 0x1.9d13fa3d79c53p-2, 0x1.9c8561188ba5dp-2, 0x1.9bad9f873f41ap-2, 0x1.9a90652527855p-2, 0x1.99314fc9bfcccp-2, 0x1.9793e8f4f408bp-2, 0x1.95bba48494922p-2, 0x1.93abdf6e07de7p-2, 0x1.9167df0357654p-2, 0x1.8ef2d00396452p-2, 0x1.8c4fc616735d2p-2, 0x1.8981bb98168c2p-2, 0x1.868b910b0f7cp-2, 0x1.83700d1ac4d6p-2, 0x1.8031dc9db4d7dp-2, 0x1.7cd392b431df9p-2, 0x1.7957a8b9e9109p-2, 0x1.75c07f793a0f7p-2, 0x1.72105d07c42d2p-2, 0x1.6e49712826a67p-2, 0x1.6a6dd1aad3c9bp-2, 0x1.667f7d731d2edp-2, 0x1.62805c069bcc2p-2, 0x1.5e723e8de717ep-2, 0x1.5a56e06eefb87p-2, 0x1.562fe7553d425p-2, 0x1.51fee429c8d63p-2, 0x1.4dc553b63b5dfp-2, 0x1.49849f83ebc0ep-2, 0x1.453e1e2daf43ep-2, 0x1.40f313f35b2aap-2, 0x1.3ca4b37844038p-2, 0x1.38541e73980b2p-2, 0x1.340266575f438p-2, 0x1.2fb08cdd78059p-2, 0x1.2b5f84ae1cd45p-2, 0x1.271031dfef00fp-2, 0x1.22c36ab7d0882p-2, 0x1.1e79f806a4362p-2, 0x1.1a34963dffb51p-2, 0x1.15f3f4d1e76dap-2, 0x1.11b8b87370f6p-2, 0x1.0d837a055fdfbp-2, 0x1.0954c7f319b8ap-2, 0x1.052d269f434e2p-2, 0x1.010d109e7f5b1p-2, 0x1.f9e9eebe4885bp-3, 0x1.f1ca86fcf81bap-3, 0x1.e9bcaa66dc3efp-3, 0x1.e1c109d4b1103p-3, 0x1.d9d846b8ee13p-3, 0x1.d202f463a7089p-3, 0x1.ca4198b46b8cbp-3, 0x1.c294acad581f7p-3, 0x1.bafc9cc62e9dep-3, 0x1.b379ca3619003p-3, 0x1.ac0c8b5193b68p-3, 0x1.a4b52c4a45c38p-3, 0x1.9d73ef43b705cp-3, 0x1.96490d683fd8dp-3, 0x1.8f34b722ed9ecp-3, 0x1.883714f1ba20ap-3, 0x1.8150474301b95p-3, 0x1.7a8067b34a001p-3, 0x1.73c788f2c3fefp-3, 0x1.6d25b75389626p-3, 0x1.669af94223687p-3, 0x1.60274f9492c61p-3, 0x1.59cab6082bbd4p-3, 0x1.5385225fbc84p-3, 0x1.4d56880dbbf29p-3, 0x1.473ed439b4dabp-3, 0x1.413df0c8401d9p-3, 0x1.3b53c415b36ecp-3, 0x1.3580310ca9ce8p-3, 0x1.2fc3175ef7f13p-3, 0x1.2a1c539ca7f43p-3, 0x1.248bbff160f32p-3, 0x1.1f1133a028a0cp-3, 0x1.19ac84183a476p-3, 0x1.145d846a6c394p-3, 0x1.0f2405b11e3d3p-3, 0x1.09ffd74a1e177p-3, 0x1.04f0c738e5544p-3, 0x1.ffed4376a0b7ap-4, 0x1.f622639eae29dp-4, 0x1.ec8082f979fd6p-4, 0x1.e30732f4823bcp-4, 0x1.d9b60345395e5p-4, 0x1.d08c82190d7bcp-4, 0x1.c78a3c226a7bep-4, 0x1.beaebcca6b006p-4, 0x1.b5f98e835b54cp-4, 0x1.ad6a3ac56436p-4, 0x1.a5004a766eb04p-4, 0x1.9cbb45c051846p-4, 0x1.949ab45337f4dp-4, 0x1.8c9e1daba4b12p-4, 0x1.84c5094644477p-4, 0x1.7d0efe41ab2c1p-4, 0x1.757b84127115ep-4, 0x1.6e0a2203ea813p-4, 0x1.66ba5fc79d417p-4, 0x1.5f8bc58d6acbfp-4, 0x1.587ddc0f91387p-4, 0x1.51902bc699adp-4, 0x1.4ac23e3d785dp-4, 0x1.44139d8b8bf31p-4, 0x1.3d83d5dd7f15cp-4, 0x1.371270b7d7849p-4, 0x1.30befa370c8a7p-4, 0x1.2a890235b96dp-4, 0x1.247014b111327p-4, 0x1.1e73c0e652137p-4, 0x1.189396fd21953p-4, 0x1.12cf27ab65f15p-4, 0x1.0d2604cd7a506p-4, 0x1.0797c182c171fp-4, 0x1.0223f168db74fp-4, 0x1.f994537ecd671p-5, 0x1.ef1401ffaeec3p-5, 0x1.e4c61c971da01p-5, 0x1.daa9d37f4d6cfp-5, 0x1.d0be5a4c392e8p-5, 0x1.c702e6ff55262p-5, 0x1.bd76b0f6ba7bep-5, 0x1.b418f075bbe4ep-5, 0x1.aae8e35d50b6p-5, 0x1.a1e5c97d2d736p-5, 0x1.990ee173c0dc9p-5, 0x1.90636f7ee431bp-5, 0x1.87e2bb1725dd3p-5, 0x1.7f8c0bd81d7ccp-5, 0x1.775eabcdd847fp-5, 0x1.6f59e7c806ffcp-5, 0x1.677d0f6642d6fp-5, 0x1.5fc77457948cp-5, 0x1.58386a9200e12p-5, 0x1.50cf487a68a6dp-5, 0x1.498b66bdb6344p-5, 0x1.426c2081092cbp-5, 0x1.3b70d2947cd73p-5, 0x1.3498dc23cab98p-5, 0x1.2de39ff7f418ap-5, 0x1.2750824af60fcp-5, 0x1.20dee85ee47f3p-5, 0x1.1a8e3bbe7c2e1p-5, 0x1.145de6a112c65p-5, 0x1.0e4d55fa666e6p-5, 0x1.085bf8cb4806cp-5, 0x1.028940551ef86p-5, 0x1.f9a940111da7ap-6, 0x1.ee7b1b0202772p-6, 0x1.e3870086d28d6p-6, 0x1.d8cbe364568eep-6, 0x1.ce48bad604cf3p-6, 0x1.c3fc82b30a191p-6, 0x1.b9e63a9ef993p-6, 0x1.b004e55ba8bd6p-6, 0x1.a6578ab98140ap-6, 0x1.9cdd34eded672p-6, 0x1.9394f2fbc90f5p-6, 0x1.8a7dd87f999b4p-6, 0x1.8196fb764de6ap-6, 0x1.78df762367405p-6, 0x1.70566631794b5p-6, 0x1.67faedd2fd3f9p-6, 0x1.5fcc315adce3dp-6, 0x1.57c959a5fc449p-6, 0x1.4ff1920323a7cp-6, 0x1.48440b93649e9p-6, 0x1.40bff8041da35p-6, 0x1.39648dc0963adp-6, 0x1.3231061fdd0b7p-6, 0x1.2b249f21ec6aap-6, 0x1.243e9ad6a6317p-6, 0x1.1d7e3339749bcp-6, 0x1.16e2b9d34800ap-6, 0x1.106b7209a6d4ep-6, 0x1.0a17a9e429f79p-6, 0x1.03e6b1c1a5705p-6, 0x1.fbafb67204dc2p-7, 0x1.efd4f7a1f2c4dp-7, 0x1.e43bd9684c51p-7, 0x1.d8e310bc83141p-7, 0x1.cdc95b560ec93p-7, 0x1.c2ed7987b525dp-7, 0x1.b84e329819ef9p-7, 0x1.adea537624f25p-7, 0x1.a3c0af0aff971p-7, 0x1.99d01ddda2796p-7, 0x1.901778f42d612p-7, 0x1.8695a367f3a4dp-7, 0x1.7d4984668cdfp-7, 0x1.743207a8cf56bp-7, 0x1.6b4e1ce58676bp-7, 0x1.629cb93bd1eadp-7, 0x1.5a1cd66a98971p-7, 0x1.51cd74abaa5f8p-7, 0x1.49ad94c6c3f29p-7, 0x1.41bc41780cf47p-7, 0x1.39f885a150a0fp-7, 0x1.3261726176c2ep-7, 0x1.2af61c6dcd6c5p-7, 0x1.23b59d841f54p-7, 0x1.1c9f13bb42b3dp-7, 0x1.15b19f6c41dc9p-7, 0x1.0eec67012e151p-7, 0x1.084e94ee92a77p-7, 0x1.01d756a76ffa1p-7, 0x1.f70bba4f6bda5p-8, 0x1.eab2bc854b343p-8, 0x1.dea22731cb3ccp-8, 0x1.d2d8748b07e8p-8, 0x1.c754256e6b8fbp-8, 0x1.bc13c242019e3p-8, 0x1.b115daa4c8105p-8, 0x1.a659047339919p-8, 0x1.9bdbdec76b0f5p-8, 0x1.919d0d2665c7ep-8, 0x1.879b3b47da342p-8, 0x1.7dd519311c6e9p-8, 0x1.74495ea54d7b2p-8, 0x1.6af6ca0587e2bp-8, 0x1.61dc1fd4d050bp-8, 0x1.58f829176ee2p-8, 0x1.5049bf7027fbfp-8, 0x1.47cfaaa579951p-8, 0x1.3f88d24f2831bp-8, 0x1.377408fd45ep-8, 0x1.2f904c20d63abp-8, 0x1.27dc7cb9a8344p-8, 0x1.205789bc3c56p-8, 0x1.1900712288802p-8, 0x1.11d62fbab632ep-8, 0x1.0ad7c0074988dp-8, 0x1.04043e57aa8f8p-8, 0x1.fab534a9f86c9p-9, 0x1.edb3fd8d60938p-9, 0x1.e102eb1180267p-9, 0x1.d4a028bfdf205p-9, 0x1.c88a07a7ced96p-9, 0x1.bcbec12f49cd8p-9, 0x1.b13cb25e7360bp-9, 0x1.a60233376211ep-9, 0x1.9b0da211ad98bp-9, 0x1.905d6a370188fp-9, 0x1.85f0021c5c662p-9, 0x1.7bc3e1488f3b2p-9, 0x1.71d78ec8ff24cp-9, 0x1.6829941fb6917p-9, 0x1.5eb8825d49157p-9, 0x1.5582f83503e64p-9, 0x1.4c87944b22e43p-9, 0x1.43c50198e9093p-9, 0x1.3b39f0fbca48ap-9, 0x1.32e51b0ce4977p-9, 0x1.2ac53dfd36469p-9, 0x1.22d91d2c31103p-9, 0x1.1b1f88bec8ac3p-9, 0x1.1397509fba695p-9, 0x1.0c3f4ef458734p-9, 0x1.051663f7a04edp-9, 0x1.fc36e54cb3566p-10, 0x1.ee9ad30983426p-10, 0x1.e15678c047a98p-10, 0x1.d467bad3e4491p-10, 0x1.c7cc91df3ef54p-10, 0x1.bb8315d09282ap-10, 0x1.af894688b3001p-10, 0x1.a3dd458eff26bp-10, 0x1.987d3b56dd656p-10, 0x1.8d675283a41d2p-10, 0x1.8299c8d0255cbp-10, 0x1.7812ed959dd8fp-10, 0x1.6dd1098550be1p-10, 0x1.63d268d754d3dp-10, 0x1.5a1570fc3c39ap-10, 0x1.5098a2f41918cp-10, 0x1.475a59ac30828p-10, 0x1.3e5915b831f28p-10, 0x1.359364bc4dba9p-10, 0x1.2d07cf5138cabp-10, 0x1.24b4e9c798481p-10, 0x1.1c995b352f2afp-10, 0x1.14b3c68344aaep-10, 0x1.0d02d4a8e53aap-10, 0x1.05853d0a941a1p-10, 0x1.fc7382abb57bfp-11, 0x1.ee3e4b6a84b0fp-11, 0x1.e068631fd45f9p-11, 0x1.d2ef77672011bp-11, 0x1.c5d139ba8c454p-11, 0x1.b90b68e11bf4fp-11, 0x1.ac9bdf1b7bd3cp-11, 0x1.a08036402e5e3p-11, 0x1.94b6e9718b29cp-11, 0x1.893d975210568p-11, 0x1.7e121d944d1dp-11, 0x1.7332b11fe802cp-11, 0x1.689d607afaff2p-11, 0x1.5e505b916318fp-11, 0x1.5449b0cff8e94p-11, 0x1.4a87ae57a930fp-11, 0x1.4108adbb76012p-11, 0x1.37cae407b6214p-11, 0x1.2eccaf44523bp-11, 0x1.260c76ee75c54p-11, 0x1.1d88a7454a7c1p-11, 0x1.153fb6326656p-11, 0x1.0d30242026c0dp-11, 0x1.05585679c1636p-11, 0x1.fb6f5db28a115p-12, 0x1.ec96bf3478a6p-12, 0x1.de263fe4a2a26p-12, 0x1.d01a78d1aadb9p-12, 0x1.c270d924b3a88p-12, 0x1.b526d9b3cae3ep-12, 0x1.a839fb4ac290fp-12, 0x1.9ba7dce332cfp-12, 0x1.8f6e5a25e36cbp-12, 0x1.838af73ed61a1p-12, 0x1.77fb71927b51bp-12, 0x1.6cbdac2bf6eep-12, 0x1.61cf964d1999fp-12, 0x1.572f0680fac23p-12, 0x1.4cda19c47f508p-12, 0x1.42ce806b91821p-12, 0x1.390a724e17953p-12, 0x1.2f8c21422b065p-12, 0x1.2651bec254fc2p-12, 0x1.1d5967fed2952p-12, 0x1.14a195b402dfdp-12, 0x1.0c284f9d9ac62p-12, 0x1.03ebe543a3b08p-12, 0x1.f7d6170462014p-13, 0x1.e84814cff3f4p-13, 0x1.d92aa47cd2e3dp-13, 0x1.ca7a7e92ae244p-13, 0x1.bc3509fcddb3fp-13, 0x1.ae574679ed026p-13, 0x1.a0de479a8770bp-13, 0x1.93c7be364593ep-13, 0x1.8710eb3a0f3d6p-13, 0x1.7ab6d35b0bf2ep-13, 0x1.6eb779bed9882p-13, 0x1.6310470b5d6fbp-13, 0x1.57befa447c3fep-13, 0x1.4cc137912d6f5p-13, 0x1.4214bf159c43ep-13, 0x1.37b738e396199p-13, 0x1.2da683c1ed563p-13, 0x1.23e08c9c41d84p-13, 0x1.1a630d20d7487p-13, 0x1.112d156eb2a51p-13, 0x1.083b4fe56d6ap-13, 0x1.ff18fb618fb4dp-14, 0x1.ee3d35ef52f74p-14, 0x1.dddfb9fe56176p-14, 0x1.cdfce15e4a4d9p-14, 0x1.be9298f120b06p-14, 0x1.af9bda3d5c379p-14, 0x1.a1175a0a88bfcp-14, 0x1.9300981e6134ap-14, 0x1.8555430baa6c6p-14, 0x1.7812522fb24a3p-14, 0x1.6b3454392982bp-14, 0x1.5eb9069efb254p-14, 0x1.529d304cd5766p-14, 0x1.46ded0ef59e39p-14, 0x1.3b7abf1ed9eb4p-14, 0x1.306e579989d0dp-14, 0x1.25b78f1a0dfa5p-14, 0x1.1b5395862efbp-14, 0x1.113fe01bf3db7p-14, 0x1.077a4e498820dp-14, 0x1.fc01ce64fef02p-15, 0x1.e9a3287f2b48ep-15, 0x1.d7d6c2edf5fd8p-15, 0x1.c68f79225bccbp-15, 0x1.b5d71e03474d7p-15, 0x1.a5a078487478p-15, 0x1.95eab85f0ce38p-15, 0x1.86b22cd9fd082p-15, 0x1.77f2bd635a372p-15, 0x1.69a8c5b9bbd8p-15, 0x1.5bd218df7c992p-15, 0x1.4e6a6cbdf8598p-15, 0x1.416e2461abdf1p-15, 0x1.34dae080cd8d2p-15, 0x1.28adb4bbca031p-15, 0x1.1ce34f4e16167p-15, 0x1.1178815a8b5e8p-15, 0x1.0669c0bae3173p-15, 0x1.f76b9cc77fd58p-16, 0x1.e2b105ce41bfep-16, 0x1.cea336686571fp-16, 0x1.bb3b6f6917bfp-16, 0x1.a874a2a3747b5p-16, 0x1.964befabba99cp-16, 0x1.84bb17814c297p-16, 0x1.73bd49eaff2cdp-16, 0x1.634ecd3fd4516p-16, 0x1.536b9fa4b865p-16, 0x1.440f989ac5dfcp-16, 0x1.35368c0702dd2p-16, 0x1.26dbe181f58p-16, 0x1.19016afceb94cp-16, 0x1.0b949e28d1947p-16, 0x1.fd41bdfe71e7ep-17, 0x1.e43f1baf663e2p-17, 0x1.cc072e65814c5p-17, 0x1.b4b6350f8717bp-17, 0x1.9e2b6f98f9cefp-17, 0x1.886805223848cp-17, 0x1.7364ffecbde4ep-17, 0x1.5f1d5eb6a5731p-17, 0x1.4b8e7e19caf4ep-17, 0x1.38b3d3f227b9ap-17, 0x1.2683716ae9256p-17, 0x1.14f8eb7b6f5a5p-17, 0x1.0412f0739fd6p-17, 0x1.e78cec818a9b1p-18, 0x1.c8263a951b17cp-18, 0x1.a9e1992e2e4f1p-18, 0x1.8cb8c061dc922p-18, 0x1.70a9674a92656p-18, 0x1.55a295e2c5706p-18, 0x1.3ba1897aa42e5p-18, 0x1.229d473ae3422p-18, 0x1.0a925ee27d7aap-18, 0x1.e6dc3c917cb61p-19, 0x1.ba6ee2025f127p-19, 0x1.8fa9b521396f4p-19, 0x1.669fc1e5742ep-19, 0x1.3f3e7218263e1p-19, 0x1.197e044bb9836p-19, 0x1.ea74ebc47b5bep-20, 0x1.a4bd2e0b24fb5p-20, 0x1.61adf1a5b1b3ap-20, 0x1.21d4ba7d6628ep-20, 0x1.c9e4141606c73p-21, 0x1.548c5f56d064p-21, 0x1.c8f7d437baab1p-22, 0x1.e531bbf12beeap-23, 0x1.2ba257d81edf1p-25, -0x1.3c63a2d52620bp-23, -0x1.5908f124eca68p-22, -0x1.057de7a7c3684p-21, -0x1.5ac4a767a7073p-21, -0x1.ab4ecd7d87f05p-21, -0x1.f8621f433d625p-21, -0x1.20baf75f110f2p-20, -0x1.4387556f8e4a9p-20, -0x1.647484acbe5adp-20, -0x1.83bb7f2cfa9e5p-20, -0x1.a158889f48e5bp-20, -0x1.bd5665ca3dac8p-20, -0x1.d7c0fca862a09p-20, -0x1.f0bae516c496dp-20, -0x1.0421d588bb71fp-19, -0x1.0f298944c1297p-19, -0x1.198d0cd110517p-19, -0x1.23463c97cbc19p-19, -0x1.2c5e56840a6efp-19, -0x1.34dffa97e6fe2p-19, -0x1.3ccccb6c56964p-19, -0x1.441cbeed8612fp-19, -0x1.4ae26a650b972p-19, -0x1.51245d143960dp-19, -0x1.56db37a31f5d8p-19, -0x1.5c151b3f0beb8p-19, -0x1.60dbfd6ec9c78p-19, -0x1.652e3086fa31ep-19, -0x1.690b2b134e423p-19, -0x1.6c7d87ab9450fp-19, -0x1.6f8444ca3cebcp-19, -0x1.721db1157d8bep-19, -0x1.7438f93b59df3p-19, -0x1.764534696299dp-19, -0x1.77c38df13745dp-19, -0x1.78f1b7b240c93p-19, -0x1.79cb0592047d2p-19, -0x1.7a5943939b03p-19, -0x1.7a9a4ab172873p-19, -0x1.7a89410f47272p-19, -0x1.7a34cb1d29288p-19, -0x1.79948171628f4p-19, -0x1.78b4c9a87c8ccp-19, -0x1.77968e1fb12a4p-19, -0x1.763f3404ddd1dp-19, -0x1.74ad9109e7c3ep-19, -0x1.72e29d4e990a2p-19, -0x1.70e04f6e09a4ep-19, -0x1.6ea97b8a39d7ap-19, -0x1.6c43b623ec152p-19, -0x1.69b6bee49ddf7p-19, -0x1.670e397222078p-19, -0x1.6400c709c20a8p-19, -0x1.60eba71f2d6f1p-19, -0x1.5dae95bbf5ec7p-19, -0x1.5a497f2a5f0b8p-19, -0x1.56becab112056p-19, -0x1.531687c842c6fp-19, -0x1.4f50269b117a2p-19, -0x1.4b6b4c956c04ep-19, -0x1.476af8116e3b8p-19, -0x1.434fa18ba0f9cp-19, -0x1.3f0be90644ea8p-19, -0x1.3ac1511bf1405p-19, -0x1.365c828310b83p-19, -0x1.31d0644aa9f96p-19, -0x1.2d42f8217d24p-19, -0x1.289c6da90eef6p-19, -0x1.23e7b5ad62581p-19, -0x1.1f253f07e5c14p-19, -0x1.1a4996573e189p-19, -0x1.156379155ee96p-19, -0x1.10790c195ce8ap-19, -0x1.0b753606d1543p-19, -0x1.065d57f77fb92p-19, -0x1.0152b1031c94bp-19, -0x1.f86df3ba32fc8p-20, -0x1.ee1e5ba144ca3p-20, -0x1.e3c8427cbbfacp-20, -0x1.d94a290fcbce4p-20, -0x1.cec99dc35a32ep-20, -0x1.c444caff505c5p-20, -0x1.b9c468dfed88ap-20, -0x1.af30a31089286p-20, -0x1.a4960f246b0d3p-20, -0x1.99f814600b476p-20, -0x1.8f42936b265e3p-20, -0x1.84a1156a5f19ap-20, -0x1.79faa4f2f26f7p-20, -0x1.6f55d9b24323ap-20, -0x1.64bfecd02385fp-20, -0x1.5a1c79c12eaf5p-20, -0x1.4f78e8197d2a7p-20, -0x1.45099aa70b60dp-20, -0x1.3a7e9dc7c12b3p-20, -0x1.2fbaf7758ed4dp-20, -0x1.254671e422c95p-20, -0x1.1ac875d71b0f2p-20, -0x1.10584930335b7p-20, -0x1.05f09a3e1e9fdp-20, -0x1.f728fddd84ec8p-21, -0x1.e289976686befp-21, -0x1.cdff3c1c04a97p-21, -0x1.b98780605d5a3p-21, -0x1.a503123be722ap-21, -0x1.91184831b7f24p-21, -0x1.7cfbeda2bd6p-21, -0x1.6912fd6018141p-21, -0x1.553eb09450b69p-21, -0x1.417ab72a9e92ap-21, -0x1.2de1dfbdfd1e4p-21, -0x1.1a734bbcbadcfp-21, -0x1.076a9f2714f33p-21, -0x1.e8597e07d27dfp-22, -0x1.c225827d2ee13p-22, -0x1.9ceb913c86e87p-22, -0x1.777172b62befbp-22, -0x1.529d26db069c7p-22, -0x1.2de36b41f2d04p-22, -0x1.0988ef44f7a4p-22, -0x1.cb6e5274a6a4cp-23, -0x1.83dcbb730dffbp-23, -0x1.3d020a70bd765p-23, -0x1.ee1f76205af1ep-24, -0x1.63caf8f453d9fp-24, -0x1.b6a9d7e4f816bp-25, -0x1.53e69b4992aedp-26, 0x1.89fac5ea8b40dp-27, 0x1.6b311cf23e8c9p-25, 0x1.389fe09c76a57p-24, 0x1.badee320d2533p-24, 0x1.1d44baa29c711p-23, 0x1.5c6ce7743d676p-23, 0x1.9acf35a73b999p-23, 0x1.d80fdb7d8da17p-23, 0x1.0acc065cdb6ebp-22, 0x1.28c5eb00312cfp-22, 0x1.4630d6a623c1ap-22, 0x1.634b5ba103af1p-22, 0x1.8099415e936b6p-22, 0x1.9cf4583d58122p-22, 0x1.b90f3a68a87c3p-22, 0x1.d52366320c3d2p-22, 0x1.effab9f3dc216p-22, 0x1.056cfa53fd228p-21, 0x1.129fcf6174c8dp-21, 0x1.1fa53f048c682p-21, 0x1.2c871d2d2f518p-21, 0x1.392df1c3ea63ep-21, 0x1.459b3c1bfe457p-21, 0x1.527a8dd5b4608p-21, 0x1.5e02d61961728p-21, 0x1.69df85536ecf7p-21, 0x1.7584f6e823f0dp-21, 0x1.8105a123768c2p-21, 0x1.8c4793c3e1823p-21, 0x1.972a85f76d9fcp-21, 0x1.a21b93428217cp-21, 0x1.acd23597b2407p-21, 0x1.b74859400e93ep-21, 0x1.c18ea7453ee2dp-21, 0x1.cbca3922cb36bp-21, 0x1.d5b3644dee61fp-21, 0x1.df537cf0c1db9p-21, 0x1.e8b07711828p-21, 0x1.f22f1a588972fp-21, 0x1.fb4ec301c74f9p-21, 0x1.022287ff1cfc6p-20, 0x1.068d7443c3c4dp-20, 0x1.0ace06f37bfacp-20, 0x1.0efeeecf7f3b5p-20, 0x1.1328c225891ddp-20, 0x1.17324703f688ep-20, 0x1.1b14f46b2dd01p-20, 0x1.1ee0215851d8cp-20, 0x1.22a0a15c6c55ep-20, 0x1.263ded2f42c13p-20, 0x1.29d7295592216p-20, 0x1.2d5841f46c188p-20, 0x1.30b73030b6c8fp-20, 0x1.340908f3a8e2dp-20, 0x1.3746555aba79ap-20, 0x1.3a68017bfcd7p-20, 0x1.3d6ec26fa7741p-20, 0x1.406176a35366fp-20, 0x1.4342a9e9a6a76p-20, 0x1.461085bdfd356p-20, 0x1.48c819314b205p-20, 0x1.4b693179a07e8p-20, 0x1.4df50d5bd05dap-20, 0x1.5070eb2c315fbp-20, 0x1.52c96a855f46fp-20, 0x1.552934fe542dep-20, 0x1.57694b9a1f79ep-20, 0x1.59941dc4c07b8p-20, 0x1.5ba58bd29b01ap-20, 0x1.5da7b14d2624p-20, 0x1.5f99c230dcd11p-20, 0x1.619c5e02dae3ep-20, 0x1.6345591185fffp-20, 0x1.64dddec22a05ep-20, 0x1.6662a80a6ce1dp-20, 0x1.680aba605da8fp-20, 0x1.69a3311ece8f9p-20, 0x1.6b1295fb482ecp-20, 0x1.6c74760bf2a3dp-20, 0x1.6db45a0b2067dp-20, 0x1.6ef1be83ba2b6p-20, 0x1.703096599068cp-20, 0x1.712f61b9dafc2p-20, 0x1.722f8556a6f59p-20, 0x1.732bb390a9f4p-20, 0x1.741027b9e67ffp-20, 0x1.74eece3e5bf6bp-20, 0x1.75beadece00b2p-20, 0x1.7674422e4f9ep-20, 0x1.7718d04ee3ee8p-20, 0x1.77aa18a42a301p-20, 0x1.782f08a9f787ap-20, 0x1.78adcdc56edd3p-20, 0x1.79113131c1ff7p-20, 0x1.796b78c8dff13p-20, 0x1.79b5e89a2323ep-20, 0x1.79fcaf03d1b03p-20, 0x1.7a2b1909ac98cp-20, 0x1.7a4ebbea0feecp-20, 0x1.7a63b5cd8a27bp-20, 0x1.7a6c5355c7a89p-20, 0x1.7a694fd9f08e4p-20, 0x1.7a58e060998fcp-20, 0x1.7a40ef15f0a83p-20, 0x1.7a113aaeb589bp-20, 0x1.79d2c6899eeffp-20, 0x1.799b6eaa95a76p-20, 0x1.794a8da572c31p-20, 0x1.78ef32ff20c51p-20, 0x1.7886ae4469d7dp-20, 0x1.7809152885602p-20, 0x1.77973b7bf23a7p-20, 0x1.7708fce97c86cp-20, 0x1.766ab84b40209p-20, 0x1.75dad0305aafcp-20, 0x1.752f2d1da5d34p-20, 0x1.74725350ec1e6p-20, 0x1.738d19bdc6e96p-20, 0x1.72ec9bd32146ap-20, 0x1.721fb182badc4p-20, 0x1.71471e4c8f67ap-20, 0x1.70584fa1c021dp-20, 0x1.6f6e32eb2ce2bp-20, 0x1.6e7411323ae98p-20, 0x1.6d76a81c86b41p-20, 0x1.6c69b861fd0d5p-20, 0x1.6b466718997bfp-20, 0x1.6a37ca7447fdep-20, 0x1.690ef32790b9bp-20, 0x1.67e715174a7ap-20, 0x1.66c30adf58bcep-20, 0x1.657daa4d96eddp-20, 0x1.6434c2000f7a4p-20, 0x1.62e6ef1cd723p-20, 0x1.6197db565d43dp-20, 0x1.6037d6aaa90cbp-20, 0x1.5edc6103c5868p-20, 0x1.5d691c4e290d1p-20, 0x1.5c04a0e46a3ebp-20, 0x1.5a87047a8a9dfp-20, 0x1.590a056779d38p-20, 0x1.5789fce2e18fdp-20, 0x1.5602752b247bap-20, 0x1.5473cb049547bp-20, 0x1.52de0ad9c6a84p-20, 0x1.514720a674ce5p-20, 0x1.4f9b7c2941d35p-20, 0x1.4de96e0d97666p-20, 0x1.4c4d718a76426p-20, 0x1.4a9dfa5b5d517p-20, 0x1.48e9785d1dd3dp-20, 0x1.472d69531149cp-20, 0x1.4568491efcbc3p-20, 0x1.43a6e72bc3185p-20, 0x1.41df52c572e83p-20, 0x1.400e2415ae0fep-20, 0x1.3e6050ee1ce56p-20, 0x1.3c6cdd8e941d8p-20, 0x1.3a96e6d44d244p-20, 0x1.38b884d192b5fp-20, 0x1.36d8a21920de5p-20, 0x1.34edd3b28987bp-20, 0x1.3301ca7d06a98p-20, 0x1.31155ba405a2fp-20, 0x1.2f2a8ad1ddbbep-20, 0x1.2d29294f14a44p-20, 0x1.2b3ee4976854fp-20, 0x1.2944a73dfe592p-20, 0x1.274a1317c621cp-20, 0x1.254c0f4023ee8p-20, 0x1.2355f0f33ce1ap-20, 0x1.214d87d22735dp-20, 0x1.1f432be007109p-20, 0x1.1d3d0fa01273bp-20, 0x1.1b34d9f261abcp-20, 0x1.191e2954d4a27p-20, 0x1.170d78b3c2bd5p-20, 0x1.14f95f85daf7bp-20, 0x1.12f41a0ae9535p-20, 0x1.10e6ed741c1eep-20, 0x1.0ed5a075d9373p-20, 0x1.0cb353e8986f2p-20, 0x1.0a9570f631f18p-20, 0x1.087baedb5eac3p-20, 0x1.0660cc9b20f77p-20, 0x1.04479f2044e6ap-20, 0x1.021fadb7f90e3p-20, 0x1.0007a5425ec3dp-20, 0x1.fbc33019b3b11p-21, 0x1.f79543c9a7a2ep-21, 0x1.f34f6d04cf8f6p-21, 0x1.ef02b27c4f8f7p-21, 0x1.eabe0d640b42ap-21, 0x1.e67e16870bdfbp-21, 0x1.e2356ed084efp-21, 0x1.ddf0584bc8359p-21, 0x1.d9abea3afd063p-21, 0x1.d5536478bf597p-21, 0x1.d10fd63fbb64dp-21, 0x1.ccc547c1d4cf6p-21, 0x1.c8991aa974ac8p-21, 0x1.c44cfe33a7659p-21, 0x1.bfed7eca8ebfbp-21, 0x1.bbb3715f36551p-21, 0x1.b7716fa4ab8fap-21, 0x1.b304549f78745p-21, 0x1.aedb5b911358cp-21, 0x1.aa8caf4b1538ep-21, 0x1.a6556206d8749p-21, 0x1.a21e54dd273bp-21, 0x1.9de277c862c06p-21, 0x1.99a0475b2122ap-21, 0x1.955bc006e4576p-21, 0x1.91163567fc6ffp-21, 0x1.8cde6a61927d2p-21, 0x1.88a7bb489fdb7p-21, 0x1.847bc78bc1279p-21, 0x1.804f84b638ed5p-21, 0x1.7c1af3a379269p-21, 0x1.77ea928a4110cp-21, 0x1.73ba007164344p-21, 0x1.6f8bcd4ee0ce9p-21, 0x1.6b65b4bbcbfacp-21, 0x1.6737449082675p-21, 0x1.632f96426f0afp-21, 0x1.5f0910dabee8cp-21, 0x1.5ade63cdbf3bfp-21, 0x1.56cd9d5b27301p-21, 0x1.52c241798110dp-21, 0x1.4ea0e66a96037p-21, 0x1.4a9dfac7ad149p-21, 0x1.468fa5cbbb39ep-21, 0x1.42885501e6132p-21, 0x1.3e8d9814f9e61p-21, 0x1.3a9103540295dp-21, 0x1.368e11c625278p-21, 0x1.328cd39735757p-21, 0x1.2ea021ab47d7bp-21, 0x1.2aac68917ab7fp-21, 0x1.26c03a9e0d9d8p-21, 0x1.22bd8373744f8p-21, 0x1.1ef7e133c21d5p-21, 0x1.1b23534ea4392p-21, 0x1.17347331c62edp-21, 0x1.136e285f58627p-21, 0x1.0f999a4a00c78p-21, 0x1.0bbfccafebe28p-21, 0x1.07f4cd8e74e67p-21, 0x1.04329f974345dp-21, 0x1.0073e4be933e2p-21, 0x1.f9765845b586ap-22, 0x1.f205948218f18p-22, 0x1.ea91117261b3dp-22, 0x1.e31f0b405e7c9p-22, 0x1.dbd96d8f1e352p-22, }}, 
      {{-0x1.dd7d4e9e3421bp-7, -0x1.b1d435ec6ff53p-5, -0x1.abe0d7ae6cad6p-4, -0x1.451753ea0b14p-3, -0x1.a998e292aafb4p-3, -0x1.f8bf85e62c44p-3, -0x1.166729948a16ep-2, -0x1.21f5d3683f63ep-2, -0x1.1f81ebb71b7fp-2, -0x1.10679ecaff31cp-2, -0x1.ed0a471e0919bp-3, -0x1.a7e2a775e6405p-3, -0x1.559260d7772c9p-3, -0x1.f43cc75e9bf9dp-4, -0x1.325ecb15f4208p-4, -0x1.afe98cdc1c65cp-6, 0x1.65cbc3022e0c3p-6, 0x1.195d82d033ab5p-4, 0x1.d020b222efe68p-4, 0x1.3d76dd0f8fe4ap-3, 0x1.8bdb6534b79d6p-3, 0x1.d28c4f43ce8ddp-3, 0x1.0890d7bb940aap-2, 0x1.23b90f4a439e3p-2, 0x1.3ac40392fd0b2p-2, 0x1.4dcbe1f24e17p-2, 0x1.5cfb50953eda6p-2, 0x1.68897148be9fcp-2, 0x1.70b6603f07e98p-2, 0x1.75c83679c295dp-2, 0x1.780880e297c7cp-2, 0x1.77c2285e89a9ap-2, 0x1.753fc023d513fp-2, 0x1.70ca2e8254965p-2, 0x1.6aa7a591feca9p-2, 0x1.631ae00246ae6p-2, 0x1.5a62990bfcfbdp-2, 0x1.50b933c5e9aa4p-2, 0x1.46548a5a04a1ep-2, 0x1.3b65dccd9afb5p-2, 0x1.3019dac0cb66ep-2, 0x1.2498b858dd2edp-2, 0x1.19065d6178624p-2, 0x1.0d8291b19a8bcp-2, 0x1.02293a2d427a7p-2, 0x1.ee2521a0aba43p-3, 0x1.d8a6cdfeb3f2fp-3, 0x1.c3facc0bd1761p-3, 0x1.b03e9884fc879p-3, 0x1.9d8a5d5ec8b1cp-3, 0x1.8bf167796b8d4p-3, 0x1.7b82a14840efep-3, 0x1.6c4901d0e9565p-3, 0x1.5e4bf79249a4fp-3, 0x1.518fcc2337b25p-3, 0x1.4615fd75380bfp-3, 0x1.3bdd9427b40ffp-3, 0x1.32e375b9fd715p-3, 0x1.2b22ac5120a57p-3, 0x1.2494a7f69261fp-3, 0x1.1f31801c67846p-3, 0x1.1af01e3ac6a8cp-3, 0x1.17c680a363f1cp-3, 0x1.15a9dbeac3572p-3, 0x1.148eca65fed9cp-3, 0x1.1469708c17acep-3, 0x1.152d9e8adb8e2p-3, 0x1.16ceed1340cbap-3, 0x1.1940d7fb11aeap-3, 0x1.1c76d51d0698ap-3, 0x1.2064680efb6b5p-3, 0x1.24fd32e61ead6p-3, 0x1.2a35086fb984bp-3, 0x1.2ffff183b9a92p-3, 0x1.365244aa2f4d5p-3, 0x1.3d20a1d06797dp-3, 0x1.4460024a9bbcfp-3, 0x1.4c05bc7da72b4p-3, 0x1.540787e11014p-3, 0x1.5c5b815e6060fp-3, 0x1.64f82cd6a00efp-3, 0x1.6dd477a789557p-3, 0x1.76e7b8a7515efp-3, 0x1.8029b06956cb8p-3, 0x1.899288885e5bap-3, 0x1.931ad322e84f9p-3, 0x1.9cbb8863b3a6p-3, 0x1.a66e0580305afp-3, 0x1.b02c09dd4478dp-3, 0x1.b9efb69401135p-3, 0x1.c3b3861436188p-3, 0x1.cd7252e93c52bp-3, 0x1.d7274b527ace6p-3, 0x1.e0cdf2bba4122p-3, 0x1.ea621e97c5ceap-3, 0x1.f3dff303ac486p-3, 0x1.fd43df5f70474p-3, 0x1.03454d0c1b209p-2, 0x1.07d88f45291a5p-2, 0x1.0c5a54b1d3186p-2, 0x1.10c95b8f154f4p-2, 0x1.15247f4b6d089p-2, 0x1.196ab77c8fcbbp-2, 0x1.1d9b166283a37p-2, 0x1.21b4c7837f21ap-2, 0x1.25b70e21d0d2fp-2, 0x1.29a14442c8688p-2, 0x1.2d72d8aebc88fp-2, 0x1.312b4e5f3de99p-2, 0x1.34ca3a937da52p-2, 0x1.384f44297a717p-2, 0x1.3bba22951d57ap-2, 0x1.3f0a9b9482bb4p-2, 0x1.4240848149286p-2, 0x1.455bbe5781e54p-2, 0x1.485c374a8878ap-2, 0x1.4b41e8ba3c4eep-2, 0x1.4e0cd65cddb72p-2, 0x1.50bd0dac472d3p-2, 0x1.5352a500055f9p-2, 0x1.55cdbacfb82f9p-2, 0x1.582e7559a6dc6p-2, 0x1.5a750141c159ap-2, 0x1.5ca191d98fcfap-2, 0x1.5eb46001fffd4p-2, 0x1.60ada99eee59dp-2, 0x1.628db14551bf1p-2, 0x1.6454bdbbe354fp-2, 0x1.660319853eb1p-2, 0x1.67991258e662dp-2, 0x1.6916f8d7421dcp-2, 0x1.6a7d207eab682p-2, 0x1.6bcbde86cf70dp-2, 0x1.6d038a7233643p-2, 0x1.6e247d204fcb5p-2, 0x1.6f2f10de1b6cep-2, 0x1.7023a12c10c6p-2, 0x1.71028a51adbcfp-2, 0x1.71cc2948a0c1ep-2, 0x1.7280db83cdce7p-2, 0x1.7320feda2a29ap-2, 0x1.73acf08deb0eap-2, 0x1.74250f69fc39ep-2, 0x1.7489b86ccb49bp-2, 0x1.74db49070d3ap-2, 0x1.751a1e8fb81cep-2, 0x1.7546957c607c7p-2, 0x1.756109a746d3dp-2, 0x1.7569d68dba2f8p-2, 0x1.756156d5ba368p-2, 0x1.7547e436db59fp-2, 0x1.751dd7be7b13ep-2, 0x1.74e3899cab311p-2, 0x1.749951108a737p-2, 0x1.743f84351eb51p-2, 0x1.73d678624dadep-2, 0x1.735e81edfddccp-2, 0x1.72d7f3fb55c06p-2, 0x1.724320d8c41c1p-2, 0x1.71a0597a960ebp-2, 0x1.70efee16c01eap-2, 0x1.70322d8ea9aa1p-2, 0x1.6f6765f8c3191p-2, 0x1.6e8fe4052822p-2, 0x1.6dabf391ab125p-2, 0x1.6cbbdf575b1b7p-2, 0x1.6bbff0e4deafp-2, 0x1.6ab870e22ecb8p-2, 0x1.69a5a6e1fcd8p-2, 0x1.6887d969a0c7bp-2, 0x1.675f4df87c42fp-2, 0x1.662c492447fe8p-2, 0x1.64ef0e3a823f1p-2, 0x1.63a7dfe8ec401p-2, 0x1.6256ffb69cd2dp-2, 0x1.60fcae2ef45dbp-2, 0x1.5f992b0ddf1b2p-2, 0x1.5e2cb4fdaa773p-2, 0x1.5cb789d7f76f2p-2, 0x1.5b39e669fe8f8p-2, 0x1.59b407685214p-2, 0x1.582627381fap-2, 0x1.56907ffa77e79p-2, 0x1.54f34c2db4223p-2, 0x1.534ec3e79884dp-2, 0x1.51a31ef5d7e6ep-2, 0x1.4ff094c763b2dp-2, 0x1.4e375b45037d4p-2, 0x1.4c77a83f234e1p-2, 0x1.4ab1b04255cccp-2, 0x1.48e5a7939e018p-2, 0x1.4713c16a78a43p-2, 0x1.453c304eb23e1p-2, 0x1.435f2626db3d2p-2, 0x1.417cd41377614p-2, 0x1.3f956ab8c6771p-2, 0x1.3da919d268fc1p-2, 0x1.3bb810a44f1e6p-2, 0x1.39c27d597adf1p-2, 0x1.37c88e0858114p-2, 0x1.35ca6fe6286a2p-2, 0x1.33c84f6bf2dd5p-2, 0x1.31c25884de6b8p-2, 0x1.2fb8b6a99661fp-2, 0x1.2dab948bb25eap-2, 0x1.2b9b1c2eeb213p-2, 0x1.29877707411cep-2, 0x1.2770ce1313c8ep-2, 0x1.255749b1253d9p-2, 0x1.233b119730f47p-2, 0x1.211c4cfa92709p-2, 0x1.1efb22554c829p-2, 0x1.1cd7b7b060829p-2, 0x1.1ab232b881f5cp-2, 0x1.188ab836eab9cp-2, 0x1.16616c783149p-2, 0x1.14367389c1613p-2, 0x1.1209f042f2d91p-2, 0x1.0fdc05c1e2d7ap-2, 0x1.0dacd5f3c66cdp-2, 0x1.0b7c829fd542p-2, 0x1.094b2cdff31cap-2, 0x1.0718f55686065p-2, 0x1.04e5fbefd5391p-2, 0x1.02b2604413038p-2, 0x1.007e4150ef6eep-2, 0x1.fc937b3d83523p-3, 0x1.f829e65773f81p-3, 0x1.f3bffecfbe98ap-3, 0x1.ef55fead5d088p-3, 0x1.eaec1ea3e06c6p-3, 0x1.e68296a57519dp-3, 0x1.e2199d903811dp-3, 0x1.ddb16950bf14p-3, 0x1.d94a2ed4280bp-3, 0x1.d4e421f6b8dd9p-3, 0x1.d07f759aa65c8p-3, 0x1.cc1c5bd520d19p-3, 0x1.c7bb053ac1db3p-3, 0x1.c35ba21973c55p-3, 0x1.befe614ea085p-3, 0x1.baa3710745a43p-3, 0x1.b64afe3df43cdp-3, 0x1.b1f535182db77p-3, 0x1.ada240db61866p-3, 0x1.a9524bc71ece9p-3, 0x1.a5057f1018f88p-3, 0x1.a0bc03bb7bc9fp-3, 0x1.9c75ffc164e2ep-3, 0x1.98339b7582fp-3, 0x1.93f4fb88b2f05p-3, 0x1.8fba44efb3728p-3, 0x1.8b839b79af716p-3, 0x1.8751221c5b6eap-3, 0x1.8322faeeb2c47p-3, 0x1.7ef9471b912b7p-3, 0x1.7ad426f6110dcp-3, 0x1.76b3b9e8e6b3p-3, 0x1.72981eab0f4d3p-3, 0x1.6e8172dfc45f5p-3, 0x1.6a6fd3621db32p-3, 0x1.66635c736984fp-3, 0x1.625c2924576c6p-3, 0x1.5e5a53b2caf97p-3, 0x1.5a5df6178198ep-3, 0x1.566728b43232fp-3, 0x1.527603bb7ae1cp-3, 0x1.4e8a9e603b8c5p-3, 0x1.4aa50f030dc53p-3, 0x1.46c56b69b8cep-3, 0x1.42ebc81596519p-3, 0x1.3f183983a4a24p-3, 0x1.3b4ad2c16b604p-3, 0x1.3783a67e254b4p-3, 0x1.33c2c6a73519p-3, 0x1.3008444e7f2cdp-3, 0x1.2c5430043c56dp-3, 0x1.28a699577401fp-3, 0x1.24ff8f80289cfp-3, 0x1.215f20a7cf457p-3, 0x1.1dc55a803e619p-3, 0x1.1a324a106492ep-3, 0x1.16a5fb8eda401p-3, 0x1.13207aab88e2ep-3, 0x1.0fa1d26f079f8p-3, 0x1.0c2a0d55c10fbp-3, 0x1.08b934f900bf2p-3, 0x1.054f5291c1044p-3, 0x1.01ec6e9fbf97bp-3, 0x1.fd212244d25fp-4, 0x1.f677829d8f852p-4, 0x1.efdc0c039d791p-4, 0x1.e94ecae567a4bp-4, 0x1.e2cfca2ddc629p-4, 0x1.dc5f147d51bbep-4, 0x1.d5fcb28b63dbbp-4, 0x1.cfa8ac9755bbp-4, 0x1.c963099b79abfp-4, 0x1.c32bcf5b0f744p-4, 0x1.bd030309b1e75p-4, 0x1.b6e8a8675e94ep-4, 0x1.b0dcc2a16649ap-4, 0x1.aadf5329513e2p-4, 0x1.a4f05be3e9486p-4, 0x1.9f0fdc71badc7p-4, 0x1.993dd421f5cfap-4, 0x1.937a41c1e7adbp-4, 0x1.8dc522221dc74p-4, 0x1.881e73682e2adp-4, 0x1.82863018add55p-4, 0x1.7cfc5489248f4p-4, 0x1.7780d9f6420afp-4, 0x1.7213ba5724862p-4, 0x1.6cb4ee5626e61p-4, 0x1.67646e051568cp-4, 0x1.6222308228173p-4, 0x1.5cee2c921a6efp-4, 0x1.57c8585cd00cep-4, 0x1.52b0a9555cdfbp-4, 0x1.4da714409d207p-4, 0x1.48ab8d6fc8b97p-4, 0x1.43be083e187b9p-4, 0x1.3ede776528171p-4, 0x1.3a0ccd4bddfbcp-4, 0x1.3548fb46fbea8p-4, 0x1.3092f2152095cp-4, 0x1.2beaa28aae21fp-4, 0x1.274ffc9dfd1ddp-4, 0x1.22c2f028c205fp-4, 0x1.1e436c9ad3df9p-4, 0x1.19d160ebaf9c9p-4, 0x1.156cbbf05aff9p-4, 0x1.11156b8353c9p-4, 0x1.0ccb5d269b254p-4, 0x1.088e7daeb47ddp-4, 0x1.045eb9696bb0cp-4, 0x1.003bfbfbfc8f7p-4, 0x1.f84c61c6ca38bp-5, 0x1.f03a869d632e3p-5, 0x1.e8423d2a2b134p-5, 0x1.e0635ab57ee12p-5, 0x1.d89db61b77c56p-5, 0x1.d0f124ce44f9cp-5, 0x1.c95d7c0187e7ap-5, 0x1.c1e29045d3951p-5, 0x1.ba803513ac305p-5, 0x1.b3363d0f0b626p-5, 0x1.ac04790e8dd19p-5, 0x1.a4eab9f601d6fp-5, 0x1.9de8cf187e97fp-5, 0x1.96fe873273e02p-5, 0x1.902bb2511f3fap-5, 0x1.89701f828e655p-5, 0x1.82cb9e97720dap-5, 0x1.7c3e0006d6d2ep-5, 0x1.75c714e6c8p-5, 0x1.6f66aebd87dbcp-5, 0x1.691c9e602a63ep-5, 0x1.62e8b40bd66e3p-5, 0x1.5ccabf4e7fe32p-5, 0x1.56c28da37483p-5, 0x1.50cfeb31c7246p-5, 0x1.4af2a34303bep-5, 0x1.452a7f96b8a4ap-5, 0x1.3f774a09e2e8fp-5, 0x1.39d8cd0e14605p-5, 0x1.344ed4dbba9c6p-5, 0x1.2ed92e3f61bb9p-5, 0x1.2977abc1d01p-5, 0x1.242a1dde8c28ap-5, 0x1.1ef056e5a474cp-5, 0x1.19ca29c150feep-5, 0x1.14b767901f557p-5, 0x1.0fb7de91363fbp-5, 0x1.0acb5b1c3d8cfp-5, 0x1.05f1a520a51cdp-5, 0x1.012a82dc48ab7p-5, 0x1.f8eb754b7f78fp-6, 0x1.efa626e893161p-6, 0x1.e684adc105dc3p-6, 0x1.dd86a4926372dp-6, 0x1.d4abadf567aebp-6, 0x1.cbf373df05d69p-6, 0x1.c35da201e112dp-6, 0x1.bae9eb6dd7a72p-6, 0x1.b297f3ff4d15ap-6, 0x1.aa6764168d68cp-6, 0x1.a257d65571ed4p-6, 0x1.9a68df24a582fp-6, 0x1.929a0d08ca086p-6, 0x1.8aeaecbeb605p-6, 0x1.835b0dd5399e4p-6, 0x1.7bea055e18716p-6, 0x1.74977178d4526p-6, 0x1.6d62f8c4c29e6p-6, 0x1.664c48b519f2bp-6, 0x1.5f5312425542bp-6, 0x1.58770666ff459p-6, 0x1.51b7d150dab5p-6, 0x1.4b151ca182561p-6, 0x1.448e88113b3c6p-6, 0x1.3e23b132fc66p-6, 0x1.37d43223f6771p-6, 0x1.319fa5fb70f79p-6, 0x1.2b85ab106a5e1p-6, 0x1.2585e6052739ep-6, 0x1.1fa001a127decp-6, 0x1.19d3af50d10b8p-6, 0x1.1420a2e34ed8ap-6, 0x1.0e86916a79d4ap-6, 0x1.09052c6980501p-6, 0x1.039c1e1e4f102p-6, 0x1.fc9614c1f46a9p-7, 0x1.f2231f3316256p-7, 0x1.e7de94047e6acp-7, 0x1.ddc7b2dea49b8p-7, 0x1.d3ddc863f308ep-7, 0x1.ca2031c5152a3p-7, 0x1.c08e60291af8ap-7, 0x1.b727d14ec3f2ep-7, 0x1.adec0a02016e3p-7, 0x1.a4da916e24ef4p-7, 0x1.9bf2eac1ae2a9p-7, 0x1.933490e23173ep-7, 0x1.8a9ef16cf916ap-7, 0x1.82316c68bae95p-7, 0x1.79eb5779c68f5p-7, 0x1.71cbf34158887p-7, 0x1.69d28047c7541p-7, 0x1.61fe406bd0f94p-7, 0x1.5a4e83f71054p-7, 0x1.52c2b0ef805e6p-7, 0x1.4b5a40c5caf63p-7, 0x1.4414cfc175501p-7, 0x1.3cf1f5e3d685ep-7, 0x1.35f15ac1a525fp-7, 0x1.2f1295baae68ap-7, 0x1.285535d717894p-7, 0x1.21b8bdc585c35p-7, 0x1.1b3ca8ec9da6fp-7, 0x1.14e0707dd49f4p-7, 0x1.0ea38c854a5dfp-7, 0x1.0885789968456p-7, 0x1.0285b0bf87fb3p-7, 0x1.f9475af7d843dp-8, 0x1.edbdc39a4f2a8p-8, 0x1.e26d77a32e3b9p-8, 0x1.d75552fd39e2dp-8, 0x1.cc7442aa7df3fp-8, 0x1.c1c953d2d964bp-8, 0x1.b753bab8b4418p-8, 0x1.ad12b688195dcp-8, 0x1.a305af40fb2aap-8, 0x1.992bdfba6daa4p-8, 0x1.8f847ae24baa8p-8, 0x1.860ea6d370d91p-8, 0x1.7cc98e52fda9p-8, 0x1.73b4702b78e9bp-8, 0x1.6acea55e65356p-8, 0x1.62179ee3de21dp-8, 0x1.598ec950153c5p-8, 0x1.5133728b5a953p-8, 0x1.4904bd11cac1dp-8, 0x1.41019a579ca89p-8, 0x1.3928e2eb56a0bp-8, 0x1.31797044561dfp-8, 0x1.29f2405eceeddp-8, 0x1.229289f5bef4ap-8, 0x1.1b59b48437d35p-8, 0x1.14473528a0bc3p-8, 0x1.0d5aad4840aadp-8, 0x1.0693821a7e848p-8, 0x1.ffe24ac235f28p-9, 0x1.f2e6108c7d491p-9, 0x1.e6314f8fa62fep-9, 0x1.d9c31f8d286afp-9, 0x1.cd9a959fcfe09p-9, 0x1.c1b69d150b3dcp-9, 0x1.b615dc8f58c4ep-9, 0x1.aab6c0dfe294dp-9, 0x1.9f9783983964cp-9, 0x1.94b6932445eeep-9, 0x1.8a127d150b088p-9, 0x1.7faa09c315cbp-9, 0x1.757c17a71cf91p-9, 0x1.6b878c98a3f6bp-9, 0x1.61cb3801b0ec4p-9, 0x1.5845f85b8127fp-9, 0x1.4ef6de99970f6p-9, 0x1.45dd3ce440f1bp-9, 0x1.3cf89422cb1e6p-9, 0x1.3448616746deep-9, 0x1.2bcbe828ecff1p-9, 0x1.23821dd5d85bfp-9, 0x1.1b69bd7b01025p-9, 0x1.13816a9b3e15ap-9, 0x1.0bc7d9affbe81p-9, 0x1.043be0ce009cp-9, 0x1.f9b8e94940aacp-10, 0x1.eb5181b0c8dbep-10, 0x1.dd4034fad10f5p-10, 0x1.cf83cd1be0ca8p-10, 0x1.c21ae9bbdd9f3p-10, 0x1.b503fb682142ep-10, 0x1.a83d35fc9d9abp-10, 0x1.9bc4f643333d5p-10, 0x1.8f99c7904b065p-10, 0x1.83ba5a0bba4f7p-10, 0x1.782547ade2986p-10, 0x1.6cd91bb9b80a4p-10, 0x1.61d455a0c562bp-10, 0x1.57156f5b31c07p-10, 0x1.4c9b022567ed5p-10, 0x1.4263371bffb6cp-10, 0x1.386bddbfcb971p-10, 0x1.2eb310043b16ep-10, 0x1.25378812b2923p-10, 0x1.1bf893b531d57p-10, 0x1.12f5a3615ee4ap-10, 0x1.0a2d80141d397p-10, 0x1.019f0e9bd9f3ep-10, 0x1.f29119ed5d671p-11, 0x1.e25162019fc56p-11, 0x1.d27d7802bd724p-11, 0x1.c313ebf094382p-11, 0x1.b41396ee2671bp-11, 0x1.a57a96e43b53p-11, 0x1.97465952e5735p-11, 0x1.8973d72f227a9p-11, 0x1.7bffde7e16645p-11, 0x1.6ee76add5ff68p-11, 0x1.62282b25fd7f5p-11, 0x1.55c0add4aea04p-11, 0x1.49af54bd03ba2p-11, 0x1.3df1eb5ecf85fp-11, 0x1.3285d9845ff46p-11, 0x1.27696853f0da8p-11, 0x1.1c9bd76bd4c41p-11, 0x1.121c3c8225417p-11, 0x1.07e8c3843485bp-11, 0x1.fbfe551037178p-12, 0x1.e8bae5ad4a7a4p-12, 0x1.d604d1b85a822p-12, 0x1.c3d98c62042dep-12, 0x1.b235a6d335806p-12, 0x1.a1153e74d5acbp-12, 0x1.9074e7539ba16p-12, 0x1.80520c3952462p-12, 0x1.70aaa5e627e9bp-12, 0x1.617cb58618d0ap-12, 0x1.52c5d46bd4316p-12, 0x1.448308d88b0ddp-12, 0x1.36afa89b6753fp-12, 0x1.2946beddbfaf3p-12, 0x1.1c4510094a4b6p-12, 0x1.0fa97dc8677cdp-12, 0x1.0372d2d5a87b4p-12, 0x1.ef3d45b7f336p-13, 0x1.d854e275e7be9p-13, 0x1.c2290ef68a105p-13, 0x1.acb6512a54e21p-13, 0x1.97f8d016f3b65p-13, 0x1.83ec039cc391ep-13, 0x1.7089e80bf8997p-13, 0x1.5dcc69ba40a94p-13, 0x1.4bae94b0bbd0bp-13, 0x1.3a2c7a48c8816p-13, 0x1.294298a3b0c7fp-13, 0x1.18ed59a79a0f7p-13, 0x1.0929b21a0c032p-13, 0x1.f3ea125dad85p-14, 0x1.d699d614811efp-14, 0x1.ba5ec5eaa2adfp-14, 0x1.9f31ba395f171p-14, 0x1.850815241a4afp-14, 0x1.6bd498ab14b52p-14, 0x1.538ba64c9bad6p-14, 0x1.3c28f85c7bbcfp-14, 0x1.25adc78dc6e3bp-14, 0x1.10149fb38ea9ap-14, 0x1.f6a3869040501p-15, 0x1.cec6b5d39838p-15, 0x1.a88eb7e3dc122p-15, 0x1.83f504f015831p-15, 0x1.60df5dbb6ed27p-15, 0x1.3f40fef786e49p-15, 0x1.1f0d17601cf2cp-15, 0x1.003acb118691p-15, 0x1.c5845222cf606p-16, 0x1.8d355cfd4a037p-16, 0x1.5776a26add412p-16, 0x1.2435b7fdb5f78p-16, 0x1.e6c71b4b9d453p-17, 0x1.89eb7c156c4a2p-17, 0x1.31c00f644d908p-17, 0x1.bc482861ff879p-18, 0x1.1db49711ccec4p-18, 0x1.0e401810e42a3p-19, -0x1.e10a82f86eb4ap-24, -0x1.1c3b13d5e26a3p-19, -0x1.0ceee69c025fdp-18, -0x1.846764f36d901p-18, -0x1.f4b716dcda72dp-18, -0x1.2ef551c0510ffp-17, -0x1.6037af2f138a7p-17, -0x1.8e5d85f7a1584p-17, -0x1.b956cdfac753cp-17, -0x1.e12f91998dd71p-17, -0x1.03089f371292ep-16, -0x1.1411af9cdfa96p-16, -0x1.23bd7aeaedf19p-16, -0x1.32154f2088951p-16, -0x1.3f252f1d01d6bp-16, -0x1.4af791a567b24p-16, -0x1.5595b7d21e0dap-16, -0x1.5f0957a1325f3p-16, -0x1.6759b020febd5p-16, -0x1.6e8a71ddc2aefp-16, -0x1.74a369062115ap-16, -0x1.79b6a2f35806ep-16, -0x1.7ddea3385a8d4p-16, -0x1.811c30d27c6cdp-16, -0x1.83748ad2a2387p-16, -0x1.84fa864dfbe97p-16, -0x1.85a577482520fp-16, -0x1.85762a381e70dp-16, -0x1.8474d3608ed18p-16, -0x1.82af646ca40abp-16, -0x1.803a7ba8ebe81p-16, -0x1.7d2414d79ce17p-16, -0x1.79735ca5f866p-16, -0x1.751f83f1ad60bp-16, -0x1.7022d94c103fap-16, -0x1.6a902d94d3cb4p-16, -0x1.64776bdda316cp-16, -0x1.5ddb54b878a3bp-16, -0x1.56bff6414e37dp-16, -0x1.4f2aba4bb22bdp-16, -0x1.4721dee0d7181p-16, -0x1.3eaabae8ddf99p-16, -0x1.35cae2bace00ep-16, -0x1.2c85bc260225ap-16, -0x1.22d85c3e7a421p-16, -0x1.18c3f477324b1p-16, -0x1.0e5f73605bf5bp-16, -0x1.03b0444b42d56p-16, -0x1.f18199995b262p-17, -0x1.db1cb3c2dbb58p-17, -0x1.c4099365a059cp-17, -0x1.ac792baf9118dp-17, -0x1.9480c8026cb6dp-17, -0x1.7c24b52cff0e2p-17, -0x1.636706de83d14p-17, -0x1.4a49a8d51e4bfp-17, -0x1.30b627c2b6313p-17, -0x1.16c7e52eb278p-17, -0x1.f96c835abafc7p-18, -0x1.c4d2bf7d3c729p-18, -0x1.8f9f30774a0b3p-18, -0x1.59e0f99371b71p-18, -0x1.23d2f927b1f12p-18, -0x1.daf0f4b984584p-19, -0x1.6db25633ba253p-19, -0x1.ffeccb3ae4cc9p-20, -0x1.23aaa59c7664dp-20, -0x1.1b48039a13f51p-22, 0x1.2cd28dc267404p-21, 0x1.740149a0974b1p-20, 0x1.294fd24fddb0dp-19, 0x1.9902ae897dd0dp-19, 0x1.0426eed12cebep-18, 0x1.3b8b5df613b05p-18, 0x1.72eb9cfac1094p-18, 0x1.aa652faaa1dbep-18, 0x1.e1bd737625275p-18, 0x1.0c696ad112be3p-17, 0x1.27db51d3185d9p-17, 0x1.432f1b92acef5p-17, 0x1.5e6429ae03d0ap-17, 0x1.79795f8fbe4bep-17, 0x1.946ce68743001p-17, 0x1.af34b9bf037eap-17, 0x1.c9d3e621a1045p-17, 0x1.e45bef34b2f65p-17, 0x1.feaeb1be494bfp-17, 0x1.0c5d46564059p-16, 0x1.1952597415115p-16, 0x1.262e5c9a37f5ep-16, 0x1.32ec86a7ab21dp-16, 0x1.3f8effe2348d3p-16, 0x1.4c117a19c0e12p-16, 0x1.587233aa7bcafp-16, 0x1.64b65334d59ecp-16, 0x1.70d713cbb42d5p-16, 0x1.7cd75ccae9d86p-16, 0x1.88bd029da2e93p-16, 0x1.94894c067831p-16, 0x1.a024008f5b5cbp-16, 0x1.ab983b9b912e5p-16, 0x1.b6f30c8b3dc82p-16, 0x1.c22773f4f7cc1p-16, 0x1.cd341131fa2f8p-16, 0x1.d81a1ebedfaa3p-16, 0x1.e2d9f4d66e4f9p-16, 0x1.ed738331a316fp-16, 0x1.f7e66b350c565p-16, 0x1.01191ffa7f1dbp-15, 0x1.062b127e55acep-15, 0x1.0b28fa550ea8ep-15, 0x1.101302d6066d6p-15, 0x1.14e8f4ad9d496p-15, 0x1.19aaadeaf285ap-15, 0x1.1e56dfe9f02fep-15, 0x1.22ef49eac1213p-15, 0x1.2773bef33c4c7p-15, 0x1.2be28129db63bp-15, 0x1.303c4d7723d1p-15, 0x1.34849bc0e5543p-15, 0x1.38b66a13c495fp-15, 0x1.3cd1c489f6683p-15, 0x1.40d8a2e78f31bp-15, 0x1.44cae7183c77p-15, 0x1.48a7c60a8701ap-15, 0x1.4c6f7b0c1ba8dp-15, 0x1.5025079df49b4p-15, 0x1.53c431ee3d43p-15, 0x1.574e79e7768d5p-15, 0x1.5ac520c1316b7p-15, 0x1.5e26001c302acp-15, 0x1.617190524f3cep-15, 0x1.64a8f1472fa6ap-15, 0x1.67cc283ddb789p-15, 0x1.6adb40930f63bp-15, 0x1.6dd529ec2dd32p-15, 0x1.70ba9fce6485cp-15, 0x1.738c742f9cc48p-15, 0x1.764a24c6d006dp-15, 0x1.78f319af14bcfp-15, 0x1.7b88d597bedd7p-15, 0x1.7e0ad6576676cp-15, 0x1.8078c84a4084ap-15, 0x1.82d375a618b14p-15, 0x1.851a5a380cd21p-15, 0x1.874e13ecd85a6p-15, 0x1.896e28340fe14p-15, 0x1.8b7af36c8c76bp-15, 0x1.8d7562af2f52fp-15, 0x1.8f5d56540a983p-15, 0x1.91329fc881ba9p-15, 0x1.92f58beecfc4cp-15, 0x1.94a4c86140724p-15, 0x1.9642c9bfa243ep-15, 0x1.97cdd045e9f42p-15, 0x1.99472813b3de6p-15, 0x1.9aaf37207b379p-15, 0x1.9c06f9a36af04p-15, 0x1.9d4b22bde432cp-15, 0x1.9e7ed48bfa527p-15, 0x1.9fa11eec4f211p-15, 0x1.a0b289032bf15p-15, 0x1.a1b30f59f964ap-15, 0x1.a2a34a199c07fp-15, 0x1.a382b87ad54ccp-15, 0x1.a452014dd4c31p-15, 0x1.a511290d85558p-15, 0x1.a5c0116aa06e4p-15, 0x1.a660148859158p-15, 0x1.a6ef49ef2ae15p-15, 0x1.a76f7ab36c12dp-15, 0x1.a7e0da35a363cp-15, 0x1.a8427b7bb09f3p-15, 0x1.a8953478d31d9p-15, 0x1.a8db28967cf3bp-15, 0x1.a9107b2e31e41p-15, 0x1.a9390ed8ab0bbp-15, 0x1.a951488b2cd74p-15, 0x1.a95cdc66c0832p-15, 0x1.a95a824ead198p-15, 0x1.a94a70af48ee1p-15, 0x1.a92c766ab265ap-15, 0x1.a90231fe2b614p-15, 0x1.a8c9d137e83e5p-15, 0x1.a8857ea6e361p-15, 0x1.a833fe52f7f7fp-15, 0x1.a7d56c0d7f6dap-15, 0x1.a76aded698f94p-15, 0x1.a6f4565457a5p-15, 0x1.a67190348ccedp-15, 0x1.a5e2eba9c3b9ep-15, 0x1.a54890f715a08p-15, 0x1.a4a2944fecfb1p-15, 0x1.a3f13742d3b56p-15, 0x1.a337c00a14361p-15, 0x1.a26ddbb91561bp-15, 0x1.a19bd36d5e3e6p-15, 0x1.a0bef9448f9c4p-15, 0x1.9fd7ee41c02b9p-15, 0x1.9ee6e7e271059p-15, 0x1.9deb36481ead6p-15, 0x1.9ce5f183a8295p-15, 0x1.9bd5e6f74ff28p-15, 0x1.9abbed7158acap-15, 0x1.999a83e6cd8aap-15, 0x1.986f4e621cfe6p-15, 0x1.973b04b2255e6p-15, 0x1.95fd5ff1caf7p-15, 0x1.94b606e423afdp-15, 0x1.9366f67ef00c1p-15, 0x1.920f3efd78b3fp-15, 0x1.90afeca244d24p-15, 0x1.8f4809e15c1a1p-15, 0x1.8dd7b51cf5e28p-15, 0x1.8c5f8342b741p-15, 0x1.8ae05297a4d19p-15, 0x1.8958d1146a241p-15, 0x1.87caec3c97ce9p-15, 0x1.8635120e31757p-15, 0x1.849878723dee9p-15, 0x1.82f4c52d54fa7p-15, 0x1.814afd0b0e09ep-15, 0x1.7f9960abf005p-15, 0x1.7de19c4d30654p-15, 0x1.7c239a6eb20fcp-15, 0x1.7a60785fd76bap-15, 0x1.7895b84a21587p-15, 0x1.76c2d8cfa19b4p-15, 0x1.74f00b3652d49p-15, 0x1.7312e12682a95p-15, 0x1.713376baa5bacp-15, 0x1.6f4d7600c1827p-15, 0x1.6d622a5403866p-15, 0x1.6b718c3f56304p-15, 0x1.697c534d1505p-15, 0x1.67822812ee5bp-15, 0x1.65827290ffb75p-15, 0x1.637e4d9b94acep-15, 0x1.61771a1a4241cp-15, 0x1.5f6ae97f3278ap-15, 0x1.5d5a43fa4f5dp-15, 0x1.5b45b7cf44d3fp-15, 0x1.592d2a6166546p-15, 0x1.57110e13ff8dbp-15, 0x1.54ef9fa5593fap-15, 0x1.52cc8d3118424p-15, 0x1.50a53b11e0a08p-15, 0x1.4e7b6f18da8e7p-15, 0x1.4c4d7c5f96d3bp-15, 0x1.4a1c4a994b591p-15, 0x1.47e8660767796p-15, 0x1.45b1922f5c667p-15, 0x1.4377228f9a486p-15, 0x1.413b415ed249bp-15, 0x1.3efbd36f7dc46p-15, 0x1.3cbabd4dcc98ep-15, 0x1.3a7703b819843p-15, 0x1.382f48bd8662dp-15, 0x1.35e7fb4dc01dep-15, 0x1.339df80b338f3p-15, 0x1.31517fb78058cp-15, 0x1.2f034c939dc3fp-15, 0x1.2cb314675e0d3p-15, 0x1.2a60eab55edbep-15, 0x1.280d6e081ae01p-15, 0x1.25b96f74863c6p-15, 0x1.236211ba63563p-15, 0x1.210ae0e228494p-15, 0x1.1eb197ba81d6p-15, 0x1.1c577840093e8p-15, 0x1.19fc83a32e904p-15, 0x1.17a05e427d0b2p-15, 0x1.154394422f57fp-15, 0x1.12e488fa5c613p-15, 0x1.10862ee53ad44p-15, 0x1.0e27c32cfdb3p-15, 0x1.0bc83c14b2993p-15, 0x1.096732b0e3e0bp-15, 0x1.070643dcda369p-15, 0x1.04a426225261ap-15, 0x1.02434d98eae67p-15, 0x1.ffc4b2e78a05fp-16, 0x1.fb00b758ca516p-16, 0x1.f63cabf02ca1bp-16, 0x1.f178571175f93p-16, 0x1.ecb453e45dc2p-16, 0x1.e7f1864e66802p-16, 0x1.e32dd76b017d2p-16, 0x1.de6bea47e2385p-16, 0x1.d9a902ced4e16p-16, 0x1.d4e9754e10ddbp-16, 0x1.d02a61081ca4bp-16, 0x1.cb6bca705dc02p-16, 0x1.c6ae0aa5139b8p-16, 0x1.c1f1deedce3c4p-16, 0x1.bd36e5edc9548p-16, 0x1.b87cfa2af566cp-16, 0x1.b3c566901f56cp-16, 0x1.af0fbb6cc33dep-16, 0x1.aa5b99cca7c27p-16, 0x1.a5af26b6283fbp-16, 0x1.a0fa89df7d005p-16, }}, 
      {{0x1.79eb470e09164p-4, 0x1.f1d56fba337ap-4, 0x1.5c9dbcda2d0bep-4, 0x1.0a2e96f0b861cp-8, -0x1.8d24fb33020dfp-4, -0x1.945197bbd55b2p-3, -0x1.21ce2353cf29fp-2, -0x1.61a0c269913dbp-2, -0x1.85ea0d9106526p-2, -0x1.8e806bffa2484p-2, -0x1.7d938bf329b7dp-2, -0x1.56b490ee36537p-2, -0x1.1e1d4ce650dabp-2, -0x1.b05cf3df56924p-3, -0x1.1234335e26071p-3, -0x1.a57aae8bbd1fp-5, 0x1.0e0aa8a629a7fp-5, 0x1.ddc4139b54d3ap-4, 0x1.94442c909ef41p-3, 0x1.18189f022a21fp-2, 0x1.600eb0978ddb2p-2, 0x1.a12668539b475p-2, 0x1.dadb3f9b93455p-2, 0x1.0679c03a3f2e8p-1, 0x1.1bb941b6149dap-1, 0x1.2d460776ca6a5p-1, 0x1.3b4c87b07570fp-1, 0x1.4606db79502abp-1, 0x1.4db884c4b2fb8p-1, 0x1.52aadea015092p-1, 0x1.552a2f4ca8294p-1, 0x1.558349af356a7p-1, 0x1.5401b010e89ecp-1, 0x1.50ee26b7462a9p-1, 0x1.4c8da6289574ap-1, 0x1.47209e7e40b8ep-1, 0x1.40e27e288e10bp-1, 0x1.3a096e76f3c1fp-1, 0x1.32c63ccc8398fp-1, 0x1.2b446534b76fbp-1, 0x1.23aa36602f4bcp-1, 0x1.1c190a693486bp-1, 0x1.14ad8b91de039p-1, 0x1.0d80000b108fdp-1, 0x1.06a49de1a0ff2p-1, 0x1.002be19e9121bp-1, 0x1.f445c4a4e76e9p-2, 0x1.e927465c14056p-2, 0x1.df0ace5bc0d03p-2, 0x1.d5fa011442c27p-2, 0x1.cdfa35b63f944p-2, 0x1.c70cfe724d634p-2, 0x1.c130a7e0466edp-2, 0x1.bc60b578c269fp-2, 0x1.b896507410266p-2, 0x1.b5c8ac9449f4fp-2, 0x1.b3ed61360e0ffp-2, 0x1.b2f8b849b99fdp-2, 0x1.b2ddf79ffaf84p-2, 0x1.b38fa285b6018p-2, 0x1.b4ffb47be1a83p-2, 0x1.b71fd3dad1467p-2, 0x1.b9e17efc2a313p-2, 0x1.bd3631025ddd7p-2, 0x1.c10f83681f3cbp-2, 0x1.c55f494449c9dp-2, 0x1.ca17a78debb23p-2, 0x1.cf2b2910d4a17p-2, 0x1.d48ccee2f54d5p-2, 0x1.da301d5e16ac5p-2, 0x1.e009263f5391ap-2, 0x1.e60c900a35526p-2, 0x1.ec2f9b388d9fcp-2, 0x1.f26824f5cb2b1p-2, 0x1.f8aca9470d4fep-2, 0x1.fef4425f60d96p-2, 0x1.029b53b878ae1p-1, 0x1.05b6157f3107dp-1, 0x1.08c6db7bfe0adp-1, 0x1.0bca64ae87a45p-1, 0x1.0ebdb7c31cd3cp-1, 0x1.119e20791d732p-1, 0x1.14692d36a2e99p-1, 0x1.171cabe4d1227p-1, 0x1.19b6a73d78dp-1, 0x1.1c3563b4332b8p-1, 0x1.1e975c7998c2dp-1, 0x1.20db40961c6c4p-1, 0x1.22ffefc9fc3aep-1, 0x1.250477c9da6e8p-1, 0x1.26e811310f6f2p-1, 0x1.28aa1cff1ee77p-1, 0x1.2a4a21acd35bp-1, 0x1.2bc7c887e731ep-1, 0x1.2d22db5bf9753p-1, 0x1.2e5b41d9dbd9ap-1, 0x1.2f70ff62c8169p-1, 0x1.306430a684b9fp-1, 0x1.313509b149f43p-1, 0x1.31e3d3aab9fd1p-1, 0x1.3270eb180eab9p-1, 0x1.32dcbdebdda58p-1, 0x1.3327c9d20a79cp-1, 0x1.33529a8c7e528p-1, 0x1.335dc854d0c06p-1, 0x1.3349f684006a5p-1, 0x1.3317d22286b5bp-1, 0x1.32c810a530143p-1, 0x1.325b6ec3826a4p-1, 0x1.31d2af452de08p-1, 0x1.312e9a1a55237p-1, 0x1.306ffb516d728p-1, 0x1.2f97a2248dd7ep-1, 0x1.2ea66067570c7p-1, 0x1.2d9d095f7c8bap-1, 0x1.2c7c7179b4692p-1, 0x1.2b456d7f3324ep-1, 0x1.29f8d1e317bbep-1, 0x1.289772764c5a4p-1, 0x1.272221c4a360cp-1, 0x1.2599b09f87554p-1, 0x1.23feedf4796dp-1, 0x1.2252a6270fe28p-1, 0x1.2095a2ecff875p-1, 0x1.1ec8ab191f87fp-1, 0x1.1cec82333744cp-1, 0x1.1b01e83c4807bp-1, 0x1.190999b694014p-1, 0x1.17044f5428b97p-1, 0x1.14f2bdc8eced4p-1, 0x1.12d595cd11147p-1, 0x1.10ad8409764f1p-1, 0x1.0e7b30caff46fp-1, 0x1.0c3f4038cd09bp-1, 0x1.09fa522d568efp-1, 0x1.07ad022755a7bp-1, 0x1.0557e74c56856p-1, 0x1.02fb947c995ddp-1, 0x1.00989840c4bd2p-1, 0x1.fc5ef98bd4fe5p-2, 0x1.f7818ff9a775ep-2, 0x1.f299f74958c69p-2, 0x1.eda92a960f598p-2, 0x1.e8b01c730585ap-2, 0x1.e3afb79b7ad61p-2, 0x1.dea8deb85d979p-2, 0x1.d99c6c62a08a8p-2, 0x1.d48b337595cd3p-2, 0x1.cf75ff56d0491p-2, 0x1.ca5d93fa165e8p-2, 0x1.c542adc8de524p-2, 0x1.c026022f1aeedp-2, 0x1.bb083faad2be4p-2, 0x1.b5ea0de2b6274p-2, 0x1.b0cc0db60feedp-2, 0x1.abaed9ac6586ep-2, 0x1.a69305f6c0e8ep-2, 0x1.a179209f3f41fp-2, 0x1.9c61b1bc35eebp-2, 0x1.974d3b6e53891p-2, 0x1.923c3a59a7439p-2, 0x1.8d2f25a0dd55bp-2, 0x1.88266f112fddcp-2, 0x1.8322832ffe2c5p-2, 0x1.7e23c99c88d09p-2, 0x1.792aa5188d743p-2, 0x1.743773adac86dp-2, 0x1.6f4a8ecebb406p-2, 0x1.6a644b813347bp-2, 0x1.6584fa8e47793p-2, 0x1.60ace8a657462p-2, 0x1.5bdc5e6aceb35p-2, 0x1.5713a0975c61ep-2, 0x1.5252f0332e5cbp-2, 0x1.4d9a8ab46dd1cp-2, 0x1.48eaaa0abba3ap-2, 0x1.444384cc2a7f4p-2, 0x1.3fa54e326295ep-2, 0x1.3b1036709c84p-2, 0x1.36846a9bcefcdp-2, 0x1.3202150a9752fp-2, 0x1.2d895d080d71fp-2, 0x1.291a672e97059p-2, 0x1.24b555a03d1cp-2, 0x1.205a47d6bc474p-2, 0x1.1c095adb58114p-2, 0x1.17c2a9819a1a2p-2, 0x1.13864c1babbcep-2, 0x1.0f5458fe33442p-2, 0x1.0b2ce4556764fp-2, 0x1.07100049ec227p-2, 0x1.02fdbd154f797p-2, 0x1.fdec5227a7fcbp-3, 0x1.f5f2a1929f6bbp-3, 0x1.ee0e7df0e51bfp-3, 0x1.e63ff9a509f56p-3, 0x1.de8723bc76201p-3, 0x1.d6e4085c26035p-3, 0x1.cf56b05b38afbp-3, 0x1.c7df21ff593f9p-3, 0x1.c07d60c81ddcfp-3, 0x1.b9316d96a3e4dp-3, 0x1.b1fb46c36793bp-3, 0x1.aadae83e7b3dcp-3, 0x1.a3d04ba908a54p-3, 0x1.9cdb686098bcdp-3, 0x1.95fc339cac9bap-3, 0x1.8f32a0b6e001fp-3, 0x1.887ea0fd9125p-3, 0x1.81e023d6063d6p-3, 0x1.7b5716e779465p-3, 0x1.74e36611f196fp-3, 0x1.6e84fba5699d2p-3, 0x1.683bc070e61c1p-3, 0x1.62079b8f680eep-3, 0x1.5be87303fd647p-3, 0x1.55de2b49dba43p-3, 0x1.4fe8a75b373bap-3, 0x1.4a07c9607f90fp-3, 0x1.443b720b30ad3p-3, 0x1.3e838110c8ee8p-3, 0x1.38dfd5109dedbp-3, 0x1.33504bb457709p-3, 0x1.2dd4c19866f84p-3, 0x1.286d128ffbc9ap-3, 0x1.23191984346adp-3, 0x1.1dd8b097b763ep-3, 0x1.18abb12ef6b4bp-3, 0x1.1391f3f828867p-3, 0x1.0e8b51017268ep-3, 0x1.09979f8e447d9p-3, 0x1.04b6b6873df2p-3, 0x1.ffd0d81f837a6p-4, 0x1.f6592bd0d260fp-4, 0x1.ed0612e5fd1cp-4, 0x1.e3d736e87dd2bp-4, 0x1.dacc40bc7ee8dp-4, 0x1.d1e4d891ea746p-4, 0x1.c920a5c96dca1p-4, 0x1.c07f4f45f64d7p-4, 0x1.b8007b5187406p-4, 0x1.afa3cfa9cb5f1p-4, 0x1.a768f1f2754f8p-4, 0x1.9f4f86e68dda6p-4, 0x1.97573353b6ee9p-4, 0x1.8f7f9b93a665cp-4, 0x1.87c863ad70336p-4, 0x1.80312ff04c0a7p-4, 0x1.78b9a3a7cfe02p-4, 0x1.7161630ae187bp-4, 0x1.6a28118d922acp-4, 0x1.630d52ec2c563p-4, 0x1.5c10cafcb8f97p-4, 0x1.55321d4ab63e3p-4, 0x1.4e70edb8454d5p-4, 0x1.47cce079eb769p-4, 0x1.414599884badcp-4, 0x1.3adabd6b544dbp-4, 0x1.348bf0b24542ap-4, 0x1.2e58d8393fbadp-4, 0x1.28411930c8fap-4, 0x1.22445931c13b6p-4, 0x1.1c623e15f51ecp-4, 0x1.169a6ddde82cep-4, 0x1.10ec8f7dfb7fap-4, 0x1.0b5849c294878p-4, 0x1.05dd444c9ba98p-4, 0x1.007b2712594bep-4, 0x1.f66334f7053a8p-5, 0x1.ec008f2fd06b8p-5, 0x1.e1cdaf9d98c46p-5, 0x1.d7c9ea5c9b733p-5, 0x1.cdf494c3bc0cp-5, 0x1.c44d0506772a3p-5, 0x1.bad292ddcbaep-5, 0x1.b18496cc3e41dp-5, 0x1.a8626b2179559p-5, 0x1.9f6b6b0350b15p-5, 0x1.969ef31747452p-5, 0x1.8dfc612cb976cp-5, 0x1.858314a419df8p-5, 0x1.7d326e4084045p-5, 0x1.7509cf99c1788p-5, 0x1.6d089c37f4a6ep-5, 0x1.652e3911177fap-5, 0x1.5d7a0c811e384p-5, 0x1.55eb7df6fc06fp-5, 0x1.4e81f6d14e1b8p-5, 0x1.473ce19d8b1d8p-5, 0x1.401baa9e1ace1p-5, 0x1.391dbf4595cc7p-5, 0x1.32428eee3de81p-5, 0x1.2b898a1a5e517p-5, 0x1.24f222ee5806cp-5, 0x1.1e7bcd470aa41p-5, 0x1.1825fe434a921p-5, 0x1.11f02cc583fa5p-5, 0x1.0bd9d11ffda55p-5, 0x1.05e2652b7ce62p-5, 0x1.00096464e321ep-5, 0x1.f49c978103aafp-6, 0x1.e9613399010fcp-6, 0x1.de5f9cbf9d9bfp-6, 0x1.d396d72ecd118p-6, 0x1.c905e7df17f59p-6, 0x1.beabd8e62a63bp-6, 0x1.b487b7a50fbc9p-6, 0x1.aa9892db88bf9p-6, 0x1.a0dd7e094688ap-6, 0x1.97558ea6797a1p-6, 0x1.8dffddcde9f01p-6, 0x1.84db8781dcf3cp-6, 0x1.7be7a9f626ad8p-6, 0x1.732367a2df543p-6, 0x1.6a8de4e6b0f1fp-6, 0x1.62264a20f9b07p-6, 0x1.59ebc23d584f3p-6, 0x1.51dd7b4e13ab9p-6, 0x1.49faa67f61626p-6, 0x1.424277ef41dd3p-6, 0x1.3ab426c6b5228p-6, 0x1.334eec9b6d79fp-6, 0x1.2c1205c96985ap-6, 0x1.24fcb226449acp-6, 0x1.1e0e33098170dp-6, 0x1.1745cd086a485p-6, 0x1.10a2c857cdee9p-6, 0x1.0a246f38519c3p-6, 0x1.03ca0f9268b4bp-6, 0x1.fb25f3a908633p-7, 0x1.eefd0220115e9p-7, 0x1.e317f8274b5d3p-7, 0x1.d7758621f3408p-7, 0x1.cc1462151446p-7, 0x1.c0f346b5a22p-7, 0x1.b610f34b40c34p-7, 0x1.ab6c2b58881b4p-7, 0x1.a103b92051b4p-7, 0x1.96d6696e2bedbp-7, 0x1.8ce310cd16505p-7, 0x1.832889821a74ep-7, 0x1.79a5b2a9802ep-7, 0x1.705970ada3585p-7, 0x1.6742ad4f9c782p-7, 0x1.5e605652d6aa3p-7, 0x1.55b15dc07fe7fp-7, 0x1.4d34baf29443cp-7, 0x1.44e965e090426p-7, 0x1.3cce5c4b00b0ap-7, 0x1.34e29ec336c64p-7, 0x1.2d2533812ea1ap-7, 0x1.2595236697497p-7, 0x1.1e317e858acc5p-7, 0x1.16f9595e29229p-7, 0x1.0febce2ec1eafp-7, 0x1.0907fbad90f0cp-7, 0x1.024d06633c5d5p-7, 0x1.f7742e0cd82cfp-8, 0x1.ea9caf6a2f8efp-8, 0x1.de11efc23d5d8p-8, 0x1.d1d24ede81f0ap-8, 0x1.c5dc3059a2b09p-8, 0x1.ba2dfe9f5d706p-8, 0x1.aec626eee1d2p-8, 0x1.a3a31edaacd04p-8, 0x1.98c364a867f49p-8, 0x1.8e2582fe47354p-8, 0x1.83c80d932a98bp-8, 0x1.79a9ac37cc80ep-8, 0x1.6fc909a4f04d3p-8, 0x1.6624da809ee0cp-8, 0x1.5cbbdd55cdf4ep-8, 0x1.538ccd8262b58p-8, 0x1.4a966cfd01698p-8, 0x1.41d77744a5f2p-8, 0x1.394ea85f2f89cp-8, 0x1.30fac0c39385bp-8, 0x1.28da819bd1352p-8, 0x1.20ecb6e83fa3ap-8, 0x1.1930388ccc584p-8, 0x1.11a3ec18ae53ep-8, 0x1.0a46c5156cccbp-8, 0x1.0317c5a4d9c98p-8, 0x1.f82bea4792e84p-9, 0x1.ea80cb1f8c62ep-9, 0x1.dd2c408405511p-9, 0x1.d02c6a5303d3ap-9, 0x1.c37f547f92f78p-9, 0x1.b72309142ab15p-9, 0x1.ab158ef66f378p-9, 0x1.9f54f05944a42p-9, 0x1.93df506e0fac1p-9, 0x1.88b2df5fe5cf6p-9, 0x1.7dcdeabc0b85p-9, 0x1.732ed8800e359p-9, 0x1.68d4249f4d589p-9, 0x1.5ebc58c93c472p-9, 0x1.54e602b92eafp-9, 0x1.4b4fb11fd2d1dp-9, 0x1.41f7ea5ec786ep-9, 0x1.38dd2fab8c65dp-9, 0x1.2ffe03a33c3b2p-9, 0x1.2758ee0a7370fp-9, 0x1.1eec77efc9962p-9, 0x1.16b73e184b3ecp-9, 0x1.0eb7ef61f586bp-9, 0x1.06ed4b751d4bap-9, 0x1.feac4c9bc1623p-10, 0x1.efe2b35e9e0fap-10, 0x1.e17b948fb8f6cp-10, 0x1.d374b23228e25p-10, 0x1.c5cbbdff19227p-10, 0x1.b87e587c0d999p-10, 0x1.ab8a1947ecccbp-10, 0x1.9eec9f24e3644p-10, 0x1.92a3951e51971p-10, 0x1.86acd0d24fe6bp-10, 0x1.7b0657bbba6ebp-10, 0x1.6fae4d7bac4fbp-10, 0x1.64a2fbdde9c3ep-10, 0x1.59e2bff25334bp-10, 0x1.4f6c033cd63e4p-10, 0x1.453d2d867c1d9p-10, 0x1.3b54a171f7ef1p-10, 0x1.31b0b4d0322e2p-10, 0x1.284fa21751176p-10, 0x1.1f2faf5848066p-10, 0x1.164eefa55986bp-10, 0x1.0dab8b5037218p-10, 0x1.0543ad3f27a3fp-10, 0x1.fa2b4efb7398dp-11, 0x1.ea3fd08b6ce79p-11, 0x1.dac220cf8e233p-11, 0x1.cbafef40dc5edp-11, 0x1.bd06f1bdcf2c7p-11, 0x1.aec516faf87d5p-11, 0x1.a0e82316a2705p-11, 0x1.936ddadbf2d6p-11, 0x1.8653cda6cda35p-11, 0x1.7997867baf2acp-11, 0x1.6d3697d111ea1p-11, 0x1.612ea385d91b9p-11, 0x1.557d522ee753dp-11, 0x1.4a205af3cf028p-11, 0x1.3f1576d9a117bp-11, 0x1.345a4cab0311ap-11, 0x1.29ec7bc20f959p-11, 0x1.1fc9ae9c1a896p-11, 0x1.15efb40d76221p-11, 0x1.0c5c9236302e9p-11, 0x1.030e92c27b339p-11, 0x1.f4083554051a4p-12, 0x1.e277962f0201cp-12, 0x1.d1682b00da6b7p-12, 0x1.c0d6cbb2631efp-12, 0x1.b0c02af4d13e8p-12, 0x1.a1210b28649c9p-12, 0x1.91f676ae7448cp-12, 0x1.833dea285e032p-12, 0x1.74f4e812e40b1p-12, 0x1.67191bc8455acp-12, 0x1.59a801e3313a6p-12, 0x1.4c9e8428f3bd6p-12, 0x1.3ff8e1c0c06a7p-12, 0x1.33b3786be7dc4p-12, 0x1.27ca911eac4a8p-12, 0x1.1c3ae36e0ab97p-12, 0x1.1101f8513b014p-12, 0x1.061dbeca87c0ap-12, 0x1.f718b2eb7332bp-13, 0x1.e298a6cd3b69fp-13, 0x1.ceb78bde8ae21p-13, 0x1.bb71961d2f90cp-13, 0x1.a8c3112e4f3c4p-13, 0x1.96a89af837e14p-13, 0x1.851f1f99b1e5ep-13, 0x1.74238b3096ff2p-13, 0x1.63b26b7b77ba8p-13, 0x1.53c7a9cac00c3p-13, 0x1.445eec8f7b062p-13, 0x1.3572995ab9208p-13, 0x1.26fedce6df741p-13, 0x1.18ff8edf43178p-13, 0x1.0b716126677bdp-13, 0x1.fca23f9ad43f3p-14, 0x1.e33778dcbd16ep-14, 0x1.ca9c0923aa545p-14, 0x1.b2c9deaeb4de9p-14, 0x1.9bbbdaac8ad9cp-14, 0x1.856e457a8330bp-14, 0x1.6fde421921dabp-14, 0x1.5b08b65125448p-14, 0x1.46e99bcae8571p-14, 0x1.337b9812309cep-14, 0x1.20b83c5bd0823p-14, 0x1.0e98b707bf4bp-14, 0x1.fa2d7a6aede8cp-15, 0x1.d859d511c99abp-15, 0x1.b7ac02519ddddp-15, 0x1.981c702398e33p-15, 0x1.79a54311e6214p-15, 0x1.5c40508894708p-15, 0x1.3fe671e1788fbp-15, 0x1.24912b5e72d9ap-15, 0x1.0a388f66c4865p-15, 0x1.e1a7816bbe3bdp-16, 0x1.b0bbaca0ef98fp-16, 0x1.81a15780f0aaep-16, 0x1.544be5857c564p-16, 0x1.28ad386390231p-16, 0x1.fd70a485cad64p-17, 0x1.acc29d8d6dc14p-17, 0x1.5f3b5902d0221p-17, 0x1.14b9c1d12502ap-17, 0x1.9a2c5346abb43p-18, 0x1.1069d5183601ap-18, 0x1.180274b855caap-19, 0x1.9bb24776083p-23, -0x1.b441e8d50ba09p-20, -0x1.c3ddc04c1f027p-19, -0x1.51e1aab4c0364p-18, -0x1.bd1e4bf5d672dp-18, -0x1.11e993ec0cedbp-17, -0x1.430610f74521cp-17, -0x1.71f1e71cf9e8bp-17, -0x1.9eb4ffce2b6c4p-17, -0x1.c95dcc66a6813p-17, -0x1.f1fe9ce60d578p-17, -0x1.0c56c34b5db9dp-16, -0x1.1ec0e5d553bb7p-16, -0x1.30489b6fcd3bap-16, -0x1.40f6de0dc19fdp-16, -0x1.50ced200f4e69p-16, -0x1.5fd7aa20db7ffp-16, -0x1.6e1842a81ae2fp-16, -0x1.7b99d508aeb84p-16, -0x1.8861eec53c71cp-16, -0x1.9472a2fd9ce5fp-16, -0x1.9fce88a2b4f25p-16, -0x1.aa7b524cec854p-16, -0x1.b47fc51c50f35p-16, -0x1.bde4ed752251ap-16, -0x1.c6ac0323dd95bp-16, -0x1.ced9f806eb381p-16, -0x1.d6743481f4219p-16, -0x1.dd812b0538519p-16, -0x1.e405a2e63d056p-16, -0x1.ea05a3c18d3f4p-16, -0x1.ef83c0f4b401fp-16, -0x1.f48288c2646eep-16, -0x1.f9074a52bc317p-16, -0x1.fd130422a4b35p-16, -0x1.0057b668f889fp-15, -0x1.01f1d93b9fde9p-15, -0x1.035a5b48730e9p-15, -0x1.0491ff0f898e4p-15, -0x1.05993f85e7ccep-15, -0x1.0671af46c30f6p-15, -0x1.071c683643554p-15, -0x1.079b91e1e2e11p-15, -0x1.07f023c0db65bp-15, -0x1.081a9da8eb784p-15, -0x1.081d4d2f45fdfp-15, -0x1.07fa1606ab12p-15, -0x1.07b3092d03e04p-15, -0x1.0749c7994aeaep-15, -0x1.06bf8fbe5cb99p-15, -0x1.061593ad3a072p-15, -0x1.054cb840df7d8p-15, -0x1.046610a658fe9p-15, -0x1.0361c1254602p-15, -0x1.0241744a6e48cp-15, -0x1.0104bd2840b1bp-15, -0x1.ff5aaa0ca32ffp-16, -0x1.fc79c02291e05p-16, -0x1.f96b15af433d6p-16, -0x1.f6326b0aafe44p-16, -0x1.f2d0c638dcaep-16, -0x1.ef4539fe8d651p-16, -0x1.eb911eb2f2c8bp-16, -0x1.e7b7c96dd7d4dp-16, -0x1.e3bbe1f8977a1p-16, -0x1.df9a1b681dfa5p-16, -0x1.db55daf96bf49p-16, -0x1.d6f22d4a0acafp-16, -0x1.d271c5bb046c2p-16, -0x1.cdd62e31336e3p-16, -0x1.c920278b945dbp-16, -0x1.c4505e7a9cf2bp-16, -0x1.bf688538f3c6fp-16, -0x1.ba6a3ba56de0fp-16, -0x1.b5554286f7dc8p-16, -0x1.b02b6e182b5d7p-16, -0x1.aaed743e342afp-16, -0x1.a59bd62285b89p-16, -0x1.a037db36d831fp-16, -0x1.9ac17a1941cd6p-16, -0x1.954071a0ca4c8p-16, -0x1.8fb091d268cd8p-16, -0x1.8a12b2723aa89p-16, -0x1.84682ea845a04p-16, -0x1.7eb1fceedc044p-16, -0x1.78f12f1ad83ecp-16, -0x1.7325e1b78102cp-16, -0x1.6d51711acdb22p-16, -0x1.677659dc08835p-16, -0x1.619436a8fb3b6p-16, -0x1.5baadf925ea7bp-16, -0x1.55baaf5360daep-16, -0x1.4fc6800bd6a8dp-16, -0x1.49ce921a3dbcbp-16, -0x1.43d2b1e907b61p-16, -0x1.3dd2563b6870bp-16, -0x1.37d0e23af8da2p-16, -0x1.31ce1ad33251fp-16, -0x1.2bc8cf0fde2fcp-16, -0x1.25c2a44646a9cp-16, -0x1.1fbb9a6903a59p-16, -0x1.19b38530b76ep-16, -0x1.13abdb11ed91fp-16, -0x1.0da69ea06274p-16, -0x1.07a3596cd9fc3p-16, -0x1.01a186c8d362bp-16, -0x1.f74855b80ee0bp-17, -0x1.eb524b1a9f46ap-17, -0x1.df61315724885p-17, -0x1.d37460e01ef2dp-17, -0x1.c791a734c63dbp-17, -0x1.bbb7251fa1104p-17, -0x1.afe8c106a78cbp-17, -0x1.a427bb107a8dfp-17, -0x1.986e8c739fd9ep-17, -0x1.8cc015e35fc44p-17, -0x1.811fd02ab1f05p-17, -0x1.758a3f5bd4b51p-17, -0x1.6a04292208921p-17, -0x1.5e8bbbd9d2369p-17, -0x1.5321e44a5e563p-17, -0x1.47c788f4e476ap-17, -0x1.3c7bef802b3d3p-17, -0x1.314053f3fccd7p-17, -0x1.26152c1560741p-17, -0x1.1af9cd047e32p-17, -0x1.0feeaf2eae83dp-17, -0x1.04f71892627ebp-17, -0x1.f41e8dab2eb3p-18, -0x1.de78b6b383d18p-18, -0x1.c8fdc98a32252p-18, -0x1.b395b122406e9p-18, -0x1.9e5e7a5b0cd84p-18, -0x1.894fcbaad8d31p-18, -0x1.746a9b518a438p-18, -0x1.5faed0837f96ep-18, -0x1.4b1861f2b8fdp-18, -0x1.36a904d8faa5ep-18, -0x1.226339712f018p-18, -0x1.0e4b4adffd99ap-18, -0x1.f4b7fd866c25cp-19, -0x1.cd30859f77176p-19, -0x1.a5fbc08e0ae7dp-19, -0x1.7f2b65d9e9cafp-19, -0x1.589e7eb33b18fp-19, -0x1.32766d71b599p-19, -0x1.0ca412dbd37ffp-19, -0x1.ce56bf97a8941p-20, -0x1.84200a50121d9p-20, -0x1.3a9d85472aec5p-20, -0x1.e3ac84604fd57p-21, -0x1.535bdf5aa8566p-21, -0x1.88da5c9a224a2p-22, -0x1.b9100c2677dp-24, 0x1.53681fbbbaedep-23, 0x1.be8b3ee41ddd8p-22, 0x1.685e8dcbd2ac7p-21, 0x1.efe7ffdd9f419p-21, 0x1.3b13a6a7af731p-20, 0x1.7d66b8f351a2dp-20, 0x1.bf042b1033c01p-20, 0x1.ffe6c473f3829p-20, 0x1.20077b901135cp-19, 0x1.3fbea99783213p-19, 0x1.5f18934d487fp-19, 0x1.7e13e2533165ap-19, 0x1.9cb9f3b3a5a5bp-19, 0x1.bb005d652685cp-19, 0x1.d8e5815d142cep-19, 0x1.f670d31ee258bp-19, 0x1.09cd8b004cbbdp-18, 0x1.1835d2f222134p-18, 0x1.26739d0494b8cp-18, 0x1.34809d962d4eap-18, 0x1.425a59f85497p-18, 0x1.500b8df34d673p-18, 0x1.5d8a8acc1d417p-18, 0x1.6adea3922e2d9p-18, 0x1.78082a20a039ep-18, 0x1.8507f238b973fp-18, 0x1.91d3391f20f32p-18, 0x1.9e70f29a0728p-18, 0x1.aae68a961f5ep-18, 0x1.b72d940d69584p-18, 0x1.c345c613ffd1ap-18, 0x1.cf31ea43b2ec9p-18, 0x1.daf30c674239p-18, 0x1.e688eac27b1d6p-18, 0x1.f1f2d5518746cp-18, 0x1.fd310641081bep-18, 0x1.04216eafd74aap-17, 0x1.0994f0a8237afp-17, 0x1.0ef3c370d0f51p-17, 0x1.143d83788d806p-17, 0x1.197137b50bdbep-17, 0x1.1e8f4887ab6bp-17, 0x1.239958aa33ae1p-17, 0x1.288f52979071ap-17, 0x1.2d7161988a0fbp-17, 0x1.323d02032d414p-17, 0x1.36ef1e65437b5p-17, 0x1.3b924f4a250ep-17, 0x1.4021b9454cc44p-17, 0x1.4499d47e29ea6p-17, 0x1.48ffa8835f506p-17, 0x1.4d51ee1009d65p-17, 0x1.518f8f2e118fp-17, 0x1.55b9b2dcf974ep-17, 0x1.59d250d7bdc08p-17, 0x1.5dd7724a2a3eep-17, 0x1.61c68941de296p-17, 0x1.65a362d613585p-17, 0x1.696dc39f67933p-17, 0x1.6d259d84aa1dep-17, 0x1.70cb32ec84838p-17, 0x1.745ef08deff6dp-17, 0x1.77df79bb5365p-17, 0x1.7b4d4849e0bfp-17, 0x1.7ea95b020e692p-17, 0x1.81f3abc5bed13p-17, 0x1.852b50bd7bb74p-17, 0x1.88521c29985adp-17, 0x1.8b6733f6d5cb8p-17, 0x1.8e6af8ab9f0a9p-17, 0x1.915e0f797aee6p-17, 0x1.943f9a6aafd71p-17, 0x1.97104c49a69b1p-17, 0x1.99d0228523a1p-17, 0x1.9c7f719493de8p-17, 0x1.9f1e7b5b059f1p-17, 0x1.a1acf20030b29p-17, 0x1.a42c207878fd6p-17, 0x1.a699d02d9cccbp-17, 0x1.a8f7e52fa3663p-17, 0x1.ab470c6efbc23p-17, 0x1.ad874f7ff2b1fp-17, 0x1.afb70e06c2422p-17, 0x1.b1d784c66cf9bp-17, 0x1.b3e785d571af2p-17, 0x1.b5ec19bbba696p-17, 0x1.b7df20500b9ccp-17, 0x1.b9c32ae973537p-17, 0x1.bb9b1d6634c77p-17, 0x1.bd631386839c7p-17, 0x1.bf1c3a0e32f9p-17, 0x1.c0c563a977b1ep-17, 0x1.c26747967b007p-17, 0x1.c3f71d698e50fp-17, 0x1.c578fd8a2f3cbp-17, 0x1.c6eea90958331p-17, 0x1.c8546a2686fefp-17, 0x1.c9aeb08f625e7p-17, 0x1.cafcf36ebcbd4p-17, 0x1.cc3c54d8b9e83p-17, 0x1.cd751c8a68937p-17, 0x1.ce999e87adbffp-17, 0x1.cfb1779ad99cfp-17, 0x1.d0bea818af102p-17, 0x1.d1c693bded7dap-17, 0x1.d2b84436f5ac5p-17, 0x1.d3a2771120c97p-17, 0x1.d480a6c7d255ap-17, 0x1.d552b9b65cd7fp-17, 0x1.d61ab27efd1b7p-17, 0x1.d6d57c62141ddp-17, 0x1.d78518d718693p-17, 0x1.d82cb4dae65d6p-17, 0x1.d8c5f963c52ep-17, 0x1.d95576e7fd7f6p-17, 0x1.d9da96623bfcap-17, 0x1.da54e5a49934ep-17, 0x1.dac4c970d48c5p-17, 0x1.db2a36199d646p-17, 0x1.db8536429813bp-17, 0x1.dbd6d61e30fe9p-17, 0x1.dc1a23dbafd5dp-17, 0x1.dc5c27720b2e8p-17, 0x1.dc90649e5b705p-17, 0x1.dcbb178ba33e2p-17, 0x1.dcdc35678ec86p-17, 0x1.dcf3d2d0675b3p-17, 0x1.dd031c0a4e772p-17, 0x1.dd09161bd2578p-17, 0x1.dd058a70fcc04p-17, 0x1.dcfd7a43a8eaep-17, 0x1.dce5a3c819cfap-17, 0x1.dcc9203ae48d2p-17, 0x1.dca4479ccea32p-17, 0x1.dc76f5d4efa3dp-17, 0x1.dc404ed2146f9p-17, 0x1.dc028d1045ec7p-17, 0x1.dbbc7dc79cb5ap-17, 0x1.db6fbcca9b0d5p-17, 0x1.db1baa84d4ceap-17, 0x1.dabe215a95f7bp-17, 0x1.da59defe512dcp-17, 0x1.d9edda3a518fap-17, 0x1.d97baa0da9105p-17, 0x1.d902de2c5a0d8p-17, 0x1.d881b6d7f1c2ep-17, 0x1.d7f9e05d66ba5p-17, 0x1.d76b49c0062eap-17, 0x1.d6d46cb508d9ap-17, 0x1.d6399a758f25ap-17, 0x1.d5976758cafc1p-17, 0x1.d4eec59cf5923p-17, 0x1.d442be36f3472p-17, 0x1.d38d90b25c09ep-17, 0x1.d2d6814c50f0bp-17, 0x1.d210c7c183dfap-17, 0x1.d14d65b656b3fp-17, 0x1.d07cebe3ff6d1p-17, 0x1.cfab17202b8c5p-17, 0x1.ced3f406cc497p-17, 0x1.cdf6dd29590afp-17, 0x1.cd14f46a91566p-17, 0x1.cc2d8325cb2b8p-17, 0x1.cb41b548f23e3p-17, 0x1.ca50d88f5847fp-17, 0x1.c9578bd3455a6p-17, 0x1.c85c00f10190bp-17, 0x1.c75bd4b443b33p-17, 0x1.c6564b0c0ea4ep-17, 0x1.c54cad25591a2p-17, 0x1.c43f118e08803p-17, 0x1.c32ab8fdc443p-17, 0x1.c21464285af78p-17, 0x1.c0f97d5681ff9p-17, 0x1.bfdb2f2084c1cp-17, 0x1.beb78438504f5p-17, 0x1.bd8fb0c4ffc09p-17, 0x1.bc64ab5ab1794p-17, 0x1.bb358cd47179p-17, 0x1.ba026f0e8045fp-17, 0x1.b8cb891634c91p-17, 0x1.b790a19dbaf0ep-17, 0x1.b6538445846cap-17, 0x1.b51370d24cfc9p-17, 0x1.b3cf5d61d4715p-17, 0x1.b286b41989643p-17, 0x1.b13b41db804a1p-17, 0x1.afed4e94c7c42p-17, 0x1.ae9c2b565b425p-17, 0x1.ad48593044dc4p-17, 0x1.abf18ad9e2411p-17, 0x1.aa96f98c53376p-17, 0x1.a93b54344b782p-17, 0x1.a7db291f8cb47p-17, 0x1.a678d9ab12e7dp-17, 0x1.a51506940b187p-17, 0x1.a3ad873a11154p-17, 0x1.a24431f70b5bp-17, 0x1.a0d97ae4ded27p-17, 0x1.9f6a126fffc8fp-17, 0x1.9df8fd42663d6p-17, 0x1.9c871ec7e4c32p-17, 0x1.9b13ed28ac5fap-17, 0x1.999d554d7ab65p-17, 0x1.98230d958dc1ep-17, 0x1.96a9fafbc8d91p-17, 0x1.952c77f51fd34p-17, 0x1.93aee5b4529fbp-17, 0x1.922fd6c15c542p-17, 0x1.90ae60f54df2ep-17, 0x1.8f29eb753a24fp-17, 0x1.8da606882759fp-17, 0x1.8c1e8b371adecp-17, 0x1.8a96efdc2828p-17, 0x1.890d6a1ceb99bp-17, 0x1.8783f5df28d28p-17, 0x1.85fad0b99c55bp-17, 0x1.846a441231e78p-17, 0x1.82dd0a06629acp-17, 0x1.814df81d76117p-17, 0x1.7fbcfe728718fp-17, 0x1.7e2b6ca956fe1p-17, 0x1.7c98fad17c325p-17, 0x1.7b055e1369936p-17, 0x1.7970fc6e7f314p-17, 0x1.77dbc2db080fdp-17, 0x1.76457cf96f308p-17, 0x1.74ad2517aa807p-17, 0x1.7314e0a5f6df6p-17, }}, 
      {{0x1.4ae68cdab11aep-2, 0x1.7acd9206bb35cp-2, 0x1.7bc2942d50c7cp-2, 0x1.509d802dff9c9p-2, 0x1.0b70355817e48p-2, 0x1.7e5c5af784a85p-3, 0x1.ea3aefbff8f3cp-4, 0x1.1bee596783caap-4, 0x1.49351f516353bp-5, 0x1.1136545d0b464p-5, 0x1.84e6c132000e6p-5, 0x1.46b0e52ade9b4p-4, 0x1.0371bfaa918c8p-3, 0x1.79dbd6c7db0efp-3, 0x1.ff2d83ccb42d8p-3, 0x1.46554c19ce2dcp-2, 0x1.8e3eefcf1a097p-2, 0x1.d4e80e1f97355p-2, 0x1.0c31f7b104e5bp-1, 0x1.2b9eb67521dacp-1, 0x1.4835b35a33cdap-1, 0x1.61a18f6df101cp-1, 0x1.77b4f5d749e0cp-1, 0x1.8a6396c0efb52p-1, 0x1.99bb91cb049ep-1, 0x1.a5df7b7a06d5dp-1, 0x1.af0114f735bc8p-1, 0x1.b55cbc70616acp-1, 0x1.b935936d86528p-1, 0x1.bad24fb449b1p-1, 0x1.ba7aa99d2133bp-1, 0x1.b87555d879e51p-1, 0x1.b5067a6a6cfa3p-1, 0x1.b06e8c85f330ep-1, 0x1.aae9873bf4133p-1, 0x1.a4ae6b7afea45p-1, 0x1.9deefbec334c1p-1, 0x1.96d7a780c1088p-1, 0x1.8f8f99c1447f4p-1, 0x1.8838e5dbe4a0ap-1, 0x1.80f0c501f6744p-1, 0x1.79cfe500e2baap-1, 0x1.72eabd5fd4a5ap-1, 0x1.6c51e6e4152b1p-1, 0x1.66127904b4e86p-1, 0x1.6036665d275f1p-1, 0x1.5ac4d2752985p-1, 0x1.55c263c75185cp-1, 0x1.5131960a475fep-1, 0x1.4d130758888fep-1, 0x1.4965bcc7554a8p-1, 0x1.46275fc5df47bp-1, 0x1.4354777adcdfap-1, 0x1.40e89fa51068ep-1, 0x1.3edeb96a780f3p-1, 0x1.3d31158f51292p-1, 0x1.3bd9987343a0ep-1, 0x1.3ad1d96a4889cp-1, 0x1.3a133f2827533p-1, 0x1.3997191e1b9fcp-1, 0x1.3956b5b9ba88bp-1, 0x1.394b74a93ed37p-1, 0x1.396ed6730b74bp-1, 0x1.39ba8845d383bp-1, 0x1.3a286e1d8c647p-1, 0x1.3ab2aaaa955f7p-1, 0x1.3b53a5dadeeb7p-1, 0x1.3c0611e736bd4p-1, 0x1.3cc4eefb3ffe6p-1, 0x1.3d8b8d91922fcp-1, 0x1.3e558f9fccf66p-1, 0x1.3f1ee8cc4248fp-1, 0x1.3fe3ddbc8f8c5p-1, 0x1.40a102b04fe28p-1, 0x1.415339ccc5ecp-1, 0x1.41f7b0b4e1249p-1, 0x1.428bddd6fc836p-1, 0x1.430d7de6dc7fbp-1, 0x1.437a907ac96b1p-1, 0x1.43d15513e4dcdp-1, 0x1.441047c5ce789p-1, 0x1.44361db58e414p-1, 0x1.4441c1ff5b91cp-1, 0x1.443251ff0dabep-1, 0x1.44071a3823b6fp-1, 0x1.43bf92ee85138p-1, 0x1.435b5cf1afee4p-1, 0x1.42da3ea12e405p-1, 0x1.423c20c4e1313p-1, 0x1.41810be461ebbp-1, 0x1.40a925407ee7cp-1, 0x1.3fb4ac97f2937p-1, 0x1.3ea3f9574f298p-1, 0x1.3d7778660f76ap-1, 0x1.3c2fa9f4877aep-1, 0x1.3acd1f4f35316p-1, 0x1.395079008e7a2p-1, 0x1.37ba64d47eaa3p-1, 0x1.360b9c386f103p-1, 0x1.3444e2856d765p-1, 0x1.3267039460a3ap-1, 0x1.3072d241bebe6p-1, 0x1.2e69271df6f4p-1, 0x1.2c4adf46ff937p-1, 0x1.2a18db311fa87p-1, 0x1.27d3fdbc4dc2ep-1, 0x1.257d2b292412p-1, 0x1.2315484de9a69p-1, 0x1.209d39c344e53p-1, 0x1.1e15e32a695f9p-1, 0x1.1b802695fde9cp-1, 0x1.18dce3ed53cfp-1, 0x1.162cf8555d64cp-1, 0x1.13713decee589p-1, 0x1.10aa8b1c88712p-1, 0x1.0dd9b27772cfep-1, 0x1.0aff8254dc325p-1, 0x1.081cc476947f7p-1, 0x1.05323df40b822p-1, 0x1.0240aee9726cep-1, 0x1.fe91a49c9e2p-2, 0x1.f896bbeb2b282p-2, 0x1.f292048a4bb86p-2, 0x1.ec84d46a834acp-2, 0x1.e67076b6332bbp-2, 0x1.e0562b7354a2bp-2, 0x1.da372781d40e3p-2, 0x1.d41494eca344ap-2, 0x1.cdef92ac6964bp-2, 0x1.c7c934b2c2ac7p-2, 0x1.c1a284357c664p-2, 0x1.bb7c7fc721b79p-2, 0x1.b5581b312b16ep-2, 0x1.af363ff70be9dp-2, 0x1.a917cd68fb584p-2, 0x1.a2fd98ae1724fp-2, 0x1.9ce86d0e38b97p-2, 0x1.96d90c4d056ebp-2, 0x1.90d02eb80877ep-2, 0x1.8ace834b4d5cep-2, 0x1.84d4b0236169dp-2, 0x1.7ee352a0f45a7p-2, 0x1.78faffb8b359ep-2, 0x1.731c43df6c6e1p-2, 0x1.6d47a3bf83839p-2, 0x1.677d9c4192afcp-2, 0x1.61bea2a74cb2p-2, 0x1.5c0b24e9e5f98p-2, 0x1.56638a114d878p-2, 0x1.50c8325b6ee92p-2, 0x1.4b39774b353a8p-2, 0x1.45b7ac2402272p-2, 0x1.40431e1857e36p-2, 0x1.3adc14769771fp-2, 0x1.3582d0c6e229dp-2, 0x1.30378f31bcf5cp-2, 0x1.2afa86a53325ep-2, 0x1.25cbe908aedc5p-2, 0x1.20abe36b1172ep-2, 0x1.1b9a9e268c01ep-2, 0x1.16983d3d1b609p-2, 0x1.11a4e06ea8d46p-2, 0x1.0cc0a3660f259p-2, 0x1.07eb9dd45baf3p-2, 0x1.0325e3c4fb7a3p-2, 0x1.fcdf0b6b5fc1fp-3, 0x1.f39121766d57p-3, 0x1.ea621d4b14c1cp-3, 0x1.e1520c58241bfp-3, 0x1.d860f6379aebdp-3, 0x1.cf8edcf73f021p-3, 0x1.c6dbbd35c1529p-3, 0x1.be478e7b6d8cdp-3, 0x1.b5d24385e2f04p-3, 0x1.ad7bca8f78d22p-3, 0x1.a5440d760eae4p-3, 0x1.9d2af201f040cp-3, 0x1.953059f2b64c5p-3, 0x1.8d542383a912p-3, 0x1.8596295852201p-3, 0x1.7df6431b6c68cp-3, 0x1.767444f318795p-3, 0x1.6f10003e898c9p-3, 0x1.67c943e756606p-3, 0x1.609fdbf50538cp-3, 0x1.599392213662ep-3, 0x1.52a42e07618p-3, 0x1.4bd174e7742ep-3, 0x1.451b2a3b81543p-3, 0x1.3e810fa03a74p-3, 0x1.3802e4f78b15dp-3, 0x1.31a0689d8e33dp-3, 0x1.2b59577ffb675p-3, 0x1.252d6d21ecb86p-3, 0x1.1f1c63d21fa57p-3, 0x1.1925f4d0e86c9p-3, 0x1.1349d84d8939ep-3, 0x1.0d87c5a15c25ep-3, 0x1.07df731ac7ccbp-3, 0x1.0250967b9d937p-3, 0x1.f9b5c9ad52ab1p-4, 0x1.eefc25337e41fp-4, 0x1.e473a77ab8b6dp-4, 0x1.da1bb7a6a058p-4, 0x1.cff3bc0e4bd42p-4, 0x1.c5fb1a6bb85acp-4, 0x1.bc3137fe53718p-4, 0x1.b29579dbbf0ccp-4, 0x1.a92744c750b9dp-4, 0x1.9fe5fd6383333p-4, 0x1.96d10855d9311p-4, 0x1.8de7ca51fc5afp-4, 0x1.8529a84f9c258p-4, 0x1.7c96078ac67cap-4, 0x1.742c4d61ec6d8p-4, 0x1.6bebe0137968ap-4, 0x1.63d42627778dcp-4, 0x1.5be48684f1a8p-4, 0x1.541c692979c05p-4, 0x1.4c7b36757424p-4, 0x1.450057bed3fdp-4, 0x1.3dab3728bdd8ap-4, 0x1.367b3fc3f6fd7p-4, 0x1.2f6fdd7c81931p-4, 0x1.28887d5a48a3bp-4, 0x1.21c48d5e8a237p-4, 0x1.1b237ca7ae7eep-4, 0x1.14a4bb75833a8p-4, 0x1.0e47bb2f7e4cdp-4, 0x1.080bee81793c4p-4, 0x1.01f0c91f8f146p-4, 0x1.f7eb8093285edp-5, 0x1.ec34947f42503p-5, 0x1.e0bbbd6eab425p-5, 0x1.d57fedbe06304p-5, 0x1.ca801a0d621e2p-5, 0x1.bfbb39f6e43d2p-5, 0x1.b53047e500395p-5, 0x1.aade41080095p-5, 0x1.a0c4256f1579cp-5, 0x1.96e0f818997ep-5, 0x1.8d33bebe2cbb3p-5, 0x1.83bb828952b2cp-5, 0x1.7a774ef2ce8c4p-5, 0x1.716632dd9b227p-5, 0x1.68873ff45fdc5p-5, 0x1.5fd98adc6a35ap-5, 0x1.575c2bb463fa3p-5, 0x1.4f0e3c64eff91p-5, 0x1.46eedb847928fp-5, 0x1.3efd29612ce1ap-5, 0x1.373849d4b7b91p-5, 0x1.2f9f63da4b31fp-5, 0x1.2831a0ee6c969p-5, 0x1.20ee2de001753p-5, 0x1.19d43ac7831f5p-5, 0x1.12e2fa23b6f7ep-5, 0x1.0c19a1ea21232p-5, 0x1.05776ab67ba0dp-5, 0x1.fdf72067b8e8ap-6, 0x1.f14aa20c2be2bp-6, 0x1.e4e7dda2bb9a1p-6, 0x1.d8cd5c39d835ap-6, 0x1.ccf9abf1655edp-6, 0x1.c16b6202f6d81p-6, 0x1.b62118144b2c7p-6, 0x1.ab196e443fcd9p-6, 0x1.a0530a13de2b9p-6, 0x1.95cc9682bc93cp-6, 0x1.8b84c46b3f594p-6, 0x1.817a49e85a1cep-6, 0x1.77abe2684519bp-6, 0x1.6e184f36381b2p-6, 0x1.64be5674513p-6, 0x1.5b9cc42a2282ap-6, 0x1.52b268eee2d02p-6, 0x1.49fe1b392d4f7p-6, 0x1.417eb63ca67c3p-6, 0x1.39331a66f04ffp-6, 0x1.311a2d1938281p-6, 0x1.2932d8ee0a8b7p-6, 0x1.217c0d767e69cp-6, 0x1.19f4be7a245acp-6, 0x1.129be53baf247p-6, 0x1.0b707fc18db45p-6, 0x1.047190abb6008p-6, 0x1.fb3c3dc3d1c4bp-7, 0x1.edea6ce73d27dp-7, 0x1.e0ebcf347c14ap-7, 0x1.d43e8e8b2dd05p-7, 0x1.c7e0dd0a6c8abp-7, 0x1.bbd0f6271c5p-7, 0x1.b00d1daf0c038p-7, 0x1.a4939f95fc313p-7, 0x1.9962d0deed3abp-7, 0x1.8e790e2decb19p-7, 0x1.83d4bcb3d02adp-7, 0x1.7974497a717eap-7, 0x1.6f56295035b84p-7, 0x1.6578d9241fcc7p-7, 0x1.5bdadd35f7faap-7, 0x1.527ac1a4031bfp-7, 0x1.4957192a5aaefp-7, 0x1.406e7fb24a487p-7, 0x1.37bf959e9f68ap-7, 0x1.2f4904a59680fp-7, 0x1.27097d63c4369p-7, 0x1.1effb5bb7963ep-7, 0x1.172a6c90eee2p-7, 0x1.0f8865412e8d1p-7, 0x1.08186b21206cap-7, 0x1.00d94fdd5acb1p-7, 0x1.f393d3c3651dfp-8, 0x1.e5d22fd6cc817p-8, 0x1.d86b79fbab21ap-8, 0x1.cb5d8792a4bd1p-8, 0x1.bea6380994d73p-8, 0x1.b24376bd1ce11p-8, 0x1.a6333ae352fc7p-8, 0x1.9a7386f64a46dp-8, 0x1.8f0268a488c33p-8, 0x1.83ddf7896a394p-8, 0x1.790455bf481d2p-8, 0x1.6e73b16914895p-8, 0x1.642a3fdd51809p-8, 0x1.5a2641ae6340fp-8, 0x1.506602e5ae53ep-8, 0x1.46e7d7577972p-8, 0x1.3daa1e4c658cbp-8, 0x1.34ab3fa51334ap-8, 0x1.2be9abc7e776ap-8, 0x1.2363df6dc8c53p-8, 0x1.1b185c35f593p-8, 0x1.1305addda60ddp-8, 0x1.0b2a67fefebaep-8, 0x1.03852618623f1p-8, 0x1.f829162462956p-9, 0x1.e9ae87f5a1fc3p-9, 0x1.db9803a2e547dp-9, 0x1.cde300f53b78ap-9, 0x1.c08d0954efa04p-9, 0x1.b393b1fbf9c96p-9, 0x1.a6f4a01a13b1p-9, 0x1.9aad880427c8cp-9, 0x1.8ebc2afc2c572p-9, 0x1.831e573d7eae8p-9, 0x1.77d1ea57c0783p-9, 0x1.6cd4c75a73b03p-9, 0x1.6224e26e732e3p-9, 0x1.57c03856c3128p-9, 0x1.4da4d5dfe2d8ap-9, 0x1.43d0cd020d96fp-9, 0x1.3a4243c38534p-9, 0x1.30f76a0f25ab8p-9, 0x1.27ee7d72dcfccp-9, 0x1.1f25c58ad3e0cp-9, 0x1.169b9860b09f4p-9, 0x1.0e4e57380f6e1p-9, 0x1.063c67568f732p-9, 0x1.fcc87b2d9af31p-10, 0x1.ed88a4f8a9646p-10, 0x1.deb64b16e2825p-10, 0x1.d04e81864aedap-10, 0x1.c24e6692bcc4cp-10, 0x1.b4b32c9a6466fp-10, 0x1.a77a19b0b60acp-10, 0x1.9aa08b95742e7p-10, 0x1.8e23f0710533ep-10, 0x1.8201df605ee9bp-10, 0x1.7637f1081920fp-10, 0x1.6ac3d372ec53p-10, 0x1.5fa34df2e8bb9p-10, 0x1.54d4211a22c42p-10, 0x1.4a5427c937d32p-10, 0x1.402131670793bp-10, 0x1.36391ae56ff72p-10, 0x1.2c99d1318e506p-10, 0x1.2341400787cbbp-10, 0x1.1a2d6a50f1073p-10, 0x1.115c66c9ddd2ep-10, 0x1.08cc6167b75cap-10, 0x1.007b9b358671bp-10, 0x1.f0d0d92d5bb34p-11, 0x1.e12268ad05dbcp-11, 0x1.d1e8d8e94928dp-11, 0x1.c320f439821bcp-11, 0x1.b4c7bae481b32p-11, 0x1.a6da10c0759fbp-11, 0x1.9954e91574b39p-11, 0x1.8c353988d852ep-11, 0x1.7f77ffe599a1cp-11, 0x1.731a6dd93f741p-11, 0x1.6719bd73561fcp-11, 0x1.5b7357535a347p-11, 0x1.5024c4a340d26p-11, 0x1.452bae173e16cp-11, 0x1.3a85d13b475f1p-11, 0x1.3030f62846371p-11, 0x1.262af313a66a6p-11, 0x1.1c718db7a42eep-11, 0x1.130295562c0d1p-11, 0x1.09dbe183253a7p-11, 0x1.00fb5bff11779p-11, 0x1.f0bdd16aa5c1fp-12, 0x1.e009202d0955ap-12, 0x1.cfd4e47ea4558p-12, 0x1.c01d887da0fc9p-12, 0x1.b0dfb2baada49p-12, 0x1.a21811db67636p-12, 0x1.93c381b5d2943p-12, 0x1.85ded7df49a69p-12, 0x1.7866e48ee6e58p-12, 0x1.6b586c2e512dp-12, 0x1.5eb0362a4d2dfp-12, 0x1.526b20baf7329p-12, 0x1.468609a4f257bp-12, 0x1.3afe105a68d46p-12, 0x1.2fd09a061f2adp-12, 0x1.24fb1a83e1872p-12, 0x1.1a7b3fb5d3b51p-12, 0x1.104ece6dd625cp-12, 0x1.06739fdfcdf9ap-12, 0x1.f9cf1e9af106fp-13, 0x1.e750fa671db96p-13, 0x1.d568827bf4957p-13, 0x1.c4111b72483d2p-13, 0x1.b346a97d78312p-13, 0x1.a3044824c1548p-13, 0x1.9345859161938p-13, 0x1.8405f25af81a2p-13, 0x1.75418c50a51dep-13, 0x1.66f4684e01a79p-13, 0x1.591b04dd433bcp-13, 0x1.4bb29d08bd007p-13, 0x1.3eb8117fc80f9p-13, 0x1.3228ddce9371dp-13, 0x1.26021e67586f7p-13, 0x1.1a412a9c6fcccp-13, 0x1.0ee3028af11ebp-13, 0x1.03e4b6e55dc0ep-13, 0x1.f286ce316b51p-14, 0x1.ddf8b68b8aae6p-14, 0x1.ca19ab7a29c52p-14, 0x1.b6e456ec2c64p-14, 0x1.a453801412d91p-14, 0x1.9261ce2b967a2p-14, 0x1.8109e77f9a17fp-14, 0x1.704692dcbebccp-14, 0x1.6012e7a24f27dp-14, 0x1.506a6b26aa40bp-14, 0x1.414936b748c4fp-14, 0x1.32ab8cd92024p-14, 0x1.248e408e7ee1ap-14, 0x1.16edb8ac9c9f2p-14, 0x1.09c689a5bc26ap-14, 0x1.fa2a17e2421bfp-15, 0x1.e1ab438a8ee01p-15, 0x1.ca09ff6b3c72ep-15, 0x1.b34106fcb42e7p-15, 0x1.9d4a26bbed95ep-15, 0x1.88201e0b607d1p-15, 0x1.73bdd8f40a375p-15, 0x1.601cd51372019p-15, 0x1.4d34b40040641p-15, 0x1.3afe95228e0e8p-15, 0x1.2972e67ed64ebp-15, 0x1.188ae062c0322p-15, 0x1.0841b9b2c1392p-15, 0x1.f125f4bd0571ap-16, 0x1.d2f4043243dfap-16, 0x1.b5e96ac38d9f1p-16, 0x1.99fc66ad3ceb2p-16, 0x1.7f256cd32e1a9p-16, 0x1.655ce949bd351p-16, 0x1.4c9b96f3d4848p-16, 0x1.34dadfcb2a10bp-16, 0x1.1e143d2871d71p-16, 0x1.08409440392d5p-16, 0x1.e6af5f31ec6d7p-17, 0x1.bea320f4db9a7p-17, 0x1.98444851ec9fep-17, 0x1.7386b1b9b3269p-17, 0x1.505984c0e0f4dp-17, 0x1.2eb046eef7e04p-17, 0x1.0e7dd684e4615p-17, 0x1.df6cf7ec8d577p-18, 0x1.a49c1efc168e7p-18, 0x1.6c71a208948c8p-18, 0x1.36d8f39bdbab4p-18, 0x1.03c2df4d17501p-18, 0x1.a646562f2320ap-19, 0x1.49d97dc19c3bp-19, 0x1.e43d5608206cdp-20, 0x1.3dd9680e5c0a2p-20, 0x1.40522f4dd711p-21, 0x1.58d8cc4cca3dep-25, -0x1.055345f126513p-21, -0x1.08712d954732bp-20, -0x1.86e6f091b68c3p-20, -0x1.fe3e615624a99p-20, -0x1.3750ba68391a3p-19, -0x1.6c2136f027341p-19, -0x1.9db0b5f9572e1p-19, -0x1.cc11b0997c0bfp-19, -0x1.f75ef420d30e3p-19, -0x1.0fe274a50f944p-18, -0x1.22a534fea6e3dp-18, -0x1.34044c72d1b7p-18, -0x1.440b698967759p-18, -0x1.52c9f882873b7p-18, -0x1.604ba9073ec0ap-18, -0x1.6c989a0ed1db9p-18, -0x1.77ba1531ed02dp-18, -0x1.81bf74d19fd5cp-18, -0x1.8abb955b8f585p-18, -0x1.92b937a685e0ep-18, -0x1.99c1d4687c039p-18, -0x1.9fda6223ccd4ap-18, -0x1.a505545ddb699p-18, -0x1.a950642882909p-18, -0x1.acbd1bb7345cep-18, -0x1.af5c24da11fdp-18, -0x1.b1378c30f1ff6p-18, -0x1.b24d62b1b4255p-18, -0x1.b2a798f7b666bp-18, -0x1.b2498632c1fafp-18, -0x1.b13a1773ffa3ep-18, -0x1.af80a2ec9edffp-18, -0x1.ad266b0b66708p-18, -0x1.aa352822a74ap-18, -0x1.a6b5eee3e22c4p-18, -0x1.a2b118bf773e3p-18, -0x1.9e273c351dd23p-18, -0x1.99218dba076b5p-18, -0x1.93a3f9b5b2ff3p-18, -0x1.8db6f4b90fafp-18, -0x1.875f2946949cep-18, -0x1.809ebb7f1a49cp-18, -0x1.797863b0faa14p-18, -0x1.71f12c3236996p-18, -0x1.6a0c6b1a1645fp-18, -0x1.61d5f7974673fp-18, -0x1.594b15f8f97f3p-18, -0x1.5071dc04565eap-18, -0x1.474eb73c3769ep-18, -0x1.3de6e78ecf308p-18, -0x1.343e11fb8aa51p-18, -0x1.2a5826ac98602p-18, -0x1.20369b14768b8p-18, -0x1.15db63090d2a4p-18, -0x1.0b4eed541e144p-18, -0x1.008bf642aaf29p-18, -0x1.eb3c2d468d43ap-19, -0x1.d51393f6272c8p-19, -0x1.bea5ae953c45bp-19, -0x1.a7f5ab33c97c3p-19, -0x1.9105fd67b481bp-19, -0x1.79dcf121ac042p-19, -0x1.6275f88464e0ep-19, -0x1.4ae35d539845p-19, -0x1.33273aee270e8p-19, -0x1.1b3ab45938affp-19, -0x1.032bf9d40f531p-19, -0x1.d5ff14f6f1dbcp-20, -0x1.a576a9d9cc34ap-20, -0x1.74c8858a132c8p-20, -0x1.43fcb9293d07cp-20, -0x1.131cf1d7dd695p-20, -0x1.c450c302dd911p-21, -0x1.6258b6fbcc7acp-21, -0x1.004a08d45ae69p-21, -0x1.3c9703849ea68p-22, -0x1.e2065f26e9b2ap-24, 0x1.2d7ef2c159415p-24, 0x1.0eefd0da684a1p-22, 0x1.d1ff452ae482dp-22, 0x1.4a323301b4407p-21, 0x1.ab08f1bc049dfp-21, 0x1.05c31b7060d99p-20, 0x1.35d19cca378e7p-20, 0x1.65abd7851e0b1p-20, 0x1.95434f6cc0362p-20, 0x1.c49c0d332f1e9p-20, 0x1.f3b8985f98dbp-20, 0x1.1143e44f23d31p-19, 0x1.2883c861cd84ap-19, 0x1.3f98c05897234p-19, 0x1.5682233b51558p-19, 0x1.6d3f1ba8431cfp-19, 0x1.83ccfe8fbeac8p-19, 0x1.9a29239d98dd6p-19, 0x1.b0556fcca43b8p-19, 0x1.c64f3b9de7c6ep-19, 0x1.dc142f3d47a8bp-19, 0x1.f1a447d2b72a4p-19, 0x1.037e500c473efp-18, 0x1.0e132acd96fcp-18, 0x1.18833fc80c52cp-18, 0x1.22d8b46de1a3ap-18, 0x1.2d10612eb9c4dp-18, 0x1.37294167e50a8p-18, 0x1.412347c117809p-18, 0x1.4afdd5db527f8p-18, 0x1.54b8da452b91cp-18, 0x1.5e535c626ea52p-18, 0x1.67cc97be3aa42p-18, 0x1.712412676b736p-18, 0x1.7a5a615f3cca2p-18, 0x1.83709566dbp-18, 0x1.8c62a8039135cp-18, 0x1.95319e585047p-18, 0x1.9dde152f165adp-18, 0x1.a66b5434a9a21p-18, 0x1.aed1e4db07a4bp-18, 0x1.b712e55cc2142p-18, 0x1.bf33761fbee37p-18, 0x1.c7301e40cbb7cp-18, 0x1.cf08c8e262cf6p-18, 0x1.d6bf31c99073dp-18, 0x1.de51973f53788p-18, 0x1.e5be7083ce76p-18, 0x1.ed07208a2ffbbp-18, 0x1.f42cbe56dada8p-18, 0x1.fb2bd674edff3p-18, 0x1.010393e4482f6p-17, 0x1.045f4ff3bf461p-17, 0x1.07a9e7b6e916dp-17, 0x1.0ae0b39a38366p-17, 0x1.0e06751d6eaa9p-17, 0x1.111960d202004p-17, 0x1.141951801f08p-17, 0x1.1708fd66bbab7p-17, 0x1.19e5e83afa348p-17, 0x1.1caf6633ec77ep-17, 0x1.1f68a7b3e7bbbp-17, 0x1.220f31cb5e713p-17, 0x1.24a3db89b91bcp-17, 0x1.2726ab4d8ac7cp-17, 0x1.29979cd666af7p-17, 0x1.2bf7027a0cc54p-17, 0x1.2e44ca8d32ab6p-17, 0x1.3080fb9eec655p-17, 0x1.32abc25b8456bp-17, 0x1.34c52077f0da1p-17, 0x1.36cc97563e6a1p-17, 0x1.38c429830f662p-17, 0x1.3aa997f40608ap-17, 0x1.3c7c7e258f026p-17, 0x1.3e4253086f73p-17, 0x1.3ff55a3b25084p-17, 0x1.419766ace3617p-17, 0x1.43288ad5bc7d4p-17, 0x1.44a9224c811d8p-17, 0x1.461a69c267ba6p-17, 0x1.477addebad46ap-17, 0x1.48cae0e1534ccp-17, 0x1.4a0abf20c4b1bp-17, 0x1.4b3c17f5dd9c9p-17, 0x1.4c5c84cdb0c5ep-17, 0x1.4d6da676bff51p-17, 0x1.4e6e1c25b971ap-17, 0x1.4f6159e8e4d5p-17, 0x1.504426e4a30f2p-17, 0x1.511823518be2ap-17, 0x1.51dd349eea5fep-17, 0x1.529349f53ee3cp-17, 0x1.533ab18398f98p-17, 0x1.53d31ae2040a6p-17, 0x1.545ecd7d4538ep-17, 0x1.54db95734bf96p-17, 0x1.5548f200c7a9ep-17, 0x1.55aa8031316b9p-17, 0x1.55fcd054c5ce4p-17, 0x1.5642012f72115p-17, 0x1.56794ad2cf45cp-17, 0x1.56a421c389d5cp-17, 0x1.56c1243a21798p-17, 0x1.56d14c6957f1dp-17, 0x1.56d48e4d2dc5p-17, 0x1.56cb4a9de75adp-17, 0x1.56b563a10c716p-17, 0x1.569315cfe7f0cp-17, 0x1.56647590cf894p-17, 0x1.562a4b858c77fp-17, 0x1.55e3f17853203p-17, 0x1.5591bf87afa5dp-17, 0x1.5534012eb8a17p-17, 0x1.54ca976c395ccp-17, 0x1.54560e6634a05p-17, 0x1.53d794b56c155p-17, 0x1.534d39b9d8fadp-17, 0x1.52b6a5dbf986dp-17, 0x1.521728d3484b2p-17, 0x1.516bf81044aa9p-17, 0x1.50b7360bc8c7p-17, 0x1.4ff8d12581562p-17, 0x1.4f30f3ee1cb4ap-17, 0x1.4e5dce8618772p-17, 0x1.4d812da3554acp-17, 0x1.4c9bbd334a495p-17, 0x1.4bac8a4a6ac25p-17, 0x1.4ab3d9bf29d38p-17, 0x1.49b2233a2bad5p-17, 0x1.48a7b2e6345bcp-17, 0x1.4794a7d9cb60ap-17, 0x1.46790123daaf4p-17, 0x1.4554ea8ccd4aap-17, 0x1.44285c76302bcp-17, 0x1.42f3c2b2f19ebp-17, 0x1.41b77c2970755p-17, 0x1.4073529365ea2p-17, 0x1.3f273f872b798p-17, 0x1.3dd3a223e1132p-17, 0x1.3c78eb6c577c4p-17, 0x1.3b1751ac2072ep-17, 0x1.39af04cabaa75p-17, 0x1.383e99c617fdp-17, 0x1.36c61dffbd289p-17, 0x1.354918637f1d5p-17, 0x1.33c53b5d7015bp-17, 0x1.323a2d092ee06p-17, 0x1.30a99c0cc648p-17, 0x1.2f13046ff155bp-17, 0x1.2d7643d100ba1p-17, 0x1.2bd35e073a3ep-17, 0x1.2a2c0727e3da1p-17, 0x1.287f24df17eadp-17, 0x1.26cb12007bb53p-17, 0x1.2512a801e8c21p-17, 0x1.23557c4b1a3e6p-17, 0x1.21933b645ed7fp-17, 0x1.1fcc1ce3a6dfdp-17, 0x1.1e006a381cac7p-17, 0x1.1c300e3b61675p-17, 0x1.1a5b148066c04p-17, 0x1.1881f8caea1edp-17, 0x1.16a4acdf3d6a7p-17, 0x1.14c2bdc7192p-17, 0x1.12dd5b3e52633p-17, 0x1.10f414da463ap-17, 0x1.0f0707f8eeeb2p-17, 0x1.0d16a7a7e55eep-17, 0x1.0b22826ce7075p-17, 0x1.092b169fb8928p-17, 0x1.07306a3b5a198p-17, 0x1.0532adcdb7129p-17, 0x1.033201b3f04a1p-17, 0x1.012e45b0f9c9bp-17, 0x1.fe50bbffe7aefp-18, 0x1.fa3daa18478e2p-18, 0x1.f626053aa9c77p-18, 0x1.f209fcc0ff229p-18, 0x1.edea51dec931dp-18, 0x1.e9c4ea6a2d64cp-18, 0x1.e59b4d800b5f1p-18, 0x1.e16ce4a3569fep-18, 0x1.dd3cb89705a8fp-18, 0x1.d9075c78f5511p-18, 0x1.d4cddaf7f3c32p-18, 0x1.d09437787b58p-18, 0x1.cc556bf5dc0c8p-18, 0x1.c812d740dee9ep-18, 0x1.c3cc95ef15ed7p-18, 0x1.bf88d0a7a508dp-18, 0x1.bb3fefe8a1714p-18, 0x1.b6f457c0484b4p-18, 0x1.b2a8252d12a13p-18, 0x1.ae57fe164b191p-18, 0x1.aa080c325127dp-18, 0x1.a5b70f367d26cp-18, 0x1.a163d81e541e7p-18, 0x1.9d134244d4183p-18, 0x1.98bc804aab241p-18, 0x1.94659f2a75b67p-18, 0x1.900edddb4440fp-18, 0x1.8bbcf12f0d569p-18, 0x1.87636026d5701p-18, 0x1.830cd5ed0dcap-18, 0x1.7eb634bfc9662p-18, 0x1.7a5f575bd9452p-18, 0x1.760a647acbee8p-18, 0x1.71b3f0ddd0268p-18, 0x1.6d5e697990c2p-18, 0x1.690ce6559fd42p-18, 0x1.64b89215ef2c1p-18, 0x1.6066962ba063bp-18, 0x1.5c1633eaa02dp-18, 0x1.57c6d1c94701fp-18, 0x1.5378e49333d2ep-18, 0x1.4f2c6b046eed6p-18, 0x1.4ae16fc044755p-18, 0x1.4698d25be3ea2p-18, 0x1.424fbead6ad81p-18, 0x1.3e0d91a538d63p-18, 0x1.39cb57e8d62e9p-18, 0x1.358b79976ac51p-18, 0x1.314d94efef17cp-18, 0x1.2d11a63fcb7adp-18, 0x1.28d9d5d039e72p-18, 0x1.24a418491b388p-18, 0x1.2070eb055707ap-18, 0x1.1c4409460e00bp-18, 0x1.18149e36057c5p-18, 0x1.13eb5c48cddddp-18, 0x1.0fc5469e73408p-18, 0x1.0ba26c67b0371p-18, 0x1.0782a7aba1693p-18, 0x1.0366c564fe0a5p-18, 0x1.fe9c63601bba2p-19, 0x1.f673a7e4d2ae8p-19, 0x1.ee52f2ddb8e3dp-19, 0x1.e638fca8bf962p-19, 0x1.de274088ac46ap-19, 0x1.d61cd418467c8p-19, 0x1.ce1c4c5b1ee8ap-19, 0x1.c624520860b1p-19, 0x1.be32dff2ac359p-19, 0x1.b64b5c9b67e26p-19, 0x1.ae6c629cff9c4p-19, 0x1.a694813f909cap-19, 0x1.9ec8c9f014fb2p-19, 0x1.97053e1a4c5bbp-19, 0x1.8f49fe9883441p-19, 0x1.879dfa0a2305ap-19, 0x1.7ff60f6cde4bp-19, 0x1.785cbf403185ap-19, 0x1.70c3bc08f1fa1p-19, 0x1.693f370e7e79cp-19, 0x1.61bb1713649a2p-19, 0x1.5a46084eab0ccp-19, 0x1.52db92209bf78p-19, 0x1.4b7aae361a773p-19, 0x1.44256bfdb838dp-19, 0x1.3cda4f7d1e132p-19, 0x1.359adc2df581dp-19, 0x1.2e66360105d12p-19, 0x1.27379e92f9967p-19, 0x1.20176e17708b1p-19, 0x1.19028c40416dbp-19, 0x1.11f79ab72f11p-19, 0x1.0af82a13dfbb5p-19, 0x1.040692d72c24cp-19, 0x1.fa35d17a26425p-20, 0x1.ec7e480781b25p-20, 0x1.dedbe8ae5dae8p-20, 0x1.d151a7bcb1fcp-20, 0x1.c3dbd20886238p-20, 0x1.b67c2b9b0893bp-20, 0x1.a9365d23641e8p-20, 0x1.9c06f947cbe74p-20, 0x1.8eee92699a74ep-20, 0x1.81ec84aa614d5p-20, 0x1.75015a5f81c0cp-20, 0x1.6831386ea75b2p-20, 0x1.5b7b653625f24p-20, 0x1.4ed993fcca2adp-20, 0x1.424f65328b24bp-20, 0x1.35da920fe1953p-20, 0x1.29818a89d81a1p-20, 0x1.1d3f749681ebep-20, 0x1.1117b19c5719fp-20, 0x1.0508e7f34be1fp-20, 0x1.f215b4ee9772bp-21, 0x1.da5e5141c12ecp-21, 0x1.c2c655333a638p-21, 0x1.ab67ac1a74f2fp-21, 0x1.9438bd085618ap-21, 0x1.7d37bf765a241p-21, 0x1.6667764ef8cf6p-21, 0x1.4fd6d0f83e7dfp-21, 0x1.39668d90127fap-21, 0x1.2320ec9b2dc87p-21, 0x1.0d1c6a3d0c7cbp-21, 0x1.ee8fc9716138dp-22, 0x1.c3421ac1b5976p-22, 0x1.9847edb86f6d6p-22, 0x1.6dc7828e7e8e9p-22, 0x1.4397661d38611p-22, 0x1.19ce8a26ded08p-22, 0x1.e0e0a988ae68p-23, 0x1.8ed1cf751cb72p-23, 0x1.3d74eb78fd105p-23, 0x1.d9f8f29a6547ap-24, 0x1.3a543665455fdp-24, 0x1.38a4f3745a4ap-25, -0x1.5bfe03f43261ap-34, -0x1.35e0431e8fa54p-25, -0x1.342290962c458p-24, -0x1.cc93263bc4759p-24, -0x1.316c7552f6402p-23, -0x1.7be017ccc7478p-23, -0x1.c5a0347f33275p-23, -0x1.074df244921d9p-22, -0x1.2b6acbd5a6a8p-22, -0x1.4f28b8b369eb1p-22, -0x1.72874e85e8ba3p-22, -0x1.958a983631f62p-22, -0x1.b83153298b031p-22, -0x1.da730f3e92d0cp-22, -0x1.fc736fc2b08e8p-22, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.32acdb43777e7p-8, -0x1.32ae02e0de803p-7, -0x1.cc13c68410791p-7, -0x1.32d4805f34477p-6, -0x1.7fd389c9e4eacp-6, -0x1.cd2fac3215d8ap-6, -0x1.0d8e02deae982p-5, -0x1.34e9d672d9008p-5, -0x1.5ccb60bd5a949p-5, -0x1.8553b2a9a4294p-5, -0x1.aea36eb25a48ap-5, -0x1.d8d981a76e275p-5, -0x1.02090733e1c0dp-4, -0x1.1832c8626e2aep-4, -0x1.2ef41bb82e8e6p-4, -0x1.4654b90460904p-4, -0x1.5e59d750b6d37p-4, -0x1.7706209348aap-4, -0x1.9059b743c1cfcp-4, -0x1.aa524abea7477p-4, -0x1.c4eb377a0d18cp-4, -0x1.e01db040c1acap-4, -0x1.fbe0edeafb25dp-4, -0x1.0c1531abe8469p-3, -0x1.1a76f9ddb6317p-3, -0x1.290f14d2f2b28p-3, -0x1.37d636ba2cfa7p-3, -0x1.46c49d124eb0dp-3, -0x1.55d227e2208c9p-3, -0x1.64f67175c226ep-3, -0x1.7428e47237317p-3, -0x1.8360d02300749p-3, -0x1.92957af5bad37p-3, -0x1.a1be33245c82dp-3, -0x1.b0d25d9852f62p-3, -0x1.bfc98317adcbfp-3, -0x1.ce9b5bd2a1a1ap-3, -0x1.dd3fd96a85261p-3, -0x1.ebaf2f8d745e9p-3, -0x1.f9e1db4234e59p-3, -0x1.03e8547ff29aap-2, -0x1.0aba5cd62ac4dp-2, -0x1.1163c34d4b1eep-2, -0x1.17e1725105719p-2, -0x1.1e3083325ad27p-2, -0x1.244e3eece50cp-2, -0x1.2a381e9806b4bp-2, -0x1.2febcb8cfa2cdp-2, -0x1.35671f49f94cfp-2, -0x1.3aa8231a0810fp-2, -0x1.3fad0f884e3a8p-2, -0x1.44744ba5421ebp-2, -0x1.48fc6c237b14dp-2, -0x1.4d44325163354p-2, -0x1.514a8af4a49e2p-2, -0x1.550e8d0bc1605p-2, -0x1.588f7879d824dp-2, -0x1.5bccb4a05846fp-2, -0x1.5ec5ceea00528p-2, -0x1.617a794a4b4e1p-2, -0x1.63ea88b41f69ap-2, -0x1.6615f38a5a22dp-2, -0x1.67fcd00c97eb2p-2, -0x1.699f52c25d11cp-2, -0x1.6afdcce6938f7p-2, -0x1.6c18aad522431p-2, -0x1.6cf0727c339p-2, -0x1.6d85c1d291ce9p-2, -0x1.6dd94d546055ap-2, -0x1.6debde874b069p-2, -0x1.6dbe5287269c7p-2, -0x1.6d51989bd234fp-2, -0x1.6ca6b0d91c78cp-2, -0x1.6bbeaac93a717p-2, -0x1.6a9aa42256a16p-2, -0x1.693bc78798af2p-2, -0x1.67a34b55f7014p-2, -0x1.65d2707d054f7p-2, -0x1.63ca8163e90efp-2, -0x1.618cd0da807c2p-2, -0x1.5f1ab916c117ep-2, -0x1.5c759abe3d51dp-2, -0x1.599edbfbb61c1p-2, -0x1.5697e7a09619fp-2, -0x1.53622c521947bp-2, -0x1.4fff1bc1f4af4p-2, -0x1.4c7029f231339p-2, -0x1.48b6cc83ef8edp-2, -0x1.44d47a10cdd35p-2, -0x1.40caa98e91a33p-2, -0x1.3c9ad1bcc31d6p-2, -0x1.3846689be019dp-2, -0x1.33cee2edc1abfp-2, -0x1.2f35b3bedfea8p-2, -0x1.2a7c4bf80f465p-2, -0x1.25a419f855cbcp-2, -0x1.20ae8936805a4p-2, -0x1.1b9d01ea10764p-2, -0x1.1670e8bb2e44fp-2, -0x1.112b9e793def8p-2, -0x1.0bce7fd7be455p-2, -0x1.065ae5311fb01p-2, -0x1.00d2224f34ebep-2, -0x1.f66b0c71ee472p-3, -0x1.eb0cb60a7dc73p-3, -0x1.df8bcb646982p-3, -0x1.d3eacc0248c3ep-3, -0x1.c82c2cace6e85p-3, -0x1.bc52573adc908p-3, -0x1.b05faa5f7280bp-3, -0x1.a456798032737p-3, -0x1.98390c90c520fp-3, -0x1.8c099ff4ace37p-3, -0x1.7fca646667fbap-3, -0x1.737d7ee3a7c63p-3, -0x1.6725089e3193p-3, -0x1.5ac30ef119f2fp-3, -0x1.4e59935a04491p-3, -0x1.41ea8b76130f7p-3, -0x1.3577e10254083p-3, -0x1.290371df45d72p-3, -0x1.1c8f101754b53p-3, -0x1.101c81e800d74p-3, -0x1.03ad81cd7f06bp-3, -0x1.ee877d213d4d7p-4, -0x1.d5c1b6ad87c68p-4, -0x1.bd0cdf6799644p-4, -0x1.a46c0f7b6e9fp-4, -0x1.8be24843c7b69p-4, -0x1.73727477981f5p-4, -0x1.5b1f685a2e0e6p-4, -0x1.42ebe1edcb9a4p-4, -0x1.2ada892880b41p-4, -0x1.12edf02b10522p-4, -0x1.f65126f370509p-5, -0x1.c719b46d58443p-5, -0x1.983a2cbc42102p-5, -0x1.69b70a0781532p-5, -0x1.3b949d22d88eep-5, -0x1.0dd70e0e4e7d9p-5, -0x1.c104b8f060c0fp-6, -0x1.6734c081f89f2p-6, -0x1.0e45940228762p-6, -0x1.6c7c8e4024407p-7, -0x1.7c96846a98141p-8, -0x1.2043ba9896bd5p-11, 0x1.3098445194b42p-8, 0x1.409a066183a86p-7, 0x1.e6da3045d6bf4p-7, 0x1.4580f6840368ap-6, 0x1.96838ac6105e1p-6, 0x1.e6700615143d6p-6, 0x1.1aa0ee9b73008p-5, 0x1.417a63b50c5a9p-5, 0x1.67c25ea20920cp-5, 0x1.8d76fbc728f47p-5, 0x1.b2967711a0484p-5, 0x1.d71f2b65434aep-5, 0x1.fb0f920a85319p-5, 0x1.0f33210e3024ap-4, 0x1.2090f7fb1935fp-4, 0x1.31a0b650d03f3p-4, 0x1.4261d2a242991p-4, 0x1.52d3d147844abp-4, 0x1.62f64414ed3d2p-4, 0x1.72c8ca125780ep-4, 0x1.824b0f327e79bp-4, 0x1.917ccc0a8ca8fp-4, 0x1.a05dc589d2a1cp-4, 0x1.aeedccb1b8c01p-4, 0x1.bd2cbe4df16f2p-4, 0x1.cb1a82ace84fp-4, 0x1.d8b70d587a5bap-4, 0x1.e6025ccf07454p-4, 0x1.f2fc7a3cc5a2dp-4, 0x1.ffa5793587badp-4, 0x1.05febbb765f93p-3, 0x1.0c024e3d234f1p-3, 0x1.11dd8cc06488cp-3, 0x1.1790947ed2ca3p-3, 0x1.1d1b873d41f81p-3, 0x1.227e8b25db34fp-3, 0x1.27b9caa6840edp-3, 0x1.2ccd744f94d8p-3, 0x1.31b9bab2c2e4cp-3, 0x1.367ed44269c8cp-3, 0x1.3b1cfb310bfeep-3, 0x1.3f946d512b86ep-3, 0x1.43e56bf5728e9p-3, 0x1.48103bd12d077p-3, 0x1.4c1524d91328fp-3, 0x1.4ff472246e8c3p-3, 0x1.53ae71ce9ac26p-3, 0x1.574374d8dc1f3p-3, 0x1.5ab3cf0c911cp-3, 0x1.5dffd6ddcc689p-3, 0x1.6127e54e428a8p-3, 0x1.642c55d0a3af4p-3, 0x1.670d862c58011p-3, 0x1.69cbd66197777p-3, 0x1.6c67a88dfa291p-3, 0x1.6ee160d15fb21p-3, 0x1.7139653348f48p-3, 0x1.73701d889e098p-3, 0x1.7585f359d7979p-3, 0x1.777b51c9a18c1p-3, 0x1.7950a57bde96ap-3, 0x1.7b065c7d25e7fp-3, 0x1.7c9ce62aa99dap-3, 0x1.7e14b31a922aep-3, 0x1.7f6e3504c26d1p-3, 0x1.80a9deac1c2d4p-3, 0x1.81c823c82725bp-3, 0x1.82c978ef36b0cp-3, 0x1.83ae5380f9063p-3, 0x1.84772991835f9p-3, 0x1.852471d4c7aa2p-3, 0x1.85b6a38a855e5p-3, 0x1.862e366aa92b7p-3, 0x1.868ba29223634p-3, 0x1.86cf607030be5p-3, 0x1.86f9e8b412d6cp-3, 0x1.870bb43b43c78p-3, 0x1.87053c0012791p-3, 0x1.86e6f908baf37p-3, 0x1.86b16456e83e7p-3, 0x1.8664f6d7ade26p-3, 0x1.86022953ecb86p-3, 0x1.858974612f5b7p-3, 0x1.84fb5052ef45fp-3, 0x1.8458352c4a86p-3, 0x1.83a09a922927dp-3, 0x1.82d4f7bdcdeffp-3, 0x1.81f5c36fd5ea5p-3, 0x1.810373e3a0a58p-3, 0x1.7ffe7ec322dcfp-3, 0x1.7ee7591b25542p-3, 0x1.7dbe774fea9cp-3, 0x1.7c844d123ae13p-3, 0x1.7b394d54d6a45p-3, 0x1.79ddea424e99fp-3, 0x1.7872953340b23p-3, 0x1.76f7bea4f33eap-3, 0x1.756dd63056214p-3, 0x1.73d54a8161385p-3, 0x1.722e894ed2aacp-3, 0x1.7079ff524a71dp-3, 0x1.6eb81840bf9bp-3, 0x1.6ce93ec352c72p-3, 0x1.6b0ddc7077bep-3, 0x1.692659c578baep-3, 0x1.67331e204d488p-3, 0x1.65348fb9c58eep-3, 0x1.632b13a00e77ep-3, 0x1.61170db17df4dp-3, 0x1.5ef8e097babe9p-3, 0x1.5cd0edc328b22p-3, 0x1.5a9f9566a6fa5p-3, 0x1.5865367399df3p-3, 0x1.56222e96403b7p-3, 0x1.53d6da3249271p-3, 0x1.5183945fbc518p-3, 0x1.4f28b6e81f0d5p-3, 0x1.4cc69a43e33e4p-3, 0x1.4a5d959810563p-3, 0x1.47edfeb438d7ep-3, 0x1.45782a10a1fd7p-3, 0x1.42fc6accb460bp-3, 0x1.407b12ad9fa7ap-3, 0x1.3df4721d41ec6p-3, 0x1.3b68d8293dc31p-3, 0x1.38d892824f94fp-3, 0x1.3643ed7bd6e12p-3, 0x1.33ab340b9281cp-3, 0x1.310eafc992991p-3, 0x1.2e6ea8f0583bep-3, 0x1.2bcb665d29e2fp-3, 0x1.29252d909214cp-3, 0x1.267c42af0bccdp-3, 0x1.23d0e881df441p-3, 0x1.2123607822c9p-3, 0x1.1e73eaa7e874cp-3, 0x1.1bc2c5cf8f0fp-3, 0x1.19102f5742717p-3, 0x1.165c6352948c8p-3, 0x1.13a79c8240a5p-3, 0x1.10f2145613828p-3, 0x1.0e3c02eeea7d6p-3, 0x1.0b859f20dcc4bp-3, 0x1.08cf1e757d459p-3, 0x1.0618b52e39996p-3, 0x1.03629646d5faep-3, 0x1.00acf37802bd9p-3, 0x1.fbeffa741a12ep-4, 0x1.f687c58f4eae4p-4, 0x1.f121a4418e0f4p-4, 0x1.ebbdf01b2e31ep-4, 0x1.e65d00430c3e1p-4, 0x1.e0ff297cc49f5p-4, 0x1.dba4be2f0c898p-4, 0x1.d64e0e6a3afd2p-4, 0x1.d0fb67eeedf14p-4, 0x1.cbad1634c9e15p-4, 0x1.c66362715e4bdp-4, 0x1.c11e939f1d8b7p-4, 0x1.bbdeee84761dp-4, 0x1.b6a4b5bafd7cfp-4, 0x1.b17029b6b72a1p-4, 0x1.ac4188cd62b2fp-4, 0x1.a7190f3df238p-4, 0x1.a1f6f737f49e9p-4, 0x1.9cdb78e32f42cp-4, 0x1.97c6ca6723f56p-4, 0x1.92b91ff2bf9dbp-4, 0x1.8db2abc400efep-4, 0x1.88b39e2fb0619p-4, 0x1.83bc25a91bfcdp-4, 0x1.7ecc6ec9da96cp-4, 0x1.79e4a45995e29p-4, 0x1.7504ef55d3d07p-4, 0x1.702d76f9c4d98p-4, 0x1.6b5e60c6162a5p-4, 0x1.6697d088bb88ep-4, 0x1.61d9e864bf08fp-4, 0x1.5d24c8da0b1fp-4, 0x1.587890cd34863p-4, 0x1.53d55d8f3a4c3p-4, 0x1.4f3b4ae545565p-4, 0x1.4aaa73105cd0ep-4, 0x1.4622eed516ed2p-4, 0x1.41a4d583412d7p-4, 0x1.3d303cfd7d14cp-4, 0x1.38c539c0d4921p-4, 0x1.3463deec4382bp-4, 0x1.300c3e4832f5bp-4, 0x1.2bbe684ded64fp-4, 0x1.277a6c2f01842p-4, 0x1.234057dc99738p-4, 0x1.1f10380ec1958p-4, 0x1.1aea184ba55e7p-4, 0x1.16ce02eeb4637p-4, 0x1.12bc012fbf25p-4, 0x1.0eb41b2a00acdp-4, 0x1.0ab657e3144a3p-4, 0x1.06c2bd51df582p-4, 0x1.02d95065647efp-4, 0x1.fdf42a170c7eep-5, 0x1.f64a1c6f6868dp-5, 0x1.eeb47bd314dd8p-5, 0x1.e7334a66b4994p-5, 0x1.dfc688813aa69p-5, 0x1.d86e34b8b283dp-5, 0x1.d12a4beed2735p-5, 0x1.c9fac95d6d6dep-5, 0x1.c2dfa6a2bb358p-5, 0x1.bbd8dbcd72519p-5, 0x1.b4e65f68bafcep-5, 0x1.ae082687f2ed9p-5, 0x1.a73e24d24c2cp-5, 0x1.a0884c8e39994p-5, 0x1.99e68eacb1f0dp-5, 0x1.9358dad44b62ap-5, 0x1.8cdf1f6c25eaap-5, 0x1.867949a6a7eb7p-5, 0x1.8027458c1631p-5, 0x1.79e8fe04fbbfcp-5, 0x1.73be5ce45c28fp-5, 0x1.6da74af1c742p-5, 0x1.67a3aff338ca5p-5, 0x1.61b372b6cf3f8p-5, 0x1.5bd6791c51cabp-5, 0x1.560ca81e9195bp-5, 0x1.5055e3dc90b84p-5, 0x1.4ab20fa28f1c8p-5, 0x1.45210df2dc46ap-5, 0x1.3fa2c08e87afep-5, 0x1.3a37087dded2p-5, 0x1.34ddc618c47d7p-5, 0x1.2f96d90edd43fp-5, 0x1.2a62206f8aa09p-5, 0x1.253f7ab1c2965p-5, 0x1.202ec5bbb8837p-5, 0x1.1b2fdeea5ff4dp-5, 0x1.1642a318c2ca7p-5, 0x1.1166eea73101ap-5, 0x1.0c9c9d82420e1p-5, 0x1.07e38b29b411dp-5, 0x1.033b92b720dc9p-5, 0x1.fd491dc909a74p-6, 0x1.f43cb4254baa2p-6, 0x1.eb519c9ea99f6p-6, 0x1.e2878ab6ffb5ap-6, 0x1.d9de31624abp-6, 0x1.d15543123df13p-6, 0x1.c8ec71c18a01bp-6, 0x1.c0a36efee30dap-6, 0x1.b879ebf7b0207p-6, 0x1.b06f998287b5fp-6, 0x1.a88428294d4c7p-6, 0x1.a0b7483318c74p-6, 0x1.9908a9add98fep-6, 0x1.9177fc77a274ap-6, 0x1.8a04f047c9e6cp-6, 0x1.82af34b7ba002p-6, 0x1.7b76794b8133dp-6, 0x1.745a6d7a23a9fp-6, 0x1.6d5ac0b5ac91fp-6, 0x1.6677227304599p-6, 0x1.5faf42318842p-6, 0x1.5902cf825c4bdp-6, 0x1.52717a0f8f64ap-6, 0x1.4bfaf1a2fe241p-6, 0x1.459ee62cf6337p-6, 0x1.3f5d07cab030bp-6, 0x1.393506cc83e7ep-6, 0x1.332693bbee1a2p-6, 0x1.2d315f6157a4cp-6, 0x1.27551ac9bae0ap-6, 0x1.2191774bfe6acp-6, 0x1.1be6268e2aa16p-6, 0x1.1652da8a6bc2p-6, 0x1.10d74593da54p-6, 0x1.0b731a5b23e8fp-6, 0x1.06260bf30131bp-6, 0x1.00efcdd46c0bcp-6, 0x1.f7a027c57ca8cp-7, 0x1.ed8d24df36842p-7, 0x1.e3a5fc7d61418p-7, 0x1.d9ea19129bac6p-7, 0x1.d058e60388053p-7, 0x1.c6f1cfad7726cp-7, 0x1.bdb4436c7e7d1p-7, 0x1.b49fafa1858ap-7, 0x1.abb383b7d4c13p-7, 0x1.a2ef302a67ddep-7, 0x1.9a5226890abf8p-7, 0x1.91dbd97d1258ap-7, 0x1.898bbccdf6a81p-7, 0x1.816145657ab2ap-7, 0x1.795be953c669fp-7, 0x1.717b1fd306224p-7, 0x1.69be614b154a6p-7, 0x1.62252754b01b1p-7, 0x1.5aaeecbc7f46bp-7, 0x1.535b2d85eb5d2p-7, 0x1.4c2966edbd854p-7, 0x1.4519176c74a38p-7, 0x1.3e29beb886178p-7, 0x1.375addc85d2dp-7, 0x1.30abf6d40bbc4p-7, 0x1.2a1c8d5702d03p-7, 0x1.23ac26115daa3p-7, 0x1.1d5a470944fabp-7, 0x1.1726778be64bep-7, 0x1.1110402e5e79bp-7, 0x1.0b172ace7be98p-7, 0x1.053ac2933aab8p-7, 0x1.fef527da99b55p-8, 0x1.f3ac592ec6bf4p-8, 0x1.e89a372c63c2dp-8, 0x1.ddbde2711e003p-8, 0x1.d3167e2e672f3p-8, 0x1.c8a33028ffd72p-8, 0x1.be6320b83c208p-8, 0x1.b4557ac4fa66cp-8, 0x1.aa796bc82c938p-8, 0x1.a0ce23c999c59p-8, 0x1.9752d55df3fc7p-8, 0x1.8e06b5a4fea7ap-8, 0x1.84e8fc478b8d1p-8, 0x1.7bf8e3750eb26p-8, 0x1.7335a7e1053cbp-8, 0x1.6a9e88c0650a7p-8, 0x1.6232c7c6c43ep-8, 0x1.59f1a9232ee06p-8, 0x1.51da737d42514p-8, 0x1.49ec6ff17e0e3p-8, 0x1.4226ea0e0709p-8, 0x1.3a892fcee2325p-8, 0x1.3312919a56b3dp-8, 0x1.2bc2623d01133p-8, 0x1.2497f6e5d6d8ep-8, 0x1.1d92a7220437ap-8, 0x1.16b1ccd8b7b07p-8, 0x1.0ff4c446b7f31p-8, 0x1.095aebfa2a70ep-8, 0x1.02e3a4cdf6db7p-8, 0x1.f91ca3ca1f3a5p-9, 0x1.ecb4b14c09432p-9, 0x1.e08e416bd8c54p-9, 0x1.d4a827e7c56ap-9, 0x1.c9013ce7c5441p-9, 0x1.bd985cf3fada9p-9, 0x1.b26c68ea88f43p-9, 0x1.a77c45f54e2d2p-9, 0x1.9cc6dd7fa08d8p-9, 0x1.924b1d2c001dcp-9, 0x1.8807f6c9c3497p-9, 0x1.7dfc604aa7acfp-9, 0x1.742753b7c301fp-9, 0x1.6a87cf2749f83p-9, 0x1.611cd4b1b69cfp-9, 0x1.57e56a66ead1fp-9, 0x1.4ee09a439020bp-9, 0x1.460d72262d3eep-9, 0x1.3d6b03c454576p-9, 0x1.34f8649f92d7p-9, 0x1.2cb4adfa86f09p-9, 0x1.249efcce10269p-9, 0x1.1cb671be5f2e7p-9, 0x1.14fa311005d37p-9, 0x1.0d69629cdd313p-9, 0x1.060331c9309c5p-9, 0x1.fd8d9af174c34p-10, 0x1.ef66d007a9bf9p-10, 0x1.e1906e58cf06fp-10, 0x1.d408e82689d48p-10, 0x1.c6ceb65aa2949p-10, 0x1.b9e05870a2103p-10, 0x1.ad3c5460ff6a6p-10, 0x1.a0e1368b3da5dp-10, 0x1.94cd91a0aa2b5p-10, 0x1.88fffe8f37769p-10, 0x1.7d771c6c08f1ep-10, 0x1.7231905e6e497p-10, 0x1.672e058ab6362p-10, 0x1.5c6b2cfd6f9eap-10, 0x1.51e7bd9685917p-10, 0x1.47a273f4ec7bep-10, 0x1.3d9a1261c3c56p-10, 0x1.33cd60bc0f693p-10, 0x1.2a3b2c6476116p-10, 0x1.20e24828ee4e3p-10, 0x1.17c18c313f78dp-10, 0x1.0ed7d5ea97462p-10, 0x1.062407f4637e7p-10, 0x1.fb4a141973509p-11, 0x1.eab391f965138p-11, 0x1.da826d0b188b6p-11, 0x1.cab4929a7d387p-11, 0x1.bb47f997d162p-11, 0x1.ac3aa272683f3p-11, 0x1.9d8a96f356e6cp-11, 0x1.8f35ea18920fep-11, 0x1.813ab7f12ec1ep-11, 0x1.739725790df1ep-11, 0x1.66496074832c5p-11, 0x1.594f9f4df2f8fp-11, 0x1.4ca820f2cf571p-11, 0x1.40512cb17a5c3p-11, 0x1.3449121607b12p-11, 0x1.288e28c91c846p-11, 0x1.1d1ed06e216c3p-11, 0x1.11f97082a2ecep-11, 0x1.071c783d42fbdp-11, 0x1.f90cbcdb151fdp-12, 0x1.e46b42b85b2d6p-12, 0x1.d0518d56b94b1p-12, 0x1.bcbcb66eea7cap-12, 0x1.a9a9e5efda26bp-12, 0x1.971651c2919ddp-12, 0x1.84ff3d8d6d0f6p-12, 0x1.7361fa7a025ecp-12, 0x1.623be6f9b555cp-12, 0x1.518a6e8bc5b04p-12, 0x1.414b09845ab4bp-12, 0x1.317b3cd389d87p-12, 0x1.221899ce2f839p-12, 0x1.1320bdf6e6e7cp-12, 0x1.049152c8332f9p-12, 0x1.ecd01afe5bf75p-13, 0x1.d1455dcc73dc4p-13, 0x1.b67e0642908ffp-13, 0x1.9c75c2f53cdb7p-13, 0x1.8328585ef17d2p-13, 0x1.6a91a07ebc0a3p-13, 0x1.52ad8a75fe53ep-13, 0x1.3b781a275aa45p-13, 0x1.24ed67d669bdep-13, 0x1.0f099fca1c7fep-13, 0x1.f39203e16ebf6p-14, 0x1.ca4fc304ae5c4p-14, 0x1.a2454951f4917p-14, 0x1.7b6b884f1597ep-14, 0x1.55bb96094402bp-14, 0x1.312eac62992b1p-14, 0x1.0dbe286d195ap-14, 0x1.d6c71384f40a7p-15, 0x1.9430e3bb27c76p-15, 0x1.53ad46fd2856p-15, 0x1.153004152750ep-15, 0x1.b15a43b8098f7p-16, 0x1.3c31cc06c4258p-16, 0x1.959f4fc0b2f2p-17, 0x1.74755c3037a7ap-18, -0x1.9f65fdf9dbb41p-21, -0x1.ce3e084aefd93p-18, -0x1.ad698437b3b3fp-17, -0x1.367fa2b5b3915p-16, -0x1.9304688b9c22p-16, -0x1.ec56ec7978bd8p-16, -0x1.21454ec9a8d12p-15, -0x1.4ad941975affp-15, -0x1.72f09f7857eeep-15, -0x1.9994875a9a3d2p-15, -0x1.becde73fdb643p-15, -0x1.e2a57d3a15e29p-15, -0x1.0291ec2644933p-14, -0x1.1328acafdc56fp-14, -0x1.231b1a1323f28p-14, -0x1.326d38010b411p-14, -0x1.4122f472973bcp-14, -0x1.4f4028115e795p-14, -0x1.5cc896a984e76p-14, -0x1.69bfef8deb6ep-14, -0x1.7629ce037a4f5p-14, -0x1.8209b9a5724d2p-14, -0x1.8d6326c860af9p-14, -0x1.983976df2fe92p-14, -0x1.a28ff8d9d8a9dp-14, -0x1.ac69e9852eac6p-14, -0x1.b5ca73e8eef04p-14, -0x1.beb4b19f1e94cp-14, -0x1.c72bab3086cfdp-14, -0x1.cf32586be779p-14, -0x1.d6cba0bca6f91p-14, -0x1.ddfa5b7e76346p-14, -0x1.e4c15054e7104p-14, -0x1.eb233777f31b8p-14, -0x1.f122ba04ed84fp-14, -0x1.f6c2724eb0b69p-14, -0x1.fc04ec2aac196p-14, -0x1.0076529c8c546p-13, -0x1.02be0698f40b5p-13, -0x1.04dac31794cfp-13, -0x1.06cdb278643c7p-13, -0x1.0897f893ad7e1p-13, -0x1.0a3ab2d98cefbp-13, -0x1.0bb6f875ba3e9p-13, -0x1.0d0dda6f4de8fp-13, -0x1.0e4063c95fd1bp-13, -0x1.0f4f99a31134dp-13, -0x1.103c7b56e35d7p-13, -0x1.1108029897a9bp-13, -0x1.11b32394327c6p-13, -0x1.123ecd09d0d55p-13, -0x1.12abe86bd5cb3p-13, -0x1.12fb59fa00494p-13, -0x1.132e00dc8b9c6p-13, -0x1.1344b740fda4dp-13, -0x1.1340527326736p-13, -0x1.1321a2f876e1dp-13, -0x1.12e974a903ca5p-13, -0x1.12988ec817c1cp-13, -0x1.122fb41cd422p-13, -0x1.11afa30a4dabep-13, -0x1.111915a6b6de4p-13, -0x1.106cc1d35a5e2p-13, -0x1.0fab595143171p-13, -0x1.0ed589d9bf8cp-13, -0x1.0debfd32506b2p-13, -0x1.0cef59424eaf7p-13, -0x1.0be04028b22ebp-13, -0x1.0abf504e5288dp-13, -0x1.098d247b93976p-13, -0x1.084a53eadf1b9p-13, -0x1.06f7725d01357p-13, -0x1.0595102a94c1cp-13, -0x1.0423ba56b05f2p-13, -0x1.02a3faa1fa221p-13, -0x1.0116579afa05dp-13, -0x1.fef6a95f9ae3dp-14, -0x1.fba6e47ee0ed3p-14, -0x1.f83e5b5248812p-14, -0x1.f4be02bb77dfdp-14, -0x1.f126c9dce5dc2p-14, -0x1.ed799a3ac1641p-14, -0x1.e9b757d90a42ep-14, -0x1.e5e0e15865a0ep-14, -0x1.e1f7101500885p-14, -0x1.ddfab83f8032fp-14, -0x1.d9eca8fd5b422p-14, -0x1.d5cdac8173945p-14, -0x1.d19e8826b51dap-14, -0x1.cd5ffc8cad285p-14, -0x1.c912c5aec4e1cp-14, -0x1.c4b79afe11096p-14, -0x1.c04f2f7a423dfp-14, -0x1.bbda31ca8e166p-14, -0x1.b7594c53b5a3ap-14, -0x1.b2cd254ff7bd6p-14, -0x1.ae365ee4a09e8p-14, -0x1.a995973973492p-14, -0x1.a4eb688df114ap-14, -0x1.a038694ddf093p-14, -0x1.9b7d2c26581b4p-14, -0x1.96ba401b117b4p-14, -0x1.91f030989a9e6p-14, -0x1.8d1f858940756p-14, -0x1.8848c367a8f89p-14, -0x1.836c6b50fd365p-14, -0x1.7e8afb16eb07cp-14, -0x1.79a4ed538d282p-14, -0x1.74bab97773ffdp-14, -0x1.6fccd3ddfd3e4p-14, -0x1.6adbaddc53fb5p-14, -0x1.65e7b5d3475d9p-14, -0x1.60f1573db30dp-14, -0x1.5bf8fac15f0d5p-14, -0x1.56ff063cee97bp-14, -0x1.5203dcd90a5bbp-14, -0x1.4d07df151d19fp-14, -0x1.480b6ad79d415p-14, -0x1.430edb7a83487p-14, -0x1.3e1289d988dfap-14, -0x1.3916cc60d8e7fp-14, -0x1.341bf718c8a63p-14, -0x1.2f225bb3fe75p-14, -0x1.2a2a499b90916p-14, -0x1.25340dfb2cbb9p-14, -0x1.203ff3cdf9eep-14, -0x1.1b4e43e9c312p-14, -0x1.165f450b762cfp-14, -0x1.11733be13a614p-14, -0x1.0c8a6b1787546p-14, -0x1.07a51362c8416p-14, -0x1.02c3738abce69p-14, -0x1.fbcb90e6c672ap-15, -0x1.f2189a53c835bp-15, -0x1.e86e75d8b71cap-15, -0x1.decd92691b963p-15, -0x1.d5365b843bb1bp-15, -0x1.cba93944d6c7ap-15, -0x1.c2269077be9edp-15, -0x1.b8aec2ab37919p-15, -0x1.af422e41690bfp-15, -0x1.a5e12e817e403p-15, -0x1.9c8c1ba947d6bp-15, -0x1.93434afd4e0efp-15, -0x1.8a070ed956875p-15, -0x1.80d7b6c00a47cp-15, -0x1.77b58f6ab44ccp-15, -0x1.6ea0e2db804cbp-15, -0x1.6599f866daf59p-15, -0x1.5ca114c6cdaf4p-15, -0x1.53b67a273e31dp-15, -0x1.4ada68349f354p-15, -0x1.420d1c2998ad2p-15, -0x1.394ed0dd13192p-15, -0x1.309fbecf8a018p-15, -0x1.28001c37b579ap-15, -0x1.1f701d0e3207dp-15, -0x1.16eff31c61f88p-15, -0x1.0e7fce06e8126p-15, -0x1.061fdb5b16e58p-15, -0x1.fba08d3030374p-16, -0x1.eb2272793154ep-16, -0x1.dac5b5a4acdd2p-16, -0x1.ca8aa1f0f2bb9p-16, -0x1.ba717ed9bc4c6p-16, -0x1.aa7a90313f408p-16, -0x1.9aa61636e8fc5p-16, -0x1.8af44da8c8138p-16, -0x1.7b656fd59da98p-16, -0x1.6bf9b2b415796p-16, -0x1.5cb148f4de6aep-16, -0x1.4d8c62139bb84p-16, -0x1.3e8b2a6cfc029p-16, -0x1.2fadcb4d7923p-16, -0x1.20f46b06914f7p-16, -0x1.125f2cfc8ab85p-16, -0x1.03ee31b8d7c6dp-16, -0x1.eb432dfaa87fcp-17, -0x1.cef2efa510d92p-17, -0x1.b2ebd9317dff2p-17, -0x1.972e1626694dbp-17, -0x1.7bb9ccf78e10ap-17, -0x1.608f1f2a670fcp-17, -0x1.45ae2968a641cp-17, -0x1.2b17039e6be44p-17, -0x1.10c9c119f7e18p-17, -0x1.ed8ce1611ff9dp-18, -0x1.ba1a399eb1cedp-18, -0x1.873b97269b0ap-18, -0x1.54f0fdd8665cap-18, -0x1.233a6962cca0ap-18, -0x1.e42f9aff486dap-19, -0x1.83122c3d54234p-19, -0x1.231c4f36e47f6p-19, -0x1.889b7ba597c92p-20, -0x1.9a988e2f7caap-21, -0x1.44a3b890a514p-24, 0x1.44d70f148732dp-21, 0x1.56d5fd63387cfp-20, 0x1.047b1daa6abddp-19, 0x1.5c66b8042f839p-19, 0x1.b32e7177f6a3p-19, 0x1.04697ce0ba308p-18, 0x1.2eaa862704655p-18, 0x1.585ab7fac4db4p-18, 0x1.817a7b59a8afep-18, 0x1.aa0a3ea330f15p-18, 0x1.d20a756a1c391p-18, 0x1.f97b986603165p-18, 0x1.102f12a383f11p-17, 0x1.23594f459261ap-17, 0x1.363cc5b41d2e4p-17, 0x1.48d9bbcd63d51p-17, 0x1.5b3079a60561ap-17, 0x1.6d41497778f7bp-17, 0x1.7f0c77922c603p-17, 0x1.9092524de13c9p-17, 0x1.a1d329f60d074p-17, 0x1.b2cf50ba933bp-17, 0x1.c3871aa14097dp-17, 0x1.d3fadd7b35c5ap-17, 0x1.e42af0d3219ccp-17, 0x1.f417addfeb0efp-17, 0x1.01e0b7bb2610bp-16, 0x1.099448fee04f1p-16, 0x1.1126b9aeb114fp-16, 0x1.18983979e0bd3p-16, 0x1.1fe8f8c508414p-16, 0x1.2719289fb581p-16, 0x1.2e28fac2577ap-16, 0x1.3518a186f1d3p-16, 0x1.3be84fe46ffcp-16, 0x1.429839673a764p-16, 0x1.4928922b5138ep-16, 0x1.4f998ed6ec1cdp-16, 0x1.55eb6494ef53dp-16, 0x1.5c1e490e1a2c5p-16, 0x1.62327267221edp-16, 0x1.6828173ad8bap-16, 0x1.6dff6e91dbc6bp-16, 0x1.73b8afdf480b2p-16, 0x1.795412f93f71dp-16, 0x1.7ed1d019f00bep-16, 0x1.84321fd60fccbp-16, 0x1.89753b19fe45bp-16, 0x1.8e9b5b24aa3edp-16, 0x1.93a4b98482725p-16, 0x1.98919010d26ecp-16, 0x1.9d6218e5d562bp-16, 0x1.a2168e62da883p-16, 0x1.a6af2b222e35bp-16, 0x1.ab2c29f63dc2ap-16, 0x1.af8dc5e87d109p-16, 0x1.b3d43a32477c8p-16, 0x1.b7ffc23b14246p-16, 0x1.bc109994f1e7ap-16, 0x1.c006fbf63fcc2p-16, 0x1.c3e325374880cp-16, 0x1.c7a5514ee5471p-16, 0x1.cb4dbc4f99329p-16, 0x1.cedca263d2cbp-16, 0x1.d2523fcb8e0b6p-16, 0x1.d5aed0d7cfdbcp-16, 0x1.d8f291e7410d3p-16, 0x1.dc1dbf6057e0bp-16, 0x1.df3095b4a8dd9p-16, 0x1.e22b5159f6993p-16, 0x1.e50e2ec84b53cp-16, 0x1.e7d96a76c9ff4p-16, 0x1.ea8d40d9ac7a7p-16, 0x1.ed29ee5e3989dp-16, 0x1.efafaf67ee80cp-16, 0x1.f21ec04fdc67ap-16, 0x1.f4775d5fd2c14p-16, 0x1.f6b9c2cf7cf3ep-16, 0x1.f8e62cc495722p-16, 0x1.fafcd74f040ebp-16, 0x1.fcfdfe6731f68p-16, 0x1.fee9ddeadce18p-16, 0x1.006058cdbe2c1p-15, 0x1.01415a8e1f3eap-15, 0x1.021811f6ab112p-15, 0x1.02e49cb6d2ae1p-15, 0x1.03a7186b71858p-15, 0x1.045fa29db0707p-15, 0x1.050e58c2c871p-15, 0x1.05b3583afa9b2p-15, 0x1.064ebe4f4cbcap-15, 0x1.06e0a830a156ep-15, 0x1.076932f8f95b8p-15, 0x1.07e87ba92719ep-15, 0x1.085e9f28586f6p-15, 0x1.08cbba431ba7cp-15, 0x1.092fe9ab29729p-15, 0x1.098b49f58abf8p-15, 0x1.09ddf79a5da7ep-15, 0x1.0a280ef45755p-15, 0x1.0a69ac3fcc1f6p-15, 0x1.0aa2eb99dfabcp-15, 0x1.0ad3e8ff7fb5bp-15, 0x1.0afcc04dfcd2bp-15, 0x1.0b1d8d41ae689p-15, 0x1.0b366b7526c0cp-15, 0x1.0b477660e0874p-15, 0x1.0b50c95aac274p-15, }}, 
      {{-0x1.0996d5f8c17cep-8, -0x1.0996e0f07a618p-7, -0x1.8e65f42dd40e3p-7, -0x1.09a13985b3e9bp-6, -0x1.4c1efda48a6b4p-6, -0x1.8eb93ec06223ep-6, -0x1.d180f227b37e9p-6, -0x1.0a4546ba977bdp-5, -0x1.2bf6ab08b177p-5, -0x1.4de14aa43e249p-5, -0x1.70126203c2366p-5, -0x1.92975e0d7ea89p-5, -0x1.b57d7c252ce24p-5, -0x1.d8d1748f5e84p-5, -0x1.fc9f30bd331b7p-5, -0x1.1078c70e553c2p-4, -0x1.22e916ade780ep-4, -0x1.35a4a6ca9c725p-4, -0x1.48aed94664bdcp-4, -0x1.5c0a4a790b1ecp-4, -0x1.6fb8cdc167fa3p-4, -0x1.83bb6deecec5ep-4, -0x1.981270ec408cep-4, -0x1.acbd5e1cf90fep-4, -0x1.c1bb06e33f6dap-4, -0x1.d70990d5d2f49p-4, -0x1.eca681350a249p-4, -0x1.0147649efd6p-3, -0x1.0c5f698388803p-3, -0x1.1799474f28f17p-3, -0x1.22f2bf96a467fp-3, -0x1.2e6963f8d5f88p-3, -0x1.39fa9c71aef66p-3, -0x1.45a3ad74b6a45p-3, -0x1.5161bdc374701p-3, -0x1.5d31dbf78bd12p-3, -0x1.691103baf7f19p-3, -0x1.74fc22ab11e89p-3, -0x1.80f01ce500cd3p-3, -0x1.8ce9d13b80482p-3, -0x1.98e61d1743f94p-3, -0x1.a4e1e004006c7p-3, -0x1.b0d9feecdf74ep-3, -0x1.bccb670b99031p-3, -0x1.c8b3108dc25ddp-3, -0x1.d48e00f41d147p-3, -0x1.e0594d2fba6bfp-3, -0x1.ec121b80e9797p-3, -0x1.f7b5a51bc0462p-3, -0x1.01a09bcb0e563p-2, -0x1.07591b1160373p-2, -0x1.0d030d4e9360fp-2, -0x1.129d3b34b839cp-2, -0x1.18267995dded4p-2, -0x1.1d9da9acfd0d6p-2, -0x1.2301b9559bf71p-2, -0x1.2851a333944c5p-2, -0x1.2d8c6ecc4ad8fp-2, -0x1.32b13092976b2p-2, -0x1.37bf09e68ebabp-2, -0x1.3cb5290a3e9cbp-2, -0x1.4192c90c72e84p-2, -0x1.465731aa724dep-2, -0x1.4b01b729a2d2ep-2, -0x1.4f91ba29eec32p-2, -0x1.5406a771b69cbp-2, -0x1.585ff7b41177dp-2, -0x1.5c9d2f520e7b2p-2, -0x1.60bdde179bd9p-2, -0x1.64c19ef4afe81p-2, -0x1.68a817b347abfp-2, -0x1.6c70f8aab7b6ap-2, -0x1.701bfc70d6d76p-2, -0x1.73a8e7896b445p-2, -0x1.7717881448a25p-2, -0x1.7a67b57a7c98ap-2, -0x1.7d99501ae72e9p-2, -0x1.80ac40f68cc9cp-2, -0x1.83a0795ce97eep-2, -0x1.8675f29890782p-2, -0x1.892cad9c4b57ap-2, -0x1.8bc4b2b0f6b74p-2, -0x1.8e3e11244913p-2, -0x1.9098def8b1db7p-2, -0x1.92d5389675a13p-2, -0x1.94f3407e29a7ep-2, -0x1.96f31efcadaa2p-2, -0x1.98d501e0bbfe3p-2, -0x1.9a991c3223e6ap-2, -0x1.9c3fa5eac790dp-2, -0x1.9dc8dbb15f83dp-2, -0x1.9f34fe9620f6cp-2, -0x1.a08453d13e43bp-2, -0x1.a1b72483545f5p-2, -0x1.a2cdbd77c6a87p-2, -0x1.a3c86ee9097e7p-2, -0x1.a4a78c46dc818p-2, -0x1.a56b6bfe7399cp-2, -0x1.a61467448fa7fp-2, -0x1.a6a2d9e179ad2p-2, -0x1.a71721fee691bp-2, -0x1.a7719ff7b0a2cp-2, -0x1.a7b2b6296abaap-2, -0x1.a7dac8c7be91cp-2, -0x1.a7ea3db18ba8ep-2, -0x1.a7e17c47c429ep-2, -0x1.a7c0ed45f545bp-2, -0x1.a788fa9c7a2f2p-2, -0x1.a73a0f4c43431p-2, -0x1.a6d49744315fbp-2, -0x1.a658ff3ff361p-2, -0x1.a5c7b4a85c878p-2, -0x1.a521257527e84p-2, -0x1.a465c0101e58dp-2, -0x1.a395f3399366ap-2, -0x1.a2b22dee29f71p-2, -0x1.a1badf4dde5adp-2, -0x1.a0b076843ef88p-2, -0x1.9f9362b1d2aacp-2, -0x1.9e6412d69cfecp-2, -0x1.9d22f5bdb785fp-2, -0x1.9bd079e9f1b81p-2, -0x1.9a6d0d8376848p-2, -0x1.98f91e4662e67p-2, -0x1.977519724b49fp-2, -0x1.95e16bbaa5a35p-2, -0x1.943e81380945bp-2, -0x1.928cc55a44074p-2, -0x1.90cca2db37826p-2, -0x1.8efe83b276886p-2, -0x1.8d22d1099a6abp-2, -0x1.8b39f3314c965p-2, -0x1.89445196f5fd7p-2, -0x1.874252bb14c05p-2, -0x1.85345c282b538p-2, -0x1.831ad26a45a02p-2, -0x1.80f619070fb69p-2, -0x1.7ec692766f213p-2, -0x1.7c8ca01ba7a14p-2, -0x1.7a48a23ef63b5p-2, -0x1.77faf807a92abp-2, -0x1.75a3ff76a8dcap-2, -0x1.734415616e6e9p-2, -0x1.70db956d665d9p-2, -0x1.6e6ada0bb5b95p-2, -0x1.6bf23c7560fbp-2, -0x1.697214a7cd75p-2, -0x1.66eab961ap-2, -0x1.645c801fea61bp-2, -0x1.61c7bd1bae05cp-2, -0x1.5f2cc347ac8f9p-2, -0x1.5c8be44e7de8bp-2, -0x1.59e57090f498fp-2, -0x1.5739b724bf3fep-2, -0x1.548905d351bf1p-2, -0x1.51d3a91906af3p-2, -0x1.4f19ec2481ed2p-2, -0x1.4c5c18d6477cdp-2, -0x1.499a77c08ead1p-2, -0x1.46d5502743695p-2, -0x1.440ce8003e854p-2, -0x1.414183f3ad87fp-2, -0x1.3e73675ca35dfp-2, -0x1.3ba2d449dcf13p-2, -0x1.38d00b7ea87fp-2, -0x1.35fb4c73f95a7p-2, -0x1.3324d559a261dp-2, -0x1.304ce317afae6p-2, -0x1.2d73b14feaedcp-2, -0x1.2a997a5f7c50ap-2, -0x1.27be7760ab959p-2, -0x1.24e2e02cc2801p-2, -0x1.2206eb5e0942bp-2, -0x1.1f2ace51e0d0fp-2, -0x1.1c4ebd2af4f1bp-2, -0x1.1972ead38c39p-2, -0x1.169788ffea0a7p-2, -0x1.13bcc830cc50dp-2, -0x1.10e2d7b5fb3d9p-2, -0x1.0e09e5b0f057dp-2, -0x1.0b321f178f93ap-2, -0x1.085bafb6f2009p-2, -0x1.0586c2364280bp-2, -0x1.02b38019ac87bp-2, -0x1.ffc4238ab1d9bp-3, -0x1.fa253d00ee1b2p-3, -0x1.f48a98f0b293bp-3, -0x1.eef481872f51ep-3, -0x1.e9633eca85882p-3, -0x1.e3d716a0435f4p-3, -0x1.de504cd3ef9e3p-3, -0x1.d8cf231dadf34p-3, -0x1.d353d928ef8d1p-3, -0x1.cddeac9b3a934p-3, -0x1.c86fd91af988ap-3, -0x1.c30798565d26fp-3, -0x1.bda6220a48c89p-3, -0x1.b84bac0949605p-3, -0x1.b2f86a42945bdp-3, -0x1.adac8ec91498cp-3, -0x1.a86849da79fdfp-3, -0x1.a32bc9e64f3c6p-3, -0x1.9df73b9515b88p-3, -0x1.98cac9cf65d99p-3, -0x1.93a69dc512ddbp-3, -0x1.8e8adef44dcc9p-3, -0x1.8977b330ca2ccp-3, -0x1.846d3eaae63d7p-3, -0x1.7f6ba3f6cfabdp-3, -0x1.7a730413a13eap-3, -0x1.75837e728b104p-3, -0x1.709d30fde68d3p-3, -0x1.6bc0382056c3cp-3, -0x1.66ecaecbd2b57p-3, -0x1.6222ae80b955ep-3, -0x1.5d624f54d5b48p-3, -0x1.58aba7fa5ddebp-3, -0x1.53fecdc6eab8ep-3, -0x1.4f5bd4ba64687p-3, -0x1.4ac2cf85ea57p-3, -0x1.4633cf92ad23ep-3, -0x1.41aee508bee77p-3, -0x1.3d341ed5daabap-3, -0x1.38c38ab41a4c3p-3, -0x1.345d3530a8d2ap-3, -0x1.300129b2633a5p-3, -0x1.2baf72806a409p-3, -0x1.276818c8aa87dp-3, -0x1.232b24a654049p-3, -0x1.1ef89d2847bcbp-3, -0x1.1ad088576dc7cp-3, -0x1.16b2eb3d06078p-3, -0x1.129fc9e8e2022p-3, -0x1.0e972777934d2p-3, -0x1.0a990618869dfp-3, -0x1.06a56714128a7p-3, -0x1.02bc4ad16e894p-3, -0x1.fdbb61b9424dp-4, -0x1.f6132fd8acf0fp-4, -0x1.ee7ffbcf4f40ep-4, -0x1.e701bfd7a32a1p-4, -0x1.df9874a3af626p-4, -0x1.d84411682795ap-4, -0x1.d1048be76ea9cp-4, -0x1.c9d9d87c708d8p-4, -0x1.c2c3ea25500bcp-4, -0x1.bbc2b28df878ep-4, -0x1.b4d6221a86eaap-4, -0x1.adfe27f18cbbp-4, -0x1.a73ab2062611p-4, -0x1.a08bad21f98a3p-4, -0x1.99f104eeff992p-4, -0x1.936aa4012d099p-4, -0x1.8cf873dff7defp-4, -0x1.869a5d0fafde4p-4, -0x1.8050471ab5236p-4, -0x1.7a1a189a85053p-4, -0x1.73f7b740a1812p-4, -0x1.6de907df52d3bp-4, -0x1.67edee723f328p-4, -0x1.62064e26e092bp-4, -0x1.5c320964cefbp-4, -0x1.567101d5e8b4fp-4, -0x1.50c3186e50cccp-4, -0x1.4b282d744953bp-4, -0x1.45a02087e7cf7p-4, -0x1.402ad0aaa160cp-4, -0x1.3ac81c46b57cap-4, -0x1.3577e1366de66p-4, -0x1.3039fccb3ea4ap-4, -0x1.2b0e4bd4bccc3p-4, -0x1.25f4aaa77329ep-4, -0x1.20ecf52390bf8p-4, -0x1.1bf706bb738a6p-4, -0x1.1712ba7a0f0cep-4, -0x1.123feb09305c9p-4, -0x1.0d7e72b79c5d6p-4, -0x1.08ce2b7f0d71ep-4, -0x1.042eef0a0b851p-4, -0x1.ff412d734988ap-5, -0x1.f645f7560382ap-5, -0x1.ed6bed79b0a96p-5, -0x1.e4b2c1297adb3p-5, -0x1.dc1a2348aae8ep-5, -0x1.d3a1c45cc8448p-5, -0x1.cb495497757b6p-5, -0x1.c31083e010e0bp-5, -0x1.baf701dd14209p-5, -0x1.b2fc7dfd30f8fp-5, -0x1.ab20a78035a8p-5, -0x1.a3632d7fb4d5p-5, -0x1.9bc3bef76afa7p-5, -0x1.94420acd6f62ep-5, -0x1.8cddbfda251d3p-5, -0x1.85968ceff6cf7p-5, -0x1.7e6c20e2d280ep-5, -0x1.775e2a8f785afp-5, -0x1.706c58e287444p-5, -0x1.69965adf5677bp-5, -0x1.62dbdfa69c707p-5, -0x1.5c3c967cdd317p-5, -0x1.55b82ed0a7a38p-5, -0x1.4f4e58409b5d7p-5, -0x1.48fec2a140adcp-5, -0x1.42c91e02ac384p-5, -0x1.3cad1ab5f2b98p-5, -0x1.36aa69526d4adp-5, -0x1.30c0babaceda7p-5, -0x1.2aefc02209161p-5, -0x1.25372b10071c4p-5, -0x1.1f96ad663854ep-5, -0x1.1a0df963f3e08p-5, -0x1.149cc1aaae4b2p-5, -0x1.0f42b94202e9ap-5, -0x1.09ff939b9953ep-5, -0x1.04d30496ddd58p-5, -0x1.ff79810929da9p-6, -0x1.f578f85490e54p-6, -0x1.eba3d98b10ccp-6, -0x1.e1f9901e2207dp-6, -0x1.d879887b84181p-6, -0x1.cf233012f0419p-6, -0x1.c5f5f55b88becp-6, -0x1.bcf147d8f59bbp-6, -0x1.b414982051b83p-6, -0x1.ab5f57dcc087dp-6, -0x1.a2d0f9d3d9995p-6, -0x1.9a68f1e9c81fp-6, -0x1.9226b5252f5a4p-6, -0x1.8a09b9b2da40ap-6, -0x1.821176e9262b2p-6, -0x1.7a3d654b3f136p-6, -0x1.728cfe8c1d305p-6, -0x1.6affbd914dcc3p-6, -0x1.63951e759295fp-6, -0x1.5c4c9e8b3bfc2p-6, -0x1.5525bc5e5a042p-6, -0x1.4e1ff7b6c0cb7p-6, -0x1.473ad199d4be3p-6, -0x1.4075cc4c31814p-6, -0x1.39d06b5321037p-6, -0x1.334a3375e2b44p-6, -0x1.2ce2aabecd6f1p-6, -0x1.2699587c4240fp-6, -0x1.206dc5418308cp-6, -0x1.1a5f7ae755b82p-6, -0x1.146e048c87eacp-6, -0x1.0e98ee9650b63p-6, -0x1.08dfc6b08570dp-6, -0x1.03421bcdb46f3p-6, -0x1.fb7efc4e41966p-7, -0x1.f0aefe792243fp-7, -0x1.e61363a81c453p-7, -0x1.dbab53f2f4d15p-7, -0x1.d175f9fc1f333p-7, -0x1.c77282ef7916fp-7, -0x1.bda01e80d9ceap-7, -0x1.b3fdfeea6241bp-7, -0x1.aa8b58eaa9adbp-7, -0x1.a14763c2ab114p-7, -0x1.983159338c982p-7, -0x1.8f48757c2a824p-7, -0x1.868bf7568fbf6p-7, -0x1.7dfb1ff52dcd5p-7, -0x1.759532fff8709p-7, -0x1.6d597691589c4p-7, -0x1.65473332fac31p-7, -0x1.5d5db3da72ef4p-7, -0x1.559c45e5c4b4cp-7, -0x1.4e023917d0663p-7, -0x1.468edf949460bp-7, -0x1.3f418ddd59cb8p-7, -0x1.38199accbd981p-7, -0x1.31165f92aff0ep-7, -0x1.2a3737b03fb8cp-7, -0x1.237b80f362621p-7, -0x1.1ce29b72994a8p-7, -0x1.166be98887c02p-7, -0x1.1016cfcf75e1ep-7, -0x1.09e2b51cb63abp-7, -0x1.03cf027c04772p-7, -0x1.fbb6465588078p-8, -0x1.f00d09268adc1p-8, -0x1.e4a12c8fcb88cp-8, -0x1.d97193fc513bcp-8, -0x1.ce7d27138ffedp-8, -0x1.c3c2d1af6a1c2p-8, -0x1.b94183d223b7ap-8, -0x1.aef8319c2cc08p-8, -0x1.a4e5d341f4bbdp-8, -0x1.9b096501895d6p-8, -0x1.9161e7184f04cp-8, -0x1.87ee5db880176p-8, -0x1.7eadd0fed3c2ap-8, -0x1.759f4ce7e6889p-8, -0x1.6cc1e145be634p-8, -0x1.6414a1b52bb83p-8, -0x1.5b96a5933bbf8p-8, -0x1.534707f299778p-8, -0x1.4b24e790df1d8p-8, -0x1.432f66cc0f561p-8, -0x1.3b65ab97d4e9ep-8, -0x1.33c6df72ec2b5p-8, -0x1.2c522f5c84c24p-8, -0x1.2506cbc998353p-8, -0x1.1de3e89a45846p-8, -0x1.16e8bd0f47c97p-8, -0x1.101483bf4e716p-8, -0x1.09667a8c8c59dp-8, -0x1.02dde29a14435p-8, -0x1.f8f40082dfa15p-9, -0x1.ec7436103c0fdp-9, -0x1.e03afb2a5f556p-9, -0x1.d446eb4db006dp-9, -0x1.c896a8104eb66p-9, -0x1.bd28d90d78dc2p-9, -0x1.b1fc2bd105135p-9, -0x1.a70f53c31a73ep-9, -0x1.9c610a13e1babp-9, -0x1.91f00da753278p-9, -0x1.87bb230148795p-9, -0x1.7dc114317b363p-9, -0x1.7400b0bfdd95dp-9, -0x1.6a78cd98d596p-9, -0x1.612844f9d2b1ap-9, -0x1.580df65deffa7p-9, -0x1.4f28c66ab257ep-9, -0x1.46779edcefdf4p-9, -0x1.3df96e75e1f3fp-9, -0x1.35ad28e86230ap-9, -0x1.2d91c6c648876p-9, -0x1.25a6456debb8bp-9, -0x1.1de9a6f7ef7a5p-9, -0x1.165af224feea5p-9, -0x1.0ef9324bcb1fdp-9, -0x1.07c377475d9cfp-9, -0x1.00b8d56541186p-9, -0x1.f3b0caa85302p-10, -0x1.e6428825187bdp-10, -0x1.d92525bb141f2p-10, -0x1.cc56ee3fc9866p-10, -0x1.bfd634c2a5d2ep-10, -0x1.b3a1546b7d715p-10, -0x1.a7b6b059baa31p-10, -0x1.9c14b383d0b4bp-10, -0x1.90b9d09702869p-10, -0x1.85a481d78b086p-10, -0x1.7ad3490132ecp-10, -0x1.7044af282684dp-10, -0x1.65f7449a2ebb7p-10, -0x1.5be9a0c05978bp-10, -0x1.521a6200b0b3p-10, -0x1.48882da0da8bbp-10, -0x1.3f31afa87a5f8p-10, -0x1.36159ac4525e6p-10, -0x1.2d32a8299c4e9p-10, -0x1.24879779bea29p-10, -0x1.1c132ea66c85p-10, -0x1.13d439d63c1cdp-10, -0x1.0bc98b4920ab6p-10, -0x1.03f1fb3dc8198p-10, -0x1.f898cfadf42f7p-11, -0x1.e9af6a03194dap-11, -0x1.db2598b4debd4p-11, -0x1.ccf93a2a98e7p-11, -0x1.bf2837c6f0a46p-11, -0x1.b1b085b60f072p-11, -0x1.a49022bd2541ap-11, -0x1.97c51809f0818p-11, -0x1.8b4d79034b54bp-11, -0x1.7f27631a5aa8p-11, -0x1.7350fd9c3a72dp-11, -0x1.67c879849bc78p-11, -0x1.5c8c11510131p-11, -0x1.519a08d43c5dcp-11, -0x1.46f0ad0b60771p-11, -0x1.3c8e53f2585ecp-11, -0x1.32715c5a05dddp-11, -0x1.28982dbe610c4p-11, -0x1.1f01381d5af44p-11, -0x1.15aaf3cec6fe6p-11, -0x1.0c93e15c57bb2p-11, -0x1.03ba895a8c2acp-11, -0x1.f63af883e8c75p-12, -0x1.e576a492e8e5cp-12, -0x1.d52556819188ap-12, -0x1.c5445cd7f0a9p-12, -0x1.b5d114bdb81adp-12, -0x1.a6c8e9b300acep-12, -0x1.9829554a1dbfdp-12, -0x1.89efdee3037dp-12, -0x1.7c1a1b674f2e5p-12, -0x1.6ea5ad071d661p-12, -0x1.619042f7d64e9p-12, -0x1.54d799337ac64p-12, -0x1.48797838a193ap-12, -0x1.3c73b4cc9588dp-12, -0x1.30c42fbe31b3dp-12, -0x1.2568d5a897bacp-12, -0x1.1a5f9eb840cccp-12, -0x1.0fa68e7057fbcp-12, -0x1.053bb371d67e8p-12, -0x1.f63a4e8511f74p-13, -0x1.e2921c2c27f87p-13, -0x1.cf7b2d2e8ac4ep-13, -0x1.bcf1f3650ee81p-13, -0x1.aaf2f4c2bdeb9p-13, -0x1.997acaecf9fcep-13, -0x1.888622d6de3cep-13, -0x1.7811bc5c5e35ap-13, -0x1.681a69e0eda22p-13, -0x1.589d0fef0a4b8p-13, -0x1.4996a4d9905d1p-13, -0x1.3b04305f1107fp-13, -0x1.2ce2cb4e7e86dp-13, -0x1.1f2f9f2d84df1p-13, -0x1.11e7e5e125cbep-13, -0x1.0508e9570366fp-13, -0x1.f1200661c4897p-14, -0x1.d8f538e1775dfp-14, -0x1.c18c5a4f1774fp-14, -0x1.aae0784b7095p-14, -0x1.94ecbd56da8a7p-14, -0x1.7fac703842e54p-14, -0x1.6b1af3654602bp-14, -0x1.5733c46d0b282p-14, -0x1.43f27b65d262dp-14, -0x1.3152ca6038fedp-14, -0x1.1f507cd7bb1b3p-14, -0x1.0de7772c31dc8p-14, -0x1.fa276c2f66a59p-15, -0x1.d9a29c56d8ff8p-15, -0x1.ba38d69b316d2p-15, -0x1.9be2a0724d9bdp-15, -0x1.7e98ac03d4d35p-15, -0x1.6253d732e99a3p-15, -0x1.470d2aad77194p-15, -0x1.2cbdd9001f7c4p-15, -0x1.135f3dafbcb39p-15, -0x1.f5d5b8aa1d27p-16, -0x1.c6b4bf8156f69p-16, -0x1.994f323f2d6f3p-16, -0x1.6d98fe4f66ed6p-16, -0x1.43865a8537223p-16, -0x1.1b0bc58a91cf7p-16, -0x1.e83c088dc28c6p-17, -0x1.9d6440aff1925p-17, -0x1.557acd1b755fcp-17, -0x1.106acae46ccdep-17, -0x1.9c3faf5b37da5p-18, -0x1.1d0c1da0a0594p-18, -0x1.46281a4fbfcefp-19, -0x1.718cd702782dap-21, 0x1.0700c4af60fa1p-20, 0x1.59cad248213f4p-19, 0x1.13613e626ef28p-18, 0x1.755606a2cb947p-18, 0x1.d2e540bdd7d8p-18, 0x1.1617ccce21f3ep-17, 0x1.40aa7870a4b3bp-17, 0x1.693a2ec39713ap-17, 0x1.8fd61934aaac3p-17, 0x1.b48d015413969p-17, 0x1.d76d52fc6dc4ep-17, 0x1.f8851e7c8ea56p-17, 0x1.0bf10d5072b57p-16, 0x1.1ac8d363ae428p-16, 0x1.28d06665a7398p-16, 0x1.360e2186b12fdp-16, 0x1.42883722bc88ap-16, 0x1.4e44b1b945aacp-16, 0x1.594974d148201p-16, 0x1.639c3de083439p-16, 0x1.6d42a52b79b0ap-16, 0x1.76421ea1bf4c5p-16, 0x1.7e9ffab168c68p-16, 0x1.8661671b48778p-16, 0x1.8d8b6fbdae2e7p-16, 0x1.9422ff6166048p-16, 0x1.9a2ce07b2aaa3p-16, 0x1.9fadbdeb13c63p-16, 0x1.a4aa23bc3100ap-16, 0x1.a9267fdb09466p-16, 0x1.ad2722c949788p-16, 0x1.b0b0404bcc311p-16, 0x1.b3c5f01a65556p-16, 0x1.b66c2e85cafe1p-16, 0x1.b8a6dd1cf9c9dp-16, 0x1.ba79c3515f036p-16, 0x1.bbe88f0fda6bbp-16, 0x1.bcf6d55f35ee3p-16, 0x1.bda812f261b57p-16, 0x1.bdffacc0882aep-16, 0x1.be00f08ff944dp-16, 0x1.bdaf15869464cp-16, 0x1.bd0d3cb3b548ap-16, 0x1.bc1e7195dec09p-16, 0x1.bae5aa9f187ccp-16, 0x1.b965c9b4b87aep-16, 0x1.b7a19cad22086p-16, 0x1.b59bddcb26c3fp-16, 0x1.b357343781f3cp-16, 0x1.b0d634738cb6p-16, 0x1.ae1b60d125194p-16, 0x1.ab2929df1cdb6p-16, 0x1.a801eed752053p-16, 0x1.a4a7fe0c881c9p-16, 0x1.a11d954ec21ep-16, 0x1.9d64e255c73dap-16, 0x1.99800322f17a2p-16, 0x1.957106644a881p-16, 0x1.9139ebd487758p-16, 0x1.8cdca496d1ed4p-16, 0x1.885b13945a517p-16, 0x1.83b70dd2f82ddp-16, 0x1.7ef25ace7fdb5p-16, 0x1.7a0eb4ccfc4b3p-16, 0x1.750dc930db85bp-16, 0x1.6ff138cdcb4eap-16, 0x1.6aba9834ce509p-16, 0x1.656b7002f7578p-16, 0x1.60053d2de8687p-16, 0x1.5a89714c8177bp-16, 0x1.54f972dfb26e4p-16, 0x1.4f569d9831aa7p-16, 0x1.49a2429d7df87p-16, 0x1.43dda8d028dafp-16, 0x1.3e0a0d0b4b892p-16, 0x1.3828a2660df14p-16, 0x1.323a9271a61fep-16, 0x1.2c40fd76afc35p-16, 0x1.263cfab0e106ep-16, 0x1.202f9889aa01ep-16, 0x1.1a19dcd21a3efp-16, 0x1.13fcc4fa471bfp-16, 0x1.0dd94646249a1p-16, 0x1.07b04e05a435ep-16, 0x1.0182c1c6cc45ep-16, 0x1.f6a2ff11563edp-17, 0x1.ea3abbd756c1dp-17, 0x1.ddce58c9d22cep-17, 0x1.d15f66d2b613p-17, 0x1.c4ef693f73b08p-17, 0x1.b87fd6173a0abp-17, 0x1.ac121673046f1p-17, 0x1.9fa786d401403p-17, 0x1.93417776a227bp-17, 0x1.86e12ca6cdf44p-17, 0x1.7a87df0c2c885p-17, 0x1.6e36bbf8d010fp-17, 0x1.61eee5b6b109bp-17, 0x1.55b173d076e38p-17, 0x1.497f735b85cbdp-17, 0x1.3d59e73c817dbp-17, 0x1.3141c86e9e0efp-17, 0x1.2538064459014p-17, 0x1.193d86abfbc9fp-17, 0x1.0d53266cf6ef4p-17, 0x1.0179b968027b5p-17, 0x1.eb6415aa1b5d3p-18, 0x1.d3f9baf8dc711p-18, 0x1.bcb5d7e61d69bp-18, 0x1.a599d1a7f44p-18, 0x1.8ea6fdec8291cp-18, 0x1.77dea34689fdbp-18, 0x1.6141f99554a24p-18, 0x1.4ad22a7160d23p-18, 0x1.349051894d4fcp-18, 0x1.1e7d7d05f62adp-18, 0x1.089aadf05795dp-18, 0x1.e5d1b10d7ad09p-19, 0x1.bad1c93849b0dp-19, 0x1.90375be31de5fp-19, 0x1.66040913ec781p-19, 0x1.3c395a008f55p-19, 0x1.12d8c1b6b1258p-19, 0x1.d3c73b61eaf7ap-20, 0x1.82b66d07c5589p-20, 0x1.328180d7f9053p-20, 0x1.c6556fca97776p-21, 0x1.296859a8a4826p-21, 0x1.1c7f543e42056p-22, -0x1.641f86ce5a355p-26, -0x1.456c79ec16d58p-22, -0x1.387cffd90f138p-21, -0x1.cc726eda3b215p-21, -0x1.2f49f9fc42ad2p-20, -0x1.776f9bc7e18cep-20, -0x1.bea90f209fe3cp-20, -0x1.027ab1cf748dap-19, -0x1.2529e2a3adeeep-19, -0x1.4761bdcfb3befp-19, -0x1.6921f46d5fdd4p-19, -0x1.8a6a4488872e2p-19, -0x1.ab3a78b2988c5p-19, -0x1.cb92679ca04dp-19, -0x1.eb71f3b88352ap-19, -0x1.056c856e5e701p-18, -0x1.14e3d2f3b7be8p-18, -0x1.241ee42d7fb36p-18, -0x1.331dc0052f2f1p-18, -0x1.41e07265e73cbp-18, -0x1.50670c0c3fa82p-18, -0x1.5eb1a26237d6cp-18, -0x1.6cc04f54e680fp-18, -0x1.7a93312d0de32p-18, -0x1.882a6a682de2fp-18, -0x1.958621985343fp-18, -0x1.a2a6813b5bc4bp-18, -0x1.af8bb799d53a7p-18, -0x1.bc35f6a4fe73bp-18, -0x1.c8a573d6ece4bp-18, -0x1.d4da680bc8e2p-18, -0x1.e0d50f681e3ap-18, -0x1.ec95a9394553cp-18, -0x1.f81c77d67cb39p-18, -0x1.01b4e041e3a75p-17, -0x1.073ee5a9df1eap-17, -0x1.0cac7185ebf63p-17, -0x1.11fdaa86fb43cp-17, -0x1.1732b89c7c253p-17, -0x1.1c4bc4e804bfbp-17, -0x1.2148f9b1bd5d7p-17, -0x1.262a825ba0cc4p-17, -0x1.2af08b5478908p-17, -0x1.2f9b420ea2d95p-17, -0x1.342ad4f2c028ap-17, -0x1.389f73553427ap-17, -0x1.3cf94d6c0ba5ap-17, -0x1.41389444e4089p-17, -0x1.455d79b934434p-17, -0x1.496830652944cp-17, -0x1.4d58eb9e78e43p-17, -0x1.512fdf6b22c98p-17, -0x1.54ed4077ff9dap-17, -0x1.5891440fe6f9p-17, -0x1.5c1c20128d68dp-17, -0x1.5f8e0aece1a7cp-17, -0x1.62e73b90a4f9dp-17, -0x1.6627e96bf0ccfp-17, -0x1.69504c62629a8p-17, -0x1.6c609cc629861p-17, -0x1.6f59134dca596p-17, -0x1.7239e90fd83e5p-17, -0x1.7503577c3d732p-17, -0x1.77b59852af192p-17, -0x1.7a50e59e6e93cp-17, -0x1.7cd579af62ae7p-17, -0x1.7f438f1453df3p-17, -0x1.819b609443649p-17, -0x1.83dd29286c727p-17, -0x1.860923f6d85dp-17, -0x1.881f8c4d08634p-17, -0x1.8a209d9b5960dp-17, -0x1.8c0c936e4df3bp-17, -0x1.8de3a96a9f1efp-17, -0x1.8fa61b47a3c91p-17, -0x1.915424ca79587p-17, -0x1.92ee01c1b3c6ep-17, -0x1.9473ee012bf94p-17, -0x1.95e6255dcf87ep-17, -0x1.9744e3a8d3714p-17, -0x1.989064aaf253cp-17, -0x1.99c8e422bc158p-17, -0x1.9aee9dbe06f32p-17, -0x1.9c01cd17b7af3p-17, -0x1.9d02adb3acbcbp-17, -0x1.9df17afb67a4bp-17, -0x1.9ece703c09175p-17, -0x1.9f99c8a0f7d4p-17, -0x1.a053bf3082da1p-17, -0x1.a0fc8ec9ed54ap-17, -0x1.a1947222eebb6p-17, -0x1.a21ba3c4a5b7bp-17, -0x1.a2925e068439ep-17, -0x1.a2f8db0ec5a53p-17, -0x1.a34f54cdff2fbp-17, -0x1.a39604fc6c211p-17, -0x1.a3cd251872cd3p-17, -0x1.a3f4ee63ec803p-17, -0x1.a40d99e2219p-17, -0x1.a417605550b1ep-17, -0x1.a4127a3c75b9p-17, -0x1.a3ff1fd1d2e3bp-17, -0x1.a3dd89082047ap-17, -0x1.a3aded890544cp-17, -0x1.a37084b37ae8dp-17, -0x1.a3258599941f4p-17, -0x1.a2cd27006812cp-17, -0x1.a2679f5d4bb0cp-17, -0x1.a1f524d381591p-17, -0x1.a175ed32cf231p-17, -0x1.a0ea2df78783ap-17, -0x1.a0521c49467b6p-17, -0x1.9fadecf7c7a9ap-17, -0x1.9efdd47a701f4p-17, -0x1.9e4206efc6e76p-17, -0x1.9d7ab81bc05bbp-17, -0x1.9ca81b666fcb9p-17, -0x1.9bca63dbddb14p-17, -0x1.9ae1c429991dcp-17, -0x1.99ee6e9fc537bp-17, -0x1.98f0952eda365p-17, -0x1.97e869670f805p-17, -0x1.96d61c77c2e8ap-17, -0x1.95b9df2e6ca09p-17, -0x1.9493e1f5b5c09p-17, -0x1.936454d58c74fp-17, -0x1.922b677205341p-17, -0x1.90e9490b3f5c9p-17, -0x1.8f9e287d34359p-17, -0x1.8e4a343dde3bfp-17, -0x1.8ced9a5cd5b1fp-17, -0x1.8b888883a8881p-17, -0x1.8a1b2bf66a7abp-17, -0x1.88a5b191ab5fbp-17, -0x1.872845ca813cbp-17, -0x1.85a314ae4038bp-17, -0x1.841649e2be57ap-17, -0x1.828210a55b9a1p-17, -0x1.80e693cbe7214p-17, -0x1.7f43fdc2f0482p-17, -0x1.7d9a788ea0402p-17, -0x1.7bea2dcb2063ap-17, -0x1.7a3346ab8e286p-17, -0x1.7875ebfa0ddb1p-17, -0x1.76b2461817016p-17, -0x1.74e87cfe85a51p-17, -0x1.7318b83c504dcp-17, -0x1.71431ef8b5bacp-17, -0x1.6f67d7f1e8c6ap-17, -0x1.6d87097dea041p-17, -0x1.6ba0d98a1a372p-17, -0x1.69b56d9b45dc8p-17, -0x1.67c4eacddbed1p-17, -0x1.65cf75d5e5388p-17, -0x1.63d5330072725p-17, -0x1.61d64632f0b3p-17, -0x1.5fd2d2eadba57p-17, -0x1.5dcafc3e54d8fp-17, -0x1.5bbee4dd06042p-17, -0x1.59aeaf0f5fe7ap-17, -0x1.579a7cb81835dp-17, -0x1.55826f5369e68p-17, -0x1.5366a7f7c398p-17, -0x1.5147475675f06p-17, -0x1.4f246dbc44982p-17, -0x1.4cfe3b10d9923p-17, -0x1.4ad4ced76dd97p-17, -0x1.48a8482ff2afdp-17, -0x1.4678c5d64038p-17, -0x1.444666239f09fp-17, -0x1.4211470e5cf99p-17, -0x1.3fd9862b74eefp-17, -0x1.3d9f40ae03d3cp-17, -0x1.3b62936714435p-17, -0x1.39239ac7b962fp-17, -0x1.36e272e064405p-17, -0x1.349f3761ca422p-17, -0x1.325a039db036fp-17, -0x1.3012f28780eeep-17, -0x1.2dca1eb3a299dp-17, -0x1.2b7fa258f4d3fp-17, -0x1.29339751727d5p-17, -0x1.26e6171a27ecdp-17, -0x1.24973ad4c72e8p-17, -0x1.22471b4680943p-17, -0x1.1ff5d0d9e3e86p-17, -0x1.1da3739f72ff6p-17, -0x1.1b501b4e8e5a1p-17, -0x1.18fbdf44c7c73p-17, -0x1.16a6d686c1c44p-17, -0x1.145117c1e0fd1p-17, -0x1.11fab94ba84b1p-17, -0x1.0fa3d1231124bp-17, -0x1.0d4c74f0e6435p-17, -0x1.0af4ba089aa87p-17, -0x1.089cb569043ecp-17, -0x1.06447bbc39b26p-17, -0x1.03ec215842d65p-17, -0x1.0193ba40c61b6p-17, -0x1.fe76b44d58147p-18, -0x1.f9c628d241e25p-18, -0x1.f515f82d8bf72p-18, -0x1.f06647db49505p-18, -0x1.ebb73cb65331bp-18, -0x1.e708fafc70b73p-18, -0x1.e25ba64e461dbp-18, -0x1.ddaf61b035de2p-18, -0x1.d9044f8d6804dp-18, -0x1.d45a91b5eadd7p-18, -0x1.cfb24962b39cp-18, -0x1.cb0b97362f0ddp-18, -0x1.c6669b3f80912p-18, -0x1.c1c374f85f05ep-18, -0x1.bd224347313bcp-18, -0x1.b883248260841p-18, -0x1.b3e636700d76fp-18, -0x1.af4b9647bf25p-18, -0x1.aab360b40a801p-18, }}, 
      {{-0x1.efdbfdce0c9dp-2, -0x1.eff7f193a41efp-2, -0x1.f0259b880f26bp-2, -0x1.f0645e0901642p-2, -0x1.f0b442e0c8b1dp-2, -0x1.f116332d1744bp-2, -0x1.f18bf3cf2b32dp-2, -0x1.f217f784e79efp-2, -0x1.f2bd18dbe8e0fp-2, -0x1.f37e4af9dd338p-2, -0x1.f45e4c0ba63adp-2, -0x1.f55f60667f95fp-2, -0x1.f6831a61528cp-2, -0x1.f7ca30a8fac62p-2, -0x1.f9346335323d8p-2, -0x1.fac06deee0545p-2, -0x1.fc6c076e8500dp-2, -0x1.fe33e9e157d5ap-2, -0x1.0009f203b470dp-1, -0x1.010378252894p-1, -0x1.0203a80a05eb6p-1, -0x1.030754e28476fp-1, -0x1.040b13f36f81ep-1, -0x1.050b4c3c2b2ddp-1, -0x1.060445b5e5ec6p-1, -0x1.06f237d3f55a3p-1, -0x1.07d157057be71p-1, -0x1.089de10d16fefp-1, -0x1.095428147d814p-1, -0x1.09f09c6fdbeadp-1, -0x1.0a6fd50fb9733p-1, -0x1.0ace96a8a4fe5p-1, -0x1.0b09d99e2abfap-1, -0x1.0b1ecec30c3bap-1, -0x1.0b0ae303a2dbdp-1, -0x1.0acbc2112a564p-1, -0x1.0a5f582571e59p-1, -0x1.09c3d2f6a2961p-1, -0x1.08f7a1f246f5dp-1, -0x1.07f975d5f696ep-1, -0x1.06c83fbadf9e4p-1, -0x1.05632fa823ccdp-1, -0x1.03c9b2be89b56p-1, -0x1.01fb710e9832ep-1, -0x1.fff096515d75dp-2, -0x1.fb80aeea78543p-2, -0x1.f6a7bec3a5e4ep-2, -0x1.f166b8dcfcb79p-2, -0x1.ebbeea4aecd01p-2, -0x1.e5b1f40c5526bp-2, -0x1.df41c4d6eb4cbp-2, -0x1.d87092e7a20cfp-2, -0x1.d140d5e2de40ap-2, -0x1.c9b540ce85d22p-2, -0x1.c1d0bc2e7c6f4p-2, -0x1.b996604aaffc9p-2, -0x1.b1096fa48d00ep-2, -0x1.a82d51a0a302dp-2, -0x1.9f058d6828abp-2, -0x1.9595c5053c60dp-2, -0x1.8be1b0bbdf1ecp-2, -0x1.81ed1aa0fc23fp-2, -0x1.77bbda70394e5p-2, -0x1.6d51d1a0aa822p-2, -0x1.62b2e7b829397p-2, -0x1.57e306dc8b336p-2, -0x1.4ce618a1ba7eep-2, -0x1.41c0031348709p-2, -0x1.3674a5f7f1e29p-2, -0x1.2b07d84d47d53p-2, -0x1.1f7d65f98be57p-2, -0x1.13d90db1b227dp-2, -0x1.081e7f1160725p-2, -0x1.f8a2b1c55dcd7p-3, -0x1.e0ea4f26da394p-3, -0x1.c91ac7ab345d2p-3, -0x1.b13ae2d19c683p-3, -0x1.99513c149165bp-3, -0x1.81644112d4f65p-3, -0x1.697a2ffcc2c6dp-3, -0x1.51991641c589fp-3, -0x1.39c6cf79a419cp-3, -0x1.22090485afaeep-3, -0x1.0a652ae5c45c8p-3, -0x1.e5c1087add444p-4, -0x1.b7003c0afaea9p-4, -0x1.8891a2cd2c55ap-4, -0x1.5a7e8672e6b66p-4, -0x1.2ccfc8534946ap-4, -0x1.ff1bc3df5b558p-5, -0x1.a581cb632c375p-5, -0x1.4ce0ffb94ad8ep-5, -0x1.ea8fdebe47d7ap-6, -0x1.3d88c2bd73087p-6, -0x1.258d60c2a436ep-7, 0x1.59dd63cfa65bp-10, 0x1.771b96352b4a4p-7, 0x1.5ef39d2089d65p-6, 0x1.ffbb289e35c9bp-6, 0x1.4ee8d7ba83a6p-5, 0x1.9c92e88094a8cp-5, 0x1.e8d3c0e4dfd93p-5, 0x1.19d200c0a441fp-4, 0x1.3e7e767a117c5p-4, 0x1.626c31bfdeda3p-4, 0x1.85986f4f93fb7p-4, 0x1.a800b649e0c16p-4, 0x1.c9a2d5f75cfcp-4, 0x1.ea7ce38ca8e16p-4, 0x1.05469bf7add9ap-3, 0x1.14e936be69549p-3, 0x1.2425aeea0418cp-3, 0x1.32fb8fd1b3c69p-3, 0x1.416a823dba921p-3, 0x1.4f724b538cb55p-3, 0x1.5d12cb852467ap-3, 0x1.6a4bfd83c814p-3, 0x1.771df5368f55ep-3, 0x1.8388deb4eb581p-3, 0x1.8f8cfd455868bp-3, 0x1.9b2aaa6073b13p-3, 0x1.a66254b8967fp-3, 0x1.b1347f461dd13p-3, 0x1.bba1c05876cbbp-3, 0x1.c5aac0ac0edap-3, 0x1.cf503a852a243p-3, 0x1.d892f8cfcb70ap-3, 0x1.e173d6449af9p-3, 0x1.e9f3bc92e8598p-3, 0x1.f213a38fc95b2p-3, 0x1.f9d4906a4f71cp-3, 0x1.009bca7271711p-2, 0x1.041ee749d7395p-2, 0x1.0774331017104p-2, 0x1.0a9c4748e3ab8p-2, 0x1.0d97c24db553ep-2, 0x1.106746f71e311p-2, 0x1.130b7c4897e6ep-2, 0x1.15850d1ec7e04p-2, 0x1.17d4a7e031ed5p-2, 0x1.19fafe3057017p-2, 0x1.1bf8c4a5318d7p-2, 0x1.1dceb27f0fe71p-2, 0x1.1f7d8162c22eep-2, 0x1.2105ed160fd5bp-2, 0x1.2268b33e721cfp-2, 0x1.23a6932207421p-2, 0x1.24c04d6aba5f2p-2, 0x1.25b6a3eb909d2p-2, 0x1.268a596817502p-2, 0x1.273c315de8719p-2, 0x1.27ccefd03d1afp-2, 0x1.283d591583044p-2, 0x1.288e31a6ed1a7p-2, 0x1.28c03df1f5f15p-2, 0x1.28d4422bc6e06p-2, 0x1.28cb022680b51p-2, 0x1.28a541285544cp-2, 0x1.2863c1c46ecacp-2, 0x1.280745b5953bap-2, 0x1.27908dba8d9a5p-2, 0x1.270059742459ap-2, 0x1.26576744dd83ep-2, 0x1.259674323e575p-2, 0x1.24be3bc7a78cap-2, 0x1.23cf77fab6998p-2, 0x1.22cae11126e68p-2, 0x1.21b12d8821603p-2, 0x1.208311fcfc97p-2, 0x1.1f4141175af44p-2, 0x1.1dec6b749ffbdp-2, 0x1.1c853f94b7c35p-2, 0x1.1b0c69c81e969p-2, 0x1.1982941f293adp-2, 0x1.17e8665a7edb3p-2, 0x1.163e85dcb9a0fp-2, 0x1.1485959d302ap-2, 0x1.12be361bcfacfp-2, 0x1.10e905560a4fcp-2, 0x1.0f069ebccb2dap-2, 0x1.0d179b2b6a53fp-2, 0x1.0b1c90df94d6fp-2, 0x1.091613722578fp-2, 0x1.0704b3d0e0b2ap-2, 0x1.04e900391097bp-2, 0x1.02c38432f6eadp-2, 0x1.0094c88e09f18p-2, 0x1.fcbaa6bbfb94dp-3, 0x1.f83b4ff10c157p-3, 0x1.f3ac8de7a3abdp-3, 0x1.ef0f5c4b77ad2p-3, 0x1.ea64b1473ac49p-3, 0x1.e5ad7d858a71fp-3, 0x1.e0eaac331cb59p-3, 0x1.dc1d230208176p-3, 0x1.d745c22e32592p-3, 0x1.d2656482c8cccp-3, 0x1.cd7cdf60bde95p-3, 0x1.c88d02c63b684p-3, 0x1.c3969956fd7afp-3, 0x1.be9a68658f2eap-3, 0x1.b9992ffd54a4p-3, 0x1.b493aaed5f96fp-3, 0x1.af8a8ed40569p-3, 0x1.aa7e8c2b1a8a7p-3, 0x1.a5704e54e0727p-3, 0x1.a0607ba98bc36p-3, 0x1.9b4fb585629b6p-3, 0x1.963e98575d13cp-3, 0x1.912dbbb04d358p-3, 0x1.8c1db2527ccccp-3, 0x1.870f0a41b92edp-3, 0x1.82024cd3c5eb4p-3, 0x1.7cf7fec1303ddp-3, 0x1.77f0a036744ecp-3, 0x1.72ecace576031p-3, 0x1.6dec9c173f49cp-3, 0x1.68f0e0bdfb1aep-3, 0x1.63f9e987318d8p-3, 0x1.5f0820ee2d457p-3, 0x1.5a1bed4e95a7bp-3, 0x1.5535b0f728b95p-3, 0x1.5055ca3c982d5p-3, 0x1.4b7c938c7ff57p-3, 0x1.46aa63806f4aep-3, 0x1.41df8cf106d3ap-3, 0x1.3d1c5f091c0f6p-3, 0x1.38612558e20adp-3, 0x1.33ae27e9175a3p-3, 0x1.2f03ab4e2d0adp-3, 0x1.2a61f0bb64c85p-3, 0x1.25c93615e7f88p-3, 0x1.2139b607c8da2p-3, 0x1.1cb3a812f4af1p-3, 0x1.183740a40c649p-3, 0x1.13c4b125249a9p-3, 0x1.0f5c281067c27p-3, 0x1.0afdd10295f04p-3, 0x1.06a9d4cd625dap-3, 0x1.02605989af802p-3, 0x1.fc43055331f7bp-4, 0x1.f3dae214b690fp-4, 0x1.eb88860c10a36p-4, 0x1.e34c290a2ac79p-4, 0x1.db25fe1f51c3cp-4, 0x1.d31633bd90a4p-4, 0x1.cb1cf3da7c901p-4, 0x1.c33a6410b8818p-4, 0x1.bb6ea5c0e6f4dp-4, 0x1.b3b9d63248ec6p-4, 0x1.ac1c0eb2d0368p-4, 0x1.a49564b6c825bp-4, 0x1.9d25e9f806a86p-4, 0x1.95cdac9493cefp-4, 0x1.8e8cb72ced37ap-4, 0x1.87631101b41f7p-4, 0x1.8050be10eb8fep-4, 0x1.7955bf32b0524p-4, 0x1.727212357590bp-4, 0x1.6ba5b1f9b6aap-4, 0x1.64f0968d31becp-4, 0x1.5e52b54596902p-4, 0x1.57cc00dab8a4p-4, 0x1.515c698039125p-4, 0x1.4b03dcfeb41edp-4, 0x1.44c246cc637e8p-4, 0x1.3e97902543b58p-4, 0x1.3883a022b4fcap-4, 0x1.32865bd298ea3p-4, 0x1.2c9fa64df062fp-4, 0x1.26cf60cef5998p-4, 0x1.21156ac6b926bp-4, 0x1.1b71a1f23d7a1p-4, 0x1.15e3e26f1319cp-4, 0x1.106c06cf7718dp-4, 0x1.0b09e82df63c8p-4, 0x1.05bd5e4093ecfp-4, 0x1.00863f6b746c1p-4, 0x1.f6c8c1a61ed7dp-5, 0x1.ecaf2cdbd445fp-5, 0x1.e2bf662bb6abap-5, 0x1.d8f91131ae174p-5, 0x1.cf5bcf9292fe6p-5, 0x1.c5e7411bf970cp-5, 0x1.bc9b03e31e486p-5, 0x1.b376b462ee3ebp-5, 0x1.aa79ed9937c94p-5, 0x1.a1a4492300b6ap-5, 0x1.98f55f58052a2p-5, 0x1.906cc7656214ep-5, 0x1.880a1767739ccp-5, 0x1.7fcce482e88p-5, 0x1.77b4c2fd0479dp-5, 0x1.6fc14653293b4p-5, 0x1.67f201518e655p-5, 0x1.6046862948e2ap-5, 0x1.58be66859442cp-5, 0x1.515933a057c0dp-5, 0x1.4a167e5606fadp-5, 0x1.42f5d738c888cp-5, 0x1.3bf6cea2f3b14p-5, 0x1.3518f4c8e26b1p-5, 0x1.2e5bd9ca19c78p-5, 0x1.27bf0dc1d2fb3p-5, 0x1.214220d6e6111p-5, 0x1.1ae4a34b115d7p-5, 0x1.14a62589b4e72p-5, 0x1.0e863835e8198p-5, 0x1.08846c3809c3p-5, 0x1.02a052cabb98dp-5, 0x1.f9b2fb0ea79e2p-6, 0x1.ee5efce391fa3p-6, 0x1.e343d00824a6bp-6, 0x1.d8609a721e456p-6, 0x1.cdb4832dcbbeep-6, 0x1.c33eb271e2ff2p-6, 0x1.b8fe51b2589fep-6, 0x1.aef28bb268cd4p-6, 0x1.a51a8c959c815p-6, 0x1.9b7581f00145bp-6, 0x1.92029ad584b3fp-6, 0x1.88c107e87d8efp-6, 0x1.7faffb6772a4bp-6, 0x1.76cea93a06d6fp-6, 0x1.6e1c46fd34841p-6, 0x1.65980c0ec603ep-6, 0x1.5d41319813aa6p-6, 0x1.5516f2981ff14p-6, 0x1.4d188becf9277p-6, 0x1.45453c5c7ee85p-6, 0x1.3d9c449c7eb0fp-6, 0x1.361ce75a32202p-6, 0x1.2ec6694132972p-6, 0x1.27981101cc688p-6, 0x1.20912756d2a97p-6, 0x1.19b0f70add209p-6, 0x1.12f6ccfd0080fp-6, 0x1.0c61f82514a5fp-6, 0x1.05f1c99770e33p-6, 0x1.ff4b29106f79cp-7, 0x1.f2f95c9c5ba18p-7, 0x1.e6ecdcca529b1p-7, 0x1.db245ce00b226p-7, 0x1.cf9e94746cbeep-7, 0x1.c45a3f720a7d8p-7, 0x1.b9561e18b40a8p-7, 0x1.ae90f4fe6bfcp-7, 0x1.a4098d0fb6a24p-7, 0x1.99beb38f04d8dp-7, 0x1.8faf3a13cd377p-7, 0x1.85d9f688c2acap-7, 0x1.7c3dc329a45aep-7, 0x1.72d97e8067641p-7, 0x1.69ac0b61e0a2cp-7, 0x1.60b450e9eb809p-7, 0x1.57f13a77040fcp-7, 0x1.4f61b7a582d9ap-7, 0x1.4704bc4a4f98bp-7, 0x1.3ed9406d3950ap-7, 0x1.36de4042dd62bp-7, 0x1.2f12bc2638a4bp-7, 0x1.2775b891c8955p-7, 0x1.20063e18578edp-7, 0x1.18c3595d8ce15p-7, 0x1.11ac1b0e0d2e5p-7, 0x1.0abf97d76aa2ep-7, 0x1.03fce85fc8a1p-7, 0x1.fac6527a5f3bfp-8, 0x1.ede2f5d95b8a5p-8, 0x1.e14e039295249p-8, 0x1.d505cc054ec4ep-8, 0x1.c908a7270415dp-8, 0x1.bd54f47004c27p-8, 0x1.b1e91ac7d4227p-8, 0x1.a6c3887102126p-8, 0x1.9be2b2f4eb4fp-8, 0x1.9145170f17046p-8, 0x1.86e9389857d8dp-8, 0x1.7ccda271ef37bp-8, 0x1.72f0e670180ep-8, 0x1.69519d44be8fp-8, 0x1.5fee6669ec8a6p-8, 0x1.56c5e80c13b2ep-8, 0x1.4dd6cef43c078p-8, 0x1.451fce7215ceap-8, 0x1.3c9fa045ff77p-8, 0x1.3455048af3d3cp-8, 0x1.2c3ec1a0881b5p-8, 0x1.245ba414ac8a5p-8, 0x1.1caa7e8da0409p-8, 0x1.152a29b3c27f4p-8, 0x1.0dd9841b6ca09p-8, 0x1.06b7722edab2ap-8, 0x1.ff85bc303758p-9, 0x1.f1f56f562235dp-9, 0x1.e4bbe89ee46b9p-9, 0x1.d7d71dd5f5187p-9, 0x1.cb450f97211d1p-9, 0x1.bf03c92332cd5p-9, 0x1.b3116034a4e39p-9, 0x1.a76bf4d4d9c02p-9, 0x1.9c11b13122cep-9, 0x1.9100c9707c0d2p-9, 0x1.86377b89443b8p-9, 0x1.7bb40f1768f61p-9, 0x1.7174d532ad4f6p-9, 0x1.6778284568debp-9, 0x1.5dbc6be38b7ccp-9, 0x1.54400ca225dc7p-9, 0x1.4b017feee6508p-9, 0x1.41ff43e8603b1p-9, 0x1.3937df365bee6p-9, 0x1.30a9e0e2dc638p-9, 0x1.2853e03324605p-9, 0x1.20347c8190692p-9, 0x1.184a5d175cfeap-9, 0x1.109431072bb24p-9, 0x1.0910af0801d42p-9, 0x1.01be95505b64cp-9, 0x1.f53952e3bf2f6p-10, 0x1.e753706b6a6e7p-10, 0x1.d9c92af1954aap-10, 0x1.cc983811e790cp-10, 0x1.bfbe5b0508c32p-10, 0x1.b339645bbd20ep-10, 0x1.a70731bbdcaeep-10, 0x1.9b25ad9de59fep-10, 0x1.8f92cf0b6c8a8p-10, 0x1.844c995e4c06p-10, 0x1.79511c012f0e5p-10, 0x1.6e9e72306eb9p-10, 0x1.6432c2bc14a6p-10, 0x1.5a0c3fcb3ef8cp-10, 0x1.5029269f82114p-10, 0x1.4687bf59cc737p-10, 0x1.3d265cc023fb9p-10, 0x1.34035c041a97fp-10, 0x1.2b1d248a6fa02p-10, 0x1.227227b33848p-10, 0x1.1a00e0a35e58ap-10, 0x1.11c7d40e3c2f2p-10, 0x1.09c590011cdecp-10, 0x1.01f8abaeedf9dp-10, 0x1.f4bf8e79ed5a1p-11, 0x1.e5f31720ada07p-11, 0x1.d78954395687p-11, 0x1.c97fb966969d5p-11, 0x1.bbd3caa6cac3p-11, 0x1.ae831bf695647p-11, 0x1.a18b50f3a90efp-11, 0x1.94ea1c8299693p-11, 0x1.889d407546df6p-11, 0x1.7ca28d343a2edp-11, 0x1.70f7e1685e4bdp-11, 0x1.659b29a686c58p-11, 0x1.5a8a601d51deap-11, 0x1.4fc38c43664ccp-11, 0x1.4544c287f7f4fp-11, 0x1.3b0c2405e529bp-11, 0x1.3117de3558421p-11, 0x1.27662aa1c76efp-11, 0x1.1df54e9fe6272p-11, 0x1.14c39b05bc3d3p-11, 0x1.0bcf6be3d42eep-11, 0x1.0317283fefb0fp-11, 0x1.f53283a25c666p-12, 0x1.e4a8697a91a26p-12, 0x1.d48d0eae9a94ap-12, 0x1.c4dd93c091322p-12, 0x1.b5972c907c34p-12, 0x1.a6b71fe23df75p-12, 0x1.983ac6e4fe905p-12, 0x1.8a1f8cbee1324p-12, 0x1.7c62ee193ca52p-12, 0x1.6f0278afd8fffp-12, 0x1.61fbcae51a65p-12, 0x1.554c9353c3337p-12, 0x1.48f29066da6d6p-12, 0x1.3ceb8ff23358fp-12, 0x1.31356ecdfd8cap-12, 0x1.25ce187439926p-12, 0x1.1ab386a04985bp-12, 0x1.0fe3c0f0e9561p-12, 0x1.055cdc8bbcdp-12, 0x1.f639f786a3cc8p-13, 0x1.e2449b7ee01a7p-13, 0x1.ced61c506da02p-13, 0x1.bbeb09a080643p-13, 0x1.a9800ac7546efp-13, 0x1.9791de2f2dbf4p-13, 0x1.861d58b8b4f2p-13, 0x1.751f65214c50ep-13, 0x1.6495036e9d8cp-13, 0x1.547b485d01ef8p-13, 0x1.44cf5cd0ee843p-13, 0x1.358e7d4b4f62cp-13, 0x1.26b5f962dca63p-13, 0x1.184333417fb22p-13, 0x1.0a339f21980cbp-13, 0x1.f909859f944c2p-14, 0x1.de686a631dfe3p-14, 0x1.c47f3b997aa0ap-14, 0x1.ab4968a5f6c72p-14, 0x1.92c2805fa35aap-14, 0x1.7ae63034e7db5p-14, 0x1.63b0435336706p-14, 0x1.4d1ca1d162c9fp-14, 0x1.37274fe2f572dp-14, 0x1.21cc6d120f56fp-14, 0x1.0d08337ab47ep-14, 0x1.f1adee19af987p-15, 0x1.ca6a49a5fb528p-15, 0x1.a43e847c96675p-15, 0x1.7f23d8eb53e3dp-15, 0x1.5b13af5774745p-15, 0x1.38079cebb9493p-15, 0x1.15f9625e1b768p-15, 0x1.e9c5d559d336bp-16, 0x1.a97c93d39d3dbp-16, 0x1.6b0b781fa782bp-16, 0x1.2e6747c68cd71p-16, 0x1.e70a274864d7bp-17, 0x1.74b46b91e52c6p-17, 0x1.05b89eb2fbd41p-17, 0x1.34051a3a63478p-18, 0x1.8bf44af461eedp-20, -0x1.9f34bdaec11eap-20, -0x1.2c7f058d2c6eep-18, -0x1.eb3cd30f6b29ep-18, -0x1.521506538d12ep-17, -0x1.abb49fa18daabp-17, -0x1.014705ae3deeep-16, -0x1.2b58d90e3a402p-16, -0x1.5417c92ba96fcp-16, -0x1.7b8ba1b9a674ep-16, -0x1.a1bbfc60c43f4p-16, -0x1.c6b04229a143cp-16, -0x1.ea6facf182726p-16, -0x1.0680a46214632p-15, -0x1.1735fa99747f5p-15, -0x1.275b334cfedp-15, -0x1.36f393af0a15dp-15, -0x1.46024c949efcbp-15, -0x1.548a7b0cbb238p-15, -0x1.628f28ef5f4d3p-15, -0x1.70134d6e8b863p-15, -0x1.7d19cda15f0c6p-15, -0x1.89a57d07b5p-15, -0x1.95b91e0d41e59p-15, -0x1.a15762823673bp-15, -0x1.ac82ec1d5fccdp-15, -0x1.b73e4ceedeee4p-15, -0x1.c18c07d4d31e5p-15, -0x1.cb6e90e84b748p-15, -0x1.d4e84dea0761fp-15, -0x1.ddfb96ac6c0d8p-15, -0x1.e6aab577f952ap-15, -0x1.eef7e76cf27f9p-15, -0x1.f6e55ce3191e9p-15, -0x1.fe7539c846ccbp-15, -0x1.02d4cafc67796p-14, -0x1.06423ecb23c8fp-14, -0x1.0983f8abf7e56p-14, -0x1.0c9af37074ff2p-14, -0x1.0f882486ba948p-14, -0x1.124c7c2038986p-14, -0x1.14e8e555bbaecp-14, -0x1.175e464b7b08p-14, -0x1.19ad805490b75p-14, -0x1.1bd77013dcba5p-14, -0x1.1ddced9c32f4fp-14, -0x1.1fbecc8fc0ad7p-14, -0x1.217ddc3f7f00dp-14, -0x1.231ae7c88014cp-14, -0x1.2496b6308967bp-14, -0x1.25f20a80fd3ep-14, -0x1.272da3e1bc504p-14, -0x1.284a3db356646p-14, -0x1.29488fa8d69p-14, -0x1.2a294dde55289p-14, -0x1.2aed28f13dd46p-14, -0x1.2b94ce17a9428p-14, -0x1.2c20e735950c4p-14, -0x1.2c921af2d77bp-14, -0x1.2ce90ccda829dp-14, -0x1.2d265d30456e7p-14, -0x1.2d4aa983bb213p-14, -0x1.2d568c42d3025p-14, -0x1.2d4a9d0c2cc4dp-14, -0x1.2d2770b3039bbp-14, -0x1.2ced994ffbe25p-14, -0x1.2c9da6523b597p-14, -0x1.2c38248eaf89fp-14, -0x1.2bbd9e4eac425p-14, -0x1.2b2e9b5f5715dp-14, -0x1.2a8ba11fcd83ep-14, -0x1.29d5328fa58eap-14, -0x1.290bd05b78f9dp-14, -0x1.282ff8e9c92bfp-14, -0x1.27422866fd8d6p-14, -0x1.2642d8d29c148p-14, -0x1.2532820a6c68ep-14, -0x1.241199d5cda5dp-14, -0x1.22e093f184fd3p-14, -0x1.219fe218f0eb2p-14, -0x1.204ff41154297p-14, -0x1.1ef137b3a822cp-14, -0x1.1d8418f5a2c11p-14, -0x1.1c0901f330c96p-14, -0x1.1a805af7b29c2p-14, -0x1.18ea8a8726f12p-14, -0x1.1747f5669c923p-14, -0x1.1598fea38a84bp-14, -0x1.13de079c9950ap-14, -0x1.12177008a1461p-14, -0x1.104595fec959ap-14, -0x1.0e68d5fda68f8p-14, -0x1.0c818af232818p-14, -0x1.0a900e3ed7b1dp-14, -0x1.0894b7c1cec3dp-14, -0x1.068fdddbc7ba1p-14, -0x1.0481d57618b55p-14, -0x1.026af208ce9dap-14, -0x1.004b859fe9f22p-14, -0x1.fc47c1c3dd9d8p-15, -0x1.f7e8a62b582c1p-15, -0x1.f37a544d81032p-15, -0x1.eefd6557a1e31p-15, -0x1.ea726fd65c8d8p-15, -0x1.e5da07bf1ca9bp-15, -0x1.e134be7a80751p-15, -0x1.dc8322ee15f49p-15, -0x1.d7c5c185bdb76p-15, -0x1.d2fd243b3f59dp-15, -0x1.ce29d2a1556bap-15, -0x1.c94c51e9f9ba2p-15, -0x1.c46524f066f5ap-15, -0x1.bf74cc4127b4p-15, -0x1.ba7bc620dc817p-15, -0x1.b57a8e93e4342p-15, -0x1.b0719f68eb2ap-15, -0x1.ab61703cd08f8p-15, -0x1.a64a768398b95p-15, -0x1.a12d25902b164p-15, -0x1.9c09ee9ae687cp-15, -0x1.96e140c7266e9p-15, -0x1.91b3892bb4653p-15, -0x1.8c8132d99a906p-15, -0x1.874aa6e099041p-15, -0x1.82104c5789701p-15, -0x1.7cd28861e092dp-15, -0x1.7791be34c8a07p-15, -0x1.724e4f1f687ap-15, -0x1.6d089a8fbf63bp-15, -0x1.67c0fe173345fp-15, -0x1.6277d571efdd4p-15, -0x1.5d2d7a8ce813cp-15, -0x1.57e24589a4f17p-15, -0x1.52968cc487cfbp-15, -0x1.4d4aa4db53e2cp-15, -0x1.47fee0b19af8cp-15, -0x1.42b3917550691p-15, -0x1.3d6906a55edep-15, -0x1.381f8e16b6203p-15, -0x1.32d773f7c2d64p-15, -0x1.2d9102d73043p-15, -0x1.284c83a8e803cp-15, -0x1.230a3dc8d26dp-15, -0x1.1dca770191704p-15, -0x1.188d73920d398p-15, -0x1.135376302c9fp-15, -0x1.0e1cc00e53b1cp-15, -0x1.08e990e10e9ebp-15, -0x1.03ba26e2787f9p-15, -0x1.fd1d7dac2a34fp-16, -0x1.f2cf281f396cap-16, -0x1.e889c0ebb9118p-16, -0x1.de4db90f8e0dfp-16, -0x1.d41b7ec0561d6p-16, -0x1.c9f37d772c871p-16, -0x1.bfd61df5d0c5p-16, -0x1.b5c3c650892dfp-16, -0x1.abbcd9f8cbc76p-16, -0x1.a1c1b9c29d219p-16, -0x1.97d2c3ed9e6f2p-16, -0x1.8df0542ea9912p-16, -0x1.841ac3b800863p-16, -0x1.7a52693f9fd45p-16, -0x1.7097990acc8p-16, -0x1.66eaa4f30842bp-16, -0x1.5d4bdc702e925p-16, -0x1.53bb8c9d94ccbp-16, -0x1.4a3a0045a8087p-16, -0x1.40c77fe8b6641p-16, -0x1.376451c281c38p-16, -0x1.2e10b9d5b31d9p-16, -0x1.24ccf9f0a205fp-16, -0x1.1b9951b636dp-16, -0x1.1275fea59621p-16, -0x1.09633c21cc819p-16, -0x1.00614379e776ap-16, -0x1.eee097db7cf83p-17, -0x1.dd2115729ba4fp-17, -0x1.cb8466321128bp-17, -0x1.ba0aeca3ff006p-17, -0x1.a8b50775288a6p-17, -0x1.97831182f49c4p-17, -0x1.867561e4274c3p-17, -0x1.758c4bfecae74p-17, -0x1.64c81f8f2f4b9p-17, -0x1.542928be7165dp-17, -0x1.43afb0285f5b6p-17, -0x1.335bfaeebe2e1p-17, -0x1.232e4ac73deb4p-17, -0x1.1326de02c3f62p-17, -0x1.0345efa25557dp-17, -0x1.e7176ec434b89p-18, -0x1.c7f0d38c9733bp-18, -0x1.a918705284be1p-18, -0x1.8a8ea190c3abfp-18, -0x1.6c53bda5fc117p-18, -0x1.4e6814e666b5p-18, -0x1.30cbf1bab9984p-18, -0x1.137f98bbdf0c4p-18, -0x1.ed0691a391bafp-19, -0x1.b3ae7679db10bp-19, -0x1.7af74774041fap-19, -0x1.42e161370c732p-19, -0x1.0b6d15c08c8f8p-19, -0x1.a93559323f7f1p-20, -0x1.3cd4c5fd85884p-20, -0x1.a371b09b7d75dp-21, -0x1.9f878acb5043cp-22, 0x1.5fb7753c36143p-29, 0x1.9ff0db602b72bp-22, 0x1.9c062a6e06057p-21, 0x1.32c46fc31ff07p-20, 0x1.9640515add407p-20, 0x1.f876d66431cp-20, 0x1.2cb41646318e3p-19, 0x1.5c8a493fd48b3p-19, 0x1.8bbe2bbcb54e4p-19, 0x1.ba4fed655dfbdp-19, 0x1.e83fc5d786ffdp-19, 0x1.0ac6fa3edcffp-18, 0x1.211d602e8752p-18, 0x1.37233bf20fac7p-18, 0x1.4cd8b86397fdap-18, 0x1.623e03f02d17dp-18, 0x1.7753507a4226cp-18, 0x1.8c18d34b687c2p-18, 0x1.a08ec4ff65f84p-18, 0x1.b4b56171c7927p-18, 0x1.c88ce7a8585dbp-18, 0x1.dc1599bcf569bp-18, 0x1.ef4fbcd15427dp-18, 0x1.011dcc7b4aeb2p-17, 0x1.0a6cbc8ca1181p-17, 0x1.1394d577a8a4cp-17, 0x1.1c963f76f3984p-17, 0x1.2571241952795p-17, 0x1.2e25ae3688c77p-17, 0x1.36b409e66bb54p-17, 0x1.3f1c647c29767p-17, 0x1.475eec7a3c521p-17, 0x1.4f7bd18ccbc9cp-17, 0x1.5773447d10b5ap-17, 0x1.5f45772ba0a86p-17, 0x1.66f29c8a3f437p-17, 0x1.6e7ae88e51129p-17, 0x1.75de902d468acp-17, 0x1.7d1dc953b1418p-17, 0x1.8438caddaeb13p-17, 0x1.8b2fcc8f62d86p-17, 0x1.9203070a4bcd3p-17, 0x1.98b2b3ca62c07p-17, 0x1.9f3f0d1bfe3dcp-17, 0x1.a5a84e132107fp-17, 0x1.abeeb287c7432p-17, 0x1.b212770cd6334p-17, 0x1.b813d8eb941b8p-17, 0x1.bdf3161965066p-17, 0x1.c3b06d312edbap-17, 0x1.c94c1d7018646p-17, 0x1.cec666aa7adeap-17, 0x1.d41f8949ce34ap-17, 0x1.d957c6435c341p-17, 0x1.de6f5f12167edp-17, 0x1.e36695b1bad3cp-17, 0x1.e83dac986f59dp-17, 0x1.ecf4e6afd7732p-17, 0x1.f18c874e62354p-17, 0x1.f604d235a5985p-17, 0x1.fa5e0b8949e31p-17, 0x1.fe9877ca1573fp-17, 0x1.015a2de77de86p-16, 0x1.0358fe610f7a9p-16, 0x1.0548d00d04165p-16, 0x1.0729c5c9e3c1bp-16, 0x1.08fc029820badp-16, 0x1.0abfa9965cb4bp-16, 0x1.0c74de0069c1cp-16, 0x1.0e1bc32acfe3ep-16, 0x1.0fb47c81e72fdp-16, 0x1.113f2d86b684cp-16, 0x1.12bbf9cd335a1p-16, 0x1.142b04f993c22p-16, 0x1.158c72be72d5cp-16, 0x1.16e066da4d3adp-16, 0x1.182705152a57dp-16, 0x1.1960713f56a0bp-16, 0x1.1a8ccf2ee751ep-16, 0x1.1bac42bc723f5p-16, 0x1.1cbeefc33ed46p-16, 0x1.1dc4fa1ef5c39p-16, 0x1.1ebe85a89bd8dp-16, 0x1.1fabb6353a42cp-16, 0x1.208caf935bd18p-16, 0x1.2161958aa47b2p-16, 0x1.222a8bd9188f7p-16, 0x1.22e7b631b2fd6p-16, 0x1.2399383a948dbp-16, 0x1.243f358c1841dp-16, 0x1.24d9d1ae777c5p-16, 0x1.2569301892b7p-16, 0x1.25ed742e18d01p-16, 0x1.2666c13d73f9cp-16, 0x1.26d53a80b2797p-16, 0x1.273903191ef3cp-16, 0x1.27923e1024d92p-16, 0x1.27e10e54990a8p-16, 0x1.282596ba21164p-16, 0x1.285ff9f790909p-16, 0x1.28905aa5b8fe6p-16, 0x1.28b6db3de11e6p-16, 0x1.28d39e199a659p-16, 0x1.28e6c570dc0ccp-16, 0x1.28f073597c50dp-16, 0x1.28f0c9c4deb1dp-16, 0x1.28e7ea7f4cc6ap-16, 0x1.28d5f72fb9b55p-16, 0x1.28bb1155ff1eep-16, 0x1.28975a4a6edf7p-16, 0x1.286af33be1dcp-16, 0x1.2835fd3048d81p-16, 0x1.27f89902a4349p-16, 0x1.27b2e7631e98cp-16, 0x1.276508d57519cp-16, 0x1.270f1daf1ba64p-16, 0x1.26b14618f82dbp-16, 0x1.264ba20caa8cfp-16, 0x1.25de5154e5e81p-16, 0x1.2569738bd7611p-16, 0x1.24ed281b4ad76p-16, 0x1.24698e3bc4529p-16, 0x1.23dec4f31e34dp-16, 0x1.234ceb1478a81p-16, 0x1.22b41f3ffba5bp-16, 0x1.22147fe273864p-16, 0x1.216e2b33e0caap-16, 0x1.20c13f38434f9p-16, 0x1.200dd9bd0b4dp-16, 0x1.1f541859f7fe7p-16, 0x1.1e941870f50c8p-16, 0x1.1dcdf72cee12p-16, 0x1.1d01d181e2c92p-16, 0x1.1c2fc42b64d0cp-16, 0x1.1b57ebae0da72p-16, 0x1.1a7a6455a5f72p-16, 0x1.19974a363e9ecp-16, 0x1.18aeb92a8a6d2p-16, 0x1.17c0ccd32f08ap-16, 0x1.16cda09852b18p-16, 0x1.15d54fa806921p-16, 0x1.14d7f4f608c6fp-16, 0x1.13d5ab3c081aep-16, 0x1.12ce8cf949f43p-16, 0x1.11c2b47312185p-16, 0x1.10b23bb338385p-16, 0x1.0f9d3c87ed938p-16, 0x1.0e83d08490d07p-16, 0x1.0d6611023d624p-16, 0x1.0c44171d7d619p-16, 0x1.0b1dfbb830a8bp-16, 0x1.09f3d778d2eafp-16, 0x1.08c5c2c9228cap-16, 0x1.0793d5d7bc163p-16, 0x1.065e2897a85a3p-16, 0x1.0524d2bff84c3p-16, 0x1.03e7ebcc08bd3p-16, 0x1.02a78afadec8ep-16, 0x1.0163c7501fb6fp-16, 0x1.001cb7933f4adp-16, 0x1.fda4e4a251ceep-17, 0x1.fb0a1bb482c8fp-17, 0x1.f869408501fddp-17, 0x1.f5c27ec693c5p-17, 0x1.f31601b4d0b78p-17, 0x1.f063f4134ef49p-17, 0x1.edac802f77f23p-17, }}, 
      {{-0x1.efd5b38d91f66p-2, -0x1.efdf14354849p-2, -0x1.efee7f2c4db98p-2, -0x1.f003c4181c423p-2, -0x1.f01ec907320a2p-2, -0x1.f03f993e0333ap-2, -0x1.f0666ae6b2d08p-2, -0x1.f0939d332edc7p-2, -0x1.f0c7b12495ae5p-2, -0x1.f1033f159ac11p-2, -0x1.f146eac7fe0aap-2, -0x1.f1935747b19dep-2, -0x1.f1e91b91a592p-2, -0x1.f248b89805f0fp-2, -0x1.f2b290fb11f62p-2, -0x1.f326e29b49d6cp-2, -0x1.f3a5c204c6a88p-2, -0x1.f42f179a35576p-2, -0x1.f4c29e5575341p-2, -0x1.f55fe3eaa1544p-2, -0x1.f6064a1639374p-2, -0x1.f6b508df00fc2p-2, -0x1.f76b3196aa56ap-2, -0x1.f827b2688ac3bp-2, -0x1.f8e95a4ac5a05p-2, -0x1.f9aedd2bfe548p-2, -0x1.fa76d83d31218p-2, -0x1.fb3fd63cd71c5p-2, -0x1.fc0853ad77effp-2, -0x1.fccec2e6632a6p-2, -0x1.fd918ff153f28p-2, -0x1.fe4f242b43376p-2, -0x1.ff05e9a1afd5dp-2, -0x1.ffb44e2823a8cp-2, -0x1.002c6311ea15p-1, -0x1.0078e786773e2p-1, -0x1.00bef8d33c6c7p-1, -0x1.00fde1f75afa6p-1, -0x1.0134f5656e7cp-1, -0x1.01638db8b890ap-1, -0x1.01890e4b816d1p-1, -0x1.01a4e3b0afb1ap-1, -0x1.01b68412ae579p-1, -0x1.01bd6f79bc231p-1, -0x1.01b92ffbbb67p-1, -0x1.01a959d7983e3p-1, -0x1.018d8b7e38686p-1, -0x1.01656d8ae8316p-1, -0x1.0130b2ad0ff97p-1, -0x1.00ef1784ead7ap-1, -0x1.00a06274ddf1dp-1, -0x1.00446368f046dp-1, -0x1.ffb5e72b90f1fp-2, -0x1.fec7ea60f9bf2p-2, -0x1.fdbea640cb8dcp-2, -0x1.fc9a01580de41p-2, -0x1.fb59f2442745cp-2, -0x1.f9fe7efed997ep-2, -0x1.f887bc25e0f8ep-2, -0x1.f6f5cc3fa67dcp-2, -0x1.f548defe5908dp-2, -0x1.f3813082982d7p-2, -0x1.f19f089eb9725p-2, -0x1.efa2ba1b97344p-2, -0x1.ed8ca1ffb0d4dp-2, -0x1.eb5d26d950f6dp-2, -0x1.e914b80c54292p-2, -0x1.e6b3cd241541p-2, -0x1.e43ae529e4fd6p-2, -0x1.e1aa8600752e4p-2, -0x1.df033bc477968p-2, -0x1.dc459832b210cp-2, -0x1.d9723213b1bd9p-2, -0x1.d689a4ad3f8b4p-2, -0x1.d38c8f39acf42p-2, -0x1.d07b946502305p-2, -0x1.cd5759d011605p-2, -0x1.ca2087996c0bbp-2, -0x1.c6d7c7ec2ce1ep-2, -0x1.c37dc69483b4fp-2, -0x1.c0133099ef723p-2, -0x1.bc98b3df0912ap-2, -0x1.b90efec6bfd91p-2, -0x1.b576bfdee6c12p-2, -0x1.b1d0a58febfdp-2, -0x1.ae1d5dd197c0ep-2, -0x1.aa5d95e4a18cep-2, -0x1.a691fa10fe0bcp-2, -0x1.a2bb3568b1a1p-2, -0x1.9ed9f18efc1cep-2, -0x1.9aeed683bc991p-2, -0x1.96fa8a72d1aep-2, -0x1.92fdb1875c7f3p-2, -0x1.8ef8edc2a90afp-2, -0x1.8aecded6a46f3p-2, -0x1.86da2203a4e23p-2, -0x1.82c151f9681a3p-2, -0x1.7ea306bb19f6ap-2, -0x1.7a7fd5863cb6dp-2, -0x1.765850bc4c7a9p-2, -0x1.722d07cefaddcp-2, -0x1.6dfe872edf0fp-2, -0x1.69cd583c71eb4p-2, -0x1.659a013b3d7cbp-2, -0x1.616505471b5d5p-2, -0x1.5d2ee44b5e5bap-2, -0x1.58f81afbd55aap-2, -0x1.54c122cf7be25p-2, -0x1.508a71fcccf1p-2, -0x1.4c547b778f26fp-2, -0x1.481faef00bc8ap-2, -0x1.43ec78d394724p-2, -0x1.3fbb424e417eap-2, -0x1.3b8c714dd0805p-2, -0x1.37606885960c4p-2, -0x1.33378773640c8p-2, -0x1.2f122a655e729p-2, -0x1.2af0aa80a0619p-2, -0x1.26d35dc8aac6ap-2, -0x1.22ba972786619p-2, -0x1.1ea6a6768dcfap-2, -0x1.1a97d887d0327p-2, -0x1.168e772ffb4cfp-2, -0x1.128ac950c991p-2, -0x1.0e8d12e3ddb08p-2, -0x1.0a95950606699p-2, -0x1.06a48e02deaf5p-2, -0x1.02ba3960c080fp-2, -0x1.fdad9fd9ffc45p-3, -0x1.f5f50f90c96f2p-3, -0x1.ee4b28e7b9dd5p-3, -0x1.e6b04dbabb6a2p-3, -0x1.df24dad9d96abp-3, -0x1.d7a9282394a01p-3, -0x1.d03d889f6c70bp-3, -0x1.c8e24a9892596p-3, -0x1.c197b7b8b7c2fp-3, -0x1.ba5e1522f2b59p-3, -0x1.b335a38ea5303p-3, -0x1.ac1e9f6268e57p-3, -0x1.a51940ceef89fp-3, -0x1.9e25bbe9cfc7ap-3, -0x1.974440c83d158p-3, -0x1.9074fb9997fa5p-3, -0x1.89b814c1dea3fp-3, -0x1.830db0f3ee004p-3, -0x1.7c75f14b8a896p-3, -0x1.75f0f3673b555p-3, -0x1.6f7ed181dd046p-3, -0x1.691fa28bfe26cp-3, -0x1.62d37a44ec77cp-3, -0x1.5c9a69537f3f2p-3, -0x1.56747d5e91a7bp-3, -0x1.5061c125316fbp-3, -0x1.4a623c96721edp-3, -0x1.4475f4e8f73a8p-3, -0x1.3e9cecb21951fp-3, -0x1.38d723fcbf654p-3, -0x1.3324985fcf9fcp-3, -0x1.2d85451449defp-3, -0x1.27f9230b041adp-3, -0x1.2280290200c5ep-3, -0x1.1d1a4b996d367p-3, -0x1.17c77d68321d4p-3, -0x1.1287af102ea8dp-3, -0x1.0d5acf5204d4cp-3, -0x1.0840cb2085d7fp-3, -0x1.03398db3bdd19p-3, -0x1.fc8a01372f541p-4, -0x1.f2c617a4379a1p-4, -0x1.e9272b9a96fb9p-4, -0x1.dfad07212fc9bp-4, -0x1.d657717bed33ap-4, -0x1.cd262f4d20486p-4, -0x1.c41902b617effp-4, -0x1.bb2fab76f3dc5p-4, -0x1.b269e70db5f7p-4, -0x1.a9c770d485fa1p-4, -0x1.a148021f4198fp-4, -0x1.98eb525845b11p-4, -0x1.90b1171c78c7fp-4, -0x1.88990456983dep-4, -0x1.80a2cc59cf133p-4, -0x1.78ce1ffb90ca2p-4, -0x1.711aaeacbe8f6p-4, -0x1.69882692191e3p-4, -0x1.6216349bfe802p-4, -0x1.5ac4849d7a2a5p-4, -0x1.5392c162a7778p-4, -0x1.4c8094c667e9p-4, -0x1.458da7c772cd5p-4, -0x1.3eb9a29cbdf4ap-4, -0x1.38042cc942f6p-4, -0x1.316ced2f24b8bp-4, -0x1.2af38a22364e8p-4, -0x1.2497a979e6d16p-4, -0x1.1e58f0a295151p-4, -0x1.183704ae4c681p-4, -0x1.12318a64ef503p-4, -0x1.0c482653d09dbp-4, -0x1.067a7cdcc048bp-4, -0x1.00c832448bebdp-4, -0x1.f661d581f2626p-5, -0x1.eb68950c702c5p-5, -0x1.e0a3eba7acae7p-5, -0x1.d61322025ee5dp-5, -0x1.cbb58112c30dap-5, -0x1.c18a522d8fd23p-5, -0x1.b790df1bf9cbap-5, -0x1.adc87230cfd02p-5, -0x1.a430565cb3a0ap-5, -0x1.9ac7d7416f4cp-5, -0x1.918e414476c26p-5, -0x1.8882e1a09105ep-5, -0x1.7fa50676b279dp-5, -0x1.76f3fede0e4a4p-5, -0x1.6e6f1af3637f3p-5, -0x1.6615abe789412p-5, -0x1.5de7040d40fc9p-5, -0x1.55e276e653ad4p-5, -0x1.4e07592ff9f5cp-5, -0x1.465500ee9ed9ep-5, -0x1.3ecac578f66b5p-5, -0x1.3767ff8273516p-5, -0x1.302c09251eb0ep-5, -0x1.29163dead652p-5, -0x1.2225fad5f64c4p-5, -0x1.1b5a9e6973d9p-5, -0x1.14b388b0656ep-5, -0x1.0e301b450ea45p-5, -0x1.07cfb9575c383p-5, -0x1.0191c7b2ea849p-5, -0x1.f6eb598915087p-6, -0x1.eaf5a13ea4061p-6, -0x1.df413a0272eb9p-6, -0x1.d3ccfaae8b6c3p-6, -0x1.c897bd8296b79p-6, -0x1.bda0602a8e3fbp-6, -0x1.b2e5c3c4a1223p-6, -0x1.a866cce65fcaep-6, -0x1.9e2263a1255efp-6, -0x1.94177385cc4f1p-6, -0x1.8a44eba7bd8b9p-6, -0x1.80a9be9f529d7p-6, -0x1.7744e28b93154p-6, -0x1.6e15511361b91p-6, -0x1.651a07660e2dep-6, -0x1.5c52063b55ac1p-6, -0x1.53bc51d2e5098p-6, -0x1.4b57f1f34e06fp-6, -0x1.4323f1e884fd1p-6, -0x1.3b1f6081dc5abp-6, -0x1.3349500fa1d7fp-6, -0x1.2ba0d66033253p-6, -0x1.24250cbcbf913p-6, -0x1.1cd50fe595937p-6, -0x1.15b0000e201e3p-6, -0x1.0eb500d878462p-6, -0x1.07e33950afd7fp-6, -0x1.0139d3e7bc3a1p-6, -0x1.f56ffcdc46c3p-7, -0x1.e8b9d41c9a996p-7, -0x1.dc4f968d2f219p-7, -0x1.d02fb3c658c66p-7, -0x1.c458a1ef27f14p-7, -0x1.b8c8ddb00feefp-7, -0x1.ad7eea253692bp-7, -0x1.a27950d04967bp-7, -0x1.97b6a189f3301p-7, -0x1.8d357272fb88fp-7, -0x1.82f45fe51927ep-7, -0x1.78f20c6365cc1p-7, -0x1.6f2d208a8d3a5p-7, -0x1.65a44b00c3ec9p-7, -0x1.5c564065732afp-7, -0x1.5341bb40b279fp-7, -0x1.4a657bf28b8e1p-7, -0x1.41c048a215feap-7, -0x1.3950ed2c58014p-7, -0x1.31163b131400ep-7, -0x1.290f096b680bap-7, -0x1.213a34cc5d591p-7, -0x1.19969f3d51d14p-7, -0x1.1223302449ca6p-7, -0x1.0aded43443e32p-7, -0x1.03c87d5b6b162p-7, -0x1.f9be45628fa1cp-8, -0x1.ec4380c9cf82cp-8, -0x1.df1eaf5601b44p-8, -0x1.d24ddd58266cep-8, -0x1.c5cf20e5201e8p-8, -0x1.b9a099b20431cp-8, -0x1.adc070f074c2p-8, -0x1.a22cd92b244afp-8, -0x1.96e40e2252944p-8, -0x1.8be454a8792f4p-8, -0x1.812bfa7f2a0ebp-8, -0x1.76b95633ea75cp-8, -0x1.6c8ac6fd5686p-8, -0x1.629eb498640bep-8, -0x1.58f38f25e9208p-8, -0x1.4f87cf0844934p-8, -0x1.4659f4c141269p-8, -0x1.3d6888d03311p-8, -0x1.34b21b905d8d6p-8, -0x1.2c3545178f058p-8, -0x1.23f0a51503e37p-8, -0x1.1be2e2b08ee9bp-8, -0x1.140aac6a05f06p-8, -0x1.0c66b7f8f4716p-8, -0x1.04f5c22ca7068p-8, -0x1.fb6d1d98fccc8p-9, -0x1.ed4fd0f122613p-9, -0x1.df9141152ef64p-9, -0x1.d22f1dee604eap-9, -0x1.c527245ef0436p-9, -0x1.b8771e05ecb48p-9, -0x1.ac1ce103d8731p-9, -0x1.a0164fbfbd524p-9, -0x1.946158ad10c3ep-9, -0x1.88fbf612586bbp-9, -0x1.7de42dd0502d8p-9, -0x1.7318112a1b11ep-9, -0x1.6895bc8dcbfcap-9, -0x1.5e5b575dd6e34p-9, -0x1.546713bb2a553p-9, -0x1.4ab72e4fff6a1p-9, -0x1.4149ee1b67f67p-9, -0x1.381da43da76a4p-9, -0x1.2f30abc5282efp-9, -0x1.2681697c1a78ep-9, -0x1.1e0e4bb6f325ep-9, -0x1.15d5ca2396df8p-9, -0x1.0dd665991eecdp-9, -0x1.060ea7e8a2a8ep-9, -0x1.fcfa475cb8597p-10, -0x1.ee40e847558cp-10, -0x1.dfee79e3c39p-10, -0x1.d200540b3e101p-10, -0x1.c473dec5f66d3p-10, -0x1.b74691f4c7562p-10, -0x1.aa75f4fc49e7ap-10, -0x1.9dff9e71302e9p-10, -0x1.91e133c61336ap-10, -0x1.861868faa4e19p-10, -0x1.7aa3004c4467p-10, -0x1.6f7ec9e7d3b62p-10, -0x1.64a9a39d2b2bep-10, -0x1.5a21789345eeep-10, -0x1.4fe440fe55cfbp-10, -0x1.45f001d6cdbaap-10, -0x1.3c42cc91d6b4ap-10, -0x1.32dabedb121b9p-10, -0x1.29b6024f8d059p-10, -0x1.20d2cc3a0b068p-10, -0x1.182f5d5051a96p-10, -0x1.0fca0171e4162p-10, -0x1.07a10f67e131ep-10, -0x1.ff65d14c41e22p-11, -0x1.effbf21ade9adp-11, -0x1.e1016d5e2acd6p-11, -0x1.d273432281557p-11, -0x1.c44e86e979512p-11, -0x1.b6905f37c253bp-11, -0x1.a9360524c27fep-11, -0x1.9c3cc3ecbc078p-11, -0x1.8fa1f885472b1p-11, -0x1.8363113368c14p-11, -0x1.777d8d24038ccp-11, -0x1.6beefc067a0b5p-11, -0x1.60b4fda91146fp-11, -0x1.55cd41977b1e8p-11, -0x1.4b3586bb83f7ep-11, -0x1.40eb9affa3016p-11, -0x1.36ed5af33f4d2p-11, -0x1.2d38b17102f1p-11, -0x1.23cb9746f216fp-11, -0x1.1aa412e05efaep-11, -0x1.11c037f1f23cdp-11, -0x1.091e2726f908p-11, -0x1.00bc0dd0de85fp-11, -0x1.f1304b30737a7p-12, -0x1.e161685eecca2p-12, -0x1.d208160e78f3fp-12, -0x1.c3210e08ac5cp-12, -0x1.b4a9206ee09ap-12, -0x1.a69d332c58cc1p-12, -0x1.98fa416c252dep-12, -0x1.8bbd5b1165c5cp-12, -0x1.7ee3a43327db3p-12, -0x1.726a549a49572p-12, -0x1.664eb74365455p-12, -0x1.5a8e29e271202p-12, -0x1.4f261c6a378e5p-12, -0x1.44141095e0b26p-12, -0x1.3955997537af6p-12, -0x1.2ee85afc0dc4cp-12, -0x1.24ca099366143p-12, -0x1.1af869adf255p-12, -0x1.11714f5e3f6ccp-12, -0x1.08329df01c715p-12, -0x1.fe748f07d91d9p-13, -0x1.ed0c9958d4f58p-13, -0x1.dc29781d7bdb1p-13, -0x1.cbc7640a59fbcp-13, -0x1.bbe2b085f841ap-13, -0x1.ac77caf798415p-13, -0x1.9d833a1765f44p-13, -0x1.8f019d45bbe51p-13, -0x1.80efabe3c78b1p-13, -0x1.734a34b2494b6p-13, -0x1.660e1d329971cp-13, -0x1.5938610d52d04p-13, -0x1.4cc6117a64c2fp-13, -0x1.40b454af18511p-13, -0x1.3500654dc773fp-13, -0x1.29a791da5b8bap-13, -0x1.1ea73c31e80fep-13, -0x1.13fcd9057f36dp-13, -0x1.09a5ef580184ap-13, -0x1.ff403000d7276p-14, -0x1.ebd1fa5b14b12p-14, -0x1.d8fcb3dc8be14p-14, -0x1.c6bbf37752c9fp-14, -0x1.b50b700daf42bp-14, -0x1.a3e6ff92b99afp-14, -0x1.934a9631acdcfp-14, -0x1.8332457933954p-14, -0x1.739a3b8d2bf1cp-14, -0x1.647ec25e67763p-14, -0x1.55dc3ee589cf7p-14, -0x1.47af306432511p-14, -0x1.39f42fab7eb9bp-14, -0x1.2ca7ee65b75ap-14, -0x1.1fc7366670988p-14, -0x1.134ee8fec0086p-14, -0x1.073bfe547598ep-14, -0x1.f717098188b34p-15, -0x1.e07540605549p-15, -0x1.ca8d131110f6fp-15, -0x1.b5591c235c698p-15, -0x1.a0d41dc6c561bp-15, -0x1.8cf900abca3a1p-15, -0x1.79c2d2f00289ep-15, -0x1.672cc70d79ff9p-15, -0x1.553232d386215p-15, -0x1.43ce8e68a96dp-15, -0x1.32fd734f8f76ap-15, -0x1.22ba9b75735ap-15, -0x1.1301e0450b0f4p-15, -0x1.03cf39c0efd71p-15, -0x1.ea3d7b46cf574p-16, -0x1.cdd93d0e0590bp-16, -0x1.b26a56227f4afp-16, -0x1.97e99a49b95e2p-16, -0x1.7e5012365e337p-16, -0x1.6596fa01e2ee8p-16, -0x1.4db7bfb14959p-16, -0x1.36ac01c88867cp-16, -0x1.206d8ddeccebap-16, -0x1.0af65f46419dep-16, -0x1.ec813b720b81fp-17, -0x1.c48d38221adabp-17, -0x1.9e05ae0d9f011p-17, -0x1.78dfe7f60b249p-17, -0x1.55117f98da571p-17, -0x1.32905b5adfaecp-17, -0x1.1152ac13eb161p-17, -0x1.e29dd5c54d3ebp-18, -0x1.a4f7ae1d89f6ap-18, -0x1.69a0e803859fep-18, -0x1.30880e8f35ee5p-18, -0x1.f3385a88cadc1p-19, -0x1.899998a22478fp-19, -0x1.2413d9cbc461ep-19, -0x1.851016f2f2dd9p-20, -0x1.935ffcbd58bdbp-21, -0x1.5ccc7cccc1142p-24, 0x1.2da501e77cb37p-21, 0x1.3c652ed7cc326p-20, 0x1.db20ffa550d5fp-20, 0x1.399d13fe93e56p-19, 0x1.8271af680efp-19, 0x1.c826f45278dc4p-19, 0x1.056a6896fa299p-18, 0x1.254942ef3e2e3p-18, 0x1.43bb546a5b017p-18, 0x1.60cb960b18c33p-18, 0x1.7c84b107050c1p-18, 0x1.96f1011c0d8e9p-18, 0x1.b01a96d56e07ap-18, 0x1.c80b39c06d6e4p-18, 0x1.decc6a941b847p-18, 0x1.f4676540e1d02p-18, 0x1.0472917ac4f04p-17, 0x1.0e272e09be2efp-17, 0x1.1755c50b0fce1p-17, 0x1.200274b161998p-17, 0x1.28313d8f422edp-17, 0x1.2fe6037103912p-17, 0x1.37248e357a88bp-17, 0x1.3df08a9d1dc9p-17, 0x1.444d8b1782253p-17, 0x1.4a3f0884dee14p-17, 0x1.4fc862f5feebdp-17, 0x1.54ece2640adfcp-17, 0x1.59afb7648c71p-17, 0x1.5e13fbd7f393p-17, 0x1.621cb3901ec53p-17, 0x1.65ccccf71cdffp-17, 0x1.692721ab42753p-17, 0x1.6c2e7719df8cdp-17, 0x1.6ee57f14bd6e9p-17, 0x1.714ed86282bc9p-17, 0x1.736d0f4a924f8p-17, 0x1.75429e1ed92bcp-17, 0x1.76d1edbd0c781p-17, 0x1.781d560efc8c8p-17, 0x1.79271e88b7653p-17, 0x1.79f17e9f90598p-17, 0x1.7a7e9e3ebab05p-17, 0x1.7ad096381bbffp-17, 0x1.7ae970b371086p-17, 0x1.7acb299667195p-17, 0x1.7a77aeec10804p-17, 0x1.79f0e14a759adp-17, 0x1.793894336866bp-17, 0x1.78508e705fc8p-17, 0x1.773a8a6f9cd5ep-17, 0x1.75f8369abce32p-17, 0x1.748b35ae986ebp-17, 0x1.72f51f0c46c1dp-17, 0x1.71377f0a93675p-17, 0x1.6f53d74581003p-17, 0x1.6d4b9ee78c6a2p-17, 0x1.6b2042f4077b4p-17, 0x1.68d3268d8742ap-17, 0x1.6665a33d21cf1p-17, 0x1.63d9093391c0bp-17, 0x1.612e9f8afb431p-17, 0x1.5e67a485ebfbbp-17, 0x1.5b854dcc95015p-17, 0x1.5888c8a6bf852p-17, 0x1.55733a3668a75p-17, 0x1.5245bfaf927ccp-17, 0x1.4f016e8e85727p-17, 0x1.4ba754cb892ccp-17, 0x1.4838790dde4d7p-17, 0x1.44b5dadd8995dp-17, 0x1.412072d275ccfp-17, 0x1.3d7932c411bb7p-17, 0x1.39c105f59c4e4p-17, 0x1.35f8d1438a783p-17, 0x1.3221734c8584ep-17, 0x1.2e3bc49aa481ep-17, 0x1.2a4897caaf6a7p-17, 0x1.2648b9b5b91f1p-17, 0x1.223cf193f5ad4p-17, 0x1.1e26012313decp-17, 0x1.1a04a4c8d43d1p-17, 0x1.15d993b5ff7c4p-17, 0x1.11a58007f49c3p-17, 0x1.0d6916e93639ep-17, 0x1.092500b09d913p-17, 0x1.04d9e10153cc6p-17, 0x1.008856e886f98p-17, 0x1.f861f9f3bcaf7p-18, 0x1.efa8d2d449de2p-18, 0x1.e6e65c5a34f5dp-18, 0x1.de1bb21ea1dcfp-18, 0x1.d549e7a02945bp-18, 0x1.cc72087354befp-18, 0x1.c3951875afae4p-18, 0x1.bab413fc4e24ep-18, 0x1.b1cff00291acfp-18, 0x1.a8e99a575157dp-18, 0x1.a001f9c96c34ap-18, 0x1.9719ee50eeb1dp-18, 0x1.8e32513c91b68p-18, 0x1.854bf55508f6fp-18, 0x1.7c67a7044a728p-18, 0x1.73862c7d739b7p-18, 0x1.6aa845e52d9acp-18, 0x1.61cead72d568cp-18, 0x1.58fa1791eb60ep-18, 0x1.502b3307d83bep-18, 0x1.4762a91310ef8p-18, 0x1.3ea11d8ca519fp-18, 0x1.35e72f08dde7ep-18, 0x1.2d3576f6ec4e2p-18, 0x1.248c89be437e3p-18, 0x1.1becf6dce406ap-18, 0x1.1357490476942p-18, 0x1.0acc063269433p-18, 0x1.024bafcd6371bp-18, 0x1.f3ad858408887p-19, 0x1.e2db6f3b7cc4ep-19, 0x1.d2220549916bfp-19, 0x1.c18227d89a6cep-19, 0x1.b0fcaee5fbb14p-19, 0x1.a0926a6eb81e1p-19, 0x1.904422a2208e7p-19, 0x1.80129809ef2b5p-19, 0x1.6ffe83c0d67c9p-19, 0x1.6008979402922p-19, 0x1.50317e32d4d46p-19, 0x1.4079db556b429p-19, 0x1.30e24be084a81p-19, 0x1.216b6611ebe03p-19, 0x1.1215b9a5a815dp-19, 0x1.02e1d0006c2afp-19, 0x1.e7a0589eba507p-20, 0x1.c9c29756ee196p-20, 0x1.ac2b4a8180d14p-20, 0x1.8edb54d6cdb32p-20, 0x1.71d38dbda82fcp-20, 0x1.5514c1857a613p-20, 0x1.389fb1b04263bp-20, 0x1.1c751534ea05bp-20, 0x1.009598b163cc7p-20, 0x1.ca03bd5ff671bp-21, 0x1.9374ffb629144p-21, 0x1.5d801676fd0bep-21, 0x1.28260cdfd8505p-21, 0x1.e6cfb7a9c4836p-22, 0x1.7e8cd4a372b9bp-22, 0x1.17851b8cdb83fp-22, 0x1.63742a0e9dd9bp-23, 0x1.34b4a15e6b13ep-24, -0x1.62063e7cbd5e9p-26, -0x1.e0b5a399106d4p-24, -0x1.b1f1bdf212361p-23, -0x1.3881dc9aeba9bp-22, -0x1.96c795e2e1325p-22, -0x1.f3c95bbf883cdp-22, -0x1.27c34da4efd98p-21, -0x1.54ff6e8a50929p-21, -0x1.8198e23b0368cp-21, -0x1.ad8f8773d0573p-21, -0x1.d8e349a91151cp-21, -0x1.01ca10534f44ap-20, -0x1.16d1082fc59fep-20, -0x1.2b8694449755bp-20, -0x1.3feac22661247p-20, -0x1.53fda5033206p-20, -0x1.67bf55770c457p-20, -0x1.7b2ff16d98a3dp-20, -0x1.8e4f9bf2a9f0ap-20, -0x1.a11e7d13886b9p-20, -0x1.b39cc1c3010adp-20, -0x1.c5ca9bae1b995p-20, -0x1.d7a84121bd82fp-20, -0x1.e935ece6398afp-20, -0x1.fa73de1f4a863p-20, -0x1.05b12c167088ep-19, -0x1.0e00d14369c8ap-19, -0x1.16290451e3a0fp-19, -0x1.1e29eced903d1p-19, -0x1.2603b4a28bf46p-19, -0x1.2db686ce14d9dp-19, -0x1.35429092e2f93p-19, -0x1.3ca800c92dc69p-19, -0x1.43e707f15932cp-19, -0x1.4affd8239c91p-19, -0x1.51f2a5064bbc7p-19, -0x1.58bfa3c07375ap-19, -0x1.5f670aeb263fbp-19, -0x1.65e912879ee71p-19, -0x1.6c45f3f22a1d4p-19, -0x1.727de9d3b0716p-19, -0x1.7891301904051p-19, -0x1.7e8003e4fbc9cp-19, -0x1.844aa3849e33p-19, -0x1.89f14e66ff9d6p-19, -0x1.8f74450e9a1f5p-19, -0x1.94d3c9086db45p-19, -0x1.9a101ce11a2bp-19, -0x1.9f29841b60c94p-19, -0x1.a42043241c44bp-19, -0x1.a8f49f47173e8p-19, -0x1.ada6dea8448a5p-19, -0x1.b2374838e785ap-19, -0x1.b6a623ad36114p-19, -0x1.baf3b9747539ep-19, -0x1.bf2052af94397p-19, -0x1.c32c39285cc66p-19, -0x1.c717b74621c8bp-19, -0x1.cae3180aba518p-19, -0x1.ce8ea704555c9p-19, -0x1.d21ab0471cbc5p-19, -0x1.d58780676a715p-19, -0x1.d8d5646e4a696p-19, -0x1.dc04a9d4064efp-19, -0x1.df159e78100afp-19, -0x1.e208909a0d149p-19, -0x1.e4ddced12ccc8p-19, -0x1.e795a8042167bp-19, -0x1.ea306b65fb32p-19, -0x1.ecae686cbca53p-19, -0x1.ef0feec98734cp-19, -0x1.f1554e6537284p-19, -0x1.f37ed75797f3p-19, -0x1.f58cd9e1d4ec2p-19, -0x1.f77fa667849ebp-19, -0x1.f9578d6b0412ep-19, -0x1.fb14df85dd4p-19, -0x1.fcb7ed6243592p-19, -0x1.fe4107b6e69e6p-19, -0x1.ffb07f41929f6p-19, -0x1.0083525fdf171p-18, -0x1.0121e47626087p-18, -0x1.01b41e3c52a72p-18, -0x1.023a2803ffe1fp-18, -0x1.02b42a14e4d6bp-18, -0x1.03224caac91bbp-18, -0x1.0384b7f44640cp-18, -0x1.03db940f1d55p-18, -0x1.0427090619e4ap-18, -0x1.04673ecf998b3p-18, -0x1.049c5d4af1901p-18, -0x1.04c68c3e90701p-18, -0x1.04e5f355c5797p-18, -0x1.04faba1f64e74p-18, -0x1.0505080c19d7p-18, -0x1.0505046b75b6cp-18, -0x1.04fad66b1b44cp-18, -0x1.04e6a514601fap-18, -0x1.04c8974aeb1d9p-18, -0x1.04a0d3cb25ad3p-18, -0x1.046f812906d9bp-18, -0x1.0434c5cd3d876p-18, -0x1.03f0c7f54aae2p-18, -0x1.03a3adb059ba8p-18, -0x1.034d9cdffabffp-18, -0x1.02eebb359a3ep-18, -0x1.02872e310ab6fp-18, -0x1.02171b1f18f09p-18, -0x1.019ea718e6cc7p-18, -0x1.011df7021576fp-18, -0x1.00952f882cee2p-18, -0x1.000475212faebp-18, -0x1.fed7d8166e87cp-19, -0x1.fd977095b970bp-19, -0x1.fc47fb53d9179p-19, -0x1.fae9bf6f08321p-19, -0x1.f97d038a3e935p-19, -0x1.f8020dcfa45c5p-19, -0x1.f67923ece0033p-19, -0x1.f4e28b127b418p-19, -0x1.f33e87f001432p-19, -0x1.f18d5eb5de436p-19, -0x1.efcf530fc8334p-19, -0x1.ee04a828918dep-19, -0x1.ec2da0a613a53p-19, -0x1.ea4a7ea7c93a6p-19, -0x1.e85b83c4cf2b8p-19, -0x1.e660f10bde1c6p-19, -0x1.e45b0701fa62fp-19, -0x1.e24a05a1c1533p-19, -0x1.e02e2c5a06b95p-19, -0x1.de07ba0d7c136p-19, -0x1.dbd6ed12e7e84p-19, -0x1.d99c0331f7d13p-19, -0x1.d75739a436a03p-19, -0x1.d508cd1334408p-19, -0x1.d2b0f997cf8dap-19, -0x1.d04ffabadb314p-19, -0x1.cde60b7487c22p-19, -0x1.cb73662b2c7a1p-19, -0x1.c8f844b209012p-19, -0x1.c674e04a573f4p-19, -0x1.c3e971a1a7b2ap-19, -0x1.c15630d50c83dp-19, -0x1.bebb556dacba1p-19, -0x1.bc1916604b2cdp-19, -0x1.b96faa0d712cp-19, -0x1.b6bf46418e34cp-19, -0x1.b40820351e90ap-19, -0x1.b14a6c8c234aap-19, -0x1.ae865f5688cabp-19, -0x1.abbc2c10443cbp-19, -0x1.a8ec05a2888b7p-19, -0x1.a6161e61e226fp-19, -0x1.a33aa80e3140ap-19, -0x1.a059d3d413cf9p-19, -0x1.9d73d24bcdfb7p-19, -0x1.9a88d37aac0ebp-19, -0x1.979906d31f492p-19, -0x1.94a49b34f4a3fp-19, -0x1.91abbeecb2414p-19, -0x1.8eae9fb4371a8p-19, -0x1.8bad6ab2815aep-19, -0x1.88a84c7f9d732p-19, -0x1.859f71230ccfep-19, -0x1.8293041235c98p-19, -0x1.7f83303215b73p-19, -0x1.7c701fd786af7p-19, -0x1.7959fcc863386p-19, -0x1.7640f03b6bc39p-19, -0x1.732522d94bd0ep-19, -0x1.7006bcbc02526p-19, -0x1.6ce5e572c008cp-19, -0x1.69c2c40025df6p-19, -0x1.669d7edad87f2p-19, -0x1.63763bed21311p-19, -0x1.604d2097a5a7cp-19, -0x1.5d2251b08a0fcp-19, -0x1.59f5f3856600fp-19, -0x1.56c829dba1e1dp-19, -0x1.539917f11c58fp-19, -0x1.5068e07c93cb4p-19, -0x1.4d37a5adacb35p-19, -0x1.4a05892e3a364p-19, -0x1.46d2ac24e4a28p-19, -0x1.439f2f369a5f3p-19, -0x1.406b3283ad79bp-19, -0x1.3d36d5a9bbe8fp-19, -0x1.3a0237c538b2bp-19, -0x1.36cd777239242p-19, -0x1.3398b2cca53dcp-19, -0x1.306407729b53ap-19, -0x1.2d2f92835da7fp-19, -0x1.29fb70a138f3ap-19, -0x1.26c7bdf50e04dp-19, -0x1.2394962b54c87p-19, -0x1.20621476615cbp-19, -0x1.1d30538e5ee0cp-19, -0x1.19ff6db44d92bp-19, -0x1.16cf7cb08376cp-19, -0x1.13a099d666f5dp-19, -0x1.1072de0385f99p-19, -0x1.0d4661a13c781p-19, -0x1.0a1b3ca4f7e62p-19, -0x1.06f18690daee2p-19, -0x1.03c956752dcbcp-19, -0x1.00a2c2f295891p-19, -0x1.fafbc478f3d86p-20, -0x1.f4b5942bdbfap-20, -0x1.ee731fa84fa31p-20, -0x1.e83490be100c7p-20, -0x1.e1fa1067c91b2p-20, -0x1.dbc3c6c8c8d7ep-20, -0x1.d591db333429ap-20, -0x1.cf64742605c7fp-20, -0x1.c93bb750fde3p-20, -0x1.c317c998d81e7p-20, -0x1.bcf8cf1943652p-20, -0x1.b6deeb224afb1p-20, -0x1.b0ca403bfa0cfp-20, -0x1.aabaf02b22f02p-20, -0x1.a4b11befaff12p-20, -0x1.9eace3c973cd2p-20, -0x1.98ae673a2997p-20, -0x1.92b5c50722c23p-20, -0x1.8cc31b3a0d6fbp-20, -0x1.86d687228ededp-20, -0x1.80f0255936971p-20, -0x1.7b1011c15bb76p-20, -0x1.7536678cc5227p-20, -0x1.6f6341404615ap-20, -0x1.6996b8af72466p-20, -0x1.63d0e6ff6d4e6p-20, -0x1.5e11e4aa69562p-20, -0x1.5859c982d9a83p-20, -0x1.52a8acb330f9ap-20, -0x1.4cfea4c27f28bp-20, -0x1.475bc792e6f04p-20, -0x1.41c02a664854cp-20, -0x1.3c2be1df8127ep-20, -0x1.369f020822ef8p-20, -0x1.31199e4c3727p-20, -0x1.2b9bc97d25ba8p-20, -0x1.262595d6ba889p-20, -0x1.20b714feee0b7p-20, -0x1.1b505807b283dp-20, -0x1.15f16f728764bp-20, -0x1.109a6b31debacp-20, -0x1.0b4b5aaa4f0bbp-20, -0x1.06044cb414a3fp-20, -0x1.00c54f9c7aeabp-20, -0x1.f71ce251def5ep-21, -0x1.ecbf7d31237bcp-21, -0x1.e272894d329e8p-21, -0x1.d8361f1ea416p-21, -0x1.ce0a5616c033cp-21, -0x1.c3ef44a624e7cp-21, -0x1.b9e5004564acfp-21, -0x1.afeb9d75f7f52p-21, -0x1.a6032fc5655b8p-21, -0x1.9c2bc9d2b5d4dp-21, -0x1.92657d4d9e3ep-21, -0x1.88b05b000cb4cp-21, -0x1.7f0c72cbd0618p-21, -0x1.7579d3b78f1d2p-21, -0x1.6bf88be875bc9p-21, -0x1.6288a8a528769p-21, -0x1.592a365f871d1p-21, -0x1.4fdd40b4f24a7p-21, -0x1.46a1d26ed1cf8p-21, -0x1.3d77f58baad6p-21, }}, 
      {{-0x1.12685ff8b461dp-15, -0x1.27829f74e4c67p-13, -0x1.7082987fd0d63p-12, -0x1.6f72ec14a2aacp-11, -0x1.4209e5e78f5e7p-10, -0x1.0257fde569631p-9, -0x1.83d24cdf78dfdp-9, -0x1.142d29df96237p-8, -0x1.78d4737d65436p-8, -0x1.f02861d171328p-8, -0x1.3cf674cc44064p-7, -0x1.8ab9d281aabbep-7, -0x1.e0d8991233d42p-7, -0x1.1f54b534ba184p-6, -0x1.51b4c53a64c01p-6, -0x1.87232588e7969p-6, -0x1.bf32af892a4f8p-6, -0x1.f975fdd739952p-6, -0x1.1ac130e52b76fp-5, -0x1.39792126d8123p-5, -0x1.58b376ada1434p-5, -0x1.7844f452a7077p-5, -0x1.9806e7f9480d8p-5, -0x1.b7d76851c173cp-5, -0x1.d79968fb007e7p-5, -0x1.f734ac8c7a927p-5, -0x1.0b4acdc97af74p-4, -0x1.1ad68372a8bcep-4, -0x1.2a37ed7c82e04p-4, -0x1.396b648bd4d6bp-4, -0x1.486ef548ebcf9p-4, -0x1.574230a83d6a8p-4, -0x1.65e5fc3ca26dp-4, -0x1.745c63a07ebedp-4, -0x1.82a86bc0017abp-4, -0x1.90cde8956d1bdp-4, -0x1.9ed155b8a0d9ep-4, -0x1.acb7b1fc3557cp-4, -0x1.ba865e3371bf8p-4, -0x1.c842ff2454d4fp-4, -0x1.d5f36296854aap-4, -0x1.e39d6762f366dp-4, -0x1.f146e85e6bb45p-4, -0x1.fef5a9f37b3a1p-4, -0x1.0657a51e4cce8p-3, -0x1.0d3c99b6f48e5p-3, -0x1.142c482f00a4fp-3, -0x1.1b29217f09c03p-3, -0x1.22356e49e3f4ep-3, -0x1.29534bc49aa4fp-3, -0x1.3084a955138c2p-3, -0x1.37cb46d440f61p-3, -0x1.3f28b3622cbbp-3, -0x1.469e4cbb99b3ep-3, -0x1.4e2d3f022b6fcp-3, -0x1.55d684e962edap-3, -0x1.5d9ae83bd6d25p-3, -0x1.657b02ad3c2acp-3, -0x1.6d773eeecb128p-3, -0x1.758fd9fc84686p-3, -0x1.7dc4e49abe051p-3, -0x1.861644fc1c6e6p-3, -0x1.8e83b888eed22p-3, -0x1.970cd5c17b24dp-3, -0x1.9fb10e3574a4bp-3, -0x1.a86fb08b64a15p-3, -0x1.b147ea93496dp-3, -0x1.ba38cb603c1bep-3, -0x1.c34145654e741p-3, -0x1.cc6030923dc46p-3, -0x1.d5944c6d0001fp-3, -0x1.dedc4225825bfp-3, -0x1.e836a6a13ddb6p-3, -0x1.f1a1fc7c96b16p-3, -0x1.fb1cb600491e5p-3, -0x1.02529b84a6c8ep-2, -0x1.071ceb70fec09p-2, -0x1.0bec7105a4bf7p-2, -0x1.10c04dfa9d54ap-2, -0x1.1597a052f5b9ap-2, -0x1.1a7183274327ap-2, -0x1.1f4d0f66e6aabp-2, -0x1.24295c8ffb0eep-2, -0x1.2905815dd4b6ap-2, -0x1.2de0946e158dap-2, -0x1.32b9acdc53c6ep-2, -0x1.378fe2d4706bfp-2, -0x1.3c62501bb65fp-2, -0x1.41301090e4ff1p-2, -0x1.45f842a35dd7ep-2, -0x1.4aba07c19f976p-2, -0x1.4f7484bf4c4aap-2, -0x1.5426e23300d12p-2, -0x1.58d04ccc347f4p-2, -0x1.5d6ff5a16faa5p-2, -0x1.6205127722902p-2, -0x1.668eddff6217fp-2, -0x1.6b0c9812db583p-2, -0x1.6f7d85e349f89p-2, -0x1.73e0f227bca47p-2, -0x1.78362d42f8ea7p-2, -0x1.7c7c8d6448dep-2, -0x1.80b36ea2ffe1bp-2, -0x1.84da3314fe4b2p-2, -0x1.88f042e0861e8p-2, -0x1.8cf50c499d931p-2, -0x1.90e803bb4efbdp-2, -0x1.94c8a3cd06ba9p-2, -0x1.98966d445287bp-2, -0x1.9c50e7134012ep-2, -0x1.9ff79e539c827p-2, -0x1.a38a263f4e714p-2, -0x1.a708182603254p-2, -0x1.aa71136066da9p-2, -0x1.adc4bd411b97dp-2, -0x1.b102c103a2718p-2, -0x1.b42acfb963379p-2, -0x1.b73ca035035ddp-2, -0x1.ba37eef434261p-2, -0x1.bd1c7e0822b44p-2, -0x1.bfea14fcadadp-2, -0x1.c2a080be8631p-2, -0x1.c53f938060b6p-2, -0x1.c7c7249f4ada5p-2, -0x1.ca371086530e9p-2, -0x1.cc8f389193ad6p-2, -0x1.cecf82f0bb73ep-2, -0x1.d0f7da892f80ap-2, -0x1.d3082ed7de289p-2, -0x1.d50073d2d1959p-2, -0x1.d6e0a1ca990dap-2, -0x1.d8a8b54b9c3cep-2, -0x1.da58aeff64614p-2, -0x1.dbf0938deeb37p-2, -0x1.dd706b7f12293p-2, -0x1.ded8431c0785ep-2, -0x1.e0282a511f98dp-2, -0x1.e160348fab9f5p-2, -0x1.e28078b02e377p-2, -0x1.e38910d4cba82p-2, -0x1.e47a1a4c14523p-2, -0x1.e553b5741ddbp-2, -0x1.e616059dfedb2p-2, -0x1.e6c130f1aa6d8p-2, -0x1.e755605233fb1p-2, -0x1.e7d2bf427d03dp-2, -0x1.e8397bca51bcep-2, -0x1.e889c65bf8081p-2, -0x1.e8c3d1ba2fe39p-2, -0x1.e8e7d2deaccbbp-2, -0x1.e8f600e103a96p-2, -0x1.e8ee94de1374dp-2, -0x1.e8d1c9dfe81c8p-2, -0x1.e89fdcc6157d4p-2, -0x1.e8590c2e8defcp-2, -0x1.e7fd985ef69f3p-2, -0x1.e78dc32e6ffb5p-2, -0x1.e709cfefe0ca3p-2, -0x1.e672035cb4741p-2, -0x1.e5c6a38016a79p-2, -0x1.e507f7a2a4dcp-2, -0x1.e436483698c5fp-2, -0x1.e351dec46adcep-2, -0x1.e25b05d7e6591p-2, -0x1.e15208edb5b2fp-2, -0x1.e03734615ed88p-2, -0x1.df0ad55bb30ep-2, -0x1.ddcd39c1ae137p-2, -0x1.dc7eb023c571p-2, -0x1.db1f87ada2a2dp-2, -0x1.d9b010164ba82p-2, -0x1.d8309990b4b0bp-2, -0x1.d6a174bcbb567p-2, -0x1.d502f2988851bp-2, -0x1.d35564725735ap-2, -0x1.d1991bdaa435dp-2, -0x1.cfce6a96b8eb2p-2, -0x1.cdf5a2939dcfep-2, -0x1.cc0f15d969da5p-2, -0x1.ca1b167eefc43p-2, -0x1.c819f69dca52bp-2, -0x1.c60c0846bf41ap-2, -0x1.c3f19d7682103p-2, -0x1.c1cb080ac89a8p-2, -0x1.bf9899b7babe2p-2, -0x1.bd5aa3fdb6ep-2, -0x1.bb11781f67cf5p-2, -0x1.b8bd6718306c3p-2, -0x1.b65ec192e6073p-2, -0x1.b3f5d7e0dd702p-2, -0x1.b182f9f141774p-2, -0x1.af067748bacbep-2, -0x1.ac809ef964615p-2, -0x1.a9f1bf9b07138p-2, -0x1.a75a27439ebe2p-2, -0x1.a4ba23802bdacp-2, -0x1.a212014dc4735p-2, -0x1.9f620d12f27cep-2, -0x1.9caa929950357p-2, -0x1.99ebdd076ae02p-2, -0x1.972636dae7eaap-2, -0x1.9459e9e2e8159p-2, -0x1.91873f3aac24fp-2, -0x1.8eae7f447874fp-2, -0x1.8bcff1a4b22bfp-2, -0x1.88ebdd3d3fb6ep-2, -0x1.860288291af86p-2, -0x1.831437b826512p-2, -0x1.8021306b358e8p-2, -0x1.7d29b5f04e43p-2, -0x1.7a2e0b1f20db3p-2, -0x1.772e71f5b6086p-2, -0x1.742b2b9552445p-2, -0x1.7124783f8a96fp-2, -0x1.6e1a97538cd0ap-2, -0x1.6b0dc74b9978p-2, -0x1.67fe45baae882p-2, -0x1.64ec4f4a5e2afp-2, -0x1.61d81fb8d9582p-2, -0x1.5ec1f1d72128dp-2, -0x1.5ba9ff876b9f9p-2, -0x1.589081bbac81ap-2, -0x1.5575b0744e1f7p-2, -0x1.5259c2bf10617p-2, -0x1.4f3ceeb610bbp-2, -0x1.4c1f697efa239p-2, -0x1.4901674a5a01p-2, -0x1.45e31b531c36bp-2, -0x1.42c4b7de2ad46p-2, -0x1.3fa66e3a30f3fp-2, -0x1.3c886ebf80564p-2, -0x1.396ae8d019be4p-2, -0x1.364e0ad7d4156p-2, -0x1.3332024ca4fd3p-2, -0x1.3016fbaf07487p-2, -0x1.2cfd228a7fcdap-2, -0x1.29e4a17640211p-2, -0x1.26cda215e4236p-2, -0x1.23b84d1a4c965p-2, -0x1.20a4ca4292538p-2, -0x1.1d93405d13e5ep-2, -0x1.1a83d5489d86ap-2, -0x1.1776adf5a636ep-2, -0x1.146bee67a5095p-2, -0x1.1163b9b67f7d9p-2, -0x1.0e5e32100902fp-2, -0x1.0b5b78b998e8dp-2, -0x1.085bae11b72dfp-2, -0x1.055ef191d6813p-2, -0x1.026561d025922p-2, -0x1.fede3902e14d7p-3, -0x1.f8f87cf6260dbp-3, -0x1.f319c769f15a7p-3, -0x1.ed424e976401ap-3, -0x1.e772470523576p-3, -0x1.e1a9e38bb9d53p-3, -0x1.dbe9555a0b138p-3, -0x1.d630cbf9e76cfp-3, -0x1.d0807554b3ddbp-3, -0x1.cad87db826fe7p-3, -0x1.c5390fdb1bfcfp-3, -0x1.bfa254e280d9ap-3, -0x1.ba1474664accep-3, -0x1.b48f947685101p-3, -0x1.af13d9a0705cep-3, -0x1.a9a166f3a9761p-3, -0x1.a4385e0769329p-3, -0x1.9ed8deffc64adp-3, -0x1.99830893099edp-3, -0x1.9436f80f0d0a9p-3, -0x1.8ef4c95ea062ap-3, -0x1.89bc970ef81dap-3, -0x1.848e7a55276d1p-3, -0x1.7f6a8b139b379p-3, -0x1.7a50dfdf9fa1p-3, -0x1.75418e06e592bp-3, -0x1.703ca995110fbp-3, -0x1.6b42455947884p-3, -0x1.665272ebbff0ep-3, -0x1.616d42b353b98p-3, -0x1.5c92c3eb1349dp-3, -0x1.57c304a7d99c6p-3, -0x1.52fe11ddd70e2p-3, -0x1.4e43f76626bbap-3, -0x1.4994c004578ep-3, -0x1.44f0756bf5482p-3, -0x1.405720460fd0fp-3, -0x1.3bc8c836b9b26p-3, -0x1.374573e282324p-3, -0x1.32cd28f3eb055p-3, -0x1.2e5fec20d99c2p-3, -0x1.29fdc12ffa5d7p-3, -0x1.25a6aafe221e1p-3, -0x1.215aab83a6ccep-3, -0x1.1d19c3d9ad90bp-3, -0x1.18e3f43f6f392p-3, -0x1.14b93c1f76875p-3, -0x1.10999a14d063cp-3, -0x1.0c850bf035ebbp-3, -0x1.087b8ebd26a97p-3, -0x1.047d1ec6f83e8p-3, -0x1.0089b79de289p-3, -0x1.f942a837e108cp-4, -0x1.f187dcd3eb205p-4, -0x1.e9e30008cd221p-4, -0x1.e25403806460cp-4, -0x1.dadad79f0d471p-4, -0x1.d3776b8d0d785p-4, -0x1.cc29ad3ff1a13p-4, -0x1.c4f18983c10fep-4, -0x1.bdceec041df21p-4, -0x1.b6c1bf554263ap-4, -0x1.afc9ecfce31a3p-4, -0x1.a8e75d7af5eaap-4, -0x1.a219f8525a67p-4, -0x1.9b61a4115842fp-4, -0x1.94be465a16829p-4, -0x1.8e2fc3eada8a3p-4, -0x1.87b600a63addap-4, -0x1.8150df9b2969ep-4, -0x1.7b00430ce06c8p-4, -0x1.74c40c7ab00c2p-4, -0x1.6e9c1ca7abeb1p-4, -0x1.688853a238894p-4, -0x1.628890cb7a637p-4, -0x1.5c9cb2dea2109p-4, -0x1.56c497f81d1a7p-4, -0x1.51001d9ca0d68p-4, -0x1.4b4f20c019a01p-4, -0x1.45b17dcc79002p-4, -0x1.402710a862948p-4, -0x1.3aafb4bdbc78p-4, -0x1.354b45001b12cp-4, -0x1.2ff99bf310f1dp-4, -0x1.2aba93b05c7dap-4, -0x1.258e05edf9b83p-4, -0x1.2073cc040e824p-4, -0x1.1b6bbef2bf4dbp-4, -0x1.1675b767dddp-4, -0x1.11918dc47d24fp-4, -0x1.0cbf1a226591bp-4, -0x1.07fe3459697f6p-4, -0x1.034eb4049d6e6p-4, -0x1.fd60e10ee0248p-5, -0x1.f44682254d436p-5, -0x1.eb4df952778b9p-5, -0x1.e276f44a3659fp-5, -0x1.d9c12077943bfp-5, -0x1.d12c2b05d4ca4p-5, -0x1.c8b7c0e948e76p-5, -0x1.c0638ee7f0539p-5, -0x1.b82f41a1d3d49p-5, -0x1.b01a859936325p-5, -0x1.a825073a85df8p-5, -0x1.a04e72e41ec79p-5, -0x1.989674edd04dp-5, -0x1.90fcb9b0363e1p-5, -0x1.8980ed8bd21abp-5, -0x1.8222bcf0001cfp-5, -0x1.7ae1d461a967ap-5, -0x1.73bde081cdbefp-5, -0x1.6cb68e13db4abp-5, -0x1.65cb8a03d1919p-5, -0x1.5efc816c36b77p-5, -0x1.5849219bdea3fp-5, -0x1.51b1181b7eca7p-5, -0x1.4b3412b319223p-5, -0x1.44d1bf6f330b3p-5, -0x1.3e89cca5ea126p-5, -0x1.385be8fbd178bp-5, -0x1.3247c368ad988p-5, -0x1.2c4d0b3bfca1bp-5, -0x1.266b70215cd99p-5, -0x1.20a2a224c62c9p-5, -0x1.1af251b69a3adp-5, -0x1.155a2faf91e9fp-5, -0x1.0fd9ed547a0fp-5, -0x1.0a713c59d9ed6p-5, -0x1.051fcee764ef7p-5, -0x1.ffcaaf369a1cdp-6, -0x1.f583131aea6bep-6, -0x1.eb6830a4ec886p-6, -0x1.e1796ffd21601p-6, -0x1.d7b63a50d709ep-6, -0x1.ce1df9d77c851p-6, -0x1.c4b019d7a8c44p-6, -0x1.bb6c06abe534ap-6, -0x1.b2512dc73c74cp-6, -0x1.a95efdb981446p-6, -0x1.a094e633691f8p-6, -0x1.97f2580a5e5e8p-6, -0x1.8f76c53c28d1fp-6, -0x1.8721a0f249aa3p-6, -0x1.7ef25f853b39ep-6, -0x1.76e8767f5c46cp-6, -0x1.6f035c9fc85aap-6, -0x1.674289dcdd0b8p-6, -0x1.5fa57766aadb6p-6, -0x1.582b9fa9233e8p-6, -0x1.50d47e4e1d1cfp-6, -0x1.499f903f32a05p-6, -0x1.428c53a75d907p-6, -0x1.3b9a47f47ddefp-6, -0x1.34c8edd8b97f7p-6, -0x1.2e17c74b90f3fp-6, -0x1.2786578af2717p-6, -0x1.2114231c13501p-6, -0x1.1ac0afcc1ff75p-6, -0x1.148b84b0dae69p-6, -0x1.0e742a28fe84ep-6, -0x1.087a29dc8b3d5p-6, -0x1.029d0ebcf8c0dp-6, -0x1.f9b8ca0a666b2p-7, -0x1.ee6f74731777fp-7, -0x1.e35d3a4f0cf0ep-7, -0x1.d8813bcb03d22p-7, -0x1.cdda9ba48b355p-7, -0x1.c3687f28fff3fp-7, -0x1.b92a0e3433d8ep-7, -0x1.af1e732ee7c8bp-7, -0x1.a544db0d285bcp-7, -0x1.9b9c754c5d10bp-7, -0x1.922473f13f91bp-7, -0x1.88dc0b85a04f9p-7, -0x1.7fc27315ea5fep-7, -0x1.76d6e42ea3218p-7, -0x1.6e189ad9a6542p-7, -0x1.6586d59b4771bp-7, -0x1.5d20d56f3ef5ap-7, -0x1.54e5ddc58990dp-7, -0x1.4cd5347f161bcp-7, -0x1.44ee21ea53dep-7, -0x1.3d2ff0bfadb22p-7, -0x1.3599ee1dde092p-7, -0x1.2e2b69861043dp-7, -0x1.26e3b4d81ba95p-7, -0x1.1fc2244e68181p-7, -0x1.18c60e79f59dap-7, -0x1.11eecc3e13468p-7, -0x1.0b3bb8cc2688cp-7, -0x1.04ac319f43653p-7, -0x1.fc7f2cefa7302p-8, -0x1.efea92ae11bc2p-8, -0x1.e3995cf48f893p-8, -0x1.d78a58acfeab4p-8, -0x1.cbbc57270650ap-8, -0x1.c02e2e0e69c72p-8, -0x1.b4deb7617d901p-8, -0x1.a9ccd16777dd3p-8, -0x1.9ef75ea670d4ap-8, -0x1.945d45d9a8138p-8, -0x1.89fd71e74f772p-8, -0x1.7fd6d1d6b3597p-8, -0x1.75e858c5f0ce2p-8, -0x1.6c30fddfcbf64p-8, -0x1.62afbc51720fdp-8, -0x1.596393401a065p-8, -0x1.504b85bec63a5p-8, -0x1.47669ac3e0911p-8, -0x1.3eb3dd1eadfcp-8, -0x1.36325b6d11608p-8, -0x1.2de12810e3d1bp-8, -0x1.25bf59259881ap-8, -0x1.1dcc0875ae98bp-8, -0x1.1606537048341p-8, -0x1.0e6d5b1e92abp-8, -0x1.070044194c61dp-8, -0x1.ff7c6cfc941abp-9, -0x1.f14cbbcbde95ep-9, -0x1.e36fd2b1b9f8ap-9, -0x1.d5e4168aace7bp-9, -0x1.c8a7f2e9aa256p-9, -0x1.bbb9da0351b2ep-9, -0x1.af1844995207fp-9, -0x1.a2c1b1e560057p-9, -0x1.96b4a78543502p-9, -0x1.8aefb1655adb8p-9, -0x1.7f7161ace18ffp-9, -0x1.743850a938fe5p-9, -0x1.69431cb9b8ee5p-9, -0x1.5e906a3b7e5ccp-9, -0x1.541ee3754d9ddp-9, -0x1.49ed3883bb6dep-9, -0x1.3ffa1f44fa3f8p-9, -0x1.3644534570829p-9, -0x1.2cca95abd5528p-9, -0x1.238bad2604aap-9, -0x1.1a8665d53cb81p-9, -0x1.11b9913b21ed8p-9, -0x1.092406265934ep-9, -0x1.00c4a09fe0716p-9, -0x1.f13483affdb0bp-10, -0x1.e147a02762485p-10, -0x1.d1c06d34270d7p-10, -0x1.c29ccb4419d26p-10, -0x1.b3daa47f7f3fbp-10, -0x1.a577eca58bcf1p-10, -0x1.9772a0e883d43p-10, -0x1.89c8c7c9eb48fp-10, -0x1.7c7870f71f6eep-10, -0x1.6f7fb5269a73dp-10, -0x1.62dcb5f577439p-10, -0x1.568d9dc4d5d2ep-10, -0x1.4a909f984b61ap-10, -0x1.3ee3f6f3ff6b9p-10, -0x1.3385e7bb94635p-10, -0x1.2874be1114ed8p-10, -0x1.1daece3426eb1p-10, -0x1.133274622e53bp-10, -0x1.08fe14b62fe4p-10, -0x1.fe2036129ba28p-11, -0x1.eacdf5a6c6ac6p-11, -0x1.d8025e1878611p-11, -0x1.c5ba7419e8661p-11, -0x1.b3f34ae3c0672p-11, -0x1.a2aa03f8c9052p-11, -0x1.91dbceec196e3p-11, -0x1.8185e925b336fp-11, -0x1.71a59da9561a9p-11, -0x1.623844dcd975fp-11, -0x1.533b44509b351p-11, -0x1.44ac0e87e9941p-11, -0x1.368822c1a35d3p-11, -0x1.28cd0cc2755c5p-11, -0x1.1b78649efdb35p-11, -0x1.0e87ce8737442p-11, -0x1.01f8fa91893c4p-11, -0x1.eb934910f7ed7p-12, -0x1.d3ef276dca4fep-12, -0x1.bd01356cef3fcp-12, -0x1.a6c52e7afc81ep-12, -0x1.9136e3dd33e6cp-12, -0x1.7c523c5081fddp-12, -0x1.681333aa4ca85p-12, -0x1.5475da7b6468p-12, -0x1.417655b2f9bc2p-12, -0x1.2f10de43baa25p-12, -0x1.1d41c0c9d145ap-12, -0x1.0c055d3202e84p-12, -0x1.f6b04cc45edf3p-13, -0x1.d66d43c7436aap-13, -0x1.b73acf1beba1ep-13, -0x1.9912426736046p-13, -0x1.7bed149d62104p-13, -0x1.5fc4df61d4921p-13, -0x1.44935e64ae6a1p-13, -0x1.2a526ec5ab4b6p-13, -0x1.10fc0e786f13dp-13, -0x1.f114b75a5aa85p-14, -0x1.c1ef2872c9527p-14, -0x1.947c2a0334503p-14, -0x1.68b0b2d25dd1cp-14, -0x1.3e81f581265dbp-14, -0x1.15e55f73691e7p-14, -0x1.dda12f69831b7p-15, -0x1.9272fbd2f8571p-15, -0x1.4a2c527a7b7c6p-15, -0x1.04b9ceb8136d1p-15, -0x1.8410eda73f96bp-16, -0x1.040b74003f9d8p-16, -0x1.127db992f2d96p-17, -0x1.3879e4aae1034p-20, 0x1.74f42c1b49dbdp-18, 0x1.9262409af063ap-17, 0x1.3075e405944eap-16, 0x1.932bdd9b45f33p-16, 0x1.f172dd1cdb002p-16, 0x1.25b4ff539a77ap-15, 0x1.5097d6f9c2ecep-15, 0x1.7970d4d57785dp-15, 0x1.a04e836c6a2d1p-15, 0x1.c53f1a14ec15bp-15, 0x1.e8507e991ddd4p-15, 0x1.04c823663bb8cp-14, 0x1.1485dd12093e7p-14, 0x1.2367e99ca9f51p-14, 0x1.3174a0a831a2ap-14, 0x1.3eb234ea0c509p-14, 0x1.4b26b4e716c87p-14, 0x1.56d80bacfb06ep-14, 0x1.61cc0183f4066p-14, 0x1.6c083ca47da9ep-14, 0x1.759241e3b1347p-14, 0x1.7e6f755e20f79p-14, 0x1.86a51b1fca353p-14, 0x1.8e3857cc07e8ep-14, 0x1.952e313f1907ep-14, 0x1.9b8b8f2bb1719p-14, 0x1.a1553bbdfed02p-14, 0x1.a68fe42dcd9e6p-14, 0x1.ab40195af3616p-14, 0x1.af6a505e58224p-14, 0x1.b312e32026902p-14, 0x1.b63e10e0fdf36p-14, 0x1.b8effecc55887p-14, 0x1.bb2cb87f24dap-14, 0x1.bcf8309001015p-14, 0x1.be564114ce345p-14, 0x1.bf4aac251b724p-14, 0x1.bfd91c58334efp-14, 0x1.c0052544cce07p-14, 0x1.bfd243fb8d02fp-14, 0x1.bf43df7fe213bp-14, 0x1.be5d4940c6739p-14, 0x1.bd21bd8b86028p-14, 0x1.bb9463fcbf726p-14, 0x1.b9b84ff51e8fdp-14, 0x1.b7908100cd6c8p-14, 0x1.b51fe34989509p-14, 0x1.b2694ffccdd59p-14, 0x1.af6f8db618719p-14, 0x1.ac3550e43b659p-14, 0x1.a8bd3c2b268dp-14, 0x1.a509e0c98ef6ap-14, 0x1.a11dbef61a519p-14, 0x1.9cfb463f81a84p-14, 0x1.98a4d5e753725p-14, 0x1.941cbd3da2b8ap-14, 0x1.8f653bfa35cf9p-14, 0x1.8a80829398ff3p-14, 0x1.8570b2940fb13p-14, 0x1.8037deee63935p-14, 0x1.7ad80c4e3977ap-14, 0x1.7553316a2e833p-14, 0x1.6fab375218bb2p-14, 0x1.69e1f9bc9ec68p-14, 0x1.63f9475234cb5p-14, 0x1.5df2e1fa45f0cp-14, 0x1.57d07f20b5e9bp-14, 0x1.5193c7ff1ff7p-14, 0x1.4b3e59e1abafcp-14, 0x1.44d1c66d587d4p-14, 0x1.3e4f93e094d7ap-14, 0x1.37b93d5718d5bp-14, 0x1.3110330b1d059p-14, 0x1.2a55da91ace7dp-14, 0x1.238b8f1bec02fp-14, 0x1.1cb2a1b109775p-14, 0x1.15cc596b43333p-14, 0x1.0ed9f3b1dfa6dp-14, 0x1.07dca4715e71cp-14, 0x1.00d596542e5ebp-14, 0x1.f38bd5f368939p-15, 0x1.e55d76558c881p-15, 0x1.d7222e1ec5bb9p-15, 0x1.c8dc0cc32d926p-15, 0x1.ba8d113f45441p-15, 0x1.ac372a7c00352p-15, 0x1.9ddc37ac2d5bbp-15, 0x1.8f7e08af0dc7ep-15, 0x1.811e5e69eb7dap-15, 0x1.72beeb25e92cp-15, 0x1.646152e58545ep-15, 0x1.56072bbd919c9p-15, 0x1.47b1fe29aac72p-15, 0x1.3963456040edcp-15, 0x1.2b1c6fa270b9cp-15, 0x1.1cdede8f19a81p-15, 0x1.0eabe76bf8d52p-15, 0x1.0084d377c14eep-15, 0x1.e4d5c06337936p-16, 0x1.c8be7f45807f9p-16, 0x1.acc6315225ef1p-16, 0x1.90ef0e71cc7ffp-16, 0x1.753b394a7b927p-16, 0x1.59acbfc1fb7afp-16, 0x1.3e459b86615e5p-16, 0x1.2307b28968fe1p-16, 0x1.07f4d77f8ce32p-16, 0x1.da1d94bd0a19p-17, 0x1.a4ae71a795918p-17, 0x1.6f9f7d7944c94p-17, 0x1.3af3cd315b8edp-17, 0x1.06ae53eea2fa8p-17, 0x1.a5a3c7b3e7b4bp-18, 0x1.3ec25dde06491p-18, 0x1.b17b1f7dd924bp-19, 0x1.ce6916cb92d25p-20, 0x1.eba594ea38d41p-23, -0x1.4fd5213813f1p-20, -0x1.6cb1bd11cf8c5p-19, -0x1.17c9923a611d5p-18, -0x1.784394ff3861fp-18, -0x1.d7c34c8a08d73p-18, -0x1.1b22a89127b13p-17, -0x1.49e33630d8ab9p-17, -0x1.7821cbea6d078p-17, -0x1.a5dcfdda48756p-17, -0x1.d31376cb684d1p-17, -0x1.ffc3f79ff2d6ep-17, -0x1.15f6ab588fc3dp-16, -0x1.2bc73f9f7f10fp-16, -0x1.41533869dba39p-16, -0x1.569a1f5b12cedp-16, -0x1.6b9b87af943dp-16, -0x1.80570df660156p-16, -0x1.94cc57caa38a6p-16, -0x1.a8fb13982dc9dp-16, -0x1.bce2f854e93c7p-16, -0x1.d083c542f32dp-16, -0x1.e3dd41b4e40b4p-16, -0x1.f6ef3cd127027p-16, -0x1.04dcc6aa98918p-15, -0x1.0e1e08afc59c8p-15, -0x1.173b5719646a5p-15, -0x1.2034a800d5d69p-15, -0x1.2909f4dbd8245p-15, -0x1.31bb3a6351dfcp-15, -0x1.3a487878c0b63p-15, -0x1.42b1b20eacc38p-15, -0x1.4af6ed0e1b608p-15, -0x1.5318324042037p-15, -0x1.5b158d360aae7p-15, -0x1.62ef0c3257494p-15, -0x1.6aa4c0131fb5ap-15, -0x1.7236bc3b7e099p-15, -0x1.79a5167fb612bp-15, -0x1.80efe70ed1e07p-15, -0x1.8817485f3965p-15, -0x1.8f1b571b60c9p-15, -0x1.95fc320ddf10cp-15, -0x1.9cb9fa0f1a14cp-15, -0x1.a354d1f203f7p-15, -0x1.a9ccde72d43ddp-15, -0x1.b02246256e6d7p-15, -0x1.b655316427bebp-15, -0x1.bc65ca3ee577fp-15, -0x1.c2543c6c22bd6p-15, -0x1.c820b53728b08p-15, -0x1.cdcb637205492p-15, -0x1.d35477655a94bp-15, -0x1.d8bc22c1e2449p-15, -0x1.de0298933860ap-15, -0x1.e3280d2f9efeep-15, -0x1.e82cb62be3c9cp-15, -0x1.ed10ca4dd9458p-15, -0x1.f1d4817f27a31p-15, -0x1.f67814c04d7d4p-15, -0x1.fafbbe1cb37d1p-15, -0x1.ff5fb89ec226ap-15, -0x1.01d22021c990ep-14, -0x1.03e4c8f7b8a7ep-14, -0x1.05e7f5b0ed641p-14, -0x1.07dbc5969177bp-14, -0x1.09c05854bea54p-14, -0x1.0b95cdf5c79aap-14, -0x1.0d5c46dd2a53fp-14, -0x1.0f13e3c2c91c2p-14, -0x1.10bcc5adbc82ap-14, -0x1.12570defb3fdfp-14, -0x1.13e2de20ab0a8p-14, -0x1.1560581a887e1p-14, -0x1.16cf9df48d08bp-14, -0x1.1830d1ff291d6p-14, -0x1.198416bfec9d1p-14, -0x1.1ac98eee03bd9p-14, -0x1.1c015d6dc70c7p-14, -0x1.1d2ba54d14aabp-14, -0x1.1e4889bfe3b84p-14, -0x1.1f582e1ca6bf5p-14, -0x1.205ab5d8adc3ep-14, -0x1.2150448479311p-14, -0x1.2238fdc90026dp-14, -0x1.2315056469e79p-14, -0x1.23e47f26d74eep-14, -0x1.24a78eef3716fp-14, -0x1.255e58a8ce70ap-14, -0x1.260900480d777p-14, -0x1.26a7a9c7b87dep-14, -0x1.273a792654e7fp-14, -0x1.27c19263b6a07p-14, -0x1.283d197e51922p-14, -0x1.28ad32709daddp-14, -0x1.2912012edbdc6p-14, -0x1.296ba9a4d417cp-14, -0x1.29ba4fb3bfa66p-14, -0x1.29fe172ffa0e4p-14, -0x1.2a3723debc1dbp-14, -0x1.2a6599743d18ep-14, -0x1.2a899b91b4bd2p-14, -0x1.2aa34dc3761ffp-14, -0x1.2ab2d37eba082p-14, -0x1.2ab8502047c15p-14, -0x1.2ab3e6ea90295p-14, -0x1.2aa5bb040c798p-14, -0x1.2a8def757db79p-14, -0x1.2a6ca72878888p-14, -0x1.2a4204e5e6be2p-14, -0x1.2a0e2b54438a6p-14, -0x1.29d13cf6a22d4p-14, -0x1.298b5c2adb905p-14, -0x1.293cab28b75d7p-14, -0x1.28e54c0031bdep-14, -0x1.2885609865ee1p-14, -0x1.281d0aae73989p-14, -0x1.27ac6bd44d219p-14, -0x1.2733a56fb6684p-14, -0x1.26b2d8b93c80ep-14, -0x1.262a26bb0c1c5p-14, -0x1.2599b04fe775p-14, -0x1.25019622702f1p-14, -0x1.2461f8ac12485p-14, -0x1.23baf83419303p-14, -0x1.230cb4cf334cdp-14, -0x1.22574e5e4b71ep-14, -0x1.219ae48ddb946p-14, -0x1.20d796d562cd1p-14, -0x1.200d847687966p-14, -0x1.1f3ccc7c62933p-14, -0x1.1e658dbaf3aa8p-14, -0x1.1d87e6cec1a72p-14, -0x1.1ca3f61bd1c3ep-14, -0x1.1bb9d9cd72b55p-14, -0x1.1ac9afd5c1fc5p-14, -0x1.19d395ece6d2p-14, -0x1.18d7a990b47b1p-14, -0x1.17d608046f036p-14, -0x1.16cece504227p-14, -0x1.15c21940dccdp-14, -0x1.14b0056746279p-14, -0x1.1398af1838df2p-14, -0x1.127c326bedeep-14, -0x1.115aab3deba06p-14, -0x1.1034352ca1c7cp-14, -0x1.0f08eb9967bfap-14, -0x1.0dd8e9a7e09a5p-14, -0x1.0ca44a3e45e38p-14, -0x1.0b6b2804d134bp-14, -0x1.0a2d9d65aabbep-14, -0x1.08ebc48cd9332p-14, -0x1.07a5b767ecab5p-14, -0x1.065b8fa63c842p-14, -0x1.050d66b8b49f8p-14, -0x1.03bb55d1892dep-14, -0x1.026575e452102p-14, -0x1.010bdfa6355aep-14, -0x1.ff5d571a9ef5p-15, -0x1.fc9be3a2341e7p-15, -0x1.f9d394d506b19p-15, -0x1.f7049a2760d85p-15, -0x1.f42f229070f01p-15, -0x1.f1535c8a528b7p-15, -0x1.ee717611e72cep-15, -0x1.eb899ca6cc8c5p-15, -0x1.e89bfd4c35d81p-15, -0x1.e5a8c4889ccdcp-15, -0x1.e2b01e665ad97p-15, -0x1.dfb2367378ce9p-15, -0x1.dcaf37c2136cfp-15, -0x1.d9a74ce8f19e5p-15, -0x1.d69aa003b34ccp-15, -0x1.d3895ab2ca2dfp-15, -0x1.d073a61bca1b4p-15, -0x1.cd59aaea50bc3p-15, -0x1.ca3b9150563a9p-15, -0x1.c719810616ec1p-15, -0x1.c3f3a14aa6adep-15, -0x1.c0ca18e4e1ed2p-15, -0x1.bd9d0e238a1d1p-15, -0x1.ba6ca6dd391b3p-15, -0x1.b73908716831bp-15, -0x1.b40257c90316fp-15, -0x1.b0c8b956bec19p-15, -0x1.ad8c5117aaf72p-15, -0x1.aa4d4293ec34cp-15, -0x1.a70bb0debcc39p-15, -0x1.a3c7be9738a51p-15, -0x1.a0818de8d6fe3p-15, -0x1.9d39408c80979p-15, -0x1.99eef7c91ba85p-15, -0x1.96a2d47386cb1p-15, -0x1.9354f6ef72f6dp-15, -0x1.90057f305d2d7p-15, -0x1.8cb48cb9bc996p-15, -0x1.89623ea02662bp-15, -0x1.860eb38999b4fp-15, -0x1.82ba09add57e5p-15, -0x1.7f645ed7f43fp-15, -0x1.7c0dd06659a94p-15, -0x1.78b67b4b7a97p-15, -0x1.755e7c0ea1657p-15, -0x1.7205eecd04d1ap-15, -0x1.6eacef3a231fdp-15, -0x1.6b5398a0194c3p-15, -0x1.67fa05e0af183p-15, -0x1.64a0517630a86p-15, -0x1.614695744de4bp-15, -0x1.5deceb888e2p-15, -0x1.5a936cfb2395p-15, -0x1.573a32af52cd5p-15, -0x1.53e155247c29ep-15, -0x1.5088ec76d9097p-15, -0x1.4d3110604a97p-15, -0x1.49d9d8393fa6ap-15, -0x1.46835af91bc07p-15, -0x1.432daf3732f82p-15, -0x1.3fd8eb2b70046p-15, -0x1.3c8524aee11e7p-15, -0x1.3932713cf9067p-15, -0x1.35e0e5f42fb38p-15, }}, 
      {{-0x1.4801fb8c88596p-7, -0x1.475a428fb85d2p-6, -0x1.e9ef13d5eefebp-6, -0x1.4619b1b025786p-5, -0x1.977b2ede8b088p-5, -0x1.e993089a793a1p-5, -0x1.1e67cc2bea731p-4, -0x1.48c36c196bda1p-4, -0x1.73f728e6d1f77p-4, -0x1.a00c6f491dbbfp-4, -0x1.ccfc320b96ef4p-4, -0x1.fab103520bc11p-4, -0x1.1484ea247ca6ap-3, -0x1.2bee77f241baep-3, -0x1.437d737b65abcp-3, -0x1.5b189f26434edp-3, -0x1.72a661cc88d01p-3, -0x1.8a0dbe64e0191p-3, -0x1.a13717e555e38p-3, -0x1.b80cc3de1e411p-3, -0x1.ce7b706cb6493p-3, -0x1.e4726345af2edp-3, -0x1.f9e397f93eb2p-3, -0x1.0761e1bfc65cfp-2, -0x1.11852159c3958p-2, -0x1.1b587c67e2453p-2, -0x1.24da112cb5b62p-2, -0x1.2e09101cdaa7p-2, -0x1.36e59f10fac64p-2, -0x1.3f70bb5f83d95p-2, -0x1.47ac1bdd1f859p-2, -0x1.4f9a13888e026p-2, -0x1.573d7574b336cp-2, -0x1.5e997a5a24f65p-2, -0x1.65b1a817517c4p-2, -0x1.6c89bb4aaf09fp-2, -0x1.7325931c6b251p-2, -0x1.79891f3bd4b0fp-2, -0x1.7fb850078d82dp-2, -0x1.85b708cdbbee6p-2, -0x1.8b89140a44a61p-2, -0x1.9132198439f4cp-2, -0x1.96b596287a6cfp-2, -0x1.9c16d57dc23cap-2, -0x1.a158ec8dc50bcp-2, -0x1.a67eb61f20cb4p-2, -0x1.ab8ad01cc73c5p-2, -0x1.b07f9a08d375dp-2, -0x1.b55f345a627d8p-2, -0x1.ba2b80a7ee397p-2, -0x1.bee62281a6692p-2, -0x1.c39080e16b48ap-2, -0x1.c82bc818228c8p-2, -0x1.ccb8ec2243d48p-2, -0x1.d138ab4f83bf1p-2, -0x1.d5ab912b883b7p-2, -0x1.da11f9976ec9cp-2, -0x1.de6c1405bff9ep-2, -0x1.e2b9e6cc1bcdep-2, -0x1.e6fb527f79fd7p-2, -0x1.eb301551503d6p-2, -0x1.ef57ce6550885p-2, -0x1.f37201189c747p-2, -0x1.f77e183484a9ep-2, -0x1.fb7b6907d200cp-2, -0x1.ff6936629beddp-2, -0x1.01a359b8ba068p-1, -0x1.0389833ab80d6p-1, -0x1.0566a5aba0f71p-1, -0x1.073a4b0a1064fp-1, -0x1.0903fa81e535ep-1, -0x1.0ac3397ba7aa7p-1, -0x1.0c778c985f7a3p-1, -0x1.0e20789a102bep-1, -0x1.0fbd833932549p-1, -0x1.114e33e79c4f4p-1, -0x1.12d214816bc8p-1, -0x1.1448b1ec8bcb9p-1, -0x1.15b19ca78be58p-1, -0x1.170c69487db88p-1, -0x1.1858b0eca27e8p-1, -0x1.19961199af03ep-1, -0x1.1ac42e9171bdcp-1, -0x1.1be2b098abe4ep-1, -0x1.1cf14631e6ca1p-1, -0x1.1defa3cd10cd9p-1, -0x1.1edd83ecab2eep-1, -0x1.1fbaa74146b47p-1, -0x1.2086d4bc0d29bp-1, -0x1.2141d9990f8ap-1, -0x1.21eb896205402p-1, -0x1.2283bdea2442ep-1, -0x1.230a5743b4595p-1, -0x1.237f3baff5799p-1, -0x1.23e25789e6e08p-1, -0x1.24339d2c7b673p-1, -0x1.247304d4b8de5p-1, -0x1.24a08c803e3e1p-1, -0x1.24bc37c89e2cap-1, -0x1.24c60fbbfc089p-1, -0x1.24be22b34aad1p-1, -0x1.24a484268bf0cp-1, -0x1.24794c7f62038p-1, -0x1.243c98ea46732p-1, -0x1.23ee8b26aa5adp-1, -0x1.238f495645a9ep-1, -0x1.231efdcbd1c2bp-1, -0x1.229dd6d967f72p-1, -0x1.220c069eb4b18p-1, -0x1.2169c2d7308ebp-1, -0x1.20b744a8876d3p-1, -0x1.1ff4c87153edap-1, -0x1.1f228d9851421p-1, -0x1.1e40d65c208b5p-1, -0x1.1d4fe7a3c01c9p-1, -0x1.1c5008cfc71ebp-1, -0x1.1b41838c80d7cp-1, -0x1.1a24a3a4f3ae3p-1, -0x1.18f9b6d6e975cp-1, -0x1.17c10ca80241ap-1, -0x1.167af63bdf5e5p-1, -0x1.1527c62b6fe85p-1, -0x1.13c7d05d65982p-1, -0x1.125b69dfd9757p-1, -0x1.10e2e8c323165p-1, -0x1.0f5ea3f5e9aacp-1, -0x1.0dcef3226ae02p-1, -0x1.0c342e8cfe6d6p-1, -0x1.0a8eaef3d333ep-1, -0x1.08decd6fe5846p-1, -0x1.0724e3572da6dp-1, -0x1.05614a2003206p-1, -0x1.03945b45b24c4p-1, -0x1.01be702e408acp-1, -0x1.ffbfc422b702p-2, -0x1.fbf213c0d9a36p-2, -0x1.f814805fa0a5ap-2, -0x1.f427ba4248ccfp-2, -0x1.f02c709d61e21p-2, -0x1.ec23516fbca8bp-2, -0x1.e80d095d6f32ep-2, -0x1.e3ea438cda044p-2, -0x1.dfbba985b1fa5p-2, -0x1.db81e311f030fp-2, -0x1.d73d9620a690dp-2, -0x1.d2ef66aaa7002p-2, -0x1.ce97f698f2362p-2, -0x1.ca37e5acde5dp-2, -0x1.c5cfd169ea82fp-2, -0x1.c16055012f757p-2, -0x1.bcea093e653cp-2, -0x1.b86d847667339p-2, -0x1.b3eb5a77365bp-2, -0x1.af641c7960be9p-2, -0x1.aad85912ca0cdp-2, -0x1.a6489c2ac3be7p-2, -0x1.a1b56eef6b227p-2, -0x1.9d1f57cc3faddp-2, -0x1.9886da61e7e0bp-2, -0x1.93ec777f139abp-2, -0x1.8f50ad1a7a8c6p-2, -0x1.8ab3f64dddb42p-2, -0x1.8616cb520efa8p-2, -0x1.8179a17be80ffp-2, -0x1.7cdceb3a301abp-2, -0x1.784118145d4b3p-2, -0x1.73a694aa2df28p-2, -0x1.6f0dcab40f6c4p-2, -0x1.6a77210442263p-2, -0x1.65e2fb88bc883p-2, -0x1.6151bb4db9d2bp-2, -0x1.5cc3be80f1dfap-2, -0x1.583960756de68p-2, -0x1.53b2f9a7f56b9p-2, -0x1.4f30dfc4070bfp-2, -0x1.4ab365a9592edp-2, -0x1.463adb71d72e8p-2, -0x1.41c78e7817e3ap-2, -0x1.3d59c95e41b42p-2, -0x1.38f1d415590ffp-2, -0x1.348ff3e4f102p-2, -0x1.30346b7334986p-2, -0x1.2bdf7acd4a74fp-2, -0x1.27915f7002b22p-2, -0x1.234a5450d0ddap-2, -0x1.1f0a91e709ae1p-2, -0x1.1ad24e355ac62p-2, -0x1.16a1bcd381cd4p-2, -0x1.12790ef83064p-2, -0x1.0e587383231d5p-2, -0x1.0a40170761cedp-2, -0x1.063023d5a3106p-2, -0x1.0228c206d3cc7p-2, -0x1.fc542f0d7266bp-3, -0x1.f468903d5780ap-3, -0x1.ec8eeb00d23adp-3, -0x1.e4c77ea1e9151p-3, -0x1.dd1286670c71fp-3, -0x1.d57039a907c5cp-3, -0x1.cde0cbe9062p-3, -0x1.c6646ce695d38p-3, -0x1.befb48b5b3282p-3, -0x1.b7a587d4d0689p-3, -0x1.b0634f42cc58ep-3, -0x1.a934c094e6099p-3, -0x1.a219fa0c93a35p-3, -0x1.9b1316ad42545p-3, -0x1.94202e5201214p-3, -0x1.8d4155c2ffbb5p-3, -0x1.86769ecaf2f2dp-3, -0x1.7fc0184c4a8bp-3, -0x1.791dce563a32p-3, -0x1.728fca399e687p-3, -0x1.6c16129d9b0a4p-3, -0x1.65b0ab941cd0fp-3, -0x1.5f5f96ae0babap-3, -0x1.5922d30f5662ep-3, -0x1.52fa5d82b1b6p-3, -0x1.4ce6308d23932p-3, -0x1.46e6448148d15p-3, -0x1.40fa8f92548cep-3, -0x1.3b2305e6d3b36p-3, -0x1.355f99ab1fa29p-3, -0x1.2fb03b2393358p-3, -0x1.2a14d8be71881p-3, -0x1.248d5f258034p-3, -0x1.1f19b94f5cf2p-3, -0x1.19b9d090832f3p-3, -0x1.146d8cac035ap-3, -0x1.0f34d3e3f12c8p-3, -0x1.0a0f8b0980299p-3, -0x1.04fd958cd4744p-3, -0x1.fffdab18fae75p-4, -0x1.f62657c95977bp-4, -0x1.ec74f07c2bc3ep-4, -0x1.e2e93238fac79p-4, -0x1.d982d7d9f7d41p-4, -0x1.d0419a27e844cp-4, -0x1.c7252ff56147ap-4, -0x1.be2d4e3976e91p-4, -0x1.b559a829c3ff6p-4, -0x1.aca9ef53d3c21p-4, -0x1.a41dd3b5f5d7fp-4, -0x1.9bb503d7724f8p-4, -0x1.936f2ce01f6eep-4, -0x1.8b4bfaaf68d85p-4, -0x1.834b17f2b0c98p-4, -0x1.7b6c2e3b249dcp-4, -0x1.73aee612f89dcp-4, -0x1.6c12e7120e189p-4, -0x1.6497d7f208e25p-4, -0x1.5d3d5ea1d1bf9p-4, -0x1.560320588cf5fp-4, -0x1.4ee8c1a7ff5fap-4, -0x1.47ede68e69ecbp-4, -0x1.41123287da572p-4, -0x1.3a55489ef5f68p-4, -0x1.33b6cb7d38e4fp-4, -0x1.2d365d7ab896bp-4, -0x1.26d3a0ad5c855p-4, -0x1.208e36f79e2c7p-4, -0x1.1a65c216c4616p-4, -0x1.1459e3b0a6289p-4, -0x1.0e6a3d60f31aap-4, -0x1.089670c60564p-4, -0x1.02de1f8d3a614p-4, -0x1.fa81d6fdb5a47p-5, -0x1.ef7ced1324eadp-5, -0x1.e4acc59aeaeedp-5, -0x1.da10a54d3740dp-5, -0x1.cfa7d16e9cdf1p-5, -0x1.c5718fe3a3686p-5, -0x1.bb6d274387aabp-5, -0x1.b199deea30d36p-5, -0x1.a7f6ff096a72p-5, -0x1.9e83d0b952c2bp-5, -0x1.953f9e081ceb9p-5, -0x1.8c29b2090b61cp-5, -0x1.834158e2c5a3ap-5, -0x1.7a85dfdcf5f0ap-5, -0x1.71f6956d41482p-5, -0x1.6992c94397eedp-5, -0x1.6159cc55e636dp-5, -0x1.594af0eb20f8cp-5, -0x1.51658aa5c332ep-5, -0x1.49a8ee8da64b1p-5, -0x1.4214731959e3fp-5, -0x1.3aa77036e2a54p-5, -0x1.33613f53ef17ap-5, -0x1.2c413b658cc84p-5, -0x1.2546c0ef53da8p-5, -0x1.1e712e0a1bad2p-5, -0x1.17bfe26a2cf6fp-5, -0x1.11323f6501e3ep-5, -0x1.0ac7a7f68dddcp-5, -0x1.047f80c61b6d1p-5, -0x1.fcb26055719d5p-6, -0x1.f0a83c5e78c8ep-6, -0x1.e4df692bc2006p-6, -0x1.d956bdb707133p-6, -0x1.ce0d1474ff0fdp-6, -0x1.c3014b5a5efa3p-6, -0x1.b83243e0292d8p-6, -0x1.ad9ee307467c6p-6, -0x1.a346115b9294ep-6, -0x1.9926baf622a7ap-6, -0x1.8f3fcf7f1ce03p-6, -0x1.8590422eda505p-6, -0x1.7c1709ce810bep-6, -0x1.72d320b8204e1p-6, -0x1.69c384d63a41dp-6, -0x1.60e737a2d844ep-6, -0x1.583d3e261fce3p-6, -0x1.4fc4a0f473eb9p-6, -0x1.477c6c2c2574bp-6, -0x1.3f63af72b35b3p-6, -0x1.37797df1ad635p-6, -0x1.2fbcee5333a4ep-6, -0x1.282d1abe0de62p-6, -0x1.20c920d16f3a1p-6, -0x1.199021a0652d3p-6, -0x1.128141acf1ccfp-6, -0x1.0b9ba8e2e2218p-6, -0x1.04de829249e06p-6, -0x1.fc91fad391e18p-7, -0x1.efb496e1043e3p-7, -0x1.e32343ffbce4fp-7, -0x1.d6dc737a15af5p-7, -0x1.cade9d248d4cfp-7, -0x1.bf283f4ff51f9p-7, -0x1.b3b7debb3150bp-7, -0x1.a88c0684a476p-7, -0x1.9da3481b4f35dp-7, -0x1.92fc3b2f7f551p-7, -0x1.88957da36136dp-7, -0x1.7e6db37b27ce6p-7, -0x1.748386ccf103bp-7, -0x1.6ad5a7b089b8ap-7, -0x1.6162cc2ee5cf7p-7, -0x1.5829b03169bfp-7, -0x1.4f2915710f902p-7, -0x1.465fc3655e895p-7, -0x1.3dcc87333468fp-7, -0x1.356e339b71c5dp-7, -0x1.2d43a0e9958c2p-7, -0x1.254bace236d75p-7, -0x1.1d853ab160d25p-7, -0x1.15ef32d90197p-7, -0x1.0e88831f0a867p-7, -0x1.07501e7bc4fabp-7, -0x1.0044fd08006ap-7, -0x1.f2cc37d67618p-8, -0x1.e564fa93ae9b4p-8, -0x1.d85250668cde6p-8, -0x1.cb9251208612fp-8, -0x1.bf231e21fb47cp-8, -0x1.b302e236cff1fp-8, -0x1.a72fd172f6e46p-8, -0x1.9ba8290f404bbp-8, -0x1.906a2f461907fp-8, -0x1.857433309c7ecp-8, -0x1.7ac48ca3a8665p-8, -0x1.70599c0d20696p-8, -0x1.6631ca518324ep-8, -0x1.5c4b88a9850dfp-8, -0x1.52a5508002e25p-8, -0x1.493da350231a4p-8, -0x1.40130a839c39cp-8, -0x1.372417515ad5dp-8, -0x1.2e6f629c6194fp-8, -0x1.25f38cd2d6c9dp-8, -0x1.1daf3dcd655e1p-8, -0x1.15a124aeedae5p-8, -0x1.0dc7f7c484a56p-8, -0x1.062274659fe15p-8, -0x1.fd5ebda9605d8p-9, -0x1.eedb043fdb1d2p-9, -0x1.e0b760051991bp-9, -0x1.d2f1818ca0656p-9, -0x1.c587264a6b746p-9, -0x1.b87618576c5f7p-9, -0x1.abbc2e3670b43p-9, -0x1.9f574a99da109p-9, -0x1.93455c29d9707p-9, -0x1.87845d4b74052p-9, -0x1.7c1253e84262bp-9, -0x1.70ed5136cefdep-9, -0x1.66137183cd668p-9, -0x1.5b82dbfbc0f87p-9, -0x1.5139c275aa72cp-9, -0x1.4736613e29862p-9, -0x1.3d76fee38412cp-9, -0x1.33f9ec023240ep-9, -0x1.2abd831266cd7p-9, -0x1.21c02836063d2p-9, -0x1.1900490792619p-9, -0x1.107c5c699ab97p-9, -0x1.0832e257058d6p-9, -0x1.002263b4042f6p-9, -0x1.f092e43f4f572p-10, -0x1.e14d4f8cdb767p-10, -0x1.d2714e6a24ccap-10, -0x1.c3fc36590960ap-10, -0x1.b5eb6cecc8225p-10, -0x1.a83c677428798p-10, -0x1.9aecaaa53f0a1p-10, -0x1.8df9ca4a9880fp-10, -0x1.816168f177195p-10, -0x1.7521379a172c5p-10, -0x1.6936f5685d961p-10, -0x1.5da06f569f28dp-10, -0x1.525b7fe956d0bp-10, -0x1.47660ee463881p-10, -0x1.3cbe11015121dp-10, -0x1.326187a75a6e9p-10, -0x1.284e80a418c52p-10, -0x1.1e8315e5e623cp-10, -0x1.14fd6d3798f86p-10, -0x1.0bbbb7fd14b42p-10, -0x1.02bc32f13d414p-10, -0x1.f3fa4bcaf1681p-11, -0x1.e2f9c7037c57fp-11, -0x1.d273920cd8b6ap-11, -0x1.c2647c1e4ff0ep-11, -0x1.b2c968acf56c5p-11, -0x1.a39f4ef63c613p-11, -0x1.94e3398c51a39p-11, -0x1.869245e4e76cfp-11, -0x1.78a9a3e9cbd68p-11, -0x1.6b26958c3f3d6p-11, -0x1.5e066e59f811ap-11, -0x1.514693143ba5dp-11, -0x1.44e47949f307ap-11, -0x1.38dda6f288ee3p-11, -0x1.2d2fb20b5d031p-11, -0x1.21d840379727ep-11, -0x1.16d5066144d8dp-11, -0x1.0c23c85d22a7fp-11, -0x1.01c2588f90c28p-11, -0x1.ef5d2f281f82cp-12, -0x1.dbcce7cb82aap-12, -0x1.c8cfd315d129ap-12, -0x1.b6620382a06eap-12, -0x1.a47fa559671a4p-12, -0x1.9324fe0d78b72p-12, -0x1.824e6ba25b2bfp-12, -0x1.71f864126940cp-12, -0x1.621f74b960fd9p-12, -0x1.52c041c2bba9ep-12, -0x1.43d7859958eabp-12, -0x1.3562105c4dd4p-12, -0x1.275cc7552b213p-12, -0x1.19c4a47340a5cp-12, -0x1.0c96b5c7e98d6p-12, -0x1.ffa03a0d02b92p-13, -0x1.e6dc1e0f7d2aep-13, -0x1.cedba69d43933p-13, -0x1.b7998722a10bep-13, -0x1.a110968a77893p-13, -0x1.8b3bce565fb4ap-13, -0x1.761649c1f9f8bp-13, -0x1.619b44e7a8bc6p-13, -0x1.4dc61bec4dc18p-13, -0x1.3a924a2f27281p-13, -0x1.27fb697ecbe3bp-13, -0x1.15fd315291b29p-13, -0x1.0493760876b35p-13, -0x1.e774504fe35ecp-14, -0x1.c6daa75370d1cp-14, -0x1.a7523e86f4a2dp-14, -0x1.88d3976e7377cp-14, -0x1.6b57664e0d719p-14, -0x1.4ed690dc3be1fp-14, -0x1.334a2cf9aabf9p-14, -0x1.18ab7f6ffd47cp-14, -0x1.fde7f57ec2ca9p-15, -0x1.cc3a7bcf6e7d2p-15, -0x1.9c422686e86dfp-15, -0x1.6df2dec8a6365p-15, -0x1.4140dff44ee99p-15, -0x1.1620b57e59d29p-15, -0x1.d90e71abb8bcbp-16, -0x1.88d31eb215bfap-16, -0x1.3b7a50a7dad41p-16, -0x1.e1deec3d763b6p-17, -0x1.523d13a8901acp-17, -0x1.8fd03c2d30335p-18, -0x1.0ae86ee5a13f9p-19, 0x1.eb8f0415e1e4dp-20, 0x1.717f8fbed8611p-18, 0x1.2f52966ba61fp-17, 0x1.a14c599457808p-17, 0x1.07671b3a2fabfp-16, 0x1.3bfc38027aacbp-16, 0x1.6e75369262adap-16, 0x1.9ee15f42740a7p-16, 0x1.cd4f922a8501ap-16, 0x1.f9ce49e53bd5cp-16, 0x1.1235cf2697882p-15, 0x1.269aa39279687p-15, 0x1.3a1c4f522cc0dp-15, 0x1.4cc151fe0f21cp-15, 0x1.5e8ffee4d8601p-15, 0x1.6f8e7e3a5d2b3p-15, 0x1.7fc2ce3f4d9b6p-15, 0x1.8f32c461f6eafp-15, 0x1.9de40e59accfep-15, 0x1.abdc333845b9p-15, 0x1.b9209470fcfedp-15, 0x1.c5b66eddb2c8bp-15, 0x1.d1a2dbba616cp-15, 0x1.dcead19c03767p-15, 0x1.e793255dca374p-15, 0x1.f1a08b0c38ef5p-15, 0x1.fb1796c5525dap-15, 0x1.01fe5ecbb945fp-14, 0x1.062a2b295f87ep-14, 0x1.0a114d2ea1337p-14, 0x1.0db5d33f72ca5p-14, 0x1.1119bdd2953b5p-14, 0x1.143effd19973p-14, 0x1.17277ef67ac08p-14, 0x1.19d5142647ddp-14, 0x1.1c498bc992564p-14, 0x1.1e86a622425bbp-14, 0x1.208e179fdbe2ep-14, 0x1.2261893101a26p-14, 0x1.24029891f086dp-14, 0x1.2572d8994e987p-14, 0x1.26b3d1832d6dcp-14, 0x1.27c7013a61514p-14, 0x1.28addb9e8a15ap-14, 0x1.2969cac985acfp-14, 0x1.29fc2f521a198p-14, 0x1.2a66608d30c6ap-14, 0x1.2aa9accc8fd92p-14, 0x1.2ac7599c48652p-14, 0x1.2ac0a3ff7a0acp-14, 0x1.2a96c0a9dbb72p-14, 0x1.2a4adc38e574fp-14, 0x1.29de1b6a5093bp-14, 0x1.29519b5149d19p-14, 0x1.28a6718a95d8dp-14, 0x1.27ddac6f32f81p-14, 0x1.26f8534556c2p-14, 0x1.25f766705a09cp-14, 0x1.24dbdf9f6b3dcp-14, 0x1.23a6b1f9fce06p-14, 0x1.2258ca4c30c29p-14, 0x1.20f30f306838p-14, 0x1.1f76613a36ffdp-14, 0x1.1de39b1dbd194p-14, 0x1.1c3b91d7a5f82p-14, 0x1.1a7f14d28cd43p-14, 0x1.18aeee0c269b2p-14, 0x1.16cbe238fc076p-14, 0x1.14d6b0e7cbfcbp-14, 0x1.12d014a36e2eep-14, 0x1.10b8c313958edp-14, 0x1.0e916d1dad033p-14, 0x1.0c5abf037f05ap-14, 0x1.0a1560822d0d3p-14, 0x1.07c1f4eebeb2fp-14, 0x1.05611b5361bdep-14, 0x1.02f36e8b8d5f4p-14, 0x1.0079855f19059p-14, 0x1.fbe7e53929e73p-15, 0x1.f6c68a65b229dp-15, 0x1.f1901093f0b68p-15, 0x1.ec4586b75c2a6p-15, 0x1.e6e7f49558f54p-15, 0x1.e1785af3562f7p-15, 0x1.dbf7b3c3bd986p-15, 0x1.d666f251367b2p-15, 0x1.d0c70369b67ep-15, 0x1.cb18cd8677a71p-15, 0x1.c55d30f402e98p-15, 0x1.bf9507f9014p-15, 0x1.b9c126fd4ce86p-15, 0x1.b3e25cacf04fbp-15, 0x1.adf9721d39db1p-15, 0x1.a8072aef6ad8p-15, 0x1.a20c45722f7e1p-15, 0x1.9c097ac36014cp-15, 0x1.95ff7eee28d74p-15, 0x1.8fef010c8534ap-15, 0x1.89d8ab642ccfap-15, 0x1.83bd2384f507cp-15, 0x1.7d9d0a664853p-15, 0x1.7778fc81fb7dbp-15, 0x1.715191eface84p-15, 0x1.6b275e8047139p-15, 0x1.64faf1d725e53p-15, 0x1.5eccd78331d44p-15, 0x1.589d97183e76fp-15, 0x1.526db44615dd2p-15, 0x1.4c3daef0e83e8p-15, 0x1.460e0347279cap-15, 0x1.3fdf29d7c2264p-15, 0x1.39b197a7d522ap-15, 0x1.3385be477ab8cp-15, 0x1.2d5c0be685b21p-15, 0x1.2734eb68846a3p-15, 0x1.2110c478bf0ecp-15, 0x1.1aeffb9c3e8d7p-15, 0x1.14d2f244e667cp-15, 0x1.0eba06e3699d5p-15, 0x1.08a594f872388p-15, 0x1.0295f52694c7bp-15, 0x1.f916fa8474478p-16, 0x1.ed0d00c5c858p-16, 0x1.e10e9de5db832p-16, 0x1.d51c6d7c5457ep-16, 0x1.c93706057fcfcp-16, 0x1.bd5ef8fceb78bp-16, 0x1.b194d2fb8ad32p-16, 0x1.a5d91bd4a114p-16, 0x1.9a2c56b03464ep-16, 0x1.8e8f02274662ap-16, 0x1.8301985dade27p-16, 0x1.77848f1b83e84p-16, 0x1.6c1857e6678a8p-16, 0x1.60bd601a88303p-16, 0x1.55741101df0a5p-16, 0x1.4a3ccfeba2e9ep-16, 0x1.3f17fe44b569p-16, 0x1.3405f9abc2503p-16, 0x1.29071c0948961p-16, 0x1.1e1bbba48abc8p-16, 0x1.13442b37bec93p-16, 0x1.0880ba047672bp-16, 0x1.fba367d24f101p-17, 0x1.e66ec2e5f8ef2p-17, 0x1.d1640fe40ce0fp-17, 0x1.bc83d319b3475p-17, 0x1.a7ce8aa1ab97ap-17, 0x1.9344ae8bbb9fcp-17, 0x1.7ee6b0ff4bb98p-17, 0x1.6ab4fe5cdcfffp-17, 0x1.56affd5f784f4p-17, 0x1.42d80f4031eb9p-17, 0x1.2f2d8fd3e0e96p-17, 0x1.1bb0d5aac0943p-17, 0x1.08623232c64dep-17, 0x1.ea83e3a836f6p-18, 0x1.c4a0b81b373ap-18, 0x1.9f1b67274aa91p-18, 0x1.79f46cd9bc78p-18, 0x1.552c3c16bdbe5p-18, 0x1.30c33eda5e5edp-18, 0x1.0cb9d66722902p-18, 0x1.d220b6f527858p-19, 0x1.8b8e3d0d1e892p-19, 0x1.45bccfc00ce2cp-19, 0x1.00acefdf4889ap-19, 0x1.78be1d955b3d4p-20, 0x1.e34e3b460da8dp-21, 0x1.b0561c4798178p-22, -0x1.7f61bb063ade7p-24, -0x1.34f6b84057a74p-21, -0x1.1b79e7116ed4dp-20, -0x1.9af183f61ffap-20, -0x1.0c710a1aec691p-19, -0x1.4aa5c942c449dp-19, -0x1.88170928fd356p-19, -0x1.c4c4df8060158p-19, -0x1.0057b6d7eb8d8p-18, -0x1.1deb704807db4p-18, -0x1.3b1db807bb0d5p-18, -0x1.57eeaf76642fdp-18, -0x1.745e7d38d23b1p-18, -0x1.906d4d148c052p-18, -0x1.ac1b4fc96b066p-18, -0x1.c768baf2c54bap-18, -0x1.e255c8e760fbfp-18, -0x1.fce2b891953e8p-18, -0x1.0b87e6a93a77ep-17, -0x1.186ea770a2f6ap-17, -0x1.2525c495b86dep-17, -0x1.31ad661b300dfp-17, -0x1.3e05b600f66cp-17, -0x1.4a2ee03523e26p-17, -0x1.5629128357a8p-17, -0x1.61f47c88766cfp-17, -0x1.6d914fa4fe159p-17, -0x1.78ffbeece2cf6p-17, -0x1.843fff1bd4488p-17, -0x1.8f52468850cd1p-17, -0x1.9a36cd148d8ccp-17, -0x1.a4edcc22fefaap-17, -0x1.af777e89421f5p-17, -0x1.b9d420851e077p-17, -0x1.c403efae9f001p-17, -0x1.ce072aebef247p-17, -0x1.d7de1267aa77cp-17, -0x1.e188e783398b4p-17, -0x1.eb07eccdad0fap-17, -0x1.f45b65f738b62p-17, -0x1.fd8397c76061p-17, -0x1.03406408c8e74p-16, -0x1.07a99ed4f2968p-16, -0x1.0bfda02e853fp-16, -0x1.103c8c722de4fp-16, -0x1.1466886ea0cccp-16, -0x1.187bb95f70aadp-16, -0x1.1c7c44e8e6588p-16, -0x1.206851123a357p-16, -0x1.24400442295fcp-16, -0x1.28038539a1a76p-16, -0x1.2bb2fb1099118p-16, -0x1.2f4e8d303bb1ep-16, -0x1.32d6634fc1bd8p-16, -0x1.364aa56fd61ebp-16, -0x1.39ab7bd6dc6a5p-16, -0x1.3cf90f0d1d9c9p-16, -0x1.403387d866e18p-16, -0x1.435b0f390801dp-16, -0x1.466fce654f952p-16, -0x1.4971eec5f4462p-16, -0x1.4c6199f2f0a89p-16, -0x1.4f3ef9af982eep-16, -0x1.520a37e7e14p-16, -0x1.54c37eac274edp-16, -0x1.576af82efe915p-16, -0x1.5a00cec0cadc4p-16, -0x1.5c852ccd76875p-16, -0x1.5ef83cd8b6f1bp-16, -0x1.615a297bdd57p-16, -0x1.63ab1d62658bap-16, -0x1.65eb4346f975p-16, -0x1.681ac5f0d457ap-16, -0x1.6a39d0313c7bep-16, -0x1.6c488ce069d35p-16, -0x1.6e4726db4bfecp-16, -0x1.7035c900d4648p-16, -0x1.72149e2f90fa4p-16, -0x1.73e3d142f14fep-16, -0x1.75a38d10d3a88p-16, -0x1.7753fc678b22ap-16, -0x1.78f54a0ba16b6p-16, -0x1.7a87a0b5218dp-16, -0x1.7c0b2b0e43d22p-16, -0x1.7d8013b09997ep-16, -0x1.7ee685237caa5p-16, -0x1.803ea9d969342p-16, -0x1.8188ac2e82b92p-16, -0x1.82c4b666bfb66p-16, -0x1.83f2f2ac176b6p-16, -0x1.85138b0c1bec6p-16, -0x1.8626a976ee13fp-16, -0x1.872c77bd33d11p-16, -0x1.88251f8e46a89p-16, -0x1.8910ca771cd8ep-16, -0x1.89efa1e0794c8p-16, -0x1.8ac1cf0d0d23dp-16, -0x1.8b877b1876763p-16, -0x1.8c40cef550906p-16, -0x1.8cedf36c27e6ap-16, -0x1.8d8f111a32f0ap-16, -0x1.8e24506fb2636p-16, -0x1.8eadd9aedb0d2p-16, -0x1.8f2bd4eac4bc3p-16, -0x1.8f9e6a061287cp-16, -0x1.9005c0b1b0b72p-16, -0x1.9062006b7b99dp-16, -0x1.90b3507d9e1ebp-16, -0x1.90f9d7fd78cdep-16, -0x1.9135bdca8527ep-16, -0x1.9167288d23671p-16, -0x1.918e3eb63c1aap-16, -0x1.91ab267da6dc9p-16, -0x1.91be05e17574ep-16, -0x1.91c702a5ef867p-16, -0x1.91c64253c2821p-16, -0x1.91bbea37913dap-16, -0x1.91a81f611269ap-16, -0x1.918b06a2a5ec5p-16, -0x1.9164c49043c8p-16, -0x1.91357d7f79f24p-16, -0x1.90fd5585cf6f9p-16, -0x1.90bc707934042p-16, -0x1.9072f1eeb1224p-16, -0x1.9020fd3a76e3p-16, -0x1.8fc6b56ec01dcp-16, -0x1.8f643d5b88e8dp-16, -0x1.8ef9b78e4c4e3p-16, -0x1.8e8746515a3d6p-16, -0x1.8e0d0bab805abp-16, -0x1.8d8b295f9b077p-16, -0x1.8d01c0ecbdbc2p-16, -0x1.8c70f38cc94d7p-16, -0x1.8bd8e2349899bp-16, -0x1.8b39ad946ec81p-16, -0x1.8a937616e1dcbp-16, -0x1.89e65be0bd2d8p-16, -0x1.89327ed0adcc2p-16, -0x1.8877fe7f0545ep-16, -0x1.87b6fa3e16986p-16, -0x1.86ef91198f04cp-16, -0x1.8621e1d652c13p-16, -0x1.854e0af21bb16p-16, -0x1.84742aa44d403p-16, -0x1.83945edd05dcfp-16, -0x1.82aec545572fbp-16, -0x1.81c37b3eaf7fcp-16, -0x1.80d29de3c32b1p-16, -0x1.7fdc4a07cb88ep-16, -0x1.7ee09c36f69a4p-16, -0x1.7ddfb0b5aaf81p-16, -0x1.7cd9a381524e4p-16, -0x1.7bce9050acf22p-16, -0x1.7abe92928abe5p-16, -0x1.79a9c56e94d55p-16, -0x1.789043c61bb76p-16, -0x1.7772283345927p-16, -0x1.764f8d09508d3p-16, -0x1.75288c54d006cp-16, -0x1.73fd3fdb6f56dp-16, -0x1.72cdc11cd4c94p-16, -0x1.719a295243f0ep-16, -0x1.7062916f131cp-16, -0x1.6f27122006514p-16, -0x1.6de7c3ccb1d58p-16, -0x1.6ca4be9703ff5p-16, -0x1.6b5e1a5c070ccp-16, -0x1.6a13eeb30333p-16, -0x1.68c652ee47a97p-16, -0x1.67755e1c1e36fp-16, -0x1.662127062576fp-16, -0x1.64c9c4321d7dep-16, -0x1.636f4be120f81p-16, -0x1.6211d4118b8dbp-16, -0x1.60b1727e6f88ap-16, -0x1.5f4e3c9f4e7e3p-16, -0x1.5de847a8f5ce7p-16, -0x1.5c7fa88ea55b4p-16, -0x1.5b147400df72dp-16, -0x1.59a6be6e9ea9p-16, -0x1.58369c056669dp-16, -0x1.56c420b15ac12p-16, -0x1.554f601e785cbp-16, -0x1.53d86db800d4cp-16, -0x1.525f5ca95b7d6p-16, -0x1.50e43fdde23dep-16, -0x1.4f672a01e3878p-16, -0x1.4de82d82983f8p-16, -0x1.4c675c8f55fd5p-16, -0x1.4ae4c918b28bdp-16, -0x1.496084d1380e1p-16, -0x1.47daa12e9e72bp-16, -0x1.46532f6934da1p-16, -0x1.44ca407d1f5cap-16, -0x1.433fe529dbd2ep-16, -0x1.41b42df35b942p-16, -0x1.40272b226857fp-16, -0x1.3e98ecc4635c2p-16, -0x1.3d0982ac15a3ap-16, -0x1.3b78fc726cc16p-16, -0x1.39e76976f1048p-16, -0x1.3854d8df54575p-16, -0x1.36c15998da88cp-16, -0x1.352cfa57e0f6ap-16, -0x1.3397c999031afp-16, -0x1.3201d5a180dedp-16, -0x1.306b2c7f70524p-16, -0x1.2ed3dc0a418ap-16, -0x1.2d3bf1e2b25f8p-16, -0x1.2ba37b73f8c27p-16, -0x1.2a0a85f40e61ap-16, -0x1.28711e6440c8ep-16, -0x1.26d7519116b75p-16, -0x1.253d2c12e2668p-16, -0x1.23a2ba4ecb6efp-16, -0x1.22080876b13cbp-16, -0x1.206d2289bf7ffp-16, -0x1.1ed21454e4597p-16, -0x1.1d36e973400b1p-16, -0x1.1b9bad4f0c45cp-16, -0x1.1a006b2161138p-16, -0x1.18652df28361dp-16, -0x1.16ca009b00ea6p-16, -0x1.152eedc46cfdp-16, -0x1.1393ffe8c704bp-16, -0x1.11f9415361d51p-16, -0x1.105ebc21b83cbp-16, -0x1.0ec47a43196eap-16, -0x1.0d2a8579dbf9ap-16, -0x1.0b90e75bc58b9p-16, -0x1.09f7a951e9135p-16, -0x1.085ed49995fbdp-16, -0x1.06c6724476702p-16, -0x1.052e8b3912801p-16, -0x1.0397283384455p-16, -0x1.020051c6166a3p-16, -0x1.006a1058f70f9p-16, -0x1.fda8d856031fep-17, -0x1.fa7edaa4fae63p-17, -0x1.f756377a6254cp-17, -0x1.f42efe6209d48p-17, -0x1.f1093e9884271p-17, }}, 
      {{-0x1.29f9bfe37cd3ap-1, -0x1.2a077435b4eb2p-1, -0x1.2a1b9e452ef9ap-1, -0x1.2a37659594f4ap-1, -0x1.2a5e9155acdfbp-1, -0x1.2a961ce0941cbp-1, -0x1.2ae2dd3971b9dp-1, -0x1.2b488b8289522p-1, -0x1.2bc93f6ce7e51p-1, -0x1.2c6545ea96a9cp-1, -0x1.2d1b3856e0b4fp-1, -0x1.2de83a9a90755p-1, -0x1.2ec84c93364ecp-1, -0x1.2fb6a0edbea75p-1, -0x1.30adf087caa52p-1, -0x1.31a8c513c9fa2p-1, -0x1.32a1b8514ac9p-1, -0x1.3393a6eab4548p-1, -0x1.3479d72bff306p-1, -0x1.35501477e5dc9p-1, -0x1.3612c0c3fbae6p-1, -0x1.36bedd90b6c1fp-1, -0x1.37520dda95fccp-1, -0x1.37ca9271fdf5bp-1, -0x1.382742098059p-1, -0x1.38677e248aff6p-1, -0x1.388b25e797448p-1, -0x1.389287a1fef92p-1, -0x1.387e51c2a9eeep-1, -0x1.384f83c506555p-1, -0x1.38075f83e3b3fp-1, -0x1.37a75b441636fp-1, -0x1.373114b1228b6p-1, -0x1.36a644f284c83p-1, -0x1.3608b5effac48p-1, -0x1.355a38ce51f96p-1, -0x1.349c9da41390cp-1, -0x1.33d1ac5db0207p-1, -0x1.32fb1ec3216b1p-1, -0x1.321a9b8cf8358p-1, -0x1.3131b2742d181p-1, -0x1.3041d926983c2p-1, -0x1.2f4c69094b111p-1, -0x1.2e529db221a28p-1, -0x1.2d55940276164p-1, -0x1.2c5649cdd3302p-1, -0x1.2b559df8c0423p-1, -0x1.2a5450fd201f5p-1, -0x1.295305c32251bp-1, -0x1.285242bf42b43p-1, -0x1.2752734762e6bp-1, -0x1.2653e91280ac8p-1, -0x1.2556ddd7fd7bap-1, -0x1.245b7504c28f5p-1, -0x1.2361bd7dcf6abp-1, -0x1.2269b368eff3fp-1, -0x1.217341f5640cap-1, -0x1.207e451f3e8bep-1, -0x1.1f8a8b6924deep-1, -0x1.1e97d788dcbf4p-1, -0x1.1da5e203ccd02p-1, -0x1.1cb45ab93626fp-1, -0x1.1bc2ea5870ebcp-1, -0x1.1ad133c1f752ep-1, -0x1.19ded552718d6p-1, -0x1.18eb6a174bef1p-1, -0x1.17f68aecb33c6p-1, -0x1.16ffcf85129a2p-1, -0x1.1606cf5a632cap-1, -0x1.150b2289cb66ap-1, -0x1.140c629a32f46p-1, -0x1.130a2b2e87b95p-1, -0x1.12041aa48ce9fp-1, -0x1.10f9d2a118bd8p-1, -0x1.0feaf88ab5e7cp-1, -0x1.0ed735f3a0afap-1, -0x1.0dbe38f4200a5p-1, -0x1.0c9fb47638b87p-1, -0x1.0b7b6073b898ep-1, -0x1.0a50fa279715cp-1, -0x1.0920443397b97p-1, -0x1.07e906bb28108p-1, -0x1.06ab0f74521e5p-1, -0x1.056631afabd1ap-1, -0x1.041a46580d929p-1, -0x1.02c72beae0d03p-1, -0x1.016cc669bf475p-1, -0x1.000aff461e23ep-1, -0x1.fd438a8f54b81p-2, -0x1.fa6218dbf26e4p-2, -0x1.f7719b9c43bfap-2, -0x1.f4720ed9990cep-2, -0x1.f163782a71328p-2, -0x1.ee45e65b67cb6p-2, -0x1.eb197113e12cep-2, -0x1.e7de387745047p-2, -0x1.e49464c384b53p-2, -0x1.e13c25ed9b9d6p-2, -0x1.ddd5b33ca3348p-2, -0x1.da614ae412bb9p-2, -0x1.d6df319da535bp-2, -0x1.d34fb24363e1p-2, -0x1.cfb31d6a3906fp-2, -0x1.cc09c8fd6cc63p-2, -0x1.c8540fdb620a6p-2, -0x1.c4925173dc424p-2, -0x1.c0c4f16810ae9p-2, -0x1.bcec572cbffb5p-2, -0x1.b908edae841dp-2, -0x1.b51b22f881f3bp-2, -0x1.b12367dda4141p-2, -0x1.ad222fa476778p-2, -0x1.a917efb5c40f2p-2, -0x1.a5051f4e028ap-2, -0x1.a0ea3731a0fbp-2, -0x1.9cc7b1643f151p-2, -0x1.989e08e2d86dfp-2, -0x1.946db960e3c7p-2, -0x1.90373f0869707p-2, -0x1.8bfb163d0b0f2p-2, -0x1.87b9bb61fc544p-2, -0x1.8373aaa2dfe69p-2, -0x1.7f295fbf83a54p-2, -0x1.7adb55da70662p-2, -0x1.768a074a3e39cp-2, -0x1.7235ed6da318cp-2, -0x1.6ddf8082289fdp-2, -0x1.6987377d7e4cep-2, -0x1.652d87e953205p-2, -0x1.60d2e5c1a50b7p-2, -0x1.5c77c35577376p-2, -0x1.581c9129da08dp-2, -0x1.53c1bddf357b5p-2, -0x1.4f67b618bb00bp-2, -0x1.4b0ee465f6181p-2, -0x1.46b7b12e5f77dp-2, -0x1.4262829ee526ep-2, -0x1.3e0fbc9951f9bp-2, -0x1.39bfc0a57fc61p-2, -0x1.3572ede4455a7p-2, -0x1.3129a1040a3b7p-2, -0x1.2ce43436ed3dp-2, -0x1.28a2ff2a71a82p-2, -0x1.2466570096c69p-2, -0x1.202e8e4a525a4p-2, -0x1.1bfbf50356b28p-2, -0x1.17ced88f172b1p-2, -0x1.13a783b6f5fb8p-2, -0x1.0f863ea992f8dp-2, -0x1.0b6b4efb231b1p-2, -0x1.0756f7a6c637fp-2, -0x1.03497910d144fp-2, -0x1.fe862213e1f8ep-3, -0x1.f687f5a650d2p-3, -0x1.ee98de4519ffap-3, -0x1.e6b9485185d86p-3, -0x1.dee99b2e447c7p-3, -0x1.d72a394cfcc56p-3, -0x1.cf7b803cfe5d3p-3, -0x1.c7ddc8bb15391p-3, -0x1.c05166c24d36cp-3, -0x1.b8d6a99da87f3p-3, -0x1.b16ddbfaad6a7p-3, -0x1.aa1743fcb1817p-3, -0x1.a2d32350da938p-3, -0x1.9ba1b742be21p-3, -0x1.948338d191e7ep-3, -0x1.8d77dcc5dbfc2p-3, -0x1.867fd3c792956p-3, -0x1.7f9b4a749e60fp-3, -0x1.78ca6977b1456p-3, -0x1.720d559f6627ap-3, -0x1.6b642ff59c809p-3, -0x1.64cf15d6ff0c3p-3, -0x1.5e4e210ab4b1ep-3, -0x1.57e167da23e4dp-3, -0x1.5188fd28d149bp-3, -0x1.4b44f08c3670ep-3, -0x1.45154e63a07c7p-3, -0x1.3efa1ff001933p-3, -0x1.38f36b6bad385p-3, -0x1.33013421fb205p-3, -0x1.2d237a86ca5bbp-3, -0x1.275a3c4ddc0b5p-3, -0x1.21a57481fe94ep-3, -0x1.1c051b9c0b1a6p-3, -0x1.16792799a1d9ep-3, -0x1.11018c13b0046p-3, -0x1.0b9e3a54ae55p-3, -0x1.064f216e9f71dp-3, -0x1.01142e50c0047p-3, -0x1.f7da97b9cd8c5p-4, -0x1.edb4c5f935534p-4, -0x1.e3b6b56ba05adp-4, -0x1.d9e0307ea0f51p-4, -0x1.d030fe2996618p-4, -0x1.c6a8e21510a4cp-4, -0x1.bd479cc18635cp-4, -0x1.b40cebad44a38p-4, -0x1.aaf88979a178dp-4, -0x1.a20a2e0f6ee46p-4, -0x1.99418ec2a6979p-4, -0x1.909e5e7554b7ep-4, -0x1.88204db9b3936p-4, -0x1.7fc70af387673p-4, -0x1.77924278ac518p-4, -0x1.6f819eb0de2d9p-4, -0x1.6794c834b45d9p-4, -0x1.5fcb65ebd85f3p-4, -0x1.58251d2a704e7p-4, -0x1.50a191cdc4ba6p-4, -0x1.494066581cde8p-4, -0x1.42013c0bd84a1p-4, -0x1.3ae3b305c1631p-4, -0x1.33e76a569ebfap-4, -0x1.2d0c001c01ed2p-4, -0x1.2651119859746p-4, -0x1.1fb63b4a412cap-4, -0x1.193b19031d2ebp-4, -0x1.12df45fcf58ep-4, -0x1.0ca25cefa0634p-4, -0x1.0683f825345a4p-4, -0x1.0083b18dcc085p-4, -0x1.f54245a530909p-5, -0x1.e9b7cad0903dp-5, -0x1.de6725418a882p-5, -0x1.d34f877895f3cp-5, -0x1.c87023f3b65f4p-5, -0x1.bdc82d4e1a7e2p-5, -0x1.b356d65e8d2e2p-5, -0x1.a91b5254a31bfp-5, -0x1.9f14d4d4c29d6p-5, -0x1.95429212fe5e3p-5, -0x1.8ba3beeccc5ebp-5, -0x1.82379101a6a43p-5, -0x1.78fd3eca89a37p-5, -0x1.6ff3ffb06f022p-5, -0x1.671b0c21b7aabp-5, -0x1.5e719da69345p-5, -0x1.55f6eef46c1ddp-5, -0x1.4daa3c005a4d2p-5, -0x1.458ac210a5251p-5, -0x1.3d97bfcd5e2bep-5, -0x1.35d0755014ec7p-5, -0x1.2e342432a721ep-5, -0x1.26c20f9d452c4p-5, -0x1.1f797c5397cdp-5, -0x1.1859b0c11cfc8p-5, -0x1.1161f504c3963p-5, -0x1.0a9192fbc039fp-5, -0x1.03e7d64ba8676p-5, -0x1.fac818d7ab2b3p-6, -0x1.ee0b095c43bdcp-6, -0x1.e197208dde3e4p-6, -0x1.d56b04a91cab6p-6, -0x1.c9855fcc0de0fp-6, -0x1.bde4e0028c2fdp-6, -0x1.b28837516385cp-6, -0x1.a76e1bc0668dep-6, -0x1.9c95476364018p-6, -0x1.91fc786216e83p-6, -0x1.87a270ff08a07p-6, -0x1.7d85f79d823ebp-6, -0x1.73a5d6c68bdb1p-6, -0x1.6a00dd2d07e0fp-6, -0x1.6095ddb0de687p-6, -0x1.5763af616e168p-6, -0x1.4e692d7f1bcecp-6, -0x1.45a5377c1d5cdp-6, -0x1.3d16b0fc92c99p-6, -0x1.34bc81d5e0493p-6, -0x1.2c95960d61631p-6, -0x1.24a0ddd66ce19p-6, -0x1.1cdd4d8fc4484p-6, -0x1.1549ddc0665cfp-6, -0x1.0de58b13d0078p-6, -0x1.06af5655b6ca6p-6, -0x1.ff4c88da7ddf5p-7, -0x1.f192bcaf66184p-7, -0x1.e42f62458bfd7p-7, -0x1.d7209bccc5e0ap-7, -0x1.ca64937c359fp-7, -0x1.bdf97b8443d2dp-7, -0x1.b1dd8dffe13fp-7, -0x1.a60f0ce51f584p-7, -0x1.9a8c41f5177ap-7, -0x1.8f537eab3a1c3p-7, -0x1.84631c2bf7f69p-7, -0x1.79b97b32f0b3fp-7, -0x1.6f55040097b84p-7, -0x1.653426475fdeap-7, -0x1.5b5559187da8fp-7, -0x1.51b71ad02ac6ap-7, -0x1.4857f101a8dd3p-7, -0x1.3f366862c70fbp-7, -0x1.365114b73be52p-7, -0x1.2da690bba4682p-7, -0x1.25357e102ef9ap-7, -0x1.1cfc852323845p-7, -0x1.14fa551b2696p-7, -0x1.0d2da3c15caa6p-7, -0x1.05952d6b5a5f8p-7, -0x1.fc5f69c9cc28cp-8, -0x1.edf806b351919p-8, -0x1.dff1d07d91377p-8, -0x1.d24a7278c22f2p-8, -0x1.c4ffa42e10988p-8, -0x1.b80f29324d797p-8, -0x1.ab76d0f8bb05dp-8, -0x1.9f3476a5cf0dcp-8, -0x1.934600e1feb6p-8, -0x1.87a961aca21c9p-8, -0x1.7c5c962ed64dcp-8, -0x1.715da68e821fdp-8, -0x1.66aaa5c17ece3p-8, -0x1.5c41b160ed9dbp-8, -0x1.5220f17cb801cp-8, -0x1.4846986f6a64p-8, -0x1.3eb0e2b209daap-8, -0x1.355e16b043619p-8, -0x1.2c4c849cf95e5p-8, -0x1.237a8646f0f3p-8, -0x1.1ae67eee0b356p-8, -0x1.128edb18969b4p-8, -0x1.0a72106906938p-8, -0x1.028e9d740f9cp-8, -0x1.f5c6132e2a7fcp-9, -0x1.e6dbc99dfe369p-9, -0x1.d85b8f1f1be22p-9, -0x1.ca42a535d4e88p-9, -0x1.bc8e5db348319p-9, -0x1.af3c1a66685dbp-9, -0x1.a2494ccdbc533p-9, -0x1.95b375c9ef865p-9, -0x1.89782551a713p-9, -0x1.7d94fa25d220cp-9, -0x1.7207a186ddb47p-9, -0x1.66cdd6eb3ec85p-9, -0x1.5be563b6795dap-9, -0x1.514c1ef169905p-9, -0x1.46ffed036dd82p-9, -0x1.3cfebf6c8e0e6p-9, -0x1.334694805cc91p-9, -0x1.29d577220d357p-9, -0x1.20a97e816d817p-9, -0x1.17c0cdd8dfb8ep-9, -0x1.0f19942c4d261p-9, -0x1.06b20c0941cf6p-9, -0x1.fd10f68ef6b7p-10, -0x1.ed3665960ad01p-10, -0x1.ddd11c8dea601p-10, -0x1.cedde8027f994p-10, -0x1.c059a92f0cefep-10, -0x1.b2415589d5acp-10, -0x1.a491f651a07c4p-10, -0x1.9748a81cbb17bp-10, -0x1.8a629a6a7b21ap-10, -0x1.7ddd0f364fdfcp-10, -0x1.71b55a8ce75dp-10, -0x1.65e8e22303e48p-10, -0x1.5a751ceea2d6ap-10, -0x1.4f5792c1513b2p-10, -0x1.448ddbe49721p-10, -0x1.3a15a0b87e4ccp-10, -0x1.2fec99536e0c4p-10, -0x1.26108d243f9f2p-10, -0x1.1c7f5295e6d1cp-10, -0x1.1336ceb4e0553p-10, -0x1.0a34f4d642ec9p-10, -0x1.0177c640a310bp-10, -0x1.f1faa3ad38e6bp-11, -0x1.e1876785fb901p-11, -0x1.d1922a4d7aa86p-11, -0x1.c217579139e1bp-11, -0x1.b313738c9040cp-11, -0x1.a4831a8e041fp-11, -0x1.9663005fe27c6p-11, -0x1.88afefb3eae5ap-11, -0x1.7b66c9929c724p-11, -0x1.6e8484cc73f56p-11, -0x1.62062d6f1ed04p-11, -0x1.55e8e43d6fefdp-11, -0x1.4a29de29ddc18p-11, -0x1.3ec663d401d28p-11, -0x1.33bbd108dd4d3p-11, -0x1.290794461691cp-11, -0x1.1ea72e3fd40b9p-11, -0x1.14983169567c4p-11, -0x1.0ad8418005badp-11, -0x1.0165131982f06p-11, -0x1.f078d66773fbdp-12, -0x1.deb83d8fa3bd9p-12, -0x1.cd8424be90392p-12, -0x1.bcd8735800622p-12, -0x1.acb12e447dd98p-12, -0x1.9d0a772a3f7e5p-12, -0x1.8de08bab2d228p-12, -0x1.7f2fc4a6a7059p-12, -0x1.70f495801a571p-12, -0x1.632b8b699971fp-12, -0x1.55d14cb38e233p-12, -0x1.48e2981f90bb5p-12, -0x1.3c5c44384473ep-12, -0x1.303b3eacc6832p-12, -0x1.247c8bb098412p-12, -0x1.191d455e72a5p-12, -0x1.0e1a9b1fd8d4bp-12, -0x1.0371d11774f9ap-12, -0x1.f2407f210ef2bp-13, -0x1.de46a4e0e7055p-13, -0x1.caf111596eb8ap-13, -0x1.b83ae787bf38fp-13, -0x1.a61f6e7567616p-13, -0x1.949a103650b88p-13, -0x1.83a658f0dc1e2p-13, -0x1.733ff5e81f688p-13, -0x1.6362b48f836c9p-13, -0x1.540a81a41b7eep-13, -0x1.4533684ab0516p-13, -0x1.36d99133a937ap-13, -0x1.28f941c6d53a7p-13, -0x1.1b8edb5170212p-13, -0x1.0e96da3c2fd21p-13, -0x1.020dd545f95aep-13, -0x1.ebe0f98441fd5p-14, -0x1.d47733bc19c12p-14, -0x1.bdd81bd63fb7cp-14, -0x1.a7fda359a3068p-14, -0x1.92e1e9573d03bp-14, -0x1.7e7f391c45ea1p-14, -0x1.6ad008e874d59p-14, -0x1.57cef8affe2ccp-14, -0x1.4576d0e7c7bf8p-14, -0x1.33c281553c194p-14, -0x1.22ad1fead2dd8p-14, -0x1.1231e7aae964ep-14, -0x1.024c3791426eep-14, -0x1.e5ef230e7ad68p-15, -0x1.c85f32b9145dcp-15, -0x1.abe0279215a13p-15, -0x1.9069cae64375ap-15, -0x1.75f424010c4e4p-15, -0x1.5c77765742e51p-15, -0x1.43ec3fc02f818p-15, -0x1.2c4b36b9a5379p-15, -0x1.158d48bb51783p-15, -0x1.ff57312af19e9p-16, -0x1.d53ef9b47c601p-16, -0x1.acc4fcac4ee83p-16, -0x1.85dcad1a61a7ap-16, -0x1.6079dc9127178p-16, -0x1.3c90b859f9972p-16, -0x1.1a15c6bb463c2p-16, -0x1.f1fbc89796dc7p-17, -0x1.b27c82b819b69p-17, -0x1.7598bef17f4b9p-17, -0x1.3b3c1ded02aecp-17, -0x1.0352d927bca75p-17, -0x1.9b937ce0af6bbp-18, -0x1.351c56aaeead6p-18, -0x1.a6382396be279p-19, -0x1.d5be3ba9bde94p-20, -0x1.bf4b51fc61cdp-22, 0x1.cbacafc2541a9p-21, 0x1.15deebcf2f7c3p-19, 0x1.b1303d8125273p-19, 0x1.228ddc6b3944fp-18, 0x1.68ee199b9c7acp-18, 0x1.abd5669335b6ep-18, 0x1.eb5f7fbb289adp-18, 0x1.13d3aa0267528p-17, 0x1.30638592e728ep-17, 0x1.4b6c05c3f5068p-17, 0x1.64f98013c48dep-17, 0x1.7d17ef1c8351dp-17, 0x1.93d2f54422dc9p-17, 0x1.a935df72d0c9p-17, 0x1.bd4ba79d42b7ap-17, 0x1.d01ef74850e0dp-17, 0x1.e1ba29ea60896p-17, 0x1.f2274f46c86efp-17, 0x1.00b816d99d793p-16, 0x1.07cf222441745p-16, 0x1.0e5d6683e8001p-16, 0x1.14675f738e77p-16, 0x1.19f167eb8b433p-16, 0x1.1effbb5244145p-16, 0x1.23967673ae1e1p-16, 0x1.27b99869bc5f6p-16, 0x1.2b6d037ac8a9bp-16, 0x1.2eb47df4f77aep-16, 0x1.3193b3022d84cp-16, 0x1.340e3375a4618p-16, 0x1.3627769144519p-16, 0x1.37e2dac6246bdp-16, 0x1.3943a671a5118p-16, 0x1.3a4d0890fee97p-16, 0x1.3b02196a71cfcp-16, 0x1.3b65db3d09337p-16, 0x1.3b7b3ae3a99c5p-16, 0x1.3b451071a595fp-16, 0x1.3ac61fcd2c161p-16, 0x1.3a0119452a6f5p-16, 0x1.38f89a2176c68p-16, 0x1.37af2d2d5cfb9p-16, 0x1.36274b3ea568fp-16, 0x1.34635bbb6964ep-16, 0x1.3265b5186824bp-16, 0x1.30309d501c252p-16, 0x1.2dc64a5d99befp-16, 0x1.2b28e2aed8b25p-16, 0x1.285a7d942af59p-16, 0x1.255d23ab139cp-16, 0x1.2232cf48e4cf5p-16, 0x1.1edd6cdfb0629p-16, 0x1.1b5edb6292a9cp-16, 0x1.17b8ec9f77154p-16, 0x1.13ed65a027d0ap-16, 0x1.0ffdff03036e6p-16, 0x1.0bec654ff9fa3p-16, 0x1.07ba394cd52cfp-16, 0x1.0369104fd554cp-16, 0x1.fdf4e91a227bep-17, 0x1.f4dfcac4880fdp-17, 0x1.eb95af41354adp-17, 0x1.e2196baa889e4p-17, 0x1.d86dc121eaefp-17, 0x1.ce955d4fe33b1p-17, 0x1.c492dae84c0cfp-17, 0x1.ba68c22a2a9a2p-17, 0x1.b0198958e886dp-17, 0x1.a5a79532dfac9p-17, 0x1.9b1539675170cp-17, 0x1.9064b904bd582p-17, 0x1.859846e571a46p-17, 0x1.7ab2061739057p-17, 0x1.6fb40a4049033p-17, 0x1.64a05805761a2p-17, 0x1.5978e56beb3f1p-17, 0x1.4e3f9a341454dp-17, 0x1.42f65034595c1p-17, 0x1.379ed3b1116c9p-17, 0x1.2c3ae3afa783p-17, 0x1.20cc324c0640ep-17, 0x1.15546509b4792p-17, 0x1.09d515201e18p-17, 0x1.fc9f9f91848d6p-18, 0x1.e58c2d0d6e799p-18, 0x1.ce72bedd6daabp-18, 0x1.b7562ad48e226p-18, 0x1.a0393105dd2a2p-18, 0x1.891e7c3dc0c6dp-18, 0x1.7208a28630584p-18, 0x1.5afa25a16ad37p-18, 0x1.43f57381e8ceep-18, 0x1.2cfce6be2a71bp-18, 0x1.1612c70c0c7fp-18, 0x1.fe72935592738p-19, 0x1.d0e5239dba713p-19, 0x1.a3816221e0cb7p-19, 0x1.764b4fa1e0109p-19, 0x1.4946cb3583081p-19, 0x1.1c77931068bf8p-19, 0x1.dfc28a96981fcp-20, 0x1.870ec130884a6p-20, 0x1.2eda89ea6b1a3p-20, 0x1.ae58d18d2cca5p-21, 0x1.00154e2646158p-21, 0x1.4bdaa62e7125cp-23, -0x1.63ddb1486fd5dp-23, -0x1.03a9b129b7c78p-21, -0x1.ad154de7cf655p-21, -0x1.2a97ea12c65c3p-20, -0x1.7df79df7a25c6p-20, -0x1.d0a4f0be7827cp-20, -0x1.114da0ba7471ap-19, -0x1.39eb0f7cab24p-19, -0x1.6228a37cfdb11p-19, -0x1.8a04527157dbep-19, -0x1.b17c286f96ffp-19, -0x1.d88e476cc3693p-19, -0x1.ff38e6c1a1abap-19, -0x1.12bd2954bae4bp-18, -0x1.25a875e5db6d4p-18, -0x1.385d936ad035fp-18, -0x1.4adbc5fb336ap-18, -0x1.5d225b3bf5e5p-18, -0x1.6f30aa288bd23p-18, -0x1.810612db9deedp-18, -0x1.92a1fe58bcc3ep-18, -0x1.a403de59deec1p-18, -0x1.b52b2d1de885ep-18, -0x1.c6176d374a484p-18, -0x1.d6c8295bb1417p-18, -0x1.e73cf4331f442p-18, -0x1.f775682ac852fp-18, -0x1.03b893a0f7753p-17, -0x1.0b97ed7119a72p-17, -0x1.135899d9b446p-17, -0x1.1afa74b736ca5p-17, -0x1.227d5d5946455p-17, -0x1.29e1366edd89dp-17, -0x1.3125e5f1aff64p-17, -0x1.384b550f97036p-17, -0x1.3f517018fc1bap-17, -0x1.4638266d11d71p-17, -0x1.4cff6a676ad6ap-17, -0x1.53a7314d3a96p-17, -0x1.5a2f7339d5d8fp-17, -0x1.60982b0e3dbfdp-17, -0x1.66e1565dc2a66p-17, -0x1.6d0af55c71709p-17, -0x1.73150ad0d3fc3p-17, -0x1.78ff9bffb2bf7p-17, -0x1.7ecab09ddf511p-17, -0x1.847652be7d1a1p-17, -0x1.8a028ec51f74cp-17, -0x1.8f6f7353d747ep-17, -0x1.94bd113c325bap-17, -0x1.99eb7b708fb4dp-17, -0x1.9efac6f5a7d2bp-17, -0x1.a3eb0ad3d9d5bp-17, -0x1.a8bc60083f014p-17, -0x1.ad6ee176823c5p-17, -0x1.b202abdc4101bp-17, -0x1.b677ddc15c532p-17, -0x1.bace976bd2b82p-17, -0x1.bf06fad3383c9p-17, -0x1.c3212b91f24cep-17, -0x1.c71d4ed9b31dp-17, -0x1.cafb8b665bc65p-17, -0x1.cebc0972d279ap-17, -0x1.d25ef2ab96ca5p-17, -0x1.d5e472239c33ap-17, -0x1.d94cb447e9007p-17, -0x1.dc97e6d4a9051p-17, -0x1.dfc638ca4d50ap-17, -0x1.e2d7da61b11cbp-17, -0x1.e5ccfd00ea3b2p-17, -0x1.e8a5d33231a0dp-17, -0x1.eb629097dd183p-17, -0x1.ee0369e23bbe1p-17, -0x1.f08894c6d7e54p-17, -0x1.f2f247f47ae0bp-17, -0x1.f540bb0a635f9p-17, -0x1.f774268e31c46p-17, -0x1.f98cc3e2dda73p-17, -0x1.fb8acd406de6ap-17, -0x1.fd6e7da92833bp-17, -0x1.ff3810e1b2572p-17, -0x1.0073e1b3db7fbp-16, -0x1.013ee934b15dap-16, -0x1.01fd3ddeb4362p-16, -0x1.02aefeece002ap-16, -0x1.03544be64a3a7p-16, -0x1.03ed449a15a25p-16, -0x1.047a091b5589cp-16, -0x1.04fab9bcfd47cp-16, -0x1.056f770f0eef2p-16, -0x1.05d861d9a153ep-16, -0x1.06359b19fd745p-16, -0x1.068743fef5b91p-16, -0x1.06cd7de4d5727p-16, -0x1.07086a53c9b8p-16, -0x1.07382afab7272p-16, -0x1.075ce1ac8e0fp-16, -0x1.0776b05d26ffdp-16, -0x1.0785b91dfd7b8p-16, -0x1.078a1e1b2b807p-16, -0x1.078401982f099p-16, -0x1.077385ed5ea78p-16, -0x1.0758cd856df4bp-16, -0x1.0733fad950198p-16, -0x1.0705306ea447p-16, -0x1.06cc90d4687a2p-16, -0x1.068a3ea10114ep-16, -0x1.063e5c6e544f9p-16, -0x1.05e90cd8bee3ap-16, -0x1.058a727b2c9b1p-16, -0x1.0522afeddedd4p-16, -0x1.04b1e7c4af5e1p-16, -0x1.04383c8ae9445p-16, -0x1.03b5d0c23a3ap-16, -0x1.032ac6e01ac5ep-16, -0x1.0297414bda371p-16, -0x1.01fb625c351c5p-16, -0x1.01574c55b073p-16, -0x1.00ab2168d4697p-16, -0x1.ffee076098ee5p-17, -0x1.fe762a5c15138p-17, -0x1.fceeef94e203fp-17, -0x1.fb589aa476a0dp-17, -0x1.f9b36eea482a5p-17, -0x1.f7ffaf866e45bp-17, -0x1.f63d9f580b248p-17, -0x1.f46d80f99fe33p-17, -0x1.f28f96bd3fc1fp-17, -0x1.f0a422ad32fe9p-17, -0x1.eeab6684f0457p-17, -0x1.eca5a3af3cca7p-17, -0x1.ea931b444f436p-17, -0x1.e8740e0665208p-17, -0x1.e648bc5f22f91p-17, -0x1.e411665dd73ap-17, -0x1.e1ce4bb444b1ap-17, -0x1.df7fabb699e97p-17, -0x1.dd25c5562959cp-17, -0x1.dac0d7201c813p-17, -0x1.d8511f3beec8dp-17, -0x1.d5d6db6a0f508p-17, -0x1.d3524900b9e3ap-17, -0x1.d0c3a4e9c37b9p-17, -0x1.ce2b2ba19c9bp-17, -0x1.cb89193523942p-17, -0x1.c8dda940caebcp-17, -0x1.c62916efe2524p-17, -0x1.c36b9cf90d989p-17, -0x1.c0a5759ce22a4p-17, -0x1.bdd6daa53e702p-17, -0x1.bb000563ada4cp-17, -0x1.b8212eb00830ap-17, -0x1.b53a8ee7b6df4p-17, -0x1.b24c5debeb783p-17, -0x1.af56d32281908p-17, -0x1.ac5a257268879p-17, -0x1.a9568b4379bbcp-17, -0x1.a64c3a7ce393bp-17, -0x1.a33b6886f0e5fp-17, -0x1.a0244a478fc7ep-17, -0x1.9d0714224a594p-17, -0x1.99e3f9f6e71ffp-17, -0x1.96bb2f221e9dcp-17, -0x1.938ce67b70788p-17, -0x1.9059525794effp-17, -0x1.8d20a48569fefp-17, -0x1.89e30e4d7ea01p-17, -0x1.86a0c071c38ap-17, -0x1.8359eb2d8ca0bp-17, -0x1.800ebe35097d2p-17, -0x1.7cbf68b5484f9p-17, -0x1.796c19534af6dp-17, -0x1.7614fe2d48611p-17, -0x1.72ba44d9aee71p-17, -0x1.6f5c1a666781bp-17, -0x1.6bfaab58d4594p-17, -0x1.689623ad971fcp-17, -0x1.652eaedacea53p-17, -0x1.61c477cd94169p-17, -0x1.5e57a8ea61504p-17, -0x1.5ae86c0d6d19dp-17, -0x1.5776ea8b28874p-17, -0x1.54034d2f30097p-17, -0x1.508dbc3ff14bep-17, -0x1.4d165f7b63721p-17, -0x1.499d5e18180c4p-17, -0x1.4622dec545e6p-17, -0x1.42a707ab9ebf8p-17, -0x1.3f29fe6d4d6dcp-17, -0x1.3babe826b6649p-17, -0x1.382ce96e256c1p-17, -0x1.34ad26553bae5p-17, -0x1.312cc2699a7ep-17, -0x1.2dabe0b3e8005p-17, -0x1.2a2aa3b8af902p-17, -0x1.26a92d78c8ed8p-17, -0x1.23279f728d14ap-17, -0x1.1fa61aa31f8b8p-17, -0x1.1c24bf84dab7p-17, -0x1.18a3ae10d8b6ep-17, -0x1.152305bff1c28p-17, -0x1.11a2e58a73869p-17, -0x1.0e236be964654p-17, -0x1.0aa4b6d94aabcp-17, -0x1.0726e3d748d3bp-17, -0x1.03aa0fe370da3p-17, -0x1.002e5780b6207p-17, -0x1.f967ad6d5dd52p-18, -0x1.f275522333fc4p-18, -0x1.eb85d3475a407p-18, -0x1.e49966099d38dp-18, -0x1.ddb03ea9edc07p-18, -0x1.d6ca9078f926p-18, -0x1.cfe88dd8e88dep-18, -0x1.c90a683dc4634p-18, -0x1.c23050305c8dap-18, -0x1.bb5a755014751p-18, -0x1.b48906572fc2ap-18, -0x1.adbc3118681f3p-18, -0x1.a6f42281490b4p-18, -0x1.a031069e5ceaep-18, -0x1.9973089a37732p-18, -0x1.92ba52bed4ba9p-18, -0x1.8c070e7db8849p-18, -0x1.8559646bdadc8p-18, -0x1.7eb17c43e156dp-18, -0x1.780f7ce89bc4cp-18, -0x1.71738c670137ep-18, -0x1.6addcff89fbd5p-18, -0x1.644e6c050d96ap-18, -0x1.5dc584239be0ep-18, -0x1.57433b1c5b6d9p-18, -0x1.50c7b2ed2ef36p-18, -0x1.4a530cc9544ddp-18, -0x1.43e5691c440d8p-18, -0x1.3d7ee788e3f66p-18, -0x1.371fa6ee9244fp-18, -0x1.30c7c5690b74p-18, -0x1.2a77605605e95p-18, -0x1.242e945310ea9p-18, -0x1.1ded7d40849bbp-18, -0x1.17b43644f3672p-18, -0x1.1182d9cd3944ep-18, -0x1.0b59818df5057p-18, -0x1.05384689ba739p-18, -0x1.fe3e822121407p-19, -0x1.f21d11803103fp-19, -0x1.e60c690e7c20fp-19, -0x1.da0cb54e07843p-19, -0x1.ce1e216d196f1p-19, -0x1.c240d7471237bp-19, -0x1.b674ff698e09ap-19, -0x1.aabac11573d5fp-19, -0x1.9f124247834c7p-19, -0x1.937ba7ba3103bp-19, -0x1.87f714ea9988fp-19, -0x1.7c84ac1965135p-19, -0x1.71248e4f6012dp-19, -0x1.65d6db64c9cd4p-19, -0x1.5a9bb1ff2d45fp-19, -0x1.4f732f9d53f0ep-19, -0x1.445d7093b495cp-19, -0x1.395a9014faf1dp-19, -0x1.2e6aa833365cbp-19, -0x1.238dd1e31d127p-19, -0x1.18c42500cc892p-19, -0x1.0e0db8571b834p-19, -0x1.036aa19f33741p-19, -0x1.f1b5eb0afa6edp-20, -0x1.dcbd8f5849f45p-20, -0x1.c7ec555e2ad16p-20, -0x1.b3426052c79a1p-20, -0x1.9ebfd1703120dp-20, -0x1.8a64c7fcb484fp-20, -0x1.7631614abd38dp-20, -0x1.6225b8cadbp-20, -0x1.4e41e80ce6c69p-20, -0x1.3a8606cb1dbbdp-20, -0x1.26f22aed06a6bp-20, -0x1.1386688bc4b37p-20, -0x1.0042d20275664p-20, -0x1.da4eefda73124p-21, -0x1.b468d2680f486p-21, -0x1.8ed3661ba739ap-21, -0x1.698ec21718d45p-21, -0x1.449afa4098a6p-21, -0x1.1ff81f4107bcfp-21, -0x1.f74c7d2d129abp-22, -0x1.af4ac5580d936p-22, -0x1.67eb25c9c4f8p-22, -0x1.212da734758dap-22, -0x1.b62498ed06055p-23, -0x1.2b3225283f656p-23, -0x1.4307c3827ad12p-24, -0x1.919b23df4961cp-27, 0x1.b83243a5321fep-25, 0x1.e7de33fc9c46cp-24, 0x1.788e260169fd3p-23, 0x1.fbe9fc47df4c5p-23, 0x1.3f01773b9cbbep-22, 0x1.7f6cac115130ap-22, 0x1.bf36cf6134116p-22, 0x1.fe6018cbbbeb1p-22, 0x1.1e746250c9be9p-21, 0x1.3d6889f0d1105p-21, 0x1.5c0ca60ae76fp-21, 0x1.7a60dba1bfcd3p-21, 0x1.986551f158144p-21, 0x1.b61a325228848p-21, 0x1.d37fa83b46e2ap-21, 0x1.f095e137f19d4p-21, 0x1.06ae866c2a4f5p-20, 0x1.14eaae4ffe69dp-20, 0x1.22ff820504c4ep-20, 0x1.30ed1c3c881a7p-20, 0x1.3eb3989448981p-20, 0x1.4c531393c559ep-20, 0x1.59cbaaa425c4fp-20, 0x1.671d7c0dea146p-20, 0x1.7448a6f2165dfp-20, 0x1.814d4b4742dddp-20, 0x1.8e2b89d5b8fd9p-20, 0x1.9ae3842dba2c4p-20, 0x1.a7755ca67ec41p-20, 0x1.b3e1365935255p-20, 0x1.c027351b79ec9p-20, 0x1.cc477d7c3583dp-20, 0x1.d84234bcbcc6ep-20, 0x1.e41780ccd010ap-20, 0x1.efc7884969b5p-20, 0x1.fb527271f39abp-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      36, 0x1.5cccccccccccdp+2, 0x1.b45d1ef659712p+0, 0x1.b7205bbf223e6p+1, -0x1.d5914f9438173p-7, 
      {{
        {0x1.d851eb851eb85p+1, 0x1.d99999999999ap+1, 0x1.602d2d551db8dp-5, -0x1.90334f5ef7d48p-4, 0x1.55147b1c5a022p-4, -0x1.042dd9709ef08p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.583d8c2d83a6cp-5, -0x1.896af8a743434p-4, 0x1.512d64a62ea9fp-4, -0x1.fac8d066b78d5p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.328d8762fd0d2p-5, -0x1.68a67d0f28389p-4, 0x1.3e2c433bee2e5p-4, -0x1.ebc18e07a9b3fp-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.100c45f1ad0acp-5, -0x1.49c14e1f42295p-4, 0x1.2bbb67820b047p-4, -0x1.dd2ae45186cbap-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e115214d5dcecp-6, -0x1.2cad3484f78d4p-4, 0x1.19d6988bc9298p-4, -0x1.ce760f100e7d1p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a7b5323dedcbbp-6, -0x1.115c207e37f17p-4, 0x1.087ef7fb2f04ep-4, -0x1.bfc94f530d832p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.739ff38ea483bp-6, -0x1.ef7fef5e0821ep-5, 0x1.ef687069bd062p-5, -0x1.b11a650f7f009p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.447f6bb8ce643p-6, -0x1.bf9545251db4fp-5, 0x1.ceecdc08937fdp-5, -0x1.a26c0f61a6814p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.1a0072d569cd5p-6, -0x1.92dc11c262764p-5, 0x1.af8b27ae0d697p-5, -0x1.93bd91e39c13ep-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.e7a5653a4e26bp-7, -0x1.6938250ef3f25p-5, 0x1.9143565694e82p-5, -0x1.850f1f108cb2cp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.a3514cd0d0fd3p-7, -0x1.428d4ec7f4f0fp-5, 0x1.741567355727p-5, -0x1.7660a961bf646p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.666f365e8499dp-7, -0x1.1ebf5eb207811p-5, 0x1.58015a8135992p-5, -0x1.67b2347703eb5p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.306f5f12f55d3p-7, -0x1.fb64491f96e12p-6, 0x1.3d07302b7bb48p-5, -0x1.5903bf57ba651p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.00c7a75d13902p-7, -0x1.be92e048d4a82p-6, 0x1.2326e8381a869p-5, -0x1.4a554a468a364p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ade725d666c9p-8, -0x1.86d22265d1ab7p-6, 0x1.0a6082a6035c2p-5, -0x1.3ba6d5318a75cp-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.64e8915619e6bp-8, -0x1.53e9aefcaafe2p-6, 0x1.e567feeafebfap-6, -0x1.2cf8601da1351p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.25a125937881ap-8, -0x1.25a12593787cep-6, 0x1.b842bd4cf35e3p-6, -0x1.1e49eb0959695p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.de537acf04d43p-9, -0x1.f7804b60a6c39p-7, 0x1.8d514071f2c1cp-6, -0x1.0f9b75f53cfffp-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.814cf453fe8b3p-9, -0x1.ac1c9db2a90cap-7, 0x1.64938859f6684p-6, -0x1.00ed00e0fec93p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.328d8762fd0e8p-9, -0x1.68a6812929ab8p-7, 0x1.3e0995050363dp-6, -0x1.e47d1799ec829p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.e115214d5dd12p-10, -0x1.2cad34d05ac34p-7, 0x1.19b3667311a65p-6, -0x1.c7202d70c835fp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.739ff38ea483cp-10, -0x1.ef7fef68da6e1p-8, 0x1.ef21f9486babp-7, -0x1.a9c3434b070a4p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.1a0072d569d31p-10, -0x1.92dc11c32caeep-8, 0x1.af44af305dd05p-7, -0x1.8c6659198a387p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a3514cd0d1078p-11, -0x1.428d4ec7f6dffp-8, 0x1.73ceee9fbc483p-7, -0x1.6f096f12e45b5p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.306f5f12f55bp-11, -0x1.fb64491ff617p-9, 0x1.3cc0b7901a076p-7, -0x1.51ac846cb3d4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.ade725d666dp-12, -0x1.86d22264762fdp-9, 0x1.0a1a0a1965739p-7, -0x1.344f9c1a53ec5p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.25a1259378a9fp-12, -0x1.25a125988871fp-9, 0x1.b7b5cbc47e87p-8, -0x1.16f2ab181b45bp-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.814cf453feb81p-13, -0x1.ac1c9d8cdfeb1p-10, 0x1.640698707658dp-8, -0x1.f32bb501a9227p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.e115214d5deffp-14, -0x1.2cad355d612cap-10, 0x1.1926707d0360cp-8, -0x1.b87121dc7a362p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.1a0072d569ep-14, -0x1.92dc0da6898adp-11, 0x1.ae2af06b154b7p-9, -0x1.7dba15bbb9aebp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.306f5f12f58p-15, -0x1.fb6467d07eb75p-12, 0x1.3ba6504c5d954p-9, -0x1.42f5df7f9b1cep-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.25a1259379bffp-16, -0x1.25a0b3091d818p-12, 0x1.b585e74c2ae6bp-10, -0x1.0862caacd51cp-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.e115214d68p-18, -0x1.2cb08bc156146p-13, 0x1.16e43a7e117p-10, -0x1.9a30b4a07e4cap-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.306f5f12f9fffp-19, -0x1.fb326e62cdca8p-15, 0x1.37ab3bcf0a4cbp-11, -0x1.28f46d605eb1bp-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.e115214d6p-22, -0x1.2e21532f6f22ep-16, 0x1.0afdf45da2f8cp-12, -0x1.4788eea556bebp-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.e1152153fffffp-26, -0x1.014714b87723bp-19, 0x1.19e26183554p-14, -0x1.b65607badb3a4p-10}, 
      }}, 
      0x1.9c76242eaf98bp-6, -0x1.3ddcfd1e272cp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{0x1.dc1ab91301caap-9, 0x1.f9c77d4ff5a1bp-9, -0x1.b2ad03c7d9271p-10, -0x1.c8992b3dc9f62p-7, -0x1.0d3f4c24f4167p-5, -0x1.d78e21861bafep-5, -0x1.62efc73ee42f2p-4, -0x1.e5a128a8f4f83p-4, -0x1.36a67045249bfp-3, -0x1.79eab7368f135p-3, -0x1.b9ef41038bec9p-3, -0x1.f47a116ffb94fp-3, -0x1.13e5564662d64p-2, -0x1.294b320b85694p-2, -0x1.39ffaa4da8535p-2, -0x1.45c4471c883e6p-2, -0x1.4c8481b66802ap-2, -0x1.4e4f1c5180c84p-2, -0x1.4b4fb8210ef7ap-2, -0x1.43c8b8f9f17cap-2, -0x1.380de0b847d1cp-2, -0x1.287f4ffe28d68p-2, -0x1.15854616a7a71p-2, -0x1.ff18dc4c32ee1p-3, -0x1.ce0587030bd22p-3, -0x1.98aa0eff289cp-3, -0x1.5fd96e5b428bep-3, -0x1.245cf2fd11a8fp-3, -0x1.cde3dbe7f4ac1p-4, -0x1.50902fd59e404p-4, -0x1.a402577f45a13p-5, -0x1.4d6be6b762156p-6, 0x1.52e46db3bb9a7p-7, 0x1.4c7a9294ac9aap-5, 0x1.1f7bf076285d1p-4, 0x1.9568946c9b361p-4, 0x1.03b68fbbd4bf1p-3, 0x1.3a85c51a52521p-3, 0x1.6eedfcc2efde6p-3, 0x1.a0c5871e8289bp-3, 0x1.cfebfd0fe42dp-3, 0x1.fc4966c09351fp-3, 0x1.12e6b2ab345a7p-2, 0x1.26373b84a61c1p-2, 0x1.38149a3850a2fp-2, 0x1.487fcc000edfep-2, 0x1.577c2fa01aa7bp-2, 0x1.650f383d1e70ep-2, 0x1.7140224ea9dc6p-2, 0x1.7c17af8f3bc0bp-2, 0x1.859fe7e6019e2p-2, 0x1.8de3e477c4536p-2, 0x1.94ef936e6ebb4p-2, 0x1.9acf8e0ec58e2p-2, 0x1.9f90ef86240e4p-2, 0x1.a3412d48f1241p-2, 0x1.a5edf63d0ff26p-2, 0x1.a7a51425d596dp-2, 0x1.a87453ba5c495p-2, 0x1.a86967804bc29p-2, 0x1.a791ddcf5140bp-2, 0x1.a5fb07b1f91f4p-2, 0x1.a3b1f1a42e17cp-2, 0x1.a0c350f609c6fp-2, 0x1.9d3b7f1e95361p-2, 0x1.99266e43101aap-2, 0x1.948fa25fdb59ap-2, 0x1.8f82302f40f72p-2, 0x1.8a08b54657cbfp-2, 0x1.842d5aa292021p-2, 0x1.7df9ce456ef0ap-2, 0x1.7777475cfbbfbp-2, 0x1.70ae86c5f5ba6p-2, 0x1.69a7d4583e6c5p-2, 0x1.626b03eb1baebp-2, 0x1.5aff76ed16ff7p-2, 0x1.536c1eae5ec01p-2, 0x1.4bb77f762c0bfp-2, 0x1.43e7b2fcb0706p-2, 0x1.3c026da50b964p-2, 0x1.340d001b14683p-2, 0x1.2c0c5d1bb9a97p-2, 0x1.24051b5107e9ap-2, 0x1.1bfb7ae84880ap-2, 0x1.13f3668f5c6dcp-2, 0x1.0bf07bd3d4e52p-2, 0x1.03f60a48b990dp-2, 0x1.f80e35d712df2p-3, 0x1.e84ce1215e84dp-3, 0x1.d8ad1c7c65f65p-3, 0x1.c9337208b1c01p-3, 0x1.b9e3f8febde9bp-3, 0x1.aac25baa0afc4p-3, 0x1.9bd1dbf5586d5p-3, 0x1.8d155e0785c56p-3, 0x1.7e8f6a6d9b399p-3, 0x1.704235f2770fdp-3, 0x1.622fa6c20ade6p-3, 0x1.54595972b4ef4p-3, 0x1.46c0a701caa19p-3, 0x1.3966a84403faap-3, 0x1.2c4c3d55aa547p-3, 0x1.1f720e46ea878p-3, 0x1.12d891d9ebb06p-3, 0x1.068011d4be26fp-3, 0x1.f4d158086633bp-4, 0x1.dd24b1ddb29e5p-4, 0x1.c5f9daa7deb75p-4, 0x1.af503aeb30616p-4, 0x1.99270170eb4d4p-4, 0x1.837d2b964ecc1p-4, 0x1.6e517e54c324bp-4, 0x1.59a29fa7c6b3bp-4, 0x1.456f080f41ee9p-4, 0x1.31b50f59fa422p-4, 0x1.1e72f3b5dc9d7p-4, 0x1.0ba6d94b82da7p-4, 0x1.f29d937e0a02bp-5, 0x1.ced183698bdfap-5, 0x1.abe54f7a6cff2p-5, 0x1.89d4bd235794ep-5, 0x1.689b746fda7dep-5, 0x1.483504e42df62p-5, 0x1.289d051387ec5p-5, 0x1.09cefafcc353cp-5, 0x1.d78ccff61739ap-6, 0x1.9cfdb1601b22fp-6, 0x1.63e7a2a1d0002p-6, 0x1.2c41c50f3d53ep-6, 0x1.ec06a2550873ap-7, 0x1.82471f3051b2ap-7, 0x1.1b33bbf870fc5p-7, 0x1.6d771ef532dep-8, 0x1.5337895a8c7f9p-9, -0x1.54b686ff8a007p-12, -0x1.9ebd50ef75042p-9, -0x1.84bd80d46abb5p-8, -0x1.1ac36e17bdbf6p-7, -0x1.70ec7a38320a5p-7, -0x1.c4e89c974e3ffp-7, -0x1.0b631886988f2p-6, -0x1.334998bfe9a51p-6, -0x1.5a2ea555f08afp-6, -0x1.8018d95c1f954p-6, -0x1.a50ea256d25abp-6, -0x1.c9163bd200dddp-6, -0x1.ec35ba679cb4ap-6, -0x1.07397a14d7dbcp-5, -0x1.17e9cd5bbdad4p-5, -0x1.282e957fc71ap-5, -0x1.380a7a781b433p-5, -0x1.47800d575dc1fp-5, -0x1.5691c75644bb8p-5, -0x1.65421002b60dep-5, -0x1.7393353ea18fdp-5, -0x1.81876f5be55ccp-5, -0x1.8f20e601501f6p-5, -0x1.9c61abbab8eadp-5, -0x1.a94bbce51315ap-5, -0x1.b5e1068c9b7ddp-5, -0x1.c223609de2595p-5, -0x1.ce14924d890ecp-5, -0x1.d9b6530b5a377p-5, -0x1.e50a47331b647p-5, -0x1.f012059121859p-5, -0x1.facf1479aa39bp-5, -0x1.02a17647fa4a8p-4, -0x1.07b77b0fdb0fdp-4, -0x1.0caa465f651f2p-4, -0x1.117a80532a6b6p-4, -0x1.1628c92283eaep-4, -0x1.1ab5bc5109d68p-4, -0x1.1f21ef70666f6p-4, -0x1.236df1c652b18p-4, -0x1.279a4efc7a65ep-4, -0x1.2ba78c11361c4p-4, -0x1.2f962a11e62cfp-4, -0x1.3366a57468969p-4, -0x1.371975bc55686p-4, -0x1.3aaf126f2b782p-4, -0x1.3e27e75cc27b5p-4, -0x1.418462cb3f9e8p-4, -0x1.44c4ef8a1651ep-4, -0x1.47e9f2a46d16ep-4, -0x1.4af3cef4db741p-4, -0x1.4de2e4927adf7p-4, -0x1.50b7916bd6f78p-4, -0x1.5372303e4405bp-4, -0x1.5613199f4133bp-4, -0x1.589aa4192f9d8p-4, -0x1.5b0923881a96ep-4, -0x1.5d5eeab936c6ap-4, -0x1.5f9c4a5c79f48p-4, -0x1.61c1917e55a8p-4, -0x1.63cf0cb117c5ep-4, -0x1.65c508caa855ap-4, -0x1.67a3d07b5a371p-4, -0x1.696bad1fa1bbfp-4, -0x1.6b1ce5c548be5p-4, -0x1.6cb7c2d5858e8p-4, -0x1.6e3c8ae87f8b9p-4, -0x1.6fab823418359p-4, -0x1.7104ee1ab921dp-4, -0x1.72491359dea69p-4, -0x1.737834b907c3fp-4, -0x1.749294d9f281bp-4, -0x1.759875eab8c61p-4, -0x1.768a19462c3bep-4, -0x1.7767c1199bc5ep-4, -0x1.7831ae02ba219p-4, -0x1.78e8208af5efep-4, -0x1.798b596abe2bbp-4, -0x1.7a1b988a41bf9p-4, -0x1.7a991db8570f6p-4, -0x1.7b042932d0675p-4, -0x1.7b5cf8eaa096ep-4, -0x1.7ba3cef3297f8p-4, -0x1.7bd8e912d6d7p-4, -0x1.7bfc86a71238cp-4, -0x1.7c0ee716c4aadp-4, -0x1.7c10495c4ea0ep-4, -0x1.7c00ec6505089p-4, -0x1.7be10f763de43p-4, -0x1.7bb0f1c317dfdp-4, -0x1.7b70d248e2f92p-4, -0x1.7b20efe12936cp-4, -0x1.7ac18979a6436p-4, -0x1.7a52de2998b2dp-4, -0x1.79d52cb249356p-4, -0x1.7948b4fbb0e09p-4, -0x1.78adb41fec102p-4, -0x1.78046b2ec16a2p-4, -0x1.774d17c9e3609p-4, -0x1.7687f96b299f2p-4, -0x1.75b54eaece9ap-4, -0x1.74d55646b8febp-4, -0x1.73e84f3c6fcd9p-4, -0x1.72ee785dd83b7p-4, -0x1.71e81033a3a15p-4, -0x1.70d555a93e36ap-4, -0x1.6fb686b9e6a11p-4, -0x1.6e8be242ebd5dp-4, -0x1.6d55a63e3f484p-4, -0x1.6c141155fea12p-4, -0x1.6ac76116171e1p-4, -0x1.696fd2d7612ffp-4, -0x1.680da71e5efcdp-4, -0x1.66a117332503dp-4, -0x1.652a63bc1a967p-4, -0x1.63a9c8e8103e4p-4, -0x1.621f836c2d7bep-4, -0x1.608bd00fe5072p-4, -0x1.5eeeebbfb58a5p-4, -0x1.5d4911f9af399p-4, -0x1.5b9a7ef6986e4p-4, -0x1.59e36ef583d4bp-4, -0x1.58241c2cdf03p-4, -0x1.565cc2a940e6p-4, -0x1.548d9bf784f38p-4, -0x1.52b6e3b8eba0dp-4, -0x1.50d8d31a496bbp-4, -0x1.4ef3a3901327bp-4, -0x1.4d078eae55505p-4, -0x1.4b14cd5faa182p-4, -0x1.491b96ecc31a2p-4, -0x1.471c24cede488p-4, -0x1.4516ae50e1f3dp-4, -0x1.430b6921c73b4p-4, -0x1.40fa8d3f24842p-4, -0x1.3ee44fdc48bbep-4, -0x1.3cc8e73e7b2ap-4, -0x1.3aa888386d87p-4, -0x1.3883673d7f3f8p-4, -0x1.3659b914b170cp-4, -0x1.342bb05f5effbp-4, -0x1.31f98074b4ed2p-4, -0x1.2fc35c3a06055p-4, -0x1.2d8974faf4dd4p-4, -0x1.2b4bfc57f071dp-4, -0x1.290b23b56b00dp-4, -0x1.26c7199dedf83p-4, -0x1.24800f47454e2p-4, -0x1.223632c3a9b04p-4, -0x1.1fe9b25dc57dep-4, -0x1.1d9abcc2d0ebcp-4, -0x1.1b497e1673cd7p-4, -0x1.18f623e7ac99bp-4, -0x1.16a0d919e5177p-4, -0x1.1449c9ef986dfp-4, -0x1.11f11fd0654dep-4, -0x1.0f97059663d0ep-4, -0x1.0d3ba4017d19ep-4, -0x1.0adf23cdd0ca4p-4, -0x1.0881adf4a193fp-4, -0x1.062368a0ce539p-4, -0x1.03c47c30323bcp-4, -0x1.01650d4bee785p-4, -0x1.fe0a836d84156p-5, -0x1.f94a7e1a8a99cp-5, -0x1.f48a4daf3d2e9p-5, -0x1.efca3d3c42324p-5, -0x1.eb0a8d2ef9bcp-5, -0x1.e64b87d4b8f35p-5, -0x1.e18d6df7bc419p-5, -0x1.dcd083945f9cdp-5, -0x1.d815061e13fd1p-5, -0x1.d35b3942c7621p-5, -0x1.cea353e5d97b6p-5, -0x1.c9ed98a72974cp-5, -0x1.c53a34de30b0cp-5, -0x1.c0896dbcaa76cp-5, -0x1.bbdb746bdeac4p-5, -0x1.b73081bdf6808p-5, -0x1.b288cee63701bp-5, -0x1.ade493a7d84ecp-5, -0x1.a944047295f88p-5, -0x1.a4a754db645ffp-5, -0x1.a00eb2e4d7b07p-5, -0x1.9b7a4c335cad5p-5, -0x1.96ea4a225bb89p-5, -0x1.925ed592f3e8bp-5, -0x1.8dd817fd2d791p-5, -0x1.89563ae3023bfp-5, -0x1.84d96d4a85f99p-5, -0x1.8061da65ce2eap-5, -0x1.7befb1d6943c5p-5, -0x1.77831d0135d5fp-5, -0x1.731c43a4e9ea4p-5, -0x1.6ebb47ab7971ep-5, -0x1.6a6044693a4b2p-5, -0x1.660b5325ae954p-5, -0x1.61bc8a7719459p-5, -0x1.5d7402b4d8964p-5, -0x1.5931d753355b4p-5, -0x1.54f629be03215p-5, -0x1.50c11e9807a07p-5, -0x1.4c92dd6135b54p-5, -0x1.486b8b5ce8836p-5, -0x1.444b4a60ee42ep-5, -0x1.403233b541c1ap-5, -0x1.3c205783f47fap-5, -0x1.3815beda958e3p-5, -0x1.34126db5f8258p-5, -0x1.301669f256cddp-5, -0x1.2c21b8fac08b5p-5, -0x1.28346e757583ep-5, -0x1.244ea0efc1995p-5, -0x1.207071189f9c5p-5, -0x1.1c9a0233f3eb2p-5, -0x1.18cb75d47144dp-5, -0x1.1504e65540f78p-5, -0x1.11466260f2bebp-5, -0x1.0d8fedc91e3a2p-5, -0x1.09e17fda6cc68p-5, -0x1.063b0e320f579p-5, -0x1.029c89e481b55p-5, -0x1.fe0be3d87cb1fp-6, -0x1.f6ee927a535a7p-6, -0x1.efe13e9f60addp-6, -0x1.e8e417fcd2c09p-6, -0x1.e1f75610e9d2ep-6, -0x1.db1b2f0df209p-6, -0x1.d44fcbb281585p-6, -0x1.cd953e27f5196p-6, -0x1.c6eb7ddc0a218p-6, -0x1.c0526dff87b3cp-6, -0x1.b9c9e3dc418p-6, -0x1.b351be390152cp-6, -0x1.ace9e098fbe8cp-6, -0x1.a69256b633338p-6, -0x1.a04b268d2218ap-6, -0x1.9a146cb82788bp-6, -0x1.93ee3e27f518bp-6, -0x1.8dd8ac388115ep-6, -0x1.87d3bbee9e455p-6, -0x1.81df684085d67p-6, -0x1.7bfb9e7f92bf7p-6, -0x1.7628406790e9ep-6, -0x1.70652912a411cp-6, -0x1.6ab237ae72b39p-6, -0x1.650f5d243811ep-6, -0x1.5f7ca3dc2943cp-6, -0x1.59fa2bac3596dp-6, -0x1.548814ac50cebp-6, -0x1.4f267c9bd4629p-6, -0x1.49d543d27c152p-6, -0x1.44943fc4eb84dp-6, -0x1.3f6325dbea11cp-6, -0x1.3a41a9fd746f8p-6, -0x1.352f8eaf6122p-6, -0x1.302caa8220b18p-6, -0x1.2b38e782e3e09p-6, -0x1.26543e7aa204ep-6, -0x1.217ebb5d2a33ap-6, -0x1.1cb87fda361c5p-6, -0x1.1801c2410c28ep-6, -0x1.135ac1e36099ap-6, -0x1.0ec3adfff8c45p-6, -0x1.0a3c86eece2d5p-6, -0x1.05c50bac33d05p-6, -0x1.015cbf3cec979p-6, -0x1.fa060db607057p-7, -0x1.f16eac254d75ep-7, -0x1.e8f2a8347583dp-7, -0x1.e091b2799bf9fp-7, -0x1.d84be7da2c8ffp-7, -0x1.d0218180dcb16p-7, -0x1.c812ca13d2b82p-7, -0x1.c020034cb694dp-7, -0x1.b849765f1a4dbp-7, -0x1.b08f79f62596ap-7, -0x1.a8f26058a1033p-7, -0x1.a17250d597c87p-7, -0x1.9a0f133618e3cp-7, -0x1.92c7e8a4b3a5fp-7, -0x1.8b9ba20c73273p-7, -0x1.8488f598eaef6p-7, -0x1.7d8edb1789f04p-7, -0x1.76acd0eb9bcbcp-7, -0x1.6fe2d69b433a5p-7, -0x1.69312c99e61acp-7, -0x1.6298078e7ad5p-7, -0x1.5c1767ea2c38fp-7, -0x1.55af25efc8e7bp-7, -0x1.4f5f1f9ad4fep-7, -0x1.492743bdd2b8fp-7, -0x1.4307cea78639bp-7, -0x1.3d00f00aa75bcp-7, -0x1.3712bec97606cp-7, -0x1.313cf999f723dp-7, -0x1.2b7f0d1a7ace7p-7, -0x1.25d82d9925f5dp-7, -0x1.2047a3c7893e4p-7, -0x1.1accf2233e462p-7, -0x1.1567de6c8389ap-7, -0x1.101834414f074p-7, -0x1.0adda0d3f171p-7, -0x1.05b7a407dd1f2p-7, -0x1.00a5ae6ac69dcp-7, -0x1.f74ea2350ad84p-8, -0x1.ed78bcdc6ad9fp-8, -0x1.e3c9f913883a4p-8, -0x1.da4306a0f7b53p-8, -0x1.d0e480b099e5ep-8, -0x1.c7ae7cc23884fp-8, -0x1.bea0a1c253b16p-8, -0x1.b5ba940cafa9bp-8, -0x1.acfc40d33d5e6p-8, -0x1.a465bce811fd1p-8, -0x1.9bf6d96123c62p-8, -0x1.93aea9fd64f32p-8, -0x1.8b8b25261eb6p-8, -0x1.8389d5d2d377ep-8, -0x1.7ba87df12b80dp-8, -0x1.73e5fc9404a65p-8, -0x1.6c422108ebc55p-8, -0x1.64bd25269e24ap-8, -0x1.5d576ec50a5a8p-8, -0x1.5611ae984d951p-8, -0x1.4eec9e9d97e55p-8, -0x1.47e8562aa04b3p-8, -0x1.41042bf7ddab8p-8, -0x1.3a3f7cfd6dd34p-8, -0x1.339a77ac15c9bp-8, -0x1.2d1603ddc5ed9p-8, -0x1.26b2e20cfaacfp-8, -0x1.2070dc62d3b08p-8, -0x1.1a4e9dbca362bp-8, -0x1.1449d4d8c9d78p-8, -0x1.0e5f777be7e7ep-8, -0x1.088cda8fd0ae8p-8, -0x1.02d110dde8063p-8, -0x1.fa5a37a1729b7p-9, -0x1.ef447e1937896p-9, -0x1.e46196bb282ccp-9, -0x1.d9b13c3061ec3p-9, -0x1.cf33bfe00056cp-9, -0x1.c4e955ef24fbap-9, -0x1.bad1461ce7f21p-9, -0x1.b0eac63155888p-9, -0x1.a7355c03142edp-9, -0x1.9db121edab5a9p-9, -0x1.945de7db05977p-9, -0x1.8b3b5829a0ac7p-9, -0x1.82491ae960183p-9, -0x1.7985fd0d38529p-9, -0x1.70f02dcbbbe3bp-9, -0x1.6884297eab65cp-9, -0x1.603cec4f962a3p-9, -0x1.5817b031f4c86p-9, -0x1.5016fe3e9dd89p-9, -0x1.483e890ae4c85p-9, -0x1.408e176b8fe0cp-9, -0x1.390379dfba543p-9, -0x1.319e71f5f1854p-9, -0x1.2a5fd02e5ad52p-9, -0x1.2347af6820788p-9, -0x1.1c55a7cb4b342p-9, -0x1.1588c341a825bp-9, -0x1.0edf4e546dde1p-9, -0x1.085790eb82c5fp-9, -0x1.01f0c77e217dep-9, -0x1.f756cdbfb8c12p-10, -0x1.eb10b2fa58e74p-10, -0x1.df0f89db18061p-10, -0x1.d35185c898e1ep-10, -0x1.c7d342427d788p-10, -0x1.bc8ecde4d09dcp-10, -0x1.b17df5f4ac4fcp-10, -0x1.a6a2d1eb95a26p-10, -0x1.9c035b2eed196p-10, -0x1.919daa0a9352ap-10, -0x1.876d4e14f95aap-10, -0x1.7d73d24787668p-10, -0x1.73b3c9b18e5c7p-10, -0x1.6a2caa9363019p-10, -0x1.60db6892adad3p-10, -0x1.57bc9855c73d6p-10, -0x1.4ecddba6c15dp-10, -0x1.460de073b9733p-10, -0x1.3d7c89c5204a1p-10, -0x1.3519b0709e971p-10, -0x1.2ce627175aaf8p-10, -0x1.24e29f638c4ccp-10, -0x1.1d0f497513241p-10, -0x1.156a628ad8298p-10, -0x1.0df1ac0195dd7p-10, -0x1.06a30f5d4c8cp-10, -0x1.fef66c21bf3cfp-11, -0x1.f0f26ebf6ece9p-11, -0x1.e340ba3b698b5p-11, -0x1.d5dc65c6bb731p-11, -0x1.c8c05d0d4fc79p-11, -0x1.bbf583cfced47p-11, -0x1.af7d28ada976p-11, -0x1.a34f6d8771681p-11, -0x1.9766140056bbap-11, -0x1.8bbedcfa4d185p-11, -0x1.805980ea6d1c9p-11, -0x1.7535fe45dd4a6p-11, -0x1.6a53ecc9f1d11p-11, -0x1.5fb25bdb8169dp-11, -0x1.55502d69c4923p-11, -0x1.4b2ccabef0d27p-11, -0x1.4148a66d19316p-11, -0x1.37a4290f51367p-11, -0x1.2e3d5387ab0cfp-11, -0x1.250e7e4b273fdp-11, -0x1.1c15940978141p-11, -0x1.13557a4e872fcp-11, -0x1.0acb8bbd2a746p-11, -0x1.0274101a7fdf5p-11, -0x1.f499a5e088551p-12, -0x1.e4b3f4e02ca01p-12, -0x1.d53e101546beep-12, -0x1.c62b76e2b2e0fp-12, -0x1.b7737f046d8d5p-12, -0x1.a914954d83c91p-12, -0x1.9b0ec48f44455p-12, -0x1.8d61886beeebbp-12, -0x1.800bea629e11cp-12, -0x1.730c63d25d8efp-12, -0x1.6661356f64d04p-12, -0x1.5a08941e01c5ap-12, -0x1.4dffaccb0ddc5p-12, -0x1.4245fc8564cbfp-12, -0x1.36db26800bfe5p-12, -0x1.2bbfbac173cccp-12, -0x1.20f13a06c47a7p-12, -0x1.1667b0608a965p-12, -0x1.0c213c4ee8466p-12, -0x1.0226395c2c0f8p-12, -0x1.f0de4caae53f1p-13, -0x1.dde8f73561561p-13, -0x1.cb7560bf40346p-13, -0x1.b989c8247cf4ap-13, -0x1.a81ddac39601bp-13, -0x1.9726696013211p-13, -0x1.86a1bb04b898dp-13, -0x1.768f859d608fp-13, -0x1.66edfc306e5ccp-13, -0x1.57bc2bb3c1bd1p-13, -0x1.48f5f8d769008p-13, -0x1.3a9abffa88f59p-13, -0x1.2ca69c6db477fp-13, -0x1.1f1831555d40dp-13, -0x1.11ec60895de25p-13, -0x1.0520a7ba3afep-13, -0x1.f16591a73fe8p-14, -0x1.d942794bef597p-14, -0x1.c1d7a3098756fp-14, -0x1.ab265c869c97cp-14, -0x1.951d83689163ap-14, -0x1.7fb67dacd6cc2p-14, -0x1.6af30e7d05a1fp-14, -0x1.56d3d0b4373b9p-14, -0x1.434efe86bf618p-14, -0x1.3064006438b58p-14, -0x1.1e10f48ec032p-14, -0x1.0c4dd07080976p-14, -0x1.f6278731ab0afp-15, -0x1.d4ccd967d8513p-15, -0x1.b47e12b306c48p-15, -0x1.9537cc340ca68p-15, -0x1.76f220a41250ap-15, -0x1.59a9b309d116cp-15, -0x1.3d55c7c0c952ap-15, -0x1.21f17d2840266p-15, -0x1.0776b7868d617p-15, -0x1.dbbea9d2b150cp-16, -0x1.aa49a63418286p-16, -0x1.7a848f11fa26cp-16, -0x1.4c63f3fc77c63p-16, -0x1.1fdbc1098b218p-16, -0x1.e9cc2a4ef0a21p-17, -0x1.970a143b12661p-17, -0x1.47538e11457a9p-17, -0x1.f4ccef06d5623p-18, -0x1.604933f9d5e2fp-18, -0x1.a331541950ab1p-19, -0x1.219a98dc45031p-20, 0x1.de33a4db586cep-21, 0x1.7587739a11af1p-19, 0x1.34e203c93cfc9p-18, 0x1.aa3c347e37c4cp-18, 0x1.0d6ebf74ef07p-17, 0x1.4377d84934a05p-17, 0x1.7745a08770f84p-17, 0x1.a8e92247ff1e9p-17, 0x1.d878d94d1bf3fp-17, 0x1.02f6f2f925f65p-16, 0x1.18b623cd01103p-16, 0x1.2d7c60703993bp-16, 0x1.4157d30446879p-16, 0x1.543da54efe22cp-16, 0x1.663be28394e7fp-16, 0x1.776bf4067cf35p-16, 0x1.87c0984a6489ap-16, 0x1.97420424129dfp-16, 0x1.a5fa391f0ec4cp-16, 0x1.b3ecec6450d53p-16, 0x1.c114a66726a93p-16, 0x1.cd8124f8b6669p-16, 0x1.d9465526948f8p-16, 0x1.e45903e7fb1adp-16, 0x1.eeb7482a41466p-16, 0x1.f876e1b3d5e3ep-16, 0x1.00ca140e4a926p-15, 0x1.0509bc364e29p-15, 0x1.08ffa36e39a9fp-15, 0x1.0cad441fa949dp-15, 0x1.1013bdf6ad29ep-15, 0x1.133385a660967p-15, 0x1.1611fa0e60423p-15, 0x1.18ae030a2e044p-15, 0x1.1b0cb15dda687p-15, 0x1.1d3059a071897p-15, 0x1.1f149f2baf7fdp-15, 0x1.20c4aac9f2f2ep-15, 0x1.223af720ebbebp-15, 0x1.237cd55ef183bp-15, 0x1.248c0cf14d073p-15, 0x1.25679a5caa16fp-15, 0x1.2614169cddf5ap-15, 0x1.26926b236ae8p-15, 0x1.26e4b99645e8fp-15, 0x1.270b77bd276dap-15, 0x1.270975d53d28ep-15, 0x1.26db22169f46ap-15, 0x1.26868b52b8ca2p-15, 0x1.260f018a1160ap-15, 0x1.25767bc4393a4p-15, 0x1.24b19a2914747p-15, 0x1.23d54b43445abp-15, 0x1.22d416e584bf1p-15, 0x1.21ac02fb4daf9p-15, 0x1.206ca3554e3e1p-15, 0x1.1f1150519dcb2p-15, 0x1.1d99ff428289bp-15, 0x1.1c07ce72a8a7cp-15, 0x1.1a5b7dc6776cp-15, 0x1.1899989e668c8p-15, 0x1.16bed6e5b8135p-15, 0x1.14cbc81b287bep-15, 0x1.12c55592776bfp-15, 0x1.10a9af54ca845p-15, 0x1.0e7a072ded56ap-15, 0x1.0c39140d9331bp-15, 0x1.09e49f4f4c7c2p-15, 0x1.077e4f278fb9fp-15, 0x1.0509bc36b75d4p-15, 0x1.02857454da53cp-15, 0x1.ffea2c50aa84ap-16, 0x1.faa6c97c6c648p-16, 0x1.f54b225af73ddp-16, 0x1.efd463952f5b5p-16, 0x1.ea473a5f95c8ap-16, 0x1.e4a618ac28b2bp-16, 0x1.deee8f22c787dp-16, 0x1.d925518c9f8e5p-16, 0x1.d3441c84f3242p-16, 0x1.cd523b693c057p-16, 0x1.c752c8e7877fep-16, 0x1.c145bb8cf9334p-16, 0x1.bb35ce2cb4e37p-16, 0x1.b500c469f7p-16, 0x1.aecb01667334ap-16, 0x1.a88b020a095d2p-16, 0x1.a23efc980f567p-16, 0x1.9beb68639dac5p-16, 0x1.959340abdaacdp-16, 0x1.8f32395a96e77p-16, 0x1.88ca7b990be8fp-16, 0x1.824eb19f48188p-16, 0x1.7be961653f153p-16, 0x1.75735df628a9p-16, 0x1.6f046f753244fp-16, 0x1.687e00f74b914p-16, 0x1.61fc3ffeac476p-16, 0x1.5b7c370175192p-16, 0x1.54fe4e05400b7p-16, 0x1.4e80ec558e10cp-16, 0x1.4801469b9a17fp-16, 0x1.4184675ba62b8p-16, 0x1.3b08b2bfb114cp-16, 0x1.348f0591b70a4p-16, 0x1.2e17f39890548p-16, 0x1.27abcdd0cbae6p-16, 0x1.213d4932adae6p-16, 0x1.1ad35727b8c14p-16, 0x1.146e253938524p-16, 0x1.0e0c069bf5212p-16, 0x1.07adbb1185a6bp-16, 0x1.015cd31a35059p-16, 0x1.f62681aaf63c5p-17, 0x1.e9b7ee969180ap-17, 0x1.dd1ffe0e9f79ap-17, 0x1.d0b2601c878a8p-17, 0x1.c454e2fa2977fp-17, 0x1.b80620044868fp-17, 0x1.abcc20c572691p-17, 0x1.9fa2f011ed87fp-17, 0x1.93ad8c1f715a5p-17, 0x1.878ab4a0d68dap-17, 0x1.7b9972b2cbd78p-17, 0x1.6fbd1e17d5d66p-17, 0x1.63f82a19bc6b8p-17, 0x1.584584510a4f2p-17, 0x1.4ca9b3c4d61bp-17, 0x1.412de64330906p-17, 0x1.35b04b646febcp-17, 0x1.2a540d6f1885fp-17, 0x1.1f124e7a54d5ap-17, 0x1.13e7d8db090dfp-17, 0x1.08d3766693bd7p-17, 0x1.fb7cd02087b07p-18, 0x1.e5d96115a9984p-18, 0x1.d052c38b4de68p-18, 0x1.bae934d0d8898p-18, 0x1.a5b1472200699p-18, 0x1.90a70bc86a25ep-18, 0x1.7bd95afc5d519p-18, 0x1.67384da5b911dp-18, 0x1.52de63ebfb99p-18, 0x1.3e9b851be3793p-18, 0x1.2aa922127fee1p-18, 0x1.16d2d0ad2d4cbp-18, 0x1.034374026daf6p-18, 0x1.dfc6974bf3c41p-19, 0x1.b94ba38d3527cp-19, 0x1.936e053e40697p-19, 0x1.6dea8c547f7c5p-19, 0x1.48c8e31c15e47p-19, 0x1.24b724ab9aa24p-19, 0x1.ffba73440d025p-20, 0x1.b7f44bb0b66e3p-20, 0x1.71051a3713adap-20, 0x1.2b0c27e0a133ap-20, 0x1.cbe6b617fa2eap-21, 0x1.43388f2ca15bp-21, 0x1.78510d2d8117cp-22, 0x1.b7c20571b5adfp-24, -0x1.38b93ae40e7e5p-23, -0x1.9cee33dabfe8ap-22, -0x1.4ee14d79ffd2p-21, -0x1.cd95d8b05022bp-21, -0x1.2548cde82981ep-20, -0x1.62cd36eb7e526p-20, -0x1.9f766c4e3b8a2p-20, -0x1.db755adcf4d6p-20, -0x1.0b7b8176f3044p-19, -0x1.286c1034aa287p-19, -0x1.459dc1fde8c62p-19, -0x1.618e938900f5dp-19, -0x1.7d546e2190708p-19, -0x1.98e61c4d64b5cp-19, -0x1.b3ed89eecf764p-19, -0x1.cec8dfff250ebp-19, -0x1.e92060404a138p-19, -0x1.017f6e5f374f4p-18, -0x1.0e23c0317de14p-18, -0x1.1a81beda46027p-18, -0x1.270052596a437p-18, -0x1.333e41b331a9p-18, -0x1.3f415733e9483p-18, -0x1.4aff913c463d8p-18, -0x1.567d6c37cdd78p-18, -0x1.61e89f721f737p-18, -0x1.6d0c85cf06e1dp-18, -0x1.781227a6c76bap-18, -0x1.830d9a963ae2cp-18, -0x1.8d7f1c4030c04p-18, -0x1.97e7661a86bc6p-18, -0x1.a1b92c9410425p-18, -0x1.ac3a1de4d547p-18, -0x1.b6285e652e06p-18, -0x1.bfc9b95efbd84p-18, -0x1.c94b3f9d5d8b5p-18, -0x1.d29d31fda4f75p-18, -0x1.dbc7b1e2c9ad4p-18, -0x1.e4d0464089351p-18, -0x1.ed99962f227c1p-18, -0x1.f62a3eeb04b31p-18, -0x1.feb6b8b025b07p-18, -0x1.037b7fccba518p-17, -0x1.0770a77b887b2p-17, -0x1.0b827fdb4e465p-17, -0x1.0f70ab95bce76p-17, -0x1.133737983d374p-17, -0x1.16f2a9b865b1p-17, -0x1.1a98312085653p-17, -0x1.1e267c1dc289p-17, -0x1.21a9d7a12e9bcp-17, -0x1.25030665d5acp-17, -0x1.28599eee51502p-17, -0x1.2b8f18dd42ceap-17, -0x1.2ea43df40dae2p-17, -0x1.31e366ae2a462p-17, -0x1.34e3d66d16ef6p-17, -0x1.37d20f750cb1ep-17, -0x1.3ab8fdb37ba1bp-17, -0x1.3d53d95918f06p-17, -0x1.40346773102ffp-17, -0x1.42d66c3c6ac42p-17, -0x1.456d13a24439ep-17, -0x1.47f2efbb10462p-17, -0x1.4a68723bb6169p-17, -0x1.4cc60be9268a1p-17, -0x1.4f117f679892fp-17, -0x1.5144d11fd97a2p-17, -0x1.538b53b57a034p-17, -0x1.5589183fa41aep-17, -0x1.5798b4e8b085ap-17, -0x1.5989d89bde2fap-17, -0x1.5b6dce0ec0ba2p-17, -0x1.5d1e811b9b974p-17, -0x1.5f0c7e17bee54p-17, -0x1.60c935af990cap-17, -0x1.6267522877b53p-17, -0x1.63fdd3877a073p-17, -0x1.65866c6d77c8ep-17, -0x1.66fed9b8e328dp-17, -0x1.686f6fbcfe7cep-17, -0x1.69c7ef596e5d7p-17, -0x1.6b063072acaacp-17, -0x1.6c466a539acf5p-17, -0x1.6d7a7e56c1e57p-17, -0x1.6ea428f6f5df4p-17, -0x1.6faa0359fa63ep-17, -0x1.70abbb5287721p-17, -0x1.71b26e21055p-17, -0x1.728e8f35cd656p-17, -0x1.736c2ce4da532p-17, -0x1.743efa159ef05p-17, -0x1.74fa8ee301fc7p-17, -0x1.75ac14af982dbp-17, -0x1.7654749d941ddp-17, -0x1.76edd1fa0a94ep-17, -0x1.77884eefb045fp-17, -0x1.780958eb70524p-17, -0x1.7875991334f0bp-17, -0x1.78e231441a1dbp-17, -0x1.794001b40e76bp-17, -0x1.7999b5bfda49dp-17, -0x1.79e2bc6daba88p-17, -0x1.7a24fb2e13e03p-17, -0x1.7a460198a8923p-17, -0x1.7a4b81704b815p-17, -0x1.7a87eb84c8074p-17, -0x1.7aa8212473b2ep-17, -0x1.7aaa9f28d942p-17, -0x1.7aa926b4087b6p-17, -0x1.7a8bfa6b3539bp-17, -0x1.7a7e6c1ff7e19p-17, -0x1.7a5861cb4068bp-17, -0x1.7a380aa4344a3p-17, -0x1.7a015a1a2a26ep-17, -0x1.79b9301d00884p-17, -0x1.79a19ca040fb3p-17, -0x1.7920985fc0febp-17, }}, 
      {{0x1.bef7c17bae58dp-9, 0x1.5b1619afb2f49p-8, 0x1.255cc23b631c1p-8, 0x1.dbe01e414de5cp-13, -0x1.fba9d67c121eap-8, -0x1.3dac4022e112ap-6, -0x1.19be2c5289cb1p-5, -0x1.ac4332ed81dd5p-5, -0x1.28d8be2fb36e9p-4, -0x1.82810ac23aeadp-4, -0x1.e098ed5acae4bp-4, -0x1.205f835928519p-3, -0x1.5062db31271b6p-3, -0x1.7f5f340cf16a7p-3, -0x1.ac7f69086661dp-3, -0x1.d710f7b21f8a6p-3, -0x1.fe8308a3f22d8p-3, -0x1.11324232d5bb4p-2, -0x1.2130c93d2be79p-2, -0x1.2f205d9cf96e2p-2, -0x1.3aeffd71abd29p-2, -0x1.4498dacda8117p-2, -0x1.4c1ceb5db5f1ep-2, -0x1.518586189185dp-2, -0x1.54e219bcac65cp-2, -0x1.5647021732529p-2, -0x1.55cc77142072p-2, -0x1.538d9c351272bp-2, -0x1.4fa7a7ccb8f99p-2, -0x1.4a393549c153p-2, -0x1.43619e4883906p-2, -0x1.3b4076e02e75p-2, -0x1.31f5256030096p-2, -0x1.279e8237d207p-2, -0x1.1c5a9185a47eap-2, -0x1.10464b51c888cp-2, -0x1.037d6f350e819p-2, -0x1.ec34caf7b6ab4p-3, -0x1.d06c50277c8b8p-3, -0x1.b3d06c39c1f92p-3, -0x1.968d1a2628bf2p-3, -0x1.78cb4c1c89469p-3, -0x1.5ab0f66c777d8p-3, -0x1.3c611330119c1p-3, -0x1.1dfbcfa78fbc4p-3, -0x1.ff3d03f26c73fp-4, -0x1.c2c7bc5cd652ap-4, -0x1.86c818ac2a9c8p-4, -0x1.4b698fb572236p-4, -0x1.10d3040470677p-4, -0x1.ae4dfbdbd704bp-5, -0x1.3d07e315c0c2cp-5, -0x1.9c122db40753dp-6, -0x1.85ffa3facc672p-7, 0x1.0d82962c536ccp-10, 0x1.be6590ccf890ap-7, 0x1.a7d865578f8b1p-6, 0x1.354df736a4d4dp-5, 0x1.93acbe5fccf09p-5, 0x1.eefb1e37410d2p-5, 0x1.2397c30c0fdbep-4, 0x1.4e2213d1f2b4bp-4, 0x1.771b36143c361p-4, 0x1.9e835a02021cdp-4, 0x1.c45c02d120b79p-4, 0x1.e8a7e385e3f43p-4, 0x1.05b55cd0247f6p-3, 0x1.165499d032469p-3, 0x1.26346795e786dp-3, 0x1.3557e29f40664p-3, 0x1.43c2713cccec6p-3, 0x1.5177c882d0461p-3, 0x1.5e7bca885c079p-3, 0x1.6ad291db1c01ap-3, 0x1.76805dcf01dc7p-3, 0x1.81898ca27dca1p-3, 0x1.8bf29687f6c12p-3, 0x1.95c0046550d7bp-3, 0x1.9ef669ddd88cep-3, 0x1.a79a68d43eea9p-3, 0x1.afb0995a4cf4dp-3, 0x1.b73d9ad604fc5p-3, 0x1.be460310b28fap-3, 0x1.c4ce60ca656a4p-3, 0x1.cadb32df7c4ap-3, 0x1.d070edd84d5f3p-3, 0x1.d593f3b386a1cp-3, 0x1.da488fd0b0efep-3, 0x1.de930355886b9p-3, 0x1.e2776b124582dp-3, 0x1.e5f9d9358df1ap-3, 0x1.e91e40c5725fcp-3, 0x1.ebe87dc675779p-3, 0x1.ee5c5283f2834p-3, 0x1.f07d671037baap-3, 0x1.f24f495a0c226p-3, 0x1.f3d56b93d4326p-3, 0x1.f5132813b09ffp-3, 0x1.f60bb9e9cfe7ep-3, 0x1.f6c246a55a40cp-3, 0x1.f739d649e1335p-3, 0x1.f775576df22b6p-3, 0x1.f7779f173130cp-3, 0x1.f7436704d3da1p-3, 0x1.f6db5560a9b9dp-3, 0x1.f641f04789ad1p-3, 0x1.f579aa69e40c3p-3, 0x1.f484dda1dd229p-3, 0x1.f365cd5eef48ep-3, 0x1.f21ea3309d66cp-3, 0x1.f0b17d39e4b11p-3, 0x1.ef20523422ac5p-3, 0x1.ed6d1711be093p-3, 0x1.eb99a2cdc63e8p-3, 0x1.e9a7b780bb301p-3, 0x1.e79908bbad726p-3, 0x1.e56f35e5e5a84p-3, 0x1.e32bccc3bdffbp-3, 0x1.e0d04a73453a6p-3, 0x1.de5e1bf72f70dp-3, 0x1.dbd69d24f62cp-3, 0x1.d93b1babbc86bp-3, 0x1.d68cd59e94129p-3, 0x1.d3ccf8aacbc78p-3, 0x1.d0fcac1dfb31cp-3, 0x1.ce1d01433ccaap-3, 0x1.cb2f02ddeb4bdp-3, 0x1.c833a8fc11c6ep-3, 0x1.c52beabad2602p-3, 0x1.c218a94b92eedp-3, 0x1.befac0db33c04p-3, 0x1.bbd30084cf551p-3, 0x1.b8a2309e84e9ep-3, 0x1.b5690dbce819dp-3, 0x1.b2284b72af187p-3, 0x1.aee09700e729p-3, 0x1.ab9291182ee42p-3, 0x1.a83ed61d233e8p-3, 0x1.a4e5f9982621cp-3, 0x1.a1888b2dc837dp-3, 0x1.9e270bceb597bp-3, 0x1.9ac1fdfa77ca4p-3, 0x1.9759da52b528ep-3, 0x1.93ef12c6b681cp-3, 0x1.9082153e50f66p-3, 0x1.8d134aa53034bp-3, 0x1.89a313cc7e202p-3, 0x1.8631d1092a55dp-3, 0x1.82bfd76ed132dp-3, 0x1.7f4d7f5d9017ap-3, 0x1.7bdb17ab9d7f3p-3, 0x1.7868edac43f81p-3, 0x1.74f74919c44b2p-3, 0x1.71866f2a884dep-3, 0x1.6e16a1222e5fp-3, 0x1.6aa81e4906f2ep-3, 0x1.673b207c921a6p-3, 0x1.63cfdeda598bep-3, 0x1.6066902ee9b88p-3, 0x1.5cff665e0da68p-3, 0x1.599a9144c7ab8p-3, 0x1.56383e95c7a01p-3, 0x1.52d898b015007p-3, 0x1.4f7bc91906c22p-3, 0x1.4c21f701fc8p-3, 0x1.48cb4684bc29cp-3, 0x1.4577db42e9063p-3, 0x1.4227d73d12fc2p-3, 0x1.3edb566b5190ap-3, 0x1.3b927a79b712ep-3, 0x1.384d5d5daf3bbp-3, 0x1.350c1c25ba8bcp-3, 0x1.31cece3a6a91bp-3, 0x1.2e958cb5c1d05p-3, 0x1.2b606d5279d55p-3, 0x1.282f8806d9082p-3, 0x1.2502eeef432cap-3, 0x1.21dab71829645p-3, 0x1.1eb6f28697626p-3, 0x1.1b97b06b1f3acp-3, 0x1.187d0497aa9fap-3, 0x1.1566fddd55758p-3, 0x1.1255a9413def2p-3, 0x1.0f4915c3b3226p-3, 0x1.0c41507c084ecp-3, 0x1.093e659cc6281p-3, 0x1.064060eaea8f5p-3, 0x1.03474d7e625bp-3, 0x1.00533523802abp-3, 0x1.fac8453629f3ep-4, 0x1.f4f43b587ceadp-4, 0x1.ef2a5ea6a1ef7p-4, 0x1.e96abeb97b24dp-4, 0x1.e3b56c3e243b2p-4, 0x1.de0a74d96b3cap-4, 0x1.d869e2a086d12p-4, 0x1.d2d3c494f585bp-4, 0x1.cd482839965f3p-4, 0x1.c7c70ee4ce6eap-4, 0x1.c250881d7421fp-4, 0x1.bce49b5289536p-4, 0x1.b7835207c1369p-4, 0x1.b22cb105204b6p-4, 0x1.ace0bee6ea77p-4, 0x1.a79f8251d22eap-4, 0x1.a268fef77bc24p-4, 0x1.9d3d394fdb09ep-4, 0x1.981c3583011fdp-4, 0x1.9305f6580940fp-4, 0x1.8dfa7d2c24896p-4, 0x1.88f9cd47a391p-4, 0x1.8403e6a9a14b1p-4, 0x1.7f18ce188ce47p-4, 0x1.7a387cdaa2ab8p-4, 0x1.7562f305ebe9ap-4, 0x1.70983a3240f8ap-4, 0x1.6bd8438df1795p-4, 0x1.672314153deadp-4, 0x1.6278a88b4eb92p-4, 0x1.5dd8fd8fa2d93p-4, 0x1.594411d825ecp-4, 0x1.54b9dea39c27cp-4, 0x1.503a607b3d4b8p-4, 0x1.4bc5938b6d62dp-4, 0x1.475b733a89c68p-4, 0x1.42fbfa11d4c66p-4, 0x1.3ea7219196a28p-4, 0x1.3a5ce44cc6903p-4, 0x1.361d3b7aa7b4ap-4, 0x1.31e81d1d6552cp-4, 0x1.2dbd8b55d2234p-4, 0x1.299d73e09640cp-4, 0x1.2587d48398e4cp-4, 0x1.217ca2409d2e5p-4, 0x1.1d7bd6d8f76ccp-4, 0x1.19856930d2222p-4, 0x1.15994e80d3d5bp-4, 0x1.11b77f1f13e2cp-4, 0x1.0ddfed831fa98p-4, 0x1.0a1295d7d39b5p-4, 0x1.064f68a39d494p-4, 0x1.02965b4c445e9p-4, 0x1.fdcecb014275cp-5, 0x1.f684f639639a7p-5, 0x1.ef4f21d459557p-5, 0x1.e82d36092760bp-5, 0x1.e11f175b251fcp-5, 0x1.da24b5ef9632p-5, 0x1.d33df0d60f70fp-5, 0x1.cc6ab03486e94p-5, 0x1.c5aadba69036fp-5, 0x1.befe5986454e7p-5, 0x1.b8650ff08472ep-5, 0x1.b1dee0c2ad72dp-5, 0x1.ab6bb2ff59f3p-5, 0x1.a50b6c5ac4f17p-5, 0x1.9ebded005d364p-5, 0x1.98831a8670b3cp-5, 0x1.925adcf85eb2p-5, 0x1.8c45094c2300fp-5, 0x1.86419213cb6dfp-5, 0x1.80504e1725d38p-5, 0x1.7a71244ee8ac7p-5, 0x1.74a3f712a3098p-5, 0x1.6ee8aa0035e29p-5, 0x1.693f15cdd44b4p-5, 0x1.63a71dbe3ef02p-5, 0x1.5e20a4e86feaap-5, 0x1.58ab936751ddp-5, 0x1.5347ba45eedb9p-5, 0x1.4df502033208dp-5, 0x1.48b348852e0a4p-5, 0x1.43826ed98580bp-5, 0x1.3e6251f34e27cp-5, 0x1.3952d371bd358p-5, 0x1.3453d00f72a81p-5, 0x1.2f65288ab1ccbp-5, 0x1.2a86bbec99785p-5, 0x1.25b8663a9fbb7p-5, 0x1.20fa05f8aadadp-5, 0x1.1c4b7c1485995p-5, 0x1.17aca644cd188p-5, 0x1.131d60661d8fp-5, 0x1.0e9d8b0fd3b45p-5, 0x1.0a2d0322f8daap-5, 0x1.05cba654adcb9p-5, 0x1.017953028a356p-5, 0x1.fa6bcc3ea5cep-6, 0x1.f2027a36d4febp-6, 0x1.e9b66f8d62011p-6, 0x1.e18766219d4dp-6, 0x1.d9751517376bp-6, 0x1.d17f3d71e7e57p-6, 0x1.c9a5984520d14p-6, 0x1.c1e7df2419101p-6, 0x1.ba45ced35cc0ap-6, 0x1.b2bf230f104fep-6, 0x1.ab539808aba85p-6, 0x1.a402e5b68e265p-6, 0x1.9cccd0f630337p-6, 0x1.95b10727492bep-6, 0x1.8eaf4944943f5p-6, 0x1.87c75faa04115p-6, 0x1.80f8eab383097p-6, 0x1.7a43c7f1eaad3p-6, 0x1.73a7a3f3548ccp-6, 0x1.6d242eeaa0ecap-6, 0x1.66b943c235e3dp-6, 0x1.6066792bf3f85p-6, 0x1.5a2bb621dd6eep-6, 0x1.54088c86d50c1p-6, 0x1.4dfcdb67980c9p-6, 0x1.48085568783a8p-6, 0x1.422ab8aa59333p-6, 0x1.3c63c2767f398p-6, 0x1.36b332bf26926p-6, 0x1.3118c68fb4e7cp-6, 0x1.2b943d8c989f2p-6, 0x1.26255791dc6afp-6, 0x1.20cbd51e3953p-6, 0x1.1b87749876e9cp-6, 0x1.1657f98da14a5p-6, 0x1.113d231631e71p-6, 0x1.0c36b1939c36ap-6, 0x1.074467d0decf5p-6, 0x1.0266077fc3a5ap-6, 0x1.fb36a3ba5142fp-7, 0x1.f1c817fe1561cp-7, 0x1.e87fedb3aeea9p-7, 0x1.df5da978affddp-7, 0x1.d660d2e7bc0f1p-7, 0x1.cd88f40f3eee4p-7, 0x1.c4d592b4843e4p-7, 0x1.bc463a59d2a53p-7, 0x1.b3da701a37985p-7, 0x1.ab91d22a2a89ap-7, 0x1.a36bdc061e637p-7, 0x1.9b6828b17bb9p-7, 0x1.938635d48ce89p-7, 0x1.8bc59e2514c2p-7, 0x1.8425edb897a44p-7, 0x1.7ca6b2a9a150fp-7, 0x1.7547805922113p-7, 0x1.6e07cf27f725ap-7, 0x1.66e772b167915p-7, 0x1.5fe5becda8f2fp-7, 0x1.59026207a59f4p-7, 0x1.523cf33acf458p-7, 0x1.4b9508f571e3ap-7, 0x1.450a3b1ca8289p-7, 0x1.3e9c292b708e3p-7, 0x1.384a682e4d1a6p-7, 0x1.32148f7281124p-7, 0x1.2bfa3a4b69e56p-7, 0x1.25faf7e2ac15ap-7, 0x1.20168ecaab733p-7, 0x1.1a4c68a7006d3p-7, 0x1.149c3bfe82041p-7, 0x1.0f05a1a56e4d2p-7, 0x1.09884c571c745p-7, 0x1.0423d33f0d0e5p-7, 0x1.fdafb6efebb71p-8, 0x1.f34817b85b275p-8, 0x1.e9101db491593p-8, 0x1.df07090afdfbep-8, 0x1.d52c24a9dfa97p-8, 0x1.cb7ec7718d3f6p-8, 0x1.c1fe1abbd692p-8, 0x1.b8a9b7eee53dfp-8, 0x1.af808c719d214p-8, 0x1.a6825331ef1f8p-8, 0x1.9dae13445cce5p-8, 0x1.95035c96a377ap-8, 0x1.8c8187ed4f548p-8, 0x1.8427e4dab4789p-8, 0x1.7bf5d86d7150cp-8, 0x1.73eae898f989bp-8, 0x1.6c0655b28a5e1p-8, 0x1.64479032c4561p-8, 0x1.5cae066a94d6cp-8, 0x1.55390b130f6e7p-8, 0x1.4de803055d81ep-8, 0x1.46ba5a42d912bp-8, 0x1.3fafa662d96fp-8, 0x1.38c705ae8810bp-8, 0x1.320036ccfa0a7p-8, 0x1.2b5abaf3c618ep-8, 0x1.24d5cd2641e44p-8, 0x1.1e71028a750b5p-8, 0x1.182bc5b05cd3fp-8, 0x1.120595e25dd92p-8, 0x1.0bfe031c1c5d2p-8, 0x1.06148b205af89p-8, 0x1.00489994d69e4p-8, 0x1.f53379b5045f3p-9, 0x1.ea0ee18fcdebep-9, 0x1.df2272d30ba5ap-9, 0x1.d46d3459bb2d2p-9, 0x1.c9ee47d24a21dp-9, 0x1.bfa497fa9e522p-9, 0x1.b58f47c06941p-9, 0x1.abad81f54d70dp-9, 0x1.a1fe70b407276p-9, 0x1.9880bf317ff36p-9, 0x1.8f34832609de8p-9, 0x1.86181a0a07849p-9, 0x1.7d2af504b7503p-9, 0x1.746c3324b1391p-9, 0x1.6bdae9b42547dp-9, 0x1.6376bc8401527p-9, 0x1.5b3e5b688c49dp-9, 0x1.533128e68130ep-9, 0x1.4b4e7dd464f61p-9, 0x1.43957ebcbb246p-9, 0x1.3c0555899a6d9p-9, 0x1.349d758019cafp-9, 0x1.2d5ce78383a38p-9, 0x1.26430dc823f4bp-9, 0x1.1f4f3248d4a36p-9, 0x1.1880ac02de193p-9, 0x1.11d6c2ec585e5p-9, 0x1.0b50d2b4b8b83p-9, 0x1.04ee2b594844ep-9, 0x1.fd5c446139413p-10, 0x1.f11fd9f5c69bp-10, 0x1.e52754d11bcf5p-10, 0x1.d96fac734f0c2p-10, 0x1.cdf8a654dd771p-10, 0x1.c2c05a57574d3p-10, 0x1.b7c6fcd2e4ce8p-10, 0x1.ad09e53fedd5bp-10, 0x1.a2884aca32a97p-10, 0x1.98410cd1a4cc8p-10, 0x1.8e3306fc6e997p-10, 0x1.845d231358174p-10, 0x1.7abe90b210067p-10, 0x1.7155e0f3c997bp-10, 0x1.68221b687281bp-10, 0x1.5f223fde64b38p-10, 0x1.56550e45cede7p-10, 0x1.4db9f887f8711p-10, 0x1.454fedff3121ap-10, 0x1.3d163e03e763p-10, 0x1.350bca23f47ffp-10, 0x1.2d2fc61eaf4b7p-10, 0x1.25811ea118a25p-10, 0x1.1dfeec3cf016bp-10, 0x1.16a8550679e4fp-10, 0x1.0f7bf6cf8ff13p-10, 0x1.08797cfb3db2ap-10, 0x1.019fcdda7a9dap-10, 0x1.f5dcdcf09a698p-11, 0x1.e8c8a39a58e56p-11, 0x1.dc00f574bcbcp-11, 0x1.cf8439d6bae5dp-11, 0x1.c350f618403fap-11, 0x1.b766048f595ddp-11, 0x1.abc1d8e9bb397p-11, 0x1.a063a7a3d11c5p-11, 0x1.95499dd3095cbp-11, 0x1.8a72434566aacp-11, 0x1.7fdcee8bb2467p-11, 0x1.758767cf52481p-11, 0x1.6b7089cf36da1p-11, 0x1.61972ae0772bp-11, 0x1.57f990b68a024p-11, 0x1.4e96ddc2e69acp-11, 0x1.456d3c9fc63e9p-11, 0x1.3c7bd0bd7ef57p-11, 0x1.33c13974a8fdap-11, 0x1.2b3c598112c47p-11, 0x1.22ec1411f2c77p-11, 0x1.1acef735737afp-11, 0x1.12e48b885eep-11, 0x1.0b2b68f67b52p-11, 0x1.03a2a02aba8a5p-11, 0x1.f8929e6610646p-12, 0x1.ea3ce9b7e818ep-12, 0x1.dc4280343862p-12, 0x1.ce9ec0fe7268p-12, 0x1.c15573ab3d77cp-12, 0x1.b45f74c8ad41ep-12, 0x1.a7bc35f83a69ep-12, 0x1.9b6ae3182c90ap-12, 0x1.8f67a1506b5cfp-12, 0x1.83b2d320555abp-12, 0x1.784a988f56a67p-12, 0x1.6d29f6ad815cbp-12, 0x1.6251c8556bfa4p-12, 0x1.57c0a7a99e65p-12, 0x1.4d751ec0281b4p-12, 0x1.436c85bfc8fdcp-12, 0x1.39a6916b24aebp-12, 0x1.3022142d00df8p-12, 0x1.26dc067139a91p-12, 0x1.1dd406d41d7e1p-12, 0x1.15083fe77e108p-12, 0x1.0c77a43048a09p-12, 0x1.0421309149679p-12, 0x1.f805ae8ddf50ap-13, 0x1.e8354f3fe7e78p-13, 0x1.d8d1a01370a28p-13, 0x1.c9d7a1e2c71abp-13, 0x1.bb4535a7b9014p-13, 0x1.ad16934b46f74p-13, 0x1.9f477f999f266p-13, 0x1.91d9b0d1b06b2p-13, 0x1.84c86c1f495f6p-13, 0x1.7811fd17482b4p-13, 0x1.6bb4945c9abe2p-13, 0x1.5fadf22f3ba81p-13, 0x1.53fccf8015e2p-13, 0x1.489d92c73aacp-13, 0x1.3d905dfe933f7p-13, 0x1.32cd69c3a00b9p-13, 0x1.285a89f0c205cp-13, 0x1.1e33aaed7118p-13, 0x1.1455172c666f4p-13, 0x1.0abd8b339c43p-13, 0x1.016c1b538cb6fp-13, 0x1.f0bd6e158cfadp-14, 0x1.df28ec3ab4d84p-14, 0x1.ce13c0e7e6fb3p-14, 0x1.bd7fafc8f0c96p-14, 0x1.ad6b993a50527p-14, 0x1.9dc58770c5739p-14, 0x1.8e991abb25e3p-14, 0x1.7fdf0af6e508ep-14, 0x1.719252e9044acp-14, 0x1.63b19f7d070c2p-14, 0x1.563ce3c163856p-14, 0x1.49278ae5e81ccp-14, 0x1.3c853530f28e7p-14, 0x1.303fc16a4de44p-14, 0x1.24591d41c7a2cp-14, 0x1.18ce5deabd32fp-14, 0x1.0d9df4cfcfb11p-14, 0x1.02c5261e2c728p-14, 0x1.f083ed3ed7744p-15, 0x1.dc2a644e4b35ep-15, 0x1.c873fc2124e9fp-15, 0x1.b55ad1eb93b9p-15, 0x1.a2ddc4a054eb1p-15, 0x1.90f64c5658928p-15, 0x1.7fa3c85dc0e77p-15, 0x1.6ed2ecb29210cp-15, 0x1.5ea7721f03187p-15, 0x1.4ef81ad164ce6p-15, 0x1.3fccf37378b9ap-15, 0x1.311f865104e1ap-15, 0x1.22e824bb6fdaep-15, 0x1.153ae46af955cp-15, 0x1.07fb08167f62bp-15, 0x1.f65de454bdcf6p-16, 0x1.dda28fc6fcb64p-16, 0x1.c5bc49a507372p-16, 0x1.aeb22171711e6p-16, 0x1.9878d9f2dd96dp-16, 0x1.830bbdbad6cp-16, 0x1.6e55f95383e65p-16, 0x1.5a64807dbe1e4p-16, 0x1.472b55bd51f94p-16, 0x1.34a1e70ac3dd6p-16, 0x1.22d44f024a98ap-16, 0x1.119395ee49d8ap-16, 0x1.01075450ff966p-16, 0x1.e238a8abb517bp-17, 0x1.c396ab67bbdfp-17, 0x1.a626c75ec5d6dp-17, 0x1.89dd28daaeb0fp-17, 0x1.6e8bd9b396d31p-17, 0x1.546b2380a0ffcp-17, 0x1.3b4cde3d8c00cp-17, 0x1.234075ebed0b8p-17, 0x1.0c354f1cbb141p-17, 0x1.ec20fc032cab2p-18, 0x1.c1ac449506904p-18, 0x1.99088760abb2p-18, 0x1.7227749afec55p-18, 0x1.4cf03948a7763p-18, 0x1.295eb8a51584ep-18, 0x1.0725f36f7dc39p-18, 0x1.cdf7a005e2721p-19, 0x1.8ff305b275cbp-19, 0x1.554bcae0677cp-19, 0x1.1d386c2544cep-19, 0x1.cf579ee778ce4p-20, 0x1.6973cd28f4ce9p-20, 0x1.08ef86fd60926p-20, 0x1.59fdbe8204ef7p-21, 0x1.5301f5d640d03p-22, 0x1.e9ee85a9fd47ep-27, -0x1.25cff9fdfa30dp-22, -0x1.25b58c112e081p-21, -0x1.b10da6b700d72p-21, -0x1.199f97fcc59d6p-20, -0x1.5808be7d8df14p-20, -0x1.90dc4e09d8a88p-20, -0x1.c67be0bcdfa82p-20, -0x1.f8e26aa72496ep-20, -0x1.1486a9acd81dcp-19, -0x1.2a0305a4c8537p-19, -0x1.3e39e2251ad78p-19, -0x1.51094b1b4bb3ap-19, -0x1.624cb3d8bb5e3p-19, -0x1.72184091afa1bp-19, -0x1.80a2753854e24p-19, -0x1.8dd30556e6035p-19, -0x1.99c6e66216a8p-19, -0x1.a4714bebce22ap-19, -0x1.ae2cf4392ff18p-19, -0x1.b684bdca899d9p-19, -0x1.bd6f77a8a1b5ep-19, -0x1.c4217ca4f9855p-19, -0x1.c960b1698d6aep-19, -0x1.cd85dc53dc04p-19, -0x1.d0e44d6819089p-19, -0x1.d36f26e514877p-19, -0x1.d53d2d82fcd16p-19, -0x1.d5fc48fff021ep-19, -0x1.d60a891fbea2bp-19, -0x1.d54a6d39f707dp-19, -0x1.d3f4119419c25p-19, -0x1.d1a7f415b0e5bp-19, -0x1.cefcd22383765p-19, -0x1.cb851adde4b1bp-19, -0x1.c79ab72d049d2p-19, -0x1.c2d2f62cd8612p-19, -0x1.bdb46ad37f6f1p-19, -0x1.b892478da5e43p-19, -0x1.b2238d329ac6bp-19, -0x1.ab6241579acf5p-19, -0x1.a434121c9a4c7p-19, -0x1.9d6bd528f4c1cp-19, -0x1.9506ea86571e9p-19, -0x1.8c4afb25c6c31p-19, -0x1.8416d804c4b08p-19, -0x1.7b430fc3439f6p-19, -0x1.720d64a822de4p-19, -0x1.685fc40b02ccdp-19, -0x1.5e7389b8db9adp-19, -0x1.5458475d30621p-19, -0x1.49fe71a9a6334p-19, -0x1.3f7cf7d04018ep-19, -0x1.34f3e6b7ec0b9p-19, -0x1.29dca548a4p-19, -0x1.1eb9ca27d5a18p-19, -0x1.1356dc4de369fp-19, -0x1.07ab5e03fa231p-19, -0x1.f7f9b1a47e0f9p-20, -0x1.e0b3148a406a3p-20, -0x1.c94cbc171357ep-20, -0x1.b15dac0636b24p-20, -0x1.992af387c3a0fp-20, -0x1.80a67b027806fp-20, -0x1.6870b0b45811p-20, -0x1.4fd0b2256617ap-20, -0x1.3753e0f3fb058p-20, -0x1.1ebcbbcd41208p-20, -0x1.05c6cb5e8e637p-20, -0x1.da676f1cb539ep-21, -0x1.a8b8067207118p-21, -0x1.76c7b3835586p-21, -0x1.4547c9606a84fp-21, -0x1.13cf705af79e6p-21, -0x1.c4c51260b503bp-22, -0x1.62102bc8540b4p-22, -0x1.007eb9e3d23f8p-22, -0x1.3cf46b3974291p-23, -0x1.df07c69f72818p-25, 0x1.2bc674c0582cap-25, 0x1.07522ffc60b03p-23, 0x1.cb45a0fad732ep-23, 0x1.41f5dfd784cb1p-22, 0x1.9f6496551d1cp-22, 0x1.01ddacb4d53a7p-21, 0x1.312b41afa2a2fp-21, 0x1.5fb34d148da1cp-21, 0x1.8df4e4e03a939p-21, 0x1.bc2a733249b1bp-21, 0x1.e99be117a08d9p-21, 0x1.0b61f28afafdp-20, 0x1.2144c61c3bb71p-20, 0x1.3782aadc9fd6ap-20, 0x1.4d6f4b5111121p-20, 0x1.631bd5afd88e1p-20, 0x1.78b04996372ddp-20, 0x1.8d942e5152f15p-20, 0x1.a2ab3a5b1e923p-20, 0x1.b6fae60479244p-20, 0x1.cb3f9ee9ae1dap-20, 0x1.dff5e07ba56c7p-20, 0x1.f3449a1858159p-20, 0x1.0384deb96602fp-19, 0x1.0d17d0c17fb2dp-19, 0x1.16d58fc517efbp-19, 0x1.2071bff24bf06p-19, 0x1.297d6b3912566p-19, 0x1.329e4f3d3025dp-19, 0x1.3b92840142164p-19, 0x1.447e16007a09ap-19, 0x1.4d265628fb90dp-19, 0x1.55ad022b3705bp-19, 0x1.5e137d700028bp-19, 0x1.6614f4a971f0ap-19, 0x1.6e8528adf9243p-19, 0x1.767fe8e4bf43dp-19, 0x1.7e53de6fd8edep-19, 0x1.861b175e07557p-19, 0x1.8d92dae2834d4p-19, 0x1.9508606feb1f5p-19, 0x1.9c4c4c77e2c5ep-19, 0x1.a363c5aefbff5p-19, 0x1.aacdccf0d99f2p-19, 0x1.b12baa3575b6fp-19, 0x1.b7cb548077dddp-19, 0x1.bdff106448b1dp-19, 0x1.c4c6c967f53dcp-19, 0x1.cb3bcae216d9p-19, 0x1.d163f1041c389p-19, 0x1.d7448be8576fep-19, 0x1.dcf60cd62d669p-19, 0x1.e2b227cafce85p-19, 0x1.e84422c142881p-19, 0x1.ed9465b19c8aap-19, 0x1.f2ff58f202f93p-19, 0x1.f84e77e3a8cd8p-19, 0x1.fcfae87963f05p-19, 0x1.00db40858bca2p-18, 0x1.033c3388fc2eep-18, 0x1.058be9de6b73fp-18, 0x1.07d2506495684p-18, 0x1.0a19972c5219dp-18, 0x1.0c2be523b77edp-18, 0x1.0e297ec2e3faap-18, 0x1.0ff4641d1d988p-18, 0x1.11fb9aa28016p-18, 0x1.13d716e2c664dp-18, 0x1.159abb911c0eep-18, 0x1.174bafcdeeb78p-18, 0x1.18f42c7ab030cp-18, 0x1.1a87cd1cde472p-18, 0x1.1bec6fc500683p-18, 0x1.1d8c3a5eaa398p-18, 0x1.1ef6e57a51b04p-18, 0x1.205174072e7cap-18, 0x1.219a21f0b2c5ep-18, 0x1.22cdefaa009f2p-18, 0x1.2408eca7bb0ep-18, 0x1.25139e4fdb307p-18, 0x1.262a688d1a85ep-18, 0x1.273ad0b9ada5cp-18, 0x1.282fb5f6dba2cp-18, 0x1.2913f853be659p-18, 0x1.29eb2eac5de98p-18, 0x1.2adbbb2414a48p-18, 0x1.2b80692ef8e2fp-18, 0x1.2c2151f35ca9fp-18, 0x1.2cb9e61e6aef8p-18, 0x1.2d684ed8d733bp-18, 0x1.2df8671a64e94p-18, 0x1.2e597a6147314p-18, 0x1.2eff17126747ep-18, 0x1.2f3cd94a3eb67p-18, 0x1.2fa49e4b37fd2p-18, 0x1.2fe9466555528p-18, 0x1.30278c6241e6bp-18, 0x1.305490baee678p-18, 0x1.307e51dbd0cd9p-18, 0x1.30b3b0b7f4c95p-18, 0x1.30bcee72c9e6bp-18, 0x1.30b883371224p-18, 0x1.30bbd87f1958cp-18, 0x1.308d7c1f1e9e3p-18, 0x1.309d01ea32dd6p-18, 0x1.307474b66b15dp-18, 0x1.305f048e43e08p-18, 0x1.302472d228572p-18, 0x1.2fe2b1b8fb251p-18, 0x1.2f9d00d95193dp-18, 0x1.2f4a1845d0faap-18, 0x1.2ef0352573fa1p-18, 0x1.2e97cbda38cccp-18, 0x1.2e202e3874132p-18, 0x1.2da32ef2a47f2p-18, 0x1.2d27f4ad1096ep-18, 0x1.2ca7421d7f836p-18, 0x1.2c16051c535dbp-18, 0x1.2b79f5bc844bdp-18, 0x1.2adb45c2a9ce2p-18, 0x1.2a3dbd223bf02p-18, 0x1.297ad4c317951p-18, 0x1.28ef6c03b10ecp-18, 0x1.281319c2f6817p-18, 0x1.274338ed64c61p-18, 0x1.267c061a3da1bp-18, 0x1.25a0638c932e3p-18, 0x1.24cc5004cd0b3p-18, 0x1.23ec7dca72824p-18, 0x1.230a4037702aap-18, 0x1.2206b1f1327b8p-18, 0x1.20f94fab3f481p-18, 0x1.20183230c271dp-18, 0x1.1f24b87b26cc8p-18, 0x1.1e259f8f228c5p-18, 0x1.1d1659e0a0e6fp-18, 0x1.1bf3de76a49eap-18, 0x1.1adddb08c6cd8p-18, 0x1.19b721f69dcbap-18, 0x1.189d6c78db4f5p-18, 0x1.17964b4fae97p-18, 0x1.16429e9feae67p-18, 0x1.150ba1b6ee0f1p-18, 0x1.13ac2a1a8adc6p-18, 0x1.129cbca00282cp-18, 0x1.116aa76f3bb5ap-18, 0x1.10186c767d3d6p-18, 0x1.0ec8675c5ca72p-18, 0x1.0d7a20989f9f8p-18, 0x1.0c2387f59faafp-18, 0x1.0acf30dcb0541p-18, 0x1.0971b01ee6d96p-18, 0x1.080b154cb92abp-18, 0x1.06c43a85b8756p-18, 0x1.055a815fc1899p-18, 0x1.03ce21b09dd52p-18, 0x1.0279f9ab93054p-18, 0x1.01047dd3d31b3p-18, 0x1.ff26727f8f634p-19, 0x1.fc3c1f41b70a3p-19, 0x1.f945c84481e69p-19, 0x1.f66458ba687c2p-19, 0x1.f363e91f19d9p-19, 0x1.f03707473d5f3p-19, 0x1.ed37c189f01d1p-19, 0x1.ea0b998d4738dp-19, 0x1.e703dc0e4016fp-19, 0x1.e407f3ae75eeep-19, 0x1.e0e4e359737abp-19, 0x1.ddc5e234e4816p-19, 0x1.daa6ad0af2626p-19, 0x1.d762abcfd0554p-19, 0x1.d42cbf09a82dep-19, 0x1.d1147626d429cp-19, 0x1.cdcd1ef7dbd0ap-19, 0x1.caba5819dfa87p-19, 0x1.c78239a19d78cp-19, 0x1.c42666bfc6a41p-19, 0x1.c0f098e092882p-19, 0x1.bda8f71db68aep-19, 0x1.ba75d5e01e71cp-19, 0x1.b710f5efa813fp-19, 0x1.b3b7222cc380fp-19, 0x1.b08a059f44502p-19, 0x1.ad39623835edcp-19, 0x1.a99f415c2c70fp-19, 0x1.a689ecf02dce2p-19, 0x1.a33566d58958fp-19, 0x1.9fcd1299687c3p-19, 0x1.9c76fa109dbccp-19, 0x1.991e5b4017eddp-19, 0x1.95cd0e27ee15dp-19, 0x1.9280ee962ae38p-19, 0x1.8f239db38dc2dp-19, 0x1.8ba91ac862288p-19, 0x1.8856094c76e6cp-19, 0x1.84f39064706b3p-19, 0x1.81a24761a186cp-19, 0x1.7e2f8f07c8bb2p-19, 0x1.7ada6d2dd662ap-19, 0x1.77969806d3abp-19, 0x1.740c8f579049bp-19, 0x1.70bbd11a7c10bp-19, 0x1.6d6d9bd00a27bp-19, 0x1.69fbad8f72d11p-19, 0x1.66a7497a4d38bp-19, 0x1.6347352515476p-19, 0x1.5fe174f1c833dp-19, 0x1.5c9a579458d31p-19, 0x1.5940672bca4bbp-19, 0x1.55db65ab7a424p-19, 0x1.527dddd2e54e9p-19, 0x1.4f2940c9d4479p-19, 0x1.4bd1837e7d89bp-19, 0x1.487a16086a233p-19, 0x1.451e0cde7f82ep-19, 0x1.41e1b6b2ed1f4p-19, 0x1.3e75cf38ccdcfp-19, 0x1.3b2e12d89b6f4p-19, 0x1.37face47017ffp-19, 0x1.34acb4c65bea9p-19, 0x1.3158ae0c25032p-19, 0x1.2dfff8cdd6af2p-19, 0x1.2ac8cbc751046p-19, 0x1.27841c716385ep-19, 0x1.2451fc19c9b5bp-19, 0x1.210de71ca4542p-19, 0x1.1dc37a9107c98p-19, 0x1.1ac78226467fdp-19, 0x1.175557b13fd8fp-19, }}, 
      {{-0x1.80b10787ef868p-5, -0x1.302a1df4c3024p-5, -0x1.d82fac65bc221p-6, -0x1.bf0981ba64c2ep-6, -0x1.1face394a49bdp-5, -0x1.ae2a3ba95dc2ap-5, -0x1.3f51cad1fddd5p-4, -0x1.be52909bdf819p-4, -0x1.2419f3d2e49cdp-3, -0x1.6890a8ca3009p-3, -0x1.a7390ab610111p-3, -0x1.dba43c126ef43p-3, -0x1.01352e2846cf9p-2, -0x1.0c965fcbd6921p-2, -0x1.0f4245768e3e5p-2, -0x1.08f31f958f004p-2, -0x1.f3801b6b153bep-3, -0x1.c4173d72ba68ap-3, -0x1.84e5ee4dcec96p-3, -0x1.377ca63b86cf7p-3, -0x1.bb4cd4fe612b2p-4, -0x1.e54440f6a0b07p-5, -0x1.8f26b15559869p-8, 0x1.9b98739c4a4b6p-5, 0x1.bdc0f244397bbp-4, 0x1.59a20ffdc4356p-3, 0x1.d5770795e3787p-3, 0x1.28684333cc001p-2, 0x1.6523e5358dfc4p-2, 0x1.a04fd50b07e75p-2, 0x1.d9625ebeffcb7p-2, 0x1.07f321b8366cp-1, 0x1.21bcf5db359f4p-1, 0x1.39e723a105203p-1, 0x1.5052c5c5b6fa6p-1, 0x1.64e8dfbd99d8fp-1, 0x1.7799a527874ccp-1, 0x1.885bbaf1414f6p-1, 0x1.972b7d0c076b6p-1, 0x1.a40a4cb064b12p-1, 0x1.aefde8fd71bdbp-1, 0x1.b80fcf5a94b19p-1, 0x1.bf4caba1f6938p-1, 0x1.c4c3d4e92bbd2p-1, 0x1.c886d256b924bp-1, 0x1.caa8eabdcd33fp-1, 0x1.cb3ec4becb1bfp-1, 0x1.ca5e0df358497p-1, 0x1.c81d288a767dep-1, 0x1.c492e1ca6d4d9p-1, 0x1.bfd633ea4abc1p-1, 0x1.b9fe1185b7b72p-1, 0x1.b321364b40747p-1, 0x1.ab55fd4ea831p-1, 0x1.a2b23c133f1e7p-1, 0x1.994b27ab1c819p-1, 0x1.8f353ea1bb1cdp-1, 0x1.8484374da70bep-1, 0x1.794af280f9d3ep-1, 0x1.6d9b702bdc8a4p-1, 0x1.6186c73f0e0e7p-1, 0x1.551d21b21ed8ep-1, 0x1.486dba787b202p-1, 0x1.3b86dee504085p-1, 0x1.2e75f0b3b81ecp-1, 0x1.21476a51f4addp-1, 0x1.1406e43bec677p-1, 0x1.06bf1a0ab3362p-1, 0x1.f2f3e4ec9f9e4p-2, 0x1.d8810bdd5e6bp-2, 0x1.be364facc036ap-2, 0x1.a422dcc2ae4p-2, 0x1.8a547706591a2p-2, 0x1.70d78db8f8481p-2, 0x1.57b74b67d63cep-2, 0x1.3efda997756bap-2, 0x1.26b381415f445p-2, 0x1.0ee09cf3f8e52p-2, 0x1.ef179392f8631p-3, 0x1.c175cddd41e69p-3, 0x1.94e5edb7e108ep-3, 0x1.69705b34d3081p-3, 0x1.3f1bffb0b0b17p-3, 0x1.15ee627323a37p-3, 0x1.dbd788adce047p-4, 0x1.8e2e6da08a35dp-4, 0x1.42e56f4bc9b73p-4, 0x1.f3fd19f71ca7p-5, 0x1.66f3ecb81f256p-5, 0x1.bd58d58410b5dp-6, 0x1.6c829e35e0fa6p-7, -0x1.1dbfcc8637f57p-8, -0x1.3bd10af9e8971p-6, -0x1.137e385154fccp-5, -0x1.84883d5ecdd67p-5, -0x1.f1177b0b2236fp-5, -0x1.2c9f2bb893b5p-4, -0x1.5e88477060a28p-4, -0x1.8e5180b82c574p-4, -0x1.bc05c565df2b7p-4, -0x1.e7b06e0861e39p-4, -0x1.08ae95b3a00ddp-3, -0x1.1c8bfac5156bap-3, -0x1.2f767eb149d7bp-3, -0x1.417450489d302p-3, -0x1.528bac7236017p-3, -0x1.62c2d9d19b336p-3, -0x1.722023b903b2dp-3, -0x1.80a9d45586133p-3, -0x1.8e6630b1ca5ep-3, -0x1.9b5b760bbcc7p-3, -0x1.a78fd36ec3fb4p-3, -0x1.b3096aea0dc44p-3, -0x1.bdce4ab559926p-3, -0x1.c7e46ba7ba154p-3, -0x1.d151b17a33fa6p-3, -0x1.da1be601c4cb6p-3, -0x1.e248b8817196bp-3, -0x1.e9ddbcf19e17cp-3, -0x1.f0e069250bd6p-3, -0x1.f75615e207364p-3, -0x1.fd43fc8ba500ep-3, -0x1.01579b49b4158p-2, -0x1.03ce5ed4f48d9p-2, -0x1.0608b5ce72003p-2, -0x1.0808fc25f6296p-2, -0x1.09d17dc70390bp-2, -0x1.0b64763016a52p-2, -0x1.0cc4107cc03b5p-2, -0x1.0df2676f4db18p-2, -0x1.0ef185da51b23p-2, -0x1.0fc36672cff99p-2, -0x1.1069f442382c8p-2, -0x1.10e70a4f7bb03p-2, -0x1.113c75233c67ep-2, -0x1.116bf1a2fe29p-2, -0x1.11772dd62a35dp-2, -0x1.115fc9cc989ffp-2, -0x1.1127573ef8ac6p-2, -0x1.10cf59a800cd5p-2, -0x1.1059478a61027p-2, -0x1.0fc68a05ef5b1p-2, -0x1.0f187d49c74dep-2, -0x1.0e507126a6e12p-2, -0x1.0d6fa93e683a9p-2, -0x1.0c775d5c620dbp-2, -0x1.0b68b9e310c77p-2, -0x1.0a44e005df627p-2, -0x1.090ce6318d033p-2, -0x1.07c1d883e5a28p-2, -0x1.0664b8c412cebp-2, -0x1.04f67f0c67c3p-2, -0x1.037819e011801p-2, -0x1.01ea6eeedcbbfp-2, -0x1.004e5ac4afcccp-2, -0x1.fd49627637e46p-3, -0x1.f9dc7ccba9d97p-3, -0x1.f6578c3c4a2bp-3, -0x1.f2bc09132ee91p-3, -0x1.ef0b5cd5ff28dp-3, -0x1.eb46e2c369096p-3, -0x1.e76fe8a12fdfbp-3, -0x1.e387aeb923846p-3, -0x1.df8f685db6b0cp-3, -0x1.db883cc68dff6p-3, -0x1.d773478f85514p-3, -0x1.d35198cd43c8ep-3, -0x1.cf2435728cd45p-3, -0x1.caec17bcab5e7p-3, -0x1.c6aa3062776e9p-3, -0x1.c25f65e72b9bcp-3, -0x1.be0c957ec5296p-3, -0x1.b9b293500e1e9p-3, -0x1.b5522ab6f5a66p-3, -0x1.b0ec1ef5208b6p-3, -0x1.ac812b3ebcccbp-3, -0x1.a81202dbf3bbdp-3, -0x1.a39f51b039e18p-3, -0x1.9f29bc74dd4b1p-3, -0x1.9ab1e14428707p-3, -0x1.9638577f62335p-3, -0x1.91bdaff9021cep-3, -0x1.8d4275a3c5bcdp-3, -0x1.88c72d67158a7p-3, -0x1.844c569fb789cp-3, -0x1.7fd26b41f236cp-3, -0x1.7b59dffdd28e6p-3, -0x1.76e3246a2b7dp-3, -0x1.726ea34cb862bp-3, -0x1.6dfcc2ca43ebbp-3, -0x1.698de480a64eep-3, -0x1.652265df42c2fp-3, -0x1.60baa010836a1p-3, -0x1.5c56e821345d8p-3, -0x1.57f78f660fa68p-3, -0x1.539ce384e0202p-3, -0x1.4f472e679703ap-3, -0x1.4af6b6b0141a1p-3, -0x1.46abbfa5ffa42p-3, -0x1.4266894f82425p-3, -0x1.3e275083f5276p-3, -0x1.39ee4f4bd28b8p-3, -0x1.35bbbcbf16b22p-3, -0x1.318fcd2d65452p-3, -0x1.2d6ab23b5b095p-3, -0x1.294c9af8d7e5p-3, -0x1.2535b3f4814c4p-3, -0x1.2126274874687p-3, -0x1.1d1e1ce3553a9p-3, -0x1.191dba548b4abp-3, -0x1.1525231655273p-3, -0x1.11347873beb6bp-3, -0x1.0d4bd9bf1625dp-3, -0x1.096b645683f0ep-3, -0x1.059333c143f75p-3, -0x1.01c36173a4dddp-3, -0x1.fbf80b41850eep-4, -0x1.f47a6ca482bf4p-4, -0x1.ed0e101b6bbb4p-4, -0x1.e5b31ba5db2f5p-4, -0x1.de69b1f6e51c1p-4, -0x1.d731f2e63a1dp-4, -0x1.d00bfb7cd1a6p-4, -0x1.c8f7e5faac3c8p-4, -0x1.c1f5c9d5a866ep-4, -0x1.bb05bbe3f1d8dp-4, -0x1.b427ce8474363p-4, -0x1.ad5c11993883fp-4, -0x1.a6a292d00d5fdp-4, -0x1.9ffb5da64e92ap-4, -0x1.99667ad14170dp-4, -0x1.92e3f1aa89034p-4, -0x1.8c73c6f745825p-4, -0x1.8615fdcfd3df2p-4, -0x1.7fca971d4c71ap-4, -0x1.7991920c5485bp-4, -0x1.736aec1eebc9fp-4, -0x1.6d56a0faca2dap-4, -0x1.6754aaa90676ep-4, -0x1.616501936478ap-4, -0x1.5b879c8c84a74p-4, -0x1.55bc710f1557ap-4, -0x1.500372db05c22p-4, -0x1.4a5c94919b242p-4, -0x1.44c7c75cd3cd6p-4, -0x1.3f44fb0d8c1d3p-4, -0x1.39d41ea1a2fbfp-4, -0x1.34751f1516892p-4, -0x1.2f27e9203a37ep-4, -0x1.29ec67d9fb3f7p-4, -0x1.24c285602967dp-4, -0x1.1faa2ad170619p-4, -0x1.1aa3406f6f142p-4, -0x1.15adad65dbd7ep-4, -0x1.10c9580f05c24p-4, -0x1.0bf625f39009cp-4, -0x1.0733fb9ae4c23p-4, -0x1.0282bd0493d44p-4, -0x1.fbc49a2f670fep-5, -0x1.f2a51d10715bbp-5, -0x1.e9a6c5d415d85p-5, -0x1.e0c9569c42762p-5, -0x1.d80c9089ee55bp-5, -0x1.cf703345301dfp-5, -0x1.c6f3fd1b1158dp-5, -0x1.be97ac692cb02p-5, -0x1.b65afdb3b3e1cp-5, -0x1.ae3dac1682fcbp-5, -0x1.a63f72e2806a3p-5, -0x1.9e600c05fec47p-5, -0x1.969f30d5d58ddp-5, -0x1.8efc99d1bf0bap-5, -0x1.8777fec4231f4p-5, -0x1.801117467e239p-5, -0x1.78c7999eb7f5ap-5, -0x1.719b3c2c3c132p-5, -0x1.6a8bb4d841a7fp-5, -0x1.6398b8a9d0f44p-5, -0x1.5cc1fcb4f19adp-5, -0x1.560735bffaed4p-5, -0x1.4f68175a4293fp-5, -0x1.48e45620cec03p-5, -0x1.427ba58d471eep-5, -0x1.3c2db90f37335p-5, -0x1.35fa4492e6c89p-5, -0x1.2fe0fb0548231p-5, -0x1.29e19007dfcfcp-5, -0x1.23fbb6660d966p-5, -0x1.1e2f21ab67a53p-5, -0x1.187b847620a99p-5, -0x1.12e09231a3909p-5, -0x1.0d5dfe18c1bbap-5, -0x1.07f37b73abfcap-5, -0x1.02a0be5ffcbc4p-5, -0x1.facaf45d5e61dp-6, -0x1.f082c6d5c2bf8p-6, -0x1.e6685b3d34f2cp-6, -0x1.dc7b1a8b1c771p-6, -0x1.d2ba6db21eb2cp-6, -0x1.c925bc7dc529ep-6, -0x1.bfbc728ca8c52p-6, -0x1.b67df9d62a7c6p-6, -0x1.ad69bef401fe6p-6, -0x1.a47f2f83e5409p-6, -0x1.9bbdb8e1bb3d8p-6, -0x1.9324c8cf5be35p-6, -0x1.8ab3d0466ef4dp-6, -0x1.826a3b9282c67p-6, -0x1.7a477c4b293ebp-6, -0x1.724afee1202ep-6, -0x1.6a7438a1b80bdp-6, -0x1.62c29a74b2e56p-6, -0x1.5b3599d12aa71p-6, -0x1.53ccae8836325p-6, -0x1.4c8751a750f1bp-6, -0x1.4564fc1fed672p-6, -0x1.3e6527e1be5acp-6, -0x1.37874d37004bdp-6, -0x1.30cae4eab997cp-6, -0x1.2a2f677fa7096p-6, -0x1.23b44f1063444p-6, -0x1.1d5917b816002p-6, -0x1.171d40b270aap-6, -0x1.11004e36a6a7fp-6, -0x1.0b01c5af7a426p-6, -0x1.05213040a4574p-6, -0x1.febc2c25a99e1p-7, -0x1.f36ffe10aaddp-7, -0x1.e85ce25b6008ap-7, -0x1.dd81e06b7f0c2p-7, -0x1.d2ddff6abf241p-7, -0x1.c87046fe9bc8p-7, -0x1.be37c62c5ee5cp-7, -0x1.b4339477265f4p-7, -0x1.aa62d5e1eaa3ap-7, -0x1.a0c4b67ae4fcap-7, -0x1.97586c11b7561p-7, -0x1.8e1d2c11159cdp-7, -0x1.85122bdf71069p-7, -0x1.7c36982cad897p-7, -0x1.73899570e0e33p-7, -0x1.6b0a42defbc34p-7, -0x1.62b7bcdbabe9bp-7, -0x1.5a912661af1cbp-7, -0x1.5295a53cba801p-7, -0x1.4ac478031d13ap-7, -0x1.431ce335a1fa5p-7, -0x1.3b9e3bee64484p-7, -0x1.3447dde66e08ap-7, -0x1.2d1926318d46ep-7, -0x1.26116c4924152p-7, -0x1.1f2ffbd2d7c84p-7, -0x1.187416a1bc606p-7, -0x1.11dcf357c76a7p-7, -0x1.0b69cae84162ap-7, -0x1.0519d402fa6b9p-7, -0x1.fdd8b7ae5dc5ep-8, -0x1.f1c16d6f093ap-8, -0x1.e5ec977b06e31p-8, -0x1.da5919f960777p-8, -0x1.cf05ea5defd12p-8, -0x1.c3f1feef4657ep-8, -0x1.b91c43b198067p-8, -0x1.ae8390cafc25cp-8, -0x1.a426a6fe66777p-8, -0x1.9a04370fedde3p-8, -0x1.901aeb579c5fp-8, -0x1.86698038e4fa6p-8, -0x1.7ceec028d519ep-8, -0x1.73a9a7f50c09bp-8, -0x1.6a99314eb9472p-8, -0x1.61bc78c33f0e7p-8, -0x1.59128f2db4c63p-8, -0x1.509a82a6ca0a9p-8, -0x1.48535c00e89e5p-8, -0x1.403c1bf3a3813p-8, -0x1.3853bc448a7c1p-8, -0x1.309930276b02ap-8, -0x1.290b6ce390b91p-8, -0x1.21a972a33ee5p-8, -0x1.1a725a947ada5p-8, -0x1.13655dd30a661p-8, -0x1.0c81d0ee9ae95p-8, -0x1.05c70d22d5a47p-8, -0x1.fe68d0f83cbd9p-9, -0x1.f19205dc1d575p-9, -0x1.e507d28a456cp-9, -0x1.d8c8307611ea9p-9, -0x1.ccd10bbdf97d5p-9, -0x1.c1207ec198df3p-9, -0x1.b5b4d7261e0bdp-9, -0x1.aa8c963c27779p-9, -0x1.9fa6665b64ccep-9, -0x1.95011e005b98ap-9, -0x1.8a9bc16e4aebbp-9, -0x1.8075862176b3p-9, -0x1.768db98e668dfp-9, -0x1.6ce38f7777edep-9, -0x1.6375ea7eba01fp-9, -0x1.5a4338895d83bp-9, -0x1.51497fa755703p-9, -0x1.4886930bd2d5fp-9, -0x1.3ff867d31e8cp-9, -0x1.379d622802c93p-9, -0x1.2f742df420563p-9, -0x1.277bfe84a2c9bp-9, -0x1.1fb4167b4e826p-9, -0x1.181bce17288f1p-9, -0x1.10b27fbd1c12ep-9, -0x1.09778289d7443p-9, -0x1.026a58048f0adp-9, -0x1.f714eb9f12093p-10, -0x1.e9ae723d68276p-10, -0x1.dc9f598dfa23cp-10, -0x1.cfe4e4b7bc6d5p-10, -0x1.c37b9bc26fdaep-10, -0x1.b75fe228bf493p-10, -0x1.ab8e9233ae918p-10, -0x1.a005729bf0ae2p-10, -0x1.94c3276b05901p-10, -0x1.89c6c52bc1587p-10, -0x1.7f0f55140d95dp-10, -0x1.749b943c899afp-10, -0x1.6a6a0af3be0a6p-10, -0x1.607968f8753fbp-10, -0x1.56c867043711dp-10, -0x1.4d56788bbad8ep-10, -0x1.4422cc5d919d2p-10, -0x1.3b2c9f7375b2fp-10, -0x1.32725f61faa55p-10, -0x1.29f24919dc893p-10, -0x1.21aa1fc240abdp-10, -0x1.1997d3aec6deap-10, -0x1.11b9b44154bc3p-10, -0x1.0a0e7a1044089p-10, -0x1.0294ee4b68dd1p-10, -0x1.f69761be788d7p-11, -0x1.e86261e9abd8p-11, -0x1.da87b0f0a5eecp-11, -0x1.cd048bdbef96cp-11, -0x1.bfd721d5146dep-11, -0x1.b2fe9034b9727p-11, -0x1.a67a82f16e247p-11, -0x1.9a4a8d7297573p-11, -0x1.8e6d7f15f1c5ep-11, -0x1.82e1817b56d2bp-11, -0x1.77a4b76e08898p-11, -0x1.6cb5b267377cbp-11, -0x1.621361d6eb142p-11, -0x1.57bc1e91c2f94p-11, -0x1.4dad8c1b9b0fcp-11, -0x1.43e3b27fc582p-11, -0x1.3a5a06196600ap-11, -0x1.310cc8c005fd8p-11, -0x1.27f96fc2ac272p-11, -0x1.1f1eea411eecdp-11, -0x1.167cb8d8d064dp-11, -0x1.0e128cd921f0dp-11, -0x1.05e07b3e7a0a2p-11, -0x1.fbcd3e344cc32p-12, -0x1.ec488888547c8p-12, -0x1.dd2f81a97a729p-12, -0x1.ce7ef5e483657p-12, -0x1.c035b18e13e8ap-12, -0x1.b2543f6ed0e1fp-12, -0x1.a4dae39a6121p-12, -0x1.97c7844f29151p-12, -0x1.8b1579798d43fp-12, -0x1.7ebdd9e1ced9p-12, -0x1.72b80b0be7262p-12, -0x1.66fc6a6422335p-12, -0x1.5b87c674aaa0dp-12, -0x1.505b9c358b721p-12, -0x1.4579df1494204p-12, -0x1.3ae2583fa960fp-12, -0x1.3093afcce218fp-12, -0x1.268d45e3620ep-12, -0x1.1cce67248e5c2p-12, -0x1.135542bb76638p-12, -0x1.0a2053805bb77p-12, -0x1.012d4e21df1e7p-12, -0x1.f0f81c578cdcap-13, -0x1.e0168d5929156p-13, -0x1.cfb34a5280c7p-13, -0x1.bfcc6ddd3b49bp-13, -0x1.b05d6387b9e19p-13, -0x1.a160d052f7c25p-13, -0x1.92ce6f2908424p-13, -0x1.8498e5e5bc9abp-13, -0x1.76b9bf9522168p-13, -0x1.6935566397d94p-13, -0x1.5c123dfb93621p-13, -0x1.4f4f10a25fb3ep-13, -0x1.42e61754d6919p-13, -0x1.36d5918722c51p-13, -0x1.2b1e3046d49a1p-13, -0x1.1fbf2fb5dc574p-13, -0x1.14b690de7ea7bp-13, -0x1.0a012f01cff9dp-13, -0x1.ff357f4b551b3p-14, -0x1.eafeb21cd914ep-14, -0x1.d75826b5bdd86p-14, -0x1.c442df0c4b073p-14, -0x1.b1c0a6ddee15ep-14, -0x1.9fd07ef2786d3p-14, -0x1.8e6ce9ae17f06p-14, -0x1.7d8e34afa6aa2p-14, -0x1.6d274a6ae0f3cp-14, -0x1.5d2b2e3173a36p-14, -0x1.4d9cbb61ccd22p-14, -0x1.3e863c6ea6da6p-14, -0x1.2fe2019a7ee04p-14, -0x1.21a84f28065c5p-14, -0x1.13d97fe213f19p-14, -0x1.067b4f98d9062p-14, -0x1.f31370a6c217ep-15, -0x1.d9fc7f7e1fbc2p-15, -0x1.c1a34aee2b9ccp-15, -0x1.a9fe2840b2482p-15, -0x1.9306d4ee3d1b4p-15, -0x1.7cbbb2a8804cp-15, -0x1.671a4bf67342dp-15, -0x1.522480e864e2p-15, -0x1.3ddad6ef234cbp-15, -0x1.2a3a53ecc4c9fp-15, -0x1.1740a9c934c13p-15, -0x1.04dfced12bcddp-15, -0x1.e620235f4b00bp-16, -0x1.c38a8fd699978p-16, -0x1.a1f735c1c75c1p-16, -0x1.817b53988cb08p-16, -0x1.6207666679c2bp-16, -0x1.437972067c421p-16, -0x1.25fe23915d45dp-16, -0x1.098fd3cf1ea32p-16, -0x1.dc272dbca728fp-17, -0x1.a6e6da727e219p-17, -0x1.734c8a5f82d68p-17, -0x1.4153fc3fcf6b8p-17, -0x1.10fcc84224921p-17, -0x1.c47d4da44da6ap-18, -0x1.6a20793ac68b7p-18, -0x1.12d1894c5d4f3p-18, -0x1.7d049d0a5f90dp-19, -0x1.b4dca6b0746d1p-20, -0x1.efd2130a06e84p-22, 0x1.640e4e002baf4p-21, 0x1.d557720c5c798p-20, 0x1.776188fa93973p-19, 0x1.fee4e512fe5fbp-19, 0x1.40b5674bc4fe7p-18, 0x1.7fc489af1532fp-18, 0x1.bc9eb8061ccfdp-18, 0x1.f726b29ad30bbp-18, 0x1.179a89420dd72p-17, 0x1.328805ffb7764p-17, 0x1.4c8187024c019p-17, 0x1.657f2a485e4c4p-17, 0x1.7d86f7e1a558ap-17, 0x1.949dead0a491fp-17, 0x1.aac5a3ae9f9f7p-17, 0x1.c004e1d98eef4p-17, 0x1.d4634c6df8c44p-17, 0x1.e7ed0bc50ddebp-17, 0x1.fa9347271f62cp-17, 0x1.063893172b323p-16, 0x1.0ebfe9b9451c4p-16, 0x1.16dfc8312e5a3p-16, 0x1.1e9d3c7c6bcccp-16, 0x1.26047850451ecp-16, 0x1.2d1129f214988p-16, 0x1.33c09484df571p-16, 0x1.3a1aa8cdc699dp-16, 0x1.4028d2b8ad17fp-16, 0x1.45e56cdb00aa2p-16, 0x1.4b4ebae320702p-16, 0x1.5069b32c077fdp-16, 0x1.553d580e988ecp-16, 0x1.59cb199f4d107p-16, 0x1.5e13c6f36d0edp-16, 0x1.62187bf4ea71cp-16, 0x1.65d79372a2cf6p-16, 0x1.695d40143e9ep-16, 0x1.6ca020cf6b703p-16, 0x1.6fa607b0fc881p-16, 0x1.7270f28f8554fp-16, 0x1.750361eaf9d7bp-16, 0x1.775e60734603p-16, 0x1.7982c3c1e493cp-16, 0x1.7b72c5dd3aafcp-16, 0x1.7d295c7df3e2bp-16, 0x1.7eb65bbd2c515p-16, 0x1.800e476cd344dp-16, 0x1.8139ab1bfcdaep-16, 0x1.8237fb4399efbp-16, 0x1.8308ce5953e98p-16, 0x1.83ab0f7313328p-16, 0x1.842cd9d0b7f56p-16, 0x1.8480d3479d848p-16, 0x1.84ade828e4ec9p-16, 0x1.84b3ae758819fp-16, 0x1.849b29a52d823p-16, 0x1.845b7ca3a4556p-16, 0x1.83fabad928daap-16, 0x1.837579e28d87ap-16, 0x1.82d149938c09cp-16, 0x1.820ddad4b94a9p-16, 0x1.812bec23100fbp-16, 0x1.802c7695fda61p-16, 0x1.7f105eb96235ap-16, 0x1.7dd99d01960d5p-16, 0x1.7c894fc6e82fcp-16, 0x1.7b1defd61f74cp-16, 0x1.79972412c8e38p-16, 0x1.77f9e567f69dcp-16, 0x1.7644450225df8p-16, 0x1.7478157588e89p-16, 0x1.72973d9bf79cbp-16, 0x1.70a31738355cfp-16, 0x1.6e984de668e08p-16, 0x1.6c79d7b983586p-16, 0x1.6a4899646bb5cp-16, 0x1.68026b5040fcdp-16, 0x1.65b073c123e2ep-16, 0x1.634bd07c874fcp-16, 0x1.60d650f840f49p-16, 0x1.5e514e03c9efep-16, 0x1.5bbc4797c6cd6p-16, 0x1.591911212d5a8p-16, 0x1.56650ae2b10cbp-16, 0x1.53ab9f870f68ap-16, 0x1.50e09fb86801cp-16, 0x1.4e08db86678b9p-16, 0x1.4b2212817dde5p-16, 0x1.48389f2376835p-16, 0x1.454687cecdfa6p-16, 0x1.423f5ef2c5d2cp-16, 0x1.3f3173c9abdf2p-16, 0x1.3c1cb6c984ceep-16, 0x1.38fdd45fafc1dp-16, 0x1.35d6b3da1c0afp-16, 0x1.32a779102a5d9p-16, 0x1.2f70a9a18da89p-16, 0x1.2c33c2508e796p-16, 0x1.28f0e9c4b707bp-16, 0x1.25a5caac925c1p-16, 0x1.22556edfd13d9p-16, 0x1.1efff2bbf5ceap-16, 0x1.1ba2acfd70eeep-16, 0x1.184286acaaf83p-16, 0x1.14ded40da9fb6p-16, 0x1.1177079511bf6p-16, 0x1.0e0a38cd6d695p-16, 0x1.0a9a4c40293ebp-16, 0x1.072652ee71ff1p-16, 0x1.03b0c227f2502p-16, 0x1.0038f317c7a19p-16, 0x1.f979ca6688d78p-17, 0x1.f281f516c14b2p-17, 0x1.eb8347b6f6edep-17, 0x1.e481962bb622ap-17, 0x1.dd81e2d0fda9ap-17, 0x1.d67c369f71b42p-17, 0x1.cf76e773ccfd5p-17, 0x1.c870d84ccd6c5p-17, 0x1.c169c1e9f853ap-17, 0x1.ba63d735b2c4ap-17, 0x1.b35e0c3d3493dp-17, 0x1.ac523abbb73ebp-17, 0x1.a553923b02eefp-17, 0x1.9e51f83158261p-17, 0x1.9748de41e3e68p-17, 0x1.9052754ae3efp-17, 0x1.894c34428df7bp-17, 0x1.825244f978a31p-17, 0x1.7b71bb661d67p-17, 0x1.74841a9c3740ep-17, 0x1.6d9ab299a2adbp-17, 0x1.66b570f417104p-17, 0x1.5fd48bfabfc46p-17, 0x1.58f9e09a1313p-17, 0x1.52261e32e9a37p-17, 0x1.4b5a27700e86p-17, 0x1.4490b0158684p-17, 0x1.3dcf705db9088p-17, 0x1.3714f61c370ap-17, 0x1.3060d0bd984d8p-17, 0x1.29b74213d1b85p-17, 0x1.2312501641d71p-17, 0x1.1c74b12442acfp-17, 0x1.15e23e6247e1fp-17, 0x1.0f57ece9d43c1p-17, 0x1.08d9ff29087c8p-17, 0x1.02605920eee1cp-17, 0x1.f7e10545af5ccp-18, 0x1.eb10beba5ebb3p-18, 0x1.de524c392e862p-18, 0x1.d1b0379dfc76ap-18, 0x1.c51ec04bea7ccp-18, 0x1.b89b75c522607p-18, 0x1.ac3696b2f009ep-18, 0x1.9fe36fa85fab2p-18, 0x1.93a5175906b42p-18, 0x1.877a836527f46p-18, 0x1.7b55319071f05p-18, 0x1.6f6975a5fea9p-18, 0x1.6383133de30a1p-18, 0x1.57b35b0121c07p-18, 0x1.4bfc820026becp-18, 0x1.405e931976805p-18, 0x1.34cc9c9ba8327p-18, 0x1.2959aa90b4d82p-18, 0x1.1dfe0a25987c6p-18, 0x1.12d3d02c9ddap-18, 0x1.0790b4c0ac8f9p-18, 0x1.f8f8c1db8d2d6p-19, 0x1.e2e162b0ca6cep-19, 0x1.cd4a050b76d5fp-19, 0x1.b7cf30ef3383cp-19, 0x1.a2822208adab6p-19, 0x1.8d4a9f0e05c31p-19, 0x1.78401bdb14e63p-19, 0x1.637bce7315ecbp-19, 0x1.4eea3da330f48p-19, 0x1.3a8f73d14fe9p-19, 0x1.26619bff05796p-19, 0x1.1261bd2517996p-19, 0x1.fd5e9e1f61d53p-20, 0x1.d660b90445884p-20, 0x1.afa39c6d1e899p-20, 0x1.8959b0f43dba4p-20, 0x1.636eaa9ebdd3p-20, 0x1.3dd9cd2c93ca9p-20, 0x1.18d45b1146c2ep-20, 0x1.e874175caa958p-21, 0x1.9f89f546cb008p-21, 0x1.587e5f87f62a3p-21, 0x1.11b50ca7d73c8p-21, 0x1.978dbe68fec57p-22, 0x1.0d4ee816bf966p-22, 0x1.09875aebabff4p-23, -0x1.29456246ea10dp-29, -0x1.11c91111cd5adp-23, -0x1.0b2661198f04p-22, -0x1.8d0b1fd917cd1p-22, -0x1.06a977f175d14p-21, -0x1.4604272b4789ap-21, -0x1.8473e5965235ap-21, -0x1.c23fd64285efcp-21, -0x1.ff652f2bd6c7dp-21, -0x1.1d85fc6f90aa7p-20, -0x1.3b2384043ad74p-20, -0x1.5857d5280f417p-20, -0x1.751e83e4e09b1p-20, -0x1.918376cf26463p-20, -0x1.ad3e38264ddbp-20, -0x1.c915ffe5cb034p-20, -0x1.e433dc16b8123p-20, -0x1.fef150ac22d36p-20, -0x1.0cad0096a5745p-19, -0x1.19ada539009f7p-19, -0x1.26701c748a9a1p-19, -0x1.32e05d2c633f6p-19, -0x1.3f6e3d842d119p-19, -0x1.4b9a484a346f1p-19, -0x1.579d54c1e8cb5p-19, -0x1.636d28183a929p-19, -0x1.6f02b4b85f994p-19, -0x1.7a6b0936a40a8p-19, -0x1.85b0b1ba00cb1p-19, -0x1.90ae7bd229a24p-19, -0x1.9b7fb233e4a55p-19, -0x1.a632a841f3b62p-19, -0x1.b0cddb5f47ad5p-19, -0x1.bae8862378ab7p-19, -0x1.c51476d1243ecp-19, -0x1.ceee5579897aap-19, -0x1.d8a43303d42bbp-19, -0x1.e22c8b6fa90f7p-19, -0x1.eb886bd8ef732p-19, -0x1.f4b489f4eb643p-19, -0x1.fdb49e316e014p-19, -0x1.03304ea73f28fp-18, -0x1.0796245c5d308p-18, -0x1.0bcf785deeed2p-18, -0x1.0ff5487de879p-18, -0x1.14058db22e8b6p-18, -0x1.17fd2770ee195p-18, -0x1.1bddeef75ceddp-18, -0x1.1fabe10333989p-18, -0x1.235c8b392be11p-18, -0x1.27099a4aabedep-18, -0x1.2a86d6509637fp-18, -0x1.2e0d4cb478ad6p-18, -0x1.316a8e4a7e1b6p-18, -0x1.34baeb0fdefa7p-18, -0x1.37f1d46fac242p-18, -0x1.3b1aa5f79cb78p-18, -0x1.3e2cf51092658p-18, -0x1.412a0789f7b1fp-18, -0x1.440d1e1fe9f42p-18, -0x1.46fb367454835p-18, -0x1.49a4c2719bad7p-18, -0x1.4c564e4b9faa9p-18, -0x1.4ef3970263502p-18, -0x1.517a7f91233c1p-18, -0x1.53e98b2d8648bp-18, -0x1.564d93c8815aep-18, -0x1.589981004b605p-18, -0x1.5add09156a5c1p-18, -0x1.5cfd1bb23f62bp-18, -0x1.5f1fed2d9acbp-18, -0x1.61250f0747a75p-18, -0x1.633c0ea097affp-18, -0x1.64ffa661f1c9bp-18, -0x1.66d91b2f7538bp-18, -0x1.6894e6816589ep-18, -0x1.6a43b8aa3f81cp-18, -0x1.6be3b2f10f7b8p-18, -0x1.6d75627430f3fp-18, -0x1.6ef3cd45de843p-18, -0x1.70615d9b697cfp-18, -0x1.71c3507287ac8p-18, -0x1.73137f7c5486ap-18, -0x1.7454424f21ccbp-18, -0x1.7589d4e4313b4p-18, -0x1.76a067f1143fbp-18, -0x1.77a88b0b96faep-18, -0x1.78b523b2daec8p-18, -0x1.79a66991d8767p-18, -0x1.7a8bb8582e02cp-18, -0x1.7b61130c28af9p-18, -0x1.7c2cc375f26f1p-18, -0x1.7cdeed57f0d0ep-18, -0x1.7d908c908de19p-18, -0x1.7e2ee9ba12e94p-18, -0x1.7ed0efec2fbf4p-18, -0x1.7f43b977370a2p-18, -0x1.7fb8b03bfe77fp-18, -0x1.8021d29f5cdap-18, -0x1.807dacd114b5ap-18, -0x1.80e45dcc0205bp-18, -0x1.810b8b280d6d1p-18, -0x1.813ffe4f8df02p-18, -0x1.8169fd02ee825p-18, -0x1.818d564cc8175p-18, -0x1.81a1c1c67be8cp-18, -0x1.81a5aa1aa9535p-18, -0x1.81a10954385abp-18, -0x1.81923ff5562fdp-18, -0x1.815de2a9b2f62p-18, -0x1.814e3beda5855p-18, -0x1.8116723fe45e9p-18, -0x1.80de6a0b7a8a9p-18, -0x1.809ac35902a97p-18, -0x1.8059265f924d2p-18, -0x1.7feb67e42349fp-18, -0x1.7f858bf1bcc85p-18, -0x1.7f113744859bp-18, -0x1.7e9934c969e9p-18, -0x1.7e14936c8218fp-18, -0x1.7d89b6d57b5a3p-18, -0x1.7cf606f32bbe9p-18, -0x1.7c573cc731f9bp-18, -0x1.7ba805b3e974ap-18, -0x1.7afb818055fd5p-18, -0x1.7a3adc021d4c8p-18, -0x1.797f37cafa8a1p-18, -0x1.78b0b989b7a27p-18, -0x1.77df1b97735d1p-18, -0x1.76f9e18525fe8p-18, -0x1.7620c8727ae0ap-18, -0x1.7534b5ffeccd5p-18, -0x1.7443ed11b9b92p-18, -0x1.7345bc2475e91p-18, -0x1.72407f5b411b9p-18, -0x1.713b3349c07e8p-18, -0x1.70278552f795p-18, -0x1.6f157ff4564cbp-18, -0x1.6df6ee3678ap-18, -0x1.6ccd7a8a3ee1dp-18, -0x1.6ba238d7f34e2p-18, -0x1.6a6e48648ab1dp-18, -0x1.6938b0e7fe259p-18, -0x1.67faa2a3e35cbp-18, -0x1.66ab458dfb36cp-18, -0x1.65678c89ef072p-18, -0x1.642e3d341949bp-18, -0x1.62bf622dcf98p-18, -0x1.6167ce9da0b3p-18, -0x1.6004136ed11d5p-18, -0x1.5e9c07f236299p-18, -0x1.5d28ee4254311p-18, -0x1.5bbca69db90afp-18, -0x1.5a452c5481688p-18, -0x1.58ce43ad2cfefp-18, -0x1.574d29d7bb4f7p-18, -0x1.55c436891271dp-18, -0x1.5424c0c59ed66p-18, -0x1.52a8d285d5224p-18, }}, 
      {{-0x1.9917447bb5d8cp-5, -0x1.79615745e91adp-5, -0x1.5493e51434a12p-5, -0x1.376ca5dc3f76ep-5, -0x1.2aebecc46fdd1p-5, -0x1.33e7f37961907p-5, -0x1.539c0e45848b7p-5, -0x1.888a7901f532cp-5, -0x1.cf604d9f838bap-5, -0x1.11dce9587616ap-4, -0x1.405e8e8ecf791p-4, -0x1.70c5fda86accp-4, -0x1.a0c92f8e6b128p-4, -0x1.ce5bff7177e1dp-4, -0x1.f7bdef140bf49p-4, -0x1.0dbfe79835107p-3, -0x1.1c41d9eddf27dp-3, -0x1.26fc8b99b12c4p-3, -0x1.2dab48eac24dbp-3, -0x1.30291f4d3c5a2p-3, -0x1.2e6cba553ecdp-3, -0x1.28843afd1c5e2p-3, -0x1.1e912ce8750d4p-3, -0x1.10c4bc3999094p-3, -0x1.feb88008be21bp-4, -0x1.d53c3a318d58p-4, -0x1.a5ae14efc04f9p-4, -0x1.70af64b442ed2p-4, -0x1.36e55dbe7da1ap-4, -0x1.f1eb611e007ebp-5, -0x1.6f078e8f7c2e7p-5, -0x1.ccba27b13029fp-6, -0x1.6475038b8866p-7, 0x1.bcae06db13636p-8, 0x1.9555b30fb8c6cp-6, 0x1.5f234dd8d3173p-5, 0x1.f4138963cd16p-5, 0x1.4451b8c967a3bp-4, 0x1.8e073835d6651p-4, 0x1.d6d193479b025p-4, 0x1.0f30b7a3acdbp-3, 0x1.32383ec67b352p-3, 0x1.5460887d67e1cp-3, 0x1.758ecbcbfb95bp-3, 0x1.95ac1e67a864p-3, 0x1.b4a5309ebefb4p-3, 0x1.d26a0d1c2f352p-3, 0x1.eeedd12f6524ap-3, 0x1.051339efc60ffp-2, 0x1.120647516beebp-2, 0x1.1e4d8ec57dfefp-2, 0x1.29e7a147c0d48p-2, 0x1.34d405b0b4e7ep-2, 0x1.3f13221af5bbdp-2, 0x1.48a6235e4d99cp-2, 0x1.518ee7d6da2b7p-2, 0x1.59cfe860844ebp-2, 0x1.616c22474a463p-2, 0x1.686706acca8e3p-2, 0x1.6ec4674adae16p-2, 0x1.74886ad4882ecp-2, 0x1.79b77c00418adp-2, 0x1.7e563ea0a5165p-2, 0x1.826982a66665cp-2, 0x1.85f639014c5a4p-2, 0x1.89016a047ba92p-2, 0x1.8b902cefe37eep-2, 0x1.8da79fd9fbc7fp-2, 0x1.8f4ce1b2875f8p-2, 0x1.90850bb73c3d4p-2, 0x1.91552d5ff2f32p-2, 0x1.91c2451ff02c2p-2, 0x1.91d140b70e5d3p-2, 0x1.9186f5465a0fap-2, 0x1.90e81edb57ca9p-2, 0x1.8ff95d6b3dc96p-2, 0x1.8ebf3270e7fcep-2, 0x1.8d3dffad70e29p-2, 0x1.8b7a05e7653c1p-2, 0x1.897762ea224f2p-2, 0x1.873a131c3468ep-2, 0x1.84c5ee7f38e35p-2, 0x1.821ea9da76d52p-2, 0x1.7f47d644921f2p-2, 0x1.7c44e1a539a2cp-2, 0x1.791915ead3069p-2, 0x1.75c79a432aad3p-2, 0x1.72537479facf7p-2, 0x1.6ebf863a11afap-2, 0x1.6b0e92697d177p-2, 0x1.674339151bf23p-2, 0x1.635ffc0cffc25p-2, 0x1.5f673d8ff1f25p-2, 0x1.5b5b421476e7fp-2, 0x1.573e30b1550cap-2, 0x1.531213f4200c3p-2, 0x1.4ed8db593809fp-2, 0x1.4a945b7275a0cp-2, 0x1.464650741c3eap-2, 0x1.41f05ce5901bp-2, 0x1.3d940bc6ee5cfp-2, 0x1.3932d19bf1326p-2, 0x1.34ce0d021a421p-2, 0x1.306707d630425p-2, 0x1.2bfef7385cbe4p-2, 0x1.2796fe0608a6bp-2, 0x1.23302c2ad6c82p-2, 0x1.1ecb8019ccbefp-2, 0x1.1a69e77f5472p-2, 0x1.160c40a8e841bp-2, 0x1.11b358d658164p-2, 0x1.0d5ff1dfc7b69p-2, 0x1.0912bc756f598p-2, 0x1.04cc5e433177p-2, 0x1.008d702483236p-2, 0x1.f8acfd5f966cdp-3, 0x1.f0501747a6ae1p-3, 0x1.e8051ba536c7cp-3, 0x1.dfcce453ebd7cp-3, 0x1.d7a8383aa08bap-3, 0x1.cf97cbc07d553p-3, 0x1.c79c42a609065p-3, 0x1.bfb6307145b93p-3, 0x1.b7e619a22d03fp-3, 0x1.b02c7365afedap-3, 0x1.a889a74747e41p-3, 0x1.a0fe1068f2938p-3, 0x1.9989ff99204p-3, 0x1.922db79b2140ep-3, 0x1.8ae974332f967p-3, 0x1.83bd64e71676ep-3, 0x1.7ca9b0b14ff89p-3, 0x1.75ae75747987ep-3, 0x1.6ecbc9b55f668p-3, 0x1.6801bb93a3e4ap-3, 0x1.6150523f1391ap-3, 0x1.5ab78f13df656p-3, 0x1.54376c11fbcb7p-3, 0x1.4dcfdef65d005p-3, 0x1.4780d5612ac2bp-3, 0x1.414a3bde4a786p-3, 0x1.3b2bf6f406666p-3, 0x1.3525e936ba7a3p-3, 0x1.2f37eff58bce8p-3, 0x1.2961e54e6af9cp-3, 0x1.23a3a06e27e34p-3, 0x1.1dfcf4dc298bp-3, 0x1.186db351688dap-3, 0x1.12f5ab77d18cbp-3, 0x1.0d94a7fa6725ap-3, 0x1.084a7364b39e3p-3, 0x1.0316d54f85c63p-3, 0x1.fbf329ce567ep-4, 0x1.f1e4ecbfea8f1p-4, 0x1.e8027a0e861f4p-4, 0x1.de4b56e640725p-4, 0x1.d4bf04cece043p-4, 0x1.cb5d04506e1fbp-4, 0x1.c224d40392328p-4, 0x1.b915f12902e73p-4, 0x1.b02fd7e4524c2p-4, 0x1.a7720332e0879p-4, 0x1.9edbed61aa202p-4, 0x1.966d105200e0bp-4, 0x1.8e24e58544044p-4, 0x1.8602e5e4d48d4p-4, 0x1.7e068a9d6dc51p-4, 0x1.762f4c64f0be7p-4, 0x1.6e7ca59895fa6p-4, 0x1.66ee0d9688f0bp-4, 0x1.5f8300750f6c5p-4, 0x1.583af6b8a9fc9p-4, 0x1.51156c72a3848p-4, 0x1.4a11dcd565767p-4, 0x1.432fc529e7e49p-4, 0x1.3c6e9f70affb1p-4, 0x1.35cded49e41a7p-4, 0x1.2f4d2c03e90fp-4, 0x1.28ebdb57b8f05p-4, 0x1.22a97e9cfdb24p-4, 0x1.1c85940eb87d3p-4, 0x1.167fa08381436p-4, 0x1.109729fb7f5cbp-4, 0x1.0acbb4a902531p-4, 0x1.051cc761cd659p-4, 0x1.ff13d490197ebp-5, 0x1.f4254dc4ecdf3p-5, 0x1.e96d0faad4b7fp-5, 0x1.deea329015fe8p-5, 0x1.d49bd04c6903cp-5, 0x1.ca8106e85ef41p-5, 0x1.c098f607cf0ccp-5, 0x1.b6e2c0c12d4dep-5, 0x1.ad5d8dc59a044p-5, 0x1.a4088408485ffp-5, 0x1.9ae2ceeb8c388p-5, 0x1.91eb9dd73fc9ap-5, 0x1.89221f29f1443p-5, 0x1.8085892768301p-5, 0x1.78150f3ea2976p-5, 0x1.6fcfeca6ce743p-5, 0x1.67b55a953d5dap-5, 0x1.5fc49904292f2p-5, 0x1.57fcea5db7cc2p-5, 0x1.505d920b7b235p-5, 0x1.48e5d65768307p-5, 0x1.4195009566636p-5, 0x1.3a6a5d1207e4dp-5, 0x1.33653a91654b8p-5, 0x1.2c84ea7faf10bp-5, 0x1.25c8c0765f9f1p-5, 0x1.1f30146b6589p-5, 0x1.18ba3cfd2647cp-5, 0x1.126698973d418p-5, 0x1.0c348599978abp-5, 0x1.06235eff6b4dp-5, 0x1.003290adf2b0dp-5, 0x1.f4c2f60a24ac4p-6, 0x1.e95f0e91e6fa2p-6, 0x1.de383fff6b354p-6, 0x1.d34d645024d5p-6, 0x1.c89d5a9fd273dp-6, 0x1.be27053a892d3p-6, 0x1.b3e94b8cb79b5p-6, 0x1.a9e31af6f1a96p-6, 0x1.a013642c77863p-6, 0x1.96791bd78542dp-6, 0x1.8d133c69f2685p-6, 0x1.83e0c2de341b5p-6, 0x1.7ae0b544977b5p-6, 0x1.72120d9905101p-6, 0x1.6973e825c5cacp-6, 0x1.610548b5b315ep-6, 0x1.58c543eb2cffcp-6, 0x1.50b2f1d17caf2p-6, 0x1.48cd6d21d487fp-6, 0x1.4113d3b162a09p-6, 0x1.3985477990583p-6, 0x1.3220f301882c6p-6, 0x1.2ae5fa61b56bbp-6, 0x1.23d38ee33444dp-6, 0x1.1ce8e03ad524cp-6, 0x1.16252585ea1a5p-6, 0x1.0f87975709087p-6, 0x1.090f6f422e853p-6, 0x1.02bbed548858cp-6, 0x1.f918b752ecdf1p-7, 0x1.ecffe74bb1bf9p-7, 0x1.e12c0feb22311p-7, 0x1.d59bc65a02e9ap-7, 0x1.ca4da920d304ap-7, 0x1.bf406082da5c5p-7, 0x1.b47298c8d15e9p-7, 0x1.a9e30318097b1p-7, 0x1.9f9059b3fe2c8p-7, 0x1.95795c5cf83f2p-7, 0x1.8b9cccf177112p-7, 0x1.81f977740729bp-7, 0x1.788e28e4a0d29p-7, 0x1.6f59c26e06881p-7, 0x1.665b0b842a3cep-7, 0x1.5d90f505d5d46p-7, 0x1.54fa5d199919fp-7, 0x1.4c96325bb640ap-7, 0x1.44635dc3e4884p-7, 0x1.3c60dff36d711p-7, 0x1.348db3cba007p-7, 0x1.2ce8d15037741p-7, 0x1.2571332c8a00fp-7, 0x1.1e25f49dc069fp-7, 0x1.17061bdeddd7ep-7, 0x1.1010b9c336e6ep-7, 0x1.0944e77b44bf7p-7, 0x1.02a1bed565307p-7, 0x1.f84cc2d185a59p-8, 0x1.eba3e21c8afdap-8, 0x1.df472f90ee1dcp-8, 0x1.d335045ee96f6p-8, 0x1.c76bbe450097ap-8, 0x1.bbe9c698f4181p-8, 0x1.b0ad921a02d22p-8, 0x1.a5b59989b976dp-8, 0x1.9b005a5a12072p-8, 0x1.908c603c41937p-8, 0x1.86583a105526cp-8, 0x1.7c627e4693da9p-8, 0x1.72a9cc45cd0f5p-8, 0x1.692cc7e7f4e38p-8, 0x1.5fea1d626e985p-8, 0x1.56e082a025028p-8, 0x1.4e0eb0a5430ebp-8, 0x1.4573655fe0fd6p-8, 0x1.3d0d6bee2dd3bp-8, 0x1.34db8f8211f7ep-8, 0x1.2cdca2727595dp-8, 0x1.250f7e445dc48p-8, 0x1.1d73055fc3183p-8, 0x1.160619c9d7473p-8, 0x1.0ec7af6832d64p-8, 0x1.07b6a73a024e9p-8, 0x1.00d20a75b1499p-8, 0x1.f431962d9b6dfp-9, 0x1.e713d251cf088p-9, 0x1.da49057f339bdp-9, 0x1.cdcef0ea6ad43p-9, 0x1.c1a3eedcd99adp-9, 0x1.b5c647d55229cp-9, 0x1.aa33da634e03bp-9, 0x1.9eeb6468bb2c1p-9, 0x1.93ea880cb5b75p-9, 0x1.89303fc1567bfp-9, 0x1.7eba9206f325fp-9, 0x1.7487ef5b3e56bp-9, 0x1.6a96ca5dcfa27p-9, 0x1.60e597222a573p-9, 0x1.5772d5925028ap-9, 0x1.4e3d0cfd371e3p-9, 0x1.4542cd4563fddp-9, 0x1.3c82acb383feap-9, 0x1.33fb4c6d9891ep-9, 0x1.2bab5398543e2p-9, 0x1.23917105e514fp-9, 0x1.1bac5be3a1ec1p-9, 0x1.13facf99d7d08p-9, 0x1.0c7b91dcca3abp-9, 0x1.052d6eacf9069p-9, 0x1.fc1e72bc7f53dp-10, 0x1.ee3f8a1103eacp-10, 0x1.e0bbf2dd5db4ap-10, 0x1.d3916c4755b08p-10, 0x1.c6bdcfbd6d69fp-10, 0x1.ba3f05d9cbf3ap-10, 0x1.ae12faa1fa5ep-10, 0x1.a237ad1a5e9d6p-10, 0x1.96ab367444c13p-10, 0x1.8b6b7b506a0e7p-10, 0x1.8076cbca5f1d2p-10, 0x1.75cb4c08648c7p-10, 0x1.6b671dacb8551p-10, 0x1.61488cb383bb9p-10, 0x1.576ddfb87fa09p-10, 0x1.4dd565dfaa93fp-10, 0x1.447d7f8808758p-10, 0x1.3b64a97eb1d9bp-10, 0x1.3288e73334885p-10, 0x1.29e94038bc01fp-10, 0x1.2183efa1bf3f1p-10, 0x1.1957925c2a60ap-10, 0x1.1162bab2e47bbp-10, 0x1.09a4029cdee4ap-10, 0x1.021a1e92d7fa1p-10, 0x1.f5875d9ace5f1p-11, 0x1.e73ed21a96882p-11, 0x1.d95802f057457p-11, 0x1.cbd0d12766cb9p-11, 0x1.bea5d1cf43fc5p-11, 0x1.b1d5daec8c155p-11, 0x1.a55df68c2bd9fp-11, 0x1.993c16cab327bp-11, 0x1.8d6df689eee11p-11, 0x1.81f198830eea5p-11, 0x1.76c4d6e4ecb08p-11, 0x1.6be5af4f650dcp-11, 0x1.6152325c78c26p-11, 0x1.570860562e7d3p-11, 0x1.4d06568f33623p-11, 0x1.434a424e6351cp-11, 0x1.39d2553b9149fp-11, 0x1.309c321acce98p-11, 0x1.27a75d3193213p-11, 0x1.1ef0fdf6eb875p-11, 0x1.1678218320017p-11, 0x1.0e3b1ba2d2949p-11, 0x1.06381d2b9c748p-11, 0x1.fcdb7f39e0f7ep-12, 0x1.edb507a4bc90ap-12, 0x1.defa6ebfb2ec5p-12, 0x1.d0a8748fab0f7p-12, 0x1.c2bc7e6ebdf85p-12, 0x1.b533dd62258p-12, 0x1.a80bd638b6bdap-12, 0x1.9b41c228e4f6cp-12, 0x1.8ed329fb4e6dap-12, 0x1.82bd7c6c9e145p-12, 0x1.76ffb9f703361p-12, 0x1.6b958c11bca84p-12, 0x1.607d585589a31p-12, 0x1.55b5a8dbadbfcp-12, 0x1.4b3be9a0ab41ep-12, 0x1.410df0408dc62p-12, 0x1.3729bf2f50eep-12, 0x1.2d8d795f30f23p-12, 0x1.243759111e059p-12, 0x1.1b256406def33p-12, 0x1.12559839f1f8fp-12, 0x1.09c640c29c0d3p-12, 0x1.0175a609b3f1p-12, 0x1.f2c416f3cfa15p-13, 0x1.e313c91e71b3dp-13, 0x1.d3d6aaabc0bd8p-13, 0x1.c509cf9396a2ap-13, 0x1.b6aa46e20be9ep-13, 0x1.a8b4bae649e53p-13, 0x1.9b284775a0786p-13, 0x1.8dfe738e5efe3p-13, 0x1.813741e228dfcp-13, 0x1.74cf008be424ep-13, 0x1.68c3cdc6f1fbdp-13, 0x1.5d1358934adfbp-13, 0x1.51b93abac6b1fp-13, 0x1.46b4cb5f22c84p-13, 0x1.3c032a689acf1p-13, 0x1.31a2709c0216fp-13, 0x1.278ff73c1eabp-13, 0x1.1dc97fb558e1p-13, 0x1.144d5f0b8db97p-13, 0x1.0b18e99b192cep-13, 0x1.022a5e241d151p-13, 0x1.f2ff8a8222612p-14, 0x1.e22e9f6fbe94bp-14, 0x1.d1de1a26708acp-14, 0x1.c20a8f1cbcbe6p-14, 0x1.b2b0680fdc549p-14, 0x1.a3cc30f6f9df9p-14, 0x1.955cbf3d507e4p-14, 0x1.87588dcdfadddp-14, 0x1.79c48e7bcb649p-14, 0x1.6c987121e9f0bp-14, 0x1.5fd553ab7a295p-14, 0x1.5372c8c0f3599p-14, 0x1.47722db0b555fp-14, 0x1.3bcf3105fcdc5p-14, 0x1.3087c12a5384ep-14, 0x1.25983c42ed88cp-14, 0x1.1aff16656c7d3p-14, 0x1.10b9d3376133ep-14, 0x1.06c5615593fa6p-14, 0x1.fa3f71a4c74c2p-15, 0x1.e78dbb21cc571p-15, 0x1.d56f077e65b36p-15, 0x1.c3e1eb4a52375p-15, 0x1.b2e15feb049bfp-15, 0x1.a26a440448557p-15, 0x1.927831ce24093p-15, 0x1.8307d6390140dp-15, 0x1.7414c2896a7aap-15, 0x1.659abe4cc3df5p-15, 0x1.5795e5b3295efp-15, 0x1.4a058681cc7acp-15, 0x1.3ce29eedf9a9ap-15, 0x1.302e335825145p-15, 0x1.23dffa3e335d4p-15, 0x1.17f4a7a4dbb86p-15, 0x1.0c6ea36c434bdp-15, 0x1.014711aa4f2fbp-15, 0x1.ecf8235a00ed4p-16, 0x1.d81695dbb7c63p-16, 0x1.c3e36cc2bc711p-16, 0x1.b05cfab3a82cep-16, 0x1.9d7b826e94c38p-16, 0x1.8b39aded487b5p-16, 0x1.7995cbbc7bd8p-16, 0x1.68894361109cep-16, 0x1.58106e1470d1fp-16, 0x1.4825971d3f449p-16, 0x1.38c363ff21bcp-16, 0x1.29e7836ce1f7bp-16, 0x1.1b8b9825ea4b6p-16, 0x1.0dae57f890444p-16, 0x1.0049277a4adbp-16, 0x1.e6b4eea2582f8p-17, 0x1.cdbc6518bbecep-17, 0x1.b5a51a3ea5cc6p-17, 0x1.9e6339b1faa1fp-17, 0x1.87f14280b46efp-17, 0x1.724aa2a9b30c3p-17, 0x1.5d6a5257c05fcp-17, 0x1.494a46ee2893bp-17, 0x1.35e1701a0722ap-17, 0x1.233f9b1e18916p-17, 0x1.112f98b065a06p-17, 0x1.ffab374faf124p-18, 0x1.de42f7139768dp-18, 0x1.be0611b7074d2p-18, 0x1.9f15dee20e584p-18, 0x1.813f7644d3ed4p-18, 0x1.6486211c7b3b3p-18, 0x1.48fbce348b4bp-18, 0x1.2e66388c6329p-18, 0x1.14dd156749191p-18, 0x1.f8b007798b209p-19, 0x1.c981abbb68e47p-19, 0x1.9c395a88f60bcp-19, 0x1.70d06ceb9356cp-19, 0x1.471884b651eeep-19, 0x1.1f16032b4b351p-19, 0x1.f16b9558de1eap-20, 0x1.a7dde680b2cfap-20, 0x1.6157f96dcad1ep-20, 0x1.1dc28b4b008efp-20, 0x1.baa61fe60053p-21, 0x1.3efb936e0a817p-21, 0x1.91df4c5fe2ddfp-22, 0x1.60da175dc0d0ap-23, -0x1.37e3e6b90cad5p-25, -0x1.eae8878eed0abp-23, -0x1.b9a2f8a0eb109p-22, -0x1.3a6b5cb452bbbp-21, -0x1.93764f3e3815bp-21, -0x1.e842ffb6e990ep-21, -0x1.1c74f0abc30abp-20, -0x1.432f075ff3266p-20, -0x1.678473d088b72p-20, -0x1.8a0f632bc55fep-20, -0x1.aa8fabb443ec6p-20, -0x1.c96bfdbd5e9e3p-20, -0x1.e6987d08cd51p-20, -0x1.0117c02c73779p-19, -0x1.0e11243f0af77p-19, -0x1.1a57493f68529p-19, -0x1.25cb2578a2813p-19, -0x1.30a116857af99p-19, -0x1.3ab176ea5b485p-19, -0x1.4418f8b58ad23p-19, -0x1.4cf574e69117bp-19, -0x1.5506cde3c6727p-19, -0x1.5c8a6adf72042p-19, -0x1.6380a21e8d57fp-19, -0x1.69f05ae33c169p-19, -0x1.6fd810f2e756ap-19, -0x1.752c8cf25f5f8p-19, -0x1.79d8ba90c96a5p-19, -0x1.7e6eb7dd86cc8p-19, -0x1.82496e565ead7p-19, -0x1.85bf0200c21bp-19, -0x1.88c7aee155f84p-19, -0x1.8b668409cf983p-19, -0x1.8da3073cf4c06p-19, -0x1.8f7fd0ad95b62p-19, -0x1.90eedca6c5878p-19, -0x1.9205a18495b34p-19, -0x1.92c990f1fa00cp-19, -0x1.933627df134b2p-19, -0x1.935610d67ec7p-19, -0x1.9320b890217d4p-19, -0x1.928213c248121p-19, -0x1.91e5516484b01p-19, -0x1.90dead5dee91bp-19, -0x1.8f910d2fddfc3p-19, -0x1.8e09252ca6c2fp-19, -0x1.8c30fadfbb4d4p-19, -0x1.8a4e11891fa94p-19, -0x1.881087297454bp-19, -0x1.85a4ff55a2dd5p-19, -0x1.830750a0eea62p-19, -0x1.802e74a3b8c4ep-19, -0x1.7d461731341e6p-19, -0x1.7a1bc32248197p-19, -0x1.76c04c1fd8f56p-19, -0x1.734b35c2d8585p-19, -0x1.6fa8b76a664d2p-19, -0x1.6bdf9aef9189cp-19, -0x1.67fb9133018c7p-19, -0x1.640d5030bd028p-19, -0x1.5fcfa2cf0c1d5p-19, -0x1.5b8c83aa9f704p-19, -0x1.572a81ddea23p-19, -0x1.52ae970335543p-19, -0x1.4e23b0ea6992fp-19, -0x1.498eb8b9d59cfp-19, -0x1.44b8db62d2a9p-19, -0x1.3fe9d810680ddp-19, -0x1.3b058bff44e5dp-19, -0x1.360af0288d7a4p-19, -0x1.30f9a2e369c32p-19, -0x1.2be24414822adp-19, -0x1.26befd296201ap-19, -0x1.218cfc131b3fdp-19, -0x1.1c4dd32aa1f62p-19, -0x1.170648ee2169fp-19, -0x1.11acac39a6a24p-19, -0x1.0c331c7138d46p-19, -0x1.06efa8f90519ap-19, -0x1.017d0c04c9cdfp-19, -0x1.f80fa1360dbf8p-20, -0x1.ed18c87e3b439p-20, -0x1.e2280721b9695p-20, -0x1.d73141eea67d5p-20, -0x1.cc25ed1f255fep-20, -0x1.c11d2f1cc8a85p-20, -0x1.b5d4e491f79a8p-20, -0x1.ab08bb2994792p-20, -0x1.9fe9200a81696p-20, -0x1.94dc5b09879dcp-20, -0x1.89d9e1d3004bdp-20, -0x1.7ec580e78553bp-20, -0x1.73938148d3ecbp-20, -0x1.68c83bd0e8f1cp-20, -0x1.5dc5baac5c7ddp-20, -0x1.52cea0506495bp-20, -0x1.47cee71de5452p-20, -0x1.3d130542a1a29p-20, -0x1.323a5a5d86637p-20, -0x1.278064962e089p-20, -0x1.1caae9999a006p-20, -0x1.11f6ed1096ba5p-20, -0x1.0753bcca7687p-20, -0x1.f97dd576b597dp-21, -0x1.e477a3966854dp-21, -0x1.cf84c26bcff03p-21, -0x1.bad5890d324ccp-21, -0x1.a66c4e2506188p-21, -0x1.91db6546da0e3p-21, -0x1.7d3ef57d47c69p-21, -0x1.690c0abd0b2bep-21, -0x1.54e3a9e1dcc4dp-21, -0x1.40f9ed9aa9765p-21, -0x1.2d402e77378a2p-21, -0x1.19bfd29869325p-21, -0x1.064958d20b295p-21, -0x1.e616a0f70c828p-22, -0x1.bfcb3e3bfc38p-22, -0x1.99644c1b3a925p-22, -0x1.7472838b6fadp-22, -0x1.4f7f3515e76a1p-22, -0x1.2ac6dc8fef1f3p-22, -0x1.066d2d946630dp-22, -0x1.c47c4369d6d8ep-23, -0x1.7d152084f5f2p-23, -0x1.359815d91589dp-23, -0x1.e3671496ca1d2p-24, -0x1.58e7d98dd92c1p-24, -0x1.9f5f7e67c7f67p-25, -0x1.1d981d0a7f57p-26, 0x1.dac9aedaefa7p-27, 0x1.7612bdbd3ef89p-25, 0x1.3f7d4d739115fp-24, 0x1.c06d4a0fec028p-24, 0x1.1f2479c9eaebdp-23, 0x1.5de656e47787ap-23, 0x1.9bd09f3f192f4p-23, 0x1.d8b07c7105142p-23, 0x1.0a553dc8b45f6p-22, 0x1.27cd5c9402bf7p-22, 0x1.44a651b437a81p-22, 0x1.6189511f400acp-22, 0x1.7dd6c44d315afp-22, 0x1.99a6ccceb7b28p-22, 0x1.b5a762455a7b4p-22, 0x1.d0c4bea6877efp-22, 0x1.eb543d861850ap-22, 0x1.02b2583049c27p-21, 0x1.0f97faedd00bdp-21, 0x1.1c599b0cdf797p-21, 0x1.28e9c6d5ba936p-21, 0x1.352aa87034ef1p-21, 0x1.412115ce16d55p-21, 0x1.4d3ba73ecd718p-21, 0x1.58cf1decc7679p-21, 0x1.6459b70fa83ap-21, 0x1.6fb3106347937p-21, 0x1.7aa225e8c88e7p-21, 0x1.8588a726e922bp-21, 0x1.902b67ef0f3b5p-21, 0x1.9a9eb4f64b217p-21, 0x1.a4e92091ea682p-21, 0x1.aef74fa383e7dp-21, 0x1.b8c92f65c8aecp-21, 0x1.c2d8e91864b41p-21, 0x1.cc0230a65d902p-21, 0x1.d5488aa38e53p-21, 0x1.dea2724b9602fp-21, 0x1.e756c86a44d6bp-21, 0x1.f06222803b71dp-21, 0x1.f9065d81c4fb8p-21, 0x1.00636bded79efp-20, 0x1.0472d6cdc0fc5p-20, 0x1.0869ff5d36707p-20, 0x1.0c4a48bd2243bp-20, 0x1.101aee563174fp-20, 0x1.13cff41cf38e3p-20, 0x1.1763d313420d3p-20, 0x1.1ad3c45202137p-20, 0x1.1e51fb896916bp-20, 0x1.21a5a6d841535p-20, 0x1.24e4bdefbb095p-20, 0x1.2812da890a13bp-20, 0x1.2b1a440a0254bp-20, 0x1.2e1be29383914p-20, 0x1.31134ba1abfe9p-20, 0x1.33e064e6949a8p-20, 0x1.368fe9059e557p-20, 0x1.3921ff84aad93p-20, 0x1.3bb683e002639p-20, 0x1.3e2b74a79068ap-20, 0x1.40a23327e33aep-20, 0x1.430497a4e6f59p-20, 0x1.453221d513c1cp-20, 0x1.475ef3f176b2ep-20, 0x1.497f0b8e84af8p-20, 0x1.4b7b8eaef1db8p-20, 0x1.4d6437a996c4ap-20, 0x1.4f3b5b63c8e66p-20, 0x1.51047635f2d79p-20, 0x1.52d22de58c7c9p-20, 0x1.545ea36ea9d3dp-20, 0x1.55ee46097176cp-20, 0x1.57696d0e59205p-20, 0x1.58d3461bdca8dp-20, 0x1.5a213c591311dp-20, 0x1.5b7d495047828p-20, 0x1.5cb85fd04e96bp-20, 0x1.5ddfe4c2e519ap-20, 0x1.5ecf1a6bf291ap-20, 0x1.5ff8b669086fap-20, 0x1.60f2567449b95p-20, 0x1.61f0b3ddbb1f4p-20, 0x1.62a04bfedd975p-20, 0x1.634fb05d0ba87p-20, 0x1.63ede06b086a9p-20, 0x1.649e29bd43e04p-20, 0x1.65453fc790339p-20, 0x1.65cc3a99d6e5p-20, 0x1.6643ab8763f19p-20, 0x1.66a16c41a8045p-20, 0x1.670457a64c92p-20, 0x1.675c4df59cc7p-20, 0x1.678141f4956c5p-20, 0x1.67a3d5d6d8f6cp-20, 0x1.67c916e09a90fp-20, 0x1.67de610ff815p-20, 0x1.67ea0b6e648f2p-20, 0x1.67f202176ebb5p-20, 0x1.67da93e901a42p-20, 0x1.67b56b4294d0ap-20, 0x1.67913f2f18dfdp-20, 0x1.6743a51095efp-20, 0x1.66fd2d033e1d3p-20, 0x1.66a5c90ec79d9p-20, 0x1.664662110346fp-20, 0x1.65d9897830328p-20, 0x1.656b55ae017edp-20, 0x1.64fed0b7b0b4ap-20, 0x1.645abf89667c6p-20, 0x1.63c295f8d9082p-20, 0x1.63210c3a34e2cp-20, 0x1.6275c9271a531p-20, 0x1.61ba3b39558fcp-20, 0x1.6106f3895740dp-20, 0x1.60462ff2e4358p-20, 0x1.5f5d6f316b2a4p-20, 0x1.5e84dc9df59c5p-20, 0x1.5d9ec2651cc2cp-20, 0x1.5cad9be69c4b6p-20, 0x1.5bb4c77924bb3p-20, 0x1.5aa2b0c96f40fp-20, 0x1.59ab18d684935p-20, 0x1.588fc34049afap-20, 0x1.576af79abf6b1p-20, 0x1.5654fb7583ff6p-20, 0x1.552a9a9e5dc87p-20, 0x1.53ebb9632cc78p-20, 0x1.528e061d78a3cp-20, 0x1.51708908f90dp-20, 0x1.5029c845a6b1ap-20, 0x1.4ed848c9073a9p-20, 0x1.4d7b0ed352ccep-20, 0x1.4c166cefb6fecp-20, 0x1.4ab04826fac97p-20, 0x1.494eafd39b13p-20, 0x1.47d3c547531c1p-20, 0x1.46563e0034cfep-20, 0x1.44dbf4e23c00ep-20, 0x1.435f8e874ccafp-20, 0x1.41c20dd31d79ap-20, 0x1.4047e6023b6dcp-20, 0x1.3ea2875552c13p-20, 0x1.3d032036de99fp-20, 0x1.3b5fb08c2cc6fp-20, 0x1.39ba2cad69d6p-20, 0x1.380cdf62a549fp-20, 0x1.365d58931e26bp-20, 0x1.348f7ba0819bcp-20, 0x1.32ef79b2d6f72p-20, 0x1.312932b896932p-20, 0x1.2f675e6e7955p-20, 0x1.2da44729eb219p-20, 0x1.2bd94251971e5p-20, 0x1.2a087586cb891p-20, 0x1.2835029344ea9p-20, 0x1.265922587e7b8p-20, 0x1.247ff713e1c1ap-20, 0x1.2298f3fe3d5bep-20, 0x1.20c6d049ab0ffp-20, 0x1.1eddf9a52cb22p-20, 0x1.1cf94efdf6b8cp-20, 0x1.1b09cc559018cp-20, 0x1.191dde9bc9641p-20, 0x1.172f75ce6ee87p-20, 0x1.1542191ae010fp-20, 0x1.13451f13cff8p-20, 0x1.116b50e9e8622p-20, 0x1.0f52dc15c9c59p-20, 0x1.0d60e77b0d597p-20, 0x1.0b651263df42fp-20, 0x1.0964a34ba4555p-20, 0x1.075b4f18580ddp-20, 0x1.0557d8d7c794ap-20, 0x1.034e20b5e4b5ep-20, 0x1.014d90e9e26d9p-20, 0x1.fe77d5856e903p-21, 0x1.fa7296cd9ca42p-21, 0x1.f65a57ce75866p-21, 0x1.f27090d24125dp-21, 0x1.ee2d94e5e3822p-21, 0x1.ea20ae050e1f7p-21, 0x1.e5f2fd2cee648p-21, 0x1.e1ca162e1c284p-21, 0x1.dda8e7e9ffa98p-21, 0x1.d98642254df56p-21, 0x1.d55871ed16c92p-21, 0x1.d12ec91239152p-21, 0x1.cd05ae022636ap-21, 0x1.c8fc5d9beae8bp-21, 0x1.c4d495d654723p-21, 0x1.c0a3eff6c3f2dp-21, 0x1.bc76677f9e973p-21, 0x1.b844b4135dd51p-21, 0x1.b42156e77973fp-21, 0x1.aff5906bc69f1p-21, 0x1.abd17c204f2b3p-21, 0x1.a79aefd65c738p-21, 0x1.a3859c034d41ap-21, 0x1.9f49e558ffb5p-21, 0x1.9b34ac2758314p-21, 0x1.970dcc5b7283cp-21, 0x1.92ee0499fb67cp-21, 0x1.8ec09ebbe9923p-21, 0x1.8a9f33af4b8c6p-21, 0x1.867c47aee1176p-21, 0x1.826397c9ef702p-21, 0x1.7e5fe1680d574p-21, 0x1.7a1a389d62ebap-21, 0x1.7603d1059e679p-21, 0x1.71ec7e2c9604bp-21, 0x1.6df073a2c2d78p-21, 0x1.69de06967726ep-21, 0x1.65ba3317c4f4ep-21, 0x1.61b65b99a4ea3p-21, 0x1.5dacf78c225e4p-21, 0x1.5980d11cbd198p-21, 0x1.5595ada7990c8p-21, 0x1.51872266acd6fp-21, 0x1.4d99fe26b8a5fp-21, 0x1.49a1c8adb5e6dp-21, 0x1.45b5ae9de7931p-21, 0x1.41ac3ef943fdp-21, 0x1.3db1ce2285387p-21, 0x1.39b8ca7aa20afp-21, 0x1.35cc07705d556p-21, 0x1.31e60850966cbp-21, 0x1.2e08d9bc7b20cp-21, 0x1.2a2ac805647ep-21, 0x1.264e05e600ba5p-21, 0x1.22638526ab21cp-21, 0x1.1e931c208b773p-21, 0x1.1ab5c279caa02p-21, 0x1.16ef2d31ddcacp-21, 0x1.1319cb50e4202p-21, 0x1.0f5eb29726cf5p-21, 0x1.0b96ea3c211dep-21, 0x1.07d0364f996c8p-21, 0x1.041d35121fe8ep-21, 0x1.00704bf0529c5p-21, 0x1.f96bdc9c9df07p-22, 0x1.f2156ac0e1853p-22, 0x1.eacdb36a8e6f6p-22, 0x1.e37e995cd70e8p-22, 0x1.dc50de040db68p-22, 0x1.d524f151ab12dp-22, 0x1.cdea3c10d62efp-22, 0x1.c6c045d2a938bp-22, 0x1.bfac8c7b90f18p-22, 0x1.b89b46a802b4cp-22, 0x1.b192dcee834cbp-22, 0x1.aa6e1b1b7da86p-22, 0x1.a3bb1d683ee98p-22, 0x1.9d05bfe1c6d2p-22, 0x1.95e33317b945ap-22, 0x1.8f2c95faa1bd5p-22, 0x1.8861ba68bd938p-22, 0x1.81959a7366ba6p-22, 0x1.7ad2e202a05b7p-22, 0x1.7438c76a5d09ep-22, 0x1.6d9a912934e23p-22, 0x1.671466036a785p-22, 0x1.6085033cf0278p-22, 0x1.59f9e4a4989ap-22, 0x1.5373c87b3173p-22, 0x1.4d00e13c52641p-22, }}, 
      {{-0x1.4416e8d58b8ap-6, -0x1.262bc9c471ce8p-4, -0x1.21de649c370cap-3, -0x1.b837b92f42e4ap-3, -0x1.202a66f5c5952p-2, -0x1.560f7ffcd168p-2, -0x1.7a1ff8ad01298p-2, -0x1.8b4c59bd10cb1p-2, -0x1.8a5a5b410b1d5p-2, -0x1.793861f9cea0ap-2, -0x1.5a75d7dc37539p-2, -0x1.30e1404397c0dp-2, -0x1.fe8c2857dc55ap-3, -0x1.9086243078a9bp-3, -0x1.1c6497f9df601p-3, -0x1.4c75eb12b4995p-4, -0x1.8ba7b78f8d4b6p-6, 0x1.f92f78dc1a984p-6, 0x1.52d1422e2f077p-4, 0x1.0bb2c501e724bp-3, 0x1.64e11fe15e9e4p-3, 0x1.b43d63a368a12p-3, 0x1.f96dfec894874p-3, 0x1.1a334d91f6dd3p-2, 0x1.32acce908da1dp-2, 0x1.4655715d4e42dp-2, 0x1.5571f3df9913fp-2, 0x1.6054adc19c3abp-2, 0x1.675914adca5adp-2, 0x1.6adff1be722fp-2, 0x1.6b4c3fa23b71fp-2, 0x1.6900a0db23526p-2, 0x1.645d60328ab6p-2, 0x1.5dbee8dfa4294p-2, 0x1.557ca9ed4e4ecp-2, 0x1.4be84f8c7e158p-2, 0x1.414d478123af6p-2, 0x1.35f08251be528p-2, 0x1.2a105feefb2fep-2, 0x1.1de4ca60a9813p-2, 0x1.119f60c25e23bp-2, 0x1.056bbd5a5961bp-2, 0x1.f2df8ebbc1b49p-3, 0x1.db981f25c68c4p-3, 0x1.c53860133fcbp-3, 0x1.afee5417d0c09p-3, 0x1.9bdf99a311d4bp-3, 0x1.892a2fda822bep-3, 0x1.77e52fc69dcc1p-3, 0x1.6821810a6a46p-3, 0x1.59ea89be120d6p-3, 0x1.4d46d988de7ap-3, 0x1.4238bb1401015p-3, 0x1.38bec381532bp-3, 0x1.30d4579f60f51p-3, 0x1.2a721d18f2286p-3, 0x1.258e68fa9c942p-3, 0x1.221da25bf4081p-3, 0x1.20129f1520ab4p-3, 0x1.1f5ee568f34e1p-3, 0x1.1ff306dbd2434p-3, 0x1.21beca5962e79p-3, 0x1.24b1738997483p-3, 0x1.28b9e736d3266p-3, 0x1.2dc6e14fe1c33p-3, 0x1.33c7150fdc14cp-3, 0x1.3aa94b1933245p-3, 0x1.425c86d263314p-3, 0x1.4ad011904b3c4p-3, 0x1.53f398d7c9e3fp-3, 0x1.5db733de8eccep-3, 0x1.680b75393f407p-3, 0x1.72e17ff94236ap-3, 0x1.7e2af9e9e9a18p-3, 0x1.89da244260b11p-3, 0x1.95e1d7d45c27ap-3, 0x1.a2358a5aafde1p-3, 0x1.aec9502b805acp-3, 0x1.bb91d4d04faedp-3, 0x1.c884666ff75eap-3, 0x1.d596eb363187ep-3, 0x1.e2bfe04ce3b69p-3, 0x1.eff6590d796e9p-3, 0x1.fd31f95737548p-3, 0x1.0535764489923p-2, 0x1.0bccf7ffa58f8p-2, 0x1.125c1e1cc5f73p-2, 0x1.18dfc8e16f48dp-2, 0x1.1f550fab8a831p-2, 0x1.25b94972c198ep-2, 0x1.2c0a01045f39ep-2, 0x1.3244f970db355p-2, 0x1.386827b0edabcp-2, 0x1.3e71afe15de7fp-2, 0x1.445fe590873c6p-2, 0x1.4a31458b6df04p-2, 0x1.4fe4766e4874p-2, 0x1.5578464395a85p-2, 0x1.5aeba4acee0afp-2, 0x1.603da6efae326p-2, 0x1.656d7fbf21eafp-2, 0x1.6a7a7f6cceaf6p-2, 0x1.6f641488e3413p-2, 0x1.7429c45059bb3p-2, 0x1.78cb304199ae3p-2, 0x1.7d480d7d2b327p-2, 0x1.81a0279e112a6p-2, 0x1.85d35c2950865p-2, 0x1.89e19c2c76883p-2, 0x1.8dcae9d9b8d1ep-2, 0x1.918f522eccb56p-2, 0x1.952ef74148de6p-2, 0x1.98aa00c9c65e8p-2, 0x1.9c00a70dda7fep-2, 0x1.9f332b989a9fap-2, 0x1.a241d87cef1b5p-2, 0x1.a52d010a6edeep-2, 0x1.a7f50194533dcp-2, 0x1.aa9a3c14d368cp-2, 0x1.ad1d19b532ee6p-2, 0x1.af7e07e2731a8p-2, 0x1.b1bd7a2fa066ep-2, 0x1.b3dbe845cf28cp-2, 0x1.b5d9cc429ea37p-2, 0x1.b7b7a4b080e43p-2, 0x1.b975f2e3a29cfp-2, 0x1.bb1538ff2049cp-2, 0x1.bc95fca7fc1a7p-2, 0x1.bdf8c31e2f556p-2, 0x1.bf3e144d4c9a5p-2, 0x1.c066779af75d9p-2, 0x1.c17275cb2b1e3p-2, 0x1.c2629705aeffcp-2, 0x1.c337640f0ec2ep-2, 0x1.c3f164d2bf8ffp-2, 0x1.c49120c784d41p-2, 0x1.c5171f1cd3e4ep-2, 0x1.c583e5895ddafp-2, 0x1.c5d7f9aa4150cp-2, 0x1.c613decad4139p-2, 0x1.c638185c4bdf8p-2, 0x1.c64527888dceep-2, 0x1.c63b8c1a45523p-2, 0x1.c61bc4c5f4338p-2, 0x1.c5e64e8cffcbp-2, 0x1.c59ba53aa8632p-2, 0x1.c53c427df4d27p-2, 0x1.c4c89dc22157dp-2, 0x1.c4412ecc3c1p-2, 0x1.c3a669897b488p-2, 0x1.c2f8c1635a683p-2, 0x1.c238a74c9e6ecp-2, 0x1.c1668b98a6676p-2, 0x1.c082db8d5fd22p-2, 0x1.bf8e03a9f961ep-2, 0x1.be886e6eb2201p-2, 0x1.bd728472c4e41p-2, 0x1.bc4cad4d81e6bp-2, 0x1.bb174e1668e39p-2, 0x1.b9d2ca5def033p-2, 0x1.b87f84d704236p-2, 0x1.b71dde0c0b85cp-2, 0x1.b5ae351c797d4p-2, 0x1.b430e7322c1e2p-2, 0x1.b2a650b65cdfp-2, 0x1.b10ecbceb5fe9p-2, 0x1.af6ab1e67d90fp-2, 0x1.adba5a33ee5adp-2, 0x1.abfe1b6fe9a99p-2, 0x1.aa3649c55ee8dp-2, 0x1.a8633973f4ae6p-2, 0x1.a6853c3128924p-2, 0x1.a49ca2c7dc734p-2, 0x1.a2a9bd0d0e449p-2, 0x1.a0acd9487aa03p-2, 0x1.9ea64434b567bp-2, 0x1.9c964a3b78669p-2, 0x1.9a7d364296cb8p-2, 0x1.985b514e4bf8ap-2, 0x1.9630e4a67357fp-2, 0x1.93fe36a9efd5bp-2, 0x1.91c38e1921f65p-2, 0x1.8f8130b6a6422p-2, 0x1.8d3762137766p-2, 0x1.8ae665b42d10cp-2, 0x1.888e7d712e78ap-2, 0x1.862fea8372513p-2, 0x1.83caed76deb4p-2, 0x1.815fc569b76cdp-2, 0x1.7eeeb06f39e1bp-2, 0x1.7c77ec2398f7ap-2, 0x1.79fbb50b908ddp-2, 0x1.777a46afc1d1ep-2, 0x1.74f3dbdef21dep-2, 0x1.7268ae1be4593p-2, 0x1.6fd8f6c010b6ep-2, 0x1.6d44edc704713p-2, 0x1.6aacca280cf3bp-2, 0x1.6810c3744ca6dp-2, 0x1.65710dfedf2b8p-2, 0x1.62cddf6dd6793p-2, 0x1.60276b3451c79p-2, 0x1.5d7de518158c8p-2, 0x1.5ad17f32f3c85p-2, 0x1.58226b6055423p-2, 0x1.5570da702217bp-2, 0x1.52bcfc56e7b39p-2, 0x1.500700c62187ap-2, 0x1.4d4f1639fe59dp-2, 0x1.4a956ab2206bcp-2, 0x1.47da2b1e61c7bp-2, 0x1.451d8402062ccp-2, 0x1.425fa091eff96p-2, 0x1.3fa0ac4b829f5p-2, 0x1.3ce0d18707cfep-2, 0x1.3a2038a2b94c8p-2, 0x1.375f0bc9ffc21p-2, 0x1.349d721f62e1fp-2, 0x1.31db93788ccbdp-2, 0x1.2f199610e959bp-2, 0x1.2c57a013849e7p-2, 0x1.2995d6d399188p-2, 0x1.26d45ea6567b3p-2, 0x1.24135bac46a9ap-2, 0x1.2152f0d7771f2p-2, 0x1.1e9340ba6c3e7p-2, 0x1.1bd46d330a3b9p-2, 0x1.1916976981cb1p-2, 0x1.1659dfb777ad1p-2, 0x1.139e66727e4b8p-2, 0x1.10e44959425c3p-2, 0x1.0e2ba8c1071edp-2, 0x1.0b74a157da721p-2, 0x1.08bf50a3199a5p-2, 0x1.060bd311581e8p-2, 0x1.035a4495f5cfcp-2, 0x1.00aac06917b4cp-2, 0x1.fbfac23900604p-3, 0x1.f6a482402bf2p-3, 0x1.f152f23139538p-3, 0x1.ec0644660e5a9p-3, 0x1.e6bea8e97fd51p-3, 0x1.e17c4ea436ae5p-3, 0x1.dc3f6396e0ff2p-3, 0x1.d708141c68d5ap-3, 0x1.d1d68b7bcb39ap-3, 0x1.ccaaf4fe7f658p-3, 0x1.c78577e40b2f5p-3, 0x1.c2663d128b93p-3, 0x1.bd4d6b1bb67c3p-3, 0x1.b83b27585c373p-3, 0x1.b32f9663a8c9fp-3, 0x1.ae2adb5f16efp-3, 0x1.a92d184ae3de6p-3, 0x1.a4366ea0442a8p-3, 0x1.9f46fda00d2ffp-3, 0x1.9a5ee4a68e877p-3, 0x1.957e414324ae7p-3, 0x1.90a5300c49a29p-3, 0x1.8bd3cd7fe0043p-3, 0x1.870a32fa90ffap-3, 0x1.82487b22ca418p-3, 0x1.7d8ebdc97e1e1p-3, 0x1.78dd12e3f84c3p-3, 0x1.74339098dc3d7p-3, 0x1.6f924d4e904bfp-3, 0x1.6af95dd19877dp-3, 0x1.6668d4eb990f2p-3, 0x1.61e0c4d7fcb5p-3, 0x1.5d6140e31504ap-3, 0x1.58ea5966eb5dcp-3, 0x1.547c1e37ccf8fp-3, 0x1.50169e8e6283ep-3, 0x1.4bb9e89bcd475p-3, 0x1.476609d775066p-3, 0x1.431b0ea7af727p-3, 0x1.3ed902f109a28p-3, 0x1.3a9ff161141ecp-3, 0x1.366fe44651ec5p-3, 0x1.3248e4b721f4fp-3, 0x1.2e2afb576930dp-3, 0x1.2a162fa482b9fp-3, 0x1.260a88a558a72p-3, 0x1.22080ca6a9303p-3, 0x1.1e0ec155a341p-3, 0x1.1a1eab141a027p-3, 0x1.1637ce5782b3bp-3, 0x1.125a2e670308ap-3, 0x1.0e85cdd22a4d5p-3, 0x1.0abaaef9b39cp-3, 0x1.06f8d2ea5cb7dp-3, 0x1.03403a8dd59dap-3, 0x1.ff21cc628bdbbp-4, 0x1.f7d5aa716411ep-4, 0x1.f09c0d6acb6e7p-4, 0x1.e974f2726bc67p-4, 0x1.e26054c085363p-4, 0x1.db5e2ef64a777p-4, 0x1.d46e79aaab695p-4, 0x1.cd912da940cf3p-4, 0x1.c6c6425cacaddp-4, 0x1.c00daf75468d4p-4, 0x1.b9676754911c2p-4, 0x1.b2d36205d01b2p-4, 0x1.ac518f8e0dd5ep-4, 0x1.a5e1e4f0eb0c2p-4, 0x1.9f845480df7e7p-4, 0x1.9938cc7c6c3e1p-4, 0x1.92ff3e815b247p-4, 0x1.8cd797a133b52p-4, 0x1.86c1c7cc51b07p-4, 0x1.80bdbad9167c1p-4, 0x1.7acb5f88cd503p-4, 0x1.74eaa19c32bcep-4, 0x1.6f1b6d9336697p-4, 0x1.695daec41dad2p-4, 0x1.63b14eb92cd57p-4, 0x1.5e1637202037bp-4, 0x1.588c500a0e135p-4, 0x1.531380c422091p-4, 0x1.4dabb0a26204ep-4, 0x1.4854c56c3401bp-4, 0x1.430ea7031f0bap-4, 0x1.3dd93b6ec2f2fp-4, 0x1.38b469d52ae1fp-4, 0x1.33a018e8a5c7bp-4, 0x1.2e9c2eac65496p-4, 0x1.29a88f719ae4ap-4, 0x1.24c51ef9e6abcp-4, 0x1.1ff1bf67c56a9p-4, 0x1.1b2e51b1bbec1p-4, 0x1.167ab71c6d6d4p-4, 0x1.11d6d06c5ba86p-4, 0x1.0d427f9a51001p-4, 0x1.08bda7a2f50b2p-4, 0x1.04482b03e2972p-4, 0x1.ffc3dd936e024p-5, 0x1.f715abe701175p-5, 0x1.ee8586e163df2p-5, 0x1.e6132f426983fp-5, 0x1.ddbe62badfb9cp-5, 0x1.d586dca5cf68fp-5, 0x1.cd6c56015b502p-5, 0x1.c56e887200fdfp-5, 0x1.bd8d2b99f2c98p-5, 0x1.b5c8023c29ed2p-5, 0x1.ae1ecc9ec575ep-5, 0x1.a6914ff244ae3p-5, 0x1.9f1f5337ffd03p-5, 0x1.97c89c721d185p-5, 0x1.908cee9c92f4p-5, 0x1.896c086ccc66dp-5, 0x1.8265a3b5635adp-5, 0x1.7b79764d0604fp-5, 0x1.74a734f774d7p-5, 0x1.6dee91dce61e3p-5, 0x1.674f485a9edbbp-5, 0x1.60c912bae83adp-5, 0x1.5a5bb2e2ec1b2p-5, 0x1.5406ecf8c6053p-5, 0x1.4dca8817f406cp-5, 0x1.47a64b1770c4ap-5, 0x1.4199f993a2cc4p-5, 0x1.3ba5540a9f2ffp-5, 0x1.35c815671bb62p-5, 0x1.3001f4ad6f594p-5, 0x1.2a52a76f7c108p-5, 0x1.24b9e3b7ae476p-5, 0x1.1f3762d0ce015p-5, 0x1.19cae57bcf458p-5, 0x1.14742bd456b1dp-5, 0x1.0f32fc40cc1a5p-5, 0x1.0a0719ebf0cb9p-5, 0x1.04f049d25fd9fp-5, 0x1.ffdc9c06bff9ep-6, 0x1.f601d0570887cp-6, 0x1.ec4fac8b87bf6p-6, 0x1.e2c5ab6fa6259p-6, 0x1.d963446cdf389p-6, 0x1.d027f1173be31p-6, 0x1.c7133410e7e7p-6, 0x1.be2499c709318p-6, 0x1.b55bb7b66f13p-6, 0x1.acb825facc722p-6, 0x1.a439770bfe874p-6, 0x1.9bdf33326556ap-6, 0x1.93a8d0d0352fcp-6, 0x1.8b95c788288f8p-6, 0x1.83a58ae11877ep-6, 0x1.7bd79653ad70ap-6, 0x1.742b6d9d76982p-6, 0x1.6ca09dbb36b63p-6, 0x1.6536b7e03c865p-6, 0x1.5ded56527dc44p-6, 0x1.56c41d79986b1p-6, 0x1.4fbab857b79bap-6, 0x1.48d0d645bf13cp-6, 0x1.42062186c958p-6, 0x1.3b5a337a48355p-6, 0x1.34cc8eddf0f7fp-6, 0x1.2e5ca1cf586bap-6, 0x1.2809d3b16367p-6, 0x1.21d38f5dadc44p-6, 0x1.1bb958eade8c7p-6, 0x1.15bac07ada194p-6, 0x1.0fd7729172e4bp-6, 0x1.0a0f1f019e06bp-6, 0x1.0461764856796p-6, 0x1.fd9c55da6bccep-7, 0x1.f2a9e05d111b3p-7, 0x1.e7eafb681c71ap-7, 0x1.dd5f12123b7d3p-7, 0x1.d30582ce81354p-7, 0x1.c8dd8b120404p-7, 0x1.bee63c9671ab7p-7, 0x1.b51e835d50c23p-7, 0x1.ab8548aa782bap-7, 0x1.a2198dfe977ddp-7, 0x1.98da8a102417ap-7, 0x1.8fc7a20378e08p-7, 0x1.86e0529104729p-7, 0x1.7e24169d663f7p-7, 0x1.759257c8575b7p-7, 0x1.6d2a721ac41a2p-7, 0x1.64ebc673c600ep-7, 0x1.5cd5ba0d420f4p-7, 0x1.54e7ceaee76ecp-7, 0x1.4d2185392c80ep-7, 0x1.458255d303f88p-7, 0x1.3e099a780fa1bp-7, 0x1.36b699a0d8ce3p-7, 0x1.2f8889433cdc6p-7, 0x1.287e9e3ac17d3p-7, 0x1.2198385889f0bp-7, 0x1.1ad4b976df41bp-7, 0x1.14339a5925f1ap-7, 0x1.0db4403c527ccp-7, 0x1.07560582f8e79p-7, 0x1.011841603ec95p-7, 0x1.f5f4ae9ad87d5p-8, 0x1.e9f77bcd50e5p-8, 0x1.de381dfb5f58fp-8, 0x1.d2b5dd171716dp-8, 0x1.c7700843e971dp-8, 0x1.bc65c510b73b6p-8, 0x1.b19618eea4aap-8, 0x1.a7000c2f90d37p-8, 0x1.9ca2c1982d96fp-8, 0x1.927d6b91d2f54p-8, 0x1.888f2be3825d2p-8, 0x1.7ed6e708b75c2p-8, 0x1.755332ef42eap-8, 0x1.6c026cd21be12p-8, 0x1.62e32ec9da68ap-8, 0x1.59f457573f203p-8, 0x1.513516468236fp-8, 0x1.48a4c4f3aa6c8p-8, 0x1.4042c89949942p-8, 0x1.380ea2c4dbce9p-8, 0x1.3007df06c23ccp-8, 0x1.282dd25f011c2p-8, 0x1.207f9946bb947p-8, 0x1.18fc55402898ep-8, 0x1.11a37137466aap-8, 0x1.0a7493ac0a834p-8, 0x1.036f50e2a34b4p-8, 0x1.f925ef5945caap-9, 0x1.ebbcfd84ce341p-9, 0x1.dea12e355170cp-9, 0x1.d1cf4ff441b5p-9, 0x1.c544cf26cecf8p-9, 0x1.b8ffce0f22b2p-9, 0x1.acffd69fa6512p-9, 0x1.a14496254d623p-9, 0x1.95cd208fc757ap-9, 0x1.8a9852c629c61p-9, 0x1.7fa5382c09c7fp-9, 0x1.74f2d4bca4a24p-9, 0x1.6a7fe9a0b63a3p-9, 0x1.604b3888d6a18p-9, 0x1.5653a0b732b39p-9, 0x1.4c98393ad3e21p-9, 0x1.4317fdf3d8582p-9, 0x1.39d1f12d2cc59p-9, 0x1.30c4dde6dd3cep-9, 0x1.27efa76db84d1p-9, 0x1.1f50d78ba2383p-9, 0x1.16e671feff17ep-9, 0x1.0eae2dfc2db9fp-9, 0x1.06a66532684c5p-9, 0x1.fd9e000e2bed8p-10, 0x1.ee508b9c8a03dp-10, 0x1.df62ba556f644p-10, 0x1.d0d1b253e9fe6p-10, 0x1.c29bcad181979p-10, 0x1.b4bfed28b0a4fp-10, 0x1.a73cbe102486bp-10, 0x1.9a108a66e3ccfp-10, 0x1.8d3938aef5372p-10, 0x1.80b4859ccf113p-10, 0x1.748008daf8c15p-10, 0x1.6899e30e51286p-10, 0x1.5d0121bc4681p-10, 0x1.51b4edb95e418p-10, 0x1.46b41879407e1p-10, 0x1.3bfcd726cf247p-10, 0x1.318cf899cd175p-10, 0x1.2761887df3738p-10, 0x1.1d7780b96b0dp-10, 0x1.13ce65d818763p-10, 0x1.0a66d07511c67p-10, 0x1.013f1d8ce90a6p-10, 0x1.f0a9b04b48d69p-11, 0x1.df4ed925becbbp-11, 0x1.ce6d18cd1f5ccp-11, 0x1.be021f83db59cp-11, 0x1.ae0a139629c63p-11, 0x1.9e80f85ed3acep-11, 0x1.8f639f058b7a2p-11, 0x1.80aef27187acfp-11, 0x1.72619e7507356p-11, 0x1.64796ad6a2d43p-11, 0x1.56f4bf4dc979p-11, 0x1.49d30ee6c9d88p-11, 0x1.3d126bb737f0dp-11, 0x1.30afc931230a9p-11, 0x1.24a872d2d4408p-11, 0x1.18f97d2a127dbp-11, 0x1.0d9f5a730d48ap-11, 0x1.0297fc3739d85p-11, 0x1.efc7b381478aap-12, 0x1.db00360778b81p-12, 0x1.c6d34c3361cc1p-12, 0x1.b34375b79c88p-12, 0x1.a04f90b673693p-12, 0x1.8def4bf57f08p-12, 0x1.7c1c4f5148463p-12, 0x1.6ad2bd61fddfp-12, 0x1.5a0fdd1bbc5a6p-12, 0x1.49d1650837c0fp-12, 0x1.3a146e97562f5p-12, 0x1.2ad65194c54a3p-12, 0x1.1c14281285998p-12, 0x1.0dcb2decafa2ap-12, 0x1.fff33de01d632p-13, 0x1.e53b378ad9359p-13, 0x1.cb67edb9913b8p-13, 0x1.b26d485ea3d43p-13, 0x1.9a4436dec76c4p-13, 0x1.82ed3e072df45p-13, 0x1.6c60fca29920cp-13, 0x1.56984546bcba9p-13, 0x1.418a4c4000508p-13, 0x1.2d39f98a0f6a3p-13, 0x1.19a937d00a10dp-13, 0x1.06cc77a7273d9p-13, 0x1.e933d7f04b559p-14, 0x1.c61aa301ab085p-14, 0x1.a447703b6481ap-14, 0x1.83b311130d917p-14, 0x1.645680e3e0049p-14, 0x1.462a9b8762a6fp-14, 0x1.2926f4f0a071fp-14, 0x1.0d4501ba031fdp-14, 0x1.e4f02e555ee79p-15, 0x1.b17bdf080f388p-15, 0x1.8021e65ce1c83p-15, 0x1.50d9f96eee444p-15, 0x1.23916faf3e4f6p-15, 0x1.f05167a731ec4p-16, 0x1.9d13c55920e4ap-16, 0x1.4da09a9b1c81bp-16, 0x1.01b68eb96d85ap-16, 0x1.72114c68ee104p-17, 0x1.cea4847aa275fp-18, 0x1.8d16fefce8d99p-19, -0x1.a616cf1d91538p-21, -0x1.242ef0767bbd2p-18, -0x1.040609ac85692p-17, -0x1.70485bb96970cp-17, -0x1.d705c2fc18441p-17, -0x1.1c27907b2a34bp-16, -0x1.4a351465e5182p-16, -0x1.75b2c1aba9266p-16, -0x1.9ebc5e1d609b6p-16, -0x1.c55efdea5acb8p-16, -0x1.e9b1f24d4c6a3p-16, -0x1.05e46cf6e51d7p-15, -0x1.15db9781a51ffp-15, -0x1.24c530120ba4ep-15, -0x1.32a1e8641bbe5p-15, -0x1.3f751e4a4c183p-15, -0x1.4b56bf49ced45p-15, -0x1.5654c6ca51176p-15, -0x1.606e3159da995p-15, -0x1.69a59aa64434dp-15, -0x1.7207054c6fb32p-15, -0x1.799a873063715p-15, -0x1.805e8f6a85c7p-15, -0x1.86613204c1fffp-15, -0x1.8bb4b86fe2053p-15, -0x1.904db8e5ff814p-15, -0x1.943c54992e51dp-15, -0x1.977ef448b17a8p-15, -0x1.9a240cb01b546p-15, -0x1.9c2c24f8816bp-15, -0x1.9d9cbbe5d12fp-15, -0x1.9e7d01a812153p-15, -0x1.9ed08eb3bc6bfp-15, -0x1.9e9e224c66ac3p-15, -0x1.9dea541cddc63p-15, -0x1.9cbaf3839657ap-15, -0x1.9b162b53591c5p-15, -0x1.990219b680bbp-15, -0x1.967e0e9c5e879p-15, -0x1.9385c925e7071p-15, -0x1.90218cdf4dce5p-15, -0x1.8c6658dfd2acfp-15, -0x1.885e29d9080ddp-15, -0x1.83ee564c9b8b7p-15, -0x1.7f22380060673p-15, -0x1.7a103a93cf544p-15, -0x1.74aaa30064507p-15, -0x1.6f0054eb543bdp-15, -0x1.69131f5367a8fp-15, -0x1.62e07b86df78ep-15, -0x1.5c6fa1321b70cp-15, -0x1.55c1603631a02p-15, -0x1.4edb268593b33p-15, -0x1.47beff31e08a1p-15, -0x1.406f2338e8f45p-15, -0x1.38ef1001ce952p-15, -0x1.3142334fa5c55p-15, -0x1.296bed52ee3c4p-15, -0x1.216abee06f96ap-15, -0x1.1940e1932f871p-15, -0x1.10fd6bbc90311p-15, -0x1.089658e833ea4p-15, -0x1.0010c8aec2d81p-15, -0x1.eee5078485f7cp-16, -0x1.dd741e7f38dcfp-16, -0x1.cbbc4f2abadf1p-16, -0x1.b9d9145adc9c2p-16, -0x1.a7eb60e6b1aa2p-16, -0x1.95d1ea5edf39p-16, -0x1.83872661398cbp-16, -0x1.712e57b6d0f49p-16, -0x1.5eba27a238f96p-16, -0x1.4c2fd44a2c06dp-16, -0x1.3998053b4bedep-16, -0x1.26f412992394cp-16, -0x1.1442b1117b698p-16, -0x1.018685c96023cp-16, -0x1.dd8cd38a00c2fp-17, -0x1.b803070fa31b1p-17, -0x1.927d4d03cba39p-17, -0x1.6cfc97a2be0c7p-17, -0x1.477bfa03c5062p-17, -0x1.2216a53a26d98p-17, -0x1.f972cc91a129p-18, -0x1.aef62c1a5aa15p-18, -0x1.64b4599ee8bf6p-18, -0x1.1aa1098d8885bp-18, -0x1.a1bfcc71d474ap-19, -0x1.0ec84956b6f71p-19, -0x1.f23785bf4de9bp-21, 0x1.4bb65abf2d573p-23, 0x1.4a7c2d2c7f54p-20, 0x1.358a10bd34993p-19, 0x1.c463069c63e22p-19, 0x1.29229e82f435cp-18, 0x1.6f832d44c7a9ap-18, 0x1.b5c042fea3cc7p-18, 0x1.fb279f2968997p-18, 0x1.20151d33e6dfcp-17, 0x1.425088a000052p-17, 0x1.6434d23f38647p-17, 0x1.85cb86c17546bp-17, 0x1.a712b595ceb5p-17, 0x1.c809d01e0ac7dp-17, 0x1.e8aeba7766c3bp-17, 0x1.047f6807d731ap-16, 0x1.147bc18861ba9p-16, 0x1.244bf1b4cb398p-16, 0x1.33efaf37ac32fp-16, 0x1.4365ef49df3b6p-16, 0x1.52ad90d840525p-16, 0x1.61c61765c2a87p-16, 0x1.70b0bc3359697p-16, 0x1.7f6de96409627p-16, 0x1.8df8692a908e1p-16, 0x1.9c510342067a3p-16, 0x1.aa6f7a2cb5f1fp-16, 0x1.b8625b88e787bp-16, 0x1.c628ae20d2853p-16, 0x1.d3baaf4379a84p-16, 0x1.e11c08b6668f3p-16, 0x1.ee438d60fcd53p-16, 0x1.fb3938d9db865p-16, 0x1.03f8d3f6d91c9p-15, 0x1.0a47334229a21p-15, 0x1.1076961b0c8adp-15, 0x1.168a9c4a525a8p-15, 0x1.1c83ebc52ba8cp-15, 0x1.225c53ccae24bp-15, 0x1.28299c3a2f76dp-15, 0x1.2dd59b20a48bdp-15, 0x1.3366f69e6bde8p-15, 0x1.38de912621a84p-15, 0x1.3e3cbe627d2fp-15, 0x1.437de16269cc8p-15, 0x1.48a7417704307p-15, 0x1.4db5a3d83b858p-15, 0x1.52ad3051ab299p-15, 0x1.5784a5d4f41a7p-15, 0x1.5c45549f49e59p-15, 0x1.60eac6719d704p-15, 0x1.65789ab10b00ap-15, 0x1.69ec4a521eb65p-15, 0x1.6e4501b3b4d37p-15, 0x1.7285bd13d7c34p-15, 0x1.76ada392fcdd5p-15, 0x1.7abaf720a2d15p-15, 0x1.7eae590221967p-15, 0x1.828aaa07efb69p-15, 0x1.864c029e8f863p-15, 0x1.89f630c685a41p-15, 0x1.8d858fb38053p-15, 0x1.90ff4baaa0e89p-15, 0x1.945e36d8aa521p-15, 0x1.97a6498d10793p-15, 0x1.9ad696940d0b5p-15, 0x1.9def01765b8c4p-15, 0x1.a0ee72d0caa83p-15, 0x1.a3d5b26cf422bp-15, 0x1.a6a001875bd63p-15, 0x1.a961b6d95b269p-15, 0x1.ac0476f5830a1p-15, 0x1.ae90d0cad712cp-15, 0x1.b10684e6ce062p-15, 0x1.b365811efc108p-15, 0x1.b5ae16dbe2515p-15, 0x1.b7db4e2bbe95ap-15, 0x1.b9fd8ed6cdb82p-15, 0x1.bc04ee547402dp-15, 0x1.bdf663ac5679dp-15, 0x1.bfd40c26333fep-15, 0x1.c19a186aa3501p-15, 0x1.c34cb7826235ap-15, 0x1.c4e8c31cb064p-15, 0x1.c673b0dda0583p-15, 0x1.c7ea395dab45dp-15, 0x1.c94b3b849c7f4p-15, 0x1.ca96b401ed5b3p-15, 0x1.cbd0659f00502p-15, 0x1.ccfe6fffbed55p-15, 0x1.ce0ccd0affc82p-15, 0x1.cf0b3a2ec07efp-15, 0x1.cff8a6377d9dp-15, 0x1.d0d37db8dc8ccp-15, 0x1.d19d66706d40cp-15, 0x1.d254063b37521p-15, 0x1.d2f7262862f3fp-15, 0x1.d38aac8ab7098p-15, 0x1.d40e4c56de522p-15, 0x1.d47d43d45acd6p-15, 0x1.d4dda7c5eff1bp-15, 0x1.d52abe0b0b2dfp-15, 0x1.d5695b2e97b6bp-15, 0x1.d5989700a4653p-15, 0x1.d5b51341ddeaep-15, 0x1.d5c245e2ca7fap-15, 0x1.d5c2356a4b04fp-15, 0x1.d5aaae9924eafp-15, 0x1.d591640e1ba83p-15, 0x1.d56013b50ad88p-15, 0x1.d5214fe21c35bp-15, 0x1.d4d4d5d9ef643p-15, 0x1.d47a740645e05p-15, 0x1.d410aace97b5ep-15, 0x1.d39b40a947197p-15, 0x1.d312e88d065e2p-15, 0x1.d282cd7884d5ep-15, 0x1.d1e01fdf2450fp-15, 0x1.d13428af8fc88p-15, 0x1.d07b27bf2d39fp-15, 0x1.cfb47a937674fp-15, 0x1.cee00d5440466p-15, 0x1.cdff1c7cc0095p-15, 0x1.cd13bf42a25f2p-15, 0x1.cc1f771dd0e21p-15, 0x1.cb1a2afde76cdp-15, 0x1.ca0cc2e651224p-15, 0x1.c8f1922cbb054p-15, 0x1.c7cab45d42b05p-15, 0x1.c69b4b962bb63p-15, 0x1.c55fe2b5800ebp-15, 0x1.c41ca14043685p-15, 0x1.c2cd9348a5fe8p-15, 0x1.c173eb05a45bcp-15, 0x1.c00e19adb38e4p-15, 0x1.bea0550978206p-15, 0x1.bd220dd65dae7p-15, 0x1.bba9fd3a61d19p-15, 0x1.ba21c97e5f19cp-15, 0x1.b88ebe3f40d9ap-15, 0x1.b6f2f2e400f21p-15, 0x1.b54f8ff89ffd4p-15, 0x1.b3a0ef507cfe8p-15, 0x1.b1ee56f0729d7p-15, 0x1.b02da286e3cf8p-15, 0x1.ae6c2561285e4p-15, 0x1.ac9f6392a9591p-15, 0x1.aac49d49339adp-15, 0x1.a8f0173326418p-15, 0x1.a70c0a18eec85p-15, 0x1.a520b053115b6p-15, 0x1.a330101b1e70cp-15, 0x1.a137abad9da38p-15, 0x1.9f3b6181506ddp-15, 0x1.9d36355563e88p-15, 0x1.9b29e1ce4da89p-15, 0x1.9912f01f270c9p-15, 0x1.9702b11f4725cp-15, 0x1.94e49813662b3p-15, 0x1.92c152f7552b1p-15, 0x1.9097508856999p-15, 0x1.8e6a8f04a37fep-15, 0x1.8c37c435141a4p-15, 0x1.89ffa974df0b5p-15, 0x1.87c250d8878c8p-15, 0x1.8580f6bdb267p-15, 0x1.833afd26e73ffp-15, 0x1.80edb093547edp-15, 0x1.7e9da9ad08259p-15, 0x1.7c486d912b6a5p-15, 0x1.79ea68bd16665p-15, 0x1.779837f862d46p-15, 0x1.75377af79f913p-15, 0x1.72d50365808d2p-15, 0x1.706e26c7f50aap-15, 0x1.6dfe22c4add89p-15, 0x1.6b93ea83eba7dp-15, 0x1.69219563222b4p-15, 0x1.66adf080cfb05p-15, 0x1.6436630be5bddp-15, 0x1.61bd3cef7d711p-15, 0x1.5f3fcb053494p-15, 0x1.5cbfdf08cae97p-15, 0x1.5a3ed21f32ee5p-15, 0x1.57ba7146e63bep-15, 0x1.553296d37ee96p-15, 0x1.52a940bdeefdbp-15, 0x1.501e8fc68c797p-15, 0x1.4d90aecb6e3b7p-15, 0x1.4b02a4229e2b5p-15, 0x1.48715ec8f71b2p-15, 0x1.45df7ec6c60cfp-15, 0x1.434b2b1161062p-15, 0x1.40b7b0541666cp-15, 0x1.3e205f567a0d5p-15, 0x1.3b879119406cep-15, 0x1.38ee583e1a0c8p-15, 0x1.3655a4986facp-15, 0x1.33b7da01a93e4p-15, 0x1.311cf043b123dp-15, 0x1.2e806886d50ddp-15, 0x1.2be57a7ace92dp-15, 0x1.2943845a75c3bp-15, 0x1.26a6645c37094p-15, 0x1.24069d97dcefp-15, 0x1.216716a330a37p-15, 0x1.1ec76a16f537ap-15, 0x1.1c27f0c07ef93p-15, 0x1.19884b1031297p-15, 0x1.16e889626ff35p-15, 0x1.144710b72474dp-15, 0x1.11a700d67d8e4p-15, 0x1.0f0737eb5b50bp-15, 0x1.0c6863ad15489p-15, 0x1.09c8b4426204ep-15, 0x1.072afdf8bbcd1p-15, 0x1.048c54d11ef83p-15, 0x1.01ef2fdd6152bp-15, 0x1.fea2036304c34p-16, 0x1.f966c68d5974ep-16, 0x1.f432b577daea1p-16, 0x1.eef7216ecd6d2p-16, 0x1.e9ca161da82a6p-16, 0x1.e499b3852906dp-16, 0x1.df67776fd1069p-16, 0x1.da3b7616ebf89p-16, 0x1.d50c3e24ead15p-16, 0x1.cfe72f0ce14aap-16, 0x1.cac00caf92dedp-16, 0x1.c59e315f93e6ep-16, 0x1.c07aa06e6bf95p-16, 0x1.bb5c6ba6b5bf1p-16, 0x1.b63ff73ded33cp-16, 0x1.b12a2f489d852p-16, }}, 
      {{0x1.0015aceef4da8p-3, 0x1.4dc37e5dad323p-3, 0x1.c38ff3824afc2p-4, -0x1.0597b0c973e1fp-8, -0x1.2ae97f1922821p-3, -0x1.269fc5affe13p-2, -0x1.a3d55524d34d7p-2, -0x1.00d0ecc1ffa84p-1, -0x1.1d98dbe9c0958p-1, -0x1.2839c47e4820ep-1, -0x1.22377a31d1c8fp-1, -0x1.0df9a45271e3ap-1, -0x1.dc9ef91af16e1p-2, -0x1.8c339ce55bb5ep-2, -0x1.30269cbd50899p-2, -0x1.9abea53cf2388p-3, -0x1.a056965454269p-4, -0x1.e373728ac4618p-9, 0x1.731b02442b62cp-4, 0x1.6eefc5e286b54p-3, 0x1.0aca552b0b7ddp-2, 0x1.55c1524baf3ap-2, 0x1.97d10feec84d1p-2, 0x1.d0caeb041cbbp-2, 0x1.00657567dd1a8p-1, 0x1.141383eb12da1p-1, 0x1.23b0355599842p-1, 0x1.2f8b58bb5cap-1, 0x1.37fe9706a395ep-1, 0x1.3d6900abb7655p-1, 0x1.402b733237028p-1, 0x1.40a5c1a7553e5p-1, 0x1.3f3487e99b368p-1, 0x1.3c2f8dfd1c955p-1, 0x1.37e8a91c57623p-1, 0x1.32ab01776a042p-1, 0x1.2cbaabd964ca7p-1, 0x1.2654854802a05p-1, 0x1.1fae42bd84cc1p-1, 0x1.18f6a6a5a1c72p-1, 0x1.1255d1f7286b2p-1, 0x1.0bedabbaf3775p-1, 0x1.05da51ce8f321p-1, 0x1.00328e67a82e9p-1, 0x1.f610ac5eb375dp-2, 0x1.ecd2878758f18p-2, 0x1.e4be1b2e8dbbfp-2, 0x1.dddfeeb1e2b31p-2, 0x1.d83e84aaa2f41p-2, 0x1.d3db2dcaf9ed6p-2, 0x1.d0b2c6ea7d631p-2, 0x1.cebe6678995c5p-2, 0x1.cdf3febf0f289p-2, 0x1.ce46f3b86cbfap-2, 0x1.cfa89f2f398c8p-2, 0x1.d208c76d31f8fp-2, 0x1.d55604abc0a41p-2, 0x1.d97e1a3f64f7fp-2, 0x1.de6e473525847p-2, 0x1.e4138bcb7aabap-2, 0x1.ea5ae539736bcp-2, 0x1.f1318142a2389p-2, 0x1.f884e77b3ac16p-2, 0x1.00218e876ce6p-1, 0x1.042d5fbc68a4cp-1, 0x1.085d8dfc86167p-1, 0x1.0caa20e3da20bp-1, 0x1.110b8705c2f5ap-1, 0x1.157a9ba0ea1fp-1, 0x1.19f0a8ce66a7fp-1, 0x1.1e6769f37377p-1, 0x1.22d90b08fe18dp-1, 0x1.274027f623f89p-1, 0x1.2b97cb6cdf617p-1, 0x1.2fdb6b7c487b5p-1, 0x1.3406e737f28c6p-1, 0x1.381682acb12b1p-1, 0x1.3c06e347e969p-1, 0x1.3fd50c1865d4cp-1, 0x1.437e5857e73f8p-1, 0x1.47007854a64dep-1, 0x1.4a596be22ef8fp-1, 0x1.4d877e1d42019p-1, 0x1.508940e54732cp-1, 0x1.535d88d65b69fp-1, 0x1.560367779cf5bp-1, 0x1.587a288348184p-1, 0x1.5ac14cb36aed4p-1, 0x1.5cd8863494c57p-1, 0x1.5ebfb4a01af02p-1, 0x1.6076e10cc6fe2p-1, 0x1.61fe3aba178f9p-1, 0x1.6356138f1c943p-1, 0x1.647edce75123ap-1, 0x1.6579246ff99dap-1, 0x1.664591549a2cbp-1, 0x1.66e4e1b13cf84p-1, 0x1.6757e751ae889p-1, 0x1.679f869fd0045p-1, 0x1.67bcb2a5bb29cp-1, 0x1.67b06c5ed1a8bp-1, 0x1.677bc06351743p-1, 0x1.671fc495c7958p-1, 0x1.669d97a065122p-1, 0x1.65f65d82fa1d2p-1, 0x1.652b406eb039bp-1, 0x1.643d6db9ebc6ep-1, 0x1.632e15906db35p-1, 0x1.61fe69626332dp-1, 0x1.60af9b1f01825p-1, 0x1.5f42dc72a0e48p-1, 0x1.5db95d9fe6e61p-1, 0x1.5c144ccebd5fbp-1, 0x1.5a54d57d3c039p-1, 0x1.587c200fb213p-1, 0x1.568b50f36068ep-1, 0x1.548388873b237p-1, 0x1.5265e1e134778p-1, 0x1.5033738ad71a3p-1, 0x1.4ded4e6998eadp-1, 0x1.4b947ddddef5cp-1, 0x1.492a0752c5a2dp-1, 0x1.46aee9f6c8b86p-1, 0x1.44241f2f553c7p-1, 0x1.418a9958477fbp-1, 0x1.3ee344ee08e0dp-1, 0x1.3c2f07b759374p-1, 0x1.396ec0feeb03cp-1, 0x1.36a349426468bp-1, 0x1.33cd72b4b448bp-1, 0x1.30ee08e1b34cbp-1, 0x1.2e05d0dcc18ccp-1, 0x1.2b1589160d804p-1, 0x1.281de9e6e3b76p-1, 0x1.251fa53542af9p-1, 0x1.221b66934e1c3p-1, 0x1.1f11d3b80c5fp-1, 0x1.1c038c244fde9p-1, 0x1.18f1297e46319p-1, 0x1.15db3f66833e9p-1, 0x1.12c25c4be2c85p-1, 0x1.0fa708b4871ep-1, 0x1.0c89c804b5601p-1, 0x1.096b17f960984p-1, 0x1.064b716e3435p-1, 0x1.032b484311a1ap-1, 0x1.000b0b3472289p-1, 0x1.f9d649288681p-2, 0x1.f397f3c8e97c2p-2, 0x1.ed5bd84b67124p-2, 0x1.e722b03c9695bp-2, 0x1.e0ed2c59b4a39p-2, 0x1.dabbf5f515cfp-2, 0x1.d48fadcda7623p-2, 0x1.ce68ecd76436fp-2, 0x1.c848455fa1848p-2, 0x1.c22e4201f7c35p-2, 0x1.bc1b6638eaabp-2, 0x1.b6102f719ded1p-2, 0x1.b00d140a7bcap-2, 0x1.aa12847775ff6p-2, 0x1.a420eb211729bp-2, 0x1.9e38ac7a2b631p-2, 0x1.985a275c97be4p-2, 0x1.9285b55e75522p-2, 0x1.8cbbaab53643fp-2, 0x1.86fc56b915794p-2, 0x1.814803c2a796ap-2, 0x1.7b9ef7d30779fp-2, 0x1.760173b8c9d0bp-2, 0x1.706fb4e9fb32ap-2, 0x1.6ae9f3f8549dap-2, 0x1.657065bc7bb6ap-2, 0x1.60033b310d453p-2, 0x1.5aa2a19c98444p-2, 0x1.554ec2a7e8ca3p-2, 0x1.5007c4bac9f74p-2, 0x1.4acdcae360f66p-2, 0x1.45a0f4e152006p-2, 0x1.40815f87cb21ap-2, 0x1.3b6f24f586bccp-2, 0x1.366a5c2465c33p-2, 0x1.317319a3ab697p-2, 0x1.2c896f466baabp-2, 0x1.27ad6c967f0dep-2, 0x1.22df1e812b48ap-2, 0x1.1e1e8fe0a8ba9p-2, 0x1.196bc9670e773p-2, 0x1.14c6d198eaa55p-2, 0x1.102face61a834p-2, 0x1.0ba65e04b8619p-2, 0x1.072ae5cd730d6p-2, 0x1.02bd433b57b7fp-2, 0x1.fcbae75719e93p-3, 0x1.f416e61ceb26bp-3, 0x1.eb8e76f4d695fp-3, 0x1.e3218b826d36fp-3, 0x1.dad0126232915p-3, 0x1.d299f82eaba8ep-3, 0x1.ca7f25c523268p-3, 0x1.c27f82f0bd6e9p-3, 0x1.ba9af36116c8cp-3, 0x1.b2d15ac3db635p-3, 0x1.ab229914ffc25p-3, 0x1.a38e8cfa5efe3p-3, 0x1.9c1512d99b10fp-3, 0x1.94b6055c98cffp-3, 0x1.8d713dc2d0c13p-3, 0x1.8646935c411ep-3, 0x1.7f35dbe13dff8p-3, 0x1.783eec1880e33p-3, 0x1.716196c0e825fp-3, 0x1.6a9dad0f71028p-3, 0x1.63f3003d099dp-3, 0x1.5d615f3c46a37p-3, 0x1.56e898153a8cbp-3, 0x1.5088784f08791p-3, 0x1.4a40cbc7ef0c3p-3, 0x1.44115e118afcap-3, 0x1.3df9f9600b605p-3, 0x1.37fa6748c7d8p-3, 0x1.3212714718e48p-3, 0x1.2c41df3c41a8p-3, 0x1.268878b6e0e7ap-3, 0x1.20e604d7217dp-3, 0x1.1b5a4a24f6af5p-3, 0x1.15e50eb63a96p-3, 0x1.10861820a5c5fp-3, 0x1.0b3d2ba7a54e4p-3, 0x1.060a0e4f238b5p-3, 0x1.00ec83d729ff4p-3, 0x1.f7c8a39092716p-4, 0x1.ede276d12130ep-4, 0x1.e426095e29efep-4, 0x1.da92e2cb68d27p-4, 0x1.d1288a451a654p-4, 0x1.c7e6867f72ef8p-4, 0x1.becc5e4a103e6p-4, 0x1.b5d99955ea2d2p-4, 0x1.ad0dbccb83721p-4, 0x1.a468506199a6ep-4, 0x1.9be8da9b5c912p-4, 0x1.938ee2d13a468p-4, 0x1.8b59f08758218p-4, 0x1.834989e8f90ep-4, 0x1.7b5d37f5cb843p-4, 0x1.739482ab5c47fp-4, 0x1.6beef1cbaf799p-4, 0x1.646c0ec044b81p-4, 0x1.5d0b62b7c9f46p-4, 0x1.55cc77780c468p-4, 0x1.4eaed78efc14ep-4, 0x1.47b20de4f5655p-4, 0x1.40d5a5ae46f2ep-4, 0x1.3a192b7692628p-4, 0x1.337c2bbeceb05p-4, 0x1.2cfe34127e2f8p-4, 0x1.269ed2a789aap-4, 0x1.205d968abfab6p-4, 0x1.1a3a0f7db1c2ep-4, 0x1.1433cd976cf25p-4, 0x1.0e4a627eef863p-4, 0x1.087d5fef91b7ep-4, 0x1.02cc594b39eep-4, 0x1.fa6dc3c4b5b1cp-5, 0x1.ef791e005fce2p-5, 0x1.e4b9ecd928f8p-5, 0x1.da2f5c64dc6dcp-5, 0x1.cfd89874c5e3cp-5, 0x1.c5b4d6b6258cap-5, 0x1.bbc34980b59e7p-5, 0x1.b20322ca880dcp-5, 0x1.a8739a6efb285p-5, 0x1.9f13e88347be5p-5, 0x1.95e3482a0bdacp-5, 0x1.8ce0f568a83a9p-5, 0x1.840c2f346f86ap-5, 0x1.7b6435fbdec45p-5, 0x1.72e84c7364fe5p-5, 0x1.6a97b72f129cfp-5, 0x1.6271bd66a0de7p-5, 0x1.5a75a78f2a2ap-5, 0x1.52a2c06ba2ba1p-5, 0x1.4af8557bc9c9bp-5, 0x1.4375b5fafc3bp-5, 0x1.3c1a3293ef606p-5, 0x1.34e51f4a888cep-5, 0x1.2dd5d1417def8p-5, 0x1.26eb9fcfaee09p-5, 0x1.2025e54178553p-5, 0x1.1983fcc65460ep-5, 0x1.1305441d3d6f3p-5, 0x1.0ca91ba332705p-5, 0x1.066ee54013f4dp-5, 0x1.0056052a946d7p-5, 0x1.f4bbc4d5ecb69p-6, 0x1.e90bc8c1a2e84p-6, 0x1.dd9aea3e4944dp-6, 0x1.d268039676244p-6, 0x1.c771ef2dbfe7ep-6, 0x1.bcb790fd703d8p-6, 0x1.b237ce3c9b898p-6, 0x1.a7f18ca8d9d61p-6, 0x1.9de3be8d73634p-6, 0x1.940d4f947e7b8p-6, 0x1.8a6d397189306p-6, 0x1.81027550fee4ep-6, 0x1.77cbfd4aa8ecep-6, 0x1.6ec8d3e6ec882p-6, 0x1.65f7fb58615bdp-6, 0x1.5d587cbab1bbep-6, 0x1.54e963e119fb4p-6, 0x1.4ca9c2f0e04bfp-6, 0x1.4498ad3a247a6p-6, 0x1.3cb53c05a75abp-6, 0x1.34fe8bc24fb04p-6, 0x1.2d73ba481684p-6, 0x1.2613ea4961f6ep-6, 0x1.1ede410ed8c39p-6, 0x1.17d1e6923ead9p-6, 0x1.10ee06da545f4p-6, 0x1.0a31d12e52412p-6, 0x1.039c7a9042a58p-6, 0x1.fa5a758b8f97cp-7, 0x1.edc69cf6e0043p-7, 0x1.e17beda15f66cp-7, 0x1.d578ee75b9e1ap-7, 0x1.c9bc252e705a2p-7, 0x1.be442718ac58cp-7, 0x1.b30f82c7d278fp-7, 0x1.a81ccf6b20f76p-7, 0x1.9d6aab1797655p-7, 0x1.92f7b9caca3b7p-7, 0x1.88c2a9619911bp-7, 0x1.7eca340e0f315p-7, 0x1.750d1278db66cp-7, 0x1.6b8a149a691d2p-7, 0x1.62400611e95f3p-7, 0x1.592db6d0e9c88p-7, 0x1.5051f9726141ep-7, 0x1.47aba1024b846p-7, 0x1.3f39838b6cb62p-7, 0x1.36fa7a03d1bd3p-7, 0x1.2eed646cdd14ep-7, 0x1.27112207a092dp-7, 0x1.1f64aef128bdcp-7, 0x1.17e7005a1bd3cp-7, 0x1.10971c7ea65e7p-7, 0x1.09740f17c455cp-7, 0x1.027ce76edd735p-7, 0x1.f7616c1b00ae1p-8, 0x1.ea1d143981525p-8, 0x1.dd2ae72d3c3b7p-8, 0x1.d089009294359p-8, 0x1.c4358817e6866p-8, 0x1.b82ea1450bfb7p-8, 0x1.ac72971ecda35p-8, 0x1.a0ffb3d3e1ef2p-8, 0x1.95d4652bc153cp-8, 0x1.8aef112a61f15p-8, 0x1.804e4a7e00282p-8, 0x1.75f0945d7b533p-8, 0x1.6bd4774962a1ap-8, 0x1.61f87ec57787p-8, 0x1.585b2d3aa5ba4p-8, 0x1.4efb06e4a5fep-8, 0x1.45d694155f1d8p-8, 0x1.3cec639027239p-8, 0x1.343b15e6d1f7ap-8, 0x1.2bc163c1483dap-8, 0x1.237e02acdd5bep-8, 0x1.1b6fcd16bde2p-8, 0x1.139589f8fc82ep-8, 0x1.0bee0cc5317a1p-8, 0x1.047828e5be894p-8, 0x1.fa6571301c34bp-9, 0x1.ec39307b5a5ecp-9, 0x1.de693edabfeb3p-9, 0x1.d0f35cb455605p-9, 0x1.c3d55f5e35f4fp-9, 0x1.b70d2b8636bbdp-9, 0x1.aa98cff21f03cp-9, 0x1.9e76757707f93p-9, 0x1.92a454dd8db4bp-9, 0x1.8720a1215c87dp-9, 0x1.7be9824d8407dp-9, 0x1.70fcf21d601fp-9, 0x1.665911acb391dp-9, 0x1.5bfbefd6ef4dcp-9, 0x1.51e3b3fbb4744p-9, 0x1.480ea364cd20ap-9, 0x1.3e7b1db92b78bp-9, 0x1.35279b314670ap-9, 0x1.2c12ad655f0fcp-9, 0x1.233ae6849d1d9p-9, 0x1.1a9f064bd81a2p-9, 0x1.123dd1d9be829p-9, 0x1.0a160ca60ab93p-9, 0x1.022664dca1192p-9, 0x1.f4dab0fa7c69fp-10, 0x1.e5d29e77e05d3p-10, 0x1.d731561aa8675p-10, 0x1.c8f3a2503176dp-10, 0x1.bb16cd017517dp-10, 0x1.ad98375d02994p-10, 0x1.a075d8bf9294ep-10, 0x1.93ada6c1d906dp-10, 0x1.873daf20f2464p-10, 0x1.7b24194ea4eb2p-10, 0x1.6f5ec2b5d7aacp-10, 0x1.63ec424dce057p-10, 0x1.58cab02065f77p-10, 0x1.4df84bd1b68cp-10, 0x1.437319b2fe392p-10, 0x1.3938d4adcca4cp-10, 0x1.2f47090e4e748p-10, 0x1.259b461e30d01p-10, 0x1.1c334ae2e9595p-10, 0x1.130d311ca77c6p-10, 0x1.0a2768d7897d3p-10, 0x1.01808db4be10cp-10, 0x1.f22e8bd6fb4cep-11, 0x1.e1d437227d3a3p-11, 0x1.d1ef1c256695cp-11, 0x1.c27c597df7ad9p-11, 0x1.b3791717d63abp-11, 0x1.a4e33700fff82p-11, 0x1.96b7e9e58b2c9p-11, 0x1.88f559ca51be9p-11, 0x1.7b9849c78403ap-11, 0x1.6e9e1393eac9fp-11, 0x1.62037ad3ba1ap-11, 0x1.55c5828aa3eeap-11, 0x1.49e178ab1abddp-11, 0x1.3e54ff3565237p-11, 0x1.331dd67f59dcp-11, 0x1.283996a9189d7p-11, 0x1.1da5d3dcfd228p-11, 0x1.13602b06e13dcp-11, 0x1.096650a40f5d6p-11, 0x1.ff6c8ec2e35f3p-12, 0x1.ec9d0f78250ep-12, 0x1.da5b7c5c45c81p-12, 0x1.c8a4da453020cp-12, 0x1.b77616a459fdbp-12, 0x1.a6cbb0de70d71p-12, 0x1.96a2250d8f978p-12, 0x1.86f63b1a0cabcp-12, 0x1.77c591bbc6c08p-12, 0x1.690c70de49f04p-12, 0x1.5ac7852cff63ap-12, 0x1.4cf27b50ddce2p-12, 0x1.3f87b2aad591ep-12, 0x1.3283c4d319dd1p-12, 0x1.25e2ebf348e64p-12, 0x1.19a2ab7f3eefbp-12, 0x1.0dc1060ec9d5cp-12, 0x1.023bf95fbc13dp-12, 0x1.ee240c999f2aap-13, 0x1.d882f5424e271p-13, 0x1.c390a1afa511ap-13, 0x1.af47f66df60fcp-13, 0x1.9ba440410d001p-13, 0x1.88a208b772fc1p-13, 0x1.763e3a0d3f8bfp-13, 0x1.64763c687eac8p-13, 0x1.534641d284522p-13, 0x1.42a899caf619dp-13, 0x1.3296890bcae81p-13, 0x1.23081dd9ddb66p-13, 0x1.13f6999af5a4p-13, 0x1.055d809c18b8ap-13, 0x1.ee76ff76b6cap-14, 0x1.d31ea71687b07p-14, 0x1.b8ade221fea41p-14, 0x1.9f1e8249d875p-14, 0x1.866bc3796f9dep-14, 0x1.6e90cf95e0279p-14, 0x1.578780a73abe6p-14, 0x1.414a3ed83655fp-14, 0x1.2bd274c743c48p-14, 0x1.171c85d34621fp-14, 0x1.03233e70bb34ap-14, 0x1.dfc4c30769a0fp-15, 0x1.baa7716c62eb2p-15, 0x1.96e3b42e72456p-15, 0x1.746cc965f7f2p-15, 0x1.53385e5cc35f5p-15, 0x1.33288e20aeb2fp-15, 0x1.14340360af48fp-15, 0x1.ecb27d70bd34fp-16, 0x1.b334ab23f627dp-16, 0x1.7be2101377ee9p-16, 0x1.46a25c8626846p-16, 0x1.1367b55a3cf59p-16, 0x1.c451497003a02p-17, 0x1.65b84d3d63d9p-17, 0x1.0ae47b94917d4p-17, 0x1.6764f57cc27adp-18, 0x1.800558dd7305ap-19, 0x1.f63e16aca407bp-22, -0x1.eb216d5316422p-20, -0x1.0e8cd09fa05e1p-18, -0x1.9c020ca3998e1p-18, -0x1.11ac48a339b88p-17, -0x1.52639793c5f7dp-17, -0x1.903e801cd9922p-17, -0x1.cb6de206a2beep-17, -0x1.02105f833c6d6p-16, -0x1.1d2d2b15d99ecp-16, -0x1.3707cc3684bf5p-16, -0x1.4fac7ca2cd955p-16, -0x1.672b63d95c78dp-16, -0x1.7d8ea2b6a5dbbp-16, -0x1.92c8c9d7197c9p-16, -0x1.a6ee014d764f6p-16, -0x1.ba0925ad44876p-16, -0x1.cc26ec6f0adaap-16, -0x1.dd528423eec23p-16, -0x1.ed96b99b90655p-16, -0x1.fcf4f515f007ep-16, -0x1.05ba303fb38d4p-15, -0x1.0c8ea91102ef6p-15, -0x1.12f5931d66882p-15, -0x1.18f77ad565b56p-15, -0x1.1e8ebd5eb3d5cp-15, -0x1.23c8b2f82ba43p-15, -0x1.28a80454fc792p-15, -0x1.2d319cb37111dp-15, -0x1.31687a4dcab8p-15, -0x1.354b48a2a8c46p-15, -0x1.38dd4cbdadbp-15, -0x1.3c25c70e79f94p-15, -0x1.3f1fd55f3868fp-15, -0x1.41cd6c656581dp-15, -0x1.44347a7a38d5ep-15, -0x1.4659bfe0c6455p-15, -0x1.483fbcc7f4d5p-15, -0x1.49e86623686d8p-15, -0x1.4b547a80444cp-15, -0x1.4c86a02866ac1p-15, -0x1.4d808b6e4fa2ep-15, -0x1.4e43af0013f42p-15, -0x1.4ed2344b9e1bep-15, -0x1.4f2c2d85e8169p-15, -0x1.4f527358a2217p-15, -0x1.4f4ae71d25c12p-15, -0x1.4f156d22966e6p-15, -0x1.4eb55ed5f64ebp-15, -0x1.4e2b5f1424dbp-15, -0x1.4d79ee1e23d6ep-15, -0x1.4ca0153c5b173p-15, -0x1.4ba4189ab884fp-15, -0x1.4a83adcac91a7p-15, -0x1.493df57b51fe3p-15, -0x1.47d54f06ae789p-15, -0x1.465062a417becp-15, -0x1.44ad0f0d528bp-15, -0x1.42ec25c1f9fb7p-15, -0x1.41105f6350675p-15, -0x1.3f1a63079595fp-15, -0x1.3d09d554755f3p-15, -0x1.3ae1527ffebap-15, -0x1.38a45ee7be98dp-15, -0x1.364a7e53c8be1p-15, -0x1.33deafddf121fp-15, -0x1.315d52c3caf04p-15, -0x1.2ec76908eb3bbp-15, -0x1.2c1c909be38bbp-15, -0x1.29643bc71e594p-15, -0x1.269bf29f36ba6p-15, -0x1.23c0f651347b8p-15, -0x1.20d6ce0022bb7p-15, -0x1.1ddf2ac48d8ebp-15, -0x1.1adaaf80b6883p-15, -0x1.17c83e3f85255p-15, -0x1.14a8ec0478e72p-15, -0x1.117ecb82c29bcp-15, -0x1.0e4a6fcd2dd32p-15, -0x1.0b0c475470c6bp-15, -0x1.07c53a6506e4cp-15, -0x1.04740be8232f7p-15, -0x1.011c52e1aed31p-15, -0x1.fb7806ab85092p-16, -0x1.f4a88db17bc38p-16, -0x1.edccb43db4846p-16, -0x1.e6e546bfb6bcap-16, -0x1.dff265307dfe8p-16, -0x1.d8f61a41232c9p-16, -0x1.d1f12d7a9301cp-16, -0x1.caded8b5d584fp-16, -0x1.c3ca65870f19p-16, -0x1.bcac350ae2636p-16, -0x1.b58937165341bp-16, -0x1.ae62414e4cdc9p-16, -0x1.a73676a43411bp-16, -0x1.a0027dab2613dp-16, -0x1.98d7ce7058d07p-16, -0x1.91a397b8dcbf8p-16, -0x1.8a6d5c043d91p-16, -0x1.8333eb6aa3345p-16, -0x1.7c05cd47e659dp-16, -0x1.74d2da5163a02p-16, -0x1.6da408eb9e5f5p-16, -0x1.6670e6f56a42cp-16, -0x1.5f421ffe2426dp-16, -0x1.5817c24063daep-16, -0x1.50f14c3792641p-16, -0x1.49cd29dd125efp-16, -0x1.42aea6d2b62adp-16, -0x1.3b95582ddec6fp-16, -0x1.3480a3601f5ap-16, -0x1.2d706706b6daep-16, -0x1.266a63554df2p-16, -0x1.1f69280ddac23p-16, -0x1.186cbe8eb0594p-16, -0x1.117740a118313p-16, -0x1.0a8b5632897f8p-16, -0x1.03a9dc6710bf8p-16, -0x1.f99b998f9b358p-17, -0x1.ebf415724eccbp-17, -0x1.de5fc4b262d53p-17, -0x1.d0daaf0549eb3p-17, -0x1.c36c91ac528e7p-17, -0x1.b6164deb71c33p-17, -0x1.a8cdf3faf7792p-17, -0x1.9b9c5eeb6a44bp-17, -0x1.8e7dbfeefc7bap-17, -0x1.817744253775fp-17, -0x1.748523ac70f19p-17, -0x1.67ad6b394134p-17, -0x1.5ae6a8e5f761fp-17, -0x1.4e38a84b75d98p-17, -0x1.419ed5eb35d5bp-17, -0x1.3523ccc913024p-17, -0x1.28c78db69bd18p-17, -0x1.1c710386f6531p-17, -0x1.103a4c729a6ddp-17, -0x1.041fdf78810ebp-17, -0x1.f03b2a45480dep-18, -0x1.d868634e82e42p-18, -0x1.c0c3ef8508a2ep-18, -0x1.a9535d6592729p-18, -0x1.921db282ad523p-18, -0x1.7b1d4cccd9c34p-18, -0x1.6448cfe0973abp-18, -0x1.4dae919de63fbp-18, -0x1.374cb29dd8aacp-18, -0x1.21110af59f1cbp-18, -0x1.0b169075ee349p-18, -0x1.eaa9a8e093d05p-19, -0x1.bf8bcd12aac2fp-19, -0x1.94da3a8abdd51p-19, -0x1.6a98c21f66889p-19, -0x1.40bdfd72eb292p-19, -0x1.17581c16df75ap-19, -0x1.dcba7b2d57c45p-20, -0x1.8b923a0ef398p-20, -0x1.3b633a8a6ce19p-20, -0x1.d7e7f741206dep-21, -0x1.3b2cf311cc30ep-21, -0x1.3f5d25fb338e5p-22, -0x1.8161f921718b2p-27, 0x1.23bd63cb2b3bfp-22, 0x1.282b40f1f39bdp-21, 0x1.bc7d630e5d026p-21, 0x1.279d2ee4e5f19p-20, 0x1.700d6ef872092p-20, 0x1.b75ec83acdacap-20, 0x1.fe8693f16857p-20, 0x1.2234504711497p-19, 0x1.44f381906e8dep-19, 0x1.66de0769f7ac3p-19, 0x1.88b7eced85fcfp-19, 0x1.a9f414a5d6b4dp-19, 0x1.caae78e83807p-19, 0x1.eb15018a434p-19, 0x1.058ab431f96ddp-18, 0x1.1554719c9f314p-18, 0x1.24e7af5da19acp-18, 0x1.3447410141b63p-18, 0x1.4372929abbebbp-18, 0x1.526911ae7c3dfp-18, 0x1.612a70eb30162p-18, 0x1.6fb7d6caee69ap-18, 0x1.7e11268e4b6b6p-18, 0x1.8c3599d3a1633p-18, 0x1.9a25ce728ddc9p-18, 0x1.a7e51e2e6317p-18, 0x1.b574f3c3f04b4p-18, 0x1.c2cd7c5e34adep-18, 0x1.cff28858ba2c2p-18, 0x1.dcdaf50fee6e1p-18, 0x1.e998a2d5c2e88p-18, 0x1.f62693afd5132p-18, 0x1.01456b888d1d1p-17, 0x1.07605ee167affp-17, 0x1.0d5b309e1bbd8p-17, 0x1.133ff22d93f74p-17, 0x1.19161e3be66afp-17, 0x1.1ec2d37586045p-17, 0x1.245f1862d6038p-17, 0x1.29e42bb0d5e02p-17, 0x1.2f52c12b417e2p-17, 0x1.34b46a7fc2ap-17, 0x1.39e917e15b45dp-17, 0x1.3f1189b30050ep-17, 0x1.4422be62c38f2p-17, 0x1.491bd6ef45d46p-17, 0x1.4e0042397a895p-17, 0x1.52d0783a06f18p-17, 0x1.5788402823a45p-17, 0x1.5c29b5c9f1f43p-17, 0x1.60b05562f3d4ap-17, 0x1.652d1f99be3eap-17, 0x1.6990141bdf6a9p-17, 0x1.6dd80e338d288p-17, 0x1.720ac4a214bc6p-17, 0x1.762e7c3f1225cp-17, 0x1.7a3dc7d3925d6p-17, 0x1.7e32eaff0cac8p-17, 0x1.8212ea33ce6efp-17, 0x1.85e2b7278bdd6p-17, 0x1.899b4019230c2p-17, 0x1.8d4249bb1298cp-17, 0x1.90d5338cd21a8p-17, 0x1.9455b462c2823p-17, 0x1.97c054e49a42ep-17, 0x1.9b1389fc3b983p-17, 0x1.9e5b90b455c47p-17, 0x1.a18dd085f4da8p-17, 0x1.a4ada64cb6d0fp-17, 0x1.a7bb8c80b2c46p-17, 0x1.aab58987f8b9ap-17, 0x1.ad9d05394e395p-17, 0x1.b07f77c772677p-17, 0x1.b3387ca0341dbp-17, 0x1.b5ea1c92fb95dp-17, 0x1.b88b8300887fcp-17, 0x1.bb1b277e880b9p-17, 0x1.bd99a9ba7f05bp-17, 0x1.c007e0750e51dp-17, 0x1.c26c0bf433932p-17, 0x1.c4b0afe1a1e94p-17, 0x1.c6ec20b0a021dp-17, 0x1.c917dde4e1dfdp-17, 0x1.cb31d8d2ac4ep-17, 0x1.cd3d6a1c76ba1p-17, 0x1.cf3adfd176a5bp-17, 0x1.d1269f7625f43p-17, 0x1.d3010ebaafb3bp-17, 0x1.d4cf16315d45fp-17, 0x1.d68ea9b961583p-17, 0x1.d83bcc892f7e7p-17, 0x1.d9dd2b248a8e8p-17, 0x1.db664aff8c48dp-17, 0x1.dcf4ce0e99e99p-17, 0x1.de67907733a96p-17, 0x1.dfcd9d4ce6e75p-17, 0x1.e127a877d9059p-17, 0x1.e27443dfb9be3p-17, 0x1.e3b142af08f67p-17, 0x1.e4e048f377f0fp-17, 0x1.e605fcc51683ap-17, 0x1.e71946dc5cc24p-17, 0x1.e823653a92f0fp-17, 0x1.e9207f31f29d9p-17, 0x1.ea0c95ec7501p-17, 0x1.eaf0d989e746dp-17, 0x1.ebc822f789cb8p-17, 0x1.ec922a67f6f7bp-17, 0x1.ed5833b2cb0ffp-17, 0x1.ee0720f86e1acp-17, 0x1.eeb262f2ac283p-17, 0x1.ef44edff0ee81p-17, 0x1.efda645bb6e16p-17, 0x1.f05a32a1bb04ep-17, 0x1.f0d4cea705c18p-17, 0x1.f144560510e55p-17, 0x1.f1a89eda7aae7p-17, 0x1.f2021fe927a3ep-17, 0x1.f24e741087963p-17, 0x1.f28ef6e81d92cp-17, 0x1.f2cdea0cf036fp-17, 0x1.f2fdfb4e5fc7fp-17, 0x1.f3250680cd50cp-17, 0x1.f34189e0d6c5dp-17, 0x1.f352cf53d6df7p-17, 0x1.f35a5885a6347p-17, 0x1.f35aac98f5b84p-17, 0x1.f34bde2ebf7cap-17, 0x1.f3402f8616744p-17, 0x1.f321151e86b38p-17, 0x1.f2fe3462c537ep-17, 0x1.f2cf2edada6ccp-17, 0x1.f299f2d56e4a5p-17, 0x1.f25a2e264ce6bp-17, 0x1.f214c31e1af59p-17, 0x1.f1c69855d90abp-17, 0x1.f16f8312d0485p-17, 0x1.f10eaef789012p-17, 0x1.f0a85c0011483p-17, 0x1.f03e5edb4795ep-17, 0x1.efc3cde9ed48ep-17, 0x1.ef46a2de6ac56p-17, 0x1.eec10f86489c5p-17, 0x1.ee3438d510fc3p-17, 0x1.eda18f1a4a4fp-17, 0x1.ed0571d73b0b8p-17, 0x1.ec62d3fc9063dp-17, 0x1.ebbeaf950ba91p-17, 0x1.eb0e3e2c98d81p-17, 0x1.ea5992b28aa1dp-17, 0x1.e9a313cb1cb16p-17, 0x1.e8dc5b6801d54p-17, 0x1.e813fb5a4b577p-17, 0x1.e743c170284p-17, 0x1.e66f8b289a61dp-17, 0x1.e594aed8ed1b3p-17, 0x1.e4b3b6fda8f27p-17, 0x1.e3d024c78235fp-17, 0x1.e2e495ff4202cp-17, 0x1.e1f975571ce6fp-17, 0x1.e1018bb4ab99fp-17, 0x1.e004c299d101bp-17, 0x1.df020c7c036f4p-17, 0x1.ddfca683f2f8cp-17, 0x1.dcf3ad1b0e601p-17, 0x1.dbe3e50df7043p-17, 0x1.dacefcbb76e23p-17, 0x1.d9b63928c04c8p-17, 0x1.d8995c2c15f33p-17, 0x1.d778226acfe3ap-17, 0x1.d65016b7a3247p-17, 0x1.d526ee5abe35dp-17, 0x1.d3f8e3ee358ecp-17, 0x1.d2ce3e11d748p-17, 0x1.d18e7e4a89b8dp-17, 0x1.d0528e982284p-17, 0x1.cf11d90a0f76cp-17, 0x1.cdcf4d4482919p-17, 0x1.cc8ff33c1007ap-17, 0x1.cb4039b41c7dbp-17, 0x1.c9f14189e5c1bp-17, 0x1.c8a1fec667e9p-17, 0x1.c74d97c73cf4ap-17, 0x1.c5f6fe67e588fp-17, 0x1.c49bee5da6ddp-17, 0x1.c33de06a6486fp-17, 0x1.c1dcd2a7b3cc5p-17, 0x1.c0790a0fd71a7p-17, 0x1.bf127f4a3d029p-17, 0x1.bda8c1be5b19ep-17, 0x1.bc3c48751e5bap-17, 0x1.bacde7f525474p-17, 0x1.b959d4b036455p-17, 0x1.b7e668b757032p-17, 0x1.b66eea38c457bp-17, 0x1.b4f581f0dfdc1p-17, 0x1.b37935ab401c9p-17, 0x1.b1fd892a484bep-17, 0x1.b07cc85e98f57p-17, 0x1.aefad022cb15p-17, 0x1.ad770723a3e93p-17, 0x1.abee0980e6819p-17, 0x1.aa67bcaa8349bp-17, 0x1.a8dcf8eecc8b7p-17, 0x1.a74ed990db528p-17, 0x1.a5c1e3bd99dadp-17, 0x1.a43594b65d23p-17, 0x1.a2a1902213648p-17, 0x1.a10f31add180fp-17, 0x1.9f7a9476fe704p-17, 0x1.9de5b8e3bc7d1p-17, 0x1.9c4eb9257ac61p-17, 0x1.9ab3d8c3861a5p-17, 0x1.991e50d974c6fp-17, 0x1.97802b68ed5a2p-17, 0x1.95e3989f241dfp-17, 0x1.9446cdf07925fp-17, 0x1.92a7fd44043abp-17, 0x1.9108e3640231ep-17, 0x1.8f68140094ce7p-17, 0x1.8dc66b115eeabp-17, 0x1.8c2296b222114p-17, 0x1.8a800c416c7d3p-17, 0x1.88dcd7a851279p-17, 0x1.873d76b338d73p-17, 0x1.8591b9b03fd42p-17, 0x1.83eb91c25e2d2p-17, 0x1.8243df412a7adp-17, 0x1.809cd7dc3b3d3p-17, 0x1.7ef32bc79c6a3p-17, 0x1.7d4c75dcad095p-17, 0x1.7ba3766078c5bp-17, 0x1.79fa951627eb8p-17, 0x1.784f989137381p-17, 0x1.76a56533e2d19p-17, 0x1.74fb97192121p-17, 0x1.734e2a088c376p-17, }}, 
      {{0x1.64128b80b4763p-3, 0x1.e9de62d4aab05p-3, 0x1.ed804f981913p-3, 0x1.76b7d6517e1ccp-3, 0x1.6e4d2ebed7d72p-4, -0x1.d6422242f3d6cp-7, -0x1.bdc93e72f98ddp-4, -0x1.73ebb62a427e9p-3, -0x1.cfe641d5ceb1cp-3, -0x1.effc5d959c434p-3, -0x1.d7e658f12a8dp-3, -0x1.8f454559d2863p-3, -0x1.1fa1d222a263dp-3, -0x1.2609f90c6679bp-4, 0x1.9e3a86dc988b2p-8, 0x1.6f2fcc5d1a62fp-4, 0x1.657e77e0fc97fp-3, 0x1.0845e5864caaap-2, 0x1.59fb111e2a096p-2, 0x1.a6162f95e9444p-2, 0x1.eb5a38b263d99p-2, 0x1.14814712792c8p-1, 0x1.2f57b13c2561cp-1, 0x1.46296895a59a5p-1, 0x1.590fb095a32f7p-1, 0x1.683c2c82ad2b4p-1, 0x1.73f2096b3f8b5p-1, 0x1.7c802bb3eecd6p-1, 0x1.823c56677d644p-1, 0x1.857f3b20591acp-1, 0x1.86a15b2d1a0a7p-1, 0x1.85f8a22065aadp-1, 0x1.83d6a0baddd6cp-1, 0x1.80874ddc4af51p-1, 0x1.7c50395af7b57p-1, 0x1.777018fca5267p-1, 0x1.721e9e9baf5f7p-1, 0x1.6c8c8633754ddp-1, 0x1.66e3cefaa3873p-1, 0x1.614811b274338p-1, 0x1.5bd6eb03907cep-1, 0x1.56a876415f77p-1, 0x1.51cfcaa6cf4acp-1, 0x1.4d5b7939ea5bdp-1, 0x1.49560f01d570bp-1, 0x1.45c6912951aaep-1, 0x1.42b0eefadd5p-1, 0x1.40166e100da4fp-1, 0x1.3df613b9e8c5bp-1, 0x1.3c4d05a5afd1fp-1, 0x1.3b16de12d0d57p-1, 0x1.3a4df69bc974bp-1, 0x1.39ebad2640df9p-1, 0x1.39e8a33791ec5p-1, 0x1.3a3cf4fe7adc6p-1, 0x1.3ae068122aa6fp-1, 0x1.3bca92234459fp-1, 0x1.3cf2f9f7c56cdp-1, 0x1.3e51347fe6ce8p-1, 0x1.3fdcfd83ba602p-1, 0x1.418e4c7666cfap-1, 0x1.435d64ceef07fp-1, 0x1.4542e289cab41p-1, 0x1.4737c3752769cp-1, 0x1.49356da1cbb5dp-1, 0x1.4b35b41161508p-1, 0x1.4d32d9a6cbedbp-1, 0x1.4f27925a67a5ep-1, 0x1.510f0378831e2p-1, 0x1.52e4c2367c797p-1, 0x1.54a4d1a8497eep-1, 0x1.564b9f469b4ddp-1, 0x1.57d5ff5df7313p-1, 0x1.594128ae4cfb5p-1, 0x1.5a8aafaa45313p-1, 0x1.5bb081bc7151ap-1, 0x1.5cb0e024eb264p-1, 0x1.5d8a5b006e806p-1, 0x1.5e3bcc54733bcp-1, 0x1.5ec452b0cc62p-1, 0x1.5f234cb63f5e1p-1, 0x1.5f5853d31932dp-1, 0x1.5f6337b5915bfp-1, 0x1.5f43f9b3fae27p-1, 0x1.5efac88c1dd46p-1, 0x1.5e87fbc50ca15p-1, 0x1.5dec101d43ffdp-1, 0x1.5d27a389fd666p-1, 0x1.5c3b718b28747p-1, 0x1.5b28500513f8fp-1, 0x1.59ef2bbf77479p-1, 0x1.589105acbdd2bp-1, 0x1.570ef003d60f8p-1, 0x1.556a0bac8e4a3p-1, 0x1.53a385dcd7696p-1, 0x1.51bc95d355723p-1, 0x1.4fb67aec26d8ap-1, 0x1.4d927a7335c0ep-1, 0x1.4b51de6bc67b7p-1, 0x1.48f5f356a7509p-1, 0x1.468007405a13fp-1, 0x1.43f168509c9a5p-1, 0x1.414b6375dd8bap-1, 0x1.3e8f43b15a33dp-1, 0x1.3bbe5083ca3b5p-1, 0x1.38d9cddda819bp-1, 0x1.35e2fabcb58d3p-1, 0x1.32db10d84cb88p-1, 0x1.2fc343e3823e8p-1, 0x1.2c9cc1220ceffp-1, 0x1.2968aeec27aadp-1, 0x1.26282c768dbe1p-1, 0x1.22dc512e88cb5p-1, 0x1.1f862cd1cde25p-1, 0x1.1c26c71d4b03fp-1, 0x1.18bf1f9612c7p-1, 0x1.15502d8d89f31p-1, 0x1.11dadfc7d1abp-1, 0x1.0e601cd3a09ep-1, 0x1.0ae0c2c1ac2edp-1, 0x1.075da7471ba2bp-1, 0x1.03d797c96aeb3p-1, 0x1.004f5957bd594p-1, 0x1.f98b51edd94ap-2, 0x1.f27676cfc3ee6p-2, 0x1.eb617b5d321dbp-2, 0x1.e44da9c6cb93fp-2, 0x1.dd3c3d29a25b4p-2, 0x1.d62e614a343e1p-2, 0x1.cf25339ffc97bp-2, 0x1.c821c33437de9p-2, 0x1.c125113bc7245p-2, 0x1.ba30111f87c7p-2, 0x1.b343a962c351ep-2, 0x1.ac60b3af702cdp-2, 0x1.a587fd244022cp-2, 0x1.9eba47175615p-2, 0x1.97f8472073621p-2, 0x1.9142a7ae5dc02p-2, 0x1.8a9a08089a8f6p-2, 0x1.83fefd8afa36bp-2, 0x1.7d72131d8abp-2, 0x1.76f3ca2cdbb43p-2, 0x1.70849a86126a4p-2, 0x1.6a24f338476adp-2, 0x1.63d53ab790912p-2, 0x1.5d95cefe63b44p-2, 0x1.576706470c013p-2, 0x1.51492f38fb25bp-2, 0x1.4b3c91005a1dp-2, 0x1.45416bf8d9348p-2, 0x1.3f57f9abb08d6p-2, 0x1.39806d95f399dp-2, 0x1.33baf4e0d7b56p-2, 0x1.2e07b6d101544p-2, 0x1.2866d56ef5199p-2, 0x1.22d86d52f5874p-2, 0x1.1d5c95ffb67adp-2, 0x1.17f3626a01f4p-2, 0x1.129ce0c5b252ap-2, 0x1.0d591b1791459p-2, 0x1.0828174d5f56ep-2, 0x1.0309d76c4d846p-2, 0x1.fbfcb382f577cp-3, 0x1.f20b3264faeb4p-3, 0x1.e83f1aa8bc2e8p-3, 0x1.de985542ab9a4p-3, 0x1.d516c537e73f8p-3, 0x1.cbba48473f866p-3, 0x1.c282b6517113fp-3, 0x1.b96fe331291e5p-3, 0x1.b0819d72eaa6dp-3, 0x1.a7b7afa1d11eap-3, 0x1.9f11e01191575p-3, 0x1.968ff1770acd8p-3, 0x1.8e31a2a5b6fd4p-3, 0x1.85f6af939fbep-3, 0x1.7dded0cacf645p-3, 0x1.75e9bbf652299p-3, 0x1.6e17243752f99p-3, 0x1.6666ba453e6edp-3, 0x1.5ed82c5653e3p-3, 0x1.576b26beb6f24p-3, 0x1.501f53be6b024p-3, 0x1.48f45bf053094p-3, 0x1.41e9e635f2e61p-3, 0x1.3aff981df98ddp-3, 0x1.343515d8cb8cfp-3, 0x1.2d8a026c16d7ep-3, 0x1.26fdffaf98d7p-3, 0x1.2090aec879413p-3, 0x1.1a41afeee8aa8p-3, 0x1.1410a2a873e3p-3, 0x1.0dfd25deb0809p-3, 0x1.0806d82a7d329p-3, 0x1.022d577a425cp-3, 0x1.f8e0833c88e27p-4, 0x1.ed9e681c12b4p-4, 0x1.e29398f875a7dp-4, 0x1.d7bf4fec3efeap-4, 0x1.cd20c836b8ed5p-4, 0x1.c2b73bfb29276p-4, 0x1.b881e74910722p-4, 0x1.ae80057007a29p-4, 0x1.a4b0d2c8c6351p-4, 0x1.9b138c125669dp-4, 0x1.91a76eec101a5p-4, 0x1.886bb9e352967p-4, 0x1.7f5fac62cf472p-4, 0x1.768286cb80381p-4, 0x1.6dd38afd16901p-4, 0x1.6551fba53d665p-4, 0x1.5cfd1c66c95ap-4, 0x1.54d433538987cp-4, 0x1.4cd686eb9448dp-4, 0x1.45035f3431a8fp-4, 0x1.3d5a0683c7dc4p-4, 0x1.35d9c7bb536d7p-4, 0x1.2e81f01b15778p-4, 0x1.2751ce13688dep-4, 0x1.2048b1d12b8d5p-4, 0x1.1965edeff2acep-4, 0x1.12a8d5e6f9469p-4, 0x1.0c10bf459851bp-4, 0x1.059d018f2dbd9p-4, 0x1.fe99ec34fb90ap-5, 0x1.f23ff02d91a37p-5, 0x1.e62ac925fd543p-5, 0x1.da59353cbfbd4p-5, 0x1.cec9f6bc06232p-5, 0x1.c37bd189ccb99p-5, 0x1.b86d9223e64d2p-5, 0x1.ad9e0447b8068p-5, 0x1.a30bfa0a1806ep-5, 0x1.98b6491929985p-5, 0x1.8e9bcaf0962fap-5, 0x1.84bb5d131b3b1p-5, 0x1.7b13e0ce7dbacp-5, 0x1.71a43caf2bbd5p-5, 0x1.686b58c3d73cap-5, 0x1.5f68236a61fe6p-5, 0x1.56998dd78f214p-5, 0x1.4dfe8dcdb14bcp-5, 0x1.45961ccb08a76p-5, 0x1.3d5f3755d75dfp-5, 0x1.3558df8498d24p-5, 0x1.2d821aca7f3c8p-5, 0x1.25d9f160b2a1dp-5, 0x1.1e5f70f0397f4p-5, 0x1.1711aa13e13ffp-5, 0x1.0fefb1701144ap-5, 0x1.08f89f8d3afffp-5, 0x1.022b90d48d2fcp-5, 0x1.f70f49ce8304fp-6, 0x1.ea17ff800fae8p-6, 0x1.dd6f9154883f4p-6, 0x1.d114559451817p-6, 0x1.c504a985a7fddp-6, 0x1.b93ef1adfcf7cp-6, 0x1.adc19a7162e3bp-6, 0x1.a28b152d104f3p-6, 0x1.9799dcea578ap-6, 0x1.8cec7160032d1p-6, 0x1.82815aa592e85p-6, 0x1.785726175b416p-6, 0x1.6e6c69d04b174p-6, 0x1.64bfc1ac5062bp-6, 0x1.5b4fcecfd95e6p-6, 0x1.521b3724af997p-6, 0x1.4920adbe25d06p-6, 0x1.405ee7718eb73p-6, 0x1.37d49d9ed163bp-6, 0x1.2f8092bfda818p-6, 0x1.27618e1bb05a5p-6, 0x1.1f765de640234p-6, 0x1.17bdd51a80599p-6, 0x1.1036cd85d9683p-6, 0x1.08e025c535c5fp-6, 0x1.01b8c2d6a5f4bp-6, 0x1.f57f1de4c5c15p-7, 0x1.e7e6f46326998p-7, 0x1.daa6f2dabfdffp-7, 0x1.cdbd0e135d09fp-7, 0x1.c12746b23fa7ap-7, 0x1.b4e3a6cc9195bp-7, 0x1.a8f041631883cp-7, 0x1.9d4b35d6d40dcp-7, 0x1.91f2ac01e7465p-7, 0x1.86e4d55ada071p-7, 0x1.7c1fee2668fbap-7, 0x1.71a23a4beae0ap-7, 0x1.676a0827956cfp-7, 0x1.5d75af42bb098p-7, 0x1.53c38f777d157p-7, 0x1.4a5212230df02p-7, 0x1.411fa9fbd4188p-7, 0x1.382acfe25c936p-7, 0x1.2f720622ee635p-7, 0x1.26f3d8305d651p-7, 0x1.1eaed7363deb7p-7, 0x1.16a1a044100ep-7, 0x1.0ecad6b9f802ap-7, 0x1.072920c06e5fep-7, 0x1.ff766b04120edp-8, 0x1.f0ff90e497185p-8, 0x1.e2eb3d103c1fep-8, 0x1.d536ff15eeb8ap-8, 0x1.c7e06d842979fp-8, 0x1.bae538509c2aap-8, 0x1.ae4311358292ap-8, 0x1.a1f7c080ecbdep-8, 0x1.960117892f303p-8, 0x1.8a5cf6b35b6a6p-8, 0x1.7f0949627ef5ep-8, 0x1.740409405641bp-8, 0x1.694b3b600ca1ep-8, 0x1.5edcee9e8136ep-8, 0x1.54b73db2e8b81p-8, 0x1.4ad84d655d726p-8, 0x1.413e4c87b6095p-8, 0x1.37e7760bbd262p-8, 0x1.2ed20e032c197p-8, 0x1.25fc67966b693p-8, 0x1.1d64dd8348e04p-8, 0x1.1509d72104bb5p-8, 0x1.0ce9c8250de06p-8, 0x1.05032b3d3e03cp-8, 0x1.faa8fe127b61ep-9, 0x1.ebb8a75b44c52p-9, 0x1.dd326e358ea04p-9, 0x1.cf1385c6427ccp-9, 0x1.c15933b900e29p-9, 0x1.b400cc497c4b5p-9, 0x1.a707bab78cbp-9, 0x1.9a6b82025f862p-9, 0x1.8e29a951c83afp-9, 0x1.823fe174d798p-9, 0x1.76abda76addf3p-9, 0x1.6b6b53510dcdap-9, 0x1.607c11d12c0e4p-9, 0x1.55dbe90ea0a9fp-9, 0x1.4b88b40cbc60cp-9, 0x1.418057dab8c32p-9, 0x1.37c0cbd0af188p-9, 0x1.2e48042fceb34p-9, 0x1.25142deb0f22cp-9, 0x1.1c2365b6daef9p-9, 0x1.1373e9566fb18p-9, 0x1.0b0401e25395bp-9, 0x1.02d20133eb1d5p-9, 0x1.f5b883b782e14p-10, 0x1.e6423f2e98b48p-10, 0x1.d73dfe5818d2p-10, 0x1.c8a8890be32e9p-10, 0x1.ba7ecaf0c0af5p-10, 0x1.acbda10bbd8a4p-10, 0x1.9f623cb6e4847p-10, 0x1.9269bb149dffep-10, 0x1.85d179a5bf1a7p-10, 0x1.7996d2cfd0776p-10, 0x1.6db75cb1224a7p-10, 0x1.6230a3b69c2bbp-10, 0x1.57003f4f5f1ap-10, 0x1.4c23d25f75924p-10, 0x1.4198fe99033ap-10, 0x1.375d6e6db9f5ep-10, 0x1.2d6ed7d6086e8p-10, 0x1.23cb015a8445fp-10, 0x1.1a6fc6d4c774dp-10, 0x1.115b2f2910287p-10, 0x1.088b379f341e5p-10, 0x1.fffc3431066a4p-11, 0x1.ef63e22884fdfp-11, 0x1.df49eee5e1a2dp-11, 0x1.cfaac2074c60fp-11, 0x1.c082e4ff9e1a9p-11, 0x1.b1cf01b8696b6p-11, 0x1.a38baaced54cap-11, 0x1.95b599b1f1164p-11, 0x1.8849ab20996ebp-11, 0x1.7b44d0f9dc7bap-11, 0x1.6ea4383be5af4p-11, 0x1.6265306d6215cp-11, 0x1.56851bdbf4c2p-11, 0x1.4b016a46ad11fp-11, 0x1.3fd78288e4916p-11, 0x1.3504890a810c5p-11, 0x1.2a85fb5eeb42cp-11, 0x1.205934d1568fbp-11, 0x1.167bac50c3456p-11, 0x1.0ceb077d8310ep-11, 0x1.03a5101fdee85p-11, 0x1.f54f5a029a2bdp-12, 0x1.e3e1dc15f2232p-12, 0x1.d2fdac2c059dap-12, 0x1.c29f5b8e0c12cp-12, 0x1.b2c385eca1bf7p-12, 0x1.a366c9f5ff885p-12, 0x1.9485ba1ba4b7ep-12, 0x1.861c6601909bp-12, 0x1.7826ce9562a34p-12, 0x1.6aa0fb43da35ap-12, 0x1.5d86f583f2c57p-12, 0x1.50d566e4a8524p-12, 0x1.4488d9124b339p-12, 0x1.389ecc63e2ed6p-12, 0x1.2d149a862791dp-12, 0x1.21e7b8d2d1ffap-12, 0x1.1715cf4c8e071p-12, 0x1.0c9c14fa5b72dp-12, 0x1.0278cf6a4fcacp-12, 0x1.f153209a12adep-13, 0x1.de584fabe4dfbp-13, 0x1.cbfc6db6a5fcfp-13, 0x1.ba3a2d434ae7dp-13, 0x1.a90bd8cc45de5p-13, 0x1.986bf03742136p-13, 0x1.88554f364e0fbp-13, 0x1.78c37bffaddc9p-13, 0x1.69b2be72dac27p-13, 0x1.5b1fb9efac6b2p-13, 0x1.4d0727d76c16cp-13, 0x1.3f6590ad99d4ap-13, 0x1.3237a0f53354fp-13, 0x1.2579e789ddfap-13, 0x1.1928fe7db8b13p-13, 0x1.0d42c55de440cp-13, 0x1.01c3ac41d8dbbp-13, 0x1.ed53aaf6c59a3p-14, 0x1.d7e2e13a1f576p-14, 0x1.c32f742d7624dp-14, 0x1.af325bc094716p-14, 0x1.9be510cc7a994p-14, 0x1.8941f938fa7dfp-14, 0x1.774390fc7fec9p-14, 0x1.65e50fe5968dcp-14, 0x1.552147d20567ep-14, 0x1.44f31a87d2e8cp-14, 0x1.355589d725bb6p-14, 0x1.26439bc4167efp-14, 0x1.17b93a7637a35p-14, 0x1.09b3011dd3f5ep-14, 0x1.f85c4f2941e14p-15, 0x1.de4eb03f7a7bep-15, 0x1.c5369aef7c298p-15, 0x1.ad0cbe8a6ea9ap-15, 0x1.95c9b77bf81b2p-15, 0x1.7f66aef19084ap-15, 0x1.69df2476181ep-15, 0x1.552ab7eb27491p-15, 0x1.4142edb481081p-15, 0x1.2e1ff091f9d02p-15, 0x1.1bb57519e97a4p-15, 0x1.09fe2d0e96842p-15, 0x1.f1e4790d272b6p-16, 0x1.d11a092732749p-16, 0x1.b1946f2c9e144p-16, 0x1.934b8692e945bp-16, 0x1.763a0025f51cp-16, 0x1.5a5754a695452p-16, 0x1.3f9b69cd67559p-16, 0x1.25fdceed3714ep-16, 0x1.0d74660243cf9p-16, 0x1.ebf1e6bf26664p-17, 0x1.bf0937dbac8cdp-17, 0x1.942232dc01ddp-17, 0x1.6b2fd3bae7a3ep-17, 0x1.441d1ccb65868p-17, 0x1.1ed224f935777p-17, 0x1.f65eb335b9fb1p-18, 0x1.b24428eb67c76p-18, 0x1.712ae0b544ac3p-18, 0x1.330be8171ed0fp-18, 0x1.efb493ca6bfcbp-19, 0x1.7f0f1e40de371p-19, 0x1.13f7b05e814e3p-19, 0x1.5c9367c1f3305p-20, 0x1.3782e77e6851p-21, -0x1.ae1e7405a09e9p-24, -0x1.8f3e8685a61c4p-21, -0x1.6ae9e9f4b1aa2p-20, -0x1.0274f1143ffc2p-19, -0x1.4afa209b5e259p-19, -0x1.8f1cfe48c313p-19, -0x1.cf14df1a8aed9p-19, -0x1.05810a2e4ef6ep-18, -0x1.218a3ca5d5de3p-18, -0x1.3baf12a3bb9b5p-18, -0x1.542ce47c589ffp-18, -0x1.6b0f92826e9ebp-18, -0x1.805acc63cbbb2p-18, -0x1.940cae2a532c5p-18, -0x1.a6307f3eb5784p-18, -0x1.b6db4009bb043p-18, -0x1.c617df1d62ad7p-18, -0x1.d3f1ac4498627p-18, -0x1.e06dfc56ac12fp-18, -0x1.eb9c5b1ce88e3p-18, -0x1.f58e1dd84a371p-18, -0x1.fe4d4c33b6b77p-18, -0x1.02f2ec5ef11ffp-17, -0x1.063701810125dp-17, -0x1.08f2a9aeb063p-17, -0x1.0b276350ba508p-17, -0x1.0cdd89c66d68cp-17, -0x1.0e1af6e7f8bedp-17, -0x1.0ee077b8c843ep-17, -0x1.0f3b92ecb9f51p-17, -0x1.0f33d7ee459cap-17, -0x1.0ecaea859f579p-17, -0x1.0dfefa81b834p-17, -0x1.0cd5424cf2de7p-17, -0x1.0b5351076a9dbp-17, -0x1.098045541a79bp-17, -0x1.0751dbce3346ap-17, -0x1.04d48a231c1a2p-17, -0x1.020bd83d9a0d7p-17, -0x1.fdf8a278db1abp-18, -0x1.f7530608f5612p-18, -0x1.f03502409a063p-18, -0x1.e898d79f1c822p-18, -0x1.e0891afd18947p-18, -0x1.d80fa147e6861p-18, -0x1.cf20d3b345b54p-18, -0x1.c5d36dc7ed412p-18, -0x1.bc1206d99728p-18, -0x1.b1fcf7beded01p-18, -0x1.a7957f73570e4p-18, -0x1.9ce1e402a9bb8p-18, -0x1.91e70eb224472p-18, -0x1.86a3bd154c202p-18, -0x1.7b19ff8033414p-18, -0x1.6f5b3283dd8b9p-18, -0x1.635d23ef5a2cp-18, -0x1.5721e8817bc37p-18, -0x1.4ab34483a74e6p-18, -0x1.3e181a6edd751p-18, -0x1.315452e0b4d49p-18, -0x1.246bd042426e1p-18, -0x1.175bb5257935p-18, -0x1.0a2d83438ca69p-18, -0x1.f9c5beabfc877p-19, -0x1.def5eb6bd1502p-19, -0x1.c3f6ba9b2a491p-19, -0x1.a8c738a04a7dap-19, -0x1.8d669b62acf9ap-19, -0x1.71f3956abbd62p-19, -0x1.56619e004a964p-19, -0x1.3ab5da0513208p-19, -0x1.1efe346c76821p-19, -0x1.0343e3d02a514p-19, -0x1.cedf072f3eff5p-20, -0x1.974de7188d56p-20, -0x1.5fb9ba589917dp-20, -0x1.2820162444308p-20, -0x1.e1140717501fp-21, -0x1.725263b65210cp-21, -0x1.03ccf48f9c552p-21, -0x1.2aeb71b9f275bp-22, -0x1.3c91101ba6c6ep-24, 0x1.173d88b2a9d09p-23, 0x1.65c12ea3920e7p-22, 0x1.1f6430e0a535ep-21, 0x1.8b20729f674b7p-21, 0x1.f6c8ebc75e779p-21, 0x1.30c58187719a7p-20, 0x1.65d7655778d72p-20, 0x1.9a92bbefa1bd2p-20, 0x1.cf076397241fcp-20, 0x1.017ba1dcd4144p-19, 0x1.1b3cb26abe915p-19, 0x1.34d066941cb6ap-19, 0x1.4e2e4c5009025p-19, 0x1.67516be73c97p-19, 0x1.80364e735675ep-19, 0x1.98e1189f8b845p-19, 0x1.b14f66e90f5f6p-19, 0x1.c97c50438b08p-19, 0x1.e1668d0808c6p-19, 0x1.f90cafe6feb8p-19, 0x1.0836b3c069b3fp-18, 0x1.13c99ead6310ap-18, 0x1.1f309d31ab85dp-18, 0x1.2a79772e6cbeap-18, 0x1.359c9e6488e9ap-18, 0x1.409ac935a489bp-18, 0x1.4b73478b1f4ecp-18, 0x1.56267be0ce2f1p-18, 0x1.60b326030a101p-18, 0x1.6b1901bbc622fp-18, 0x1.755d53703263fp-18, 0x1.7f72b96a72d08p-18, 0x1.8964bdeaa85c2p-18, 0x1.932ec7c0243b7p-18, 0x1.9cd02c49a7c18p-18, 0x1.a64b9f21b8e6p-18, 0x1.afa4a628f497p-18, 0x1.b8c2762dbd648p-18, 0x1.c1c3c117a96cep-18, 0x1.ca9bff8dcf773p-18, 0x1.d34fdcdca6ec5p-18, 0x1.dbcd195e728e4p-18, 0x1.e427d6082ebbap-18, 0x1.ec55c7fcfd55dp-18, 0x1.f461008f2cb0dp-18, 0x1.fc413581a4596p-18, 0x1.01fb1597cee05p-17, 0x1.05c09ab39a77fp-17, 0x1.0972e7294a7a1p-17, 0x1.0d0f2050c568p-17, 0x1.109733fed0e43p-17, 0x1.140ad51e3c01cp-17, 0x1.176ba77f205eap-17, 0x1.1ab47b1f92417p-17, 0x1.1de92a8ab70d5p-17, 0x1.210b24145fdd3p-17, 0x1.2418d4c79ce6dp-17, 0x1.271154efc2b59p-17, 0x1.29f55cef4ebbfp-17, 0x1.2cc6003fe4298p-17, 0x1.2f825b5cba597p-17, 0x1.322ae003d4b0bp-17, 0x1.34c0185e66566p-17, 0x1.3740b783d74a5p-17, 0x1.39ac73260db91p-17, 0x1.3c06a2c4b81ccp-17, 0x1.3e4c6ce3e4967p-17, 0x1.407f6acbd4676p-17, 0x1.429ec0c327209p-17, 0x1.44ab3c335c193p-17, 0x1.46a32aff68999p-17, 0x1.488af7f2903aep-17, 0x1.4a5e9fc7e977fp-17, 0x1.4c20a964c360ep-17, 0x1.4dce762ed2983p-17, 0x1.4f67c434c35b9p-17, 0x1.50f4a93e8d8cp-17, 0x1.526d671dddb37p-17, 0x1.53d351e6a12a6p-17, 0x1.5527f1474f83fp-17, 0x1.566b22e742ebep-17, 0x1.579d34d05c1ebp-17, 0x1.58bdfb73b459p-17, 0x1.59cd1c41e27cfp-17, 0x1.5acadbe62384fp-17, 0x1.5bb98349aabccp-17, 0x1.5c9671abf399ep-17, 0x1.5d62241d91068p-17, 0x1.5e20fabf40519p-17, 0x1.5ecdc217fabccp-17, 0x1.5f69f4b0fe51dp-17, 0x1.5ff74e9daf498p-17, 0x1.6074c9bc33685p-17, 0x1.60e303e85abfbp-17, 0x1.61421c66ec2b6p-17, 0x1.6191f8f12a511p-17, 0x1.61d2c90e2bb89p-17, 0x1.62063f3fa0282p-17, 0x1.6229c3d3404f5p-17, 0x1.623fcaee3e654p-17, 0x1.6245a2c2bd9dep-17, 0x1.624111e5307cp-17, 0x1.622d32f8c5619p-17, 0x1.620bc45db6222p-17, 0x1.61dd5829ca178p-17, 0x1.61a0e56186362p-17, 0x1.6158080e24bf3p-17, 0x1.610164b09cc61p-17, 0x1.609c47cb2d3ccp-17, 0x1.6030f14883c3cp-17, 0x1.5fb4df212e458p-17, 0x1.5f31eee1e234fp-17, 0x1.5e9a9ccc97931p-17, 0x1.5dff194eafa81p-17, 0x1.5d54262c62437p-17, 0x1.5c9c14a1a6ad9p-17, 0x1.5bdac565e9a7p-17, 0x1.5b0ec686d7b85p-17, 0x1.5a37dfe9b5168p-17, 0x1.5956394ddc6d7p-17, 0x1.586a52d54f9b2p-17, 0x1.57743db5b133fp-17, 0x1.56740ad1efd5dp-17, 0x1.5569c7be58682p-17, 0x1.5455dcead7407p-17, 0x1.53385ecda4fd5p-17, 0x1.5211617225801p-17, 0x1.50e11f352f587p-17, 0x1.4fa808430fea2p-17, 0x1.4e671745080e5p-17, 0x1.4d1c3c0d5c9c5p-17, 0x1.4bc882a5d728ep-17, 0x1.4a6c549451462p-17, 0x1.490766a3515a5p-17, 0x1.479b4889eacedp-17, 0x1.462844fd2fb7dp-17, 0x1.44ae4ba421b8ep-17, 0x1.432a42793617ep-17, 0x1.41a02bd7748b4p-17, 0x1.401141e47cd7fp-17, 0x1.3e766fc2dcf2cp-17, 0x1.3cd6b49996ae6p-17, 0x1.3b3063a499a16p-17, 0x1.3983cc75641e3p-17, 0x1.37d3b5236f95bp-17, 0x1.3617686781277p-17, 0x1.34580d37946c1p-17, 0x1.329290e2faf3bp-17, 0x1.30c6d72059116p-17, 0x1.2ef667d32fb98p-17, 0x1.2d209930f9ab9p-17, 0x1.2b44ee2f46fd4p-17, 0x1.296434e9068b5p-17, 0x1.277cf66dcdd0bp-17, 0x1.2594745d980a9p-17, 0x1.23a603fd3af3ap-17, 0x1.21b0809ef5e47p-17, 0x1.1fb6c97d7f5edp-17, 0x1.1dbb0e9fa5f4bp-17, 0x1.1bba87af63d07p-17, 0x1.19b4deda3d1ddp-17, 0x1.17aafdd37231p-17, 0x1.159e6977f29bdp-17, 0x1.138d7e136206fp-17, 0x1.11791bb531ba7p-17, 0x1.0f6278518bb9p-17, 0x1.0d480954c0946p-17, 0x1.0b2959a4f8445p-17, 0x1.09076fe0b247fp-17, 0x1.06e442008d654p-17, 0x1.04bdaa33669f1p-17, 0x1.02946df914ea2p-17, 0x1.0068c0d6fa38ep-17, 0x1.fc74d269fd06p-18, 0x1.f81300321c645p-18, 0x1.f3b539305cb33p-18, 0x1.ef452709eb9bep-18, 0x1.ead68c76c427dp-18, 0x1.e665905dd1cf3p-18, 0x1.e1f0c00e30abdp-18, 0x1.dd78917ba0041p-18, 0x1.d8fdd6e040a59p-18, 0x1.d483b81f3b52dp-18, 0x1.cffefe572470dp-18, 0x1.cb7bcc018710ap-18, 0x1.c6f6ae9c7e8f3p-18, 0x1.c26e9ed51d801p-18, 0x1.bde4d07e55c34p-18, 0x1.b95c7bd59d644p-18, 0x1.b4cef3a0842c5p-18, 0x1.b0408b5345137p-18, 0x1.abb18fd4df13bp-18, 0x1.a7237fbdd1d28p-18, 0x1.a292675347c01p-18, 0x1.9e01de5f84f2ep-18, 0x1.996c2c070159cp-18, 0x1.94e00ca89abc9p-18, 0x1.904dcd0b31e9dp-18, 0x1.8bbba458831c8p-18, 0x1.872c205d629f7p-18, 0x1.829be37a3c907p-18, 0x1.7e0b0955b7495p-18, 0x1.797af96589b65p-18, 0x1.74eeba74a727dp-18, 0x1.70601259633f4p-18, 0x1.6bd43b7e723adp-18, 0x1.674ae23afc848p-18, 0x1.62bf5380760c1p-18, 0x1.5e394b4c432afp-18, 0x1.59b3f01e7e206p-18, 0x1.55302ba651688p-18, 0x1.50b3459d6f8ffp-18, 0x1.4c311cb0442afp-18, 0x1.47b629f40ff33p-18, 0x1.43367aa432809p-18, 0x1.3ec30b8efd83ap-18, 0x1.3a4a943911091p-18, 0x1.35d893b22d2bap-18, 0x1.31692d372a2e3p-18, 0x1.2cfc7e563db2dp-18, 0x1.2893f251b3d41p-18, 0x1.242c1f316071ep-18, 0x1.1fc778b8a97f3p-18, 0x1.1b6c146649238p-18, 0x1.170fb976aadc5p-18, 0x1.12b83dfa3ff23p-18, 0x1.0e647e3c11dcfp-18, 0x1.0a13d352d7e3dp-18, 0x1.05c716decdf1cp-18, 0x1.017f1af753722p-18, 0x1.fa7083f6111f3p-19, 0x1.f1f7efb184082p-19, 0x1.e97cb91b86721p-19, 0x1.e1118003adbb9p-19, 0x1.d8ac00659ebfap-19, 0x1.d050ea9411a02p-19, 0x1.c7fcd85169b73p-19, 0x1.bfb36b02999d5p-19, 0x1.b77516af42d8bp-19, 0x1.af3f707932676p-19, 0x1.a712fcf5604a6p-19, 0x1.9ef29942941e9p-19, 0x1.96ddf7cc81a13p-19, 0x1.8eccf4a0f0a7p-19, 0x1.86ca787a2174bp-19, 0x1.7ed1dc3431fb1p-19, 0x1.76e3edb4572afp-19, 0x1.6f01e9286d60dp-19, 0x1.6728d09c876b2p-19, 0x1.5f5a78ad523e7p-19, 0x1.579cb9dc21976p-19, 0x1.4fe437d8e855fp-19, 0x1.48396869a5222p-19, 0x1.409e47b8f0915p-19, 0x1.3907ac5fec656p-19, 0x1.317d0822fa6bp-19, 0x1.29fdf6ca3752ap-19, 0x1.228d1d3fafb11p-19, 0x1.1b275e8232622p-19, 0x1.13cc2446bf05bp-19, 0x1.0c80d31a2fc5fp-19, 0x1.053f580149f57p-19, 0x1.fc1d1931c09dcp-20, 0x1.edc961e25e271p-20, 0x1.df8e7ba933066p-20, 0x1.d16ae21e8b81ap-20, 0x1.c35e396395c97p-20, 0x1.b575cd86e619fp-20, 0x1.a79b7b81e8d21p-20, 0x1.99dcf94710923p-20, 0x1.8c38faba5b67ep-20, 0x1.7eae9e2676adfp-20, 0x1.713d6fc9430f1p-20, 0x1.63e54245fda52p-20, 0x1.56a97382bb4edp-20, 0x1.498801f67080cp-20, 0x1.3c88a4aa52aa8p-20, 0x1.2f85aa9e7cfdfp-20, 0x1.22aca5eec094ep-20, 0x1.15ea9b8cfbd94p-20, 0x1.0946854c0dbadp-20, 0x1.f99780da41d88p-21, 0x1.e097bcc6042c8p-21, 0x1.c7eb89cff4966p-21, 0x1.af79a91a900a7p-21, 0x1.9734afe574eb3p-21, 0x1.7f2662fe9c243p-21, 0x1.674a4984da24ap-21, 0x1.4fa1fa52287d4p-21, 0x1.382cb1e7eea57p-21, 0x1.20edd5cded996p-21, 0x1.09e16a7895f27p-21, 0x1.e6092b0eb8f35p-22, 0x1.b8db1e6354d03p-22, 0x1.8bfe4e814b883p-22, 0x1.5f69eb5759e6bp-22, 0x1.33683657e6faep-22, 0x1.07b2c988986d8p-22, 0x1.b8e882571508cp-23, 0x1.6325ef14cb929p-23, 0x1.0e6e53898d72bp-23, 0x1.74ce21eb56f4p-24, 0x1.9c5ab93728e6ap-25, 0x1.4c883c6626a5cp-27, -0x1.e90cb08527e79p-26, -0x1.1b9b375814e3cp-24, -0x1.bbd4dfccf6183p-24, -0x1.2d4b513b14615p-23, -0x1.7bb5607b9d60ap-23, -0x1.c90297a478009p-23, -0x1.0b02d384f3a9fp-22, -0x1.3119ec69afc9ep-22, -0x1.56b6ce11d9768p-22, -0x1.7bed428cfb3f4p-22, -0x1.a0bb913335a51p-22, -0x1.c545a549a0bfbp-22, -0x1.e93048b0d99e5p-22, -0x1.067609d6f8031p-21, -0x1.181b839e9d013p-21, -0x1.29882864ddfb6p-21, -0x1.3ac96c572284ap-21, -0x1.4bd82cb312de2p-21, -0x1.5cb55f1f99bc8p-21, -0x1.6d62d252d3e91p-21, -0x1.7de1f80949447p-21, -0x1.8e2b77fe7c3e7p-21, -0x1.9e3c6589a0153p-21, -0x1.ae1215d2600acp-21, -0x1.bde67f44394b8p-21, -0x1.cd6e5741a88dcp-21, -0x1.dcc9487dbae19p-21, -0x1.ebf29c2d67fa3p-21, -0x1.faf15e375bc86p-21, -0x1.04dc92760eb19p-20, -0x1.0c2ad0de9141cp-20, -0x1.136156deefb09p-20, -0x1.1a83a000ab8ffp-20, -0x1.218cfc0ae85b1p-20, -0x1.287a6ea670e8ep-20, -0x1.2f61544a0ad76p-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.a56e128ccb9bdp-9, -0x1.a54f8ad03f328p-8, -0x1.3be8c79280038p-7, -0x1.a54363452709ep-7, -0x1.0781b0c46270bp-6, -0x1.3ccd960c40e5ap-6, -0x1.72cf6701403bcp-6, -0x1.a9de07396247ap-6, -0x1.e25898153415ap-6, -0x1.0e50e043da893p-5, -0x1.2c8da0f8b436dp-5, -0x1.4c110b1ee91a5p-5, -0x1.6d059a9b15338p-5, -0x1.8f90852f57bfp-5, -0x1.b3d0cbb69af54p-5, -0x1.d9de9ba0d3053p-5, -0x1.00e57c257b964p-4, -0x1.15cfd14e18239p-4, -0x1.2baf9a750ca57p-4, -0x1.4282b4a51ebddp-4, -0x1.5a43c07e092f9p-4, -0x1.72ea622e94b79p-4, -0x1.8c6b89e405397p-4, -0x1.a6b9c160bb6a9p-4, -0x1.c1c57befe21f2p-4, -0x1.dd7d666c15ac2p-4, -0x1.f9ceb58706782p-4, -0x1.0b52b8765834p-3, -0x1.19f65d1e60088p-3, -0x1.28c7879362c03p-3, -0x1.37bb431d61392p-3, -0x1.46c6831bbad7ap-3, -0x1.55de3be61e9afp-3, -0x1.64f778f32b09dp-3, -0x1.7407705d30442p-3, -0x1.830393e665cbap-3, -0x1.91e19fa3900fcp-3, -0x1.a097a6778a30bp-3, -0x1.af1c1c8b76ad8p-3, -0x1.bd65dfef6a68dp-3, -0x1.cb6c3f8e5e6c7p-3, -0x1.d927009e67ed4p-3, -0x1.e68e62b41bbb2p-3, -0x1.f39b229d6083ap-3, -0x1.00233e12c0f29p-2, -0x1.06451570d4fdfp-2, -0x1.0c3035112aff6p-2, -0x1.11e1fa120230bp-2, -0x1.1758004b850afp-2, -0x1.1c90214a26fbap-2, -0x1.218873096c7e9p-2, -0x1.263f46782375ep-2, -0x1.2ab325ce3ef09p-2, -0x1.2ee2d2bbd37b6p-2, -0x1.32cd4477f69dcp-2, -0x1.3671a5b5b0ce1p-2, -0x1.39cf528492d5ep-2, -0x1.3ce5d621fbacp-2, -0x1.3fb4e8bfac157p-2, -0x1.423c6d43b8a04p-2, -0x1.447c6f05a03a7p-2, -0x1.46751f8bd27d9p-2, -0x1.4826d44c9d3bfp-2, -0x1.499204752b00ap-2, -0x1.4ab746b8e2ed9p-2, -0x1.4b974f2b32b22p-2, -0x1.4c32ed258c70ap-2, -0x1.4c8b093b1e3dp-2, -0x1.4ca0a33b8606p-2, -0x1.4c74d045a49f1p-2, -0x1.4c08b8eb62248p-2, -0x1.4b5d97671e342p-2, -0x1.4a74b5e354523p-2, -0x1.494f6cd4cea1bp-2, -0x1.47ef2167abfecp-2, -0x1.465543ff4e96p-2, -0x1.44834ec938b11p-2, -0x1.427ac462b8eefp-2, -0x1.403d2e913668ap-2, -0x1.3dcc1d0cd896p-2, -0x1.3b29245d2cd56p-2, -0x1.3855dcc76daap-2, -0x1.3553e14dead5p-2, -0x1.3224cec01dbbdp-2, -0x1.2eca42dad9db5p-2, -0x1.2b45db7811609p-2, -0x1.279935cd90e57p-2, -0x1.23c5edba1da91p-2, -0x1.1fcd9d205a932p-2, -0x1.1bb1db4ed0673p-2, -0x1.17743c74824d4p-2, -0x1.131651216b14p-2, -0x1.0e99a5d2485d2p-2, -0x1.09ffc2871b175p-2, -0x1.054a2a63c194bp-2, -0x1.007a5b5a18c92p-2, -0x1.f7239bba2e264p-3, -0x1.ed23e93898aebp-3, -0x1.e2f8788e8ee8ep-3, -0x1.d8a416b0b6b53p-3, -0x1.ce2983cc82509p-3, -0x1.c38b72f84ac6bp-3, -0x1.b8cc89ef531d4p-3, -0x1.adef60d8cf87p-3, -0x1.a2f682192f19ep-3, -0x1.97e46a2ccec4fp-3, -0x1.8cbb878b691f6p-3, -0x1.817e3a937d267p-3, -0x1.762ed57d1ba93p-3, -0x1.6acf9c53646c4p-3, -0x1.5f62c4f429ce4p-3, -0x1.53ea771538bdp-3, -0x1.4868cc4ea94c5p-3, -0x1.3cdfd029d9ce3p-3, -0x1.315180348c178p-3, -0x1.25bfcc17cb373p-3, -0x1.1a2c95b22f32p-3, -0x1.0e99b13527adfp-3, -0x1.0308e544f6783p-3, -0x1.eef7d636254d4p-4, -0x1.d7e8dd5548915p-4, -0x1.c0e81d8dc0b92p-4, -0x1.a9f8ba9607e3ap-4, -0x1.931dbe876d3aap-4, -0x1.7c5a1a3355fdap-4, -0x1.65b0a57a84765p-4, -0x1.4f241fa629bb7p-4, -0x1.38b72fc26e83fp-4, -0x1.226c64fa2c52bp-4, -0x1.0c4636f39f8fep-4, -0x1.ec8e0c5bb2137p-5, -0x1.c0e238bd7fc7ep-5, -0x1.958d59a2eb079p-5, -0x1.6a93a989e76eep-5, -0x1.3ff937958fc83p-5, -0x1.15c1e84b8b84cp-5, -0x1.d7e2eca26dfa3p-6, -0x1.8516e650ad0edp-6, -0x1.33268fd668be9p-6, -0x1.c430d81fed1e8p-7, -0x1.23e55fece4498p-7, -0x1.0aed104afc031p-8, 0x1.71074230d095fp-11, 0x1.6349d9f595301p-8, 0x1.4a3ccab8a7e19p-7, 0x1.e0ce8328f415bp-7, 0x1.3aa88b5fa9f23p-6, 0x1.83de06e6ea3fcp-6, 0x1.cc03bae0d7ca5p-6, 0x1.098af79962537p-5, 0x1.2c8895ca59259p-5, 0x1.4ef91b1c1b7fdp-5, 0x1.70db093916c8fp-5, 0x1.922cffb3aeda2p-5, 0x1.b2edbb5e0a4e9p-5, 0x1.d31c15a34aa11p-5, 0x1.f2b703e248056p-5, 0x1.08decb64dfb27p-4, 0x1.18177cdafcc45p-4, 0x1.27053907f39bdp-4, 0x1.35a7af56de6cp-4, 0x1.43fe9b9a80cd9p-4, 0x1.5209c5bf0bec4p-4, 0x1.5fc9017ca02b4p-4, 0x1.6d3c2e0a8ad9cp-4, 0x1.7a6335d34131bp-4, 0x1.873e0e2917c06p-4, 0x1.93ccb6fbbb52bp-4, 0x1.a00f3a8e5fc87p-4, 0x1.ac05ad2eba9f4p-4, 0x1.b7b02ceca8a9bp-4, 0x1.c30ee152b5219p-4, 0x1.ce21fb1f39c73p-4, 0x1.d8e9b3fe613d7p-4, 0x1.e3664e44de984p-4, 0x1.ed9814ab69f43p-4, 0x1.f77f5a0b059a5p-4, 0x1.008e3c8d03354p-3, 0x1.0537ea14f42bcp-3, 0x1.09bcea72f77a3p-3, 0x1.0e1d7609411f4p-3, 0x1.1259c8a6b72c8p-3, 0x1.167221676d1dep-3, 0x1.1a66c2958e06ep-3, 0x1.1e37f18aada8fp-3, 0x1.21e5f6918155cp-3, 0x1.25711cc80420fp-3, 0x1.28d9b20202dd9p-3, 0x1.2c2006ac152d6p-3, 0x1.2f446daf0484p-3, 0x1.32473c539af5p-3, 0x1.3528ca26e0d71p-3, 0x1.37e970deccc03p-3, 0x1.3a898c3f5b4d4p-3, 0x1.3d097a001942ep-3, 0x1.3f6999b21c835p-3, 0x1.41aa4ca66af76p-3, 0x1.43cbf5d4d6749p-3, 0x1.45cef9c34778p-3, 0x1.47b3be6d724f9p-3, 0x1.497aab2d0cb01p-3, 0x1.4b2428a264edfp-3, 0x1.4cb0a09d745b1p-3, 0x1.4e207e0764df9p-3, 0x1.4f742ccc81011p-3, 0x1.50ac19c69d4cbp-3, 0x1.51c8b2a7f41afp-3, 0x1.52ca65e66e656p-3, 0x1.53b1a2a7651e4p-3, 0x1.547ed8abd07b7p-3, 0x1.5532783cec3eap-3, 0x1.55ccf21949f0bp-3, 0x1.564eb7625abd9p-3, 0x1.56b8398a64a05p-3, 0x1.5709ea42ed6dp-3, 0x1.57443b6b92ed5p-3, 0x1.57679f015393ap-3, 0x1.5774870e47c5ap-3, 0x1.576b6599cd802p-3, 0x1.574cac9917603p-3, 0x1.5718cde037b2ap-3, 0x1.56d03b138e07dp-3, 0x1.56736599a55e5p-3, 0x1.5602be8d7e7edp-3, 0x1.557eb6b14060fp-3, 0x1.54e7be615a07fp-3, 0x1.543e45880440cp-3, 0x1.5382bb913233cp-3, 0x1.52b58f5ee71f3p-3, 0x1.51d72f3df219ap-3, 0x1.50e808db0a96dp-3, 0x1.4fe88938583c5p-3, 0x1.4ed91ca35711bp-3, 0x1.4dba2eab1e35ap-3, 0x1.4c8c2a170bb9dp-3, 0x1.4b4f78ddc875cp-3, 0x1.4a04841cae5ccp-3, 0x1.48abb40f8b30dp-3, 0x1.47457008ba49ap-3, 0x1.45d21e699ffe9p-3, 0x1.4452249b735a8p-3, 0x1.42c5e7086c14cp-3, 0x1.412dc9153608dp-3, 0x1.3f8a2d1ac8122p-3, 0x1.3ddb746089319p-3, 0x1.3c21ff16bf95cp-3, 0x1.3a5e2c515dc22p-3, 0x1.38905a03128edp-3, 0x1.36b8e4f8abd83p-3, 0x1.34d828d4c5b4cp-3, 0x1.32ee800bbf285p-3, 0x1.30fc43dffc3fp-3, 0x1.2f01cc5e6f67dp-3, 0x1.2cff705b63e69p-3, 0x1.2af5856f93eb1p-3, 0x1.28e45ff57b5a5p-3, 0x1.26cc5306ec8f4p-3, 0x1.24adb07ae8d79p-3, 0x1.2288c8e3b5a08p-3, 0x1.205deb8d290f9p-3, 0x1.1e2d667b39737p-3, 0x1.1bf78668c4205p-3, 0x1.19bc96c688314p-3, 0x1.177ce1ba63426p-3, 0x1.1538b01eb15ap-3, 0x1.12f04981f5d3bp-3, 0x1.10a3f426a4d78p-3, 0x1.0e53f5032b443p-3, 0x1.0c008fc219c94p-3, 0x1.09aa06c2892d4p-3, 0x1.07509b18a5489p-3, 0x1.04f48c8e62383p-3, 0x1.029619a4602f7p-3, 0x1.00357f92f6decp-3, 0x1.fba5f496c1096p-4, 0x1.f6dd88f22c82cp-4, 0x1.f2122f0694a3bp-4, 0x1.ed44571d03ebbp-4, 0x1.e8746efcba267p-4, 0x1.e3a2e1eedd1ebp-4, 0x1.ded018c284ccbp-4, 0x1.d9fc79d0f37fp-4, 0x1.d528690208114p-4, 0x1.d05447d0edb61p-4, 0x1.cb807550fec48p-4, 0x1.c6ad4e32d543bp-4, 0x1.c1db2cc98cb8p-4, 0x1.bd0a69103dfe8p-4, 0x1.b83b58af8e81ep-4, 0x1.b36e4f038249ap-4, 0x1.aea39d2164e76p-4, 0x1.a9db91ddd7564p-4, 0x1.a51679d31462fp-4, 0x1.a0549f6736d66p-4, 0x1.9b964ad2b9ae8p-4, 0x1.96dbc22709c0fp-4, 0x1.9225495533b15p-4, 0x1.8d732234a8987p-4, 0x1.88c58c8a20ee3p-4, 0x1.841cc60e8fa2ap-4, 0x1.7f790a762b8e5p-4, 0x1.7ada9377869cp-4, 0x1.764198d2bfdc6p-4, 0x1.71ae5058b86acp-4, 0x1.6d20edf25df4cp-4, 0x1.6899a3a7fe0e1p-4, 0x1.6418a1a8a4f3cp-4, 0x1.5f9e1651840c8p-4, 0x1.5b2a2e3560816p-4, 0x1.56bd142409394p-4, 0x1.5256f131cfff6p-4, 0x1.4df7ecbf05a78p-4, 0x1.49a02c7f7ac5p-4, 0x1.454fd481ff805p-4, 0x1.41070737e502ap-4, 0x1.3cc5e57c7c3dp-4, 0x1.388c8e9c9293ep-4, 0x1.345b205dea241p-4, 0x1.3031b706b2356p-4, 0x1.2c106d64f3e36p-4, 0x1.27f75cd5fbf5bp-4, 0x1.23e69d4dbf443p-4, 0x1.1fde455e31bc8p-4, 0x1.1bde6a3e97997p-4, 0x1.17e71fd2ccc01p-4, 0x1.13f878b282ca2p-4, 0x1.101286306e5ap-4, 0x1.0c3558617035ep-4, 0x1.0860fe23a9a07p-4, 0x1.049585258812fp-4, 0x1.00d2f9ecc2e49p-4, 0x1.fa32cfba92ec9p-5, 0x1.f2d1b2803fe8cp-5, 0x1.eb82ae9461ab1p-5, 0x1.e445d446105f3p-5, 0x1.dd1b31d70a64p-5, 0x1.d602d388e7673p-5, 0x1.cefcc3aa3285ap-5, 0x1.c8090aa35a8cdp-5, 0x1.c127af0381845p-5, 0x1.ba58b58d1dc4fp-5, 0x1.b39c21427f9ecp-5, 0x1.acf1f3722d7aep-5, 0x1.a65a2bc3107c8p-5, 0x1.9fd4c840860bbp-5, 0x1.9961c5663eb4dp-5, 0x1.93011e2bf8cb3p-5, 0x1.8cb2cc110cf3cp-5, 0x1.8676c727d8e94p-5, 0x1.804d0620fbcefp-5, 0x1.7a357e5665797p-5, 0x1.743023d642898p-5, 0x1.6e3ce96db364bp-5, 0x1.685bc0b3621c2p-5, 0x1.628c9a11e711p-5, 0x1.5ccf64d2073eep-5, 0x1.57240f24c1f87p-5, 0x1.518a862d373c3p-5, 0x1.4c02b60a631cp-5, 0x1.468c89e0a7e2ep-5, 0x1.4127ebe331e0ep-5, 0x1.3bd4c55d331adp-5, 0x1.3692febaec4f4p-5, 0x1.31627f928c77bp-5, 0x1.2c432eacec0bap-5, 0x1.2734f20e175c1p-5, 0x1.2237aefdab8b6p-5, 0x1.1d4b4a0f0fa27p-5, 0x1.186fa7297f8d8p-5, 0x1.13a4a98ff1743p-5, 0x1.0eea33e8c9ce8p-5, 0x1.0a4028456f766p-5, 0x1.05a66829a9e34p-5, 0x1.011cd492e502ap-5, 0x1.f9469bfe80941p-6, 0x1.f07368e8fb881p-6, 0x1.e7bfcf0d86c05p-6, 0x1.df2b8cbe71731p-6, 0x1.d6b65f84fdbafp-6, 0x1.ce60042df28dfp-6, 0x1.c62836d5efc6bp-6, 0x1.be0eb2f5708ddp-6, 0x1.b613336c85fc6p-6, 0x1.ae35728e401d5p-6, 0x1.a6752a2bd9b6ap-6, 0x1.9ed2139f8a007p-6, 0x1.974be7d71d5bbp-6, 0x1.8fe25f5e458e5p-6, 0x1.8895326894267p-6, 0x1.816418db42321p-6, 0x1.7a4eca56b3b5bp-6, 0x1.7354fe3fa5fd5p-6, 0x1.6c766bc82e135p-6, 0x1.65b2c9f86d54ap-6, 0x1.5f09cfb703df2p-6, 0x1.587b33d14b68dp-6, 0x1.5206ad0346173p-6, 0x1.4babf1ff64869p-6, 0x1.456ab975f6abep-6, 0x1.3f42ba1c76026p-6, 0x1.3933aab48d941p-6, 0x1.333d4212dd0bfp-6, 0x1.2d5f372597308p-6, 0x1.279940fade393p-6, 0x1.21eb16c6e66f8p-6, 0x1.1c546fe9e6265p-6, 0x1.16d503f5d7f34p-6, 0x1.116c8ab3fac2dp-6, 0x1.0c1abc2a32f67p-6, 0x1.06df50a020368p-6, 0x1.01ba00a41b582p-6, 0x1.f9550a1fe70a4p-7, 0x1.ef612e1b03bffp-7, 0x1.e597e0362a165p-7, 0x1.dbf8941f47624p-7, 0x1.d282be3db4e97p-7, 0x1.c935d3b9fb18bp-7, 0x1.c0114a854e5c5p-7, 0x1.b71499609890dp-7, 0x1.ae3f37e34a27cp-7, 0x1.a5909e81d844p-7, 0x1.9d084693ddf2ep-7, 0x1.94a5aa5a105bbp-7, 0x1.8c684503d7757p-7, 0x1.844f92b490e1dp-7, 0x1.7c5b1088a01edp-7, 0x1.748a3c9a3588dp-7, 0x1.6cdc9605d6081p-7, 0x1.65519cee998eap-7, 0x1.5de8d2821d978p-7, 0x1.56a1b8fc5ce7bp-7, 0x1.4f7bd3ab23634p-7, 0x1.4876a6f16e2ddp-7, 0x1.4191b84a75861p-7, 0x1.3acc8e4c74e74p-7, 0x1.3426b0ab6b014p-7, 0x1.2d9fa83b6fff2p-7, 0x1.2736fef303ebap-7, 0x1.20ec3fed09113p-7, 0x1.1abef76aa9851p-7, 0x1.14aeb2d4e4747p-7, 0x1.0ebb00be2c31bp-7, 0x1.08e370e3a468dp-7, 0x1.0327942e47481p-7, 0x1.fb0df967aa10ep-8, 0x1.f0027b6f65ff6p-8, 0x1.e52bd7570d278p-8, 0x1.da89385f89d8cp-8, 0x1.d019cc28266d7p-8, 0x1.c5dcc2aed709ap-8, 0x1.bbd14e509a6f4p-8, 0x1.b1f6a3c931ef4p-8, 0x1.a84bfa330c4d1p-8, 0x1.9ed08b068bf9p-8, 0x1.958392193b461p-8, 0x1.8c644d9ccf16ap-8, 0x1.8371fe1dbd722p-8, 0x1.7aabe681fb832p-8, 0x1.72114c0750ap-8, 0x1.69a1764146ce8p-8, 0x1.615baf1758ec9p-8, 0x1.593f42c283812p-8, 0x1.514b7fcaf79b1p-8, 0x1.497fb7058f344p-8, 0x1.41db3b9113b2cp-8, 0x1.3a5d62d332c94p-8, 0x1.33058475ad0bap-8, 0x1.2bd2fa62fff01p-8, 0x1.24c520c3218c2p-8, 0x1.1ddb55f832777p-8, 0x1.1714fa9ad62c4p-8, 0x1.1071717674538p-8, 0x1.09f01f8585e2cp-8, 0x1.03906bedbccb1p-8, 0x1.faa37ff7d303ep-9, 0x1.ee670e40428efp-9, 0x1.e26a5dd28d996p-9, 0x1.d6ac4e0202601p-9, 0x1.cb2bc24e8555ep-9, 0x1.bfe7a25c0223bp-9, 0x1.b4ded9e95b2d4p-9, 0x1.aa1058c75e27cp-9, 0x1.9f7b12cf83c4ep-9, 0x1.951dffdaa77cfp-9, 0x1.8af81bb76ed7ep-9, 0x1.8108662122fe2p-9, 0x1.774de2b5df266p-9, 0x1.6dc798ecb8d1ep-9, 0x1.6474940c62c1fp-9, 0x1.5b53e320c486dp-9, 0x1.526498f1aaf7fp-9, 0x1.49a5cbf86cb59p-9, 0x1.4116965631eb5p-9, 0x1.38b615c9d47e4p-9, 0x1.30836ba5aec68p-9, 0x1.287dbcc58ca0fp-9, 0x1.20a43184940ep-9, 0x1.18f5f5b32b914p-9, 0x1.1172388cf1733p-9, 0x1.0a182cae26474p-9, 0x1.02e70809df4a1p-9, 0x1.f7bc07bf754ccp-10, 0x1.e9f8b9634b7a6p-10, 0x1.dc82a473b0b22p-10, 0x1.cf584ec14c71ap-10, 0x1.c2784464d2be9p-10, 0x1.b5e117aa9417fp-10, 0x1.a99160fe64196p-10, 0x1.9d87bed79fa4bp-10, 0x1.91c2d5a54f317p-10, 0x1.86414fba23f46p-10, 0x1.7b01dd386c05dp-10, 0x1.700333fe6099bp-10, 0x1.65440f927f7a5p-10, 0x1.5ac331100409ap-10, 0x1.507f5f133c3adp-10, 0x1.467765a678ebep-10, 0x1.3caa162edb582p-10, 0x1.33164758a3507p-10, 0x1.29bad504a7d0cp-10, 0x1.2096a0352d747p-10, 0x1.17a88efb52a8dp-10, 0x1.0eef8c6479a01p-10, 0x1.066a8867bc656p-10, 0x1.fc30efa709b86p-11, 0x1.ebf0a876afb96p-11, 0x1.dc1237cbafa53p-11, 0x1.cc93a37593716p-11, 0x1.bd72fa633e192p-11, 0x1.aeae547f2fe75p-11, 0x1.a043d28ccf0f4p-11, 0x1.92319e05e208cp-11, 0x1.8475e8f7fb4a3p-11, 0x1.770eede36a912p-11, 0x1.69faef98ac36ap-11, 0x1.5d383917ffc06p-11, 0x1.50c51d7060986p-11, 0x1.449ff79e9aea3p-11, 0x1.38c72a6d841bap-11, 0x1.2d3920559c674p-11, 0x1.21f44b5ded109p-11, 0x1.16f724fcfa698p-11, 0x1.0c402df9c3cd7p-11, 0x1.01cdee4d32da3p-11, 0x1.ef3dea08a77c5p-12, 0x1.db63b044d372ap-12, 0x1.c80a6905d53e1p-12, 0x1.b52f5b7a50e06p-12, 0x1.a2cfdc0f34b63p-12, 0x1.90e94c3750ac4p-12, 0x1.7f791a3206decp-12, 0x1.6e7cc0d4e7d22p-12, 0x1.5df1c754b4a5cp-12, 0x1.4dd5c11003359p-12, 0x1.3e264d598d911p-12, 0x1.2ee11743ce42fp-12, 0x1.2003d56daf515p-12, 0x1.118c49cf37e37p-12, 0x1.03784186dd632p-12, 0x1.eb8b294f19a0dp-13, 0x1.d0e44c10464p-13, 0x1.b6f7c625544f8p-13, 0x1.9dc1872acbb9cp-13, 0x1.853d932723b77p-13, 0x1.6d68022d9a72cp-13, 0x1.563d000372f59p-13, 0x1.3fb8cbc47c3e9p-13, 0x1.29d7b78ba5f7fp-13, 0x1.1496281b441d2p-13, 0x1.ffe1290f2f2edp-14, 0x1.d7c70bc3c321fp-14, 0x1.b0d72dc82535p-14, 0x1.8b0ae73ddd942p-14, 0x1.665bb252b6b7cp-14, 0x1.42c32a9e0a1f6p-14, 0x1.203b0c8719b32p-14, 0x1.fd7a6955bc256p-15, 0x1.bc873e85cbfc3p-15, 0x1.7d90cf1dffaap-15, 0x1.408b8e8319dddp-15, 0x1.056c2bdeeb8bp-15, 0x1.984f21fb30b01p-16, 0x1.2965c2708aa11p-16, 0x1.7c0de186ded72p-17, 0x1.58774dd58c914p-18, -0x1.cd4048b8d34dcp-21, -0x1.be924a2a60963p-18, -0x1.9b4aed9a3292bp-17, -0x1.287fe1e0fdf8ep-16, -0x1.8046a1db48452p-16, -0x1.d50c2203ada7bp-16, -0x1.1371365d44575p-15, -0x1.3aed96ac8880cp-15, -0x1.6103d8faadd04p-15, -0x1.85bc769fd5475p-15, -0x1.a91fbc1d44511p-15, -0x1.cb35c9fcc9447p-15, -0x1.ec0695abdcf3p-15, -0x1.05ccf528e68fap-14, -0x1.14fbb4cdf4738p-14, -0x1.239346499c821p-14, -0x1.31975231c1288p-14, -0x1.3f0b6d91b6f86p-14, -0x1.4bf31a4e1e014p-14, -0x1.5851c7829ef9cp-14, -0x1.642ad1dfe3db7p-14, -0x1.6f81840c48074p-14, -0x1.7a5916f8dcba6p-14, -0x1.84b4b23fadaf6p-14, -0x1.8e976c7904fbap-14, -0x1.98044b936b81fp-14, -0x1.a0fe45287c957p-14, -0x1.a9883ecc052f6p-14, -0x1.b1a50e632a0b8p-14, -0x1.b9577a6fa2217p-14, -0x1.c0a23a610532dp-14, -0x1.c787f6e04d6cep-14, -0x1.ce0b4a1b3c08bp-14, -0x1.d42ec00fe9277p-14, -0x1.d9f4d6d4e2c7dp-14, -0x1.df5ffee0e8a64p-14, -0x1.e4729b5153a54p-14, -0x1.e92f022cf87cap-14, -0x1.ed977ca93aa8bp-14, -0x1.f1ae476b52921p-14, -0x1.f57592c9c7f3ap-14, -0x1.f8ef830abc32ep-14, -0x1.fc1e30a64b5b7p-14, -0x1.ff03a87f67c16p-14, -0x1.00d0f6108dc4ep-13, -0x1.01fd78fce37eap-13, -0x1.030852cac8be9p-13, -0x1.03f273ea0b72fp-13, -0x1.04bcc7911797p-13, -0x1.056833d8c596dp-13, -0x1.05f599d57c271p-13, -0x1.0665d5b312799p-13, -0x1.06b9becc8e4bfp-13, -0x1.06f227c6cf5dp-13, -0x1.070fdea86232ap-13, -0x1.0713acf16c18bp-13, -0x1.06fe57b3fce7dp-13, -0x1.06d09fab1abc5p-13, -0x1.068b415116d4cp-13, -0x1.062ef4f6a4ffp-13, -0x1.05bc6ed7c1debp-13, -0x1.05345f31c9a58p-13, -0x1.04977258027a8p-13, -0x1.03e650c796c3ap-13, -0x1.03219f3d1d8dap-13, -0x1.0249fec71520dp-13, -0x1.01600cda422c5p-13, -0x1.006463640739ap-13, -0x1.feaf31b9fbc3cp-14, -0x1.fc7480b61c9b5p-14, -0x1.fa19d34747112p-14, -0x1.f7a04279084d8p-14, -0x1.f508e0fbadb64p-14, -0x1.f254bb429af06p-14, -0x1.ef84d7a922373p-14, -0x1.ec9a368f87b24p-14, -0x1.e995d27bc4f66p-14, -0x1.e678a03970c02p-14, -0x1.e3438ef4fe20bp-14, -0x1.dff7885bf1ae6p-14, -0x1.dc9570b88cc7dp-14, -0x1.d91e270faae34p-14, -0x1.d592853aae1p-14, -0x1.d1f360037d16cp-14, -0x1.ce4187401cb92p-14, -0x1.ca7dc5eba1cc4p-14, -0x1.c6a8e240c5428p-14, -0x1.c2c39dd2f3192p-14, -0x1.beceb5a52738bp-14, -0x1.bacae244259fap-14, -0x1.b6b8d7dbeb5ecp-14, -0x1.b2994650ec5d3p-14, -0x1.ae6cd955948b5p-14, -0x1.aa343880863d4p-14, -0x1.a5f00763058d6p-14, -0x1.a1a0e59bc7caap-14, -0x1.9d476eeee5c51p-14, -0x1.98e43b58c9ad6p-14, -0x1.9477df213b0ap-14, -0x1.9002eaf0e0186p-14, -0x1.8b85ebe2d48p-14, -0x1.87016b97a25d4p-14, -0x1.8275f047f64d3p-14, -0x1.7de3fcd77aed5p-14, -0x1.794c10e4f8ad7p-14, -0x1.74aea8dc692b2p-14, -0x1.700c3e06db915p-14, -0x1.6b65469c49cd4p-14, -0x1.66ba35d3727b6p-14, -0x1.620b7bf0fe526p-14, -0x1.5d598657b087cp-14, -0x1.58a4bf9833958p-14, -0x1.53ed8f7e684aap-14, -0x1.4f345b217e67cp-14, -0x1.4a7984f206c87p-14, -0x1.45bd6cc770346p-14, -0x1.41006fed890fp-14, -0x1.3c42e9333c46ap-14, -0x1.378530f5ccf81p-14, -0x1.32c79d2f9aeeep-14, -0x1.2e0a8183d83e3p-14, -0x1.294e2f4bb27c1p-14, -0x1.2492f5a171647p-14, -0x1.1fd9216d07dbap-14, -0x1.1b20fd6eaf3e1p-14, -0x1.166ad24c02bcbp-14, -0x1.11b6e699c1c8p-14, -0x1.0d057ee7dc4e8p-14, -0x1.0856ddcb257b8p-14, -0x1.03ab43e85b1c8p-14, -0x1.fe05dffdafff6p-15, -0x1.f4bc3de338ebfp-15, -0x1.eb7a17a4f776bp-15, -0x1.e23fdfd61795bp-15, -0x1.d90e058bd922ep-15, -0x1.cfe4f4714a042p-15, -0x1.c6c514d894fd8p-15, -0x1.bdaecbcdde457p-15, -0x1.b4a27b27f6b27p-15, -0x1.aba0819a5ce4ap-15, -0x1.a2a93ac58b91dp-15, -0x1.99bcff480ce57p-15, -0x1.90dc24cc1790ep-15, -0x1.8806fe1b74302p-15, -0x1.7f3ddb2be5f1fp-15, -0x1.7681092fcf5c3p-15, -0x1.6dd0d2a589cb8p-15, -0x1.652d7f639af2dp-15, -0x1.5c9754aab7d2ap-15, -0x1.540e95313b447p-15, -0x1.4b93813172817p-15, -0x1.4326567726bedp-15, -0x1.3ac7506d64c1fp-15, -0x1.3276a82abcd29p-15, -0x1.2a34947e28691p-15, -0x1.220149fbadecfp-15, -0x1.19dcfb08a3897p-15, -0x1.11c7d7e9dcb7bp-15, -0x1.09c20ecaa2647p-15, -0x1.01cbcbcc717a6p-15, -0x1.f3ca7220e2ebbp-16, -0x1.e41cfd8570ff8p-16, -0x1.d48f864a5042ap-16, -0x1.c5225535d9a37p-16, -0x1.b5d5af655ce44p-16, -0x1.a6a9d661685b7p-16, -0x1.979f0830248bdp-16, -0x1.88b57f6c533ffp-16, -0x1.79ed73577235ap-16, -0x1.6b4717ed9a621p-16, -0x1.5cc29df413167p-16, -0x1.4e60330fdba69p-16, -0x1.402001d7c9093p-16, -0x1.320231e44d64dp-16, -0x1.2406e7df8edf6p-16, -0x1.162e4598ce8c4p-16, -0x1.08786a172d395p-16, -0x1.f5cae34d561b2p-17, -0x1.daeaebce75e12p-17, -0x1.c0511bbdfb6c7p-17, -0x1.a5fd9c1340eep-17, -0x1.8bf090c998221p-17, -0x1.722a1904956b5p-17, -0x1.58aa4f2a686a5p-17, -0x1.3f714902d8cf7p-17, -0x1.267f17cec798bp-17, -0x1.0dd3c866354fp-17, -0x1.eadec6ae0eb8cp-18, -0x1.baa3d9f8a14ccp-18, -0x1.8af6cb32881fbp-18, -0x1.5bd792d996c8ap-18, -0x1.2d4621a04737p-18, -0x1.fe84c14ec9b72p-19, -0x1.a39863410e45ep-19, -0x1.49c6ddfd1a78bp-19, -0x1.e21fb09c90ceap-20, -0x1.32e5d6ba5cb97p-20, -0x1.0bbe8ba49381fp-21, 0x1.27a82649225a8p-23, 0x1.9b304a40fa93dp-21, 0x1.740b4ffed6b74p-20, 0x1.0c27e91e8ecf6p-19, 0x1.5d33881781e1bp-19, 0x1.ad2942752ff9cp-19, 0x1.fc09e0e227a53p-19, 0x1.24eb1b67963a3p-18, 0x1.4b47911be4cd1p-18, 0x1.711ac59f195fcp-18, 0x1.966531f6ebf24p-18, 0x1.bb2753fd7b8dap-18, 0x1.df61ae39d128fp-18, 0x1.018a63e146103p-17, 0x1.1320960be23a4p-17, 0x1.2473b580074dfp-17, 0x1.35840c34e405ep-17, 0x1.4651e6278fa4bp-17, 0x1.56dd914744c6fp-17, 0x1.67275d63a1ddcp-17, 0x1.772f9c2568b15p-17, 0x1.86f6a0fb65fd5p-17, 0x1.967cc10a0b142p-17, 0x1.a5c25321bda5fp-17, 0x1.b4c7afabf620ep-17, 0x1.c38d309ed311fp-17, 0x1.d213316fb4a4ep-17, 0x1.e05a0f0842652p-17, 0x1.ee6227b74dbfbp-17, 0x1.fc2bdb22e77c1p-17, 0x1.04dbc51e263b8p-16, 0x1.0b82cb990f916p-16, 0x1.120b32b3d56e2p-16, 0x1.18752cb3c34fdp-16, 0x1.1ec0ec6bf1e14p-16, 0x1.24eea537833c9p-16, 0x1.2afe8af541b4p-16, 0x1.30f0d1ff784fdp-16, 0x1.36c5af284f19bp-16, 0x1.3c7d57b4e26d7p-16, 0x1.4218015548dcap-16, 0x1.4795e222ac125p-16, 0x1.4cf730987ecbbp-16, 0x1.523c23917862dp-16, 0x1.5764f240d64efp-16, 0x1.5c71d42e399d7p-16, 0x1.616301311d60dp-16, 0x1.6638b16baafd7p-16, 0x1.6af31d4696325p-16, 0x1.6f927d6e79eafp-16, 0x1.74170ace675ffp-16, 0x1.7880fe8aacb33p-16, 0x1.7cd091fe3785bp-16, 0x1.8105feb357a59p-16, 0x1.85217e648a416p-16, 0x1.89234af604e84p-16, 0x1.8d0b9e725a9c9p-16, 0x1.90dab3070e2a8p-16, 0x1.9490c3018454fp-16, 0x1.982e08ca298f8p-16, 0x1.9bb2bee0863bcp-16, 0x1.9f1f1fda3cb16p-16, 0x1.a273665d28ae8p-16, 0x1.a5afcd1cfe748p-16, 0x1.a8d48ed92ce8ap-16, 0x1.abe1e65837e85p-16, 0x1.aed80e660f251p-16, 0x1.b1b741d12f281p-16, 0x1.b47fbb65fa354p-16, 0x1.b731b5ec3642ep-16, 0x1.b9cd6c24ffacep-16, 0x1.bc5318c89f152p-16, 0x1.bec2f682de7aap-16, 0x1.c11d3ff10df05p-16, 0x1.c3622f9fc5509p-16, 0x1.c5920007ba4fap-16, 0x1.c7aceb889d6eep-16, 0x1.c9b32c6ba3f21p-16, 0x1.cba4fcdef7d1cp-16, 0x1.cd8296f3ab274p-16, 0x1.cf4c349bb2cc9p-16, 0x1.d1020fa7e6085p-16, 0x1.d2a461c511279p-16, 0x1.d4336479b7315p-16, 0x1.d5af51254bbdcp-16, 0x1.d71860fd7184ep-16, 0x1.d86ecd0baf195p-16, 0x1.d9b2ce2cc874ap-16, 0x1.dae49d0e1eaacp-16, 0x1.dc04722cb0d52p-16, 0x1.dd1285d242207p-16, 0x1.de0f1014f37bp-16, 0x1.defa48d51f388p-16, 0x1.dfd467b9fedd5p-16, 0x1.e09da4334c55ap-16, 0x1.e1563575f4001p-16, 0x1.e1fe527a86ebfp-16, 0x1.e29631fcc5651p-16, 0x1.e31e0a7ae50b5p-16, 0x1.e3961231ea3bdp-16, 0x1.e3fe7f1bfc0bfp-16, 0x1.e45786f21bd61p-16, 0x1.e4a15f29773c8p-16, 0x1.e4dc3cf2a2b9cp-16, 0x1.e508553849d66p-16, 0x1.e525dc9eaf9e7p-16, 0x1.e5350780f68dep-16, 0x1.e53609f0d14d2p-16, 0x1.e52917b5eef93p-16, 0x1.e50e644d533edp-16, 0x1.e4e622e7b2421p-16, 0x1.e4b08668011fbp-16, 0x1.e46dc16466998p-16, 0x1.e41e062461ab1p-16, 0x1.e3c1869f803c3p-16, 0x1.e358747d687efp-16, 0x1.e2e3011538f8p-16, }}, 
      {{-0x1.6cfd963c1306dp-9, -0x1.6ceee13ce4435p-8, -0x1.11a682eab55e5p-7, -0x1.6cd51affe99ccp-7, -0x1.c8185a8c1a3cp-7, -0x1.11c96990b658cp-6, -0x1.3fb9f8c739b27p-6, -0x1.6dfb35c75dae1p-6, -0x1.9caf06d681c83p-6, -0x1.cbfa9c3741bbep-6, -0x1.fc0524daa36d2p-6, -0x1.167b476bc38dap-5, -0x1.2f7b30f072d7cp-5, -0x1.49155e154c4dp-5, -0x1.635bbaf6882b9p-5, -0x1.7e5eb65c2cdp-5, -0x1.9a2cfadc6b59bp-5, -0x1.b6d33a59dc9d7p-5, -0x1.d45c0a52d9a03p-5, -0x1.f2cfcf3857b1ep-5, -0x1.091a5a72ef932p-4, -0x1.1947592846ee7p-4, -0x1.29efcb48ad776p-4, -0x1.3b138ec4f26dfp-4, -0x1.4cb185434682cp-4, -0x1.5ec7a3b4a078dp-4, -0x1.71530389ab6f9p-4, -0x1.844ff4f822698p-4, -0x1.97ba11d685691p-4, -0x1.ab8c50a809cebp-4, -0x1.bfc11784e3021p-4, -0x1.d4524e9bad8ap-4, -0x1.e939721739a54p-4, -0x1.fe6fa34111578p-4, -0x1.09f6dc61c7038p-3, -0x1.14d626fc03f5bp-3, -0x1.1fd1e89a7e41fp-3, -0x1.2ae6488b340d8p-3, -0x1.360f645fd4ba1p-3, -0x1.4149558d06477p-3, -0x1.4c90368b277f5p-3, -0x1.57e0277cd1a05p-3, -0x1.633552601f871p-3, -0x1.6e8beed074a37p-3, -0x1.79e0455ea4bd6p-3, -0x1.852eb285bbaap-3, -0x1.9073a9429199cp-3, -0x1.9babb55454429p-3, -0x1.a6d37d2c1d523p-3, -0x1.b1e7c39168387p-3, -0x1.bce5690115481p-3, -0x1.c7c96ccc65521p-3, -0x1.d290edfd16e8ap-3, -0x1.dd392c038d5ecp-3, -0x1.e7bf87339ed47p-3, -0x1.f221811470f93p-3, -0x1.fc5cbc877d026p-3, -0x1.03377ee54df59p-2, -0x1.082b152c5c9afp-2, -0x1.0d082456474e7p-2, -0x1.11cdbff44d5c2p-2, -0x1.167b0bb39f93dp-2, -0x1.1b0f3b1ae8aeep-2, -0x1.1f89913e932a1p-2, -0x1.23e9606cfc7bp-2, -0x1.282e09d3b694bp-2, -0x1.2c56fd1ed26cp-2, -0x1.3063b8132e9c3p-2, -0x1.3453c624a531ep-2, -0x1.3826c008de85cp-2, -0x1.3bdc4b478f81p-2, -0x1.3f7419c8c8a9bp-2, -0x1.42ede961f0558p-2, -0x1.46498361fcaadp-2, -0x1.4986bc1d6743cp-2, -0x1.4ca5727a55975p-2, -0x1.4fa58f7d57ccfp-2, -0x1.528705d721cf7p-2, -0x1.5549d1738ce89p-2, -0x1.57edf70a2e6c5p-2, -0x1.5a7383b0c257cp-2, -0x1.5cda8c6fa5b3bp-2, -0x1.5f232dd889a2ap-2, -0x1.614d8b9f921dap-2, -0x1.6359d036fba5p-2, -0x1.65482c6d6a339p-2, -0x1.6718d70ef4ccdp-2, -0x1.68cc0c88ff3f1p-2, -0x1.6a620e90f5e3dp-2, -0x1.6bdb23cdeaecep-2, -0x1.6d37978525f62p-2, -0x1.6e77b9499c2d5p-2, -0x1.6f9bdcae596c5p-2, -0x1.70a458fbcfb7cp-2, -0x1.719188e80d911p-2, -0x1.7263ca51ca678p-2, -0x1.731b7dfe4531dp-2, -0x1.73b90759e71d2p-2, -0x1.743ccc3b9b5eap-2, -0x1.74a734aace136p-2, -0x1.74f8aaa804fdfp-2, -0x1.753199f7fde5ap-2, -0x1.75526ff14100cp-2, -0x1.755b9b4c1a375p-2, -0x1.754d8bf4e09d9p-2, -0x1.7528b2e07ef4cp-2, -0x1.74ed81e327341p-2, -0x1.749c6b891ea22p-2, -0x1.7435e2f190751p-2, -0x1.73ba5bab54f2ep-2, -0x1.732a49939632p-2, -0x1.728620b647ecbp-2, -0x1.71ce553055d0ap-2, -0x1.71035b13805fdp-2, -0x1.7025a64bd2661p-2, -0x1.6f35aa869ac71p-2, -0x1.6e33db1ae0176p-2, -0x1.6d20aaf33bf82p-2, -0x1.6bfc8c790a6a9p-2, -0x1.6ac7f180e2fe5p-2, -0x1.69834b384a425p-2, -0x1.682f0a148dd6dp-2, -0x1.66cb9dc2bc2b1p-2, -0x1.65597518ae3b7p-2, -0x1.63d8fe0710658p-2, -0x1.624aa58c63b8fp-2, -0x1.60aed7a8e942fp-2, -0x1.5f05ff5369b13p-2, -0x1.5d50866ed404ap-2, -0x1.5b8ed5c0a542ep-2, -0x1.59c154e80bf2dp-2, -0x1.57e86a55c5a2ep-2, -0x1.56047b44a7853p-2, -0x1.5415ebb2c873ep-2, -0x1.521d1e5b4b0c4p-2, -0x1.501a74b0b6492p-2, -0x1.4e0e4ed7ddee1p-2, -0x1.4bf90ba34e02bp-2, -0x1.49db088f3253cp-2, -0x1.47b4a1bdb91a3p-2, -0x1.458631f3e2b3dp-2, -0x1.43501296bfc08p-2, -0x1.41129ba91071cp-2, -0x1.3ece23c948205p-2, -0x1.3c83002fe9b9cp-2, -0x1.3a3184ae3bb2cp-2, -0x1.37da03ad49617p-2, -0x1.357cce2d3858dp-2, -0x1.331a33c4e02cap-2, -0x1.30b282a1ac18ap-2, -0x1.2e460787bc6dbp-2, -0x1.2bd50dd242ed7p-2, -0x1.295fdf741fcd1p-2, -0x1.26e6c4f8b0db1p-2, -0x1.246a0584d6bddp-2, -0x1.21e9e6d82d365p-2, -0x1.1f66ad4e6eedap-2, -0x1.1ce09be107703p-2, -0x1.1a57f428cef0ep-2, -0x1.17ccf65fecc06p-2, -0x1.153fe163e0785p-2, -0x1.12b0f2b7a9efdp-2, -0x1.1020668617e38p-2, -0x1.0d8e77a43101bp-2, -0x1.0afb5f93bd816p-2, -0x1.08675685eb8e2p-2, -0x1.05d2935e0a91bp-2, -0x1.033d4bb463f5ep-2, -0x1.00a7b3d928215p-2, -0x1.fc23fdaedcbacp-3, -0x1.f6f8bcf09b9c8p-3, -0x1.f1ce068c0e41bp-3, -0x1.eca4391e7a5a2p-3, -0x1.e77bb0d48568fp-3, -0x1.e254c770e55ddp-3, -0x1.dd2fd453337c9p-3, -0x1.d80d2c7eda88fp-3, -0x1.d2ed22a213e6fp-3, -0x1.cdd0071d07eap-3, -0x1.c8b62808f6f02p-3, -0x1.c39fd13f7f83cp-3, -0x1.be8d4c61e9c5p-3, -0x1.b97ee0e08e175p-3, -0x1.b474d40240352p-3, -0x1.af6f68ebcf5f8p-3, -0x1.aa6ee0a785ad2p-3, -0x1.a5737a2cc0db2p-3, -0x1.a07d72677faedp-3, -0x1.9b8d044009ba4p-3, -0x1.96a268a28f374p-3, -0x1.91bdd686d1ad1p-3, -0x1.8cdf82f7d1ddep-3, -0x1.8807a11b7e953p-3, -0x1.8336623a61b3cp-3, -0x1.7e6bf5c753645p-3, -0x1.79a889672564dp-3, -0x1.74ec48f850f4p-3, -0x1.70375e9aa2fc5p-3, -0x1.6b89f2b6e135p-3, -0x1.66e42c066ca0ap-3, -0x1.62462f9add00ep-3, -0x1.5db020e59b6a7p-3, -0x1.592221bf6ec51p-3, -0x1.549c527004c76p-3, -0x1.501ed1b573e93p-3, -0x1.4ba9bccbb1053p-3, -0x1.473d2f73fd1p-3, -0x1.42d943fc47601p-3, -0x1.3e7e13468aae3p-3, -0x1.3a2bb4d014192p-3, -0x1.35e23eb8c7849p-3, -0x1.31a1c5ca54246p-3, -0x1.2d6a5d7f5bd49p-3, -0x1.293c180a8a9d4p-3, -0x1.2517065da80dcp-3, -0x1.20fb38308e345p-3, -0x1.1ce8bc081d116p-3, -0x1.18df9f3d172bdp-3, -0x1.14dfee02f4787p-3, -0x1.10e9b36e9d81dp-3, -0x1.0cfcf97d1ea4dp-3, -0x1.0919c91a446f4p-3, -0x1.05402a272828bp-3, -0x1.01702380ae48cp-3, -0x1.fb53760bdddf6p-4, -0x1.f3d9eb3d1ed64p-4, -0x1.ec73ae820efecp-4, -0x1.e520c5f1adb76p-4, -0x1.dde135d9475fep-4, -0x1.d6b500c898209p-4, -0x1.cf9c279dc0f4dp-4, -0x1.c896a991127cep-4, -0x1.c1a48440bd6c1p-4, -0x1.bac5b3bc56fbfp-4, -0x1.b3fa32902a5b7p-4, -0x1.ad41f9d076c36p-4, -0x1.a69d01247702cp-4, -0x1.a00b3ed144184p-4, -0x1.998ca7c497418p-4, -0x1.93212f9f579c2p-4, -0x1.8cc8c8c009ep-4, -0x1.8683644d12886p-4, -0x1.8050f23ecf86dp-4, -0x1.7a3161698bf6dp-4, -0x1.74249f87493e2p-4, -0x1.6e2a9941606b4p-4, -0x1.68433a39fa3c9p-4, -0x1.626e6d155f0bp-4, -0x1.5cac1b831f4cbp-4, -0x1.56fc2e4711df4p-4, -0x1.515e8d422abcbp-4, -0x1.4bd31f7b2b296p-4, -0x1.4659cb27269b7p-4, -0x1.40f275b1e2b06p-4, -0x1.3b9d03c60cbd1p-4, -0x1.365959554ac68p-4, -0x1.312759a022143p-4, -0x1.2c06e73db877dp-4, -0x1.26f7e4236e593p-4, -0x1.21fa31ac50a64p-4, -0x1.1d0db0a0670dp-4, -0x1.1832413bd829p-4, -0x1.1367c335ebeb5p-4, -0x1.0eae15c7e3f54p-4, -0x1.0a0517b3b1a6ap-4, -0x1.056ca74a86b21p-4, -0x1.00e4a2733efe6p-4, -0x1.f8d9cd6150186p-5, -0x1.f00aa24f46d4cp-5, -0x1.e75b7d4a4a343p-5, -0x1.decc17481de0cp-5, -0x1.d65c28a5d137dp-5, -0x1.ce0b6932ea04dp-5, -0x1.c5d9903c48ddbp-5, -0x1.bdc65496cc0e3p-5, -0x1.b5d16ca9ade6fp-5, -0x1.adfa8e789fd8cp-5, -0x1.a6416fada586fp-5, -0x1.9ea5c5a2adp-5, -0x1.9727456ae7a0ep-5, -0x1.8fc5a3dbe5667p-5, -0x1.888095966e18ap-5, -0x1.8157cf0f1fb42p-5, -0x1.7a4b0496ce32fp-5, -0x1.7359ea62aa554p-5, -0x1.6c84349426f94p-5, -0x1.65c99740ac226p-5, -0x1.5f29c6790c6ddp-5, -0x1.58a47650beb74p-5, -0x1.52395ae4e512cp-5, -0x1.4be828631c89cp-5, -0x1.45b0931014e63p-5, -0x1.3f924f4df19adp-5, -0x1.398d11a27c39ap-5, -0x1.33a08ebd1c82bp-5, -0x1.2dcc7b7ca25b6p-5, -0x1.28108cf4de294p-5, -0x1.226c787407372p-5, -0x1.1cdff387ef156p-5, -0x1.176ab4030ac1dp-5, -0x1.120c70014c4fap-5, -0x1.0cc4ddeccd69fp-5, -0x1.0793b4824ee94p-5, -0x1.0278aad58b06p-5, -0x1.fae6f0aabc0c8p-6, -0x1.f107a99f8a1a2p-6, -0x1.e752f0eb65622p-6, -0x1.ddc837bd79be8p-6, -0x1.d466f01941be3p-6, -0x1.cb2e8cdd41459p-6, -0x1.c21e81c97a84ap-6, -0x1.b936438593693p-6, -0x1.b07547a6b5663p-6, -0x1.a7db04b52088p-6, -0x1.9f66f2317fe76p-6, -0x1.97188899f4edfp-6, -0x1.8eef416ee3f96p-6, -0x1.86ea973783c66p-6, -0x1.7f0a05861ca3p-6, -0x1.774d08fc21a18p-6, -0x1.6fb31f4df7762p-6, -0x1.683bc7468e4bbp-6, -0x1.60e680cac1e46p-6, -0x1.59b2ccdc762cbp-6, -0x1.52a02d9d8c66bp-6, -0x1.4bae26529141ep-6, -0x1.44dc3b654b498p-6, -0x1.3e29f267072cdp-6, -0x1.3796d212b9ceap-6, -0x1.3122624ef1135p-6, -0x1.2acc2c2f95888p-6, -0x1.2493b9f77e4fep-6, -0x1.1e789719dad12p-6, -0x1.187a503b6d466p-6, -0x1.12987333a7ba7p-6, -0x1.0cd28f0d90077p-6, -0x1.0728340886fbbp-6, -0x1.0198f398e545ap-6, -0x1.f848c0d0f002fp-7, -0x1.ed941cadae8d9p-7, -0x1.e31324f3303d8p-7, -0x1.d8c50638bf084p-7, -0x1.cea8ef81a7385p-7, -0x1.c4be123cd6514p-7, -0x1.bb03a2444ceaap-7, -0x1.b178d5dc45f3dp-7, -0x1.a81ce5b225abep-7, -0x1.9eef0cdb49a39p-7, -0x1.95ee88d37d446p-7, -0x1.8d1a997b55025p-7, -0x1.847281165c84bp-7, -0x1.7bf58448fe706p-7, -0x1.73a2ea16587e1p-7, -0x1.6b79fbddd30c3p-7, -0x1.637a05588fe04p-7, -0x1.5ba25496b721bp-7, -0x1.53f239fc9e549p-7, -0x1.4c69083fbb41ap-7, -0x1.4506146388cbfp-7, -0x1.3dc8b5b63d9c5p-7, -0x1.36b045cd624aep-7, -0x1.2fbc208246e17p-7, -0x1.28eba3ee6028fp-7, -0x1.223e306788416p-7, -0x1.1bb3287c1ffaep-7, -0x1.1549f0ef178e3p-7, -0x1.0f01f0b3e869bp-7, -0x1.08da90ea62cd9p-7, -0x1.02d33cda7c404p-7, -0x1.f9d6c3dffc209p-8, -0x1.ee44df6c3ffb8p-8, -0x1.e2efafa626d25p-8, -0x1.d7d61c06f6bbfp-8, -0x1.ccf7102bb8e73p-8, -0x1.c2517bcbde88bp-8, -0x1.b7e452afde2f4p-8, -0x1.adae8ca7b071bp-8, -0x1.a3af258137c8p-8, -0x1.99e51cfe9390dp-8, -0x1.904f76cc53d81p-8, -0x1.86ed3a77abb56p-8, -0x1.7dbd73647a022p-8, -0x1.74bf30c36653bp-8, -0x1.6bf18587cd435p-8, -0x1.6353885db0a74p-8, -0x1.5ae4539f9e81dp-8, -0x1.52a3054c8dce5p-8, -0x1.4a8ebefdb564ep-8, -0x1.42a6a5dc50da6p-8, -0x1.3ae9e297768c6p-8, -0x1.3357a159cd05ap-8, -0x1.2bef11bf5bf8fp-8, -0x1.24af66cb3e8d5p-8, -0x1.1d97d6dd7c825p-8, -0x1.16a79ba8ba3bcp-8, -0x1.0fddf2280c8cdp-8, -0x1.093a1a94b4065p-8, -0x1.02bb585bf8137p-8, -0x1.f8c1e429e8963p-9, -0x1.ec5462ecd3662p-9, -0x1.e02cc69969338p-9, -0x1.d449aedf40331p-9, -0x1.c8a9c170c958cp-9, -0x1.bd4ba9ef4d7ffp-9, -0x1.b22e19d6ebb33p-9, -0x1.a74fc86ab54a8p-9, -0x1.9caf72a101c4cp-9, -0x1.924bdb0fa31aep-9, -0x1.8823c9d884789p-9, -0x1.7e360c960a788p-9, -0x1.74817647d704cp-9, -0x1.6b04df3f8795fp-9, -0x1.61bf250d9e3b8p-9, -0x1.58af2a6e7af6dp-9, -0x1.4fd3d73796644p-9, -0x1.472c1844c7a62p-9, -0x1.3eb6df65a9d61p-9, -0x1.3673234b44746p-9, -0x1.2e5fdf75b0769p-9, -0x1.267c1421ee4fdp-9, -0x1.1ec6c637fb067p-9, -0x1.173eff38e789fp-9, -0x1.0fe3cd2d3d286p-9, -0x1.08b4429361745p-9, -0x1.01af764e46b9dp-9, -0x1.f5a9072873738p-10, -0x1.e84513bb9b968p-10, -0x1.db3159a9f86f3p-10, -0x1.ce6c2888cf3b2p-10, -0x1.c1f3d80da75eep-10, -0x1.b5c6c7ed89d26p-10, -0x1.a9e35fbc877bep-10, -0x1.9e480ecdce881p-10, -0x1.92f34c13c202ap-10, -0x1.87e396008566ep-10, -0x1.7d17726728105p-10, -0x1.728d6e5cb005ap-10, -0x1.68441e19e9cacp-10, -0x1.5e3a1cdd4d989p-10, -0x1.546e0ccd5f4c8p-10, -0x1.4ade96db4a056p-10, -0x1.418a6aa621418p-10, -0x1.38703e5e05d71p-10, -0x1.2f8ecea7f3cf5p-10, -0x1.26e4de81d8508p-10, -0x1.1e713726f2f6cp-10, -0x1.1632a7f4a5844p-10, -0x1.0e28064f93812p-10, -0x1.06502d891d0e8p-10, -0x1.fd53fd8a4a8afp-11, -0x1.ee68c1c090c6fp-11, -0x1.dfdc80ac6ce29p-11, -0x1.d1ad1e517b1c5p-11, -0x1.c3d8898d8f033p-11, -0x1.b65cbbe7e8bbp-11, -0x1.a937b960cf223p-11, -0x1.9c679041f4da6p-11, -0x1.8fea58ef92232p-11, -0x1.83be35ba417cp-11, -0x1.77e152b0eef83p-11, -0x1.6c51e5742d608p-11, -0x1.610e2d09a4c88p-11, -0x1.561471b095a87p-11, -0x1.4b6304b68f881p-11, -0x1.40f8404d2129ap-11, -0x1.36d287601bf95p-11, -0x1.2cf0456c335c1p-11, -0x1.234fee56c0f43p-11, -0x1.19effe4591747p-11, -0x1.10cef977afad5p-11, -0x1.07eb6c1e9e9e7p-11, -0x1.fe87d47031ab6p-12, -0x1.edae1ed14c5bcp-12, -0x1.dd46fdad88bd3p-12, -0x1.cd4fc60c85c66p-12, -0x1.bdc5db69abb65p-12, -0x1.aea6af6d09c61p-12, -0x1.9fefc1a67f1fdp-12, -0x1.919e9f49546c8p-12, -0x1.83b0e2e8fcd1cp-12, -0x1.762434376d9bcp-12, -0x1.68f647c3f5cfp-12, -0x1.5c24debb7bc2bp-12, -0x1.4fadc6a96f537p-12, -0x1.438ed93a6d554p-12, -0x1.37c5fbff47e69p-12, -0x1.2c512031b61a2p-12, -0x1.212e427939acp-12, -0x1.165b6ab1799c8p-12, -0x1.0bd6abb176c3fp-12, -0x1.019e2314217c7p-12, -0x1.ef5ff202f5cecp-13, -0x1.dc14bff0e968p-13, -0x1.c9572934c6234p-13, -0x1.b723baedf563ap-13, -0x1.a57715b1937a9p-13, -0x1.944ded2731f3p-13, -0x1.83a507a6823f9p-13, -0x1.73793dd57ae78p-13, -0x1.63c77a49bddf1p-13, -0x1.548cb92aee76ap-13, -0x1.45c607d7889ap-13, -0x1.3770848a3d5e6p-13, -0x1.29895e0211ba1p-13, -0x1.1c0dd32b444bdp-13, -0x1.0efb32ca1a6bap-13, -0x1.024edb27350c6p-13, -0x1.ec0c737a41bbp-14, -0x1.d43d95d10584ap-14, -0x1.bd2c33305f244p-14, -0x1.a6d37dfff6664p-14, -0x1.912ec4988a70ep-14, -0x1.7c3970ae73cc3p-14, -0x1.67ef06bf2406cp-14, -0x1.544b2580e4ea3p-14, -0x1.4149855595d5cp-14, -0x1.2ee5f7c0cc507p-14, -0x1.1d1c66df1082cp-14, -0x1.0be8d4e120d55p-14, -0x1.f68eb7100c565p-15, -0x1.d668574b64134p-15, -0x1.b757193fd11ebp-15, -0x1.9953b7e687a4p-15, -0x1.7c5719770d8fcp-15, -0x1.605a4e794b324p-15, -0x1.455690dc6b59p-15, -0x1.2b4543119ff69p-15, -0x1.121fef3080acbp-15, -0x1.f3c08c2e26957p-16, -0x1.c5003d2f08315p-16, -0x1.97f2e943a5552p-16, -0x1.6c8cd0eeaf46bp-16, -0x1.42c27bc0bf63p-16, -0x1.1a88b6c8cfd8ep-16, -0x1.e7a9262862007p-17, -0x1.9d36c860c5d57p-17, -0x1.55a57d691c8d9p-17, -0x1.10e0edaa9ea51p-17, -0x1.9daa7bf6f0491p-18, -0x1.1ede19bd8ab05p-18, -0x1.4a6dbf6754415p-19, -0x1.847f0ce0d4518p-21, 0x1.f9d749287c5eap-21, 0x1.5499555e4a086p-19, 0x1.10c7b37dfb2dbp-18, 0x1.72cd7f54fb256p-18, 0x1.d07eb9f3568c9p-18, 0x1.14fda1df9d58cp-17, 0x1.3fb11b2599a6p-17, 0x1.6868f465a36e5p-17, 0x1.8f33fa3a55066p-17, 0x1.b4209c60325a2p-17, 0x1.d73cefd295075p-17, 0x1.f896b0d02b75p-17, 0x1.0c1da2704ecfcp-16, 0x1.1b1bde60dbe21p-16, 0x1.294c6b30cea84p-16, 0x1.36b57f58c1f3cp-16, 0x1.435d29c29dca8p-16, 0x1.4f4952af32f14p-16, 0x1.5a7fbc97586c1p-16, 0x1.65060509e2abcp-16, 0x1.6ee1a5819a229p-16, 0x1.7817f43847543p-16, 0x1.80ae24f940cc6p-16, 0x1.88a949e7df53bp-16, 0x1.900e544a610cbp-16, 0x1.96e215447fb66p-16, 0x1.9d293e9d4206ep-16, 0x1.a2e8637076dep-16, 0x1.a823f8eaf5637p-16, 0x1.ace056f754497p-16, 0x1.b121b8eda0792p-16, 0x1.b4ec3e3d46a3ep-16, 0x1.b843eb14bdcf1p-16, 0x1.bb2ca900dfda6p-16, 0x1.bdaa478e65a98p-16, 0x1.bfc07ce3497c7p-16, 0x1.c172e659ab81ep-16, 0x1.c2c509125824ep-16, 0x1.c3ba52859bd79p-16, 0x1.c45619145647ep-16, 0x1.c49b9c917e1c3p-16, 0x1.c48e06ca0d8ffp-16, 0x1.c4306c089b8a4p-16, 0x1.c385cb997ce42p-16, 0x1.c2911048e9bd7p-16, 0x1.c15510def45fap-16, 0x1.bfd4909bef181p-16, 0x1.be123faaea5d9p-16, 0x1.bc10bb9a31119p-16, 0x1.b9d28fc88dfa3p-16, 0x1.b75a35d8423e7p-16, 0x1.b4aa161755f1p-16, 0x1.b1c487ecebf48p-16, 0x1.aeabd240585aep-16, 0x1.ab622bdda2b8ep-16, 0x1.a7e9bbd995e7p-16, 0x1.a44499f16474cp-16, 0x1.a074cee998f6cp-16, 0x1.9c7c54ea701fcp-16, 0x1.985d17db19d2fp-16, 0x1.9418f5b8668e3p-16, 0x1.8fb1beed9c125p-16, 0x1.8b2936a7601c9p-16, 0x1.8681132544351p-16, 0x1.81bafe0c7d3fbp-16, 0x1.7cd894b3017e2p-16, 0x1.77db6870556adp-16, 0x1.72c4fee5ce58ap-16, 0x1.6d96d24945181p-16, 0x1.685251ad0b7d5p-16, 0x1.62f8e144e10b9p-16, 0x1.5d8bdaac0894p-16, 0x1.580c8d25ea12dp-16, 0x1.527c3de17998fp-16, 0x1.4cdc2837f7187p-16, 0x1.472d7dea7ed47p-16, 0x1.41716761b921ap-16, 0x1.3ba903e6dc38ep-16, 0x1.35d569de8eaabp-16, 0x1.2ff7a701d89f1p-16, 0x1.2a10c09540b63p-16, 0x1.2421b39f2207dp-16, 0x1.1e2b751b6d5e4p-16, 0x1.182ef2314041dp-16, 0x1.122d10642c187p-16, 0x1.0c26adc5c6c4bp-16, 0x1.061ca125f702ap-16, 0x1.000fba41f82fap-16, 0x1.f40183e3e008bp-17, 0x1.e7e0f4abe4107p-17, 0x1.dbbf3e02773a8p-17, 0x1.cf9dca4c3b691p-17, 0x1.c37df77eee6d3p-17, 0x1.b76117701a724p-17, 0x1.ab487028b4dcfp-17, 0x1.9f353c30ca41bp-17, 0x1.9328aadbd2f8ep-17, 0x1.8723e090ed197p-17, 0x1.7b27f7173f761p-17, 0x1.6f35fdd77f2e7p-17, 0x1.634efa25a1cdcp-17, 0x1.5773e78271451p-17, 0x1.4ba5b7dc6801bp-17, 0x1.3fe553d1d26d1p-17, 0x1.34339aedb79cap-17, 0x1.289163e727efbp-17, 0x1.1cff7cda87605p-17, 0x1.117eab84fd566p-17, 0x1.060fad7e58bd8p-17, 0x1.f56670deace83p-18, 0x1.ded3f490b77b3p-18, 0x1.c86932ecd9cfp-18, 0x1.b2276a30038dep-18, 0x1.9c0fca5a34e8dp-18, 0x1.86237595c922ep-18, 0x1.7063809434f79p-18, 0x1.5ad0f2ed32248p-18, 0x1.456cc77ca9926p-18, 0x1.3037ecb73d65dp-18, 0x1.1b334506a96fbp-18, 0x1.065fa71dc6a32p-18, 0x1.e37bbc94cd2c4p-19, 0x1.ba9d558d0faa7p-19, 0x1.9225840f5af7dp-19, 0x1.6a159e1fc1083p-19, 0x1.426ee56655847p-19, 0x1.1b3287c5fed39p-19, 0x1.e8c33fe89517ep-20, 0x1.9bfa6bfa2e392p-20, 0x1.500c7f9bdc25cp-20, 0x1.04fb437e2cd8cp-20, 0x1.7590bc3f8ae31p-21, 0x1.c5d553522afd6p-22, 0x1.481c65f7d6a55p-23, -0x1.e8bb44edcb2d3p-24, -0x1.94dd1b367436dp-22, -0x1.55fc414e5f453p-21, -0x1.dfbea897e3dfdp-21, -0x1.33da0fec26bcap-20, -0x1.76ed9c924b3f5p-20, -0x1.b9195d4ac339fp-20, -0x1.fa5cce64cdd0ap-20, -0x1.1d5bc254066b3p-19, -0x1.3d14964d5223p-19, -0x1.5c58c4d8dc1f8p-19, -0x1.7b283ad71d4d7p-19, -0x1.9982efe8efbb2p-19, -0x1.b768e61ea12bcp-19, -0x1.d4da29a2c958fp-19, -0x1.f1d6d06386567p-19, -0x1.072f7ce11e54ep-18, -0x1.15396723796fap-18, -0x1.23093fa7615a7p-18, -0x1.309f235f5b383p-18, -0x1.3dfb335ebb008p-18, -0x1.4b1d94b69776ep-18, -0x1.580670522d703p-18, -0x1.64b5f2d1cf47ep-18, -0x1.712c4c6abb49p-18, -0x1.7d69b0c9d9264p-18, -0x1.896e56f0b89b2p-18, -0x1.953a79182562bp-18, -0x1.a0ce5491e473p-18, -0x1.ac2a29aacadc4p-18, -0x1.b74e3b8cb25b4p-18, -0x1.c23ad026315fdp-18, -0x1.ccf0300c205d1p-18, -0x1.d76ea660c245fp-18, -0x1.e1b680b9504a4p-18, -0x1.ebc80f06974b3p-18, -0x1.f5a3a377cd3fbp-18, -0x1.ff4992674afd6p-18, -0x1.045d1920c6e59p-17, -0x1.08faedb74bfbdp-17, -0x1.0d7e741e96821p-17, -0x1.11e7da651a51ap-17, -0x1.16374f76181fcp-17, -0x1.1a6d031131f5cp-17, -0x1.1e8925bebfd3cp-17, -0x1.228be8c66d4a6p-17, -0x1.26757e2652275p-17, -0x1.2a461889ba6d9p-17, -0x1.2dfdeb3f31394p-17, -0x1.319d2a31090fdp-17, -0x1.352409dbd90c5p-17, -0x1.3892bf46bd208p-17, -0x1.3be97ffb43e73p-17, -0x1.3f2881fe19d3fp-17, -0x1.424ffbc65e8c2p-17, -0x1.45602436c76aep-17, -0x1.485932966988p-17, -0x1.4b3b5e89c8a2dp-17, -0x1.4e06e00c187d1p-17, -0x1.50bbef68c1cd1p-17, -0x1.535ac533dd269p-17, -0x1.55e39a44b9759p-17, -0x1.5856a7afe5f52p-17, -0x1.5ab426c0c823p-17, -0x1.5cfc50f411a7ap-17, -0x1.5f2f5ff30cf9ap-17, -0x1.614d8d8c31edbp-17, -0x1.635713af7732ep-17, -0x1.654c2c69132b9p-17, -0x1.672d11db19a93p-17, -0x1.68f9fe39f8a4fp-17, -0x1.6ab32bc78e1f8p-17, -0x1.6c58d4ce90265p-17, -0x1.6deb339e6de73p-17, -0x1.6f6a8285db365p-17, -0x1.70d6fbcf55eccp-17, -0x1.7230d9bd54ce3p-17, -0x1.737856868eef8p-17, -0x1.74adac5156c2ep-17, -0x1.75d11530bc8c9p-17, -0x1.76e2cb20007e1p-17, -0x1.77e307ff8b5f7p-17, -0x1.78d20591dbb0dp-17, -0x1.79affd7822178p-17, -0x1.7a7d292f37253p-17, -0x1.7b39c20c99c4ep-17, -0x1.7be6013ab24dep-17, -0x1.7c821fb76d1c1p-17, -0x1.7d0e564fcc603p-17, -0x1.7d8add9e2f21cp-17, -0x1.7df7ee076549ap-17, -0x1.7e55bfb891c2fp-17, -0x1.7ea48aa5c683cp-17, -0x1.7ee48685f40a6p-17, -0x1.7f15ead08ef65p-17, -0x1.7f38eebc48e46p-17, -0x1.7f4dc93d4795fp-17, -0x1.7f54b1031e20dp-17, -0x1.7f4ddc75524dp-17, -0x1.7f3981b3698d9p-17, -0x1.7f17d6920a03ap-17, -0x1.7ee910993769bp-17, -0x1.7ead65034cc9ap-17, -0x1.7e6508baffc29p-17, -0x1.7e10305a1ad5ap-17, -0x1.7daf1028151c5p-17, -0x1.7d41dc1874ac1p-17, -0x1.7cc8c7c9521f8p-17, -0x1.7c4406825af1dp-17, -0x1.7bb3cb3356791p-17, -0x1.7b184873227dbp-17, -0x1.7a71b07e5f1e1p-17, -0x1.79c03537b6dd2p-17, -0x1.79040825d20e1p-17, -0x1.783d5a7199839p-17, -0x1.776c5ce5d601p-17, -0x1.76913feef3b36p-17, -0x1.75ac339a5de69p-17, -0x1.74bd6794b1da4p-17, -0x1.73c50b2941607p-17, -0x1.72c34d41d374bp-17, -0x1.71b85c660896ap-17, -0x1.70a466ba2ab53p-17, -0x1.6f8799ff82357p-17, -0x1.6e6223925efc6p-17, -0x1.6d34306ba06d5p-17, -0x1.6bfded1f2918cp-17, -0x1.6abf85db4d2ddp-17, -0x1.6979266894825p-17, -0x1.682afa29c3381p-17, -0x1.66d52c1ae7a02p-17, -0x1.6577e6d1c1fdcp-17, -0x1.6413547d2a52dp-17, -0x1.62a79ee54a04bp-17, -0x1.6134ef6bba205p-17, -0x1.5fbb6f0a011f7p-17, -0x1.5e3b465206338p-17, -0x1.5cb49d6e40d44p-17, -0x1.5b279c224a4e8p-17, -0x1.599469c9eba6ep-17, -0x1.57fb2d5929216p-17, -0x1.565c0d5c256e8p-17, -0x1.54b72ff7e71bap-17, -0x1.530cbae9a8c0bp-17, -0x1.515cd387e67f2p-17, -0x1.4fa79ec0ea30ap-17, -0x1.4ded411c32aeap-17, -0x1.4c2ddebad2816p-17, -0x1.4a699b570515dp-17, -0x1.48a09a43e6402p-17, -0x1.46d2fe6e740e2p-17, -0x1.4500ea5ddc066p-17, -0x1.432a803291b0ap-17, -0x1.414fe1a83e575p-17, -0x1.3f713014d1f17p-17, -0x1.3d8e8c69ba476p-17, -0x1.3ba817339eed8p-17, -0x1.39bdf09a75023p-17, -0x1.37d0386247366p-17, -0x1.35df0deb42c5ap-17, -0x1.33ea9032b9928p-17, -0x1.31f2ddd359c7ap-17, -0x1.2ff8150507f06p-17, -0x1.2dfa539d4b342p-17, -0x1.2bf9b71094309p-17, -0x1.29f65c71a411dp-17, -0x1.27f0607321f7bp-17, -0x1.25e7df66ccbb2p-17, -0x1.23dcf53ebe534p-17, -0x1.21cfbd8e12249p-17, -0x1.1fc05389858bdp-17, -0x1.1daed2070a7c9p-17, -0x1.1b9b537e85722p-17, -0x1.1985f20b4ff45p-17, -0x1.176ec76b8428bp-17, -0x1.1555ed01935fp-17, -0x1.133b7bd3db225p-17, -0x1.111f8c8e51d24p-17, -0x1.0f023782665adp-17, -0x1.0ce394a6ea4c8p-17, -0x1.0ac3bb99f10b6p-17, -0x1.08a2c3a094b88p-17, -0x1.0680c3a7e2d51p-17, -0x1.045dd2455045ep-17, -0x1.023a05b7e4135p-17, -0x1.001573e7aa52bp-17, -0x1.fbe064cdfca26p-18, -0x1.f794ace6d30c8p-18, -0x1.f347e9eb68dfep-18, -0x1.eefa4506ba8cp-18, -0x1.eaabe6bb38208p-18, -0x1.e65cf6e6bf542p-18, -0x1.e20d9cc40fa06p-18, -0x1.ddbdfeec1f3b1p-18, -0x1.d96e4355747d8p-18, -0x1.d51e8f55b920cp-18, -0x1.d0cf07a515bdfp-18, -0x1.cc7fd05d84012p-18, -0x1.c8310cfd49a1ep-18, -0x1.c3e2e067d8579p-18, -0x1.bf956ce7138cdp-18, -0x1.bb48d42d5bccdp-18, -0x1.b6fd37555f342p-18, -0x1.b2b2b6e3a202cp-18, -0x1.ae6972c978b0ep-18, -0x1.aa218a64d9872p-18, -0x1.a5db1c8219ef6p-18, -0x1.a196475de5feep-18, -0x1.9d5328a61cab3p-18, -0x1.9911dd79bb09bp-18, -0x1.94d2826c81062p-18, -0x1.909533873927bp-18, -0x1.8c5a0c48c5c6p-18, -0x1.882127a8ac25dp-18, -0x1.83eaa015b4418p-18, -0x1.7fb68f79a692fp-18, -0x1.7b850f3a671e9p-18, -0x1.7756383c1c8bfp-18, -0x1.732a22e01f7b4p-18, -0x1.6f00e706e2c88p-18, -0x1.6ada9c12ae81p-18, -0x1.66b758e7df028p-18, -0x1.629733ee84527p-18, -0x1.5e7a43140f948p-18, }}, 
      {{-0x1.88da977f95022p-2, -0x1.890ac036dee59p-2, -0x1.89597780c504ap-2, -0x1.89c5b3d33e052p-2, -0x1.8a4f82b6785b9p-2, -0x1.8af866d293a97p-2, -0x1.8bc35416022c9p-2, -0x1.8cb466e521d3cp-2, -0x1.8dd07497ec977p-2, -0x1.8f1c8ddc0a548p-2, -0x1.909d8473dac05p-2, -0x1.92577f749f57cp-2, -0x1.944da42986912p-2, -0x1.9681d61599d5cp-2, -0x1.98f48dfeeb5aap-2, -0x1.9ba4c6413dacbp-2, -0x1.9e8ff9aa62692p-2, -0x1.a1b231aa21f19p-2, -0x1.a506208548b23p-2, -0x1.a8854460c1d85p-2, -0x1.ac2810461bf85p-2, -0x1.afe618a4312cfp-2, -0x1.b3b64137aca7dp-2, -0x1.b78eeaae9b60dp-2, -0x1.bb661eba92a7bp-2, -0x1.bf31b99ad0d5fp-2, -0x1.c2e79071bba25p-2, -0x1.c67d93f714457p-2, -0x1.c9e9ef4a9ae3p-2, -0x1.cd2322d2e28f5p-2, -0x1.d0201b32e3395p-2, -0x1.d2d84477cef01p-2, -0x1.d54399b12e8d1p-2, -0x1.d75ab1305f6a1p-2, -0x1.d916c5b376e0dp-2, -0x1.da71bcc308bc2p-2, -0x1.db662a8b50cc3p-2, -0x1.dbef53784671dp-2, -0x1.dc092bd9cd048p-2, -0x1.dbb055d1e1637p-2, -0x1.dae21dcaae5e2p-2, -0x1.d99c75ae27732p-2, -0x1.d7ddef14281a5p-2, -0x1.d5a5b497a4ed7p-2, -0x1.d2f3827ed8167p-2, -0x1.cfc79ede10258p-2, -0x1.cc22d15885488p-2, -0x1.c8065a9eb6e86p-2, -0x1.c373ebc60ec23p-2, -0x1.be6d9d92273c2p-2, -0x1.b8f5e7c4d0664p-2, -0x1.b30f98870bc95p-2, -0x1.acbdcbfa8433cp-2, -0x1.a603e40094703p-2, -0x1.9ee58041b804ep-2, -0x1.9766767e4675p-2, -0x1.8f8acb2f7e0ddp-2, -0x1.8756aa7e5a8c1p-2, -0x1.7ece619438c93p-2, -0x1.75f65847ffa58p-2, -0x1.6cd30b2979adp-2, -0x1.636905eb7ceb1p-2, -0x1.59bcde2cb0faap-2, -0x1.4fd32e9e04853p-2, -0x1.45b09285465adp-2, -0x1.3b59a199c6819p-2, -0x1.30d2ec387edffp-2, -0x1.2620f7ece2d6bp-2, -0x1.1b483c4b2512p-2, -0x1.104d201899835p-2, -0x1.0533f6be9ef66p-2, -0x1.f401fc08cd2dcp-3, -0x1.dd70b817c6da9p-3, -0x1.c6bc3b1c2ad38p-3, -0x1.afec68a5e7b54p-3, -0x1.9908ebc27f23cp-3, -0x1.821934c50adadp-3, -0x1.6b24776f9e5a2p-3, -0x1.5431a976e23acp-3, -0x1.3d47815945c63p-3, -0x1.266c758335df7p-3, -0x1.0fa6bbba21272p-3, -0x1.f1f891909be7bp-4, -0x1.c4e5a0c7b10cap-4, -0x1.981f8a96def1dp-4, -0x1.6bb0b327864e3p-4, -0x1.3fa2fe418bb71p-4, -0x1.13ffd08c9f247p-4, -0x1.d1a0222f6f449p-5, -0x1.7c38563dd66d4p-5, -0x1.27d8201089da7p-5, -0x1.a91ce64309bd7p-6, -0x1.04d2b08c97e43p-6, -0x1.8baf952c5282ap-8, 0x1.e3f7b16256daep-9, 0x1.b2ae256097a6ep-7, 0x1.73874c2308e45p-6, 0x1.057e0f06c473p-5, 0x1.4fd1cc0342c0cp-5, 0x1.98b6a8f9118a4p-5, 0x1.e025301391e1p-5, 0x1.130b51e128032p-4, 0x1.35427c60a0333p-4, 0x1.56b568117088fp-4, 0x1.7761b8b02211ap-4, 0x1.9745623952acep-4, 0x1.b65ea5fcdd3cfp-4, 0x1.d4ac0fb8c2c47p-4, 0x1.f22c72bd19e5ep-4, 0x1.076f738d08592p-3, 0x1.1561636c76151p-3, 0x1.22ebd5a0726dcp-3, 0x1.300eb51439d7cp-3, 0x1.3cca09a9e20d6p-3, 0x1.491df6f051d2ep-3, 0x1.550abae034fa3p-3, 0x1.6090aca01358cp-3, 0x1.6bb03b4fa5f52p-3, 0x1.7669ecda822bep-3, 0x1.80be5cd22fe8p-3, 0x1.8aae3b4fa84b4p-3, 0x1.943a4bdc54867p-3, 0x1.9d63646270bc3p-3, 0x1.a62a6c24eb8e2p-3, 0x1.ae905abe9ac1p-3, 0x1.b6963728d5acep-3, 0x1.be3d16c9497eap-3, 0x1.c5861c87082cap-3, 0x1.cc7277e6bb3edp-3, 0x1.d303642ddd64bp-3, 0x1.d93a278ce073fp-3, 0x1.df18125038c81p-3, 0x1.e49e7e181afdap-3, 0x1.e9cecd16e33cfp-3, 0x1.eeaa695602057p-3, 0x1.f332c40152519p-3, 0x1.f76954b8bb2dcp-3, 0x1.fb4f98e8033dap-3, 0x1.fee71324b4c4ep-3, 0x1.0118a548f7f23p-2, 0x1.0297e5250c498p-2, 0x1.03f210671a2bcp-2, 0x1.0527efbd7315ep-2, 0x1.063a4d016e47p-2, 0x1.0729f2f751d7p-2, 0x1.07f7ad10d5395p-2, 0x1.08a4473237754p-2, 0x1.09308d79d4d79p-2, 0x1.099d4c0a2e0bap-2, 0x1.09eb4ed651a7p-2, 0x1.0a1b61709d294p-2, 0x1.0a2e4edbbe91bp-2, 0x1.0a24e15df5382p-2, 0x1.09ffe25674727p-2, 0x1.09c01a14e7952p-2, 0x1.09664fb2ff1f9p-2, 0x1.08f348f0007a3p-2, 0x1.0867ca0e44ed6p-2, 0x1.07c495b2a136fp-2, 0x1.070a6cc59d1f7p-2, 0x1.063a0e567e20cp-2, 0x1.0554378005758p-2, 0x1.0459a34ee5859p-2, 0x1.034b0aa9d4bd7p-2, 0x1.0229243b3c7e1p-2, 0x1.00f4a45c6b84cp-2, 0x1.ff5c7a049b1a4p-3, 0x1.fcad3b571d55bp-3, 0x1.f9dce6a04f703p-3, 0x1.f6ecd0a48aa92p-3, 0x1.f3de48e0f6c56p-3, 0x1.f0b29972794f7p-3, 0x1.ed6b06ff19c2ep-3, 0x1.ea08d0a1ba188p-3, 0x1.e68d2fd817615p-3, 0x1.e2f95872f72cbp-3, 0x1.df4e788871e47p-3, 0x1.db8db86845e31p-3, 0x1.d7b83a92155cdp-3, 0x1.d3cf1bad89d38p-3, 0x1.cfd3728440f0dp-3, 0x1.cbc64ffd6e8a1p-3, 0x1.c7a8bf1b269d9p-3, 0x1.c37bc4f93b0cfp-3, 0x1.bf4060cda0c53p-3, 0x1.baf78bea34bddp-3, 0x1.b6a239bff891p-3, 0x1.b24157e38836dp-3, 0x1.add5ce12dd201p-3, 0x1.a9607e3c371b7p-3, 0x1.a4e24486304b8p-3, 0x1.a05bf758d73c8p-3, 0x1.9bce6767ce389p-3, 0x1.973a5fbd654c3p-3, 0x1.92a0a5c692d57p-3, 0x1.8e01f95fc8db1p-3, 0x1.895f14e296757p-3, 0x1.84b8ad340817cp-3, 0x1.800f71d3ba687p-3, 0x1.7b640ceb989ffp-3, 0x1.76b723602dcc7p-3, 0x1.720954e192a79p-3, 0x1.6d5b3bfcd5b04p-3, 0x1.68ad6e2de816ap-3, 0x1.64007bf1f5f81p-3, 0x1.5f54f0da29eadp-3, 0x1.5aab539eca429p-3, 0x1.56042632b2b05p-3, 0x1.515fe5d7127e9p-3, 0x1.4cbf0b2f73cfbp-3, 0x1.48220a55feabfp-3, 0x1.438952efe9cd7p-3, 0x1.3ef5504225798p-3, 0x1.3a66694619b48p-3, 0x1.35dd00be94d5fp-3, 0x1.3159754cc4ab6p-3, 0x1.2cdc218549fe6p-3, 0x1.28655c0552429p-3, 0x1.23f57787b84d8p-3, 0x1.1f8cc2fa28933p-3, 0x1.1b2b89923bb55p-3, 0x1.16d212e28a096p-3, 0x1.1280a2efaf497p-3, 0x1.0e377a453d8e8p-3, 0x1.09f6d60a9343dp-3, 0x1.05bef01798795p-3, 0x1.018fff0961d29p-3, 0x1.fad46cad47ec2p-4, 0x1.f29b8cc81cb6cp-4, 0x1.ea75b930e62a1p-4, 0x1.e26346e1853e2p-4, 0x1.da648527b765fp-4, 0x1.d279bdcc502e3p-4, 0x1.caa33539fcfd5p-4, 0x1.c2e12aa3a9d53p-4, 0x1.bb33d82a6cb0fp-4, 0x1.b39b7302f5be4p-4, 0x1.ac182b9a90c1cp-4, 0x1.a4aa2dbb9639ep-4, 0x1.9d51a0b172f41p-4, 0x1.960ea76c12892p-4, 0x1.8ee160a2d99c1p-4, 0x1.87c9e6f7070c5p-4, 0x1.80c8511592cbap-4, 0x1.79dcb1d87cfa1p-4, 0x1.730718678f63ap-4, 0x1.6c4790588ebc9p-4, 0x1.659e21ceda341p-4, 0x1.5f0ad19a7b79p-4, 0x1.588da1569fa17p-4, 0x1.52268f8780844p-4, 0x1.4bd597b7b8b77p-4, 0x1.459ab2950232bp-4, 0x1.3f75d60c62947p-4, 0x1.3966f565c237cp-4, 0x1.336e015eef2a6p-4, 0x1.2d8ae8460ac71p-4, 0x1.27bd9613662d3p-4, 0x1.2205f482cc879p-4, 0x1.1c63eb2c36625p-4, 0x1.16d75f9bf1d9p-4, 0x1.1160356a350fap-4, 0x1.0bfe4e522475ap-4, 0x1.06b18a48478c3p-4, 0x1.0179c79075dc9p-4, 0x1.f8adc5a65ff72p-5, 0x1.ee916e64e9eb3p-5, 0x1.e49e3cbc14948p-5, 0x1.dad3e14e79f1cp-5, 0x1.d1320a283c2acp-5, 0x1.c7b862e46ca33p-5, 0x1.be6694d175608p-5, 0x1.b53c47147db75p-5, 0x1.ac391ecbc9e84p-5, 0x1.a35cbf3024721p-5, 0x1.9aa6c9b54d3a7p-5, 0x1.9216de2975f16p-5, 0x1.89ac9ad3c8de5p-5, 0x1.81679c9206673p-5, 0x1.79477ef5378fdp-5, 0x1.714bdc5d7b6c2p-5, 0x1.69744e14f472dp-5, 0x1.61c06c69d555ap-5, 0x1.5a2fcec7951ddp-5, 0x1.52c20bcf4fd2ep-5, 0x1.4b76b96f50dbbp-5, 0x1.444d6cf9d41e9p-5, 0x1.3d45bb3afbc35p-5, 0x1.365f388dff2b2p-5, 0x1.2f9978f198644p-5, 0x1.28f4101bb39f8p-5, 0x1.226e918c6ada7p-5, 0x1.1c0890a03f51fp-5, 0x1.15c1a0a1aea57p-5, 0x1.0f9954da0d7f6p-5, 0x1.098f40a1c336p-5, 0x1.03a2f76fdce2ap-5, 0x1.fba819d1e98ddp-6, 0x1.f04429db0df2p-6, 0x1.e519474f4b3f8p-6, 0x1.da269b302fff8p-6, 0x1.cf6b4f45cfbe2p-6, 0x1.c4e68e36b4284p-6, 0x1.ba97839ebf3e7p-6, 0x1.b07d5c24fe9bcp-6, 0x1.a6974590697cdp-6, 0x1.9ce46edbb471fp-6, 0x1.936408480c4c7p-6, 0x1.8a15436eef298p-6, 0x1.80f7535312b78p-6, 0x1.78096c706026ep-6, 0x1.6f4ac4cb1db5p-6, 0x1.66ba93fe2840bp-6, 0x1.5e58134869f3cp-6, 0x1.56227d997b008p-6, 0x1.4e190f9d7ebfp-6, 0x1.463b07c839a5dp-6, 0x1.3e87a65f7cf81p-6, 0x1.36fe2d84c87dap-6, 0x1.2f9de13e3f206p-6, 0x1.2866077f00059p-6, 0x1.2155e82ec7fd8p-6, 0x1.1a6ccd310a6f1p-6, 0x1.13aa026b556adp-6, 0x1.0d0cd5cb37c7dp-6, 0x1.0694974b89a06p-6, 0x1.004098f92a2e8p-6, 0x1.f4205dee8505ap-7, 0x1.e8055f0603a95p-7, 0x1.dc2ee5edb0adep-7, 0x1.d09ba79a7d4bcp-7, 0x1.c54a5d460b27dp-7, 0x1.ba39c47282accp-7, 0x1.af689eed75ea3p-7, 0x1.a4d5b2d210b71p-7, 0x1.9a7fca8a7e2bp-7, 0x1.9065b4d076c34p-7, 0x1.868644ad3ac1cp-7, 0x1.7ce05178cd247p-7, 0x1.7372b6d88e2cap-7, 0x1.6a3c54bd28c9fp-7, 0x1.613c0f6006fd3p-7, 0x1.5870cf4010ae1p-7, 0x1.4fd9811de6353p-7, 0x1.477515f7aa2bfp-7, 0x1.3f4283043a21dp-7, 0x1.3740c1adf577p-7, 0x1.2f6ecf8d1e75fp-7, 0x1.27cbae61a0c11p-7, 0x1.2056640caf80fp-7, 0x1.190dfa89cdaedp-7, 0x1.11f17fe7972eep-7, 0x1.0b0006402501fp-7, 0x1.0438a3b12a1bdp-7, 0x1.fb34e4a771a9bp-8, 0x1.ee492067759cfp-8, 0x1.e1ac3e8e5d719p-8, 0x1.d55c8aca42d33p-8, 0x1.c9585878dc2fcp-8, 0x1.bd9e02947c446p-8, 0x1.b22beba0c5f25p-8, 0x1.a7007d96e3aafp-8, 0x1.9c1a29d15e4f7p-8, 0x1.917768f7d0e1cp-8, 0x1.8716baea15f1cp-8, 0x1.7cf6a6ab673fbp-8, 0x1.7315ba4d1f5b9p-8, 0x1.69728ad93e2fcp-8, 0x1.600bb43cc743dp-8, 0x1.56dfd9320b2b4p-8, 0x1.4deda32a94a14p-8, 0x1.4533c23919dd4p-8, 0x1.3cb0ecfb45a75p-8, 0x1.3463e08385356p-8, 0x1.2c4b60428f628p-8, 0x1.246635f10269cp-8, 0x1.1cb33178ebadfp-8, 0x1.153128df4004ep-8, 0x1.0ddef82d86f5ep-8, 0x1.06bb815b29ed3p-8, 0x1.ff8b586e3d443p-9, 0x1.f1f8cca2f0dfcp-9, 0x1.e4bd45ca0f831p-9, 0x1.d7d6b582046f3p-9, 0x1.cb43186590b77p-9, 0x1.bf0075df747ecp-9, 0x1.b30cdffe5fb41p-9, 0x1.a766734911878p-9, 0x1.9c0b569289e45p-9, 0x1.90f9bacebea49p-9, 0x1.862fdae766ba7p-9, 0x1.7babfb9112786p-9, 0x1.716c6b20957aap-9, 0x1.676f8160c8f29p-9, 0x1.5db39f68a4a39p-9, 0x1.54372f719c8e7p-9, 0x1.4af8a4ae6b42bp-9, 0x1.41f67b2229dfap-9, 0x1.392f3777d1eb9p-9, 0x1.30a166da19cd2p-9, 0x1.284b9ecbd61ffp-9, 0x1.202c7d00769efp-9, 0x1.1842a7354c97fp-9, 0x1.108ccb0afdd83p-9, 0x1.09099ddf86063p-9, 0x1.01b7dca877989p-9, 0x1.f52c979bb4d9ep-10, 0x1.e7476e0abda11p-10, 0x1.d9bde25c7e17ep-10, 0x1.cc8da85a5863p-10, 0x1.bfb48192178d3p-10, 0x1.b3303d0fea12fp-10, 0x1.a6feb719a6527p-10, 0x1.9b1dd8ea8773ep-10, 0x1.8f8b987066df8p-10, 0x1.8445f809285e8p-10, 0x1.794b0641b82d5p-10, 0x1.6e98dd95f21ebp-10, 0x1.642da43105b75p-10, 0x1.5a078baf05c77p-10, 0x1.5024d0dfc5484p-10, 0x1.4683bb89df024p-10, 0x1.3d229e2f55e72p-10, 0x1.33ffd5d32d1e8p-10, 0x1.2b19c9bf1c38p-10, 0x1.226eeb4b0d9bbp-10, 0x1.19fdb5a52d179p-10, 0x1.11c4ad9b06e4ep-10, 0x1.09c2616350b05p-10, 0x1.01f56868e1804p-10, 0x1.f4b8c62cb6175p-11, 0x1.e5ebf5455e5d9p-11, 0x1.d781c1be289acp-11, 0x1.c977a00a1003ep-11, 0x1.bbcb150b51f2ap-11, 0x1.ae79b5b3f55p-11, 0x1.a18126a7aabe3p-11, 0x1.94df1bdfd8bbbp-11, 0x1.88915850c37fap-11, 0x1.7c95ad91013bdp-11, 0x1.70e9fb818dcbcp-11, 0x1.658c2ff8fbc0ep-11, 0x1.5a7a466f4a435p-11, 0x1.4fb247ab7bf54p-11, 0x1.45324972990d2p-11, 0x1.3af86e38e8e45p-11, 0x1.3102e4d412546p-11, 0x1.274fe82f0ea7bp-11, 0x1.1dddbf000687dp-11, 0x1.14aabb7e8a1ddp-11, 0x1.0bb53b1c5bda5p-11, 0x1.02fba63eef286p-11, 0x1.f4f8dff695e0ap-12, 0x1.e46c2ba4dec5fp-12, 0x1.d44e3ede84e8dp-12, 0x1.c49c3cccdeacdp-12, 0x1.b5535bed86bfdp-12, 0x1.a670e5970d056p-12, 0x1.97f23581ac945p-12, 0x1.89d4b94e373dap-12, 0x1.7c15f013dd069p-12, 0x1.6eb369ee1df8ep-12, 0x1.61aac78e63cbfp-12, 0x1.54f9b9cf971cp-12, 0x1.489e014c1c46p-12, 0x1.3c956df61ce1fp-12, 0x1.30dddeb21ec33p-12, 0x1.257540f3ca511p-12, 0x1.1a59905dd283ap-12, 0x1.0f88d662f7412p-12, 0x1.050129e99bf4ep-12, 0x1.f5815de228b47p-13, 0x1.e18b2c74480fdp-13, 0x1.ce1c39e0d95ap-13, 0x1.bb3118abfd2d4p-13, 0x1.a8c672e57c308p-13, 0x1.96d90984a5687p-13, 0x1.8565b3cd9ef71p-13, 0x1.74695eb79f3e9p-13, 0x1.63e10c58ad0b9p-13, 0x1.53c9d353b7a09p-13, 0x1.4420de4a9eaap-13, 0x1.34e36b538aab9p-13, 0x1.260ecb7167123p-13, 0x1.17a0621005ec6p-13, 0x1.0995a483b1d62p-13, 0x1.f7d8331b42618p-14, 0x1.dd42b1bd6002cp-14, 0x1.c3661543c4661p-14, 0x1.aa3dce0eb97cbp-14, 0x1.91c56ba83912fp-14, 0x1.79f89be58e3b7p-14, 0x1.62d32a11868acp-14, 0x1.4c50fe1adf6dcp-14, 0x1.366e1bc7823ebp-14, 0x1.2126a1ec2b79dp-14, 0x1.0c76c9ac37793p-14, 0x1.f0b5cb7df5ce1p-15, 0x1.c99ec36bf6f05p-15, 0x1.a3a18291f36f6p-15, 0x1.7eb73f5404897p-15, 0x1.5ad95db56bfabp-15, 0x1.38016e0ecfd5bp-15, 0x1.16292bcd4fd92p-15, 0x1.ea94f87912fb6p-16, 0x1.aabedaab969fdp-16, 0x1.6cc46928bc075p-16, 0x1.309a5baec6c59p-16, 0x1.ec6b69344bcefp-17, 0x1.7b177d81e6f43p-17, 0x1.0d2416c6ec778p-17, 0x1.44f9c09aa3109p-18, 0x1.d8705232486ep-20, -0x1.49ddd05bcda83p-20, -0x1.14e67bfb80499p-18, -0x1.d155b24481f1ap-18, -0x1.43f46ca91d9b7p-17, -0x1.9c6166d7a691cp-17, -0x1.f202c658d24b1p-17, -0x1.22748eb4b83bdp-16, -0x1.4a924a78250abp-16, -0x1.716277c53bb66p-16, -0x1.96ecc6383171bp-16, -0x1.bb38b52b1aa27p-16, -0x1.de4d9513d546dp-16, -0x1.001944708ab6p-15, -0x1.107743a3ad0d9p-15, -0x1.20442e01f38ecp-15, -0x1.2f835489074bfp-15, -0x1.3e37f3f039b7fp-15, -0x1.4c65353d24dc5p-15, -0x1.5a0e2e526d84fp-15, -0x1.6735e27b5b222p-15, -0x1.73df42f2bed36p-15, -0x1.800d2f66ed68ep-15, -0x1.8bc27677b35c1p-15, -0x1.9701d630269e1p-15, -0x1.a1cdfc8191c8ap-15, -0x1.ac2987b64d6acp-15, -0x1.b61706e325845p-15, -0x1.bf98fa53440bbp-15, -0x1.c8b1d3f0f352ap-15, -0x1.d163f7ad3a6dp-15, -0x1.d9b1bbe3715d9p-15, -0x1.e19d69b88fc99p-15, -0x1.e9293d793cd15p-15, -0x1.f05766f548574p-15, -0x1.f72a09d562b2fp-15, -0x1.fda33df15168ep-15, -0x1.01e287cf664fep-14, -0x1.04c8c002fd9b4p-14, -0x1.078542b61e3c2p-14, -0x1.0a1905c03103bp-14, -0x1.0c84f9d0cd34fp-14, -0x1.0eca0a92d219dp-14, -0x1.10e91ece8ea96p-14, -0x1.12e3188aacd86p-14, -0x1.14b8d52bf06f7p-14, -0x1.166b2d93b6d7cp-14, -0x1.17faf63ee0d4ep-14, -0x1.1968ff621d071p-14, -0x1.1ab6150645b3fp-14, -0x1.1be2ff223046ap-14, -0x1.1cf081b62c706p-14, -0x1.1ddf5ce54ba69p-14, -0x1.1eb04d0e26903p-14, -0x1.1f640ae246f47p-14, -0x1.1ffb4b7d34e29p-14, -0x1.2076c07b0f1e8p-14, -0x1.20d7180e22aa7p-14, -0x1.211cfd136d40dp-14, -0x1.21491726ddb19p-14, -0x1.215c0ab77543p-14, -0x1.2156791a21c09p-14, -0x1.2139009c6b951p-14, -0x1.21043c95a5166p-14, -0x1.20b8c5783a9abp-14, -0x1.205730e26ea78p-14, -0x1.1fe011af54d1bp-14, -0x1.1f53f805098c6p-14, -0x1.1eb37164cdd67p-14, -0x1.1dff08b9b4ab5p-14, -0x1.1d37466697451p-14, -0x1.1c5cb0545ec07p-14, -0x1.1b6fc9fdcf25ep-14, -0x1.1a71147e00caep-14, -0x1.19610e9c2c9d5p-14, -0x1.184034d833f68p-14, -0x1.170f0176aed53p-14, -0x1.15cdec8baa1f9p-14, -0x1.147d6c05a57cbp-14, -0x1.131df3b908131p-14, -0x1.11aff569f1004p-14, -0x1.1033e0d613589p-14, -0x1.0eaa23bf0bbedp-14, -0x1.0d1329f3606f5p-14, -0x1.0b6f5d588e10cp-14, -0x1.09bf25f33ba48p-14, -0x1.0802e9efe757p-14, -0x1.063b0dab457e5p-14, -0x1.0467f3bab2826p-14, -0x1.0289fcf404433p-14, -0x1.00a1887559842p-14, -0x1.fd5de75a2d785p-15, -0x1.f96534c07b164p-15, -0x1.f559ad6470b8cp-15, -0x1.f13c0257224f2p-15, -0x1.ed0ce180a6551p-15, -0x1.e8ccf5ade7218p-15, -0x1.e47ce69ca08d8p-15, -0x1.e01d59090ab64p-15, -0x1.dbaeeeb9ae919p-15, -0x1.d732468986ec2p-15, -0x1.d2a7fc75cd08dp-15, -0x1.ce10a9a71e24p-15, -0x1.c96ce47d665e7p-15, -0x1.c4bd409ab809ap-15, -0x1.c0024eed3aeep-15, -0x1.bb3c9db9eaba8p-15, -0x1.b66cb8a6135c8p-15, -0x1.b19328c11f1fbp-15, -0x1.acb0748dee45dp-15, -0x1.a7c5200c96bd5p-15, -0x1.a2d1acc264bacp-15, -0x1.9dd699c3542d9p-15, -0x1.98d463bbf0889p-15, -0x1.93cb84f7a89c1p-15, -0x1.8ebc756b0a9a2p-15, -0x1.89a7aabb6eef5p-15, -0x1.848d984664c7ep-15, -0x1.7f6eaf29a15d8p-15, -0x1.7a4b5e4bc48f4p-15, -0x1.752412631e39ep-15, -0x1.6ff935fcec42fp-15, -0x1.6acb318609927p-15, -0x1.659a6b502d96ap-15, -0x1.6067479a77ef2p-15, -0x1.5b32289860a4fp-15, -0x1.55fb6e77b2abbp-15, -0x1.50c3776728834p-15, -0x1.4b8a9f9f12e8ap-15, -0x1.465141657d862p-15, -0x1.4117b5157d90ap-15, -0x1.3bde5126845b9p-15, -0x1.36a56a3203be4p-15, -0x1.316d52f8c27cbp-15, -0x1.2c365c69fd7fcp-15, -0x1.2700d5a9ccfbp-15, -0x1.21cd0c155ceep-15, -0x1.1c9b4b4ae2edcp-15, -0x1.176bdd2e4efc1p-15, -0x1.123f09ee675fcp-15, -0x1.0d15180c2c27ep-15, -0x1.07ee4c5f949eap-15, -0x1.02caea1c480dap-15, -0x1.fb5665b0785a6p-16, -0x1.f11ecd22c686ep-16, -0x1.e6ef87635bc3bp-16, -0x1.dcc90e298b414p-16, -0x1.d2abd81d67aeap-16, -0x1.c89858df83b0fp-16, -0x1.be8f011330104p-16, -0x1.b4903e6a08f64p-16, -0x1.aa9c7bae048bdp-16, -0x1.a0b420c91a38cp-16, -0x1.96d792d29e7d8p-16, -0x1.8d073418510b8p-16, -0x1.83436424bb6ecp-16, -0x1.798c7fcca2863p-16, -0x1.6fe2e138936e1p-16, -0x1.6646dfec0ca4bp-16, -0x1.5cb8d0cffba0fp-16, -0x1.5339063dac422p-16, -0x1.49c7d00611a99p-16, -0x1.40657b79b7b2p-16, -0x1.37125375b7bf3p-16, -0x1.2dcea06a510ccp-16, -0x1.249aa8645c604p-16, -0x1.1b76af15c8928p-16, -0x1.1262f5dfb84f3p-16, -0x1.095fbbd95a861p-16, -0x1.006d3dd930b6fp-16, -0x1.ef176cffc48f7p-17, -0x1.dd76bc7bfc2fep-17, -0x1.cbf8d6b962d0ap-17, -0x1.ba9e240fa72dap-17, -0x1.a96708ab00ca9p-17, -0x1.9853e499fac59p-17, -0x1.876513e379ap-17, -0x1.769aee925404cp-17, -0x1.65f5c8c83e7e2p-17, -0x1.5575f2c94e9dbp-17, -0x1.451bb91196b42p-17, -0x1.34e76463c4a1bp-17, -0x1.24d939d4a9e4cp-17, -0x1.14f17ae077313p-17, -0x1.0530657531f4dp-17, -0x1.eb2c680887294p-18, -0x1.cc463b222e2ep-18, -0x1.adaeab8144919p-18, -0x1.8f6619d37d1d6p-18, -0x1.716ce03dede62p-18, -0x1.53c35285d8002p-18, -0x1.3669be255e126p-18, -0x1.19606a6ad7c56p-18, -0x1.f94f312ca51adp-19, -0x1.c07f07f1f695bp-19, -0x1.8850c40e5f9f5p-19, -0x1.50c4c4ff1e0d5p-19, -0x1.19db5ef41b045p-19, -0x1.c729b647bd27ep-20, -0x1.5be2efd0d86dp-20, -0x1.e3c5a40c75755p-21, -0x1.12535f3f90aafp-21, -0x1.0dbe36aea24dap-23, 0x1.11caf844fdb55p-22, 0x1.52ab90e03702fp-21, 0x1.0cf154d3fe4e2p-20, 0x1.6f45729520a7cp-20, 0x1.d052437bd6e65p-20, 0x1.180bfda7b0a9ep-19, 0x1.474b6fc88f6ffp-19, 0x1.75e7a3823e1ebp-19, 0x1.a3e0ccac781dcp-19, 0x1.d1372758bfd56p-19, 0x1.fdeaf7ba7f0b3p-19, 0x1.14fe44f45530ap-18, 0x1.2ab618da2efe5p-18, 0x1.401d253dabe56p-18, 0x1.55339b7c7fd7dp-18, 0x1.69f9b08fb14e2p-18, 0x1.7e6f9cf188befp-18, 0x1.92959c8c4d2f4p-18, 0x1.a66beea5a0a57p-18, 0x1.b9f2d5c3e4b34p-18, 0x1.cd2a979d9d557p-18, 0x1.e0137d041f98ep-18, 0x1.f2add1cd74c2ap-18, 0x1.027cf25f82075p-17, 0x1.0b7c03bec2fb6p-17, 0x1.1454473d05c1fp-17, 0x1.1d05e86f0def2p-17, 0x1.25911438a2c25p-17, 0x1.2df5f8c719852p-17, 0x1.3634c5874096p-17, 0x1.3e4dab1bea8f2p-17, 0x1.4640db53eae64p-17, 0x1.4e0e892208802p-17, 0x1.55b6e8947a176p-17, 0x1.5d3a2ecad79e4p-17, 0x1.649891ee9673ap-17, 0x1.6bd2492a071c7p-17, 0x1.72e78ca144e82p-17, 0x1.79d89568f902ap-17, 0x1.80a59d7cef682p-17, 0x1.874edfbac954ap-17, 0x1.8dd497d7bb7c7p-17, 0x1.94370258fa41ep-17, 0x1.9a765c8c585b9p-17, 0x1.a092e482876a1p-17, 0x1.a68cd906aee32p-17, 0x1.ac647995fbc82p-17, 0x1.b21a0658255bdp-17, 0x1.b7adc01a6ed4fp-17, 0x1.bd1fe846817f4p-17, 0x1.c270c0ddd34f8p-17, 0x1.c7a08c706fb91p-17, 0x1.ccaf8e1786161p-17, 0x1.d19e096fc9f14p-17, 0x1.d66c4290cd6a3p-17, 0x1.db1a7e080458bp-17, 0x1.dfa900d24ddbfp-17, 0x1.e41810573e1bcp-17, 0x1.e867f26198e77p-17, 0x1.ec98ed181b98bp-17, 0x1.f0ab46fa2507bp-17, 0x1.f49f46d8f147ep-17, 0x1.f87533d09bbe9p-17, 0x1.fc2d55458834ep-17, 0x1.ffc7f2dc364a6p-17, 0x1.01a2aa3b95652p-16, 0x1.0352e11750fc4p-16, 0x1.04f4c226264edp-16, 0x1.068871a3a9d8dp-16, 0x1.080e13dea26a1p-16, 0x1.0985cd380c3a4p-16, 0x1.0aefc21fbb19fp-16, 0x1.0c4c17120d041p-16, 0x1.0d9af0960249bp-16, 0x1.0edc733b64dfp-16, 0x1.1010c39769d45p-16, 0x1.11380642c022fp-16, 0x1.12525fd94222bp-16, 0x1.135ff4f63f192p-16, 0x1.1460ea32cdc3p-16, 0x1.15556423551acp-16, 0x1.163d8756522ccp-16, 0x1.171978527bca5p-16, 0x1.17e95b94561f2p-16, 0x1.18ad558d26a3ap-16, 0x1.19658aa041146p-16, 0x1.1a121f22f1d44p-16, 0x1.1ab3375904bbbp-16, 0x1.1b48f77435b37p-16, 0x1.1bd38391aa597p-16, 0x1.1c52ffb980df5p-16, 0x1.1cc78fdc7e496p-16, 0x1.1d3157d322cdap-16, 0x1.1d907b5b6b873p-16, 0x1.1de51e17e564ap-16, 0x1.1e2f638f03d2p-16, 0x1.1e6f6f2884073p-16, 0x1.1ea5642bea14cp-16, 0x1.1ed165c111b9fp-16, 0x1.1ef396ee0da36p-16, 0x1.1f0c1a955d21bp-16, 0x1.1f1b13752d358p-16, 0x1.1f20a4257c42ep-16, 0x1.1f1cef186cee8p-16, 0x1.1f10169832554p-16, 0x1.1efa3cc665451p-16, 0x1.1edb839a4bf76p-16, 0x1.1eb40ce13423dp-16, 0x1.1e83fa3c926p-16, 0x1.1e4b6d21af422p-16, 0x1.1e0a86d7be1b6p-16, 0x1.1dc1687714a62p-16, 0x1.1d7032ea393d2p-16, 0x1.1d1706eaae1f2p-16, 0x1.1cb60501f13cbp-16, 0x1.1c4d4d8717bb1p-16, 0x1.1bdd009fbea06p-16, 0x1.1b653e3e7d113p-16, 0x1.1ae62621d78a9p-16, 0x1.1a5fd7d3e17cap-16, 0x1.19d272aace20ap-16, 0x1.193e15c6c882dp-16, 0x1.18a2e01266cd2p-16, 0x1.1800f04132dbep-16, 0x1.175864cf312f2p-16, 0x1.16a95c01819adp-16, 0x1.15f3f3e4c76e4p-16, 0x1.15384a4d66b41p-16, 0x1.14767cd6064a2p-16, 0x1.13aea8e08e3ebp-16, 0x1.12e0eb94cdf01p-16, 0x1.120d61e140c44p-16, 0x1.11342879597dap-16, 0x1.10555bd4cd5d6p-16, 0x1.0f7118315456dp-16, 0x1.0e8779908624p-16, 0x1.0d989bb8dacc7p-16, 0x1.0ca49a3431c8cp-16, 0x1.0bab9050931f8p-16, 0x1.0aad991fe24bap-16, 0x1.09aacf76a91bbp-16, 0x1.08a34dec86a9dp-16, 0x1.07972edc82f23p-16, 0x1.06868c65079dfp-16, 0x1.057180668288fp-16, 0x1.04582484d0348p-16, 0x1.033a92254d76fp-16, 0x1.0218e26ffa986p-16, 0x1.00f32e4faa29p-16, 0x1.ff931ce282aa1p-17, 0x1.fd38368823ed8p-17, 0x1.fad5d9f1918a8p-17, 0x1.f86c37061a33cp-17, 0x1.f5fb7d30f0f99p-17, 0x1.f383db63215e5p-17, 0x1.f10580113f061p-17, 0x1.ee8099332aa08p-17, 0x1.ebf554472d6c9p-17, 0x1.e963de4fb2ff2p-17, 0x1.e6cc63d3b3e81p-17, 0x1.e42f10df69d71p-17, 0x1.e18c110458414p-17, 0x1.dee38f5ada234p-17, 0x1.dc35b67fe8bfep-17, 0x1.d982b0952163ep-17, 0x1.d6caa74311637p-17, 0x1.d40dc3bad0d47p-17, 0x1.d14c2eb23456cp-17, 0x1.ce8610671f5b9p-17, 0x1.cbbb909f9f874p-17, 0x1.c8ecd6a7ca7fp-17, 0x1.c61a09550ebfap-17, 0x1.c3434f061dff5p-17, 0x1.c068cda2264ccp-17, 0x1.bd8aaa9a3777p-17, 0x1.baa90ae867ff4p-17, 0x1.b7c41311b38f4p-17, 0x1.b4dbe725cfbd8p-17, 0x1.b1f0aac1ca2f8p-17, 0x1.af02810d0ccadp-17, 0x1.ac118cba85242p-17, 0x1.a91df00babd6dp-17, 0x1.a627cccf4d3a8p-17, 0x1.a32f4461abf9ep-17, 0x1.a03477adf7c58p-17, }}, 
      {{-0x1.88cfc21ae9bbcp-2, -0x1.88dfe980b7844p-2, -0x1.88fa7b07f3b5dp-2, -0x1.891f25713dbaep-2, -0x1.894dbccc1eb25p-2, -0x1.8986533c14f7cp-2, -0x1.89c942aae17aep-2, -0x1.8a172a161323ep-2, -0x1.8a70e228ed8e1p-2, -0x1.8ad76ca52b2dbp-2, -0x1.8b4be178d14ddp-2, -0x1.8bcf5ba4bed57p-2, -0x1.8c62e76e7876bp-2, -0x1.8d0772cc63674p-2, -0x1.8dbdc08f0dddp-2, -0x1.8e865e791226ap-2, -0x1.8f619e3d2bf94p-2, -0x1.904f9132fe076p-2, -0x1.9150067ab95ebp-2, -0x1.92628b3adf808p-2, -0x1.93866c9eb594ep-2, -0x1.94babb3d4ab16p-2, -0x1.95fe4f962c30dp-2, -0x1.974fcf587a97bp-2, -0x1.98adb3320400bp-2, -0x1.9a164ced52a38p-2, -0x1.9b87cdaece8b8p-2, -0x1.9d004c29bb82fp-2, -0x1.9e7dcaadc03d8p-2, -0x1.9ffe3cf4b1a38p-2, -0x1.a17f8d9e7a624p-2, -0x1.a2ffa34e37d39p-2, -0x1.a47c65600eb7dp-2, -0x1.a5f3c032dcdfbp-2, -0x1.a763a903e2ab1p-2, -0x1.a8ca215ce5396p-2, -0x1.aa253a17123c7p-2, -0x1.ab7315f66899dp-2, -0x1.acb1ebe2696e9p-2, -0x1.ade008c1945acp-2, -0x1.aefbd0fdaa79bp-2, -0x1.b003c1b705ad4p-2, -0x1.b0f671ad61447p-2, -0x1.b1d291e47b94ap-2, -0x1.b296ee0ad6b16p-2, -0x1.b3426ca8b03dfp-2, -0x1.b3d40f1d0890ap-2, -0x1.b44af16e52eafp-2, -0x1.b4a649f40b4d6p-2, -0x1.b4e568de2b21bp-2, -0x1.b507b79f16f9cp-2, -0x1.b50cb83c4f932p-2, -0x1.b4f40489d85aap-2, -0x1.b4bd4d53f8b4ap-2, -0x1.b468597aa8dbfp-2, -0x1.b3f50501af142p-2, -0x1.b36340182e313p-2, -0x1.b2b30e1a17bccp-2, -0x1.b1e4848dbe58ap-2, -0x1.b0f7ca1f7b8ccp-2, -0x1.afed159d3032dp-2, -0x1.aec4acf323d8bp-2, -0x1.ad7ee42ba211p-2, -0x1.ac1c1c727f6fcp-2, -0x1.aa9cc31d89409p-2, -0x1.a90150bab9a8bp-2, -0x1.a74a4824f0d88p-2, -0x1.a578359fbeb72p-2, -0x1.a38badfac801dp-2, -0x1.a1854dbd1ed6ep-2, -0x1.9f65b858d96e5p-2, -0x1.9d2d97672261cp-2, -0x1.9add99ecde378p-2, -0x1.987673a7fc9f4p-2, -0x1.95f8dc65739e5p-2, -0x1.93658f5fdf644p-2, -0x1.90bd4aa6ae96ap-2, -0x1.8e00ce8dbd2d5p-2, -0x1.8b30dd2535d81p-2, -0x1.884e39b98b4ffp-2, -0x1.8559a85b59a3bp-2, -0x1.8253ed6eed87p-2, -0x1.7f3dcd433cdd3p-2, -0x1.7c180bb00d35bp-2, -0x1.78e36bbb06b28p-2, -0x1.75a0af436ac66p-2, -0x1.725096b4336cp-2, -0x1.6ef3e0bc49e94p-2, -0x1.6b8b4a0c98ddep-2, -0x1.68178d1baf494p-2, -0x1.649961eeb05cep-2, -0x1.61117de74f035p-2, -0x1.5d80939693236p-2, -0x1.59e7529421606p-2, -0x1.56466759d08fdp-2, -0x1.529e7b2346874p-2, -0x1.4ef033d1685b5p-2, -0x1.4b3c33d15e4bdp-2, -0x1.47831a06f7057p-2, -0x1.43c581ba39685p-2, -0x1.40040287e6d04p-2, -0x1.3c3f3054c8ec8p-2, -0x1.38779b4397b2ep-2, -0x1.34adcfad4549ep-2, -0x1.30e2561b9121dp-2, -0x1.2d15b345ae563p-2, -0x1.2948680edf6fcp-2, -0x1.257af186db8c5p-2, -0x1.21adc8ebe4bb9p-2, -0x1.1de163ae60f27p-2, -0x1.1a163375e31c6p-2, -0x1.164ca62781fc9p-2, -0x1.128525ed5da4cp-2, -0x1.0ec0193f425b1p-2, -0x1.0afde2ec48635p-2, -0x1.073ee2255b8fp-2, -0x1.0383728899ddcp-2, -0x1.ff97d85adbd43p-3, -0x1.f8314762a8d6p-3, -0x1.f0d3d48a81d7cp-3, -0x1.e9801b770883ep-3, -0x1.e236b12c6357bp-3, -0x1.daf8242bdcbfep-3, -0x1.d3c4fc9236871p-3, -0x1.cc9dbc36a2a26p-3, -0x1.c582deca45356p-3, -0x1.be74d9f8256bcp-3, -0x1.b7741d857ff4ep-3, -0x1.b081137260bffp-3, -0x1.a99c201a7502bp-3, -0x1.a2c5a256085adp-3, -0x1.9bfdf39b19ae8p-3, -0x1.9545681e73924p-3, -0x1.8e9c4ef4cad6ap-3, -0x1.8802f233c7188p-3, -0x1.81799712ef2bdp-3, -0x1.7b007e0c79603p-3, -0x1.7497e2fdde336p-3, -0x1.6e3ffd483fe99p-3, -0x1.67f8fff08a04fp-3, -0x1.61c319bf4c216p-3, -0x1.5b9e756044c4bp-3, -0x1.558b3981989ecp-3, -0x1.4f8988f2ae4eep-3, -0x1.499982c2a7a5p-3, -0x1.43bb425e7f687p-3, -0x1.3deedfaeb05eep-3, -0x1.38346f347c733p-3, -0x1.328c0226bc3b6p-3, -0x1.2cf5a68e416cbp-3, -0x1.27716761bb867p-3, -0x1.21ff4ca12da88p-3, -0x1.1c9f5b70e31c5p-3, -0x1.17519633eb5c1p-3, -0x1.1215fca61bd63p-3, -0x1.0cec8bf58b1bdp-3, -0x1.07d53edb946f4p-3, -0x1.02d00db557613p-3, -0x1.fbb9dd37734a9p-4, -0x1.f1f7aaf5c4a3dp-4, -0x1.e859685273f6ap-4, -0x1.dedef4fbcf7cap-4, -0x1.d5882ccd94b4fp-4, -0x1.cc54e7fbea8afp-4, -0x1.c344fb3d5720bp-4, -0x1.ba5837f3af78ep-4, -0x1.b18e6c54145b9p-4, -0x1.a8e7638dee625p-4, -0x1.a062e5f0f1f75p-4, -0x1.9800b9121f51dp-4, -0x1.8fc09fefde462p-4, -0x1.87a25b1519c4fp-4, -0x1.7fa5a8bb6d547p-4, -0x1.77ca44ec65653p-4, -0x1.700fe9a1d2af3p-4, -0x1.68764ee533957p-4, -0x1.60fd2aee398aap-4, -0x1.59a432406a1d3p-4, -0x1.526b17c7e0f17p-4, -0x1.4b518cf535a85p-4, -0x1.445741d88882p-4, -0x1.3d7be53bb914fp-4, -0x1.36bf24bbcaf85p-4, -0x1.3020ace17cc6ep-4, -0x1.29a029391201ep-4, -0x1.233d446957922p-4, -0x1.1cf7a849e28cp-4, -0x1.16cefdf8906dcp-4, -0x1.10c2edee498bep-4, -0x1.0ad320130a6bbp-4, -0x1.04ff3bd139ad2p-4, -0x1.fe8dd05094addp-5, -0x1.f353977d62684p-5, -0x1.e84f19e65e661p-5, -0x1.dd7fa3daedd9cp-5, -0x1.d2e4815c5b08ap-5, -0x1.c87cfe3c9c7b1p-5, -0x1.be48663be091dp-5, -0x1.b4460524eca27p-5, -0x1.aa7526e852106p-5, -0x1.a0d517b681209p-5, -0x1.97652418c1f9ep-5, -0x1.8e2499091b34bp-5, -0x1.8512c40928cbap-5, -0x1.7c2ef337f1d9p-5, -0x1.73787566baab9p-5, -0x1.6aee9a2ce090dp-5, -0x1.6290b1fac4419p-5, -0x1.5a5e0e2bc946fp-5, -0x1.525601176ee9fp-5, -0x1.4a77de218f583p-5, -0x1.42c2f9c9bfb7dp-5, -0x1.3b36a9b9e7533p-5, -0x1.33d244d402422p-5, -0x1.2c95233f24ab2p-5, -0x1.257e9e73ba0b6p-5, -0x1.1e8e11470fa4ep-5, -0x1.17c2d7f6230aap-5, -0x1.111c502fcaf4dp-5, -0x1.0a99d91e30292p-5, -0x1.043ad36fa42f8p-5, -0x1.fbfd42bdb5821p-6, -0x1.efc94d751452fp-6, -0x1.e3d891d8ecf44p-6, -0x1.d829ddffd9ab1p-6, -0x1.ccbc034f6c6dap-6, -0x1.c18dd687063b9p-6, -0x1.b69e2fc9b28a4p-6, -0x1.abebeaa6fd9f5p-6, -0x1.a175e622eeabp-6, -0x1.973b04bd05f61p-6, -0x1.8d3a2c766ac5cp-6, -0x1.837246d744078p-6, -0x1.79e240f3378cfp-6, -0x1.70890b6d3251ap-6, -0x1.67659a7a63fb8p-6, -0x1.5e76e5e4922cap-6, -0x1.55bbe90bb0a69p-6, -0x1.4d33a2e6dbcdep-6, -0x1.44dd1604aa4adp-6, -0x1.3cb7488aea2f5p-6, -0x1.34c14435c6d2cp-6, -0x1.2cfa165668459p-6, -0x1.2560cfd106087p-6, -0x1.1df4851a762c7p-6, -0x1.16b44e3550c8fp-6, -0x1.0f9f46ae8fdb2p-6, -0x1.08b48d99c42f1p-6, -0x1.01f3458ce4f46p-6, -0x1.f6b5293773fbcp-7, -0x1.e9d348a5c42aap-7, -0x1.dd3f436504193p-7, -0x1.d0f77a51472e1p-7, -0x1.c4fa5516741ffp-7, -0x1.b9464223c7679p-7, -0x1.add9b69eb5403p-7, -0x1.a2b32e555b121p-7, -0x1.97d12bb05bad1p-7, -0x1.8d3237a457983p-7, -0x1.82d4e1a2e54dfp-7, -0x1.78b7bf8b3507dp-7, -0x1.6ed96d9a428a4p-7, -0x1.65388e5ab6b8ap-7, -0x1.5bd3ca947787ep-7, -0x1.52a9d13be7b94p-7, -0x1.49b95760e307p-7, -0x1.4101181d74caep-7, -0x1.387fd48465202p-7, -0x1.3034538f7951dp-7, -0x1.281d620d97ff7p-7, -0x1.2039d290bcb35p-7, -0x1.18887d5bc6bdep-7, -0x1.1108405024997p-7, -0x1.09b7fedb6ae5cp-7, -0x1.0296a1e4cd8d9p-7, -0x1.f7462f750f39ap-8, -0x1.e9b8a7fe68569p-8, -0x1.dc829f2e45458p-8, -0x1.cfa2112b2d81cp-8, -0x1.c315045418cb6p-8, -0x1.b6d9891af364p-8, -0x1.aaedb9df344f1p-8, -0x1.9f4fbac869ffcp-8, -0x1.93fdb9a0d87b6p-8, -0x1.88f5edb047e4ap-8, -0x1.7e369796d4b84p-8, -0x1.73be0127f4ab4p-8, -0x1.698a7d459527bp-8, -0x1.5f9a67bb67f1cp-8, -0x1.55ec251a60c79p-8, -0x1.4c7e22946a744p-8, -0x1.434ed5d84fad1p-8, -0x1.3a5cbcedd84ap-8, -0x1.31a65e1234bdfp-8, -0x1.292a479498488p-8, -0x1.20e70fb321f7dp-8, -0x1.18db547823adep-8, -0x1.1105bb97830b2p-8, -0x1.0964f24c8e504p-8, -0x1.01f7ad380c5dp-8, -0x1.f579507d69a6ap-9, -0x1.e7654ccfd4c1dp-9, -0x1.d9b0e37992628p-9, -0x1.cc59b64f2125cp-9, -0x1.bf5d74a6d89fdp-9, -0x1.b2b9db1920fefp-9, -0x1.a66cb34175e81p-9, -0x1.9a73d3800ae47p-9, -0x1.8ecd1ebc39e88p-9, -0x1.83768427a20f1p-9, -0x1.786dff021c3fdp-9, -0x1.6db1965e720e2p-9, -0x1.633f5ce7c82c5p-9, -0x1.591570a7c725ap-9, -0x1.4f31facd9a046p-9, -0x1.45932f75a2cd1p-9, -0x1.3c374d720ba6fp-9, -0x1.331c9e14218d2p-9, -0x1.2a4174f64d31p-9, -0x1.21a42fc6f18bp-9, -0x1.194336141484dp-9, -0x1.111cf917af661p-9, -0x1.092ff3850ce81p-9, -0x1.017aa9569bd1bp-9, -0x1.f3f74f3967484p-10, -0x1.e563089a1bfacp-10, -0x1.d735bc2614274p-10, -0x1.c96cb8416cb28p-10, -0x1.bc055c0155f74p-10, -0x1.aefd16d11de9dp-10, -0x1.a2516818a3a4ep-10, -0x1.95ffdee48571fp-10, -0x1.8a06198fb83abp-10, -0x1.7e61c56e75411p-10, -0x1.73109e7afe772p-10, -0x1.68106f03602b8p-10, -0x1.5d5f0f58c807bp-10, -0x1.52fa658075e34p-10, -0x1.48e064e5da544p-10, -0x1.3f0f0e0e42b0cp-10, -0x1.35846e4de5794p-10, -0x1.2c3e9f7e4e0a2p-10, -0x1.233bc7b5f60b4p-10, -0x1.1a7a1901610eap-10, -0x1.11f7d11d8452ep-10, -0x1.09b33933828b6p-10, -0x1.01aaa595a769bp-10, -0x1.f3b8eafbc5451p-11, -0x1.e48e259a02ac3p-11, -0x1.d5d1e39767413p-11, -0x1.c78121d90229bp-11, -0x1.b998f11e0820fp-11, -0x1.ac167588e1f49p-11, -0x1.9ef6e62a688cdp-11, -0x1.92378c8f94fc1p-11, -0x1.85d5c451309d7p-11, -0x1.79cefaa628bd5p-11, -0x1.6e20adf7e371bp-11, -0x1.62c86d78fba37p-11, -0x1.57c3d8be03ae4p-11, -0x1.4d109f58a6a37p-11, -0x1.42ac80746d0f7p-11, -0x1.38954a75e8b61p-11, -0x1.2ec8da9c03f32p-11, -0x1.25451ca2fd64bp-11, -0x1.1c080a69a6c02p-11, -0x1.130fab98a86ffp-11, -0x1.0a5a154b526a2p-11, -0x1.01e569ba85da1p-11, -0x1.f35fafd313d21p-12, -0x1.e36f36a8f4b45p-12, -0x1.d3f5f74140495p-12, -0x1.c4f0989d4c2bp-12, -0x1.b65bd8dcfc79fp-12, -0x1.a8348ca99b31fp-12, -0x1.9a779ea431f64p-12, -0x1.8d220ed739bfbp-12, -0x1.8030f22b54c3cp-12, -0x1.73a171dfa88cep-12, -0x1.6770cb049a4f2p-12, -0x1.5b9c4dfa37979p-12, -0x1.50215df14f94dp-12, -0x1.44fd706f75b85p-12, -0x1.3a2e0cd5e6082p-12, -0x1.2fb0cbeb237f8p-12, -0x1.2583576791588p-12, -0x1.1ba3698490591p-12, -0x1.120ecc8e8e7afp-12, -0x1.08c35a7939c3p-12, -0x1.ff7df8ed9eab4p-13, -0x1.edff55225719ep-13, -0x1.dd06d68c20d55p-13, -0x1.cc90a64a3b79p-13, -0x1.bc9908e1c1f78p-13, -0x1.ad1c5d83452a4p-13, -0x1.9e171d553cde8p-13, -0x1.8f85dac342c35p-13, -0x1.816540d0deac5p-13, -0x1.73b2127144572p-13, -0x1.666929e26c7a6p-13, -0x1.5987780d34f5dp-13, -0x1.4d0a03e8aba7fp-13, -0x1.40ede9e1ab595p-13, -0x1.35305b460916p-13, -0x1.29ce9db4165p-13, -0x1.1ec60a8c53411p-13, -0x1.14140e687fcc7p-13, -0x1.09b628945d9f9p-13, -0x1.ff53d51762975p-14, -0x1.ebd9eef39d949p-14, -0x1.d8fa077b9b514p-14, -0x1.c6afa8e1c713dp-14, -0x1.b4f67de20be07p-14, -0x1.a3ca50d9e5042p-14, -0x1.93270ae9cdc7bp-14, -0x1.8308b3199472dp-14, -0x1.736b6d842f156p-14, -0x1.644b7a88aff1dp-14, -0x1.55a536006990bp-14, -0x1.47751679d7203p-14, -0x1.39b7ac7a7b2b1p-14, -0x1.2c69a1c3648e8p-14, -0x1.1f87b89cad8fep-14, -0x1.130ecb2429335p-14, -0x1.06fbcaa1a407bp-14, -0x1.f6977dbf2645cp-15, -0x1.dff78b1105748p-15, -0x1.ca1223104ce9p-15, -0x1.b4e1d4e1ff197p-15, -0x1.a06157cde7dc6p-15, -0x1.8c8b8a18f53eap-15, -0x1.795b6fe95123fp-15, -0x1.66cc3232a3235p-15, -0x1.54d91da77ad75p-15, -0x1.437da1b490982p-15, -0x1.32b54f827c4adp-15, -0x1.227bd8fc76618p-15, -0x1.12cd0fe1ad244p-15, -0x1.03a4e4d9ac7c6p-15, -0x1.e9fecd22fabe8p-16, -0x1.cdb181ba63f01p-16, -0x1.b25a77c317fdbp-16, -0x1.97f276834600ap-16, -0x1.7e727aa92b613p-16, -0x1.65d3b4bce0aeap-16, -0x1.4e0f879fc3e3ap-16, -0x1.371f87193e859p-16, -0x1.20fd76698a971p-16, -0x1.0ba346e9ea746p-16, -0x1.ee162d68196cdp-17, -0x1.c65e5ea9a2c01p-17, -0x1.a014090f49999p-17, -0x1.7b2c65fbd8e7dp-17, -0x1.579cfe55660a7p-17, -0x1.355ba833d05acp-17, -0x1.145e84a1f5f23p-17, -0x1.e937fad72e207p-18, -0x1.ac1585f732795p-18, -0x1.7143949f6f2ap-18, -0x1.38b095dd773cep-18, -0x1.024b79f4fb33bp-18, -0x1.9c075d25c804cp-19, -0x1.37923645cfe13p-19, -0x1.ae3074e7e97e7p-20, -0x1.e9ec28f78b91ep-21, -0x1.0ce92759c62dap-22, 0x1.9cf0f120b60efp-22, 0x1.0aa52b781250fp-20, 0x1.a7369a0d0e0f1p-20, 0x1.1e928988b2d1bp-19, 0x1.6651d0e7b1374p-19, 0x1.aaf1ee95ba071p-19, 0x1.ec8af9418001bp-19, 0x1.159a2c1312911p-18, 0x1.3382641bbb8ap-18, 0x1.5009308724bccp-18, 0x1.6b394cea3513dp-18, 0x1.851d26f6f8842p-18, 0x1.9dbee0ca33e31p-18, 0x1.b5285320788e7p-18, 0x1.cb630f77ee675p-18, 0x1.e078622abbdffp-18, 0x1.f4715473ba65ap-18, 0x1.03ab5733b58dcp-17, 0x1.0c987c6ade072p-17, 0x1.15043f938056cp-17, 0x1.1cf2a8902aab6p-17, 0x1.2467a25348aeap-17, 0x1.2b66fbb72d986p-17, 0x1.31f4684d8c8a2p-17, 0x1.3813812ac2481p-17, 0x1.3dc7c5aa47f2ap-17, 0x1.43149c2f70c03p-17, 0x1.47fd52dc9cd15p-17, 0x1.4c8520470b2f5p-17, 0x1.50af242619b86p-17, 0x1.547e67fbe0eb6p-17, 0x1.57f5dfb5cff8p-17, 0x1.5b186a50367eep-17, 0x1.5de8d26d8978ep-17, 0x1.6069ceec90d33p-17, 0x1.629e03784f996p-17, 0x1.648801165165ap-17, 0x1.662a46acbb68ap-17, 0x1.6787418738e45p-17, 0x1.68a14dd6a14a1p-17, 0x1.697ab72e48455p-17, 0x1.6a15b8fc14626p-17, 0x1.6a747efb33f79p-17, 0x1.6a9925a861416p-17, 0x1.6a85baad27888p-17, 0x1.6a3c3d4bd98b4p-17, 0x1.69be9ec60956p-17, 0x1.690ec2c0f94b7p-17, 0x1.682e7fa6490b8p-17, 0x1.671f9f036f628p-17, 0x1.65e3dde2e1cf3p-17, 0x1.647ced25d91e7p-17, 0x1.62ec71db1ba81p-17, 0x1.613405908f993p-17, 0x1.5f5536a4d192p-17, 0x1.5d51889529b76p-17, 0x1.5b2a744abcc64p-17, 0x1.58e1686214cb6p-17, 0x1.5677c973750e2p-17, 0x1.53eef258fa7eep-17, 0x1.51483472632eap-17, 0x1.4e84d7e3ea5bp-17, 0x1.4ba61bd853975p-17, 0x1.48ad36bcc4433p-17, 0x1.459b567ceeb74p-17, 0x1.4271a0bbe6444p-17, 0x1.3f31330d6b62ep-17, 0x1.3bdb232ce56a9p-17, 0x1.38707f308a9a8p-17, 0x1.34f24dbd24a4bp-17, 0x1.31618e37daf3p-17, 0x1.2dbf38f735c07p-17, 0x1.2a0c3f71be26fp-17, 0x1.26498c6b8cc97p-17, 0x1.22780423063b1p-17, 0x1.1e98847bfaf06p-17, 0x1.1aabe527393fdp-17, 0x1.16b2f7ccb89e3p-17, 0x1.12ae8833238cdp-17, 0x1.0e9f5c65d613dp-17, 0x1.0a8634d98f9e8p-17, 0x1.0663cc907d861p-17, 0x1.0238d93dac8ffp-17, 0x1.fc0c16cc6ebaep-18, 0x1.f3981d0794891p-18, 0x1.eb171247c3fc9p-18, 0x1.e28a3a10e53ddp-18, 0x1.d9f2ce8aaf062p-18, 0x1.d15200ba8030bp-18, 0x1.c8a8f8bbd4c08p-18, 0x1.bff8d5fd104c8p-18, 0x1.b742af71f4324p-18, 0x1.ae8793c9a4972p-18, 0x1.a5c889a1bd21bp-18, 0x1.9d068fb88e1a7p-18, 0x1.94429d1e0ae9ap-18, 0x1.8b7da162dafc7p-18, 0x1.82b884c6d7f44p-18, 0x1.79f428675a429p-18, 0x1.7131666a5cff3p-18, 0x1.68711228f10e1p-18, 0x1.5fb3f855996bdp-18, 0x1.56fadf2865732p-18, 0x1.4e46868600ba2p-18, 0x1.4597a825aff72p-18, 0x1.3ceef7b4da20ep-18, 0x1.344d22fdba55cp-18, 0x1.2bb2d2099cf16p-18, 0x1.2320a7442afecp-18, 0x1.1a973f9c96edep-18, 0x1.121732a8d4ff8p-18, 0x1.09a112c2fa0c8p-18, 0x1.01356d2c3891dp-18, 0x1.f1a9944ef7b8bp-19, 0x1.e0ff5a2e8a1e4p-19, 0x1.d06d2937e9a4bp-19, 0x1.bff3f564ba239p-19, 0x1.af94a99b819b3p-19, 0x1.9f5027e1802ap-19, 0x1.8f27499611e56p-19, 0x1.7f1adfa19b23bp-19, 0x1.6f2bb2a9efe12p-19, 0x1.5f5a834449af4p-19, 0x1.4fa80a265835ap-19, 0x1.4014f8561941bp-19, 0x1.30a1f755ef4d3p-19, 0x1.214fa9539794fp-19, 0x1.121ea94e1d308p-19, 0x1.030f8b443d512p-19, 0x1.e845b8c18273dp-20, 0x1.cab246490aa09p-20, 0x1.ad65bf15f0c52p-20, 0x1.906116634c9d3p-20, 0x1.73a53301629fdp-20, 0x1.5732ef9b7ef6cp-20, 0x1.3b0b1b0830ca6p-20, 0x1.1f2e78891a001p-20, 0x1.039dc021b32f2p-20, 0x1.d0b33da294494p-21, 0x1.9ac56db230eb9p-21, 0x1.65733ffc230e3p-21, 0x1.30bdcf85ae118p-21, 0x1.f94c46be2e8ecp-22, 0x1.925a5e32f6712p-22, 0x1.2ca7a69a3ff95p-22, 0x1.906b781e730f1p-23, 0x1.941859ce01e3ap-24, 0x1.8d053a610b79dp-29, -0x1.7634d6e6a1143p-24, -0x1.79dd32b73e5aap-23, -0x1.1b093074976dcp-22, -0x1.77dc2ad909c3fp-22, -0x1.d366d7471b2cdp-22, -0x1.16d45168d1261p-21, -0x1.43508bfc4a8f5p-21, -0x1.6f27eefbc5b5ep-21, -0x1.9a5a5c014b08fp-21, -0x1.c4e7c240b1428p-21, -0x1.eed01e2e561e8p-21, -0x1.0c09bc8d16f65p-20, -0x1.2058f47272d07p-20, -0x1.3455c7d4142ffp-20, -0x1.48004dab9b329p-20, -0x1.5b58a2bad25efp-20, -0x1.6e5ee95de9bb6p-20, -0x1.81134969bb6c6p-20, -0x1.9375eff9565f2p-20, -0x1.a5870f4d9a7ap-20, -0x1.b746dea80b3ebp-20, -0x1.c8b59a24cbfa5p-20, -0x1.d9d382970a8a4p-20, -0x1.eaa0dd6422b26p-20, -0x1.fb1df45ff2f9bp-20, -0x1.05a58ad5f0557p-19, -0x1.0d9449c716798p-19, -0x1.155b622e1740ap-19, -0x1.1cfb012963702p-19, -0x1.247355ba86d84p-19, -0x1.2bc490b8ff7e2p-19, -0x1.32eee4c007315p-19, -0x1.39f28622cb813p-19, -0x1.40cfaada05bf7p-19, -0x1.47868a75e00c8p-19, -0x1.4e175e12f42e2p-19, -0x1.5482604917f98p-19, -0x1.5ac7cd1f721ecp-19, -0x1.60e7e1ff41c1fp-19, -0x1.66e2dda54703ep-19, -0x1.6cb90015cbb26p-19, -0x1.726a8a8f4d7bp-19, -0x1.77f7bf7eed379p-19, -0x1.7d60e27400ddap-19, -0x1.82a6381456679p-19, -0x1.87c8060edf2efp-19, -0x1.8cc6931302d1cp-19, -0x1.91a226c336f37p-19, -0x1.965b09aaf969p-19, -0x1.9af18532f494bp-19, -0x1.9f65e397296aep-19, -0x1.a3b86fdd63d41p-19, -0x1.a7e975c9720e9p-19, -0x1.abf941d4cc514p-19, -0x1.afe82124e449p-19, -0x1.b3b6617f45fe8p-19, -0x1.b7645142da7dep-19, -0x1.baf23f5eb344p-19, -0x1.be607b46a7a8bp-19, -0x1.c1af54edd809p-19, -0x1.c4df1cbb4ea6fp-19, -0x1.c7f0238317143p-19, -0x1.cae2ba7dc33efp-19, -0x1.cdb7334127c82p-19, -0x1.d06ddfb6ca0e6p-19, -0x1.d3071214d6bd1p-19, -0x1.d5831cd81fcd3p-19, -0x1.d7e252bb50ddap-19, -0x1.da2506b0060a7p-19, -0x1.dc4b8bd7ccdccp-19, -0x1.de56357dddb21p-19, -0x1.e045570fe4c17p-19, -0x1.e21944160fc6fp-19, -0x1.e3d25030f42cfp-19, -0x1.e570cf0fac62fp-19, -0x1.e6f51469cef2dp-19, -0x1.e85f73fbdf1eep-19, -0x1.e9b0417eccbdfp-19, -0x1.eae7d0a448063p-19, -0x1.ec067510650dp-19, -0x1.ed0c8254b0c93p-19, -0x1.edfa4bea976a8p-19, -0x1.eed0252d30c77p-19, -0x1.ef8e6157d812fp-19, -0x1.f035537e78f17p-19, -0x1.f0c54e88bdd88p-19, -0x1.f13ea52f17b4bp-19, -0x1.f1a1a9f4aa9f2p-19, -0x1.f1eeaf23e2cc3p-19, -0x1.f22606c966642p-19, -0x1.f24802b16e70bp-19, -0x1.f254f4643e65dp-19, -0x1.f24d2d1fce8c1p-19, -0x1.f230fdd585333p-19, -0x1.f200b726c4b64p-19, -0x1.f1bca960407a8p-19, -0x1.f165247828462p-19, -0x1.f0fa78098ccfap-19, -0x1.f07cf351b4a2ep-19, -0x1.efece52c8a704p-19, -0x1.ef4a9c11cfeecp-19, -0x1.ee9666140364cp-19, -0x1.edd090dba07a2p-19, -0x1.ecf969a414448p-19, -0x1.ec113d39c043cp-19, -0x1.eb1857f7460d8p-19, -0x1.ea0f05c303f89p-19, -0x1.e8f5920cb98f3p-19, -0x1.e7cc47cb7536dp-19, -0x1.e693717d57156p-19, -0x1.e54b592210c62p-19, -0x1.e3f4483a99d54p-19, -0x1.e28e87c67232dp-19, -0x1.e11a6042b0152p-19, -0x1.df9819a7a0f5ep-19, -0x1.de07fb67ce3b8p-19, -0x1.dc6a4c6c8a164p-19, -0x1.dabf53172ad2cp-19, -0x1.d907553bff94cp-19, -0x1.d7429825409ecp-19, -0x1.d571608f4d356p-19, -0x1.d393f2a77b403p-19, -0x1.d1aa9209e53dp-19, -0x1.cfb581c1904cp-19, -0x1.cdb50446912eap-19, -0x1.cba95b7db00bcp-19, -0x1.c992c8b6b12c6p-19, -0x1.c7718cad51791p-19, -0x1.c545e7876eee4p-19, -0x1.c31018d2f7ff4p-19, -0x1.c0d05f86fcd4p-19, -0x1.be86fa008fbc1p-19, -0x1.bc34260524c5ep-19, -0x1.b9d820c02b3c5p-19, -0x1.b77326c35a52cp-19, -0x1.b5057405251d1p-19, -0x1.b28f43e2072e5p-19, -0x1.b010d11941e17p-19, -0x1.ad8a55d112e8p-19, -0x1.aafc0b93ba35ep-19, -0x1.a8662b4f5c06cp-19, -0x1.a5c8ed54ce317p-19, -0x1.a324895886cefp-19, -0x1.a079367279a47p-19, -0x1.9dc72b1e22836p-19, -0x1.9b0e9d3a0d621p-19, -0x1.984fc2088aca9p-19, -0x1.958ace312b2a2p-19, -0x1.92bff5bde5982p-19, -0x1.8fef6c1ca87a3p-19, -0x1.8d19641f21994p-19, -0x1.8a3e0ffaed66dp-19, -0x1.875da14a7e25fp-19, -0x1.8478490d313fcp-19, -0x1.818e37a783b84p-19, -0x1.7e9f9ce2ca2p-19, -0x1.7baca7ee02fc6p-19, -0x1.78b5875deaf4ap-19, -0x1.75ba69302e3dfp-19, -0x1.72bb7ac9151f5p-19, -0x1.6fb8e8f3e27bdp-19, -0x1.6cb2dfe35bde3p-19, -0x1.69a98b3301e98p-19, -0x1.669d15e77b926p-19, -0x1.638daa6f1618p-19, -0x1.607b72a230d0ep-19, -0x1.5d6697c49ba75p-19, -0x1.5a4f428755dbcp-19, -0x1.57359b0702908p-19, -0x1.5419c8cc5f8a7p-19, -0x1.50fbf2ce87617p-19, -0x1.4ddc3f72ba292p-19, -0x1.4abad48de4489p-19, -0x1.4797d76506d08p-19, -0x1.44736cae33f92p-19, -0x1.414db890f651bp-19, -0x1.3e26dea6be47cp-19, -0x1.3aff01fb8b0ep-19, -0x1.37d64511d0771p-19, -0x1.34acc9e17cc63p-19, -0x1.3182b1d77667cp-19, -0x1.2e581dd7263dbp-19, -0x1.2b2d2e3b72623p-19, -0x1.280202d85ae6cp-19, -0x1.24d6bafb14586p-19, -0x1.21ab756b9d93dp-19, -0x1.1e80506c43d52p-19, -0x1.1b5569be05162p-19, -0x1.182ade9f579d5p-19, -0x1.1500cbccddd8ep-19, -0x1.11d74d817434ap-19, -0x1.0eae7f79615ebp-19, -0x1.0b867cf1bfd28p-19, -0x1.085f60aad6852p-19, -0x1.053944e85a9c7p-19, -0x1.021443729f3afp-19, -0x1.fde0eb2f3544bp-20, -0x1.f79be8560aa9bp-20, -0x1.f159af0fd0d57p-20, -0x1.eb1a6f2647911p-20, -0x1.e4de5779f3262p-20, -0x1.dea595fe9edaep-20, -0x1.d87057befbe5p-20, -0x1.d23ec8df654ebp-20, -0x1.cc1114a11a9bap-20, -0x1.c5e76562715c2p-20, -0x1.bfc1e4a3d29d4p-20, -0x1.b9a0bb05e7f9ep-20, -0x1.b384104e9b58dp-20, -0x1.ad6c0b6e8d6b3p-20, -0x1.a758d27deea1p-20, -0x1.a14a8abf85ec8p-20, -0x1.9b4158a25ff35p-20, -0x1.953d5fc71e5a2p-20, -0x1.8f3ec2fddd5a8p-20, -0x1.8945a44d6d0bep-20, -0x1.835224f1ac931p-20, -0x1.7d64655f708fcp-20, -0x1.777c85457e736p-20, -0x1.719aa38e045acp-20, -0x1.6bbede61bef2ep-20, -0x1.65e9532bc6899p-20, -0x1.601a1e9d65578p-20, -0x1.5a515cab4a623p-20, -0x1.548f2890cb0c1p-20, -0x1.4ed39cd1c6274p-20, -0x1.491ed33f7ecf3p-20, -0x1.4370e4f78fc7p-20, -0x1.3dc9ea694ae92p-20, -0x1.3829fb54030aep-20, -0x1.32912ecbaae27p-20, -0x1.2cff9b3be18dep-20, -0x1.2775566a72724p-20, -0x1.21f27575b3dffp-20, -0x1.1c770cd79a85p-20, -0x1.1703306a789abp-20, -0x1.1196f367c8e9fp-20, -0x1.0c32686cb78e7p-20, -0x1.06d5a17b958cap-20, -0x1.0180affde5be9p-20, -0x1.f867498bcca3cp-21, -0x1.eddd201f16291p-21, -0x1.e363030770e46p-21, -0x1.d8f91073f95b2p-21, -0x1.ce9f6577a52e9p-21, -0x1.c4561e0f2883ap-21, -0x1.ba1d551eea95cp-21, -0x1.aff52475b1a0bp-21, -0x1.a5dda4d3bdb9ap-21, -0x1.9bd6edf073e0ap-21, -0x1.91e1167a26e44p-21, -0x1.87fc341f0265dp-21, -0x1.7e285b89af3aap-21, -0x1.7465a06b10454p-21, -0x1.6ab4157bdfaa4p-21, -0x1.6113cc859537ap-21, -0x1.5784d65e1be3ap-21, -0x1.4e0742ebd3e6cp-21, -0x1.449b212eb902p-21, -0x1.3b407f3ff70b3p-21, -0x1.31f76a561a244p-21, -0x1.28bfeecab6928p-21, -0x1.1f9a181bf6802p-21, -0x1.1685f0f1296f4p-21, -0x1.0d83831cc41f7p-21, -0x1.0492d79eb5c47p-21, -0x1.f767ed54c5bf6p-22, -0x1.e5cdcf5348589p-22, -0x1.d457627f620c5p-22, -0x1.c304b2a1bf2edp-22, -0x1.b1d5c9fd1b1p-22, -0x1.a0cab1564fb65p-22, -0x1.8fe37002e5f4dp-22, -0x1.7f200beb6b182p-22, -0x1.6e8089913854p-22, -0x1.5e04ec17e2d34p-22, -0x1.4dad3543aa809p-22, -0x1.3d79658a31ab2p-22, -0x1.2d697c1062d7ep-22, -0x1.1d7d76bb99d92p-22, -0x1.0db5522be1e91p-22, -0x1.fc2213825b577p-23, -0x1.dd212f548d75fp-23, -0x1.be67e9ccf7d82p-23, -0x1.9ff6328c7fe7ap-23, -0x1.81cbf6f653005p-23, }}, 
      {{0x1.297503164202ap-21, -0x1.7fbf766fb892ep-17, -0x1.2f74dc414833ep-14, -0x1.e5cf303754f98p-13, -0x1.1c6fe15c90e7p-11, -0x1.14767ce36f4b2p-10, -0x1.da4e7d9ba6bdcp-10, -0x1.73e065274abcp-9, -0x1.106fe4fc986c3p-8, -0x1.7a927f0b4521ep-8, -0x1.f82e93bcb37ffp-8, -0x1.4445d877168bcp-7, -0x1.953f84d8290c5p-7, -0x1.ee43f8c317a1ap-7, -0x1.273aa37533ff5p-6, -0x1.5a71f567821b4p-6, -0x1.904c9abd1feeep-6, -0x1.c850091209818p-6, -0x1.010309a020391p-5, -0x1.1e7fd8c0894b1p-5, -0x1.3c6b889b1c18ap-5, -0x1.5a987fc3128ecp-5, -0x1.78dee1ef4da2p-5, -0x1.971cc00a43a09p-5, -0x1.b53615be5e2fdp-5, -0x1.d3149e9e4f33bp-5, -0x1.f0a78c35f1224p-5, -0x1.06f192a91841cp-4, -0x1.15602add13566p-4, -0x1.239e1a3d6bb89p-4, -0x1.31abc2eb61937p-4, -0x1.3f8b1e762fc16p-4, -0x1.4d3f8020597d7p-4, -0x1.5acd59c87577p-4, -0x1.683a045002018p-4, -0x1.758b8c11f607bp-4, -0x1.82c881bf247e7p-4, -0x1.8ff7cfc6d22bp-4, -0x1.9d20944cd6038p-4, -0x1.aa49ff9298fe1p-4, -0x1.b77b36a3fe18dp-4, -0x1.c4bb3a0b43443p-4, -0x1.d210d0461e485p-4, -0x1.df8273b1366d9p-4, -0x1.ed16439db964ap-4, -0x1.fad1f844fe26dp-4, -0x1.045d6ca8465f7p-3, -0x1.0b6adb5815691p-3, -0x1.129371bde6dadp-3, -0x1.19d91951cc8c8p-3, -0x1.213d7a9a98d6ap-3, -0x1.28c1fd00fdff6p-3, -0x1.3067c73b7ac11p-3, -0x1.382fc03d70257p-3, -0x1.401a9095fdf1ep-3, -0x1.4828a42d189adp-3, -0x1.505a2c4f3bcbcp-3, -0x1.58af21f99dd71p-3, -0x1.6127485a74bf4p-3, -0x1.69c22f7a221ecp-3, -0x1.727f370365eefp-3, -0x1.7b5d9121e25f2p-3, -0x1.845c456f2e93p-3, -0x1.8d7a33e7ba7dcp-3, -0x1.96b617e17ec63p-3, -0x1.a00e8aff522b2p-3, -0x1.a982081c5c342p-3, -0x1.b30eee2bb0bf5p-3, -0x1.bcb38308cb858p-3, -0x1.c66df635f8df8p-3, -0x1.d03c63865d94ap-3, -0x1.da1cd5b1827ffp-3, -0x1.e40d48ced4b3ap-3, -0x1.ee0bacb7c30eap-3, -0x1.f815e74f7b0fbp-3, -0x1.0114eb57bf0dap-2, -0x1.0622a99c4d1b2p-2, -0x1.0b3318c3f8023p-2, -0x1.10452227fbf9ap-2, -0x1.1557af0ac57eap-2, -0x1.1a69a968980b6p-2, -0x1.1f79fcba82ae9p-2, -0x1.248796abda5eap-2, -0x1.299167c289a34p-2, -0x1.2e9663fa7bf31p-2, -0x1.3395835490875p-2, -0x1.388dc25967c3ep-2, -0x1.3d7e229081f38p-2, -0x1.4265aaec19c6dp-2, -0x1.4743682a29db7p-2, -0x1.4c166d2b1bf5p-2, -0x1.50ddd33e8f6b9p-2, -0x1.5598ba66b81bep-2, -0x1.5a464992c9f6p-2, -0x1.5ee5aed0ed309p-2, -0x1.63761f782e5afp-2, -0x1.67f6d84ae7363p-2, -0x1.6c671d920c86p-2, -0x1.70c63b31daac4p-2, -0x1.751384b84b0e8p-2, -0x1.794e5565bbd2bp-2, -0x1.7d7610303eefp-2, -0x1.818a1fc1e1eb7p-2, -0x1.8589f6726513dp-2, -0x1.89750e3caf81ap-2, -0x1.8d4ae8b062827p-2, -0x1.910b0edfdf09dp-2, -0x1.94b5114b104dcp-2, -0x1.984887c746c2fp-2, -0x1.9bc5116474d61p-2, -0x1.9f2a545007ep-2, -0x1.a277fdb5a96bep-2, -0x1.a5adc19e23bd2p-2, -0x1.a8cb5acca2529p-2, -0x1.abd08a9a88e43p-2, -0x1.aebd18d2105bbp-2, -0x1.b190d387df701p-2, -0x1.b44b8ef3c3d4fp-2, -0x1.b6ed2548bfe44p-2, -0x1.b975768c8644p-2, -0x1.bbe4686e961bbp-2, -0x1.be39e61f0c85cp-2, -0x1.c075e0254d8acp-2, -0x1.c2984c36a4504p-2, -0x1.c4a1250cecf59p-2, -0x1.c6906a3d63d19p-2, -0x1.c866200fae4efp-2, -0x1.ca224f552d39fp-2, -0x1.cbc50540afd09p-2, -0x1.cd4e533e8cdb6p-2, -0x1.cebe4ecd3b51cp-2, -0x1.d01511566d2bfp-2, -0x1.d152b808b925ep-2, -0x1.d27763b1e0a3p-2, -0x1.d3833899b4c73p-2, -0x1.d4765e5da3216p-2, -0x1.d550ffccf0efep-2, -0x1.d6134ac5a812fp-2, -0x1.d6bd70123932ap-2, -0x1.d74fa347d77ddp-2, -0x1.d7ca1aa591f72p-2, -0x1.d82d0ef42427fp-2, -0x1.d878bb668a8a4p-2, -0x1.d8ad5d7b501aap-2, -0x1.d8cb34de9cfd6p-2, -0x1.d8d2834d00ef3p-2, -0x1.d8c38c76f9f32p-2, -0x1.d89e95e537acdp-2, -0x1.d863e6dd94cf6p-2, -0x1.d813c848ca961p-2, -0x1.d7ae8498d7ad4p-2, -0x1.d73467b01afccp-2, -0x1.d6a5bec91d0cdp-2, -0x1.d602d85f0794p-2, -0x1.d54c0416c6593p-2, -0x1.d48192a8d1d82p-2, -0x1.d3a3d5cb9b4fbp-2, -0x1.d2b3201e9b899p-2, -0x1.d1afc515fff6ep-2, -0x1.d09a18e6f14a6p-2, -0x1.cf72707474012p-2, -0x1.ce39213cd92d5p-2, -0x1.ccee8147c5a9bp-2, -0x1.cb92e714c448ap-2, -0x1.ca26a98a621bcp-2, -0x1.c8aa1fe5d4d5p-2, -0x1.c71da1ab24a8p-2, -0x1.c5818695d6276p-2, -0x1.c3d6268a1731ap-2, -0x1.c21bd986629d8p-2, -0x1.c052f7959f0b4p-2, -0x1.be7bd8c1b4759p-2, -0x1.bc96d50692cap-2, -0x1.baa44445abbbdp-2, -0x1.b8a47e39d705bp-2, -0x1.b697da6ba6618p-2, -0x1.b47eb0261e36fp-2, -0x1.b259566bd686p-2, -0x1.b02823ec80f95p-2, -0x1.adeb6efacf497p-2, -0x1.aba38d82b7bedp-2, -0x1.a950d5001a751p-2, -0x1.a6f39a75bfe65p-2, -0x1.a48c3264adaa1p-2, -0x1.a21af0c3d9c31p-2, -0x1.9fa028f82921dp-2, -0x1.9d1c2dcccbd4ep-2, -0x1.9a8f516be0087p-2, -0x1.97f9e5576e4dp-2, -0x1.955c3a62ac3d1p-2, -0x1.92b6a0ab8ddc2p-2, -0x1.90096794a30cp-2, -0x1.8d54ddbf392d3p-2, -0x1.8a995105c9462p-2, -0x1.87d70e76a8231p-2, -0x1.850e624ef9c02p-2, -0x1.823f97f5e94f4p-2, -0x1.7f6af9f821e4dp-2, -0x1.7c90d2038598bp-2, -0x1.79b168e323fb3p-2, -0x1.76cd067b6beabp-2, -0x1.73e3f1c69a8a8p-2, -0x1.70f670d162f65p-2, -0x1.6e04c8b7cdd08p-2, -0x1.6b0f3da253bf1p-2, -0x1.681612c3299cp-2, -0x1.65198a53c5d19p-2, -0x1.6219e59295a79p-2, -0x1.5f1764c0e9191p-2, -0x1.5c1247210bf7cp-2, -0x1.590acaf491a25p-2, -0x1.56012d7ace07fp-2, -0x1.52f5aaef7fee2p-2, -0x1.4fe87e89a3ac6p-2, -0x1.4cd9e27a74161p-2, -0x1.49ca0fec959cbp-2, -0x1.46b93f0369787p-2, -0x1.43a7a6da8b086p-2, -0x1.40957d8573e7bp-2, -0x1.3d82f80f44127p-2, -0x1.3a704a7ab3622p-2, -0x1.375da7c224069p-2, -0x1.344b41d7d90fp-2, -0x1.313949a64def8p-2, -0x1.2e27ef10b3d92p-2, -0x1.2b1760f386613p-2, -0x1.2807cd2549f12p-2, -0x1.24f960775ee13p-2, -0x1.21ec46b6f914fp-2, -0x1.1ee0aaae2fc7dp-2, -0x1.1bd6b6252a60ap-2, -0x1.18ce91e36737ep-2, -0x1.15c865b11be07p-2, -0x1.12c45858ae113p-2, -0x1.0fc28fa846815p-2, -0x1.0cc33073763dap-2, -0x1.09c65e94f6612p-2, -0x1.06cc3cf07ab72p-2, -0x1.03d4ed7499e9ep-2, -0x1.00e0911cc89bp-2, -0x1.fbde8fe6cd07dp-3, -0x1.f6026227bec1ap-3, -0x1.f02cd559b4be7p-3, -0x1.ea5e2404faadap-3, -0x1.e49686e177c52p-3, -0x1.ded634db7103ap-3, -0x1.d91d631862515p-3, -0x1.d36c44fbf90dfp-3, -0x1.cdc30c2d1d92ap-3, -0x1.c821e89b1f019p-3, -0x1.c2890882efcc7p-3, -0x1.bcf8987477572p-3, -0x1.b770c357fa78dp-3, -0x1.b1f1b27392102p-3, -0x1.ac7b8d70b7951p-3, -0x1.a70e7a61dc38ap-3, -0x1.a1aa9dc8143fdp-3, -0x1.9c501a98cb2a6p-3, -0x1.96ff124385ecap-3, -0x1.91b7a4b7b0982p-3, -0x1.8c79f06a730e7p-3, -0x1.8746125c93c63p-3, -0x1.821c26205e154p-3, -0x1.7cfc45df8dc1bp-3, -0x1.77e68a6146e3bp-3, -0x1.72db0b100ce5ap-3, -0x1.6dd9ddffba65ep-3, -0x1.68e317f38487fp-3, -0x1.63f6cc63fba19p-3, -0x1.5f150d8506a14p-3, -0x1.5a3dec4be902dp-3, -0x1.5571787540d92p-3, -0x1.50afc08b05b96p-3, -0x1.4bf8d1ea83401p-3, -0x1.474cb8ca53962p-3, -0x1.42ab8040512a8p-3, -0x1.3e153247894cap-3, -0x1.3989d7c62438cp-3, -0x1.35097893461adp-3, -0x1.30941b7cf3965p-3, -0x1.2c29c64dddacep-3, -0x1.27ca7dd336707p-3, -0x1.237645e27099ep-3, -0x1.1f2d215effffap-3, -0x1.1aef124004f15p-3, -0x1.16bc1995f6b11p-3, -0x1.12943790419cfp-3, -0x1.0e776b82d3c0bp-3, -0x1.0a65b3eba4203p-3, -0x1.065f0e782cd08p-3, -0x1.0263780ad53b5p-3, -0x1.fce5d980a72dfp-4, -0x1.f51acfe9f608bp-4, -0x1.ed65c89408cbp-4, -0x1.e5c6b755826e6p-4, -0x1.de3d8ea3897a1p-4, -0x1.d6ca3f9bf3a81p-4, -0x1.cf6cba0f65393p-4, -0x1.c824ec8b3b827p-4, -0x1.c0f2c46367a55p-4, -0x1.b9d62dbc299d9p-4, -0x1.b2cf1393984a5p-4, -0x1.abdd5fcb2cfc1p-4, -0x1.a500fb3106e2p-4, -0x1.9e39cd8929302p-4, -0x1.9787bd968e58bp-4, -0x1.90eab12414eb8p-4, -0x1.8a628d0d553cep-4, -0x1.83ef35474d5adp-4, -0x1.7d908ce8ec499p-4, -0x1.774676337ce19p-4, -0x1.7110d29aeb61ap-4, -0x1.6aef82cdea1b9p-4, -0x1.64e266bdf2f1bp-4, -0x1.5ee95da7270cdp-4, -0x1.5904461808edap-4, -0x1.5332fdf916ff8p-4, -0x1.4d75629440862p-4, -0x1.47cb509c39d2dp-4, -0x1.4234a433ada3bp-4, -0x1.3cb138f449655p-4, -0x1.3740e9f5a9c94p-4, -0x1.31e391d422f25p-4, -0x1.2c990ab766259p-4, -0x1.27612e59074a5p-4, -0x1.223bd60adcf0cp-4, -0x1.1d28dabd4243cp-4, -0x1.1828150533dc3p-4, -0x1.13395d224c087p-4, -0x1.0e5c8b049e5b1p-4, -0x1.0991765271fa1p-4, -0x1.04d7f66ddaadep-4, -0x1.002fe27a31653p-4, -0x1.f73222c2d74bp-5, -0x1.ee26b3b2a7b15p-5, -0x1.e53d24d14439dp-5, -0x1.dc7522d7e4d95p-5, -0x1.d3ce5a35417a2p-5, -0x1.cb4877170164ap-5, -0x1.c2e32572f5e02p-5, -0x1.ba9e111011fb2p-5, -0x1.b278e58f2a615p-5, -0x1.aa734e7377f97p-5, -0x1.a28cf72ae0cf5p-5, -0x1.9ac58b160587bp-5, -0x1.931cb5901bcf5p-5, -0x1.8b9221f682124p-5, -0x1.84257bb02de6bp-5, -0x1.7cd66e34d4ce7p-5, -0x1.75a4a513e4699p-5, -0x1.6e8fcbfb4a1bep-5, -0x1.67978ebdfa4e9p-5, -0x1.60bb995a4d79dp-5, -0x1.59fb98002596bp-5, -0x1.53573716e1f4bp-5, -0x1.4cce234322dc1p-5, -0x1.4660096c5b394p-5, -0x1.400c96c230528p-5, -0x1.39d378c1af9eap-5, -0x1.33b45d3a4e6d3p-5, -0x1.2daef252c27ffp-5, -0x1.27c2e68dabd96p-5, -0x1.21efe8ce0fbf5p-5, -0x1.1c35a85bad099p-5, -0x1.1693d4e72259bp-5, -0x1.110a1e8deb816p-5, -0x1.0b9835de36cddp-5, -0x1.063dcbda8f655p-5, -0x1.00fa91fd65848p-5, -0x1.f79c7478d634ap-6, -0x1.ed70ee179bd24p-6, -0x1.e371f6c290fabp-6, -0x1.d99ef56e26f31p-6, -0x1.cff7521d6495fp-6, -0x1.c67a75e733096p-6, -0x1.bd27cafb70c04p-6, -0x1.b3febca7b4f7ep-6, -0x1.aafeb75be6e0dp-6, -0x1.a22728ae7fa18p-6, -0x1.99777f6096de6p-6, -0x1.90ef2b61b4da5p-6, -0x1.888d9dd360549p-6, -0x1.8052490c871b4p-6, -0x1.783ca09c922cdp-6, -0x1.704c194e53d96p-6, -0x1.6880292ac1d1ap-6, -0x1.60d8477b7148ep-6, -0x1.5953eccce60e3p-6, -0x1.51f292f0ab762p-6, -0x1.4ab3b4ff43c02p-6, -0x1.4396cf59df306p-6, -0x1.3c9b5fabf0ae8p-6, -0x1.35c0e4ec87fcap-6, -0x1.2f06df5f91308p-6, -0x1.286cd096d2076p-6, -0x1.21f23b72df7c9p-6, -0x1.1b96a423c5434p-6, -0x1.15599029a6379p-6, -0x1.0f3a86552970ep-6, -0x1.09390ec7bfec3p-6, -0x1.0354b2f3d519bp-6, -0x1.fb19fb3985cd5p-7, -0x1.efc2f5ad85ecbp-7, -0x1.e4a3700d69dc3p-7, -0x1.d9ba87c36596dp-7, -0x1.cf075cd94a73ap-7, -0x1.c48911f752eefp-7, -0x1.ba3ecc62b1ee7p-7, -0x1.b027b3fc0cea1p-7, -0x1.a642f33d9a98ep-7, -0x1.9c8fb7391fd81p-7, -0x1.930d2f95d06bap-7, -0x1.89ba8e8dd5accp-7, -0x1.809708ebcb5e7p-7, -0x1.77a1d60809d75p-7, -0x1.6eda2fc5bab0bp-7, -0x1.663f528fc8de6p-7, -0x1.5dd07d55c2b32p-7, -0x1.558cf1886d159p-7, -0x1.4d73f31651136p-7, -0x1.4584c86825496p-7, -0x1.3dbeba5d0801fp-7, -0x1.36211446b075ap-7, -0x1.2eab23e56eed7p-7, -0x1.275c396413b47p-7, -0x1.2033a753c8f24p-7, -0x1.1930c2a7c6f22p-7, -0x1.1252e2b0f6ae3p-7, -0x1.0b996119748c6p-7, -0x1.050399e00694dp-7, -0x1.fd21d6a6f7fe5p-8, -0x1.f0816c1be9ef5p-8, -0x1.e424b9e0493d2p-8, -0x1.d80a8a38ef2cbp-8, -0x1.cc31abe4341d6p-8, -0x1.c098f2103d7ddp-8, -0x1.b53f3450bc7a1p-8, -0x1.aa234e95062d6p-8, -0x1.9f44211dac98cp-8, -0x1.94a09072418bp-8, -0x1.8a378556dc73cp-8, -0x1.8007ecc1cc1fap-8, -0x1.7610b7d0fa7c9p-8, -0x1.6c50dbbf57676p-8, -0x1.62c751da279bbp-8, -0x1.5973177679ebdp-8, -0x1.50532de64a8fdp-8, -0x1.47669a6dd6061p-8, -0x1.3eac6638d9f08p-8, -0x1.36239e4fa8586p-8, -0x1.2dcb538c78968p-8, -0x1.25a29a9067732p-8, -0x1.1da88bb8ce3f9p-8, -0x1.15dc43145078fp-8, -0x1.0e3ce058046ffp-8, -0x1.06c986d4a65b8p-8, -0x1.ff02bad7654b4p-9, -0x1.f0c71d095f052p-9, -0x1.e2de9004baf49p-9, -0x1.d547766faeaddp-9, -0x1.c80039bbfef5fp-9, -0x1.bb074a11402f7p-9, -0x1.ae5b1e37b196bp-9, -0x1.a1fa3382d4f0ap-9, -0x1.95e30dbc655dp-9, -0x1.8a14370f0b2a9p-9, -0x1.7e8c3ff165cd3p-9, -0x1.7349bf112356cp-9, -0x1.684b513e136ecp-9, -0x1.5d8f9955b3e35p-9, -0x1.5315402e57551p-9, -0x1.48daf482a835cp-9, -0x1.3edf6add55ffep-9, -0x1.35215d84fbd9ap-9, -0x1.2b9f8c67bbc9p-9, -0x1.2258bd07cf596p-9, -0x1.194bba66ed549p-9, -0x1.107754f3350b3p-9, -0x1.07da627359a61p-9, -0x1.fee77be6a384bp-10, -0x1.ee848f6225c0cp-10, -0x1.de89ca12f0565p-10, -0x1.cef500cad2da5p-10, -0x1.bfc4124da0f5dp-10, -0x1.b0f4e72c8584dp-10, -0x1.a28571a0a8519p-10, -0x1.9473ad672234bp-10, -0x1.86bd9f9c2d4cbp-10, -0x1.7961569796178p-10, -0x1.6c5ce9c8c195cp-10, -0x1.5fae7993ed8f1p-10, -0x1.53542f2ef85cbp-10, -0x1.474c3c7f0b033p-10, -0x1.3b94dbf648ed1p-10, -0x1.302c507229a82p-10, -0x1.2510e5196f8e9p-10, -0x1.1a40ed3ba3ffcp-10, -0x1.0fbac4303aa71p-10, -0x1.057ccd35fa1d3p-10, -0x1.f70ae6a5b6a4cp-11, -0x1.e3a65268e22e6p-11, -0x1.d0c8d2215fd28p-11, -0x1.be6f690d620aep-11, -0x1.ac972900b15d6p-11, -0x1.9b3d3227cd016p-11, -0x1.8a5eb2cc588fp-11, -0x1.79f8e719e58ebp-11, -0x1.6a0918e335f3cp-11, -0x1.5a8c9f694080cp-11, -0x1.4b80df21e48e1p-11, -0x1.3ce3497fdf254p-11, -0x1.2eb15cbaf133fp-11, -0x1.20e8a39953756p-11, -0x1.1386b539702adp-11, -0x1.068934dcb2b3p-11, -0x1.f3dba364b0105p-12, -0x1.db648d489c53ep-12, -0x1.c3a8b44653221p-12, -0x1.aca3bbe7c7806p-12, -0x1.96515dfa9f0ccp-12, -0x1.80ad6a2edc059p-12, -0x1.6bb3c5b5b21b8p-12, -0x1.57606ae0e66bfp-12, -0x1.43af68c517edap-12, -0x1.309ce2dc1b3acp-12, -0x1.1e2510a9869a8p-12, -0x1.0c443d5f0297fp-12, -0x1.f5ed8f09eefbap-13, -0x1.d472414207a21p-13, -0x1.b40f99c0d9376p-13, -0x1.94bec5832b244p-13, -0x1.767915819b7fdp-13, -0x1.5937fe09a3cb4p-13, -0x1.3cf5161a2d34fp-13, -0x1.21aa16c4185d7p-13, -0x1.0750da8a3a66cp-13, -0x1.dbc6b98c18f31p-14, -0x1.aab7721c56525p-14, -0x1.7b68553c8dea8p-14, -0x1.4dce1784c8be6p-14, -0x1.21ddaa891bd1p-14, -0x1.ef187770464aep-15, -0x1.9d9e667f0d1ffp-15, -0x1.4f3865e5ce50fp-15, -0x1.03d22a74b69ccp-15, -0x1.76afb0051a2f8p-16, -0x1.d6d7fd61a36e2p-17, -0x1.96cce1196452fp-18, 0x1.a9fda12abdc54p-20, 0x1.2b6342ce7cbddp-17, 0x1.0ba5bce591032p-16, 0x1.7c9f05a9f87d3p-16, 0x1.e8bf929060dd3p-16, 0x1.28145def3da48p-15, 0x1.597d8f7bd06abp-15, 0x1.88ab50f5c5e01p-15, 0x1.b5ad3b81fb75cp-15, 0x1.e092901c71ec4p-15, 0x1.04b51ca795ae9p-14, 0x1.182166710523ap-14, 0x1.2a9546be7a753p-14, 0x1.3c17b625a6318p-14, 0x1.4caf854895b62p-14, 0x1.5c635d9d45d33p-14, 0x1.6b39c2355b14p-14, 0x1.7939107c9eb96p-14, 0x1.866780fc972fcp-14, 0x1.92cb28122c442p-14, 0x1.9e69f6a907857p-14, 0x1.a949baec57b72p-14, 0x1.b37020fc856aep-14, 0x1.bce2b39a4cd52p-14, 0x1.c5a6dcd3d9947p-14, 0x1.cdc1e6aacbb4dp-14, 0x1.d538fbbcaa8cfp-14, 0x1.dc1127e20db63p-14, 0x1.e24f58ceae667p-14, 0x1.e7f85ead89c96p-14, 0x1.ed10ecbab0df5p-14, 0x1.f19d99db5600dp-14, 0x1.f5a2e12f610e7p-14, 0x1.f92522a57a21dp-14, 0x1.fc28a388c28d7p-14, 0x1.feb18f0bbb7b8p-14, 0x1.0061fb691cadbp-13, 0x1.0131e9bca4a4bp-13, 0x1.01ca828df89c6p-13, 0x1.022da9e91bc58p-13, 0x1.025d381b614d6p-13, 0x1.025af9eeb017bp-13, 0x1.0228b0e947646p-13, 0x1.01c813886fb8ap-13, 0x1.013acd7d85757p-13, 0x1.00827fe5a4ef8p-13, 0x1.ff418309f0226p-14, 0x1.fd2e3dfa863bdp-14, 0x1.face3609b948ap-14, 0x1.f8245d39d7c96p-14, 0x1.f533928c3ecdcp-14, 0x1.f1fea26781751p-14, 0x1.ee8846fe13f05p-14, 0x1.ead328b14bf73p-14, 0x1.e6e1de735305cp-14, 0x1.e2b6ee27a91bfp-14, 0x1.de54cd00a645cp-14, 0x1.d9bddfd9d8b2bp-14, 0x1.d4f47b963dfd4p-14, 0x1.cffae57358c47p-14, 0x1.cad35365855d3p-14, 0x1.c57fec695f139p-14, 0x1.c002c8d987b7ep-14, 0x1.ba5df2bf9d2f9p-14, 0x1.b4936623433bp-14, 0x1.aea5115b3d0d5p-14, 0x1.a894d558aa4b9p-14, 0x1.a26485f3c10c3p-14, 0x1.9c15ea3454bd7p-14, 0x1.95aabc9bf8db7p-14, 0x1.8f24ab6cbaaabp-14, 0x1.888558ef01e13p-14, 0x1.81ce5bb593628p-14, 0x1.7b013ee106365p-14, 0x1.741f82608715ap-14, 0x1.6d2a9b334b3fbp-14, 0x1.6623f3a6e3a64p-14, 0x1.5f0ceb95558dap-14, 0x1.57e6d8a0c3567p-14, 0x1.50b30670e978ap-14, 0x1.4972b6eab1befp-14, 0x1.4227226ade0f8p-14, 0x1.3ad177fc55f3cp-14, 0x1.3372dd9079807p-14, 0x1.2c0c7032c9b3dp-14, 0x1.249f443eb10bbp-14, 0x1.1d2c659336b32p-14, 0x1.15b4d7c33d002p-14, 0x1.0e3996490d5bfp-14, 0x1.06bb94b4dae11p-14, 0x1.fe777dba1e845p-15, 0x1.ef75f21949073p-15, 0x1.e074405eb50e4p-15, 0x1.d17413fe14f63p-15, 0x1.c2770a5e8a844p-15, 0x1.b37eb32d8f1a7p-15, 0x1.a48c90b46b48fp-15, 0x1.95a218299cc7dp-15, 0x1.86c0b1ff3743p-15, 0x1.77e9ba335dfafp-15, 0x1.691e809a26e28p-15, 0x1.5a60492b27922p-15, 0x1.4bb04c48e5db5p-15, 0x1.3d0fb70afb651p-15, 0x1.2e7fab8125083p-15, 0x1.200140fae6e8dp-15, 0x1.11958449adac6p-15, 0x1.033d7803c94cap-15, 0x1.e9f42986872ecp-16, 0x1.cd9892cf6ce76p-16, 0x1.b169f6a09995p-16, 0x1.956a0d389d8bfp-16, 0x1.799a7cc7bac5ep-16, 0x1.5dfcd9e45fc1cp-16, 0x1.4292a80072a22p-16, 0x1.275d59d296b7bp-16, 0x1.0c5e51c7981ccp-16, 0x1.e32dc4d31293p-17, 0x1.ae109d965882ep-17, 0x1.796795d478bbfp-17, 0x1.4534f8265e50bp-17, 0x1.117af2886a55dp-17, 0x1.bc772e308a702p-18, 0x1.56f1b9a442cb4p-18, 0x1.e4d2810f0b44ep-19, 0x1.1dc290ea8d938p-19, 0x1.62e927d449305p-21, -0x1.a900397c39822p-21, -0x1.2b2691755c877p-19, -0x1.e9f3b51e0aedbp-19, -0x1.53512484505adp-18, -0x1.b096ba2541e0ap-18, -0x1.06642cc7ce53dp-17, -0x1.33f1f51b29992p-17, -0x1.60f3bddeed531p-17, -0x1.8d68a279882e1p-17, -0x1.b94fd14e6ef33p-17, -0x1.e4a88b3d8d16ep-17, -0x1.07b9118cc8109p-16, -0x1.1cd5fe93c5fccp-16, -0x1.31aac74de74fdp-16, -0x1.46372e90e6eb3p-16, -0x1.5a7aff2ede519p-16, -0x1.6e760bbe0ab46p-16, -0x1.82282e5ace44cp-16, -0x1.9591487099169p-16, -0x1.a8b14282c0003p-16, -0x1.bb880bf552c14p-16, -0x1.ce159ad5fb885p-16, -0x1.e059ebad6a22ap-16, -0x1.f25501477ea47p-16, -0x1.020372416d3adp-15, -0x1.0ab7d210fb998p-15, -0x1.1347aa4d8eaabp-15, -0x1.1bb307f50ccdp-15, -0x1.23f9fab1ddfddp-15, -0x1.2c1c94c3e3bc7p-15, -0x1.341aeaeba12cep-15, -0x1.3bf51454fa623p-15, -0x1.43ab2a82fd318p-15, -0x1.4b3d493b4188fp-15, -0x1.52ab8e735264ap-15, -0x1.59f61a3c25909p-15, -0x1.611d0eb043eep-15, -0x1.68208fe11b58fp-15, -0x1.6f00c3c5952c7p-15, -0x1.75bdd22825abep-15, -0x1.7c57e49613116p-15, -0x1.82cf264f92fc1p-15, -0x1.8923c4364d7fbp-15, -0x1.8f55ecbe38722p-15, -0x1.9565cfde862cdp-15, -0x1.9b539f022c2f1p-15, -0x1.a11f8cf96aff5p-15, -0x1.a6c9cdeb03e6ep-15, -0x1.ac5297463e90cp-15, -0x1.b1ba1fb60b48bp-15, -0x1.b7009f12fd6edp-15, -0x1.bc264e56673adp-15, -0x1.c12b678e65cedp-15, -0x1.c61025d098755p-15, -0x1.cad4c52eae686p-15, -0x1.cf7982aa00526p-15, -0x1.d3fe9c28851fdp-15, -0x1.d864506a3f83dp-15, -0x1.dcaadefcfb23cp-15, -0x1.e0d28832bb5abp-15, -0x1.e4db8d1760959p-15, -0x1.e8c62f665a4c3p-15, -0x1.ec92b180b2affp-15, -0x1.f0415663d66ccp-15, -0x1.f3d261a0622dcp-15, -0x1.f746175089172p-15, -0x1.fa9cbc0f3ff73p-15, -0x1.fdd694ef57e59p-15, -0x1.0079f3ba48a45p-14, -0x1.01fa7cc4fc1c6p-14, -0x1.036d08bd46148p-14, -0x1.04d1baf4c5a98p-14, -0x1.0628b6e591826p-14, -0x1.0772202e39232p-14, -0x1.08ae1a8e4be9ep-14, -0x1.09dcc9e3046fdp-14, -0x1.0afe5223e6f19p-14, -0x1.0c12d75f6df33p-14, -0x1.0d1a7db7b6594p-14, -0x1.0e15695f8f4f2p-14, -0x1.0f03be97ae90ap-14, -0x1.0fe5a1ab649ebp-14, -0x1.10bb36ede678dp-14, -0x1.1184a2b7b314fp-14, -0x1.12420963b5774p-14, -0x1.12f38f4cafbf5p-14, -0x1.139958ca7b83ep-14, -0x1.14338a2ffb42fp-14, -0x1.14c247c88cd2p-14, -0x1.1545b5d5c71b1p-14, -0x1.15bdf88d04affp-14, -0x1.162b34159b7c9p-14, -0x1.168d8c8686e13p-14, -0x1.16e525e42d5bfp-14, -0x1.1732241eab25cp-14, -0x1.1774ab0fddef3p-14, -0x1.17acde79751f6p-14, -0x1.17dae2031781ep-14, -0x1.17fed938b7cbcp-14, -0x1.1818e788fa996p-14, -0x1.18293043858bap-14, -0x1.182fd6977eac7p-14, -0x1.182cfd9202ff9p-14, -0x1.1820c81c932afp-14, -0x1.180b58fbaa749p-14, -0x1.17ecd2cd7adc3p-14, -0x1.17c55808777d1p-14, -0x1.17950afa398c8p-14, -0x1.175c0dc615e68p-14, -0x1.171a8264266fdp-14, -0x1.16d08a9fee689p-14, -0x1.167e4817793e1p-14, -0x1.1623dc3a3c793p-14, -0x1.15c16847d6e86p-14, -0x1.15570d4f7abe5p-14, -0x1.14e4ec2e9dc81p-14, -0x1.146b25907a109p-14, -0x1.13e9d9ece332dp-14, -0x1.1361298779e35p-14, -0x1.12d1346efed17p-14, -0x1.123a1a7c8ab25p-14, -0x1.119bfb52db5e3p-14, -0x1.10f6f65dbbf45p-14, -0x1.104b2ad13d6f4p-14, -0x1.0f98b7a8fffacp-14, -0x1.0edfbba7c429ap-14, -0x1.0e205556c50c2p-14, -0x1.0d5aa30544b72p-14, -0x1.0c8ec2c8202ep-14, -0x1.0bbcd27911837p-14, -0x1.0ae4efb665732p-14, -0x1.0a0737e2981f7p-14, -0x1.0923c823f311cp-14, -0x1.083abd64081a5p-14, -0x1.074c344f78bf3p-14, -0x1.06584955c7946p-14, -0x1.055f18a8a106cp-14, -0x1.0460be3bf7a45p-14, -0x1.035d55c5c7f18p-14, -0x1.0254fabd9543dp-14, -0x1.0147c85c3cb89p-14, -0x1.0035d99bfe37p-14, -0x1.fe3e92706246ap-15, -0x1.fc08635a37ac7p-15, -0x1.f9c95a6fe9bffp-15, -0x1.f781abad28422p-15, -0x1.f5318a8eb3802p-15, -0x1.f2d92a12677e5p-15, -0x1.f078bcb72e476p-15, -0x1.ee10747d0bd07p-15, -0x1.eba082e46ff38p-15, -0x1.e92918eeff1e5p-15, -0x1.e6aa671ee561ap-15, -0x1.e4249d7728f32p-15, -0x1.e197eb7bcd7c2p-15, -0x1.df0480318d1f9p-15, -0x1.dc6a8a1eba044p-15, -0x1.d9ca374aec8bfp-15, -0x1.d723b53ec5b75p-15, -0x1.d4773104ca905p-15, -0x1.d1c4d729c9c4p-15, -0x1.cf0cd3bc33617p-15, -0x1.cc4f524cc56dbp-15, -0x1.c98c7def5b0e4p-15, -0x1.c6c4813a994eep-15, -0x1.c3f78648ab8fep-15, -0x1.c125b6b77d2bbp-15, -0x1.be4f3ba8fdeb1p-15, -0x1.bb743dc34d415p-15, -0x1.b894e531a2529p-15, -0x1.b5b159a490686p-15, -0x1.b2c9c252b214dp-15, -0x1.afde45f8910e8p-15, -0x1.acef0ad97951ep-15, -0x1.a9fc36c00fbabp-15, -0x1.a705eefebbf0dp-15, -0x1.a40c587013c5dp-15, -0x1.a10f97773b67ap-15, -0x1.9e0fd000f0b57p-15, -0x1.9b0d2584125bep-15, -0x1.9807bb01bf895p-15, -0x1.94ffb305f054cp-15, -0x1.91f52fa8bb14fp-15, -0x1.8ee8528ea0093p-15, -0x1.8bd93ce8d10c7p-15, -0x1.88c80f75ecee4p-15, -0x1.85b4ea830ebfp-15, -0x1.829fedec26153p-15, -0x1.7f89391cb99bap-15, -0x1.7c70eb10af07p-15, -0x1.7957225499a13p-15, -0x1.763bfd069894fp-15, -0x1.731f98d6e2b91p-15, -0x1.7002130901746p-15, -0x1.6ce388749122ap-15, -0x1.69c415853cc1cp-15, -0x1.66a3d63bba254p-15, -0x1.6382e62edb6bfp-15, -0x1.6061608be239ap-15, -0x1.5d3f6017b5902p-15, -0x1.5a1cff2f3fd89p-15, -0x1.56fa57c80edacp-15, -0x1.53d78371bbab1p-15, -0x1.50b49b5615e6p-15, -0x1.4d91b83a10665p-15, -0x1.4a6ef27e63c1fp-15, -0x1.474c6220cef25p-15, -0x1.442a1ebcafbbp-15, -0x1.41083f8b6a6d3p-15, -0x1.3de6db6541b7ap-15, -0x1.3ac608c276856p-15, -0x1.37a5ddbc183cdp-15, -0x1.3486700c99301p-15, -0x1.3167d5109f947p-15, -0x1.2e4a21c7a1dffp-15, -0x1.2b2d6ad4dd957p-15, -0x1.2811c48024fddp-15, -0x1.24f742b6c16b3p-15, -0x1.21ddf90c5bf79p-15, -0x1.1ec5fabb8dfe9p-15, -0x1.1baf5aa6ae1eap-15, -0x1.189a2b589d961p-15, -0x1.15867f0561628p-15, -0x1.1274678b61d3fp-15, -0x1.0f63f6741a5f4p-15, }}, 
      {{-0x1.14a5d0aaf8b4cp-7, -0x1.13c1af42da951p-6, -0x1.9c289fd71c3a2p-6, -0x1.1215f25892461p-5, -0x1.5676dab9561bbp-5, -0x1.9bddd564e048fp-5, -0x1.e2e69c6ce981p-5, -0x1.160661303f851p-4, -0x1.3bd086fb52195p-4, -0x1.62e35983d7d3ap-4, -0x1.8b3aecbe0f60ap-4, -0x1.b4c0aca306457p-4, -0x1.df4f0bf8c061cp-4, -0x1.055aba39a06b4p-3, -0x1.1b5e0bc5c30c7p-3, -0x1.3193b1cbdfb6cp-3, -0x1.47dd7de9fb677p-3, -0x1.5e1e12da2615fp-3, -0x1.7439d5ba78114p-3, -0x1.8a179e583d57ep-3, -0x1.9fa12d79edbb1p-3, -0x1.b4c371649bc9cp-3, -0x1.c96ea12a7e418p-3, -0x1.dd963702be53ap-3, -0x1.f130d13c6ca2bp-3, -0x1.021c003e96cc5p-2, -0x1.0b540483a0b37p-2, -0x1.143fcde7b79fbp-2, -0x1.1cdfc5a397907p-2, -0x1.25353f78bf156p-2, -0x1.2d42541237d05p-2, -0x1.3509bcdfb36cdp-2, -0x1.3c8eb20e794ep-2, -0x1.43d4cb0e8b3bap-2, -0x1.4adfe1e7b9b7cp-2, -0x1.51b3f980638d1p-2, -0x1.585526dd56a82p-2, -0x1.5ec77d4e3a779p-2, -0x1.650efd6b2a922p-2, -0x1.6b2f86bd94831p-2, -0x1.712ccbe75ce39p-2, -0x1.770a4916db7f8p-2, -0x1.7ccb3c940ed55p-2, -0x1.8272a132bc9a8p-2, -0x1.88032a75e2388p-2, -0x1.8d7f423265c99p-2, -0x1.92e907813a765p-2, -0x1.98424ed3da0d3p-2, -0x1.9d8ca300f9f9dp-2, -0x1.a2c94722885b9p-2, -0x1.a7f9392143cfbp-2, -0x1.ad1d34cd6c63p-2, -0x1.b235b76744c2bp-2, -0x1.b743037d2142p-2, -0x1.bc452507a8aeep-2, -0x1.c13bf5afb3dbap-2, -0x1.c627212bc1eafp-2, -0x1.cb0629a5670f8p-2, -0x1.cfd86c1946eaap-2, -0x1.d49d24a637835p-2, -0x1.d95372c201477p-2, -0x1.ddfa5d4bd64fp-2, -0x1.e290d67627cep-2, -0x1.e715bf82c766p-2, -0x1.eb87ec4d83fb2p-2, -0x1.efe626a2767b9p-2, -0x1.f42f315e20f8ep-2, -0x1.f861cb5652eadp-2, -0x1.fc7cb20b7952cp-2, -0x1.003f521148dd5p-1, -0x1.023331d440c91p-1, -0x1.04195c0ffdd4ep-1, -0x1.05f1382db8fe8p-1, -0x1.07ba321273a6ep-1, -0x1.0973badacb6ap-1, -0x1.0b1d497fd831ap-1, -0x1.0cb65b6635061p-1, -0x1.0e3e74d86ba7dp-1, -0x1.0fb5216df65ep-1, -0x1.1119f460177f4p-1, -0x1.126c88cdbd33dp-1, -0x1.13ac81efab781p-1, -0x1.14d98b3e18508p-1, -0x1.15f35888e9a6cp-1, -0x1.16f9a603ae112p-1, -0x1.17ec38466802dp-1, -0x1.18cadc44373d8p-1, -0x1.19956738d856ep-1, -0x1.1a4bb68defbd9p-1, -0x1.1aedafb901d9ap-1, -0x1.1b7b4012ee7aap-1, -0x1.1bf45ca9b96f5p-1, -0x1.1c59020d5d2eep-1, -0x1.1ca9341856d52p-1, -0x1.1ce4fdb48fb67p-1, -0x1.1d0c709d39dc6p-1, -0x1.1d1fa51e2de91p-1, -0x1.1d1eb9d148d41p-1, -0x1.1d09d35a42018p-1, -0x1.1ce11c215ff51p-1, -0x1.1ca4c40d77291p-1, -0x1.1c55003d80e2p-1, -0x1.1bf20ac224279p-1, -0x1.1b7c2257734bfp-1, -0x1.1af38a1f21846p-1, -0x1.1a58895b69169p-1, -0x1.19ab6b2ad600cp-1, -0x1.18ec7e4522a0cp-1, -0x1.181c14b94c2e2p-1, -0x1.173a83ad026d8p-1, -0x1.1648231d919fcp-1, -0x1.15454da25aaedp-1, -0x1.14326030f54ebp-1, -0x1.130fb9e3069f5p-1, -0x1.11ddbbbddf019p-1, -0x1.109cc87be85afp-1, -0x1.0f4d4457ea801p-1, -0x1.0def94da30546p-1, -0x1.0c8420a78ac21p-1, -0x1.0b0b4f5237b43p-1, -0x1.0985892ca91c4p-1, -0x1.07f3371e2c3bep-1, -0x1.0654c2796b7bcp-1, -0x1.04aa94d4c668bp-1, -0x1.02f517e47a904p-1, -0x1.0134b55695533p-1, -0x1.fed3ad614df2ep-2, -0x1.fb29ca5e5b9a6p-2, -0x1.f76c934d64651p-2, -0x1.f39cd8cd0d853p-2, -0x1.efbb6a3a488e4p-2, -0x1.ebc9157c2f62dp-2, -0x1.e7c6a6d2e944fp-2, -0x1.e3b4e8a988c2dp-2, -0x1.df94a36ac9dfcp-2, -0x1.db669d5895a46p-2, -0x1.d72b9a663ec5dp-2, -0x1.d2e45c1556d8ep-2, -0x1.ce91a1550a083p-2, -0x1.ca342663ec31p-2, -0x1.c5cca4b41d046p-2, -0x1.c15bd2d1afd15p-2, -0x1.bce2644b44f04p-2, -0x1.b861099cb6e88p-2, -0x1.b3d8701bcd3b8p-2, -0x1.af4941e6ddf7ep-2, -0x1.aab425d54b9bfp-2, -0x1.a619bf69c553bp-2, -0x1.a17aaec641a8cp-2, -0x1.9cd790a193181p-2, -0x1.9830fe3e90d5ep-2, -0x1.93878d64b6484p-2, -0x1.8edbd05a33101p-2, -0x1.8a2e55df51ad8p-2, -0x1.857fa92b26adbp-2, -0x1.80d051e97d618p-2, -0x1.7c20d439e89d2p-2, -0x1.7771b0aff2a7fp-2, -0x1.72c3645457422p-2, -0x1.6e1668a73b6dfp-2, -0x1.696b33a355ccap-2, -0x1.64c237c1f8286p-2, -0x1.601be3fff2b33p-2, -0x1.5b78a3e33a8b4p-2, -0x1.56d8df815466ap-2, -0x1.523cfb866c87p-2, -0x1.4da5593d18018p-2, -0x1.49125696aea21p-2, -0x1.44844e343baap-2, -0x1.3ffb976ff12d8p-2, -0x1.3b7886671cbedp-2, -0x1.36fb6c048e724p-2, -0x1.3284960b6dd66p-2, -0x1.2e144f226fadap-2, -0x1.29aadedf6a36ep-2, -0x1.254889d339109p-2, -0x1.20ed9195eef4cp-2, -0x1.1c9a34d34b2f8p-2, -0x1.184eaf576bc72p-2, -0x1.140b3a1bb77edp-2, -0x1.0fd00b53f6e93p-2, -0x1.0b9d567b9a56p-2, -0x1.07734c631efadp-2, -0x1.03521b3d99edap-2, -0x1.fe73dd5caa4fep-3, -0x1.f655dfad115fap-3, -0x1.ee4a8ac636751p-3, -0x1.e6522734ea909p-3, -0x1.de6cf8d4ace5cp-3, -0x1.d69b3eeb581c1p-3, -0x1.cedd3444da1dbp-3, -0x1.c7330f4ecd1d6p-3, -0x1.bf9d023414204p-3, -0x1.b81b3af84d503p-3, -0x1.b0ade39333968p-3, -0x1.a955220bcfd6bp-3, -0x1.a211189386f96p-3, -0x1.9ae1e5a0f796dp-3, -0x1.93c7a40a9f556p-3, -0x1.8cc26b214b81bp-3, -0x1.85d24eca47ae1p-3, -0x1.7ef75f994b3aap-3, -0x1.7831aaea22416p-3, -0x1.71813afa0f42cp-3, -0x1.6ae61700d9422p-3, -0x1.646043498e3c7p-3, -0x1.5defc14af6758p-3, -0x1.57948fbfae0bep-3, -0x1.514eaabde2317p-3, -0x1.4b1e0bcec1ddap-3, -0x1.4502aa0586b38p-3, -0x1.3efc7a1624304p-3, -0x1.390b6e6b98bb4p-3, -0x1.332f773ddfb65p-3, -0x1.2d6882a77ae22p-3, -0x1.27b67cbaa128bp-3, -0x1.22194f9602f9p-3, -0x1.1c90e3793084fp-3, -0x1.171d1ed8920bp-3, -0x1.11bde67102e34p-3, -0x1.0c731d5b02ff2p-3, -0x1.073ca51d809d1p-3, -0x1.021a5dc03cd54p-3, -0x1.fa184bbb97becp-4, -0x1.f023b56a55d3fp-4, -0x1.e656b075e517fp-4, -0x1.dcb0f25444995p-4, -0x1.d3322e29134e6p-4, -0x1.c9da14e587f7dp-4, -0x1.c0a85567b916ep-4, -0x1.b79c9c9903b67p-4, -0x1.aeb6958bbb3d8p-4, -0x1.a5f5e99817bfp-4, -0x1.9d5a40784da93p-4, -0x1.94e34063fcec9p-4, -0x1.8c908e2ad032ap-4, -0x1.8461cd4e63026p-4, -0x1.7c56a01b6ed2ep-4, -0x1.746ea7c23dd14p-4, -0x1.6ca9846e66ddcp-4, -0x1.6506d55dd4affp-4, -0x1.5d8638f71ba6bp-4, -0x1.56274cdf20605p-4, -0x1.4ee9ae0e11644p-4, -0x1.47ccf8e3b4bf9p-4, -0x1.40d0c93b1124dp-4, -0x1.39f4ba7d6f379p-4, -0x1.333867b4b9ep-4, -0x1.2c9b6b9d3f68dp-4, -0x1.261d60b6d475fp-4, -0x1.1fbde1555f564p-4, -0x1.197c87b0c8b23p-4, -0x1.1358edf45d34fp-4, -0x1.0d52ae4d9816ep-4, -0x1.076962fa638f3p-4, -0x1.019ca656cac63p-4, -0x1.f7d825d44cddp-5, -0x1.ecae86e77aab2p-5, -0x1.e1bba5edd55fap-5, -0x1.d6feb98d75a61p-5, -0x1.cc76f92224d96p-5, -0x1.c2239cd2ad681p-5, -0x1.b803dda53dba4p-5, -0x1.ae16f592e394p-5, -0x1.a45c1f9a231f2p-5, -0x1.9ad297d0acc7p-5, -0x1.91799b743b66p-5, -0x1.885068faa228ap-5, -0x1.7f56402105ecap-5, -0x1.768a61fa551d4p-5, -0x1.6dec10fcf322fp-5, -0x1.657a910fafaeep-5, -0x1.5d352795fe9ebp-5, -0x1.551b1b7b7c15bp-5, -0x1.4d2bb53ec42f1p-5, -0x1.45663efb9dee5p-5, -0x1.3dca047486732p-5, -0x1.3656531b93a4dp-5, -0x1.2f0a7a1ac425fp-5, -0x1.27e5ca5bb30f7p-5, -0x1.20e7968eb89a3p-5, -0x1.1a0f333184bafp-5, -0x1.135bf69529228p-5, -0x1.0ccd38e39f4d3p-5, -0x1.06625424d5897p-5, -0x1.001aa44331b7fp-5, -0x1.f3eb0e1f5cba6p-6, -0x1.e7e4b88aec711p-6, -0x1.dc210b1a22c0fp-6, -0x1.d09eccfe59606p-6, -0x1.c55cc94de845cp-6, -0x1.ba59cf0814a19p-6, -0x1.af94b1183f08cp-6, -0x1.a50c465856715p-6, -0x1.9abf69929384bp-6, -0x1.90acf98294361p-6, -0x1.86d3d8d5c8d48p-6, -0x1.7d32ee2b3ff87p-6, -0x1.73c92412e012fp-6, -0x1.6a95690c0b1a7p-6, -0x1.6196af83b8ff9p-6, -0x1.58cbedd20e8abp-6, -0x1.50341e376bb5bp-6, -0x1.47ce3ed900fd2p-6, -0x1.3f9951bcfdf43p-6, -0x1.37945cc636a09p-6, -0x1.2fbe69af7a066p-6, -0x1.28168606732fbp-6, -0x1.209bc32626fc3p-6, -0x1.194d36312488ep-6, -0x1.1229f80b51aaep-6, -0x1.0b312553710c8p-6, -0x1.0461de5c50541p-6, -0x1.fb768e4b6410ap-7, -0x1.ee790ea9e7cfep-7, -0x1.e1c9945ad118ep-7, -0x1.d5667d110ad96p-7, -0x1.c94e2d9ba1ac3p-7, -0x1.bd7f11d526c33p-7, -0x1.b1f79c92b4859p-7, -0x1.a6b64792a5c69p-7, -0x1.9bb9936ad9945p-7, -0x1.91000776d26fbp-7, -0x1.868831c55841cp-7, -0x1.7c50a705ff94bp-7, -0x1.725802765550fp-7, -0x1.689ce5ceeb85p-7, -0x1.5f1df9301e661p-7, -0x1.55d9eb0ebe93p-7, -0x1.4ccf702087451p-7, -0x1.43fd43486cac3p-7, -0x1.3b622582d793ep-7, -0x1.32fcddd1c180dp-7, -0x1.2acc3928b1912p-7, -0x1.22cf0a58befcdp-7, -0x1.1b0429fc7699p-7, -0x1.136a7663a3c9p-7, -0x1.0c00d37f3fb72p-7, -0x1.04c62acd311fep-7, -0x1.fb72d6885b38cp-8, -0x1.edb3127f1729cp-8, -0x1.e04afcd654e14p-8, -0x1.d338935eac405p-8, -0x1.c679de3971bdap-8, -0x1.ba0cefb0d39c8p-8, -0x1.adefe4100a471p-8, -0x1.a220e17ba7578p-8, -0x1.969e17ca452c8p-8, -0x1.8b65c05d0add3p-8, -0x1.80761df8c7e3dp-8, -0x1.75cd7c9f1b52fp-8, -0x1.6b6a3167d2c5dp-8, -0x1.614a9a5aaab52p-8, -0x1.576d1e493cacbp-8, -0x1.4dd02ca9474bbp-8, -0x1.44723d6f246e7p-8, -0x1.3b51d0e8b47p-8, -0x1.326d6f987aadcp-8, -0x1.29c3aa112fb37p-8, -0x1.215318d182687p-8, -0x1.191a5c205757p-8, -0x1.11181be948689p-8, -0x1.094b079980652p-8, -0x1.01b1d5fd0f7bp-8, -0x1.f4968a38f926cp-9, -0x1.e62c3435b3129p-9, -0x1.d822422848715p-9, -0x1.ca7659f8060f9p-9, -0x1.bd262ef9ff15fp-9, -0x1.b02f81b047e7bp-9, -0x1.a3901f89c6c11p-9, -0x1.9745e2a2fe482p-9, -0x1.8b4eb187ac597p-9, -0x1.7fa87ef53e2fdp-9, -0x1.7451499def1fbp-9, -0x1.69471becdcc42p-9, -0x1.5e880bcad3d2p-9, -0x1.54123a64125d2p-9, -0x1.49e3d3eee1b9ap-9, -0x1.3ffb0f72b8994p-9, -0x1.36562e908d26dp-9, -0x1.2cf37d4bc8227p-9, -0x1.23d151d42ce03p-9, -0x1.1aee0c5061273p-9, -0x1.124816a96f04p-9, -0x1.09dde4571384fp-9, -0x1.01adf22cd54f2p-9, -0x1.f36d8c4ff7a38p-10, -0x1.e3edde7c55b57p-10, -0x1.d4da0a5a0c62ep-10, -0x1.c62f5094e1232p-10, -0x1.b7eb02ab796ddp-10, -0x1.aa0a8292e7302p-10, -0x1.9c8b425c58727p-10, -0x1.8f6ac3dbc330dp-10, -0x1.82a69850983e1p-10, -0x1.763c600f869eap-10, -0x1.6a29ca2e26672p-10, -0x1.5e6c942feb3dep-10, -0x1.530289b49c6cp-10, -0x1.47e984287f882p-10, -0x1.3d1f6a75668e9p-10, -0x1.32a230b5d7087p-10, -0x1.286fd7e95eefap-10, -0x1.1e866daa1bd23p-10, -0x1.14e40be3ea6cp-10, -0x1.0b86d88ce384ep-10, -0x1.026d055f14f5fp-10, -0x1.f3299f2805cafp-11, -0x1.e1f8ff41aff45p-11, -0x1.d144d1e8c00b6p-11, -0x1.c109d36c51503p-11, -0x1.b144d50dcd52p-11, -0x1.a1f2bc8431699p-11, -0x1.9310838231638p-11, -0x1.849b373e0a0f8p-11, -0x1.768ff7fc594ddp-11, -0x1.68ebf89d9272cp-11, -0x1.5bac7e2d0d9d8p-11, -0x1.4ecedf72bdfa7p-11, -0x1.42508487953e8p-11, -0x1.362ee66b53795p-11, -0x1.2a678e9d60ad7p-11, -0x1.1ef816b796b48p-11, -0x1.13de280a9005bp-11, -0x1.09177b3ceaa44p-11, -0x1.fd43afd85745cp-12, -0x1.e8f6289ff6de2p-12, -0x1.d54229bdcfcb8p-12, -0x1.c22397eb1d725p-12, -0x1.af9672ff10cb6p-12, -0x1.9d96d54422ebp-12, -0x1.8c20f2d29a57cp-12, -0x1.7b3118ece367fp-12, -0x1.6ac3ad600af7p-12, -0x1.5ad52de8cdd83p-12, -0x1.4b622f9ab64dfp-12, -0x1.3c675e4c0f8cp-12, -0x1.2de17c03e48a7p-12, -0x1.1fcd606c44524p-12, -0x1.1227f846a4f94p-12, -0x1.04ee44e52943cp-12, -0x1.f03ab74b6b649p-13, -0x1.d764cae0a4de4p-13, -0x1.bf553c70ae1c6p-13, -0x1.a806a902d4908p-13, -0x1.9173d1cc94c18p-13, -0x1.7b979b4666f82p-13, -0x1.666d0c46679e8p-13, -0x1.51ef4d1dd6813p-13, -0x1.3e19a6bef3133p-13, -0x1.2ae781e589be9p-13, -0x1.185466479b919p-13, -0x1.065bf9c827c0ap-13, -0x1.e9f3ff5fbcbe5p-14, -0x1.c854afd6b9a67p-14, -0x1.a7d1fc98cdff3p-14, -0x1.886413a3544b7p-14, -0x1.6a0357e66e06fp-14, -0x1.4ca85fe03d072p-14, -0x1.304bf4488c1f6p-14, -0x1.14e70ebf72dc4p-14, -0x1.f4e5b10f0c409p-15, -0x1.c1d1528df8cc8p-15, -0x1.90840ba205697p-15, -0x1.60f13deb28866p-15, -0x1.330ca0b43ac31p-15, -0x1.06ca3eb235af6p-15, -0x1.b83ce7a535af5p-16, -0x1.65fbd634bf08dp-16, -0x1.16bb3918ae04fp-16, -0x1.94cb2c80a62e5p-17, -0x1.01cc0b232581fp-17, -0x1.d14168670a9e6p-19, 0x1.3cf85f83aad2ap-21, 0x1.2d744e0b27453p-18, 0x1.149514e2fc608p-17, 0x1.8d84dc24c3acbp-17, 0x1.00d6887ab7924p-16, 0x1.38982ad2d71ecp-16, 0x1.6e18308fcfedep-16, 0x1.a167029669277p-16, 0x1.d2949a48c76fcp-16, 0x1.00d8424132032p-15, 0x1.1764f23d6e695p-15, 0x1.2cf7bb4d19034p-15, 0x1.4197c99758d9dp-15, 0x1.554c189350dfbp-15, 0x1.681b7450fd278p-15, 0x1.7a0c7ac1040bap-15, 0x1.8b259cec9f5cfp-15, 0x1.9b6d202c36dbfp-15, 0x1.aae91f50a048dp-15, 0x1.b99f8bc729a9fp-15, 0x1.c7962eb5080dp-15, 0x1.d4d2aa0df9b37p-15, 0x1.e15a799e5c46ap-15, 0x1.ed32f40f7c117p-15, 0x1.f8614be6f74bcp-15, 0x1.0175484025487p-14, 0x1.0669d77dc69ecp-14, 0x1.0b10b9941df5fp-14, 0x1.0f6c443557429p-14, 0x1.137ebd4c20c5ep-14, 0x1.174a5b679508ap-14, 0x1.1ad146247453dp-14, 0x1.1e159693f3e7ep-14, 0x1.2119579f41c4fp-14, 0x1.23de86671605cp-14, 0x1.266712a24eb0fp-14, 0x1.28b4def906765p-14, 0x1.2ac9c15e6ac36p-14, 0x1.2ca78366636e7p-14, 0x1.2e4fe29ad12c8p-14, 0x1.2fc490cc8408ap-14, 0x1.31073463bbdd3p-14, 0x1.321968ac453d3p-14, 0x1.32fcbe21be8adp-14, 0x1.33b2bab959377p-14, 0x1.343cda28471d8p-14, 0x1.349c8e297c2ccp-14, 0x1.34d33ec0adbe8p-14, 0x1.34e24a7c11fa3p-14, 0x1.34cb06b3c3342p-14, 0x1.348ebfc81ecf3p-14, 0x1.342eb95e0b1c7p-14, 0x1.33ac2e99d57bp-14, 0x1.330852579dedfp-14, 0x1.32444f6303bdap-14, 0x1.316148ace98ccp-14, 0x1.3060598039713p-14, 0x1.2f4295b43c45fp-14, 0x1.2e0909df09d95p-14, 0x1.2cb4bb851fb3fp-14, 0x1.2b46a94882c7ep-14, 0x1.29bfcb15ca74ep-14, 0x1.28211250cc40ap-14, 0x1.266b6a00031edp-14, 0x1.249fb6f610b1dp-14, 0x1.22bed7faf4813p-14, 0x1.20c9a5f37f351p-14, 0x1.1ec0f407c436bp-14, 0x1.1ca58fc872a65p-14, 0x1.1a784153603c3p-14, 0x1.1839cb7755ed2p-14, 0x1.15eaebd6629f1p-14, 0x1.138c5b079b67bp-14, 0x1.111eccb74e097p-14, 0x1.0ea2efc7213e9p-14, 0x1.0c196e6c8e383p-14, 0x1.0982ee4f883bp-14, 0x1.06e010a73222dp-14, 0x1.04317256e949bp-14, 0x1.0177ac099742ep-14, 0x1.fd66a49949a82p-15, 0x1.f7c9eb53a436fp-15, 0x1.f21a458252619p-15, 0x1.ec58c4c3b094dp-15, 0x1.e6867343dba2p-15, 0x1.e0a453ecafa5ap-15, 0x1.dab36292a65e6p-15, 0x1.d4b49422694d6p-15, 0x1.cea8d6cb1f3efp-15, 0x1.c89112288d834p-15, 0x1.c26e276ceeee9p-15, 0x1.bc40f188a1cebp-15, 0x1.b60a455164bf1p-15, 0x1.afcaf1a7f2a2cp-15, 0x1.a983bf9c7842dp-15, 0x1.a33572933e2b2p-15, 0x1.9ce0c86733ef3p-15, 0x1.9686798c4c3bep-15, 0x1.902739308aed3p-15, 0x1.89c3b55c52623p-15, 0x1.835c9712b40fdp-15, 0x1.7cf2826f65f3ep-15, 0x1.768616c4b1e87p-15, 0x1.7017eeb86867p-15, 0x1.69a8a06138e6p-15, 0x1.6338bd615ebebp-15, 0x1.5cc8d30289afdp-15, 0x1.56596a4fc2718p-15, 0x1.4feb082ef536fp-15, 0x1.497e2d7a6d0e3p-15, 0x1.431357182f92fp-15, 0x1.3caafe1337748p-15, 0x1.364597b16dfefp-15, 0x1.2fe3958ade17dp-15, 0x1.298565a06ff96p-15, 0x1.232b72707b2aap-15, 0x1.1cd6230bde223p-15, 0x1.1685db2b0d436p-15, 0x1.103afb418eb1fp-15, 0x1.09f5e091a49f9p-15, 0x1.03b6e53fe4ddcp-15, 0x1.fafcc0c9e78c6p-16, 0x1.ee994c40ee4bp-16, 0x1.e2440f54d2c0bp-16, 0x1.d5fda6c8f321ep-16, 0x1.c9c6a9d68ba02p-16, 0x1.bd9faa4c73a0ep-16, 0x1.b18934b045678p-16, 0x1.a583d05e05ae4p-16, 0x1.998fffa73b215p-16, 0x1.8dae3ff04f05bp-16, 0x1.81df09ce38d09p-16, 0x1.7622d1233a834p-16, 0x1.6a7a053a8571ep-16, 0x1.5ee510e5206aep-16, 0x1.53645a92df38fp-16, 0x1.47f8446e151abp-16, 0x1.3ca12c74dcf94p-16, 0x1.315f6c910b58cp-16, 0x1.26335ab350b28p-16, 0x1.1b1d48e8d6c28p-16, 0x1.101d85734e91fp-16, 0x1.05345ae0a2468p-16, 0x1.f4c42040d42a9p-17, 0x1.df4dd135bb5a6p-17, 0x1.ca06488c1c27bp-17, 0x1.b4edff750a9cap-17, 0x1.a005689017055p-17, 0x1.8b4cf0147bf62p-17, 0x1.76c4fbf842a01p-17, 0x1.626dec1554ccep-17, 0x1.4e481a5219329p-17, 0x1.3a53dac32b3a9p-17, 0x1.26917bd283158p-17, 0x1.130146628c245p-17, 0x1.ff46fbe018e76p-18, 0x1.d8f0c16657f18p-18, 0x1.b3004f87a642p-18, 0x1.8d760e6cea9c1p-18, 0x1.68525c7e77fedp-18, 0x1.43958ea228b8ep-18, 0x1.1f3ff07442f9fp-18, 0x1.f6a3890fc2a97p-19, 0x1.af968941a7081p-19, 0x1.695943da8e8b2p-19, 0x1.23ec0a7bfe3c1p-19, 0x1.be9e3cf790fc7p-20, 0x1.370562a2d2e7p-20, 0x1.621b93eef9a3dp-21, 0x1.65bcc732cf0abp-23, -0x1.57f49faa44178p-22, -0x1.ae2118b423769p-21, -0x1.5682c40642d6bp-20, -0x1.d4541989c2e97p-20, -0x1.284278e59be6ep-19, -0x1.658ae59413abap-19, -0x1.a2039e6c326dp-19, -0x1.ddacfb1b13149p-19, -0x1.0c43af8233f28p-18, -0x1.29499c787e788p-18, -0x1.45e8815cc69a3p-18, -0x1.6220a07a1def9p-18, -0x1.7df24151ddd48p-18, -0x1.995db0754bb0bp-18, -0x1.b4633f601b787p-18, -0x1.cf03444ceb927p-18, -0x1.e93e1a162cc8ap-18, -0x1.018a1006f558bp-17, -0x1.0e42dcee3f343p-17, -0x1.1ac9a7ae9d855p-17, -0x1.271ea63e96b3ap-17, -0x1.3342108a670ebp-17, -0x1.3f34206532491p-17, -0x1.4af51179f4891p-17, -0x1.5685213928655p-17, -0x1.61e48ecb2a309p-17, -0x1.6d139b0049152p-17, -0x1.781288423bb8ep-17, -0x1.82e19a84ab1fbp-17, -0x1.8d811737c1331p-17, -0x1.97f1453aaea3ep-17, -0x1.a2326ccc50e52p-17, -0x1.ac44d77e7d7ddp-17, -0x1.b628d028fe179p-17, -0x1.bfdea2dc0dbacp-17, -0x1.c9669cd50253dp-17, -0x1.d2c10c710c3a8p-17, -0x1.dbee412170bfp-17, -0x1.e4ee8b5e6683ep-17, -0x1.edc23c9c57c69p-17, -0x1.f669a741302ebp-17, -0x1.fee51e9768b75p-17, -0x1.039a7b626054fp-16, -0x1.07acc25fa491bp-16, -0x1.0ba98f2121f5ep-16, -0x1.0f910ce207e61p-16, -0x1.1363673615424p-16, -0x1.1720ca04f653dp-16, -0x1.1ac96185302a4p-16, -0x1.1e5d5a3723063p-16, -0x1.21dce0e0f7ad1p-16, -0x1.25482289c8bd9p-16, -0x1.289f4c75b1e13p-16, -0x1.2be28c20fcbb1p-16, -0x1.2f120f3c66dd3p-16, -0x1.322e03a8bb859p-16, -0x1.3536977260638p-16, -0x1.382bf8ce0b3cdp-16, -0x1.3b0e5614b44cfp-16, -0x1.3dddddbfd6766p-16, -0x1.409abe658b6c5p-16, -0x1.434526b5da1bep-16, -0x1.45dd457609129p-16, -0x1.4863497dd014bp-16, -0x1.4ad761b3bdc7p-16, -0x1.4d39bd0aa008p-16, -0x1.4f8a8a7d81d65p-16, -0x1.51c9f90cdf104p-16, -0x1.53f837bba227ep-16, -0x1.5615758c7beap-16, -0x1.5821e17e986bp-16, -0x1.5a1daa8ae9d56p-16, -0x1.5c08ffa1ffbb1p-16, -0x1.5de40fa88bbb4p-16, -0x1.5faf0974dbdfbp-16, -0x1.616a1bccb9dafp-16, -0x1.63157562b3adep-16, -0x1.64b144d40a077p-16, -0x1.663db8a5a1013p-16, -0x1.67baff42f863ap-16, -0x1.692946faf6ea3p-16, -0x1.6a88bdfdf4056p-16, -0x1.6bd9925b6a6c3p-16, -0x1.6d1bf200b6bbdp-16, -0x1.6e500ab69ecd3p-16, -0x1.6f760a1f3ea49p-16, -0x1.708e1db444a42p-16, -0x1.719872c5b8d19p-16, -0x1.729536775a604p-16, -0x1.738495bf710cfp-16, -0x1.7466bd654dc52p-16, -0x1.753bd9ff8b2cep-16, -0x1.760417f23151bp-16, -0x1.76bfa36d4a7efp-16, -0x1.776ea86bf291dp-16, -0x1.781152b2b2284p-16, -0x1.78a7cdcd7ab26p-16, -0x1.7932450f6b5c1p-16, -0x1.79b0e3913c162p-16, -0x1.7a23d42ffc363p-16, -0x1.7a8b418b4492ap-16, -0x1.7ae75604b8b0bp-16, -0x1.7b383bbf1c945p-16, -0x1.7b7e1c9d38d81p-16, -0x1.7bb9224011d4bp-16, -0x1.7be976070755dp-16, -0x1.7c0f410e4ec5p-16, -0x1.7c2aac2df4cccp-16, -0x1.7c3bdff97cc9cp-16, -0x1.7c4304bee831dp-16, -0x1.7c404285b272fp-16, -0x1.7c33c10e497bap-16, -0x1.7c1da7d112f8p-16, -0x1.7bfe1dfe266cap-16, -0x1.7bd54a7cb5e44p-16, -0x1.7ba353e9cbd6ep-16, -0x1.7b686098215ebp-16, -0x1.7b24968feea95p-16, -0x1.7ad81b8e3d4edp-16, -0x1.7a831503fa87dp-16, -0x1.7a25a815a2261p-16, -0x1.79bff99affe4p-16, -0x1.79522e1f10689p-16, -0x1.78dc69df539e5p-16, -0x1.785ed0cb188efp-16, -0x1.77d9868430cf8p-16, -0x1.774cae5d9023cp-16, -0x1.76b86b5b5805dp-16, -0x1.761ce0335b837p-16, -0x1.757a2f4bead64p-16, -0x1.74d07abc39b5ep-16, -0x1.741fe44baca45p-16, -0x1.73688d723e877p-16, -0x1.72aa9758201acp-16, -0x1.71e622d5f52edp-16, -0x1.711b5073e797ap-16, -0x1.704a406a776bdp-16, -0x1.6f7312a201f5bp-16, -0x1.6e95e6b33e5cbp-16, -0x1.6db2dbe66a83fp-16, -0x1.6cca1133da6f8p-16, -0x1.6bdba543e07cfp-16, -0x1.6ae7b66ee01f5p-16, -0x1.69ee62bd6717dp-16, -0x1.68efc7e824178p-16, -0x1.67ec03588a515p-16, -0x1.66e33227f38a7p-16, -0x1.65d5712055afbp-16, -0x1.64c2dcbcc8dccp-16, -0x1.63ab912924a42p-16, -0x1.628faa424a472p-16, -0x1.616f43965da2dp-16, -0x1.604a7864bbd21p-16, -0x1.5f21639edf99ap-16, -0x1.5df41fe831d97p-16, -0x1.5cc2c7961ad79p-16, -0x1.5b8d74b0305e4p-16, -0x1.5a5440f12fc66p-16, -0x1.591745c6cc3eap-16, -0x1.57d69c51fe0f9p-16, -0x1.56925d66f14ffp-16, -0x1.554aa18e2c9c1p-16, -0x1.53ff81043cc71p-16, -0x1.52b113ba70ecfp-16, -0x1.515f715681d1p-16, -0x1.500ab133b4fadp-16, -0x1.4eb2ea635f22cp-16, -0x1.4d5833ac0d769p-16, -0x1.4bfaa38ac9238p-16, -0x1.4a9a5033d9e45p-16, -0x1.49374f925427bp-16, -0x1.47d1b748d2f85p-16, -0x1.46699cb1ed71cp-16, -0x1.44ff14e0589ddp-16, -0x1.4392349fdc73ep-16, -0x1.4223107562421p-16, -0x1.40b1bc9fa255ep-16, -0x1.3f3e4d16c708p-16, -0x1.3dc8d58df4ba8p-16, -0x1.3c5169732dbecp-16, -0x1.3ad81bf0480c8p-16, -0x1.395cffea5c6c4p-16, -0x1.37e02802db2abp-16, -0x1.3661a6985b9f3p-16, -0x1.34e18dc6aa952p-16, -0x1.335fef677178ap-16, -0x1.31dcdd11e2077p-16, -0x1.3058681ca55a8p-16, -0x1.2ed2a19d9d35p-16, -0x1.2d4b9a69ce665p-16, -0x1.2bc363167a892p-16, -0x1.2a3a0bfa42674p-16, -0x1.28afa52c4ff75p-16, -0x1.27243e8598759p-16, -0x1.2597e7a14b5bap-16, -0x1.240aafdd0d771p-16, -0x1.227ca65a29b71p-16, -0x1.20edd9fd51c35p-16, -0x1.1f5e596f8bc61p-16, -0x1.1dce331e4ff7bp-16, -0x1.1c3d753c715d5p-16, -0x1.1aac2dc266901p-16, -0x1.191a6a6f76384p-16, -0x1.178838c91f026p-16, -0x1.15f5a61c1825ep-16, -0x1.1462bf7d3b94ep-16, -0x1.12cf91c966478p-16, -0x1.113c29a6a799p-16, -0x1.0fa893840a83dp-16, -0x1.0e14db9a9d5d1p-16, -0x1.0c810dee06fd1p-16, -0x1.0aed364c7bf04p-16, -0x1.0959604f9250dp-16, -0x1.07c5975d050d6p-16, -0x1.0631e6a73efafp-16, -0x1.049e592d24ca1p-16, -0x1.030af9bb59493p-16, -0x1.0177d2ec36e86p-16, -0x1.ffc9de518c528p-17, -0x1.fca4b1526625fp-17, -0x1.f98032ea4ffafp-17, -0x1.f65c76c8aa122p-17, -0x1.f339903d4ae23p-17, -0x1.f017923a5207p-17, -0x1.ecf68f555ca98p-17, -0x1.e9d699c84aefbp-17, -0x1.e6b7c3719956dp-17, -0x1.e39a1dd5c1c84p-17, -0x1.e07dba20cc3d7p-17, -0x1.dd62a92693ecdp-17, -0x1.da48fb6412c0dp-17, -0x1.d730c100324f5p-17, -0x1.d41a09ccd505cp-17, -0x1.d104e54879894p-17, -0x1.cdf1629e41eb3p-17, -0x1.cadf90a6ac20cp-17, -0x1.c7cf7de97d721p-17, -0x1.c4c1389f16967p-17, -0x1.c1b4ceb0034bcp-17, -0x1.beaa4db63a45dp-17, -0x1.bba1c2fef01d6p-17, -0x1.b89b3b8a779b7p-17, -0x1.b596c40e11c66p-17, -0x1.b29468f4f42c3p-17, -0x1.af94366027bcap-17, -0x1.ac96382858d6cp-17, -0x1.a99a79de435e9p-17, -0x1.a6a106cb7269bp-17, -0x1.a3a9e9f3f097ap-17, -0x1.a0b52e17064d4p-17, -0x1.9dc2ddaf40e98p-17, -0x1.9ad302f3fda57p-17, -0x1.97e5a7da62e63p-17, -0x1.94fad615d2167p-17, -0x1.9212971957255p-17, -0x1.8f2cf417df496p-17, }}, 
      {{-0x1.d38113f514354p-2, -0x1.d3ac29aa67cc9p-2, -0x1.d3ec76b46ee2fp-2, -0x1.d4451cfc2ac8ap-2, -0x1.d4c088b960953p-2, -0x1.d56c8a00f7074p-2, -0x1.d656a24b311e6p-2, -0x1.d7896aa1fcd75p-2, -0x1.d90b2d5768edap-2, -0x1.dadd7a84f038ap-2, -0x1.dcfd6995b5c58p-2, -0x1.df6441959e692p-2, -0x1.e208528d6ac56p-2, -0x1.e4dddad8ae9c5p-2, -0x1.e7d7e0f4b856ep-2, -0x1.eae8f44d9d3f3p-2, -0x1.ee03ce888d6bbp-2, -0x1.f11bd36de892fp-2, -0x1.f42570863a047p-2, -0x1.f7165f3b32fa2p-2, -0x1.f9e5cd383b5d9p-2, -0x1.fc8c6f21be4a8p-2, -0x1.ff0481b7fadf1p-2, -0x1.00a4de9e91521p-1, -0x1.01ac9f4ba2c37p-1, -0x1.0298b49b548adp-1, -0x1.0368e22a0df4fp-1, -0x1.041d6ad45d9e2p-1, -0x1.04b6fdab116f5p-1, -0x1.0536a32b07b4dp-1, -0x1.059dab3a26df2p-1, -0x1.05ed9c46daddbp-1, -0x1.062823c93d1a9p-1, -0x1.064f084c3dfc4p-1, -0x1.06641d1134eb9p-1, -0x1.066937509a498p-1, -0x1.0660250ebfa92p-1, -0x1.064aa5728d47cp-1, -0x1.062a62861aeacp-1, -0x1.0600ec44eb3d6p-1, -0x1.05cfb4d93b528p-1, -0x1.05980de8d5c12p-1, -0x1.055b26d1ec9f4p-1, -0x1.051a0bb948248p-1, -0x1.04d5a54c8d5d7p-1, -0x1.048eb91d1c891p-1, -0x1.0445ea7a1a06fp-1, -0x1.03fbbbb2653fap-1, -0x1.03b08fa9753a6p-1, -0x1.0364abac50f2fp-1, -0x1.0318397602581p-1, -0x1.02cb4954ebcfep-1, -0x1.027dd4645deeap-1, -0x1.022fbecf9359p-1, -0x1.01e0da14e01bfp-1, -0x1.0190e741633f6p-1, -0x1.013f991ee299ep-1, -0x1.00ec964eb085p-1, -0x1.00977b4d8db8ep-1, -0x1.003fdc5d6a642p-1, -0x1.ffca8ea57f801p-2, -0x1.ff0e8a87dc5a2p-2, -0x1.fe4ab833620c2p-2, -0x1.fd7e20006579fp-2, -0x1.fca7c97198809p-2, -0x1.fbc6bd998fad7p-2, -0x1.fada0943b3923p-2, -0x1.f9e0bee270c62p-2, -0x1.f8d9f844dd0e6p-2, -0x1.f7c4d81655fc9p-2, -0x1.f6a08b2ad44dcp-2, -0x1.f56c499ad2134p-2, -0x1.f42757b1beb3ep-2, -0x1.f2d106b202dfep-2, -0x1.f168b5719cb77p-2, -0x1.efedd0d24a5ebp-2, -0x1.ee5fd4183d9c6p-2, -0x1.ecbe4922295b9p-2, -0x1.eb08c88570aa9p-2, -0x1.e93ef9911d649p-2, -0x1.e760923a25eadp-2, -0x1.e56d56f368c5ep-2, -0x1.e3651a73a55dap-2, -0x1.e147bd6b93235p-2, -0x1.df152e2e1c633p-2, -0x1.dccd684c97bc1p-2, -0x1.da707428bea23p-2, -0x1.d7fe667e01ddap-2, -0x1.d5775fe3af35dp-2, -0x1.d2db8c4953217p-2, -0x1.d02b226e8ac79p-2, -0x1.cd6663577407p-2, -0x1.ca8d99bebf70ep-2, -0x1.c7a1198657dd3p-2, -0x1.c4a13f27794ccp-2, -0x1.c18e6f22f4374p-2, -0x1.be6915725358ep-2, -0x1.bb31a4fa74415p-2, -0x1.b7e8970022e5bp-2, -0x1.b48e6a9f28cc9p-2, -0x1.b123a4443e377p-2, -0x1.ada8cd2a2ce5cp-2, -0x1.aa1e72da7870ep-2, -0x1.a68526b1c8f2fp-2, -0x1.a2dd7d684b6e3p-2, -0x1.9f280e9e322c2p-2, -0x1.9b65746c7a77dp-2, -0x1.97964afa0b7dap-2, -0x1.93bb30154139p-2, -0x1.8fd4c2d1f032cp-2, -0x1.8be3a32be3d0ap-2, -0x1.87e871add6c71p-2, -0x1.83e3cf1ce3e9dp-2, -0x1.7fd65c285b913p-2, -0x1.7bc0b91dfd94p-2, -0x1.77a385a279edap-2, -0x1.737f606e2b503p-2, -0x1.6f54e70df5a3fp-2, -0x1.6b24b5a82a1bdp-2, -0x1.66ef66c55ca4bp-2, -0x1.62b5931d0e883p-2, -0x1.5e77d1660bf62p-2, -0x1.5a36b62a63d2dp-2, -0x1.55f2d39edda55p-2, -0x1.51acb97dc2fbbp-2, -0x1.4d64f4e4ed51p-2, -0x1.491c1036e8f69p-2, -0x1.44d292ff1a15ap-2, -0x1.408901d8bc352p-2, -0x1.3c3fde58a01ep-2, -0x1.37f7a6f989c4bp-2, -0x1.33b0d70b0c5abp-2, -0x1.2f6be6a2cda9ep-2, -0x1.2b294a90067ffp-2, -0x1.26e974513289p-2, -0x1.22acd20bc6b16p-2, -0x1.1e73ce85da448p-2, -0x1.1a3ed121a23d4p-2, -0x1.160e3ddaa8ca3p-2, -0x1.11e27544a7f4p-2, -0x1.0dbbd48be6dabp-2, -0x1.099ab5770fdcp-2, -0x1.057f6e6a579e7p-2, -0x1.016a526befb87p-2, -0x1.fab762534006ap-3, -0x1.f2a7adfef9d86p-3, -0x1.eaa619ff46079p-3, -0x1.e2b331f5c39d7p-3, -0x1.dacf7b14930d2p-3, -0x1.d2fb743308f7ap-3, -0x1.cb3795e3ddcf5p-3, -0x1.c384528cb5681p-3, -0x1.bbe2167ee330ep-3, -0x1.b45148114d2d8p-3, -0x1.acd247bb4d25ep-3, -0x1.a56570307bce9p-3, -0x1.9e0b167d4803cp-3, -0x1.96c38a2444f9p-3, -0x1.8f8f153c141a6p-3, -0x1.886dfc8dd581cp-3, -0x1.81607fb416352p-3, -0x1.7a66d93a10328p-3, -0x1.73813ebb44343p-3, -0x1.6cafe10349fe3p-3, -0x1.65f2ec2dcd87ep-3, -0x1.5f4a87c6aa0dcp-3, -0x1.58b6d6ea0fb15p-3, -0x1.5237f864ac9ddp-3, -0x1.4bce06d3c8fafp-3, -0x1.457918c5479b6p-3, -0x1.3f3940d787008p-3, -0x1.390e8dd90f59fp-3, -0x1.32f90ae80f43p-3, -0x1.2cf8bf918e9c9p-3, -0x1.270daff05e8e2p-3, -0x1.2137dccbb97a6p-3, -0x1.1b7743b583145p-3, -0x1.15cbdf28323ffp-3, -0x1.1035a6a452469p-3, -0x1.0ab48ecd96182p-3, -0x1.0548898787459p-3, -0x1.ffe30c2365991p-4, -0x1.f55ee246da6ep-4, -0x1.eb046a0e1942dp-4, -0x1.e0d373696615cp-4, -0x1.d6cbc9d9144cep-4, -0x1.cced34a1064bap-4, -0x1.c33776fb2363fp-4, -0x1.b9aa5048ab825p-4, -0x1.b0457c4296514p-4, -0x1.a708b328be803p-4, -0x1.9df3a9f00fb69p-4, -0x1.9506126f8cap-4, -0x1.8c3f9b8c49ec3p-4, -0x1.839ff16443debp-4, -0x1.7b26bd7823b7cp-4, -0x1.72d3a6d3ec2b2p-4, -0x1.6aa652368ba89p-4, -0x1.629e62385c34cp-4, -0x1.5abb77708c98dp-4, -0x1.52fd309979984p-4, -0x1.4b632ab3f402dp-4, -0x1.43ed01297c137p-4, -0x1.3c9a4ded70006p-4, -0x1.356aa99d327c7p-4, -0x1.2e5dab9f4d07cp-4, -0x1.2772ea41902cap-4, -0x1.20a9fad6336b7p-4, -0x1.1a0271cffe81ap-4, -0x1.137be2dd78007p-4, -0x1.0d15e10322e0bp-4, -0x1.06cffeb4cc20ep-4, -0x1.00a9cdedee0fdp-4, -0x1.f545c09258dbep-5, -0x1.e9758e2ddb958p-5, -0x1.dde226e62ecd2p-5, -0x1.d28aacb3de387p-5, -0x1.c76e41784ca21p-5, -0x1.bc8c07242f892p-5, -0x1.b1e31fdc6977ep-5, -0x1.a772ae1d59955p-5, -0x1.9d39d4dca2343p-5, -0x1.9337b7a975db4p-5, -0x1.896b7acb68a96p-5, -0x1.7fd4435fdda91p-5, -0x1.767137760ce83p-5, -0x1.6d417e29b0c1cp-5, -0x1.64443fbc66a8dp-5, -0x1.5b78a5adbf3d2p-5, -0x1.52dddad21cf94p-5, -0x1.4a730b684e1fap-5, -0x1.4237652e0625ap-5, -0x1.3a2a177329efcp-5, -0x1.324a532c023b8p-5, -0x1.2a974b025d5a1p-5, -0x1.231033659ed65p-5, -0x1.1bb44299d1117p-5, -0x1.1482b0c5ba9b5p-5, -0x1.0d7ab7fffce53p-5, -0x1.069b945b4c804p-5, -0x1.ffc907e381934p-6, -0x1.f2a98dde8f60bp-6, -0x1.e5d73f36925fep-6, -0x1.d950a4c2f17cep-6, -0x1.cd144bb3ba3e2p-6, -0x1.c120c5a0476b9p-6, -0x1.b574a8945f0e3p-6, -0x1.aa0e8f1bf908ap-6, -0x1.9eed184dac2d2p-6, -0x1.940ee7d3d5855p-6, -0x1.8972a5f479cbp-6, -0x1.7f16ff97fbcf7p-6, -0x1.74faa64eb3c89p-6, -0x1.6b1c5055634a2p-6, -0x1.617ab898a15cdp-6, -0x1.58149eb742eccp-6, -0x1.4ee8c703d28ddp-6, -0x1.45f5fa850dbdep-6, -0x1.3d3b06f58fbefp-6, -0x1.34b6bec299db9p-6, -0x1.2c67f90a13d22p-6, -0x1.244d9197c196bp-6, -0x1.1c6668e1c21f6p-6, -0x1.14b164045e44fp-6, -0x1.0d2d6cbd291f3p-6, -0x1.05d971657f3d1p-6, -0x1.fd68c9d8e9cd2p-7, -0x1.ef7a7da05b8fep-7, -0x1.e1e5f62d5128cp-7, -0x1.d4a9348c2a494p-7, -0x1.c7c242b942bafp-7, -0x1.bb2f338fccc5p-7, -0x1.aeee22b7acd67p-7, -0x1.a2fd3492a813cp-7, -0x1.975a9628c4036p-7, -0x1.8c047d13fd56ep-7, -0x1.80f9276b5cdb4p-7, -0x1.7636dbad6a8ffp-7, -0x1.6bbbe8aa19a2ap-7, -0x1.6186a56c2374ep-7, -0x1.57957122001ddp-7, -0x1.4de6b30661aa6p-7, -0x1.4478da484a508p-7, -0x1.3b4a5df2c2cbp-7, -0x1.3259bcd44a9efp-7, -0x1.29a57d65f5583p-7, -0x1.212c2db247bcbp-7, -0x1.18ec633bd8e78p-7, -0x1.10e4bae3bca49p-7, -0x1.0913d8cfcc71fp-7, -0x1.01786850c7b05p-7, -0x1.f4223790adab7p-8, -0x1.e5b9591ddd139p-8, -0x1.d7b3b5b36613dp-8, -0x1.ca0edb406f547p-8, -0x1.bcc86504ad16bp-8, -0x1.afddfb5bf4329p-8, -0x1.a34d5389b8d0dp-8, -0x1.97142f84c9f1p-8, -0x1.8b305dc312d89p-8, -0x1.7f9fb905994f2p-8, -0x1.74602824a0295p-8, -0x1.696f9ddbe058bp-8, -0x1.5ecc1897223f7p-8, -0x1.5473a23f16e8fp-8, -0x1.4a64500667dd5p-8, -0x1.409c42374707bp-8, -0x1.3719a40118396p-8, -0x1.2ddaab46975e8p-8, -0x1.24dd986c61c71p-8, -0x1.1c20b627ddbb5p-8, -0x1.13a2594ea6a33p-8, -0x1.0b60e0a644e51p-8, -0x1.035ab4b46a101p-8, -0x1.f71c8f1f4a6cdp-9, -0x1.e7f4296119501p-9, -0x1.d9394186dc71cp-9, -0x1.cae8f2f52debbp-9, -0x1.bd006ac1d594fp-9, -0x1.af7ce75a39be3p-9, -0x1.a25bb82af92b8p-9, -0x1.959a3d486abcep-9, -0x1.8935e71885605p-9, -0x1.7d2c35fd957e8p-9, -0x1.717aba022776p-9, -0x1.661f12861b53ep-9, -0x1.5b16edecd6866p-9, -0x1.5060094ca10d6p-9, -0x1.45f8301f522edp-9, -0x1.3bdd3bf3e3fb1p-9, -0x1.320d14213a2fep-9, -0x1.2885ad7a36ef5p-9, -0x1.1f450a02e19f6p-9, -0x1.164938a6b044cp-9, -0x1.0d9054f03a477p-9, -0x1.051886c1d717dp-9, -0x1.f9c0041e8e343p-10, -0x1.e9ca0d31d2e62p-10, -0x1.da4bbf4f7fbdap-10, -0x1.cb41c7959dfe1p-10, -0x1.bca8e92b35e66p-10, -0x1.ae7dfcbf993b4p-10, -0x1.a0bdf00b9f77p-10, -0x1.9365c555695dcp-10, -0x1.867292f662c79p-10, -0x1.79e182e36679ap-10, -0x1.6dafd23732395p-10, -0x1.61dad0bf3419ap-10, -0x1.565fe089cfd64p-10, -0x1.4b3c75779c298p-10, -0x1.406e14ce4ad9fp-10, -0x1.35f254cdbab93p-10, -0x1.2bc6dc473b75dp-10, -0x1.21e96236f5bd5p-10, -0x1.1857ad5f3c022p-10, -0x1.0f0f93e59d9dcp-10, -0x1.060efaf2739bp-10, -0x1.faa7aca41736ap-11, -0x1.e9b8502ff058ep-11, -0x1.d94c00884b76p-11, -0x1.c95ef8d440351p-11, -0x1.b9ed8eb399ae2p-11, -0x1.aaf4319434ep-11, -0x1.9c6f6a0b7c8adp-11, -0x1.8e5bd932c47a7p-11, -0x1.80b63807d8f3fp-11, -0x1.737b56d0b76e2p-11, -0x1.66a81c829c467p-11, -0x1.5a39862c81dp-11, -0x1.4e2ca6650b1c3p-11, -0x1.427ea4bb7a569p-11, -0x1.372cbd2bf1f91p-11, -0x1.2c343f96f8bf1p-11, -0x1.21928f3c42234p-11, -0x1.1745223823dcep-11, -0x1.0d4981041ed15p-11, -0x1.039d45fa72b1cp-11, -0x1.f47c39b8fae3bp-12, -0x1.e25384b8ac1cp-12, -0x1.d0bc0750df6b5p-12, -0x1.bfb17bf56ea4cp-12, -0x1.af2fbc543d1b5p-12, -0x1.9f32c07d7ce4cp-12, -0x1.8fb69e10ee2cbp-12, -0x1.80b787706db85p-12, -0x1.7231caf790d89p-12, -0x1.6421d2384556cp-12, -0x1.5684213bfd8efp-12, -0x1.495555c95ac2bp-12, -0x1.3c9226af33abp-12, -0x1.303763134a17ep-12, -0x1.2441f1c5cf65bp-12, -0x1.18aed098e9838p-12, -0x1.0d7b13bd1e3aep-12, -0x1.02a3e5214ad76p-12, -0x1.f04d07adedcabp-13, -0x1.dc0086f500a94p-13, -0x1.c85d173ea3426p-13, -0x1.b55dae7f25987p-13, -0x1.a2fd685fa596cp-13, -0x1.9137852d2d083p-13, -0x1.800768cd4d946p-13, -0x1.6f6899bba0dadp-13, -0x1.5f56c00d076e9p-13, -0x1.4fcda47a17fdap-13, -0x1.40c92f6f2783ap-13, -0x1.32456823a696dp-13, -0x1.243e73b6c87c7p-13, -0x1.16b09453d0683p-13, -0x1.0998285a5d0c3p-13, -0x1.f9e3531b809b9p-14, -0x1.e1735892e5a51p-14, -0x1.c9d9bd77ddb93p-14, -0x1.b310104a9c0bdp-14, -0x1.9d10103aa47a5p-14, -0x1.87d3abb82e54ep-14, -0x1.7354ff130ef65p-14, -0x1.5f8e53238538ap-14, -0x1.4c7a1bfacc394p-14, -0x1.3a12f79ce3d6dp-14, -0x1.2853acc625a81p-14, -0x1.173729b601ddap-14, -0x1.06b883052869cp-14, -0x1.eda5e5084b054p-15, -0x1.cf03ac3d973eap-15, -0x1.b1815d9719662p-15, -0x1.95163f023e504p-15, -0x1.79b9d8679b67bp-15, -0x1.5f63f1b2779d8p-15, -0x1.460c90eb2e687p-15, -0x1.2dabf85a695f6p-15, -0x1.163aa4bcc0fc7p-15, -0x1.ff62970d96075p-16, -0x1.d411b25de7004p-16, -0x1.aa74df124bd57p-16, -0x1.827ec85c5157p-16, -0x1.5c227dd9aa4a2p-16, -0x1.3753709458c6dp-16, -0x1.140570142b744p-16, -0x1.e4594f11ffac3p-17, -0x1.a37b360ad2789p-17, -0x1.655a49af3c6dp-17, -0x1.29e0e5e1bf547p-17, -0x1.e1f4117d65a1cp-18, -0x1.75229b719701dp-18, -0x1.0d25d1c215281p-18, -0x1.53ae892903fep-19, -0x1.2c468cb3c4efcp-20, 0x1.e9e9959b8ef39p-23, 0x1.95badc9b4a3b4p-20, 0x1.6edd84ef04a29p-19, 0x1.057096c6b2125p-18, 0x1.4f9465c98f783p-18, 0x1.95f97235558b3p-18, 0x1.d8be16ef25232p-18, 0x1.0bffe6fec62ddp-17, 0x1.29ed9bab66314p-17, 0x1.46360fb4540b8p-17, 0x1.60e6c2aed0cebp-17, 0x1.7a0cd0b1a395fp-17, 0x1.91b4f5459b07ep-17, 0x1.a7eb8e4f30eebp-17, 0x1.bcbc9ed9fa9bbp-17, 0x1.d033d1ce143a4p-17, 0x1.e25c7c9251297p-17, 0x1.f341a198e83ffp-17, 0x1.0176f96d34615p-16, 0x1.08b5ea1c2a773p-16, 0x1.0f62aee7a9c64p-16, 0x1.15822f18e58d7p-16, 0x1.1b192e4cbe463p-16, 0x1.202c4d829d394p-16, 0x1.24c00c207cbddp-16, 0x1.28d8c8f0ab076p-16, 0x1.2c7ac31806213p-16, 0x1.2faa1b00d476ep-16, 0x1.326ad3452c3b6p-16, 0x1.34c0d18b2bd4ap-16, 0x1.36afdf607d6ap-16, 0x1.383bab070fd1fp-16, 0x1.3967c84266d23p-16, 0x1.3a37b11b6ab5cp-16, 0x1.3aaec69f64193p-16, 0x1.3ad05198cf184p-16, 0x1.3a9f83408512fp-16, 0x1.3a1f75edeaf7ap-16, 0x1.39532db84c472p-16, 0x1.383d991e3e4a7p-16, 0x1.36e191a2bc75ep-16, 0x1.3541dc63cf136p-16, 0x1.33612aadc38b2p-16, 0x1.31421a8aeb7b7p-16, 0x1.2ee7374dd0472p-16, 0x1.2c52fa17c3a92p-16, 0x1.2987ca59c8a3dp-16, 0x1.2687fe5576ad4p-16, 0x1.2355db959ab01p-16, 0x1.1ff39760fdf7fp-16, 0x1.1c635730d2fc7p-16, 0x1.18a7311fa1d5ep-16, 0x1.14c12c5360e8ap-16, 0x1.10b34165c3ff5p-16, 0x1.0c7f5aca19377p-16, 0x1.0827552f23d36p-16, 0x1.03acffdd9886p-16, 0x1.fe243a2790e3p-17, 0x1.f4b0c4c237be8p-17, 0x1.eb02f1f741c07p-17, 0x1.e11dfc23523dbp-17, 0x1.d705063be79fcp-17, 0x1.ccbb1c6a15745p-17, 0x1.c24334a597d64p-17, 0x1.b7a02f45f5c3cp-17, 0x1.acd4d79590545p-17, 0x1.a1e3e45c8e06ep-17, 0x1.96cff86b1d725p-17, 0x1.8b9ba31650945p-17, 0x1.804960be350e5p-17, 0x1.74db9b48be418p-17, 0x1.6954aa968e012p-17, 0x1.5db6d4fb6bc7ep-17, 0x1.52044faebd7ep-17, 0x1.463f3f38f5291p-17, 0x1.3a69b7ddcf346p-17, 0x1.2e85be04ab333p-17, 0x1.2295469da945ap-17, 0x1.169a378743b7ap-17, 0x1.0a9667e8f9e83p-17, 0x1.fd17412411eep-18, 0x1.e4f738a7e6b98p-18, 0x1.ccd010b048e26p-18, 0x1.b4a508eaa754cp-18, 0x1.9c79470c30c04p-18, 0x1.844fd76a2b78p-18, 0x1.6c2bad9c1b3c1p-18, 0x1.540fa50fc2424p-18, 0x1.3bfe819e2c92dp-18, 0x1.23faf01e0a85bp-18, 0x1.0c0786f3bbcd4p-18, 0x1.e84d8d2eb293ap-19, 0x1.b8b63434b76c8p-19, 0x1.894daf5546aa1p-19, 0x1.5a1882179ec78p-19, 0x1.2b1b082dcb556p-19, 0x1.f8b2ecd73527cp-20, 0x1.9bafb7487847ap-20, 0x1.3f34433438f1bp-20, 0x1.c690376133781p-21, 0x1.0fe50a21b7289p-21, 0x1.69d3f457640d3p-23, -0x1.66c9e067121dfp-23, -0x1.0c846186f68f3p-21, -0x1.bdf44bf66db03p-21, -0x1.36fb20e4e8ca4p-20, -0x1.8e3f6410ae49ep-20, -0x1.e4c16e0878f91p-20, -0x1.1d3dfbe8a9fd2p-19, -0x1.47b4f9cac0026p-19, -0x1.71c345ae2b129p-19, -0x1.9b668fd205ep-19, -0x1.c49ca315773p-19, -0x1.ed63645837c06p-19, -0x1.0adc68ee1ecc3p-18, -0x1.1ecd815443366p-18, -0x1.328412facab4ap-18, -0x1.45ff4150a5d91p-18, -0x1.593e3b4ab1ccfp-18, -0x1.6c403b2210735p-18, -0x1.7f0486101c0dbp-18, -0x1.918a6c0619a8p-18, -0x1.a3d147702d88bp-18, -0x1.b5d87cf4f8bc6p-18, -0x1.c79f7b332f873p-18, -0x1.d925ba867c6f5p-18, -0x1.ea6abccbe95b5p-18, -0x1.fb6e0d24d8e8ap-18, -0x1.06179fddbf685p-17, -0x1.0e56f8c63de4dp-17, -0x1.1674e417bcba9p-17, -0x1.1e7138cf98a4ep-17, -0x1.264bd201f19c8p-17, -0x1.2e048ec03a906p-17, -0x1.359b51fec0d05p-17, -0x1.3d10027ab5755p-17, -0x1.44628aa423204p-17, -0x1.4b92d882b18a8p-17, -0x1.52a0dd9f3e2b9p-17, -0x1.598c8eecc7a4dp-17, -0x1.6055e4b10956ap-17, -0x1.66fcda6df2035p-17, -0x1.6d816ecafe0dfp-17, -0x1.73e3a380cafadp-17, -0x1.7a237d440dd99p-17, -0x1.804103afb5d66p-17, -0x1.863c4130a3c13p-17, -0x1.8c1542f2d3f61p-17, -0x1.91cc18cc0f9a6p-17, -0x1.9760d529547cfp-17, -0x1.9cd38cfcc5decp-17, -0x1.a22457a9b4af7p-17, -0x1.a7534ef2a02ffp-17, -0x1.ac608ee835ab7p-17, -0x1.b14c35d763d68p-17, -0x1.b616643789908p-17, -0x1.babf3c9958c94p-17, -0x1.bf46e3970c12dp-17, -0x1.c3ad7fc452b36p-17, -0x1.c7f3399da6d64p-17, -0x1.cc183b7812b45p-17, -0x1.d01cb173306f1p-17, -0x1.d400c9699f0b9p-17, -0x1.d7c4b2e0ac392p-17, -0x1.db689efca02ap-17, -0x1.deecc06f9ab55p-17, -0x1.e2514b6d08746p-17, -0x1.e596759b13f0fp-17, -0x1.e8bc760690efp-17, -0x1.ebc38514e98b9p-17, -0x1.eeabdc7685dafp-17, -0x1.f175b71a9eb2bp-17, -0x1.f421512327822p-17, -0x1.f6aee7d8126ffp-17, -0x1.f91eb99b35e01p-17, -0x1.fb7105dbe9eafp-17, -0x1.fda60d0dad2bcp-17, -0x1.ffbe109acbc7cp-17, -0x1.00dca96cb4c12p-16, -0x1.01cc0b8119c18p-16, -0x1.02ad5091cb054p-16, -0x1.03809b0c1de3ap-16, -0x1.04460dbe3b84p-16, -0x1.04fdcbd28ea69p-16, -0x1.05a7f8cad24f9p-16, -0x1.0644b87ac65fep-16, -0x1.06d42f03bf3cp-16, -0x1.075680cfd091ap-16, -0x1.07cbd28d9c673p-16, -0x1.0834492ba1e9p-16, -0x1.089009d392b23p-16, -0x1.08df39e706489p-16, -0x1.0921fefae0b15p-16, -0x1.09587ed2b1d01p-16, -0x1.0982df5dc23d5p-16, -0x1.09a146b257fc7p-16, -0x1.09b3db0a19fc3p-16, -0x1.09bac2be36571p-16, -0x1.09b62443e07dp-16, -0x1.09a62629a6d07p-16, -0x1.098aef12cf248p-16, -0x1.0964a5b45e874p-16, -0x1.093370d1c4189p-16, -0x1.08f777395cf79p-16, -0x1.08b0dfc1aa2b1p-16, -0x1.085fd145d0f4bp-16, -0x1.080472a2e9f1fp-16, -0x1.079eeab5721b9p-16, -0x1.072f6055d24cdp-16, -0x1.06b5fa557859cp-16, -0x1.0632df7cf7e04p-16, -0x1.05a636885ea6bp-16, -0x1.0510262520d2bp-16, -0x1.0470d4ef59a12p-16, -0x1.03c8696f249dbp-16, -0x1.03170a17d0fe2p-16, -0x1.025cdd43c426ep-16, -0x1.019a0932c2d66p-16, -0x1.00ceb407e5495p-16, -0x1.fff6078e4fdc4p-17, -0x1.fe3e3ca6fe7bbp-17, -0x1.fc7652d985049p-17, -0x1.fa9e955b684e2p-17, -0x1.f8b74f15fb321p-17, -0x1.f6c0ca9fc9d7cp-17, -0x1.f4bb523ab579bp-17, -0x1.f2a72fd01653ap-17, -0x1.f084acee27964p-17, -0x1.ee5412c2d6a94p-17, -0x1.ec15aa1a77b43p-17, -0x1.e9c9bb5ae4242p-17, -0x1.e7708e82ac95dp-17, -0x1.e50a6b26b005bp-17, -0x1.e297986cc1469p-17, -0x1.e0185d0ab937ap-17, -0x1.dd8cff42d6aa4p-17, -0x1.daf5c4e22adc4p-17, -0x1.d852f33d6f8a8p-17, -0x1.d5a4cf2f6c367p-17, -0x1.d2eb9d16ab99ap-17, -0x1.d027a0d48254p-17, -0x1.cd591dc899876p-17, -0x1.ca8056d06d237p-17, -0x1.c79d8e45663aap-17, -0x1.c4b105fb9c837p-17, -0x1.c1baff3e812f2p-17, -0x1.bebbbad02c35bp-17, -0x1.bbb378e7f85efp-17, -0x1.b8a279308dbd4p-17, -0x1.b588fac8ce06cp-17, -0x1.b2673c3fb4384p-17, -0x1.af3d7b93e2bb2p-17, -0x1.ac0bf632706e7p-17, -0x1.a8d2e8f5b5afap-17, -0x1.a59290246fdb8p-17, -0x1.a24b2770f78b8p-17, -0x1.9efce9f771f98p-17, -0x1.9ba8123f91326p-17, -0x1.984cda38e874dp-17, -0x1.94eb7b3af4d6ap-17, -0x1.91842e047054ep-17, -0x1.8e172abbfec39p-17, -0x1.8aa4a8ee425f6p-17, -0x1.872cdf8cf6a8cp-17, -0x1.83b004ef43fa2p-17, -0x1.802e4ed12c889p-17, -0x1.7ca7f253ac186p-17, -0x1.791d23fcf8d75p-17, -0x1.758e17b706e57p-17, -0x1.71fb00cf4046ap-17, -0x1.6e6411f6a6081p-17, -0x1.6ac97d41c90b7p-17, -0x1.672b7428c1617p-17, -0x1.638a2787793a6p-17, -0x1.5fe5c79cbf1bep-17, -0x1.5c3e840c91de3p-17, -0x1.58948bdde5fa5p-17, -0x1.54e80d7b8d903p-17, -0x1.513936b3b6b2bp-17, -0x1.4d8834ba2bddap-17, -0x1.49d53427067a1p-17, -0x1.462060f6e378ap-17, -0x1.4269e68b18354p-17, -0x1.3eb1efab313c6p-17, -0x1.3af8a683d3a5cp-17, -0x1.373e34a9b36ap-17, -0x1.3382c3180f489p-17, -0x1.2fc67a313615ep-17, -0x1.2c0981bf09e0dp-17, -0x1.284c00f3d45f5p-17, -0x1.248e1e6ae7304p-17, -0x1.20d0002961dfp-17, -0x1.1d11cb9e1098fp-17, -0x1.1953a5a37a0dep-17, -0x1.1595b27ff129ep-17, -0x1.11d815e5b4cap-17, -0x1.0e1af2f39f8e3p-17, -0x1.0a5e6c3637cb5p-17, -0x1.06a2a3a98d6dfp-17, -0x1.02e7bab8aaba6p-17, -0x1.fe5ba47c66841p-18, -0x1.f6ea150bd7c35p-18, -0x1.ef7b069af089p-18, -0x1.e80eb788ed1f6p-18, -0x1.e0a5651f9eb6fp-18, -0x1.d93f4b90a40c9p-18, -0x1.d1dca5f7ea6f5p-18, -0x1.ca7dae5d911d8p-18, -0x1.c3229db845afep-18, -0x1.bbcbabef428e4p-18, -0x1.b4790fdc43041p-18, -0x1.ad2aff4c7db95p-18, -0x1.a5e1af04712f7p-18, -0x1.9e9d52c237878p-18, -0x1.975e1d3d7ab0ap-18, -0x1.90244029a8793p-18, -0x1.88efec38701f7p-18, -0x1.81c1511d070d7p-18, -0x1.7a989d8e8de9bp-18, -0x1.7375ff47920ebp-18, -0x1.6c59a3099ced7p-18, -0x1.6543b4a06dd51p-18, -0x1.5e345ee1d39d3p-18, -0x1.572bcbb1543e7p-18, -0x1.502a240527aa2p-18, -0x1.492f8fe3da81dp-18, -0x1.423c36685ee3fp-18, -0x1.3b503dc363b43p-18, -0x1.346bcb3f25b53p-18, -0x1.2d8f0340a96adp-18, -0x1.26ba094ae1dbap-18, -0x1.1fecfffea1008p-18, -0x1.192809203aa65p-18, -0x1.126b4598b6d15p-18, -0x1.0bb6d57773f64p-18, -0x1.050ad7f36d41p-18, -0x1.fcced6dcecc21p-19, -0x1.ef995af05023bp-19, -0x1.e27575a281985p-19, -0x1.d5635ed640f35p-19, -0x1.c8634cd569fb6p-19, -0x1.bb75745a57ae4p-19, -0x1.ae9a088e3ad38p-19, -0x1.a1d13b0e8a237p-19, -0x1.951b3bf98ee48p-19, -0x1.887839eaf1c86p-19, -0x1.7be86201cb547p-19, -0x1.6f6bdfe4fd9aap-19, -0x1.6302ddc8b2c9fp-19, -0x1.56ad84738b9e1p-19, -0x1.4a6bfb4251ebcp-19, -0x1.3e3e682c86cf3p-19, -0x1.3224efc6bf60bp-19, -0x1.261fb54c45a72p-19, -0x1.1a2edaa0d6c63p-19, -0x1.0e5280556bf91p-19, -0x1.028ac5a95e42ap-19, -0x1.edaf912647587p-20, -0x1.d6734b8449057p-20, -0x1.bf60f14f3af38p-20, -0x1.a878b6ea79247p-20, -0x1.91bace46e2ff4p-20, -0x1.7b2766f0c94cap-20, -0x1.64beae1173e6ep-20, -0x1.4e80ce7714a22p-20, -0x1.386df0a7c52acp-20, -0x1.22863ae3440cfp-20, -0x1.0cc9d12828541p-20, -0x1.ee71aa82a854cp-21, -0x1.c3a6cd9171417p-21, -0x1.99334670ad4dp-21, -0x1.6f174bd9493f2p-21, -0x1.4553105c2790ep-21, -0x1.1be6c26b241cbp-21, -0x1.e5a518eee0627p-22, -0x1.942d29f10bf9cp-22, -0x1.4365fd0b29213p-22, -0x1.e69f9f57c1993p-23, -0x1.47d5af6687318p-23, -0x1.54dd0e723a59cp-24, -0x1.cd4ea0b0b7f61p-28, 0x1.186c8e81cf4ep-24, 0x1.25737beb811f1p-23, 0x1.bd4d0515b75a4p-23, 0x1.29e16648a534dp-22, 0x1.746a64d809451p-22, 0x1.be4180783c629p-22, 0x1.03b360ed2751ep-21, 0x1.27ed1c0e9fa22p-21, 0x1.4bcdfc4b88446p-21, 0x1.6f560f6539b42p-21, 0x1.92856621e085bp-21, 0x1.b55c143cb97b8p-21, 0x1.d7da3056adc2bp-21, 0x1.f9ffd3e9dd0bep-21, 0x1.0de68da306caap-20, 0x1.1ea112b9523e2p-20, 0x1.2f2f8a1564f55p-20, 0x1.3f9205e5362fbp-20, 0x1.4fc899a29632p-20, 0x1.5fd35a0ed1184p-20, 0x1.6fb25d263664dp-20, 0x1.7f65ba1d9b6fep-20, 0x1.8eed8959dbd74p-20, 0x1.9e49e46fc95a4p-20, 0x1.ad7ae616ccd3ap-20, 0x1.bc80aa215b14fp-20, 0x1.cb5b4d7dfceb4p-20, 0x1.da0aee2eb758ep-20, 0x1.e88fab3f1d649p-20, 0x1.f6e9a4c01eba6p-20, 0x1.028c7de503355p-19, 0x1.098ee9355c78ap-19, 0x1.107c25d3a0fc3p-19, 0x1.175445ba12273p-19, 0x1.1e175b56fd486p-19, 0x1.24c5798ba80ap-19, 0x1.2b5eb3a827b85p-19, 0x1.31e31d6a61e2ap-19, 0x1.3852caf955d2ep-19, 0x1.3eadd0e464a9ap-19, 0x1.44f4441efd68dp-19, 0x1.4b2639febd565p-19, 0x1.5143c839f00fap-19, 0x1.574d04e326409p-19, 0x1.5d42066804b09p-19, 0x1.6322e38d3c657p-19, 0x1.68efb36daf95p-19, 0x1.6ea88d7a658a7p-19, 0x1.744d89729c5a7p-19, 0x1.79debf64a921ap-19, 0x1.7f5c47abcc4f5p-19, 0x1.84c63aed16b51p-19, 0x1.8a1cb2143cb73p-19, 0x1.8f5fc653f0cep-19, 0x1.948f912405a33p-19, 0x1.99ac2c3c36fc3p-19, 0x1.9eb5b1934a0fbp-19, 0x1.a3ac3b5cefa63p-19, 0x1.a88fe4080d6ap-19, 0x1.ad60c63c24ab2p-19, 0x1.b21efcd7ff69bp-19, 0x1.b6caa2f044031p-19, 0x1.bb63d3cbbb273p-19, 0x1.bfeaaae224a99p-19, 0x1.c45f43dbb257dp-19, 0x1.c8c1ba8d6872fp-19, 0x1.cd122af7be0b7p-19, 0x1.d150b14507c0cp-19, 0x1.d57d69c72e12p-19, 0x1.d99870f6d49e8p-19, 0x1.dda1e36f772cbp-19, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      34, 0x1.4f5c28f5c28f6p+2, 0x1.0c921658b1d79p+0, 0x1.38acef6820ce9p+0, -0x1.f8851fd0ee2e9p-6, 
      {{
        {0x1.c8f5c28f5c28fp+1, 0x1.ccccccccccccdp+1, 0x1.944a811aff04ep-5, -0x1.58652bc975d67p-4, 0x1.694e7199e40bdp-5, -0x1.5b4c8099f278dp-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.7ff389fb2b6f3p-5, -0x1.4d9d574e648bap-4, 0x1.6566391d4765ep-5, -0x1.5f5c63b3b8febp-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5f7a55c27e26dp-5, -0x1.3be8cb0ea72ecp-4, 0x1.5ecfb0d84f214p-5, -0x1.6429248104eb4p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.40c22677b1b8fp-5, -0x1.2a8925df42117p-4, 0x1.58221e8f7d6ffp-5, -0x1.6857fc13b8097p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.23c2707c1c6p-5, -0x1.197f7bb3c5d7cp-4, 0x1.5160783beb963p-5, -0x1.6ebbd3f4ae2e3p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.08728b999043fp-5, -0x1.08cd1159924e2p-4, 0x1.4a8025dc21ebcp-5, -0x1.7ffaf95b4cc51p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.dd933ef79d54fp-6, -0x1.f0e979de1868ep-5, 0x1.434d0ac8d214ep-5, -0x1.91865f90c8f0ep-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.ad7ce94fb980fp-6, -0x1.d0f5567a8c8cep-5, 0x1.3bc5b8fe1b1d2p-5, -0x1.a30302aca7d4ep-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.808ed0699535dp-6, -0x1.b1c620dca9092p-5, 0x1.33ea7757ab2aap-5, -0x1.b4839a63e309bp-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.56b4d76c10654p-6, -0x1.93643ec0a0884p-5, 0x1.2bbb32d8fee9p-5, -0x1.c60322c757ad2p-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2fda0a76cac66p-6, -0x1.75d816948dec8p-5, 0x1.2337f09875442p-5, -0x1.d782f3de76d67p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0be89ea223d66p-6, -0x1.592a0e96e08c9p-5, 0x1.1a60af39163cfp-5, -0x1.e902b17aa9bfbp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.d593e3fe75b16p-7, -0x1.3d628d12cdaedp-5, 0x1.11356f18630ep-5, -0x1.fa82744f0d4aap-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.98cd172fddb0fp-7, -0x1.2289f8501e6e1p-5, 0x1.07b6301d4e018p-5, -0x1.06011adeb7aa6p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.614c36ddbd4aap-7, -0x1.08a8b69786a78p-5, 0x1.fbc5e49d1b097p-6, -0x1.0ec0fbc5dce2ep-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2edef4fed1ab4p-7, -0x1.df8e5c62f6a25p-6, 0x1.e7776b54aa787p-6, -0x1.1780dca033797p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.0151557b578c4p-7, -0x1.afdb8acd04805p-6, 0x1.d280f4624035dp-6, -0x1.2040bd7dcaf1bp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.b0db5c5a1665fp-8, -0x1.8249c4fe3965ep-6, 0x1.bce27fc59dc9dp-6, -0x1.29009e5b2d999p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.67f94dbe50e6fp-8, -0x1.56e9d7879ac04p-6, 0x1.a69c0d7ec72b3p-6, -0x1.31c07f3625edp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.278a729cd557dp-8, -0x1.2dcc8efa2b751p-6, 0x1.8fad9d8deab97p-6, -0x1.3a80601afa991p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.de32c4a4331f3p-9, -0x1.0702b7e6f590ap-6, 0x1.78172ff24b213p-6, -0x1.434040dad6d3bp-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.7c5ab03b24fb2p-9, -0x1.c53a3dbdd2322p-7, 0x1.5fd8c4aeae37dp-6, -0x1.4c0022249d001p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.289466436853ap-9, -0x1.815920e6adf75p-7, 0x1.46f25bb8bc0aap-6, -0x1.54c0016bc2ee4p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.c3c1d98fc6e05p-10, -0x1.4283b2684d052p-7, 0x1.2d63f5370d6c1p-6, -0x1.5d7fe8337ea91p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.4e752332f589p-10, -0x1.08db8b6d095dep-7, 0x1.132d9099971f8p-6, -0x1.663fb2fb8419bp-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.de53a93c43e2bp-11, -0x1.a90489efc5113p-8, 0x1.f09e5ff3da6ecp-7, -0x1.6effe641cec07p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.477351161b97cp-11, -0x1.4b32f13d6d1f9p-8, 0x1.b991970395054p-7, -0x1.77be938ec98ebp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.a7c3a4fddca77p-12, -0x1.f10af74d1032p-9, 0x1.813500e15d2ecp-7, -0x1.8082f04280274p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.fc738468c47afp-13, -0x1.627ed013a1f81p-9, 0x1.4787c33dc9f62p-7, -0x1.89321554e29a4p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.121d3e8d46c9p-13, -0x1.d68ee6852ad92p-10, 0x1.0c8d0cd774c59p-7, -0x1.92306985c38a9p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.f690fedb68e3fp-15, -0x1.17d948fa6da57p-10, 0x1.a071fa06c87bap-8, -0x1.9a0738dde5a25p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.5de65c97e06ffp-16, -0x1.13bea7cc9e253p-11, 0x1.256fcf5dd065p-8, -0x1.a62cec7a98ee2p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.15f445e1948p-18, -0x1.6ea02736df69cp-13, 0x1.4d91773ede9d8p-9, -0x1.a2118f803a742p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.4f5c28f5c28f6p+2, 0x1.6970a8d7c183ap-23, -0x1.0cb70403c48c9p-16, 0x1.4ae8849487c97p-11, -0x1.bcbefefe1ae4ap-7}, 
      }}, 
      0x1.5715973def7e8p-3, -0x1.e8867368f302fp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.fa90682d0b9dap+0, -0x1.f816f04973b6fp+0, -0x1.f406a547f8c6fp+0, -0x1.ee737c6789c5fp+0, -0x1.e775a732d4bb3p+0, -0x1.df28192a5ce6dp+0, -0x1.d5a769733bbe8p+0, -0x1.cb10fa25528bp+0, -0x1.bf8253a090898p+0, -0x1.b318a72ca9a05p+0, -0x1.a5f06fcd19739p+0, -0x1.98252abb8671dp+0, -0x1.89d122a2167c7p+0, -0x1.7b0d49d69c872p+0, -0x1.6bf1209db54d7p+0, -0x1.5c92a5221f0e5p+0, -0x1.4d064b3d5551cp+0, -0x1.3d5efa907fe4cp+0, -0x1.2dae11b36d60cp+0, -0x1.1e036d7954b06p+0, -0x1.0e6d7377f44d7p+0, -0x1.fdf23e398c3ecp-1, -0x1.df642185adb82p-1, -0x1.c1453c7fe1bd7p-1, -0x1.a3a7c900b08a6p-1, -0x1.869bb3c007eeap-1, -0x1.6a2ec1f2121b3p-1, -0x1.4e6cb6c5ab279p-1, -0x1.335f788077cf8p-1, -0x1.190f363a7c195p-1, -0x1.ff051759eddb9p-2, -0x1.cd7d443dca2bdp-2, -0x1.9d8ea8d098a4ep-2, -0x1.6f3e9b6929868p-2, -0x1.429047e3fd2ddp-2, -0x1.1784f43722ad9p-2, -0x1.dc38597988913p-3, -0x1.8ca7eee513e38p-3, -0x1.40520ba72146dp-3, -0x1.ee5b4fba610f6p-4, -0x1.625f775fb7bb5p-4, -0x1.b92dd35a2adc7p-5, -0x1.7393c96c48ae6p-6, 0x1.cd5b478712fcbp-8, 0x1.2174fc3457a54p-5, 0x1.fdd95d8183ad9p-5, 0x1.679108c612a38p-4, 0x1.cacd83a8afac5p-4, 0x1.1464863d8e5dap-3, 0x1.40d5a67480503p-3, 0x1.6ace3c54544b2p-3, 0x1.92628fd7e3405p-3, 0x1.b7a70219fa5ddp-3, 0x1.daaff9f54c17bp-3, 0x1.fb91d21c2cf1cp-3, 0x1.0d30644bcbe04p-2, 0x1.1b9877d54de5p-2, 0x1.290b10026c1edp-2, 0x1.3591f62397916p-2, 0x1.4136caf0d127dp-2, 0x1.4c03019a5f457p-2, 0x1.55ffdb81c1688p-2, 0x1.5f36649318ad2p-2, 0x1.67af7036b95ebp-2, 0x1.6f7396cda480bp-2, 0x1.768b33b0046ffp-2, 0x1.7cfe639d5682dp-2, 0x1.82d50393b14b7p-2, 0x1.8816b0046f83cp-2, 0x1.8ccac45bc7e71p-2, 0x1.90f85ad4336dap-2, 0x1.94a64c8ee0288p-2, 0x1.97db31e9ac998p-2, 0x1.9a9d630f20a67p-2, 0x1.9cf2f8b699b46p-2, 0x1.9ee1cd1367fcep-2, 0x1.a06f7cea03ac1p-2, 0x1.a1a168c4da71fp-2, 0x1.a27cb64ab260ap-2, 0x1.a30651a462ed1p-2, 0x1.a342ef012de5ap-2, 0x1.a3370c1c212b5p-2, 0x1.a2e6f1dfab4ep-2, 0x1.a256b5fd7a734p-2, 0x1.a18a3ca48e90ep-2, 0x1.a0853a21e1ed4p-2, 0x1.9f4b349f036bep-2, 0x1.9ddf85c3b6396p-2, 0x1.9c455c73faf5p-2, 0x1.9a7fbe6d1834bp-2, 0x1.989189f9c3aefp-2, 0x1.967d77878a036p-2, 0x1.94461b47e842ep-2, 0x1.91ede6bc83a48p-2, 0x1.8f772a3ec6fdfp-2, 0x1.8ce416801284cp-2, 0x1.8a36bdf615232p-2, 0x1.87711649de72cp-2, 0x1.8494f9ac17035p-2, 0x1.81a4282c8f9bap-2, 0x1.7ea048f9f8debp-2, 0x1.7b8aeb9f18d3dp-2, 0x1.7865892efdecep-2, 0x1.7531856785f3p-2, 0x1.71f02fca9d205p-2, 0x1.6ea2c4a6507f6p-2, 0x1.6b4a6e1ac89bfp-2, 0x1.67e8450bf1504p-2, 0x1.647d520ebacafp-2, 0x1.610a8e4c1d58p-2, 0x1.5d90e453342b6p-2, 0x1.5a1130eb050b2p-2, 0x1.568c43d4c257bp-2, 0x1.5302e082d131ep-2, 0x1.4f75beced6b2fp-2, 0x1.4be58ba0d970bp-2, 0x1.4852e98c4028bp-2, 0x1.44be716d254d2p-2, 0x1.4128b2f7f720ap-2, 0x1.3d92353d77391p-2, 0x1.39fb7733dfaa1p-2, 0x1.3664f030b9862p-2, 0x1.32cf1056dbcdep-2, 0x1.2f3a410e70a11p-2, 0x1.2ba6e567f4fcep-2, 0x1.28155a7bc0f3ap-2, 0x1.2485f7ce4ff39p-2, 0x1.20f90fa435269p-2, 0x1.1d6eef505bab3p-2, 0x1.19e7df877e7d1p-2, 0x1.166424aa84f66p-2, 0x1.12e3fefe54811p-2, 0x1.0f67aafc119fap-2, 0x1.0bef6182a2379p-2, 0x1.087b581183ff7p-2, 0x1.050bc0fd6e59ap-2, 0x1.01a0cba347602p-2, 0x1.fc754927f76a9p-3, 0x1.f5b2eb769e0a5p-3, 0x1.eefacd1b759dp-3, 0x1.e84d3861c169ap-3, 0x1.e1aa7322fa02ep-3, 0x1.db12bf14d1b02p-3, 0x1.d4865a0f63533p-3, 0x1.ce057e3b38c6cp-3, 0x1.c7906238be8a8p-3, 0x1.c12739628d2f7p-3, 0x1.baca33f60e3ep-3, 0x1.b4797f3ee8b68p-3, 0x1.ae3545ad4f7dbp-3, 0x1.a7fdaf0797e23p-3, 0x1.a1d2e092554a6p-3, 0x1.9bb4fd25d8ebap-3, 0x1.95a425476f666p-3, 0x1.8fa0774196804p-3, 0x1.89aa0f4efc928p-3, 0x1.83c107aa0e879p-3, 0x1.7de578984f727p-3, 0x1.78177880471a3p-3, 0x1.72571c06d6528p-3, 0x1.6ca476212a0fep-3, 0x1.66ff9820efc6fp-3, 0x1.616891b7b1ae5p-3, 0x1.5bdf7110394c6p-3, 0x1.566442e371bb7p-3, 0x1.50f712825cc4ep-3, 0x1.4b97e9d8327acp-3, 0x1.4646d17371a07p-3, 0x1.4103d09c1d60bp-3, 0x1.3bceed5d98e6ep-3, 0x1.36a82c90eac3cp-3, 0x1.318f91dd74c4p-3, 0x1.2c851fba30992p-3, 0x1.2788d78713481p-3, 0x1.229ab99672039p-3, 0x1.1dbac52da242cp-3, 0x1.18e8f883ead5dp-3, 0x1.142550cb76669p-3, 0x1.0f6fca40dd107p-3, 0x1.0ac86037052f8p-3, 0x1.062f0d10e35e4p-3, 0x1.01a3ca45f81bdp-3, 0x1.fa4d20d625999p-4, 0x1.f16eae6e6046ep-4, 0x1.e8ac2b27e7b32p-4, 0x1.e00583376a24ap-4, 0x1.d77aa13103cf3p-4, 0x1.cf0b6e11e84a3p-4, 0x1.c6b7d15584293p-4, 0x1.be7fb107bd789p-4, 0x1.b662f1ca63479p-4, 0x1.ae6176d44fff7p-4, 0x1.a67b21fa15859p-4, 0x1.9eafd3b32d714p-4, 0x1.96ff6b34637b5p-4, 0x1.8f69c67de3725p-4, 0x1.87eec24e3d5cbp-4, 0x1.808e3a32d9be2p-4, 0x1.7948088cb9be1p-4, 0x1.721c069edce44p-4, 0x1.6b0a0c9abea76p-4, 0x1.6411f1a75fdd9p-4, 0x1.5d338be52df8dp-4, 0x1.566eb07253a42p-4, 0x1.4fc3337dd9052p-4, 0x1.4930e8464e456p-4, 0x1.42b7a11ab39cep-4, 0x1.3c572f9461e75p-4, 0x1.360f6456c9113p-4, 0x1.2fe00f4180005p-4, 0x1.29c8ff75f129ep-4, 0x1.23ca03545c149p-4, 0x1.1de2e88bcf87cp-4, 0x1.18137c2265707p-4, 0x1.125b8a777f27bp-4, 0x1.0cbadf4db5ce1p-4, 0x1.073145d2079f7p-4, 0x1.01be88a4b52aap-4, 0x1.f8c4e3c4d8eefp-5, 0x1.ee3996546a3e2p-5, 0x1.e3dabb4608dbdp-5, 0x1.d9a7e4063144ep-5, 0x1.cfa0a130b5fddp-5, 0x1.c5c482a068d59p-5, 0x1.bc13177e0195cp-5, 0x1.b28bee4e7b213p-5, 0x1.a92e94f909661p-5, 0x1.9ffa98d780451p-5, 0x1.96ef86d177c75p-5, 0x1.8e0ceb505f858p-5, 0x1.855252619d873p-5, 0x1.7cbf47bd25002p-5, 0x1.745356d13a727p-5, 0x1.6c0e0acd65c4p-5, 0x1.63eeeeae69bf4p-5, 0x1.5bf58d4b58ec9p-5, 0x1.54217162ad95dp-5, 0x1.4c7225a686f1dp-5, 0x1.44e734c729945p-5, 0x1.3d80297c752b3p-5, 0x1.363c8e8fe0a42p-5, 0x1.2f1beee804f48p-5, 0x1.281dd5950eb1cp-5, 0x1.2141cddc29894p-5, 0x1.1a876340547efp-5, 0x1.13ee218abb068p-5, 0x1.0d7594ce2715fp-5, 0x1.071d49738833bp-5, 0x1.00e4cc41520cdp-5, 0x1.f59754f2fc852p-6, 0x1.e9a2e39f79e99p-6, 0x1.ddeb60fa1f9d5p-6, 0x1.d26fea724a6d8p-6, 0x1.c72f9e704a03cp-6, 0x1.bc299c5f538aep-6, 0x1.b15d04cefbe4cp-6, 0x1.a6c8f9a6621a6p-6, 0x1.9c6c9e53b34cbp-6, 0x1.924717decb98bp-6, 0x1.88578cd2a2003p-6, 0x1.7e9d2509fa16ep-6, 0x1.751709821959ap-6, 0x1.6bc4645b0cd8cp-6, 0x1.62a4611880806p-6, 0x1.59b62d11278c7p-6, 0x1.50f8f7d88cfb2p-6, 0x1.486bf366e476bp-6, 0x1.400e53dd4289ep-6, 0x1.37df4ef96b288p-6, 0x1.2fde1b807b0cep-6, 0x1.2809f0fdbbfe3p-6, 0x1.206207faf1bd4p-6, 0x1.18e59ade5b55ep-6, 0x1.1193e6e0a154dp-6, 0x1.0a6c2caefd01ap-6, 0x1.036db06568c65p-6, 0x1.f92f7172d827p-7, 0x1.ebd31b4b8b722p-7, 0x1.dec4ee80359fdp-7, 0x1.d2037aafe1578p-7, 0x1.c58d50623bba6p-7, 0x1.b961044ce9a82p-7, 0x1.ad7d330c4608ep-7, 0x1.a1e0838c69568p-7, 0x1.9689a6ccf572ap-7, 0x1.8b7754c963009p-7, 0x1.80a847a82c2bap-7, 0x1.761b37437fef8p-7, 0x1.6bced72aeb7bep-7, 0x1.61c1d84cef51p-7, 0x1.57f2ededc62d4p-7, 0x1.4e60d41e66d04p-7, 0x1.450a54446a8cap-7, 0x1.3bee472e71db6p-7, 0x1.330b919d07bbap-7, 0x1.2a611d644374bp-7, 0x1.21edd1cf12cddp-7, 0x1.19b08e1ae57a6p-7, 0x1.11a8288911cb1p-7, 0x1.09d372cd379ecp-7, 0x1.02314251e7801p-7, 0x1.f580f26c61201p-8, 0x1.e700192f9dabap-8, 0x1.d8de0a44e23efp-8, 0x1.cb18f3ea476aap-8, 0x1.bdaf0e4ebfbe4p-8, 0x1.b09e8712847cdp-8, 0x1.a3e572ed2c47bp-8, 0x1.9781cb07b6368p-8, 0x1.8b717754440a9p-8, 0x1.7fb2625871f5ep-8, 0x1.74428f5ae8021p-8, 0x1.69202b03ac212p-8, 0x1.5e49908221539p-8, 0x1.53bd41584056fp-8, 0x1.4979d2883f65ap-8, 0x1.3f7dd5826999ap-8, 0x1.35c7c4a81c20dp-8, 0x1.2c55fa04b5537p-8, 0x1.2326b347ee53p-8, 0x1.1a38215940d38p-8, 0x1.11887df0d4317p-8, 0x1.09162009e1926p-8, 0x1.00df88fceea8ap-8, 0x1.f1c6cd680a4b8p-9, 0x1.e24115226dd97p-9, 0x1.d32baf823f1bep-9, 0x1.c4845cc08032ap-9, 0x1.b648b467b7e79p-9, 0x1.a876152043e13p-9, 0x1.9b09aa8d50517p-9, 0x1.8e008439da191p-9, 0x1.8157b43b29182p-9, 0x1.750c6d6052582p-9, 0x1.691c1cde7bd54p-9, 0x1.5d84798d0da7cp-9, 0x1.5243836c946c2p-9, 0x1.47576e604b153p-9, 0x1.3cbe7faeb101bp-9, 0x1.3276ec943ce84p-9, 0x1.287ec8d28c15dp-9, 0x1.1ed406f532d24p-9, 0x1.15747f9b129d5p-9, 0x1.0c5df5ff996aap-9, 0x1.038e1d987ed06p-9, 0x1.f6055bc121cc3p-10, 0x1.e5730e4f3934dp-10, 0x1.d561a99af541ap-10, 0x1.c5ce21a13de43p-10, 0x1.b6b5c32b484d7p-10, 0x1.a815d7e71297cp-10, 0x1.99eb7bb5f8b42p-10, 0x1.8c33b79869af9p-10, 0x1.7eebacc06fc58p-10, 0x1.721087f82f02bp-10, 0x1.659f3440af61dp-10, 0x1.5994191b72ecbp-10, 0x1.4deb434067b91p-10, 0x1.42a0fd5a881cep-10, 0x1.37b265418071p-10, 0x1.2d1d74010ca02p-10, 0x1.22e068f31be94p-10, 0x1.18f920cd61ee1p-10, 0x1.0f64f539ec754p-10, 0x1.062137d948c01p-10, 0x1.fa578907a5327p-11, 0x1.e90621ba07c44p-11, 0x1.d84b28a9324c5p-11, 0x1.c8220553424dcp-11, 0x1.b8842fecba2e5p-11, 0x1.a96a99214fe97p-11, 0x1.9acfe19be6952p-11, 0x1.8cb166778e6f9p-11, 0x1.7f0e0f37f4d25p-11, 0x1.71e3e7369d168p-11, 0x1.652ebaa01a9dcp-11, 0x1.58e8d8d6c5d31p-11, 0x1.4d0d20353e99ep-11, 0x1.41988a97b234ep-11, 0x1.368a005b91cc4p-11, 0x1.2be08adc7df9ap-11, 0x1.219950bc12e81p-11, 0x1.17af140448b87p-11, 0x1.0e1bcc16c7eccp-11, 0x1.04db2d1c10b65p-11, 0x1.f7d7e1e85e84dp-12, 0x1.e69d3f54cf9abp-12, 0x1.d605c91d18feep-12, 0x1.c60bbc9eeb577p-12, 0x1.b6a5487bfba88p-12, 0x1.a7c85d7c1500ep-12, 0x1.996e4fc7ef01p-12, 0x1.8b94e0c3789c7p-12, 0x1.7e3c09252cdc8p-12, 0x1.716276e250523p-12, 0x1.65036bb475ac2p-12, 0x1.59175039a4518p-12, 0x1.4d96874721603p-12, 0x1.427c6f6c837fcp-12, 0x1.37c820705687dp-12, 0x1.2d7a4023b99a5p-12, 0x1.2391d865d60dfp-12, 0x1.1a0ada0b31ca2p-12, 0x1.10ded14e8c62fp-12, 0x1.080718c438adcp-12, 0x1.fefe23984539p-13, 0x1.ee888f4ed4d4p-13, 0x1.deaa900f80effp-13, 0x1.cf614c0699bdfp-13, 0x1.c0a92662b0357p-13, 0x1.b27d08c4267fp-13, 0x1.a4d6e502457dap-13, 0x1.97b101f3bcfb7p-13, 0x1.8b060b1b1d46cp-13, 0x1.7ed0a91f303f1p-13, 0x1.730d6a06dc587p-13, 0x1.67bad32352e8bp-13, 0x1.5cd54b246c4ccp-13, 0x1.52568a4742d03p-13, 0x1.483a045e766e5p-13, 0x1.3e7bd6e668bcep-13, 0x1.3514edce55c6bp-13, 0x1.2bfe44c7cd925p-13, 0x1.23353ccd3969bp-13, 0x1.1aba3d6e73d38p-13, 0x1.128d4d8c77226p-13, 0x1.0aada8f5ff637p-13, 0x1.031ac640ff06cp-13, 0x1.f7a09c38f0ebdp-14, 0x1.e987bc4ab154dp-14, 0x1.dbdd9f689045p-14, 0x1.cea6ac3c62d3p-14, 0x1.c1e4af8a1e91ap-14, 0x1.b590ec2a83d53p-14, 0x1.a9ac6dc8d1b56p-14, 0x1.9e38e13b11e1bp-14, 0x1.9329310955f63p-14, 0x1.886ab0237f82ep-14, 0x1.7df61059ccaf6p-14, 0x1.73d02274d71f6p-14, 0x1.69fb454bb43efp-14, 0x1.60749d4ee56aep-14, 0x1.573f46e3b431ap-14, 0x1.4e5e80dbc73c4p-14, 0x1.45c8c5bdcc545p-14, 0x1.3d6ba40ac7ec2p-14, 0x1.353f57633bba7p-14, 0x1.2d4c476c1bf22p-14, 0x1.25921a64f6ddfp-14, 0x1.1e0b8f4a0b57fp-14, 0x1.16bf58bc7e406p-14, 0x1.0fafa6ee5e18fp-14, 0x1.08d36102968edp-14, 0x1.021da99784afbp-14, 0x1.f711d888672b4p-15, 0x1.ea36eafad1287p-15, 0x1.ddac3ca366046p-15, 0x1.d167e3f02c33bp-15, 0x1.c5716854b5d15p-15, 0x1.b9cc356d639c1p-15, 0x1.ae6edc5f55993p-15, 0x1.a351d54acbc8cp-15, 0x1.9869a43b61b19p-15, 0x1.8db19a0a8ada7p-15, 0x1.83312ba6eab3bp-15, 0x1.78dfdec056001p-15, 0x1.6ec121be0b9b6p-15, 0x1.64dd2dcad479cp-15, 0x1.5b2e796675807p-15, 0x1.51af20fd91558p-15, 0x1.48554c61edd7dp-15, 0x1.3f1c3ceb24fcp-15, 0x1.360b9c49cf51dp-15, 0x1.2d1e3172d63b4p-15, 0x1.24543cb1d6d89p-15, 0x1.1bb2bc9d74aadp-15, 0x1.1333c607557b1p-15, 0x1.0ad31ec6a46b2p-15, 0x1.02911f14423f9p-15, 0x1.f4e1d2b203c23p-16, 0x1.e4dc82b4cc74bp-16, 0x1.d50a295bc5d65p-16, 0x1.c568a80cfc9a9p-16, 0x1.b5f92882582c1p-16, 0x1.a6c627f9b9606p-16, 0x1.97c7168fd2389p-16, 0x1.88f8eb3a29adbp-16, 0x1.7a5ecc7ca3cd9p-16, 0x1.6bf1ce508dbcp-16, 0x1.5dae792dae839p-16, 0x1.4f94544fb527dp-16, 0x1.41a427f0dce8ap-16, 0x1.33e57a3e5f953p-16, 0x1.265096aa60499p-16, 0x1.18e1dbe0bd948p-16, 0x1.0b99f6ddce778p-16, 0x1.fcf1faa64360fp-17, 0x1.e3008f40baa69p-17, 0x1.c968bf1d1d868p-17, 0x1.b01d16aad835ep-17, 0x1.971441ec99425p-17, 0x1.7e53ed6a1bc7fp-17, 0x1.65e6b2d45a48bp-17, 0x1.4dc293f5d1b12p-17, 0x1.35e4fe6dbc717p-17, 0x1.1e526307aaca5p-17, 0x1.07103a461b2d1p-17, 0x1.e0295337d1c6p-18, 0x1.b2b697ec9663ap-18, 0x1.85d6ba68af6a2p-18, 0x1.59907860366dcp-18, 0x1.2dd92822bef78p-18, 0x1.02ae5ae18421fp-18, 0x1.b0248d57d1978p-19, 0x1.5c0b640163829p-19, 0x1.0911cf5f8bd04p-19, 0x1.6e6d0bdb5d02p-20, 0x1.9a0423457fb3cp-21, 0x1.6fb8910edfc7dp-23, -0x1.bbb49d4b0e7afp-22, -0x1.099a6cf8c7238p-20, -0x1.a1ec9ccda97bp-20, -0x1.1c00be27ba306p-19, -0x1.65ec8b11e23a9p-19, -0x1.aeb6587904ad8p-19, -0x1.f65411d812a7dp-19, -0x1.1e646987fe48p-18, -0x1.4112567a8bf75p-18, -0x1.632ba3e3a9d3ap-18, -0x1.84afc9b0ba829p-18, -0x1.a5a248960d7a5p-18, -0x1.c601de2ba5eap-18, -0x1.e5cdcbe40ea6bp-18, -0x1.0282f3ea7c909p-17, -0x1.11d51209fb446p-17, -0x1.20dd2844ca4b4p-17, -0x1.2f9b2185f8785p-17, -0x1.3e0f20668ecc5p-17, -0x1.4c3875be2e8c6p-17, -0x1.5a17663127818p-17, -0x1.67acd1c1df5eep-17, -0x1.74f75f4301b52p-17, -0x1.81f817539e2bfp-17, -0x1.8eaedda983388p-17, -0x1.9b1ba9c3c4dd1p-17, -0x1.a73e5ed1485a6p-17, -0x1.b3169f0406efap-17, -0x1.bea5d21bf80a5p-17, -0x1.c9eaeccb143f4p-17, -0x1.d4e69426afa9cp-17, }}, 
      {{-0x1.fb1db632c0c05p+0, -0x1.fa481a0770105p+0, -0x1.f8e76162c696fp+0, -0x1.f6ffe8dcee4cfp+0, -0x1.f4971bc2034eep+0, -0x1.f1b328be11cfbp+0, -0x1.ee5ac5cb4ff8bp+0, -0x1.ea95009311223p+0, -0x1.e66918d15cc0cp+0, -0x1.e1de62a3d180dp+0, -0x1.dcfc2f1228acep+0, -0x1.d7c9b98564cd3p+0, -0x1.d24e19259288bp+0, -0x1.cc90356dc86d3p+0, -0x1.c696bd4ca139bp+0, -0x1.c068206da0e36p+0, -0x1.ba0a8a3fdd12ep+0, -0x1.b383de734c078p+0, -0x1.acd9b6ad89dd5p+0, -0x1.a611613fadcbp+0, -0x1.9f2fe0b4c4f0fp+0, -0x1.9839ec14d1a16p+0, -0x1.9133efbe0d127p+0, -0x1.8a220eb96440ap+0, -0x1.83082476e7326p+0, -0x1.7be9c6dc3fce2p+0, -0x1.74ca489820a5fp+0, -0x1.6dacbba8f9bb1p+0, -0x1.6693f40eb9a96p+0, -0x1.5f828a956898cp+0, -0x1.587adfb6b4c62p+0, -0x1.517f1e84cfe3bp+0, -0x1.4a913f951afe7p+0, -0x1.43b30be9ca821p+0, -0x1.3ce61fcd9eb85p+0, -0x1.362bed9fd4ad4p+0, -0x1.2f85c08744ffap+0, -0x1.28f4bf11fe83p+0, -0x1.2279edac0ceccp+0, -0x1.1c163100cebep+0, -0x1.15ca50325dbecp+0, -0x1.0f96f6f1aa3b6p+0, -0x1.097cb7775a9c3p+0, -0x1.037c0c4fd4164p+0, -0x1.fb2ab43011a42p-1, -0x1.ef91e2342ff75p-1, -0x1.e42e1da323381p-1, -0x1.d8ffbeadd40b8p-1, -0x1.ce06fd7329882p-1, -0x1.c343f48a05579p-1, -0x1.b8b6a371726b6p-1, -0x1.ae5ef0d8200fcp-1, -0x1.a43cacc240373p-1, -0x1.9a4f928901759p-1, -0x1.90974abd0080cp-1, -0x1.87136ce9000a6p-1, -0x1.7dc38136a3965p-1, -0x1.74a701fdd9aa3p-1, -0x1.6bbd5d458e2d4p-1, -0x1.6305f603e7894p-1, -0x1.5a802570b74d1p-1, -0x1.522b3c2c222b9p-1, -0x1.4a06835386d15p-1, -0x1.42113d834d2d4p-1, -0x1.3a4aa7cb04b3dp-1, -0x1.32b1fa8b94bf2p-1, -0x1.2b466a4887c27p-1, -0x1.24072869ab088p-1, -0x1.1cf363ebde4c3p-1, -0x1.160a4a0473297p-1, -0x1.0f4b06b6f776ap-1, -0x1.08b4c55e2f552p-1, -0x1.0246b1293c14cp-1, -0x1.f7ffeb1c3fa47p-2, -0x1.ebbf7d652b49dp-2, -0x1.dfca73945ee0ap-2, -0x1.d41f2ad88c7a1p-2, -0x1.c8bc03c691d93p-2, -0x1.bd9f62e2d3452p-2, -0x1.b2c7b11e883fdp-2, -0x1.a8335c488522fp-2, -0x1.9de0d76dd1d2cp-2, -0x1.93ce9b2ed6d14p-2, -0x1.89fb26094edfbp-2, -0x1.8064fc97ddeccp-2, -0x1.770aa9c7ba60dp-2, -0x1.6deabf05ebcfep-2, -0x1.6503d46444737p-2, -0x1.5c5488b77fd24p-2, -0x1.53db81ae57f74p-2, -0x1.4b976be2f09fbp-2, -0x1.4386fae669c12p-2, -0x1.3ba8e948284f2p-2, -0x1.33fbf8973ae9bp-2, -0x1.2c7ef15f09ebcp-2, -0x1.2530a321c521cp-2, -0x1.1e0fe44ecfe0ap-2, -0x1.171b9234336ffp-2, -0x1.105290ef0217dp-2, -0x1.09b3cb596e9b3p-2, -0x1.033e32f546c8fp-2, -0x1.f9e17faa407a2p-3, -0x1.ed94e10783c9ep-3, -0x1.e19493d4d215ep-3, -0x1.d5deae6b4fe2ap-3, -0x1.ca7153727753ep-3, -0x1.bf4ab1a66bee6p-3, -0x1.b469039c6d34ep-3, -0x1.a9ca8f86a84c3p-3, -0x1.9f6da6f6f026cp-3, -0x1.9550a6a0c400fp-3, -0x1.8b71f61b338fep-3, -0x1.81d007a229419p-3, -0x1.786957d7e4de1p-3, -0x1.6f3c6d8677ea9p-3, -0x1.6647d9615d51ep-3, -0x1.5d8a35c794fcfp-3, -0x1.550226862abc3p-3, -0x1.4cae589b39369p-3, -0x1.448d81fa8dc86p-3, -0x1.3c9e6151cdb7ep-3, -0x1.34dfbdcd1e79fp-3, -0x1.2d5066de5e26bp-3, -0x1.25ef340436fdp-3, -0x1.1ebb049296423p-3, -0x1.17b2bf7bf71e9p-3, -0x1.10d5531ba03f4p-3, -0x1.0a21b5027b559p-3, -0x1.0396e1c2a721dp-3, -0x1.fa67b97c94f6p-4, -0x1.edef5fea9836ep-4, -0x1.e1c2d7ae8df7p-4, -0x1.d5e04e2676066p-4, -0x1.ca45fcd816da8p-4, -0x1.bef22915b4186p-4, -0x1.b3e323a765136p-4, -0x1.a917487a95505p-4, -0x1.9e8cfe4d39861p-4, -0x1.9442b660029f1p-4, -0x1.8a36ec29fdc4ep-4, -0x1.80682509cfdc2p-4, -0x1.76d4f002a2aa2p-4, -0x1.6d7be571283cfp-4, -0x1.645ba6c875f22p-4, -0x1.5b72de500bf76p-4, -0x1.52c03ee39d0a7p-4, -0x1.4a4283b03660bp-4, -0x1.41f86ffef9d69p-4, -0x1.39e0cef46bc5fp-4, -0x1.31fa735985f0ep-4, -0x1.2a443763a6bebp-4, -0x1.22bcfc80b7ee5p-4, -0x1.1b63ab232ca4dp-4, -0x1.1437328af2ebap-4, -0x1.0d36889d0715fp-4, -0x1.0660a9adfbap-4, -0x1.ff6930ad4e7dap-5, -0x1.f262ba8f42051p-5, -0x1.e5ac0e3c6e764p-5, -0x1.d9435476bcc25p-5, -0x1.cd26c13b1f6b4p-5, -0x1.c1549368ef68bp-5, -0x1.b5cb1482e223ep-5, -0x1.aa88985deaf2cp-5, -0x1.9f8b7cdd61459p-5, -0x1.94d229ae7f5a7p-5, -0x1.8a5b1006630ebp-5, -0x1.8024aa62e1055p-5, -0x1.762d7c4605d11p-5, -0x1.6c74120a5e28dp-5, -0x1.62f70097a8ae9p-5, -0x1.59b4e5276e31dp-5, -0x1.50ac652367757p-5, -0x1.47dc2dddeba0ep-5, -0x1.3f42f46567cf6p-5, -0x1.36df75519074ap-5, -0x1.2eb07492adc7bp-5, -0x1.26b4bd42ebfb9p-5, -0x1.1eeb2179c4075p-5, -0x1.17527a190bf84p-5, -0x1.0fe9a6b49866fp-5, -0x1.08af8d560a109p-5, -0x1.01a31a4fc3eb5p-5, -0x1.f58680618a687p-6, -0x1.e81def0e89266p-6, -0x1.db0a7d881c4a8p-6, -0x1.ce4a342b8e1c6p-6, -0x1.c1db268bf2c35p-6, -0x1.b5bb732f44bebp-6, -0x1.a9e9434ca078ep-6, -0x1.9e62ca8d2a6ep-6, -0x1.932646ce070e9p-6, -0x1.8831ffd5eae44p-6, -0x1.7d84474200a5ap-6, -0x1.731b78288e93ep-6, -0x1.68f5f6d19ef9fp-6, -0x1.5f1230bf729afp-6, -0x1.556e9c44aed72p-6, -0x1.4c09b863ca459p-6, -0x1.42e20c9c3c569p-6, -0x1.39f628b9d60efp-6, -0x1.3144a4a576629p-6, -0x1.28cc2036e2971p-6, -0x1.208b4307eb7dcp-6, -0x1.1880bc48f773ap-6, -0x1.10ab4296d7d02p-6, -0x1.090993d2a9ep-6, -0x1.019a74e99cf7bp-6, -0x1.f4b963b2cfaa4p-7, -0x1.e69e3ab9f990ep-7, -0x1.d8e1217bf81b1p-7, -0x1.cb7fd7d965f9bp-7, -0x1.be782a5026188p-7, -0x1.b1c7f1d6abc25p-7, -0x1.a56d1397dd411p-7, -0x1.996580affc43dp-7, -0x1.8daf35ec50c47p-7, -0x1.82483b8b5f42ap-7, -0x1.772ea4fdabbb5p-7, -0x1.6c6090a8fa2a6p-7, -0x1.61dc27ad733p-7, -0x1.579f9dac1eb36p-7, -0x1.4da9308f0a5d4p-7, -0x1.43f72853a9c72p-7, -0x1.3a87d6cfe2371p-7, -0x1.31599773d62d3p-7, -0x1.286acf40cffc3p-7, -0x1.1fb9ec7e67641p-7, -0x1.17456633710b7p-7, -0x1.0f0bbc9e1cef9p-7, -0x1.070b78856e0ap-7, -0x1.fe8656671ee72p-8, -0x1.ef62dc8d05f46p-8, -0x1.e0a9c70537d82p-8, -0x1.d258694dc0d5fp-8, -0x1.c46c2684ea53dp-8, -0x1.b6e27115cbafcp-8, -0x1.a9b8ca663fb64p-8, -0x1.9cecc28659bf8p-8, -0x1.907bf7e1c640dp-8, -0x1.846416f309504p-8, -0x1.78a2d9f862863p-8, -0x1.6d3608aa3a5f5p-8, -0x1.621b77f3612e6p-8, -0x1.575109ad020f4p-8, -0x1.4cd4ac3d491bbp-8, -0x1.42a45a87ee71ap-8, -0x1.38be1b790ba9fp-8, -0x1.2f200225a979ap-8, -0x1.25c82c8fe027bp-8, -0x1.1cb4c4c5f90ddp-8, -0x1.13e3ffabe4c59p-8, -0x1.0b541d0d7b5cbp-8, -0x1.0303675f170c2p-8, -0x1.f5e06703cee4ap-9, -0x1.e631c117b4d2p-9, -0x1.d6f7af21d6e9p-9, -0x1.c82f16d929f3ep-9, -0x1.b9d4f11618853p-9, -0x1.abe649652c882p-9, -0x1.9e603d9c63ad8p-9, -0x1.913ffd7568f82p-9, -0x1.8482ca2d9137fp-9, -0x1.7825f62a1a837p-9, -0x1.6c26e49d302a1p-9, -0x1.608309285f603p-9, -0x1.5537e77b94257p-9, -0x1.4a4312f34790bp-9, -0x1.3fa22e3cfa663p-9, -0x1.3552eafa22cc5p-9, -0x1.2b530917074f7p-9, -0x1.21a057ced0b8fp-9, -0x1.1838b3c9ff472p-9, -0x1.0f1a0730249dep-9, -0x1.06424a1bb6e9bp-9, -0x1.fb5f038c66ebcp-10, -0x1.eabf7fdee57eep-10, -0x1.daa2459c57338p-10, -0x1.cb03a98ff5e96p-10, -0x1.bbe0187ad3f43p-10, -0x1.ad3416b5a3f4p-10, -0x1.9efc3fc0bc0b7p-10, -0x1.913545b147559p-10, -0x1.83dbf07d4f333p-10, -0x1.76ed1d3c57819p-10, -0x1.6a65bd7b2f9f3p-10, -0x1.5e42d6bd07338p-10, -0x1.5281822b46a87p-10, -0x1.471eec45a7d0ep-10, -0x1.3c1853f2b5e73p-10, -0x1.316b0be3adfedp-10, -0x1.271489fc38562p-10, -0x1.1d12294257661p-10, -0x1.13617bc846232p-10, -0x1.0a0024291bbcfp-10, -0x1.00ebc6594e0e6p-10, -0x1.f0442de8d0f32p-11, -0x1.df41be2838dcep-11, -0x1.cecbec8aa829p-11, -0x1.bede86ea83bedp-11, -0x1.af757a2530497p-11, -0x1.a08cd183d285p-11, -0x1.9220adf367239p-11, -0x1.842d500a3cfc9p-11, -0x1.76af0fa461a64p-11, -0x1.69a25cefc3bf8p-11, -0x1.5d03c0e99a658p-11, -0x1.50cfdd6fd64bfp-11, -0x1.45036d39c6551p-11, -0x1.399b437204554p-11, -0x1.2e944ae1aa6f2p-11, -0x1.23eb84cc590f2p-11, -0x1.199e07c19718ep-11, -0x1.0fa8fe9259a7cp-11, -0x1.0609a7b1e826ep-11, -0x1.f97aa9fb56499p-12, -0x1.e782d73812b16p-12, -0x1.d626c7a32a64bp-12, -0x1.c5619145d42ebp-12, -0x1.b52e6ea6f3e6ap-12, -0x1.a588bdc9cdb0ep-12, -0x1.966bff42ff418p-12, -0x1.87d3d5480bc24p-12, -0x1.79bc02c5331c7p-12, -0x1.6c206a8c4712bp-12, -0x1.5efd0ec810af3p-12, -0x1.524e10595269fp-12, -0x1.460fada07f785p-12, -0x1.3a3e408fc253dp-12, -0x1.2ed63cae67762p-12, -0x1.23d42e15e8d05p-12, -0x1.1934b99a1a36p-12, -0x1.0ef49b9831aa2p-12, -0x1.0510b0ef87b88p-12, -0x1.f70bd3ab9ce27p-13, -0x1.e4a2ade49746dp-13, -0x1.d2e03124744bap-13, -0x1.c1bee10f08982p-13, -0x1.b139657583571p-13, -0x1.a14a8d693be77p-13, -0x1.91ed49552447fp-13, -0x1.831ca847ee9d8p-13, -0x1.74d3da0cccba5p-13, -0x1.670e33e66acd5p-13, -0x1.59c734501af3ap-13, -0x1.4cfa83bbd24cp-13, -0x1.40a3f30c43af8p-13, -0x1.34bf79af0fe35p-13, -0x1.294933ecb7e4bp-13, -0x1.1e3d6047ab6a2p-13, -0x1.13985ae7da7dbp-13, -0x1.0956981d8c126p-13, -0x1.fee94168b7241p-14, -0x1.ebde24253dc7cp-14, -0x1.d985434490749p-14, -0x1.c7d8419312fcdp-14, -0x1.b6d0fe2887e88p-14, -0x1.a66994de3c09dp-14, -0x1.969c5d5752b9cp-14, -0x1.8763e8d6d7eb9p-14, -0x1.78bafca14184dp-14, -0x1.6a9c8917acb97p-14, -0x1.5d03a2257f68p-14, -0x1.4feb7ced28d8p-14, -0x1.434f713b51561p-14, -0x1.372afaf8d64edp-14, -0x1.2b79ba660dac7p-14, -0x1.2037736e108f9p-14, -0x1.15600c5dc4567p-14, -0x1.0aef8f0b57f46p-14, -0x1.00e22e295c2ccp-14, -0x1.ee68908937b7p-15, -0x1.dbc4f8fa400c2p-15, -0x1.c9d2e600162d4p-15, -0x1.b88bcd3639a26p-15, -0x1.a7e91f88cc8aep-15, -0x1.97e4b7db83042p-15, -0x1.8878a35079697p-15, -0x1.799f3a0415d94p-15, -0x1.6b530cf1a8383p-15, -0x1.5d8ed438dc93p-15, -0x1.504d609c5aa07p-15, -0x1.43899c0528142p-15, -0x1.373ea6f5546ccp-15, -0x1.2b67fce558ac2p-15, -0x1.20016e84fd2bap-15, -0x1.1506ea3328153p-15, -0x1.0a744c644fe1p-15, -0x1.00456aa704c73p-15, -0x1.ecec863f08f8ap-16, -0x1.da0632202cbf5p-16, -0x1.c7d0e1507aa95p-16, -0x1.b646000bcd99dp-16, -0x1.a55f3bee5acep-16, -0x1.9516583727e08p-16, -0x1.85651070abd8ap-16, -0x1.764534d39e254p-16, -0x1.67b0fbb79ee1ep-16, -0x1.59a334f24f831p-16, -0x1.4c17144aa9702p-16, -0x1.3f07c5de78c72p-16, -0x1.32704a69a0922p-16, -0x1.264bad23288c9p-16, -0x1.1a94e361f42b9p-16, -0x1.0f4884e7bb3f2p-16, -0x1.0462cf87dbd45p-16, -0x1.f3b7e8b843d3cp-17, -0x1.df6bac91e57c1p-17, -0x1.cbd3d35b389dfp-17, -0x1.b8ea3458095adp-17, -0x1.a6a7e0871601fp-17, -0x1.95063bc9eb0dap-17, -0x1.83ff29868f157p-17, -0x1.738ceb73db2aap-17, -0x1.63a9dca3b3933p-17, -0x1.545041fa74cb4p-17, -0x1.457afde084374p-17, -0x1.3724cd8997587p-17, -0x1.2949634dd4d87p-17, -0x1.1be2c80d696c7p-17, -0x1.0eece0033d4ffp-17, -0x1.0263a9378a093p-17, -0x1.ec867610e446bp-18, -0x1.d50f369f2aa17p-18, -0x1.be59dc9158d39p-18, -0x1.a85f817edb1cfp-18, -0x1.9319a7e4c5bfbp-18, -0x1.7e8195342bfp-18, -0x1.6a9061ba7cc6cp-18, -0x1.573f618a129c2p-18, -0x1.4488a93e5f178p-18, -0x1.326747254e64p-18, -0x1.20d6795362d24p-18, -0x1.0fd0ff60c973p-18, -0x1.fea32251e137ep-19, -0x1.dea6906b44d69p-19, -0x1.bfa322b7b16e4p-19, -0x1.a190281c78791p-19, -0x1.84653aade7f84p-19, -0x1.681a9d67bfddfp-19, -0x1.4ca9854a85c95p-19, -0x1.320ba3bf51aecp-19, -0x1.183a8d6ce3c02p-19, -0x1.fe5e41c7f8dd2p-20, -0x1.cdc3766c209bcp-20, -0x1.9e969c3cef397p-20, -0x1.70cccd49ad4a9p-20, -0x1.445dcb35dd068p-20, -0x1.193ff97d305b7p-20, -0x1.ded0d8015ec12p-21, -0x1.8d9b639fb8c59p-21, -0x1.3ecd6012fba9ap-21, -0x1.e4a5ed6146823p-22, -0x1.5030bd5a247f4p-22, -0x1.80326fdcb00d1p-23, -0x1.a22b10158c737p-25, 0x1.4d91a4d239d75p-24, 0x1.ae0179dd3f6bbp-23, 0x1.56a8f69737351p-22, 0x1.d275c9ee32c11p-22, 0x1.2541e7a6469fp-21, 0x1.5f77fea8a4a59p-21, 0x1.97e99a2890ecep-21, 0x1.cea01556d9ee5p-21, 0x1.01d1f74e32de6p-20, 0x1.1b80b5baf20a8p-20, 0x1.3460cc10ba5d7p-20, 0x1.4c763ebedece3p-20, 0x1.63c26a0e54f68p-20, 0x1.7a4f803f1a702p-20, 0x1.90217f15c942ep-20, 0x1.a53ad6c0ed9aap-20, 0x1.b99ed907b18f6p-20, 0x1.cd5160b55b661p-20, 0x1.e0563eadb2a6ep-20, 0x1.f2b0c148c3ad4p-20, 0x1.023219c4c02f5p-19, 0x1.0ab9eb4c7c025p-19, 0x1.12f18b369194p-19, 0x1.1ada9256e43d7p-19, 0x1.2276719478181p-19, 0x1.29c68ac582dccp-19, 0x1.30cc4ff4c2dd3p-19, 0x1.37891d2c141ep-19, 0x1.3dfe11e4caa86p-19, 0x1.442c745b3f93ep-19, 0x1.4a159963a3737p-19, 0x1.4fbad5b260fd8p-19, 0x1.551d672bb4c86p-19, 0x1.5a3e622cfe3a8p-19, 0x1.5f1ee567b3dc3p-19, 0x1.63c010efc334p-19, 0x1.6822e68da00c3p-19, 0x1.6c48808d21747p-19, 0x1.7031edc14e566p-19, 0x1.73e02ce8c1579p-19, 0x1.77543ded4d384p-19, 0x1.7a8f22078f2d6p-19, 0x1.7d91c508fc84dp-19, 0x1.805d28cbce766p-19, 0x1.82f24deb8d774p-19, 0x1.85521ac6c74d6p-19, 0x1.877d67bf97d22p-19, 0x1.89752335d6b3dp-19, 0x1.8b3a3120f4d1dp-19, 0x1.8ccd6da448f9ap-19, 0x1.8e2fa8616088ap-19, 0x1.8f628b1c1e5fep-19, 0x1.906bb34d87ea9p-19, 0x1.9132cad154a65p-19, 0x1.91e30b1844511p-19, 0x1.925c3a2ca57edp-19, 0x1.92ab2df720bc5p-19, 0x1.92cf159e2c093p-19, 0x1.92c8be97c2a26p-19, 0x1.9298fa2173c44p-19, 0x1.924095dcd2602p-19, 0x1.91c05b54df29bp-19, 0x1.911911de103p-19, 0x1.904b8a7f17381p-19, 0x1.8f588e938945cp-19, 0x1.8e41312eedc6dp-19, 0x1.8d0598cc75d7bp-19, 0x1.8ba759d8cf84bp-19, 0x1.8a24ba5aa2facp-19, 0x1.888202aa80585p-19, 0x1.86be6231f41bap-19, 0x1.84da653be209cp-19, 0x1.82d6ec10ddaaep-19, 0x1.80b4b9be927bfp-19, 0x1.7e748afb27d83p-19, 0x1.7c1717e19d6e9p-19, 0x1.799d1800fd967p-19, 0x1.77074284cc3dcp-19, 0x1.74564d6d3616ap-19, 0x1.718aecca9ebb5p-19, 0x1.6ea5d2d89174ep-19, 0x1.6ba7b15e728cfp-19, 0x1.689138c359dcep-19, 0x1.6563190bf62ddp-19, 0x1.621e01359929fp-19, 0x1.5ec29c3d0491ep-19, 0x1.5b5196f9110bp-19, 0x1.57cb9b1cb2bd9p-19, 0x1.543150c6b0e13p-19, 0x1.50835f163ca71p-19, 0x1.4cc26c05cb5a9p-19, 0x1.48ef1ddcd2ee1p-19, 0x1.450a167c67969p-19, 0x1.4113f80c09318p-19, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.82b1eee534e3fp-4, 0x1.7d0bde23d5dadp-3, 0x1.17737b23c4d93p-2, 0x1.69ff7ff3c8b18p-2, 0x1.b5334c10320c9p-2, 0x1.f87a2bd05b57cp-2, 0x1.19c5504b16a87p-1, 0x1.332a42e60b9fbp-1, 0x1.487989e8e245ep-1, 0x1.59d0f369df17dp-1, 0x1.675a2f47ed61p-1, 0x1.7147693b4c95ap-1, 0x1.77d09a1bf313bp-1, 0x1.7b316957a2b1ep-1, 0x1.7ba780902bc7fp-1, 0x1.79713a3a2c28fp-1, 0x1.74cc992bc7524p-1, 0x1.6df67af6bcb3ep-1, 0x1.6529f9e25ac77p-1, 0x1.5a9ff59757d02p-1, 0x1.4e8ebb6beb988p-1, 0x1.4129c877ab903p-1, 0x1.32a1a0cf7d60ap-1, 0x1.2323b80c32cdep-1, 0x1.12da67efd94e8p-1, 0x1.01ecf26ccd48cp-1, 0x1.e0ff1998a8c24p-2, 0x1.bd66e4f368335p-2, 0x1.994dfb0240871p-2, 0x1.74eb85f9509fcp-2, 0x1.5071665193df1p-2, 0x1.2c0c787bae48p-2, 0x1.07e4db4da6e39p-2, 0x1.c83c725211d92p-3, 0x1.81b02569b047bp-3, 0x1.3c5c0c8d1947ap-3, 0x1.f0e05f1f7bcd1p-4, 0x1.6c2bddd6cda14p-4, 0x1.d5c2258a176e1p-5, 0x1.b4ece0b4a1c98p-6, -0x1.9297cc2d11d4cp-9, -0x1.04ce77d217cb9p-5, -0x1.e83a571592681p-5, -0x1.619f27fbc8e2dp-4, -0x1.cadcb821c45f7p-4, -0x1.17e5cd828ff41p-3, -0x1.48339062de0f3p-3, -0x1.7657c8660e623p-3, -0x1.a254ce813b582p-3, -0x1.cc2ef0863c1dp-3, -0x1.f3ec36305038cp-3, -0x1.0cca15a0fc272p-2, -0x1.1e97d6fd59f87p-2, -0x1.2f6460c9e7e0ep-2, -0x1.3f353233d993fp-2, -0x1.4e1034bbff3ep-2, -0x1.5bfbaa9b11c21p-2, -0x1.68fe1e963dc6cp-2, -0x1.751e554589aap-2, -0x1.80633fa8a764cp-2, -0x1.8ad3ef02d40a7p-2, -0x1.947789e72a62cp-2, -0x1.9d55426b051ddp-2, -0x1.a5744d6bec6bbp-2, -0x1.acdbdacd81d1ap-2, -0x1.b3930ea93f56ep-2, -0x1.b9a0fb4e0d61ep-2, -0x1.bf0c9c0273035p-2, -0x1.c3dcd079eae33p-2, -0x1.c81858e8c63p-2, -0x1.cbc5d2aa10cbap-2, -0x1.ceebb56ae5f95p-2, -0x1.d19050cf6493ep-2, -0x1.d3b9ca87342dbp-2, -0x1.d56e1cc5d5902p-2, -0x1.d6b31519c0176p-2, -0x1.d78e539503c91p-2, -0x1.d8054a3e4fe8p-2, -0x1.d81d3cc87f12bp-2, -0x1.d7db40802828cp-2, -0x1.d7443c6fd39d4p-2, -0x1.d65ce9ad285eap-2, -0x1.d529d3d41ffd1p-2, -0x1.d3af599b7bf21p-2, -0x1.d1f1ad90e8a22p-2, -0x1.cff4d6e3c544p-2, -0x1.cdbcb251d2012p-2, -0x1.cb4cf319fb5a3p-2, -0x1.c8a9240b4839bp-2, -0x1.c5d4a89417a19p-2, -0x1.c2d2bde64dce7p-2, -0x1.bfa67c197d05ap-2, -0x1.bc52d75853828p-2, -0x1.b8daa10de2af1p-2, -0x1.b54089141ff1bp-2, -0x1.b1871ee41b157p-2, -0x1.adb0d2bee5c53p-2, -0x1.a9bff6dae3902p-2, -0x1.a5b6c08533d84p-2, -0x1.a19749446d85cp-2, -0x1.9d638ff15fe78p-2, -0x1.991d79cd46e7bp-2, -0x1.94c6d38f0fd3fp-2, -0x1.9061526af33b4p-2, -0x1.8bee951374a06p-2, -0x1.877024b097ba1p-2, -0x1.82e775d3faf8fp-2, -0x1.7e55e9602a587p-2, -0x1.79bccd6bfff53p-2, -0x1.751d5e1ddc70ep-2, -0x1.7078c67ba223dp-2, -0x1.6bd02138368afp-2, -0x1.672479761147cp-2, -0x1.6276cb80834bdp-2, -0x1.5dc805828a6b9p-2, -0x1.59190833b7bf2p-2, -0x1.546aa77a37cf6p-2, -0x1.4fbdab0cb1dc5p-2, -0x1.4b12cf0b8209ep-2, -0x1.466ac48a9b37ep-2, -0x1.41c63223c4fp-2, -0x1.3d25b47b0e94p-2, -0x1.3889deb46a314p-2, -0x1.33f33af814b03p-2, -0x1.2f624adeb0894p-2, -0x1.2ad787dca43dbp-2, -0x1.265363b38cd76p-2, -0x1.21d648cd7e229p-2, -0x1.1d609a9ff458dp-2, -0x1.18f2b600e1193p-2, -0x1.148cf18472251p-2, -0x1.102f9dc45559fp-2, -0x1.0bdb05b574b46p-2, -0x1.078f6eeaf39d7p-2, -0x1.034d19de128b2p-2, -0x1.fe2884660e958p-3, -0x1.f5ca3de3471ffp-3, -0x1.ed7fc58b7edd4p-3, -0x1.e54978649b405p-3, -0x1.dd27ab925360dp-3, -0x1.d51aacc96000cp-3, -0x1.cd22c2922073ap-3, -0x1.c5402cb65bfa2p-3, -0x1.bd732499941e1p-3, -0x1.b5bbdd84030c5p-3, -0x1.ae1a84e8c1af5p-3, -0x1.a68f42c222b41p-3, -0x1.9f1a39c67793fp-3, -0x1.97bb87b6a8c3dp-3, -0x1.907345909d924p-3, -0x1.894187d39fe61p-3, -0x1.82265eb9bbf55p-3, -0x1.7b21d6696f6c2p-3, -0x1.7433f72f8d14dp-3, -0x1.6d5cc59fbed3fp-3, -0x1.669c42d80e608p-3, -0x1.5ff26ca4f92a1p-3, -0x1.595f3da704a21p-3, -0x1.52e2ad7c6da74p-3, -0x1.4c7cb0ec522ccp-3, -0x1.462d3a08798bcp-3, -0x1.3ff438569357bp-3, -0x1.39d198e17701fp-3, -0x1.33c5466501d2cp-3, -0x1.2dcf296df7ecdp-3, -0x1.27ef28764e206p-3, -0x1.222527fc75ab3p-3, -0x1.1c710a9be6644p-3, -0x1.16d2b130711ddp-3, -0x1.1149fae30fb59p-3, -0x1.0bd6c54ebc408p-3, -0x1.0678ec939d42fp-3, -0x1.01304b5a5ae97p-3, -0x1.f7f975fb3a646p-4, -0x1.edbc2735a7df8p-4, -0x1.e3a85845a3e09p-4, -0x1.d9bdb4cf2f7b7p-4, -0x1.cffbe65c2e64dp-4, -0x1.c662948659377p-4, -0x1.bcf16526f0307p-4, -0x1.b3a7fc537b131p-4, -0x1.aa85fc9049a87p-4, -0x1.a18b06f2cfd6bp-4, -0x1.98b6bb1f28cb5p-4, -0x1.9008b7895cbddp-4, -0x1.8780997ed0df5p-4, -0x1.7f1dfd38b7561p-4, -0x1.76e07df297b8p-4, -0x1.6ec7b606bb2b6p-4, -0x1.66d33f092d9a7p-4, -0x1.5f02b1db42c2dp-4, -0x1.5755a6b9e0ae3p-4, -0x1.4fcbb55707317p-4, -0x1.486474d62d795p-4, -0x1.411f7bfb171dap-4, -0x1.39fc6144cb4d9p-4, -0x1.32fabad5ade6p-4, -0x1.2c1a1ea023537p-4, -0x1.255a226acb8bep-4, -0x1.1eba5be332c7cp-4, -0x1.183a60aee41c1p-4, -0x1.11d9c678b8bbfp-4, -0x1.0b9822fb867fcp-4, -0x1.05750c0cd1977p-4, -0x1.fee02f57190ebp-5, -0x1.f311b816385dcp-5, -0x1.e77ddf3b7d6d2p-5, -0x1.dc23d2604b48p-5, -0x1.d102bf9dc96bfp-5, -0x1.c619d5dd823c3p-5, -0x1.bb6844f20de5bp-5, -0x1.b0ed3d6f3ea4fp-5, -0x1.a6a7f0f0c205ap-5, -0x1.9c97921ae5eadp-5, -0x1.92bb54a6cd48ap-5, -0x1.89126d7274e12p-5, -0x1.7f9c128fa861ap-5, -0x1.76577b53a9892p-5, -0x1.6d43e065d8eb9p-5, -0x1.64607bcb74198p-5, -0x1.5bac88f1f0c42p-5, -0x1.532744b9c27dcp-5, -0x1.4acfed81b7c51p-5, -0x1.42a5c331bb8c8p-5, -0x1.3aa8074772cd1p-5, -0x1.32d5fce2eedb4p-5, -0x1.2b2ee8bbd777cp-5, -0x1.23b211343f118p-5, -0x1.1c5ebe82e1becp-5, -0x1.15343a75323bfp-5, -0x1.0e31d0abc9e5ap-5, -0x1.0756ce8fe3b54p-5, -0x1.00a283596e597p-5, -0x1.f4288028159eap-6, -0x1.e756af478e28fp-6, -0x1.dace3d9427e92p-6, -0x1.ce8dd85543044p-6, -0x1.c294309f28dep-6, -0x1.b6dffb592c9d5p-6, -0x1.ab6ff1424525cp-6, -0x1.a042cef592a82p-6, -0x1.955754efecc9cp-6, -0x1.8aac4795f732ap-6, -0x1.80406f3899bfcp-6, -0x1.76129815ca786p-6, -0x1.6c2192616821ep-6, -0x1.626c3230e242p-6, -0x1.58f14f8e9c3a7p-6, -0x1.4fafc65e760a3p-6, -0x1.46a676b8798b2p-6, -0x1.3dd444756c7ffp-6, -0x1.3538177dee1c2p-6, -0x1.2cd0dba3c2649p-6, -0x1.249d809670374p-6, -0x1.1c9cf9debd22cp-6, -0x1.14ce3ee5d02c1p-6, -0x1.0d304b057201cp-6, -0x1.05c21d964ac9fp-6, -0x1.fd0573dde0219p-7, -0x1.eee24e9a9789dp-7, -0x1.e118e161c2cddp-7, -0x1.d3a7497033f7p-7, -0x1.c68bab2a5c262p-7, -0x1.b9c4324927c08p-7, -0x1.ad4f123726684p-7, -0x1.a12a8667b4e99p-7, -0x1.9554d2698c873p-7, -0x1.89cc4191f7a0cp-7, -0x1.7e8f26544d6f7p-7, -0x1.739bd992a677fp-7, -0x1.68f0ba597b9cbp-7, -0x1.5e8c2db5b979ap-7, -0x1.546c9fe446f78p-7, -0x1.4a90851e3fddap-7, -0x1.40f659fba332ep-7, -0x1.379ca37184a32p-7, -0x1.2e81edecf7778p-7, -0x1.25a4cbd2f562ep-7, -0x1.1d03d43c97059p-7, -0x1.149da2807c51bp-7, -0x1.0c70d6dcfc817p-7, -0x1.047c180d7876bp-7, -0x1.f97c2a301ed78p-8, -0x1.ea6b0cdd79977p-8, -0x1.dbc25b70775f4p-8, -0x1.cd7fa84f7af38p-8, -0x1.bfa08ff1257c1p-8, -0x1.b222b43617a98p-8, -0x1.a503ba46dce8ap-8, -0x1.98414c2143ef9p-8, -0x1.8bd91d757edbfp-8, -0x1.7fc8f20840efbp-8, -0x1.740ea1d76096fp-8, -0x1.68a81b43d9a3bp-8, -0x1.5d935f4446931p-8, -0x1.52ce7a52a3de6p-8, -0x1.48577cc1d20dp-8, -0x1.3e2c752a320bbp-8, -0x1.344b6f7429a99p-8, -0x1.2ab2791ce187fp-8, -0x1.215fa93ce65a6p-8, -0x1.185129376c41p-8, -0x1.0f853b5749d8fp-8, -0x1.06fa3a277adf1p-8, -0x1.fd5d27b2d17b6p-9, -0x1.ed4181513f54cp-9, -0x1.dd9e71538ccaep-9, -0x1.ce70d977a63e3p-9, -0x1.bfb58a77eb294p-9, -0x1.b1694e1e109e2p-9, -0x1.a388fa6e02bc2p-9, -0x1.961186f4b3d2dp-9, -0x1.89001c82f6e68p-9, -0x1.7c5219a88ad4p-9, -0x1.70050a43f1606p-9, -0x1.641694f2e3fcp-9, -0x1.5884649ea4224p-9, -0x1.4d4c15b37854cp-9, -0x1.426b2d4e5914fp-9, -0x1.37df1d2bcda8ep-9, -0x1.2da5529b08c12p-9, -0x1.23bb4aff4f945p-9, -0x1.1a1ea6f7af8e6p-9, -0x1.10cd3652b9b2p-9, -0x1.07c4f992c59a6p-9, -0x1.fe0831a8562c5p-10, -0x1.ed11a59e24941p-10, -0x1.dca2d2362c0d7p-10, -0x1.ccb820079ff41p-10, -0x1.bd4dce2fb3493p-10, -0x1.ae5ff822d2cb6p-10, -0x1.9feaab47ae324p-10, -0x1.91ea03986fba1p-10, -0x1.845a45ede22e8p-10, -0x1.7737f863be591p-10, -0x1.6a7fed914e09dp-10, -0x1.5e2f454d23c32p-10, -0x1.524356950dc9bp-10, -0x1.46b991a6249eep-10, -0x1.3b8f61151a66bp-10, -0x1.30c21a195f8d8p-10, -0x1.264efcf9aa9cep-10, -0x1.1c333bb8718ffp-10, -0x1.126bfdedbc4a8p-10, -0x1.08f6651f6d2fdp-10, -0x1.ff9f3b1719affp-11, -0x1.ede9fcaac6323p-11, -0x1.dcc84fa4e62c8p-11, -0x1.cc360db847b3bp-11, -0x1.bc2f6d47ba05p-11, -0x1.acb0b02ce7bbbp-11, -0x1.9db5fe6b20cd2p-11, -0x1.8f3b7ecb44f81p-11, -0x1.813d7c369cbfp-11, -0x1.73b85a103afe2p-11, -0x1.66a84d0d9d54p-11, -0x1.5a091fa5cda85p-11, -0x1.4dd654129c379p-11, -0x1.420ba9b24a51dp-11, -0x1.36a5a064994bp-11, -0x1.2ba1805314d55p-11, -0x1.20fcd8692cfcep-11, -0x1.16b4ebbeb6722p-11, -0x1.0cc696c8048e3p-11, -0x1.032ebbaea9c87p-11, -0x1.f3d58289dac9dp-12, -0x1.e1f13cd2dc5fap-12, -0x1.d0aca66adbee1p-12, -0x1.c00277700a08bp-12, -0x1.afebc4b8aeb65p-12, -0x1.a0613749b8d64p-12, -0x1.915cf671550a5p-12, -0x1.82db8c33d8f97p-12, -0x1.74dae0594d9e7p-12, -0x1.675828307348ep-12, -0x1.5a4ebbf390618p-12, -0x1.4db8bf310aa76p-12, -0x1.4190e52c9d412p-12, -0x1.35d3bee5d9c7dp-12, -0x1.2a7f8d976d1e9p-12, -0x1.1f92b3cca33e8p-12, -0x1.1509fe49642ecp-12, -0x1.0ae039b893d49p-12, -0x1.010f913df136bp-12, -0x1.ef27613786a99p-13, -0x1.dcd5aa7246c51p-13, -0x1.cb2988ecd55d4p-13, -0x1.ba211d6abf26ep-13, -0x1.a9b6531de94ap-13, -0x1.99dfc8877419cp-13, -0x1.8a9404ac2263fp-13, -0x1.7bcc7ba8f9d94p-13, -0x1.6d8661eb8b5c5p-13, -0x1.5fc0c7e69ca82p-13, -0x1.5279a9c232c93p-13, -0x1.45ac323c17b82p-13, -0x1.3951411676196p-13, -0x1.2d61c533bb975p-13, -0x1.21d92f9fe7125p-13, -0x1.16b60746b9151p-13, -0x1.0bf817f0f3621p-13, -0x1.019de2ab5fc98p-13, -0x1.ef46d8bd16269p-14, -0x1.dc05a58b1e1b1p-14, -0x1.c96c2e7a62af2p-14, -0x1.b771daa8ac8f4p-14, -0x1.a611aa2359fb9p-14, -0x1.95484cba41549p-14, -0x1.8512753a541c7p-14, -0x1.756c3ca3d09fdp-14, -0x1.66509b7d4725ap-14, -0x1.57b9dac7a13b6p-14, -0x1.49a29be3cca0ap-14, -0x1.3c05da2bf2691p-14, -0x1.2ede90cdc2041p-14, -0x1.2229462a305f8p-14, -0x1.15e4212137f4p-14, -0x1.0a0ba74201eacp-14, -0x1.fd34773898bd7p-15, -0x1.e717528a699d4p-15, -0x1.d1b88f6563696p-15, -0x1.bd0be97d1e5adp-15, -0x1.a9054c360923dp-15, -0x1.959fa1c97fc96p-15, -0x1.82da9d1ff5621p-15, -0x1.70b55fba26712p-15, -0x1.5f2ddc8a86b7dp-15, -0x1.4e426e9748851p-15, -0x1.3deb847ff2466p-15, -0x1.2e182c438330fp-15, -0x1.1ebd5893a8fa4p-15, -0x1.0fddd6a9dcfd5p-15, -0x1.017a768e87036p-15, -0x1.e71ac03acf7fdp-16, -0x1.cc2d86798d0d7p-16, -0x1.b22e9f131ff08p-16, -0x1.9908956b1ea14p-16, -0x1.809d785634832p-16, -0x1.68e11bd90d12fp-16, -0x1.51da0bf289838p-16, -0x1.3b8affb34c994p-16, -0x1.25eead70b0144p-16, -0x1.1108f9ab83754p-16, -0x1.f9bbe37775c24p-17, -0x1.d2bc5a69cfbcfp-17, -0x1.acd9948e16f75p-17, -0x1.87fa801086488p-17, -0x1.643759ba488bbp-17, -0x1.418db30507deep-17, -0x1.1fec27c781eefp-17, -0x1.fecb68a6cbe4cp-18, -0x1.bfff32914b60dp-18, -0x1.833995fe1068bp-18, -0x1.4829fc503024cp-18, -0x1.0eac6da5aa0afp-18, -0x1.adc99086867b4p-19, -0x1.41ab9a3f1b825p-19, -0x1.b17d57bf1c3abp-20, -0x1.ccad9de1db889p-21, -0x1.10188d421f373p-23, 0x1.37f0e74ed38fdp-21, 0x1.53ff1c770029cp-20, 0x1.03518c809397dp-19, 0x1.5a1270f3af9bbp-19, 0x1.ae19d97a65d76p-19, 0x1.ff9edc7e51688p-19, 0x1.27489c7bd6b0cp-18, 0x1.4d61fc10350d1p-18, 0x1.722e2ec27f034p-18, 0x1.95c120e3dc941p-18, 0x1.b83a4e82a8aap-18, 0x1.d9a9d9eb44133p-18, 0x1.f9fafe06eb2d4p-18, 0x1.0c9fac84e2a71p-17, 0x1.1bbc235f2be52p-17, 0x1.2a4c896a870b3p-17, 0x1.385ab4e0ff737p-17, 0x1.45edf7f098944p-17, 0x1.5306e19090422p-17, 0x1.5fa1de1ac7fabp-17, 0x1.6bc643c342b16p-17, 0x1.777b2b027d7ccp-17, 0x1.82c338f3baeabp-17, 0x1.8d9ea2dba353ep-17, 0x1.9806b27e9ba27p-17, 0x1.a202d306f5126p-17, 0x1.ab965af2b2b89p-17, 0x1.b4c00d97e662fp-17, 0x1.bd8623c5a5e7cp-17, 0x1.c5ec446dd54e7p-17, 0x1.cdf3e1eaa9a21p-17, 0x1.d59d833dda184p-17, 0x1.dce4a78bc555fp-17, 0x1.e3d0233930118p-17, 0x1.ea63c72022e71p-17, 0x1.f0a02eaabe85ap-17, 0x1.f68666598b4d1p-17, 0x1.fc1689d49dee6p-17, 0x1.00a7283a91de8p-16, 0x1.0319f0f062eb3p-16, 0x1.0565eda667b4dp-16, 0x1.078a9dbc1c146p-16, 0x1.09869484254fbp-16, 0x1.0b5c40e4dc214p-16, 0x1.0d0cae8407e8cp-16, 0x1.0e9798f239bf9p-16, 0x1.0ffc8739f433p-16, 0x1.113de37f3422dp-16, 0x1.125d1459e6697p-16, 0x1.135951c5e715bp-16, 0x1.14327a23b7175p-16, 0x1.14ea29d6abc33p-16, 0x1.158129b7ad603p-16, 0x1.15f7d3954b81fp-16, 0x1.164ea314dda17p-16, 0x1.16861f339cea4p-16, 0x1.169ee61594d97p-16, 0x1.1699277652c74p-16, 0x1.1674f0eec665p-16, 0x1.16343576c7be5p-16, 0x1.15d71bd60f632p-16, 0x1.155d506d1542dp-16, 0x1.14c8125e5dcc1p-16, 0x1.1417f458d8533p-16, 0x1.134d3e3513852p-16, 0x1.126819c6e7e3bp-16, 0x1.116925b6471c2p-16, 0x1.1051b75b6b656p-16, 0x1.0f2183bed0085p-16, 0x1.0dd900a02c28fp-16, 0x1.0c790e6cfeac3p-16, 0x1.0b020f6c1652ap-16, 0x1.097471d64cc9p-16, 0x1.07d0b22e729bdp-16, 0x1.06174eb385635p-16, 0x1.0448c0ab90bbcp-16, 0x1.026580ba5c7e6p-16, 0x1.006e125e6d68cp-16, 0x1.fcc5941eeb3bp-17, 0x1.f8885fb08f888p-17, 0x1.f425d8078c256p-17, 0x1.ef9e5390f1a1bp-17, 0x1.eaf32f16d0f7fp-17, 0x1.e62544cd2e0a5p-17, 0x1.e1357421edae9p-17, 0x1.dc24903dc7984p-17, 0x1.d6f34a70b49f9p-17, 0x1.d1a32044b963ap-17, 0x1.cc346c5624b01p-17, 0x1.c6a84c91c54afp-17, }}, 
      {{-0x1.869d42f534e9ep+1, -0x1.7f4ffec91773fp+1, -0x1.74bffafdc48p+1, -0x1.67ef411053693p+1, -0x1.59a8ae59b9bp+1, -0x1.4a8a8b8b2b33ap+1, -0x1.3b0f4686b2414p+1, -0x1.2b948d97cfb55p+1, -0x1.1c610f3cbc7c8p+1, -0x1.0da91c7c440adp+1, -0x1.ff24c71db04edp+0, -0x1.e46ddff4dfffap+0, -0x1.cb4f2a443d056p+0, -0x1.b3dbc213da31p+0, -0x1.9e1b5e3906fd5p+0, -0x1.8a0cdb8e72738p+0, -0x1.77a84bdea03dep+0, -0x1.66e0a04e5c68cp+0, -0x1.57a5024705f64p+0, -0x1.49e1ea1baf84ap+0, -0x1.3d81ff96d76b8p+0, -0x1.326ece456f094p+0, -0x1.289155810c123p+0, -0x1.1fd27aaa8ef09p+0, -0x1.181b62dd542b9p+0, -0x1.1155b872a31e6p+0, -0x1.0b6bdfe475cd7p+0, -0x1.06491f0fa836dp+0, -0x1.01d9b9331fa8p+0, -0x1.fc16037ad1bbfp-1, -0x1.f596cf72f22e9p-1, -0x1.f014f61245e93p-1, -0x1.eb71d9ba9420cp-1, -0x1.e79118b1482bcp-1, -0x1.e458801a2bf32p-1, -0x1.e1affa9cbc1d1p-1, -0x1.df817b75e6f26p-1, -0x1.ddb8e6e210939p-1, -0x1.dc43f8f9dff24p-1, -0x1.db122b95721c8p-1, -0x1.da149b62e1a09p-1, -0x1.d93ded198a8c9p-1, -0x1.d88232de83fa6p-1, -0x1.d7d6d232cf778p-1, -0x1.d7326aa91fd4bp-1, -0x1.d68cbdad8522bp-1, -0x1.d5de975406ce5p-1, -0x1.d521b856435c2p-1, -0x1.d450c16d75aafp-1, -0x1.d3671fd1752ccp-1, -0x1.d260fb18709e5p-1, -0x1.d13b2438a591cp-1, -0x1.cff305b874eefp-1, -0x1.ce8694e66b09ap-1, -0x1.ccf4441a3bb68p-1, -0x1.cb3af5fa95409p-1, -0x1.c959f1998cb1p-1, -0x1.c750d788107fcp-1, -0x1.c51f97ab9e9dfp-1, -0x1.c2c667e4e1358p-1, -0x1.c045bb704f092p-1, -0x1.bd9e3b00d4bcbp-1, -0x1.bad0bd80d9b85p-1, -0x1.b7de417414845p-1, -0x1.b4c7e701d11d6p-1, -0x1.b18eea7b9b8eap-1, -0x1.ae349f74404b9p-1, -0x1.aaba6c517a542p-1, -0x1.a721c648c0445p-1, -0x1.a36c2dc79495bp-1, -0x1.9f9b2b3bce3eep-1, -0x1.9bb04c340d32bp-1, -0x1.97ad20d19b324p-1, -0x1.93933986abb17p-1, -0x1.8f64251ae700fp-1, -0x1.8b216eeb119abp-1, -0x1.86cc9d650ff88p-1, -0x1.826730bea9185p-1, -0x1.7df2a1d2d20a7p-1, -0x1.7970612eb5081p-1, -0x1.74e1d649968b2p-1, -0x1.70485ed965dc4p-1, -0x1.6ba54e4a8c701p-1, -0x1.66f9ed5220e3cp-1, -0x1.6247799c88852p-1, -0x1.5d8f258f586d4p-1, -0x1.58d2182363895p-1, -0x1.54116cccf690ep-1, -0x1.4f4e337837d0ep-1, -0x1.4a89708fb2d34p-1, -0x1.45c41d12c3d2bp-1, -0x1.40ff26b408a04p-1, -0x1.3c3b7003d23bap-1, -0x1.3779d09fe8462p-1, -0x1.32bb1568b95c9p-1, -0x1.2e0000c056547p-1, -0x1.29494acb09598p-1, -0x1.2497a1b2f69e9p-1, -0x1.1feba9ef44319p-1, -0x1.1b45fe8fc36b4p-1, -0x1.16a731867546cp-1, -0x1.120fcbf3dfc7bp-1, -0x1.0d804e73bae62p-1, -0x1.08f93169c26c1p-1, -0x1.047ae54ef788dp-1, -0x1.0005d2fd223adp-1, -0x1.f734b7f6280abp-2, -0x1.ee71b58d38dbcp-2, -0x1.e5c3463bb3bcdp-2, -0x1.dd2a048f2c6f8p-2, -0x1.d4a67eb1d50a7p-2, -0x1.cc3936f4f78cp-2, -0x1.c3e2a4571f84bp-2, -0x1.bba33304e087p-2, -0x1.b37b44d8a64ccp-2, -0x1.ab6b31d6002d4p-2, -0x1.a373489dfd85dp-2, -0x1.9b93cee3af84ap-2, -0x1.93cd01dcc88d6p-2, -0x1.8c1f16a881e27p-2, -0x1.848a3abb38914p-2, -0x1.7d0e9440bcd3bp-2, -0x1.75ac4276754b7p-2, -0x1.6e635e0fe0e6p-2, -0x1.6733f98938259p-2, -0x1.601e217a27ec1p-2, -0x1.5921dcee33ab9p-2, -0x1.523f2dacc3b01p-2, -0x1.4b76108650b4fp-2, -0x1.44c67d98061fep-2, -0x1.3e30689587371p-2, -0x1.37b3c1030168p-2, -0x1.315072796b84dp-2, -0x1.2b0664ddc5015p-2, -0x1.24d57c9b3b235p-2, -0x1.1ebd9adb36134p-2, -0x1.18be9db470c99p-2, -0x1.12d860605e2f1p-2, -0x1.0d0abb65df194p-2, -0x1.075584c739b39p-2, -0x1.01b890328a3b1p-2, -0x1.f8675e3eda33cp-3, -0x1.ed8d61f86a7b6p-3, -0x1.e2e2c6a62b041p-3, -0x1.d86723d698dfap-3, -0x1.ce1a0dcfd3293p-3, -0x1.c3fb15db6733ap-3, -0x1.ba09ca7676808p-3, -0x1.b045b793edb3dp-3, -0x1.a6ae66ccd300fp-3, -0x1.9d435f97b86c4p-3, -0x1.9404277a2c7dfp-3, -0x1.8af042369585dp-3, -0x1.820731ffe273p-3, -0x1.79487793f2a04p-3, -0x1.70b392754130ap-3, -0x1.6848010bfbb2cp-3, -0x1.600540c8556cbp-3, -0x1.57eace4627264p-3, -0x1.4ff82571030ebp-3, -0x1.482cc1a17f67dp-3, -0x1.40881dc29ed4fp-3, -0x1.3909b45fedc9bp-3, -0x1.31b0ffcaafe9dp-3, -0x1.2a7d7a33607edp-3, -0x1.236e9dc243acep-3, -0x1.1c83e4acf51e1p-3, -0x1.15bcc94aea659p-3, -0x1.0f18c631bbf15p-3, -0x1.0897563bafd0fp-3, -0x1.0237f4a98e575p-3, -0x1.f7f43a674bdcep-4, -0x1.ebba98104479fp-4, -0x1.dfc1fbdb01befp-4, -0x1.d409609af293p-4, -0x1.c88fc28590ce6p-4, -0x1.bd541f48eefc3p-4, -0x1.b2557624622ffp-4, -0x1.a792c8038e4ecp-4, -0x1.9d0b17a346068p-4, -0x1.92bd69853e27fp-4, -0x1.88a8c41fa848ep-4, -0x1.7ecc2ff521f36p-4, -0x1.7526b77f89054p-4, -0x1.6bb76768072c4p-4, -0x1.627d4e87ab7a5p-4, -0x1.59777df37fa16p-4, -0x1.50a50908b13d9p-4, -0x1.4805057aa9fd7p-4, -0x1.3f968b607ebaap-4, -0x1.3758b53ee089ap-4, -0x1.2f4aa00edadefp-4, -0x1.276b6b4fbd238p-4, -0x1.1fba38f10cab5p-4, -0x1.18362d787e808p-4, -0x1.10de701330dfp-4, -0x1.09b22a6cdbe86p-4, -0x1.02b088da33f96p-4, -0x1.f7b1749e9745ep-5, -0x1.ea53e0ca2fee4p-5, -0x1.dd46bebb8d8f2p-5, -0x1.d0887c4eb9769p-5, -0x1.c4178cb9c11ap-5, -0x1.b7f2688cf94a5p-5, -0x1.ac178dbbe02adp-5, -0x1.a0857f94e52aap-5, -0x1.953ac6baee13bp-5, -0x1.8a35f15e3763ap-5, -0x1.7f7592cd22614p-5, -0x1.74f843ccc6a02p-5, -0x1.6abca29af8444p-5, -0x1.60c1529828134p-5, -0x1.5704fc8918bf9p-5, -0x1.4d864e7e6a8e2p-5, -0x1.4443fbcb2e645p-5, -0x1.3b3cbd01a5abcp-5, -0x1.326f4febc0e71p-5, -0x1.29da7783d52a4p-5, -0x1.217cfbed4163p-5, -0x1.1955aa6add2ap-5, -0x1.116355554d301p-5, -0x1.09a4d412793d2p-5, -0x1.0219030cfc8d8p-5, -0x1.f57d8752e4bb4p-6, -0x1.e729f87e176edp-6, -0x1.d93530243cfeep-6, -0x1.cb9d0e57ee9c3p-6, -0x1.be5f7cc2c9d51p-6, -0x1.b17a6efa34e57p-6, -0x1.a4ebe18f1964fp-6, -0x1.98b1da9aad09dp-6, -0x1.8cca6971064d1p-6, -0x1.8133a68a31c6ap-6, -0x1.75ebb369a7a75p-6, -0x1.6af0ba84c05b2p-6, -0x1.6040ef292bfbap-6, -0x1.55da8d632a6d9p-6, -0x1.4bbbd9e33fe76p-6, -0x1.41e321e3165cep-6, -0x1.384ebb09e695ep-6, -0x1.2efd03511badp-6, -0x1.25ec60e9a18d9p-6, -0x1.1d1b42217e086p-6, -0x1.14881d4854a83p-6, -0x1.0c3170911edfap-6, -0x1.0415c206c036bp-6, -0x1.f8673e989969dp-7, -0x1.e9133b44f895dp-7, -0x1.da2cb3261362ap-7, -0x1.cbb0eee3c0669p-7, -0x1.bd9d44d6f142ap-7, -0x1.afef1a001223ep-7, -0x1.a2a3e1636306ep-7, -0x1.95b91bcc9abep-7, -0x1.892c579898e5p-7, -0x1.7cfb30892e5c7p-7, -0x1.71234fa14da63p-7, -0x1.65a26aff1390cp-7, -0x1.5a7645a7a0db4p-7, -0x1.4f9caf3f5a8f5p-7, -0x1.451383b58faacp-7, -0x1.3ad8aaf4c1e79p-7, -0x1.30ea18aa55926p-7, -0x1.2745cc2dc0ca8p-7, -0x1.1de9d07d5966bp-7, -0x1.14d43c3754862p-7, -0x1.0c033172d2784p-7, -0x1.0374dd6a2b076p-7, -0x1.f64eefffe5d5bp-8, -0x1.e6328691f854cp-8, -0x1.d69116e5a6f2ep-8, -0x1.c7674bcb824e1p-8, -0x1.b8b1e4e6977efp-8, -0x1.aa6db6a4e25d3p-8, -0x1.9c97a980cf654p-8, -0x1.8f2cba1d0016dp-8, -0x1.8229f85bf3ea9p-8, -0x1.758c85856da5ap-8, -0x1.695192ee9845cp-8, -0x1.5d76615672493p-8, -0x1.51f8413dc515fp-8, -0x1.46d49405d6737p-8, -0x1.3c08cd36643e2p-8, -0x1.3192732596047p-8, -0x1.276f1e749cb52p-8, -0x1.1d9c7854b021cp-8, -0x1.1418381cbb09ep-8, -0x1.0ae02118d058fp-8, -0x1.01f201780c0f8p-8, -0x1.f29765a410433p-9, -0x1.e1d637e36bc49p-9, -0x1.d19c6559d60ffp-9, -0x1.c1e5ff56600e5p-9, -0x1.b2af37b7b830bp-9, -0x1.a3f46008b5252p-9, -0x1.95b1e4315b459p-9, -0x1.87e4428a4c44dp-9, -0x1.7a8806ae1edap-9, -0x1.6d99c937b7e1fp-9, -0x1.611632ae7494ep-9, -0x1.54fa0175468bbp-9, -0x1.4942102b76267p-9, -0x1.3deb5e0c7f76dp-9, -0x1.32f30829195fep-9, -0x1.285648cec5e52p-9, -0x1.1e126e952114fp-9, -0x1.1424d3a43a4e5p-9, -0x1.0a8ad7eb0b5bfp-9, -0x1.0141dfff6e749p-9, -0x1.f08eb212e92dfp-10, -0x1.df31806b2925cp-10, -0x1.ce6755b81b6a5p-10, -0x1.be2b989f012c2p-10, -0x1.ae79ee460a84p-10, -0x1.9f4e32aeaa818p-10, -0x1.90a4693f72058p-10, -0x1.8278aa7e75265p-10, -0x1.74c714f661b53p-10, -0x1.678bc61d4daafp-10, -0x1.5ac2dd4683a53p-10, -0x1.4e688718b9a8bp-10, -0x1.42790d2b684c1p-10, -0x1.36f0e467bee56p-10, -0x1.2bccb5ae3838ep-10, -0x1.21095e4ed2f23p-10, -0x1.16a3e8450bdd3p-10, -0x1.0c997c6622a5cp-10, -0x1.02e75295e8d5ap-10, -0x1.f31549ddc3ef6p-11, -0x1.e101539c30398p-11, -0x1.cf8d2bc259262p-11, -0x1.beb348b7c0827p-11, -0x1.ae6e45e1e49c4p-11, -0x1.9eb8eea46fb1p-11, -0x1.8f8e5e94a8bccp-11, -0x1.80e9fadb0e272p-11, -0x1.72c781f1718f2p-11, -0x1.6522e63175474p-11, -0x1.57f84337fc1bdp-11, -0x1.4b43c0dabd5acp-11, -0x1.3f0186c7c8fb4p-11, -0x1.332dbcb790fabp-11, -0x1.27c48f6c1a4ep-11, -0x1.1cc233e2f4795p-11, -0x1.1222eb5a0a995p-11, -0x1.07e310c3aeb7bp-11, -0x1.fbfe620ae44fcp-12, -0x1.e8e840ee111b7p-12, -0x1.d67df64cf6d63p-12, -0x1.c4ba182771f38p-12, -0x1.b3975ae20671p-12, -0x1.a31074085cbdp-12, -0x1.93202b9738d53p-12, -0x1.83c176dfc04c5p-12, -0x1.74ef703d3757ap-12, -0x1.66a525159627ap-12, -0x1.58dd6e278acecp-12, -0x1.4b930bc74fefcp-12, -0x1.3ec10733ab88fp-12, -0x1.32630e30fa242p-12, -0x1.267572fa73866p-12, -0x1.1af4ca52662p-12, -0x1.0fdd803622768p-12, -0x1.052bc436e1a7cp-12, -0x1.f5b7ac1be98cfp-13, -0x1.e1d4bd2250757p-13, -0x1.cea8ee4df502cp-13, -0x1.bc2e9800b7a95p-13, -0x1.aa5f4b558021ap-13, -0x1.99339a0ed4e1ap-13, -0x1.88a3f642e0adfp-13, -0x1.78aa097ba3a22p-13, -0x1.69412e79080f3p-13, -0x1.5a65db0dca2e9p-13, -0x1.4c1411da2cba5p-13, -0x1.3e46ad5261645p-13, -0x1.30f7ac7b00173p-13, -0x1.24218f55bddc5p-13, -0x1.17c028c67fa82p-13, -0x1.0bd07eee86339p-13, -0x1.004fbf02274c7p-13, -0x1.ea7430eb24d8ap-14, -0x1.d514f273b6f0fp-14, -0x1.c076f77fa6a8ep-14, -0x1.ac91a8386270dp-14, -0x1.9960020adf96dp-14, -0x1.86df25ec5c4d6p-14, -0x1.750b553a0c65fp-14, -0x1.63de19adb3a6ap-14, -0x1.534ee744161ep-14, -0x1.43553d5c7fabap-14, -0x1.33ea9eca2900cp-14, -0x1.250b16f9cb4a2p-14, -0x1.16b3fdc6f421bp-14, -0x1.08e210986c269p-14, -0x1.f720a1455d7c2p-15, -0x1.dd70af52f82c9p-15, -0x1.c4a7bc8b79356p-15, -0x1.acbca5132a0c4p-15, -0x1.95aa6a1d6d102p-15, -0x1.7f6dce11e26f7p-15, -0x1.6a01fe39b88a5p-15, -0x1.555f0d65fc29fp-15, -0x1.417ac887eb0fdp-15, -0x1.2e4ae718f61b2p-15, -0x1.1bc776021adp-15, -0x1.09eb35b8532d5p-15, -0x1.f162adf83962ap-16, -0x1.d02ba80b22b93p-16, -0x1.b02837d057567p-16, -0x1.914e036414061p-16, -0x1.7391ee383a509p-16, -0x1.56e969cfa21a8p-16, -0x1.3b4a88f7cb55ep-16, -0x1.20ab9a0279495p-16, -0x1.070524358d4c6p-16, -0x1.dca2ba5ae6d3dp-17, -0x1.ad1211fb45f03p-17, -0x1.7f42e32c8dc69p-17, -0x1.53274af02e2ddp-17, -0x1.28afd0456603bp-17, -0x1.ff90298a08119p-18, -0x1.b0b8d3c528156p-18, -0x1.64c38afa32864p-18, -0x1.1ba61f9eac765p-18, -0x1.aaaa7d2fe5f2cp-19, -0x1.2385b56df7ebp-19, -0x1.43882b5d9566ap-20, -0x1.297f9dd600944p-22, 0x1.4a619614f4c29p-21, 0x1.8bb29c4dc8be8p-20, 0x1.34946ab813661p-19, 0x1.9ed4c21a6561ep-19, 0x1.026237f5864bp-18, 0x1.3338272af4eeap-18, 0x1.61f1452adef4ap-18, 0x1.8ead63b4a8cbp-18, 0x1.b9960d031a792p-18, 0x1.e2bfa5eff86a9p-18, 0x1.05142ba0bf5b4p-17, 0x1.17e94defea0c2p-17, 0x1.29e51c4be8f7bp-17, 0x1.3b08045cfccbfp-17, 0x1.4b524df2c9db9p-17, 0x1.5acfa3d1b761fp-17, 0x1.6993805f80104p-17, 0x1.77a7a3af1b2b2p-17, 0x1.850748238931fp-17, 0x1.91b56f73a53b2p-17, 0x1.9db971632eacep-17, 0x1.a90ff36770905p-17, 0x1.b3b98ec60a632p-17, 0x1.bdc0dc5c3cee3p-17, 0x1.c733b9d274d23p-17, 0x1.d019708bc0a74p-17, 0x1.d86eb5c75c6cdp-17, 0x1.e0350dbacb6acp-17, 0x1.e77311d041962p-17, 0x1.ee27a02d8c859p-17, 0x1.f4535dfc8df9bp-17, 0x1.f9fc91a2bdeap-17, 0x1.ff28a68cb91a8p-17, 0x1.01ef5c84d6c5cp-16, 0x1.04116d3be9bc2p-16, 0x1.05f9da14697d9p-16, 0x1.07ab6c75cfae8p-16, 0x1.092663de5616dp-16, 0x1.0a69cf0044652p-16, 0x1.0b7848867e1b4p-16, 0x1.0c53632c0d7c9p-16, 0x1.0cfe6e80be6cfp-16, 0x1.0d7b92e59558dp-16, 0x1.0dc9e5ffb4a25p-16, 0x1.0deb70e0d175p-16, 0x1.0de1014354666p-16, 0x1.0daa512bbc28cp-16, 0x1.0d498e5959a42p-16, 0x1.0cc083a6c8d9dp-16, 0x1.0c0ff6dc45ab6p-16, 0x1.0b3804e138b01p-16, 0x1.0a3a71f98fe92p-16, 0x1.0918fedfcb84dp-16, 0x1.07d4c0f378bb3p-16, 0x1.066e67f84457fp-16, 0x1.04e568ab7bd8p-16, 0x1.033b8ea0eb5eap-16, 0x1.017201452a3c1p-16, 0x1.ff123fe5f74cdp-17, 0x1.fb051df1b62f9p-17, 0x1.f6befd0b3104dp-17, 0x1.f2417790397abp-17, 0x1.ed8dd1cac0dacp-17, 0x1.e8a38ebde560cp-17, 0x1.e386198536a33p-17, 0x1.de37d3f570cc6p-17, 0x1.d8ba023c25be1p-17, 0x1.d30e0f2f81f2p-17, 0x1.cd350cb20c616p-17, 0x1.c72f0a562e7ccp-17, 0x1.c0ff3a3d8381dp-17, 0x1.baa86c52123e6p-17, 0x1.b42b3b45d5dc8p-17, 0x1.ad874579ea494p-17, 0x1.a6bf67b659494p-17, 0x1.9fd56726156aap-17, 0x1.98c9d3aea3b5fp-17, 0x1.919d042d0bcd3p-17, 0x1.8a51eaa92648dp-17, 0x1.82ea5c215baa1p-17, 0x1.7b677bb598d79p-17, 0x1.73c802a11b991p-17, 0x1.6c0f950d0366p-17, 0x1.643f173e5275ap-17, 0x1.5c57a22d5a3e3p-17, 0x1.545a5acb7170cp-17, 0x1.4c4869a8e13a1p-17, 0x1.44230b3bd5d8ep-17, 0x1.3beb01de69123p-17, 0x1.33a0cfbcb45c9p-17, 0x1.2b473a565d94cp-17, 0x1.22defb71210edp-17, 0x1.1a67c9fc0cde7p-17, 0x1.11e4133c0c799p-17, 0x1.09547ad7fd767p-17, 0x1.00bb39e375cb4p-17, 0x1.f02d2c5571ba4p-18, 0x1.ded16cfa1ea77p-18, 0x1.cd67fe51d7586p-18, 0x1.bbf02b345fac7p-18, 0x1.aa6bb1a71ec9p-18, 0x1.98dd9a1133153p-18, 0x1.8747609c9dacp-18, 0x1.75aaa26d7a1dp-18, 0x1.6409283ba8763p-18, 0x1.5264be06a0c2p-18, 0x1.40bf1544fcc45p-18, 0x1.2f19cee6a40b9p-18, 0x1.1d76b63e81e31p-18, 0x1.0bd6cfcd87b3p-18, 0x1.f477d2db5f467p-19, 0x1.d1510b236f4eap-19, 0x1.ae394dd88ca02p-19, 0x1.8b35e0220e86ap-19, 0x1.684961da2dc18p-19, 0x1.457673f2ce55dp-19, 0x1.22bf5cd4e1526p-19, 0x1.00258e5478913p-19, 0x1.bb5eac3968218p-20, 0x1.76b80de78c0d5p-20, 0x1.325f306206524p-20, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.eb9676bcf2175p-1, 0x1.eacb4ddbec1fdp-1, 0x1.e9799ba21a184p-1, 0x1.e7a2b566b3eep-1, 0x1.e5486effae8f2p-1, 0x1.e26d1249c4c07p-1, 0x1.df1355a902e3bp-1, 0x1.db3e51f0d700bp-1, 0x1.d6f1780b42003p-1, 0x1.d23086a302347p-1, 0x1.ccff8003fdcf8p-1, 0x1.c762a0579757ap-1, 0x1.c15e545779b6bp-1, 0x1.baf7308887f33p-1, 0x1.b431e90890525p-1, 0x1.ad1349f3ee0aap-1, 0x1.a5a03064131ddp-1, 0x1.9ddd8404da502p-1, 0x1.95d0313c3b568p-1, 0x1.8d7d23de6564fp-1, 0x1.84e942673ecf9p-1, 0x1.7c1969b1a3bb1p-1, 0x1.731269247386bp-1, 0x1.69d8ff4d685e6p-1, 0x1.6071d6e1d39cep-1, 0x1.56e1841d922aep-1, 0x1.4d2c8278ddd42p-1, 0x1.435732adfeabep-1, 0x1.3965d908472acp-1, 0x1.2f5c9bf629cp-1, 0x1.253f82d8a4831p-1, 0x1.1b12750aa62b4p-1, 0x1.10d9391b6ab76p-1, 0x1.0697743736d8ep-1, 0x1.f8a15374559d7p-2, 0x1.e41075d26b3b3p-2, 0x1.cf82cd9b15458p-2, 0x1.bafe945e63a2ap-2, 0x1.a689bf573f222p-2, 0x1.9229ffcae08d9p-2, 0x1.7de4c3954867fp-2, 0x1.69bf35dddab63p-2, 0x1.55be3fef95bb6p-2, 0x1.41e68a30c9673p-2, 0x1.2e3c7d3676bedp-2, 0x1.1ac442efd75cdp-2, 0x1.0781c7e6d071dp-2, 0x1.e8f17924b6fa1p-3, 0x1.c3592d7049379p-3, 0x1.9e4125b5d3e9ep-3, 0x1.79af6b668ee08p-3, 0x1.55a99b61bc276p-3, 0x1.3234e903ddb08p-3, 0x1.0f56213f551efp-3, 0x1.da235b768c6e9p-4, 0x1.96d72febcb842p-4, 0x1.54cf18cf3ba48p-4, 0x1.1411bb495e09ep-4, 0x1.a94a1ded03eep-5, 0x1.2d1cc82ff702bp-5, 0x1.6749a6dc8cf06p-6, 0x1.e7533b72279fap-8, -0x1.b85bf2cff976ap-8, -0x1.506dfde9a0f7cp-6, -0x1.16934e4cf593cp-5, -0x1.821ca7c15d424p-5, -0x1.ead042ef46b8cp-5, -0x1.2856245aab46dp-4, -0x1.59d7e438d991ap-4, -0x1.89ed56be6a1e7p-4, -0x1.b896da7132cc8p-4, -0x1.e5d531aca2c0bp-4, -0x1.08d4beded4b07p-3, -0x1.1e0a9d0f6e7c3p-3, -0x1.328d1bea741ep-3, -0x1.465d4c75aed25p-3, -0x1.597c6608ef135p-3, -0x1.6bebc42cbc718p-3, -0x1.7dace489023f1p-3, -0x1.8ec164e39dc8cp-3, -0x1.9f2b012ea3e42p-3, -0x1.aeeb91a630f7p-3, -0x1.be0508fd8969cp-3, -0x1.cc79729b6593ap-3, -0x1.da4af0e50f67ep-3, -0x1.e77bbb9831591p-3, -0x1.f40e1e33011edp-3, -0x1.00023b3547eb1p-2, -0x1.05b0995775f59p-2, -0x1.0b13685e6f223p-2, -0x1.102bee1e786fdp-2, -0x1.14fb76b7baf0bp-2, -0x1.198353f2a9318p-2, -0x1.1dc4dca299336p-2, -0x1.21c16c0e76633p-2, -0x1.257a615f64d91p-2, -0x1.28f11f152ebc6p-2, -0x1.2c270a805c217p-2, -0x1.2f1d8b41d2322p-2, -0x1.31d60acfcf67cp-2, -0x1.3451f4002df92p-2, -0x1.3692b297bddc8p-2, -0x1.3899b2de9e2e5p-2, -0x1.3a6861396d153p-2, -0x1.3c0029c734a12p-2, -0x1.3d627803ec2fap-2, -0x1.3e90b66f75432p-2, -0x1.3f8c4e38f09e6p-2, -0x1.4056a6ee4e2cap-2, -0x1.40f1262ff79bp-2, -0x1.415d2f687c217p-2, -0x1.419c238818893p-2, -0x1.41af60c407a68p-2, -0x1.419842597816p-2, -0x1.415820540d4bfp-2, -0x1.40f04f57d433cp-2, -0x1.4062206e8913ep-2, -0x1.3faee0d81c3b4p-2, -0x1.3ed7d9de5791ap-2, -0x1.3dde50ab89c5ap-2, -0x1.3cc386242580fp-2, -0x1.3b88b6c33021bp-2, -0x1.3a2f1a79772d3p-2, -0x1.38b7e48f66a9dp-2, -0x1.37244389732dp-2, -0x1.3575610efa987p-2, -0x1.33ac61d3897bep-2, -0x1.31ca65826eafdp-2, -0x1.2fd086ac8486p-2, -0x1.2dbfdab81edb1p-2, -0x1.2b9971d30647dp-2, -0x1.295e56e6709e7p-2, -0x1.270f8f8cdafd4p-2, -0x1.24ae1c09bbcabp-2, -0x1.223af742f4da8p-2, -0x1.1fb716bbf02f6p-2, -0x1.1d236a925d3afp-2, -0x1.1a80dd7c75fbap-2, -0x1.17d054c8bc93dp-2, -0x1.1512b05f23b74p-2, -0x1.1248cac38bf22p-2, -0x1.0f7379198bab6p-2, -0x1.0c938b296c566p-2, -0x1.09a9cb665244ap-2, -0x1.06b6fef57c2fp-2, -0x1.03bbe5b69139cp-2, -0x1.00b93a4ce856fp-2, -0x1.fb5f6453823a5p-3, -0x1.f53ffb2ebc78dp-3, -0x1.ef158f89e6fe1p-3, -0x1.e8e16da6bb52fp-3, -0x1.e2a4d7c527049p-3, -0x1.dc61063f93b4ep-3, -0x1.d61727a8711adp-3, -0x1.cfc860e8f4a2p-3, -0x1.c975cd60f284p-3, -0x1.c3207f07c2486p-3, -0x1.bcc97e8e0e1f6p-3, -0x1.b671cb80844cbp-3, -0x1.b01a5c6b57469p-3, -0x1.a9c41efe6f842p-3, -0x1.a36ff8324c55bp-3, -0x1.9d1ec46d717abp-3, -0x1.96d157aa5ed05p-3, -0x1.90887d9e0081ep-3, -0x1.8a44f9de7b954p-3, -0x1.8407880a5c1a3p-3, -0x1.7dd0dbf001cd9p-3, -0x1.77a1a1b54eb49p-3, -0x1.717a7dff83764p-3, -0x1.6b5c0e1b36f89p-3, -0x1.6546e8246da8ap-3, -0x1.5f3b9b2eaf005p-3, -0x1.593aaf6d23d7ep-3, -0x1.5344a65aa5c3p-3, -0x1.4d59fae1b5cd9p-3, -0x1.477b21845c591p-3, -0x1.41a88883d6d72p-3, -0x1.3be298081ed01p-3, -0x1.3629b24733569p-3, -0x1.307e33ac2245dp-3, -0x1.2ae072fdcf866p-3, -0x1.2550c185637cap-3, -0x1.1fcf6b347155ep-3, -0x1.1a5cb6cab9f08p-3, -0x1.14f8e5fb91869p-3, -0x1.0fa43592e2d52p-3, -0x1.0a5edd99bfe9p-3, -0x1.0529117a8ce39p-3, -0x1.00030024aeb9p-3, -0x1.f5d9a85f99b76p-4, -0x1.ebcd67fd16e52p-4, -0x1.e1e183c1a9f02p-4, -0x1.d816386b2ab42p-4, -0x1.ce6bbb17f3e8fp-4, -0x1.c4e2398857b12p-4, -0x1.bb79da5eec9c4p-4, -0x1.b232bd5fdf17ap-4, -0x1.a90cfbaf1d14bp-4, -0x1.a008a80d62eefp-4, -0x1.9725cf1432e46p-4, -0x1.8e647770a55afp-4, -0x1.85c4a21d15ffbp-4, -0x1.7d464a99b1444p-4, -0x1.74e96723d8e77p-4, -0x1.6cade8ec6556ep-4, -0x1.6493bc4cc00c1p-4, -0x1.5c9ac8fad8a59p-4, -0x1.54c2f23bf1ed5p-4, -0x1.4d0c17164e5bap-4, -0x1.45761281b3ff2p-4, -0x1.3e00bb96cf5b8p-4, -0x1.36abe5bd7569fp-4, -0x1.2f7760d9c3dc6p-4, -0x1.2862f9782461ap-4, -0x1.216e78f833fap-4, -0x1.1a99a5b68e2e3p-4, -0x1.13e44335857ccp-4, -0x1.0d4e1244c16bcp-4, -0x1.06d6d127ceeb5p-4, -0x1.007e3bbb9f556p-4, -0x1.f4881735f80e7p-5, -0x1.e84ff083e1bb6p-5, -0x1.dc536e6064a7cp-5, -0x1.d091f814fe899p-5, -0x1.c50af1760ab24p-5, -0x1.b9bdbb21990e4p-5, -0x1.aea9b2bc4ad7p-5, -0x1.a3ce332c54a2p-5, -0x1.992a94d29e0eep-5, -0x1.8ebe2dc200234p-5, -0x1.848851f4c366ap-5, -0x1.7a8853804abfp-5, -0x1.70bd82c702fa7p-5, -0x1.67272ea89c4dp-5, -0x1.5dc4a4b0903a1p-5, -0x1.5495314304173p-5, -0x1.4b981fc80e7ecp-5, -0x1.42ccbad560664p-5, -0x1.3a324c5666404p-5, -0x1.31c81db2deb3ep-5, -0x1.298d77f3f826ep-5, -0x1.2181a3e7f736fp-5, -0x1.19a3ea446e945p-5, -0x1.11f393c715f5cp-5, -0x1.0a6fe95544058p-5, -0x1.0318341a0fd97p-5, -0x1.f7d77b4659edep-6, -0x1.e9d39ff901a71p-6, -0x1.dc236b94f26d6p-6, -0x1.cec574c6653a5p-6, -0x1.c1b853cce445bp-6, -0x1.b4faa2a8f3f96p-6, -0x1.a88afd47829ccp-6, -0x1.9c6801ab3102dp-6, -0x1.909050137d623p-6, -0x1.85028b21e1395p-6, -0x1.79bd57fcf5f31p-6, -0x1.6ebf5e71adab4p-6, -0x1.640749129bd8fp-6, -0x1.5993c55581f2bp-6, -0x1.4f6383af06b63p-6, -0x1.457537acbe13cp-6, -0x1.3bc7980d7fa12p-6, -0x1.32595ed834643p-6, -0x1.29294970fc4a6p-6, -0x1.203618ace5018p-6, -0x1.177e90e41e7d7p-6, -0x1.0f017a02cfa59p-6, -0x1.06bd9f9886f18p-6, -0x1.fd63a1ccae494p-7, -0x1.edb9c1d775c9bp-7, -0x1.de7b4ce4666fp-7, -0x1.cfa5f82f6a97p-7, -0x1.c13780aff0e99p-7, -0x1.b32dab2953f3ep-7, -0x1.a586443930976p-7, -0x1.983f206386b53p-7, -0x1.8b561c1d177d1p-7, -0x1.7ec91bd3bf3aep-7, -0x1.72960bf513d18p-7, -0x1.66bae0f332c63p-7, -0x1.5b359747f728fp-7, -0x1.5004337683a52p-7, -0x1.4524c20b5dcfp-7, -0x1.3a95579af48a9p-7, -0x1.305410bed440ep-7, -0x1.265f1211865c2p-7, -0x1.1cb4882918f1p-7, -0x1.1352a7907aeaep-7, -0x1.0a37acbfab766p-7, -0x1.0161dc12d7d44p-7, -0x1.f19f0380a9fffp-8, -0x1.e0fde39b7171fp-8, -0x1.d0dd1007b9752p-8, -0x1.c1394fc44681ep-8, -0x1.b20f79219bfb9p-8, -0x1.a35c71a4f930ap-8, -0x1.951d2de9f682ep-8, -0x1.874eb182b45d3p-8, -0x1.79ee0ed6a9c08p-8, -0x1.6cf8670040928p-8, -0x1.606ae9a91ba67p-8, -0x1.5442d4e5787eap-8, -0x1.487d750e6a5a7p-8, -0x1.3d18249b22ea1p-8, -0x1.32104bf98a866p-8, -0x1.27636165b1248p-8, -0x1.1d0ee8c0c5b08p-8, -0x1.1310736743967p-8, -0x1.0965a00682637p-8, -0x1.000c1a71cca62p-8, -0x1.ee0336ed93f6bp-9, -0x1.dc87d16325f3p-9, -0x1.cba1a8c0ae1aep-9, -0x1.bb4c7a6d3d656p-9, -0x1.ab841c609dcep-9, -0x1.9c447cc8fbc8fp-9, -0x1.8d89a1afa8578p-9, -0x1.7f4fa89e00d46p-9, -0x1.7192c641b52f1p-9, -0x1.644f461126ecp-9, -0x1.578189efb5016p-9, -0x1.4b2609d1b9732p-9, -0x1.3f395360c83cfp-9, -0x1.33b8099fedabdp-9, -0x1.289ee490114f7p-9, -0x1.1deab0d4c6b16p-9, -0x1.13984f593ac3p-9, -0x1.09a4b4f5884fdp-9, -0x1.000cea14598fcp-9, -0x1.ed9c14b1eb9fbp-10, -0x1.dbca888c08bf4p-10, -0x1.ca9fb1c91655ep-10, -0x1.ba1636d79ac2fp-10, -0x1.aa28e1d3452e5p-10, -0x1.9ad29fd66d338p-10, -0x1.8c0e804dab9bp-10, -0x1.7dd7b44c946e9p-10, -0x1.70298de3c3f36p-10, -0x1.62ff7f78d3274p-10, -0x1.56551b1fea933p-10, -0x1.4a2611f65ed3fp-10, -0x1.3e6e337f85b73p-10, -0x1.33296d035c57bp-10, -0x1.2853c8ee88004p-10, -0x1.1de96e3493044p-10, -0x1.13e69fb439a37p-10, -0x1.0a47bb9c8f1adp-10, -0x1.01093ad52a907p-10, -0x1.f04f60cf75313p-11, -0x1.df3f91d74edbap-11, -0x1.cedc93e721b2dp-11, -0x1.bf2022fac9025p-11, -0x1.b0042ac790756p-11, -0x1.a182c5a34c69p-11, -0x1.93963b700d102p-11, -0x1.8639008bcba15p-11, -0x1.7965b4c3eee08p-11, -0x1.6d17224d3a841p-11, -0x1.61483cc0288d5p-11, -0x1.55f42018e4d95p-11, -0x1.4b160fbae8358p-11, -0x1.40a9757a4e80bp-11, -0x1.36a9e0a7c2608p-11, -0x1.2d1305215dd9cp-11, -0x1.23e0ba67dfb2fp-11, -0x1.1b0efab724411p-11, -0x1.1299e2238728fp-11, -0x1.0a7dadba8bec8p-11, -0x1.02b6baa85cbb5p-11, -0x1.f6830ac15f9ebp-12, -0x1.e8355197baa32p-12, -0x1.da7dbaf16013bp-12, -0x1.cd55f1a1e03adp-12, -0x1.c0b7d8a572f7dp-12, -0x1.b49d899a2a87dp-12, -0x1.a90153415321ep-12, -0x1.9dddb809e5146p-12, -0x1.932d6c9f97c8p-12, -0x1.88eb56844ce1p-12, -0x1.7f128aafa0081p-12, -0x1.759e4c3601653p-12, -0x1.6c8a0af697cap-12, -0x1.63d162506d272p-12, -0x1.5b7017df876d5p-12, -0x1.53621a406115dp-12, -0x1.4ba37fda5ef2ap-12, -0x1.443085b0ec5b5p-12, -0x1.3d058e3c5d7d6p-12, -0x1.361f20481db58p-12, -0x1.2f79e5d7d63c8p-12, -0x1.2912ab13226b2p-12, -0x1.22e65d382c1b3p-12, -0x1.1cf20994034e7p-12, -0x1.1732dc81166fbp-12, -0x1.11a6206c7f54p-12, -0x1.0c493ce0a21e9p-12, -0x1.0719b595ac592p-12, -0x1.0215298802358p-12, -0x1.fa72a429c7abp-13, -0x1.f108043818619p-13, -0x1.e7e64a4e5da8bp-13, -0x1.df097d2e1373dp-13, -0x1.d66dd1ac13b91p-13, -0x1.ce0fa91e48534p-13, -0x1.c5eb8fd63e6c9p-13, -0x1.bdfe3ba2981e5p-13, -0x1.b6448a5f12a6p-13, -0x1.aebb808ab79p-13, -0x1.a76047e8106fap-13, -0x1.a0302e2875422p-13, -0x1.9928a3a06946cp-13, -0x1.92473a01f95d5p-13, -0x1.8b89a325ab606p-13, -0x1.84edafd48ea0cp-13, -0x1.7e714ea135a11p-13, -0x1.78128ac762ca4p-13, -0x1.71cf8b128d067p-13, -0x1.6ba690cc87b8cp-13, -0x1.6595f6b708225p-13, -0x1.5f9c300837b33p-13, -0x1.59b7c771e5a1bp-13, -0x1.53e75e312b223p-13, -0x1.4e29ab1f81d19p-13, -0x1.487d79d1c0ddfp-13, -0x1.42e1a9ba96cc8p-13, -0x1.3d552d53decp-13, -0x1.37d7094ea51ddp-13, -0x1.326653cb67e1cp-13, -0x1.2d02339569467p-13, -0x1.27a9df65c81ep-13, -0x1.225c9d2ed4c1p-13, -0x1.1d19c167b8dadp-13, -0x1.17e0ae63fc704p-13, -0x1.12b0d3ac565d9p-13, -0x1.0d89ad5f0e46fp-13, -0x1.086ac395037c8p-13, -0x1.0353a9cbe7217p-13, -0x1.fc87fcac5dcbfp-14, -0x1.f276d39b6164fp-14, -0x1.e8733d1bb6f63p-14, -0x1.de7cb0624cde1p-14, -0x1.d492b6276e0b4p-14, -0x1.cab4e7b2469p-14, -0x1.c0e2edf17ee31p-14, -0x1.b71c809823ce3p-14, -0x1.ad6165446a2eep-14, -0x1.a3b16eb06b59dp-14, -0x1.9a0c7be6fd898p-14, -0x1.9072777fbea2p-14, -0x1.86e356e7b4d46p-14, -0x1.7d5f19ac8ed63p-14, -0x1.73e5c8d0810eep-14, -0x1.6a777623a6335p-14, -0x1.61143ba69a496p-14, -0x1.57bc3af010f0ep-14, -0x1.4e6f9c986bc31p-14, -0x1.452e8fb43065dp-14, -0x1.3bf9494516d17p-14, -0x1.32d003bc7a674p-14, -0x1.29b2fe7f5c367p-14, -0x1.20a27d7120df8p-14, -0x1.179ec880e64bcp-14, -0x1.0ea82b3dd5813p-14, -0x1.05bef471c3cfdp-14, -0x1.f9c6eb784c49cp-15, -0x1.e82c06664ecd5p-15, -0x1.d6ade61edd52ap-15, -0x1.c54d3aa25c8cap-15, -0x1.b40ab6e2d596ap-15, -0x1.a2e71027cf482p-15, -0x1.91e2fd805ca4bp-15, -0x1.80ff3731f4098p-15, -0x1.703c76374ec18p-15, -0x1.5f9b73c6520a2p-15, -0x1.4f1ce8d7ac675p-15, -0x1.3ec18db422873p-15, -0x1.2e8a199049762p-15, -0x1.1e7742282bed4p-15, -0x1.0e89bb5f69b3ep-15, -0x1.fd846dd960044p-16, -0x1.de42c80c88da3p-16, -0x1.bf4fde2d97053p-16, -0x1.a0ad02e2f6a16p-16, -0x1.825b8224d3b0cp-16, -0x1.645ca0c4c128ap-16, -0x1.46b19bf2e52cbp-16, -0x1.295ba8d04eb27p-16, -0x1.0c5bf4197321p-16, -0x1.df67437baa40ep-17, -0x1.a6c7992e60d56p-17, -0x1.6edb0c2f5d294p-17, -0x1.37a3ac1af093bp-17, -0x1.012374c02c689p-17, -0x1.96b89b5fb102dp-18, -0x1.2ca013bd1835ap-18, -0x1.88019d736de2cp-19, -0x1.737877e9f7dd6p-20, 0x1.189afa42eeb26p-23, 0x1.b3945d17d7eep-20, 0x1.9effa16d58785p-19, 0x1.30926057e5e32p-18, 0x1.901a4e8e4fe35p-18, 0x1.ee154fe542407p-18, 0x1.2540a29651b5ep-17, 0x1.52ae1dc4370cap-17, 0x1.7f523628905afp-17, 0x1.ab2c1e77bdc2ap-17, 0x1.d63b1f5745d29p-17, 0x1.003f4ba675efdp-16, 0x1.14fafd46e7f8p-16, 0x1.2950696f5527dp-16, 0x1.3d3f5fb1077e4p-16, 0x1.50c7ba34e1405p-16, 0x1.63e95da25936dp-16, 0x1.76a438f72926dp-16, 0x1.88f84572988a9p-16, 0x1.9ae5866cb4dd3p-16, 0x1.ac6c093b4aa2ap-16, 0x1.bd8be4fe98e81p-16, 0x1.ce453a8866baap-16, 0x1.de98342a73403p-16, 0x1.ee8505927d7a7p-16, 0x1.fe0beb996431dp-16, 0x1.0696960d2f20cp-15, 0x1.0df48ae4ee91cp-15, 0x1.1520000125a02p-15, 0x1.1c192549b14fp-15, 0x1.22e02ecbc4135p-15, 0x1.297554a05e344p-15, 0x1.2fd8d2d5ed37p-15, 0x1.360ae95345a7p-15, 0x1.3c0bdbc334101p-15, 0x1.41dbf178fb87p-15, 0x1.477b75586a353p-15, 0x1.4ceab5ba722dap-15, 0x1.522a04546a7bbp-15, 0x1.5739b621530b5p-15, 0x1.5c1a2345265a6p-15, 0x1.60cba6f453179p-15, 0x1.654e9f5992619p-15, 0x1.69a36d7d5ee0dp-15, 0x1.6dca752d6cf5ap-15, 0x1.71c41ce08213dp-15, 0x1.7590cd9fe04d1p-15, 0x1.7930f2edb6c3fp-15, 0x1.7ca4faabb2e87p-15, 0x1.7fed55033d5ddp-15, 0x1.830a744a4e428p-15, }}, 
      {{0x1.ebc3ab044e8abp-1, 0x1.eb7fe716423d8p-1, 0x1.eb0f2444585d4p-1, 0x1.ea71a7574c85p-1, 0x1.e9a7cf1d08cd5p-1, 0x1.e8b2131eabdbfp-1, 0x1.e7910227625acp-1, 0x1.e64540aba0ba8p-1, 0x1.e4cf871d75ca3p-1, 0x1.e330a0383db46p-1, 0x1.e169674bebe01p-1, 0x1.df7ac68e54d61p-1, 0x1.dd65b57763fc6p-1, 0x1.db2b372bed333p-1, 0x1.d8cc58f9bd341p-1, 0x1.d64a30e6bc364p-1, 0x1.d3a5dc544129p-1, 0x1.d0e07eb732155p-1, 0x1.cdfb406516d12p-1, 0x1.caf74d75fb0d1p-1, 0x1.c7d5d4bab2018p-1, 0x1.c49806c6e5518p-1, 0x1.c13f150e34e11p-1, 0x1.bdcc3113944b9p-1, 0x1.ba408baa07a9p-1, 0x1.b69d5445d7685p-1, 0x1.b2e3b85d4e33ap-1, 0x1.af14e2d81d0a4p-1, 0x1.ab31fb8c7b5ffp-1, 0x1.a73c26c927ca5p-1, 0x1.a33484eb737dbp-1, 0x1.9f1c3200893b4p-1, 0x1.9af445712dbccp-1, 0x1.96bdd1b740748p-1, 0x1.9279e41c49a29p-1, 0x1.8e298480741d2p-1, 0x1.89cdb529535f5p-1, 0x1.85677297e3317p-1, 0x1.80f7b365393b9p-1, 0x1.7c7f68256227ep-1, 0x1.77ff7b4ff7516p-1, 0x1.7378d12df3d4cp-1, 0x1.6eec47cc64f4fp-1, 0x1.6a5ab6f38d5fep-1, 0x1.65c4f0221fd81p-1, 0x1.612bbe8c3b801p-1, 0x1.5c8fe71dd3947p-1, 0x1.57f228803b1c9p-1, 0x1.53533b228b57p-1, 0x1.4eb3d144a0efbp-1, 0x1.4a14970473bddp-1, 0x1.4576326d90163p-1, 0x1.40d9438a77325p-1, 0x1.3c3e6477ba09dp-1, 0x1.37a629789b981p-1, 0x1.3311210d10572p-1, 0x1.2e7fd408f391cp-1, 0x1.29f2c5ac49de8p-1, 0x1.256a73bc71c2cp-1, 0x1.20e7569e1ea4cp-1, 0x1.1c69e17002902p-1, 0x1.17f2822608748p-1, 0x1.1381a1a508a7ep-1, 0x1.0f17a3dedd11bp-1, 0x1.0ab4e7eec0199p-1, 0x1.0659c835e3392p-1, 0x1.02069a7829d6dp-1, 0x1.fb775ff1ef63cp-2, 0x1.f2f2ab30068a1p-2, 0x1.ea7fa7dc3e47bp-2, 0x1.e21eded3d650dp-2, 0x1.d9d0d0d8c949p-2, 0x1.d195f6ca9058dp-2, 0x1.c96ec1de7c555p-2, 0x1.c15b9bd78cb84p-2, 0x1.b95ce73dbc0edp-2, 0x1.b172ff94ad328p-2, 0x1.a99e3991af2f4p-2, 0x1.a1dee35112ff9p-2, 0x1.9a35448abc407p-2, 0x1.92a19ec5f1b39p-2, 0x1.8b242d8c5b16dp-2, 0x1.83bd269c30465p-2, 0x1.7c6cba198b96ep-2, 0x1.753312bedcc3cp-2, 0x1.6e10560c7ce26p-2, 0x1.6704a4775a8e6p-2, 0x1.60101996c0113p-2, 0x1.5932cc512d5d5p-2, 0x1.526ccf084b939p-2, 0x1.4bbe2fc3edc39p-2, 0x1.4526f85c2c882p-2, 0x1.3ea72ea290a0dp-2, 0x1.383ed48a54726p-2, 0x1.31ede84fb8ea2p-2, 0x1.2bb4649e730afp-2, 0x1.259240b72cdcap-2, 0x1.1f877094236bp-2, 0x1.1993e50cdf30fp-2, 0x1.13b78bf907d0ep-2, 0x1.0df25052577fdp-2, 0x1.08441a55b3dcp-2, 0x1.02accfa36523fp-2, 0x1.fa58a6bcf1214p-3, 0x1.ef850c9699e17p-3, 0x1.e4de8dda9228ep-3, 0x1.da64e34784648p-3, 0x1.d017c18c329c8p-3, 0x1.c5f6d97e1215ap-3, 0x1.bc01d84e5ea43p-3, 0x1.b23867bda6928p-3, 0x1.a89a2e4dd1bdp-3, 0x1.9f26cf72b3bacp-3, 0x1.95ddebc1266dep-3, 0x1.8cbf211cb405p-3, 0x1.83ca0ae3e2e85p-3, 0x1.7afe421b1ac3dp-3, 0x1.725b5d9631a52p-3, 0x1.69e0f220a753fp-3, 0x1.618e92a49269dp-3, 0x1.5963d0504c5bdp-3, 0x1.51603abad8effp-3, 0x1.498360071733p-3, 0x1.41cccd05c2f68p-3, 0x1.3a3c0d56489a8p-3, 0x1.32d0ab86714a6p-3, 0x1.2b8a3130f4df5p-3, 0x1.2468271af32a3p-3, 0x1.1d6a155054a4ep-3, 0x1.168f833f2a4b5p-3, 0x1.0fd7f7d1f860cp-3, 0x1.0942f98913b63p-3, 0x1.02d00e92f2a95p-3, 0x1.f8fd79c732e05p-4, 0x1.ec9d14961e739p-4, 0x1.e07df915d7f04p-4, 0x1.d49f32d612c3ap-4, 0x1.c8ffcd9aa0451p-4, 0x1.bd9ed58163dfcp-4, 0x1.b27b57269f446p-4, 0x1.a7945fc7a9fb9p-4, 0x1.9ce8fd64161bcp-4, 0x1.92783edd54c9p-4, 0x1.88413414e3fdap-4, 0x1.7e42ee090461p-4, 0x1.747c7ef01433cp-4, 0x1.6aecfa5289553p-4, 0x1.619375239c277p-4, 0x1.586f05d8ab3cdp-4, 0x1.4f7ec47f5f8b7p-4, 0x1.46c1cad29c0ffp-4, 0x1.3e37344e43c74p-4, 0x1.35de1e41d9b13p-4, 0x1.2db5a7e208eeep-4, 0x1.25bcf2591b24dp-4, 0x1.1df320d665663p-4, 0x1.1657589cb5dc8p-4, 0x1.0ee8c10fc8546p-4, 0x1.07a683c0c9c72p-4, 0x1.008fcc79f4badp-4, 0x1.f34792929834fp-5, 0x1.e5c35514faa34p-5, 0x1.d89145dfdf4ep-5, 0x1.cbafcf1614abbp-5, 0x1.bf1d5fa76b3e1p-5, 0x1.b2d86b5e41b1bp-5, 0x1.a6df6aeba25edp-5, 0x1.9b30dbf203c23p-5, 0x1.8fcb410eb78b8p-5, 0x1.84ad21e216ad4p-5, 0x1.79d50b166fb61p-5, 0x1.6f418e65cf5f7p-5, 0x1.64f1429ea3528p-5, 0x1.5ae2c3a74b311p-5, 0x1.5114b2809e91ap-5, 0x1.4785b547738b8p-5, 0x1.3e347735327cbp-5, 0x1.351fa89f7ec85p-5, 0x1.2c45fef6ffceep-5, 0x1.23a634c554af3p-5, 0x1.1b3f09aa3e115p-5, 0x1.130f4257feb14p-5, 0x1.0b15a88f09868p-5, 0x1.03510b18fab8ap-5, 0x1.f7807b85cf63p-6, 0x1.e8c432ae24866p-6, 0x1.da6af72c04192p-6, 0x1.cc728e5e19dp-6, 0x1.bed8c770b4027p-6, 0x1.b19b7b4cbfd6bp-6, 0x1.a4b88c85d8fecp-6, 0x1.982de7476f205p-6, 0x1.8bf981411551bp-6, 0x1.801959920638cp-6, 0x1.748b78b3e8c2ap-6, 0x1.694df064e387ap-6, 0x1.5e5edb9108b42p-6, 0x1.53bc5e3b29f32p-6, 0x1.4964a56518922p-6, 0x1.3f55e6f762c22p-6, 0x1.358e61a8944b9p-6, 0x1.2c0c5ce40ae3bp-6, 0x1.22ce28b05c07ap-6, 0x1.19d21d9564498p-6, 0x1.11169c81fa6ebp-6, 0x1.089a0eb15b7bep-6, 0x1.005ae590527ebp-6, 0x1.f0af35443afbep-7, 0x1.e11d5eca4958dp-7, 0x1.d1fd5a6f0383bp-7, 0x1.c34c4a76c6e16p-7, 0x1.b5076076944fap-7, 0x1.a72bdd1c6ab21p-7, 0x1.99b70ff76d6cfp-7, 0x1.8ca6573ff9fbep-7, 0x1.7ff71f9fa704ap-7, 0x1.73a6e3f94bdb3p-7, 0x1.67b32d30fcc36p-7, 0x1.5c1991f432d4p-7, 0x1.50d7b681efa0cp-7, 0x1.45eb4c731cfc2p-7, 0x1.3b52128308bbbp-7, 0x1.3109d45820851p-7, 0x1.27106a4ce0f97p-7, 0x1.1d63b9390d13fp-7, 0x1.1401b23b2c52bp-7, 0x1.0ae852825d988p-7, 0x1.0215a318809d3p-7, 0x1.f30f7159694d5p-8, 0x1.e27966bc97dc9p-8, 0x1.d2657d101e7cdp-8, 0x1.c2d02118077d2p-8, 0x1.b3b5d53f2e699p-8, 0x1.a513313081554p-8, 0x1.96e4e1714a2a4p-8, 0x1.8927a6fc5898p-8, 0x1.7bd856de42a9fp-8, 0x1.6ef3d9d2a733ap-8, 0x1.62772be27cc37p-8, 0x1.565f5c0378a6ap-8, 0x1.4aa98bb88c063p-8, 0x1.3f52eeb37dde8p-8, 0x1.3458ca77afe33p-8, 0x1.29b875fdfff66p-8, 0x1.1f6f5959ceeadp-8, 0x1.157aed5f45a02p-8, 0x1.0bd8bb4ab6f8ap-8, 0x1.02865c6936069p-8, 0x1.f302f384d6d55p-9, 0x1.e18f978722cd6p-9, 0x1.d0ae33d75d238p-9, 0x1.c05a74f1f5d1ep-9, 0x1.b090242f2d4bap-9, 0x1.a14b2722b6cbep-9, 0x1.92877efdf64eep-9, 0x1.844147f492b3fp-9, 0x1.7674b8a39ba6dp-9, 0x1.691e217af08fap-9, 0x1.5c39ec2944da9p-9, 0x1.4fc49b0a6c087p-9, 0x1.43bac8982f631p-9, 0x1.381926dd6dbap-9, 0x1.2cdc7eebaf602p-9, 0x1.2201b0532446ep-9, 0x1.1785b09cf884dp-9, 0x1.0d658ac7eb922p-9, 0x1.039e5ec773fa9p-9, 0x1.f45ac20a18e1dp-10, 0x1.e21fb3c795d48p-10, 0x1.d0864a8cb86cdp-10, 0x1.bf89642e6ab8ap-10, 0x1.af2403a613da9p-10, 0x1.9f51502ad1d17p-10, 0x1.900c944f4f31ap-10, 0x1.81513d23d87cap-10, 0x1.731ad95cc1fadp-10, 0x1.6565187d1cf6cp-10, 0x1.582bca05aed7cp-10, 0x1.4b6adca7f7711p-10, 0x1.3f1e5d7d618aep-10, 0x1.3342774294a42p-10, 0x1.27d37196ddca2p-10, 0x1.1ccdb03f5b158p-10, 0x1.122db26e2217ap-10, 0x1.07f0120d6c7a4p-10, 0x1.fc23061d04db3p-11, 0x1.e91da5788ed56p-11, 0x1.d6c9ce2348934p-11, 0x1.c5217c26f8f6fp-11, 0x1.b41eda5ca95dbp-11, 0x1.a3bc412f055bdp-11, 0x1.93f435639f34ep-11, 0x1.84c166eafcea6p-11, 0x1.761eafb7c218ap-11, 0x1.6807129c0bfe9p-11, 0x1.5a75ba2dd3224p-11, 0x1.4d65f7b1aacf8p-11, 0x1.40d3420b530ep-11, 0x1.34b934b527724p-11, 0x1.29138ebd3acabp-11, 0x1.1dde31c901f7ap-11, 0x1.1315211e7ba97p-11, 0x1.08b480b31243ep-11, 0x1.fd712880f1825p-12, 0x1.ea3b7cbdfa1a1p-12, 0x1.d7c0ff4af94c6p-12, 0x1.c5faeb9db1408p-12, 0x1.b4e2b5c86867ap-12, 0x1.a47208d9d91a7p-12, 0x1.94a2c5469165fp-12, 0x1.856eff5cf303dp-12, 0x1.76d0fdc31adadp-12, 0x1.68c337fdb2ea9p-12, 0x1.5b40550093e08p-12, 0x1.4e4329c8823p-12, 0x1.41c6b7fe1da5dp-12, 0x1.35c62ca1afb2bp-12, 0x1.2a3cdec042429p-12, 0x1.1f264e2fd5a23p-12, 0x1.147e2254c138cp-12, 0x1.0a4028ef6f033p-12, 0x1.006854f15d4cep-12, 0x1.ede57ab650369p-13, 0x1.dbb73842a7f56p-13, 0x1.ca3e9a3027a5ep-13, 0x1.b97499cf4ac7bp-13, 0x1.a952700d89cf4p-13, 0x1.99d193794bfd3p-13, 0x1.8aebb654bc295p-13, 0x1.7c9ac4b3f5782p-13, 0x1.6ed8e2a82e6d3p-13, 0x1.61a06a7992b0fp-13, 0x1.54ebeaebf3f54p-13, 0x1.48b625901e3cfp-13, 0x1.3cfa0d22e0703p-13, 0x1.31b2c3f5476dcp-13, 0x1.26db9a60645dfp-13, 0x1.1c700d462619bp-13, 0x1.126bc49ad97p-13, 0x1.08ca91faac7a7p-13, 0x1.ff10de935fc7ep-14, 0x1.ed42fabb52636p-14, 0x1.dc240560cc2cep-14, 0x1.cbacd43aa7c14p-14, 0x1.bbd6834f8d929p-14, 0x1.ac9a7294f4183p-14, 0x1.9df243a0c5745p-14, 0x1.8fd7d76d71a07p-14, 0x1.82454c2a821fp-14, 0x1.7534fb21c0e7cp-14, 0x1.68a176aaf52c7p-14, 0x1.5c85882fa4e98p-14, 0x1.50dc2e3e395p-14, 0x1.45a09aad10065p-14, 0x1.3ace30cb6461ep-14, 0x1.3060839deb28fp-14, 0x1.2653542c53c5p-14, 0x1.1ca28fdb80a87p-14, 0x1.134a4ed406db4p-14, 0x1.0a46d27625207p-14, 0x1.019483db9794cp-14, 0x1.f25fe4c4ef8d9p-15, 0x1.e22ba4888c1cdp-15, 0x1.d285f6751cab6p-15, 0x1.c368ce597500cp-15, 0x1.b4ce61d2d10aep-15, 0x1.a6b125d5a23bcp-15, 0x1.990bcc4b00e3ep-15, 0x1.8bd941be9ea45p-15, 0x1.7f14ab21710a8p-15, 0x1.72b963a090d3p-15, 0x1.66c2fa8d5bbfp-15, 0x1.5b2d315756b9ap-15, 0x1.4ff3f998559b4p-15, 0x1.45137331f21c2p-15, 0x1.3a87ea7880224p-15, 0x1.304dd66e360f1p-15, 0x1.2661d70e69b2cp-15, 0x1.1cc0b3aa6b55dp-15, 0x1.1367594fbe1dcp-15, 0x1.0a52d9401628bp-15, 0x1.018067784b155p-15, 0x1.f1dab280067d2p-16, 0x1.e12e4790429cdp-16, 0x1.d0f6b5a9e18f3p-16, 0x1.c12f5eee2f8fep-16, 0x1.b1d3dd9a9da78p-16, 0x1.a2e001a541fd6p-16, 0x1.944fce720572bp-16, 0x1.861f7899eb444p-16, 0x1.784b63c6eaa42p-16, 0x1.6ad020a30bf28p-16, 0x1.5daa6adaacc2ep-16, 0x1.50d727380d88ep-16, 0x1.445361c94a1f2p-16, 0x1.381c4c19d9a9p-16, 0x1.2c2f3b85145ffp-16, 0x1.2089a78c3bf03p-16, 0x1.15292846c3ebfp-16, 0x1.0a0b74d8fead1p-16, 0x1.fe5cc402f1394p-17, 0x1.e91fc16986a0bp-17, 0x1.d45bf982bc278p-17, 0x1.c00db70ae9765p-17, 0x1.ac31756c53a11p-17, 0x1.98c3de50c031cp-17, 0x1.85c1c760ba07bp-17, 0x1.73283004ca4b1p-17, 0x1.60f43f5444f1cp-17, 0x1.4f23421000e6fp-17, 0x1.3db2a8aeb2c0fp-17, 0x1.2ca0058291d68p-17, 0x1.1be90afc5229ap-17, 0x1.0b8b89eb15d49p-17, 0x1.f70adfce59ac5p-18, 0x1.d7a98b67a49ccp-18, 0x1.b8ef5b94c51a9p-18, 0x1.9ad8c5ddcfb74p-18, 0x1.7d626d9e84ca6p-18, 0x1.60892168ce8e5p-18, 0x1.4449d89a3ae2fp-18, 0x1.28a1b0e7fb078p-18, 0x1.0d8dec2b73529p-18, 0x1.e617dc552cc0ap-19, 0x1.b232750bf6db3p-19, 0x1.7f66e593b55ffp-19, 0x1.4db0a926e0408p-19, 0x1.1d0b6f76ec729p-19, 0x1.dae632b4f19a2p-20, 0x1.7dc76b4735b43p-20, 0x1.22b2fbe5e6a37p-20, 0x1.93434f90f29d7p-21, 0x1.ca31f1bbf5c3cp-22, 0x1.d6ccc59af27e2p-24, -0x1.ae1eadbf0a4fap-23, -0x1.0e17373933f0bp-21, -0x1.ace1009ab3388p-21, -0x1.23f84bdfd2821p-20, -0x1.6fa897aafdf78p-20, -0x1.b986d1f8ae322p-20, -0x1.00cc20cd89e85p-19, -0x1.23f104ac4d79bp-19, -0x1.4634958941bd4p-19, -0x1.67994549205e5p-19, -0x1.8821783b570b4p-19, -0x1.a7cf866e6de0fp-19, -0x1.c6a5bcced7ccap-19, -0x1.e4a65e62d9a63p-19, -0x1.00e9d2a9f0b86p-18, -0x1.0f17e1f68f149p-18, -0x1.1cde72ce4adcp-18, -0x1.2a3e97e3927fcp-18, -0x1.37396148a31f8p-18, -0x1.43cfdccfe4bc8p-18, -0x1.5003166a43106p-18, -0x1.5bd418710ef0dp-18, -0x1.6743ebf0ad358p-18, -0x1.725398f72117bp-18, -0x1.7d0426c421f09p-18, -0x1.87569c1179cedp-18, -0x1.914bff412a021p-18, -0x1.9ae5568e46493p-18, -0x1.a423a830b0ad8p-18, -0x1.ad07fa898a8a3p-18, -0x1.b593544514d2dp-18, -0x1.bdc6bc6cffdacp-18, -0x1.c5a33a8e137c6p-18, -0x1.cd29d6caf3e6p-18, -0x1.d45b99e81a10fp-18, -0x1.db398d66036b1p-18, -0x1.e1c4bb865cd1p-18, -0x1.e7fe2f59b52a8p-18, -0x1.ede6f4bf20e4bp-18, -0x1.f380186feb81ep-18, -0x1.f8caa7ff3f1ccp-18, -0x1.fdc7b1d356eb7p-18, -0x1.013c2295dcb9bp-17, -0x1.036eb90d5c6f7p-17, -0x1.057c24be4be26p-17, -0x1.0764ee79e769cp-17, -0x1.09299f6f2c984p-17, -0x1.0acac1268abe5p-17, -0x1.0c48dd7976a9ep-17, -0x1.0da47e8ebb20cp-17, -0x1.0ede2ed201d13p-17, -0x1.0ff678ebe69c4p-17, -0x1.10ede7baa9d5bp-17, -0x1.11c5064a56258p-17, -0x1.127c5fcbdef89p-17, -0x1.13147f8b4982ep-17, -0x1.138df0e82edd7p-17, -0x1.13e93f4aae775p-17, -0x1.1426f61b20878p-17, -0x1.1447a0b60f9b6p-17, -0x1.144bca6443a9ep-17, -0x1.1433fe4f5ce5bp-17, -0x1.1400c778617c8p-17, -0x1.13b2b0ac9a8eep-17, -0x1.134a447c96f57p-17, -0x1.12c80d30cf27p-17, -0x1.122c94bf8f8a6p-17, -0x1.117864c329d54p-17, -0x1.10ac066f82b3cp-17, -0x1.0fc80287a2e5p-17, -0x1.0ecce153a44abp-17, -0x1.0dbb2a96aca8ap-17, -0x1.0c9365852bd6fp-17, -0x1.0b5618bb80217p-17, -0x1.0a03ca33b20d8p-17, -0x1.089cff3c4e557p-17, -0x1.07223c6f8d6dap-17, -0x1.059405a9532a6p-17, -0x1.03f2ddfef88bp-17, -0x1.023f47b5f2d5fp-17, -0x1.0079c43bd9579p-17, -0x1.fd45a83c0018ap-18, -0x1.f975ee00f19fdp-18, -0x1.f585572daf418p-18, -0x1.f174df38d759p-18, -0x1.ed457f9a2ea41p-18, -0x1.e8f82fb9f8781p-18, -0x1.e48de4e53199p-18, -0x1.e007923f692b1p-18, -0x1.db6628b4660ccp-18, -0x1.d6aa96ebc1ff9p-18, -0x1.d1d5c93d75338p-18, -0x1.cce8a9a71110cp-18, -0x1.c7e41fbe46ad2p-18, -0x1.c2c910a746b74p-18, -0x1.bd985f0a652adp-18, -0x1.b852eb0a6b1c4p-18, -0x1.b2f9923b38a4dp-18, -0x1.ad8d2f97eb725p-18, -0x1.a80e9b7d3c793p-18, -0x1.a27eab9e82898p-18, -0x1.9cde32ffa1094p-18, -0x1.972e01ece04d3p-18, -0x1.916ee5f5f713ap-18, -0x1.8ba1a9e848386p-18, -0x1.85c715c790a1bp-18, -0x1.7fdfeec9aca86p-18, -0x1.79ecf751ea7edp-18, -0x1.73eeeeeb9d7f7p-18, -0x1.6de692477cde6p-18, -0x1.67d49b3770463p-18, -0x1.61b9c0ac97ba6p-18, -0x1.5b96b6b32e1c2p-18, -0x1.556c2e704b4c3p-18, -0x1.4f3ad6205182fp-18, -0x1.49035914d8f35p-18, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.36457be58a45bp-11, 0x1.42d88cb8c5b3cp-10, 0x1.01a4ac2a6e03bp-9, 0x1.73eff4054e6f5p-9, 0x1.fd8886709c9c3p-9, 0x1.518dc02acae3ep-8, 0x1.b45f2adcf984ep-8, 0x1.147aa7abf63d5p-7, 0x1.585fa58721501p-7, 0x1.a67045dcf4037p-7, 0x1.ff1a08edaf58p-7, 0x1.315424fba1dafp-6, 0x1.68a34d0be83f5p-6, 0x1.a581a2fd016b6p-6, 0x1.e7e8f768f512fp-6, 0x1.17e38938bac9ap-5, 0x1.3e7f7d96ba825p-5, 0x1.67b51a3d35c27p-5, 0x1.936cf5ed50f18p-5, 0x1.c18c0c14dade6p-5, 0x1.f1f443677365ep-5, 0x1.124275af90bb9p-4, 0x1.2c8d98464fa51p-4, 0x1.47c943e757c8ap-4, 0x1.63e28854d7845p-4, 0x1.80c5f788266aep-4, 0x1.9e5fce7f1eba6p-4, 0x1.bc9c1a27bd6f9p-4, 0x1.db66d8a2138f4p-4, 0x1.faac17118b4ebp-4, 0x1.0d2c061b2831p-3, 0x1.1d2b980353cc9p-3, 0x1.2d4b283f1e8e7p-3, 0x1.3d8151ebcd4a1p-3, 0x1.4dc4ec30acf77p-3, 0x1.5e0d110f45e47p-3, 0x1.6e51232f852f2p-3, 0x1.7e88d2bd1b2ap-3, 0x1.8eac2169ed71ep-3, 0x1.9eb365a870162p-3, 0x1.ae974d2f7d6d2p-3, 0x1.be50ded82ab4cp-3, 0x1.cdd97be518888p-3, 0x1.dd2ae0c1a59eep-3, 0x1.ec3f254684abp-3, 0x1.fb10bc9047dfep-3, 0x1.04cd3a39cda83p-2, 0x1.0bebba4d0158cp-2, 0x1.12e19ea89eadp-2, 0x1.19acd30b54f44p-2, 0x1.204b6df3a602bp-2, 0x1.26bbafae398dcp-2, 0x1.2cfc014e30652p-2, 0x1.330af392d3c9ep-2, 0x1.38e73dbdbf941p-2, 0x1.3e8fbc5c5b81ep-2, 0x1.440370073613dp-2, 0x1.49417c19a0c51p-2, 0x1.4e492563a9b4dp-2, 0x1.5319d0d865ee3p-2, 0x1.57b3023a42ca6p-2, 0x1.5c145ac6f0695p-2, 0x1.603d97e4482bfp-2, 0x1.642e91cf6a87fp-2, 0x1.67e73a4f2daddp-2, 0x1.6b679b6acf56ep-2, 0x1.6eafd625c4507p-2, 0x1.71c021415b673p-2, 0x1.7498c804d6de8p-2, 0x1.773a290c80d4dp-2, 0x1.79a4b5202cee8p-2, 0x1.7bd8ee1185654p-2, 0x1.7dd765a26dd09p-2, 0x1.7fa0bc73b624ap-2, 0x1.8135a0fc4972ep-2, 0x1.8296ce88fc7c2p-2, 0x1.83c50c4503ff6p-2, 0x1.84c12c4b268f1p-2, 0x1.858c0abfa3c58p-2, 0x1.86268cf2c4167p-2, 0x1.8691a08c08021p-2, 0x1.86ce3abdd9319p-2, 0x1.86dd5781a5bd4p-2, 0x1.86bff8dc40ab6p-2, 0x1.8677262a6406ep-2, 0x1.8603eb752ba7fp-2, 0x1.856758ce5d944p-2, 0x1.84a281b44f961p-2, 0x1.83b67c7d40421p-2, 0x1.82a461c9e80c9p-2, 0x1.816d4bff1ad84p-2, 0x1.801256c63dbecp-2, 0x1.7e949e946749dp-2, 0x1.7cf54037e8964p-2, 0x1.7b35586c1adeap-2, 0x1.7956037330c82p-2, 0x1.77585cb5dfe5fp-2, 0x1.753d7e68abeb2p-2, 0x1.73068136a47bp-2, 0x1.70b47bf15f0fap-2, 0x1.6e48834600192p-2, 0x1.6bc3a97725299p-2, 0x1.6926fe1b79a21p-2, 0x1.66738de0d1d34p-2, 0x1.63aa625399199p-2, 0x1.60cc81aa676cdp-2, 0x1.5ddaee9597ae3p-2, 0x1.5ad6a812b1685p-2, 0x1.57c0a9437fbdbp-2, 0x1.5499e948abbdfp-2, 0x1.51635b1fb6f21p-2, 0x1.4e1ded842efbap-2, 0x1.4aca8ad3f4746p-2, 0x1.476a18f678066p-2, 0x1.43fd7946c5b82p-2, 0x1.408588803f31fp-2, 0x1.3d031eade6a47p-2, 0x1.39770f1c1b862p-2, 0x1.35e2284ca97edp-2, 0x1.324533ed0c785p-2, 0x1.2ea0f6ced135p-2, 0x1.2af630e1f4121p-2, 0x1.27459d3124041p-2, 0x1.238ff1dfd43f6p-2, 0x1.1fd5e029fdc4dp-2, 0x1.1c181465816c4p-2, 0x1.185736050b34ap-2, 0x1.1493e79c69a6ap-2, 0x1.10cec6e63a81bp-2, 0x1.0d086ccae1b39p-2, 0x1.09416d68b0a8ap-2, 0x1.057a581d2dae3p-2, 0x1.01b3b78f6a40cp-2, 0x1.fbdc2376a0299p-3, 0x1.f453cffbbf272p-3, 0x1.eccf6e44882dap-3, 0x1.e54feedf6b0fep-3, 0x1.ddd6397028f25p-3, 0x1.d6632cce69b22p-3, 0x1.cef79f258ed64p-3, 0x1.c7945e15aa881p-3, 0x1.c03a2ed5873a2p-3, 0x1.b8e9ce559785dp-3, 0x1.b1a3f163cabc9p-3, 0x1.aa6944d01db52p-3, 0x1.a33a6d91e450ap-3, 0x1.9c1808eda26p-3, 0x1.9502ac9b7146ap-3, 0x1.8dfae6eddb7a6p-3, 0x1.87013ef90ffa3p-3, 0x1.801634ba73e2ap-3, 0x1.793a414067e86p-3, 0x1.726dd6d2445b7p-3, 0x1.6bb161187859fp-3, 0x1.65054544b7f6cp-3, 0x1.5e69e23a34ee7p-3, 0x1.57df90b5cdaf1p-3, 0x1.5166a3762c8acp-3, 0x1.4aff6763c9026p-3, 0x1.44aa23b8bed77p-3, 0x1.3e671a2873dbcp-3, 0x1.3836870701f11p-3, 0x1.3218a1705806ap-3, 0x1.2c0d9b6f1599dp-3, 0x1.2615a22309da6p-3, 0x1.2030dde756734p-3, 0x1.1a5f727831912p-3, 0x1.14a17f183bb88p-3, 0x1.0ef71eb56888ap-3, 0x1.0960680d68d54p-3, 0x1.03dd6dd1a97p-3, 0x1.fcdc7d957fdbfp-4, 0x1.f225cbf6c6a33p-4, 0x1.e796d585ac6acp-4, 0x1.dd2fa1fd86b0fp-4, 0x1.d2f0325921e7p-4, 0x1.c8d881143d09p-4, 0x1.bee8826be837ap-4, 0x1.b520249da4e6dp-4, 0x1.ab7f50256ad06p-4, 0x1.a205e7fa69348p-4, 0x1.98b3c9ca9ba0bp-4, 0x1.8f88ce351f104p-4, 0x1.8684c903516d9p-4, 0x1.7da78960b2d4fp-4, 0x1.74f0da118ae36p-4, 0x1.6c6081a851e31p-4, 0x1.63f642b9d970bp-4, 0x1.5bb1dc103bfc5p-4, 0x1.539308dc8cfe5p-4, 0x1.4b9980e74fdadp-4, 0x1.43c4f8bfb32b2p-4, 0x1.3c1521e9944a8p-4, 0x1.3489ab0a4c635p-4, 0x1.2d22401449448p-4, 0x1.25de8a7173efap-4, 0x1.1ebe312c67afep-4, 0x1.17c0d9187d6b6p-4, 0x1.10e624f8acf23p-4, 0x1.0a2db5a548dc8p-4, 0x1.03972a30968ebp-4, 0x1.fa44401491c93p-5, 0x1.ed9c6643bcccp-5, 0x1.e135fc0fd1a34p-5, 0x1.d510341c7f83bp-5, 0x1.c92a3ece4bf61p-5, 0x1.bd834a86c80f3p-5, 0x1.b21a83deb1aa9p-5, 0x1.a6ef15de172d5p-5, 0x1.9c002a327d1c4p-5, 0x1.914ce963117c8p-5, 0x1.86d47b02f461p-5, 0x1.7c9605e1a3b96p-5, 0x1.7290b0398de52p-5, 0x1.68c39fdcd86b3p-5, 0x1.5f2dfa6062ecdp-5, 0x1.55cee5450f204p-5, 0x1.4ca5861f59c89p-5, 0x1.43b102bd4dd1cp-5, 0x1.3af0814ad4bacp-5, 0x1.32632874796a6p-5, 0x1.2a081f889c60ap-5, 0x1.21de8e972b8ffp-5, 0x1.19e59e8fdc1ccp-5, 0x1.121c795efdef2p-5, 0x1.0a824a08e2c26p-5, 0x1.03163cc3f2bb4p-5, 0x1.f7aefe22ccd9ap-6, 0x1.e98a7fa9734e3p-6, 0x1.dbbd5ed3cc5e9p-6, 0x1.ce45ff74b4d7ap-6, 0x1.c122c8a196a98p-6, 0x1.b45224d7bdae9p-6, 0x1.a7d2821f67e89p-6, 0x1.9ba2522cc3287p-6, 0x1.8fc00a7eb2d64p-6, 0x1.842a247baca92p-6, 0x1.78df1d8c8e0cep-6, 0x1.6ddd773588775p-6, 0x1.6323b72d40d3bp-6, 0x1.58b067721a45cp-6, 0x1.4e82165dd028ep-6, 0x1.449756b764eafp-6, 0x1.3aeebfc3753fcp-6, 0x1.3186ed52f4991p-6, 0x1.285e7fd080a04p-6, 0x1.1f741c4c2d70ap-6, 0x1.16c66c85f4c9dp-6, 0x1.0e541ef6d9d29p-6, 0x1.061be6d8b5754p-6, 0x1.fc38f8599a3a1p-7, 0x1.eca9378264d66p-7, 0x1.dd860e6a19fp-7, 0x1.cecd09f777a4ep-7, 0x1.c07bc0bdeae77p-7, 0x1.b28fd2ffbe38cp-7, 0x1.a506eaae62d76p-7, 0x1.97debb68e3de5p-7, 0x1.8b15027892cecp-7, 0x1.7ea786cc06d9fp-7, 0x1.729418f086d86p-7, 0x1.66d89309dded9p-7, 0x1.5b72d8c8d48d4p-7, 0x1.5060d7602d82bp-7, 0x1.45a085786822fp-7, 0x1.3b2fe3222baa2p-7, 0x1.310cf9c7a851p-7, 0x1.2735dc1cb836p-7, 0x1.1da8a60dff6d2p-7, 0x1.14637caf0e2c2p-7, 0x1.0b648e2793919p-7, 0x1.02aa119fb376cp-7, 0x1.f4648e56f39f2p-8, 0x1.e3f6ef6b28cf7p-8, 0x1.d407e9d297ea7p-8, 0x1.c4943237b5ca7p-8, 0x1.b5988e6a3efecp-8, 0x1.a711d52f5b788p-8, 0x1.98fcee10d33fp-8, 0x1.8b56d12b25712p-8, 0x1.7e1c86fadf97fp-8, 0x1.714b282904dfdp-8, 0x1.64dfdd56b9033p-8, 0x1.58d7dee83830dp-8, 0x1.4d3074cf481e3p-8, 0x1.41e6f6552cb0bp-8, 0x1.36f8c9e3eeb32p-8, 0x1.2c6364cf72f93p-8, 0x1.22244b1e0dc8cp-8, 0x1.18390f50eeda1p-8, 0x1.0e9f522c4e03fp-8, 0x1.0554c27f5a8aep-8, 0x1.f8ae39d807c05p-9, 0x1.e748575da68a1p-9, 0x1.d6738ccd0de0cp-9, 0x1.c62ba3b7f80ap-9, 0x1.b66c7f93df6edp-9, 0x1.a7321d49a3cep-9, 0x1.987892c5b5fafp-9, 0x1.8a3c0e8879a64p-9, 0x1.7c78d7374a691p-9, 0x1.6f2b4b2dc96e1p-9, 0x1.624fe00f8ebfbp-9, 0x1.55e3225acb875p-9, 0x1.49e1b4fb5862cp-9, 0x1.3e4850dea337p-9, 0x1.3313c4888df4fp-9, 0x1.2840f3a882486p-9, 0x1.1dccd6aff9637p-9, 0x1.13b47a6996b8p-9, 0x1.09f4ff9155f96p-9, 0x1.008b9a6ded0d2p-9, 0x1.eeeb24d565ae2p-10, 0x1.dd608365ccdap-10, 0x1.cc72299bcd58bp-10, 0x1.bc1b14792cd92p-10, 0x1.ac56642fb697cp-10, 0x1.9d1f5b61182e1p-10, 0x1.8e715e5fd59b2p-10, 0x1.8047f2738899p-10, 0x1.729ebd1f59a68p-10, 0x1.6571836ab505fp-10, 0x1.58bc292d2941ep-10, 0x1.4c7ab05c2af48p-10, 0x1.40a9385b0ee3ap-10, 0x1.3543fd4e6a6e4p-10, 0x1.2a47577138971p-10, 0x1.1fafba6d048ccp-10, 0x1.1579b4b4fc6b6p-10, 0x1.0ba1eee2f3621p-10, 0x1.02252b16eb3e2p-10, 0x1.f20088b3a494ep-11, 0x1.e0605c04c43c3p-11, 0x1.cf63e63949ffdp-11, 0x1.bf056ba94b6bap-11, 0x1.af3f5dc642d55p-11, 0x1.a00c59f8cc378p-11, 0x1.91672885a8846p-11, 0x1.834abb76162cfp-11, 0x1.75b22d861fed3p-11, 0x1.6898c1181e695p-11, 0x1.5bf9df2d6a59ap-11, 0x1.4fd1166294568p-11, 0x1.441a19f21d65p-11, 0x1.38d0c0bba93b1p-11, 0x1.2df1044fc4ccep-11, 0x1.237700013b51p-11, 0x1.195eeffb6ba39p-11, 0x1.0fa5305bb9395p-11, 0x1.06463c5145c24p-11, 0x1.fa7d5a81b05a5p-12, 0x1.e91673dab3115p-12, 0x1.d8516b49988fep-12, 0x1.c8281ee53a998p-12, 0x1.b894a2ab72541p-12, 0x1.a9913ef4b11e9p-12, 0x1.9b186ef290804p-12, 0x1.8d24df368adcbp-12, 0x1.7fb16c406b6efp-12, 0x1.72b921158e1f9p-12, 0x1.663735e1c112ap-12, 0x1.5a270e9e6489fp-12, 0x1.4e8439c0c3f4ep-12, 0x1.434a6ef349b86p-12, 0x1.38758dd423edfp-12, 0x1.2e019cbc88cccp-12, 0x1.23eac78fa5bdap-12, 0x1.1a2d5e910c849p-12, 0x1.10c5d541f0a8dp-12, 0x1.07b0c144ca5fp-12, 0x1.fdd5b293cef46p-13, 0x1.ece1e803488b1p-13, 0x1.dc800e2afdef9p-13, 0x1.ccaa4c522aa4cp-13, 0x1.bd5b03c16bc91p-13, 0x1.ae8ccddcd7f71p-13, 0x1.a03a7a4a104bbp-13, 0x1.925f0d23385dfp-13, 0x1.84f5bd393a8a9p-13, 0x1.77f9f25c7729ap-13, 0x1.6b6743b56b3bbp-13, 0x1.5f397628ff2cdp-13, 0x1.536c7ac58f606p-13, 0x1.47fc6d3bf264dp-13, 0x1.3ce592629750dp-13, 0x1.322456c5b1cdp-13, 0x1.27b54d400961dp-13, 0x1.1d952d9d66704p-13, 0x1.13c0d348cd14dp-13, 0x1.0a353c03988f5p-13, 0x1.00ef86a5db288p-13, 0x1.efd9e3ce977fp-14, 0x1.de55b6638a971p-14, 0x1.cd4d7afd6d698p-14, 0x1.bcbc6075a2e7cp-14, 0x1.ac9dcc6518348p-14, 0x1.9ced59128ac49p-14, 0x1.8da6d36b73e68p-14, 0x1.7ec6390f31fadp-14, 0x1.7047b66787391p-14, 0x1.6227a4d3d2164p-14, 0x1.546288e1a3dd9p-14, 0x1.46f51091d44cap-14, 0x1.39dc11ae26adbp-14, 0x1.2d14882dc8292p-14, 0x1.209b94a250648p-14, 0x1.146e7ab7053a3p-14, 0x1.088a9fb592eacp-14, 0x1.f9db12416ac12p-15, 0x1.e329b6aa756a7p-15, 0x1.ccfcb06b0e2bcp-15, 0x1.b74fbbc8ddc92p-15, 0x1.a21ecb16d2fbp-15, 0x1.8d66044b7066fp-15, 0x1.7921bebf6aae9p-15, 0x1.654e80e6ca737p-15, 0x1.51e8fe34f560bp-15, 0x1.3eee150e1b574p-15, 0x1.2c5accc651f71p-15, 0x1.1a2c53b3b8543p-15, 0x1.085ffd5d100eap-15, 0x1.ede6815377a29p-16, 0x1.cbc76c5ca0c52p-16, 0x1.aa5e2d10441aap-16, 0x1.89a67179441d7p-16, 0x1.699c2173e4303p-16, 0x1.4a3b5bbce15bep-16, 0x1.2b8073163b184p-16, 0x1.0d67eb909fd0dp-16, 0x1.dfdceff3b2c46p-17, 0x1.a621ee9c79379p-17, 0x1.6d98e4a6fb16cp-17, 0x1.363c32a33eb56p-17, 0x1.000683967d06dp-17, 0x1.95e591bd8c538p-18, 0x1.2df86c1ffb4a3p-18, 0x1.9078f4375e2a3p-19, 0x1.92a452d2ce8a3p-20, 0x1.9b017f458452bp-25, -0x1.709232a70f502p-20, -0x1.72dc1688a8fbdp-19, -0x1.14ad8f580b736p-18, -0x1.6de9daeae55d8p-18, -0x1.c529612184579p-18, -0x1.0d3925e1dd022p-17, -0x1.36e54029b2204p-17, -0x1.5f9bd27cd5d7ep-17, -0x1.875f929fba6dbp-17, -0x1.ae331b34cc78fp-17, -0x1.d418ede458602p-17, -0x1.f9137567ea17dp-17, -0x1.0e9283b1a279fp-16, -0x1.2027f31c80026p-16, -0x1.314b21600917p-16, -0x1.41fd1ef4a2fe5p-16, -0x1.523ef51dccb38p-16, -0x1.6211a6a792b43p-16, -0x1.7176309b51ab8p-16, -0x1.806d8ad2e1096p-16, -0x1.8ef8a8a81ad8dp-16, -0x1.9d18797cd273p-16, -0x1.aacde946496ebp-16, -0x1.b819e10a4041cp-16, -0x1.c4fd475bef1abp-16, -0x1.d17900cb43c2bp-16, -0x1.dd8df046f051ap-16, -0x1.e93cf7872036fp-16, -0x1.f486f767f1b28p-16, -0x1.ff6cd0334354cp-16, -0x1.04f7b0fc9e22cp-15, -0x1.0a07c6693b0f8p-15, -0x1.0ee718929d8cdp-15, -0x1.139617ed9d513p-15, -0x1.1815355008797p-15, -0x1.1c64e207b503bp-15, -0x1.20858fef2130dp-15, -0x1.2477b183cd9c5p-15, -0x1.283bb9f9232eep-15, -0x1.2bd21d46c902bp-15, -0x1.2f3b5035e7be8p-15, -0x1.3277c86ee827bp-15, -0x1.3587fc82eec17p-15, -0x1.386c63f42588dp-15, -0x1.3b25773cd9eeep-15, -0x1.3db3afd5a34dfp-15, -0x1.401788393ed2ap-15, -0x1.42517be4d9577p-15, -0x1.4462075beffcep-15, -0x1.4649a829f894fp-15, -0x1.4808dcdd39e68p-15, -0x1.49a025081f6e5p-15, -0x1.4b10013c33804p-15, -0x1.4c58f3086987dp-15, -0x1.4d7b7cf1ba28dp-15, -0x1.4e78226ed1296p-15, -0x1.4f4f67e24b829p-15, -0x1.5001d293cd475p-15, -0x1.508fe8a532a22p-15, -0x1.50fa310deb99dp-15, -0x1.514133917c7c5p-15, -0x1.516578b477037p-15, -0x1.516789b3de171p-15, -0x1.5147f07a38e2ap-15, -0x1.51073796c7086p-15, -0x1.50a5ea3032d42p-15, -0x1.502493f9edd0ap-15, -0x1.4f83c129cf4b4p-15, -0x1.4ec3fe6c3323ap-15, -0x1.4de5d8d64b133p-15, -0x1.4ce9dddb2d7p-15, -0x1.4bd09b40ebdccp-15, -0x1.4a9a9f122149dp-15, -0x1.49487791b0922p-15, -0x1.47dab32ead9b5p-15, -0x1.4651e07884123p-15, -0x1.44ae8e12f4b83p-15, -0x1.42f14aa632d14p-15, -0x1.411aa4d5b261p-15, -0x1.3f2b2b3212679p-15, -0x1.3d236c2e235b3p-15, -0x1.3b03f60fdd7adp-15, -0x1.38cd56e72d3e2p-15, -0x1.36801c8083aa1p-15, -0x1.341cd45841578p-15, -0x1.31a40b8e8a51bp-15, -0x1.2f164edc4ac2ap-15, -0x1.2c742a896fab3p-15, -0x1.29be2a5edd03ap-15, -0x1.26f4d99b846bbp-15, -0x1.2418c2ea5d089p-15, -0x1.212a7056fefdp-15, -0x1.1e2a6b4398654p-15, -0x1.1b193c5d35f1cp-15, -0x1.17f76b9387378p-15, -0x1.14c5800da78dbp-15, -0x1.118400204fed5p-15, -0x1.0e337143e2a04p-15, -0x1.0ad4580becea7p-15, -0x1.0767381f97366p-15, -0x1.03ec942ebfbb8p-15, -0x1.0064edea0e128p-15, -0x1.f9a18bf56a005p-16, -0x1.f26137f4be411p-16, -0x1.eb09dcd814e16p-16, -0x1.e39c7567b04ddp-16, -0x1.dc19fa206fp-16, -0x1.d4836126dde3cp-16, -0x1.ccd99e371829p-16, -0x1.c51da2998ab9cp-16, -0x1.bd505d149720dp-16, }}, 
      {{0x1.dd1c03d32c091p-1, 0x1.dc9e0a937c36fp-1, 0x1.dbd00e4ae508dp-1, 0x1.dab71dcbc319ep-1, 0x1.d95944175094cp-1, 0x1.d7bd1cbbbf195p-1, 0x1.d5e9817be299dp-1, 0x1.d3e54c41a81b8p-1, 0x1.d1b729492ba3bp-1, 0x1.cf65763428e9dp-1, 0x1.ccf62b543327dp-1, 0x1.ca6eccfc14bf1p-1, 0x1.c7d4631308813p-1, 0x1.c52b757b7ad21p-1, 0x1.c2780c2614e38p-1, 0x1.bfbdb1e3e9369p-1, 0x1.bcff7939fe50ap-1, 0x1.ba40029f16084p-1, 0x1.b78183ac0aff1p-1, 0x1.b4c5cee0a9531p-1, 0x1.b20e5bb3afa9fp-1, 0x1.af5c4eb56e2eep-1, 0x1.acb0819a08b1p-1, 0x1.aa0b8b0b50a6ap-1, 0x1.a76dc62ae6b75p-1, 0x1.a4d759b451a6dp-1, 0x1.a2483eb4434c9p-1, 0x1.9fc046cea1cbfp-1, 0x1.9d3f221050fa9p-1, 0x1.9ac4644c5eef9p-1, 0x1.984f8a06366cfp-1, 0x1.95dffcebf6ed1p-1, 0x1.937517e5314d7p-1, 0x1.910e2abb03dd2p-1, 0x1.8eaa7d5f1b1f2p-1, 0x1.8c4952d763975p-1, 0x1.89e9ebd463325p-1, 0x1.878b88f832d2cp-1, 0x1.852d6cd3fbe1fp-1, 0x1.82cedda1bc579p-1, 0x1.806f26bfdd8f8p-1, 0x1.7e0d99f3e9db1p-1, 0x1.7ba990797432dp-1, 0x1.79426be1f01f2p-1, 0x1.76d796c9fa907p-1, 0x1.74688568468aep-1, 0x1.71f4b5fa123c3p-1, 0x1.6f7bb110cd0e4p-1, 0x1.6cfd09c447aa1p-1, 0x1.6a785dcc8a696p-1, 0x1.67ed55862cb91p-1, 0x1.655ba3e3cd3b9p-1, 0x1.62c3064f122adp-1, 0x1.6023447b616a5p-1, 0x1.5d7c302c51f8ap-1, 0x1.5acda4f1a48d5p-1, 0x1.581787da6ce49p-1, 0x1.5559c720e4dc1p-1, 0x1.529459d042d73p-1, 0x1.4fc73f65ca5c8p-1, 0x1.4cf27f6e2994cp-1, 0x1.4a1629201f04p-1, 0x1.473252f541db2p-1, 0x1.44471a41b56d3p-1, 0x1.4154a2cb73c08p-1, 0x1.3e5b1661c8806p-1, 0x1.3b5aa47586a1ap-1, 0x1.385381b269f92p-1, 0x1.3545e79a0fa41p-1, 0x1.32321420d90aep-1, 0x1.2f18494d0988ep-1, 0x1.2bf8ccd859711p-1, 0x1.28d3e7d4379bp-1, 0x1.25a9e650e379bp-1, 0x1.227b1707827a2p-1, 0x1.1f47cb074e91dp-1, 0x1.1c105565efcd7p-1, 0x1.18d50af3115d7p-1, 0x1.159641ef3ce72p-1, 0x1.125451c5fb393p-1, 0x1.0f0f92cb40c43p-1, 0x1.0bc85dfc1e244p-1, 0x1.087f0cc2ae94bp-1, 0x1.0533f8bd3c295p-1, 0x1.01e77b888a6a3p-1, 0x1.fd33dd1a76e13p-2, 0x1.f69755a079aa4p-2, 0x1.effa118c5bd5dp-2, 0x1.e95cc0534dbfp-2, 0x1.e2c00fa8a3255p-2, 0x1.dc24ab357629fp-2, 0x1.d58b3c5592423p-2, 0x1.cef469d97ea9ap-2, 0x1.c860d7cd6f26bp-2, 0x1.c1d12744fcc93p-2, 0x1.bb45f62b67be9p-2, 0x1.b4bfdf1841affp-2, 0x1.ae3f7928477d3p-2, 0x1.a7c557da4726cp-2, 0x1.a1520aefd7d68p-2, 0x1.9ae61e51c3eecp-2, 0x1.948219f7ee945p-2, 0x1.8e2681d490a4cp-2, 0x1.87d3d5c29ee9bp-2, 0x1.818a91772ee0fp-2, 0x1.7b4b2c75b6e96p-2, 0x1.75161a06fba72p-2, 0x1.6eebc9328af4fp-2, 0x1.68cca4ba98667p-2, 0x1.62b9131a1d74cp-2, 0x1.5cb1768515bf2p-2, 0x1.56b62ceab9786p-2, 0x1.50c78ff9902dap-2, 0x1.4ae5f5254426ep-2, 0x1.4511adae0fadap-2, 0x1.3f4b06a9adcb6p-2, 0x1.3992490daed4dp-2, 0x1.33e7b9bb1822p-2, 0x1.2e4b998b31ebap-2, 0x1.28be255d6f82cp-2, 0x1.233f9626570fbp-2, 0x1.1dd020ff52697p-2, 0x1.186ff73754cabp-2, 0x1.131f466440b8bp-2, 0x1.0dde3874f9e0dp-2, 0x1.08acf3c410e47p-2, 0x1.038b9b2af8cdap-2, 0x1.fcf49c2b613fcp-3, 0x1.f2f2512db313ap-3, 0x1.e91086f844d47p-3, 0x1.df4f68c5fb508p-3, 0x1.d5af1b9b2da24p-3, 0x1.cc2fbe6feda9ep-3, 0x1.c2d16a5a97c4fp-3, 0x1.b99432ba9bb42p-3, 0x1.b07825635c5eap-3, 0x1.a77d4ac71cc7ep-3, 0x1.9ea3a621e4396p-3, 0x1.95eb35a44483dp-3, 0x1.8d53f29dfd11fp-3, 0x1.84ddd1a85c023p-3, 0x1.7c88c2d05e297p-3, 0x1.7454b1c078e1bp-3, 0x1.6c4185e9fdd06p-3, 0x1.644f22ae1c281p-3, 0x1.5c7d678663409p-3, 0x1.54cc302ccbcc1p-3, 0x1.4d3b54c3328d1p-3, 0x1.45caa9fa4811ep-3, 0x1.3e7a0137e762fp-3, 0x1.374928bccbb94p-3, 0x1.3037ebc9a7dfep-3, 0x1.294612c3912efp-3, 0x1.22736357bb7b6p-3, 0x1.1bbfa09e87bep-3, 0x1.152a8b3dd9224p-3, 0x1.0eb3e18ab4e14p-3, 0x1.085b5faa24ff8p-3, 0x1.0220bfb15faf1p-3, 0x1.f807738a61665p-4, 0x1.ec0808713b75ep-4, 0x1.e042a755a247bp-4, 0x1.d4b6b648785cfp-4, 0x1.c9639865fbb0ep-4, 0x1.be48ae0d02522p-4, 0x1.b3655514c0453p-4, 0x1.a8b8e9010356cp-4, 0x1.9e42c334f12dap-4, 0x1.94023b244a4p-4, 0x1.89f6a6832cec8p-4, 0x1.801f597463446p-4, 0x1.767ba6b63be1ep-4, 0x1.6d0adfcdee513p-4, 0x1.63cc5531972f8p-4, 0x1.5abf5670c6b9bp-4, 0x1.51e3325baded3p-4, 0x1.49373728ebfe2p-4, 0x1.40bab299ffd4ap-4, 0x1.386cf21e654dbp-4, 0x1.304d42f5643c9p-4, 0x1.285af24e92c04p-4, 0x1.20954d6915a9bp-4, 0x1.18fba1b19fd32p-4, 0x1.118d3cdf3ce63p-4, 0x1.0a496d0ee4934p-4, 0x1.032f80dde6c3bp-4, 0x1.f87d8f065c459p-5, 0x1.eaed21cec98f4p-5, 0x1.ddac5b77fe6fdp-5, 0x1.d0b9df2266714p-5, 0x1.c41451d5c8e6p-5, 0x1.b7ba5aa90f9ecp-5, 0x1.abaaa2e812f8p-5, 0x1.9fe3d637702d8p-5, 0x1.9464a2b67a22p-5, 0x1.892bb91f50924p-5, 0x1.7e37cce52b6bbp-5, 0x1.73879450e1511p-5, 0x1.6919c89bc2469p-5, 0x1.5eed2608c1405p-5, 0x1.55006bfc096b6p-5, 0x1.4b525d10ff328p-5, 0x1.41e1bf2ec21a7p-5, 0x1.38ad5b9b34bc7p-5, 0x1.2fb3ff0c98991p-5, 0x1.26f479b9c7f5fp-5, 0x1.1e6d9f69233d7p-5, 0x1.161e477e25368p-5, 0x1.0e054d05c8a56p-5, 0x1.06218ec1b090bp-5, 0x1.fce3de644fd55p-6, 0x1.edeaa93e09e1fp-6, 0x1.df55523eefff4p-6, 0x1.d121b54199c1dp-6, 0x1.c34db5d861176p-6, 0x1.b5d73f56f267cp-6, 0x1.a8bc44da14044p-6, 0x1.9bfac14d8fc99p-6, 0x1.8f90b7708064fp-6, 0x1.837c31d7e292ep-6, 0x1.77bb42efa1eddp-6, 0x1.6c4c04fa214dep-6, 0x1.612c9a0e53211p-6, 0x1.565b2c146b963p-6, 0x1.4bd5ecc14adc9p-6, 0x1.419b15909d5c9p-6, 0x1.37a8e7bdd02a5p-6, 0x1.2dfdac3bdea09p-6, 0x1.2497b3ac089dfp-6, 0x1.1b75565389526p-6, 0x1.1294f410462a3p-6, 0x1.09f4f44ca1784p-6, 0x1.0193c5f25d2b1p-6, 0x1.f2dfbeb96b51bp-7, 0x1.e30f7c93629c5p-7, 0x1.d3b3cf9555c82p-7, 0x1.c4c9d068747abp-7, 0x1.b64ea61ade07dp-7, 0x1.a83f85fcda64p-7, 0x1.9a99b37d00a6bp-7, 0x1.8d5a80033fd9cp-7, 0x1.807f4acaf9f0ap-7, 0x1.740580bc324efp-7, 0x1.67ea9c43ddf1bp-7, 0x1.5c2c252b7869fp-7, 0x1.50c7b06fe4b2fp-7, 0x1.45bae017a8866p-7, 0x1.3b036308832a7p-7, 0x1.309ef4dc9da7ap-7, 0x1.268b5db72d8d2p-7, 0x1.1cc67218b459p-7, 0x1.134e12b2d9d3bp-7, 0x1.0a202c3c1138dp-7, 0x1.013ab742dff03p-7, 0x1.f1377001f65ddp-8, 0x1.e0827c5c6aeccp-8, 0x1.d052c9a6a33bep-8, 0x1.c0a4a43969032p-8, 0x1.b1746e5a34fb6p-8, 0x1.a2be9fe07104bp-8, 0x1.947fc5dae28dcp-8, 0x1.86b482351dfcbp-8, 0x1.79598b5d3bf56p-8, 0x1.6c6babe9c3429p-8, 0x1.5fe7c23fde76bp-8, 0x1.53cac039ddd4p-8, 0x1.4811aace5a35ap-8, 0x1.3cb999b78c9bep-8, 0x1.31bfb71b4237ep-8, 0x1.27213f3360dd5p-8, 0x1.1cdb7ff706439p-8, 0x1.12ebd8c44b608p-8, 0x1.094fba0a9e5ap-8, 0x1.0004a4f5e8897p-8, 0x1.ee105634ccc7p-9, 0x1.dcafdc42a074ap-9, 0x1.cbe33eec9883p-9, 0x1.bba5ffeb5556p-9, 0x1.abf3bf3709452p-9, 0x1.9cc83a676a4b8p-9, 0x1.8e1f4c15994eap-9, 0x1.7ff4eb3fba4d7p-9, 0x1.72452aae6ba1ep-9, 0x1.650c385c1b338p-9, 0x1.58465cde63d59p-9, 0x1.4beffad18b93ap-9, 0x1.40058e459480ep-9, 0x1.3483ac2da121ap-9, 0x1.296701d13095p-9, 0x1.1eac543f8db1cp-9, 0x1.14507fc553d08p-9, 0x1.0a507763d2a7dp-9, 0x1.00a9444a9798fp-9, 0x1.eeb00aa65bc0fp-10, 0x1.dcb3dcfd6bedep-10, 0x1.cb5890ec066d1p-10, 0x1.ba98e016db92ap-10, 0x1.aa6fab7d8c2ecp-10, 0x1.9ad7fa8703d37p-10, 0x1.8bccfa11d70bcp-10, 0x1.7d49fb893243p-10, 0x1.6f4a73fd8fd13p-10, 0x1.61c9fb4153945p-10, 0x1.54c44b0a081b7p-10, 0x1.48353e1565389p-10, 0x1.3c18cf529f32fp-10, 0x1.306b19100afc3p-10, 0x1.2528542bd2057p-10, 0x1.1a4cd7498fb69p-10, 0x1.0fd5160b6a9b1p-10, 0x1.05bda04f47ccdp-10, 0x1.f80642e0b52c2p-11, 0x1.e544bf173b11dp-11, 0x1.d33075918cdcap-11, 0x1.c1c3594d7752cp-11, 0x1.b0f78e97d5bf1p-11, 0x1.a0c769b4970efp-11, 0x1.912d6d8f1e992p-11, 0x1.82244a6f90197p-11, 0x1.73a6dcb8f5a8bp-11, 0x1.65b02bae38343p-11, 0x1.583b683d62377p-11, 0x1.4b43ebd33fecep-11, 0x1.3ec53734a96d2p-11, 0x1.32baf15dc8415p-11, 0x1.2720e669aeb66p-11, 0x1.1bf3067ef5a3ap-11, 0x1.112d64c35e3b2p-11, 0x1.06cc3656b114cp-11, 0x1.f997a2a4c8cedp-12, 0x1.e651579e65ca6p-12, 0x1.d3beb5e47939fp-12, 0x1.c1d923fd215eap-12, 0x1.b09a42da5243dp-12, 0x1.9ffbec16b2163p-12, 0x1.8ff8303c0856cp-12, 0x1.80895512ad8b9p-12, 0x1.71a9d4006418p-12, 0x1.6354586ddc655p-12, 0x1.5583be38c89d5p-12, 0x1.48331030040e7p-12, 0x1.3b5d869a63bdfp-12, 0x1.2efe85c4603b5p-12, 0x1.23119c9a90c5p-12, 0x1.1792834c782efp-12, 0x1.0c7d19f83166p-12, 0x1.01cd676064c19p-12, 0x1.eeff2f56ec3c7p-13, 0x1.db1ff651d8b1cp-13, 0x1.c7f60a428fbd7p-13, 0x1.b57a955cff526p-13, 0x1.a3a703371b0a9p-13, 0x1.9274fe99555d7p-13, 0x1.81de6f6024d3p-13, 0x1.71dd786c71914p-13, 0x1.626c759e91f83p-13, 0x1.5385f9e536b93p-13, 0x1.4524cd59bdc5dp-13, 0x1.3743eb68aa877p-13, 0x1.29de8109058a1p-13, 0x1.1cefeb035d26bp-13, 0x1.1073b4430513p-13, 0x1.046594322240bp-13, 0x1.f182da4ea77ap-14, 0x1.db0695b8d23d2p-14, 0x1.c54ec1e2d856ep-14, 0x1.b05412f7b8c92p-14, 0x1.9c0f8743dfeefp-14, 0x1.887a647f520efp-14, 0x1.758e3529c9f0ep-14, 0x1.6344c603582eap-14, 0x1.51982395afef1p-14, 0x1.408297cfc3838p-14, 0x1.2ffea7b9758ccp-14, 0x1.20071137d6638p-14, 0x1.1096c8e3b2791p-14, 0x1.01a8f7ef657b8p-14, 0x1.e671f44160d1fp-15, 0x1.ca84b7c038bbbp-15, 0x1.af81b09f28724p-15, 0x1.9560aeef8efccp-15, 0x1.7c19d90bf0516p-15, 0x1.63a5a82acb881p-15, 0x1.4bfce50f90a82p-15, 0x1.3518a4d6df5cfp-15, 0x1.1ef245e927ccdp-15, 0x1.09836cffa81d2p-15, 0x1.e98c0485d916dp-16, 0x1.c1685d15103d1p-16, 0x1.9a90b160500d9p-16, 0x1.74fa45fd8bcf1p-16, 0x1.509ad161df63dp-16, 0x1.2d6877175be8bp-16, 0x1.0b59c32c8a4c2p-16, 0x1.d4cb4b6fae7eap-17, 0x1.9506dd1bea5e4p-17, 0x1.575592559ec4p-17, 0x1.1ba77167311a8p-17, 0x1.c3da5096b054ep-18, 0x1.54300a7fc3933p-18, 0x1.d067befd4861dp-19, 0x1.ff2b0dbd38ccfp-20, 0x1.adac1de1147ecp-22, -0x1.1ad439ff1974p-20, -0x1.49f92f9c86574p-19, -0x1.0012d0c34010ep-18, -0x1.580dc7b2d8da5p-18, -0x1.ad02ad82d728bp-18, -0x1.ff05dfbc10cp-18, -0x1.2715793293bfep-17, -0x1.4d425ccf1ba1dp-17, -0x1.7212a94ef53e4p-17, -0x1.958f16270be42p-17, -0x1.b7c007e488ef2p-17, -0x1.d8ad940b89789p-17, -0x1.f85f85129b0e3p-17, -0x1.0b6eaefb089d1p-16, -0x1.1a172ed65156ap-16, -0x1.282cc146632a8p-16, -0x1.35b2c6c29c1cfp-16, -0x1.42ac828b7de86p-16, -0x1.4f1d1c2a70981p-16, -0x1.5b07a0cfb1407p-16, -0x1.666f04a6af7b5p-16, -0x1.715624263e468p-16, -0x1.7bbfc53b44a66p-16, -0x1.85ae986fc418bp-16, -0x1.8f253a0a21714p-16, -0x1.98263317290acp-16, -0x1.a0b3fa633b0a8p-16, -0x1.a8d0f574611bcp-16, -0x1.b07f796c9cbdbp-16, -0x1.b7c1cbe3df395p-16, -0x1.be9a23c01ecdfp-16, -0x1.c50aa9efe2dcap-16, -0x1.cb157a2b0d985p-16, -0x1.d0bca3a4f0b35p-16, -0x1.d60229b13f1f7p-16, -0x1.dae804643c4f6p-16, -0x1.df7021282b976p-16, -0x1.e39c634da978dp-16, -0x1.e76ea4918c633p-16, -0x1.eae8b59bc6d34p-16, -0x1.ee0c5e73cbdc8p-16, -0x1.f0db5ef4dd5b7p-16, -0x1.f3576f35da148p-16, -0x1.f5823fed41353p-16, -0x1.f75d7acf1d10ap-16, -0x1.f8eac2e2caacep-16, -0x1.fa2bb4d6467c4p-16, -0x1.fb21e74e640f2p-16, -0x1.fbceeb2b2ab48p-16, -0x1.fc344bcbcc80dp-16, -0x1.fc538f4c87725p-16, -0x1.fc2e36c385564p-16, -0x1.fbc5be73f0cc1p-16, -0x1.fb1b9e0219f0bp-16, -0x1.fa3148a4f2d0ap-16, -0x1.f9082d486e5bep-16, -0x1.f7a1b6beda41cp-16, -0x1.f5ff4be1083d6p-16, -0x1.f4224fb1755c2p-16, -0x1.f20c2178930e8p-16, -0x1.efbe1ce3c118bp-16, -0x1.ed399a1e1ee38p-16, -0x1.ea7fede5635a6p-16, -0x1.e79269a27bcb8p-16, -0x1.e4725b7c779e5p-16, -0x1.e1210e65219fbp-16, -0x1.dd9fca2c2a68cp-16, -0x1.d9efd38afc3afp-16, -0x1.d6126c31dea62p-16, -0x1.d208d2cedf8c3p-16, -0x1.cdd4431a53ed7p-16, -0x1.c975f5dc7ed3p-16, -0x1.c4ef20f28132fp-16, -0x1.c040f7552be4ep-16, -0x1.bb6ca91d577b1p-16, -0x1.b673638665929p-16, -0x1.b15650eee68ecp-16, -0x1.ac1698dbcce4ap-16, -0x1.a6b55ff832bd3p-16, -0x1.a133c81516f1dp-16, -0x1.9b92f028dfabp-16, -0x1.95d3f44e04d2ap-16, -0x1.8ff7edc2579cbp-16, -0x1.89fff2e15b9c2p-16, -0x1.83ed17242e435p-16, -0x1.7dc06b2018d6ap-16, -0x1.777afc7f8e303p-16, -0x1.711dd600b4c5bp-16, -0x1.6aa9ff7066314p-16, -0x1.64207da7f8d2ap-16, -0x1.5d82528752fe9p-16, -0x1.56d07cf114da3p-16, -0x1.500bf8c7639e9p-16, -0x1.4935bee79f6fep-16, -0x1.424ec522b713bp-16, -0x1.3b57fe3c78d72p-16, -0x1.345259e6cb051p-16, -0x1.2d3ec4bbf3b0ap-16, -0x1.261e283aa2db1p-16, -0x1.1ef16ac1df0f3p-16, -0x1.17b96f8ecf02p-16, -0x1.107716b6ec771p-16, -0x1.092b3d2465977p-16, -0x1.01d6bc93ed0edp-16, -0x1.f4f4d72297522p-17, -0x1.e62e3ae4aa1a7p-17, -0x1.d75b44ab5840cp-17, -0x1.c87d8e414a4c7p-17, -0x1.b996aaf77c4ep-17, -0x1.aaa8279ed8b8bp-17, -0x1.9bb38a86106cap-17, -0x1.8cba537812b89p-17, -0x1.7dbdfbb9e281cp-17, -0x1.6ebff601acec6p-17, -0x1.5fc1ae7ae3f49p-17, -0x1.50c48ac2943e6p-17, -0x1.41c9e9e76c93bp-17, -0x1.32d3246760088p-17, -0x1.23e18c3280a48p-17, -0x1.14f66cac1e524p-17, -0x1.06130aa88c769p-17, -0x1.ee7148df1f984p-18, -0x1.d0d0e37f84c9cp-18, -0x1.b34747ac7fe86p-18, -0x1.95d6cad6c62fap-18, -0x1.7881b571032dbp-18, -0x1.5b4a42fbd5d6ep-18, -0x1.3e32a20c919dep-18, -0x1.213cf45b08b28p-18, -0x1.046b4ecbeb2f9p-18, -0x1.cf7f72ff452eep-19, -0x1.96785fc2d5ff8p-19, -0x1.5dc54161c9797p-19, -0x1.2569dc25e4242p-19, -0x1.dad3b694f0ffbp-20, -0x1.6b91a25abd794p-20, -0x1.fa28dd81bb7b5p-21, -0x1.1ec5bb5681fb6p-21, -0x1.141c00aef80eep-23, 0x1.260d2683d4ad8p-22, 0x1.69569ea504762p-21, 0x1.1eee90b6af5e2p-20, 0x1.88473d12ea75fp-20, 0x1.f0afb2bb9bad4p-20, 0x1.2c113f68ebca9p-19, 0x1.5f4d2e6a79f73p-19, 0x1.92091b1dc14a4p-19, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      52, 0x1.2666666666666p+2, 0x1.52c907ac4cd35p+1, 0x1.0cdee65823ep+2, -0x1.a0af31e872788p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.235ea0a9ffb21p-2, -0x1.c6858ee654f44p-1, 0x1.2cc0a19470073p+0, -0x1.79f5435f5b45p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.f1a937b0a90b5p-3, -0x1.8d34b6210a1d3p-1, 0x1.1067d6207c622p+0, -0x1.63b75bca64f47p-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.a77d75d63fbabp-3, -0x1.596484f3bd836p-1, 0x1.eb742b490338ep-1, -0x1.50ce6b3a86465p-1}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.67285dee027f2p-3, -0x1.2ac5f877c209fp-1, 0x1.b8eece66a2482p-1, -0x1.3d00ed8aed506p-1}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.2fa76267c874bp-3, -0x1.010ebca6376ep-1, 0x1.8961ddf831e23p-1, -0x1.2970ad5520954p-1}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.000705fa00cc1p-3, -0x1.b7e67876f373cp-2, 0x1.5cc42a5ea0326p-1, -0x1.15d00457e0c0cp-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aec5b743658c4p-4, -0x1.7650700e4dd35p-2, 0x1.331829b7d815ap-1, -0x1.0233c0fea07b1p-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.69cb0d44fb6c4p-4, -0x1.3cc4b39131d08p-2, 0x1.0c5d332b4002fp-1, -0x1.dd2c9fb9a7eaep-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2f91750d32046p-4, -0x1.0aaca2d9efdf4p-2, 0x1.d126e7faa6d63p-2, -0x1.b5f26072740acp-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.fd54ec7b50851p-5, -0x1.bee334e9dc468p-3, 0x1.8f75bfe97bd42p-2, -0x1.8eb7f0cac32e1p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.ab8b720a5a75bp-5, -0x1.74f9ef953ec22p-3, 0x1.53a6f564ab5a4p-2, -0x1.677d9fa8a16f8p-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.67620c3f80475p-5, -0x1.367030425c59cp-3, 0x1.1dba83d82cbdp-2, -0x1.404304d0bf86p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.2eb08dad20afbp-5, -0x1.0218b0d7b26f5p-3, 0x1.db60eca4ecd11p-3, -0x1.1909724a4c971p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.ff1613fff55e1p-6, -0x1.ad8c5c2f5ba4dp-4, 0x1.87114a5b6f70dp-3, -0x1.e3981067c9d93p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.b083abfe5b146p-6, -0x1.6696b3f5aaf15p-4, 0x1.3e8747e5778ffp-3, -0x1.9539e817c47f7p-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.6ec30f18719d7p-6, -0x1.2cf61d8ab0dbcp-4, 0x1.01be98484d49ep-3, -0x1.4670bf7450a51p-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.3765eb45f8ab4p-6, -0x1.fc9e415aab9f4p-5, 0x1.a18e90ba82627p-4, -0x1.f26dd8842ba85p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.087670b37077cp-6, -0x1.b0954f561232bp-5, 0x1.56cae3737bd5cp-4, -0x1.4c55873c87c2bp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c0eea384339b2p-7, -0x1.71027ec1298c7p-5, 0x1.24f1425d9aabfp-4, -0x1.e7ecdff7d548cp-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.7cbec01de8c72p-7, -0x1.3a14a8ebd1f8fp-5, 0x1.005917f7d1131p-4, -0x1.d2a125021cdecp-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.42d2977f59391p-7, -0x1.0a4f91d85a4b9p-5, 0x1.bab39d95b76b6p-5, -0x1.a60c15cceacf1p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.11c6c59f129cp-7, -0x1.c2697a42a2ca3p-6, 0x1.7b6500b6fa996p-5, -0x1.7fb456c3fe815p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.d0acb859a8648p-8, -0x1.7c49e6f0570bap-6, 0x1.41d6c07ffad27p-5, -0x1.57b0ab497d5f1p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.8ab5c5231daaep-8, -0x1.4113859172487p-6, 0x1.0e490d34f4d14p-5, -0x1.301f616904d4ep-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4f98abdec9e8bp-8, -0x1.0f94bdfce9123p-6, 0x1.c1557d30ce953p-6, -0x1.08707d92001ccp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.1d825243552b6p-8, -0x1.cd3a7b2f51ca4p-7, 0x1.72008ab834f33p-6, -0x1.c18b3ff649fa2p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e5b912f39555cp-9, -0x1.89f89f1ecffdap-7, 0x1.2e920decdd0dfp-6, -0x1.725086b4541a8p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9c9c1c3b319bdp-9, -0x1.530304c18132fp-7, 0x1.ee0bf3706dacfp-7, -0x1.22a1b9431b5d3p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5d751079224fbp-9, -0x1.25f77307e8902p-7, 0x1.96db6f0f7f113p-7, -0x1.a9507546435d5p-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.268516add0f02p-9, -0x1.007882678699dp-7, 0x1.570f5d7828299p-7, -0x1.009b29dad8e9cp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ed0e597cdab43p-10, -0x1.c02db6952ed2dp-8, 0x1.3091b0ca87a01p-7, -0x1.5a25e03bb0186p-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.9956b19c61ea9p-10, -0x1.85dc6110f6f0bp-8, 0x1.169ba65fa737fp-7, -0x1.5d6fada6d8d49p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.50c3902883e43p-10, -0x1.50c291180b99fp-8, 0x1.f8ccf2b3144fbp-8, -0x1.4734862218637p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.124bdb632d06cp-10, -0x1.20bbe7e8f3fe8p-8, 0x1.c7b844fac3da9p-8, -0x1.37cfdebdc9784p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b9e6d028e043dp-11, -0x1.eb0050e299991p-9, 0x1.98f2b05e4c084p-8, -0x1.26962bc79d389p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5f95f3150ce4ep-11, -0x1.9da1640736fd9p-9, 0x1.6cc290338e0ccp-8, -0x1.15da26f875db5p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.13e083339f3e8p-11, -0x1.58d8a15f59ca2p-9, 0x1.43150a5b15f8ep-8, -0x1.04fc751f190a9p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.aa37827346eb3p-12, -0x1.1c2502568f5eap-9, 0x1.1bef2bfcd236fp-8, -0x1.e84f928f1637fp-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.436d95d0e5101p-12, -0x1.ce0a435c0ed3cp-10, 0x1.ee9f3530fab2ap-9, -0x1.c6a164e5eff9bp-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e0ea6c36c9218p-13, -0x1.71ef6708e93efp-10, 0x1.aa6d660e7d199p-9, -0x1.a4f4832155981p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5d28260d5588p-13, -0x1.22f6ca59b6a18p-10, 0x1.6b48b8c97d0ffp-9, -0x1.834747c496ecep-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ed0e597cdaaeep-14, -0x1.c03b972dd95dbp-11, 0x1.31313ad2666c8p-9, -0x1.619a26e3dcf35p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.50c3902883e16p-14, -0x1.50c3902d532fbp-11, 0x1.f84dd06070f7p-10, -0x1.3fecf5ab38254p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b9e6d028e0384p-15, -0x1.eb007557f24e4p-12, 0x1.985386ad1350bp-10, -0x1.1e3feb562a08cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.13e083339f3a9p-15, -0x1.58d8a4a2204dbp-12, 0x1.42738ce006b4dp-10, -0x1.f924ab95992f6p-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.436d95d0e4fap-16, -0x1.ce0a3f0586ff1p-13, 0x1.ed5c197992a8cp-11, -0x1.b5cd8c69d034p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.5d28260d556c2p-17, -0x1.22f6dbf9f78bep-13, 0x1.6a04d5c03a99cp-11, -0x1.726753ff3e488p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.50c3902883801p-18, -0x1.50c30ccab335dp-14, 0x1.f5cbac4db63cp-12, -0x1.2f3974a48c893p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.13e083339eaffp-19, -0x1.58dc7888f6589p-15, 0x1.3fdc665161e6fp-12, -0x1.d6729492bb588p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5d28260d55p-21, -0x1.22da33943555fp-16, 0x1.65740d178699dp-13, -0x1.5493e5c061b29p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.13e083339bfffp-23, -0x1.5a836c80cc19p-18, 0x1.3236a014fe5f1p-14, -0x1.77a66abd733fdp-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.13e08333cp-27, -0x1.27126d7f3a714p-21, 0x1.434b19c07e7ffp-16, -0x1.f6ba5f9ed02f1p-12}, 
      }}, 
      0x1.d90d6ddcdcfp-8, -0x1.6c8ec13599a64p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.02890682e405cp-2, -0x1.fdf72c629d37fp-3, -0x1.f4aaf52dc42e8p-3, -0x1.eaa24734d1051p-3, -0x1.e0e915fe5c43ap-3, -0x1.d83b237adacf7p-3, -0x1.d117023ae1b99p-3, -0x1.cbccbdb939beap-3, -0x1.c889330f8443dp-3, -0x1.c75ee0b018857p-3, -0x1.c84cbd3eb584p-3, -0x1.cb43800f1c642p-3, -0x1.d029b3d6f2d7fp-3, -0x1.d6dedda5fd141p-3, -0x1.df3deec887e6fp-3, -0x1.e91f284497478p-3, -0x1.f4598d2c82987p-3, -0x1.0061fd8e610a6p-2, -0x1.071afdbdf14b2p-2, -0x1.0e442e345dc8fp-2, -0x1.15cacea6a84bdp-2, -0x1.1d9d1c57fd66fp-2, -0x1.25aa69768b7b4p-2, -0x1.2de32a05a0f1fp-2, -0x1.3638f8c51153cp-2, -0x1.3e9e96048e26dp-2, -0x1.4707e1fb85098p-2, -0x1.4f69d3da62a3p-2, -0x1.57ba6e86880ebp-2, -0x1.5ff0b3c375704p-2, -0x1.68049665d7e07p-2, -0x1.6feeebf5921eap-2, -0x1.77a95e162f025p-2, -0x1.7f2e5bfc6d6ebp-2, -0x1.86790c2b42d4cp-2, -0x1.8d853e88e8d0ap-2, -0x1.944f5ef5441c4p-2, -0x1.9ad4688ad75afp-2, -0x1.a111d97ba685fp-2, -0x1.a705a7c531e37p-2, -0x1.acae36bb445d3p-2, -0x1.b20a4d88accc9p-2, -0x1.b7190eaac3b6ep-2, -0x1.bbd9f04bfea3bp-2, -0x1.c04cb585c4ab7p-2, -0x1.c471684fbbdcdp-2, -0x1.c84853bcbdccfp-2, -0x1.cbd1fe904375p-2, -0x1.cf0f25c5b24e8p-2, -0x1.d200b71be51d6p-2, -0x1.d4a7cba4aa7ap-2, -0x1.d705a27d77a17p-2, -0x1.d91b9bbdaf056p-2, -0x1.daeb33cf0ca0fp-2, -0x1.dc75ff107416p-2, -0x1.ddbda6001ef4ep-2, -0x1.dec3e1ac79e66p-2, -0x1.df8a789345d0fp-2, -0x1.e0133bc7b0e1ap-2, -0x1.e060047461edfp-2, -0x1.e072b17f9d839p-2, -0x1.e04d258f43ac7p-2, -0x1.dff14522c57aap-2, -0x1.df60f4f4ab857p-2, -0x1.de9e187430b42p-2, -0x1.ddaa906e2fe41p-2, -0x1.dc8839ea8298dp-2, -0x1.db38ed06db5b8p-2, -0x1.d9be7c1d5e35fp-2, -0x1.d81ab2e06435ep-2, -0x1.d64f55a4a057dp-2, -0x1.d45e20c3a7795p-2, -0x1.d248c8105b198p-2, -0x1.d010f6636d3dp-2, -0x1.cdb84d30f921p-2, -0x1.cb406440ed73bp-2, -0x1.c8aac95ecfb12p-2, -0x1.c5f9002d4209p-2, -0x1.c32c82092392bp-2, -0x1.c046bde78b4a5p-2, -0x1.bd491847465adp-2, -0x1.ba34eb254678ep-2, -0x1.b70b8601c557bp-2, -0x1.b3ce2dec28fcep-2, -0x1.b07e1d999c80ap-2, -0x1.ad1c857d6f1f2p-2, -0x1.a9aa8be31206dp-2, -0x1.a6294d14430b8p-2, -0x1.a299db793b11fp-2, -0x1.9efd3fc14fe1dp-2, -0x1.9b547921460fep-2, -0x1.97a07d7ca0884p-2, -0x1.93e2399cf3261p-2, -0x1.901a9161cf0c9p-2, -0x1.8c4a5ff31569bp-2, -0x1.887277f4ffd2bp-2, -0x1.8493a3c06925ap-2, -0x1.80aea5a28f206p-2, -0x1.7cc4381c6918bp-2, -0x1.78d50e2295fe7p-2, -0x1.74e1d359f1a1bp-2, -0x1.70eb2c4e207e3p-2, -0x1.6cf1b6a3f415ap-2, -0x1.68f60947641b4p-2, -0x1.64f8b4a7da474p-2, -0x1.60fa42e0922fbp-2, -0x1.5cfb37f1ba8c6p-2, -0x1.58fc1206d39ccp-2, -0x1.54fd49a7a04f7p-2, -0x1.50ff51f68e2ap-2, -0x1.4d0298e5b30ebp-2, -0x1.49078768f6a78p-2, -0x1.450e81a2e2b3dp-2, -0x1.4117e70cddf03p-2, -0x1.3d24129dc993ap-2, -0x1.39335af02ff84p-2, -0x1.3546126836923p-2, -0x1.315c875b0fd9fp-2, -0x1.2d7704386a81cp-2, -0x1.2995cfb3c4148p-2, -0x1.25b92cedd4a6ap-2, -0x1.21e15b9d5d84p-2, -0x1.1e0e9835d28d1p-2, -0x1.1a411c0b2ad28p-2, -0x1.16791d7328eb1p-2, -0x1.12b6cfe3fdfcdp-2, -0x1.0efa640d40fafp-2, -0x1.0b4407fb7168cp-2, -0x1.0793e725e69b5p-2, -0x1.03ea2a883d45cp-2, -0x1.0046f8c141c2p-2, -0x1.f954ec47d2acbp-3, -0x1.f229899ecd044p-3, -0x1.eb0c098dc807bp-3, -0x1.e3fca80fef8c7p-3, -0x1.dcfb9d417c909p-3, -0x1.d6091d8ae88edp-3, -0x1.cf2559ca54c94p-3, -0x1.c8507f7aa6e0ep-3, -0x1.c18ab8d88330dp-3, -0x1.bad42d052248fp-3, -0x1.b42d0026f4564p-3, -0x1.ad955387de943p-3, -0x1.a70d45b1c00e6p-3, -0x1.a094f288d2635p-3, -0x1.9a2c736699065p-3, -0x1.93d3df3001ee7p-3, -0x1.8d8b4a6db14e6p-3, -0x1.8752c7623e69p-3, -0x1.812a661f1cdefp-3, -0x1.7b12349a1fea8p-3, -0x1.750a3ec172a99p-3, -0x1.6f128e8eca7ep-3, -0x1.692b2c1ad7013p-3, -0x1.63541daf26241p-3, -0x1.5d8d67d7d0e4bp-3, -0x1.57d70d74943e1p-3, -0x1.52310fc92cfa2p-3, -0x1.4c9b6e8936be6p-3, -0x1.471627eeaad92p-3, -0x1.41a138c45082bp-3, -0x1.3c3c9c6eef93cp-3, -0x1.36e84cfac4315p-3, -0x1.31a44331a3e17p-3, -0x1.2c70769c59debp-3, -0x1.274cdd9118178p-3, -0x1.22396d3e7891cp-3, -0x1.1d3619b57ed6bp-3, -0x1.1842d5f4843a6p-3, -0x1.135f93eee6a9ep-3, -0x1.0e8c449820ed7p-3, -0x1.09c8d7ec18acbp-3, -0x1.05153cf7eb1c6p-3, -0x1.007161e27a576p-3, -0x1.f7ba67e95e24cp-4, -0x1.eeb13f43668b6p-4, -0x1.e5c7211da63dfp-4, -0x1.dcfbe33622d9p-4, -0x1.d44f59cd5bea1p-4, -0x1.cbc157b575887p-4, -0x1.c351ae6037dc4p-4, -0x1.bb002decfb4cp-4, -0x1.b2cca5364904p-4, -0x1.aab6e1dfe50cp-4, -0x1.a2beb0636df69p-4, -0x1.9ae3dc1cd79e5p-4, -0x1.93262f573aafap-4, -0x1.8b8573595a4ddp-4, -0x1.840170715a7d6p-4, -0x1.7c99ee0035cfap-4, -0x1.754eb285111b9p-4, -0x1.6e1f83a8fbc1p-4, -0x1.670c2649e3536p-4, -0x1.60145e84bf11ap-4, -0x1.5937efc00ae1fp-4, -0x1.52769cb66ea2dp-4, -0x1.4bd0278100dbcp-4, -0x1.454451a0dabcbp-4, -0x1.3ed2dc084912ap-4, -0x1.387b8724c8c6ap-4, -0x1.323e12e835b6p-4, -0x1.2c1a3ed27238bp-4, -0x1.260fc9f9afde9p-4, -0x1.201e730dfda79p-4, -0x1.1a45f86dfd984p-4, -0x1.1486182b13bd4p-4, -0x1.0ede9004f231dp-4, -0x1.094f1d7b698c2p-4, -0x1.03d77dde7fb8ep-4, -0x1.fceedc9206286p-5, -0x1.f25d5758d5bd7p-5, -0x1.e7f9e5b1f82e9p-5, -0x1.ddc40108b7fe1p-5, -0x1.d3bb22a0e5527p-5, -0x1.c9dec3a425918p-5, -0x1.c02e5d2f5f7b7p-5, -0x1.b6a968601a9b7p-5, -0x1.ad4f5e61465ecp-5, -0x1.a41fb87775d7bp-5, -0x1.9b19f00c1506dp-5, -0x1.923d7eb8c8b68p-5, -0x1.8989de532701p-5, -0x1.80fe88f89798ap-5, -0x1.789af91986401p-5, -0x1.705ea98327583p-5, -0x1.68491568813f7p-5, -0x1.6059b86baad1fp-5, -0x1.58900ea7de6d3p-5, -0x1.50eb94bc243ecp-5, -0x1.496bc7d552483p-5, -0x1.421025b59df97p-5, -0x1.3ad82cbcdb40ap-5, -0x1.33c35bedb36f7p-5, -0x1.2cd132f5e5b34p-5, -0x1.26013236ba37cp-5, -0x1.1f52dacdec8ffp-5, -0x1.18c5ae9dec887p-5, -0x1.12593055203dep-5, -0x1.0c0ce372c6905p-5, -0x1.05e04c4c0c41fp-5, -0x1.ffa5e02250f11p-6, -0x1.f3c8a99e0ad4ep-6, -0x1.e82802ec14f48p-6, -0x1.dcc2fbc2b1578p-6, -0x1.d198a5c08f8a2p-6, -0x1.c6a8147ff3344p-6, -0x1.bbf05da2e4f4p-6, -0x1.b17098d3dbf4ap-6, -0x1.a727dfbc206e9p-6, -0x1.9d154df8a2af1p-6, -0x1.93380118f76f1p-6, -0x1.898f18b164f08p-6, -0x1.8019b67d8d327p-6, -0x1.76d6fe88dfff6p-6, -0x1.6dc617460b452p-6, -0x1.64e6298822e68p-6, -0x1.5c3660606f8fdp-6, -0x1.53b5e8eed1713p-6, -0x1.4b63f24035d97p-6, -0x1.433fad52d7d0fp-6, -0x1.3b484d4750ebap-6, -0x1.337d07ae52c06p-6, -0x1.2bdd14cddfdf2p-6, -0x1.2467afb3d2ab1p-6, -0x1.1d1c1637e8e5ep-6, -0x1.15f9888b562adp-6, -0x1.0eff48a6de4ffp-6, -0x1.082c9a3e1e249p-6, -0x1.0180c2ae86e97p-6, -0x1.f5f612926af1bp-7, -0x1.e9356fd585ddbp-7, -0x1.dcbe370d9eb54p-7, -0x1.d08f08d904ad9p-7, -0x1.c4a68c3869af8p-7, -0x1.b9036d646d5dap-7, -0x1.ada45c4063355p-7, -0x1.a2880b106f9e9p-7, -0x1.97ad2e0c2291ap-7, -0x1.8d127c0eeab1fp-7, -0x1.82b6b03107b33p-7, -0x1.78988baeb7b06p-7, -0x1.6eb6d757e2ff2p-7, -0x1.651063e36a232p-7, -0x1.5ba408e6faa07p-7, -0x1.5270a2c5fc0a6p-7, -0x1.4975105ea21fap-7, -0x1.40b03166ce549p-7, -0x1.3820e618ee588p-7, -0x1.2fc6104cefd6ap-7, -0x1.279e9598339e9p-7, -0x1.1fa961b775cbbp-7, -0x1.17e5688f06679p-7, -0x1.1051a6d8c8b07p-7, -0x1.08ed216320a7ep-7, -0x1.01b6e2a5d4bc3p-7, -0x1.f55befbb08e4dp-8, -0x1.e7a2dd4b2b378p-8, -0x1.da40a7cb8c05dp-8, -0x1.cd336859650bbp-8, -0x1.c0793a4044bb6p-8, -0x1.b4103f7567e9p-8, -0x1.a7f6a6415657dp-8, -0x1.9c2aaed2923d9p-8, -0x1.90aaae320a42bp-8, -0x1.85750c43e1ffdp-8, -0x1.7a883cfe0fd6fp-8, -0x1.6fe2b80a3bebdp-8, -0x1.6582f2ba70d96p-8, -0x1.5b675dc0a963bp-8, -0x1.518e655df0c48p-8, -0x1.47f672dc7977fp-8, -0x1.3e9df0b1fa937p-8, -0x1.35835326115e1p-8, -0x1.2ca523a556f31p-8, -0x1.2402082dc0422p-8, -0x1.1b98c05a02671p-8, -0x1.13681863faeacp-8, -0x1.0b6eda645176fp-8, -0x1.03abc713f3983p-8, -0x1.f83b2fa5f785ap-9, -0x1.e986071eee32dp-9, -0x1.db3580913f217p-9, -0x1.cd4705a0d320cp-9, -0x1.bfb807fbbee2p-9, -0x1.b2861b58559eep-9, -0x1.a5af0e631c60ep-9, -0x1.9930e954685bbp-9, -0x1.8d09cc1a35947p-9, -0x1.8137c2c959f2p-9, -0x1.75b8b311e49d8p-9, -0x1.6a8a70f11a5eap-9, -0x1.5faae63d7d634p-9, -0x1.55182832c0a4ep-9, -0x1.4ad0689ebc32ep-9, -0x1.40d1d6206b10ap-9, -0x1.371a8fddae817p-9, -0x1.2da8b7c494313p-9, -0x1.247a8a2e7c5cap-9, -0x1.1b8e5f48193a7p-9, -0x1.12e29460caf23p-9, -0x1.0a75705ee8f93p-9, -0x1.02452227b5a44p-9, -0x1.f49fc4e49d8f5p-10, -0x1.e52851b5dedfcp-10, -0x1.d62190e5dbac9p-10, -0x1.c789978c708a3p-10, -0x1.b95e4b25ca63fp-10, -0x1.ab9cf95dfcd6ap-10, -0x1.9e4269dab9526p-10, -0x1.914b2acb917dbp-10, -0x1.84b3ddc1e5418p-10, -0x1.78797f25a8a3ep-10, -0x1.6c998231455e9p-10, -0x1.6111971ae2f18p-10, -0x1.55df61b1bfd9dp-10, -0x1.4b00990489ef4p-10, -0x1.40737985ff9f5p-10, -0x1.3636d2177fac2p-10, -0x1.2c4968fc10445p-10, -0x1.22a95e9f9f421p-10, -0x1.195426b3c522p-10, -0x1.1046d8386bcd6p-10, -0x1.077e5740c82b3p-10, -0x1.fdef4db6e9904p-11, -0x1.ed6168d1aec88p-11, -0x1.dd514ced12e55p-11, -0x1.cdbdd98c70b55p-11, -0x1.bea48b5c44786p-11, -0x1.b001e019bef99p-11, -0x1.a1d28c461e275p-11, -0x1.941355536fb77p-11, -0x1.86c0981dd2b24p-11, -0x1.79d69b5657f2dp-11, -0x1.6d51f9b0c3801p-11, -0x1.612f9f50fda5fp-11, -0x1.556c006317cedp-11, -0x1.4a0261f7fedaap-11, -0x1.3eef17a4012adp-11, -0x1.34325df290eb1p-11, -0x1.29cdef50c082cp-11, -0x1.1fc0dd262f001p-11, -0x1.1608253242d5dp-11, -0x1.0ca08bae746a7p-11, -0x1.03859cd1dedd1p-11, -0x1.f563934b1715fp-12, -0x1.e442108aa41dbp-12, -0x1.d3a3ed1065753p-12, -0x1.c388a2f82687ep-12, -0x1.b3ef099c4efc7p-12, -0x1.a4d3c4fc270f9p-12, -0x1.962f456a0144bp-12, -0x1.87fc1be86be77p-12, -0x1.7a3ed323152acp-12, -0x1.6cfba5c85615ap-12, -0x1.602defb1ed8a4p-12, -0x1.53d07766b1b6ap-12, -0x1.47df01592c396p-12, -0x1.3c5051f993bb9p-12, -0x1.3119691601408p-12, -0x1.26340e189eeb7p-12, -0x1.1ba044b543ed8p-12, -0x1.11609efe614f2p-12, -0x1.07756aa7c112fp-12, -0x1.fbb97e1f82624p-13, -0x1.e927cee8517c6p-13, -0x1.d72c061701f44p-13, -0x1.c5c6a7a1c0eedp-13, -0x1.b5007ee302397p-13, -0x1.a4cf71bcdd9f1p-13, -0x1.95297c4190a95p-13, -0x1.8610090b4b16p-13, -0x1.777b909298483p-13, -0x1.695dfa328c8d4p-13, -0x1.5bab649851635p-13, -0x1.4e5d272a1148fp-13, -0x1.4173eee2728afp-13, -0x1.34f4808e0436ap-13, -0x1.28de58f16c7aep-13, -0x1.1d2b3cf509289p-13, -0x1.11dbd91cde12fp-13, -0x1.06f24695b256fp-13, -0x1.f8d13ef044ef8p-14, -0x1.e478c68b5275p-14, -0x1.d0c2a97bde683p-14, -0x1.bdad1666911c6p-14, -0x1.ab44336372aa3p-14, -0x1.997f26f2dffa5p-14, -0x1.88557876bbaa2p-14, -0x1.77bdd367663d3p-14, -0x1.67a93c8610dcfp-14, -0x1.580c8cc3ab738p-14, -0x1.48e94438529a3p-14, -0x1.3a457f0fb283ep-14, -0x1.2c1c7a575854p-14, -0x1.1e64f4402b8edp-14, -0x1.112c6750d6ffcp-14, -0x1.047ad5639132dp-14, -0x1.f06590bd8010dp-15, -0x1.d88bb9eb0e10bp-15, -0x1.c16008fcbbe1ap-15, -0x1.ab02eb47aa4b5p-15, -0x1.956764599cfefp-15, -0x1.8083ec15baf87p-15, -0x1.6c5f393d7b5fcp-15, -0x1.58f9b463f0bb9p-15, -0x1.4640819ac8466p-15, -0x1.3416063eafaa4p-15, -0x1.227160b8eb226p-15, -0x1.115fa7b7b8c9ap-15, -0x1.00e0acd8eb074p-15, -0x1.e1d6014d86db9p-16, -0x1.c30caf3945b71p-16, -0x1.a580993ba25f6p-16, -0x1.88ff50c2f4756p-16, -0x1.6d3e863d073a6p-16, -0x1.524a75da0f8e8p-16, -0x1.38571470df8adp-16, -0x1.1f424102e5317p-16, -0x1.06fa2813aeb53p-16, -0x1.df07c3c8c93cdp-17, -0x1.b1cfd6ac89622p-17, -0x1.865f62b96064dp-17, -0x1.5ca185ef04759p-17, -0x1.3438013eee164p-17, -0x1.0cfb8fd12e992p-17, -0x1.ce3308d6343bp-18, -0x1.84f830ada81e9p-18, -0x1.3e7798e2b8af3p-18, -0x1.f572ca0c0b6a9p-19, -0x1.72b0a23e65339p-19, -0x1.e9e76f4c9422ep-20, -0x1.ebc0fd2f239bdp-21, -0x1.42cc478db2112p-25, 0x1.affa35a0ed241p-21, 0x1.b22855c190537p-20, 0x1.4249ecd3c17ebp-19, 0x1.a7a4558b9ae69p-19, 0x1.049c1fe65681fp-18, 0x1.3384c5c3238cbp-18, 0x1.607857cdf3bf6p-18, 0x1.8b647d7abb882p-18, 0x1.b4a1c7158f983p-18, 0x1.dc6e290b9c9e4p-18, 0x1.015b824a00013p-17, 0x1.13bea417dd7e5p-17, 0x1.253c3c39fa5dcp-17, 0x1.35fd68093ddbdp-17, 0x1.461d179fe45b3p-17, 0x1.557cebdc0d75bp-17, 0x1.64402237bece9p-17, 0x1.724d1cbf56c4dp-17, 0x1.7fb1ebfd03665p-17, 0x1.8c7b426d53922p-17, 0x1.98a7c9d4b2b54p-17, 0x1.a43b0b12ee7efp-17, 0x1.af39850ba7673p-17, 0x1.b9a7b690395c7p-17, 0x1.c38a22d3742aep-17, 0x1.cce2206b101eep-17, 0x1.d5a4f3a296a16p-17, 0x1.ddd5a6c40375ep-17, 0x1.e5943a79b4697p-17, 0x1.ece57477b7f1dp-17, 0x1.f3abff4ffae65p-17, 0x1.f9f49ee8a31e9p-17, 0x1.ffd14e0294685p-17, 0x1.02a2291d50675p-16, 0x1.052139fe23aebp-16, 0x1.076a6fed3832fp-16, 0x1.097cbe83f7d9p-16, 0x1.0b5cfc9c75313p-16, 0x1.0d0aadfeddfcfp-16, 0x1.0e86d14970b56p-16, 0x1.0fd2bd387cbf8p-16, 0x1.10ef54f70342bp-16, 0x1.11de003f1eb6bp-16, 0x1.129fd15c11453p-16, 0x1.13363d92e2c8cp-16, 0x1.13a2df386b04fp-16, 0x1.13e581caabf0bp-16, 0x1.13f92241328cbp-16, 0x1.13e7e85ad5e7p-16, 0x1.13b29c7c61cc4p-16, 0x1.13523d4f0c046p-16, 0x1.12ce6216790adp-16, 0x1.122796f3bea6p-16, 0x1.115e4a02a2f6p-16, 0x1.1070bc19af4c3p-16, 0x1.0f60ab641b991p-16, 0x1.0e3063390fc7bp-16, 0x1.0cdfc8ad9af9p-16, 0x1.0b6f93fae3618p-16, 0x1.09e093187c6c8p-16, 0x1.08338de35a2f7p-16, 0x1.066941041b343p-16, 0x1.048266ff6ac7ap-16, 0x1.027fba08d3c5dp-16, 0x1.0061ebb7979cfp-16, 0x1.fc537b7669e84p-17, 0x1.f7b015fa38cd2p-17, 0x1.f2dbb164d5698p-17, 0x1.edd60c7f18758p-17, 0x1.e89d11d6b4823p-17, 0x1.e33944c2d1d2cp-17, 0x1.dda51191c2b9fp-17, 0x1.d7e7a5e11e4ecp-17, 0x1.d2012c81d96cbp-17, 0x1.cbf0de41445a7p-17, 0x1.c5b750e2cd5c6p-17, 0x1.bf57dd19c3ad7p-17, 0x1.b8d2b3d842831p-17, 0x1.b2290074fa769p-17, 0x1.ab5bf52b3b98ep-17, 0x1.a46cbb3eeca02p-17, 0x1.9d5c7168652b2p-17, 0x1.962c33aa81ab5p-17, 0x1.8edd1a3f81fa9p-17, 0x1.87703e975c5c4p-17, 0x1.7fe6b6951de65p-17, 0x1.78418ff5cf697p-17, 0x1.7081d27734368p-17, 0x1.68a89070f0ffdp-17, 0x1.60b6e7c21b045p-17, 0x1.58adef0ed3fa7p-17, 0x1.508f45703ffacp-17, 0x1.4859fe9c7ce2p-17, 0x1.400ee53fcd3bap-17, 0x1.37b1403272baap-17, 0x1.2f41f86f60d64p-17, 0x1.26c0515feddc2p-17, 0x1.1e2e540f7e92ap-17, 0x1.158c812d7f4c3p-17, 0x1.0cdbcd6528de7p-17, 0x1.041d26804cb3cp-17, 0x1.f6a2eb0473e23p-18, 0x1.e4f325a03f79ap-18, 0x1.d32d2a4ad3fbep-18, 0x1.c15166f964548p-18, 0x1.af643dc5c9c02p-18, 0x1.9d640d1e9490ap-18, 0x1.8b54af4487c9cp-18, 0x1.79373651fbfd8p-18, 0x1.670d40a416938p-18, 0x1.54d86cf227e16p-18, 0x1.429a537ae1445p-18, 0x1.30547b274e8e2p-18, 0x1.1e086f65907b1p-18, 0x1.0bb787ea14eb3p-18, 0x1.f2c75c095724dp-19, 0x1.ce1e7a9e48bebp-19, 0x1.a974234e0540ep-19, 0x1.84c743d1febbdp-19, 0x1.6023d365493e6p-19, 0x1.3b888e2f5aecbp-19, 0x1.16f7dfb15cac1p-19, 0x1.e4e93d2af3094p-20, 0x1.9c02f860c4155p-20, 0x1.5342b108af106p-20, 0x1.0aa96ad1a67fdp-20, 0x1.848e2789389c9p-21, 0x1.e8588e4b890b1p-22, 0x1.90f9c5bf0eeap-23, -0x1.5992a92c11301p-24, -0x1.7439956694b77p-22, -0x1.4871286bcddd8p-21, -0x1.d6349c1de7439p-21, -0x1.31aa52e681ebbp-20, -0x1.77e39af9548bbp-20, -0x1.bdc32c0055e0ap-20, -0x1.01a25d6cb5088p-19, -0x1.2431ec23be40fp-19, -0x1.468e4f2e8a2c5p-19, -0x1.68b57af4c5066p-19, -0x1.8aa5a328e9c63p-19, -0x1.ac5cb60dfbe38p-19, -0x1.cdd8e99e95fb4p-19, -0x1.ef185016da579p-19, -0x1.080c1728c4bdep-18, -0x1.186cffdc3b3c1p-18, -0x1.28ac5553e1536p-18, -0x1.38c9c4453f79ep-18, -0x1.48c49fe1f7203p-18, -0x1.589c1722b4ceep-18, -0x1.684f60b3dc2dep-18, -0x1.77ddbb8713d8dp-18, -0x1.87466c9588ef9p-18, -0x1.9688bcb2dfa1bp-18, -0x1.a5a40343d2cbfp-18, -0x1.b497878b80685p-18, -0x1.c362abc48bff8p-18, -0x1.d204d630543abp-18, -0x1.e07d63781d4d6p-18, -0x1.eecbba4e56d62p-18, -0x1.fcef3eb22ccd2p-18, -0x1.0573b8bcce574p-17, -0x1.0c59e6cbb3447p-17, -0x1.1329e36783ef3p-17, -0x1.19e375738522bp-17, -0x1.208658f80be63p-17, -0x1.27124b8ef977p-17, -0x1.2d87269a4977ep-17, -0x1.33e4bf8744922p-17, -0x1.3a2aafa766e3ep-17, -0x1.4059072f76b44p-17, -0x1.466f67e335cfdp-17, -0x1.4c6db3616a27bp-17, -0x1.5253c14583255p-17, -0x1.582168344a938p-17, -0x1.5dd67ab240235p-17, -0x1.6372ee4359ff1p-17, -0x1.68f689b4e38d5p-17, -0x1.6e612a52220e2p-17, -0x1.73b2c34ba71fep-17, -0x1.78eb31a125fcbp-17, -0x1.7e0a5c92c51ccp-17, -0x1.83102d5d356cbp-17, -0x1.87fc8f9b8f49bp-17, -0x1.8ccf6d2135d23p-17, -0x1.9188b0a86122ap-17, -0x1.96285c98cf8a8p-17, -0x1.9aae57f95e588p-17, -0x1.9f1aa4a41b822p-17, -0x1.a36cf5272e0a7p-17, -0x1.a7a5b178f37bfp-17, -0x1.abc48c644dff5p-17, -0x1.afc92e53902a5p-17, -0x1.b3b4d081b6424p-17, -0x1.b785f543f0f24p-17, -0x1.bb3d6914c131bp-17, -0x1.bedb076d0360dp-17, -0x1.c25ed52ab7689p-17, -0x1.c5c8e1cd2892dp-17, -0x1.c91970fa07ef6p-17, -0x1.cc4f9983e207ap-17, -0x1.cf6c569957302p-17, -0x1.d26f753b55e7cp-17, -0x1.d558d450219b5p-17, -0x1.d8293a6b7717ep-17, -0x1.dadfd1ae1ea33p-17, -0x1.dd7d08c84c7eep-17, -0x1.e000f0803dbbcp-17, -0x1.e26b9d3763addp-17, -0x1.e4bd249c42da2p-17, -0x1.e6f59ec83dec1p-17, -0x1.e9152a78434fdp-17, -0x1.eb1bd3b5d3f16p-17, -0x1.ed09bfc2d154ap-17, -0x1.eedf0d98a2c02p-17, -0x1.f09bccf089974p-17, -0x1.f2402cdf76252p-17, -0x1.f3cc46d8705e1p-17, -0x1.f5403b9caeb8p-17, -0x1.f69c2d7c47095p-17, -0x1.f7e03fbb7308p-17, -0x1.f90c96affd30ep-17, -0x1.fa2157cef76c8p-17, -0x1.fb1eaa1f33716p-17, -0x1.fc04b2a984b03p-17, -0x1.fcd390b64dcc1p-17, -0x1.fd8b8a98ed923p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.60b65281f3a6fp-1, 0x1.60b90aec9fd2ap-1, 0x1.60bdd068fef67p-1, 0x1.60c4e6bc27765p-1, 0x1.60ce9328d3748p-1, 0x1.60db139b7faaap-1, 0x1.60ea98c9e6b03p-1, 0x1.60fd4287447eap-1, 0x1.61131dbc07a52p-1, 0x1.612c23921b0edp-1, 0x1.61483981566a7p-1, 0x1.616731fbbc19ep-1, 0x1.6188cd88981f1p-1, 0x1.61acbc29585fdp-1, 0x1.61d29eec088abp-1, 0x1.61fa099644952p-1, 0x1.62228458dca3p-1, 0x1.624b8d807cfd3p-1, 0x1.62749b1ae0509p-1, 0x1.629d1c8a8803ep-1, 0x1.62c47c04e0d2bp-1, 0x1.62ea1ff8263fcp-1, 0x1.630d6c578522ap-1, 0x1.632dc3ccca892p-1, 0x1.634a88cf99356p-1, 0x1.63631ea29b258p-1, 0x1.6376ea3778229p-1, 0x1.638552faa204cp-1, 0x1.638dc3882ac23p-1, 0x1.638faa4afa3afp-1, 0x1.638a7a07c4eb9p-1, 0x1.637daa5528debp-1, 0x1.6368b802566bfp-1, 0x1.634b256da2daep-1, 0x1.63247acc55cd3p-1, 0x1.62f44664f2f04p-1, 0x1.62ba1cbd36adap-1, 0x1.627598bce2da2p-1, 0x1.62265bc66eec1p-1, 0x1.61cc0dc695182p-1, 0x1.61665d3babcd5p-1, 0x1.60f4ff35a2d8cp-1, 0x1.6077af4f6cbf9p-1, 0x1.5fee2fa290191p-1, 0x1.5f5848b587d28p-1, 0x1.5eb5c9659077cp-1, 0x1.5e0686cc6d7b8p-1, 0x1.5d4a5c22aae11p-1, 0x1.5c812a9ecfd31p-1, 0x1.5baad951edb05p-1, 0x1.5ac75501ee12ap-1, 0x1.59d69001f4e9ap-1, 0x1.58d882092bc3bp-1, 0x1.57cd28083a388p-1, 0x1.56b483fdae166p-1, 0x1.558e9cc991c62p-1, 0x1.545b7e0060652p-1, 0x1.531b37bd8c5c9p-1, 0x1.51cdde75c23dfp-1, 0x1.50738ac90def7p-1, 0x1.4f0c595506a9dp-1, 0x1.4d986a871faf4p-1, 0x1.4c17e26f3afadp-1, 0x1.4a8ae89297328p-1, 0x1.48f1a7bf2c6d9p-1, 0x1.474c4ddf918a8p-1, 0x1.459b0bcf73f91p-1, 0x1.43de1530b980cp-1, 0x1.4215a04154965p-1, 0x1.4041e5b1d9546p-1, 0x1.3e63207cdda3bp-1, 0x1.3c798dbf2d992p-1, 0x1.3a856c90dc2a5p-1, 0x1.3886fddf3662bp-1, 0x1.367e8447a05ap-1, 0x1.346c43f35ec83p-1, 0x1.32508274527d8p-1, 0x1.302b86a2a8637p-1, 0x1.2dfd987b7f1ep-1, 0x1.2bc7010087cf2p-1, 0x1.29880a189d238p-1, 0x1.2740fe715661ep-1, 0x1.24f229619449ap-1, 0x1.229bd6cd06a69p-1, 0x1.203e5308aa626p-1, 0x1.1dd9eac03f323p-1, 0x1.1b6eeadcb2048p-1, 0x1.18fda06b7b4dep-1, 0x1.16865886ee92p-1, 0x1.1409603f76512p-1, 0x1.11870485be558p-1, 0x1.0eff9215c43e2p-1, 0x1.0c735562ce45bp-1, 0x1.09e29a84428fp-1, 0x1.074dad235ddd3p-1, 0x1.04b4d869c2ae4p-1, 0x1.021866f0e0efbp-1, 0x1.fef1456459b3cp-2, 0x1.f9aba9f04eb71p-2, 0x1.f4608ca059c06p-2, 0x1.ef107cfa1a277p-2, 0x1.e9bc08d4c068dp-2, 0x1.e463bc41392d8p-2, 0x1.df082173c3296p-2, 0x1.d9a9c0aef2031p-2, 0x1.d44920300929cp-2, 0x1.cee6c41cb36e3p-2, 0x1.c9832e7200f1fp-2, 0x1.c41edef4ab6c2p-2, 0x1.beba532294034p-2, 0x1.b9560625717e9p-2, 0x1.b3f270c6a837ap-2, 0x1.ae9009643f09bp-2, 0x1.a92f43e6eb177p-2, 0x1.a3d091b92aec6p-2, 0x1.9e7461bf61256p-2, 0x1.991b2050f1b42p-2, 0x1.93c537324bbf9p-2, 0x1.8e730d8fe1e49p-2, 0x1.892507fa0485cp-2, 0x1.83db8861947d6p-2, 0x1.7e96ee15887a1p-2, 0x1.795795c13caaep-2, 0x1.741dd96b81bbep-2, 0x1.6eea107668f0bp-2, 0x1.69bc8f9fc1ed1p-2, 0x1.6495a9023e4c2p-2, 0x1.5f75ac1740bdap-2, 0x1.5a5ce5b941abcp-2, 0x1.554ba026cabb8p-2, 0x1.50422306013c6p-2, 0x1.4b40b368b64c1p-2, 0x1.464793d0f846fp-2, 0x1.415704361e0c5p-2, 0x1.3c6f420a450cep-2, 0x1.379088403c6aep-2, 0x1.32bb0f51da89ap-2, 0x1.2def0d46ad364p-2, 0x1.292cb5bb0e87cp-2, 0x1.247439e785d4ep-2, 0x1.1fc5c8a881815p-2, 0x1.1b218e8654f67p-2, 0x1.1687b5bd83229p-2, 0x1.11f8664744c85p-2, 0x1.0d73c5e24c61p-2, 0x1.08f9f81bc24a4p-2, 0x1.048b1e5873875p-2, 0x1.002757de2c7dap-2, 0x1.f79d83ba83befp-3, 0x1.ef02eef478a97p-3, 0x1.e67f23af4a40cp-3, 0x1.de12503fea279p-3, 0x1.d5bc9f1f32ffp-3, 0x1.cd7e36fe238a5p-3, 0x1.c5573ada3fa54p-3, 0x1.bd47ca1210e54p-3, 0x1.b5500079befap-3, 0x1.ad6ff66fbe0bfp-3, 0x1.a5a7c0f186c76p-3, 0x1.9df771b058f6p-3, 0x1.965f1725fc563p-3, 0x1.8edebca98252dp-3, 0x1.87766a83fc4c8p-3, 0x1.8026260527547p-3, 0x1.78edf19801084p-3, 0x1.71cdccd7501dap-3, 0x1.6ac5b4a20559p-3, 0x1.63d5a32f8cae6p-3, 0x1.5cfd9023f186ep-3, 0x1.563d70a3e43bfp-3, 0x1.4f95376891d64p-3, 0x1.4904d4d355f91p-3, 0x1.428c370135638p-3, 0x1.3c2b49de31be3p-3, 0x1.35e1f7385ef4cp-3, 0x1.2fb026d2c4a99p-3, 0x1.2995be780ca5dp-3, 0x1.2392a20cebcb5p-3, 0x1.1da6b3a2539dp-3, 0x1.17d1d38767152p-3, 0x1.1213e05b23d67p-3, 0x1.0c6cb71dd777fp-3, 0x1.06dc334243023p-3, 0x1.01622ebe837e7p-3, 0x1.f7fd04395877fp-4, 0x1.ed6209163ab63p-4, 0x1.e2f317d922abcp-4, 0x1.d8afd9cfc30e8p-4, 0x1.ce97f5eefa93fp-4, 0x1.c4ab10f1302bbp-4, 0x1.bae8cd7420ba8p-4, 0x1.b150cc16006e4p-4, 0x1.a7e2ab921820dp-4, 0x1.9e9e08dcbb9acp-4, 0x1.95827f3eb264fp-4, 0x1.8c8fa86ff622ap-4, 0x1.83c51cb1e8c16p-4, 0x1.7b2272e8e4f11p-4, 0x1.72a740b539c7ap-4, 0x1.6a531a8b8b67ep-4, 0x1.622593cc9c5dcp-4, 0x1.5a1e3edc7d387p-4, 0x1.523cad3926158p-4, 0x1.4a806f9078868p-4, 0x1.42e915d5ad298p-4, 0x1.3b762f562a50ap-4, 0x1.34274acdca94fp-4, 0x1.2cfbf67a8d874p-4, 0x1.25f3c02fb9b3dp-4, 0x1.1f0e35686f19ap-4, 0x1.184ae359aaf4cp-4, 0x1.11a95703be454p-4, 0x1.0b291d433bfefp-4, 0x1.04c9c2e15aa96p-4, 0x1.fd15a947a3101p-5, 0x1.f0d7beb859c85p-5, 0x1.e4d8dfed43d4fp-5, 0x1.d9182710ba5fp-5, 0x1.cd94aebaa78bp-5, 0x1.c24d920b27cb8p-5, 0x1.b741ecc436521p-5, 0x1.ac70db6260bf5p-5, 0x1.a1d97b3490d89p-5, 0x1.977aea72e26a8p-5, 0x1.8d54485498b1p-5, 0x1.8364b5252911ap-5, 0x1.79ab5258693a6p-5, 0x1.7027429de592fp-5, 0x1.66d7a9f357338p-5, 0x1.5dbbadb6514eep-5, 0x1.54d274b517a23p-5, 0x1.4c1b273eb0eb2p-5, 0x1.4394ef322fc25p-5, 0x1.3b3ef80d3aa69p-5, 0x1.33186ef9d825ap-5, 0x1.2b2082db7f7c8p-5, 0x1.2356645b75132p-5, 0x1.1bb945f479dc2p-5, 0x1.14485bfdc852bp-5, 0x1.0d02dcb56ff8dp-5, 0x1.05e8004a073f9p-5, 0x1.fdee01c77f9c9p-6, 0x1.f05e3559c4e23p-6, 0x1.e31f17b35fbb5p-6, 0x1.d62f295f572a1p-6, 0x1.c98cef18bd37fp-6, 0x1.bd36f1d7132e9p-6, 0x1.b12bbed99cc91p-6, 0x1.a569e7b1b779ep-6, 0x1.99f0024c25954p-6, 0x1.8ebca8f96d0cp-6, 0x1.83ce7a7533e4dp-6, 0x1.792419eccf3c1p-6, 0x1.6ebc2f04d6579p-6, 0x1.649565dde78cap-6, 0x1.5aae6f1897ee1p-6, 0x1.5105ffd89b218p-6, 0x1.479ad1c716b15p-6, 0x1.3e6ba3144842ep-6, 0x1.3577367868e13p-6, 0x1.2cbc5333e5483p-6, 0x1.2439c50ee157bp-6, 0x1.1bee5c581c7ccp-6, 0x1.13d8ede33c00bp-6, 0x1.0bf8530674e66p-6, 0x1.044b6997a14d8p-6, 0x1.f9a227d1ab875p-7, 0x1.eb107188be94ep-7, 0x1.dcdf86d094e23p-7, 0x1.cf0d4702cdaecp-7, 0x1.c1979a4bbca45p-7, 0x1.b47c719e9c34cp-7, 0x1.a7b9c6a8f54e2p-7, 0x1.9b4d9bc536c47p-7, 0x1.8f35fbec891b1p-7, 0x1.8370faa7d4d4cp-7, 0x1.77fcb4003664bp-7, 0x1.6cd74c6ead184p-7, 0x1.61fef0cb390a7p-7, 0x1.5771d63b573e6p-7, 0x1.4d2e3a1fee2c9p-7, 0x1.43326202c7789p-7, 0x1.397c9b8375e04p-7, 0x1.300b3c43bb192p-7, 0x1.26dca1d39c9d2p-7, 0x1.1def319cf9a8ep-7, 0x1.154158cec25f5p-7, 0x1.0cd18c47dc741p-7, 0x1.049e4881a9665p-7, 0x1.f94c22f49b5e4p-8, 0x1.e9cee53d41a39p-8, 0x1.dac1fd67d733bp-8, 0x1.cc229f82b7847p-8, 0x1.bdee0df2b583ep-8, 0x1.b021994529e21p-8, 0x1.a2baa001ea456p-8, 0x1.95b68e7cdae2ap-8, 0x1.8912dea734ed7p-8, 0x1.7ccd17e0b00adp-8, 0x1.70e2cec86dd6fp-8, 0x1.6551a50dd6382p-8, 0x1.5a17494146602p-8, 0x1.4f3176a4b3fb5p-8, 0x1.449df4fc40549p-8, 0x1.3a5a985eddc49p-8, 0x1.30654106dcec9p-8, 0x1.26bbdb22af23dp-8, 0x1.1d5c5ea591d05p-8, 0x1.1444cf1865f0bp-8, 0x1.0b733b6aaec5cp-8, 0x1.02e5bdc3b43bdp-8, 0x1.f534f6a79fa8fp-9, 0x1.e51f484bd124p-9, 0x1.d586e5e26210cp-9, 0x1.c66859d619ac4p-9, 0x1.b7c04332a2104p-9, 0x1.a98b5549681dep-9, 0x1.9bc657575db69p-9, 0x1.8e6e242b0403cp-9, 0x1.817fa9cb13ef6p-9, 0x1.74f7e91e3dd4ap-9, 0x1.68d3f5931b4bep-9, 0x1.5d10f4c95f073p-9, 0x1.51ac1e3b6191cp-9, 0x1.46a2bae883fb9p-9, 0x1.3bf2250092a8fp-9, 0x1.3197c78fbb108p-9, 0x1.27911e2b777b8p-9, 0x1.1ddbb4a0823b9p-9, 0x1.147526a15b3f3p-9, 0x1.0b5b1f75c3179p-9, 0x1.028b59ab40d5ep-9, 0x1.f4073d8cf4e5dp-10, 0x1.e3838deac2e55p-10, 0x1.d38771855636dp-10, 0x1.c40ed193ae347p-10, 0x1.b515b2d876b94p-10, 0x1.a698350e9f57ep-10, 0x1.9892925713ec4p-10, 0x1.8b011ea907d3fp-10, 0x1.7de047440da4ep-10, 0x1.712c92244b52ap-10, 0x1.64e29d7833e36p-10, 0x1.58ff1f1895dfp-10, 0x1.4d7ee4029da47p-10, 0x1.425ecfd3db688p-10, 0x1.379bdc4834195p-10, 0x1.2d3318ba2ffd5p-10, 0x1.2321a9a4716f7p-10, 0x1.1964c82605302p-10, 0x1.0ff9c188179f5p-10, 0x1.06ddf6c60b136p-10, 0x1.fc1db82e7ffe6p-11, 0x1.eb13f0f627113p-11, 0x1.da99ca8dbf49fp-11, 0x1.caaa9b6ac6c59p-11, 0x1.bb41dcf12fd0ap-11, 0x1.ac5b2a9ac5e21p-11, 0x1.9df241224e3fep-11, 0x1.9002fdb239f82p-11, 0x1.82895d1815927p-11, 0x1.75817afa86adap-11, 0x1.68e791132e7cbp-11, 0x1.5cb7f66d11b04p-11, 0x1.50ef1ea5d9f58p-11, 0x1.458999331639ep-11, 0x1.3a8410ab1303fp-11, 0x1.2fdb4a118f574p-11, 0x1.258c24273de41p-11, 0x1.1b9396bd1e401p-11, 0x1.11eeb20b60061p-11, 0x1.089a9e0b9af03p-11, 0x1.ff2933acf0272p-12, 0x1.edb3f60974e68p-12, 0x1.dcd05a277d90ap-12, 0x1.cc796199ab188p-12, 0x1.bcaa375f8fc6p-12, 0x1.ad5e2ec199f25p-12, 0x1.9e90c2342914dp-12, 0x1.903d923eab0a4p-12, 0x1.8260646a82a63p-12, 0x1.74f52238758e4p-12, 0x1.67f7d81a2e048p-12, 0x1.5b64b47296d83p-12, 0x1.4f38069b947d1p-12, 0x1.436e3df24003dp-12, 0x1.3803e8e7d7af9p-12, 0x1.2cf5b418c724bp-12, 0x1.2240696923b45p-12, 0x1.17e0ef2640008p-12, 0x1.0dd4472d79a42p-12, 0x1.04178e17fdc65p-12, 0x1.f54ff4d76174ap-13, 0x1.e305b7a3f1f49p-13, 0x1.d14b34a4a136ap-13, 0x1.c01b6b23a1a53p-13, 0x1.af71883241794p-13, 0x1.9f48e5392b7b4p-13, 0x1.8f9d069579fd2p-13, 0x1.80699a3b7a4b2p-13, 0x1.71aa76655d8dap-13, 0x1.635b9849c7adp-13, 0x1.557922d9b182ap-13, 0x1.47ff5d87cf7bep-13, 0x1.3aeab318f67adp-13, 0x1.2e37b07a1aa91p-13, 0x1.21e303a03b392p-13, 0x1.15e97a6d841edp-13, 0x1.0a4801a187cp-13, 0x1.fdf7479d33cb6p-14, 0x1.e80310ace0ec4p-14, 0x1.d2ade4dd0e592p-14, 0x1.bdf2805991d0bp-14, 0x1.a9cbd32f3a8e7p-14, 0x1.9634ff81c6268p-14, 0x1.832957c3b771bp-14, 0x1.70a45d05a4bcap-14, 0x1.5ea1bd4eada34p-14, 0x1.4d1d51feaa271p-14, 0x1.3c131e3dc20ep-14, 0x1.2b7f4d7c1cb03p-14, 0x1.1b5e31f487b7dp-14, 0x1.0bac434211569p-14, 0x1.f8cc39f6dca71p-15, 0x1.db10fab379671p-15, 0x1.be2087d9550bcp-15, 0x1.a1f4e0b04584bp-15, 0x1.868842304eea1p-15, 0x1.6bd524a3fb5c7p-15, 0x1.51d63961eff77p-15, 0x1.3886688b667d3p-15, 0x1.1fe0cee776767p-15, 0x1.07e0bbcc4653ap-15, 0x1.e1035e2b4c335p-16, 0x1.b37eae6f8a044p-16, 0x1.872b1eaeb5b92p-16, 0x1.5c00bae739d6bp-16, 0x1.31f7e14e7a0cep-16, 0x1.09093ede0c95cp-16, 0x1.c25b981723a46p-17, 0x1.74bd9322cedabp-17, 0x1.292b7ab4c4fd8p-17, 0x1.bf31be1df8b19p-18, 0x1.2ff39e61d7a48p-18, 0x1.490b4ce8d4868p-19, 0x1.cd1ce2647b864p-22, -0x1.9cf4554aec6cdp-20, -0x1.cf76b6e539587p-19, -0x1.64bc91de98bfbp-18, -0x1.de5385b1d0d93p-18, -0x1.2a492639ece3fp-17, -0x1.63c5264bb8c76p-17, -0x1.9ba622d8aff5p-17, -0x1.d1f42c34ec9fep-17, -0x1.035b838cdc2bap-16, -0x1.1cfb181e01fecp-16, -0x1.35dc6fece2d89p-16, -0x1.4e030696341ebp-16, -0x1.657238c395a16p-16, -0x1.7c2d45cdfa808p-16, -0x1.9237513315189p-16, -0x1.a7936407e0597p-16, -0x1.bc446e5400efp-16, -0x1.d04d486a4de91p-16, -0x1.e3b0b42b257ccp-16, -0x1.f6715e2f8340fp-16, -0x1.0448ef7f6f791p-15, -0x1.0d0a5e136faddp-15, -0x1.157e34a146fa5p-15, -0x1.1da5a484638bfp-15, -0x1.2581d71dc2873p-15, -0x1.2d13ee4cb39eep-15, -0x1.345d04daefea4p-15, -0x1.3b5e2eec64a61p-15, -0x1.42187a6347a4cp-15, -0x1.488cef3dbb6d6p-15, -0x1.4ebc8ff6ebd26p-15, -0x1.54a859ddcbef3p-15, -0x1.5a5145674aefbp-15, -0x1.5fb8467dc8d79p-15, -0x1.64de4ccc22dd8p-15, -0x1.69c44405bc097p-15, -0x1.6e6b1426efdf9p-15, -0x1.72d3a1b737e91p-15, -0x1.76fece03c7e57p-15, -0x1.7aed775849b83p-15, -0x1.7ea07932aa876p-15, -0x1.8218ac7741909p-15, -0x1.8556e7a0a9f2fp-15, -0x1.885bfee8a6da5p-15, -0x1.8b28c4745d8bdp-15, -0x1.8dbe08797ca3ap-15, -0x1.901c996467d04p-15, -0x1.924543f69b85p-15, -0x1.9438d3684b894p-15, -0x1.95f81184a927cp-15, -0x1.9783c6c5d6808p-15, -0x1.98dcba6adbbf1p-15, -0x1.9a03b2920461p-15, -0x1.9af9744c6352bp-15, -0x1.9bbec3b02b4a2p-15, -0x1.9c5463eb06c5p-15, -0x1.9cbb1751d0cfbp-15, -0x1.9cf39f6f34c5ep-15, -0x1.9cfebd0f12da6p-15, -0x1.9cdd304a8a5aep-15, -0x1.9c8fb891f5355p-15, -0x1.9c1714b6d3a3ep-15, -0x1.9b7402f0ce706p-15, -0x1.9aa740e564537p-15, -0x1.99b18baeabb26p-15, -0x1.98939fdd0a88fp-15, -0x1.974e397b38decp-15, -0x1.95e21411000fcp-15, -0x1.944feaa5017b4p-15, -0x1.929877bdec5ccp-15, -0x1.90bc755f9065bp-15, -0x1.8ebc9d0cd84e9p-15, -0x1.8c99a7c518f77p-15, -0x1.8a544e037ace9p-15, -0x1.87ed47b94eef5p-15, -0x1.85654c4e3c876p-15, -0x1.82bd129b4174cp-15, -0x1.7ff550e54f73bp-15, -0x1.7d0ebcd941bb7p-15, -0x1.7a0a0b8747e51p-15, -0x1.76e7f15f3033bp-15, -0x1.73a92227f74bp-15, -0x1.704e50faacb31p-15, -0x1.6cd8303c5d51dp-15, -0x1.694771980a813p-15, -0x1.659cc5f7a1b2cp-15, -0x1.61d8dd7bdd93cp-15, -0x1.5dfc67785bba3p-15, -0x1.5a08126977b0ep-15, -0x1.55fc8bedd4e1dp-15, -0x1.51da80be4f383p-15, -0x1.4da29ca7861f9p-15, -0x1.49558a8343d8ep-15, -0x1.44f3f42f17d5bp-15, -0x1.407e828553677p-15, -0x1.3bf5dd5571fecp-15, -0x1.375aab5c29ddbp-15, -0x1.32ad923cbb486p-15, -0x1.2def36785f72cp-15, -0x1.29203b6843e8dp-15, -0x1.244143353321bp-15, -0x1.1f52eecf6cfd1p-15, -0x1.1a55dde89871fp-15, -0x1.154aaeeb2f3d7p-15, -0x1.1031fef681e99p-15, -0x1.0b0c69d4d804fp-15, -0x1.05da89f69d6e6p-15, -0x1.009cf86a0d6ccp-15, -0x1.f6a899aabe2f9p-16, -0x1.ec023adffbac1p-16, -0x1.e147fdfc8fb42p-16, -0x1.d67b0991e3c98p-16, -0x1.cb9c81325ded1p-16, -0x1.c0ad85630a021p-16, -0x1.b5af3390ff65p-16, -0x1.aaa2a606fdfecp-16, -0x1.9f88f3e39fc85p-16, -0x1.94633110b04cbp-16, -0x1.89326e3789141p-16, -0x1.7df7b8b8dde1ap-16, -0x1.72b41aa34c9c8p-16, -0x1.67689aa8d5a2cp-16, -0x1.5c163c1af2e84p-16, -0x1.50bdfee19be29p-16, -0x1.4560df7356f3dp-16, -0x1.39ffd6ce821f2p-16, -0x1.2e9bda72bfc5p-16, -0x1.2335dc59fae34p-16, -0x1.17cecaf3dccb5p-16, -0x1.0c679120fe63dp-16, -0x1.0101162f2a831p-16, -0x1.eb387ba458497p-17, -0x1.d473d044393fdp-17, -0x1.bdb5e32b01dc8p-17, -0x1.a70065fbc7debp-17, -0x1.9055030b7283ep-17, -0x1.79b55d61d7e07p-17, -0x1.632310adf48bap-17, -0x1.4c9fb143184e6p-17, -0x1.362ccc18aca39p-17, -0x1.1fcbe6c49c7fep-17, -0x1.097e7f79b6473p-17, -0x1.e68c1a15089a3p-18, -0x1.ba47fdd820025p-18, -0x1.8e337a62a40c6p-18, -0x1.6251511acba91p-18, -0x1.36a434afb87cfp-18, -0x1.0b2ec91349113p-18, -0x1.bfe747107ce21p-19, -0x1.69ea9556eb455p-19, -0x1.146c6d0cd0489p-19, -0x1.7ee3421b7ea91p-20, -0x1.abfb9cb9897bfp-21, -0x1.718d847505d13p-23, 0x1.e1e07d5f70d62p-22, 0x1.1df6e2e2909d5p-20, 0x1.c24214de8c693p-20, 0x1.32a8b46a40c13p-19, 0x1.838e658c13e6bp-19, 0x1.d3ce302b236abp-19, 0x1.11b22152429a2p-18, 0x1.3926739f6cee2p-18, 0x1.604241f7fee67p-18, 0x1.8703cd1bb97d1p-18, 0x1.ad69636a16188p-18, 0x1.d37160dafdfbfp-18, 0x1.f91a2edf5c0a1p-18, 0x1.0f312221f3e48p-17, 0x1.21a4128f1e471p-17, 0x1.33e531561b6c7p-17, 0x1.45f3cd9e74447p-17, 0x1.57cf3d01815a9p-17, 0x1.6976db8281badp-17, 0x1.7aea0b7e6f3c2p-17, 0x1.8c28359cc813cp-17, 0x1.9d30c8c13094ap-17, 0x1.ae0339f9b78e9p-17, 0x1.be9f04705ffc8p-17, 0x1.cf03a956f55efp-17, 0x1.df30afd5f4658p-17, 0x1.ef25a5026036ap-17, 0x1.fee21bc59ec6cp-17, 0x1.0732d667f8287p-16, 0x1.0ed7fb433180bp-16, 0x1.16604e78fd846p-16, 0x1.1dcba4d65a14ap-16, 0x1.2519d5e514a12p-16, 0x1.2c4abbe6df4f6p-16, 0x1.335e33c930047p-16, 0x1.3a541d1e57619p-16, 0x1.412c5a1378a21p-16, 0x1.47e6cf66c75ebp-16, 0x1.4e83645ead57bp-16, 0x1.550202bf64a5fp-16, 0x1.5b6296c0e1e81p-16, 0x1.61a50f08214a2p-16, 0x1.67c95c9b70ecep-16, 0x1.6dcf72d9138acp-16, 0x1.73b7476ec4a6dp-16, 0x1.7980d24f5b63cp-16, 0x1.7f2c0daa4049bp-16, 0x1.84b8f5ded9bd8p-16, 0x1.8a278975052f4p-16, 0x1.8f77c9142b985p-16, 0x1.94a9b778319ecp-16, 0x1.99bd5968ebea2p-16, 0x1.9eb2b5b0b4175p-16, 0x1.a389d511d5844p-16, 0x1.a842c23e0d2c9p-16, 0x1.acdd89cab3a3cp-16, 0x1.b15a3a2a1b67fp-16, 0x1.b5b8e3a0849f2p-16, 0x1.b9f9983b880e2p-16, 0x1.be1c6bc785552p-16, 0x1.c22173c732a68p-16, 0x1.c608c76b25488p-16, 0x1.c9d27f860e4c1p-16, 0x1.cd7eb6853d18ep-16, 0x1.d10d88664525fp-16, 0x1.d47f12af34247p-16, 0x1.d7d37464b237ep-16, 0x1.db0ace014321ap-16, 0x1.de25416c60838p-16, 0x1.e122f1f0d24c4p-16, 0x1.e40404357f165p-16, 0x1.e6c89e31e61e4p-16, 0x1.e970e726ed77ap-16, 0x1.ebfd07978f1dp-16, 0x1.ee6d293da1711p-16, 0x1.f0c17703c6675p-16, 0x1.f2fa1cfa2efap-16, 0x1.f5174851c8d1ap-16, 0x1.f7192750caf71p-16, 0x1.f8ffe94b31e39p-16, 0x1.facbbe9c98534p-16, 0x1.fc7cd89ccf7eap-16, 0x1.fe13699a480a7p-16, 0x1.ff8fa4d283489p-16, 0x1.0078df3427691p-15, 0x1.011cf5ae8a948p-15, 0x1.01b430c48fb53p-15, 0x1.023eabca894e8p-15, 0x1.02bc827808ad6p-15, 0x1.032dd0e4af4bbp-15, 0x1.0392b3854222fp-15, 0x1.03eb47272c5a2p-15, 0x1.0437a8ed5e5adp-15, 0x1.0477f64c2e88p-15, 0x1.04ac4d06d4543p-15, 0x1.04d4cb2b5761dp-15, 0x1.04f18f0e703bp-15, 0x1.0502b74a8430ap-15, 0x1.050862b9f5ca1p-15, 0x1.0502b07472195p-15, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      36, 0x1p+2, 0x1.402ec75b56a2p+1, 0x1.912b41dc2252fp+1, -0x1.7e406f0d0ff8fp-5, 
      {{
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.804d6b3a79p-5, -0x1.df5eb1a4344a7p-3, 0x1.2bc6fb2f68ebdp-2, -0x1.14372b657185p-3}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.26492f2256585p-5, -0x1.a57c6e7329c26p-3, 0x1.170fa4bb00685p-2, -0x1.14375e75214f7p-3}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aedd11ed550f1p-6, -0x1.6fbed6883dc4bp-3, 0x1.02584a7237827p-2, -0x1.143692366210bp-3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.25d2ad069d30fp-6, -0x1.3e25e8bd5366ap-3, 0x1.db41fef5e04efp-3, -0x1.14399021a3043p-3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.5f95d6506e643p-7, -0x1.10b1a948d497dp-3, 0x1.b1d2f62407db3p-3, -0x1.142e64b382124p-3}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.2c761fa754827p-8, -0x1.cec410ee6d675p-4, 0x1.88659a3c4df1dp-3, -0x1.14581480a20f1p-3}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.3bb8239add09dp-11, -0x1.846e81c074ba2p-4, 0x1.5ef1fd8f68d62p-3, -0x1.13bc80ba4e464p-3}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.433cd1506b4d6p-8, -0x1.4260efb0cf03dp-4, 0x1.3595b70d104bfp-3, -0x1.160120067b444p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16be2c488914p-7, -0x1.08a1baebbbafp-4, 0x1.0be258a5b1014p-3, -0x1.05134cd25db26p-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.766700759d211p-7, -0x1.adf12e4994a85p-5, 0x1.c9721a3f791a3p-4, -0x1.c1e609c2d2de1p-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.c3b117069552dp-7, -0x1.59339224edadap-5, 0x1.85f5ff2f0cabbp-4, -0x1.7f65ed71660c3p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.00a87a204c773p-6, -0x1.10f5d20775a2dp-5, 0x1.4c7381f7a3c3bp-4, -0x1.3b5b18c42d40dp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.18c98cb09619fp-6, -0x1.a666921826015p-6, 0x1.1d25d7da3693cp-4, -0x1.ef7563eb46547p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.2b2e024f182dap-6, -0x1.3bc5fe883b777p-6, 0x1.effa13eabc34p-5, -0x1.67f698105d11ep-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.38941892f1c92p-6, -0x1.bbf479a8d2495p-7, 0x1.b9fb7d1b7b0b2p-5, -0x1.c135d2dec7ba2p-6}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.41860b8f70803p-6, -0x1.11e67275a69f4p-7, 0x1.984aa6e45f436p-5, -0x1.63c31092160fdp-7}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.465a15d41062p-6, -0x1.c501cc1babb29p-9, 0x1.8af356454b3c7p-5, 0x1.6d151dc5906ccp-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.4732706c7bfacp-6, 0x1.70c7b79f86a24p-10, 0x1.91cbbba0ff8b3p-5, 0x1.708515455e458p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.43fd52e08c512p-6, 0x1.a8aff2ba1f028p-8, 0x1.ad6f506c99d0ap-5, 0x1.33c732c727cd9p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.3c74f33448e91p-6, 0x1.8959d5efc16c1p-7, 0x1.db99fe70dfc8ep-5, 0x1.e7ac56f525f6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.301f85e7e7bf1p-6, 0x1.2b1c61b887a3dp-6, 0x1.1260528ad2bd8p-4, 0x1.224a88f0973cfp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.1e59ec106e2dep-6, 0x1.9d373a8d449a5p-6, 0x1.2825e99cde153p-4, -0x1.21fec1508e935p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.06cd2e669a3a8p-6, 0x1.07a99b3048872p-5, 0x1.12660183a030ap-4, -0x1.8e82f8b5da0dcp-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.d3c7f0ab97f4cp-7, 0x1.389085d73d9dcp-5, 0x1.ad3e5203e55c7p-5, -0x1.594393acda865p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.91aa8c294cd98p-7, 0x1.5921870d531dcp-5, 0x1.bc2b8c6b914c6p-6, -0x1.8333df3d96974p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.4b318d4fb14dcp-7, 0x1.63b93055f9b4p-5, -0x1.479191189d239p-10, -0x1.46fe763c96604p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.04ce240185badp-7, 0x1.58e3d1ef70dc7p-5, -0x1.9cdda6f3d7dddp-6, -0x1.184512f858c2cp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.84e77c706da17p-8, 0x1.3bd6aa4c7034ap-5, -0x1.76984542212ffp-5, -0x1.d8c050695a96fp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.0f019812dfcc8p-8, 0x1.0f49ac6815c45p-5, -0x1.0235c84a77c8ap-4, -0x1.25f0b996e31f9p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.5ad0963845fd8p-9, 0x1.ae792c16d0f7dp-6, -0x1.2e4d17544d0d3p-4, -0x1.201d320448e64p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.8dc35e7647b12p-10, 0x1.35033db420ba8p-6, -0x1.3100909924229p-4, 0x1.d3eeee943af7dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.8af69b0a82c9bp-11, 0x1.840fc2160799bp-7, -0x1.0de83eb46c835p-4, 0x1.0708ea072b5b2p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.44ef3b8381b9ap-12, 0x1.976662404d457p-8, -0x1.7dfe57648bd09p-5, 0x1.2024b01fb9e9bp-3}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.9b3ec752702c9p-14, 0x1.55eb45888ef2ep-9, -0x1.a2370ea305539p-6, 0x1.8b4d98fb52bf7p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.44ef3b8381bdbp-16, 0x1.98e0ff4746ffap-11, -0x1.6a10ff4ba75cbp-7, 0x1.bcc8d96ee0963p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.44ef3b838227ep-20, 0x1.588dd58c42608p-14, -0x1.7cc859be1c04p-9, 0x1.2f1143e9c1585p-4}, 
      }}, 
      -0x1.2242d770fe1aap+0, 0x1.c3466a0af2bccp+2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.d65707c38d845p-13, -0x1.d3621e7a8e70ap-11, -0x1.045e9a03c1841p-9, -0x1.c920a56839264p-9, -0x1.5fda81ef20fd2p-8, -0x1.f22b41ef6897bp-8, -0x1.4cc3c092731eep-7, -0x1.a9f5151e05657p-7, -0x1.07d3fdff6c9efp-6, -0x1.3e6fcb8aea0bfp-6, -0x1.785362d04d97ep-6, -0x1.b5092fdeffd87p-6, -0x1.f4215c3b402dcp-6, -0x1.1a9926932eeafp-5, -0x1.3bec721765af1p-5, -0x1.5ddc4633a3a4cp-5, -0x1.803d994d3fca7p-5, -0x1.a2e8920cfafdcp-5, -0x1.c5b86ca8e695dp-5, -0x1.e88b5bea82c8bp-5, -0x1.05a133cc50176p-4, -0x1.16e0a444d3e99p-4, -0x1.27f721f06caffp-4, -0x1.38d9031451498p-4, -0x1.497bbf7b5035fp-4, -0x1.59d5de62ea2dcp-4, -0x1.69dee5d22701bp-4, -0x1.798f49439a2cap-4, -0x1.88e059bab26c7p-4, -0x1.97cc368b2b4a7p-4, -0x1.a64dbe9c55df2p-4, -0x1.b4608165203f6p-4, -0x1.c200b18027f85p-4, -0x1.cf2b15e985bc7p-4, -0x1.dbdd0158ec018p-4, -0x1.e81440266662fp-4, -0x1.f3cf1195d1ef9p-4, -0x1.ff0c1e73861f1p-4, -0x1.04e538df10dfbp-3, -0x1.0a04bb3cf0b9bp-3, -0x1.0ee479366a14p-3, -0x1.1384853ed1739p-3, -0x1.17e52087634e3p-3, -0x1.1c06bb6da2d9cp-3, -0x1.1fe9f42f48351p-3, -0x1.238f951187c1cp-3, -0x1.26f8901898bdap-3, -0x1.2a25fa5b5fc5ep-3, -0x1.2d190758bf90bp-3, -0x1.2fd3044f3e06cp-3, -0x1.325553a0be121p-3, -0x1.34a169956422p-3, -0x1.36b8c8d2351ep-3, -0x1.389d001089fc5p-3, -0x1.3a4fa7493d4bbp-3, -0x1.3bd25e0502c35p-3, -0x1.3d26c951dc479p-3, -0x1.3e4e921f6d8d9p-3, -0x1.3f4b6396fd32fp-3, -0x1.401eea07c549fp-3, -0x1.40cad0ee98234p-3, -0x1.4150c2809fa3bp-3, -0x1.41b265f7a43fcp-3, -0x1.41f15ed69f2d6p-3, -0x1.420f4bd505b14p-3, -0x1.420dc5f6e369p-3, -0x1.41ee6074718c7p-3, -0x1.41b2a5e5a6fb8p-3, -0x1.415c1aacfcaf3p-3, -0x1.40ec3a4bca42bp-3, -0x1.406477848888ap-3, -0x1.3fc63a994f89cp-3, -0x1.3f12e4795ebb7p-3, -0x1.3e4bc984f22fdp-3, -0x1.3d7235afd504cp-3, -0x1.3c8769ea2eb8p-3, -0x1.3b8c9bc19e1aep-3, -0x1.3a82f6b0cd3e1p-3, -0x1.396b9abb9c39ep-3, -0x1.38479d8dc14ebp-3, -0x1.371809488a32cp-3, -0x1.35dddcebd6c62p-3, -0x1.349a0d3cd0328p-3, -0x1.334d839f55607p-3, -0x1.31f91ec15ec18p-3, -0x1.309db2ee4e33bp-3, -0x1.2f3c09a093b68p-3, -0x1.2dd4e23b84d89p-3, -0x1.2c68f1d0347c4p-3, -0x1.2af8e37bca461p-3, -0x1.298558a96ecbdp-3, -0x1.280ee95c3156bp-3, -0x1.2696245473b62p-3, -0x1.251b8f1259e4dp-3, -0x1.239fa6ad327fbp-3, -0x1.2222df5a52638p-3, -0x1.20a5a59d9ff76p-3, -0x1.1f285d83d5a8bp-3, -0x1.1dab63ab4de3ap-3, -0x1.1c2f0ccd34d3p-3, -0x1.1ab3a705af764p-3, -0x1.193978e73d565p-3, -0x1.17c0c2ecbb01cp-3, -0x1.1649bf217e868p-3, -0x1.14d4a18d4f684p-3, -0x1.1361987bdf612p-3, -0x1.11f0ccbf78f5ep-3, -0x1.108261e7f0696p-3, -0x1.0f16769892c45p-3, -0x1.0dad24a64b863p-3, -0x1.0c46815e52357p-3, -0x1.0ae29dce5069p-3, -0x1.098186f39f879p-3, -0x1.082346107e35fp-3, -0x1.06c7e0db1a314p-3, -0x1.056f5993825f5p-3, -0x1.0419afc2af532p-3, -0x1.02c6dfea851ep-3, -0x1.0176e3bcb54f3p-3, -0x1.0029b2cb8b3ffp-3, -0x1.fdbe848da29c7p-4, -0x1.fb2f0a95f7e23p-4, -0x1.f8a4da269670bp-4, -0x1.f61fd23736115p-4, -0x1.f39fce9a5d267p-4, -0x1.f124a830f8e1dp-4, -0x1.eeae3569ef66cp-4, -0x1.ec3c4a56a8563p-4, -0x1.e9ceb90b55379p-4, -0x1.e76551e642a4fp-4, -0x1.e4ffe3d1bbae1p-4, -0x1.e29e3c755133dp-4, -0x1.e0402883bea64p-4, -0x1.dde573ec36a72p-4, -0x1.db8dea0f7ac2dp-4, -0x1.d93955f51b9fcp-4, -0x1.d6e782550d584p-4, -0x1.d4983a115ec22p-4, -0x1.d24b480de2d19p-4, -0x1.d0007778531dfp-4, -0x1.cdb793e77bb27p-4, -0x1.cb70697684e97p-4, -0x1.c92ac4e28719dp-4, -0x1.c6e673a00cf1cp-4, -0x1.c4a344007e689p-4, -0x1.c261055e329d3p-4, -0x1.c01f87cf84e73p-4, -0x1.bdde9c897524ep-4, -0x1.bb9e1674232b1p-4, -0x1.b95dc8d1f92e1p-4, -0x1.b71d88bd192f9p-4, -0x1.b4dd2c92c1e44p-4, -0x1.b29c8c04311a6p-4, -0x1.b05b80099535bp-4, -0x1.ae19e33e3d1a9p-4, -0x1.abd791b740b84p-4, -0x1.a99468eb1a0ccp-4, -0x1.a75047f7501ap-4, -0x1.a50b0f7749a93p-4, -0x1.a2c4a1a56af75p-4, -0x1.a07ce23b626e7p-4, -0x1.9e33b6964fe5ep-4, -0x1.9be905a1f2335p-4, -0x1.999cb7e133a27p-4, -0x1.974eb7716a989p-4, -0x1.94feeff74cac9p-4, -0x1.92ad4ea59b8ecp-4, -0x1.9059c251afb09p-4, -0x1.8e043b4757727p-4, -0x1.8bacab649f7bbp-4, -0x1.89530602a9cfbp-4, -0x1.86f73ffc3e08bp-4, -0x1.84994fa440c7p-4, -0x1.82392cc10799ep-4, -0x1.7fd6d08482146p-4, -0x1.7d72358ae1b34p-4, -0x1.7b0b57ce00dcdp-4, -0x1.78a234a2afaecp-4, -0x1.7636cab1867dp-4, -0x1.73c919ed19b3ap-4, -0x1.7159238e35f68p-4, -0x1.6ee6ea075b5cap-4, -0x1.6c7270fe86669p-4, -0x1.69fbbd56ba514p-4, -0x1.6782d4ebef7f4p-4, -0x1.6507bf0259cbdp-4, -0x1.628a83937f48ep-4, -0x1.600b2bf4bd75p-4, -0x1.5d89c24ea05a9p-4, -0x1.5b0651e5df665p-4, -0x1.5880e6a63bdfbp-4, -0x1.55f98dc024271p-4, -0x1.537055565b589p-4, -0x1.50e54bb14c60cp-4, -0x1.4e5880ac48cecp-4, -0x1.4bca04930c31fp-4, -0x1.4939e88cea1b8p-4, -0x1.46a83e07debfep-4, -0x1.441517c62a35ep-4, -0x1.418088be169d7p-4, -0x1.3eeaa4966fcb1p-4, -0x1.3c537f7bf2273p-4, -0x1.39bb2e6dbb594p-4, -0x1.3721c6719ab08p-4, -0x1.34875d57de33fp-4, -0x1.31ec094a92f5cp-4, -0x1.2f4fe0db6e6fep-4, -0x1.2cb2fb08f647fp-4, -0x1.2a156f13bcde7p-4, -0x1.2777549352b3ap-4, -0x1.24d8c370dcab2p-4, -0x1.2239d3ce98d44p-4, -0x1.1f9a9e08cf40cp-4, -0x1.1cfb3aa794bd6p-4, -0x1.1a5bc28594072p-4, -0x1.17bc4e589025ap-4, -0x1.151cf72ba1668p-4, -0x1.127dd61478475p-4, -0x1.0fdf0438e8f9p-4, -0x1.0d409ac6b2a54p-4, -0x1.0aa2b2eb77f5fp-4, -0x1.080565d0bd485p-4, -0x1.0568cca1c9dcap-4, -0x1.02cd0078e586p-4, -0x1.00321a62ccd9p-4, -0x1.fb30669ecdd1ap-5, -0x1.f5fec81afba07p-5, -0x1.f0cf8a8aebb52p-5, -0x1.eba2def10bbp-5, -0x1.e678f60c5c71cp-5, -0x1.e152002d86badp-5, -0x1.dc2e2d6134e25p-5, -0x1.d70dad2d24bf9p-5, -0x1.d1f0ae952860ap-5, -0x1.ccd7600e3bc39p-5, -0x1.c7c1ef7704d39p-5, -0x1.c2b08a1951dd3p-5, -0x1.bda35cc36fcbbp-5, -0x1.b89a93d37db44p-5, -0x1.b3965b0a12582p-5, -0x1.ae96dd9e2499cp-5, -0x1.a99c45f017678p-5, -0x1.a4a6bd80ffe0ep-5, -0x1.9fb66cd95ffcap-5, -0x1.9acb7badecd12p-5, -0x1.95e6111b80985p-5, -0x1.910653e11a7ddp-5, -0x1.8c2c6a72adf44p-5, -0x1.87587ab2cc67p-5, -0x1.828aa9c3b9a22p-5, -0x1.7dc31b2b809bp-5, -0x1.7901f105c511cp-5, -0x1.74474c159e048p-5, -0x1.6f934bf4afb89p-5, -0x1.6ae6103fb1e08p-5, -0x1.663fb8f13797p-5, -0x1.61a06657b60afp-5, -0x1.5d083880d22cp-5, -0x1.58774e2728cefp-5, -0x1.53edc3a27565ap-5, -0x1.4f6bb26e2c586p-5, -0x1.4af1319fd0c4p-5, -0x1.467e573b3451p-5, -0x1.421339e41a782p-5, -0x1.3daff22ea3681p-5, -0x1.39549acfb7d43p-5, -0x1.35014f67fbf7fp-5, -0x1.30b62a3eaab17p-5, -0x1.2c7341d6e4f1fp-5, -0x1.2838a78c20405p-5, -0x1.240667f4afcecp-5, -0x1.1fdc8d228a28bp-5, -0x1.1bbb21ff5c6dp-5, -0x1.17a2356c31c71p-5, -0x1.1391db955ed4p-5, -0x1.0f8a2cd64bdfdp-5, -0x1.0b8b423431f75p-5, -0x1.079530cd78a81p-5, -0x1.03a80636b14dbp-5, -0x1.ff878f019dfcep-6, -0x1.f7d0e70145f53p-6, -0x1.f02c0ee3b9ef6p-6, -0x1.e8990834a2b0bp-6, -0x1.e117e2e10ceaep-6, -0x1.d9a8bead98ccfp-6, -0x1.d24bc5f1f0787p-6, -0x1.cb01233f4c91ep-6, -0x1.c3c8f60948cc5p-6, -0x1.bca34ba628bbfp-6, -0x1.b5901fff33b8p-6, -0x1.ae8f64c5e9913p-6, -0x1.a7a10ac8c3247p-6, -0x1.a0c507228a76cp-6, -0x1.99fb5559d174dp-6, -0x1.9343f6b593f67p-6, -0x1.8c9ef2108eef8p-6, -0x1.860c530a0d2e2p-6, -0x1.7f8c27dc09268p-6, -0x1.791e7f1f17683p-6, -0x1.72c3686a0c14cp-6, -0x1.6c7af67f793ddp-6, -0x1.66453c0848091p-6, -0x1.60223d6f59378p-6, -0x1.5a11ddc43f80ep-6, -0x1.5413d7740d3a7p-6, -0x1.4e27cdd00a63ep-6, -0x1.484d721db5264p-6, -0x1.4284a5c1d9022p-6, -0x1.3ccd8547985dep-6, -0x1.37285ae147006p-6, -0x1.3195867554d1ap-6, -0x1.2c156525d6e11p-6, -0x1.26a8346926a7p-6, -0x1.214debea36af1p-6, -0x1.1c061dde589fep-6, -0x1.16cfff107b457p-6, -0x1.11aaa96154b39p-6, -0x1.0c957e5564b77p-6, -0x1.07906c7bcee0fp-6, -0x1.029bea1ccfd39p-6, -0x1.fb715bb7ff3c4p-7, -0x1.f1ceb718cfc25p-7, -0x1.e850aabe0b223p-7, -0x1.def768e870ce6p-7, -0x1.d5c2912d8a0fp-7, -0x1.ccb114a23d91fp-7, -0x1.c3c12da39a999p-7, -0x1.baf0c6cee2be5p-7, -0x1.b23e4ec9dfda6p-7, -0x1.a9a970d8a997cp-7, -0x1.a13322974e5acp-7, -0x1.98dcf8dfa28b1p-7, -0x1.90a83b0f5519cp-7, -0x1.88954bfdc041cp-7, -0x1.80a3bab987367p-7, -0x1.78d2d5ecd019ap-7, -0x1.71222ca09a275p-7, -0x1.6991718f20415p-7, -0x1.621ff8ab74755p-7, -0x1.5acc9200711c2p-7, -0x1.5395f5b0902c3p-7, -0x1.4c7b406e00914p-7, -0x1.457c33b9976f6p-7, -0x1.3e9941e611194p-7, -0x1.37d335f526dd8p-7, -0x1.312a76041cda3p-7, -0x1.2a9e9d6a56b17p-7, -0x1.242f22e5ce4ap-7, -0x1.1ddc57c76c5c1p-7, -0x1.17a74d787ae33p-7, -0x1.11909b720e44p-7, -0x1.0b9774dfe7c6ap-7, -0x1.05b9d8d1fab0bp-7, -0x1.ffea6c4a6a192p-8, -0x1.f48e0eaa87542p-8, -0x1.e95c16b187cb9p-8, -0x1.de56c3b8a451bp-8, -0x1.d382f255f0e91p-8, -0x1.c8e381923b509p-8, -0x1.be78cf1b1265bp-8, -0x1.b443dfb72f007p-8, -0x1.aa46950be5ca2p-8, -0x1.a080cfbf52c2cp-8, -0x1.96ef58773d68ep-8, -0x1.8d8d3a006aea3p-8, -0x1.8455c1edcd5edp-8, -0x1.7b4517e5fcbd1p-8, -0x1.7256bbfaf41dfp-8, -0x1.6987e2feee9b6p-8, -0x1.60dd3715054e3p-8, -0x1.585f495f81dc2p-8, -0x1.501219604f396p-8, -0x1.47f71e74e6e3ap-8, -0x1.4011a4def3512p-8, -0x1.3861400acb201p-8, -0x1.30de2dd310308p-8, -0x1.297f44bb32502p-8, -0x1.223f8b14cc92ap-8, -0x1.1b1e0c6f3cf7ep-8, -0x1.141c54d206917p-8, -0x1.0d3b6eaa6982dp-8, -0x1.0677155feba7bp-8, -0x1.ff9af7b9db6f3p-9, -0x1.f28f593a5fbdcp-9, -0x1.e5d8d463c7bbp-9, -0x1.d977d13e5593fp-9, -0x1.cd749521f97a7p-9, -0x1.c1d251c19da43p-9, -0x1.b67effa991f68p-9, -0x1.ab62abaf10023p-9, -0x1.a06f902d2255ep-9, -0x1.95a4abe38d931p-9, -0x1.8b07efd1ed3d8p-9, -0x1.80a0e05ea6fcbp-9, -0x1.7676d932527fdp-9, -0x1.6c84210b3ba9cp-9, -0x1.62bdc4d924036p-9, -0x1.5933f482e4295p-9, -0x1.4ff082e5a000cp-9, -0x1.46eb8b88fa85dp-9, -0x1.3e2c9b2ce7308p-9, -0x1.35b3f168d3b51p-9, -0x1.2d74a26d8d66ep-9, -0x1.25648721ff81cp-9, -0x1.1d7b4533d266p-9, -0x1.15b1a54b60402p-9, -0x1.0e08849542be9p-9, -0x1.06871688ec1fep-9, -0x1.fe626e2f4c8cbp-10, -0x1.f01956d44dcb9p-10, -0x1.e23377f9351bdp-10, -0x1.d4a33cef07d03p-10, -0x1.c77d4ceea022fp-10, -0x1.baa7813d72151p-10, -0x1.ae1f63d7711e8p-10, -0x1.a1f39fb447f8ap-10, -0x1.9615e8ee0b291p-10, -0x1.8a88af3fb57a8p-10, -0x1.7f55bc0a1c53cp-10, -0x1.74760966a7445p-10, -0x1.69d0354e67728p-10, -0x1.5f53dd84bf92p-10, -0x1.550ce87f32654p-10, -0x1.4b045a1a9cabdp-10, -0x1.4139030a2937p-10, -0x1.37cb11df23b37p-10, -0x1.2eb72a637f40ep-10, -0x1.25e253aa8d823p-10, -0x1.1d30e567c6fbbp-10, -0x1.14b1c7db922dap-10, -0x1.0c7061245813cp-10, -0x1.045a1c509b35cp-10, -0x1.f8eb17307f1fap-11, -0x1.e9a43dbf06a38p-11, -0x1.daf73fce84b16p-11, -0x1.ccdd51b46a5b7p-11, -0x1.bf1c38f719183p-11, -0x1.b18160189aa54p-11, -0x1.a4304e81cd2f1p-11, -0x1.973f5351aed7p-11, -0x1.8a95e14f00f26p-11, -0x1.7e8ab332333dep-11, -0x1.7314f1bb46cfp-11, -0x1.67bc605b69fbp-11, -0x1.5c82c96e27cd8p-11, -0x1.51b416756c8fdp-11, -0x1.4728d404a473bp-11, -0x1.3cd4b52427ffep-11, -0x1.32c375e488fp-11, -0x1.28fdbbb77e884p-11, -0x1.1f8f5198d6ca5p-11, -0x1.168b86a7adfedp-11, -0x1.0df371cd6cdb1p-11, -0x1.058afa53d63cap-11, -0x1.fa6c28c596278p-12, -0x1.ea4a2e7accb49p-12, -0x1.da86e3ac6e6c3p-12, -0x1.cb5272b23bdd9p-12, -0x1.bd08fb7635fa2p-12, -0x1.af1690f0ff062p-12, -0x1.a11be7ca778e8p-12, -0x1.93bfbee6392cbp-12, -0x1.86c811cdacfc2p-12, -0x1.7a1d03e90c3fcp-12, -0x1.6dcdf888817d5p-12, -0x1.61dd020c56639p-12, -0x1.5646e5de97117p-12, -0x1.4b08886d466f8p-12, -0x1.4028c74e8100cp-12, -0x1.35c6668c9b1c3p-12, -0x1.2befbd373957cp-12, -0x1.2247f8add91ccp-12, -0x1.18d3f83559281p-12, -0x1.0f9348849924ap-12, -0x1.06bd54b5faeb4p-12, -0x1.fc8a8d0f36ab1p-13, -0x1.ec438de355ae1p-13, -0x1.dbf7599cd5d79p-13, -0x1.cc7ed50a6d9f4p-13, -0x1.bd6e3ee517df8p-13, -0x1.aec9351e1284dp-13, -0x1.a09ef0f08442ap-13, -0x1.92ed8df0486ffp-13, -0x1.85af6b12328fcp-13, -0x1.78df8600b9c8cp-13, -0x1.6c757dddde811p-13, -0x1.6066f05bfa2dep-13, -0x1.54aec7dc5c24dp-13, -0x1.49764443f882fp-13, -0x1.3efbcbf66fceap-13, -0x1.34b79665a4c5dp-13, -0x1.2a7f8698dca49p-13, -0x1.20d71e0dffd8cp-13, -0x1.178394456f467p-13, -0x1.0e7b505ff9c37p-13, -0x1.05a535113497p-13, -0x1.fa6179d79929bp-14, -0x1.e9e3866f34d7p-14, -0x1.d9f426cc4e492p-14, -0x1.ca9333abe750cp-14, -0x1.bbba3b9939fccp-14, -0x1.ad6403265503ap-14, -0x1.9f8bbfc6b0e06p-14, -0x1.922bc9eebef2cp-14, -0x1.853e4d6f154fbp-14, -0x1.78bc3596857bbp-14, -0x1.6c98c2d7d934cp-14, -0x1.60c00ae12aefbp-14, -0x1.55546ae2cfefap-14, -0x1.4ada0d3a305a6p-14, -0x1.405842dcc6c7dp-14, -0x1.362ae24dbdf8dp-14, -0x1.2c732173f3c34p-14, -0x1.22fa71f9833c1p-14, -0x1.19e0f88426031p-14, -0x1.10fd5ae282173p-14, -0x1.08659861036b1p-14, -0x1.001a691d1d5f3p-14, -0x1.f02f0b1efa23dp-15, -0x1.e0b2c1b78d17fp-15, -0x1.d1baa59f6dfe7p-15, -0x1.c3422df430905p-15, -0x1.b54437489ab27p-15, -0x1.a7bb3850fe151p-15, -0x1.9aa2778ec155dp-15, -0x1.8df62a27a5ee7p-15, -0x1.81b0ddecaf3eap-15, -0x1.75c92eba57777p-15, -0x1.6a3771556cdaep-15, -0x1.5eefdd8077df5p-15, -0x1.544f1237b8cd6p-15, -0x1.49d104d00da9p-15, -0x1.3fc25c6dda906p-15, -0x1.361b60dd3efd6p-15, -0x1.2c9175c5204dbp-15, -0x1.234f0f93d18f7p-15, -0x1.1a582c39d39d6p-15, -0x1.11a7a0f646228p-15, -0x1.0939874ed0bcbp-15, -0x1.010af590924dap-15, -0x1.f2326ea11b496p-16, -0x1.e2c3be999c6a1p-16, -0x1.d3c50dd771b8bp-16, -0x1.c532441b6f239p-16, -0x1.b706490c49eaap-16, -0x1.a93d5b5821d38p-16, -0x1.9bd3655ec0a5cp-16, -0x1.8ec40b353cbb7p-16, -0x1.820ddb4ae98dfp-16, -0x1.75ae6fb9474edp-16, -0x1.699ed6717673ap-16, -0x1.5ddaab58e7418p-16, -0x1.523ab82e25e8ap-16, -0x1.4712e4ec686a8p-16, -0x1.3c4688c8b7a5ap-16, -0x1.31ad1e25e0437p-16, -0x1.273f92e425c96p-16, -0x1.1d11d823d55cbp-16, -0x1.1321a84a32e4cp-16, -0x1.096b948ebb4cfp-16, -0x1.ffd9dbda6e564p-17, -0x1.ed46ffaf2fc2ap-17, -0x1.db1a734dfdfdp-17, -0x1.c950517c0a94ap-17, -0x1.b7e501d92f119p-17, -0x1.a6d523923f21ap-17, -0x1.961d7e560e62dp-17, -0x1.85bae48bf7763p-17, -0x1.75aa3692b0668p-17, -0x1.65e9964346689p-17, -0x1.56765abe0359ap-17, -0x1.474d60ea23905p-17, -0x1.386cee47d2651p-17, -0x1.29cac54e31ca7p-17, -0x1.1b7983ab8fff5p-17, -0x1.0d62fe3f73eap-17, -0x1.ff16477124362p-18, -0x1.e3cf8ab6778fap-18, -0x1.c90e00f8447aap-18, -0x1.aef25c19851e5p-18, -0x1.951be1810eb67p-18, -0x1.7bb61a671aacep-18, -0x1.62bf6888ee101p-18, -0x1.4a33d2289a1e6p-18, -0x1.32105f7f54ca5p-18, -0x1.1a52971e133a8p-18, -0x1.02f811c319817p-18, -0x1.d80ae3f47cc74p-19, -0x1.aadb66de4d585p-19, -0x1.7e575baff8c0cp-19, -0x1.529afa263c4a9p-19, -0x1.27944abbd68f2p-19, -0x1.fa80c68191ac9p-20, -0x1.a739c9d20943ap-20, -0x1.554f4421052dcp-20, -0x1.04b3f40efac22p-20, -0x1.6af6d95d23ef2p-21, -0x1.9e227087a17d1p-22, -0x1.ae486de357cc8p-24, 0x1.83cfa124d1f9dp-23, 0x1.ea3e58b7e8fbcp-22, 0x1.86c859651570bp-21, 0x1.0af7932371173p-20, 0x1.5149a786c7271p-20, 0x1.96920f9adb05p-20, 0x1.da61d0194bb45p-20, 0x1.0e756945f627ep-19, 0x1.2f302757d118bp-19, 0x1.4f4fcb8b4247cp-19, 0x1.6ed47c5b68f2bp-19, 0x1.8db8fd2eb921fp-19, 0x1.ac13e4995bd0bp-19, 0x1.c9ce8100a0a29p-19, 0x1.e6f211f6e2b95p-19, 0x1.01bf512d3879dp-18, 0x1.0fba5d18f5f11p-18, 0x1.1d69a1ca937e1p-18, 0x1.2ace841274facp-18, 0x1.37e8bccba0542p-18, 0x1.44b812dbd8c37p-18, 0x1.513ccc8a0f05cp-18, 0x1.5d773bffd022dp-18, 0x1.696761e2dd17ap-18, 0x1.750d7ad52cd4fp-18, 0x1.80699fa84f536p-18, 0x1.8b7be6f5d8adbp-18, 0x1.9644a7367c06bp-18, 0x1.a0c32a3eff081p-18, 0x1.aaf8f8ca5cc14p-18, 0x1.b4e5429065728p-18, 0x1.be88610fb44b3p-18, 0x1.c7e27877f607ap-18, 0x1.d0f3af475340fp-18, 0x1.d9bae1f19f717p-18, 0x1.e23db27f64d43p-18, 0x1.ea743d0b0f6d3p-18, 0x1.f263b279baf37p-18, 0x1.fa0b73ea0761dp-18, 0x1.00b5c7d216217p-17, 0x1.04422529d5953p-17, 0x1.07ab1dfa9bfb6p-17, 0x1.0aef9ae6d8375p-17, 0x1.0e1238fd73368p-17, 0x1.111096b70530bp-17, 0x1.13ec3225d76f8p-17, 0x1.16a4ece89d96ap-17, 0x1.193aeab4b532dp-17, 0x1.1bae5a800a3e9p-17, 0x1.1dff7292a591cp-17, 0x1.202e191816893p-17, 0x1.223a1ec04c49dp-17, 0x1.24260ede3c03p-17, 0x1.25ef2c152ca21p-17, 0x1.279719bd73685p-17, 0x1.291dde39693e6p-17, 0x1.2a83a5ccdeeap-17, 0x1.2bc8b5d2220ccp-17, 0x1.2cece75fce458p-17, 0x1.2df1c9b7d00b1p-17, 0x1.2ed6044c9c272p-17, 0x1.2f9a673c8ab31p-17, 0x1.304190ad46b47p-17, 0x1.30c3ec6fef14ap-17, 0x1.312cf2e64e55bp-17, 0x1.31755709753aap-17, 0x1.31a54a2d29489p-17, 0x1.31a9e83e7790ap-17, 0x1.319aeb7d27214p-17, 0x1.316bca2048a7dp-17, 0x1.311fcf40db764p-17, 0x1.30b71e52f6f15p-17, 0x1.3031b6aa3849ep-17, 0x1.2f8c5638a7a98p-17, 0x1.2ed3e074ddba2p-17, 0x1.2e0034ed2d6ccp-17, 0x1.2d0eb0d230a16p-17, 0x1.2c00ba9409d8ep-17, 0x1.2ad2dda2cc095p-17, 0x1.2991277d90287p-17, 0x1.2835978bcb06ap-17, 0x1.26c0edf8db825p-17, 0x1.25336aeaa4ed2p-17, 0x1.238d7ad48e793p-17, 0x1.21cf899614cb1p-17, 0x1.1ff9dfa94755cp-17, 0x1.1e0ceb797f566p-17, 0x1.1c09728ab1abfp-17, 0x1.19ef1da15a446p-17, 0x1.17bf26c558d65p-17, 0x1.15796385a59bep-17, 0x1.131e5b03bc114p-17, 0x1.10ae85d484f89p-17, 0x1.0e2a4a5b977aap-17, 0x1.0b92134d01cc4p-17, 0x1.08e64a4cbffbfp-17, 0x1.06275aaf4e558p-17, 0x1.0355b2a995dc2p-17, 0x1.0071bb93a73e6p-17, 0x1.faf81b03da69dp-18, 0x1.f4e9164b3fb9cp-18, }}, 
      {{0x1.53b897f912fcbp-7, 0x1.48ba9a8bf22dbp-6, 0x1.d4e6b942177c1p-6, 0x1.24b6f344e4b8ap-5, 0x1.51b4c39cc01aep-5, 0x1.70bb3aaa029fap-5, 0x1.81a6b5aacbd7p-5, 0x1.84ba0c59531cdp-5, 0x1.7a80676dc50a9p-5, 0x1.63b654c025ab7p-5, 0x1.4138b3a7c41e1p-5, 0x1.13f81286b232p-5, 0x1.b9de53ca5bc38p-6, 0x1.3a3731cb025c9p-6, 0x1.55e1a4dca00f1p-7, 0x1.be80fb112d08p-11, -0x1.35d2c9beae995p-7, -0x1.4de8a9d0c81c3p-6, -0x1.04b243cea9dafp-5, -0x1.65e95e2eee381p-5, -0x1.c9e2512abce5cp-5, -0x1.17f9cb9744b2dp-4, -0x1.4bc09e3a5a476p-4, -0x1.7ffe3c76a011dp-4, -0x1.b471965575aa7p-4, -0x1.e8dfa40d7fad2p-4, -0x1.0e898a3406e37p-3, -0x1.286dfb8c1ae48p-3, -0x1.4207b333fea16p-3, -0x1.5b43989a936e4p-3, -0x1.7410c33f662fdp-3, -0x1.8c60512ecffcdp-3, -0x1.a4253f5f433dcp-3, -0x1.bb5443267417bp-3, -0x1.d1e3a5f371aa6p-3, -0x1.e7cb2241e27f6p-3, -0x1.fd03c3c9e06f3p-3, -0x1.08c3e476ac2b9p-2, -0x1.12a9446094b5cp-2, -0x1.1c302d5cd0deap-2, -0x1.2557415f2f6f2p-2, -0x1.2e1d8ff583ce6p-2, -0x1.36828ebc5189p-2, -0x1.3e86126298d98p-2, -0x1.46284818b12d1p-2, -0x1.4d69add1d4f6p-2, -0x1.544b0acfb58d9p-2, -0x1.5acd6765dc36p-2, -0x1.60f20514decdap-2, -0x1.66ba56bf9412ap-2, -0x1.6c27f9dcf57d7p-2, -0x1.713cb0096460ep-2, -0x1.75fa598dfcbe7p-2, -0x1.7a62f02b3887p-2, -0x1.7e7882f00174ep-2, -0x1.823d3201f1249p-2, -0x1.85b32b2887167p-2, -0x1.88dca685da84dp-2, -0x1.8bbbe3c06b9a8p-2, -0x1.8e532733ffdc3p-2, -0x1.90a4b7dd8cf09p-2, -0x1.92b2dce42dc7fp-2, -0x1.947fdbe2aebf3p-2, -0x1.960df7181e8eep-2, -0x1.975f6be21e498p-2, -0x1.9876716582eb5p-2, -0x1.9955373f25446p-2, -0x1.99fde4b268268p-2, -0x1.9a72974a5c68fp-2, -0x1.9ab5627e45c05p-2, -0x1.9ac84eca4235cp-2, -0x1.9aad595cd77c6p-2, -0x1.9a6673089b48ep-2, -0x1.99f58090813d9p-2, -0x1.995c59c2a974fp-2, -0x1.989cc99ee2ba8p-2, -0x1.97b88e3cf5be9p-2, -0x1.96b15868368c1p-2, -0x1.9588cbbc1d858p-2, -0x1.94407e6e54a61p-2, -0x1.92d9f9a3dbc9p-2, -0x1.9156b984b0073p-2, -0x1.8fb82d3349cd4p-2, -0x1.8dffb72d6e7d5p-2, -0x1.8c2ead4eda921p-2, -0x1.8a4658e8e554cp-2, -0x1.8847f72ec63c1p-2, -0x1.8634b956f572p-2, -0x1.840dc505b0282p-2, -0x1.81d434a20ecbfp-2, -0x1.7f891789aadfep-2, -0x1.7d2d7265006d4p-2, -0x1.7ac23f5a0e2dfp-2, -0x1.78486e4c30a61p-2, -0x1.75c0e53fc65e9p-2, -0x1.732c8099e1a73p-2, -0x1.708c1373b742fp-2, -0x1.6de0682597156p-2, -0x1.6b2a406c392cbp-2, -0x1.686a55f0acdcp-2, -0x1.65a15a44d554ep-2, -0x1.62cff77864a23p-2, -0x1.5ff6d01a4df8dp-2, -0x1.5d167f8c92118p-2, -0x1.5a2f9a59a80c9p-2, -0x1.5742ae6aac716p-2, -0x1.54504353bc4c7p-2, -0x1.5158daa77887bp-2, -0x1.4e5cf03f65203p-2, -0x1.4b5cfa74c39adp-2, -0x1.48596a703466ep-2, -0x1.4552ac586bd64p-2, -0x1.4249278dce042p-2, -0x1.3f3d3edbc5953p-2, -0x1.3c2f50a8fe5a4p-2, -0x1.391fb7274b115p-2, -0x1.360ec87fda72fp-2, -0x1.32fcd70423134p-2, -0x1.2fea315e34728p-2, -0x1.2cd722b94c0dfp-2, -0x1.29c3f2ef889e2p-2, -0x1.26b0e6b6c16e6p-2, -0x1.239e3fc7d5f8cp-2, -0x1.208c3d07bcca7p-2, -0x1.1d7b1aa17dccep-2, -0x1.1a6b12386168p-2, -0x1.175c5af973701p-2, -0x1.144f29bcf8579p-2, -0x1.1143b12228f3ap-2, -0x1.0e3a21a9f6a41p-2, -0x1.0b32a9ca1067p-2, -0x1.082d760c953e6p-2, -0x1.052ab11eacc45p-2, -0x1.022a83e935671p-2, -0x1.fe5a2b499bb47p-3, -0x1.f86517dabfbaep-3, -0x1.f27615a3e3eaep-3, -0x1.ec8d69da41c1dp-3, -0x1.e6ab56d7d1a5dp-3, -0x1.e0d01c4ed96f6p-3, -0x1.dafbf75873669p-3, -0x1.d52f2297a93aap-3, -0x1.cf69d6508e805p-3, -0x1.c9ac48828fdcep-3, -0x1.c3f6acfc35a86p-3, -0x1.be49357058e04p-3, -0x1.b8a4118b60e63p-3, -0x1.b3076f0ad761p-3, -0x1.ad7379bb39af6p-3, -0x1.a7e85ba1dc392p-3, -0x1.a2663cf69e1c2p-3, -0x1.9ced443f4661dp-3, -0x1.977d96550ded5p-3, -0x1.9217567731c5p-3, -0x1.8cbaa652119fep-3, -0x1.8767a60d34b38p-3, -0x1.821e745419058p-3, -0x1.7cdf2e63635cap-3, -0x1.77a9f0113d19bp-3, -0x1.727ed3d3594bp-3, -0x1.6d5df2cd48a5p-3, -0x1.684764d4bdfbap-3, -0x1.633b407bd2883p-3, -0x1.5e399b15f507cp-3, -0x1.594288c12eeafp-3, -0x1.54561c6efe352p-3, -0x1.4f7467e5153e5p-3, -0x1.4a9d7bca04efep-3, -0x1.45d167a578953p-3, -0x1.411039ec551eap-3, -0x1.3c5a00016203ep-3, -0x1.37aec63bd78f9p-3, -0x1.330e97ee0e976p-3, -0x1.2e797f69fd412p-3, -0x1.29ef860555a99p-3, -0x1.2570b41eb8bdcp-3, -0x1.20fd11227f86bp-3, -0x1.1c94a39114ae1p-3, -0x1.18377100cbf67p-3, -0x1.13e57e22d9449p-3, -0x1.0f9ecec970161p-3, -0x1.0b6365ea34e87p-3, -0x1.073345a41ab72p-3, -0x1.030e6f3fa08e3p-3, -0x1.fde9c67c8dce7p-4, -0x1.f5cd428b8a49fp-4, -0x1.edc75092e1bcap-4, -0x1.e5d7ecd3ae4e2p-4, -0x1.ddff122072df6p-4, -0x1.d63cb9c9e4444p-4, -0x1.ce90dbcaa169bp-4, -0x1.c6fb6e939b1f3p-4, -0x1.bf7c6741e649ep-4, -0x1.b813b9c1dec7p-4, -0x1.b0c15871238d6p-4, -0x1.a985348c78952p-4, -0x1.a25f3dfc652a4p-4, -0x1.9b4f63a030849p-4, -0x1.945592dca425p-4, -0x1.8d71b81b9965p-4, -0x1.86a3be9bdfa2bp-4, -0x1.7feb907f0e386p-4, -0x1.794916c01ffbdp-4, -0x1.72bc397836b0cp-4, -0x1.6c44df9736bp-4, -0x1.65e2ef17be1d8p-4, -0x1.5f964d018403cp-4, -0x1.595edd6675744p-4, -0x1.533c8376c7272p-4, -0x1.4d2f217a81ecep-4, -0x1.473698df896c5p-4, -0x1.4152ca40cff8cp-4, -0x1.3b83957077a8ap-4, -0x1.35c8d97baf30bp-4, -0x1.302274967d42ep-4, -0x1.2a9044655f6a8p-4, -0x1.251225bcb407fp-4, -0x1.1fa7f4d2093dp-4, -0x1.1a518d36f41a2p-4, -0x1.150ec9dca6947p-4, -0x1.0fdf8519ede9fp-4, -0x1.0ac398b45636bp-4, -0x1.05badde4d7142p-4, -0x1.00c52d688fd28p-4, -0x1.f7c4befac3c7fp-5, -0x1.ee2497ce216bdp-5, -0x1.e4a993e76b54bp-5, -0x1.db5361055fb28p-5, -0x1.d221ac1e61a21p-5, -0x1.c914216a86ea3p-5, -0x1.c02a6c8882dadp-5, -0x1.b7643853acff1p-5, -0x1.aec12f1457ceap-5, -0x1.a640fa76b4a93p-5, -0x1.9de343983aaap-5, -0x1.95a7b315f6c1dp-5, -0x1.8d8df11bb1622p-5, -0x1.8595a573353bcp-5, -0x1.7dbe77a041484p-5, -0x1.76080ece1fd7bp-5, -0x1.6e7211e9db2b8p-5, -0x1.66fc27a0973ffp-5, -0x1.5fa5f64516d2fp-5, -0x1.586f23e5598acp-5, -0x1.5157565bd652p-5, -0x1.4a5e3375aa442p-5, -0x1.4383611a86cacp-5, -0x1.3cc6857290517p-5, -0x1.3627466c5edd5p-5, -0x1.2fa54ac66c38ap-5, -0x1.2940380e088eep-5, -0x1.22f7b44cad412p-5, -0x1.1ccb650a121fcp-5, -0x1.16baeffc99d59p-5, -0x1.10c5fb4f54d34p-5, -0x1.0aec2def9c2a4p-5, -0x1.052d2f8e2186ap-5, -0x1.ff1150d9a1b35p-6, -0x1.f3fc81c15790ap-6, -0x1.e91b41cc55179p-6, -0x1.de6cdfdd56861p-6, -0x1.d3f0aa333be2ap-6, -0x1.c9a5ef97c215bp-6, -0x1.bf8c00e4db4ffp-6, -0x1.b5a2321cd7918p-6, -0x1.abe7dab1d850bp-6, -0x1.a25c54882a4f9p-6, -0x1.98fefa0b9a95bp-6, -0x1.8fcf2444ebc97p-6, -0x1.86cc29b6bdaf4p-6, -0x1.7df55ebbca62ap-6, -0x1.754a176be8773p-6, -0x1.6cc9aa5b65cfcp-6, -0x1.6473731781098p-6, -0x1.5c46d33bd8a88p-6, -0x1.5443318246d8dp-6, -0x1.4c67f6fa75d4dp-6, -0x1.44b48b7c053dap-6, -0x1.3d2852e4aab0ap-6, -0x1.35c2ac6744efcp-6, -0x1.2e82f476ead3bp-6, -0x1.2768885aa01a5p-6, -0x1.2072ca0dd0e6p-6, -0x1.19a122ead8098p-6, -0x1.12f30411e7ae5p-6, -0x1.0c67e4509f8aap-6, -0x1.05ff3c4eff995p-6, -0x1.ff7104ea7fa97p-7, -0x1.f3265107e0755p-7, -0x1.e71d37ef993aap-7, -0x1.db54916560d91p-7, -0x1.cfcb394074759p-7, -0x1.c4801236e53f5p-7, -0x1.b97207d526585p-7, -0x1.aea00d3a06287p-7, -0x1.a4091ce992daep-7, -0x1.99ac3827fa748p-7, -0x1.8f8865cdcdef1p-7, -0x1.859cb0a534d03p-7, -0x1.7be8279e2b71bp-7, -0x1.7269df49dd80bp-7, -0x1.6920efc0104a1p-7, -0x1.600c6bb56b0a5p-7, -0x1.572b547af4cf3p-7, -0x1.4e7c954ad01bp-7, -0x1.45ff0eb46d22p-7, -0x1.3db1ae58e3c6ep-7, -0x1.3593847fbd5b3p-7, -0x1.2da3ca4f9312fp-7, -0x1.25e1d800a9bb5p-7, -0x1.1e4d14d533aa3p-7, -0x1.16e4e7d34a119p-7, -0x1.0fa8a752b4e5ep-7, -0x1.089783ab92824p-7, -0x1.01b0758a7093dp-7, -0x1.f5e486652e954p-8, -0x1.e8b74fc2a0cd4p-8, -0x1.dbd71b4d1d15p-8, -0x1.cf4269df3821ep-8, -0x1.c2f85f5295bdfp-8, -0x1.b6f86b47acbe6p-8, -0x1.ab41e6ec58c07p-8, -0x1.9fd3e12ee4a56p-8, -0x1.94ad1bbf036p-8, -0x1.89cc10f3d1ed4p-8, -0x1.7f2ee74400b4cp-8, -0x1.74d36bb06ebf6p-8, -0x1.6ab7475c890c4p-8, -0x1.60d871438f734p-8, -0x1.57359135bcd43p-8, -0x1.4dce051110edap-8, -0x1.44a1820e13947p-8, -0x1.3baf9509da8d2p-8, -0x1.32f75418239e1p-8, -0x1.2a776b7dc509cp-8, -0x1.222e6f65b9785p-8, -0x1.1a1b213b17429p-8, -0x1.123c5e73e5fdp-8, -0x1.0a90d7b4bd206p-8, -0x1.0316fa9e0a847p-8, -0x1.f79a5487b23dap-9, -0x1.e9640341433cbp-9, -0x1.db88ea1c1bbf7p-9, -0x1.ce07b0242399dp-9, -0x1.c0df631df9f49p-9, -0x1.b40ebac4ddeecp-9, -0x1.a793aecda2b91p-9, -0x1.9b6c1d9a522a3p-9, -0x1.8f96bc49dc223p-9, -0x1.8412fdad56de1p-9, -0x1.78dfd68bbbe86p-9, -0x1.6dfae755507aap-9, -0x1.6360bdee967f4p-9, -0x1.590d7e5c99e9ap-9, -0x1.4efd71c1d8a0bp-9, -0x1.452e1dacb81b4p-9, -0x1.3b9f4742d509cp-9, -0x1.3251f177d371ep-9, -0x1.2946334e0d751p-9, -0x1.207af6990d0dap-9, -0x1.17ef6de893004p-9, -0x1.0fa328459978p-9, -0x1.0794bfb774538p-9, -0x1.ff82db7b5e437p-10, -0x1.f04b95476ff9cp-10, -0x1.e17d743e5049cp-10, -0x1.d313450c649acp-10, -0x1.c50756ffcd5bp-10, -0x1.b7556438765dep-10, -0x1.a9ff8e244e68ep-10, -0x1.9d0b554648844p-10, -0x1.907a3b8f27515p-10, -0x1.844b7a55b708fp-10, -0x1.787fd6715c025p-10, -0x1.6d14f6f260cf3p-10, -0x1.62025f7c268cfp-10, -0x1.573e8e4a0c80cp-10, -0x1.4cc3c70cc6f08p-10, -0x1.428fe5f5ab488p-10, -0x1.38a2eaf74f8a1p-10, -0x1.2efc635bb1da7p-10, -0x1.25978f65fff9dp-10, -0x1.1c719b9a7b684p-10, -0x1.139050cb30f4cp-10, -0x1.0af79eaf06d06p-10, -0x1.02a62052ce94bp-10, -0x1.f53afec30221ap-11, -0x1.e5bb25eed25c1p-11, -0x1.d6bc3407a6359p-11, -0x1.c8295408721bp-11, -0x1.b9f5ba84b920fp-11, -0x1.ac1e8da228b68p-11, -0x1.9ea6686165e1ep-11, -0x1.919104fffe28p-11, -0x1.84e1b4e2f1ebdp-11, -0x1.78924b82d0767p-11, -0x1.6c9905c78aaeep-11, -0x1.60ff9e092a167p-11, -0x1.55cb0b8700023p-11, -0x1.4af378ec7d978p-11, -0x1.407c5774a242fp-11, -0x1.36642a7cae7b6p-11, -0x1.2ca02352df474p-11, -0x1.2327732160a27p-11, -0x1.19f2b3ccc93b9p-11, -0x1.10fb784445287p-11, -0x1.0840ff0def5eap-11, -0x1.ff8dc4cbc96bap-12, -0x1.ef1cc09f01e66p-12, -0x1.df3371d95ec3cp-12, -0x1.cfcf8603fce4ep-12, -0x1.c0e5bff4ab5cp-12, -0x1.b2808fb63a912p-12, -0x1.a48c5cb5df841p-12, -0x1.970566df8a634p-12, -0x1.89f3365526c06p-12, -0x1.7d4a6b5f69bcbp-12, -0x1.710a08d3c6b9cp-12, -0x1.6535bd4402571p-12, -0x1.59c6e7195638cp-12, -0x1.4eabf2c3536c4p-12, -0x1.43d9349587599p-12, -0x1.395444b047968p-12, -0x1.2f20f88a44d8cp-12, -0x1.253cb7e4e110fp-12, -0x1.1bb82defbc08ap-12, -0x1.128fbfb34f626p-12, -0x1.09b20f3fea6dep-12, -0x1.010dc2dc59344p-12, -0x1.f1547f7dc261fp-13, -0x1.e119b3e118efdp-13, -0x1.d153365c655ap-13, -0x1.c2049a2c52965p-13, -0x1.b33d8d715d525p-13, -0x1.a506c537a288ep-13, -0x1.975a30f1991f1p-13, -0x1.8a1571004a146p-13, -0x1.7d1b96833e18bp-13, -0x1.707dcccb35771p-13, -0x1.6445bce532543p-13, -0x1.58648c1040bfbp-13, -0x1.4d041450683e8p-13, -0x1.421d6d7695bd4p-13, -0x1.3771f9f9d764ap-13, -0x1.2d0137e154473p-13, -0x1.22efe28d238a3p-13, -0x1.19286c4e5fcf3p-13, -0x1.0fa2eaae401e4p-13, -0x1.0663932c0d5b5p-13, -0x1.fada29b42a7b9p-14, -0x1.e9873c8994921p-14, -0x1.d8dd93cce7e87p-14, -0x1.c8da7df8b75bfp-14, -0x1.b942608e2caa8p-14, -0x1.a9f9616d806dcp-14, -0x1.9b29c789a1bfcp-14, -0x1.8cbea0486916ep-14, -0x1.7ecb6f49e0ee7p-14, -0x1.7175b3e06b48ep-14, -0x1.647a01e2787e2p-14, -0x1.57ace6ad8e13p-14, -0x1.4b55cba72d08ep-14, -0x1.3f593a714bb8bp-14, -0x1.33aaccd8612d6p-14, -0x1.284f740ccdec3p-14, -0x1.1d465d9035ac6p-14, -0x1.128c816b460aep-14, -0x1.081f0c39ae613p-14, -0x1.fbfec96ab6bffp-15, -0x1.e87137599e43fp-15, -0x1.d59d40d5efe52p-15, -0x1.c3348b2dde869p-15, -0x1.b138c1ce72321p-15, -0x1.9fa7bfd8e1caep-15, -0x1.8eaad98c91108p-15, -0x1.7e34c3bfd8f03p-15, -0x1.6e3be53c04d29p-15, -0x1.5e7c2bee41ba9p-15, -0x1.4f463cff69df6p-15, -0x1.406ef4ff25bf6p-15, -0x1.31f5fbfc38534p-15, -0x1.23de5ebe87a7ep-15, -0x1.1627d7006adcfp-15, -0x1.08cbcc3e47e4ep-15, -0x1.f79145e3a9361p-16, -0x1.de32ccf6a602cp-16, -0x1.c571e7f1871cap-16, -0x1.ad485b4d9a067p-16, -0x1.95d0da006cefep-16, -0x1.7f337fa136679p-16, -0x1.690e327a0d738p-16, -0x1.5342d29f8edc1p-16, -0x1.3e296e1b59bf9p-16, -0x1.2997ef41ac02fp-16, -0x1.1584960c47189p-16, -0x1.01de32ee2b6a4p-16, -0x1.dd83fa78fd90dp-17, -0x1.b8213dd413d8fp-17, -0x1.93a8cc562c0a7p-17, -0x1.70172fac53305p-17, -0x1.4d6512274547p-17, -0x1.2b8c08678f37ap-17, -0x1.0a861e8fff539p-17, -0x1.d49a017b99a09p-18, -0x1.95b4c3243f738p-18, -0x1.584e97c799874p-18, -0x1.1c52c9ed3690cp-18, -0x1.c34831b1058d3p-19, -0x1.50d3810bda00ep-19, -0x1.c5105ff734373p-20, -0x1.d7c4a117be402p-21, -0x1.7da9656cc017fp-24, 0x1.6ce2756cdc029p-21, 0x1.803c4da099f44p-20, 0x1.224022a85b4e2p-19, 0x1.8261b8ecf8f9fp-19, 0x1.e00b60ec45364p-19, 0x1.1db16a7044a4bp-18, 0x1.4a37c3fd673d2p-18, 0x1.759fa8e78118bp-18, 0x1.9feec27f1fbd9p-18, 0x1.c92a1786ef2d5p-18, 0x1.f156fb408a1edp-18, 0x1.0c3d776bacfa6p-17, 0x1.1f4d6d304e06p-17, 0x1.31dd7b8f8aa33p-17, 0x1.43f03972c2734p-17, 0x1.5589780a8eaa2p-17, 0x1.66ac6a423fb6ap-17, 0x1.775d914947411p-17, 0x1.87804d634f8bp-17, 0x1.973f7b6955368p-17, 0x1.a6834c2cd8e05p-17, 0x1.b54ebd43d816ep-17, 0x1.c3b8f92cc192dp-17, 0x1.d1b826cf7a8b7p-17, 0x1.df4a7d9daa533p-17, 0x1.ec70e30e1e804p-17, 0x1.f92cb1b4e7c21p-17, 0x1.02c117311462dp-16, 0x1.08b8a1e8f1f84p-16, 0x1.0e7db1835397fp-16, 0x1.1410f807cf6e7p-16, 0x1.197311c6bd5a6p-16, 0x1.1ea4b8baead93p-16, 0x1.23a6818ed638ap-16, 0x1.2879066bea73ep-16, 0x1.2d1cef7c8c24fp-16, 0x1.3192980681cecp-16, 0x1.35da701bcb0cdp-16, 0x1.39f56bf8f96c9p-16, 0x1.3de438287ffdep-16, 0x1.41ab2c57b5b79p-16, 0x1.4541b805cc0e7p-16, 0x1.48aaf2669c156p-16, 0x1.4beb6fd2c17e9p-16, 0x1.4f045ce788eabp-16, 0x1.51f3bb03e7e36p-16, 0x1.54b9fe704846dp-16, 0x1.5757c476666bap-16, 0x1.59cdb2ef1f656p-16, 0x1.5c1c35155a794p-16, 0x1.5e43c92057a9ep-16, 0x1.6044f2621e489p-16, 0x1.62202c9af164dp-16, 0x1.63d5f14df56d2p-16, 0x1.6566b990bdac8p-16, 0x1.66d30072bef0cp-16, 0x1.681b4288bf0cap-16, 0x1.693fe36cc890ep-16, 0x1.6a415b3491b58p-16, 0x1.6b202f7bd3f56p-16, 0x1.6bdcc8e9298e7p-16, 0x1.6c784bde1d21ap-16, 0x1.6cf169fd8e74ep-16, 0x1.6d4a5c101d426p-16, 0x1.6d83025f27625p-16, 0x1.6d9c602cfa289p-16, 0x1.6d9697188de63p-16, 0x1.6d6eac39507f1p-16, 0x1.6d2ab5a94468p-16, 0x1.6cc8a793ee005p-16, 0x1.6c48e540175f4p-16, 0x1.6babf6ab66e0bp-16, 0x1.6af2598351745p-16, 0x1.6a1c87d090a08p-16, 0x1.692b0242d80ep-16, 0x1.681d2389013bp-16, 0x1.66f53e5caf5f8p-16, 0x1.65b45905746ebp-16, 0x1.645849afb0a2p-16, 0x1.62e2ce450c427p-16, 0x1.6154566e776c5p-16, 0x1.5fad513a08782p-16, 0x1.5dee2b2cf1ee7p-16, 0x1.5c178e38d833bp-16, 0x1.5a298b6fd0441p-16, 0x1.582506e5ec67ep-16, 0x1.560a1a9cc8a11p-16, 0x1.53d97b4dc70dap-16, 0x1.5193651b6b3a7p-16, 0x1.4f387f913d2bcp-16, 0x1.4cc91f227df27p-16, 0x1.4a459371213b1p-16, 0x1.47b282b31c186p-16, 0x1.45063ffe5db88p-16, 0x1.4247d6ab2b907p-16, 0x1.3f794d5326434p-16, 0x1.3c98d75e23aefp-16, 0x1.39a6e7c145a1ep-16, 0x1.36a2dd42c1bf5p-16, 0x1.33910eab41f63p-16, 0x1.306dc42c05e93p-16, 0x1.2d3b05763811dp-16, 0x1.29f92c7e3c8e1p-16, 0x1.26a8a4988ae87p-16, 0x1.2349eea6315dfp-16, 0x1.1fdd62aa3fa5cp-16, 0x1.1c635cead1abbp-16, 0x1.18dc73cb315f9p-16, 0x1.1549042427e38p-16, 0x1.11a973a77e9a5p-16, 0x1.0dfe2753e1c6p-16, 0x1.0a479de94375fp-16, 0x1.06863a9d97fd8p-16, 0x1.02ba5ac50756bp-16, 0x1.fdc8e18e77c56p-17, 0x1.f609ace5a73ccp-17, 0x1.ee3817ecd649cp-17, 0x1.e654c9d30ca71p-17, 0x1.de609fe0f4105p-17, 0x1.d65c4991f1a5ep-17, 0x1.ce4885a3b29d9p-17, 0x1.c6237255570dap-17, 0x1.bdf93ecdf9932p-17, 0x1.b5b7d88d19c16p-17, 0x1.ad6fc6272b996p-17, 0x1.a51abc5039f8cp-17, 0x1.9cbae3742ea59p-17, 0x1.945139d393675p-17, 0x1.8bdf2a6c366d9p-17, 0x1.836006e84364cp-17, 0x1.7adf686e790f5p-17, 0x1.7252f0228948p-17, 0x1.69c133b56ca66p-17, 0x1.6129ac64915b5p-17, 0x1.588ce8dbc83f1p-17, 0x1.4feb954fb0947p-17, 0x1.474661191df22p-17, 0x1.3e9dee0fc679ap-17, 0x1.35f2be67e9fc9p-17, 0x1.2d45c576b19c5p-17, 0x1.249759adcbf17p-17, 0x1.1be831e0f80fp-17, 0x1.1338e6e2b06a7p-17, 0x1.0a8a0efb2dbfep-17, 0x1.01dc26ffcb35bp-17, 0x1.f261c67136947p-18, 0x1.e10bd503c2814p-18, 0x1.cfbe073613c6dp-18, 0x1.be761978b138ap-18, 0x1.ad35177083445p-18, 0x1.9bffddf505199p-18, 0x1.8ad14f20b26d1p-18, 0x1.79ae669939bb5p-18, 0x1.68aa039cf29a1p-18, 0x1.578b49b40a9fbp-18, 0x1.46923b846a53bp-18, 0x1.35a4b917a7cf2p-18, 0x1.24c713283b965p-18, 0x1.13fa10931aa8cp-18, 0x1.033e350e96e56p-18, 0x1.e51fc9936b636p-19, 0x1.c40001b8813acp-19, 0x1.a3000f2ace24fp-19, 0x1.8229bf1d23ca1p-19, 0x1.617f4689fac5dp-19, 0x1.40f76242edd5ap-19, 0x1.20a63cb962c73p-19, 0x1.0084c352ddac2p-19, 0x1.c12be2eac4c81p-20, 0x1.81b3cb99c47ebp-20, 0x1.42a4cd92f175ap-20, 0x1.0401e60cf8afap-20, 0x1.8b9a22ad81d6dp-21, 0x1.101242ab626ebp-21, 0x1.2aecb113c2b16p-22, 0x1.bc32b0ae93c57p-25, -0x1.73ef6cdb14cdep-23, -0x1.a98d8126c341ep-22, -0x1.4b96b8c01cd7bp-21, -0x1.c1679e91f5d6bp-21, -0x1.1b1aa0afab3a9p-20, -0x1.54fdba1b40a2p-20, -0x1.8e5b212bd72d5p-20, -0x1.c730f14538505p-20, -0x1.ff7d7bb2be2e9p-20, -0x1.1b9f696d57c45p-19, -0x1.373aea27511aap-19, -0x1.528cd2b9b6f4cp-19, }}, 
      {{-0x1.8fa833eecf489p-2, -0x1.8bca96b030735p-2, -0x1.86d525701bb4dp-2, -0x1.819c1a59e6698p-2, -0x1.7cb4154abb835p-2, -0x1.7881d7e1d4393p-2, -0x1.754635a7f6a88p-2, -0x1.73272ac0db75fp-2, -0x1.7236cf21e1c79p-2, -0x1.7278a8cd13ad3p-2, -0x1.73e5bbd894196p-2, -0x1.766fa17486e8bp-2, -0x1.7a02e2b50ac91p-2, -0x1.7e88c5324454ep-2, -0x1.83e8a9cfd1fedp-2, -0x1.8a091590bd358p-2, -0x1.90d077306adfap-2, -0x1.9825b818ffa6bp-2, -0x1.9ff0a44bae564p-2, -0x1.a81a327390eddp-2, -0x1.b08cb35f51801p-2, -0x1.b933eea18c1a3p-2, -0x1.c1fd30e14e716p-2, -0x1.cad74f6184707p-2, -0x1.d3b2a392c8a9fp-2, -0x1.dc8100de19378p-2, -0x1.e535a6477350dp-2, -0x1.edc52d4cad005p-2, -0x1.f62576f70de47p-2, -0x1.fe4d97e048162p-2, -0x1.031ae1dcb4b6fp-1, -0x1.06eb9c68231e8p-1, -0x1.0a9615e75f012p-1, -0x1.0e17da0445cbcp-1, -0x1.116edc3138eccp-1, -0x1.14996e9b36b6ep-1, -0x1.17963989b975bp-1, -0x1.1a64336f6eaebp-1, -0x1.1d02999129522p-1, -0x1.1f70e98002075p-1, -0x1.21aedb4a7f99ap-1, -0x1.23bc5c5b3c308p-1, -0x1.25998af1bda2fp-1, -0x1.2746b1f42edd4p-1, -0x1.28c444d6ccabep-1, -0x1.2a12db9aca79ap-1, -0x1.2b332ea5ef23ep-1, -0x1.2c2612b21b72ep-1, -0x1.2cec74d30116cp-1, -0x1.2d8756cbc9175p-1, -0x1.2df7cbab40bp-1, -0x1.2e3ef4c567c0dp-1, -0x1.2e5dfefee8e92p-1, -0x1.2e56206e228c5p-1, -0x1.2e28962d41894p-1, -0x1.2dd6a27caa64ap-1, -0x1.2d618b0bebedfp-1, -0x1.2cca9776057edp-1, -0x1.2c130fe497e6fp-1, -0x1.2b3c3be1e3b94p-1, -0x1.2a47613786ba4p-1, -0x1.2935c30b5bb87p-1, -0x1.2808a0fb30352p-1, -0x1.26c13664b3f0ep-1, -0x1.2560b9c108239p-1, -0x1.23e85c1792194p-1, -0x1.2259488191dcap-1, -0x1.20b4a3bb91b57p-1, -0x1.1efb8bd94b079p-1, -0x1.1d2f17f3f2513p-1, -0x1.1b505801c0e2fp-1, -0x1.1960549b273d9p-1, -0x1.17600ed8d4601p-1, -0x1.15508037abb9bp-1, -0x1.13329a957ab87p-1, -0x1.11074830c634ep-1, -0x1.0ecf6baa5ca5bp-1, -0x1.0c8be008ff591p-1, -0x1.0a3d78bbfd6b8p-1, -0x1.07e501ba76066p-1, -0x1.05833f93b8277p-1, -0x1.0318efa2205d1p-1, -0x1.00a6c826b7bcp-1, -0x1.fc5af0cbe55ep-2, -0x1.f75b5189a1109p-2, -0x1.f24ff5d3d1606p-2, -0x1.ed3a13d06e8e7p-2, -0x1.e81ad4e61b86ap-2, -0x1.e2f356271664cp-2, -0x1.ddc4a8b48134ap-2, -0x1.d88fd2137dde9p-2, -0x1.d355cc74c29cbp-2, -0x1.ce1786fa33596p-2, -0x1.c8d5e60068e1bp-2, -0x1.c391c37925ee7p-2, -0x1.be4bef51a5119p-2, -0x1.b9052fd0ab88bp-2, -0x1.b3be421297f9p-2, -0x1.ae77da5d67855p-2, -0x1.a932a475d068ap-2, -0x1.a3ef43ecd1d21p-2, -0x1.9eae54596dc58p-2, -0x1.9970699a7dfb4p-2, -0x1.943610163eee1p-2, -0x1.8effccfc0f9ebp-2, -0x1.89ce1e92ac15p-2, -0x1.84a17c8591419p-2, -0x1.7f7a5832b9454p-2, -0x1.7a591cf8d8258p-2, -0x1.753e307fd3a37p-2, -0x1.7029f2f7e60ddp-2, -0x1.6b1cbf55e932fp-2, -0x1.6616eb867d1eep-2, -0x1.6118c89db0ba9p-2, -0x1.5c22a3054da6bp-2, -0x1.5734c2a3a305fp-2, -0x1.524f6b12b4e44p-2, -0x1.4d72dbc22f322p-2, -0x1.489f5022a2549p-2, -0x1.43d4ffe027e09p-2, -0x1.3f141f040bb2cp-2, -0x1.3a5cde24b8b9bp-2, -0x1.35af6a8f42ff8p-2, -0x1.310bee6ef0e3p-2, -0x1.2c7290f3a5203p-2, -0x1.27e37672578f7p-2, -0x1.235ec086171d2p-2, -0x1.1ee48e2d5241fp-2, -0x1.1a74fbe55c3e1p-2, -0x1.161023c3bcbd4p-2, -0x1.11b61d8f8fc15p-2, -0x1.0d66fed8031d7p-2, -0x1.0922db0c32078p-2, -0x1.04e9c390e4244p-2, -0x1.00bbc7d5de9fbp-2, -0x1.f931ead6824b7p-3, -0x1.f102b02ca28fp-3, -0x1.e8e9f3c85e264p-3, -0x1.e0e7c67c723c7p-3, -0x1.d8fc35f637915p-3, -0x1.d1274ce2994f3p-3, -0x1.c969130e55ef7p-3, -0x1.c1c18d85da163p-3, -0x1.ba30beb36e2dep-3, -0x1.b2b6a67b3495p-3, -0x1.ab534256d2788p-3, -0x1.a4068d6abf2a3p-3, -0x1.9cd080a6bf134p-3, -0x1.95b112dbbfc7p-3, -0x1.8ea838bf6baf9p-3, -0x1.87b5e51d1c166p-3, -0x1.80da08d922edap-3, -0x1.7a149306efe56p-3, -0x1.736570fd2f692p-3, -0x1.6ccc8e6743707p-3, -0x1.6649d556a8f4ep-3, -0x1.5fdd2e54914ep-3, -0x1.598680716925cp-3, -0x1.5345b1556f395p-3, -0x1.4d1aa54f9cf92p-3, -0x1.47053f649550fp-3, -0x1.4105615d855d6p-3, -0x1.3b1aebd5ee4aep-3, -0x1.3545be4887defp-3, -0x1.2f85b71d1e926p-3, -0x1.29dab3b594e39p-3, -0x1.24449079481f3p-3, -0x1.1ec328e0c5349p-3, -0x1.19565782c21d4p-3, -0x1.13fdf61ded25bp-3, -0x1.0eb9dda45378ap-3, -0x1.0989e64572606p-3, -0x1.046de7791ba35p-3, -0x1.fecb701231a38p-4, -0x1.f4e25c343483ep-4, -0x1.eb203e6afcdc6p-4, -0x1.e184c0a597d6dp-4, -0x1.d80f8bc0d579dp-4, -0x1.cec04796db0cbp-4, -0x1.c5969b106f0b7p-4, -0x1.bc922c36846fbp-4, -0x1.b3b2a04201db4p-4, -0x1.aaf79ba90f70ep-4, -0x1.a260c22f40831p-4, -0x1.99edb6f41c533p-4, -0x1.919e1c84050afp-4, -0x1.897194e0cdb43p-4, -0x1.8167c1934fb5ep-4, -0x1.798043b6f055ap-4, -0x1.71babc08272d9p-4, -0x1.6a16caeae5f0dp-4, -0x1.6294107ea81b7p-4, -0x1.5b322cb0e8623p-4, -0x1.53f0bf2978a11p-4, -0x1.4ccf67793a415p-4, -0x1.45cdc5153bf2fp-4, -0x1.3eeb776123c4ep-4, -0x1.38281db85dd05p-4, -0x1.3183577f0b767p-4, -0x1.2afcc4233ece4p-4, -0x1.2494032b3a8edp-4, -0x1.1e48b43ccbe54p-4, -0x1.181a772b472bap-4, -0x1.1208ebf599379p-4, -0x1.0c13b2d669ff8p-4, -0x1.063a6c490e89cp-4, -0x1.007cb913b0b24p-4, -0x1.f5b4749d2cb63p-5, -0x1.eaa522d17cc5fp-5, -0x1.dfcac05dc564bp-5, -0x1.d52491a625436p-5, -0x1.cab1dbea11d03p-5, -0x1.c071e550f631cp-5, -0x1.b663f4f1755d4p-5, -0x1.ac8752def0ef1p-5, -0x1.a2db482c6fe8ap-5, -0x1.995f1f0525574p-5, -0x1.901222b4565fcp-5, -0x1.86f39fae2773bp-5, -0x1.7e02e3941266bp-5, -0x1.753f3d3bd73e7p-5, -0x1.6ca7fcbb21045p-5, -0x1.643c7375bf009p-5, -0x1.5bfbf425f507bp-5, -0x1.53e5d2e2050e9p-5, -0x1.4bf9651d8bd7dp-5, -0x1.443601ae76679p-5, -0x1.3c9b00d5eb04p-5, -0x1.3527bc4b5770bp-5, -0x1.2ddb8f45fa061p-5, -0x1.26b5d67e591cp-5, -0x1.1fb5f0334c31dp-5, -0x1.18db3c27f0091p-5, -0x1.12251ba94f2fcp-5, -0x1.0b92f19450e97p-5, -0x1.0524225bf0ec9p-5, -0x1.fdb0281cf17cap-6, -0x1.f15c5cb1d848p-6, -0x1.e54bb517fc794p-6, -0x1.d97d073c8d20ep-6, -0x1.cdef2c5d2a2e1p-6, -0x1.c2a100fdecdcap-6, -0x1.b79164e5fd05cp-6, -0x1.acbf3b19e7878p-6, -0x1.a22969e7c4916p-6, -0x1.97cedb007a875p-6, -0x1.8dae7b9471e98p-6, -0x1.83c73c672dea5p-6, -0x1.7a1811a3ae522p-6, -0x1.709ff30d30ccep-6, -0x1.675ddb4794003p-6, -0x1.5e50c844183c1p-6, -0x1.5577bb0b8dfb9p-6, -0x1.4cd1b7e1f5af4p-6, -0x1.445dc6b68685p-6, -0x1.3c1af3479a31cp-6, -0x1.34084d1d3e74dp-6, -0x1.2c24e756eb21ep-6, -0x1.246fd841f80c8p-6, -0x1.1ce838f6fa9ddp-6, -0x1.158d252a304b7p-6, -0x1.0e5dbb50691dep-6, -0x1.07591d108d466p-6, -0x1.007e6fd4b3db4p-6, -0x1.f399ba70d428ap-7, -0x1.e6872624a4659p-7, -0x1.d9c386102c82cp-7, -0x1.cd4d43965522ep-7, -0x1.c122cc9280cdep-7, -0x1.b5429268875cap-7, -0x1.a9ab0a3f752ep-7, -0x1.9e5aae6bce1ecp-7, -0x1.9350007fb5735p-7, -0x1.88898b1fb079dp-7, -0x1.7e05e2c629034p-7, -0x1.73c3a4f114696p-7, -0x1.69c175eb056ddp-7, -0x1.5ffdfe0152018p-7, -0x1.5677e75a17826p-7, -0x1.4d2ddd6d9f281p-7, -0x1.441e8e615ef4ep-7, -0x1.3b48adb8068e9p-7, -0x1.32aaf72c9fdcp-7, -0x1.2a44309170598p-7, -0x1.221329feca057p-7, -0x1.1a16bc28c9b7dp-7, -0x1.124dc56ccc3aap-7, -0x1.0ab726bb48849p-7, -0x1.0351c1c5df368p-7, -0x1.f838f28a7ff17p-8, -0x1.ea2c65ef6f14dp-8, -0x1.dc7bb413f4fccp-8, -0x1.cf24c0d0e4065p-8, -0x1.c2257e00b4c42p-8, -0x1.b57beab51f846p-8, -0x1.a92612ba7d60fp-8, -0x1.9d220e24dd0cp-8, -0x1.916e0027a653dp-8, -0x1.860815eb13fdfp-8, -0x1.7aee868b7da9bp-8, -0x1.701f93eba4b04p-8, -0x1.6599893a151bcp-8, -0x1.5b5ab4a4808e9p-8, -0x1.51615ecdc7f39p-8, -0x1.47abc770d3c93p-8, -0x1.3e382d44794efp-8, -0x1.3504de7e05adcp-8, -0x1.2c1047b710b5ap-8, -0x1.2358f7eb03aacp-8, -0x1.1add992e037dcp-8, -0x1.129ce51e3be5fp-8, -0x1.0a959a4cb2f26p-8, -0x1.02c6712fc6dbep-8, -0x1.f65c1bf2f2ca9p-9, -0x1.e795e986ce3dp-9, -0x1.d9371a5d1e263p-9, -0x1.cb3c79ecd13bap-9, -0x1.bda31d794c71ep-9, -0x1.b0689940221ecp-9, -0x1.a38af85555ccap-9, -0x1.970880a883f49p-9, -0x1.8adf705d98469p-9, -0x1.7f0ddb931c12fp-9, -0x1.7391abcb6f107p-9, -0x1.6868a56ecf5fbp-9, -0x1.5d905fe522749p-9, -0x1.53064150c0169p-9, -0x1.48c7a0f70f10ap-9, -0x1.3ed210fd6930ap-9, -0x1.35239eec21c0cp-9, -0x1.2bbad67c1a3b4p-9, -0x1.229682c82f4f2p-9, -0x1.19b55ac2164edp-9, -0x1.1115ceab8d972p-9, -0x1.08b6117043b4p-9, -0x1.00944e6cded17p-9, -0x1.f15dacf6b07afp-10, -0x1.e208282770cdap-10, -0x1.d324b61fa1509p-10, -0x1.c4afb251ba861p-10, -0x1.b6a575c3f6a71p-10, -0x1.a902acf9503ccp-10, -0x1.9bc482afb7516p-10, -0x1.8ee8a6b6b9464p-10, -0x1.826d162dc3144p-10, -0x1.764fa373e9534p-10, -0x1.6a8db308fe98p-10, -0x1.5f24a16c73d5ep-10, -0x1.54125cf10b6ddp-10, -0x1.495550c7a6412p-10, -0x1.3eeba07d7f7f4p-10, -0x1.34d2a2dca1958p-10, -0x1.2b070fd4c7ffep-10, -0x1.21856c2877a59p-10, -0x1.184a60683f707p-10, -0x1.0f53624281985p-10, -0x1.069f52fdef78bp-10, -0x1.fc5bbfa96fc5ep-11, -0x1.ebfc551e732a6p-11, -0x1.dc1d3f79738cp-11, -0x1.ccbbb963baa9p-11, -0x1.bdd5768a560d9p-11, -0x1.af67055dd4929p-11, -0x1.a16b5671d44f7p-11, -0x1.93dcafe2ba69cp-11, -0x1.86b5d372be673p-11, -0x1.79f238e747fbap-11, -0x1.6d8d1973f33f5p-11, -0x1.61828dc57cf18p-11, -0x1.55d28e79ede7dp-11, -0x1.4a7f24106101dp-11, -0x1.3f87f62f46271p-11, -0x1.34eb4efdd6a87p-11, -0x1.2aa86b4281eecp-11, -0x1.20bcb598a56e7p-11, -0x1.1721fbc90008ap-11, -0x1.0dd181c996304p-11, -0x1.04c6dfa552475p-11, -0x1.f7ffc5233f2e2p-12, -0x1.e6f7492e2efdp-12, -0x1.d6720022a3c21p-12, -0x1.c6689d31d4235p-12, -0x1.b6d61bfa8c2d9p-12, -0x1.a7bf922d3fd43p-12, -0x1.9927f436a6d42p-12, -0x1.8b0bfadda5fp-12, -0x1.7d6bf4646e744p-12, -0x1.70462bd60d561p-12, -0x1.638fa3b1aee46p-12, -0x1.573af566b8222p-12, -0x1.4b3f7506b6c86p-12, -0x1.3f9a45a8f823bp-12, -0x1.344bbe7f366a8p-12, -0x1.2954dd1aeafddp-12, -0x1.1eb65db523a82p-12, -0x1.146ba511f0711p-12, -0x1.0a6e21ce36501p-12, -0x1.00c24cfc9aebep-12, -0x1.eed3d75dae66ep-13, -0x1.dcbf15c9d14a5p-13, -0x1.cb484d700b49dp-13, -0x1.ba6c0f0113f58p-13, -0x1.aa1c7b1d95497p-13, -0x1.9a4e009d5c81dp-13, -0x1.8af6bdf5a0c76p-13, -0x1.7c0e06443f1p-13, -0x1.6d91960657ce8p-13, -0x1.5f840e90a9fbap-13, -0x1.51e571109b0fap-13, -0x1.44b6d154e5589p-13, -0x1.37f5a0468cc52p-13, -0x1.2b9a80087002fp-13, -0x1.1fa9e3bda057bp-13, -0x1.1417dd8281416p-13, -0x1.08e14bbd778f8p-13, -0x1.fc1298ab368dcp-14, -0x1.e711497ecaa97p-14, -0x1.d2bb81e6e0639p-14, -0x1.bf133d1073587p-14, -0x1.ac0f61943c8cfp-14, -0x1.999b2ee3d1714p-14, -0x1.87a87298da547p-14, -0x1.763ba3224a8e6p-14, -0x1.6557582a1a1dap-14, -0x1.54f73a16217dap-14, -0x1.452b77ca7215fp-14, -0x1.35eed020759fep-14, -0x1.272d641f7eb75p-14, -0x1.18d38110acbccp-14, -0x1.0ae7d3d0ff7b8p-14, -0x1.faddb76414c18p-15, -0x1.e0b570060885bp-15, -0x1.c758a76c748cbp-15, -0x1.aed4f2552c3cdp-15, -0x1.9731e8c9c85f2p-15, -0x1.8066a123757a8p-15, -0x1.6a4d480c1219p-15, -0x1.54c5f091cd099p-15, -0x1.3fe0cf34fc065p-15, -0x1.2ba635416ce27p-15, -0x1.18051856649a3p-15, -0x1.0526de5128653p-15, -0x1.e605746e185a9p-16, -0x1.c2ad9a819a0e7p-16, -0x1.a0426ed832a7fp-16, -0x1.7f0cb9a688ffdp-16, -0x1.5edd84b6758b5p-16, -0x1.3fa1ed82cad7fp-16, -0x1.216010b0aefdfp-16, -0x1.041afdaf663fdp-16, -0x1.cfb1b240af975p-17, -0x1.994d5d60dac65p-17, -0x1.64fe9c628cc29p-17, -0x1.32485bea520a2p-17, -0x1.00eea26b0db6fp-17, -0x1.a28581da783d1p-18, -0x1.462dbf1c20babp-18, -0x1.da396662ab24p-19, -0x1.2fbfbb651a9efp-19, -0x1.158bd16f4be0dp-20, 0x1.61ba9c49c44ecp-23, 0x1.61709afaeaddp-20, 0x1.45f81d0a529b5p-19, 0x1.d64ad6aee9028p-19, 0x1.30caa4812296bp-18, 0x1.73f4ed954d3cap-18, 0x1.b4b615de303e4p-18, 0x1.f31ee7b1d3467p-18, 0x1.1797ae9727ce2p-17, 0x1.3460bbf8be234p-17, 0x1.4fe5c38974a55p-17, 0x1.6a76500b90382p-17, 0x1.841329552697bp-17, 0x1.9cc0b5bfaef82p-17, 0x1.b4591517d588p-17, 0x1.caebcff26cfbfp-17, 0x1.e084931cf8d17p-17, 0x1.f5678e0d6652cp-17, 0x1.04a4668a1f5adp-16, 0x1.0e2a2d87c9446p-16, 0x1.17467148c0a67p-16, 0x1.1ff86b61614ecp-16, 0x1.284222ec93357p-16, 0x1.3026b8db168d8p-16, 0x1.37a8aca4b54a8p-16, 0x1.3ecb33e828b09p-16, 0x1.4591bcff37a6bp-16, 0x1.4bfebbbfa3938p-16, 0x1.520cc845a1e11p-16, 0x1.57b359b301a4p-16, 0x1.5d0ac45b582c3p-16, 0x1.621b0a64e9155p-16, 0x1.66d03401e6cbfp-16, 0x1.6b353aed25042p-16, 0x1.6f4d35328a053p-16, 0x1.731d2cfc3367cp-16, 0x1.769f15a329353p-16, 0x1.79db33672b1b9p-16, 0x1.7ccffc5c9c6a7p-16, 0x1.7f7eb39f597d3p-16, 0x1.81e91224d4a32p-16, 0x1.8410b342451f2p-16, 0x1.85f721262cd6cp-16, 0x1.879dedece9063p-16, 0x1.8906acdb4887cp-16, 0x1.8a33007de5e7p-16, 0x1.8b24ed2184f7ap-16, 0x1.8bdef22a4956p-16, 0x1.8c5f99a5b09e3p-16, 0x1.8c9e81c6d9318p-16, 0x1.8cae8eaa9af6ep-16, 0x1.8c8a1f701952p-16, 0x1.8c2fdb2e11f26p-16, 0x1.8ba4e5a86ee31p-16, 0x1.8ae6e9907ec79p-16, 0x1.89fb3aa1b987ep-16, 0x1.88e0110f23de5p-16, 0x1.8796db5d33506p-16, 0x1.8620ac6503747p-16, 0x1.847eaa374b9fdp-16, 0x1.82b1e77aa78e5p-16, 0x1.80bb6c90ddce2p-16, 0x1.7e9c44a611561p-16, 0x1.7c557bf0b7d8bp-16, 0x1.79e814bb1a8e7p-16, 0x1.775506523dc4ap-16, 0x1.749d5427d4967p-16, 0x1.71c2228d6c0d4p-16, 0x1.6ec4831533037p-16, 0x1.6ba5a991a191ep-16, 0x1.68632be3d0352p-16, 0x1.650268e2abed4p-16, 0x1.61817d10722f1p-16, 0x1.5de16dcc98134p-16, 0x1.5a257d6eeb279p-16, 0x1.564d25b53f67ap-16, 0x1.5258f40a17ed6p-16, 0x1.4e49b316fdbfep-16, 0x1.4a20360a85886p-16, 0x1.45dd883c3af6ap-16, 0x1.418258dab1358p-16, 0x1.3d0f74382be1fp-16, 0x1.3885a4bf32a39p-16, 0x1.33e5b6acc1898p-16, 0x1.2f305f03dcf5fp-16, 0x1.2a666589a498ep-16, 0x1.25888f60b65c3p-16, 0x1.2097992873db9p-16, 0x1.1b942ef071923p-16, 0x1.167f022230b06p-16, 0x1.1158dd984cc26p-16, 0x1.0c227a88d8c74p-16, 0x1.06dd4a9e238ebp-16, 0x1.01882e6b09714p-16, 0x1.f848aeebd7c1bp-17, 0x1.ed667a06c9074p-17, 0x1.e26b4d42521e3p-17, 0x1.d7577b8958211p-17, 0x1.cc2c4996f9442p-17, 0x1.c0eb0806fd193p-17, 0x1.b59505705028bp-17, 0x1.aa2b78825a08fp-17, 0x1.9eaf9a5fb10b5p-17, 0x1.9322a21b4456bp-17, 0x1.8785c05d333f2p-17, 0x1.7bda213b6d2d8p-17, 0x1.7020ecd2db0b1p-17, 0x1.645b4829cd444p-17, 0x1.588a5511a288ap-17, 0x1.4caf28a8ab902p-17, 0x1.40cadb80f905bp-17, 0x1.34de872add341p-17, 0x1.28eb371a06d06p-17, 0x1.1cf2358ad0e7cp-17, 0x1.10f3eb0ef073ep-17, 0x1.04f1fcee6a959p-17, 0x1.f1da3f9e37013p-18, 0x1.d9cdcaf5027dfp-18, 0x1.c1be96f915ef4p-18, 0x1.a9ae4f0cf2335p-18, 0x1.91a15e0ccec5fp-18, 0x1.79983b237dcf5p-18, 0x1.6194af74ac8f2p-18, 0x1.4998925d49ce6p-18, 0x1.31a5acbf826bcp-18, 0x1.19bdbcdb2784ap-18, 0x1.01e27a276014ap-18, 0x1.d42a9907a78f5p-19, 0x1.a4b09b3dc8cacp-19, 0x1.755a7def606cap-19, 0x1.462a254475efcp-19, 0x1.1723496adf78p-19, 0x1.d091f329f6a9fp-20, 0x1.733c5c3517176p-20, 0x1.164b9804dceadp-20, 0x1.738bde5a38216p-21, 0x1.76c040aa6bb12p-22, 0x1.083f89f1c01a1p-27, -0x1.64506da0954cbp-22, -0x1.677012e2bcd2p-21, -0x1.0dd66c8443bbep-20, -0x1.6769e1981d051p-20, -0x1.c06dab916ec52p-20, -0x1.0c6ea65d91bcfp-19, -0x1.3855a0e907907p-19, -0x1.63f401fa4f3d3p-19, -0x1.8f40c3e704265p-19, -0x1.ba37e40bc85bap-19, -0x1.e4d9b88ed5d63p-19, -0x1.0792131f1898bp-18, -0x1.1c8b1a355360dp-18, -0x1.315502cbf8d0ap-18, -0x1.45f0e64469b8bp-18, -0x1.5a5d0fb42758cp-18, -0x1.6e98a44fa1ff7p-18, -0x1.82a2c551a9918p-18, -0x1.967a823fab99ep-18, -0x1.aa1f24413d025p-18, -0x1.bd8feaeb7db8cp-18, -0x1.d0cbe9ea0053p-18, -0x1.e3d26dc1ac8ffp-18, -0x1.f6a2c51775b16p-18, -0x1.049e20c384b1bp-17, -0x1.0dcf14be4224fp-17, -0x1.16e3edabb6474p-17, -0x1.1fdc5f9c845f6p-17, -0x1.28b81bc49b4d1p-17, -0x1.3176d89d78b3ap-17, -0x1.3a184f093a103p-17, -0x1.429c3c6e00428p-17, -0x1.4b025ecce2524p-17, -0x1.534a7d06d80adp-17, -0x1.5b745bc5e7882p-17, -0x1.63800b886348ep-17, -0x1.6b6c24be2ac84p-17, -0x1.733a6edcef841p-17, -0x1.7ae91588cf091p-17, -0x1.8278a7432957bp-17, -0x1.89e8d54847d6p-17, -0x1.91396f3a6437bp-17, -0x1.986a3787685dcp-17, -0x1.9f7bd1c4dafa1p-17, -0x1.a66c9180b0a4fp-17, -0x1.ad3deeb115fddp-17, -0x1.b3eef88aae039p-17, -0x1.ba7fc42137a4ap-17, -0x1.c0f04132cf4b1p-17, -0x1.c7405d8a8796ap-17, -0x1.cd7009250823ep-17, -0x1.d37f3373bb1c3p-17, -0x1.d96dd00499b58p-17, -0x1.df3bec68b8806p-17, -0x1.e4e9637e70914p-17, -0x1.ea7640d7b3a54p-17, -0x1.efe28090ec95ap-17, -0x1.f52e22a439617p-17, -0x1.fa592d5e05143p-17, -0x1.ff637a1a3a546p-17, -0x1.0226c0f0d44e9p-16, -0x1.048b66fd5f6fp-16, -0x1.06dfd4a909e7ap-16, -0x1.092419207dc7fp-16, -0x1.0b57fe3913bc5p-16, -0x1.0d7bea2502df9p-16, -0x1.0f8fa873a1065p-16, -0x1.1192bd6d32796p-16, -0x1.1386f747e6de7p-16, -0x1.156a869d82ab6p-16, -0x1.173e329439d86p-16, -0x1.1901fa2b9ae25p-16, -0x1.1ab5ec03bb671p-16, -0x1.1c5a1980b3161p-16, -0x1.1deeaeb1d893fp-16, -0x1.1f73574587edep-16, -0x1.20e8921041912p-16, -0x1.224e41e4a1387p-16, -0x1.23a47ad3f6dc9p-16, -0x1.24eb73e64d46dp-16, -0x1.262316a210281p-16, -0x1.274b88878494ep-16, -0x1.2864d934ac0b5p-16, -0x1.296f251a2110fp-16, -0x1.2a6a81806e6bep-16, -0x1.2b5705720cc95p-16, -0x1.2c34c94360fc3p-16, -0x1.2d03e5a24f46p-16, -0x1.2dc473791f24cp-16, -0x1.2e768c11747b1p-16, -0x1.2f1a4bc54918ap-16, -0x1.2fafcc0c34ff6p-16, -0x1.303727bbdbbcap-16, -0x1.30b07b32fa571p-16, -0x1.311be2b7b79a5p-16, -0x1.31797af143748p-16, -0x1.31c9610e4b789p-16, -0x1.320bb2bd4a40fp-16, -0x1.32408e7ed513ep-16, -0x1.326812545ef6bp-16, -0x1.3282645c01205p-16, -0x1.328f8e3304762p-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.e80bb827e674dp-14, 0x1.e7cae978befdap-12, 0x1.1225a52cafbc8p-10, 0x1.e6c9bc007be36p-10, 0x1.7bb87557c7fb9p-9, 0x1.10e4068626dc3p-8, 0x1.72a02a20f2efp-8, 0x1.e2e07e4a2dc4ep-8, 0x1.30b761efabae8p-7, 0x1.770785c7c1f13p-7, 0x1.c4400e8c5358bp-7, 0x1.0c1ef73c5602ep-6, 0x1.396debe5ae372p-6, 0x1.69f9367ab2d36p-6, 0x1.9dac378e0f7ap-6, 0x1.d471756489639p-6, 0x1.071958ac2699ap-5, 0x1.256c7e20d7239p-5, 0x1.452664f1f95f3p-5, 0x1.663b01b028313p-5, 0x1.889e0c5a0d3a1p-5, 0x1.ac4308a47a2a5p-5, 0x1.d11d4dcfa6dbbp-5, 0x1.f7200e0e244f7p-5, 0x1.0f1f2ec11e0c5p-4, 0x1.23359c6b5006dp-4, 0x1.37ccc5bb9685ap-4, 0x1.4cde1ab740613p-4, 0x1.62630876732eep-4, 0x1.7854fbbe82968p-4, 0x1.8ead637543853p-4, 0x1.a565b2ef590dbp-4, 0x1.bc77641b6b987p-4, 0x1.d3dbf98c1d1b9p-4, 0x1.eb8d006269893p-4, 0x1.01c2090d1d8c4p-3, 0x1.0ddd6b1d4f489p-3, 0x1.1a1581f591ccap-3, 0x1.266731b7e9b68p-3, 0x1.32cf67c687e19p-3, 0x1.3f4b1b6a4359ep-3, 0x1.4bd74e6e3de6dp-3, 0x1.58710db131d7bp-3, 0x1.651571acfa33ap-3, 0x1.71c19ef4b7d2bp-3, 0x1.7e72c6aa166e2p-3, 0x1.8b2626ea0d247p-3, 0x1.97d90b3175ea5p-3, 0x1.a488ccb9e2d36p-3, 0x1.b132d2ceede3dp-3, 0x1.bdd4931c58bdep-3, 0x1.ca6b91f5444b1p-3, 0x1.d6f56294af00cp-3, 0x1.e36fa75788e9p-3, 0x1.efd811f087a9ap-3, 0x1.fc2c6395ef4f6p-3, 0x1.04353694c3a41p-2, 0x1.0a4807ad7200dp-2, 0x1.104d9d6217b32p-2, 0x1.1644f800d522bp-2, 0x1.1c2d1fe1fd00bp-2, 0x1.2205256ec00a7p-2, 0x1.27cc21256cac9p-2, 0x1.2d81339b556fdp-2, 0x1.3323857c78214p-2, 0x1.38b24788f2e9dp-2, 0x1.3e2cb2905ea1dp-2, 0x1.4392076b21bc7p-2, 0x1.48e18ef1d0e6ap-2, 0x1.4e1a99f2acbe2p-2, 0x1.533c812556936p-2, 0x1.5846a51ccb9b4p-2, 0x1.5d386e37bec0ep-2, 0x1.62114c8f5f2a6p-2, 0x1.66d0b7e4a5635p-2, 0x1.6b762f8c36212p-2, 0x1.70013a58f3b33p-2, 0x1.74716685498d3p-2, 0x1.78c6499b4d317p-2, 0x1.7cff805bc28cfp-2, 0x1.811caea418019p-2, 0x1.851d7f536c253p-2, 0x1.8901a42eafaf6p-2, 0x1.8cc8d5c3f2194p-2, 0x1.9072d34ceeec1p-2, 0x1.93ff6290e9626p-2, 0x1.976e4fc5e46cbp-2, 0x1.9abf6d714c37ap-2, 0x1.9df294481adfdp-2, 0x1.a107a30e8909bp-2, 0x1.a3fe7e775b147p-2, 0x1.a6d71102d02e8p-2, 0x1.a9914add4daecp-2, 0x1.ac2d21bdc32efp-2, 0x1.aeaa90c3de44bp-2, 0x1.b10998561948ep-2, 0x1.b34a3dffa60f1p-2, 0x1.b56c8c4e4afa2p-2, 0x1.b77092b031fe8p-2, 0x1.b9566551bc0ap-2, 0x1.bb1e1cfb57f05p-2, 0x1.bcc7d6ef6cb1bp-2, 0x1.be53b4c85b10fp-2, 0x1.bfc1dc56a095ep-2, 0x1.c112777f1cde2p-2, 0x1.c245b41989113p-2, 0x1.c35bc3cf1f44ap-2, 0x1.c454dbf97b7d9p-2, 0x1.c5313581b9d48p-2, 0x1.c5f10cbfdaf7p-2, 0x1.c694a15a6cd55p-2, 0x1.c71c362682096p-2, 0x1.c7881107f786ep-2, 0x1.c7d87ad210ef5p-2, 0x1.c80dbf2869c8ap-2, 0x1.c8282c6043efdp-2, 0x1.c828136232d92p-2, 0x1.c80dc78c263fbp-2, 0x1.c7d99e93dd10ep-2, 0x1.c78bf069b605ep-2, 0x1.c725171bf0d39p-2, 0x1.c6a56eba53312p-2, 0x1.c60d553a3cb2ap-2, 0x1.c55d2a5b27b67p-2, 0x1.c4954f8b9845bp-2, 0x1.c3b627ce7c6d7p-2, 0x1.c2c017a100b33p-2, 0x1.c1b384e0d20c7p-2, 0x1.c090d6b2d9393p-2, 0x1.bf58756a6959p-2, 0x1.be0aca70e29b8p-2, 0x1.bca8402dcde3bp-2, 0x1.bb3141ef6eb97p-2, 0x1.b9a63bd3cd4c5p-2, 0x1.b8079ab237359p-2, 0x1.b655cc053aef1p-2, 0x1.b4913dd51a79bp-2, 0x1.b2ba5ea2b847cp-2, 0x1.b0d19d52fc38fp-2, 0x1.aed7691ab3bb2p-2, 0x1.accc316ae839bp-2, 0x1.aab065ddb1232p-2, 0x1.a88476237fc1bp-2, 0x1.a648d1f0e081bp-2, 0x1.a3fde8ecb83e2p-2, 0x1.a1a42a9ef92e1p-2, 0x1.9f3c065fcd3fp-2, 0x1.9cc5eb473c763p-2, 0x1.9a42481d468c2p-2, 0x1.97b18b4a7428cp-2, 0x1.951422c8df4f4p-2, 0x1.926a7c15afe63p-2, 0x1.8fb504230dac6p-2, 0x1.8cf4274a83a6cp-2, 0x1.8a28513fdb9e9p-2, 0x1.8751ed0466421p-2, 0x1.847164dab8418p-2, 0x1.8187223ad7223p-2, 0x1.7e938dc6d5571p-2, 0x1.7b970f3fdcbdp-2, 0x1.78920d7ba70acp-2, 0x1.7584ee5a61204p-2, 0x1.727016bcfd2acp-2, 0x1.6f53ea7be90f1p-2, 0x1.6c30cc5e348a6p-2, 0x1.69071e1118847p-2, 0x1.65d7401fea234p-2, 0x1.62a191ec6e2f8p-2, 0x1.5f6671a793d3bp-2, 0x1.5c263c4a8fac9p-2, 0x1.58e14d9058ecep-2, 0x1.5597ffef842f3p-2, 0x1.524aac947e989p-2, 0x1.4ef9ab5c2405ap-2, 0x1.4ba552ceafd0dp-2, 0x1.484df81b0913dp-2, 0x1.44f3ef12643b2p-2, 0x1.41978a243e521p-2, 0x1.3e391a5aa85a3p-2, 0x1.3ad8ef56eb09p-2, 0x1.3777574e777ddp-2, 0x1.34149f082b15cp-2, 0x1.30b111d9df571p-2, 0x1.2d4cf9a647b42p-2, 0x1.29e89edb18c14p-2, 0x1.2684486f7b80ap-2, 0x1.23203be2c3f81p-2, 0x1.1fbcbd3b713a2p-2, 0x1.1c5a0f066ef65p-2, 0x1.18f872569b351p-2, 0x1.159826c48af85p-2, 0x1.12396a6e90637p-2, 0x1.0edc79f8fa813p-2, 0x1.0b81908e93ed3p-2, 0x1.0828e7e159594p-2, 0x1.04d2b82b685d4p-2, 0x1.017f383025419p-2, 0x1.fc5d3a7b287c5p-3, 0x1.f5c2365bd285ap-3, 0x1.ef2dc8d285b29p-3, 0x1.e8a053cf355efp-3, 0x1.e21a3665c1951p-3, 0x1.db9bccd28ab22p-3, 0x1.d525707f53527p-3, 0x1.ceb778087cd7ep-3, 0x1.c85237428c111p-3, 0x1.c1f5ff40008f2p-3, 0x1.bba31e576c321p-3, 0x1.b559e029d8fd8p-3, 0x1.af1a8da96abe6p-3, 0x1.a8e56d20462d8p-3, 0x1.a2bac237ab166p-3, 0x1.9c9acdff55bdfp-3, 0x1.9685cef509a0ap-3, 0x1.907c010c58009p-3, 0x1.8a7d9db694316p-3, 0x1.848adbeaf925dp-3, 0x1.7ea3f02ef5b18p-3, 0x1.78c90c9ea3031p-3, 0x1.72fa60f567facp-3, 0x1.6d381a96b35fap-3, 0x1.67826496e12e5p-3, 0x1.61d967c43c0ep-3, 0x1.5c3d4ab018473p-3, 0x1.56ae31b80ae08p-3, 0x1.512c3f0f35d7bp-3, 0x1.4bb792c7acfbbp-3, 0x1.46504adbe8d99p-3, 0x1.40f683384de4ap-3, 0x1.3baa55c4c1b17p-3, 0x1.366bda6e4abeep-3, 0x1.313b2730bbae8p-3, 0x1.2c1850206749p-3, 0x1.27036773d9c9ap-3, 0x1.21fc7d8d9a13cp-3, 0x1.1d03a105e7649p-3, 0x1.1818deb480b0fp-3, 0x1.133c41ba6175fp-3, 0x1.0e6dd38b8672ep-3, 0x1.09ad9bf8a532fp-3, 0x1.04fba138e5583p-3, 0x1.0057e7f38e779p-3, 0x1.f784e6935f997p-4, 0x1.ee7689bf773a9p-4, 0x1.e584b9ce3aa9dp-4, 0x1.dcaf744f7185ap-4, 0x1.d3f6b412d2ae8p-4, 0x1.cb5a713ac8b3ep-4, 0x1.c2daa14f2bb35p-4, 0x1.ba77374fd0fe8p-4, 0x1.b23023c6f089p-4, 0x1.aa0554db6c6dcp-4, 0x1.a1f6b662f3831p-4, 0x1.9a0431f3e4996p-4, 0x1.922daef721e53p-4, 0x1.8a7312b9a56ep-4, 0x1.82d4407de7ecap-4, 0x1.7b51198d19ec7p-4, 0x1.73e97d482af67p-4, 0x1.6c9d49389b9b2p-4, 0x1.656c59211b6a4p-4, 0x1.5e56870df0babp-4, 0x1.575bab652935fp-4, 0x1.507b9cf69406cp-4, 0x1.49b6310b7fb0dp-4, 0x1.430b3b76418c1p-4, 0x1.3c7a8ea17fdadp-4, 0x1.3603fb9f41d18p-4, 0x1.2fa75237c2c06p-4, 0x1.296460f80a20fp-4, 0x1.233af5404204dp-4, 0x1.1d2adb51d566ap-4, 0x1.1733de5d4c81cp-4, 0x1.1155c88fea899p-4, 0x1.0b9063210edc7p-4, 0x1.05e3765f53b6ep-4, 0x1.004ec9bd70bcap-4, 0x1.f5a447bdb65d4p-5, 0x1.eada954851d29p-5, 0x1.e040066e61c4fp-5, 0x1.d5d4242ddbd04p-5, 0x1.cb96764642abap-5, 0x1.c186834f6b824p-5, 0x1.b7a3d0cfc2df8p-5, 0x1.adede35218933p-5, 0x1.a4643e7ae0405p-5, 0x1.9b06651d069cdp-5, 0x1.91d3d94e3aa79p-5, 0x1.88cc1c7abd7ccp-5, 0x1.7feeaf78b9d4bp-5, 0x1.773b129b1d331p-5, 0x1.6eb0c5c3f6a58p-5, 0x1.664f48765c78dp-5, 0x1.5e1619e7d999ep-5, 0x1.5604b9116247dp-5, 0x1.4e1aa4bfd28e2p-5, 0x1.46575ba3f4c4p-5, 0x1.3eba5c621a9f4p-5, 0x1.374325a138abdp-5, 0x1.2ff1361997db8p-5, 0x1.28c40ca312458p-5, 0x1.21bb2842dfa96p-5, 0x1.1ad60838f8be5p-5, 0x1.14142c0d03f02p-5, 0x1.0d75139ae5ed6p-5, 0x1.06f83f1ed1c96p-5, 0x1.009d2f410560cp-5, 0x1.f4c6ca422d1f2p-6, 0x1.e894c4c1a75e1p-6, 0x1.dca3525d98eeap-6, 0x1.d0f178a0dc526p-6, 0x1.c57e3e5782d86p-6, 0x1.ba48aba19693fp-6, 0x1.af4fca05152e8p-6, 0x1.a492a47f3f063p-6, 0x1.9a104795208fep-6, 0x1.8fc7c16372d74p-6, 0x1.85b821adcc121p-6, 0x1.7be079ed22647p-6, 0x1.723fdd5da2f1dp-6, 0x1.68d5610be5ac8p-6, 0x1.5fa01be17bc76p-6, 0x1.569f26b0e5746p-6, 0x1.4dd19c40dbefdp-6, 0x1.4536995718a9p-6, 0x1.3ccd3cc26de72p-6, 0x1.3494a76467cd8p-6, 0x1.2c8bfc3a43155p-6, 0x1.24b2606567ed7p-6, 0x1.1d06fb3356b62p-6, 0x1.1588f6251124ap-6, 0x1.0e377cf5fd002p-6, 0x1.0711bda250a66p-6, 0x1.0016e86cec7dcp-6, 0x1.f28c5fc9a968dp-7, 0x1.e53d91d458a9cp-7, 0x1.d83fd5655af0ep-7, 0x1.cb919d9b98a77p-7, 0x1.bf316250a64f6p-7, 0x1.b31da01f50b27p-7, 0x1.a754d86936ffap-7, 0x1.9bd5915baf5b7p-7, 0x1.909e55f3ed714p-7, 0x1.85adb60254816p-7, 0x1.7b02462d262d5p-7, 0x1.709a9ff27d1fdp-7, 0x1.667561a97fdb7p-7, 0x1.5c912e8310a68p-7, 0x1.52ecae89bca7cp-7, 0x1.49868ea11fae3p-7, 0x1.405d8084b4c37p-7, 0x1.37703ac5f5b0cp-7, 0x1.2ebd78ca0f478p-7, 0x1.2643fac6e6286p-7, 0x1.1e0285bfc401bp-7, 0x1.15f7e3816167bp-7, 0x1.0e22e29d89384p-7, 0x1.068256662e8d4p-7, 0x1.fe2a2dd06e7fcp-8, 0x1.efb401cb553f8p-8, 0x1.e19feb9f2e86ep-8, 0x1.d3ebb77f11a3bp-8, 0x1.c6953ae13b9fcp-8, 0x1.b99a547084778p-8, 0x1.acf8ebfd29bd1p-8, 0x1.a0aef26ce8bfbp-8, 0x1.94ba61aa6e201p-8, 0x1.89193c94226b3p-8, 0x1.7dc98eea9160dp-8, 0x1.72c96d3e2ed06p-8, 0x1.6816f4dc86d79p-8, 0x1.5db04bbd00eadp-8, 0x1.5393a06d286c4p-8, 0x1.49bf29fc919ebp-8, 0x1.403127e83223dp-8, 0x1.36e7e2058d49p-8, 0x1.2de1a86d465dp-8, 0x1.251cd3659d592p-8, 0x1.1c97c34c750ap-8, 0x1.1450e080fe4dcp-8, 0x1.0c469b4d457c7p-8, 0x1.04776bcf5401ep-8, 0x1.f9c3a3c494bcdp-9, 0x1.eb08aa0e3c38bp-9, 0x1.dcbb089a77409p-9, 0x1.ced7ec75dfea7p-9, 0x1.c15c916b4cd0ap-9, 0x1.b44641d45399bp-9, 0x1.a79256690047bp-9, 0x1.9b3e360fea89dp-9, 0x1.8f4755adca246p-9, 0x1.83ab37f514ea4p-9, 0x1.78676d35685bep-9, 0x1.6d79932b01591p-9, 0x1.62df54cdcdedep-9, 0x1.58966a20fb891p-9, 0x1.4e9c98020718ep-9, 0x1.44efaff83b7ddp-9, 0x1.3b8d900417392p-9, 0x1.3274226ea7f8ap-9, 0x1.29a15d9968bd9p-9, 0x1.211343cd89249p-9, 0x1.18c7e30c1b7c8p-9, 0x1.10bd54de26283p-9, 0x1.08f1be247e63dp-9, 0x1.01634ee8936cfp-9, 0x1.f4208459ad29ap-10, 0x1.e5edbb7bab90ap-10, 0x1.d82ae406b8911p-10, 0x1.cad4b3a363939p-10, 0x1.bde7f47725911p-10, 0x1.b16184c83b37dp-10, 0x1.a53e56a230f4fp-10, 0x1.997b6f7b83f7p-10, 0x1.8e15e7dbb066p-10, 0x1.830aeb020ec6ep-10, 0x1.7857b68d1b33ep-10, 0x1.6df99a232ba04p-10, 0x1.63edf71b2dfdbp-10, 0x1.5a324026b285bp-10, 0x1.50c3f8fcaea85p-10, 0x1.47a0b604d379ep-10, 0x1.3ec61c04177ecp-10, 0x1.3631dfca2626cp-10, 0x1.2de1c5df5c05p-10, 0x1.25d3a233e342ap-10, 0x1.1e0557cf9cfc2p-10, 0x1.1674d8832657ap-10, 0x1.0f20249969391p-10, 0x1.08054a8a821acp-10, 0x1.012266af7fe09p-10, 0x1.f4eb45ed8a771p-11, 0x1.e7fa6d3415f25p-11, 0x1.db6ecba98f892p-11, 0x1.cf45033706a8cp-11, 0x1.c379cea9517b4p-11, 0x1.b80a0123c47e9p-11, 0x1.acf285953ac87p-11, 0x1.a2305e2ec9753p-11, 0x1.97c0a3dd191a2p-11, 0x1.8da085c26f4fep-11, 0x1.83cd48b4ae387p-11, 0x1.7a4446bb96ad1p-11, 0x1.7102ee9191cfdp-11, 0x1.6806c32659201p-11, 0x1.5f4d5b2415bbdp-11, 0x1.56d4607594274p-11, 0x1.4e998fcf308f5p-11, 0x1.469ab839bfbabp-11, 0x1.3ed5ba9e80575p-11, 0x1.374889565c4f1p-11, 0x1.2ff127b977591p-11, 0x1.28cda9b279a81p-11, 0x1.21dc335225955p-11, 0x1.1b1af865ad349p-11, 0x1.14883c0f04971p-11, 0x1.0e22505e12c22p-11, 0x1.07e795ed09b16p-11, 0x1.01d67b7e362c9p-11, 0x1.f7dafb35818f5p-12, 0x1.ec564c6967512p-12, 0x1.e11c18933758p-12, 0x1.d629a70efa492p-12, 0x1.cb7c57e6e307bp-12, 0x1.c111a32472ba3p-12, 0x1.b6e71823f0a3bp-12, 0x1.acfa5cecb46bfp-12, 0x1.a3492d8beb6abp-12, 0x1.99d15b736a392p-12, 0x1.9090ccdb9fe7dp-12, 0x1.87857c283a41ep-12, 0x1.7ead7750791d7p-12, 0x1.7606df4b145a8p-12, 0x1.6d8fe77ce325fp-12, 0x1.6546d52a43252p-12, 0x1.5d29feed993a7p-12, 0x1.5537cc2d87fa1p-12, 0x1.4d6eb498ff1dcp-12, 0x1.45cd3fa4fe78ap-12, 0x1.3e52040dfc42ep-12, 0x1.36fba75bb309ap-12, 0x1.2fc8dd67e67a3p-12, 0x1.28b867e811131p-12, 0x1.21c915f99c25ep-12, 0x1.1af9c3b0ac879p-12, 0x1.144959aa89235p-12, 0x1.0db6cca250e07p-12, 0x1.07411d070ca88p-12, 0x1.00e75696a4878p-12, 0x1.f5511ff22b4c1p-13, 0x1.e907d4bfb2f12p-13, 0x1.dcf1224cc6829p-13, 0x1.d10b72ece401ep-13, 0x1.c55543db2ce72p-13, 0x1.b9cd248b55022p-13, 0x1.ae71b5fe1ffb9p-13, 0x1.a341aa1b4bc04p-13, 0x1.983bc3104c015p-13, 0x1.8d5ed2b2beabp-13, 0x1.82a9b9e59eeb7p-13, 0x1.781b6805bc356p-13, 0x1.6db2da582276p-13, 0x1.636f1b7d20094p-13, 0x1.594f42e743b0ep-13, 0x1.4f5274568d1b3p-13, 0x1.4577df56dbdfcp-13, 0x1.3bbebec22c2a8p-13, 0x1.32265845ce4f4p-13, 0x1.28adfbeda7197p-13, 0x1.1f5503b11f8d9p-13, 0x1.161ad30311613p-13, 0x1.0cfed665d5cafp-13, 0x1.0400830320333p-13, 0x1.f63eac8a4a852p-14, 0x1.e4b5aaeb3d12fp-14, 0x1.d3651aba9c1dcp-14, 0x1.c24c23d304ffcp-14, 0x1.b169fba3c1748p-14, 0x1.a0bde4827ca22p-14, 0x1.90472d05621e8p-14, 0x1.80052f6228b2ep-14, 0x1.6ff750d068eb5p-14, 0x1.601d00f4c846ep-14, 0x1.5075b94cfd4bap-14, 0x1.4100fca533201p-14, 0x1.31be568e65614p-14, 0x1.22ad5adc72e41p-14, 0x1.13cda525eb138p-14, 0x1.051ed84d387c5p-14, 0x1.ed413c147eb76p-15, 0x1.d0a54cef125f2p-15, 0x1.b4694f4e9e609p-15, 0x1.988cba7588563p-15, 0x1.7d0f0ffbcad22p-15, 0x1.61efdb091f534p-15, 0x1.472eaf9e4bd95p-15, 0x1.2ccb29e4f49b1p-15, 0x1.12c4ed80e91ddp-15, 0x1.f23749dc0eb81p-16, 0x1.bf9e01c0a2a8cp-16, 0x1.8dbd6f5fd6b4cp-16, 0x1.5c95099859b34p-16, 0x1.2c245055cf209p-16, 0x1.f8d5971e1ff4ap-17, 0x1.9ad0149f4a88p-17, 0x1.3e3743896d18dp-17, 0x1.c614b13ff6c11p-18, 0x1.129122e575bb8p-18, 0x1.87899577459f2p-20, -0x1.2fe3ca8bca364p-20, -0x1.ee04905c3596ep-19, -0x1.9f3af8d490f3fp-18, -0x1.22522fa59d666p-17, -0x1.739feaea58e96p-17, -0x1.c3875c5181eeep-17, -0x1.09049a0b1f327p-16, -0x1.2f9312c14de7bp-16, -0x1.556f74009c6c7p-16, -0x1.7a9a1bffc353dp-16, -0x1.9f136bedef083p-16, -0x1.c2dbc8532bd79p-16, -0x1.e5f39975ce243p-16, -0x1.042da5d416e8ap-15, -0x1.1509a7d3c7ae5p-15, -0x1.258e0d72e8d56p-15, -0x1.35bb13e8fdcb9p-15, -0x1.4590fb0a602b3p-15, -0x1.5510056a1a19p-15, -0x1.64387872f9283p-15, -0x1.730a9c806231ap-15, -0x1.8186bcf1c02e9p-15, -0x1.8fad2841ef6a7p-15, -0x1.9d7e3017dbcap-15, -0x1.aafa2955d7ef3p-15, -0x1.b8216c27b8079p-15, -0x1.c4f4540a7ca55p-15, -0x1.d1733fd66c88fp-15, -0x1.dd9e91c8879a5p-15, -0x1.e976af86f403cp-15, -0x1.f4fc022369e41p-15, -0x1.00177b0fed359p-14, -0x1.0587fdb78bdf6p-14, -0x1.0acfc2b8562a5p-14, -0x1.0fef057908933p-14, -0x1.14e60313d5bb8p-14, -0x1.19b4fa554fba1p-14, -0x1.1e5c2bb911811p-14, -0x1.22dbd966b6ce5p-14, -0x1.2734472cd256cp-14, -0x1.2b65ba7b9e968p-14, -0x1.2f707a6054b94p-14, -0x1.3354cf80547d7p-14, -0x1.3713041197fbp-14, -0x1.3aab63d5b7ad9p-14, -0x1.3e1e3c12131c5p-14, -0x1.416bdb891030bp-14, -0x1.449492725442ap-14, -0x1.4798b272dee1bp-14, -0x1.4a788e94bf5fep-14, -0x1.4d347b3e63ae6p-14, -0x1.4fccce2aa68a5p-14, -0x1.5241de5fbb16ap-14, -0x1.5494042591b71p-14, -0x1.56c398fc1cabbp-14, -0x1.58d0f7928ba76p-14, -0x1.5abc7bbd87978p-14, -0x1.5c86826d5ac97p-14, -0x1.5e2f69a404b4fp-14, -0x1.5fb7906b12816p-14, -0x1.611f56c967273p-14, -0x1.62671db8dd8e4p-14, -0x1.638f471cf82aep-14, -0x1.649835b77a1ebp-14, -0x1.65824d1e5cecep-14, -0x1.664df1b1aafb9p-14, -0x1.66fb8890e248cp-14, -0x1.678b7790ee721p-14, -0x1.67fe25305af85p-14, -0x1.6853f88d72ed6p-14, -0x1.688d595d6943fp-14, -0x1.68aaafe035afap-14, -0x1.68ac64d7544adp-14, -0x1.6892e17b21fdep-14, -0x1.685e8f708461p-14, -0x1.680fd8bec8343p-14, -0x1.67a727c586249p-14, -0x1.6724e7334f2bdp-14, -0x1.668981fb501f3p-14, -0x1.65d5634bad5aap-14, -0x1.6508f68379b8p-14, -0x1.6424a729f16ccp-14, -0x1.6328e0e46ed7dp-14, -0x1.62160f6c3ce7cp-14, -0x1.60ec9e8625ea3p-14, -0x1.5facf9fa09bf3p-14, -0x1.5e578d890deb6p-14, -0x1.5cecc4e542063p-14, -0x1.5b6d0ba89d57ap-14, -0x1.59d8cd4cc2428p-14, -0x1.583075218d465p-14, -0x1.56746e45a36f6p-14, -0x1.54a5239eec0f1p-14, -0x1.52c2ffd122439p-14, -0x1.50ce6d3764d4bp-14, -0x1.4ec7d5dc043efp-14, -0x1.4cafa3707a5bcp-14, -0x1.4a863f478946cp-14, -0x1.484c124bfe6fep-14, -0x1.460184fa6289p-14, -0x1.43a6ff5afa55ep-14, -0x1.413ce8fa8e094p-14, -0x1.3ec3a8e3a7866p-14, -0x1.3c3ba598e49e3p-14, -0x1.39a5450deb757p-14, -0x1.3700eca1c64d6p-14, -0x1.344f0118a5a39p-14, -0x1.318fe69677f7fp-14, -0x1.2ec40099ba234p-14, -0x1.2bebb1f516e07p-14, -0x1.29075ccb12313p-14, -0x1.26176288c0aaap-14, -0x1.231c23e097135p-14, -0x1.201600c65c384p-14, -0x1.1d055869716f1p-14, -0x1.19ea8930d1913p-14, -0x1.16c5f0b73f57ep-14, -0x1.1397ebc6f7f57p-14, -0x1.1060d6559f262p-14, -0x1.0d210b80a7036p-14, -0x1.09d8e5899d2d5p-14, -0x1.0688bdd240a6dp-14, -0x1.0330ecd9cb33p-14, -0x1.ffa39472b8701p-15, -0x1.f8d75942061fap-15, -0x1.f1fdd3a996a77p-15, -0x1.eb17ad53d7d9ap-15, -0x1.e4258e095718p-15, -0x1.dd281baa284c4p-15, -0x1.d61ffa2aaea5bp-15, -0x1.cf0dcb8eba66cp-15, -0x1.c7f22fe417a89p-15, -0x1.c0cdc540f11b6p-15, -0x1.b9a127bf46d11p-15, -0x1.b26cf1780eecp-15, -0x1.ab31ba82adcaep-15, -0x1.a3f018f189181p-15, -0x1.9ca8a0cd7a413p-15, -0x1.955be414c6bc7p-15, -0x1.8e0a72ba0dda5p-15, -0x1.86b4daa12eb2dp-15, -0x1.7f5ba79d3a7c3p-15, -0x1.77ff636fa842bp-15, -0x1.70a095c71ce5fp-15, -0x1.693fc43ef20a8p-15, -0x1.61dd725cb46dap-15, -0x1.5a7a2191522d3p-15, -0x1.5316513801c1dp-15, -0x1.4bb27e95d6446p-15, -0x1.444f24da0b73ep-15, -0x1.3cecbd1ec8fbcp-15, }}, 
      {{0x1.71fdc2d1736c4p-7, 0x1.720e5ae44514ap-6, 0x1.159eb0ea84c53p-5, 0x1.724c0f487202bp-5, 0x1.cf13995ac3a12p-5, 0x1.15fbd4a8f1d7p-4, 0x1.447c46db515e8p-4, 0x1.730a4509e314fp-4, 0x1.a1a3f3782cebap-4, 0x1.d046862af5c86p-4, 0x1.feee51a9eda03p-4, 0x1.16cb6ef6575aep-3, 0x1.2e1d7d3b9c1c9p-3, 0x1.456a6975d799fp-3, 0x1.5caf01c4558ep-3, 0x1.73e7d6989654p-3, 0x1.8b11445be773bp-3, 0x1.a2277c9e59e7dp-3, 0x1.b9268ebf33b14p-3, 0x1.d00a700561dd4p-3, 0x1.e6cf03234402dp-3, 0x1.fd701f24f630cp-3, 0x1.09f4cae56d636p-2, 0x1.151b9caa32ed6p-2, 0x1.202a70e032e73p-2, 0x1.2b1f38c4a354dp-2, 0x1.35f7ecf220156p-2, 0x1.40b28f4572153p-2, 0x1.4b4d2c8b4e3d3p-2, 0x1.55c5ddfad3b0cp-2, 0x1.601aca807fc5ap-2, 0x1.6a4a27dd35f03p-2, 0x1.74523b9ccd01dp-2, 0x1.7e315be7713b8p-2, 0x1.87e5f030f2d98p-2, 0x1.916e71c8f35ccp-2, 0x1.9ac96c4ea4f08p-2, 0x1.a3f57e0ab165p-2, 0x1.acf158319c3c6p-2, 0x1.b5bbbf10d39f8p-2, 0x1.be538a2873ad6p-2, 0x1.c6b7a433939dep-2, 0x1.cee70b20d6488p-2, 0x1.d6e0cffcceb7fp-2, 0x1.dea416cfa24fdp-2, 0x1.e630166f43866p-2, 0x1.ed84184770b32p-2, 0x1.f49f78189a8a7p-2, 0x1.fb81a3aeaba44p-2, 0x1.01150d4853acp-1, 0x1.044c36d4f832fp-1, 0x1.07661f7703f2ap-1, 0x1.0a62a07bb755ap-1, 0x1.0d419b512c1b7p-1, 0x1.1002f951e36d6p-1, 0x1.12a6ab8ecb6dbp-1, 0x1.152caa98014c4p-1, 0x1.1794f64484a86p-1, 0x1.19df95791847dp-1, 0x1.1c0c95ee7c56bp-1, 0x1.1e1c0bf732585p-1, 0x1.200e1244f3b0dp-1, 0x1.21e2c9ae0098ep-1, 0x1.239a58f269226p-1, 0x1.2534ec817343p-1, 0x1.26b2b63f38badp-1, 0x1.2813ed4a95ae1p-1, 0x1.2958cdc386bd8p-1, 0x1.2a81989204059p-1, 0x1.2b8e932d75637p-1, 0x1.2c800764cd318p-1, 0x1.2d5643275b4aep-1, 0x1.2e11984e67827p-1, 0x1.2eb25c67a2f27p-1, 0x1.2f38e88078b71p-1, 0x1.2fa598f24a9e9p-1, 0x1.2ff8cd2fa4cbbp-1, 0x1.3032e7926dcb8p-1, 0x1.30544d2b1d02ap-1, 0x1.305d6590fdd33p-1, 0x1.304e9ab381762p-1, 0x1.302858aca9a48p-1, 0x1.2feb0d948c832p-1, 0x1.2f972955f358ap-1, 0x1.2f2d1d841ca2cp-1, 0x1.2ead5d319b2a4p-1, 0x1.2e185cc85aa82p-1, 0x1.2d6e91e2c5267p-1, 0x1.2cb073260d11bp-1, 0x1.2bde781d98e6dp-1, 0x1.2af919178fd4bp-1, 0x1.2a00cf0289bc7p-1, 0x1.28f6134c5a35bp-1, 0x1.27d95fc1fb6ccp-1, 0x1.26ab2e7091d17p-1, 0x1.256bf98788cefp-1, 0x1.241c3b3bc2d57p-1, 0x1.22bc6dabdcecap-1, 0x1.214d0ac57f378p-1, 0x1.1fce8c2bb987cp-1, 0x1.1e416b1e66109p-1, 0x1.1ca620628f5d4p-1, 0x1.1afd242bd4edep-1, 0x1.1946ee06cb649p-1, 0x1.1783f4c4521cep-1, 0x1.15b4ae65dadf9p-1, 0x1.13d9900a9e6bep-1, 0x1.11f30dddbb6bbp-1, 0x1.10019b0535ecbp-1, 0x1.0e05a991d9c9cp-1, 0x1.0bffaa6ff3b4bp-1, 0x1.09f00d58e2da4p-1, 0x1.07d740c578929p-1, 0x1.05b5b1e125049p-1, 0x1.038bcc7de9eb3p-1, 0x1.0159fb090f16bp-1, 0x1.fe414d0128165p-2, 0x1.f9c06cd2b129dp-2, 0x1.f532218bf43e4p-2, 0x1.f097341cba02ep-2, 0x1.ebf06a4fc0e4p-2, 0x1.e73e86bc6c27p-2, 0x1.e28248b9b4149p-2, 0x1.ddbc6c5249ffbp-2, 0x1.d8edaa39e7cf1p-2, 0x1.d416b7c3c6a2p-2, 0x1.cf3846da2b6a2p-2, 0x1.ca5305f703c29p-2, 0x1.c567a01d8e2d7p-2, 0x1.c076bcd4fd73p-2, 0x1.bb810024132b5p-2, 0x1.b6870a8da9193p-2, 0x1.b189790e1bb29p-2, 0x1.ac88e51995d78p-2, 0x1.a785e49b2d711p-2, 0x1.a28109f4cbb15p-2, 0x1.9d7ae3ffdd703p-2, 0x1.9873fe0ebaedbp-2, 0x1.936cdfeec7dc4p-2, 0x1.8e660deb3fd14p-2, 0x1.896008d0a6522p-2, 0x1.845b4df0d8491p-2, 0x1.7f585727b2923p-2, 0x1.7a579ae04cbfcp-2, 0x1.75598c1ab67dp-2, 0x1.705e9a72421edp-2, 0x1.6b673224403bfp-2, 0x1.6673bc173d03p-2, 0x1.61849de2a40aap-2, 0x1.5c9a39d6d4b79p-2, 0x1.57b4ef059765dp-2, 0x1.52d5194af2716p-2, 0x1.4dfb115656c4ep-2, 0x1.49272cb4229bep-2, 0x1.4459bdd76db77p-2, 0x1.3f931424228a3p-2, 0x1.3ad37bf95b8fdp-2, 0x1.361b3ebbfb229p-2, 0x1.316aa2e182362p-2, 0x1.2cc1ebfb1af6dp-2, 0x1.28215ac0d58d4p-2, 0x1.23892d1d0ffafp-2, 0x1.1ef99e3807bf9p-2, 0x1.1a72e68392319p-2, 0x1.15f53bc6f16ddp-2, 0x1.1180d12acb23ep-2, 0x1.0d15d74532bd1p-2, 0x1.08b47c25d089bp-2, 0x1.045ceb6213edap-2, 0x1.000f4e217a387p-2, 0x1.f7979653bc91cp-3, 0x1.ef250dd7a57ecp-3, 0x1.e6c7471dfda6dp-3, 0x1.de7e81fd07086p-3, 0x1.d64af9eab705p-3, 0x1.ce2ce61578d86p-3, 0x1.c624797ce2dd6p-3, 0x1.be31e30a5dc09p-3, 0x1.b6554da9ba1acp-3, 0x1.ae8ee061ac89ep-3, 0x1.a6debe6c2e84bp-3, 0x1.9f45074ec0659p-3, 0x1.97c1d6f284c14p-3, 0x1.905545bc36cbep-3, 0x1.88ff68a3fa0a8p-3, 0x1.81c0514cee33fp-3, 0x1.7a980e1ca3677p-3, 0x1.7386aa524e2dp-3, 0x1.6c8c2e1dc5cddp-3, 0x1.65a89eb64d04ep-3, 0x1.5edbfe711dfdcp-3, 0x1.58264cd7b1b7dp-3, 0x1.518786bdcd5b6p-3, 0x1.4affa6574af26p-3, 0x1.448ea34d9ae29p-3, 0x1.3e3472d501ab7p-3, 0x1.37f107c18d84ap-3, 0x1.31c4529bbdb28p-3, 0x1.2bae41b4e45ep-3, 0x1.25aec13b3b044p-3, 0x1.1fc5bb4da518ep-3, 0x1.19f3180f28c4ap-3, 0x1.1436bdba12522p-3, 0x1.0e9090b2d21d4p-3, 0x1.0900739a79c03p-3, 0x1.03864760f3c43p-3, 0x1.fc43d6adc6b6cp-4, 0x1.f1a67a7e68201p-4, 0x1.e73432c0a138p-4, 0x1.dcecb52a16ef3p-4, 0x1.d2cfb4ba67bp-4, 0x1.c8dce1dba3adap-4, 0x1.bf13ea822359dp-4, 0x1.b5747a4bb6ba1p-4, 0x1.abfe3a9e2bdbp-4, 0x1.a2b0d2c52557p-4, 0x1.998be80f58b13p-4, 0x1.908f1deb1a7abp-4, 0x1.87ba160246dcbp-4, 0x1.7f0c7055851e5p-4, 0x1.7685cb56e8caap-4, 0x1.6e25c403e96dp-4, 0x1.65ebf5febf506p-4, 0x1.5dd7fba7172f5p-4, 0x1.55e96e322c227p-4, 0x1.4e1fe5c23d124p-4, 0x1.467af97d691bcp-4, 0x1.3efa3fa3ed732p-4, 0x1.379d4da5c7966p-4, 0x1.3063b837c304cp-4, 0x1.294d1367e929bp-4, 0x1.2258f2b16213bp-4, 0x1.1b86e90fbc786p-4, 0x1.14d68911a5d13p-4, 0x1.0e4764eb13718p-4, 0x1.07d90e86d8b7fp-4, 0x1.018b1797b67dfp-4, 0x1.f6ba2351b8108p-5, 0x1.ea9d1c5bc32p-5, 0x1.debe3d2477b9fp-5, 0x1.d31ca890561bcp-5, 0x1.c7b781ae4e63ap-5, 0x1.bc8debd39c702p-5, 0x1.b19f0ab6a55d3p-5, 0x1.a6ea0288d96fep-5, 0x1.9c6df80fac089p-5, 0x1.922a10bc92797p-5, 0x1.881d72c41e84ep-5, 0x1.7e47453430a45p-5, 0x1.74a6b00947042p-5, 0x1.6b3adc42f1a72p-5, 0x1.6202f3f767786p-5, 0x1.58fe226650595p-5, 0x1.502b940ab3fd4p-5, 0x1.478a76ac24164p-5, 0x1.3f19f96f1acabp-5, 0x1.36d94ce4985b6p-5, 0x1.2ec7a318fd294p-5, 0x1.26e42fa231b3p-5, 0x1.1f2e27ad0b4cdp-5, 0x1.17a4c20a0b79dp-5, 0x1.10473739695eap-5, 0x1.0914c17670353p-5, 0x1.020c9cc23eb76p-5, 0x1.f65c0ddbc0f06p-6, 0x1.e8f07f4794a13p-6, 0x1.dbd510e177456p-6, 0x1.cf0849981e027p-6, 0x1.c288b43ee880ep-6, 0x1.b654df9c3f186p-6, 0x1.aa6b5e76da53dp-6, 0x1.9ecac7a206cbap-6, 0x1.9371b608da14ap-6, 0x1.885ec8b86ffcap-6, 0x1.7d90a2e93500ep-6, 0x1.7305ec073be2dp-6, 0x1.68bd4fb9b863bp-6, 0x1.5eb57de9873acp-6, 0x1.54ed2ac6f26b7p-6, 0x1.4b630ece946d3p-6, 0x1.4215e6cd77b36p-6, 0x1.390473e46a23fp-6, 0x1.302d7b8aa1553p-6, 0x1.278fc78f91529p-6, 0x1.1f2a261c2b61cp-6, 0x1.16fb69b354eecp-6, 0x1.0f026931d540ap-6, 0x1.073dffcd93f58p-6, 0x1.ff5a1a2880681p-7, 0x1.f09ce9d2cdcf2p-7, 0x1.e2423f07f5acbp-7, 0x1.d447f2d6a598bp-7, 0x1.c6abe6e74f66ep-7, 0x1.b96c05742532bp-7, 0x1.ac8641401f218p-7, 0x1.9ff8958d28679p-7, 0x1.93c106116c87dp-7, 0x1.87dd9eebc094dp-7, 0x1.7c4c749752abdp-7, 0x1.710ba3de989fep-7, 0x1.661951cd8377ap-7, 0x1.5b73aba30736cp-7, 0x1.5118e6c1f424dp-7, 0x1.470740a138ec5p-7, 0x1.3d3cfebb9aaa2p-7, 0x1.33b86e7ec0b96p-7, 0x1.2a77e539e648cp-7, 0x1.2179c00be54e1p-7, 0x1.18bc63d0ddf92p-7, 0x1.103e3d0f730dp-7, 0x1.07fdbfe59439ap-7, 0x1.fff2cfe9d5bd3p-8, 0x1.f05f709dd53d7p-8, 0x1.e13e76c11eae1p-8, 0x1.d28d05bb9acb8p-8, 0x1.c4484f596401bp-8, 0x1.b66d93a08f30ap-8, 0x1.a8fa20a6927d5p-8, 0x1.9beb52650e39bp-8, 0x1.8f3e928e4f26fp-8, 0x1.82f15861726bap-8, 0x1.7701287e34413p-8, 0x1.6b6b94b89a516p-8, 0x1.602e3bec208a6p-8, 0x1.5546c9cefb0fp-8, 0x1.4ab2f6c4f873dp-8, 0x1.407087b258b9p-8, 0x1.367d4dce8fb91p-8, 0x1.2cd72676eb291p-8, 0x1.237bfb013899p-8, 0x1.1a69c08e5c894p-8, 0x1.119e77dce8effp-8, 0x1.09182d1be427bp-8, 0x1.00d4f7bd679fp-8, 0x1.f1a5f49323bp-9, 0x1.e220c462e73efp-9, 0x1.d316cf442d31fp-9, 0x1.c4849aafa3861p-9, 0x1.b666c0e35c9d3p-9, 0x1.a8b9f08a1676bp-9, 0x1.9b7aec62ec4dcp-9, 0x1.8ea68ae9aae91p-9, 0x1.8239b5ff5b85bp-9, 0x1.76316a9377148p-9, 0x1.6a8ab84ddb1edp-9, 0x1.5f42c139200f7p-9, 0x1.5456b96d96adcp-9, 0x1.49c3e6bd3cbb2p-9, 0x1.3f87a05fc1e44p-9, 0x1.359f4e9feb696p-9, 0x1.2c086a894337p-9, 0x1.22c07d96b5ae8p-9, 0x1.19c52161dcd2cp-9, 0x1.1113ff533363fp-9, 0x1.08aad05310f5p-9, 0x1.00875c7b4b82p-9, 0x1.f14ef593c21b2p-10, 0x1.e21221a8c5ca5p-10, 0x1.d35424f8a70eep-10, 0x1.c51103488fc4cp-10, 0x1.b744dbcc2a31p-10, 0x1.a9ebe8936b96ep-10, 0x1.9d027dfa2b4bbp-10, 0x1.90850a1a0fa49p-10, 0x1.8470143dbbc61p-10, 0x1.78c03c5618c25p-10, 0x1.6d723a71aec29p-10, 0x1.6282de356c1c8p-10, 0x1.57ef0e57aa9c6p-10, 0x1.4db3c81cf96bep-10, 0x1.43ce1ed6b497bp-10, 0x1.3a3b3b63961c6p-10, 0x1.30f85bb236587p-10, 0x1.2802d2458ba73p-10, 0x1.1f5805baf88d4p-10, 0x1.16f57052ad7e7p-10, 0x1.0ed89f797acfep-10, 0x1.06ff3354d8fccp-10, 0x1.fecdbca1dde99p-11, 0x1.f01ac95fe57a5p-11, 0x1.e1e13837fbbf2p-11, 0x1.d41cd674f05e7p-11, 0x1.c6c99282da712p-11, 0x1.b9e37b1d54b73p-11, 0x1.ad66be815a701p-11, 0x1.a14fa9a323de5p-11, 0x1.959aa76727969p-11, 0x1.8a443fdf82617p-11, 0x1.7f49178bec5cep-11, 0x1.74a5ee9e26b48p-11, 0x1.6a57a04154b96p-11, 0x1.605b21e4f203ap-11, 0x1.56ad828b7db65p-11, 0x1.4d4bea1c6ac1fp-11, 0x1.443398b96ac37p-11, 0x1.3b61e6171cf47p-11, 0x1.32d440d96b433p-11, 0x1.2a882df2a8ad9p-11, 0x1.227b480658226p-11, 0x1.1aab3ecec022p-11, 0x1.1315d6865307ep-11, 0x1.0bb8e75397bd1p-11, 0x1.04925cb8c5f9dp-11, 0x1.fb406a0c36eb4p-12, 0x1.edc1019ed1993p-12, 0x1.e0a2c4c8d5623p-12, 0x1.d3e21a9879bf4p-12, 0x1.c77b8b875f541p-12, 0x1.bb6bc07d891c4p-12, 0x1.afaf81d8ee63p-12, 0x1.a443b67baa888p-12, 0x1.992562df25f26p-12, 0x1.8e51a82d719a5p-12, 0x1.83c5c35e97055p-12, 0x1.797f0c5d3e3b8p-12, 0x1.6f7af52e053ffp-12, 0x1.65b7091dfd587p-12, 0x1.5c30ebf5bdf93p-12, 0x1.52e65930c21dp-12, 0x1.49d5233a36958p-12, 0x1.40fb32af441f8p-12, 0x1.385685a433f46p-12, 0x1.2fe52eefe0317p-12, 0x1.27a5557b96c23p-12, 0x1.1f95339611521p-12, 0x1.17b3164c89cbap-12, 0x1.0ffd5cc741186p-12, 0x1.087277aa6b546p-12, 0x1.0110e87b2ff0bp-12, 0x1.f3ae8212d81ep-13, 0x1.e58845b8be393p-13, 0x1.d7ac7d47ec24ep-13, 0x1.ca18a75c8c3a4p-13, 0x1.bcca5ebf2d162p-13, 0x1.afbf595f57025p-13, 0x1.a2f56752fe29bp-13, 0x1.966a71defcf2bp-13, 0x1.8a1c7a8558efep-13, 0x1.7e099a1a7e561p-13, 0x1.722fffe234879p-13, 0x1.668df0b110d74p-13, 0x1.5b21c61691117p-13, 0x1.4fe9ed8c6f95cp-13, 0x1.44e4e7ac8cb12p-13, 0x1.3a11476bed813p-13, 0x1.2f6db15d292a5p-13, 0x1.24f8daf7a7237p-13, 0x1.1ab189e42e7ebp-13, 0x1.1096935099a82p-13, 0x1.06a6db4709753p-13, 0x1.f9c2a81582edbp-14, 0x1.e689faf6230f9p-14, 0x1.d3a1c8f5d19f7p-14, 0x1.c10844ba1270cp-14, 0x1.aebbb8a9ecb5fp-14, 0x1.9cba85db73475p-14, 0x1.8b032306a8e54p-14, 0x1.79941b827f29ap-14, 0x1.686c0e504ae46p-14, 0x1.5789ad24876bap-14, 0x1.46ebbb8123496p-14, 0x1.36910dd486c29p-14, 0x1.267888a1335dcp-14, 0x1.16a11fabb3d82p-14, 0x1.0709d5312ade9p-14, 0x1.ef63724cb8a8dp-15, 0x1.d12fd0f4a3ae3p-15, 0x1.b37718c3fb5bp-15, 0x1.9637b35bbb7c4p-15, 0x1.7970203cac981p-15, 0x1.5d1ef38a99a12p-15, 0x1.4142d4d51d165p-15, 0x1.25da7df193e2p-15, 0x1.0ae4b9d97790fp-15, 0x1.e0c0c73399fbp-16, 0x1.ac98ca9e571c6p-16, 0x1.794f6e4bbbf3bp-16, 0x1.46e2bccdd95f4p-16, 0x1.1550d9260466cp-16, 0x1.c92ffa0c66cedp-17, 0x1.696cee4cb18ebp-17, 0x1.0b55536295716p-17, 0x1.5dcc22f9bdc78p-18, 0x1.5070c6f5f5685p-19, -0x1.42c9246d41f8bp-23, -0x1.724aba77db073p-19, -0x1.64fa2109f7016p-18, -0x1.06ccd7cb82075p-17, -0x1.59847da500e59p-17, -0x1.aaa66910d8e3bp-17, -0x1.fa34f0fbedfdap-17, -0x1.24192f14705cap-16, -0x1.4a507689122c5p-16, -0x1.6fc167d2bfd69p-16, -0x1.946d1777a47f2p-16, -0x1.b854965959ab7p-16, -0x1.db78f2708e9e5p-16, -0x1.fddb377b56ba6p-16, -0x1.0fbe37d64faa6p-15, -0x1.202ed223ca455p-15, -0x1.303fef18dada8p-15, -0x1.3ff21341321c7p-15, -0x1.4f45c37ef3cap-15, -0x1.5e3b854b4b378p-15, -0x1.6cd3deead3594p-15, -0x1.7b0f57a2c2721p-15, -0x1.88ee77eb81b4bp-15, -0x1.9671c99b8dcc5p-15, -0x1.a399d80f9c13ap-15, -0x1.b0673050b3375p-15, -0x1.bcda6137ada3p-15, -0x1.c8f3fb8a22e6bp-15, -0x1.d4b4921798724p-15, -0x1.e01cb9d1dc5dfp-15, -0x1.eb2d09e417419p-15, -0x1.f5e61bc767e71p-15, -0x1.002445a796a97p-14, -0x1.052a7b5e336d1p-14, -0x1.0a05ff639a663p-14, -0x1.0eb72355fd262p-14, -0x1.133e3a1740bcfp-14, -0x1.179b97d2357d8p-14, -0x1.1bcf91fae588cp-14, -0x1.1fda7f50e8b82p-14, -0x1.23bcb7ddfe212p-14, -0x1.277694f684f59p-14, -0x1.2b087138a314cp-14, -0x1.2e72a8895157p-14, -0x1.31b59810c304ap-14, -0x1.34d19e37f1222p-14, -0x1.37c71aa4543e3p-14, -0x1.3a966e338396ep-14, -0x1.3d3ffaf491cd1p-14, -0x1.3fc42423dcdb1p-14, -0x1.42234e23cf235p-14, -0x1.445dde771369bp-14, -0x1.46743bb80392bp-14, -0x1.4866cd92001dep-14, -0x1.4a35fcba59324p-14, -0x1.4be232e73ba99p-14, -0x1.4d6bdac71e8c8p-14, -0x1.4ed35ff7f1debp-14, -0x1.50192efe767cep-14, -0x1.513db53d359aep-14, -0x1.524160ea094d6p-14, -0x1.5324a10559bf2p-14, -0x1.53e7e5500f4bp-14, -0x1.548b9e418dc68p-14, -0x1.55103cfdc5c63p-14, -0x1.55763349d325ap-14, -0x1.55bdf38382796p-14, -0x1.55e7f09614e17p-14, -0x1.55f49deffb5f9p-14, -0x1.55e46f7812a3cp-14, -0x1.55b7d9830b28bp-14, -0x1.556f50c99b41dp-14, -0x1.550b4a5d925eep-14, -0x1.548c3b9f27943p-14, -0x1.53f29a329fddbp-14, -0x1.533edbf624d79p-14, -0x1.527176f75fa7fp-14, -0x1.518ae1690947cp-14, -0x1.508b91980b1b2p-14, -0x1.4f73fde27d47ap-14, -0x1.4e449cacf6db9p-14, -0x1.4cfde458c11ebp-14, -0x1.4ba04b39c2779p-14, -0x1.4a2c478c80043p-14, -0x1.48a24f6d45e96p-14, -0x1.4702d8cdfcf6ap-14, -0x1.454e596d11914p-14, -0x1.438546cbaa714p-14, -0x1.41a816252b032p-14, -0x1.3fb73c661c7c9p-14, -0x1.3db32e236feeap-14, -0x1.3b9c5f9181a73p-14, -0x1.3973447bd4802p-14, -0x1.3738503cd5d39p-14, -0x1.34ebf5b5ced5ep-14, -0x1.328ea746853b6p-14, -0x1.3020d6c569a3ep-14, -0x1.2da2f578617cfp-14, -0x1.2b15740d2105fp-14, -0x1.2878c292220d6p-14, -0x1.25cd506ee3a7ep-14, -0x1.23138c5d4b649p-14, -0x1.204be463369afp-14, -0x1.1d76c5cb7d0c4p-14, -0x1.1a949d2049ca8p-14, -0x1.17a5d6243067bp-14, -0x1.14aadbcc7ea8dp-14, -0x1.11a4183b79525p-14, -0x1.0e91f4baf6464p-14, -0x1.0b74d9b637231p-14, -0x1.084d2eb537b4ap-14, -0x1.051b5a577576dp-14, -0x1.01dfc24f6bf64p-14, -0x1.fd3596bb27fa2p-15, -0x1.f699b297a3709p-15, -0x1.efec9dd1d1f9ap-15, -0x1.e92f1c09e7079p-15, -0x1.e261eed9d42aap-15, -0x1.db85d5ce71b4dp-15, -0x1.d49b8e6069659p-15, -0x1.cda3d3ec23149p-15, -0x1.c69f5fac450cfp-15, -0x1.bf8ee8b39d71dp-15, -0x1.b87323e660241p-15, -0x1.b14cc3f5202bep-15, -0x1.aa1c7957758bdp-15, -0x1.a2e2f247e5891p-15, -0x1.9ba0dabec338dp-15, -0x1.9456dc6db1d26p-15, -0x1.8d059ebc255e8p-15, -0x1.85adc6c35ed06p-15, -0x1.7e4ff74b46c78p-15, -0x1.76ecd0c7af5c1p-15, -0x1.6f84f155d8927p-15, -0x1.6818f4b96a195p-15, -0x1.60a9745a924d8p-15, -0x1.593707440dd2ap-15, -0x1.51c24221c6da6p-15, -0x1.4a4bb73f774dbp-15, -0x1.42d3f686c269p-15, -0x1.3b5b8d7f5e87ap-15, -0x1.33e3074f1edddp-15, -0x1.2c6aecb7bd197p-15, -0x1.24f3c418833e6p-15, -0x1.1d7e116d91054p-15, -0x1.160a56509db14p-15, -0x1.0e9911f89a636p-15, -0x1.072ac13c6ff1cp-15, -0x1.ff7fbd25c429bp-16, -0x1.f0b1c426cf279p-16, -0x1.e1ec82f21ec21p-16, -0x1.d330e0443266ep-16, -0x1.c47fbe2752e1fp-16, -0x1.b5d9f9f6f6a91p-16, -0x1.a7406c6226592p-16, -0x1.98b3e9713209ep-16, -0x1.8a35408df9f5ep-16, -0x1.7bc53c84563dap-16, -0x1.6d64a38b3fa8bp-16, -0x1.5f143749ca58ap-16, -0x1.50d4b4dece78dp-16, -0x1.42a6d4e4c7094p-16, -0x1.348b4b7b04b62p-16, -0x1.2682c84ec6061p-16, -0x1.188df69ded447p-16, -0x1.0aad7d438376fp-16, -0x1.f9c3fd7a51097p-17, -0x1.de58326546cd4p-17, -0x1.c318cd02069e4p-17, -0x1.a806f885199dbp-17, -0x1.8d23d7aaa2d68p-17, -0x1.727084cded04dp-17, -0x1.57ee11fc7600bp-17, -0x1.3d9d890526084p-17, -0x1.237feb8beddfdp-17, -0x1.09963321a8e85p-17, -0x1.dfc2a2ad78e79p-18, -0x1.acc45f935d9bbp-18, -0x1.7a336087af8d7p-18, -0x1.48115997da96ep-18, -0x1.165fef6dbf95cp-18, -0x1.ca416f0b53b84p-19, -0x1.68aa70b06472fp-19, -0x1.07fdd2f339002p-19, -0x1.507ccf4b11ca1p-20, -0x1.25bb8e7b0f35p-21, 0x1.46e210032b159p-23, 0x1.c558a99c0be33p-21, 0x1.9a8db16d55cb8p-20, 0x1.283de7a747101p-19, 0x1.82392e3e740bp-19, 0x1.db369e595cefap-19, 0x1.199a222d2411cp-18, 0x1.451823664a4a9p-18, 0x1.7014730844827p-18, 0x1.9a8e3df27fcaep-18, 0x1.c484bd90c2d2ep-18, 0x1.edf737a8c667ap-18, 0x1.0b727f11a45b4p-17, 0x1.1fa6b774a7f9ep-17, 0x1.3397f9d8191bcp-17, 0x1.474600e3d4639p-17, 0x1.5ab08cf514147p-17, 0x1.6dd7640a94679p-17, 0x1.80ba51a8554a4p-17, 0x1.935926c452472p-17, 0x1.a5b3b9a9a9eaap-17, 0x1.b7c9e5e9ff174p-17, 0x1.c99b8c3cd81bp-17, 0x1.db28926baf911p-17, 0x1.ec70e33e7b6fdp-17, 0x1.fd746e5df9849p-17, 0x1.0719942101d68p-16, 0x1.0f56850c70ea3p-16, 0x1.177108d762de5p-16, 0x1.1f6920ac9f64ap-16, }}, 
      {{0x1.79ee8662f6a51p-1, 0x1.79ee313fd5869p-1, 0x1.79ede585c66a8p-1, 0x1.79edeb320c76p-1, 0x1.79ee89a19bc0fp-1, 0x1.79effddc15c32p-1, 0x1.79f274610922bp-1, 0x1.79f6058845f74p-1, 0x1.79fab3c17eef2p-1, 0x1.7a006b2c45feep-1, 0x1.7a07022317f84p-1, 0x1.7a0e3a6d8e437p-1, 0x1.7a15c2e0ebe2cp-1, 0x1.7a1d3944a97ddp-1, 0x1.7a242c5b9bae7p-1, 0x1.7a2a1dfa8ebbdp-1, 0x1.7a2e851b8e6fp-1, 0x1.7a30cfe1d3ce6p-1, 0x1.7a306586022afp-1, 0x1.7a2ca82522bcep-1, 0x1.7a24f66eebea8p-1, 0x1.7a18ad3179394p-1, 0x1.7a0728c1ce54dp-1, 0x1.79efc6415e1fbp-1, 0x1.79d1e4c17733fp-1, 0x1.79ace645e8eaep-1, 0x1.798030a8898d4p-1, 0x1.794b2e5f6e8bfp-1, 0x1.790d4f27d2499p-1, 0x1.78c608979fb15p-1, 0x1.7874d697a62e6p-1, 0x1.78193bc8692fep-1, 0x1.77b2c1d36db21p-1, 0x1.7740f9aad245bp-1, 0x1.76c37bb8e5363p-1, 0x1.7639e801543e5p-1, 0x1.75a3e63570078p-1, 0x1.750125bce93a7p-1, 0x1.74515db44a2bap-1, 0x1.73944ce25e94fp-1, 0x1.72c9b9a597668p-1, 0x1.71f171da6adebp-1, 0x1.710b4abb94bacp-1, 0x1.701720bd07305p-1, 0x1.6f14d7624842ap-1, 0x1.6e045910ea0eep-1, 0x1.6ce596dfb5ca7p-1, 0x1.6bb8886315bebp-1, 0x1.6a7d2b773d97p-1, 0x1.693384087fd37p-1, 0x1.67db9bda37bc8p-1, 0x1.6675824ca2383p-1, 0x1.65014c21f6a56p-1, 0x1.637f13430930cp-1, 0x1.61eef683b90b2p-1, 0x1.60511967610b8p-1, 0x1.5ea5a3e582cf9p-1, 0x1.5cecc22ed4d0ap-1, 0x1.5b26a472e1632p-1, 0x1.59537ea6556a1p-1, 0x1.5773884a225dap-1, 0x1.5586fc3389a2bp-1, 0x1.538e18552fc4ep-1, 0x1.51891d8945a4ep-1, 0x1.4f784f5cdcf09p-1, 0x1.4d5bf3dc77f24p-1, 0x1.4b345361db87ap-1, 0x1.4901b8633582p-1, 0x1.46c46f4399a1ap-1, 0x1.447cc624dea17p-1, 0x1.422b0cbae10bp-1, 0x1.3fcf94202bd24p-1, 0x1.3d6aaeac0edbbp-1, 0x1.3afcafca1db6bp-1, 0x1.3885ebd31c097p-1, 0x1.3606b7e754d48p-1, 0x1.337f69ca59075p-1, 0x1.30f057c025d8ap-1, 0x1.2e59d86bad28bp-1, 0x1.2bbc42aebd134p-1, 0x1.2917ed8b42f36p-1, 0x1.266d3005e25f8p-1, 0x1.23bc6109ddb21p-1, 0x1.2105d74e48a53p-1, 0x1.1e49e93c7f495p-1, 0x1.1b88ecd7da85ap-1, 0x1.18c337a69bfaep-1, 0x1.15f91e9c0b8f6p-1, 0x1.132af603bc4fcp-1, 0x1.1059116df6002p-1, 0x1.0d83c39d37eebp-1, 0x1.0aab5e74cff8bp-1, 0x1.07d032e87eb88p-1, 0x1.04f290ed1fd8ep-1, 0x1.0212c76a4f834p-1, 0x1.fe62485a0df4dp-2, 0x1.f89be7b64d65ap-2, 0x1.f2d303cfcff4cp-2, 0x1.ed0831125cf7fp-2, 0x1.e73c015b64bbdp-2, 0x1.e16f03e7f771dp-2, 0x1.dba1c5444efb3p-2, 0x1.d5d4cf3ce0914p-2, 0x1.d008a8d0e5951p-2, 0x1.ca3dd62650879p-2, 0x1.c474d87f1c221p-2, 0x1.beae2e2fed85ap-2, 0x1.b8ea5297f6279p-2, 0x1.b329be1a0d8f9p-2, 0x1.ad6ce616f3f4fp-2, 0x1.a7b43ce8b0f89p-2, 0x1.a20031df05affp-2, 0x1.9c51313ce14bap-2, 0x1.96a7a436d14eep-2, 0x1.9103f0f25ed56p-2, 0x1.8b667a86539fep-2, 0x1.85cfa0fbcf987p-2, 0x1.803fc150387b3p-2, 0x1.7ab73577e1c6ep-2, 0x1.7536546178d3bp-2, 0x1.6fbd71fa1d521p-2, 0x1.6a4cdf322078cp-2, 0x1.64e4ea0266ed4p-2, 0x1.5f85dd725bcedp-2, 0x1.5a30019e7392dp-2, 0x1.54e39bbf34236p-2, 0x1.4fa0ee30b893fp-2, 0x1.4a68387aa8813p-2, 0x1.4539b758a23acp-2, 0x1.4015a4c3045d2p-2, 0x1.3afc37f81bb1bp-2, 0x1.35eda585a8244p-2, 0x1.30ea1f52b0e21p-2, 0x1.2bf1d4a9a965dp-2, 0x1.2704f242d5d8ap-2, 0x1.2223a24ef16b1p-2, 0x1.1d4e0c8211607p-2, 0x1.1884561eb4849p-2, 0x1.13c6a2010aee1p-2, 0x1.0f1510aa600e2p-2, 0x1.0a6fc04cabe4ep-2, 0x1.05d6ccd646f47p-2, 0x1.014a4ffdb5f3ep-2, 0x1.f994c29b1e082p-3, 0x1.f0ae2c60e47e3p-3, 0x1.e7e103fa1e103p-3, 0x1.df2d6c0471807p-3, 0x1.d6938325fd1f4p-3, 0x1.ce136425946f7p-3, 0x1.c5ad260301502p-3, 0x1.bd60dc0f3a97cp-3, 0x1.b52e960493a63p-3, 0x1.ad16601edc215p-3, 0x1.a51843336710bp-3, 0x1.9d3444c8fb1a5p-3, 0x1.956a672f9c0bcp-3, 0x1.8dbaa998391ebp-3, 0x1.8625082c2919dp-3, 0x1.7ea97c247dfcp-3, 0x1.7747fbe12683dp-3, 0x1.70007affd92dep-3, 0x1.68d2ea72cc2f1p-3, 0x1.61bf389728d29p-3, 0x1.5ac5514b468c2p-3, 0x1.53e51e04a4123p-3, 0x1.4d1e85e59bdbcp-3, 0x1.46716dd2cc17ep-3, 0x1.3fddb8883e6e8p-3, 0x1.396346ae3df41p-3, 0x1.3301f6ede4fc1p-3, 0x1.2cb9a605567a7p-3, 0x1.268a2edba9fd4p-3, 0x1.20736a94887bdp-3, 0x1.1a7530a36dab4p-3, 0x1.148f56de9a295p-3, 0x1.0ec1b191b59afp-3, 0x1.090c139009e18p-3, 0x1.036e4e4679b3cp-3, 0x1.fbd0639a241dfp-4, 0x1.f0f319f08e6dep-4, 0x1.e6445ad3b704cp-4, 0x1.dbc3bf42d011cp-4, 0x1.d170de191e3adp-4, 0x1.c74b4c2da4d9bp-4, 0x1.bd529c72224d1p-4, 0x1.b38660115a9b2p-4, 0x1.a9e6268ca2532p-4, 0x1.a0717dd8c9582p-4, 0x1.9727f27a4b049p-4, 0x1.8e090fa0beb97p-4, 0x1.85145f41b14ffp-4, 0x1.7c496a32bb449p-4, 0x1.73a7b842f049fp-4, 0x1.6b2ed0539f1bcp-4, 0x1.62de3870659f7p-4, 0x1.5ab575e69ae66p-4, 0x1.52b40d5c0eb89p-4, 0x1.4ad982e521d2p-4, 0x1.43255a1a39d04p-4, 0x1.3b97162c8ee17p-4, 0x1.342e39fa584ddp-4, 0x1.2cea482258bdap-4, 0x1.25cac316cc2bp-4, 0x1.1ecf2d2fb96ep-4, 0x1.17f708bcaa8f5p-4, 0x1.1141d815cb85cp-4, 0x1.0aaf1dac752dbp-4, 0x1.043e5c1b23c6bp-4, 0x1.fbde2c69b7e6cp-5, 0x1.ef819e2805a06p-5, 0x1.e36614514fc9ep-5, 0x1.d78a968c899fdp-5, 0x1.cbee2d61f03dap-5, 0x1.c08fe2546f47ep-5, 0x1.b56ebffa0463ap-5, 0x1.aa89d21321d5bp-5, 0x1.9fe025a113cd4p-5, 0x1.9570c8fb71dbbp-5, 0x1.8b3acbe49d4b8p-5, 0x1.813d3f9d5415fp-5, 0x1.777736f75bfbp-5, 0x1.6de7c66748e6p-5, 0x1.648e04156c593p-5, 0x1.5b6907ede3509p-5, 0x1.5277ebafda895p-5, 0x1.49b9cafbfb75bp-5, 0x1.412dc36214dc8p-5, 0x1.38d2f46dfeca2p-5, 0x1.30a87fb3b91f7p-5, 0x1.28ad88dad8728p-5, 0x1.20e135a9321f3p-5, 0x1.1942ae0ce02a1p-5, 0x1.11d11c2591b24p-5, 0x1.0a8bac4d36055p-5, 0x1.03718d20068eap-5, 0x1.f903df07d6d0ap-6, 0x1.eb780d5e957cap-6, 0x1.de3e105e81cb9p-6, 0x1.d15457da8d96cp-6, 0x1.c4b9586893c38p-6, 0x1.b86b8b6a7a9e4p-6, 0x1.ac696f1644786p-6, 0x1.a0b1867d2ccd5p-6, 0x1.95425991c1bdcp-6, 0x1.8a1a752d08a94p-6, 0x1.7f386b12ca0b2p-6, 0x1.749ad1f4ed627p-6, 0x1.6a404575ffe25p-6, 0x1.6027662aecf43p-6, 0x1.564ed99be9f3fp-6, 0x1.4cb54a449c2fap-6, 0x1.4359679380e87p-6, 0x1.3a39e5e8ae8d7p-6, 0x1.31557e93d5271p-6, 0x1.28aaefd1a33e6p-6, 0x1.2038fcc8834a5p-6, 0x1.17fe6d84ca44p-6, 0x1.0ffa0ef43ca3ap-6, 0x1.082ab2e120aabp-6, 0x1.008f2fecb1a4dp-6, 0x1.f24cc31247f5cp-7, 0x1.e3de4fe6363fep-7, 0x1.d5d0d0556eb37p-7, 0x1.c82217d85ed9cp-7, 0x1.bad0034ff79d8p-7, 0x1.add878f53363fp-7, 0x1.a1396847f1dabp-7, 0x1.94f0c9fd02134p-7, 0x1.88fc9feb87f44p-7, 0x1.7d5af4f9ba30dp-7, 0x1.7209dd091653cp-7, 0x1.670774e1e4de1p-7, 0x1.5c51e21e4e37dp-7, 0x1.51e75314dbd9dp-7, 0x1.47c5fec291527p-7, 0x1.3dec24b4833fcp-7, 0x1.34580cf114eb4p-7, 0x1.2b0807e0cb801p-7, 0x1.21fa6e36ce14p-7, 0x1.192da0d908f17p-7, 0x1.10a008c80b7f6p-7, 0x1.08501706a95cdp-7, 0x1.003c4481509cbp-7, 0x1.f0c623ea45938p-8, 0x1.e1860fade148p-8, 0x1.d2b56c73f41bep-8, 0x1.c451696d10ccfp-8, 0x1.b65744a0da515p-8, 0x1.a8c44ababef25p-8, 0x1.9b95d6d694703p-8, 0x1.8ec9524cfe637p-8, 0x1.825c347fcb54p-8, 0x1.764c02a62c18cp-8, 0x1.6a964f990954fp-8, 0x1.5f38bb9f22a33p-8, 0x1.5430f4396bac5p-8, 0x1.497cb3ef61a51p-8, 0x1.3f19c21b6aedfp-8, 0x1.3505f2b76efe6p-8, 0x1.2b3f262984448p-8, 0x1.21c34910dba98p-8, 0x1.18905412cd04cp-8, 0x1.0fa44ba82403fp-8, 0x1.06fd3feaa5a7p-8, 0x1.fd3298c5d4eb3p-9, 0x1.eced2facd11bp-9, 0x1.dd26a82be864ep-9, 0x1.cddb7b98c7183p-9, 0x1.bf08389b4b08ap-9, 0x1.b0a982cc605ep-9, 0x1.a2bc1255a5ac7p-9, 0x1.953cb391d125p-9, 0x1.882846add91d4p-9, 0x1.7b7bbf4b07e7dp-9, 0x1.6f342421c6a1dp-9, 0x1.634e8ea575a7bp-9, 0x1.57c82aa903512p-9, 0x1.4c9e3604b45b1p-9, 0x1.41ce003c8e737p-9, 0x1.3754ea27b7a6ap-9, 0x1.2d30659928223p-9, 0x1.235df508e8248p-9, 0x1.19db2b3ec6893p-9, 0x1.10a5aafdb718p-9, 0x1.07bb26b041dbbp-9, 0x1.fe32c02c66b48p-10, 0x1.ed7c4fe6336e8p-10, 0x1.dd4ebb7bd2c55p-10, 0x1.cda5dea3c673p-10, 0x1.be7db1407f5d4p-10, 0x1.afd246c5f0fc9p-10, 0x1.a19fcda1ab077p-10, 0x1.93e28ea4cbfe7p-10, 0x1.8696ec700cc62p-10, 0x1.79b962e294f2ep-10, 0x1.6d46868a3cff3p-10, 0x1.613b041629bdbp-10, 0x1.55939fcc06d3fp-10, 0x1.4a4d34febb82ap-10, 0x1.3f64b587d85cep-10, 0x1.34d7294300c6ap-10, 0x1.2aa1ad8ba14c6p-10, 0x1.20c174bc5f54ap-10, 0x1.1733c5b0fd122p-10, 0x1.0df5fb4a5563bp-10, 0x1.050583f47a373p-10, 0x1.f8bfc25dbdd56p-11, 0x1.e8054e2ddbd91p-11, 0x1.d7d6f7e7f9793p-11, 0x1.c8302f8c095d7p-11, 0x1.b90c87abf14f9p-11, 0x1.aa67b490d5eeap-11, 0x1.9c3d8b641282cp-11, 0x1.8e8a015c92a8ep-11, 0x1.81492af046e9dp-11, 0x1.74773b0881889p-11, 0x1.6810823b278e6p-11, 0x1.5c116e07a5281p-11, 0x1.507688178c1d7p-11, 0x1.453c7582d279ap-11, 0x1.3a5ff618aceaep-11, 0x1.2fdde3ab0dcd6p-11, 0x1.25b3315ddf6c6p-11, 0x1.1bdceafaaf326p-11, 0x1.1258344732e2p-11, 0x1.0922485f9a5c3p-11, 0x1.00387914619dbp-11, 0x1.ef305c97d26bcp-12, 0x1.de7dcacd86551p-12, 0x1.ce54614f2da44p-12, 0x1.beaf6d3d12582p-12, 0x1.af8a632f93223p-12, 0x1.a0e0de1aa2bccp-12, 0x1.92ae9e37d2248p-12, 0x1.84ef87f6e782cp-12, 0x1.779fa2f3e18ddp-12, 0x1.6abb18f2d1a72p-12, 0x1.5e3e34e2406aap-12, 0x1.522561e448d02p-12, 0x1.466d2a5b762cp-12, 0x1.3b1236fecfa72p-12, 0x1.30114df4036b8p-12, 0x1.256751ed6ac03p-12, 0x1.1b11414e41aaap-12, 0x1.110c3553d8a11p-12, 0x1.07556144e2ca1p-12, 0x1.fbd42349ecaf8p-13, 0x1.e98f56db2608dp-13, 0x1.d7d75698a03a3p-13, 0x1.c6a749cb10a28p-13, 0x1.b5fa8437e16d9p-13, 0x1.a5cc84b8dfc0fp-13, 0x1.9618f3dda1b1cp-13, 0x1.86dba297965p-13, 0x1.781088ec8e1e6p-13, 0x1.69b3c4b27438p-13, 0x1.5bc198566b17cp-13, 0x1.4e3669a7f61a2p-13, 0x1.410ec0af701bdp-13, 0x1.344746899ed76p-13, 0x1.27dcc44de755bp-13, 0x1.1bcc21fbbf27p-13, 0x1.1012656e17078p-13, 0x1.04acb1579c2p-13, 0x1.f330888d7dedfp-14, 0x1.dda4ef5d96d75p-14, 0x1.c8b17df35485fp-14, 0x1.b4514d3c02ccfp-14, 0x1.a07fa67ea8827p-14, 0x1.8d3801a58aea8p-14, 0x1.7a7603933f476p-14, 0x1.68357c864f8e7p-14, 0x1.5672668ac0fdep-14, 0x1.4528e3f1bc4b1p-14, 0x1.34553ddc1b0aep-14, 0x1.23f3e2c63e677p-14, 0x1.140165288a5bcp-14, 0x1.047a7a1ff0d8ep-14, 0x1.eab7f03c96ddcp-15, 0x1.cd45ab4cfc62ep-15, 0x1.b098502cfe62ep-15, 0x1.94aa44e7750ddp-15, 0x1.7976288fe35fdp-15, 0x1.5ef6d1054ec5dp-15, 0x1.452748c8577f9p-15, 0x1.2c02cce940c8ap-15, 0x1.1384cb0557b62p-15, 0x1.f751be9c92b36p-16, 0x1.c8d5a551cf61cp-16, 0x1.9b8d31be0f5e3p-16, 0x1.6f709dab4759cp-16, 0x1.447871b6f160ap-16, 0x1.1a9d82050f3b7p-16, 0x1.e3b1d6147be09p-17, 0x1.94481d0dc1a74p-17, 0x1.46f12110cce54p-17, 0x1.f74152263f6f9p-18, 0x1.6495eae3724dep-18, 0x1.ab92ea434ee1cp-19, 0x1.2b18de11d4e67p-20, -0x1.e4459b7f62199p-21, -0x1.806ecdc5511bfp-19, -0x1.40593cd96d966p-18, -0x1.bd00d6f39deb5p-18, -0x1.1b2013882dc43p-17, -0x1.56143bbffccp-17, -0x1.8f653964a2e72p-17, -0x1.c71b15af2b97fp-17, -0x1.fd3d91680c332p-17, -0x1.18ea143689fe6p-16, -0x1.32730a8cc88f9p-16, -0x1.4b3d29bc8d394p-16, -0x1.634bd22fc6b09p-16, -0x1.7aa248315f09cp-16, -0x1.9143b56066779p-16, -0x1.a7332a05caa73p-16, -0x1.bc739e669f025p-16, -0x1.d107f40cf9e51p-16, -0x1.e4f2f6ec8265ep-16, -0x1.f8375e9955637p-16, -0x1.056be7acd4dfcp-15, -0x1.0e6b6d9abc4c7p-15, -0x1.171b81793cb4fp-15, -0x1.1f7d5b882340dp-15, -0x1.27922c58bc1d7p-15, -0x1.2f5b1d3927229p-15, -0x1.36d950a47514ep-15, -0x1.3e0de2a6afd5fp-15, -0x1.44f9e939c6c41p-15, -0x1.4b9e74a6a8135p-15, -0x1.51fc8fd938a9dp-15, -0x1.581540b5a40fap-15, -0x1.5de988630bd57p-15, -0x1.637a639a70ed4p-15, -0x1.68c8caeb8959ep-15, -0x1.6dd5b2fce8a13p-15, -0x1.72a20ccf01782p-15, -0x1.772ec5f7359abp-15, -0x1.7b7cc8d704b08p-15, -0x1.7f8cfcd1ae832p-15, -0x1.8360467e60577p-15, -0x1.86f787d802d42p-15, -0x1.8a53a0670298ap-15, -0x1.8d756d6cf9d01p-15, -0x1.905dca0a616cdp-15, -0x1.930d8f62f40b2p-15, -0x1.958594be33d61p-15, -0x1.97c6afa8727cfp-15, -0x1.99d1b410e5469p-15, -0x1.9ba77461b5a15p-15, -0x1.9d48c19ba6feep-15, -0x1.9eb66b6bb8d0ap-15, -0x1.9ff14042293cfp-15, -0x1.a0fa0d6306124p-15, -0x1.a1d19ef9f9ab7p-15, -0x1.a278c029b6408p-15, -0x1.a2f03b1b71c99p-15, -0x1.a338d90991572p-15, -0x1.a353624e55cbp-15, -0x1.a3409e6d19daep-15, -0x1.a301541ab5bddp-15, -0x1.a29649463ac27p-15, -0x1.a200431fa6474p-15, -0x1.a140061e0d97dp-15, -0x1.a05656031f66ap-15, -0x1.9f43f5df94267p-15, -0x1.9e09a815f1492p-15, -0x1.9ca82e5daeda2p-15, -0x1.9b2049c2427f8p-15, -0x1.9972baa4bee3ap-15, -0x1.97a040bced179p-15, -0x1.95a99b16327fdp-15, -0x1.938f880ea8ce2p-15, -0x1.9152c5556168ep-15, -0x1.8ef40fe819c9ep-15, -0x1.8c7424108c6cbp-15, -0x1.89d3bd5e730fbp-15, -0x1.871396a5dfb9dp-15, -0x1.843469f9c8f8dp-15, -0x1.8136f0a8b1d62p-15, -0x1.7e1be334ead0ap-15, -0x1.7ae3f9522f2c3p-15, -0x1.778fe9df03449p-15, -0x1.74206add9ff16p-15, -0x1.7096316e7d54p-15, -0x1.6cf1f1ca500d3p-15, -0x1.69345f3d46beap-15, -0x1.655e2c1dd5c27p-15, -0x1.617009c6f7645p-15, -0x1.5d6aa89174f2bp-15, -0x1.594eb7cd77de4p-15, -0x1.551ce5bb648b3p-15, -0x1.50d5df83ccc03p-15, -0x1.4c7a5133285fbp-15, -0x1.480ae5b0707bdp-15, -0x1.438846b6a888ep-15, -0x1.3ef31ccd8943ep-15, -0x1.3a4c0f4359848p-15, -0x1.3593c42721da4p-15, -0x1.30cae04002415p-15, -0x1.2bf207071114fp-15, -0x1.2709daa0c1ab7p-15, -0x1.2212fbd607925p-15, -0x1.1d0e0a0eaf47ep-15, -0x1.17fba34a13f01p-15, -0x1.12dc641a1ba03p-15, -0x1.0db0e79c91023p-15, -0x1.0879c7742cfcap-15, -0x1.03379bc3dbc52p-15, -0x1.fbd5f64fdd0c6p-16, -0x1.f128f566aecf5p-16, -0x1.e6695bcf0137ep-16, -0x1.db984d61cb1dbp-16, -0x1.d0b6eac117c39p-16, -0x1.c5c6514fcd516p-16, -0x1.bac79b27774cbp-16, -0x1.afbbdf12a8541p-16, -0x1.a4a4307fba5e5p-16, -0x1.99819f7c87745p-16, -0x1.8e5538abaf93ap-16, -0x1.8320053d472edp-16, -0x1.77e30ae818adfp-16, -0x1.6c9f4be3b856ap-16, -0x1.6155c6e31b59fp-16, -0x1.5607770c7bd97p-16, -0x1.4ab553f4b846fp-16, -0x1.3f605199b23d9p-16, -0x1.3409605ba59fap-16, -0x1.28b16cfc3397ep-16, -0x1.1d59609922b9cp-16, -0x1.120220a7c8773p-16, -0x1.06ac8ef27a201p-16, -0x1.f6b31329e3a64p-17, -0x1.e013d5f19c313p-17, -0x1.c97d13a8d0927p-17, -0x1.b2f072534d448p-17, -0x1.9c6f908abb7d5p-17, -0x1.85fc0576d6a08p-17, -0x1.6f9760d03e43bp-17, -0x1.59432adbeb2bdp-17, -0x1.4300e46ae763bp-17, -0x1.2cd206dbf65d5p-17, -0x1.16b804222bdp-17, -0x1.00b446bf67ae6p-17, -0x1.d59063917f28ap-18, -0x1.a9ea41d6766fcp-18, -0x1.7e78d0d80bf9cp-18, -0x1.533eaa593723dp-18, -0x1.283e5965f07a4p-18, -0x1.faf4b4c7c0dbfp-19, -0x1.a5ea3627828e1p-19, -0x1.5161f53f9471p-19, -0x1.fac126baa03cbp-20, -0x1.53d529a3796e8p-20, -0x1.5c11847e2b30cp-21, -0x1.2c90c80099a02p-25, 0x1.341e5b22dae0dp-21, 0x1.3c4a354dc11ddp-20, 0x1.dd44a565f5052p-20, 0x1.3e7b6537c4e0ap-19, 0x1.8dac946381a09p-19, 0x1.dc323e1bf87f4p-19, 0x1.15046de5e4df9p-18, 0x1.3b96810a9756p-18, 0x1.61cdb06339a39p-18, 0x1.87a8614ae25fp-18, 0x1.ad250675eed61p-18, 0x1.d2421fdc042edp-18, 0x1.f6fe3a9532108p-18, 0x1.0dabf8605db71p-17, 0x1.1fa6f4adc8954p-17, 0x1.316f6c1935f21p-17, 0x1.4304beddaa488p-17, 0x1.5466537a2a05bp-17, 0x1.659396a593631p-17, 0x1.768bfb3c25b0ap-17, 0x1.874efa3133cc7p-17, 0x1.97dc1276a6428p-17, 0x1.a832c8f2defdap-17, 0x1.b852a86e5accdp-17, 0x1.c83b4182b9c1fp-17, 0x1.d7ec2a8a0e2d3p-17, 0x1.e764ff8bcb6f5p-17, 0x1.f6a5622c5e74cp-17, 0x1.02d67ccbff541p-16, 0x1.0a3db9383a77fp-16, 0x1.11883f606dddep-16, 0x1.18b5eaf21ad4ap-16, 0x1.1fc69a3b843e5p-16, 0x1.26ba2e221c9b3p-16, 0x1.2d908a199d6a6p-16, 0x1.34499419fd96bp-16, 0x1.3ae53493ab4bbp-16, 0x1.41635669e50a9p-16, 0x1.47c3e6e6a15a1p-16, 0x1.4e06d5b305125p-16, 0x1.542c14cd2c64ap-16, 0x1.5a33987e46087p-16, 0x1.601d575170f68p-16, 0x1.65e94a0955292p-16, 0x1.6b976b96241fep-16, 0x1.7127b90e7cb2dp-16, 0x1.769a31a3aaabp-16, 0x1.7beed698755bcp-16, 0x1.8125ab388b51dp-16, 0x1.863eb4ce4ccc3p-16, 0x1.8b39fa9a36b2ap-16, 0x1.901785c6ac01ap-16, 0x1.94d761606aa59p-16, 0x1.99799a4db931dp-16, 0x1.9dfe3f43c76c8p-16, 0x1.a26560be0adc1p-16, 0x1.a6af10f53c37p-16, 0x1.aadb63d50227bp-16, 0x1.aeea6ef3b4e4dp-16, 0x1.b2dc49871d549p-16, 0x1.b6b10c5de2811p-16, 0x1.ba68d1d501334p-16, 0x1.be03b5cf5af1p-16, 0x1.c181d5abd40c1p-16, 0x1.c4e3503d34c53p-16, 0x1.c82845c1fee87p-16, 0x1.cb50d7d974fefp-16, 0x1.ce5d297c4c69ep-16, 0x1.d14d5ef3045e4p-16, 0x1.d4219dce705e2p-16, 0x1.d6da0cde88fb6p-16, 0x1.d976d42a07ce5p-16, 0x1.dbf81ce62ea84p-16, 0x1.de5e116db4707p-16, 0x1.e0a8dd39f2771p-16, 0x1.e2d8acd85cc87p-16, 0x1.e4edade3bf5a7p-16, 0x1.e6e80efd4304dp-16, 0x1.e8c7ffc235d0fp-16, 0x1.ea8db0c6509a2p-16, 0x1.ec3953896e11dp-16, 0x1.edcb1a72fc22ap-16, 0x1.ef4338c791cf3p-16, 0x1.f0a1e2a1f371ep-16, 0x1.f1e74ced6b1a2p-16, 0x1.f313ad5b659f8p-16, 0x1.f4273a5e532eep-16, 0x1.f5222b22adb43p-16, 0x1.f604b7862a2bap-16, 0x1.f6cf1811a377fp-16, 0x1.f78185f20d56ep-16, 0x1.f81c3af26fca6p-16, 0x1.f89f71733bb87p-16, 0x1.f90b64646df5bp-16, 0x1.f9604f4021479p-16, 0x1.f99e6e02ad801p-16, 0x1.f9c5fd24ffda8p-16, 0x1.f9d7399529c7bp-16, 0x1.f9d260b1d3099p-16, 0x1.f9b7b0430dac4p-16, 0x1.f9876672f61d4p-16, 0x1.f941c1cbd7971p-16, 0x1.f8e7012e0cf02p-16, 0x1.f87763cb5301fp-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      42, 0x1.2p+2, 0x1.8764fac7a2c49p+1, 0x1.00a00a821f376p+2, -0x1.b70cfbc96b029p-6, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.28157bdc1db98p-7, -0x1.c0cc688563732p-4, 0x1.57149d9114a8ap-3, -0x1.332f5ed54077ep-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.03f60d30c3ef2p-8, -0x1.7e7c7affbb52p-4, 0x1.400aa9a77c9f8p-3, -0x1.31599ea15487ep-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.50904e1b00dabp-12, -0x1.40c49ebce264p-4, 0x1.2923f0f4fcaefp-3, -0x1.2fca33a41a5a3p-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.fcf8d7283b99ep-9, -0x1.079e4eef09a7p-4, 0x1.125b2d157ab53p-3, -0x1.2e2812ed6531dp-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.bc095b6176894p-8, -0x1.a606d3cc3e9ep-5, 0x1.f7638a87596f2p-4, -0x1.2c8a73e5e73f3p-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.28a808154fb48p-7, -0x1.45db6559be47dp-5, 0x1.ca4ec5f1a9f2cp-4, -0x1.2aed83db0b2abp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.60f5e69b38c66p-7, -0x1.dd5bd91445b68p-6, 0x1.9d77f22a6845bp-4, -0x1.2949562e6e3a5p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.88b96e98dd007p-7, -0x1.40e3d465fb78fp-6, 0x1.70e0253d0af06p-4, -0x1.27c1700c341fcp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.a1bb49179ce51p-7, -0x1.6c6cbfcf100bcp-7, 0x1.4483213b36523p-4, -0x1.25cfa9622b7eap-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.adc1a2d3d2ed2p-7, -0x1.e9c65725b140cp-9, 0x1.1870c7d2e2fefp-4, -0x1.25691d4cfba9ep-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.ae902c3cd38a9p-7, 0x1.513768efca00bp-9, 0x1.d8dba07514181p-5, -0x1.1ab43396f1bf3p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.a5e6efa518dd5p-7, 0x1.007c2bcd3df5p-7, 0x1.840bf761652bp-5, -0x1.05b0eba4beb3p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.9575855423485p-7, 0x1.8c00951865387p-7, 0x1.358a17165f28cp-5, -0x1.e471c03302181p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.7ece47985a122p-7, 0x1.f948e2cde4d1fp-7, 0x1.d9bedaea3db15p-6, -0x1.bcaddab2752bap-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.636528f737158p-7, 0x1.2558c2bbb1b3cp-6, 0x1.54577fb4b4237p-6, -0x1.9522b60c4b306p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.448fb42d46c13p-7, 0x1.414dca368a44bp-6, 0x1.b59a2bc86e5dfp-7, -0x1.6d885c66a24d6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.23850c2e2817ap-7, 0x1.51b373f9e6f3cp-6, 0x1.b490b57c19f66p-8, -0x1.45f215e49442cp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.015dec248caffp-7, 0x1.57b9d6e7a7efep-6, 0x1.6b71a681a6d86p-11, -0x1.1e5ab7d399fe7p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.be294ee47168fp-8, 0x1.5490fe6d86f3p-6, -0x1.2a31dafa83ee7p-8, -0x1.ed8749b5684b5p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.7b0a536005c6dp-8, 0x1.4968f90a623a5p-6, -0x1.2927ea007adb7p-7, -0x1.9e58fa20d224p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.3ad9ed5ba91f9p-8, 0x1.3771d46cac6ep-6, -0x1.a575cea3ed19p-7, -0x1.4f2abae744485p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.fdaca9caa67ecp-9, 0x1.1fdb9e7361fb6p-6, -0x1.05015027da648p-6, -0x1.fff8c7c8a211p-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.9001e4f242378p-9, 0x1.03d6650bc3dbp-6, -0x1.2b672bf08025ap-6, -0x1.619cb757fbf4ap-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.2e3cbe02a9a33p-9, 0x1.c9246b72ee1d1p-7, -0x1.45ec867d7fd7ep-6, -0x1.867cc049f3a26p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.b2d98f595692bp-10, 0x1.867e3f3097ca2p-7, -0x1.54913419df612p-6, -0x1.2744333220da9p-10}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.244feafac00bep-10, 0x1.421a579a02ec6p-7, -0x1.5755d7c7f149ap-6, 0x1.e634099d731a9p-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.622a6f78ac01p-11, 0x1.fcb1e701c199ap-8, -0x1.4e38113363eddp-6, 0x1.178c4c6d97809p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.61bb80a5cd8ap-12, 0x1.7b33570871a9bp-8, -0x1.3940beab2bc46p-6, 0x1.b744e2825e6cep-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.8af108607c8p-14, 0x1.047d090b0d183p-8, -0x1.184ec747cb15dp-6, 0x1.284743924ef72p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.0cb493168a2p-14, 0x1.3a81e23c7c74p-9, -0x1.d7bb60b07e7aap-7, 0x1.80ed52c12a0ep-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3ca3ea3e2884p-13, 0x1.29d2062beab1cp-10, -0x1.6440fb102510cp-7, 0x1.8970119421dp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.811016be1a9abp-13, 0x1.e03d2ea4ef2a6p-13, -0x1.dc71eb9435d63p-8, 0x1.41cea72f02efap-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.781bad4163d6ep-13, -0x1.6fb99b989575bp-12, -0x1.1b5c54119a7a5p-8, 0x1.0631043b9d101p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.40dca04109837p-13, -0x1.5ba005cc11417p-11, -0x1.f82edfb7575e9p-10, 0x1.8ea52e36e630fp-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.e8e27577d0ec5p-14, -0x1.909fd0d5aaf25p-11, -0x1.9cf0ea8a98c5bp-14, 0x1.12e716794098dp-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4c00406d6a1d6p-14, -0x1.74cc377835bdbp-11, 0x1.30130c4f3d96ap-10, 0x1.2b5f1214d4986p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8ae132efecf6p-15, -0x1.2605434864596p-11, 0x1.e3b27d8ef057bp-10, 0x1.c5f0fdda77b3ap-11}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8e88a6e0f3c1fp-16, -0x1.83c0cb6a1768bp-12, 0x1.02df1519430f4p-9, -0x1.ac511298d5428p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.48a25ad59c6ebp-17, -0x1.9cb5befb8b32dp-13, 0x1.853f716b12f18p-10, -0x1.298e86c66f7bcp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.9fed7af659ff1p-19, -0x1.59735b1ba87bbp-14, 0x1.a56d744e6ce9ap-11, -0x1.8c9389e9d011bp-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.48a25ad59c668p-21, -0x1.9df29120ee671p-16, 0x1.6ef6a98446836p-12, -0x1.c323d42cd2d32p-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.48a25ad59c541p-25, -0x1.5ad31501f7845p-19, 0x1.811e4272534a9p-14, -0x1.3664333b81636p-9}, 
      }}, 
      0x1.2c057b738edbap-5, -0x1.d484643fc2814p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.17fdfa8ad12d3p-4, -0x1.0a86445460c39p-4, -0x1.e9bc738746c4dp-5, -0x1.b0227c5ee1454p-5, -0x1.6abfdd6151e2cp-5, -0x1.1c45fa5522238p-5, -0x1.8ecfc6c60a4d5p-6, -0x1.badd926b518d6p-7, -0x1.48cd0e9b0acbcp-9, 0x1.141ee2d810957p-7, 0x1.388a81101d258p-6, 0x1.df75f9eaa03acp-6, 0x1.3e452ac1d4709p-5, 0x1.87072f9b2c3b4p-5, 0x1.c9643171c63c1p-5, 0x1.027b81452a3eep-4, 0x1.1cc4fc8d592d4p-4, 0x1.338792bc58b1p-4, 0x1.46cc8dc9b2d7fp-4, 0x1.56aa3b2bc8646p-4, 0x1.634110b63f561p-4, 0x1.6cb93041b6026p-4, 0x1.734044a7f8663p-4, 0x1.7707b1e702d03p-4, 0x1.784311f740421p-4, 0x1.7726f7e6dab65p-4, 0x1.73e7f28277c8cp-4, 0x1.6eb9c6f21174cp-4, 0x1.67cedb5c7ed15p-4, 0x1.5f57c9e4d98b8p-4, 0x1.558315286dea1p-4, 0x1.4a7cf74403052p-4, 0x1.3e6f46448a3c5p-4, 0x1.318168b25cbd6p-4, 0x1.23d8561f939eap-4, 0x1.1596a1d912eb3p-4, 0x1.06dc89894246ap-4, 0x1.ef9012ca4ff6p-5, 0x1.d0e9e3a56cf56p-5, 0x1.b1f9fe1b0973ep-5, 0x1.92efdfd14c35ep-5, 0x1.73f73974302dp-5, 0x1.553819fff3923p-5, 0x1.36d7199f05fe4p-5, 0x1.18f5802dcf57dp-5, 0x1.f762d9e386467p-6, 0x1.be4bf2b31b2bbp-6, 0x1.86d6b8d7896fdp-6, 0x1.512e17d9cb6a7p-6, 0x1.1d77b825a1b48p-6, 0x1.d7a87f3a68eeep-7, 0x1.78bf2006ef592p-7, 0x1.1e6209c27c9f4p-7, 0x1.916ec886000d7p-8, 0x1.df750a6f80314p-9, 0x1.5f50f225691a6p-10, -0x1.b12af162a895ap-11, -0x1.7441cc6121951p-9, -0x1.341956d459e61p-8, -0x1.a415205ab7b09p-8, -0x1.0512a08274519p-7, -0x1.333231957191ep-7, -0x1.5c7b00513ab41p-7, -0x1.8102c62fb9905p-7, -0x1.a0e2d1e520eb4p-7, -0x1.bc37a3b82e8f4p-7, -0x1.d32088cc09eabp-7, -0x1.e5bf4caa6fda8p-7, -0x1.f437d130f6e09p-7, -0x1.feafc7ea625d3p-7, -0x1.02a72f68bea54p-6, -0x1.041dfd427d1efp-6, -0x1.03d0f92de03f6p-6, -0x1.01d5229896a9cp-6, -0x1.fc7f7c2143a9cp-7, -0x1.f24c4d5e7638bp-7, -0x1.e53b8ffbb44bcp-7, -0x1.d577fbc0ab9cbp-7, -0x1.c32bf7938a9d1p-7, -0x1.ae819947e4618p-7, -0x1.97a25ebf1c1e3p-7, -0x1.7eb723d8ce3e1p-7, -0x1.63e815f84c64fp-7, -0x1.475c842000aaep-7, -0x1.293ae099cec9dp-7, -0x1.09a8b1c361587p-7, -0x1.d194ef3288d88p-8, -0x1.8d87661854cebp-8, -0x1.476da5ead5a52p-8, -0x1.ff14a70d8841p-9, -0x1.6c3bfcc367bf5p-9, -0x1.ad9baf7971aap-10, -0x1.fa1202f35d9a4p-12, 0x1.67cbf95f0890bp-11, 0x1.e8c579e505eefp-10, 0x1.8fa22b1397194p-9, 0x1.15a568fb2aa12p-8, 0x1.637d57c17eb13p-8, 0x1.b129fee6d5c36p-8, 0x1.fe7ea9f427eafp-8, 0x1.25a85c7ba3059p-7, 0x1.4bbbd6a574d99p-7, 0x1.71668d0fa111dp-7, 0x1.969643e403086p-7, 0x1.bb39d1815bc01p-7, 0x1.df40f59f544eep-7, 0x1.014e3ed7a0cb1p-6, 0x1.129f0c7e16fcp-6, 0x1.238c3687fa7c5p-6, 0x1.340f8cc09271cp-6, 0x1.4423459345babp-6, 0x1.53c21472cfd08p-6, 0x1.62e717dd8fe79p-6, 0x1.718dd89b1615cp-6, 0x1.7fb24b6878d34p-6, 0x1.8d50cdc89f9e6p-6, 0x1.9a66206453d5ep-6, 0x1.a6ef61967833ap-6, 0x1.b2ea119ba829fp-6, 0x1.be54095f5bc86p-6, 0x1.c92b78a8f4d46p-6, 0x1.d36ee322d56fbp-6, 0x1.dd1d193df80c7p-6, 0x1.e6353daae2e17p-6, 0x1.eeb6b6f6f9f5dp-6, 0x1.f6a132c8bd4d9p-6, 0x1.fdf4a24427606p-6, 0x1.0258994fb85a8p-5, 0x1.056ba82b16e7dp-5, 0x1.0833cedfe2ab9p-5, 0x1.0ab17a0ddbfc9p-5, 0x1.0ce5302e18fd9p-5, 0x1.0ecf8f472d7afp-5, 0x1.10714a7cd6bd4p-5, 0x1.11cb2db4266p-5, 0x1.12de158ba3b38p-5, 0x1.13aaf4934e93bp-5, 0x1.1432c9b9b27acp-5, 0x1.1476ac27b286bp-5, 0x1.1477b945936d8p-5, 0x1.143722cb48a21p-5, 0x1.13b62766db25ap-5, 0x1.12f60d43b5688p-5, 0x1.11f82af90f565p-5, 0x1.10bddf04139d8p-5, 0x1.0f488fb749a23p-5, 0x1.0d99ada399829p-5, 0x1.0bb2b27f5832p-5, 0x1.09951d08e45f7p-5, 0x1.074271939a7e4p-5, 0x1.04bc3b0da37c8p-5, 0x1.02040b1c938ddp-5, 0x1.fe36e90699751p-6, 0x1.f80821addf33bp-6, 0x1.f17ef2b0a8984p-6, 0x1.ea9e9b3495be7p-6, 0x1.e36a5ac6f5251p-6, 0x1.dbe57428c7b3bp-6, 0x1.d4132e955e47ap-6, 0x1.cbf6d0da32646p-6, 0x1.c393a1dc11bf9p-6, 0x1.baecec6228494p-6, 0x1.b205f5ad85f03p-6, 0x1.a8e200c483888p-6, 0x1.9f8453dc2fd1fp-6, 0x1.95f02afc12c6dp-6, 0x1.8c28c30aaf81bp-6, 0x1.8231512dea13bp-6, 0x1.780d05b2247dep-6, 0x1.6dbf0d696c64ap-6, 0x1.634a8bf067b3dp-6, 0x1.58b29c1f3eb1cp-6, 0x1.4dfa56d58fd02p-6, 0x1.4324c645f39e7p-6, 0x1.3834efd558184p-6, 0x1.2d2dccb78122p-6, 0x1.22124fd8db815p-6, 0x1.16e55e5ba8b86p-6, 0x1.0ba9d5be890a8p-6, 0x1.00628432bb20fp-6, 0x1.ea24636a48998p-7, 0x1.d3772cbda50f4p-7, 0x1.bcc2be34839afp-7, 0x1.a60c5b187d9bbp-7, 0x1.8f5928d63de3ep-7, 0x1.78ae34d10b9a3p-7, 0x1.621072970d17fp-7, 0x1.4b84b74e395b6p-7, 0x1.350fbda8c1af7p-7, 0x1.1eb624bbf31cp-7, 0x1.087c6dca3545ep-7, 0x1.e4cdf68754fbcp-8, 0x1.b8f42c45378c8p-8, 0x1.8d73cb6a9a081p-8, 0x1.6254e926bbc57p-8, 0x1.379f5d0777e0ap-8, 0x1.0d5ac24bbbabfp-8, 0x1.c71ceb38804ddp-9, 0x1.748327348d2fep-9, 0x1.22f5fd1243ea1p-9, 0x1.a50557a07fec4p-10, 0x1.066bf3e9f0c33p-10, 0x1.a8e18342e40acp-12, -0x1.7bee9564757b9p-13, -0x1.8d4021e569082p-11, -0x1.5b18c01f5e917p-10, -0x1.ecd340e5b7372p-10, -0x1.3dddf161fde64p-9, -0x1.83dffed8cf841p-9, -0x1.c866f14826543p-9, -0x1.05b535fa32349p-8, -0x1.2671449c7ec99p-8, -0x1.4663ed8369cd5p-8, -0x1.6589b7ce8e968p-8, -0x1.83df677445376p-8, -0x1.a161ff10e921p-8, -0x1.be0eb7b29ed6p-8, -0x1.d9e30313d3b69p-8, -0x1.f4dc8c1fef86ap-8, -0x1.077c9c8c38c4dp-7, -0x1.141b958318968p-7, -0x1.204a5d0922254p-7, -0x1.2c0838e89749ap-7, -0x1.3754884dcc46fp-7, -0x1.422ec4e626f46p-7, -0x1.4c96842d374dp-7, -0x1.568b767ce7a22p-7, -0x1.600d65585c26p-7, -0x1.691c3063d2853p-7, -0x1.71b7ce02a3d31p-7, -0x1.79e04c47ec5fep-7, -0x1.8195d1b2aee7ap-7, -0x1.88d89d78d8334p-7, -0x1.8fa9050dd42dbp-7, -0x1.9607719e02713p-7, -0x1.9bf45f0aef983p-7, -0x1.a1705cd907e81p-7, -0x1.a67c0fb691014p-7, -0x1.ab1832095a24ep-7, -0x1.af45922a926fcp-7, -0x1.b3050fb3fe921p-7, -0x1.b6579975c94e5p-7, -0x1.b93e2d6043d3bp-7, -0x1.bbb9da1e7e5a5p-7, -0x1.bdcbc007a14cbp-7, -0x1.bf751113e0757p-7, -0x1.c0b70f35c04fep-7, -0x1.c19308afbad78p-7, -0x1.c20a57113407p-7, -0x1.c21e5f5b19c69p-7, -0x1.c1d093468b528p-7, -0x1.c12272af9974ep-7, -0x1.c0158b238c27fp-7, -0x1.beab75ca5fbfep-7, -0x1.bce5d4dd7546fp-7, -0x1.bac651ed29672p-7, -0x1.b84e9ddcee965p-7, -0x1.b5807227146dfp-7, -0x1.b25d92262d59bp-7, -0x1.aee7cb27b467ep-7, -0x1.ab20f2e9375abp-7, -0x1.a70ae545e0656p-7, -0x1.a2a782391ce3cp-7, -0x1.9df8ace26b6fdp-7, -0x1.99004ce2ebd06p-7, -0x1.93c04f1489e3cp-7, -0x1.8e3aa6604eb9cp-7, -0x1.88714b6cbfe02p-7, -0x1.82663aaca28c8p-7, -0x1.7c1b7262defc9p-7, -0x1.7592f1276aed3p-7, -0x1.6eceb5a0faafap-7, -0x1.67d0bf4d6b038p-7, -0x1.609b0f968d019p-7, -0x1.592faa4fdc8dp-7, -0x1.5190952c0e676p-7, -0x1.49bfd641dd197p-7, -0x1.41bf724c1877bp-7, -0x1.39916b6874bdcp-7, -0x1.3137c0c60d75ep-7, -0x1.28b46f3076496p-7, -0x1.200971f845459p-7, -0x1.1738c377c38a2p-7, -0x1.0e445cf055191p-7, -0x1.052e35689fd02p-7, -0x1.f7f080ea4508cp-8, -0x1.e548d9e03347ep-8, -0x1.d269489206c27p-8, -0x1.bf5595873d9dap-8, -0x1.ac11801664a4p-8, -0x1.98a0bfb1374adp-8, -0x1.8507046d56db3p-8, -0x1.7147f64ee46c5p-8, -0x1.5d6733844cb44p-8, -0x1.49684e441c6eep-8, -0x1.354ecb19e0e55p-8, -0x1.211e202ea2f11p-8, -0x1.0cd9b59884063p-8, -0x1.f109ccb5850bdp-9, -0x1.c84602e4e1a48p-9, -0x1.9f6e94aea5786p-9, -0x1.7689f103f0252p-9, -0x1.4d9e6c78aa9adp-9, -0x1.24b23e6b98996p-9, -0x1.f796fc93e4a23p-10, -0x1.a5e044b00c18dp-10, -0x1.544bff9bfba6p-10, -0x1.02e597c235ab5p-10, -0x1.637074ec57c6ap-11, -0x1.833b6c5824f57p-12, -0x1.034336d0e10c7p-14, 0x1.0034f810fa706p-12, 0x1.1fd67158921d1p-11, 0x1.beb77aed41bbep-11, 0x1.2e5511b6c9015p-10, 0x1.7ccdc0d047174p-10, 0x1.cabc9c636e933p-10, 0x1.0c0c5d90e5921p-9, 0x1.326cbb5f5f643p-9, 0x1.587b34ecb3b22p-9, 0x1.7e33b724e8754p-9, 0x1.a3924e14a3977p-9, 0x1.c89324e6960b6p-9, 0x1.ed32863ffa09dp-9, 0x1.08b66e69a1e2cp-8, 0x1.1a9f5a35cda2cp-8, 0x1.2c525d885755fp-8, 0x1.3dcde1043c29ep-8, 0x1.4f105f25b0aa7p-8, 0x1.601864130856cp-8, 0x1.70e48cff3da11p-8, 0x1.81738731a3dfbp-8, 0x1.91c40eb74df6ap-8, 0x1.a1d4ecfdbe93p-8, 0x1.b1a4f7d9e6cf7p-8, 0x1.c1331167e913fp-8, 0x1.d07e28e7c0e38p-8, 0x1.df853ca4456b1p-8, 0x1.ee475c4e6b906p-8, 0x1.fcc3aafbe0acfp-8, 0x1.057cb00c495c8p-7, 0x1.0c73e35d8e107p-7, 0x1.13471d9ba9e62p-7, 0x1.19f613a4f71aep-7, 0x1.20807edbedcbp-7, 0x1.26e61b4aec58ep-7, 0x1.2d26a6bc6d43ap-7, 0x1.3341e137969bcp-7, 0x1.39378eea68e77p-7, 0x1.3f077b2447a96p-7, 0x1.44b17b9ab856bp-7, 0x1.4a3572ff12f72p-7, 0x1.4f93520076fd8p-7, 0x1.54cb1621fe33fp-7, 0x1.59dcc65a5e478p-7, 0x1.5ec86e2b3888ap-7, 0x1.638e18323c4b9p-7, 0x1.682dc9ceae771p-7, 0x1.6ca78129e9adep-7, 0x1.70fb367476491p-7, 0x1.7528e081335dcp-7, 0x1.79307bcc523ebp-7, 0x1.7d12124ace235p-7, 0x1.80cdc1efd976bp-7, 0x1.8463bfef6c62dp-7, 0x1.87d4576ce670fp-7, 0x1.8b1fe355bfc52p-7, 0x1.8e46c46e50433p-7, 0x1.914955b60fce1p-7, 0x1.9427e1f32ab4fp-7, 0x1.96e29d3ac1f0dp-7, 0x1.9979a489bc1f5p-7, 0x1.9bed04265abc7p-7, 0x1.9e3cc3d5f23c4p-7, 0x1.a068f66760488p-7, 0x1.a271c8f3993eep-7, 0x1.a4578dfdece59p-7, 0x1.a61ac14ab6adep-7, 0x1.a7bc02ca792d8p-7, 0x1.a93c09056e89cp-7, 0x1.aa9b8d8883ab1p-7, 0x1.abdb377f8faeap-7, 0x1.acfb896123ce7p-7, 0x1.adfcd637f8dddp-7, 0x1.aedf4191a5172p-7, 0x1.afa2cad887f4cp-7, 0x1.b04762435ec79p-7, 0x1.b0cd032c73c8bp-7, 0x1.b133ce2d3c439p-7, 0x1.b17c1d0d0c2cdp-7, 0x1.b1a68ba85b89bp-7, 0x1.b1b3f3336a229p-7, 0x1.b1a5582b9c1e8p-7, 0x1.b17bce4256194p-7, 0x1.b13857de3cdefp-7, 0x1.b0dbc7f37cf1ap-7, 0x1.b066acae82ebbp-7, 0x1.afd947af8b0a2p-7, 0x1.af339608faebbp-7, 0x1.ae7566bf7f44p-7, 0x1.ad9e7bc9261b7p-7, 0x1.acaeaeef4f9dbp-7, 0x1.aba613173ae0dp-7, 0x1.aa850af520ffap-7, 0x1.a94c504ddc1cp-7, 0x1.a7fcea25ff596p-7, 0x1.a69813d0bbbf6p-7, 0x1.a51f19de2d30bp-7, 0x1.a39333c18b63fp-7, 0x1.a1f56165c992ap-7, 0x1.a04652ef9098bp-7, 0x1.9e865efbc56efp-7, 0x1.9cb589211917dp-7, 0x1.9ad397a47f872p-7, 0x1.98e0347f51e9ep-7, 0x1.96db1382e78e1p-7, 0x1.94c4162cb4bbep-7, 0x1.929b6621209afp-7, 0x1.9061815a50012p-7, 0x1.8e17366500681p-7, 0x1.8bbd9289f4f0cp-7, 0x1.8955c669e064ap-7, 0x1.86e106b05334cp-7, 0x1.84606e2ae75e2p-7, 0x1.81d4e571b9b9p-7, 0x1.7f3f131d8f4abp-7, 0x1.7c9f567a15acdp-7, 0x1.79f5cd6bca901p-7, 0x1.774264870a2eap-7, 0x1.7484ee56e8316p-7, 0x1.71bd3d4a3ecaap-7, 0x1.6eeb3b60fe42dp-7, 0x1.6c0efbb5adf6fp-7, 0x1.6928c3cf21efep-7, 0x1.66390c879ff5fp-7, 0x1.63407babae43bp-7, 0x1.603fd8055da1dp-7, 0x1.5d37f9a3809e8p-7, 0x1.5a29b8684fbffp-7, 0x1.5715db9d62ae9p-7, 0x1.53fd0dfbdc55ep-7, 0x1.50dfd8db1b395p-7, 0x1.4dbea66796b1dp-7, 0x1.4a99c73b9b1e4p-7, 0x1.477175cecbb19p-7, 0x1.4445d4d8fd616p-7, 0x1.4116eb5c76447p-7, 0x1.3de4a5d4bebc8p-7, 0x1.3aaee3a378b4ep-7, 0x1.3775915341216p-7, 0x1.3438c75319744p-7, 0x1.30f8df2b4cd04p-7, 0x1.2db6731039d3cp-7, 0x1.2a724527dceep-7, 0x1.272d187af5d05p-7, 0x1.23e78e6520181p-7, 0x1.20a21a406f762p-7, 0x1.1d5d10b1be6dp-7, 0x1.1a18c64a91322p-7, 0x1.16d5a5047eb57p-7, 0x1.139422d5b3ffep-7, 0x1.10549672ef5f7p-7, 0x1.0d1700844f328p-7, 0x1.09daeeb4f1b5fp-7, 0x1.069f9664977dp-7, 0x1.0364278f00507p-7, 0x1.002836306703cp-7, 0x1.f9d80d4c5f6f3p-8, 0x1.f361293d81f67p-8, 0x1.ecee9f8f24225p-8, 0x1.e6836095daf74p-8, 0x1.e021b0f33c7e6p-8, 0x1.d9cad9cd7748ep-8, 0x1.d37f54a107f81p-8, 0x1.cd3f3ddf59cf6p-8, 0x1.c70abcd80508ap-8, 0x1.c0e21be51e252p-8, 0x1.bac57532f7c18p-8, 0x1.b4b41aa8185f1p-8, 0x1.aeac174ccdd2cp-8, 0x1.a8aa35fbb38d8p-8, 0x1.a2aac4f23d2adp-8, 0x1.9caae0cb827c8p-8, 0x1.96a9adb4a75aap-8, 0x1.90a8d4f3b501ep-8, 0x1.8aabfc543d438p-8, 0x1.84b78b265df78p-8, 0x1.7ecf7c7329997p-8, 0x1.78f6dd3df90ebp-8, 0x1.733001f2406f7p-8, 0x1.6d7cf9d38f2fbp-8, 0x1.67dfbaac63948p-8, 0x1.6259d3ef81beap-8, 0x1.5cebd02adcb63p-8, 0x1.57949176163f4p-8, 0x1.5250f25b2b1e4p-8, 0x1.4d1bdf6eb1c88p-8, 0x1.47ef0730325d5p-8, 0x1.42c42334990edp-8, 0x1.3d96a13dfd27ap-8, 0x1.386512c322ccbp-8, 0x1.333194652bb52p-8, 0x1.2e00b96471d8p-8, 0x1.28d770c69f62bp-8, 0x1.23b9311379591p-8, 0x1.1ea79f7a894edp-8, 0x1.19a3c02d6f8a2p-8, 0x1.14af901867cb1p-8, 0x1.0fcec96c794e7p-8, 0x1.0b065c6b823cfp-8, 0x1.065aee2ffb4b3p-8, 0x1.01cf1e8c013efp-8, 0x1.fac4e71c308d1p-9, 0x1.f222b23510906p-9, 0x1.e9abb0f0f5b2dp-9, 0x1.e150e024bb50fp-9, 0x1.d9021d519a4eep-9, 0x1.d0b1514902adp-9, 0x1.c85690a691627p-9, 0x1.bff2ec954f71cp-9, 0x1.b78f7def035b9p-9, 0x1.af3884ce508f6p-9, 0x1.a6f76fabb0e3dp-9, 0x1.9ecfada55fd8cp-9, 0x1.96bff10d44371p-9, 0x1.8ec62d85f28cfp-9, 0x1.86e3b441c356p-9, 0x1.7f1f7882afe5cp-9, 0x1.778487d34535p-9, 0x1.701ca0163f2b4p-9, 0x1.68eafaf0c1e9bp-9, 0x1.61ebd5ea8dfbap-9, 0x1.5b1868d497745p-9, 0x1.546b18251067ap-9, 0x1.4de071ad8c507p-9, 0x1.4774ed3098a23p-9, 0x1.4122402143ba5p-9, 0x1.3adf11a5b56a9p-9, 0x1.34a1611701c99p-9, 0x1.2e6242509c34bp-9, 0x1.282179d9d718fp-9, 0x1.21e6846006643p-9, 0x1.1bbcc7f02370ep-9, 0x1.15acaf621cfedp-9, 0x1.0fb702bd6b30dp-9, 0x1.09d732c55d7e1p-9, 0x1.040b45644a319p-9, 0x1.fcb13f34873e5p-10, 0x1.f18fede0648f5p-10, 0x1.e6bbde40a94b1p-10, 0x1.dc3057e020a48p-10, 0x1.d1df71fc7e6f9p-10, 0x1.c7baf7395237dp-10, 0x1.bdbbc157ace48p-10, 0x1.b3e4a285b9f46p-10, 0x1.aa3feb5dfb9b3p-10, 0x1.a0d9254bc10abp-10, 0x1.97b68ed13afe6p-10, 0x1.8ed3d3d2fdcdfp-10, 0x1.861e28d7a87ffp-10, 0x1.7d799222f6d23p-10, 0x1.74d4c762f13cfp-10, 0x1.6c37b36addb7ep-10, 0x1.63b6b25de9918p-10, 0x1.5b5a99cb6bc07p-10, 0x1.531f4867a22d2p-10, 0x1.4b06ecfc6f42fp-10, 0x1.431d0cd05685fp-10, 0x1.3b65a7806136dp-10, 0x1.33daafb880dcp-10, 0x1.2c78b428a7005p-10, 0x1.2541230b82a41p-10, 0x1.1e31f8f633b3cp-10, 0x1.1743126a3e128p-10, 0x1.106c0efe95a14p-10, 0x1.09ab049b28276p-10, 0x1.03065500cf7c5p-10, 0x1.f9113d0d8f1bdp-11, 0x1.ec748b3abd759p-11, 0x1.e03bf6322fd83p-11, 0x1.d45c1119893cp-11, 0x1.c8b13404d33fcp-11, 0x1.bd1ca405d41b7p-11, 0x1.b1b94df6c2e45p-11, 0x1.a6bb8360a5e63p-11, 0x1.9c17e7d0767f2p-11, 0x1.918e89759fa25p-11, 0x1.870ac0846fc38p-11, 0x1.7cb335fa9697fp-11, 0x1.72a9d49761c92p-11, 0x1.68ec11921dca8p-11, 0x1.5f5f10cfcbe1fp-11, 0x1.55f0396a07827p-11, 0x1.4cab9ff2d1e8fp-11, 0x1.43a76051ccbafp-11, 0x1.3ae4d6216997fp-11, 0x1.32536b19526acp-11, 0x1.29e4f8d55006fp-11, 0x1.21988a5268543p-11, 0x1.1977cb4a1290dp-11, 0x1.118d1d5a3e336p-11, 0x1.09dcc49da6ffp-11, 0x1.0268917cd1aacp-11, 0x1.f6530a826b27fp-12, 0x1.e7ff554efb9abp-12, 0x1.d9bbfb4cbc4acp-12, 0x1.cbd9f2bf23f81p-12, 0x1.be74341753518p-12, 0x1.b1562a152c78bp-12, 0x1.a4a3e3aa8780bp-12, 0x1.9895a9c0e758ap-12, 0x1.8cf3068ab51d7p-12, 0x1.815eb8bad4644p-12, 0x1.75cbac7ebb4f1p-12, 0x1.6a75742cd533fp-12, 0x1.5f72bce8e07bfp-12, 0x1.549e80d95146ap-12, 0x1.49f854902232fp-12, 0x1.3fae0cd87f0fp-12, 0x1.35c8cc7b88974p-12, 0x1.2c29ffa049ab4p-12, 0x1.22b9c976fc98cp-12, 0x1.1975930f425bp-12, 0x1.10660fe34f239p-12, 0x1.0790a24b00b1fp-12, 0x1.fde7ff56019b6p-13, 0x1.ed3b6caaae373p-13, 0x1.dd4125a1bcfe3p-13, 0x1.cdaa0b5dcdb37p-13, 0x1.be47b701cead5p-13, 0x1.af45febce43ffp-13, 0x1.a05ac299180ddp-13, 0x1.91c0be3f40ac4p-13, 0x1.83de531d895bap-13, 0x1.76858d99f9d86p-13, 0x1.698c5bacece9cp-13, 0x1.5cfd70c3322dbp-13, 0x1.50e96a7b6fb4bp-13, 0x1.452b74531bc35p-13, 0x1.3987e266b568ep-13, 0x1.2e208684ab175p-13, 0x1.23134a8ae93fep-13, 0x1.18299b5a46757p-13, 0x1.0d8619fff22b4p-13, 0x1.036cbad4909c7p-13, 0x1.f37c74f52aa3bp-14, 0x1.e091e9c5703c5p-14, 0x1.cdffd9dedaba7p-14, 0x1.bbd5de957a899p-14, 0x1.aa1e2df9bc313p-14, 0x1.98ce3839cf85bp-14, 0x1.8812a6930f6f5p-14, 0x1.78647cbbc1a33p-14, 0x1.6961a227e51c2p-14, 0x1.5a7713c7b688ep-14, 0x1.4b9a8cce093dap-14, 0x1.3d0798aadf2b7p-14, 0x1.2f5c847acc8e4p-14, 0x1.2240b799eb401p-14, 0x1.156a626c76386p-14, 0x1.08dd253d857a3p-14, 0x1.f94c221230bc2p-15, 0x1.e195467d113f3p-15, 0x1.ca94f612ef383p-15, 0x1.b4594f41a2f85p-15, 0x1.9f34285a0f2cap-15, 0x1.8b4b4eccd61b7p-15, 0x1.77eb64b0d28ebp-15, 0x1.64d55fd06ac1cp-15, 0x1.51f1f5dbacb08p-15, 0x1.3f846e0438914p-15, 0x1.2e4e56f225e66p-15, 0x1.1de8d31f64dd5p-15, 0x1.0dde84691b407p-15, 0x1.fc587e49692bp-16, 0x1.ddd5bb91b2893p-16, 0x1.c0331d6fd787cp-16, 0x1.a36f8e4b23a34p-16, 0x1.886a2bda16092p-16, 0x1.6f7241c944066p-16, 0x1.56827986c1083p-16, 0x1.3d50f72637cd4p-16, 0x1.25a38d7412891p-16, 0x1.0f8debac214f8p-16, 0x1.f41c200287efbp-17, 0x1.ca3f1e0452cb3p-17, 0x1.a1d1fb1240d02p-17, 0x1.7af05b8c3e852p-17, 0x1.5597440eb5c12p-17, 0x1.31b4c786a1c2bp-17, 0x1.0f2fba9dabfd4p-17, 0x1.dbdf7b5f8a3e8p-18, 0x1.9bbe20562f4c3p-18, 0x1.5dc35161ebc79p-18, 0x1.2217ff65bc7a2p-18, 0x1.d518ece2febcdp-19, 0x1.6f7a867ddefdbp-19, 0x1.0b603a45d92e3p-19, 0x1.4c0e4cda1dd97p-20, 0x1.173843b3f399ap-21, -0x1.230f641ce69c3p-23, -0x1.9b857badf4d0ep-21, -0x1.72793d004ad5cp-20, -0x1.08597c1cc6ed8p-19, -0x1.5425f223f514dp-19, -0x1.9d2046523182dp-19, -0x1.e096fd1a0b686p-19, -0x1.0f7adac1e2987p-18, -0x1.2f6962a0c3daap-18, -0x1.4cf5e94b232b6p-18, -0x1.682705cf8522dp-18, -0x1.82762059a4275p-18, -0x1.9baa4be7b8055p-18, -0x1.b394bb550512ep-18, -0x1.ca344b4bb91c7p-18, -0x1.df94a190a181ep-18, -0x1.f3c25644e7e8p-18, -0x1.03643af92a3a6p-17, -0x1.0c588ad131fdcp-17, -0x1.14c3a67e73d0dp-17, -0x1.1cac894552cf3p-17, -0x1.241b6ba718dc5p-17, -0x1.2b17a351195cap-17, -0x1.31a4a6f95a1a4p-17, -0x1.37c783057131ep-17, -0x1.3d8c1eddae271p-17, -0x1.42e0bb8533ff3p-17, -0x1.47742a5a94b4cp-17, -0x1.4bcb930504d85p-17, -0x1.5026711e896d8p-17, -0x1.53da8cedb6a3fp-17, -0x1.573250c457361p-17, -0x1.5a511c553178fp-17, -0x1.5d2885a7eca31p-17, -0x1.5fc55e0422f77p-17, -0x1.621f7642fdf84p-17, -0x1.640e96c1deb6cp-17, -0x1.65e2b2a71598p-17, -0x1.6750abda42115p-17, -0x1.688eb8cdca6abp-17, -0x1.69a1cbc33d663p-17, -0x1.6a803afcd59a9p-17, -0x1.6b2a160671da3p-17, -0x1.6ba1fa3d0c88ep-17, -0x1.6beaab4dca239p-17, -0x1.6c06bb275e747p-17, -0x1.6bf88baeb0a2dp-17, -0x1.6bc254d8d9d92p-17, -0x1.6b66261edf68ep-17, -0x1.6ae5e7f2ec479p-17, -0x1.6a436592a30bap-17, -0x1.6980645e643bep-17, -0x1.689ebe66b7e2dp-17, -0x1.67a06712e2c44p-17, -0x1.668746fb2c6ecp-17, -0x1.6554eb9dca502p-17, -0x1.640a413fc8e24p-17, -0x1.62a8598bc598dp-17, -0x1.6132ebdbc00c5p-17, -0x1.5fad50f60bad9p-17, -0x1.5e0d6ecf54cd2p-17, -0x1.5c5ee127e7ccbp-17, -0x1.5a9c29370e9d4p-17, -0x1.58c8a1a7f3e46p-17, -0x1.56eafce7e3ae1p-17, -0x1.5503494e8fd29p-17, -0x1.53117796359a8p-17, -0x1.511106c250754p-17, -0x1.4f0336d817927p-17, -0x1.4ced8d6faa368p-17, -0x1.4ad14cdbaa796p-17, -0x1.48ad5a1122c3ep-17, -0x1.468299cf2a8dcp-17, -0x1.4451770009cc1p-17, -0x1.421b1108c6024p-17, -0x1.3fdfad68c063ep-17, -0x1.3da0059ace05cp-17, -0x1.3b5cd7ad20191p-17, -0x1.3916aedc486f4p-17, -0x1.36ce110a2d9f7p-17, -0x1.34837e3b39d38p-17, -0x1.32376f99c5091p-17, -0x1.2fea57e4e13ep-17, -0x1.2d9ca499dafe2p-17, -0x1.2b4ebfe4c5099p-17, -0x1.290111ecaad8bp-17, -0x1.26b3fed57968p-17, -0x1.2467e0d3da084p-17, -0x1.221d028a727d6p-17, -0x1.1fd3a0513fafdp-17, -0x1.1d8bf6594b588p-17, -0x1.1b465b11b6ee9p-17, -0x1.190333f465c53p-17, -0x1.16c273dc60e7fp-17, -0x1.14836575dee29p-17, -0x1.1247a7c832d84p-17, -0x1.10112d3ce4392p-17, -0x1.0dde1e6ed9b36p-17, -0x1.0bac06c5684c7p-17, -0x1.097cc945bba54p-17, -0x1.075408a00d5e9p-17, -0x1.052e7e1ee0097p-17, -0x1.030bff9070d6p-17, -0x1.00ed81f2d8f36p-17, -0x1.fda65693bfd8p-18, -0x1.f97a04f1bde22p-18, -0x1.f55634c13f2ebp-18, -0x1.f13a8afe991bfp-18, -0x1.ed27f05bbe8f6p-18, -0x1.e91dc2699156p-18, -0x1.e51c425ad1bccp-18, -0x1.e1237987f163ep-18, -0x1.dd336d705f40cp-18, -0x1.d94c1e78d5915p-18, -0x1.d56d889bd07fp-18, -0x1.d197a4760abp-18, -0x1.cdca67bfddaabp-18, -0x1.ca05c59f6111ap-18, -0x1.c649afe25503ep-18, -0x1.c296195944884p-18, -0x1.beeaf786b92c9p-18, -0x1.bb48400666716p-18, -0x1.b7ade1d8b3aa1p-18, -0x1.b41bc2ab086b8p-18, -0x1.b091c60f27c2ap-18, -0x1.ad0fbc957ed89p-18, -0x1.a994bae0ffa5bp-18, -0x1.a622518ee6597p-18, -0x1.a2b74c91e3caap-18, -0x1.9f55106271119p-18, -0x1.9bf8fe5606ad6p-18, -0x1.98a03c260ce1ep-18, -0x1.9553015ca96b6p-18, -0x1.920d3399120cap-18, -0x1.8ece869266de9p-18, -0x1.8b977ad08ad93p-18, -0x1.88643bd8ae16p-18, -0x1.85374eeaf69b2p-18, -0x1.8210f92585dadp-18, -0x1.7ef0ecd203325p-18, -0x1.7bd6e63c9888p-18, -0x1.78c2a741d3c14p-18, -0x1.75b40680aed08p-18, -0x1.72aadd0caa891p-18, -0x1.6fa70962df082p-18, -0x1.6ca86a262f289p-18, -0x1.69aedb6db782fp-18, -0x1.66ba370691f6cp-18, -0x1.63ca55d5f912bp-18, -0x1.60df110dce1e8p-18, }}, 
      {{-0x1.18d16218baeebp-4, -0x1.0db7a2fc57e7p-4, -0x1.f754ba956b817p-5, -0x1.c68c708f786edp-5, -0x1.8a9b19c923f82p-5, -0x1.4532f4aef6e1cp-5, -0x1.f034ef7bc2ebcp-6, -0x1.4a2f9e550d2dp-6, -0x1.378404870edbep-7, 0x1.7df3ab386d04cp-10, 0x1.9b8c824643bcp-7, 0x1.83550ac109e6dp-6, 0x1.1b209c12e70e2p-5, 0x1.724a01c64978fp-5, 0x1.c653b204d2b5dp-5, 0x1.0b4852f1d138p-4, 0x1.313b6dcab2c86p-4, 0x1.54ce0695e8ccdp-4, 0x1.75d925fdc10fap-4, 0x1.94425208b229bp-4, 0x1.aff9f0be9c34ep-4, 0x1.c8f9c2a826443p-4, 0x1.df4379ea710e6p-4, 0x1.f2df70bdb0341p-4, 0x1.01edc039b9ddap-3, 0x1.0924fc8d6a274p-3, 0x1.0f205c3b61b77p-3, 0x1.13ec2f63f1cbbp-3, 0x1.1795cf85646eep-3, 0x1.1a2b54124cf73p-3, 0x1.1bbb52a51fde8p-3, 0x1.1c54a95b47e6ep-3, 0x1.1c0652171fb83p-3, 0x1.1adf3db2d2175p-3, 0x1.18ee363ff01b9p-3, 0x1.1641c710e549fp-3, 0x1.12e829a47f256p-3, 0x1.0eef36be49b12p-3, 0x1.0a645b1da7c56p-3, 0x1.05548f5126c63p-3, 0x1.ff98a3020882bp-4, 0x1.f3af42e9a868cp-4, 0x1.e703fb8b343e2p-4, 0x1.d9acc62ae5068p-4, 0x1.cbbe962098a4ap-4, 0x1.bd4d5c20abd71p-4, 0x1.ae6c062e89302p-4, 0x1.9f2c84f293b0dp-4, 0x1.8f9fd009e8f51p-4, 0x1.7fd5e8b02980ap-4, 0x1.6fdde16ea222fp-4, 0x1.5fc5e3acd9741p-4, 0x1.4f9b342c9efc2p-4, 0x1.3f6a3b315ea31p-4, 0x1.2f3e8adbc64d7p-4, 0x1.1f22e57069e4bp-4, 0x1.0f2144717803p-4, 0x1.fe85bfb1b487dp-5, 0x1.df206a7d501d3p-5, 0x1.c0221dfc6a9fdp-5, 0x1.a199164226a5dp-5, 0x1.83924595c7791p-5, 0x1.6619626e327cfp-5, 0x1.4938f63b8d2cap-5, 0x1.2cfa6bd2db734p-5, 0x1.11661be63bf44p-5, 0x1.ed06b912ff1eap-6, 0x1.b8b11bd84bb91p-6, 0x1.85d64ebb421aep-6, 0x1.547f8a42148fep-6, 0x1.24b46b2a2f39fp-6, 0x1.ecf610ad5ef63p-7, 0x1.93b01844480abp-7, 0x1.3d9d9e99a98ddp-7, 0x1.d585a2624b541p-8, 0x1.36432a730cb39p-8, 0x1.3ae687a2722c6p-9, 0x1.622cd508fc0a5p-13, -0x1.01d51da81a9e3p-9, -0x1.068c4318a55a1p-8, -0x1.85e25e878b52ap-8, -0x1.fefe62d3c6e34p-8, -0x1.38fa3c2d74776p-7, -0x1.6f6d8dec5b9d2p-7, -0x1.a2e5720d9eedcp-7, -0x1.d36f2eb4c347fp-7, -0x1.008c76485714ep-6, -0x1.15f8c693e07cbp-6, -0x1.2a04511883d7p-6, -0x1.3cb72ab70c656p-6, -0x1.4e19a8dc83e99p-6, -0x1.5e345c03271e8p-6, -0x1.6d0ffdd1b747p-6, -0x1.7ab57595a152dp-6, -0x1.872dc7f91da68p-6, -0x1.928211e7c452dp-6, -0x1.9cbb872e2420cp-6, -0x1.a5e360bb3738bp-6, -0x1.ae02e2a859553p-6, -0x1.b5234fe5c89d5p-6, -0x1.bb4de5fc57e2dp-6, -0x1.c08bd8c05708dp-6, -0x1.c4e652dffaf3dp-6, -0x1.c86668e8b7dcp-6, -0x1.cb151d3e6aed3p-6, -0x1.ccfb5cdffc945p-6, -0x1.ce21f79900e98p-6, -0x1.ce91a331d801ep-6, -0x1.ce52f47ed1b56p-6, -0x1.cd6e5fa941262p-6, -0x1.cbec36d95c4bbp-6, -0x1.c9d4a3300bcf4p-6, -0x1.c72fa87a3b8d3p-6, -0x1.c4052307b8f76p-6, -0x1.c05cc3acb6d5fp-6, -0x1.bc3e0e54bea8fp-6, -0x1.b7b05a4dd1d7bp-6, -0x1.b2bad61ca913dp-6, -0x1.ad647e3ce1a7p-6, -0x1.a7b42076311bp-6, -0x1.a1b05e3979208p-6, -0x1.9b5fa7eae32cdp-6, -0x1.94c84306b79d4p-6, -0x1.8df03edfbf2c3p-6, -0x1.86dd81c9cdaa8p-6, -0x1.7f95c04eef0e7p-6, -0x1.781e7e33ba2b8p-6, -0x1.707d16ed21673p-6, -0x1.68b6af6c0b58cp-6, -0x1.60d043215cf66p-6, -0x1.58ce9ef1a6733p-6, -0x1.50b661e27f685p-6, -0x1.488bfc7e6f3c4p-6, -0x1.4053b875b124p-6, -0x1.3811abd63d0c6p-6, -0x1.2fc9c7af4735ap-6, -0x1.277fd027a7ffcp-6, -0x1.1f37611b5d2f9p-6, -0x1.16f3eafd7065p-6, -0x1.0eb8b88148a49p-6, -0x1.0688ef47bb34cp-6, -0x1.fccf0e9e3ffc2p-7, -0x1.ecaeb58816e26p-7, -0x1.dcb635970d877p-7, -0x1.cceaaab1b646bp-7, -0x1.bd50ee779e4dep-7, -0x1.aded92d8a923ap-7, -0x1.9ec4e3dd44d83p-7, -0x1.8fdaf48e768c3p-7, -0x1.8133922e5120dp-7, -0x1.72d25113a1beap-7, -0x1.64ba8363e7823p-7, -0x1.56ef47ab74a3dp-7, -0x1.49737b37af106p-7, -0x1.3c49d0ee1b198p-7, -0x1.2f74b8d1e2efp-7, -0x1.22f6738c3380cp-7, -0x1.16d1147230e29p-7, -0x1.0b0674c302502p-7, -0x1.ff3087879f34p-8, -0x1.e9100cf7ecc55p-8, -0x1.d3ae1238fb709p-8, -0x1.bf0cf17b3302cp-8, -0x1.ab2ea845475f3p-8, -0x1.9814e2a04ec71p-8, -0x1.85c0fb81056b3p-8, -0x1.743416a57f326p-8, -0x1.636eeec47053p-8, -0x1.5372183efa824p-8, -0x1.443dd20af4c45p-8, -0x1.35d220ad5c76p-8, -0x1.282ecea1e0a4ap-8, -0x1.1b5359a1d059cp-8, -0x1.0f3f276636117p-8, -0x1.03f142c782856p-8, -0x1.f2d1304a1d1dap-9, -0x1.df47b679beaefp-9, -0x1.cd4323547581ap-9, -0x1.bcc01e0ee94fdp-9, -0x1.adbb08b72bdc3p-9, -0x1.a02fcc02609eap-9, -0x1.941a3a4665dc2p-9, -0x1.8975b13c0cb6ep-9, -0x1.803d406b0191bp-9, -0x1.786bd7bfc94cbp-9, -0x1.71fc10f189cdfp-9, -0x1.6ce847067970ap-9, -0x1.692aa5d6cd284p-9, -0x1.66bd21fe424dap-9, -0x1.6599757824155p-9, -0x1.65b92ab21eab9p-9, -0x1.6715cbfdc71d3p-9, -0x1.69a86c7fbd1efp-9, -0x1.6d6a39b1787cdp-9, -0x1.725428bd85501p-9, -0x1.785f118da7609p-9, -0x1.7f83ab9881625p-9, -0x1.87ba98024d887p-9, -0x1.90fc688b0fbbep-9, -0x1.9b418be9a8fcfp-9, -0x1.a6826424318bfp-9, -0x1.b2b7454fc4141p-9, -0x1.bfd889ebe8f17p-9, -0x1.cdde54eb8a7f5p-9, -0x1.dcc0e618269f2p-9, -0x1.ec786afb7978ep-9, -0x1.fcfd12b11d2edp-9, -0x1.07237e9b2ca31p-8, -0x1.10272bde55141p-8, -0x1.1985a57cbf12ap-8, -0x1.233b0212cda26p-8, -0x1.2d435bd152a2fp-8, -0x1.379acfd188ed3p-8, -0x1.423d7a62f363dp-8, -0x1.4d278bee00dcp-8, -0x1.58552d15a05ep-8, -0x1.63c28d0eaca7ap-8, -0x1.6f6beb5a2caf4p-8, -0x1.7b4d8a4429c06p-8, -0x1.8763b5592656bp-8, -0x1.93aac1a270f5fp-8, -0x1.a01f0e07aa26p-8, -0x1.acbd04234d004p-8, -0x1.b98118c26a21bp-8, -0x1.c667ca6c9ab94p-8, -0x1.d36da9103fb1ep-8, -0x1.e08f4b0aee617p-8, -0x1.edc9529be76cep-8, -0x1.fb1878a6cde87p-8, -0x1.043cbdf19c3f6p-7, -0x1.0af493d92e1dcp-7, -0x1.11b22e2f8988ep-7, -0x1.187402920fea3p-7, -0x1.1f388e2f8932fp-7, -0x1.25fe55ef03686p-7, -0x1.2cc3e6756aa51p-7, -0x1.3387d3f25101bp-7, -0x1.3a48bc30885a1p-7, -0x1.410542be3074ap-7, -0x1.47bc1495f4144p-7, -0x1.4e6be69e9299cp-7, -0x1.551375fd570f7p-7, -0x1.5bb18855e6274p-7, -0x1.6244eabcd73b3p-7, -0x1.68cc745a1429cp-7, -0x1.6f4704c7cf493p-7, -0x1.75b38112ab5a7p-7, -0x1.7c10d9de69dcap-7, -0x1.825e07518c0b5p-7, -0x1.889a0985b0343p-7, -0x1.8ec3ea1f37f88p-7, -0x1.94daba7681292p-7, -0x1.9add9442255cp-7, -0x1.a0cb99e3d5069p-7, -0x1.a6a3f5d07e633p-7, -0x1.ac65dae9422dp-7, -0x1.b210847498a0fp-7, -0x1.b7a3360457a4fp-7, -0x1.bd1d3b53b3932p-7, -0x1.c27de824bff2ep-7, -0x1.c7c498340165bp-7, -0x1.ccf0aeea7be43p-7, -0x1.d2019756b1bf9p-7, -0x1.d6f6c62e6caa2p-7, -0x1.dbcfb58b61e09p-7, -0x1.e08be83f52ad4p-7, -0x1.e52ae93ed137cp-7, -0x1.e9ac49dd69c87p-7, -0x1.ee0fa348c4fc7p-7, -0x1.f25495b2337bcp-7, -0x1.f67ac87637d0dp-7, -0x1.fa81ea1f8f471p-7, -0x1.fe69b0373ecb8p-7, -0x1.0118eb8a70452p-6, -0x1.02ed10daa09b4p-6, -0x1.04b12cc8952e2p-6, -0x1.06652746b7ca5p-6, -0x1.0808eb72105d9p-6, -0x1.099c678d2112p-6, -0x1.0b1f8cf1e2338p-6, -0x1.0c924ffe2e866p-6, -0x1.0df4a7ef56037p-6, -0x1.0f468ee2f7fc4p-6, -0x1.1088019c1087fp-6, -0x1.11b8ffec05554p-6, -0x1.12d98bfa39dedp-6, -0x1.13e9aa87773dap-6, -0x1.14e96324ca774p-6, -0x1.15d8bfbd91f79p-6, -0x1.16b7cca3761fdp-6, -0x1.17869880e75b1p-6, -0x1.18453443003fap-6, -0x1.18f3b307e1ff4p-6, -0x1.19922a1011445p-6, -0x1.1a20b0b0fed46p-6, -0x1.1a9f60475b6c3p-6, -0x1.1b0e5427d2c39p-6, -0x1.1b6da98e4bfc8p-6, -0x1.1bbd7f8bdd393p-6, -0x1.1bfdf6f1db9ffp-6, -0x1.1c2f3237b7497p-6, -0x1.1c515578e3bf2p-6, -0x1.1c648665dce2fp-6, -0x1.1c68ec2666385p-6, -0x1.1c5eaf647add6p-6, -0x1.1c45fa2f907d9p-6, -0x1.1c1ef7dac95ecp-6, -0x1.1be9d5027529bp-6, -0x1.1ba6bf9ac874cp-6, -0x1.1b55e694a431cp-6, -0x1.1af779f8a1f6bp-6, -0x1.1a8baaf0803b6p-6, -0x1.1a12ab8fc4ad4p-6, -0x1.198caed57b06dp-6, -0x1.18f9e8a4ab8cep-6, -0x1.185a8db5d4c5bp-6, -0x1.17aed387aa01dp-6, -0x1.16f6f05070ed9p-6, -0x1.16331aed398ep-6, -0x1.15638ad86558dp-6, -0x1.148878194c436p-6, -0x1.13a21b37b8df6p-6, -0x1.12b0ad30a5591p-6, -0x1.11b4677464b27p-6, -0x1.10ad83d433222p-6, -0x1.0f9c3c7d06373p-6, -0x1.0e80cbe928578p-6, -0x1.0d5b6cce2fdafp-6, -0x1.0c2c5a08c76c9p-6, -0x1.0af3cea5dba7p-6, -0x1.09b205dd6ebddp-6, -0x1.08673af0ba5b8p-6, -0x1.0713a9227f6a5p-6, -0x1.05b78bc37c99ap-6, -0x1.04531e286ad51p-6, -0x1.02e69b9e63b5p-6, -0x1.01723f47220ap-6, -0x1.ffec88525b4fep-7, -0x1.fce5ca5bc71d8p-7, -0x1.f9d0ba10d80e4p-7, -0x1.f6adcc62d2483p-7, -0x1.f37d75c1d27c1p-7, -0x1.f0402a0cf306ep-7, -0x1.ecf65c83a54a8p-7, -0x1.e9a07fb9de6ap-7, -0x1.e63f058996a23p-7, -0x1.e2d25f0874d47p-7, -0x1.df5afc866d468p-7, -0x1.dbd94d844318fp-7, -0x1.d84dc0ac7ed6fp-7, -0x1.d4b8c3c96a392p-7, -0x1.d11ac3b3b6793p-7, -0x1.cd742c4679346p-7, -0x1.c9c56848795e8p-7, -0x1.c60ee1404ac6fp-7, -0x1.c250ff95b54e3p-7, -0x1.be8c2a4f39839p-7, -0x1.bac0c7247cc2p-7, -0x1.b6ef3a9ba0592p-7, -0x1.b317e7f2c99c4p-7, -0x1.af3b31500b282p-7, -0x1.ab5977d368da7p-7, -0x1.a7731b99fb6e5p-7, -0x1.a3887bada39eap-7, -0x1.9f99f5e1d118ep-7, -0x1.9ba7e6a8b072p-7, -0x1.97b2a8cb68afdp-7, -0x1.93ba95362d38bp-7, -0x1.8fc002e298fddp-7, -0x1.8bc346d0d0ab9p-7, -0x1.87c4b4336cc5ap-7, -0x1.83c49cbe5c138p-7, -0x1.7fc351038cedbp-7, -0x1.7bc120c796d0fp-7, -0x1.77be5b3b4f362p-7, -0x1.73bb4efce744dp-7, -0x1.6fb849db1cdap-7, -0x1.6bb598604e7bap-7, -0x1.67b3853da84cdp-7, -0x1.63b258bc45324p-7, -0x1.5fb25850e459ap-7, -0x1.5bb3c68097facp-7, -0x1.57b6e313a698cp-7, -0x1.53bbebaa65171p-7, -0x1.4fc31c808958dp-7, -0x1.4bccb1457ba3fp-7, -0x1.47d8e5d3d5fcdp-7, -0x1.43e7f68966f4ap-7, -0x1.3ffa2031b7c04p-7, -0x1.3c0f9f748f4fap-7, -0x1.3828afe4ae638p-7, -0x1.34458ae2088c8p-7, -0x1.306666921e447p-7, -0x1.2c8b752fe4e28p-7, -0x1.28b4e4e25fce9p-7, -0x1.24e2e02a94907p-7, -0x1.21158ee13f55bp-7, -0x1.1d4d1773621f5p-7, -0x1.1989a05aaa5dep-7, -0x1.15cb5120c3cd6p-7, -0x1.1212530fe4551p-7, -0x1.0e5ed1240aea7p-7, -0x1.0ab0f752c30ebp-7, -0x1.0708f1457b945p-7, -0x1.0366e8cc69996p-7, -0x1.ff9608c3537a8p-8, -0x1.f86acc2f6be04p-8, -0x1.f14c566d48b4p-8, -0x1.ea3ad9418c3bp-8, -0x1.e3367fc7bb05ep-8, -0x1.dc3f7167ccc34p-8, -0x1.d555d4f407b89p-8, -0x1.ce79d3506f1fbp-8, -0x1.c7ab992c73074p-8, -0x1.c0eb578cf868cp-8, -0x1.ba3943134a1b4p-8, -0x1.b395921a0cb41p-8, -0x1.ad0079f26f6fap-8, -0x1.a67a2bc65d1adp-8, -0x1.a002d1d49bf37p-8, -0x1.999a8dc55ae1dp-8, -0x1.9341789a5e34p-8, -0x1.8cf7a44428e48p-8, -0x1.86bd1e575087ep-8, -0x1.8091f3003a4f8p-8, -0x1.7a762f59a080fp-8, -0x1.7469e2a81cb68p-8, -0x1.6e6d1e8668f51p-8, -0x1.687ff662ebcb1p-8, -0x1.62a27eb62a4abp-8, -0x1.5cd4cc1bb3497p-8, -0x1.5716f22242f37p-8, -0x1.516901b549ffep-8, -0x1.4bcb074880a04p-8, -0x1.463d095d0089p-8, -0x1.40bf082a8cbaep-8, -0x1.3b50feedde027p-8, -0x1.35f2e69c3fcb4p-8, -0x1.30a4b8ebd4462p-8, -0x1.2b66724da06cap-8, -0x1.2638121fff338p-8, -0x1.211999299a11p-8, -0x1.1c0b072c2b1f2p-8, -0x1.170c5955496dp-8, -0x1.121d89aa4356ap-8, -0x1.0d3e8facf5877p-8, -0x1.086f614fbe1cdp-8, -0x1.03aff344d742bp-8, -0x1.fe0070d0ddce5p-9, -0x1.f4c0418ee68a1p-9, -0x1.eb9f327fea86ap-9, -0x1.e29d18f81e278p-9, -0x1.d9b9ca4e4a277p-9, -0x1.d0f52084ddd6ep-9, -0x1.c84efc70c7d29p-9, -0x1.bfc743bf0d64dp-9, -0x1.b75ddbb5b2b47p-9, -0x1.af12a3674526ap-9, -0x1.a6e5705fad34ap-9, -0x1.9ed60f3ae9d3ap-9, -0x1.96e4474d9624fp-9, -0x1.8f0fdef04868dp-9, -0x1.87589e1a8d37cp-9, -0x1.7fbe4e964334ep-9, -0x1.7840bb01714c7p-9, -0x1.70dfae8e01ed3p-9, -0x1.699af68e4a2b7p-9, -0x1.627265258cd1ep-9, -0x1.5b65d201bd948p-9, -0x1.547517e243be5p-9, -0x1.4da00e6c175cbp-9, -0x1.46e6833748a87p-9, -0x1.404835ca61fd5p-9, -0x1.39c4d88f150a7p-9, -0x1.335c1458b60bcp-9, -0x1.2d0d8e44cb551p-9, -0x1.26d8efa53025fp-9, -0x1.20bde88c0dc12p-9, -0x1.1abc2edac2277p-9, -0x1.14d37b8739435p-9, -0x1.0f03872aa7e69p-9, -0x1.094c0c954a59p-9, -0x1.03acd217412fap-9, -0x1.fc4b65efd38ebp-10, -0x1.f16d415899937p-10, -0x1.e6bf2f4e5e97dp-10, -0x1.dc4117bfc686cp-10, -0x1.d1f2aed371499p-10, -0x1.c7d36821cb66dp-10, -0x1.bde2828ec520cp-10, -0x1.b41f2051cbdefp-10, -0x1.aa885ca50fadfp-10, -0x1.a11d59c67aa91p-10, -0x1.97dd497c7c13ap-10, -0x1.8ec7709ff9176p-10, -0x1.85db218b4c30fp-10, -0x1.7d17ad348114ep-10, -0x1.747c572d9b8a7p-10, -0x1.6c085fa77cb4p-10, -0x1.63bb29737f01fp-10, -0x1.5b94666be5ba4p-10, -0x1.539424a17ea47p-10, -0x1.4bbaa721126d1p-10, -0x1.44081cbb58753p-10, -0x1.3c7c636f25c77p-10, -0x1.3516fd35d2163p-10, -0x1.2dd73360834cfp-10, -0x1.26bc4519676d5p-10, -0x1.1fc57fd0c5e82p-10, -0x1.18f23c4261b23p-10, -0x1.1241d0d019d87p-10, -0x1.0bb389c6a0e23p-10, -0x1.0546aaed7bd64p-10, -0x1.fdf4e4ca1b072p-11, -0x1.f19c27b140a5cp-11, -0x1.e5815f4da0adp-11, -0x1.d9a2b5c41b976p-11, -0x1.cdfe955be76fdp-11, -0x1.c294258efdf0ep-11, -0x1.b76384ab57b3bp-11, -0x1.ac6d6c12ad032p-11, -0x1.a1b26c2fb4bd4p-11, -0x1.9732510d52931p-11, -0x1.8cec1ed4fc52p-11, -0x1.82de86ce36044p-11, -0x1.79085a000c183p-11, -0x1.6f68a83b28f72p-11, -0x1.65fea441a7f02p-11, -0x1.5cc985aee5403p-11, -0x1.53c876cddc693p-11, -0x1.4afa82f8453d9p-11, -0x1.425e89f18285dp-11, -0x1.39f346a6f6fedp-11, -0x1.31b763b4431d1p-11, -0x1.29a983fdb680cp-11, -0x1.21c83ad26f03bp-11, -0x1.1a121c4cd9ecbp-11, -0x1.128605ba01168p-11, -0x1.0b236a9b4d6bdp-11, -0x1.03ea46f1d718fp-11, -0x1.f9b55bc6537e8p-12, -0x1.ebe8bb9716725p-12, -0x1.de6d6e1e526d5p-12, -0x1.d141f8f6745afp-12, -0x1.c464fe195080ep-12, -0x1.b7d52cc84fd96p-12, -0x1.ab912b02297d7p-12, -0x1.9f97a688ed5d7p-12, -0x1.93e75dba27d4ep-12, -0x1.887f0757b95fcp-12, -0x1.7d5d2cae5548bp-12, -0x1.72801247fe208p-12, -0x1.67e5d0a3094b4p-12, -0x1.5d8ca48f03ba5p-12, -0x1.53733cacea14bp-12, -0x1.4998af7daa2b6p-12, -0x1.3ffc13078802ep-12, -0x1.369c1b1e6f302p-12, -0x1.2d77123b49b4bp-12, -0x1.248aff789d25cp-12, -0x1.1bd5d0954c35bp-12, -0x1.1355d5de0348ep-12, -0x1.0b0a66334dd15p-12, -0x1.02f3b4c12e919p-12, -0x1.f62367f4c7c04p-13, -0x1.e6c6c495e78bp-13, -0x1.d7ce9c759e27bp-13, -0x1.c938983c393dbp-13, -0x1.bb02ea903b88p-13, -0x1.ad2bc8bb3bfcdp-13, -0x1.9fb14a2e4599ap-13, -0x1.9291563b71378p-13, -0x1.85c96ab01376ep-13, -0x1.7956a3a3dfe74p-13, -0x1.6d3650d256c3bp-13, -0x1.6166d89d6347ap-13, -0x1.55e818e6b0df9p-13, -0x1.4aba87398e482p-13, -0x1.3fdd7a58c8b6cp-13, -0x1.354e4d5930df5p-13, -0x1.2b092079d7bdbp-13, -0x1.2109f85d998a9p-13, -0x1.174dd2950d8b3p-13, -0x1.0dd3d89394f0bp-13, -0x1.049cb9a6bbc18p-13, -0x1.f74fe9558989p-14, -0x1.e5e664d9bfc0dp-14, -0x1.d4f7e87d7fe0bp-14, -0x1.c4815426bbfffp-14, -0x1.b480b8ea32ef6p-14, -0x1.a4f45afc6a75p-14, -0x1.95d9f6e194335p-14, -0x1.872e981e23884p-14, -0x1.78ef4700bbf6cp-14, -0x1.6b1934760fa5bp-14, -0x1.5da93f0e3b0c7p-14, -0x1.509c1ccdc3837p-14, -0x1.43ef4c95f264ap-14, -0x1.37a1e72c1c436p-14, -0x1.2bb437998992dp-14, -0x1.2025b14503a0cp-14, -0x1.14f3159715acbp-14, -0x1.0a17c54b6b2b7p-14, -0x1.ff1e138b1700fp-15, -0x1.eaa93be4c3461p-15, -0x1.d6d06fd2eb9a1p-15, -0x1.c3965c4eb0a68p-15, -0x1.b0f8620f03dcfp-15, -0x1.9ef0a3609ed8fp-15, -0x1.8d7b1b07f047ap-15, -0x1.7c93ef6e943cfp-15, -0x1.6c34600ee5644p-15, -0x1.5c558a4a61317p-15, -0x1.4cf42c93f30c8p-15, -0x1.3e10257a25a27p-15, -0x1.2fa8244bbddf3p-15, -0x1.21b7e59865302p-15, -0x1.143b3a4d68d72p-15, -0x1.072f752def784p-15, -0x1.f523a9f01ea9ap-16, -0x1.dcbe4f5aa26ddp-16, -0x1.c528f636cf6efp-16, -0x1.ae5fce74621c6p-16, -0x1.98610d4b6e5c2p-16, -0x1.83288e809dffap-16, -0x1.6eac58d479058p-16, -0x1.5ae1e36ba789cp-16, -0x1.47c4433bec0f3p-16, -0x1.35509b11184ap-16, -0x1.23845289499fp-16, -0x1.125b2592bcd01p-16, -0x1.01cbebff61b53p-16, -0x1.e3a7009e2a531p-17, -0x1.c4e49db83cbcp-17, -0x1.a74a369351e61p-17, -0x1.8acececb2679cp-17, -0x1.6f66fbe7fff1cp-17, -0x1.55048ea2d31f6p-17, -0x1.3b998da61cee3p-17, -0x1.231d1de2aca15p-17, -0x1.0b8e4b2965be1p-17, -0x1.e9d3d2fc718c6p-18, -0x1.be4bd5687bf12p-18, -0x1.947947a7ffbc9p-18, -0x1.6c56058e673d3p-18, -0x1.45d2470c07f38p-18, -0x1.20db82ffbfd2dp-18, -0x1.fac7200a7be99p-19, -0x1.b6c309de2cf05p-19, -0x1.759972a6e904cp-19, -0x1.372c803c139b5p-19, -0x1.f6c80f7fd4b63p-20, -0x1.8480e09b42a5ep-20, -0x1.17512cc05bcfep-20, -0x1.5dbe14d08cd38p-21, -0x1.2bb2c992fe077p-22, 0x1.4a2368ef4fd22p-24, 0x1.bf148dfc34a3ap-22, 0x1.8d54e40f1e83fp-21, 0x1.197d973ed16b8p-20, 0x1.685a14ed905b4p-20, 0x1.b35c2ec62975p-20, 0x1.faa424872dcaep-20, 0x1.1f28b06ba410bp-19, 0x1.3f4a9ec593e68p-19, 0x1.5dc8ce5ab0c3cp-19, 0x1.7aafe7043acbbp-19, 0x1.960f8ee28f839p-19, 0x1.aff3a003d9a33p-19, 0x1.c86aa0762f217p-19, 0x1.df7f9ac062c5ep-19, 0x1.f53770a65c781p-19, 0x1.04d319f52cc0dp-18, 0x1.0e6fe7f35084cp-18, 0x1.17777237dfa9dp-18, 0x1.1fec9dc16b69dp-18, 0x1.27d39ca5d362cp-18, 0x1.2f317551264fep-18, 0x1.36078451ac6dp-18, 0x1.3c5a64dcf70d3p-18, 0x1.423821e65dd72p-18, 0x1.47a8257982ca9p-18, 0x1.4caa224982f16p-18, 0x1.513ce570f9485p-18, 0x1.5565fd961a3d8p-18, 0x1.592e1e78ce559p-18, 0x1.5c99d7d4171e7p-18, 0x1.5fa99568e1a7dp-18, 0x1.62607f99755afp-18, 0x1.64c2be846eb84p-18, 0x1.66d4a88e64e6ep-18, 0x1.689a5971e3abep-18, 0x1.6a174c51fce14p-18, 0x1.6b4e89470977bp-18, 0x1.6c42aba7dfa0fp-18, 0x1.6cf4b38b7ec82p-18, 0x1.6d6682f165596p-18, 0x1.6d9e4053168d2p-18, 0x1.6da06a809faf3p-18, 0x1.6d6db66f094f8p-18, 0x1.6d07c3c7d7984p-18, 0x1.6c72d9200b407p-18, 0x1.6bb0ffc7d00a8p-18, 0x1.6ac30ee6377e3p-18, 0x1.69aa9b77a27fbp-18, 0x1.686a450de52b6p-18, 0x1.67038a771a601p-18, 0x1.65790f0f257bfp-18, 0x1.63cfcb0c3be06p-18, 0x1.620624fccfdd1p-18, 0x1.601d96fa1dbfcp-18, 0x1.5e1914b84f4e3p-18, 0x1.5bf9fdeae8895p-18, 0x1.59c1bc488344dp-18, 0x1.5771d3f9c8ebfp-18, 0x1.550bbd19e10b8p-18, 0x1.5290d1b62fefcp-18, 0x1.500252d293b84p-18, 0x1.4d6155e765e37p-18, 0x1.4aae9b4cc8a16p-18, 0x1.47ea8488737a2p-18, 0x1.45193d4654289p-18, 0x1.4244f9d325367p-18, 0x1.3f564ce6ba63cp-18, 0x1.3c654b550611bp-18, 0x1.395e97f9e746ap-18, 0x1.364fee90475ecp-18, 0x1.333e63239b5ccp-18, 0x1.3023e2ad7c2d4p-18, 0x1.2d02161af9c2ap-18, 0x1.29d9677924472p-18, 0x1.26ab0b4a65719p-18, 0x1.23779fe8284e7p-18, 0x1.203fe18e3ed6cp-18, 0x1.1d043e1c82897p-18, 0x1.19c5ad47f3133p-18, 0x1.16848d7eeaec8p-18, 0x1.1341d550a94cbp-18, 0x1.0ffd686eb280bp-18, 0x1.0cb831c82f8cap-18, 0x1.0972a95a00df7p-18, 0x1.062d225dbf75p-18, 0x1.02e80833de7a8p-18, 0x1.ff47872d0c547p-19, 0x1.f8c1707a1b669p-19, 0x1.f23e8b6672c21p-19, 0x1.ebbf8d31923bbp-19, 0x1.e5451fe09ecd2p-19, 0x1.decfe0f1c9992p-19, 0x1.d860614459cd4p-19, 0x1.d1f726f1aaca4p-19, 0x1.cb94b13146bep-19, 0x1.c5397c612a9fdp-19, 0x1.bee60288a3349p-19, 0x1.b89ab73b8d026p-19, 0x1.b25801725d4e1p-19, 0x1.ac1e37476a5a1p-19, 0x1.a5eda53ace0a8p-19, 0x1.9fc6a4cfd60dfp-19, 0x1.99a99299d82dbp-19, 0x1.93968de32a8d9p-19, 0x1.8d8de450e260dp-19, 0x1.878fb23624a0ap-19, 0x1.819c3e0331801p-19, 0x1.7bb3ded2b2efcp-19, 0x1.75d6c7ec1d592p-19, 0x1.7005026f88b81p-19, 0x1.6a3e3fa943adcp-19, 0x1.6481c9b8533dfp-19, 0x1.5ecf8fa6c44aep-19, 0x1.592f3a9d2598ap-19, 0x1.53a0d1ad23df3p-19, 0x1.4e0f8ec28278p-19, 0x1.4899cd4ff4079p-19, 0x1.43202e0a86a38p-19, 0x1.3daf6384d3daap-19, 0x1.385675d8e05c5p-19, 0x1.330beb804dddep-19, 0x1.2dcaf2d6d93cfp-19, 0x1.2894efd2424b2p-19, 0x1.236ac9d058177p-19, 0x1.1e4cc20a4abefp-19, 0x1.193ae2164f56p-19, 0x1.1435240531b2cp-19, 0x1.0f3b7de7f535fp-19, 0x1.0a4de4d057ee8p-19, 0x1.056c4d0633065p-19, 0x1.0096a9240f1afp-19, 0x1.f799d26889554p-20, 0x1.ee1df60451d3cp-20, 0x1.e4b99768c8f3fp-20, 0x1.db6c93cd18744p-20, 0x1.d236caaea9881p-20, 0x1.c9181424f8632p-20, 0x1.c0103ff2e7ff7p-20, 0x1.b71f2e9540d33p-20, 0x1.ae44be266d08p-20, 0x1.a580afbade2cdp-20, 0x1.9cd2c0640b5cp-20, 0x1.943accd0b2079p-20, 0x1.8bb8c0835a3a4p-20, 0x1.834c558155ec4p-20, 0x1.7af5553346fbdp-20, 0x1.72b3952cab9a3p-20, 0x1.6a86ede8e615fp-20, 0x1.626f46fb9a0cfp-20, 0x1.5a6b2b7d04ca9p-20, 0x1.528161a188bd6p-20, 0x1.4aa4191541614p-20, 0x1.42de6199dd7d8p-20, 0x1.3b2c9993315a3p-20, 0x1.338e655be020dp-20, 0x1.2c03778d96946p-20, 0x1.248bb8fbfa502p-20, 0x1.1d2729528fac9p-20, 0x1.15d5b2d63d74ep-20, 0x1.0e97264d54ae3p-20, 0x1.076b4b51cc5c1p-20, 0x1.0051e7e6abf14p-20, 0x1.f2958017667ebp-21, 0x1.e4ab337d085a7p-21, 0x1.d6e47a55562b7p-21, 0x1.c940828effd68p-21, 0x1.bbbc1b26470f6p-21, 0x1.ae4b647a23a67p-21, 0x1.a0f66964970fap-21, 0x1.9445a5d39ceb5p-21, 0x1.87117766dc925p-21, 0x1.7a62457f0b965p-21, 0x1.6d473f736b4d4p-21, 0x1.60cfcdae6c7f6p-21, 0x1.5484948354d21p-21, 0x1.482b7f1931121p-21, 0x1.3bf6a3a9e0402p-21, 0x1.2fe2c88b3f3eep-21, 0x1.23cf283643f66p-21, 0x1.17f71a4c0ae1ep-21, 0x1.0c43c8abce44p-21, 0x1.00aab7409e6fap-21, 0x1.ea5aa8d85c961p-22, 0x1.d3981a2fabc56p-22, 0x1.bd118361b2aaap-22, 0x1.a6c3fd9cd5127p-22, 0x1.90aff394adf58p-22, 0x1.7ad52aec96d7dp-22, 0x1.65333b8f4e59ep-22, 0x1.4fc9b909f6923p-22, 0x1.3a982d4b12bd1p-22, 0x1.259e1edde8252p-22, 0x1.10db16a847c19p-22, }}, 
      {{-0x1.1b5075c19bbe2p-4, -0x1.17972ed0e758ep-4, -0x1.1179d9d520c25p-4, -0x1.09194470a8f94p-4, -0x1.fd3ec319a1ca6p-5, -0x1.e4795c3d893a9p-5, -0x1.c84bafddb40ap-5, -0x1.a923704f98e5p-5, -0x1.876f48174d1cfp-5, -0x1.639c2231dd6d2p-5, -0x1.3e130e37afb96p-5, -0x1.1737b11d408dp-5, -0x1.dece6194f8b78p-6, -0x1.8def0bc52f783p-6, -0x1.3c6e42d10450ep-6, -0x1.d5b34e98749dep-7, -0x1.335f937dfd6f7p-7, -0x1.2582970a5de39p-8, 0x1.6c6c2aaeb7481p-12, 0x1.4cc8f0d4621dp-8, 0x1.3db0654b261ep-7, 0x1.d0cc1c6e09655p-7, 0x1.2fa89c218e912p-6, 0x1.74760e378e399p-6, 0x1.b6ad1321aa84bp-6, 0x1.f633f83904665p-6, 0x1.197bec3297ec5p-5, 0x1.3675ebedba0ffp-5, 0x1.520437462421fp-5, 0x1.6c2560ad6f3c3p-5, 0x1.84da04f0953a3p-5, 0x1.9c2485422d9f1p-5, 0x1.b208c9694139dp-5, 0x1.c68c06f5ea5d7p-5, 0x1.d9b48ed01d4f9p-5, 0x1.eb89a00df459ap-5, 0x1.fc133ffbe3ccp-5, 0x1.05ad0b5950025p-4, 0x1.0cb3a7ccb07f6p-4, 0x1.13223efd321f5p-4, 0x1.18fdc20417d05p-4, 0x1.1e4b3f2b23dcp-4, 0x1.230fd855f41eep-4, 0x1.2750bb18d8d62p-4, 0x1.2b13195f657cbp-4, 0x1.2e5c23a1606ffp-4, 0x1.31310305d523fp-4, 0x1.3396d533c30f1p-4, 0x1.3592a86969f73p-4, 0x1.3729777e6854ap-4, 0x1.3860279d37495p-4, 0x1.393b85c54f40ep-4, 0x1.39c04420d124bp-4, 0x1.39f2f8f10694dp-4, 0x1.39d81ceb54677p-4, 0x1.39740a02cc6c2p-4, 0x1.38cafa7f1db28p-4, 0x1.37e1085c3faf1p-4, 0x1.36ba2cdc6ff4bp-4, 0x1.355a402d96e89p-4, 0x1.33c4f92455848p-4, 0x1.31fded420e1c4p-4, 0x1.300890b577f69p-4, 0x1.2de836b356495p-4, 0x1.2ba011d098e75p-4, 0x1.293333e75b671p-4, 0x1.26a48f10b304ep-4, 0x1.23f6f5e00d947p-4, 0x1.212d1bc3fb384p-4, 0x1.1e4995fb57bc2p-4, 0x1.1b4edc5464deap-4, 0x1.183f49353f9p-4, 0x1.151d1acace596p-4, 0x1.11ea73c8d6bp-4, 0x1.0ea95c0e225bep-4, 0x1.0b5bc14704a27p-4, 0x1.080377cc7bc0dp-4, 0x1.04a23b936c6bep-4, 0x1.0139b11062034p-4, 0x1.fb96ca7f57b4ep-5, 0x1.f4b19e64da731p-5, 0x1.edc6a127fc6d5p-5, 0x1.e6d86c921f0a2p-5, 0x1.dfe972e900d4p-5, 0x1.d8fc008bec9acp-5, 0x1.d2123c7dd2013p-5, 0x1.cb2e2a72a2ce5p-5, 0x1.c451ace3bf50ap-5, 0x1.bd7e857c889d5p-5, 0x1.b6b6564ed3caep-5, 0x1.affaa3b03f071p-5, 0x1.a94cd4fcc14ap-5, 0x1.a2ae37018e448p-5, 0x1.9c1ffbb8ac4cbp-5, 0x1.95a33c92619b2p-5, 0x1.8f38fb6b57fc5p-5, 0x1.88e223073e123p-5, 0x1.829f893fb9f27p-5, 0x1.7c71ee975e38ap-5, 0x1.765a00662a03p-5, 0x1.705859a70194ap-5, 0x1.6a6d8367675c4p-5, 0x1.6499f5351aa7fp-5, 0x1.5ede17acf67e5p-5, 0x1.593a43ee8ff34p-5, 0x1.53aec4c9f2fb1p-5, 0x1.4e3bd7cccc8c1p-5, 0x1.48e1ade46961ep-5, 0x1.43a06c4d3a7fdp-5, 0x1.3e782c5e719cap-5, 0x1.3968fd9122d78p-5, 0x1.3472e5502ca6bp-5, 0x1.2f95df86bf716p-5, 0x1.2ad1df3e30d51p-5, 0x1.2626cf3193165p-5, 0x1.219492a6efc9cp-5, 0x1.1d1b05ffcbd7fp-5, 0x1.18b9fe3ab5dep-5, 0x1.14714a34ecde5p-5, 0x1.1040b39565e14p-5, 0x1.0c27fe2207ba2p-5, 0x1.0826e8f756fafp-5, 0x1.043d2e74b75e8p-5, 0x1.006a8542ec863p-5, 0x1.f95d3fd5af598p-6, 0x1.f2125b8f8d816p-6, 0x1.eaf3b67fb1c82p-6, 0x1.e400a2896280dp-6, 0x1.dd386dc813467p-6, 0x1.d69a61d651016p-6, 0x1.d025c39f598c7p-6, 0x1.c9d9d4e4fa82dp-6, 0x1.c3b5d4e286a82p-6, 0x1.bdb8ff1c1414fp-6, 0x1.b7e28e2def244p-6, 0x1.b231b9c083ff3p-6, 0x1.aca5b8b107324p-6, 0x1.a73dc0df82445p-6, 0x1.a1f90771940fdp-6, 0x1.9cd6c116c5054p-6, 0x1.97d6212b63844p-6, 0x1.92f65d92862b8p-6, 0x1.8e36aae2ada4bp-6, 0x1.89963ed0c403fp-6, 0x1.8514501ecb8d1p-6, 0x1.80b0168752a32p-6, 0x1.7c68cb477cdaep-6, 0x1.783da958c2bffp-6, 0x1.742dec6a97ca4p-6, 0x1.7038d35f0157cp-6, 0x1.6c5d9e158cae9p-6, 0x1.689b8efc69c3bp-6, 0x1.64f1ea9ab2686p-6, 0x1.615ff8382aed6p-6, 0x1.5de500a833be1p-6, 0x1.5a80502e29a8ap-6, 0x1.573135c0ed8a1p-6, 0x1.53f701f67db7bp-6, 0x1.50d10966f6582p-6, 0x1.4dbea306beec1p-6, 0x1.4abf284c53312p-6, 0x1.47d1f6670b713p-6, 0x1.44f66cd07187dp-6, 0x1.422bee657a715p-6, 0x1.3f71e11abf094p-6, 0x1.3cc7ae1de6c4dp-6, 0x1.3a2cc0e4c358ap-6, 0x1.37a089770454cp-6, 0x1.3522795f607a5p-6, 0x1.32b2069013637p-6, 0x1.304ea9ac1fd99p-6, 0x1.2df7de4c24dedp-6, 0x1.2bad23db3fe45p-6, 0x1.296dfba1bf333p-6, 0x1.2739eb950c7a9p-6, 0x1.25107be6002e5p-6, 0x1.22f137f40d3c5p-6, 0x1.20dbae7717e04p-6, 0x1.1ecf711266229p-6, 0x1.1ccc146edea7cp-6, 0x1.1ad130bc8a377p-6, 0x1.18de5fc3c0bd6p-6, 0x1.16f33fa87f104p-6, 0x1.150f715f77f29p-6, 0x1.13329806ac19fp-6, 0x1.115c5a27822a7p-6, 0x1.0f8c611078ebap-6, 0x1.0dc258b519957p-6, 0x1.0bfdefc3e6891p-6, 0x1.0a3ed7e47b5b2p-6, 0x1.0884c58f7207p-6, 0x1.06cf6e78b3d07p-6, 0x1.051e8d61fa831p-6, 0x1.0371ddb1ddae8p-6, 0x1.01c91e09bf82ep-6, 0x1.00240f4d50e0fp-6, 0x1.fd04e9e721d1dp-7, 0x1.f9c829a777be8p-7, 0x1.f6916dc4ac1b8p-7, 0x1.f3604b4a3c014p-7, 0x1.f0345c028ae69p-7, 0x1.ed0d3dad4b98cp-7, 0x1.e9ea90c3f7f3fp-7, 0x1.e6cbfde426d5p-7, 0x1.e3b12e7247d8dp-7, 0x1.e099d0fc5addbp-7, 0x1.dd8597d1d4bc5p-7, 0x1.da743996ec7cp-7, 0x1.d765702661c17p-7, 0x1.d458f992c75c3p-7, 0x1.d14e97466a741p-7, 0x1.ce460de09dc75p-7, 0x1.cb3f25f8a2bc1p-7, 0x1.c839ac447538bp-7, 0x1.c5356d62ca508p-7, 0x1.c2323ca8c01b6p-7, 0x1.bf2fefa79ea44p-7, 0x1.bc2e5dbd67033p-7, 0x1.b92d6218d0c2p-7, 0x1.b62cda9fcc0b3p-7, 0x1.b32ca7e31aa05p-7, 0x1.b02cad11e1c6ep-7, 0x1.ad2ccfe8e028fp-7, 0x1.aa2cf8a4906e9p-7, 0x1.a72d12286174cp-7, 0x1.a42d08eebe0ebp-7, 0x1.a12ccc772d604p-7, 0x1.9e2c4f0504a95p-7, 0x1.9b2b82873a2e3p-7, 0x1.982a5d02da4ecp-7, 0x1.9528d6da1ea6ep-7, 0x1.9226e898d9055p-7, 0x1.8f248d82d1d85p-7, 0x1.8c21c285204c7p-7, 0x1.891e8630e6089p-7, 0x1.861ad8ab00e7cp-7, 0x1.8316bbcb97e62p-7, 0x1.801232640ebf2p-7, 0x1.7d0d415cdb91fp-7, 0x1.7a07ee8103d19p-7, 0x1.770240f65fffep-7, 0x1.73fc411ea9912p-7, 0x1.70f5f87eed95bp-7, 0x1.6def725fb898p-7, 0x1.6ae8b9f3b0272p-7, 0x1.67e1db5ae8ef9p-7, 0x1.64dae5962ae2ep-7, 0x1.61d3e677b7845p-7, 0x1.5ecced55bceedp-7, 0x1.5bc60a9b9eb63p-7, 0x1.58bf4f02ce56bp-7, 0x1.55b8cc378a02ep-7, 0x1.52b2948653b81p-7, 0x1.4facbab52837p-7, 0x1.4ca75236566aep-7, 0x1.49a26ef6ea4bep-7, 0x1.469e25594dba5p-7, 0x1.439a8a2b1b291p-7, 0x1.4097b295a19adp-7, 0x1.3d95b419f192dp-7, 0x1.3a94a4847b40cp-7, 0x1.37949a1cc4678p-7, 0x1.3495aba8dffeep-7, 0x1.3197eea744da2p-7, 0x1.2e9b7ab6c4666p-7, 0x1.2ba066dcb8a23p-7, 0x1.28a6c998bf2ebp-7, 0x1.25aeba4665418p-7, 0x1.22b84fedf486fp-7, 0x1.1fc3a1c04e719p-7, 0x1.1cd0c6f44f412p-7, 0x1.19dfd6b2b67a2p-7, 0x1.16f0e815bdc48p-7, 0x1.1404121f8154dp-7, 0x1.11196bbd3a319p-7, 0x1.0e310bbd769fp-7, 0x1.0b4b08c840cfbp-7, 0x1.0867795c89496p-7, 0x1.058673c8c1b18p-7, 0x1.02a80e26ebfeep-7, 0x1.ff98bcb4ce7c9p-8, 0x1.f9e6f4328c8fap-8, 0x1.f43aedb86695dp-8, 0x1.ee94d41e36073p-8, 0x1.e8f4cff8da643p-8, 0x1.e35b0add8187p-8, 0x1.ddc7adc2a218p-8, 0x1.d83adfe9191d8p-8, 0x1.d2b4c89cb71b5p-8, 0x1.cd358ea0c4b5bp-8, 0x1.c7bd57fe5ea8ep-8, 0x1.c24c49f33c7b1p-8, 0x1.bce288dddfbe4p-8, 0x1.b780383a5f006p-8, 0x1.b2257ab4f878p-8, 0x1.acd27242338cbp-8, 0x1.a7874023b9dcap-8, 0x1.a24404e7966d3p-8, 0x1.9d08e04d8be68p-8, 0x1.97d5f13439d7ap-8, 0x1.92ab55a1ecbc1p-8, 0x1.8d892a99c8909p-8, 0x1.886f8c2c1cb9bp-8, 0x1.835e95b5fd17ep-8, 0x1.7e5661976050dp-8, 0x1.795709582c648p-8, 0x1.7460a5ef19163p-8, 0x1.6f734f7af0b27p-8, 0x1.6a8f1c4d0751dp-8, 0x1.65b422e6bf322p-8, 0x1.60e278bdf8d4bp-8, 0x1.5c1a31cf681dfp-8, 0x1.575b61973b562p-8, 0x1.52a61abbacd65p-8, 0x1.4dfa6ef1eaed4p-8, 0x1.49586f07c2518p-8, 0x1.44c02aecebb0ep-8, 0x1.4031b1b287ad6p-8, 0x1.3bad1194e5bd6p-8, 0x1.373257e9b48e9p-8, 0x1.32c19132ead49p-8, 0x1.2e5ac914a7be7p-8, 0x1.29fe0a6f08805p-8, 0x1.25ab5f3935136p-8, 0x1.2162d0a63a20bp-8, 0x1.1d246715ada46p-8, 0x1.18f02a1b3990fp-8, 0x1.14c620a5c87bp-8, 0x1.10a651126cfffp-8, 0x1.0c90c096e7cf9p-8, 0x1.08857323a1b7ep-8, 0x1.04846c3cf78b3p-8, 0x1.008daf24a110ep-8, 0x1.f9427cabe3b0ap-9, 0x1.f17e36d3a178bp-9, 0x1.e9ce8dc388ab6p-9, 0x1.e233820f2fabap-9, 0x1.daad1265ebf66p-9, 0x1.d33b3b7b7b8c2p-9, 0x1.cbddf954005ebp-9, 0x1.c49546edd09ebp-9, 0x1.bd611dfdbeb04p-9, 0x1.b64176e512adep-9, 0x1.af3648b8b50fdp-9, 0x1.a83f894eed1c2p-9, 0x1.a15d2d5c2f8b6p-9, 0x1.9a8f28817f1a1p-9, 0x1.93d56d2a6451cp-9, 0x1.8d2fec9b4f3a7p-9, 0x1.869e96f35535dp-9, 0x1.80215b385aac6p-9, 0x1.79b8277846787p-9, 0x1.7362e8bb8ee5dp-9, 0x1.6d218b0e6e33ep-9, 0x1.66f3f9ce7fe71p-9, 0x1.60da1f03c52e5p-9, 0x1.5ad3e415e4e8ep-9, 0x1.54e1318d0a7bdp-9, 0x1.4f01eed3302cep-9, 0x1.493602c288568p-9, 0x1.437d5357e917ep-9, 0x1.3dd7c5ba26462p-9, 0x1.38453e4fe9c49p-9, 0x1.32c5a0f21f65bp-9, 0x1.2d58d0f17f8ddp-9, 0x1.27feb081c1801p-9, 0x1.22b72162e8531p-9, 0x1.1d8204caae91cp-9, 0x1.185f3adcdd49ap-9, 0x1.134ea34ea907dp-9, 0x1.0e501d5dd2e87p-9, 0x1.096387b788e28p-9, 0x1.0488c095c63aep-9, 0x1.ff7f4b7e93e47p-10, 0x1.f610292171668p-10, 0x1.ecc3d412ccc19p-10, 0x1.e39a058b8ba46p-10, 0x1.da92760bf035fp-10, 0x1.d1acdd4e26155p-10, 0x1.c8e8f2273b1fdp-10, 0x1.c0466a74c5104p-10, 0x1.b7c4fb0a3badap-10, 0x1.af6457ddedbe5p-10, 0x1.a724341f703f2p-10, 0x1.9f0442881a5b5p-10, 0x1.9704359a92ad4p-10, 0x1.8f23bfc0d5c38p-10, 0x1.8762937e6b667p-10, 0x1.7fc0636c822cep-10, 0x1.783ce223653eep-10, 0x1.70d7c205876p-10, 0x1.6990b4fb673fep-10, 0x1.62676c384417fp-10, 0x1.5b5b9816eb18p-10, 0x1.546ce8099d7aap-10, 0x1.4d9b0ab54796ep-10, 0x1.46e5ae15def15p-10, 0x1.404c80deb7335p-10, 0x1.39cf317f10389p-10, 0x1.336d6f55fd2eep-10, 0x1.2d26eaa636f8dp-10, 0x1.26fb5451206fep-10, 0x1.20ea5de9a480ep-10, 0x1.1af3b9a0d6954p-10, 0x1.15171984de714p-10, 0x1.0f542ef612083p-10, 0x1.09aaaa6bd9643p-10, 0x1.041a3b7bf90dbp-10, 0x1.fd45220f056e4p-11, 0x1.f286b327e99f2p-11, 0x1.e7f887958a176p-11, 0x1.dd99fe0675e26p-11, 0x1.d36a776bd361ep-11, 0x1.c9695786f1391p-11, 0x1.bf960502c9de9p-11, 0x1.b5efe914ba501p-11, 0x1.ac766eb58f50fp-11, 0x1.a3290197ed37ap-11, 0x1.9a070d12d2671p-11, 0x1.910ffb3e36f49p-11, 0x1.8843347e1a13ep-11, 0x1.7fa01fa5bb6c3p-11, 0x1.772622bf3b3d7p-11, 0x1.6ed4a44a16debp-11, 0x1.66ab0c8e8ea97p-11, 0x1.5ea8c6ab919b3p-11, 0x1.56cd40cea144ep-11, 0x1.4f17ebbf752efp-11, 0x1.47883a07c0a7fp-11, 0x1.401d9f61c141cp-11, 0x1.38d790f66402ap-11, 0x1.31b58592e5448p-11, 0x1.2ab6f5bbbb33bp-11, 0x1.23db5b394e656p-11, 0x1.1d222ffade07bp-11, 0x1.168aec352aeafp-11, 0x1.10150586afcfdp-11, 0x1.09bff0556e4d8p-11, 0x1.038b21ea1803fp-11, 0x1.faec26cfe4092p-12, 0x1.ef0084f3dd54bp-12, 0x1.e352604ea999ap-12, 0x1.d7e0c129af1b6p-12, 0x1.ccaab23fc73dcp-12, 0x1.c1af40ec40969p-12, 0x1.b6ed7c60c5934p-12, 0x1.ac6474b312a58p-12, 0x1.a2133a7f88ff1p-12, 0x1.97f8de8a7fbedp-12, 0x1.8e1471a18ca81p-12, 0x1.84650505f4b67p-12, 0x1.7ae9ab7d0eb3bp-12, 0x1.71a17ad0fdc9ep-12, 0x1.688b8d64b8155p-12, 0x1.5fa70324579d5p-12, 0x1.56f3019c3d76bp-12, 0x1.4e6eb315874e6p-12, 0x1.46194539797c7p-12, 0x1.3df1e7bc84e58p-12, 0x1.35f7cba06d7bep-12, 0x1.2e2a233ed5415p-12, 0x1.268822bd43c4ep-12, 0x1.1f11001824e2dp-12, 0x1.17c3f2765060cp-12, 0x1.10a031770af52p-12, 0x1.09a4f5f70f7ecp-12, 0x1.02d17c2ed5202p-12, 0x1.f84a072eff9fcp-13, 0x1.eb3da3cc1519ep-13, 0x1.de7c61bfd8c5ap-13, 0x1.d204d8ad701b8p-13, 0x1.c5d59d53b1e67p-13, 0x1.b9ed4ab80baccp-13, 0x1.ae4a9f0df206ap-13, 0x1.a2ec5b5fd44cap-13, 0x1.97d1246f12828p-13, 0x1.8cf7b7de932c8p-13, 0x1.825ec3bfbd039p-13, 0x1.7804e5886685p-13, 0x1.6de8de0835ce9p-13, 0x1.64097b349c15fp-13, 0x1.5a6586a182e2p-13, 0x1.50fbcb2f7062p-13, 0x1.47cb1b778783fp-13, 0x1.3ed25466d030dp-13, 0x1.36105c59c9dc1p-13, 0x1.2d841f1f48f9ap-13, 0x1.252c8abd4c3d8p-13, 0x1.1d088d34304e5p-13, 0x1.15171468ecd14p-13, 0x1.0d570febb6f08p-13, 0x1.05c773484558p-13, 0x1.fcce6fdce4c7bp-14, 0x1.ee6abc451697ep-14, 0x1.e061d9170beaap-14, 0x1.d2b1dcd23fe9cp-14, 0x1.c558e21acdf74p-14, 0x1.b855047db983bp-14, 0x1.aba46255aa3dp-14, 0x1.9f4524664b197p-14, 0x1.93358754bedc8p-14, 0x1.8773e0a22f531p-14, 0x1.7bfe9ad8f064fp-14, 0x1.70d42a4be9831p-14, 0x1.65f300be56cc3p-14, 0x1.5b5986a425692p-14, 0x1.51061c7f16594p-14, 0x1.46f721d6e0f26p-14, 0x1.3d2afcdf536cp-14, 0x1.33a01f4b470fcp-14, 0x1.2a5507fbf5764p-14, 0x1.214842a80fe02p-14, 0x1.187865ef8b289p-14, 0x1.0fe40fe449a12p-14, 0x1.0789e1e6daab4p-14, 0x1.fed0fbf4b23bep-15, 0x1.eefd10f4a6d49p-15, 0x1.df955e2a46cc6p-15, 0x1.d097612eb662dp-15, 0x1.c200c0a458bbfp-15, 0x1.b3cf46865bf18p-15, 0x1.a600c8dd5f7b6p-15, 0x1.98931ba1c0babp-15, 0x1.8b8400f4bc292p-15, 0x1.7ed1309dd6664p-15, 0x1.72786057db61fp-15, 0x1.66774e7f601f7p-15, 0x1.5acbc9fd6da29p-15, 0x1.4f73b6bd5c9e5p-15, 0x1.446d0d6937c7cp-15, 0x1.39b5d58c187fcp-15, 0x1.2f4c1d6060b51p-15, 0x1.252df4eaf7701p-15, 0x1.1b596f0177f35p-15, 0x1.11cca5cb2986ep-15, 0x1.0885bf83ca4bp-15, 0x1.ff05e765041a3p-16, 0x1.ed8522b6a19aap-16, 0x1.dc8603f1c0215p-16, 0x1.cc058727a971p-16, 0x1.bc00b776ff82cp-16, 0x1.ac74997d6b64bp-16, 0x1.9d5e28633ef0fp-16, 0x1.8eba61512c9b2p-16, 0x1.808649f09b58cp-16, 0x1.72bef44f2629cp-16, 0x1.656183b7e95d6p-16, 0x1.586b31f9847bap-16, 0x1.4bd953924208p-16, 0x1.3fa95253449b4p-16, 0x1.33d8a0a992a22p-16, 0x1.2864af701db49p-16, 0x1.1d4aef0f0f0ccp-16, 0x1.1288dc1b30e1fp-16, 0x1.081c0e29c6b29p-16, 0x1.fc047ade500c6p-17, 0x1.e872779e71759p-17, 0x1.d57dd12bba51dp-17, 0x1.c3224fae902f8p-17, 0x1.b15bc023f1ccap-17, 0x1.a025fb6136afep-17, 0x1.8f7cfcec87866p-17, 0x1.7f5cff7ad7654p-17, 0x1.6fc27a9503f39p-17, 0x1.60a9f5acc3bb1p-17, 0x1.520fe2c2716d2p-17, 0x1.43f0a8566e4b1p-17, 0x1.3648c359d0a3ep-17, 0x1.2914d77cf4504p-17, 0x1.1c51a8d239057p-17, 0x1.0ffc0e3cdb08fp-17, 0x1.0410e36eb26d4p-17, 0x1.f11a0ebfcb9d6p-18, 0x1.dadab3afa4da4p-18, 0x1.c55da8ff2175cp-18, 0x1.b09d47304241fp-18, 0x1.9c9469f591401p-18, 0x1.893e454b46fap-18, 0x1.769609225e7c3p-18, 0x1.6496a796ca869p-18, 0x1.533af1c4856cdp-18, 0x1.427d9ebb4ce56p-18, 0x1.32583eef3d993p-18, 0x1.22c3d8c9f3104p-18, 0x1.13bfcc282e427p-18, 0x1.054ab6c7f0049p-18, 0x1.eec0b991852cep-19, 0x1.d3f0e49cabcecp-19, 0x1.ba1bcf5358801p-19, 0x1.a13ea5a7effe9p-19, 0x1.8952fea9771c9p-19, 0x1.7250ff807bb67p-19, 0x1.5c30d25bdacafp-19, 0x1.46eb1c789b435p-19, 0x1.3278b63426466p-19, 0x1.1ed2e36db18a8p-19, 0x1.0bf34c18eb827p-19, 0x1.f3a84219ef179p-20, 0x1.d0e0bb22bddb4p-20, 0x1.af8539a239007p-20, 0x1.8f7fcb41c3bap-20, 0x1.70b28b80d12e4p-20, 0x1.533c77c4dea79p-20, 0x1.37219b6c90318p-20, 0x1.1c0faaf440e92p-20, 0x1.0236dfae1dc6dp-20, 0x1.d32dd63988149p-21, 0x1.a3dfd0d7ae1dp-21, 0x1.768e8ca60c301p-21, 0x1.4b46033eef75dp-21, 0x1.21f56a69658afp-21, 0x1.f5174e9ab1895p-22, 0x1.a9e9690bd6735p-22, 0x1.62414877bee47p-22, 0x1.1dfeeb76a3c6dp-22, 0x1.ba06f583fc7d5p-23, 0x1.3e56f78b2e97dp-23, 0x1.9121dae5c74e4p-24, 0x1.6176abb16a635p-25, -0x1.2332dc248ebbcp-27, -0x1.db8c98f29bb04p-25, -0x1.ac62d93545869p-24, -0x1.30c6fed18c054p-23, -0x1.8666b8535a24ep-23, -0x1.d6d9d68d8b4b9p-23, -0x1.1160c67794a5fp-22, -0x1.3550ba97f722ap-22, -0x1.5742c54804cd1p-22, -0x1.77378925b787fp-22, -0x1.953a8bbb69bep-22, -0x1.b15a35ba955a1p-22, -0x1.cba46530cf643p-22, -0x1.e4297d2287945p-22, -0x1.faffc5e6d7705p-22, -0x1.082079187de47p-21, -0x1.12017ab78023cp-21, -0x1.1b29831aefe7dp-21, -0x1.239bbaa6c48afp-21, -0x1.2b5bbebd95106p-21, -0x1.32711f4264e77p-21, -0x1.38e6beff27a94p-21, -0x1.3ec70266b853fp-21, -0x1.441942252c32ap-21, -0x1.48e255136243ap-21, -0x1.4d2667c5177d9p-21, -0x1.50ea202bc3cf3p-21, -0x1.5432bc4646668p-21, -0x1.5705c09aac2adp-21, -0x1.5968974e5fa63p-21, -0x1.5b606d2daac82p-21, -0x1.5cf254e301039p-21, -0x1.5e2321d43a2ccp-21, -0x1.5ef730c593611p-21, -0x1.5f72cfa068727p-21, -0x1.5f9a741ec9801p-21, -0x1.5f7276c35eaadp-21, -0x1.5efee4081b848p-21, -0x1.5e4378a42655fp-21, -0x1.5d43bbf5cfcc6p-21, -0x1.5c02c2a35d76fp-21, -0x1.5a82a8186d2p-21, -0x1.58c88e2ff8a1bp-21, -0x1.56da6b4234e53p-21, -0x1.54af2a5b84bd8p-21, -0x1.5259a7c795193p-21, -0x1.4fd4dd6e0e08p-21, -0x1.4d24dc629a89ep-21, -0x1.4a4c0b58b3068p-21, -0x1.474cb057fadfap-21, -0x1.44290f044dd71p-21, -0x1.40e364c5f9cf3p-21, -0x1.3d7deb6386de3p-21, -0x1.39fae2a8d8b7dp-21, -0x1.365c78eb3da01p-21, -0x1.32a4b3e5ca776p-21, -0x1.2ed57118b7d7bp-21, -0x1.2af074aca9cdep-21, -0x1.26f74f2eaa3a4p-21, -0x1.22eb0a5f476d3p-21, -0x1.1ecb8cf052c43p-21, -0x1.1a9858e7936b1p-21, -0x1.165c8d2fac45bp-21, -0x1.122c8ebd20246p-21, -0x1.0de4da54f9489p-21, -0x1.0975c084e401ep-21, -0x1.050540d14685fp-21, -0x1.00a07db012e96p-21, -0x1.f867e87ee4233p-22, -0x1.ef7cf74385b99p-22, -0x1.e68680d59e677p-22, -0x1.dd88a27c3c707p-22, -0x1.d485f7d3e406bp-22, -0x1.cb807eb154061p-22, -0x1.c279ece4d015dp-22, -0x1.b973cdbf2e2cp-22, -0x1.b06f87c5848d7p-22, -0x1.a76e6d7337ec1p-22, -0x1.9e71d63f0af89p-22, -0x1.957b14c22896bp-22, -0x1.8c8b68f50d334p-22, -0x1.83a4040de2d1p-22, -0x1.7ac6077209a44p-22, -0x1.71f274cf30f65p-22, -0x1.692a37b8ad2f1p-22, -0x1.606e3afcefc07p-22, -0x1.57bf73d79353ep-22, -0x1.4f1eda148e467p-22, -0x1.468d5a0f50fe1p-22, -0x1.3e0bb0b49965bp-22, -0x1.359a2bd318fe1p-22, -0x1.2d38e47a07e0dp-22, -0x1.24e83e1308716p-22, -0x1.1ca920c267b92p-22, -0x1.147c99fe378bep-22, -0x1.0c636b7628f2dp-22, -0x1.045e01b03a87ap-22, -0x1.f8d8cabe38b45p-23, -0x1.e91cca08a1d3ep-23, -0x1.d984a564eb318p-23, -0x1.ca038a27e69a4p-23, -0x1.ba802a7101cf9p-23, -0x1.ab4fe683aa1a4p-23, -0x1.9d7a5939dfd64p-23, -0x1.8e3451bf0a2fep-23, -0x1.802a80f20e183p-23, -0x1.711314bee5636p-23, -0x1.6267bb82fd38dp-23, -0x1.54a7f2aad8d2fp-23, -0x1.46ec0213687f1p-23, -0x1.393fecb68de24p-23, -0x1.2bb82dfa5402ep-23, -0x1.1e5bc0babdc36p-23, -0x1.11295b6e73a6cp-23, -0x1.042c80892d57fp-23, -0x1.eea8a0809467fp-24, -0x1.d553c291eefaap-24, -0x1.bc600a6a95f5fp-24, -0x1.a3c3b45129b02p-24, -0x1.8b7fe35411d6ep-24, -0x1.7396758dea45bp-24, -0x1.5c068447fe46p-24, -0x1.44ce7a9f0c102p-24, -0x1.2dee831bc44b2p-24, -0x1.17664470e0a0fp-24, -0x1.01353ad51dbp-24, -0x1.d6b5eeb66b20ep-25, -0x1.abae14cbdfa93p-25, -0x1.8151f37e45336p-25, -0x1.57a07512bfd15p-25, -0x1.2e98676b8e37fp-25, -0x1.063887d1c8bf9p-25, -0x1.bcff177212952p-26, -0x1.6ed84e8bebc61p-26, -0x1.21fa25b011ecap-26, -0x1.acc44ab616a0ep-27, -0x1.181c1560afd58p-27, -0x1.0befc7dbbbecfp-28, 0x1.356903720c296p-32, 0x1.2da23e813b045p-28, 0x1.218223b9c8409p-27, 0x1.a9ce863bd9a14p-27, 0x1.17e367a54a995p-26, 0x1.59b7a77c90a1ap-26, 0x1.9a60b3c97318bp-26, 0x1.d9dcdbacfbe16p-26, 0x1.0c189dc2d4e98p-25, 0x1.2ab71f6d21905p-25, 0x1.48df66836136bp-25, 0x1.66c1cff611cdfp-25, 0x1.846c2f828ea05p-25, 0x1.a030a0131ba4cp-25, 0x1.ba0ad92ae7feep-25, 0x1.d699b75b9941fp-25, 0x1.ef97e962e85d1p-25, 0x1.05bbf12256a58p-24, 0x1.13844194da695p-24, 0x1.1fe5a139a6277p-24, 0x1.2be0c1924907p-24, 0x1.37dce14a34cdap-24, 0x1.43b76ffa64b9ep-24, 0x1.4f5b5b1083947p-24, 0x1.5ac2cc8f859c4p-24, 0x1.65ecf9acb50c3p-24, 0x1.70da6c6452b43p-24, 0x1.7b8bf72d59cbdp-24, 0x1.860271e75e4fap-24, 0x1.903eacfa317bep-24, 0x1.9a41711cfde8cp-24, 0x1.a40b80ec05d66p-24, 0x1.ad9d99d44dfcdp-24, 0x1.b6f8745c99847p-24, 0x1.c01cc45f52031p-24, 0x1.c90b39d1699a5p-24, 0x1.d1c4828bc3c39p-24, 0x1.da494c7522f7cp-24, 0x1.e29a4763ea151p-24, 0x1.eab8265444b0ap-24, 0x1.f2a3a3db5c947p-24, 0x1.fa5d76a8cca8fp-24, 0x1.00f322b5c250ep-23, 0x1.049f5574aa303p-23, 0x1.0833af6b08afdp-23, 0x1.0bb0840395b5dp-23, 0x1.0f1620d4e46fep-23, 0x1.1264a992ab703p-23, 0x1.159bf5205aap-23, 0x1.18c27d16118ccp-23, 0x1.1bb6b78a116b4p-23, 0x1.1ebb12ca4ac0ep-23, 0x1.21993dac92965p-23, 0x1.2462090598d16p-23, 0x1.2716437a10d6ep-23, 0x1.29b68fb28cab9p-23, 0x1.2c42d5973b42ep-23, 0x1.2ebab0870bdb7p-23, 0x1.311e0470f641dp-23, 0x1.336d0a7fa7eb6p-23, 0x1.35a8195b45d5dp-23, 0x1.37cf8a7b3d51p-23, 0x1.39e3bb8a3475p-23, 0x1.3be50693c49bep-23, 0x1.3dd3d53429556p-23, 0x1.3fb1a364e2c5cp-23, 0x1.4185ec8ac1dcp-23, 0x1.436d972d3553fp-23, 0x1.455405a0fe2d8p-23, 0x1.45e1e33511dp-23, 0x1.47fe69da47c36p-23, 0x1.49123948ef277p-23, 0x1.4b765ad06398p-23, 0x1.4c7f7d5771aebp-23, 0x1.4d449934fdb2ep-23, 0x1.4e885e718fb61p-23, 0x1.4fa9b33ae4a05p-23, 0x1.50b4603f69753p-23, 0x1.5212c85ff50e8p-23, 0x1.53037e56c3e5ap-23, 0x1.53d19bf5405e6p-23, 0x1.549f1b9bd3b1dp-23, 0x1.5566592b0caddp-23, 0x1.562336ed72304p-23, 0x1.56d04e0121721p-23, 0x1.576f57be01f57p-23, 0x1.57ffde933fap-23, 0x1.58826c885a0e3p-23, 0x1.58f7aaea84e02p-23, 0x1.595fff81cf0b1p-23, 0x1.59bb94fc91d93p-23, 0x1.5a0a772f64b62p-23, 0x1.5a4cac124de89p-23, }}, 
      {{0x1.94b44ee21fadep-4, 0x1.885a59c152fc9p-3, 0x1.180abe8dd111ap-2, 0x1.5d819ac4b5adcp-2, 0x1.92ea3daa1677cp-2, 0x1.b7f020c82534bp-2, 0x1.cd3ee8afff0fp-2, 0x1.d4352ba13f24bp-2, 0x1.cea179bd9cee6p-2, 0x1.be8b4ae5d62a3p-2, 0x1.a6082b031bcc7p-2, 0x1.871c79a544954p-2, 0x1.63a65cd3f53c2p-2, 0x1.3d512aae20768p-2, 0x1.158f61bad3c99p-2, 0x1.db32c89ed3698p-3, 0x1.8cdecaa72324cp-3, 0x1.41bad5933015dp-3, 0x1.f6018b43fac16p-4, 0x1.732eded20457cp-4, 0x1.f877924abbed1p-5, 0x1.23d8e02f77169p-5, 0x1.a4f78230caf5bp-7, -0x1.ba27f8fb3d11ep-8, -0x1.7c45210d40f8dp-6, -0x1.2c37f99ea912ep-5, -0x1.82b3482898708p-5, -0x1.c2fd646017249p-5, -0x1.eea740734bd62p-5, -0x1.03ad0b3fa148p-4, -0x1.07653c4c332f4p-4, -0x1.0356f5deb8342p-4, -0x1.f0b2c0c2fb683p-5, -0x1.ce79dcfe7c99bp-5, -0x1.a192274069e9dp-5, -0x1.6b75583cee89ap-5, -0x1.2d85e8f233762p-5, -0x1.d21bdbf400f4dp-6, -0x1.3e7d55a1e98b8p-6, -0x1.44c2d9199043fp-7, 0x1.b76d1feb1a119p-17, 0x1.4ef28f357d005p-7, 0x1.51bf8c4bd1303p-6, 0x1.fd8d95ad37146p-6, 0x1.54c75289f263fp-5, 0x1.aa496106a5396p-5, 0x1.fec616c32f2c8p-5, 0x1.28e336d36cd14p-4, 0x1.517102f833bafp-4, 0x1.78df0294a87c9p-4, 0x1.9f0600ca512ebp-4, 0x1.c3c480c942b22p-4, 0x1.e6fe4652eaf1p-4, 0x1.044df29e82be4p-3, 0x1.14452cabd60cdp-3, 0x1.235d52c9a89ep-3, 0x1.3190bccf32668p-3, 0x1.3edb6ee74a724p-3, 0x1.4b3af2608428ap-3, 0x1.56ae3124db0dap-3, 0x1.613553a3f6b45p-3, 0x1.6ad1a0f097889p-3, 0x1.73856100ae524p-3, 0x1.7b53c0dbb864bp-3, 0x1.8240b89d05e1fp-3, 0x1.8850f327487c1p-3, 0x1.8d89b7696d8a4p-3, 0x1.91f0d363c01afp-3, 0x1.958c882ee62f1p-3, 0x1.986377e539e86p-3, 0x1.9a7c948a2f45ep-3, 0x1.9bdf10474cb6ap-3, 0x1.9c924f02478d6p-3, 0x1.9c9dd8ab8834p-3, 0x1.9c094d99e14a9p-3, 0x1.9adc5a7c667f3p-3, 0x1.991eaef304ef3p-3, 0x1.96d7f3fa31481p-3, 0x1.940fc36af0014p-3, 0x1.90cda149c28cap-3, 0x1.8d18f47c4b662p-3, 0x1.88f9012cb263cp-3, 0x1.8474e44b8c2p-3, 0x1.7f938e3af7414p-3, 0x1.7a5bbfc6bda87p-3, 0x1.74d40708aa31fp-3, 0x1.6f02bc57c738dp-3, 0x1.68ee0115eb1dbp-3, 0x1.629bbdc45f441p-3, 0x1.5c11a0742090fp-3, 0x1.55551d518642p-3, 0x1.4e6b6d11f7832p-3, 0x1.47598d13690cbp-3, 0x1.402440811af8fp-3, 0x1.38d00f6cc49d1p-3, 0x1.3161486f5b62p-3, 0x1.29dc017f3080dp-3, 0x1.2244186c3251fp-3, 0x1.1a9d34d0b5bbbp-3, 0x1.12eac8e2ce27p-3, 0x1.0b30131a91155p-3, 0x1.03701f89741fap-3, 0x1.f75b92a3fe67dp-4, 0x1.e7d778701ac8p-4, 0x1.d858ec606febbp-4, 0x1.c8e491968e1fcp-4, 0x1.b97eb6332798cp-4, 0x1.aa2b55c9856c3p-4, 0x1.9aee1d24cfb93p-4, 0x1.8bca6dae936cep-4, 0x1.7cc3600bfb964p-4, 0x1.6ddbc812030a8p-4, 0x1.5f1637e1dfcd9p-4, 0x1.507502c56c0fbp-4, 0x1.41fa40b76170cp-4, 0x1.33a7d19bfbefbp-4, 0x1.257f5fec22695p-4, 0x1.178263d5fe60bp-4, 0x1.09b2266abe43fp-4, 0x1.f81f8824076bfp-5, 0x1.dd385ecc25b0fp-5, 0x1.c2b0683507905p-5, 0x1.a888f2ad70db7p-5, 0x1.8ec308921fffp-5, 0x1.755f754ca1b04p-5, 0x1.5c5eca3ddff5fp-5, 0x1.43c162cbc4c74p-5, 0x1.2b8768dbfd0eep-5, 0x1.13b0d9975ef8dp-5, 0x1.f87b1159689cbp-6, 0x1.ca5a4854debc6p-6, 0x1.9cfe70fa828b5p-6, 0x1.70666728a8b2p-6, 0x1.4490cf2427598p-6, 0x1.197c1d59d7175p-6, 0x1.de4d33b340b74p-7, 0x1.8b1cd0930f40ap-7, 0x1.39630fa58b2d5p-7, 0x1.d23779ba4e60fp-8, 0x1.3484d463fa93p-8, 0x1.334a176c3c7c6p-9, 0x1.8eb4381cf58a4p-16, -0x1.278fc0717a7aep-9, -0x1.266880a5a35a5p-8, -0x1.b65d22d908a0ep-8, -0x1.21d7ec319cf6dp-7, -0x1.67355eefca918p-7, -0x1.ab4bf91d94d3p-7, -0x1.ee20cab164604p-7, -0x1.17dc702aa711ap-6, -0x1.380c9f3b7c998p-6, -0x1.57a36e11b2915p-6, -0x1.76a353546a6f6p-6, -0x1.950ebc092949dp-6, -0x1.b2e80f41d0603p-6, -0x1.d031a77f1529ep-6, -0x1.ecedd628f94d9p-6, -0x1.048f70ed73b24p-5, -0x1.1263824f59fefp-5, -0x1.1ff4369a2f3fdp-5, -0x1.2d429f2761058p-5, -0x1.3a4fc6155c168p-5, -0x1.471cafd1521f5p-5, -0x1.53aa5a822c991p-5, -0x1.5ff9bc6b6b07p-5, -0x1.6c0bc6f1c3c7fp-5, -0x1.77e1635bcde99p-5, -0x1.837b75578c0adp-5, -0x1.8edada1b4d58dp-5, -0x1.9a006790bd004p-5, -0x1.a4ecedf58f581p-5, -0x1.afa137d1996ffp-5, -0x1.ba1e07dacaa16p-5, -0x1.c4641caa27808p-5, -0x1.ce742d8907c26p-5, -0x1.d84eed116ae87p-5, -0x1.e1f5073a41bf5p-5, -0x1.eb6723790c1a5p-5, -0x1.f4a5e2daf343cp-5, -0x1.fdb1e2d87350ep-5, -0x1.0345dd15a12dp-4, -0x1.0799fe15dd337p-4, -0x1.0bd59b701c68p-4, -0x1.0ff8f9b31d197p-4, -0x1.14045bc9b6ff9p-4, -0x1.17f8024964a46p-4, -0x1.1bd42b9bbf16fp-4, -0x1.1f99148a0c7bap-4, -0x1.2346f7f87ee3ep-4, -0x1.26de0ef8e1822p-4, -0x1.2a5e91023361bp-4, -0x1.2dc8b43d15414p-4, -0x1.311cacb77c2ep-4, -0x1.345aadac40f5p-4, -0x1.3782e8c1e66d8p-4, -0x1.3a958e6021f07p-4, -0x1.3d92cdb65ee8ap-4, -0x1.407ad4f07f76ep-4, -0x1.434dd1476f817p-4, -0x1.460beea362198p-4, -0x1.48b55849f46ecp-4, -0x1.4b4a38a2cb85fp-4, -0x1.4dcab96b44b62p-4, -0x1.50370374239dfp-4, -0x1.528f3eeb5678ap-4, -0x1.54d3936bacec1p-4, -0x1.5704283c7b471p-4, -0x1.592123f933be4p-4, -0x1.5b2aacee45072p-4, -0x1.5d20e8cb76579p-4, -0x1.5f03fcf0ebd6ep-4, -0x1.60d40e9fd3ddap-4, -0x1.629142f538af5p-4, -0x1.643bbec00bbeap-4, -0x1.65d3a6890ad7dp-4, -0x1.67591ea7ada74p-4, -0x1.68cc4b506fd7cp-4, -0x1.6a2d5111f742p-4, -0x1.6b7c5473308f5p-4, -0x1.6cb979d339f5ap-4, -0x1.6de4e56217a1dp-4, -0x1.6efebb58fb037p-4, -0x1.700720419d784p-4, -0x1.70fe3905c4ca4p-4, -0x1.71e42ab14de54p-4, -0x1.72b91a5ddfee3p-4, -0x1.737d2cf15e5fap-4, -0x1.7430878bac554p-4, -0x1.74d34fd21b7cep-4, -0x1.7565abe8808e8p-4, -0x1.75e7c243ee177p-4, -0x1.7659b96a506ccp-4, -0x1.76bbb7d5b39b6p-4, -0x1.770de433b9436p-4, -0x1.775065b9c6514p-4, -0x1.778364466086bp-4, -0x1.77a70834a7721p-4, -0x1.77bb7a1d27c28p-4, -0x1.77c0e280d1a73p-4, -0x1.77b76a078a7f2p-4, -0x1.779f39c33903dp-4, -0x1.77787b74688a1p-4, -0x1.774359898da64p-4, -0x1.76fffed72816ep-4, -0x1.76ae964bb2aeap-4, -0x1.764f4ad2de2ecp-4, -0x1.75e24780a301bp-4, -0x1.7567b7eec93fep-4, -0x1.74dfc86acdfb5p-4, -0x1.744aa5e2b86f1p-4, -0x1.73a87da57ce98p-4, -0x1.72f97d097cbbep-4, -0x1.723dd15b4041ap-4, -0x1.7175a80d299cfp-4, -0x1.70a12f00293fp-4, -0x1.6fc094baba785p-4, -0x1.6ed4085f38137p-4, -0x1.6ddbb96a7091ap-4, -0x1.6cd7d766dfa6ep-4, -0x1.6bc891c717a66p-4, -0x1.6aae17fddcd9bp-4, -0x1.698899bfa0ebbp-4, -0x1.6858473f239d1p-4, -0x1.671d513e9182ap-4, -0x1.65d7e8dfe366fp-4, -0x1.64883f65c8aa6p-4, -0x1.632e85f737a2ep-4, -0x1.61caed90a74a9p-4, -0x1.605da73087dadp-4, -0x1.5ee6e40e60155p-4, -0x1.5d66d5c66a25bp-4, -0x1.5bddae588948fp-4, -0x1.5a4b9ffb86138p-4, -0x1.58b0dcdeb9fa8p-4, -0x1.570d96fc14ec3p-4, -0x1.55620011cb5bfp-4, -0x1.53ae49c314ef9p-4, -0x1.51f2a5c957e1ap-4, -0x1.502f46177974bp-4, -0x1.4e645cdaf38dap-4, -0x1.4c921c59b0067p-4, -0x1.4ab8b6be0635fp-4, -0x1.48d85ded23f8p-4, -0x1.46f14376d835bp-4, -0x1.450398a79c7e2p-4, -0x1.430f8eadbad51p-4, -0x1.411556baa83e8p-4, -0x1.3f152210645b9p-4, -0x1.3d0f21f154a98p-4, -0x1.3b03877bf0384p-4, -0x1.38f2838259388p-4, -0x1.36dc466fe44bep-4, -0x1.34c1004699925p-4, -0x1.32a0e0b248c87p-4, -0x1.307c1724c8b94p-4, -0x1.2e52d2ec3b764p-4, -0x1.2c2543384ca07p-4, -0x1.29f3970bbe792p-4, -0x1.27bdfd203dca9p-4, -0x1.2584a3c7f84e8p-4, -0x1.2347b8d8e9093p-4, -0x1.210769a9a802p-4, -0x1.1ec3e31d59da1p-4, -0x1.1c7d51b6e881bp-4, -0x1.1a33e1ab72263p-4, -0x1.17e7bee94b3edp-4, -0x1.15991511e1b9cp-4, -0x1.13480f67f55bcp-4, -0x1.10f4d8b8f1306p-4, -0x1.0e9f9b494bbd8p-4, -0x1.0c4880cbc4892p-4, -0x1.09efb26439c7p-4, -0x1.079558b2995fbp-4, -0x1.05399be05def5p-4, -0x1.02dca3aaae466p-4, -0x1.007e9765864dep-4, -0x1.fc3f3bed897b2p-5, -0x1.f77fbb957cd21p-5, -0x1.f2bef98a3c6a4p-5, -0x1.edfd406a5166ap-5, -0x1.e93ad99b75a2cp-5, -0x1.e4780d4b006aep-5, -0x1.dfb52276b5198p-5, -0x1.daf25efb21f81p-5, -0x1.d63007a090807p-5, -0x1.d16e60257435ep-5, -0x1.ccadab427f445p-5, -0x1.c7ee2aa8108ep-5, -0x1.c3301ef45bc3dp-5, -0x1.be73c7a96095cp-5, -0x1.b9b9631e60e52p-5, -0x1.b5012e6cb75d2p-5, -0x1.b04b6563b1da6p-5, -0x1.ab984285747e1p-5, -0x1.a6e7ff063b54ap-5, -0x1.a23ad2d292c81p-5, -0x1.9d90f4a1537f9p-5, -0x1.98ea9a0b6e8c3p-5, -0x1.9447f7a2e896ep-5, -0x1.8fa941038f974p-5, -0x1.8b0ea8d7d4d65p-5, -0x1.867860cd73c19p-5, -0x1.81e699796efdfp-5, -0x1.7d59822fd6a49p-5, -0x1.78d148d896de8p-5, -0x1.744e19ce4d333p-5, -0x1.6fd01fd46d766p-5, -0x1.6b57842d28c33p-5, -0x1.66e46ece095bfp-5, -0x1.627706a89fcf3p-5, -0x1.5e0f71f4942d3p-5, -0x1.59add665da0b7p-5, -0x1.5552593d192ep-5, -0x1.50fd1f28a1612p-5, -0x1.4cae4bf82a2f7p-5, -0x1.486602322ac0bp-5, -0x1.442462a62609bp-5, -0x1.3fe98c1a8ef33p-5, -0x1.3bb59b32f914p-5, -0x1.3788aa9ebfac9p-5, -0x1.3362d38c46ea6p-5, -0x1.2f442e4a4fac7p-5, -0x1.2b2cd2f0ed6bap-5, -0x1.271cd9e5d25acp-5, -0x1.23145c1508579p-5, -0x1.1f1372c76b5e1p-5, -0x1.1b1a3717a5f25p-5, -0x1.1728c12028051p-5, -0x1.133f2711f437ep-5, -0x1.0f5d7c6f550d3p-5, -0x1.0b83d1a23ae6bp-5, -0x1.07b2341378a4bp-5, -0x1.03e8aeca1f93bp-5, -0x1.00274b780d558p-5, -0x1.f8dc27752b2fep-6, -0x1.f17a2489c3e4fp-6, -0x1.ea28a752fe26ep-6, -0x1.e2e7cd15ce55ap-6, -0x1.dbb7b6385e39ap-6, -0x1.d498840788937p-6, -0x1.cd8a55b3a5dacp-6, -0x1.c68d452ce48e2p-6, -0x1.bfa1649e78163p-6, -0x1.b8c6bd28ab257p-6, -0x1.b1fd4f3ee33c8p-6, -0x1.ab4514abf5507p-6, -0x1.a49e03e369104p-6, -0x1.9e0813f1747cap-6, -0x1.978340312b101p-6, -0x1.910f8af252d88p-6, -0x1.8aacfe6d2bb0fp-6, -0x1.845babbd236e5p-6, -0x1.7e1ba80934111p-6, -0x1.77ed08688e52dp-6, -0x1.71cfdd5cd29bfp-6, -0x1.6bc42ed536c26p-6, -0x1.65c9f9978d119p-6, -0x1.5fe12e9a33b84p-6, -0x1.5a09b496d0d7cp-6, -0x1.54436b73bfe7fp-6, -0x1.4e8e30fdfdb46p-6, -0x1.48e9e5ec0a53ap-6, -0x1.43567230363d1p-6, -0x1.3dd3c7b409389p-6, -0x1.3861e2ed03d25p-6, -0x1.3300c92f457d3p-6, -0x1.2db0851b10344p-6, -0x1.287121e15c46dp-6, -0x1.2342a64d8857bp-6, -0x1.1e2510819f3abp-6, -0x1.19185327ac2bcp-6, -0x1.141c5493e5d32p-6, -0x1.0f30effd464f2p-6, -0x1.0a55f896228ddp-6, -0x1.058b3df62e184p-6, -0x1.00d091026a168p-6, -0x1.f84b90c26321cp-7, -0x1.ef15873e2aafbp-7, -0x1.e5fed8ea1793ap-7, -0x1.dd076c1d0f425p-7, -0x1.d42f3539385d3p-7, -0x1.cb762fa24ac34p-7, -0x1.c2dc55ef09fbep-7, -0x1.ba619a9e40093p-7, -0x1.b205e24b11e3ap-7, -0x1.a9c90012ecedep-7, -0x1.a1aab49ec7c0ap-7, -0x1.99aaaff0acea2p-7, -0x1.91c895a6b7121p-7, -0x1.8a0402e8f6cfp-7, -0x1.825c94e2a324ap-7, -0x1.7ad1ee9ff6094p-7, -0x1.7363bd6c786p-7, -0x1.6c11bb383fd33p-7, -0x1.64dbaef05b0c2p-7, -0x1.5dc16afb10bcp-7, -0x1.56c2ca299d6bep-7, -0x1.4fdfab86071a4p-7, -0x1.4917ed8d60161p-7, -0x1.426b69ae342d7p-7, -0x1.3bd9f0f969939p-7, -0x1.35634ac4f5c4bp-7, -0x1.2f073545ce699p-7, -0x1.28c5670699d25p-7, -0x1.229d90204964dp-7, -0x1.1c8f5a75c2de3p-7, -0x1.169a69b1df55bp-7, -0x1.10be5cc37cd5p-7, -0x1.0afad238b0907p-7, -0x1.054f6f3421182p-7, -0x1.ff77cd60bc875p-8, -0x1.f47ffb77d1bap-8, -0x1.e9b71443b7f7dp-8, -0x1.df1cd6a5d4e9ep-8, -0x1.d4b1008d318a6p-8, -0x1.ca733d924676fp-8, -0x1.c063204aa4f4p-8, -0x1.b6802844c4927p-8, -0x1.acc9cee43e239p-8, -0x1.a33f9070854b7p-8, -0x1.99e0e876c4381p-8, -0x1.90ad41199eef8p-8, -0x1.87a3df7109c2ap-8, -0x1.7ec3dc9145a7ap-8, -0x1.760c36481b1c9p-8, -0x1.6d7bf586b747bp-8, -0x1.65125a8679202p-8, -0x1.5ccef909ea0f5p-8, -0x1.54b1b5a46ab6cp-8, -0x1.4cbaa4e8652cfp-8, -0x1.44e9dc8b5fb13p-8, -0x1.3d3f4c93b2756p-8, -0x1.35baaf98dbf4fp-8, -0x1.2e5b93115fd15p-8, -0x1.27216d33b17a1p-8, -0x1.200bafbc79d48p-8, -0x1.1919ca3e2c97cp-8, -0x1.124b1a9b6ebdcp-8, -0x1.0b9ed28b28446p-8, -0x1.0513e4939663ep-8, -0x1.fd521b8fad0cdp-9, -0x1.f0ba05fa56f17p-9, -0x1.e45d66c114c2ep-9, -0x1.d83b026cdf5c6p-9, -0x1.cc52a30efe0d8p-9, -0x1.c0a4d1f9ae8d3p-9, -0x1.b53255d195a3cp-9, -0x1.a9fbc1dfe9ffep-9, -0x1.9f014e05fa869p-9, -0x1.9442f20aafac1p-9, -0x1.89c09040319e3p-9, -0x1.7f79fe3a3ea0ap-9, -0x1.756edf62926bcp-9, -0x1.6b9e65dea1e45p-9, -0x1.6207189d16ed9p-9, -0x1.58a6b8637af85p-9, -0x1.4f7a5437d0bfep-9, -0x1.467e957ecc166p-9, -0x1.3db0424c4e84bp-9, -0x1.350cdcdb53ab4p-9, -0x1.2c932425d77b2p-9, -0x1.24432ae14330bp-9, -0x1.1c1de23b68ab6p-9, -0x1.14244d98a8223p-9, -0x1.0c56dce379b6dp-9, -0x1.04b55792e6a62p-9, -0x1.fa7ea4b138106p-10, -0x1.ebe982a7a3f8bp-10, -0x1.ddac6ceb6a37ep-10, -0x1.cfc950f4858b8p-10, -0x1.c241cd9af6b41p-10, -0x1.b51606aa0da56p-10, -0x1.a843fd0da8d24p-10, -0x1.9bc7a82448211p-10, -0x1.8f9b80ea86978p-10, -0x1.83b914d108f28p-10, -0x1.7819aa549093ap-10, -0x1.6cb74c49e7649p-10, -0x1.618e241961a19p-10, -0x1.569d5e8717eb2p-10, -0x1.4be6cea949746p-10, -0x1.416d4c15375cp-10, -0x1.3732bd2440d0cp-10, -0x1.2d37122030d18p-10, -0x1.2378b3f0ea0cbp-10, -0x1.19f5d303ede99p-10, -0x1.10adba0314bb5p-10, -0x1.07a17d98c869cp-10, -0x1.fda6de80099e6p-11, -0x1.ec8ac32c92666p-11, -0x1.dbee2a4c94343p-11, -0x1.cbcc561657bb2p-11, -0x1.bc1edba883eb2p-11, -0x1.ace036751130fp-11, -0x1.9e0c4f0f01055p-11, -0x1.8f9f0d60794d8p-11, -0x1.8192b9e02c796p-11, -0x1.73dfd63283079p-11, -0x1.667e91d0104a3p-11, -0x1.59690bef40731p-11, -0x1.4c9d7f2162da4p-11, -0x1.401eca3e45b4fp-11, -0x1.33f205384d37dp-11, -0x1.281a5d613c2d8p-11, -0x1.1c967d69c0b93p-11, -0x1.1162164c7609ap-11, -0x1.067a713eb9b77p-11, -0x1.f7c1fd8ba7d3cp-12, -0x1.e331eef470c2fp-12, -0x1.cf46a07de5021p-12, -0x1.bbfa5f6d3467ep-12, -0x1.a9428929ccd18p-12, -0x1.97146befef80ep-12, -0x1.85694f5f6ba5ap-12, -0x1.743ff752930b1p-12, -0x1.639b2190a112p-12, -0x1.537e05c7cb604p-12, -0x1.43e8e3773f1d8p-12, -0x1.34d66019d139p-12, -0x1.2639c2fd20ecep-12, -0x1.1802221e3fa5fp-12, -0x1.0a24db1fb8b38p-12, -0x1.f948d8a478724p-13, -0x1.df122dac88d27p-13, -0x1.c5a973850d12ap-13, -0x1.ad05a6ea833a7p-13, -0x1.9524ceb037994p-13, -0x1.7e0e15aac64eap-13, -0x1.67c0c0f866805p-13, -0x1.523271670b216p-13, -0x1.3d5c07423cbeap-13, -0x1.293b76a60fe5dp-13, -0x1.15cb25658573ap-13, -0x1.02ff48617edfbp-13, -0x1.e197d68892a5ap-14, -0x1.be5726cf15139p-14, -0x1.9c41a74ebb25ep-14, -0x1.7b643d959c371p-14, -0x1.5bc72e41ace9fp-14, -0x1.3d67ec4d710a6p-14, -0x1.20343f54e2dc9p-14, -0x1.0403f1983097fp-14, -0x1.d16a4cf33aadp-15, -0x1.9cb81692e3224p-15, -0x1.6a44bbcb5acb5p-15, -0x1.39ee84103317ep-15, -0x1.0b386850d7d02p-15, -0x1.bbe8f4adf924bp-16, -0x1.64b6598e9b13ep-16, -0x1.1136fc57ae633p-16, -0x1.829a9e410d7e4p-17, -0x1.d2262e0111e12p-18, -0x1.54c52f492a1a5p-19, 0x1.c6de48cbdb7e8p-20, 0x1.813f3fdb41daap-18, 0x1.4236a0eb81316p-17, 0x1.be393a09fdabap-17, 0x1.1a967af64c6c5p-16, 0x1.539d839be497ep-16, 0x1.8a221f9558c22p-16, 0x1.be127e42fcd02p-16, 0x1.ef708030a5c18p-16, 0x1.0f230c5c4d798p-15, 0x1.255d1238716dcp-15, 0x1.3aa1aeb79631ap-15, 0x1.4f0d1c7b3ec6fp-15, 0x1.626545e463c43p-15, 0x1.749c1f9228e8dp-15, 0x1.85e1bf24d0fb3p-15, 0x1.961fead17ff51p-15, 0x1.a5325a0c92ca7p-15, 0x1.b34bc40363896p-15, 0x1.c0b974086fd3ep-15, 0x1.cd8ac5410b638p-15, 0x1.d997a121b390ap-15, 0x1.e4d4291630ea7p-15, 0x1.ef620f79cc9eep-15, 0x1.f9471ae17e7fp-15, 0x1.0132daa394c52p-14, 0x1.055e0ff752f55p-14, 0x1.093354604fc7cp-14, 0x1.0cbe11f5be253p-14, 0x1.1001887df6003p-14, 0x1.12fcc4d522c7p-14, 0x1.15b0027547d3fp-14, 0x1.181daee6a6a06p-14, 0x1.1a42b2b56b0c7p-14, 0x1.1c1a7f4211adap-14, 0x1.1db5b499372ebp-14, 0x1.1f1e73cc75616p-14, 0x1.204ea30269f95p-14, 0x1.2154b57d1e14bp-14, 0x1.222805773d2fap-14, 0x1.22b901abdd006p-14, 0x1.2311717a5f119p-14, 0x1.233a0c7f61289p-14, 0x1.233289cb07a58p-14, 0x1.22f9a91056357p-14, 0x1.2297115d8551dp-14, 0x1.22162598f9abfp-14, 0x1.217297ed99d71p-14, 0x1.20a8bc6edebedp-14, 0x1.1fc303d2faae8p-14, 0x1.1ebcef751658ep-14, 0x1.1d8c625fcc2dep-14, 0x1.1c37c49b7d447p-14, 0x1.1ac880042281fp-14, 0x1.1941d1d5f8ed3p-14, 0x1.17a379d776939p-14, 0x1.15eda4427fc49p-14, 0x1.14222104831adp-14, 0x1.123e3756eb68bp-14, 0x1.10392bd7eae5ep-14, 0x1.0e1bfe3dfe712p-14, 0x1.0bf342c06b4aap-14, 0x1.09c076ba16b9ep-14, 0x1.077f9f74e41fcp-14, 0x1.052527bc1d224p-14, 0x1.02b8d6b0d4cb7p-14, 0x1.0041250609e3dp-14, 0x1.fb7cf19e68a06p-15, 0x1.f660f10b74062p-15, 0x1.f12eba5d00104p-15, 0x1.ebe7bb526f80ap-15, 0x1.e68bfcd375712p-15, 0x1.e1166f0109851p-15, 0x1.db8543cdb8436p-15, 0x1.d5e764d3ab7f1p-15, 0x1.d042b6e25601bp-15, 0x1.ca9a06117224ap-15, 0x1.c4e9150a8cf5cp-15, 0x1.bf21da5f82ee4p-15, 0x1.b94d286df3bc9p-15, 0x1.b374e784616a7p-15, 0x1.ad9a2587412b8p-15, 0x1.a7bbba03cd478p-15, 0x1.a1da6d7c1a0dfp-15, 0x1.9bf6fbb5f71b1p-15, 0x1.960975714e4f5p-15, 0x1.900f6b6fcd567p-15, 0x1.8a1d7434d6a1cp-15, 0x1.84370891fd61bp-15, 0x1.7e4b06d8f63f7p-15, 0x1.78594d72046f2p-15, 0x1.726c808aecadp-15, 0x1.6c8516690941ep-15, 0x1.66a1ec140b627p-15, 0x1.60c2fbbe4e081p-15, 0x1.5ae8b93c1f4f1p-15, 0x1.5513da694dffbp-15, 0x1.4f4538592fb79p-15, 0x1.497da44eb1c4p-15, 0x1.43bddca33eccdp-15, 0x1.3e06bb1a3a4ccp-15, 0x1.3858170e8bd3p-15, 0x1.32ad706c7a67p-15, 0x1.2d05647236603p-15, 0x1.276a87b0c62a9p-15, 0x1.21e0a4b09e85dp-15, 0x1.1c5f98feaafe2p-15, 0x1.16e38530121d4p-15, 0x1.1172ff732c5f6p-15, 0x1.0c0f6f164e1a9p-15, 0x1.06b7b8bf1040dp-15, 0x1.016bd7aef398cp-15, 0x1.f85922c41c8c6p-16, 0x1.edecb5299da65p-16, 0x1.e393782db230ap-16, 0x1.d95ff11da68bdp-16, 0x1.cf40c2206d9f4p-16, 0x1.c535cd3c6bebdp-16, 0x1.bb47a1e537c7dp-16, 0x1.b1750de126ab9p-16, 0x1.a7bcfa4132834p-16, 0x1.9e1f525a148dap-16, 0x1.949c49ade2f1dp-16, 0x1.8b341613aa778p-16, 0x1.81e6e0f621654p-16, 0x1.78b4cc8aeb093p-16, 0x1.6f9e04d24fabap-16, 0x1.66a2ce36433d2p-16, 0x1.5dc33fb2d2e83p-16, 0x1.54ff019632b4fp-16, 0x1.4c5795304268ap-16, 0x1.43cb9715afd4ap-16, 0x1.3b5cabbc71f7dp-16, 0x1.3308d98885c67p-16, 0x1.2acb4a276a82p-16, 0x1.22ab60efd56ebp-16, 0x1.1aac435222dd4p-16, 0x1.12c48e7478a6bp-16, 0x1.0af7f9e1787ffp-16, 0x1.03481d31a51d6p-16, 0x1.f767b595007d9p-17, 0x1.e87769dc67523p-17, 0x1.d9be079d2bbdep-17, 0x1.cb3638fdcf6b9p-17, 0x1.bce8d0997ff3fp-17, 0x1.aecc0536a6edap-17, 0x1.a0e5ce4509b98p-17, 0x1.93364ec708e65p-17, 0x1.85bbab207b244p-17, 0x1.7875375c94f83p-17, 0x1.6b629e759d6d6p-17, 0x1.5e839267398cap-17, 0x1.51d7bf4e3a3a5p-17, 0x1.455ecb1eb50f6p-17, 0x1.391856164f9f7p-17, 0x1.2d03faa2c8b59p-17, 0x1.21214d795b986p-17, 0x1.156fdf44b394dp-17, 0x1.09ef40c4e0ebfp-17, 0x1.fd3e0efd5849dp-18, 0x1.e6fd9cfbf65f9p-18, 0x1.d11c5fc716136p-18, 0x1.bb996dd324293p-18, 0x1.a673a82229b4fp-18, 0x1.91a9ff7584789p-18, 0x1.7d3c508d34c22p-18, 0x1.692a5c015c09p-18, 0x1.556f4c533c5bep-18, 0x1.420dbade3b5b9p-18, 0x1.2f026767d848bp-18, 0x1.1c4d14739341ep-18, 0x1.09eeb0198027bp-18, 0x1.efcbf61822742p-19, 0x1.cc637159ae37dp-19, 0x1.a99de2750c0ccp-19, 0x1.87796cc256e5p-19, 0x1.65f7af2a0f01ap-19, 0x1.4516274637386p-19, 0x1.24d16f8f28603p-19, 0x1.052a775affeffp-19, 0x1.cc34c878b4747p-20, 0x1.8f48e1cb6d79ep-20, 0x1.538a546e80e73p-20, 0x1.18ef807c2bbdbp-20, 0x1.beef1a8b60bfbp-21, 0x1.4e40f4274f827p-21, 0x1.bf97e13fc6bfcp-22, 0x1.ce1f07d3a425p-23, 0x1.2d925a6e247fep-26, -0x1.7a3505622400bp-23, -0x1.88da8ab2ba15dp-22, -0x1.283ae98f33b6ep-21, -0x1.89fd801880715p-21, -0x1.e9bc45d232debp-21, -0x1.23bf3eccce40dp-20, -0x1.51a5c5c6a2ea8p-20, -0x1.7e9578b121dabp-20, -0x1.aa92072f6422fp-20, -0x1.d59ed3ae26351p-20, -0x1.ffbf0d060fb73p-20, -0x1.147b699cc1188p-19, -0x1.28a5d6abac2a3p-19, -0x1.3c5ee98c38c1fp-19, -0x1.4fa6570b35844p-19, -0x1.62800d4cb610bp-19, -0x1.74f0ad98fc0c6p-19, -0x1.86f7f7bcf1143p-19, -0x1.9893630f49049p-19, -0x1.a9c87ef8e9abp-19, -0x1.ba994849774ddp-19, -0x1.cb0648d1826e5p-19, -0x1.db10faadc245fp-19, -0x1.eabaf8ff386adp-19, -0x1.fa05a7080da19p-19, -0x1.0479bd3ba1f48p-18, -0x1.0bc2101eb3f17p-18, -0x1.12dd4a96f3035p-18, -0x1.19cbef26629f4p-18, -0x1.208eb7fe1113p-18, -0x1.27265c62dd3f3p-18, -0x1.2d939065f718fp-18, -0x1.33d7057b1e913p-18, -0x1.39f16b8a675f4p-18, -0x1.3fe3710bc1639p-18, -0x1.45adc294a08e4p-18, -0x1.4b510a63aeac3p-18, -0x1.50cdefa547359p-18, -0x1.5625157c1c3ecp-18, -0x1.5b571af60aef6p-18, -0x1.60649bad5867dp-18, -0x1.654e29cf6d192p-18, -0x1.6a14353dcbd5fp-18, -0x1.6eb786fa6df43p-18, -0x1.733afc7b81868p-18, -0x1.779a523d16d2dp-18, -0x1.7bda4efbe202fp-18, -0x1.7ff77fc1c5955p-18, -0x1.83f712ddab6c3p-18, -0x1.87d83d3f8d77cp-18, -0x1.8b99529da1fd9p-18, -0x1.8f3bfc120ba9fp-18, -0x1.92c0e721e56a2p-18, -0x1.9628c6dfb25a7p-18, -0x1.9974afe919d14p-18, -0x1.9ca471af9fcc2p-18, -0x1.9fb880b4b2946p-18, -0x1.a2b16404c5a68p-18, -0x1.a58f9ce56f56bp-18, -0x1.a853b9074fb74p-18, -0x1.aafe2ac3353dcp-18, -0x1.ad8f67feb2149p-18, -0x1.b007df2c8a0bdp-18, -0x1.b267fceb0dcdap-18, -0x1.b4b02ed99621p-18, -0x1.b6e0e35cb68e7p-18, -0x1.b8fa885ca4b12p-18, -0x1.bafd8a2c04f2bp-18, }}, 
      {{0x1.6057e93c056cp-4, 0x1.5ae355bb3e50fp-3, 0x1.fb735dcec485ap-3, 0x1.4724e552e3cdp-2, 0x1.887f65da5ff18p-2, 0x1.c11b4f31f2da7p-2, 0x1.f0bab7f0c93d7p-2, 0x1.0bbc55d9e0bbfp-1, 0x1.1ad9c6c1c9b6cp-1, 0x1.25fcec49cc57p-1, 0x1.2d7cd4a76aeabp-1, 0x1.31b9950184cp-1, 0x1.3316e575328ffp-1, 0x1.31f805ca5dfe3p-1, 0x1.2ebcc17bf4228p-1, 0x1.29bf63625b11ap-1, 0x1.235369a1c653cp-1, 0x1.1bc4cec98fc7ap-1, 0x1.1357c2e90fc34p-1, 0x1.0a48b55903d04p-1, 0x1.00cc964abf9b9p-1, 0x1.ee2279c8d501bp-2, 0x1.da7bc7ab1da53p-2, 0x1.c6e764ec9d119p-2, 0x1.b39c96b5182cep-2, 0x1.a0c8b64a1ab32p-2, 0x1.8e904788e6bc8p-2, 0x1.7d1002fa8dabfp-2, 0x1.6c5dcfe9511efp-2, 0x1.5c89ac495c073p-2, 0x1.4d9e815a2050ep-2, 0x1.3fa2e48713461p-2, 0x1.3299c4bdd7243p-2, 0x1.268304e1d3423p-2, 0x1.1b5c0449d6713p-2, 0x1.1120166da8f7ap-2, 0x1.07c8eb15a7b69p-2, 0x1.fe9dd0e14cb92p-3, 0x1.ef52f0c799f73p-3, 0x1.e19e94bcba303p-3, 0x1.d56d16527e1a4p-3, 0x1.caaa276774d91p-3, 0x1.c14120778de6ap-3, 0x1.b91d40da3fd14p-3, 0x1.b229e44395bap-3, 0x1.ac52acdbcfa82p-3, 0x1.a783a6a2b0d19p-3, 0x1.a3a961cfb6771p-3, 0x1.a0b107d5da3ffp-3, 0x1.9e886c50ecd95p-3, 0x1.9d1e17ae66dfbp-3, 0x1.9c614f5aa80d5p-3, 0x1.9c421badf0f96p-3, 0x1.9cb149d80982cp-3, 0x1.9da06cac49c52p-3, 0x1.9f01dbee02ae6p-3, 0x1.a0c8b1fc67dap-3, 0x1.a2e8c868a0b3dp-3, 0x1.a556b3a6145dep-3, 0x1.a807be4034001p-3, 0x1.aaf1e38604408p-3, 0x1.ae0bc9a650f3dp-3, 0x1.b14cbba76faa7p-3, 0x1.b4aca2eda7eecp-3, 0x1.b82400bac272fp-3, 0x1.bbabe81128afap-3, 0x1.bf3df6af09afdp-3, 0x1.c2d44eb920f9p-3, 0x1.c669907896513p-3, 0x1.c9f8d39b0cdep-3, 0x1.cd7da0dd8fdf5p-3, 0x1.d0f3ec648eb22p-3, 0x1.d4580f5981da8p-3, 0x1.d7a6c21c5c729p-3, 0x1.dadd16a54b25cp-3, 0x1.ddf8732a4db21p-3, 0x1.e0f68cc6ee409p-3, 0x1.e3d56243a0946p-3, 0x1.e6933709a3b05p-3, 0x1.e92e8ef76b4f6p-3, 0x1.eba629508c3abp-3, 0x1.edf8fca15cab9p-3, 0x1.f02632c3ccbdbp-3, 0x1.f22d24dc99bfcp-3, 0x1.f40d57a379b68p-3, 0x1.f5c67829a4432p-3, 0x1.f7585841ba38dp-3, 0x1.f8c2eb274500bp-3, 0x1.fa0642b4053a2p-3, 0x1.fb228c998f819p-3, 0x1.fc180f92d7e4ep-3, 0x1.fce7290ce0ea4p-3, 0x1.fd904ab521944p-3, 0x1.fe13f898d4ebcp-3, 0x1.fe72c6fa6123fp-3, 0x1.fead587306f3dp-3, 0x1.fec45c47f702cp-3, 0x1.feb88c93b0f0ep-3, 0x1.fe8aaced660cp-3, 0x1.fe3b88ba3f3f6p-3, 0x1.fdcbf1dd339f1p-3, 0x1.fd3cbfa525de8p-3, 0x1.fc8ecdbce58fcp-3, 0x1.fbc2fae8ebb45p-3, 0x1.fada2861be72bp-3, 0x1.f9d538f0527ddp-3, 0x1.f8b5102dead8dp-3, 0x1.f77a91d4a7fd7p-3, 0x1.f626a11abb288p-3, 0x1.f4ba203c4f0f1p-3, 0x1.f335efb88aebcp-3, 0x1.f19aedfb2cb81p-3, 0x1.efe9f6e029138p-3, 0x1.ee23e3512011ap-3, 0x1.ec4988eac9d87p-3, 0x1.ea5bb99f7e9dcp-3, 0x1.e85b437174d2bp-3, 0x1.e648f05bd5446p-3, 0x1.e425861fdd5f8p-3, 0x1.e1f1c5fc6f43cp-3, 0x1.dfae6cbd29e38p-3, 0x1.dd5c3291d14fdp-3, 0x1.dafbcafdced5bp-3, 0x1.d88de4d996febp-3, 0x1.d6132a3e21054p-3, 0x1.d38c40873a539p-3, 0x1.d0f9c854948dap-3, 0x1.ce5c5d88c1345p-3, 0x1.cbb497572cc68p-3, 0x1.c90308307ae84p-3, 0x1.c6483decf670ep-3, 0x1.c384c1c5be83ap-3, 0x1.c0b91864c989fp-3, 0x1.bde5c1f367cb1p-3, 0x1.bb0b3a41f2e88p-3, 0x1.b829f8c6e5a68p-3, 0x1.b54270baaa99cp-3, 0x1.b255112c16a03p-3, 0x1.af62452ecab93p-3, 0x1.ac6a73e15eecp-3, 0x1.a96e00986d254p-3, 0x1.a66d4af209f5bp-3, 0x1.a368aee8dacd7p-3, 0x1.a060850b1c0bdp-3, 0x1.9d552281f1afap-3, 0x1.9a46d92a52447p-3, 0x1.9735f7bf7b567p-3, 0x1.9422c9f4c1f3ap-3, 0x1.910d9880ea42ep-3, 0x1.8df6a93e759ap-3, 0x1.8ade3f47d815dp-3, 0x1.87c49b1931f74p-3, 0x1.84a9fa8a776c6p-3, 0x1.818e990d6066ap-3, 0x1.7e72af94bde3ep-3, 0x1.7b5674e1c21a9p-3, 0x1.783a1d6e5142ap-3, 0x1.751ddb8f20fc2p-3, 0x1.7201df9703a8p-3, 0x1.6ee657d1f8684p-3, 0x1.6bcb709e991d1p-3, 0x1.68b154a84ef9ep-3, 0x1.65982cb9e290fp-3, 0x1.62801ff890b59p-3, 0x1.5f6953eefb28cp-3, 0x1.5c53ec9f934e2p-3, 0x1.59400c7825966p-3, 0x1.562dd4a33ccdap-3, 0x1.531d64ca7a65cp-3, 0x1.500edb5ba69c1p-3, 0x1.4d02557d796dbp-3, 0x1.49f7ef1e405e1p-3, 0x1.46efc324a646fp-3, 0x1.43e9eb2729e9ep-3, 0x1.40e67fe5f4e27p-3, 0x1.3de598fbe1d43p-3, 0x1.3ae74d1dfe3c6p-3, 0x1.37ebb20743deep-3, 0x1.34f2dc9f484b9p-3, 0x1.31fce0d9e358cp-3, 0x1.2f09d2057828p-3, 0x1.2c19c274a8e19p-3, 0x1.292cc3d7d17d9p-3, 0x1.2642e7334cb64p-3, 0x1.235c3cb8238abp-3, 0x1.2078d401fb52bp-3, 0x1.1d98bc0ddea22p-3, 0x1.1abc033049efcp-3, 0x1.17e2b72c1855dp-3, 0x1.150ce53d5e421p-3, 0x1.123a9a135107fp-3, 0x1.0f6be1afd67cdp-3, 0x1.0ca0c7e1f79acp-3, 0x1.09d957bf4249ep-3, 0x1.07159bfc19f9ep-3, 0x1.04559ed9b5995p-3, 0x1.01996a31239cfp-3, 0x1.fdc20eda31e1fp-4, 0x1.f858ff11c7a1p-4, 0x1.f2f7b66555ac1p-4, 0x1.ed9e455a11ad7p-4, 0x1.e84cbbc4560f5p-4, 0x1.e30328a4a0863p-4, 0x1.ddc19aa46f11ap-4, 0x1.d8881f84e4fdfp-4, 0x1.d356c479eda65p-4, 0x1.ce2d960c366ep-4, 0x1.c90ca05e507d8p-4, 0x1.c3f3eed89e7afp-4, 0x1.bee38c64980a4p-4, 0x1.b9db8362dd7d6p-4, 0x1.b4dbddb03dd1ap-4, 0x1.afe4a4a60b208p-4, 0x1.aaf5e13f230e2p-4, 0x1.a60f9bc04b781p-4, 0x1.a131dc1d5a287p-4, 0x1.9c5ca9ecb14c2p-4, 0x1.97900c21d6491p-4, 0x1.92cc0961ade49p-4, 0x1.8e10a7e3c3ad1p-4, 0x1.895ded7353179p-4, 0x1.84b3df72fbb74p-4, 0x1.801282e02ebd8p-4, 0x1.7b79dc586acbcp-4, 0x1.76e9f0293270bp-4, 0x1.7262c219ceff3p-4, 0x1.6de455bd54a77p-4, 0x1.696eae47007b6p-4, 0x1.6501ce65b60e4p-4, 0x1.609db89ae54d8p-4, 0x1.5c426f18a00e3p-4, 0x1.57eff39ea5c8ep-4, 0x1.53a647a664c22p-4, 0x1.4f656c54b261ep-4, 0x1.4b2d627a9f304p-4, 0x1.46fe2a9e6de9p-4, 0x1.42d7c50004a45p-4, 0x1.3eba31777f78ap-4, 0x1.3aa56fb24ba0ap-4, 0x1.36997ef98d5cp-4, 0x1.32965e4e8da54p-4, 0x1.2e9c0c6b82383p-4, 0x1.2aaa87c368189p-4, 0x1.26c1ce8dce378p-4, 0x1.22e1dea8cc416p-4, 0x1.1f0ab5a8c914ep-4, 0x1.1b3c50f971e83p-4, 0x1.1776ad9fb03cap-4, 0x1.13b9c86991bc1p-4, 0x1.10059dee68101p-4, 0x1.0c5a2a7361a5fp-4, 0x1.08b76a0876c27p-4, 0x1.051d5879f6395p-4, 0x1.018bf14b67b01p-4, 0x1.fc065f8aae7edp-5, 0x1.f5061de6233ap-5, 0x1.ee17134885823p-5, 0x1.e73934da674c4p-5, 0x1.e06c774b49b17p-5, 0x1.d9b0cecf7598ap-5, 0x1.d3062f207c7c9p-5, 0x1.cc6c8b87c6ef1p-5, 0x1.c5e3d6e4b4698p-5, 0x1.bf6c03808f0fap-5, 0x1.b9050376752edp-5, 0x1.b2aec85131444p-5, 0x1.ac69432834f73p-5, 0x1.a63464b4d3acap-5, 0x1.a0101d39cee0ep-5, 0x1.99fc5c96062c4p-5, 0x1.93f912444e189p-5, 0x1.8e062d5ecd177p-5, 0x1.88239c9f8f487p-5, 0x1.82514e5f5b682p-5, 0x1.7c8f30951da1p-5, 0x1.76dd30d615a39p-5, 0x1.713b3c58618f1p-5, 0x1.6ba93ff71940dp-5, 0x1.662728363644bp-5, 0x1.60b4e144d96e3p-5, 0x1.5b5256ff56bdap-5, 0x1.55ff74f3ceff1p-5, 0x1.50bc26573705cp-5, 0x1.4b8856132ebcbp-5, 0x1.4663eeacbc819p-5, 0x1.414eda6c51126p-5, 0x1.3c490352f5d72p-5, 0x1.3752530c29d0cp-5, 0x1.326ab306cb1ebp-5, 0x1.2d920c6de733ep-5, 0x1.28c848272acb5p-5, 0x1.240d4ed402c4fp-5, 0x1.1f6108d382652p-5, 0x1.1ac35e451e71dp-5, 0x1.1634370bf50c6p-5, 0x1.11b37ad1de4e2p-5, 0x1.0d4111095bad9p-5, 0x1.08dce0ef8bf6cp-5, 0x1.0486d18c8aff3p-5, 0x1.003ec9b4cacdep-5, 0x1.f809601a8daf8p-6, 0x1.efb0d60e88e63p-6, 0x1.e773c1c6df88dp-6, 0x1.df51ef7810e33p-6, 0x1.d74b2afac6c28p-6, 0x1.cf5f3fdbeabc5p-6, 0x1.c78df9652f21p-6, 0x1.bfd7229a602fbp-6, 0x1.b83a86215f441p-6, 0x1.b0b7ee7b8eddfp-6, 0x1.a94f25e55cc94p-6, 0x1.a1fff64f94dcp-6, 0x1.9aca297d84316p-6, 0x1.93ad8901b9671p-6, 0x1.8ca9de40340bfp-6, 0x1.85bef2730656dp-6, 0x1.7eec8eadf76c7p-6, 0x1.78327be16dfccp-6, 0x1.719082dafc4afp-6, 0x1.6b066c4a034cep-6, 0x1.649400c079cfap-6, 0x1.5e3908ba6029bp-6, 0x1.57f54ca3199b7p-6, 0x1.51c894d0c5ab6p-6, 0x1.4bb2a990d7099p-6, 0x1.45b353287e857p-6, 0x1.3fca59d656317p-6, 0x1.39f785d9db6a8p-6, 0x1.343a9f6ffe87dp-6, 0x1.2e936ed7e0036p-6, 0x1.2901bc5691b65p-6, 0x1.238550366097cp-6, 0x1.1e1df2cc541dp-6, 0x1.18cb6c8530c69p-6, 0x1.138d85e3d6d73p-6, 0x1.0e640771d8c04p-6, 0x1.094eb9dbd65f5p-6, 0x1.044d65e5b881bp-6, 0x1.febfa8d37ad4dp-7, 0x1.f50b9cd1bca2bp-7, 0x1.eb7e3a111177dp-7, 0x1.e2171324129dp-7, 0x1.d8d5bae8e1476p-7, 0x1.cfb9c48eb40b9p-7, 0x1.c6c2c39ab734bp-7, 0x1.bdf04bf1a4a32p-7, 0x1.b541f1dec3632p-7, 0x1.acb74a10efb13p-7, 0x1.a44fe9a3801c1p-7, 0x1.9c0b662278c09p-7, 0x1.93e9558f037c2p-7, 0x1.8be94e68523ddp-7, 0x1.840ae7ab3f52ap-7, 0x1.7c4db8d1a8bc6p-7, 0x1.74b159d3b3e33p-7, 0x1.6d356328469eep-7, 0x1.65d96dc92af76p-7, 0x1.5e9d133781b6p-7, 0x1.577fed82732bbp-7, 0x1.50819750c2d6cp-7, 0x1.49a1abe9498efp-7, 0x1.42dfc73a855d8p-7, 0x1.3c3b85dfea6b9p-7, 0x1.35b4852683bccp-7, 0x1.2f4a6309234f7p-7, 0x1.28fcbe1ace2a4p-7, 0x1.22cb358e10644p-7, 0x1.1cb5692c17069p-7, 0x1.16baf945b77c7p-7, 0x1.10db86c748c28p-7, 0x1.0b16b3431c2bbp-7, 0x1.056c210018123p-7, 0x1.ffb6e62057f69p-8, 0x1.f4c89ac177279p-8, 0x1.ea0ca98240e8fp-8, 0x1.df825dc686cb9p-8, 0x1.d529049f6bf07p-8, 0x1.caffeca7fbda2p-8, 0x1.c10665d5d2f4dp-8, 0x1.b73bc1482b9a5p-8, 0x1.ad9f512b039abp-8, 0x1.a43068aff6edep-8, 0x1.9aee5c30e34a3p-8, 0x1.91d881621ae1cp-8, 0x1.88ee2fa1cfe2cp-8, 0x1.802ec03d48c83p-8, 0x1.77998eaa5e65cp-8, 0x1.6f2df89df4f8bp-8, 0x1.66eb5dfb57301p-8, 0x1.5ed1209b6b6e1p-8, 0x1.56dea3f79c267p-8, 0x1.4f134ccc9acabp-8, 0x1.476e80ccdc15ep-8, 0x1.3fefa675138ccp-8, 0x1.38962507ad393p-8, 0x1.316164b27285bp-8, 0x1.2a50ceeaa5ae4p-8, 0x1.2363cedaebf5dp-8, 0x1.1c99d1d95a7dep-8, 0x1.15f2479a99f58p-8, 0x1.0f6ca26bf2c98p-8, 0x1.090857103b37cp-8, 0x1.02c4dc8380ce9p-8, 0x1.f9435728f2007p-9, 0x1.ed3c7cbdbb162p-9, 0x1.e1741fb361f7ap-9, 0x1.d5e937253a053p-9, 0x1.ca9abb469168cp-9, 0x1.bf87a5b77eb05p-9, 0x1.b4aef231cb3f3p-9, 0x1.aa0f9f69def3bp-9, 0x1.9fa8afeb12ac5p-9, 0x1.95792ac75166fp-9, 0x1.8b801bf7c4a93p-9, 0x1.81bc9463b5f89p-9, 0x1.782da98c94ebap-9, 0x1.6ed274eca888dp-9, 0x1.65aa13215cec5p-9, 0x1.5cb3a309a5be3p-9, 0x1.53ee450b56712p-9, 0x1.4b591ab1075f6p-9, 0x1.42f346bd2cc3p-9, 0x1.3abbedac07fc1p-9, 0x1.32b236762eaeap-9, 0x1.2ad54b516c39fp-9, 0x1.23245a3ba0029p-9, 0x1.1b9e952f53d52p-9, 0x1.144332118fae4p-9, 0x1.0d116a789051ep-9, 0x1.06087b690b739p-9, 0x1.fe4f4a2daec12p-10, 0x1.f0dc55246986p-10, 0x1.e3b6a2bb773b7p-10, 0x1.d6dcc1f5357ap-10, 0x1.ca4d4521e22e7p-10, 0x1.be06c1a6b274ap-10, 0x1.b207d0948e8f8p-10, 0x1.a64f1003e1736p-10, 0x1.9adb24736caf6p-10, 0x1.8faab9cf1b144p-10, 0x1.84bc832fcdf17p-10, 0x1.7a0f39a862654p-10, 0x1.6fa19b4ba572fp-10, 0x1.65726a10301f3p-10, 0x1.5b806bfa33fd5p-10, 0x1.51ca6b90e9d6dp-10, 0x1.484f384ccd396p-10, 0x1.3f0da6b1eef9bp-10, 0x1.36048fe6a7c7bp-10, 0x1.2d32d11cca32fp-10, 0x1.24974b503ec99p-10, 0x1.1c30e3aef11c1p-10, 0x1.13fe84939b0e3p-10, 0x1.0bff1e53ac187p-10, 0x1.0431a77c39f9ep-10, 0x1.f92a37ecc9319p-11, 0x1.ea50f74457ce2p-11, 0x1.dbd591f0fdb05p-11, 0x1.cdb6110f45c11p-11, 0x1.bff082e59ab61p-11, 0x1.b282fd35051adp-11, 0x1.a56b9f78710c6p-11, 0x1.98a893f3b7283p-11, 0x1.8c380f67452d8p-11, 0x1.8018503410b65p-11, 0x1.74479def2e3c3p-11, 0x1.68c449cf2df23p-11, 0x1.5d8caf8b1a7fbp-11, 0x1.529f351558547p-11, 0x1.47fa48cecfd76p-11, 0x1.3d9c5ddd7e4fep-11, 0x1.3383e8399447dp-11, 0x1.29af5bc613806p-11, 0x1.201d2fd213dd7p-11, 0x1.16cbde5fadecfp-11, 0x1.0db9e4733f38cp-11, 0x1.04e5cae62eadcp-11, 0x1.f89c47b409e0cp-12, 0x1.e7e313f73a0fp-12, 0x1.d79d4806cb4bcp-12, 0x1.c7c84211bafe1p-12, 0x1.b8616fa157e73p-12, 0x1.a96655a698374p-12, 0x1.9ad49808455ccp-12, 0x1.8ca9f92fb86eep-12, 0x1.7ee44eb661282p-12, 0x1.71816fb595434p-12, 0x1.647f267953099p-12, 0x1.57db2c7636f13p-12, 0x1.4b93306408fp-12, 0x1.3fa4e086807bfp-12, 0x1.340df33f0bf9cp-12, 0x1.28cc2c6ae858cp-12, 0x1.1ddd60f1cc9c7p-12, 0x1.133f788fa0844p-12, 0x1.08f06bdae4714p-12, 0x1.fddc7c9b9d59dp-13, 0x1.ea6df333ea24cp-13, 0x1.d7916415808dcp-13, 0x1.c5432b854af34p-13, 0x1.b37ffa84ad1c4p-13, 0x1.a244dc35ab51ep-13, 0x1.918f1147204cdp-13, 0x1.815bd3c162cfep-13, 0x1.71a829ab76e8cp-13, 0x1.6270e17097302p-13, 0x1.53b2b1b9a5678p-13, 0x1.456a5e465fc04p-13, 0x1.3794c838f987ap-13, 0x1.2a2ee8208b19p-13, 0x1.1d35c12d975aap-13, 0x1.10a65b4a33988p-13, 0x1.047dc5f1b01b1p-13, 0x1.f172387f5a882p-14, 0x1.daab04ea00cf1p-14, 0x1.c4a03f6f0a8c6p-14, 0x1.af4c485bfde4ap-14, 0x1.9aa9d18a8861dp-14, 0x1.86b4372f7d4b9p-14, 0x1.7367a2b4537c1p-14, 0x1.60c0bb6599da7p-14, 0x1.4ebc19828a83dp-14, 0x1.3d55d717a3322p-14, 0x1.2c8996552a3f6p-14, 0x1.1c52dc69b2b62p-14, 0x1.0cad6269ea2fap-14, 0x1.fb2a4ff874aa6p-15, 0x1.de0cb762cfbf4p-15, 0x1.c1fa843b0f293p-15, 0x1.a6ec4d103d6bcp-15, 0x1.8cda9d22020a8p-15, 0x1.73bde8e03e639p-15, 0x1.5b8e9fec812b8p-15, 0x1.44454e6d3e9a6p-15, 0x1.2ddaa722f4858p-15, 0x1.184772b3f2cb6p-15, 0x1.0384a02ec8a33p-15, 0x1.df17442b7b08cp-16, 0x1.b8ada130cb1dp-16, 0x1.93c2a71cb3f7ap-16, 0x1.704d1c4727ac7p-16, 0x1.4e432d744f251p-16, 0x1.2d9a5ac752fa4p-16, 0x1.0e481669461e2p-16, 0x1.e084556f24b35p-17, 0x1.a6fd5405e26b9p-17, 0x1.6fe7b8798c16ap-17, 0x1.3b30aa7d65513p-17, 0x1.08c5ea1783e59p-17, 0x1.b12af4c3e03e3p-18, 0x1.551a76bdc9b25p-18, 0x1.fa6afcd846c35p-19, 0x1.52ae8b6c275p-19, 0x1.657328434420cp-20, 0x1.a4c64874e41a3p-23, -0x1.db4d34ae8b93fp-21, -0x1.00ded2aea53fbp-19, -0x1.84123eb38a051p-19, -0x1.005628dd5c852p-18, -0x1.3b765c5d1294bp-18, -0x1.738927c4d79d4p-18, -0x1.a8ab41d8775p-18, -0x1.daf3d27e966e8p-18, -0x1.053ac93d9eda7p-17, -0x1.1ba2155b3a23ap-17, -0x1.30bba1223438dp-17, -0x1.4493ea812e1eap-17, -0x1.5736739bc1494p-17, -0x1.68add2bc8f5fbp-17, -0x1.7904556930e4bp-17, -0x1.88442c9cd18edp-17, -0x1.967788e5ca2c7p-17, -0x1.a3a8d47875d19p-17, -0x1.afe2a643135ap-17, -0x1.bb2f111544b16p-17, -0x1.c596b3baeb2aep-17, -0x1.cf2065303b3ccp-17, -0x1.d7d23cfa3b50fp-17, -0x1.dfb367513eac3p-17, -0x1.e6ccf023db274p-17, -0x1.ed28d7e187d09p-17, -0x1.f2d0f41261f44p-17, -0x1.f7ce37c3c6bd2p-17, -0x1.fc276e0209d4ep-17, -0x1.ffe011147fbcfp-17, -0x1.017e82d308ad1p-16, -0x1.02c2d9a52379dp-16, -0x1.03c14ed8c74aep-16, -0x1.047d21a3e6e36p-16, -0x1.04f8ab980e1bdp-16, -0x1.053667fe39cdap-16, -0x1.0538fc206c929p-16, -0x1.050322e51f0acp-16, -0x1.049789d0e2d88p-16, -0x1.03f8bdb450beep-16, -0x1.032950f8f2773p-16, -0x1.022bcd4cec7e3p-16, -0x1.010275c4056d5p-16, -0x1.ff5e34e639e21p-17, -0x1.fc667a74665afp-17, -0x1.f92167974d536p-17, -0x1.f59408a0409d9p-17, -0x1.f1c2119eb8b4ep-17, -0x1.edafde3a2934p-17, -0x1.e9641327503b3p-17, -0x1.e4df892bc68a3p-17, -0x1.e023c5636cc94p-17, -0x1.db3566f3488c1p-17, -0x1.d6179149949eap-17, -0x1.d0ccda4174e05p-17, -0x1.cb583376ef87ep-17, -0x1.c5bd166fb2e7cp-17, -0x1.bfff0634b2a7ap-17, -0x1.ba208c7180a92p-17, -0x1.b42372b20a499p-17, -0x1.ae09abd3d4c11p-17, -0x1.a7d5bf8e6d643p-17, -0x1.a18a28806c436p-17, -0x1.9b28fd0b6f9c2p-17, -0x1.94b42c62097cfp-17, -0x1.8e2d9f31a94dap-17, -0x1.8797599ce9603p-17, -0x1.80f324acc18dbp-17, -0x1.7a423da43f5cep-17, -0x1.738613c9abe7fp-17, -0x1.6cc0e3f348bedp-17, -0x1.65f4ddac5aa8fp-17, -0x1.5f236a45baf1cp-17, -0x1.584db4e19e568p-17, -0x1.5174e06ebf83fp-17, -0x1.4a9a31e278f6fp-17, -0x1.43bf5ef5150cbp-17, -0x1.3ce5768aa67dcp-17, -0x1.360d236c42b56p-17, -0x1.2f37612f6303p-17, -0x1.28653f867d7cdp-17, -0x1.2197e4ff4cd75p-17, -0x1.1ad093fcd8607p-17, -0x1.14108296f86a2p-17, -0x1.0d589b1ef4b8cp-17, -0x1.06a95ab5c4d92p-17, -0x1.000351ac69e27p-17, -0x1.f2cebede0362fp-18, -0x1.e5ac4eb05ddf4p-18, -0x1.d8a04b0725b6ap-18, -0x1.cbac1332a2ddbp-18, -0x1.bed11a5d028efp-18, -0x1.b2109369b320fp-18, -0x1.a56b66874ba2cp-18, -0x1.98e26aa3a44dp-18, -0x1.8c76b306b7c3fp-18, -0x1.802920f45f601p-18, -0x1.73f9f7e0b91edp-18, -0x1.67ea0d324e2dep-18, -0x1.5bfaa1ef65c6cp-18, -0x1.502c9a60f9da2p-18, -0x1.4480710829202p-18, -0x1.38f62dded61ap-18, -0x1.2d8e6de6d1f89p-18, -0x1.2249b8d93b84ep-18, -0x1.17285c2b5bfd5p-18, -0x1.0c2aadfe6cbf4p-18, -0x1.01511c53cec9cp-18, -0x1.ed3737bd6ef79p-19, -0x1.d8162b5e8324bp-19, -0x1.c33f3024ef526p-19, -0x1.aeb2a3f10a08dp-19, -0x1.9a70e9eff5e6p-19, -0x1.867a2fd88bb39p-19, -0x1.72ceb80d15362p-19, -0x1.5f6e9388aa2e8p-19, -0x1.4c5983e8ea28cp-19, -0x1.398fefd95cc8cp-19, -0x1.271234fbeffa8p-19, -0x1.14e03ff9be12ep-19, -0x1.02f9bf35ab51ep-19, -0x1.e2bcebd026debp-20, -0x1.c01c57155c91ap-20, -0x1.9e10710a65d85p-20, -0x1.7c9803f97cf96p-20, -0x1.5bb355469ced6p-20, -0x1.3b65ebd041656p-20, -0x1.1bb5886194537p-20, -0x1.f924cf50b9347p-21, -0x1.bbead8420ba9dp-21, -0x1.7fd9423107f4cp-21, -0x1.44f7c867aa5d1p-21, -0x1.0b336dcd74028p-21, -0x1.a510874fae557p-22, -0x1.35ec2273135f7p-22, -0x1.91ef3f77f6602p-23, -0x1.78be5e85de96dp-24, 0x1.4e0968ef283edp-27, 0x1.c3b382ca5a51p-24, 0x1.aa96ca1ec3547p-23, 0x1.3792574fd0081p-22, 0x1.97c7983a84031p-22, 0x1.f5edd98eba593p-22, 0x1.290485ba26626p-21, 0x1.560ff8e31d47ep-21, 0x1.821c4cc403d72p-21, 0x1.ad2b87f9a2c0fp-21, 0x1.d7408cef801d6p-21, 0x1.002f5c29138b9p-20, 0x1.14449056cf54bp-20, 0x1.27e137267401fp-20, 0x1.3b06d76c29cc7p-20, 0x1.4db6bdfb28a6bp-20, 0x1.5ff1bfb3b3ad5p-20, 0x1.71ba0bdaa92fdp-20, 0x1.83113a59d0c95p-20, 0x1.93f886e7de436p-20, 0x1.a4716e966719bp-20, 0x1.b47d65840ed5ap-20, 0x1.c41dde97d3fccp-20, 0x1.d3545464978fbp-20, 0x1.e2224d1aabfe7p-20, 0x1.f08954d42e134p-20, 0x1.fe8b1dff904cap-20, 0x1.0614ea59bf4d4p-19, 0x1.0cb4224e1812ep-19, 0x1.1321bb7a210d8p-19, 0x1.19578d1dbf5d1p-19, 0x1.1f68f94a97b49p-19, 0x1.2544ea2fcc173p-19, 0x1.2afb846dd6e11p-19, 0x1.3083a2ceaecdcp-19, 0x1.35da98d803ab8p-19, 0x1.3b070a75408dbp-19, 0x1.40094787295b6p-19, 0x1.44e19549d50cap-19, 0x1.49907bf02fc12p-19, 0x1.4e16b2e70ff39p-19, 0x1.5274de856a9a4p-19, 0x1.56abc5fd8b20bp-19, 0x1.5abbfa21e9cbep-19, 0x1.5ea626a16cbf4p-19, 0x1.626aea2bc2167p-19, 0x1.660b0a9fc86d1p-19, 0x1.698711fdf8787p-19, 0x1.6cdfa78f39321p-19, 0x1.701579c26fb34p-19, 0x1.732926840ae8cp-19, 0x1.761b4cc1c1457p-19, 0x1.78ec8aca44ba9p-19, 0x1.7b9d7c9436cf9p-19, 0x1.7e2ebc3ff7dd4p-19, 0x1.80a0e2537546ep-19, 0x1.82f485d6be7ep-19, 0x1.852a3c631b4c1p-19, 0x1.87429a0891cbdp-19, 0x1.893e30f704d39p-19, 0x1.8b1d911b88063p-19, 0x1.8ce148135a26dp-19, 0x1.8e89e1834581p-19, 0x1.9017e78254a7bp-19, 0x1.918be2b33982cp-19, 0x1.92e65965762d6p-19, 0x1.9427ce181aa93p-19, 0x1.9550c2862e99bp-19, 0x1.9661bf8db1929p-19, 0x1.975b4814bb8b9p-19, 0x1.983ddda741d27p-19, 0x1.9909f72ec1b43p-19, 0x1.99c007b610ecfp-19, 0x1.9a6086302031ap-19, 0x1.9aebee5fb0ffep-19, 0x1.9b62c794771e4p-19, 0x1.9bc5abdc8ea5bp-19, 0x1.9c151e9bcc8cp-19, 0x1.9c5061e6629dp-19, 0x1.9c78540bb5b7p-19, 0x1.9c90b5030b5dep-19, 0x1.9c909d9862e18p-19, 0x1.9c828564d1a42p-19, 0x1.9c69304250e4ap-19, 0x1.9c3a5557bb4e7p-19, 0x1.9bf8bb1bc1197p-19, 0x1.9ba83aabbf3b2p-19, 0x1.9b48acebbafc8p-19, 0x1.9ad9fc84516bp-19, 0x1.9a5c65732b6e8p-19, 0x1.99d03d4f77549p-19, 0x1.9935ded77b3e5p-19, 0x1.988da46d857d8p-19, 0x1.97d7e6c8f7778p-19, 0x1.9714fccddda24p-19, 0x1.96453bc030eacp-19, 0x1.9568f780f500ep-19, 0x1.9480829aef0a6p-19, 0x1.938c2e1065565p-19, 0x1.928c490f674b4p-19, 0x1.91812107eb66ep-19, 0x1.906b027cb4edbp-19, 0x1.8f4a3917acd19p-19, 0x1.8e1f0d9fb6c93p-19, 0x1.8ce9c797d1019p-19, 0x1.8baaaf7245901p-19, 0x1.8a620c9f7bf29p-19, 0x1.89102343ebf68p-19, 0x1.87b5360b4893p-19, 0x1.86518ba895772p-19, 0x1.84e569b2196f5p-19, 0x1.8371114147f55p-19, 0x1.81f4b941b108ep-19, 0x1.80708d38c2d54p-19, 0x1.7ee4f0a54dee7p-19, 0x1.7d51135650615p-19, 0x1.7bb74d923296cp-19, 0x1.7a162d1070c47p-19, 0x1.786e6fc194435p-19, 0x1.76c04e31bdb3fp-19, 0x1.750bfe343ed0dp-19, 0x1.7351aede4b576p-19, 0x1.71918c2ee1aebp-19, 0x1.6fcbc44b1c736p-19, 0x1.6e0087e02c463p-19, 0x1.6c3008371f3dcp-19, 0x1.6a5a76b5097e9p-19, 0x1.688005281cf0ap-19, 0x1.66a0e4b601209p-19, 0x1.64bd44cce1c28p-19, 0x1.62d55b58a099cp-19, 0x1.60e992171b1d1p-19, 0x1.5efb1287f5836p-19, 0x1.5d093fa4c3756p-19, 0x1.5b086ff3d8d07p-19, 0x1.59122d3d231ep-19, 0x1.570fb462b8e56p-19, 0x1.5515ef14561d2p-19, 0x1.530e4836c8c74p-19, 0x1.5105302a9747ap-19, 0x1.4efa2c9cb8becp-19, 0x1.4cecc6dfe7026p-19, 0x1.4adce44fa940cp-19, 0x1.48ca6ed9a7dffp-19, 0x1.46b5d7096a368p-19, 0x1.449f1bbb4daedp-19, 0x1.42864c2c71fc4p-19, 0x1.406b88864f553p-19, 0x1.3e4f0e392e4e4p-19, 0x1.3c30c430ab989p-19, 0x1.3a10f854db438p-19, 0x1.37efb8efd0244p-19, 0x1.35cd1e26016p-19, 0x1.33a942647c81fp-19, 0x1.31843f9319f8bp-19, 0x1.2f5e2f86e7a23p-19, 0x1.2d372bb6ea5c1p-19, 0x1.2b0f4cede612fp-19, }}, 
      {{0x1.d274958e902dp-1, 0x1.fcd2c45e2139cp-1, 0x1.1b8a1ea9a48b9p+0, 0x1.3b2982ad14cc3p+0, 0x1.58d57e3b9603dp+0, 0x1.716f48cbb33d8p+0, 0x1.831c05de5bf1ep+0, 0x1.8d0d9247e061ep+0, 0x1.8f413cf5041dap+0, 0x1.8a4265012e18p+0, 0x1.7ef66fe2fc268p+0, 0x1.6e736087b2f9bp+0, 0x1.59e09015dcae8p+0, 0x1.426043d8fb1b9p+0, 0x1.290095f5c7797p+0, 0x1.0eb2326882043p+0, 0x1.e8872513a5f13p-1, 0x1.b4bf0ff725a0ap-1, 0x1.831c372abf349p-1, 0x1.546de3a487049p-1, 0x1.29492aa5e3451p-1, 0x1.02105e1ed4109p-1, 0x1.bdf55b0860482p-2, 0x1.80370bcb68117p-2, 0x1.4ad2d8ff8f251p-2, 0x1.1d885e276c4c3p-2, 0x1.efe9696accd36p-3, 0x1.b337cdac4055ep-3, 0x1.83e1e5243ea6bp-3, 0x1.60b8e6033160fp-3, 0x1.48841a43081p-3, 0x1.3a0985ef266ffp-3, 0x1.3414a2cb894d6p-3, 0x1.357b78bc0b31p-3, 0x1.3d2256b89ec1p-3, 0x1.49fe690c7f2a4p-3, 0x1.5b1763b14d4d5p-3, 0x1.6f886f0027816p-3, 0x1.8680802abd50ep-3, 0x1.9f423e08cd021p-3, 0x1.b9238fff20fbp-3, 0x1.d38cecf0ca03p-3, 0x1.edf87c734b035p-3, 0x1.03f88d6c7c546p-2, 0x1.1088a5b285c39p-2, 0x1.1c81106f46d48p-2, 0x1.27bd128f4b34cp-2, 0x1.321e21c9432acp-2, 0x1.3b8b5d4b9fb44p-2, 0x1.43f10b9ea47d9p-2, 0x1.4b401e0fbdc5cp-2, 0x1.516dba731a513p-2, 0x1.5672cbeb45e96p-2, 0x1.5a4b99de6bd12p-2, 0x1.5cf7660261582p-2, 0x1.5e781154ca7dcp-2, 0x1.5ed1c72765a15p-2, 0x1.5e0aaec36d14cp-2, 0x1.5c2aa33b1fbddp-2, 0x1.593af0e9dea39p-2, 0x1.554618bee8234p-2, 0x1.505798be55784p-2, 0x1.4a7bb9911b409p-2, 0x1.43bf60f66ae6ap-2, 0x1.3c2fe87438ddep-2, 0x1.33daf8892700ap-2, 0x1.2ace67a927f33p-2, 0x1.21181cba30c27p-2, 0x1.16c5f549aabb9p-2, 0x1.0be5af1ca523dp-2, 0x1.0084d3baf488dp-2, 0x1.e961500b236cbp-3, 0x1.d0ec3aa462fc8p-3, 0x1.b7c38a58f080fp-3, 0x1.9dff8ea3f6d9dp-3, 0x1.83b7b21848a16p-3, 0x1.69026e434f456p-3, 0x1.4df540e1e0a8fp-3, 0x1.32a4a51ae5c28p-3, 0x1.17240f5317ad9p-3, 0x1.f70bd42f9b72ep-4, 0x1.bfb72b854a109p-4, 0x1.886ad62278306p-4, 0x1.51457763a104cp-4, 0x1.1a63b06d8215dp-4, 0x1.c7c054a59583bp-5, 0x1.5ba73e4fb8054p-5, 0x1.e153b4a6be76dp-6, 0x1.0de48e5d14361p-6, 0x1.ea7207196e8b6p-9, -0x1.205147eabe57cp-7, -0x1.5a400996711e4p-6, -0x1.105f04e069c01p-5, -0x1.71b74910431e4p-5, -0x1.d1119ca598d9ap-5, -0x1.172cb92ce642p-4, -0x1.44be6079cab46p-4, -0x1.7135f2d0e5936p-4, -0x1.9c8cbdf13375bp-4, -0x1.c6bd1fa515b54p-4, -0x1.efc27557dac52p-4, -0x1.0bcc860c595efp-3, -0x1.1f1f0904c6485p-3, -0x1.31d7c3e51f3ddp-3, -0x1.43f619483b435p-3, -0x1.5579c796f66f3p-3, -0x1.6662e25b7a731p-3, -0x1.76b1cc5a3afbdp-3, -0x1.8667319c8abedp-3, -0x1.95840189c04ffp-3, -0x1.a40969df1ceb8p-3, -0x1.b1f8d13092503p-3, -0x1.bf53d1eb75443p-3, -0x1.cc1c35e1239acp-3, -0x1.d853f19a32b0bp-3, -0x1.e3fd1feebd035p-3, -0x1.ef19fe56fe04fp-3, -0x1.f9ace8e55b4fp-3, -0x1.01dc2b47076bbp-2, -0x1.069f6afbafbabp-2, -0x1.0b21851c60ac8p-2, -0x1.0f63d3d8499b9p-2, -0x1.1367b8a5960c4p-2, -0x1.172e9af06ee9dp-2, -0x1.1ab9e6d7f3d15p-2, -0x1.1e0b0bf7605f9p-2, -0x1.21237c67d094fp-2, -0x1.2404abbb99abdp-2, -0x1.26b00dfc4284p-2, -0x1.292716e78f0b9p-2, -0x1.2b6b39263688p-2, -0x1.2d7de58b2c0ffp-2, -0x1.2f608a6d1a7a2p-2, -0x1.3114931e8b407p-2, -0x1.329b675934f79p-2, -0x1.33f66ad002183p-2, -0x1.3526fcaa0e706p-2, -0x1.362e7752df4b1p-2, -0x1.370e2feb644bfp-2, -0x1.37c7763b64223p-2, -0x1.385b94373d5a6p-2, -0x1.38cbcdec1ee5fp-2, -0x1.3919615f20f78p-2, -0x1.3945863517997p-2, -0x1.39516db7cc1fap-2, -0x1.393e42bd38ee4p-2, -0x1.390d2983b71c2p-2, -0x1.38bf3fa4d90fbp-2, -0x1.38559c13e8596p-2, -0x1.37d14f1e9f4c6p-2, -0x1.37336268f68d4p-2, -0x1.367cd8e173c2cp-2, -0x1.35aeaee4690e3p-2, -0x1.34c9da27a45b4p-2, -0x1.33cf49f80ac4dp-2, -0x1.32bfe70ee1b82p-2, -0x1.319c93ce5d308p-2, -0x1.30662c4d3b7a8p-2, -0x1.2f1d86617ee68p-2, -0x1.2dc371cb048b2p-2, -0x1.2c58b84a3cafap-2, -0x1.2ade1da2bb6cep-2, -0x1.29545fdb546d3p-2, -0x1.27bc374e3d91dp-2, -0x1.261656af1243cp-2, -0x1.24636b585299cp-2, -0x1.22a41d3a9b552p-2, -0x1.20d90f175054ep-2, -0x1.1f02dea1857b7p-2, -0x1.1d222483be44ep-2, -0x1.1b37749a65a63p-2, -0x1.19435e11b93fap-2, -0x1.17466b5c4a1f9p-2, -0x1.15412297aaa18p-2, -0x1.133405634ade5p-2, -0x1.111f9135a54eap-2, -0x1.0f043f50777e1p-2, -0x1.0ce28500168fdp-2, -0x1.0abad3942527ap-2, -0x1.088d98acd64e9p-2, -0x1.065b3e16a2938p-2, -0x1.04242a27164abp-2, -0x1.01e8bfa8507bep-2, -0x1.ff52bbf2288e9p-3, -0x1.faccc28e85ef1p-3, -0x1.f640450a77a1ap-3, -0x1.f1adef0d905a4p-3, -0x1.ed16665434358p-3, -0x1.e87a4ac27db15p-3, -0x1.e3da368e4ebb4p-3, -0x1.df36be76dab1ep-3, -0x1.da9072089363ep-3, -0x1.d5e7db695eb6p-3, -0x1.d13d7ff9144f1p-3, -0x1.cc91e027d4546p-3, -0x1.c7e577b3b1c33p-3, -0x1.c338bdc88fef8p-3, -0x1.be8c252f1c892p-3, -0x1.b9e01c6fa434dp-3, -0x1.b5350dcd70d5fp-3, -0x1.b08b5f9947374p-3, -0x1.abe374391f867p-3, -0x1.a73daa55ee1f5p-3, -0x1.a29a5cd24da5ep-3, -0x1.9df9e30c3f3a7p-3, -0x1.995c90e9e3aaep-3, -0x1.94c2b708489b7p-3, -0x1.902ca2b1f2f63p-3, -0x1.8b9a9e1a03a1fp-3, -0x1.870cf054c7278p-3, -0x1.8283dd807a429p-3, -0x1.7dffa6e4f6ff6p-3, -0x1.79808b06aed06p-3, -0x1.7506c5ac23c56p-3, -0x1.70928fff32339p-3, -0x1.6c242094a0ba9p-3, -0x1.67bbab8093b38p-3, -0x1.63596291c9a84p-3, -0x1.5efd753f834d4p-3, -0x1.5aa810b86a5f5p-3, -0x1.56595ff00e1b2p-3, -0x1.52118bb8e41f2p-3, -0x1.4dd0bae1c53a2p-3, -0x1.49971247fae33p-3, -0x1.4564b4d70287fp-3, -0x1.4139c39c82521p-3, -0x1.3d165db8e0fc2p-3, -0x1.38faa08a77632p-3, -0x1.34e6a7cdb0dfap-3, -0x1.30da8d9c4e27ap-3, -0x1.2cd66a776173cp-3, -0x1.28da554b9ae3ap-3, -0x1.24e6637162e0ep-3, -0x1.20faa8c51decap-3, -0x1.1d1737c179268p-3, -0x1.193c218fad7e1p-3, -0x1.1569760a3777cp-3, -0x1.119f43c25146p-3, -0x1.0ddd97ef9a7bfp-3, -0x1.0a247e8edb32p-3, -0x1.06740271c88c6p-3, -0x1.02cc2d5486352p-3, -0x1.fe5a0fcf5da27p-4, -0x1.f72d339883552p-4, -0x1.f011d327688edp-4, -0x1.e907f9828a21ap-4, -0x1.e20fafa978ffcp-4, -0x1.db28fcd3e1c92p-4, -0x1.d453e6849cdddp-4, -0x1.cd907093e815ep-4, -0x1.c6de9d348c68ep-4, -0x1.c03e6cdcc531ep-4, -0x1.b9afde53d2a4bp-4, -0x1.b332eed04d3c1p-4, -0x1.acc79a17fa6d6p-4, -0x1.a66dda9ffb14p-4, -0x1.a025a997f2a7ap-4, -0x1.99eefee43df97p-4, -0x1.93c9d114552cep-4, -0x1.8db615642bea3p-4, -0x1.87b3bfcf281b7p-4, -0x1.81c2c32d7590bp-4, -0x1.7be3115227a59p-4, -0x1.76149b1f2020bp-4, -0x1.70575079e667dp-4, -0x1.6aab204f73783p-4, -0x1.650ff88affe38p-4, -0x1.5f85c6186fc2fp-4, -0x1.5a0c74ff925e8p-4, -0x1.54a3f079af42bp-4, -0x1.4f4c2308375e7p-4, -0x1.4a04f67e81d2fp-4, -0x1.44ce53ff67375p-4, -0x1.3fa823f67154ep-4, -0x1.3a924e143fea1p-4, -0x1.358cb955794cdp-4, -0x1.30974c13ad85ap-4, -0x1.2bb1ec1a3c9ecp-4, -0x1.26dc7eb79d7eap-4, -0x1.2216e8c5e5cc6p-4, -0x1.1d610ea9f5f3bp-4, -0x1.18bad44d6875p-4, -0x1.14241d1d28338p-4, -0x1.0f9ccc0ab5e9ep-4, -0x1.0b24c399f452ap-4, -0x1.06bbe5ee21ea5p-4, -0x1.026214d99d48fp-4, -0x1.fc2e63d29db05p-5, -0x1.f3b63ccafaad1p-5, -0x1.eb5b76a0028ebp-5, -0x1.e31dd2c15ceb9p-5, -0x1.dafd1209c823bp-5, -0x1.d2f8f4c8ccb11p-5, -0x1.cb113ad695c75p-5, -0x1.c345a3abecffbp-5, -0x1.bb95ee771dab7p-5, -0x1.b401da2932234p-5, -0x1.ac89257963bd7p-5, -0x1.a52b8ee1eebf6p-5, -0x1.9de8d49b7269bp-5, -0x1.96c0b49ba36bdp-5, -0x1.8fb2ec9dda784p-5, -0x1.88bf3a30d8558p-5, -0x1.81e55ac6123dcp-5, -0x1.7b250bc42997ep-5, -0x1.747e0a9046f7bp-5, -0x1.6df01492eb544p-5, -0x1.677ae73886f8bp-5, -0x1.611e3ff14a5ebp-5, -0x1.5ad9dc2b406b6p-5, -0x1.54ad79571d897p-5, -0x1.4e98d4efaae99p-5, -0x1.489bac8223207p-5, -0x1.42b5bdba5cac3p-5, -0x1.3ce6c66d4e433p-5, -0x1.372e84a0ed7c4p-5, -0x1.318cb6904a1dcp-5, -0x1.2c011aabc7d16p-5, -0x1.268b6f9d04acbp-5, -0x1.212b743eaf973p-5, -0x1.1be0e7a36a533p-5, -0x1.16ab8914e5d91p-5, -0x1.118b1818be1bbp-5, -0x1.0c7f5476df29bp-5, -0x1.0787fe3fce284p-5, -0x1.02a4d5d33d9a3p-5, -0x1.fbab37d56f5c9p-6, -0x1.f23423320de8ep-6, -0x1.e8e3f0a632124p-6, -0x1.dfba23dec78b8p-6, -0x1.d6b6414a0fe27p-6, -0x1.cdd7ce0f08a9cp-6, -0x1.c51e50050668fp-6, -0x1.bc894dadd9c1bp-6, -0x1.b4184e337b6a1p-6, -0x1.abcad97061c1p-6, -0x1.a3a077fe6f3c5p-6, -0x1.9b98b352d3353p-6, -0x1.93b315dbb419fp-6, -0x1.8bef2b161aa23p-6, -0x1.844c7f994c097p-6, -0x1.7ccaa11151b8bp-6, -0x1.75691e28a538dp-6, -0x1.6e278665854a9p-6, -0x1.67056a04bc90ap-6, -0x1.600259dcfe8bdp-6, -0x1.591de7567fbabp-6, -0x1.5257a47e525fap-6, -0x1.4baf24327da68p-6, -0x1.4523fa5f61cc8p-6, -0x1.3eb5bc3e23758p-6, -0x1.386400821f252p-6, -0x1.322e5f673687cp-6, -0x1.2c1472988685dp-6, -0x1.2615d4f1e61dep-6, -0x1.2032222900049p-6, -0x1.1a68f674eb59ep-6, -0x1.14b9ee4c749bp-6, -0x1.0f24a65140a56p-6, -0x1.09a8bb738c2b4p-6, -0x1.0445cb4ac0bbep-6, -0x1.fdf6e921d5c4bp-7, -0x1.f392af4603aa8p-7, -0x1.e95e2dc79f173p-7, -0x1.df58adc83068p-7, -0x1.d5817c7f58e64p-7, -0x1.cbd7ea5f744cbp-7, -0x1.c25b49d233f35p-7, -0x1.b90aedd6cefa6p-7, -0x1.afe628d830922p-7, -0x1.a6ec4c0f79811p-7, -0x1.9e1ca7a6596b2p-7, -0x1.95768b9eb56p-7, -0x1.8cf9495b82dd4p-7, -0x1.84a4356f22d98p-7, -0x1.7c76a9417ed31p-7, -0x1.747004289056bp-7, -0x1.6c8fab9e8bdcdp-7, -0x1.64d50a7d6da75p-7, -0x1.5d3f8f5775d11p-7, -0x1.55ceaa47dd056p-7, -0x1.4e81cab2fe6cdp-7, -0x1.47585d7fe1e7ep-7, -0x1.4051cc3531965p-7, -0x1.396d7d407a675p-7, -0x1.32aad564d6182p-7, -0x1.2c093a0298559p-7, -0x1.258813cf64766p-7, -0x1.1f26d155229c5p-7, -0x1.18e4e8affed28p-7, -0x1.12c1d81d0b888p-7, -0x1.0cbd252f56857p-7, -0x1.06d65acc54c91p-7, -0x1.010d0655ac1fdp-7, -0x1.f6c1692b50a41p-8, -0x1.eba1de2a6f765p-8, -0x1.e0ba74b723a14p-8, -0x1.d60a2b6a117dp-8, -0x1.cb8ff8250c041p-8, -0x1.c14acd186d03ep-8, -0x1.b7399eac3900ep-8, -0x1.ad5b6a141ab06p-8, -0x1.a3af3ac33773fp-8, -0x1.9a342dbb52cfcp-8, -0x1.90e97208c5085p-8, -0x1.87ce46565dc76p-8, -0x1.7ee1f4201a5c9p-8, -0x1.7623c98306f27p-8, -0x1.6d9312e17ed6ep-8, -0x1.652f1589dd2c6p-8, -0x1.5cf70c4f9b003p-8, -0x1.54ea26a26ee3bp-8, -0x1.4d078a43db946p-8, -0x1.454e574281052p-8, -0x1.3dbdad7c415fdp-8, -0x1.3654b298d8339p-8, -0x1.2f1297539b2cbp-8, -0x1.27f69b0f715p-8, -0x1.21000d1393fb1p-8, -0x1.1a2e4b5a2866cp-8, -0x1.1380bf5f54d01p-8, -0x1.0cf6d9b9b5d9ap-8, -0x1.06900d5ea04afp-8, -0x1.004bcb56c5c68p-8, -0x1.f452fef181ad7p-9, -0x1.e8511cf6cb13bp-9, -0x1.dc90ab2d4226dp-9, -0x1.d1105770130d8p-9, -0x1.c5cec8207b103p-9, -0x1.bacaa3073ec45p-9, -0x1.b0029484af0bcp-9, -0x1.a57555e0a15b7p-9, -0x1.9b21b1af9b357p-9, -0x1.910685d6e7c27p-9, -0x1.8722c34239fap-9, -0x1.7d756bad97ce7p-9, -0x1.73fd8e057a91cp-9, -0x1.6aba41e04817ep-9, -0x1.61aaa2a1fcfadp-9, -0x1.58cdcb139c7eep-9, -0x1.5022d23c00c8ep-9, -0x1.47a8ca313ad25p-9, -0x1.3f5ec0e68b1e8p-9, -0x1.3743c1ae845ccp-9, -0x1.2f56d667c1203p-9, -0x1.279707716dc72p-9, -0x1.20035b3008d37p-9, -0x1.189ad6f83e887p-9, -0x1.115c82dd92f99p-9, -0x1.0a477042152b5p-9, -0x1.035ac0eaadc67p-9, -0x1.f92b568905a35p-10, -0x1.ebeef28fde7dfp-10, -0x1.deff035f38acap-10, -0x1.d25a3c90327c2p-10, -0x1.c5ff4760684f7p-10, -0x1.b9ecbd01b366dp-10, -0x1.ae212d5f479f2p-10, -0x1.a29b2c6f158e5p-10, -0x1.97595b306488fp-10, -0x1.8c5a637602d92p-10, -0x1.819ce629d0122p-10, -0x1.771f663de0839p-10, -0x1.6ce03fed6e33ep-10, -0x1.62ddb76a27cddp-10, -0x1.59161d5e97cacp-10, -0x1.4f87f9c48fb7fp-10, -0x1.463227696952dp-10, -0x1.3d13d26e16d9ep-10, -0x1.342c58bcf2b2cp-10, -0x1.2b7b1d1f6b8fp-10, -0x1.22ff6201c9bbep-10, -0x1.1ab83b49152d9p-10, -0x1.12a4985ac181fp-10, -0x1.0ac359e803de4p-10, -0x1.0313649009d78p-10, -0x1.f7274a0b69a99p-11, -0x1.e886002780dc4p-11, -0x1.da40708e3dc43p-11, -0x1.cc53b66f297c4p-11, -0x1.bebc8f891d638p-11, -0x1.b177ab7c96985p-11, -0x1.a482255a93829p-11, -0x1.97d9ed074132dp-11, -0x1.8b7de6289f21ap-11, -0x1.7f6da969ba2f5p-11, -0x1.73a90db0a91dfp-11, -0x1.682fbf2542af8p-11, -0x1.5d011813ed061p-11, -0x1.521c38ca2b0abp-11, -0x1.47802fed6cf96p-11, -0x1.3d2c06358b958p-11, -0x1.331ea11e51d82p-11, -0x1.29568d9df8e0dp-11, -0x1.1fd1ce3c6c057p-11, -0x1.168dc370a74b8p-11, -0x1.0d873d2bd3ce7p-11, -0x1.04babc4df5049p-11, -0x1.f849c45d02e16p-12, -0x1.e785f0f398787p-12, -0x1.d726bc5cd5473p-12, -0x1.c72b3438a0c63p-12, -0x1.b793eb020d22ep-12, -0x1.a86198d13857p-12, -0x1.9993fe62a4245p-12, -0x1.8b29bf9a326fdp-12, -0x1.7d212ac457024p-12, -0x1.6f7930812ea8bp-12, -0x1.6231cdb42e80bp-12, -0x1.554bac5370dd7p-12, -0x1.48c7393fd8dc4p-12, -0x1.3ca3a968e7dffp-12, -0x1.30de6e269d3fep-12, -0x1.25734c87cd08cp-12, -0x1.1a5cd62e01e78p-12, -0x1.0f94e9e321027p-12, -0x1.05154129a0048p-12, -0x1.f5b09c22525c2p-13, -0x1.e1b4a83869bf8p-13, -0x1.ce3435da27b8dp-13, -0x1.bb312c5aed04fp-13, -0x1.a8af1040392e5p-13, -0x1.96afce5a080c3p-13, -0x1.853220476b86bp-13, -0x1.74324ed27e4fp-13, -0x1.63ac55df0e459p-13, -0x1.539e021562ff9p-13, -0x1.44080346d9157p-13, -0x1.34ed04fd2f426p-13, -0x1.264ee78676344p-13, -0x1.182c3e7762356p-13, -0x1.0a8040e63a6d5p-13, -0x1.fa89b4a7e8303p-14, -0x1.e0e971c45e3fcp-14, -0x1.c817714761323p-14, -0x1.b00b87e2ad28p-14, -0x1.98bb213faa25p-14, -0x1.82190e3e783ffp-14, -0x1.6c17d33def50bp-14, -0x1.56ad20b5ee295p-14, -0x1.41d511f41a3f9p-14, -0x1.2d92e3aab0ecdp-14, -0x1.19ed31fd4c302p-14, -0x1.06e7a3e93f0bcp-14, -0x1.e8fdf4143535dp-15, -0x1.c556daf0f360bp-15, -0x1.a2cf6559f3d74p-15, -0x1.8169c42d949a9p-15, -0x1.612d91a348512p-15, -0x1.421b647eff556p-15, -0x1.24283f1a5c737p-15, -0x1.0741d77ef8bd7p-15, -0x1.d6ac22b53461p-16, -0x1.a0b1ffacf614cp-16, -0x1.6c8e140c0c6b9p-16, -0x1.3a45273414f35p-16, -0x1.09dd7920e2da9p-16, -0x1.b6a904536b2cfp-17, -0x1.5d2e6d9f08676p-17, -0x1.06f9d58156ec5p-17, -0x1.6742c4d8c0f6bp-18, -0x1.8b8155dc9e24fp-19, -0x1.4bf9502fb5487p-21, 0x1.b4aa3de104d69p-20, 0x1.fc5e368d8eee8p-19, 0x1.89cc40903fdf7p-18, 0x1.080bc2589242p-17, 0x1.4878828c81009p-17, 0x1.86331a2b977dfp-17, 0x1.c15e320d28c4dp-17, 0x1.fa134f02a6e3ap-17, 0x1.182ead6079adbp-16, 0x1.3228895a2474fp-16, 0x1.4b0a069e6fd8ep-16, 0x1.62e5e75387028p-16, 0x1.79c5a0f115bc5p-16, 0x1.8fa748d8fbc9cp-16, 0x1.a483874be3a19p-16, 0x1.b8564e88d2fddp-16, 0x1.cb2329f4307cfp-16, 0x1.dcf87a3862e2ep-16, 0x1.edf3bdaf7ee4cp-16, 0x1.fe2e154b5cfc7p-16, 0x1.06cdab56551dfp-15, 0x1.0e100a4954041p-15, 0x1.14e4b3276c90ep-15, 0x1.1b61f6f813d84p-15, 0x1.2190760c1d14bp-15, 0x1.2766f99db3cddp-15, 0x1.2cddee19bbf55p-15, 0x1.31f88f8b4e8dap-15, 0x1.36c11728c1429p-15, 0x1.3b3f20f0c3ff8p-15, 0x1.3f713e4e5389dp-15, 0x1.4353256138cecp-15, 0x1.46e6a203afffp-15, 0x1.4a32963ebe959p-15, 0x1.4d3d04e96f096p-15, 0x1.500816885ffb7p-15, 0x1.5292fa22a6f15p-15, 0x1.54dcbf932e378p-15, 0x1.56e6239beaf7cp-15, 0x1.58b0502910956p-15, 0x1.5a3edb0ac52f2p-15, 0x1.5b9c1fd1ebbd3p-15, 0x1.5cccd2afe0ebdp-15, 0x1.5dc7e0fce1814p-15, 0x1.5e8ba72efdab5p-15, 0x1.5f204f74efeeep-15, 0x1.5f82acd0773c8p-15, 0x1.5fad4261f4cbdp-15, 0x1.5fa8b9153ae32p-15, 0x1.5f81b572bead1p-15, 0x1.5f3af853ca197p-15, 0x1.5ece6d676b9fcp-15, 0x1.5e3a92d8a0991p-15, 0x1.5d850720ef71cp-15, 0x1.5caef84c8fd3ep-15, 0x1.5bb424598e061p-15, 0x1.5a94a13d7dda3p-15, 0x1.59551b0a47049p-15, 0x1.57f95fc06016ep-15, 0x1.5682baa3c567bp-15, 0x1.54f1212307acp-15, 0x1.5344e689143e5p-15, 0x1.517f1a05ef1f9p-15, 0x1.4f9f22ed4d1d3p-15, 0x1.4da3e8decd152p-15, 0x1.4b92a19c3add8p-15, 0x1.496e9277e245fp-15, 0x1.47362965f0e56p-15, 0x1.44edf94eae624p-15, 0x1.4293a8cc49661p-15, 0x1.4022ca0331ed3p-15, 0x1.3d9e83de2e833p-15, 0x1.3b09acbd98949p-15, 0x1.38646a03a293bp-15, 0x1.35ae96f71ae04p-15, 0x1.32eaa9cd17bf5p-15, 0x1.301c226d1918dp-15, 0x1.2d41eee7fab0fp-15, 0x1.2a5b351bbf931p-15, 0x1.276b1c558a19p-15, 0x1.247087adde1e1p-15, 0x1.2168d8111deeap-15, 0x1.1e561493dc372p-15, 0x1.1b3b0aec8e0e7p-15, 0x1.1818ca63b1966p-15, 0x1.14ef6c6b269bp-15, 0x1.11bf28c95c039p-15, 0x1.0e88aa18e44a8p-15, 0x1.0b4b62ade3cdfp-15, 0x1.0805248427b6bp-15, 0x1.04b884743a0eap-15, 0x1.01690de17a71bp-15, 0x1.fc2ea009f1e1ap-16, 0x1.f584bfcaf8a7cp-16, 0x1.eece8ba83fc35p-16, 0x1.e8107ae3fada8p-16, 0x1.e14e4ffa8a833p-16, 0x1.da888e937c096p-16, 0x1.d3bf377c0f1a6p-16, 0x1.ccf288cc36fbbp-16, 0x1.c623b5605ea0fp-16, 0x1.bf52435f444ebp-16, 0x1.b87d89a9a4317p-16, 0x1.b1a5500db94ccp-16, 0x1.aacdac0b43721p-16, 0x1.a3f84e314fa82p-16, 0x1.9d26117ba17d4p-16, 0x1.96561666610eap-16, 0x1.8f85396c6e663p-16, 0x1.88b5e4cc142bdp-16, 0x1.81eaaadaa714dp-16, 0x1.7b23fbef9476dp-16, 0x1.7461c51d9d77fp-16, 0x1.6da4673167785p-16, 0x1.66ec41a7e5cb7p-16, 0x1.6037bb0adb6d7p-16, 0x1.598673bff5d4ep-16, 0x1.52dd4149747fcp-16, 0x1.4c3d3536116a7p-16, 0x1.45a2cd47d0effp-16, 0x1.3f0dcdfa0b92bp-16, 0x1.38809b3429d52p-16, 0x1.31fbd907848cp-16, 0x1.2b7f8dcc536a5p-16, 0x1.250ba8cc59202p-16, 0x1.1ea063c9a5eep-16, 0x1.183e10d54d299p-16, 0x1.11e5043378a79p-16, 0x1.0b958c21c048bp-16, 0x1.054ff0c629b25p-16, 0x1.fe28fca018e7p-17, 0x1.f1c694a2decbcp-17, 0x1.e577253045a51p-17, 0x1.d93a85c9d23adp-17, 0x1.cd150fa99b938p-17, 0x1.c1083c3befd1dp-17, 0x1.b5112b1e7bd68p-17, 0x1.a92ecadce11e3p-17, 0x1.9d63af77959b2p-17, 0x1.91b07da03c0cfp-17, 0x1.861500de36a7ap-17, 0x1.7a9163172b91bp-17, 0x1.6f260f9151566p-17, 0x1.63d218ed28921p-17, 0x1.5895d3e9dad3cp-17, 0x1.4d7448fc8f71ep-17, 0x1.426ae9ee3c59ep-17, 0x1.3779d4aada23cp-17, 0x1.2ca27ec176a8bp-17, 0x1.21e4d80d9653p-17, 0x1.1740d29a49d9ep-17, 0x1.0cb685a3e9398p-17, 0x1.024610cbe484fp-17, 0x1.efdf2a792c06fp-18, 0x1.db665ce7a7203p-18, 0x1.c721e1a98e1c4p-18, 0x1.b311da9e41cddp-18, 0x1.9f3656acc1261p-18, 0x1.8b8ff0610b919p-18, 0x1.782023a7e42acp-18, 0x1.64e35a0ce03a5p-18, 0x1.51dd3344dc767p-18, 0x1.3f0ad07f8be1bp-18, 0x1.2c6df78c405e4p-18, 0x1.1a06bfa1d4a3fp-18, 0x1.07d5112302d0fp-18, 0x1.ebb246ef633b6p-19, 0x1.c824447dd7b29p-19, 0x1.a5011bf64b8b3p-19, 0x1.824903b690dfp-19, 0x1.5ffb2d0eae2d7p-19, 0x1.3e1838cbd84f8p-19, 0x1.1c9fa4f5f7becp-19, 0x1.f72242b875a51p-20, 0x1.b5d96588f135ep-20, 0x1.7564bafd1c732p-20, 0x1.35c32177a906ap-20, 0x1.ede838c32071dp-21, 0x1.71ef5dc9b811bp-21, 0x1.ef3475ccaf36p-22, 0x1.fb9db7942c29p-23, 0x1.f5732471e826dp-27, -0x1.b66fe6c5a043ep-23, -0x1.c2dea19708268p-22, -0x1.53a5b85e1ce69p-21, -0x1.c440bd366f2bfp-21, -0x1.19a0f97c7c53ap-20, -0x1.50557819fecddp-20, -0x1.863ea9c954189p-20, -0x1.bb5d69cfd8a85p-20, -0x1.efb2a6a49dc92p-20, -0x1.119fb00e4e1a4p-19, -0x1.2b024b2d979ebp-19, -0x1.440194dc33152p-19, -0x1.5c9df2f8fb4e9p-19, -0x1.74d818fd2203cp-19, -0x1.8cb0f55a48ed5p-19, -0x1.a427b30223c4dp-19, -0x1.bb3e3567cb65dp-19, -0x1.d1f3cd7ac9a7ep-19, -0x1.e84919d0d60eep-19, -0x1.fe400f7008ae6p-19, -0x1.09ecb3462424dp-18, -0x1.148ac1be2c4f2p-18, -0x1.1ef9a50a8bc23p-18, -0x1.2939adf12264dp-18, -0x1.334bebe800e77p-18, -0x1.3d308b3da029bp-18, -0x1.46e79c29ffa6cp-18, -0x1.50721feae4abep-18, -0x1.59ce6f6e6d772p-18, -0x1.62ff0232133b5p-18, -0x1.6c049881e9c9cp-18, -0x1.74dd4a122bb23p-18, -0x1.7d89fc53eadf5p-18, -0x1.860bade619ca5p-18, -0x1.8e62953aad432p-18, -0x1.968ef496a9111p-18, -0x1.9e911a063fb1ep-18, -0x1.a669595efb309p-18, -0x1.ae1807e5e8503p-18, -0x1.b59d7a5518ab7p-18, -0x1.bcfa0489f2269p-18, -0x1.c42dfac8c4a22p-18, -0x1.cb39b425b738bp-18, -0x1.d21d8c37b9f1fp-18, -0x1.d8d9e152c24a4p-18, -0x1.df6f0c894296fp-18, -0x1.e5dd576988315p-18, -0x1.ec250bfcdf994p-18, -0x1.f246ba2a0a517p-18, -0x1.f8432dcb1f1e6p-18, -0x1.fe19d53a1c24ap-18, -0x1.01e526b9e8afcp-17, -0x1.04ab0271b86fep-17, -0x1.075f3162e8a94p-17, -0x1.0a017d21853f2p-17, -0x1.0c914e1062622p-17, -0x1.0f0f8b646f122p-17, -0x1.117c7490ed6ffp-17, -0x1.13d804f4f767p-17, -0x1.162264134a08ep-17, -0x1.185bc0e4f06e9p-17, -0x1.1a83febb80a84p-17, -0x1.1c9d043817895p-17, -0x1.1ea36ab585637p-17, -0x1.209a6db531cd3p-17, -0x1.22814c624092p-17, -0x1.245834b435237p-17, -0x1.261f5132f61a4p-17, -0x1.27d6ccb031138p-17, -0x1.297ed1e1e00d6p-17, -0x1.2b178be12758bp-17, -0x1.2ca126222ba38p-17, -0x1.2e1bcc2a6f463p-17, -0x1.2f87a96a17239p-17, -0x1.30e4e913b6f6p-17, -0x1.3233b5dc19152p-17, -0x1.33743a1bfd282p-17, -0x1.34a6a18a8b55fp-17, -0x1.35cb1fb2f9975p-17, -0x1.36e1fb3aa281fp-17, -0x1.37eb49a5308ebp-17, -0x1.38e5cf4cd3689p-17, -0x1.39d4b9e97607cp-17, -0x1.3ab570b6cc081p-17, -0x1.3b8a8fbeecc3bp-17, -0x1.3c51a2678e7cap-17, -0x1.3d0c7bb2050acp-17, -0x1.3dbab6f056f0ep-17, -0x1.3e5c974d109fcp-17, -0x1.3ef247daab5cep-17, -0x1.3f7bebb0a049bp-17, -0x1.3ff9e110d0c5p-17, -0x1.406c22dc2ea88p-17, -0x1.40d2d5cd297f9p-17, -0x1.412e27bb83c5ap-17, -0x1.417e15138f076p-17, -0x1.41c32964fe49ep-17, -0x1.41fd3716a4111p-17, -0x1.422c788e2a37dp-17, -0x1.42511c07d5433p-17, -0x1.426b4583031f8p-17, -0x1.427b1a829a0aep-17, -0x1.4280c0bd2c4eep-17, -0x1.427c5dca89c0dp-17, -0x1.426e17071be5cp-17, }}, 
      {{0x1.c7fa7e9945fa7p-1, 0x1.d6eb9f5517f4fp-1, 0x1.ecfef67e5b504p-1, 0x1.03b7c46878b9dp+0, 0x1.11d7c2fb7b20dp+0, 0x1.1fd0daeb656aap+0, 0x1.2cd4a781aebbep+0, 0x1.38521aaa4642ap+0, 0x1.41eda38fcaa5dp+0, 0x1.4977a3276e06fp+0, 0x1.4ee2ea2714742p+0, 0x1.523c15298e8e3p+0, 0x1.53a21b9cc3966p+0, 0x1.534024afb5e32p+0, 0x1.514894f52a674p+0, 0x1.4df1363d18af3p+0, 0x1.4970536dd657bp+0, 0x1.43faa0bad8495p+0, 0x1.3dc1ca9b5a18fp+0, 0x1.36f3893de47d1p+0, 0x1.2fb91aaa625dep+0, 0x1.28370a38dc8f8p+0, 0x1.208d309a0059dp+0, 0x1.18d6dbdef5358p+0, 0x1.112b126f02c12p+0, 0x1.099ce6cbf1283p+0, 0x1.023bd474d7cbdp+0, 0x1.f628406d2a8b7p-1, 0x1.e85e6fa7838afp-1, 0x1.db281c4bdd627p-1, 0x1.ce8ee3c88be4bp-1, 0x1.c298bba48f44ap-1, 0x1.b74883a89a06dp-1, 0x1.ac9e8945f892dp-1, 0x1.a298fc88d2b87p-1, 0x1.9934571af0a3p-1, 0x1.906bb63b99716p-1, 0x1.883928b031c1ap-1, 0x1.8095f1bc83deep-1, 0x1.797ac23b2264bp-1, 0x1.72dfe8e04e4bfp-1, 0x1.6cbd7acdf9325p-1, 0x1.670b75439facp-1, 0x1.61c1d9626b8d6p-1, 0x1.5cd8c2d288f9bp-1, 0x1.584879ddf5883p-1, 0x1.540981d889b4ap-1, 0x1.5014a43307bebp-1, 0x1.4c62f8cfc1c3ap-1, 0x1.48edec15779ap-1, 0x1.45af42f2cdb59p-1, 0x1.42a11d458484bp-1, 0x1.3fbdf6ff8d925p-1, 0x1.3d00a801d0bd3p-1, 0x1.3a646319d3eeap-1, 0x1.37e4b460bb4cep-1, 0x1.357d7ed9024ep-1, 0x1.332af9a531014p-1, 0x1.30e9acec9a442p-1, 0x1.2eb66e6abf26dp-1, 0x1.2c8e5ddfe49e6p-1, 0x1.2a6ee157954bfp-1, 0x1.2855a15e0c17bp-1, 0x1.2640853c5d3edp-1, 0x1.242daf1dbcf73p-1, 0x1.221b786911f23p-1, 0x1.20086e04b774bp-1, 0x1.1df34cd7dcce2p-1, 0x1.1bdafe431cf89p-1, 0x1.19be94db0348ep-1, 0x1.179d492177becp-1, 0x1.1576768d54772p-1, 0x1.1349989162b93p-1, 0x1.111647d259832p-1, 0x1.0edc379595c6fp-1, 0x1.0c9b334530812p-1, 0x1.0a531c1a91505p-1, 0x1.0803e6e66653dp-1, 0x1.05ad9a09ed833p-1, 0x1.03504b93603f9p-1, 0x1.00ec1f65d269p-1, 0x1.fd028b3f5c459p-2, 0x1.f81ff2162fe3p-2, 0x1.f330fb77ee47dp-2, 0x1.ee363f835711fp-2, 0x1.e93063e027ea6p-2, 0x1.e420199551eep-2, 0x1.df061ae82a635p-2, 0x1.d9e3298abf7a4p-2, 0x1.d4b80cf85e13ep-2, 0x1.cf8590d441b04p-2, 0x1.ca4c83b7868dfp-2, 0x1.c50db5b1c0428p-2, 0x1.bfc9f7862f5bap-2, 0x1.ba82196d50f0fp-2, 0x1.b536ea53efb2bp-2, 0x1.afe93706ea67fp-2, 0x1.aa99c97b2a4bfp-2, 0x1.a54968336aac2p-2, 0x1.9ff8d5ab36737p-2, 0x1.9aa8cfd2829e3p-2, 0x1.955a0fc3d99fcp-2, 0x1.900d4968b6012p-2, 0x1.8ac32b286f8eep-2, 0x1.857c5db809821p-2, 0x1.803983fe72562p-2, 0x1.7afb3ad943cd6p-2, 0x1.75c219229099dp-2, 0x1.708eaf85325f7p-2, 0x1.6b6188851c1ep-2, 0x1.663b286cce0fcp-2, 0x1.611c0d5582407p-2, 0x1.5c04af2d2b07ap-2, 0x1.56f57fc11f8aap-2, 0x1.51eeeacfe5087p-2, 0x1.4cf1561fcf142p-2, 0x1.47fd218a56bb1p-2, 0x1.4312a72fe712p-2, 0x1.3e323b86ed6a1p-2, 0x1.395c2d873c243p-2, 0x1.3490c6cceaba3p-2, 0x1.2fd04bba8a414p-2, 0x1.2b1afba24818fp-2, 0x1.267110f2799cap-2, 0x1.21d2c153df4ccp-2, 0x1.1d403ddb942afp-2, 0x1.18b9b32c40836p-2, 0x1.143f499ff7158p-2, 0x1.0fd12575a4979p-2, 0x1.0b6f66ee1db07p-2, 0x1.071a2a7ab2129p-2, 0x1.02d188e355dcfp-2, 0x1.fd2b2ed84272ap-3, 0x1.f4cccff6bb2f3p-3, 0x1.ec8812865a5ddp-3, 0x1.e45d0dc5d0df7p-3, 0x1.dc4bd315c49dcp-3, 0x1.d4546e3a2ab69p-3, 0x1.cc76e5bfdfc56p-3, 0x1.c4b33b1567b6cp-3, 0x1.bd096af651f8dp-3, 0x1.b5796d8e966b6p-3, 0x1.ae0336c324f6fp-3, 0x1.a6a6b673b91adp-3, 0x1.9f63d8aec694fp-3, 0x1.983a85e8ce9c2p-3, 0x1.912aa33ad1e56p-3, 0x1.8a34128926ddp-3, 0x1.8356b2c4b265p-3, 0x1.7c92601012911p-3, 0x1.75e6f3ef05bd8p-3, 0x1.6f54457951f8bp-3, 0x1.68da297a1ccedp-3, 0x1.627872a571d7cp-3, 0x1.5c2ef1af8bd39p-3, 0x1.55fd7583bb109p-3, 0x1.4fe3cb5926422p-3, 0x1.49e1bedad2d4dp-3, 0x1.43f71a4b58f36p-3, 0x1.3e23a69bbc0cbp-3, 0x1.38672b8bf2f7bp-3, 0x1.32c16fd5c3515p-3, 0x1.2d32392d9ba11p-3, 0x1.27b94c668f7fp-3, 0x1.22566d9acb37bp-3, 0x1.1d09602d51c28p-3, 0x1.17d1e6e1530fdp-3, 0x1.12afc403a78f4p-3, 0x1.0da2b9639d676p-3, 0x1.08aa8877eae6p-3, 0x1.03c6f267dbf05p-3, 0x1.fdef7039250ep-4, 0x1.f47934b82d286p-4, 0x1.eb2ab376badb1p-4, 0x1.e2036da3d5adp-4, 0x1.d902e453479a7p-4, 0x1.d02898b1f50c6p-4, 0x1.c7740c135bf3ep-4, 0x1.bee4c00d51c1p-4, 0x1.b67a36799801bp-4, 0x1.ae33f1b3df922p-4, 0x1.a61174699c7d3p-4, 0x1.9e1241df080f8p-4, 0x1.9635de0831972p-4, 0x1.8e7bcd5b529f7p-4, 0x1.86e395119bab4p-4, 0x1.7f6cbb250222fp-4, 0x1.7816c6515784bp-4, 0x1.70e13e29e1bc4p-4, 0x1.69cbab27bb3f7p-4, 0x1.62d596abab0d6p-4, 0x1.5bfe8aecd01bfp-4, 0x1.5546134a12047p-4, 0x1.4eabbbfa4dc18p-4, 0x1.482f124b4ba5p-4, 0x1.41cfa492bbcd7p-4, 0x1.3b8d023a68c32p-4, 0x1.3566bbbf5e078p-4, 0x1.2f5c62b1417c2p-4, 0x1.296d89cafecdfp-4, 0x1.2399c4e1c0774p-4, 0x1.1de0a8efd9909p-4, 0x1.1841cc09e6e7ep-4, 0x1.12bcc58d394b4p-4, 0x1.0d512ddefc7ddp-4, 0x1.07fe9ea670b9dp-4, 0x1.02c4b2aa323ccp-4, 0x1.fb460bdcde4fbp-5, 0x1.f1326b348ed0fp-5, 0x1.e74dc019d1b9dp-5, 0x1.dd9749a419a0bp-5, 0x1.d40e49430fd63p-5, 0x1.cab202d13b43cp-5, 0x1.c181bc93c76c9p-5, 0x1.b87cbef92dc68p-5, 0x1.afa254f24ad4ap-5, 0x1.a6f1cbd3b809fp-5, 0x1.9e6a7324f3f67p-5, 0x1.960b9cd8bc936p-5, 0x1.8dd49d323cae1p-5, 0x1.85c4cac10e81p-5, 0x1.7ddb7e5e88543p-5, 0x1.7618132a73954p-5, 0x1.6e79e689469cap-5, 0x1.6700582a5bb6ap-5, 0x1.5faac9dd1db0ap-5, 0x1.58789fc5d2de6p-5, 0x1.5169403c206dap-5, 0x1.4a7c13a4efe27p-5, 0x1.43b084aa4ef1fp-5, 0x1.3d06001cb33a6p-5, 0x1.367bf4eadb379p-5, 0x1.3011d41c499bfp-5, 0x1.29c710cd8d39dp-5, 0x1.239b202e0e101p-5, 0x1.1d8d797d1e74ap-5, 0x1.179d9606b4fcep-5, 0x1.11caf10644d47p-5, 0x1.0c1507cdbe025p-5, 0x1.067b599628c83p-5, 0x1.00fd678d424b8p-5, 0x1.f735699df69d7p-6, 0x1.eca58cbeb2294p-6, 0x1.e24a465d318e5p-6, 0x1.d822a7f5834aep-6, 0x1.ce2dc6aee1585p-6, 0x1.c46abb85d5667p-6, 0x1.bad8a2d7c3bbap-6, 0x1.b1769ca41c8f3p-6, 0x1.a843cc7e551fp-6, 0x1.9f3f595962546p-6, 0x1.96686da896c17p-6, 0x1.8dbe373f5869fp-6, 0x1.853fe73d99103p-6, 0x1.7cecb2171e467p-6, 0x1.74c3cf82b3caep-6, 0x1.6cc47a701f8dp-6, 0x1.64edf0fd6fa1cp-6, 0x1.5d3f746bf0f52p-6, 0x1.55b849174fc9bp-6, 0x1.4e57b65a8d8bdp-6, 0x1.471d069f4682p-6, 0x1.400787560e40ap-6, 0x1.391688b5fa316p-6, 0x1.32495e0ca8074p-6, 0x1.2b9f5d6c17576p-6, 0x1.2517dfaaccc83p-6, 0x1.1eb2407a2e90bp-6, 0x1.186dde395541cp-6, 0x1.124a1a00a6bdfp-6, 0x1.0c4657959e557p-6, 0x1.0661fd59bb943p-6, 0x1.009c743f4378ep-6, 0x1.f5ea4fab1c522p-7, 0x1.ead70c4f58cd2p-7, 0x1.dffdff6dc6843p-7, 0x1.d55e0eedfd259p-7, 0x1.caf625882d14bp-7, 0x1.c0c532b3a28e4p-7, 0x1.b6ca2a9491d6ap-7, 0x1.ad0405ebdf785p-7, 0x1.a371c20c41e2fp-7, 0x1.9a1260b82a49p-7, 0x1.90e4e82539dd9p-7, 0x1.87e862ba3437ep-7, 0x1.7f1bdf429d2b8p-7, 0x1.767e70c278d1fp-7, 0x1.6e0f2e4b3fcc7p-7, 0x1.65cd331470d27p-7, 0x1.5db79e5f55d31p-7, 0x1.55cd93631d429p-7, 0x1.4e0e393969a03p-7, 0x1.4678baccaee27p-7, 0x1.3f0c46cbc8307p-7, 0x1.37c80f9f10eb6p-7, 0x1.30ab4b487e63p-7, 0x1.29b5337d2b583p-7, 0x1.22e50584e3d4ap-7, 0x1.1c3a0219afbecp-7, 0x1.15b36d65f8fcep-7, 0x1.0f508ef77286bp-7, 0x1.0910b1a7fe2fcp-7, 0x1.02f32395816f1p-7, 0x1.f9ee6c47fc92ap-8, 0x1.ee387bbd848cap-8, 0x1.e2c324e049219p-8, 0x1.d78d1d2cf1b68p-8, 0x1.cc95202a5aa93p-8, 0x1.c1d9ef27168cdp-8, 0x1.b75a51886efc4p-8, 0x1.ad15146c23b94p-8, 0x1.a3090a7a6739cp-8, 0x1.99350bfb60defp-8, 0x1.8f97f6b1c0647p-8, 0x1.8630adc05e6b7p-8, 0x1.7cfe19921821bp-8, 0x1.73ff27c8c6ed7p-8, 0x1.6b32cb400f508p-8, 0x1.6297fb9a2b657p-8, 0x1.5a2db5b9c8273p-8, 0x1.51f2fb0b0ca04p-8, 0x1.49e6d20726b61p-8, 0x1.420845ccdf9f4p-8, 0x1.3a566606f67c8p-8, 0x1.32d046f7ff6e4p-8, 0x1.2b7501696249fp-8, 0x1.2443b2746b44ap-8, 0x1.1d3b7baf3ded6p-8, 0x1.165b82de8a3p-8, 0x1.0fa2f1de3f98ep-8, 0x1.0910f687d8ba3p-8, 0x1.02a4c2c8e2985p-8, 0x1.f8bb19468fa1ap-9, 0x1.ec751c155b293p-9, 0x1.e076095dc342ap-9, 0x1.d4bc63f9e4a62p-9, 0x1.c946b6420e79cp-9, 0x1.be13918f58282p-9, 0x1.b3218e4cb14e4p-9, 0x1.a86f4c17537eep-9, 0x1.9dfb7186f176ep-9, 0x1.93c4abf79f1bdp-9, 0x1.89c9af60ae60dp-9, 0x1.8009363529f3dp-9, 0x1.7682014789333p-9, 0x1.6d32d7b515564p-9, 0x1.641a86ce653ddp-9, 0x1.5b37e1edf1ba2p-9, 0x1.5289c2642667p-9, 0x1.4a0f075b1ab26p-9, 0x1.41c695bc0eefbp-9, 0x1.39af581d774b6p-9, 0x1.31c83ea3376aap-9, 0x1.2a103edeb733ap-9, 0x1.228653b114043p-9, 0x1.1b297d34738dap-9, 0x1.13f8c09f71fccp-9, 0x1.0cf32830195b9p-9, 0x1.0617c31907f63p-9, 0x1.fecb4ad716201p-10, 0x1.f1b7d00e05daap-10, 0x1.e4f3510abe6acp-10, 0x1.d87c124db599bp-10, 0x1.cc506183533d8p-10, 0x1.c06e954db25fbp-10, 0x1.b4d50cd426593p-10, 0x1.a9822fc3c42ecp-10, 0x1.9e746e0eb5149p-10, 0x1.93aa3f8bfcde6p-10, 0x1.8922240d5a38fp-10, 0x1.7edaa3485b99cp-10, 0x1.74d24cbdc736ep-10, 0x1.6b07b7746a5e7p-10, 0x1.617982567851ap-10, 0x1.582654081a0a1p-10, 0x1.4f0cda64d921ep-10, 0x1.462bca7a8a48fp-10, 0x1.3d81e026bcba7p-10, 0x1.350dde39378b3p-10, 0x1.2cce8de54b37cp-10, 0x1.24c2be65b04acp-10, 0x1.1ce94506b9329p-10, 0x1.1540fd0bfb3ddp-10, 0x1.0dc8c7c53963p-10, 0x1.067f8c9f48d56p-10, 0x1.fec8724c77464p-11, 0x1.f0eb827aa282dp-11, 0x1.e3663dd2fa5c5p-11, 0x1.d636a471c0b79p-11, 0x1.c95ac1ef3fcc4p-11, 0x1.bcd0aca5cd6a8p-11, 0x1.b09684f415bc7p-11, 0x1.a4aa74aac4fb6p-11, 0x1.990aaeb1abebfp-11, 0x1.8db56eb2d944fp-11, 0x1.82a8f88792a08p-11, 0x1.77e39abba41d8p-11, 0x1.6d63a9a6222e9p-11, 0x1.6327885e63076p-11, 0x1.592da03736e44p-11, 0x1.4f74666de1664p-11, 0x1.45fa59b79ddc9p-11, 0x1.3cbe02105cbd1p-11, 0x1.33bdf022c129dp-11, 0x1.2af8bc509c6bep-11, 0x1.226d05e56544bp-11, 0x1.1a19729419821p-11, 0x1.11fcae49731fp-11, 0x1.0a156b3c5426ap-11, 0x1.02626237db95fp-11, 0x1.f5c4a612a2674p-12, 0x1.e72809eb12d01p-12, 0x1.d8ec8e16aa371p-12, 0x1.cb0fe08b2f52dp-12, 0x1.bd8fbee138a33p-12, 0x1.b069f5a9eb0e3p-12, 0x1.a39c5f5c973b1p-12, 0x1.9724e300555d6p-12, 0x1.8b0172c62ac89p-12, 0x1.7f300ad5ddef8p-12, 0x1.73aeb09397422p-12, 0x1.687b728ef0362p-12, 0x1.5d9468e778d83p-12, 0x1.52f7b5c838de5p-12, 0x1.48a38730d7187p-12, 0x1.3e96171701c6ap-12, 0x1.34cdaae40ad15p-12, 0x1.2b4892cc59727p-12, 0x1.220528e7f8da3p-12, 0x1.1901d20c9c64bp-12, 0x1.103cfc48f92d8p-12, 0x1.07b51f35c1ee6p-12, 0x1.fed17806434fap-13, 0x1.eeacb9754b91dp-13, 0x1.def9266940a97p-13, 0x1.cfb3efd84e32cp-13, 0x1.c0da531c8e1d2p-13, 0x1.b2699bb30eefdp-13, 0x1.a45f2606462ccp-13, 0x1.96b8613a913ddp-13, 0x1.8972cfa04e006p-13, 0x1.7c8c050296517p-13, 0x1.7001a242e7cbap-13, 0x1.63d1560b5f8bcp-13, 0x1.57f8db0525c3fp-13, 0x1.4c75f84da7eacp-13, 0x1.414682626614ep-13, 0x1.36685afb9d6afp-13, 0x1.2bd97067ca9adp-13, 0x1.2197bca79e94dp-13, 0x1.17a144efa2171p-13, 0x1.0df419ee7bc1ep-13, 0x1.048e587c6e334p-13, 0x1.f6dc5594ef80fp-14, 0x1.e52390490c6e3p-14, 0x1.d3eee8447fbbp-14, 0x1.c33af93e0a4c5p-14, 0x1.b304704e0815bp-14, 0x1.a3480a16eefb3p-14, 0x1.9402934f750bcp-14, 0x1.8530ead49d99cp-14, 0x1.76d003c21fc42p-14, 0x1.68dce65b4216dp-14, 0x1.5b54af4e137edp-14, 0x1.4e348fec2961p-14, 0x1.4179cbb8b9187p-14, 0x1.3521b5b61249fp-14, 0x1.2929bce706e8cp-14, 0x1.1d8f5c708e4a5p-14, 0x1.12502366870ecp-14, 0x1.0769aa9848badp-14, 0x1.f9b317154798p-15, 0x1.e53acf9757f3fp-15, 0x1.d1660e59392a3p-15, 0x1.be307338e0a7ep-15, 0x1.ab957c3c087f9p-15, 0x1.9990f2ee7c53ep-15, 0x1.881ea1a38b488p-15, 0x1.773a4f58fdbd6p-15, 0x1.66e01c71d1363p-15, 0x1.570c5575c0c16p-15, 0x1.47bb535dff8bp-15, 0x1.38e989041cf37p-15, 0x1.2a93913502962p-15, 0x1.1cb631097c3ecp-15, 0x1.0f4e497e9067p-15, 0x1.0258ca9096652p-15, 0x1.eba5409da993bp-16, 0x1.d37156894beadp-16, 0x1.bc0f93b32460cp-16, 0x1.a579c5c1bd662p-16, 0x1.8fa9dc7720bcbp-16, 0x1.7a99f3e54a2bfp-16, 0x1.66445b7e12df6p-16, 0x1.52a396ac88373p-16, 0x1.3fb259770b6dfp-16, 0x1.2d6b7ae728c88p-16, 0x1.1bc9eb2e8d40cp-16, 0x1.0ac8bbbada6e7p-16, 0x1.f4c679c01fcc3p-17, 0x1.d52a3c4b30793p-17, 0x1.b6b4e68ffae2ep-17, 0x1.995f1f791758ep-17, 0x1.7d2195d15faeep-17, 0x1.61f4a5ec4fefdp-17, 0x1.47d051b22a9d1p-17, 0x1.2eac7f14652e5p-17, 0x1.168140ed28eddp-17, 0x1.fe8dee116bd45p-18, 0x1.d1ec82dc43374p-18, 0x1.a70fccacb0c2bp-18, 0x1.7de98d35b2461p-18, 0x1.566bc681a5e84p-18, 0x1.3088c8bdabdd1p-18, 0x1.0c33261a7ac48p-18, 0x1.d2bb3327bc6f9p-19, 0x1.8ff63eeaabe9dp-19, 0x1.4ffee578ec54p-19, 0x1.12bf511463b9ap-19, 0x1.b04977da4c56fp-20, 0x1.403d5d16796d8p-20, 0x1.aa71490b6b2a8p-21, 0x1.bc5a0a39349a7p-22, 0x1.b5e38ae5f24e5p-25, -0x1.3c97caf7b13b7p-22, -0x1.4f1ea47065221p-21, -0x1.f7628b22bab4p-21, -0x1.4bae654637466p-20, -0x1.97a85d33edf87p-20, -0x1.dfc05a937e68bp-20, -0x1.120bb2348a679p-19, -0x1.326744429be1dp-19, -0x1.510350859d9d4p-19, -0x1.6deff10cf281bp-19, -0x1.893cdbe094c7p-19, -0x1.a2f9804ce986fp-19, -0x1.bb34e7834353cp-19, -0x1.d1fd0cba1292fp-19, -0x1.e75e2efad0ddcp-19, -0x1.fb62fe49098cap-19, -0x1.070ad5fdf183cp-18, -0x1.0fc06fc849db4p-18, -0x1.17d7e1378d098p-18, -0x1.1f56c6fb5ab09p-18, -0x1.2642855caf9adp-18, -0x1.2ca041022c787p-18, -0x1.327510251ca18p-18, -0x1.37c5dec59c07p-18, -0x1.3c976b96519e6p-18, -0x1.40ee5baf7b8d4p-18, -0x1.44cf521b31986p-18, -0x1.483ef9423c0f3p-18, -0x1.4b41efb25ec9ap-18, -0x1.4ddc9af6966a5p-18, -0x1.501302afe98a7p-18, -0x1.51e8dd7abf7e4p-18, -0x1.5361cd04203dbp-18, -0x1.5481905b0e418p-18, -0x1.554c031c1374ep-18, -0x1.55c5060f40eddp-18, -0x1.55f06807927c3p-18, -0x1.55d1a7a4162fcp-18, -0x1.556ba659caf93p-18, -0x1.54c0c85545824p-18, -0x1.53d388f72498fp-18, -0x1.52a6ccc6e4c7ap-18, -0x1.513d95203b2a2p-18, -0x1.4f9aa808f31c5p-18, -0x1.4dc096130e987p-18, -0x1.4bb1d9441f23dp-18, -0x1.4970da636fce3p-18, -0x1.47001849d97e4p-18, -0x1.4461e55d6709ap-18, -0x1.4198c84b72e26p-18, -0x1.3ea71165b038ep-18, -0x1.3b8ed1e9ee857p-18, -0x1.3851b3f2144efp-18, -0x1.34f1332e17ab8p-18, -0x1.316efcb28c157p-18, -0x1.2dcd12ec0907bp-18, -0x1.2a0d98f85003ep-18, -0x1.2632b43dbc67p-18, -0x1.223efc78b2647p-18, -0x1.1e350a1d7e05cp-18, -0x1.1a142cfe13363p-18, -0x1.15dc66f65fd28p-18, -0x1.118f789ef456cp-18, -0x1.0d311e873d115p-18, -0x1.08c340d3d6cb6p-18, -0x1.0445d96aa1261p-18, -0x1.ff738646fa206p-19, -0x1.f6407eb5ba5fcp-19, -0x1.ecf53fc8de7d6p-19, -0x1.e39420c37a347p-19, -0x1.da1f720b7faa8p-19, -0x1.d09964e764eddp-19, -0x1.c704139455266p-19, -0x1.bd615e1935f77p-19, -0x1.b3b2aed987e14p-19, -0x1.a9f95f265929bp-19, -0x1.a038694b0043cp-19, -0x1.96743983770b3p-19, -0x1.8ca907de32e7ep-19, -0x1.82d68f2cde7bp-19, -0x1.7908719742d43p-19, -0x1.6f37caf0d0386p-19, -0x1.65642781ef6d8p-19, -0x1.5b9640d1fd72cp-19, -0x1.51cda861f5f24p-19, -0x1.480a63dc85146p-19, -0x1.3e4ab26cbd77ep-19, -0x1.3494433fc12e8p-19, -0x1.2ae4ee9f3e424p-19, -0x1.213feabd7ddf1p-19, -0x1.17a551bbe3544p-19, -0x1.0e15e4653879p-19, -0x1.0492b9fd383f4p-19, -0x1.f63a3527f8f4bp-20, -0x1.e36c0e4675e19p-20, -0x1.d0bb8662ee0adp-20, -0x1.be2811e145fap-20, -0x1.abb4883c98341p-20, -0x1.996447c1d778fp-20, -0x1.87366fd61ep-20, -0x1.752a5309b3cbap-20, -0x1.63436dc3edec9p-20, -0x1.5184b36bdcb7ap-20, -0x1.3fee76f2a2a6fp-20, -0x1.2e80d502babb7p-20, -0x1.1d3c67975071dp-20, -0x1.0c22177fe8f0ep-20, -0x1.f666437e7fad3p-21, -0x1.d4e08645c4125p-21, -0x1.b3b3c14b230dcp-21, -0x1.92e1131b989b6p-21, -0x1.7269b5019068bp-21, -0x1.524f142f11b5p-21, -0x1.3292d3f0cdb6ap-21, -0x1.13367a6221a15p-21, -0x1.e87611cd4aadfp-22, -0x1.ab41b927f8717p-22, -0x1.6ed0d195acc44p-22, -0x1.33251783a2a34p-22, -0x1.f07f580778f5cp-23, -0x1.7c4282f1961bep-23, -0x1.099605f4d27a2p-23, -0x1.30f8e925d82bbp-24, -0x1.47bfc0a88de14p-26, 0x1.13d7dde92f8ap-25, 0x1.6298c00557b8cp-24, 0x1.1c09f8812246ap-23, 0x1.852e3da3f9f0fp-23, 0x1.ecba7774379efp-23, 0x1.295733405789bp-22, 0x1.5b8440c23f4eep-22, 0x1.8ce40745ad67ap-22, 0x1.bd76b4f405194p-22, 0x1.ed3d1c1207656p-22, 0x1.0e1bc869ea934p-21, 0x1.253328e61cd26p-21, 0x1.3be2997212947p-21, 0x1.522fb61149095p-21, 0x1.6826506ab0647p-21, 0x1.7d9379acdfff5p-21, 0x1.92b74d532d628p-21, 0x1.a770784338b3dp-21, 0x1.bbc5b440f0a77p-21, 0x1.cfb79bf77ae75p-21, 0x1.e3469b40f3301p-21, 0x1.f67322e39a5d7p-21, 0x1.049edbc5e9023p-20, 0x1.0dd37b6162d21p-20, 0x1.16d7a8fb0110ep-20, 0x1.1fab9f954554bp-20, 0x1.284faa9c4d52ep-20, 0x1.30c420db87a3p-20, 0x1.39095aed9724fp-20, 0x1.411fab7f4b59cp-20, 0x1.49079574046f8p-20, 0x1.50c1f1e19b586p-20, 0x1.584f8aa484851p-20, 0x1.5fae171188e5fp-20, 0x1.66d8de1d4f952p-20, 0x1.6dda239ca97a7p-20, 0x1.74b70423ae40cp-20, 0x1.7b65dbc03927fp-20, 0x1.81e3b9c7374acp-20, 0x1.88369811bf959p-20, 0x1.8e5f759d28e01p-20, 0x1.945e21b3af6p-20, 0x1.9a32b746cdb53p-20, 0x1.9fdd84a1c21ccp-20, 0x1.a55eebfca552cp-20, 0x1.aab75624f8ce9p-20, 0x1.afe72e2d52e17p-20, 0x1.b4eee360f8e7bp-20, 0x1.b9cee23165ec5p-20, 0x1.be878c1bb4372p-20, 0x1.c31947f9928fcp-20, 0x1.c784864479a94p-20, 0x1.cbc9b480db06dp-20, 0x1.cfe93a00a7e68p-20, 0x1.d3e383c73b9b1p-20, 0x1.d7b90189adb34p-20, 0x1.db6a2125137f5p-20, 0x1.def74d97c4ee7p-20, 0x1.e260f3971de0fp-20, 0x1.e5a77d0b99529p-20, 0x1.e8cb4fe944e17p-20, 0x1.ebcce533109fep-20, 0x1.eeacb148b7874p-20, 0x1.f16b207f100dfp-20, 0x1.f4089b1ede762p-20, 0x1.f68586e7b1e9dp-20, 0x1.f8e24ed3e3b43p-20, 0x1.fb1f6845d68c6p-20, 0x1.fd3d2ec222a09p-20, 0x1.ff3c18fd66853p-20, 0x1.008e66b9e419ep-19, 0x1.0170183a30814p-19, 0x1.0243d165c23e2p-19, 0x1.03082dd75728cp-19, 0x1.03b86f9526dcp-19, 0x1.046247656a63bp-19, 0x1.04f9072505b6fp-19, 0x1.0587ed2bf04b9p-19, 0x1.06081549b364dp-19, 0x1.06774e6028c16p-19, 0x1.06da1d4d74935p-19, 0x1.07307537bc9ccp-19, 0x1.077a2f5457e0fp-19, 0x1.07b75ff55f1f5p-19, 0x1.07e7f14d952b6p-19, 0x1.080d42b8cb2f1p-19, 0x1.0825ad467fff4p-19, 0x1.083250ce2e9f7p-19, 0x1.0833e1c0d0cb5p-19, 0x1.0829e13bd0779p-19, 0x1.081470dc962e8p-19, 0x1.07f4246c8351p-19, 0x1.07c92bb6774fap-19, 0x1.0793600ea2b0dp-19, 0x1.075313f8fed8p-19, 0x1.07088a030cf95p-19, 0x1.06b3e981150b2p-19, 0x1.06555ea088b01p-19, 0x1.05ed16b999be3p-19, 0x1.057b3f05bc33fp-19, 0x1.0500046cc7f8bp-19, 0x1.047b93988e573p-19, 0x1.03ee18deab469p-19, 0x1.0357c0324c7d9p-19, 0x1.02b8b52af1accp-19, 0x1.021123085c264p-19, 0x1.0161349f3b1a5p-19, 0x1.00a9142bbb307p-19, 0x1.ffd1d6280ec5bp-20, 0x1.fe41c3abae686p-20, 0x1.fca241632240fp-20, 0x1.faf3a1f70ac01p-20, 0x1.f9363a7b854d6p-20, 0x1.f76a60ee6f665p-20, 0x1.f59063a83ccccp-20, 0x1.f3a88bb51492ap-20, 0x1.f1b323445527p-20, 0x1.efb0785a3cf81p-20, 0x1.eda0ded8fa515p-20, 0x1.eb84b913dd098p-20, 0x1.e95c8d089b4bep-20, 0x1.e728c034da19ep-20, 0x1.e4e7b23b6e184p-20, 0x1.e29a0e038bb95p-20, 0x1.e0457c0783bf7p-20, 0x1.ddde0ccacbfd7p-20, 0x1.db7116d8a5f25p-20, 0x1.d8ffde9f5e26ep-20, 0x1.d67ea2ecf546fp-20, 0x1.d3f131586d4c2p-20, 0x1.d15b7608e7545p-20, 0x1.cebd02840ea7p-20, 0x1.cc15a1bcc7578p-20, 0x1.c9656b04cbe31p-20, 0x1.c6ac944ead8ffp-20, 0x1.c3eb5bd9d2146p-20, 0x1.c12200e0f43d8p-20, 0x1.be50c1d583dddp-20, 0x1.bb77dc1f16abep-20, 0x1.b8978c3f15b3dp-20, 0x1.b5b00dfae5d71p-20, 0x1.b2c19c5c60dafp-20, 0x1.afcc717d6f2a9p-20, 0x1.acd0c64b10bdcp-20, 0x1.a9ced2c501083p-20, 0x1.a6c6ced0783dbp-20, 0x1.a3b8f1f502f5p-20, 0x1.a0a5710ffa5f3p-20, 0x1.9d8c804c7395cp-20, 0x1.9a6e557954bbcp-20, 0x1.974b27281b62ep-20, 0x1.942329d125eddp-20, 0x1.90f68db33881fp-20, 0x1.8dc58915fbb22p-20, 0x1.8a9052078c095p-20, 0x1.87571c01a9314p-20, 0x1.841a14b04a7e2p-20, 0x1.80d972a92b8fp-20, 0x1.7d92920d87f87p-20, 0x1.7a5665d4cae8cp-20, 0x1.770268fdfbe3ap-20, 0x1.73b47693a8f36p-20, 0x1.7063c0b6059ccp-20, 0x1.6d1084a274b66p-20, 0x1.69badf8177752p-20, 0x1.6662f3a5dc564p-20, 0x1.6308e355ea69bp-20, 0x1.5facd37ae08d4p-20, 0x1.5c4eeb50ad724p-20, 0x1.58ef52a6c16d4p-20, 0x1.558e315ee3852p-20, 0x1.522baf7a0994fp-20, 0x1.4ec7f46955c42p-20, 0x1.4b632770c9f42p-20, 0x1.47fd7aeea7b45p-20, 0x1.4497646d2504cp-20, 0x1.413226531464bp-20, 0x1.3dcd02a8d6ef7p-20, 0x1.3a5a03a680d55p-20, 0x1.36f7a857db3aap-20, 0x1.338aad73a745ap-20, 0x1.302b8b39eb307p-20, 0x1.2cc04948add9ap-20, 0x1.2957044c22728p-20, 0x1.25eea2ad4f3f3p-20, 0x1.22878ee20b221p-20, 0x1.1f211aba121c1p-20, 0x1.1bbb205228f17p-20, 0x1.1855cdfc41e28p-20, 0x1.14f194889e6e8p-20, 0x1.118e7eb8390d9p-20, 0x1.0e2cba142316dp-20, 0x1.0acb12587b5f1p-20, 0x1.076c693a30a2fp-20, 0x1.040e6b3494eb9p-20, 0x1.00b1c4dbee096p-20, 0x1.faada22d5ba8ap-21, 0x1.f3fb4206cdc3cp-21, 0x1.ed4c99a6042f8p-21, 0x1.e6a1d53e86d87p-21, 0x1.dffb1cf09bddp-21, 0x1.d95897581492fp-21, }}, 
      {{-0x1.5f1341c0755c4p-7, -0x1.459d01f377f3ep-5, -0x1.48b2eaf6b289bp-4, -0x1.0024420d12073p-3, -0x1.58c5e989a92adp-3, -0x1.a59a6c1123dd4p-3, -0x1.e1277ff9f229bp-3, -0x1.0450dbd07bd3dp-2, -0x1.0dafb79f0a8d2p-2, -0x1.0d260230f0a4ep-2, -0x1.03b304f1b2d57p-2, -0x1.e55008903abefp-3, -0x1.b6f78bb4b296p-3, -0x1.7f52bdbf2556cp-3, -0x1.41329570f67aap-3, -0x1.fe4c592e0b0e5p-4, -0x1.76d6aa0848014p-4, -0x1.dfa2fe40c2fdp-5, -0x1.b1752230e2351p-6, 0x1.108fdf03d12ap-8, 0x1.0cf32d3fc9f1bp-5, 0x1.e52313e1576b3p-5, 0x1.54618d1f207ecp-4, 0x1.ab5d466df631fp-4, 0x1.f74b7f5b015c5p-4, 0x1.1c1bc6898ec53p-3, 0x1.3732075d3a65ap-3, 0x1.4d1f86bca5ebp-3, 0x1.5e2bc00e72013p-3, 0x1.6aaa1621c8bf5p-3, 0x1.72f5ebe6a0701p-3, 0x1.776f5b8ed8344p-3, 0x1.78787fadf274bp-3, 0x1.767340262fb31p-3, 0x1.71bf9418c4436p-3, 0x1.6aba29d991ac8p-3, 0x1.61bb66bed33dep-3, 0x1.5716b11fe9ebcp-3, 0x1.4b19f86564514p-3, 0x1.3e0d6ff4a006p-3, 0x1.3033732fe5623p-3, 0x1.21c889c401466p-3, 0x1.130384f4a59d3p-3, 0x1.0415af7713ccp-3, 0x1.ea5615eb6b2f2p-4, 0x1.ccd52cbd62dfdp-4, 0x1.afed343ffe20fp-4, 0x1.93d9eddc57beep-4, 0x1.78ceead29f87ep-4, 0x1.5ef82a1e9750ap-4, 0x1.467ab20ac79a9p-4, 0x1.2f75249c45547p-4, 0x1.1a004d96281bp-4, 0x1.062fa91572247p-4, 0x1.e823c59199913p-5, 0x1.c7629af92cac2p-5, 0x1.aa28a5d9c779ep-5, 0x1.907bb82ad3394p-5, 0x1.7a5b646a6fc8ap-5, 0x1.67c1b1a005008p-5, 0x1.58a3c200c63ap-5, 0x1.4cf26cd032a64p-5, 0x1.449acc4b4f7f6p-5, 0x1.3f86c04160eddp-5, 0x1.3d9d66047c4efp-5, 0x1.3ec386662c6d9p-5, 0x1.42dbfa531d9d9p-5, 0x1.49c806cd33f92p-5, 0x1.5367b07d52d3fp-5, 0x1.5f9a07d7e4b0ep-5, 0x1.6e3d6e1029cb6p-5, 0x1.7f2fd3448085fp-5, 0x1.924eeea0fdbabp-5, 0x1.a778709d4a034p-5, 0x1.be8a301e6f9b9p-5, 0x1.d762521340c33p-5, 0x1.f1df6cf3cae78p-5, 0x1.06f053b73db33p-4, 0x1.15a2e9a1d6e05p-4, 0x1.24f7c232dd344p-4, 0x1.34df9242fffddp-4, 0x1.454b8224f1657p-4, 0x1.562d33f8cf434p-4, 0x1.6776ca1d93be4p-4, 0x1.791aeab7417f6p-4, 0x1.8b0cc2ef8f55p-4, 0x1.9d4009fa3b156p-4, 0x1.afa900e0f8054p-4, 0x1.c23c73a3b4a8p-4, 0x1.d4efb97c38ee9p-4, 0x1.e7b8b251b8c54p-4, 0x1.fa8dc7013cf6dp-4, 0x1.06b2f3785654bp-3, 0x1.101c42769a04bp-3, 0x1.197ecafe12941p-3, 0x1.22d6c694069fbp-3, 0x1.2c20ac29a7646p-3, 0x1.35592e821bebdp-3, 0x1.3e7d39fe6c78p-3, 0x1.4789f2deadb8cp-3, 0x1.507cb3354d6afp-3, 0x1.595308d91a64bp-3, 0x1.620ab395f6f1bp-3, 0x1.6aa1a30aada62p-3, 0x1.7315f4d9d41c1p-3, 0x1.7b65f2bbee116p-3, 0x1.839010729c1ebp-3, 0x1.8b92ea0b4e5a1p-3, 0x1.936d41d990b9dp-3, 0x1.9b1dfe861bd3ap-3, 0x1.a2a4295033f74p-3, 0x1.a9feec0d76b3fp-3, 0x1.b12d8f5b43492p-3, 0x1.b82f78e97a35dp-3, 0x1.bf0429ab11ac8p-3, 0x1.c5ab3c25ea13dp-3, 0x1.cc2462ec8b1f1p-3, 0x1.d26f6704c3a25p-3, 0x1.d88c265a84cf9p-3, 0x1.de7a926a406b8p-3, 0x1.e43aaedc80b08p-3, 0x1.e9cc9023c1379p-3, 0x1.ef305a46fc79cp-3, 0x1.f4663fa5ab06ep-3, 0x1.f96e7fc6554a5p-3, 0x1.fe49662f34cf5p-3, 0x1.017ba4afe40bdp-2, 0x1.03bc44e1aef1ap-2, 0x1.05e6c851970f4p-2, 0x1.07fb67a620c7dp-2, 0x1.09fa5f14fa5e4p-2, 0x1.0be3edf588008p-2, 0x1.0db8565dc621ap-2, 0x1.0f77dccadf55cp-2, 0x1.1122c7c9b41b2p-2, 0x1.12b95fa6de6d9p-2, 0x1.143bee26f8cf6p-2, 0x1.15aabe4662defp-2, 0x1.17061bfe547a7p-2, 0x1.184e5403b0e17p-2, 0x1.1983b39f1e7cp-2, 0x1.1aa6887b600f7p-2, 0x1.1bb72078b460bp-2, 0x1.1cb5c989bf319p-2, 0x1.1da2d18e724fbp-2, 0x1.1e7e86339afd6p-2, 0x1.1f4934d93a56fp-2, 0x1.20032a775ea6ep-2, 0x1.20acb382e093bp-2, 0x1.21461bda0a0b8p-2, 0x1.21cfaeb6be51cp-2, 0x1.2249b6990384bp-2, 0x1.22b47d354fbf1p-2, 0x1.23104b6febc7ap-2, 0x1.235d694d89236p-2, 0x1.239c1deb6e561p-2, 0x1.23ccaf770af5bp-2, 0x1.23ef632b73cabp-2, 0x1.24047d4aaeb24p-2, 0x1.240c4119f91ecp-2, 0x1.2406f0e3a85c4p-2, 0x1.23f4cdf5e107ap-2, 0x1.23d6189dcb901p-2, 0x1.23ab102c6b95bp-2, 0x1.2373f2ffd938fp-2, 0x1.2330fe7875dp-2, 0x1.22e26f0508155p-2, 0x1.2288802178e65p-2, 0x1.22236c615de73p-2, 0x1.21b36d70d4f9bp-2, 0x1.2138bc14c4026p-2, 0x1.20b3903464063p-2, 0x1.202420e492289p-2, 0x1.1f8aa45f15e73p-2, 0x1.1ee750106c4a8p-2, 0x1.1e3a589b49fb1p-2, 0x1.1d83f1e3692f7p-2, 0x1.1cc44f07c1bb6p-2, 0x1.1bfba26f299ffp-2, 0x1.1b2a1dc932444p-2, 0x1.1a4ff21e0e697p-2, 0x1.196d4fc587798p-2, 0x1.18826670c4e56p-2, 0x1.178f6532da5f3p-2, 0x1.16947a82a499ep-2, 0x1.1591d440ac7eep-2, 0x1.14879fb949dbdp-2, 0x1.137609a872dedp-2, 0x1.125d3e42b8b4bp-2, 0x1.113d693789e12p-2, 0x1.1016b5b1a96e6p-2, 0x1.0ee94e5b1386p-2, 0x1.0db55d68056d8p-2, 0x1.0c7b0c928bbfdp-2, 0x1.0b3a852080775p-2, 0x1.09f3efe54f0c5p-2, 0x1.08a77547fecf5p-2, 0x1.07553d453a51fp-2, 0x1.05fd6f6eca94dp-2, 0x1.04a032efcebfdp-2, 0x1.033dae8d99cb9p-2, 0x1.01d608af8cda2p-2, 0x1.0069675dee58fp-2, 0x1.fdefe0806465ap-3, 0x1.fb03913a28663p-3, 0x1.f80e2ac2c0be7p-3, 0x1.f50ff649717b4p-3, 0x1.f2093c552553p-3, 0x1.eefa44b18df43p-3, 0x1.ebe356721a3e6p-3, 0x1.e8c4b7ff19015p-3, 0x1.e59eaf2565c41p-3, 0x1.e2718114a2e42p-3, 0x1.df3d724ff033bp-3, 0x1.dc02c6a12111ap-3, 0x1.d8c1c12174dc7p-3, 0x1.d57aa453871ep-3, 0x1.d22db2263b364p-3, 0x1.cedb2beb07761p-3, 0x1.cb83523e36242p-3, 0x1.c8266500bd3aap-3, 0x1.c4c4a36a2c344p-3, 0x1.c15e4c1ff2859p-3, 0x1.bdf39d39007acp-3, 0x1.ba84d42960fa7p-3, 0x1.b7122da5d1ca8p-3, 0x1.b39be5a4147cdp-3, 0x1.b022376cfe8a4p-3, 0x1.aca55db6367ap-3, 0x1.a92592a740e84p-3, 0x1.a5a30fc20d309p-3, 0x1.a21e0dc5984ap-3, 0x1.9e96c4a5b3df5p-3, 0x1.9b0d6b9e068c2p-3, 0x1.9782394ec01eep-3, 0x1.93f563c849256p-3, 0x1.9067207a56da1p-3, 0x1.8cd7a412bf63bp-3, 0x1.8947226cbc615p-3, 0x1.85b5ce96f9a9cp-3, 0x1.8223daf18636ap-3, 0x1.7e91794560fb9p-3, 0x1.7afedac295fe9p-3, 0x1.776c2fe61b27cp-3, 0x1.73d9a85b626f8p-3, 0x1.704772f1e6192p-3, 0x1.6cb5bdae11413p-3, 0x1.6924b5e69192ap-3, 0x1.65948857fdc2ep-3, 0x1.6205611ec42e3p-3, 0x1.5e776b9b14ea2p-3, 0x1.5aead255ed3d2p-3, 0x1.575fbef7f67edp-3, 0x1.53d65a59b1893p-3, 0x1.504ecca09d53ap-3, 0x1.4cc93d52fedc1p-3, 0x1.4945d355322d3p-3, 0x1.45c4b4d2a8818p-3, 0x1.424607229ca5ap-3, 0x1.3ec9eebb07f8ep-3, 0x1.3b508f3a3c0e2p-3, 0x1.37da0b800eb08p-3, 0x1.346685c564179p-3, 0x1.30f61fa2f1f8fp-3, 0x1.2d88fa0445405p-3, 0x1.2a1f350ec66b1p-3, 0x1.26b8f00e88097p-3, 0x1.23564973ce4ddp-3, 0x1.1ff75ee26f4d3p-3, 0x1.1c9c4d4a02912p-3, 0x1.194530f769bd4p-3, 0x1.15f2259668b29p-3, 0x1.12a34623873fp-3, 0x1.0f58acd76481bp-3, 0x1.0c1273181ad15p-3, 0x1.08d0b1793fbc4p-3, 0x1.05937fca588cep-3, 0x1.025af52b762fp-3, 0x1.fe4e50399d39ep-4, 0x1.f7f05d0385dbep-4, 0x1.f19c3b2e158c8p-4, 0x1.eb5213c52c2fcp-4, 0x1.e5120e4c8217ep-4, 0x1.dedc50babc6bep-4, 0x1.d8b0ff8c2e0fap-4, 0x1.d2903de3bb42cp-4, 0x1.cc7a2daa332eep-4, 0x1.c66eef9d601c7p-4, 0x1.c06ea34ab24bbp-4, 0x1.ba7966fa4a566p-4, 0x1.b48f579753b77p-4, 0x1.aeb090a28af71p-4, 0x1.a8dd2c36ba6fap-4, 0x1.a315431d34c68p-4, 0x1.9d58ece9538e2p-4, 0x1.97a8400f6d871p-4, 0x1.920351ef0c1e6p-4, 0x1.8c6a36ce57432p-4, 0x1.86dd01cb50228p-4, 0x1.815bc4cbab2aep-4, 0x1.7be690744773p-4, 0x1.767d742d22cep-4, 0x1.71207e3101a55p-4, 0x1.6bcfbba2dc0a4p-4, 0x1.668b38a1055b3p-4, 0x1.61530050d2aaep-4, 0x1.5c271cdfec588p-4, 0x1.5707977cf6b03p-4, 0x1.51f4784ce87d5p-4, 0x1.4cedc66353cabp-4, 0x1.47f387c26fbc5p-4, 0x1.4305c163d2c49p-4, 0x1.3e24774743844p-4, 0x1.394fac82d9adbp-4, 0x1.3487635032e23p-4, 0x1.2fcb9d1408856p-4, 0x1.2b1c5a5f84da6p-4, 0x1.26799aecbb7a6p-4, 0x1.21e35d993d4fp-4, 0x1.1d59a062def87p-4, 0x1.18dc6068f197p-4, 0x1.146b99f30c061p-4, 0x1.1007487b52795p-4, 0x1.0baf66b9c358ap-4, 0x1.0763eeae8d4aap-4, 0x1.0324d9a9de61bp-4, 0x1.fde440a16a4a6p-5, 0x1.f597753da2645p-5, 0x1.ed633fccec5f9p-5, 0x1.e5478d9f57c27p-5, 0x1.dd444ab0fa9abp-5, 0x1.d55961ae4f4cap-5, 0x1.cd86bbfc7348ap-5, 0x1.c5cc41c435467p-5, 0x1.be29d9ff1886ep-5, 0x1.b69f6a86011c5p-5, 0x1.af2cd8210e14fp-5, 0x1.a7d206974533dp-5, 0x1.a08ed8bc42f3bp-5, 0x1.9963307a8d3ap-5, 0x1.924eeed9883a7p-5, 0x1.8b51f3fef1c0fp-5, 0x1.846c1f2c5e6p-5, 0x1.7d9d4eba044e1p-5, 0x1.76e5601136be2p-5, 0x1.70442faa82cb3p-5, 0x1.69b99913a0235p-5, 0x1.634576fff2ac5p-5, 0x1.5ce7a36301f7fp-5, 0x1.569ff790a6fbbp-5, 0x1.506e4c5c4cfdbp-5, 0x1.4a527a301b8e3p-5, 0x1.444c59167ddcbp-5, 0x1.3e5bc0b376845p-5, 0x1.3880882f335bcp-5, 0x1.32ba861642f61p-5, 0x1.2d09903a48cd3p-5, 0x1.276d7b9c71674p-5, 0x1.21e61c6c36bc5p-5, 0x1.1c7346201331ep-5, 0x1.1714cba53728p-5, 0x1.11ca7f9e2807ap-5, 0x1.0c9434a22dd8cp-5, 0x1.0771bd6e19d7dp-5, 0x1.0262ecf989d51p-5, 0x1.facf2cd36545bp-6, 0x1.f0ff19c5eec14p-6, 0x1.e755468622f8ep-6, 0x1.ddd157a9a50a5p-6, 0x1.d472f023fc4a4p-6, 0x1.cb39b10c85afp-6, 0x1.c22539bef21adp-6, 0x1.b93528590c47ep-6, 0x1.b0691a8090af9p-6, 0x1.a7c0ae47a31dcp-6, 0x1.9f3b82fc52deap-6, 0x1.96d939b0a4f0ap-6, 0x1.8e9975575aebfp-6, 0x1.867bda68b853cp-6, 0x1.7e800e1e7630dp-6, 0x1.76a5b5705674bp-6, 0x1.6eec740b9be8ep-6, 0x1.6753eb85bd2d1p-6, 0x1.5fdbbaff1a448p-6, 0x1.58837f54ac704p-6, 0x1.514ad3de85224p-6, 0x1.4a3153991ab5cp-6, 0x1.43369a7cfccf8p-6, 0x1.3c5a46bb32912p-6, 0x1.359bf99809872p-6, 0x1.2efb57b11cccbp-6, 0x1.2878089b28d96p-6, 0x1.2211b5e857d55p-6, 0x1.1bc809c99dd24p-6, 0x1.159aad947ecf8p-6, 0x1.0f89487da6ccbp-6, 0x1.09937ece38943p-6, 0x1.03b8f1c0ee0cep-6, 0x1.fbf2802b6f84ep-7, 0x1.f0a80e7f2297ap-7, 0x1.e591c9ebb564cp-7, 0x1.daaef1ae49b6bp-7, 0x1.cffecb944a37ap-7, 0x1.c580a5a8ef3c7p-7, 0x1.bb33d67836003p-7, 0x1.b117bbde25da4p-7, 0x1.a72bb8a5bffe8p-7, 0x1.9d6f3175f2127p-7, 0x1.93e189a740869p-7, 0x1.8a822098abd08p-7, 0x1.81504ffc988cp-7, 0x1.784b6b6700018p-7, 0x1.6f72c12f8670dp-7, 0x1.66c59c7f717p-7, 0x1.5e43482cd9p-7, 0x1.55eb11da6ad19p-7, 0x1.4dbc4cc1fb735p-7, 0x1.45b653a1cc03fp-7, 0x1.3dd88975b078ep-7, 0x1.362258ecb2f25p-7, 0x1.2e9332d0cb351p-7, 0x1.272a8bc52a816p-7, 0x1.1fe7d9ce3133ep-7, 0x1.18ca9208ac3efp-7, 0x1.11d226dd82da2p-7, 0x1.0afe06e7c5922p-7, 0x1.044d9caf71a9cp-7, 0x1.fb809e845f7dbp-8, 0x1.eeab0720baeb7p-8, 0x1.e2193c9bf3d8cp-8, 0x1.d5ca0bfa26e04p-8, 0x1.c9bc498b1f84cp-8, 0x1.bdeed3a6dbd6dp-8, 0x1.b260942ab3ba8p-8, 0x1.a71080a921863p-8, 0x1.9bfd9968978bbp-8, 0x1.9126e762d5525p-8, 0x1.868b7986a53d5p-8, 0x1.7c2a6198f6846p-8, 0x1.7202b14095fccp-8, 0x1.681377d84531p-8, 0x1.5e5bc1827d82bp-8, 0x1.54da9780ff24bp-8, 0x1.4b8f0125b0f49p-8, 0x1.427804a6884e7p-8, 0x1.3994a765752cap-8, 0x1.30e3ee2390404p-8, 0x1.2864de2ad2341p-8, 0x1.201680378c459p-8, 0x1.17f7e4e04ea5cp-8, 0x1.1008290172d13p-8, 0x1.0846781ea1776p-8, 0x1.00b20b3b990aap-8, 0x1.f2944856934fbp-9, 0x1.e41c0e2861cf5p-9, 0x1.d5f9e9d71914p-9, 0x1.c82c528c5d67fp-9, 0x1.bab1b8165a322p-9, 0x1.ad888a806b7eep-9, 0x1.a0af3f75e82eap-9, 0x1.94245037df998p-9, 0x1.87e63011329ffp-9, 0x1.7bf3416f56c99p-9, 0x1.7049d2d1fa778p-9, 0x1.64e829cf88e2dp-9, 0x1.59cc9a81841e8p-9, 0x1.4ef5a189bc33ap-9, 0x1.4461f3db996a4p-9, 0x1.3a107bd711782p-9, 0x1.300044b9ad4ebp-9, 0x1.26305e58fe61ap-9, 0x1.1c9fc62424709p-9, 0x1.134d5df6a27a7p-9, 0x1.0a37f0ebd1078p-9, 0x1.015e3fc5707abp-9, 0x1.f17e16be97559p-10, 0x1.e0b22b9ac901bp-10, 0x1.d05632cbbda1ep-10, 0x1.c0677425e76b6p-10, 0x1.b0e2f7421c772p-10, 0x1.a1c591cfc749ep-10, 0x1.930c1e6b10e01p-10, 0x1.84b3ca5f4d759p-10, 0x1.76ba558005d6dp-10, 0x1.691e20a45fd86p-10, 0x1.5bde015db2a7ep-10, 0x1.4ef8f50c58af5p-10, 0x1.426de04eb3806p-10, 0x1.363b79a10c068p-10, 0x1.2a605a4de46dcp-10, 0x1.1edb16aa6bc9p-10, 0x1.13aa419aaac2ap-10, 0x1.08cc5591500b9p-10, 0x1.fc7f1fab5adaap-11, 0x1.e803a00e37371p-11, 0x1.d421147a53e02p-11, 0x1.c0d1a906ffbf6p-11, 0x1.ae0f2818046efp-11, 0x1.9bd391c04befbp-11, 0x1.8a19d255da97dp-11, 0x1.78de52796ae94p-11, 0x1.681f0bb066a15p-11, 0x1.57dafcd7353a5p-11, 0x1.48113eb0405b9p-11, 0x1.38c048db4cf79p-11, 0x1.29e5ddaf74902p-11, 0x1.1b7f92356c8bcp-11, 0x1.0d8b733a9a14ep-11, 0x1.00084914a5e0bp-11, 0x1.e5eaa8781b4acp-12, 0x1.cca35ca00a085p-12, 0x1.b4374650f997p-12, 0x1.9ca0addced45p-12, 0x1.85d7b06be676fp-12, 0x1.6fd2de91905a6p-12, 0x1.5a87decb03613p-12, 0x1.45ec2257d27b9p-12, 0x1.31f60c74db1cep-12, 0x1.1e9e701925385p-12, 0x1.0be1893707382p-12, 0x1.f37d21ecdb6f1p-13, 0x1.d06bd8e39db66p-13, 0x1.ae8e05d65a5b3p-13, 0x1.8dde41066c94cp-13, 0x1.6e53e55492648p-13, 0x1.4fe5f30c1eca8p-13, 0x1.328df4b758ea2p-13, 0x1.1649773c34f37p-13, 0x1.f63195f9020f8p-14, 0x1.c1f675b4bc96ap-14, 0x1.8fd7523559a74p-14, 0x1.5fc0feee73057p-14, 0x1.319cfc52d2d6fp-14, 0x1.0557058fe1ccap-14, 0x1.b5bc4d927e09ep-15, 0x1.64433fcbfe4b5p-15, 0x1.161ad3521f79cp-15, 0x1.9627a2ddbf7e2p-16, 0x1.05fc4aaab5cd7p-16, 0x1.ed945d239b503p-18, -0x1.390b99381d32bp-21, -0x1.131c246572472p-17, -0x1.03dab7360f27cp-16, -0x1.78ad1914b868bp-16, -0x1.e829e672071e8p-16, -0x1.29471af9ea4d9p-15, -0x1.5c0462e8f4921p-15, -0x1.8c525a3c692fp-15, -0x1.ba2ed9413ff53p-15, -0x1.e5a0f6d1e040bp-15, -0x1.075fb86d7a151p-14, -0x1.1ad58889e162cp-14, -0x1.2d423a337f319p-14, -0x1.3eb1ca525078bp-14, -0x1.4f2a535ed6efcp-14, -0x1.5eadaca85fc4dp-14, -0x1.6d3d1b8711ec7p-14, -0x1.7adce9937e36cp-14, -0x1.879716540cba8p-14, -0x1.937d19c35a309p-14, -0x1.9ea480995445fp-14, -0x1.a91c0f5118f4ep-14, -0x1.b2e4d6ba3be9dp-14, -0x1.bbf9ffe1f86d3p-14, -0x1.c45d4cce05edbp-14, -0x1.cc16eeca49b24p-14, -0x1.d32b50853816fp-14, -0x1.d99a1a51e757p-14, -0x1.df66f21ed38edp-14, -0x1.e49a4bc83aef1p-14, -0x1.e93ac9928333fp-14, -0x1.ed4c59ce0af89p-14, -0x1.f0d4ad3c73ae7p-14, -0x1.f3dc8f481bfe6p-14, -0x1.f66cc9a7dda71p-14, -0x1.f88abda8b419p-14, -0x1.fa379bfafbc86p-14, -0x1.fb728ed34fa2ep-14, -0x1.fc3be33076c81p-14, -0x1.fc969735f04a3p-14, -0x1.fc898eefffc99p-14, -0x1.fc2121564da37p-14, -0x1.fb67e0c63d9ddp-14, -0x1.fa5aa4e8d3b17p-14, -0x1.f8f0da3ecab2p-14, -0x1.f730a03c37579p-14, -0x1.f52b66b7f4b51p-14, -0x1.f2e8a380543cdp-14, -0x1.f063052717caap-14, -0x1.ed965d21e2152p-14, -0x1.ea861332ab0fdp-14, -0x1.e73a983da533bp-14, -0x1.e3ba88f7781e8p-14, -0x1.e005d6ed48c59p-14, -0x1.dc1a3eb28e477p-14, -0x1.d7f9f38d00134p-14, -0x1.d3aaf71210a99p-14, -0x1.cf32a5776064bp-14, -0x1.ca936e53d734p-14, -0x1.c5cd781c14735p-14, -0x1.c0e0bfca09c07p-14, -0x1.bbce720309603p-14, -0x1.b69827c92f2d1p-14, -0x1.b1413c8d738dap-14, -0x1.abd1f31e0f893p-14, -0x1.a64e95589ef19p-14, -0x1.a0b0d93528bc2p-14, -0x1.9af7e2ec18fd8p-14, -0x1.952a54416c0cdp-14, -0x1.8f4630f99184dp-14, -0x1.8947cca870319p-14, -0x1.833604cbd7c3cp-14, -0x1.7d1adf9d36292p-14, -0x1.76f8d3f9fb4c6p-14, -0x1.70cb98b4169e2p-14, -0x1.6a924a480b4cbp-14, -0x1.6451863c4d6f3p-14, -0x1.5e0a82cbc1fd2p-14, -0x1.57ba264989c89p-14, -0x1.5160ad545e1fcp-14, -0x1.4b01f09c26c08p-14, -0x1.44a11c223e3d6p-14, -0x1.3e3f5c27f01c1p-14, -0x1.37dcce998e611p-14, -0x1.3179d5c03c7p-14, -0x1.2b175a1d25a2ep-14, -0x1.24b4ea5afeff4p-14, -0x1.1e51b7bcf1e09p-14, -0x1.17f20393987e3p-14, -0x1.119875e0871bap-14, -0x1.0b43d07136db2p-14, -0x1.04f7b5a564acfp-14, -0x1.fd648a13db152p-15, -0x1.f0dffc8375e4bp-15, -0x1.e466bebe393c6p-15, -0x1.d7fd3ab68eac7p-15, -0x1.cba390d6f1ecp-15, -0x1.bf5967b486343p-15, -0x1.b3229105a50cbp-15, -0x1.a70498438fa8ap-15, -0x1.9afd9c72d0caep-15, -0x1.8f0c03ab4abc1p-15, -0x1.8334d5cd4aa7bp-15, -0x1.77760b2efdb38p-15, -0x1.6bcaf03e47f22p-15, -0x1.603694812737ep-15, -0x1.54bd6c5fac4a7p-15, -0x1.4960fdaff5cedp-15, -0x1.3e2124989ad02p-15, -0x1.32fdec1337d5bp-15, -0x1.27f81ec81d87dp-15, -0x1.1d0e6366a281fp-15, -0x1.123c953ef3e8dp-15, -0x1.0786d5e643e14p-15, -0x1.f9e5c25a25cd9p-16, -0x1.e5027fde043a6p-16, -0x1.d05fe3cbb011cp-16, -0x1.bbf2f82eb9ae7p-16, -0x1.a7c2a06913b8cp-16, -0x1.93d4751df0404p-16, -0x1.8028715b14946p-16, -0x1.6cbddfcda024ap-16, -0x1.59948df7970cbp-16, -0x1.46acaff6fc7ap-16, -0x1.3405e231efa71p-16, -0x1.219d5db9cf771p-16, -0x1.0f71d626225e4p-16, -0x1.fb132ab23b97dp-17, -0x1.d7cd8e01f7fe7p-17, -0x1.b5145779a772cp-17, -0x1.92e29998f8436p-17, -0x1.712a72b31b117p-17, -0x1.4ff2c96b62525p-17, -0x1.2f437996f4d79p-17, -0x1.0f1c481e55617p-17, -0x1.def5e8b5a120bp-18, -0x1.a0bdf9972e943p-18, -0x1.638f9a9fb429fp-18, -0x1.275a067ffff42p-18, -0x1.d82d05e963f92p-19, -0x1.63cee8719ed3dp-19, -0x1.e34126a9f2cd3p-20, -0x1.02bfb5f7e3e7fp-20, -0x1.30744b9f7eccap-23, 0x1.652330785f0dcp-21, 0x1.8727e25ec5e03p-20, 0x1.2be37214729b8p-19, 0x1.923cc60af8242p-19, 0x1.f6a3ae303294ep-19, 0x1.2c8d844d4b84cp-18, 0x1.5cd2a040faf62p-18, 0x1.8c22716f11e93p-18, 0x1.ba7e6252b802cp-18, 0x1.e7e7b0b34b9f2p-18, 0x1.0a30ac7fbd2d7p-17, 0x1.1ffaea0d690e1p-17, 0x1.35551e08201p-17, 0x1.4a3784807303bp-17, 0x1.5ea0337daac09p-17, 0x1.7297894b7249cp-17, 0x1.862238e2a4103p-17, 0x1.993bf1bd01b42p-17, 0x1.abe4d96fcd9ffp-17, 0x1.be1f3c3c07082p-17, 0x1.cfec757b4b831p-17, 0x1.e14d36078cb81p-17, 0x1.f245d79d063a4p-17, 0x1.016b9911ddcdbp-16, 0x1.097d69cd2517ap-16, 0x1.115cad26c8023p-16, 0x1.190a0c194d6bcp-16, 0x1.208467a0f1281p-16, 0x1.27cca73db74ap-16, 0x1.2ee3aa1ed3fc5p-16, 0x1.35ca18e8a0f65p-16, 0x1.3c808c88aae39p-16, 0x1.43079c91ff898p-16, 0x1.495fe23eb57a7p-16, 0x1.4f89f7724c966p-16, 0x1.5586738f3b556p-16, 0x1.5b55e8a46c4ddp-16, 0x1.60f8ebb98bbf8p-16, 0x1.66701ed136f58p-16, 0x1.6bbbf0a60c53p-16, 0x1.70dd235fe9ed3p-16, 0x1.75d41689b1392p-16, 0x1.7aa1b4f6924a5p-16, 0x1.7f4783f60256fp-16, 0x1.83c4ad5e32619p-16, 0x1.881925b3f9048p-16, 0x1.8c47597f18b37p-16, 0x1.904f1e1ed7a45p-16, 0x1.9430b31f258bep-16, 0x1.97ecddbb6d528p-16, 0x1.9b8414604729ep-16, 0x1.9ef7041f8ee1p-16, 0x1.a246bb4419047p-16, 0x1.a572ea27a4dd6p-16, 0x1.a87d0870a34a1p-16, 0x1.ab650ae28d267p-16, 0x1.ae2b74a8599c9p-16, 0x1.b0d0f72190241p-16, 0x1.b3562545521e9p-16, 0x1.b5bb88878fc5ap-16, 0x1.b801a85e02d87p-16, 0x1.ba290b6d21de7p-16, 0x1.bc32378b23e3cp-16, 0x1.be1db1b28713cp-16, 0x1.bfebfe02d3ff5p-16, 0x1.c19d9fbd5eca7p-16, 0x1.c333191dd44c8p-16, 0x1.c4aceafbdcc1ep-16, 0x1.c60b945f6412ep-16, 0x1.c74f926f56895p-16, 0x1.c87961046dbb4p-16, 0x1.c9897be8e5p-16, 0x1.ca805fe7dea61p-16, 0x1.cb5e87be0757cp-16, 0x1.cc246252a33ebp-16, 0x1.ccd25e67638cap-16, 0x1.cd691d61f5d68p-16, 0x1.cde8eb0a04b23p-16, 0x1.ce525424203acp-16, 0x1.cea5c1e9de6f8p-16, 0x1.cee38efa1a3b3p-16, 0x1.cf0c2d7fc7e4bp-16, 0x1.cf200e5f1aeb9p-16, 0x1.cf1fb4689b177p-16, 0x1.cf0b8a6f0834dp-16, 0x1.cee3e6739713ep-16, 0x1.cea92dc514991p-16, 0x1.ce5bceeab011fp-16, 0x1.cdfc30ee02598p-16, 0x1.cd8ac0bf76de6p-16, 0x1.cd07d7a07228bp-16, 0x1.cc73cf7ad5b5p-16, 0x1.cbcf184794b72p-16, 0x1.cb1a0f91ca3e5p-16, 0x1.ca550e9518866p-16, 0x1.c98072d348cafp-16, 0x1.c89c988e7930dp-16, 0x1.c7a9da650c4ccp-16, 0x1.c6a8919460f2bp-16, 0x1.c599160e82f85p-16, 0x1.c47bbe788c278p-16, 0x1.c350e027703a9p-16, 0x1.c218cf2e1d6e3p-16, 0x1.c0d3de838ab15p-16, 0x1.bf826027ea0e7p-16, 0x1.be24a52204c4ep-16, 0x1.bcbafd2ff161ep-16, 0x1.bb45b63145fa7p-16, 0x1.b9c51c6ab2f6cp-16, 0x1.b8397d6ffad39p-16, 0x1.b6a32952726ep-16, 0x1.b50261a24dea8p-16, 0x1.b35764dc7bf08p-16, 0x1.b1a285dbbdd24p-16, 0x1.afe419f00f791p-16, 0x1.ae1c5c9eb4075p-16, 0x1.ac4b7d449206bp-16, 0x1.aa71d2c32a18p-16, 0x1.a88fa0f1bb083p-16, 0x1.a6a52395bfea7p-16, 0x1.a4b29a2c787c5p-16, 0x1.a2b843df6c645p-16, 0x1.a0b65e312774bp-16, 0x1.9ead28c0845fep-16, 0x1.9c9cda17621e2p-16, 0x1.9a85b1718fc1ap-16, 0x1.9867e762bfd57p-16, 0x1.9643b4d744f28p-16, 0x1.941951c13c424p-16, 0x1.91e8f519f6803p-16, 0x1.8fb2d4e83a8a3p-16, 0x1.8d772648ea437p-16, 0x1.8b361d72a590cp-16, 0x1.88efedb5e672ap-16, 0x1.86a4c97cbbd84p-16, 0x1.8454e2472a3e4p-16, 0x1.820068a4c5cfdp-16, 0x1.7fa78c36a733fp-16, 0x1.7d4a7bbb670bp-16, 0x1.7ae964eff2fefp-16, 0x1.788473ebbacd4p-16, 0x1.761bd68c84867p-16, 0x1.73afc6e691f4ep-16, 0x1.714051534c72cp-16, 0x1.6ecdba2354eb2p-16, 0x1.6c5810777a5cbp-16, 0x1.69df996f54edp-16, 0x1.6764704cc24e6p-16, 0x1.64e6b8c4d4d33p-16, 0x1.62669746fab21p-16, 0x1.5fe43408f7c72p-16, 0x1.5d5fbe4d1b543p-16, 0x1.5ad94f009e905p-16, 0x1.585109718eb97p-16, 0x1.55c712a2bb617p-16, 0x1.533b8c5b9defbp-16, 0x1.50ae979c382e7p-16, 0x1.4e20556f2932bp-16, 0x1.4b90e584d14d1p-16, 0x1.49006722262fap-16, 0x1.466ef8c060d24p-16, 0x1.43dcb8382a5c9p-16, 0x1.4149c2d8ccf93p-16, 0x1.3eb635684f37ap-16, 0x1.3c222c1c072aep-16, 0x1.398dc292900ebp-16, }}, 
      {{0x1.c0ce422439073p-2, 0x1.8e17b5b7beee4p-1, 0x1.fba7ff889ef6ep-1, 0x1.17956c425ecf6p+0, 0x1.1aebf7032c98fp+0, 0x1.0efdd970cddf2p+0, 0x1.f437876064078p-1, 0x1.c286466802f91p-1, 0x1.90253d15f9eedp-1, 0x1.61e497e254129p-1, 0x1.3a9c34a4f3515p-1, 0x1.1ba35d3fccdbdp-1, 0x1.053c317286faap-1, 0x1.edda7cb08e4f3p-2, 0x1.df91554c8624bp-2, 0x1.dd44f08569b1bp-2, 0x1.e470592d66bbep-2, 0x1.f298d894ef22fp-2, 0x1.02b90254694dfp-1, 0x1.0d798a3e798f8p-1, 0x1.18b0a4600ea3ep-1, 0x1.23a946543c653p-1, 0x1.2dd569627649fp-1, 0x1.36cb0f21ed166p-1, 0x1.3e4054f0439a5p-1, 0x1.44071a3541101p-1, 0x1.4808945f7e2ebp-1, 0x1.4a410d7bd7b58p-1, 0x1.4abbf3fb5eeebp-1, 0x1.499051fa72e99p-1, 0x1.46ddb662104fcp-1, 0x1.42c99153d0e8bp-1, 0x1.3d7cff493f8bfp-1, 0x1.3722faa48400ap-1, 0x1.2fe6e92d1bb8fp-1, 0x1.27f37a2297d9fp-1, 0x1.1f71c9ad74969p-1, 0x1.1688bef01f0c6p-1, 0x1.0d5c9ad9d8b82p-1, 0x1.040eaedcf3dd1p-1, 0x1.f57a67bc66b26p-2, 0x1.e3067550df211p-2, 0x1.d0f160805dce8p-2, 0x1.bf64e29291f7bp-2, 0x1.ae84d13594661p-2, 0x1.9e6f6b65006ap-2, 0x1.8f3db1290ba95p-2, 0x1.8103c1cfebc4p-2, 0x1.73d13d8f1409ap-2, 0x1.67b1a815dba6cp-2, 0x1.5cacc9fb81b26p-2, 0x1.52c70fcdaf45ap-2, 0x1.4a01e5b7efc7p-2, 0x1.425c0edefce8fp-2, 0x1.3bd1f821e6431p-2, 0x1.365e05e1fb934p-2, 0x1.31f8dc99a2af5p-2, 0x1.2e99a44001e7dp-2, 0x1.2c36467daf1bcp-2, 0x1.2ac3a7c78de0bp-2, 0x1.2a35db89b03bdp-2, 0x1.2a8053894bf5dp-2, 0x1.2b960ab8e62bap-2, 0x1.2d69abb6fa791p-2, 0x1.2fedb330b9451p-2, 0x1.33148e76876efp-2, 0x1.36d0b66b57ee2p-2, 0x1.3b14c719feba5p-2, 0x1.3fd39435cc06fp-2, 0x1.45003ab407caep-2, 0x1.4a8e2fad50654p-2, 0x1.50714cf75d6bbp-2, 0x1.569ddb5c01473p-2, 0x1.5d089af3f47c4p-2, 0x1.63a6c99084652p-2, 0x1.6a6e2791afd9dp-2, 0x1.7154fb4bb48dep-2, 0x1.785212d5eddeep-2, 0x1.7f5cc51d9c815p-2, 0x1.866cf17a130b5p-2, 0x1.8d7afe9694a8fp-2, 0x1.947fd8ed145f5p-2, 0x1.9b74efa454073p-2, 0x1.a254323d8de21p-2, 0x1.a9180c9ce4addp-2, 0x1.afbb62d2a8fbbp-2, 0x1.b6398db1f076ap-2, 0x1.bc8e553520debp-2, 0x1.c2b5ec35d9265p-2, 0x1.c8acec1c4237dp-2, 0x1.ce704ed0fd412p-2, 0x1.d3fd6aeba022p-2, 0x1.d951ee9fcdd69p-2, 0x1.de6bda4d83b67p-2, 0x1.e3497cada397p-2, 0x1.e7e96d90d88aep-2, 0x1.ec4a893cae2a4p-2, 0x1.f06bec53adb9ap-2, 0x1.f44cef1aadab8p-2, 0x1.f7ed2178b4cbbp-2, 0x1.fb4c46f62a6a9p-2, 0x1.fe6a52d6b837fp-2, 0x1.00a3b24f61003p-1, 0x1.01f1e23eeef1bp-1, 0x1.031ff010dd07dp-1, 0x1.042e23ce52836p-1, 0x1.051cd52b4267cp-1, 0x1.05ec6a2be12a3p-1, 0x1.069d55c37e02cp-1, 0x1.07301688cfdc2p-1, 0x1.07a5358740d8bp-1, 0x1.07fd451033af8p-1, 0x1.0838dfa1ca11ep-1, 0x1.0858a6e7c09f3p-1, 0x1.085d42bff1a66p-1, 0x1.0847605043158p-1, 0x1.0817b135ecd97p-1, 0x1.07ceeabcbda6ap-1, 0x1.076dc51df2a36p-1, 0x1.06f4fad9408c6p-1, 0x1.06654815287bfp-1, 0x1.05bf6a0378504p-1, 0x1.05041e5ace527p-1, 0x1.043422d89c947p-1, 0x1.035034c794ap-1, 0x1.025910913f6aep-1, 0x1.014f715eed68cp-1, 0x1.003410bdcf31bp-1, 0x1.fe0f4c8e21c39p-2, 0x1.fb95ceb2ef7bdp-2, 0x1.f8fd0dafcfdadp-2, 0x1.f64669d68c7aep-2, 0x1.f3733d9ab16b6p-2, 0x1.f084dd3c761afp-2, 0x1.ed7c967a4afb4p-2, 0x1.ea5bb04b1509bp-2, 0x1.e7236aa40b428p-2, 0x1.e3d4fe5107242p-2, 0x1.e0719cd11ef2fp-2, 0x1.dcfa7030ba5bp-2, 0x1.d9709afd1b37p-2, 0x1.d5d538342e2a3p-2, 0x1.d2295b3bdaf92p-2, 0x1.ce6e0fdfb5006p-2, 0x1.caa45a526bc2ap-2, 0x1.c6cd373460ae8p-2, 0x1.c2e99ba1876b8p-2, 0x1.befa753da92dbp-2, 0x1.bb00aa43828cfp-2, 0x1.b6fd199a3a702p-2, 0x1.b2f09af251ae7p-2, 0x1.aedbfed9eaf46p-2, 0x1.aac00ed55802fp-2, 0x1.a69d8d838d05fp-2, 0x1.a27536bb739a1p-2, 0x1.9e47bfab3dc29p-2, 0x1.9a15d6f9ac0bep-2, 0x1.95e024ec884a9p-2, 0x1.91a74b89d864p-2, 0x1.8d6be6bc350e1p-2, 0x1.892e8c7ab359ap-2, 0x1.84efccedd723p-2, 0x1.80b0329102fdp-2, 0x1.7c70425af581bp-2, 0x1.78307be90d5cbp-2, 0x1.73f1599c6d42cp-2, 0x1.6fb350c2ca9fdp-2, 0x1.6b76d1bab32f3p-2, 0x1.673c481ba98b2p-2, 0x1.63041ad7a2b99p-2, 0x1.5eceac5c20c53p-2, 0x1.5a9c5ab84bd8ap-2, 0x1.566d7fc3246cp-2, 0x1.52427134e480bp-2, 0x1.4e1b80cd913eap-2, 0x1.49f8fc742d5e3p-2, 0x1.45db2e59d17c3p-2, 0x1.41c25d123e3p-2, 0x1.3daecbb6349efp-2, 0x1.39a0b9fed10dbp-2, 0x1.35986468ff90dp-2, 0x1.31960448aa073p-2, 0x1.2d99cfe7040ecp-2, 0x1.29a3faa01f92cp-2, 0x1.25b4b4fa26f48p-2, 0x1.21cc2cc0050dcp-2, 0x1.1dea8d182cffbp-2, 0x1.1a0ffe9becfd1p-2, 0x1.163ca771657eep-2, 0x1.1270ab610506ap-2, 0x1.0eac2be933e15p-2, 0x1.0aef48530ca3ap-2, 0x1.073a1dcc01209p-2, 0x1.038cc773e32d2p-2, 0x1.ffcebce4a57fcp-3, 0x1.f893f410da946p-3, 0x1.f1695f48fa011p-3, 0x1.ea4f25e58e0b5p-3, 0x1.e3456bd9438fcp-3, 0x1.dc4c51d40ea72p-3, 0x1.d563f55fe34dbp-3, 0x1.ce8c7105d915ap-3, 0x1.c7c5dc6824ffap-3, 0x1.c1104c5c51c78p-3, 0x1.ba6bd302b5ddp-3, 0x1.b3d87fe7e11bcp-3, 0x1.ad5660203bf95p-3, 0x1.a6e57e62cf31fp-3, 0x1.a085e3159b56cp-3, 0x1.9a37946621376p-3, 0x1.93fa96641b7b4p-3, 0x1.8dceeb1db89fap-3, 0x1.87b492b3dc433p-3, 0x1.81ab8b67a62cp-3, 0x1.7bb3d1a69974dp-3, 0x1.75cd60217cfd7p-3, 0x1.6ff82fea29263p-3, 0x1.6a3438849630dp-3, 0x1.64816ff61e993p-3, 0x1.5edfcacb888e7p-3, 0x1.594f3c2609e88p-3, 0x1.53cfb5d1ac928p-3, 0x1.4e61285db667cp-3, 0x1.4903832d41b73p-3, 0x1.43b6b47e2d31dp-3, 0x1.3e7aa96a43774p-3, 0x1.394f4df66cb74p-3, 0x1.34348d24a0e53p-3, 0x1.2f2a5109e8bc8p-3, 0x1.2a3082de09a65p-3, 0x1.25470afe2daap-3, 0x1.206dd0ed95fc8p-3, 0x1.1ba4bb5d6b3b7p-3, 0x1.16ebb03da1965p-3, 0x1.124294d1aab14p-3, 0x1.0da94dbefe643p-3, 0x1.091fbf114e7e6p-3, 0x1.04a5cc37916e2p-3, 0x1.003b5808e18a2p-3, 0x1.f7c0899a98c6p-4, 0x1.ef28e8a1f6ed4p-4, 0x1.e6af8fe8c105p-4, 0x1.de5441677ec16p-4, 0x1.d616be4d57b1fp-4, 0x1.cdf6c6fa15381p-4, 0x1.c5f41b05a3981p-4, 0x1.be0e79591e531p-4, 0x1.b645a04cbbca6p-4, 0x1.ae994dc2b81b9p-4, 0x1.a7093f30a1594p-4, 0x1.9f953198963b8p-4, 0x1.983ce185ee169p-4, 0x1.91000b1179759p-4, 0x1.89de69f53ffcbp-4, 0x1.82d7b9a8dd3bdp-4, 0x1.7bebb5772395p-4, 0x1.751a188666bb6p-4, 0x1.6e629dd460ebbp-4, 0x1.67c5002f191efp-4, 0x1.6140fa358c743p-4, 0x1.5ad64664a65cfp-4, 0x1.54849f2da3f8ep-4, 0x1.4e4bbf0b3fb5ap-4, 0x1.482b608b44137p-4, 0x1.42233e50ce137p-4, 0x1.3c33130ae9c5ep-4, 0x1.365a997110bc8p-4, 0x1.30998c47e0293p-4, 0x1.2aefa66e302dfp-4, 0x1.255ca2f00c024p-4, 0x1.1fe03d152ccccp-4, 0x1.1a7a3066dc0e7p-4, 0x1.152a38ad4c93bp-4, 0x1.0ff011e96cea9p-4, 0x1.0acb78513763fp-4, 0x1.05bc285391921p-4, 0x1.00c1dea36b673p-4, 0x1.f7b8b08b9b621p-5, 0x1.ee16a53a5bfc2p-5, 0x1.e49d16dc6ec4p-5, 0x1.db4b81bbf13d5p-5, 0x1.d22162d9a2441p-5, 0x1.c91e37e4136f4p-5, 0x1.c0417f3aa10cbp-5, 0x1.b78ab7fa44204p-5, 0x1.aef96212506a8p-5, 0x1.a68cfe577397cp-5, 0x1.9e450e8e095b2p-5, 0x1.9621156ba5d94p-5, 0x1.8e209690009b2p-5, 0x1.8643167c56d91p-5, 0x1.7e881a8f7b724p-5, 0x1.76ef2909e0a47p-5, 0x1.6f77c91903dddp-5, 0x1.682182e5c6a31p-5, 0x1.60ebdfa00a951p-5, 0x1.59d669857da93p-5, 0x1.52e0abe03834dp-5, 0x1.4c0a33008b2abp-5, 0x1.45528c369e25p-5, 0x1.3eb945cf01e58p-5, 0x1.383def141ef47p-5, 0x1.31e018551c969p-5, 0x1.2b9f52ef925a5p-5, 0x1.257b3156fc24cp-5, 0x1.1f734719a6d91p-5, 0x1.198728e0d767p-5, 0x1.13b66c6cc9decp-5, 0x1.0e00a88f04adep-5, 0x1.08657526910d6p-5, 0x1.02e46b1e0b9c5p-5, 0x1.fafa48daccc35p-6, 0x1.f05e783d96811p-6, 0x1.e5f49ca730ea2p-6, 0x1.dbbbf0908898bp-6, 0x1.d1b3b0ac24437p-6, 0x1.c7db1be43774bp-6, 0x1.be3173542c2c1p-6, 0x1.b4b5fa41b7afcp-6, 0x1.ab67f61312204p-6, 0x1.a246ae4c523a2p-6, 0x1.99516c8e11b6bp-6, 0x1.90877c97749e2p-6, 0x1.87e82c48a2998p-6, 0x1.7f72cba6bdaa1p-6, 0x1.7726acdd9726cp-6, 0x1.6f032440dfba6p-6, 0x1.67078849c27a3p-6, 0x1.5f333193992d6p-6, 0x1.57857ad589a27p-6, 0x1.4ffdc0dbbdaffp-6, 0x1.489b62807481bp-6, 0x1.415dc0a5a20a3p-6, 0x1.3a443e2f8c7d1p-6, 0x1.334e4000bfc6bp-6, 0x1.2c7b2cf9f382ep-6, 0x1.25ca6dfd094dcp-6, 0x1.1f3b6df11513p-6, 0x1.18cd99c79c64bp-6, 0x1.1280607f7e476p-6, 0x1.0c533322aea78p-6, 0x1.064584be542c4p-6, 0x1.0056ca55821c8p-6, 0x1.f50cf5a091e6ep-7, 0x1.e9a81dd45b1c7p-7, 0x1.de7e0248af785p-7, 0x1.d38d9b7e1e6b6p-7, 0x1.c8d5e579537b5p-7, 0x1.be55dfdbaedb7p-7, 0x1.b40c8e06aa1a7p-7, 0x1.a9f8f73ea0986p-7, 0x1.a01a26c0a86f2p-7, 0x1.966f2bc08146p-7, 0x1.8cf7194a49af3p-7, 0x1.83b1060b1097fp-7, 0x1.7a9c0c082661ap-7, 0x1.71b7485848432p-7, 0x1.6901daed79a4bp-7, 0x1.607ae680028b7p-7, 0x1.582190a301feep-7, 0x1.4ff501fd2e5dcp-7, 0x1.47f466990c5fdp-7, 0x1.401eee36632c6p-7, 0x1.3873cc84d2533p-7, 0x1.30f2393323badp-7, 0x1.29996fc88c4f4p-7, 0x1.2268af4bd51c1p-7, 0x1.1b5f39c707cc4p-7, 0x1.147c53c29c58dp-7, 0x1.0dbf43d8693fcp-7, 0x1.07275278fec48p-7, 0x1.00b3c9f50f847p-7, 0x1.f4c7ed97718fcp-8, 0x1.e86e505bd7f26p-8, 0x1.dc59612d241c9p-8, 0x1.d087cca421bebp-8, 0x1.c4f847a1f1e33p-8, 0x1.b9a98f571fe9bp-8, 0x1.ae9a689ffbebp-8, 0x1.a3c99ec718113p-8, 0x1.993601f24e9b5p-8, 0x1.8ede658e4efbdp-8, 0x1.84c19f13f946ep-8, 0x1.7ade856ef3b66p-8, 0x1.7133f130c4369p-8, 0x1.67c0bd8776d6p-8, 0x1.5e83c9c66b451p-8, 0x1.557bfb2b0d983p-8, 0x1.4ca83e75fd08p-8, 0x1.440788f8da3ddp-8, 0x1.3b98d8d45fe88p-8, 0x1.335b344fb05p-8, 0x1.2b4da863e6708p-8, 0x1.236f46c40f99p-8, 0x1.1bbf23c689e69p-8, 0x1.143c549d5a47ep-8, 0x1.0ce5ee3832416p-8, 0x1.05bb0516013d1p-8, 0x1.fd755bec65bdcp-9, 0x1.efc7fecff2ffcp-9, 0x1.e26c278823b66p-9, 0x1.d560167d10e82p-9, 0x1.c8a21b2fd7429p-9, 0x1.bc309627caa52p-9, 0x1.b009f901d886dp-9, 0x1.a42cc4a1969c9p-9, 0x1.989785e42dbebp-9, 0x1.8d48d17f84aa4p-9, 0x1.823f3fd71a86bp-9, 0x1.7779698731e88p-9, 0x1.6cf5e53bb0e44p-9, 0x1.62b347256cfcdp-9, 0x1.58b0221ab3cd5p-9, 0x1.4eeb0a248d73ap-9, 0x1.456297f9eaca1p-9, 0x1.3c156cba1f03ep-9, 0x1.33023529a8c25p-9, 0x1.2a27abcf0a7f2p-9, 0x1.2184998e8cdb3p-9, 0x1.1917d4bd12371p-9, 0x1.10e03ef5a9816p-9, 0x1.08dcc233f4f8dp-9, 0x1.010c4dc2c417cp-9, 0x1.f2dba6f15f2c2p-10, 0x1.e4008b3ede537p-10, 0x1.d5852b6abe598p-10, 0x1.c7676855bf95ap-10, 0x1.b9a5223d0c868p-10, 0x1.ac3c3bdfcd873p-10, 0x1.9f2a9eb877afbp-10, 0x1.926e3f68b5301p-10, 0x1.8605218fd5f5ep-10, 0x1.79ed5a6c63bf7p-10, 0x1.6e2512018ec5cp-10, 0x1.62aa82c9933b7p-10, 0x1.577bf82dd05bep-10, 0x1.4c97cc1268583p-10, 0x1.41fc63c8649c4p-10, 0x1.37a82cc39ca03p-10, 0x1.2d99999a953d1p-10, 0x1.23cf1fd8b0897p-10, 0x1.1a473719768d2p-10, 0x1.11005969cf86p-10, 0x1.07f9042dd92fp-10, 0x1.fe5f71b122b09p-11, 0x1.ed45f9e847a6dp-11, 0x1.dca2b3ef0c7afp-11, 0x1.cc72bc094964cp-11, 0x1.bcb33cd5df19ep-11, 0x1.ad617781c7149p-11, 0x1.9e7acc4666ed2p-11, 0x1.8ffcbf1745853p-11, 0x1.81e4f5755d267p-11, 0x1.74312d4b8a131p-11, 0x1.66df3055f55fbp-11, 0x1.59ecc985394a7p-11, 0x1.4d57c119f8464p-11, 0x1.411de06da8a2ap-11, 0x1.353cf9bb87c86p-11, 0x1.29b2ed62f9bd6p-11, 0x1.1e7da7683de82p-11, 0x1.139b15292504ap-11, 0x1.09091978069aep-11, 0x1.fd8b10af6549ep-12, 0x1.e99c61544a93ap-12, 0x1.d641e4b079d1p-12, 0x1.c377aee14a837p-12, 0x1.b13a4754787dfp-12, 0x1.9f86a3d540c53p-12, 0x1.8e5a0138d015ep-12, 0x1.7db1ace303ac6p-12, 0x1.6d8ad88968e75p-12, 0x1.5de2898087a8dp-12, 0x1.4eb5a4276c164p-12, 0x1.400104c7c0c16p-12, 0x1.31c1947d5f84dp-12, 0x1.23f44d342d276p-12, 0x1.1696274ac5323p-12, 0x1.09a3fc263e2e6p-12, 0x1.fa34e5044a906p-13, 0x1.e1ec10df6083ep-13, 0x1.ca6687011a8cap-13, 0x1.b39def337c9bfp-13, 0x1.9d8d0439e8629p-13, 0x1.882fb0b5e0343p-13, 0x1.7382bfc888dbfp-13, 0x1.5f8350221a2e3p-13, 0x1.4c2e5b88caaf4p-13, 0x1.39808cbf27b3cp-13, 0x1.27765d096a6c6p-13, 0x1.160c41f531548p-13, 0x1.053eb80d8224bp-13, 0x1.ea143cbca1a47p-14, 0x1.cad4f085b6195p-14, 0x1.acb66a9fa7069p-14, 0x1.8fae31cc423fcp-14, 0x1.73b0a291db8cp-14, 0x1.58b18a76374acp-14, 0x1.3ea52ad4e049bp-14, 0x1.25816f9c27327p-14, 0x1.0d3ee2f5bdf05p-14, 0x1.ebb19ac542227p-15, 0x1.be988832db6f4p-15, 0x1.932d27dba0b94p-15, 0x1.6967ff08fa2eap-15, 0x1.413f3602952a7p-15, 0x1.1aa864800e4d1p-15, 0x1.eb35827fcf121p-16, 0x1.a4200f876accbp-16, 0x1.60072d89d86e1p-16, 0x1.1ee0b8ddd20bap-16, 0x1.c13aa2d39285dp-17, 0x1.4a4c08720f737p-17, 0x1.b17336f2d1e87p-18, 0x1.b0f5fa8356fb6p-19, 0x1.231b974058371p-23, -0x1.7a95958545c87p-19, -0x1.7b3967528750cp-18, -0x1.188d6f54d68ecp-17, -0x1.6f94b4b1fbc92p-17, -0x1.c2bbf48d41a68p-17, -0x1.09028ed63fd41p-16, -0x1.2ebc6314ef9dfp-16, -0x1.529697f185bbcp-16, -0x1.74a17254220b7p-16, -0x1.94eda21ce2281p-16, -0x1.b387a1f270fe8p-16, -0x1.d0756cfe8e413p-16, -0x1.ebb88995b227fp-16, -0x1.02aa0d0e680c2p-15, -0x1.0ea9204247e01p-15, -0x1.19e215d43ceb5p-15, -0x1.245ec9a9d3c36p-15, -0x1.2e28251c05d4ep-15, -0x1.3745b0837b769p-15, -0x1.3fbecd0c435abp-15, -0x1.479c0fb335c1p-15, -0x1.4ee7595a8f3c7p-15, -0x1.55aa98543d1b3p-15, -0x1.5bedec0ff02ep-15, -0x1.61b5ead6e8032p-15, -0x1.670347d4527b9p-15, -0x1.6bd4ded00c465p-15, -0x1.702b1764e9cccp-15, -0x1.7409f66a0706ep-15, -0x1.7777d147d7559p-15, -0x1.7a7996806c464p-15, -0x1.7d10c5ee72f9cp-15, -0x1.7f3d66cc95d4fp-15, -0x1.8101490527923p-15, -0x1.826134e411687p-15, -0x1.8363cbe2eadc4p-15, -0x1.840f93769328fp-15, -0x1.846961eaaf01cp-15, -0x1.8473d083e5d91p-15, -0x1.842fdc8184bf9p-15, -0x1.839e49b397dd4p-15, -0x1.82c0f8031358ep-15, -0x1.819be0cd69799p-15, -0x1.8035b9ddc5ed6p-15, -0x1.7e96b54a3b829p-15, -0x1.7cc4831351465p-15, -0x1.7abfc1a26d57p-15, -0x1.7886d5625b977p-15, -0x1.761a83fba525p-15, -0x1.737df10d142cp-15, -0x1.70b2e57a17a42p-15, -0x1.6db96c6d0aa7dp-15, -0x1.6a92fec285fc5p-15, -0x1.6742d1f9dbcaep-15, -0x1.63cb7690ec472p-15, -0x1.602e838f7e21dp-15, -0x1.5c6e2a811143dp-15, -0x1.588daa9403ed7p-15, -0x1.549038e44a25fp-15, -0x1.5077d0cc50e04p-15, -0x1.4c44f238af9bbp-15, -0x1.47f766ec98624p-15, -0x1.438f5f7324934p-15, -0x1.3f0dfdcb96c73p-15, -0x1.3a75bc4b66221p-15, -0x1.35caf3f6de60ep-15, -0x1.311160f329491p-15, -0x1.2c48019a09e18p-15, -0x1.276beb4c7c213p-15, -0x1.227f477de4c1dp-15, -0x1.1d8826ada8279p-15, -0x1.1889234611b12p-15, -0x1.13806474dd924p-15, -0x1.0e6c7738c1007p-15, -0x1.094e8f8a19ea3p-15, -0x1.0429970338f68p-15, -0x1.fdff99d42573fp-16, -0x1.f3a25914d71f4p-16, -0x1.e939eeb88970ep-16, -0x1.dec7dc79abbe4p-16, -0x1.d45022b5892fbp-16, -0x1.c9d6486a09403p-16, -0x1.bf5be06c5695ep-16, -0x1.b4e0fbd63b1ccp-16, -0x1.aa6594d4bfeaep-16, -0x1.9fea71ea047p-16, -0x1.957092552a8bcp-16, -0x1.8afa1c2f3873dp-16, -0x1.808c71bc34628p-16, -0x1.762a36e35005ep-16, -0x1.6bcf41a6d9ab5p-16, -0x1.617b016d415ebp-16, -0x1.5731b0f363cd8p-16, -0x1.4cf1faaca13b3p-16, -0x1.42b96ca891e2ap-16, -0x1.388c67b5e3c87p-16, -0x1.2e7138c89bde5p-16, -0x1.24695279c8341p-16, -0x1.1a71dd25bc9b9p-16, -0x1.108a3410792c2p-16, -0x1.06b5235489e75p-16, -0x1.f9e698292369p-17, -0x1.e6854fd4ed9b4p-17, -0x1.d34692431cb7ap-17, -0x1.c02eedd68ca5cp-17, -0x1.ad420a3fc498p-17, -0x1.9a8116971829p-17, -0x1.87ebf8c1d13e2p-17, -0x1.7582eb15b5c1ep-17, -0x1.6346cdcb14986p-17, -0x1.5136e3985b3e9p-17, -0x1.3f51f7bdef63ep-17, -0x1.2d9cdcd7c13a9p-17, -0x1.1c1a7b19f0aa5p-17, -0x1.0ac9132f4d4d8p-17, -0x1.f35975c8bb108p-18, -0x1.d185d86c08fcfp-18, -0x1.b00e58d07776cp-18, -0x1.8ef8587aa928ap-18, -0x1.6e488c5143267p-18, -0x1.4dfe8abd0ce8p-18, -0x1.2e1959f63b229p-18, -0x1.0e9ce132b2a07p-18, -0x1.df1de1d6907f5p-19, -0x1.a1d96507e2ca4p-19, -0x1.656765eb6a669p-19, -0x1.29d210743750cp-19, -0x1.de26e061e82bap-20, -0x1.6a3fa86034bedp-20, -0x1.eff4177ae59c5p-21, -0x1.0ecebb9e9157ep-21, -0x1.88bb41e260561p-24, 0x1.5270b02400326p-22, 0x1.802552a91815dp-21, 0x1.29d6e0dddda8bp-20, 0x1.91f1244c0f4bcp-20, 0x1.f875dc1a67f4bp-20, 0x1.2eaaf0770347bp-19, 0x1.603d915c90461p-19, 0x1.90f2f940f27b1p-19, 0x1.c0d0c9dd42e29p-19, 0x1.efe423e70c79dp-19, 0x1.0f137c19bab0ep-18, 0x1.25ca4e0eba775p-18, 0x1.3c1735e277e81p-18, 0x1.51fb4ba728d0ap-18, 0x1.677767ffd4b0fp-18, 0x1.7c8be805f4cdp-18, 0x1.9139faedec503p-18, 0x1.a58396fc4e2aap-18, 0x1.b96a0d140d8c8p-18, 0x1.cceacf39e4606p-18, 0x1.e0057e0a573cfp-18, 0x1.f2ba7c901a16dp-18, 0x1.0285e099d5357p-17, 0x1.0b7ea9b94955p-17, 0x1.14471658f1931p-17, 0x1.1cde9116849e4p-17, 0x1.25457dc9b767cp-17, 0x1.2d7c7b5fc0fc8p-17, 0x1.3583f404108a8p-17, 0x1.3d5c52b787accp-17, 0x1.4506e5131f8d1p-17, 0x1.4c8468585e1f6p-17, 0x1.53d345de296a5p-17, 0x1.5af39d06f52cfp-17, 0x1.61e795dd720d2p-17, 0x1.68afd46fac5bcp-17, 0x1.6f4bd913bea59p-17, 0x1.75bbf578ca5ebp-17, 0x1.7c00bb04403cdp-17, 0x1.821abe14465f4p-17, 0x1.880a75346fa03p-17, 0x1.8dd04c90e3d52p-17, 0x1.936cae9670405p-17, 0x1.98e0078fb88dap-17, 0x1.9e2ac5bff1695p-17, 0x1.a34d54fe42b53p-17, 0x1.a84837eadb9c2p-17, 0x1.ad1c4d597cc5ap-17, 0x1.b1ca2851bb57bp-17, 0x1.b65162602878cp-17, 0x1.bab232c833192p-17, 0x1.beedc00c5eb87p-17, 0x1.c304cc2bddd1cp-17, 0x1.c6f74f249aff4p-17, 0x1.cac5aaae19ed2p-17, 0x1.ce706e2c582d5p-17, 0x1.d1f813bbb87f3p-17, 0x1.d55d06c939869p-17, 0x1.d89ffaef6c221p-17, 0x1.dbc15da179c8ap-17, 0x1.dec10af6f53f8p-17, 0x1.e1a00a5909a71p-17, 0x1.e45ed185f5469p-17, 0x1.e6fd8ed356dd6p-17, 0x1.e97cc0a4c3804p-17, 0x1.ebdce3998fe38p-17, 0x1.ee1e6b72809edp-17, 0x1.f041c90ef05cdp-17, 0x1.f2476c5067203p-17, 0x1.f42fc4de094b2p-17, 0x1.f5fb42366bbfdp-17, 0x1.f7aa5362194dfp-17, 0x1.f93d677125082p-17, 0x1.fab4e48bd7d82p-17, 0x1.fc11234e4d556p-17, 0x1.fd52c60da5091p-17, 0x1.fe7a041d3ae85p-17, 0x1.ff87725fb6e7bp-17, 0x1.003db2080c241p-16, 0x1.00ab2415ca67cp-16, 0x1.010c3eb218f2ap-16, 0x1.01613361d17bcp-16, 0x1.01aa40a18a094p-16, 0x1.01e7932a3445dp-16, 0x1.02195cd12b19fp-16, 0x1.023fd15cc6a41p-16, 0x1.025b22e56d32ap-16, 0x1.026b82d25cbfcp-16, 0x1.027121d7134adp-16, 0x1.026c313e60444p-16, 0x1.025cdfb7726ccp-16, 0x1.02435eb73505ep-16, 0x1.021fdda871331p-16, 0x1.01f28a4eeae5dp-16, 0x1.01bb9392b3b5cp-16, 0x1.017b27c362306p-16, 0x1.01317471c4401p-16, 0x1.00dea6d8fdcdp-16, 0x1.0082ebd1c4ed8p-16, 0x1.001e6fc746818p-16, 0x1.ff62bd5e118d7p-17, 0x1.fe77c8031e151p-17, 0x1.fd7c556a47c12p-17, 0x1.fc70ba8b65a4fp-17, 0x1.fb554b97d9e68p-17, 0x1.fa2a5c25e64a3p-17, 0x1.f8f03f284770dp-17, 0x1.f7a7468f22ab7p-17, 0x1.f64fc291a66dp-17, 0x1.f4ea01ec44c86p-17, 0x1.f37655c63e1c6p-17, 0x1.f1f510df3e59ap-17, 0x1.f06670f2b652dp-17, 0x1.eecad19a0d92ep-17, 0x1.ed2270535e22p-17, 0x1.eb6d98804b265p-17, 0x1.e9aca3b46f045p-17, 0x1.e7dfdc4f9f552p-17, 0x1.e60787d6cbdbfp-17, 0x1.e423da1cb2da5p-17, 0x1.e2351953e1335p-17, 0x1.e03b9b7d1d779p-17, 0x1.de37a85e1f836p-17, 0x1.dc297f061b716p-17, 0x1.da1160058dcb5p-17, 0x1.d7ef75ed68163p-17, 0x1.d5c41cef8fc9p-17, 0x1.d38faedbd2f6p-17, 0x1.d1523cb54af92p-17, 0x1.cf0c0ac1e463ap-17, 0x1.ccbd64c78827bp-17, 0x1.ca6686072f832p-17, 0x1.c807a97deb165p-17, 0x1.c5a10a19dab05p-17, 0x1.c332e25966779p-17, 0x1.c0bd6bfec08abp-17, 0x1.be40dfed0510cp-17, 0x1.bbbd7624b862dp-17, 0x1.b93365e03ef3ep-17, 0x1.b6a2e5c7d325ap-17, 0x1.b40c2c15e7728p-17, 0x1.b16f6e73ed247p-17, 0x1.aecce158b64d2p-17, 0x1.ac24b7399d87bp-17, 0x1.a97721d1b5b81p-17, 0x1.a6c457a4e12c4p-17, 0x1.a40c9338ff026p-17, 0x1.a14ff2aa859ddp-17, 0x1.9e8e9710a79bfp-17, 0x1.9bc8c5a40a429p-17, 0x1.98fec23eaf414p-17, 0x1.9630aae63a8d5p-17, 0x1.935e8e203c806p-17, 0x1.9088b5a77f029p-17, 0x1.8daf5008e1bb1p-17, 0x1.8ad280b4a8819p-17, 0x1.87f2713ca2694p-17, 0x1.850f4b828ee0bp-17, 0x1.822931df9e15dp-17, 0x1.7f40750964aa5p-17, 0x1.7c54e9b3b5d41p-17, 0x1.7966fe5cde04dp-17, 0x1.7676c3ee71dacp-17, 0x1.7384605c38b0cp-17, 0x1.708ff8adf1442p-17, 0x1.6d99b1584dfe1p-17, 0x1.6aa1ae35640b4p-17, 0x1.67a81292dc80ap-17, 0x1.64ad0130d13ecp-17, 0x1.61b09c3c0d87p-17, 0x1.5eb3054db783cp-17, 0x1.5bb45d6c7c0a8p-17, 0x1.58b4c502f11f7p-17, 0x1.55b45bd5f8789p-17, 0x1.52b3413b324f9p-17, 0x1.4fb194cb57f55p-17, 0x1.4caf77c71ecb4p-17, 0x1.49ad067eaef8fp-17, 0x1.46aa3300b1ac5p-17, 0x1.43a7774201bb1p-17, 0x1.40a4978ad4f3ep-17, 0x1.3da1f60612bbdp-17, 0x1.3a9f6ae615c01p-17, 0x1.379d43f2b7e68p-17, 0x1.349b78307e988p-17, 0x1.319a301a00c98p-17, 0x1.2e9983e0a5191p-17, 0x1.2b998323a200ep-17, 0x1.289a5c44b2501p-17, 0x1.259c1ae332513p-17, 0x1.229ed310e8988p-17, 0x1.1fa29caac606ap-17, 0x1.1ca788bac251p-17, 0x1.19adb9fd60524p-17, 0x1.16b53ae70a1fap-17, 0x1.13be22d23aea4p-17, 0x1.10c8871f6bce7p-17, 0x1.0dd47b77095f2p-17, 0x1.0ae2134d2f6a9p-17, 0x1.07f161b80f026p-17, 0x1.05027966e8071p-17, 0x1.02156c9fda226p-17, }}, 
      {{0x1.db3e67885d2dcp+0, 0x1.0e77e9e4a337p+1, 0x1.2b2ca52db566ap+1, 0x1.3d871b7531717p+1, 0x1.4504744cd636fp+1, 0x1.4383222029927p+1, 0x1.3b95101e5df49p+1, 0x1.2fb2f91b4874dp+1, 0x1.21e7f9b8b7cf9p+1, 0x1.13bb398b50ecdp+1, 0x1.0637732e8ac33p+1, 0x1.f3fdc858cca89p+0, 0x1.dec502784ca8ap+0, 0x1.ccefeefa0d224p+0, 0x1.be5928af8bf33p+0, 0x1.b2a903e4b1264p+0, 0x1.a96ce1f9b5cc9p+0, 0x1.a22832d57db63p+0, 0x1.9c603447dfbfp+0, 0x1.97a383ff65bdbp+0, 0x1.938e81eeb6ccdp+0, 0x1.8fcd5d0aada1bp+0, 0x1.8c1c7d4271104p+0, 0x1.8847d7a7d4722p+0, 0x1.842997a0e3ca2p+0, 0x1.7fa86b2393d08p+0, 0x1.7ab5a8ea3eaa9p+0, 0x1.754b764c4447ap+0, 0x1.6f6b055b88e3ap+0, 0x1.691afa5d4ce3fp+0, 0x1.626600bb6f5fep+0, 0x1.5b59925934165p+0, 0x1.5404f0a49ac99p+0, 0x1.4c784c96c2811p+0, 0x1.44c41959f0778p+0, 0x1.3cf884ad1372dp+0, 0x1.35250ffb88ea8p+0, 0x1.2d58453ed2917p+0, 0x1.259f830aacf15p+0, 0x1.1e06db92b3615p+0, 0x1.169903045a5bdp+0, 0x1.0f5f49febf539p+0, 0x1.0861a17401f35p+0, 0x1.01a6a59e91216p+0, 0x1.f6675c4372ff8p-1, 0x1.ea19c387f91dap-1, 0x1.de6a990c76eb6p-1, 0x1.d35dee2d1151dp-1, 0x1.c8f5fdaeec348p-1, 0x1.bf335bc3dafb4p-1, 0x1.b61525142d198p-1, 0x1.ad992c2557abp-1, 0x1.a5bc24a5356a9p-1, 0x1.9e79cc3d919cep-1, 0x1.97cd10c823c7ep-1, 0x1.91b033bbfdf8dp-1, 0x1.8c1ceacc7a2dep-1, 0x1.870c7dbd79ac7p-1, 0x1.8277e179b1e11p-1, 0x1.7e57d07f7fb77p-1, 0x1.7aa4e0c263cfp-1, 0x1.7757971ef7eb9p-1, 0x1.746878859f7c5p-1, 0x1.71d01900ff2cep-1, 0x1.6f8728bb8baeep-1, 0x1.6d867f2e98f95p-1, 0x1.6bc7249b54a9dp-1, 0x1.6a4259f2fb6e1p-1, 0x1.68f19f544c931p-1, 0x1.67ceb93d35d88p-1, 0x1.66d3b48a5bd5fp-1, 0x1.65fae975e4dfp-1, 0x1.653efd980e725p-1, 0x1.649ae522be85ep-1, 0x1.6409e3527724dp-1, 0x1.63878a44d4c15p-1, 0x1.630fba416de35p-1, 0x1.629ea069bf40bp-1, 0x1.6230b5333329dp-1, 0x1.61c2ba4d604dap-1, 0x1.6151b8602e21ep-1, 0x1.60dafcb3c4d1dp-1, 0x1.605c163bb1f6bp-1, 0x1.5fd2d31c62434p-1, 0x1.5f3d3d979cd28p-1, 0x1.5e9998ee4257cp-1, 0x1.5de65ebe03126p-1, 0x1.5d223b85e5177p-1, 0x1.5c4c0bcc2f9dap-1, 0x1.5b62d95f12f6cp-1, 0x1.5a65d7ec3dd3p-1, 0x1.5954629922d35p-1, 0x1.582df93107684p-1, 0x1.56f23d3606b1ep-1, 0x1.55a0efb2e3de1p-1, 0x1.5439ee88defeep-1, 0x1.52bd320835c52p-1, 0x1.512acad75fd05p-1, 0x1.4f82dfa0d5bb2p-1, 0x1.4dc5ab1ae2897p-1, 0x1.4bf37a1bcf101p-1, 0x1.4a0ca9c1d0a72p-1, 0x1.4811a5cf166fep-1, 0x1.4602e7081a438p-1, 0x1.43e0f1be954cap-1, 0x1.41ac546f9c726p-1, 0x1.3f65a66d2cc42p-1, 0x1.3d0d86b010b4dp-1, 0x1.3aa49aade38c3p-1, 0x1.382b8d445cb4bp-1, 0x1.35a30dc0f164fp-1, 0x1.330bceef4cb51p-1, 0x1.3066863add7e8p-1, 0x1.2db3eae99a96p-1, 0x1.2af4b55e29be4p-1, 0x1.28299e69ae529p-1, 0x1.25535eb3b982p-1, 0x1.2272ae2b577bfp-1, 0x1.1f8843808f5a1p-1, 0x1.1c94d3b37f57ap-1, 0x1.199911aad5d19p-1, 0x1.1695adcfe9507p-1, 0x1.138b55bb1780ep-1, 0x1.107ab3e9feab5p-1, 0x1.0d646f785964bp-1, 0x1.0a492be3a2adfp-1, 0x1.072988da9d15bp-1, 0x1.0406221000741p-1, 0x1.00df8f11b3273p-1, 0x1.fb6cc6574bc6dp-2, 0x1.f5165aa02268p-2, 0x1.eebcf00405098p-2, 0x1.e861928c60704p-2, 0x1.e2054536ae51fp-2, 0x1.dba901ebbff72p-2, 0x1.d54db97a71df2p-2, 0x1.cef4539b7c1ep-2, 0x1.c89daf021d58bp-2, 0x1.c24aa16e713eap-2, 0x1.bbfbf7bead18dp-2, 0x1.b5b2760e9b35bp-2, 0x1.af6ed7d7ee467p-2, 0x1.a931d0148383ap-2, 0x1.a2fc0963b812ap-2, 0x1.9cce26333894ep-2, 0x1.96a8c0ea4d8d2p-2, 0x1.908c6c1854f81p-2, 0x1.8a79b2a14927ap-2, 0x1.847117ec7ef79p-2, 0x1.7e7318163b01p-2, 0x1.7880282400561p-2, 0x1.7298b633ed7b4p-2, 0x1.6cbd29ad9e9aep-2, 0x1.66ede37831dbdp-2, 0x1.612b3e2d542dp-2, 0x1.5b758e4a88a09p-2, 0x1.55cd2263af844p-2, 0x1.50324356e2c35p-2, 0x1.4aa5347d79168p-2, 0x1.452633dd7ff3p-2, 0x1.3fb57a5b99c07p-2, 0x1.3a533bea99b64p-2, 0x1.34ffa7b934e77p-2, 0x1.2fbae861ad145p-2, 0x1.2a852419ea51p-2, 0x1.255e7cdcb1ef7p-2, 0x1.20471095ac7dep-2, 0x1.1b3ef94cc0afap-2, 0x1.16464d50c7266p-2, 0x1.115d1f5eca389p-2, 0x1.0c837ec89248p-2, 0x1.07b9779c24dd8p-2, 0x1.02ff12c9ecb8cp-2, 0x1.fca8ac8d3747fp-3, 0x1.f3728a5eccbfp-3, 0x1.ea5bbfd84025ap-3, 0x1.e16448a17a41fp-3, 0x1.d88c1b76c314cp-3, 0x1.cfd32a67f3ap-3, 0x1.c73963144eefap-3, 0x1.bebeaee6ed264p-3, 0x1.b662f3494cb3p-3, 0x1.ae2611d9c57cep-3, 0x1.a607e8a26bc37p-3, 0x1.9e085248eed69p-3, 0x1.9627263f6ef96p-3, 0x1.8e6438f167a32p-3, 0x1.86bf5bf07f5c4p-3, 0x1.7f385e2129de9p-3, 0x1.77cf0be3659c3p-3, 0x1.70832f392e93bp-3, 0x1.69548fecb1cedp-3, 0x1.6242f3b787017p-3, 0x1.5b4e1e636d744p-3, 0x1.5475d1eccdef9p-3, 0x1.4db9cea2cb3e8p-3, 0x1.4719d347ab8a1p-3, 0x1.40959d2e955dep-3, 0x1.3a2ce856f2245p-3, 0x1.33df6f883bf36p-3, 0x1.2dacec6c219dbp-3, 0x1.279517a9af21p-3, 0x1.2197a8fc8fb9ep-3, 0x1.1bb4574b1cfaap-3, 0x1.15ead8bac6cbcp-3, 0x1.103ae2c87520bp-3, 0x1.0aa42a5cab5bfp-3, 0x1.052663df833c8p-3, 0x1.ff82868f94895p-4, 0x1.f4e8f859443ebp-4, 0x1.ea7f83af66128p-4, 0x1.e0458eaeda5c3p-4, 0x1.d63a7f1cbe781p-4, 0x1.cc5dba7ec9357p-4, 0x1.c2aea6326e209p-4, 0x1.b92ca789fb51fp-4, 0x1.afd723ec71a64p-4, 0x1.a6ad80ee278abp-4, 0x1.9daf24660a40cp-4, 0x1.94db747ccbcdep-4, 0x1.8c31d7bf74916p-4, 0x1.83b1b5370673ap-4, 0x1.7b5a7480eef76p-4, 0x1.732b7de20c0a3p-4, 0x1.6b243a530d6cbp-4, 0x1.63441388f3cbfp-4, 0x1.5b8a7404853cbp-4, 0x1.53f6c723b9074p-4, 0x1.4c887934bbf02p-4, 0x1.453ef7849dbc9p-4, 0x1.3e19b065b8422p-4, 0x1.37181335fe5dep-4, 0x1.30399065d698dp-4, 0x1.297d998618ed3p-4, 0x1.22e3a1572bd2fp-4, 0x1.1c6b1bd4495ep-4, 0x1.16137e387b8ebp-4, 0x1.0fdc3eff4ad52p-4, 0x1.09c4d5e91125p-4, 0x1.03ccbc0161e7p-4, 0x1.fbe6d7554e744p-5, 0x1.f070c14fdd327p-5, 0x1.e536304399c7dp-5, 0x1.da36214d0f6c8p-5, 0x1.cf6f94510fa66p-5, 0x1.c4e18c0038c44p-5, 0x1.ba8b0de338a9ap-5, 0x1.b06b226930f6dp-5, 0x1.a680d4f44797p-5, 0x1.9ccb33dc87831p-5, 0x1.9349506a0d4a4p-5, 0x1.89fa3ed0503f7p-5, 0x1.80dd162cf0b88p-5, 0x1.77f0f08deca12p-5, 0x1.6f34eafbfa9fbp-5, 0x1.66a825813864fp-5, 0x1.5e49c328ebb12p-5, 0x1.5618e9f8c5f15p-5, 0x1.4e14c2e85a97fp-5, 0x1.463c79dc1f753p-5, 0x1.3e8f3da55b1f4p-5, 0x1.370c4007fb944p-5, 0x1.2fb2b5be8d4bep-5, 0x1.2881d678b8e46p-5, 0x1.2178dcd58521ap-5, 0x1.1a9706591957p-5, 0x1.13db936400076p-5, 0x1.0d45c72e7f8d4p-5, 0x1.06d4e7c77f933p-5, 0x1.00883e1631c0bp-5, 0x1.f4be2bb30729ap-6, 0x1.e8b17b46cdbfp-6, 0x1.dce90da050df3p-6, 0x1.d1638af933272p-6, 0x1.c61fa0f86fafep-6, 0x1.bb1c02a6590dbp-6, 0x1.b05768670df97p-6, 0x1.a5d08ff6fe72ap-6, 0x1.9b863c65227c1p-6, 0x1.917736075982fp-6, 0x1.87a24a68f75ccp-6, 0x1.7e064c3673532p-6, 0x1.74a2132961c7p-6, 0x1.6b747bf99320dp-6, 0x1.627c68521ccedp-6, 0x1.59b8bec9fe332p-6, 0x1.51286adbda8acp-6, 0x1.48ca5cda2bff5p-6, 0x1.409d89dfca988p-6, 0x1.38a0ebbcf091dp-6, 0x1.30d380e39735ep-6, 0x1.29344c5594adbp-6, 0x1.21c255961aa4ep-6, 0x1.1a7ca89e5c0edp-6, 0x1.136255d35eb19p-6, 0x1.0c7271f9eaa9dp-6, 0x1.05ac162b4113cp-6, 0x1.fe1cbf88306f1p-7, 0x1.f130e0a3bfd0dp-7, 0x1.e492db02d1178p-7, 0x1.d841021beb95p-7, 0x1.cc39b16485889p-7, 0x1.c07b4c37e46adp-7, 0x1.b5043dc072526p-7, 0x1.a9d2f8df363f3p-7, 0x1.9ee5f811d8d92p-7, 0x1.943bbd5542054p-7, 0x1.89d2d205dd875p-7, 0x1.7fa9c6be082b4p-7, 0x1.75bf33374ab1ap-7, 0x1.6c11b62b745cbp-7, 0x1.629ff539592d4p-7, 0x1.59689ccc529f1p-7, 0x1.506a6004136edp-7, 0x1.47a3f89c49216p-7, 0x1.3f1426d2f558bp-7, 0x1.36b9b14de0c47p-7, 0x1.2e9365001fab2p-7, 0x1.26a01506f56edp-7, 0x1.1ede9a9722a2p-7, 0x1.174dd4d724de1p-7, 0x1.0feca8cc32ef3p-7, 0x1.08ba013dc1a48p-7, 0x1.01b4ce9d8216cp-7, 0x1.f5b80de221f65p-8, 0x1.e85d4b77a20edp-8, 0x1.db5757cdb259dp-8, 0x1.cea43f5b594d9p-8, 0x1.c2421907e0b17p-8, 0x1.b62f05fc5c3b6p-8, 0x1.aa693170758ep-8, 0x1.9eeed076d6d28p-8, 0x1.93be21c9b6d17p-8, 0x1.88d56d980804dp-8, 0x1.7e33055397c3cp-8, 0x1.73d5438af1c5cp-8, 0x1.69ba8bc44ad46p-8, 0x1.5fe14a5bf85edp-8, 0x1.5647f468fa135p-8, 0x1.4ced079dce567p-8, 0x1.43cf0a2294d39p-8, 0x1.3aec8a67d0eb4p-8, 0x1.32441ef1e3a3fp-8, 0x1.29d4661fc9928p-8, 0x1.219c05f1ea36fp-8, 0x1.1999abd65033bp-8, 0x1.11cc0c7f50b7fp-8, 0x1.0a31e3c7350b5p-8, 0x1.02c9f4a08ef92p-8, 0x1.f726121ca955bp-9, 0x1.e917e4388bf3cp-9, 0x1.db670f9faca29p-9, 0x1.ce115214f8955p-9, 0x1.c11476b4d904p-9, 0x1.b46e5576dc01cp-9, 0x1.a81cd29f7d631p-9, 0x1.9c1dde2fae0e6p-9, 0x1.906f736f01203p-9, 0x1.850f989ffbbeap-9, 0x1.79fc5ee471f16p-9, 0x1.6f33e252d1ad7p-9, 0x1.64b44a2712282p-9, 0x1.5a7bc8f5c41a2p-9, 0x1.50889cc4717bep-9, 0x1.46d90eee77e7dp-9, 0x1.3d6b73c9bc0c1p-9, 0x1.343e2a10782efp-9, 0x1.2b4f9a225a704p-9, 0x1.229e353d83812p-9, 0x1.1a2874d5851f9p-9, 0x1.11ecda2769ce5p-9, 0x1.09e9ee1eaebd9p-9, 0x1.021e418a0105bp-9, 0x1.f510db2396d1dp-10, 0x1.e64e2888e109ap-10, 0x1.d7f1c21aeb48fp-10, 0x1.c9f911e3f6ap-10, 0x1.bc6194df9adeap-10, 0x1.af28da01b5bdap-10, 0x1.a24c80810dc13p-10, 0x1.95ca35c675e23p-10, 0x1.899fb366dcd4p-10, 0x1.7dcabd80dca5ep-10, 0x1.724921d96e008p-10, 0x1.6718b7dd2246bp-10, 0x1.5c376181bb7dcp-10, 0x1.51a30cca50596p-10, 0x1.4759b58bdd959p-10, 0x1.3d5966ff533aap-10, 0x1.33a03cb680dabp-10, 0x1.2a2c62a93ae27p-10, 0x1.20fc14438fff8p-10, 0x1.180d9a95b0ca7p-10, 0x1.0f5f49f70660dp-10, 0x1.06ef7f8c20478p-10, 0x1.fd793e48812fp-11, 0x1.ed8a23f225902p-11, 0x1.de0e8c178518dp-11, 0x1.cf035e75ee768p-11, 0x1.c06590afb314fp-11, 0x1.b2322ae1fdcd9p-11, 0x1.a4664b91ce769p-11, 0x1.96ff2aff54a33p-11, 0x1.89fa1cdf1fd69p-11, 0x1.7d549010afe99p-11, 0x1.710c0c5a1ae5p-11, 0x1.651e2e945296cp-11, 0x1.5988a4020aaaep-11, 0x1.4e4925a8f4d8dp-11, 0x1.435d747922b24p-11, 0x1.38c356dcf9e57p-11, 0x1.2e789803c9c55p-11, 0x1.247b08eb3b65dp-11, 0x1.1ac882dfb9b27p-11, 0x1.115eeae914141p-11, 0x1.083c356b9ce71p-11, 0x1.febcd276bc9cbp-12, 0x1.ed8742fc9d88fp-12, 0x1.dcd41c0087ab6p-12, 0x1.cc9fe3eed0df6p-12, 0x1.bce743197bbcp-12, 0x1.ada6fd64c0a95p-12, 0x1.9edbebb4cd9cfp-12, 0x1.9082f611c961ap-12, 0x1.82990f5d3732cp-12, 0x1.751b32b25f915p-12, 0x1.680662c2a9fb6p-12, 0x1.5b57ab30e02cep-12, 0x1.4f0c237ccd663p-12, 0x1.4320f2f601309p-12, 0x1.379354a64c8aap-12, 0x1.2c609aa4c0c8ep-12, 0x1.218630275e773p-12, 0x1.17019a1630727p-12, 0x1.0cd0763c4f74dp-12, 0x1.02f0795ecc29p-12, 0x1.f2bed92ad7f47p-13, 0x1.e036547a83fc7p-13, 0x1.ce4335b30af91p-13, 0x1.bce1648aa83d1p-13, 0x1.ac0cdb8bb72d1p-13, 0x1.9bc1a67955c72p-13, 0x1.8bfbe2aad3a4fp-13, 0x1.7cb7c0a74d9acp-13, 0x1.6df184cfb89c1p-13, 0x1.5fa586ce53a7bp-13, 0x1.51d0308c4d7afp-13, 0x1.446dfe9474dccp-13, 0x1.377b839c67ee3p-13, 0x1.2af56ef45805ep-13, 0x1.1ed89370b8646p-13, 0x1.1321eb373896dp-13, 0x1.07ce95bfab2fcp-13, 0x1.f9b7a0052ce87p-14, 0x1.e48dd36fff9eep-14, 0x1.d01a78fcf05cap-14, 0x1.bc58519c4598bp-14, 0x1.a942330c7d6a1p-14, 0x1.96d3155aee25fp-14, 0x1.85061b69cc96cp-14, 0x1.73d68d7a08677p-14, 0x1.633fc5d27d055p-14, 0x1.533d1a60f8eb1p-14, 0x1.43c9d3514446ap-14, 0x1.34e1398e5aeabp-14, 0x1.267ebacc67b3ap-14, 0x1.189e132fd5ef4p-14, 0x1.0b3b677e8ccb7p-14, 0x1.fca6827f24b03p-15, 0x1.e3c4dcacd7059p-15, 0x1.cbcba7725276bp-15, 0x1.b4b4915edd968p-15, 0x1.9e7913915d8e4p-15, 0x1.8912888fa315p-15, 0x1.747a55bb6b22cp-15, 0x1.60aa0e1d38b24p-15, 0x1.4d9b7c3664cf4p-15, 0x1.3b488076aae8ap-15, 0x1.29aade407409ep-15, 0x1.18bc1a57b487cp-15, 0x1.0875850eaf892p-15, 0x1.f1a104c2868e1p-16, 0x1.d38df15e47ff7p-16, 0x1.b6a75dc3b3967p-16, 0x1.9ae4ca509f3dap-16, 0x1.803f30557fca9p-16, 0x1.66b025b36f7fcp-16, 0x1.4e311c18a99a6p-16, 0x1.36bb199be15bap-16, 0x1.2046e414db72bp-16, 0x1.0acd4a2850067p-16, 0x1.ec8e73aba1b69p-17, 0x1.c55b1dfeff14p-17, 0x1.9ff172579c617p-17, 0x1.7c40ce16192e3p-17, 0x1.5a36c4a8eaea1p-17, 0x1.39bf635ff4637p-17, 0x1.1ac616a5e5a92p-17, 0x1.fa6e465292e8bp-18, 0x1.c202cb47d3d56p-18, 0x1.8c2f5c4416ce3p-18, 0x1.58e1d1172c8fdp-18, 0x1.280d74a5c13cep-18, 0x1.f34cd3a482cdcp-19, 0x1.9b3c042aedf74p-19, 0x1.47c49a6a2a099p-19, 0x1.f182a930b4caep-20, 0x1.5c239f94d4352p-20, 0x1.9e745ebc2b418p-21, 0x1.2a792c1fa9239p-22, -0x1.8ed055c5e120dp-23, -0x1.4cce3f5e2ed4ep-21, -0x1.135635424a01bp-20, -0x1.7907f2dd75a44p-20, -0x1.d7ea0393ce96bp-20, -0x1.1838342d3dc84p-19, -0x1.41872f3c2ebb5p-19, -0x1.6815ddec2b9a9p-19, -0x1.8c0bf3f65adddp-19, -0x1.ad810b0d50ed1p-19, -0x1.cc7f14683e424p-19, -0x1.e90af40350b5bp-19, -0x1.019705ef19ff8p-18, -0x1.0d7d8890df72fp-18, -0x1.1845b62ec5943p-18, -0x1.21fc6db40b44bp-18, -0x1.2aab9e1f9f165p-18, -0x1.3258c6cc33553p-18, -0x1.39065fa24f036p-18, -0x1.3eb7edef7af27p-18, -0x1.43759b6b0f254p-18, -0x1.474c3374853bfp-18, -0x1.4a4a15e85e917p-18, -0x1.4c7c41e18c27ap-18, -0x1.4dedc38c1532fp-18, -0x1.4ea95018bfba5p-18, -0x1.4ebb08aa60a6fp-18, -0x1.4e30950037744p-18, -0x1.4d17847acc95ap-18, -0x1.4b7aefc1f70c1p-18, -0x1.496154a487e7dp-18, -0x1.46cc36bf3f0ep-18, -0x1.43bac2a1d5287p-18, -0x1.402e194ccfe56p-18, -0x1.3c2be8e0b2c22p-18, -0x1.37bcc23cea4dep-18, -0x1.32e7649dd067bp-18, -0x1.2dae2fb374ccap-18, -0x1.2811abc9be008p-18, -0x1.2214a96ee69f8p-18, -0x1.1bbdabd9aa20cp-18, -0x1.151565ab8a252p-18, -0x1.0e2440ab3d407p-18, -0x1.06f07a258e011p-18, -0x1.fefb11ec925eep-19, -0x1.ef99d7b70ea2dp-19, -0x1.dfbfad7501aap-19, -0x1.cf7195f48cb24p-19, -0x1.beb986e0095c8p-19, -0x1.ada7e477c34c1p-19, -0x1.9c508a52e3a86p-19, -0x1.8ac15ec712a8p-19, -0x1.78fc3d6b65f97p-19, -0x1.66fd9655c4d8dp-19, -0x1.54c74aef56dedp-19, -0x1.4260c7d7daefcp-19, -0x1.2fce5f5b1e24dp-19, -0x1.1d10546667b97p-19, -0x1.0a2a2db0074f5p-19, -0x1.ee46e8709454fp-20, -0x1.c8047eb57ae7ep-20, -0x1.a194fbdeb7f2p-20, -0x1.7b026be66275dp-20, -0x1.545b766ba286ep-20, -0x1.2dae239607eddp-20, -0x1.070310f9fa537p-20, -0x1.c0b8cd8b05f7dp-21, -0x1.737277c66d6f6p-21, -0x1.2634b452d8d46p-21, -0x1.b2120bbf78ee9p-22, -0x1.18084c793c6bbp-22, -0x1.fa53b3fcf44ep-24, 0x1.a0953dce39522p-26, 0x1.63c6723e945e1p-23, 0x1.492aecb30589cp-22, 0x1.dfbcd88cbe567p-22, 0x1.3a99f0e942c0ep-21, 0x1.84b2f17800f5p-21, 0x1.ce3a8c2fde117p-21, 0x1.0b9f2f4428833p-20, 0x1.2fda7bcea3318p-20, 0x1.53c37780b3141p-20, 0x1.7751862d2d23p-20, 0x1.9a85571fcedb1p-20, 0x1.bd6253dfa5473p-20, 0x1.dfe5f27e3da36p-20, 0x1.0104785dc9b8p-19, 0x1.11e28f2f200b1p-19, 0x1.228c0ba33cc0fp-19, 0x1.330126d8ebabfp-19, 0x1.43422627b6d29p-19, 0x1.534e8b46bd5f6p-19, 0x1.6325d58e4781p-19, 0x1.72c667225d0f2p-19, 0x1.822b6d9ae66b3p-19, 0x1.91530be69b96ap-19, 0x1.a0417733124f2p-19, 0x1.aef762f32999dp-19, 0x1.bd714e74bd6c1p-19, 0x1.cbb0b3cee9088p-19, 0x1.d9b87fb7439aap-19, 0x1.e784975dd1437p-19, 0x1.f5103f6d84ca4p-19, 0x1.012d362e018bep-18, 0x1.07b30eb221887p-18, 0x1.0e1a1eec7e896p-18, 0x1.14616ce36f412p-18, 0x1.1a88f1cf6a12bp-18, 0x1.2091ba60b85ebp-18, 0x1.267be80167ecp-18, 0x1.2c46c3e4da95cp-18, 0x1.31f1cc59ae474p-18, 0x1.377cff2b571a5p-18, 0x1.3ce899970404p-18, 0x1.4234c8ac1543dp-18, 0x1.4761997a80de3p-18, 0x1.4c6f64f8ecbffp-18, 0x1.515e9c9963acp-18, 0x1.562e982fe3b5ep-18, 0x1.5adf097b6e196p-18, 0x1.5f707c5ffc0bcp-18, 0x1.63e26bfac3ed8p-18, 0x1.68358a9959542p-18, 0x1.6c6ae74b453cep-18, 0x1.708240e10d878p-18, 0x1.747b656981cedp-18, 0x1.78569a8902619p-18, 0x1.7c143292dfe5bp-18, 0x1.7fb414d1319c9p-18, 0x1.8336063aa0e6p-18, 0x1.869a84f042832p-18, 0x1.89e201dc6d622p-18, 0x1.8d0c5b200670bp-18, 0x1.901a0ea56e303p-18, 0x1.930bc49eead76p-18, 0x1.95e18113baabfp-18, 0x1.989b375d7de82p-18, 0x1.9b3919687bae4p-18, 0x1.9dbb776cfe598p-18, 0x1.a0229d659a907p-18, 0x1.a26ec9e8bba65p-18, 0x1.a4a05dfc2b89ap-18, 0x1.a6b7e87b5aa44p-18, 0x1.a8b572beab4fcp-18, 0x1.aa98ec59cf757p-18, 0x1.ac6299579ec33p-18, 0x1.ae12e723166c2p-18, 0x1.afaa7b8e79551p-18, 0x1.b1296c128a2ap-18, 0x1.b28fd85e98b62p-18, 0x1.b3de06787ba7ep-18, 0x1.b5145ad5442b8p-18, 0x1.b6334986ca071p-18, 0x1.b73a7d6d46558p-18, 0x1.b82b120d2139cp-18, 0x1.b904faa8d93cdp-18, 0x1.b9c8986609fadp-18, 0x1.ba7612953cc2ap-18, 0x1.bb0dada7d4b44p-18, 0x1.bb8fb96220672p-18, 0x1.bbfc90cea6f71p-18, 0x1.bc5492ca1dc2dp-18, 0x1.bc97fc76a0abfp-18, 0x1.bcc711c736269p-18, 0x1.bce2216493e19p-18, 0x1.bce97a17c9d8ap-18, 0x1.bcdd68ef9749p-18, 0x1.bcbe399f307bfp-18, 0x1.bc8c38539ed99p-18, 0x1.bc47b2422c9ccp-18, 0x1.bbf0f34fcb35ep-18, 0x1.bb883f3f0475p-18, 0x1.bb0dd36a6d4abp-18, 0x1.ba821502040c4p-18, 0x1.b9e55cb691f4cp-18, 0x1.b937d8c0e9fb9p-18, 0x1.b879c91e61887p-18, 0x1.b7ab865718af7p-18, 0x1.b6cd5af3bf306p-18, 0x1.b5df8e28aee78p-18, 0x1.b4e2681d57c87p-18, 0x1.b3d63171a3de1p-18, 0x1.b2bb3277bc02ep-18, 0x1.b191b3532c546p-18, 0x1.b059fa30ae1dep-18, 0x1.af1441950932p-18, 0x1.adc0c535177a1p-18, 0x1.ac5fe3596d03ap-18, 0x1.aaf1f1ccac86fp-18, 0x1.a9771cf87ec9ap-18, 0x1.a7ef952fc9803p-18, 0x1.a65bb3eb576dep-18, 0x1.a4bbc1d1b9c4ep-18, 0x1.a30ffba47f34ap-18, 0x1.a158a22e28364p-18, 0x1.9f95f958d9645p-18, 0x1.9dc82d4972f2ap-18, 0x1.9bef7fdba5dbfp-18, 0x1.9a0c6094086e5p-18, 0x1.981edf0180895p-18, 0x1.9627386bb3a83p-18, 0x1.9425c01e76aaep-18, 0x1.921aaf2a3cc2p-18, 0x1.90063e828c7aap-18, 0x1.8de8a955d5efbp-18, 0x1.8bc22b3eb1ccp-18, 0x1.8992feaff534p-18, 0x1.875b5dd9f4649p-18, 0x1.851b82bba74bep-18, 0x1.82d3a7033f0b5p-18, 0x1.80840537d1776p-18, 0x1.7e2ccfc94e7dfp-18, 0x1.7bce2bb6e168fp-18, 0x1.796883e556351p-18, 0x1.76fbdbdfaa572p-18, 0x1.7488954df066dp-18, 0x1.720ec424c437ep-18, 0x1.6f8e7a831606ep-18, 0x1.6d0820130feffp-18, 0x1.6a7bfcf21fd24p-18, 0x1.67ea0a0aed0a8p-18, 0x1.65528da4142bfp-18, 0x1.62b5c447b6e4ap-18, 0x1.6013d9a8e5104p-18, 0x1.5d6d008c483c9p-18, 0x1.5ac164cd4cc0dp-18, 0x1.5811220985403p-18, 0x1.555c89129f704p-18, 0x1.52a39db5d4c9ep-18, 0x1.4fe6ac264aa57p-18, 0x1.4d25e2160f174p-18, 0x1.4a615ef5b11b5p-18, 0x1.47994f253106cp-18, 0x1.44cdde883422fp-18, 0x1.41ff36a5bbf13p-18, 0x1.3f2d80d42460ap-18, 0x1.3c58e5f076898p-18, 0x1.39818e3c0a276p-18, 0x1.36a7a151e188cp-18, 0x1.33cb4622b6bc1p-18, 0x1.30eca2f3170bcp-18, 0x1.2e0bdd72f5625p-18, 0x1.2b291aec69e79p-18, 0x1.28448062314c4p-18, 0x1.255e3273890c4p-18, 0x1.227654ee40548p-18, 0x1.1f8d0a31d442bp-18, 0x1.1ca273d0fe13p-18, 0x1.19b6b68af9085p-18, 0x1.16c9f7f9f7272p-18, 0x1.13dc4888293a2p-18, 0x1.10edd86cfbd9ap-18, 0x1.0dfebabf2fa14p-18, 0x1.0b0f109a6c491p-18, 0x1.081f0615c980ap-18, 0x1.052eb9f796a9ap-18, 0x1.023e480505ce8p-18, 0x1.fe9b7c04fe1d8p-19, 0x1.f8ba717d8fe61p-19, 0x1.f2d9c40177a37p-19, 0x1.ecf9b063999d6p-19, 0x1.e71a6538f4329p-19, 0x1.e13c14f559b6p-19, 0x1.db5ed07716b47p-19, 0x1.d582f55f06211p-19, 0x1.cfa8dbb6f298ep-19, 0x1.c9d06ea7c2b4fp-19, 0x1.c3f9ebaee3d71p-19, 0x1.be2594a10c868p-19, 0x1.b853956a08d65p-19, 0x1.b2841b75d6474p-19, 0x1.acb7535630e4bp-19, 0x1.a6ed6938fe2f9p-19, 0x1.a126889651e9bp-19, 0x1.9b62dbf9ba1f9p-19, 0x1.95a28cfc55f2dp-19, 0x1.8fe5c464022p-19, 0x1.8a2caa57b3b4fp-19, 0x1.84776680a22ep-19, 0x1.7ec61fe0418cfp-19, 0x1.7918fc2421afep-19, 0x1.73701edab0b35p-19, 0x1.6dcbaaf37504dp-19, 0x1.682bc89241d6fp-19, 0x1.6290a3aeda8cdp-19, 0x1.5cfa49d3b098ep-19, 0x1.5768cd06b2554p-19, 0x1.51dc64b605de5p-19, 0x1.4c55459d27942p-19, 0x1.46d37e69a77c5p-19, 0x1.41570e4f1799ap-19, 0x1.3be02fe25ce5cp-19, 0x1.366f028ff38b9p-19, 0x1.31039aa20d7d6p-19, 0x1.2b9e12964b06ep-19, 0x1.263e86004edf7p-19, 0x1.20e4e67ac7986p-19, 0x1.1b923d24b14cp-19, 0x1.1644b2c156588p-19, 0x1.10fe0600e5d31p-19, 0x1.0bbdcdfbf2a08p-19, 0x1.0684220aa06cep-19, 0x1.01511746bf6cap-19, 0x1.f849853d531ecp-20, 0x1.edfe70f14ba46p-20, 0x1.e3c11978a72b7p-20, 0x1.d991a590c74d2p-20, 0x1.cf703acd826acp-20, 0x1.c55cfd9a22799p-20, 0x1.bb58114e068b4p-20, 0x1.b1619817eb5d8p-20, 0x1.a779b2c356264p-20, 0x1.9da08169e8dc4p-20, 0x1.93d625a470061p-20, 0x1.8a1ac5e399d4dp-20, 0x1.806e88899d4aap-20, 0x1.76d0a62af845p-20, 0x1.6d43358d8798ep-20, 0x1.63c463b19b86fp-20, 0x1.5a557ae16755fp-20, 0x1.50f5d41a33c0dp-20, 0x1.47a60501c1953p-20, 0x1.3e65a9ebc16efp-20, 0x1.3535402f3556p-20, 0x1.2c14ba986b6b1p-20, 0x1.230408bb0a59bp-20, 0x1.1a03717d0964fp-20, 0x1.1112fd62ae9a5p-20, 0x1.0832afaf44671p-20, 0x1.fec538e1608cap-21, 0x1.ed45398fe1203p-21, 0x1.dbe66dae298fep-21, 0x1.caa8216240a91p-21, 0x1.b98a9d63ced6dp-21, 0x1.a88e0bb4709f4p-21, 0x1.97b27d13b22e2p-21, 0x1.86f80418dbd4ap-21, 0x1.765eb22a32aaep-21, 0x1.65e6971ef3052p-21, 0x1.558fc15439775p-21, }}, 
      {{-0x1.bc51d0b385da8p-1, -0x1.bc281c75c5fabp-1, -0x1.bbe24c62952b7p-1, -0x1.bb7fefd25f22fp-1, -0x1.bb0071f7dc174p-1, -0x1.ba632147bbf8cp-1, -0x1.b9a7377431db9p-1, -0x1.b8cbe17219aafp-1, -0x1.b7d0471f4244cp-1, -0x1.b6b39240277cfp-1, -0x1.b574f4a7dfc23p-1, -0x1.b413ad75b825cp-1, -0x1.b28f0d6744bfp-1, -0x1.b0e67a4a9532bp-1, -0x1.af1971a347e3bp-1, -0x1.ad278a97dd2c7p-1, -0x1.ab10773c919cap-1, -0x1.a8d4054fa1863p-1, -0x1.a6721e7928b55p-1, -0x1.a3eac81f528a5p-1, -0x1.a13e22de69c5dp-1, -0x1.9e6c69b38045dp-1, -0x1.9b75f0e7b4d42p-1, -0x1.985b24c9646e4p-1, -0x1.951c883fcfd73p-1, -0x1.91bab344b9ae8p-1, -0x1.8e36514e64108p-1, -0x1.8a901fb30fc0ap-1, -0x1.86c8ec0dbe956p-1, -0x1.82e192aa9e51dp-1, -0x1.7edafd002688dp-1, -0x1.7ab62038b2dd4p-1, -0x1.7673fbcf39355p-1, -0x1.72159840c134fp-1, -0x1.6d9c05d361273p-1, -0x1.69085b72d735bp-1, -0x1.645bb5a247f4dp-1, -0x1.5f97358245469p-1, -0x1.5abbffe9f2f14p-1, -0x1.55cb3c91f9216p-1, -0x1.50c6154fd7cb6p-1, -0x1.4badb5602e1d7p-1, -0x1.468348be9465bp-1, -0x1.4147fb89b86a9p-1, -0x1.3bfcf9728cf73p-1, -0x1.36a36d357c24cp-1, -0x1.313c801cac07cp-1, -0x1.2bc9598a8baap-1, -0x1.264b1e8bff351p-1, -0x1.20c2f1719bef3p-1, -0x1.1b31f16f848a7p-1, -0x1.15993a4390e6ep-1, -0x1.0ff9e3e174865p-1, -0x1.0a550224b6d7dp-1, -0x1.04aba48850b4cp-1, -0x1.fdfdabc7a5d7bp-2, -0x1.f29f385bf83bap-2, -0x1.e73df0895596fp-2, -0x1.dbdbcb7434698p-2, -0x1.d07ab54ea4935p-2, -0x1.c51c8f077b66bp-2, -0x1.b9c32e03908afp-2, -0x1.ae705be0dd11bp-2, -0x1.a325d6433cf88p-2, -0x1.97e54eaa90ae1p-2, -0x1.8cb06a51e867dp-2, -0x1.8188c2176d30fp-2, -0x1.766fe26c9d447p-2, -0x1.6b674b4e7fc76p-2, -0x1.607070455bc6fp-2, -0x1.558cb86b8253fp-2, -0x1.4abd7e7abb251p-2, -0x1.400410dfcfcedp-2, -0x1.3561b1d3c1e52p-2, -0x1.2ad7977a2f20dp-2, -0x1.2066ec045d633p-2, -0x1.1610cdd881865p-2, -0x1.0bd64fbcb5ffap-2, -0x1.01b8790537c6fp-2, -0x1.ef708b8adbd83p-3, -0x1.dbad4e0693e58p-3, -0x1.c82905d93ea1fp-3, -0x1.b4e56a1bf8652p-3, -0x1.a1e41d15698fep-3, -0x1.8f26acab69dd7p-3, -0x1.7cae92d5a56efp-3, -0x1.6a7d36108d7cp-3, -0x1.5893e9d015ff3p-3, -0x1.46f3eef1b9c91p-3, -0x1.359e742d49d5ap-3, -0x1.2494968427215p-3, -0x1.13d761ae80f57p-3, -0x1.0367d08656943p-3, -0x1.e68d9adfd32bbp-4, -0x1.c6ea657ed69d9p-4, -0x1.a7e79637906ecp-4, -0x1.8986a3bc9d26p-4, -0x1.6bc8e6de6e09bp-4, -0x1.4eaf9b3dcecf8p-4, -0x1.323bdff7e89c7p-4, -0x1.166eb84bb3351p-4, -0x1.f6921871d45b7p-5, -0x1.c197523134534p-5, -0x1.8dee845ed6335p-5, -0x1.5b98e273b5b3ap-5, -0x1.2a976de5398dbp-5, -0x1.f5d5ee4d6b424p-6, -0x1.99283d4099fbep-6, -0x1.3f26ab375f5a6p-6, -0x1.cfa37c9de0cb6p-7, -0x1.265343c690b27p-7, -0x1.04b8a0cf82967p-8, 0x1.c42680cfeca6p-11, 0x1.6b1538465600bp-8, 0x1.497eab6b589bfp-7, 0x1.d8219b98db656p-7, 0x1.30bb8ad956a55p-6, 0x1.72c1b1aa3862dp-6, 0x1.b225b5fec67bcp-6, 0x1.eeea5935da048p-6, 0x1.1489547f8fccap-5, 0x1.3050ff081e037p-5, 0x1.4acdfd6e1c283p-5, 0x1.640245261749fp-5, 0x1.7befef3c2f31ap-5, 0x1.929937b047e34p-5, 0x1.a8007cd19b08fp-5, 0x1.bc283e9929e89p-5, 0x1.cf131e02c3e5dp-5, 0x1.e0c3dc6456f8p-5, 0x1.f13d5ac331101p-5, 0x1.00414c9383ee3p-4, 0x1.074b5af53f377p-4, 0x1.0dbe768481901p-4, 0x1.139c4bb4f2a86p-4, 0x1.18e6951436132p-4, 0x1.1d9f1aec77a7fp-4, 0x1.21c7b2e56bb99p-4, 0x1.25623fa3c0d4ep-4, 0x1.2870b066f989dp-4, 0x1.2af500a5bb426p-4, 0x1.2cf137a88ce07p-4, 0x1.2e67682316bbp-4, 0x1.2f59afcbe3453p-4, 0x1.2fca36f2b711fp-4, 0x1.2fbb301583e5bp-4, 0x1.2f2ed77417bb4p-4, 0x1.2e2772a289528p-4, 0x1.2ca7501a84ef6p-4, 0x1.2ab0c6cb8b965p-4, 0x1.284635aa34f49p-4, 0x1.256a033e9cc4fp-4, 0x1.221e9d320d1c1p-4, 0x1.1e6677dbfc4cep-4, 0x1.1a440dce89adp-4, 0x1.15b9df6286f15p-4, 0x1.10ca72433a1e1p-4, 0x1.0b7850f9eb645p-4, 0x1.05c60a7962a2fp-4, 0x1.ff6c6352ef1adp-5, 0x1.f296b9e590593p-5, 0x1.e5104b9587479p-5, 0x1.d6de508039274p-5, 0x1.c806050f92eb2p-5, 0x1.b88ca91555038p-5, 0x1.a8777ee7f74dfp-5, 0x1.97cbca814f611p-5, 0x1.868ed09f4a20ep-5, 0x1.74c5d5e6d7389p-5, 0x1.62761e095001dp-5, 0x1.4fa4eaec8ea12p-5, 0x1.3c577bd5e422bp-5, 0x1.28930c981ed97p-5, 0x1.145cd4c4e2cc4p-5, 0x1.ff740dc2e161ap-6, 0x1.d55f9f3e18046p-6, 0x1.aa86aa2e6452dp-6, 0x1.7ef36c17965c4p-6, 0x1.52b01256f05a1p-6, 0x1.25c6b8b43e7c6p-6, 0x1.f082cff79b074p-7, 0x1.94542942aebf5p-7, 0x1.37153ad8780ebp-7, 0x1.b1b328b527ce4p-8, 0x1.e6d253f15a38p-9, 0x1.9b969156341b2p-11, -0x1.1c13e0de42c8cp-9, -0x1.50e79e8379244p-8, -0x1.0a80960a6fd14p-7, -0x1.6d190258a0ce1p-7, -0x1.d02b07bf31bap-7, -0x1.19d26cc70ac12p-6, -0x1.4bba7657226bbp-6, -0x1.7dc4fcb40939dp-6, -0x1.afe97e8a1129p-6, -0x1.e21f9ddb748cep-6, -0x1.0a2f9061a206dp-5, -0x1.234ff916cdc8ap-5, -0x1.3c6d114298e16p-5, -0x1.5582f42b0ed01p-5, -0x1.6e8dd0730f07dp-5, -0x1.8789e861207fap-5, -0x1.a07392210d4fp-5, -0x1.b947380047bfbp-5, -0x1.d20158a536bc2p-5, -0x1.ea9e87415c969p-5, -0x1.018db5df491b3p-4, -0x1.0dba617393c2dp-4, -0x1.19d3af44a5ff2p-4, -0x1.25d812cac51a5p-4, -0x1.31c60a1c4674bp-4, -0x1.3d9c1df820511p-4, -0x1.4958e1ce3643ap-4, -0x1.54faf3c55dbdfp-4, -0x1.6080fcbf3cd9ep-4, -0x1.6be9b059fe1bap-4, -0x1.7733ccefe95abp-4, -0x1.825e1b94f5dfbp-4, -0x1.8d677012571fp-4, -0x1.984ea8e01ded5p-4, -0x1.a312af1cec982p-4, -0x1.adb27683d8cc7p-4, -0x1.b82cfd6088514p-4, -0x1.c2814c8187e12p-4, -0x1.ccae7728fa379p-4, -0x1.d6b39afba5d5ap-4, -0x1.e08fdfee6fe9cp-4, -0x1.ea42783250abcp-4, -0x1.f3caa01ee0d74p-4, -0x1.fd279e1b625cfp-4, -0x1.032c61434a9b2p-3, -0x1.07aeb3ce8ac18p-3, -0x1.0c1a78af547c6p-3, -0x1.106f66b91aa32p-3, -0x1.14ad398456693p-3, -0x1.18d3b15f701fcp-3, -0x1.1ce2933f20812p-3, -0x1.20d9a8ae5c1eep-3, -0x1.24b8bfbdc48b7p-3, -0x1.287faaf2aaaecp-3, -0x1.2c2e4135a86f5p-3, -0x1.2fc45dc0d8b76p-3, -0x1.3341e00daeb91p-3, -0x1.36a6abc27e07bp-3, -0x1.39f2a89fa9da6p-3, -0x1.3d25c26c979dp-3, -0x1.403fe8e44a6c7p-3, -0x1.43410fa1d378bp-3, -0x1.46292e0c7c094p-3, -0x1.48f83f43c3859p-3, -0x1.4bae420b2a7a2p-3, -0x1.4e4b38b5dd10fp-3, -0x1.50cf29122e0adp-3, -0x1.533a1c54ff3fap-3, -0x1.558c1f050eda6p-3, -0x1.57c540e624ea3p-3, -0x1.59e594e441d5p-3, -0x1.5bed30feb50a3p-3, -0x1.5ddc2e3332d3ep-3, -0x1.5fb2a868e5c2ap-3, -0x1.6170be5b82bc8p-3, -0x1.631691865d0c3p-3, -0x1.64a4460f9311p-3, -0x1.661a02b334c6ep-3, -0x1.6777f0ae89f8cp-3, -0x1.68be3bab6766dp-3, -0x1.69ed11ab9badp-3, -0x1.6b04a2f47a113p-3, -0x1.6c0521fa8339cp-3, -0x1.6ceec34d2bcc5p-3, -0x1.6dc1bd82caa16p-3, -0x1.6e7e4924b2f2fp-3, -0x1.6f24a09b6d54dp-3, -0x1.6fb5001b28f7dp-3, -0x1.702fa5905482bp-3, -0x1.7094d08c69ef3p-3, -0x1.70e4c232f2b26p-3, -0x1.711fbd26b9a2fp-3, -0x1.7146057739908p-3, -0x1.7157e08e488c2p-3, -0x1.7155951dfb7dp-3, -0x1.713f6b0ec03ddp-3, -0x1.7115ab6dc521ep-3, -0x1.70d8a05b95418p-3, -0x1.708894fafc059p-3, -0x1.7025d5602aabap-3, -0x1.6fb0ae8021854p-3, -0x1.6f296e2060764p-3, -0x1.6e9062c6da4d5p-3, -0x1.6de5dbaa38279p-3, -0x1.6d2a28a258a47p-3, -0x1.6c5d9a19254d5p-3, -0x1.6b8080fbaad6dp-3, -0x1.6a932eab7b44fp-3, -0x1.6995f4f0601b2p-3, -0x1.688925ea558dap-3, -0x1.676d1403d158ep-3, -0x1.664211e4553dfp-3, -0x1.6508726355f0ap-3, -0x1.63c0887b615a3p-3, -0x1.626aa73da057p-3, -0x1.610721c59b4ddp-3, -0x1.5f964b2d52571p-3, -0x1.5e1876819ca3ep-3, -0x1.5c8df6b6e0bc4p-3, -0x1.5af71e9e088d3p-3, -0x1.595440d9d2b46p-3, -0x1.57a5afd46401ap-3, -0x1.55ebbdb530eeap-3, -0x1.5426bc572589ep-3, -0x1.5256fd3f28dd6p-3, -0x1.507cd192db433p-3, -0x1.4e988a0faaee8p-3, -0x1.4caa770230952p-3, -0x1.4ab2e83dcfd3dp-3, -0x1.48b22d14a79e1p-3, -0x1.46a8944fc74ap-3, -0x1.44966c27ae605p-3, -0x1.427c023d10273p-3, -0x1.4059a391dd8cp-3, -0x1.3e2f9c8298ef7p-3, -0x1.3bfe38bfeb096p-3, -0x1.39c5c3487b87bp-3, -0x1.378686630f29fp-3, -0x1.3540cb98e6137p-3, -0x1.32f4dbb05f9a8p-3, -0x1.30a2fea7d7447p-3, -0x1.2e4b7bb0c81fcp-3, -0x1.2bee992b2e926p-3, -0x1.298c9ca120b0ap-3, -0x1.2725cac2acf37p-3, -0x1.24ba6761ee957p-3, -0x1.224ab56f5cdffp-3, -0x1.1fd6f6f659ccap-3, -0x1.1d5f6d19f3ab5p-3, -0x1.1ae45811d9cd1p-3, -0x1.1865f7279cd39p-3, -0x1.15e488b406c19p-3, -0x1.13604a1cc315bp-3, -0x1.10d977d224ce2p-3, -0x1.0e504d4d30269p-3, -0x1.0bc5050dc9485p-3, -0x1.0937d8991c268p-3, -0x1.06a900782befdp-3, -0x1.0418b43698282p-3, -0x1.01872a61840fdp-3, -0x1.fde9310d78fefp-4, -0x1.f8c26667e3fc5p-4, -0x1.f39a5bec60d51p-4, -0x1.ee7176b2e3d17p-4, -0x1.e94819d0c0dcap-4, -0x1.e41ea6587c052p-4, -0x1.def57b59de997p-4, -0x1.d9ccf5e25d305p-4, -0x1.d4a570fdb5fdbp-4, -0x1.cf7f45b6eaa19p-4, -0x1.ca5acb196cfbbp-4, -0x1.c53856328ed87p-4, -0x1.c0183a1332b5ep-4, -0x1.bafac7d1ba1a8p-4, -0x1.b5e04e8c2dfa9p-4, -0x1.b0c91b6aa12abp-4, -0x1.abb579a1c4152p-4, -0x1.a6a5b275b6013p-4, -0x1.a19a0d3d04182p-4, -0x1.9c92cf63d7eap-4, -0x1.97903c6f58159p-4, -0x1.929296013bf44p-4, -0x1.8d9a1bdb7c4e3p-4, -0x1.88a70be43d397p-4, -0x1.83b9a229d71dep-4, -0x1.7ed218e7055e1p-4, -0x1.79f0a88742bdcp-4, -0x1.751587ab3a5d7p-4, -0x1.7040eb2d6a525p-4, -0x1.6b730626d47dbp-4, -0x1.66ac09f3de5dbp-4, -0x1.61ec26393e691p-4, -0x1.5d3388e90e89fp-4, -0x1.58825e47f0e48p-4, -0x1.53d8d0f253c03p-4, -0x1.4f3709e1c4ed8p-4, -0x1.4a9d30725b27ap-4, -0x1.460b6a6836294p-4, -0x1.4181dbf50e958p-4, -0x1.3d00a7bdd7a5fp-4, -0x1.3887eee06ccf4p-4, -0x1.3417d0f953cdcp-4, -0x1.2fb06c2983f8dp-4, -0x1.2b51dd1c3d3f5p-4, -0x1.26fc3f0ceef83p-4, -0x1.22afabcd18319p-4, -0x1.1e6c3bca43cb4p-4, -0x1.1a320613f8139p-4, -0x1.16012061bf5f6p-4, -0x1.11d99f192072fp-4, -0x1.0dbb9553b17bp-4, -0x1.09a714e519416p-4, -0x1.059c2e611e474p-4, -0x1.019af121b4fe7p-4, -0x1.fb46d69a0bd5cp-5, -0x1.f36b53b70138p-5, -0x1.eba3713bc1254p-5, -0x1.e3ef448665039p-5, -0x1.dc4ee0bdb5edep-5, -0x1.d4c256dd2b991p-5, -0x1.cd49b5c0cf6c2p-5, -0x1.c5e50a3139a27p-5, -0x1.be945eef5ddf9p-5, -0x1.b757bcc058d1ep-5, -0x1.b02f2a793075cp-5, -0x1.a91aad0a7b042p-5, -0x1.a21a478bfa9e7p-5, -0x1.9b2dfb4820b3cp-5, -0x1.9455c7c783532p-5, -0x1.8d91aadc2e9a1p-5, -0x1.86e1a0acf4616p-5, -0x1.8045a3c097ac3p-5, -0x1.79bdad08d7043p-5, -0x1.7349b3ed718ecp-5, -0x1.6ce9ae57083f4p-5, -0x1.669d90b9dd417p-5, -0x1.60654e207dee9p-5, -0x1.5a40d836590dbp-5, -0x1.54301f5225eebp-5, -0x1.4e33128037d0dp-5, -0x1.48499f8cb3bc3p-5, -0x1.4273b30da438fp-5, -0x1.3cb1386cea8c6p-5, -0x1.370219f21ad99p-5, -0x1.316640cc291bdp-5, -0x1.2bdd951afee8fp-5, -0x1.2667fdf8ec41ep-5, -0x1.21056183f7503p-5, -0x1.1bb5a4e70e3bep-5, -0x1.1678ac63070adp-5, -0x1.114e5b5795a6p-5, -0x1.0c36944c09ed8p-5, -0x1.073138f7f1a6ep-5, -0x1.023e2a4b9c28dp-5, -0x1.faba90f0dd0f6p-6, -0x1.f11ce5f2481b5p-6, -0x1.e7a31133bb96p-6, -0x1.de4ccf00287c5p-6, -0x1.d519da64c057p-6, -0x1.cc09ed404deaap-6, -0x1.c31cc05241e7bp-6, -0x1.ba520b496c926p-6, -0x1.b1a984d27a30ep-6, -0x1.a922e2a6242f1p-6, -0x1.a0bdd9972725ap-6, -0x1.987a1d9fce9ffp-6, -0x1.905761ef63533p-6, -0x1.885558f748697p-6, -0x1.8073b477aff37p-6, -0x1.78b2258c3a3d4p-6, -0x1.71105cb82e66ep-6, -0x1.698e09f278945p-6, -0x1.622adcb16ae52p-6, -0x1.5ae683f623a5cp-6, -0x1.53c0ae57c6772p-6, -0x1.4cb90a0e68c32p-6, -0x1.45cf44fdaf60ap-6, -0x1.3f030cbf41fecp-6, -0x1.38540eacf0747p-6, -0x1.31c1f7ea80ce1p-6, -0x1.2b4c756f69a6ep-6, -0x1.24f334102d835p-6, -0x1.1eb5e087729d3p-6, -0x1.1894277eecf2ap-6, -0x1.128db5980b1c6p-6, -0x1.0ca237744d4b1p-6, -0x1.06d159bd8673p-6, -0x1.011ac92db607fp-6, -0x1.f6fc652d73376p-7, -0x1.ebf685d3ce896p-7, -0x1.e1234e7e3d97fp-7, -0x1.d68219b7e6f8dp-7, -0x1.cc124274cc1e7p-7, -0x1.c1d3241efb0acp-7, -0x1.b7c41aa35c15dp-7, -0x1.ade4827df5c89p-7, -0x1.a433b8c5df167p-7, -0x1.9ab11b38b184ep-7, -0x1.915c0845a1406p-7, -0x1.8833df18503bdp-7, -0x1.7f37ffa300de5p-7, -0x1.7667caa8662d6p-7, -0x1.6dc2a1c57dd1p-7, -0x1.6547e77a6b5b7p-7, -0x1.5cf6ff3398877p-7, -0x1.54cf4d51d551bp-7, -0x1.4cd03732c1418p-7, -0x1.44f9233850facp-7, -0x1.3d4978d066cfcp-7, -0x1.35c0a07bd27c2p-7, -0x1.2e5e03d51f78dp-7, -0x1.27210d96f22ap-7, -0x1.200929a2465dbp-7, -0x1.1915c5043e0c4p-7, -0x1.12464dfb9575fp-7, -0x1.0b9a33fdf72a1p-7, -0x1.0510e7bcd921ap-7, -0x1.fd53b6548b2c6p-8, -0x1.f0c902fa0b4f9p-8, -0x1.e4809e6a06a59p-8, -0x1.d879743e1e12dp-8, -0x1.ccb272b0b4037p-8, -0x1.c12a8aa3f353dp-8, -0x1.b5e0afa7dc454p-8, -0x1.aad3d8001a479p-8, -0x1.a002fca92b3f3p-8, -0x1.956d195d4c3f4p-8, -0x1.8b112c98b8077p-8, -0x1.80ee379de65b1p-8, -0x1.77033e78a18a1p-8, -0x1.6d4f480170b45p-8, -0x1.63d15de0607b3p-8, -0x1.5a888c8ed370cp-8, -0x1.5173e35a3f873p-8, -0x1.48927465145p-8, -0x1.3fe354a85006bp-8, -0x1.37659bf4602efp-8, -0x1.2f1864f173c57p-8, -0x1.26facd1feeef6p-8, -0x1.1f0bf4d8372fep-8, -0x1.174aff4a51bc3p-8, -0x1.0fb7127d481bbp-8, -0x1.084f574e105edp-8, -0x1.0112f96e4924ap-8, -0x1.f4024ec57e0a8p-9, -0x1.e63225037d84cp-9, -0x1.d8b3dde1a8814p-9, -0x1.cb85e74539dbcp-9, -0x1.bea6b4a8a4c09p-9, -0x1.b214bf15df41ap-9, -0x1.a5ce8520ffac5p-9, -0x1.99d28ae0bd70fp-9, -0x1.8e1f59e985d11p-9, -0x1.82b38144a4401p-9, -0x1.778d95699ae6ep-9, -0x1.6cac30366a1f7p-9, -0x1.620df0e6f000cp-9, -0x1.57b17c0caaff7p-9, -0x1.4d957b85e99ffp-9, -0x1.43b89e74a2e7p-9, -0x1.3a19993510dd8p-9, -0x1.30b72553f9737p-9, -0x1.27900184b1952p-9, -0x1.1ea2f19779c1bp-9, -0x1.15eebe6dec5dbp-9, -0x1.0d7235f1b4ec6p-9, -0x1.052c2b08db7acp-9, -0x1.fa36eb164a063p-10, -0x1.ea7de46cce92cp-10, -0x1.db2b0547a7b51p-10, -0x1.cc3c1a776c54fp-10, -0x1.bdaefa5448a71p-10, -0x1.af8184a61147cp-10, -0x1.a1b1a28c781cdp-10, -0x1.943d46666a2b2p-10, -0x1.87226bba0f8d4p-10, -0x1.7a5f171bd9593p-10, -0x1.6df15615723f5p-10, -0x1.61d73f0da6dc7p-10, -0x1.560ef12d9abe9p-10, -0x1.4a969449701ddp-10, -0x1.3f6c58c4bb397p-10, -0x1.348e777ae0e22p-10, -0x1.29fb31a3e98a5p-10, -0x1.1fb0d0bbfd822p-10, -0x1.15ada6688d997p-10, -0x1.0bf00c5f3bddap-10, -0x1.0276644b7017fp-10, -0x1.f27e2f69fc3b3p-11, -0x1.e0912fcb05261p-11, -0x1.cf22bb9eb1384p-11, -0x1.be2fd3e5ad849p-11, -0x1.adb5888a3efacp-11, -0x1.9db0f82b5f01dp-11, -0x1.8e1f4fea7bd6p-11, -0x1.7efdcb361fd22p-11, -0x1.7049b399380a3p-11, -0x1.62006084801ap-11, -0x1.541f371f18454p-11, -0x1.46a3aa109b82p-11, -0x1.398b39507f12ep-11, -0x1.2cd371f31c7fap-11, -0x1.2079edf70002fp-11, -0x1.147c541358ff9p-11, -0x1.08d85786ac36dp-11, -0x1.fb176fc9978acp-12, -0x1.e52881cc92daep-12, -0x1.cfdf946f191cap-12, -0x1.bb386e906054fp-12, -0x1.a72eee35dfd5ep-12, -0x1.93bf082d32e34p-12, -0x1.80e4c7aacd8a4p-12, -0x1.6e9c4ded0e5d5p-12, -0x1.5ce1d1dfef2bp-12, -0x1.4bb19fbece696p-12, -0x1.3b0818b8dca08p-12, -0x1.2ae1b29772042p-12, -0x1.1b3af7616fe72p-12, -0x1.0c108504a1e83p-12, -0x1.fabe19f600c1bp-13, -0x1.de46a7e7a257bp-13, -0x1.c2b462fa5618bp-13, -0x1.a8011f5c2382bp-13, -0x1.8e26d59f304b9p-13, -0x1.751fa2165e8cbp-13, -0x1.5ce5c42c62ff9p-13, -0x1.45739dbd6bdaep-13, -0x1.2ec3b278583b8p-13, -0x1.18d0a7393e623p-13, -0x1.0395416e39d8bp-13, -0x1.de18ccec68ea7p-14, -0x1.b66236137ed92p-14, -0x1.8ffd05390fc84p-14, -0x1.6adfbd93b6c14p-14, -0x1.47011d7ae425fp-14, -0x1.24581d3c88066p-14, -0x1.02dbee004ee73p-14, -0x1.c507f140a1d14p-15, -0x1.868fb91cdbba7p-15, -0x1.4a3edd7a20be1p-15, -0x1.1005711747d31p-15, -0x1.afa7dacd6e9e9p-16, -0x1.433660f2e8fe7p-16, -0x1.b531ebafa5678p-17, -0x1.d6cb6e81d8216p-18, -0x1.4681179fb66d7p-20, 0x1.258ac1e43aaa7p-18, 0x1.478ff9fcbef71p-17, 0x1.f5c36b3552db8p-17, 0x1.4ec90e5698778p-16, 0x1.9f96918a46836p-16, 0x1.ed62238783647p-16, 0x1.1c218314c43bap-15, 0x1.4027ee3b082b5p-15, 0x1.62cf57055a451p-15, 0x1.8422754fd5453p-15, 0x1.a42bb6b2332a6p-15, 0x1.c2f5402ab247bp-15, 0x1.e088efc26826ep-15, 0x1.fcf05e2cf8794p-15, 0x1.0c1a702bcf21ap-14, 0x1.192fc48064da2p-14, 0x1.25bc951941c49p-14, 0x1.31c52b696f6ebp-14, 0x1.3d4db20a5c4a1p-14, 0x1.485a357919f9ap-14, 0x1.52eea4c963078p-14, 0x1.5d0ed25ab435cp-14, 0x1.66be74875c88cp-14, 0x1.70012651fc236p-14, 0x1.78da6811d140bp-14, 0x1.814da013fa5bbp-14, 0x1.895e1b4259ac7p-14, 0x1.910f0dc317a76p-14, 0x1.98639395a3fedp-14, 0x1.9f5eb12abb954p-14, 0x1.a6035400cd4f5p-14, 0x1.ac545334d2039p-14, 0x1.b2547012e72bp-14, 0x1.b80656a7cce86p-14, 0x1.bd6c9e4ab964fp-14, 0x1.c289ca24eef4ep-14, 0x1.c76049ba41d38p-14, 0x1.cbf2796bca478p-14, 0x1.d042a2f89c933p-14, 0x1.d452fdfa5bd84p-14, 0x1.d825b0640ba42p-14, 0x1.dbbccef6f00d6p-14, 0x1.df1a5dbba6ae6p-14, 0x1.e24050736c6cp-14, 0x1.e5308b0c2e68ap-14, 0x1.e7ece20e16d51p-14, 0x1.ea771b07f9862p-14, 0x1.ecd0ecfacb8bdp-14, 0x1.eefc00be9dda8p-14, 0x1.f0f9f1691b43cp-14, 0x1.f2cc4cb254495p-14, 0x1.f47493540f9dfp-14, 0x1.f5f4396981548p-14, 0x1.f74ca6cb7f246p-14, 0x1.f87f376bbfaeap-14, 0x1.f98d3babff85fp-14, 0x1.fa77f8b4bbedbp-14, 0x1.fb40a8ca2b3cep-14, 0x1.fbe87b9e9e52cp-14, 0x1.fc7096a27659dp-14, 0x1.fcda155259fb9p-14, 0x1.fd2609855a5dep-14, 0x1.fd557bb5f5133p-14, 0x1.fd696b4baf2a3p-14, 0x1.fd62cee23b896p-14, 0x1.fd42948f2c65p-14, 0x1.fd09a225dcf15p-14, 0x1.fcb8d578d45dp-14, 0x1.fc51049ac784fp-14, 0x1.fbd2fe1cefe8cp-14, 0x1.fb3f894be852p-14, 0x1.fa97666b19fd2p-14, 0x1.f9db4eef55305p-14, 0x1.f90bf5b79ca75p-14, 0x1.f82a0743a954ap-14, 0x1.f73629e958b6ap-14, 0x1.f630fe0a195fbp-14, 0x1.f51b1e436e167p-14, 0x1.f3f51fa1e5a9ep-14, 0x1.f2bf91d0ff8b2p-14, 0x1.f17aff4a1d34ep-14, 0x1.f027ed81e7425p-14, 0x1.eec6dd13dff2ep-14, 0x1.ed5849eede112p-14, 0x1.ebdcab7cbb446p-14, 0x1.ea5474cc5c10ep-14, 0x1.e8c014b8abd1ep-14, 0x1.e71ff60f21ce6p-14, 0x1.e5747fb5875a5p-14, 0x1.e3be14cd3e74cp-14, 0x1.e1fd14d7475a1p-14, 0x1.e031dbd5791c8p-14, 0x1.de5cc26b90ceep-14, 0x1.dc7e1dff6c1c5p-14, 0x1.da9640d8b75d5p-14, 0x1.d8a57a3e3c976p-14, 0x1.d6ac1693bb647p-14, 0x1.d4aa5f75d1762p-14, 0x1.d2a09bd5f1816p-14, 0x1.d08f1015094c3p-14, 0x1.ce75fe1c3a22cp-14, 0x1.cc55a5768d806p-14, 0x1.ca2e43694a70ap-14, 0x1.c800130b812d5p-14, 0x1.c5cb4d5bfdcf8p-14, 0x1.c39029575438bp-14, 0x1.c14edc0da954cp-14, 0x1.bf0798b6b8329p-14, 0x1.bcba90c4b8af2p-14, 0x1.ba67f3f7fc122p-14, 0x1.b80ff07253a01p-14, 0x1.b5b2b2c853888p-14, 0x1.b3506611fe82fp-14, 0x1.b0e933fbe11b3p-14, 0x1.ae7d44d715c57p-14, 0x1.ac0cbfa88bcb4p-14, 0x1.a997ca374568ap-14, 0x1.a71e891ba9885p-14, 0x1.a4a11fccfd858p-14, 0x1.a21fb0aee1172p-14, 0x1.9f9a5d1d95d31p-14, 0x1.9d11457a1f3dep-14, 0x1.9a8489374ed74p-14, 0x1.97f446e4485aep-14, 0x1.95609c36c9795p-14, 0x1.92c9a616d5e45p-14, 0x1.902f80a86f755p-14, 0x1.8d92475593aep-14, 0x1.8af214d69d6abp-14, 0x1.884f033bfc215p-14, 0x1.85a92bf6b3d77p-14, 0x1.8300a7e034a85p-14, 0x1.80558f41dd15ep-14, 0x1.7da7f9dcd895dp-14, 0x1.7af7fef18de35p-14, 0x1.7845b545f2219p-14, 0x1.7591332c2ff08p-14, 0x1.72da8e893d64ap-14, 0x1.7021dcdab395p-14, 0x1.6d67333c1ae93p-14, 0x1.6aaaa66c1bd73p-14, 0x1.67ec4ad267eafp-14, 0x1.652c3483e973ap-14, 0x1.626a7747ae8a3p-14, 0x1.5fa7269b8955cp-14, 0x1.5ce255b80c055p-14, 0x1.5a1c1794008f5p-14, 0x1.57547ee8d5cd3p-14, 0x1.548b9e357c7c8p-14, 0x1.51c187c1f7228p-14, 0x1.4ef64da2c41b5p-14, 0x1.4c2a01bbb505cp-14, 0x1.495cb5c2b062fp-14, 0x1.468e7b41f6312p-14, 0x1.43bf639b2fe83p-14, 0x1.40ef80093e00fp-14, 0x1.3e1ee1a271088p-14, 0x1.3b4d995a54458p-14, 0x1.387bb803dd3f8p-14, 0x1.35a94e5325d13p-14, 0x1.32d66cdec3279p-14, 0x1.300324212c3ddp-14, 0x1.2d2f847a1051fp-14, 0x1.2a5b9e2fde589p-14, 0x1.27878170fdb79p-14, 0x1.24b33e5434c71p-14, 0x1.21dee4d9b9037p-14, 0x1.1f0a84ec6967bp-14, 0x1.1c362e6207884p-14, 0x1.1961f0fc3e0b5p-14, 0x1.168ddc6925f75p-14, 0x1.13ba0043a6b73p-14, 0x1.10e66c13a4f0cp-14, 0x1.0e132f4ea926fp-14, 0x1.0b405957e40c6p-14, 0x1.086df9808b49cp-14, 0x1.059c1f07c0fdcp-14, 0x1.02cad91afd7bep-14, 0x1.fff46dac153a7p-15, 0x1.fa548e85764ecp-15, 0x1.f4b632b216734p-15, 0x1.ef1977fe22b24p-15, 0x1.e97e7c1160e0ap-15, 0x1.e3e55c6e6e808p-15, 0x1.de4e3672d3217p-15, 0x1.d8b92756dd11p-15, 0x1.d3264c2bd4e8cp-15, 0x1.cd95c1dc35c21p-15, 0x1.c807a52ae70e1p-15, 0x1.c27c12b22eba3p-15, 0x1.bcf326e2a0cfep-15, 0x1.b76cfe033e704p-15, 0x1.b1e9b42f30af7p-15, 0x1.ac696555eacedp-15, 0x1.a6ec2d39caf4dp-15, 0x1.a172276eed55fp-15, 0x1.9bfb6f5ae3117p-15, 0x1.96882032dba7fp-15, 0x1.911854fad7fa6p-15, 0x1.8bac2884aecf1p-15, 0x1.8643b56ebb96dp-15, 0x1.80df1622ef8dep-15, 0x1.7b7e64d595c34p-15, 0x1.7621bb84a0647p-15, 0x1.70c933f5f01bep-15, 0x1.6b74e7b64a888p-15, 0x1.6624f018bd27ep-15, 0x1.60d9663526ff7p-15, 0x1.5b9262e6d052dp-15, 0x1.564ffecc48c59p-15, 0x1.5112524536bfep-15, 0x1.4bd975714e9e8p-15, 0x1.46a580305594fp-15, 0x1.41768a2008d8bp-15, 0x1.3c4caa9b4e778p-15, 0x1.3727f8b9a30ffp-15, 0x1.32088b4d66975p-15, 0x1.2cee78e31a83fp-15, }}, 
      {{-0x1.bc5456d2b06eap-1, -0x1.bc323f8d114c9p-1, -0x1.bbf942409d955p-1, -0x1.bba91f32abdf6p-1, -0x1.bb4180f8e40bcp-1, -0x1.bac1ffbe61862p-1, -0x1.ba2a24e5e432fp-1, -0x1.b9796ed08e6ddp-1, -0x1.b8af549c1f23ap-1, -0x1.b7cb49b62b64ep-1, -0x1.b6ccc12ba0a0ep-1, -0x1.b5b330a4ca925p-1, -0x1.b47e1305ce66cp-1, -0x1.b32ceab19e7e4p-1, -0x1.b1bf4371bab26p-1, -0x1.b034b407bd331p-1, -0x1.ae8cdf6f24cb3p-1, -0x1.acc775d6503a2p-1, -0x1.aae43555a43c9p-1, -0x1.a8e2ea6b9571bp-1, -0x1.a6c37043f9bf8p-1, -0x1.a485b0d0af4c7p-1, -0x1.a229a4b959bf7p-1, -0x1.9faf5327b55d9p-1, -0x1.9d16d175b3f85p-1, -0x1.9a6042c258f35p-1, -0x1.978bd771fd5a5p-1, -0x1.9499cc9e4a9d6p-1, -0x1.918a6b79e6c2ep-1, -0x1.8e5e08ab61561p-1, -0x1.8b1503a28eecap-1, -0x1.87afc5eb139dap-1, -0x1.842ec27e787b5p-1, -0x1.80927517bf3d6p-1, -0x1.7cdb618a0d594p-1, -0x1.790a131baf5e6p-1, -0x1.751f1be668051p-1, -0x1.711b143db870dp-1, -0x1.6cfe9a1b97bc3p-1, -0x1.68ca5093da053p-1, -0x1.647edf4e62057p-1, -0x1.601cf2081513ap-1, -0x1.5ba5381a71abdp-1, -0x1.5718640995ea3p-1, -0x1.52772b1876a3ap-1, -0x1.4dc244e2fde1fp-1, -0x1.48fa6afdc2eacp-1, -0x1.4420589b13085p-1, -0x1.3f34ca34f7f3fp-1, -0x1.3a387d3bf7ef4p-1, -0x1.352c2fca43ae6p-1, -0x1.3010a05b198f9p-1, -0x1.2ae68d861b0ddp-1, -0x1.25aeb5be62bcp-1, -0x1.2069d7152c2a1p-1, -0x1.1b18aeffdd1b3p-1, -0x1.15bbfa21509a3p-1, -0x1.105474163c57ep-1, -0x1.0ae2d74494d5cp-1, -0x1.0567dcadd5c1bp-1, -0x1.ffc877882990fp-2, -0x1.f4b1548392318p-2, -0x1.e98bb8086aaf2p-2, -0x1.de5905d0babdap-2, -0x1.d31a9d54f3667p-2, -0x1.c7d1d98fa80c7p-2, -0x1.bc8010c5fb9eap-2, -0x1.b12694549c98dp-2, -0x1.a5c6b0813178p-2, -0x1.9a61ac500f605p-2, -0x1.8ef8c95e1987cp-2, -0x1.838d43bea391bp-2, -0x1.782051dd37325p-2, -0x1.6cb324630d98fp-2, -0x1.6146e620223edp-2, -0x1.55dcbbf7ac151p-2, -0x1.4a75c4cfde495p-2, -0x1.3f131984c3538p-2, -0x1.33b5ccde08f62p-2, -0x1.285eeb8799907p-2, -0x1.1d0f7c0cd1106p-2, -0x1.11c87ed62f2b7p-2, -0x1.068aee2952881p-2, -0x1.f6af7c563dep-3, -0x1.e05fb9c7bfd8p-3, -0x1.ca28648a8af8ap-3, -0x1.b40b40641fa59p-3, -0x1.9e0a050e968c2p-3, -0x1.88265e4de80f2p-3, -0x1.7261ec07bcd9p-3, -0x1.5cbe425d910c3p-3, -0x1.473ce9c8d9242p-3, -0x1.31df5f38faca7p-3, -0x1.1ca71432d5e4bp-3, -0x1.07956ef1a9146p-3, -0x1.e55795124b5c2p-4, -0x1.bbd6ee10e967p-4, -0x1.92ab733c188bep-4, -0x1.69d799784814p-4, -0x1.415dc07b4d13dp-4, -0x1.19403316e8ca8p-4, -0x1.e3024f078f073p-5, -0x1.94457f5949e16p-5, -0x1.464e12f2df9f5p-5, -0x1.f23ffc68dcd14p-6, -0x1.597e1d46da251p-6, -0x1.84bbadfacf70ap-7, -0x1.6731651359d16p-9, 0x1.9b88a3e66405bp-8, 0x1.f1e974592068dp-7, 0x1.894b5f579a03p-6, 0x1.0bf01be7f1939p-5, 0x1.5256d465c8f1bp-5, 0x1.97d72e29928cdp-5, 0x1.dc6ea01b91c42p-5, 0x1.100d61429a7bcp-4, 0x1.316ca748373f1p-4, 0x1.52540ee4a616ap-4, 0x1.72c294d0e2243p-4, 0x1.92b7457bd83bfp-4, 0x1.b2313cce6e8b1p-4, 0x1.d12fa5f0933f2p-4, 0x1.efb1bb0f452a2p-4, 0x1.06db6291c4ae9p-3, 0x1.159f0ddd2a1edp-3, 0x1.2423925e99442p-3, 0x1.3268aa1de8e04p-3, 0x1.406e161b1e07dp-3, 0x1.4e339e33e2e97p-3, 0x1.5bb911094e817p-3, 0x1.68fe43e5f7f2cp-3, 0x1.760312a44853bp-3, 0x1.82c75f950f549p-3, 0x1.8f4b136643e13p-3, 0x1.9b8e1d09fedp-3, 0x1.a790719d9298ep-3, 0x1.b3520c50cd438p-3, 0x1.bed2ee4d5216ap-3, 0x1.ca131e9e0cc8ep-3, 0x1.d512aa16b1026p-3, 0x1.dfd1a33b49b39p-3, 0x1.ea502227d137cp-3, 0x1.f48e4477c26e4p-3, 0x1.fe8c2d2db8c7ap-3, 0x1.0425024d7cba1p-2, 0x1.08e3fc237eb9dp-2, 0x1.0d831d6b7a4dfp-2, 0x1.120281fa94ea7p-2, 0x1.1662481c34fd3p-2, 0x1.1aa29085a517fp-2, 0x1.1ec37e49b011bp-2, 0x1.22c536cc2f145p-2, 0x1.26a7e1b59264p-2, 0x1.2a6ba8e655eb1p-2, 0x1.2e10b86a73222p-2, 0x1.31973e6cbd6bap-2, 0x1.34ff6b2a3a7a2p-2, 0x1.384970e56a704p-2, 0x1.3b7583d986547p-2, 0x1.3e83da2db3149p-2, 0x1.4174abe82bbe4p-2, 0x1.444832e16047cp-2, 0x1.46feaab70d4f6p-2, 0x1.499850bf4a9e5p-2, 0x1.4c1563fb9545fp-2, 0x1.4e76250bd2b36p-2, 0x1.50bad6214eecdp-2, 0x1.52e3baf1b97c9p-2, 0x1.54f118aa202a2p-2, 0x1.56e335e1e8603p-2, 0x1.58ba5a8dca564p-2, 0x1.5a76cff2d09f4p-2, 0x1.5c18e09959eb9p-2, 0x1.5da0d8401fa14p-2, 0x1.5f0f03cf4854dp-2, 0x1.6063b14b7f176p-2, 0x1.619f2fc917f7dp-2, 0x1.62c1cf5f3f10dp-2, 0x1.63cbe11b384e8p-2, 0x1.64bdb6f3abf47p-2, 0x1.6597a3bc07cf6p-2, 0x1.6659fb17f26f9p-2, 0x1.6705116ed06b2p-2, 0x1.67993bdf65556p-2, 0x1.6816d0338962p-2, 0x1.687e24d3f96bdp-2, 0x1.68cf90bc423ffp-2, 0x1.690b6b6eca418p-2, 0x1.69320ce8f7339p-2, 0x1.6943cd9776c11p-2, 0x1.6941064aa4ed9p-2, 0x1.692a102b18582p-2, 0x1.68ff44ae51ad9p-2, 0x1.68c0fd8b8f9c2p-2, 0x1.686f94b0ca5b6p-2, 0x1.680b6437d96d9p-2, 0x1.6794c65bbd006p-2, 0x1.670c156e16cd8p-2, 0x1.6671abccccc3p-2, 0x1.65c5e3d7d817bp-2, 0x1.650917e73f794p-2, 0x1.643ba241435d2p-2, 0x1.635ddd10b80f7p-2, 0x1.6270225b8e5ffp-2, 0x1.6172cbf98d20dp-2, 0x1.6066338b3fdcap-2, 0x1.5f4ab2711116cp-2, 0x1.5e20a1c29e292p-2, 0x1.5ce85a4637fe3p-2, 0x1.5ba234689cf75p-2, 0x1.5a4e8834e1e2dp-2, 0x1.58edad4c948ecp-2, 0x1.577ffae00cfabp-2, 0x1.5605c7a6fa592p-2, 0x1.547f69d91f20fp-2, 0x1.52ed3727479c6p-2, 0x1.514f84b4722b5p-2, 0x1.4fa6a70f2e0e6p-2, 0x1.4df2f22b320d3p-2, 0x1.4c34b95b26919p-2, 0x1.4a6c4f4aa418cp-2, 0x1.489a05f8697ffp-2, 0x1.46be2eb0c869p-2, 0x1.44d91a08411f4p-2, 0x1.42eb17d6596afp-2, 0x1.40f47730a6698p-2, 0x1.3ef5866605e54p-2, 0x1.3cee92fa137dbp-2, 0x1.3adfe9a0c959ap-2, 0x1.38c9d63a5b587p-2, 0x1.36aca3cf3cec1p-2, 0x1.34889c8c601ffp-2, 0x1.325e09bfa25d2p-2, 0x1.302d33d46b521p-2, 0x1.2df662507bcap-2, 0x1.2bb9dbd0edc73p-2, 0x1.2977e60761081p-2, 0x1.2730c5b75a918p-2, 0x1.24e4beb3ce71p-2, 0x1.229413dcd88eap-2, 0x1.203f071da1798p-2, 0x1.1de5d96a70f1fp-2, 0x1.1b88cabee6b6cp-2, 0x1.19281a1c6575ep-2, 0x1.16c40588a1cd7p-2, 0x1.145cca0c5a339p-2, 0x1.11f2a3b239f7fp-2, 0x1.0f85cd85e2188p-2, 0x1.0d1681931a8c1p-2, 0x1.0aa4f8e522c69p-2, 0x1.08316b86322eap-2, 0x1.05bc107f12f52p-2, 0x1.03451dd6e4835p-2, 0x1.00ccc89300359p-2, 0x1.fca6896dfe272p-3, 0x1.f7b18a89c64efp-3, 0x1.f2baf87ab4af6p-3, 0x1.edc335404e26cp-3, 0x1.e8caa0d94a48dp-3, 0x1.e3d19944d54fp-3, 0x1.ded87a840cf74p-3, 0x1.d9df9e9bb9332p-3, 0x1.d4e75d9632946p-3, 0x1.cff00d85864cp-3, 0x1.cafa0285c4623p-3, 0x1.c6058ebf871aap-3, 0x1.c113026aa2cf5p-3, 0x1.bc22abd109b0ep-3, 0x1.b734d751d4789p-3, 0x1.b249cf6481a33p-3, 0x1.ad61dc9c4f0fep-3, 0x1.a87d45abc6a2bp-3, 0x1.a39c4f686c549p-3, 0x1.9ebf3cce9215bp-3, 0x1.99e64f054d1d2p-3, 0x1.9511c5628f481p-3, 0x1.9041dd6f5d80dp-3, 0x1.8b76d2ec28739p-3, 0x1.86b0dfd53d028p-3, 0x1.81f03c6758cb2p-3, 0x1.7d351f245205p-3, 0x1.787fbcd7d8e2cp-3, 0x1.73d0489c55fa2p-3, 0x1.6f26f3dfdb251p-3, 0x1.6a83ee6927bc1p-3, 0x1.65e7665cc5723p-3, 0x1.615188423343fp-3, 0x1.5cc27f0927444p-3, 0x1.583a740ed854cp-3, 0x1.53b98f23616p-3, 0x1.4f3ff68f2737p-3, 0x1.4acdcf18546cap-3, 0x1.46633c085b593p-3, 0x1.42005f31846e3p-3, 0x1.3da558f48718ep-3, 0x1.3952484627eb4p-3, 0x1.35074ab4e1539p-3, 0x1.30c47c6e90b9cp-3, 0x1.2c89f84628e39p-3, 0x1.2857d7b96d252p-3, 0x1.242e32f6a90c3p-3, 0x1.200d20e26ff66p-3, 0x1.1bf4b71d5ca73p-3, 0x1.17e50a09d381ap-3, 0x1.13de2cd1c05c2p-3, 0x1.0fe0316c5a7c6p-3, 0x1.0beb28a3e26b3p-3, 0x1.07ff221b5c435p-3, 0x1.041c2c544e66dp-3, 0x1.004254b474c41p-3, 0x1.f8e34f16e12e6p-4, 0x1.f1546030fae32p-4, 0x1.e9d7f1201d047p-4, 0x1.e26e1442f3e12p-4, 0x1.db16d9f9172d1p-4, 0x1.d3d250ae3bc54p-4, 0x1.cca084e54082cp-4, 0x1.c58181433ccffp-4, 0x1.be754e9a7317ap-4, 0x1.b77bf3f52c565p-4, 0x1.b09576a08759ep-4, 0x1.a9c1da3734a82p-4, 0x1.a30120ac19c41p-4, 0x1.9c534a54d68adp-4, 0x1.95b855f44110ep-4, 0x1.8f3040c4c1209p-4, 0x1.88bb06829344dp-4, 0x1.8258a175f602ep-4, 0x1.7c090a7d38786p-4, 0x1.75cc3916b409cp-4, 0x1.6fa2236aa476fp-4, 0x1.698abe54e9114p-4, 0x1.6385fd6ea8638p-4, 0x1.5d93d317d56a5p-4, 0x1.57b4308098d49p-4, 0x1.51e705b29df03p-4, 0x1.4c2c419a3f38fp-4, 0x1.4683d20f933c5p-4, 0x1.40eda3df6272p-4, 0x1.3b69a2d3f4cb1p-4, 0x1.35f7b9bdc266ep-4, 0x1.3097d27c0a3f5p-4, 0x1.2b49d60542209p-4, 0x1.260dac6f68e61p-4, 0x1.20e33cf839c0ep-4, 0x1.1bca6e0d3fa6fp-4, 0x1.16c32553c484bp-4, 0x1.11cd47b0a2e05p-4, 0x1.0ce8b94ff74c2p-4, 0x1.08155dacaf303p-4, 0x1.03531797f7088p-4, 0x1.fd43928114c2ep-5, 0x1.f402a873ba98cp-5, 0x1.eae33306562f7p-5, 0x1.e1e4f31cc516dp-5, 0x1.d907a88dde46dp-5, 0x1.d04b1230c53f6p-5, 0x1.c7aeedea0049fp-5, 0x1.bf32f8b846f44p-5, 0x1.b6d6eec115c93p-5, 0x1.ae9a8b5cfa9d2p-5, 0x1.a67d8923add56p-5, 0x1.9e7fa1f7d5227p-5, 0x1.96a08f129e77cp-5, 0x1.8ee0090f0f043p-5, 0x1.873dc7f5132fap-5, 0x1.7fb98344575abp-5, 0x1.7852f1fed7706p-5, 0x1.7109cab338481p-5, 0x1.69ddc386eb8c6p-5, 0x1.62ce924003106p-5, 0x1.5bdbec4ed9ebp-5, 0x1.550586d77572fp-5, 0x1.4e4b16babd691p-5, 0x1.47ac509f5c87bp-5, 0x1.4128e8fa8545fp-5, 0x1.3ac09418698dp-5, 0x1.34730624812bep-5, 0x1.2e3ff33198b36p-5, 0x1.28270f41a7529p-5, 0x1.22280e4d6c0d9p-5, 0x1.1c42a44bd795dp-5, 0x1.167685393f997p-5, 0x1.10c3651e5e59ap-5, 0x1.0b28f8171cc67p-5, 0x1.05a6f2592887cp-5, 0x1.003d083a564d8p-5, 0x1.f5d5dc6db483ap-6, 0x1.eb60b1ee824b4p-6, 0x1.e119faac9169ep-6, 0x1.d70120ccede7bp-6, 0x1.cd158eef2184fp-6, 0x1.c356b037b5387p-6, 0x1.b9c3f05a5ef0fp-6, 0x1.b05cbba3c7e4cp-6, 0x1.a7207f0308fefp-6, 0x1.9e0ea812cdedcp-6, 0x1.9526a52216618p-6, 0x1.8c67e53cb470fp-6, 0x1.83d1d83362d98p-6, 0x1.7b63eea3ab64ap-6, 0x1.731d99ff4f58p-6, 0x1.6afe4c9389e5ep-6, 0x1.6305798ffc0f8p-6, 0x1.5b32950d3ba4ap-6, 0x1.5385141323a29p-6, 0x1.4bfc6c9ee1b8bp-6, 0x1.449815a8bf8c3p-6, 0x1.3d5787298fcbbp-6, 0x1.363a3a1fec1e3p-6, 0x1.2f3fa8952bff1p-6, 0x1.28674da211029p-6, 0x1.21b0a573428d2p-6, 0x1.1b1b2d4d7e3e7p-6, 0x1.14a663918bd88p-6, 0x1.0e51c7bffe7c9p-6, 0x1.081cda7cb3c22p-6, 0x1.02071d9216fdap-6, 0x1.f82027e871cdfp-7, 0x1.ec6e83874058ap-7, 0x1.e0f8589fe6a44p-7, 0x1.d5bcb434d055p-7, 0x1.cabaa5b002ad1p-7, 0x1.bff13ee729c8dp-7, 0x1.b55f941f6956fp-7, 0x1.ab04bc108fafbp-7, 0x1.a0dfcfe84a55p-7, 0x1.96efeb4c91312p-7, 0x1.8d342c5e2b2a9p-7, 0x1.83abb3ba7a59fp-7, 0x1.7a55a47d53832p-7, 0x1.7131244233b3dp-7, 0x1.683d5b255c8e5p-7, 0x1.5f7973c49ef2ap-7, 0x1.56e49b3fbeeb2p-7, 0x1.4e7e0138bcdb5p-7, 0x1.4644d7d3a6ea9p-7, 0x1.3e3853b678814p-7, 0x1.3657ac083e4fcp-7, 0x1.2ea21a708caa7p-7, 0x1.2716db16377a6p-7, 0x1.1fb52c9e28949p-7, 0x1.187c5029dd42cp-7, 0x1.116b8955a1cafp-7, 0x1.0a821e36b49dap-7, 0x1.03bf575914171p-7, 0x1.fa44ff7a78215p-8, 0x1.ed55c9ab7424ap-8, 0x1.e0afad08b58cfp-8, 0x1.d4514e2ecd8acp-8, 0x1.c839568d626e4p-8, 0x1.bc667460975d5p-8, 0x1.b0d75aaab5581p-8, 0x1.a58ac12d148cep-8, 0x1.9a7f6460ed30bp-8, 0x1.8fb4057002567p-8, 0x1.85276a2cc4d36p-8, 0x1.7ad85d0a7d2cap-8, 0x1.70c5ad1522c3ap-8, 0x1.66ee2de8c854fp-8, 0x1.5d50b7a93cd1ep-8, 0x1.53ec26f916331p-8, 0x1.4abf5cf0b6aa3p-8, 0x1.41c93f152632cp-8, 0x1.3908b74ec27a2p-8, 0x1.307cb3dfad327p-8, 0x1.2824275a2a11cp-8, 0x1.1ffe0896e8d5cp-8, 0x1.180952aaebea9p-8, 0x1.104504ddb6902p-8, 0x1.08b0229ee7ca5p-8, 0x1.0149b37c1b1ep-8, 0x1.f421862d0a63p-9, 0x1.e608c230e9acfp-9, 0x1.d8474255718d4p-9, 0x1.cadb35d47887p-9, 0x1.bdc2d3b9f8786p-9, 0x1.b0fc5acf3c97dp-9, 0x1.a4861184e8752p-9, 0x1.985e45dd2c93fp-9, 0x1.8c834d565758cp-9, 0x1.80f384d47f276p-9, 0x1.75ad508c23a3p-9, 0x1.6aaf1bebafd47p-9, 0x1.5ff75985ab63cp-9, 0x1.558482fad15c5p-9, 0x1.4b5518e3e7e47p-9, 0x1.4167a2bb759d8p-9, 0x1.37baaec81d168p-9, 0x1.2e4cd2064febbp-9, 0x1.251ca81249f53p-9, 0x1.1c28d3121d596p-9, 0x1.136ffb9fffecp-9, 0x1.0af0d0b3dfe8p-9, 0x1.02aa078e09b1p-9, 0x1.f534b7423880ep-10, 0x1.e5811cf8c9305p-10, 0x1.d636cf6cb5f6bp-10, 0x1.c75369ade63d6p-10, 0x1.b8d49284a239ep-10, 0x1.aab7fc4650943p-10, 0x1.9cfb64abe585p-10, 0x1.8f9c94a6bdc23p-10, 0x1.829960376f913p-10, 0x1.75efa64322accp-10, 0x1.699d506aa4e5bp-10, 0x1.5da052e165fe1p-10, 0x1.51f6ac43a7bb2p-10, 0x1.469e656e75f4ap-10, 0x1.3b9591572bccp-10, 0x1.30da4ce3270ep-10, 0x1.266abec028f6bp-10, 0x1.1c45173cd8bd3p-10, 0x1.1267902164857p-10, 0x1.08d06c89470d8p-10, 0x1.fefbf177e308bp-11, 0x1.ecdd140e966e7p-11, 0x1.db40fd33ce524p-11, 0x1.ca247ab9daa94p-11, 0x1.b9846b9fab6c8p-11, 0x1.a95dbfc663e54p-11, 0x1.99ad77a88e8dcp-11, 0x1.8a70a412d35b8p-11, 0x1.7ba465dba3dfp-11, 0x1.6d45ed9db3b07p-11, 0x1.5f527b71ffd16p-11, 0x1.51c75eaa2e8dfp-11, 0x1.44a1f58d33e14p-11, 0x1.37dfad138989fp-11, 0x1.2b7e00a409b3dp-11, 0x1.1f7a79d239922p-11, 0x1.13d2b01dbf3ebp-11, 0x1.088448b1b6f15p-11, 0x1.fb19ec48c6d51p-12, 0x1.e5d4f0732db28p-12, 0x1.d135374695f67p-12, 0x1.bd36738c86fb4p-12, 0x1.a9d470f6a3dbp-12, 0x1.970b13abf629cp-12, 0x1.84d657cf5fe38p-12, 0x1.7332510d98f17p-12, 0x1.621b2a2a693bp-12, 0x1.518d248eafa06p-12, 0x1.418497d9524e2p-12, 0x1.31fdf171b0921p-12, 0x1.22f5b41a326a3p-12, 0x1.1468778689618p-12, 0x1.0652e7f1d7c0fp-12, 0x1.f1638b6d90199p-13, 0x1.d703c9d301f9ap-13, 0x1.bd8059e50915ep-13, 0x1.a4d330576c7f3p-13, 0x1.8cf666fca3f83p-13, 0x1.75e43c06ab572p-13, 0x1.5f971145d9e6ap-13, 0x1.4a096b7348a33p-13, 0x1.3535f17477fep-13, 0x1.21176ba932b81p-13, 0x1.0da8c337fe8aap-13, 0x1.f5ca02c0511f1p-14, 0x1.d18e9d99797fcp-14, 0x1.ae95e5d40dbbfp-14, 0x1.8cd6a6814eed3p-14, 0x1.6c47e5a023abp-14, 0x1.4ce0e2dde82bdp-14, 0x1.2e991655758ddp-14, 0x1.11682f5ab7cb1p-14, 0x1.ea8c268a2678bp-15, 0x1.b455b889ff9a7p-15, 0x1.801db073dcd13p-15, 0x1.4dd50f20ba37ap-15, 0x1.1d6d384890f5ap-15, 0x1.ddafe0a186afap-16, 0x1.840eb447e89f8p-16, 0x1.2ddbea2d7f2c9p-16, 0x1.b5fa6b3fc5ed2p-17, 0x1.16b1f50b720f2p-17, 0x1.f6b24aa317deap-19, -0x1.54649ae72153p-21, -0x1.44abc85d53b94p-18, -0x1.29b03f10bd631p-17, -0x1.ab8221fa05045p-17, -0x1.13fb909e7c46p-16, -0x1.4f9cd28e52f8p-16, -0x1.88b9785b5f192p-16, -0x1.bf65947cdd24ep-16, -0x1.f3b4adaa2df29p-16, -0x1.12dce114cd812p-15, -0x1.2ac3a58cda5cbp-15, -0x1.41979fcab6759p-15, -0x1.57618be925e28p-15, -0x1.6c29e81994c09p-15, -0x1.7ff8f6230d28bp-15, -0x1.92d6bcd8e64afp-15, -0x1.a4cb098b1f528p-15, -0x1.b5dd717081d0ep-15, -0x1.c6155304d999ep-15, -0x1.d579d7662822ep-15, -0x1.e411f3a4dc39dp-15, -0x1.f1e46a100c51ep-15, -0x1.fef7cb7aaaf97p-15, -0x1.05a93c3d472f9p-14, -0x1.0b7d514ebd6fcp-14, -0x1.10fb26ce87eecp-14, -0x1.1625a84215c6dp-14, -0x1.1affab6c54bdep-14, -0x1.1f8bf0daa0de4p-14, -0x1.23cd246fdcce7p-14, -0x1.27c5ddedba77p-14, -0x1.2b78a17c588a9p-14, -0x1.2ee7e0290b3e4p-14, -0x1.3215f86977feap-14, -0x1.350536973326cp-14, -0x1.37b7d56a39b2ep-14, -0x1.3a2ffe7037a8dp-14, -0x1.3c6fca80eb01cp-14, -0x1.3e7942313c601p-14, -0x1.404e5e4183154p-14, -0x1.41f1080bde0cdp-14, -0x1.436319ed5325ep-14, -0x1.44a65faeb90c2p-14, -0x1.45bc96ea37b9dp-14, -0x1.46a76f6d3f931p-14, -0x1.47688b9b528c8p-14, -0x1.480180cb9a99dp-14, -0x1.4873d7a560c6cp-14, -0x1.48c10c7a2172cp-14, -0x1.48ea8f9dc2a01p-14, -0x1.48f1c5bc3dc7bp-14, -0x1.48d8082d56adcp-14, -0x1.489ea547671f2p-14, -0x1.4846e0ae1ae4dp-14, -0x1.47d1f3a0e8b3bp-14, -0x1.47410d46bedb9p-14, -0x1.469552f83eabp-14, -0x1.45cfe0871e0f2p-14, -0x1.44f1c8864208p-14, -0x1.43fc148d44bc2p-14, -0x1.42efc57b88f9ap-14, -0x1.41cdd3ba275c8p-14, -0x1.40972f7a6eb22p-14, -0x1.3f4cc0f4b0343p-14, -0x1.3def68a46218dp-14, -0x1.3c7fff83559c2p-14, -0x1.3aff574289ce8p-14, -0x1.396e3a8264e78p-14, -0x1.37cd6d0890227p-14, -0x1.361dabf60270ep-14, -0x1.345fadf8c80b5p-14, -0x1.3294237ff0873p-14, -0x1.30bbb6ebc452ep-14, -0x1.2ed70cbda868bp-14, -0x1.2ce6c3c5e02b8p-14, -0x1.2aeb75508e82cp-14, -0x1.28e5b551e1abbp-14, -0x1.26d61290c829ep-14, -0x1.24bd16d08380dp-14, -0x1.229b46f87f3c6p-14, -0x1.2071233bd124ap-14, -0x1.1e3f273fc5e38p-14, -0x1.1c05ca40340d3p-14, -0x1.19c57f33d266ap-14, -0x1.177eb4ef7720ep-14, -0x1.1531d6483a17ap-14, -0x1.12df4a3404ccdp-14, -0x1.108773ea50b03p-14, -0x1.0e2ab302e28dp-14, -0x1.0bc9639427eecp-14, -0x1.0963de512c941p-14, -0x1.06fa78a59f0cp-14, -0x1.048d84d1eeb92p-14, -0x1.021d52063e6edp-14, -0x1.ff5458f94123fp-15, -0x1.fa68bb23c88bbp-15, -0x1.f57857bda03f9p-15, -0x1.f083b69faa71ep-15, -0x1.eb8b5a78e4e46p-15, -0x1.e68fc0fae936cp-15, -0x1.e19163055de8dp-15, -0x1.dc90b4d17c9e5p-15, -0x1.d78e26199b54ep-15, -0x1.d28a22411f29fp-15, -0x1.cd85107bff148p-15, -0x1.c87f53f311859p-15, -0x1.c3794be94f647p-15, -0x1.be7353ddb2bf5p-15, -0x1.b96dc3ae00c08p-15, -0x1.b468efb6c5965p-15, -0x1.af6528f3ca7d5p-15, -0x1.aa62bd1f18b2cp-15, -0x1.a561f6cdf424fp-15, -0x1.a0631d8e8ef7bp-15, -0x1.9b667603c0ab1p-15, -0x1.966c42003f844p-15, -0x1.9174c09fe52a1p-15, -0x1.8c802e617c29cp-15, -0x1.878ec53f4a4e6p-15, -0x1.82a0bcc6bd087p-15, -0x1.7db64a2f0f8adp-15, -0x1.78cfa06f3250ep-15, -0x1.73ecf053a6073p-15, -0x1.6f0e6892fb80cp-15, -0x1.6a3435e0ffea4p-15, -0x1.655e83029bb25p-15, -0x1.608d78e06994bp-15, -0x1.5bc13e9874083p-15, -0x1.56f9f98fbdb68p-15, -0x1.5237cd827fedbp-15, -0x1.4d7adc94e6cf7p-15, -0x1.48c34761b5c09p-15, -0x1.44112d09df0a9p-15, -0x1.3f64ab42df27bp-15, -0x1.3abdde64b32dbp-15, -0x1.361ce17742b57p-15, -0x1.3181ce3f061fbp-15, -0x1.2cecbd4a4cd13p-15, -0x1.285dc5fc3886ep-15, -0x1.23d4fe98d2681p-15, -0x1.1f527c5022184p-15, -0x1.1ad65348de1a2p-15, -0x1.166096aadb58bp-15, -0x1.11f158a8a5f52p-15, -0x1.0d88aa8983488p-15, -0x1.09269cb24c1a1p-15, -0x1.04cb3eae68572p-15, -0x1.00769f37d4b6fp-15, -0x1.f851987fe94fep-16, -0x1.efc3a5edfb7eep-16, -0x1.e7437fa82c747p-16, -0x1.ded13d37d1394p-16, -0x1.d66cf4cfc93e8p-16, -0x1.ce16bb59a203ap-16, -0x1.c5cea4821da68p-16, -0x1.bd94c2c5d6466p-16, -0x1.b569277cd6112p-16, -0x1.ad4be2e6655bdp-16, -0x1.a53d04334e936p-16, -0x1.9d3c999066a1bp-16, -0x1.954ab031177c5p-16, -0x1.8d675457e32ap-16, -0x1.8592915fe019dp-16, -0x1.7dcc71c59bff2p-16, -0x1.7614ff3002ffcp-16, -0x1.6e6c4277a5ac3p-16, -0x1.66d243ae33915p-16, -0x1.5f470a2683bebp-16, -0x1.57ca9c7b7a2fbp-16, -0x1.505d00966e626p-16, -0x1.48fe3bb56c764p-16, -0x1.41ae527179e55p-16, -0x1.3a6d48c4f0937p-16, -0x1.333b221035c55p-16, -0x1.2c17e1204a82ap-16, -0x1.25038832f0fe6p-16, -0x1.1dfe18fbc6465p-16, -0x1.170794a8e22a6p-16, -0x1.101ffbe70a56ap-16, -0x1.09474ee666681p-16, -0x1.027d8d5e2db78p-16, -0x1.f7856d2120766p-17, -0x1.ea2d929d097ccp-17, -0x1.dcf387f5e87ffp-17, -0x1.cfd7491d7988ep-17, -0x1.c2d8d1368f171p-17, -0x1.b5f81a9a3474fp-17, -0x1.a9351edea74e6p-17, -0x1.9c8fd6ddc29a5p-17, -0x1.90083ab94a343p-17, -0x1.839e41df408bbp-17, -0x1.7751e30eed97bp-17, -0x1.6b23145e5631fp-17, -0x1.5f11cb3db829dp-17, -0x1.531dfc7a975f1p-17, -0x1.47479c4532608p-17, -0x1.3b8e9e33e2d32p-17, -0x1.2ff2f546cb623p-17, -0x1.247493ea51469p-17, -0x1.19136bfb04b9ep-17, -0x1.0dcf6ec8ee7c1p-17, -0x1.02a88d1a50b1dp-17, -0x1.ef3d6e5b9431ep-18, -0x1.d963b97b29231p-18, -0x1.c3c3da044cd92p-18, -0x1.ae5dad67ff2d9p-18, -0x1.9931101cce968p-18, -0x1.843ddda3a69b4p-18, -0x1.6f83f08b37b9fp-18, -0x1.5b0322753eea7p-18, -0x1.46bb4c19f751p-18, -0x1.32ac454947bb7p-18, -0x1.1ed5e4f210aaap-18, -0x1.0b380123a306p-18, -0x1.efa4de25860acp-19, -0x1.c94a063561921p-19, -0x1.a35f2183e05b1p-19, -0x1.7de3d57b24db3p-19, -0x1.58d7c5e6ab78cp-19, -0x1.343a94f515679p-19, -0x1.100be34481654p-19, -0x1.d8969fc82c0b2p-20, -0x1.91f0f0b4b0de5p-20, -0x1.4c25f153d0282p-20, -0x1.0734d6b039f0ap-20, -0x1.8639a5b84b895p-21, -0x1.ff7454174fda4p-22, -0x1.eba64ba938e23p-23, 0x1.0739985f5077fp-26, 0x1.13634f53a8c1bp-22, 0x1.097fb604f079bp-21, 0x1.87a5b5861cbb2p-21, 0x1.0212b4a2e01f3p-20, 0x1.3f804cd6c2e3bp-20, 0x1.7c1c8a33c774dp-20, 0x1.b7e85625d154ep-20, 0x1.f2e49caa66948p-20, 0x1.1689262229ee1p-19, 0x1.33392afae4c6dp-19, 0x1.4f82d69900209p-19, 0x1.6b66a3eee222cp-19, 0x1.86e50f1eabb64p-19, 0x1.a1fe9578ada56p-19, 0x1.bcb3b5751a846p-19, 0x1.d704eeb0ec551p-19, 0x1.f0f2c1e9695e6p-19, 0x1.053ed87b7b71ep-18, 0x1.11d31f64e89f1p-18, 0x1.1e3677b367744p-18, 0x1.2a6923ef58d54p-18, 0x1.366b672534d62p-18, 0x1.423d84e57113ep-18, 0x1.4ddfc14107839p-18, 0x1.595260c5937a1p-18, 0x1.6495a87cfae9cp-18, 0x1.6fa9ddea6daccp-18, 0x1.7a8f47083cb1dp-18, 0x1.85462a44c7672p-18, 0x1.8fcece80c42dcp-18, 0x1.9a297b0d895fap-18, 0x1.a45677a940d26p-18, 0x1.ae560c7be7ff1p-18, 0x1.b828821731be4p-18, 0x1.c1ce2172c59c4p-18, 0x1.cb4733ea2b7c6p-18, 0x1.d49403396fce8p-18, 0x1.ddb4d97bbbd8fp-18, 0x1.e6aa012812b79p-18, 0x1.ef73c50ec71c2p-18, 0x1.f8127057b4313p-18, 0x1.0043273fa965bp-17, 0x1.0467d5aa038d3p-17, }}, 
      {{-0x1.bc5be766fe415p-1, -0x1.bc508c87e4086p-1, -0x1.bc3d96ec1f0cap-1, -0x1.bc22f9a39a83fp-1, -0x1.bc00a320fc94bp-1, -0x1.bbd67db8c933p-1, -0x1.bba4703285ec8p-1, -0x1.bb6a5e641a0f7p-1, -0x1.bb2829d0e7a81p-1, -0x1.baddb24759fc7p-1, -0x1.ba8ad678cb898p-1, -0x1.ba2f7488b1928p-1, -0x1.b9cb6a90fcd63p-1, -0x1.b95e971a6e229p-1, -0x1.b8e8d98853241p-1, -0x1.b86a12779e76ep-1, -0x1.b7e22411ad707p-1, -0x1.b750f25348cf9p-1, -0x1.b6b6634891ffep-1, -0x1.b6125f3e9b627p-1, -0x1.b564d0eb76c94p-1, -0x1.b4ada58d7fa14p-1, -0x1.b3eccd02a4b7bp-1, -0x1.b32239d8700b6p-1, -0x1.b24de155875bfp-1, -0x1.b16fbb7d524efp-1, -0x1.b087c30e75decp-1, -0x1.af95f57cc4484p-1, -0x1.ae9a52e73f943p-1, -0x1.ad94de0abacf9p-1, -0x1.ac859c31a8aa9p-1, -0x1.ab6c95218fc7bp-1, -0x1.aa49d30698662p-1, -0x1.a91d625d9f5fbp-1, -0x1.a7e751dd26a9ap-1, -0x1.a6a7b25d78a9dp-1, -0x1.a55e96c04762dp-1, -0x1.a40c13d803efcp-1, -0x1.a2b0404f25f2bp-1, -0x1.a14b348f8e477p-1, -0x1.9fdd0aaa2b76dp-1, -0x1.9e65de3efeb2fp-1, -0x1.9ce5cc6596eacp-1, -0x1.9b5cf39619eb3p-1, -0x1.99cb7392e4231p-1, -0x1.98316d52cdfcbp-1, -0x1.968f02ec1ac36p-1, -0x1.94e4578017747p-1, -0x1.93318f27697c9p-1, -0x1.9176cedf0e7a6p-1, -0x1.8fb43c760c963p-1, -0x1.8de9fe7bce5f9p-1, -0x1.8c183c2f2aa1bp-1, -0x1.8a3f1d6e11252p-1, -0x1.885ecaa5d9f32p-1, -0x1.86776cc4320cfp-1, -0x1.84892d28a1d84p-1, -0x1.82943596a8a4cp-1, -0x1.8098b0286677bp-1, -0x1.7e96c741d5e15p-1, -0x1.7c8ea5848870dp-1, -0x1.7a8075c3ed0ap-1, -0x1.786c62fa10462p-1, -0x1.7652983cdf03bp-1, -0x1.743340b3dd11dp-1, -0x1.720e878e54cdep-1, -0x1.6fe497f9f7584p-1, -0x1.6db59d19ed986p-1, -0x1.6b81c1fe5490ep-1, -0x1.6949319c23794p-1, -0x1.670c16c579327p-1, -0x1.64ca9c224cb06p-1, -0x1.6284ec2981008p-1, -0x1.603b311a5422fp-1, -0x1.5ded94f62f157p-1, -0x1.5b9c417aca4fbp-1, -0x1.5947601cad827p-1, -0x1.56ef1a020042cp-1, -0x1.549397fdaf269p-1, -0x1.5235028ade81ep-1, -0x1.4fd381c8aa8afp-1, -0x1.4d6f3d76312a4p-1, -0x1.4b085ceee3b1fp-1, -0x1.489f07271d324p-1, -0x1.463362a8fb366p-1, -0x1.43c595917798cp-1, -0x1.4155c58dbcd63p-1, -0x1.3ee417d8b89bfp-1, -0x1.3c70b138e3fe5p-1, -0x1.39fbb5fe43513p-1, -0x1.37854a009743bp-1, -0x1.350d909dc2187p-1, -0x1.3294acb858313p-1, -0x1.301ac0b65fa8ap-1, -0x1.2d9fee8037499p-1, -0x1.2b24577fa8678p-1, -0x1.28a81c9f1baddp-1, -0x1.262b5e48f2a8cp-1, -0x1.23ae3c6702babp-1, -0x1.2130d6622fbc4p-1, -0x1.1eb34b222332bp-1, -0x1.1c35b90d208d4p-1, -0x1.19b83e07f23b9p-1, -0x1.173af775ef9dep-1, -0x1.14be023918f25p-1, -0x1.12417ab24907bp-1, -0x1.0fc57cc179d96p-1, -0x1.0d4a23c61a8afp-1, -0x1.0acf8a9f77a3ap-1, -0x1.0855cbad3125p-1, -0x1.05dd00cfbfcdbp-1, -0x1.0365436906e4dp-1, -0x1.00eeac5cf1752p-1, -0x1.fcf2a82436cf6p-2, -0x1.f80aa4e506d53p-2, -0x1.f3257dd88dea7p-2, -0x1.ee4360e4c9ca6p-2, -0x1.e9647afb13208p-2, -0x1.e488f819bee86p-2, -0x1.dfb1034dcd6fdp-2, -0x1.dadcc6b4a3e71p-2, -0x1.d60c6b7dd00f2p-2, -0x1.d14019ecd28p-2, -0x1.cc77f95af37e3p-2, -0x1.c7b4303919917p-2, -0x1.c2f4e411aaaaap-2, -0x1.be3a398a6f0b4p-2, -0x1.b98454667c183p-2, -0x1.b4d357881dd9ep-2, -0x1.b02764f2c7f7ap-2, -0x1.ab809dcd08038p-2, -0x1.a6df22627a6aap-2, -0x1.a2431225c0465p-2, -0x1.9dac8bb278416p-2, -0x1.991baccf38cf4p-2, -0x1.9490926f8a62dp-2, -0x1.900b58b5e4497p-2, -0x1.8b8c1af5a8a42p-2, -0x1.8712f3b522234p-2, -0x1.829ffcaf81c2bp-2, -0x1.7e334ed6deb83p-2, -0x1.79cd0256342f9p-2, -0x1.756d2e936057cp-2, -0x1.7113ea3125335p-2, -0x1.6cc14b112967ep-2, -0x1.68756655f6db9p-2, -0x1.64305064fd46cp-2, -0x1.5ff21ce892236p-2, -0x1.5bbaded1f5013p-2, -0x1.578aa85b4f03fp-2, -0x1.53618b09b7a9p-2, -0x1.4f3f97af37c9bp-2, -0x1.4b24de6ccd7fcp-2, -0x1.47116eb471cbap-2, -0x1.4305574b1c07ep-2, -0x1.3f00a64aca332p-2, -0x1.3b03692488592p-2, -0x1.370daca276a95p-2, -0x1.331f7ce9d312ep-2, -0x1.2f38e57d0350fp-2, -0x1.2b59f13da048bp-2, -0x1.2782aa6e7f348p-2, -0x1.23b31ab5c1d89p-2, -0x1.1feb4b1ee08f1p-2, -0x1.1c2b441cbaed8p-2, -0x1.18730d8ba718p-2, -0x1.14c2aeb38266ap-2, -0x1.111a2e49c199ap-2, -0x1.0d79927384933p-2, -0x1.09e0e0c7aa106p-2, -0x1.06501e50e12f9p-2, -0x1.02c74f8fc2006p-2, -0x1.fe8cf0f9c1985p-3, -0x1.f79b3915c805p-3, -0x1.f0b97d513c352p-3, -0x1.e9e7c286437a1p-3, -0x1.e3260c8fb90ddp-3, -0x1.dc745e4d5baddp-3, -0x1.d5d2b9a8007cdp-3, -0x1.cf411f95c503bp-3, -0x1.c8bf901e4051p-3, -0x1.c24e0a5eb6bc4p-3, -0x1.bbec8c8e48618p-3, -0x1.b59b14022869dp-3, -0x1.af599d31c8021p-3, -0x1.a92823bb093d1p-3, -0x1.a306a2666d8fcp-3, -0x1.9cf5132b428aap-3, -0x1.96f36f33cdb24p-3, -0x1.9101aee176959p-3, -0x1.8b1fc9d0eb9cfp-3, -0x1.854db6de4d014p-3, -0x1.7f8b6c29462bdp-3, -0x1.79d8df19360a3p-3, -0x1.743604614326ap-3, -0x1.6ea2d004788cbp-3, -0x1.691f3559d9008p-3, -0x1.63ab27106cef6p-3, -0x1.5e46973350602p-3, -0x1.58f1772db8f8ap-3, -0x1.53abb7cef79dep-3, -0x1.4e75494e75adep-3, -0x1.494e1b4fab305p-3, -0x1.44361ce60dfd4p-3, -0x1.3f2d3c9900e4bp-3, -0x1.3a336867b4c26p-3, -0x1.35488dcd08b1p-3, -0x1.306c99c35c2a5p-3, -0x1.2b9f78c8666e7p-3, -0x1.26e116e0f7ed5p-3, -0x1.22315f9cbd732p-3, -0x1.1d903e19f9a72p-3, -0x1.18fd9d0934ddep-3, -0x1.147966b0e33e7p-3, -0x1.100384f10762bp-3, -0x1.0b9be146c7c6p-3, -0x1.074264cffd2adp-3, -0x1.02f6f84eb3cdcp-3, -0x1.fd7308595770ep-4, -0x1.f513e0fd8b737p-4, -0x1.ecd04a10db756p-4, -0x1.e4a8127dee011p-4, -0x1.dc9b0899df45fp-4, -0x1.d4a8fa2ad66dp-4, -0x1.ccd1b46e824cdp-4, -0x1.c51504207f3e8p-4, -0x1.bd72b580ad1dcp-4, -0x1.b5ea94596ae54p-4, -0x1.ae7c6c05c275fp-4, -0x1.a7280777712fp-4, -0x1.9fed313ced015p-4, -0x1.98cbb3874436fp-4, -0x1.91c3582fe81ecp-4, -0x1.8ad3e8be69fedp-4, -0x1.83fd2e6e155f1p-4, -0x1.7d3ef2337e5cfp-4, -0x1.7698fcc1edb1fp-4, -0x1.700b1690bdf22p-4, -0x1.699507e09cffdp-4, -0x1.633698c0b6f9dp-4, -0x1.5cef9113ca4cp-4, -0x1.56bfb89520d44p-4, -0x1.50a6d6dd7770ep-4, -0x1.4aa4b367c7d2fp-4, -0x1.44b91595fdbc6p-4, -0x1.3ee3c4b592badp-4, -0x1.3924880414c75p-4, -0x1.337b26b392db7p-4, -0x1.2de767eef1408p-4, -0x1.286912de2ab15p-4, -0x1.22ffeeaa7474ep-4, -0x1.1dabc2824cd62p-4, -0x1.186c559d75ba6p-4, -0x1.13416f40d25d9p-4, -0x1.0e2ad6c231e2p-4, -0x1.0928538c0030ep-4, -0x1.0439ad20e3533p-4, -0x1.febd563e7b0ddp-5, -0x1.f52e2a89395b8p-5, -0x1.ebc566e220cddp-5, -0x1.e2829b54d564ep-5, -0x1.d965583ed90d4p-5, -0x1.d06d2e55ae411p-5, -0x1.c799aeacdc675p-5, -0x1.beea6abbbd4ffp-5, -0x1.b65ef463288e8p-5, -0x1.adf6ddf2e9007p-5, -0x1.a5b1ba2f18a39p-5, -0x1.9d8f1c5543c74p-5, -0x1.958e9821690e5p-5, -0x1.8dafc1d2d2bd1p-5, -0x1.85f22e30c40c4p-5, -0x1.7e55728efeb9dp-5, -0x1.76d924d2245c8p-5, -0x1.6f7cdb73ee32dp-5, -0x1.68402d873cd58p-5, -0x1.6122b2bc09a87p-5, -0x1.5a24036324385p-5, -0x1.5343b871dfc34p-5, -0x1.4c816b8585ffap-5, -0x1.45dcb6e6b6e29p-5, -0x1.3f55358c99f55p-5, -0x1.38ea831ff709ap-5, -0x1.329c3bfe21304p-5, -0x1.2c69fd3bcb856p-5, -0x1.265364a7b2021p-5, -0x1.205810cd29ac6p-5, -0x1.1a77a0f68ce44p-5, -0x1.14b1b52f88ba4p-5, -0x1.0f05ee474a9b9p-5, -0x1.0973edd29340bp-5, -0x1.03fb562da55eap-5, -0x1.fd3794fc38d67p-6, -0x1.f2a9dd694280ep-6, -0x1.e84ccf1d16cbcp-6, -0x1.de1fb52eb25f4p-6, -0x1.d421dc5437198p-6, -0x1.ca5292e5786p-6, -0x1.c0b128de59b3cp-6, -0x1.b73cefe0fe1fcp-6, -0x1.adf53b37c22c9p-6, -0x1.a4d95fd703296p-6, -0x1.9be8b45ebda4dp-6, -0x1.9322911bf39a4p-6, -0x1.8a865009e6fe5p-6, -0x1.82134cd333ec5p-6, -0x1.79c8e4d2a7468p-6, -0x1.71a67714095f4p-6, -0x1.69ab64549ca33p-6, -0x1.61d70f0393d13p-6, -0x1.5a28db424829bp-6, -0x1.52a02ee457b0ap-6, -0x1.4b3c716f9b53bp-6, -0x1.43fd0c1bef52ap-6, -0x1.3ce169d2e68bfp-6, -0x1.35e8f72f500b7p-6, -0x1.2f13227c9cefp-6, -0x1.285f5bb62b8d7p-6, -0x1.21cd14866b357p-6, -0x1.1b5bc045e47adp-6, -0x1.150ad3fa28e31p-6, -0x1.0ed9c654936b9p-6, -0x1.08c80fb10c955p-6, -0x1.02d52a148ae24p-6, -0x1.fa0122573e928p-7, -0x1.ee9384919b2f1p-7, -0x1.e36078c5b1b6dp-7, -0x1.d8670025e8bb7p-7, -0x1.cda61f25b95bfp-7, -0x1.c31cdd75be2e9p-7, -0x1.b8ca45ff80048p-7, -0x1.aead66e13ba4cp-7, -0x1.a4c5516966c92p-7, -0x1.9b111a1214bd2p-7, -0x1.918fd87c2f5b7p-7, -0x1.8840a76aad3b9p-7, -0x1.7f22a4bd6f347p-7, -0x1.7634f16c2a8a3p-7, -0x1.6d76b181277aep-7, -0x1.64e70c13dc9cp-7, -0x1.5c852b436b41ap-7, -0x1.54503c31120b9p-7, -0x1.4c476efa6b5fdp-7, -0x1.4469f6b3b37ebp-7, -0x1.3cb70961d30e9p-7, -0x1.352ddff47a8b6p-7, -0x1.2dcdb6400299cp-7, -0x1.2695caf757546p-7, -0x1.1f855fa5c21afp-7, -0x1.189bb8a89dfbfp-7, -0x1.11d81d290f8p-7, -0x1.0b39d7159608cp-7, -0x1.04c0331b988bp-7, -0x1.fcd50141d516bp-8, -0x1.f070237a82667p-8, -0x1.e4507667357f8p-8, -0x1.d874a8d730da5p-8, -0x1.ccdb6ed5b0c55p-8, -0x1.c183819c87076p-8, -0x1.b66b9f869e055p-8, -0x1.ab928c027a36dp-8, -0x1.a0f70f84b32a5p-8, -0x1.9697f77a4958cp-8, -0x1.8c74163b19882p-8, -0x1.828a42fc27153p-8, -0x1.78d959c1f258p-8, -0x1.6f603b52cf98p-8, -0x1.661dcd292f15fp-8, -0x1.5d10f965dbcadp-8, -0x1.5438aec264187p-8, -0x1.4b93e0834f3eap-8, -0x1.4321866a79f11p-8, -0x1.3ae09ca9582f8p-8, -0x1.32d023d379431p-8, -0x1.2aef20d0b282p-8, -0x1.233c9ccfb3106p-8, -0x1.1bb7a5385e358p-8, -0x1.145f4b9e4927dp-8, -0x1.0d32a5b340bb8p-8, -0x1.0630cd39e113bp-8, -0x1.feb1bff052374p-9, -0x1.f153ff544b484p-9, -0x1.e446a3e968dc7p-9, -0x1.d78800b0871a3p-9, -0x1.cb1670475f7cp-9, -0x1.bef054ce5153ap-9, -0x1.b31417ce55a5ap-9, -0x1.a7802a1f2be06p-9, -0x1.9c3303cd89641p-9, -0x1.912b240193e9bp-9, -0x1.866710e54f87ep-9, -0x1.7be5578b82ef5p-9, -0x1.71a48bd67dd1ep-9, -0x1.67a3485f401cbp-9, -0x1.5de02e5ca4938p-9, -0x1.5459e58ae45e2p-9, -0x1.4b0f1c131d664p-9, -0x1.41fe86732db6fp-9, -0x1.3926df65b0129p-9, -0x1.3086e7ca0f9e1p-9, -0x1.281d668d24573p-9, -0x1.1fe92891802bep-9, -0x1.17e9009867c34p-9, -0x1.101bc72acbd82p-9, -0x1.08805a826ccbp-9, -0x1.01159e733a714p-9, -0x1.f3b4f8aa0b08fp-10, -0x1.e59bc5daac738p-10, -0x1.d7dd8cb2c4be2p-10, -0x1.ca783ff0d61c6p-10, -0x1.bd69dcac4241cp-10, -0x1.b0b06a2abc2c7p-10, -0x1.a449f9b6446c9p-10, -0x1.9834a67340711p-10, -0x1.8c6e9537513b6p-10, -0x1.80f5f46080c56p-10, -0x1.75c8fbace11dfp-10, -0x1.6ae5ec1287d91p-10, -0x1.604b0f984a06ep-10, -0x1.55f6b92e85adbp-10, -0x1.4be74488a98afp-10, -0x1.421b15f70a83dp-10, -0x1.38909a415355cp-10, -0x1.2f4646811a8ebp-10, -0x1.263a97fd6a968p-10, -0x1.1d6c14061cafep-10, -0x1.14d947d054338p-10, -0x1.0c80c852c7217p-10, -0x1.04613223138f4p-10, -0x1.f8f252a5e138ep-11, -0x1.e98eb29cbdba8p-11, -0x1.da94e973c4ea1p-11, -0x1.cc026aa2ccd2ep-11, -0x1.bdd4b78f0ffbep-11, -0x1.b0095f4a56b68p-11, -0x1.a29dfe53a2632p-11, -0x1.95903e57d99b9p-11, -0x1.88ddd5f47bdbcp-11, -0x1.7c848879aec12p-11, -0x1.708225aed7a3cp-11, -0x1.64d48996a0c99p-11, -0x1.59799c3499c83p-11, -0x1.4e6f5153a21c8p-11, -0x1.43b3a84cd910fp-11, -0x1.3944abcfdd281p-11, -0x1.2f2071ab33d63p-11, -0x1.25451a9627b45p-11, -0x1.1bb0d1fb6246p-11, -0x1.1261cdc3b1a8bp-11, -0x1.09564e225ffbp-11, -0x1.008c9d6215ee1p-11, -0x1.f0061f6488701p-12, -0x1.df7005eb7f727p-12, -0x1.cf53bd239f23cp-12, -0x1.bfae267c1cdfbp-12, -0x1.b07c35aaacf2fp-12, -0x1.a1baf04df96adp-12, -0x1.93676d92571a4p-12, -0x1.857ed5d7bb46fp-12, -0x1.77fe62589a2ccp-12, -0x1.6ae35cd34d923p-12, -0x1.5e2b1f33fbb75p-12, -0x1.51d313405558p-12, -0x1.45d8b24490492p-12, -0x1.3a3984c1f9352p-12, -0x1.2ef3221ec6e7ep-12, -0x1.2403305722ffap-12, -0x1.196763afda686p-12, -0x1.0f1d7e6a0d31bp-12, -0x1.05235078a627fp-12, -0x1.f6ed6e6cc096p-13, -0x1.e42b3a3bd07fep-13, -0x1.d1fbf305332bcp-13, -0x1.c05ba095fa1a6p-13, -0x1.af4663581af4cp-13, -0x1.9eb873cc5e842p-13, -0x1.8eae22054a102p-13, -0x1.7f23d526a594fp-13, -0x1.70160ae513fd6p-13, -0x1.618157090cf47p-13, -0x1.536262f46bd73p-13, -0x1.45b5ed291dfcp-13, -0x1.3878c8d3f8b9p-13, -0x1.2ba7dd575792dp-13, -0x1.1f4025d992e79p-13, -0x1.133eb0d545929p-13, -0x1.07a09fab78f35p-13, -0x1.f8c64c6f3fd9cp-14, -0x1.e30714cc5aa85p-14, -0x1.cdfe479a40239p-14, -0x1.b9a6b68b7bd07p-14, -0x1.a5fb5512e6f08p-14, -0x1.92f737a03809ap-14, -0x1.809592df01e83p-14, -0x1.6ed1bafbb9904p-14, -0x1.5da722ead9b1cp-14, -0x1.4d115bb4387dfp-14, -0x1.3d0c13c280bbdp-14, -0x1.2d931634ca5b2p-14, -0x1.1ea24a34cfdf6p-14, -0x1.1035b24f86d76p-14, -0x1.02496bd2f9d35p-14, -0x1.e9b35c592c046p-15, -0x1.cfc5949bf30ap-15, -0x1.b6c2542368da6p-15, -0x1.9ea29f4ad0197p-15, -0x1.875fa9edc3cf5p-15, -0x1.70f2d64525ba9p-15, -0x1.5b55b3cd42b8dp-15, -0x1.4681fe3179b62p-15, -0x1.32719c3bd30e8p-15, -0x1.1f1e9ecc05e5p-15, -0x1.0c833fd3f3c2bp-15, -0x1.f533c2af99302p-16, -0x1.d2ba18ed5af68p-16, -0x1.b18ee0e9b893dp-16, -0x1.91a7c39cf64abp-16, -0x1.72fab29c71fa3p-16, -0x1.557de64f5fc8dp-16, -0x1.3927dc31dcb41p-16, -0x1.1def551e8b05fp-16, -0x1.03cb53a1abda7p-16, -0x1.d56634b0a078fp-17, -0x1.a53c54a9ef11cp-17, -0x1.77088321b5237p-17, -0x1.4abab2c9e3598p-17, -0x1.20434a0ee47a6p-17, -0x1.ef264066881f7p-18, -0x1.a136f4defcb72p-18, -0x1.569c12495448ap-18, -0x1.0f39ca42889f3p-18, -0x1.95ea33e1e61c4p-19, -0x1.1367899b96a25p-19, -0x1.2d713defe8d45p-20, -0x1.fabf5b4db8d0fp-23, 0x1.47ba074fb8b93p-21, 0x1.7c8ae417cb698p-20, 0x1.258629968281p-19, 0x1.87dca4499b4cep-19, 0x1.e5739424cc325p-19, 0x1.1f3a34f3efe22p-18, 0x1.4983aec93eda9p-18, 0x1.71a9bb580a0ap-18, 0x1.97bf4a342a28ep-18, 0x1.bbd6baad259dcp-18, 0x1.de01dfaf96793p-18, 0x1.fe52037ed311p-18, 0x1.0e6bf5b1e7b01p-17, 0x1.1cd1ed9f77966p-17, 0x1.2a62cc864865dp-17, 0x1.37263823e7306p-17, 0x1.43239aa0e6586p-17, 0x1.4e6224316e9fcp-17, 0x1.58e8cca7e6441p-17, 0x1.62be55056982fp-17, 0x1.6be948f5c32a8p-17, 0x1.7470004c83169p-17, 0x1.7c58a0716c2a4p-17, 0x1.83a91dc93887ep-17, 0x1.8a673d1015952p-17, 0x1.909894b00b294p-17, 0x1.96428e0ea8f26p-17, 0x1.9b6a66cdc5875p-17, 0x1.a01532087daa9p-17, 0x1.a447d98557928p-17, 0x1.a8071ee3e826ap-17, 0x1.ab579cc0e6486p-17, 0x1.ae3dc7d26977p-17, 0x1.b0bdeffe33b6bp-17, 0x1.b2dc416792627p-17, 0x1.b49cc5779814p-17, 0x1.b60363dd15d0bp-17, 0x1.b713e3869844ep-17, 0x1.b7d1eb95ed1cep-17, 0x1.b841044db6831p-17, 0x1.b86497f862b3fp-17, 0x1.b83ff3c9687aep-17, 0x1.b7d648b82e62fp-17, 0x1.b72aac5557f5bp-17, 0x1.b640199a3f61ep-17, 0x1.b51971b3ecc63p-17, 0x1.b3b97cc5de0bap-17, 0x1.b222eaaa44cb1p-17, 0x1.b05853adb1fb6p-17, 0x1.ae5c39430cafbp-17, 0x1.ac3106b52fdfcp-17, 0x1.a9d911d192edp-17, 0x1.a7569b8f2b242p-17, 0x1.a4abd0b2b36eap-17, 0x1.a1daca6a61252p-17, 0x1.9ee58ee7f29edp-17, 0x1.9bce11f720899p-17, 0x1.9896358e9da9ap-17, 0x1.953fca5d70bb7p-17, 0x1.91cc9053c7a6p-17, 0x1.8e3e3729cdf34p-17, 0x1.8a965ee02dfc6p-17, 0x1.86d6983f26ebp-17, 0x1.830065503292fp-17, 0x1.7f1539d5db3eep-17, 0x1.7b167bbf3eaf8p-17, 0x1.770583991cc28p-17, 0x1.72e39cfa94bccp-17, 0x1.6eb206efe469ap-17, 0x1.6a71f46066e54p-17, 0x1.66248c749c0bfp-17, 0x1.61caeaf622ad7p-17, 0x1.5d6620adc18cfp-17, 0x1.58f733bfb7634p-17, 0x1.547f20057e099p-17, 0x1.4ffed7627848p-17, 0x1.4b774219873bap-17, 0x1.46e93f1d9cae8p-17, 0x1.4255a461741bap-17, 0x1.3dbd3f2348289p-17, 0x1.3920d437a3445p-17, 0x1.34812051ea314p-17, 0x1.2fded8497269cp-17, 0x1.2b3aa95e53328p-17, 0x1.2695397a99755p-17, 0x1.21ef2772eb59p-17, 0x1.1d490b441c021p-17, 0x1.18a3764e793dep-17, 0x1.13fef39154d8bp-17, 0x1.0f5c07e294c88p-17, 0x1.0abb322591cbcp-17, 0x1.061ceb7fea074p-17, 0x1.0181a78d49506p-17, 0x1.f9d3a921db198p-18, 0x1.f0abb74b49515p-18, 0x1.e78c41d9d8a89p-18, 0x1.de7607782526ap-18, 0x1.d569bd902e754p-18, 0x1.cc68109fa647dp-18, 0x1.c371a48abfb3p-18, 0x1.ba8714ea5ab92p-18, 0x1.b1a8f55b8dbf2p-18, 0x1.a8d7d1c7abefdp-18, 0x1.a0142ead6d49bp-18, 0x1.975e8967527fbp-18, 0x1.8eb7586e8b0b1p-18, 0x1.861f0b9c1e812p-18, 0x1.7d960c68b2ceap-18, 0x1.751cbe29806f5p-18, 0x1.6cb37e4b62fe8p-18, 0x1.645aa48c32ce8p-18, 0x1.5c12833176d9ep-18, 0x1.53db673ebba09p-18, 0x1.4bb598a840677p-18, 0x1.43a15a8623945p-18, 0x1.3b9eeb43f4b37p-18, 0x1.33ae84cfccdbp-18, 0x1.2bd05cc68d8b7p-18, 0x1.2404a49fa0be3p-18, 0x1.1c4b89d7a3f67p-18, 0x1.14a536188d1bdp-18, 0x1.0d11cf60c672dp-18, 0x1.05917829628ecp-18, 0x1.fc489f14bbd3dp-19, 0x1.ed94e2bd60b69p-19, 0x1.df07ecca35fp-19, 0x1.d0a1e8c36aae6p-19, 0x1.c262fc7b23fe5p-19, 0x1.b44b484b86494p-19, 0x1.a65ae75017dbdp-19, 0x1.9891ef9f1ed02p-19, 0x1.8af07280fdeaep-19, 0x1.7d767ca511996p-19, 0x1.702416546261cp-19, 0x1.62f943a289004p-19, 0x1.55f6049e01409p-19, 0x1.491a557df733dp-19, 0x1.3c662ecd02afcp-19, 0x1.2fd98593a9bb6p-19, 0x1.23744b81937c7p-19, 0x1.17366f154befap-19, 0x1.0b1fdbc1dda64p-19, 0x1.fe60f42597c7bp-20, 0x1.e6d05f9cd7e53p-20, 0x1.cf8dc0330e1cp-20, 0x1.b898d72de4428p-20, 0x1.a1f1610c13cedp-20, 0x1.8b9715c458394p-20, 0x1.7589a8fc4ab8cp-20, 0x1.5fc8ca42f64fbp-20, 0x1.4a54254351bdcp-20, 0x1.352b61f8f2fc9p-20, 0x1.204e24e05c552p-20, 0x1.0bbc0f2798e49p-20, 0x1.eee97db858d23p-21, 0x1.c6ef9e28cd9edp-21, 0x1.9f89b0381e358p-21, 0x1.78b6df3867221p-21, 0x1.5276518488dd1p-21, 0x1.2cc728c545387p-21, 0x1.07a8823af0dbfp-21, 0x1.c632ee0a9e92p-22, 0x1.7e3238c2ef5eep-22, 0x1.374d07d449c14p-22, 0x1.e302ef4a0a2e4p-23, 0x1.599b3c85c5d11p-23, 0x1.a4be2f5c08755p-24, 0x1.352a581c58e08p-25, -0x1.ad31eaf78dd48p-26, -0x1.6ceec1b386357p-24, -0x1.352cdb7c9f495p-23, -0x1.b1cabc5a0db88p-23, -0x1.162a8cf00da9cp-22, -0x1.52680899f1978p-22, -0x1.8d9fe2c99933cp-22, -0x1.c7d42fe02ca94p-22, -0x1.0083835d1d4d3p-21, -0x1.1c9d403405937p-21, -0x1.38385bf86348fp-21, -0x1.5355e5090c8bp-21, -0x1.6df6ea7e2592bp-21, -0x1.881c7c129e2c7p-21, -0x1.a1c7aa0717c57p-21, -0x1.baf98504ff1f7p-21, -0x1.d3b31e0aa5c94p-21, -0x1.ebf5865004192p-21, -0x1.01e0e7997b13cp-20, -0x1.0d8c850f704a5p-20, -0x1.18fe243cd1b87p-20, -0x1.24364dc7675f2p-20, -0x1.2f358a406a64p-20, -0x1.39fc621978b8ap-20, -0x1.448b5d9d10e0fp-20, -0x1.4ee304e52aa5fp-20, -0x1.5903dfd549d79p-20, -0x1.62ee76129efdbp-20, -0x1.6ca34efd920e5p-20, -0x1.7622f1aad2edbp-20, -0x1.7f6de4dd0b576p-20, -0x1.8884aeff4a65bp-20, -0x1.9167d61e860ebp-20, -0x1.9a17dfe4ef8fep-20, -0x1.a29551950abeap-20, -0x1.aae0b0047b8fcp-20, -0x1.b2fa7f97a3258p-20, -0x1.bae3443cd519fp-20, -0x1.c29b816864628p-20, -0x1.ca23ba111c93p-20, -0x1.d17c70abfce57p-20, -0x1.d8a62729f69d2p-20, -0x1.dfa15ef3a5bfbp-20, -0x1.e66e98e6448e8p-20, -0x1.ed0e5550f201dp-20, -0x1.f38113f1ef0b3p-20, -0x1.f9c753f47d40bp-20, -0x1.ffe193ed8e4fcp-20, -0x1.02e828ed375cdp-19, -0x1.05ca058e2bacdp-19, -0x1.08969e3c36b2dp-19, -0x1.0b4e310a79808p-19, -0x1.0df0fbbbf6ae6p-19, -0x1.107f3bc2e8e12p-19, -0x1.12f92e3fa72adp-19, -0x1.155f0fffad2a9p-19, -0x1.17b11d7d8ef13p-19, -0x1.19ef92dfc0903p-19, -0x1.1c1aabf7fcc32p-19, -0x1.1e32a442cb4d9p-19, -0x1.2037b6e7487c9p-19, -0x1.222a1eb6739a6p-19, -0x1.240a162a61b58p-19, -0x1.25d7d765e4475p-19, -0x1.27939c34195e5p-19, -0x1.293d9e084ff2dp-19, -0x1.2ad615fdb8ed2p-19, -0x1.2c5d3cd6f5021p-19, -0x1.2dd34afdc243cp-19, -0x1.2f387882c4371p-19, -0x1.308cfd1d1ca3ep-19, -0x1.31d1102a82a3ep-19, -0x1.3304e8aeb8dc9p-19, -0x1.3428bd539e36dp-19, -0x1.353cc468c61b9p-19, -0x1.364133e39cc4fp-19, -0x1.3736415ee86c1p-19, -0x1.381c221a94d3fp-19, -0x1.38f30afbebc75p-19, -0x1.39bb308d99b5ap-19, -0x1.3a74c6ff5eb94p-19, -0x1.3b20022607192p-19, -0x1.3bbd157b9a8d9p-19, -0x1.3c4c341ef5a45p-19, -0x1.3ccd90d3c8998p-19, -0x1.3d415e02a52d1p-19, -0x1.3da7cdb94abacp-19, -0x1.3e0111aa496aep-19, -0x1.3e4d5b2d69619p-19, -0x1.3e8cdb3ef495dp-19, -0x1.3ebfc2800cb5fp-19, -0x1.3ee64136ebb7bp-19, -0x1.3f00874ec705ap-19, -0x1.3f0ec457ffeb7p-19, -0x1.3f1127881ef94p-19, -0x1.3f07dfb9f324ap-19, -0x1.3ef31b6d72a79p-19, -0x1.3ed308c7b1c77p-19, -0x1.3ea7d593843d6p-19, -0x1.3e71af410e88ap-19, -0x1.3e30c2e6569efp-19, -0x1.3de53d3eba26fp-19, -0x1.3d8f4aab947d3p-19, -0x1.3d2f1733e5edcp-19, -0x1.3cc4ce84d0cbep-19, -0x1.3c509bf16f5d2p-19, -0x1.3bd2aa7314695p-19, -0x1.3b4b24a99bef7p-19, -0x1.3aba34db37438p-19, -0x1.3a2004f4bc9bep-19, -0x1.397cbe89f980bp-19, -0x1.38d08ad55b2bfp-19, -0x1.381b92b856e12p-19, -0x1.375dfebbf4467p-19, -0x1.3697f7106a3e3p-19, -0x1.35c9a38d371dp-19, -0x1.34f32bb19f7c3p-19, -0x1.3414b6a508ba7p-19, -0x1.332e6b36ce53ep-19, -0x1.32406fde1b423p-19, -0x1.314aeaba77386p-19, -0x1.304e019435512p-19, -0x1.2f49d9dc9bd53p-19, -0x1.2e3e98ad851dbp-19, -0x1.2d2c62ca0a363p-19, -0x1.2c135c9ef21e4p-19, -0x1.2af3aa420d7f1p-19, -0x1.29cd6f72feb37p-19, -0x1.28a0cf9bb4912p-19, -0x1.276dedd03c4afp-19, -0x1.2634eccebe8ecp-19, -0x1.24f5ef0011f18p-19, -0x1.23b116784f159p-19, -0x1.226684f6582f9p-19, -0x1.21165be41e33ep-19, -0x1.1fc0bc578ee9ep-19, -0x1.1e65c71235cefp-19, -0x1.1d059c81ae39bp-19, -0x1.1ba05cbffb8cdp-19, -0x1.1a362793c08e6p-19, -0x1.18c71c704a5bap-19, -0x1.17535a760f3b2p-19, -0x1.15db0072c9b4ep-19, -0x1.145e2ce1f91f5p-19, -0x1.12dcfded337aep-19, -0x1.1157916bee1a9p-19, -0x1.0fce04e446d3ap-19, }}, 
      {{-0x1.b580fec7934cfp-7, -0x1.b44a6d1f2fbefp-6, -0x1.45bc48ea81956p-5, -0x1.afa297cb6b1b6p-5, -0x1.0bb4cc934aab5p-4, -0x1.3e5cb38cdcf1p-4, -0x1.6fa8a2390a7d3p-4, -0x1.9f83610839a41p-4, -0x1.cde1effb9031fp-4, -0x1.fac240ecd49efp-4, -0x1.1314e2d0f8551p-3, -0x1.2811fac1d4754p-3, -0x1.3c607295fb7dbp-3, -0x1.5009ffd3b212p-3, -0x1.6319743e06186p-3, -0x1.759a43b00c131p-3, -0x1.87981d818d735p-3, -0x1.991e976a7e21ap-3, -0x1.aa38e7c664276p-3, -0x1.baf1ad5875f8cp-3, -0x1.cb52c308fb3cap-3, -0x1.db651e624e387p-3, -0x1.eb30b7c8d08d7p-3, -0x1.fabc7b8469a91p-3, -0x1.0507215c5c6e6p-2, -0x1.0c9569b1b560cp-2, -0x1.140af336f6fe8p-2, -0x1.1b69196b5f42cp-2, -0x1.22b0be799fa1ep-2, -0x1.29e254677b519p-2, -0x1.30fde75c61013p-2, -0x1.380328909785cp-2, -0x1.3ef179829738fp-2, -0x1.45c7f71df9d32p-2, -0x1.4c85848e30d8cp-2, -0x1.5328d58602b38p-2, -0x1.59b077d31393fp-2, -0x1.601adc21e3489p-2, -0x1.66665de2522c2p-2, -0x1.6c914a46cad64p-2, -0x1.7299e6605ec66p-2, -0x1.787e7460b21bfp-2, -0x1.7e3d380f67282p-2, -0x1.83d47a841a6f6p-2, -0x1.89428d381052bp-2, -0x1.8e85cc83a62dep-2, -0x1.939ca19ba6c95p-2, -0x1.98858421f5275p-2, -0x1.9d3efb5bc71e8p-2, -0x1.a1c79f1e1dd2bp-2, -0x1.a61e187f5bdfbp-2, -0x1.aa41225adf438p-2, -0x1.ae2f89b1a461cp-2, -0x1.b1e82df10a72p-2, -0x1.b56a01270767cp-2, -0x1.b8b4082984cp-2, -0x1.bbc55ab51573fp-2, -0x1.be9d238606b9p-2, -0x1.c13aa06da76c7p-2, -0x1.c39d2264c5b17p-2, -0x1.c5c40d9bb10a9p-2, -0x1.c7aed98770e39p-2, -0x1.c95d10eb91a6fp-2, -0x1.cace51df8f729p-2, -0x1.cc024dcecdbc2p-2, -0x1.ccf8c971ee32p-2, -0x1.cdb19cc068879p-2, -0x1.ce2cb2d9519ep-2, -0x1.ce6a09e26096ap-2, -0x1.ce69b2dc6f68bp-2, -0x1.ce2bd16cd5228p-2, -0x1.cdb09b9b38a2dp-2, -0x1.ccf859839d574p-2, -0x1.cc0364fcab516p-2, -0x1.cad2293253ae4p-2, -0x1.c96522352713fp-2, -0x1.c7bcdc7ede40ep-2, -0x1.c5d9f46ca721p-2, -0x1.c3bd15affda3fp-2, -0x1.c166fab6d952bp-2, -0x1.bed86c0c1c40fp-2, -0x1.bc123fb13a87p-2, -0x1.b9155872116e8p-2, -0x1.b5e2a533fbeccp-2, -0x1.b27b204126946p-2, -0x1.aedfce912609cp-2, -0x1.ab11bf0fd295bp-2, -0x1.a71209e35a499p-2, -0x1.a2e1cfb27ab8bp-2, -0x1.9e8238ebbd4c8p-2, -0x1.99f4750e8e25cp-2, -0x1.9539b9f6e4ef8p-2, -0x1.9053432c3cc38p-2, -0x1.8b425134773f5p-2, -0x1.860828eb394bp-2, -0x1.80a612de418c7p-2, -0x1.7b1d5aaf2c31fp-2, -0x1.756f4e7af5721p-2, -0x1.6f9d3e4795cafp-2, -0x1.69a87b77ea23p-2, -0x1.639258461ec66p-2, -0x1.5d5c2744b9665p-2, -0x1.57073ae658f84p-2, -0x1.5094e50c32f06p-2, -0x1.4a06769b49703p-2, -0x1.435d3f184f6b4p-2, -0x1.3c9a8c4a21b01p-2, -0x1.35bfa9e2b9908p-2, -0x1.2ecde12e72768p-2, -0x1.27c678c97121bp-2, -0x1.20aab45b05db6p-2, -0x1.197bd456ca4b2p-2, -0x1.123b15c34381ap-2, -0x1.0ae9b205ce2c9p-2, -0x1.0388deb394bc7p-2, -0x1.f8339ace97848p-3, -0x1.e93b5736eec5cp-3, -0x1.da2b4511e8c4dp-3, -0x1.cb05ae130ae6ap-3, -0x1.bbccd2fc3b124p-3, -0x1.ac82eb715ce5dp-3, -0x1.9d2a25d26abe8p-3, -0x1.8dc4a71b93d2fp-3, -0x1.7e548acae7c19p-3, -0x1.6edbe2cb146bcp-3, -0x1.5f5cb762d2b98p-3, -0x1.4fd907288720dp-3, -0x1.4052c6f9bd17dp-3, -0x1.30cbe1f613e6ap-3, -0x1.2146397d46a2ap-3, -0x1.11c3a52ff1373p-3, -0x1.0245f2f2cebf7p-3, -0x1.e59dcde82464ap-4, -0x1.c6c0776557469p-4, -0x1.a7f7440e42821p-4, -0x1.8945825b9f4b9p-4, -0x1.6aae6da4b397dp-4, -0x1.4c352e381bf67p-4, -0x1.2ddcd9763d37ep-4, -0x1.0fa871ecf6c8ap-4, -0x1.e335cee8cc80cp-5, -0x1.a76e2e98c69fcp-5, -0x1.6bff98752489dp-5, -0x1.30ef7d51a19c3p-5, -0x1.ec86530f50b6dp-6, -0x1.77ff8a677ecdcp-6, -0x1.0454a8e5ac1b6p-6, -0x1.231ede7d6e0f3p-7, -0x1.fb9571bd06ae5p-10, 0x1.4491b1b4994a4p-8, 0x1.8201dcc4a5695p-7, 0x1.2fd3876fca67bp-6, 0x1.9d93d5729f524p-6, 0x1.051cdd828f79fp-5, 0x1.3adeaf860a896p-5, 0x1.700b96227baabp-5, 0x1.a49fe86a6ed0ep-5, 0x1.d8981eec0504ep-5, 0x1.05f869bc74752p-4, 0x1.1f5360772b4e9p-4, 0x1.385b617e88485p-4, 0x1.510eeaf895745p-4, 0x1.696c8b3cc07d2p-4, 0x1.8172e0b75dcecp-4, 0x1.992099ccdd762p-4, 0x1.b07474bca8384p-4, 0x1.c76d3f8384543p-4, 0x1.de09d7bd8b707p-4, 0x1.f4492a877b2adp-4, 0x1.05151a2fbc8c3p-3, 0x1.0fd6008291d73p-3, 0x1.1a66d5ac6ff3p-3, 0x1.24c72e9d2f28fp-3, 0x1.2ef6a7b32a11ep-3, 0x1.38f4e4a99d306p-3, 0x1.42c19086a2451p-3, 0x1.4c5c5d889a806p-3, 0x1.55c505132f261p-3, 0x1.5efb479bbca88p-3, 0x1.67feec954623ep-3, 0x1.70cfc25bd5125p-3, 0x1.796d9e1f5b38p-3, 0x1.81d85bcdfc62cp-3, 0x1.8a0fddfdd438bp-3, 0x1.92140dd62a033p-3, 0x1.99e4daf81ec65p-3, 0x1.a1823b66c791ep-3, 0x1.a8ec2b6ec5a43p-3, 0x1.b022ad8d4e4b5p-3, 0x1.b725ca56b33a9p-3, 0x1.bdf5905c652d8p-3, 0x1.c492141270d73p-3, 0x1.cafb6fb48511fp-3, 0x1.d131c32a816fp-3, 0x1.d73533ec861c1p-3, 0x1.dd05ece6a0637p-3, 0x1.e2a41e5bfeaabp-3, 0x1.e80ffdc9c490bp-3, 0x1.ed49c5c982af6p-3, 0x1.f251b5f343ef7p-3, 0x1.f72812bf58e2cp-3, 0x1.fbcd2567bed8ep-3, 0x1.00209de4a835p-2, 0x1.0242542251a9bp-2, 0x1.044be0cf5a888p-2, 0x1.063d7170aabfep-2, 0x1.0817359db727ap-2, 0x1.09d95ef08c996p-2, 0x1.0b8420f5c970ep-2, 0x1.0d17b11c8e41p-2, 0x1.0e9446a65c803p-2, 0x1.0ffa1a96f5a59p-2, 0x1.114967a42f477p-2, 0x1.12826a25ccf18p-2, 0x1.13a560055a6b5p-2, 0x1.14b288ae0bb6bp-2, 0x1.15aa24fca4883p-2, 0x1.168c772f72a8ap-2, 0x1.1759c2d64efp-2, 0x1.18124cc2b913ep-2, 0x1.18b65af803bbcp-2, 0x1.1946349b9b69ap-2, 0x1.19c221e568363p-2, 0x1.1a2a6c104d75ap-2, 0x1.1a7f5d4acb394p-2, 0x1.1ac140a7c300dp-2, 0x1.1af0620f5f9afp-2, 0x1.1b0d0e302970cp-2, 0x1.1b17927043486p-2, 0x1.1b103cded4c46p-2, 0x1.1af75c25a2303p-2, 0x1.1acd3f7ad9f44p-2, 0x1.1a9236930f575p-2, 0x1.1a4691936d8acp-2, 0x1.19eaa1042373cp-2, 0x1.197eb5c30196cp-2, 0x1.190320f658aa8p-2, 0x1.1878340010762p-2, 0x1.17de4070fa0f1p-2, 0x1.173597fc65613p-2, 0x1.167e8c6bf0542p-2, 0x1.15b96f93993b2p-2, 0x1.14e69346141e7p-2, 0x1.140649495e079p-2, 0x1.1318e34b978dep-2, 0x1.121eb2d821cb6p-2, 0x1.1118094cff0d3p-2, 0x1.100537d079e1cp-2, 0x1.0ee68f4712154p-2, 0x1.0dbc6049ad68bp-2, 0x1.0c86fb1c1069fp-2, 0x1.0b46afa39e1a8p-2, 0x1.09fbcd5e5ca32p-2, 0x1.08a6a35a4146dp-2, 0x1.0747802cc557fp-2, 0x1.05deb1eabd968p-2, 0x1.046c86207c524p-2, 0x1.02f149ca35f68p-2, 0x1.016d494cb0ca6p-2, 0x1.ffc1a0dc6ab01p-3, 0x1.fc98549f8fab6p-3, 0x1.f95f42cd454c1p-3, 0x1.f616feebf658bp-3, 0x1.f2c01b120a28bp-3, 0x1.ef5b27da77f0fp-3, 0x1.ebe8b459da7ccp-3, 0x1.e8694e1414281p-3, 0x1.e4dd80f261ae6p-3, 0x1.e145d73a01a19p-3, 0x1.dda2d98350dcfp-3, 0x1.d9f50eb16765p-3, 0x1.d63cfbea2eaap-3, 0x1.d27b248ef836cp-3, 0x1.ceb00a358799dp-3, 0x1.cadc2ca19692fp-3, 0x1.c70009bec8155p-3, 0x1.c31c1d9b174fcp-3, 0x1.bf30e261ad9f4p-3, 0x1.bb3ed0562d7e7p-3, 0x1.b7465dd066216p-3, 0x1.b347ff387505p-3, 0x1.af44270349217p-3, 0x1.ab3b45af932e5p-3, 0x1.a72dc9c316a9dp-3, 0x1.a31c1fc85577fp-3, 0x1.9f06b24ca7b44p-3, 0x1.9aede9dea7f3ep-3, 0x1.96d22d0cf4da5p-3, 0x1.92b3e06557d67p-3, 0x1.8e93667439464p-3, 0x1.8a711fc465885p-3, 0x1.864d6adf2bc4ep-3, 0x1.8228a44cc3f6bp-3, 0x1.7e03269505e08p-3, 0x1.79dd4a4067422p-3, 0x1.75b765d943f08p-3, 0x1.7191cded6b6bp-3, 0x1.6d6cd50feea71p-3, 0x1.6948cbdb351b2p-3, 0x1.652600f34af69p-3, 0x1.6104c1086dcdp-3, 0x1.5ce556d9d4311p-3, 0x1.58c80b38ae7bbp-3, 0x1.54ad250b57f44p-3, 0x1.5094e950c66cap-3, 0x1.4c7f9b241fafep-3, 0x1.486d7bc0881dap-3, 0x1.445eca8518dabp-3, 0x1.4053c4f903becp-3, 0x1.3c4ca6cfe4fffp-3, 0x1.3849a9ee32c5cp-3, 0x1.344b066ddb5b5p-3, 0x1.3050f2a304cdep-3, 0x1.2c5ba320eb551p-3, 0x1.286b4abee3cb1p-3, 0x1.24801a9d7a4bp-3, 0x1.209a422bab324p-3, 0x1.1cb9ef2c3d8f3p-3, 0x1.18df4dbb2e45bp-3, 0x1.150a885339fd9p-3, 0x1.113bc7d376e5bp-3, 0x1.0d7333850474fp-3, 0x1.09b0f120d209cp-3, 0x1.05f524d56c934p-3, 0x1.023ff14ce940ep-3, 0x1.fd22ef65a2279p-4, 0x1.f5d3af743dd12p-4, 0x1.ee925f469c6f3p-4, 0x1.e75f3884d0261p-4, 0x1.e03a720a41b62p-4, 0x1.d9243ff1f4b09p-4, 0x1.d21cd3a2e0c83p-4, 0x1.cb245bdc42567p-4, 0x1.c43b04c20543ep-4, 0x1.bd60f7e92724ap-4, 0x1.b6965c6427687p-4, 0x1.afdb56cf6cfb6p-4, 0x1.a930095db8385p-4, 0x1.a29493e481808p-4, 0x1.9c0913e85edcfp-4, 0x1.958da4a960202p-4, 0x1.8f225f2f59427p-4, 0x1.88c75a5632336p-4, 0x1.827caada19766p-4, 0x1.7c426363b5de6p-4, 0x1.76189494405dp-4, 0x1.6fff4d119207cp-4, 0x1.69f699921bf33p-4, 0x1.63fe84e8cdfdp-4, 0x1.5e171810e9b5ap-4, 0x1.58405a39b7bb7p-4, 0x1.527a50d2314ccp-4, 0x1.4cc4ff9485f61p-4, 0x1.472068918de73p-4, 0x1.418c8c3c212fbp-4, 0x1.3c09697451416p-4, 0x1.3696fd92861f2p-4, 0x1.313544727fc07p-4, 0x1.2be4387e3905bp-4, 0x1.26a3d2b8a88bap-4, 0x1.21740ac86639bp-4, 0x1.1c54d7022d74cp-4, 0x1.17462c733e118p-4, 0x1.1247feeb9d15ep-4, 0x1.0d5a410832feap-4, 0x1.087ce43cc83efp-4, 0x1.03afd8ddda29fp-4, 0x1.fde61c54a38f7p-5, 0x1.f48ce4aa24c23p-5, 0x1.eb53e51cd1cf5p-5, 0x1.e23af61a9ec6p-5, 0x1.d941ee3125fap-5, 0x1.d068a21f9c802p-5, 0x1.c7aee4e8880ap-5, 0x1.bf1487e31d7fcp-5, 0x1.b6995acc609fp-5, 0x1.ae3d2bd7ed0c4p-5, 0x1.a5ffc7c0779d4p-5, 0x1.9de0f9d80cca1p-5, 0x1.95e08c17f0d28p-5, 0x1.8dfe473042513p-5, 0x1.8639f2974ad3bp-5, 0x1.7e935498869ep-5, 0x1.770a32635eabbp-5, 0x1.6f9e501998ce8p-5, 0x1.684f70dd78481p-5, 0x1.611d56df97518p-5, 0x1.5a07c36c78281p-5, 0x1.530e76f9c52d4p-5, 0x1.4c3131334b027p-5, 0x1.456fb107aa83fp-5, 0x1.3ec9b4b4bc4ep-5, 0x1.383ef9d3b10dfp-5, 0x1.31cf3d64ea0cbp-5, 0x1.2b7a3bdb81dadp-5, 0x1.253fb128981e8p-5, 0x1.1f1f58c6537dcp-5, 0x1.1918edc2983ep-5, 0x1.132c2ac986976p-5, 0x1.0d58ca2fa3893p-5, 0x1.079e85fbd011ep-5, 0x1.01fd17f0ec4f8p-5, 0x1.f8e8732e8b007p-6, 0x1.ee07488b7d633p-6, 0x1.e356225564bc2p-6, 0x1.d8d472a93b01ep-6, 0x1.ce81ab75094c1p-6, 0x1.c45d3e883ff3bp-6, 0x1.ba669da38bd07p-6, 0x1.b09d3a882b63ep-6, 0x1.a7008706e8899p-6, 0x1.9d8ff50e77585p-6, 0x1.944af6b97ba43p-6, 0x1.8b30fe5c0f235p-6, 0x1.82417e90dc9cp-6, 0x1.797bea45cbe4ep-6, 0x1.70dfb4c83644p-6, 0x1.686c51d0c4404p-6, 0x1.6021358ecaad2p-6, 0x1.57fdd4b34ceecp-6, 0x1.5001a47b9f8b8p-6, 0x1.482c1abb9267fp-6, 0x1.407cade746928p-6, 0x1.38f2d51ca72b6p-6, 0x1.318e082c78bf2p-6, 0x1.2a4dbfa30c727p-6, 0x1.233174d09f70ap-6, 0x1.1c38a1d15edf8p-6, 0x1.1562c1950b6bdp-6, 0x1.0eaf4fe653a5dp-6, 0x1.081dc971d3987p-6, 0x1.01adabccbd1d9p-6, 0x1.f6bceaf673a99p-7, 0x1.ea5f4becf588ep-7, 0x1.de417b64e00afp-7, 0x1.d2627c4695e7bp-7, 0x1.c6c153853fee8p-7, 0x1.bb5d0828a1698p-7, 0x1.b034a35640cd1p-7, 0x1.a547305a34ecep-7, 0x1.9a93bcaf2a583p-7, 0x1.90195806333aep-7, 0x1.85d7144dcf65ep-7, 0x1.7bcc05b8a9c04p-7, 0x1.71f742c3c1f1ep-7, 0x1.6857e43c240fp-7, 0x1.5eed05443c575p-7, 0x1.55b5c358adb35p-7, 0x1.4cb13e54b79acp-7, 0x1.43de98762a1fap-7, 0x1.3b3cf6612cf02p-7, 0x1.32cb7f232e081p-7, 0x1.2a895c35fb079p-7, 0x1.2275b9821093ap-7, 0x1.1a8fc560b4849p-7, 0x1.12d6b09dc6e5p-7, 0x1.0b49ae79112e8p-7, 0x1.03e7f4a777d43p-7, 0x1.f96176a76660dp-8, 0x1.eb467a3d6d13cp-8, 0x1.dd7d6e3fed746p-8, 0x1.d004d1ca64e4bp-8, 0x1.c2db28e41d2cep-8, 0x1.b5fefc7edcae7p-8, 0x1.a96eda75190dep-8, 0x1.9d29558762037p-8, 0x1.912d0559c95b3p-8, 0x1.857886706f683p-8, 0x1.7a0a7a2baafb4p-8, 0x1.6ee186c3feaf3p-8, 0x1.63fc574567db1p-8, 0x1.59599b8a4486dp-8, 0x1.4ef8083616c12p-8, 0x1.44d656afb39edp-8, 0x1.3af3451ad529ap-8, 0x1.314d96524a805p-8, 0x1.27e411e06c5bp-8, 0x1.1eb583f89dcf1p-8, 0x1.15c0bd6f906a1p-8, 0x1.0d0493b39ed11p-8, 0x1.047fe0c4fb773p-8, 0x1.f863065abdf43p-9, 0x1.e830bbef48641p-9, 0x1.d866b14e0c7f2p-9, 0x1.c902be5c604dfp-9, 0x1.ba02c3ccc1f0fp-9, 0x1.ab64ab0bad844p-9, 0x1.9d26662c81a6ep-9, 0x1.8f45efd6ea8d8p-9, 0x1.81c14b3248db7p-9, 0x1.749683d28ed83p-9, 0x1.67c3ada33a124p-9, 0x1.5b46e4d3655b1p-9, 0x1.4f1e4dc093201p-9, 0x1.434814e1f27cfp-9, 0x1.37c26eb2f148ep-9, 0x1.2c8b979de1d83p-9, 0x1.21a1d3e65cap-9, 0x1.17036f93a1498p-9, 0x1.0caebe5a5cf61p-9, 0x1.02a21b86dae88p-9, 0x1.f1b7d3cded63dp-10, 0x1.deb52766e29dp-10, 0x1.cc3914f44b7f7p-10, 0x1.ba408e0df86a1p-10, 0x1.a8c8929c0981cp-10, 0x1.97ce30a965202p-10, 0x1.874e843657eabp-10, 0x1.7746b70be5ae7p-10, 0x1.67b4008e55329p-10, 0x1.5893a5903ea67p-10, 0x1.49e2f8250571p-10, 0x1.3b9f577402c45p-10, 0x1.2dc62f8b5cdffp-10, 0x1.2054f9338bb71p-10, 0x1.134939c190522p-10, 0x1.06a082eae34abp-10, 0x1.f4b0e5322b2d9p-11, 0x1.dcdd657892711p-11, 0x1.c5c1f240b019p-11, 0x1.af5a0e7f2e03cp-11, 0x1.99a1542f49bb1p-11, 0x1.849373fb06167p-11, 0x1.702c34e4025edp-11, 0x1.5c6773ed61b11p-11, 0x1.494123c5f0f9ap-11, 0x1.36b54c72c7a96p-11, 0x1.24c00afaa2a3dp-11, 0x1.135d911163e19p-11, 0x1.028a24c43313dp-11, 0x1.e484404d9e58ep-12, 0x1.c503e20356ed2p-12, 0x1.a68c30fe520c8p-12, 0x1.891655b682117p-12, 0x1.6c9b9e25954c5p-12, 0x1.51157d27a0e8fp-12, 0x1.367d89de2d2b3p-12, 0x1.1ccd7f10e2221p-12, 0x1.03ff3a971de07p-12, 0x1.d81979735d02ep-13, 0x1.a9e04f3a33a48p-13, 0x1.7d477d56d2466p-13, 0x1.5243cbfb75193p-13, 0x1.28ca4393547a5p-13, 0x1.00d02b9f83c83p-13, 0x1.b496132ba340bp-14, 0x1.6a613f86ebf0ap-14, 0x1.22edd8652fff2p-14, 0x1.bc509e4ecad23p-15, 0x1.37fb10b3729ap-15, 0x1.716b66179cef3p-16, 0x1.f2e0727a8f19fp-18, -0x1.b9abd6f1cb9ddp-18, -0x1.5043607acfa25p-16, -0x1.148a8808c8733p-15, -0x1.7c912ae544a8ep-15, -0x1.e055f7e342434p-15, -0x1.1ffc442c3ee7ep-14, -0x1.4dcbd9dbc2d0cp-14, -0x1.79a8c9ace7745p-14, -0x1.a3a1c31f9b6f3p-14, -0x1.cbc51a5cad95fp-14, -0x1.f220ca0677cbdp-14, -0x1.0b613a8298759p-13, -0x1.1cdbb4228a02bp-13, -0x1.2d864e3d74976p-13, -0x1.3d675be97d897p-13, -0x1.4c8507d4224f2p-13, -0x1.5ae555138a208p-13, -0x1.688e1ffab3e19p-13, -0x1.75851ee551d8bp-13, -0x1.81cfe305c3a0dp-13, -0x1.8d73d92a19f97p-13, -0x1.98764a831049dp-13, -0x1.a2dc5d6436593p-13, -0x1.acab160393d21p-13, -0x1.b5e75733d40d2p-13, -0x1.be95e31dde24ap-13, -0x1.c6bb5bf59dbf1p-13, -0x1.ce5c44ad16196p-13, -0x1.d57d01a1cd9dp-13, -0x1.dc21d94b93559p-13, -0x1.e24ef4e3bb0f6p-13, -0x1.e808610deb2e6p-13, -0x1.ed520e78a3207p-13, -0x1.f22fd281ee106p-13, -0x1.f6a567d21a415p-13, -0x1.fab66ef7b8471p-13, -0x1.fe666f012bd86p-13, -0x1.00dc6b08a09bp-12, -0x1.02587cf8da464p-12, -0x1.03a90c524de76p-12, -0x1.04cfac78b46e7p-12, -0x1.05cde577aad23p-12, -0x1.06a534476a05bp-12, -0x1.07570b0f72b66p-12, -0x1.07e4d167dc75ep-12, -0x1.084fe49a78c13p-12, -0x1.089997e17a1f5p-12, -0x1.08c334a54807cp-12, -0x1.08cdfab9bf119p-12, -0x1.08bb20995767p-12, -0x1.088bd39f6bd9p-12, -0x1.0841384255b5ep-12, -0x1.07dc6a4a31649p-12, -0x1.075e7d08e65bep-12, -0x1.06c87b8fddf96p-12, -0x1.061b68e44826bp-12, -0x1.05584033136fp-12, -0x1.047ff503df6b7p-12, -0x1.0393736a16c28p-12, -0x1.0293a035cb00fp-12, -0x1.0181592316987p-12, -0x1.005d7508fd2a5p-12, -0x1.fe51880d57608p-13, -0x1.fbc81f604472cp-13, -0x1.f920367403c19p-13, -0x1.f65b474787481p-13, -0x1.f37abfc506c93p-13, -0x1.f08002118ee44p-13, -0x1.ed6c64de5aa05p-13, -0x1.ea4133b6d9c9bp-13, -0x1.e6ffaf4c08f63p-13, -0x1.e3a90dc11e026p-13, -0x1.e03e7af3598fdp-13, -0x1.dcc118c24019bp-13, -0x1.d931ff54be004p-13, -0x1.d5923d5e2874bp-13, -0x1.d1e2d8602b296p-13, -0x1.ce24ccec8812ep-13, -0x1.ca590ee4f5461p-13, -0x1.c68089b910d8ap-13, -0x1.c29c20a330057p-13, -0x1.beacaee3a3cd3p-13, -0x1.bab307fabc083p-13, -0x1.b6aff7e0e6c8dp-13, -0x1.b2a4433f4a3cdp-13, -0x1.ae90a7a44284dp-13, -0x1.aa75dbb8c0b96p-13, -0x1.a6548f735f92p-13, -0x1.a22d6c4a4c1b5p-13, -0x1.9e0115649ab59p-13, -0x1.99d027c9e56cdp-13, -0x1.959b3a908bef2p-13, -0x1.9162df0b2f283p-13, -0x1.8d27a0f51b0adp-13, -0x1.88ea069cfa9a9p-13, -0x1.84aa910f9a5ecp-13, -0x1.8069bc3fafeccp-13, -0x1.7c27ff2ee3007p-13, -0x1.77e5cc145b92fp-13, -0x1.73a39082ce3dap-13, -0x1.6f61b58d470dbp-13, -0x1.6b209fead0834p-13, -0x1.66e0b019f2ee3p-13, -0x1.62a24282b97d9p-13, -0x1.5e65af983be99p-13, -0x1.5a2b4bf85f72ap-13, -0x1.55f3688b91928p-13, -0x1.51be52a3d13cbp-13, -0x1.4d8c5419e4a53p-13, -0x1.495db36a6cccep-13, -0x1.4532b3d2d16cfp-13, -0x1.410b956c20a97p-13, -0x1.3ce89545c722ap-13, -0x1.38c9ed7fdcd68p-13, -0x1.34afd5644d469p-13, -0x1.309a817ef7b49p-13, -0x1.2c8a23b630a5ep-13, -0x1.287eeb619a43ap-13, -0x1.24790560d34b5p-13, -0x1.20789c31095fbp-13, -0x1.1c7dd80305d82p-13, -0x1.1888decef766dp-13, -0x1.1499d4690cb6ap-13, -0x1.10b0da9495a1cp-13, -0x1.0cce111772c57p-13, -0x1.08f195cc17648p-13, -0x1.051b84b346d55p-13, -0x1.014bf805ec0edp-13, -0x1.fb06108a42adp-14, -0x1.f3819895e4c34p-14, -0x1.ec0ab2b3e170bp-14, -0x1.e4a18659c2a2bp-14, -0x1.dd46380a68a94p-14, -0x1.d5f8e972fd567p-14, -0x1.ceb9b98785d6dp-14, -0x1.c788c49c8c8bap-14, -0x1.c0662482ecba7p-14, -0x1.b951f09fc30cfp-14, -0x1.b24c3e063d3f7p-14, -0x1.ab551f8eb9a89p-14, -0x1.a46ca5edb61ep-14, -0x1.9d92dfcac2a19p-14, -0x1.96c7d9d5aea17p-14, -0x1.900b9edb04f6ap-14, -0x1.895e37d9327afp-14, -0x1.82bfac13442bdp-14, -0x1.7c3001247b4f9p-14, -0x1.75af3b11e623dp-14, -0x1.6f3d5c5cc502p-14, -0x1.68da6612fd3d5p-14, -0x1.628657e020facp-14, -0x1.5c41301c977e5p-14, -0x1.560aebddf3c05p-14, -0x1.4fe3870511652p-14, -0x1.49cafc4d4e276p-14, -0x1.43c1455931bbdp-14, -0x1.3dc65ac116374p-14, -0x1.37da341ed27c4p-14, -0x1.31fcc81b2679dp-14, -0x1.2c2e0c790afc6p-14, -0x1.266df621b93dp-14, -0x1.20bc792f9c4d2p-14, -0x1.1b1988f8eebd4p-14, -0x1.1585181a5f78bp-14, -0x1.0fff1880831fcp-14, -0x1.0a877b7204b1bp-14, -0x1.051e319851d38p-14, -0x1.ff86561169399p-15, -0x1.f4ecae9a805c4p-15, -0x1.ea6f4ad84dbebp-15, -0x1.e00e07e110c77p-15, -0x1.d5c8c1e240833p-15, -0x1.cb9f5430ed093p-15, -0x1.c191995601f3p-15, -0x1.b79f6b1c97361p-15, -0x1.adc8a29f0bc7cp-15, -0x1.a40d1852efd02p-15, -0x1.9a6ca4145504ap-15, -0x1.90e71d324cef1p-15, -0x1.877c5a78d71eap-15, -0x1.7e2c323c3011ep-15, -0x1.74f67a617c964p-15, -0x1.6bdb0869413ebp-15, -0x1.62d9b17883934p-15, -0x1.59f24a6137d54p-15, -0x1.5124a7aa6cd41p-15, -0x1.48709d988a222p-15, -0x1.3fd6003508fb3p-15, -0x1.3754a3556b552p-15, -0x1.2eec5aa187cdcp-15, -0x1.269cf99b9d5bdp-15, -0x1.1e6653a512335p-15, -0x1.16483c05aaf7cp-15, -0x1.0e4285f01c96ep-15, -0x1.06550488267e7p-15, -0x1.fcff15cf0e5d8p-16, -0x1.ed83d8455236ap-16, -0x1.de37f69ab3fbdp-16, -0x1.cf1b16feac6aep-16, -0x1.c02cdfb0570ep-16, -0x1.b16cf7067da42p-16, -0x1.a2db03762d8e1p-16, -0x1.9476ab9bae1eep-16, -0x1.863f963f22ad3p-16, -0x1.78356a5b3aaa3p-16, -0x1.6a57cf2325a5bp-16, -0x1.5ca66c0907969p-16, -0x1.4f20e8c192781p-16, -0x1.41c6ed4963b53p-16, -0x1.349821e9ab453p-16, -0x1.27942f3c4fa32p-16, -0x1.1ababe3092c13p-16, -0x1.0e0b780caeecap-16, -0x1.01860673e3521p-16, -0x1.ea5426cf64f8ep-17, -0x1.d1ee9296c4036p-17, -0x1.b9daa5cd77e92p-17, -0x1.a217b6d09a626p-17, -0x1.8aa51cd0ae2bdp-17, -0x1.73822fd4107c7p-17, -0x1.5cae48bbda802p-17, -0x1.4628c145fce8bp-17, -0x1.2ff0f41142e5p-17, -0x1.1a063ca02775fp-17, -0x1.0467f75b20b34p-17, -0x1.de2b0325cbc1p-18, -0x1.b41c730343a0ep-18, -0x1.8aa2fc9a71aa2p-18, -0x1.61bd600f2a422p-18, -0x1.396a5f648c093p-18, -0x1.11a8be77a6c24p-18, -0x1.d4ee860c74cd8p-19, -0x1.87a9695ceb713p-19, -0x1.3b7fb9da1e4cep-19, -0x1.e0de1c8aa9224p-20, -0x1.4cea02350a61cp-20, -0x1.763cc26237782p-21, -0x1.5bb3ebb7d4e11p-23, 0x1.884975f99de33p-22, 0x1.db01b98c5da67p-21, 0x1.76d9a6026a25dp-20, 0x1.fe215773f3a1ep-20, 0x1.41ae43f7df8fcp-19, 0x1.8347e37ffc3c3p-19, 0x1.c3dfce6aae5d7p-19, 0x1.01bc22974270fp-18, 0x1.2109c2521d26dp-18, 0x1.3fd9e305af93ep-18, 0x1.5e2d9f889bcddp-18, 0x1.7c0610ec82b61p-18, 0x1.99644e7c2942ep-18, 0x1.b6496dc566fap-18, 0x1.d2b68297bbec8p-18, 0x1.eeac9f097150ap-18, 0x1.051669bd13516p-17, 0x1.129c1749c0723p-17, 0x1.1fe7dea921777p-17, 0x1.2cfa45838038bp-17, 0x1.39d3d0ac1b2b4p-17, 0x1.467504240fc17p-17, 0x1.52de631bbbee5p-17, 0x1.5f106ff380205p-17, 0x1.6b0bac3fb180bp-17, 0x1.76d098c84fbb4p-17, 0x1.825fb58b6dceap-17, 0x1.8db981bf8b01ep-17, 0x1.98de7bd4a4b67p-17, 0x1.a3cf2176fa02fp-17, 0x1.ae8bef8e6a4a6p-17, 0x1.b9156242bc83p-17, 0x1.c36bf4fbb4d41p-17, 0x1.cd9022635f225p-17, 0x1.d7826467c97f2p-17, 0x1.e143343d02535p-17, 0x1.ead30a5d88c85p-17, 0x1.f4325e8d2600dp-17, 0x1.fd61a7d8fb827p-17, 0x1.0330ae4d2fa85p-16, 0x1.0798f93c68b8fp-16, 0x1.0be9ef34b0dddp-16, 0x1.1023ca59337ddp-16, 0x1.1446c475d4616p-16, 0x1.185316fff2f91p-16, 0x1.1c48fb16df19bp-16, 0x1.2028a984d758dp-16, 0x1.23f25abfd388ap-16, 0x1.27a646e9e998ep-16, 0x1.2b44a5d1ed8fp-16, 0x1.2ecdaef4891b6p-16, 0x1.3241997bdf5d7p-16, 0x1.35a09c40d7a26p-16, 0x1.38eaedcb7042ap-16, 0x1.3c20c45363a53p-16, 0x1.3f4255c0b7a4ap-16, 0x1.424fd7ac0aa8dp-16, 0x1.45497f5f68393p-16, 0x1.482f81d668b11p-16, 0x1.4b0213bf2a916p-16, }}, 
      {{-0x1.7b1102f785a7dp-7, -0x1.7a89e1f099534p-6, -0x1.1b410bdfc083ep-5, -0x1.787c47cea1248p-5, -0x1.d4c0acef47f7ep-5, -0x1.17efc8bc4b74ap-4, -0x1.44d90a605f3ap-4, -0x1.710c997b56693p-4, -0x1.9c7ec3960cf8ap-4, -0x1.c72767b2acbaap-4, -0x1.f101a2d7972d9p-4, -0x1.0d05b7fa5d7e9p-3, -0x1.2122a15921235p-3, -0x1.34d8d17f1411p-3, -0x1.482a66af77045p-3, -0x1.5b1a2d3b65fb6p-3, -0x1.6dab7771ed303p-3, -0x1.7fe1f9e71cb54p-3, -0x1.91c1abf8148a5p-3, -0x1.a34eac4fcd9cap-3, -0x1.b48d292363b3fp-3, -0x1.c5814bdbae049p-3, -0x1.d62f27e64db35p-3, -0x1.e69aac6dee14cp-3, -0x1.f6c798be2daaep-3, -0x1.035cb98d598cfp-2, -0x1.0b39c0e93b0b6p-2, -0x1.12fc632c54bdp-2, -0x1.1aa5fd1642108p-2, -0x1.2237c6ac9db2ep-2, -0x1.29b2d32bdd1f6p-2, -0x1.3118118e71e54p-2, -0x1.38684d9081205p-2, -0x1.3fa43117e72c7p-2, -0x1.46cc45e9fce9p-2, -0x1.4de0f79a83f7p-2, -0x1.54e295a177439p-2, -0x1.5bd15587a04d9p-2, -0x1.62ad551c4e6bdp-2, -0x1.69769ca8b5bd9p-2, -0x1.702d2117bb951p-2, -0x1.76d0c60ae08d1p-2, -0x1.7d615fd6dc42dp-2, -0x1.83deb5640a81ep-2, -0x1.8a4881f038ebdp-2, -0x1.909e76b07e0eap-2, -0x1.96e03c52cdd45p-2, -0x1.9d0d745fb93f9p-2, -0x1.a325ba7d5d615p-2, -0x1.a928a5950099cp-2, -0x1.af15c8dd20f11p-2, -0x1.b4ecb4c9ef82p-2, -0x1.baacf7e642913p-2, -0x1.c0561f971c288p-2, -0x1.c5e7b8cbc0bf7p-2, -0x1.cb61509c5d6e6p-2, -0x1.d0c274d9038d9p-2, -0x1.d60ab48ab3c16p-2, -0x1.db39a067f00adp-2, -0x1.e04ecb3e3df11p-2, -0x1.e549ca51c0c19p-2, -0x1.ea2a35b40088dp-2, -0x1.eeefa892ba8cdp-2, -0x1.f399c17f875acp-2, -0x1.f82822b0f289p-2, -0x1.fc9a723d96a27p-2, -0x1.00782d28d283p-1, -0x1.0294c4af9de7p-1, -0x1.04a2d924e9d14p-1, -0x1.06a2464681bcdp-1, -0x1.0892ea2f64ab1p-1, -0x1.0a74a566c3503p-1, -0x1.0c475aece6c9dp-1, -0x1.0e0af04611065p-1, -0x1.0fbf4d83632d3p-1, -0x1.11645d49d96d6p-1, -0x1.12fa0cd7656dep-1, -0x1.14804c0637deap-1, -0x1.15f70d4e45eb1p-1, -0x1.175e45c516de5p-1, -0x1.18b5ed1becabp-1, -0x1.19fdfd9c54f81p-1, -0x1.1b36742336ee1p-1, -0x1.1c5f501a6cb95p-1, -0x1.1d789370ffd74p-1, -0x1.1e8242921956dp-1, -0x1.1f7c645abc40ap-1, -0x1.2067020e61771p-1, -0x1.2142274a86352p-1, -0x1.220de1f948706p-1, -0x1.22ca42432558cp-1, -0x1.23775a7fed8a2p-1, -0x1.24153f270b4b3p-1, -0x1.24a406bf29273p-1, -0x1.2523c9cd54961p-1, -0x1.2594a2c3ad6a8p-1, -0x1.25f6adefb83a9p-1, -0x1.264a0968655bdp-1, -0x1.268ed4fbe074ap-1, -0x1.26c5321d3aab8p-1, -0x1.26ed43d1fe304p-1, -0x1.27072e9fbb9c3p-1, -0x1.27131879a2c2cp-1, -0x1.271128ae2f4b8p-1, -0x1.270187d4fa3ebp-1, -0x1.26e45fbcba67fp-1, -0x1.26b9db597fa88p-1, -0x1.268226b32eb76p-1, -0x1.263d6ed44cb55p-1, -0x1.25ebe1b91b3bdp-1, -0x1.258dae3f128b6p-1, -0x1.25230414b84dp-1, -0x1.24ac13a9dfa9cp-1, -0x1.24290e205165ap-1, -0x1.239a253ce1448p-1, -0x1.22ff8b58f3ceep-1, -0x1.2259735477f8fp-1, -0x1.21a81088520a9p-1, -0x1.20eb96b93cd53p-1, -0x1.20243a0b1f76bp-1, -0x1.1f522ef4d8893p-1, -0x1.1e75aa347c8e2p-1, -0x1.1d8ee0c4091d3p-1, -0x1.1c9e07ce88ab1p-1, -0x1.1ba354a5a870ap-1, -0x1.1a9efcb7baf44p-1, -0x1.1991358626fc9p-1, -0x1.187a349c420b2p-1, -0x1.175a2f868fff3p-1, -0x1.16315bca676f3p-1, -0x1.14ffeeddf92fbp-1, -0x1.13c61e20b354ep-1, -0x1.12841ed403333p-1, -0x1.113a26146c423p-1, -0x1.0fe868d2f7663p-1, -0x1.0e8f1bcef12bp-1, -0x1.0d2e738ff9cd6p-1, -0x1.0bc6a4605e45bp-1, -0x1.0a57e247bc4f9p-1, -0x1.08e26105ea2c2p-1, -0x1.0766540e22902p-1, -0x1.05e3ee826e24p-1, -0x1.045b632f4d026p-1, -0x1.02cce48795a5fp-1, -0x1.0138a4a090186p-1, -0x1.ff3daa5c85368p-2, -0x1.fbff4effe159fp-2, -0x1.f8b698f997802p-2, -0x1.f563e9419ef9ep-2, -0x1.f2079ff395cp-2, -0x1.eea21c4920874p-2, -0x1.eb33bc949f465p-2, -0x1.e7bcde3c27a92p-2, -0x1.e43dddb4c815cp-2, -0x1.e0b7167e0d1a2p-2, -0x1.dd28e31dca95p-2, -0x1.d9939d1c1e0b4p-2, -0x1.d5f79cffae1f5p-2, -0x1.d2553a4a1fb0fp-2, -0x1.ceaccb74c347ap-2, -0x1.cafea5ed74a15p-2, -0x1.c74b1e13a71c9p-2, -0x1.c3928735a83b7p-2, -0x1.bfd5338e086ap-2, -0x1.bc13744133444p-2, -0x1.b84d995b2fe1cp-2, -0x1.b483f1cd88b68p-2, -0x1.b0b6cb6d5c5aap-2, -0x1.ace672f191812p-2, -0x1.a91333f130511p-2, -0x1.a53d58e1dfcefp-2, -0x1.a1652b1684421p-2, -0x1.9d8af2bdff781p-2, -0x1.99aef6e213c64p-2, -0x1.95d17d6661df8p-2, -0x1.91f2cb078a497p-2, -0x1.8e13235a6d9b8p-2, -0x1.8a32c8cb855ebp-2, -0x1.8651fc9e624f6p-2, -0x1.8270feed3eda6p-2, -0x1.7e900ea8b4c98p-2, -0x1.7aaf69978c71ep-2, -0x1.76cf4c56a564ap-2, -0x1.72eff258feca4p-2, -0x1.6f1195e7d62bcp-2, -0x1.6b347022e2d26p-2, -0x1.6758b900aaa99p-2, -0x1.637ea74ef3466p-2, -0x1.5fa670b346b9ep-2, -0x1.5bd049ab980d9p-2, -0x1.57fc658efbfb6p-2, -0x1.542af68e7b27bp-2, -0x1.505c2db5ff9fcp-2, -0x1.4c903aed53effp-2, -0x1.48c74cf94174p-2, -0x1.4501917cbd9bp-2, -0x1.413f34fa3513bp-2, -0x1.3d8062d4eac35p-2, -0x1.39c545526a86cp-2, -0x1.360e059c1506p-2, -0x1.325acbc0c0a3p-2, -0x1.2eabbeb66dc31p-2, -0x1.2b01045c0fc42p-2, -0x1.275ac17b6ccffp-2, -0x1.23b919cb0d857p-2, -0x1.201c2ff043f0ap-2, -0x1.1c84258141e7bp-2, -0x1.18f11b074483ep-2, -0x1.15633000d0c1cp-2, -0x1.11da82e3fff6dp-2, -0x1.0e573120e0113p-2, -0x1.0ad95723e41d8p-2, -0x1.07611058618dbp-2, -0x1.03ee772b2069ap-2, -0x1.0081a50cfae38p-2, -0x1.fa3564eb0fd7bp-3, -0x1.f3736dcbaf9acp-3, -0x1.ecbd91d6740a2p-3, -0x1.e613fc4429644p-3, -0x1.df76d67189a32p-3, -0x1.d8e647e517575p-3, -0x1.d26276550cbd6p-3, -0x1.cbeb85ad66f9dp-3, -0x1.c5819815f93f1p-3, -0x1.bf24cdf8a322dp-3, -0x1.b8d546078a78ap-3, -0x1.b2931d436ceb3p-3, -0x1.ac5e6f02032e8p-3, -0x1.a63754f46dde3p-3, -0x1.a01de72db3129p-3, -0x1.9a123c2949272p-3, -0x1.941468d1a96c2p-3, -0x1.8e248086f0098p-3, -0x1.884295258751p-3, -0x1.826eb70cd14e8p-3, -0x1.7ca8f525e7554p-3, -0x1.76f15cea53653p-3, -0x1.7147fa6ad33d1p-3, -0x1.6bacd8561ef1ap-3, -0x1.661fffffb68d8p-3, -0x1.60a17966a6e64p-3, -0x1.5b314b3c5c838p-3, -0x1.55cf7aeb6dbadp-3, -0x1.507c0c9e676eap-3, -0x1.4b370346980b4p-3, -0x1.460060a2d45b5p-3, -0x1.40d825463fp-3, -0x1.3bbe509f071d5p-3, -0x1.36b2e0fd21bf3p-3, -0x1.31b5d398fed8ep-3, -0x1.2cc7249a3659cp-3, -0x1.27e6cf1e2ffacp-3, -0x1.2314cd3ebc184p-3, -0x1.1e511818ad6c5p-3, -0x1.199ba7d25f7p-3, -0x1.14f473a23937p-3, -0x1.105b71d51dd34p-3, -0x1.0bd097d4dbd6dp-3, -0x1.0753da2e8272bp-3, -0x1.02e52c98b5b47p-3, -0x1.fd0903f3db4e1p-4, -0x1.f46398dd59517p-4, -0x1.ebd9fa9f4309ep-4, -0x1.e36c0a6f78ba3p-4, -0x1.db19a8146e80ep-4, -0x1.d2e2b1f11a597p-4, -0x1.cac70510af187p-4, -0x1.c2c67d3255a5cp-4, -0x1.bae0f4d4ac28ep-4, -0x1.b31645412205ep-4, -0x1.ab6646974242bp-4, -0x1.a3d0cfd7be97cp-4, -0x1.9c55b6ef68e8dp-4, -0x1.94f4d0c204fbap-4, -0x1.8dadf134e3a58p-4, -0x1.8680eb396b802p-4, -0x1.7f6d90d76cd7ap-4, -0x1.7873b3375079dp-4, -0x1.719322ac210dp-4, -0x1.6acbaebd678a8p-4, -0x1.641d2630e15f6p-4, -0x1.5d8757140cae9p-4, -0x1.570a0ec58b95ap-4, -0x1.50a519fe59b4p-4, -0x1.4a5844dadfebcp-4, -0x1.44235ae3d3b51p-4, -0x1.3e062716f58c5p-4, -0x1.380073efa00d7p-4, -0x1.32120b6f2db8p-4, -0x1.2c3ab72533c5ep-4, -0x1.267a4037956d9p-4, -0x1.20d06f6a6966bp-4, -0x1.1b3d0d27b7d98p-4, -0x1.15bfe1870b457p-4, -0x1.1058b454dccfap-4, -0x1.0b074d19ce6e9p-4, -0x1.05cb7321c3d62p-4, -0x1.00a4ed82cdd29p-4, -0x1.f7270647d2f8ep-5, -0x1.ed2df5873b495p-5, -0x1.e35e35fcd0cedp-5, -0x1.d9b754aa104edp-5, -0x1.d038de6537715p-5, -0x1.c6e25fe530a59p-5, -0x1.bdb365cd35233p-5, -0x1.b4ab7cb81eb35p-5, -0x1.abca314367249p-5, -0x1.a30f1019e4315p-5, -0x1.9a79a5fe2a61cp-5, -0x1.92097fd4afe4dp-5, -0x1.89be2aad9bac2p-5, -0x1.819733ce4edd3p-5, -0x1.799428baa5c89p-5, -0x1.71b4973deac47p-5, -0x1.69f80d738b749p-5, -0x1.625e19cf7aafap-5, -0x1.5ae64b2658b07p-5, -0x1.539030b54e937p-5, -0x1.4c5b5a29a917p-5, -0x1.454757a830dc7p-5, -0x1.3e53b9d44028dp-5, -0x1.378011d693bp-5, -0x1.30cbf163e8017p-5, -0x1.2a36eac343913p-5, -0x1.23c090d41a67ep-5, -0x1.1d6877141fd73p-5, -0x1.172e31a4eb7fdp-5, -0x1.111155515ac94p-5, -0x1.0b117792bb1c1p-5, -0x1.052e2e95bf562p-5, -0x1.fece227e6799p-6, -0x1.f3776e610bf23p-6, -0x1.e8577198265p-6, -0x1.dd6d5e7272716p-6, -0x1.d2b868d08e006p-6, -0x1.c837c62c523b2p-6, -0x1.bdeaad9fd16e6p-6, -0x1.b3d057ec0382ap-6, -0x1.a9e7ff7f008acp-6, -0x1.a030e079ebcddp-6, -0x1.96aa38b67a307p-6, -0x1.8d5347cc26499p-6, -0x1.842b4f150b189p-6, -0x1.7b3191b266c5ap-6, -0x1.72655490d2167p-6, -0x1.69c5de6c258e9p-6, -0x1.615277d2ff8fbp-6, -0x1.590a6b2a1b54ap-6, -0x1.50ed04af4297cp-6, -0x1.48f9927bfc5f4p-6, -0x1.412f648807031p-6, -0x1.398dccab6c29ap-6, -0x1.32141ea06d5c9p-6, -0x1.2ac1b0051c2c7p-6, -0x1.2395d85cc496dp-6, -0x1.1c8ff11109505p-6, -0x1.15af5572c7c34p-6, -0x1.0ef362bac1a6cp-6, -0x1.085b780a18d76p-6, -0x1.01e6f66a7fe5cp-6, -0x1.f72a819c8678p-7, -0x1.eacb78203991bp-7, -0x1.deaf9de59bed8p-7, -0x1.d2d5c441230d5p-7, -0x1.c73cc054b9ba8p-7, -0x1.bbe36b0dd911bp-7, -0x1.b0c8a1235e01cp-7, -0x1.a5eb4312f6a4cp-7, -0x1.9b4a351e51acbp-7, -0x1.90e45f47e87b4p-7, -0x1.86b8ad4f90ee1p-7, -0x1.7cc60eaebd8a6p-7, -0x1.730b76946666dp-7, -0x1.6987dbe0db907p-7, -0x1.603a3921148d3p-7, -0x1.57218c8a06e7bp-7, -0x1.4e3cd7f3851a8p-7, -0x1.458b20d30d041p-7, -0x1.3d0b7036495f1p-7, -0x1.34bcd2bd645cep-7, -0x1.2c9e58952a8a8p-7, -0x1.24af1570f2513p-7, -0x1.1cee20846ab22p-7, -0x1.155a947d2aad2p-7, -0x1.0df38f7c1c33cp-7, -0x1.06b8330ec4c5cp-7, -0x1.ff4f4850c3275p-8, -0x1.f1821635d64aep-8, -0x1.e407271fc94adp-8, -0x1.d6dcd90252af1p-8, -0x1.ca019062e20a6p-8, -0x1.bd73b849d4bcp-8, -0x1.b131c233222c5p-8, -0x1.a53a25ff1d6e9p-8, -0x1.998b61e2bac11p-8, -0x1.8e23fa580576fp-8, -0x1.83027a0e1ff26p-8, -0x1.782571d94e085p-8, -0x1.6d8b78a2d965p-8, -0x1.63332b58b69afp-8, -0x1.591b2cdd59c43p-8, -0x1.4f4225f70888ap-8, -0x1.45a6c53f71f25p-8, -0x1.3c47bf1323a33p-8, -0x1.3323cd80bce53p-8, -0x1.2a39b0383a7ecp-8, -0x1.21882c7a47096p-8, -0x1.190e0d075f5e2p-8, -0x1.10ca220f06361p-8, -0x1.08bb411ed9abdp-8, -0x1.00e04511d2666p-8, -0x1.f2701bfeaf64cp-9, -0x1.e3830254da729p-9, -0x1.d4f711e1b08c9p-9, -0x1.c6ca2974a1bcp-9, -0x1.b8fa31cf9225p-9, -0x1.ab851d85128d7p-9, -0x1.9e68e8d738c3fp-9, -0x1.91a399962f687p-9, -0x1.85333efef3de5p-9, -0x1.7915f19a54fb1p-9, -0x1.6d49d31beaf49p-9, -0x1.61cd0e4153fc7p-9, -0x1.569dd6b162393p-9, -0x1.4bba68dbb6652p-9, -0x1.412109d850db8p-9, -0x1.36d00747888a6p-9, -0x1.2cc5b731d20acp-9, -0x1.230077e82baaap-9, -0x1.197eafe45f3e1p-9, -0x1.103ecda9bcf97p-9, -0x1.073f47a5d88bcp-9, -0x1.fcfd38234ab8fp-10, -0x1.ebf6a1a585474p-10, -0x1.db67e6b9cbcf1p-10, -0x1.cb4e312796ec6p-10, -0x1.bba6b95a090f4p-10, -0x1.ac6ec624e106cp-10, -0x1.9da3ac890f186p-10, -0x1.8f42cf7ab2616p-10, -0x1.81499fa6d72b6p-10, -0x1.73b59b3a4eba3p-10, -0x1.66844da8c1a6p-10, -0x1.59b34f746216p-10, -0x1.4d4045f65fa2cp-10, -0x1.4128e3277f3ffp-10, -0x1.356ae5699b157p-10, -0x1.2a041751de5f3p-10, -0x1.1ef24f72fa8b4p-10, -0x1.143370286df02p-10, -0x1.09c567626dc46p-10, -0x1.ff4c5ce3d58bp-11, -0x1.eba793aba070cp-11, -0x1.d89892107b783p-11, -0x1.c61b8c999365fp-11, -0x1.b42cccfe7727ap-11, -0x1.a2c8b1c56fac1p-11, -0x1.91ebade3a7998p-11, -0x1.8192485e01c23p-11, -0x1.71b91beb20433p-11, -0x1.625cd69743d78p-11, -0x1.537a39689621p-11, -0x1.450e1805085ddp-11, -0x1.3715585955b8fp-11, -0x1.298cf24154397p-11, -0x1.1c71ef3156d65p-11, -0x1.0fc169e0a6fc6p-11, -0x1.03788df583a51p-11, -0x1.ef292f638cc2bp-12, -0x1.d825a7430c67fp-12, -0x1.c1e13c93d450dp-12, -0x1.ac56c7b3b37d8p-12, -0x1.97813fb762da3p-12, -0x1.835bb9d02c035p-12, -0x1.6fe168b308fdfp-12, -0x1.5d0d9c046cf08p-12, -0x1.4adbbfc2b2156p-12, -0x1.39475bb681187p-12, -0x1.284c12e3163bap-12, -0x1.17e5a2f8fd6f1p-12, -0x1.080fe3cc572f3p-12, -0x1.f18d8d973a944p-13, -0x1.d40cacf46aa52p-13, -0x1.b7956bd6e3b8cp-13, -0x1.9c2040823acb9p-13, -0x1.81a5d05749deep-13, -0x1.681eeed8d6576p-13, -0x1.4f849cb307088p-13, -0x1.37d006c9aaf22p-13, -0x1.20fa854821ecfp-13, -0x1.0afd9ab6a4bdp-13, -0x1.eba5e626498e3p-14, -0x1.c2e8c5dcdd177p-14, -0x1.9bb7cd1835d01p-14, -0x1.76074210f4c95p-14, -0x1.51cbb6ff6219ap-14, -0x1.2efa087526706p-14, -0x1.0d875bbf6ed2ap-14, -0x1.dad23a96b22ebp-15, -0x1.9d29fe2c38386p-15, -0x1.6201ee43fb48p-15, -0x1.29467beceb97p-15, -0x1.e5c93480af0c4p-16, -0x1.7d937702d2b46p-16, -0x1.19c79c7161221p-16, -0x1.7484e9ae27f82p-17, -0x1.7b86f6d9a0635p-18, -0x1.e10726f1f8496p-22, 0x1.2fdb98a105f8bp-18, 0x1.375dc971d8513p-17, 0x1.cf85418990e47p-17, 0x1.305008863aebcp-16, 0x1.75743bad14cb5p-16, 0x1.b74b902cf9897p-16, 0x1.f5f196f177938p-16, 0x1.18c090434a3cp-15, 0x1.350a20cc663aap-15, 0x1.4fe22bb3d6673p-15, 0x1.69550613ef22p-15, 0x1.816ead9f2b6fcp-15, 0x1.983acab9d84f8p-15, 0x1.adc4b285d923fp-15, 0x1.c21768e495567p-15, 0x1.d53da26f41a51p-15, 0x1.e741c662a9b8fp-15, 0x1.f82df08115a1fp-15, 0x1.0405f977236a9p-14, 0x1.0b72abfccc8edp-14, 0x1.1261b1f3b0235p-14, 0x1.18d78b55ed4f5p-14, 0x1.1ed896cec08e8p-14, 0x1.2469128e497c2p-14, 0x1.298d1d19e0f88p-14, 0x1.2e48b6190db81p-14, 0x1.329fbf1b079dcp-14, 0x1.3695fc5af3c38p-14, 0x1.3a2f157d3bd1dp-14, 0x1.3d6e964bf47cfp-14, 0x1.4057ef6b0e731p-14, 0x1.42ee770d63f75p-14, 0x1.453569a1325aap-14, 0x1.472fea7b94bacp-14, 0x1.48e1047f53241p-14, 0x1.4a4baac0b472dp-14, 0x1.4b72b92366468p-14, 0x1.4c58f4f7f349p-14, 0x1.4d010d934f885p-14, 0x1.4d6d9ce3d42f9p-14, 0x1.4da12803444e6p-14, 0x1.4d9e1fc407625p-14, 0x1.4d66e13d20b3p-14, 0x1.4cfdb65152b62p-14, 0x1.4c64d633b034bp-14, 0x1.4b9e65e8b12f7p-14, 0x1.4aac78c640ee8p-14, 0x1.499110ec9f23fp-14, 0x1.484e1fc1a2a94p-14, 0x1.46e5866467e88p-14, 0x1.455916214161ep-14, 0x1.43aa90e16be8bp-14, 0x1.41dba998fce9p-14, 0x1.3fee04b1aab6fp-14, 0x1.3de33872b3b7cp-14, 0x1.3bbccd66e90f9p-14, 0x1.397c3ebfe4c55p-14, 0x1.3722fab6b7ec7p-14, 0x1.34b262eafe13bp-14, 0x1.322bccbe2c64ep-14, 0x1.2f9081ae440adp-14, 0x1.2ce1bfacaf585p-14, 0x1.2a20b97474293p-14, 0x1.274e96dd14853p-14, 0x1.246c752be68cdp-14, 0x1.217b676351682p-14, 0x1.1e7c768ffabfap-14, 0x1.1b70a213d850ap-14, 0x1.1858dfefdf29fp-14, 0x1.15361d0af2016p-14, 0x1.12093d781c4adp-14, 0x1.0ed31cb9f8c54p-14, 0x1.0b948e04a774dp-14, 0x1.084e5c7e84f02p-14, 0x1.05014b7e52acap-14, 0x1.01ae16c8dd68ap-14, 0x1.fcaae5978a461p-15, 0x1.f5f019b01905p-15, 0x1.ef2d16b3a4263p-15, 0x1.e8631c1e27f64p-15, 0x1.e1935c7b9680bp-15, 0x1.dabefdce23185p-15, 0x1.d3e719f4071f8p-15, 0x1.cd0cbf09b6ed3p-15, 0x1.c630efc9e21fbp-15, 0x1.bf54a3e9eb9dp-15, 0x1.b878c874ed08fp-15, 0x1.b19e4023b288bp-15, 0x1.aac5e3b1f9c35p-15, 0x1.a3f0823266803p-15, 0x1.9d1ee15eb776cp-15, 0x1.9651bde6d748ap-15, 0x1.8f89cbbdc5868p-15, 0x1.88c7b6634d21p-15, 0x1.820c212bf87e1p-15, 0x1.7b57a788bef06p-15, 0x1.74aadd4940f2cp-15, 0x1.6e064edfd1eb7p-15, 0x1.676a81a1158cp-15, 0x1.60d7f402549d4p-15, 0x1.5a4f1dd65b16bp-15, 0x1.53d07088eaaf7p-15, 0x1.4d5c57571ba49p-15, 0x1.46f33787882d1p-15, 0x1.409570a00dacfp-15, 0x1.3a435c9ad0c17p-15, 0x1.33fd5017ca45cp-15, 0x1.2dc39a8ecb995p-15, 0x1.2796867f82edfp-15, 0x1.2176599efc1c4p-15, 0x1.1b635506426cp-15, 0x1.155db55c39615p-15, 0x1.0f65b3010dbf1p-15, 0x1.097b8237035b3p-15, 0x1.039f5349a2748p-15, 0x1.fba2a56a9deb9p-16, 0x1.f02352971012ap-16, 0x1.e4c0f8b037e6p-16, 0x1.d97bdb871b016p-16, 0x1.ce54386ac2accp-16, 0x1.c34a46697db23p-16, 0x1.b85e36918dc1fp-16, 0x1.ad90342d99d18p-16, 0x1.a2e0650195ed6p-16, 0x1.984ee984597d2p-16, 0x1.8ddbdd16919fap-16, 0x1.8387563a973c3p-16, 0x1.795166c6f1063p-16, 0x1.6f3a1c1b510cep-16, 0x1.65417f4f89617p-16, 0x1.5b6795645b99p-16, 0x1.51ac5f7058384p-16, 0x1.480fdaccd757fp-16, 0x1.3e9201404a80dp-16, 0x1.3532c9285147fp-16, 0x1.2bf225a17a003p-16, 0x1.22d006ad5ab92p-16, 0x1.19cc5958f52e9p-16, 0x1.10e707df71f83p-16, 0x1.081ff9ce1c613p-16, 0x1.feee284a2aad9p-17, 0x1.edd872f0c242ap-17, 0x1.dcfe941e4e732p-17, 0x1.cc60480297b93p-17, 0x1.bbfd46ab58f1fp-17, 0x1.abd5443918e5ep-17, 0x1.9be7f117cf27fp-17, 0x1.8c34fa322cfa3p-17, 0x1.7cbc09242f2bcp-17, 0x1.6d7cc46b57013p-17, 0x1.5e76cf9563c3ep-17, 0x1.4fa9cb6db2714p-17, 0x1.411556277862dp-17, 0x1.32b90b879b882p-17, 0x1.2494850d83e7bp-17, 0x1.16a75a18e0743p-17, 0x1.08f1200f00a87p-17, 0x1.f6e2d4fd6437ap-18, 0x1.dc4f968460b25p-18, 0x1.c227a53de7554p-18, 0x1.a86a1ecfb44efp-18, 0x1.8f161e3209a83p-18, 0x1.762abbec95efbp-18, 0x1.5da70e4c96eb1p-18, 0x1.458a299da55f2p-18, 0x1.2dd32058fb476p-18, 0x1.16810358c7aebp-18, 0x1.ff25c40ed8823p-19, 0x1.d20f9519b1e48p-19, 0x1.a5bd93f3ba26fp-19, 0x1.7a2dd8e06a3f4p-19, 0x1.4f5e7a9a266afp-19, 0x1.254d8e960ee13p-19, 0x1.f7f252a5415acp-20, 0x1.a6bebd35340f1p-20, 0x1.56fc838eae67bp-20, 0x1.08a7cc05d2ec6p-20, 0x1.777979f5629edp-21, 0x1.c0ddf56ee6e41p-22, 0x1.30a1a81ebc46fp-23, -0x1.1587968bd66eep-23, -0x1.a86f3cb451e71p-22, -0x1.606065f4de9f7p-21, -0x1.e9e3dd5668c73p-21, -0x1.3864cfe98c99p-20, -0x1.7a8ca13f6a464p-20, -0x1.bb6d29d0fc85fp-20, -0x1.fb0a2d14f67a3p-20, -0x1.1cb3b544e0596p-19, -0x1.3b444ebd4ac94p-19, -0x1.5938be5ed6879p-19, -0x1.7692dd4009c6cp-19, -0x1.93548204ab3ffp-19, -0x1.af7f80c76a8e2p-19, -0x1.cb15aafddab3ep-19, -0x1.e618cf67dda07p-19, -0x1.00455cfa588d3p-18, -0x1.0d3699d98a3bcp-18, -0x1.19e1015dfa2fdp-18, -0x1.264575121127ep-18, -0x1.3264d4f4ced14p-18, -0x1.3e3fff73d06e6p-18, -0x1.49d7d163d41b7p-18, -0x1.552d25fa1fc6dp-18, -0x1.6040d6c6cfe5ep-18, -0x1.6b13bbb0115c9p-18, -0x1.75a6aaecff723p-18, -0x1.7ffa7900fa41bp-18, -0x1.8a0ff8b85958ap-18, -0x1.93e7fb2460642p-18, -0x1.9d834f97f1cfcp-18, -0x1.a6e2c3a585131p-18, -0x1.b007231ba2432p-18, -0x1.b8f1380487db4p-18, -0x1.c1a1caa1caf68p-18, -0x1.ca19a16dd6a85p-18, -0x1.d259811904eddp-18, -0x1.da622c88aad6p-18, -0x1.e23464d7a1fe2p-18, -0x1.e9d0e954f193p-18, -0x1.f1387783e5f4p-18, -0x1.f86bcb1cd8baap-18, -0x1.ff6b9e0c46affp-18, -0x1.031c543a6a4c4p-17, -0x1.0669d057672eap-17, -0x1.099e9da51e48p-17, -0x1.0cbb1587a8405p-17, -0x1.0fbf907fad7bap-17, -0x1.12ac662b91b7ap-17, -0x1.1581ed47e192cp-17, -0x1.18407bb062591p-17, -0x1.1ae86660d390ap-17, -0x1.1d7a01761f7cfp-17, -0x1.1ff5a02f9ba28p-17, -0x1.225b94ef4c13dp-17, -0x1.24ac313bf4ec1p-17, -0x1.26e7c5c1f8f7cp-17, -0x1.290ea25468ee1p-17, -0x1.2b2115ee6c4e1p-17, -0x1.2d1f6eb4c0242p-17, -0x1.2f09f9f6f0a1fp-17, -0x1.30e10430b46fep-17, -0x1.32a4d90b5e54ap-17, -0x1.3455c35f7173cp-17, -0x1.35f40d35dd58dp-17, -0x1.377fffc9e30fp-17, -0x1.38f9e38a1179cp-17, -0x1.3a62001a3ee2ap-17, -0x1.3bb89c54e0b0fp-17, -0x1.3cfdfe4ccc2f8p-17, -0x1.3e326b4e85e83p-17, -0x1.3f5627e22ae9p-17, -0x1.406977ccbe64cp-17, -0x1.416c9e122264p-17, -0x1.425fdcf674871p-17, -0x1.434375ff7aeccp-17, -0x1.4417a9f701e93p-17, -0x1.44dcb8ebc713bp-17, -0x1.4592e2334a0b9p-17, -0x1.463a646ba06ap-17, -0x1.46d37d7d07fb2p-17, -0x1.475e6a9b74809p-17, -0x1.47db68482f51fp-17, -0x1.484ab2539f58p-17, -0x1.48ac83dec8f8bp-17, -0x1.4901175d0a663p-17, -0x1.4948a69570986p-17, -0x1.49836aa4c52dap-17, -0x1.49b19bfed287ep-17, -0x1.49d37270321f4p-17, -0x1.49e9251fa3a56p-17, -0x1.49f2ea9002f93p-17, -0x1.49f0f8a198f35p-17, -0x1.49e3849389736p-17, -0x1.49cac305c3467p-17, -0x1.49a6e7fa36b8bp-17, -0x1.497826d684a19p-17, -0x1.493eb2658f51ap-17, -0x1.48fabcd8dfd58p-17, -0x1.48ac77ca301d9p-17, -0x1.4854143ced387p-17, -0x1.47f1c29fc2333p-17, -0x1.4785b2cde7995p-17, -0x1.47101410a3177p-17, -0x1.46911520d6f7ap-17, -0x1.4608e42884129p-17, -0x1.4577aec3be5f9p-17, -0x1.44dda20284118p-17, -0x1.443aea69f54f6p-17, -0x1.438fb3f5cef06p-17, -0x1.42dc2a19ae4fap-17, -0x1.422077c26a4f1p-17, -0x1.415cc7576807cp-17, -0x1.409142bc18d6ap-17, -0x1.3fbe1350f6fe7p-17, -0x1.3ee361f52bc52p-17, -0x1.3e015707a08ccp-17, -0x1.3d181a684d2cap-17, -0x1.3c27d3799dc79p-17, -0x1.3b30a9216fddp-17, -0x1.3a32c1ca8a234p-17, -0x1.392e4365b8de2p-17, -0x1.3823536b1246ap-17, -0x1.371216db0229ap-17, -0x1.35fab23fa17a4p-17, -0x1.34dd49add4f72p-17, -0x1.33ba00c6944e3p-17, -0x1.3290fab7bba83p-17, -0x1.31625a3d6e2ebp-17, -0x1.302e41a339724p-17, -0x1.2ef4d2c50539cp-17, -0x1.2db62f10687c1p-17, -0x1.2c7277858ea9ap-17, -0x1.2b29ccb858563p-17, -0x1.29dc4ed17b73ap-17, -0x1.288a1d8f792e8p-17, -0x1.27335847ae04cp-17, -0x1.25d81de74e67ep-17, -0x1.24788cf499fe5p-17, -0x1.2314c38fb9dc9p-17, -0x1.21acdf7399fe1p-17, -0x1.2040fdf729a3p-17, -0x1.1ed13c0e48187p-17, -0x1.1d5db64a961eap-17, -0x1.1be688dc90cedp-17, -0x1.1a6bcf946fd52p-17, -0x1.18eda5e31058dp-17, -0x1.176c26daf6851p-17, -0x1.15e76d3135458p-17, -0x1.145f933e5dcb7p-17, -0x1.12d4b2ff4d34bp-17, -0x1.1146e616090abp-17, -0x1.0fb645cabc538p-17, -0x1.0e22eb0ca1c1ap-17, -0x1.0c8cee72c2393p-17, -0x1.0af4683cc9182p-17, -0x1.095970540069fp-17, -0x1.07bc1e4c0812ep-17, -0x1.061c8963b77f9p-17, -0x1.047ac885fcbbfp-17, -0x1.02d6f24a9c448p-17, -0x1.01311cf7089fp-17, }}, 
      {{-0x1.ea3be209545a1p-1, -0x1.e9ef9ad7752f4p-1, -0x1.e96983ced83abp-1, -0x1.e8a136cfe2e9dp-1, -0x1.e78dc96d8669ap-1, -0x1.e627291873707p-1, -0x1.e467073ac046p-1, -0x1.e2495b5120dabp-1, -0x1.dfcc8eadfd513p-1, -0x1.dcf16904343dep-1, -0x1.d9bad31e95c33p-1, -0x1.d62d81554313ep-1, -0x1.d24f93176a2fap-1, -0x1.ce28310d6bdeep-1, -0x1.c9bf303699ffp-1, -0x1.c51cbdfb61f64p-1, -0x1.c0491761ea03dp-1, -0x1.bb4c4c494f9dap-1, -0x1.b62e0eaa040e5p-1, -0x1.b0f58d4037a65p-1, -0x1.aba958a4b0e16p-1, -0x1.a64f51a22eeafp-1, -0x1.a0ec9f7e019dbp-1, -0x1.9b85ace918ae1p-1, -0x1.961e2a5c87ed6p-1, -0x1.90b914bc2d0f2p-1, -0x1.8b58bf3794f15p-1, -0x1.85fedf819b3cap-1, -0x1.80ac9b981b8b8p-1, -0x1.7b629874f9ef5p-1, -0x1.7621091fa4785p-1, -0x1.70e7bdb16737cp-1, -0x1.6bb631f70c29bp-1, -0x1.668b9b6f5663cp-1, -0x1.6166f677d9394p-1, -0x1.5c471288bc397p-1, -0x1.572a9d6c6997bp-1, -0x1.52102d6a20095p-1, -0x1.4cf64a624ed83p-1, -0x1.47db75e1b6b73p-1, -0x1.42be3234dc012p-1, -0x1.3d9d088898ae2p-1, -0x1.38768e26d4c21p-1, -0x1.334968dfc56a1p-1, -0x1.2e1452b0c2ed5p-1, -0x1.28d61cb9e73adp-1, -0x1.238db1936c5d8p-1, -0x1.1e3a17132f3dp-1, -0x1.18da6f91fc2f9p-1, -0x1.136dfabf66308p-1, -0x1.0df41611e6b9dp-1, -0x1.086c3ce005d3ap-1, -0x1.02d6082e3a8e9p-1, -0x1.fa625c78668f9p-2, -0x1.eefb03b66dbb8p-2, -0x1.e375e32cbdf7ep-2, -0x1.d7d30d691d42ep-2, -0x1.cc12c836567e4p-2, -0x1.c0358a2fcb43dp-2, -0x1.b43bf82e48206p-2, -0x1.a826e297fac67p-2, -0x1.9bf7429c3eb3ap-2, -0x1.8fae3762e0255p-2, -0x1.834d03357f5bp-2, -0x1.76d508a8e4753p-2, -0x1.6a47c7cb47487p-2, -0x1.5da6db5bd556cp-2, -0x1.50f3f60f31a14p-2, -0x1.4430dfe3ffcfbp-2, -0x1.375f738a23efep-2, -0x1.2a819bded9eacp-2, -0x1.1d99517f6b00ep-2, -0x1.10a89873ef389p-2, -0x1.03b17df32939bp-2, -0x1.ed6c2c80ac93ap-3, -0x1.d370f546f7438p-3, -0x1.b9758ef91d937p-3, -0x1.9f7e34e334d23p-3, -0x1.858f216fbf13bp-3, -0x1.6bac8aef8f89cp-3, -0x1.51daa096b098fp-3, -0x1.381d87ad8be75p-3, -0x1.1e7958f542d6cp-3, -0x1.04f21e3e1281cp-3, -0x1.d717a05cf9c94p-4, -0x1.a494a8736859p-4, -0x1.7262f587bf0f6p-4, -0x1.4089fae51a057p-4, -0x1.0f10fb4f63111p-4, -0x1.bbfe0c9610922p-5, -0x1.5ab5eb65e477cp-5, -0x1.f4adae64f9132p-6, -0x1.35db41bcf6f39p-6, -0x1.e435171307cc1p-8, 0x1.06920adb54728p-8, 0x1.f44696d39c711p-7, 0x1.b05941ffdd85ap-6, 0x1.3218c85d78a7bp-5, 0x1.8acc302338ad9p-5, 0x1.e23d6c65ecda7p-5, 0x1.1c31c89556385p-4, 0x1.469b19228d2afp-4, 0x1.7056b174396c1p-4, 0x1.9960da78806ccp-4, 0x1.c1b61bf5b9b78p-4, 0x1.e9533befa1e65p-4, 0x1.081a9ef8541d1p-3, 0x1.1b2cb11cce8fdp-3, 0x1.2dde926d1480dp-3, 0x1.402f1e5a1cfc1p-3, 0x1.521d4d363517p-3, 0x1.63a833a4b21c6p-3, 0x1.74cf02021b9c5p-3, 0x1.859103c59dda5p-3, 0x1.95ed9edcab0d7p-3, 0x1.a5e4530196a2fp-3, 0x1.b574b90dd98efp-3, 0x1.c49e8248c2f0fp-3, 0x1.d36177b336033p-3, 0x1.e1bd7951172fap-3, 0x1.efb27d70edfc2p-3, 0x1.fd408ff25be61p-3, 0x1.0533e8c5e6397p-2, 0x1.0b943b87f528ep-2, 0x1.11c164599e79cp-2, 0x1.17bb90a929e04p-2, 0x1.1d82f6dc6be1fp-2, 0x1.2317d5f4f408ep-2, 0x1.287a7534ffafp-2, 0x1.2dab23c555e1ap-2, 0x1.32aa385c314fbp-2, 0x1.377810e552a56p-2, 0x1.3c15122b52343p-2, 0x1.4081a78251021p-2, 0x1.44be427413cedp-2, 0x1.48cb5a6da5156p-2, 0x1.4ca96c6e85f46p-2, 0x1.5058fab980e75p-2, 0x1.53da8c87294eep-2, 0x1.572eadba1105p-2, 0x1.5a55ee94c12dfp-2, 0x1.5d50e37174144p-2, 0x1.6020247ba216cp-2, 0x1.62c44d6b58ddcp-2, 0x1.653dfd426cac2p-2, 0x1.678dd60b769a4p-2, 0x1.69b47c9ab2352p-2, 0x1.6bb29850a8066p-2, 0x1.6d88d2deb2aa1p-2, 0x1.6f37d80d505dcp-2, 0x1.70c0558449643p-2, 0x1.7222fa949bd9fp-2, 0x1.736078043554cp-2, 0x1.74797fdb68b7bp-2, 0x1.756ec534242f9p-2, 0x1.7640fc0ae130fp-2, 0x1.76f0d9113f123p-2, 0x1.777f11824f4b5p-2, 0x1.77ec5af87f90ep-2, 0x1.78396b45246dep-2, 0x1.7866f849980b6p-2, 0x1.7875b7d1e6fedp-2, 0x1.78665f71001e9p-2, 0x1.7839a45e66edfp-2, 0x1.77f03b5558ca2p-2, 0x1.778ad87560728p-2, 0x1.770a2f2450023p-2, 0x1.766ef1f196ccp-2, 0x1.75b9d27aef945p-2, 0x1.74eb815255917p-2, 0x1.7404ade545eap-2, 0x1.7306066536622p-2, 0x1.71f037b1459d2p-2, 0x1.70c3ed4112ebep-2, 0x1.6f81d110bcc63p-2, 0x1.6e2a8b8dfbd26p-2, 0x1.6cbec3864e296p-2, 0x1.6b3f1e1632684p-2, 0x1.69ac3e99655bep-2, 0x1.6806c69c1d011p-2, 0x1.664f55cd372afp-2, 0x1.648689f156191p-2, 0x1.62acfed6e7075p-2, 0x1.60c34e4b00afp-2, 0x1.5eca100f21344p-2, 0x1.5cc1d9cfb7b44p-2, 0x1.5aab3f1b79e58p-2, 0x1.5886d15b7d6e3p-2, 0x1.56551fcc0de82p-2, 0x1.5416b77638f8bp-2, 0x1.51cc232a0ac54p-2, 0x1.4f75eb79734acp-2, 0x1.4d1496b3cf4fbp-2, 0x1.4aa8a8e2124f3p-2, 0x1.4832a3c383b9p-2, 0x1.45b306cb130c1p-2, 0x1.432a4f1d33d75p-2, 0x1.4098f78e4606ep-2, 0x1.3dff78a17cdb2p-2, 0x1.3b5e488842c7p-2, 0x1.38b5db221873fp-2, 0x1.3606a1fce30aep-2, 0x1.33510c55a951ep-2, 0x1.30958719bc8a7p-2, 0x1.2dd47ce843d3cp-2, 0x1.2b0e561426fd8p-2, 0x1.284378a659abp-2, 0x1.257448607a075p-2, 0x1.22a126bfc61d1p-2, 0x1.1fca73005f06bp-2, 0x1.1cf08a20d8a5fp-2, 0x1.1a13c6e612ccfp-2, 0x1.173481df54d12p-2, 0x1.1453116aab86fp-2, 0x1.116fc9b9830ep-2, 0x1.0e8afcd57d4e2p-2, 0x1.0ba4faa57b79ap-2, 0x1.08be10f2dfda5p-2, 0x1.05d68b6efb9a1p-2, 0x1.02eeb3b8ac7b8p-2, 0x1.0006d162261dp-2, 0x1.fa3e53edbe989p-3, 0x1.f47002035405ep-3, 0x1.eea33025cff33p-3, 0x1.e8d85d8dc859p-3, 0x1.e31005988bc4ap-3, 0x1.dd4a9fd544176p-3, 0x1.d788a0124702ep-3, 0x1.d1ca766a9280ap-3, 0x1.cc108f5376258p-3, 0x1.c65b53aa5c1fep-3, 0x1.c0ab28c2b9cabp-3, 0x1.bb00707412b9bp-3, 0x1.b55b89281ef44p-3, 0x1.afbccde901061p-3, 0x1.aa24966f8cc5ep-3, 0x1.a49337319fb3cp-3, 0x1.9f09017085a84p-3, 0x1.998643475d834p-3, 0x1.940b47b99134dp-3, 0x1.8e9856c13ed22p-3, 0x1.892db55db17f7p-3, 0x1.83cba5a1cc478p-3, 0x1.7e7266c274116p-3, 0x1.79223524ed45fp-3, 0x1.73db4a6d36d21p-3, 0x1.6e9ddd8c500bfp-3, 0x1.696a22ce76ae7p-3, 0x1.64404be94fb77p-3, 0x1.5f208809fc0bep-3, 0x1.5a0b03e320ca3p-3, 0x1.54ffe9bad0d49p-3, 0x1.4fff617863009p-3, 0x1.4b0990b22b3fep-3, 0x1.461e9abb1cea9p-3, 0x1.413ea0b04e3ffp-3, 0x1.3c69c1865ee06p-3, 0x1.37a01a16bbf97p-3, 0x1.32e1c52cccb1cp-3, 0x1.2e2edb92f1b8fp-3, 0x1.2987741f6d179p-3, 0x1.24eba3c11d231p-3, 0x1.205b7d8c1d0e2p-3, 0x1.1bd712c636da9p-3, 0x1.175e72f338444p-3, 0x1.12f1abe11589p-3, 0x1.0e90c9b3f38efp-3, 0x1.0a3bd6f1faa0fp-3, 0x1.05f2dc8f0de68p-3, 0x1.01b5e1f851993p-3, 0x1.fb09da3f134acp-4, 0x1.f2c0050c9c23dp-4, 0x1.ea8e4a92332b3p-4, 0x1.e274ae5446cacp-4, 0x1.da73313836357p-4, 0x1.d289d199589c5p-4, 0x1.cab88b5dc18bp-4, 0x1.c2ff580aa6438p-4, 0x1.bb5e2ed867ap-4, 0x1.b3d504c6504f3p-4, 0x1.ac63ccade982dp-4, 0x1.a50a77560e86bp-4, 0x1.9dc8f3858fc13p-4, 0x1.969f2e1599b6p-4, 0x1.8f8d1203a5771p-4, 0x1.889288832e52ep-4, 0x1.81af790efdf5ep-4, 0x1.7ae3c97a2ac96p-4, 0x1.742f5e00bcc77p-4, 0x1.6d921957fcfc8p-4, 0x1.670bdcbe6df36p-4, 0x1.609c880b739p-4, 0x1.5a43f9be9ff55p-4, 0x1.54020f0eb43f7p-4, 0x1.4dd6a3f845c2cp-4, 0x1.47c1934c17789p-4, 0x1.41c2b6bd1e463p-4, 0x1.3bd9e6ee320e7p-4, 0x1.3606fb7f73d11p-4, 0x1.3049cb1b5e4b8p-4, 0x1.2aa22b838c5bdp-4, 0x1.250ff19d2c5aep-4, 0x1.1f92f17d2afbep-4, 0x1.1a2afe740df33p-4, 0x1.14d7eb19859b3p-4, 0x1.0f998957b104bp-4, 0x1.0a6faa761ce3bp-4, 0x1.055a1f2474335p-4, 0x1.0058b784ec11p-4, 0x1.f6d6866cd162ep-5, 0x1.ed2322bcb6877p-5, 0x1.e396e164b6ca2p-5, 0x1.da315f02f62efp-5, 0x1.d0f2377ab7d4ep-5, 0x1.c7d90605f7abdp-5, 0x1.bee565468df27p-5, 0x1.b616ef56c7b97p-5, 0x1.ad6d3dd98c595p-5, 0x1.a4e7ea0a027bcp-5, 0x1.9c868ccab350cp-5, 0x1.9448beb44381bp-5, 0x1.8c2e1823ad7a8p-5, 0x1.843631480decdp-5, 0x1.7c60a22ff36abp-5, 0x1.74ad02d64e4ebp-5, 0x1.6d1aeb2ee68c9p-5, 0x1.65a9f3326a6a8p-5, 0x1.5e59b2ea156fep-5, 0x1.5729c27aeba94p-5, 0x1.5019ba309376fp-5, 0x1.49293287ca60dp-5, 0x1.4257c43874efp-5, 0x1.3ba5083f595dfp-5, 0x1.351097e76d3f7p-5, 0x1.2e9a0cd2d71c8p-5, 0x1.284101038c2aap-5, 0x1.22050ee399901p-5, 0x1.1be5d14d1a9e8p-5, 0x1.15e2e391d6642p-5, 0x1.0ffbe1828fd5p-5, 0x1.0a306775fdfd8p-5, 0x1.0480124f8378ep-5, 0x1.fdd4ff0b1be0ep-6, 0x1.f2de9a4f54a0cp-6, 0x1.e81c33c8b61eep-6, 0x1.dd8d0a1d3bc82p-6, 0x1.d3305d465a6f9p-6, 0x1.c9056e9b053f5p-6, 0x1.bf0b80d91ee31p-6, 0x1.b541d82e83418p-6, 0x1.aba7ba4174fdap-6, 0x1.a23c6e38ae159p-6, 0x1.98ff3cc2e30fbp-6, 0x1.8fef701dda7e7p-6, 0x1.870c541d1fe2dp-6, 0x1.7e5536303731bp-6, 0x1.75c965686c6bcp-6, 0x1.6d68327e3f49cp-6, 0x1.6530efd66afbcp-6, 0x1.5d22f18682f31p-6, 0x1.553d8d593a861p-6, 0x1.4d801ad252821p-6, 0x1.45e9f3321bc77p-6, 0x1.3e7a7178bb445p-6, 0x1.3730f2690cd3ep-6, 0x1.300cd48b3260bp-6, 0x1.290d782edec43p-6, 0x1.22323f6d4a19cp-6, 0x1.1b7a8e2adce18p-6, 0x1.14e5ca18a5a92p-6, 0x1.0e735ab56b7bfp-6, 0x1.0822a94e98eafp-6, 0x1.01f32100d2a39p-6, 0x1.f7c85d70c9045p-7, 0x1.ebea8262aec4cp-7, 0x1.e04b91eed9cc8p-7, 0x1.d4ea70cb895f5p-7, 0x1.c9c6074cbe3d9p-7, 0x1.bedd4162e4a5ep-7, 0x1.b42f0e98e0b74p-7, 0x1.a9ba6211f63b3p-7, 0x1.9f7e328735ff1p-7, 0x1.95797a44998c5p-7, 0x1.8bab3725d0113p-7, 0x1.82126a92b4074p-7, 0x1.78ae197b6c687p-7, 0x1.6f7d4c544a56bp-7, 0x1.667f0f116fe01p-7, 0x1.5db271220d358p-7, 0x1.5516856b7c1a6p-7, 0x1.4caa6244138d9p-7, 0x1.446d216dbb695p-7, 0x1.3c5de0104de93p-7, 0x1.347bbeb3c618cp-7, 0x1.2cc5e13a2d3e1p-7, 0x1.253b6ed963f3ap-7, 0x1.1ddb9214c663cp-7, 0x1.16a578b68afd1p-7, 0x1.0f9853c916bdp-7, 0x1.08b357900d148p-7, 0x1.01f5bb815c6c1p-7, 0x1.f6bd747c05792p-8, 0x1.e9db2315b2642p-8, 0x1.dd43049259281p-8, 0x1.d0f3a0de6b759p-8, 0x1.c4eb860116877p-8, 0x1.b929480cc68f9p-8, 0x1.adab810fc0a84p-8, 0x1.a270d1045c39fp-8, 0x1.9777ddc114b08p-8, 0x1.8cbf52e8bb478p-8, 0x1.8245e1da3f00cp-8, 0x1.780a41a08ccf4p-8, 0x1.6e0b2ee23df1p-8, 0x1.64476bd145ff9p-8, 0x1.5abdc01a7c6ap-8, 0x1.516cf8d51a1c1p-8, 0x1.4853e8724778dp-8, 0x1.3f7166ac6dd08p-8, 0x1.36c45076a6ad6p-8, 0x1.2e4b87ec34f97p-8, 0x1.2605f43fc1a0dp-8, 0x1.1df281aad0c6ep-8, 0x1.1610215d214fcp-8, 0x1.0e5dc96c13723p-8, 0x1.06da74c209199p-8, 0x1.ff0a461bdbedp-9, 0x1.f0b9b16555791p-9, 0x1.e2c13d6d53a4fp-9, 0x1.d51f056701352p-9, 0x1.c7d12d8b17905p-9, 0x1.bad5e2f740828p-9, 0x1.ae2b5b8dc5b07p-9, 0x1.a1cfd5d538b96p-9, 0x1.95c198d859d5dp-9, 0x1.89fef40626fe3p-9, 0x1.7e863f121d2c4p-9, 0x1.7355d9d4b1575p-9, 0x1.686c2c2bd3933p-9, 0x1.5dc7a5dbf94a2p-9, 0x1.5366be70f55d4p-9, 0x1.4947f51f7024fp-9, 0x1.3f69d0a6542f4p-9, 0x1.35cadf309480fp-9, 0x1.2c69b6372bb18p-9, 0x1.2344f2635082ep-9, 0x1.1a5b3771087bap-9, 0x1.11ab3011e78adp-9, 0x1.09338dd012a99p-9, 0x1.00f308f17ac81p-9, 0x1.f1d0c0b750d04p-10, 0x1.e224b2ee7af11p-10, 0x1.d2df8028ce03dp-10, 0x1.c3fecc9e54774p-10, 0x1.b58048e803227p-10, 0x1.a761b1ca0f0a1p-10, 0x1.99a0cffe26ff6p-10, 0x1.8c3b77fee1be6p-10, 0x1.7f2f89d37bfcfp-10, 0x1.727af0dbf1abap-10, 0x1.661ba39e4df6fp-10, 0x1.5a0fa39407aabp-10, 0x1.4e54fcf82a7f5p-10, 0x1.42e9c6962b8a4p-10, 0x1.37cc21996e72bp-10, 0x1.2cfa395cf20e1p-10, 0x1.2272433c3b9dbp-10, 0x1.18327e647b78cp-10, 0x1.0e3933a647744p-10, 0x1.0484b54825b29p-10, 0x1.f626bdb342f8ep-11, 0x1.e3c72a0d99f2ap-11, 0x1.d1e78ad992083p-11, 0x1.c084ccdcfbb9cp-11, 0x1.af9bee13bb8ddp-11, 0x1.9f29fd5d56d2bp-11, 0x1.8f2c1a28ae065p-11, 0x1.7f9f7423dd6bp-11, 0x1.70814aeb5a274p-11, 0x1.61ceedbadc575p-11, 0x1.5385bb1fef54bp-11, 0x1.45a320acf49bep-11, 0x1.38249aadcb1b5p-11, 0x1.2b07b3dd41651p-11, 0x1.1e4a051bcbb03p-11, 0x1.11e93527fd55cp-11, 0x1.05e2f8571a2d2p-11, 0x1.f46a209e2964p-12, 0x1.ddba97854c3fbp-12, 0x1.c7b30c59cb7e4p-12, 0x1.b24f4f1f1ee5p-12, 0x1.9d8b48619f89ap-12, 0x1.8962f8b777abap-12, 0x1.75d27840d2b41p-12, 0x1.62d5f62c8c535p-12, 0x1.5069b83d50a9ep-12, 0x1.3e8a1a51975fep-12, 0x1.2d338ded66f37p-12, 0x1.1c6299c6842cfp-12, 0x1.0c13d9520ba95p-12, 0x1.f887f8a8e0ab6p-13, 0x1.d9df8ce733e77p-13, 0x1.bc281d9490a69p-13, 0x1.9f5b7efd18f61p-13, 0x1.8373aab092f11p-13, 0x1.686abeb7c3ca2p-13, 0x1.4e3afcca81acbp-13, 0x1.34dec98926502p-13, 0x1.1c50abbc1347fp-13, 0x1.048b4b9477e39p-13, 0x1.db12e3e45e966p-14, 0x1.ae8c0f5728a1ap-14, 0x1.837829b4a40c6p-14, 0x1.59cd8054d19cp-14, 0x1.31829c5c37801p-14, 0x1.0a8e41648f3bcp-14, 0x1.c9ced864d060fp-15, 0x1.810aa2de2dae4p-15, 0x1.3abeb8c7de269p-15, 0x1.edb4b718d7648p-16, 0x1.6a9a69f7f0cfdp-16, 0x1.d81d53d48e4p-17, 0x1.c7c978acbba0fp-18, -0x1.ec678dbd9aa34p-23, -0x1.d5c1d4f2f45bp-18, -0x1.c5e2e2c899fb8p-17, -0x1.4c77eadc80dbep-16, -0x1.b21f5737c83d8p-16, -0x1.0a013f3668761p-15, -0x1.391dbf6d91c4bp-15, -0x1.6671e89b4c71p-15, -0x1.920a262dfa162p-15, -0x1.bbf2948e6cea8p-15, -0x1.e43702f637573p-15, -0x1.05717a9f6aa67p-14, -0x1.1800d2d34f4fbp-14, -0x1.29cf03450383fp-14, -0x1.3ae1620d822f3p-14, -0x1.4b3d23001f382p-14, -0x1.5ae7587f6d573p-14, -0x1.69e4f445911e6p-14, -0x1.783ac82bc6472p-14, -0x1.85ed86edd397p-14, -0x1.9301c4e80be95p-14, -0x1.9f7bf8d16d01ap-14, -0x1.ab607c726b5eap-14, -0x1.b6b38d56f8da8p-14, -0x1.c1794d7d350d5p-14, -0x1.cbb5c3ffbc1b9p-14, -0x1.d56cddbb5ecd1p-14, -0x1.dea26df54858bp-14, -0x1.e75a2ef6e37dbp-14, -0x1.ef97c2abfaab2p-14, -0x1.f75eb339be80bp-14, -0x1.feb273952bfbp-14, -0x1.02cb300976588p-13, -0x1.0606df7b8e05bp-13, -0x1.090de07fc2473p-13, -0x1.0be1c0f5b1836p-13, -0x1.0e8404801ff65p-13, -0x1.10f624c6099b7p-13, -0x1.133991b1c9339p-13, -0x1.154fb1aeebb7ep-13, -0x1.1739e1e6ed7afp-13, -0x1.18f9767ba4cfcp-13, -0x1.1a8fbac1b6996p-13, -0x1.1bfdf1782af7p-13, -0x1.1d45550026de4p-13, -0x1.1e671791e0d79p-13, -0x1.1f6463718bd1cp-13, -0x1.203e5b221637cp-13, -0x1.20f61997b5ae8p-13, -0x1.218cb2681670ep-13, -0x1.220331fa60566p-13, -0x1.225a9db557435p-13, -0x1.2293f42ced488p-13, -0x1.22b02d4e48723p-13, -0x1.22b03a8b3311dp-13, -0x1.2295070413878p-13, -0x1.225f77b122641p-13, -0x1.22106b8a310c5p-13, -0x1.21a8bbae48bb3p-13, -0x1.21293b8939b0ep-13, -0x1.2092b8f99591fp-13, -0x1.1fe5fc7419265p-13, -0x1.1f23c927ee445p-13, -0x1.1e4cdd2094f45p-13, -0x1.1d61f167aa5a2p-13, -0x1.1c63ba261be63p-13, -0x1.1b52e6c3cb827p-13, -0x1.1a302206d7df1p-13, -0x1.18fc12322d00ap-13, -0x1.17b759230a30cp-13, -0x1.1662946ddf7fcp-13, -0x1.14fe5d7ac016dp-13, -0x1.138b49a0aee74p-13, -0x1.1209ea404204dp-13, -0x1.107accde09a5ap-13, -0x1.0ede7b3bcfb3cp-13, -0x1.0d357b714ada9p-13, -0x1.0b8050048e06cp-13, -0x1.09bf78015fc6dp-13, -0x1.07f36f100b762p-13, -0x1.061cad8c15955p-13, -0x1.043ba8997ed74p-13, -0x1.0250d23a63f44p-13, -0x1.005c99638f46p-13, -0x1.fcbed420c94efp-14, -0x1.f8b35aad5636cp-14, -0x1.f49792f34d9c7p-14, -0x1.f06c43f8fc1a3p-14, -0x1.ec322f6902d32p-14, -0x1.e7ea11b58ddb4p-14, -0x1.e394a23ab7da6p-14, -0x1.df32935fe6ac6p-14, -0x1.dac492b8386a2p-14, -0x1.d64b4922966p-14, -0x1.d1c75ae7fe738p-14, -0x1.cd3967da8f175p-14, -0x1.c8a20b71e6b2cp-14, -0x1.c401dce813278p-14, -0x1.bf596f555819bp-14, -0x1.baa951cab82adp-14, -0x1.b5f20f6cf6e6fp-14, -0x1.b1342f8db61b7p-14, -0x1.ac7035c4cb05cp-14, -0x1.a7a6a2080c99p-14, -0x1.a2d7f0c35e788p-14, -0x1.9e049aef50992p-14, -0x1.992d1627ce8e5p-14, -0x1.9451d4c1cf377p-14, -0x1.8f7345e0ae7fcp-14, -0x1.8a91d58aa3c61p-14, -0x1.85adecbcd927dp-14, -0x1.80c7f17f21b2p-14, -0x1.7be046f6a7a9dp-14, -0x1.76f74d79210ap-14, -0x1.720d629e4c72cp-14, -0x1.6d22e151c03fap-14, -0x1.683821e3f2032p-14, -0x1.634d7a1ac77a4p-14, -0x1.5e633d41c57fcp-14, -0x1.5979bc3a1590fp-14, -0x1.5491458996af7p-14, -0x1.4faa2569df4ffp-14, -0x1.4ac4a5d6f22dfp-14, -0x1.45e10e9d1b505p-14, -0x1.40ffa56703a2ep-14, -0x1.3c20adcab9f31p-14, -0x1.374469572c83fp-14, -0x1.326b17a0a63fep-14, -0x1.2d94f64d48225p-14, -0x1.28c241210654bp-14, -0x1.23f332093b30ap-14, -0x1.1f28012850987p-14, -0x1.1a60e4e0acb36p-14, -0x1.159e11dfbebacp-14, -0x1.10dfbb2875899p-14, -0x1.0c26121d4a72p-14, -0x1.0771468ab03c7p-14, -0x1.02c186b06c5dap-14, -0x1.fc2dfe960b3abp-15, -0x1.f2e3b73b154b3p-15, -0x1.e9a48af4015a3p-15, -0x1.e070ca94d5c96p-15, -0x1.d748c4327357dp-15, -0x1.ce2cc33399bc7p-15, -0x1.c51d1060758dp-15, -0x1.bc19f1f2ed18cp-15, -0x1.b323aba5ea37ep-15, -0x1.aa3a7ec45a3e1p-15, -0x1.a15eaa3795e2fp-15, -0x1.98906a961cc0cp-15, -0x1.8fcffa30d232dp-15, -0x1.871d912111a76p-15, -0x1.7e79655545c2bp-15, -0x1.75e3aa9e7bb58p-15, -0x1.6d5c92bc9974dp-15, -0x1.64e44d6a51a74p-15, -0x1.5c7b0869e1549p-15, -0x1.5420ef8f995fap-15, -0x1.4bd62cce0c18dp-15, -0x1.439ae840ccc32p-15, -0x1.3b6f4837428d5p-15, -0x1.3353713f8f006p-15, -0x1.2b47863012fc7p-15, -0x1.234ba8325a31ep-15, -0x1.1b5ff6cc30ca7p-15, -0x1.13848fe98bd64p-15, -0x1.0bb98fe5cf3bfp-15, -0x1.03ff1195134c7p-15, -0x1.f8aa5c9970b6ap-16, -0x1.e977fbd8f815dp-16, -0x1.da672dcdc40a7p-16, -0x1.cb781c928319ep-16, -0x1.bcaaef87cdbfap-16, -0x1.adffcb650cc3cp-16, -0x1.9f76d24668149p-16, -0x1.911023bd4d473p-16, -0x1.82cbdcde7075p-16, -0x1.74aa185087ba2p-16, -0x1.66aaee5a654b7p-16, -0x1.58ce74f13b576p-16, -0x1.4b14bfc4e04b5p-16, -0x1.3d7de04ee23afp-16, -0x1.3009e5dded358p-16, -0x1.22b8dda385859p-16, -0x1.158ad2bf9b6b6p-16, -0x1.087fce4dc00e6p-16, -0x1.f72faedf4a793p-17, -0x1.dda5e6b3a8841p-17, -0x1.c4624abd365edp-17, -0x1.ab64ddf380929p-17, -0x1.92ad9fb549a64p-17, -0x1.7a3c8bdec3ca3p-17, -0x1.62119adf6fb77p-17, -0x1.4a2cc1ccafc5p-17, -0x1.328df27782077p-17, -0x1.1b351b80504eep-17, -0x1.04222868cc596p-17, -0x1.daaa0351989ap-18, -0x1.ad9b197deb132p-18, -0x1.8117588af651p-18, -0x1.551e8001a8e08p-18, -0x1.29b049e8ffe24p-18, -0x1.fd98d5c7f2c85p-19, -0x1.a8e524a8dc87dp-19, -0x1.5544d4fa2f47ap-19, -0x1.02b7314669f0bp-19, -0x1.6276f4a9f9f29p-20, -0x1.83439dc4e6dafp-21, -0x1.176a6a3ed450cp-23, 0x1.e6a118844c537p-22, 0x1.1420b2e7b4405p-20, 0x1.ac7dd1bc95ae4p-20, 0x1.2160c5fd9b64fp-19, 0x1.6b76eda0011eap-19, 0x1.b48264792ad03p-19, 0x1.fc8436ee0f874p-19, 0x1.21bebc70b5711p-18, 0x1.44b7a2bea31a1p-18, 0x1.672d5f8086c56p-18, 0x1.89208744d766bp-18, 0x1.aa91b1f5025b9p-18, 0x1.cb817ab870f1dp-18, 0x1.ebf07fdefdfb8p-18, 0x1.05efb16415eb5p-17, 0x1.15a763e6a88a9p-17, 0x1.251fab14d410cp-17, 0x1.3458dbf216c08p-17, 0x1.43534cdd45a4cp-17, 0x1.520f55851b919p-17, 0x1.608d4edd65a97p-17, 0x1.6ecd9315d5ffep-17, 0x1.7cd07d8e8c676p-17, 0x1.8a966acea39d5p-17, 0x1.981fb879a8e4dp-17, 0x1.a56cc54622915p-17, 0x1.b27df0f3e4205p-17, 0x1.bf539c4315074p-17, 0x1.cbee28ea5c736p-17, 0x1.d84df98dccb58p-17, 0x1.e47371b5f2b59p-17, 0x1.f05ef5c69a756p-17, 0x1.fc10eaf7ba18bp-17, 0x1.03c4dba5567c4p-16, 0x1.0964e0c19addp-16, 0x1.0ee8b88f767p-16, 0x1.1450972685134p-16, 0x1.199cb0f326c9dp-16, 0x1.1ecd3ab2794f2p-16, 0x1.23e2696eca00fp-16, 0x1.28dc727bb4eafp-16, 0x1.2dbb8b724a4f1p-16, 0x1.327fea2d4cad2p-16, 0x1.3729c4c5acc34p-16, 0x1.3bb9518f02ac2p-16, 0x1.402ec7141c9b4p-16, 0x1.448a5c136f55bp-16, 0x1.48cc477bd9887p-16, 0x1.4cf4c06950c88p-16, 0x1.5103fe2152c3ep-16, 0x1.54fa381025f98p-16, 0x1.58d7a5c5401b4p-16, 0x1.5c9c7ef081baap-16, 0x1.6048fb5f384fbp-16, 0x1.63dd52f8ac3dp-16, 0x1.6759bdbbb51d8p-16, 0x1.6abe73bb80b58p-16, 0x1.6e0bad1d22355p-16, 0x1.7141a21428e2ap-16, 0x1.74608ae056449p-16, 0x1.77689fcaf6a2fp-16, 0x1.7a5a1924542e9p-16, 0x1.7d352f409448cp-16, 0x1.7ffa1a75d290ap-16, 0x1.82a913191bb58p-16, 0x1.8542517c6a40bp-16, 0x1.87c60dec02af2p-16, 0x1.8a3480ac2c7f2p-16, 0x1.8c8de1f6e6eb7p-16, 0x1.8ed269f99e5ecp-16, 0x1.910250d2be985p-16, 0x1.931dce900e937p-16, 0x1.95251b2c084e1p-16, 0x1.97186e8c0ff0ap-16, 0x1.98f8007e530cap-16, 0x1.9ac408b788dfp-16, 0x1.9c7cbed1631d4p-16, 0x1.9e225a4870ce8p-16, 0x1.9fb5127a32dc7p-16, 0x1.a1351ea344198p-16, 0x1.a2a2b5dd990dcp-16, 0x1.a3fe0f1e9540ep-16, 0x1.a54761359c741p-16, 0x1.a67ee2ca3cd12p-16, 0x1.a7a4ca5a4d92bp-16, 0x1.a8b94e388c7dbp-16, 0x1.a9bca48b00457p-16, 0x1.aaaf03497ef68p-16, 0x1.ab90a03c06fc4p-16, 0x1.ac61b0f958486p-16, 0x1.ad226ae58b506p-16, 0x1.add3033090442p-16, 0x1.ae73aed4d80f4p-16, 0x1.af04a29610cf6p-16, 0x1.af8612ffc8596p-16, 0x1.aff834643fbe6p-16, 0x1.b05b3adaea824p-16, 0x1.b0af5a3f73206p-16, 0x1.b0f4c630b06edp-16, 0x1.b12bb20f194d1p-16, 0x1.b15450fc094aap-16, 0x1.b16ed5d86555bp-16, 0x1.b17b7343ccecfp-16, 0x1.b17a5b9b5ae88p-16, 0x1.b16bc0f8c4a83p-16, 0x1.b14fd531891bap-16, 0x1.b126c9d5c6714p-16, 0x1.b0f0d02f4687ep-16, 0x1.b0ae1940d598ep-16, 0x1.b05ed5c55c5b7p-16, 0x1.b003362ef1817p-16, 0x1.af9b6aa637967p-16, 0x1.af27a3095f5b1p-16, 0x1.aea80eeb98604p-16, 0x1.ae1cdd94496d6p-16, 0x1.ad863dfe6fd03p-16, 0x1.ace45ed7ea7fbp-16, 0x1.ac376e80c8d8bp-16, }}, 
      {{-0x1.ea4c586ddc4fp-1, -0x1.ea334d037ef6cp-1, -0x1.ea081a5ebb32ap-1, -0x1.e9c8e43ffbbebp-1, -0x1.e973897a21943p-1, -0x1.e905e5d7198f1p-1, -0x1.e87e054e9d927p-1, -0x1.e7da478e55cf9p-1, -0x1.e7197544bccd8p-1, -0x1.e63ac9abcbff8p-1, -0x1.e53df30d9d598p-1, -0x1.e4230ccd2d833p-1, -0x1.e2ea951d660d1p-1, -0x1.e1956023f0b38p-1, -0x1.e02489de6287dp-1, -0x1.de9967c6fed22p-1, -0x1.dcf57aecc37c4p-1, -0x1.db3a62f7df388p-1, -0x1.d969d2664aaabp-1, -0x1.d7858429c24e8p-1, -0x1.d58f32b6c5157p-1, -0x1.d3889081c40adp-1, -0x1.d17341dabbd21p-1, -0x1.cf50d80ee7e2fp-1, -0x1.cd22cdb307b56p-1, -0x1.caea83f5fd1cp-1, -0x1.c8a940dac8df2p-1, -0x1.c6602e3975337p-1, -0x1.c41059680e8b6p-1, -0x1.c1bab36ee8a52p-1, -0x1.bf6011adfbb83p-1, -0x1.bd012edbd901dp-1, -0x1.ba9eac4973dfbp-1, -0x1.b8391358acf14p-1, -0x1.b5d0d7161d937p-1, -0x1.b36655e8fcc9ep-1, -0x1.b0f9db4e2259bp-1, -0x1.ae8ba19521cbfp-1, -0x1.ac1bd3982e2ffp-1, -0x1.a9aa8e68fd5c4p-1, -0x1.a737e2ee2cce2p-1, -0x1.a4c3d76dcfdbap-1, -0x1.a24e6902ba374p-1, -0x1.9fd78cfaeea16p-1, -0x1.9d5f321e39babp-1, -0x1.9ae541dc9083dp-1, -0x1.9869a16438b21p-1, -0x1.95ec32a016fd2p-1, -0x1.936cd51ec4255p-1, -0x1.90eb66e3429e6p-1, -0x1.8e67c5204b29fp-1, -0x1.8be1ccdf4c45ep-1, -0x1.89595b943f951p-1, -0x1.86ce4f9f875dep-1, -0x1.844088bf094cap-1, -0x1.81afe86fb50f6p-1, -0x1.7f1c5240a6eccp-1, -0x1.7c85ac1906663p-1, -0x1.79ebde71bc93bp-1, -0x1.774ed4840eb85p-1, -0x1.74ae7c6e1bb5cp-1, -0x1.720ac74e2e0aap-1, -0x1.6f63a955c979bp-1, -0x1.6cb919d54347cp-1, -0x1.6a0b1340b3c55p-1, -0x1.6759932ef68fap-1, -0x1.64a49a536698cp-1, -0x1.61ec2c72f6ef8p-1, -0x1.5f3050553a49ep-1, -0x1.5c710fb1e36cdp-1, -0x1.59ae771b379ap-1, -0x1.56e895e5eb167p-1, -0x1.541f7e0ec96bep-1, -0x1.5153441e90bfcp-1, -0x1.4e83ff0c4ef98p-1, -0x1.4bb1c81e991f1p-1, -0x1.48dcbacbd9d08p-1, -0x1.4604f49a02186p-1, -0x1.432a94fdce0b2p-1, -0x1.404dbd39d70a6p-1, -0x1.3d6e903d9f37ep-1, -0x1.3a8d3284c1d92p-1, -0x1.37a9c9f66ba43p-1, -0x1.34c47dc53c294p-1, -0x1.31dd764fae411p-1, -0x1.2ef4dd011e5f7p-1, -0x1.2c0adc3383e63p-1, -0x1.291f9f11f3ad2p-1, -0x1.2633517bf616cp-1, -0x1.23461fe9c19eep-1, -0x1.205837516358cp-1, -0x1.1d69c50cdc9dbp-1, -0x1.1a7af6c13e80cp-1, -0x1.178bfa46c6fb9p-1, -0x1.149cfd920321ap-1, -0x1.11ae2e9df7029p-1, -0x1.0ebfbb574e4fap-1, -0x1.0bd1d18892e87p-1, -0x1.08e49ec768de6p-1, -0x1.05f85062ccdbp-1, -0x1.030d13525163ep-1, -0x1.00231426593a7p-1, -0x1.fa74fdf28890ep-2, -0x1.f4a6fec327726p-2, -0x1.eedc80c9e82c1p-2, -0x1.e915d8d8639cdp-2, -0x1.e3535a70142d4p-2, -0x1.dd9557adae0aep-2, -0x1.d7dc21361932cp-2, -0x1.d2280625032f9p-2, -0x1.cc7953fcf6f3p-2, -0x1.c6d05698f4313p-2, -0x1.c12d581f6b6b6p-2, -0x1.bb90a0f69ea83p-2, -0x1.b5fa77ba4ab56p-2, -0x1.b06b213297a03p-2, -0x1.aae2e04c3671ap-2, -0x1.a561f611a83a3p-2, -0x1.9fe8a1a5994f7p-2, -0x1.9a77203e48d2p-2, -0x1.950dad21ea026p-2, -0x1.8fac81a3f77a2p-2, -0x1.8a53d5236874fp-2, -0x1.8503dd09bc482p-2, -0x1.7fbccccad1ecdp-2, -0x1.7a7ed5e57d179p-2, -0x1.754a27e4cf31bp-2, -0x1.701ef0620b689p-2, -0x1.6afd5b0735fcp-2, -0x1.65e5919239871p-2, -0x1.60d7bbd895805p-2, -0x1.5bd3ffcb8fc9ap-2, -0x1.56da817cda5cbp-2, -0x1.51eb6323aadf4p-2, -0x1.4d06c52237d05p-2, -0x1.482cc60b92f26p-2, -0x1.435d82a9dcfd1p-2, -0x1.3e991604c7982p-2, -0x1.39df99685e95ep-2, -0x1.3531246c1396cp-2, -0x1.308dccfa065e7p-2, -0x1.2bf5a756809d7p-2, -0x1.2768c627a0cacp-2, -0x1.22e73a7d30f78p-2, -0x1.1e7113d89f80fp-2, -0x1.1a066035199f1p-2, -0x1.15a72c0fc0573p-2, -0x1.1153826ff1a97p-2, -0x1.0d0b6cefa90dap-2, -0x1.08cef3c3e84afp-2, -0x1.049e1dc53025bp-2, -0x1.0078f077fb3f1p-2, -0x1.f8bee02a8463fp-3, -0x1.f0a33f25f4d0ap-3, -0x1.e89f01592f289p-3, -0x1.e0b227d7099c3p-3, -0x1.d8dcb15f3297bp-3, -0x1.d11e9a6efd2c1p-3, -0x1.c977dd521e843p-3, -0x1.c1e872334baebp-3, -0x1.ba704f2cb2777p-3, -0x1.b30f68585457cp-3, -0x1.abc5afe0380fcp-3, -0x1.a493160e7026p-3, -0x1.9d77895cf64cfp-3, -0x1.9672f68555867p-3, -0x1.8f85489022241p-3, -0x1.88ae68e440856p-3, -0x1.81ee3f55f1c83p-3, -0x1.7b44b235abb2p-3, -0x1.74b1a65eb76cep-3, -0x1.6e34ff459393p-3, -0x1.67ce9f061a699p-3, -0x1.617e66716eef7p-3, -0x1.5b44351ba7f33p-3, -0x1.551fe9693cb4ep-3, -0x1.4f11609c3314fp-3, -0x1.491876e10e6d7p-3, -0x1.4335075b7f167p-3, -0x1.3d66ec32cb8c5p-3, -0x1.37adfe9dfea69p-3, -0x1.320a16efd2145p-3, -0x1.2c7b0ca259832p-3, -0x1.2700b66265a5cp-3, -0x1.219aea1ab273ap-3, -0x1.1c497cfec8e2p-3, -0x1.170c4395a30a4p-3, -0x1.11e311c416428p-3, -0x1.0ccdbad6f5153p-3, -0x1.07cc118cf487bp-3, -0x1.02dde820512a3p-3, -0x1.fc0620a072728p-4, -0x1.f276b6d3eb4e8p-4, -0x1.e90d34a3a5e08p-4, -0x1.dfc93b17a1822p-4, -0x1.d6aa6a8830e2cp-4, -0x1.cdb062ae587d2p-4, -0x1.c4dac2b3d6d93p-4, -0x1.bc29294299078p-4, -0x1.b39b3493d8e94p-4, -0x1.ab30827eb2403p-4, -0x1.a2e8b08656fc7p-4, -0x1.9ac35be7cf6eep-4, -0x1.92c021a750c0fp-4, -0x1.8ade9e9d2a388p-4, -0x1.831e6f8241e52p-4, -0x1.7b7f30fc3220cp-4, -0x1.74007fa8feeabp-4, -0x1.6ca1f82a66759p-4, -0x1.65633730d0992p-4, -0x1.5e43d985df448p-4, -0x1.57437c169d208p-4, -0x1.5061bbfd554a8p-4, -0x1.499e368b08e48p-4, -0x1.42f8895092241p-4, -0x1.3c7052276c6d3p-4, -0x1.36052f3a28562p-4, -0x1.2fb6bf0c8a85bp-4, -0x1.2984a0835b3a7p-4, -0x1.236e72ebe2f5ep-4, -0x1.1d73d6031a19dp-4, -0x1.179469fc8ac3fp-4, -0x1.11cfcf88e8991p-4, -0x1.0c25a7dc6015ap-4, -0x1.069594b49b474p-4, -0x1.011f385e83abfp-4, -0x1.f7846b777ab28p-5, -0x1.ecfc608fc5435p-5, -0x1.e2a5983af4786p-5, -0x1.d87f5bf564a0bp-5, -0x1.ce88f68bb5892p-5, -0x1.c4c1b4234afe2p-5, -0x1.bb28e24252db8p-5, -0x1.b1bdcfd75e0acp-5, -0x1.a87fcd4085bf4p-5, -0x1.9f6e2c52277f3p-5, -0x1.9688405d35dbfp-5, -0x1.8dcd5e3521601p-5, -0x1.853cdc3563e58p-5, -0x1.7cd61246a2b8ap-5, -0x1.749859e377029p-5, -0x1.6c830e1cdb134p-5, -0x1.64958b9e3e4cfp-5, -0x1.5ccf30b141ce2p-5, -0x1.552f5d41215ddp-5, -0x1.4db572ddce969p-5, -0x1.4660d4beb8ae1p-5, -0x1.3f30e7c54b0d8p-5, -0x1.3825127f2207ap-5, -0x1.313cbd27f6b8dp-5, -0x1.2a7751ab4a2b1p-5, -0x1.23d43ba5c1a8cp-5, -0x1.1d52e8665607p-5, -0x1.16f2c6ef314efp-5, -0x1.10b347f65b24ep-5, -0x1.0a93dde6268f1p-5, -0x1.0493fcdd6ba92p-5, -0x1.fd66355f09a79p-6, -0x1.f1e15dc83c4d6p-6, -0x1.e698656d97c62p-6, -0x1.db8a422cf2477p-6, -0x1.d0b5ed493d383p-6, -0x1.c61a6368a3ddbp-6, -0x1.bbb6a4924ff71p-6, -0x1.b189b42be2588p-6, -0x1.a79298f6900c4p-6, -0x1.9dd05d0bfb317p-6, -0x1.94420ddac4c85p-6, -0x1.8ae6bc22d062ap-6, -0x1.81bd7bf14c03cp-6, -0x1.78c5649c75271p-6, -0x1.6ffd90bf1fd97p-6, -0x1.67651e3406f05p-6, -0x1.5efb2e10e1238p-6, -0x1.56bee4a142156p-6, -0x1.4eaf696148affp-6, -0x1.46cbe6f81fc51p-6, -0x1.3f138b3250f13p-6, -0x1.378586fbe90c5p-6, -0x1.30210e5a7803cp-6, -0x1.28e55866e7e38p-6, -0x1.21d19f4730b07p-6, -0x1.1ae52027edfffp-6, -0x1.141f1b35c7872p-6, -0x1.0d7ed396cfcfp-6, -0x1.07038f63b30fep-6, -0x1.00ac97a0d9614p-6, -0x1.f4f2706ed550cp-7, -0x1.e8d17fdc81dcep-7, -0x1.dcf500c57348ep-7, -0x1.d15b9c030f366p-7, -0x1.c603fffec22fbp-7, -0x1.baece0a3508e6p-7, -0x1.b014f74e02cbp-7, -0x1.a57b02bfbf808p-7, -0x1.9b1dc70e03a8dp-7, -0x1.90fc0d93ccc6dp-7, -0x1.8714a4e277cdep-7, -0x1.7d6660b283e38p-7, -0x1.73f019d44f7fdp-7, -0x1.6ab0ae20d155ap-7, -0x1.61a7006a3c1d7p-7, -0x1.58d1f86cac3b4p-7, -0x1.503082bec4805p-7, -0x1.47c190c24dbdbp-7, -0x1.3f841894e1e12p-7, -0x1.3777150085328p-7, -0x1.2f99856c5a726p-7, -0x1.27ea6dcd480dcp-7, -0x1.2068d696b5ceep-7, -0x1.1913ccab4da66p-7, -0x1.11ea614dc3ea6p-7, -0x1.0aebaa11b3d96p-7, -0x1.0416c0cc83fecp-7, -0x1.fad5870cc1186p-8, -0x1.edcda8d6789ffp-8, -0x1.e1143377db5a3p-8, -0x1.d4a77b7eb9367p-8, -0x1.c885dd6781aaep-8, -0x1.bcadbd7ff22cep-8, -0x1.b11d87c9efba6p-8, -0x1.a5d3afde8a0b3p-8, -0x1.9aceb0d14c2a5p-8, -0x1.900d0d13849e3p-8, -0x1.858d4e5807288p-8, -0x1.7b4e0576ef17ap-8, -0x1.714dca51b7285p-8, -0x1.678b3bb77f017p-8, -0x1.5e04ff4987daep-8, -0x1.54b9c15ffa531p-8, -0x1.4ba834eed635ap-8, -0x1.42cf136b2bb8dp-8, -0x1.3a2d1cb09e79bp-8, -0x1.31c116e7001dcp-8, -0x1.2989ce68624cbp-8, -0x1.218615a740dedp-8, -0x1.19b4c514f65b6p-8, -0x1.1214bb08837f4p-8, -0x1.0aa4dba588dep-8, -0x1.036410c38da31p-8, -0x1.f8a293ab036d6p-9, -0x1.ead6f7a32938ap-9, -0x1.dd63423287893p-9, -0x1.d04572c35698ep-9, -0x1.c37b93385bfcep-9, -0x1.b703b7beb831ep-9, -0x1.aadbfea0203e2p-9, -0x1.9f029015dcec2p-9, -0x1.93759e1c2ad96p-9, -0x1.883364463ca59p-9, -0x1.7d3a2792d010ep-9, -0x1.728836413b01bp-9, -0x1.681be7a7147b5p-9, -0x1.5df39c0660be5p-9, -0x1.540dbc646d0e3p-9, -0x1.4a68ba6107c8bp-9, -0x1.4103100e5d6f8p-9, -0x1.37db3fc95bad7p-9, -0x1.2eefd412b82cep-9, -0x1.263f5f685ba2bp-9, -0x1.1dc87c1f69593p-9, -0x1.1589cc3ee33bbp-9, -0x1.0d81f95aaeb4dp-9, -0x1.05afb46f4540dp-9, -0x1.fc236b7bccf43p-10, -0x1.ed4d795275791p-10, -0x1.dedb1f253e77ep-10, -0x1.d0c9f76fa39bap-10, -0x1.c317aa2282294p-10, -0x1.b5c1ec61a026p-10, -0x1.a8c680423d33dp-10, -0x1.9c23348aaae3dp-10, -0x1.8fd5e472cf384p-10, -0x1.83dc7765f10adp-10, -0x1.7834e0c4f989fp-10, -0x1.6cdd1faa50aabp-10, -0x1.61d33eae25b11p-10, -0x1.571553ac085c7p-10, -0x1.4ca17f896462ep-10, -0x1.4275edfcbc537p-10, -0x1.3890d5561a17dp-10, -0x1.2ef0764834bbp-10, -0x1.25931bb2a2271p-10, -0x1.1c771a6cec511p-10, -0x1.139ad112734f4p-10, -0x1.0afca7cf50236p-10, -0x1.029b102dfb6dcp-10, -0x1.f4e909cbfafefp-11, -0x1.e50f135673d36p-11, -0x1.d5a555fcb68f8p-11, -0x1.c6a8fbfb93f2p-11, -0x1.b817406f7f69ap-11, -0x1.a9ed6ef9ddacfp-11, -0x1.9c28e368588f3p-11, -0x1.8ec7095d55507p-11, -0x1.81c55bfa702afp-11, -0x1.7521658c3ff6bp-11, -0x1.68d8bf37adc62p-11, -0x1.5ce910a8e73d3p-11, -0x1.51500fc38ea3p-11, -0x1.460b8054db061p-11, -0x1.3b1933c68a77ep-11, -0x1.307708d3c1e11p-11, -0x1.2622eb3f48494p-11, -0x1.1c1ad38ad1031p-11, -0x1.125cc6afe83afp-11, -0x1.08e6d5da3d736p-11, -0x1.ff6e3c465f208p-12, -0x1.ed97909d4cbf6p-12, -0x1.dc4611123b69ap-12, -0x1.cb763c4e7b01p-12, -0x1.bb24a6cccc782p-12, -0x1.ab4dfa5d5f0cp-12, -0x1.9beef5abe244dp-12, -0x1.8d046bc84735ap-12, -0x1.7e8b43b1c4e6bp-12, -0x1.708077e3edeb4p-12, -0x1.62e115e689efp-12, -0x1.55aa3ddf3b151p-12, -0x1.48d92225796a3p-12, -0x1.3c6b06d8fb63cp-12, -0x1.305d4179d5eb3p-12, -0x1.24ad388312043p-12, -0x1.19586306fae66p-12, -0x1.0e5c484dd7c97p-12, -0x1.03b67f763a905p-12, -0x1.f2c95e2f94babp-13, -0x1.dec919ce8f331p-13, -0x1.cb67baba68d98p-13, -0x1.b8a0e6bb7ca24p-13, -0x1.a6705fc5e409bp-13, -0x1.94d20350bb412p-13, -0x1.83c1c9b17863fp-13, -0x1.733bc57a79ef4p-13, -0x1.633c22dcf41c8p-13, -0x1.53bf270e6eab1p-13, -0x1.44c12fb1300edp-13, -0x1.363eb240a523dp-13, -0x1.28343b7fa7296p-13, -0x1.1a9e6eeb717fep-13, -0x1.0d7a06303c098p-13, -0x1.00c3d0a1c9f35p-13, -0x1.e8f1656d1971fp-14, -0x1.d12b4b0b2daadp-14, -0x1.ba2f6c8f3fc1p-14, -0x1.a3f80bb5092bcp-14, -0x1.8e7f908f7ed94p-14, -0x1.79c0889b71646p-14, -0x1.65b5a5d639a8ap-14, -0x1.5259bdda91616p-14, -0x1.3fa7c902a0d9p-14, -0x1.2d9ae18dad0f8p-14, -0x1.1c2e42cc8403ep-14, -0x1.0b5d4850e3e6dp-14, -0x1.f646da453a6e9p-15, -0x1.d6f895f2927dbp-15, -0x1.b8c732f3758fcp-15, -0x1.9baa5af16c876p-15, -0x1.7f99f083111bdp-15, -0x1.648e0dc0cc476p-15, -0x1.4a7f02e45ce09p-15, -0x1.316554ee20238p-15, -0x1.1939bc5304e2ap-15, -0x1.01f523b289668p-15, -0x1.d7214d293fecep-16, -0x1.ac0b205c0762ep-16, -0x1.829ab458ffe7cp-16, -0x1.5ac3571646dffp-16, -0x1.3478aed731b24p-16, -0x1.0faeb7f140c6ap-16, -0x1.d8b3853425d71p-17, -0x1.94dce18b4115cp-17, -0x1.53c3682107511p-17, -0x1.1551976ce41e8p-17, -0x1.b2e50a51b940ep-18, -0x1.4023b4ecf34bp-18, -0x1.a46f402cd2d7fp-19, -0x1.a3e9542fbf591p-20, -0x1.119b67b1ae885p-24, 0x1.7021cb71088b3p-20, 0x1.702b4cc7b3d6fp-19, 0x1.10038b081526cp-18, 0x1.63f389704bafcp-18, 0x1.b4061b4646f77p-18, 0x1.002d68b713be3p-17, 0x1.24882d0e3e12cp-17, 0x1.472243621b881p-17, 0x1.680a28f3c8b48p-17, 0x1.874df25a3c723p-17, 0x1.a4fb4e46bcf19p-17, 0x1.c11f8833eb853p-17, 0x1.dbc78b04f4205p-17, 0x1.f4ffe39294663p-17, 0x1.066a619620f24p-16, 0x1.11a9010146dd4p-16, 0x1.1c4190c46cffp-16, 0x1.2639a76235bcap-16, 0x1.2f96b245ba39cp-16, 0x1.385df6dd1b85ep-16, 0x1.409493aaa3b24p-16, 0x1.483f815170cb8p-16, 0x1.4f639397cc07ap-16, 0x1.56057a6758fdfp-16, 0x1.5c29c2c256e07p-16, 0x1.61d4d7b76f545p-16, 0x1.670b034afce5bp-16, 0x1.6bd06f5c5ba1bp-16, 0x1.7029268649cc1p-16, 0x1.741914f76f9e8p-16, 0x1.77a4094696628p-16, 0x1.7acdb5415bfp-16, 0x1.7d99aeb56066ep-16, 0x1.800b7034890f8p-16, 0x1.822659d3ee765p-16, 0x1.83edb1e5457aap-16, 0x1.8564a5ada6a04p-16, 0x1.868e4a148cfcfp-16, 0x1.876d9c500602ep-16, 0x1.8805828d320fdp-16, 0x1.8858cc922a832p-16, 0x1.886a345d6a1e8p-16, 0x1.883c5ec0619cep-16, 0x1.87d1dbf5f4918p-16, 0x1.872d28357a34bp-16, 0x1.8650ac41240c1p-16, 0x1.853ebdf09fb8ep-16, 0x1.83f9a0b999761p-16, 0x1.82838631f1effp-16, 0x1.80de8e91318dfp-16, 0x1.7f0cc92d08f64p-16, 0x1.7d1034f305514p-16, 0x1.7aeac0de3bf6bp-16, 0x1.789e4c6a5a21cp-16, 0x1.762ca804cb5fdp-16, 0x1.739795787aa6fp-16, 0x1.70e0c858df479p-16, 0x1.6e09e668573a1p-16, 0x1.6b1487fdae4b7p-16, 0x1.68023864a644p-16, 0x1.64d4763e50f08p-16, 0x1.618cb3dc8687p-16, 0x1.5e2c579c7a81cp-16, 0x1.5ab4bc3e2b97ap-16, 0x1.57273139de2f9p-16, 0x1.5384fb124a4fbp-16, 0x1.4fcf53a6415c8p-16, 0x1.4c076a7e1ddccp-16, 0x1.482e6518772b1p-16, 0x1.44455f346c577p-16, 0x1.404d6b194f75ap-16, 0x1.3c4791dd7f3aap-16, 0x1.3834d3aa09b54p-16, 0x1.341627fd48bbap-16, 0x1.2fec7deb24ab6p-16, 0x1.2bb8bc5c949abp-16, 0x1.277bc24b5b211p-16, 0x1.233666fe9cbcbp-16, 0x1.1ee97a4370849p-16, 0x1.1a95c4a5d2d94p-16, 0x1.163c07a66bffdp-16, 0x1.11dcfdf0101e2p-16, 0x1.0d795b8b2f08fp-16, 0x1.0911ce0f952a9p-16, 0x1.04a6fcd54adedp-16, 0x1.00398923e554cp-16, 0x1.f7941cc09ee45p-17, 0x1.eeb24473b8d12p-17, 0x1.e5cea9aa7a46cp-17, 0x1.dcea61ee63f4p-17, 0x1.d4067859c5678p-17, 0x1.cb23ede8fea56p-17, 0x1.c243b9c70cf05p-17, 0x1.b966c998e1b88p-17, 0x1.b08e01c6bfb39p-17, 0x1.a7ba3dc36305p-17, 0x1.9eec50509c8fdp-17, 0x1.962503c2ecc1ap-17, 0x1.8d651a4254fe8p-17, 0x1.84ad4e0a2e4bp-17, 0x1.7bfe51a630d2bp-17, 0x1.7358d02e4b5a8p-17, 0x1.6abd6d810f867p-17, 0x1.622cc67bb831dp-17, 0x1.59a7713166045p-17, 0x1.512dfd1fe1eb6p-17, 0x1.48c0f363dee28p-17, 0x1.4060d6eabebd7p-17, 0x1.380e24a339bedp-17, 0x1.2fc953adbacf3p-17, 0x1.2792d589368d1p-17, 0x1.1f6b1640b02adp-17, 0x1.17527c964e473p-17, 0x1.0f496a2dc4b5ep-17, 0x1.07503bb4eb0efp-17, 0x1.fece9217c2c97p-18, 0x1.ef1dcad758cf4p-18, 0x1.df8ebf167362dp-18, 0x1.d0220388f6d2ap-18, 0x1.c0d8246ec03fdp-18, 0x1.b1b1a5d860a46p-18, 0x1.a2af03eaa44ep-18, 0x1.93d0b31ed3e38p-18, 0x1.85172080c0313p-18, 0x1.7682b1ed9c0b5p-18, 0x1.6813c64d9faeep-18, 0x1.59cab5cebc39p-18, 0x1.4ba7d21c23c06p-18, 0x1.3dab669463f48p-18, 0x1.2fd5b87e83ac1p-18, 0x1.2227073d628efp-18, 0x1.149f8c808795dp-18, 0x1.073f7c752321cp-18, 0x1.f40e0be991aa9p-19, 0x1.d9eca56639058p-19, 0x1.c01b0ed2598adp-19, 0x1.a6998801c54a7p-19, 0x1.8d68477d8c24cp-19, 0x1.74877ad33568fp-19, 0x1.5bf746e65bec1p-19, 0x1.43b7c839dd964p-19, 0x1.2bc9133adf992p-19, 0x1.142b34891ee61p-19, 0x1.f9bc62761fb14p-20, 0x1.cbc40e462f8a7p-20, 0x1.9e6d5a1f7e95ep-20, 0x1.71b8261ab213ep-20, 0x1.45a44543840dp-20, 0x1.1a317e13cbfb7p-20, 0x1.debf15cecaafbp-21, 0x1.8a5c34dc9cccdp-21, 0x1.3739a02e45031p-21, 0x1.caad11faec6c3p-22, 0x1.29641750fb132p-22, 0x1.152cc1e84a086p-23, -0x1.1be271945f1c2p-26, -0x1.57377803cf887p-23, -0x1.4304bc96c5e6ap-22, -0x1.d7fba9f96f2b7p-22, -0x1.3541931ce35c2p-21, -0x1.7d4ef9858e3c3p-21, -0x1.c427783cfd255p-21, -0x1.04e646ee2ce59p-20, -0x1.271fe37712c11p-20, -0x1.48c15eaf6b7f3p-20, -0x1.69cb8bf6a35d5p-20, -0x1.8a3f44cc4c22ap-20, -0x1.aa1d688e958aap-20, -0x1.c966dc3651eb6p-20, -0x1.e81c8a18176cfp-20, -0x1.031fb0d22eec1p-19, -0x1.11e82b95f9e8p-19, -0x1.206831d2b281p-19, -0x1.2ea042399477fp-19, -0x1.3c90dd975b7bp-19, -0x1.4a3a86b7e69f5p-19, -0x1.579dc24dcef7ep-19, -0x1.64bb16d7ed8efp-19, -0x1.71930c88bcf42p-19, -0x1.7e262d2fc9acfp-19, -0x1.8a75042122bfap-19, -0x1.96801e1fceb32p-19, -0x1.a2480948e03d2p-19, -0x1.adcd54fc6343fp-19, -0x1.b91091cac7563p-19, -0x1.c4125160239e7p-19, -0x1.ced326716a03dp-19, -0x1.d953a4a930cd4p-19, -0x1.e3946096ae512p-19, -0x1.ed95ef9afa7fap-19, -0x1.f758e7d8b8a9bp-19, -0x1.006ef0116d594p-18, -0x1.0512b7f6d2eefp-18, -0x1.0998179f4d6cbp-18, -0x1.0dff5b4ebe6c7p-18, -0x1.1248cf82e3b0ep-18, -0x1.1674c0ec5cfb8p-18, -0x1.1a837c67b22c8p-18, -0x1.1e754ef6a85c6p-18, -0x1.224a85ba18f34p-18, -0x1.26036deb2e429p-18, -0x1.29a054d5ee77bp-18, -0x1.2d2187d2ddf44p-18, -0x1.308754419a1afp-18, -0x1.33d2078380377p-18, -0x1.3701eef5b2b3bp-18, -0x1.3a1757ecde804p-18, -0x1.3d128faf7c3d1p-18, -0x1.3ff3e3717918bp-18, -0x1.42bba04f51035p-18, -0x1.456a1349761fdp-18, -0x1.47ff8940179d3p-18, -0x1.4a7c4eeec6d65p-18, -0x1.4ce0b0e866855p-18, -0x1.4f2cfb92f964bp-18, -0x1.51617b244b01ap-18, -0x1.537e7b9dfc0b8p-18, -0x1.558448c9b4f93p-18, -0x1.57732e360f6bap-18, -0x1.594b7732f2e7fp-18, -0x1.5b0d6ece803e7p-18, -0x1.5cb95fd1ec833p-18, -0x1.5e4f94be878d6p-18, -0x1.5fd057ca883cbp-18, -0x1.613bf2deedbcbp-18, -0x1.6292af93dbab8p-18, -0x1.63d4d72eaf3e7p-18, -0x1.6502b29f47786p-18, -0x1.661c8a7da4b57p-18, -0x1.6722a70767a4cp-18, -0x1.6815501dd692dp-18, -0x1.68f4cd4391228p-18, -0x1.69c1659a7ff97p-18, -0x1.6a7b5fe1bae97p-18, -0x1.6b230273d7baap-18, -0x1.6bb89344f73e8p-18, -0x1.6c3c57e0d58dfp-18, -0x1.6cae956950be5p-18, -0x1.6d0f9094dc904p-18, -0x1.6d5f8dac9cc4cp-18, -0x1.6d9ed08b469cbp-18, -0x1.6dcd9c9b776b7p-18, -0x1.6dec34d693c84p-18, -0x1.6dfadbc30bae3p-18, -0x1.6df9d373c7c6ep-18, -0x1.6de95d867ba9dp-18, -0x1.6dc9bb22957bcp-18, -0x1.6d9b2cf86d41p-18, -0x1.6d5df340155bcp-18, -0x1.6d124db84d0d1p-18, -0x1.6cb87ba5dfa02p-18, -0x1.6c50bbd28db1ap-18, -0x1.6bdb4c8c5c375p-18, -0x1.6b586ba4e6fb9p-18, -0x1.6ac8567089e28p-18, -0x1.6a2b49c5c904p-18, -0x1.698181fc93042p-18, -0x1.68cb3aedeea3dp-18, -0x1.6808aff33d62fp-18, -0x1.673a1be5e0b57p-18, -0x1.665fb91e9696p-18, -0x1.6579c1754e005p-18, -0x1.64886e40b63e7p-18, -0x1.638bf855b897cp-18, -0x1.62849807699e3p-18, -0x1.61728526bb5bap-18, -0x1.6055f70228946p-18, -0x1.5f2f24658bd9bp-18, -0x1.5dfe439a1402p-18, -0x1.5cc38a65f9388p-18, -0x1.5b7f2e0c89182p-18, -0x1.5a31634e05863p-18, -0x1.58da5e6793b09p-18, -0x1.577a531332417p-18, -0x1.56117487f0b61p-18, -0x1.549ff579b28ddp-18, -0x1.532608197758ep-18, -0x1.51a3de1559db1p-18, -0x1.5019a898d2ea2p-18, -0x1.4e87984cba018p-18, -0x1.4ceddd577e9dfp-18, -0x1.4b4ca75d4bb13p-18, -0x1.49a42580626dp-18, -0x1.47f486613c8fbp-18, -0x1.463df81ecbcd5p-18, -0x1.4480a856ee419p-18, -0x1.42bcc4268739ap-18, -0x1.40f27829d63f8p-18, -0x1.3f21f07cf432p-18, -0x1.3d4b58bc141e6p-18, -0x1.3b6edc03e78e9p-18, -0x1.398ca4f20f854p-18, -0x1.37a4dda58b767p-18, -0x1.35b7afbf00783p-18, -0x1.33c544614c428p-18, -0x1.31cdc431efd44p-18, -0x1.2fd15759a0244p-18, -0x1.2dd02584a0ec2p-18, -0x1.2bca55e34f4cp-18, -0x1.29c00f2ac8635p-18, -0x1.27b1779563d01p-18, -0x1.259eb4e32d079p-18, -0x1.2387ec5a667b1p-18, -0x1.216d42c83dbcep-18, -0x1.1f4edc814d348p-18, -0x1.1d2cdd6243011p-18, -0x1.1b0768d07c54ep-18, -0x1.18dea1ba9d5adp-18, -0x1.16b2aa991d014p-18, -0x1.1483a56ef7adcp-18, -0x1.1251b3ca6e9fep-18, -0x1.101cf6c58dae3p-18, -0x1.0de58f06da3aep-18, -0x1.0bab9cc216e96p-18, -0x1.096f3fb8ebf19p-18, -0x1.0730973b7e28ap-18, -0x1.04efc2293427p-18, -0x1.02acdef164a97p-18, -0x1.00680b9413a59p-18, -0x1.fc42cb45663a7p-19, -0x1.f7b21481a0b0cp-19, -0x1.f31e2c4976233p-19, -0x1.ee874b30d5c91p-19, -0x1.e9eda8f43a827p-19, -0x1.e5517c7a5693bp-19, -0x1.e0b2fbd564e09p-19, -0x1.dc125c44dd4dap-19, -0x1.d76fd236ee551p-19, -0x1.d2cb914a189e9p-19, -0x1.ce25cc4ea6d9ap-19, -0x1.c97eb54809586p-19, -0x1.c4d67d6eb5ad7p-19, -0x1.c02d55316325ep-19, -0x1.bb836c36f1518p-19, -0x1.b6d8f15ffb88ep-19, -0x1.b22e12c83642dp-19, -0x1.ad82fdc7ed465p-19, -0x1.a8d7def5f3ff7p-19, -0x1.a42ce2291f143p-19, -0x1.9f82327993515p-19, -0x1.9ad7fa42ab9eep-19, -0x1.962e6324c3dd3p-19, -0x1.9185960693ec5p-19, -0x1.8cddbb16dc8f3p-19, -0x1.8836f9cdd32a9p-19, -0x1.839178ef01f66p-19, -0x1.7eed5e8aa1dep-19, -0x1.7a4acfff822fcp-19, -0x1.75a9f1fcbbd75p-19, -0x1.710ae882fcd4bp-19, -0x1.6c6dd6e61b2e6p-19, -0x1.67d2dfcef92bcp-19, -0x1.633a253d2589p-19, -0x1.5ea3c88859157p-19, -0x1.5a0fea61fb3c5p-19, -0x1.557eaad6c07e4p-19, -0x1.50f02950cd814p-19, -0x1.4c648498e2d2ep-19, -0x1.47dbdad7e4e6bp-19, -0x1.43564998b0bfcp-19, -0x1.3ed3edc97946bp-19, -0x1.3a54e3bd71de2p-19, -0x1.35d9472ebe246p-19, -0x1.3161333faf94ep-19, -0x1.2cecc27c79e95p-19, -0x1.287c0edccb3c5p-19, -0x1.240f31c53204cp-19, -0x1.1fa64408fcb34p-19, -0x1.1b415debaaa16p-19, -0x1.16e09722765e9p-19, -0x1.128406d5fba81p-19, }}, 
      {{0x1.8465724434605p-18, 0x1.093c0a7a2db25p-16, 0x1.48ae29ee4d353p-17, -0x1.5681fa84a9cc1p-15, -0x1.603d983ddb034p-13, -0x1.a68f9174df8c7p-12, -0x1.95da4f4dda3cp-11, -0x1.55f7b5809e3b9p-10, -0x1.079eef5db1a7p-9, -0x1.7cc223f34da3fp-9, -0x1.057999d58486bp-8, -0x1.5900551d5fd38p-8, -0x1.b88c389aa5918p-8, -0x1.11ba7b8f44c86p-7, -0x1.4c71de7afbad5p-7, -0x1.8bf12572f22fcp-7, -0x1.cfb3ec4304203p-7, -0x1.0b98e979df28p-6, -0x1.30f15ba39a39fp-6, -0x1.57a103c61163cp-6, -0x1.7f68ac8ea045dp-6, -0x1.a80d339316576p-6, -0x1.d1584af8c017ap-6, -0x1.fb190780f2fe7p-6, -0x1.129220fc8b8cdp-5, -0x1.27aa687c8dd5ep-5, -0x1.3cc5cf5e4051ep-5, -0x1.51d7cf3d9d2b6p-5, -0x1.66d6d259ec31p-5, -0x1.7bbc130e0b7d8p-5, -0x1.9083709cf6f82p-5, -0x1.a52b3b6fd3e2ep-5, -0x1.b9b3faecbf583p-5, -0x1.ce202f0270b73p-5, -0x1.e2740f65ce839p-5, -0x1.f6b54a4f1d53ep-5, -0x1.0575622498907p-4, -0x1.0f8e2d3140f7fp-4, -0x1.19a953e59134ap-4, -0x1.23cb67d3580b1p-4, -0x1.2df925cce926ap-4, -0x1.38375fb0bfcb4p-4, -0x1.428ae8c85bb83p-4, -0x1.4cf884b3fbe73p-4, -0x1.5784d8cc6fdf5p-4, -0x1.62345fd7adedfp-4, -0x1.6d0b5fe425e7p-4, -0x1.780de2192e1dbp-4, -0x1.833fac4831e98p-4, -0x1.8ea43c09c3e02p-4, -0x1.9a3ec33305c06p-4, -0x1.a61225728a042p-4, -0x1.b220f6e7700c2p-4, -0x1.be6d7b89b6d43p-4, -0x1.caf9a73f4b04ep-4, -0x1.d7c71e7e0503p-4, -0x1.e4d7375f45eaap-4, -0x1.f22afb0e3198ap-4, -0x1.ffc3277d83c2cp-4, -0x1.06d018aab277ep-3, -0x1.0de12306881adp-3, -0x1.1514a7132eb7fp-3, -0x1.1c6a77c1fd40dp-3, -0x1.23e247ea4d1a8p-3, -0x1.2b7bab877d79ap-3, -0x1.333618fdf682p-3, -0x1.3b10ea6609034p-3, -0x1.430b5edbe86dcp-3, -0x1.4b249bd4394cap-3, -0x1.535bae74a6a65p-3, -0x1.5baf8cf019fdfp-3, -0x1.641f17e61f359p-3, -0x1.6ca91bc4fd927p-3, -0x1.754c522de2476p-3, -0x1.7e07635a8a81fp-3, -0x1.86d8e783a7f13p-3, -0x1.8fbf684726842p-3, -0x1.98b9620d7cbdbp-3, -0x1.a1c5456d01621p-3, -0x1.aae1788a51f3fp-3, -0x1.b40c5874b4ee2p-3, -0x1.bd443a7d6b727p-3, -0x1.c6876d88eb6bep-3, -0x1.cfd43b58e8ab6p-3, -0x1.d928e9ce3b1aap-3, -0x1.e283bc21a835p-3, -0x1.ebe2f4129ec48p-3, -0x1.f544d30b1e16ap-3, -0x1.fea79b37fc993p-3, -0x1.0404c84a7601fp-2, -0x1.08b47cf5cd0c5p-2, -0x1.0d6210e2bd5f5p-2, -0x1.120caba7e7337p-2, -0x1.16b37798cf9dep-2, -0x1.1b55a229b992ap-2, -0x1.1ff25c4c50838p-2, -0x1.2488dac51b615p-2, -0x1.29185679c059ap-2, -0x1.2da00cb82a073p-2, -0x1.321f3f76a483ep-2, -0x1.3695358d189f4p-2, -0x1.3b013ae78cce3p-2, -0x1.3f62a0b21b547p-2, -0x1.43b8bd7e9906bp-2, -0x1.4802ed64216c8p-2, -0x1.4c409218d306cp-2, -0x1.50711305f86aap-2, -0x1.5493dd56e968p-2, -0x1.58a86402ebe9ap-2, -0x1.5cae1fd267afap-2, -0x1.60a48f5faca9bp-2, -0x1.648b3713a7dc2p-2, -0x1.6861a11ec9389p-2, -0x1.6c275d6e6a05fp-2, -0x1.6fdc019f0453p-2, -0x1.737f28eb7c1a2p-2, -0x1.77107419ce17bp-2, -0x1.7a8f89655d7ecp-2, -0x1.7dfc146730282p-2, -0x1.8155c5fc51f67p-2, -0x1.849c542aa5cefp-2, -0x1.87cf7a0454871p-2, -0x1.8aeef78a1f443p-2, -0x1.8dfa918cbf164p-2, -0x1.90f2118d8cbaep-2, -0x1.93d5459e973ebp-2, -0x1.96a400425abd7p-2, -0x1.995e184b40994p-2, -0x1.9c0368bb062f7p-2, -0x1.9e93d0a23595bp-2, -0x1.a10f32ffc88fcp-2, -0x1.a37576a115d9p-2, -0x1.a5c686021dddfp-2, -0x1.a8024f2e5067cp-2, -0x1.aa28c3a1de947p-2, -0x1.ac39d82ba79e6p-2, -0x1.ae3584cfd27bep-2, -0x1.b01bc4ab1cb18p-2, -0x1.b1ec95d6ed4c2p-2, -0x1.b3a7f94e2f15bp-2, -0x1.b54df2d2ff371p-2, -0x1.b6de88d52b70ap-2, -0x1.b859c4598bc92p-2, -0x1.b9bfb0e2350fp-2, -0x1.bb105c5782dbap-2, -0x1.bc4bd6f1fbba7p-2, -0x1.bd7233250a9e6p-2, -0x1.be83858a8c544p-2, -0x1.bf7fe4cf2905fp-2, -0x1.c067699f7a40ep-2, -0x1.c13a2e95f3d0fp-2, -0x1.c1f850298b7c6p-2, -0x1.c2a1ec9d18251p-2, -0x1.c33723ef5f139p-2, -0x1.c3b817cbcefb8p-2, -0x1.c424eb7bd721p-2, -0x1.c47dc3d8dbf18p-2, -0x1.c4c2c73eba8c6p-2, -0x1.c4f41d7ed7462p-2, -0x1.c511efd3ad07dp-2, -0x1.c51c68d4d7641p-2, -0x1.c513b46b8b0f5p-2, -0x1.c4f7ffc77e0e3p-2, -0x1.c4c979542a0d3p-2, -0x1.c48850ae713cp-2, -0x1.c434b69a92c3cp-2, -0x1.c3cedcfa6bc46p-2, -0x1.c356f6c3ff909p-2, -0x1.c2cd37f83dee2p-2, -0x1.c231d59a05964p-2, -0x1.c18505a55716fp-2, -0x1.c0c6ff06b6c3cp-2, -0x1.bff7f992b9c04p-2, -0x1.bf182dfdb4772p-2, -0x1.be27d5d387dafp-2, -0x1.bd272b6f8fa2bp-2, -0x1.bc1669f4a05c2p-2, -0x1.baf5cd452132ep-2, -0x1.b9c591fb2fd52p-2, -0x1.b885f560d6d16p-2, -0x1.b73735684d304p-2, -0x1.b5d990a4409cbp-2, -0x1.b46d464024629p-2, -0x1.b2f295f889393p-2, -0x1.b169c013749cdp-2, -0x1.afd30558bc8ebp-2, -0x1.ae2ea70a689bdp-2, -0x1.ac7ce6dd0cbb5p-2, -0x1.aabe06f02ba71p-2, -0x1.a8f249c693ed6p-2, -0x1.a719f23ec086dp-2, -0x1.a535438b3739fp-2, -0x1.a344812aea126p-2, -0x1.a147eee19401bp-2, -0x1.9f3fd0b01f2d8p-2, -0x1.9d2c6acd0514fp-2, -0x1.9b0e019cb6306p-2, -0x1.98e4d9aa02e2bp-2, -0x1.96b1379e8a229p-2, -0x1.9473603b2ebc6p-2, -0x1.922b98508fa82p-2, -0x1.8fda24b78cb03p-2, -0x1.8d7f4a49d3731p-2, -0x1.8b1b4dda74c04p-2, -0x1.88ae742e88791p-2, -0x1.863901f5dce02p-2, -0x1.83bb3bc3b7f17p-2, -0x1.81356607a429ep-2, -0x1.7ea7c506557eep-2, -0x1.7c129cd29aa6dp-2, -0x1.7976314667e37p-2, -0x1.76d2c5fbf5267p-2, -0x1.74289e46f5b82p-2, -0x1.7177fd2de56b4p-2, -0x1.6ec125637499ap-2, -0x1.6c0459400affdp-2, -0x1.6941dabb6a437p-2, -0x1.6679eb666d8p-2, -0x1.63accc64e6bbfp-2, -0x1.60dabe679ffddp-2, -0x1.5e0401a677a5ap-2, -0x1.5b28d5daa76fcp-2, -0x1.58497a39280dap-2, -0x1.55662d6d3b735p-2, -0x1.527f2d931c865p-2, -0x1.4f94b832d5809p-2, -0x1.4ca70a3b3ad4dp-2, -0x1.49b65ffd104b1p-2, -0x1.46c2f526530ecp-2, -0x1.43cd04bdae66ap-2, -0x1.40d4c91e1a33dp-2, -0x1.3dda7bf2a1772p-2, -0x1.3ade5632537fdp-2, -0x1.37e0901c5ee1bp-2, -0x1.34e161345866dp-2, -0x1.31e1003eab586p-2, -0x1.2edfa33d3470fp-2, -0x1.2bdd7f6c0afc6p-2, -0x1.28dac93e703bap-2, -0x1.25d7b45bedd71p-2, -0x1.22d4739d9efa6p-2, -0x1.1fd1390ba1762p-2, -0x1.1cce35dab49e5p-2, -0x1.19cb9a6a01f1ep-2, -0x1.16c996410ea7ep-2, -0x1.13c8580dda19cp-2, -0x1.10c80da32270ap-2, -0x1.0dc8e3f6d62ebp-2, -0x1.0acb0720aa398p-2, -0x1.07cea258de12dp-2, -0x1.04d3dff7217d5p-2, -0x1.01dae971a7df8p-2, -0x1.fdc7ceb8b8637p-3, -0x1.f7de02d080ee3p-3, -0x1.f1f8bcc5df07fp-3, -0x1.ec18486c892ebp-3, -0x1.e63cefd05350bp-3, -0x1.e066fb3508185p-3, -0x1.da96b1169081p-3, -0x1.d4cc56295d655p-3, -0x1.cf082d5b16894p-3, -0x1.c94a77d37f4d7p-3, -0x1.c39374f5ad2f6p-3, -0x1.bde362616c078p-3, -0x1.b83a7bf4e6e31p-3, -0x1.b298fbce8a0adp-3, -0x1.acff1a4f1d551p-3, -0x1.a76d0e1c16c34p-3, -0x1.a1e30c2223a93p-3, -0x1.9c614797e2343p-3, -0x1.96e7f200cdf7dp-3, -0x1.91773b3063e3fp-3, -0x1.8c0f514d6a4bfp-3, -0x1.86b060d56cd2dp-3, -0x1.815a94a061afbp-3, -0x1.7c0e15e47bcd8p-3, -0x1.76cb0c3a1c95cp-3, -0x1.71919d9ff53aep-3, -0x1.6c61ee7f47ad2p-3, -0x1.673c21b04b9fap-3, -0x1.6220587eb175bp-3, -0x1.5d0eb2ae4cc57p-3, -0x1.58074e7fd3f64p-3, -0x1.530a48b5bdc7ep-3, -0x1.4e17bc9941272p-3, -0x1.492fc3ff62349p-3, -0x1.4452774e2198ep-3, -0x1.3f7fed81bacdfp-3, -0x1.3ab83c31f7836p-3, -0x1.35fb77979ac39p-3, -0x1.3149b291db0cap-3, -0x1.2ca2feabe7d86p-3, -0x1.28076c2284413p-3, -0x1.237709e9ac348p-3, -0x1.1ef1e5b246d74p-3, -0x1.1a780befe0d5p-3, -0x1.160987de713d1p-3, -0x1.11a6638828eddp-3, -0x1.0d4ea7cb4665fp-3, -0x1.09025c5fed1a9p-3, -0x1.04c187de0679ep-3, -0x1.008c2fc3212c2p-3, -0x1.f8c4b0f0aebaap-4, -0x1.f0880ab05dbe4p-4, -0x1.e862716909741p-4, -0x1.e053e7b8d1d22p-4, -0x1.d85c6e440b0a4p-4, -0x1.d07c03c0fa48cp-4, -0x1.c8b2a50386229p-4, -0x1.c1004d08e8c64p-4, -0x1.b964f5034ed26p-4, -0x1.b1e0946569dbfp-4, -0x1.aa7320edfdad2p-4, -0x1.a31c8eb34a559p-4, -0x1.9bdcd02e7d43ap-4, -0x1.94b3d646fba99p-4, -0x1.8da1905d9e492p-4, -0x1.86a5ec57de782p-4, -0x1.7fc0d6aae2c5dp-4, -0x1.78f23a667b17dp-4, -0x1.723a013ffda29p-4, -0x1.6b98139d0c7d1p-4, -0x1.650c589e41578p-4, -0x1.5e96b629ba0f1p-4, -0x1.583710f58b37fp-4, -0x1.51ed4c920f1e7p-4, -0x1.4bb94b741e9d9p-4, -0x1.459aeeff2124ep-4, -0x1.3f92178f02884p-4, -0x1.399ea48205fabp-4, -0x1.33c0744275256p-4, -0x1.2df7645031b0dp-4, -0x1.2843514a2155cp-4, -0x1.22a416f7730c6p-4, -0x1.1d199050c8ca8p-4, -0x1.17a39789378fdp-4, -0x1.124206171fdd9p-4, -0x1.0cf4b4bcec514p-4, -0x1.07bb7b919d3b7p-4, -0x1.029632093a871p-4, -0x1.fb095dfa32f17p-5, -0x1.f10d9167fe23cp-5, -0x1.e738a9d433fb2p-5, -0x1.dd8a51b1b45e6p-5, -0x1.d402327d3d457p-5, -0x1.ca9ff4cc83ba6p-5, -0x1.c163405ceb0a4p-5, -0x1.b84bbc2213254p-5, -0x1.af590e53f398p-5, -0x1.a68adc7cbffadp-5, -0x1.9de0cb868711ap-5, -0x1.955a7fc869c5dp-5, -0x1.8cf79d13a625dp-5, -0x1.84b7c6c03cb53p-5, -0x1.7c9a9fb95f34p-5, -0x1.749fca89877p-5, -0x1.6cc6e96646a97p-5, -0x1.650f9e3bcb6e8p-5, -0x1.5d798ab825514p-5, -0x1.5604505631b64p-5, -0x1.4eaf90684c1dfp-5, -0x1.477aec22b1073p-5, -0x1.406604a59a18ap-5, -0x1.39707b0717167p-5, -0x1.3299f05c9f11ap-5, -0x1.2be205c459d04p-5, -0x1.25485c6e2ba3bp-5, -0x1.1ecc95a474304p-5, -0x1.186e52d493dbep-5, -0x1.122d35972a83ep-5, -0x1.0c08dfb81629ap-5, -0x1.0600f33e2d038p-5, -0x1.00151272bff63p-5, -0x1.f489bfd1b5d0fp-6, -0x1.e91ffd088041dp-6, -0x1.ddec23006f515p-6, -0x1.d2ed78ec16963p-6, -0x1.c82346c6bf80bp-6, -0x1.bd8cd5608c225p-6, -0x1.b3296e6a21a0ap-6, -0x1.a8f85c7ff8966p-6, -0x1.9ef8eb3524efcp-6, -0x1.952a671dd1c7ep-6, -0x1.8b8c1dd92db84p-6, -0x1.821d5e1b07a4ap-6, -0x1.78dd77b4fba35p-6, -0x1.6fcbbb9f36588p-6, -0x1.66e77c00e2778p-6, -0x1.5e300c381ea3cp-6, -0x1.55a4c0e1b5654p-6, -0x1.4d44efe046f7bp-6, -0x1.450ff0634f363p-6, -0x1.3d051aed9f7fp-6, -0x1.3523c95baf119p-6, -0x1.2d6b56e95f655p-6, -0x1.25db2037a7dep-6, -0x1.1e728351b8fd6p-6, -0x1.1730dfb1f60fap-6, -0x1.1015964691f4bp-6, -0x1.09200975d06fbp-6, -0x1.024f9d2222dddp-6, -0x1.f7476d5b90c12p-7, -0x1.ea3779fca25b5p-7, -0x1.dd6e30ffa8ee4p-7, -0x1.d0ea664f8bd8p-7, -0x1.c4aaf0ef59ec7p-7, -0x1.b8aeaaff14b11p-7, -0x1.acf471bff47c1p-7, -0x1.a17b25985dc3ap-7, -0x1.9641aa1719d6fp-7, -0x1.8b46e5f66996fp-7, -0x1.8089c31e721d7p-7, -0x1.76092ea749b09p-7, -0x1.6bc418daa5026p-7, -0x1.61b97535197b1p-7, -0x1.57e83a66fe66fp-7, -0x1.4e4f6254d0e2cp-7, -0x1.44edea1770cc5p-7, -0x1.3bc2d1fbcd4d6p-7, -0x1.32cd1d8255de7p-7, -0x1.2a0bd35e1f91dp-7, -0x1.217dfd7395b33p-7, -0x1.1922a8d7009a6p-7, -0x1.10f8e5ca9f8fcp-7, -0x1.08ffc7bc8cee2p-7, -0x1.013665445c758p-7, -0x1.f337b040d4c5p-8, -0x1.e45e7a65cb1e6p-8, -0x1.d5df68fd4b4a9p-8, -0x1.c7b8c24780066p-8, -0x1.b9e8d2b7c7d28p-8, -0x1.ac6decece31a4p-8, -0x1.9f4669a8d2b13p-8, -0x1.9270a7c850b4cp-8, -0x1.85eb0c39aca55p-8, -0x1.79b401f3b6b2bp-8, -0x1.6dc9f9ebcdcaep-8, -0x1.622b6b0c0fb88p-8, -0x1.56d6d228caf98p-8, -0x1.4bcab1f5fb90fp-8, -0x1.410592fc31d12p-8, -0x1.3686038d85411p-8, -0x1.2c4a97b9e7a0ep-8, -0x1.2251e94378c64p-8, -0x1.189a979289688p-8, -0x1.0f2347a964c8cp-8, -0x1.05eaa417dbddbp-8, -0x1.f9deb9dd72446p-9, -0x1.e8604f65dd2b3p-9, -0x1.d7577ea1044ep-9, -0x1.c6c1c81b55144p-9, -0x1.b69cb6fa55593p-9, -0x1.a6e5e0e29236ap-9, -0x1.979ae5dbf7cc2p-9, -0x1.88b97036b7738p-9, -0x1.7a3f346fc65ffp-9, -0x1.6c29f114eba63p-9, -0x1.5e776ea927373p-9, -0x1.51257f8868a61p-9, -0x1.4431ffcb4d403p-9, -0x1.379ad52b25a38p-9, -0x1.2b5deee535bcbp-9, -0x1.1f79459e57494p-9, -0x1.13eadb4654db2p-9, -0x1.08b0bafb7395dp-9, -0x1.fb91f1db262b9p-10, -0x1.e663648361f8cp-10, -0x1.d1d219ea3fd7ep-10, -0x1.bdda6f8174065p-10, -0x1.aa78d3f8f15a4p-10, -0x1.97a9c70538d45p-10, -0x1.8569d92619c96p-10, -0x1.73b5ab6de1823p-10, -0x1.6289ef48889afp-10, -0x1.51e36641e30f4p-10, -0x1.41bee1cedb64fp-10, -0x1.32194312d26d4p-10, -0x1.22ef7aa93121cp-10, -0x1.143e886c81bfcp-10, -0x1.06037b3eba1eep-10, -0x1.f076e1a429d03p-11, -0x1.d5c72ae35a341p-11, -0x1.bbf24795ac0cep-11, -0x1.a2f2c96c38569p-11, -0x1.8ac35e029c5c7p-11, -0x1.735ece73778dp-11, -0x1.5cbffeecea6e1p-11, -0x1.46e1ee45b24a4p-11, -0x1.31bfb594ff27p-11, -0x1.1d5487c7e7b7ep-11, -0x1.099bb13b2dd3p-11, -0x1.ed212ea5056d2p-12, -0x1.c85d702658709p-12, -0x1.a4e3537c054c2p-12, -0x1.82aa34d6e5fa8p-12, -0x1.61a99f4db24b2p-12, -0x1.41d94c188dfd7p-12, -0x1.233121cddb1d5p-12, -0x1.05a9339f7ab75p-12, -0x1.d2738134363bap-13, -0x1.9bb665d05cf6ap-13, -0x1.670c3e2ce29f2p-13, -0x1.346686aea5e58p-13, -0x1.03b70d9b77809p-13, -0x1.a9dfe34e04b2cp-14, -0x1.500741200d901p-14, -0x1.f39356e4fb1cdp-15, -0x1.4e1a631fe0745p-15, -0x1.5ee1e25395661p-16, -0x1.765717418ec81p-19, 0x1.e8e22a8272d01p-17, 0x1.0598560c2c023p-15, 0x1.8ae82d4c528c3p-15, 0x1.052a9dc04cf2ep-14, 0x1.4205cfbc1e15bp-14, 0x1.7c1b385e5c331p-14, 0x1.b37fe2396ff5cp-14, 0x1.e848591cde6e7p-14, 0x1.0d445640c7aaap-13, 0x1.252a38f03d11ap-13, 0x1.3bdf63872a5b5p-13, 0x1.516d2a4278f31p-13, 0x1.65dca7d69f4d9p-13, 0x1.7936be8d4b42ep-13, 0x1.8b841960cea63p-13, 0x1.9ccd2d1183218p-13, 0x1.ad1a393a0a3bfp-13, 0x1.bc73495ba90fap-13, 0x1.cae035eb852dap-13, 0x1.d868a558abee7p-13, 0x1.e5140d0e4c151p-13, 0x1.f0e9b271df1d5p-13, 0x1.fbf0abdfab331p-13, 0x1.0317f0d07b897p-12, 0x1.07d7076fc6e2p-12, 0x1.0c38e14a79ebap-12, 0x1.1040b03b05356p-12, 0x1.13f190ee06deap-12, 0x1.174e8b52de06p-12, 0x1.1a5a930dd318dp-12, 0x1.1d1887e520aeap-12, 0x1.1f8b362e09e8fp-12, 0x1.21b55737a2d8cp-12, 0x1.239991b400de9p-12, 0x1.253a7a1ecaa6ap-12, 0x1.269a93232e1f4p-12, 0x1.27bc4dff89d09p-12, 0x1.28a20ae7bc53ep-12, 0x1.294e196521c44p-12, 0x1.29c2b8b4c6451p-12, 0x1.2a021825dc15bp-12, 0x1.2a0e577376a12p-12, 0x1.29e9871f67224p-12, 0x1.2995a8c977bd2p-12, 0x1.2914af870445p-12, 0x1.28688036a31a5p-12, 0x1.2792f1d4f6d3p-12, 0x1.2695cdcd8684ap-12, 0x1.2572d04b72083p-12, 0x1.242ba8884dcffp-12, 0x1.22c1f919be88bp-12, 0x1.2137583d3da72p-12, 0x1.1f8d502289f06p-12, 0x1.1dc55f350308ep-12, 0x1.1be0f862f7724p-12, 0x1.19e183644b72fp-12, 0x1.17c85cff56e11p-12, 0x1.1596d74c94bbep-12, 0x1.134e39f8b4703p-12, 0x1.10efc285c7aefp-12, 0x1.0e7ca48ada098p-12, 0x1.0bf609f29ac46p-12, 0x1.095d13383897ap-12, 0x1.06b2d7a393a67p-12, 0x1.03f86583e9e7p-12, 0x1.012ec26956b32p-12, 0x1.fcadd6ba5b39fp-13, 0x1.f6e3aa328349dp-13, 0x1.f100d87c2251dp-13, 0x1.eb072b0f9bfc8p-13, 0x1.e4f85c035a2f7p-13, 0x1.ded61672a5fd1p-13, 0x1.d8a1f6e020175p-13, 0x1.d25d8b97c8ab6p-13, 0x1.cc0a550d13bb9p-13, 0x1.c5a9c639d03d8p-13, 0x1.bf3d44f7ea5e2p-13, 0x1.b8c62a5acf32cp-13, 0x1.b245c3078b408p-13, 0x1.abbd4f8958969p-13, 0x1.a52e04a53e37p-13, 0x1.9e990bac2161cp-13, 0x1.97ff82ca949c5p-13, 0x1.91627d5643228p-13, 0x1.8ac3041b3db7ep-13, 0x1.842215a5e413ep-13, 0x1.7d80a68bff23ep-13, 0x1.76dfa1b489885p-13, 0x1.703fe89ce7715p-13, 0x1.69a2539cd952fp-13, 0x1.6307b229aa3ddp-13, 0x1.5c70cb167ab9fp-13, 0x1.55de5cd3c9137p-13, 0x1.4f511dae5fa18p-13, 0x1.48c9bc0a78134p-13, 0x1.4248dea005458p-13, 0x1.3bcf24b428eb7p-13, 0x1.355d26512b4ebp-13, 0x1.2ef3747db6cfep-13, 0x1.28929972d8265p-13, 0x1.223b18cffe1dbp-13, 0x1.1bed6fce684fp-13, 0x1.15aa1572bddffp-13, 0x1.0f717abe6b834p-13, 0x1.09440ade6a8acp-13, 0x1.03222b59e8736p-13, 0x1.fa18787eef7cp-14, 0x1.ee0530a17589ep-14, 0x1.e20b2a5cd4e2fp-14, 0x1.d62b0701b5d96p-14, 0x1.ca655e439b28dp-14, 0x1.bebabe8806c1ap-14, 0x1.b32bad331d445p-14, 0x1.a7b8a6f4be946p-14, 0x1.9c622010df2b9p-14, 0x1.912884a872428p-14, 0x1.860c38fe278a6p-14, 0x1.7b0d99bbb9bccp-14, 0x1.702cfc32f21c2p-14, 0x1.656aae9f2f19cp-14, 0x1.5ac6f863bd45cp-14, 0x1.50421a4974b72p-14, 0x1.45dc4eba02b7bp-14, 0x1.3b95c9f9bd474p-14, 0x1.316eba60557d1p-14, 0x1.2767488f3121ap-14, 0x1.1d7f97a7fa258p-14, 0x1.13b7c57f0a206p-14, 0x1.0a0feacf270b3p-14, 0x1.00881b69df48cp-14, 0x1.ee40ccceb539ap-15, 0x1.dbb1acaa14baep-15, 0x1.c962e2c5c920cp-15, 0x1.b754731d8a25fp-15, 0x1.a586599ea714ap-15, 0x1.93f88a7b015aap-15, 0x1.82aaf2785b7bdp-15, 0x1.719d774053e05p-15, 0x1.60cff7a9d9571p-15, 0x1.50424c04d8d9cp-15, 0x1.3ff446609addfp-15, 0x1.2fe5b2d1aa79ep-15, 0x1.201657b5644bcp-15, 0x1.1085f5f22f22cp-15, 0x1.01344937633b8p-15, 0x1.e442107672e26p-16, 0x1.c697c9ec5d58ap-16, 0x1.a96919b8c271fp-16, 0x1.8cb5522b8f84fp-16, 0x1.707bbd6a7bfa5p-16, 0x1.54bb9dd7b44f3p-16, 0x1.39742e7875f4ap-16, 0x1.1ea4a359615c2p-16, 0x1.044c29ec731d7p-16, 0x1.d4d3d2cc66b36p-17, 0x1.a1fa062f05f9p-17, 0x1.70092588c62edp-17, 0x1.3eff5debb2a2bp-17, 0x1.0edad29d67155p-17, 0x1.bf333b5cdcdaep-18, 0x1.6273a1288c145p-18, 0x1.0772e972f0bbdp-18, 0x1.5c5a3044f074cp-19, 0x1.5a788cd0499ecp-20, 0x1.83e794dfdafedp-27, -0x1.4dae6355d45acp-20, -0x1.4bdd6091e8d7dp-19, -0x1.ed97144b64f63p-19, -0x1.4606671641569p-18, -0x1.93a38ff4303e3p-18, -0x1.dfa754fbf215ep-18, -0x1.150b067cfd7dcp-17, -0x1.397a0a44c2cd3p-17, -0x1.5d22e6a525d9ap-17, -0x1.8007ce9a397fap-17, -0x1.a22af6f1209d7p-17, -0x1.c38e95f27e4bbp-17, -0x1.e434e313cccbp-17, -0x1.02100b5197fc7p-16, -0x1.11a934c0e35dbp-16, -0x1.20e70a6b470dep-16, -0x1.2fcaa8e501f64p-16, -0x1.3e552ca25d94fp-16, -0x1.4c87b1d622299p-16, -0x1.5a635453bd007p-16, -0x1.67e92f729ebf8p-16, -0x1.751a5deffaa65p-16, -0x1.81f7f9d52c325p-16, -0x1.8e831c5d3ca97p-16, -0x1.9abcdddd0bd32p-16, -0x1.a6a655aa9162ep-16, -0x1.b2409a0737051p-16, -0x1.bd8cc0098d692p-16, -0x1.c88bdb89f69e7p-16, -0x1.d33eff0e1eeb6p-16, -0x1.dda73bb760e11p-16, -0x1.e7c5a12fb4e53p-16, -0x1.f19b3d9aa9521p-16, -0x1.fb291d8412337p-16, -0x1.023825e92278p-15, -0x1.06b8e8db50b8cp-15, -0x1.0b175b5076a87p-15, -0x1.0f54001920618p-15, -0x1.136f591891cd6p-15, -0x1.1769e73f2f37fp-15, -0x1.1b442a851fe47p-15, -0x1.1efea1e593203p-15, -0x1.2299cb5987974p-15, -0x1.261623d428b4cp-15, -0x1.2974273e5b681p-15, -0x1.2cb45072d038p-15, -0x1.2fd7193b1e264p-15, -0x1.32dcfa4c0be28p-15, -0x1.35c66b42ee0d6p-15, -0x1.3893e2a28f4ebp-15, -0x1.3b45d5d130013p-15, -0x1.3ddcb916087cep-15, -0x1.4058ff972e756p-15, -0x1.42bb1b57f0858p-15, -0x1.45037d3778582p-15, -0x1.473294eee3e86p-15, -0x1.4948d1107fb57p-15, -0x1.4b469f064e9ebp-15, -0x1.4d2c6b11dd927p-15, -0x1.4efaa04b18e0dp-15, -0x1.50b1a89fd7dbep-15, -0x1.5251ecd39357fp-15, -0x1.53dbd47f5c4dbp-15, -0x1.554fc611a7f87p-15, -0x1.56ae26ce335f9p-15, -0x1.57f75ace81708p-15, -0x1.592bc5024cd86p-15, -0x1.5a4bc72fac67dp-15, -0x1.5b57c1f3e2f5bp-15, -0x1.5c5014c3d9263p-15, -0x1.5d351ded37e1ep-15, -0x1.5e073a9730a7ep-15, -0x1.5ec6c6c34d147p-15, -0x1.5f741d4ec244ep-15, -0x1.600f97f38d788p-15, -0x1.60998f499c94ep-15, -0x1.61125ac871299p-15, -0x1.617a50c844fep-15, -0x1.61d1c683ab481p-15, -0x1.62191018e4104p-15, -0x1.6250808bd0a26p-15, -0x1.627869c791861p-15, -0x1.62911ca02a975p-15, -0x1.629ae8d439db2p-15, -0x1.62961d0f08c2dp-15, -0x1.628306ea61a09p-15, -0x1.6261f2f08ee74p-15, -0x1.62332c9e30426p-15, -0x1.61f6fe6457bd8p-15, -0x1.61adb1aab2cebp-15, -0x1.61578ed16d7c3p-15, -0x1.60f4dd337c305p-15, -0x1.6085e328e026p-15, -0x1.600ae60899bp-15, -0x1.5f842a2b19528p-15, -0x1.5ef1f2ec5da27p-15, -0x1.5e5482ae3a943p-15, -0x1.5dac1ada8a733p-15, -0x1.5cf8fbe5c4d01p-15, -0x1.5c3b6551180d8p-15, -0x1.5b7395acb5012p-15, -0x1.5aa1ca9a53821p-15, -0x1.59c640cf59a6p-15, -0x1.58e134175e82bp-15, -0x1.57f2df56888aep-15, -0x1.56fb7c8bee717p-15, -0x1.55fb44d3bf1f9p-15, -0x1.54f27069f4046p-15, -0x1.53e136ac99781p-15, -0x1.52c7ce1e24cffp-15, -0x1.51a66c67e9125p-15, -0x1.507d465c64086p-15, -0x1.4f4c8ff9cc87p-15, -0x1.4e147c6c4e918p-15, -0x1.4cd53e10759b2p-15, -0x1.4b8f06758185dp-15, -0x1.4a42065fde387p-15, -0x1.48ee6dcb6cbap-15, -0x1.47946bedf3369p-15, -0x1.46342f393dc0bp-15, -0x1.44cde55dc34c8p-15, -0x1.4361bb4cd1401p-15, -0x1.41efdd3ad93e2p-15, -0x1.407876a1bd237p-15, -0x1.3efbb24313735p-15, -0x1.3d79ba2a8a63ep-15, -0x1.3bf2b7b02c4afp-15, -0x1.3a66d37a730a5p-15, -0x1.38d63580b3c23p-15, -0x1.3741050d4d9f5p-15, -0x1.35a768bfdb2f6p-15, -0x1.3409868f5718cp-15, -0x1.326783cc57e1ap-15, -0x1.30c18523402f4p-15, -0x1.2f17ae9e5685ap-15, -0x1.2d6a23a7ec28bp-15, -0x1.2bb9070c748p-15, -0x1.2a047afcb1bb3p-15, -0x1.284ca10fba8e7p-15, -0x1.26919a451362bp-15, -0x1.24d3870691d74p-15, -0x1.2312872a954adp-15, -0x1.214eb9f5fa37p-15, -0x1.1f883e1e07c91p-15, -0x1.1dbf31ca7d8a8p-15, -0x1.1bf3b2977686bp-15, -0x1.1a25dd975a211p-15, -0x1.1855cf54ca099p-15, -0x1.1683a3d48bde4p-15, -0x1.14af76976010fp-15, -0x1.12d9629be1ce5p-15, -0x1.110182606b381p-15, -0x1.0f27efe4d81d7p-15, -0x1.0d4cc4ac434bfp-15, -0x1.0b7019bee10f3p-15, -0x1.099207abcd70fp-15, -0x1.07b2a68ab27aap-15, -0x1.05d20dfd9f1b5p-15, -0x1.03f05532a6ed1p-15, -0x1.020d92e5836bbp-15, -0x1.0029dd61553c2p-15, -0x1.fc8a95047c5d7p-16, -0x1.f8bfdf6e112abp-16, -0x1.f4f3c40597713p-16, -0x1.f1266bfceb46p-16, -0x1.ed57ffb4bd4ddp-16, -0x1.e988a6bfbed3ap-16, -0x1.e5b887e59f092p-16, -0x1.e1e7c92610ecfp-16, -0x1.de168fbbfbb41p-16, -0x1.da45002023031p-16, -0x1.d6733e0c4049p-16, -0x1.d2a16c7df3074p-16, -0x1.cecfadb97f612p-16, -0x1.cafe234cc2b6fp-16, }}, 
      {{-0x1.ae4672ac33dd2p-7, -0x1.aadb46af00046p-6, -0x1.3c4ea6eec4978p-5, -0x1.9f7d88febe62bp-5, -0x1.fec03f6188424p-5, -0x1.2d1c63b923d4cp-4, -0x1.59215b845e452p-4, -0x1.83aaea780b48p-4, -0x1.acf7f2db201f9p-4, -0x1.d542cf23eda45p-4, -0x1.fcbcd4a7ca5abp-4, -0x1.11c6173f6e05bp-3, -0x1.24e5b33d9e8dbp-3, -0x1.37c50652351cfp-3, -0x1.4a67066e502ep-3, -0x1.5ccaaf9c7ae15p-3, -0x1.6eebebd3cc6d1p-3, -0x1.80c4763a68fddp-3, -0x1.924cacd627cadp-3, -0x1.a37c490678b94p-3, -0x1.b44afb08fe4ebp-3, -0x1.c4b0e78f79075p-3, -0x1.d4a7085495208p-3, -0x1.e42771dac93c4p-3, -0x1.f32d813df7fc8p-3, -0x1.00dafaaf850fbp-2, -0x1.07df7b64ca30ap-2, -0x1.0ea408ce0adccp-2, -0x1.1529124195233p-2, -0x1.1b6fa3c5fde84p-2, -0x1.2179569ded77cp-2, -0x1.2748400098debp-2, -0x1.2cdededd171a8p-2, -0x1.3240095d4cb01p-2, -0x1.376edab77e655p-2, -0x1.3c6ea1bc09a06p-2, -0x1.4142d06fa9b89p-2, -0x1.45eeece9f05f8p-2, -0x1.4a76839b06d3ep-2, -0x1.4edd1b0af8596p-2, -0x1.532629176af72p-2, -0x1.575509aa4478ep-2, -0x1.5b6cf6dbe49d8p-2, -0x1.5f71026dea88dp-2, -0x1.63641087a96e6p-2, -0x1.6748d39afbef5p-2, -0x1.6b21c956e81cp-2, -0x1.6ef1388d358e7p-2, -0x1.72b92ff0736cdp-2, -0x1.767b8590cab07p-2, -0x1.7a39d6ff3fd13p-2, -0x1.7df58a0080c32p-2, -0x1.81afcdba0114fp-2, -0x1.85699c45eb01fp-2, -0x1.8923bc9c12ed6p-2, -0x1.8cdec4bfe96c1p-2, -0x1.909b1c24f8389p-2, -0x1.9458fe3d1921ep-2, -0x1.98187d25030b8p-2, -0x1.9bd984652f88cp-2, -0x1.9f9bdbbe5997dp-2, -0x1.a35f29fa0424p-2, -0x1.a722f7b87ae67p-2, -0x1.aae6b236b8b7ep-2, -0x1.aea9ae077f942p-2, -0x1.b26b29bba2e38p-2, -0x1.b62a50763f163p-2, -0x1.b9e63c6a3864fp-2, -0x1.bd9df93ed4cc4p-2, -0x1.c1508659cfe34p-2, -0x1.c4fcd90da77eap-2, -0x1.c8a1deab3f10ap-2, -0x1.cc3e7e7650ff8p-2, -0x1.cfd19b7c616ap-2, -0x1.d35a164e2bc2ap-2, -0x1.d6d6ce9bb498bp-2, -0x1.da46a4b35b79cp-2, -0x1.dda87ae46b25fp-2, -0x1.e0fb36c5c66a6p-2, -0x1.e43dc26172b5ep-2, -0x1.e76f0d45c964ap-2, -0x1.ea8e0d7d3fe53p-2, -0x1.ed99c06dae0dap-2, -0x1.f0912ba016fd7p-2, -0x1.f3735d71f7279p-2, -0x1.f63f6db1266fdp-2, -0x1.f8f47e2358e14p-2, -0x1.fb91bafa4eab1p-2, -0x1.fe165b35c4f39p-2, -0x1.0040d07a19abfp-1, -0x1.01696cd9af35ap-1, -0x1.0284af40e353dp-1, -0x1.03924a10f820dp-1, -0x1.0491f59041ebdp-1, -0x1.05836fef19a3ap-1, -0x1.06667d4726fafp-1, -0x1.073ae795785bfp-1, -0x1.08007eafcdd2ep-1, -0x1.08b7183587f84p-1, -0x1.095e8f7c9a493p-1, -0x1.09f6c57ae05f6p-1, -0x1.0a7fa0ac3658bp-1, -0x1.0af90cf5a5cc5p-1, -0x1.0b62fb85fd811p-1, -0x1.0bbd62b41f517p-1, -0x1.0c083ddb501bap-1, -0x1.0c438d35cc5f3p-1, -0x1.0c6f55b5e704cp-1, -0x1.0c8ba0dde8692p-1, -0x1.0c987c96ee19cp-1, -0x1.0c95fb06fb6b8p-1, -0x1.0c8432666e27cp-1, -0x1.0c633cd504d63p-1, -0x1.0c33382ea1f4p-1, -0x1.0bf445dff0d2ap-1, -0x1.0ba68abb12d1ap-1, -0x1.0b4a2ecc74d6bp-1, -0x1.0adf5d2fe9616p-1, -0x1.0a6643e6255bbp-1, -0x1.09df13aab6bddp-1, -0x1.0949ffca8b3b2p-1, -0x1.08a73dfb1bdc8p-1, -0x1.07f706324dcdap-1, -0x1.0739927f1a9e2p-1, -0x1.066f1ee30b2cbp-1, -0x1.0597e92c91c66p-1, -0x1.04b430d250e2ep-1, -0x1.03c436cf51caap-1, -0x1.02c83d8037776p-1, -0x1.01c08881716c4p-1, -0x1.00ad5c8e72b29p-1, -0x1.ff1dfec3e4f61p-2, -0x1.fccb6f2e6f6aap-2, -0x1.fa639918deca4p-2, -0x1.f7e70c8c274a9p-2, -0x1.f5565aa6b7bcdp-2, -0x1.f2b2156779247p-2, -0x1.effacf7add2fcp-2, -0x1.ed311c0a037e6p-2, -0x1.ea558e8be2cbdp-2, -0x1.e768ba987d784p-2, -0x1.e46b33be0e14cp-2, -0x1.e15d8d582d467p-2, -0x1.de405a68dd341p-2, -0x1.db142d737fc68p-2, -0x1.d7d998599f1aap-2, -0x1.d4912c3985f18p-2, -0x1.d13b794e9d90ap-2, -0x1.cdd90ed380cd5p-2, -0x1.ca6a7ae5bd387p-2, -0x1.c6f04a6b37dd2p-2, -0x1.c36b08f9246b9p-2, -0x1.bfdb40bc86e5p-2, -0x1.bc417a64368c2p-2, -0x1.b89e3d0c4ec0fp-2, -0x1.b4f20e2b0a425p-2, -0x1.b13d717ef50b7p-2, -0x1.ad80e8fe7148p-2, -0x1.a9bcf4c87dc7ap-2, -0x1.a5f21316b210ep-2, -0x1.a220c0306cff4p-2, -0x1.9e49765f1cdabp-2, -0x1.9a6cade3a54f2p-2, -0x1.968adceccc641p-2, -0x1.92a4778ea99f4p-2, -0x1.8eb9efbb0c523p-2, -0x1.8acbb53acda48p-2, -0x1.86da35a8051dfp-2, -0x1.82e5dc691602fp-2, -0x1.7eef12ac8d9ap-2, -0x1.7af63f65c445ep-2, -0x1.76fbc74a3d803p-2, -0x1.73000ccfbd77ap-2, -0x1.6f03702b08012p-2, -0x1.6b064f4f44769p-2, -0x1.670905edfc64ep-2, -0x1.630bed77b0338p-2, -0x1.5f0f5d1cf2d11p-2, -0x1.5b13a9d011abcp-2, -0x1.5719264733da7p-2, -0x1.532022fef3f9ap-2, -0x1.4f28ee3d694e1p-2, -0x1.4b33d4159bc67p-2, -0x1.47411e6b5af25p-2, -0x1.435114f77316dp-2, -0x1.3f63fd4c3aaa3p-2, -0x1.3b7a1ada727e2p-2, -0x1.3793aef674333p-2, -0x1.33b0f8dda70aap-2, -0x1.2fd235bc39546p-2, -0x1.2bf7a0b318505p-2, -0x1.282172de221e4p-2, -0x1.244fe35a8ce46p-2, -0x1.2083274d7fa92p-2, -0x1.1cbb71ead8797p-2, -0x1.18f8f47c1c57p-2, -0x1.153bde678d6a3p-2, -0x1.11845d37614ebp-2, -0x1.0dd29ca1193dap-2, -0x1.0a26c68cf349dp-2, -0x1.0681031d751d3p-2, -0x1.02e178b70d961p-2, -0x1.fe90980f880c3p-3, -0x1.f76b401dfd806p-3, -0x1.f0532c4aa0804p-3, -0x1.e9489c08a68bp-3, -0x1.e24bcb9d186c2p-3, -0x1.db5cf42ea697cp-3, -0x1.d47c4bd5848ffp-3, -0x1.cdaa05ab444abp-3, -0x1.c6e651dab5fd2p-3, -0x1.c0315dafc1befp-3, -0x1.b98b53a73cc79p-3, -0x1.b2f45b7eafb7cp-3, -0x1.ac6c9a441335ap-3, -0x1.a5f43265784dfp-3, -0x1.9f8b43c0a2c27p-3, -0x1.9931ebb287326p-3, -0x1.92e84526b507cp-3, -0x1.8cae68a6a0ba7p-3, -0x1.86846c68d8158p-3, -0x1.806a64600ee79p-3, -0x1.7a60624a106e8p-3, -0x1.746675be8bd18p-3, -0x1.6e7cac3db8254p-3, -0x1.68a3113ed9a66p-3, -0x1.62d9ae3e98557p-3, -0x1.5d208acd30c05p-3, -0x1.5777ac9c770e5p-3, -0x1.51df178db1959p-3, -0x1.4c56cdbf44d26p-3, -0x1.46decf9a33636p-3, -0x1.41771bdf6be25p-3, -0x1.3c1fafb4e9e0dp-3, -0x1.36d886b2a3e09p-3, -0x1.31a19aef4f133p-3, -0x1.2c7ae50ce6682p-3, -0x1.27645c450843ap-3, -0x1.225df67522123p-3, -0x1.1d67a82a5f2a9p-3, -0x1.188164ad701adp-3, -0x1.13ab1e0e17062p-3, -0x1.0ee4c52e85647p-3, -0x1.0a2e49ce7ed26p-3, -0x1.05879a964c624p-3, -0x1.00f0a5217eaa2p-3, -0x1.f8d2ac12e9c7dp-4, -0x1.efe331df6adb2p-4, -0x1.e712b1101bfe3p-4, -0x1.de60fd4508bfdp-4, -0x1.d5cde86a2126ep-4, -0x1.cd5942ca447dcp-4, -0x1.c502db21eee0bp-4, -0x1.bcca7eb17472dp-4, -0x1.b4aff94ee1187p-4, -0x1.acb315776b1eep-4, -0x1.a4d39c608c2c1p-4, -0x1.9d115608a9973p-4, -0x1.956c0947649e2p-4, -0x1.8de37bdd8167ap-4, -0x1.8677728472e43p-4, -0x1.7f27b0fd81885p-4, -0x1.77f3fa2094c8ap-4, -0x1.70dc0fea9fb3ap-4, -0x1.69dfb38baee5cp-4, -0x1.62fea574996dbp-4, -0x1.5c38a56458ac5p-4, -0x1.558d72750540dp-4, -0x1.4efccb287a97p-4, -0x1.48866d74a4147p-4, -0x1.422a16cf719bep-4, -0x1.3be7843a7a429p-4, -0x1.35be724e46e2dp-4, -0x1.2fae9d454c1bfp-4, -0x1.29b7c106930bap-4, -0x1.23d999300f584p-4, -0x1.1e13e120a82dbp-4, -0x1.18665401f2f0dp-4, -0x1.12d0acd1a05e5p-4, -0x1.0d52a66a9f3f3p-4, -0x1.07ebfb8df42cp-4, -0x1.029c66eb492f7p-4, -0x1.fac746526e6e1p-5, -0x1.f082d5da88cc7p-5, -0x1.e66af1c749527p-5, -0x1.dc7f0f8d5e53cp-5, -0x1.d2bea4cc2ed9dp-5, -0x1.c929275bc45a9p-5, -0x1.bfbe0d5a3679bp-5, -0x1.b67ccd3898799p-5, -0x1.ad64ddc76cef9p-5, -0x1.a475b642a1d7fp-5, -0x1.9baece5d16174p-5, -0x1.930f9e4bae64bp-5, -0x1.8a979ecff3a29p-5, -0x1.8246494249112p-5, -0x1.7a1b179bb56fp-5, -0x1.7215847f3fbbdp-5, -0x1.6a350b42e759ep-5, -0x1.627927f838f7bp-5, -0x1.5ae157747c628p-5, -0x1.536d175888fa7p-5, -0x1.4c1be61837a24p-5, -0x1.44ed430177188p-5, -0x1.3de0ae43128e3p-5, -0x1.36f5a8f30fbe6p-5, -0x1.302bb514c91e1p-5, -0x1.2982559eac36bp-5, -0x1.22f90e7fa6067p-5, -0x1.1c8f64a4495bdp-5, -0x1.1644ddfba228dp-5, -0x1.1019017bbf4cp-5, -0x1.0a0b5725f5486p-5, -0x1.041b680adc05dp-5, -0x1.fc917c9c0e84ep-6, -0x1.f125ca52f1fdep-6, -0x1.e5f2d1e1b0e9fp-6, -0x1.daf7ae28d209p-6, -0x1.d0337c4789396p-6, -0x1.c5a55ba0ad9fbp-6, -0x1.bb4c6ddf4c966p-6, -0x1.b127d6fabb22fp-6, -0x1.a736bd3a55ca2p-6, -0x1.9d784938b45bep-6, -0x1.93eba5e69f1e1p-6, -0x1.8a90008d81c91p-6, -0x1.816488d197714p-6, -0x1.786870b3ac2efp-6, -0x1.6f9aec928bbddp-6, -0x1.66fb332c1dc68p-6, -0x1.5e887d9e28cb2p-6, -0x1.56420766c9c72p-6, -0x1.4e270e64a2a15p-6, -0x1.4636d2d6add67p-6, -0x1.3e70975be51b1p-6, -0x1.36d3a0f28d369p-6, -0x1.2f5f36f744a61p-6, -0x1.2812a323dd77dp-6, -0x1.20ed318de90b6p-6, -0x1.19ee30a5177c3p-6, -0x1.1314f13152164p-6, -0x1.0c60c650adaeap-6, -0x1.05d105751da6ep-6, -0x1.feca0cc3e453bp-7, -0x1.f23846526ee39p-7, -0x1.e5eb7051b27d6p-7, -0x1.d9e2480f33ee8p-7, -0x1.ce1b8f63dcb08p-7, -0x1.c2960cad37d71p-7, -0x1.b7508ac68e9f2p-7, -0x1.ac49d901a6b29p-7, -0x1.a180cb1f38a5cp-7, -0x1.96f4394730f98p-7, -0x1.8ca30000a24d4p-7, -0x1.828c0029a3dd4p-7, -0x1.78ae1eeec673p-7, -0x1.6f0845c2770a1p-7, -0x1.659962541f4f2p-7, -0x1.5c60668731031p-7, -0x1.535c4869e3f5dp-7, -0x1.4a8c022be31e4p-7, -0x1.41ee9214d0752p-7, -0x1.3982fa7a96b5fp-7, -0x1.314841b7b43acp-7, -0x1.293d722155497p-7, -0x1.216199fd5337cp-7, -0x1.19b3cb7825a0ap-7, -0x1.12331c9aaa14bp-7, -0x1.0adea73fe942ap-7, -0x1.03b5890ac281cp-7, -0x1.f96dc6b701b0fp-8, -0x1.ebc3b68ac9c9p-8, -0x1.de6b330846706p-8, -0x1.d16294e2b7edfp-8, -0x1.c4a83bf3e8efp-8, -0x1.b83a8f2717469p-8, -0x1.ac17fc637c68cp-8, -0x1.a03ef877153b5p-8, -0x1.94adff015001p-8, -0x1.8963925d8afadp-8, -0x1.7e5e3b8dd216bp-8, -0x1.739c8a25706c9p-8, -0x1.691d1433a84cp-8, -0x1.5ede762e586d5p-8, -0x1.54df52dcb6877p-8, -0x1.4b1e53421c79bp-8, -0x1.419a2688c71a1p-8, -0x1.385181ecdccaep-8, -0x1.2f4320a73fb54p-8, -0x1.266dc3d8b7d5ep-8, -0x1.1dd03274fc1a7p-8, -0x1.1569392dfccd6p-8, -0x1.0d37aa5f2db8cp-8, -0x1.053a5df904ec1p-8, -0x1.fae062d8d64f2p-9, -0x1.ebb00f2d00505p-9, -0x1.dce19158b3c54p-9, -0x1.ce72c44ddc7edp-9, -0x1.c0618d5e5e718p-9, -0x1.b2abdc144a00bp-9, -0x1.a54faa0ace014p-9, -0x1.984afac6ddbbep-9, -0x1.8b9bdb90b81e2p-9, -0x1.7f40634d7abd8p-9, -0x1.7336b258e4247p-9, -0x1.677cf25fb17eep-9, -0x1.5c11563a1bcd4p-9, -0x1.50f219c6cfd11p-9, -0x1.461d81c631f88p-9, -0x1.3b91dbb5c891ep-9, -0x1.314d7dac69578p-9, -0x1.274ec63660c9ep-9, -0x1.1d941c3224966p-9, -0x1.141beead567ebp-9, -0x1.0ae4b4c22ff54p-9, -0x1.01eced75485cbp-9, -0x1.f2663f273146ep-10, -0x1.e16bb32252e4fp-10, -0x1.d0e762cf9dbd5p-10, -0x1.c0d688ece3eedp-10, -0x1.b1366ec1a23a6p-10, -0x1.a2046bdebb3dp-10, -0x1.933de5df7c8c8p-10, -0x1.84e0502b110afp-10, -0x1.76e92bb6e30b3p-10, -0x1.695606c9ae19p-10, -0x1.5c247cbf6e8f2p-10, -0x1.4f5235cdec8c8p-10, -0x1.42dce6ca1f165p-10, -0x1.36c250ee74e8ap-10, -0x1.2b0041a1a8e3bp-10, -0x1.1f94923e6ea5ap-10, -0x1.147d27dbf08eep-10, -0x1.09b7f317042bbp-10, -0x1.fe85dfb8105b8p-11, -0x1.ea384a63795d4p-11, -0x1.d6834a0927d72p-11, -0x1.c36317e61db5cp-11, -0x1.b0d40234f817fp-11, -0x1.9ed26bc9b0723p-11, -0x1.8d5acbae090e7p-11, -0x1.7c69acc03ebd2p-11, -0x1.6bfbad52727e2p-11, -0x1.5c0d7ecbf50dp-11, -0x1.4c9be54bda102p-11, -0x1.3da3b74ced433p-11, -0x1.2f21dd4b28772p-11, -0x1.2113516a91a22p-11, -0x1.13751f1f649fep-11, -0x1.064462d76ebdfp-11, -0x1.f2fc934b17544p-12, -0x1.da4021da3ca7ap-12, -0x1.c24e0c20fa8f3p-12, -0x1.ab210c3ed50dap-12, -0x1.94b3fb0ec8f38p-12, -0x1.7f01cf8ad0cdcp-12, -0x1.6a059e30eb55fp-12, -0x1.55ba986c0bf04p-12, -0x1.421c0bfe865dp-12, -0x1.2f25626ef8933p-12, -0x1.1cd22078c5ef6p-12, -0x1.0b1de57dab699p-12, -0x1.f408d5f4d7f1fp-13, -0x1.d30307fb89466p-13, -0x1.b32239441212cp-13, -0x1.945e7310756cdp-13, -0x1.76afeeacead08p-13, -0x1.5a0f147015961p-13, -0x1.3e747abf5ddafp-13, -0x1.23d8e51924365p-13, -0x1.0a35432210c3cp-13, -0x1.e3055f6d93c2ep-14, -0x1.b374e0063c4b5p-14, -0x1.85abe538bbadbp-14, -0x1.599d9d3d07f3ep-14, -0x1.2f3d85a4dbd6bp-14, -0x1.067f69a156affp-14, -0x1.beaec0be5696ep-15, -0x1.737396c1c018cp-15, -0x1.2b36a9c828f81p-15, -0x1.cbc3b94048092p-16, -0x1.46bf3aa4d5cbep-16, -0x1.8e6b886e7dc91p-17, -0x1.33f9338036c5dp-18, 0x1.40797ee5b63c5p-19, 0x1.30336f28875b7p-17, 0x1.034756977f9p-16, 0x1.69bd257964f57p-16, 0x1.cb9f4e69f3c68p-16, 0x1.14888947967d1p-15, 0x1.411a6795160c8p-15, 0x1.6b96015dbb91cp-15, 0x1.940ba8fb8fd31p-15, 0x1.ba8b46589377cp-15, 0x1.df2459519dab1p-15, 0x1.00f2fe09dcd3bp-14, 0x1.116f72b44cccdp-14, 0x1.210eb57c14104p-14, 0x1.2fd7c1c016582p-14, 0x1.3dd1648038343p-14, 0x1.4b023d6cf53fbp-14, 0x1.5770bff156a19p-14, 0x1.63233439b5886p-14, 0x1.6e1fb8314c9bfp-14, 0x1.786c407f9c37cp-14, 0x1.820e997b56d2bp-14, 0x1.8b0c681bd2eb8p-14, 0x1.936b2ae514bb4p-14, 0x1.9b303accf7e5ep-14, 0x1.a260cc1e2188bp-14, 0x1.a901ef542b7f8p-14, 0x1.af1891f4db0f1p-14, 0x1.b4a97f6399957p-14, 0x1.b9b961b0c37fbp-14, 0x1.be4cc26438e52p-14, 0x1.c2680b459418cp-14, 0x1.c60f871d3d912p-14, 0x1.c9476272bf73ap-14, 0x1.cc13ac489f044p-14, 0x1.ce7856d064af1p-14, 0x1.d079381ec47edp-14, 0x1.d21a0ad901975p-14, 0x1.d35e6ee01a3bap-14, 0x1.d449e9f7e6332p-14, 0x1.d4dfe86a52c9bp-14, 0x1.d523bda6e072p-14, 0x1.d518a4df7b108p-14, 0x1.d4c1c1a070135p-14, 0x1.d4222066cd6a3p-14, 0x1.d33cb7328b3b8p-14, 0x1.d214661529ac3p-14, 0x1.d0abf7bd08fc9p-14, 0x1.cf0621fee9aadp-14, 0x1.cd25865af6786p-14, 0x1.cb0cb27fa397bp-14, 0x1.c8be20c937f83p-14, 0x1.c63c38be7962p-14, 0x1.c3894f8b4e277p-14, 0x1.c0a7a87667053p-14, 0x1.bd997557b0f7fp-14, 0x1.ba60d708cda6bp-14, 0x1.b6ffddd4cb0adp-14, 0x1.b37889e4dd7cbp-14, 0x1.afcccbaa9fa42p-14, 0x1.abfe84476c37ap-14, 0x1.a80f85f212323p-14, 0x1.a4019459c5121p-14, 0x1.9fd6650701f3bp-14, 0x1.9b8f9fb9c0059p-14, 0x1.972edec55b1edp-14, 0x1.92b5af6bed515p-14, 0x1.8e259234e3a63p-14, 0x1.897ffb43df0d9p-14, 0x1.84c652abdbfbdp-14, 0x1.7ff9f4c2038f2p-14, 0x1.7b1c326ca155ep-14, 0x1.762e517233ed3p-14, 0x1.71318cc4ffbfp-14, 0x1.6c2714cd8c82ap-14, 0x1.67100fb35f1e4p-14, 0x1.61ed99a3fff1cp-14, 0x1.5cc0c517fdbd9p-14, 0x1.578a9b16626abp-14, 0x1.524c1b76d2fe2p-14, 0x1.4d063d2174218p-14, 0x1.47b9ee4e0b368p-14, 0x1.426814c0f51d7p-14, 0x1.3d118e071c74cp-14, 0x1.37b72fafdcc87p-14, 0x1.3259c7861c2c7p-14, 0x1.2cfa1bc77f5a5p-14, 0x1.2798eb5aca7f9p-14, 0x1.2236ee0454743p-14, 0x1.1cd4d4999e866p-14, 0x1.1773493356c57p-14, 0x1.1212ef5e4fb01p-14, 0x1.0cb4644b1c908p-14, 0x1.07583efcaa715p-14, 0x1.01ff10759b1d4p-14, 0x1.f952c7c8e57bep-15, 0x1.eeaf7d9cc0ddap-15, 0x1.e41542735aec6p-15, 0x1.d9850bac86ce2p-15, 0x1.ceffc44bfeeb7p-15, 0x1.c4864d45fe548p-15, 0x1.ba197dcc67051p-15, 0x1.afba23978523fp-15, 0x1.a569032e2b165p-15, 0x1.9b26d82c5f856p-15, 0x1.90f4558722accp-15, 0x1.86d225cefff98p-15, 0x1.7cc0eb71347dbp-15, 0x1.72c140f695a61p-15, 0x1.68d3b940d9f7ap-15, 0x1.5ef8dfc70eabdp-15, 0x1.553138cf6ca4ap-15, 0x1.4b7d41a83c585p-15, 0x1.41dd70df7d67ep-15, 0x1.38523678697d8p-15, 0x1.2edbfc1fdd101p-15, 0x1.257b255fe2932p-15, 0x1.1c300fd0d5328p-15, 0x1.12fb1349d80fp-15, 0x1.09dc8210807a4p-15, 0x1.00d4a905b16bdp-15, 0x1.efc79fa64e49dp-16, 0x1.de14722d06a2bp-16, 0x1.cc904516c3ffcp-16, 0x1.bb3b8a691a20bp-16, 0x1.aa16ab086d58ep-16, 0x1.99220704fcb91p-16, 0x1.885df5e71cb2dp-16, 0x1.77cac6f88fdccp-16, 0x1.6768c18cd51a8p-16, 0x1.57382545e35bp-16, 0x1.47392a583d71ep-16, 0x1.376c01cd087ecp-16, 0x1.27d0d5c15c8fap-16, 0x1.1867c9a63e99ap-16, 0x1.0930fa7b06428p-16, 0x1.f458fe137de8bp-17, 0x1.d6b4d03fe1864p-17, 0x1.b975818b43d7ap-17, 0x1.9c9b1ce8cee9ap-17, 0x1.8025a2960a868p-17, 0x1.641508826ba4p-17, 0x1.48693ab138945p-17, 0x1.2d221b9b14014p-17, 0x1.123f848a0e3e1p-17, 0x1.ef828bebdd50ep-18, 0x1.bb4e4fb741c83p-18, 0x1.87e1d4276bc3cp-18, 0x1.553c894aa9e24p-18, 0x1.235dd02d0bc6dp-18, 0x1.e489f6eda3c1bp-19, 0x1.83e2a006948bcp-19, 0x1.24c40aef7b606p-19, 0x1.8e591b3c4f606p-20, 0x1.ac699746395c3p-21, 0x1.08bba1bbf7279p-23, -0x1.2205945fa7b87p-21, -0x1.401df908b3c1p-20, -0x1.ec3e4a2659cccp-20, -0x1.4ab40aef5b361p-19, -0x1.9dcfec9c1176fp-19, -0x1.ef751a11e2882p-19, -0x1.1fd2f9f43a8fap-18, -0x1.4732753ec7c26p-18, -0x1.6dda3e96d8697p-18, -0x1.93cb9cc3dbdcbp-18, -0x1.b907dd47e9b61p-18, -0x1.dd905401b108fp-18, -0x1.00b32d6876e8p-17, -0x1.1245a8a09152cp-17, -0x1.23804e19e83edp-17, -0x1.3463d2c6ba49ep-17, -0x1.44f0edf32b006p-17, -0x1.5528591f048b4p-17, -0x1.650acfd84ae9p-17, -0x1.74990f969c39cp-17, -0x1.83d3d79958664p-17, -0x1.92bbe8c577344p-17, -0x1.a152058445f3bp-17, -0x1.af96f1a488379p-17, -0x1.bd8b723b9ce1dp-17, -0x1.cb304d87decc2p-17, -0x1.d8864ad43414ep-17, -0x1.e58e325d5c2dcp-17, -0x1.f248cd358099fp-17, -0x1.feb6e52bf8c54p-17, -0x1.056ca259e91f6p-16, -0x1.0b585b6627f4dp-16, -0x1.111f0374585b6p-16, -0x1.16c1006d96a17p-16, -0x1.1c3eb85f57292p-16, -0x1.219891712b1dp-16, -0x1.26cef1da846c8p-16, -0x1.2be23fd92dedp-16, -0x1.30d2e1a827a45p-16, -0x1.35a13d7640c7ap-16, -0x1.3a4db95df5fd7p-16, -0x1.3ed8bb5cd8b97p-16, -0x1.4342a94bdde7ap-16, -0x1.478be8d70117p-16, -0x1.4bb4df7688dbep-16, -0x1.4fbdf267acaa8p-16, -0x1.53a786a5a6c8ap-16, -0x1.577200e36f943p-16, -0x1.5b1dc584ff03bp-16, -0x1.5eab3899c28ddp-16, -0x1.621abdd66f7fbp-16, -0x1.656cb88f82fb8p-16, -0x1.68a18bb41e32fp-16, -0x1.6bb999c8a3f0cp-16, -0x1.6eb544e20bb8bp-16, -0x1.7194eea153e3p-16, -0x1.7458f82ea5e59p-16, -0x1.7701c2355e50dp-16, -0x1.798facdfdd50ep-16, -0x1.7c0317d3c6264p-16, -0x1.7e5c622e21137p-16, -0x1.809bea7ff14e7p-16, -0x1.82c20ecab2712p-16, -0x1.84cf2c7d70d79p-16, -0x1.86c3a0717baabp-16, -0x1.889fc6e7bd5fep-16, -0x1.8a63fb85c15a1p-16, -0x1.8c1099536a162p-16, -0x1.8da5fab84556dp-16, -0x1.8f2479797ed86p-16, -0x1.908c6eb77dfc8p-16, -0x1.91de32ebf9a2ep-16, -0x1.931a1de801ebap-16, -0x1.944086d247395p-16, -0x1.9551c42561eafp-16, -0x1.964e2bae49a57p-16, -0x1.9736128b01efcp-16, -0x1.9809cd28f3f05p-16, -0x1.98c9af4400a36p-16, -0x1.99760be53a6efp-16, -0x1.9a0f3561c376fp-16, -0x1.9a957d5a1ae93p-16, -0x1.9b0934b8feec2p-16, -0x1.9b6aabb2d3db6p-16, -0x1.9bba31c4cc1bap-16, -0x1.9bf815b471ee1p-16, -0x1.9c24a58f12478p-16, -0x1.9c402ea9332f2p-16, -0x1.9c4afd9e43c2bp-16, -0x1.9c455e507323cp-16, -0x1.9c2f9be81e30ep-16, -0x1.9c0a00d3dea75p-16, -0x1.9bd4d6c846aecp-16, -0x1.9b9066c009337p-16, -0x1.9b3cf8fbcd393p-16, -0x1.9adad50241501p-16, -0x1.9a6a41a046d03p-16, -0x1.99eb84e91ba53p-16, -0x1.995ee43691118p-16, -0x1.98c4a4293d66cp-16, -0x1.981d08a8e4816p-16, -0x1.976854e4d62e2p-16, -0x1.96a6cb543d6dp-16, -0x1.95d8adb6aa133p-16, -0x1.94fe3d146fe83p-16, -0x1.9417b9bf50b48p-16, -0x1.93256353018fdp-16, -0x1.922778b5a8fb1p-16, -0x1.911e38189af25p-16, -0x1.9009def8fb0dfp-16, -0x1.8eeaaa206801dp-16, -0x1.8dc0d5a5d3113p-16, -0x1.8c8c9cee1bb3ap-16, -0x1.8b4e3aacf2904p-16, -0x1.8a05e8e587266p-16, -0x1.88b3e0eb811f2p-16, -0x1.87585b63d4271p-16, -0x1.85f390459762p-16, -0x1.8485b6dae4cb8p-16, -0x1.830f05c1db2ecp-16, -0x1.818fb2ed85744p-16, -0x1.8007f3a6dc994p-16, -0x1.7e77fc8dab638p-16, -0x1.7ce001999c988p-16, -0x1.7b40361b4934dp-16, -0x1.7998ccbd20729p-16, -0x1.77e9f7848c574p-16, -0x1.7633e7d30ce37p-16, -0x1.7476ce6726957p-16, -0x1.72b2db5d96d16p-16, -0x1.70e83e325b9c7p-16, -0x1.6f1725c1d49p-16, -0x1.6d3fc049cee7cp-16, -0x1.6b623b6aca7cap-16, -0x1.697ec429068acp-16, -0x1.679586ed9b709p-16, -0x1.65a6af87b92d5p-16, -0x1.63b2692db7c1cp-16, -0x1.61b8de7e54f63p-16, -0x1.5fba3981e18e2p-16, -0x1.5db6a3ab68b79p-16, -0x1.5bae45d9befb1p-16, -0x1.59a14858e2983p-16, -0x1.578fd2e3131aep-16, -0x1.557a0ca205c38p-16, -0x1.53601c301efa4p-16, -0x1.51422799956bfp-16, -0x1.4f20545dbd81p-16, -0x1.4cfac770248d5p-16, -0x1.4ad1a539d9652p-16, -0x1.48a5119a89b68p-16, -0x1.46752fe9c7bc3p-16, -0x1.444222f843b17p-16, -0x1.420c0d1100398p-16, -0x1.3fd30ffa65a2cp-16, -0x1.3d974cf7aa2ffp-16, -0x1.3b58e4c9e83d2p-16, -0x1.3917f7b1586adp-16, -0x1.36d4a56e8606cp-16, -0x1.348f0d4375c28p-16, -0x1.32474df4f0726p-16, -0x1.2ffd85cbad5eep-16, -0x1.2db1d2957337fp-16, -0x1.2b6451a65ae6ap-16, -0x1.29151fda005abp-16, -0x1.26c45994aab2cp-16, -0x1.24721ac47b992p-16, -0x1.221e7ee2a0116p-16, -0x1.1fc9a0f479591p-16, -0x1.1d739b8ccb8c2p-16, -0x1.1b1c88cce6854p-16, -0x1.18c48265c9b35p-16, -0x1.166ba1995d8ccp-16, -0x1.1411ff3b92599p-16, -0x1.11b7b3b38632p-16, -0x1.0f5cd6fc98413p-16, -0x1.0d0180a7a3a95p-16, -0x1.0aa5c7dc1e4dap-16, -0x1.0849c3592d864p-16, -0x1.05ed8976d1e24p-16, -0x1.03913027019fp-16, -0x1.0134ccf6c03dcp-16, -0x1.fdb0ea1e7d7c6p-17, -0x1.f8f87a6de94a6p-17, -0x1.f44073a56db2fp-17, -0x1.ef88fdcd8a44cp-17, -0x1.ead2402ff198bp-17, -0x1.e61c61598a5e8p-17, -0x1.e167871c8325dp-17, -0x1.dcb3d6928188bp-17, -0x1.d801741ed4388p-17, -0x1.d3508370757bap-17, -0x1.cea1278438e71p-17, -0x1.c9f382a6cc6b7p-17, -0x1.c547b676bad2ap-17, -0x1.c09de3e68df22p-17, -0x1.bbf62b3eccd62p-17, -0x1.b750ac2006e4bp-17, -0x1.b2ad8584daae5p-17, -0x1.ae0cd5c3e5afcp-17, -0x1.a96eba91be29dp-17, -0x1.a4d351030579bp-17, -0x1.a03ab58e35441p-17, -0x1.9ba5040da4d49p-17, -0x1.971257c17ea34p-17, -0x1.9282cb5187bc1p-17, -0x1.8df678cf20cb9p-17, -0x1.896d79b726064p-17, -0x1.84e7e6f3c0a68p-17, -0x1.8065d8de56ae5p-17, }}, 
      {{-0x1.f700e11c5cdf8p-1, -0x1.f6c99cb5b4a81p-1, -0x1.f65cecf6dcf0ep-1, -0x1.f5b0013601a66p-1, -0x1.f4bdebc55fe8ap-1, -0x1.f387511859b87p-1, -0x1.f210fc162178dp-1, -0x1.f0623d4e8849dp-1, -0x1.ee837c46d5365p-1, -0x1.ec7d209623237p-1, -0x1.ea56d6c0de0e9p-1, -0x1.e81724e7bac6bp-1, -0x1.e5c33db0aeeb4p-1, -0x1.e35eff93e19f7p-1, -0x1.e0ed110786274p-1, -0x1.de6f0d3756324p-1, -0x1.dbe5b823d2a3fp-1, -0x1.d95133cae5de4p-1, -0x1.d6b1323553a52p-1, -0x1.d40521f534ab4p-1, -0x1.d14c53dba0557p-1, -0x1.ce861985c3162p-1, -0x1.cbb1dcf1ce616p-1, -0x1.c8cf31a59dafp-1, -0x1.c5dde022b634ep-1, -0x1.c2ddec7982161p-1, -0x1.bfcf98d0f5483p-1, -0x1.bcb364af030c5p-1, -0x1.b98a09bdfdbeep-1, -0x1.b65476b69ce38p-1, -0x1.b313c9005c5f7p-1, -0x1.afc94583ad6e1p-1, -0x1.ac7651143ee04p-1, -0x1.a91c68c5f2b97p-1, -0x1.a5bd1a6d68534p-1, -0x1.a259fd7d66c7fp-1, -0x1.9ef4ac64ff826p-1, -0x1.9b8ebe86dbce1p-1, -0x1.9829c2d8a85edp-1, -0x1.94c73b31db438p-1, -0x1.9168984ae481fp-1, -0x1.8e0f3669090bbp-1, -0x1.8abc5aaf9365ep-1, -0x1.8771310c5c8d6p-1, -0x1.842ecab3f020cp-1, -0x1.80f61d207720bp-1, -0x1.7dc8018605a95p-1, -0x1.7aa534aedb0d7p-1, -0x1.778e573255a63p-1, -0x1.7483edf9e58bbp-1, -0x1.71866307f6b4bp-1, -0x1.6e96067595b8cp-1, -0x1.6bb30f9c7ae1cp-1, -0x1.68dd9e6411dd9p-1, -0x1.6615bca9032dcp-1, -0x1.635b5fb7b1f5p-1, -0x1.60ae69d2ff12fp-1, -0x1.5e0eabc1833b3p-1, -0x1.5b7be65c2f46p-1, -0x1.58f5cc1a0cb4ep-1, -0x1.567c029575dc9p-1, -0x1.540e2407c1d7ap-1, -0x1.51abc0b8eeaddp-1, -0x1.4f5460614837p-1, -0x1.4d07837b844d4p-1, -0x1.4ac4a4862bdfp-1, -0x1.488b39337848ap-1, -0x1.465ab38721abbp-1, -0x1.443282e1d1152p-1, -0x1.421214fa262c7p-1, -0x1.3ff8d6c36b781p-1, -0x1.3de635423a163p-1, -0x1.3bd99e4f712fap-1, -0x1.39d28149fafa1p-1, -0x1.37d04fb7f031ap-1, -0x1.35d27dd7bb04p-1, -0x1.33d88321e5d2dp-1, -0x1.31e1dabc49e78p-1, -0x1.2fee03df5ba6fp-1, -0x1.2dfc822e50b9cp-1, -0x1.2c0cde02e0224p-1, -0x1.2a1ea4ad5bc9bp-1, -0x1.283168a9dff91p-1, -0x1.2644c1cb53383p-1, -0x1.24584d5ceb54fp-1, -0x1.226bae3ae70e6p-1, -0x1.207e8ce329e45p-1, -0x1.1e90977e5acb9p-1, -0x1.1ca181e228482p-1, -0x1.1ab1058d430ffp-1, -0x1.18bee19da763ap-1, -0x1.16cadac1b668ap-1, -0x1.14d4bb24a7ddep-1, -0x1.12dc5256cce2fp-1, -0x1.10e175321897ap-1, -0x1.0ee3fdbb5ba61p-1, -0x1.0ce3cb009c0bdp-1, -0x1.0ae0c0f4e7094p-1, -0x1.08dac849f992p-1, -0x1.06d1ce4813783p-1, -0x1.04c5c4a441d86p-1, -0x1.02b6a1556d159p-1, -0x1.00a45e686ad27p-1, -0x1.fd1df3a6aa725p-2, -0x1.f8ecea90bd83p-2, -0x1.f4b5ac10af5e1p-2, -0x1.f078496a31e64p-2, -0x1.ec34da47f72f5p-2, -0x1.e7eb7c6112adbp-2, -0x1.e39c531f11cb5p-2, -0x1.df4787450e4c2p-2, -0x1.daed4697f4fffp-2, -0x1.d68dc3883acfcp-2, -0x1.d22934dd274b1p-2, -0x1.cdbfd561e4a59p-2, -0x1.c951e3947772fp-2, -0x1.c4dfa156bb283p-2, -0x1.c06953a184cebp-2, -0x1.bbef4239fc9fep-2, -0x1.b771b76942c4ep-2, -0x1.b2f0ffb672932p-2, -0x1.ae6d69a30c31ep-2, -0x1.a9e74569cc91fp-2, -0x1.a55ee4c0015afp-2, -0x1.a0d49a9952a56p-2, -0x1.9c48baee0b4d3p-2, -0x1.97bb9a83da96p-2, -0x1.932d8eb90cee4p-2, -0x1.8e9eed523c40fp-2, -0x1.8a100c4a6720fp-2, -0x1.858141a570ff7p-2, -0x1.80f2e344fe3cbp-2, -0x1.7c6546bfa0a39p-2, -0x1.77d8c13a4bf49p-2, -0x1.734da744054e7p-2, -0x1.6ec44cb3bef17p-2, -0x1.6a3d048856afcp-2, -0x1.65b820caa502fp-2, -0x1.6135f2718f959p-2, -0x1.5cb6c94812eebp-2, -0x1.583af3d52f769p-2, -0x1.53c2bf45ad832p-2, -0x1.4f4e7757a8263p-2, -0x1.4ade6647cfc9cp-2, -0x1.4672d4c05140cp-2, -0x1.420c09c956bcep-2, -0x1.3daa4abb10a31p-2, -0x1.394ddb3133c3ep-2, -0x1.34f6fcffe42ddp-2, -0x1.30a5f029f4d84p-2, -0x1.2c5af2d876709p-2, -0x1.281641537d885p-2, -0x1.23d815fc183bp-2, -0x1.1fa0a9476223bp-2, -0x1.1b7031baa57bcp-2, -0x1.1746e3e8856d7p-2, -0x1.1324f26f16559p-2, -0x1.0f0a8df6e464fp-2, -0x1.0af7e532d314ap-2, -0x1.06ed24e0cadf6p-2, -0x1.02ea77cb2ce38p-2, -0x1.fde00d95f6915p-3, -0x1.f5fbf1955f9bep-3, -0x1.ee28e59364dfp-3, -0x1.e6672fc0d0708p-3, -0x1.deb7128996966p-3, -0x1.d718cc9f15a74p-3, -0x1.cf8c99033b7dep-3, -0x1.c812af14986bep-3, -0x1.c0ab429b32ce4p-3, -0x1.b95683d626b46p-3, -0x1.b2149f89e75f8p-3, -0x1.aae5bf0f237cdp-3, -0x1.a3ca086238cp-3, -0x1.9cc19e3328cacp-3, -0x1.95cc9ff6014fap-3, -0x1.8eeb29f3a7995p-3, -0x1.881d555b014fdp-3, -0x1.816338526f0adp-3, -0x1.7abce60980f24p-3, -0x1.742a6ecaeb94cp-3, -0x1.6dabe00eab5cfp-3, -0x1.6741448c46cfcp-3, -0x1.60eaa44d33f9fp-3, -0x1.5aa804bf4b0fcp-3, -0x1.547968c74d46dp-3, -0x1.4e5ed0d363c6bp-3, -0x1.48583aeda21cdp-3, -0x1.4265a2ce844b7p-3, -0x1.3c8701ef4c4cap-3, -0x1.36bc4f9c5a4e3p-3, -0x1.310581075f1acp-3, -0x1.2b628959709adp-3, -0x1.25d359c4f5dfdp-3, -0x1.2057e19770e07p-3, -0x1.1af00e4b0e27fp-3, -0x1.159bcb980a4c1p-3, -0x1.105b0385dff93p-3, -0x1.0b2d9e7c3f74dp-3, -0x1.06138353c0a36p-3, -0x1.010c976663cb9p-3, -0x1.f8317d3f8ba62p-4, -0x1.ee6fb71a3318bp-4, -0x1.e4d39ed9aabdcp-4, -0x1.db5cf47c3a696p-4, -0x1.d20b759fca4fdp-4, -0x1.c8dedd9f884aep-4, -0x1.bfd6e5b1092dap-4, -0x1.b6f34500bbee9p-4, -0x1.ae33b0cdd71eap-4, -0x1.a597dc8599f8bp-4, -0x1.9d1f79de00b4ap-4, -0x1.94ca38efccf9ap-4, -0x1.8c97c84ffb6bfp-4, -0x1.8487d52893288p-4, -0x1.7c9a0b50dbd93p-4, -0x1.74ce1564f5749p-4, -0x1.6d239cdccf8cep-4, -0x1.659a4a228737bp-4, -0x1.5e31c4a825cp-4, -0x1.56e9b2fcc5969p-4, -0x1.4fc1bae11b64dp-4, -0x1.48b9815b693cdp-4, -0x1.41d0aacad6726p-4, -0x1.3b06dafa34084p-4, -0x1.345bb5322b678p-4, -0x1.2dcedc4ad950ap-4, -0x1.275ff2bcdb88fp-4, -0x1.210e9ab1c9595p-4, -0x1.1ada761425d26p-4, -0x1.14c3269ec03a1p-4, -0x1.0ec84deb92779p-4, -0x1.08e98d8212ef2p-4, -0x1.032686e504b6ep-4, -0x1.fafdb73f8cfb9p-5, -0x1.efe45aa63cc61p-5, -0x1.e5003b8316044p-5, -0x1.da509db631a58p-5, -0x1.cfd4c5917cffcp-5, -0x1.c58bf7ee86c18p-5, -0x1.bb757a4363522p-5, -0x1.b19092b6ade7bp-5, -0x1.a7dc8832b0e07p-5, -0x1.9e58a277b0731p-5, -0x1.95042a2d60272p-5, -0x1.8bde68f391ddp-5, -0x1.82e6a97211068p-5, -0x1.7a1c3767bfe08p-5, -0x1.717e5fb8f274ep-5, -0x1.690c707d0e143p-5, -0x1.60c5b90b755eap-5, -0x1.58a98a07b91e4p-5, -0x1.50b7356d3014bp-5, -0x1.48ee0e99cf06dp-5, -0x1.414d6a58702d6p-5, -0x1.39d49eea710eap-5, -0x1.32830410beae4p-5, -0x1.2b57f31440f28p-5, -0x1.2452c6cdc1bep-5, -0x1.1d72dbad3d18fp-5, -0x1.16b78fc0afdfap-5, -0x1.102042ba5e472p-5, -0x1.09ac55f697d95p-5, -0x1.035b2c8108638p-5, -0x1.fa585633130dp-6, -0x1.ee3d70710327dp-6, -0x1.e2647825ab653p-6, -0x1.d6cc413ad9a97p-6, -0x1.cb73a32095109p-6, -0x1.c05978d28e876p-6, -0x1.b57ca0dcca3fcp-6, -0x1.aadbfd5f92e32p-6, -0x1.a0767412b51c7p-6, -0x1.964aee480c9d2p-6, -0x1.8c5858ed72cedp-6, -0x1.829da48dfe4c9p-6, -0x1.7919c552bb405p-6, -0x1.6fcbb302be633p-6, -0x1.66b26902b736dp-6, -0x1.5dcce653f419cp-6, -0x1.551a2d92e211p-6, -0x1.4c9944f519ddcp-6, -0x1.44493646ed013p-6, -0x1.3c290ee882dd8p-6, -0x1.3437dfca8f195p-6, -0x1.2c74bd6a93e7dp-6, -0x1.24debfced1481p-6, -0x1.1d750281ceefp-6, -0x1.1636a48d87e6ap-6, -0x1.0f22c8764cfep-6, -0x1.083894354c72bp-6, -0x1.01773132d3f01p-6, -0x1.f5bb98808e86p-7, -0x1.e8d72b23b512ap-7, -0x1.dc3f816ff851cp-7, -0x1.cff309312d54ap-7, -0x1.c3f036d0159a8p-7, -0x1.b8358543f6557p-7, -0x1.acc17603cbc38p-7, -0x1.a19290f71732bp-7, -0x1.96a76466680eap-7, -0x1.8bfe84eb7e31dp-7, -0x1.81968d61398c3p-7, -0x1.776e1ed32b7ep-7, -0x1.6d83e06d0aa57p-7, -0x1.63d67f69c2bf2p-7, -0x1.5a64af027944cp-7, -0x1.512d285d4e7d9p-7, -0x1.482eaa7be7abfp-7, -0x1.3f67fa29f71e2p-7, -0x1.36d7e1eb7f257p-7, -0x1.2e7d31eb0b7abp-7, -0x1.2656bfe7ca44cp-7, -0x1.1e636723970bfp-7, -0x1.16a20850eca01p-7, -0x1.0f118980cc288p-7, -0x1.07b0d61098862p-7, -0x1.007ede97f268bp-7, -0x1.f2f531ad18be6p-8, -0x1.e545ff43e7db6p-8, -0x1.d7ee25a6e24fdp-8, -0x1.caebae6bb1d9ep-8, -0x1.be3cace6f889ep-8, -0x1.b1df3e080815cp-8, -0x1.a5d18834f4a73p-8, -0x1.9a11bb26994eap-8, -0x1.8e9e0fc4d239dp-8, -0x1.8374c802db81p-8, -0x1.78942ebbd9557p-8, -0x1.6dfa978f9321dp-8, -0x1.63a65ebf5c8c1p-8, -0x1.5995e90b3482ap-8, -0x1.4fc7a38f3000ap-8, -0x1.463a03a0f916fp-8, -0x1.3ceb86adbc93p-8, -0x1.33dab2183ad5ap-8, -0x1.2b0613171f07ap-8, -0x1.226c3e93b49a5p-8, -0x1.1a0bd108c7d82p-8, -0x1.11e36e61e5e15p-8, -0x1.09f1c1dadf16p-8, -0x1.02357ddfa6ab6p-8, -0x1.f55ab7d8ecbd8p-9, -0x1.e6b038dc797fdp-9, -0x1.d8690d46efb35p-9, -0x1.ca82d0fab0627p-9, -0x1.bcfb2d0254d7dp-9, -0x1.afcfd75477ec6p-9, -0x1.a2fe9297d4e6cp-9, -0x1.96852de877626p-9, -0x1.8a61849d5b3dfp-9, -0x1.7e917e0eddf47p-9, -0x1.73130d5dd968cp-9, -0x1.67e4313b7997cp-9, -0x1.5d02f3b1e5f59p-9, -0x1.526d69ed76676p-9, -0x1.4821b406b7f7ep-9, -0x1.3e1dfccd29a14p-9, -0x1.34607992c7217p-9, -0x1.2ae769f8208afp-9, -0x1.21b117b95664cp-9, -0x1.18bbd67bbc6c3p-9, -0x1.1006039c2b6a6p-9, -0x1.078e05fe2f274p-9, -0x1.fea49bb79d37p-10, -0x1.eea2a92c1f331p-10, -0x1.df13390c8d9f4p-10, -0x1.cff3619ff8d21p-10, -0x1.c1404a6751b5ap-10, -0x1.b2f72bc438881p-10, -0x1.a5154ea10ebd5p-10, -0x1.97980c1a9e345p-10, -0x1.8a7ccd2b0c8ffp-10, -0x1.7dc10a5648dd7p-10, -0x1.71624b579615p-10, -0x1.655e26d0deb81p-10, -0x1.59b241fae3fc5p-10, -0x1.4e5c50572ad25p-10, -0x1.435a1363230bep-10, -0x1.38a95a4c5dda6p-10, -0x1.2e4801a66842bp-10, -0x1.2433f321bdeaep-10, -0x1.1a6b25441c4f7p-10, -0x1.10eb9b220837ep-10, -0x1.07b3641991cbdp-10, -0x1.fd81371cdec3fp-11, -0x1.ec22d14e31ccep-11, -0x1.db47fc16f5a93p-11, -0x1.caed3348c7818p-11, -0x1.bb0f08b904475p-11, -0x1.abaa23c4a8353p-11, -0x1.9cbb40d6acb26p-11, -0x1.8e3f30f0a8b21p-11, -0x1.8032d935bafeap-11, -0x1.7293327761e32p-11, -0x1.655d48c4ec032p-11, -0x1.588e3afce32d8p-11, -0x1.4c233a607d192p-11, -0x1.40198a296ff1ep-11, -0x1.346e7f21665aep-11, -0x1.291f7f3c15da5p-11, -0x1.1e2a0132a77e4p-11, -0x1.138b8c21c2b11p-11, -0x1.0941b7294085ap-11, -0x1.fe94521b31a03p-12, -0x1.eb452fb73b56ep-12, -0x1.d891911b6b9a5p-12, -0x1.c6751d66876edp-12, -0x1.b4eb983357da8p-12, -0x1.a3f0e0eddd58ep-12, -0x1.9380f22d08484p-12, -0x1.8397e10ef2a69p-12, -0x1.7431dc98f90d1p-12, -0x1.654b2d1affab5p-12, -0x1.56e033962b505p-12, -0x1.48ed692692365p-12, -0x1.3b6f5e701d4ecp-12, -0x1.2e62bb0ef4948p-12, -0x1.21c43d0a491a5p-12, -0x1.1590b84aa204ap-12, -0x1.09c516133922ep-12, -0x1.fcbca8fb2fff7p-13, -0x1.e6b30bf177d31p-13, -0x1.d167a19558dc5p-13, -0x1.bcd4dd29de0d5p-13, -0x1.a8f557b73c9a1p-13, -0x1.95c3cf1e7ccfep-13, -0x1.833b253224a6p-13, -0x1.71565ed3edf08p-13, -0x1.6010a318039acp-13, -0x1.4f653a6c93ab4p-13, -0x1.3f4f8dc663016p-13, -0x1.2fcb25d247c63p-13, -0x1.20d3aa2b182dbp-13, -0x1.1264e09425d95p-13, -0x1.047aac3859acep-13, -0x1.ee2219db23046p-14, -0x1.d4483cf8f2c34p-14, -0x1.bb602fd822289p-14, -0x1.a36295a44c07fp-14, -0x1.8c48454de739p-14, -0x1.760a483b247a6p-14, -0x1.60a1d8ff515d4p-14, -0x1.4c08621a90471p-14, -0x1.38377cc07c862p-14, -0x1.2528efa662033p-14, -0x1.12d6add8d450fp-14, -0x1.013ad597fd34dp-14, -0x1.e09f5e75da7bcp-15, -0x1.c01f58324eb53p-15, -0x1.a0eacaf873a25p-15, -0x1.82f7372a39395p-15, -0x1.663a68f634b93p-15, -0x1.4aaa765ce923ep-15, -0x1.303dbd43ae3aap-15, -0x1.16eae194f40cep-15, -0x1.fd5196d1e7ddap-16, -0x1.cedd4a79c74aep-16, -0x1.a267b4670d4c3p-16, -0x1.77e028bfca068p-16, -0x1.4f36763a78ab7p-16, -0x1.285ae2ddc88d1p-16, -0x1.033e28d609424p-16, -0x1.bfa2e6be48e21p-17, -0x1.7c0cb785ca387p-17, -0x1.3b9dccccf0102p-17, -0x1.fc75ffbbc928ep-18, -0x1.8793e9d8d4d21p-18, -0x1.18622b40ddd7ep-18, -0x1.5d5e2f1dbbbf8p-19, -0x1.2929e130543cap-20, 0x1.4fa7d2e73c3f9p-22, 0x1.bd34c62a3026fp-20, 0x1.89b36a25319f5p-19, 0x1.15cac9165ffa5p-18, 0x1.6249e8f3b278p-18, 0x1.aa7f531856567p-18, 0x1.ee9211963afc3p-18, 0x1.17540150d7fa5p-17, 0x1.3572f066f69eap-17, 0x1.51b7a585e5b8p-17, 0x1.6c33663fbf04ep-17, 0x1.84f6f20e23946p-17, 0x1.9c12860a224edp-17, 0x1.b195e089604d6p-17, 0x1.c59044a0e446fp-17, 0x1.d8107d95ff73ap-17, 0x1.e924e237cb3ecp-17, 0x1.f8db581ab9cf1p-17, 0x1.03a0ab650ae3cp-16, 0x1.0a31f56ca3b7dp-16, 0x1.1027dc75afc64p-16, 0x1.1588804da5aacp-16, 0x1.1a59cfad2e414p-16, 0x1.1ea189998279p-16, 0x1.22653ebfe2d3bp-16, 0x1.25aa52c5e3a5ep-16, 0x1.2875fd91a1af9p-16, 0x1.2acd4c88c1b3bp-16, 0x1.2cb523c780c21p-16, 0x1.2e323f4f4fe4cp-16, 0x1.2f49342cca31dp-16, 0x1.2ffe7196f1686p-16, 0x1.30564204f7943p-16, 0x1.3054cc3f99c91p-16, 0x1.2ffe14674ee77p-16, 0x1.2f55fcf61ff7ep-16, 0x1.2e6047ba598b9p-16, 0x1.2d2096c89104p-16, 0x1.2b9a6d6954e3bp-16, 0x1.29d130fee472fp-16, 0x1.27c829e5ce6ep-16, 0x1.2582844e7c2c4p-16, 0x1.2303511160cd3p-16, 0x1.204d867c711a6p-16, 0x1.1d64011d22382p-16, 0x1.1a49848230fa4p-16, 0x1.1700bbf94bbcfp-16, 0x1.138c3b48db4ap-16, 0x1.0fee7f615f0e6p-16, 0x1.0c29ef0d8cfb2p-16, 0x1.0840db9afec14p-16, 0x1.0435817f13b75p-16, 0x1.000a08f79cc42p-16, 0x1.f7810d4cd8e11p-17, 0x1.eeb5f85136c07p-17, 0x1.e5b6b15474c2cp-17, 0x1.dc86f2e96af5p-17, 0x1.d32a54f4f5246p-17, 0x1.c9a44dbc8663fp-17, 0x1.bff832ec74a4p-17, 0x1.b6293a9657247p-17, 0x1.ac3a7c2ab2fbcp-17, 0x1.a22ef16922a11p-17, 0x1.9809774af1ed7p-17, 0x1.8dcccee6c0866p-17, 0x1.837b9e4d13a4p-17, 0x1.79187160a3717p-17, 0x1.6ea5baa41e97fp-17, 0x1.6425d4085fa3ap-17, 0x1.599affaf00fc9p-17, 0x1.4f0768aa66571p-17, 0x1.446d23b7790e9p-17, 0x1.39ce2ff1f3a18p-17, 0x1.2f2c77836ebe3p-17, 0x1.2489d04dd87e1p-17, 0x1.19e7fc906b30ep-17, 0x1.0f48ab886c725p-17, 0x1.04ad7a0c93ba6p-17, 0x1.f42fe64746aep-18, 0x1.df1321329b792p-18, 0x1.ca077714c94f4p-18, 0x1.b50f99e142fbp-18, 0x1.a02e1c5019b39p-18, 0x1.8b6572e4bfbdbp-18, 0x1.76b7f4e8e0b52p-18, 0x1.6227dd63e1ca6p-18, 0x1.4db74c08561ffp-18, 0x1.3968461ae19dbp-18, 0x1.253cb7531169cp-18, 0x1.113672b5b0ad1p-18, 0x1.faae66cefb7aap-19, 0x1.d3413af4432ccp-19, 0x1.ac287d678a99p-19, 0x1.85671e9da365dp-19, 0x1.5effe56d176c1p-19, 0x1.38f5707726de3p-19, 0x1.134a378aadf47p-19, 0x1.dc0119ec757c4p-20, 0x1.92353dac8a553p-20, 0x1.4934f0a7fb8b4p-20, 0x1.010405c0572dfp-20, 0x1.734c1d7c2559ap-21, 0x1.cc797a76e6b9dp-22, 0x1.6b805e22de0eep-23, -0x1.7620dd6a155a2p-24, -0x1.6d552a55b4c92p-22, -0x1.3cce7a57bb7ap-21, -0x1.c12b595403684p-21, -0x1.21de929661f54p-20, -0x1.62401917bd815p-20, -0x1.a1b89928a4485p-20, -0x1.e04698e0e3dc3p-20, -0x1.0ef464e11a1ap-19, -0x1.2d4f038f9ad2cp-19, -0x1.4b32aa414d574p-19, -0x1.689eee16ba264p-19, -0x1.859376cdb6f0ep-19, -0x1.a20ffe09366bbp-19, -0x1.be144ea0af5f4p-19, -0x1.d9a043f42177cp-19, -0x1.f4b3c94499d8ep-19, -0x1.07a76c8a7b0f3p-18, -0x1.14b8be45f8428p-18, -0x1.218de56e9ac22p-18, -0x1.2e26f45bc8f82p-18, -0x1.3a8403db92c14p-18, -0x1.46a532eda9723p-18, -0x1.528aa68153f5bp-18, -0x1.5e34893517024p-18, -0x1.69a30b17d607dp-18, -0x1.74d6616d6a222p-18, -0x1.7fcec673e7b6ap-18, -0x1.8a8c792b15d47p-18, -0x1.950fbd1e979aep-18, -0x1.9f58da300814p-18, -0x1.a9681c6494b97p-18, -0x1.b33dd3b336809p-18, -0x1.bcda53d53f3fcp-18, -0x1.c63df417826eep-18, -0x1.cf690f2e66673p-18, -0x1.d85c030a229aap-18, -0x1.e11730acbe471p-18, -0x1.e99afc01ff7f2p-18, -0x1.f1e7cbb85f9f9p-18, -0x1.f9fe091b595b3p-18, -0x1.00ef0ff748323p-17, -0x1.04c43f2578be8p-17, -0x1.087eca3deb235p-17, -0x1.0c1eea6f82717p-17, -0x1.0fa4d9e223c3bp-17, -0x1.1310d3a77221p-17, -0x1.166313ac062adp-17, -0x1.199bd6a9039c1p-17, -0x1.1cbb5a165843fp-17, -0x1.1fc1dc1d4c47ep-17, -0x1.22af9b8b95afbp-17, -0x1.2584d7c6ff602p-17, -0x1.2841d0c168478p-17, -0x1.2ae6c6ed0f802p-17, -0x1.2d73fb3196c0ap-17, -0x1.2fe9aee105ceep-17, -0x1.324823ad7261ap-17, -0x1.348f9b9f28905p-17, -0x1.36c0590add582p-17, -0x1.38da9e886a79bp-17, -0x1.3adeaee9c6935p-17, -0x1.3ccccd326f16p-17, -0x1.3ea53c8efdbf3p-17, -0x1.4068404d3260bp-17, -0x1.42161bd4613f7p-17, -0x1.43af129dd0963p-17, -0x1.4533682da173cp-17, -0x1.46a3600bf66d3p-17, -0x1.47ff3dbe5f0d8p-17, -0x1.494744c15e5ddp-17, -0x1.4a7bb88277be2p-17, -0x1.4b9cdc5a22609p-17, -0x1.4caaf38650c6ap-17, -0x1.4da64124d583p-17, -0x1.4e8f082e5afa9p-17, -0x1.4f658b7159d96p-17, -0x1.502a0d8d1f187p-17, -0x1.50dcd0ed7b7ddp-17, -0x1.517e17c651f79p-17, -0x1.520e240f3fe77p-17, -0x1.528d377f9749ap-17, -0x1.52fb938a97b21p-17, -0x1.5359795bab9b6p-17, -0x1.53a729d2cc9fep-17, -0x1.53e4e5814c93dp-17, -0x1.5412eca689015p-17, -0x1.54317f2ccfa48p-17, -0x1.5440dca6640cfp-17, -0x1.5441444ad3115p-17, -0x1.5432f4f416b5p-17, -0x1.54162d1c38deep-17, -0x1.53eb2adb0027ap-17, -0x1.53b22be3434d7p-17, -0x1.536b6d8110815p-17, -0x1.53172c977879p-17, -0x1.52b5a59eaa346p-17, -0x1.524714a1fc077p-17, -0x1.51cbb53e50dfdp-17, -0x1.5143c2a063997p-17, -0x1.50af77832db52p-17, -0x1.500f0e2e84d2bp-17, -0x1.4f62c07599e6fp-17, -0x1.4eaac7b5d76b6p-17, -0x1.4de75cd58c3efp-17, -0x1.4d18b842d2c4cp-17, -0x1.4c3f11f2986fbp-17, -0x1.4b5aa15fb5723p-17, -0x1.4a6b9d89a7e83p-17, -0x1.49723cf42c38cp-17, -0x1.486eb5a6412c5p-17, -0x1.47613d2986153p-17, -0x1.464a08899b6b7p-17, -0x1.45294c537ea74p-17, -0x1.43ff3c9525159p-17, -0x1.42cc0cdcf211fp-17, -0x1.418ff0394a134p-17, -0x1.404b193854b33p-17, -0x1.3efdb9e78cd93p-17, -0x1.3da803d3a65abp-17, -0x1.3c4a280848f36p-17, -0x1.3ae4570fedf87p-17, -0x1.3976c0f3b1f0ap-17, -0x1.3801953b61fbep-17, -0x1.368502ed650dap-17, -0x1.3501388ec448fp-17, -0x1.337664233560bp-17, -0x1.31e4b32d2e561p-17, -0x1.304c52ae170bdp-17, -0x1.2ead6f26663ep-17, -0x1.2d083495cb28p-17, -0x1.2b5cce7b718a8p-17, -0x1.29ab67d64dc31p-17, -0x1.27f42b2551d4dp-17, -0x1.26374267d0d97p-17, -0x1.2474d71dcb186p-17, -0x1.22ad12484b8efp-17, -0x1.20e01c69d149ap-17, -0x1.1f0e1d86b898p-17, -0x1.1d373d25ab9adp-17, -0x1.1b5ba25022d0ep-17, -0x1.197b7392de25ap-17, -0x1.1796d6fe5534fp-17, -0x1.15adf2275665fp-17, -0x1.13c0ea2780d69p-17, -0x1.11cfe39ddd689p-17, -0x1.0fdb02af76a74p-17, -0x1.0de26b07e8c02p-17, -0x1.0be63fda02c69p-17, -0x1.09e6a3e0663dp-17, -0x1.07e3b95e27c53p-17, -0x1.05dda21f9241fp-17, -0x1.03d47f7aa9689p-17, -0x1.01c8724ff212fp-17, -0x1.ff733616646b6p-18, -0x1.fb503347f90b5p-18, -0x1.f7281b3d0406cp-18, -0x1.f2fb2c1895c2ap-18, -0x1.eec9a319f87b4p-18, -0x1.ea93bc9e0ec18p-18, -0x1.e659b420dae5ap-18, -0x1.e21bc43f1514bp-18, -0x1.ddda26b7af981p-18, -0x1.d995146d718fcp-18, -0x1.d54cc56873fc7p-18, -0x1.d10170d7d9037p-18, -0x1.ccb34d1347879p-18, -0x1.c8628f9c9651fp-18, -0x1.c40f6d215c6b8p-18, -0x1.bfba197ca612cp-18, -0x1.bb62c7b8a30f3p-18, -0x1.b709aa103c3bdp-18, -0x1.b2aef1f0aed51p-18, -0x1.ae52cffb48a29p-18, -0x1.a9f574071976dp-18, -0x1.a5970d228a2a4p-18, -0x1.a137c9952eacfp-18, -0x1.9cd7d6e16d25bp-18, -0x1.987761c62b1f3p-18, -0x1.94169640691f4p-18, -0x1.8fb59f8d0e61ap-18, -0x1.8b54a82a9ef3cp-18, -0x1.86f3d9daf94fep-18, -0x1.82935da4f801ep-18, -0x1.7e335bd6297e8p-18, -0x1.79d3fc048d743p-18, -0x1.757565105795fp-18, -0x1.7117bd2588513p-18, -0x1.6cbb29bdb4352p-18, -0x1.685fcfa1bb364p-18, -0x1.6405d2eb8ca05p-18, -0x1.5fad5707ba9bfp-18, -0x1.5b567eb75938ap-18, -0x1.57016c117eecdp-18, -0x1.52ae40851d481p-18, -0x1.4e5d1cdab50b4p-18, -0x1.4a0e213602c17p-18, -0x1.45c16d1791b24p-18, -0x1.41771f5ea1431p-18, -0x1.3d2f564ab2257p-18, -0x1.38ea2f7d32a6bp-18, -0x1.34a7c7fb371a5p-18, -0x1.30683c2f1809dp-18, -0x1.2c2ba7ea40d0dp-18, -0x1.27f22666c1b21p-18, -0x1.23bbd248f8677p-18, -0x1.1f88c5a11212bp-18, -0x1.1b5919ecde2c9p-18, -0x1.172ce81966138p-18, -0x1.1304488494be5p-18, -0x1.0edf52fed04fbp-18, -0x1.0abe1ecc8ab9fp-18, -0x1.06a0c2a7f05cfp-18, -0x1.028754c274eaap-18, -0x1.fce3d58cf75aep-19, -0x1.f4c133b19a289p-19, -0x1.eca6ed348b342p-19, -0x1.e4952a52f4063p-19, -0x1.dc8c124872081p-19, -0x1.d48bcb51ee95cp-19, -0x1.cc947ab10572ap-19, -0x1.c4a644aefb689p-19, -0x1.bcc14c9fd5c35p-19, -0x1.b4e5b4e57a70bp-19, -0x1.ad139ef29025p-19, -0x1.a54b2b4d98241p-19, -0x1.9d8c7993d959p-19, -0x1.95d7a87c6c4a2p-19, -0x1.8e2cd5db26309p-19, -0x1.868c1ea389402p-19, -0x1.7ef59eebacdd8p-19, -0x1.776971ef433aap-19, -0x1.6fe7b21269562p-19, -0x1.687078e46dc24p-19, -0x1.6103df22a668bp-19, -0x1.59a1fcbb55de3p-19, -0x1.524ae8d05bae4p-19, -0x1.4afeb9ba457ecp-19, -0x1.43bd850ae7b89p-19, -0x1.3c875f900d3f8p-19, -0x1.355c5d56256f1p-19, -0x1.2e3c91ab18b75p-19, -0x1.27280f20f6995p-19, -0x1.201ee790835c8p-19, -0x1.19212c1bebcf2p-19, -0x1.122eed3186496p-19, -0x1.0b483a8e45dd9p-19, -0x1.046d23406a105p-19, -0x1.fb3b6b53cbdacp-20, -0x1.edb3ff05f974p-20, -0x1.e0441bb975d18p-20, -0x1.d2ebda47618a7p-20, -0x1.c5ab5244988ebp-20, -0x1.b8829a065481cp-20, -0x1.ab71c6a72ec74p-20, -0x1.9e78ec0c4e5f5p-20, -0x1.91981ce9acde6p-20, -0x1.84cf6ac75b588p-20, -0x1.781ee605de688p-20, -0x1.6b869de2d5279p-20, -0x1.5f06a07dd77c8p-20, -0x1.529efadd072b5p-20, -0x1.464fb8f1809d3p-20, -0x1.3a18e59bdaa57p-20, -0x1.2dfa8ab07f12ep-20, -0x1.21f4b0fc00f3ap-20, -0x1.160760482fec7p-20, -0x1.0a329f5fb9f05p-20, -0x1.fcece8257f505p-21, -0x1.e5a5c6760f187p-21, -0x1.ce8fe18032b67p-21, -0x1.b7ab3f36f4281p-21, -0x1.a0f7e3ba1121bp-21, -0x1.8a75d15dd3e74p-21, -0x1.742508b2d72adp-21, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      31, 0x1.6666666666666p+2, 0x1.4227bc908e385p-1, 0x1.448fd6a325ep-8, -0x1.7a64610449b1ep-5, 
      {{
        {0x1.05c28f5c28f5cp+2, 0x1.0666666666666p+2, 0x1.f309f00c9d307p-6, -0x1.8b167c86e8d2ep-5, 0x1.f12f9c1244fd2p-7, 0x1.998b5de601a5fp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.eb297a685fdd2p-6, -0x1.889628215c221p-5, 0x1.f75442998f40cp-7, 0x1.91024c0b1c6ecp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.c48b892f2ec9ep-6, -0x1.7ba09bac8cecap-5, 0x1.0ab3d0f398b1ap-6, 0x1.87d2bb8344293p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.9f42e63171df5p-6, -0x1.6decc79c53ddcp-5, 0x1.1965519551a63p-6, 0x1.7e2cc58eb9fb8p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7b625f35d056p-6, -0x1.5f7f311b35359p-5, 0x1.27ba3297789f9p-6, 0x1.7726ef835b402p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.58fc51c70d43bp-6, -0x1.505bd86ea192ap-5, 0x1.35cba85f98d86p-6, 0x1.4f18a68e2c07p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.38227c1ccac98p-6, -0x1.408e0a18eb027p-5, 0x1.425c9504edb23p-6, 0x1.170428e42f42p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.18e4d30f80f7bp-6, -0x1.302cd8b0233d5p-5, 0x1.4cd3235a49119p-6, 0x1.c4042e9d050b2p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f6a182ee032a8p-7, -0x1.1f5272941c1aap-5, 0x1.554cd106d45dp-6, 0x1.585a9a31d78ebp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.bee23da7ee1c5p-7, -0x1.0e187bf995bebp-5, 0x1.5bc1b71e2a015p-6, 0x1.da43e53a2a447p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.8a9c5e9fc8eccp-7, -0x1.f9317c35ed1c2p-6, 0x1.6033f3aab599dp-6, 0x1.039611dd8029p-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.59db477a4b129p-7, -0x1.d5d9f08e3b403p-6, 0x1.62a2f56f2f9a3p-6, 0x1.67c3ad0181af9p-13}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2ca5332ddd51fp-7, -0x1.b25dd8eac1fc4p-6, 0x1.630ee35649a79p-6, -0x1.5352fdce726ebp-11}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.02fb360299bfdp-7, -0x1.8ef0b7cd84727p-6, 0x1.6177b2f2851e4p-6, -0x1.804a496585517p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.b9b27b24977b4p-8, -0x1.6bc6101a3ba38p-6, 0x1.5ddd670f2b118p-6, -0x1.2b75b1df1e874p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.746c2190dff79p-8, -0x1.4911649a72005p-6, 0x1.583ffeec95b24p-6, -0x1.96c6345b62bf9p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.36069fc468f26p-8, -0x1.2706381eb6677p-6, 0x1.509f7abe123ebp-6, -0x1.010b5cd534a45p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fcb5d1b9e20b8p-9, -0x1.05d80d75b4843p-6, 0x1.46fbda7613784p-6, -0x1.36b39f2f5d979p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.9a6f453732d89p-9, -0x1.cb74cedd40b0ep-7, 0x1.3b551e177ff5ep-6, -0x1.6c5be155a48e7p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.44c24ac9cbf26p-9, -0x1.8dc191b0dfb79p-7, 0x1.2dab45a449ca4p-6, -0x1.a2042498a2cafp-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.f645f102f47aap-10, -0x1.52fd690511922p-7, 0x1.1dfe5111c3af8p-6, -0x1.d7ac639cb6badp-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.79e193699faf7p-10, -0x1.1b8f5a759f997p-7, 0x1.0c4e4088b0089p-6, -0x1.06aa593fe020ep-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.12ed3e0248316p-10, -0x1.cfbcd752f84d2p-8, 0x1.f13626e164d84p-7, -0x1.217e6312f7beep-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7faaf92a4e4d4p-11, -0x1.70a3443bef87bp-8, 0x1.c5c99804f2e25p-7, -0x1.3c52db7031825p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.fb7695e000997p-12, -0x1.1aa007d78241dp-8, 0x1.9656c3e751dbap-7, -0x1.5725b74367d74p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.387f663884edfp-12, -0x1.9d02539ec07cfp-9, 0x1.62dde86a02483p-7, -0x1.71fe96b478501p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.5c68224317361p-13, -0x1.1a29856a6706ep-9, 0x1.2b5e1e9bbd095p-7, -0x1.8cc104382fee1p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.4ecdba5281b4p-14, -0x1.5ca2b009aa54p-10, 0x1.dfb588c0387c8p-8, -0x1.a7d735d36f15fp-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.f7780c17902p-16, -0x1.6c5d554b3f0abp-11, 0x1.608e9233fd902p-8, -0x1.c1b4c8fddc5efp-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d55d037d33p-18, -0x1.10914d0f98283p-12, 0x1.b34a456943b52p-9, -0x1.e02111d4216a9p-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.f67c587401904p-22, -0x1.3c882aa58d8b2p-15, 0x1.266cdbd3f8ec9p-10, -0x1.d37974d8f3c78p-7}, 
      }}, 
      0x1.ca7d9fc20ad01p-5, 0x1.226daf28301ffp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.25565ec63214dp+0, -0x1.1dd060eb36ddbp+0, -0x1.11f811eb4d564p+0, -0x1.0295f63a7e543p+0, -0x1.e0ff33c4744c6p-1, -0x1.b9093251dee3ap-1, -0x1.8ec718924ebd8p-1, -0x1.63885a4a97bc4p-1, -0x1.3869e7f4f6879p-1, -0x1.0e55e8deec481p-1, -0x1.cc0c8f826653p-2, -0x1.8011cefc6cd7ap-2, -0x1.3989610882ad1p-2, -0x1.f1fb80ee4a343p-3, -0x1.7d811593323d5p-3, -0x1.15e8b781d7e48p-3, -0x1.7656c31a56ec9p-4, -0x1.b416491d249f5p-5, -0x1.5827ad5944ed6p-6, 0x1.6d8031f2731f1p-8, 0x1.b7e269b1ac6fap-6, 0x1.61b09028815a9p-5, 0x1.c218bf13ee6cap-5, 0x1.0033f719411eep-4, 0x1.0feee979eeccp-4, 0x1.11d6b78b87f4dp-4, 0x1.07790803f41f2p-4, 0x1.e4a70bc760aeap-5, 0x1.a7a1c828d2cb7p-5, 0x1.5a8da6d6b1cf5p-5, 0x1.ffd2fd0742f3bp-6, 0x1.340cab4fdcf8cp-6, 0x1.5838ef0526a37p-8, -0x1.2c7b1ea88decp-7, -0x1.8d44d7c133e83p-6, -0x1.45e5c07f6045ap-5, -0x1.c773b495a7331p-5, -0x1.24ff0ca46987ep-4, -0x1.662db20be0f5ep-4, -0x1.a6c22fda61bc6p-4, -0x1.e648ec49ce277p-4, -0x1.122e93cd25735p-3, -0x1.3053ede4b537p-3, -0x1.4d6f52be243fdp-3, -0x1.69615bfcb9c09p-3, -0x1.840feeb832527p-3, -0x1.9d65c22c65df7p-3, -0x1.b551ed366f20fp-3, -0x1.cbc77ac057197p-3, -0x1.e0bd0522428b6p-3, -0x1.f42c58686cc45p-3, -0x1.03090daad014p-2, -0x1.0b36bf7293c08p-2, -0x1.129ff9ff1b284p-2, -0x1.19467380ba6d1p-2, -0x1.1f2cc068ef1b5p-2, -0x1.24563680cf761p-2, -0x1.28c6d2638b67cp-2, -0x1.2c831f37391b9p-2, -0x1.2f90207c99adp-2, -0x1.31f33dd4a9bf7p-2, -0x1.33b2309b04cfcp-2, -0x1.34d2f337f6d9bp-2, -0x1.355bb20cda55dp-2, -0x1.3552bde0e31a3p-2, -0x1.34be7fb4f07cfp-2, -0x1.33a56de56db84p-2, -0x1.320e0280aafd1p-2, -0x1.2ffeb2bd8e74dp-2, -0x1.2d7de773e42bdp-2, -0x1.2a91f68f0e3a8p-2, -0x1.27411d57619b6p-2, -0x1.23917b94d568ep-2, -0x1.1f890f673cb42p-2, -0x1.1b2db1d5747a2p-2, -0x1.168513eed30b5p-2, -0x1.1194bc7a65cedp-2, -0x1.0c62061deac3ep-2, -0x1.06f21dedf194p-2, -0x1.014a026f3e532p-2, -0x1.f6dd05d8a748ep-3, -0x1.eac87e5d34205p-3, -0x1.de5f4efb5bc92p-3, -0x1.d1a9f9d41a28ep-3, -0x1.c4b0a36111bbfp-3, -0x1.b77b13bfd7839p-3, -0x1.aa10b80262d8ap-3, -0x1.9c78a3de4625cp-3, -0x1.8eb99388b0756p-3, -0x1.80d9edcd51bdfp-3, -0x1.72dfc68bb0bb9p-3, -0x1.64d0e110d833ep-3, -0x1.56b2b2f827423p-3, -0x1.488a66b3685e6p-3, -0x1.3a5cde44737a3p-3, -0x1.2c2eb5d6793c4p-3, -0x1.1e04461ef1ffap-3, -0x1.0fe1a6fa24c5ap-3, -0x1.01cab1ab93586p-3, -0x1.e78606b8d17ap-4, -0x1.cb9bff13c40e8p-4, -0x1.afdda4b25daadp-4, -0x1.9450e6459ba2p-4, -0x1.78fb4d612885p-4, -0x1.5de2032a72303p-4, -0x1.4309d4afe7efp-4, -0x1.287736ffc59dap-4, -0x1.0e2e4b19fba83p-4, -0x1.e865c3483621p-5, -0x1.b510fcb7e899bp-5, -0x1.8264b71be1c2ep-5, -0x1.5066da9c73cdfp-5, -0x1.1f1cc953ef488p-5, -0x1.dd16cb4c95efdp-6, -0x1.7d6e30bc032edp-6, -0x1.1f47ad544c929p-6, -0x1.8554a066e99a4p-7, -0x1.9e71632aef808p-8, -0x1.c4683003c2365p-11, 0x1.26f0d4c5c1ef6p-8, 0x1.3ffbf559d542bp-7, 0x1.e93d492f6a632p-7, 0x1.479b6582ea779p-6, 0x1.98f204131c895p-6, 0x1.e8a0d2b5e1cebp-6, 0x1.1b5353e3ddfddp-5, 0x1.41816af5230e7p-5, 0x1.66da9268d101dp-5, 0x1.8b5ee53c190fap-5, 0x1.af0eb25afa3eep-5, 0x1.d1ea795d9e72ap-5, 0x1.f3f2e79e0d295p-5, 0x1.0a946ab4101b1p-4, 0x1.1ac6a19a8f2cdp-4, 0x1.2a90ab8511456p-4, 0x1.39f32d00efc76p-4, 0x1.48eedafe0d9cdp-4, 0x1.578479aa62bd4p-4, 0x1.65b4db5865622p-4, 0x1.7380df8093be9p-4, 0x1.80e971d22a6c1p-4, 0x1.8def89364dd6ap-4, 0x1.9a9426faad7d4p-4, 0x1.a6d855f875f8bp-4, 0x1.b2bd29cb91479p-4, 0x1.be43be103888p-4, 0x1.c96d35ae230e2p-4, 0x1.d43aba1f45603p-4, 0x1.dead7ad17080ap-4, 0x1.e8c6ac8ea2b28p-4, 0x1.f28788d70ed3ap-4, 0x1.fbf14d4f13351p-4, 0x1.02829da35cdabp-3, 0x1.06e24b98d39c6p-3, 0x1.0b18540e0c372p-3, 0x1.0f255ba188a58p-3, 0x1.130a07d4ef372p-3, 0x1.16c6fecf6ba6ep-3, 0x1.1a5ce72e6eb7cp-3, 0x1.1dcc67dcf979bp-3, 0x1.211627e1c8504p-3, 0x1.243ace2e3b16fp-3, 0x1.273b017fdf64fp-3, 0x1.2a176840a3c43p-3, 0x1.2cd0a857fb94cp-3, 0x1.2f676708642bfp-3, 0x1.31dc48dd8194fp-3, 0x1.342ff18faa85dp-3, 0x1.366303dd96f83p-3, 0x1.38762175ee8d6p-3, 0x1.3a69eaecd144ap-3, 0x1.3c3effa3956ffp-3, 0x1.3df5fda986c76p-3, 0x1.3f8f81af0e6ep-3, 0x1.410c270185576p-3, 0x1.426c87777fb7cp-3, 0x1.43b13b56ddba6p-3, 0x1.44dad94d0f809p-3, 0x1.45e9f670ad45dp-3, 0x1.46df263585d9ep-3, 0x1.47bafa54aadf3p-3, 0x1.487e02c729b67p-3, 0x1.4928cdccee3b2p-3, 0x1.49bbe7e774a5ep-3, 0x1.4a37dbc68c9dap-3, 0x1.4a9d3240721dap-3, 0x1.4aec725cd5e25p-3, 0x1.4b2621595a2eap-3, 0x1.4b4ac299baeacp-3, 0x1.4b5ad79a21ad6p-3, 0x1.4b56dff9434d1p-3, 0x1.4b3f598a02e99p-3, 0x1.4b14c04ede47dp-3, 0x1.4ad78e64340d1p-3, 0x1.4a883bfb9698bp-3, 0x1.4a273f7338508p-3, 0x1.49b50d6a53a03p-3, 0x1.493218b6485fap-3, 0x1.489ed24834e76p-3, 0x1.47fba92b65d86p-3, 0x1.47490aa54dfep-3, 0x1.4687625121164p-3, 0x1.45b71a160c738p-3, 0x1.44d89a059d496p-3, 0x1.43ec4853eeaf6p-3, 0x1.42f289783fd77p-3, 0x1.41ebc05551b4bp-3, 0x1.40d84e3c3d89ep-3, 0x1.3fb892c9e40aep-3, 0x1.3e8cebccf9ac6p-3, 0x1.3d55b558c4073p-3, 0x1.3c1349f5f6c53p-3, 0x1.3ac602bfc51f9p-3, 0x1.396e3750f2582p-3, 0x1.380c3d9aebbc2p-3, 0x1.36a069d8c9f53p-3, 0x1.352b0eb299befp-3, 0x1.33ac7d70d5541p-3, 0x1.3225060f5314p-3, 0x1.3094f7211a79bp-3, 0x1.2efc9da729acbp-3, 0x1.2d5c4508ffdf9p-3, 0x1.2bb4373bcf03fp-3, 0x1.2a04bcf619483p-3, 0x1.284e1dc254f8ep-3, 0x1.26909fe40d13ep-3, 0x1.24cc882d90041p-3, 0x1.230219f3715ebp-3, 0x1.2131972da32a3p-3, 0x1.1f5b40aa1ed3dp-3, 0x1.1d7f5629666cfp-3, 0x1.1b9e164e84537p-3, 0x1.19b7be76f8501p-3, 0x1.17cc8aa106bf8p-3, 0x1.15dcb57ab9d34p-3, 0x1.13e8788fc7641p-3, 0x1.11f00c71a2116p-3, 0x1.0ff3a8bd4df43p-3, 0x1.0df383fede804p-3, 0x1.0befd38e0b813p-3, 0x1.09e8cb83cc49p-3, 0x1.07de9ed3d825bp-3, 0x1.05d17f77b5a4fp-3, 0x1.03c19e8c5b731p-3, 0x1.01af2c4fd4f1bp-3, 0x1.ff34b00a72f7ep-4, 0x1.fb069faf0d5ap-4, 0x1.f6d481a77cf77p-4, 0x1.f29eae009e41dp-4, 0x1.ee657b044a63fp-4, 0x1.ea293d6d2d0afp-4, 0x1.e5ea48671e1fp-4, 0x1.e1a8ed63ea093p-4, 0x1.dd657be85d18bp-4, 0x1.d920417966745p-4, 0x1.d4d989b8ea447p-4, 0x1.d0919ea0bd127p-4, 0x1.cc48c8b72274ap-4, 0x1.c7ff4f1f9c1a8p-4, 0x1.c3b577849b607p-4, 0x1.bf6b85edc20eep-4, 0x1.bb21bca1b21b1p-4, 0x1.b6d85c2970f25p-4, 0x1.b28fa375081cfp-4, 0x1.ae47d00bdd585p-4, 0x1.aa011e2e55f7p-4, 0x1.a5bbc8d9ef5f5p-4, 0x1.a17809b3201e6p-4, 0x1.9d3618e615392p-4, 0x1.98f62d13df24cp-4, 0x1.94b87b5948332p-4, 0x1.907d376cac822p-4, 0x1.8c4493c2c66bep-4, 0x1.880ec1a8652cp-4, 0x1.83dbf147933b3p-4, 0x1.7fac519997d63p-4, 0x1.7b801050ea8ap-4, 0x1.775759c97ad04p-4, 0x1.73325909ed12p-4, 0x1.6f1137d679a59p-4, 0x1.6af41ecc0cf82p-4, 0x1.66db35775b5c9p-4, 0x1.62c6a25f83429p-4, 0x1.5eb68b02a1a67p-4, 0x1.5aab13c8d9039p-4, 0x1.56a45ff66c309p-4, 0x1.52a291a5db12ep-4, 0x1.4ea5c9ceae7cbp-4, 0x1.4aae285653b72p-4, 0x1.46bbcc2394e7p-4, 0x1.42ced32d522dp-4, 0x1.3ee75a80b0f1ep-4, 0x1.3b057e3e996ebp-4, 0x1.372959939828cp-4, 0x1.335306af758ap-4, 0x1.2f829ec2310e3p-4, 0x1.2bb83a014b278p-4, 0x1.27f3efb3afe81p-4, 0x1.2435d63f7ae5ep-4, 0x1.207e03350b713p-4, 0x1.1ccc8b5506231p-4, 0x1.1921829145b3ap-4, 0x1.157cfc097862fp-4, 0x1.11df0a063f743p-4, 0x1.0e47bdf65e137p-4, 0x1.0ab72870b7dc1p-4, 0x1.072d593b3a44ap-4, 0x1.03aa5f5461d7bp-4, 0x1.002e48fc3850ep-4, 0x1.f9724775decb7p-5, 0x1.f295f8c91eb98p-5, 0x1.ebc7be33ac97dp-5, 0x1.e507ae8decabcp-5, 0x1.de55df4351d06p-5, 0x1.d7b2645159197p-5, 0x1.d11d504c7ffabp-5, 0x1.ca96b46b2688cp-5, 0x1.c41ea0932bc75p-5, 0x1.bdb52366a2cf5p-5, 0x1.b75a4a4dbe106p-5, 0x1.b10e217dbd4f8p-5, 0x1.aad0b3fcfb3dep-5, 0x1.a4a20ba45d25bp-5, 0x1.9e82311f317d8p-5, 0x1.98712beb9a29ep-5, 0x1.926f025de6a31p-5, 0x1.8c7bb9a7aac45p-5, 0x1.869755e170b3bp-5, 0x1.80c1da14993b6p-5, 0x1.7afb4843e5cbp-5, 0x1.7543a17269fb7p-5, 0x1.6f9ae5a9238fap-5, 0x1.6a0113fb329dcp-5, 0x1.64762a88ae5b7p-5, 0x1.5efa268085bc2p-5, 0x1.598d0422b2645p-5, 0x1.542ebec415b1fp-5, 0x1.4edf50d498e71p-5, 0x1.499eb3e6bf78bp-5, 0x1.446ce0b757f98p-5, 0x1.3f49cf344f019p-5, 0x1.3a357682a6885p-5, 0x1.352fcd03b3d3bp-5, 0x1.3038c859a9419p-5, 0x1.2b505d6b38343p-5, 0x1.2676806667467p-5, 0x1.21ab24c327698p-5, 0x1.1cee3d46a700ep-5, 0x1.183fbc0820fc2p-5, 0x1.139f927719dbfp-5, 0x1.0f0db162318bp-5, 0x1.0a8a08fd79044p-5, 0x1.061488e817581p-5, 0x1.01ad20310c1bfp-5, 0x1.faa77ab479b87p-6, 0x1.f2109cb6c513p-6, 0x1.e995814a5daecp-6, 0x1.e136024751685p-6, 0x1.d8f1f88268e76p-6, 0x1.d0c93bd68244ap-6, 0x1.c8bba330ac13cp-6, 0x1.c0c9049e1c1f3p-6, 0x1.b8f13559c9406p-6, 0x1.b13409d717cacp-6, 0x1.a99155c867233p-6, 0x1.a208ec21d0bbbp-6, 0x1.9a9a9f199d97bp-6, 0x1.93464028e824dp-6, 0x1.8c0ba00ec62cep-6, 0x1.84ea8ed79fae3p-6, 0x1.7de2dbe94f86ep-6, 0x1.76f4561331b1ep-6, 0x1.701ecb9fce947p-6, 0x1.69620a64eaa39p-6, 0x1.62bddfce662d7p-6, 0x1.5c3218e16e54cp-6, 0x1.55be8237df92dp-6, 0x1.4f62e7f66bb38p-6, 0x1.491f15c26cc86p-6, 0x1.42f2d6bd090a2p-6, 0x1.3cddf5884471dp-6, 0x1.36e03c57fab26p-6, 0x1.30f9750d4593ep-6, 0x1.2b2969570b6c9p-6, 0x1.256fe2d086fc8p-6, 0x1.1fccab15d86abp-6, 0x1.1a3f8bc8b72afp-6, 0x1.14c84e830a1bap-6, 0x1.0f66bcb9e41a4p-6, 0x1.0a1a9f9851028p-6, 0x1.04e3bfdce3c6p-6, 0x1.ff83cb8b16f09p-7, 0x1.f569b225cef17p-7, 0x1.eb78c24dffb7cp-7, 0x1.e1b08a78200b4p-7, 0x1.d8109952cc816p-7, 0x1.ce987e4e74187p-7, 0x1.c547ca01f4955p-7, 0x1.bc1e0e50598d3p-7, 0x1.b31ade418f126p-7, 0x1.aa3dcd911956ap-7, 0x1.a1867008a759ep-7, 0x1.98f458cbcadebp-7, 0x1.908719c035d4ep-7, 0x1.883e433b58d66p-7, 0x1.80196411015ccp-7, 0x1.78180a09f03d5p-7, 0x1.7039c2b11b686p-7, 0x1.687e1c5170ee1p-7, 0x1.60e4a6ef7eb35p-7, 0x1.596cf5083a939p-7, 0x1.52169be754fa2p-7, 0x1.4ae1337cbb48dp-7, 0x1.43cc55b3c4345p-7, 0x1.3cd79d6acc936p-7, 0x1.3602a54110a1fp-7, 0x1.2f4d067ba8589p-7, 0x1.28b65840f37f5p-7, 0x1.223e2f58ee72ep-7, 0x1.1be41e865629ap-7, 0x1.15a7b76c634d7p-7, 0x1.0f888bd6b849p-7, 0x1.09862f2370995p-7, 0x1.03a0378610652p-7, 0x1.fbac7dc094404p-8, 0x1.f04fc603a2a41p-8, 0x1.e5298a7defd47p-8, 0x1.da3912e13f4e6p-8, 0x1.cf7da9202e272p-8, 0x1.c4f6966e4c146p-8, 0x1.baa320a814cd6p-8, 0x1.b08288ad7b4efp-8, 0x1.a6940a09cd036p-8, 0x1.9cd6dbff37283p-8, 0x1.934a33c36e022p-8, 0x1.89ed477e5fe61p-8, 0x1.80bf51720d0d3p-8, 0x1.77bf92aac958dp-8, 0x1.6eed54aa15f94p-8, 0x1.6647e9b150e65p-8, 0x1.5dceab942b7c2p-8, 0x1.5580f948b5ef4p-8, 0x1.4d5e33ac3e1fp-8, 0x1.4565ba23353ddp-8, 0x1.3d96e7c42af01p-8, 0x1.35f111a5b9828p-8, 0x1.2e7386ad78787p-8, 0x1.271d90f36b8e5p-8, 0x1.1fee787df058ap-8, 0x1.18e586d8de755p-8, 0x1.12020ae0b6bbcp-8, 0x1.0b435c0d6e4f8p-8, 0x1.04a8dc9cde5a6p-8, 0x1.fc63f4519a8fdp-9, 0x1.efbc58f44ea35p-9, 0x1.e359e573d1797p-9, 0x1.d73b9edc72e76p-9, 0x1.cb6087e4a8fdcp-9, 0x1.bfc7987ccb83p-9, 0x1.b46fb7695f79ep-9, 0x1.a957b734aea9cp-9, 0x1.9e7e5724df594p-9, 0x1.93e247eced3b1p-9, 0x1.89823386bd08ap-9, 0x1.7f5cc6f2d70c3p-9, 0x1.7570bc54c23e9p-9, 0x1.6bbce3daab5abp-9, 0x1.62402a06c9ec3p-9, 0x1.58f99a5505d79p-9, 0x1.4fe85dbf72123p-9, 0x1.470bb544f565fp-9, 0x1.3e62f13357b99p-9, 0x1.35ed667d45079p-9, 0x1.2daa63b67f34bp-9, 0x1.259927629a0bdp-9, 0x1.1db8d90f12c8cp-9, 0x1.1608862249ab7p-9, 0x1.0e8722cfdd87dp-9, 0x1.07338f15d92a2p-9, 0x1.000c9ececaf8p-9, 0x1.f22247bc69d0ep-10, 0x1.e47ff213892e2p-10, 0x1.d73017aa0e2e2p-10, 0x1.ca30c80f1e038p-10, 0x1.bd804f9d5927p-10, 0x1.b11d380c7b038p-10, 0x1.a50641c5d4f37p-10, 0x1.993a5788a54bdp-10, 0x1.8db87e7dba062p-10, 0x1.827fc4e67c93dp-10, 0x1.778f315720a9ap-10, 0x1.6ce5b40f22626p-10, 0x1.62821bc582b5p-10, 0x1.58630f036bd51p-10, 0x1.4e870aebf9908p-10, 0x1.44ec67e613f71p-10, 0x1.3b9163f4bebd1p-10, 0x1.32743199c3938p-10, 0x1.299309091de9cp-10, 0x1.20ec389035673p-10, 0x1.187e30e297526p-10, 0x1.10478ad83e48p-10, 0x1.084706084bc0bp-10, 0x1.007b81ec467e9p-10, 0x1.f1c7e9ac3d667p-11, 0x1.e2fec86899a62p-11, 0x1.d499c059561e6p-11, 0x1.c697048ee0965p-11, 0x1.b8f4d9dab6deep-11, 0x1.abb191e83370ep-11, 0x1.9ecb7f4789655p-11, 0x1.9240e3c14d022p-11, 0x1.860fde8b80e43p-11, 0x1.7a3661bdd0024p-11, 0x1.6eb234b7be7f2p-11, 0x1.638104b43df09p-11, 0x1.58a07f65d189cp-11, 0x1.4e0e6f4c9a722p-11, 0x1.43c8d02b7b317p-11, 0x1.39cdd419243b7p-11, 0x1.301bd69794833p-11, 0x1.26b141a3652f6p-11, 0x1.1d8c6ea1241ccp-11, 0x1.14ab8ff80c59ep-11, 0x1.0c0cade8f35bp-11, 0x1.03adb9ea35aefp-11, 0x1.f719643f2998fp-12, 0x1.e74f8da5a1873p-12, 0x1.d7fae459c5ba6p-12, 0x1.c918eff1e2e0ep-12, 0x1.baa79b5de0b63p-12, 0x1.aca4eaec2c6fdp-12, 0x1.9f0eb8428cc87p-12, 0x1.91e28fa5b50bp-12, 0x1.851db9404c305p-12, 0x1.78bd65b009481p-12, 0x1.6cbee8425bf51p-12, 0x1.611fe6e20aed4p-12, 0x1.55de6da99be18p-12, 0x1.4af8ddbdc745bp-12, 0x1.406db9c6fce49p-12, 0x1.363b5cdaa044fp-12, 0x1.2c5fb15b0b5eap-12, 0x1.22d800fbd1107p-12, 0x1.19a0f29c034b1p-12, 0x1.10b6bd906e8fap-12, 0x1.08158786814a7p-12, 0x1.ff73a1c907398p-13, 0x1.ef419640ac3b6p-13, 0x1.df90f4a282f4dp-13, 0x1.d05f2df51291cp-13, 0x1.c1aa7e62142ebp-13, 0x1.b37133d281869p-13, 0x1.a5b1237f630d2p-13, 0x1.98677a5f5d573p-13, 0x1.8b90e6fc8318p-13, 0x1.7f29f9c5d1867p-13, 0x1.732f8e867e6dfp-13, 0x1.679f1808b07cbp-13, 0x1.5c76b361fa42bp-13, 0x1.51b4fa85eea3fp-13, 0x1.4758a42ba81b4p-13, 0x1.3d6011bb3f729p-13, 0x1.33c8ef2ab7dcdp-13, 0x1.2a8ffcfe6b25cp-13, 0x1.21b10dbc376bp-13, 0x1.192738107558dp-13, 0x1.10ed367e0a3acp-13, 0x1.08fde7267a5e9p-13, 0x1.0154d3717bdd5p-13, 0x1.f3dd2f0aee1c6p-14, 0x1.e592110e8f558p-14, 0x1.d7c60af91768p-14, 0x1.ca78002228bd2p-14, 0x1.bda6d71cbca14p-14, 0x1.b15097126089cp-14, 0x1.a572117abe72ep-14, 0x1.9a07210d37f0cp-14, 0x1.8f0b4fd5504edp-14, 0x1.847a99050dd9fp-14, 0x1.7a51f0e44c819p-14, 0x1.708f4ffde9853p-14, 0x1.67313bdb6eb7ep-14, 0x1.5e3612a116a86p-14, 0x1.559b7d39913c4p-14, 0x1.4d5e45fddabaap-14, 0x1.457a8bde27b99p-14, 0x1.3dec187d09514p-14, 0x1.36ae9dce207e5p-14, 0x1.2fbdc5301f22p-14, 0x1.2915270171ef7p-14, 0x1.22b055a0f94ep-14, 0x1.1c8b1700d9a7p-14, 0x1.16a1c4787b1b4p-14, 0x1.10f1a7fb644aep-14, 0x1.0b791e7013e52p-14, 0x1.0637569fe9e3bp-14, 0x1.012bbb5df0bc8p-14, 0x1.f8aaa9ff6d8e1p-15, 0x1.ef64eba2172ebp-15, 0x1.e681a396da003p-15, 0x1.ddfbd01c16867p-15, 0x1.d5cf0835b63bfp-15, 0x1.cdf81cb22b874p-15, 0x1.c674e80ab7cf1p-15, 0x1.bf43691275503p-15, 0x1.b860da7fbecap-15, 0x1.b1c96f802de9fp-15, 0x1.ab78bf84d5e71p-15, 0x1.a56a6ede63b3p-15, 0x1.9f9aa773cf042p-15, 0x1.9a063d49f7bc3p-15, 0x1.94aa8f5e29b12p-15, 0x1.8f85445462652p-15, 0x1.8a940275a489ap-15, 0x1.85d43f26e4b7bp-15, 0x1.814335b3589eep-15, 0x1.7cde003bc62ep-15, 0x1.78a1c34203e25p-15, 0x1.748be54d33f6bp-15, 0x1.709a49ee4e813p-15, 0x1.6ccb682d5677bp-15, 0x1.691e0f5f61b69p-15, 0x1.6590f10288f83p-15, 0x1.62225008b13c4p-15, 0x1.5ed023df23ecep-15, 0x1.5b988c564b1dap-15, 0x1.587a11dbd8941p-15, 0x1.5573649e489c2p-15, 0x1.5282f3c6e0531p-15, 0x1.4fa6e3aa5b142p-15, 0x1.4cdd5f34cc49p-15, 0x1.4a24dad1fc601p-15, 0x1.477c13d9d9af5p-15, 0x1.44e1ea54c7d3ap-15, 0x1.425540e6a7124p-15, 0x1.3fd4f546a3213p-15, 0x1.3d5fef572b8a4p-15, 0x1.3af53a5b94faap-15, 0x1.38941681ce007p-15, 0x1.363bf54ea04efp-15, 0x1.33ec5dfcee45p-15, 0x1.31a4bb863e99dp-15, 0x1.2f6423e2c890bp-15, 0x1.2d294a0adcaep-15, 0x1.2af2ce6f65ee4p-15, 0x1.28bfd96f2f8e9p-15, 0x1.26907b060953p-15, 0x1.2465285c34e7p-15, 0x1.223d88927c2b5p-15, 0x1.2017f41e1ef8cp-15, 0x1.1df294ae046c8p-15, 0x1.1bccc58a94517p-15, 0x1.19a7147e22857p-15, 0x1.1781d673a5d5ap-15, 0x1.155c4e4785c17p-15, 0x1.13354ab3d9457p-15, 0x1.110c24cf9d56dp-15, 0x1.0ee0e1966ce32p-15, 0x1.0cb3b8e2c7ce2p-15, 0x1.0a84ac705c51p-15, 0x1.0853617dbf8d6p-15, 0x1.061f2ae20b11dp-15, 0x1.03e7375223364p-15, 0x1.01aadb782bd1ep-15, 0x1.fed3d3697f06p-16, 0x1.fa4a0831be54cp-16, 0x1.f5bb1fd70e2edp-16, 0x1.f12974bbb1219p-16, 0x1.ec942bcee9e35p-16, 0x1.e7f74e72b6bffp-16, 0x1.e34f7f9f14d47p-16, 0x1.de9cc6363fd3ep-16, 0x1.d9e0b2c6513f8p-16, 0x1.d51afe6758211p-16, 0x1.d04a85dc7ba6fp-16, 0x1.cb709fe9747dp-16, 0x1.c690386f39118p-16, 0x1.c1a9b7dc15f43p-16, 0x1.bcbaca9a14d84p-16, 0x1.b7c282ddbb9ep-16, 0x1.b2c2fc7d064f4p-16, 0x1.adbdbca1cba29p-16, 0x1.a8b0f71caa57ap-16, 0x1.a39a3f82a66d6p-16, 0x1.9e79961ada5bfp-16, 0x1.9950a2fe37a03p-16, 0x1.9420acd12b31p-16, 0x1.8ee9ca2b3ada1p-16, 0x1.89ab3189940b1p-16, 0x1.8463e6842de84p-16, 0x1.7f134cfeaf0dcp-16, 0x1.79b9dbe89a624p-16, 0x1.745a2e9a501a6p-16, 0x1.6ef7fd8a804c4p-16, 0x1.6993a2fbe798bp-16, 0x1.64297d9f4eaeap-16, 0x1.5eb828e864665p-16, 0x1.59428ea85061ep-16, 0x1.53c9fa446a839p-16, 0x1.4e4c032090e67p-16, 0x1.48c7599c1d096p-16, 0x1.433d4aa5c0698p-16, 0x1.3daf6a3422076p-16, 0x1.381e61a27f065p-16, 0x1.328a0cbfe769cp-16, 0x1.2cf20cecfdc46p-16, 0x1.27570c6b09bc1p-16, 0x1.21baf74dc36f4p-16, 0x1.1c1e6492e615dp-16, 0x1.16801359e9ac3p-16, 0x1.10e0973b55674p-16, 0x1.0b420bd30d592p-16, 0x1.05a3cb734485ap-16, 0x1.0003b1858955cp-16, 0x1.f4c38f9c80bbp-17, 0x1.e97eed8ba8c3bp-17, 0x1.de3b507477621p-17, 0x1.d2f8ff788c4fdp-17, 0x1.c7b71f397c873p-17, 0x1.bc75dc9dc1bc5p-17, 0x1.b139a46066085p-17, 0x1.a6059c340c6a6p-17, 0x1.9ad66ccd81422p-17, 0x1.8fac845d2bc98p-17, 0x1.848bd0111eba9p-17, 0x1.79714356f2941p-17, 0x1.6e59f2a701802p-17, 0x1.63488899b4c3dp-17, 0x1.583ff01b4b359p-17, 0x1.4d4125265c1d2p-17, 0x1.424c4e1352bd1p-17, 0x1.37619202ee2a4p-17, 0x1.2c81477916494p-17, 0x1.21abe46a21d76p-17, 0x1.16e1e919344f1p-17, 0x1.0c23dd18cfc1cp-17, 0x1.017257a54b07dp-17, 0x1.ed9ba03d222c7p-18, 0x1.d86c0587c07a1p-18, 0x1.c353f2fd11f45p-18, 0x1.ae54c01e2846fp-18, 0x1.99746a05fde3dp-18, 0x1.84b57014dca7ep-18, 0x1.7018b59433bb2p-18, 0x1.5b9f9c31744ddp-18, 0x1.4745bdc271228p-18, 0x1.33083bbe1cbd6p-18, 0x1.1ee79d241fbb5p-18, 0x1.0ae6c7b7951e9p-18, 0x1.ee1a5ac2a0dcdp-19, 0x1.c6b7b4818a2dcp-19, 0x1.9fa69e3120515p-19, 0x1.78e58721f46d3p-19, 0x1.526937c287b41p-19, 0x1.2c35e49ccd102p-19, 0x1.06537d2bb799ep-19, 0x1.c188707194411p-20, 0x1.7710531f59e7bp-20, 0x1.2d3f2d6cb4e7ep-20, 0x1.c82cd415b44c6p-21, 0x1.372fd81d79569p-21, 0x1.4f16fe5b857dbp-22, 0x1.943e1cf4fa33ep-25, -0x1.ce8c3d9629b76p-23, -0x1.fe4b3d2180fb5p-22, -0x1.894054a4703d8p-21, -0x1.08f7f75d5f29ep-20, -0x1.4c98a1ee7b398p-20, -0x1.8f808f98e408dp-20, -0x1.d1ae174e728e4p-20, -0x1.098fc7b0692f2p-19, -0x1.29e9a898a96dp-19, -0x1.49e3dd59faefdp-19, -0x1.697da71e45a77p-19, -0x1.88b6aea72a1f9p-19, -0x1.a78ff1d89ef52p-19, -0x1.c60ba095ac7e9p-19, -0x1.e429fa20c6cbcp-19, -0x1.00f2caa0a1af2p-18, -0x1.0f9c1330a13b7p-18, -0x1.1e1260d27de77p-18, -0x1.2c58c497c1f9ep-18, -0x1.3a6f6a9c5bf2dp-18, -0x1.4853f2fd2a3dcp-18, -0x1.5605b7c4a8508p-18, -0x1.63850757c4621p-18, -0x1.70d217e4ff60bp-18, -0x1.7decf4fa4939bp-18, -0x1.8ad5980fbe43ap-18, -0x1.978bf6844f116p-18, -0x1.a410064bc84d2p-18, -0x1.b061bb803b649p-18, -0x1.bc8129ac46296p-18, -0x1.c86e407239c45p-18, -0x1.d428e643ae38bp-18, -0x1.dfb15cb48aefcp-18, -0x1.eb079fc559999p-18, -0x1.f62ba2e53502cp-18, -0x1.008ec88471076p-17, -0x1.05eebae9b2bf3p-17, -0x1.0b35baf2fa755p-17, -0x1.1063cef745b13p-17, -0x1.157904b8d70f5p-17, -0x1.1a756c311aeb5p-17, -0x1.1f59184ad064cp-17, -0x1.24241b6362ebap-17, -0x1.28d68317f0aep-17, -0x1.2d706b2ebbcd3p-17, -0x1.31f220c312974p-17, -0x1.365b9e18a2bc1p-17, -0x1.3aac9518148ccp-17, -0x1.3ee569441b026p-17, -0x1.43066cbc9437ep-17, -0x1.470f82847e519p-17, -0x1.4b00c8558f71bp-17, -0x1.4eda78e6ba87cp-17, -0x1.529c9bb53193ap-17, -0x1.5647332f0c397p-17, -0x1.59da881ace59dp-17, -0x1.5d56ca22404e3p-17, -0x1.60bc04f8d871dp-17, -0x1.640a5788dac99p-17, -0x1.6741ea27a5d1fp-17, -0x1.6a62e46f9385ep-17, -0x1.6d6d6d0a9f92bp-17, -0x1.7061aab4baecp-17, -0x1.733fc4b53ae1fp-17, -0x1.7607e304bd862p-17, -0x1.78ba2e55bc8bp-17, -0x1.7b56d0109c76p-17, -0x1.7dddf245c2181p-17, -0x1.804fbf93a048dp-17, -0x1.82ac630a542c6p-17, -0x1.84f408208cb03p-17, -0x1.8726dabf332b6p-17, -0x1.8945076eb57p-17, -0x1.8b4ebb9936db1p-17, -0x1.8d442570d4d39p-17, -0x1.8f2572a8b0b05p-17, -0x1.90f2cfd888321p-17, -0x1.92ac6fd9eec7bp-17, -0x1.94528675963e1p-17, -0x1.95e532d61dd97p-17, -0x1.9764b3cc01d4fp-17, -0x1.98d137d46e782p-17, -0x1.9a2ae910b05b8p-17, -0x1.9b71fa29e57e5p-17, -0x1.9ca69d67fa636p-17, -0x1.9dc9045a6f6a7p-17, }}, 
      {{-0x1.270f5a4ad8202p+0, -0x1.2481d8d22023cp+0, -0x1.20672bb28eeaep+0, -0x1.1aed00992afd6p+0, -0x1.144675609b851p+0, -0x1.0ca7f6f6c8c8p+0, -0x1.04448fe01d1e5p+0, -0x1.f6986a1c250c8p-1, -0x1.e3d58a375ecdap-1, -0x1.d08f0a125fba2p-1, -0x1.bd09e8d511f26p-1, -0x1.a981baaba2795p-1, -0x1.96291785ac1bep-1, -0x1.832a3ad17e6a3p-1, -0x1.70a7be73545dep-1, -0x1.5ebd60e6591bp-1, -0x1.4d80cbad450f4p-1, -0x1.3d025247ac36dp-1, -0x1.2d4da568201eap-1, -0x1.1e6a781c5ba34p-1, -0x1.105d163d8d1a9p-1, -0x1.0326ec1a3a577p-1, -0x1.ed8dff98925bbp-2, -0x1.d674b98b83826p-2, -0x1.c0f8e5075e5f9p-2, -0x1.ad0ecea1227d3p-2, -0x1.9aa8c04365a66p-2, -0x1.89b77d3279a49p-2, -0x1.7a2aac445630dp-2, -0x1.6bf13236314e7p-2, -0x1.5ef97de666afbp-2, -0x1.5331c822d0d78p-2, -0x1.4888488aad55dp-2, -0x1.3eeb60f45579p-2, -0x1.3649c09ec3ee9p-2, -0x1.2e92804291edbp-2, -0x1.27b5381406575p-2, -0x1.21a210a351fbdp-2, -0x1.1c49cf4c6ab26p-2, -0x1.179ddefee33abp-2, -0x1.139055eb430ffp-2, -0x1.1013f89ea84c6p-2, -0x1.0d1c3b0123d1dp-2, -0x1.0a9d3f8f9cc6p-2, -0x1.088bd530bacfep-2, -0x1.06dd73eade655p-2, -0x1.058838ae0b0fdp-2, -0x1.0482e06cf20abp-2, -0x1.03c4c2af6462fp-2, -0x1.0345cbc0cf0ddp-2, -0x1.02fe769a46104p-2, -0x1.02e7c6a1b6eb2p-2, -0x1.02fb41533e845p-2, -0x1.0332e7e5f3568p-2, -0x1.03893100a6bbep-2, -0x1.03f90277491e7p-2, -0x1.047dab39d1546p-2, -0x1.0512dd563fee3p-2, -0x1.05b4a8381c0cep-2, -0x1.065f730d0648ap-2, -0x1.070ff75fa29bep-2, -0x1.07c33be92ce4dp-2, -0x1.08768f99b0f2dp-2, -0x1.092784d81d104p-2, -0x1.09d3ecf9f7a07p-2, -0x1.0a79d3f21433ep-2, -0x1.0b177c359898ep-2, -0x1.0bab5ad6eef39p-2, -0x1.0c3413d691124p-2, -0x1.0cb076a86c608p-2, -0x1.0d1f7aed49d18p-2, -0x1.0d803d5b5caacp-2, -0x1.0dd1fcd547d3fp-2, -0x1.0e1417a97e997p-2, -0x1.0e4608fe3d013p-2, -0x1.0e6766669d86ep-2, -0x1.0e77dd9c3d72bp-2, -0x1.0e77326e5b6d7p-2, -0x1.0e653ccaff519p-2, -0x1.0e41e6f0fb38cp-2, -0x1.0e0d2bbf5982bp-2, -0x1.0dc71517649fep-2, -0x1.0d6fba5dda3c6p-2, -0x1.0d073f12e3968p-2, -0x1.0c8dd189e6ee9p-2, -0x1.0c03a9bcd170ap-2, -0x1.0b69083f7ade8p-2, -0x1.0abe3548a1918p-2, -0x1.0a037fce5bb6dp-2, -0x1.09393cb209c82p-2, -0x1.085fc5f39daa3p-2, -0x1.077779f298507p-2, -0x1.0680bab9f79cfp-2, -0x1.057bed5be8c7bp-2, -0x1.0469796070041p-2, -0x1.0349c842edc7cp-2, -0x1.021d450495496p-2, -0x1.00e45bc92896fp-2, -0x1.ff3ef2ff303dcp-3, -0x1.fc9e1720b4aa7p-3, -0x1.f9e6ff23be956p-3, -0x1.f71a85f88d6b6p-3, -0x1.f43985ce2b49ap-3, -0x1.f144d78a3a288p-3, -0x1.ee3d52542e55ep-3, -0x1.eb23cb2bbc765p-3, -0x1.e7f9148f1b01p-3, -0x1.e4bdfe2d5db7bp-3, -0x1.e17354af17a09p-3, -0x1.de19e17ab25e2p-3, -0x1.dab26a93b5aa8p-3, -0x1.d73db277627bfp-3, -0x1.d3bc77fb9f05cp-3, -0x1.d02f7633a4f1dp-3, -0x1.cc97645e87af4p-3, -0x1.c8f4f5c7471e6p-3, -0x1.c548d9b347cbep-3, -0x1.c193bb579ef5dp-3, -0x1.bdd641bd44beap-3, -0x1.ba110fbf3d964p-3, -0x1.b644c3fdc4e29p-3, -0x1.b271f8dc04f04p-3, -0x1.ae99447f9f52p-3, -0x1.aabb38d3b4b16p-3, -0x1.a6d8638f5c3b9p-3, -0x1.a2f14e3edd61ap-3, -0x1.9f067e4ea328fp-3, -0x1.9b187515cdd92p-3, -0x1.9727afeb2a5cp-3, -0x1.9334a829b1a65p-3, -0x1.8f3fd3491baefp-3, -0x1.8b49a2e8e8bd1p-3, -0x1.875284e1ed924p-3, -0x1.835ae3564148cp-3, -0x1.7f6324c1ca67bp-3, -0x1.7b6bac0ac4ed8p-3, -0x1.7774d89278bb4p-3, -0x1.737f06464e1e7p-3, -0x1.6f8a8db0ded61p-3, -0x1.6b97c40c070ecp-3, -0x1.67a6fb50ac8d4p-3, -0x1.63b8824e3041ap-3, -0x1.5fcca4b37503p-3, -0x1.5be3ab2b0c5b4p-3, -0x1.57fddb675e96p-3, -0x1.541b78379e9bep-3, -0x1.503cc199f1cdfp-3, -0x1.4c61f4cdf6dfbp-3, -0x1.488b4c6736b45p-3, -0x1.44b9005fa6d33p-3, -0x1.40eb462982f9dp-3, -0x1.3d2250c1029d9p-3, -0x1.395e50bea6994p-3, -0x1.359f74682e0cap-3, -0x1.31e5e7c1a0579p-3, -0x1.2e31d49dd0814p-3, -0x1.2a8362af5f492p-3, -0x1.26dab798e3f45p-3, -0x1.2337f6fc31494p-3, -0x1.1f9b4289d033ep-3, -0x1.1c04ba114d844p-3, -0x1.18747b8e78d3ap-3, -0x1.14eaa3390419ep-3, -0x1.11674b92c44bdp-3, -0x1.0dea8d755486cp-3, -0x1.0a74801f9df73p-3, -0x1.07053943b511fp-3, -0x1.039ccd13ffd81p-3, -0x1.003b4e4f7220ep-3, -0x1.f9c19c9b7ce85p-4, -0x1.f31aba1880fc3p-4, -0x1.ec821277e5d29p-4, -0x1.e5f7c09246e8dp-4, -0x1.df7bdccea3fddp-4, -0x1.d90e7d408c0a9p-4, -0x1.d2afb5b1b6e2fp-4, -0x1.cc5f97be92c31p-4, -0x1.c61e32e8f8e77p-4, -0x1.bfeb94af36738p-4, -0x1.b9c7c895d04b1p-4, -0x1.b3b2d843aa96fp-4, -0x1.adaccb8da4174p-4, -0x1.a7b5a88bb0b2ap-4, -0x1.a1cd73a9df0bep-4, -0x1.9bf42fb77dd36p-4, -0x1.9629ddf6c9f66p-4, -0x1.906e7e2d99413p-4, -0x1.8ac20eb598a2dp-4, -0x1.85248c8a539efp-4, -0x1.7f95f3563d8aap-4, -0x1.7a163d80c008p-4, -0x1.74a5643d1ff3ep-4, -0x1.6f435f981c58bp-4, -0x1.69f026835c5d1p-4, -0x1.64abaee07cf7bp-4, -0x1.5f75ed8d92027p-4, -0x1.5a4ed6720d293p-4, -0x1.55365c89fcb2bp-4, -0x1.502c71ef74edep-4, -0x1.4b3107e3d426p-4, -0x1.46440eda64529p-4, -0x1.41657683459c1p-4, -0x1.3c952dd3f7224p-4, -0x1.37d32313b187dp-4, -0x1.331f43daf601dp-4, -0x1.2e797d23e91afp-4, -0x1.29e1bb4f03b87p-4, -0x1.2557ea2d96e1bp-4, -0x1.20dbf509250fap-4, -0x1.1c6dc6a693274p-4, -0x1.180d494f43441p-4, -0x1.13ba66d938294p-4, -0x1.0f7508ac1b6b9p-4, -0x1.0b3d17ca231adp-4, -0x1.07127cd4dffa4p-4, -0x1.02f52011462ap-4, -0x1.fdc9d2db3a3bfp-5, -0x1.f5c38110c569cp-5, -0x1.edd7196d57e5fp-5, -0x1.e6046a125e167p-5, -0x1.de4b409fa659ap-5, -0x1.d6ab6a3ae5421p-5, -0x1.cf24b39961dd3p-5, -0x1.c7b6e90b601d3p-5, -0x1.c061d686c4d2ap-5, -0x1.b92547aedd75bp-5, -0x1.b20107d9bf81cp-5, -0x1.aaf4e215a22fap-5, -0x1.a400a13059315p-5, -0x1.9d240fc0c9bb9p-5, -0x1.965ef82fe5d2p-5, -0x1.8fb124bf5d681p-5, -0x1.891a5f8dd35efp-5, -0x1.829a72990da88p-5, -0x1.7c3127c6e9305p-5, -0x1.75de48e756454p-5, -0x1.6fa19fbfdf83bp-5, -0x1.697af611222c1p-5, -0x1.636a1599a9f83p-5, -0x1.5d6ec8191bc18p-5, -0x1.5788d752f8b5dp-5, -0x1.51b80d1340c1bp-5, -0x1.4bfc33349ad35p-5, -0x1.465513a65013dp-5, -0x1.40c27870a57ccp-5, -0x1.3b442bb73b7afp-5, -0x1.35d9f7ba8af9fp-5, -0x1.3083a6d9fea87p-5, -0x1.2b4103980a0e3p-5, -0x1.2611d89eb5182p-5, -0x1.20f5f0c456ca5p-5, -0x1.1bed170f48696p-5, -0x1.16f716b65c674p-5, -0x1.1213bb206e7ffp-5, -0x1.0d42cfec0745dp-5, -0x1.088420efa38e6p-5, -0x1.03d77a36b512cp-5, -0x1.fe7950187a879p-6, -0x1.f566edebc1f79p-6, -0x1.ec776783b6b68p-6, -0x1.e3aa56ff6519bp-6, -0x1.daff570094225p-6, -0x1.d27602b150d3ap-6, -0x1.ca0df5c8e0225p-6, -0x1.c1c6cc9119bcap-6, -0x1.b9a023eb2fc0fp-6, -0x1.b1999952b4cc1p-6, -0x1.a9b2cadee7695p-6, -0x1.a1eb57431b9fcp-6, -0x1.9a42ddcf92467p-6, -0x1.92b8fe73a0011p-6, -0x1.8b4d59c0c86afp-6, -0x1.83ff90eda0f5cp-6, -0x1.7ccf45dc58ep-6, -0x1.75bc1b17ce982p-6, -0x1.6ec5b3d8560a7p-6, -0x1.67ebb4020187bp-6, -0x1.612dc02489d7dp-6, -0x1.5a8b7d7cf0ebap-6, -0x1.540491f774c71p-6, -0x1.4d98a431f73b2p-6, -0x1.47475b7e264aep-6, -0x1.41105fe2da9b2p-6, -0x1.3af35a1c912f4p-6, -0x1.34eff39d41e51p-6, -0x1.2f05d68c1d4edp-6, -0x1.2934adc5afe2cp-6, -0x1.237c24dcae0c8p-6, -0x1.1ddbe81b32f2cp-6, -0x1.1853a4842487dp-6, -0x1.12e307d432f9fp-6, -0x1.0d89c08248962p-6, -0x1.08477dbf6b863p-6, -0x1.031bef76463p-6, -0x1.fc0d8c9564cbbp-7, -0x1.f20f67331a221p-7, -0x1.e83cd2f1e6d57p-7, -0x1.de953571a0d97p-7, -0x1.d517f5c6698fp-7, -0x1.cbc47c7948942p-7, -0x1.c29a338a601f5p-7, -0x1.b998866c8e227p-7, -0x1.b0bee2059ef59p-7, -0x1.a80cb4ae06f82p-7, -0x1.9f816e2f40939p-7, -0x1.971c7fc277a5cp-7, -0x1.8edd5c10e7cbfp-7, -0x1.86c37733c5deap-7, -0x1.7ece46b3d6639p-7, -0x1.76fd4188e2396p-7, -0x1.6f4fe018a58fcp-7, -0x1.67c59c357177cp-7, -0x1.605df11c97f91p-7, -0x1.59185b74bc01ap-7, -0x1.51f4594c6a843p-7, -0x1.4af16a18d82e7p-7, -0x1.440f0eb4f2941p-7, -0x1.3d4cc96079a7ap-7, -0x1.36aa1dbedeef6p-7, -0x1.302690d52fb42p-7, -0x1.29c1a909ba16bp-7, -0x1.237aee2217c12p-7, -0x1.1d51e940d31fap-7, -0x1.174624e47ee0ap-7, -0x1.11572ce45ac16p-7, -0x1.0b848e6f49b36p-7, -0x1.05cdd80a5a5f7p-7, -0x1.0032998f1d8ebp-7, -0x1.f564c8540f63cp-8, -0x1.ea9994b172266p-8, -0x1.e002bfd03e18ep-8, -0x1.d59f73e506baap-8, -0x1.cb6eddbaefcd2p-8, -0x1.c1702caf5bf9cp-8, -0x1.b7a292ad96f6ap-8, -0x1.ae05442a90471p-8, -0x1.a4977820a3c68p-8, -0x1.9b58680bb7352p-8, -0x1.92474fe53d4fp-8, -0x1.89636e2041e4fp-8, -0x1.80ac03a5318fap-8, -0x1.782053cdc719fp-8, -0x1.6fbfa46061351p-8, -0x1.67893d8b579b9p-8, -0x1.5f7c69e06118ap-8, -0x1.5798764fbe2abp-8, -0x1.4fdcb223895e3p-8, -0x1.48486efb4e4e7p-8, -0x1.40db00c7d3e0fp-8, -0x1.3993bdc757a84p-8, -0x1.3271fe7fdd42p-8, -0x1.2b751dadb1c28p-8, -0x1.249c7851daa14p-8, -0x1.1de76dcf6db9cp-8, -0x1.17555f9de74f4p-8, -0x1.10e5b1428368bp-8, -0x1.0a97c89240ba4p-8, -0x1.046b0d91170ffp-8, -0x1.fcbdd4ac77e1ep-9, -0x1.f0e59629d346cp-9, -0x1.e54c3c3363905p-9, -0x1.d9f0a78afd3a7p-9, -0x1.ced1bd115b2a4p-9, -0x1.c3ee65bbf2793p-9, -0x1.b9458e8a3a13bp-9, -0x1.aed6287a7e5f7p-9, -0x1.a49f287eaac0ap-9, -0x1.9a9f877171b16p-9, -0x1.90d6420c4d068p-9, -0x1.874258de5f616p-9, -0x1.7de2d04420dc2p-9, -0x1.74b6b05f734acp-9, -0x1.6bbd050fa6288p-9, -0x1.62f4dde8e3a73p-9, -0x1.5a5d4e2a6d2f9p-9, -0x1.51f56cb2ee1dbp-9, -0x1.49bc53f38a3adp-9, -0x1.41b121e5edc52p-9, -0x1.39d2f7ffc0ae1p-9, -0x1.3220fb2881b73p-9, -0x1.2a9a53ae2c7f8p-9, -0x1.233e2d3da235bp-9, -0x1.1c0bb6dcfe4f7p-9, -0x1.150222e500802p-9, -0x1.0e20a6f9ba19ap-9, -0x1.07667c01e7f6dp-9, -0x1.00d2de1c8469bp-9, -0x1.f4ca19298d4cbp-10, -0x1.e83893aa0aa84p-10, -0x1.dbefb6b34320bp-10, -0x1.cfee1349b4e14p-10, -0x1.c432406979e7ap-10, -0x1.b8badaf62f38bp-10, -0x1.ad8685af4e5e3p-10, -0x1.a293e92663262p-10, -0x1.97e1b3b595d2fp-10, -0x1.8d6e9972fae34p-10, -0x1.8339541f3a84cp-10, -0x1.7940a311412cep-10, -0x1.6f834b19bb42ap-10, -0x1.660016658a735p-10, -0x1.5cb5d46469c23p-10, -0x1.53a359adab348p-10, -0x1.4ac77fee245eep-10, -0x1.422125db92708p-10, -0x1.39af2f2dd7b14p-10, -0x1.3170849b832bfp-10, -0x1.296413d5efa2fp-10, -0x1.2188cf81e00d7p-10, -0x1.19ddaf295e12dp-10, -0x1.1261af262e42ap-10, -0x1.0b13d085377ap-10, -0x1.03f318e5b086ap-10, -0x1.f9fd24afaf943p-11, -0x1.ec6a967ea44e1p-11, -0x1.df2cac799e4e5p-11, -0x1.d2419440c6a17p-11, -0x1.c5a783cab17ccp-11, -0x1.b95cb96836f47p-11, -0x1.ad5f7bce3c1cap-11, -0x1.a1ae1a1b07666p-11, -0x1.9646ebce65518p-11, -0x1.8b2850aefe8abp-11, -0x1.8050b09ac462bp-11, -0x1.75be7b46baaafp-11, -0x1.6b7027f501acep-11, -0x1.6164352b6d8bp-11, -0x1.579928746382dp-11, -0x1.4e0d8e3243533p-11, -0x1.44bff988cbe3p-11, -0x1.3baf045c03ce3p-11, -0x1.32d94f5edbb77p-11, -0x1.2a3d82293c384p-11, -0x1.21da4b4aa23ccp-11, -0x1.19ae604ec0cfcp-11, -0x1.11b87dad3fc76p-11, -0x1.09f766a02f9e4p-11, -0x1.0269e4e51431bp-11, -0x1.f61d90ddbe22dp-12, -0x1.e7c9ce29deb1ep-12, -0x1.d9d638939215fp-12, -0x1.cc4091c68409dp-12, -0x1.bf06a5fe7ee2ep-12, -0x1.b2264c0d79417p-12, -0x1.a59d6584c1d6cp-12, -0x1.9969deef43c48p-12, -0x1.8d89b015f684p-12, -0x1.81fadc3ad583bp-12, -0x1.76bb722bef5a7p-12, -0x1.6bc98c24a98a2p-12, -0x1.61234f7a51ba9p-12, -0x1.56c6ec17c3577p-12, -0x1.4cb29bd67b9bfp-12, -0x1.42e4a1c8aab2cp-12, -0x1.395b49919b448p-12, -0x1.3014e6e534a04p-12, -0x1.270fd4f50e78bp-12, -0x1.1e4a75c47f283p-12, -0x1.15c3355024e03p-12, -0x1.0d7886fc4bc18p-12, -0x1.0568e46712d86p-12, -0x1.fb25a5594c295p-13, -0x1.ebe9bf7f56c52p-13, -0x1.dd1b450b22d25p-13, -0x1.ceb7765c0978p-13, -0x1.c0bba5ce94c1cp-13, -0x1.b32536d796c8bp-13, -0x1.a5f19ced7fc87p-13, -0x1.991e5a4aa8e9ep-13, -0x1.8ca8fea2e7da3p-13, -0x1.808f25dd20b34p-13, -0x1.74ce770cce142p-13, -0x1.6964a3abb574p-13, -0x1.5e4f66f27412ap-13, -0x1.538c86371986bp-13, -0x1.4919d5474201p-13, -0x1.3ef533ea626a7p-13, -0x1.351c8a08d95b6p-13, -0x1.2b8dd39ffb712p-13, -0x1.2247181c6159p-13, -0x1.1946695e7df87p-13, -0x1.1089ea5ab7799p-13, -0x1.080fcac482feep-13, -0x1.ffac8bd96b54ap-14, -0x1.efb745d844449p-14, -0x1.e03c685a10378p-14, -0x1.d138ad2a03b37p-14, -0x1.c2a8e0ffe7517p-14, -0x1.b489e16bbb692p-14, -0x1.a6d89b2329f31p-14, -0x1.99920918f8e91p-14, -0x1.8cb3348f758acp-14, -0x1.80393602b227ep-14, -0x1.7421367a55dep-14, -0x1.686870b3192fap-14, -0x1.5d0c31acd40bp-14, -0x1.5209d88082662p-14, -0x1.475ed5b95ef5p-14, -0x1.3d08aa9f99bf3p-14, -0x1.3304e8d9cff15p-14, -0x1.295132860b4c7p-14, -0x1.1feb3a9d103f6p-14, -0x1.16d0c53f621ecp-14, -0x1.0dffa79500717p-14, -0x1.0575c71251dc5p-14, -0x1.fa62307db8c84p-15, -0x1.ea5f3a8c417d8p-15, -0x1.dadec955f64a5p-15, -0x1.cbdd10c2af359p-15, -0x1.bd565ac30d4d8p-15, -0x1.af470732364ddp-15, -0x1.a1ab8bfa366d7p-15, -0x1.948075039efap-15, -0x1.87c263ab0ce42p-15, -0x1.7b6e0dc23b439p-15, -0x1.6f803c7c9ccp-15, -0x1.63f5cbdf0f3dep-15, -0x1.58cbaab74845dp-15, -0x1.4dfedae46b3b4p-15, -0x1.438c720b1165bp-15, -0x1.39719a74c077p-15, -0x1.2fab93c1306aep-15, -0x1.2637b3150ad9ep-15, -0x1.1d136218fde24p-15, -0x1.143c1f17354eap-15, -0x1.0baf7dca99dfp-15, -0x1.036b26f516a6ap-15, -0x1.f6d9b1aa6e11p-16, -0x1.e764cda7340cap-16, -0x1.d8736e51fb5e2p-16, -0x1.ca017f27c67b3p-16, -0x1.bc0b03fed6f27p-16, -0x1.ae8c14163fe5bp-16, -0x1.a180d871e26b1p-16, -0x1.94e58d60270dfp-16, -0x1.88b68575cb22p-16, -0x1.7cf02be5e8d1ep-16, -0x1.718f04ef5f2fcp-16, -0x1.668fac8b05e3fp-16, -0x1.5beed46613e82p-16, -0x1.51a94232db0b7p-16, -0x1.47bbceb52003p-16, -0x1.3e2365a0c8f4dp-16, -0x1.34dd06963237ep-16, -0x1.2be5c7dcc6cafp-16, -0x1.233adb17cbba8p-16, -0x1.1ad9930288372p-16, -0x1.12bf67d8defe1p-16, -0x1.0ae9f7bbbf619p-16, -0x1.035701b1481fbp-16, -0x1.f808b8a45df18p-17, -0x1.e9dfd6eb7dc2bp-17, -0x1.dc2f3194bb5f7p-17, -0x1.cef2a3ed8447ep-17, -0x1.c226170605d54p-17, -0x1.b5c58d1b21058p-17, -0x1.a9cd2a5d83df5p-17, -0x1.9e39395205ba5p-17, -0x1.930625688262cp-17, -0x1.8830756d65489p-17, -0x1.7db4c43106c53p-17, -0x1.738fbbdbfea7bp-17, -0x1.69be14cdda4acp-17, -0x1.603c9800b070bp-17, -0x1.5708216f4d7dcp-17, -0x1.4e1d929de4a4bp-17, -0x1.457a079d5bc08p-17, -0x1.3d1ac2685776cp-17, -0x1.34fcff24424ffp-17, -0x1.2d1e5d3951d8fp-17, -0x1.257c986119555p-17, -0x1.1e158ce6615c7p-17, -0x1.16e72e348597bp-17, -0x1.0fef7933fe1d7p-17, -0x1.092c6d7171635p-17, -0x1.029c0dfa66714p-17, -0x1.f878ce562687dp-18, -0x1.ec172a6956229p-18, -0x1.e00f906589d07p-18, -0x1.d45e89d90ec04p-18, -0x1.c900c5c4d4987p-18, -0x1.bdf3117358b91p-18, -0x1.b332506a3cb72p-18, -0x1.a8bb763a2a009p-18, -0x1.9e8b84c2ba944p-18, -0x1.949f8f5796833p-18, -0x1.8af4c0c4369d5p-18, -0x1.8188607cb2d57p-18, -0x1.7857d45398214p-18, -0x1.6f609f27cd781p-18, -0x1.66a05ff25d65ep-18, -0x1.5e14d47370cbbp-18, -0x1.55bbdee9047fep-18, -0x1.4d938906623dep-18, -0x1.459a00210cf4bp-18, -0x1.3dcd8a676a326p-18, -0x1.362c7a239b2ddp-18, -0x1.2eb526e33d89bp-18, -0x1.2765ecd1562d5p-18, -0x1.203d32f4823c7p-18, -0x1.1939720a3223bp-18, -0x1.125936e02fd8fp-18, -0x1.0b9b2064c4c16p-18, -0x1.04fddc6d25504p-18, -0x1.fd004af44dd46p-19, -0x1.f041836eba81fp-19, -0x1.e3bd059e57ba8p-19, -0x1.d7708c53012cbp-19, -0x1.cb59ea9705a89p-19, -0x1.bf770c8935474p-19, -0x1.b3c5f8869f5cbp-19, -0x1.a844d05146c53p-19, -0x1.9cf1d1042b28cp-19, -0x1.91cb5090a3b1bp-19, -0x1.86cfb99da464fp-19, -0x1.7bfd885455d49p-19, -0x1.71534a3867e28p-19, -0x1.66cf9fe02b8c7p-19, -0x1.5c713d1e8de0dp-19, -0x1.5236e691adc94p-19, -0x1.481f6f716df6ep-19, -0x1.3e29bacf96946p-19, -0x1.3454be87e7183p-19, -0x1.2a9f82feb1d8ep-19, -0x1.21091e276f6cep-19, -0x1.1790ae44a383bp-19, -0x1.0e3559a3e18bfp-19, -0x1.04f6522dc18a9p-19, -0x1.f7a5af1ec58ap-20, -0x1.e5946baa0fe0fp-20, -0x1.d3b785b7b4933p-20, -0x1.c20db9ce808aap-20, -0x1.b095d4c54d0ffp-20, -0x1.9f4eb4ee45bb3p-20, -0x1.8e374c6cbbdd9p-20, -0x1.7d4ea4144ba58p-20, -0x1.6c93ddd410737p-20, -0x1.5c0635e08d747p-20, -0x1.4ba500961599ap-20, -0x1.3b6fa258ea779p-20, -0x1.2b6582036493dp-20, -0x1.1b85fda0ce239p-20, -0x1.0bd06c1cfe8b9p-20, -0x1.f88855e0356dfp-21, -0x1.d9c1589f13ee8p-21, -0x1.bb4af3b1f6f32p-21, -0x1.9d24612503d66p-21, -0x1.7f4d07ef37edap-21, -0x1.61c49e5542a76p-21, -0x1.448ab0e248e4cp-21, -0x1.279b4c907063ap-21, -0x1.0afb676460dabp-21, -0x1.dd5046bf8d87cp-22, -0x1.a5425254df2b6p-22, -0x1.6dc848d32bfe6p-22, -0x1.36e6194c0467bp-22, -0x1.009a4d8cc6a17p-22, -0x1.95c7f1f704fa2p-23, -0x1.2b853fef1e837p-23, -0x1.84d81aec16e97p-24, -0x1.69f09b375e3eap-25, 0x1.8954e89aa0b2fp-28, 0x1.c7a302ef150f7p-25, 0x1.acbd5691ef7fp-24, 0x1.39acbfb96aa18p-23, 0x1.9bd2e1cc80092p-23, 0x1.fcd0782c77edbp-23, 0x1.2e524dc2825c7p-22, 0x1.5da73f74a4f96p-22, 0x1.8c670a01e76c3p-22, 0x1.ba922d99c1f18p-22, 0x1.e82954b227153p-22, 0x1.0a964e47a173ep-21, 0x1.20cdce0f2134p-21, 0x1.36bb833480557p-21, 0x1.4c5dd7252878p-21, 0x1.61b576821694bp-21, 0x1.76c1f84ea46bdp-21, 0x1.8b83364ee9f67p-21, 0x1.9ff992cc5a9b7p-21, 0x1.b425383f9671cp-21, 0x1.c80603395c3b4p-21, 0x1.db9bbe6094dffp-21, 0x1.eee656e72eff8p-21, 0x1.00f2e46856c0bp-20, 0x1.0a4cfef32585bp-20, 0x1.13816b2565829p-20, 0x1.1c90226e4f4d6p-20, 0x1.25792f2889d6cp-20, 0x1.2e3ca68733038p-20, 0x1.36da970af156fp-20, 0x1.3f52f9e5f981bp-20, 0x1.47a5b53ac627ep-20, 0x1.4fd2a9dbd99bfp-20, 0x1.57d9c5c8cf082p-20, 0x1.5fbb1a69b23adp-20, 0x1.6776d60613f88p-20, 0x1.6f0d16ef8302ap-20, 0x1.767dd931aece4p-20, 0x1.7dc91892ff6c4p-20, 0x1.84eee7387007fp-20, 0x1.8bef5ed7c3ff8p-20, 0x1.92ca96117ae4bp-20, 0x1.9980a1182421bp-20, 0x1.a0118f3a45b9cp-20, 0x1.a67d6b029d82dp-20, 0x1.acc440ed01571p-20, 0x1.b2e623aa25c5ap-20, 0x1.b8e32dc9a6241p-20, 0x1.bebb8735ef154p-20, 0x1.c46f5c79e0be5p-20, 0x1.c9fec8205e31cp-20, 0x1.cf69d911d954ap-20, 0x1.d4b0ac2a97db3p-20, 0x1.d9d37716449a5p-20, 0x1.ded2610465f6fp-20, 0x1.e3ad9bed4882dp-20, 0x1.e8654cd6e4713p-20, 0x1.ecf99b1f36d7dp-20, 0x1.f16aa61ca560ap-20, 0x1.f5b89080dcd38p-20, 0x1.f9e3846f0b213p-20, 0x1.fdebbad21a74p-20, 0x1.00e8bb7c1b914p-19, 0x1.02ca748e97ecfp-19, 0x1.049b1aba0c791p-19, 0x1.065ac957c997cp-19, 0x1.08099eb720766p-19, 0x1.09a7b5a890493p-19, 0x1.0b352a18fa127p-19, 0x1.0cb21aa4bfca8p-19, 0x1.0e1ea6f8cf573p-19, 0x1.0f7aeea75e55cp-19, 0x1.10c710e7e8c9p-19, 0x1.12032cdf5aef6p-19, 0x1.132f621bb5923p-19, 0x1.144bd0c68dba6p-19, 0x1.15589944c61cap-19, 0x1.1655dc1d754a8p-19, 0x1.1743bb7373b7bp-19, 0x1.18225c3e80aa3p-19, 0x1.18f1e31d9ac86p-19, 0x1.19b271a4732f2p-19, 0x1.1a642a9100f9p-19, 0x1.1b07317dc134ep-19, 0x1.1b9baa6c47513p-19, 0x1.1c21bcebd962dp-19, 0x1.1c998ea968c11p-19, 0x1.1d03441c37d86p-19, 0x1.1d5f03872cd3cp-19, 0x1.1dacf1ebec84fp-19, 0x1.1ded360e39a2p-19, 0x1.1e1ff5de11a0dp-19, 0x1.1e45589be1d03p-19, 0x1.1e5d891a2ff95p-19, 0x1.1e68aeb687a1fp-19, 0x1.1e66f007029b2p-19, 0x1.1e5875392e66ep-19, 0x1.1e3d6717c32ebp-19, 0x1.1e15ee72458c4p-19, 0x1.1de2340c268a1p-19, 0x1.1da260a5c2061p-19, 0x1.1d569d0238564p-19, 0x1.1cff11e851699p-19, 0x1.1c9be823dfe0ap-19, 0x1.1c2d48a8e392cp-19, 0x1.1bb35d250990ap-19, 0x1.1b2e51222e7f1p-19, 0x1.1a9e51c6924dfp-19, 0x1.1a0384c0e6d1p-19, 0x1.195e0a6bedd17p-19, 0x1.18ae16e510b74p-19, 0x1.17f3d5828706dp-19, 0x1.172f632605743p-19, 0x1.1660f161f6066p-19, 0x1.1588af4ea4893p-19, 0x1.14a6c344beaf1p-19, 0x1.13bb55cee68eep-19, 0x1.12c69063ee104p-19, 0x1.11c89a1c9a752p-19, 0x1.10c195931dc3fp-19, 0x1.0fb1b0640c5c1p-19, 0x1.0e9925c969ee1p-19, 0x1.0d78013698c72p-19, 0x1.0c4e89e5a93e8p-19, 0x1.0b1cd0d5a9a74p-19, 0x1.09e303d876979p-19, 0x1.08a14e153b953p-19, 0x1.0757d8330b69fp-19, 0x1.0606ca5cc0fe3p-19, 0x1.04ae4c4259ccdp-19, 0x1.034e81785f4ebp-19, 0x1.01e7731b675f9p-19, 0x1.0079c2a97f30dp-19, 0x1.fe0a73aa4db18p-20, 0x1.fb12b92b188c3p-20, 0x1.f80f0f8a0061dp-20, 0x1.f4ff32b6652acp-20, 0x1.f1e1fa2eaaf44p-20, 0x1.eeb8da3a37387p-20, 0x1.eb839bae32445p-20, 0x1.e8433c6d4b46cp-20, 0x1.e4f77c6170b62p-20, 0x1.e1a0ba5288de7p-20, 0x1.de3f4799469f1p-20, 0x1.dad36ec3d7b4ap-20, 0x1.d75d78abf9635p-20, 0x1.d3ddad49bd313p-20, 0x1.d05453fb98cb5p-20, 0x1.ccc1b3e0a8e07p-20, 0x1.c92612d6f80adp-20, 0x1.c581b5b0e8768p-20, 0x1.c1d4e243f757cp-20, 0x1.be1fdda2c2f94p-20, 0x1.ba62eb41a18cdp-20, 0x1.b69e4e655ddffp-20, 0x1.b2d249ecac536p-20, 0x1.aeff1f9adc8abp-20, 0x1.ab25108ef3962p-20, 0x1.a7445df911515p-20, 0x1.a35d48246f34dp-20, 0x1.9f700e5978ef7p-20, 0x1.9b7cef65ff0d8p-20, 0x1.9784298426f6ap-20, 0x1.9385fa41059adp-20, 0x1.8f829e7b96464p-20, 0x1.8b7a526778c28p-20, 0x1.876d518d330dfp-20, 0x1.835bd6c8f326ep-20, 0x1.7f461c4b67cb8p-20, 0x1.7b2c5b99cc012p-20, 0x1.770ecd8d5cba9p-20, 0x1.72edaa51002c2p-20, 0x1.6ec9295e4a8fbp-20, 0x1.6aa1817cac4fap-20, 0x1.6676e8c37b25ep-20, 0x1.6249949e35ecep-20, 0x1.5e19b9d44cdf2p-20, 0x1.59e78c64a377dp-20, 0x1.55b33fd902ee5p-20, 0x1.517d06c16512dp-20, 0x1.4d45132d35908p-20, 0x1.490b96743479ap-20, 0x1.44d0c115b9b15p-20, 0x1.4094c32a78debp-20, 0x1.3c57cbf7dfce7p-20, 0x1.381a0a0a3d768p-20, 0x1.33dbab51113a1p-20, 0x1.2f9cdd0cc20ccp-20, 0x1.2b5dcbce4ee5ap-20, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.6afeab79bee03p-6, 0x1.26ae955c02045p-5, 0x1.329c2e6a9978ep-5, 0x1.a2882a314fbcp-6, 0x1.27710d5933a58p-10, -0x1.170398fa5e691p-5, -0x1.3eb41509409f6p-4, -0x1.05bfffbc4361ep-3, -0x1.7467ba774e0d4p-3, -0x1.e734277b04375p-3, -0x1.2d4a479ce2f4dp-2, -0x1.65c7a2e520ddbp-2, -0x1.9bdfe3922fbefp-2, -0x1.cea698de7e3dep-2, -0x1.fd6e402aa1991p-2, -0x1.13e035b083fa7p-1, -0x1.26aad8d5f24e7p-1, -0x1.3706f5faa9c21p-1, -0x1.44f480e5af0b3p-1, -0x1.508039c0c4c5fp-1, -0x1.59c0d5cb6bcc7p-1, -0x1.60d48ae500638p-1, -0x1.65def7a2ba261p-1, -0x1.69075fce1f38dp-1, -0x1.6a7734e9c4b24p-1, -0x1.6a58e2804393p-1, -0x1.68d6d647c2e85p-1, -0x1.661abc6aba98dp-1, -0x1.624ce8a5c50ap-1, -0x1.5d93e575395d9p-1, -0x1.58142332a1e76p-1, -0x1.51efc1af6a46ep-1, -0x1.4b466f8157318p-1, -0x1.44355ad62464dp-1, -0x1.3cd73036fdf11p-1, -0x1.3544242d77246p-1, -0x1.2d920536ec9c6p-1, -0x1.25d453e089a01p-1, -0x1.1e1c5f4498842p-1, -0x1.167964776a566p-1, -0x1.0ef8afb93ce86p-1, -0x1.07a5be8124c0ep-1, -0x1.008a61a970356p-1, -0x1.f35dbe61cd81ep-2, -0x1.e634264fa7d0ep-2, -0x1.d9a31ef58aefap-2, -0x1.cdb374c3e8ec8p-2, -0x1.c26bd69aa9566p-2, -0x1.b7d10c64304edp-2, -0x1.ade62a52a9ccap-2, -0x1.a4acc0b234c66p-2, -0x1.9c2508535f33cp-2, -0x1.944e0b9fc48c8p-2, -0x1.8d25cc762be96p-2, -0x1.86a966f3b306ep-2, -0x1.80d53152e0b81p-2, -0x1.7ba4d90dc8cf5p-2, -0x1.77137d6c83d69p-2, -0x1.731bc7ab9fd3dp-2, -0x1.6fb800e0f8f8p-2, -0x1.6ce225c5ff11p-2, -0x1.6a93f88b66f7cp-2, -0x1.68c710d91126p-2, -0x1.6774ea1a92c22p-2, -0x1.6696f036c0005p-2, -0x1.66268ad094837p-2, -0x1.661d272d0590fp-2, -0x1.667440db3ae79p-2, -0x1.6725693b006a7p-2, -0x1.682a4df9307c3p-2, -0x1.697cbe9d70bc1p-2, -0x1.6b16b133f9f5bp-2, -0x1.6cf2463075b98p-2, -0x1.6f09cb8f950e7p-2, -0x1.7157bf58766ecp-2, -0x1.73d6d1859efadp-2, -0x1.7681e578e98b3p-2, -0x1.795412fd065e1p-2, -0x1.7c48a6e6fbcf3p-2, -0x1.7f5b2355af326p-2, -0x1.82873f9f4639ap-2, -0x1.85c8e7debcd87p-2, -0x1.891c3c4d1046fp-2, -0x1.8c7d9052d5feap-2, -0x1.8fe969916ac13p-2, -0x1.935c7eb9fd0a7p-2, -0x1.96d3b67085f47p-2, -0x1.9a4c2607ffac8p-2, -0x1.9dc3102d01ab1p-2, -0x1.a135e379c42b8p-2, -0x1.a4a238d601c52p-2, -0x1.a805d1e6b93f5p-2, -0x1.ab5e974c15263p-2, -0x1.aeaa970633453p-2, -0x1.b1e802d9409bbp-2, -0x1.b5152ec35c6aap-2, -0x1.b8308f9cf178ap-2, -0x1.bb38b9a6fad4dp-2, -0x1.be2c5f40e9229p-2, -0x1.c10a4f8a2e68cp-2, -0x1.c3d17507fbe18p-2, -0x1.c680d44e1c46dp-2, -0x1.c9178a9d2988p-2, -0x1.cb94cc941ce55p-2, -0x1.cdf7e4e541e69p-2, -0x1.d04033209af5fp-2, -0x1.d26d2a92ec6e6p-2, -0x1.d47e51353979ep-2, -0x1.d6733eb4e8213p-2, -0x1.d84b9b867547dp-2, -0x1.da072007e22fbp-2, -0x1.dba593ab0b497p-2, -0x1.dd26cc262433fp-2, -0x1.de8aaca6c1b83p-2, -0x1.dfd1250a6244ap-2, -0x1.e0fa311962f8fp-2, -0x1.e205d7c4a72f9p-2, -0x1.e2f42a6c0a82ep-2, -0x1.e3c54428fab51p-2, -0x1.e4794922b2b35p-2, -0x1.e51065e9bd7ccp-2, -0x1.e58acedfc1a4cp-2, -0x1.e5e8bfa649f45p-2, -0x1.e62a7a95eb045p-2, -0x1.e6504841050a6p-2, -0x1.e65a76fd041c5p-2, -0x1.e6495a717ed2cp-2, -0x1.e61d4b2e8f2dap-2, -0x1.e5d6a64afad36p-2, -0x1.e575cd045272bp-2, -0x1.e4fb24643579ep-2, -0x1.e46714eb2a4b2p-2, -0x1.e3ba0a3ef8147p-2, -0x1.e2f472db6e8ap-2, -0x1.e216bfc7ac988p-2, -0x1.e121644f0a289p-2, -0x1.e014d5be166b7p-2, -0x1.def18b226af39p-2, -0x1.ddb7fd0ccc951p-2, -0x1.dc68a55971e48p-2, -0x1.db03fefaa35d3p-2, -0x1.d98a85c53532ap-2, -0x1.d7fcb64096208p-2, -0x1.d65b0d7c3a6afp-2, -0x1.d4a608e40b4d9p-2, -0x1.d2de261a34ce5p-2, -0x1.d103e2d2a0dp-2, -0x1.cf17bcaeefed7p-2, -0x1.cd1a311f3507dp-2, -0x1.cb0bbd4532112p-2, -0x1.c8ecddd53658ap-2, -0x1.c6be0efb06d3p-2, -0x1.c47fcc43ec7a5p-2, -0x1.c2329085a9459p-2, -0x1.bfd6d5c5f81b2p-2, -0x1.bd6d15288c8a9p-2, -0x1.baf5c6dc8db4ap-2, -0x1.b871620717e5ep-2, -0x1.b5e05cb31ec8p-2, -0x1.b3432bc4e3b02p-2, -0x1.b09a42e916bcep-2, -0x1.ade61484536fap-2, -0x1.ab2711aa67586p-2, -0x1.a85daa14b39e9p-2, -0x1.a58a4c1352e46p-2, -0x1.a2ad6482a6d32p-2, -0x1.9fc75ec768133p-2, -0x1.9cd8a4c6dca91p-2, -0x1.99e19edb3d852p-2, -0x1.96e2b3ce53b9ap-2, -0x1.93dc48d8af0cdp-2, -0x1.90cec19b9dd12p-2, -0x1.8dba801892cb4p-2, -0x1.8a9fe4af77f27p-2, -0x1.877f4e206bf5ep-2, -0x1.845919877f85dp-2, -0x1.812da25678652p-2, -0x1.7dfd42554f32p-2, -0x1.7ac851a64f5eap-2, -0x1.778f26c3b6103p-2, -0x1.7452167b30f38p-2, -0x1.711173ef217fp-2, -0x1.6dcd909cd266ep-2, -0x1.6a86bc5d1f2dep-2, -0x1.673d456014672p-2, -0x1.63f1782de2ec6p-2, -0x1.60a39faeffb43p-2, -0x1.5d540530d790ap-2, -0x1.5a02f06235cb6p-2, -0x1.56b0a7511527bp-2, -0x1.535d6e725fd7ep-2, -0x1.500988ac7da63p-2, -0x1.4cb5375873266p-2, -0x1.4960ba3be4fd1p-2, -0x1.460c4f8a1fc22p-2, -0x1.42b833f0c38fbp-2, -0x1.3f64a2a36f9a2p-2, -0x1.3c11d55a77e4bp-2, -0x1.38c0044b0d1bfp-2, -0x1.356f662947f37p-2, -0x1.32203037b6b36p-2, -0x1.2ed29655a5c18p-2, -0x1.2b86cafe5b094p-2, -0x1.283cff3f4875bp-2, -0x1.24f562b6c216ap-2, -0x1.21b023a3bc7f8p-2, -0x1.1e6d6ef85f111p-2, -0x1.1b2d705e99d02p-2, -0x1.17f0522de97b1p-2, -0x1.14b63d63b8906p-2, -0x1.117f59acfab23p-2, -0x1.0e4bcd7bb366bp-2, -0x1.0b1bbe1543073p-2, -0x1.07ef4f8e8064fp-2, -0x1.04c6a4bee05dap-2, -0x1.01a1df3de9302p-2, -0x1.fd023ee602414p-3, -0x1.f6c90957accfp-3, -0x1.f0985a4d8480cp-3, -0x1.ea706c167c581p-3, -0x1.e45176b9d4307p-3, -0x1.de3baff63e9acp-3, -0x1.d82f4b64664c7p-3, -0x1.d22c7aa3990b3p-3, -0x1.cc336d6e0d5f1p-3, -0x1.c644518a921e7p-3, -0x1.c05f52b23c9f8p-3, -0x1.ba849a8b9159ap-3, -0x1.b4b450c7effd8p-3, -0x1.aeee9b4ffb875p-3, -0x1.a9339e5e7ef26p-3, -0x1.a3837c7a8d176p-3, -0x1.9dde565e74525p-3, -0x1.98444ae95ffbdp-3, -0x1.92b5772fa1c25p-3, -0x1.8d31f6a1f08fbp-3, -0x1.87b9e3317e317p-3, -0x1.824d5559fe0cp-3, -0x1.7cec641185fa2p-3, -0x1.779724b2e53e7p-3, -0x1.724daafa8dbe5p-3, -0x1.6d10091e97992p-3, -0x1.67de4ff442f8dp-3, -0x1.62b88f0ba4717p-3, -0x1.5d9ed4b32c5cdp-3, -0x1.58912de7940aep-3, -0x1.538fa642a0c1bp-3, -0x1.4e9a47fb498ffp-3, -0x1.49b11bfc17511p-3, -0x1.44d42a03dfd6p-3, -0x1.400378be5c60cp-3, -0x1.3b3f0dc934e8ep-3, -0x1.3686eda85a3b4p-3, -0x1.31db1bb7513fdp-3, -0x1.2d3b9a26831eap-3, -0x1.28a86a0a8e8c8p-3, -0x1.24218b77094f5p-3, -0x1.1fa6fd96e6591p-3, -0x1.1b38beb74346p-3, -0x1.16d6cc43679d9p-3, -0x1.128122b9251abp-3, -0x1.0e37bda1950e8p-3, -0x1.09fa97968547ap-3, -0x1.05c9aa546dc9cp-3, -0x1.01a4eed0db5fcp-3, -0x1.fb18ba9672c3p-4, -0x1.f2ffdaa4a9303p-4, -0x1.eaff2b7f8f34dp-4, -0x1.e316995fe811p-4, -0x1.db460efd33f26p-4, -0x1.d38d759a6681dp-4, -0x1.cbecb523e5e0ep-4, -0x1.c463b452ad8c1p-4, -0x1.bcf258c702adep-4, -0x1.b5988712f434ap-4, -0x1.ae5622b68c374p-4, -0x1.a72b0e15947bp-4, -0x1.a0172a724855dp-4, -0x1.991a57f4d9442p-4, -0x1.923475c041de8p-4, -0x1.8b65620d26aeap-4, -0x1.84acfa4160364p-4, -0x1.7e0b1afdd368cp-4, -0x1.777fa0216bc29p-4, -0x1.710a64c4d0a7ep-4, -0x1.6aab43356237cp-4, -0x1.646214f663a93p-4, -0x1.5e2eb2cba48bfp-4, -0x1.5810f4cba16c8p-4, -0x1.5208b2735ca12p-4, -0x1.4c15c2b6649c1p-4, -0x1.4637fc081a567p-4, -0x1.406f345e4e2b1p-4, -0x1.3abb412f8808ap-4, -0x1.351bf77124e39p-4, -0x1.2f912b9984bcbp-4, -0x1.2a1ab1a86c861p-4, -0x1.24b85d3442372p-4, -0x1.1f6a01786af99p-4, -0x1.1a2f71617283cp-4, -0x1.15087f953c43p-4, -0x1.0ff4fe770f5c5p-4, -0x1.0af4c0286d1fap-4, -0x1.06079688bd776p-4, -0x1.012d5336815d5p-4, -0x1.f8cb8f2817eep-5, -0x1.ef61899fcd886p-5, -0x1.e61c37ddf26fep-5, -0x1.dcfb3bac2c6bap-5, -0x1.d3fe36a33291bp-5, -0x1.cb24ca35410c7p-5, -0x1.c26e97b4199bp-5, -0x1.b9db4053a396dp-5, -0x1.b16a652b77125p-5, -0x1.a91ba73a840c8p-5, -0x1.a0eea76f11778p-5, -0x1.98e306b305a66p-5, -0x1.90f865f9e2a95p-5, -0x1.892e664dcf30bp-5, -0x1.8184a8da33d6dp-5, -0x1.79facef3e29d6p-5, -0x1.72907a1ed10f2p-5, -0x1.6b454c11b701bp-5, -0x1.6418e6b86d29cp-5, -0x1.5d0aec369cf57p-5, -0x1.561afeec8b6dep-5, -0x1.4f48c17ea36dbp-5, -0x1.4893d6de91a65p-5, -0x1.41fbe2545dd4ep-5, -0x1.3b8087863c653p-5, -0x1.35216a7ef285p-5, -0x1.2ede2fb3108dbp-5, -0x1.28b67c04f782fp-5, -0x1.22a9f4c7b7b8dp-5, -0x1.1cb83fc133f24p-5, -0x1.16e1032c68bbep-5, -0x1.1123e5bcd7cf5p-5, -0x1.0b808ea38c4e3p-5, -0x1.05f6a594e8f1dp-5, -0x1.0085d2ce62879p-5, -0x1.f65b7e36c2acep-6, -0x1.ebdc27b2a7449p-6, -0x1.e18cf5f63a8fdp-6, -0x1.d76d3e17e88ddp-6, -0x1.cd7c56631ef7fp-6, -0x1.c3b9965b59a56p-6, -0x1.ba2456bea71f6p-6, -0x1.b0bbf18924e74p-6, -0x1.a77fc1fa089ecp-6, -0x1.9e6f249a6c3fap-6, -0x1.9589774488ceap-6, -0x1.8cce1929cd067p-6, -0x1.843c6ad82e45dp-6, -0x1.7bd3ce3e3d89dp-6, -0x1.7393a6ad264e2p-6, -0x1.6b7b58dabe511p-6, -0x1.638a4ae3e0a2ep-6, -0x1.5bbfe44d21caep-6, -0x1.541b8e03c9965p-6, -0x1.4c9cb2602399ap-6, -0x1.4542bd290fdf6p-6, -0x1.3e0d1b984f793p-6, -0x1.36fb3c5ebe115p-6, -0x1.300c8fa71c288p-6, -0x1.294087170d1e2p-6, -0x1.229695ce8f609p-6, -0x1.1c0e306694233p-6, -0x1.15a6ccefa8ac4p-6, -0x1.0f5fe2f187266p-6, -0x1.0938eb6bc307cp-6, -0x1.033160d7b9df9p-6, -0x1.fa917e570e31dp-7, -0x1.eefd07babfc54p-7, -0x1.e3a45bcc7fbefp-7, -0x1.d8867b85c481cp-7, -0x1.cda26ae44ad5cp-7, -0x1.c2f730e14b834p-7, -0x1.b883d765b4ba4p-7, -0x1.ae476b3e431aep-7, -0x1.a440fc138ea5p-7, -0x1.9a6f9c69092b8p-7, -0x1.90d261a36e5d9p-7, -0x1.876864158d548p-7, -0x1.7e30bf0f16a31p-7, -0x1.752a90e8e0303p-7, -0x1.6c54fb09e04bap-7, -0x1.63af21e148f98p-7, -0x1.5b382cd563c03p-7, -0x1.52ef4628ed84fp-7, -0x1.4ad39adc4bd6ep-7, -0x1.42e45a9168dd1p-7, -0x1.3b20b77a03f41p-7, -0x1.3387e6551e2eep-7, -0x1.2c191e7e426bbp-7, -0x1.24d39a0ad15e1p-7, -0x1.1db695ef24a8dp-7, -0x1.16c15220d7f57p-7, -0x1.0ff311ac7d8d4p-7, -0x1.094b1ab65d307p-7, -0x1.02c8b662a64b6p-7, -0x1.f8d6614f0a01bp-8, -0x1.ec63b02159f7ap-8, -0x1.e037fb00f7a4p-8, -0x1.d451e7f85103ep-8, -0x1.c8b0211dc78cdp-8, -0x1.bd515497376e1p-8, -0x1.b23434dc2db46p-8, -0x1.a7577929d7db4p-8, -0x1.9cb9de0fd7f59p-8, -0x1.925a25f4a132dp-8, -0x1.883719714ab14p-8, -0x1.7e4f876ac0a52p-8, -0x1.74a244dc607c3p-8, -0x1.6b2e2c58f9617p-8, -0x1.61f21d5799724p-8, -0x1.58ecfb6dba7c3p-8, -0x1.501dad9e9c7ffp-8, -0x1.47831de3d6c12p-8, -0x1.3f1c3907da9abp-8, -0x1.36e7eedada19dp-8, -0x1.2ee532b700341p-8, -0x1.2712fc37d36cep-8, -0x1.1f7047fdcc934p-8, -0x1.17fc1852b743ep-8, -0x1.10b57589f86c1p-8, -0x1.099b6e0474ae5p-8, -0x1.02ad15d2c2586p-8, -0x1.f7d30c0942593p-9, -0x1.ea9fb78d0a768p-9, -0x1.ddbe6ef129fb7p-9, -0x1.d12d77da2653fp-9, -0x1.c4eb1be7eba17p-9, -0x1.b8f5a893e91c4p-9, -0x1.ad4b6fd9bbe61p-9, -0x1.a1eac9839b0efp-9, -0x1.96d214d563e6fp-9, -0x1.8bffba3921bcbp-9, -0x1.81722c941304ep-9, -0x1.7727e9f61fb11p-9, -0x1.6d1f7b7972aecp-9, -0x1.6357744d15c1p-9, -0x1.59ce70138fe9bp-9, -0x1.508310dff7ecdp-9, -0x1.4773fd34b4ebdp-9, -0x1.3e9fde669157dp-9, -0x1.36055fb63a87bp-9, -0x1.2da32e4cf83cp-9, -0x1.2577fa1f035f3p-9, -0x1.1d82778782b1cp-9, -0x1.15c161500625bp-9, -0x1.0e337ac15010fp-9, -0x1.06d791568d6afp-9, -0x1.ff58fb7b49fd1p-10, -0x1.f16247d19083dp-10, -0x1.e3c8e4418d29dp-10, -0x1.d68abe66068adp-10, -0x1.c9a5d0003b953p-10, -0x1.bd1819a4b01c2p-10, -0x1.b0df9dee9153p-10, -0x1.a4fa5ded751b7p-10, -0x1.9966578a7d94p-10, -0x1.8e21863f8d94bp-10, -0x1.8329e5cda6e2dp-10, -0x1.787d76a80482p-10, -0x1.6e1a43529df31p-10, -0x1.63fe65d341a0fp-10, -0x1.5a280c5a4e2d1p-10, -0x1.50957c6180425p-10, -0x1.474513bc9bdefp-10, -0x1.3e3547644e74fp-10, -0x1.3564a01bf98fbp-10, -0x1.2cd1b5674d8bp-10, -0x1.247b2789a2e76p-10, -0x1.1c5f996ff4de5p-10, -0x1.147dab69d9515p-10, -0x1.0cd3f7776d154p-10, -0x1.05610f9fdab2fp-10, -0x1.fc46fd0af0ec5p-11, -0x1.ee339436a7467p-11, -0x1.e084efeb5b049p-11, -0x1.d338254d7c58fp-11, -0x1.c64a5ec3553ebp-11, -0x1.b9b8e605a3bcfp-11, -0x1.ad812b959b57ap-11, -0x1.a1a0ca8dbf5d9p-11, -0x1.96158867817c5p-11, -0x1.8add5105ad0f2p-11, -0x1.7ff62fdfca99ep-11, -0x1.755e476d705ccp-11, -0x1.6b13c7ee53868p-11, -0x1.6114e68d093b6p-11, -0x1.575fd5a73df5ap-11, -0x1.4df2beebe895ap-11, -0x1.44cbbfe02c25ep-11, -0x1.3be8e93b37bf1p-11, -0x1.3348414d660bfp-11, -0x1.2ae7c94b74fbbp-11, -0x1.22c584d7deae9p-11, -0x1.1adf829996013p-11, -0x1.1333e447b0568p-11, -0x1.0bc0e485b0399p-11, -0x1.0484d967aa045p-11, -0x1.fafc66d800deep-12, -0x1.ed56f3ac2ddbap-12, -0x1.e0168c2237828p-12, -0x1.d3387f986e7d7p-12, -0x1.c6ba35746ba87p-12, -0x1.ba992b7790588p-12, -0x1.aed2f4a4f48a9p-12, -0x1.a3653613c68f8p-12, -0x1.984da056480c5p-12, -0x1.8d89e653ad0afp-12, -0x1.8317b4722d26fp-12, -0x1.78f4ab9d36838p-12, -0x1.6f1e62b98654dp-12, -0x1.65926eddcfb7cp-12, -0x1.5c4e701958f6cp-12, -0x1.53501eb36bf9dp-12, -0x1.4a95545d587e6p-12, -0x1.421c0df78230dp-12, -0x1.39e264ee034f3p-12, -0x1.31e6824087824p-12, -0x1.2a268ff5c9395p-12, -0x1.22a0aeec6c40dp-12, -0x1.1b52f5c5453bcp-12, -0x1.143b7a1cbd1dbp-12, -0x1.0d5860c9f9cacp-12, -0x1.06a7ee85e6adp-12, -0x1.002891cf40b29p-12, -0x1.f3b1c35b9a2bdp-13, -0x1.e76f23bad0992p-13, -0x1.db86c3291e91ap-13, -0x1.cff6187898b64p-13, -0x1.c4ba8426ce45p-13, -0x1.b9d1558314a3cp-13, -0x1.af37df157577dp-13, -0x1.a4eb9048be94ap-13, -0x1.9aea09cc62a45p-13, -0x1.913125140b6d5p-13, -0x1.87beebb9ae752p-13, -0x1.7e9180200f4c6p-13, -0x1.75a6fd219f268p-13, -0x1.6cfd564701e64p-13, -0x1.6492437397b57p-13, -0x1.5c6340d60d8f7p-13, -0x1.546da605a785fp-13, -0x1.4caecf11c1aa3p-13, -0x1.45244ae6e7fcp-13, -0x1.3dcbff24fd7bdp-13, -0x1.36a4348ffcb7p-13, -0x1.2fab883207542p-13, -0x1.28e0c88b902d3p-13, -0x1.2242ce18b022bp-13, -0x1.1bd05ecbd6d8ep-13, -0x1.15882500d1eedp-13, -0x1.0f68b8c9b041ep-13, -0x1.0970b3dbef82p-13, -0x1.039ec6be5bb0ep-13, -0x1.fbe38f13f87fap-14, -0x1.f0d16a456394ap-14, -0x1.e6055af334e98p-14, -0x1.db7db3a0fdc7dp-14, -0x1.d138af2b5e575p-14, -0x1.c73449f3f8ee5p-14, -0x1.bd6e2c2afbb9cp-14, -0x1.b3e3a90eb7f7ap-14, -0x1.aa91d43e7953ep-14, -0x1.a175a93d083fap-14, -0x1.988c3f25435f1p-14, -0x1.8fd2fedfedc8fp-14, -0x1.8747c9fa53002p-14, -0x1.7ee90700d3993p-14, -0x1.76b58c4ea6d2dp-14, -0x1.6eac6fd7fe989p-14, -0x1.66ccce9d4c364p-14, -0x1.5f15a1a2a60f9p-14, -0x1.5785ae37be6dp-14, -0x1.501b92682c98fp-14, -0x1.48d5e4760fc5bp-14, -0x1.41b35701d5907p-14, -0x1.3ab2d1b6f8445p-14, -0x1.33d3724ab058bp-14, -0x1.2d147597afc85p-14, -0x1.267516554345p-14, -0x1.1ff473ac99c35p-14, -0x1.19918a3e068b8p-14, -0x1.134b3d9a03b2cp-14, -0x1.0d2067b61f27p-14, -0x1.070fe406c6ffdp-14, -0x1.01189292052bcp-14, -0x1.f672adfd55336p-15, -0x1.eae235765e47fp-15, -0x1.df7dad0357296p-15, -0x1.d4434391f2c0dp-15, -0x1.c9318328ee5d3p-15, -0x1.be475b0eb0f01p-15, -0x1.b38408d4bd804p-15, -0x1.a8e6e511c699fp-15, -0x1.9e6f2d6f7a7dbp-15, -0x1.941be8751096dp-15, -0x1.89ebee2f8b85bp-15, -0x1.7fde0c91d25c1p-15, -0x1.75f132326adb7p-15, -0x1.6c2485ebba805p-15, -0x1.62775b5733bbfp-15, -0x1.58e90d16f08f8p-15, -0x1.4f78dae303385p-15, -0x1.4625e2d00db89p-15, -0x1.3cef33b70981p-15, -0x1.33d3e65f0283ep-15, -0x1.2ad32e46e6af3p-15, -0x1.21ec5e014dd4ap-15, -0x1.191ee24324d6p-15, -0x1.106a384bc4b08p-15, -0x1.07cde3d83b6e4p-15, -0x1.fe92cf5de261bp-16, -0x1.edb8842dcde5p-16, -0x1.dd0bd9d7cad31p-16, -0x1.cc8bc35adec15p-16, -0x1.bc37467fd906ap-16, -0x1.ac0d950a0597bp-16, -0x1.9c0e1585df40bp-16, -0x1.8c384a9b65c17p-16, -0x1.7c8ba978f0eb7p-16, -0x1.6d078673daacfp-16, -0x1.5dab2b09bbdf8p-16, -0x1.4e75fbcc7c896p-16, -0x1.3f677fa1ac38p-16, -0x1.307f3ed115831p-16, -0x1.21bca79275ba1p-16, -0x1.131f1e0f145c2p-16, -0x1.04a6208b56c64p-16, -0x1.eca2a8c17b616p-17, -0x1.d040ec650f38p-17, -0x1.b426884751556p-17, -0x1.9852e5aad91bap-17, -0x1.7cc55ef413493p-17, -0x1.617d55eab03bap-17, -0x1.467a4ff1e25d8p-17, -0x1.2bbc08e4d8ac5p-17, -0x1.114270fd93003p-17, -0x1.ee1b262363a2ep-18, -0x1.ba3ac49783baap-18, -0x1.86e2fa14bb818p-18, -0x1.541235fcf7791p-18, -0x1.21c6c101109bcp-18, -0x1.dffff500bf41bp-19, -0x1.7d7e0cf6f9e19p-19, -0x1.1c0b44cde884dp-19, -0x1.774ee53e2afc9p-20, -0x1.7134b54e9edb2p-21, 0x1.04ad910bd0f76p-26, 0x1.7d73e5c6519fcp-21, 0x1.7753dc3eaf24cp-20, 0x1.16ed8f8126688p-19, 0x1.712956ace0d0dp-19, 0x1.ca605e7b8dfebp-19, 0x1.1149e4e507cbcp-18, 0x1.3ce138ac5edb2p-18, 0x1.67f551c52efdbp-18, 0x1.9285c58176a81p-18, 0x1.bc92d15f3480dp-18, 0x1.e61d445151543p-18, 0x1.0793170610a02p-17, 0x1.1bd730880b1b2p-17, 0x1.2fdaef4f0982dp-17, 0x1.439da6a07b40fp-17, 0x1.571e07e47851dp-17, 0x1.6a5af87f67b22p-17, 0x1.7d54beb455909p-17, 0x1.900cf57f031f5p-17, 0x1.a284f81e873fcp-17, 0x1.b4bcb2934f0aep-17, 0x1.c6b36c7c99cb6p-17, 0x1.d86939eb1eb7p-17, 0x1.e9de905610beep-17, 0x1.fb12e2eb1a00ep-17, 0x1.0602814900699p-16, 0x1.0e5a66e9e4b29p-16, 0x1.16919f70cf882p-16, 0x1.1ea85e97720bap-16, 0x1.269e407ff97c1p-16, 0x1.2e7305bf469e1p-16, 0x1.362717ca81b6p-16, 0x1.3dbafc4e8158ap-16, 0x1.452ebf5398862p-16, 0x1.4c821dde2f4ebp-16, 0x1.53b4eb155314bp-16, 0x1.5ac73646ea775p-16, 0x1.61b93a791939fp-16, 0x1.688b3d4164097p-16, 0x1.6f3d731ce6bbcp-16, 0x1.75cfde4e30d16p-16, 0x1.7c421c3daa49cp-16, 0x1.829396c9741cdp-16, 0x1.88c45a3885b5ap-16, 0x1.8ed53271f3e17p-16, 0x1.94c681dcf8407p-16, 0x1.9a97de80da1dap-16, 0x1.a0492cdf8c6bep-16, 0x1.a5db037c0fd5ap-16, 0x1.ab4dc5968eee2p-16, 0x1.b0a15ad0e35e6p-16, 0x1.b5d59ec87299dp-16, 0x1.baea9a65d5979p-16, 0x1.bfe07e2496029p-16, 0x1.c4b785daee5b4p-16, 0x1.c96fbda5b8cafp-16, 0x1.ce08f97e656e5p-16, 0x1.d2834ccfc62d1p-16, 0x1.d6df1f50a7cdcp-16, 0x1.db1c86b438d3fp-16, 0x1.df3b56e7d0536p-16, 0x1.e33bdf8870a3dp-16, 0x1.e71eb01d1d77ap-16, 0x1.eae3f7c52443p-16, 0x1.ee8bac06f0f8dp-16, 0x1.f215da2ed0e3bp-16, 0x1.f582b1fcb34bdp-16, 0x1.f8d27beef7469p-16, 0x1.fc056b298a464p-16, 0x1.ff1b594c2efcp-16, 0x1.010a1dfb5797ap-15, 0x1.027849b4a71b3p-15, 0x1.03d8482d7cf1bp-15, 0x1.052a0cef2eceep-15, 0x1.066dd60157f21p-15, 0x1.07a3e0649df58p-15, 0x1.08cc2e0a20496p-15, 0x1.09e6be7f9bde8p-15, 0x1.0af3a62472366p-15, 0x1.0bf3027dd98e6p-15, 0x1.0ce4f15385f21p-15, 0x1.0dc98ec1a88cdp-15, 0x1.0ea0f5dda42a6p-15, 0x1.0f6b418ba33c8p-15, 0x1.10288c98e9f62p-15, 0x1.10d8f16cbed4bp-15, 0x1.117c8bf6db5bp-15, 0x1.12137fadf017bp-15, 0x1.129df6d058dd1p-15, 0x1.131c0b22ef52ep-15, 0x1.138dc00174831p-15, 0x1.13f32ac55faa4p-15, 0x1.144c68f47eb44p-15, 0x1.149995e55c51p-15, 0x1.14dae83f7788cp-15, 0x1.15108ea8108edp-15, 0x1.153aa7e1d1fbap-15, 0x1.1559484c5ba54p-15, 0x1.156c6f57451ep-15, 0x1.15743a3469808p-15, 0x1.1570c89a32c01p-15, 0x1.15624046581d9p-15, 0x1.1548dd7f5f1d8p-15, 0x1.1524b8b185a73p-15, 0x1.14f5e1a49fe63p-15, 0x1.14bc757b14466p-15, 0x1.1478965708751p-15, 0x1.142a65eb59cb1p-15, 0x1.13d204e974503p-15, 0x1.136f9377b3fe5p-15, 0x1.1303318b9f2d6p-15, 0x1.128cff1615d13p-15, 0x1.120d1c174fb99p-15, 0x1.1183a8a695d4fp-15, 0x1.10f0c4f2020eep-15, 0x1.1054913622d79p-15, 0x1.0faf2dad956c7p-15, 0x1.0f00ba8a1c78cp-15, 0x1.0e4957ec4ec82p-15, 0x1.0d8925ced2dddp-15, 0x1.0cc04428c51d2p-15, 0x1.0beed2f14751p-15, 0x1.0b14f2141c23ep-15, 0x1.0a32c246b88fap-15, 0x1.094866db37735p-15, 0x1.0856051c4ace8p-15, 0x1.075bbe2c4b723p-15, 0x1.0659a889ab8ddp-15, 0x1.054fd92a0a19p-15, 0x1.043e76b42c93ap-15, 0x1.0325ad4d3db38p-15, 0x1.02059dece382bp-15, 0x1.00de6002a699bp-15, 0x1.ff60224be6ac5p-16, 0x1.fcf5a50705e0dp-16, 0x1.fa7d897fa075cp-16, 0x1.f7f80f66f4a35p-16, 0x1.f565759592b21p-16, 0x1.f2c5fa72cf966p-16, 0x1.f019dc1354f3ep-16, 0x1.ed6158142577bp-16, 0x1.ea9cad19dd067p-16, 0x1.e7cc17be5063ep-16, 0x1.e4efd3c989a3ep-16, 0x1.e20820b152fd5p-16, 0x1.df1539e2f21aap-16, 0x1.dc175b2da674dp-16, 0x1.d90ec111ea958p-16, 0x1.d5fba7161e3f9p-16, 0x1.d2de48caa0b27p-16, 0x1.cfb6e0f60716bp-16, 0x1.cc85aa3d7b2efp-16, 0x1.c94adef70dd64p-16, 0x1.c606b92f62f61p-16, 0x1.c2b972865888p-16, 0x1.bf6344033d4e7p-16, 0x1.bc0466d10ec97p-16, 0x1.b89d159cb227bp-16, 0x1.b52d876a73d4dp-16, 0x1.b1b5effb4e848p-16, 0x1.ae36898c291eep-16, 0x1.aaaf8d3b48dbbp-16, 0x1.a7212f64f4c49p-16, 0x1.a38ba639ee62cp-16, 0x1.9fef28782a38p-16, 0x1.9c4bea99089e8p-16, 0x1.98a220b27dc16p-16, 0x1.94f2008b6718bp-16, 0x1.913bbe76ce078p-16, 0x1.8d7f8d6cb9e5ep-16, 0x1.89bda08b5d0e7p-16, 0x1.85f62aaf55e15p-16, 0x1.82295e333de6ap-16, 0x1.7e576cf399e45p-16, 0x1.7a8088567ef41p-16, 0x1.76a4e14d73db1p-16, 0x1.72c4a854b892bp-16, 0x1.6ee00d72ecee7p-16, 0x1.6af74038031d1p-16, 0x1.670a6fbd53d5cp-16, 0x1.6319caa5cbbd9p-16, 0x1.5f257f1dcddc1p-16, 0x1.5b2dbadaa2c5bp-16, 0x1.5732ab19d0b69p-16, 0x1.53347c9f0cd51p-16, 0x1.4f335bb09a5efp-16, 0x1.4b2f7418ebe04p-16, 0x1.4728f130162c9p-16, 0x1.431ffde2fc65cp-16, 0x1.3f14c46dfac23p-16, 0x1.3b076e8dda161p-16, 0x1.36f826446a9cep-16, 0x1.32e713f9a51cap-16, 0x1.2ed46032257eep-16, 0x1.2ac0332207349p-16, 0x1.26aab437dba99p-16, 0x1.22940a6e69f48p-16, 0x1.1e7c5c4f5b634p-16, }}, 
      {{-0x1.bf746ce0f9a4fp+0, -0x1.a4fd1b1b11fa7p+0, -0x1.83ca9b3567ce4p+0, -0x1.6113f3568e9a6p+0, -0x1.3ff3937fd4cc5p+0, -0x1.221cbb1039999p+0, -0x1.0857ad7e3aaa3p+0, -0x1.e5ad3d4a6d0f2p-1, -0x1.c2df5247085f8p-1, -0x1.a78847e4c87a8p-1, -0x1.92b6063690967p-1, -0x1.83645b73e31b1p-1, -0x1.78930b0cbc9fbp-1, -0x1.71531a5f1461cp-1, -0x1.6cce19edf86d5p-1, -0x1.6a495e8a67cb3p-1, -0x1.6926908c48a9ep-1, -0x1.68e28c681521dp-1, -0x1.691346e0b222ep-1, -0x1.69652e663fe25p-1, -0x1.69985bcb1d78ep-1, -0x1.697dc6f1662f6p-1, -0x1.68f49f729dd23p-1, -0x1.67e7db66b3ea1p-1, -0x1.664c058d0fbaap-1, -0x1.641d4e2cabe7bp-1, -0x1.615dddf86a508p-1, -0x1.5e14678d98d9fp-1, -0x1.5a4af284ef234p-1, -0x1.560dda53dbc61p-1, -0x1.516afb1015619p-1, -0x1.4c71064d5457cp-1, -0x1.472efa9cd7ab8p-1, -0x1.41b3b8a1e8b37p-1, -0x1.3c0db125d17dp-1, -0x1.364aa8128f0c3p-1, -0x1.307788bab4121p-1, -0x1.2aa0484c6a0b8p-1, -0x1.24cfd3ba5e066p-1, -0x1.1f1006cec2daap-1, -0x1.1969aa756094ep-1, -0x1.13e4789c47065p-1, -0x1.0e872451f3f27p-1, -0x1.09576504902a5p-1, -0x1.045a03fbae8bep-1, -0x1.ff25d6a1eb0b7p-2, -0x1.f60a6ba02773ap-2, -0x1.ed667e8beafdfp-2, -0x1.e53d69bf9bba3p-2, -0x1.dd914a9ee1617p-2, -0x1.d66320f8fbc43p-2, -0x1.cfb2ed31752a7p-2, -0x1.c97fccf4fdd2ep-2, -0x1.c3c81654e3c1p-2, -0x1.be897134ab112p-2, -0x1.b9c0eefe26381p-2, -0x1.b56b20a0c2cedp-2, -0x1.b1842add0216p-2, -0x1.ae07d8ec749dp-2, -0x1.aaf1ad9045e7dp-2, -0x1.a83cf2991dd34p-2, -0x1.a5e4c6fa34cd7p-2, -0x1.a3e42b7ad057ap-2, -0x1.a2360e1965a15p-2, -0x1.a0d55433876b7p-2, -0x1.9fbce3866fe87p-2, -0x1.9ee7aa1b5c0ep-2, -0x1.9e50a5355749cp-2, -0x1.9df2e75513ee6p-2, -0x1.9dc99d65ce647p-2, -0x1.9dd01326ca4b2p-2, -0x1.9e01b6dae623p-2, -0x1.9e5a1c5270612p-2, -0x1.9ed4ff55677e9p-2, -0x1.9f6e45877a5fcp-2, -0x1.a021ffceba43ep-2, -0x1.a0ec6b5802286p-2, -0x1.a1c9f23eced2p-2, -0x1.a2b72be514b15p-2, -0x1.a3b0dcf9bc25cp-2, -0x1.a4b3f73a635e8p-2, -0x1.a5bd98e446954p-2, -0x1.a6cb0bf9189e2p-2, -0x1.a7d9c54a6fdfdp-2, -0x1.a8e7637b4d951p-2, -0x1.a9f1addfb75a2p-2, -0x1.aaf6935fd735ap-2, -0x1.abf4294631e25p-2, -0x1.ace8a9f49cda1p-2, -0x1.add2739367285p-2, -0x1.aeb0068c8e1a3p-2, -0x1.af80041cb24cdp-2, -0x1.b0412cb9008c4p-2, -0x1.b0f25e96d4f12p-2, -0x1.b192943825876p-2, -0x1.b220e302b0c61p-2, -0x1.b29c7a00bdfb5p-2, -0x1.b304a0906d431p-2, -0x1.b358b536f6721p-2, -0x1.b3982c6535798p-2, -0x1.b3c28f4048b09p-2, -0x1.b3d77a710c22bp-2, -0x1.b3d69cebfa4aap-2, -0x1.b3bfb6cb79b54p-2, -0x1.b392982fa0573p-2, -0x1.b34f202fd62c6p-2, -0x1.b2f53bdf6d866p-2, -0x1.b284e560950b4p-2, -0x1.b1fe230b75736p-2, -0x1.b161069f4b6c3p-2, -0x1.b0adac81c9231p-2, -0x1.afe43b050cb47p-2, -0x1.af04e1b4be642p-2, -0x1.ae0fd8a759cd1p-2, -0x1.ad055fd51bd33p-2, -0x1.abe5be72b5133p-2, -0x1.aab142511ee58p-2, -0x1.a9683f452bf11p-2, -0x1.a80b0e93a6aa4p-2, -0x1.a69a0e67ed44p-2, -0x1.a515a15042a9p-2, -0x1.a37e2dc4c4ed4p-2, -0x1.a1d41db5a9e15p-2, -0x1.a017de20a926ap-2, -0x1.9e49deaf6352fp-2, -0x1.9c6a915c44e63p-2, -0x1.9a7a6a1d0aedep-2, -0x1.9879de92d2085p-2, -0x1.966965c12fb85p-2, -0x1.944977c76ae28p-2, -0x1.921a8d9f3a433p-2, -0x1.8fdd20df394edp-2, -0x1.8d91ab8153b41p-2, -0x1.8b38a7ac0c42fp-2, -0x1.88d28f7f88516p-2, -0x1.865fdce5a8a8bp-2, -0x1.83e10965eb56cp-2, -0x1.81568dfc3e004p-2, -0x1.7ec0e2f1c7c6cp-2, -0x1.7c207fba4f2e1p-2, -0x1.7975dad3e6be8p-2, -0x1.76c169a8f4303p-2, -0x1.7403a0740b89cp-2, -0x1.713cf228ccb77p-2, -0x1.6e6dd05bbef83p-2, -0x1.6b96ab2eaf378p-2, -0x1.68b7f13e4e958p-2, -0x1.65d20f906362bp-2, -0x1.62e571855c86cp-2, -0x1.5ff280cbf58bep-2, -0x1.5cf9a553a5ec5p-2, -0x1.59fb4541a728fp-2, -0x1.56f7c4e98c595p-2, -0x1.53ef86c437eadp-2, -0x1.50e2eb675ccb8p-2, -0x1.4dd251810fb7cp-2, -0x1.4abe15d356552p-2, -0x1.47a6932e05f96p-2, -0x1.448c226bfa4d7p-2, -0x1.416f1a72a526fp-2, -0x1.3e4fd02f3e927p-2, -0x1.3b2e969405237p-2, -0x1.380bbe9a5d1dp-2, -0x1.34e7974477895p-2, -0x1.31c26d9bf5e66p-2, -0x1.2e9c8cb3250cap-2, -0x1.2b763daa0a355p-2, -0x1.284fc7b1304cbp-2, -0x1.2529700a4728p-2, -0x1.22037a0c5de0fp-2, -0x1.1ede272ac440fp-2, -0x1.1bb9b6f8df84bp-2, -0x1.1896672c23417p-2, -0x1.157473a25b85p-2, -0x1.1254166a0d529p-2, -0x1.0f3587c6a832cp-2, -0x1.0c18fe33fc689p-2, -0x1.08feae6d4e0fp-2, -0x1.05e6cb76b43b4p-2, -0x1.02d186a2395d8p-2, -0x1.ff7e1f2828959p-3, -0x1.f95f2892f2c5p-3, -0x1.f346824565b19p-3, -0x1.ed3481d42bd88p-3, -0x1.e72979af9cda6p-3, -0x1.e125b93075cb5p-3, -0x1.db298cac9cadbp-3, -0x1.d5353d88ac9c6p-3, -0x1.cf49124056477p-3, -0x1.c9654e6f47e6ap-3, -0x1.c38a32e430fb9p-3, -0x1.bdb7fdb700e8ap-3, -0x1.b7eeea55a72c4p-3, -0x1.b22f3188e5782p-3, -0x1.ac79097fa1202p-3, -0x1.a6cca5e5e6bap-3, -0x1.a12a37fb19c06p-3, -0x1.9b91ee9af98c1p-3, -0x1.9603f63fa1432p-3, -0x1.9080790cf2c9cp-3, -0x1.8b079ee95857fp-3, -0x1.85998d9551516p-3, -0x1.803668b3c2eccp-3, -0x1.7ade51c96b771p-3, -0x1.7591684373426p-3, -0x1.704fc98fd9cacp-3, -0x1.6b199137a4553p-3, -0x1.65eed8ebafc27p-3, -0x1.60cfb88293994p-3, -0x1.5bbc45f886c1dp-3, -0x1.56b495803e677p-3, -0x1.51b8b99f2b7abp-3, -0x1.4cc8c3427677ep-3, -0x1.47e4c1c26636ep-3, -0x1.430cc2dcb3af3p-3, -0x1.3e40d2b86f71fp-3, -0x1.3980fbfb8404ap-3, -0x1.34cd47e6791f6p-3, -0x1.3025be64ae11fp-3, -0x1.2b8a660b2c0efp-3, -0x1.26fb441202c44p-3, -0x1.22785c59474eap-3, -0x1.1e01b17eb8013p-3, -0x1.199744f8218e2p-3, -0x1.153917223a74dp-3, -0x1.10e7273f1025bp-3, -0x1.0ca1736e7fc85p-3, -0x1.0867f8b0800dfp-3, -0x1.043ab2f72a42cp-3, -0x1.00199d3fcf73fp-3, -0x1.f80963478b733p-4, -0x1.eff7d2b41cdbp-4, -0x1.e7fe795fb2ffp-4, -0x1.e01d460b685c8p-4, -0x1.d85425b573d48p-4, -0x1.d0a303c3b9455p-4, -0x1.c909ca2c0b0b5p-4, -0x1.c1886184502aep-4, -0x1.ba1eb0fab95c1p-4, -0x1.b2cc9e48b286ep-4, -0x1.ab920db61d982p-4, -0x1.a46ee2348ac5ap-4, -0x1.9d62fd86706a3p-4, -0x1.966e405d7689bp-4, -0x1.8f908a63318d5p-4, -0x1.88c9ba3046a18p-4, -0x1.8219ad423d40ap-4, -0x1.7b8040004b227p-4, -0x1.74fd4dd36f0b4p-4, -0x1.6e90b14772ad9p-4, -0x1.683a4424b0c99p-4, -0x1.61f9df78c9674p-4, -0x1.5bcf5b90947ebp-4, -0x1.55ba8fef36263p-4, -0x1.4fbb534fccb3bp-4, -0x1.49d17bb5d6efcp-4, -0x1.43fcde86f5fcap-4, -0x1.3e3d50a367526p-4, -0x1.3892a671e6426p-4, -0x1.32fcb3e017742p-4, -0x1.2d7b4c5b23cd2p-4, -0x1.280e42cc4143fp-4, -0x1.22b5699fdb47ap-4, -0x1.1d7092d701e29p-4, -0x1.183f901c68247p-4, -0x1.132232d49831bp-4, -0x1.0e184c24ac22p-4, -0x1.0921acf09ac4ep-4, -0x1.043e25d683457p-4, -0x1.fedb0e5b6223ap-5, -0x1.f55f421aed5a3p-5, -0x1.ec0886b5fc221p-5, -0x1.e2d67bb20dbf5p-5, -0x1.d9c8c0689ad9ep-5, -0x1.d0def411e7e86p-5, -0x1.c818b5c4d718dp-5, -0x1.bf75a470f36c6p-5, -0x1.b6f55edc4419bp-5, -0x1.ae9783ab5c773p-5, -0x1.a65bb173bd899p-5, -0x1.9e4186d2e0ad4p-5, -0x1.9648a28275306p-5, -0x1.8e70a364c599fp-5, -0x1.86b92888674f1p-5, -0x1.7f21d126122e3p-5, -0x1.77aa3c9dbca12p-5, -0x1.70520a786bb28p-5, -0x1.6918da7149cb9p-5, -0x1.61fe4c8463865p-5, -0x1.5b0200fe9fbffp-5, -0x1.5423988a9d8ecp-5, -0x1.4d62b4383cb6ep-5, -0x1.46bef57ee8e45p-5, -0x1.4037fe3c7f233p-5, -0x1.39cd70b3efca3p-5, -0x1.337eef8ee9f7bp-5, -0x1.2d4c1de41d2a1p-5, -0x1.27349f411c0efp-5, -0x1.213817b4f53a9p-5, -0x1.1b562bd90aeb1p-5, -0x1.158e80d6df1bcp-5, -0x1.0fe0bc6a98199p-5, -0x1.0a4c84e322496p-5, -0x1.04d181215f29cp-5, -0x1.fedeb130c7e6ap-6, -0x1.f44b66a07c6c6p-6, -0x1.e9e873d6d156ep-6, -0x1.dfb52b5ae9e49p-6, -0x1.d5b0e1025bae9p-6, -0x1.cbdae9fa7e0cbp-6, -0x1.c2329cce1d87bp-6, -0x1.b8b75167d4186p-6, -0x1.af686111d94d9p-6, -0x1.a6452674f9b63p-6, -0x1.9d4cfd98f1a7bp-6, -0x1.947f43e7dcda2p-6, -0x1.8bdb58349b2f1p-6, -0x1.83609ac25fd54p-6, -0x1.7b0e6d4b75c3bp-6, -0x1.72e4330623954p-6, -0x1.6ae150a7e38d8p-6, -0x1.63052c66b8e28p-6, -0x1.5b4f2df8f7716p-6, -0x1.53bebe9432b65p-6, -0x1.4c5348ec29401p-6, -0x1.450c39334846cp-6, -0x1.3de8fd1d011a6p-6, -0x1.36e903e122eep-6, -0x1.300bbe3f31d2fp-6, -0x1.29509e80c498ap-6, -0x1.22b7187adf036p-6, -0x1.1c3ea18e73473p-6, -0x1.15e6b0a80740cp-6, -0x1.0faebe3e81a6ep-6, -0x1.0996445179463p-6, -0x1.039cbe678bf99p-6, -0x1.fb83531aece67p-7, -0x1.f00908ac8122dp-7, -0x1.e4c99db7dbfd8p-7, -0x1.d9c41580390dp-7, -0x1.cef776582887dp-7, -0x1.c462c9a07a03ep-7, -0x1.ba051bc65149cp-7, -0x1.afdd7c4059fa4p-7, -0x1.a5eafd8aff485p-7, -0x1.9c2cb523d4d06p-7, -0x1.92a1bb8486676p-7, -0x1.89492c1e8cf1cp-7, -0x1.80222557ebd09p-7, -0x1.772bc8892dc86p-7, -0x1.6e6539fba40d2p-7, -0x1.65cda0e619d56p-7, -0x1.5d64276b02832p-7, -0x1.5527fa96b1a68p-7, -0x1.4d184a554745cp-7, -0x1.4534496d1da19p-7, -0x1.3d7b2d7dff1b9p-7, -0x1.35ec2ef91f062p-7, -0x1.2e868919cc817p-7, -0x1.274979e183c9dp-7, -0x1.203442144aad3p-7, -0x1.1946253575258p-7, -0x1.127e69844f123p-7, -0x1.0bdc57f7abc35p-7, -0x1.055f3c37f91bbp-7, -0x1.fe0cc93023e8cp-8, -0x1.f1a2441ab0d6ap-8, -0x1.e57d904fc4226p-8, -0x1.d99d5a1725488p-8, -0x1.ce0052d4d0f38p-8, -0x1.c2a5310031afbp-8, -0x1.b78ab01d983d9p-8, -0x1.acaf90b88c579p-8, -0x1.a212985cdc071p-8, -0x1.97b2918c8202ep-8, -0x1.8d8e4bb0f25d6p-8, -0x1.83a49b077687fp-8, -0x1.79f4588b4897ap-8, -0x1.707c61df6ea5cp-8, -0x1.673b993c2792ap-8, -0x1.5e30e5627d82cp-8, -0x1.555b3196d3715p-8, -0x1.4cb96da18d82cp-8, -0x1.444a8dd1e3489p-8, -0x1.3c0d8afed142ap-8, -0x1.34016281f1993p-8, -0x1.2c251628c4da6p-8, -0x1.2477ac1c1be9dp-8, -0x1.1cf82ebeed07dp-8, -0x1.15a5ac898bea4p-8, -0x1.0e7f37e7357p-8, -0x1.0783e71cc2e3dp-8, -0x1.00b2d43cca9e3p-8, -0x1.f4163a56e29b1p-9, -0x1.e717c75d92cf3p-9, -0x1.da689b0ca7f1ap-9, -0x1.ce070900e8ffdp-9, -0x1.c1f16d0a950c5p-9, -0x1.b6262b1ed6c53p-9, -0x1.aaa3af1f69bb7p-9, -0x1.9f686c7bcc7d9p-9, -0x1.9472ddb836231p-9, -0x1.89c183f15b90ep-9, -0x1.7f52e6728cdf8p-9, -0x1.75259273b6196p-9, -0x1.6b381b0c912cap-9, -0x1.6189195e3cfd5p-9, -0x1.58172ce83eca3p-9, -0x1.4ee0fbf3765f5p-9, -0x1.45e533f666dacp-9, -0x1.3d2289d750635p-9, -0x1.3497b9f584c12p-9, -0x1.2c4387efc8636p-9, -0x1.2424be2bbd041p-9, -0x1.1c3a2d308cd3ap-9, -0x1.1482aaf16bf61p-9, -0x1.0cfd1229be8bfp-9, -0x1.05a841e9e9f15p-9, -0x1.fd063ad352ca9p-10, -0x1.ef19184f6025ep-10, -0x1.e186f49a29328p-10, -0x1.d44db279e1fc9p-10, -0x1.c76b405eb92a3p-10, -0x1.badd996604234p-10, -0x1.aea2c5ec3b106p-10, -0x1.a2b8db84775d4p-10, -0x1.971dfc4bde48ap-10, -0x1.8bd055b1964aep-10, -0x1.80ce1ee9904f8p-10, -0x1.7615975274cdp-10, -0x1.6ba5051b4c469p-10, -0x1.617ab46816678p-10, -0x1.5794f71b040ddp-10, -0x1.4df225464994bp-10, -0x1.44909e2741f6fp-10, -0x1.3b6ec9726b5d6p-10, -0x1.328b18a41f249p-10, -0x1.29e4080cb2598p-10, -0x1.21781f57b9e73p-10, -0x1.1945f16b51e4cp-10, -0x1.114c1b9a070ap-10, -0x1.098944481f7e2p-10, -0x1.01fc1940116ffp-10, -0x1.f5469c0c625p-11, -0x1.e6fb34f48e5ebp-11, -0x1.d9137412b60edp-11, -0x1.cb8cd729637ebp-11, -0x1.be64e420c340cp-11, -0x1.b1992b6d1353ep-11, -0x1.a5274b22bf398p-11, -0x1.990cf21cd78c4p-11, -0x1.8d47e29323d21p-11, -0x1.81d5f399516a4p-11, -0x1.76b5112893ecp-11, -0x1.6be33a9a767e2p-11, -0x1.615e7fbf76f23p-11, -0x1.5724fcf8f7469p-11, -0x1.4d34d6f7be58bp-11, -0x1.438c371d5abf4p-11, -0x1.3a2948772fae5p-11, -0x1.310a365736892p-11, -0x1.282d2d1e27c5ep-11, -0x1.1f905c161e0bcp-11, -0x1.1731f8c9b35e5p-11, -0x1.0f10431919555p-11, -0x1.072989512b884p-11, -0x1.fef8574753b49p-12, -0x1.f00d3cda18f45p-12, -0x1.e18ed5c8f6473p-12, -0x1.d37a5c1d75221p-12, -0x1.c5cd2c1c63125p-12, -0x1.b884bc5f07f34p-12, -0x1.ab9e9480da41ep-12, -0x1.9f1843bb3b76ap-12, -0x1.92ef58d5ac56ap-12, -0x1.87215cb9fa47ep-12, -0x1.7babcfd36ce66p-12, -0x1.708c2ac854a1bp-12, -0x1.65bfe32b15575p-12, -0x1.5b447196e53e4p-12, -0x1.511759b26588ep-12, -0x1.473632e713951p-12, -0x1.3d9eaf9a2820ep-12, -0x1.344ea28799df3p-12, -0x1.2b44016490784p-12, -0x1.227ce46d3eee6p-12, -0x1.19f783248c5b9p-12, -0x1.11b22ef581d61p-12, -0x1.09ab4c94ffe8fp-12, -0x1.01e14cfdbfd79p-12, -0x1.f4a54d8ea6976p-13, -0x1.e5fba0d99e82bp-13, -0x1.d7c27802c9f17p-13, -0x1.c9f6a96b02b6ep-13, -0x1.bc94fcef63401p-13, -0x1.af9a2f9f41dc1p-13, -0x1.a302fba1e6018p-13, -0x1.96cc23515bfep-13, -0x1.8af27dc80f69cp-13, -0x1.7f73028861f16p-13, -0x1.744ad1d7bc1ecp-13, -0x1.6977381dc960bp-13, -0x1.5ef5ac05068b2p-13, -0x1.54c3c8bf1c893p-13, -0x1.4adf46e38cc68p-13, -0x1.4145f66e18ab4p-13, -0x1.37f5bb3a73982p-13, -0x1.2eec8bad90c75p-13, -0x1.26286fe40435p-13, -0x1.1da77f70f6404p-13, -0x1.1567dcaa54a6p-13, -0x1.0d67ae19fc64p-13, -0x1.05a518222e4dp-13, -0x1.fc3c72c65bcd8p-14, -0x1.eda2577b24f0ep-14, -0x1.df78145fdf348p-14, -0x1.d1b9f3f1fc439p-14, -0x1.c464680f886e6p-14, -0x1.b77416e84d94cp-14, -0x1.aae5dd3562484p-14, -0x1.9eb6c45cc84a1p-14, -0x1.92e3ef8535f6bp-14, -0x1.876a867bc6f5fp-14, -0x1.7c47a716a417bp-14, -0x1.717863893dfaep-14, -0x1.66f9cf6ec8f01p-14, -0x1.5cc9170da8297p-14, -0x1.52e396f6651cap-14, -0x1.4946e9eb687b8p-14, -0x1.3ff0e709d0d16p-14, -0x1.36df90d7f11cap-14, -0x1.2e10fcac8854bp-14, -0x1.25833cda576bap-14, -0x1.1d34561ae3cbp-14, -0x1.152243101cc2ap-14, -0x1.0d4b02925bb6bp-14, -0x1.05aca9afdb9a1p-14, -0x1.fc8ae3c606522p-15, -0x1.ee277c4bfc0e7p-15, -0x1.e02c2959209a1p-15, -0x1.d2961cb4f94dap-15, -0x1.c56280470ece4p-15, -0x1.b88e4a0791014p-15, -0x1.ac162047bcbd9p-15, -0x1.9ff65a47375afp-15, -0x1.942b20c31a555p-15, -0x1.88b0a6f43b2bcp-15, -0x1.7d836a6e73564p-15, -0x1.72a06402b7c3bp-15, -0x1.68051827f80dap-15, -0x1.5daf81c24d8d9p-15, -0x1.539de19e56459p-15, -0x1.49ce87bacc3bbp-15, -0x1.403fabeaf7372p-15, -0x1.36ef615c98c14p-15, -0x1.2ddba387fd3eep-15, -0x1.2502719bcee68p-15, -0x1.1c61eba99aa4cp-15, -0x1.13f8665a0aa2ep-15, -0x1.0bc46f13e594fp-15, -0x1.03c4be39f15e3p-15, -0x1.f7f0381a7deffp-16, -0x1.e8ba82b3f479bp-16, -0x1.d9e57b552007ep-16, -0x1.cb6dd2a07dcdap-16, -0x1.bd4fca1c9152fp-16, -0x1.af8754d3b2671p-16, -0x1.a2104ac53e61fp-16, -0x1.94e6aa7620972p-16, -0x1.8806e6b70ee96p-16, -0x1.7b6e15018e361p-16, -0x1.6f19fd94543e8p-16, -0x1.6308fe6fbce88p-16, -0x1.5739ca5e416bdp-16, -0x1.4bab1d7d2f38bp-16, -0x1.405b845167e94p-16, -0x1.35494786e9796p-16, -0x1.2a727d0f12a2dp-16, -0x1.1fd5321986261p-16, -0x1.156f9aadf926ep-16, -0x1.0b4031ac5cef1p-16, -0x1.0145b97702ddp-16, -0x1.eefe3ac2d48e1p-17, -0x1.dbd68bc5bfa1p-17, -0x1.c911ef34108a2p-17, -0x1.b6ad958d0d3abp-17, -0x1.a4a6708dcd605p-17, -0x1.92f95c3b64ea6p-17, -0x1.81a33be2fef6bp-17, -0x1.70a101be15733p-17, -0x1.5fefac08532b4p-17, -0x1.4f8c4a21b8d61p-17, -0x1.3f7414c18a67ep-17, -0x1.2fa49519f22f8p-17, -0x1.201bca16f1c7fp-17, -0x1.10d83468d21bp-17, -0x1.01d8b847dfecbp-17, -0x1.e638b7c490344p-18, -0x1.c944059c4a29p-18, -0x1.acd0957b219cbp-18, -0x1.90db2e020acc2p-18, -0x1.75607da084eb2p-18, -0x1.5a5d8691a4b04p-18, -0x1.3fcfd9fcb01a2p-18, -0x1.25b57a0bd749ep-18, -0x1.0c0c7a2bc9b37p-18, -0x1.e5a5535bb05bdp-19, -0x1.b40b0799bbbcfp-19, -0x1.8344bdd222379p-19, -0x1.534d57eb6b1c6p-19, -0x1.242040284c595p-19, -0x1.eb72fadd4cc6fp-20, -0x1.902b32abcf58ap-20, -0x1.3662df430257dp-20, -0x1.bc27efd61ab0ep-21, -0x1.0e70d2cf574a4p-21, -0x1.8e4f96210dda9p-23, 0x1.11eecfd0455d5p-23, 0x1.d395bf2862502p-22, 0x1.8c65cd119ab69p-21, 0x1.162b7ec1f6038p-20, 0x1.64d375ef5e335p-20, 0x1.b22e7f71add9p-20, 0x1.fe40912e567e8p-20, 0x1.248721d32744p-19, 0x1.494e33514e1a2p-19, 0x1.6d77a3873d99bp-19, 0x1.9105456da0adfp-19, 0x1.b3f8e939d50dfp-19, 0x1.d6549fd46ad52p-19, 0x1.f81a93b79c3f3p-19, 0x1.0ca6580f5f6d3p-18, 0x1.1cf6408af04c6p-18, 0x1.2cfdad18e74b4p-18, 0x1.3cbd460f9fd5bp-18, 0x1.4c35bfe1fff39p-18, 0x1.5b67d894b166p-18, 0x1.6a544a16075a4p-18, 0x1.78fbb8fd6db1dp-18, 0x1.875ea9226e882p-18, 0x1.957d7f18177a2p-18, 0x1.a35890276d97ap-18, 0x1.b0f040f8fb142p-18, 0x1.be452a5ca1bc5p-18, 0x1.cb58235185de4p-18, 0x1.d82a0e4f9b5a6p-18, 0x1.e4bb7a5210652p-18, 0x1.f10c6f7e1c9efp-18, 0x1.fd1cc83be743p-18, 0x1.0476751c49021p-17, 0x1.0a3f062b18926p-17, 0x1.0fe8ac864d2e6p-17, 0x1.1573ab404d062p-17, 0x1.1adfebc38dbbcp-17, 0x1.202d6f760b994p-17, 0x1.255c7f7f23c93p-17, 0x1.2a6d87dd21356p-17, 0x1.2f60ceee6c30dp-17, 0x1.34366f98ca31ap-17, 0x1.38ee7a9076c27p-17, 0x1.3d8910deb5135p-17, 0x1.42066c5b211d6p-17, 0x1.4666dc21f7976p-17, 0x1.4aaab88e6ae52p-17, 0x1.4ed250bfadc93p-17, 0x1.52ddd52494882p-17, 0x1.56cd43d1ca229p-17, 0x1.5aa06c60c7047p-17, 0x1.5e572e4e1063ap-17, 0x1.61f1cf9031e63p-17, 0x1.6570f7e033ac6p-17, 0x1.68d53b7ee8dfbp-17, 0x1.6c1ec479e2dbcp-17, 0x1.6f4d8e1e4de93p-17, 0x1.7261cff7b1cd5p-17, 0x1.755bd905d7aap-17, 0x1.783bb2cd27f18p-17, 0x1.7b013613b9086p-17, 0x1.7dac88cc47ac8p-17, 0x1.803e2295f88bap-17, 0x1.82b650c66c243p-17, 0x1.851509c54f387p-17, 0x1.875a586ef0c17p-17, 0x1.8986a7bdb5dbap-17, 0x1.8b9a729facf9fp-17, 0x1.8d95ee81585f4p-17, 0x1.8f792398516c8p-17, 0x1.914426843cbf1p-17, 0x1.92f72de34561fp-17, 0x1.949288dc2d8f6p-17, 0x1.96168c35a7191p-17, 0x1.978382a760c4fp-17, 0x1.98d99a297c1cbp-17, 0x1.9a18c7960672p-17, 0x1.9b40e2dc98d57p-17, 0x1.9c521f840ece8p-17, 0x1.9d4d1c65dfda8p-17, 0x1.9e323c57df30dp-17, 0x1.9f016f2a53d45p-17, 0x1.9fbad09440657p-17, 0x1.a05edfa011643p-17, 0x1.a0edfe2b447f6p-17, 0x1.a16848a29a7d2p-17, 0x1.a1cdd47b7fb9p-17, 0x1.a21ed021c6d95p-17, 0x1.a25b7fb85b5a5p-17, 0x1.a2842d5e23254p-17, 0x1.a299083615dfp-17, 0x1.a29a1fb4ef37ap-17, 0x1.a287a66e7a191p-17, 0x1.a261fdacc74f9p-17, 0x1.a22958716f701p-17, 0x1.a1ddc48d8a61ap-17, 0x1.a17f94789430fp-17, 0x1.a10f3e62290fep-17, 0x1.a08d01cc2acd9p-17, 0x1.9ff8fe1626641p-17, 0x1.9f535f0c4534p-17, 0x1.9e9c63960e1afp-17, 0x1.9dd457d8f263fp-17, 0x1.9cfb7ba159d5fp-17, 0x1.9c11dc558629ep-17, 0x1.9b17969f9be8cp-17, 0x1.9a0d1469fd2a4p-17, 0x1.98f2928d2264ap-17, 0x1.97c823c91b09cp-17, 0x1.968e2e491a87bp-17, 0x1.9545172120edfp-17, 0x1.93ed0054e1156p-17, 0x1.92860875cdf52p-17, 0x1.91106518b9e69p-17, 0x1.8f8c55cbfedf7p-17, 0x1.8dfa1a05b7cbp-17, 0x1.8c59eee8dec48p-17, 0x1.8aac0ffa4d01bp-17, 0x1.88f0b81138d4bp-17, 0x1.87282170e7171p-17, 0x1.8552856a5738cp-17, 0x1.83701e9f926dp-17, 0x1.81813008ab33p-17, 0x1.7f86041a585f4p-17, 0x1.7d7ed1a0b7ab6p-17, 0x1.7b6bb4c8007ffp-17, 0x1.794cde3b1bd3p-17, 0x1.772287b4023d6p-17, 0x1.74ece7ee4d219p-17, 0x1.72ac55038992cp-17, 0x1.70611b1b976fdp-17, 0x1.6e0b739ee159ep-17, 0x1.6bab8bedcd7cap-17, 0x1.694177e352ef9p-17, 0x1.66cd6d501a0cfp-17, 0x1.644fa43c0cda6p-17, 0x1.61c85b90c8e01p-17, 0x1.5f37ee52af7cfp-17, 0x1.5c9e8b8fe412bp-17, 0x1.59fc566c34bf9p-17, 0x1.575181e542155p-17, 0x1.549e46ecec5f5p-17, 0x1.51e2dd9adc89ep-17, 0x1.4f1f7c5e453bp-17, 0x1.4c545888815p-17, 0x1.4981a6bc36826p-17, 0x1.46a79b24d2437p-17, 0x1.43c6699136a23p-17, 0x1.40de458080d8p-17, 0x1.3def62220e0a8p-17, 0x1.3af9f2379af4cp-17, 0x1.37fe27f04c014p-17, 0x1.34fc35798139bp-17, 0x1.31f44ce3902f8p-17, 0x1.2ee69e623d98bp-17, 0x1.2bd35a492047cp-17, 0x1.28bab16620437p-17, 0x1.259cd2bca4134p-17, 0x1.2279ee636a6c7p-17, 0x1.1f5238a25f93p-17, 0x1.1c25e7ed7af99p-17, 0x1.18f52bf9511aap-17, 0x1.15c025021ffbdp-17, 0x1.1286efa37c085p-17, 0x1.0f49c24a62adfp-17, 0x1.0c08dcf2b2576p-17, 0x1.08c46e05c54a5p-17, 0x1.057c951ca7da3p-17, 0x1.023179135ea99p-17, 0x1.fdc68ee423303p-18, 0x1.f724597077cd5p-18, 0x1.f07ca789a16c6p-18, 0x1.e9cfccef7a33ep-18, 0x1.e31e1c11c37ccp-18, 0x1.dc67e61e9afdp-18, 0x1.d5ad79cd4cb3dp-18, 0x1.ceef2dc45f514p-18, 0x1.c82d4b42d014fp-18, 0x1.c16816db13bc1p-18, 0x1.ba9fef47718fcp-18, 0x1.b3d51921da752p-18, 0x1.ad07daeb1621dp-18, 0x1.a6388303f1dbep-18, 0x1.9f675929d29c9p-18, 0x1.9894a7c15b944p-18, 0x1.91c0b44af0a65p-18, 0x1.8aebc532ed089p-18, 0x1.84161fe56585p-18, 0x1.7d4009009a0f5p-18, 0x1.7669c419f7a6ep-18, 0x1.6f93933df365ep-18, 0x1.68bdb8ad47c8bp-18, 0x1.61e87af986e5fp-18, 0x1.5b14178b1722p-18, 0x1.5440c17f9ce36p-18, 0x1.4d6ebe9b845f6p-18, 0x1.469e5323d99f6p-18, 0x1.3fcfb4700200ap-18, 0x1.39031dad5856ep-18, 0x1.3238cc8624d36p-18, 0x1.2b70f76d9500fp-18, 0x1.24abd40fc262cp-18, 0x1.1de99e8a6f535p-18, 0x1.172a8e8352adfp-18, 0x1.106ed7848459dp-18, 0x1.09b6ae3d03f39p-18, 0x1.0302471c2bb7ep-18, 0x1.f8a3aaeb6af8bp-19, 0x1.eb4b172752165p-19, 0x1.ddfb35a6f0aap-19, 0x1.d0b467608fb39p-19, 0x1.c3770b898d8f1p-19, 0x1.b6437f97ae9c4p-19, 0x1.a91a1f41a268p-19, 0x1.9bfb4483f74f7p-19, 0x1.8ee747aaf10e9p-19, 0x1.81de7f5be2cafp-19, 0x1.74e1409996a23p-19, 0x1.67efdec16607dp-19, 0x1.5b0aab7c20999p-19, 0x1.4e31f6a43de25p-19, 0x1.41660e4d4d665p-19, 0x1.34a73f406951dp-19, 0x1.27f5d5368f256p-19, 0x1.1b521841c3893p-19, 0x1.0ebc4e9205616p-19, 0x1.0234c43acc601p-19, 0x1.eb77712549d62p-20, 0x1.d2a2de9a74536p-20, 0x1.b9ec586300252p-20, 0x1.a1545d1fa018ep-20, 0x1.88db68f37631ap-20, 0x1.7081f5c16cc05p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.8ada5ac544ba9p-1, 0x1.8a67418fa6fbap-1, 0x1.89a9fb68dd747p-1, 0x1.88a621ec44844p-1, 0x1.87605c5da7d1cp-1, 0x1.85de1af94a403p-1, 0x1.842554f47cf57p-1, 0x1.823c4cc54ebc8p-1, 0x1.80295c63a1f0ep-1, 0x1.7df2ca0823d3fp-1, 0x1.7b9ea53981831p-1, 0x1.7932ab930253p-1, 0x1.76b4347c5b80ep-1, 0x1.742822f6264e6p-1, 0x1.7192dc9c98004p-1, 0x1.6ef8450b5a75fp-1, 0x1.6c5bbcdcba34bp-1, 0x1.69c02390ec328p-1, 0x1.6727dbbe04c4p-1, 0x1.6494d0fd222d5p-1, 0x1.62087f1c9ef0cp-1, 0x1.5f83fa3147609p-1, 0x1.5d07f731523ecp-1, 0x1.5a94d4d3093a1p-1, 0x1.582aa47698d98p-1, 0x1.55c932ee5e744p-1, 0x1.537011035115ep-1, 0x1.511e9b9bf09c9p-1, 0x1.4ed40373754fp-1, 0x1.4c8f545525edfp-1, 0x1.4a4f7bd4a373bp-1, 0x1.48134f7ffed94p-1, 0x1.45d9928b882a1p-1, 0x1.43a0faf9a9141p-1, 0x1.41683642ed571p-1, 0x1.3f2ded8399ab5p-1, 0x1.3cf0c9351780dp-1, 0x1.3aaf747a0371p-1, 0x1.3868a003f423dp-1, 0x1.361b049a2b8e7p-1, 0x1.33c565484734p-1, 0x1.3166913be7796p-1, 0x1.2efd6557f6827p-1, 0x1.2c88cd83f6a0cp-1, 0x1.2a07c5bd5ef16p-1, 0x1.27795af0baf9cp-1, 0x1.24dcab9fe3832p-1, 0x1.2230e85a4bedp-1, 0x1.1f75540c0887ep-1, 0x1.1ca94427db053p-1, 0x1.19cc20b044323p-1, 0x1.16dd642349edap-1, 0x1.13dc9b4c5b3d1p-1, 0x1.10c964ff7444dp-1, 0x1.0da371c068f84p-1, 0x1.0a6a8358fb951p-1, 0x1.071e6c60339e9p-1, 0x1.03bf0fb52d919p-1, 0x1.004c5fef72de6p-1, 0x1.f98cbd8d6cecdp-2, 0x1.f25a38e7515ap-2, 0x1.eb016e16e5badp-2, 0x1.e382b3ae7bf23p-2, 0x1.dbde79521206ap-2, 0x1.d415465defceap-2, 0x1.cc27b88c3a87fp-2, 0x1.c416829b524dap-2, 0x1.bbe26af6a4096p-2, 0x1.b38c4a63556f7p-2, 0x1.ab150ab215507p-2, 0x1.a27da5772787ep-2, 0x1.99c722c9a10ebp-2, 0x1.90f2980aa3c94p-2, 0x1.880126b547c96p-2, 0x1.7ef3fb37c71bep-2, 0x1.75cc4bd65b683p-2, 0x1.6c8b57983217cp-2, 0x1.6332653eb4287p-2, 0x1.59c2c24758a28p-2, 0x1.503dc1f8200bfp-2, 0x1.46a4bc76bf00dp-2, 0x1.3cf90dea820e3p-2, 0x1.333c15a8d3106p-2, 0x1.296f356c46207p-2, 0x1.1f93d096109bp-2, 0x1.15ab4b79b2645p-2, 0x1.0bb70ab2a33bdp-2, 0x1.01b87283c45a3p-2, 0x1.ef61cc80ac45cp-3, 0x1.db438f7c5392ep-3, 0x1.c718eda192d84p-3, 0x1.b2e4a19a8467dp-3, 0x1.9ea9602c95156p-3, 0x1.8a69d760db89dp-3, 0x1.7628adbbda639p-3, 0x1.61e881841256cp-3, 0x1.4dabe816b37efp-3, 0x1.39756d49dafd6p-3, 0x1.254792dbaeba7p-3, 0x1.1124cfedcc4f6p-3, 0x1.fa1f2118b1136p-4, 0x1.d2146a806e0a7p-4, 0x1.aa2e25576b185p-4, 0x1.8270e2627e71p-4, 0x1.5ae11946deaa6p-4, 0x1.338327fc27df7p-4, 0x1.0c5b524f298a2p-4, 0x1.cadb82e91d69fp-5, 0x1.7d7d0754dea6bp-5, 0x1.30a317cfe1393p-5, 0x1.c8aac668452f2p-6, 0x1.3136c1b364dep-6, 0x1.35f141016913p-7, 0x1.7f9c677ee7f76p-12, -0x1.1b5459624e8f6p-7, -0x1.1ff40ce572c8bp-6, -0x1.b0d272428d571p-6, -0x1.201c88620e4a7p-5, -0x1.670e0675e7104p-5, -0x1.ad37fdb91db15p-5, -0x1.f294f06e6038cp-5, -0x1.1b8fcc3e7c46bp-4, -0x1.3d697391a8fa8p-4, -0x1.5ed5024f3cee8p-4, -0x1.7fd027e3bc147p-4, -0x1.a058aed390156p-4, -0x1.c06c7c8085742p-4, -0x1.e00990eb41f55p-4, -0x1.ff2e0670cbe05p-4, -0x1.0eec08c25267bp-3, -0x1.1e030033c97c3p-3, -0x1.2cdb1d6dab2a5p-3, -0x1.3b73a0e9cfed5p-3, -0x1.49cbd7922e314p-3, -0x1.57e31a96cdaa6p-3, -0x1.65b8cf429dae1p-3, -0x1.734c66cf3f44p-3, -0x1.809d5e37e29a1p-3, -0x1.8dab3e0b40a69p-3, -0x1.9a759a3cc0cdap-3, -0x1.a6fc11f4ef7c9p-3, -0x1.b33e4f6135e49p-3, -0x1.bf3c07830093p-3, -0x1.caf4f9fe51621p-3, -0x1.d668f0e7cc978p-3, -0x1.e197c092548b1p-3, -0x1.ec81475c34b5bp-3, -0x1.f7256d7bf5ac2p-3, -0x1.00c212666d026p-2, -0x1.05ceb44d88adp-2, -0x1.0ab89eb7d7be6p-2, -0x1.0f7fd86e34cc8p-2, -0x1.14246ca398f6ap-2, -0x1.18a66adaceed3p-2, -0x1.1d05e6cc23c69p-2, -0x1.2142f84b07ffp-2, -0x1.255dbb2bac11fp-2, -0x1.29564f289f47p-2, -0x1.2d2cd7c86eef5p-2, -0x1.30e17c434cabep-2, -0x1.34746768c094bp-2, -0x1.37e5c78566ce6p-2, -0x1.3b35ce48c07a5p-2, -0x1.3e64b0ab19c2dp-2, -0x1.4172a6d385747p-2, -0x1.445febfdf8418p-2, -0x1.472cbe617d178p-2, -0x1.49d95f1691094p-2, -0x1.4c6611fd9ee44p-2, -0x1.4ed31da5a7307p-2, -0x1.5120cb330f55fp-2, -0x1.534f66469eef5p-2, -0x1.555f3ce4b0214p-2, -0x1.57509f5c8e907p-2, -0x1.5923e03011468p-2, -0x1.5ad953fb680bep-2, -0x1.5c71515d26c51p-2, -0x1.5dec30de8c2f7p-2, -0x1.5f4a4cdc0a96cp-2, -0x1.608c016e0fdefp-2, -0x1.61b1ac52129b8p-2, -0x1.62bbacd3e7b79p-2, -0x1.63aa63b75d2aap-2, -0x1.647e33221f721p-2, -0x1.65377e85ef156p-2, -0x1.65d6aa8b1f9d7p-2, -0x1.665c1cfb68c9ep-2, -0x1.66c83cad0923ap-2, -0x1.671b716e3c1fap-2, -0x1.675623f10360ep-2, -0x1.6778bdb747804p-2, -0x1.6783a8ff4f77fp-2, -0x1.677750b091c8p-2, -0x1.67542048dbcdep-2, -0x1.671a83c9db301p-2, -0x1.66cae7a6fb49bp-2, -0x1.6665b8b3a3c98p-2, -0x1.65eb6411d3abep-2, -0x1.655c57211c15dp-2, -0x1.64b8ff6df71b5p-2, -0x1.6401caa181eaep-2, -0x1.6337267192e49p-2, -0x1.625980913467fp-2, -0x1.616946a17cdfp-2, -0x1.6066e622ca9f9p-2, -0x1.5f52cc665d79ap-2, -0x1.5e2d668057a1p-2, -0x1.5cf7213a17de2p-2, -0x1.5bb06904fdbdbp-2, -0x1.5a59a9ed8696cp-2, -0x1.58f34f8ed1ec5p-2, -0x1.577dc50683ec3p-2, -0x1.55f974e907cf8p-2, -0x1.5466c936336cbp-2, -0x1.52c62b4e4877ep-2, -0x1.511803e75927fp-2, -0x1.4f5cbb030461bp-2, -0x1.4d94b7e4977aap-2, -0x1.4bc0610785bf4p-2, -0x1.49e01c16419c3p-2, -0x1.47f44de16e9e8p-2, -0x1.45fd5a576f5f1p-2, -0x1.43fba47c4d26fp-2, -0x1.41ef8e61f7187p-2, -0x1.3fd97920da2fap-2, -0x1.3db9c4d0d1393p-2, -0x1.3b90d0826858dp-2, -0x1.395efa387652fp-2, -0x1.37249ee209d73p-2, -0x1.34e21a54a827ep-2, -0x1.3297c746dcae1p-2, -0x1.3045ff4b1a5b6p-2, -0x1.2ded1acaea034p-2, -0x1.2b8d710264c9ep-2, -0x1.292757fbff0f5p-2, -0x1.26bb248c98d8p-2, -0x1.24492a4fda4afp-2, -0x1.21d1bba4d76ffp-2, -0x1.1f5529aafc7e9p-2, -0x1.1cd3c43f3bb5cp-2, -0x1.1a4dd9f981915p-2, -0x1.17c3b82a6a16ap-2, -0x1.1535aad9388b2p-2, -0x1.12a3fcc20bdb8p-2, -0x1.100ef754548bp-2, -0x1.0d76e2b182ee9p-2, -0x1.0adc05abf52dp-2, -0x1.083ea5c61a066p-2, -0x1.059f0731cfdc2p-2, -0x1.02fd6ccff79e9p-2, -0x1.005a18303e43dp-2, -0x1.fb6a932233674p-3, -0x1.f61e7fbfedeb2p-3, -0x1.f0d0717337a74p-3, -0x1.eb80e0d5656c3p-3, -0x1.e63043e1176cep-3, -0x1.e0df0df4070a6p-3, -0x1.db8dafd132bd5p-3, -0x1.d63c97a35929fp-3, -0x1.d0ec30ffc986ap-3, -0x1.cb9ce4e9797f5p-3, -0x1.c64f19d46f8abp-3, -0x1.c10333a970f9ap-3, -0x1.bbb993c9f2e0cp-3, -0x1.b67299145322cp-3, -0x1.b12e9fe84fee3p-3, -0x1.abee022bbbed1p-3, -0x1.a6b1174f6e444p-3, -0x1.a17834546adebp-3, -0x1.9c43abd143045p-3, -0x1.9713cdf7a57p-3, -0x1.91e8e89a240e6p-3, -0x1.8cc3473225b6fp-3, -0x1.87a332e603e06p-3, -0x1.8288f28f57d4ep-3, -0x1.7d74cac16952dp-3, -0x1.7866fdcfc4c2fp-3, -0x1.735fcbd4f9e4bp-3, -0x1.6e5f72b9731b5p-3, -0x1.69662e3a7450bp-3, -0x1.647437f1351bep-3, -0x1.5f89c75a0f23bp-3, -0x1.5aa711dbd2537p-3, -0x1.55cc4acf25605p-3, -0x1.50f9a38601935p-3, -0x1.4c2f4b53402b2p-3, -0x1.476d6f923dbbp-3, -0x1.42b43bae83b2p-3, -0x1.3e03d92b8fcaep-3, -0x1.395c6fac96341p-3, -0x1.34be24fc60bf4p-3, -0x1.30291d1529aaap-3, -0x1.2b9d7a28839c5p-3, -0x1.271b5ca74c2b6p-3, -0x1.22a2e3499d881p-3, -0x1.1e342b16c56bp-3, -0x1.19cf4f6d43eefp-3, -0x1.15746a0abd392p-3, -0x1.11239313ff5c1p-3, -0x1.0cdce11cf15cbp-3, -0x1.08a0693093cep-3, -0x1.046e3ed8eb703p-3, -0x1.00467426f3b9ap-3, -0x1.f8523375069a9p-4, -0x1.f02c7d9462a55p-4, -0x1.e81be2564ee61p-4, -0x1.e0207ab1eeb8p-4, -0x1.d83a5cfabd548p-4, -0x1.d0699ceffd078p-4, -0x1.c8ae4bcc1a135p-4, -0x1.c1087853efacfp-4, -0x1.b9782ee5ef0f2p-4, -0x1.b1fd79892dedap-4, -0x1.aa985ffc56ff7p-4, -0x1.a348e7c4791cbp-4, -0x1.9c0f143bba365p-4, -0x1.94eae69fe015dp-4, -0x1.8ddc5e20c2f1bp-4, -0x1.86e377ee929fp-4, -0x1.80002f47f6fe8p-4, -0x1.79327d880f83cp-4, -0x1.727a5a3447fcbp-4, -0x1.6bd7bb0a083a5p-4, -0x1.654a940c35757p-4, -0x1.5ed2d7909165p-4, -0x1.5870764ceb0fep-4, -0x1.52235f64231ccp-4, -0x1.4beb80730a7c8p-4, -0x1.45c8c59d0d2e6p-4, -0x1.3fbb1998b86d5p-4, -0x1.39c265bc0c9dp-4, -0x1.33de9208a5b3p-4, -0x1.2e0f8537b6965p-4, -0x1.285524c5d03fp-4, -0x1.22af54fe8222dp-4, -0x1.1d1df907c4f89p-4, -0x1.17a0f2ed3a08cp-4, -0x1.123823ab3a1ccp-4, -0x1.0ce36b39b4ee1p-4, -0x1.07a2a896e1438p-4, -0x1.0275b9d1b9dc6p-4, -0x1.fab8f828a4256p-5, -0x1.f0ad975be89c4p-5, -0x1.e6c9083a1e101p-5, -0x1.dd0b0031f636fp-5, -0x1.d37333371176dp-5, -0x1.ca0153d4c3529p-5, -0x1.c0b51340766f4p-5, -0x1.b78e216bad075p-5, -0x1.ae8c2d15afbc9p-5, -0x1.a5aee3dccac57p-5, -0x1.9cf5f24f429eep-5, -0x1.946103fbd935dp-5, -0x1.8befc3820007cp-5, -0x1.83a1daa1b1f2bp-5, -0x1.7b76f24ae756dp-5, -0x1.736eb2acb56c9p-5, -0x1.6b88c3441111fp-5, -0x1.63c4caea3dda5p-5, -0x1.5c226fe2dc03p-5, -0x1.54a157e9a2aap-5, -0x1.4d41283fc7b05p-5, -0x1.460185b90464p-5, -0x1.3ee214c853174p-5, -0x1.37e2798c4f20fp-5, -0x1.310257db460c6p-5, -0x1.2a41534ef34a4p-5, -0x1.239f0f4fe6bb8p-5, -0x1.1d1b2f20a0a5ap-5, -0x1.16b555e8614c6p-5, -0x1.106d26bd9c03bp-5, -0x1.0a4244b0270d2p-5, -0x1.043452d31ae2dp-5, -0x1.fc85e88cd864fp-6, -0x1.f0db98805623fp-6, -0x1.e568fc2b1f123p-6, -0x1.da2d5a874cd01p-6, -0x1.cf27faef89884p-6, -0x1.c458252f6f191p-6, -0x1.b9bd21933bf38p-6, -0x1.af5638f720887p-6, -0x1.a522b4d5efca7p-6, -0x1.9b21df575adefp-6, -0x1.9153035da3983p-6, -0x1.87b56c92cedc1p-6, -0x1.7e4867755f6b3p-6, -0x1.750b416481ce5p-6, -0x1.6bfd48abe80b8p-6, -0x1.631dcc8efde12p-6, -0x1.5a6c1d53cee4ap-6, -0x1.51e78c4d63696p-6, -0x1.498f6be5b3dap-6, -0x1.41630fa73770fp-6, -0x1.3961cc45fb507p-6, -0x1.318af7a850c19p-6, -0x1.29dde8ef14b5dp-6, -0x1.2259f87da38b6p-6, -0x1.1afe800147d2dp-6, -0x1.13cada786c8ffp-6, -0x1.0cbe64394f685p-6, -0x1.05d87af8764e1p-6, -0x1.fe30fb9d52a0fp-7, -0x1.f0fb9a7d6139ep-7, -0x1.e40f967564304p-7, -0x1.d76bb6525e869p-7, -0x1.cb0ec3d386317p-7, -0x1.bef78bb2f3be9p-7, -0x1.b324ddadf680dp-7, -0x1.a7958c8c8e983p-7, -0x1.9c486e286145dp-7, -0x1.913c5b7343b2dp-7, -0x1.8670307d037f3p-7, -0x1.7be2cc78c72b6p-7, -0x1.719311c1d7eb4p-7, -0x1.677fe5dffae1bp-7, -0x1.5da8318b36964p-7, -0x1.540ae0af1f621p-7, -0x1.4aa6e26dcc9a7p-7, -0x1.417b292229368p-7, -0x1.3886aa61e725p-7, -0x1.2fc85eff28bfcp-7, -0x1.273f43097c26bp-7, -0x1.1eea55cea82a1p-7, -0x1.16c899daf9fa3p-7, -0x1.0ed914f93f3e6p-7, -0x1.071ad0324e744p-7, -0x1.ff19af98afb83p-8, -0x1.f05c76936fbe4p-8, -0x1.e1fc1acf199aap-8, -0x1.d3f6c837f955bp-8, -0x1.c64ab12843871p-8, -0x1.b8f60e634749dp-8, -0x1.abf71f1042758p-8, -0x1.9f4c28b47d31ap-8, -0x1.92f3772ce3c65p-8, -0x1.86eb5ca730f69p-8, -0x1.7b32319a7d8a3p-8, -0x1.6fc654bf8db31p-8, -0x1.64a62b084885bp-8, -0x1.59d01f97448ecp-8, -0x1.4f42a3b65cfdep-8, -0x1.44fc2ecd60256p-8, -0x1.3afb3e580af5bp-8, -0x1.313e55dbc0a27p-8, -0x1.27c3fedceb066p-8, -0x1.1e8ac8d400f43p-8, -0x1.1591492249d1fp-8, -0x1.0cd61b0652f4cp-8, -0x1.0457df9005487p-8, -0x1.f82a7b28f624ap-9, -0x1.e819c343bd6bbp-9, -0x1.d87afbe4da288p-9, -0x1.c94b94bff11c5p-9, -0x1.ba8908ad70e1ep-9, -0x1.ac30dd8feee9ep-9, -0x1.9e40a4399eedp-9, -0x1.90b5f850c6d94p-9, -0x1.838e8034740c1p-9, -0x1.76c7ece0adf24p-9, -0x1.6a5ff9d208c6dp-9, -0x1.5e546ce9b15a9p-9, -0x1.52a31650a4109p-9, -0x1.4749d05ace75cp-9, -0x1.3c467f6a2ce81p-9, -0x1.319711d1c1f59p-9, -0x1.27397fb7f40cp-9, -0x1.1d2bcaf966721p-9, -0x1.136bff0b674a4p-9, -0x1.09f830de13d6ep-9, -0x1.00ce7ebedd01ep-9, -0x1.efda2075507f9p-10, -0x1.dea42bffb07cdp-10, -0x1.cdf79381714e7p-10, -0x1.bdd0dc2ae0924p-10, -0x1.ae2c9cbbbcdcp-10, -0x1.9f077d4926b41p-10, -0x1.905e36ffccb0dp-10, -0x1.822d93ea14c0dp-10, -0x1.74726eb3c712ep-10, -0x1.6729b26e9c6bfp-10, -0x1.5a505a579f08ap-10, -0x1.4de3719baff16p-10, -0x1.41e0131d0e23fp-10, -0x1.3643693855806p-10, -0x1.2b0aad8a473f9p-10, -0x1.203328b609c27p-10, -0x1.15ba322af6a95p-10, -0x1.0b9d2feabb1c7p-10, -0x1.01d99651206e9p-10, -0x1.f0d9cfb43416dp-11, -0x1.dea969d4377a7p-11, -0x1.cd1d372a0e324p-11, -0x1.bc308ece6efa7p-11, -0x1.abdee25a8b7dep-11, -0x1.9c23bd7b5f4cp-11, -0x1.8cfac583881b3p-11, -0x1.7e5fb8ff47504p-11, -0x1.704e6f48a585ep-11, -0x1.62c2d81d3348dp-11, -0x1.55b8fb33f9caep-11, -0x1.492cf7d47a06bp-11, -0x1.3d1b046f819cfp-11, -0x1.317f6e37565c5p-11, -0x1.265698badb91bp-11, -0x1.1b9cfd7ef9438p-11, -0x1.114f2b9c3cf73p-11, -0x1.0769c75b68df2p-11, -0x1.fbd313a574a76p-12, -0x1.e996810c0e5cap-12, -0x1.d8179a0ce878ep-12, -0x1.c75049279d0f5p-12, -0x1.b73a9f7cfcd54p-12, -0x1.a7d0d4164c871p-12, -0x1.990d432d59932p-12, -0x1.8aea6d7924db5p-12, -0x1.7d62f77835954p-12, -0x1.7071a8c231f47p-12, -0x1.64116b59447dp-12, -0x1.583d4afb6df8fp-12, -0x1.4cf0747bb90a4p-12, -0x1.422635177c7bp-12, -0x1.37d9f9d21b62p-12, -0x1.2e074ed12774ap-12, -0x1.24a9deba5e071p-12, -0x1.1bbd721545b07p-12, -0x1.133deeae3be11p-12, -0x1.0b2756fad6f16p-12, -0x1.0375c98280276p-12, -0x1.f84b008e18c4fp-13, -0x1.ea65a06135cb4p-13, -0x1.dd3450f6e046dp-13, -0x1.d0b024521e00fp-13, -0x1.c4d25ee2c91a6p-13, -0x1.b994766e6f3b4p-13, -0x1.aef010fe559c9p-13, -0x1.a4df03cf4fa4fp-13, -0x1.9b5b524994db7p-13, -0x1.925f2cf5c392bp-13, -0x1.89e4f0817d5fbp-13, -0x1.81e724bac9dfap-13, -0x1.7a607b99e10a5p-13, -0x1.734bd04aeab5dp-13, -0x1.6ca4263ab64e9p-13, -0x1.6664a82a2107fp-13, -0x1.6088a7442ee6p-13, -0x1.5b0b9a3791fbfp-13, -0x1.55e91c5577d76p-13, -0x1.511cecb31d97dp-13, -0x1.4ca2ed4f83a9ap-13, -0x1.4877223f0b9e6p-13, -0x1.4495b0d436213p-13, -0x1.40faded610b7ep-13, -0x1.3da311b1e0d82p-13, -0x1.3a8acdb524ca6p-13, -0x1.37aeb5485d693p-13, -0x1.350b8830d2015p-13, -0x1.329e22d2791f9p-13, -0x1.30637d772a409p-13, -0x1.2e58ab9949697p-13, -0x1.2c7adb31b4d1fp-13, -0x1.2ac754081e404p-13, -0x1.293b77084eb34p-13, -0x1.27d4bd99f7128p-13, -0x1.2690b8fb3838ep-13, -0x1.256d11a0e72c1p-13, -0x1.246786959278fp-13, -0x1.237dece0d3761p-13, -0x1.22ae2eec887e8p-13, -0x1.21f64bf25a2c8p-13, -0x1.21545767a1588p-13, -0x1.20c678705855bp-13, -0x1.204ae950c9b9cp-13, -0x1.1fdff6e6918aap-13, -0x1.1f840020fa7d6p-13, -0x1.1f35757e491ep-13, -0x1.1ef2d88a6ba6fp-13, -0x1.1ebabb61ee6adp-13, -0x1.1e8bc0359d2e6p-13, -0x1.1e6498d2d4456p-13, -0x1.1e44062d2c758p-13, -0x1.1e28d7ebc049bp-13, -0x1.1e11ebf764972p-13, -0x1.1dfe2e0e1c60ap-13, -0x1.1dec9754b68dcp-13, -0x1.1ddc2df01acd7p-13, -0x1.1dcc049c3a16bp-13, -0x1.1dbb3a48c3715p-13, -0x1.1da8f9b667f4fp-13, -0x1.1d94791664a62p-13, -0x1.1d7cf9ad1bf33p-13, -0x1.1d61c776b51bbp-13, -0x1.1d4238cd01a6bp-13, -0x1.1d1dae1123eb2p-13, -0x1.1cf39155551e4p-13, -0x1.1cc3560a3cb6ap-13, -0x1.1c8c78ad680a3p-13, -0x1.1c4e7e7aad85p-13, -0x1.1c08f51e8b2dap-13, -0x1.1bbb726aa9b29p-13, -0x1.1b65940d01356p-13, -0x1.1b06ff47ef7a1p-13, -0x1.1a9f60abde01ep-13, -0x1.1a2e6bd433396p-13, -0x1.19b3db2449f42p-13, -0x1.192f6f874a993p-13, -0x1.18a0f03107b7dp-13, -0x1.18082a6095c3dp-13, -0x1.1764f12503c1p-13, -0x1.16b71d231670ap-13, -0x1.15fe8c5ca2ba7p-13, -0x1.153b21fa193afp-13, -0x1.146cc6144c5ebp-13, -0x1.139365808e5dcp-13, -0x1.12aef19e68253p-13, -0x1.11bf6025cc8cbp-13, -0x1.10c4aaf7f2b0ep-13, -0x1.0fbecff031347p-13, -0x1.0eadd0b726934p-13, -0x1.0d91b296c0d62p-13, -0x1.0c6a7e4f33113p-13, -0x1.0b383fee17873p-13, -0x1.09fb06a6034abp-13, -0x1.08b2e4a77a0d1p-13, -0x1.075feefb31e64p-13, -0x1.06023d5cc24b7p-13, -0x1.0499ea17af685p-13, -0x1.032711e48213bp-13, -0x1.01a9d3c75e938p-13, -0x1.002250efab64ap-13, -0x1.fd215931853f2p-14, -0x1.f9ea17d4fcdefp-14, -0x1.f69f2bba62126p-14, -0x1.f340e637ab89cp-14, -0x1.efcf9bd1e2ef6p-14, -0x1.ec4ba4087cbadp-14, -0x1.e8b5592006ae9p-14, -0x1.e50d17f190e6cp-14, -0x1.e1533fb9137fap-14, -0x1.dd8831e77cfbep-14, -0x1.d9ac51f5953c9p-14, -0x1.d5c00538cfdecp-14, -0x1.d1c3b2b820661p-14, -0x1.cdb7c30505773p-14, -0x1.c99ca012c8b4ap-14, -0x1.c572b511e574fp-14, -0x1.c13a6e4b817c2p-14, -0x1.bcf438fdfb21dp-14, -0x1.b8a0833c3b6ep-14, -0x1.b43fbbcceefddp-14, -0x1.afd2520aa0162p-14, -0x1.ab58b5c698482p-14, -0x1.a6d3572bf4861p-14, -0x1.a242a6a391ef1p-14, -0x1.9da714ba2dea3p-14, -0x1.9901120704b76p-14, -0x1.94510f12ed05dp-14, -0x1.8f977c40dc01dp-14, -0x1.8ad4c9b888571p-14, -0x1.8609674f9b8b5p-14, -0x1.8135c476b80c9p-14, -0x1.7c5a502579dc8p-14, -0x1.777778c714517p-14, -0x1.728dac2a0e993p-14, -0x1.6d9d576d9bbf2p-14, -0x1.68a6e6f309b12p-14, -0x1.63aac64d4f485p-14, -0x1.5ea96033657e7p-14, -0x1.59a31e72069c5p-14, -0x1.549869df0c76ap-14, -0x1.4f89aa4c94d62p-14, -0x1.4a77467d53143p-14, -0x1.4561a41a48615p-14, -0x1.404927a793d77p-14, -0x1.3b2e347af650cp-14, -0x1.36112cb35a5f4p-14, -0x1.30f2712f4ec57p-14, -0x1.2bd26185a2974p-14, -0x1.26b15bfdbf0f8p-14, -0x1.218fbd887be58p-14, -0x1.1c6de1ba6adf4p-14, -0x1.174c22c52bb18p-14, -0x1.122ad972fb4a8p-14, -0x1.0d0a5d20c7e87p-14, -0x1.07eb03b9e8be7p-14, -0x1.02cd21b497f93p-14, -0x1.fb62141aa328ap-15, -0x1.f12e1c89119bap-15, -0x1.e6fefcb61d6c8p-15, -0x1.dcd551a067d14p-15, -0x1.d2b1b53e52a5cp-15, -0x1.c894be7afe201p-15, -0x1.be7f01321f151p-15, -0x1.b4710e2feacb8p-15, -0x1.aa6b732d3d987p-15, -0x1.a06ebacfff08dp-15, -0x1.967b6ca9b14dap-15, -0x1.8c920d3928113p-15, -0x1.82b31de8825edp-15, -0x1.78df1d10593f1p-15, -0x1.6f1685f89c937p-15, -0x1.6559d0da1a5bep-15, -0x1.5ba972e19fa26p-15, -0x1.5205de33cd8b8p-15, -0x1.486f81eddf22ap-15, -0x1.3ee6ca2c138b5p-15, -0x1.356c200ba15d2p-15, -0x1.2bffe9b083bfp-15, -0x1.22a28a494338p-15, -0x1.19546214f0e85p-15, -0x1.1015ce67a09ccp-15, -0x1.06e729b154b48p-15, -0x1.fb9197051dcdbp-16, -0x1.e97611271d55p-16, -0x1.d77c65932cf97p-16, -0x1.c5a5327def4b1p-16, -0x1.b3f11092a3cacp-16, -0x1.a26093005d4cap-16, -0x1.90f4478a169e5p-16, -0x1.7facb696d4de7p-16, -0x1.6e8a633d5dcdcp-16, -0x1.5d8dcb56c0ccep-16, -0x1.4cb7678c90a71p-16, -0x1.3c07ab6b0e2bp-16, -0x1.2b7f056e6a145p-16, -0x1.1b1ddf1781878p-16, -0x1.0ae49cfa21f29p-16, -0x1.f5a73d9c19ddap-17, -0x1.d5d67f02248e5p-17, -0x1.b657aa91760c2p-17, -0x1.972b63657a735p-17, -0x1.7852436f75fa5p-17, -0x1.59ccdb98adda1p-17, -0x1.3b9bb3e79b4b1p-17, -0x1.1dbf4ba406594p-17, -0x1.00381979b790dp-17, -0x1.c60d173967111p-18, -0x1.8c560fdce4ad9p-18, -0x1.534bd846f099ap-18, -0x1.1aef1bcab4d35p-18, -0x1.c680ebdfa3ec6p-19, -0x1.5880e57945d08p-19, -0x1.d7be3bf7d232fp-20, -0x1.0138e24f1258cp-20, -0x1.6b99d6025ed6cp-23, 0x1.4722eeb1fbcep-21, 0x1.71d42906d054fp-20, 0x1.1eaa0346cb228p-19, 0x1.8308392942888p-19, 0x1.e60481da021eep-19, 0x1.23cf617e0464fp-18, 0x1.53eb7dcd8cefep-18, 0x1.8356a1cbf3643p-18, 0x1.b210e58f238acp-18, 0x1.e01a6d10f7d93p-18, 0x1.06b9b3f343c7fp-17, 0x1.1d0e087f3c675p-17, 0x1.330a572b61e96p-17, 0x1.48aec8602f5bdp-17, 0x1.5dfb89cc9ecd4p-17, 0x1.72f0ce46670b3p-17, 0x1.878ecda79374dp-17, 0x1.9bd5c4ae0e969p-17, 0x1.afc5f4dc6f27bp-17, 0x1.c35fa458d6dcdp-17, 0x1.d6a31dcfe8f19p-17, 0x1.e990b051475fap-17, 0x1.fc28af3521c75p-17, 0x1.0735b8fd7483p-16, 0x1.102caa16032b4p-16, 0x1.18f95a9ed0e32p-16, 0x1.219bfc3987326p-16, 0x1.2a14c260dae6ap-16, 0x1.3263e259619c5p-16, 0x1.3a899323e6a12p-16, 0x1.42860d6f16803p-16, 0x1.4a598b89d5551p-16, 0x1.52044955784c2p-16, 0x1.598684387a5aep-16, 0x1.60e07b1123ffbp-16, 0x1.68126e2873dbdp-16, 0x1.6f1c9f2560a77p-16, 0x1.75ff50ff8bc03p-16, 0x1.7cbac7f38dba4p-16, 0x1.834f4975e34d3p-16, 0x1.89bd1c2772d17p-16, 0x1.900487c96a91cp-16, 0x1.9625d5310f426p-16, 0x1.9c214e3cd75ffp-16, 0x1.a1f73dc894716p-16, 0x1.a7a7efa280b62p-16, 0x1.ad33b080012b1p-16, 0x1.b29acdf316a94p-16, 0x1.b7dd965fd7aa1p-16, 0x1.bcfc58f20b313p-16, 0x1.c1f765925cabp-16, 0x1.c6cf0cdd16597p-16, 0x1.cb83a01792723p-16, 0x1.d0157126ee567p-16, 0x1.d484d2867ac6ep-16, 0x1.d8d2173e84b98p-16, 0x1.dcfd92db107e1p-16, 0x1.e1079962eef58p-16, 0x1.e4f07f4eb81f7p-16, 0x1.e8b89980c4057p-16, 0x1.ec603d3c26b98p-16, 0x1.efe7c01cc9ae2p-16, 0x1.f34f780f6bd5ap-16, 0x1.f697bb494e2bdp-16, 0x1.f9c0e040b9dc1p-16, 0x1.fccb3da594d16p-16, 0x1.ffb72a59b28a4p-16, 0x1.01427eb4c939dp-15, 0x1.029a8702d9b63p-15, 0x1.03e3d9bd8b28ep-15, 0x1.051ea2967007p-15, 0x1.064b0d46f9808p-15, 0x1.0769458cd25b1p-15, 0x1.087977272a1c8p-15, 0x1.097bcdd378051p-15, 0x1.0a70754a83367p-15, 0x1.0b57993d57664p-15, 0x1.0c316552a492p-15, 0x1.0cfe0523da9abp-15, 0x1.0dbda43a7698bp-15, 0x1.0e706e0d54df1p-15, 0x1.0f168dfe39656p-15, 0x1.0fb02f5743a94p-15, 0x1.103d7d489108dp-15, 0x1.10bea2e5d33abp-15, 0x1.1133cb23f4d23p-15, 0x1.119d20d72a363p-15, 0x1.11faceb058e62p-15, 0x1.124cff3b48ddap-15, 0x1.1293dcdc8e463p-15, 0x1.12cf91cfab5ccp-15, 0x1.13004824e0327p-15, 0x1.132629bf7d922p-15, 0x1.1341605430555p-15, 0x1.135215670ec05p-15, 0x1.1358724a038cp-15, 0x1.1354a01b2d675p-15, 0x1.1346c7c35b4bdp-15, 0x1.132f11f464cafp-15, 0x1.130da727def32p-15, 0x1.12e2af9d7a60cp-15, 0x1.12ae5359e5e51p-15, 0x1.1270ba255b6d4p-15, 0x1.122a0b8a5cd4fp-15, 0x1.11da6ed48aa97p-15, 0x1.11820b0f5b385p-15, }}, 
      {{0x1.8af419487817ep-1, 0x1.8acd99f14883cp-1, 0x1.8a8df501f44c1p-1, 0x1.8a35e85090bfap-1, 0x1.89c66e41b1947p-1, 0x1.8940b2896fbedp-1, 0x1.88a606e29c627p-1, 0x1.87f7d85a70843p-1, 0x1.8737a58b73934p-1, 0x1.8666f5f4d699bp-1, 0x1.8587527dba1a9p-1, 0x1.849a3f20e7f7cp-1, 0x1.83a135b1fc9a3p-1, 0x1.829da1a66ba22p-1, 0x1.8190dcc96c66ap-1, 0x1.807c2cc0b765p-1, 0x1.7f60c14821cffp-1, 0x1.7e3fb30b35568p-1, 0x1.7d1a03056f963p-1, 0x1.7bf09a53b40ebp-1, 0x1.7ac44a6378828p-1, 0x1.7995cd6e3a6cfp-1, 0x1.7865c731d287ap-1, 0x1.7734c5d81e072p-1, 0x1.7603430246186p-1, 0x1.74d1a4ed97a86p-1, 0x1.73a03fa962bc9p-1, 0x1.726f5656b75f6p-1, 0x1.713f1c6c0ff13p-1, 0x1.700fb6f80ca8dp-1, 0x1.6ee13ddf56d4dp-1, 0x1.6db3bd1295c07p-1, 0x1.6c8735ba0c69cp-1, 0x1.6b5b9f5519ef9p-1, 0x1.6a30e8cc4f8fcp-1, 0x1.6906f9753e55p-1, 0x1.67ddb20775a6bp-1, 0x1.66b4ed8275d15p-1, 0x1.658c8204941c9p-1, 0x1.64644192f8abfp-1, 0x1.633bfad307f98p-1, 0x1.621379b5a3a91p-1, 0x1.60ea8814bef48p-1, 0x1.5fc0ee43daaeap-1, 0x1.5e967393f9c7p-1, 0x1.5d6adecbb6f97p-1, 0x1.5c3df69413648p-1, 0x1.5b0f81daa7cadp-1, 0x1.59df4829d5817p-1, 0x1.58ad11f79679fp-1, 0x1.5778a8eb86c63p-1, 0x1.5641d81cbb5d9p-1, 0x1.55086c47f8964p-1, 0x1.53cc33fecf91bp-1, 0x1.528cffd028f75p-1, 0x1.514aa26ab9e5ep-1, 0x1.5004f0b9d9312p-1, 0x1.4ebbc1fd2a59ep-1, 0x1.4d6eefdb85628p-1, 0x1.4c1e567183bbfp-1, 0x1.4ac9d45c0f4fdp-1, 0x1.49714abf50e47p-1, 0x1.48149d4a4f715p-1, 0x1.46b3b237914efp-1, 0x1.454e724b08b5fp-1, 0x1.43e4c8cd91428p-1, 0x1.4276a38640ac7p-1, 0x1.4103f2b1c419ep-1, 0x1.3f8ca8f805dbcp-1, 0x1.3e10bb604df07p-1, 0x1.3c9021440e8e6p-1, 0x1.3b0ad44088b16p-1, 0x1.3980d027746ddp-1, 0x1.37f212eed1521p-1, 0x1.365e9ca002e64p-1, 0x1.34c66f465b99ap-1, 0x1.33298edd300e7p-1, 0x1.3188013d92384p-1, 0x1.2fe1ce0bcab97p-1, 0x1.2e36fea4a7984p-1, 0x1.2c879e0ab4147p-1, 0x1.2ad3b8d370b57p-1, 0x1.291b5d1493b41p-1, 0x1.275e9a5169ef6p-1, 0x1.259d81685fe78p-1, 0x1.23d82480c0d11p-1, 0x1.220e96f8b535ap-1, 0x1.2040ed538de2ep-1, 0x1.1e6f3d285c415p-1, 0x1.1c999d10e7afbp-1, 0x1.1ac02498feca4p-1, 0x1.18e2ec2e2cf7ep-1, 0x1.17020d0fd7c2cp-1, 0x1.151da13fc97bcp-1, 0x1.1335c373256b4p-1, 0x1.114a8f03d1a7bp-1, 0x1.0f5c1fe24d55fp-1, 0x1.0d6a9287fc1e7p-1, 0x1.0b7603e9e54ddp-1, 0x1.097e916be2024p-1, 0x1.078458d442f99p-1, 0x1.0587783fe3a9ep-1, 0x1.03880e16b1053p-1, 0x1.018639009e68ep-1, 0x1.ff042fb611e32p-2, 0x1.faf7935d0ee09p-2, 0x1.f6e6db4a46891p-2, 0x1.f2d24601f7bb2p-2, 0x1.eeba12269ad0fp-2, 0x1.ea9e7e67bcd0ep-2, 0x1.e67fc971990d5p-2, 0x1.e25e31dd71345p-2, 0x1.de39f622a12aep-2, 0x1.da1354886425dp-2, 0x1.d5ea8b184a1fep-2, 0x1.d1bfd79156318p-2, 0x1.cd93775bc2476p-2, 0x1.c965a77d627e6p-2, 0x1.c536a48ea18d4p-2, 0x1.c106aab0163b6p-2, 0x1.bcd5f580a4b39p-2, 0x1.b8a4c0142fa73p-2, 0x1.b47344eace43ep-2, 0x1.b041bde885391p-2, 0x1.ac10644d7c344p-2, 0x1.a7df70aeaef31p-2, 0x1.a3af1aef11907p-2, 0x1.9f7f9a3924162p-2, 0x1.9b5124f8f6a62p-2, 0x1.9723f0d69109p-2, 0x1.92f832b0c1262p-2, 0x1.8ece1e984ce1dp-2, 0x1.8aa5e7cb7a9f2p-2, 0x1.867fc0b1f850dp-2, 0x1.825bdad917dc8p-2, 0x1.7e3a66f05bfa6p-2, 0x1.7a1b94c656711p-2, 0x1.75ff9345d117p-2, 0x1.71e6907342e8bp-2, 0x1.6dd0b96a87f99p-2, 0x1.69be3a5cdfc2ap-2, 0x1.65af3e8f2a56p-2, 0x1.61a3f0586719dp-2, 0x1.5d9c79206a7d5p-2, 0x1.5999015ed1b0bp-2, 0x1.5599b09a2b951p-2, 0x1.519ead6755208p-2, 0x1.4da81d690b6adp-2, 0x1.49b6254fabe7ep-2, 0x1.45c8e8d924929p-2, 0x1.41e08ad10f31p-2, 0x1.3dfd2d10f975bp-2, 0x1.3a1ef080d606fp-2, 0x1.3645f51792077p-2, 0x1.327259dbd1c38p-2, 0x1.2ea43ce4d4f32p-2, 0x1.2adbbb5b75d05p-2, 0x1.2718f17b50a36p-2, 0x1.235bfa9405b3p-2, 0x1.1fa4f10a9bbfbp-2, 0x1.1bf3ee5afe347p-2, 0x1.18490b19977d5p-2, 0x1.14a45ef5031d9p-2, 0x1.110600b7dd3dap-2, 0x1.0d6e064aa4b1cp-2, 0x1.09dc84b5b7642p-2, 0x1.0651902362891p-2, 0x1.02cd3be2062ep-2, 0x1.fe9f34cc9ca96p-3, 0x1.f7b17a9afa6b9p-3, 0x1.f0d16abf8b92p-3, 0x1.e9ff252570ab5p-3, 0x1.e33ac8177b0d5p-3, 0x1.dc8470453e415p-3, 0x1.d5dc38c841fc6p-3, 0x1.cf423b2947716p-3, 0x1.c8b68f65a744p-3, 0x1.c2394bf4cd643p-3, 0x1.bbca85cdbcd3fp-3, 0x1.b56a506cb1554p-3, 0x1.af18bdd8cf2b1p-3, 0x1.a8d5dea9de496p-3, 0x1.a2a1c20e1d457p-3, 0x1.9c7c75d01b4f2p-3, 0x1.9666065c9f5c3p-3, 0x1.905e7ec89ba41p-3, 0x1.8a65e8d72ac89p-3, 0x1.847c4cff8fa1ep-3, 0x1.7ea1b27349467p-3, 0x1.78d61f241d64ep-3, 0x1.731997ca3192bp-3, 0x1.6d6c1fea273e4p-3, 0x1.67cdb9db3881ep-3, 0x1.623e66cd54161p-3, 0x1.5cbe26cf412dfp-3, 0x1.574cf8d4be0ccp-3, 0x1.51eadabc9cd94p-3, 0x1.4c97c956e3144p-3, 0x1.4753c06adf629p-3, 0x1.421ebabd42db2p-3, 0x1.3cf8b216318a1p-3, 0x1.37e19f474ccafp-3, 0x1.32d97a31bcc1cp-3, 0x1.2de039cc2ae09p-3, 0x1.28f5d428bb8bp-3, 0x1.241a3e7afeeeep-3, 0x1.1f4d6d1dd4aa7p-3, 0x1.1a8f5399494a7p-3, 0x1.15dfe4a86a1bep-3, 0x1.113f123f0ae9fp-3, 0x1.0caccd8f84b2fp-3, 0x1.0829071065698p-3, 0x1.03b3ae821445dp-3, 0x1.fe9965e8d1cb1p-4, 0x1.f5e805986df8ap-4, 0x1.ed5317918d54ap-4, 0x1.e4da761290d98p-4, 0x1.dc7dfa24629dap-4, 0x1.d43d7ba513d15p-4, 0x1.cc18d1526762ep-4, 0x1.c40fd0d42d235p-4, 0x1.bc224ec68b532p-4, 0x1.b4501ec418af4p-4, 0x1.ac99136fe4e6fp-4, 0x1.a4fcfe7f5516p-4, 0x1.9d7bb0c3ded2cp-4, 0x1.9614fa34a0395p-4, 0x1.8ec8a9f7e0beap-4, 0x1.87968e6c58225p-4, 0x1.807e753263f61p-4, 0x1.79802b3512654p-4, 0x1.729b7cb307b0fp-4, 0x1.6bd035473f41ap-4, 0x1.651e1ff1aa104p-4, 0x1.5e85071fa2aa9p-4, 0x1.5804b4b4434e6p-4, 0x1.519cf2108ea21p-4, 0x1.4b4d881b77875p-4, 0x1.45163f49c31afp-4, 0x1.3ef6dfa5c15d5p-4, 0x1.38ef30d6e440fp-4, 0x1.32fefa292d07cp-4, 0x1.2d26029477abdp-4, 0x1.276410c39c972p-4, 0x1.21b8eb1b6f862p-4, 0x1.1c2457c1967acp-4, 0x1.16a61ca33ccc9p-4, 0x1.113dff7ba038bp-4, 0x1.0bebc5da77115p-4, 0x1.06af352a34a5bp-4, 0x1.018812b625e86p-4, 0x1.f8ec4760cec32p-5, 0x1.eef25a6f7c8e9p-5, 0x1.e521e8ba86fcap-5, 0x1.db7a7c53e1c05p-5, 0x1.d1fb9f4811b5bp-5, 0x1.c8a4dba8b5103p-5, 0x1.bf75bb96c3673p-5, 0x1.b66dc94c8a8f2p-5, 0x1.ad8c8f2762f82p-5, 0x1.a4d197b12240ap-5, 0x1.9c3c6da9492c6p-5, 0x1.93cc9c0de97a4p-5, 0x1.8b81ae245152ep-5, 0x1.835b2f816eef7p-5, 0x1.7b58ac11f4ecbp-5, 0x1.7379b0223b0f8p-5, 0x1.6bbdc865e771cp-5, 0x1.642481ff4edb5p-5, 0x1.5cad6a869e36ep-5, 0x1.55581010c3a3cp-5, 0x1.4e2401361bb82p-5, 0x1.4710cd18e4b46p-5, 0x1.401e036b73caap-5, 0x1.394b34763490dp-5, 0x1.3297f11d6b3a4p-5, 0x1.2c03cae6c264cp-5, 0x1.258e53fe9fe59p-5, 0x1.1f371f3d44d03p-5, 0x1.18fdc02bb47cfp-5, 0x1.12e1cb086b5c1p-5, 0x1.0ce2d4cbdf3f4p-5, 0x1.0700732cd023fp-5, 0x1.013a3ca4610bdp-5, 0x1.f71f90e414431p-6, 0x1.ec015d3e99e16p-6, 0x1.e11910068f166p-6, 0x1.d665dc8c22fe7p-6, 0x1.cbe6f7c7d8f11p-6, 0x1.c19b986091ccfp-6, 0x1.b782f6b144577p-6, 0x1.ad9c4cce596dap-6, 0x1.a3e6d68ab477bp-6, 0x1.9a61d17c6d0c9p-6, 0x1.910c7d01401abp-6, 0x1.87e61a429ff48p-6, 0x1.7eedec398d7a7p-6, 0x1.762337b21ab68p-6, 0x1.6d85434ea22cdp-6, 0x1.6513578ac25bdp-6, 0x1.5cccbebe0bd4cp-6, 0x1.54b0c51e6c7a5p-6, 0x1.4cbeb8c25b6a4p-6, 0x1.44f5e9a2c20dbp-6, 0x1.3d55a99ca73c6p-6, 0x1.35dd4c729e8fdp-6, 0x1.2e8c27cdfbe67p-6, 0x1.2761933fcd324p-6, 0x1.205ce84198783p-6, 0x1.197d8235e940dp-6, 0x1.12c2be68a5bdcp-6, 0x1.0c2bfc0f2e743p-6, 0x1.05b89c4850de2p-6, 0x1.fed004380921ap-7, 0x1.f27324f5f6b36p-7, 0x1.e659687c0a0dp-7, 0x1.da81a04a83d68p-7, 0x1.ceeaa1ae67428p-7, 0x1.c39345bf3367p-7, 0x1.b87a695c5a709p-7, 0x1.ad9eed2a6cd62p-7, 0x1.a2ffb58fe370dp-7, 0x1.989baab1cd6dep-7, 0x1.8e71b86ffe2eap-7, 0x1.8480ce61341fp-7, 0x1.7ac7dfcec7eb3p-7, 0x1.7145e3b04801ep-7, 0x1.67f9d4a6c6ae1p-7, 0x1.5ee2b0f7e33b3p-7, 0x1.55ff7a88b58bp-7, 0x1.4d4f36d86f143p-7, 0x1.44d0eefacd938p-7, 0x1.3c83af927323cp-7, 0x1.346688cae02ddp-7, 0x1.2c788e5276376p-7, 0x1.24b8d754325a3p-7, 0x1.1d267e713871fp-7, 0x1.15c0a1ba5307bp-7, 0x1.0e8662a9388d7p-7, 0x1.0776e619b93cdp-7, 0x1.00915442c3714p-7, 0x1.f3a9b15ea6ec5p-8, 0x1.e681446e7b3ap-8, 0x1.d9a7c5efb8ec2p-8, 0x1.cd1ba09956f1ep-8, 0x1.c0db458f97718p-8, 0x1.b4e52c54bac68p-8, 0x1.a937d2b9c31bep-8, 0x1.9dd1bccee61d1p-8, 0x1.92b174d3e3e9cp-8, 0x1.87d58b28530f3p-8, 0x1.7d3c963ba66b7p-8, 0x1.72e5327d38216p-8, 0x1.68ce024c222abp-8, 0x1.5ef5ade7222bep-8, 0x1.555ae35c48a59p-8, 0x1.4bfc56789d2bcp-8, 0x1.42d8c0b7b953p-8, 0x1.39eee13363558p-8, 0x1.313d7c92ff57ep-8, 0x1.28c35cfb0c804p-8, 0x1.207f51fca2e58p-8, 0x1.18703084ce4f6p-8, 0x1.1094d2cc04d43p-8, 0x1.08ec184596256p-8, 0x1.0174e58f0ad02p-8, 0x1.f45c48bf47baap-9, 0x1.e62d86ef73047p-9, 0x1.d85b6d2086f41p-9, 0x1.cae3ec94b92c6p-9, 0x1.bdc5003d8e4e4p-9, 0x1.b0fcac9b10f2ep-9, 0x1.a488ff9b00351p-9, 0x1.986810786d208p-9, 0x1.8c97ff9aeaeb5p-9, 0x1.8116f6767e063p-9, 0x1.75e3276b25481p-9, 0x1.6afacda4e6445p-9, 0x1.605c2cfbe4e35p-9, 0x1.560591d48f3f5p-9, 0x1.4bf5510014f0ap-9, 0x1.4229c79cf4de6p-9, 0x1.38a15af7d4ce9p-9, 0x1.2f5a786c7fcdap-9, 0x1.265395470ade7p-9, 0x1.1d8b2ea545193p-9, 0x1.14ffc95849918p-9, 0x1.0caff1c66e1f7p-9, 0x1.049a3bcd3859fp-9, 0x1.f97a85479bb45p-10, 0x1.ea2f517aa4f69p-10, 0x1.db502f57b7926p-10, 0x1.ccda8006b1382p-10, 0x1.becbb279efdd1p-10, 0x1.b121433529896p-10, 0x1.a3d8bc152e562p-10, 0x1.96efb417fedc4p-10, 0x1.8a63cf256aep-10, 0x1.7e32bdd85e7f8p-10, 0x1.725a3d4869edbp-10, 0x1.66d816d461866p-10, 0x1.5baa1fecd9db3p-10, 0x1.50ce39dfb9d8fp-10, 0x1.464251a459aa7p-10, 0x1.3c045fa7c6c28p-10, 0x1.32126799f215ap-10, 0x1.286a783b6d51fp-10, 0x1.1f0aab2ba74fbp-10, 0x1.15f124b7b6603p-10, 0x1.0d1c13a9b1992p-10, 0x1.0489b118c96a6p-10, 0x1.f87080736c389p-11, 0x1.e84c1c5ff78b2p-11, 0x1.d8a2e3bf0ea24p-11, 0x1.c971977e0d0c6p-11, 0x1.bab50b55b0203p-11, 0x1.ac6a2570c17b7p-11, 0x1.9e8dde146bc5cp-11, 0x1.911d3f4962388p-11, 0x1.8415648628618p-11, 0x1.77737a5ae2629p-11, 0x1.6b34be1dccba5p-11, 0x1.5f567d994998fp-11, 0x1.53d616ba9cb91p-11, 0x1.48b0f7425997dp-11, 0x1.3de49c7557a84p-11, 0x1.336e92cf7c06cp-11, 0x1.294c75b6c7a13p-11, 0x1.1f7bef3065e12p-11, 0x1.15fab7961482p-11, 0x1.0cc6954d42818p-11, 0x1.03dd5c7ed370fp-11, 0x1.f679dda0769b8p-12, 0x1.e5c6763b5a235p-12, 0x1.d59c7a6a451f9p-12, 0x1.c5f7fb25a812ep-12, 0x1.b6d5223caa89fp-12, 0x1.a83031d28e21dp-12, 0x1.9a0583dca4d2cp-12, 0x1.8c5189a42dadap-12, 0x1.7f10cb488c1f4p-12, 0x1.723fe744b268p-12, 0x1.65db91f61dcc4p-12, 0x1.59e09525b58d7p-12, 0x1.4e4bcf930151dp-12, 0x1.431a3480dc195p-12, 0x1.3848cb447b064p-12, 0x1.2dd4aed6829ebp-12, 0x1.23bb0d65598e9p-12, 0x1.19f927e9e9cf5p-12, 0x1.108c51be5dd1fp-12, 0x1.0771f035eb6bep-12, 0x1.fd4ef46f318e3p-13, 0x1.ec54efb35d6aap-13, 0x1.dbf103ff349f4p-13, 0x1.cc1e83f331343p-13, 0x1.bcd8e24b4685dp-13, 0x1.ae1bb12533936p-13, 0x1.9fe2a149fa8bfp-13, 0x1.922981798a681p-13, 0x1.84ec3dbc0529ap-13, 0x1.7826deb43b0d8p-13, 0x1.6bd588f6335f2p-13, 0x1.5ff47c60d8bc6p-13, 0x1.5480137b17285p-13, 0x1.4974c2d34acap-13, 0x1.3ecf18625e9f5p-13, 0x1.348bbaf22e284p-13, 0x1.2aa76985d10f6p-13, 0x1.211efac65b226p-13, 0x1.17ef5c70bc853p-13, 0x1.0f1592c81c83ap-13, 0x1.068eb80a07db8p-13, 0x1.fcaff7cba55ddp-14, 0x1.ecdd45ec70716p-14, 0x1.dda00c7e0e767p-14, 0x1.cef3255608f4fp-14, 0x1.c0d1911e5203ap-14, 0x1.b336765d0348fp-14, 0x1.a61d20820d665p-14, 0x1.9980fefbb2dbbp-14, 0x1.8d5da44d45p-14, 0x1.81aec52d5652bp-14, 0x1.767037a5d416ap-14, 0x1.6b9df23afab63p-14, 0x1.61340b1699b66p-14, 0x1.572eb7370a249p-14, 0x1.4d8a49a2a0e4bp-14, 0x1.444332a1175b4p-14, 0x1.3b55fef75c5dep-14, 0x1.32bf572832fabp-14, 0x1.2a7bfeb97cbp-14, 0x1.2288d37dc9a76p-14, 0x1.1ae2ccdfd4bb9p-14, 0x1.1386fb3562493p-14, 0x1.0c7287133523fp-14, 0x1.05a2b0a5dd755p-14, 0x1.fe299e1d07298p-15, 0x1.f18c9f85cb9f2p-15, 0x1.e5696be1c3822p-15, 0x1.d9bb33cb96555p-15, 0x1.ce7d50f3f2464p-15, 0x1.c3ab44fc860f4p-15, 0x1.b940b85cd706fp-15, 0x1.af3979499fb49p-15, 0x1.a5917aa6e204fp-15, 0x1.9c44d2ff3a188p-15, 0x1.934fbb7e1403ep-15, 0x1.8aae8ef4f6d5ep-15, 0x1.825dc8e4240d9p-15, 0x1.7a5a04898aebcp-15, 0x1.729ffbf47e42cp-15, 0x1.6b2c872125b24p-15, 0x1.63fc9b17348e6p-15, 0x1.5d0d4910cb2bp-15, 0x1.565bbda3025fap-15, 0x1.4fe53fef97dedp-15, 0x1.49a730da55515p-15, 0x1.439f0a4096094p-15, 0x1.3dca5e3abe24p-15, 0x1.3826d65ea0e7dp-15, 0x1.32b23307f9c5dp-15, 0x1.2d6a4aa66166ap-15, 0x1.284d090d6883cp-15, 0x1.23586ecc9beedp-15, 0x1.1e8a90892014dp-15, 0x1.19e1965bae159p-15, 0x1.155bbb340ce51p-15, 0x1.10f74c404478cp-15, 0x1.0cb2a8563f879p-15, 0x1.088c3f63304ffp-15, 0x1.048291df0d70dp-15, 0x1.0094304272e43p-15, 0x1.f97f750010d4ep-16, 0x1.f207bf053532fp-16, 0x1.eabeb95b282dap-16, 0x1.e3a1fac554e29p-16, 0x1.dcaf350f87cf4p-16, 0x1.d5e4342841fb4p-16, 0x1.cf3edd3a57452p-16, 0x1.c8bd2dd1f8c86p-16, 0x1.c25d3b051695ep-16, 0x1.bc1d30a08b1fap-16, 0x1.b5fb505f12f7dp-16, 0x1.aff5f121ea192p-16, 0x1.aa0b7e31e38efp-16, 0x1.a43a76843be13p-16, 0x1.9e816c06215a4p-16, 0x1.98df02ed3d7cp-16, 0x1.9351f10b1b48ap-16, 0x1.8dd8fd27b53f3p-16, 0x1.8872fe6060f56p-16, 0x1.831edb8b10616p-16, 0x1.7ddb8a9edba88p-16, 0x1.78a8101fb92ebp-16, 0x1.73837e8ff9632p-16, 0x1.6e6cf5e7721cap-16, 0x1.6963a3098be54p-16, 0x1.6466bf455e9bdp-16, 0x1.5f758fd5969a1p-16, 0x1.5a8f656676f17p-16, 0x1.55b39b9e378p-16, 0x1.50e198aadbd24p-16, 0x1.4c18ccd15ed97p-16, 0x1.4758b203e8cb5p-16, 0x1.42a0cb7668d6ap-16, 0x1.3df0a53b33c32p-16, 0x1.3947d3deb91ap-16, 0x1.34a5f40aedf71p-16, 0x1.300aaa28a9d47p-16, 0x1.2b75a209217a3p-16, 0x1.26e68e8e2faf9p-16, 0x1.225d295809c07p-16, 0x1.1dd9327538132p-16, 0x1.195a7013f8789p-16, 0x1.14e0ae3708627p-16, 0x1.106bbe6df5427p-16, 0x1.0bfb778d89bbep-16, 0x1.078fb56d31eebp-16, 0x1.032858a56eb13p-16, 0x1.fd8a8ca08c79fp-17, 0x1.f4cccf9ac26bap-17, 0x1.ec17550e4d8b2p-17, 0x1.e369ff722e6e6p-17, 0x1.dac4b87486a8cp-17, 0x1.d22770906858cp-17, 0x1.c9921ea8c8097p-17, 0x1.c104bfa659192p-17, 0x1.b87f561acbdd1p-17, 0x1.b001e9e44e109p-17, 0x1.a78c87d9e7a33p-17, 0x1.9f1f417523c6ep-17, 0x1.96ba2c82ea573p-17, 0x1.8e5d62d4faa9cp-17, 0x1.860901f8c3c94p-17, 0x1.7dbd2aef14dd3p-17, 0x1.757a01e8192a8p-17, 0x1.6d3fae0257187p-17, 0x1.650e590ac83bcp-17, 0x1.5ce62f40e9654p-17, 0x1.54c75f1e08ca5p-17, 0x1.4cb2191bd8f93p-17, 0x1.44a68f80523b4p-17, 0x1.3ca4f62c11194p-17, 0x1.34ad826826a19p-17, 0x1.2cc06ab889be2p-17, 0x1.24dde6afc82f7p-17, 0x1.1d062ec52110bp-17, 0x1.15397c2c862dcp-17, 0x1.0d7808aff65c8p-17, 0x1.05c20e8b99476p-17, 0x1.fc2f9093ca9dcp-18, 0x1.ecf2e1479fc09p-18, 0x1.ddce84c10c13bp-18, 0x1.cec2f070449f4p-18, 0x1.bfd0996f32233p-18, 0x1.b0f7f44cd3387p-18, 0x1.a23974d830eb4p-18, 0x1.93958df4c54c6p-18, 0x1.850cb16a9b98cp-18, 0x1.769f4fbbddf0cp-18, 0x1.684dd7ffad744p-18, 0x1.5a18b7b9bd6aep-18, 0x1.4c005ab948dbfp-18, 0x1.3e052af582828p-18, 0x1.302790722e6dep-18, 0x1.2267f120e4bd7p-18, 0x1.14c6b0c77b041p-18, 0x1.074430e73c54bp-18, 0x1.f3c1a14ef2b4ep-19, 0x1.d939d978d3da2p-19, 0x1.bef1beb25789ap-19, 0x1.a4ea0033bdfb8p-19, 0x1.8b2347ea0f6b7p-19, 0x1.719e3a5e0c16ap-19, 0x1.585b76924acdep-19, 0x1.3f5b95f2288a6p-19, 0x1.269f2c3ad805ep-19, 0x1.0e26c769494a1p-19, 0x1.ebe5df55031efp-20, 0x1.bc084ea258fd5p-20, 0x1.8cb5d58912ee2p-20, 0x1.5def60fd7d578p-20, 0x1.2fb5d2001dae9p-20, 0x1.0209fd98c1407p-20, 0x1.a9d959a321dffp-21, 0x1.50bd3964d9536p-21, 0x1.f181f91c9b36p-22, 0x1.43cbda7b2b2bep-22, 0x1.30b4f6948f758p-23, -0x1.0cfefa63a22ebp-26, -0x1.6f62c20a44b4ap-23, -0x1.5c4802abf1212p-22, -0x1.fe922d663cbd8p-22, -0x1.4f47343f02d44p-21, -0x1.9e1db4c97cba6p-21, -0x1.ebcc0a0838cd5p-21, -0x1.1c28de304f097p-20, -0x1.41d7355eec9e7p-20, -0x1.66f0e5217619bp-20, -0x1.8b75d303ca1eep-20, -0x1.af65ef76179c5p-20, -0x1.d2c1359a10d68p-20, -0x1.f587ab2b9e30cp-20, -0x1.0bdcb029a9eaep-19, -0x1.1cab37c152926p-19, -0x1.2d2f7ea3c8d1fp-19, -0x1.3d699c153ce47p-19, -0x1.4d59ac3e10c5fp-19, -0x1.5cffd0185926dp-19, -0x1.6c5c2d5853adbp-19, -0x1.7b6eee56bdfd4p-19, -0x1.8a3841fb5359ep-19, -0x1.98b85ba4e0584p-19, -0x1.a6ef731126b2cp-19, -0x1.b4ddc448099ap-19, -0x1.c2838f8344008p-19, -0x1.cfe11915f3a97p-19, -0x1.dcf6a956c3cc2p-19, -0x1.e9c48c85d2be7p-19, -0x1.f64b12b6e1347p-19, -0x1.014547db7fb68p-18, -0x1.0741ad7b611a6p-18, -0x1.0d1ae7b92e762p-18, -0x1.12d125cb822b7p-18, -0x1.1864989777878p-18, -0x1.1dd572a2c7ba5p-18, -0x1.2323e80934c2ep-18, -0x1.28502e6fef45ap-18, -0x1.2d5a7cfa2d9f4p-18, -0x1.32430c3d1c14cp-18, -0x1.370a16346d8efp-18, -0x1.3bafd636a4471p-18, -0x1.403488e955438p-18, -0x1.44986c35f34c3p-18, -0x1.48dbbf3e4e5adp-18, -0x1.4cfec250e3327p-18, -0x1.5101b6de96b63p-18, -0x1.54e4df6ee864bp-18, -0x1.58a87f950c45bp-18, -0x1.5c4cdbe56d2f6p-18, -0x1.5fd239eaf283fp-18, -0x1.6338e01b4927fp-18, -0x1.668115ce42835p-18, -0x1.69ab2331ae359p-18, -0x1.6cb7514063327p-18, -0x1.6fa5e9b7a208p-18, -0x1.7277370d4e2abp-18, -0x1.752b8465dee86p-18, -0x1.77c31d8ac5aa9p-18, -0x1.7a3e4ee0ebdbfp-18, -0x1.7c9d655f88ff7p-18, -0x1.7ee0ae867278p-18, -0x1.810878559f6d8p-18, -0x1.831511438e7bbp-18, -0x1.8506c835078fep-18, -0x1.86ddec743cf14p-18, -0x1.889acda89bd19p-18, -0x1.8a3dbbcda94fdp-18, -0x1.8bc7072bb5df4p-18, -0x1.8d37004f6e6f1p-18, -0x1.8e8df80233957p-18, -0x1.8fcc3f41bee43p-18, -0x1.90f22739cb051p-18, -0x1.9200013b7f1fp-18, -0x1.92f61eb67a704p-18, -0x1.93d4d1323f059p-18, -0x1.949c6a46b0f64p-18, -0x1.954d3b95a28a7p-18, -0x1.95e796c416e2dp-18, -0x1.966bcd73add6ep-18, -0x1.96da313c411d8p-18, -0x1.973313a5ebd06p-18, -0x1.9776c622c903dp-18, -0x1.97a59a090bb8p-18, -0x1.97bfe08d6530cp-18, -0x1.97c5eabd7a93dp-18, -0x1.97b8097a175eap-18, -0x1.97968d72308a3p-18, -0x1.9761c71d8fc5bp-18, -0x1.971a06b7f604ep-18, -0x1.96bf9c3c2f11cp-18, -0x1.9652d75efb093p-18, -0x1.95d4078ac83b6p-18, -0x1.95437bdb2a78p-18, -0x1.94a1831862343p-18, -0x1.93ee6bb322dp-18, -0x1.932a83c0a0ea8p-18, -0x1.925618f656594p-18, -0x1.917178a66d02p-18, -0x1.907cefbbf7d76p-18, -0x1.8f78cab737132p-18, -0x1.8e6555aa58177p-18, -0x1.8d42dc3641b47p-18, -0x1.8c11a986e6828p-18, -0x1.8ad20850769cbp-18, -0x1.898442cbf771cp-18, -0x1.8828a2b50397bp-18, -0x1.86bf7146a6a24p-18, -0x1.8548f738afb97p-18, -0x1.83c57cbd12995p-18, -0x1.8235497da8437p-18, -0x1.8098a499b98p-18, -0x1.7eefd4a3b24cap-18, -0x1.7d3b1f9f231e4p-18, -0x1.7b7acafe9c166p-18, -0x1.79af1ba1c6c49p-18, -0x1.77d855d398fb4p-18, -0x1.75f6bd486f24cp-18, -0x1.740a951c5952ap-18, -0x1.72141fd1aa4e7p-18, -0x1.70139f4fa29fdp-18, -0x1.6e0954e07995dp-18, -0x1.6bf58130925d6p-18, -0x1.69d8644ceb5d3p-18, -0x1.67b23da24f8c5p-18, -0x1.65834bfbdd712p-18, -0x1.634bcd82382dfp-18, -0x1.610bffbac663fp-18, -0x1.5ec41f86ba526p-18, -0x1.5c7469226aaap-18, -0x1.5a1d18243174ep-18, -0x1.57be677c12726p-18, -0x1.5558917327ce7p-18, -0x1.52ebcfab4cd05p-18, -0x1.50785b1e7868cp-18, -0x1.4dfe6c1e6cc7ep-18, -0x1.4b7e3a54530eep-18, -0x1.48f7fcc09467p-18, -0x1.466be9bab8486p-18, -0x1.43da36f127f2cp-18, -0x1.41431968fdb7ap-18, -0x1.3ea6c57e6bep-18, -0x1.3c056ee49811ap-18, -0x1.395f48a57543p-18, -0x1.36b4852210fa3p-18, -0x1.34055612b01fep-18, -0x1.3151ec8714bf6p-18, -0x1.2e9a78e6ec219p-18, -0x1.2bdf2af1f897cp-18, -0x1.292031c06b699p-18, -0x1.265dbbc358fccp-18, -0x1.2397f6c527cd5p-18, -0x1.20cf0fe9fc39dp-18, -0x1.1e0333b066e48p-18, -0x1.1b348df1da02cp-18, -0x1.186349e36d121p-18, -0x1.158f9216706b6p-18, -0x1.12b99079072d2p-18, -0x1.0fe16e56b7ec6p-18, -0x1.0d07545968e83p-18, -0x1.0a2b6a89e1be4p-18, -0x1.074dd850f1fcap-18, -0x1.046ec47824699p-18, -0x1.018e552a6ed59p-18, -0x1.fd595fea3691ep-19, -0x1.f793f3919080cp-19, -0x1.f1ccadf4d018dp-19, -0x1.ec03d687fbcafp-19, -0x1.e639b38b52cc9p-19, -0x1.e06e8a0da5304p-19, -0x1.daa29dee2519fp-19, -0x1.d4d631deb194dp-19, -0x1.cf098765750d9p-19, -0x1.c93cdedf3713p-19, -0x1.c37077814c182p-19, -0x1.bda48f5c7d163p-19, -0x1.b7d9635f4929fp-19, -0x1.b20f2f576e257p-19, -0x1.ac462df471a88p-19, -0x1.a67e98ca3e65bp-19, -0x1.a0b8a8536c172p-19, -0x1.9af493f3811b5p-19, -0x1.953291f95fe2p-19, -0x1.8f72d7a19a68p-19, -0x1.89b5991965f4bp-19, -0x1.83fb0980cf74fp-19, -0x1.7e435aecf4727p-19, -0x1.788ebe6aac746p-19, -0x1.72dd6400f94ddp-19, -0x1.6d2f7ab360f0ep-19, -0x1.678530852d443p-19, -0x1.61deb27b4038bp-19, -0x1.5c3c2c9f1a8d3p-19, -0x1.569dca012fddcp-19, -0x1.5103b4bb4f73cp-19, -0x1.4b6e15f38c7c1p-19, -0x1.45dd15de9a286p-19, -0x1.4050dbc2a3c12p-19, -0x1.3ac98df9b0458p-19, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.8823bf17c2a71p-7, 0x1.88542dbe6d53ep-6, 0x1.267208910f795p-5, 0x1.88e0e4d23c12bp-5, 0x1.eb67684e9d72p-5, 0x1.26f41b8ee6c11p-4, 0x1.581d26669fde9p-4, 0x1.8915f11e5e66bp-4, 0x1.b9c2af02430bdp-4, 0x1.ea060898f7d7p-4, 0x1.0ce127e044bfdp-3, 0x1.246d413f2e1eep-3, 0x1.3b998da7194bdp-3, 0x1.5259589e5df5ap-3, 0x1.68a136081ab0bp-3, 0x1.7e6728dc4cffbp-3, 0x1.93a2b949b8abp-3, 0x1.a84cfcfdf13f8p-3, 0x1.bc609426f0cd8p-3, 0x1.cfd99d87be12dp-3, 0x1.e2b5a3b6ee9b7p-3, 0x1.f4f3855915b18p-3, 0x1.0349acf2a6d18p-2, 0x1.0bcb2a2121aafp-2, 0x1.13ff5227a6059p-2, 0x1.1be7ac1c1279ap-2, 0x1.23861f21a2f9dp-2, 0x1.2adce3d105965p-2, 0x1.31ee765396856p-2, 0x1.38bd89555e644p-2, 0x1.3f4cf9e53863p-2, 0x1.459fc45096abfp-2, 0x1.4bb8fa0067788p-2, 0x1.519bb856490ccp-2, 0x1.574b20846a07fp-2, 0x1.5cca5056de7eap-2, 0x1.621c5be299c44p-2, 0x1.6744480c80285p-2, 0x1.6c4505d9f1e87p-2, 0x1.71216e7baedeap-2, 0x1.75dc4003d091bp-2, 0x1.7a781ab7d6c3fp-2, 0x1.7ef77ef02c9a6p-2, 0x1.835ccb77386bap-2, 0x1.87aa3c5aae86bp-2, 0x1.8be1ea22c7e94p-2, 0x1.9005c963c041p-2, 0x1.9417aa9eda7bap-2, 0x1.98193a6913607p-2, 0x1.9c0c01ce61f56p-2, 0x1.9ff166e94077p-2, 0x1.a3caada6f2b56p-2, 0x1.a798f8b1ab0d9p-2, 0x1.ab5d4a7a5f963p-2, 0x1.af18865cb549dp-2, 0x1.b2cb71d800eabp-2, 0x1.b676b5d8cfb31p-2, 0x1.ba1ae00efdacep-2, 0x1.bdb8644cb5bep-2, 0x1.c14f9deb2ea77p-2, 0x1.c4e0d132502a4p-2, 0x1.c86c2cc0c22b7p-2, 0x1.cbf1caf2303e5p-2, 0x1.cf71b341deaf6p-2, 0x1.d2ebdba7dfd94p-2, 0x1.d66029ef81912p-2, 0x1.d9ce7505b5204p-2, 0x1.dd36863e6b3aep-2, 0x1.e0981a9004889p-2, 0x1.e3f2e3c4242dep-2, 0x1.e746899d5254cp-2, 0x1.ea92aaf0fb77cp-2, 0x1.edd6deb57bf5p-2, 0x1.f112b503fd6ap-2, 0x1.f445b80e038a5p-2, 0x1.f76f6d06990cdp-2, 0x1.fa8f54ff26cc8p-2, 0x1.fda4edb808775p-2, 0x1.0057d93280c4bp-1, 0x1.01d78e32e3e5fp-1, 0x1.035151f96c47cp-1, 0x1.04c4e05f73757p-1, 0x1.0631f5469323bp-1, 0x1.07984cde66cc4p-1, 0x1.08f7a3e513d7bp-1, 0x1.0a4fb7e2c72b4p-1, 0x1.0ba0476059ceap-1, 0x1.0ce912194db29p-1, 0x1.0e29d9295645ep-1, 0x1.0f625f359cc99p-1, 0x1.10926891f83ep-1, 0x1.11b9bb6248321p-1, 0x1.12d81fb827718p-1, 0x1.13ed5fad26bd1p-1, 0x1.14f94779c2c77p-1, 0x1.15fba589444fp-1, 0x1.16f44a8aba0bcp-1, 0x1.17e3097f39159p-1, 0x1.18c7b7c592999p-1, 0x1.19a22d23a78d5p-1, 0x1.1a7243cd845fap-1, 0x1.1b37d86a6d56bp-1, 0x1.1bf2ca18001abp-1, 0x1.1ca2fa6b931ep-1, 0x1.1d484d71edec4p-1, 0x1.1de2a9ad85b53p-1, 0x1.1e71f81355992p-1, 0x1.1ef6240673ebbp-1, 0x1.1f6f1b52821ep-1, 0x1.1fdcce250f7ebp-1, 0x1.203f2f0609352p-1, 0x1.209632cf50881p-1, 0x1.20e1d0a38a59dp-1, 0x1.212201e442755p-1, 0x1.2156c2276f356p-1, 0x1.21800f2c6db59p-1, 0x1.219de8d08468dp-1, 0x1.21b05102fd735p-1, 0x1.21b74bb8e5fbp-1, 0x1.21b2dee081616p-1, 0x1.21a312547c802p-1, 0x1.2187efceebe61p-1, 0x1.216182dc219e2p-1, 0x1.212fd8cd61896p-1, 0x1.20f300ab7fbbap-1, 0x1.20ab0b296fabap-1, 0x1.20580a96cbe92p-1, 0x1.1ffa12d25e7c4p-1, 0x1.1f91393cade25p-1, 0x1.1f1d94aa9623cp-1, 0x1.1e9f3d57f14dfp-1, 0x1.1e164cda5693dp-1, 0x1.1d82de13f0f6p-1, 0x1.1ce50d2673d2ep-1, 0x1.1c3cf7662e403p-1, 0x1.1b8abb4d42751p-1, 0x1.1ace786f025d5p-1, 0x1.1a084f6b73523p-1, 0x1.193861e2fb9a5p-1, 0x1.185ed26a3c1d6p-1, 0x1.177bc47e172c3p-1, 0x1.168f5c77e2d35p-1, 0x1.1599bf81ce31bp-1, 0x1.149b138b74c55p-1, 0x1.13937f3ea2511p-1, 0x1.128329f449c6ep-1, 0x1.116a3ba9ae1cdp-1, 0x1.1048dcf5bb834p-1, 0x1.0f1f36fe9642bp-1, 0x1.0ded736f5b4cdp-1, 0x1.0cb3bc6e127f8p-1, 0x1.0b723c91d6c8cp-1, 0x1.0a291ed92f53fp-1, 0x1.08d88ea09d45ep-1, 0x1.0780b7995abaap-1, 0x1.0621c5c04ec2fp-1, 0x1.04bbe55532328p-1, 0x1.034f42d1e935ap-1, 0x1.01dc0ae20bf59p-1, 0x1.00626a5aa4e51p-1, 0x1.fdc51c643ca8dp-2, 0x1.fab946f0c6136p-2, 0x1.f7a1ae9e5cb1bp-2, 0x1.f47eadc520431p-2, 0x1.f1509ec33bc23p-2, 0x1.ee17dbeeae73dp-2, 0x1.ead4bf8771512p-2, 0x1.e787a3a9fc526p-2, 0x1.e430e2422b9adp-2, 0x1.e0d0d4fe81e1p-2, 0x1.dd67d543c7a41p-2, 0x1.d9f63c2109603p-2, 0x1.d67c6243ec67ap-2, 0x1.d2fa9fed663f4p-2, 0x1.cf714ce6c71b5p-2, 0x1.cbe0c07722eabp-2, 0x1.c84951591257fp-2, 0x1.c4ab55b0c91d8p-2, 0x1.c107230288b4fp-2, 0x1.bd5d0e296382bp-2, 0x1.b9ad6b4e5bed1p-2, 0x1.b5f88ddfd30ep-2, 0x1.b23ec889503bcp-2, 0x1.ae806d2b95f9bp-2, 0x1.aabdccd50fc08p-2, 0x1.a6f737ba8d2d7p-2, 0x1.a32cfd304ccd5p-2, 0x1.9f5f6ba35a76dp-2, 0x1.9b8ed09339bb7p-2, 0x1.97bb788bdea11p-2, 0x1.93e5af1ff12p-2, 0x1.900dbee3618dap-2, 0x1.8c33f16640c1cp-2, 0x1.88588f2fe928bp-2, 0x1.847bdfba695d2p-2, 0x1.809e296e3d7bap-2, 0x1.7cbfb19e491cdp-2, 0x1.78e0bc84188f6p-2, 0x1.75018d3c69514p-2, 0x1.712265c3f01bbp-2, 0x1.6d4386f465be7p-2, 0x1.69653081d34f5p-2, 0x1.6587a0f81cce5p-2, 0x1.61ab15b8caad6p-2, 0x1.5dcfcaf9131e3p-2, 0x1.59f5fbc01b3adp-2, 0x1.561de1e575c0cp-2, 0x1.5247b60fdcbb2p-2, 0x1.4e73afb41dc1p-2, 0x1.4aa2051443c5ap-2, 0x1.46d2eb3ef4cf3p-2, 0x1.4306960eff2cap-2, 0x1.3f3d382b23cd8p-2, 0x1.3b770306074e3p-2, 0x1.37b426de5d11ap-2, 0x1.33f4d2bf3c93ap-2, 0x1.30393480a63b5p-2, 0x1.2c8178c834989p-2, 0x1.28cdcb09faeeep-2, 0x1.251e55898a03p-2, 0x1.2173415b23877p-2, 0x1.1dccb6650e149p-2, 0x1.1a2adb61174e6p-2, 0x1.168dd5de34d42p-2, 0x1.12f5ca424be38p-2, 0x1.0f62dbcc1b49ap-2, 0x1.0bd52c9546c15p-2, 0x1.084cdd94811aap-2, 0x1.04ca0e9fd60c6p-2, 0x1.014cde6f125fp-2, 0x1.fbaad53c8dd61p-3, 0x1.f4c79f60d13d1p-3, 0x1.edf052240ec2ep-3, 0x1.e725223844e22p-3, 0x1.e066422e1d888p-3, 0x1.d9b3e27af1673p-3, 0x1.d30e317ef1f83p-3, 0x1.cc755b8b78749p-3, 0x1.c5e98ae981a72p-3, 0x1.bf6ae7e04a4aap-3, 0x1.b8f998bc0cd5p-3, 0x1.b295c1d4de0bbp-3, 0x1.ac3f8595acc76p-3, 0x1.a5f7048356d3dp-3, 0x1.9fbc5d43d9f59p-3, 0x1.998faca59e71fp-3, 0x1.93710da6d5d21p-3, 0x1.8d60997ce97b1p-3, 0x1.875e679c056c7p-3, 0x1.816a8dbea7639p-3, 0x1.7b851fed4944ap-3, 0x1.75ae3086071dp-3, 0x1.6fe5d04464d09p-3, 0x1.6a2c0e490afaep-3, 0x1.6480f82198ecdp-3, 0x1.5ee499d07325ap-3, 0x1.5956fdd49d3bp-3, 0x1.53d82d3194a2dp-3, 0x1.4e682f772e1f9p-3, 0x1.49070ac9708a8p-3, 0x1.43b4c3e875c4ap-3, 0x1.3e715e384039bp-3, 0x1.393cdbc8968a4p-3, 0x1.34173d5cd123fp-3, 0x1.2f008273ab5d5p-3, 0x1.29f8a94f06802p-3, 0x1.24ffaefba78b3p-3, 0x1.20158f58ed0aap-3, 0x1.1b3a452079806p-3, 0x1.166dc9edd17c1p-3, 0x1.11b01645f0e75p-3, 0x1.0d01219eceba7p-3, 0x1.0860e266d8c64p-3, 0x1.03cf4e0c5c244p-3, 0x1.fe98b209c0e9fp-4, 0x1.f5afeda8e14afp-4, 0x1.ece43429aec8cp-4, 0x1.e43568f989709p-4, 0x1.dba36dcdce8b1p-4, 0x1.d32e22b1d661ap-4, 0x1.cad56614d79f6p-4, 0x1.c29914d79eb7fp-4, 0x1.ba790a5a205c5p-4, 0x1.b2752088d01fap-4, 0x1.aa8d2fe9f0122p-4, 0x1.a2c10faa86a47p-4, 0x1.9b1095ab548a3p-4, 0x1.937b968d7c26ep-4, 0x1.8c01e5bf0e977p-4, 0x1.84a355875f8eep-4, 0x1.7d5fb7133116dp-4, 0x1.7636da80ab977p-4, 0x1.6f288eeb2713dp-4, 0x1.6834a276c3515p-4, 0x1.615ae25bd1608p-4, 0x1.5a9b1af207aaap-4, 0x1.53f517bb88427p-4, 0x1.4d68a36fb64cap-4, 0x1.46f58805d3a3bp-4, 0x1.409b8ebf73626p-4, 0x1.3a5a8032b5b7dp-4, 0x1.34322454540e8p-4, 0x1.2e2242817a026p-4, 0x1.282aa18968dbbp-4, 0x1.224b07b6f1df7p-4, 0x1.1c833ad9b1a4cp-4, 0x1.16d3004f245cdp-4, 0x1.113a1d0b84184p-4, 0x1.0bb855a272cccp-4, 0x1.064d6e4f7670ep-4, 0x1.00f92afe434e1p-4, 0x1.f7769ea5a534dp-5, 0x1.ed273d6297041p-5, 0x1.e303b88b71a3bp-5, 0x1.d90b961722d85p-5, 0x1.cf3e5baa19af9p-5, 0x1.c59b8ea498b5cp-5, 0x1.bc22b430a49a1p-5, 0x1.b2d3514f97579p-5, 0x1.a9aceae758978p-5, 0x1.a0af05cf3444p-5, 0x1.97d926dc5a32ap-5, 0x1.8f2ad2ee0b204p-5, 0x1.86a38ef95a02bp-5, 0x1.7e42e014ac9d7p-5, 0x1.76084b82cd414p-5, 0x1.6df356bdbdeb4p-5, 0x1.66038781244cdp-5, 0x1.5e3863d46ae26p-5, 0x1.569172148f00bp-5, 0x1.4f0e38fd9854ep-5, 0x1.47ae3fb3c78f7p-5, 0x1.40710dcc72ba4p-5, 0x1.39562b5689f31p-5, 0x1.325d20e2e2cbap-5, 0x1.2b85778c29f2p-5, 0x1.24ceb8fe8662bp-5, 0x1.1e386f7f0503p-5, 0x1.17c225f2a91b9p-5, 0x1.116b67e5442c6p-5, 0x1.0b33c18ffde31p-5, 0x1.051abfdfa09aep-5, 0x1.fe3fe0f535225p-6, 0x1.f285c38d803ep-6, 0x1.e70645dda174bp-6, 0x1.dbc087cf74577p-6, 0x1.d0b3aaeb2ce74p-6, 0x1.c5ded260fa01ep-6, 0x1.bb4123120a2e2p-6, 0x1.b0d9c3993655ep-6, 0x1.a6a7dc533593ep-6, 0x1.9caa976650eeep-6, 0x1.92e120c9bfd3ap-6, 0x1.894aa64c7e269p-6, 0x1.7fe6579bdd602p-6, 0x1.76b366498dd8ap-6, 0x1.6db105d1501edp-6, 0x1.64de6b9e469a3p-6, 0x1.5c3acf0febb2ep-6, 0x1.53c5697e9b9bcp-6, 0x1.4b7d763fd0b3cp-6, 0x1.436232aa03b95p-6, 0x1.3b72de1830828p-6, 0x1.33aeb9ed0b312p-6, 0x1.2c150995e7fedp-6, 0x1.24a5128d4409ep-6, 0x1.1d5e1c5d15d68p-6, 0x1.163f70a0b7c71p-6, 0x1.0f485b06a206ap-6, 0x1.08782951d0b63p-6, 0x1.01ce2b5ae7405p-6, 0x1.f693662213934p-7, 0x1.e9d428f4ff7c1p-7, 0x1.dd5d4b6a2b419p-7, 0x1.d12d7dec64516p-7, 0x1.c54375159e6ddp-7, 0x1.b99de9ae1988ap-7, 0x1.ae3b98ab6e49dp-7, 0x1.a31b432f0b07dp-7, 0x1.983bae842dde3p-7, 0x1.8d9ba41da9481p-7, 0x1.8339f1931bfefp-7, 0x1.7915689dfd37ap-7, 0x1.6f2cdf1617ea5p-7, 0x1.657f2eedd2077p-7, 0x1.5c0b362e1dd3p-7, 0x1.52cfd6f1f6708p-7, 0x1.49cbf761cfc3bp-7, 0x1.40fe81ae757fdp-7, 0x1.3866640bdb705p-7, 0x1.300290ab77f4bp-7, 0x1.27d1fdb68b351p-7, 0x1.1fd3a547ffbd1p-7, 0x1.1806856634b72p-7, 0x1.10699ffc5aa83p-7, 0x1.08fbfad3d5859p-7, 0x1.01bc9f8d3b25ap-7, 0x1.f555373267b61p-8, 0x1.e78a00626a1edp-8, 0x1.da15c49fd50cap-8, 0x1.ccf6b5535d5cfp-8, 0x1.c02b0b4925491p-8, 0x1.b3b106a0fecd9p-8, 0x1.a786eebe3cea5p-8, 0x1.9bab123709e23p-8, 0x1.901bc6c3cd852p-8, 0x1.84d7692e2cbdap-8, 0x1.79dc5d3fde557p-8, 0x1.6f290db157c21p-8, 0x1.64bbec180ddb3p-8, 0x1.5a9370d4efd4dp-8, 0x1.50ae1b025ec6dp-8, 0x1.470a70622a455p-8, 0x1.3da6fd4b5ffp-8, 0x1.3482549808b55p-8, 0x1.2b9b0f92c68fdp-8, 0x1.22efcde434e69p-8, 0x1.1a7f358080f0ep-8, 0x1.1247f2949ebe2p-8, 0x1.0a48b7739bcb5p-8, 0x1.02803c83f108bp-8, 0x1.f5da80592c349p-9, 0x1.e71d0d8485843p-9, 0x1.d8c5b4e910a46p-9, 0x1.cad21675f1d2bp-9, 0x1.bd3fdd8490fdp-9, 0x1.b00cc0b2f1cd9p-9, 0x1.a33681bdec2f7p-9, 0x1.96baed5b938d9p-9, 0x1.8a97db15a8334p-9, 0x1.7ecb2d241f319p-9, 0x1.7352d047a9247p-9, 0x1.682cbba47022fp-9, 0x1.5d56f09cf926fp-9, 0x1.52cf7aaceaff7p-9, 0x1.48946f4469e0fp-9, 0x1.3ea3eda324265p-9, 0x1.34fc1eb3f16ebp-9, 0x1.2b9b34e83730ap-9, 0x1.227f6c13f59e4p-9, 0x1.19a70949876b3p-9, 0x1.11105ab61d976p-9, 0x1.08b9b77e00af4p-9, 0x1.00a17f994cc43p-9, 0x1.f18c3761af3c1p-10, 0x1.e24bf9f6a891dp-10, 0x1.d37f3a357461fp-10, 0x1.c522fbf3f2bc2p-10, 0x1.b7345355cf154p-10, 0x1.a9b06488b7e97p-10, 0x1.9c946381d2bddp-10, 0x1.8fdd93ba83df8p-10, 0x1.838947ef5ef3dp-10, 0x1.7794e1de5dc22p-10, 0x1.6bfdd20646fc4p-10, 0x1.60c19766da0eep-10, 0x1.55ddbf40eb2fp-10, 0x1.4b4fe4d80617p-10, 0x1.4115b1340c434p-10, 0x1.372cdae36b2d5p-10, 0x1.2d9325beb0af3p-10, 0x1.244662abf37d7p-10, 0x1.1b446f63551adp-10, 0x1.128b3633fe84ep-10, 0x1.0a18adca11336p-10, 0x1.01ead8f4bc3a8p-10, 0x1.f3ff8cdb35bd9p-11, 0x1.e4ab2140b6336p-11, 0x1.d5d4bae6208bp-11, 0x1.c778bc1ef1f51p-11, 0x1.b9939d5951219p-11, 0x1.ac21ecb2ed947p-11, 0x1.9f204d8f84104p-11, 0x1.928b783096997p-11, 0x1.8660394da2599p-11, 0x1.7a9b71b03c689p-11, 0x1.6f3a15cdabb2ep-11, 0x1.64392d65c0b7fp-11, 0x1.5995d32061d1dp-11, 0x1.4f4d342d5f9b5p-11, 0x1.455c8fe60f4bap-11, 0x1.3bc1376f8bee8p-11, 0x1.32788d5ec07fep-11, 0x1.2980055d3c77cp-11, 0x1.20d523cfc37ccp-11, 0x1.18757d7ebc0cfp-11, 0x1.105eb73eb269fp-11, 0x1.088e859abb611p-11, 0x1.0102ac811e118p-11, 0x1.f371fddea4375p-12, 0x1.e55ebd426f1ap-12, 0x1.d7c7778006458p-12, 0x1.caa829278c6ap-12, 0x1.bdfcea6a0d3e3p-12, 0x1.b1c1ee816ea1cp-12, 0x1.a5f38319100adp-12, 0x1.9a8e0fb9b0f81p-12, 0x1.8f8e1537dbd9fp-12, 0x1.84f02d2491728p-12, 0x1.7ab1093fc820bp-12, 0x1.70cd72ee6516p-12, 0x1.67424ab24e5f8p-12, 0x1.5e0c87a3c3e5ap-12, 0x1.552936eef2a29p-12, 0x1.4c957b5116ce9p-12, 0x1.444e8c9ae92e4p-12, 0x1.3c51b73383b92p-12, 0x1.349c5b9d37734p-12, 0x1.2d2bedfe19e24p-12, 0x1.25fdf5a95b5fdp-12, 0x1.1f100cabdbe1ap-12, 0x1.185fdf595aaf2p-12, 0x1.11eb2bdd567dap-12, 0x1.0bafc1cd2d4efp-12, 0x1.05ab81bccc7bep-12, 0x1.ffb8b9a87bbf9p-13, 0x1.f480a8d17e46cp-13, 0x1.e9aaf32f0624ap-13, 0x1.df33d9c101cd8p-13, 0x1.d517bb8cb88c3p-13, 0x1.cb5314da80c0fp-13, 0x1.c1e27e7b2f35p-13, 0x1.b8c2ad0f7deebp-13, 0x1.aff07052d7509p-13, 0x1.a768b26b24bf9p-13, 0x1.9f28773b19315p-13, 0x1.972cdbb7fb0bap-13, 0x1.8f7315435235cp-13, 0x1.87f87107992e4p-13, 0x1.80ba53582c976p-13, 0x1.79b637151c41dp-13, 0x1.72e9ad129941cp-13, 0x1.6c525b81e9203p-13, 0x1.65edfd5f809a8p-13, 0x1.5fba61e2384e7p-13, 0x1.59b56bef33dc9p-13, 0x1.53dd11905e2b9p-13, 0x1.4e2f5b6c9c51ap-13, 0x1.48aa6446123c9p-13, 0x1.434c5876efbf5p-13, 0x1.3e137574f17f9p-13, 0x1.38fe0955a7246p-13, 0x1.340a72556190ap-13, 0x1.2f371e61911dep-13, 0x1.2a828aa57d86p-13, 0x1.25eb4319ffea2p-13, 0x1.216fe216b726ap-13, 0x1.1d0f0fe6e5ce3p-13, 0x1.18c782604c25dp-13, 0x1.1497fc7cedb9dp-13, 0x1.107f4df5413c4p-13, 0x1.0c7c52dfb4132p-13, 0x1.088df350055f5p-13, 0x1.04b322fa99ec6p-13, 0x1.00eae0d882787p-13, 0x1.fa686d9decfbbp-14, 0x1.f31c72b12f4d5p-14, 0x1.ebf00e5fb22c5p-14, 0x1.e4e191fab9cf8p-14, 0x1.ddef620c91583p-14, 0x1.d717f5bb51404p-14, 0x1.d059d62fa332dp-14, 0x1.c9b39dff4b76dp-14, 0x1.c323f899deff5p-14, 0x1.bca9a1bc91554p-14, 0x1.b64364e4f6175p-14, 0x1.aff01ccc0c927p-14, 0x1.a9aeb2dfdda8ep-14, 0x1.a37e1ec57b3d5p-14, 0x1.9d5d65d96062ap-14, 0x1.974b9ab882aecp-14, 0x1.9147dcc6f3892p-14, 0x1.8b5157bdfe347p-14, 0x1.8567433b39f08p-14, 0x1.7f88e2530f2d7p-14, 0x1.79b58326184ebp-14, 0x1.73ec7e7989c5fp-14, 0x1.6e2d3751e48b9p-14, 0x1.68771a90cc933p-14, 0x1.62c99e964dcfep-14, 0x1.5d2442e3bf8d3p-14, 0x1.57868fc11122bp-14, 0x1.51f015e68c968p-14, 0x1.4c606e25477a1p-14, 0x1.46d73916fd0eap-14, 0x1.41541ecb3ac8p-14, 0x1.3bd6ce7a9c368p-14, 0x1.365efe3a5c81fp-14, 0x1.30ec6ab31eca5p-14, 0x1.2b7ed6d8ac9cdp-14, 0x1.26160ba5c8858p-14, 0x1.20b1d7d76ba66p-14, 0x1.1b520facd942p-14, 0x1.15f68ca7499b9p-14, 0x1.109f2d4cb4807p-14, 0x1.0b4bd4ec41e4dp-14, 0x1.05fc6b6460c29p-14, 0x1.00b0dceb60b95p-14, 0x1.f6d233b1a0cb9p-15, 0x1.ec4a2ce28ed63p-15, 0x1.e1c995675a429p-15, 0x1.d750644ecef08p-15, 0x1.ccde975b8d08cp-15, 0x1.c27432a5fc623p-15, 0x1.b81140449af6fp-15, 0x1.adb5cff44ef38p-15, 0x1.a361f6c67d97ep-15, 0x1.9915ced02019ep-15, 0x1.8ed176dc5213dp-15, 0x1.84951220d34fdp-15, 0x1.7a60c7f65039cp-15, 0x1.7034c39151dap-15, 0x1.661133bfe8bddp-15, 0x1.5bf64aa75ac17p-15, 0x1.51e43d85ed9d1p-15, 0x1.47db4476ed956p-15, 0x1.3ddb9a3781e5p-15, 0x1.33e57befa970bp-15, 0x1.29f928fb3a01p-15, 0x1.2016e2b6a2e53p-15, 0x1.163eec4c48b4fp-15, 0x1.0c718a85737bep-15, 0x1.02af039b6fb1bp-15, 0x1.f1ef3e163cfcdp-16, 0x1.de974ad50a7dep-16, 0x1.cb56c0800ae87p-16, 0x1.b82e33b6e1475p-16, 0x1.a51e3a608ba08p-16, 0x1.92276b646eae6p-16, 0x1.7f4a5e66350d4p-16, 0x1.6c87ab7f8221p-16, 0x1.59dfeb0843a5bp-16, 0x1.4753b5541ea05p-16, 0x1.34e3a27c787c6p-16, 0x1.22904a2a80e2ep-16, 0x1.105a435f8ed3p-16, 0x1.fc84488f6f293p-17, 0x1.d8910411a5133p-17, 0x1.b4dbe1291e49cp-17, 0x1.9166050158973p-17, 0x1.6e3091ba4ee9ep-17, 0x1.4b3ca61a2e134p-17, 0x1.288b5d4c1c762p-17, 0x1.061dce9347108p-17, 0x1.c7ea1a203a04ep-18, 0x1.84244f05e92bap-18, 0x1.40ec50226eb36p-18, 0x1.fc8850533c0afp-19, 0x1.785baf9cc3be3p-19, 0x1.eaad558e83af1p-20, 0x1.cdf46441698dp-21, -0x1.a5a8898c54475p-24, -0x1.1949857be1352p-20, -0x1.0ae5ced55e988p-19, -0x1.87ececc75ad0ap-19, -0x1.01db5c76be7e7p-18, -0x1.3f1ff4146e138p-18, -0x1.7bc2a4196c758p-18, -0x1.b7c1e0090adbep-18, -0x1.f31c282525218p-18, -0x1.16e804c9fe52ep-17, -0x1.33ee0f4478cc2p-17, -0x1.509f8725f5e81p-17, -0x1.6cfbc6af991c8p-17, -0x1.89022ec3af022p-17, -0x1.a4b226f13135p-17, -0x1.c00b1d74e2867p-17, -0x1.db0c873f2f8d2p-17, -0x1.f5b5dff67c133p-17, -0x1.080354fb3c842p-16, -0x1.14ff372846dadp-16, -0x1.21ce5e63bbfbbp-16, -0x1.2e7095e7f2803p-16, -0x1.3ae5ac43da574p-16, -0x1.472d735747c5dp-16, -0x1.5347c051a39d4p-16, -0x1.5f346bac093a1p-16, -0x1.6af35124a2492p-16, -0x1.76844fba84416p-16, -0x1.81e749a609244p-16, -0x1.8d1c2453cc25cp-16, -0x1.9822c85d08e94p-16, -0x1.a2fb21815dfd7p-16, -0x1.ada51e9fe4913p-16, -0x1.b820b1ad1e3adp-16, -0x1.c26dcfad10159p-16, -0x1.cc8c70a93ef26p-16, -0x1.d67c8fa86a4a5p-16, -0x1.e03e2aa567185p-16, -0x1.e9d142855a01ap-16, -0x1.f335db0dd2836p-16, -0x1.fc6bfadc5b613p-16, -0x1.02b9d5ace977ep-15, -0x1.07267c591021ep-15, -0x1.0b7bf8e47e921p-15, -0x1.0fba5417926ebp-15, -0x1.13e1980b55d0fp-15, -0x1.17f1d024eb9cap-15, -0x1.1beb090f288d5p-15, -0x1.1fcd50b4f9fc4p-15, -0x1.2398b63c67ef8p-15, -0x1.274d49fffaa17p-15, -0x1.2aeb1d88fc871p-15, -0x1.2e72438a89573p-15, -0x1.31e2cfda796f2p-15, -0x1.353cd76c3399dp-15, -0x1.3880704ac3222p-15, -0x1.3badb192d6795p-15, -0x1.3ec4b36c625a8p-15, -0x1.41c58f056b48ep-15, -0x1.44b05e8b414c4p-15, -0x1.47853d2536b2bp-15, -0x1.4a4446ee36983p-15, -0x1.4ced98ef4fb41p-15, -0x1.4f81511942f3p-15, -0x1.51ff8e3e8e017p-15, -0x1.5468700e0bb76p-15, -0x1.56bc170ce5c68p-15, -0x1.58faa4902ae55p-15, -0x1.5b243ab7d24edp-15, -0x1.5d38fc6854171p-15, -0x1.5f390d45339c9p-15, -0x1.612491aaf4182p-15, -0x1.62fbaeaa0b8a8p-15, -0x1.64be8a006b362p-15, -0x1.666d4a14418cap-15, -0x1.680815eeb4e78p-15, -0x1.698f1535f5ffbp-15, -0x1.6b027027bae0fp-15, -0x1.6c624f943ecf7p-15, -0x1.6daedcd88cf3cp-15, -0x1.6ee841d931b58p-15, -0x1.700ea8fd4e71dp-15, -0x1.71223d28d6769p-15, -0x1.722329b7c381dp-15, -0x1.73119a7905cd9p-15, -0x1.73edbba976a04p-15, -0x1.74b7b9ee96fc5p-15, -0x1.756fc251f3ae9p-15, -0x1.7616023c3db3ep-15, -0x1.76aaa7708f4b9p-15, -0x1.772de0076cf1ap-15, -0x1.779fda6a4c03cp-15, -0x1.7800c54f16848p-15, -0x1.7850cfb3781b1p-15, -0x1.789028d89d488p-15, -0x1.78bf003e75f52p-15, -0x1.78dd859fbcb48p-15, -0x1.78ebe8ed631dcp-15, -0x1.78ea5a4aa608p-15, -0x1.78d90a08df208p-15, -0x1.78b828a346493p-15, -0x1.7887e6bb23bd5p-15, -0x1.78487513f7c2ep-15, -0x1.77fa048f5de78p-15, -0x1.779cc629632c4p-15, -0x1.7730eaf4bc7c9p-15, -0x1.76b6a4176659bp-15, -0x1.762e22c6d4793p-15, -0x1.759798446ed9dp-15, -0x1.74f335da31cb1p-15, -0x1.74412cd72a49dp-15, -0x1.7381ae8c5b906p-15, -0x1.72b4ec4952829p-15, -0x1.71db17591a5f9p-15, -0x1.70f460ff1f713p-15, -0x1.7000fa73f1a97p-15, -0x1.6f0114e27a2f6p-15, -0x1.6df4e1650b16ep-15, -0x1.6cdc91026cef6p-15, -0x1.6bb854ab379f2p-15, -0x1.6a885d37176dfp-15, -0x1.694cdb61f70a6p-15, -0x1.6805ffc977bdp-15, -0x1.66b3faea8f152p-15, -0x1.6556fd1eff784p-15, -0x1.63ef369abbccep-15, -0x1.627cd769abb35p-15, -0x1.61000f6dab31ap-15, -0x1.5f790e5bf0875p-15, -0x1.5de803bafe27fp-15, -0x1.5c4d1ee0691e1p-15, -0x1.5aa88eeeec873p-15, -0x1.58fa82d46b693p-15, -0x1.57432948093a1p-15, -0x1.5582b0c83063dp-15, -0x1.53b94798bef99p-15, -0x1.51e71bc12d4c2p-15, -0x1.500c5b0aea2e3p-15, -0x1.4e2932ffd184ap-15, -0x1.4c3dd0e8510e7p-15, -0x1.4a4a61c9dc7p-15, -0x1.484f12659cb09p-15, -0x1.464c0f36f4d82p-15, -0x1.44418471d6464p-15, -0x1.422f9e0191552p-15, -0x1.4016878771628p-15, -0x1.3df66c5989d8dp-15, -0x1.3bcf77818daadp-15, -0x1.39a1d3bb86be2p-15, -0x1.376dab74aae1ap-15, -0x1.353328ca5864fp-15, -0x1.32f2758903eaap-15, -0x1.30abbb2b38f68p-15, -0x1.2e5f22d89fe37p-15, -0x1.2c0cd565129ecp-15, -0x1.29b4fb4ff467p-15, -0x1.2757bcc326768p-15, -0x1.24f54192359b1p-15, -0x1.228db1399636ap-15, -0x1.202132de18d1p-15, -0x1.1dafed4bfed31p-15, -0x1.1b3a06f6a6f09p-15, -0x1.18bfa5f7db891p-15, -0x1.1640f00f16398p-15, -0x1.13be0aa0faea1p-15, -0x1.11371ab704f08p-15, -0x1.0eac44ff06706p-15, -0x1.0c1dadca96148p-15, -0x1.098b790eae805p-15, -0x1.06f5ca638a482p-15, -0x1.045cc5043c2e5p-15, -0x1.01c08bce47035p-15, -0x1.fe42828287df8p-16, -0x1.f8fe0efdaaf7dp-16, -0x1.f3b400945f2bbp-16, -0x1.ee649a107cf57p-16, -0x1.e9101d7ef2a2cp-16, -0x1.e3b6cc2eefc27p-16, -0x1.de58e6b1d8e4fp-16, -0x1.d8f6acdb54944p-16, -0x1.d3905dc132d4ap-16, -0x1.ce2637bb5615p-16, -0x1.c8b878639d917p-16, -0x1.c3475c95b8a5dp-16, -0x1.bdd3206fc1baap-16, -0x1.b85bff525eb1cp-16, -0x1.b2e233e054181p-16, -0x1.ad65f7ff2d0a4p-16, -0x1.a7e784d758bfep-16, -0x1.a26712d45fde4p-16, -0x1.9ce4d9a5ae3b1p-16, -0x1.9761103e8ba7ep-16, -0x1.91dbecd6c8e22p-16, -0x1.8c55a4eb0d65cp-16, -0x1.86ce6d3d1c9a1p-16, -0x1.814679d4c2e38p-16, -0x1.7bbdfe003126fp-16, -0x1.76352c549d79fp-16, -0x1.70ac36aef747ep-16, }}, 
      {{0x1.7d020a63abf4ep-1, 0x1.7cb9b56e8a46fp-1, 0x1.7c481d7a991f1p-1, 0x1.7bb4ba7dd8279p-1, 0x1.7b070979e6132p-1, 0x1.7a45cd20e0005p-1, 0x1.7976b1e1d90c9p-1, 0x1.789e307debe52p-1, 0x1.77bf963329c36p-1, 0x1.76dd21e635f1bp-1, 0x1.75f82b7b52783p-1, 0x1.75114e82cfe01p-1, 0x1.7428940795289p-1, 0x1.733d9915a1123p-1, 0x1.724fb0b977f89p-1, 0x1.715e00fa51a78p-1, 0x1.70679ac9ed2c5p-1, 0x1.6f6b8d2dfffd1p-1, 0x1.6e68f410354f3p-1, 0x1.6d5f0335a624p-1, 0x1.6c4d0de4fd916p-1, 0x1.6b328bc00819dp-1, 0x1.6a0f1b4dc20eap-1, 0x1.68e282a72c59cp-1, 0x1.67acaeacf5d69p-1, 0x1.666db11f51b51p-1, 0x1.6525bde4ccfdbp-1, 0x1.63d527c11d7f2p-1, 0x1.627c5cb1e8c62p-1, 0x1.611be21d9c3eep-1, 0x1.5fb450f7a0bf6p-1, 0x1.5e4651f5812eap-1, 0x1.5cd299e9f93ep-1, 0x1.5b59e65545a31p-1, 0x1.59dcfa3556ad4p-1, 0x1.585c9b1ca7671p-1, 0x1.56d98e935897dp-1, 0x1.555497c3adbcdp-1, 0x1.53ce75711b838p-1, 0x1.5247e037991abp-1, 0x1.50c1890fd8fb5p-1, 0x1.4f3c181444593p-1, 0x1.4db82b82224b8p-1, 0x1.4c3656f20654ep-1, 0x1.4ab722c2891aap-1, 0x1.493b0bb05a307p-1, 0x1.47c28296d211fp-1, 0x1.464dec5463aabp-1, 0x1.44dda1ce875p-1, 0x1.4371f01103989p-1, 0x1.420b1884c181ap-1, 0x1.40a9513aa79a3p-1, 0x1.3f4cc54743c9fp-1, 0x1.3df5952c5aac9p-1, 0x1.3ca3d74db61bap-1, 0x1.3b57986ed54a3p-1, 0x1.3a10dc3761ed5p-1, 0x1.38cf9dbc85c79p-1, 0x1.3793d00d789e1p-1, 0x1.365d5ec1d0518p-1, 0x1.352c2e8849086p-1, 0x1.34001db4e9f5dp-1, 0x1.32d904cd92359p-1, 0x1.31b6b71416734p-1, 0x1.3099030d4134dp-1, 0x1.2f7fb3041d2a3p-1, 0x1.2e6a8d890bb98p-1, 0x1.2d5955ec43828p-1, 0x1.2c4bccb367044p-1, 0x1.2b41b009f1365p-1, 0x1.2a3abc2c4cf9cp-1, 0x1.2936abcd770ffp-1, 0x1.2835387715b28p-1, 0x1.27361ae4004d2p-1, 0x1.26390b553873p-1, 0x1.253dc1e16140cp-1, 0x1.2443f6bec3775p-1, 0x1.234b6287fb55bp-1, 0x1.2253be7b6de18p-1, 0x1.215cc4b5a70bdp-1, 0x1.20663066cb229p-1, 0x1.1f6fbe034242ap-1, 0x1.1e792b6fce9c3p-1, 0x1.1d8238293ad61p-1, 0x1.1c8aa567d1293p-1, 0x1.1b92363ecc3ep-1, 0x1.1a98afb7f7e46p-1, 0x1.199dd8ebae49fp-1, 0x1.18a17b1569519p-1, 0x1.17a361a518a4cp-1, 0x1.16a35a4d6c6ffp-1, 0x1.15a1350f483e4p-1, 0x1.149cc4428b414p-1, 0x1.1395dc9c5f7ffp-1, 0x1.128c553338626p-1, 0x1.11800780b24d3p-1, 0x1.1070cf6178762p-1, 0x1.0f5e8b135c7d6p-1, 0x1.0e491b31c4833p-1, 0x1.0d3062b097f92p-1, 0x1.0c1446d5cb114p-1, 0x1.0af4af31acdb7p-1, 0x1.09d18596174b4p-1, 0x1.08aab60c9feedp-1, 0x1.07802ecbe2d9dp-1, 0x1.0651e02c0931p-1, 0x1.051fbc9a9b63ap-1, 0x1.03e9b88dbf2e5p-1, 0x1.02afca76f13c2p-1, 0x1.0171eab551b57p-1, 0x1.0030138796ddep-1, 0x1.fdd481fb6a4dbp-2, 0x1.fb40e1d49e5c9p-2, 0x1.f8a545a7f5b83p-2, 0x1.f601afccd5241p-2, 0x1.f35625c70c9c9p-2, 0x1.f0a2b028ffee9p-2, 0x1.ede75a75d96cfp-2, 0x1.eb243303dfd52p-2, 0x1.e8594adef4399p-2, 0x1.e586b5ab53363p-2, 0x1.e2ac8988a23b2p-2, 0x1.dfcadef54f15bp-2, 0x1.dce1d0b25a58bp-2, 0x1.d9f17ba7852a3p-2, 0x1.d6f9fec7f8e48p-2, 0x1.d3fb7af766c89p-2, 0x1.d0f612efa8fd6p-2, 0x1.cde9eb26eb762p-2, 0x1.cad729b65afbfp-2, 0x1.c7bdf64166ac6p-2, 0x1.c49e79dd8c723p-2, 0x1.c178defabdaa2p-2, 0x1.be4d514c51d6bp-2, 0x1.bb1bfdb292d15p-2, 0x1.b7e51224db705p-2, 0x1.b4a8bd9c4c96bp-2, 0x1.b1672fff16eb1p-2, 0x1.ae209a0c58c57p-2, 0x1.aad52d4891356p-2, 0x1.a7851beaa2d8bp-2, 0x1.a43098c968b63p-2, 0x1.a0d7d749dcabbp-2, 0x1.9d7b0b4dc6a36p-2, 0x1.9a1a6922fc0bp-2, 0x1.96b6257325df3p-2, 0x1.934e753411412p-2, 0x1.8fe38d9882aaep-2, 0x1.8c75a4018d85bp-2, 0x1.8904edf06c2c9p-2, 0x1.8591a0f8d9acbp-2, 0x1.821bf2b3e1d4ap-2, 0x1.7ea418b330cecp-2, 0x1.7b2a4874d5f61p-2, 0x1.77aeb75780ef3p-2, 0x1.74319a8f2c443p-2, 0x1.70b3271a3bab8p-2, 0x1.6d3391b707d1fp-2, 0x1.69b30ed9d7a76p-2, 0x1.6631d2a33f44p-2, 0x1.62b010d6ebdfbp-2, 0x1.5f2dfcd2cf395p-2, 0x1.5babc986b41b6p-2, 0x1.5829a96c2e5b4p-2, 0x1.54a7ce7eedcccp-2, 0x1.51266a356bcffp-2, 0x1.4da5ad79f3e89p-2, 0x1.4a25c8a4060e1p-2, 0x1.46a6eb720ddd4p-2, 0x1.43294503714fbp-2, 0x1.3fad03d2efeefp-2, 0x1.3c3255b15445bp-2, 0x1.38b967c072b9bp-2, 0x1.3542666e79512p-2, 0x1.31cd7d718647fp-2, 0x1.2e5ad7c38ced7p-2, 0x1.2aea9f9e7d5c1p-2, 0x1.277cfe78b7d69p-2, 0x1.24121d01c0cb8p-2, 0x1.20aa231f37b2fp-2, 0x1.1d4537ea12177p-2, 0x1.19e381ac118dfp-2, 0x1.168525dd7cf81p-2, 0x1.132a49230efd9p-2, 0x1.0fd30f4c259ddp-2, 0x1.0c7f9b5128495p-2, 0x1.09300f5222c3p-2, 0x1.05e48c95999e7p-2, 0x1.029d33879232ep-2, 0x1.feb4477196c09p-3, 0x1.f836f7bc54729p-3, 0x1.f1c2b3a0a9b7bp-3, 0x1.eb57b516f60dap-3, 0x1.e4f6345e9e20ap-3, 0x1.de9e67fe4a3fep-3, 0x1.d85084c4812cbp-3, 0x1.d20cbdc890521p-3, 0x1.cbd3446bc407ep-3, 0x1.c5a4485ae9b8ap-3, 0x1.bf7ff7901b099p-3, 0x1.b9667e54d3c6bp-3, 0x1.b3580744439f8p-3, 0x1.ad54bb4de722fp-3, 0x1.a75cc1b85c8bcp-3, 0x1.a1704024761f3p-3, 0x1.9b8f5a9082344p-3, 0x1.95ba335bcd483p-3, 0x1.8ff0eb4a59bb3p-3, 0x1.8a33a188c3887p-3, 0x1.848273b05c48fp-3, 0x1.7edd7dcb6a665p-3, 0x1.7944da599ed66p-3, 0x1.73b8a254a6fc4p-3, 0x1.6e38ed34eeeb1p-3, 0x1.68c5d0f685f5cp-3, 0x1.635f621e2046cp-3, 0x1.5e05b3be3e49bp-3, 0x1.58b8d77c72debp-3, 0x1.5378dd96bdc8ep-3, 0x1.4e45d4e90a2d1p-3, 0x1.491fcaf2bdc73p-3, 0x1.4406cbdc62827p-3, 0x1.3efae27d644dap-3, 0x1.39fc1861dec3bp-3, 0x1.350a75d07d4d9p-3, 0x1.302601d06f7f6p-3, 0x1.2b4ec22f60f9ap-3, 0x1.2684bb8785866p-3, 0x1.21c7f145ac3f1p-3, 0x1.1d1865af5d415p-3, 0x1.187619e8fd8b1p-3, 0x1.13e10dfbf57b3p-3, 0x1.0f5940dce7269p-3, 0x1.0adeb071d77cp-3, 0x1.06715998681e3p-3, 0x1.0211382c0a349p-3, 0x1.fb7c8e185ef33p-4, 0x1.f2f10045012p-4, 0x1.ea7fb8d20e0fbp-4, 0x1.e228a7e0be9c1p-4, 0x1.d9ebbbcbae836p-4, 0x1.d1c8e133225fbp-4, 0x1.c9c003093f8a6p-4, 0x1.c1d10a9e1f0f2p-4, 0x1.b9fbdfabeb2cp-4, 0x1.b2406862d45c2p-4, 0x1.aa9e8974f68cep-4, 0x1.a31626222cbaep-4, 0x1.9ba72043ca2cap-4, 0x1.945158582ebaep-4, 0x1.8d14ad8e56ep-4, 0x1.85f0fdd135992p-4, 0x1.7ee625d305206p-4, 0x1.77f401186c8dfp-4, 0x1.711a6a038b15bp-4, 0x1.6a5939dedf342p-4, 0x1.63b048e8112e9p-4, 0x1.5d1f6e5a932e1p-4, 0x1.56a6807a24529p-4, 0x1.5045549d2b50dp-4, 0x1.49fbbf36ee94p-4, 0x1.43c993e1a525cp-4, 0x1.3daea5685e6a5p-4, 0x1.37aac5d0c9523p-4, 0x1.31bdc664ce54fp-4, 0x1.2be777bc036c5p-4, 0x1.2627a9c4f73f1p-4, 0x1.207e2bce5489dp-4, 0x1.1aeacc8fdaf49p-4, 0x1.156d5a332ebeep-4, 0x1.1005a25c7f6d7p-4, 0x1.0ab3723303b8ep-4, 0x1.057696694cd8ap-4, 0x1.004edb456d4bfp-4, 0x1.f6781951f01c1p-5, 0x1.ec7bec31a4cc9p-5, 0x1.e2a8c589bdb06p-5, 0x1.d8fe3b1ef7217p-5, 0x1.cf7be229adeadp-5, 0x1.c6214f6433f56p-5, 0x1.bcee1718d2453p-5, 0x1.b3e1cd2f74c43p-5, 0x1.aafc053b073b9p-5, 0x1.a23c5286745d2p-5, 0x1.99a24821662aap-5, 0x1.912d78ec9789ap-5, 0x1.88dd77a5f277bp-5, 0x1.80b1d6f44782bp-5, 0x1.78aa2972be87ap-5, 0x1.70c601bbf3b4ep-5, 0x1.6904f274c99b3p-5, 0x1.61668e56e8352p-5, 0x1.59ea683af0a3ep-5, 0x1.529013226545fp-5, 0x1.4b57224142a3cp-5, 0x1.443f29074f2dap-5, 0x1.3d47bb2920084p-5, 0x1.36706ca8d7205p-5, 0x1.2fb8d1de91ba7p-5, 0x1.29207f809807ep-5, 0x1.22a70aab4007ap-5, 0x1.1c4c08e88de7ep-5, 0x1.160f10378f717p-5, 0x1.0fefb7136ef84p-5, 0x1.09ed947a4eb4ap-5, 0x1.04083ff3d3e3dp-5, 0x1.fc7ea32efdc93p-6, 0x1.f124c42579eap-6, 0x1.e602155d731a3p-6, 0x1.db15caabf0f8ep-6, 0x1.d05f193362194p-6, 0x1.c5dd376dd66e9p-6, 0x1.bb8f5d36cd595p-6, 0x1.b174c3d48ee52p-6, 0x1.a78ca60115d7fp-6, 0x1.9dd63ff287c14p-6, 0x1.9450cf63464cep-6, 0x1.8afb93999653dp-6, 0x1.81d5cd6ee24c9p-6, 0x1.78debf56905dp-6, 0x1.7015ad647ad59p-6, 0x1.6779dd530627ep-6, 0x1.5f0a9688e3d4cp-6, 0x1.56c7221e5b9ccp-6, 0x1.4eaecae26152cp-6, 0x1.46c0dd5f2ed5p-6, 0x1.3efca7dea39e3p-6, 0x1.37617a6e3d996p-6, 0x1.2feea6e2c97b6p-6, 0x1.28a380dbc2e38p-6, 0x1.217f5dc661736p-6, 0x1.1a8194e05d6bfp-6, 0x1.13a97f3a7224fp-6, 0x1.0cf677ba84558p-6, 0x1.0667db1d9b537p-6, 0x1.fffa0ff30bc2fp-7, 0x1.f36abd7c7b17ep-7, 0x1.e720836e2eb61p-7, 0x1.db1a2a1745c92p-7, 0x1.cf567d80be49bp-7, 0x1.c3d44d6e4f223p-7, 0x1.b8926d5edfcf6p-7, 0x1.ad8fb48c8e015p-7, 0x1.a2cafdec413d5p-7, 0x1.9843282ce0347p-7, 0x1.8df715b62d7p-7, 0x1.83e5aca71740dp-7, 0x1.7a0dd6d3efc26p-7, 0x1.706e81c400337p-7, 0x1.67069eaf02fa3p-7, 0x1.5dd5227a28d7dp-7, 0x1.54d905b4d0b4fp-7, 0x1.4c114494fd47ep-7, 0x1.437cdef36d6c4p-7, 0x1.3b1ad8478b19fp-7, 0x1.32ea37a2f42f2p-7, 0x1.2aea07acd1f86p-7, 0x1.2319569cebc29p-7, 0x1.1b7736368c1b3p-7, 0x1.1402bbc30fefdp-7, 0x1.0cbb000c55ba4p-7, 0x1.059f1f56ef087p-7, 0x1.fd5c72b82f389p-8, 0x1.efcee28717823p-8, 0x1.e293db3a52932p-8, 0x1.d5a9b0b4bbc7cp-8, 0x1.c90ebd8ef6803p-8, 0x1.bcc163099dacep-8, 0x1.b0c008ff5585p-8, 0x1.a5091dd683ba3p-8, 0x1.999b1672bbf51p-8, 0x1.8e746e25f9ef7p-8, 0x1.8393a6a19ec23p-8, 0x1.78f747e745f28p-8, 0x1.6e9de0393a83ep-8, 0x1.6486040b06372p-8, 0x1.5aae4df17e2f4p-8, 0x1.51155e92f354ep-8, 0x1.47b9dc9723653p-8, 0x1.3e9a7496e552dp-8, 0x1.35b5d90beeb3bp-8, 0x1.2d0ac24053189p-8, 0x1.2497ee3e09dep-8, 0x1.1c5c20be49345p-8, 0x1.14562318d0d4bp-8, 0x1.0c84c433310cfp-8, 0x1.04e6d86fe7932p-8, 0x1.faf6733b48121p-9, 0x1.ec818dcc81p-9, 0x1.de6cc97be6d1cp-9, 0x1.d0b5f9a491e01p-9, 0x1.c35afbf287836p-9, 0x1.b659b840be3f8p-9, 0x1.a9b02077618cap-9, 0x1.9d5c3069c51fcp-9, 0x1.915bedb4ca7a7p-9, 0x1.85ad679d13404p-9, 0x1.7a4eb6ed54c2bp-9, 0x1.6f3dfdd4e108ap-9, 0x1.647967c6008b2p-9, 0x1.59ff2954d6ffdp-9, 0x1.4fcd8015e59e5p-9, 0x1.45e2b27d22949p-9, 0x1.3c3d0fbd0e3a6p-9, 0x1.32daefa5c184p-9, 0x1.29bab2846f4cp-9, 0x1.20dac102e62d2p-9, 0x1.18398c075eebep-9, 0x1.0fd58c9471b85p-9, 0x1.07ad43a915018p-9, 0x1.ff7e744260aedp-10, 0x1.f014012c19eb3p-10, 0x1.e1185e7e62882p-10, 0x1.d288cba6cf618p-10, 0x1.c46296d41e908p-10, 0x1.b6a31cb942729p-10, 0x1.a947c850c9034p-10, 0x1.9c4e12a13788p-10, 0x1.8fb38281609b2p-10, 0x1.8375ac5d9a442p-10, 0x1.779231fd9872p-10, 0x1.6c06c24a603a6p-10, 0x1.60d11915470fep-10, 0x1.55eefedf32251p-10, 0x1.4b5e48a09416dp-10, 0x1.411cd791dfae2p-10, 0x1.372898f4b588fp-10, 0x1.2d7f85dd8018bp-10, 0x1.241fa2fdbd04fp-10, 0x1.1b07006ee9cfp-10, 0x1.1233b97dfc129p-10, 0x1.09a3f4777525bp-10, 0x1.0155e27412ac6p-10, 0x1.f28f7e4c50907p-11, 0x1.e2efa14ee9963p-11, 0x1.d3c8ce8f90c24p-11, 0x1.c517bab82f359p-11, 0x1.b6d92e1cc0e3bp-11, 0x1.a90a045bb16dcp-11, 0x1.9ba72c00603bbp-11, 0x1.8eada625e56eap-11, 0x1.821a861c008bbp-11, 0x1.75eaf10c91691p-11, 0x1.6a1c1da2b0906p-11, 0x1.5eab53b2c3613p-11, 0x1.5395ebe3f2dc1p-11, 0x1.48d94f5ad6065p-11, 0x1.3e72f765542d6p-11, 0x1.34606d27bd3d2p-11, 0x1.2a9f494af253bp-11, 0x1.212d33ac444fdp-11, 0x1.1807e30d7e0dbp-11, 0x1.0f2d1cc782a4cp-11, 0x1.069ab47cf10d5p-11, 0x1.fc9d179ce5e07p-12, 0x1.ec8d2420e3737p-12, 0x1.dd01880285232p-12, 0x1.cdf657028d58fp-12, 0x1.bf67be9778c3ap-12, 0x1.b152056108b39p-12, 0x1.a3b18a9f88ad5p-12, 0x1.9682c5abdf8c8p-12, 0x1.89c24572762e9p-12, 0x1.7d6caff03c587p-12, 0x1.717ec1b239491p-12, 0x1.65f54d565c0c9p-12, 0x1.5acd3b0f8b2cdp-12, 0x1.5003882b4dc3p-12, 0x1.459546995e133p-12, 0x1.3b7f9c75c02c4p-12, 0x1.31bfc394a04adp-12, 0x1.285309103d74ap-12, 0x1.1f36ccd927014p-12, 0x1.1668814840183p-12, 0x1.0de5aab23d7d8p-12, 0x1.05abdefef4a5cp-12, 0x1.fb718a7f17d23p-13, 0x1.ec142a9360fa9p-13, 0x1.dd3b2ea52cc9bp-13, 0x1.cee247190f486p-13, 0x1.c105438d8a138p-13, 0x1.b3a0121d0baecp-13, 0x1.a6aebea44d88cp-13, 0x1.9a2d720b7b5e1p-13, 0x1.8e1871935abadp-13, 0x1.826c1e26fa9c7p-13, 0x1.7724f3ae93856p-13, 0x1.6c3f8866d92c5p-13, 0x1.61b88c3d45c9fp-13, 0x1.578cc82c5195cp-13, 0x1.4db91d9df859cp-13, 0x1.443a85cf07e2fp-13, 0x1.3b0e1137d2583p-13, 0x1.3230e6f5adef3p-13, 0x1.29a04439c8515p-13, 0x1.21597bb94f605p-13, 0x1.1959f5211bff9p-13, 0x1.119f2c8c3a0cbp-13, 0x1.0a26b1fda79aap-13, 0x1.02ee28dc25cbap-13, 0x1.f7e68ee303909p-14, 0x1.ea67acd93a57dp-14, 0x1.dd5b60cb19248p-14, 0x1.d0bd82ca9f28bp-14, 0x1.c48a0cdcd782p-14, 0x1.b8bd1a14981d8p-14, 0x1.ad52e5afa6e67p-14, 0x1.a247ca3823e3cp-14, 0x1.979840ad8b44ep-14, 0x1.8d40dfb05af88p-14, 0x1.833e5ab3b716fp-14, 0x1.798d8131acccp-14, 0x1.702b3de6682c1p-14, 0x1.6714960e6b6edp-14, 0x1.5e46a8aa66984p-14, 0x1.55beadc50478dp-14, 0x1.4d79f5bfdae1p-14, 0x1.4575e8a3be67cp-14, 0x1.3db005724e04bp-14, 0x1.3625e1806a2cap-14, 0x1.2ed527cff0654p-14, 0x1.27bb987087db5p-14, 0x1.20d707e312974p-14, 0x1.1a255e80321aap-14, 0x1.13a497e3f6c9bp-14, 0x1.0d52c25c1cb71p-14, 0x1.072dfe59b4a76p-14, 0x1.01347de6bd594p-14, 0x1.f6c9083de5f5ap-15, 0x1.eb78c9572e603p-15, 0x1.e0750685c7a98p-15, 0x1.d5baa656bade1p-15, 0x1.cb46ad8128752p-15, 0x1.c1163df9345d7p-15, 0x1.b72696060bc11p-15, 0x1.ad750f5fcc09bp-15, 0x1.a3ff1e535206p-15, 0x1.9ac250e909e9ap-15, 0x1.91bc4e167d04fp-15, 0x1.88ead4ee9a26p-15, 0x1.804bbbdd1114p-15, 0x1.77dcefe3fa09p-15, 0x1.6f9c73de456d6p-15, 0x1.67885fc8bed7p-15, 0x1.5f9ee00e9408dp-15, 0x1.57de34dbf73c1p-15, 0x1.5044b173e0881p-15, 0x1.48d0bb8bc1819p-15, 0x1.4180caaaf84c6p-15, 0x1.3a53678f8a79cp-15, 0x1.33472b93ee7acp-15, 0x1.2c5ac01de15cbp-15, 0x1.258cde0d58441p-15, 0x1.1edc4d31daa74p-15, 0x1.1847e3c22fbbfp-15, 0x1.11ce85d8abcc3p-15, 0x1.0b6f24f408ea4p-15, 0x1.0528bf791b6afp-15, 0x1.fdf4c077b3593p-16, 0x1.f1c63c11113bap-16, 0x1.e5c436638966fp-16, 0x1.d9ed0a440b013p-16, 0x1.ce3f27e0fef28p-16, 0x1.c2b913ef96a02p-16, 0x1.b75966e4b1436p-16, 0x1.ac1ecc2c722f5p-16, 0x1.a108016f781dfp-16, 0x1.9613d5d5b734bp-16, 0x1.8b41295746356p-16, 0x1.808eec0a9d67p-16, 0x1.75fc1d80a4a38p-16, 0x1.6b87cc1cfb1afp-16, 0x1.6131147ad6399p-16, 0x1.56f720d280851p-16, 0x1.4cd928656f593p-16, 0x1.42d66eee451eep-16, 0x1.38ee4415dd58ap-16, 0x1.2f2002eba75c6p-16, 0x1.256b1163d6154p-16, 0x1.1bcedfda1b80cp-16, 0x1.124ae896f32c9p-16, 0x1.08deaf5982863p-16, 0x1.ff1381ce9c653p-17, 0x1.ec976535a6fcp-17, 0x1.da4843f947697p-17, 0x1.c82568b34550dp-17, 0x1.b62e2cc2ae32fp-17, 0x1.a461f78a75dd1p-17, 0x1.92c03db9ae90dp-17, 0x1.81488096e9a86p-17, 0x1.6ffa4d56dbf98p-17, 0x1.5ed53c72be7ccp-17, 0x1.4dd8f10c75057p-17, 0x1.3d05184fe8943p-17, 0x1.2c5968e07b462p-17, 0x1.1bd5a248a4cdbp-17, 0x1.0b798c70614e9p-17, 0x1.f689ee3375bc4p-18, 0x1.d66f72bed5f49p-18, 0x1.b6a36276332f7p-18, 0x1.9725861f65377p-18, 0x1.77f5b26af9a96p-18, 0x1.5913c7213ece5p-18, 0x1.3a7fae4c7055ap-18, 0x1.1c395b71859d8p-18, 0x1.fc81959bc5394p-19, 0x1.c12c014113debp-19, 0x1.867210f16d602p-19, 0x1.4c53e918c5c14p-19, 0x1.12d1ba2c71f35p-19, 0x1.b3d77eef6aae8p-20, 0x1.43447bda57a7dp-20, 0x1.a7d60c3b663e4p-21, 0x1.972f1ef37f5aep-22, -0x1.c62213b71647ep-26, -0x1.cb049fdf47643p-22, -0x1.ba5a97f6bcaffp-21, -0x1.465c219aff9eap-20, -0x1.ae4cd045a945bp-20, -0x1.0a7f3d9a89703p-19, -0x1.3d382171e4c3dp-19, -0x1.6f50a33c2af48p-19, -0x1.a0c85292ea66fp-19, -0x1.d19ebfb6a72eap-19, -0x1.00e9be1720c76p-18, -0x1.18b30da986aa2p-18, -0x1.302b196f348e8p-18, -0x1.4751adb4a23bap-18, -0x1.5e2698731dcf4p-18, -0x1.74a9a9889544ep-18, -0x1.8adab2f3bf2f2p-18, -0x1.a0b988fc9a13bp-18, -0x1.b646026bef0aap-18, -0x1.cb7ff8b3308ecp-18, -0x1.e0674812f4c38p-18, -0x1.f4fbcfc67945bp-18, -0x1.049eb9102f8cap-17, -0x1.0e960a572ff17p-17, -0x1.1863d02b2fb81p-17, -0x1.220800b79d94ep-17, -0x1.2b8293ed1e9ep-17, -0x1.34d3838d6b60ap-17, -0x1.3dfacb32e4f7ap-17, -0x1.46f8685c56e41p-17, -0x1.4fcc5a72c754p-17, -0x1.5876a2d093992p-17, -0x1.60f744c835253p-17, -0x1.694e45a70a2ffp-17, -0x1.717bacbb01d23p-17, -0x1.797f8355db911p-17, -0x1.8159d4cf12ccep-17, -0x1.890aae84fc1a6p-17, -0x1.90921fdf18747p-17, -0x1.97f03a4cdc81bp-17, -0x1.9f2511457cb28p-17, -0x1.a630ba47a2509p-17, -0x1.ad134cd771a6ap-17, -0x1.b3cce27b4d57p-17, -0x1.ba5d96bb1b02p-17, -0x1.c0c5871aa953ep-17, -0x1.c704d316d6cb7p-17, -0x1.cd1b9c2264eb2p-17, -0x1.d30a059f1e572p-17, -0x1.d8d034daf4f69p-17, -0x1.de6e5108c3309p-17, -0x1.e3e4833be943fp-17, -0x1.e932f660e347ap-17, -0x1.ee59d7379deddp-17, -0x1.f359544c20b13p-17, -0x1.f8319defb8469p-17, -0x1.fce2e631e8d9p-17, -0x1.00b6b06c0615p-16, -0x1.02e8a1ab40e34p-16, -0x1.050762641c7c8p-16, -0x1.07130ef2e01f1p-16, -0x1.090bc47f11a97p-16, -0x1.0af1a0f6d0a79p-16, -0x1.0cc4c30a7b975p-16, -0x1.0e854a28a97c6p-16, -0x1.1033567923a58p-16, -0x1.11cf08d8c54fap-16, -0x1.135882d4a4418p-16, -0x1.14cfe6a5c250dp-16, -0x1.1635572c4a2b2p-16, -0x1.1788f7eaa19b7p-16, -0x1.18caed01492cdp-16, -0x1.19fb5b2990c35p-16, -0x1.1b1a67b13d993p-16, -0x1.1c28387589c83p-16, -0x1.1d24f3dea6f82p-16, -0x1.1e10c0dac182bp-16, -0x1.1eebc6d9bc0e6p-16, -0x1.1fb62dc7cc603p-16, -0x1.20701e09598d7p-16, -0x1.2119c075e9811p-16, -0x1.21b33e53ad089p-16, -0x1.223cc1528fefdp-16, -0x1.22b673880758ap-16, -0x1.23207f6a0ac83p-16, -0x1.237b0fcaa6af4p-16, -0x1.23c64fd3aea7ep-16, -0x1.24026b01dbfabp-16, -0x1.242f8d2054a03p-16, -0x1.244de244cd2e5p-16, -0x1.245d96ca77cf6p-16, -0x1.245ed74e0fd8fp-16, -0x1.2451d0a965d88p-16, -0x1.2436afef5d7ap-16, -0x1.240da2675eeadp-16, -0x1.23d6d5899c166p-16, -0x1.239276fa7176ep-16, -0x1.2340b486de7aep-16, -0x1.22e1bc202dac1p-16, -0x1.2275bbd850fbp-16, -0x1.21fce1ddcfcb2p-16, -0x1.21775c77f749bp-16, -0x1.20e55a0354fd4p-16, -0x1.204708edc9917p-16, -0x1.1f9c97b2c6deep-16, -0x1.1ee634d8184d1p-16, -0x1.1e240eea2ffcp-16, -0x1.1d565478b9d36p-16, -0x1.1c7d341313e86p-16, -0x1.1b98dc4554d7cp-16, -0x1.1aa97b949dfa9p-16, -0x1.19af407c07cf9p-16, -0x1.18aa5969d5ba6p-16, -0x1.179af4bc0630ep-16, -0x1.168140bd61ba9p-16, -0x1.155d6ba2b0211p-16, -0x1.142fa3879f154p-16, -0x1.12f8166c04583p-16, -0x1.11b6f23155eecp-16, -0x1.106c6497a4f41p-16, -0x1.0f189b3b1a203p-16, -0x1.0dbbc3918ace5p-16, -0x1.0c560ae7d3a5dp-16, -0x1.0ae79e5f5a2bbp-16, -0x1.0970aaebd71bep-16, -0x1.07f15d50fb49cp-16, -0x1.0669e220337d5p-16, -0x1.04da65b65de67p-16, -0x1.03431439a6799p-16, -0x1.01a4199795051p-16, -0x1.fffb4305f7228p-17, -0x1.fc9faee435982p-17, -0x1.f935cd392ae9bp-17, -0x1.f5bdf3f3535a8p-17, -0x1.f238787cd6058p-17, -0x1.eea5afb81e68dp-17, -0x1.eb05edfc7d25bp-17, -0x1.e759871308298p-17, -0x1.e3a0ce3390751p-17, -0x1.dfdc16019501cp-17, -0x1.dc0bb0892a1fbp-17, -0x1.d82fef3c61163p-17, -0x1.d44922f06eeb5p-17, -0x1.d0579bdb8ba2p-17, -0x1.cc5ba9922bbd7p-17, -0x1.c8559b0498e1dp-17, -0x1.c445be7cb8932p-17, -0x1.c02c619be5afbp-17, -0x1.bc09d158ec81fp-17, -0x1.b7de59fde71cfp-17, -0x1.b3aa4726800b6p-17, -0x1.af6de3be5d592p-17, -0x1.ab2979ff05958p-17, -0x1.a6dd536e7a6b3p-17, -0x1.a289b8dd99936p-17, -0x1.9e2ef266ad572p-17, -0x1.99cd476c451fcp-17, -0x1.9564fe97f5875p-17, -0x1.90f65dd8b216cp-17, -0x1.8c81aa62278a2p-17, -0x1.880728ab8d2cap-17, -0x1.83871c6eb70e2p-17, -0x1.7f01c8a72b1adp-17, -0x1.7a776f9140495p-17, -0x1.75e852a9d2395p-17, -0x1.7154b2ad38075p-17, -0x1.6cbccf96ddfa7p-17, -0x1.6820e8a0592afp-17, -0x1.63813c415a8ap-17, -0x1.5ede082f3b96dp-17, -0x1.5a37895cd1b18p-17, -0x1.558dfbf9ff235p-17, -0x1.50e19b7378084p-17, -0x1.4c32a272adb33p-17, -0x1.47814addc3df1p-17, -0x1.42cdcdd79ea96p-17, -0x1.3e1863bfb9ee2p-17, -0x1.3961443257414p-17, -0x1.34a8a608eae1ap-17, -0x1.2feebf5a24153p-17, -0x1.2b33c579e560ap-17, -0x1.2677ecf9da688p-17, -0x1.21bb69a9be6a4p-17, -0x1.1cfe6e97d3febp-17, -0x1.18412e116b45dp-17, -0x1.1383d9a32a646p-17, -0x1.0ec6a219b081fp-17, -0x1.0a09b7822100cp-17, -0x1.054d492acdf9fp-17, -0x1.009185a3d4c07p-17, -0x1.f7ad357f8f00cp-18, -0x1.ee396b28cc01p-18, -0x1.e4c804f784a9ep-18, -0x1.db595a296aa23p-18, -0x1.d1edc08730033p-18, -0x1.c8858c6697abfp-18, -0x1.bf2110ac62b4fp-18, -0x1.b5c09ecdaea2fp-18, -0x1.ac6486d2dcbfep-18, -0x1.a30d1759050e6p-18, -0x1.99ba9d93c9cc9p-18, -0x1.906d654f742c3p-18, -0x1.8725b8f34f96dp-18, -0x1.7de3e1841c4afp-18, -0x1.74a826a5ce1d5p-18, -0x1.6b72ce9dd99e1p-18, -0x1.62441e5627d5dp-18, -0x1.591c595f1f64bp-18, -0x1.4ffbc1f20d9cp-18, -0x1.46e298f372c5cp-18, -0x1.3dd11df5a4e3ep-18, -0x1.34c78f3b17a48p-18, -0x1.2bc629b9a244ep-18, -0x1.22cd291cd4343p-18, -0x1.19dcc7c83462bp-18, -0x1.10f53eda03ff1p-18, -0x1.0816c62e5b6b9p-18, -0x1.fe8328c2cde97p-19, -0x1.ecebbda510c5bp-19, -0x1.db67b34e0e8afp-19, -0x1.c9f76f9924867p-19, -0x1.b89b55f8bc26ep-19, -0x1.a753c77c429b3p-19, -0x1.962122d51d093p-19, -0x1.8503c45ca3a25p-19, -0x1.73fc0619d381dp-19, -0x1.630a3fc6db131p-19, -0x1.522ec6d83d732p-19, -0x1.4169ee8139ff3p-19, -0x1.30bc07ba7f4d4p-19, -0x1.20256147cb2bcp-19, -0x1.0fa647bd7df2dp-19, -0x1.fe7e0b0dd00f1p-20, -0x1.dddfc5d8b9261p-20, -0x1.bd724c3207527p-20, -0x1.9d36264120604p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      24, 0x1.4e147ae147ae1p+2, -0x1.baa111eaf3b46p-3, 0x1p+0, 0x1p+0, 
      {{
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.42a6d2da38cbbp-7, -0x1.0935abcb35295p-6, -0x1.ca8d87eddc86p-10, 0x1.724a1e83c2ed6p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.28089f1f54cbap-7, -0x1.0aafe0b05c356p-6, -0x1.c692d05e53bd3p-15, 0x1.6b24036526b56p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.0d67eaf992287p-7, -0x1.0969fdc6e1197p-6, 0x1.a5903a5cd5759p-10, 0x1.64473ad16e7f8p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.e614e3b18e6f1p-8, -0x1.05717678b6b61p-6, 0x1.a88c73ac136ccp-9, 0x1.60320fd2616a5p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.b269649887825p-8, -0x1.fda1994ae85dbp-7, 0x1.3deed82ec0891p-8, 0x1.47a63e1bad816p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.8053479d5286ap-8, -0x1.eb46f841f665dp-7, 0x1.a03a51370e2f8p-8, 0x1.1a89e14fa9379p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.504f0d106b6fcp-8, -0x1.d458c7a088427p-7, 0x1.f4fd480227597p-8, 0x1.e1059e6296989p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.22c966221cb58p-8, -0x1.b97e55ac3701ap-7, 0x1.1e924315455f2p-7, 0x1.8b507f2f2f2b1p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f03d40f45fb3p-9, -0x1.9b5a9b499740ep-7, 0x1.3c384c9f35b57p-7, 0x1.360cb67b0aac9p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.a1354c6fdac21p-9, -0x1.7a91ba9ef7ecp-7, 0x1.537940b53ce8cp-7, 0x1.c1551d81236c2p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.58f1fbe439b13p-9, -0x1.57c7862cc334bp-7, 0x1.6452d836e17p-7, 0x1.16a119405c3ebp-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.17c9956e09a76p-9, -0x1.339fe5c93bd99p-7, 0x1.6ec5af8fb1b21p-7, 0x1.afa298edc997fp-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.bbe33031abaddp-10, -0x1.0ebebb992724bp-7, 0x1.72d19c31ec62ep-7, -0x1.f672e76795ccap-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.56fd77be4f06cp-10, -0x1.d38fd662cf47ep-8, 0x1.7076abe909af1p-7, -0x1.d30d6186cec7cp-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.00c9e3550bf28p-10, -0x1.8abeb02fd09cdp-8, 0x1.67b4d214e901ep-7, -0x1.943b31be04ff9p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.71dd8d4dda503p-11, -0x1.4451c93caa59ep-8, 0x1.588c336a959eap-7, -0x1.1f7ed6bd09cfdp-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.fb439d0be5ddep-12, -0x1.0190efec9b38cp-8, 0x1.42fc49b601af3p-7, -0x1.74c6088602fd8p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.464df258cf2f4p-12, -0x1.87879c178a49ap-9, 0x1.270709125b0efp-7, -0x1.ca6e6d4295337p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.80c17f5cd95cfp-13, -0x1.18652c05ad393p-9, 0x1.04a52746f644dp-7, -0x1.0f560922e1b51p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.8ff1c6c2ab53fp-14, -0x1.708df17da2fa3p-10, 0x1.b7e3b236a8d3ap-8, -0x1.3c19c19d71674p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.54d9e3db346cp-15, -0x1.a72123f6eb39bp-11, 0x1.590f2b543a01cp-8, -0x1.5eff4210da18bp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.9623744da4d03p-17, -0x1.7a6745a88f44cp-12, 0x1.df852f04bdf5bp-9, -0x1.a6b8bca7dd993p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.abd2317c5affep-20, -0x1.80f62b0b4141p-14, 0x1.c3c648733ec55p-10, -0x1.556bb5d41f58p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.4e147ae147ae1p+2, 0x1.6f9c376dd6f4cp-27, 0x1.43a3ee1b8416p-19, 0x1.508ea53f2fb5cp-13, -0x1.2d879c88aefb4p-4}, 
      }}, 
      0x1.278c7c3efa8d9p+2, -0x1.5554c4738fcc6p+6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.fef1f2a574993p-4, 0x1.013089f9dfaep-3, 0x1.0385200bf2e6cp-3, 0x1.05d58a815e11cp-3, 0x1.07788ee4cab36p-3, 0x1.07d489135837cp-3, 0x1.066dcba49ea12p-3, 0x1.02ed41cc61aa4p-3, 0x1.fa42b3215c316p-4, 0x1.e9f661899aaefp-4, 0x1.d5134f7045511p-4, 0x1.bbe71d6b99b2p-4, 0x1.9ee374b6322efp-4, 0x1.7e92f4d5a9a86p-4, 0x1.5b8f65ecc45c2p-4, 0x1.36796547627e6p-4, 0x1.0ff1855e04829p-4, 0x1.d125d1565c1c5p-5, 0x1.81de67a8e551dp-5, 0x1.33177112a463bp-5, 0x1.cb7e3b502094ap-6, 0x1.354b1261f3f9ap-6, 0x1.49ef9b141f63fp-7, 0x1.ba9e66ae76feep-10, -0x1.96cc0a8681393p-8, -0x1.bcd3389293cfp-7, -0x1.4df63c2c8d1f6p-6, -0x1.b401ea152778p-6, -0x1.082eb3747ce65p-5, -0x1.317df8ae7a79dp-5, -0x1.55f748d80ea52p-5, -0x1.75afbc180944ap-5, -0x1.90c6de53cf86p-5, -0x1.a764c0d78eda9p-5, -0x1.b9b839e70c58bp-5, -0x1.c7f557ddfeeecp-5, -0x1.d25402cb9f13cp-5, -0x1.d90ed0e05efbfp-5, -0x1.dc61fe3b343ecp-5, -0x1.dc8a966e0f235p-5, -0x1.d9c5b9a20f595p-5, -0x1.d4500216c73a4p-5, -0x1.cc65109c5c865p-5, -0x1.c23f232a077c6p-5, -0x1.b616baab0237ap-5, -0x1.a822801354667p-5, -0x1.9897046ab41dep-5, -0x1.87a697caf3078p-5, -0x1.758145f3ff0b6p-5, -0x1.6254ca06b0197p-5, -0x1.4e4c72b0e353ap-5, -0x1.39913a9517b8bp-5, -0x1.2449ba6fa8f5ap-5, -0x1.0e9a3b24275ap-5, -0x1.f149724b85415p-6, -0x1.c511d61ea8877p-6, -0x1.98c8a5105b489p-6, -0x1.6ca49e2dc8a83p-6, -0x1.40d84f1b8f37ap-6, -0x1.15923d7a91b68p-6, -0x1.d5fa0687a9bb2p-7, -0x1.827edf5423ce8p-7, -0x1.30f9396bf63c7p-7, -0x1.c3508a2eb1dc6p-8, -0x1.2988d1d6c5c7cp-8, -0x1.29fea5445b65bp-9, -0x1.82f32b27e3387p-14, 0x1.060bb4a6ec93ep-9, 0x1.05f4ac482b0f3p-8, 0x1.828ab2a33c753p-8, 0x1.f89bb26db754bp-8, 0x1.3402b1558e472p-7, 0x1.68570f40442e3p-7, 0x1.99429d44bb5bcp-7, 0x1.c6c0cbbf8b0abp-7, 0x1.f0d0e0e026343p-7, 0x1.0bbacc603da33p-6, 0x1.1d5a6941976d4p-6, 0x1.2d4bb7509f974p-6, 0x1.3b9483e383e81p-6, 0x1.483bcee8824aap-6, 0x1.5349c2d994cf3p-6, 0x1.5cc798b0a0aa1p-6, 0x1.64bf655d04e4ap-6, 0x1.6b3c169358f91p-6, 0x1.704951d8c110bp-6, 0x1.73f35a014c9afp-6, 0x1.7646ffa1e9bfdp-6, 0x1.775187259dap-6, 0x1.77208ef054519p-6, 0x1.75c20b8b25143p-6, 0x1.73442621e0793p-6, 0x1.6fb5322b677f9p-6, 0x1.6b239f82bc399p-6, 0x1.659debf211403p-6, 0x1.5f32904b12b3ap-6, 0x1.57eff8e3d6fa9p-6, 0x1.4fe47891b9b35p-6, 0x1.471e3fda4fe51p-6, 0x1.3dab526610177p-6, 0x1.33997c6af189ap-6, 0x1.28f64f28dfaa3p-6, 0x1.1dcf1b7939122p-6, 0x1.1230ee5224515p-6, 0x1.06287d0ad3691p-6, 0x1.f38452501675bp-7, 0x1.da140ad7ded7ap-7, 0x1.c01778b7927a9p-7, 0x1.a5a538ac91147p-7, 0x1.8ad3486b9f10fp-7, 0x1.6fb6cfd1279e2p-7, 0x1.54642334f809cp-7, 0x1.38eef00a77a2ep-7, 0x1.1d69f8943fd28p-7, 0x1.01e73c19e6ebep-7, 0x1.ccf01c0b29805p-8, 0x1.965971329e0dfp-8, 0x1.602a0fefc186dp-8, 0x1.2a7fb114fab61p-8, 0x1.eaecb4587c05cp-9, 0x1.8251ed75c41f6p-9, 0x1.1b6169e424d93p-9, 0x1.6c94466d6ac0ep-10, 0x1.4ce42b83c93cp-11, -0x1.b50e3f4482f52p-14, -0x1.b0cfc198c8519p-11, -0x1.9089d53c100aap-10, -0x1.21ba9b644300ap-9, -0x1.78765c41535a9p-9, -0x1.cc5c683cbae94p-9, -0x1.0ea9b4c8cea5ep-8, -0x1.35a25afb52699p-8, -0x1.5b0df0ce9410cp-8, -0x1.7ee36d44d250ap-8, -0x1.a11b39ba49b52p-8, -0x1.c1ae79c02eed4p-8, -0x1.e097934174021p-8, -0x1.fdd2100e222efp-8, -0x1.0cad3a1f327p-7, -0x1.1997035b8a9ep-7, -0x1.25a5a3065a433p-7, -0x1.30d8c43b127c3p-7, -0x1.3b307aab235eep-7, -0x1.44ad37ef35d31p-7, -0x1.4d4fee6c2aadep-7, -0x1.5519e4f53f608p-7, -0x1.5c0cc25501a04p-7, -0x1.622a74ad1181p-7, -0x1.6775565160ed5p-7, -0x1.6beffa9eda2c4p-7, -0x1.6f9d54d4d3564p-7, -0x1.72807c2a51ac3p-7, -0x1.749ce618d4448p-7, -0x1.75f64ec62f2cbp-7, -0x1.76907ff7494c6p-7, -0x1.766f9b3dc3e74p-7, -0x1.7597d483849e5p-7, -0x1.740dd0c64d263p-7, -0x1.71d60607c0e0ep-7, -0x1.6ef53ece4bc6fp-7, -0x1.6b704e872a68bp-7, -0x1.674c507a40a96p-7, -0x1.628e4db5b2659p-7, -0x1.5d3b7fd2a1e1dp-7, -0x1.575926dc3db2dp-7, -0x1.50ec93babbd98p-7, -0x1.49fb41a666ff4p-7, -0x1.428a8bfaa35adp-7, -0x1.3a9ff1a713fa7p-7, -0x1.3240ecbdbc94bp-7, -0x1.29730a959b00ep-7, -0x1.203bc4ef3aee2p-7, -0x1.16a0a5e8050e7p-7, -0x1.0ca729aac4e5cp-7, -0x1.0254c6794b08p-7, -0x1.ef5de909426b1p-8, -0x1.d9766ced8da6ap-8, -0x1.c2fd85a71d719p-8, -0x1.abfe1525cfa71p-8, -0x1.9482a5d06092dp-8, -0x1.7c9588b5a8fe9p-8, -0x1.64415dbe99e54p-8, -0x1.4b9007c643a9cp-8, -0x1.328bc87af6543p-8, -0x1.193e18d47717bp-8, -0x1.ff625df25153ep-9, -0x1.cbdcc4ff7db59p-9, -0x1.97fe300e4fdcep-9, -0x1.63d8c5e7e8c35p-9, -0x1.2f7ec1b01f63p-9, -0x1.f6030ce832b74p-10, -0x1.8ce5137531599p-10, -0x1.23c524177fd87p-10, -0x1.7586afeafce06p-11, -0x1.4800d37277bcdp-12, 0x1.665c7b8f0a752p-14, 0x1.f940b85c5e54bp-12, 0x1.cb433a7553695p-11, 0x1.4c3dd16e855ap-10, 0x1.b209979682c7cp-10, 0x1.0b74fda6ad45fp-9, 0x1.3d62ecd71846ep-9, 0x1.6ec21881620a6p-9, 0x1.9f867df35b759p-9, 0x1.cfa4da97e8deap-9, 0x1.ff11ff4b7b975p-9, 0x1.16e1b37a767e1p-8, 0x1.2dd79d67bf579p-8, 0x1.4465aff0e72e3p-8, 0x1.5a87697e92c34p-8, 0x1.703882503edc6p-8, 0x1.8574928a6b547p-8, 0x1.9a37dc9a44d6dp-8, 0x1.ae7e95d77b93dp-8, 0x1.c24536010ac3fp-8, 0x1.d588610bde21cp-8, 0x1.e8450fca68f74p-8, 0x1.fa784184cf652p-8, 0x1.060faee0974f5p-7, 0x1.0e9be0dafb045p-7, 0x1.16dfa4530a1fdp-7, 0x1.1ed9dca36a65cp-7, 0x1.26898af1f9bb4p-7, 0x1.2deddee782576p-7, 0x1.350603e887b64p-7, 0x1.3bd148aa1eae6p-7, 0x1.424f18daafa07p-7, 0x1.487ee9d2f4b9ep-7, 0x1.4e604d0516629p-7, 0x1.53f2dabe7f616p-7, 0x1.59366147e373ap-7, 0x1.5e2a8bc6c238dp-7, 0x1.62cf56997b69bp-7, 0x1.6724a59fd3077p-7, 0x1.6b2a802b319dep-7, 0x1.6ee0fd0758f29p-7, 0x1.724836471729bp-7, 0x1.7560756404055p-7, 0x1.7829f21872289p-7, 0x1.7aa50d234c62ep-7, 0x1.7cd22e3ad0d13p-7, 0x1.7eb1c2663ceb4p-7, 0x1.804458a5f139dp-7, 0x1.818a738da7ae6p-7, 0x1.8284b8cdb416ap-7, 0x1.8333d76159f47p-7, 0x1.83987a067251fp-7, 0x1.83b3791719bd5p-7, 0x1.83858d069244bp-7, 0x1.830f9e66533c5p-7, 0x1.82528555b9fcfp-7, 0x1.814f3551dab91p-7, 0x1.8006a467a8468p-7, 0x1.7e79d92144bbp-7, 0x1.7ca9d51ddbb2p-7, 0x1.7a97aa5a7ea7ep-7, 0x1.784474247e538p-7, 0x1.75b14c7476c4ep-7, 0x1.72df5c5d7e101p-7, 0x1.6fcfd9657d5b5p-7, 0x1.6c83ec53192e6p-7, 0x1.68fcd9951b5d5p-7, 0x1.653bd7d0f8649p-7, 0x1.61422c8363fabp-7, 0x1.5d111ed8562cbp-7, 0x1.58a9f8eb1cbb8p-7, 0x1.540e0c285fe13p-7, 0x1.4f3eb3139839ap-7, 0x1.4a3d3a6c5a564p-7, 0x1.450b04112e4c8p-7, 0x1.3fa96bd7b339p-7, 0x1.3a19c78ff683p-7, 0x1.345d7c812ef04p-7, 0x1.2e75e9e3befbep-7, 0x1.286476eba840cp-7, 0x1.222a860e6d00ep-7, 0x1.1bc97c50651f3p-7, 0x1.1542bd0bbe7bbp-7, 0x1.0e97acf1f0841p-7, 0x1.07c9b0166d34ep-7, 0x1.00da28c23568bp-7, 0x1.f394f89bbc26p-8, 0x1.e538221420bc5p-8, 0x1.d6a08d8b482cfp-8, 0x1.c7d0fbbe21f71p-8, 0x1.b8cc2bfdfbea6p-8, 0x1.a994d693d497ap-8, 0x1.9a2dab0914fedp-8, 0x1.8a9959091279p-8, 0x1.7ada8af82ce1fp-8, 0x1.6af3eedbc433dp-8, 0x1.5ae82644082a7p-8, 0x1.4ab9d235bf2b1p-8, 0x1.3a6b84af5e6f3p-8, 0x1.29ffcc01ce086p-8, 0x1.19792d0d9933bp-8, 0x1.08da26ac13d22p-8, 0x1.f04a534ca835ap-9, 0x1.ceb96fc658fd7p-9, 0x1.ad066e0ef2f26p-9, 0x1.8b3614b2058b7p-9, 0x1.694d054b67274p-9, 0x1.47500ac1382b7p-9, 0x1.2543938f1ebbfp-9, 0x1.032c2d5bbb4b3p-9, 0x1.c21c4b73410e4p-10, 0x1.7ddbb2b1185d1p-10, 0x1.399f3ea3a2e19p-10, 0x1.eade5c21654f2p-11, 0x1.62a7f3b301accp-11, 0x1.b55676ca62c79p-12, 0x1.4bdfcda5dc9fbp-13, -0x1.a310dc91187fcp-14, -0x1.76a821e1a7c15p-12, -0x1.41cedcba65efcp-11, -0x1.c7c4001dd6971p-11, -0x1.2692c10a23a4p-10, -0x1.68f2a3959442ep-10, -0x1.aafab24f68d98p-10, -0x1.eca46b78d4f6dp-10, -0x1.16f4b3e2df266p-9, -0x1.3761a43aeefb7p-9, -0x1.5795e3d5d60edp-9, -0x1.778ea2b0d5a7bp-9, -0x1.9748e0df4622fp-9, -0x1.b6c1ea4fd46a8p-9, -0x1.d5f6f1cbdcbc3p-9, -0x1.f4e553bd5e284p-9, -0x1.09c542a892213p-8, -0x1.18f1fe549cce7p-8, -0x1.27f7abf50f666p-8, -0x1.36d523e9832e5p-8, -0x1.458948801427dp-8, -0x1.5413083b4a023p-8, -0x1.62715dd3f84cdp-8, -0x1.70a34a9d7185cp-8, -0x1.7ea7d66fba93dp-8, -0x1.8c7e18e7304b7p-8, -0x1.9a252c11b2564p-8, -0x1.a79c433dfa044p-8, -0x1.b4e27c2501dedp-8, -0x1.c1f7213a41089p-8, -0x1.ced974776c6d1p-8, -0x1.db88c9ce147b3p-8, -0x1.e80479c949a0fp-8, -0x1.f44bef14117c2p-8, -0x1.002f4896f42e9p-7, -0x1.061de8695d188p-7, -0x1.0bf19c64edc6bp-7, -0x1.11aa220be3d06p-7, -0x1.17473f1ffd103p-7, -0x1.1cc8c29b45e94p-7, -0x1.222e773649c0cp-7, -0x1.27782fe770fdcp-7, -0x1.2ca5c3eaa4be7p-7, -0x1.31b711ff2dbe4p-7, -0x1.36abfe443e24ep-7, -0x1.3b846c75e8d9fp-7, -0x1.404046c656182p-7, -0x1.44df7fb77606bp-7, -0x1.49620407fede5p-7, -0x1.4dc7c2f96ea94p-7, -0x1.5210b9d56b909p-7, -0x1.563cdadc96664p-7, -0x1.5a4c1efa62424p-7, -0x1.5e3e827cf2e31p-7, -0x1.62140637404b8p-7, -0x1.65ccacbcdc48dp-7, -0x1.69687ccf7395fp-7, -0x1.6ce786c08aab6p-7, -0x1.7049dffff55d8p-7, -0x1.738fa52f41594p-7, -0x1.76b8f32b9b467p-7, -0x1.79c5ec977efc8p-7, -0x1.7cb6b91905787p-7, -0x1.7f8b7ad95fa86p-7, -0x1.82444db5e8d3fp-7, -0x1.84e14cbf07eb1p-7, -0x1.87628bd3483e7p-7, -0x1.89c81b6d8453cp-7, -0x1.8c120c1d7516p-7, -0x1.8e40735f1e8p-7, -0x1.905378ca1bb7dp-7, -0x1.924b4660997cep-7, -0x1.94282a5a9a165p-7, -0x1.95ea790645052p-7, -0x1.97929a252055p-7, -0x1.9920f6ce6845p-7, -0x1.9a95f493b88fcp-7, -0x1.9bf1e638863b5p-7, -0x1.9d3504e23b662p-7, -0x1.9e5f6a78e9458p-7, -0x1.9f7112624f0adp-7, -0x1.a069e60066e43p-7, -0x1.a149c9401cabep-7, -0x1.a210b114b143fp-7, -0x1.a2beb3c69312ep-7, -0x1.a3541b84614d7p-7, -0x1.a3d16a2b83b6fp-7, -0x1.a4376044654f3p-7, -0x1.a486d705fbb4bp-7, -0x1.a4c0c01c25a18p-7, -0x1.a4e5efdc703e4p-7, -0x1.a4f70b1337bb5p-7, -0x1.a4f4668f49949p-7, -0x1.a4ddfcdf655d5p-7, -0x1.a4b37ba0cb313p-7, -0x1.a4744fc1cfa6fp-7, -0x1.a41fca5dfa36bp-7, -0x1.a3b56101bb869p-7, -0x1.a334cc02b53cdp-7, -0x1.a29e3033c5228p-7, -0x1.a1f23d321b8b6p-7, -0x1.a132130bb8f22p-7, -0x1.a05f42cd95de9p-7, -0x1.9f7b80e59bc87p-7, -0x1.9e886ba102429p-7, -0x1.9d8753091638bp-7, -0x1.9c78fda9f4be6p-7, -0x1.9b5d89f30679p-7, -0x1.9a346d5cd55c5p-7, -0x1.98fc93eafa937p-7, -0x1.97b49afe6e619p-7, -0x1.965b1c93d7ce4p-7, -0x1.94eefc5b188e3p-7, -0x1.936fadf13648cp-7, -0x1.91dd658f20328p-7, -0x1.9039227b87f8ep-7, -0x1.8e849caa4d71ep-7, -0x1.8cc20c538c1d9p-7, -0x1.8af3d893042c9p-7, -0x1.891c38dc2881dp-7, -0x1.873ce6e606cc9p-7, -0x1.8556d70b0f325p-7, -0x1.836a1d33a707ep-7, -0x1.81760266f4ac9p-7, -0x1.7f791e8c80623p-7, -0x1.7d71c1f5b7a64p-7, -0x1.7b5e2d775cd32p-7, -0x1.793cf6df5cfap-7, -0x1.770d4d2356d8fp-7, -0x1.74cf1d5b9911bp-7, -0x1.728324a7468c5p-7, -0x1.702ad36ccb8fbp-7, -0x1.6dc81f63a3f51p-7, -0x1.6b5d38ec7f1cdp-7, -0x1.68ec397b0533p-7, -0x1.6676d9a145db9p-7, -0x1.63fe3bcf92b26p-7, -0x1.6182d466e317p-7, -0x1.5f0470fa7dff7p-7, -0x1.5c825aabc2f89p-7, -0x1.59fb91d88ca69p-7, -0x1.576eff1479eep-7, -0x1.54dbb401e0da4p-7, -0x1.524114e4630f9p-7, -0x1.4f9ef4bb39d2ap-7, -0x1.4cf59abab5856p-7, -0x1.4a45b23675b78p-7, -0x1.479032b448a72p-7, -0x1.44d628d9cba38p-7, -0x1.421886e29fb11p-7, -0x1.3f58068941c2dp-7, -0x1.3c950eb03987bp-7, -0x1.39cfb5f54c5c9p-7, -0x1.3707e92284a76p-7, -0x1.343d8eb371153p-7, -0x1.3170b1b9d131ep-7, -0x1.2ea1885adc487p-7, -0x1.2bd0877e7e195p-7, -0x1.28fe3b2679acdp-7, -0x1.262b43e62adafp-7, -0x1.23582e8f6a5fbp-7, -0x1.208570e9f1eedp-7, -0x1.1db368cd3f263p-7, -0x1.1ae260bff504ep-7, -0x1.1812917549fb2p-7, -0x1.154415e824ba8p-7, -0x1.1276d06fc1b6ep-7, -0x1.0faa4a601c063p-7, -0x1.0cdda3446eecbp-7, -0x1.0a0fa4cd87ec5p-7, -0x1.073f0a495fdeep-7, -0x1.046aefa860ca2p-7, -0x1.01934c71f3f43p-7, -0x1.fd72819e30638p-8, -0x1.f7bdcfb770143p-8, -0x1.f20dba81fff8p-8, -0x1.ec670923f453fp-8, -0x1.e6ccc5bf58d08p-8, -0x1.e13fc29613dd9p-8, -0x1.dbbeeee220b3fp-8, -0x1.d64837583d6dap-8, -0x1.d0d98a212e54p-8, -0x1.cb71a058daceep-8, -0x1.c61054fa88313p-8, -0x1.c0b666706db97p-8, -0x1.bb64b372ff658p-8, -0x1.b61adf74de0fap-8, -0x1.b0d683b596a5bp-8, -0x1.ab930ebc203acp-8, -0x1.a64b2b867827dp-8, -0x1.a0fb8627d8685p-8, -0x1.9ba507a781e24p-8, -0x1.964d86c7b5705p-8, -0x1.90fde9b25a03ep-8, -0x1.8bbee09473e8p-8, -0x1.8695b6bc919cbp-8, -0x1.8182fe498d0bfp-8, -0x1.7c8363fd702ep-8, -0x1.7791a2b33bbdep-8, -0x1.72a8815bcbfb1p-8, -0x1.6dc446db1766p-8, -0x1.68e38fbb57f15p-8, -0x1.64079466592f9p-8, -0x1.5f33be8f1636bp-8, -0x1.5a6c5638e695ap-8, -0x1.55b456fe666f5p-8, -0x1.510b50e797c5ap-8, -0x1.4c6ccf031032p-8, -0x1.47d1b0522239dp-8, -0x1.4333d93a9e12dp-8, -0x1.3e91759d803cfp-8, -0x1.39ee9da5b9dap-8, -0x1.3553d158f4101p-8, -0x1.30ca013205a0ap-8, -0x1.2c56b9dd4a00cp-8, -0x1.27faaac3f1707p-8, -0x1.23b2c709de113p-8, -0x1.1f7a61509de08p-8, -0x1.1b4cc53d065c1p-8, -0x1.17261d333975dp-8, -0x1.13040380e8d22p-8, -0x1.0ee5a3b4ff6e6p-8, -0x1.0acc2079d0acfp-8, -0x1.06ba45f6b4551p-8, -0x1.02b3bfd8a3ef3p-8, -0x1.fd76eab90ee1ap-9, -0x1.f5a46c44e2a37p-9, -0x1.eded2a0dd917bp-9, -0x1.e64b46ecadae7p-9, -0x1.deb8d8f2e3506p-9, -0x1.d73312683e771p-9, -0x1.cfbb57f691bffp-9, -0x1.c855d07ea0682p-9, -0x1.c10684a526a29p-9, -0x1.b9d03122263dcp-9, -0x1.b2b4af17e2fc2p-9, -0x1.abb52e28e8b63p-9, -0x1.a4d1465ac5229p-9, -0x1.9e06d49f2d1a3p-9, -0x1.975405f9937bep-9, -0x1.90b8c5cbc557ep-9, -0x1.8a342afeae832p-9, -0x1.83c18d85498c9p-9, -0x1.7d5a72bb8096p-9, -0x1.76fb5bed81eafp-9, -0x1.70a5bde31133ap-9, -0x1.6a5dfbabbd13dp-9, -0x1.6428b947c8e9ap-9, -0x1.5e0982d3a9b83p-9, -0x1.5803021dae3e9p-9, -0x1.5218d7ddcfa32p-9, -0x1.4c50474ed4b4bp-9, -0x1.46ab94d50dbabp-9, -0x1.4123418972c57p-9, -0x1.3ba75436fb23ep-9, -0x1.362b5d07880cp-9, -0x1.30b1116132e6p-9, -0x1.2b44ced9b3408p-9, -0x1.25ef2f1a62d11p-9, -0x1.20aed3654ee63p-9, -0x1.1b8145dbc38c1p-9, -0x1.166d5fd9ee67bp-9, -0x1.117cece675902p-9, -0x1.0cb02279cf633p-9, -0x1.07fbfba2eb5dp-9, -0x1.03514fa487972p-9, -0x1.fd49a23689e5dp-10, -0x1.f3ea1b714c37bp-10, -0x1.ea94b5da1c1e4p-10, -0x1.e15da8fbc11dap-10, -0x1.d84b8df175567p-10, -0x1.cf5b274f56581p-10, -0x1.c6965afd8aa7dp-10, -0x1.be163f94e5bbap-10, -0x1.b5eaa88b9e3cp-10, -0x1.ae0674966ec12p-10, -0x1.a6421b6351c29p-10, -0x1.9e7090eb442d7p-10, -0x1.968671c940b83p-10, -0x1.8ea6b3f339619p-10, -0x1.86f29b7daeb9ep-10, -0x1.7f609beeacfb8p-10, -0x1.77dc6a1e944b4p-10, -0x1.7072c7dec8e32p-10, -0x1.693e98ff5e231p-10, -0x1.62476dc2c34acp-10, -0x1.5b862d920c37dp-10, -0x1.54f1c1cd0ad5ap-10, -0x1.4e7bfc7650cc4p-10, -0x1.480c2fe8c4f0cp-10, -0x1.418f34ca61bbdp-10, -0x1.3b10dd4abfc06p-10, -0x1.34af924147d38p-10, -0x1.2e724dfa16572p-10, -0x1.2847051f79fd4p-10, -0x1.222e6c0dbdd2ap-10, -0x1.1c4459a94cf36p-10, -0x1.1697b49c10932p-10, -0x1.111ee4bbaa011p-10, -0x1.0bca87cd7f62bp-10, -0x1.0684eec076eaap-10, -0x1.0133791de22c3p-10, -0x1.f7bd62703f034p-11, -0x1.ed537cf101532p-11, -0x1.e31fdfee04802p-11, -0x1.d8f2679b6128ep-11, -0x1.ceeb217e0acfcp-11, -0x1.c5342c4b6487dp-11, -0x1.bbbcf45e6e37dp-11, -0x1.b26d47e82e9dap-11, -0x1.a94603d90808ap-11, -0x1.a055325704b13p-11, -0x1.97a6a5ce9924ap-11, -0x1.8f38d119ca521p-11, -0x1.86ea82e18903ep-11, -0x1.7e9366a3da3c5p-11, -0x1.764774e78772ap-11, -0x1.6e34c98286264p-11, -0x1.6645fb51c3236p-11, -0x1.5e5cf9944d9ffp-11, -0x1.56a210fb6dc09p-11, -0x1.4f355db2e2f32p-11, -0x1.4801a2591254bp-11, -0x1.40eee61cfe37ep-11, -0x1.3a05809d2d2aep-11, -0x1.334a6283d6702p-11, -0x1.2c998ec7b9951p-11, -0x1.25f8ef53d8e11p-11, -0x1.1f779729655fdp-11, -0x1.18f41cc2c7ap-11, -0x1.12920568847f6p-11, -0x1.0c739f39d6d8fp-11, -0x1.067da50c2c3aep-11, -0x1.009a8f49fa942p-11, -0x1.f591a17d26c9bp-12, -0x1.ea1a191874708p-12, -0x1.ded69593a4563p-12, -0x1.d3cfa5c10e719p-12, -0x1.c908d53b34051p-12, -0x1.be8d091b864c2p-12, -0x1.b46f3ff530687p-12, -0x1.aa951fd9f6acap-12, -0x1.a0ca12249bb49p-12, -0x1.972963d99986ep-12, -0x1.8da79f8922b45p-12, -0x1.8425d7ce4f53p-12, -0x1.7af30509b9bf8p-12, -0x1.722077906280fp-12, -0x1.697819c2952dcp-12, -0x1.60dfc76ed448ap-12, -0x1.58800426ec26ap-12, -0x1.5089403f111dfp-12, -0x1.48b4398db7e9ap-12, -0x1.40df029348315p-12, -0x1.39021260bc455p-12, -0x1.3150b310be08fp-12, -0x1.2a01de848fc96p-12, -0x1.22e1a0016e212p-12, -0x1.1bd682b553dd9p-12, -0x1.14e69ed22d0eap-12, -0x1.0e1864f6f61ap-12, -0x1.076f3874efc2cp-12, -0x1.00ea8d1881925p-12, -0x1.f510e44973867p-13, -0x1.e88d26765ad06p-13, -0x1.dc46c5d1f69bdp-13, -0x1.d03a02dfee224p-13, -0x1.c466af5e57c15p-13, -0x1.b8f160e9f77p-13, -0x1.ae11320e8f86ep-13, -0x1.a38075d3e64abp-13, -0x1.98f22e67f9b9p-13, -0x1.8e52636142bd9p-13, -0x1.83dbd2058d6d4p-13, -0x1.79ebe8b876d1bp-13, -0x1.7041a8ef9ac39p-13, -0x1.66a7f0ed1499dp-13, -0x1.5d39713d0c53ap-13, -0x1.544f061ef0f44p-13, -0x1.4ba6196b8e959p-13, -0x1.42d3e3744bbe9p-13, -0x1.3a0bd204f6b84p-13, -0x1.31c1ec6f8941dp-13, -0x1.29b7db08a579ap-13, -0x1.21c7b5056e75p-13, -0x1.19fa4271b4abap-13, -0x1.1257ce32439d3p-13, -0x1.0ae2383a18d54p-13, -0x1.0398da07a2fdcp-13, -0x1.f8f5b316172cap-14, -0x1.eb0eeea35065p-14, -0x1.dd7bb012b9c1ap-14, -0x1.d0392e34f3c6fp-14, -0x1.c343023f520c7p-14, -0x1.b6942491b3738p-14, -0x1.aa29f1efbebe3p-14, -0x1.9e02cf3c4a643p-14, -0x1.92194018b5726p-14, -0x1.86742c480f3e5p-14, -0x1.7b57a15572ac8p-14, -0x1.70be15b624867p-14, -0x1.660978be29f88p-14, -0x1.5b42533edc1f3p-14, -0x1.510742b250d7fp-14, -0x1.472e97374afp-14, -0x1.3d69e70d5dc19p-14, -0x1.33e7e483d476fp-14, -0x1.2adc7df6ed35ep-14, -0x1.21b0a79392a1bp-14, -0x1.18b9b23a5c707p-14, -0x1.103619b8a275bp-14, -0x1.07d5743362031p-14, -0x1.ff33c86e039dcp-15, -0x1.ef1f11ef6d287p-15, -0x1.df707346c492ap-15, -0x1.d026097d9ec52p-15, -0x1.c13e32c83d444p-15, -0x1.b2b521db3c811p-15, -0x1.a487d7c1f5371p-15, -0x1.96b36217158edp-15, -0x1.8935db63136b2p-15, -0x1.7c0dcea2f0602p-15, -0x1.6f398c62adf5dp-15, -0x1.62b86023c99f1p-15, -0x1.5688a1e98b724p-15, -0x1.4aa44dde019cfp-15, -0x1.3f0cbbf18af32p-15, -0x1.33bd0b1cbf713p-15, -0x1.28b4c88255a4dp-15, -0x1.1df0d773325a6p-15, -0x1.13642dc0ac8c5p-15, -0x1.092127892d739p-15, -0x1.feb6edb87d88dp-16, -0x1.eb46f27f8d974p-16, -0x1.d8505e68d98d1p-16, -0x1.c60cf50773dc2p-16, -0x1.b42fa5c91f77fp-16, -0x1.a2d1e9acf4552p-16, -0x1.91b5253a09c65p-16, -0x1.8152dbb0c5459p-16, -0x1.713954ec1288bp-16, -0x1.617b961862861p-16, -0x1.5228b99218323p-16, -0x1.433f2e5dd2682p-16, -0x1.34bdb38dca1c9p-16, -0x1.269ea02e7a8cfp-16, -0x1.18e0b258db84ep-16, -0x1.0b81aae8ef44p-16, -0x1.fcfdafe1d8715p-17, -0x1.e3a9cee10a10bp-17, -0x1.cb0930e175ed2p-17, -0x1.b30e9d3118b31p-17, -0x1.9bbc46d4bfe59p-17, -0x1.8506efb5816e8p-17, -0x1.6ef7961fc2ecfp-17, -0x1.59797cb6bc284p-17, -0x1.449ff665a771bp-17, -0x1.305a3c92bcf13p-17, -0x1.1ca898bdea736p-17, -0x1.098e058ece11bp-17, -0x1.edae3f7388a5cp-18, -0x1.c96dc4454060bp-18, -0x1.a613ef325bd32p-18, -0x1.84043d0ccb85ep-18, -0x1.62c71d38f7775p-18, -0x1.42538899a0475p-18, -0x1.22ecfe5ca95fp-18, -0x1.043033b3192f6p-18, -0x1.cde5f3e3eb9a6p-19, -0x1.95389d61c93dap-19, -0x1.5df72ba74dbc7p-19, -0x1.27daa678a7d41p-19, -0x1.e69202f38c11fp-20, -0x1.80b858a71adcp-20, -0x1.1e02cb5f288c4p-20, -0x1.7cafb49ea52cap-21, -0x1.868e95b73f029p-22, -0x1.f24e11844776fp-26, 0x1.3d3a01c070002p-22, 0x1.475e861eed10fp-21, 0x1.eac3624a515ffp-21, 0x1.446c3f838addp-20, 0x1.90ff20f5765e9p-20, 0x1.db21a27aa2484p-20, 0x1.116fd356c4f5p-19, 0x1.3420c125435e2p-19, 0x1.55a96b5ee4249p-19, 0x1.761a2fe47a27p-19, 0x1.9575901c814a3p-19, 0x1.b39013a896254p-19, 0x1.d126c9f94fd26p-19, 0x1.ed3529bbf0912p-19, 0x1.043c2d24901c4p-18, 0x1.11604c3029378p-18, 0x1.1e0bc648dbe6ep-18, 0x1.2a428190ba477p-18, 0x1.360afa6736b8cp-18, 0x1.4166d7aadcd5ep-18, 0x1.4c223af0ce862p-18, 0x1.56c1374ea9b11p-18, 0x1.60e177632af63p-18, 0x1.6ad34e800bc8cp-18, 0x1.74038f5f838bep-18, 0x1.7cc821c62d6b6p-18, 0x1.855f972a979bbp-18, 0x1.8d999c109494ep-18, 0x1.95793dbc10d7p-18, 0x1.9d2497865681ep-18, 0x1.a4378d3fcf507p-18, 0x1.ab1044cb16da4p-18, 0x1.b19e5a63763a3p-18, 0x1.b7ed8d5bc8956p-18, 0x1.bdd8aa8576bbp-18, 0x1.c37cdcd5b821dp-18, 0x1.c8e6efd55e3bbp-18, 0x1.cdb252aee1745p-18, 0x1.d2bada3b84f6fp-18, 0x1.d74f2ddfd5687p-18, 0x1.db99d371518cp-18, 0x1.dfb559ddbed5ap-18, 0x1.e374f4b78d914p-18, 0x1.e70323ae9056p-18, 0x1.ea491fbaae0b9p-18, 0x1.ed5675544ed73p-18, 0x1.f04f969c8585bp-18, 0x1.f2f01eb9e1368p-18, 0x1.f5697021d61e5p-18, 0x1.f7a8c6352c612p-18, 0x1.f9b1afe0ee1a1p-18, 0x1.fb8a446da07ccp-18, 0x1.fd31806f7123p-18, 0x1.fea1e1d38855bp-18, 0x1.ffe9a26e04063p-18, 0x1.0083f15378434p-17, 0x1.00fb80478d42ap-17, 0x1.015bc8016058p-17, 0x1.01a7c1d60680bp-17, 0x1.01e7ba28738b2p-17, 0x1.01fab1966572cp-17, 0x1.0214a2c2f8994p-17, 0x1.0213386ede39ap-17, 0x1.01fe4d1fd4e27p-17, 0x1.01d83fd189c64p-17, 0x1.01a309c4b784cp-17, 0x1.015609e3fea7dp-17, 0x1.00fcaa7858a6bp-17, 0x1.009775c9ec418p-17, 0x1.001baed7cc0d7p-17, 0x1.ff2667c54fabfp-18, 0x1.fdf5e8b7d2cf1p-18, 0x1.fc9dcfd69a326p-18, 0x1.fb3735f40adb3p-18, 0x1.f9b03e3955ed1p-18, 0x1.f80dd85f13543p-18, 0x1.f668061ebdf6dp-18, 0x1.f48a1b32f9e2p-18, 0x1.f2a427e34a6cep-18, 0x1.f092ea32a7d06p-18, 0x1.ee6ca701da5efp-18, 0x1.ec3ada2c521c1p-18, 0x1.e9f0fa8d123acp-18, 0x1.e7a3757fb3be5p-18, 0x1.e5348a5b9e389p-18, 0x1.e2c7c36bfcbbfp-18, 0x1.e005f623b916ap-18, 0x1.dd3f0f85e1c24p-18, 0x1.da7b5685fba2cp-18, 0x1.d7c1f69fd2f6bp-18, 0x1.d4da49d5961ffp-18, 0x1.d1e5c27776dcep-18, 0x1.ced454a93623fp-18, 0x1.cbb5936c37ecdp-18, 0x1.c896068f089cep-18, 0x1.c52c4715d70dap-18, 0x1.c213d1336a0c9p-18, 0x1.be9b280eefc32p-18, 0x1.bb630c20e2e81p-18, 0x1.b7f2c69ead7bcp-18, 0x1.b4767f69d67a3p-18, 0x1.b0ead4de21825p-18, 0x1.ad55b2e3ba7acp-18, 0x1.a9b89adc06be7p-18, 0x1.a608e1b3cbcc8p-18, 0x1.a24eb53a57926p-18, 0x1.9e90b3bb8ebfep-18, 0x1.9ad413afc9fa2p-18, 0x1.970cd8aec4507p-18, 0x1.9331cc5054e78p-18, }}, 
      {{0x1.feb93f99c2184p-4, 0x1.00d303fade572p-3, 0x1.02f3ec3c4465bp-3, 0x1.055c89cf352fbp-3, 0x1.079e095c1b99dp-3, 0x1.094acc4c54c91p-3, 0x1.09ffc4ffb070fp-3, 0x1.096a3fbf68c8fp-3, 0x1.074abe1586631p-3, 0x1.03759f93268d8p-3, 0x1.fba48c419ff7bp-4, 0x1.ecb28efc8fcf7p-4, 0x1.da2432d1c0882p-4, 0x1.c421182a154ddp-4, 0x1.aae48625beac6p-4, 0x1.8eb8a7efb191dp-4, 0x1.6ff230f67ccd8p-4, 0x1.4eec87a72a2f9p-4, 0x1.2c06773083d68p-4, 0x1.079f6fc9355cdp-4, 0x1.c42a7e36c6f75p-5, 0x1.7784a03354127p-5, 0x1.29f8bc05ea3ffp-5, 0x1.b84d65e0180efp-6, 0x1.1d438ac569c4fp-6, 0x1.07be823954f33p-7, -0x1.2efe663840ef5p-10, -0x1.4cabcc47f2e83p-7, -0x1.359a0060f5c16p-6, -0x1.c01d46cf16d0ap-6, -0x1.22acf3e8d72ccp-5, -0x1.62709492324a7p-5, -0x1.9f2cf3324ecf6p-5, -0x1.d8bf5449acf54p-5, -0x1.0787221d3dea4p-4, -0x1.210431fd2f1p-4, -0x1.38d1c2a8de09ep-4, -0x1.4eee226485c3cp-4, -0x1.635a6a4cc76dep-4, -0x1.761a4d3bf47c9p-4, -0x1.8733a35d12f03p-4, -0x1.96ae26f54eb87p-4, -0x1.a4933661e4487p-4, -0x1.b0ed8e0430ef9p-4, -0x1.bbc8fd0c1eca7p-4, -0x1.c5324d6c35204p-4, -0x1.cd36f73a7ce44p-4, -0x1.d3e50e407a6p-4, -0x1.d94b1246ca7cep-4, -0x1.dd77ce94bd57p-4, -0x1.e07a2fc460635p-4, -0x1.e2614889ca37ap-4, -0x1.e33c215e39469p-4, -0x1.e319b52727131p-4, -0x1.e208d86fe4ba7p-4, -0x1.e01825b763a7ap-4, -0x1.dd55f7ddea7a2p-4, -0x1.d9d0637132b14p-4, -0x1.d59527d246ecep-4, -0x1.d0b1ab74f359dp-4, -0x1.cb32f55ac2fecp-4, -0x1.c525a4a38b5cdp-4, -0x1.be95ebb2891efp-4, -0x1.b78f8f675ee44p-4, -0x1.b01de4867c8b6p-4, -0x1.a84bced0f7843p-4, -0x1.a023c1cfb7de6p-4, -0x1.97afbd374191ap-4, -0x1.8ef94f8dc8ec9p-4, -0x1.86099251823fp-4, -0x1.7ce92f21814dfp-4, -0x1.73a05df142f34p-4, -0x1.6a36ea30d7b87p-4, -0x1.60b42ccc55ba3p-4, -0x1.571f1a171bc9ep-4, -0x1.4d7e3ac7a9234p-4, -0x1.43d7b018c1c36p-4, -0x1.3a313cd5f37afp-4, -0x1.3090404283fap-4, -0x1.26f9bb7f10a38p-4, -0x1.1d7255de3387bp-4, -0x1.13fe5f36d80cep-4, -0x1.0aa1d0c4fbf0ap-4, -0x1.01605333dfd14p-4, -0x1.f07a80fc751f2p-5, -0x1.de774d83c816fp-5, -0x1.ccbc97b35fd66p-5, -0x1.bb4f652a18bp-5, -0x1.aa342ccd2a10ap-5, -0x1.996ef4a50a7e5p-5, -0x1.89033ef14d10fp-5, -0x1.78f423d02b3e2p-5, -0x1.694450997199ep-5, -0x1.59f6045c90058p-5, -0x1.4b0b20c9c81c9p-5, -0x1.3c852fa5bf30dp-5, -0x1.2e655e8a0d8e8p-5, -0x1.20ac9151e7821p-5, -0x1.135b5b1d44af9p-5, -0x1.06720773ea1afp-5, -0x1.f3e141311bb6cp-6, -0x1.dbade76dc7ebp-6, -0x1.c449234b310d3p-6, -0x1.adb1aff9f0c8ap-6, -0x1.97e5ea7c583c7p-6, -0x1.82e3ce4e8eef5p-6, -0x1.6ea9036f52393p-6, -0x1.5b32d9caff0d6p-6, -0x1.487e70cd9032fp-6, -0x1.36889314c98bdp-6, -0x1.254dde8411e71p-6, -0x1.14cabfe15f508p-6, -0x1.04fb6e7d5a6b9p-6, -0x1.ebb7e67930549p-7, -0x1.ced07d556d8dbp-7, -0x1.b33833dbd6bdap-7, -0x1.98e6628b7a1bfp-7, -0x1.7fd2490002298p-7, -0x1.67f2e47ba81cbp-7, -0x1.513f2b52c525bp-7, -0x1.3badf29b57cbdp-7, -0x1.2735eb25a4564p-7, -0x1.13cde03146437p-7, -0x1.016c7cc20da4dp-7, -0x1.e010cba76643cp-8, -0x1.bf30c58a51f81p-8, -0x1.a0262fccb82ffp-8, -0x1.82ded039fbdc1p-8, -0x1.674846cb3077bp-8, -0x1.4d509098e861ep-8, -0x1.34e5c5168a227p-8, -0x1.1df635440ab24p-8, -0x1.087084fe5720bp-8, -0x1.e886c5a5390c1p-9, -0x1.c2bc555afba3p-9, -0x1.9f6033a1ff2eap-9, -0x1.7e521b250d27ap-9, -0x1.5f7226c2e236ep-9, -0x1.42a1257ef6036p-9, -0x1.27c080191dcccp-9, -0x1.0eb2cd48f1572p-9, -0x1.eeb5778ff1082p-10, -0x1.c3389dc9bfd9bp-10, -0x1.9ab83ccf40432p-10, -0x1.74feeacbc280ap-10, -0x1.51d8938f40146p-10, -0x1.3113bbe2552ccp-10, -0x1.127fb27ef4c6fp-10, -0x1.ebda9e02e2699p-11, -0x1.b65ecd96f8063p-11, -0x1.8434eed89b28ap-11, -0x1.5508d9e020e12p-11, -0x1.2889af79cc6d8p-11, -0x1.fcd25cc4721b7p-12, -0x1.acbbea461eab4p-12, -0x1.603e54ed13eecp-12, -0x1.16d289f7b5d4fp-12, -0x1.9ff025fbc71f1p-13, -0x1.165f8b0c157c7p-13, -0x1.2012d015efb82p-14, -0x1.813c498aae111p-18, 0x1.d9cb98e04b027p-15, 0x1.f0760cfcecb25p-14, 0x1.7a069a064da59p-13, 0x1.fc918a81ab577p-13, 0x1.404211039847p-12, 0x1.833dcbef144bcp-12, 0x1.c78884e817569p-12, 0x1.06b36ac2871c1p-11, 0x1.2a8d3dcae0fap-11, 0x1.4f6fa669f2b31p-11, 0x1.75777277f8d1ap-11, 0x1.9cbd5b462af79p-11, 0x1.c55913cbf574dp-11, 0x1.ef60f0e376a37p-11, 0x1.0d73bf30ece7p-10, 0x1.23ff30d067dbfp-10, 0x1.3b5ae765984bfp-10, 0x1.538d81336b7f7p-10, 0x1.6c9cd07a37655p-10, 0x1.868e8f60fb757p-10, 0x1.a1667f8980e2ap-10, 0x1.bd288d015ab37p-10, 0x1.d9d7d57d5db0cp-10, 0x1.f775900b81195p-10, 0x1.0b01d04a9587ap-9, 0x1.1ac1438a7bd63p-9, 0x1.2af950df6cf6bp-9, 0x1.3ba99b4969ff6p-9, 0x1.4cd19aeca1963p-9, 0x1.5e7073e5fef95p-9, 0x1.708511d9803c1p-9, 0x1.830e06f54910cp-9, 0x1.9609df184e6c4p-9, 0x1.a976cf801ece6p-9, 0x1.bd52973dd41afp-9, 0x1.d19b471f4d7bfp-9, 0x1.e64e663511ea5p-9, 0x1.fb6934818634ep-9, 0x1.08749a8b53ed5p-8, 0x1.13659c987b731p-8, 0x1.1e86393253399p-8, 0x1.29d4d1245ecbep-8, 0x1.354faddef76f9p-8, 0x1.40f545356f036p-8, 0x1.4cc3a9a51d628p-8, 0x1.58b9275134be2p-8, 0x1.64d3efff8e42ap-8, 0x1.711205d24bd7p-8, 0x1.7d718a78e9419p-8, 0x1.89f0913f313bap-8, 0x1.968d1435ee4a6p-8, 0x1.a3452f97c62bep-8, 0x1.b016db2fc4acdp-8, 0x1.bcffcff54c3bep-8, 0x1.c9fe69beb934p-8, 0x1.d71070e44a5e8p-8, 0x1.e433a59935eb9p-8, 0x1.f1664f86b709p-8, 0x1.fea624d6edea8p-8, 0x1.05f896271f7c8p-7, 0x1.0ca2b7a42eb73p-7, 0x1.1350566b6585dp-7, 0x1.1a008fbf6f509p-7, 0x1.20b24c79e3593p-7, 0x1.27649094d583fp-7, 0x1.2e1662542c474p-7, 0x1.34c6c309254c3p-7, 0x1.3b74b70cc97cfp-7, 0x1.421f5594a38c1p-7, 0x1.48c5943ed76adp-7, 0x1.4f66ac4dcd15ep-7, 0x1.5601852cf6cfdp-7, 0x1.5c955438b4e73p-7, 0x1.6321275415bedp-7, 0x1.69a41fe6bb59ap-7, 0x1.701d5f4f26145p-7, 0x1.768c1a7347299p-7, 0x1.7cef6b615c8e5p-7, 0x1.834691fa29281p-7, 0x1.8990bcf84ffb4p-7, 0x1.8fcd1d7684275p-7, 0x1.95fb0d1fc3f4ap-7, 0x1.9c19a85f8e48p-7, 0x1.a22866727c1ccp-7, 0x1.a826728cbfa81p-7, 0x1.ae13271cb94c8p-7, 0x1.b3ede429a7646p-7, 0x1.b9b5fb4dc7fd5p-7, 0x1.bf6ad363f0ceep-7, 0x1.c50bd49295d38p-7, 0x1.ca9867b1adbfep-7, 0x1.d0100830bd591p-7, 0x1.d5721cddc8575p-7, 0x1.dabe3613ff71ap-7, 0x1.dff3bf3853b8cp-7, 0x1.e512466fa3fbp-7, 0x1.ea1962d7c3f4dp-7, 0x1.ef089985e3703p-7, 0x1.f3df8480fc919p-7, 0x1.f89db5e6bc953p-7, 0x1.fd42e77711f33p-7, 0x1.00e7503cf5c97p-6, 0x1.03204ceebd95p-6, 0x1.054c45149108bp-6, 0x1.076b0a93cbe4cp-6, 0x1.097c7bf3f8d0cp-6, 0x1.0b807e9133a0ap-6, 0x1.0d76ef311ab87p-6, 0x1.0f5fb5f5562b5p-6, 0x1.113aac2a702dfp-6, 0x1.1307cbe7a9a06p-6, 0x1.14c6f5b11f4dep-6, 0x1.1678183909f03p-6, 0x1.181b23a5f7884p-6, 0x1.19b0073c39187p-6, 0x1.1b36c01b2cf2fp-6, 0x1.1caf33ba2bc28p-6, 0x1.1e1966d08016ep-6, 0x1.1f754f831c9adp-6, 0x1.20c2eaa45e86fp-6, 0x1.220234b0ecb21p-6, 0x1.23332888b347ap-6, 0x1.2455d2e5bbc85p-6, 0x1.256a3119c398fp-6, 0x1.26704b4eacc4ap-6, 0x1.27681ac6afb07p-6, 0x1.2851be2ef6c0cp-6, 0x1.292d3123b74fdp-6, 0x1.29fa89560af5p-6, 0x1.2ab9c8b3b8954p-6, 0x1.2b6b084c08626p-6, 0x1.2c0e561f4fc91p-6, 0x1.2ca3c3ff903dep-6, 0x1.2d2b65607884p-6, 0x1.2da54f5beba63p-6, 0x1.2e119bb7c2a56p-6, 0x1.2e705d49139d3p-6, 0x1.2ec1affe3a23fp-6, 0x1.2f05ac8b9779ep-6, 0x1.2f3c6f6b8aef8p-6, 0x1.2f66164a7251ap-6, 0x1.2f82bc8950328p-6, 0x1.2f928338a258cp-6, 0x1.2f9584f95f82ep-6, 0x1.2f8be8994e96cp-6, 0x1.2f75d00e63126p-6, 0x1.2f53596ef405ap-6, 0x1.2f24ad9fd0e04p-6, 0x1.2ee9e93687025p-6, 0x1.2ea337504ffap-6, 0x1.2e50be22b38a4p-6, 0x1.2df2a18272656p-6, 0x1.2d8909d9e54c3p-6, 0x1.2d141e8aa33b3p-6, 0x1.2c9408060c478p-6, 0x1.2c08f050c2fd7p-6, 0x1.2b7300e6e10d9p-6, 0x1.2ad263277b544p-6, 0x1.2a27419f45995p-6, 0x1.2971c8ebf3965p-6, 0x1.28b225162974cp-6, 0x1.27e8799b043c6p-6, 0x1.271501f7b3202p-6, 0x1.2637dc9002656p-6, 0x1.255140a47f549p-6, 0x1.246154308eb36p-6, 0x1.236844edb28d8p-6, 0x1.226646c91cb01p-6, 0x1.215b7f8d9ce7fp-6, 0x1.20481f47041bbp-6, 0x1.1f2c5711e835bp-6, 0x1.1e08530a85f62p-6, 0x1.1cdc412c1021ap-6, 0x1.1ba84f595d68dp-6, 0x1.1a6caba3fba79p-6, 0x1.192984cfb7564p-6, 0x1.17df0a67ac998p-6, 0x1.168d64ba20077p-6, 0x1.1534cc12bdd8bp-6, 0x1.13d562a196e75p-6, 0x1.126f5f8ef7d96p-6, 0x1.1102ebd11e33ap-6, 0x1.0f9036127981fp-6, 0x1.0e176abe55f9bp-6, 0x1.0c98bbd18a74p-6, 0x1.0b1450809e614p-6, 0x1.098a526197378p-6, 0x1.07faf96305e28p-6, 0x1.066669c16d2b8p-6, 0x1.04ccd16b9548cp-6, 0x1.032e5cd19171dp-6, 0x1.018b36938ad5ep-6, 0x1.ffc7138e84c7p-7, 0x1.fc6f031425776p-7, 0x1.f90e8ce83642p-7, 0x1.f5a61125a9998p-7, 0x1.f235d5cb524c5p-7, 0x1.eebe2c27082e2p-7, 0x1.eb3f7925a28abp-7, 0x1.e7ba00148df8ap-7, 0x1.e42e09c5ca676p-7, 0x1.e09bf87570653p-7, 0x1.dd040fcf45e6dp-7, 0x1.d966a118a5c36p-7, 0x1.d5c3f8b0b5b8cp-7, 0x1.d21c624ae863p-7, 0x1.ce7028c387efcp-7, 0x1.cabf953467a8cp-7, 0x1.c70af423cefdbp-7, 0x1.c3528d83644e3p-7, 0x1.bf96aaedeb761p-7, 0x1.bbd78bb0e4111p-7, 0x1.b8158007ad59dp-7, 0x1.b450c6fe0988bp-7, 0x1.b089a367c8aap-7, 0x1.acc05b49b3245p-7, 0x1.a8f52db69a41bp-7, 0x1.a5285b24e5b66p-7, 0x1.a15a239e7098cp-7, 0x1.9d8ac52a91c8p-7, 0x1.99ba7a4de81fp-7, 0x1.95e98ac1f03f8p-7, 0x1.92181f4a4e33cp-7, 0x1.8e4685fd770d4p-7, 0x1.8a74eecf15cdbp-7, 0x1.86a39a43f10a1p-7, 0x1.82d2b9b9797a1p-7, 0x1.7f0289ddd0b26p-7, 0x1.7b3339cc8cd5ep-7, 0x1.7764fd3dfb571p-7, 0x1.739809f0a3da2p-7, 0x1.6fcc8d8ae1d39p-7, 0x1.6c02bbbaed95cp-7, 0x1.683ac1bbdf4acp-7, 0x1.6474d01b7ee4dp-7, 0x1.60b115b49cd6p-7, 0x1.5cefc225c7256p-7, 0x1.5931015677ff7p-7, 0x1.55750636af228p-7, 0x1.51bbf24434f1ep-7, 0x1.4e05f8b73698cp-7, 0x1.4a533cd20a2bep-7, 0x1.46a3e72ca6f5bp-7, 0x1.42f81af67c59p-7, 0x1.3f4ff2c7e689ap-7, 0x1.3baba2fc9724ep-7, 0x1.380b41c31e2a2p-7, 0x1.346eeaea8b486p-7, 0x1.30d6c3f52589p-7, 0x1.2d42ef0517821p-7, 0x1.29b38934ac34dp-7, 0x1.2628b95e3868dp-7, 0x1.22a29de5abfe8p-7, 0x1.1f215df8d065p-7, 0x1.1ba518c277629p-7, 0x1.182de5c356c35p-7, 0x1.14bbe08b2ca17p-7, 0x1.114f21532764p-7, 0x1.0de7bd150f03fp-7, 0x1.0a85c39fb1aafp-7, 0x1.07294273acebap-7, 0x1.03d2482f645dep-7, 0x1.0080e7e2622b1p-7, 0x1.fa6a618748814p-8, 0x1.f3de6c0cdd7fp-8, 0x1.ed5e2c61a39f9p-8, 0x1.e6e9cc9ffb2e2p-8, 0x1.e081858451a5ap-8, 0x1.da258bbd853c1p-8, 0x1.d3d60d7f74eabp-8, 0x1.cd933ae8cd4fep-8, 0x1.c75d0907434f5p-8, 0x1.c133cc47eed6cp-8, 0x1.bb173f7ef562ap-8, 0x1.b507a145fa097p-8, 0x1.af04cab652019p-8, 0x1.a90ed06b5bfebp-8, 0x1.a325ac83a6275p-8, 0x1.9d496739706bfp-8, 0x1.977a1537e573bp-8, 0x1.91b7cf08c8ce9p-8, 0x1.8c02b8f168eeap-8, 0x1.865af0b5e37ccp-8, 0x1.80c09bc6aaf85p-8, 0x1.7b33dfa7d8ae5p-8, 0x1.75b4d8331fb6cp-8, 0x1.704394b192b64p-8, 0x1.6ae0192fbf65p-8, 0x1.658a5f629494fp-8, 0x1.6042500f46a01p-8, 0x1.5b07db08717a5p-8, 0x1.55daf42c64f33p-8, 0x1.50bb7a170eaa1p-8, 0x1.4ba968b34583ep-8, 0x1.46a4ba47e48e4p-8, 0x1.41ad701c6ba4p-8, 0x1.3cc38eb5fd91cp-8, 0x1.37e716f75b7d2p-8, 0x1.33181b834017fp-8, 0x1.2e56a2e75a01cp-8, 0x1.29a2ab52c099ep-8, 0x1.24fc4ae554128p-8, 0x1.206386d217f41p-8, 0x1.1bd84fee5207ap-8, 0x1.175a9bb996fdcp-8, 0x1.12ea52c0d8f5cp-8, 0x1.0e876849e339ep-8, 0x1.0a31cd73f7beap-8, 0x1.05e93aa9630cep-8, 0x1.01adfaeeda0f6p-8, 0x1.faff65a5d4b1ap-9, 0x1.f2bccc0569f5fp-9, 0x1.ea940ae8148ebp-9, 0x1.e284f714a0606p-9, 0x1.da8f6dbe035e6p-9, 0x1.d2b34e98be81p-9, 0x1.caf07bb289d52p-9, 0x1.c346d670b8631p-9, 0x1.bbb6374c2032p-9, 0x1.b43e92667a949p-9, 0x1.acdfc8605ff1fp-9, 0x1.a599b8991551ep-9, 0x1.9e6c43f735bedp-9, 0x1.9756ef263c91bp-9, 0x1.905a29d0cf6d3p-9, 0x1.8975ac267cc52p-9, 0x1.82a94c953c543p-9, 0x1.7bf4e61184409p-9, 0x1.755833f657776p-9, 0x1.6ed2f0975590ep-9, 0x1.6864dc65681d9p-9, 0x1.620db5908c81dp-9, 0x1.5bcd4444f9fdp-9, 0x1.55a3569f34f2p-9, 0x1.4f8fb608e6645p-9, 0x1.499229e492aep-9, 0x1.43aa86872e584p-9, 0x1.3dd89b25c8ad2p-9, 0x1.381c4693ea0ccp-9, 0x1.32754f5c9648ep-9, 0x1.2ce386f2a3d2ep-9, 0x1.2766c6dad835p-9, 0x1.21febe8630678p-9, 0x1.1cab9573bfdb6p-9, 0x1.176d2cd80dbcep-9, 0x1.12434acb345a4p-9, 0x1.0d2dee8e5b87p-9, 0x1.082cb9d742d5dp-9, 0x1.033f47832da3cp-9, 0x1.fcca87e678aadp-10, 0x1.f33caf769d558p-10, 0x1.e9d4b4af47f83p-10, 0x1.e0921c65ba482p-10, 0x1.d77457d7b35adp-10, 0x1.ce7b2e3216e12p-10, 0x1.c5a66c54b2f02p-10, 0x1.bcf5f8aa11897p-10, 0x1.b469db89081edp-10, 0x1.ac00d55b9f905p-10, 0x1.a3badd2e8c887p-10, 0x1.9b96e41da0777p-10, 0x1.9393326faea23p-10, 0x1.8bb1e41ec970ep-10, 0x1.83f1be014f54ep-10, 0x1.7c5304a2a3842p-10, 0x1.74d56a05269a1p-10, 0x1.6d7868fdd40cep-10, 0x1.663b65d3b1023p-10, 0x1.5f1dc69d4897dp-10, 0x1.581ee99a93181p-10, 0x1.513e165c32087p-10, 0x1.4a7aa20d5b651p-10, 0x1.43d429efe9c36p-10, 0x1.3d4a632e3ef33p-10, 0x1.36dd7c5b879dep-10, 0x1.308d97d75088fp-10, 0x1.2a5a94e50348cp-10, 0x1.2443f53c95efp-10, 0x1.1e48d80353c89p-10, 0x1.1868aa77e133p-10, 0x1.12a2c47537449p-10, 0x1.0cf66889f5511p-10, 0x1.07637e751ee4cp-10, 0x1.01e9ebd5adba4p-10, 0x1.f9137ef6162cp-11, 0x1.ee857c7706223p-11, 0x1.e428f8084ffedp-11, 0x1.d9fce3ad2a648p-11, 0x1.d001786b3b1ffp-11, 0x1.c634e0edc12ap-11, 0x1.bc97844d7388ep-11, 0x1.b325916de4ff1p-11, 0x1.a9df15341f1dcp-11, 0x1.a0c3432b285d3p-11, 0x1.97d2509fda753p-11, 0x1.8f0cab36cc216p-11, 0x1.8672381233ceap-11, 0x1.7e01d8bb4ccf8p-11, 0x1.75bac605561ecp-11, 0x1.6d9c13c9d702fp-11, 0x1.65a4c1459ca99p-11, 0x1.5dd486c028633p-11, 0x1.562a9936a3445p-11, 0x1.4ea630d54226ep-11, 0x1.474697c4e9fb4p-11, 0x1.400b19789a23dp-11, 0x1.38f2ff138404cp-11, 0x1.31fdd6375b95dp-11, 0x1.2b2afa16c4bbbp-11, 0x1.247bf5b94b705p-11, 0x1.1deecf3cbbec7p-11, 0x1.178365f4b154dp-11, 0x1.1138b9bbb9be5p-11, 0x1.0b0da86473125p-11, 0x1.05014376e473cp-11, 0x1.fe2662d5920dap-12, 0x1.f286b79c29957p-12, 0x1.e7230f35dfbdbp-12, 0x1.dbfa2f6195045p-12, 0x1.d10b3a77e74ebp-12, 0x1.c6546bbe12125p-12, 0x1.bbd4c3333d946p-12, 0x1.b18d4d79487p-12, 0x1.a77afe83549d2p-12, 0x1.9da06027a5c69p-12, 0x1.93fb2e823bffap-12, 0x1.8a88cc20d8d9fp-12, 0x1.814708f12fd0cp-12, 0x1.78347ef944745p-12, 0x1.6f503cbb4556bp-12, 0x1.669aa53e56e55p-12, 0x1.5e1558f893e25p-12, 0x1.55bebb254395ap-12, 0x1.4d964a5c690f6p-12, 0x1.4598e4e376545p-12, 0x1.3dc9381c8112p-12, 0x1.36223999de0b5p-12, 0x1.2ea5d6099e26cp-12, 0x1.275320c60fc2dp-12, 0x1.2028b82a13fa4p-12, 0x1.19251aae2a8efp-12, 0x1.1246fe648d58cp-12, 0x1.0b8dda4f480ccp-12, 0x1.04f9fdd84fd59p-12, 0x1.fd145f9f480ddp-13, 0x1.f07e3810ce05ep-13, 0x1.e42f99a22d698p-13, 0x1.d82645cb08c0ep-13, 0x1.cc650a298585bp-13, 0x1.c0e8c471515c6p-13, 0x1.b5ad3d1128d67p-13, 0x1.aaac3d8ede832p-13, 0x1.9fe3228506235p-13, 0x1.955a9dbb88e56p-13, 0x1.8b0e5af0f4d2cp-13, 0x1.80fe540e710e8p-13, 0x1.7728a56da3ce9p-13, 0x1.6d8ae3eeff16p-13, 0x1.642507396c504p-13, 0x1.5af649fcf1acdp-13, 0x1.51fd01806e622p-13, 0x1.4938dfd43ebb4p-13, 0x1.40a784a1276f5p-13, 0x1.384d3a34b938bp-13, 0x1.30208f8b6b597p-13, 0x1.282478d5777acp-13, 0x1.2054c4d77ff1dp-13, 0x1.18b2b0811b369p-13, 0x1.113e9fb9b7e7fp-13, 0x1.09f839fd92b13p-13, 0x1.02dbcce3c1082p-13, 0x1.f7d5e621d8d77p-14, 0x1.ea4b4b1ea7921p-14, 0x1.dd1273f5db95ap-14, 0x1.d0297cd18a42fp-14, 0x1.c38be8f562bd3p-14, 0x1.b7394e29e4396p-14, 0x1.ab310f48c4976p-14, 0x1.9f72746037b21p-14, 0x1.93fca3a60d81cp-14, 0x1.88cbef36d68afp-14, 0x1.7ddf53120a9c9p-14, 0x1.733717b055454p-14, 0x1.68d291d4dab1fp-14, 0x1.5eaa5eefaa59bp-14, 0x1.54c31c31d914p-14, 0x1.4b0df5033644cp-14, 0x1.41aebafaa6e09p-14, 0x1.387cec9738129p-14, 0x1.2f88464bc1436p-14, 0x1.26cba0a2d2b2bp-14, 0x1.1e463bbf5a61ap-14, 0x1.15f6945200824p-14, 0x1.0dd8f76694151p-14, 0x1.05efd068a8678p-14, 0x1.fc72f1ff5c3a2p-15, 0x1.ed6d69109df42p-15, 0x1.dec4e5df36c87p-15, 0x1.d07c3fce4085fp-15, 0x1.c27aab1c7f122p-15, 0x1.b5021a12b491ap-15, 0x1.a7c605896b706p-15, 0x1.9adf4b2e42d6ap-15, 0x1.8e4e1975de42bp-15, 0x1.821499cfcbedp-15, 0x1.762534cd64029p-15, 0x1.6a865c56da316p-15, 0x1.5f27319b40163p-15, 0x1.54307542b792cp-15, 0x1.49776f0ad0ccp-15, 0x1.3efb0f089b63p-15, 0x1.34d33fd6bb1e3p-15, 0x1.2ae046ecbf5abp-15, 0x1.21332e31ed89ep-15, 0x1.17cde5b3e6e8fp-15, 0x1.0eaaa5f45ec9ap-15, 0x1.05c015a5cbec7p-15, 0x1.fa264bdec6c4p-16, 0x1.e94f29ab48abep-16, 0x1.d8e33f1dd9b4fp-16, 0x1.c8f13c0f83091p-16, 0x1.b96359b556915p-16, 0x1.aa45ebc376b51p-16, 0x1.9b92fa147e314p-16, 0x1.8d426977c597dp-16, 0x1.7f562e4b0e824p-16, 0x1.71cf2c9ff28eap-16, 0x1.64a6a569f3193p-16, 0x1.57ec7702b8bd2p-16, 0x1.4b7fc0e97988fp-16, 0x1.3f5e84c61fa1dp-16, 0x1.3396b9cafab06p-16, 0x1.2835795962bd6p-16, 0x1.1d1d0b65616a5p-16, 0x1.1257b65563587p-16, 0x1.07c98415360f1p-16, 0x1.fb46a207ea392p-17, 0x1.e78b62961a97dp-17, 0x1.d44beafd1d484p-17, 0x1.c1a59e200e321p-17, 0x1.af9bba62aa0bp-17, 0x1.9e1162b35fcf9p-17, 0x1.8d02157154d41p-17, 0x1.7c724d24ff772p-17, 0x1.6c5f6b732978bp-17, 0x1.5ccf241306fb4p-17, 0x1.4db206773a2ddp-17, 0x1.3f1077b8e98bcp-17, 0x1.30d4164c32824p-17, 0x1.22f5514635161p-17, 0x1.15b0b8faaa802p-17, 0x1.08c7cb61d2b39p-17, 0x1.f8476c93feb93p-18, 0x1.e041c961fcaf8p-18, 0x1.c962d1339900ap-18, 0x1.b1c9fa773c074p-18, 0x1.9be35603fa5ddp-18, 0x1.867276ff46102p-18, 0x1.723e35f66048p-18, 0x1.5db2640b424fbp-18, 0x1.4a0f6efa3afddp-18, 0x1.3743b8067b99bp-18, 0x1.2547bc77eed15p-18, 0x1.13c80762c2d72p-18, 0x1.02846aa7cb964p-18, 0x1.e44eb145ef1f2p-19, 0x1.c4db875eea004p-19, 0x1.a642f6dcac881p-19, 0x1.88d45ed0e546ap-19, 0x1.6c4d7f190d38fp-19, 0x1.50a74ececcfd4p-19, 0x1.3609671f8e11ep-19, 0x1.1c62d5674a81ep-19, 0x1.03b9c59d5a0a7p-19, 0x1.d7cfb38c2e0dfp-20, 0x1.a997255d7d286p-20, 0x1.7dc9d4fc0f11ap-20, 0x1.5306c8222b868p-20, 0x1.2a167e16515bfp-20, 0x1.02bc0a1dd01d7p-20, 0x1.b98dceb0f672fp-21, 0x1.70bd6ab1d3dc6p-21, 0x1.2aad89a8ec89ep-21, 0x1.cedc3a9bfbbccp-22, 0x1.4db728e700626p-22, 0x1.a41518e9c340bp-23, 0x1.75d5b3c49dcb8p-24, -0x1.8bd82dab2c4bcp-26, -0x1.038b9973542b9p-23, -0x1.d2bb7ef958f5bp-23, -0x1.4d4610e8219aap-22, -0x1.af7c88a75bfbfp-22, -0x1.04e40339bd59dp-21, -0x1.2fc276b6c7729p-21, -0x1.59b55f484d21fp-21, -0x1.80cf787e4a8f1p-21, -0x1.a5a716dd4fecfp-21, -0x1.c8beaa3f6f53dp-21, -0x1.eb503fca40415p-21, -0x1.059bc34a68e02p-20, -0x1.1448baf6896a3p-20, -0x1.23d23b93ddc59p-20, -0x1.317b73f46b314p-20, -0x1.3d5970ff48971p-20, -0x1.48a5b51cca9ffp-20, -0x1.55665fc5d03c2p-20, -0x1.5e790f0a58bd3p-20, -0x1.68c3338dd70d7p-20, -0x1.72500f681b8e4p-20, -0x1.7a6185ad49944p-20, -0x1.8041c27c9ba26p-20, -0x1.8a50275d534d4p-20, -0x1.90be04e7d2d46p-20, -0x1.9913f1fca6a85p-20, -0x1.99f786e7b9e58p-20, -0x1.a12efe1aad509p-20, -0x1.a5f665fed182bp-20, -0x1.aa262581445ccp-20, -0x1.ad5f354b4cc89p-20, -0x1.b12c657fae0f7p-20, -0x1.b310987096beep-20, -0x1.b53444a60f6d8p-20, -0x1.b79ed0813c40ap-20, -0x1.b8a0b198f5eb5p-20, -0x1.b9b00d794d8bfp-20, -0x1.ba593008298f4p-20, -0x1.ba81fac6bce16p-20, -0x1.ba4febba4418bp-20, -0x1.b9c43ad3303a3p-20, -0x1.b8db66e2048b3p-20, -0x1.b7a38384dff0cp-20, -0x1.b6306eb26e575p-20, -0x1.b46b7da7728efp-20, -0x1.b262fa9c98bbfp-20, -0x1.b011ffac0f175p-20, -0x1.ad58cc5c998f2p-20, -0x1.aa598d406698p-20, -0x1.a75c3c86c242p-20, -0x1.a3cacd3969f9bp-20, -0x1.a01602227e348p-20, -0x1.9cb163eb06228p-20, -0x1.978250cc68936p-20, -0x1.942c4466a65fbp-20, -0x1.8fc4a5b81a136p-20, -0x1.8b1fec78987c8p-20, -0x1.864d4d0f19c3fp-20, -0x1.81750abd70c8fp-20, -0x1.7c21477b6646ep-20, -0x1.76dd80f2b8e3dp-20, -0x1.7013cf8dc4c8cp-20, -0x1.6c1669d1502b8p-20, -0x1.65fe554483f53p-20, -0x1.5fae74933ac8ep-20, -0x1.5abfc29846edbp-20, -0x1.544b75b0aa977p-20, -0x1.4dba61cfd51c4p-20, -0x1.476ff87b106b6p-20, -0x1.40d2e31245931p-20, -0x1.3b3e488b3503p-20, -0x1.3378926d03326p-20, -0x1.2c74a108ce895p-20, -0x1.259bc5dc15d44p-20, -0x1.20108a1d7a763p-20, -0x1.1861f020bee04p-20, -0x1.11c5c77ad0cf7p-20, -0x1.0a32a598e96p-20, -0x1.001a082567509p-20, -0x1.f5da964ab9edbp-21, -0x1.e820feb5e05ffp-21, -0x1.da429effbb7edp-21, -0x1.caad7b51eabdp-21, -0x1.bcd097fc67711p-21, -0x1.ae0ed1a4fb7a7p-21, -0x1.9dc3a16c51ad7p-21, -0x1.8d6c8c4da6936p-21, -0x1.80f41f40c69b6p-21, -0x1.717c15616d328p-21, -0x1.629c81386823ap-21, -0x1.536a3a9951f4dp-21, -0x1.44665364d4294p-21, -0x1.35fd6e869a89ap-21, -0x1.24e6e3c800746p-21, -0x1.16b943f57b128p-21, -0x1.07f5685c562p-21, -0x1.ef27d79468715p-22, -0x1.d0ab4a34e8521p-22, -0x1.b4c26275c1bb4p-22, -0x1.9593adc67696fp-22, -0x1.776ed04f3a5afp-22, -0x1.5664971f54587p-22, -0x1.3a8570edf2b16p-22, -0x1.1abd2dbfef5bdp-22, -0x1.0143cc9feef0cp-22, -0x1.c591944252ab7p-23, -0x1.82d1362f7d461p-23, -0x1.48fdfc1cef042p-23, -0x1.0c8cdc43c5432p-23, -0x1.a77e2a0963b52p-24, -0x1.2ffe31eef85b3p-24, -0x1.7ac3d453b9db2p-25, -0x1.2544ae929448dp-26, 0x1.eae9b79d9d126p-27, 0x1.352ad3ed9b485p-25, 0x1.20a9412c7fe99p-24, 0x1.8a008c2896df6p-24, 0x1.f5dd8a10f342ep-24, 0x1.35fb39d0b4c5ep-23, 0x1.6bdcef9f8aadcp-23, 0x1.a5c24dfae53b8p-23, 0x1.dfeefe365e11ep-23, 0x1.0c135efc166ep-22, 0x1.27510201a0aa7p-22, 0x1.3fac970b38fdbp-22, 0x1.5a38cca217e23p-22, 0x1.727d6a48673a2p-22, 0x1.8fe299ccc7923p-22, 0x1.ad9db9528e159p-22, 0x1.c7ffe5aae8ff8p-22, 0x1.e0689119d9c3ep-22, 0x1.f8a0ab9ea9ec1p-22, 0x1.0979c665b2d79p-21, 0x1.16079ceb0b071p-21, 0x1.23b9c2b86d605p-21, 0x1.2fa9ee2a300eep-21, 0x1.3d08eba73c7cfp-21, 0x1.47a0e6204f9cp-21, 0x1.5569746ea6449p-21, 0x1.5fec3587b31bep-21, 0x1.6c03f4f888683p-21, 0x1.77525bf9c6924p-21, 0x1.82f3a51b43e5cp-21, 0x1.8e792c424a6c6p-21, 0x1.99c8c797d2a8p-21, 0x1.a4fba8812bfcep-21, 0x1.b02cde44f6041p-21, 0x1.bb70f1f825922p-21, 0x1.c59ae9e77a8a2p-21, 0x1.cf0c0ac27f3ap-21, 0x1.db1ce63fa8d7fp-21, }}, 
      {{0x1.fe08018369288p-4, 0x1.ff0a6c1648dbfp-4, 0x1.004c1a3dfee29p-3, 0x1.014326f837516p-3, 0x1.0250d4a721daap-3, 0x1.035a1827249eap-3, 0x1.04445b707a504p-3, 0x1.04f6ecacd1c5ep-3, 0x1.055bf16eb5ce2p-3, 0x1.0560f324f92aep-3, 0x1.04f71acb7994ep-3, 0x1.0413323aceec9p-3, 0x1.02ad7a2bd2746p-3, 0x1.00c167149f1dp-3, 0x1.fc9a980e5855cp-4, 0x1.f6a402e814d64p-4, 0x1.efa507fa2f2fp-4, 0x1.e7a73729d7c5ap-4, 0x1.deb7032736927p-4, 0x1.d4e32d7a45fe7p-4, 0x1.ca3c237886258p-4, 0x1.bed38b7993ddp-4, 0x1.b2bbd0d892a73p-4, 0x1.a607bf5aded1ap-4, 0x1.98ca3319e4928p-4, 0x1.8b15d6454d926p-4, 0x1.7cfce80d138dbp-4, 0x1.6e911511200ecp-4, 0x1.5fe34217ff1f6p-4, 0x1.510393ede7eafp-4, 0x1.42013aa9b977bp-4, 0x1.32ea79db9c233p-4, 0x1.23cc9bba60f1bp-4, 0x1.14b3f5f008ce1p-4, 0x1.05abd5135377ap-4, 0x1.ed7d2af5c556fp-5, 0x1.cfeb62a65194dp-5, 0x1.b2b34ac3fc3b6p-5, 0x1.95e440b80eea8p-5, 0x1.798be1685eb3cp-5, 0x1.5db64d94854eap-5, 0x1.426e2809448aap-5, 0x1.27bca299c6dddp-5, 0x1.0da9a7b922896p-5, 0x1.e87820d81db22p-6, 0x1.b6f2b6ebe4f7ap-6, 0x1.86cc3cdb81949p-6, 0x1.580bfc9ad8327p-6, 0x1.2ab77a5adfedcp-6, 0x1.fda4d022bd549p-7, 0x1.a8be958019bdap-7, 0x1.56be1511b6534p-7, 0x1.07a32eff423f1p-7, 0x1.76d6af53d335ap-8, 0x1.c8481a464217bp-9, 0x1.5c876639d69dep-10, -0x1.81fda6885abf6p-11, -0x1.6426fcc5c22efp-9, -0x1.2e6e8fa1477fep-8, -0x1.a568327a57592p-8, -0x1.0b8cdd0debab7p-7, -0x1.41cf140a3a988p-7, -0x1.7588f2e005c3p-7, -0x1.a6c9500844502p-7, -0x1.d59f87532b238p-7, -0x1.010dad55c2c93p-6, -0x1.162673ec4c5acp-6, -0x1.2a22456f36b1bp-6, -0x1.3d09673285469p-6, -0x1.4ee426a74818ap-6, -0x1.5fbae1067df4dp-6, -0x1.6f95f8186a878p-6, -0x1.7e7dc63205e1dp-6, -0x1.8c7a999a37609p-6, -0x1.9994b2c2d71a6p-6, -0x1.a5d43dba7e9e6p-6, -0x1.b14148d5a218ep-6, -0x1.bbe3cdb8d8993p-6, -0x1.c5c3a4bca0a5dp-6, -0x1.cee882995994p-6, -0x1.d759fbc49d9e3p-6, -0x1.df1f7af3cdd25p-6, -0x1.e6403de9ff894p-6, -0x1.ecc35c46c93ddp-6, -0x1.f2afc63a3ef52p-6, -0x1.f80c3c03a14fap-6, -0x1.fcdf5033760a8p-6, -0x1.0097b6316ff72p-5, -0x1.0281615c8d96fp-5, -0x1.042fafe0e6c4bp-5, -0x1.05a58e9065f17p-5, -0x1.06e5d271c9259p-5, -0x1.07f33b5e42f31p-5, -0x1.08d06fd672f4dp-5, -0x1.097fffaab5a26p-5, -0x1.0a04639cf692bp-5, -0x1.0a5ffe38ad6e1p-5, -0x1.0a951d757fc47p-5, -0x1.0aa5f9e4aeb9bp-5, -0x1.0a94b31a6dc06p-5, -0x1.0a6355cf63773p-5, -0x1.0a13dc1fb78b3p-5, -0x1.09a82616c9c98p-5, -0x1.0921fe4527c5p-5, -0x1.088322b79ceccp-5, -0x1.07cd3d1ba68abp-5, -0x1.0701e091ee015p-5, -0x1.062295670927ep-5, -0x1.0530d524edab9p-5, -0x1.042dfb00d1a48p-5, -0x1.031b56f3702adp-5, -0x1.01fa2c35edbccp-5, -0x1.00cbaccb03dc2p-5, -0x1.ff21f376c96e9p-6, -0x1.fc96517c2d84ap-6, -0x1.f9f67f8024c91p-6, -0x1.f7446bacbeedbp-6, -0x1.f481f0f4e08eep-6, -0x1.f1b0c86c8b6f6p-6, -0x1.eed296db9151fp-6, -0x1.ebe8ec93d45e7p-6, -0x1.e8f53d157a203p-6, -0x1.e5f8eaf37b404p-6, -0x1.e2f543286cf6bp-6, -0x1.dfeb7b85474d8p-6, -0x1.dcdcbae344cabp-6, -0x1.d9ca0c0ec5a86p-6, -0x1.d6b476751f458p-6, -0x1.d39ce27129fdp-6, -0x1.d08431ab2691p-6, -0x1.cd6b34629da63p-6, -0x1.ca52aa427410bp-6, -0x1.c73b459fb822dp-6, -0x1.c425a624bc7dbp-6, -0x1.c1126816e59adp-6, -0x1.be02129ac9061p-6, -0x1.baf52812bab97p-6, -0x1.b7ec1c5453b82p-6, -0x1.b4e755cf879b4p-6, -0x1.b1e731c80e782p-6, -0x1.aeec0a8209c8cp-6, -0x1.abf62a85d8dbp-6, -0x1.a905d40938131p-6, -0x1.a61b4666606b4p-6, -0x1.a336b6ea739bcp-6, -0x1.a05850ebb299ep-6, -0x1.9d803b3e82c63p-6, -0x1.9aae9655c03e3p-6, -0x1.97e37b24f6ff1p-6, -0x1.951eff408393p-6, -0x1.926133c57ef25p-6, -0x1.8faa2278b1dfcp-6, -0x1.8cf9ce0befa56p-6, -0x1.8a50375d09063p-6, -0x1.87ad60364ea18p-6, -0x1.85113af8202c3p-6, -0x1.827bc3c508e93p-6, -0x1.7fecf06ba077ep-6, -0x1.7d64acbf84822p-6, -0x1.7ae2e784ab5bp-6, -0x1.78678a9768515p-6, -0x1.75f27f0fa56b9p-6, -0x1.7383ab2fa6f1fp-6, -0x1.711af798b25c3p-6, -0x1.6eb842e2adf6dp-6, -0x1.6c5b710ccc6d4p-6, -0x1.6a0463fcf13a3p-6, -0x1.67b2fc47bf065p-6, -0x1.656717bc66447p-6, -0x1.6320917e4930dp-6, -0x1.60df47a5894bp-6, -0x1.5ea31946dbcd2p-6, -0x1.5c6bdfc113d99p-6, -0x1.5a3979ea57717p-6, -0x1.580bc04d7ebf5p-6, -0x1.55e291efc1b5ep-6, -0x1.53bdca69d33e7p-6, -0x1.519d425c3a336p-6, -0x1.4f80d62b385c8p-6, -0x1.4d686015c6599p-6, -0x1.4b53becc1222ap-6, -0x1.4942d0e91b126p-6, -0x1.473572a16a392p-6, -0x1.452b821e70353p-6, -0x1.4324cd53446b8p-6, -0x1.41214d9759d54p-6, -0x1.3f20d333de441p-6, -0x1.3d233e3145b9bp-6, -0x1.3b287067899fep-6, -0x1.39304672393b7p-6, -0x1.373aaa96b6ca4p-6, -0x1.35477a87446fep-6, -0x1.33569b0090212p-6, -0x1.3167ee14f2c96p-6, -0x1.2f7b5bfbcc518p-6, -0x1.2d90cb659dafep-6, -0x1.2ba8206fc8c15p-6, -0x1.29c1428c03f8cp-6, -0x1.27dc20ad2caep-6, -0x1.25f89ce88013dp-6, -0x1.2416a0a1c3da6p-6, -0x1.22361b7f812cep-6, -0x1.2056f6f0c5aa6p-6, -0x1.1e791e1c0416p-6, -0x1.1c9c818cdc531p-6, -0x1.1ac113f412217p-6, -0x1.18e6bf7d41f93p-6, -0x1.170d75536a218p-6, -0x1.15352777dc183p-6, -0x1.135dc87da7915p-6, -0x1.11874cb1fc284p-6, -0x1.0fb1a79c86021p-6, -0x1.0ddcc912df877p-6, -0x1.0c08aacb1464bp-6, -0x1.0a35461f151d4p-6, -0x1.086284ea174d9p-6, -0x1.069066aeb409p-6, -0x1.04beeca2e6249p-6, -0x1.02ee061444e09p-6, -0x1.011dae581a744p-6, -0x1.fe9bc002442f8p-7, -0x1.fafd2d964765ep-7, -0x1.f75fa27e4fb92p-7, -0x1.f3c3107ae3551p-7, -0x1.f027741609e95p-7, -0x1.ec8cc91691db5p-7, -0x1.e8f30ca906436p-7, -0x1.e55a3c6c2f79dp-7, -0x1.e1c257c834648p-7, -0x1.de2b59b5af97dp-7, -0x1.da9550734d6dep-7, -0x1.d70027638229p-7, -0x1.d36bf8f8f2b19p-7, -0x1.cfd8bd2f30ba3p-7, -0x1.cc46798598026p-7, -0x1.c8b53648bbd28p-7, -0x1.c524fa098b1c5p-7, -0x1.c195cd2c6e20ap-7, -0x1.be07b52459953p-7, -0x1.ba7aba6e9d234p-7, -0x1.b6eee6527284bp-7, -0x1.b3644b38e3fd8p-7, -0x1.afdadf42a0cd1p-7, -0x1.ac52c3389f5f3p-7, -0x1.a8cbf24d52ae3p-7, -0x1.a5468b7f2c73ep-7, -0x1.a1c29326d8ebdp-7, -0x1.9e400d53716b7p-7, -0x1.9abf1671eb448p-7, -0x1.973fb0ffe3363p-7, -0x1.93c1f797fb678p-7, -0x1.9045f2fd31fb9p-7, -0x1.8ccba5d4e46bep-7, -0x1.8953339e63676p-7, -0x1.85dca6c502b49p-7, -0x1.8268082bb14fdp-7, -0x1.7ef570be2e25ap-7, -0x1.7b84eba713c7dp-7, -0x1.78168eda5c852p-7, -0x1.74aa63cc0387dp-7, -0x1.714084e3fc5ffp-7, -0x1.6dd8eec5bd416p-7, -0x1.6a73cc89449c1p-7, -0x1.671122b11ea51p-7, -0x1.63b0ff05e9be8p-7, -0x1.605378b4e7792p-7, -0x1.5cf8a1f8d8003p-7, -0x1.59a08cdcd026p-7, -0x1.564b4aab576eap-7, -0x1.52f8e99bab6eep-7, -0x1.4fa97be672b41p-7, -0x1.4c5d10422e252p-7, -0x1.4913b627de2d3p-7, -0x1.45cd84390e2eap-7, -0x1.428a85e3abb9dp-7, -0x1.3f4ad5e991985p-7, -0x1.3c0e734b5de0cp-7, -0x1.38d585bbe282bp-7, -0x1.35a0139a935bep-7, -0x1.326e222aa1945p-7, -0x1.2f3fc676f75e8p-7, -0x1.2c1512f56627dp-7, -0x1.28ee1f07d3ae4p-7, -0x1.25cae6bb774b9p-7, -0x1.22ab8529bfb0ap-7, -0x1.1f9006e9430d5p-7, -0x1.1c78845eba555p-7, -0x1.1964f9939845p-7, -0x1.16557fa870842p-7, -0x1.134a1e45dc29dp-7, -0x1.1042eb8b39157p-7, -0x1.0d3fedae24515p-7, -0x1.0a4136b5b049cp-7, -0x1.0746cd7244152p-7, -0x1.0450bef64b91ep-7, -0x1.015f1892009bfp-7, -0x1.fce3cea1c1dd7p-8, -0x1.f712774792996p-8, -0x1.f14a202c63dafp-8, -0x1.eb8aecbf26978p-8, -0x1.e5d4f8db233a2p-8, -0x1.e0288555aca3p-8, -0x1.da855054e1b1ap-8, -0x1.d4eb8be0b912p-8, -0x1.cf5b6043d994dp-8, -0x1.c9d4c786d428bp-8, -0x1.c457dde0bd014p-8, -0x1.bee4a4bfcc1d9p-8, -0x1.b97b48f2ef8dcp-8, -0x1.b41bba8260462p-8, -0x1.aec61b74e3599p-8, -0x1.a97a7e2cc62b1p-8, -0x1.a438dab3127eep-8, -0x1.9f0151a05ddaap-8, -0x1.99d3ddf2340d7p-8, -0x1.94b087965e227p-8, -0x1.8f976a95d96efp-8, -0x1.8a888c28e93e5p-8, -0x1.8583e3e03fe53p-8, -0x1.808988118f80cp-8, -0x1.7b9984e78dc22p-8, -0x1.76b3db76d9d33p-8, -0x1.71d8a0bf7b706p-8, -0x1.6d07b6a3997c6p-8, -0x1.684148d1a9b0fp-8, -0x1.63853c0826813p-8, -0x1.5ed3aae09582p-8, -0x1.5a2c9acc39a86p-8, -0x1.558fe98a1c892p-8, -0x1.50fdc7f2eac19p-8, -0x1.4c762c4f93cd9p-8, -0x1.47f9053f9deb7p-8, -0x1.438663698c27dp-8, -0x1.3f1e44a5a5bebp-8, -0x1.3ac0a7a729f2p-8, -0x1.366d8df0a0b8dp-8, -0x1.3224ea235674fp-8, -0x1.2de6be1781559p-8, -0x1.29b31405eb6ap-8, -0x1.2589dc7ab1b3p-8, -0x1.216b17a0e0377p-8, -0x1.1d56badfdb7cfp-8, -0x1.194ccae5bdc9fp-8, -0x1.154d41aec6f8p-8, -0x1.11581cd44167cp-8, -0x1.0d6d431ab8a57p-8, -0x1.098cc5dac12d3p-8, -0x1.05b6a848e6243p-8, -0x1.01eab365ac3a9p-8, -0x1.fc5206bd712b5p-9, -0x1.f4e3041a3cf41p-9, -0x1.ed8882e42d7b1p-9, -0x1.e64244e24b81bp-9, -0x1.df10358660bd8p-9, -0x1.d7f237313e8c3p-9, -0x1.d0e85b46a923fp-9, -0x1.c9f23c878a54dp-9, -0x1.c31030562556cp-9, -0x1.bc4226527b3adp-9, -0x1.b587888c89ee3p-9, -0x1.aee09f795fbbbp-9, -0x1.a84d5c91f46bp-9, -0x1.a1cd71d34a6e3p-9, -0x1.9b60e4e128d07p-9, -0x1.9507953d36e29p-9, -0x1.8ec16aaf8ffdp-9, -0x1.888e4af09b3e5p-9, -0x1.826e1a1806808p-9, -0x1.7c60b21a57db5p-9, -0x1.76660e40ac0c6p-9, -0x1.707e0a4ec7a4dp-9, -0x1.6aa86d3ed7954p-9, -0x1.64e55d8c6ac4bp-9, -0x1.5f3433b42bff2p-9, -0x1.599556372d265p-9, -0x1.5408a72505e96p-9, -0x1.4e8dadb93b9dap-9, -0x1.49248581ce5ep-9, -0x1.43cd072daf03dp-9, -0x1.3e8711894d4b7p-9, -0x1.395280ce8940ep-9, -0x1.342f39232b80cp-9, -0x1.2f1cf3902a8b1p-9, -0x1.2a1bbf66db2cep-9, -0x1.252b8a7adfc46p-9, -0x1.204be1cb6928ap-9, -0x1.1b7cf5f9de7fcp-9, -0x1.16be90bb02ab2p-9, -0x1.121045ef5ed7ap-9, -0x1.0d7257419a3c2p-9, -0x1.08e49bd604f2bp-9, -0x1.0466a2702d61fp-9, -0x1.fff0fd82fb6d8p-10, -0x1.f73405a6c7856p-10, -0x1.ee961feb4a29fp-10, -0x1.e616f42caa53bp-10, -0x1.ddb6479aa5a59p-10, -0x1.d573e73aac87fp-10, -0x1.cd4f552eb7bd9p-10, -0x1.c5485c9d963f7p-10, -0x1.bd5eed88093aap-10, -0x1.b59258fc43d4fp-10, -0x1.ade29ab1fa1cbp-10, -0x1.a64f7fd173db7p-10, -0x1.9ed89a2fd2955p-10, -0x1.977d54798d7bcp-10, -0x1.903e6b0c27289p-10, -0x1.891a5d274082ap-10, -0x1.8211b2bdf5a83p-10, -0x1.7b240208ee816p-10, -0x1.7450a58357cf1p-10, -0x1.6d976f16efd75p-10, -0x1.66f867fcf31f3p-10, -0x1.607290f9fe193p-10, -0x1.5a06927b5b589p-10, -0x1.53b3dfe00182p-10, -0x1.4d79e6e8e8bep-10, -0x1.47585ea37911dp-10, -0x1.414f3b86b5439p-10, -0x1.3b5e3cc2dea72p-10, -0x1.35851321b8e0cp-10, -0x1.2fc370552e35p-10, -0x1.2a19266c93facp-10, -0x1.24853a12cfe86p-10, -0x1.1f084502c2784p-10, -0x1.19a1f8375e3eep-10, -0x1.14516fd6e1b5bp-10, -0x1.0f16e3b966af8p-10, -0x1.09f20ea121d52p-10, -0x1.04e28e0d91e5cp-10, -0x1.ffcffccf1f4c1p-11, -0x1.f605c609fe112p-11, -0x1.ec625c58663fcp-11, -0x1.e2e9a825a077cp-11, -0x1.d997979005f6bp-11, -0x1.d06da2f0516dp-11, -0x1.c76b4c9cdd4ebp-11, -0x1.be8ef9f3ef89ep-11, -0x1.b5d8fab093ba5p-11, -0x1.ad485cdaa8f1cp-11, -0x1.a4dcbac552c3bp-11, -0x1.9c9596cf557dp-11, -0x1.9472970294ae9p-11, -0x1.8c731bb7a21b8p-11, -0x1.8496bab26f70bp-11, -0x1.7cdd11eb87cb9p-11, -0x1.7545a79c144ddp-11, -0x1.6dcffa0679e91p-11, -0x1.667b8a4d22b58p-11, -0x1.5f47e5b251837p-11, -0x1.583478d483b86p-11, -0x1.5140c67ffb5bcp-11, -0x1.4a6d1ebaf999bp-11, -0x1.43b83c0732e02p-11, -0x1.3d21c14e98319p-11, -0x1.36a932c74e3bp-11, -0x1.304e40f77c2b1p-11, -0x1.2a10897621c9bp-11, -0x1.23eebae3007d6p-11, -0x1.1de9eccc269f3p-11, -0x1.1801cf9091009p-11, -0x1.123400198a67ap-11, -0x1.0c81c67fd97f3p-11, -0x1.06ea56f16cfb6p-11, -0x1.016d12e7f0136p-11, -0x1.f8148236f3e62p-12, -0x1.ed81897e4a948p-12, -0x1.e3204adf55a9fp-12, -0x1.d8f1e8d950e93p-12, -0x1.cef084e61519ap-12, -0x1.c5233e77fd9adp-12, -0x1.bb830dbbff6c7p-12, -0x1.b21129540f808p-12, -0x1.a8cd2aa91676bp-12, -0x1.9fb612cc68477p-12, -0x1.96cb3859c2d0bp-12, -0x1.8e0bf2e7d5fc6p-12, -0x1.85778ce9f2c23p-12, -0x1.7d0d341683ebp-12, -0x1.74cbe4ab9f628p-12, -0x1.6cb3861627a6ep-12, -0x1.64c3ce75e98c1p-12, -0x1.5cfc61e77e206p-12, -0x1.555c1258b10f7p-12, -0x1.4ddf440f8f8d5p-12, -0x1.468a03ab311cp-12, -0x1.3f5999c971e0dp-12, -0x1.384cbf1564307p-12, -0x1.3163ca250dcbep-12, -0x1.2a9de99f6d8f5p-12, -0x1.23fa60e252605p-12, -0x1.1d78aa5429bc8p-12, -0x1.17181823b7552p-12, -0x1.10d82edc8eac1p-12, -0x1.0ab88c953a2ecp-12, -0x1.04b89a0ba1d68p-12, -0x1.fdb01dc992e91p-13, -0x1.f229f59cd9483p-13, -0x1.e6e24bad37a62p-13, -0x1.dbd60a230fb5fp-13, -0x1.d0ff82f4fc48cp-13, -0x1.c664f27811351p-13, -0x1.bc057e2aa696fp-13, -0x1.b1d5ebdb7c008p-13, -0x1.a7e070d9a8508p-13, -0x1.9e212fad698bfp-13, -0x1.948faedcf6c42p-13, -0x1.8b34e8fa2b573p-13, -0x1.820d2104682c9p-13, -0x1.791561fb2394fp-13, -0x1.704df6adbd6cdp-13, -0x1.67b4f489212fep-13, -0x1.5f4a8f8f67bbdp-13, -0x1.570e52c436943p-13, -0x1.4efeb6b73a7bdp-13, -0x1.471b6a0e9df79p-13, -0x1.3f62d0a058764p-13, -0x1.37d425ce333ap-13, -0x1.307187ed7a2c2p-13, -0x1.2933a626d36b3p-13, -0x1.222178ac179c9p-13, -0x1.1b35f71a5043fp-13, -0x1.146a42aa7ba1cp-13, -0x1.0dcb039931478p-13, -0x1.074ee815225e7p-13, -0x1.00f6e38f3365ep-13, -0x1.f584d19fed463p-14, -0x1.e961b5865d4edp-14, -0x1.dd82f62f848cap-14, -0x1.d1e712ca56f06p-14, -0x1.c68d134e46b8cp-14, -0x1.bb7483da53fd5p-14, -0x1.b096ded282bfbp-14, -0x1.a5fc4704d2c67p-14, -0x1.9b9b057a177e2p-14, -0x1.9175a7d18fd3cp-14, -0x1.878b2505aae8dp-14, -0x1.7dda3d3c991f5p-14, -0x1.7462acc4d58b5p-14, -0x1.6b1c3ccb8e29dp-14, -0x1.620ea120ff63bp-14, -0x1.593afc7a3eaebp-14, -0x1.5094295bdba68p-14, -0x1.48214d9ae8a9ep-14, -0x1.3fdf0c9c64946p-14, -0x1.37cdcdb11c7bcp-14, -0x1.2fecf8d4e86bcp-14, -0x1.283c2cca43bddp-14, -0x1.20b216db76d9ap-14, -0x1.195adcea3a549p-14, -0x1.122f3f109c4cfp-14, -0x1.0b2f73997d3ddp-14, -0x1.0454f5b195d38p-14, -0x1.fb499db49be7p-15, -0x1.ee3a0f554ed33p-15, -0x1.e17979fc59831p-15, -0x1.d50672a6aaa95p-15, -0x1.c8df26ac0aed5p-15, -0x1.bcfb025c11ae7p-15, -0x1.b1637791a2ee8p-15, -0x1.a616ddaffad13p-15, -0x1.9b089be19e3aap-15, -0x1.903f8466b9fd6p-15, -0x1.85b8e1d2f253cp-15, -0x1.7b7314619b3f7p-15, -0x1.716c988282566p-15, -0x1.67a4116f3c7bep-15, -0x1.5e18a44e3a921p-15, -0x1.54c998f160da2p-15, -0x1.4ba956adf6647p-15, -0x1.42d25ebaaec0fp-15, -0x1.3a2969e05f8c2p-15, -0x1.31b5e105e1c27p-15, -0x1.297a3e7bef14dp-15, -0x1.2172ee6a853a2p-15, -0x1.199d144ce0e9ep-15, -0x1.11f8756a0cee2p-15, -0x1.0a848c9a8c576p-15, -0x1.033f849df0d02p-15, -0x1.f84df0c86cd9fp-16, -0x1.ea818650dd399p-16, -0x1.dcfc042764c88p-16, -0x1.cfd07e87fe078p-16, -0x1.c311ba6fd7859p-16, -0x1.b68505f0cb11bp-16, -0x1.aa5c262b36317p-16, -0x1.9e8464be79122p-16, -0x1.92f4695fb141ep-16, -0x1.87ab8cf21b8fdp-16, -0x1.7cade6921a12cp-16, -0x1.71f88d1785fabp-16, -0x1.6786369ae5626p-16, -0x1.5d63a0af5fd1cp-16, -0x1.5376080479fd7p-16, -0x1.49d6e6b50af36p-16, -0x1.405994c41c404p-16, -0x1.373e1592adce5p-16, -0x1.2e5900e04c4eap-16, -0x1.25a1bd743de3p-16, -0x1.1d2b62545144dp-16, -0x1.14eea3fab9bf4p-16, -0x1.0ce86b1d006b8p-16, -0x1.0516d534c5717p-16, -0x1.faf2f3617c1bcp-17, -0x1.ec3199001703fp-17, -0x1.ddba748a7be0ep-17, -0x1.cfb5e3aa7e669p-17, -0x1.c20e4aeaa16b2p-17, -0x1.b4a3e25e029fdp-17, -0x1.a7b7c41dd612cp-17, -0x1.9b35674668f4cp-17, -0x1.8f068f53eae19p-17, -0x1.830806d43a71fp-17, -0x1.77513f4644ea2p-17, -0x1.6c1e67171e5f5p-17, -0x1.61229b8c69818p-17, -0x1.566ddae877df9p-17, -0x1.4c11a0fd88931p-17, -0x1.41edeb7b3461cp-17, -0x1.3813ee462c393p-17, -0x1.2e8b898696c56p-17, -0x1.2541cc712ea37p-17, -0x1.1c331b7ca88ffp-17, -0x1.1359160831854p-17, -0x1.0ae6d299e3104p-17, -0x1.027a10235c9c8p-17, -0x1.f4e57d65fb7dep-18, -0x1.e5450e83e0d3fp-18, -0x1.d6075bf54810ep-18, -0x1.c74358750ce9ap-18, -0x1.b8efa388ef9edp-18, -0x1.aad8da0d4b85fp-18, -0x1.9d39de4dacb28p-18, -0x1.9017c834157dap-18, -0x1.833b42e274c79p-18, -0x1.76c982b36e928p-18, -0x1.6ab2bd29da5b5p-18, -0x1.5ef7c7621c79dp-18, -0x1.5393e48453d23p-18, -0x1.487f16312951dp-18, -0x1.3dbde9ba6cf9ap-18, -0x1.33502aeb7d7e8p-18, -0x1.293509aea9afp-18, -0x1.1f70c710acb13p-18, -0x1.160fe22b894acp-18, -0x1.0caecfbaa9721p-18, -0x1.03bff1da996d6p-18, -0x1.f562b5c29a2f5p-19, -0x1.e53520d088d63p-19, -0x1.d49a6ab0f046ap-19, -0x1.c4c1db902f411p-19, -0x1.b5757f8994497p-19, -0x1.a6970e6933edep-19, -0x1.98533a8578e4bp-19, -0x1.8a4445ab01ab6p-19, -0x1.7c9a86d1bc55bp-19, -0x1.6f5891c22a12ep-19, -0x1.62bf179e917aap-19, -0x1.565e5afc572f6p-19, -0x1.4a64500fabd8ep-19, -0x1.3e4982ddf2d75p-19, -0x1.33b50cf2f4766p-19, -0x1.28db026eff644p-19, -0x1.1e43d09f7eadep-19, -0x1.140338c9efb2bp-19, -0x1.0a41ed3e8f409p-19, -0x1.00bb551166d27p-19, -0x1.ef552e906dd1p-20, -0x1.dcb7a13fd43e2p-20, -0x1.cc45f53b2454p-20, -0x1.bc336ddbc61dfp-20, -0x1.ab57bc20dbe31p-20, -0x1.9c6547728a1f6p-20, -0x1.8ccd038b94821p-20, -0x1.7dfafaf951f83p-20, -0x1.70034ea8b8a89p-20, -0x1.62aa5e40ef274p-20, -0x1.5571a6401adbdp-20, -0x1.489fcf42b7ee1p-20, -0x1.3ccbc8b1049f6p-20, -0x1.30fb75deb8debp-20, -0x1.260aaf6383a9p-20, -0x1.1a9b6fb10dc87p-20, -0x1.0feccfc5bfe31p-20, -0x1.05db06c4a0cdp-20, -0x1.f813900cd5fcfp-21, -0x1.e51b49083a6bcp-21, -0x1.d2f3867ca0b6ap-21, -0x1.c16fcf496b53cp-21, -0x1.b196d38978a5fp-21, -0x1.a1611b04c976fp-21, -0x1.911cf4a019defp-21, -0x1.811fde065fb9dp-21, -0x1.73e569b92ac67p-21, -0x1.65f997f44d21fp-21, -0x1.58f57587a9642p-21, -0x1.4a4bfd61d44d4p-21, -0x1.3eaeaa713c54cp-21, -0x1.330cffce8da41p-21, -0x1.272caa91884a6p-21, -0x1.1c332e417cfaep-21, -0x1.122c4592aa241p-21, -0x1.085f7628f3e69p-21, -0x1.fd83e58144d35p-22, -0x1.eafa8f873a2abp-22, -0x1.d91991da7e879p-22, -0x1.c860e52ad1a91p-22, -0x1.b855230771e1p-22, -0x1.a9639b30db883p-22, -0x1.9a3bca5a26a49p-22, -0x1.8ad61b1a89814p-22, -0x1.7fcdbe972c72dp-22, -0x1.73001feb65a52p-22, -0x1.651ea68dc654fp-22, -0x1.5aed40f5b5d69p-22, -0x1.540d96428122cp-22, -0x1.45ef0d9640fb4p-22, -0x1.3dd17df4f51d7p-22, -0x1.32cd5fd5d9d72p-22, -0x1.2cef6c0b4bc4bp-22, -0x1.21a80a9bbd5acp-22, -0x1.189e64e93227dp-22, -0x1.10dcd94cdb8ecp-22, -0x1.0ab69a043cf8fp-22, -0x1.04fdd1129b9f4p-22, -0x1.f73907a6a9996p-23, -0x1.ec84690ea2169p-23, -0x1.e4eb765374079p-23, -0x1.d9b6d4469a10fp-23, -0x1.d0e7ca9148e9ap-23, -0x1.c8236dbf6c5fap-23, -0x1.bf7468e66f9e3p-23, -0x1.b7ba6371cd42fp-23, -0x1.b08558e7aa135p-23, -0x1.aa69fda25f0e7p-23, -0x1.a421546aca648p-23, -0x1.9cd2d36a32c26p-23, -0x1.9a26f0e0a5cffp-23, -0x1.94a17abb75cd8p-23, -0x1.90c05b0e3b8b9p-23, -0x1.8d785caca2927p-23, -0x1.8a2ddc3dc09b2p-23, -0x1.87a00ea80ea3p-23, -0x1.85370478a62aep-23, -0x1.831fc198497cbp-23, -0x1.816f553b77304p-23, -0x1.805c43af340cbp-23, -0x1.81ff1d1123c4cp-23, -0x1.7b24efc1c4394p-23, -0x1.80e56f061df06p-23, -0x1.80f8072deca35p-23, -0x1.81b8532775697p-23, -0x1.7de5bc2e62222p-23, -0x1.7f9051bc2eae2p-23, -0x1.8175d876bd6edp-23, -0x1.81d4146afd007p-23, -0x1.836b3256cba28p-23, -0x1.860be58f4cd5dp-23, -0x1.88f6a72f4d99p-23, -0x1.88bf973718ea4p-23, -0x1.8aebc5e3c92efp-23, -0x1.8f445d4113802p-23, -0x1.8dd663408d264p-23, -0x1.8f631e33eb402p-23, -0x1.962d7bda250edp-23, -0x1.9c7f2ca0aa4fep-23, -0x1.982d835e0f72bp-23, -0x1.a1b8a9f552d56p-23, -0x1.a2e025c93bd6ep-23, -0x1.a4e1a6f464129p-23, -0x1.a91bb2d2c7e99p-23, -0x1.afd7eeb8403dap-23, -0x1.aed48ecaf3955p-23, -0x1.b355dd29a3526p-23, -0x1.b2e717ac5b9fap-23, -0x1.bfaa1b71bf198p-23, -0x1.be90d055e31c5p-23, -0x1.c1a604be41301p-23, -0x1.c534c6eb87e28p-23, -0x1.caa4db6d59b22p-23, -0x1.cb6f7b7c3eb2bp-23, -0x1.d2723448dfcebp-23, -0x1.d69b3de71bba2p-23, -0x1.d74ab64fe98ffp-23, -0x1.dca1fc3ec8328p-23, -0x1.dfe7b4107d123p-23, -0x1.e3561169ab274p-23, -0x1.e765c1184e055p-23, -0x1.eb66eb08dee15p-23, -0x1.ef6feb155cf73p-23, -0x1.f3a2320158ea5p-23, -0x1.f7bc06e70a8p-23, -0x1.fb607ccf14a76p-23, -0x1.fecd18e2bd2a7p-23, -0x1.01210729f8544p-22, -0x1.02d470034f834p-22, -0x1.050b5b7f82e94p-22, -0x1.0756a20827813p-22, -0x1.08a0948aacac1p-22, -0x1.0adeab46c27b5p-22, -0x1.0c7361d6575b5p-22, -0x1.0cf479aa5b55cp-22, -0x1.11931f342f4bfp-22, -0x1.115c42fbb80f8p-22, -0x1.12f9ca03c0571p-22, -0x1.14a1ec7086501p-22, -0x1.162f30d9ae671p-22, -0x1.1737cb5ea457ap-22, -0x1.19402dff15a21p-22, -0x1.1ae5c082678f7p-22, -0x1.1db658aa0a165p-22, -0x1.1d0e635eae6f1p-22, -0x1.1f0b1c7e5933bp-22, -0x1.212a8dae6555fp-22, -0x1.20598eb121843p-22, -0x1.226fea899c4dcp-22, -0x1.24adc656eb03ep-22, -0x1.25b96974cb70dp-22, -0x1.27095cc04f4c8p-22, -0x1.279c2e7cac9b1p-22, -0x1.297dd16bf2facp-22, -0x1.2ad3ba93d7b5fp-22, -0x1.2c1df1b65a8cdp-22, -0x1.2b9c64eb88625p-22, -0x1.2d7664bde2169p-22, -0x1.2dc962fb75636p-22, -0x1.2fadd660956f6p-22, -0x1.32740c0a9d222p-22, -0x1.3202040d6f894p-22, -0x1.327b6557fbc65p-22, -0x1.32d60ea7cf9b8p-22, -0x1.344616a3c410ap-22, -0x1.3445d097f203ep-22, -0x1.34daea04a80b3p-22, -0x1.35fc8b1bd68d5p-22, -0x1.3723aef6304dep-22, -0x1.36d732c3cee94p-22, -0x1.378a7f0a71343p-22, -0x1.37f50ec62d8a1p-22, -0x1.388d2aaf188a4p-22, -0x1.38c2adbed009p-22, -0x1.38838455c87ap-22, -0x1.3a850defc32acp-22, -0x1.39d29d9a2017p-22, -0x1.39747a910acb1p-22, -0x1.3b173a39ccffcp-22, -0x1.3b5727f1518fep-22, -0x1.3a0dc2da3c6bfp-22, -0x1.3aa34f5d93af9p-22, -0x1.3ab85e33214f5p-22, -0x1.3b11f3e595353p-22, -0x1.3ad9d37f80d97p-22, -0x1.3b7dec5a48f6ap-22, -0x1.3994515367101p-22, -0x1.39af605b5bfdp-22, -0x1.3af14f4b6f02fp-22, -0x1.3a4303cd8ae0ep-22, -0x1.3a6f20b1095a2p-22, -0x1.39ffb08f7801cp-22, -0x1.39e388edfd76ep-22, -0x1.39478f356ab2bp-22, -0x1.38899c5525e36p-22, -0x1.3a42cb409ba5fp-22, -0x1.37adf539cbebfp-22, -0x1.38b8da5061849p-22, -0x1.374d421e7fb7cp-22, -0x1.36fa0320819fcp-22, -0x1.36b1d5881b189p-22, -0x1.35ddb723bd4b6p-22, -0x1.356f459cba61ap-22, -0x1.3503a0b38c679p-22, -0x1.34749f7ce3f1bp-22, -0x1.33ca177bd924cp-22, -0x1.328fb35ea77p-22, -0x1.31b94b07b77a5p-22, -0x1.309a1d34e1ad3p-22, -0x1.301cf66381bc7p-22, -0x1.2fdf371196f06p-22, -0x1.2f0e2735e2d46p-22, -0x1.2e29d816e2c2cp-22, -0x1.2cda8c04f4722p-22, -0x1.2c0940163e01bp-22, -0x1.2b1f21188e675p-22, -0x1.2ab2326b83e06p-22, -0x1.298363363fe5p-22, -0x1.28bef57c8c93fp-22, -0x1.26f4e4b4ac2f5p-22, -0x1.265345567e054p-22, -0x1.25056a857f7f2p-22, -0x1.23e7919454bb9p-22, -0x1.227a25116e5dfp-22, -0x1.2144cb99a365bp-22, -0x1.2019b66a70a39p-22, -0x1.1edca49206828p-22, -0x1.1d8da047f4278p-22, -0x1.1c3fcf1bd10c7p-22, -0x1.1b336d1ca0dd1p-22, -0x1.19aa1cf690aadp-22, -0x1.175afc071a2e3p-22, -0x1.17ca0d7b87e36p-22, }}, 
      {{0x1.b0332117944a9p-5, 0x1.83b4732b50395p-4, 0x1.e5543b5f5e55cp-4, 0x1.f14b95ca0403ap-4, 0x1.aa2eae8166ac7p-4, 0x1.1bf4938ce8d49p-4, 0x1.5e545e97d73bdp-6, -0x1.20b041d164804p-5, -0x1.89edca578cff8p-4, -0x1.42afd6c781b92p-3, -0x1.bad612f1912c4p-3, -0x1.1433c7717ba0ep-2, -0x1.43e93f683d62bp-2, -0x1.6b6820334ae1bp-2, -0x1.8a1aecaae0f56p-2, -0x1.9fe0dfeeb5c6p-2, -0x1.acf5a5aea635ep-2, -0x1.b1db0499b0d9dp-2, -0x1.af44fda80837bp-2, -0x1.a6089e51084b4p-2, -0x1.970d961e46f9cp-2, -0x1.83427ecb6df71p-2, -0x1.6b93996460dd4p-2, -0x1.50e3c1a78ccbdp-2, -0x1.3407536140bb8p-2, -0x1.15c0b6dd97996p-2, -0x1.ed7ca04d0aeap-3, -0x1.af3318812bf6cp-3, -0x1.71ad9a62738bfp-3, -0x1.35cbfeb1a5461p-3, -0x1.f88e93be05d9ap-4, -0x1.8b68cca9dc106p-4, -0x1.250e7af95058p-4, -0x1.8c58026b2007dp-5, -0x1.bce3f655f7ddcp-6, -0x1.03f6da8cc9722p-7, 0x1.2f06f3148b9fep-7, 0x1.8f9a58f291ba7p-6, 0x1.335e3c8de1e19p-5, 0x1.8edd504078d1bp-5, 0x1.dad876e79a9c6p-5, 0x1.0bfdb16837b7dp-4, 0x1.23842b182564cp-4, 0x1.3468f6fde6352p-4, 0x1.3f1af24f1ef5fp-4, 0x1.440c413849793p-4, 0x1.43b06b37dbd18p-4, 0x1.3e7acb45f1a41p-4, 0x1.34dd3e5157f8ap-4, 0x1.27471ed7b5fb3p-4, 0x1.16246d2c96fc8p-4, 0x1.01dd2d8986605p-4, 0x1.d5a9e6682b44bp-5, 0x1.a2d4fe2319d7fp-5, 0x1.6bef1985c8d85p-5, 0x1.31a148f6b5a8p-5, 0x1.e9144f5ff06bcp-6, 0x1.6a7bac389f181p-6, 0x1.d1185bffa9c6fp-7, 0x1.91142bc1287c9p-8, -0x1.0b730e282e4fbp-9, -0x1.4f6c0dc28e8b4p-7, -0x1.2dcc665ada531p-6, -0x1.b2fddb8eeb10ap-6, -0x1.1b53e5e8f744dp-5, -0x1.5c1beb7b68585p-5, -0x1.9b957fef18a04p-5, -0x1.d98670fd2a75dp-5, -0x1.0addb52549b31p-4, -0x1.2803cbf687f89p-4, -0x1.44221c62383a2p-4, -0x1.5f2823748dd02p-4, -0x1.7908053cc94bcp-4, -0x1.91b666a986945p-4, -0x1.a92a372dbfe6dp-4, -0x1.bf5c8b51bb135p-4, -0x1.d44870aef40a4p-4, -0x1.e7eac33ec763cp-4, -0x1.fa4208c386f4ap-4, -0x1.05a7269d605f4p-3, -0x1.0d887d03e1a1dp-3, -0x1.14c65d5158d13p-3, -0x1.1b62ac7d97ab9p-3, -0x1.215fd031cefbp-3, -0x1.26c09f2014c7fp-3, -0x1.2b88567b7b741p-3, -0x1.2fba89699199dp-3, -0x1.335b181c8737cp-3, -0x1.366e23a711db4p-3, -0x1.38f8026f3e3ep-3, -0x1.3afd38f6e7b68p-3, -0x1.3c826ef18a7fep-3, -0x1.3d8c67e273929p-3, -0x1.3e1ffade28508p-3, -0x1.3e420d20bccccp-3, -0x1.3df789f175416p-3, -0x1.3d455e75b1c8ap-3, -0x1.3c3072f745689p-3, -0x1.3abda7d5fa02ap-3, -0x1.38f1d08617e11p-3, -0x1.36d1afcaaeb9bp-3, -0x1.3461f4cae2be7p-3, -0x1.31a737f3ba18ap-3, -0x1.2ea5f90efb3fbp-3, -0x1.2b629bfae33d9p-3, -0x1.27e1679c03adap-3, -0x1.242684deb7858p-3, -0x1.2035fca50029ap-3, -0x1.1c13b648f9365p-3, -0x1.17c3796906926p-3, -0x1.1348ea69e9c3p-3, -0x1.0ea78bd559bbap-3, -0x1.09e2be255756ap-3, -0x1.04fdbef2ab27ap-3, -0x1.fff753badd9a4p-4, -0x1.f5bef11836183p-4, -0x1.eb58058bdbb36p-4, -0x1.e0c7ff6de3d2fp-4, -0x1.d6140a459c565p-4, -0x1.cb4111797d332p-4, -0x1.c053c3756a89dp-4, -0x1.b5508f988ab11p-4, -0x1.aa3ba9020d81bp-4, -0x1.9f190aab879fep-4, -0x1.93ec74dd02febp-4, -0x1.88b97091c7357p-4, -0x1.7d8354c3590e5p-4, -0x1.724d40e9c8c04p-4, -0x1.671a24b178654p-4, -0x1.5becbf9ff5e1p-4, -0x1.50c7a2a5d297bp-4, -0x1.45ad315f2b5e1p-4, -0x1.3a9fa5e7b2074p-4, -0x1.2fa1108fd9ca5p-4, -0x1.24b358bc9520dp-4, -0x1.19d8419e875bdp-4, -0x1.0f116a4b7ca7bp-4, -0x1.04604cfeb1149p-4, -0x1.f38c87d36af02p-5, -0x1.de891a3134ca2p-5, -0x1.c9b888d740b84p-5, -0x1.b51cd2fc6db15p-5, -0x1.a0b7c7620d074p-5, -0x1.8c8b0008fecf1p-5, -0x1.7897e3897a4f6p-5, -0x1.64dfac8eb3c24p-5, -0x1.51636d618cb17p-5, -0x1.3e2410e87eab2p-5, -0x1.2b225a37622a1p-5, -0x1.185ee7a695e6ep-5, -0x1.05da3b0677b4p-5, -0x1.e7296d6b830f5p-6, -0x1.c31d3c61eadd7p-6, -0x1.9f9038812aa38p-6, -0x1.7c8286ec15baep-6, -0x1.59f42472eb854p-6, -0x1.37e4dced1a8f9p-6, -0x1.16545a3677209p-6, -0x1.ea844597dbfbap-7, -0x1.a95b4479f9317p-7, -0x1.692c44e998605p-7, -0x1.29f5a874f6271p-7, -0x1.d76b466ebb32ap-8, -0x1.5cd48da3cc6a1p-8, -0x1.c84601dfec5f2p-9, -0x1.b548955075b5ep-10, 0x1.e8aabf46860bp-14, 0x1.eb010e9ed1027p-10, 0x1.d8172bf2754f8p-9, 0x1.5b89c1aa4df42p-8, 0x1.c940055b7936dp-8, 0x1.1a99d8deb9eafp-7, 0x1.4fb50d8519e4bp-7, 0x1.83f450282ebb5p-7, 0x1.b75a59a569377p-7, 0x1.e9e9e43748059p-7, 0x1.0dd2cfbb7fa08p-6, 0x1.26482123ce36ap-6, 0x1.3e563aa8fd26cp-6, 0x1.55fe70838281fp-6, 0x1.6d4213a0d798p-6, 0x1.8422678c11798p-6, 0x1.9aa0bf2837168p-6, 0x1.b0be53632733fp-6, 0x1.c67c6054fa179p-6, 0x1.dbdc1b73f2d02p-6, 0x1.f0deb43e2617ep-6, 0x1.02c2a8546245ep-5, 0x1.0ce889deb3664p-5, 0x1.16e18a5c9f3bp-5, 0x1.20ae34608087p-5, 0x1.2a4f0d601da9dp-5, 0x1.33c4963d1f2fep-5, 0x1.3d0f4fdbc4df5p-5, 0x1.462fb2031e9c7p-5, 0x1.4f2635830735dp-5, 0x1.57f34d700344cp-5, 0x1.60976a6792c8fp-5, 0x1.6912f9c550734p-5, 0x1.7166627798b09p-5, 0x1.799206a634dd3p-5, 0x1.81964e79dc264p-5, 0x1.8973968b09033p-5, 0x1.912a36e157807p-5, 0x1.98ba8e5d96337p-5, 0x1.a024f0c849cb4p-5, 0x1.a769afcb0e025p-5, 0x1.ae891d38b2d99p-5, 0x1.b58383260e951p-5, 0x1.bc592e6f12b5bp-5, 0x1.c30a69c6648bdp-5, 0x1.c99776d7f4fbap-5, 0x1.d0009d4ced19ap-5, 0x1.d6461e21c2bc3p-5, 0x1.dc6838c013dep-5, 0x1.e2672b4937e64p-5, 0x1.e84333945d73ap-5, 0x1.edfc8adc5262cp-5, 0x1.f3936cad83d93p-5, 0x1.f9080de7482bdp-5, 0x1.fe5aa933f2568p-5, 0x1.01c5b929c9db5p-4, 0x1.044d4e328c584p-4, 0x1.06c42f1df443ap-4, 0x1.092a745d8307bp-4, 0x1.0b8037095ab62p-4, 0x1.0dc5906d41607p-4, 0x1.0ffa988ee2f57p-4, 0x1.121f683389714p-4, 0x1.14341675bd66cp-4, 0x1.1638bdbb5de25p-4, 0x1.182d72b0b77f5p-4, 0x1.1a124ffe1314dp-4, 0x1.1be76ba5ddb35p-4, 0x1.1dacde2c2b3cp-4, 0x1.1f62bff805a21p-4, 0x1.2109275771308p-4, 0x1.22a02eef8c72ap-4, 0x1.2427ed19e0dafp-4, 0x1.25a07aa9eb1e4p-4, 0x1.2709f0c276346p-4, 0x1.2864671c5ddacp-4, 0x1.29aff8dbbf25ap-4, 0x1.2aecbcc16e584p-4, 0x1.2c1acf0a58e27p-4, 0x1.2d3a48bc9b1bcp-4, 0x1.2e4b425db6a32p-4, 0x1.2f4dd964e07bep-4, 0x1.3042261af33bp-4, 0x1.31284619e0635p-4, 0x1.3200541ab1c58p-4, 0x1.32ca6c41b5028p-4, 0x1.3386aa8253c57p-4, 0x1.34352ccac6cccp-4, 0x1.34d60f0356888p-4, 0x1.35696f5057fa8p-4, 0x1.35ef6c75f7eb6p-4, 0x1.366824a785949p-4, 0x1.36d3b69b33d89p-4, 0x1.373241e625a4cp-4, 0x1.3783e5089142cp-4, 0x1.37c8c0ecbd1b4p-4, 0x1.3800f6ae4c3b9p-4, 0x1.382ca5f7e7f7ap-4, 0x1.384bf1e983f72p-4, 0x1.385efb47aaf12p-4, 0x1.3865e3122dc0bp-4, 0x1.3860ce26abb67p-4, 0x1.384fdc7c0a0a7p-4, 0x1.383333243bcc4p-4, 0x1.380af50101124p-4, 0x1.37d746c5125fep-4, 0x1.37984c8ca792cp-4, 0x1.374e2b1d7018ap-4, 0x1.36f906b6ed0bbp-4, 0x1.369904d8d73d6p-4, 0x1.362e4ab46006dp-4, 0x1.35b8fd92acdcep-4, 0x1.353945219aa76p-4, 0x1.34af46efbfc28p-4, 0x1.341b2a2b9e03fp-4, 0x1.337d156b89894p-4, 0x1.32d52f7eb2ea3p-4, 0x1.32239f6cc1303p-4, 0x1.31688c8474cc2p-4, 0x1.30a41f54ec12ep-4, 0x1.2fd67de746887p-4, 0x1.2effd2d6e6599p-4, 0x1.2e2044fff9be9p-4, 0x1.2d37fd7a12f91p-4, 0x1.2c47234c77159p-4, 0x1.2b4ddf8136c42p-4, 0x1.2a4c5a628ba82p-4, 0x1.2942bc83ce02p-4, 0x1.28312ebbab3fp-4, 0x1.2717d9bd1d219p-4, 0x1.25f6e75d9959ep-4, 0x1.24ce7e75a4497p-4, 0x1.239ecaf812b15p-4, 0x1.2267f3dd3a4e9p-4, 0x1.212a214f23e26p-4, 0x1.1fe579b17ba2bp-4, 0x1.1e9a2a48cf49fp-4, 0x1.1d48596cac254p-4, 0x1.1bf02feec59b6p-4, 0x1.1a91d6151e07bp-4, 0x1.192d7500cf881p-4, 0x1.17c333e82af25p-4, 0x1.16533d3427f16p-4, 0x1.14ddb51893252p-4, 0x1.1362c462448ap-4, 0x1.11e2942fcc62dp-4, 0x1.105d4a6eb8eb6p-4, 0x1.0ed30ecfdafb4p-4, 0x1.0d4408d3b8542p-4, 0x1.0bb05f61f426ap-4, 0x1.0a1838e4e492bp-4, 0x1.087bbbb716cb7p-4, 0x1.06db0df714689p-4, 0x1.0536550f73c18p-4, 0x1.038db66fb802dp-4, 0x1.01e15783d8972p-4, 0x1.00315d374f91cp-4, 0x1.fcfbd92a03496p-5, 0x1.f98e547b1953bp-5, 0x1.f61a74b85271cp-5, 0x1.f2a0816f8949bp-5, 0x1.ef20c165f2d78p-5, 0x1.eb9b7a908e3adp-5, 0x1.e810f23a82c8ap-5, 0x1.e4816ce90b866p-5, 0x1.e0ed2ec20ee4p-5, 0x1.dd547b2dbdfa4p-5, 0x1.d9b7952853dacp-5, 0x1.d616bed7e3a73p-5, 0x1.d27239a40080bp-5, 0x1.ceca45ecaa59fp-5, 0x1.cb1f2405dc45fp-5, 0x1.c77110b2ae2b8p-5, 0x1.c3c04be03bf7p-5, 0x1.c00d107cb6556p-5, 0x1.bc579c0fe90cdp-5, 0x1.b8a02972d08b9p-5, 0x1.b4e6f3817f7d7p-5, 0x1.b12c345ee2a1fp-5, 0x1.ad70256de0861p-5, 0x1.a9b2fed330b9fp-5, 0x1.a5f4f7e04d207p-5, 0x1.a23647409589fp-5, 0x1.9e7721d1db81cp-5, 0x1.9ab7bbc96546bp-5, 0x1.96f848b107c1p-5, 0x1.9338fb24ea754p-5, 0x1.8f7a053834c57p-5, 0x1.8bbb985086a41p-5, 0x1.87fde44860d09p-5, 0x1.844119430daefp-5, 0x1.808565d4d18dfp-5, 0x1.7ccaf7cd021aap-5, 0x1.7911fc28be28ap-5, 0x1.755a9e89c573fp-5, 0x1.71a5093d63cefp-5, 0x1.6df1669cd3c14p-5, 0x1.6a3fdec53993ap-5, 0x1.669099d247c51p-5, 0x1.62e3beb70a2dcp-5, 0x1.5f39733d3233ep-5, 0x1.5b91dd086d989p-5, 0x1.57ed2116944c2p-5, 0x1.544b63c8daf8p-5, 0x1.50acc86df26a2p-5, 0x1.4d1171990b28dp-5, 0x1.497981e42e43p-5, 0x1.45e51a607e28ep-5, 0x1.42545b543eb21p-5, 0x1.3ec76382db50bp-5, 0x1.3b3e503938feap-5, 0x1.37b93dda09d61p-5, 0x1.343847190415ap-5, 0x1.30bb858e116c4p-5, 0x1.2d431223540fep-5, 0x1.29cf05488ec09p-5, 0x1.265f77fa62d11p-5, 0x1.22f48111da98ep-5, 0x1.1f8e3f1a94551p-5, 0x1.1c2cc43204fe7p-5, 0x1.18d030989d4f7p-5, 0x1.15789a8297946p-5, 0x1.12261a5e94a1ep-5, 0x1.0ed8c58a04471p-5, 0x1.0b90ae45f32f2p-5, 0x1.084de38a837eep-5, 0x1.05107190b7fa9p-5, 0x1.01d86299b6ad4p-5, 0x1.fd4b7e2e58615p-6, 0x1.f6f12190024b8p-6, 0x1.f0a1c6c2d93a3p-6, 0x1.ea5d8c52675c6p-6, 0x1.e424975048d9dp-6, 0x1.ddf7146b840f7p-6, 0x1.d7d533dc75d92p-6, 0x1.d1bf25fb85412p-6, 0x1.cbb5155756dcep-6, 0x1.c5b7233b9de04p-6, 0x1.bfc564419f18ep-6, 0x1.b9dfe1e4e1503p-6, 0x1.b40685c76c077p-6, 0x1.ae394a7be60e6p-6, 0x1.a87812f734d38p-6, 0x1.a2c2cca88a87dp-6, 0x1.9d196f74af4c5p-6, 0x1.977c01f35b7a6p-6, 0x1.91ea9cc128b8ap-6, 0x1.8c656c56ee4dep-6, 0x1.86eca71fdc964p-6, 0x1.81808a9865d18p-6, 0x1.7c214f40d163dp-6, 0x1.76cf1fdcc3aefp-6, 0x1.718a1023dd34dp-6, 0x1.6c521a3397479p-6, 0x1.67271f398cc4ap-6, 0x1.6208ec1f213b1p-6, 0x1.5cf7420034eaap-6, 0x1.57f1e1555cd1ap-6, 0x1.52f8957945eep-6, 0x1.4e0b3e70992abp-6, 0x1.4929d7b0ca97ep-6, 0x1.44547855fe9ddp-6, 0x1.3f8b510a4d29bp-6, 0x1.3acea32eac4a5p-6, 0x1.361eb4ceef3efp-6, 0x1.317bc0db9d8b1p-6, 0x1.2ce5fadb8f2e7p-6, 0x1.285d6435f7ecap-6, 0x1.23e1f80d595cdp-6, 0x1.1f737e7ac56b8p-6, 0x1.1b11b5485142fp-6, 0x1.16bc4cf8ef91ep-6, 0x1.1272f46200295p-6, 0x1.0e35676ecaff4p-6, 0x1.0a0374a5c9c8fp-6, 0x1.05dd0583065d9p-6, 0x1.01c21d59dfbd2p-6, 0x1.fb65ad60ebb0ep-7, 0x1.f35eb7cf55f7fp-7, 0x1.eb6fbc104a73fp-7, 0x1.e39913a2374eep-7, 0x1.dbdafcf2b32cp-7, 0x1.d4358f02e004ap-7, 0x1.cca8b44b150c1p-7, 0x1.c5342819410a1p-7, 0x1.bdd792026e924p-7, 0x1.b6928209f7529p-7, 0x1.af6478111b1c1p-7, 0x1.a84d0e46ab523p-7, 0x1.a14bee6e727cap-7, 0x1.9a60dd62f75ebp-7, 0x1.938bba7359423p-7, 0x1.8ccc7996936afp-7, 0x1.86231c016b0ebp-7, 0x1.7f8fa6d439ac5p-7, 0x1.7912169cff134p-7, 0x1.72aa56ec20f48p-7, 0x1.6c5841e723162p-7, 0x1.661ba41b39767p-7, 0x1.5ff442b5a39ddp-7, 0x1.59e1e3dc51175p-7, 0x1.53e4586a5a3fep-7, 0x1.4dfb7a5c9cbc7p-7, 0x1.48273e0e5e8e2p-7, 0x1.42678273b66a5p-7, 0x1.3cbc49d6875aap-7, 0x1.37257ff64e36ap-7, 0x1.31a30d7875c37p-7, 0x1.2c34d3ccdc196p-7, 0x1.26daaa47d0f9p-7, 0x1.21945e2bee8a6p-7, 0x1.1c61b0b4d60ccp-7, 0x1.17425397dae74p-7, 0x1.1235e578c025ap-7, 0x1.0d3bf29c9785ap-7, 0x1.0853fb1157ba9p-7, 0x1.037d83df60635p-7, 0x1.fd705d0d381ddp-8, 0x1.f407c3ac2ddf5p-8, 0x1.eac1301a6898p-8, 0x1.e19d3be3e58a5p-8, 0x1.d89c9e62ba943p-8, 0x1.cfbfebcd74744p-8, 0x1.c70761708ccd7p-8, 0x1.be72cd60acdf4p-8, 0x1.b6019c2e02d4cp-8, 0x1.adb300932e285p-8, 0x1.a58625634217ap-8, 0x1.9d7a529ddc3ddp-8, 0x1.958efd76e64bcp-8, 0x1.8dc3c1223f674p-8, 0x1.86183de3dbc8cp-8, 0x1.7e8be4e986e22p-8, 0x1.771dcea969385p-8, 0x1.6fccbc89702dcp-8, 0x1.68975f8411053p-8, 0x1.617ccbf133ec4p-8, 0x1.5a7cedff0e1e3p-8, 0x1.5398862d3df6p-8, 0x1.4cd0e7240250bp-8, 0x1.4627410d83063p-8, 0x1.3f9c26a5bb972p-8, 0x1.392f503ea5321p-8, 0x1.32dfcf47a0ed5p-8, 0x1.2cac5b5167947p-8, 0x1.2693aaa1f83f2p-8, 0x1.2094c2799b84ep-8, 0x1.1aaf01717a5fep-8, 0x1.14e22d3d0f5fdp-8, 0x1.0f2e70f7d4633p-8, 0x1.099420f9adf11p-8, 0x1.04135c0615225p-8, 0x1.fd575eca21aaap-9, 0x1.f2b8184ea597p-9, 0x1.e845e53d3184bp-9, 0x1.ddfe1edfa9fd3p-9, 0x1.d3dfee24cf54dp-9, 0x1.c9ebbacf6b017p-9, 0x1.c023e8d3b1ef5p-9, 0x1.b68aaad9c7e91p-9, 0x1.ad2115e54ff83p-9, 0x1.a3e6ab531f89p-9, 0x1.9ad9c1cbe4dd6p-9, 0x1.91f83ac66d30ap-9, 0x1.894007e399248p-9, 0x1.80af6e7680abbp-9, 0x1.7845236d581d7p-9, 0x1.7000582778c56p-9, 0x1.67e0c2da58693p-9, 0x1.5fe6a26c0381ep-9, 0x1.58127d857430cp-9, 0x1.5064a7c6b58e9p-9, 0x1.48dcd997357dfp-9, 0x1.417a1e8672152p-9, 0x1.3a3b15355d985p-9, 0x1.331e56ff00c51p-9, 0x1.2c22eded20e3bp-9, 0x1.25488b26210bfp-9, 0x1.1e8f414c3a2d3p-9, 0x1.17f71d76e0998p-9, 0x1.118000357d43ep-9, 0x1.0b29a586860bp-9, 0x1.04f3a38de247fp-9, 0x1.fdbab3675d7bp-10, 0x1.f1cc154ad8826p-10, 0x1.e61988a47d3ddp-10, 0x1.daa2bcf534678p-10, 0x1.cf664e6171c71p-10, 0x1.c462336ce1accp-10, 0x1.b993e811ce426p-10, 0x1.aef9b8245d5c8p-10, 0x1.a49336aa24eb2p-10, 0x1.9a60b5b24b6fcp-10, 0x1.90629961239eap-10, 0x1.8698ffafac1aap-10, 0x1.7d03c35eb237fp-10, 0x1.73a2e75a73508p-10, 0x1.6a76c69389749p-10, 0x1.617efad5278d4p-10, 0x1.58b8c4c065626p-10, 0x1.501f7674e30b9p-10, 0x1.47af6a5f9287fp-10, 0x1.3f686246ed0b7p-10, 0x1.374c93215065bp-10, 0x1.2f5d22ba1a98bp-10, 0x1.2798ee34df6ap-10, 0x1.1ffea606ef2dfp-10, 0x1.188f29a97e22dp-10, 0x1.114be76df3af1p-10, 0x1.0a342f99b261bp-10, 0x1.0344f5081246p-10, 0x1.f8f4bedd8b8cdp-11, 0x1.eba2e50c400cfp-11, 0x1.de928be217e75p-11, 0x1.d1c5e7a118449p-11, 0x1.c5403cf68481cp-11, 0x1.b90193533ccfep-11, 0x1.ad086f494ce1bp-11, 0x1.a1554ddf78558p-11, 0x1.95ec4f84e7ec7p-11, 0x1.8acf47ff7fea4p-11, 0x1.7ffa1d6ec4afap-11, 0x1.7563659a76a76p-11, 0x1.6b00ee470669fp-11, 0x1.60cfb2871f0ecp-11, 0x1.56d5caf5b035ap-11, 0x1.4d186a5343f2fp-11, 0x1.4394cac706b8ap-11, 0x1.3a45f5ee8f92p-11, 0x1.312d98e8e2a4ep-11, 0x1.284f4a857f51p-11, 0x1.1fabb5c56ccdfp-11, 0x1.174026c58481dp-11, 0x1.0f0a36bd9303p-11, 0x1.07068289b8d0fp-11, 0x1.fe5f97309bb65p-12, 0x1.ef03936bc6471p-12, 0x1.dffb5bda5226bp-12, 0x1.d14fd1a2dd1efp-12, 0x1.c3021d01a5476p-12, 0x1.b50a00ed24005p-12, 0x1.a76646b03b059p-12, 0x1.9a1ed1fea9363p-12, 0x1.8d3715c91892cp-12, 0x1.80aa0ea976f14p-12, 0x1.747090aa70782p-12, 0x1.6881c82edd26cp-12, 0x1.5cd38dd370c64p-12, 0x1.5167067512d42p-12, 0x1.46469fd147f12p-12, 0x1.3b6f627a9606bp-12, 0x1.30d8460567cdep-12, 0x1.26855fe619d2ep-12, 0x1.1c7baf56dc4b6p-12, 0x1.12b70a2885375p-12, 0x1.093273247605dp-12, 0x1.ffd977e86f08ep-13, 0x1.edce2891a81f6p-13, 0x1.dc437dcc3e005p-13, 0x1.cb3678158dc05p-13, 0x1.ba9b3498bd14bp-13, 0x1.aa636cac5503cp-13, 0x1.9a927ca4ca001p-13, 0x1.8b340444ebfa9p-13, 0x1.7c3f664c6bf22p-13, 0x1.6da9964130838p-13, 0x1.5f7c6e8cc1d97p-13, 0x1.51bf4582dfcb5p-13, 0x1.4469814038b7p-13, 0x1.37723cc025bf3p-13, 0x1.2ada32fc4d537p-13, 0x1.1ea07f3d27861p-13, 0x1.12b8da3f0986dp-13, 0x1.072351ddef819p-13, 0x1.f7c4629eece9ap-14, 0x1.e1d5a23b4abap-14, 0x1.cc8abc6572cadp-14, 0x1.b7f2516aec67dp-14, 0x1.a3f9f52130a41p-14, 0x1.9092de5fc7252p-14, 0x1.7db9627d27499p-14, 0x1.6b6d674f62cf7p-14, 0x1.59ab8b3f57f9ep-14, 0x1.487568afc7184p-14, 0x1.37c848da7715bp-14, 0x1.27a417e230ef3p-14, 0x1.180a5fe60e1b6p-14, 0x1.08f151ada17adp-14, 0x1.f492bcdae58dfp-15, 0x1.d82d5916ae994p-15, 0x1.bca41890a48f2p-15, 0x1.a1e987e83c45bp-15, 0x1.8818716aed161p-15, 0x1.6f3a3401bec5fp-15, 0x1.572d6af5b7449p-15, 0x1.3fdd433c46427p-15, 0x1.295c8e32d6b1fp-15, 0x1.13beace494814p-15, 0x1.fdb518e6b9c0ap-16, 0x1.d535020b90c17p-16, 0x1.adec01481a4d7p-16, 0x1.880686cd0ab56p-16, 0x1.63b26f07407ebp-16, 0x1.40bce37f414b3p-16, 0x1.1ef8949fc5c85p-16, 0x1.fccb78ceacb16p-17, 0x1.be0155e8a0e5dp-17, 0x1.81abd1909d8b3p-17, 0x1.47979637048a6p-17, 0x1.0fbdb7d5350b1p-17, 0x1.b4216b5913a2dp-18, 0x1.4cf06aebaee77p-18, 0x1.d3a69b77e5998p-19, 0x1.1553e153fa5b3p-19, 0x1.7da186473c95dp-21, -0x1.370471151f8c3p-21, -0x1.e5f49b38b5f6ep-20, -0x1.91cd9266a4958p-19, -0x1.1597aa4f31194p-18, -0x1.5efacc9e67c15p-18, -0x1.a45eec1d7731dp-18, -0x1.e6752a093bb7ep-18, -0x1.12e07d9b050e4p-17, -0x1.3107de7977316p-17, -0x1.4d5cee929abf4p-17, -0x1.68326720154c2p-17, -0x1.820fec0685eb7p-17, -0x1.9abd3834a9af6p-17, -0x1.b1c1fb06d2b6ap-17, -0x1.c768e57164712p-17, -0x1.dbed0111ebd1cp-17, -0x1.ef4b63c36b943p-17, -0x1.00c1c00071477p-16, -0x1.094ccfbac0cf7p-16, -0x1.114a6d6e30c8p-16, -0x1.18be94fbce0a8p-16, -0x1.1fadb138839ebp-16, -0x1.261c6efa4217fp-16, -0x1.2c0f21024cea6p-16, -0x1.318a229d9a9d8p-16, -0x1.36927b7ab3dc1p-16, -0x1.3b2cb3dd1371bp-16, -0x1.3f5cabb2661ebp-16, -0x1.4326f4ff80514p-16, -0x1.468bf6f020eb6p-16, -0x1.4975db277fca9p-16, -0x1.4be4d45b36af4p-16, -0x1.4e1b86eafbe6dp-16, -0x1.5019f6ea49ea1p-16, -0x1.51a5884c5e052p-16, -0x1.52cde61ea0687p-16, -0x1.53b6bce0ad5acp-16, -0x1.544beb142cf6p-16, -0x1.547afa2eed26ep-16, -0x1.548f802b1b1b1p-16, -0x1.546371f9c60bfp-16, -0x1.53d1fe197e97cp-16, -0x1.53072fe206ae8p-16, -0x1.52086ac6433b9p-16, -0x1.50cce62f9ed83p-16, -0x1.4f57b69b636eep-16, -0x1.4daece7f1f69dp-16, -0x1.4bca52fe7889cp-16, -0x1.49b40ce62eb59p-16, -0x1.476e46c4d87c3p-16, -0x1.44f6392c64ad8p-16, -0x1.4253eabe251e9p-16, -0x1.3f87e53db0e48p-16, -0x1.3c918ceac5b0bp-16, -0x1.397324a188a5fp-16, -0x1.362fbd5d20dedp-16, -0x1.32c63c553fb74p-16, -0x1.2f3cb3f091e19p-16, -0x1.2b90eb5b98c68p-16, -0x1.27c8ac5aa62b3p-16, -0x1.23e1a4b96df75p-16, -0x1.1fe6588c8538ep-16, -0x1.1bccf4e13e0f5p-16, -0x1.1786442af5e94p-16, -0x1.13392524874c8p-16, -0x1.0ed5bc68ee849p-16, -0x1.0a52c5ffc1b54p-16, -0x1.05c08c330283p-16, -0x1.0119e179a4cbep-16, -0x1.f8d2aac62116dp-17, -0x1.ef36c38b75797p-17, -0x1.e5871187cdcbep-17, -0x1.dbc3e4ae307a5p-17, -0x1.d1e5b4cc04ceap-17, -0x1.c7ebdabd10a05p-17, -0x1.bddcb76e15806p-17, -0x1.b3b636ac228bdp-17, -0x1.a97c8974c6a93p-17, -0x1.9f30ce534d5e6p-17, -0x1.94d6235653089p-17, -0x1.8a694499eb733p-17, -0x1.7ff21c3990768p-17, -0x1.7575c8ce2099bp-17, -0x1.6aed868941a19p-17, -0x1.605b2a1eac4c4p-17, -0x1.55c40978c3d46p-17, -0x1.4b2862300a8ecp-17, -0x1.4083e265eabd4p-17, -0x1.35db83071d7bep-17, -0x1.2b369fe3ed05p-17, -0x1.2088db3e36858p-17, -0x1.15f8049131063p-17, -0x1.0b56c8b1ceef4p-17, -0x1.00c0df74fcb7fp-17, -0x1.ec35d92fd608fp-18, -0x1.d70c63335e336p-18, -0x1.c206602d61c4cp-18, -0x1.ad02044f1d08bp-18, -0x1.9818f43e5b794p-18, -0x1.8328268f23855p-18, -0x1.6e27ea2a2e492p-18, -0x1.595b67863753bp-18, -0x1.44b558a486b24p-18, -0x1.302ab9b6dfd0ep-18, -0x1.1bb6d614d1c26p-18, -0x1.075c4f0dbc9a6p-18, -0x1.e63b35b2ce41p-19, -0x1.bdf8ae365557bp-19, -0x1.95f37d1ec0cf5p-19, -0x1.6e2de9707923fp-19, -0x1.46a9728417454p-19, -0x1.1f6886f3c0355p-19, -0x1.f0e4cce638a09p-20, -0x1.a38203de7c115p-20, -0x1.56b3dc060fd49p-20, -0x1.0a7e68c411b34p-20, -0x1.7dc85815925a6p-21, -0x1.cf9ea0277ac7ap-22, -0x1.4c7032e9dbaafp-23, 0x1.00fa454f5ae37p-23, 0x1.a1e64d2d4267fp-22, 0x1.62af33bf92b1bp-21, 0x1.f29f2ad9e52fp-21, 0x1.405c4833ab7dcp-20, 0x1.86b64b0ac91abp-20, 0x1.cc5b161a73b61p-20, 0x1.08a75995eceacp-19, 0x1.2ac2bb2672be7p-19, 0x1.4c8beb9db994ep-19, 0x1.6ea8d95d67397p-19, 0x1.8f03797a7eb1p-19, 0x1.af8c8e8b5632dp-19, 0x1.cfbba66693664p-19, 0x1.efa5bc8a53e62p-19, 0x1.07c5a0a3e1f61p-18, 0x1.1752879b9c70ap-18, 0x1.26ad9f0d6f8edp-18, 0x1.35e2e5d1d6ec5p-18, 0x1.44c69dffc7273p-18, 0x1.53bc823a443d9p-18, 0x1.6263620497c77p-18, 0x1.70d19dae1ad28p-18, 0x1.7f080618ff498p-18, 0x1.8d27a0cf6083bp-18, 0x1.9afcbd8bd17cfp-18, 0x1.a8ae2c7d16a9cp-18, 0x1.b6445f680c12dp-18, 0x1.c376d749235bbp-18, 0x1.d08d91d391a4cp-18, 0x1.dd7946d3ca66p-18, 0x1.ea1fca19aded5p-18, 0x1.f6b1c7099415dp-18, 0x1.018338961ecfep-17, 0x1.0795b2a7b469dp-17, 0x1.0d8f9451d794p-17, 0x1.136dd5a7eaaa8p-17, 0x1.1926809f796c5p-17, 0x1.1ee6240d713a5p-17, 0x1.24810c9a322bcp-17, 0x1.2a0200989422fp-17, 0x1.2f6a77a8dcc76p-17, 0x1.34b9b028a0f3dp-17, 0x1.39f1629cec106p-17, 0x1.3f1268069e9fdp-17, 0x1.441b95c4eff9ep-17, 0x1.490d9cd578e05p-17, 0x1.4de98e3673644p-17, 0x1.52aeacbe9cefp-17, 0x1.5756f8e031ed6p-17, 0x1.5c005cd422505p-17, 0x1.60659d7ffe68ep-17, 0x1.64ca1f8b26e76p-17, 0x1.69205b1d59634p-17, 0x1.6d5d6a6e2752cp-17, 0x1.717fd0a9e18ebp-17, 0x1.758cd86c2567ap-17, 0x1.7986c5d31eeedp-17, 0x1.7d5c2f3c6835ep-17, 0x1.812b3bceda696p-17, 0x1.84dc2465b947p-17, 0x1.887e2000a11f8p-17, 0x1.8c11f77712a87p-17, 0x1.8f7ea1a5b2457p-17, 0x1.92e65bd9718d5p-17, 0x1.962ec4c1ecedap-17, 0x1.995c541090e31p-17, 0x1.9c82fe369059dp-17, 0x1.9f8d1eee5b91ep-17, 0x1.a28918f697bbep-17, 0x1.a576706b1e707p-17, 0x1.a843ae5622731p-17, 0x1.aaff88f4cbf17p-17, 0x1.ada51361f8053p-17, 0x1.b03b54fee0341p-17, 0x1.b2b8ea937338fp-17, 0x1.b52ca80fb2316p-17, 0x1.b78db871ce8e8p-17, 0x1.b9d9270c124bdp-17, 0x1.bc0ee6017c082p-17, 0x1.be31cd104dc88p-17, 0x1.c048f60ec5f6ap-17, 0x1.c243b500a9382p-17, 0x1.c43515e0fd26cp-17, 0x1.c6139e7c94b77p-17, 0x1.c8099e3a64115p-17, 0x1.c991152379451p-17, 0x1.cb426b2618614p-17, 0x1.ccd1e205bc1afp-17, 0x1.ce64f8ef0e60cp-17, 0x1.cfdb402e5cd32p-17, 0x1.d13cdd6b5bd99p-17, 0x1.d290e138c2b22p-17, 0x1.d3d6316e546f2p-17, 0x1.d50d7eeb20b9cp-17, 0x1.d6374b307e48fp-17, 0x1.d74c917bbca19p-17, 0x1.d845ff95595ep-17, 0x1.d969538ba4f3p-17, 0x1.da23ad8bfe19bp-17, }}, 
      {{0x1.7d3ffe0da9dd6p-5, 0x1.69470ac47737fp-4, 0x1.f0d608451be01p-4, 0x1.2639b203bb1c3p-3, 0x1.3c753ee48ae54p-3, 0x1.3bb100588c57bp-3, 0x1.26011197dc11p-3, 0x1.fcc5d5c35babfp-4, 0x1.9089cb7c49153p-4, 0x1.0e5a726d966cbp-4, 0x1.f3e6c68128a52p-6, -0x1.d6dff4fccb546p-8, -0x1.76e7f2f731df2p-5, -0x1.5882eb86aeb29p-4, -0x1.f0d97b60cb2d5p-4, -0x1.40c003c598344p-3, -0x1.841bf80b94832p-3, -0x1.c1b3b67367f27p-3, -0x1.f9020603c47fap-3, -0x1.14df4d1e15373p-2, -0x1.29e9e75627a5bp-2, -0x1.3baa8e03f3597p-2, -0x1.4a3b3bb757972p-2, -0x1.55c25560a6d37p-2, -0x1.5e6f57d5687f6p-2, -0x1.6478005e50f21p-2, -0x1.6815eb51b85eap-2, -0x1.69849dba91991p-2, -0x1.68fff07b75266p-2, -0x1.66c2ce8cc026ep-2, -0x1.63063e54b1fbcp-2, -0x1.5e00aac7a5af8p-2, -0x1.57e55df3e6fb7p-2, -0x1.50e42c575fc86p-2, -0x1.49294017ea0ccp-2, -0x1.40dd023686686p-2, -0x1.38241cfb823p-2, -0x1.2f1f8d794de41p-2, -0x1.25ecc43969e9cp-2, -0x1.1ca5cd6c9193p-2, -0x1.136183760f746p-2, -0x1.0a33c3e371633p-2, -0x1.012da62c17fap-2, -0x1.f0bb679f4fa2cp-3, -0x1.dfa04125b40d2p-3, -0x1.cf1e011811f8ap-3, -0x1.bf44fbd7e697cp-3, -0x1.b02210a1f0d21p-3, -0x1.a1bf0bc539fb1p-3, -0x1.9422fb8b2d0ep-3, -0x1.875285b52408ep-3, -0x1.7b502f4187cb3p-3, -0x1.701ca0303af35p-3, -0x1.65b6e5f2eec3ep-3, -0x1.5c1caa516bec8p-3, -0x1.534a6ad3d7afp-3, -0x1.4b3ba44cc5845p-3, -0x1.43eafdad0b27bp-3, -0x1.3d526e7f54f23p-3, -0x1.376b5de742ed5p-3, -0x1.322ec2aab297cp-3, -0x1.2d953fd8cb3ep-3, -0x1.299738b6a5ac1p-3, -0x1.262ce85e8d98dp-3, -0x1.234e70c863d0bp-3, -0x1.20f3ede36f51dp-3, -0x1.1f157fe2959dep-3, -0x1.1dab58986d328p-3, -0x1.1cadc635e6202p-3, -0x1.1c153a54c6eb7p-3, -0x1.1bda53d49269dp-3, -0x1.1bf5e3184703fp-3, -0x1.1c60ee8498b87p-3, -0x1.1d14b9c5f99f3p-3, -0x1.1e0ac394626a7p-3, -0x1.1f3ccd7025a57p-3, -0x1.20a4d98326f1bp-3, -0x1.223d2cd97288ap-3, -0x1.240051c49f649p-3, -0x1.25e9166ea888fp-3, -0x1.27f28c8447ddap-3, -0x1.2a1808216badp-3, -0x1.2c5520ea9253dp-3, -0x1.2ea5afceafdaep-3, -0x1.3105ccdfb4abfp-3, -0x1.3371ce52e2b87p-3, -0x1.35e646cb95d4ap-3, -0x1.386005acbec57p-3, -0x1.3adc11aac20a9p-3, -0x1.3d57a6f0409fcp-3, -0x1.3fd038d88c28ap-3, -0x1.42436bcba55e1p-3, -0x1.44af1467507fp-3, -0x1.471136848049p-3, -0x1.49680242ac2bap-3, -0x1.4bb1d024c08c3p-3, -0x1.4ded2319a48bfp-3, -0x1.5018a19d148ap-3, -0x1.5233185f5bba9p-3, -0x1.543b73991a787p-3, -0x1.5630c0c22cec9p-3, -0x1.58122b63a0a8p-3, -0x1.59defabc1746ep-3, -0x1.5b9690da5a0bfp-3, -0x1.5d38684d08ab1p-3, -0x1.5ec4134a272d7p-3, -0x1.603939852a73bp-3, -0x1.6197975e816f8p-3, -0x1.62defadd6c5dep-3, -0x1.640f43f9ed171p-3, -0x1.652862d7953adp-3, -0x1.662a5585a88c4p-3, -0x1.67152836cda79p-3, -0x1.67e8f3f57bb54p-3, -0x1.68a5dc1dd701fp-3, -0x1.694c0ebbd6497p-3, -0x1.69dbc45ab08eep-3, -0x1.6a553c97df645p-3, -0x1.6ab8bfecdf1bcp-3, -0x1.6b069d264acdp-3, -0x1.6b3f29164c08bp-3, -0x1.6b62befcac741p-3, -0x1.6b71bdd827dd2p-3, -0x1.6b6c8981d6cdcp-3, -0x1.6b538a5da0122p-3, -0x1.6b272b2026fc2p-3, -0x1.6ae7d8142d2a8p-3, -0x1.6a96013421692p-3, -0x1.6a3217521dd51p-3, -0x1.69bc8dff04502p-3, -0x1.6935d7bb7fafdp-3, -0x1.689e68bbee86ap-3, -0x1.67f6b54fc63dep-3, -0x1.673f32b91c19p-3, -0x1.6678547280e9bp-3, -0x1.65a28ec69c67bp-3, -0x1.64be549fa9a53p-3, -0x1.63cc189b097bep-3, -0x1.62cc4c3b14b6cp-3, -0x1.61bf5f2fdcbf5p-3, -0x1.60a5c054d0603p-3, -0x1.5f7fdd96409e7p-3, -0x1.5e4e229e9ac4bp-3, -0x1.5d10f974d2c5bp-3, -0x1.5bc8cab7ac041p-3, -0x1.5a75fcd81d3b1p-3, -0x1.5918f47b034ep-3, -0x1.57b214ea4ebc2p-3, -0x1.5641be6acd5e7p-3, -0x1.54c84f5a4bdf2p-3, -0x1.53462426a6bd5p-3, -0x1.51bb9777f943cp-3, -0x1.5029020dfbf3ep-3, -0x1.4e8eb9a00e39ep-3, -0x1.4ced11c874e02p-3, -0x1.4b445d4252dcfp-3, -0x1.4994eb1c9f2d1p-3, -0x1.47df08d7c98edp-3, -0x1.4623027cb7f94p-3, -0x1.4461211e5a184p-3, -0x1.4299ac2515c5ep-3, -0x1.40cce8f7192bdp-3, -0x1.3efb1aed7200fp-3, -0x1.3d2483515f70bp-3, -0x1.3b496223d904bp-3, -0x1.3969f5011df28p-3, -0x1.3786779456996p-3, -0x1.359f23818c744p-3, -0x1.33b4314285a0ap-3, -0x1.31c5d7b98e7cdp-3, -0x1.2fd44bd9e62c9p-3, -0x1.2ddfc023429f7p-3, -0x1.2be866971eaecp-3, -0x1.29ee6ef9ca0e8p-3, -0x1.27f2080a1cd19p-3, -0x1.25f35e81dc65dp-3, -0x1.23f29e808a679p-3, -0x1.21eff183e5dc6p-3, -0x1.1feb80f2271adp-3, -0x1.1de573ed14508p-3, -0x1.1bddf0c205d2dp-3, -0x1.19d51c947a277p-3, -0x1.17cb1b07da76p-3, -0x1.15c00ec638694p-3, -0x1.13b41972763d1p-3, -0x1.11a75adf14571p-3, -0x1.0f99f2f6edc8cp-3, -0x1.0d8bffb96dc27p-3, -0x1.0b7d9e6fc1db5p-3, -0x1.096eec28e77b9p-3, -0x1.0760035f21d0ap-3, -0x1.0550ff708f525p-3, -0x1.0341fa6c046f8p-3, -0x1.01330ce72e654p-3, -0x1.fe489d0a271a5p-4, -0x1.fa2badc8695fep-4, -0x1.f60f79d73974dp-4, -0x1.f1f42d8dc707p-4, -0x1.edd9f27389864p-4, -0x1.e9c0f21059245p-4, -0x1.e5a954b7d75c2p-4, -0x1.e1934042e6279p-4, -0x1.dd7edac04d0dep-4, -0x1.d96c490d60142p-4, -0x1.d55badc0827e4p-4, -0x1.d14d2b2429f4dp-4, -0x1.cd40e2c70ac19p-4, -0x1.c936f4905f17fp-4, -0x1.c52f802b5a651p-4, -0x1.c12aa3b6358bbp-4, -0x1.bd287c4596ab8p-4, -0x1.b92926d49aa28p-4, -0x1.b52cc032786b6p-4, -0x1.b133627bfa4f5p-4, -0x1.ad3d2610e3982p-4, -0x1.a94a27e503175p-4, -0x1.a55a7dd9f07e9p-4, -0x1.a16e41ce176cp-4, -0x1.9d858a18744c7p-4, -0x1.99a06dae313e9p-4, -0x1.95bf0254959edp-4, -0x1.91e15d5370727p-4, -0x1.8e0794590657bp-4, -0x1.8a31bb08be6f5p-4, -0x1.865fe5ab0b2e5p-4, -0x1.829226dfea431p-4, -0x1.7ec890e472826p-4, -0x1.7b0336381b65fp-4, -0x1.774228b53f7bbp-4, -0x1.7385790f3d46ap-4, -0x1.6fcd378b89d19p-4, -0x1.6c19745f49f1ep-4, -0x1.686a3f4b4abd8p-4, -0x1.64bfa73c7260dp-4, -0x1.6119bb61a961dp-4, -0x1.5d7889969ddb2p-4, -0x1.59dc1fddca46ep-4, -0x1.56448ae69f6ebp-4, -0x1.52b1d9558092bp-4, -0x1.4f2416f1268c7p-4, -0x1.4b9b5042b740ep-4, -0x1.4817901a5903bp-4, -0x1.4498e2e0232e4p-4, -0x1.411f53c18578dp-4, -0x1.3daaec9e3328p-4, -0x1.3a3bb85494967p-4, -0x1.36d1c12b4ce5ep-4, -0x1.336d103a74bd4p-4, -0x1.300daf0b12883p-4, -0x1.2cb3a67000b0bp-4, -0x1.295efedf507b9p-4, -0x1.260fc0d32e22ap-4, -0x1.22c5f4c1ae6f7p-4, -0x1.1f81a1952768dp-4, -0x1.1c42cdfcc2cep-4, -0x1.190982906d624p-4, -0x1.15d5c4bbdad38p-4, -0x1.12a79b04f6938p-4, -0x1.0f7f0bfda1d2bp-4, -0x1.0c5c1c13a5ff7p-4, -0x1.093ed2e77d917p-4, -0x1.06273316abeccp-4, -0x1.0315430e1326ep-4, -0x1.000906eadae39p-4, -0x1.fa05055a750f7p-5, -0x1.f4037616bd2d2p-5, -0x1.ee0d66b90d949p-5, -0x1.e822dba75463bp-5, -0x1.e243dd4f520aap-5, -0x1.dc706fe5760ebp-5, -0x1.d6a89cd7aaea5p-5, -0x1.d0ec62d98f6f1p-5, -0x1.cb3bc9ca415bap-5, -0x1.c596d31cd7e64p-5, -0x1.bffd83e2fc666p-5, -0x1.ba6fdcd3178efp-5, -0x1.b4ede0249e9c1p-5, -0x1.af7790a1e30cfp-5, -0x1.aa0cecba7fa83p-5, -0x1.a4adf79bf0274p-5, -0x1.9f5aafcf54b3cp-5, -0x1.9a1314f71086p-5, -0x1.94d72689bd72fp-5, -0x1.8fa6e2794841fp-5, -0x1.8a82471cdd59fp-5, -0x1.8569511705161p-5, -0x1.805c0165621c1p-5, -0x1.7b5a4f85fd6afp-5, -0x1.76643b0404ff8p-5, -0x1.7179bd6e616bep-5, -0x1.6c9ad5a0041b4p-5, -0x1.67c77cd67e1b2p-5, -0x1.62ffad758231cp-5, -0x1.5e4361c319a7ep-5, -0x1.5992933264e46p-5, -0x1.54ed3bec8c3f3p-5, -0x1.505353ffaf4efp-5, -0x1.4bc4d6e9df24dp-5, -0x1.4741b87b3994cp-5, -0x1.42c9f24785c6p-5, -0x1.3e5d7c9366d69p-5, -0x1.39fc50fda361dp-5, -0x1.35a660ed807e5p-5, -0x1.315ba5216c9fep-5, -0x1.2d1c1553f6e9dp-5, -0x1.28e7a70420c4ap-5, -0x1.24be4dd886b03p-5, -0x1.20a002797c6c7p-5, -0x1.1c8cb2600670fp-5, -0x1.18845aa75de6cp-5, -0x1.1486eb2dde1bp-5, -0x1.109458af909dap-5, -0x1.0cac965bfc6e7p-5, -0x1.08cf99576a761p-5, -0x1.04fd52284de69p-5, -0x1.0135b53349297p-5, -0x1.faf16b7bc0c91p-6, -0x1.f38c8aeebece9p-6, -0x1.ec3cabb9809a9p-6, -0x1.e501b3090364ep-6, -0x1.dddb83e40cb04p-6, -0x1.d6ca005923fc1p-6, -0x1.cfcd0f07adca5p-6, -0x1.c8e48b3b4a533p-6, -0x1.c2105bd6b39ffp-6, -0x1.bb505e4990c7p-6, -0x1.b4a4765377b7ep-6, -0x1.ae0c8411c34b4p-6, -0x1.a788662f06a7bp-6, -0x1.a117fddaadcdep-6, -0x1.9abb2a0145184p-6, -0x1.9471c924ace19p-6, -0x1.8e3bbac48f928p-6, -0x1.8818dd74ee575p-6, -0x1.82090f7dbc089p-6, -0x1.7c0c2ebb5fb93p-6, -0x1.762219dd1ba54p-6, -0x1.704aab31985dfp-6, -0x1.6a85c5fc69abp-6, -0x1.64d33cf13f7cap-6, -0x1.5f32f8e1a2a2ap-6, -0x1.59a4cdbfa23dfp-6, -0x1.54289b61e37f4p-6, -0x1.4ebe3cfc585a4p-6, -0x1.4965900cc4a0cp-6, -0x1.441e6f33c1d03p-6, -0x1.3ee8b8644841bp-6, -0x1.39c447547d791p-6, -0x1.34b0f1e10d8a3p-6, -0x1.2fae98ec2b10ap-6, -0x1.2abd1a884ea79p-6, -0x1.25dc4aababe4dp-6, -0x1.210c07f8a92aep-6, -0x1.1c4c2c1a54f94p-6, -0x1.179c931152c1dp-6, -0x1.12fd18a338a5p-6, -0x1.0e6d94f2623c6p-6, -0x1.09ede60100324p-6, -0x1.057de70518772p-6, -0x1.011d6e92c2c6dp-6, -0x1.f998b5cb5f0efp-7, -0x1.f1151507e8d8cp-7, -0x1.e8afa083974c2p-7, -0x1.e06817a009afp-7, -0x1.d83e2d8bd5fap-7, -0x1.d031988e2fd44p-7, -0x1.c8420ee84739ap-7, -0x1.c06f46ec78c9dp-7, -0x1.b8b8f7677fe66p-7, -0x1.b11ed46b7284bp-7, -0x1.a9a09479a5e0dp-7, -0x1.a23defb9dc7e3p-7, -0x1.9af69fda98dc3p-7, -0x1.93ca560816f4fp-7, -0x1.8cb8cb2a5ed36p-7, -0x1.85c1b2ad6ed0cp-7, -0x1.7ee4d0674360ep-7, -0x1.7821d31a1671dp-7, -0x1.71787322211afp-7, -0x1.6ae868f81978p-7, -0x1.64716de1f493ep-7, -0x1.5e133dc494e99p-7, -0x1.57cd86747c1afp-7, -0x1.51a01b1996388p-7, -0x1.4b8a8dfc736d1p-7, -0x1.458cc6e543e56p-7, -0x1.3fa65c2cd78dep-7, -0x1.39d71abf7c926p-7, -0x1.341eb6495eb5fp-7, -0x1.2e7cec18cbab3p-7, -0x1.28f177f328579p-7, -0x1.237c179602c53p-7, -0x1.1e1c896d74293p-7, -0x1.18d283096de31p-7, -0x1.139dc645d7a98p-7, -0x1.0e7e11c5c0144p-7, -0x1.097324bbe625dp-7, -0x1.047cba29c10cap-7, -0x1.ff3532276747fp-8, -0x1.f598e27553ae6p-8, -0x1.ec242312b64c6p-8, -0x1.e2d6619add5d9p-8, -0x1.d9af367ff341cp-8, -0x1.d0ae1a6dd411fp-8, -0x1.c7d288a39f2c3p-8, -0x1.bf1bf24c61baap-8, -0x1.b68a1d1014f23p-8, -0x1.ae1c40b3c697cp-8, -0x1.a5d2184ef7504p-8, -0x1.9dab1b3338191p-8, -0x1.95a6c439025f8p-8, -0x1.8dc4a98a520b2p-8, -0x1.86045bf0a3b48p-8, -0x1.7e65645728548p-8, -0x1.76e7579e5c3fp-8, -0x1.6f89bed85e541p-8, -0x1.684c2f64632d6p-8, -0x1.612e2e43c7de9p-8, -0x1.5a2f5126b602p-8, -0x1.534f2a099a763p-8, -0x1.4c8d469d4f145p-8, -0x1.45e93589256bdp-8, -0x1.3f628afa067a3p-8, -0x1.38f8d7e692849p-8, -0x1.32abbc3a3d8fap-8, -0x1.2c7ad14681447p-8, -0x1.2665a4f69fb7ap-8, -0x1.206bdd6682b24p-8, -0x1.1a8d1876798dep-8, -0x1.14c8f21a3939p-8, -0x1.0f1f076b40bfp-8, -0x1.098f0cd16e32cp-8, -0x1.04187124786dcp-8, -0x1.fd7610d3b67cap-9, -0x1.f2ec8ee02d8aap-9, -0x1.e893b4e9c620fp-9, -0x1.de6aebc3e6452p-9, -0x1.d4712821bea55p-9, -0x1.caa5e8b19d648p-9, -0x1.c10851d5e4c7ap-9, -0x1.b797d3edca7b6p-9, -0x1.ae53b08496e32p-9, -0x1.a53b411f20885p-9, -0x1.9c4de8554418p-9, -0x1.938b00dc03e8ap-9, -0x1.8af1d9ea1596ap-9, -0x1.8281d37164d78p-9, -0x1.7a3a51b8e79dcp-9, -0x1.721ab22780589p-9, -0x1.6a224b5f076bep-9, -0x1.62509cf41168ep-9, -0x1.5aa4d78045477p-9, -0x1.531e1d3b494abp-9, -0x1.4bbc41201f42ap-9, -0x1.447e8296f10fap-9, -0x1.3d644c722285bp-9, -0x1.366cfd3dc0506p-9, -0x1.2f98014c5abf5p-9, -0x1.28e4e426af8b6p-9, -0x1.225310ce83da5p-9, -0x1.1be1ef0bc737ap-9, -0x1.15910211cd04bp-9, -0x1.0f5fcea3e78b3p-9, -0x1.094dc60baf0d5p-9, -0x1.035a6658505e8p-9, -0x1.fb0a45834444p-10, -0x1.ef9b10afc9191p-10, -0x1.e465e0eae2cc3p-10, -0x1.d96a149ac3fa3p-10, -0x1.cea65e3f2e9dep-10, -0x1.c41a1e102b853p-10, -0x1.b9c41428e28c7p-10, -0x1.afa36691963b1p-10, -0x1.a5b72b30ed9dap-10, -0x1.9bfe730e40e8dp-10, -0x1.9278579b9813p-10, -0x1.8923f5a1a1927p-10, -0x1.80006a5b2cf79p-10, -0x1.770cd302fd705p-10, -0x1.6e48590db5f61p-10, -0x1.65b22054d01a4p-10, -0x1.5d4972d5b8687p-10, -0x1.550d95e5b35d3p-10, -0x1.4cfdceee64a03p-10, -0x1.45186f6261195p-10, -0x1.3d5de40bb8b3cp-10, -0x1.35ccfbad34afcp-10, -0x1.2e64d8c5d0d8fp-10, -0x1.2724cd3d5b9bep-10, -0x1.200c419c53ca7p-10, -0x1.191a617957d55p-10, -0x1.124e51118250cp-10, -0x1.0ba780f096471p-10, -0x1.05253f2ee4fb2p-10, -0x1.fd8d7bb27dcdbp-11, -0x1.f1169ce9d39a7p-11, -0x1.e4e4d24a7a56dp-11, -0x1.d8f611d199198p-11, -0x1.cd4a4991a157ap-11, -0x1.c1df92311266bp-11, -0x1.b6b426ba8b8bp-11, -0x1.abc7cc85fbc74p-11, -0x1.a11944d8294a3p-11, -0x1.96a68293befa5p-11, -0x1.8c6f537e7f806p-11, -0x1.8272217fea651p-11, -0x1.78ae1b58dacf6p-11, -0x1.6f21fb2b7a209p-11, -0x1.65cd368e0db81p-11, -0x1.5cadb6341a2c8p-11, -0x1.53c293845c248p-11, -0x1.4b0b9e1fd3e07p-11, -0x1.4286e0a49605dp-11, -0x1.3a332a6dd2bd7p-11, -0x1.3210486c4dce6p-11, -0x1.2a1d16f78482p-11, -0x1.2258789ff5dc2p-11, -0x1.1ac1742a48082p-11, -0x1.13577fc3a9667p-11, -0x1.0c198d568b14dp-11, -0x1.050680ac1eac3p-11, -0x1.fc3bbf001a273p-12, -0x1.eeba5dc241918p-12, -0x1.e18bda07b32bap-12, -0x1.d4ac3c83efc33p-12, -0x1.c81a8d55e0106p-12, -0x1.bbd52703b125dp-12, -0x1.afda66faf0316p-12, -0x1.a428ab41f4243p-12, -0x1.98be5a1ad703bp-12, -0x1.8d99ff4a875e5p-12, -0x1.82ba62d48b816p-12, -0x1.781c6ccde9802p-12, -0x1.6dc11278c3258p-12, -0x1.63a523d10efc6p-12, -0x1.59c835a41dd47p-12, -0x1.5028f524676fbp-12, -0x1.46c5d6b67e923p-12, -0x1.3d9e1a96c08aep-12, -0x1.34aff1e112efep-12, -0x1.2bfa53bcccdd5p-12, -0x1.237c863041109p-12, -0x1.1b341882206e8p-12, -0x1.13203e508fb8fp-12, -0x1.0b3fbf9da37e4p-12, -0x1.0392214f0a3cdp-12, -0x1.f82c85f45af6dp-13, -0x1.e9957eb3a2f33p-13, -0x1.db5ce7a3dfba8p-13, -0x1.cd81df42875bcp-13, -0x1.bffe8db17d7dbp-13, -0x1.b2daa38ba6a84p-13, -0x1.a607c217dc515p-13, -0x1.998a338e40ea1p-13, -0x1.8d5ef65f25cbcp-13, -0x1.8184689ac3201p-13, -0x1.75f8f97c316cap-13, -0x1.6abb0fdba9bb4p-13, -0x1.5fc967288ac1bp-13, -0x1.552170980d1ffp-13, -0x1.4ac12bf9b8813p-13, -0x1.40a7a858c8c28p-13, -0x1.36d2cdfedd492p-13, -0x1.2d4153d74d8dp-13, -0x1.23f1a18b1eeacp-13, -0x1.1ae2206c7354bp-13, -0x1.12113879ab9e9p-13, -0x1.097d044a12be9p-13, -0x1.0125f4541af77p-13, -0x1.f20c922df3c64p-14, -0x1.e243b6fde9709p-14, -0x1.d2e9d228a3fb3p-14, -0x1.c3fc546bbf267p-14, -0x1.b57aa3781c35dp-14, -0x1.a760e2593d3d7p-14, -0x1.99aab72c89efbp-14, -0x1.8c568bcc1924ep-14, -0x1.7f62bf4f0283ap-14, -0x1.72ccd9e961192p-14, -0x1.6692160021054p-14, -0x1.5ab495774995p-14, -0x1.4f289c62e33d1p-14, -0x1.43f4cff19e592p-14, -0x1.39159a38d8b5fp-14, -0x1.2e86a70da63b8p-14, -0x1.2447766ce5397p-14, -0x1.1a549dc88ea37p-14, -0x1.10ac6bb664941p-14, -0x1.074ec8caf73f5p-14, -0x1.fc6ddcc646bb3p-15, -0x1.eac898ad4e72bp-15, -0x1.d9ad0d67f588fp-15, -0x1.c91851cdbc305p-15, -0x1.b8ff648ad7efdp-15, -0x1.a9681125cb1adp-15, -0x1.9a468957dbb13p-15, -0x1.8ba67a3060f03p-15, -0x1.7d71dab94efe9p-15, -0x1.6fb200ea431a9p-15, -0x1.626084176b932p-15, -0x1.557a43d7f5e6bp-15, -0x1.48fccf7f12f72p-15, -0x1.3ce5784b34646p-15, -0x1.31312c66157bdp-15, -0x1.25ddfba210cf4p-15, -0x1.1ae5aa5e9176dp-15, -0x1.104b9184a83c8p-15, -0x1.060ccbf65d717p-15, -0x1.f839ec1d14a5bp-16, -0x1.e51193a0bd5f9p-16, -0x1.d2955d91ef6ecp-16, -0x1.c0bb02c399b5cp-16, -0x1.af7d516d41167p-16, -0x1.9eaceaa1f75a2p-16, -0x1.8e88b230c5781p-16, -0x1.7ef6a574f8b23p-16, -0x1.6feee61552682p-16, -0x1.616faa41f6232p-16, -0x1.5372ad86ba8e9p-16, -0x1.45f58de8e4723p-16, -0x1.38f5ee605bc1fp-16, -0x1.2c6d6fb7177e6p-16, -0x1.2043e5e05091bp-16, -0x1.14b2ba76971bdp-16, -0x1.098b201f7e07ap-16, -0x1.fd766b769600dp-17, -0x1.e8bbd227be70dp-17, -0x1.d4da3503eb257p-17, -0x1.c1ab1c2fd2177p-17, -0x1.af39fd4fe910ep-17, -0x1.9d796892b552ep-17, -0x1.8c863159b188ep-17, -0x1.7c35e0c917b9dp-17, -0x1.6c8079e0ff531p-17, -0x1.5d7f41d64e6b6p-17, -0x1.4f103c2dd0ed9p-17, -0x1.4146b3c3c3c8dp-17, -0x1.340d77d42c57bp-17, -0x1.276347aa5210ap-17, -0x1.1b530c0121b9fp-17, -0x1.0fc44b1c75e9ap-17, -0x1.04b3ebcad921ep-17, -0x1.f446084a3c6b7p-18, -0x1.e01ccc9ee01e5p-18, -0x1.cce65e6ba8273p-18, -0x1.ba8f35bdd5a23p-18, -0x1.a91fee719eac9p-18, -0x1.98633d5010365p-18, -0x1.88d5173b42518p-18, -0x1.79bdfce3b2b98p-18, -0x1.6b8c359ff3a05p-18, -0x1.5e234207b0424p-18, -0x1.51534152bd5d2p-18, -0x1.45683bb733989p-18, -0x1.39f7ad5135406p-18, -0x1.2f247cbefa132p-18, -0x1.250fcfb2bdc25p-18, -0x1.1b821fc5cf9afp-18, -0x1.1296f86e41055p-18, -0x1.0a311910eaa04p-18, -0x1.020e0bf8fe2c3p-18, -0x1.f61dc5eab75d5p-19, -0x1.e870419e32fffp-19, -0x1.dba66ecacb06bp-19, -0x1.cfcfc5ae0deeep-19, -0x1.c50be7d28fac7p-19, -0x1.baf89cfe82e34p-19, -0x1.b1ae10b7a8c7p-19, -0x1.a8aa6b42f7602p-19, -0x1.a1edb92fe104fp-19, -0x1.9b162d6548f3ap-19, -0x1.94b4f2f245e47p-19, -0x1.8ebb9cca1f3edp-19, -0x1.8a68ae3a48636p-19, -0x1.8615ce8353815p-19, -0x1.8255253060717p-19, -0x1.7f6812b064d1cp-19, -0x1.7cca813d80a72p-19, -0x1.7ac9fd1ddda02p-19, -0x1.79879941cdd8dp-19, -0x1.787fc0317fa41p-19, -0x1.77fbd488e4f7ap-19, -0x1.7779415c910f9p-19, -0x1.77d01e0e45db8p-19, -0x1.787b6ced7e27fp-19, -0x1.798be770ee7f2p-19, -0x1.7b12ad080e6a9p-19, -0x1.7cc580a428fep-19, -0x1.7ec5af93bc29p-19, -0x1.811017da5174ap-19, -0x1.83bde1a5c6d97p-19, -0x1.86dd71681d4cfp-19, -0x1.89b46ba6a0fe4p-19, -0x1.8d61685726a74p-19, -0x1.90d68b5e758a2p-19, -0x1.94d5a21adda02p-19, -0x1.98d15e07095e2p-19, -0x1.9cfde146a5801p-19, -0x1.a17c12ebfed85p-19, -0x1.a60e1d6d80f91p-19, -0x1.aac59c5f70972p-19, -0x1.af9fa9368bf98p-19, -0x1.b49843e350f0cp-19, -0x1.b9b322a6906dfp-19, -0x1.beee1983cb489p-19, -0x1.c43ee909645fap-19, -0x1.c9a2316867789p-19, -0x1.cf180badda48p-19, -0x1.d4a69237727ebp-19, -0x1.da3d4e36e735bp-19, -0x1.dfd3efbeb1857p-19, -0x1.e5ae87051798bp-19, -0x1.eb7202ba59f7p-19, -0x1.f11ca23d86d7fp-19, -0x1.f704bd4f64f1cp-19, -0x1.fd226f1cfc59ap-19, -0x1.015cc5b705978p-18, -0x1.0451cf6442481p-18, -0x1.07496ca382f55p-18, -0x1.0a6b2b1c56aeep-18, -0x1.0d1dfa95dba4fp-18, -0x1.0fcf873e08ebcp-18, -0x1.12b4fd1fffa1bp-18, -0x1.15a816d00dc48p-18, -0x1.186d11007e6b6p-18, -0x1.1b433f8c3806bp-18, -0x1.1e2e6075d990ep-18, -0x1.20ccde4eaedbdp-18, -0x1.2399d734367f2p-18, -0x1.2664a23d7106ap-18, -0x1.2916f256331ep-18, -0x1.2bd4a76016791p-18, -0x1.2e7c2d71b073p-18, -0x1.31174c1c6dda2p-18, -0x1.33af0ef8d5a38p-18, -0x1.363207d78a324p-18, -0x1.38a0f7d592938p-18, -0x1.3b3554ca0161fp-18, -0x1.3d972f40e6a3fp-18, -0x1.3ff44a659cb6ap-18, -0x1.42517cb4f197cp-18, -0x1.449eaef3d1961p-18, -0x1.46e8ef5256606p-18, -0x1.4920e7f6d703p-18, -0x1.4b4d3d8b8170cp-18, -0x1.4d6ede71dc895p-18, -0x1.4f864edd4a831p-18, -0x1.5195bc00f715ep-18, -0x1.538c9fea08d2ep-18, -0x1.5588c98291c67p-18, -0x1.576cc230c5b9dp-18, -0x1.59476f9eac845p-18, -0x1.5b0fa8fef88f9p-18, -0x1.5cd024f42d02ep-18, -0x1.5e8139d169fafp-18, -0x1.602a47f4a0308p-18, -0x1.61c0b09b6fcafp-18, -0x1.63495f06a0974p-18, -0x1.64bb4596c8557p-18, -0x1.6647184240c3bp-18, -0x1.67aab903bcc3dp-18, -0x1.68ebfc4f6118cp-18, -0x1.6a628e8db16c3p-18, -0x1.6b72f267dd2b1p-18, -0x1.6cbccec43aafcp-18, -0x1.6df3791fca283p-18, -0x1.6eda21000ac2ap-18, -0x1.6fff47706b854p-18, -0x1.70fed269262e3p-18, -0x1.71f81545a93e3p-18, -0x1.72de005b0ba0bp-18, -0x1.73c11eab3d85ap-18, -0x1.74518590629e9p-18, -0x1.751ffd2b746e1p-18, -0x1.75b4ae2473ff9p-18, -0x1.76966ae28609ap-18, -0x1.772c3bf8b0a36p-18, -0x1.77a82639d00dap-18, -0x1.781fa56afc165p-18, -0x1.78a13fcc13631p-18, -0x1.78e5f9a96d754p-18, -0x1.795fbc30465bep-18, -0x1.7997fceec1a3ep-18, -0x1.79de9b748867fp-18, -0x1.7a101a934afep-18, -0x1.7a3d560334d0dp-18, -0x1.7a60a91027be6p-18, -0x1.7a76c0e2bb93cp-18, -0x1.7a7f6b47fbcefp-18, -0x1.7a7b771c27bcp-18, -0x1.7a6cafcc861f6p-18, -0x1.7a5364787668bp-18, -0x1.7a2e7362fb2a6p-18, -0x1.79fdc5f3b1cfcp-18, -0x1.79c4f600b3ec7p-18, -0x1.7981896bae152p-18, -0x1.7932351f11213p-18, -0x1.78d2f0aa5ba96p-18, -0x1.786b84727e8b9p-18, -0x1.7806c95227e49p-18, -0x1.778a02e304acbp-18, -0x1.76e7a1ba004c4p-18, -0x1.768ec76df68dap-18, -0x1.75f28a99a131dp-18, -0x1.7552bd3da4667p-18, -0x1.74ad9d9628e19p-18, -0x1.73fb938772634p-18, -0x1.73370ea0e179cp-18, -0x1.7276d635ca81p-18, -0x1.71b19788e8ae5p-18, -0x1.7129c4e0d927dp-18, -0x1.6ff90c1d8afa6p-18, -0x1.6f0fa2501c64fp-18, -0x1.6e2fcde1200e3p-18, -0x1.6d23a57887faep-18, -0x1.6c47eebe244cep-18, -0x1.6b3e7b0fc7b7cp-18, -0x1.6a22e044e8cabp-18, -0x1.69133c24feb4ep-18, -0x1.67d961df5a8d3p-18, -0x1.66cc2ce1ffc14p-18, -0x1.65a4eacbe45ddp-18, -0x1.64698d74aa2adp-18, -0x1.6336ac7fcc0b4p-18, -0x1.621011a9ebf7dp-18, -0x1.60a595da34468p-18, -0x1.5f707b4a3da5bp-18, -0x1.5e35f4b8ab495p-18, -0x1.5cc187b85131fp-18, -0x1.5b5e6cfd179bdp-18, -0x1.59f35b79d698cp-18, -0x1.58960a65ae447p-18, -0x1.5716a5af5cf34p-18, -0x1.559d91536e0aep-18, -0x1.54210f77e130fp-18, -0x1.529fb74e21eedp-18, -0x1.51124f35ce1bbp-18, -0x1.4f77c27fd6ea5p-18, -0x1.4df350769aaf3p-18, -0x1.4c5de8846c7b5p-18, -0x1.4ac495837dbb5p-18, -0x1.492e6afb3a246p-18, -0x1.47792c8b5f0c8p-18, -0x1.45d492043eb2cp-18, -0x1.4415a9e6b74fdp-18, -0x1.427d42bd8509ep-18, -0x1.40c652270c8c9p-18, -0x1.3ef01adcb8952p-18, -0x1.3d3e90031f606p-18, -0x1.3b7bf36f7bd9ep-18, -0x1.39c5dde2fed5ap-18, -0x1.37dec40d8c0bdp-18, -0x1.360e63c37b963p-18, -0x1.344187e2d18ep-18, -0x1.3273fa20d18bp-18, -0x1.309f38d1bac2cp-18, -0x1.2ec382ed0ea39p-18, -0x1.2ce4e093c7b77p-18, -0x1.2af40d1dd1fe1p-18, -0x1.2913a6efdf6a1p-18, -0x1.272883435068p-18, -0x1.2544a57af27d6p-18, -0x1.2370ccfc963f1p-18, -0x1.2165dd09dfa27p-18, -0x1.1f8adaf3ca5bp-18, -0x1.1d8d282ab42cdp-18, -0x1.1b8cfad6b19a7p-18, -0x1.199bdbf2412cdp-18, -0x1.1795832e49204p-18, -0x1.15b036f66e692p-18, -0x1.13be2150a842dp-18, -0x1.11a88334356dap-18, -0x1.0fad642eeba12p-18, -0x1.0da3b1e5ae92dp-18, -0x1.0ba0cd4d89dd9p-18, -0x1.09951ec7c6bbdp-18, -0x1.07936dae1c91ap-18, -0x1.05940e2b52d96p-18, -0x1.038e6ce0794bdp-18, -0x1.01841dc6a7f0bp-18, -0x1.fee855f145dafp-19, -0x1.facf0ee5345dep-19, -0x1.f6b2ac3ef4071p-19, -0x1.f29d811af57bp-19, -0x1.ee7d9a91e095cp-19, -0x1.ea81b654dc773p-19, -0x1.e647dcb85b02bp-19, -0x1.e235cf867adebp-19, -0x1.ddf4602a7a0ccp-19, -0x1.d9f628a942eb8p-19, -0x1.d5ced72ef2ef2p-19, -0x1.d1946013a38bcp-19, -0x1.cd6e6677d9cb1p-19, -0x1.c951448cf12b2p-19, -0x1.c5340d7817269p-19, -0x1.c11a6515937bcp-19, -0x1.bcf5d728eb55ep-19, -0x1.b8bec168e0b12p-19, -0x1.b4cc6c50a0808p-19, -0x1.b0816d09f6136p-19, }}, 
      {{-0x1.6c1f3537b3014p-2, -0x1.435b59852619ap-2, -0x1.1d31a837f94acp-2, -0x1.0c8e6471d85ep-2, -0x1.1ab478689e195p-2, -0x1.48a9df95b940dp-2, -0x1.91ecf153ad69p-2, -0x1.ef028f9d086c6p-2, -0x1.2bb5bc3caea3p-1, -0x1.617af1994e9c4p-1, -0x1.954275b488083p-1, -0x1.c43825ed2d476p-1, -0x1.ec4e73ad5f85p-1, -0x1.061a28c223aadp+0, -0x1.119f57fca13cep+0, -0x1.18a634c30c3a5p+0, -0x1.1b5484e30596ep+0, -0x1.19f8877ac3d77p+0, -0x1.14fc85553b40cp+0, -0x1.0cdc228ca95dbp+0, -0x1.021b89968e41bp+0, -0x1.ea80c6551c829p-1, -0x1.cd98eca46a54cp-1, -0x1.ae737d8142eb5p-1, -0x1.8def8529ab23ep-1, -0x1.6cd3e2e019fbp-1, -0x1.4bcdb1ad55477p-1, -0x1.2b6ffd29d1df6p-1, -0x1.0c346f1ade153p-1, -0x1.dcf95bc35a257p-2, -0x1.a528623b97d8dp-2, -0x1.7164b8a63bd72p-2, -0x1.41f974cd2e93cp-2, -0x1.17127db944664p-2, -0x1.e181e54c42242p-3, -0x1.9dfeb47c8d782p-3, -0x1.636b13cfb3218p-3, -0x1.317873688bd17p-3, -0x1.07c079c6daeddp-3, -0x1.cb957baa417fbp-4, -0x1.962393bafe4e9p-4, -0x1.6e0edea665164p-4, -0x1.5230efe7d9c4fp-4, -0x1.415f81c844c87p-4, -0x1.3a7193e958f21p-4, -0x1.3c4399718af49p-4, -0x1.45bad0ed777e7p-4, -0x1.55c7dd748bfb4p-4, -0x1.6b68b7762cbd4p-4, -0x1.85aa0a9ad78eap-4, -0x1.a3a8266f9d726p-4, -0x1.c48f8f7da1002p-4, -0x1.e79d38f5f5617p-4, -0x1.060f3cbe899bap-3, -0x1.18b860f48f4b1p-3, -0x1.2b8099d81d63fp-3, -0x1.3e260b783afeap-3, -0x1.506e1ea8396e7p-3, -0x1.622527a2ae5b7p-3, -0x1.731e03f4925c2p-3, -0x1.8331b5192eb17p-3, -0x1.923ef9b39926ep-3, -0x1.a029e69eae451p-3, -0x1.acdb835ffb7f6p-3, -0x1.b84167e465f7bp-3, -0x1.c24d5dcfa6fe7p-3, -0x1.caf50369a2e07p-3, -0x1.d23172e39f839p-3, -0x1.d7feecf3386afp-3, -0x1.dc5c88431307ap-3, -0x1.df4be58b97bb6p-3, -0x1.e0d0e885bdb4bp-3, -0x1.e0f174bdf12e1p-3, -0x1.dfb53097e5b34p-3, -0x1.dd2549bd15ccep-3, -0x1.d94c406e003c2p-3, -0x1.d435b49169894p-3, -0x1.cdee370bd09afp-3, -0x1.c6831f410079cp-3, -0x1.be02636c8dfbap-3, -0x1.b47a7401c1e64p-3, -0x1.a9fa1b2bc120ap-3, -0x1.9e905ed32076ap-3, -0x1.924c659c4b5e5p-3, -0x1.853d5e2eaccf2p-3, -0x1.77726a2a56bp-3, -0x1.68fa89fe1bfd9p-3, -0x1.59e48cad92a73p-3, -0x1.4a3f00173df74p-3, -0x1.3a1823a981b12p-3, -0x1.297dddfc72894p-3, -0x1.187db24199f5bp-3, -0x1.0724b86d22eedp-3, -0x1.eaff2da0e9092p-4, -0x1.c734f8ebcec1dp-4, -0x1.a302398f973a5p-4, -0x1.7e7d59b37c5fbp-4, -0x1.59bbc236a047p-4, -0x1.34d1d83deb614p-4, -0x1.0fd2fc3f0f1bcp-4, -0x1.d5a316a4eea3ep-5, -0x1.8bbdc003689b3p-5, -0x1.4216aa5bf2d7ep-5, -0x1.f1992da0f487fp-6, -0x1.5ff8b1022343ep-6, -0x1.9f03753f4eba8p-7, -0x1.019a108022c0fp-8, 0x1.34a9381874d2ep-8, 0x1.b20b29c3cd5e4p-7, 0x1.63037628d69b3p-6, 0x1.eaff57349ad38p-6, 0x1.386bdca70515bp-5, 0x1.7a370b5a593a4p-5, 0x1.bad362b699c39p-5, 0x1.fa346b88c8fb4p-5, 0x1.1c277f8ca3aep-4, 0x1.3a8c999c930c3p-4, 0x1.58452627b6d12p-4, 0x1.754d598f5ca53p-4, 0x1.91a1efc6bc33bp-4, 0x1.ad402537a48cfp-4, 0x1.c825b319ee0d3p-4, 0x1.e250c53824cb1p-4, 0x1.fbbff2e2265fep-4, 0x1.0a391e2b90ab8p-3, 0x1.16338092b686ep-3, 0x1.21cefcb390a5dp-3, 0x1.2d0b9a3eeba4fp-3, 0x1.37e987dbe7a5bp-3, 0x1.426917f8e7c93p-3, 0x1.4c8ac07dddd2fp-3, 0x1.564f17316be57p-3, 0x1.5fb6ce0297726p-3, 0x1.68c2b2944931bp-3, 0x1.7173acc343e11p-3, 0x1.79cab9de98451p-3, 0x1.81c8ec1f7f865p-3, 0x1.896f6a1e6526ep-3, 0x1.90bf6b73fdedfp-3, 0x1.97ba362db08ecp-3, 0x1.9e611f20619a3p-3, 0x1.a4b58856d73e5p-3, 0x1.aab8ddefd36a4p-3, 0x1.b06c95014eaafp-3, 0x1.b5d22bfa6264dp-3, 0x1.baeb28a7a3d4ep-3, 0x1.bfb91594694aap-3, 0x1.c43d81db68582p-3, 0x1.c87a0177d1e0fp-3, 0x1.cc702b348b81ep-3, 0x1.d021969b1f15bp-3, 0x1.d38fdc4e55204p-3, 0x1.d6bc96229d8d1p-3, 0x1.d9a95d6167af6p-3, 0x1.dc57c96ef3dcep-3, 0x1.dec96fb1955c9p-3, 0x1.e0ffe4465fc6fp-3, 0x1.e2fcb86041633p-3, 0x1.e4c17932e4066p-3, 0x1.e64fb0020c728p-3, 0x1.e7a8e28630e67p-3, 0x1.e8ce924143f2p-3, 0x1.e9c23b774f5ecp-3, 0x1.ea8554e19ad89p-3, 0x1.eb19500dbcf58p-3, 0x1.eb7f9994da728p-3, 0x1.ebb9981c9001dp-3, 0x1.ebc8abeb8e1a7p-3, 0x1.ebae2efedcdf3p-3, 0x1.eb6b758bd7bd7p-3, 0x1.eb01cdb84414fp-3, 0x1.ea727f1572ba8p-3, 0x1.e9beca492a44ep-3, 0x1.e8e7e99e4e9a2p-3, 0x1.e7ef112936ce2p-3, 0x1.e6d56e9e5e788p-3, 0x1.e59c28c408dabp-3, 0x1.e4445fdc767a4p-3, 0x1.e2cf2d871af32p-3, 0x1.e13da54681952p-3, 0x1.df90d4597b904p-3, 0x1.ddc9c1499e108p-3, 0x1.dbe96c5cf9ca3p-3, 0x1.d9f0cf7555435p-3, 0x1.d7e0deb47c9f8p-3, 0x1.d5ba88122bb02p-3, 0x1.d37eb381068cdp-3, 0x1.d12e42f485249p-3, 0x1.ceca129b5914ep-3, 0x1.cc52f8deb957ap-3, 0x1.c9c9c6ea45ee3p-3, 0x1.c72f482758024p-3, 0x1.c48442a371b08p-3, 0x1.c1c97720778c6p-3, 0x1.beffa118f3579p-3, 0x1.bc277727ccc5ap-3, 0x1.b941aaeaad038p-3, 0x1.b64ee91c2ab2ep-3, 0x1.b34fd9b921829p-3, 0x1.b0452004c565dp-3, 0x1.ad2f5aaba247ap-3, 0x1.aa0f2439374f5p-3, 0x1.a6e512b41d6dep-3, 0x1.a3b1b7e66d9ddp-3, 0x1.a075a1a513d0ep-3, 0x1.9d315983f7527p-3, 0x1.99e5654624befp-3, 0x1.96924703a7ca3p-3, 0x1.93387cd5a4f31p-3, 0x1.8fd8817591ba5p-3, 0x1.8c72cc163fap-3, 0x1.8907d022fdfedp-3, 0x1.8597fe00ffbc2p-3, 0x1.8223c2b1cfeb8p-3, 0x1.7eab880d4b742p-3, 0x1.7b2fb4c543b15p-3, 0x1.77b0acb0eba19p-3, 0x1.742ed075b25ebp-3, 0x1.70aa7e142318dp-3, 0x1.6d2410805f571p-3, 0x1.699be0530cb01p-3, 0x1.6612433917abbp-3, 0x1.62878c41059c2p-3, 0x1.5efc0c4610ad5p-3, 0x1.5b701160a37e8p-3, 0x1.57e3e75e55171p-3, 0x1.5457d7c3f0bfdp-3, 0x1.50cc29bf83addp-3, 0x1.4d4122664168dp-3, 0x1.49b7048581dc6p-3, 0x1.462e11166c82bp-3, 0x1.42a686858ee18p-3, 0x1.3f20a1c1d3692p-3, 0x1.3b9c9d689407fp-3, 0x1.381ab262fcab8p-3, 0x1.349b17c9d305ap-3, 0x1.311e02ab91216p-3, 0x1.2da3a6bb7d661p-3, 0x1.2a2c3576fd9d5p-3, 0x1.26b7def7bf5fbp-3, 0x1.2346d1a3d0c44p-3, 0x1.1fd93a312c222p-3, 0x1.1c6f44088fc94p-3, 0x1.1909189c212fap-3, 0x1.15a6e060b1f5bp-3, 0x1.1248c1fa3f8c9p-3, 0x1.0eeee28c1c7eap-3, 0x1.0b996639ef9c1p-3, 0x1.08486f513f2a2p-3, 0x1.04fc1f4712208p-3, 0x1.01b495ee98d0ep-3, 0x1.fce3e3dcc98c5p-4, 0x1.f668a13010f47p-4, 0x1.eff79c671e266p-4, 0x1.e9910b4d273c9p-4, 0x1.e335217ad8aebp-4, 0x1.dce4108c6517dp-4, 0x1.d69e079b3548dp-4, 0x1.d063338db6169p-4, 0x1.ca33bf49d7172p-4, 0x1.c40fd350e204fp-4, 0x1.bdf7968a1b113p-4, 0x1.b7eb2dc009081p-4, 0x1.b1eabb8bcd1b1p-4, 0x1.abf66136628bcp-4, 0x1.a60e3d8b4c742p-4, 0x1.a0326d84266d7p-4, 0x1.9a630d0c8c5dep-4, 0x1.94a03539c5357p-4, 0x1.8ee9fe769ef47p-4, 0x1.89407ed5cec95p-4, 0x1.83a3cb6176bcbp-4, 0x1.7e13f71cc1b4dp-4, 0x1.789113ab73043p-4, 0x1.731b30f1530e2p-4, 0x1.6db25d9b41e25p-4, 0x1.6856a6c608461p-4, 0x1.63081801ada11p-4, 0x1.5dc6bc13562f7p-4, 0x1.58929bc823a18p-4, 0x1.536bbf051a001p-4, 0x1.4e522c2f0cb18p-4, 0x1.4945e866861cap-4, 0x1.4446f7a25d323p-4, 0x1.3f555ca6d3fccp-4, 0x1.3a71194faa11cp-4, 0x1.359a2daa1f915p-4, 0x1.30d099dcb5bc6p-4, 0x1.2c145beaa9e14p-4, 0x1.2765716c35b2cp-4, 0x1.22c3d6581ab62p-4, 0x1.1e2f86384ce83p-4, 0x1.19a87b6bc7b56p-4, 0x1.152eaf5ce6942p-4, 0x1.10c21aa9069c4p-4, 0x1.0c62b5017e11fp-4, 0x1.0810758bf098ep-4, 0x1.03cb51e74e293p-4, 0x1.ff267f9459cfdp-5, 0x1.f6d066c2a739p-5, 0x1.ee9440c119364p-5, 0x1.e671f33ecc278p-5, 0x1.de6963611bd4cp-5, 0x1.d67a740c6a458p-5, 0x1.cea5076786a4dp-5, 0x1.c6e8fdfd55631p-5, 0x1.bf4637960adeap-5, 0x1.b7bc91f6eb3a9p-5, 0x1.b04beb143606fp-5, 0x1.a8f41dace750fp-5, 0x1.a1b505562531dp-5, 0x1.9a8e7c28ca408p-5, 0x1.93805ac16645bp-5, 0x1.8c8a79750046ep-5, 0x1.85acaf71fff5p-5, 0x1.7ee6d30b1fb5dp-5, 0x1.7838b9c366f5ap-5, 0x1.71a2384b268f2p-5, 0x1.6b2322800a635p-5, 0x1.64bb4b8631a9bp-5, 0x1.5e6a85f74a07fp-5, 0x1.5830a3cade22dp-5, 0x1.520d7616b2e6cp-5, 0x1.4c00cde7020c3p-5, 0x1.460a7b5239909p-5, 0x1.402a4e28a156cp-5, 0x1.3a601582568cap-5, 0x1.34aba0141bf1ep-5, 0x1.2f0cbc2c222d5p-5, 0x1.298337aa178d5p-5, 0x1.240ee017f8eb4p-5, 0x1.1eaf82a7fe634p-5, 0x1.1964ec4aec36dp-5, 0x1.142ee9a46fbd6p-5, 0x1.0f0d4713cad2ap-5, 0x1.09ffd0c55bf47p-5, 0x1.0506529ff10eep-5, 0x1.0020989ab0884p-5, 0x1.f69cdb5f78eabp-6, 0x1.ed1f3c0840b51p-6, 0x1.e3c7e84bdde0ap-6, 0x1.da9677a00ee71p-6, 0x1.d18a7fc5cff3ep-6, 0x1.c8a3971210787p-6, 0x1.bfe153f83575cp-6, 0x1.b7434d0b81c5ep-6, 0x1.aec9181f69a7cp-6, 0x1.a6724b26d16d3p-6, 0x1.9e3e7cf8c0a62p-6, 0x1.962d43b81e3f2p-6, 0x1.8e3e35f4bb59ep-6, 0x1.8670ea3d48951p-6, 0x1.7ec4f754a995bp-6, 0x1.7739f47b32c76p-6, 0x1.6fcf7980b5c61p-6, 0x1.68851e041306p-6, 0x1.615a7acc61bf7p-6, 0x1.5a4f28819a049p-6, 0x1.5362c04f5ff0cp-6, 0x1.4c94dc06e49bp-6, 0x1.45e5157e62f68p-6, 0x1.3f5306c1fc918p-6, 0x1.38de4b36d91f7p-6, 0x1.32867d9594756p-6, 0x1.2c4b39ee1756ep-6, 0x1.262c1c4b253a3p-6, 0x1.2028c1338d971p-6, 0x1.1a40c634d34e2p-6, 0x1.1473c9bd2fb2bp-6, 0x1.0ec16af513664p-6, 0x1.092949a2e7412p-6, 0x1.03ab06a83fe08p-6, 0x1.fc8c88150b1fbp-7, 0x1.f1f547f205613p-7, 0x1.e78f939aea6aep-7, 0x1.dd5ab15d76707p-7, 0x1.d355e9143b988p-7, 0x1.c98082949a116p-7, 0x1.bfd9c629b401dp-7, 0x1.b660fd276d54fp-7, 0x1.ad1572980b70dp-7, 0x1.a3f6738389e7p-7, 0x1.9b0350d8aa866p-7, 0x1.923b5b9a66089p-7, 0x1.899def7d9b668p-7, 0x1.812a60fc83955p-7, 0x1.78e012c222455p-7, 0x1.70be61b20e203p-7, 0x1.68c4ae6618eep-7, 0x1.60f257d887cffp-7, 0x1.5946bb5e21e0bp-7, 0x1.51c134de3dccbp-7, 0x1.4a611ed49c1b3p-7, 0x1.4325d337b1d55p-7, 0x1.3c0eace58b835p-7, 0x1.351b0b8881413p-7, 0x1.2e4a540b117bbp-7, 0x1.279bf2656cac6p-7, 0x1.210f5a0f32f3ep-7, 0x1.1aa40558094ffp-7, 0x1.1459738fd95cep-7, 0x1.0e2f268635251p-7, 0x1.08249ea0bb876p-7, 0x1.0239581878f98p-7, 0x1.f8d992429c406p-8, 0x1.ed7cc58c70ac3p-8, 0x1.e25b15429db3ep-8, 0x1.d773582cc8636p-8, 0x1.ccc456c18deaep-8, 0x1.c24ceb1119722p-8, 0x1.b80bff92ef912p-8, 0x1.ae00958d5c6b9p-8, 0x1.a429ca4478e87p-8, 0x1.9a86d2457238bp-8, 0x1.9116f51506db2p-8, 0x1.87d9826c94a85p-8, 0x1.7ecdc5fa8b358p-8, 0x1.75f3008e25abap-8, 0x1.6d485d1e6161dp-8, 0x1.64ccee4a85b5p-8, 0x1.5c7faf6427ce1p-8, 0x1.545f8b0713d16p-8, 0x1.4c6b6583953e4p-8, 0x1.44a228df7f995p-8, 0x1.3d02d03b4fe7dp-8, 0x1.358c71d333765p-8, 0x1.2e3e45adfeb72p-8, 0x1.2717a3d72b74fp-8, 0x1.201801f036e49p-8, 0x1.193ee880f952ep-8, 0x1.128be61434275p-8, 0x1.0bfe80d1c0befp-8, 0x1.0596346f9dda9p-8, 0x1.fea4ad642b11dp-9, 0x1.f2645cd6b680ap-9, 0x1.e669bbda718a5p-9, 0x1.dab2f7bb59157p-9, 0x1.cf3e34d287f8cp-9, 0x1.c4099c66db07cp-9, 0x1.b91378a43236fp-9, 0x1.ae5a48700a8bap-9, 0x1.a3dcbe9f7755bp-9, 0x1.9999cb3413467p-9, 0x1.8f908d2e339a8p-9, 0x1.85c044cfadcc3p-9, 0x1.7c28405a36f68p-9, 0x1.72c7ca1246de4p-9, 0x1.699e15cded4cbp-9, 0x1.60aa3636e5e25p-9, 0x1.57eb19caf6a55p-9, 0x1.4f5f86f78f61fp-9, 0x1.47063f7fedfa9p-9, 0x1.3eddf0e05f3c9p-9, 0x1.36e53e04ab92cp-9, 0x1.2f1aef09e3ba8p-9, 0x1.277ddd2695e4dp-9, 0x1.200cff9004506p-9, 0x1.18c76c914246p-9, 0x1.11ac550a0382fp-9, 0x1.0abaf9fba431ep-9, 0x1.03f2a27f4604dp-9, 0x1.faa529a37ef47p-10, 0x1.edb41ce3c1438p-10, 0x1.e1107e225ca77p-10, 0x1.d4b893e937db8p-10, 0x1.c8aaa0a3dbfd8p-10, 0x1.bce4ee7e7ce32p-10, 0x1.b165e2744a675p-10, 0x1.a62bf4075e9dbp-10, 0x1.9b35c447957f9p-10, 0x1.9081ec001208ep-10, 0x1.860f2e0568ca2p-10, 0x1.7bdc3b7d70564p-10, 0x1.71e7c6221e6fp-10, 0x1.68307ec25c3dep-10, 0x1.5eb5148ed1494p-10, 0x1.557436c16efdcp-10, 0x1.4c6c90f6de548p-10, 0x1.439cc22ca3828p-10, 0x1.3b03526853dd3p-10, 0x1.329eb590d7d22p-10, 0x1.2a6d4c04d02cdp-10, 0x1.226d797d8eec2p-10, 0x1.1a9dc664df06dp-10, 0x1.12fd3f257aff2p-10, 0x1.0b8af5eb79302p-10, 0x1.04468ae887eeap-10, 0x1.fa5f5f0b0b86bp-11, 0x1.ec8c0a16146ap-11, 0x1.df11dd9604f8fp-11, 0x1.d1eef64640bc7p-11, 0x1.c520eedbd446dp-11, 0x1.b8a532dbd5d8ep-11, 0x1.ac793525d89cap-11, 0x1.a09aab542cf8ap-11, 0x1.9507af81af79ep-11, 0x1.89bea2cbdc794p-11, 0x1.7ebdf2a392533p-11, 0x1.7403c5286ddb1p-11, 0x1.698dc4013d2b8p-11, 0x1.5f591c8210504p-11, 0x1.5562ed51e1602p-11, 0x1.4ba8ec4fdc859p-11, 0x1.4229e29aad7d6p-11, 0x1.38e5e1cfb8982p-11, 0x1.2fdd9f9c9ec24p-11, 0x1.2711c0b139137p-11, 0x1.1e82092e2cb66p-11, 0x1.162d2b9c32e82p-11, 0x1.0e10e3b057fe7p-11, 0x1.062a9da5fe8d9p-11, 0x1.fcef9e77d842fp-12, 0x1.eded13aea334dp-12, 0x1.df4a82694291dp-12, 0x1.d105dede32cfp-12, 0x1.c31e7ff9cea27p-12, 0x1.b593ce3e2bfb4p-12, 0x1.a864b15f4307ap-12, 0x1.9b8ec988bad39p-12, 0x1.8f0e1222d6b85p-12, 0x1.82dd8730ac6e7p-12, 0x1.76f89e5a57f4cp-12, 0x1.6b5d8b24a94f8p-12, 0x1.600b3df205513p-12, 0x1.5503b6c37459ep-12, 0x1.4a4866ff6656p-12, 0x1.3fd97c2e3df1cp-12, 0x1.35b5481522da6p-12, 0x1.2bd8c9669e68bp-12, 0x1.224081051a24p-12, 0x1.18e90f05ecb8ep-12, 0x1.0fcf839deebfcp-12, 0x1.06f188d87f60dp-12, 0x1.fc9add9dcb789p-13, 0x1.ebc42b73ddf57p-13, 0x1.db5e12f58e9a4p-13, 0x1.cb682a34e0406p-13, 0x1.bbe17bca6e7d5p-13, 0x1.acc7e83eb2d21p-13, 0x1.9e17e0a118fa7p-13, 0x1.8fccd930682cap-13, 0x1.81e296a7afab1p-13, 0x1.7455d0bbb186fp-13, 0x1.67248549ec83ap-13, 0x1.5a4da7b7bac06p-13, 0x1.4dd04b177efep-13, 0x1.41aaf977dca92p-13, 0x1.35dbee1ab3075p-13, 0x1.2a6159d75cc1fp-13, 0x1.1f3912af05f3ap-13, 0x1.1460f8fc39374p-13, 0x1.09d43352fd401p-13, 0x1.ff27720dae229p-14, 0x1.eb382efb73606p-14, 0x1.d7d4f811485cap-14, 0x1.c4f6d7dd990c9p-14, 0x1.b298afe879f8cp-14, 0x1.a0b81efd8c566p-14, 0x1.8f5457e93c0d1p-14, 0x1.7e6c8ddeb03cap-14, 0x1.6dff811e84103p-14, 0x1.5e0b925aeb14ap-14, 0x1.4e8f623b4b05cp-14, 0x1.3f8a5c23d1c49p-14, 0x1.30fa796b6e521p-14, 0x1.22d9392e674b6p-14, 0x1.151c7e266c5eep-14, 0x1.07bc31c062761p-14, 0x1.f56d2d7d2d0d9p-15, 0x1.dc1df075661e4p-15, 0x1.c38fe18995a37p-15, 0x1.abb9b85aed46fp-15, 0x1.94955c3dcc425p-15, 0x1.7e251bef458a7p-15, 0x1.686c34cfda96dp-15, 0x1.5365a408cff07p-15, 0x1.3f044ccdc5978p-15, 0x1.2b38499a220b3p-15, 0x1.17f5200661ee9p-15, 0x1.053653a75af57p-15, 0x1.e5ff85ff850dbp-16, 0x1.c2a97f8b87a3fp-16, 0x1.a06991fa09a1cp-16, 0x1.7f37c6888881dp-16, 0x1.5f1239ad08fb7p-16, 0x1.400568d8a9733p-16, 0x1.2213f1c720b98p-16, 0x1.052d984570e4bp-16, 0x1.d2634c6e7f921p-17, 0x1.9bf4a5fc0c7c4p-17, 0x1.66f8aae82ae21p-17, 0x1.339623699fc9ap-17, 0x1.01ec626d3674dp-17, 0x1.a3c27ad73188bp-18, 0x1.46aa496ff91b5p-18, 0x1.d92c86891ed0dp-19, 0x1.2b6746a63eff4p-19, 0x1.0864d9caacf4ap-20, -0x1.cff70c7e02dc2p-23, -0x1.70cf8a1e43908p-20, -0x1.4e6ce9951eeadp-19, -0x1.df9f836c62db6p-19, -0x1.363973a1f0e4p-18, -0x1.7a672160ff654p-18, -0x1.bc241ae7c806ap-18, -0x1.fb73e48f70e48p-18, -0x1.1c433f14fa4fbp-17, -0x1.39b4dc8a4d41ep-17, -0x1.55fbf67bdef6fp-17, -0x1.710c502c2e39p-17, -0x1.8af78d71d704fp-17, -0x1.a3dfb53a972f2p-17, -0x1.bbd7b7e166b57p-17, -0x1.d2ec28ccaa58p-17, -0x1.e93b754941964p-17, -0x1.fe9a55e94efc6p-17, -0x1.098a3aba64dddp-16, -0x1.136281c5ecf3dp-16, -0x1.1cd122533d457p-16, -0x1.25cf223fbd08bp-16, -0x1.2e6306ecb161ap-16, -0x1.3694f78e39c03p-16, -0x1.3e63a4d660b7cp-16, -0x1.45dc3ef90eea2p-16, -0x1.4cee1c6696c32p-16, -0x1.53a3c121e2fb5p-16, -0x1.5a046690f7261p-16, -0x1.601981b76e1bp-16, -0x1.65e3656280a4fp-16, -0x1.6b5a9db847d4dp-16, -0x1.70842e8b6e47fp-16, -0x1.7567c286f5834p-16, -0x1.7a003eba626fep-16, -0x1.7e499e1b5e3e8p-16, -0x1.82490c998b225p-16, -0x1.86061c53c1c08p-16, -0x1.897ee8acad316p-16, -0x1.8cb5d7d7f43fdp-16, -0x1.8fb2e42b332a5p-16, -0x1.927530c7326c4p-16, -0x1.94fd50bff98ebp-16, -0x1.975267cf7caffp-16, -0x1.996f3b0d1d535p-16, -0x1.9b4f5f0398d55p-16, -0x1.9cf8e290bfa3bp-16, -0x1.9e70e89a88367p-16, -0x1.9fb8bc7d541f6p-16, -0x1.a0cf62960c7d4p-16, -0x1.a1bc5276df564p-16, -0x1.a27736ce8de19p-16, -0x1.a30584c2a065fp-16, -0x1.a366af6a8e8aep-16, -0x1.a39acdf5dbc51p-16, -0x1.a3a3cfc10fc31p-16, -0x1.a389492b57f86p-16, -0x1.a348fa5b6a58dp-16, -0x1.a2e50360f78b5p-16, -0x1.a25e3c87555fcp-16, -0x1.a1b3687543d92p-16, -0x1.a0e218ea22de1p-16, -0x1.9fea94bf9f83cp-16, -0x1.9ee06a86989a6p-16, -0x1.9db00ef65c083p-16, -0x1.9c5e38d411cc5p-16, -0x1.9aef6b98af2c1p-16, -0x1.9965f9282315dp-16, -0x1.97c5484f0b0bdp-16, -0x1.960974b1288dcp-16, -0x1.94263f200e6ebp-16, -0x1.923af5e1afb7p-16, -0x1.9030ed6140e92p-16, -0x1.8e0fed08026d9p-16, -0x1.8bd19bf10dffbp-16, -0x1.898a7c08d06dap-16, -0x1.87296617f6786p-16, -0x1.84b2aaf8b5fffp-16, -0x1.82273e668e8f4p-16, -0x1.7f8a5342a8bebp-16, -0x1.7cda669893ee7p-16, -0x1.7a17c0c30d6e7p-16, -0x1.7744067e4e897p-16, -0x1.745df8c2404d9p-16, -0x1.7168aead76693p-16, -0x1.6e63151f91bb6p-16, -0x1.6b52ac34da9b3p-16, -0x1.68342d40e0656p-16, -0x1.6504dff1037d9p-16, -0x1.61c94d67e3103p-16, -0x1.5e82b71874359p-16, -0x1.5b2f7dd0ac9e3p-16, -0x1.57cea106a4a7cp-16, -0x1.5462c91c5efa1p-16, -0x1.50f010e0f59ffp-16, -0x1.4d735410af8eep-16, -0x1.49eb99f07e9e1p-16, -0x1.46594569277ecp-16, -0x1.42bfcb149ce99p-16, -0x1.3f1e81ccb14f1p-16, -0x1.3b75091a96b6dp-16, -0x1.37c48d1ba2eeap-16, -0x1.340d28c1ccabbp-16, -0x1.304f3e1b9f17p-16, -0x1.2c8b3e0cb37c1p-16, -0x1.28c1652e17bdap-16, -0x1.24f211a3c05a8p-16, -0x1.211dd6ddced2bp-16, -0x1.1d4545f3efc96p-16, -0x1.19687809dcf8bp-16, -0x1.1587c6bf624e3p-16, -0x1.11a3e3610dda6p-16, -0x1.0dbd22e052fb9p-16, -0x1.09d0fd3dc4752p-16, -0x1.05e1652d244fep-16, -0x1.01f1ef68352f3p-16, -0x1.fc05080d9477bp-17, -0x1.f4210df02597cp-17, -0x1.ec2f0702190ebp-17, -0x1.e440b6dd3d5e1p-17, -0x1.dc5c06cf679dcp-17, -0x1.d476f30ee7b3bp-17, -0x1.cc7e6ce2381f2p-17, -0x1.c484d96232cb2p-17, -0x1.bc939c088b60cp-17, -0x1.b4a1491511615p-17, -0x1.acb534a7244d3p-17, -0x1.a4c8c89ff81e5p-17, -0x1.9cdc5e66eaa6ep-17, -0x1.94f92b4a4c563p-17, -0x1.8d12d2b8bc9bbp-17, -0x1.85303546f2ba1p-17, -0x1.7d5358e8c620ap-17, -0x1.757808f6d3894p-17, -0x1.6da32fa14fe8ap-17, -0x1.65d3d32f27fd4p-17, -0x1.5e0977cdaeb5ap-17, -0x1.564580917d4e8p-17, -0x1.4e87f72f2eefdp-17, -0x1.46ce5d6fade8cp-17, -0x1.3f1de8f8aa63ap-17, -0x1.3773b166dbf13p-17, -0x1.2fd18b6c2f957p-17, -0x1.2835a3a86e915p-17, -0x1.20a3c2fe7b8afp-17, -0x1.191957df2aa2ap-17, -0x1.1196264a87ab8p-17, -0x1.0a1d20ca6deccp-17, -0x1.02ad30dfb52cp-17, -0x1.f68b8c456d6bep-18, -0x1.e7d225c96832bp-18, -0x1.d92a171d0cf73p-18, -0x1.ca99358406884p-18, -0x1.bc1a69389ecefp-18, -0x1.adb29958720e9p-18, -0x1.9f6083a795f3cp-18, -0x1.9124ac858d07ep-18, -0x1.82ffedc6d9bf6p-18, -0x1.74f040e645cd6p-18, -0x1.66f9da85f6c1bp-18, -0x1.591c09bebecf3p-18, -0x1.4b514374a82d8p-18, -0x1.3da1d2117894bp-18, -0x1.300d2dc1647abp-18, -0x1.229f41bd878fp-18, -0x1.152cba370bb0ep-18, -0x1.07def5cfcd77dp-18, -0x1.f557735b09c86p-19, -0x1.db31b0e7aa7dcp-19, -0x1.c126dadbbb2b1p-19, -0x1.a76c43243e004p-19, -0x1.8dded9ba0856fp-19, -0x1.7486b473220f6p-19, -0x1.5bad725dda427p-19, -0x1.429ce72a09cf3p-19, -0x1.29dd10dd71e39p-19, -0x1.11549fd85d5d6p-19, -0x1.f23cb87794989p-20, -0x1.c21b92ac16133p-20, -0x1.9293c0a51cc6cp-20, -0x1.63747a561696dp-20, -0x1.34bac3a2ea727p-20, -0x1.0688ba611dbaap-20, -0x1.b1561b7eb492bp-21, -0x1.56bd09118d0b4p-21, -0x1.f9ef6b925a6a8p-22, -0x1.484fcdd458ec5p-22, -0x1.30f32c002df32p-23, 0x1.5863ebee9b0cfp-26, 0x1.834e29cf2c4bap-23, 0x1.6be5b3a1d737cp-22, 0x1.0a207dd1370b4p-21, 0x1.5d5e7a0466a9cp-21, 0x1.afab82394805ep-21, 0x1.008234765afc9p-20, 0x1.28b945a6dd09bp-20, 0x1.50768d8d7e3efp-20, 0x1.77bb2bc84d69ep-20, 0x1.9e85b5d809295p-20, 0x1.c4d3f6e500e4dp-20, 0x1.eaaa3f6fb46ecp-20, 0x1.080762604ba95p-19, 0x1.1a7bd9f2bec45p-19, 0x1.2cd8a4a70898cp-19, 0x1.3eb10de85a62bp-19, 0x1.506d64ae624b9p-19, 0x1.61ed1f28bede8p-19, 0x1.7333fd73149ddp-19, 0x1.843c905bf5cdap-19, 0x1.9504ba52c3ef2p-19, 0x1.a59638c6cc0e9p-19, 0x1.b5f0d5d3223fdp-19, 0x1.c5cc372779816p-19, 0x1.d5e6d5a8f2428p-19, 0x1.e57f64c8cb19ep-19, 0x1.f4eabbc7ffd5ep-19, 0x1.0207e3dd92c0fp-18, 0x1.098992b799e75p-18, 0x1.10e0510b9cd7p-18, 0x1.1819ff7c6066ap-18, 0x1.1f3ced19ac2e7p-18, 0x1.264ba0f19888cp-18, 0x1.2d250e84d26c2p-18, 0x1.33ec6239c3f27p-18, 0x1.3a96a36c6facbp-18, 0x1.41234c8cd16fp-18, 0x1.479d2334744bdp-18, 0x1.4dec42e113b92p-18, 0x1.54297b7c0258bp-18, 0x1.5a37fe92de2f5p-18, 0x1.604713dcf49dcp-18, 0x1.662bfec75719dp-18, 0x1.6bf5f1be76692p-18, 0x1.719c9101d1b72p-18, 0x1.7732f4c6df2ecp-18, 0x1.7ca924561267ap-18, 0x1.8202dfa7db811p-18, 0x1.87418536bf97ep-18, 0x1.8c69a9976abdp-18, 0x1.917e5c261bb0ep-18, 0x1.96641730f7216p-18, 0x1.9b36ac18e9fe5p-18, 0x1.9ff1a4f96e5b6p-18, 0x1.a490a0ac398e4p-18, 0x1.a9178b5a11cf7p-18, 0x1.ad818c2333829p-18, 0x1.b1d42bbac9353p-18, 0x1.b6125fdc9c2e9p-18, 0x1.ba326528bf2f6p-18, 0x1.be350065dc113p-18, 0x1.c22620e22eaa9p-18, 0x1.c5fdd7de64e7p-18, 0x1.c99cc07568803p-18, 0x1.cd56c3b7d5f4dp-18, 0x1.d0dff56d24551p-18, 0x1.d456d6d50a6e6p-18, 0x1.d7b576efb2b93p-18, 0x1.daf86293cbd9dp-18, 0x1.de256bf16a49p-18, 0x1.e13a953e1b8d8p-18, 0x1.e4318c0ec1f45p-18, 0x1.e71a664e45118p-18, 0x1.e9e8d493ee1f2p-18, 0x1.eca5acb68f6b2p-18, 0x1.ef4d50173ff7dp-18, 0x1.f1d887b2c46b1p-18, 0x1.f45154002223ap-18, 0x1.f6b078adf2572p-18, 0x1.f8f716e638db2p-18, 0x1.fb3032f30d55bp-18, 0x1.fd4decb78252dp-18, 0x1.ff5fd13fcfb75p-18, 0x1.00ac2a142aee5p-17, 0x1.019cce3ee0159p-17, 0x1.02842a5b1ebb5p-17, 0x1.035fd70bb18c6p-17, 0x1.043400baf2f4cp-17, 0x1.04ffb870f3876p-17, 0x1.05bbcf6cc6d68p-17, 0x1.0672def2c1289p-17, 0x1.071fcb6da3c4cp-17, 0x1.07c283e51477dp-17, 0x1.085b41adc9dabp-17, 0x1.08e9e415b4e72p-17, 0x1.097218223b383p-17, 0x1.09f06b2466731p-17, 0x1.0a6715c3434a5p-17, 0x1.0ac42a7c26e89p-17, 0x1.0b34238f2836dp-17, 0x1.0b8ed65be984fp-17, 0x1.0bdfee641142p-17, 0x1.0c2d11af18126p-17, 0x1.0c6de0277dd03p-17, 0x1.0ca4a55b9a27ep-17, 0x1.0cd523128522cp-17, 0x1.0cfe707ba29f8p-17, 0x1.0d1fe18c8c23fp-17, 0x1.0d3a09912d8ep-17, 0x1.0d4b22ec7eefbp-17, 0x1.0d51e3eb710dep-17, 0x1.0d4ce634446f1p-17, 0x1.0d4e384fed4d9p-17, }}, 
      {{-0x1.78257acfff9dcp-2, -0x1.6855e100f99a8p-2, -0x1.5541814157449p-2, -0x1.4492207e496d3p-2, -0x1.3a3b9d8f6f61ap-2, -0x1.3861e8f369726p-2, -0x1.3fa7a2e41181bp-2, -0x1.4f98183d9a52cp-2, -0x1.670b41a70bf7cp-2, -0x1.84779df6b5a22p-2, -0x1.a62f8e9bed398p-2, -0x1.ca8c108b20d8dp-2, -0x1.f008299829c9dp-2, -0x1.0aa84c318c4afp-1, -0x1.1ca57dd12e7e7p-1, -0x1.2d8b8a24730adp-1, -0x1.3d0617c3f2225p-1, -0x1.4ada1ea24c616p-1, -0x1.56e2d5fac4ad6p-1, -0x1.610e6588ccc49p-1, -0x1.695a9b650687fp-1, -0x1.6fd1ce61ac1e7p-1, -0x1.748806ad859fap-1, -0x1.7798795fd50dbp-1, -0x1.79235bc0b7755p-1, -0x1.794c0d544c308p-1, -0x1.783793eb05b1dp-1, -0x1.760b628ba6fa3p-1, -0x1.72ec63835f004p-1, -0x1.6efe3bc807dddp-1, -0x1.6a62c102eccdep-1, -0x1.653998a8b5f37p-1, -0x1.5f9ff9869dad9p-1, -0x1.59b0897808c89p-1, -0x1.5383514bf3f7cp-1, -0x1.4d2dc1a4618c9p-1, -0x1.46c2c56414385p-1, -0x1.4052ddfbe422bp-1, -0x1.39ec4601528e9p-1, -0x1.339b18bfe35cdp-1, -0x1.2d697c328a0c1p-1, -0x1.275fcc50e6c31p-1, -0x1.2184c61a5094bp-1, -0x1.1bddb18ca58e5p-1, -0x1.166e8a42e1892p-1, -0x1.113a268fd72a4p-1, -0x1.0c425b172e813p-1, -0x1.07881c12184b2p-1, -0x1.030b9cbd4c3c5p-1, -0x1.fd98d800b227p-2, -0x1.f5931bce2348dp-2, -0x1.ee03253d2a895p-2, -0x1.e6e5558b16745p-2, -0x1.e03574d68d8bfp-2, -0x1.d9eed36a8ebfbp-2, -0x1.d40c672e9f055p-2, -0x1.ce88e471c5b93p-2, -0x1.c95ed382f7b69p-2, -0x1.c488a371b2461p-2, -0x1.c000ba7b22a33p-2, -0x1.bbc1848d61f94p-2, -0x1.b7c57f8d73513p-2, -0x1.b40745163ffd8p-2, -0x1.b08192b0c7e62p-2, -0x1.ad2f501050e9dp-2, -0x1.aa0b945b56bf9p-2, -0x1.a711a9fc6372fp-2, -0x1.a43d11e18f856p-2, -0x1.a18985d83c52bp-2, -0x1.9ef2f9f018d15p-2, -0x1.9c759d9302966p-2, -0x1.9a0ddb884cfb4p-2, -0x1.97b8599560ebcp-2, -0x1.9571f7f92a0dcp-2, -0x1.9337cfce503e7p-2, -0x1.91073226a8668p-2, -0x1.8edda6079cf1dp-2, -0x1.8cb8e6cade8ddp-2, -0x1.8a96e24f3078dp-2, -0x1.8875b6d256f99p-2, -0x1.8653b0d576886p-2, -0x1.842f48df5c5d6p-2, -0x1.8207217a54d2cp-2, -0x1.7fda04e7cfefcp-2, -0x1.7da6e2d7bd3ecp-2, -0x1.7b6cce35a0176p-2, -0x1.792afb083dac4p-2, -0x1.76e0bc8151d5fp-2, -0x1.748d828fd62bp-2, -0x1.7230d7ee0bbe3p-2, -0x1.6fca60900601fp-2, -0x1.6d59d73ab6c69p-2, -0x1.6adf0c0b7dfdbp-2, -0x1.6859e2d47b9bfp-2, -0x1.65ca5135e973fp-2, -0x1.63305d13ebcb5p-2, -0x1.608c1b698977p-2, -0x1.5dddae75f685ep-2, -0x1.5b2544caf9a5bp-2, -0x1.5863179b490b3p-2, -0x1.559769f1071edp-2, -0x1.52c2876eaf53ep-2, -0x1.4fe4c32167248p-2, -0x1.4cfe76a0d4cc4p-2, -0x1.4a1001501ab8ep-2, -0x1.4719c76d7f4f2p-2, -0x1.441c312e4194fp-2, -0x1.4117aa51cb0b9p-2, -0x1.3e0ca127e79bap-2, -0x1.3afb85e4f2852p-2, -0x1.37e4ca4c90ab8p-2, -0x1.34c8e1039c7f6p-2, -0x1.31a83d33fd8ddp-2, -0x1.2e83521a8dfeep-2, -0x1.2b5a927f8f512p-2, -0x1.282e707cc2bc2p-2, -0x1.24ff5d3c33f67p-2, -0x1.21cdc87b6c7b4p-2, -0x1.1e9a207f1a395p-2, -0x1.1b64d1b473f8ep-2, -0x1.182e468a99ab8p-2, -0x1.14f6e759eb069p-2, -0x1.11bf1a15e7d66p-2, -0x1.0e8742497fbb1p-2, -0x1.0b4fc0fff4968p-2, -0x1.0818f48e3d993p-2, -0x1.04e33857ff213p-2, -0x1.01aee52e52c05p-2, -0x1.fcf8a1bba89f4p-3, -0x1.f6979cf99936cp-3, -0x1.f03b5be5db7c3p-3, -0x1.e9e478ace113bp-3, -0x1.e393878d5873dp-3, -0x1.dd49170f5c4d4p-3, -0x1.d705af84b1e89p-3, -0x1.d0c9d3c8eea95p-3, -0x1.ca9600c71e0bdp-3, -0x1.c46aae01aa97dp-3, -0x1.be484d2905eedp-3, -0x1.b82f49e54e426p-3, -0x1.b2200b47553f4p-3, -0x1.ac1af2f6822efp-3, -0x1.a6205cb10b0ecp-3, -0x1.a0309fadaa2e8p-3, -0x1.9a4c0e3ca86dap-3, -0x1.9472f56c0627p-3, -0x1.8ea59d928657bp-3, -0x1.88e44a953e4f6p-3, -0x1.832f3b9725281p-3, -0x1.7d86ab65e4ffcp-3, -0x1.77ead098ee289p-3, -0x1.725bddb61fb5cp-3, -0x1.6cda014ccaf8ap-3, -0x1.676565d92dddep-3, -0x1.61fe3224d1541p-3, -0x1.5ca4899375fd6p-3, -0x1.57588bd08a361p-3, -0x1.521a553ff4225p-3, -0x1.4ce9ff2666891p-3, -0x1.47c79f815ce5ep-3, -0x1.42b349688e027p-3, -0x1.3dad0d163d7f4p-3, -0x1.38b4f8039115bp-3, -0x1.33cb1504f9343p-3, -0x1.2eef6c86c1dddp-3, -0x1.2a22047a383f8p-3, -0x1.2562e07142d4cp-3, -0x1.20b201bfcb9acp-3, -0x1.1c0f67c34602fp-3, -0x1.177b0fe3d3dbfp-3, -0x1.12f4f58d0e239p-3, -0x1.0e7d1230eb6adp-3, -0x1.0a135dbb6316p-3, -0x1.05b7ce5bb4b47p-3, -0x1.016a58c1c24e7p-3, -0x1.fa55e0219f7bp-4, -0x1.f1f30c667f44ap-4, -0x1.e9ac16ca3860ap-4, -0x1.e180de35b53d2p-4, -0x1.d9713e81814fdp-4, -0x1.d17d115b0fa79p-4, -0x1.c9a42e3f499f8p-4, -0x1.c1e66bd8a0fc3p-4, -0x1.ba439ddd7a47p-4, -0x1.b2bb957f40d0cp-4, -0x1.ab4e2467076dep-4, -0x1.a3fb194fce3cep-4, -0x1.9cc241b75708bp-4, -0x1.95a36a0559ccfp-4, -0x1.8e9e5da40f0eep-4, -0x1.87b2e63bc7fd2p-4, -0x1.80e0cd39b51bp-4, -0x1.7a27daaabb862p-4, -0x1.7387d5b116634p-4, -0x1.6d00845633a61p-4, -0x1.6691ac675cc13p-4, -0x1.603b1320f1ce5p-4, -0x1.59fc7d4acb7b5p-4, -0x1.53d5aee570263p-4, -0x1.4dc66abaa622ap-4, -0x1.47ce735cba1f2p-4, -0x1.41ed8c97b6cbbp-4, -0x1.3c23786c7a251p-4, -0x1.366ff841a9988p-4, -0x1.30d2cf3c0c478p-4, -0x1.2b4bbf34fbcbcp-4, -0x1.25da89679870fp-4, -0x1.207eef4fddd73p-4, -0x1.1b38b296bf10ep-4, -0x1.160794ce272bp-4, -0x1.10eb5781d5f28p-4, -0x1.0be3bc6c69404p-4, -0x1.06f08593b457ap-4, -0x1.021174ae5561p-4, -0x1.fa8c965b1e819p-5, -0x1.f11d985b718cdp-5, -0x1.e7d572d0ca303p-5, -0x1.deb3ac095e067p-5, -0x1.d5b7c940ce9f3p-5, -0x1.cce150a0b693ap-5, -0x1.c42fc8fced422p-5, -0x1.bba2b9d44f5b8p-5, -0x1.b339ab81f82b2p-5, -0x1.aaf426b5a6ee2p-5, -0x1.a2d1b501a2d18p-5, -0x1.9ad1e0556a754p-5, -0x1.92f4338156cf7p-5, -0x1.8b383a717f52ep-5, -0x1.839d81d01bbfcp-5, -0x1.7c2396c7dcc7ap-5, -0x1.74ca07605fe09p-5, -0x1.6d9062a6afc07p-5, -0x1.667638951b4d8p-5, -0x1.5f7b19eea8afep-5, -0x1.589e987db94cap-5, -0x1.51e046b507851p-5, -0x1.4b3fb81dce49p-5, -0x1.44bc81057ecbfp-5, -0x1.3e5637645773fp-5, -0x1.380c7165ad635p-5, -0x1.31dec66cf3553p-5, -0x1.2bccce4121ba1p-5, -0x1.25d622b5d2cb5p-5, -0x1.1ffa5decd77b3p-5, -0x1.1a391b14fe884p-5, -0x1.1491f698bac4cp-5, -0x1.0f048da86a9e3p-5, -0x1.09907e5671358p-5, -0x1.0435683bbce09p-5, -0x1.fde5d65ac3644p-6, -0x1.f39151c79de76p-6, -0x1.e96c86a4be3e1p-6, -0x1.df76bbe94e7f1p-6, -0x1.d5af39de80b79p-6, -0x1.cc154abc12e1dp-6, -0x1.c2a83bf1645b2p-6, -0x1.b9675b5b26db2p-6, -0x1.b051f9cf61d18p-6, -0x1.a7676a50cd91fp-6, -0x1.9ea70006045fep-6, -0x1.961013c2219b2p-6, -0x1.8da1fb979082cp-6, -0x1.855c13a83399fp-6, -0x1.7d3db7f4b49fcp-6, -0x1.754646e467b03p-6, -0x1.6d75213c26cdap-6, -0x1.65c9a8fd31378p-6, -0x1.5e4341d1a671p-6, -0x1.56e1526e7d7e3p-6, -0x1.4fa342a2ce757p-6, -0x1.48887dd26b4c9p-6, -0x1.41906dbe88b5dp-6, -0x1.3aba818d952ep-6, -0x1.3406280fd1e4p-6, -0x1.2d72d3a9f7c06p-6, -0x1.26fff6f55a235p-6, -0x1.20ad074cf2d8p-6, -0x1.1a797bebdd739p-6, -0x1.1464cd0d93a8p-6, -0x1.0e6e7601029b5p-6, -0x1.0895f2a652c6ep-6, -0x1.02dac123f2c04p-6, -0x1.fa78c30888a6cp-7, -0x1.ef74aa7c81fb8p-7, -0x1.e4a83f91edf94p-7, -0x1.da128c089d0e4p-7, -0x1.cfb29f48412aep-7, -0x1.c587878762468p-7, -0x1.bb905a90626cfp-7, -0x1.b1cc2ede3f95p-7, -0x1.a83a2144643f2p-7, -0x1.9ed94f6590a85p-7, -0x1.95a8da44a03cdp-7, -0x1.8ca7e635c99b4p-7, -0x1.83d59a951859ap-7, -0x1.7b3122dbf9bf6p-7, -0x1.72b9ac8e893f1p-7, -0x1.6a6e68b48286ap-7, -0x1.624e8edfa9f49p-7, -0x1.5a5953c734ab8p-7, -0x1.528df06f869fdp-7, -0x1.4aeb9aac3e15ep-7, -0x1.4371a1ea8ddc8p-7, -0x1.3c1f411b5b22p-7, -0x1.34f3be4ee869ep-7, -0x1.2dee631121965p-7, -0x1.270e79eea77bfp-7, -0x1.205350f5116fep-7, -0x1.19bc3de802967p-7, -0x1.13488d01ce70ap-7, -0x1.0cf7918bcb0d4p-7, -0x1.06c8b517c824p-7, -0x1.00bb45ba30b76p-7, -0x1.f59d4e24e7054p-8, -0x1.ea046df8c7dcdp-8, -0x1.deaab4b214578p-8, -0x1.d38ef0da49343p-8, -0x1.c8aff1a1a5f0cp-8, -0x1.be0c8a4f77915p-8, -0x1.b3a397b59e039p-8, -0x1.a973f9d823ce1p-8, -0x1.9f7c93ecf7218p-8, -0x1.95bc50f4ccc7ep-8, -0x1.8c321abdc2c7ap-8, -0x1.82dce65b47082p-8, -0x1.79bba81219beap-8, -0x1.70cd5caf8ad6dp-8, -0x1.6811038beb11p-8, -0x1.5f859f7aafd4dp-8, -0x1.572a395a4331cp-8, -0x1.4efddcf9e0a0fp-8, -0x1.46ff9aa2eeb1ap-8, -0x1.3f2e873cbc18fp-8, -0x1.3789bba2ce416p-8, -0x1.3010547e7b574p-8, -0x1.28c17230ab336p-8, -0x1.219c39aa0ff96p-8, -0x1.1a9fd170be374p-8, -0x1.13cb688192be7p-8, -0x1.0d1e296852059p-8, -0x1.06974e6d622cep-8, -0x1.00360a0d18d7ep-8, -0x1.f3f3313c541f1p-9, -0x1.e7c26f55eb31dp-9, -0x1.dbd85474bfd7dp-9, -0x1.d0336aac6ab7ep-9, -0x1.c4d244da43fddp-9, -0x1.b9b3796cd1cf6p-9, -0x1.aed5a07d61655p-9, -0x1.a4376680dcc87p-9, -0x1.99d77cba698afp-9, -0x1.8fb487b0d9023p-9, -0x1.85cd44b80b306p-9, -0x1.7c206f12c0c3cp-9, -0x1.72accd16f63cp-9, -0x1.6971288660388p-9, -0x1.606c4e5ef6721p-9, -0x1.579d17bb4affcp-9, -0x1.4f02601989dd2p-9, -0x1.469b03289c3edp-9, -0x1.3e65eb09e51d1p-9, -0x1.3662072145934p-9, -0x1.2e8e3f529d905p-9, -0x1.26e98e7b070fbp-9, -0x1.1f72edd71602dp-9, -0x1.18295e6030795p-9, -0x1.110be5b1eb08fp-9, -0x1.0a198de6e83d3p-9, -0x1.035163bbec91bp-9, -0x1.f964fafa63772p-10, -0x1.ec77e3ad4c4a3p-10, -0x1.dfd9b94ca682ep-10, -0x1.d388c6e646e1bp-10, -0x1.c783496117594p-10, -0x1.bbc79da5fa187p-10, -0x1.b054152c854d5p-10, -0x1.a5272d33f2a66p-10, -0x1.9a3f41d6942e8p-10, -0x1.8f9ac8f576438p-10, -0x1.853840510aa4cp-10, -0x1.7b162e39970cap-10, -0x1.7133238328fd2p-10, -0x1.678da89faf772p-10, -0x1.5e2455fad46dep-10, -0x1.54f61b94a1c09p-10, -0x1.4c010f1228282p-10, -0x1.434466062b1bdp-10, -0x1.3abe9dc3e7228p-10, -0x1.326e7d3927fbfp-10, -0x1.2a52cb46a07ap-10, -0x1.226a545db1d14p-10, -0x1.1ab3ef144c22p-10, -0x1.132e76ba2cb78p-10, -0x1.0bd8be99c59acp-10, -0x1.04b1b0a950bfp-10, -0x1.fb707a2e9c448p-11, -0x1.edd6aa27c0264p-11, -0x1.e093d315c3e96p-11, -0x1.d3a6099653081p-11, -0x1.c70b1e16f2cb4p-11, -0x1.bac14afb4732ep-11, -0x1.aec69275b09a5p-11, -0x1.a3193e5bf8422p-11, -0x1.97b7632334f6ep-11, -0x1.8c9f2f4b95f55p-11, -0x1.81cf2c347a33cp-11, -0x1.7744f75449de8p-11, -0x1.6cff908cd4534p-11, -0x1.62fd1ebcd21fep-11, -0x1.593c0df764f12p-11, -0x1.4fbab44652b1dp-11, -0x1.4677973d3113fp-11, -0x1.3d714e74b439dp-11, -0x1.34a6511eb2177p-11, -0x1.2c154d590304fp-11, -0x1.23bcd7499fff9p-11, -0x1.1b9b915a46b95p-11, -0x1.13b01a828e24p-11, -0x1.0bf92d8ff4692p-11, -0x1.047586b56066fp-11, -0x1.fa47bd9744829p-12, -0x1.ec05eafe0930fp-12, -0x1.de23344b11a53p-12, -0x1.d09d3d8d4e51ep-12, -0x1.c371d6be8ef95p-12, -0x1.b69ec50ac43a5p-12, -0x1.aa21e53aa199ep-12, -0x1.9df912c048eb3p-12, -0x1.92224d3936758p-12, -0x1.869b93409d8d4p-12, -0x1.7b62e6dc291b1p-12, -0x1.7076307ba386ap-12, -0x1.65d43622e0433p-12, -0x1.5b7a122c25fc2p-12, -0x1.51672cd237aefp-12, -0x1.4798ab872d98bp-12, -0x1.3e0d5751cc6bfp-12, -0x1.34c32b17703c8p-12, -0x1.2bb8cb5ccb3d7p-12, -0x1.22ec53cd757acp-12, -0x1.1a5c8072ebe61p-12, -0x1.1207a378f9f9dp-12, -0x1.09ec5b0d08cfbp-12, -0x1.02093b6e6c35p-12, -0x1.f4b9bd74b4588p-13, -0x1.e5cba1c3bc14fp-13, -0x1.d7457eff2d5cp-13, -0x1.c924cd8415d31p-13, -0x1.bb66fdf0481fdp-13, -0x1.ae09797221ee1p-13, -0x1.a108e1c83b6ddp-13, -0x1.946486d3bf12dp-13, -0x1.8819b601f8076p-13, -0x1.7c24a257a3313p-13, -0x1.708404841d528p-13, -0x1.6535abf6de523p-13, -0x1.5a3746b64e9afp-13, -0x1.4f86ba57ceb9ep-13, -0x1.45225956a412ep-13, -0x1.3b081adff957cp-13, -0x1.3135e2b15c8adp-13, -0x1.27a9f2059db03p-13, -0x1.1e629d8a5e09bp-13, -0x1.155e0b492fa19p-13, -0x1.0c9a734dba4d5p-13, -0x1.04160e71f7331p-13, -0x1.f79eb131e593bp-14, -0x1.e788c913183a4p-14, -0x1.d7e7844bfa9a5p-14, -0x1.c8b94ac0eb68ap-14, -0x1.b9f817c4f7fd7p-14, -0x1.aba355195113p-14, -0x1.9db76ec6433bp-14, -0x1.90317d6b24256p-14, -0x1.830ee8074c967p-14, -0x1.764d0e491f9b6p-14, -0x1.69e95daef36c9p-14, -0x1.5de145e3f25ffp-14, -0x1.5232366efe35dp-14, -0x1.46d99779aae17p-14, -0x1.3bd5859f0dd35p-14, -0x1.3123f7ab08794p-14, -0x1.26c24f342f1bap-14, -0x1.1cace553bd0dep-14, -0x1.12e65c0efb162p-14, -0x1.09681d42f201ep-14, -0x1.0031c08de449p-14, -0x1.ee81a7a91be09p-15, -0x1.dd27af5a8c16ep-15, -0x1.cc52c1e3e71b5p-15, -0x1.bbfe8c684fde6p-15, -0x1.ac26b0789cc8ap-15, -0x1.9cc8b36d2302fp-15, -0x1.8de14b0b86691p-15, -0x1.7f6c802c73426p-15, -0x1.7167254399c06p-15, -0x1.63cec89d69012p-15, -0x1.569ebec428fdfp-15, -0x1.49d6d7efadaaap-15, -0x1.3d72bd788669bp-15, -0x1.316e53d38c3b3p-15, -0x1.25c9615e77f92p-15, -0x1.1a81b2d8676eep-15, -0x1.0f916f4b22261p-15, -0x1.04f95af35cab4p-15, -0x1.f569b7cfee0a9p-16, -0x1.e1862a7f39502p-16, -0x1.ce426c363373dp-16, -0x1.bb9de196c2cbfp-16, -0x1.a98d2847048bp-16, -0x1.980d9c33a7438p-16, -0x1.871ae9110b36bp-16, -0x1.76b6bd4b92c34p-16, -0x1.66da12e8211a9p-16, -0x1.577cb5ab1f312p-16, -0x1.489f5b298909dp-16, -0x1.3a3d2b3d56f49p-16, -0x1.2c52210c367p-16, -0x1.1edc4a0ae3a7fp-16, -0x1.11d9c5670f1c8p-16, -0x1.05437f48126d5p-16, -0x1.f22514101d06cp-17, -0x1.daab5fcb21536p-17, -0x1.c3e6147df1c46p-17, -0x1.adea1552d8fa1p-17, -0x1.98ad4a447301dp-17, -0x1.842a2327893d5p-17, -0x1.705b0fcffd079p-17, -0x1.5d3a80e7fd80cp-17, -0x1.4ac322026a985p-17, -0x1.38f06f3462031p-17, -0x1.27be0e6cecd39p-17, -0x1.1720a5dda1aabp-17, -0x1.071f67a30ad61p-17, -0x1.ef57c13063bb5p-18, -0x1.d18d7ffb6349ep-18, -0x1.b4d68da28fc4dp-18, -0x1.9927c4f72e2eap-18, -0x1.7e7f9e1240eccp-18, -0x1.64d2534257c93p-18, -0x1.4c19d2d2ada38p-18, -0x1.3454b113f83cdp-18, -0x1.1d6fef43e509fp-18, -0x1.076651e5cb01fp-18, -0x1.e46054216140fp-19, -0x1.bb9da5409f29bp-19, -0x1.94777cf85186p-19, -0x1.6ed9dff0860dap-19, -0x1.4ab95c91ed4aap-19, -0x1.2819558453abdp-19, -0x1.0716f5b67f1d2p-19, -0x1.cdccfb95ebfep-20, -0x1.90c3246c1dc0cp-20, -0x1.562502c126321p-20, -0x1.1e03d5b18263cp-20, -0x1.d092fdb96cf57p-21, -0x1.69c4a61e9c20fp-21, -0x1.077ac1589b0e9p-21, -0x1.5357d755d2dd9p-22, -0x1.405b91b14c86dp-23, 0x1.5cbb81b8f5ca4p-27, 0x1.5bddebed64d0ap-23, 0x1.4957a94c579adp-22, 0x1.dd3c7ef419b74p-22, 0x1.34eb38922a4ebp-21, 0x1.77b1f175281e4p-21, 0x1.b7120417b2b63p-21, 0x1.f3351ab4ed98cp-21, 0x1.161e10f5a0612p-20, 0x1.314a909955679p-20, 0x1.4a8e20d4d476p-20, 0x1.628b20913f424p-20, 0x1.7933165e24aaep-20, 0x1.8e6de9c63f39ep-20, 0x1.a2555d8d1d21p-20, 0x1.b5097288ca132p-20, 0x1.c68b80f24d681p-20, 0x1.d6deecd2f7dc5p-20, 0x1.e611b2fb18111p-20, 0x1.f434c2a3cccd9p-20, 0x1.008aed0c863c2p-19, 0x1.0694e532f9a4ap-19, 0x1.0c1c959f1f7c9p-19, 0x1.11133b429939bp-19, 0x1.15a44eb940c3dp-19, 0x1.19bbba0df0653p-19, 0x1.1d698bd7ad96cp-19, 0x1.20afe2a0cfc33p-19, 0x1.238814327989dp-19, 0x1.26056090847eep-19, 0x1.2825020dcb61fp-19, 0x1.29e4b7faebb46p-19, 0x1.2b415100ac7eep-19, 0x1.2c5e28f2847b9p-19, 0x1.2d18d7b2697a9p-19, 0x1.2d9ba5f03270bp-19, 0x1.2dd14fb921e36p-19, 0x1.2d8fd526d6e62p-19, 0x1.2d24d0b1e6444p-19, 0x1.2c762f6f0d134p-19, 0x1.2b8810d7d39aep-19, 0x1.2a5b440208a49p-19, 0x1.28f148037058cp-19, 0x1.274d3a654a316p-19, 0x1.256cbc9b55208p-19, 0x1.236478d48f91dp-19, 0x1.212167e6351d2p-19, 0x1.1eac34536507fp-19, 0x1.1c1d533870546p-19, 0x1.194efec3c209bp-19, 0x1.164b28045bb06p-19, 0x1.1347fd26103f7p-19, 0x1.10181266fdf9fp-19, 0x1.0c80b6b65857dp-19, 0x1.08f927966bfd1p-19, 0x1.054a44548fe6p-19, 0x1.017e198a19cf7p-19, 0x1.fb1fd4d781856p-20, 0x1.f3123870b866ap-20, 0x1.eacf9eb191a1ap-20, 0x1.e2531a965c074p-20, 0x1.d9a334a5effb2p-20, 0x1.d09a1226d0fd2p-20, 0x1.c7e0cd6f0ed2dp-20, 0x1.bea5e23a3d2b7p-20, 0x1.b56e952366ab7p-20, 0x1.abfd376674e7ap-20, 0x1.a25053c6b0756p-20, 0x1.989d0097c63ebp-20, 0x1.8ed76cd70856ap-20, 0x1.84f77aab4838cp-20, 0x1.7ae24ef4a2d4p-20, 0x1.70c7088c81193p-20, 0x1.66abe5c1ed911p-20, 0x1.5c64f7909fb87p-20, 0x1.521e588330ca6p-20, 0x1.47bad2897e23p-20, 0x1.3d51a357c8845p-20, 0x1.32df74ce2e0fcp-20, 0x1.2851614c07ca1p-20, 0x1.1dc15b8be5639p-20, 0x1.133030986ed3ap-20, 0x1.089a7009af716p-20, 0x1.fc01115712953p-21, 0x1.e6c395137d1d9p-21, 0x1.d18cc9a150c7ep-21, 0x1.bc4759b254b6dp-21, 0x1.a6ce1368b0e4fp-21, 0x1.91e3d1fe4b3ddp-21, 0x1.7caab4b8bcac6p-21, 0x1.67801250d853dp-21, 0x1.5253c5144f37ep-21, 0x1.3d564404988p-21, 0x1.2818cc248996cp-21, 0x1.133a1345c8b6fp-21, 0x1.fce936e3519edp-22, 0x1.d38d64836d045p-22, 0x1.a99d82002addep-22, 0x1.8076a7feffb75p-22, 0x1.575c628ae64bcp-22, 0x1.2d7990bcdec76p-22, 0x1.05fad9febd749p-22, 0x1.bb17f73a059e8p-23, 0x1.6b27d060729dcp-23, 0x1.1b95daeae4db9p-23, 0x1.98016dbae6f39p-24, 0x1.f563b0195313dp-25, 0x1.79cb035436878p-26, -0x1.0d9855c0a4933p-26, -0x1.b031961c17d34p-25, -0x1.70a31ef7cdebfp-24, -0x1.03c376d0e9802p-23, -0x1.5107d0b35e57bp-23, -0x1.997b657a09bb7p-23, -0x1.e2bb0e56159edp-23, -0x1.15e09baa22ce5p-22, -0x1.3a4d2b9109558p-22, -0x1.5e13c8c96ad27p-22, -0x1.818e4403d7bbbp-22, -0x1.a50cc09dfc746p-22, -0x1.c7f6840cc6902p-22, -0x1.ea279fe84143fp-22, -0x1.05cf51e0333f2p-21, -0x1.16dcb926fb4b5p-21, -0x1.276f7d293a919p-21, -0x1.37e2ba4648c0dp-21, -0x1.48351385026b3p-21, -0x1.583c6143c9476p-21, -0x1.680fcdb6a399cp-21, -0x1.77cf5812d943fp-21, -0x1.874cb802ee831p-21, -0x1.968a9104782ccp-21, -0x1.a56747a3c7eb7p-21, -0x1.b464bdbcc47aap-21, -0x1.c2f0352191561p-21, -0x1.d17bb283e6f42p-21, -0x1.dfac8bff6a9bdp-21, -0x1.eda7bdfbf03e8p-21, -0x1.fb89933d0dde9p-21, -0x1.0493c51f74998p-20, -0x1.0b468b168acap-20, -0x1.11dcd0084b24dp-20, -0x1.18579c88d9323p-20, -0x1.1ebb20d6ae5dep-20, -0x1.25074fcd6b059p-20, -0x1.2b3773dab0e5fp-20, -0x1.3148587ff2492p-20, -0x1.373ea63784d19p-20, -0x1.3d1c3ad482c64p-20, -0x1.42dd4d6be4034p-20, -0x1.4880f4fb04744p-20, -0x1.4e232b2fd728ap-20, -0x1.539944e6d3d35p-20, -0x1.58e8d60677003p-20, -0x1.5e1b5f1e6209bp-20, -0x1.6333eaf67f44bp-20, -0x1.68632070eadaap-20, -0x1.6d5f008d4c92ep-20, -0x1.7201c50ade669p-20, -0x1.76860a085fce1p-20, -0x1.7b4d762e0ffe9p-20, -0x1.7fff4506bb8ffp-20, -0x1.846e080302812p-20, -0x1.88cf4447e449cp-20, -0x1.8cfc26ba1082ap-20, -0x1.911beec3ea4bep-20, -0x1.953772b2ebf96p-20, -0x1.990eb7dcf0496p-20, -0x1.9ceb8b423e189p-20, -0x1.a0b3d8c4844c2p-20, -0x1.a45819503042ep-20, -0x1.a7ed5b7d62ea6p-20, -0x1.ab637b27f1fe1p-20, -0x1.aebfd0e9f8288p-20, -0x1.b2052f31c933ep-20, -0x1.b52a2e4676f02p-20, -0x1.b8321d79d1988p-20, -0x1.bb3c6cae29207p-20, -0x1.be17b35d9fce5p-20, -0x1.c0e606d78e4f9p-20, -0x1.c399861f3facp-20, -0x1.c6434bcf00652p-20, -0x1.c8c7dcfde5fe6p-20, -0x1.cb3a624e5da09p-20, -0x1.cd95570ae471dp-20, -0x1.cfdb82f5e1acap-20, -0x1.d20ddeb76755fp-20, -0x1.d42d295670744p-20, -0x1.d62f569e1604ap-20, -0x1.d828fb279cc2cp-20, -0x1.da00aafcbeee4p-20, -0x1.dbc8a7b7f431dp-20, -0x1.dd74bb5c97e48p-20, -0x1.df11e93953d85p-20, -0x1.e0984b75f57fbp-20, -0x1.e209fd0640a2dp-20, -0x1.e369beea7c654p-20, -0x1.e4b1a3cf2a167p-20, -0x1.e5df29e2c9857p-20, -0x1.e71250bf34edep-20, -0x1.e820ed6992cbap-20, -0x1.e9150b270b81fp-20, -0x1.e9dfa8e9da67dp-20, -0x1.ead14b813f23cp-20, -0x1.ebaa05016ef4bp-20, -0x1.ec68d39cd7316p-20, -0x1.eced3b43ce462p-20, -0x1.ed99f612b6bb1p-20, -0x1.ee10b630d50b7p-20, -0x1.ee7f27632d08ap-20, -0x1.eedd232e4cd2bp-20, -0x1.eee98276f571fp-20, -0x1.ef438ba66e04cp-20, -0x1.ef7d26d6cb4fbp-20, -0x1.efa4c9d2805e7p-20, -0x1.efa59f7032d16p-20, -0x1.efa7ffc6c00bfp-20, -0x1.ef87080fd4b7bp-20, -0x1.ef5ca5d32b9a4p-20, -0x1.ef30155834a75p-20, -0x1.eeda4b826e784p-20, -0x1.ee96a964d5a65p-20, -0x1.ee26f86b8773dp-20, -0x1.edb7926b27d7fp-20, -0x1.ed345a7a9d197p-20, -0x1.eca898f32148p-20, -0x1.ec11916fe9161p-20, -0x1.eb6c50d6ee0edp-20, -0x1.eab74c90eac06p-20, -0x1.e9f2fd079563ep-20, -0x1.e92169e8a4038p-20, -0x1.e842f3fbe7336p-20, -0x1.e757594f3fd89p-20, -0x1.e6615d990c329p-20, -0x1.e5607608a9c94p-20, -0x1.e45316430dp-20, -0x1.e337e85693f27p-20, -0x1.e20cfea7404e9p-20, -0x1.e0d879fd0caacp-20, -0x1.dfa1e9334c374p-20, -0x1.de5911a06e3efp-20, -0x1.dd1d9d738a872p-20, -0x1.dbace37967921p-20, -0x1.da47bd1243dfbp-20, -0x1.d8d17fcea82b7p-20, -0x1.d756b875762f9p-20, -0x1.d5cf2732257f9p-20, -0x1.d436a3f682902p-20, -0x1.d29f5088b727fp-20, -0x1.d1023674011b8p-20, -0x1.cf394da16d299p-20, -0x1.cd9e159ad2309p-20, -0x1.cbdbfb4bbda4dp-20, -0x1.ca1b064c07596p-20, -0x1.c83fe97c2ba4bp-20, -0x1.c67b6041f7fbfp-20, -0x1.c499a9673f499p-20, -0x1.c2a94a263bc8ap-20, -0x1.c0bdacb6280d2p-20, -0x1.bed3079a0cae9p-20, -0x1.bcc1b0bd71c6dp-20, -0x1.baba55808818cp-20, -0x1.b8a92b1bd8b0ap-20, -0x1.b69b76c46da98p-20, -0x1.b48f5973391dep-20, -0x1.b25991f3cf19bp-20, -0x1.b0415adddfbabp-20, -0x1.adfdb422bd40bp-20, -0x1.abdc901f123e3p-20, -0x1.a9a1ed3527874p-20, -0x1.a765762948f83p-20, -0x1.a50b6947c5015p-20, -0x1.a2cc977919012p-20, -0x1.a07a654ebc27dp-20, -0x1.9e2200fa328edp-20, -0x1.9bc559296d981p-20, -0x1.996aa5ba321bap-20, -0x1.970f80fbed3b4p-20, -0x1.949f5446550dp-20, -0x1.922f54c946d23p-20, -0x1.8fbf8192539ffp-20, -0x1.8d483c8129d78p-20, -0x1.8ace5669432a6p-20, -0x1.884d3eeb05a47p-20, -0x1.85c6392f8a7f5p-20, -0x1.8353d61ff01d4p-20, -0x1.80ca857ad9258p-20, -0x1.7e2b17f876ca1p-20, -0x1.7ba56aa2bb7f9p-20, -0x1.7915ff59ae6afp-20, -0x1.7663df9ef0049p-20, -0x1.73dc0e44e726dp-20, -0x1.713e435d0ce4ap-20, -0x1.6ea3751ed490ap-20, -0x1.6c089cb7d70e5p-20, -0x1.6967f111c52d4p-20, -0x1.66c2c4bfd86bdp-20, -0x1.6419261d35c57p-20, -0x1.616849db4e397p-20, -0x1.5ebe35e6bc7b4p-20, -0x1.5c1016799defbp-20, -0x1.5965d8355ac6fp-20, -0x1.56c07e41d3909p-20, -0x1.5402b538c7a9fp-20, -0x1.5156db6ada2cdp-20, -0x1.4e9c5140d10a3p-20, -0x1.4be1e3c1de8d8p-20, -0x1.492dd170ff0b8p-20, -0x1.466d7e683d3afp-20, -0x1.43c3186907888p-20, -0x1.410d8033b6026p-20, -0x1.3e46adf8fc079p-20, -0x1.3b8f49a39390fp-20, -0x1.38cf87a93919ap-20, -0x1.36165bebea416p-20, -0x1.335ffd54ee666p-20, -0x1.309d6daa15501p-20, -0x1.2de556d0e0175p-20, -0x1.2b2b23c8889b2p-20, -0x1.286e921cf0ac4p-20, -0x1.25aec847272e6p-20, -0x1.22f009e618738p-20, -0x1.203734be7a62dp-20, -0x1.1d7ea1ea54fa3p-20, -0x1.1ac4e4905b258p-20, -0x1.17f1972a26028p-20, -0x1.1552a758ba234p-20, -0x1.1298b584375dap-20, -0x1.0fdd43a86afc4p-20, -0x1.0d2f11e4d2a9dp-20, -0x1.0a764e837999p-20, -0x1.07b993a24c4ap-20, -0x1.0504f3f682d2cp-20, -0x1.025428cb3f1abp-20, -0x1.ff47d29ac15dap-21, -0x1.f9eb287d84f98p-21, -0x1.f48d441fa84d1p-21, -0x1.ef2c09fcb9f5ap-21, -0x1.e9cdaeffa3508p-21, -0x1.e480cdf2b8a18p-21, }}, 
      {{-0x1.beabdc80136abp-6, -0x1.8f93fd0e24854p-4, -0x1.82df952053227p-3, -0x1.2074f1dd2ca03p-2, -0x1.731c1b087aebcp-2, -0x1.b1c19fa9ce4fdp-2, -0x1.d9b333fe7801bp-2, -0x1.ebaf7b1c2ef23p-2, -0x1.ea8b698030b23p-2, -0x1.da22426a98405p-2, -0x1.be9591d06170ap-2, -0x1.9bd2c3250be2cp-2, -0x1.754e6413a8f4fp-2, -0x1.4de52b76df244p-2, -0x1.27d59046a29cbp-2, -0x1.04c805b870696p-2, -0x1.cbbe08de97088p-3, -0x1.9794f87495a24p-3, -0x1.6db80fed95ef9p-3, -0x1.4e34a6d9afc6cp-3, -0x1.38a59a03bcc95p-3, -0x1.2c52642aec843p-3, -0x1.2849b3f841562p-3, -0x1.2b779c8988511p-3, -0x1.34b7a2b42d4adp-3, -0x1.42e2fea6f454p-3, -0x1.54db7d52c703cp-3, -0x1.699372d1ce9a3p-3, -0x1.8013311e9aebap-3, -0x1.977c7002903a3p-3, -0x1.af0c0f5d89949p-3, -0x1.c61a8def0882p-3, -0x1.dc1b8644c11b2p-3, -0x1.f09c758212f12p-3, -0x1.01a181ec4f4ebp-2, -0x1.09e57dd67e97p-2, -0x1.110209209f87ap-2, -0x1.16e7cf11d34bep-2, -0x1.1b8f284d9dcbp-2, -0x1.1ef70161c093p-2, -0x1.2123d0c61e99fp-2, -0x1.221ea05380713p-2, -0x1.21f42c6a60ae9p-2, -0x1.20b419bd8b056p-2, -0x1.1e70416a6ea8p-2, -0x1.1b3c14544dd2fp-2, -0x1.172c12cd7c34p-2, -0x1.125557c48eebcp-2, -0x1.0ccd36c8539bap-2, -0x1.06a8e9c77564ep-2, -0x1.fffa9b9ba8195p-3, -0x1.f1bd5a31f4274p-3, -0x1.e2c1285cd3e7ep-3, -0x1.d32b61f6a59edp-3, -0x1.c31f730defd1ep-3, -0x1.b2beb5c5d0ab6p-3, -0x1.a2285b69f4fadp-3, -0x1.9179610b4ee5ep-3, -0x1.80cc8c096269ap-3, -0x1.703a6ce8d5c73p-3, -0x1.5fd967feebc82p-3, -0x1.4fbdc2a5a2ff4p-3, -0x1.3ff9b3ed7bfb3p-3, -0x1.309d788f65692p-3, -0x1.21b7694ef4d44p-3, -0x1.135412b07365p-3, -0x1.057e4d7f2e623p-3, -0x1.f07eafaccf9bbp-4, -0x1.d73ddb5e0ed84p-4, -0x1.bf46c3d11881ep-4, -0x1.a8a36c99587f7p-4, -0x1.935b67f14cc8fp-4, -0x1.7f7404772f75bp-4, -0x1.6cf07c94e3adcp-4, -0x1.5bd220ae0c2cp-4, -0x1.4c1883793a264p-4, -0x1.3dc1a1f9443bep-4, -0x1.30ca0a40f4b6cp-4, -0x1.252d00e542bacp-4, -0x1.1ae4a45381541p-4, -0x1.11ea0d7738cecp-4, -0x1.0a356fe9f1e97p-4, -0x1.03be3716b78fcp-4, -0x1.fcf6442ec9e1dp-5, -0x1.f4c4bb0a75816p-5, -0x1.eed338895b4ap-5, -0x1.eb0c5a96dcc39p-5, -0x1.e95a21b5d556ep-5, -0x1.e9a6180381b8p-5, -0x1.ebd972fa721eep-5, -0x1.efdd363d4b7e3p-5, -0x1.f59a4d9917e15p-5, -0x1.fcf9ab009a59bp-5, -0x1.02f22ebff569ep-4, -0x1.0821d311b2f76p-4, -0x1.0e0085d0fb131p-4, -0x1.148335f0434bap-4, -0x1.1b9f04d2b5de4p-4, -0x1.23494dc09508ep-4, -0x1.2b77aae9eddbbp-4, -0x1.341ffa8fcc1eep-4, -0x1.3d3862fb34457p-4, -0x1.46b7558b434f1p-4, -0x1.509391cb95feap-4, -0x1.5ac4275a25d46p-4, -0x1.6540780e532a3p-4, -0x1.700037bdbb359p-4, -0x1.7afb6e5ef5658p-4, -0x1.862a770b3c10ep-4, -0x1.9185ff8de6505p-4, -0x1.9d07089a1f199p-4, -0x1.a8a6e49401d92p-4, -0x1.b45f367f7aa76p-4, -0x1.c029f10075426p-4, -0x1.cc01541d75be8p-4, -0x1.d7dfecd9c2aap-4, -0x1.e3c0926fc3574p-4, -0x1.ef9e647259029p-4, -0x1.fb74ca1ebc389p-4, -0x1.039fb76a1e262p-3, -0x1.097d2033c8c31p-3, -0x1.0f50b7132487bp-3, -0x1.1518b26c9983bp-3, -0x1.1ad3669f0e7bep-3, -0x1.207f4577e85b2p-3, -0x1.261adc3cd4bd7p-3, -0x1.2ba4d3061eb26p-3, -0x1.311bebc3325fbp-3, -0x1.367f010c831dep-3, -0x1.3bcd047754668p-3, -0x1.4104fed1bc34dp-3, -0x1.46260e6fa0f7p-3, -0x1.4b2f65b574524p-3, -0x1.50204b058bbc4p-3, -0x1.54f8179aecc7fp-3, -0x1.59b63654329d2p-3, -0x1.5e5a22c36bd64p-3, -0x1.62e3692d340adp-3, -0x1.6751a4d3064c7p-3, -0x1.6ba47ec733e88p-3, -0x1.6fdbae766ba6p-3, -0x1.73f6f868a074bp-3, -0x1.77f62c7457695p-3, -0x1.7bd9261cf3bcdp-3, -0x1.7f9fcc0df0efap-3, -0x1.834a0ed81c4a2p-3, -0x1.86d7e7f836567p-3, -0x1.8a4959ac97eebp-3, -0x1.8d9e6ed9002a4p-3, -0x1.90d739e26dd31p-3, -0x1.93f3d3e35a2b7p-3, -0x1.96f45c75a2ff6p-3, -0x1.99d8f98945a83p-3, -0x1.9ca1d6b3027f1p-3, -0x1.9f4f24411ae48p-3, -0x1.a1e1173fb01dep-3, -0x1.a457e938f4fc8p-3, -0x1.a6b3d7c223ab5p-3, -0x1.a8f523bf8db0fp-3, -0x1.ab1c11464ea9cp-3, -0x1.ad28e77e5453fp-3, -0x1.af1bf056eddbcp-3, -0x1.b0f577f311efap-3, -0x1.b2b5cc61328e8p-3, -0x1.b45d3d9bad9ebp-3, -0x1.b5ec1d553d83ap-3, -0x1.b762beb77215dp-3, -0x1.b8c175ead0d4p-3, -0x1.ba0898030b37bp-3, -0x1.bb387afc48b1cp-3, -0x1.bc51759b80964p-3, -0x1.bd53df122d29ep-3, -0x1.be400eca3927fp-3, -0x1.bf165c67017bdp-3, -0x1.bfd71fc0315bbp-3, -0x1.c082b0aaf9cafp-3, -0x1.c11966cde0116p-3, -0x1.c19b998ba4edfp-3, -0x1.c209a0125a12fp-3, -0x1.c263d13cccbf2p-3, -0x1.c2aa833c8199bp-3, -0x1.c2de0bda973d8p-3, -0x1.c2fec09f9e2bdp-3, -0x1.c30cf624ce319p-3, -0x1.c309000f271e4p-3, -0x1.c2f3321c39f62p-3, -0x1.c2cbdeca1cc9bp-3, -0x1.c29357f12007fp-3, -0x1.c249ee9350917p-3, -0x1.c1eff2f7d32b8p-3, -0x1.c185b494bda86p-3, -0x1.c10b822159262p-3, -0x1.c081a952ea426p-3, -0x1.bfe8771f213abp-3, -0x1.bf4037a8a20e6p-3, -0x1.be893622aad6fp-3, -0x1.bdc3bcf8f101fp-3, -0x1.bcf015c921188p-3, -0x1.bc0e8950805b3p-3, -0x1.bb1f5f27beabap-3, -0x1.ba22de2f86af3p-3, -0x1.b9194cd6f5b72p-3, -0x1.b802f04de0444p-3, -0x1.b6e00cd60ea1p-3, -0x1.b5b0e66059e56p-3, -0x1.b475bfd265b48p-3, -0x1.b32edb0f019adp-3, -0x1.b1dc793caaa32p-3, -0x1.b07edaf6e1a5ep-3, -0x1.af163fe6825a9p-3, -0x1.ada2e6ed6823ap-3, -0x1.ac250e600a775p-3, -0x1.aa9cf38a6a25dp-3, -0x1.a90ad334130f1p-3, -0x1.a76ee98b56e5cp-3, -0x1.a5c971c104074p-3, -0x1.a41aa688eb449p-3, -0x1.a262c1d096b2dp-3, -0x1.a0a1fce035349p-3, -0x1.9ed8908366f4cp-3, -0x1.9d06b499a1eecp-3, -0x1.9b2ca08fbefd5p-3, -0x1.994a8b38023cep-3, -0x1.9760aa9b3b6a7p-3, -0x1.956f3460305ecp-3, -0x1.93765d84d4392p-3, -0x1.91765a60c5f89p-3, -0x1.8f6f5ec2933bfp-3, -0x1.8d619dde34032p-3, -0x1.8b4d4a8122702p-3, -0x1.893296b4c3faep-3, -0x1.8711b44cff787p-3, -0x1.84ead423c6cd8p-3, -0x1.82be26d665e32p-3, -0x1.808bdc614cd82p-3, -0x1.7e5424481bda4p-3, -0x1.7c172db6a9129p-3, -0x1.79d527009d2a6p-3, -0x1.778e3e3a26e43p-3, -0x1.7542a0c72ae52p-3, -0x1.72f27b9b4cfc4p-3, -0x1.709dfb5feb564p-3, -0x1.6e454bfc52e94p-3, -0x1.6be8993d3a409p-3, -0x1.69880dfe81735p-3, -0x1.6723d4cf2bbc3p-3, -0x1.64bc17d66cb35p-3, -0x1.625100873c08bp-3, -0x1.5fe2b853ddfbdp-3, -0x1.5d7167c6261b7p-3, -0x1.5afd3742a1f5fp-3, -0x1.58864e6f99db2p-3, -0x1.560cd48892e24p-3, -0x1.5390f03a1c3b5p-3, -0x1.5112c7f0cc854p-3, -0x1.4e92819d7190fp-3, -0x1.4c1042b0f0d98p-3, -0x1.498c302a5d08ap-3, -0x1.47066e7bb4e74p-3, -0x1.447f219a37449p-3, -0x1.41f66cf56b2eap-3, -0x1.3f6c73a89c142p-3, -0x1.3ce158483ee1dp-3, -0x1.3a553d3025eacp-3, -0x1.37c843fa0a60ep-3, -0x1.353a8ded915acp-3, -0x1.32ac3bcb146ffp-3, -0x1.301d6d8cef7ep-3, -0x1.2d8e432d266c7p-3, -0x1.2afedbe1a2509p-3, -0x1.286f56b15e8b7p-3, -0x1.25dfd217f8a8fp-3, -0x1.23506c10886bbp-3, -0x1.20c1420a5c714p-3, -0x1.1e3270eefd82dp-3, -0x1.1ba41529e38c3p-3, -0x1.19164ac1954f9p-3, -0x1.16892d6c9fc6p-3, -0x1.13fcd843720c2p-3, -0x1.11716620c494ep-3, -0x1.0ee6f137bd479p-3, -0x1.0c5d933c6e931p-3, -0x1.09d5655b5acb4p-3, -0x1.074e80483999cp-3, -0x1.04c8fc4d889f4p-3, -0x1.0244f13deaf46p-3, -0x1.ff84ed954819p-4, -0x1.fa83478b4dd12p-4, -0x1.f5851dc1936abp-4, -0x1.f08a9c119a3a4p-4, -0x1.eb93edb09d755p-4, -0x1.e6a13c7633469p-4, -0x1.e1b2b190b591fp-4, -0x1.dcc875790307p-4, -0x1.d7e2afcfa29d1p-4, -0x1.d301876424f99p-4, -0x1.ce2521d7fffd7p-4, -0x1.c94da4513fbafp-4, -0x1.c47b32d8ab958p-4, -0x1.bfadf0472888cp-4, -0x1.bae5fe6734123p-4, -0x1.b6237dc8047e6p-4, -0x1.b16690244e5dep-4, -0x1.acaf5497a02bap-4, -0x1.a7fde9cbe42fbp-4, -0x1.a3526df6357f8p-4, -0x1.9eacfe15c26e3p-4, -0x1.9a0db64a8eaf3p-4, -0x1.9574b23ab94afp-4, -0x1.90e20bbc6e756p-4, -0x1.8c55dc20313b7p-4, -0x1.87d03d01e63c5p-4, -0x1.8351461027ed3p-4, -0x1.7ed90ea205e68p-4, -0x1.7a67ad8957e4ap-4, -0x1.75fd387f65ab8p-4, -0x1.7199c45ba0bdbp-4, -0x1.6d3d653745bb1p-4, -0x1.68e82e60840ccp-4, -0x1.649a32414805ep-4, -0x1.6053828ef58b1p-4, -0x1.5c1430657e626p-4, -0x1.57dc4c4df91d1p-4, -0x1.53abe5fa2dde9p-4, -0x1.4f830c8186ef3p-4, -0x1.4b61ce321333p-4, -0x1.4748389d809f6p-4, -0x1.43365889e76ebp-4, -0x1.3f2c3a01fbb99p-4, -0x1.3b29e8621388dp-4, -0x1.372f6e63250ebp-4, -0x1.333cd62a9b5cbp-4, -0x1.2f5229432a1e3p-4, -0x1.2b6f70a63ffe1p-4, -0x1.2794b4b00b472p-4, -0x1.23c1fd18b61ddp-4, -0x1.1ff750f12c8c1p-4, -0x1.1c34b683195cbp-4, -0x1.187a33c9e997fp-4, -0x1.14c7cd9ae0759p-4, -0x1.111d88cf80328p-4, -0x1.0d7b6943d6d7ap-4, -0x1.09e172a079006p-4, -0x1.064fa7f2c8359p-4, -0x1.02c60bc08994ap-4, -0x1.fe89400573ff4p-5, -0x1.f796cc997cd1bp-5, -0x1.f0b4bf4916b1ep-5, -0x1.e9e318b1d1572p-5, -0x1.e321d89091fc6p-5, -0x1.dc70fd6e09f67p-5, -0x1.d5d085558515cp-5, -0x1.cf406d2724a4p-5, -0x1.c8c0b109d0a46p-5, -0x1.c2514c30bea33p-5, -0x1.bbf2395a1a91dp-5, -0x1.b5a3721d721b5p-5, -0x1.af64ef7fb9dbbp-5, -0x1.a936a999db629p-5, -0x1.a318978ae9bedp-5, -0x1.9d0aafbbdf84cp-5, -0x1.970ce7d23b25p-5, -0x1.911f3431b45b1p-5, -0x1.8b418900e356bp-5, -0x1.8573d9698cde3p-5, -0x1.7fb618146ac28p-5, -0x1.7a08371583737p-5, -0x1.746a27e8d57bp-5, -0x1.6edbdb753840ap-5, -0x1.695d424be402ap-5, -0x1.63ee4c5febbf5p-5, -0x1.5e8ee8ee894fbp-5, -0x1.593f06b3b9a11p-5, -0x1.53fe943386c5fp-5, -0x1.4ecd7eb3c5d8cp-5, -0x1.49abb35dccd36p-5, -0x1.44991e236f9a3p-5, -0x1.3f95aabc97ba1p-5, -0x1.3aa1441b7195ep-5, -0x1.35bbd4a701636p-5, -0x1.30e5465b82d8dp-5, -0x1.2c1d83019f711p-5, -0x1.2764740e091cap-5, -0x1.22ba03241380bp-5, -0x1.1e1e1b423421cp-5, -0x1.1990a3e4942a2p-5, -0x1.151188cf0369fp-5, -0x1.10a0b27eec72ep-5, -0x1.0c3e09f175238p-5, -0x1.07e977151b78ep-5, -0x1.03a2e0b9e5989p-5, -0x1.fed458d66cd22p-6, -0x1.f67e7d4b7cc2fp-6, -0x1.ee43f65ed666ep-6, -0x1.e6248b39b7a3dp-6, -0x1.de2002fe1e0bep-6, -0x1.d63626ec2fbp-6, -0x1.ce66c2bd215dep-6, -0x1.c6b1a4b93c912p-6, -0x1.bf169e3b2c7d3p-6, -0x1.b79581b98294ap-6, -0x1.b02e21bb5844p-6, -0x1.a8e04efc0bf25p-6, -0x1.a1abd6ef25b2ep-6, -0x1.9a9082653e8b8p-6, -0x1.938e15e6c382fp-6, -0x1.8ca44cbdd8feap-6, -0x1.85d2e52292367p-6, -0x1.7f19987fc2c47p-6, -0x1.787822641b9ccp-6, -0x1.71ee42ce82338p-6, -0x1.6b7bc00a4298bp-6, -0x1.652066cab5dccp-6, -0x1.5edc0b2b65112p-6, -0x1.58ae856071da3p-6, -0x1.5297aff4f40efp-6, -0x1.4c97648407638p-6, -0x1.46ad771683222p-6, -0x1.40d9b4592dd6ep-6, -0x1.3b1bdfe670f1p-6, -0x1.3573b4b6fffbdp-6, -0x1.2fe0e6e9d6a06p-6, -0x1.2a6326e059a3cp-6, -0x1.24fa25488fe53p-6, -0x1.1fa59740b848bp-6, -0x1.1a6539cd0366bp-6, -0x1.1538d42a16798p-6, -0x1.102037e11f18dp-6, -0x1.0b1b3fe1b3378p-6, -0x1.0629cd53a19f7p-6, -0x1.014bc36d222c9p-6, -0x1.f902048d1428ep-7, -0x1.ef92cb1de804p-7, -0x1.e64975d034688p-7, -0x1.dd25956942fbp-7, -0x1.d4269cfee8a18p-7, -0x1.cb4bf7d315ab1p-7, -0x1.c295069843f37p-7, -0x1.ba012ce764f1ep-7, -0x1.b18fd7eba4a82p-7, -0x1.a940823f00027p-7, -0x1.a112bb3dc598ap-7, -0x1.990623fef361bp-7, -0x1.911a6fae93b9p-7, -0x1.894f5ce83a9e8p-7, -0x1.81a4af8e7899p-7, -0x1.7a1a2940a25a1p-7, -0x1.72af8327c4f25p-7, -0x1.6b646992ef93ep-7, -0x1.64387a3a5833fp-7, -0x1.5d2b442163f12p-7, -0x1.563c4f66012c6p-7, -0x1.4f6b1e2bbc4bp-7, -0x1.48b72e78d7edap-7, -0x1.4220078bbff16p-7, -0x1.3ba5378e8e66dp-7, -0x1.354656bddf2c5p-7, -0x1.2f0306eed6ed4p-7, -0x1.28daf1c45fcf3p-7, -0x1.22cdc651ba345p-7, -0x1.1cdb3567e1ebp-7, -0x1.1702ed88fe7dp-7, -0x1.114498c56bcccp-7, -0x1.0b9fdc3973854p-7, -0x1.061459d6e43b4p-7, -0x1.00a1b1d777075p-7, -0x1.f68f0d80fe931p-8, -0x1.ec0afc205a6ap-8, -0x1.e1b6873ed5965p-8, -0x1.d7911408ca729p-8, -0x1.cd9a04341bceap-8, -0x1.c3d0c8b01ecc9p-8, -0x1.ba34cb07382b7p-8, -0x1.b0c5732c4878p-8, -0x1.a782250e72446p-8, -0x1.9e6a3f1f3ace7p-8, -0x1.957d19dce42d8p-8, -0x1.8cba069a17497p-8, -0x1.84204dbcac28p-8, -0x1.7baf2d200eebep-8, -0x1.7365d9380b7cap-8, -0x1.6b4381b4520abp-8, -0x1.63475cc136416p-8, -0x1.5b70b5d45b8ecp-8, -0x1.53bf03f799c38p-8, -0x1.4c31d42ebfe88p-8, -0x1.44c8e3daaa007p-8, -0x1.3d83fc6b03e1bp-8, -0x1.3662ddd184f5fp-8, -0x1.2f652cf811386p-8, -0x1.288a6c408c1fcp-8, -0x1.21d2002fb99cp-8, -0x1.1b3b3c33558a8p-8, -0x1.14c5722a8962ep-8, -0x1.0e6ffdc22cc97p-8, -0x1.083a4979302efp-8, -0x1.0223cd9ed5d9bp-8, -0x1.f858084b02f5ap-9, -0x1.eca4bb7694a57p-9, -0x1.e12c5c369c589p-9, -0x1.d5ed621d408b6p-9, -0x1.cae642375e914p-9, -0x1.c015b257918d8p-9, -0x1.b57af2ccccf9bp-9, -0x1.ab15cda4353ccp-9, -0x1.a0e66839cc376p-9, -0x1.96ecd38743ab8p-9, -0x1.8d28bf1902dd8p-9, -0x1.8399532f430b8p-9, -0x1.7a3d54f2155e6p-9, -0x1.7113533dd3274p-9, -0x1.6819df220eb5cp-9, -0x1.5f4fbbc913441p-9, -0x1.56b3e72928997p-9, -0x1.4e45a133f317dp-9, -0x1.46046a4ed87a6p-9, -0x1.3defde74a69b4p-9, -0x1.36077c8421e7fp-9, -0x1.2e4a6de387b7bp-9, -0x1.26b77aae8aa05p-9, -0x1.1f4d2d79f407ep-9, -0x1.180a2d8eadaep-9, -0x1.10edabf75036bp-9, -0x1.09f74fd40252bp-9, -0x1.03274c89c771bp-9, -0x1.f8fb9c4be04c2p-10, -0x1.ebf552286942cp-10, -0x1.df3a6fc20cfa9p-10, -0x1.d2c8f8f5e7662p-10, -0x1.c69eb035519fbp-10, -0x1.bab968778480ap-10, -0x1.af172ca35143bp-10, -0x1.a3b649b75b70cp-10, -0x1.989568408b02dp-10, -0x1.8db37701495b5p-10, -0x1.830fc3c9a924fp-10, -0x1.78a9c93d3357ep-10, -0x1.6e80e7822d3fap-10, -0x1.6494251c2f2b1p-10, -0x1.5ae221b4f1ebbp-10, -0x1.51694107b6e5dp-10, -0x1.4827e6791241bp-10, -0x1.3f1cba926aa28p-10, -0x1.3646d19a24087p-10, -0x1.2da57c363c86dp-10, -0x1.25380bb9aab56p-10, -0x1.1cfdb90db483fp-10, -0x1.14f5a92981784p-10, -0x1.0d1eed1dcc72cp-10, -0x1.057878ac990b9p-10, -0x1.fc025ebbee96ap-11, -0x1.ed6fcebdb914cp-11, -0x1.df37b5a3c1affp-11, -0x1.d15810795b1dap-11, -0x1.c3ce7407b4b81p-11, -0x1.b69836ec903ccp-11, -0x1.a9b32f84512ap-11, -0x1.9d1df88c73c76p-11, -0x1.90d7a1cc32fccp-11, -0x1.84df4ab1eb57p-11, -0x1.7933eca077efcp-11, -0x1.6dd45e4c1e3c3p-11, -0x1.62bf9229249abp-11, -0x1.57f4b27828214p-11, -0x1.4d727c4fd8838p-11, -0x1.4336555218232p-11, -0x1.393c8c69434e8p-11, -0x1.2f82129db5ca1p-11, -0x1.2605d9809e901p-11, -0x1.1cc8323c390bp-11, -0x1.13c8ec4a724f7p-11, -0x1.0b066f67832e5p-11, -0x1.027f20a065196p-11, -0x1.f4654a9c570e2p-12, -0x1.e441eb8bd1b14p-12, -0x1.d491b3c5241cep-12, -0x1.c54f8efa7b471p-12, -0x1.b6758ed2100adp-12, -0x1.a7fec71c2d7d6p-12, -0x1.99e8ac65a9514p-12, -0x1.8c33024cebde2p-12, -0x1.7ede296000ba1p-12, -0x1.71e8cf31cb6e6p-12, -0x1.6550a51d11342p-12, -0x1.59149bdc04c86p-12, -0x1.4d35ac20a130ep-12, -0x1.41b38b148949ap-12, -0x1.368a94bd1a3p-12, -0x1.2bb42d48c94bcp-12, -0x1.2129589bf816cp-12, -0x1.16e736814ba2bp-12, -0x1.0cf00bb217dc4p-12, -0x1.03459be9aba25p-12, -0x1.f3ca5f87c194dp-13, -0x1.e195d2b0c4bb6p-13, -0x1.cfed3ab5250f1p-13, -0x1.bed27f41f38d2p-13, -0x1.ae44164238d1cp-13, -0x1.9e3d1362b3f9p-13, -0x1.8eb8c0f3ba17cp-13, -0x1.7fb16ac8ad4dp-13, -0x1.711f58b530d49p-13, -0x1.62fbebd97dfabp-13, -0x1.55469d414857cp-13, -0x1.48028fe85a15p-13, -0x1.3b2e9aafe74c6p-13, -0x1.2ec483a8512d1p-13, -0x1.22c1ec161ec88p-13, -0x1.172977b045a67p-13, -0x1.0bfb8b5f57b61p-13, -0x1.0133bf4a23ce6p-13, -0x1.ed990b5c3fea5p-14, -0x1.d97f0ee3c8463p-14, -0x1.c60b6016c1ef7p-14, -0x1.b33c9af325476p-14, -0x1.a11b3e3499009p-14, -0x1.8fa142ee84624p-14, -0x1.7ec23debe7d6bp-14, -0x1.6e7fe832385p-14, -0x1.5edd140ec559p-14, -0x1.4fd2ba7f3d70dp-14, -0x1.4158fdb51991cp-14, -0x1.336c36c08fcb3p-14, -0x1.260b3c7b7cf41p-14, -0x1.19341d8313e14p-14, -0x1.0ce2dcb8456a5p-14, -0x1.010f0b30179f5p-14, -0x1.eb5d9ff6d0d73p-15, -0x1.d583c2388d85fp-15, -0x1.c098d83a3ecedp-15, -0x1.ac8fb274d081ap-15, -0x1.99589063e1652p-15, -0x1.86fa32bc7957p-15, -0x1.7578b9ac64776p-15, -0x1.64c74dad8dc29p-15, -0x1.54d8f1670005dp-15, -0x1.45aae7573b10ap-15, -0x1.3738cf5f00ecbp-15, -0x1.29725fec0cfedp-15, -0x1.1c547fce5f8c4p-15, -0x1.0fde8645355f8p-15, -0x1.0402522514306p-15, -0x1.f18ae80cd9d92p-16, -0x1.dc58fdeec98dbp-16, -0x1.c855f655fea6cp-16, -0x1.b56cfdde0fafcp-16, -0x1.a394f95c3102ap-16, -0x1.92c846445abp-16, -0x1.82ff5303a3816p-16, -0x1.743503834770cp-16, -0x1.6662d11f0b307p-16, -0x1.5983ac448bac2p-16, -0x1.4d9411b68dfa3p-16, -0x1.4285d141c8fb9p-16, -0x1.3844a0e145aa5p-16, -0x1.2ed055b02d04fp-16, -0x1.261e0674e9a66p-16, -0x1.1e2138ec94b9ap-16, -0x1.16e576ebe3db5p-16, -0x1.106a81d280fc6p-16, -0x1.0a9bdc87d5f08p-16, -0x1.056be0de32e7bp-16, -0x1.00e00f81735c3p-16, -0x1.f9fd17fbbdcd5p-17, -0x1.f35ea22740c96p-17, -0x1.edc8fce39afb3p-17, -0x1.e92df52aac7b1p-17, -0x1.e59d3524aa6aap-17, -0x1.e326f5ce1052cp-17, -0x1.e1ab27c875e67p-17, -0x1.e10faf4989028p-17, -0x1.e14e5ecb0ac17p-17, -0x1.e26127b4b76b8p-17, -0x1.e4464d0341362p-17, -0x1.e6ee9b90e989cp-17, -0x1.ea52e1f1b7896p-17, -0x1.ee6add804d568p-17, -0x1.f32c3712c2b0ap-17, -0x1.f88f9df25d5e1p-17, -0x1.fe8cefed1f27ep-17, -0x1.02936ba82f0fdp-16, -0x1.063073122e502p-16, -0x1.0a13a0bd1cee6p-16, -0x1.0e2fa494d54bfp-16, -0x1.127d312d772ap-16, -0x1.1701e070e8671p-16, -0x1.1bc6594cd5be6p-16, -0x1.20bebbc28974ap-16, -0x1.25e1cd915dc0bp-16, -0x1.2b30bd31d6d1ap-16, -0x1.30b39580aa014p-16, -0x1.365f71539e2f4p-16, -0x1.3c22f96c847a9p-16, -0x1.4204940708fd2p-16, -0x1.480ed8e04e58bp-16, -0x1.4e38b3b1a3c9p-16, -0x1.547a5258a6f65p-16, -0x1.5ad2d8bc24e0ap-16, -0x1.61411f0b95729p-16, -0x1.67c37e6eebb97p-16, -0x1.6e58099b41093p-16, -0x1.74fccba825b9ep-16, -0x1.7bafd08396e4bp-16, -0x1.826f24d087769p-16, -0x1.8938e378d9e59p-16, -0x1.900b2637a9056p-16, -0x1.96e3f9c9c6935p-16, -0x1.9dc197b871cafp-16, -0x1.a4a26b41defc1p-16, -0x1.ab84b578468fap-16, -0x1.b26799aa576fbp-16, -0x1.b94eed4b80f99p-16, -0x1.c039c2d223a5dp-16, -0x1.c719c93b8785dp-16, -0x1.cdee6e05e34efp-16, -0x1.d4c33cc443105p-16, -0x1.db9454e68828bp-16, -0x1.e259ede749e24p-16, -0x1.e91736467aefep-16, -0x1.efcff22fd1ae8p-16, -0x1.f6745829b53a5p-16, -0x1.fd0bb8eae1f64p-16, -0x1.01ce572cacd3bp-15, -0x1.050f15e55de56p-15, -0x1.084768292ea2dp-15, -0x1.0b78088ae91dcp-15, -0x1.0ea0744690716p-15, -0x1.11bff4250e416p-15, -0x1.14d72f38bcb1bp-15, -0x1.17e502d2997bap-15, -0x1.1ae91a10c1517p-15, -0x1.1de3a667795ccp-15, -0x1.20d3c0ba56669p-15, -0x1.23b9432a7eeb8p-15, -0x1.26942c43aad38p-15, -0x1.296420a7c798bp-15, -0x1.2c28c53d8040ep-15, -0x1.2ee26f39fb19p-15, -0x1.319013b55abcp-15, -0x1.3432100515d9p-15, -0x1.36c7deb03dff5p-15, -0x1.39518b042cd8bp-15, -0x1.3bce3af32e453p-15, -0x1.3e3eb501017a5p-15, -0x1.40a477a8f9585p-15, -0x1.42fbd524b56f9p-15, -0x1.45464fbb39878p-15, -0x1.4784cc63d0669p-15, -0x1.49b5c284e520bp-15, -0x1.4bd9c0bcf5b59p-15, -0x1.4defb5755b049p-15, -0x1.4ff995b5b9bc1p-15, -0x1.51f5891b17d54p-15, -0x1.53e3ab9ef958dp-15, -0x1.55c45599481d7p-15, -0x1.57979db190e46p-15, -0x1.595d4e801d479p-15, -0x1.5b158e4304329p-15, -0x1.5cc03b5af738ap-15, -0x1.5e5d5c8447e46p-15, -0x1.5fecdcf030a1dp-15, -0x1.616eef31f87d7p-15, -0x1.62e36c848451ap-15, -0x1.644a01ed1573cp-15, -0x1.65a330b69362dp-15, -0x1.66eeff563cc27p-15, -0x1.682d264d4fcaap-15, -0x1.695df0ec92a91p-15, -0x1.6a816edd05115p-15, -0x1.6b97a756ef146p-15, -0x1.6ca0523581423p-15, -0x1.6d9c02c7771c5p-15, -0x1.6e897c7ae946dp-15, -0x1.6f6a8df31cf6dp-15, -0x1.703e3d50115a2p-15, -0x1.7105b571ad4bp-15, -0x1.71bfc03334bbfp-15, -0x1.726c6766a7284p-15, -0x1.730c951c0e638p-15, -0x1.739fe621aa488p-15, -0x1.7426ee3bc2adcp-15, -0x1.74a28aef35b54p-15, -0x1.7510c81cd0ee5p-15, -0x1.75726c9e3ad05p-15, -0x1.75c7c0e9db92p-15, -0x1.7611079f994bbp-15, -0x1.764e4f5b40e3ap-15, -0x1.767fa64bc6946p-15, -0x1.76a523ce656aap-15, -0x1.76bee8276a249p-15, -0x1.76cd1421a9112p-15, -0x1.76cfc21677aabp-15, -0x1.76c706bc9ec5ap-15, -0x1.76b2f47b9fc9bp-15, -0x1.7693c5313a8d4p-15, -0x1.76698bea482e2p-15, -0x1.763465cdd467ep-15, -0x1.75f4716323decp-15, -0x1.75a9cae622cbcp-15, -0x1.7554943a1af54p-15, -0x1.74f4df07eeebp-15, -0x1.7489f1b1a905cp-15, -0x1.741681483ff17p-15, -0x1.73987bc1f1952p-15, -0x1.73104ceaaf0c5p-15, -0x1.727e4758960e7p-15, -0x1.71e28b1e8c294p-15, -0x1.713d3fc8b2fe3p-15, -0x1.708e8127c1d67p-15, -0x1.6fd69448c215bp-15, -0x1.6f1734bc00eebp-15, -0x1.6e4b40d80cad3p-15, -0x1.6d77b4c507b04p-15, -0x1.6c9b75a78af08p-15, -0x1.6bb6bd9e47c15p-15, -0x1.6aca99f57babfp-15, -0x1.69d4e0a86aaa2p-15, -0x1.68d6c8a5b5e5cp-15, -0x1.67d0ce158fb2ap-15, -0x1.66c230959769dp-15, -0x1.65acf7d4e3037p-15, -0x1.648f65379b3bep-15, -0x1.636a099720edp-15, -0x1.623d1a673d09dp-15, -0x1.61095d186ebd9p-15, -0x1.5fcda622eafc7p-15, -0x1.5e8b6ae14150ap-15, -0x1.5d4250d47cbcbp-15, -0x1.5bf18aac2f12cp-15, -0x1.5a9a69ab192dbp-15, -0x1.593cc61f7c5dcp-15, -0x1.57d85b16e8b09p-15, -0x1.566df8b526fa3p-15, -0x1.54fd2c50f711fp-15, -0x1.538645e45674cp-15, -0x1.52096171a1382p-15, -0x1.508686d307accp-15, -0x1.4efd6387ee63p-15, -0x1.4d6fd6eb9812ep-15, -0x1.4bdc48f015677p-15, -0x1.4a4346c7fd6fcp-15, -0x1.48a4fcca56151p-15, -0x1.47016de2ed45fp-15, -0x1.4558e19861b82p-15, -0x1.43ab728fcfe21p-15, -0x1.41f9331d46b5fp-15, -0x1.4042462d39d57p-15, -0x1.3e86d3d80c761p-15, -0x1.3cc6f091442e1p-15, -0x1.3b02772274947p-15, -0x1.393a96d109f8cp-15, -0x1.376cfaf2781ap-15, -0x1.359c229010d65p-15, -0x1.33c7bca831397p-15, -0x1.31ef69c5ffc12p-15, -0x1.3013303751337p-15, -0x1.2e33673cb57bap-15, -0x1.2c503f7c0c738p-15, -0x1.2a691e4374296p-15, -0x1.287f50fe6312cp-15, -0x1.2691fd0e009p-15, -0x1.24a1dbb76f115p-15, -0x1.22af0a1ba4cbdp-15, -0x1.20b888939f04fp-15, -0x1.1ebffee3ec5bdp-15, -0x1.1cc444efe3506p-15, -0x1.1ac5c1350c856p-15, -0x1.18c53e98345f8p-15, -0x1.16c2052fa4665p-15, -0x1.14bcad2ccc75cp-15, -0x1.12b555e9e57bp-15, -0x1.10ab71839159cp-15, -0x1.0e9f8377929dbp-15, -0x1.0c91904d6c0ccp-15, -0x1.0a81e9caf73c1p-15, -0x1.08704abf3a1b7p-15, -0x1.065d41505c3e6p-15, -0x1.0448a44d4af67p-15, -0x1.0232682d366f2p-15, -0x1.001a9ff2fd556p-15, -0x1.fc02d97c4727bp-16, -0x1.f7ce5927666e9p-16, -0x1.f396b527b312dp-16, -0x1.ef5d6f88a0c06p-16, -0x1.eb21ff88b309p-16, -0x1.e6e781f925076p-16, -0x1.e2a4800d7ae2bp-16, -0x1.de64201ec808bp-16, -0x1.da210ffcedc84p-16, -0x1.d5de3aa04ed01p-16, -0x1.d1992ff8567e6p-16, -0x1.cd52bfd445512p-16, -0x1.c90b97c43aafdp-16, -0x1.c4c3c102d3b5bp-16, -0x1.c07b6b165e989p-16, -0x1.bc32bf00b82acp-16, -0x1.b7e94e6ca757cp-16, -0x1.b39eaae6a77c2p-16, -0x1.af582ce6def3ap-16, -0x1.ab0aeab97287ap-16, }}, 
      {{0x1.ee99b2833973fp-3, 0x1.596560907252cp-2, 0x1.23c8daea49315p-2, 0x1.11a87cf7e51d7p-3, -0x1.03e85395cc7c1p-4, -0x1.0f5b7d9363a0bp-2, -0x1.c732036dfa3fep-2, -0x1.2d35a38c0f808p-1, -0x1.62437d4bd0d0fp-1, -0x1.83a09f84e8419p-1, -0x1.93f1c669d6af4p-1, -0x1.96a8ab6baec89p-1, -0x1.8f5d1ff84b6d2p-1, -0x1.81673b2138a2ap-1, -0x1.6fa8e77a54aecp-1, -0x1.5c77c24464ed4p-1, -0x1.499b9c75207b6p-1, -0x1.38592405c7175p-1, -0x1.2982e3ae5be56p-1, -0x1.1d8cc319cf189p-1, -0x1.149f970da9e0cp-1, -0x1.0eab50902bab9p-1, -0x1.0b770e2a00eeep-1, -0x1.0aaec3e0581a8p-1, -0x1.0bee71beaab11p-1, -0x1.0ecb09c3d5034p-1, -0x1.12d93e2cbe8f5p-1, -0x1.17b27daba3a63p-1, -0x1.1cf866b5954c8p-1, -0x1.2256f901f5e69p-1, -0x1.2785c709533c1p-1, -0x1.2c4861fbfd663p-1, -0x1.306e329c6d686p-1, -0x1.33d1e8ff3f42dp-1, -0x1.3658a4f31dcefp-1, -0x1.37f0f20050aa4p-1, -0x1.3891abebe5018p-1, -0x1.3838db822234dp-1, -0x1.36ea97a4174cp-1, -0x1.34aff35c2c28dp-1, -0x1.3195feb04c383p-1, -0x1.2dacde13dbd2ap-1, -0x1.2906fa1371f69p-1, -0x1.23b847e6af1f5p-1, -0x1.1dd5aaec68482p-1, -0x1.17746dc770c74p-1, -0x1.10a9d0e59a7d2p-1, -0x1.098aad3f48e55p-1, -0x1.022b2a080938bp-1, -0x1.f53d05a2923cp-2, -0x1.e5edb6b9fa371p-2, -0x1.d68a3e69809f5p-2, -0x1.c731d7fe66d5ap-2, -0x1.b8010b094969ep-2, -0x1.a911a27324051p-2, -0x1.9a7aaf39bf164p-2, -0x1.8c5093b4075e8p-2, -0x1.7ea5167f50b74p-2, -0x1.71877bf01ead5p-2, -0x1.6504a4c5f1dc1p-2, -0x1.5927309229b6fp-2, -0x1.4df7a2339c124p-2, -0x1.437c8517e8ddap-2, -0x1.39ba92d832992p-2, -0x1.30b4d89f1394p-2, -0x1.286cdc4aae167p-2, -0x1.20e2c0cc4a22fp-2, -0x1.1a15699c4ba71p-2, -0x1.14029cbfa7d38p-2, -0x1.0ea723352f071p-2, -0x1.09fee78d99ffbp-2, -0x1.060512b00cd9fp-2, -0x1.02b426a8f54d3p-2, -0x1.000617e23cfd5p-2, -0x1.fbe8c8914f46dp-3, -0x1.f8f05227eb713p-3, -0x1.f7146d5dc973cp-3, -0x1.f64646385da69p-3, -0x1.f676b5ae721dfp-3, -0x1.f7966048cca43p-3, -0x1.f995d1c97cdf2p-3, -0x1.fc65962a11066p-3, -0x1.fff64ff717002p-3, -0x1.021c66079330ap-2, -0x1.048f098f5681cp-2, -0x1.074bbc72dd392p-2, -0x1.0a4b54bf2da0cp-2, -0x1.0d86da5e2adcep-2, -0x1.10f78be1205fcp-2, -0x1.1496e271889b5p-2, -0x1.185e9533acf16p-2, -0x1.1c489bb7c2574p-2, -0x1.204f300452e4ap-2, -0x1.246ccfe258766p-2, -0x1.289c3dd21aeb8p-2, -0x1.2cd8814bfb607p-2, -0x1.311ce6ef0f343p-2, -0x1.3564ffc6feb7ep-2, -0x1.39aca0fac5f09p-2, -0x1.3defe27cd1f1dp-2, -0x1.422b1dddd245cp-2, -0x1.465aecf9c9a04p-2, -0x1.4a7c28482a7fcp-2, -0x1.4e8be4e9a51b5p-2, -0x1.528772e451e1dp-2, -0x1.566c5b667e7fap-2, -0x1.5a385df7f3d5dp-2, -0x1.5de96eead4cd2p-2, -0x1.617db5286f557p-2, -0x1.64f3876932154p-2, -0x1.68496a7f8d659p-2, -0x1.6b7e0f01330adp-2, -0x1.6e904ef787d5p-2, -0x1.717f2bc6f3ba8p-2, -0x1.7449cc038697cp-2, -0x1.76ef79a2d52c8p-2, -0x1.796f9f9d66666p-2, -0x1.7bc9c801940d2p-2, -0x1.7dfd9a863f894p-2, -0x1.800ada1921eaep-2, -0x1.81f1633546e5bp-2, -0x1.83b12aac43b7p-2, -0x1.854a3b596d4c5p-2, -0x1.86bcb4a914e75p-2, -0x1.8808c994b2bdfp-2, -0x1.892ebe93a49c8p-2, -0x1.8a2ee83b646aep-2, -0x1.8b09aa7dfdfb6p-2, -0x1.8bbf76ea601b4p-2, -0x1.8c50cb51628c3p-2, -0x1.8cbe3138c9e3p-2, -0x1.8d083c8868811p-2, -0x1.8d2f8a199500cp-2, -0x1.8d34bf529dc38p-2, -0x1.8d18894663dbcp-2, -0x1.8cdb9b4a891d4p-2, -0x1.8c7eae66f6bd6p-2, -0x1.8c0280ffc7277p-2, -0x1.8b67d5a9f6578p-2, -0x1.8aaf7243b713p-2, -0x1.89da1fcf4123ap-2, -0x1.88e8a9e57d406p-2, -0x1.87dbdda088af5p-2, -0x1.86b4893237f27p-2, -0x1.85737bd6a0e92p-2, -0x1.841985259e0dap-2, -0x1.82a77447c576ep-2, -0x1.811e17d6e744cp-2, -0x1.7f7e3dc7c71dep-2, -0x1.7dc8b2cd3f628p-2, -0x1.7bfe41cc32fa2p-2, -0x1.7a1fb3d99e8c2p-2, -0x1.782dd030ce7dfp-2, -0x1.76295bb341d61p-2, -0x1.7413188262774p-2, -0x1.71ebc60e80a9ap-2, -0x1.6fb42110511fdp-2, -0x1.6d6ce341bcc7ap-2, -0x1.6b16c3098ddb5p-2, -0x1.68b27377ff64dp-2, -0x1.6640a461e76e1p-2, -0x1.63c2023d9e3cdp-2, -0x1.613735dee9bddp-2, -0x1.5ea0e467e7987p-2, -0x1.5bffaf6b5cf62p-2, -0x1.595434ed111b8p-2, -0x1.569f0f3a61363p-2, -0x1.53e0d4cb77f14p-2, -0x1.511a185bf5f94p-2, -0x1.4e4b690833dcp-2, -0x1.4b75524486f2p-2, -0x1.48985bbee6761p-2, -0x1.45b509679eb0dp-2, -0x1.42cbdb8997698p-2, -0x1.3fdd4ee5b03a2p-2, -0x1.3ce9dca952085p-2, -0x1.39f1fa6b8f3a4p-2, -0x1.36f61a31bb4fep-2, -0x1.33f6aa95d0f59p-2, -0x1.30f416d32a549p-2, -0x1.2deec6cfa708ap-2, -0x1.2ae71f1f03fc3p-2, -0x1.27dd810913802p-2, -0x1.24d24aadd0505p-2, -0x1.21c5d70dace97p-2, -0x1.1eb87e293bd0cp-2, -0x1.1baa94f91342ep-2, -0x1.189c6d7e452b2p-2, -0x1.158e56d6f0ebdp-2, -0x1.12809d5b29c2ep-2, -0x1.0f738aa50183bp-2, -0x1.0c6765a6daf8bp-2, -0x1.095c72af64eaap-2, -0x1.0652f372c8714p-2, -0x1.034b272d52e3ap-2, -0x1.00454ab2a85b5p-2, -0x1.fa8330fafc3bp-3, -0x1.f480916ce9182p-3, -0x1.ee83227fa7c8ap-3, -0x1.e88b4b96c4539p-3, -0x1.e2996fdad2366p-3, -0x1.dcadee53c2999p-3, -0x1.d6c922058c418p-3, -0x1.d0eb6204ed46ep-3, -0x1.cb150192ca0e5p-3, -0x1.c546503e3e9c1p-3, -0x1.bf7f99fa82917p-3, -0x1.b9c1273cf2b86p-3, -0x1.b40b3d2383d75p-3, -0x1.ae5e1d76236a7p-3, -0x1.a8ba06c5fdd8p-3, -0x1.a31f34931c666p-3, -0x1.9d8ddf51d84bep-3, -0x1.98063c8cb031ep-3, -0x1.92887ef82e063p-3, -0x1.8d14d698e06bfp-3, -0x1.87ab70b0cb15bp-3, -0x1.824c77fddd3p-3, -0x1.7cf814af52826p-3, -0x1.77ae6c91c46c6p-3, -0x1.726fa30ce71dp-3, -0x1.6d3bd94a3593ep-3, -0x1.68132e40d5138p-3, -0x1.62f5beb8b4b21p-3, -0x1.5de3a571f3d46p-3, -0x1.58dcfb22d34aep-3, -0x1.53e1d68dcb72bp-3, -0x1.4ef24c99918ebp-3, -0x1.4a0e7059597b4p-3, -0x1.453653213cccdp-3, -0x1.406a0486ee40bp-3, -0x1.3ba992886b04cp-3, -0x1.36f50975117b4p-3, -0x1.324c741bf500bp-3, -0x1.2dafdbcbb1f0dp-3, -0x1.291f486266f41p-3, -0x1.249ac0622db65p-3, -0x1.202248e09b045p-3, -0x1.1bb5e5b49062cp-3, -0x1.1755995fdc0a6p-3, -0x1.1301653181a5cp-3, -0x1.0eb949501e417p-3, -0x1.0a7d44c0349f3p-3, -0x1.064d5576bf7f4p-3, -0x1.0229784104b2ap-3, -0x1.fc2351e022e0dp-4, -0x1.f40bc4b387f4cp-4, -0x1.ec0c3ca2eb4b7p-4, -0x1.e424abba5bb14p-4, -0x1.dc55021741a22p-4, -0x1.d49d2e3e4e50ep-4, -0x1.ccfd1cf29d947p-4, -0x1.c574b965ab7e1p-4, -0x1.be03ed326378ap-4, -0x1.b6aaa0950e902p-4, -0x1.af68ba71c3d54p-4, -0x1.a83e2040246d9p-4, -0x1.a12ab634e44b5p-4, -0x1.9a2e5f3b0e24bp-4, -0x1.9348fcf57ca0ep-4, -0x1.8c7a6ffe45a51p-4, -0x1.85c297b8dfc48p-4, -0x1.7f21529f4fdc9p-4, -0x1.78967e3157913p-4, -0x1.7221f6e2149fbp-4, -0x1.6bc3984607f0bp-4, -0x1.657b3d0110bfp-4, -0x1.5f48bec2b7d8dp-4, -0x1.592bf6a66b5e5p-4, -0x1.5324bce7dc17dp-4, -0x1.4d32e938ede5bp-4, -0x1.4756527355ed2p-4, -0x1.418eceeb22486p-4, -0x1.3bdc343897c86p-4, -0x1.363e576b7072ap-4, -0x1.30b50cf6242a4p-4, -0x1.2b4028dc27865p-4, -0x1.25df7eb841d1cp-4, -0x1.2092e1a09d1e1p-4, -0x1.1b5a24636c6c1p-4, -0x1.1635194cfbe01p-4, -0x1.1123924ff897fp-4, -0x1.0c256104a62eap-4, -0x1.073a56b273f72p-4, -0x1.02624462b2a27p-4, -0x1.fb39f5bcae8b3p-5, -0x1.f1d495bf93fa7p-5, -0x1.e8940966309f3p-5, -0x1.df77f1549814fp-5, -0x1.d67fed8ca146fp-5, -0x1.cdab9e03a3cfep-5, -0x1.c4faa231cc87fp-5, -0x1.bc6c997ee2c89p-5, -0x1.b401233e4dd5cp-5, -0x1.abb7deb6a07d9p-5, -0x1.a3906b3429185p-5, -0x1.9b8a67dec751ep-5, -0x1.93a574157d664p-5, -0x1.8be12eef4c79bp-5, -0x1.843d37be6f56ep-5, -0x1.7cb92de08807ap-5, -0x1.7554b0d3a5a27p-5, -0x1.6e0f607a901bbp-5, -0x1.66e8dcd034f29p-5, -0x1.5fe0c621360e4p-5, -0x1.58f6bd0ab1a7ap-5, -0x1.522a624c43225p-5, -0x1.4b7b571500476p-5, -0x1.44e93ccacc4a5p-5, -0x1.3e73b53a33565p-5, -0x1.381a6265173c2p-5, -0x1.31dce750aa43fp-5, -0x1.2bbae6d53fb76p-5, -0x1.25b404a097a1ap-5, -0x1.1fc7e4bc45cap-5, -0x1.19f62bc42dd7bp-5, -0x1.143e7ecaed771p-5, -0x1.0ea0835cda505p-5, -0x1.091bdf8ffcea7p-5, -0x1.03b03a135f812p-5, -0x1.fcba744d32f4p-6, -0x1.f2450f4fa8655p-6, -0x1.e7ff965f4ba41p-6, -0x1.dde95b9c2d0f9p-6, -0x1.d401b2c44ebap-6, -0x1.ca47f0a0a6b9p-6, -0x1.c0bb6b717d523p-6, -0x1.b75b7aae6f22ep-6, -0x1.ae27771ed476dp-6, -0x1.a51ebaf8c2dfdp-6, -0x1.9c40a1d88f858p-6, -0x1.938c88ccd3aa9p-6, -0x1.8b01ce6940eedp-6, -0x1.829fd2b642da6p-6, -0x1.7a65f7380901dp-6, -0x1.72539ee5bf729p-6, -0x1.6a682e35e9c62p-6, -0x1.62a30aeab0e21p-6, -0x1.5b039cae89698p-6, -0x1.53894bf94969dp-6, -0x1.4c3383b2a75bfp-6, -0x1.4501af875342bp-6, -0x1.3df33d2fed956p-6, -0x1.37079bcd6a5ep-6, -0x1.303e3c238efcbp-6, -0x1.299690744eb4cp-6, -0x1.23100cae68826p-6, -0x1.1caa2638a53b6p-6, -0x1.166453d006cb7p-6, -0x1.103e0e12c8f9dp-6, -0x1.0a36cf10ab8d8p-6, -0x1.044e1231511e8p-6, -0x1.fd06a96da61cap-7, -0x1.f1ac2ab37a507p-7, -0x1.e68ba8ef90a3p-7, -0x1.dba42836875acp-7, -0x1.d0f4af719c02fp-7, -0x1.c67c490f7898bp-7, -0x1.bc3a0273e994fp-7, -0x1.b22cebcfd9a47p-7, -0x1.a85418c1220adp-7, -0x1.9eae9ff778102p-7, -0x1.953b9a502f057p-7, -0x1.8bfa2482389fdp-7, -0x1.82e95dc4033d9p-7, -0x1.7a08687be8c84p-7, -0x1.71566a3393981p-7, -0x1.68d28b6640868p-7, -0x1.607bf7955b2dep-7, -0x1.5851dd9e831b3p-7, -0x1.50536f642f36p-7, -0x1.487fe1c31184ap-7, -0x1.40d66cb6185a2p-7, -0x1.39564b02f942dp-7, -0x1.31feba23f5977p-7, -0x1.2acefa387b0c3p-7, -0x1.23c64e2745cc7p-7, -0x1.1ce3fac4db28ep-7, -0x1.16274799c6675p-7, -0x1.0f8f7eb6d9273p-7, -0x1.091bece6df993p-7, -0x1.02cbe1ffc1f8bp-7, -0x1.f93d61152db49p-8, -0x1.ed275e41bde22p-8, -0x1.e154705ee7df5p-8, -0x1.d5c34d7137f7bp-8, -0x1.ca72b8ec84218p-8, -0x1.bf617652228e9p-8, -0x1.b48e4f00c704p-8, -0x1.a9f80f7d98c27p-8, -0x1.9f9d86defa6cfp-8, -0x1.957d8699dd232p-8, -0x1.8b96e28af8abcp-8, -0x1.81e87170a0dacp-8, -0x1.78710fbf72108p-8, -0x1.6f2f9fadac4ccp-8, -0x1.66230b23676ecp-8, -0x1.5d4a444723cfdp-8, -0x1.54a446ce87126p-8, -0x1.4c30156b9b2fap-8, -0x1.43ecbb0d019bbp-8, -0x1.3bd945fcef94cp-8, -0x1.33f4c7e8fa5b6p-8, -0x1.2c3e51739d99p-8, -0x1.24b4f1de180fep-8, -0x1.1d57b76255c92p-8, -0x1.1625ac65e15cp-8, -0x1.0f1ddf05608c2p-8, -0x1.083f5f4be55fcp-8, -0x1.0189435220d09p-8, -0x1.f5f55517cebap-9, -0x1.e9258157464bbp-9, -0x1.dca17a45018c7p-9, -0x1.d067c52e080b5p-9, -0x1.c476f98d649f4p-9, -0x1.b8cdb90fe58e7p-9, -0x1.ad6aa92272329p-9, -0x1.a24c68e01b1c6p-9, -0x1.97718e1153564p-9, -0x1.8cd8a1123a8acp-9, -0x1.82801de4e6e44p-9, -0x1.7866791ad4476p-9, -0x1.6e8a276121c04p-9, -0x1.64e9a5c1e8aebp-9, -0x1.5b8382b12caa9p-9, -0x1.525663f2c787fp-9, -0x1.49610b0252408p-9, -0x1.40a254ad2244p-9, -0x1.3819363ffc1d6p-9, -0x1.2fc4b5ec42393p-9, -0x1.27a3e207c124bp-9, -0x1.1fb5c7b201b11p-9, -0x1.17f96b37cc72ep-9, -0x1.106dbf350f028p-9, -0x1.0911ab0223d26p-9, -0x1.01e401b5e58cep-9, -0x1.f5c7274f02417p-10, -0x1.e81e55fe2662cp-10, -0x1.dacb3b3bd1d21p-10, -0x1.cdcb9b7cb73c8p-10, -0x1.c11d6678de5d4p-10, -0x1.b4beb767f5b57p-10, -0x1.a8add74247b9dp-10, -0x1.9ce938260ec66p-10, -0x1.916f67be6e18cp-10, -0x1.863f01fe35705p-10, -0x1.7b56a56db1861p-10, -0x1.70b4e6e22a62fp-10, -0x1.665848f1bca4fp-10, -0x1.5c3f39823074cp-10, -0x1.526811aacef94p-10, -0x1.48d12b3540789p-10, -0x1.3f78d61951b97p-10, -0x1.365d642a0bc02p-10, -0x1.2d7d42847821cp-10, -0x1.24d6f01eb8dbbp-10, -0x1.1c6903b736ec1p-10, -0x1.14322cd8e011cp-10, -0x1.0c31321d861dcp-10, -0x1.0464e7ce4998cp-10, -0x1.f998547405e86p-11, -0x1.eacbb2763a9ep-11, -0x1.dc61a44b0d9a3p-11, -0x1.ce57d9841369ap-11, -0x1.c0abfd858e794p-11, -0x1.b35bbd2236581p-11, -0x1.a664d71201663p-11, -0x1.99c517e57f77dp-11, -0x1.8d7a706956a85p-11, -0x1.8182e7b562417p-11, -0x1.75dc8f8628956p-11, -0x1.6a85918c69688p-11, -0x1.5f7c185e705d8p-11, -0x1.54be53e9c82p-11, -0x1.4a4a77f762eb9p-11, -0x1.401ebc58d800dp-11, -0x1.36395cc35fd91p-11, -0x1.2c9896242040ap-11, -0x1.233aa1f957673p-11, -0x1.1a1db1054fcd5p-11, -0x1.113fedb51cecep-11, -0x1.089f7d6ee0926p-11, -0x1.003a8f078d728p-11, -0x1.f01ee1c449e71p-12, -0x1.e03986f218f2ep-12, -0x1.d0c28223dbc57p-12, -0x1.c1b7ee664ee9bp-12, -0x1.b3180a4a7d703p-12, -0x1.a4e1085b1a567p-12, -0x1.9710d3f97e5adp-12, -0x1.89a4f0449fd3bp-12, -0x1.7c9a940988fccp-12, -0x1.6feee27ff7c5bp-12, -0x1.639f0a7f9ba43p-12, -0x1.57a868cd7a2edp-12, -0x1.4c089d93f86fap-12, -0x1.40bd81f769d7bp-12, -0x1.35c4eea329bdfp-12, -0x1.2b1cba63edfc4p-12, -0x1.20c255f31241p-12, -0x1.16b2f309ead72p-12, -0x1.0cebd8222bc77p-12, -0x1.036aa13c2ec7dp-12, -0x1.f45b3ca358d43p-13, -0x1.e267fb0a7d9a5p-13, -0x1.d0faa5bae690ep-13, -0x1.c01253e5ec886p-13, -0x1.afad06775120ep-13, -0x1.9fc77ae8e9a71p-13, -0x1.905d419b9ffb9p-13, -0x1.81699a24e9f2dp-13, -0x1.72e7ded335255p-13, -0x1.64d41e5220cdcp-13, -0x1.572af6d9a5851p-13, -0x1.49e9c140fb3aep-13, -0x1.3d0eab6e7b382p-13, -0x1.309800dd87bbp-13, -0x1.2483c642d740ap-13, -0x1.18cf3ec62cb56p-13, -0x1.0d76b1e04375ap-13, -0x1.0275db8ac8249p-13, -0x1.ef91a007bf5a4p-14, -0x1.dada618957953p-14, -0x1.c6c2e48658238p-14, -0x1.b34b402593566p-14, -0x1.a0732a660fe43p-14, -0x1.8e38c562e7805p-14, -0x1.7c97fbd78b292p-14, -0x1.6b8b28ed26203p-14, -0x1.5b0c22876d1fcp-14, -0x1.4b14fca8287cep-14, -0x1.3ba0624b9a3dep-14, -0x1.2ca98bdedd875p-14, -0x1.1e2d03997e9cp-14, -0x1.10278aa730f16p-14, -0x1.02970cfd02204p-14, -0x1.eaf368f2b3105p-15, -0x1.d19ace701cb0ep-15, -0x1.b91ed26285a72p-15, -0x1.a17821807a947p-15, -0x1.8a9e97db00536p-15, -0x1.748a64fa300d5p-15, -0x1.5f34a563905dp-15, -0x1.4a98867cc3376p-15, -0x1.36b23635872a5p-15, -0x1.237e1ddfed63bp-15, -0x1.10f81c2d6f3e9p-15, -0x1.fe37837e811fep-16, -0x1.dbc9148b1e898p-16, -0x1.ba9b4793749b9p-16, -0x1.9aa44cd2ebdfap-16, -0x1.7bd60896d77a6p-16, -0x1.5e2cd84b3e36fp-16, -0x1.419d972c89624p-16, -0x1.261da1b83e2d9p-16, -0x1.0ba10c4ad4f1cp-16, -0x1.e43c404b75fa4p-17, -0x1.b31d03543d098p-17, -0x1.83dbf32cd7931p-17, -0x1.567086f01bcdcp-17, -0x1.2ad118f17110bp-17, -0x1.00f372b3b87e5p-17, -0x1.b19c02da50c46p-18, -0x1.64b32bf58aeaep-18, -0x1.1b171bf4fc4c2p-18, -0x1.a93bcd63215adp-19, -0x1.221ac5e3f8fe1p-19, -0x1.40d5bb53bed3cp-20, -0x1.204f6a0761535p-22, 0x1.4c0fc330a7a29p-21, 0x1.8968e45855a73p-20, 0x1.314939492e7aap-19, 0x1.98ef7bb750728p-19, 0x1.fbaf468eedb8ep-19, 0x1.2cc5e0b706dc2p-18, 0x1.59566cbbe9aa4p-18, 0x1.83af77a9977c3p-18, 0x1.abfd1ca222e9ap-18, 0x1.d2636905d4a4p-18, 0x1.f6f41d1ac94a2p-18, 0x1.0cd6cd67b0d49p-17, 0x1.1d48769b0802ap-17, 0x1.2cd1f5358d307p-17, 0x1.3b7b902925327p-17, 0x1.4949f5ca07e6cp-17, 0x1.563911fcd6534p-17, 0x1.624a6afef0376p-17, 0x1.6d8a4c9dd1503p-17, 0x1.780e55b914327p-17, 0x1.81ee9463712a1p-17, 0x1.8b33ef05cddf8p-17, 0x1.93d60e80a75a1p-17, 0x1.9bcec93940ff5p-17, 0x1.a327cb199d8e4p-17, 0x1.a9ec66d04a68fp-17, 0x1.b01df513e3d4dp-17, 0x1.b5b820d0dd01bp-17, 0x1.babb5383c77abp-17, 0x1.bf3227e444237p-17, 0x1.c3232265e2c3fp-17, 0x1.c69751b535f6dp-17, 0x1.c99a9d72f11f7p-17, 0x1.cc36d6307dda8p-17, 0x1.ce6c0ec5fb159p-17, 0x1.d034c3ed42ecap-17, 0x1.d193003a400c5p-17, 0x1.d28f414fabe42p-17, 0x1.d32ccf087f505p-17, 0x1.d368852e6a193p-17, 0x1.d33fc3dc9cfacp-17, 0x1.d2b91927629ebp-17, 0x1.d1df0d518f391p-17, 0x1.d0b8339045995p-17, 0x1.cf4b426f520adp-17, 0x1.cd9f19a5210cbp-17, 0x1.cba9f433312f3p-17, 0x1.c9702318c2613p-17, 0x1.c6fa40bd7e7d4p-17, 0x1.c446c84e87279p-17, 0x1.c15312e39702ep-17, 0x1.be23a1edc48e7p-17, 0x1.babdb99d48d79p-17, 0x1.b7221353f6c6dp-17, 0x1.b356e8a410eedp-17, 0x1.af56301de6713p-17, 0x1.ab261fc2d73f2p-17, 0x1.a6caa287e8ad5p-17, 0x1.a249f94ce6149p-17, 0x1.9da513fbd608bp-17, 0x1.98d87c361730cp-17, 0x1.93e7c8620eeeep-17, 0x1.8ed77dea5d673p-17, 0x1.89a5bb563fd79p-17, 0x1.8450f97a77ed4p-17, 0x1.7edc6500e03f3p-17, 0x1.794cb96cda20dp-17, 0x1.73a1956277ff6p-17, 0x1.6ddcadc988e39p-17, 0x1.6802bf8237931p-17, 0x1.6213db9b5d18fp-17, 0x1.5c10a513cf665p-17, 0x1.55fd3a86333c4p-17, 0x1.4fd74ce8264f4p-17, 0x1.499d0b36a095dp-17, 0x1.43521860c1646p-17, 0x1.3cf98a411b33fp-17, 0x1.36943de75277bp-17, 0x1.302257784cfb1p-17, 0x1.29a68f72a9635p-17, 0x1.231f52bbbc6f4p-17, 0x1.1c8e08e32dba3p-17, 0x1.15f2f5258f691p-17, 0x1.0f4ee4814f44bp-17, 0x1.08a2a78fc2f74p-17, 0x1.01f26f5952ef7p-17, 0x1.f67ab6216d035p-18, 0x1.e908f0bd81cecp-18, 0x1.db91f8a6ace03p-18, 0x1.ce139ff712084p-18, 0x1.c08cbba83d20ep-18, 0x1.b2ff42b3a5ecbp-18, 0x1.a579c6c0cffdap-18, 0x1.97ee6c706c476p-18, 0x1.8a60143c020d2p-18, 0x1.7cd3e72d61291p-18, 0x1.6f4c985e6f8f1p-18, 0x1.61cd4cec6dd67p-18, 0x1.5452a8f157be2p-18, 0x1.46d2dc2d8ab3p-18, 0x1.396674cd36112p-18, 0x1.2bfd6ab820933p-18, 0x1.1e9e16669bfc5p-18, 0x1.1142dbfadd01fp-18, 0x1.03fc907a75aa4p-18, 0x1.ed7b9b6e9c0e7p-19, 0x1.d314032e58abfp-19, 0x1.b8c43af2757e6p-19, 0x1.9e925cb57033p-19, 0x1.847c626d75142p-19, 0x1.6a82b532a1791p-19, 0x1.50a7bd9eda6bp-19, 0x1.36e8cafb3a3edp-19, 0x1.1d4cdb9e15955p-19, 0x1.03d2a311f03d5p-19, 0x1.d504ebcf35fp-20, 0x1.a2ae082fee59fp-20, 0x1.70965a891b9d7p-20, 0x1.3ece109b851b8p-20, 0x1.0d597e4d14fe8p-20, 0x1.b866a288dd868p-21, 0x1.56addde670dc3p-21, 0x1.eb346ea8fa226p-22, 0x1.2aa7f2151a6a4p-22, 0x1.ad75f1bc40c8p-24, -0x1.4a52bed96ac87p-24, -0x1.0f3e7f420f215p-22, -0x1.ca68317f02a81p-22, -0x1.420ebd66c3f1p-21, -0x1.9e33cd855baecp-21, -0x1.f99b4802e5c3dp-21, -0x1.2a22b28cec195p-20, -0x1.571838039d5d8p-20, -0x1.83ad7dac87b39p-20, -0x1.afe24138dce08p-20, -0x1.dbb5acce05cacp-20, -0x1.03931d3342b8fp-19, -0x1.191949067094cp-19, -0x1.2e6d5835a301dp-19, -0x1.438f2bdcd079p-19, -0x1.587e1882fa28p-19, -0x1.6d39e63f1e3fap-19, -0x1.81c69afa9637p-19, -0x1.96219154b2a3cp-19, -0x1.aa4513de73fddp-19, -0x1.be31fc1073e72p-19, -0x1.d1ed3c1d6bfc1p-19, -0x1.e57bc12c413b7p-19, -0x1.f8d2e5ab89fecp-19, -0x1.05f66d01cd00cp-18, -0x1.0f69ec8200cc8p-18, -0x1.18c919113c90ep-18, -0x1.220ee0c552b4bp-18, -0x1.2b3808b5e199p-18, -0x1.3447ae6e7d111p-18, -0x1.3d3b2cb379d8dp-18, -0x1.46159d0cbe9bp-18, -0x1.4ed6cfffd020ap-18, -0x1.577b4160de2fdp-18, -0x1.60084454903bp-18, -0x1.687b18fe55041p-18, -0x1.70d32239e6a35p-18, -0x1.79125815c43a9p-18, -0x1.8136f0b803486p-18, -0x1.89416ded3a644p-18, -0x1.91324e2072b8ep-18, -0x1.99090e26b86cbp-18, -0x1.a0c5cb4865037p-18, -0x1.a86aa71a58deap-18, -0x1.aff4811ddc0ep-18, -0x1.b7656a8302c7fp-18, -0x1.bebce0b68b0dfp-18, -0x1.c5fb6e2f514b6p-18, -0x1.cd20271ff9a4dp-18, -0x1.d42becb37fe18p-18, -0x1.db1f35a4718f1p-18, -0x1.e1f924e50439p-18, -0x1.e8ba5b69600ccp-18, -0x1.ef63459c8a817p-18, -0x1.f5f322ee79e63p-18, -0x1.fc6adb5daaef3p-18, -0x1.0164ccdc97f92p-17, -0x1.04883d78c55ecp-17, -0x1.079f7fe7074cfp-17, -0x1.0aaab15454f08p-17, -0x1.0da9da6cf9336p-17, -0x1.109d0a733fea5p-17, -0x1.13849309f4658p-17, -0x1.16602b8311a6dp-17, -0x1.192feb6f5e0fcp-17, -0x1.1bf4969296d94p-17, -0x1.1ead4bc54d502p-17, -0x1.215a320c57047p-17, -0x1.23facad0016aap-17, -0x1.269247b28c23dp-17, -0x1.291d97ce76e5dp-17, -0x1.2b9dab6c766c9p-17, -0x1.2e11ce7d01987p-17, -0x1.307c39504924dp-17, -0x1.32da54a2d922bp-17, -0x1.352de4c2ad9dep-17, -0x1.37768175bc61ep-17, -0x1.39b165e264de5p-17, -0x1.3be5f4916c444p-17, -0x1.3e0ef26ca5db4p-17, -0x1.402d45d5e64e6p-17, -0x1.42404d266e0c2p-17, -0x1.44495b4b6791dp-17, -0x1.46474e5aa4745p-17, -0x1.483b32390a6a1p-17, -0x1.4a2548c582c4cp-17, -0x1.4c04648d28b46p-17, -0x1.4ddab0c81128cp-17, -0x1.4fa5f2f192f4cp-17, -0x1.5167b843c11e8p-17, -0x1.531f7cfeddb8ep-17, -0x1.54cda88504218p-17, -0x1.567235373f835p-17, -0x1.580d1b57cf2cp-17, -0x1.599e644d22dc6p-17, -0x1.5b262f1264efcp-17, -0x1.5ca4a2889e19ap-17, -0x1.5e19c87fcbb3ep-17, -0x1.5f85a1b67b4b5p-17, -0x1.60e865e20132dp-17, -0x1.62421e0587e58p-17, -0x1.6392def7819ddp-17, -0x1.64daac712566bp-17, -0x1.66198f89c0bb3p-17, -0x1.674fbfbb1fbfep-17, -0x1.687d74acb6573p-17, -0x1.69a27c3946ee3p-17, -0x1.6ac07043f42d5p-17, -0x1.6bd325972c917p-17, -0x1.6cdea56a7e551p-17, -0x1.6de1e8514527p-17, -0x1.6edd10274739fp-17, -0x1.6fd000e8bfd26p-17, -0x1.70babcb78f1cfp-17, -0x1.719dba16478d1p-17, -0x1.72790e363be1p-17, -0x1.7349f2454b894p-17, -0x1.7417c76f8faabp-17, -0x1.74db26157e045p-17, -0x1.75979cfd9a066p-17, -0x1.764be914969b3p-17, -0x1.76fa0a01e4794p-17, -0x1.779f9a1c58734p-17, -0x1.783dca96099d5p-17, -0x1.78d5544d6c27ap-17, -0x1.79665b8e40fbfp-17, -0x1.79ee97b5fcb43p-17, -0x1.7a7098b32cdeap-17, -0x1.7aeb9c8b01a86p-17, -0x1.7b5fe1aa5cff9p-17, -0x1.7bce21ff01f41p-17, -0x1.7c343416b3f45p-17, -0x1.7c9503e633cd1p-17, -0x1.7ced93044a7a3p-17, -0x1.7d41ac6b164f2p-17, -0x1.7d8e69a263023p-17, -0x1.7dd4dc9c2e648p-17, -0x1.7e149285b3726p-17, -0x1.7e4eaf16174b4p-17, -0x1.7e82652349347p-17, -0x1.7eafffa8e936fp-17, -0x1.7ed7a3aab6d85p-17, -0x1.7ef9a446f1632p-17, -0x1.7f166d9f40ed3p-17, -0x1.7f2bd6bc7ccc6p-17, -0x1.7f3c179b33b1ap-17, -0x1.7f46ee92504d1p-17, -0x1.7f4c17653a0a6p-17, -0x1.7f4bb3af6bb6fp-17, -0x1.7f45c2f2c450bp-17, -0x1.7f3a87d843eb6p-17, -0x1.7f2a6d50c653cp-17, -0x1.7f14ade932eadp-17, -0x1.7ef969a30e0c4p-17, -0x1.7ed9aa0c35095p-17, -0x1.7eb4c8caeed7p-17, -0x1.7e886844a3986p-17, -0x1.7e5b0607d7879p-17, -0x1.7e26f350fa34dp-17, -0x1.7dee96a6ea3efp-17, -0x1.7db170792b8ecp-17, -0x1.7d6f3d575cc9cp-17, -0x1.7d288ab16e4f4p-17, -0x1.7cdd45c4df378p-17, -0x1.7c8cedabbce92p-17, -0x1.7c38d9a595cdp-17, -0x1.7be0153be4659p-17, -0x1.7b836c98bd5e8p-17, -0x1.7b229f8b30d9cp-17, -0x1.7abd02822a7bdp-17, -0x1.7a53c92966853p-17, -0x1.79e6029199155p-17, -0x1.79740bd624da6p-17, -0x1.78feb789910a7p-17, -0x1.7884fcca254fdp-17, -0x1.78081be0f37d1p-17, -0x1.778716fa37ba7p-17, -0x1.77021ed6e7fbfp-17, -0x1.76798d6b6e236p-17, -0x1.75ed2698ae896p-17, -0x1.755d913d167fp-17, -0x1.74caa9c29083fp-17, -0x1.743381693dbe9p-17, -0x1.739994236fb41p-17, -0x1.72fc32c7cb2c2p-17, -0x1.725b63e2b7543p-17, -0x1.71b73a1aaf061p-17, -0x1.710fbbfb838ep-17, -0x1.706586fb936ecp-17, -0x1.6fb819836273ap-17, -0x1.6f07d5c47f043p-17, -0x1.6e52109a29619p-17, -0x1.6d9d654a1013p-17, -0x1.6ce40e000a026p-17, -0x1.6c2797650ae65p-17, -0x1.6b691c58186f3p-17, -0x1.6aa73ad832684p-17, -0x1.69e25eedfafbep-17, -0x1.691b1e6f0543bp-17, -0x1.6851614e97badp-17, -0x1.678517ece7525p-17, -0x1.66b663400f908p-17, -0x1.65e5041bd7378p-17, -0x1.6510d1fe32cf9p-17, -0x1.6439ad6c7e8bep-17, -0x1.636208a69249fp-17, }}, 
      {{-0x1.797ccf8ab47cep-1, -0x1.3a2a0926c5ebap-1, -0x1.306dd39175f95p-1, -0x1.5915c3be130f1p-1, -0x1.a03fb99ada6ddp-1, -0x1.f20e48d0d76cap-1, -0x1.1ff6221451767p+0, -0x1.40956e0c94354p+0, -0x1.58f87eb89db12p+0, -0x1.68e3bb22a3d32p+0, -0x1.7123fc92cdab5p+0, -0x1.730cc952c5674p+0, -0x1.701e69b81f6ep+0, -0x1.69cd4b45c793fp+0, -0x1.616254c6d3609p+0, -0x1.57ec7fa03f2dbp+0, -0x1.4e3d9672d9758p+0, -0x1.44ed9a9eb3ef8p+0, -0x1.3c61b768c6863p+0, -0x1.34d4b8f075616p+0, -0x1.2e5fbd9e674eep+0, -0x1.29025fa33dd25p+0, -0x1.24a9f16bb01b3p+0, -0x1.2137a2b300774p+0, -0x1.1e85877376e0cp+0, -0x1.1c6a8f0a06731p+0, -0x1.1abd86058e88dp+0, -0x1.1957433fea3b3p+0, -0x1.1814229bf1fa7p+0, -0x1.16d4eead4b6afp+0, -0x1.157f5801b2a95p+0, -0x1.13fe15293d0ddp+0, -0x1.1240c2cea4b54p+0, -0x1.103b97237583cp+0, -0x1.0de6f80ba9f77p+0, -0x1.0b3f0045e8d1dp+0, -0x1.0842fcde39298p+0, -0x1.04f4e9d8bc1fep+0, -0x1.0158f34caa159p+0, -0x1.fae9fcf5d398ep-1, -0x1.f2a07a40d070fp-1, -0x1.e9e598cdc5e97p-1, -0x1.e0cabf9f47a24p-1, -0x1.d761f039c433cp-1, -0x1.cdbd4c01d508ep-1, -0x1.c3eeaf2d03333p-1, -0x1.ba075eba7a1aep-1, -0x1.b017c84f3e7p-1, -0x1.a62f52c8785aep-1, -0x1.9c5c3ca6b7435p-1, -0x1.92ab853d746cep-1, -0x1.8928df07dc3bap-1, -0x1.7fdeaa97e3794p-1, -0x1.76d5f93da1b45p-1, -0x1.6e1695439d8f7p-1, -0x1.65a70db96a8e2p-1, -0x1.5d8cc493911a1p-1, -0x1.55cbfedd0b662p-1, -0x1.4e67f6e818e42p-1, -0x1.4762f015f0aacp-1, -0x1.40be4b665b865p-1, -0x1.3a7a9bfe3ef2dp-1, -0x1.3497bb14b16f8p-1, -0x1.2f14db1a05a8ep-1, -0x1.29f09a15f693ep-1, -0x1.2529134e8c12fp-1, -0x1.20bbf036d881bp-1, -0x1.1ca6788c2405ap-1, -0x1.18e5a17e39da8p-1, -0x1.15761bc227004p-1, -0x1.12546083e809bp-1, -0x1.0f7cbd394c219p-1, -0x1.0ceb5e5a94d07p-1, -0x1.0a9c59251d9c7p-1, -0x1.088bb46079118p-1, -0x1.06b57056c7b66p-1, -0x1.05158df0d8d87p-1, -0x1.03a8151af2126p-1, -0x1.02691a6b22143p-1, -0x1.0154c416f3526p-1, -0x1.00674e3fdcb72p-1, -0x1.ff3a1d47a8c6ap-2, -0x1.fde4ef74e61fp-2, -0x1.fcc83690fa8b9p-2, -0x1.fbdd58f5e9b09p-2, -0x1.fb1e0319c7eb1p-2, -0x1.fa842a1970ec7p-2, -0x1.fa0a0d877f9aep-2, -0x1.f9aa388f04ee9p-2, -0x1.f95f8286173d2p-2, -0x1.f9250f1284031p-2, -0x1.f8f64daa06578p-2, -0x1.f8cef8e826d34p-2, -0x1.f8ab155533a43p-2, -0x1.f886effd61d31p-2, -0x1.f85f1cab4d975p-2, -0x1.f830741ae0174p-2, -0x1.f7f811925c35ep-2, -0x1.f7b350f053a58p-2, -0x1.f75fcc08f42eep-2, -0x1.f6fb582ad9cc1p-2, -0x1.f68403b66e36ap-2, -0x1.f5f8137c28843p-2, -0x1.f555ffefe2e14p-2, -0x1.f49c72b3370acp-2, -0x1.f3ca44307740ap-2, -0x1.f2de786645f53p-2, -0x1.f1d83cda29b54p-2, -0x1.f0b6e61cf8c8fp-2, -0x1.ef79ecd620732p-2, -0x1.ee20ebcf033ap-2, -0x1.ecab9d93380d1p-2, -0x1.eb19da157fccbp-2, -0x1.e96b949286274p-2, -0x1.e7a0d980c8ba7p-2, -0x1.e5b9ccc973d3bp-2, -0x1.e3b6a79a0d72p-2, -0x1.e197b6a7599b1p-2, -0x1.df5d58d1563fbp-2, -0x1.dd07fd0cedc9ap-2, -0x1.da9820f270a58p-2, -0x1.d80e4fa85bbe3p-2, -0x1.d56b2003da213p-2, -0x1.d2af3352ef8bep-2, -0x1.cfdb348546ed9p-2, -0x1.ccefd68e4682cp-2, -0x1.c9edd3531910ap-2, -0x1.c6d5eb1bbf06ep-2, -0x1.c3a8e3358b524p-2, -0x1.c06784fbf758cp-2, -0x1.bd129d76f733dp-2, -0x1.b9aafc6018225p-2, -0x1.b631731bdb332p-2, -0x1.b2a6d4857b354p-2, -0x1.af0bf4511f578p-2, -0x1.ab61a612aa5f7p-2, -0x1.a7a8bce8d1513p-2, -0x1.a3e20b58a4244p-2, -0x1.a00e627ac8545p-2, -0x1.9c2e916af797cp-2, -0x1.984365595ebcbp-2, -0x1.944da92cea468p-2, -0x1.904e24cb47ca3p-2, -0x1.8c459cf9f0368p-2, -0x1.8834d36ff97afp-2, -0x1.841c866717a1fp-2, -0x1.7ffd7025b5765p-2, -0x1.7bd8470eea4c1p-2, -0x1.77adbdafcaedbp-2, -0x1.737e82635809dp-2, -0x1.6f4b3f08bc81ep-2, -0x1.6b1499265a4efp-2, -0x1.66db31ff8adf8p-2, -0x1.629fa64dddbd2p-2, -0x1.5e628e12dc158p-2, -0x1.5a247cc291da8p-2, -0x1.55e6015dfa646p-2, -0x1.51a7a6522bc78p-2, -0x1.4d69f15456481p-2, -0x1.492d637dddcc5p-2, -0x1.44f2797c940ebp-2, -0x1.40b9ab8bd732bp-2, -0x1.3c836d58e413ep-2, -0x1.38502e12d62c3p-2, -0x1.3420589d13d84p-2, -0x1.2ff453a445473p-2, -0x1.2bcc81934d5f3p-2, -0x1.27a9409368167p-2, -0x1.238aeab3fd8fap-2, -0x1.1f71d6144453ap-2, -0x1.1b5e54eebe4b1p-2, -0x1.1750b5939239ap-2, -0x1.13494280fe29cp-2, -0x1.0f484288f8066p-2, -0x1.0b4df8f4ca512p-2, -0x1.075aa58c67056p-2, -0x1.036e84a2c63p-2, -0x1.ff139e5060314p-3, -0x1.f75975b1461fp-3, -0x1.efaef49d3ce69p-3, -0x1.e8147a2c7f096p-3, -0x1.e08a5f75bcd36p-3, -0x1.d910f7c1d9832p-3, -0x1.d1a890bc3a983p-3, -0x1.ca5172a5c8bedp-3, -0x1.c30be09949005p-3, -0x1.bbd818871bce1p-3, -0x1.b4b6536897a58p-3, -0x1.ada6c571f4e83p-3, -0x1.a6a99e4b4db26p-3, -0x1.9fbf092ce7adfp-3, -0x1.98e72d0f94f87p-3, -0x1.92222cbc914b3p-3, -0x1.8b7026f95aaccp-3, -0x1.84d136b73913ep-3, -0x1.7e45733fa213ap-3, -0x1.77ccf05362087p-3, -0x1.7167be451d66ep-3, -0x1.6b15ea14b2567p-3, -0x1.64d77d9241312p-3, -0x1.5eac7f8ae3bf4p-3, -0x1.5894f3f249496p-3, -0x1.5290dbe979aa6p-3, -0x1.4ca035df1d3d6p-3, -0x1.46c2fdbce0813p-3, -0x1.40f92cf0a50dp-3, -0x1.3b42ba8c5805fp-3, -0x1.359f9b689f236p-3, -0x1.300fc2416aa2ap-3, -0x1.2a931fc22e0c1p-3, -0x1.2529a2a089f7cp-3, -0x1.1fd337ba0e595p-3, -0x1.1a8fca25688bdp-3, -0x1.155f434a3bcedp-3, -0x1.10418af4420f7p-3, -0x1.0b36877ad5923p-3, -0x1.063e1daefb3b8p-3, -0x1.015831134d526p-3, -0x1.f90947a7e7b65p-4, -0x1.ef86add465935p-4, -0x1.e628544aaaf14p-4, -0x1.dcedf88455958p-4, -0x1.d3d755effd24cp-4, -0x1.cae426021e552p-4, -0x1.c2142069be8b8p-4, -0x1.b966fb1cddcd8p-4, -0x1.b0dc6a7ac1418p-4, -0x1.a874216dfe5a4p-4, -0x1.a02dd17fbfafbp-4, -0x1.98092af4a91adp-4, -0x1.9005dcdaa248cp-4, -0x1.882395344449bp-4, -0x1.806200f1ab01cp-4, -0x1.78c0cc218bc93p-4, -0x1.713fa1fc9fa96p-4, -0x1.69de2cf9a6351p-4, -0x1.629c16e93462ep-4, -0x1.5b7908f027a1bp-4, -0x1.5474abb9e2703p-4, -0x1.4d8ea76690859p-4, -0x1.46c6a3b5be1b1p-4, -0x1.401c480f06572p-4, -0x1.398f3b9916935p-4, -0x1.331f25430e492p-4, -0x1.2ccbabbf3d44ap-4, -0x1.269475aa2470ap-4, -0x1.2079298f6c858p-4, -0x1.1a796deae9857p-4, -0x1.1494e956ff659p-4, -0x1.0ecb426d5286bp-4, -0x1.091c1ff4e876dp-4, -0x1.038728cea6c03p-4, -0x1.fc1808250cb82p-5, -0x1.f154b215e28fcp-5, -0x1.e6c39ea03811dp-5, -0x1.dc641da1f6551p-5, -0x1.d2357f8cfa102p-5, -0x1.c837159fb443dp-5, -0x1.be6831deaeef9p-5, -0x1.b4c8270923019p-5, -0x1.ab5648f739c82p-5, -0x1.a211ec3f45aa4p-5, -0x1.98fa66b1189c8p-5, -0x1.900f0f1b3bc5fp-5, -0x1.874f3d553c917p-5, -0x1.7eba4a6bc91a9p-5, -0x1.764f908c64da3p-5, -0x1.6e0e6b011b07ap-5, -0x1.65f63681e80e7p-5, -0x1.5e0650ef4b1e2p-5, -0x1.563e19a7e4448p-5, -0x1.4e9cf12b315eap-5, -0x1.4722398744b9ep-5, -0x1.3fcd560a138f9p-5, -0x1.389dab839917ap-5, -0x1.3192a01a38119p-5, -0x1.2aab9b7e17851p-5, -0x1.23e806e45e902p-5, -0x1.1d474cee11888p-5, -0x1.16c8d9e2a914cp-5, -0x1.106c1b734b4a9p-5, -0x1.0a3080e25d9dbp-5, -0x1.04157afde35edp-5, -0x1.fc34f84156866p-6, -0x1.f07df07e1b60dp-6, -0x1.e504c9bd3d165p-6, -0x1.d9c87284fe3dap-6, -0x1.cec7dc17dce0bp-6, -0x1.c401fb56c2d0cp-6, -0x1.b975c80c80625p-6, -0x1.af223d79f13a7p-6, -0x1.a50659d7cc204p-6, -0x1.9b211eb142287p-6, -0x1.917190d7e025ep-6, -0x1.87f6b8589dfd1p-6, -0x1.7eafa089473ap-6, -0x1.759b57d9940bep-6, -0x1.6cb8f0211ff47p-6, -0x1.64077e4b2b2b7p-6, -0x1.5b861a6b63334p-6, -0x1.5333dfbb6c57cp-6, -0x1.4b0fec7814ffbp-6, -0x1.431962c83515dp-6, -0x1.3b4f67463b9f2p-6, -0x1.33b121ebad0a2p-6, -0x1.2c3dbde1fe3d8p-6, -0x1.24f4694d8fdecp-6, -0x1.1dd4558d50af9p-6, -0x1.16dcb70aa7f33p-6, -0x1.100cc508e0757p-6, -0x1.0963b9bd54c5p-6, -0x1.02e0d3482a784p-6, -0x1.f906a33f1af4bp-7, -0x1.ec94f0da4e825p-7, -0x1.e06b1bf382ba9p-7, -0x1.d487b757be6a9p-7, -0x1.c8e95b92a5606p-7, -0x1.bd8ea6bcd6a31p-7, -0x1.b2763c99cd882p-7, -0x1.a79ec6c5b42b4p-7, -0x1.9d06f4617239bp-7, -0x1.92ad7a10e0bbfp-7, -0x1.889112317edf6p-7, -0x1.7eb07c2f1d1fap-7, -0x1.750a7d42ce383p-7, -0x1.6b9ddfaa74d94p-7, -0x1.62697320019d2p-7, -0x1.596c0c73be995p-7, -0x1.50a4859374f49p-7, -0x1.4811bd9aa610dp-7, -0x1.3fb298a4bd6fcp-7, -0x1.3785ffd08006fp-7, -0x1.2f8ae1335a0e7p-7, -0x1.27c02fc2b53dfp-7, -0x1.2024e342ef347p-7, -0x1.18b7f83344bfep-7, -0x1.11786fccfaadap-7, -0x1.0a654fb700823p-7, -0x1.037da2972ca4ap-7, -0x1.f980edb0f7086p-8, -0x1.ec59c0a32dd1p-8, -0x1.df83ecc33d3c7p-8, -0x1.d2fdaa912d81dp-8, -0x1.c6c53abe9378ap-8, -0x1.bad8e68d13ap-8, -0x1.af36ff5fb881dp-8, -0x1.a3dddf2694485p-8, -0x1.98cbe7bb2f1eap-8, -0x1.8dff825ba1df1p-8, -0x1.837720e47ee67p-8, -0x1.79313cd5a8779p-8, -0x1.6f2c56720b27dp-8, -0x1.6566f67182ef1p-8, -0x1.5bdfac82c5795p-8, -0x1.52950fd0d795fp-8, -0x1.4985bebe2064dp-8, -0x1.40b05e7b6c6b2p-8, -0x1.38139ba13cc1fp-8, -0x1.2fae29712b25cp-8, -0x1.277ec192ba6f5p-8, -0x1.1f8424c6f9acfp-8, -0x1.17bd1a54e27dfp-8, -0x1.10286ef250eap-8, -0x1.08c4f693662a4p-8, -0x1.01918aca106ap-8, -0x1.f51a16d4c00d1p-9, -0x1.e76cbc97cbcd6p-9, -0x1.da18de479fb3cp-9, -0x1.cd1c5edcec00cp-9, -0x1.c0752d603c77bp-9, -0x1.b42143fdd75d4p-9, -0x1.a81ea8119614bp-9, -0x1.9c6b6a3ff6307p-9, -0x1.9105a513f1cbp-9, -0x1.85eb7def9ab25p-9, -0x1.7b1b2399ead91p-9, -0x1.7092cfef40446p-9, -0x1.6650c42b3511cp-9, -0x1.5c534ba93ac3p-9, -0x1.5298baf1b8fc2p-9, -0x1.491f6fd508e85p-9, -0x1.3fe5d1cd88cbep-9, -0x1.36ea50e16a546p-9, -0x1.2e2b6849e5929p-9, -0x1.25a79e94ff533p-9, -0x1.1d5d7c17dd037p-9, -0x1.154b9c142de46p-9, -0x1.0d709b1125022p-9, -0x1.05cb1f5af4369p-9, -0x1.fcb3abada489cp-10, -0x1.ee36e2f8229d7p-10, -0x1.e01d56441fabep-10, -0x1.d2648338f4299p-10, -0x1.c509f36b28053p-10, -0x1.b80b404b574e7p-10, -0x1.ab66121d6de8fp-10, -0x1.9f1822eb1cecp-10, -0x1.931f3e718823p-10, -0x1.87794478866acp-10, -0x1.7c2421f61887cp-10, -0x1.711dd80d45f62p-10, -0x1.6664707946836p-10, -0x1.5bf60185e6e5fp-10, -0x1.51d0a55805c3ep-10, -0x1.47f27bbd302f6p-10, -0x1.3e59ab241cbe4p-10, -0x1.3504566e080edp-10, -0x1.2bf0b2676c9dbp-10, -0x1.231cf88288794p-10, -0x1.1a876fc3258d3p-10, -0x1.122e6ec07e895p-10, -0x1.0a1061160a7ep-10, -0x1.022bc573f86bbp-10, -0x1.f4fe56164608ep-11, -0x1.e612635e1c272p-11, -0x1.d791059507cedp-11, -0x1.c9779dcae83acp-11, -0x1.bbc38dab5682ep-11, -0x1.ae72367c05ff3p-11, -0x1.a180f348980f3p-11, -0x1.94ed1a409475dp-11, -0x1.88b4027506d44p-11, -0x1.7cd30c3c3dc08p-11, -0x1.7147a98eafed9p-11, -0x1.660f68f626997p-11, -0x1.5b27fa0f45474p-11, -0x1.508f326966e7cp-11, -0x1.46430c5ac06abp-11, -0x1.3c41a3b8def1ep-11, -0x1.32892c7e42762p-11, -0x1.2917e94848144p-11, -0x1.1fec20ba2ffd9p-11, -0x1.170419edf7358p-11, -0x1.0e5e058e456cdp-11, -0x1.05f81b7662b3p-11, -0x1.fba0ec0a81ecfp-12, -0x1.ebca7be5e473p-12, -0x1.dc692944e6a0bp-12, -0x1.cd796758153c9p-12, -0x1.bef7c2b92d83p-12, -0x1.b0e109f1cc375p-12, -0x1.a3323f376a555p-12, -0x1.95e8a1270ec62p-12, -0x1.89019dfdb0675p-12, -0x1.7c7acabed0e88p-12, -0x1.7051d2db4ca45p-12, -0x1.64846bc0dda1cp-12, -0x1.5910483328576p-12, -0x1.4df30f6c2784bp-12, -0x1.432a5aa197b4p-12, -0x1.38b3b10fb071ep-12, -0x1.2e8cb19f56995p-12, -0x1.24b2ea08e6c16p-12, -0x1.1b23ef2c64969p-12, -0x1.11dd848d799a9p-12, -0x1.08dd818f5cd94p-12, -0x1.0021db16caef4p-12, -0x1.ef514dd052fd1p-13, -0x1.dee0347cc6f98p-13, -0x1.ceecf481d7161p-13, -0x1.bf7437d5a4d3ap-13, -0x1.b072bef8cc86ep-13, -0x1.a1e54919e9f4fp-13, -0x1.93c892e0d1255p-13, -0x1.861962c673583p-13, -0x1.78d484d167fe9p-13, -0x1.6bf6e1c516a6ep-13, -0x1.5f7d6eb414c0bp-13, -0x1.5365589965925p-13, -0x1.47abee8e91995p-13, -0x1.3c4e76fbc494ep-13, -0x1.314a77c92a30dp-13, -0x1.269d6c5b4156dp-13, -0x1.1c44e11e88764p-13, -0x1.123e70645547p-13, -0x1.0887c10a9d8e4p-13, -0x1.fe3d0e1742a0ep-14, -0x1.ec0100a5d3f35p-14, -0x1.da56dea0cd8dbp-14, -0x1.c93a28560c1d2p-14, -0x1.b8a66121701e6p-14, -0x1.a897082eca7fp-14, -0x1.9907b1ced3321p-14, -0x1.89f4283327576p-14, -0x1.7b591a17985f7p-14, -0x1.6d33097280f09p-14, -0x1.5f7f6066c0717p-14, -0x1.523b9f28074bfp-14, -0x1.45654b2c2149ep-14, -0x1.38f9a7d948e77p-14, -0x1.2cf59ef391c24p-14, -0x1.2155df4adc79fp-14, -0x1.161713264162dp-14, -0x1.0b35fce037ccp-14, -0x1.00af9604aa607p-14, -0x1.ed023f358df58p-15, -0x1.d95038f777355p-15, -0x1.c643fcf0300acp-15, -0x1.b3d8cfddb3fd4p-15, -0x1.a208eba060149p-15, -0x1.90ce268e75f62p-15, -0x1.8022cfde0f7f4p-15, -0x1.7001b04620132p-15, -0x1.60669bb61172bp-15, -0x1.514f6d0d8c4a9p-15, -0x1.42ba5aed4287dp-15, -0x1.34a5d889d034dp-15, -0x1.270f3eb388622p-15, -0x1.19f30441caff3p-15, -0x1.0d4c3fa6eb4ebp-15, -0x1.01161e3435789p-15, -0x1.ea97d9e958382p-16, -0x1.d3d36d446d234p-16, -0x1.bdd7be0c4c5bdp-16, -0x1.a89ee8c04cc1fp-16, -0x1.9424d7f5d5a51p-16, -0x1.80658a8434e24p-16, -0x1.6d5c80de40469p-16, -0x1.5b03ef6bfc84ep-16, -0x1.49548a7607f66p-16, -0x1.38460040a7cc9p-16, -0x1.27d090dbae43dp-16, -0x1.17f02d1751cacp-16, -0x1.08a0448393815p-16, -0x1.f3c1591d0b5d9p-17, -0x1.d76068a411bdep-17, -0x1.bc18efb89089p-17, -0x1.a1e28df84d214p-17, -0x1.88b2624022bcp-17, -0x1.707cc5d4e0374p-17, -0x1.59369b6a07ac9p-17, -0x1.42d5df363ap-17, -0x1.2d50e9e26dfb7p-17, -0x1.18a1e9b046fe5p-17, -0x1.04c19dfebdedbp-17, -0x1.e357d9551bc72p-18, -0x1.beb97a07743e6p-18, -0x1.9b9f09c548f6cp-18, -0x1.79fdbc8421f38p-18, -0x1.59c7287f4d466p-18, -0x1.3aed20cfb586dp-18, -0x1.1d619cac21f0cp-18, -0x1.0116c5844da95p-18, -0x1.cc0823c2bd842p-19, -0x1.98435570fb7f7p-19, -0x1.66d0acc1b905dp-19, -0x1.37a015094fad4p-19, -0x1.0aa0b8c2af17ap-19, -0x1.bf82ab2e9173cp-20, -0x1.6de1a74dfd38bp-20, -0x1.203f0cf2f79a4p-20, -0x1.acaf051fb28a7p-21, -0x1.20610f8a44eb9p-21, -0x1.3661b066e7b89p-22, -0x1.cd6b5e2535b9ap-25, 0x1.6c025d40ba143p-23, 0x1.993486db13f3ep-22, 0x1.3825850b9925bp-21, 0x1.9dc1431cb80ep-21, 0x1.fd916409c0dddp-21, 0x1.2bddd6d6ae5d4p-20, 0x1.5631ff551d17fp-20, 0x1.7dd831633ba7fp-20, 0x1.a2ddec97f0cdep-20, 0x1.c55664135cabfp-20, 0x1.e56449281ede4p-20, 0x1.019b2095cf57ep-19, 0x1.0f79b2a694fd2p-19, 0x1.1c54cf95cfda4p-19, 0x1.282fa54cd0257p-19, 0x1.330458133927p-19, 0x1.3ce4d9cbb62f4p-19, 0x1.45d939a6dc41ep-19, 0x1.4de4139f8cbb1p-19, 0x1.55073d25ee4b8p-19, 0x1.5b4b55f7a722fp-19, 0x1.60bf986a977c7p-19, 0x1.65755632c8c0cp-19, 0x1.697ad947ca23ep-19, 0x1.6cd78703c9dbdp-19, 0x1.6f89468a50f4p-19, 0x1.7195f3de805e4p-19, 0x1.72fdbda427026p-19, 0x1.73c60fa7a5a74p-19, 0x1.73f631aa92d18p-19, 0x1.738a8cf3659d1p-19, 0x1.728574629ffabp-19, 0x1.70f0721da884p-19, 0x1.6edb7538178bbp-19, 0x1.6c583e6c7ac37p-19, 0x1.696db9b1631ebp-19, 0x1.6616cc04b3d69p-19, 0x1.624e8ae3dc7c9p-19, 0x1.5e1edcb19c254p-19, 0x1.598ddfbb97d4ep-19, 0x1.549ff485e3217p-19, 0x1.4f50897d01c39p-19, 0x1.499ea18517b9fp-19, 0x1.43961ab3c2773p-19, 0x1.3d3a83cae4cb3p-19, 0x1.3692d17b9afecp-19, 0x1.2fa7ae7ad0319p-19, 0x1.28803730d5224p-19, 0x1.211cd456501a5p-19, 0x1.1979b3843f125p-19, 0x1.1199f486d508fp-19, 0x1.0982f06f88899p-19, 0x1.01379c87654cep-19, 0x1.f16f741f287a7p-20, 0x1.dffe76118d4b9p-20, 0x1.ce27f5bde0671p-20, 0x1.bc00b22668858p-20, 0x1.a98b29b04c001p-20, 0x1.96cbe2c0c18ccp-20, 0x1.83d9414bf23e3p-20, 0x1.70a0ad1165c08p-20, 0x1.5d29e8c1d16cp-20, 0x1.4980043ec341cp-20, 0x1.35a2c0e7617a3p-20, 0x1.218f02e296f45p-20, 0x1.0d4ad68c83649p-20, 0x1.f1bb723ec528dp-21, 0x1.c88cfcb990cbfp-21, 0x1.9f2f8f130cf1ep-21, 0x1.757ebd0090fffp-21, 0x1.4b9984c162c4bp-21, 0x1.21812bedfe2ddp-21, 0x1.ee93185c18502p-22, 0x1.99f48b6f6b6ecp-22, 0x1.45129b76f6eefp-22, 0x1.e00316b9f27e4p-23, 0x1.359e2fa246a4fp-23, 0x1.1613485caca5ap-24, -0x1.fc23223da66d6p-27, -0x1.958ed9e0fee6fp-24, -0x1.75b90dcacf4c7p-23, -0x1.104e94a112a5bp-22, -0x1.65af15c2fea93p-22, -0x1.bae5f4bec9d4ep-22, -0x1.07f939c118682p-21, -0x1.326772b8ef8c6p-21, -0x1.5cb2e8b7740f7p-21, -0x1.86e06b6438846p-21, -0x1.b0f3aafcb3867p-21, -0x1.dae35d31b466ep-21, -0x1.02531d148c943p-20, -0x1.171dcb3995cd3p-20, -0x1.2bd273db8a57cp-20, -0x1.40686141feb0bp-20, -0x1.54e5af55617e1p-20, -0x1.694869be0bef3p-20, -0x1.7d8fdd80bc03cp-20, -0x1.91b7b9ffdfcd7p-20, -0x1.a5c495f610979p-20, -0x1.b9ab06535680ep-20, -0x1.cd6e7430a9b84p-20, -0x1.e10de9b2bfbffp-20, -0x1.f48ab15e78219p-20, -0x1.03f02d0c34148p-19, -0x1.0d892b777a5efp-19, -0x1.17114b3d80196p-19, -0x1.207e6c868241fp-19, -0x1.29dabf0effd58p-19, -0x1.3322ecfbdc122p-19, -0x1.3c55c400a32b8p-19, -0x1.45728cb3794f4p-19, -0x1.4e7813baef4d7p-19, -0x1.576741e7b505cp-19, -0x1.604619b05446ep-19, -0x1.6904aafa1df36p-19, -0x1.71aff97bd1085p-19, -0x1.7a430d651330fp-19, -0x1.82c2a51d1a823p-19, -0x1.8b22b425044e2p-19, -0x1.936d81c54e8e5p-19, -0x1.9ba0a28fca334p-19, -0x1.a3bb7b816165fp-19, -0x1.abbce5c129da7p-19, -0x1.b3a521bfa4eb6p-19, -0x1.bb751b634765fp-19, -0x1.c32b953a5d399p-19, -0x1.cac8c03e996f4p-19, -0x1.d24b472681eb3p-19, -0x1.d9b6126d261acp-19, -0x1.e10531b9d24b6p-19, -0x1.e83a968f969c1p-19, -0x1.ef56d430767d6p-19, -0x1.f658c2d9d68a8p-19, -0x1.fd40504a4f819p-19, -0x1.0207231f443c4p-18, -0x1.05611ee3e3d09p-18, -0x1.08ae025b91777p-18, -0x1.0bec7fa2be101p-18, -0x1.0f1f32bab8786p-18, -0x1.1243e825df725p-18, -0x1.155c5577a4ba7p-18, -0x1.18670a0b9669ep-18, -0x1.1b6478e49472cp-18, -0x1.1e551827d20ccp-18, -0x1.2138657eceffcp-18, -0x1.240e8ddfb533bp-18, -0x1.26d794fd4464cp-18, -0x1.2993881e500e9p-18, -0x1.2c427c61cc75p-18, -0x1.2ee47720f0925p-18, -0x1.31796db8ac367p-18, -0x1.3401591d88d42p-18, -0x1.367c52268e9d1p-18, -0x1.38ea6b2613857p-18, -0x1.3b4ba18e3851bp-18, -0x1.3da0045b7db9ep-18, -0x1.3fe83b48e7bafp-18, -0x1.422371a780d4p-18, -0x1.4451a89ff4922p-18, -0x1.4672fe3da7c62p-18, -0x1.4887e202f4511p-18, -0x1.4a917de57f8d2p-18, -0x1.4c8e2d50ceb7dp-18, -0x1.4e7cb0ef3c8e1p-18, -0x1.505f282dcabafp-18, -0x1.52375e7e03d3dp-18, -0x1.5403b08aeda99p-18, -0x1.55c2dd37bd8e1p-18, -0x1.57762037a0445p-18, -0x1.591cecdab6ef4p-18, -0x1.5ab82c2edd908p-18, -0x1.5c480328f79d2p-18, -0x1.5dcb2b1348b87p-18, -0x1.5f4333b5fae9bp-18, -0x1.60afd40ec4986p-18, -0x1.6210c573fb429p-18, -0x1.636667aa6d878p-18, -0x1.64b0952e5f94fp-18, -0x1.65ef7568d7bc8p-18, -0x1.67233df52fca4p-18, -0x1.684bb62519986p-18, -0x1.6968ee7a5d3c1p-18, -0x1.6a7c257e33224p-18, -0x1.6b83bfb72653ep-18, -0x1.6c80f0cafa4b5p-18, -0x1.6d7366aabe53cp-18, -0x1.6e5b88a0f2c14p-18, -0x1.6f38e7680d053p-18, -0x1.700bfe10565a6p-18, -0x1.70d4d2dee92a6p-18, -0x1.7193771a8771ep-18, -0x1.7248101a29d65p-18, -0x1.72f2c12937cf9p-18, -0x1.739358befb053p-18, -0x1.742a6b318417fp-18, -0x1.74b78135bf5c9p-18, -0x1.753b0fe1f77d7p-18, -0x1.75b4f6229b681p-18, -0x1.76258ec0139a3p-18, -0x1.768cc74cf87d1p-18, -0x1.76eab57d6109bp-18, -0x1.773f9f2bd5703p-18, -0x1.778b65f36bad7p-18, -0x1.77ce068db6aa2p-18, -0x1.780891991feaep-18, -0x1.7839d815d37p-18, -0x1.7862282dfd8f8p-18, -0x1.7881774ee938bp-18, -0x1.7899e2b7b4351p-18, -0x1.78a9ab4e316d9p-18, -0x1.78b11bafae217p-18, -0x1.78af3ccf72fe7p-18, -0x1.78a6ec776b833p-18, -0x1.789589fbcdc14p-18, -0x1.787c9832699d4p-18, -0x1.785be83f7f758p-18, -0x1.7831ff9a60ca3p-18, -0x1.78031962e4e76p-18, -0x1.77cbff1344e81p-18, -0x1.778dabc7c1c8cp-18, -0x1.77474301bbe14p-18, -0x1.76fa35fab4341p-18, -0x1.76a5c3d837a13p-18, -0x1.764a735ec3669p-18, -0x1.75e8a2cf08cddp-18, -0x1.757f00dfbe3d5p-18, -0x1.751007fc2a85p-18, -0x1.749959d431db1p-18, -0x1.741cb69828a74p-18, -0x1.739973856a2bbp-18, -0x1.73100d288c138p-18, -0x1.72807d07194bdp-18, -0x1.71eac2a27cf46p-18, -0x1.714eef60984d7p-18, -0x1.70ad21f21b41bp-18, -0x1.70058120a028p-18, -0x1.6f581fa7423b8p-18, -0x1.6ea507614d3fp-18, -0x1.6dec66bc806ebp-18, -0x1.6d2e525f06b38p-18, -0x1.6c6adce5e1283p-18, -0x1.6ba20deff58adp-18, -0x1.6ad3eb8ec666bp-18, -0x1.6a00bc382ab55p-18, -0x1.6928c3bea6d75p-18, -0x1.684ba8399f4d4p-18, -0x1.676a88bd4abbap-18, -0x1.66830b90a8d4fp-18, -0x1.65979784cdc54p-18, -0x1.64a779bdc8ad2p-18, -0x1.63b2e9e61e929p-18, -0x1.62b9dfc7541bbp-18, -0x1.61bc5d7bf7f5cp-18, -0x1.60bad30028b2dp-18, -0x1.5fb529c02fe65p-18, -0x1.5ea9f0ed16109p-18, -0x1.5d9d45b72b60cp-18, -0x1.5c8b4f53933ffp-18, -0x1.5b75cb36e331bp-18, -0x1.5a5bd35a559b6p-18, -0x1.593f089236591p-18, -0x1.581e3da49e1b1p-18, -0x1.56f9a3c0c133p-18, -0x1.55d1d966d966ep-18, -0x1.54a71c7aa833cp-18, -0x1.5377f72ec31a7p-18, -0x1.524613b5e58d9p-18, -0x1.5110e5bafd9a5p-18, -0x1.4fd92e88acc9ap-18, -0x1.4e9e71daa86c4p-18, -0x1.4d5f9407e1083p-18, -0x1.4c1f647074a81p-18, -0x1.4adadf35e528ep-18, -0x1.4994ff0c3aab4p-18, -0x1.484be4f32a1c6p-18, -0x1.4700444ad04cap-18, -0x1.45b19ff4321f7p-18, -0x1.44612c0132f9ap-18, -0x1.430e0bd8b0d0ap-18, -0x1.41b8908cffd4p-18, -0x1.4060d952c8475p-18, -0x1.3f07217787f4p-18, -0x1.3dab9d346d75ep-18, -0x1.3c4d2fa99b0a6p-18, -0x1.3aed07b841a7bp-18, -0x1.398b1cffb5ac1p-18, -0x1.382742a090a0dp-18, -0x1.36c18025876e4p-18, -0x1.355a04fc80e57p-18, -0x1.33f0c0ef17fbdp-18, -0x1.328682c00f07ep-18, -0x1.311a2ccfb62dfp-18, -0x1.2fabd1ae56af1p-18, -0x1.2e3cc74b09571p-18, -0x1.2ccc32117a148p-18, -0x1.2b59008330ad1p-18, -0x1.29e67d66f56f1p-18, -0x1.2871dc2cce35p-18, -0x1.26fc29cc3af1cp-18, -0x1.25856a2d8d183p-18, -0x1.240d7e1e7f273p-18, -0x1.22947f66bf63p-18, -0x1.211a787c77eecp-18, -0x1.1f9f6cc4ced2dp-18, -0x1.1e23ad83d488ap-18, -0x1.1ca70eb6e3108p-18, -0x1.1b29d109c6452p-18, -0x1.19abf4181cf8cp-18, -0x1.182cdd6c187a1p-18, -0x1.16adcf72555d2p-18, -0x1.152da0dd9cf7cp-18, -0x1.13ad0b361b9cdp-18, -0x1.122c1e8d65c85p-18, -0x1.10aa840f8d9c8p-18, -0x1.0f290c427f625p-18, -0x1.0da6d7137ab5bp-18, -0x1.0c2407db3db8dp-18, -0x1.0aa14bf15a723p-18, -0x1.091e30d2c5bfap-18, -0x1.079b0e0fc0598p-18, -0x1.0617e3af09e7p-18, -0x1.04942ecf1290dp-18, -0x1.0310b3148cc34p-18, -0x1.018d26300b908p-18, -0x1.00098ead506a8p-18, -0x1.fd0be71c41907p-19, -0x1.fa04bcdf5ab1ep-19, -0x1.f6fe4a254dc9p-19, -0x1.f3f800105fdf6p-19, -0x1.f0f234ebf1f4ap-19, -0x1.edea15a688343p-19, -0x1.eae791c0454d7p-19, -0x1.e7e2dace863e1p-19, -0x1.e4dee1562c916p-19, -0x1.e1dc3c2fa38aep-19, -0x1.ded9cfedd2434p-19, -0x1.dbd80caf1fa05p-19, -0x1.d8d768f4333a3p-19, -0x1.d5d7d3dba46cap-19, -0x1.d2d942a3330c4p-19, -0x1.cfdbd7f2d7e8fp-19, -0x1.ccdf711a45decp-19, -0x1.c9e42236f12d5p-19, -0x1.c6e928184aa8cp-19, -0x1.c3f1773965bfdp-19, }}, 
      {{0x1.933149417155ap-1, 0x1.9316271f1b309p-1, 0x1.92e905196d905p-1, 0x1.92a9ff289b065p-1, 0x1.925931b5c7ff7p-1, 0x1.91f6b21fb82c8p-1, 0x1.918288030df4fp-1, 0x1.90fca7ee9a04dp-1, 0x1.9064efcbe8e85p-1, 0x1.8fbb24fe87cfp-1, 0x1.8efef411a61cfp-1, 0x1.8e2ff1b656bedp-1, 0x1.8d4d9ccdccdc9p-1, 0x1.8c57613c64e9fp-1, 0x1.8b4c9b47f3ccap-1, 0x1.8a2c9b4b2f126p-1, 0x1.88f6a98fd7cecp-1, 0x1.87aa0a28fefa8p-1, 0x1.864600ae1a7d9p-1, 0x1.84c9d3be84c91p-1, 0x1.8334d03b54411p-1, 0x1.81864c2b3bedap-1, 0x1.7fbda9411ed16p-1, 0x1.7dda570257c2dp-1, 0x1.7bdbd48d31ceap-1, 0x1.79c1b202dc3d3p-1, 0x1.778b919a3196dp-1, 0x1.753928621ae03p-1, 0x1.72ca3ebb35bb4p-1, 0x1.703eb090cda4dp-1, 0x1.6d966d5943876p-1, 0x1.6ad177e5c1b99p-1, 0x1.67efe608a6284p-1, 0x1.64f1e0197ed1dp-1, 0x1.61d7a05cca499p-1, 0x1.5ea1725506d92p-1, 0x1.5b4fb201edc85p-1, 0x1.57e2cb1217c97p-1, 0x1.545b380ab0786p-1, 0x1.50b981685bc8p-1, 0x1.4cfe3cbbf5171p-1, 0x1.492a0bc568f19p-1, 0x1.453d9b8e91056p-1, 0x1.4139a387ad10dp-1, 0x1.3d1ee4a6d047ap-1, 0x1.38ee288b68c16p-1, 0x1.34a840a6cce43p-1, 0x1.304e056aa0ce8p-1, 0x1.2be0557db1dc7p-1, 0x1.276014f7d7df9p-1, 0x1.22ce2ca542bd3p-1, 0x1.1e2b89518ed28p-1, 0x1.19791b1adad68p-1, 0x1.14b7d4cd09a9ap-1, 0x1.0fe8ab454d8c2p-1, 0x1.0b0c94ddfe7bbp-1, 0x1.062488e2b78c1p-1, 0x1.01317f0ca5ad9p-1, 0x1.f868de0dcf1b1p-2, 0x1.ee5c9ff59a9dep-2, 0x1.e4403047944bfp-2, 0x1.da1578d5a35fap-2, 0x1.cfde6011c3d44p-2, 0x1.c59cc860db693p-2, 0x1.bb528f7ab1d3fp-2, 0x1.b1018dd66e3e8p-2, 0x1.a6ab9622f361bp-2, 0x1.9c5274ca72ab5p-2, 0x1.91f7ef8091f2ap-2, 0x1.879dc4da81726p-2, 0x1.7d45abf061803p-2, 0x1.72f154075e842p-2, 0x1.68a26443ee17dp-2, 0x1.5e5a7b63a090ep-2, 0x1.541b2f7e03053p-2, 0x1.49e60dcc0f9a9p-2, 0x1.3fbc9a75bb1a6p-2, 0x1.35a050652d6f6p-2, 0x1.2b92a11f452d5p-2, 0x1.2194f4a1024cap-2, 0x1.17a8a941880ep-2, 0x1.0dcf139863c8fp-2, 0x1.04097e67d0f36p-2, 0x1.f4b255157ee97p-3, 0x1.e17e9dccaf4f8p-3, 0x1.ce7a30bd9f3f3p-3, 0x1.bba7539ebab3bp-3, 0x1.a908380a32e46p-3, 0x1.969efb795e508p-3, 0x1.846da7455d3bdp-3, 0x1.727630acd3fddp-3, 0x1.60ba78de6dbafp-3, 0x1.4f3c4d07fc6f3p-3, 0x1.3dfd6669fdfd8p-3, 0x1.2cff6a6f5421p-3, 0x1.1c43eac90dd3cp-3, 0x1.0bcc658e081c4p-3, 0x1.f7348abc92774p-4, 0x1.d75dc313db8b4p-4, 0x1.b816fc76f0458p-4, 0x1.9962994adcb0cp-4, 0x1.7b42d6661f1a3p-4, 0x1.5db9cb7816117p-4, 0x1.40c96b761b858p-4, 0x1.2473850e0be7fp-4, 0x1.08b9c31df2438p-4, 0x1.db3b5a611fd4cp-5, 0x1.a6414ffd055fbp-5, 0x1.7287ebe7674fdp-5, 0x1.40116f71c211ap-5, 0x1.0edfd981cf678p-5, 0x1.bde9cf6645d84p-6, 0x1.60a42efeaead1p-6, 0x1.05f14ed85e746p-6, 0x1.5ba660fca8fa5p-7, 0x1.612d71b0f3fcp-8, 0x1.56b9221dd3159p-12, -0x1.2bf665671e572p-8, -0x1.317be1e2d0fefp-7, -0x1.c7ccc9e0adb52p-7, -0x1.2c77a46f150adp-6, -0x1.7272c8540d2dbp-6, -0x1.b5d950b773534p-6, -0x1.f6ad2244617bfp-6, -0x1.1a7841cc181f1p-5, -0x1.38530d503e792p-5, -0x1.54e874fc78f8fp-5, -0x1.703a27249a6bfp-5, -0x1.8a49fdd1db506p-5, -0x1.a319fd730bdbdp-5, -0x1.baac538dc4bd2p-5, -0x1.d1035570fb3b8p-5, -0x1.e6217ee919c4ap-5, -0x1.fa0970f5ea528p-5, -0x1.065ef8414debdp-4, -0x1.0f20f28ffb327p-4, -0x1.174c2be086404p-4, -0x1.1ee238bd466e2p-4, -0x1.25e4bd22708d6p-4, -0x1.2c556be0a355cp-4, -0x1.32360600fe6c5p-4, -0x1.37885a2ad5c54p-4, -0x1.3c4e440b17611p-4, -0x1.4089abbd676e2p-4, -0x1.443c85370c262p-4, -0x1.4768cfb3a3108p-4, -0x1.4a109523bf552p-4, -0x1.4c35e99d66911p-4, -0x1.4ddaeace85dc3p-4, -0x1.4f01bf715f2d4p-4, -0x1.4fac96c2ed2cap-4, -0x1.4fdda7fb53468p-4, -0x1.4f9731c85974cp-4, -0x1.4edb79c9f06ap-4, -0x1.4daccc10d22abp-4, -0x1.4c0d7a9f312f2p-4, -0x1.49ffdceb874bbp-4, -0x1.47864f657ebe6p-4, -0x1.44a332fcfc109p-4, -0x1.4158ecab4d604p-4, -0x1.3da9e4fe73fb7p-4, -0x1.399887a69a6ccp-4, -0x1.35274305ac96fp-4, -0x1.305887c119cbbp-4, -0x1.2b2ec855bc764p-4, -0x1.25ac78adec47cp-4, -0x1.1fd40db9b516ap-4, -0x1.19a7fd093d59ep-4, -0x1.132abc694ee0fp-4, -0x1.0c5ec18210bbfp-4, -0x1.05468177e65f5p-4, -0x1.fbc8e11cf39dbp-5, -0x1.ec76039bd2837p-5, -0x1.dc994d544e09ep-5, -0x1.cc379d58f6278p-5, -0x1.bb55ce3e6241bp-5, -0x1.a9f8b576cee7ep-5, -0x1.982522b216e75p-5, -0x1.85dfdf41ec44fp-5, -0x1.732dad8259ea6p-5, -0x1.601348469b631p-5, -0x1.4c95624a2614p-5, -0x1.38b8a5a5ff5e3p-5, -0x1.2481b34a4dbaep-5, -0x1.0ff5227c2747dp-5, -0x1.f62f00af20c99p-6, -0x1.cbda9eab75d8ap-6, -0x1.a0f60daed30d6p-6, -0x1.758a2567164cep-6, -0x1.499fa593d7b0fp-6, -0x1.1d3f353427c6ap-6, -0x1.e0e2c378fefbep-7, -0x1.867d3ca98e1a7p-7, -0x1.2b5e863d3780dp-7, -0x1.9f2e320e5da74p-8, -0x1.ccdcd45c721f8p-9, -0x1.64ee075aca551p-11, 0x1.1c48683cdf5d5p-9, 0x1.49b85811332a6p-8, 0x1.0300047ae373bp-7, 0x1.616e90e32cd14p-7, 0x1.c018fe2d3831ap-7, 0x1.0f785ccd287b9p-6, 0x1.3ef3b8cca7f6dp-6, 0x1.6e778b4800525p-6, 0x1.9dfcedcad588cp-6, 0x1.cd7d1b8fcfb74p-6, 0x1.fcf171cf85fb1p-6, 0x1.1629b80455efp-5, 0x1.2dce5c209725p-5, 0x1.456387a042d57p-5, 0x1.5ce62e61ae1c6p-5, 0x1.745355d455cb8p-5, 0x1.8ba8150c1b85ep-5, 0x1.a2e194d1642c2p-5, 0x1.b9fd0fae0d657p-5, 0x1.d0f7d1f74b827p-5, 0x1.e7cf39d49234dp-5, 0x1.fe80b74379afbp-5, 0x1.0a84e60c65341p-4, 0x1.15b405ff5517fp-4, 0x1.20cc8e3806bf1p-4, 0x1.2bcd5a58b7828p-4, 0x1.36b54ee36c0f1p-4, 0x1.41835933b9e38p-4, 0x1.4c366f773acfap-4, 0x1.56cd90a4d69e5p-4, 0x1.6147c472d7799p-4, 0x1.6ba41b4bd09a3p-4, 0x1.75e1ae426bab3p-4, 0x1.7fff9f0420eb9p-4, 0x1.89fd17cacdecdp-4, 0x1.93d94b4d63925p-4, 0x1.9d9374af7ba58p-4, 0x1.a72ad7700a3e4p-4, 0x1.b09ebf5715e35p-4, 0x1.b9ee80629bae4p-4, 0x1.c31976b287597p-4, 0x1.cc1f0673dd4c7p-4, 0x1.d4fe9bcb24e78p-4, 0x1.ddb7aabdfc2edp-4, 0x1.e649af1c0b5f8p-4, 0x1.eeb42c672aafep-4, 0x1.f6f6adbaf60c4p-4, 0x1.ff10c5b3b62ecp-4, 0x1.0381072a55b15p-3, 0x1.07651476ebeddp-3, 0x1.0b345f009419ap-3, 0x1.0eeebe939e744p-3, 0x1.12940e79c73f9p-3, 0x1.16242d6c2682dp-3, 0x1.199efd84dc11cp-3, 0x1.1d0464308cf59p-3, 0x1.20544a1fb5bc1p-3, 0x1.238e9b37d450ap-3, 0x1.26b3468465d9fp-3, 0x1.29c23e27c4ed4p-3, 0x1.2cbb774be492bp-3, 0x1.2f9eea12f8d0ap-3, 0x1.326c9187f8833p-3, 0x1.35246b8f15867p-3, 0x1.37c678d617da6p-3, 0x1.3a52bcc4b4604p-3, 0x1.3cc93d6ccf5d4p-3, 0x1.3f2a037ab54fdp-3, 0x1.41751a2552e44p-3, 0x1.43aa8f1e65df7p-3, 0x1.45ca7282aa851p-3, 0x1.47d4d6ca11c9bp-3, 0x1.49c9d0b7f07b3p-3, 0x1.4ba9774b4385ap-3, 0x1.4d73e3aef0b38p-3, 0x1.4f29312a1c8a2p-3, 0x1.50c97d1089d2fp-3, 0x1.5254e6b306572p-3, 0x1.53cb8f4ff2debp-3, 0x1.552d9a03d69ffp-3, 0x1.567b2bba0ed46p-3, 0x1.57b46b1d952bdp-3, 0x1.58d98089dfc27p-3, 0x1.59ea95fbe2833p-3, 0x1.5ae7d70324c5ap-3, 0x1.5bd170b2ff61ap-3, 0x1.5ca79193fa6e4p-3, 0x1.5d6a699549c92p-3, 0x1.5e1a29fe72f5dp-3, 0x1.5eb70561170d7p-3, 0x1.5f412f8ae0bebp-3, 0x1.5fb8dd77a00afp-3, 0x1.601e45438cb7dp-3, 0x1.60719e1db1369p-3, 0x1.60b3203a87aebp-3, 0x1.60e304c6bf7f6p-3, 0x1.610185da315edp-3, 0x1.610ede6b01375p-3, 0x1.610b4a40f3e9dp-3, 0x1.60f705e8f02a6p-3, 0x1.60d24ea8b4234p-3, 0x1.609d6272befdfp-3, 0x1.60587fda63c32p-3, 0x1.6003e6081c718p-3, 0x1.5f9fd4ae04a8fp-3, 0x1.5f2c8bfc91e8ep-3, 0x1.5eaa4c977a6cdp-3, 0x1.5e19578ad4549p-3, 0x1.5d79ee4066efap-3, 0x1.5ccc527536f7dp-3, 0x1.5c10c62f3fa7cp-3, 0x1.5b478bb36f8cap-3, 0x1.5a70e57bccec9p-3, 0x1.598d162dd9826p-3, 0x1.589c60912bp-3, 0x1.579f07863938cp-3, 0x1.56954dfd62d4fp-3, 0x1.557f76ee288e7p-3, 0x1.545dc54e9d345p-3, 0x1.53307c0b125fbp-3, 0x1.51f7ddfdf2e5ep-3, 0x1.50b42de7d6778p-3, 0x1.4f65ae67cf4d6p-3, 0x1.4e0ca1f3e5928p-3, 0x1.4ca94ad1d1423p-3, 0x1.4b3beb0fdabap-3, 0x1.49c4c47e052e9p-3, 0x1.484418a758cb5p-3, 0x1.46ba28cb6b45ap-3, 0x1.452735d81e181p-3, 0x1.438b806386153p-3, 0x1.41e748a60fab9p-3, 0x1.403ace74d1c88p-3, 0x1.3e86513c103a7p-3, 0x1.3cca0ff9f1f91p-3, 0x1.3b06493967cep-3, 0x1.393b3b0d435eap-3, 0x1.3769230b7f785p-3, 0x1.35903e48af0fcp-3, 0x1.33b0c953ab961p-3, 0x1.31cb00315e91fp-3, 0x1.2fdf1e58c6282p-3, 0x1.2ded5eaf1f76bp-3, 0x1.2bf5fb843f8e6p-3, 0x1.29f92e8f18679p-3, 0x1.27f730ea664d3p-3, 0x1.25f03b118a23cp-3, 0x1.23e484dd8de94p-3, 0x1.21d445824b82dp-3, 0x1.1fbfb38bc68f1p-3, 0x1.1da704dba33f4p-3, 0x1.1b8a6ea6c84a5p-3, 0x1.196a25732bf96p-3, 0x1.17465d15bd5aep-3, 0x1.151f48b077ad4p-3, 0x1.12f51ab09b9d3p-3, 0x1.10c804cd058a5p-3, 0x1.0e983804aa805p-3, 0x1.0c65e49d385e9p-3, 0x1.0a313a21d4c9ap-3, 0x1.07fa6761fbc72p-3, 0x1.05c19a7081889p-3, 0x1.038700a2ae99cp-3, 0x1.014ac68f801f9p-3, 0x1.fe1a301dfdebp-4, 0x1.f99c407373f47p-4, 0x1.f51c12d0b3bccp-4, 0x1.f099fa669ceb9p-4, 0x1.ec1648e535a37p-4, 0x1.e7914e7b73f8dp-4, 0x1.e30b59d731a18p-4, 0x1.de84b82560bb7p-4, 0x1.d9fdb5126909cp-4, 0x1.d5769acaaa235p-4, 0x1.d0efb1fb423dbp-4, 0x1.cc6941d2e4ccbp-4, 0x1.c7e39002f781p-4, 0x1.c35ee0c0c2a06p-4, 0x1.bedb76c6d6248p-4, 0x1.ba59935690473p-4, 0x1.b5d97639cac21p-4, 0x1.b15b5dc4b4095p-4, 0x1.acdf86d7b4d76p-4, 0x1.a8662ce19a53ep-4, 0x1.a3ef89e1c03b4p-4, 0x1.9f7bd66a6c485p-4, 0x1.9b0b49a33eb9ep-4, 0x1.969e194bcf87ap-4, 0x1.923479be5219bp-4, 0x1.8dce9df261cfep-4, 0x1.896cb77fe6766p-4, 0x1.850ef6a20c6e6p-4, 0x1.80b58a3a57c0ep-4, 0x1.7c609fd3d13b4p-4, 0x1.781063a63deccp-4, 0x1.73c5009979a62p-4, 0x1.6f7ea048d449bp-4, 0x1.6b3d6b06943a6p-4, 0x1.670187df7491cp-4, 0x1.62cb1c9e4abdep-4, 0x1.5e9a4dcfa8137p-4, 0x1.5a6f3ec5942e4p-4, 0x1.564a119b55377p-4, 0x1.522ae7393c0ap-4, 0x1.4e11df5889531p-4, 0x1.49ff1887530c1p-4, 0x1.45f2b02c76f95p-4, 0x1.41ecc28b99a68p-4, 0x1.3ded6ac92d4d5p-4, 0x1.39f4c2ee7862dp-4, 0x1.3602e3edb1402p-4, 0x1.3217e5a613d0cp-4, 0x1.2e33dee80309cp-4, 0x1.2a56e5792d5ebp-4, 0x1.26810e18b5c9cp-4, 0x1.22b26c8360df5p-4, 0x1.1eeb1377c2961p-4, 0x1.1b2b14ba7290fp-4, 0x1.1772811a3a142p-4, 0x1.13c168744df0bp-4, 0x1.1017d9b8821a5p-4, 0x1.0c75e2ed776f7p-4, 0x1.08db9134d6dfbp-4, 0x1.0548f0cf81aa9p-4, 0x1.01be0d21bfaep-4, 0x1.fc75e16edd883p-5, 0x1.f57f4a906007p-5, 0x1.ee9867771e646p-5, 0x1.e7c1485a4987ep-5, 0x1.e0f9fbe174445p-5, 0x1.da428f2cc617ap-5, 0x1.d39b0ddd28a2dp-5, 0x1.cd03821c71f7fp-5, 0x1.c67bf4a572c1ep-5, 0x1.c0046ccc09b37p-5, 0x1.b99cf0851a76ap-5, 0x1.b345846e8603fp-5, 0x1.acfe2bd70c758p-5, 0x1.a6c6e8c61854fp-5, 0x1.a09fbc038e7d2p-5, 0x1.9a88a51f7f5eap-5, 0x1.9481a279c4eb1p-5, 0x1.8e8ab1499daf2p-5, 0x1.88a3cda52734ap-5, 0x1.82ccf288d20eep-5, 0x1.7d0619debe541p-5, 0x1.774f3c8605714p-5, 0x1.71a85259ea4eap-5, 0x1.6c115239053bap-5, 0x1.668a320c5089ap-5, 0x1.6112e6ce1deeep-5, 0x1.5bab649103772p-5, 0x1.56539e86a545p-5, 0x1.510b87067bcf3p-5, 0x1.4bd30f946a9d6p-5, 0x1.46aa28e75bf27p-5, 0x1.4190c2efbe8e6p-5, 0x1.3c86ccdddc627p-5, 0x1.378c35283361ap-5, 0x1.32a0e991a95f9p-5, 0x1.2dc4d72fabe1p-5, 0x1.28f7ea703fbdfp-5, 0x1.243a0f1fec2bp-5, 0x1.1f8b306f9d51fp-5, 0x1.1aeb38fa6799cp-5, 0x1.165a12cb340f6p-5, 0x1.11d7a76259756p-5, 0x1.0d63dfbb20367p-5, 0x1.08fea4511e969p-5, 0x1.04a7dd25964bcp-5, 0x1.005f71c4accbbp-5, 0x1.f84a92950f9abp-6, 0x1.eff294d0b823dp-6, 0x1.e7b6b6d2cd6fp-6, 0x1.df96c46f849cp-6, 0x1.d79288c26f674p-6, 0x1.cfa9ce37c8bc7p-6, 0x1.c7dc5e959eceep-6, 0x1.c02a0304fe99dp-6, 0x1.b892841a9a615p-6, 0x1.b115a9df92aebp-6, 0x1.a9b33bd9e31dcp-6, 0x1.a26b0114b3b87p-6, 0x1.9b3cc028839eap-6, 0x1.94283f43150d2p-6, 0x1.8d2d442f422bep-6, 0x1.864b945c92873p-6, 0x1.7f82f4e6af764p-6, 0x1.78d32a9cc094cp-6, 0x1.723bfa0873cb2p-6, 0x1.6bbd2774ec01ap-6, 0x1.655676f5adb75p-6, 0x1.5f07ac6d1c699p-6, 0x1.58d08b931151bp-6, 0x1.52b0d7fb0894p-6, 0x1.4ca8551a6d66p-6, 0x1.46b6c64e79d61p-6, 0x1.40dbeee224a5bp-6, 0x1.3b179213ca2e8p-6, 0x1.3569731aba88bp-6, 0x1.2fd1552c8f66ep-6, 0x1.2a4efb8281f18p-6, 0x1.24e2295e798f8p-6, 0x1.1f8aa20ffdd5dp-6, 0x1.1a4828f90fd4ep-6, 0x1.151a8192d170cp-6, 0x1.10016f7216342p-6, 0x1.0afcb64bb9bb8p-6, 0x1.060c19f8fbc1ap-6, 0x1.012f5e7b9fa77p-6, 0x1.f8cc9003b2a36p-7, 0x1.ef6135d48d625p-7, 0x1.e61c378f47411p-7, 0x1.dcfd1ec8eaa18p-7, 0x1.d403758d01dc9p-7, 0x1.cb2ec6646ca06p-7, 0x1.c27e9c5bd86b2p-7, 0x1.b9f2830a3ea75p-7, 0x1.b18a0696b1733p-7, 0x1.a944b3be67bep-7, 0x1.a12217da640f9p-7, 0x1.9921c0e49705bp-7, 0x1.91433d7d7f124p-7, 0x1.89861cf0cdb71p-7, 0x1.81e9ef3a54878p-7, 0x1.7a6e450aaa63fp-7, 0x1.7312afcb5be55p-7, 0x1.6bd6c1a34d0a8p-7, 0x1.64ba0d7a98032p-7, 0x1.5dbc26fe7a0d2p-7, 0x1.56dca2a4dc65ep-7, 0x1.501b15afe1745p-7, 0x1.4977163108655p-7, 0x1.42f03b0c5d06ap-7, 0x1.3c861bfb8081dp-7, 0x1.3638519037ee3p-7, 0x1.300675373015bp-7, 0x1.29f0213a691f9p-7, 0x1.23f4f0c373a5ap-7, 0x1.1e147fddc7afp-7, 0x1.184e6b7865213p-7, 0x1.12a2516834046p-7, 0x1.0d0fd06949e66p-7, 0x1.07968820a91dfp-7, 0x1.0236191dce84p-7, 0x1.f9dc49b79f6d3p-8, 0x1.ef7c9b856c971p-8, 0x1.e54c6e50f027p-8, 0x1.db4b0aa3fffp-8, 0x1.d177bae7d8851p-8, 0x1.c7d1cb66a4c0ep-8, 0x1.be588a4ca59abp-8, 0x1.b50b47a967352p-8, 0x1.abe955700b2dep-8, 0x1.a2f2077876a34p-8, 0x1.9a24b37f542c7p-8, 0x1.9180b12669235p-8, 0x1.890559f46ecc1p-8, 0x1.80b209552218fp-8, 0x1.78861c98b80d1p-8, 0x1.7080f2f355c94p-8, 0x1.68a1ed7c8927cp-8, 0x1.60e86f2e4a90ap-8, 0x1.5953dce404b6cp-8, 0x1.51e39d5974a5p-8, 0x1.4a97192958892p-8, 0x1.436dbacbdc597p-8, 0x1.3c66ee9565557p-8, 0x1.358222b446ddep-8, 0x1.2ebec72fa1f17p-8, 0x1.281c4de4ad16dp-8, 0x1.219a2a8565f7bp-8, 0x1.1b37d295aecap-8, 0x1.14f4bd699d676p-8, 0x1.0ed064229ee6fp-8, 0x1.08ca41ad3ec14p-8, 0x1.02e1d2be617f1p-8, 0x1.fa2d2ba195afp-9, 0x1.eed0164422513p-9, 0x1.e3ab696022931p-9, 0x1.d8be2c6b6a843p-9, 0x1.ce076a5057c15p-9, 0x1.c38631673adb9p-9, 0x1.b939937069a1bp-9, 0x1.af20a58d5f583p-9, 0x1.a53a803ac20fep-9, 0x1.9b863f48db1bbp-9, 0x1.920301d5bc7ep-9, 0x1.88afea457c91ap-9, 0x1.7f8c1e3bc5b8cp-9, 0x1.7696c69489ee9p-9, 0x1.6dcf0f5cc46bbp-9, 0x1.653427cb1e954p-9, 0x1.5cc54238e5fbap-9, 0x1.5481941a35704p-9, 0x1.4c6855f6c8adap-9, 0x1.4478c3623e31dp-9, 0x1.3cb21af48f241p-9, 0x1.35139e42563fep-9, 0x1.2d9c91d5484b2p-9, 0x1.264c3d2420eeap-9, 0x1.1f21ea8b01d6dp-9, 0x1.181ce743be2p-9, 0x1.113c835dd0317p-9, 0x1.0a8011b68512dp-9, 0x1.03e6e7f12d638p-9, 0x1.fae0bcddde5bdp-10, 0x1.ee37a08e933eep-10, 0x1.e1d1367f59c03p-10, 0x1.d5ac3f8777dap-10, 0x1.c9c781bad175cp-10, 0x1.be21c85a1e71ap-10, 0x1.b2b9e3c23434ap-10, 0x1.a78ea95d23a33p-10, 0x1.9c9ef391dde68p-10, 0x1.91e9a1b4562d2p-10, 0x1.876d97f600defp-10, 0x1.7d29bf55af8fep-10, 0x1.731d05904e203p-10, 0x1.69465d10acab9p-10, 0x1.5fa4bce08c99fp-10, 0x1.563720982ca19p-10, 0x1.4cfc884fa3884p-10, 0x1.43f3f88f05445p-10, 0x1.3b1c7a3eed733p-10, 0x1.32751a99ca56fp-10, 0x1.29fceb1bf8f5fp-10, 0x1.21b30174e54fap-10, 0x1.19967777ffc8bp-10, 0x1.11a66b0df084p-10, 0x1.09e1fe25776a1p-10, 0x1.024856a4f93ep-10, 0x1.f5b13cb77502dp-11, 0x1.e72405e5a4591p-11, 0x1.d8e76bbf1022cp-11, 0x1.caf9d8a8b61c7p-11, 0x1.bd59be65ee964p-11, 0x1.b00595fc73477p-11, 0x1.a2fbdf986aa2dp-11, 0x1.963b226f99a51p-11, 0x1.89c1eca6bc33ap-11, 0x1.7d8ed3360c4acp-11, 0x1.71a071cdb1bfbp-11, 0x1.65f56abc10f8fp-11, 0x1.5a8c66d1e678cp-11, 0x1.4f64154896ef2p-11, 0x1.447b2ba830419p-11, 0x1.39d065ad4651ep-11, 0x1.2f62852f513fcp-11, 0x1.2530520816ba4p-11, 0x1.1b3899f95aa3ep-11, 0x1.117a3095e60c7p-11, 0x1.07f3ef2730d9dp-11, 0x1.fd49692cbe263p-12, 0x1.eb16caa6c4b94p-12, 0x1.d94dd67bdddc2p-12, 0x1.c7ec6b1c02229p-12, 0x1.b6f071796afe2p-12, 0x1.a657dcda1aef6p-12, 0x1.9620aaaa4517cp-12, 0x1.8648e2517528fp-12, 0x1.76ce950505d3p-12, 0x1.67afdd9c55f56p-12, 0x1.58eae06696bc5p-12, 0x1.4a7dcb00e2b44p-12, 0x1.3c66d42a0da53p-12, 0x1.2ea43b9b0350fp-12, 0x1.213449dda2e12p-12, 0x1.14155023b474dp-12, 0x1.0745a81fae8cfp-12, 0x1.f58767bc69232p-13, 0x1.dd1bbb3bd3e5fp-13, 0x1.c5452f5410b7ap-13, 0x1.ae00b868ecdddp-13, 0x1.974b5a6326be2p-13, 0x1.812228631c8bcp-13, 0x1.6b82447ded327p-13, 0x1.5668df71e960ap-13, 0x1.41d338649dbb8p-13, 0x1.2dbe9c99caa09p-13, 0x1.1a2867317da9fp-13, 0x1.070e00e58cab6p-13, 0x1.e8d9bf899cd88p-14, 0x1.c4850ded7f69bp-14, 0x1.a1190cf0da5ffp-14, 0x1.7e90f5bb57ed5p-14, 0x1.5ce81a286f5ecp-14, 0x1.3c19e44a7f88ep-14, 0x1.1c21d5f5e8003p-14, 0x1.f9f7108ddaddap-15, 0x1.bd45566556275p-15, 0x1.82260a1fea7dfp-15, 0x1.4890e45611adbp-15, 0x1.107dc8a3e6e58p-15, 0x1.b3c989b0ac237p-16, 0x1.497c203571113p-16, 0x1.c40828617b6d9p-17, 0x1.f549d1aa7680fp-18, 0x1.b589d8fa2c142p-20, -0x1.0fdf1dd683f49p-18, -0x1.41598ddcb7a2bp-17, -0x1.f5a847e539a8ep-17, -0x1.527b59cf05a56p-16, -0x1.a7af9d85d056p-16, -0x1.fa7ddf36d836ep-16, -0x1.257965c7c049ap-15, -0x1.4c8d668a77b0fp-15, -0x1.728106cfde3d1p-15, -0x1.975a3bcb6470bp-15, -0x1.bb1edba881d47p-15, -0x1.ddd49e237baa3p-15, -0x1.ff811d3a6e45p-15, -0x1.1014eadbbc559p-14, -0x1.1fea13ee6e714p-14, -0x1.2f42abf98fa17p-14, -0x1.3e214773086abp-14, -0x1.4c886d6946252p-14, -0x1.5a7a97ca034f7p-14, -0x1.67fa33ae7f222p-14, -0x1.7509a19860565p-14, -0x1.81ab35bb46d7dp-14, -0x1.8de1383e6a31fp-14, -0x1.99ade57b83b1cp-14, -0x1.a5136e43a0d73p-14, -0x1.b013f81778f08p-14, -0x1.bab19d6c89f19p-14, -0x1.c4ee6de105754p-14, -0x1.cecc6e7d26634p-14, -0x1.d84d99e9282e4p-14, -0x1.e173e0a91aab4p-14, -0x1.ea4129516f38cp-14, -0x1.f2b750c05f172p-14, -0x1.fad82a5077267p-14, -0x1.0152c0078953p-13, -0x1.051089776342ap-13, -0x1.08a64d7bfede6p-13, -0x1.0c14e3bda866fp-13, -0x1.0f5d1fa121446p-13, -0x1.127fd05e9f215p-13, -0x1.157dc118e3575p-13, -0x1.1857b8f3d18eap-13, -0x1.1b0e7b2ab37efp-13, -0x1.1da2c725b8563p-13, -0x1.2015588e74503p-13, -0x1.2266e76427902p-13, -0x1.249828129599ep-13, -0x1.26a9cb82cbf3fp-13, -0x1.289c7f307c9f7p-13, -0x1.2a70ed3bad1d1p-13, -0x1.2c27bc7c6e0f4p-13, -0x1.2dc19093c162ap-13, -0x1.2f3f09fdb7362p-13, -0x1.30a0c6233618p-13, -0x1.31e75f6a64e16p-13, -0x1.33136d47a02efp-13, -0x1.3425844dca1d6p-13, -0x1.351e363cca27bp-13, -0x1.35fe12132ea8bp-13, -0x1.36c5a41bb5069p-13, -0x1.377575fc54469p-13, -0x1.380e0ec4e90dbp-13, -0x1.388ff2fd9a78ep-13, -0x1.38fba4b45a2d3p-13, -0x1.3951a38a3dac7p-13, -0x1.39926cc114036p-13, -0x1.39be7b47e18a8p-13, -0x1.39d647c81a9b6p-13, -0x1.39da48b055c0ap-13, -0x1.39caf24212ee6p-13, -0x1.39a8b69c6ccb6p-13, -0x1.397405c85819cp-13, -0x1.392d4dc297d93p-13, -0x1.38d4fa87e9c53p-13, -0x1.386b761fa2008p-13, -0x1.37f128a4fb49bp-13, -0x1.37667851caf8dp-13, -0x1.36cbc989028bfp-13, -0x1.36217edfa1488p-13, -0x1.3567f9265e828p-13, -0x1.349f97734bc82p-13, -0x1.33c8b72aa3624p-13, -0x1.32e3b406e7314p-13, -0x1.31f0e822cf684p-13, -0x1.30f0ac001c25ap-13, -0x1.2fe35690f4f76p-13, -0x1.2ec93d3f2cd8p-13, -0x1.2da2b3f4c6d3p-13, -0x1.2c700d234a37cp-13, -0x1.2b3199ca8b304p-13, -0x1.29e7a98105106p-13, -0x1.28928a7a286c9p-13, -0x1.2732898da9e5cp-13, -0x1.25c7f23d89182p-13, -0x1.24530ebd5e802p-13, -0x1.22d427f8b0c64p-13, -0x1.214b85992febdp-13, -0x1.1fb96e0c351e5p-13, -0x1.1e1e268975afbp-13, -0x1.1c79f3187e68ep-13, -0x1.1acd169707085p-13, -0x1.1917d2bd590fp-13, -0x1.175a682441f7dp-13, -0x1.1595164a75518p-13, -0x1.13c81b99bc68p-13, -0x1.11f3b56b8a1acp-13, -0x1.1018200edf911p-13, -0x1.0e3596cbbb54ap-13, -0x1.0c4c53e8f41ddp-13, -0x1.0a5c90b0179e6p-13, -0x1.08668571a0aabp-13, -0x1.066a698a3465fp-13, -0x1.046873662193p-13, -0x1.0260d885b55d7p-13, -0x1.0053cd816de8dp-13, -0x1.fc830c1b91c9cp-14, -0x1.f85469fe0cd7fp-14, -0x1.f41c189ad95fp-14, -0x1.efda7a304fb64p-14, -0x1.eb8fef522db7ap-14, -0x1.e73cd6f1b034ep-14, -0x1.e2e18e635f5a7p-14, -0x1.de7e7165bc405p-14, -0x1.da13da28024c3p-14, -0x1.d5a221511e9e1p-14, -0x1.d1299e04a27ap-14, -0x1.ccaaa5e9a6e41p-14, -0x1.c8258d3118ea3p-14, -0x1.c39aa69a41c4fp-14, -0x1.bf0a4379849edp-14, -0x1.ba74b3bdfc21p-14, -0x1.b5da45f5a8815p-14, -0x1.b13b4754ab63bp-14, -0x1.ac9803b8f6014p-14, -0x1.a7f0c5af52fdp-14, -0x1.a345d679943c3p-14, -0x1.9e977e1294193p-14, -0x1.99e60332cc77ap-14, -0x1.9531ab54fbe64p-14, -0x1.907ababbb4936p-14, -0x1.8bc174748d417p-14, -0x1.87061a5ca76bep-14, -0x1.8248ed2614fbbp-14, -0x1.7d8a2c5b3a3b1p-14, -0x1.78ca16620f2e1p-14, -0x1.7408e88217e9ep-14, -0x1.6f46dee6b6845p-14, -0x1.6a8434a34327ap-14, -0x1.65c123b795d23p-14, -0x1.60fde51317f1fp-14, -0x1.5c3ab09882f07p-14, -0x1.5777bd21ac9d8p-14, -0x1.52b54082ccdacp-14, -0x1.4df36f8dda55cp-14, -0x1.49327e1632052p-14, -0x1.44729ef3ee7b3p-14, -0x1.3fb404069416p-14, -0x1.3af6de38e389ep-14, -0x1.363b5d83e786bp-14, -0x1.3181b0f17b6f5p-14, -0x1.2cca069f77423p-14, -0x1.28148bc41f686p-14, -0x1.23616caf5abc7p-14, -0x1.1eb0d4cdc33fbp-14, -0x1.1a02eeac0ffacp-14, -0x1.1557e3f9bbf48p-14, -0x1.10afdd8bc8b7fp-14, -0x1.0c0b035ec1b8cp-14, -0x1.07697c9afaf43p-14, -0x1.02cb6f95738ffp-14, -0x1.fc6203a696e1cp-15, -0x1.f334b018b8486p-15, -0x1.ea0f2c5b871afp-15, -0x1.e0f1beb7a8096p-15, -0x1.d7dcabeae27d1p-15, -0x1.ced0372a01f14p-15, -0x1.c5cca227c5cedp-15, -0x1.bcd22d1a55e6ap-15, -0x1.b3e116be5ead9p-15, -0x1.aaf99c5b905b7p-15, -0x1.a21bf9c99ea96p-15, -0x1.99486974b635fp-15, -0x1.907f24617d2ep-15, -0x1.87c062328bbd2p-15, -0x1.7f0c592bb7d9p-15, -0x1.76633e35c702fp-15, -0x1.6dc544e4267dbp-15, -0x1.65329f78e2983p-15, -0x1.5cab7ee69b7a3p-15, -0x1.543012d757192p-15, -0x1.4bc089af27a4p-15, -0x1.435d10903ee86p-15, -0x1.3b05d35f5776ep-15, -0x1.32bafcc656bc4p-15, -0x1.2a7cb63928b87p-15, -0x1.224b27fa98774p-15, -0x1.1a26791e1324cp-15, -0x1.120ecf8c40c0ep-15, -0x1.0a045006ba336p-15, -0x1.02071e2bcff37p-15, -0x1.f42eb8f445d94p-16, -0x1.e46a58a813057p-16, -0x1.d4c15c06ccdecp-16, -0x1.c534017a00e27p-16, }}, 
      {{0x1.9332ee845c1c2p-1, 0x1.931cb8e6b47fep-1, 0x1.92f7c204e5bf3p-1, 0x1.92c41adfd8fdcp-1, 0x1.9281d6882b4ecp-1, 0x1.9231069582bc3p-1, 0x1.91d1b7bccbd49p-1, 0x1.9163eed5dfac2p-1, 0x1.90e7a67eacb2ep-1, 0x1.905ccd6e46eb3p-1, 0x1.8fc3457690d04p-1, 0x1.8f1ae326bc81fp-1, 0x1.8e636dfa3c54dp-1, 0x1.8d9ca0fcf3646p-1, 0x1.8cc62bcd45ba8p-1, 0x1.8bdfb3e5c7ecbp-1, 0x1.8ae8d61a3c63p-1, 0x1.89e12835ce9f7p-1, 0x1.88c83aaace976p-1, 0x1.879d9a4691846p-1, 0x1.8660d1de54b49p-1, 0x1.85116bec2fap-1, 0x1.83aef415126c8p-1, 0x1.8238f892a4d73p-1, 0x1.80af0b7d6e531p-1, 0x1.7f10c3f5170cp-1, 0x1.7d5dbf25c6061p-1, 0x1.7b95a12a91c94p-1, 0x1.79b815cdcb0e3p-1, 0x1.77c4d1287c353p-1, 0x1.75bb9022f0993p-1, 0x1.739c18d85a1cbp-1, 0x1.71663adfe5927p-1, 0x1.6f19cf7d9abe6p-1, 0x1.6cb6b9bd6d043p-1, 0x1.6a3ce67ad4001p-1, 0x1.67ac4c5724b3fp-1, 0x1.6504eba0d143bp-1, 0x1.6246ce2d81fcap-1, 0x1.5f720728dcee7p-1, 0x1.5c86b2d9a75ap-1, 0x1.5984f65ec3556p-1, 0x1.566cff65682a3p-1, 0x1.533f03d9cf3cp-1, 0x1.4ffb41936e474p-1, 0x1.4ca1fdfdbd2dap-1, 0x1.493385be61749p-1, 0x1.45b02c59891cbp-1, 0x1.42184bd523a3fp-1, 0x1.3e6c445b94034p-1, 0x1.3aac7bde62733p-1, 0x1.36d95db968755p-1, 0x1.32f35a56dfcd8p-1, 0x1.2efae6d4ab484p-1, 0x1.2af07cab30631p-1, 0x1.26d49955fbe47p-1, 0x1.22a7bdfe735b6p-1, 0x1.1e6a6f28be69ap-1, 0x1.1a1d34631247ap-1, 0x1.15c097f77c8aap-1, 0x1.115526a04aa36p-1, 0x1.0cdb6f3f1b47fp-1, 0x1.08540296ab5fdp-1, 0x1.03bf73076115fp-1, 0x1.fe3ca89d36e25p-2, 0x1.f4e276918961dp-2, 0x1.eb717b6c3cd36p-2, 0x1.e1eae4048ace7p-2, 0x1.d84fde1cb7e8cp-2, 0x1.cea197fba0d78p-2, 0x1.c4e1400b60e7cp-2, 0x1.bb10047ced4c4p-2, 0x1.b12f12f08131ep-2, 0x1.a73f9822b374ep-2, 0x1.9d42bf9e0df17p-2, 0x1.9339b370ff4bep-2, 0x1.89259be7f9014p-2, 0x1.7f079f4b91bc1p-2, 0x1.74e0e1a286fa4p-2, 0x1.6ab284776b00ap-2, 0x1.607da6a1e1a4ap-2, 0x1.564364133c6bdp-2, 0x1.4c04d5a65343p-2, 0x1.41c310f275bc7p-2, 0x1.377f28214d408p-2, 0x1.2d3a29c79328fp-2, 0x1.22f520c076b73p-2, 0x1.18b1140b91788p-2, 0x1.0e6f06ad52c8fp-2, 0x1.042ff791c0267p-2, 0x1.f3e9c2e2e7ce2p-3, 0x1.df7d7571746c4p-3, 0x1.cb1ceae17babbp-3, 0x1.b6c9fe55466f4p-3, 0x1.a28681d90cf93p-3, 0x1.8e543e407ceb2p-3, 0x1.7a34f307ac3e8p-3, 0x1.662a5637598bp-3, 0x1.5236144c45b5bp-3, 0x1.3e59d0219ab73p-3, 0x1.2a9722de28f16p-3, 0x1.16ef9be4778e5p-3, 0x1.0364c0c56c199p-3, 0x1.dff01a6b1b70cp-4, 0x1.b955e60967424p-4, 0x1.92fdb43014784p-4, 0x1.6cea40ccb9cb2p-4, 0x1.471e33ed11379p-4, 0x1.219c21c0003acp-4, 0x1.f8cd15353982p-5, 0x1.aeffb602075bbp-5, 0x1.65d4d765a0de2p-5, 0x1.1d5103763f94fp-5, 0x1.aaf13a0f88572p-6, 0x1.1c9fbfb1ab9e7p-6, 0x1.1f6b83184e58ap-7, 0x1.0ec7019499ebdp-12, -0x1.0b91429a1809fp-7, -0x1.0e4e3327c7adap-6, -0x1.954ea1fe3ff62p-6, -0x1.0d61a0b1ce638p-5, -0x1.4f52d7b276367p-5, -0x1.9077e9edc6298p-5, -0x1.d0cdefdbb38b8p-5, -0x1.082913105af84p-4, -0x1.2780f695a806dp-4, -0x1.466d6467136ebp-4, -0x1.64ed2feb72a8bp-4, -0x1.82ff3dd1029a3p-4, -0x1.a0a283d5e5ab2p-4, -0x1.bdd6088f439a7p-4, -0x1.da98e32f397ffp-4, -0x1.f6ea3b499d56p-4, -0x1.0964a44bd339cp-3, -0x1.171aa95d5a557p-3, -0x1.2496d87f0d0adp-3, -0x1.31d8e50c0feb6p-3, -0x1.3ee089f52209fp-3, -0x1.4bad89a06b09bp-3, -0x1.583fadc8f67f3p-3, -0x1.6496c75deffc1p-3, -0x1.70b2ae61a187fp-3, -0x1.7c9341c8380bcp-3, -0x1.8838675668f39p-3, -0x1.93a20b7fe30ap-3, -0x1.9ed02145ab17cp-3, -0x1.a9c2a21462869p-3, -0x1.b4798da276437p-3, -0x1.bef4e9ce4698p-3, -0x1.c934c27c4c605p-3, -0x1.d33929753c7dcp-3, -0x1.dd02364434167p-3, -0x1.e6900614ecbecp-3, -0x1.efe2bb9206a0cp-3, -0x1.f8fa7ec365fdp-3, -0x1.00ebbe765203p-2, -0x1.053cf435d4f9ep-2, -0x1.0970fc4bb2cdp-2, -0x1.0d87f4cf5258dp-2, -0x1.1181fe338ef04p-2, -0x1.155f3b3650aabp-2, -0x1.191fd0d040d81p-2, -0x1.1cc3e6249401ap-2, -0x1.204ba470f324ap-2, -0x1.23b736fd7dfecp-2, -0x1.2706cb0cef37fp-2, -0x1.2a3a8fccdd931p-2, -0x1.2d52b6461daa7p-2, -0x1.304f714d497ecp-2, -0x1.3330f573634aep-2, -0x1.35f778f6a4c35p-2, -0x1.38a333b36dffdp-2, -0x1.3b345f155c6acp-2, -0x1.3dab360887131p-2, -0x1.4007f4eae455p-2, -0x1.424ad97dd7f9ap-2, -0x1.447422d7e95c1p-2, -0x1.46841156a274ep-2, -0x1.487ae6909f479p-2, -0x1.4a58e547c07e1p-2, -0x1.4c1e515b9098bp-2, -0x1.4dcb6fbbd2052p-2, -0x1.4f60865b3cb4bp-2, -0x1.50dddc2264999p-2, -0x1.5243b8e2d5cc6p-2, -0x1.5392654a56f47p-2, -0x1.54ca2ad66077bp-2, -0x1.55eb53c7c085cp-2, -0x1.56f62b166f142p-2, -0x1.57eafc65915a1p-2, -0x1.58ca13f7ae1d1p-2, -0x1.5993bea31340bp-2, -0x1.5a4849c66bb66p-2, -0x1.5ae8033d839b9p-2, -0x1.5b73395643c1ep-2, -0x1.5bea3ac5d851cp-2, -0x1.5c4d569e0d84cp-2, -0x1.5c9cdc42db6ffp-2, -0x1.5cd91b6024612p-2, -0x1.5d0263dfa722ap-2, -0x1.5d1905df1f6c9p-2, -0x1.5d1d51a69c6e8p-2, -0x1.5d0f979f05f82p-2, -0x1.5cf02848d7ba2p-2, -0x1.5cbf543309636p-2, -0x1.5c7d6bf22e992p-2, -0x1.5c2ac017c43bcp-2, -0x1.5bc7a129b272ap-2, -0x1.5b545f99ff89p-2, -0x1.5ad14bbeb47e2p-2, -0x1.5a3eb5c9f428bp-2, -0x1.599cedc240f95p-2, -0x1.58ec437af945ap-2, -0x1.582d068cff1e5p-2, -0x1.575f864f947aep-2, -0x1.568411d166e5ap-2, -0x1.559af7d1cbf8bp-2, -0x1.54a486ba2e3c2p-2, -0x1.53a10c97a750ep-2, -0x1.5290d714d0344p-2, -0x1.51743373b837p-2, -0x1.504b6e88119d2p-2, -0x1.4f16d4b18b19p-2, -0x1.4dd6b1d653f06p-2, -0x1.4c8b515dd5584p-2, -0x1.4b34fe2b92149p-2, -0x1.49d4029a3678ap-2, -0x1.4868a876d6953p-2, -0x1.46f338fc554dap-2, -0x1.4573fccef99b7p-2, -0x1.43eb3bf82e09bp-2, -0x1.42593de26c9c5p-2, -0x1.40be495552bd7p-2, -0x1.3f1aa471e195fp-2, -0x1.3d6e94aee66bap-2, -0x1.3bba5ed58be6ap-2, -0x1.39fe46fe143d3p-2, -0x1.383a908cbbd66p-2, -0x1.366f7e2ec1bf1p-2, -0x1.349d51d797b3cp-2, -0x1.32c44cbe394fdp-2, -0x1.30e4af5aa74c3p-2, -0x1.2efeb9638820dp-2, -0x1.2d12a9cbef598p-2, -0x1.2b20bec145772p-2, -0x1.292935a956137p-2, -0x1.272c4b207e90fp-2, -0x1.252a3af800db2p-2, -0x1.232340347722cp-2, -0x1.2117950c6582bp-2, -0x1.1f0772e6f2c88p-2, -0x1.1cf3125abb30cp-2, -0x1.1adaab2cc2ccfp-2, -0x1.18be744f8875fp-2, -0x1.169ea3e236a5ap-2, -0x1.147b6f2ff006ap-2, -0x1.12550aaf38998p-2, -0x1.102baa017c526p-2, -0x1.0dff7ff2b089bp-2, -0x1.0bd0be790eefcp-2, -0x1.099f96b4eca5fp-2, -0x1.076c38f0a9f8bp-2, -0x1.0536d4a0b969p-2, -0x1.02ff9863c2dbdp-2, -0x1.00c6b202d941bp-2, -0x1.fd189ce399aaap-3, -0x1.f8a1339f1ec42p-3, -0x1.f4277ecd5ed21p-3, -0x1.efabd35bd6edbp-3, -0x1.eb2e8491aa9cdp-3, -0x1.e6afe4111a88cp-3, -0x1.e23041d91bc07p-3, -0x1.ddafec4718523p-3, -0x1.d92f3018d4d75p-3, -0x1.d4ae586e768afp-3, -0x1.d02daeccad716p-3, -0x1.cbad7b1efe2ap-3, -0x1.c72e03ba2ef07p-3, -0x1.c2af8d5ece1fcp-3, -0x1.be325b3bdb03bp-3, -0x1.b9b6aef18acffp-3, -0x1.b53cc89422b34p-3, -0x1.b0c4e6aefa616p-3, -0x1.ac4f464785a6p-3, -0x1.a7dc22e0874f5p-3, -0x1.a36bb67d4f87fp-3, -0x1.9efe39a51819p-3, -0x1.9a93e3666fa02p-3, -0x1.962ce95abf291p-3, -0x1.91c97fa9e07d6p-3, -0x1.8d69d90dc449cp-3, -0x1.890e26d62e407p-3, -0x1.84b698ec81119p-3, -0x1.80635dd794f0ap-3, -0x1.7c14a2bfa4185p-3, -0x1.77ca937241dc4p-3, -0x1.73855a665c48cp-3, -0x1.6f4520c04f5a6p-3, -0x1.6b0a0e56001fcp-3, -0x1.66d449b2fee57p-3, -0x1.62a3f81cbf5ecp-3, -0x1.5e793d96c9c56p-3, -0x1.5a543ce701153p-3, -0x1.56351799eb0abp-3, -0x1.521bee06fd682p-3, -0x1.4e08df54f6aa6p-3, -0x1.49fc097e34fb2p-3, -0x1.45f589551c174p-3, -0x1.41f57a8871886p-3, -0x1.3dfbf7a7ca759p-3, -0x1.3a091a27efc79p-3, -0x1.361cfa674e9d7p-3, -0x1.3237afb261b75p-3, -0x1.2e59504822cc7p-3, -0x1.2a81f15e777adp-3, -0x1.26b1a7269ff96p-3, -0x1.22e884d1a5ca4p-3, -0x1.1f269c94c525dp-3, -0x1.1b6bffaddd6f3p-3, -0x1.17b8be67d396p-3, -0x1.140ce81efaa03p-3, -0x1.10688b45752a8p-3, -0x1.0ccbb56796e8fp-3, -0x1.093673303ab82p-3, -0x1.05a8d06d1df54p-3, -0x1.0222d8132dc36p-3, -0x1.fd492885aa647p-4, -0x1.f65c1c9886f3dp-4, -0x1.ef7e9d67565acp-4, -0x1.e8b0ba6afbd06p-4, -0x1.e1f281953adc4p-4, -0x1.db43ff59128bcp-4, -0x1.d4a53eb308d33p-4, -0x1.ce16493160d14p-4, -0x1.c79726fc46858p-4, -0x1.c127dedde8ee8p-4, -0x1.bac8764a84533p-4, -0x1.b478f16853eadp-4, -0x1.ae39531785476p-4, -0x1.a8099cf9f8bbfp-4, -0x1.a1e9cf7b11979p-4, -0x1.9bd9e9d758a38p-4, -0x1.95d9ea241decep-4, -0x1.8fe9cd56f515bp-4, -0x1.8a098f4d2d9a3p-4, -0x1.84392ad32db54p-4, -0x1.7e7899abb7fbp-4, -0x1.78c7d4971e214p-4, -0x1.7326d35a5e50cp-4, -0x1.6d958cc62a4ccp-4, -0x1.6813f6bdd6acep-4, -0x1.62a2063e37f8ep-4, -0x1.5d3faf6463444p-4, -0x1.57ece5745e9aap-4, -0x1.52a99adfb762dp-4, -0x1.4d75c14c02977p-4, -0x1.4851499943aa1p-4, -0x1.433c23e8411b2p-4, -0x1.3e363fa0bcbe5p-4, -0x1.393f8b77984bbp-4, -0x1.3457f574e014p-4, -0x1.2f7f6af9c1d42p-4, -0x1.2ab5d8c665194p-4, -0x1.25fb2affb5381p-4, -0x1.214f4d350c7afp-4, -0x1.1cb22a65cb6e5p-4, -0x1.1823ad06d8143p-4, -0x1.13a3bf08033a3p-4, -0x1.0f3249d958b48p-4, -0x1.0acf36705aa85p-4, -0x1.067a6d4d1ec24p-4, -0x1.0233d67f5a013p-4, -0x1.fbf6b356a0047p-5, -0x1.f3a1bc1d6b423p-5, -0x1.eb68950ad5ec5p-5, -0x1.e34b0b1c60cdap-5, -0x1.db48ea9e7275dp-5, -0x1.d361ff3558277p-5, -0x1.cb9613e6179fdp-5, -0x1.c3e4f31f14e3fp-5, -0x1.bc4e66c08941cp-5, -0x1.b4d23824cdfccp-5, -0x1.ad7030287e29ep-5, -0x1.a62817326965ap-5, -0x1.9ef9b53b5e147p-5, -0x1.97e4d1d5c422ep-5, -0x1.90e934350d8d3p-5, -0x1.8a06a33506e2cp-5, -0x1.833ce560ebf8ap-5, -0x1.7c8bc0fa64bp-5, -0x1.75f2fc0049ca4p-5, -0x1.6f725c354a6d8p-5, -0x1.6909a72664f97p-5, -0x1.62b8a2313cad2p-5, -0x1.5c7f128a40818p-5, -0x1.565cbd42adc5bp-5, -0x1.5051674e7203bp-5, -0x1.4a5cd589dd645p-5, -0x1.447eccbf350f6p-5, -0x1.3eb711ac1a9ebp-5, -0x1.39056906dd0c6p-5, -0x1.336997838c68fp-5, -0x1.2de361d9024fp-5, -0x1.28728cc5bc995p-5, -0x1.2316dd1491655p-5, -0x1.1dd017a141a8bp-5, -0x1.189e015cf2718p-5, -0x1.13805f527e649p-5, -0x1.0e76f6aaa0879p-5, -0x1.09818cb00aa37p-5, -0x1.049fe6d351c7ap-5, -0x1.ffa3955d7b339p-6, -0x1.f62dfc13fb37fp-6, -0x1.ecde8dbb719a6p-6, -0x1.e3b4d6ae05cd1p-6, -0x1.dab063b565f83p-6, -0x1.d1d0c2113e0c6p-6, -0x1.c9157f7d692b4p-6, -0x1.c07e2a37fdc42p-6, -0x1.b80a510711362p-6, -0x1.afb9833e4db46p-6, -0x1.a78b50c45147ep-6, -0x1.9f7f4a17d971bp-6, -0x1.97950054b24a2p-6, -0x1.8fcc05388978dp-6, -0x1.8823eb276937dp-6, -0x1.809c453038f72p-6, -0x1.7934a710ce1dfp-6, -0x1.71eca53a0daeep-6, -0x1.6ac3d4d3a67b5p-6, -0x1.63b9cbbfd1abfp-6, -0x1.5cce209ebe23ap-6, -0x1.56006ad1e77acp-6, -0x1.4f50427f4158fp-6, -0x1.48bd40942ca02p-6, -0x1.4246fec8555eap-6, -0x1.3bed17a054f14p-6, -0x1.35af26704f38p-6, -0x1.2f8cc75e317fcp-6, -0x1.298597641603bp-6, -0x1.239934523a5bbp-6, -0x1.1dc73cd1061aap-6, -0x1.180f5062dec22p-6, -0x1.12710f65cdf8fp-6, -0x1.0cec1b151bcbp-6, -0x1.0780158ab36e2p-6, -0x1.022ca1c07b5cdp-6, -0x1.f9e2c7231b8b9p-7, -0x1.ef9bff767e0bfp-7, -0x1.e58437bc30577p-7, -0x1.db9abcfd812cfp-7, -0x1.d1dede0d50837p-7, -0x1.c84feb8981adcp-7, -0x1.beed37dbfb7eep-7, -0x1.b5b6173b8978p-7, -0x1.aca9dfaca2396p-7, -0x1.a3c7e901d3ep-7, -0x1.9b0f8cdc295afp-7, -0x1.928026ab533b4p-7, -0x1.8a1913ad8cf6ap-7, -0x1.81d9b2ef8c041p-7, -0x1.79c1654c1a86fp-7, -0x1.71cf8d6b8ecb4p-7, -0x1.6a038fc3377f3p-7, -0x1.625cd294818ecp-7, -0x1.5adabdec12bc8p-7, -0x1.537cbba0abef6p-7, -0x1.4c42375205defp-7, -0x1.452a9e675f7fep-7, -0x1.3e35600e2e37p-7, -0x1.3761ed3866bfcp-7, -0x1.30afb89ae0f3cp-7, -0x1.2a1e36ab865f6p-7, -0x1.23acdd9f699ep-7, -0x1.1d5b2568b6bap-7, -0x1.172887b4b5b46p-7, -0x1.11147fe96a889p-7, -0x1.0b1e8b2373647p-7, -0x1.054628338e5aep-7, -0x1.ff15af3839aacp-8, -0x1.f3d8371d5a6ddp-8, -0x1.e8d2efd27730ap-8, -0x1.de04e4674b7d3p-8, -0x1.d36d233980fcep-8, -0x1.c90abdef1cf4p-8, -0x1.bedcc970cb1f2p-8, -0x1.b4e25de3db707p-8, -0x1.ab1a96a41ce58p-8, -0x1.a184923de6cf2p-8, -0x1.981f7267c06cep-8, -0x1.8eea5bfbf9e5ep-8, -0x1.85e476f24420fp-8, -0x1.7d0cee594d1e2p-8, -0x1.7462f04fd4ec3p-8, -0x1.6be5adfe3f4fep-8, -0x1.63945b8fa9d98p-8, -0x1.5b6e302b2259ep-8, -0x1.537265eccb9aap-8, -0x1.4ba039dedaaf6p-8, -0x1.43f6ebf2a138fp-8, -0x1.3c75bef95f156p-8, -0x1.351bf89d609f3p-8, -0x1.2de8e15aa0cbfp-8, -0x1.26dbc477d51f6p-8, -0x1.1ff3effef8257p-8, -0x1.1930b4b635defp-8, -0x1.12916618b6b07p-8, -0x1.0c155a4f23622p-8, -0x1.05bbea287dd8ep-8, -0x1.ff08e225947c5p-9, -0x1.f2dc9a27635c3p-9, -0x1.e6f1bd8267a16p-9, -0x1.db471274a363bp-9, -0x1.cfdb643f44b97p-9, -0x1.c4ad83185339p-9, -0x1.b9bc441b86feep-9, -0x1.af06813bfb40bp-9, -0x1.a48b1935917f5p-9, -0x1.9a48ef7deb744p-9, -0x1.903eec365c212p-9, -0x1.866bfc1d0ad53p-9, -0x1.7ccf107e66b33p-9, -0x1.73671f26ef388p-9, -0x1.6a3322546f77fp-9, -0x1.613218a7e867ap-9, -0x1.5863051735f12p-9, -0x1.4fc4eede92cacp-9, -0x1.4756e172b8d0ep-9, -0x1.3f17ec7297898p-9, -0x1.370723992a2e3p-9, -0x1.2f239eaf8de3ap-9, -0x1.276c797f3fe89p-9, -0x1.1fe0d3c437be5p-9, -0x1.187fd11eee2c5p-9, -0x1.114899070c972p-9, -0x1.0a3a56bd71c3dp-9, -0x1.0354393f4442ep-9, -0x1.f92ae66fbdfd8p-10, -0x1.ebfa75e862ad8p-10, -0x1.df1594a9f3db3p-10, -0x1.d27abd840d5b3p-10, -0x1.c628723a4bf97p-10, -0x1.ba1d3b6a49c64p-10, -0x1.ae57a8720e5bcp-10, -0x1.a2d64f56f0d9cp-10, -0x1.9797ccac0dcc6p-10, -0x1.8c9ac379965e8p-10, -0x1.81dddd2410e96p-10, -0x1.775fc953c44d3p-10, -0x1.6d1f3ddc70f97p-10, -0x1.631af6a54d82ep-10, -0x1.5951b591207fdp-10, -0x1.4fc24266aed56p-10, -0x1.466b6ab9a03d6p-10, -0x1.3d4c01d2a8e56p-10, -0x1.3462e099aa553p-10, -0x1.2baee57e1e5bap-10, -0x1.232ef4614216cp-10, -0x1.1ae1f67f993a1p-10, -0x1.12c6da5b30bbfp-10, -0x1.0adc93a5d6403p-10, -0x1.03221b2b74e48p-10, -0x1.f72cdd7a464ebp-11, -0x1.e8712237faee8p-11, -0x1.da0f13c92d026p-11, -0x1.cc04caf49fed3p-11, -0x1.be5069e6599f6p-11, -0x1.b0f01c07869b7p-11, -0x1.a3e215d6fb9acp-11, -0x1.972494c225c2cp-11, -0x1.8ab5defe62a8dp-11, -0x1.7e9443631951p-11, -0x1.72be194408174p-11, -0x1.6731c04c0fcc6p-11, -0x1.5beda058bc6c6p-11, -0x1.50f02955df9f6p-11, -0x1.4637d319e539ep-11, -0x1.3bc31d42a937cp-11, -0x1.31908f129ec77p-11, -0x1.279eb74e97364p-11, -0x1.1dec2c1bcdfdfp-11, -0x1.14778adea4029p-11, -0x1.0b3f781a01accp-11, -0x1.02429f4e24d81p-11, -0x1.f2ff65b2ac8cp-12, -0x1.e1ead7af96c94p-12, -0x1.d1451409eb8fp-12, -0x1.c10ba739fbb7ep-12, -0x1.b13c2a7b83882p-12, -0x1.a1d44393d2d84p-12, -0x1.92d1a4967e8b9p-12, -0x1.84320bab87d3ep-12, -0x1.75f342d6451c8p-12, -0x1.68131fbdab242p-12, -0x1.5a8f8374d7639p-12, -0x1.4d665a446350fp-12, -0x1.40959b756cefcp-12, -0x1.341b491c0c1c6p-12, -0x1.27f56fe42feedp-12, -0x1.1c2226de29405p-12, -0x1.109f8f4c4c69bp-12, -0x1.056bd47130a1fp-12, -0x1.f50a56bf4dd43p-13, -0x1.dfd3a592e60ap-13, -0x1.cb3025a3babd2p-13, -0x1.b71c79baec5a3p-13, -0x1.a39556cad7687p-13, -0x1.909783959fbbcp-13, -0x1.7e1fd853f1b1fp-13, -0x1.6c2b3e5ca584bp-13, -0x1.5ab6afd267bdp-13, -0x1.49bf374cf1d81p-13, -0x1.3941ef87a8a06p-13, -0x1.293c030f52243p-13, -0x1.19aaabf38a098p-13, -0x1.0a8b3377a8784p-13, -0x1.f7b5e388f9609p-14, -0x1.db2e9b3d8d61cp-14, -0x1.bf7b783307729p-14, -0x1.a497809f84a6ap-14, -0x1.8a7dd635708b2p-14, -0x1.7129b595fa451p-14, -0x1.589675ca2fddbp-14, -0x1.40bf87b4680b7p-14, -0x1.29a0758f39e9bp-14, -0x1.1334e2666c50dp-14, -0x1.faf113304c89ap-15, -0x1.d0ce7ca891b5dp-15, -0x1.a7f9d6413dc7fp-15, -0x1.806b22bc96875p-15, -0x1.5a1a91a1e1a02p-15, -0x1.35007e515a389p-15, -0x1.11156f1d367a6p-15, -0x1.dca428cf7b94ap-16, -0x1.995e8f7efee74p-16, -0x1.584c161abd131p-16, -0x1.195f0f63b12f6p-16, -0x1.b91436ea93c5ep-17, -0x1.43804c4004e8ap-17, -0x1.a3d19557db45cp-18, -0x1.90d2bcd080d7ep-19, 0x1.6d1ec0397fba7p-23, 0x1.afaa76ee502fep-19, 0x1.9d0a35395be46p-18, 0x1.2d9acdf740514p-17, 0x1.894211b148c8ap-17, 0x1.e190bff8e188ep-17, 0x1.1b4e1b0959efp-16, 0x1.443cab725c4b6p-16, 0x1.6b9e46d48ec7ap-16, 0x1.917ce83f411acp-16, 0x1.b5e25171596dp-16, 0x1.d8d80c14d4428p-16, 0x1.fa676aee3572ep-16, 0x1.0d4cc58b1a92cp-15, 0x1.1cbbaa8c06993p-15, 0x1.2b84bf0d26bc8p-15, 0x1.39ac447cc1559p-15, 0x1.473663adc11d9p-15, 0x1.54272d63f0a2p-15, 0x1.60829ad6f1965p-15, 0x1.6c4c8e34839a5p-15, 0x1.7788d3255bcf3p-15, 0x1.823b1f46bb335p-15, 0x1.8c6712a77a94ap-15, 0x1.96103840a79a9p-15, 0x1.9f3a066bea5c1p-15, 0x1.a7e7df547399bp-15, 0x1.b01d116d62b01p-15, 0x1.b7dcd7dc66732p-15, 0x1.bf2a5ae92d80cp-15, 0x1.c608b0665215p-15, 0x1.cc7adc1aeed78p-15, 0x1.d283d0257dceep-15, 0x1.d8266d62d4cf9p-15, 0x1.dd6583ce3cddap-15, 0x1.e243d2e250cb5p-15, 0x1.e6c409f5beb96p-15, 0x1.eae8c89575e6ap-15, 0x1.eeb49ee2b235dp-15, 0x1.f22a0de5c05abp-15, 0x1.f54b87e59b37ep-15, 0x1.f81b70be07026p-15, 0x1.fa9c1e2d01bdep-15, 0x1.fccfd82a7a2f5p-15, 0x1.feb8d92e78f03p-15, 0x1.002ca742b6a94p-14, 0x1.00d9ac4afaf28p-14, 0x1.01648596cc3c4p-14, 0x1.01ce36e458f0cp-14, 0x1.0217bdeb70254p-14, 0x1.024212813fd56p-14, 0x1.024e26b944e37p-14, 0x1.023ce706f5e74p-14, 0x1.020f3a5ce6e98p-14, 0x1.01c6024ca8788p-14, 0x1.01621b266a35dp-14, 0x1.00e45c161b2d4p-14, 0x1.004d9741c7c3dp-14, 0x1.ff3d33ca8b09fp-15, 0x1.fdb058df63054p-15, 0x1.fbf6253c1dffap-15, 0x1.fa10172e19a57p-15, 0x1.f7ffa406b2a8fp-15, 0x1.f5c63854c7359p-15, 0x1.f365381207204p-15, 0x1.f0ddfed726a07p-15, 0x1.ee31e00a081e3p-15, 0x1.eb62270e72d7cp-15, 0x1.e87017721ed09p-15, 0x1.e55ced1a7ad2cp-15, 0x1.e229dc70db505p-15, 0x1.ded8128dbf71p-15, 0x1.db68b56171252p-15, 0x1.d7dce3dd4926p-15, 0x1.d435b61dba348p-15, 0x1.d0743d8ea19b7p-15, 0x1.cc998512443ebp-15, 0x1.c8a691283329bp-15, 0x1.c49c600fab985p-15, 0x1.c07be9ed6cf2p-15, 0x1.bc4620ebb5c62p-15, 0x1.b7fbf160d5d96p-15, 0x1.b39e41eae99f2p-15, 0x1.af2df394f3c67p-15, 0x1.aaabe1f3e6544p-15, 0x1.a618e346ab83p-15, 0x1.a175c89484c68p-15, 0x1.9cc35dcb11e68p-15, 0x1.980269daa4df1p-15, 0x1.9333aed3154bbp-15, 0x1.8e57e9fed119dp-15, 0x1.896fd3fd9aba2p-15, 0x1.847c20dfe7a5bp-15, 0x1.7f7d803fc976bp-15, 0x1.7a749d5b514edp-15, 0x1.75621f2b73ecap-15, 0x1.7046a87db0a3dp-15, 0x1.6b22d80b593fp-15, 0x1.65f7488f5693p-15, 0x1.60c490dd6a40ep-15, 0x1.5b8b43f773623p-15, 0x1.564bf1252b268p-15, 0x1.510724064d434p-15, 0x1.4bbd64a77fab3p-15, 0x1.466f3797b9186p-15, 0x1.411d1dfb1b773p-15, 0x1.3bc7959d5b065p-15, 0x1.366f1904e57f9p-15, 0x1.31141f84f1ab1p-15, 0x1.2bb71d4f9c479p-15, 0x1.265883867f794p-15, 0x1.20f8c04da83aap-15, 0x1.1b983ed9ddd7cp-15, 0x1.1637678244569p-15, 0x1.10d69fcf656bfp-15, 0x1.0b764a8b4016dp-15, 0x1.0616c7d05d1c6p-15, 0x1.00b8751898f05p-15, 0x1.f6b75a95e7249p-16, 0x1.ec0191960b31bp-16, 0x1.e1503b0b01fc2p-16, 0x1.d6a3fdfd91e57p-16, 0x1.cbfd7cc09a00ep-16, 0x1.c15d55063fb07p-16, 0x1.b6c41ffdee8abp-16, 0x1.ac32726c9d291p-16, 0x1.a1a8dcc47598ep-16, 0x1.9727eb3ab6648p-16, 0x1.8cb025e04d217p-16, 0x1.824210b9aa1d2p-16, 0x1.77de2bd24cc37p-16, 0x1.6d84f352c685ep-16, 0x1.6336df96984abp-16, 0x1.58f46541ac6bap-16, 0x1.4ebdf552dd8a6p-16, 0x1.4493fd38b0e32p-16, 0x1.3a76e6e419a83p-16, 0x1.306718dbf58e2p-16, 0x1.2664f64fc04ddp-16, 0x1.1c70df2839205p-16, 0x1.128b301ada404p-16, 0x1.08b442b9e7139p-16, 0x1.fdd8db0c56ce8p-17, 0x1.ea6807fdead82p-17, 0x1.d716ad6492b2fp-17, 0x1.c3e5669b024c5p-17, 0x1.b0d4c959baa22p-17, 0x1.9de565d54911dp-17, 0x1.8b17c6d7f7524p-17, 0x1.786c71e447f2ep-17, 0x1.65e3e74f98727p-17, 0x1.537ea25f840f7p-17, 0x1.413d1961dd807p-17, 0x1.2f1fbdcaafb7cp-17, 0x1.1d26fc4e6453ap-17, 0x1.0b533cfb19aa9p-17, 0x1.f349c69e33b6p-18, 0x1.d0389caa905afp-18, 0x1.ad73b175f1ca5p-18, 0x1.8afbb1d203172p-18, 0x1.68d14235c081ep-18, 0x1.46f4feea6beebp-18, 0x1.25677c341c1b8p-18, 0x1.04294686e3679p-18, 0x1.c675c5510894fp-19, 0x1.85399bbc52ff8p-19, 0x1.449efc2fc9e2fp-19, 0x1.04a6c42a88a5fp-19, 0x1.8aa3863a0de9cp-20, 0x1.0d41756a13caap-20, 0x1.22517caaa8963p-21, 0x1.65aaf19ec590fp-24, -0x1.8c9e0f9d6f0afp-22, -0x1.b6b97f134d774p-21, -0x1.5244014e98b33p-20, -0x1.c7dc5ed0fd922p-20, -0x1.1e1282a0ef744p-19, -0x1.578e9c7171dabp-19, -0x1.90622a41059b5p-19, -0x1.c88ce47ceb0a3p-19, -0x1.0007472ced71ap-18, -0x1.1b737acac305cp-18, -0x1.368af91d54af4p-18, -0x1.514db3336f41bp-18, -0x1.6bbb9f076dc4ep-18, -0x1.85d4b764fb61fp-18, -0x1.9f98fbc98c12cp-18, -0x1.b908704732502p-18, -0x1.d2231d705042p-18, -0x1.eae910398848fp-18, -0x1.01ad2cedf16d4p-17, -0x1.0dbb87dfee90bp-17, -0x1.199fa5b162275p-17, -0x1.2559951f8db69p-17, -0x1.30e966d8b69b1p-17, -0x1.3c4f2d714c5bbp-17, -0x1.478afd59032bp-17, -0x1.529ceccd00de2p-17, -0x1.5d8513ccfb772p-17, -0x1.68438c128972ap-17, -0x1.72d87103f9169p-17, -0x1.7d43dfaa2d81ep-17, -0x1.8785f6a5f3b13p-17, -0x1.919ed62604731p-17, -0x1.9b8e9fdc5519dp-17, -0x1.a55576f426688p-17, -0x1.aef3800896a4ep-17, -0x1.b868e11a99757p-17, -0x1.c1b5c187a6c67p-17, -0x1.cada49ffdc72cp-17, -0x1.d3d6a47d3eb72p-17, -0x1.dcaafc3b16e93p-17, -0x1.e5577dabb8e48p-17, -0x1.eddc5671f137dp-17, -0x1.f639b5568f7bep-17, -0x1.fe6fca40dc9fap-17, -0x1.033f63169fdb5p-16, -0x1.07336d933ab12p-16, -0x1.0b141e1e96f8fp-16, -0x1.0ee18ec007798p-16, -0x1.129bd9f981bfcp-16, -0x1.16431ac47c1dfp-16, -0x1.19d76c8e2e963p-16, -0x1.1d58eb332b264p-16, -0x1.20c7b2fce5d61p-16, -0x1.2423e09cee9ecp-16, -0x1.276d912a218fdp-16, -0x1.2aa4e21d13ad2p-16, -0x1.2dc9f14c8368p-16, -0x1.30dcdcea754f7p-16, -0x1.33ddc381109fp-16, -0x1.36ccc3ee5a218p-16, -0x1.39a9fd61d06c6p-16, -0x1.3c758f597adf3p-16, -0x1.3f2f999e757dep-16, -0x1.41d83c41fa2cep-16, -0x1.446f979ae0191p-16, -0x1.46f5cc4271128p-16, -0x1.496afb11288fap-16, -0x1.4bcf451c2a702p-16, -0x1.4e22cbb2c03c5p-16, -0x1.5065b05b9d76dp-16, -0x1.529814d209fe1p-16, -0x1.54ba1b034bd6dp-16, -0x1.56cbe50c84413p-16, -0x1.58cd953723134p-16, -0x1.5abf4df6f7bp-16, -0x1.5ca131e87c5bfp-16, -0x1.5e7363cd93cffp-16, -0x1.6036068b11472p-16, -0x1.61e93d275b046p-16, -0x1.638d2ac70eac7p-16, -0x1.6521f2ab7665ep-16, -0x1.66a7b830555b9p-16, -0x1.681e9ec948292p-16, -0x1.6986ca0037d1p-16, -0x1.6ae05d733055ep-16, -0x1.6c2b7cd188f26p-16, -0x1.6d684bdb73b01p-16, }}, 
      {{0x1.9337dedf37d7dp-1, 0x1.933076f8de3adp-1, 0x1.932421d78c9c2p-1, 0x1.9312e32273f6fp-1, 0x1.92fcbf3ebd8dcp-1, 0x1.92e1babe17135p-1, 0x1.92c1d9c9b5448p-1, 0x1.929d1f962c6c7p-1, 0x1.92738de87c3bdp-1, 0x1.924524b11f80cp-1, 0x1.9211e1bf2fbaep-1, 0x1.91d9c08b95835p-1, 0x1.919cba1af58c7p-1, 0x1.915ac4f42d6f2p-1, 0x1.9113d528d4eb8p-1, 0x1.90c7dc6d0690ep-1, 0x1.9076ca3bc48ffp-1, 0x1.90208c0565923p-1, 0x1.8fc50d65acdadp-1, 0x1.8f64385f654cbp-1, 0x1.8efdf59b95d3fp-1, 0x1.8e922caaa1f4p-1, 0x1.8e20c445e9379p-1, 0x1.8da9a290a9bbap-1, 0x1.8d2cad572c05ap-1, 0x1.8ca9ca4b6704bp-1, 0x1.8c20df3e7f02ap-1, 0x1.8b91d256a5ea6p-1, 0x1.8afc8a4111adep-1, 0x1.8a60ee5fcb39bp-1, 0x1.89bee6f347aaap-1, 0x1.89165d3fc2897p-1, 0x1.88673bae6919dp-1, 0x1.87b16dea75f67p-1, 0x1.86f4e0fa63057p-1, 0x1.8631835562cf6p-1, 0x1.856744f5551dp-1, 0x1.84961765715c2p-1, 0x1.83bdedcde180cp-1, 0x1.82debcfc853e9p-1, 0x1.81f87b6b1d979p-1, 0x1.810b214313c57p-1, 0x1.8016a85f17bd8p-1, 0x1.7f1b0c4ac6786p-1, 0x1.7e184a408cfc4p-1, 0x1.7d0e6125f4cddp-1, 0x1.7bfd5186874ccp-1, 0x1.7ae51d8d7071fp-1, 0x1.79c5c8fe068a8p-1, 0x1.789f592b5b6f7p-1, 0x1.7771d4eef6ad7p-1, 0x1.763d449ed6f4bp-1, 0x1.7501b202d80f9p-1, 0x1.73bf28499397ap-1, 0x1.7275b3fcd7029p-1, 0x1.712562f5c22a3p-1, 0x1.6fce4450a1001p-1, 0x1.6e70686095f9ap-1, 0x1.6d0be0a31f8afp-1, 0x1.6ba0bfb38aeffp-1, 0x1.6a2f193e6176ep-1, 0x1.68b701f4d8a6p-1, 0x1.67388f8053186p-1, 0x1.65b3d875f9521p-1, 0x1.6428f44a7439fp-1, 0x1.6297fb45cef04p-1, 0x1.61010677869adp-1, 0x1.5f642faacfd8fp-1, 0x1.5dc1915b1288bp-1, 0x1.5c1946a8a3ff7p-1, 0x1.5a6b6b4dbf7e4p-1, 0x1.58b81b93c260fp-1, 0x1.56ff7448ace96p-1, 0x1.554192b4e8bfep-1, 0x1.537e949158ae5p-1, 0x1.51b697fdae813p-1, 0x1.4fe9bb770cc62p-1, 0x1.4e181dceefca9p-1, 0x1.4c41de2260b54p-1, 0x1.4a671bd170506p-1, 0x1.4887f676fbb69p-1, 0x1.46a48de0b6b56p-1, 0x1.44bd02077de04p-1, 0x1.42d17307ed774p-1, 0x1.40e2011b3cb24p-1, 0x1.3eeecc905c8e1p-1, 0x1.3cf7f5c55740ap-1, 0x1.3afd9d20f1353p-1, 0x1.38ffe30c879a8p-1, 0x1.36fee7ee2d65cp-1, 0x1.34facc23037bdp-1, 0x1.32f3aff9cae94p-1, 0x1.30e9b3adb15ffp-1, 0x1.2edcf76152ec5p-1, 0x1.2ccd9b19f34d2p-1, 0x1.2abbbebaea882p-1, 0x1.28a782014483p-1, 0x1.2691047f9216ap-1, 0x1.24786599eaf43p-1, 0x1.225dc4821c2dap-1, 0x1.2041403405957p-1, 0x1.1e22f77222e1p-1, 0x1.1c0308c23e22p-1, 0x1.19e1926a4dcafp-1, 0x1.17beb26d77a4ap-1, 0x1.159a86893eddep-1, 0x1.13752c32d2decp-1, 0x1.114ec094873b7p-1, 0x1.0f27608b6c6acp-1, 0x1.0cff28a50be44p-1, 0x1.0ad6351d4491bp-1, 0x1.08aca1dc498e9p-1, 0x1.06828a74be5efp-1, 0x1.04580a21f260ap-1, 0x1.022d3bc639b35p-1, 0x1.000239e9620ecp-1, 0x1.fbae3d6e89af2p-2, 0x1.f75807fce259bp-2, 0x1.f302065de5f85p-2, 0x1.eeac6ab26259cp-2, 0x1.ea576659c9b9bp-2, 0x1.e60329f05049fp-2, 0x1.e1afe54d36267p-2, 0x1.dd5dc7813fe88p-2, 0x1.d90cfed5565dep-2, 0x1.d4bdb8c9538d2p-2, 0x1.d0702212f2e92p-2, 0x1.cc24669cec9e2p-2, 0x1.c7dab18632bc4p-2, 0x1.c3932d2153c49p-2, 0x1.bf4e02f3fff45p-2, 0x1.bb0b5bb6af8c8p-2, 0x1.b6cb5f5469a57p-2, 0x1.b28e34eaa9cb1p-2, 0x1.ae5402c963113p-2, 0x1.aa1cee7322619p-2, 0x1.a5e91c9d4abcap-2, 0x1.a1b8b1306a8cp-2, 0x1.9d8bcf48af4dbp-2, 0x1.996299366d7a6p-2, 0x1.953d307ec25e6p-2, 0x1.911bb5dc4cd1bp-2, 0x1.8cfe493ffc5ddp-2, 0x1.88e509d1f1fbp-2, 0x1.84d015f279dfdp-2, 0x1.80bf8b3b14b46p-2, 0x1.7cb3867f96538p-2, 0x1.78ac23cf529dfp-2, 0x1.74a97e765da8p-2, 0x1.70abb0fedd0e2p-2, 0x1.6cb2d53264482p-2, 0x1.68bf041b6618ap-2, 0x1.64d05606abb4bp-2, 0x1.60e6e284e1e81p-2, 0x1.5d02c06c2bf23p-2, 0x1.592405d9c6a7ep-2, 0x1.554ac833b3f16p-2, 0x1.51771c2a73e99p-2, 0x1.4da915bac497p-2, 0x1.49e0c82f6fb73p-2, 0x1.461e46231ceffp-2, 0x1.4261a1822fe0dp-2, 0x1.3eaaeb8cac5ccp-2, 0x1.3afa34d823dfep-2, 0x1.374f8d51a6199p-2, 0x1.33ab043fbea89p-2, 0x1.300ca84471849p-2, 0x1.2c74875f41f6ep-2, 0x1.28e2aeef3d877p-2, 0x1.25572bb509fedp-2, 0x1.21d209d4fae1bp-2, 0x1.1e5354d928af1p-2, 0x1.1adb17b38ac17p-2, 0x1.17695cc017c99p-2, 0x1.13fe2dc6e6b97p-2, 0x1.109993fe5252ap-2, 0x1.0d3b980d1f586p-2, 0x1.09e4420ca4f4ep-2, 0x1.0693998af66fdp-2, 0x1.0349a58d0dc69p-2, 0x1.00066c90f7959p-2, 0x1.f993e91fffc78p-3, 0x1.f3288601bebb5p-3, 0x1.eccab9b3d0412p-3, 0x1.e67a8d26650acp-3, 0x1.e0380851967a9p-3, 0x1.da033239bcb4bp-3, 0x1.d3dc10f3c3cf1p-3, 0x1.cdc2a9a986485p-3, 0x1.c7b7009e1b2e5p-3, 0x1.c1b919322444bp-3, 0x1.bbc8f5e81d0ccp-3, 0x1.b5e69868a566ep-3, 0x1.b0120186be21cp-3, 0x1.aa4b314412baep-3, 0x1.a49226d52d219p-3, 0x1.9ee6e0a5ade03p-3, 0x1.99495c5c81a1ap-3, 0x1.93b996e006p-3, 0x1.8e378c5a30f7cp-3, 0x1.88c3383cb1508p-3, 0x1.835c95450396cp-3, 0x1.7e039d8088d88p-3, 0x1.78b84a508a07p-3, 0x1.737a946e3fbf3p-3, 0x1.6e4a73eeccep-3, 0x1.6927e04732173p-3, 0x1.6412d05035ff5p-3, 0x1.5f0b3a4a4eff6p-3, 0x1.5a1113e178fp-3, 0x1.5524523108fd9p-3, 0x1.5044e9c776fdp-3, 0x1.4b72ceaa1df3ep-3, 0x1.46adf458f2f45p-3, 0x1.41f64dd2340dap-3, 0x1.3d4bcd960d909p-3, 0x1.38ae65aa31403p-3, 0x1.341e079d6adf8p-3, 0x1.2f9aa48b26ac2p-3, 0x1.2b242d1ef0cf7p-3, 0x1.26ba9197e2572p-3, 0x1.225dc1cc10d11p-3, 0x1.1e0dad2bec4fap-3, 0x1.19ca42c58d993p-3, 0x1.1593714807db9p-3, 0x1.11692706a4629p-3, 0x1.0d4b51fc1663dp-3, 0x1.0939dfcda5fe7p-3, 0x1.0534bdce50ad3p-3, 0x1.013bd901dac3dp-3, 0x1.fa9e3c3fb74c2p-4, 0x1.f2dcf32d77d62p-4, 0x1.eb33af1d50243p-4, 0x1.e3a247d8f1514p-4, 0x1.dc2894a921877p-4, 0x1.d4c66c5b63d62p-4, 0x1.cd7ba54783e2ap-4, 0x1.c64815551000ep-4, 0x1.bf2b9200b8e92p-4, 0x1.b825f061a6df3p-4, 0x1.b137052ea6635p-4, 0x1.aa5ea4c34dda3p-4, 0x1.a39ca32508d0dp-4, 0x1.9cf0d408071bp-4, 0x1.965b0ad41ffbap-4, 0x1.8fdb1aa99a34cp-4, 0x1.8970d665da0fp-4, 0x1.831c10a8022eep-4, 0x1.7cdc9bd576552p-4, 0x1.76b24a1e50932p-4, 0x1.709ced81b8f19p-4, 0x1.6a9c57d22b7fp-4, 0x1.64b05ab9aad7ep-4, 0x1.5ed8c7bdd8a54p-4, 0x1.59157043fc837p-4, 0x1.53662594f3291p-4, 0x1.4dcab8e10c50fp-4, 0x1.4842fb43cec72p-4, 0x1.42cebdc7acfaep-4, 0x1.3d6dd1699f87cp-4, 0x1.3820071cb06fep-4, 0x1.32e52fcd6f784p-4, 0x1.2dbd1c65510ep-4, 0x1.28a79dcdfccfcp-4, 0x1.23a484f485925p-4, 0x1.1eb3a2cc8f465p-4, 0x1.19d4c8535dd2bp-4, 0x1.1507c692d8524p-4, 0x1.104c6ea46fd1cp-4, 0x1.0ba291b3fa71ap-4, 0x1.070a010278b6dp-4, 0x1.02828de8c7af5p-4, 0x1.fc1813b48627cp-5, 0x1.f34c8ccea5a98p-5, 0x1.eaa22a7fd2b1p-5, 0x1.e218906bd93cp-5, 0x1.d9af627f24b47p-5, 0x1.d16644f34851bp-5, 0x1.c93cdc5377a5p-5, 0x1.c132cd80ca047p-5, 0x1.b947bdb66b50cp-5, 0x1.b17b528da119cp-5, 0x1.a9cd3201baa6ap-5, 0x1.a23d0273d232bp-5, 0x1.9aca6aae80cb1p-5, 0x1.937511e95f28ap-5, 0x1.8c3c9fcc78d05p-5, 0x1.8520bc7395af8p-5, 0x1.7e2110716b173p-5, 0x1.773d44d2adc0dp-5, 0x1.7075032109c9bp-5, 0x1.69c7f565f8337p-5, 0x1.6335c62d7d2bfp-5, 0x1.5cbe2088c7b87p-5, 0x1.5660b010bbeabp-5, 0x1.501d20e858249p-5, 0x1.49f31fbf0b3a5p-5, 0x1.43e259d2ebf8bp-5, 0x1.3dea7cf2d04cap-5, 0x1.380b378059823p-5, 0x1.32443871de09p-5, 0x1.2c952f543c59ep-5, 0x1.26fdcc4c9a28p-5, 0x1.217dc01a09898p-5, 0x1.1c14bc1715241p-5, 0x1.16c2723b3ded7p-5, 0x1.1186951c57247p-5, 0x1.0c60d7efdb9aep-5, 0x1.0750ee8c1e67cp-5, 0x1.02568d6975447p-5, 0x1.fae2d34684624p-6, 0x1.f14271f1e7e5fp-6, 0x1.e7cb639dd9134p-6, 0x1.de7d165eaee99p-6, 0x1.d556f995d9f4dp-6, 0x1.cc587df3458d3p-6, 0x1.c381157698b94p-6, 0x1.bad03370510f9p-6, 0x1.b2454c82bea26p-6, 0x1.a9dfd6a2d9372p-6, 0x1.a19f491906031p-6, 0x1.99831c81a0e31p-6, 0x1.918acacd89ccdp-6, 0x1.89b5cf4272eadp-6, 0x1.8203a67b2b335p-6, 0x1.7a73ce67be134p-6, 0x1.7305c64d7f646p-6, 0x1.6bb90ec6f7051p-6, 0x1.648d29c3b3cf6p-6, 0x1.5d819a8808bfp-6, 0x1.5695e5aca79cfp-6, 0x1.4fc9911e31d07p-6, 0x1.491c241ca7696p-6, 0x1.428d273abfa63p-6, 0x1.3c1c245d2d113p-6, 0x1.35c8a6b9d71p-6, 0x1.2f923ad6e5b5dp-6, 0x1.29786e89ce496p-6, 0x1.237ad0f64b62ep-6, 0x1.1d98f28d377c4p-6, 0x1.17d2650b5a221p-6, 0x1.1226bb7827122p-6, 0x1.0c958a2463505p-6, 0x1.071e66a8c8d35p-6, 0x1.01c0e7e4859a1p-6, 0x1.f8f94bf783943p-7, 0x1.eea274abfe355p-7, 0x1.e47c7f39059aap-7, 0x1.da86a3713a582p-7, 0x1.d0c01ba3db04cp-7, 0x1.c72824993b49p-7, 0x1.bdbdfd8f06dbap-7, 0x1.b480e834847d6p-7, 0x1.ab7028a6b9fefp-7, 0x1.a28b056c7dfb2p-7, 0x1.99d0c77271a43p-7, 0x1.9140ba06e5747p-7, 0x1.88da2ad5ae64p-7, 0x1.809c69e3ea3b5p-7, 0x1.7886c98baa9p-7, 0x1.70989e779cf17p-7, 0x1.68d13f9e9df8ep-7, 0x1.6130063f2ecbdp-7, 0x1.59b44ddafce97p-7, 0x1.525d74323a1f2p-7, 0x1.4b2ad93efe567p-7, 0x1.441bdf309dd8cp-7, 0x1.3d2fea66e87e4p-7, 0x1.3666616d60238p-7, 0x1.2fbeacf679f47p-7, 0x1.293837d6bbf8ep-7, 0x1.22d26effe2ee1p-7, 0x1.1c8cc17bf394ap-7, 0x1.1666a06864c2fp-7, 0x1.105f7ef10fa04p-7, 0x1.0a76d24b4f05p-7, 0x1.04ac11b0f74f8p-7, 0x1.fdfd6cb6ab12ep-8, 0x1.f2dc76fc5462cp-8, 0x1.e7f43c854d17ep-8, 0x1.dd43bb84b53cdp-8, 0x1.d2c9f60450bc3p-8, 0x1.c885f1da75115p-8, 0x1.be76b89fdccbp-8, 0x1.b49b57a58e7aep-8, 0x1.aaf2dfeab2c0fp-8, 0x1.a17c661271606p-8, 0x1.98370259db479p-8, 0x1.8f21d08dc173bp-8, 0x1.863bf000a2e92p-8, 0x1.7d84838082bf5p-8, 0x1.74fab14cea152p-8, 0x1.6c9da30ccb9f5p-8, 0x1.646c85c48043fp-8, 0x1.5c6689cbc295dp-8, 0x1.548ae2c3bc0b1p-8, 0x1.4cd8c78d04699p-8, 0x1.454f723dc4f21p-8, 0x1.3dee2017d5125p-8, 0x1.36b4117ed4d6cp-8, 0x1.2fa089ee7e873p-8, 0x1.28b2cff0c3111p-8, 0x1.21ea2d142ad73p-8, 0x1.1b45ede2286f1p-8, 0x1.14c561d577304p-8, 0x1.0e67db50815d9p-8, 0x1.082caf93e9355p-8, 0x1.021336b517128p-8, 0x1.f835972980794p-9, 0x1.ec8597ab4664bp-9, 0x1.e1152fa6589efp-9, 0x1.d5e3253084d5dp-9, 0x1.caee43ac442f8p-9, 0x1.c0355bb66e6bfp-9, 0x1.b5b7431437e59p-9, 0x1.ab72d4a135c34p-9, 0x1.a166f03d91744p-9, 0x1.97927abc49aep-9, 0x1.8df45dd1c35bcp-9, 0x1.848b88024be98p-9, 0x1.7b56ec90d4fc5p-9, 0x1.7255836ddaf21p-9, 0x1.698649266e491p-9, 0x1.60e83ed341888p-9, 0x1.587a6a08272fbp-9, 0x1.503bd4c34c176p-9, 0x1.482b8d5d0a62ap-9, 0x1.4048a6777df29p-9, 0x1.389236ee9032ep-9, 0x1.310759c7dfde6p-9, 0x1.29a72e23195b7p-9, 0x1.2270d72a3bf3cp-9, 0x1.1b637c022b0c1p-9, 0x1.147e47bb58b0cp-9, 0x1.0dc0694286a7bp-9, 0x1.07291351e0736p-9, 0x1.00b77c61f5d03p-9, 0x1.f4d5bd36777adp-10, 0x1.e884ef8e7588fp-10, 0x1.dc7b1284dc0a5p-10, 0x1.d0b6afdbb105p-10, 0x1.c5365841f7a69p-10, 0x1.b9f8a337e7f52p-10, 0x1.aefc2ef349674p-10, 0x1.a43fa044645a7p-10, 0x1.99c1a27add056p-10, 0x1.8f80e74b374cbp-10, 0x1.857c26b4b4a9fp-10, 0x1.7bb21ee70629bp-10, 0x1.72219428dc373p-10, 0x1.68c950be83ea9p-10, 0x1.5fa824d0c7e4cp-10, 0x1.56bce65444036p-10, 0x1.4e0670f0f03f5p-10, 0x1.4583a5e9e8585p-10, 0x1.3d336c05bdfc8p-10, 0x1.3514af76cc103p-10, 0x1.2d2661c41d741p-10, 0x1.256779b26ff1p-10, 0x1.1dd6f32d87143p-10, 0x1.1673cf31ed62p-10, 0x1.0f3d13b6e1718p-10, 0x1.0831cb9895395p-10, 0x1.01510682b6fe2p-10, 0x1.f533b1b69056ap-11, 0x1.e816b75b9a014p-11, 0x1.db49592d38accp-11, 0x1.cec9db5d34e95p-11, 0x1.c2968aee6747fp-11, 0x1.b6adbd8d4748ep-11, 0x1.ab0dd168d9c33p-11, 0x1.9fb52d0c65022p-11, 0x1.94a23f3980fb9p-11, 0x1.89d37ec2f1bc8p-11, 0x1.7f476a67bf4f1p-11, 0x1.74fc88af10a2p-11, 0x1.6af167c443e99p-11, 0x1.61249d542079dp-11, 0x1.5794c669df6c1p-11, 0x1.4e40874d0f23fp-11, 0x1.45268b600885ap-11, 0x1.3c4584fea6d33p-11, 0x1.339c2d5debc11p-11, 0x1.2b29446b909fcp-11, 0x1.22eb90ae7b677p-11, 0x1.1ae1df2799c5bp-11, 0x1.130b033346e0dp-11, 0x1.0b65d66ae38bcp-11, 0x1.03f138873a7dbp-11, 0x1.f9581e867f052p-12, 0x1.eb2a8c7e37d04p-12, 0x1.dd579dc7f7cb5p-12, 0x1.cfdd409047b1ap-12, 0x1.c2b96e26b3e7cp-12, 0x1.b5ea2ac7f8d17p-12, 0x1.a96d8568b402dp-12, 0x1.9d4197811dce4p-12, 0x1.916484d9d3bd3p-12, 0x1.85d47b58d6601p-12, 0x1.7a8fb2d014563p-12, 0x1.6f946ccc0af3ap-12, 0x1.64e0f46434855p-12, 0x1.5a739e0aff3cdp-12, 0x1.504ac75ff9502p-12, 0x1.4664d7015bde3p-12, 0x1.3cc03c5f6372ap-12, 0x1.335b6f901e13ep-12, 0x1.2a34f123ba1fbp-12, 0x1.214b49f9c68bep-12, 0x1.189d0b1764feap-12, 0x1.1028cd7db8b4p-12, 0x1.07ed320176843p-12, 0x1.ffd1c2461ec73p-13, 0x1.f03515cea475cp-13, 0x1.e101cd623b87dp-13, 0x1.d2356636a1194p-13, 0x1.c3cd6ba79be5cp-13, 0x1.b5c776edfb3ecp-13, 0x1.a8212ed7a185cp-13, 0x1.9ad8478155831p-13, 0x1.8dea82116be9p-13, 0x1.8155ac73c803ap-13, 0x1.7517a1173f4adp-13, 0x1.692e46ac05c45p-13, 0x1.5d978fe352f1bp-13, 0x1.52517b30a5143p-13, 0x1.475a128ad118cp-13, 0x1.3caf6b3053aep-13, 0x1.324fa56a9ef32p-13, 0x1.2838ec53ddc02p-13, 0x1.1e69759d1f6a4p-13, 0x1.14df815620104p-13, 0x1.0b9959b62e6d8p-13, 0x1.029552e4cfecap-13, 0x1.f3a3958a7569fp-14, 0x1.e29a518296a11p-14, 0x1.d20bbb2dc137ap-14, 0x1.c1f4c6495bcd7p-14, 0x1.b25278729b169p-14, 0x1.a321e8c47ff14p-14, 0x1.94603f79ccc6ep-14, 0x1.860ab58efe2a6p-14, 0x1.781e9466ed218p-14, 0x1.6a99357062d25p-14, 0x1.5d7801cf42064p-14, 0x1.50b87204aba5ap-14, 0x1.44580d9b8e814p-14, 0x1.38546ad535d94p-14, 0x1.2cab2e57c8015p-14, 0x1.215a0ade8e969p-14, 0x1.165ec0ebc3a2bp-14, 0x1.0bb71e7be71a9p-14, 0x1.0160feba3f382p-14, 0x1.eeb4936fd2305p-15, 0x1.db41e844a5d93p-15, 0x1.c865fdfca2cf5p-15, 0x1.b61ceec1e6dc5p-15, 0x1.a462ec5a5fc3ep-15, 0x1.93343f9f4f9dap-15, 0x1.828d47fde8a5dp-15, 0x1.726a7af576df7p-15, 0x1.62c8639a0f511p-15, 0x1.53a3a21ab1f6fp-15, 0x1.44f8eb4915ecap-15, 0x1.36c5082379e2bp-15, 0x1.2904d5620643fp-15, 0x1.1bb5430482398p-15, 0x1.0ed353e55f9cbp-15, 0x1.025c1d4b4567ap-15, 0x1.ec998d0277a4ep-16, 0x1.d54510d95ca2dp-16, 0x1.beb55a520b707p-16, 0x1.a8e51f47c3382p-16, 0x1.93cf3676aee47p-16, 0x1.7f6e96bc78ea2p-16, 0x1.6bbe565ea94d3p-16, 0x1.58b9aa5131c26p-16, 0x1.465be58621da9p-16, 0x1.34a0783b41a06p-16, 0x1.2382ef5132a44p-16, 0x1.12fef3a145917p-16, 0x1.0310495a8698cp-16, 0x1.e7659ec259cfep-17, 0x1.c9c4fd5d92298p-17, 0x1.ad36d3757f94bp-17, 0x1.91b377c261e13p-17, 0x1.773371a18ccc5p-17, 0x1.5daf77f67e41dp-17, 0x1.452070097e409p-17, 0x1.2d7f6c7bc771p-17, 0x1.16c5ac34bded8p-17, 0x1.00ec995a0bf7bp-17, 0x1.d7db90990131bp-18, 0x1.af85ed57f97b8p-18, 0x1.88cc14bf7f0c2p-18, 0x1.63a2214417d49p-18, 0x1.3ffc7a2fdb853p-18, 0x1.1dcfd1ca4af9ap-18, 0x1.fa2247360754fp-19, 0x1.bb6b65592dba3p-19, 0x1.7f660fb4e5fcap-19, 0x1.45fde04f40dadp-19, 0x1.0f1ef650936a4p-19, 0x1.b56be5866664bp-20, 0x1.515feb2b0bddp-20, 0x1.e3ea69f5c7a09p-21, 0x1.2e0fd8557de97p-21, 0x1.01d497ae3cf3p-22, -0x1.1e52245f22f7ep-24, -0x1.80a0408d6d841p-22, -0x1.54e7d7df7f0bbp-21, -0x1.e1d04fa5eef71p-21, -0x1.33a364f397504p-20, -0x1.72c3788c65847p-20, -0x1.ae6570c415829p-20, -0x1.e6a599844d145p-20, -0x1.0dcfc09c04b83p-19, -0x1.26b6fea101cd3p-19, -0x1.3e159752d938dp-19, -0x1.53f8431d2f2d2p-19, -0x1.686b6489b70f3p-19, -0x1.7b7b0a576af6bp-19, -0x1.8d32f1745d7b4p-19, -0x1.9d9e8713f952ep-19, -0x1.acc8ea8deafe7p-19, -0x1.babcef53b3f5fp-19, -0x1.c7851ec0d9202p-19, -0x1.d32bb9f3df3fep-19, -0x1.ddbabb94c573bp-19, -0x1.e73bd98908ba7p-19, -0x1.efb886a9ec8acp-19, -0x1.f739f46eac66p-19, -0x1.fdc914860a86ap-19, -0x1.01b74d32bccecp-18, -0x1.04197e6f0a563p-18, -0x1.060f3bc5e2e6p-18, -0x1.079c862fd299fp-18, -0x1.08c54280dfe95p-18, -0x1.098d3a1ebdab1p-18, -0x1.09f81bacdb073p-18, -0x1.0a097bbc56607p-18, -0x1.09c4d56a63991p-18, -0x1.092d8b0a91708p-18, -0x1.0846e6c166767p-18, -0x1.07141b1ed962bp-18, -0x1.059843b889b9bp-18, -0x1.03d665ba895cap-18, -0x1.01d170794aa6cp-18, -0x1.ff187bf909a1ep-19, -0x1.fa1327127e01fp-19, -0x1.f4984453a193fp-19, -0x1.eead0e5c83d3p-19, -0x1.e85699570c153p-19, -0x1.e199d3eef72aep-19, -0x1.da7b884e95e6fp-19, -0x1.d3005cfe23a66p-19, -0x1.cb2cd5d38d957p-19, -0x1.c30554d534dc7p-19, -0x1.ba8e1b0ee317fp-19, -0x1.b1cb4971d4bb6p-19, -0x1.a8c0e19eba359p-19, -0x1.9f72c6b528148p-19, -0x1.95e4be1ea9fb4p-19, -0x1.8c1a704c7f374p-19, -0x1.821769782e401p-19, -0x1.77df1a5a3621bp-19, -0x1.6d74d8e36b012p-19, -0x1.62dbe0e8b029bp-19, -0x1.581754d1a6fdfp-19, -0x1.4d2a3e3fc7d0ap-19, -0x1.42178eb47c853p-19, -0x1.36e2202e04e39p-19, -0x1.2b8cb5c4226d2p-19, -0x1.2019fc3ebbdbcp-19, -0x1.148c8aab04bd2p-19, -0x1.08e6e2edc6116p-19, -0x1.fa56e49ec0a28p-20, -0x1.e2b92407ff9fbp-20, -0x1.caf90f61721afp-20, -0x1.b31b0be5971fdp-20, -0x1.9b2359b9df3d8p-20, -0x1.831614e21db23p-20, -0x1.6af7363f1debap-20, -0x1.52ca946ad8c6cp-20, -0x1.3a93e4b34510bp-20, -0x1.2256bbe81c83p-20, -0x1.0a168f444acc3p-20, -0x1.e3ad6a749782cp-21, -0x1.b334cc94c8c6p-21, -0x1.82c97b9dfc1dfp-21, -0x1.52717579a77a4p-21, -0x1.223280d7f7715p-21, -0x1.e4245d3e9bc06p-22, -0x1.842bb6ce1bd3cp-22, -0x1.248561990f53cp-22, -0x1.8a769b65b0e49p-23, -0x1.995c2b0588a3p-24, -0x1.f872a0e9fa8d3p-28, 0x1.586e727373a3cp-24, 0x1.67315a49a470cp-23, 0x1.108d400d1e2cdp-22, 0x1.6cf18266f472dp-22, 0x1.c8bdf315ece8cp-22, 0x1.11f5b058ec01ap-21, 0x1.3f3973935baa3p-21, 0x1.6c26f6dd4bbbap-21, 0x1.98bb12761505p-21, 0x1.c4f2c23a43e96p-21, 0x1.f0cb24a9176bfp-21, 0x1.0e20bcf621bb1p-20, 0x1.23a99176ec56ap-20, 0x1.38fed03529f49p-20, 0x1.4e1f4905f7b2p-20, 0x1.6309dacad97dbp-20, 0x1.77bd7302d5b57p-20, 0x1.8c390d5d5b9fep-20, 0x1.a07bb359c1786p-20, 0x1.b4847be31926ep-20, 0x1.c8528ae8bc7dcp-20, 0x1.dbe511066c445p-20, 0x1.ef3b4b22b7412p-20, 0x1.012a410ce2798p-19, 0x1.0a98052d8d996p-19, 0x1.13e6a1d0a48fep-19, 0x1.1d15cc499241p-19, 0x1.26253f3c93357p-19, 0x1.2f14ba756f144p-19, 0x1.37e402c0f6014p-19, 0x1.4092e1c6be8b4p-19, 0x1.492125e46de76p-19, 0x1.518ea20a290cep-19, 0x1.59db2d9848a1fp-19, 0x1.6206a43ce770dp-19, 0x1.6a10e5d16b18dp-19, 0x1.71f9d63c07eep-19, 0x1.79c15d4dbf439p-19, 0x1.816766a5fe492p-19, 0x1.88ebe1939260dp-19, 0x1.904ec0f6f191ap-19, 0x1.978ffb267e434p-19, 0x1.9eaf89d2bc902p-19, 0x1.a5ad69eac794bp-19, 0x1.ac899b81021e3p-19, 0x1.b34421b2c0db4p-19, 0x1.b9dd029014409p-19, 0x1.c05447010f194p-19, 0x1.c6a9faaee6d6bp-19, 0x1.ccde2bed35e32p-19, 0x1.d2f0eba2c6a09p-19, 0x1.d8e24d3467868p-19, 0x1.deb2666e7ebc4p-19, 0x1.e4614f70b00cp-19, 0x1.e9ef22976743cp-19, 0x1.ef5bfc6aaa63fp-19, 0x1.f4a7fb88f81d7p-19, 0x1.f9d340954c33cp-19, 0x1.feddee24e7ecp-19, 0x1.01e414565e427p-18, 0x1.04490b377f984p-18, 0x1.069defb67dd72p-18, 0x1.08e2d6a9d9591p-18, 0x1.0b17d5b63f374p-18, 0x1.0d3d034694139p-18, 0x1.0f5276847e91ep-18, 0x1.115847517f56dp-18, 0x1.134e8e3e63581p-18, 0x1.15356484a75f5p-18, 0x1.170ce3ff81e94p-18, 0x1.18d52725530d4p-18, 0x1.1a8e490108009p-18, 0x1.1c38652ba5382p-18, 0x1.1dd397c61d80ap-18, 0x1.1f5ffd7311292p-18, 0x1.20ddb3510ee29p-18, 0x1.224cd6f4cfb89p-18, 0x1.23ad866373e7ep-18, 0x1.24ffe00d29c61p-18, 0x1.264402c7a8d9ap-18, 0x1.277a0dc96c0b7p-18, 0x1.28a220a426b0fp-18, 0x1.29bc5b3fe6d14p-18, 0x1.2ac8ddd65f303p-18, 0x1.2bc7c8ee86171p-18, 0x1.2cb93d5797077p-18, 0x1.2d9d5c24fa261p-18, 0x1.2e7446aa4ecfdp-18, 0x1.2f3e1e76609ep-18, 0x1.2ffb054f5729cp-18, 0x1.30ab1d2ed235ep-18, 0x1.314e883e81362p-18, 0x1.31e568d3d3ac5p-18, 0x1.326fe16cc773p-18, 0x1.32ee14ab93577p-18, 0x1.33602553ad983p-18, 0x1.33c6364670f81p-18, 0x1.34206a7fb9beep-18, 0x1.346ee512d5bcfp-18, 0x1.34b1c92754061p-18, 0x1.34e939f632edap-18, 0x1.35155ac6b6628p-18, 0x1.35364eeb57159p-18, 0x1.354c39bfab849p-18, 0x1.35573ea5184b3p-18, 0x1.35578100d2417p-18, 0x1.354d24389771ep-18, 0x1.35384bb0aa979p-18, 0x1.35191ac937496p-18, 0x1.34efb4dc2c9c1p-18, 0x1.34bc3d3adeb2cp-18, 0x1.347ed72bbbe82p-18, 0x1.3437a5e8786f2p-18, 0x1.33e6cc9bc94p-18, 0x1.338c6e5f6e498p-18, 0x1.3328ae3a6622dp-18, 0x1.32bbaf1ea6f4ap-18, 0x1.324593e7832b3p-18, 0x1.31c67f5852c17p-18, 0x1.313e941a31edcp-18, 0x1.30adf4ba0d0dbp-18, 0x1.3014c3a7baed8p-18, 0x1.2f7323345ee23p-18, 0x1.2ec93590a1621p-18, 0x1.2e171ccad674dp-18, 0x1.2d5cfacdfd76cp-18, 0x1.2c9af16094791p-18, 0x1.2bd1222355ba3p-18, 0x1.2affae8f65dep-18, 0x1.2a26b7f56ff08p-18, 0x1.29465f7cc36c8p-18, 0x1.285ec6215f93fp-18, 0x1.27700cb343e78p-18, 0x1.267a53d5d35a9p-18, 0x1.257dbbfe6645ap-18, 0x1.247a6572c8bf5p-18, 0x1.23707048f1fa4p-18, 0x1.225ffc666aee3p-18, 0x1.2149297e7fbc3p-18, 0x1.202c17118b895p-18, 0x1.1f08e46ce1b9ep-18, 0x1.1ddfb0a96d6fcp-18, 0x1.1cb09aab08a33p-18, 0x1.1b7bc1200dbebp-18, 0x1.1a4142804b46dp-18, 0x1.19013d0c6a842p-18, 0x1.17bbcecd8852ep-18, 0x1.1671159441957p-18, 0x1.15212ef88968fp-18, 0x1.13cc385923b2p-18, 0x1.12724eda75e4ep-18, 0x1.11138f66b1f78p-18, 0x1.0fb016ad386eap-18, 0x1.0e480121e55fbp-18, 0x1.0cdb6afccf4d1p-18, 0x1.0b6a703a538b3p-18, 0x1.09f52c9a12445p-18, 0x1.087bbb9ea94bdp-18, 0x1.06fe388dce58fp-18, 0x1.057cbe6fb3f52p-18, 0x1.03f7680ec80e9p-18, 0x1.026e4ff7564b6p-18, 0x1.00e19077d99b4p-18, 0x1.fea2873ff077ap-19, 0x1.fb7b068164d3ap-19, 0x1.f84cd1d838ae5p-19, 0x1.f5181beb97639p-19, 0x1.f1dd16e38fad2p-19, 0x1.ee9bf469d8c94p-19, 0x1.eb54e5a91847dp-19, 0x1.e8081b4d64526p-19, 0x1.e4b5c583ca09dp-19, 0x1.e15e13fa0fd85p-19, 0x1.de0135de39807p-19, 0x1.da9f59df66a12p-19, 0x1.d738ae2d31e06p-19, 0x1.d3cd6077cdbddp-19, 0x1.d05d9defe572p-19, 0x1.cce99346da9c8p-19, 0x1.c9716caf286bp-19, 0x1.c5f555dbb4eep-19, 0x1.c2757a00af09p-19, 0x1.bef203d3400c7p-19, 0x1.bb6b1d89c2794p-19, 0x1.b7e0f0dc53d8ep-19, 0x1.b453a7052571ep-19, 0x1.b0c368bffa93ap-19, 0x1.ad305e4b1bda8p-19, 0x1.a99aaf670f214p-19, 0x1.a6028357911c9p-19, 0x1.a26800e37b69fp-19, 0x1.9ecb4e5546444p-19, 0x1.9b2c917b1d44p-19, 0x1.978befa7d3cb1p-19, 0x1.93e98db2f1b2dp-19, 0x1.90458ff8cdd13p-19, 0x1.8ca01a5b866c7p-19, 0x1.88f95043ab49dp-19, 0x1.8551549fc2e43p-19, 0x1.81a849e58ef82p-19, 0x1.7dfe52125c116p-19, 0x1.7a538eab976bap-19, }}, 
      {{0x1.651ef7d0dd0fp-7, 0x1.65aa872963c8fp-6, 0x1.0cdeffaeb25b9p-5, 0x1.6781be9ff6dc2p-5, 0x1.c2bc9778722fap-5, 0x1.0f38ec4c6e0b3p-4, 0x1.3d35a0c237c9ap-4, 0x1.6b2ffdf743bc6p-4, 0x1.98fd8dcebf72ep-4, 0x1.c670e8233bbf4p-4, 0x1.f35c67333e50bp-4, 0x1.0fca2dfd48cbbp-3, 0x1.25785e9191687p-3, 0x1.3aa72c0ba8494p-3, 0x1.4f47c91f077dap-3, 0x1.634e65813e81cp-3, 0x1.76b237d7869b5p-3, 0x1.896d68af7e68bp-3, 0x1.9b7ce5f51107bp-3, 0x1.ace025840876ep-3, 0x1.bd98dc91931f1p-3, 0x1.cdaab0c65a68ep-3, 0x1.dd1ae7058244cp-3, 0x1.ebf0130dd1bbap-3, 0x1.fa31ca651f01p-3, 0x1.03f42e2aed474p-2, 0x1.0a8e481a51b2dp-2, 0x1.10ebb55471498p-2, 0x1.1710fd275ca9dp-2, 0x1.1d0295dc610b8p-2, 0x1.22c4d24d95148p-2, 0x1.285bd2deb1238p-2, 0x1.2dcb7998b5ae1p-2, 0x1.3317611eacf4p-2, 0x1.3842d62d3fe5bp-2, 0x1.3d50d3560762bp-2, 0x1.4243fea95287cp-2, 0x1.471ea904f6fd4p-2, 0x1.4be2cec3dae2ep-2, 0x1.5092198fd7091p-2, 0x1.552de31dd2d09p-2, 0x1.59b738a256bddp-2, 0x1.5e2eded3028ccp-2, 0x1.6295564f2a04dp-2, 0x1.66eae04f52d1fp-2, 0x1.6b2f8380427e1p-2, 0x1.6f6310f2be4ddp-2, 0x1.7385290d1958fp-2, 0x1.7795406f24bfp-2, 0x1.7b92a4bc1941bp-2, 0x1.7f7c8140b4396p-2, 0x1.8351e36df1b59p-2, 0x1.8711bf22b0f59p-2, 0x1.8abaf2c03465fp-2, 0x1.8e4c4b06a7065p-2, 0x1.91c486b805668p-2, 0x1.95225a0095cdap-2, 0x1.986471a4ec776p-2, 0x1.9b8975f5fc54p-2, 0x1.9e900d8c3d0dbp-2, 0x1.a176dfcb42a6ep-2, 0x1.a43c972f722edp-2, 0x1.a6dfe367b0bcep-2, 0x1.a95f7b3d1ffafp-2, 0x1.abba1e4afb16dp-2, 0x1.adee9688e2532p-2, 0x1.affbb9a9c4a5ep-2, 0x1.b1e06a51b449fp-2, 0x1.b39b9924ea5edp-2, 0x1.b52c45b232b1bp-2, 0x1.b6917f3af4648p-2, 0x1.b7ca655b027d5p-2, 0x1.b8d628924571fp-2, 0x1.b9b40ab24d04bp-2, 0x1.ba635f31be0fp-2, 0x1.bae38b678318fp-2, 0x1.bb3406af909b4p-2, 0x1.bb545a7b002a8p-2, 0x1.bb44224d29325p-2, 0x1.bb030ba753588p-2, 0x1.ba90d5e48752dp-2, 0x1.b9ed5206f00fp-2, 0x1.b918627828f0bp-2, 0x1.b811fabdccad2p-2, 0x1.b6da1f23751d2p-2, 0x1.b570e45b5e1fp-2, 0x1.b3d66f16ba042p-2, 0x1.b20af396c6051p-2, 0x1.b00eb5378edd8p-2, 0x1.ade205f54dc88p-2, 0x1.ab8545ed340bcp-2, 0x1.a8f8e2da7042cp-2, 0x1.a63d5790222c1p-2, 0x1.a3532b70ef88cp-2, 0x1.a03af1e4d2394p-2, 0x1.9cf549cdbf3eep-2, 0x1.9982dcfb9dd0fp-2, 0x1.95e45fa017bep-2, 0x1.921a8fc2b3401p-2, 0x1.8e2634b5929ecp-2, 0x1.8a081e8b48747p-2, 0x1.85c1258e09288p-2, 0x1.815229b888c7bp-2, 0x1.7cbc1230cc0a3p-2, 0x1.77ffccc529a98p-2, 0x1.731e4d6badb8ap-2, 0x1.6e188dc413548p-2, 0x1.68ef8c9c76fb6p-2, 0x1.63a44d78f0293p-2, 0x1.5e37d81e220dcp-2, 0x1.58ab381ee930dp-2, 0x1.52ff7c6d33346p-2, 0x1.4d35b6ee108aep-2, 0x1.474efc1114cdbp-2, 0x1.414c626b029edp-2, 0x1.3b2f0253d3cc6p-2, 0x1.34f7f58818e06p-2, 0x1.2ea856cdb39fdp-2, 0x1.2841419be9d76p-2, 0x1.21c3d1c6c9db2p-2, 0x1.1b31232ddd366p-2, 0x1.148a516e1c57bp-2, 0x1.0dd077972108dp-2, 0x1.0704afe382937p-2, 0x1.0028137456beep-2, 0x1.f277741f8cfa5p-3, 0x1.e48173c5506e5p-3, 0x1.d6704e8a20a1dp-3, 0x1.c84629039105dp-3, 0x1.ba05234138e05p-3, 0x1.abaf5866d2e1fp-3, 0x1.9d46de4bcc464p-3, 0x1.8ecdc5200b332p-3, 0x1.80461715dd637p-3, 0x1.71b1d810dc187p-3, 0x1.63130559af546p-3, 0x1.546b95567ab63p-3, 0x1.45bd7747e4217p-3, 0x1.370a930a7a241p-3, 0x1.2854c8dc72302p-3, 0x1.199df1277e721p-3, 0x1.0ae7dc4eaef4cp-3, 0x1.f868a5005ee6bp-4, 0x1.db0a27159432bp-4, 0x1.bdb7ad6e066d6p-4, 0x1.a07495476707p-4, 0x1.83442a4c0f977p-4, 0x1.6629a65970b82p-4, 0x1.4928314ccbc7cp-4, 0x1.2c42e0d5f3deap-4, 0x1.0f7cb84fda7cp-4, 0x1.e5b1513d65f2cp-5, 0x1.acb32026ee912p-5, 0x1.740474a920d41p-5, 0x1.3baac096f2883p-5, 0x1.03ab502e482c4p-5, 0x1.9816940bb9231p-6, 0x1.299f5e07e23c1p-6, 0x1.77f569759ec53p-7, 0x1.3cc80ce72401cp-8, -0x1.cb1969caa835cp-10, -0x1.0f4e87e89b0d5p-7, -0x1.e34cf5912d139p-7, -0x1.5aa6fb9c972aep-6, -0x1.c2a0d125fca7ap-6, -0x1.14c627f5e42edp-5, -0x1.47b10aec9f0d9p-5, -0x1.7a0d84e2d7ef6p-5, -0x1.abd82d78c78c5p-5, -0x1.dd0dc03cad5ccp-5, -0x1.06d58e2fbc776p-4, -0x1.1ed6a2326a581p-4, -0x1.3688aee770d7ep-4, -0x1.4dea5862e3f11p-4, -0x1.64fa53ddb1832p-4, -0x1.7bb76785a34b4p-4, -0x1.92206a4b9b829p-4, -0x1.a83443b0324f6p-4, -0x1.bdf1eb8ec0b46p-4, -0x1.d35869e704f84p-4, -0x1.e866d6a553542p-4, -0x1.fd1c59699bbe3p-4, -0x1.08bc14a691deap-3, -0x1.12bcc6539fb1cp-3, -0x1.1c8fec68723fbp-3, -0x1.263538f3b558bp-3, -0x1.2fac65472a9bbp-3, -0x1.38f531d82bd7bp-3, -0x1.420f661fca07cp-3, -0x1.4afad07aa50ffp-3, -0x1.53b74608647a1p-3, -0x1.5c44a28afa8bp-3, -0x1.64a2c845a1dabp-3, -0x1.6cd19fdbab6cp-3, -0x1.74d1182f1b834p-3, -0x1.7ca1263f234cep-3, -0x1.8441c5067adap-3, -0x1.8bb2f5599fd83p-3, -0x1.92f4bdc50393p-3, -0x1.9a072a6b30297p-3, -0x1.a0ea4ce2e87cfp-3, -0x1.a79e3c153e726p-3, -0x1.ae23141bbf319p-3, -0x1.b478f61ea126ap-3, -0x1.baa0083300164p-3, -0x1.c09875393c611p-3, -0x1.c6626cbb64d5cp-3, -0x1.cbfe22cbd002p-3, -0x1.d16bcfe3cfe78p-3, -0x1.d6abb0c2936e3p-3, -0x1.dbbe064c34b26p-3, -0x1.e0a31568f510ap-3, -0x1.e55b26e4b4207p-3, -0x1.e9e6874ea0bcep-3, -0x1.ee4586d91ed4p-3, -0x1.f2787939f7faap-3, -0x1.f67fb58ac992ap-3, -0x1.fa5b9629be96dp-3, -0x1.fe0c789a8e02bp-3, -0x1.00c95eb3e5f4ap-2, -0x1.02776402454b9p-2, -0x1.04107f5724fefp-2, -0x1.0594e527a22dfp-2, -0x1.0704cb308497p-2, -0x1.08606867bdc2fp-2, -0x1.09a7f4ee134a4p-2, -0x1.0adbaa00fc1e6p-2, -0x1.0bfbc1eca6ba9p-2, -0x1.0d0877fe3b94ap-2, -0x1.0e02087646b31p-2, -0x1.0ee8b07b5aep-2, -0x1.0fbcae0ce7701p-2, -0x1.107e3ff63fbbfp-2, -0x1.112da5c1db562p-2, -0x1.11cb1facc8d47p-2, -0x1.1256ee9a5803ep-2, -0x1.12d15407fb162p-2, -0x1.133a92015de8p-2, -0x1.1392eb14b592cp-2, -0x1.13daa2474849cp-2, -0x1.1411fb0a2bc09p-2, -0x1.1439392f3ef11p-2, -0x1.1450a0de57c7p-2, -0x1.1458768aae5e7p-2, -0x1.1450fee87fac4p-2, -0x1.143a7ee2e7204p-2, -0x1.14153b91f4f95p-2, -0x1.13e17a30fc033p-2, -0x1.139f801516bf1p-2, -0x1.134f92a3ea1e9p-2, -0x1.12f1f74a9c246p-2, -0x1.1286f37507a6ep-2, -0x1.120ecc8525baep-2, -0x1.1189c7cab20d4p-2, -0x1.10f82a7b05554p-2, -0x1.105a39a92b263p-2, -0x1.0fb03a3e2b36ep-2, -0x1.0efa70f18d96fp-2, -0x1.0e392242148d8p-2, -0x1.0d6c926eb013fp-2, -0x1.0c95056fa141cp-2, -0x1.0bb2beefdbbb1p-2, -0x1.0ac60246970ffp-2, -0x1.09cf12711867p-2, -0x1.08ce320cad69dp-2, -0x1.07c3a350e05e8p-2, -0x1.06afa809dc317p-2, -0x1.0592819304645p-2, -0x1.046c70d1bf21p-2, -0x1.033db63074833p-2, -0x1.02069199babeep-2, -0x1.00c74273b70cep-2, -0x1.ff000f3756077p-3, -0x1.fc623ec369e8ap-3, -0x1.f9b58f097cea1p-3, -0x1.f6fa7a5d2dcefp-3, -0x1.f43179e07f627p-3, -0x1.f15b057cc4787p-3, -0x1.ee7793dbe3e53p-3, -0x1.eb879a61fa92ap-3, -0x1.e88b8d274e827p-3, -0x1.e583def2939dep-3, -0x1.e2710133887b7p-3, -0x1.df5363fde6b5p-3, -0x1.dc2b76049535fp-3, -0x1.d8f9a49540929p-3, -0x1.d5be5b942744fp-3, -0x1.d27a057844e92p-3, -0x1.cf2d0b47be911p-3, -0x1.cbd7d4949819dp-3, -0x1.c87ac779b3649p-3, -0x1.c5164898134ap-3, -0x1.c1aabb146167ap-3, -0x1.be388094bc0dap-3, -0x1.babff93ebf1c3p-3, -0x1.b74183b5ced8ap-3, -0x1.b3bd7d19a3dabp-3, -0x1.b03441050adecp-3, -0x1.aca6298ced9a8p-3, -0x1.a9138f3f886d2p-3, -0x1.a57cc923df657p-3, -0x1.a1e22cb9672c7p-3, -0x1.9e440df7e2b7dp-3, -0x1.9aa2bf4f7a287p-3, -0x1.96fe91a8fa1f3p-3, -0x1.9357d4664fc37p-3, -0x1.8faed5632a9c5p-3, -0x1.8c03e0f5d24f3p-3, -0x1.885741f025b5fp-3, -0x1.84a941a0c6d17p-3, -0x1.80fa27d472b6fp-3, -0x1.7d4a3ad77d8d8p-3, -0x1.7999bf7779a61p-3, -0x1.75e8f90501c1bp-3, -0x1.72382955abcf2p-3, -0x1.6e8790c6198f9p-3, -0x1.6ad76e3c2feffp-3, -0x1.6727ff296b68dp-3, -0x1.63797f8d59505p-3, -0x1.5fcc29f82728ap-3, -0x1.5c20378d56e13p-3, -0x1.5875e0068bb82p-3, -0x1.54cd59b6709e3p-3, -0x1.5126d98bb8fdfp-3, -0x1.4d8293143cc8p-3, -0x1.49e0b8802534dp-3, -0x1.46417aa53850dp-3, -0x1.42a5090230d8p-3, -0x1.3f0b91c230761p-3, -0x1.3b7541c03f37p-3, -0x1.37e2448ae71e7p-3, -0x1.3452c467d09fdp-3, -0x1.30c6ea577fa21p-3, -0x1.2d3ede191245cp-3, -0x1.29bac62e176b6p-3, -0x1.263ac7de6c429p-3, -0x1.22bf073c270b5p-3, -0x1.1f47a7278fea4p-3, -0x1.1bd4c9531e225p-3, -0x1.18668e47898a1p-3, -0x1.14fd1567d5d85p-3, -0x1.11987cf5722c6p-3, -0x1.0e38e2145c1a9p-3, -0x1.0ade60cf447b3p-3, -0x1.0789141bc08a6p-3, -0x1.043915de7b077p-3, -0x1.00ee7eef6c5ep-3, -0x1.fb52ce3c27606p-4, -0x1.f4d3ca6b66cadp-4, -0x1.ee601e032985ep-4, -0x1.e7f7f2a280297p-4, -0x1.e19b6ff98cdc6p-4, -0x1.db4abbd1faaf9p-4, -0x1.d505fa1786916p-4, -0x1.cecd4ce0786b4p-4, -0x1.c8a0d4762a527p-4, -0x1.c280af5d71d0cp-4, -0x1.bc6cfa5f2715p-4, -0x1.b665d09083adep-4, -0x1.b06b4b5b8bd2p-4, -0x1.aa7d82877261dp-4, -0x1.a49c8c40e98fp-4, -0x1.9ec87d226e3dp-4, -0x1.9901683c8ded7p-4, -0x1.93475f1e14bf5p-4, -0x1.8d9a71dc3ec68p-4, -0x1.87faaf1aced23p-4, -0x1.826824141f92ap-4, -0x1.7ce2dca123811p-4, -0x1.776ae341565adp-4, -0x1.720041229e401p-4, -0x1.6ca2fe291fa0dp-4, -0x1.675320f6fa786p-4, -0x1.6210aef3fca07p-4, -0x1.5cdbac553d459p-4, -0x1.57b41c24aaa3p-4, -0x1.529a00487ffe2p-4, -0x1.4d8d598aab466p-4, -0x1.488e27a0222b1p-4, -0x1.439c69301b92cp-4, -0x1.3eb81bdb3a78ep-4, -0x1.39e13c42a2738p-4, -0x1.3517c60ef668dp-4, -0x1.305bb3f744176p-4, -0x1.2bacffc7d8664p-4, -0x1.270ba268fbf49p-4, -0x1.227793e59ca97p-4, -0x1.1df0cb71e173dp-4, -0x1.19773f71a3796p-4, -0x1.150ae57ed3377p-4, -0x1.10abb26fc8e1cp-4, -0x1.0c599a5d77ba7p-4, -0x1.081490a990861p-4, -0x1.03dc880489c9ep-4, -0x1.ff62e4e720395p-5, -0x1.f72682acc040ep-5, -0x1.ef03cada14a2ap-5, -0x1.e6fa9dbb3779dp-5, -0x1.df0ada7366bfdp-5, -0x1.d7345f07f823dp-5, -0x1.cf77086b257a3p-5, -0x1.c7d2b286a087p-5, -0x1.c047384602302p-5, -0x1.b8d473a1048f5p-5, -0x1.b17a3da58d83fp-5, -0x1.aa386e818c3bdp-5, -0x1.a30edd8cab1bp-5, -0x1.9bfd6151cd372p-5, -0x1.9503cf9863b5ep-5, -0x1.8e21fd6d8a86dp-5, -0x1.8757bf2d0a04ap-5, -0x1.80a4e88a1671dp-5, -0x1.7a094c97ee07cp-5, -0x1.7384bdd249fd2p-5, -0x1.6d170e259a6aep-5, -0x1.66c00ef722878p-5, -0x1.607f912cd96b6p-5, -0x1.5a5565352ced6p-5, -0x1.54415b0e922f3p-5, -0x1.4e43424ee86c3p-5, -0x1.485aea2abab57p-5, -0x1.4288217c4acabp-5, -0x1.3ccab6ca7b94ap-5, -0x1.3722784f910c8p-5, -0x1.318f33ffc2662p-5, -0x1.2c10b78fa3c4p-5, -0x1.26a6d07a6d702p-5, -0x1.21514c081827dp-5, -0x1.1c0ff7534f2fbp-5, -0x1.16e29f4f3d75p-5, -0x1.11c910cd3943p-5, -0x1.0cc318823f0fcp-5, -0x1.07d0830c50d7fp-5, -0x1.02f11cf7adb79p-5, -0x1.fc496587be966p-6, -0x1.f2d621d158a55p-6, -0x1.e98807b5c237cp-6, -0x1.e05eb021ec4cbp-6, -0x1.d759b40f27e37p-6, -0x1.ce78ac8bf7694p-6, -0x1.c5bb32c47c3b3p-6, -0x1.bd20e00aca1ddp-6, -0x1.b4a94ddedb022p-6, -0x1.ac5415f652f01p-6, -0x1.a420d243fa0e3p-6, -0x1.9c0f1cff01e2ap-6, -0x1.941e90aa0a8acp-6, -0x1.8c4ec819ea063p-6, -0x1.849f5e7c3c9edp-6, -0x1.7d0fef5dad899p-6, -0x1.75a016b0257ecp-6, -0x1.6e4f70d09348ap-6, -0x1.671d9a8caf657p-6, -0x1.600a312864e2dp-6, -0x1.5914d263121cep-6, -0x1.523d1c7c9f44cp-6, -0x1.4b82ae3a43469p-6, -0x1.44e526eb4476p-6, -0x1.3e64266d61f9cp-6, -0x1.37ff4d311736ep-6, -0x1.31b63c3dbd74cp-6, -0x1.2b88953570fdap-6, -0x1.2575fa58c880fp-6, -0x1.1f7e0e8a6b638p-6, -0x1.19a075527b05dp-6, -0x1.13dcd2e1bb4dfp-6, -0x1.0e32cc14beb54p-6, -0x1.08a20676b8448p-6, -0x1.032a28444685ep-6, -0x1.fb95b0dc1a6a9p-7, -0x1.f1077d365782dp-7, -0x1.e6a906570c1ebp-7, -0x1.dc799e73f5e4cp-7, -0x1.d278993cd15bep-7, -0x1.c8a54bdf08db8p-7, -0x1.beff0d0985441p-7, -0x1.b58534efa1c15p-7, -0x1.ac371d4c799f6p-7, -0x1.a31421658ea5dp-7, -0x1.9a1b9e0d58ed9p-7, -0x1.914cf1a5a845cp-7, -0x1.88a77c21b998cp-7, -0x1.802a9f0816d66p-7, -0x1.77d5bd74459c4p-7, -0x1.6fa83c182b465p-7, -0x1.67a1813d84b3dp-7, -0x1.5fc0f4c6c4a51p-7, -0x1.5806002ffbf28p-7, -0x1.50700e8fb3b1cp-7, -0x1.48fe8c973d6ddp-7, -0x1.41b0e89342b46p-7, -0x1.3a86926bbb3c1p-7, -0x1.337efba424579p-7, -0x1.2c99975b3adf4p-7, -0x1.25d5da4ac1359p-7, -0x1.1f333ac70a76fp-7, -0x1.18b130be603a2p-7, -0x1.124f35b850f42p-7, -0x1.0c0cc4d4df897p-7, -0x1.05e95acb69442p-7, -0x1.ffc8ebd34d581p-8, -0x1.f3fb2c24dfb39p-8, -0x1.e86879789da86p-8, -0x1.dd0fd9e05444dp-8, -0x1.d1f0568f214d2p-8, -0x1.c708fbd667d42p-8, -0x1.bc58d92222b2cp-8, -0x1.b1df00f528a42p-8, -0x1.a79a88e559dd9p-8, -0x1.9d8a899776f4bp-8, -0x1.93ae1ebaff16cp-8, -0x1.8a046705a0321p-8, -0x1.808c842ec073bp-8, -0x1.77459aeac11fdp-8, -0x1.6e2ed2e64000bp-8, -0x1.654756c0e4decp-8, -0x1.5c8e5408615a9p-8, -0x1.5402fb335f0b2p-8, -0x1.4ba47f9bb65f1p-8, -0x1.437217797c415p-8, -0x1.3b6afbdd1192p-8, -0x1.338e68a9a6073p-8, -0x1.2bdb9c8f72b62p-8, -0x1.2451d905caf4fp-8, -0x1.1cf0624545b83p-8, -0x1.15b67f41b12ecp-8, -0x1.0ea379a40c8dap-8, -0x1.07b69dc45ef5ap-8, -0x1.00ef3aa3874f1p-8, -0x1.f49943c9ac354p-9, -0x1.e79c4f8fcffedp-9, -0x1.dae646448b9ap-9, -0x1.ce75dab1b6ca4p-9, -0x1.c249c4b34d517p-9, -0x1.b660c12a3d3cdp-9, -0x1.aab991ef84926p-9, -0x1.9f52fdc721641p-9, -0x1.942bd05292fd6p-9, -0x1.8942da045112bp-9, -0x1.7e96f011de978p-9, -0x1.7426ec66eebd5p-9, -0x1.69f1ad980cf8bp-9, -0x1.5ff616d53ae41p-9, -0x1.56330fdc9d55cp-9, -0x1.4ca784ed53aefp-9, -0x1.435266ba15be8p-9, -0x1.3a32aa5bd113cp-9, -0x1.3147494464b7bp-9, -0x1.288f413162872p-9, -0x1.2009941ee9e21p-9, -0x1.17b5483a09e29p-9, -0x1.0f9167d3fe903p-9, -0x1.079d0154c0b02p-9, -0x1.ffae4e5c299ecp-10, -0x1.f07ddf9c644fp-10, -0x1.e1a6eb2623abbp-10, -0x1.d327ad7a29405p-10, -0x1.c4fe6ac4a3377p-10, -0x1.b7296ec36b15ap-10, -0x1.a9a70cac46b4bp-10, -0x1.9c759f135f4a5p-10, -0x1.8f9387d1f1da3p-10, -0x1.82ff2fed32527p-10, -0x1.76b7077cfbfdfp-10, -0x1.6ab9859353615p-10, -0x1.5f0528234055ap-10, -0x1.539873e872ccbp-10, -0x1.4871f44e9d45ap-10, -0x1.3d903b597a658p-10, -0x1.32f1e18c85ff1p-10, -0x1.289585d3505afp-10, -0x1.1e79cd696b0a7p-10, -0x1.149d63c3578f5p-10, -0x1.0afefa76de045p-10, -0x1.019d49240f226p-10, -0x1.f0ee1abc97cdfp-11, -0x1.df16152b3561ep-11, -0x1.cdb0140023bc5p-11, -0x1.bcb9b506f2efbp-11, -0x1.ac30a13e1edf6p-11, -0x1.9c128cac28c5p-11, -0x1.8c5d363305c55p-11, -0x1.7d0e676617d67p-11, -0x1.6e23f45ed9d5fp-11, -0x1.5f9bbb93cc13fp-11, -0x1.5173a5ad64a3cp-11, -0x1.43a9a55df279fp-11, -0x1.363bb738bbf53p-11, -0x1.2927e188b9a63p-11, -0x1.1c6c342998c2p-11, -0x1.1006c8601391dp-11, -0x1.03f5c0b2a922cp-11, -0x1.f06e9185d5dc1p-12, -0x1.d9932a503819ap-12, -0x1.c355c6912b3d4p-12, -0x1.adb2f26a1122bp-12, -0x1.98a74b07a75b8p-12, -0x1.842f7e58185aap-12, -0x1.70484ac4286ap-12, -0x1.5cee7ee893b6dp-12, -0x1.4a1ef94ed5f1bp-12, -0x1.37d6a828fc286p-12, -0x1.2612890dae044p-12, -0x1.14cfa8b2c9ca5p-12, -0x1.040b22adc1efep-12, -0x1.e784425fba94ep-13, -0x1.c7e3b98b2ffap-13, -0x1.a92f383052c5bp-13, -0x1.8b61675ad663fp-13, -0x1.6e750b52b4e2ap-13, -0x1.526503239d13p-13, -0x1.372c4822563fep-13, -0x1.1cc5ed775d757p-13, -0x1.032d1fa6341c5p-13, -0x1.d4ba483991deep-14, -0x1.a4a2b17f00841p-14, -0x1.760a66f0e1d43p-14, -0x1.48e883965e7b4p-14, -0x1.1d3450c39e3a8p-14, -0x1.e5ca8a9dd06e9p-15, -0x1.93e6096a1f815p-15, -0x1.44aabc911b03p-15, -0x1.f01131a778607p-16, -0x1.5bdfcecdef36fp-16, -0x1.994511cc85471p-17, -0x1.08ecebfbf6795p-18, 0x1.0dce8024c288cp-18, 0x1.890de132550e9p-17, 0x1.411b052f4472ap-16, 0x1.b94b95592d26fp-16, 0x1.1699e24043dp-15, 0x1.4e771261c02afp-15, 0x1.844a5cd13c0c3p-15, 0x1.b8207d5f30b02p-15, 0x1.ea05eb430eabap-15, 0x1.0d036d2f7d4d8p-14, 0x1.24179e4f3fecdp-14, 0x1.3a456192ced6ap-14, 0x1.4f926fce974dcp-14, 0x1.640462b33eadp-14, 0x1.77a0b567ddd1dp-14, 0x1.8a6cc521919aep-14, 0x1.9c6dd1bbe10c3p-14, 0x1.ada8fe45fae9p-14, 0x1.be235195c998bp-14, 0x1.cde1b6d5fb0dap-14, 0x1.dce8fe0e0dfcfp-14, 0x1.eb3ddcb04a756p-14, 0x1.f8e4ee18fbe7dp-14, 0x1.02f15a0c165e2p-13, 0x1.091dcbb861c39p-13, 0x1.0ef9f42d0a79ap-13, 0x1.1487ef7d4e6efp-13, 0x1.19c9cdf147e8ep-13, 0x1.1ec19443b28d5p-13, 0x1.23713bdc16167p-13, 0x1.27dab3098b0c5p-13, 0x1.2bffdd3c1c9c6p-13, 0x1.2fe2933b79636p-13, 0x1.3384a3607a333p-13, 0x1.36e7d1c9423dp-13, 0x1.3a0dd88e02439p-13, 0x1.3cf867f8324e3p-13, 0x1.3fa926b22364cp-13, 0x1.4221b1fbc9f67p-13, 0x1.44639dda4eaedp-13, 0x1.4670754a4cbddp-13, 0x1.4849ba6d3186ep-13, 0x1.49f0e6b92b229p-13, 0x1.4b676b26dcb91p-13, 0x1.4caeb05e12278p-13, 0x1.4dc816e103408p-13, 0x1.4eb4f73913277p-13, 0x1.4f76a21f4864fp-13, 0x1.500e60a7d3b55p-13, 0x1.507d7468518fap-13, 0x1.50c517a276145p-13, 0x1.50e67d69c2f76p-13, 0x1.50e2d1c943b94p-13, 0x1.50bb39ebe634fp-13, 0x1.5070d43dd1d8cp-13, 0x1.5004b893703cap-13, 0x1.4f77f84bdaad8p-13, 0x1.4ecb9e7322caep-13, 0x1.4e00afe6731e1p-13, 0x1.4d182b729fa85p-13, 0x1.4c1309f7f0025p-13, 0x1.4af23e87b01bep-13, 0x1.49b6b6859fc6bp-13, 0x1.486159c527969p-13, 0x1.46f30aa99379cp-13, 0x1.456ca641adc53p-13, 0x1.43cf046634bcbp-13, 0x1.421af7d5c4e34p-13, 0x1.40514e5138626p-13, 0x1.3e72d0b589a31p-13, 0x1.3c80431932835p-13, 0x1.3a7a64e329a43p-13, 0x1.3861f0e7c552dp-13, 0x1.36379d7fb7efbp-13, 0x1.33fc1ca184a3ep-13, 0x1.31b01bf984985p-13, 0x1.2f5445024e5a6p-13, 0x1.2ce93d1991539p-13, 0x1.2a6fa59a20eacp-13, 0x1.27e81bef328d5p-13, 0x1.255339ac4f15bp-13, 0x1.22b194a0a7595p-13, 0x1.2003beee494ecp-13, 0x1.1d4a471bdc95p-13, 0x1.1a85b82b198c9p-13, 0x1.17b699aa87abdp-13, 0x1.14dd6fca3408dp-13, 0x1.11fabb6d3e23fp-13, 0x1.0f0efa3c6bb4cp-13, 0x1.0c1aa6b973501p-13, 0x1.091e384e97ffap-13, 0x1.061a23612cd8ap-13, 0x1.030ed9628c41ap-13, 0x1.fff991bf29d48p-14, 0x1.f9c8bb24a1696p-14, 0x1.f38c00e04aa0dp-14, 0x1.ed442f76c93d6p-14, 0x1.e6f20e1f74153p-14, 0x1.e0965ee78b796p-14, 0x1.da31decb85636p-14, 0x1.d3c545d532d31p-14, 0x1.cd514736ba872p-14, 0x1.c6d69167273b9p-14, 0x1.c055ce3b21ebdp-14, 0x1.b9cfa300bd82dp-14, 0x1.b344b0984c234p-14, 0x1.acb5938ce35eap-14, 0x1.a622e42d89c29p-14, 0x1.9f8d36a518ef6p-14, 0x1.98f51b1101f87p-14, 0x1.925b1d98b8f21p-14, 0x1.8bbfc684339acp-14, 0x1.85239a519aa7ep-14, 0x1.7e8719ca92964p-14, 0x1.77eac219ab07dp-14, 0x1.714f0cddcb476p-14, 0x1.6ab47040dbd21p-14, 0x1.641b5f07cbdcp-14, 0x1.5d8448a912237p-14, 0x1.56ef995d62d1ap-14, 0x1.505dba338d4e5p-14, 0x1.49cf112122182p-14, 0x1.434401150df4bp-14, 0x1.3cbcea08a92bap-14, 0x1.363a291005a43p-14, 0x1.2fbc186b2b85fp-14, 0x1.29430f9661085p-14, 0x1.22cf635896adcp-14, 0x1.1c6165d4842fcp-14, 0x1.15f96696a732fp-14, 0x1.0f97b2a4cc7eep-14, 0x1.093c948bf20e1p-14, 0x1.02e8546efef1dp-14, 0x1.f9367027dedfbp-15, 0x1.ecab05e3de8c8p-15, 0x1.e02eec7d5cff4p-15, 0x1.d3c2a1f550d74p-15, 0x1.c7669ffdfc97cp-15, 0x1.bb1b5c1075fb3p-15, 0x1.aee147889f087p-15, 0x1.a2b8cfba0357ep-15, 0x1.96a25e096e1c4p-15, 0x1.8a9e58012097bp-15, 0x1.7ead1f6931ef1p-15, 0x1.72cf125d834c1p-15, 0x1.67048b60fe712p-15, 0x1.5b4de173e6732p-15, 0x1.4fab68285dcdfp-15, 0x1.441d6fb62d286p-15, 0x1.38a4450dafc32p-15, 0x1.2d4031ec0de3cp-15, 0x1.21f17ced103d4p-15, 0x1.16b8699dab737p-15, 0x1.0b95388e9d468p-15, 0x1.00882764c2cbcp-15, 0x1.eb22e1d754db8p-16, 0x1.d5629a4953b2cp-16, 0x1.bfcfe2b229adbp-16, 0x1.aa6b205326b0cp-16, 0x1.9534b33a508b8p-16, 0x1.802cf66474d25p-16, 0x1.6b543fd87222p-16, 0x1.56aae0c6d0969p-16, 0x1.423125a459cbdp-16, 0x1.2de7564934ab4p-16, 0x1.19cdb60b33ed1p-16, 0x1.05e483d978b55p-16, 0x1.e457f4a9d3a5ep-17, 0x1.bd489fdbdfd39p-17, 0x1.969b6df4832cfp-17, 0x1.7050bba28e521p-17, 0x1.4a68ddc319db5p-17, 0x1.24e42194e54aep-17, 0x1.ff8599c918414p-18, 0x1.b60a3c7bc16fep-18, 0x1.6d569a2808e77p-18, 0x1.256b13e9b72afp-18, 0x1.bc8ffaa4e3f5ap-19, 0x1.2fdb39a7d98f8p-19, 0x1.4970b0125e75bp-20, 0x1.b27afe2259311p-23, -0x1.b359f43291654p-21, -0x1.e68409bea501cp-20, -0x1.781ad4f2a1be4p-19, -0x1.fb60f145b8e2ep-19, -0x1.3e8a39f6444f3p-18, -0x1.7e9ac63faf1ccp-18, -0x1.bde23fc2ff23p-18, -0x1.fc60d3051f363p-18, -0x1.1d0b5b3e89ba9p-17, -0x1.3b82152858e52p-17, -0x1.5994bc0e8692p-17, -0x1.774379585404bp-17, -0x1.948e7aea940efp-17, -0x1.b175f302740aap-17, -0x1.cdfa181f49d27p-17, -0x1.ea1b24e0427eep-17, -0x1.02ecabf57497cp-16, -0x1.109a79e6fd7f8p-16, -0x1.1e171f733db61p-16, -0x1.2b62c1a1bb0bbp-16, -0x1.387d874792905p-16, -0x1.456798f7b1071p-16, -0x1.522120f8fded4p-16, -0x1.5eaa4b3a0f488p-16, -0x1.6b03454211339p-16, -0x1.772c3e275cfbbp-16, -0x1.832566835267p-16, -0x1.8eeef0676338cp-16, -0x1.9a890f4fc7316p-16, -0x1.a5f3f81abbc96p-16, -0x1.b12fe0fd7cf98p-16, -0x1.bc3d0178cc29cp-16, -0x1.c71b924e9e8fdp-16, -0x1.d1cbcd79bb4e9p-16, -0x1.dc4dee21ca0f4p-16, -0x1.e6a23092585e2p-16, -0x1.f0c8d230e8974p-16, -0x1.fac211749ad5fp-16, -0x1.024716ee25255p-15, -0x1.0716b3f2841f1p-15, -0x1.0bd0008160f69p-15, -0x1.10731dcb3f256p-15, -0x1.15002d7313526p-15, -0x1.1977518a2e7bep-15, -0x1.1dd8ac8bf821fp-15, -0x1.22246159faf27p-15, -0x1.265a933845c3dp-15, -0x1.2a7b65c92dac4p-15, -0x1.2e86fd0a12112p-15, -0x1.327d7d4f9fb9bp-15, -0x1.365f0b4143ffdp-15, -0x1.3a2bcbd690d6bp-15, -0x1.3de3e453ea26cp-15, -0x1.41877a464c948p-15, -0x1.4516b380be235p-15, -0x1.4891b61876431p-15, -0x1.4bf8a86219d8fp-15, -0x1.4f4bb0ee1223ap-15, -0x1.528af68632547p-15, -0x1.55b6a029d4cddp-15, -0x1.58ced50bcd1e8p-15, -0x1.5bd3bc8eb2492p-15, -0x1.5ec57e42661ap-15, -0x1.61a441e198e22p-15, -0x1.64702f4ebf9aep-15, -0x1.67296e91705bap-15, -0x1.69d027d3559b3p-15, -0x1.6c64835e4d903p-15, -0x1.6ee6a999adcacp-15, -0x1.7156c307b5a44p-15, -0x1.73b4f84335a61p-15, -0x1.760171fd329cdp-15, -0x1.783c58fa9e4a4p-15, -0x1.7a65d611dda6p-15, -0x1.7c7e1228e1c19p-15, -0x1.7e8536326fb4dp-15, -0x1.807b6b2c96d29p-15, -0x1.8260da1e580eep-15, -0x1.8435ac159f2e8p-15, -0x1.85fa0a2586e73p-15, -0x1.87ae1d63f06b5p-15, -0x1.89520ee7fb0fdp-15, -0x1.8ae607c80ad01p-15, -0x1.8c6a311790d9bp-15, -0x1.8ddeb3e5af26cp-15, -0x1.8f43b93b82bdbp-15, -0x1.90996a1a45973p-15, -0x1.91dfef798c9e4p-15, -0x1.93177245bef94p-15, -0x1.94401b5e79df1p-15, -0x1.955a1394ec7e1p-15, -0x1.966583aa5c9a1p-15, -0x1.9762944ecfea6p-15, }}, 
      {{0x1.353195ab9f2d2p-7, 0x1.356f358c461aap-6, 0x1.d0b7b67ce0ee5p-6, 0x1.364b6d4652e93p-5, 0x1.848ed6845671p-5, 0x1.d324719b2a8d4p-5, 0x1.1100857b572a2p-4, 0x1.3888949115955p-4, 0x1.601d58d73d816p-4, 0x1.87af56aeda249p-4, 0x1.af2d8054ad275p-4, 0x1.d685fee266e7p-4, 0x1.fda6e0d0de909p-4, 0x1.123f558c6047cp-3, 0x1.257e667210c89p-3, 0x1.3888fbbce8fcap-3, 0x1.4b582e7ee94b2p-3, 0x1.5de5ec8ab3c2dp-3, 0x1.702d035009753p-3, 0x1.822922d4038ap-3, 0x1.93d6da3feb713p-3, 0x1.a5338f6268056p-3, 0x1.b63d725acf492p-3, 0x1.c6f36e80a3594p-3, 0x1.d75519732108bp-3, 0x1.e762a118289b1p-3, 0x1.f71cb92f10a1bp-3, 0x1.0342447e2591cp-2, 0x1.0acdccbb05da4p-2, 0x1.1231e22085bdfp-2, 0x1.196f91db47888p-2, 0x1.2088020d35731p-2, 0x1.277c6b0c25ec7p-2, 0x1.2e4e11497b813p-2, 0x1.34fe3fe322072p-2, 0x1.3b8e43da59c4fp-2, 0x1.41ff67e9ec844p-2, 0x1.4852f0f3440a6p-2, 0x1.4e8a1af875386p-2, 0x1.54a616987dc3bp-2, 0x1.5aa8070287286p-2, 0x1.60910054f83acp-2, 0x1.6662065d4c09dp-2, 0x1.6c1c0bae163cfp-2, 0x1.71bff1011e644p-2, 0x1.774e84dc26c88p-2, 0x1.7cc8836f96731p-2, 0x1.822e96a6fe575p-2, 0x1.8781566424875p-2, 0x1.8cc148dde77e2p-2, 0x1.91eee31d08374p-2, 0x1.970a89917d8fcp-2, 0x1.9c1490bb8e3fp-2, 0x1.a10d3de47fd6fp-2, 0x1.a5f4c7e3237fp-2, 0x1.aacb57e902106p-2, 0x1.af910a55587e8p-2, 0x1.b445ef8b6ec01p-2, 0x1.b8ea0cca2b5f9p-2, 0x1.bd7d5d031ac0bp-2, 0x1.c1ffd1af5f97fp-2, 0x1.c67153a13fa5ep-2, 0x1.cad1c3d13a46bp-2, 0x1.cf20fc25c3b1bp-2, 0x1.d35ed034e9ffp-2, 0x1.d78b0dff54217p-2, 0x1.dba57ea41c9c1p-2, 0x1.dfade70d3c4ddp-2, 0x1.e3a408943cc15p-2, 0x1.e787a19f0c9fbp-2, 0x1.eb586e34e047ap-2, 0x1.ef16288b14dcep-2, 0x1.f2c0898a1d49ap-2, 0x1.f657494a8c8bep-2, 0x1.f9da1f8a59744p-2, 0x1.fd48c41a7c628p-2, 0x1.005177a28d01cp-1, 0x1.01f42d16326cbp-1, 0x1.038c5f9137cdbp-1, 0x1.0519ecfd137b1p-1, 0x1.069cb428d9398p-1, 0x1.081494eb3b116p-1, 0x1.098170417db54p-1, 0x1.0ae3286b7d0fbp-1, 0x1.0c39a104e5414p-1, 0x1.0d84bf1bbdf69p-1, 0x1.0ec469446b0dcp-1, 0x1.0ff887ab403a7p-1, 0x1.11210423ca679p-1, 0x1.123dca35eb6d1p-1, 0x1.134ec728e86cbp-1, 0x1.1453ea0c88157p-1, 0x1.154d23c05fcedp-1, 0x1.163a66f967c4fp-1, 0x1.171ba845f6277p-1, 0x1.17f0de103a055p-1, 0x1.18ba009f4f472p-1, 0x1.19770a1703878p-1, 0x1.1a27f676670f3p-1, 0x1.1accc3953c339p-1, 0x1.1b6571205f451p-1, 0x1.1bf2009536e03p-1, 0x1.1c72753c4706ap-1, 0x1.1ce6d422f3178p-1, 0x1.1d4f241485f64p-1, 0x1.1dab6d928ffd6p-1, 0x1.1dfbbacca8cfbp-1, 0x1.1e401797a829ap-1, 0x1.1e78916462743p-1, 0x1.1ea53735f5312p-1, 0x1.1ec61997b4d89p-1, 0x1.1edb4a92c3693p-1, 0x1.1ee4dda35ed7fp-1, 0x1.1ee2e7adf063p-1, 0x1.1ed57ef3e7ff1p-1, 0x1.1ebcbb086c01dp-1, 0x1.1e98b4c4e727bp-1, 0x1.1e69863d7dbfdp-1, 0x1.1e2f4ab56feeep-1, 0x1.1dea1e937163bp-1, 0x1.1d9a1f55fdf7cp-1, 0x1.1d3f6b87ae87dp-1, 0x1.1cda22b39822fp-1, 0x1.1c6a6559b66fep-1, 0x1.1bf054e368fcp-1, 0x1.1b6c139807da2p-1, 0x1.1addc49190389p-1, 0x1.1a458bb1729cep-1, 0x1.19a38d958091dp-1, 0x1.18f7ef8cff7eap-1, 0x1.1842d78de49e6p-1, 0x1.17846c2a381aep-1, 0x1.16bcd485a7a7ep-1, 0x1.15ec384b44a88p-1, 0x1.1512bfa374b06p-1, 0x1.1430932a11bc7p-1, 0x1.1345dbe4bda9p-1, 0x1.1252c3396b4f2p-1, 0x1.115772e51a369p-1, 0x1.105414f2c9b17p-1, 0x1.0f48d3b2a210dp-1, 0x1.0e35d9b153b99p-1, 0x1.0d1b51afaf9e1p-1, 0x1.0bf9669a75278p-1, 0x1.0ad04382594c6p-1, 0x1.09a0139443f72p-1, 0x1.08690211c742ep-1, 0x1.072b3a49cad61p-1, 0x1.05e6e79172644p-1, 0x1.049c353d384dbp-1, 0x1.034b4e9a3f391p-1, 0x1.01f45ee7dbf89p-1, 0x1.009791515159cp-1, 0x1.fe6a21cf89638p-2, 0x1.fb9a1138ca6afp-2, 0x1.f8bf46758caccp-2, 0x1.f5da16c6deadp-2, 0x1.f2ead70d38aep-2, 0x1.eff1dbbe61c1cp-2, 0x1.ecef78dbb7d09p-2, 0x1.e9e401e8d8612p-2, 0x1.e6cfc9e2a77f2p-2, 0x1.e3b32336b5307p-2, 0x1.e08e5fbafca2fp-2, 0x1.dd61d0a5ffb61p-2, 0x1.da2dc68738475p-2, 0x1.d6f2913fe2c6dp-2, 0x1.d3b07ffc1a994p-2, 0x1.d067e12c4d8f3p-2, 0x1.cd19027efbe23p-2, 0x1.c9c430dacd857p-2, 0x1.c669b858ef257p-2, 0x1.c309e43fc166fp-2, 0x1.bfa4fefdcef46p-2, 0x1.bc3b52250cdf4p-2, 0x1.b8cd2666607e6p-2, 0x1.b55ac38d6c8c1p-2, 0x1.b1e4707ca1ff3p-2, 0x1.ae6a7329926bep-2, 0x1.aaed10997ff6dp-2, 0x1.a76c8cde3336bp-2, 0x1.a3e92b13072ep-2, 0x1.a0632d5a3347ep-2, 0x1.9cdad4da52774p-2, 0x1.995061bc1c79p-2, 0x1.95c413285d198p-2, 0x1.923627461b6a3p-2, 0x1.8ea6db38f7105p-2, 0x1.8b166b1fb8973p-2, 0x1.8785121312242p-2, 0x1.83f30a248de7ap-2, 0x1.80608c5daf21cp-2, 0x1.7ccdd0bf3c7f2p-2, 0x1.793b0e40b4ad4p-2, 0x1.75a87acff18e7p-2, 0x1.72164b50f0cf5p-2, 0x1.6e84b39dc4f2fp-2, 0x1.6af3e686ab5p-2, 0x1.676415d249331p-2, 0x1.63d5723e0ca04p-2, 0x1.60482b7eab6dcp-2, 0x1.5cbc7040cad4dp-2, 0x1.59326e29bfa33p-2, 0x1.55aa51d872ee6p-2, 0x1.522446e6635c4p-2, 0x1.4ea077e8bf7e6p-2, 0x1.4b1f0e71a27a6p-2, 0x1.47a0331166b08p-2, 0x1.44240d5812549p-2, 0x1.40aac3d6dd895p-2, 0x1.3d347c21d1fdfp-2, 0x1.39c15ad17d04ap-2, 0x1.36518384bb9b4p-2, 0x1.32e518e2964a1p-2, 0x1.2f7c3c9c37d63p-2, 0x1.2c170f6eeef23p-2, 0x1.28b5b12649015p-2, 0x1.2558409e38ba1p-2, 0x1.21fedbc54fb2p-2, 0x1.1ea99f9f0981ap-2, 0x1.1b58a84620244p-2, 0x1.180c10eef341ap-2, 0x1.14c3f3e9fae66p-2, 0x1.11806aa645ac3p-2, 0x1.0e418db404f5p-2, 0x1.0b0774c721f14p-2, 0x1.07d236b9de873p-2, 0x1.04a1e98f7e23ap-2, 0x1.0176a276fa6b7p-2, 0x1.fca0eb9b77c48p-3, 0x1.f65eee44bea37p-3, 0x1.f027726efbaa1p-3, 0x1.e9fa9c0cfd21dp-3, 0x1.e3d88d84d7e14p-3, 0x1.ddc167b59fd89p-3, 0x1.d7b549fd2a4b4p-3, 0x1.d1b4523dd550cp-3, 0x1.cbbe9ce4565edp-3, 0x1.c5d444ed96053p-3, 0x1.bff563ec8ba9cp-3, 0x1.ba2212101b065p-3, 0x1.b45a6628fc355p-3, 0x1.ae9e75afa11acp-3, 0x1.a8ee54ca1e516p-3, 0x1.a34a1652179d5p-3, 0x1.9db1cbdaa554cp-3, 0x1.982585b640d27p-3, 0x1.92a552fca81bcp-3, 0x1.8d314190ca537p-3, 0x1.87c95e26a0d1bp-3, 0x1.826db44913abep-3, 0x1.7d1e4e5fd3adfp-3, 0x1.77db35b52c699p-3, 0x1.72a4727bd4828p-3, 0x1.6d7a0bd4b7d2bp-3, 0x1.685c07d4b9a44p-3, 0x1.634a6b8a6e1f3p-3, 0x1.5e453b03cd8edp-3, 0x1.594c7953dedbdp-3, 0x1.546028985858dp-3, 0x1.4f8049ff36e27p-3, 0x1.4aacddcc4d145p-3, 0x1.45e5e35ec62dep-3, 0x1.412b59369ae42p-3, 0x1.3c7d3cfa05526p-3, 0x1.37db8b7adb686p-3, 0x1.334640bbeb1b8p-3, 0x1.2ebd57f63d15p-3, 0x1.2a40cb9e559e2p-3, 0x1.25d095696313fp-3, 0x1.216cae525f28ap-3, 0x1.1d150e9f24b6p-3, 0x1.18c9ade574d97p-3, 0x1.148a830ff181fp-3, 0x1.1057846305849p-3, 0x1.0c30a781c223ep-3, 0x1.0815e172abe01p-3, 0x1.040726a477723p-3, 0x1.00046af2b8b47p-3, 0x1.f81b4355052d2p-4, 0x1.f0457b1decb73p-4, 0x1.e88761bb8d0e2p-4, 0x1.e0e0daa7495c7p-4, 0x1.d951c86145f0ap-4, 0x1.d1da0c790b93ep-4, 0x1.ca7987960973ap-4, 0x1.c330197ff59e6p-4, 0x1.bbfda1270c13ap-4, 0x1.b4e1fcac36f51p-4, 0x1.addd096903b3bp-4, 0x1.a6eea3f78dae3p-4, 0x1.a016a83a35cb4p-4, 0x1.9954f1633f297p-4, 0x1.92a959fc55a43p-4, 0x1.8c13bbede208cp-4, 0x1.8593f0864820dp-4, 0x1.7f29d08102c87p-4, 0x1.78d5340d9f796p-4, 0x1.7295f2d69510cp-4, 0x1.6c6be40800b96p-4, 0x1.6656de563d02fp-4, 0x1.6056b8045bf2p-4, 0x1.5a6b46ea7f49bp-4, 0x1.5494607c11b17p-4, 0x1.4ed1d9cddf225p-4, 0x1.4923879c0eb84p-4, 0x1.43893e4ffbc9fp-4, 0x1.3e02d205f227cp-4, 0x1.38901692c757bp-4, 0x1.3330df8958ba3p-4, 0x1.2de5003fe841fp-4, 0x1.28ac4bd55cd91p-4, 0x1.23869536631bdp-4, 0x1.1e73af226fd09p-4, 0x1.19736c30a7a35p-4, 0x1.14859ed4a4bf4p-4, 0x1.0faa19632340ap-4, 0x1.0ae0ae168f649p-4, 0x1.06292f13751c2p-4, 0x1.01836e6cd8674p-4, 0x1.f9de7c50d7764p-5, 0x1.f0d8e0855b8fcp-5, 0x1.e7f5ad65dac41p-5, 0x1.df3486de5c909p-5, 0x1.d69510dfedbbdp-5, 0x1.ce16ef680107bp-5, 0x1.c5b9c687a0643p-5, 0x1.bd7d3a6a695b9p-5, 0x1.b560ef5d50d88p-5, 0x1.ad6489d541fafp-5, 0x1.a587ae757904ep-5, 0x1.9dca0215bf513p-5, 0x1.962b29c86d961p-5, 0x1.8eaacae03a6f5p-5, 0x1.87488af5e83p-5, 0x1.80040fedb6e36p-5, 0x1.78dcfffcaee64p-5, 0x1.71d301adbf852p-5, 0x1.6ae5bbe6ae74ap-5, 0x1.6414d5ecdf882p-5, 0x1.5d5ff769eeaa8p-5, 0x1.56c6c87022152p-5, 0x1.5048f17eb1f43p-5, 0x1.49e61b85e62c2p-5, 0x1.439defeb11fe5p-5, 0x1.3d70188c640cep-5, 0x1.375c3fc48c25ap-5, 0x1.3162106e459b9p-5, 0x1.2b8135e7b54b3p-5, 0x1.25b95c15a2537p-5, 0x1.200a2f6692a88p-5, 0x1.1a735cd5baf7bp-5, 0x1.14f491edd5ea6p-5, 0x1.0f8d7ccbcf138p-5, 0x1.0a3dcc2159cf7p-5, 0x1.05052f375e9f1p-5, 0x1.ffc6abe093cd1p-6, 0x1.f5afe19479883p-6, 0x1.ebc561c24b4p-6, 0x1.e2068fe1608b9p-6, 0x1.d872d0ac41c35p-6, 0x1.cf098a24222afp-6, 0x1.c5ca23941d974p-6, 0x1.bcb4059448568p-6, 0x1.b3c69a0c82948p-6, 0x1.ab014c371b30ap-6, 0x1.a26388a344d6ap-6, 0x1.99ecbd3751636p-6, 0x1.919c5932c1a9p-6, 0x1.8971cd3026c15p-6, 0x1.816c8b26d9dbfp-6, 0x1.798c066c7bc08p-6, 0x1.71cfb3b6528a8p-6, 0x1.6a37091a80b0ap-6, 0x1.62c17e11030d1p-6, 0x1.5b6e8b749be56p-6, 0x1.543dab83838abp-6, 0x1.4d2e59dfffa4cp-6, 0x1.46401390d47cep-6, 0x1.3f7257018b5cap-6, 0x1.38c4a4029e2e9p-6, 0x1.32367bc97a4edp-6, 0x1.2bc760f06c22fp-6, 0x1.2576d77660794p-6, 0x1.1f4464be90175p-6, 0x1.192f8f900494ep-6, 0x1.1337e015081a4p-6, 0x1.0d5cdfda7790fp-6, 0x1.079e19cef4753p-6, 0x1.01fb1a42072cep-6, 0x1.f8e6ddc62ce27p-7, 0x1.ee0d4d80b7d04p-7, 0x1.e368a48b61429p-7, 0x1.d8f806769868cp-7, 0x1.ceba9988c86a6p-7, 0x1.c4af86bb8aa3dp-7, 0x1.bad5f9b88e4c8p-7, 0x1.b12d20d66f392p-7, 0x1.a7b42d156ad76p-7, 0x1.9e6a521bcecabp-7, 0x1.954ec63280defp-7, 0x1.8c60c2411c048p-7, 0x1.839f81ca23d17p-7, 0x1.7b0a42e717a41p-7, 0x1.72a046443f666p-7, 0x1.6a60cf1c7f5c4p-7, 0x1.624b23350e621p-7, 0x1.5a5e8ad90bcep-7, 0x1.529a50d4f4f2p-7, 0x1.4afdc27213947p-7, 0x1.43882f71cd4e6p-7, 0x1.3c38ea08dfa22p-7, 0x1.350f46da8cba8p-7, 0x1.2e0a9cf3ab07ep-7, 0x1.272a45c5afa8ap-7, 0x1.206d9d21a7eddp-7, 0x1.19d401330d4c4p-7, 0x1.135cd27aae6ap-7, 0x1.0d0773c96f7f4p-7, 0x1.06d34a3b06a2cp-7, 0x1.00bfbd30afc84p-7, 0x1.f5986c97a4c86p-8, 0x1.e9f042d142dcp-8, 0x1.de85d931480bep-8, 0x1.d358103a96f2ap-8, 0x1.c865ccc4e0741p-8, 0x1.bdadf7f1b6283p-8, 0x1.b32f7f21519fdp-8, 0x1.a8e953e79ea62p-8, 0x1.9eda6c00fe046p-8, 0x1.9501c1472a9bcp-8, 0x1.8b5e51a5f9585p-8, 0x1.81ef1f1030c88p-8, 0x1.78b32f74451f1p-8, 0x1.6fa98cb118258p-8, 0x1.66d1448acffbdp-8, 0x1.5e29689f7b2d4p-8, 0x1.55b10e5bf6eaep-8, 0x1.4d674ef092487p-8, 0x1.454b4745f6274p-8, 0x1.3d5c17f1df87ap-8, 0x1.3598e52bf888dp-8, 0x1.2e00d6c2b4c99p-8, 0x1.2693181027072p-8, 0x1.1f4ed7eefd945p-8, 0x1.183348af5d9ap-8, 0x1.113fa00be1ce5p-8, 0x1.0a73171eb672ap-8, 0x1.03ccea568c805p-8, 0x1.fa98b2d781d1ap-9, 0x1.ede14eab206fcp-9, 0x1.e172347e77263p-9, 0x1.d549f6fabdf66p-9, 0x1.c9672f0667b31p-9, 0x1.bdc87baff67b6p-9, 0x1.b26c8218e479ep-9, 0x1.a751ed6098767p-9, 0x1.9c776e8f9fa5fp-9, 0x1.91dbbc82e92a7p-9, 0x1.877d93d727db4p-9, 0x1.7d5bb6d47dcbdp-9, 0x1.7374ed5a21a1dp-9, 0x1.69c804ca3965dp-9, 0x1.6053cff5d7aadp-9, 0x1.5717270931021p-9, 0x1.4e10e777f2a49p-9, 0x1.453ff3e9ab216p-9, 0x1.3ca3342679f9ap-9, 0x1.34399503d651bp-9, 0x1.2c0208519ae03p-9, 0x1.23fb84c7141dep-9, 0x1.1c2505f050e2cp-9, 0x1.147d8c1ba87e4p-9, 0x1.0d041c4763b69p-9, 0x1.05b7c00f797c3p-9, 0x1.fd2f0b377e091p-10, 0x1.ef44ff1ba0cd6p-10, 0x1.e1af89df63ba9p-10, 0x1.d46ce2446e198p-10, 0x1.c77b479760301p-10, 0x1.bad9018dd2ebep-10, 0x1.ae84602458adap-10, 0x1.a27bbb7d33593p-10, 0x1.96bd73beef608p-10, 0x1.8b47f0f3dedc3p-10, 0x1.8019a2e995c44p-10, 0x1.75310111126c5p-10, 0x1.6a8c8a5ed09b4p-10, 0x1.602ac52bb5ef4p-10, 0x1.560a3f1609847p-10, 0x1.4c298ce2f3d72p-10, 0x1.42874a6058b89p-10, 0x1.39221a46e08d9p-10, 0x1.2ff8a61ca28dap-10, 0x1.27099e180f2fap-10, 0x1.1e53b903031e9p-10, 0x1.15d5b41e81f0ep-10, 0x1.0d8e5306eef92p-10, 0x1.057c5f9801128p-10, 0x1.fb3d53a367f5ep-11, 0x1.ebe80f7a4f51ep-11, 0x1.dcf6aaa4c0805p-11, 0x1.ce66e8bb17454p-11, 0x1.c03698cb4e283p-11, 0x1.b2639524fdcffp-11, 0x1.a4ebc3277dc1bp-11, 0x1.97cd131027ccfp-11, 0x1.8b057fc93ae5ap-11, 0x1.7e930eb99629cp-11, 0x1.7273cf950d071p-11, 0x1.66a5dc2d65d61p-11, 0x1.5b2758442e619p-11, 0x1.4ff6715cde56ep-11, 0x1.45115e901450fp-11, 0x1.3a76605f325c5p-11, 0x1.3023c08872811p-11, 0x1.2617d1dc3b819p-11, 0x1.1c50f0127ac6ap-11, 0x1.12cd7fa0e58e8p-11, 0x1.098bed91d57b9p-11, 0x1.008aaf5bceec5p-11, 0x1.ef90857348fffp-12, 0x1.de865b05da7edp-12, 0x1.cdf3fb0b18493p-12, 0x1.bdd690bebaec8p-12, 0x1.ae2b56b226e9cp-12, 0x1.9eef968161b47p-12, 0x1.9020a88c0add1p-12, 0x1.81bbf3ac24fccp-12, 0x1.73beecf0b05b5p-12, 0x1.66271757d5728p-12, 0x1.58f2038b10d97p-12, 0x1.4c1d4f9c8e488p-12, 0x1.3fa6a6c3d3854p-12, 0x1.338bc11e38891p-12, 0x1.27ca636e4d62fp-12, 0x1.1c605edd66e33p-12, 0x1.114b90bd85cd6p-12, 0x1.0689e24d1b6b6p-12, 0x1.f83290f52c91cp-13, 0x1.e3ef8754ea64cp-13, 0x1.d046befa0b13bp-13, 0x1.bd34652c1731dp-13, 0x1.aab4bcc835728p-13, 0x1.98c41dd67686dp-13, 0x1.875ef51ada9bfp-13, 0x1.7681c3adbc28fp-13, 0x1.66291e92c3239p-13, 0x1.5651ae522d62p-13, 0x1.46f82e9599016p-13, 0x1.38196dc3cfe5p-13, 0x1.29b24ca0bbdcp-13, 0x1.1bbfbdedc990dp-13, 0x1.0e3ec60ccbe2ap-13, 0x1.012c7aa26858ep-13, 0x1.e90c047d94f3ap-14, 0x1.d09128023eb8dp-14, 0x1.b8e2ee889ed59p-14, 0x1.a1fc068d1a845p-14, 0x1.8bd73daed054p-14, 0x1.766f80082f2ecp-14, 0x1.61bfd78ddc01dp-14, 0x1.4dc36b7026381p-14, 0x1.3a757f7f62f0dp-14, 0x1.27d173918205bp-14, 0x1.15d2c2ee4b684p-14, 0x1.047503b8670b1p-14, 0x1.e767ccc223dedp-15, 0x1.c7166a29cc157p-15, 0x1.a7eda66d455b4p-15, 0x1.89e579a18aa24p-15, 0x1.6cf60c25ec80bp-15, 0x1.5117b59bf0815p-15, 0x1.3642fbe3ed8b9p-15, 0x1.1c70921fbb4bap-15, 0x1.039957bcbd8d4p-15, 0x1.d76caefa4248ap-16, 0x1.a9818d19300d1p-16, 0x1.7d640725e5ae6p-16, 0x1.53072b9febdeap-16, 0x1.2a5e58776521p-16, 0x1.035d394cd9991p-16, 0x1.bbef8b8ece11dp-17, 0x1.74447fcca1ce5p-17, 0x1.2fa264ce19794p-17, 0x1.dbe5bc97d10a5p-18, 0x1.5e403653de644p-18, 0x1.cc5349aceafbfp-19, 0x1.cde200d640732p-20, 0x1.81113be4c34d8p-24, -0x1.896a47fe81594p-20, -0x1.8b9521506224ep-19, -0x1.24714fd0c516ep-18, -0x1.7e737a3682997p-18, -0x1.d3f4d2004a31ep-18, -0x1.128c1af3197dbp-17, -0x1.38ffd31f82265p-17, -0x1.5d662509bf7fep-17, -0x1.7fcf39f85d88cp-17, -0x1.a04ad359c0a5cp-17, -0x1.bee84d23b20f3p-17, -0x1.dbb6a01b710dp-17, -0x1.f6c4640a4987bp-17, -0x1.080fe904f7917p-16, -0x1.13eb634a5c6c6p-16, -0x1.1efb61d7d6d9bp-16, -0x1.2946797d033fcp-16, -0x1.32d313d68038ep-16, -0x1.3ba7704fc12bap-16, -0x1.43c9a51a634c9p-16, -0x1.4b3fa01e9f60dp-16, -0x1.520f27ec52d2p-16, -0x1.583ddca1f237cp-16, -0x1.5dd138d41e018p-16, -0x1.62ce9266ed7c3p-16, -0x1.673b1b6c4e7b8p-16, -0x1.6b1be2fad925dp-16, -0x1.6e75d5f82e7b4p-16, -0x1.714dbff09191fp-16, -0x1.73a84bd4d80cdp-16, -0x1.758a04c2fabfp-16, -0x1.76f756c72d2e9p-16, -0x1.77f48f91c079cp-16, -0x1.7885df360250ap-16, -0x1.78af58d6686d5p-16, -0x1.7874f35b4c5dep-16, -0x1.77da8a17ac44ep-16, -0x1.76e3dd7629721p-16, -0x1.7594939a4ff1ep-16, -0x1.73f03903f1e5ep-16, -0x1.71fa412834d5bp-16, -0x1.6fb60710adae4p-16, -0x1.6d26cded22572p-16, -0x1.6a4fc1a6e8e45p-16, -0x1.6733f774fff84p-16, -0x1.63d66e6023ca6p-16, -0x1.603a0fd5306cep-16, -0x1.5c61b025bfcc1p-16, -0x1.58500f0dbe0d8p-16, -0x1.5407d83155f8p-16, -0x1.4f8ba39e9c71cp-16, -0x1.4addf6424b817p-16, -0x1.4601426578abp-16, -0x1.40f7e81f994e9p-16, -0x1.3bc435c825072p-16, -0x1.3668686994cc3p-16, -0x1.30e6ac2ba7915p-16, -0x1.2b411cc118297p-16, -0x1.2579c5cd1551fp-16, -0x1.1f92a34ad34ap-16, -0x1.198da1f275e93p-16, -0x1.136c9f988f9a8p-16, -0x1.0d316b8e5e927p-16, -0x1.06ddc6fccd078p-16, -0x1.0073654395622p-16, -0x1.f3e7d89a949f4p-17, -0x1.e6c1e9d148f17p-17, -0x1.d978163bfe3c4p-17, -0x1.cc0d5cff1b41bp-17, -0x1.be84a4f835ffcp-17, -0x1.b0e0bd5b61ccp-17, -0x1.a3245e494a331p-17, -0x1.9552296f10cd9p-17, -0x1.876caa8f4026fp-17, -0x1.797658185b58dp-17, -0x1.6b7193ad26e38p-17, -0x1.5d60aab1dd17cp-17, -0x1.4f45d6cc3cfaap-17, -0x1.41233e6ba82bfp-17, -0x1.32faf5458bec5p-17, -0x1.24cefcd3fda1p-17, -0x1.16a144cd0690ap-17, -0x1.0873ab9b836fep-17, -0x1.f48ffda31f01cp-18, -0x1.d83ff7358f8eep-18, -0x1.bbfa9e525e2f7p-18, -0x1.9fc32e468f67cp-18, -0x1.839cc418c6d15p-18, -0x1.678a5f52c9233p-18, -0x1.4b8ee2d48f07fp-18, -0x1.2fad158a80eebp-18, -0x1.13e7a33656835p-18, -0x1.f0823a50dadf1p-19, -0x1.b977f5da4457p-19, -0x1.82b536213c454p-19, -0x1.4c3e876a905bep-19, -0x1.161846a4e317cp-19, -0x1.c08d45259e4f1p-20, -0x1.559b3a391632dp-20, -0x1.d6c43228c0c8ap-21, -0x1.03d272bfc54eep-21, -0x1.937a040b1e52fp-24, 0x1.3aaff5b0e81c3p-22, 0x1.6b76718ea9d71p-21, 0x1.1beff6d5f372ep-20, 0x1.8144665fb37a8p-20, 0x1.e5b2fdc94a3b2p-20, 0x1.249b3c994a189p-19, 0x1.55e4ec2ee8e8dp-19, 0x1.86b42e6ebdbd8p-19, 0x1.b706c4125c2d1p-19, 0x1.e6da8ce18f987p-19, 0x1.0b16c3606dbdap-18, 0x1.227ee67703508p-18, 0x1.39a4cb82c8c57p-18, 0x1.50879c24efd47p-18, 0x1.67268f63f8168p-18, 0x1.7d80e949b050bp-18, 0x1.9395fa7f0b766p-18, 0x1.a9651fefbb528p-18, 0x1.beedc26b72cf5p-18, 0x1.d42f564ae89f7p-18, 0x1.e9295b151b0b9p-18, 0x1.fddb5b2ded807p-18, 0x1.092275bfa83e1p-17, 0x1.1332d592871f8p-17, 0x1.1d1ea18fd7868p-17, 0x1.26e5b303e530ep-17, 0x1.3087e7de784b9p-17, 0x1.3a052290b0dc8p-17, 0x1.435d49e64b58bp-17, 0x1.4c9048e52b3fap-17, 0x1.559e0ea68a386p-17, 0x1.5e868e3c2218dp-17, 0x1.6749be8a1430fp-17, 0x1.6fe79a28e91adp-17, 0x1.78601f47aa56cp-17, 0x1.80b34f8c75c91p-17, 0x1.88e12ff74ecb6p-17, 0x1.90e9c8c610ea2p-17, 0x1.98cd2557638cbp-17, 0x1.a08b5410cc034p-17, 0x1.a82466440e51dp-17, 0x1.af987014bd89fp-17, 0x1.b6e7885f5faa5p-17, 0x1.be11c8a08767bp-17, 0x1.c5174cde767adp-17, 0x1.cbf8339007da6p-17, 0x1.d2b49d86f371ap-17, 0x1.d94cadda036d3p-17, 0x1.dfc089cf2cb5bp-17, 0x1.e61058c7bb332p-17, 0x1.ec3c44292eaa1p-17, 0x1.f244774ca7fc1p-17, 0x1.f8291f6a6e3dep-17, 0x1.fdea6b8647a84p-17, 0x1.01c4462ed87f3p-16, 0x1.0481da2b8ce7p-16, 0x1.072e0bb7a6e03p-16, 0x1.09c8f59471a55p-16, 0x1.0c52b33e252b6p-16, 0x1.0ecb60e3b5415p-16, 0x1.11331b5ec3fecp-16, 0x1.138a002cc2d6fp-16, 0x1.15d02d66e2259p-16, 0x1.1805c1bb6f818p-16, 0x1.1a2adc666e9f6p-16, 0x1.1c3f9d2b22e04p-16, 0x1.1e44244d3e15cp-16, 0x1.2038928ab2d7ap-16, 0x1.221d09151da6p-16, 0x1.23f1a98c0bfa7p-16, 0x1.25b695f6f8699p-16, 0x1.276bf0bf0a3cap-16, 0x1.2911dcaab7d48p-16, 0x1.2aa87cd732ad4p-16, 0x1.2c2ff4b35fb32p-16, 0x1.2da867faf5c77p-16, 0x1.2f11fab19964bp-16, 0x1.306cd11daf7abp-16, 0x1.31b90fc38df7cp-16, 0x1.32f6db616ee01p-16, 0x1.342658eab44b5p-16, 0x1.3547ad8373008p-16, 0x1.365afe7c2f822p-16, 0x1.3760714e5b7f4p-16, 0x1.38582b97c0ba7p-16, 0x1.394253170f0ddp-16, 0x1.3a1f0da7d03acp-16, 0x1.3aee813f2a87ep-16, 0x1.3bb0d3e8105f9p-16, 0x1.3c662bbfc948cp-16, 0x1.3d0eaef2fb229p-16, 0x1.3daa83ba021d3p-16, 0x1.3e39d05631718p-16, 0x1.3ebcbb0ec2ac5p-16, 0x1.3f336a2db4663p-16, 0x1.3f9e03fd05f04p-16, 0x1.3ffcaec3fff92p-16, 0x1.404f90c4aee9cp-16, 0x1.4096d03916a54p-16, 0x1.40d29350a0a5cp-16, 0x1.4103002de091ep-16, 0x1.41283ce46fe0fp-16, 0x1.41426f760d6d7p-16, 0x1.4151bdd0e810fp-16, 0x1.41564dcd3a273p-16, 0x1.4150452b752dep-16, 0x1.413fc99225566p-16, 0x1.4125008bfcb8bp-16, 0x1.41000f85e72c3p-16, 0x1.40d11bcd78eb5p-16, 0x1.40984a8ede64ep-16, 0x1.4055c0d3a9452p-16, 0x1.4009a380b1dd8p-16, 0x1.3fb41754b8f18p-16, 0x1.3f5540e71db0cp-16, 0x1.3eed44a6016ap-16, 0x1.3e7c46d531667p-16, 0x1.3e026b8cac9cap-16, 0x1.3d7fd6b7739bp-16, 0x1.3cf4ac121798bp-16, 0x1.3c610f29a451p-16, 0x1.3bc5235a7c2e2p-16, 0x1.3b210bcf61d95p-16, 0x1.3a74eb7ffd34cp-16, 0x1.39c0e5302a192p-16, 0x1.39051b6f029dap-16, 0x1.3841b0959964fp-16, 0x1.3776c6c6859a2p-16, 0x1.36a47fecc36dcp-16, 0x1.35cafdbaeb0bep-16, 0x1.34ea61aa67914p-16, 0x1.3402ccfabe93fp-16, 0x1.331460b0de27cp-16, 0x1.321f3d963b53fp-16, 0x1.312384387a2a2p-16, 0x1.302154e8ba5a1p-16, 0x1.2f18cfbac357fp-16, 0x1.2e0a1484bf2fep-16, 0x1.2cf542dea4a44p-16, 0x1.2bda7a21ac1bep-16, 0x1.2ab9d967d9753p-16, 0x1.29937f8b92198p-16, 0x1.28678b271ee32p-16, 0x1.27361a94755a2p-16, 0x1.25ff4beccc565p-16, 0x1.24c33d083c298p-16, 0x1.23820b7d6bc13p-16, 0x1.223bd4a13805ap-16, 0x1.20f0b586a064fp-16, 0x1.1fa0cafe79008p-16, 0x1.1e4c319721e6p-16, 0x1.1cf3059c485eap-16, 0x1.1b956316ecb2dp-16, 0x1.1a3365cd06a6ep-16, 0x1.18cd294181e0cp-16, 0x1.1762c8b41a991p-16, 0x1.15f45f213b048p-16, 0x1.1482074203414p-16, 0x1.130bdb8c190f7p-16, 0x1.1191f63196863p-16, 0x1.10147121234bap-16, 0x1.0e936605f8e7fp-16, 0x1.0d0eee47bf766p-16, 0x1.0b87230a7dcb1p-16, 0x1.09fc1d2ee5d47p-16, 0x1.086df55241df1p-16, 0x1.06dcc3ce7606bp-16, 0x1.0548a0ba386abp-16, 0x1.03b1a3e8fdb96p-16, 0x1.0217e4eb274ep-16, 0x1.007b7b0e22e52p-16, 0x1.fdb8fab8df505p-17, 0x1.fa76053c08ff3p-17, 0x1.f72e42b086355p-17, 0x1.f3e1df9c32295p-17, 0x1.f09108007ebc9p-17, 0x1.ed3be75b15e3fp-17, 0x1.e9e2a8a5d9a76p-17, 0x1.e68576574ec7bp-17, 0x1.e3247a633e26ap-17, 0x1.dfbfde3ae7383p-17, 0x1.dc57cacdbccc9p-17, 0x1.d8ec6889bcf99p-17, 0x1.d57ddf5bd0382p-17, 0x1.d20c56b08d638p-17, 0x1.ce97f574b2c7cp-17, 0x1.cb20e215968acp-17, 0x1.c7a74281ae24p-17, 0x1.c42b3c2935891p-17, 0x1.c0acf3feb8167p-17, 0x1.bd2c8e77c4b45p-17, 0x1.b9aa2f8da64e7p-17, 0x1.b625fabda33dp-17, 0x1.b2a01309d6e1ep-17, 0x1.af189af9f5a81p-17, 0x1.ab8fb49bba8a3p-17, 0x1.a8058183b699ap-17, 0x1.a47a22cdd1416p-17, 0x1.a0edb91e45eacp-17, 0x1.9d6064a245663p-17, 0x1.99d245105397bp-17, 0x1.964379a978fd6p-17, 0x1.92b421398f10dp-17, 0x1.8f245a1854fa8p-17, 0x1.8b944229ee645p-17, 0x1.8803f6dfc5bc3p-17, 0x1.847395393a953p-17, 0x1.80e339c4aad38p-17, }}, 
      {{0x1.c4c1a3c0973e7p-1, 0x1.c4a29795dfcdbp-1, 0x1.c47225035a144p-1, 0x1.c432d289004d2p-1, 0x1.c3e56087af8a1p-1, 0x1.c388219552f72p-1, 0x1.c316fc9e52222p-1, 0x1.c28bdd7ff7873p-1, 0x1.c1df5c5f57562p-1, 0x1.c109727870a6cp-1, 0x1.c002220a2303fp-1, 0x1.bec202d9c7293p-1, 0x1.bd42ad26c883p-1, 0x1.bb7f02644135ep-1, 0x1.b973566660231p-1, 0x1.b71d7d80f50bdp-1, 0x1.b47cc4d54b5e4p-1, 0x1.b191da1b1b364p-1, 0x1.ae5ea7cef913fp-1, 0x1.aae62a122f0d2p-1, 0x1.a72c3fcf43d31p-1, 0x1.a3357afb5620ep-1, 0x1.9f06f21d57697p-1, 0x1.9aa614a94dca9p-1, 0x1.9618833a81ce2p-1, 0x1.9163ec4c5308p-1, 0x1.8c8dedbce39d7p-1, 0x1.879bfb2469bdap-1, 0x1.829348dccf332p-1, 0x1.7d78bb746c61ap-1, 0x1.7850db314d49ap-1, 0x1.731fcb3e0d465p-1, 0x1.6de94413db796p-1, 0x1.68b090b4c907ep-1, 0x1.63788e4cc116bp-1, 0x1.5e43add53f7c3p-1, 0x1.5913f75f27305p-1, 0x1.53eb0eae52a1ep-1, 0x1.4eca38db12dd3p-1, 0x1.49b262b675543p-1, 0x1.44a427b68e4e6p-1, 0x1.3f9fd9380122p-1, 0x1.3aa585e9728f9p-1, 0x1.35b5013c6f467p-1, 0x1.30cdeabd883ffp-1, 0x1.2befb53b05e1fp-1, 0x1.2719ada68afbbp-1, 0x1.224b01a269e3p-1, 0x1.1d82c5af4597p-1, 0x1.18bffaf1ed962p-1, 0x1.1401948c3abc9p-1, 0x1.0f467c8626aa8p-1, 0x1.0a8d98465cd6dp-1, 0x1.05d5cc9b333dcp-1, 0x1.011e01565b4f1p-1, 0x1.f8ca48fd71073p-2, 0x1.ef545a39445c5p-2, 0x1.e5d83b4b009dap-2, 0x1.dc540c185bc8cp-2, 0x1.d2c60af7b8ba2p-2, 0x1.c92c9786bdc1bp-2, 0x1.bf8634edc5f32p-2, 0x1.b5d18b9c165b5p-2, 0x1.ac0d6a88a886cp-2, 0x1.a238c8030199p-2, 0x1.9852c21f2f8a9p-2, 0x1.8e5a9ec7822f5p-2, 0x1.844fcb7e22de2p-2, 0x1.7a31dcd80521ep-2, 0x1.70008dba2f43cp-2, 0x1.65bbbe61a2fbdp-2, 0x1.5b63733dafea5p-2, 0x1.50f7d3a3d10ap-2, 0x1.46792863a285ap-2, 0x1.3be7da40f2d1p-2, 0x1.314470595fe2dp-2, 0x1.268f8e7a6f3bbp-2, 0x1.1bc9f36c94443p-2, 0x1.10f4773719e0ep-2, 0x1.061009607a1b4p-2, 0x1.f63b5e5c8c2bbp-3, 0x1.e03d03cebb125p-3, 0x1.ca275a35c0506p-3, 0x1.b3fcd9dbcebbbp-3, 0x1.9dc018e3b1a5bp-3, 0x1.8773c809a27cdp-3, 0x1.711aaf7adf33ap-3, 0x1.5ab7abc61d826p-3, 0x1.444daae68e6adp-3, 0x1.2ddfa96ac90afp-3, 0x1.1770afb8a4a01p-3, 0x1.0103cf6ec500cp-3, 0x1.d53841c8a0988p-4, 0x1.a879818e2da41p-4, 0x1.7bd19bb07aee1p-4, 0x1.4f46cd8ea98f9p-4, 0x1.22df50573ac62p-4, 0x1.ed42aa6c60cp-5, 0x1.9526037ba93d1p-5, 0x1.3d74d9121ebeap-5, 0x1.cc7668579794dp-6, 0x1.1f09e75b538c2p-6, 0x1.caee37970a3bcp-8, -0x1.c2ed73e92e6dbp-9, -0x1.c4569574cf746p-7, -0x1.8a973ec5394b9p-6, -0x1.18c602b4f8dcfp-5, -0x1.6b7a51b6c879ap-5, -0x1.bd5e5700769a9p-5, -0x1.07341423a2cbcp-4, -0x1.2f47147a8f794p-4, -0x1.56e3863a504dap-4, -0x1.7e04ec1a6ccaep-4, -0x1.a4a6f2b40f795p-4, -0x1.cac571409806ap-4, -0x1.f05c6a38f2fa8p-4, -0x1.0ab405eba2a52p-3, -0x1.1cf2583e3f971p-3, -0x1.2ee76f7d9d688p-3, -0x1.4091a564bb02cp-3, -0x1.51ef6a0d37fc2p-3, -0x1.62ff43f10e28bp-3, -0x1.73bfcfe1b2732p-3, -0x1.842fc0f54a47ep-3, -0x1.944de06a85d23p-3, -0x1.a4190d83c0e64p-3, -0x1.b3903d59f12b2p-3, -0x1.c2b27aa7f46a7p-3, -0x1.d17ee58ebcceep-3, -0x1.dff4b352e98fap-3, -0x1.ee132e1435971p-3, -0x1.fbd9b47f41d87p-3, -0x1.04a3dcbd11ffdp-2, -0x1.0b2e61e614288p-2, -0x1.118c36e09c187p-2, -0x1.17bd3264995d6p-2, -0x1.1dc13489d7f4dp-2, -0x1.239826943d6c2p-2, -0x1.2941fabe902b6p-2, -0x1.2ebeac03eba9p-2, -0x1.340e3de8179f5p-2, -0x1.3930bc3ed59dap-2, -0x1.3e263af2586a1p-2, -0x1.42eed5c8ff977p-2, -0x1.478ab02a792cap-2, -0x1.4bf9f4e465835p-2, -0x1.503cd5eea4823p-2, -0x1.54538c2f5a462p-2, -0x1.583e573ed17d5p-2, -0x1.5bfd7d2b4c9b3p-2, -0x1.5f914a3ce048dp-2, -0x1.62fa10b96ed1cp-2, -0x1.663828a8d7e6bp-2, -0x1.694bef996dddcp-2, -0x1.6c35c864cb43cp-2, -0x1.6ef61af50e764p-2, -0x1.718d540a96fc2p-2, -0x1.73fbe5024ac3ap-2, -0x1.7642439c7b782p-2, -0x1.7860e9c46bedfp-2, -0x1.7a58555890792p-2, -0x1.7c2907f38b80ep-2, -0x1.7dd386b5f4626p-2, -0x1.7f585a10f4826p-2, -0x1.80b80d91be13ep-2, -0x1.81f32fadebf67p-2, -0x1.830a5190cce0dp-2, -0x1.83fe06e99f1e1p-2, -0x1.84cee5bacd93ep-2, -0x1.857d862a2465p-2, -0x1.860a82520de64p-2, -0x1.86767613d7051p-2, -0x1.86c1feeb00d6ep-2, -0x1.86edbbc19ee13p-2, -0x1.86fa4cc5ca758p-2, -0x1.86e8534029ce6p-2, -0x1.86b8716b88bcap-2, -0x1.866b4a4d8fa3cp-2, -0x1.860181908ab3cp-2, -0x1.857bbb5e50c4ep-2, -0x1.84da9c3c3c332p-2, -0x1.841ec8e840473p-2, -0x1.8348e63712d1dp-2, -0x1.825998f36def5p-2, -0x1.815185be666e4p-2, -0x1.803150f0d434fp-2, -0x1.7ef99e7dcedaap-2, -0x1.7dab11d636f7fp-2, -0x1.7c464dcd4c30ep-2, -0x1.7acbf47e52299p-2, -0x1.793ca7333501dp-2, -0x1.7799064c3afa5p-2, -0x1.75e1b128afe83p-2, -0x1.741746109495fp-2, -0x1.723a621f438dp-2, -0x1.704ba12f0e5dp-2, -0x1.6e4b9dc5d0bcep-2, -0x1.6c3af1026b729p-2, -0x1.6a1a328b32713p-2, -0x1.67e9f87d3a632p-2, -0x1.65aad75c8d8ap-2, -0x1.635d62053b346p-2, -0x1.6102299d42a95p-2, -0x1.5e99bd875443bp-2, -0x1.5c24ab565f806p-2, -0x1.59a37ec1f1134p-2, -0x1.5716c19b56e6p-2, -0x1.547efbc38529bp-2, -0x1.51dcb321bc7b9p-2, -0x1.4f306b9ae6ff1p-2, -0x1.4c7aa709abfcdp-2, -0x1.49bbe53732fdp-2, -0x1.46f4a3d48fc45p-2, -0x1.44255e74db28bp-2, -0x1.414e8e87e6455p-2, -0x1.3e70ab5590689p-2, -0x1.3b8c29f9b2fbap-2, -0x1.38a17d60a12fep-2, -0x1.35b116443b73p-2, -0x1.32bb63298662dp-2, -0x1.2fc0d05eceef5p-2, -0x1.2cc1c7fa4b63bp-2, -0x1.29beb1d93e2d7p-2, -0x1.26b7f39f8e115p-2, -0x1.23adf0b7d51f5p-2, -0x1.20a10a53de7b7p-2, -0x1.1d919f6d93dc3p-2, -0x1.1a800cc84edf5p-2, -0x1.176cacf28ff65p-2, -0x1.1457d84817672p-2, -0x1.1141e4f457236p-2, -0x1.0e2b26f53d776p-2, -0x1.0b13f01e55ec7p-2, -0x1.07fc901c38742p-2, -0x1.04e55478466c4p-2, -0x1.01ce889cb033dp-2, -0x1.fd70ebb1815cap-3, -0x1.f746c6cad49cbp-3, -0x1.f11f2cd42b50fp-3, -0x1.eafaa4034b5c4p-3, -0x1.e4d9ae7f73d6cp-3, -0x1.debcca6c46b1bp-3, -0x1.d8a471f5123bap-3, -0x1.d2911b587e0ap-3, -0x1.cc8338f48e167p-3, -0x1.c67b3952f6c86p-3, -0x1.c0798735bae1fp-3, -0x1.ba7e89a415f3bp-3, -0x1.b48aa3f7a462bp-3, -0x1.ae9e35e9c73eap-3, -0x1.a8b99ba14307cp-3, -0x1.a2dd2dc00c315p-3, -0x1.9d09417145c7ap-3, -0x1.973e287765e93p-3, -0x1.917c313a8011dp-3, -0x1.8bc3a6d6b0d36p-3, -0x1.8614d12aa4d28p-3, -0x1.806ff4e634dffp-3, -0x1.7ad553991e37bp-3, -0x1.75452bc1c0e83p-3, -0x1.6fbfb8dbf5186p-3, -0x1.6a45336fe3d25p-3, -0x1.64d5d120e352ap-3, -0x1.5f71c4bc5fa87p-3, -0x1.5a193e48ba89bp-3, -0x1.54cc6b1429647p-3, -0x1.4f8b75c38f0b7p-3, -0x1.4a5686614e57dp-3, -0x1.452dc26c07affp-3, -0x1.40114ce5584f4p-3, -0x1.3b01466078226p-3, -0x1.35fdcd10cfb7cp-3, -0x1.3106fcd878339p-3, -0x1.2c1cef569c79ap-3, -0x1.273fbbf5ca829p-3, -0x1.226f77fa25063p-3, -0x1.1dac368f773ep-3, -0x1.18f608d72d62dp-3, -0x1.144cfdf629fbbp-3, -0x1.0fb123227d44p-3, -0x1.0b2283b0f259ap-3, -0x1.06a1292282073p-3, -0x1.022d1b3196f01p-3, -0x1.fb8cbfbe5edc7p-4, -0x1.f2d9f6ffa6ea5p-4, -0x1.ea41e190d3d24p-4, -0x1.e1c481b5b25fp-4, -0x1.d961d6a503d9p-4, -0x1.d119dca12457bp-4, -0x1.c8ec8d1044003p-4, -0x1.c0d9de945f2d1p-4, -0x1.b8e1c522bef52p-4, -0x1.b104321b36d91p-4, -0x1.a941145ef8e32p-4, -0x1.a198586705806p-4, -0x1.9a09e85a4a6d8p-4, -0x1.9295ac2353b01p-4, -0x1.8b3b8985a9598p-4, -0x1.83fb6432c227ap-4, -0x1.7cd51dde9941bp-4, -0x1.75c89653e2acfp-4, -0x1.6ed5ab87dcb5ap-4, -0x1.67fc39adc0c33p-4, -0x1.613c1b49d25cfp-4, -0x1.5a9529440c03fp-4, -0x1.54073afa69894p-4, -0x1.4d922652d6082p-4, -0x1.4735bfccb160bp-4, -0x1.40f1da91faec5p-4, -0x1.3ac6488819536p-4, -0x1.34b2da604553ap-4, -0x1.2eb75fa790f34p-4, -0x1.28d3a6d693672p-4, -0x1.23077d60b815ap-4, -0x1.1d52afc32c238p-4, -0x1.17b5099373b0cp-4, -0x1.122e558d9f622p-4, -0x1.0cbe5da22b5c7p-4, -0x1.0764eb03831f9p-4, -0x1.0221c6332635p-4, -0x1.f9e96e1cfc76ap-5, -0x1.efbb09b6acf1ep-5, -0x1.e5b7eca806c7fp-5, -0x1.dbdfa36657092p-5, -0x1.d231b97e8ce7ep-5, -0x1.c8adb9ab8663p-5, -0x1.bf532debb737fp-5, -0x1.b6219f96377bbp-5, -0x1.ad18976f278ecp-5, -0x1.a4379dbb7ee2ep-5, -0x1.9b7e3a543d205p-5, -0x1.92ebf4b8ff131p-5, -0x1.8a80542207e9cp-5, -0x1.823adf91a67edp-5, -0x1.7a1b1de519814p-5, -0x1.722095e4da36p-5, -0x1.6a4ace545d4d3p-5, -0x1.62994e014c418p-5, -0x1.5b0b9bd23525bp-5, -0x1.53a13ed4b4be4p-5, -0x1.4c59be4b19dap-5, -0x1.4534a1b995f6fp-5, -0x1.3e3170f2e346dp-5, -0x1.374fb4246e262p-5, -0x1.308ef3e2139d4p-5, -0x1.29eeb9315ca51p-5, -0x1.236e8d9449e22p-5, -0x1.1d0dfb13b0e59p-5, -0x1.16cc8c491fb16p-5, -0x1.10a9cc6867ecp-5, -0x1.0aa54748a6d7ap-5, -0x1.04be896cfd10ap-5, -0x1.fdea401999d34p-6, -0x1.f2913237430a7p-6, -0x1.e77106a168f44p-6, -0x1.dc88dc5c24026p-6, -0x1.d1d7d40ebe648p-6, -0x1.c75d101091fe8p-6, -0x1.bd17b475404cp-6, -0x1.b306e7182b91ep-6, -0x1.a929cfa7548b1p-6, -0x1.9f7f97ada17f1p-6, -0x1.96076a9c653d1p-6, -0x1.8cc075d4757fcp-6, -0x1.83a9e8ae91659p-6, -0x1.7ac2f4833dfc5p-6, -0x1.720accb217787p-6, -0x1.6980a6a8922b1p-6, -0x1.6123b9e83c196p-6, -0x1.58f3400c836f4p-6, -0x1.50ee74cfef811p-6, -0x1.49149610ec066p-6, -0x1.4164e3d617c7dp-6, -0x1.39dea052290afp-6, -0x1.32810fe754085p-6, -0x1.2b4b792a5da49p-6, -0x1.243d24e527c1ap-6, -0x1.1d555e18f028ap-6, -0x1.1693720035611p-6, -0x1.0ff6b010173ccp-6, -0x1.097e69f984b9cp-6, -0x1.0329f3a9ffa27p-6, -0x1.f9f1469818e08p-7, -0x1.edd3a28eb097p-7, -0x1.e1f9b0810f92dp-7, -0x1.d6622a318167ap-7, -0x1.cb0bcdd9ba868p-7, -0x1.bff55e28f5836p-7, -0x1.b51da2412f2bep-7, -0x1.aa8365b42d23cp-7, -0x1.a025787fe2a8p-7, -0x1.9602af0a5f199p-7, -0x1.8c19e21d63de4p-7, -0x1.8269eee175f66p-7, -0x1.78f1b6d8849c8p-7, -0x1.6fb01fd83b743p-7, -0x1.66a41403fd765p-7, -0x1.5dcc81c661344p-7, -0x1.55285bca8449cp-7, -0x1.4cb698f4e45efp-7, -0x1.4476345c0c641p-7, -0x1.3c662d40d1135p-7, -0x1.348587067440ap-7, -0x1.2cd3492a6b233p-7, -0x1.254e7f3bddd3cp-7, -0x1.1df638d307f93p-7, -0x1.16c989883c91dp-7, -0x1.0fc788eae77c3p-7, -0x1.08ef527833f16p-7, -0x1.0240059182955p-7, -0x1.f7718ae5c6f02p-8, -0x1.eab1725266679p-8, -0x1.de3e17106b94ep-8, -0x1.d215d640f9319p-8, -0x1.c637146a7b4c4p-8, -0x1.baa03d63fd863p-8, -0x1.af4fc440509f4p-8, -0x1.a44423392d78cp-8, -0x1.997bdb99e300dp-8, -0x1.8ef575aa1350cp-8, -0x1.84af8098602fdp-8, -0x1.7aa89264b3199p-8, -0x1.70df47caae14ap-8, -0x1.6752442bf4492p-8, -0x1.5e00317a5b3a6p-8, -0x1.54e7c022057bfp-8, -0x1.4c07a6f39bccdp-8, -0x1.435ea30e58e1cp-8, -0x1.3aeb77ca16072p-8, -0x1.32aceea18093ap-8, -0x1.2aa1d71c22e1cp-8, -0x1.22c906b883859p-8, -0x1.1b2158d66529dp-8, -0x1.13a9aea0f4205p-8, -0x1.0c60eef91452p-8, -0x1.0546065fb877fp-8, -0x1.fcafcdc0b3f7dp-9, -0x1.ef2b0ff6fe662p-9, -0x1.e1fbcd2295c67p-9, -0x1.d5200998a7acbp-9, -0x1.c895d418b81fbp-9, -0x1.bc5b45a2bf16ep-9, -0x1.b06e814d42079p-9, -0x1.a4cdb41bc8a4dp-9, -0x1.997714d597fdfp-9, -0x1.8e68e3dca8285p-9, -0x1.83a16b0515333p-9, -0x1.791efd6cb9c39p-9, -0x1.6edff75322124p-9, -0x1.64e2bdf1c9c94p-9, -0x1.5b25bf5503e41p-9, -0x1.51a7723497b07p-9, -0x1.486655cd77d92p-9, -0x1.3f60f1bb649bcp-9, -0x1.3695d5d2e782p-9, -0x1.2e0399fc0b207p-9, -0x1.25a8de0d04c2ap-9, -0x1.1d8449a5a680ap-9, -0x1.15948c0b0f40cp-9, -0x1.0dd85c0391547p-9, -0x1.064e77b3668fep-9, -0x1.fdeb48f3046d5p-10, -0x1.ef995d99a9416p-10, -0x1.e1a4d43430753p-10, -0x1.d40b61441f5afp-10, -0x1.c6cac6afc95acp-10, -0x1.b9e0d380b2a58p-10, -0x1.ad4b63a2637f1p-10, -0x1.a1085fa1fc0fcp-10, -0x1.9515bc6ede4e9p-10, -0x1.89717b1c3ebacp-10, -0x1.7e19a8a32d8e3p-10, -0x1.730c5da6245efp-10, -0x1.6847be34c8abfp-10, -0x1.5dc9f9909f5abp-10, -0x1.539149f390141p-10, -0x1.499bf45594f5dp-10, -0x1.3fe84834e6662p-10, -0x1.36749f5df67d5p-10, -0x1.2d3f5db4900b1p-10, -0x1.2446f0fe1ed8ep-10, -0x1.1b89d0ac5e612p-10, -0x1.13067da927a0cp-10, -0x1.0abb8222e22adp-10, -0x1.02a77159d0555p-10, -0x1.f591cedd29eccp-11, -0x1.e63d1261e5537p-11, -0x1.d74e07def9a33p-11, -0x1.c8c21a9155994p-11, -0x1.ba96c5f7badf1p-11, -0x1.acc99577ffcbfp-11, -0x1.9f582404300d5p-11, -0x1.92401bc32858p-11, -0x1.857f35b8de555p-11, -0x1.79133971d2fcdp-11, -0x1.6cf9fcaeee892p-11, -0x1.6131631353ee8p-11, -0x1.55b75dd38f8aap-11, -0x1.4a89eb667c087p-11, -0x1.3fa7173757ee9p-11, -0x1.350cf9595bc9cp-11, -0x1.2ab9b63cf1259p-11, -0x1.20ab7e660b1a9p-11, -0x1.16e08e2455429p-11, -0x1.0d572d4bd631fp-11, -0x1.040daef0428a2p-11, -0x1.f604e24183139p-12, -0x1.e467b949d861fp-12, -0x1.d340c977c9fecp-12, -0x1.c28d0db7f3048p-12, -0x1.b24994e826288p-12, -0x1.a273815bdc722p-12, -0x1.930808641c81dp-12, -0x1.840471d8fdebep-12, -0x1.756617a6adb1bp-12, -0x1.672a655b15c29p-12, -0x1.594ed7b7c0807p-12, -0x1.4bd0fc456d112p-12, -0x1.3eae70e86de4ep-12, -0x1.31e4e37a7a748p-12, -0x1.257211633f70fp-12, -0x1.1953c73556a5fp-12, -0x1.0d87e04d0954dp-12, -0x1.020c46702b21ap-12, -0x1.edbde2e2cae91p-13, -0x1.d7fbcda963e6fp-13, -0x1.c2ce72ebf13c2p-13, -0x1.ae3212644e3e3p-13, -0x1.9a23052315259p-13, -0x1.869dbce86856cp-13, -0x1.739ec3815d042p-13, -0x1.6122ba28f9d87p-13, -0x1.4f2658eb94b6dp-13, -0x1.3da66e0f1c966p-13, -0x1.2c9fdd7e3056bp-13, -0x1.1c0fa036d9d34p-13, -0x1.0bf2c3bd2b5c1p-13, -0x1.f88cd31e39de9p-14, -0x1.da0f8d4019d38p-14, -0x1.bc6845a31652fp-14, -0x1.9f91b0e892875p-14, -0x1.8386a79379c8ep-14, -0x1.6842251208ad2p-14, -0x1.4dbf46ce23f2fp-14, -0x1.33f94b43b06b7p-14, -0x1.1aeb911bafe77p-14, -0x1.0291964da8168p-14, -0x1.d5cdee8c4a225p-15, -0x1.a7cedc264c597p-15, -0x1.7b1da32ca78c6p-15, -0x1.4fb229700983dp-15, -0x1.25848b4de8142p-15, -0x1.f91a34573a859p-16, -0x1.a988b609580c5p-16, -0x1.5c4609f5b7d3fp-16, -0x1.1143ffeef4e7cp-16, -0x1.90e98d3a5dd2bp-17, -0x1.0395d1bddc326p-17, -0x1.e9ca59d55341fp-19, 0x1.5335a871a3d42p-22, 0x1.174fb144dcaf5p-18, 0x1.08d02627c16dep-17, 0x1.822a3039ed754p-17, 0x1.f7ccf5a899dd3p-17, 0x1.34e76effa4c1cp-16, 0x1.6c22deeac7395p-16, 0x1.a1a36d732d89ap-16, 0x1.d5737812612c4p-16, 0x1.03ce8c66a17ccp-15, 0x1.1c1514106144dp-15, 0x1.33921f6c8d6efp-15, 0x1.4a4a5bf297c36p-15, 0x1.60425909b3501p-15, 0x1.757e88e4ca893p-15, 0x1.8a034155be828p-15, 0x1.9dd4bc9d0fc92p-15, 0x1.b0f71a31b51e6p-15, 0x1.c36e5f85a49a3p-15, 0x1.d53e78c2c0b98p-15, 0x1.e66b3983ce229p-15, 0x1.f6f85d861cf4dp-15, 0x1.0374c4ad1bd9p-14, 0x1.0b212584dae86p-14, 0x1.12830d5ffc0cbp-14, 0x1.199c2db292524p-14, 0x1.206e2d9e60089p-14, 0x1.26faaa3cea843p-14, 0x1.2d4336e8bb49cp-14, 0x1.33495d8535dffp-14, 0x1.390e9ec27e434p-14, 0x1.3e947260b6327p-14, 0x1.43dc4770e3243p-14, 0x1.48e78493aefap-14, 0x1.4db78836815d2p-14, 0x1.524da8cf4418p-14, 0x1.56ab35157d68fp-14, 0x1.5ad17439da69fp-14, 0x1.5ec1a61cd39adp-14, 0x1.627d0382e1f1ap-14, 0x1.6604be4723183p-14, 0x1.695a018d4d4dcp-14, 0x1.6c7df1f13be9ap-14, 0x1.6f71adb4f7d57p-14, 0x1.72364cee608e1p-14, 0x1.74cce1b1d3bf3p-14, 0x1.7736783d3b032p-14, 0x1.79741720d2263p-14, 0x1.7b86bf666289fp-14, 0x1.7d6f6cb823bd5p-14, 0x1.7f2f1585f4623p-14, 0x1.80c6ab28e0bf1p-14, 0x1.82371a069f968p-14, 0x1.838149b355a4p-14, 0x1.84a61d1258367p-14, 0x1.85a67275c8b77p-14, 0x1.868323bd29e7cp-14, 0x1.873d06739c7aep-14, 0x1.87d4ebebf5899p-14, 0x1.884ba15dcba21p-14, 0x1.88a1efff67403p-14, 0x1.88d89d2058a3cp-14, 0x1.88f06a42e2fa7p-14, 0x1.88ea1533f2a28p-14, 0x1.88c65823725e3p-14, 0x1.8885e9bae7883p-14, 0x1.88297d33f2e7p-14, 0x1.87b1c26d5f1f7p-14, 0x1.871f66006251p-14, 0x1.8673115444f71p-14, 0x1.85ad6ab242fa5p-14, 0x1.84cf155832c49p-14, 0x1.83d8b18b01d07p-14, 0x1.82cadca80ea72p-14, 0x1.81a6313649c2ep-14, 0x1.806b46f6e521dp-14, 0x1.7f1ab2f4d085ep-14, 0x1.7db5079508d51p-14, 0x1.7c3ad4a4f41e4p-14, 0x1.7aaca7691d17dp-14, 0x1.790b0aab2e959p-14, 0x1.775686c76b213p-14, 0x1.758fa1b9ab282p-14, 0x1.73b6df2a952abp-14, 0x1.71ccc07b72db2p-14, 0x1.6fd1c4d23966p-14, 0x1.6dc669254da1ep-14, 0x1.6bab28463a367p-14, 0x1.69807aece5aa5p-14, 0x1.6746d7c1a5de1p-14, 0x1.64feb367d53c2p-14, 0x1.62a880874d70ap-14, 0x1.6044afd622fbep-14, 0x1.5dd3b021b5cfcp-14, 0x1.5b55ee5782e02p-14, 0x1.58cbd58e0e053p-14, 0x1.5635cf0cf4c62p-14, 0x1.53944255573fdp-14, 0x1.50e79529c9117p-14, 0x1.4e302b95857fp-14, 0x1.4b6e67f470383p-14, 0x1.48a2aaf9d4349p-14, 0x1.45cd53b73dc3bp-14, 0x1.42eebfa40c2ddp-14, 0x1.40074aa325f33p-14, 0x1.3d174f09ef248p-14, 0x1.3a1f25a61bb75p-14, 0x1.371f25c42c179p-14, 0x1.3417a534cf134p-14, 0x1.3108f852d526bp-14, 0x1.2df37208d6246p-14, 0x1.2ad763d682ea3p-14, 0x1.27b51dd5d6d7ep-14, 0x1.248ceec06531ap-14, 0x1.215f23f409f71p-14, 0x1.1e2c09782a1f2p-14, 0x1.1af3ea01eaa84p-14, 0x1.17b70ef962993p-14, 0x1.1475c07dea908p-14, 0x1.1130456a3c97ep-14, 0x1.0de6e35966e9ep-14, 0x1.0a99deaa2efa1p-14, 0x1.07497a83cf169p-14, 0x1.03f5f8d9c83a6p-14, 0x1.009f9a6f99eecp-14, 0x1.fa8d3dba7d101p-15, 0x1.f3d6892407a93p-15, 0x1.ed1b91b239364p-15, 0x1.e65ccfb962fc5p-15, 0x1.df9ab95310f17p-15, 0x1.d8d5c2653c3fdp-15, 0x1.d20e5ca935baap-15, 0x1.cb44f7b1b8826p-15, 0x1.c47a00f27247bp-15, 0x1.bdade3c5f9d5cp-15, 0x1.b6e1097404a93p-15, 0x1.b013d937a07e4p-15, 0x1.a946b846467b5p-15, 0x1.a27a09d46f91bp-15, 0x1.9bae2f1cf9152p-15, 0x1.94e3876650128p-15, 0x1.8e1a7008333fcp-15, 0x1.87534471bf809p-15, 0x1.808e5e2f3e72bp-15, 0x1.79cc14eea4d41p-15, 0x1.730cbe86ce081p-15, 0x1.6c50aefb73be5p-15, 0x1.659838835d0d8p-15, 0x1.5ee3ab8d36ec8p-15, 0x1.583356c590dc1p-15, 0x1.5187871aee22ap-15, 0x1.4ae087c3e172bp-15, 0x1.443ea243a6b29p-15, 0x1.3da21e6fbb21bp-15, 0x1.370b4274093d4p-15, 0x1.307a52d84b365p-15, 0x1.29ef92857a047p-15, 0x1.236b42c9985f7p-15, 0x1.1ceda35d1a9dp-15, 0x1.1676f268176eep-15, 0x1.10076c85ffc4p-15, 0x1.099f4ccb45b3bp-15, 0x1.033eccc943ed5p-15, 0x1.f9cc4927cf0abp-16, 0x1.ed2b158995813p-16, 0x1.e09a69028613bp-16, 0x1.d41aaafc05b2p-16, 0x1.c7ac4007819fbp-16, 0x1.bb4f89e77cd33p-16, 0x1.af04e799665fbp-16, 0x1.a2ccb55c930b6p-16, 0x1.96a74cbc8421ep-16, 0x1.8a9504992eab6p-16, 0x1.7e96312ee2146p-16, 0x1.72ab24201f502p-16, 0x1.66d42c7d67b92p-16, 0x1.5b1196cdf3f86p-16, 0x1.4f63ad17b9a9ap-16, 0x1.43cab6e8e1366p-16, 0x1.3846f95f6a331p-16, 0x1.2cd8b730f3c37p-16, 0x1.218030b3ba1f9p-16, 0x1.163da3e69da93p-16, 0x1.0b114c7a29ce8p-16, 0x1.fff6c7acfc7fep-17, 0x1.e9f8424b08ef1p-17, 0x1.d42772b3df971p-17, 0x1.be84be6f99679p-17, 0x1.a91086b7060b5p-17, 0x1.93cb28853236bp-17, 0x1.7eb4fca6aa9dap-17, 0x1.69ce57c7be643p-17, 0x1.55178a85d74ecp-17, 0x1.4090e17f0a66p-17, 0x1.2c3aa55ef3b31p-17, 0x1.18151aefb6f5cp-17, 0x1.0420832886f76p-17, 0x1.e0ba367b8ce32p-18, 0x1.b996395dd3deap-18, 0x1.92d57aaac1628p-18, 0x1.6c785ee5da0afp-18, 0x1.467f43820cbdbp-18, 0x1.20ea7eff58ecdp-18, 0x1.f774c20bafb99p-19, 0x1.adde6509be284p-19, 0x1.65126b9475192p-19, 0x1.1d114d4acf6ecp-19, 0x1.abb6e9fdca217p-20, 0x1.1ee281e0bd602p-20, 0x1.274c0c04aa5f6p-21, 0x1.40403c2a0bd06p-25, -0x1.f8245b6a2c30fp-22, -0x1.047ae7fe53307p-20, -0x1.89532c5ec2b7bp-20, -0x1.0648dab20fe49p-19, -0x1.471b3551d9dfcp-19, -0x1.8720a4bcc809ap-19, -0x1.c659324eb884bp-19, -0x1.026278f0208b6p-18, -0x1.213200c7bfa13p-18, -0x1.3f9b44c7dca97p-18, -0x1.5d9e5dfb3ee75p-18, -0x1.7b3b6a43ad05cp-18, -0x1.98728c435498dp-18, -0x1.b543eb413196bp-18, -0x1.d1afb31348d52p-18, -0x1.edb614063ee9ep-18, -0x1.04aba16186fe6p-17, -0x1.1249bc1cc1dbap-17, -0x1.1fb578c3aaeeap-17, -0x1.2ceef7f1f468bp-17, -0x1.39f65c423e8fcp-17, -0x1.46cbca43c1113p-17, -0x1.536f686f78d37p-17, -0x1.5fe15f1d6e47p-17, -0x1.6c21d87769d53p-17, -0x1.7831007012068p-17, -0x1.840f04b67ee38p-17, -0x1.8fbc14acea4a3p-17, -0x1.9b38615d0019bp-17, -0x1.a6841d6e08808p-17, -0x1.b19f7d19fc274p-17, -0x1.bc8ab62367e15p-17, -0x1.c745ffca7df58p-17, -0x1.d1d192c4ef545p-17, -0x1.dc2da931bb7fbp-17, -0x1.e65a7e90e2d88p-17, -0x1.f0584fb95183bp-17, -0x1.fa275ace1d602p-17, -0x1.01e3ef9b3562p-16, -0x1.069d0ec9e04bap-16, -0x1.0b3f2bdc48273p-16, -0x1.0fca684f63fe7p-16, -0x1.143ee62f6c91ap-16, -0x1.189cc8134dbaap-16, -0x1.1ce43118b938bp-16, -0x1.211544df8557dp-16, -0x1.25302784ebe3p-16, -0x1.2934fd9fbca4dp-16, -0x1.2d23ec3c15688p-16, -0x1.30fd18d76f01ep-16, -0x1.34c0a95c3aa59p-16, -0x1.386ec41e048eap-16, -0x1.3c078fd573563p-16, -0x1.3f8b339c5c306p-16, -0x1.42f9d6e9cae8ep-16, -0x1.4653a18e4aba5p-16, -0x1.4998bbb044c2fp-16, -0x1.4cc94dc84a4cbp-16, -0x1.4fe5809cf5e0dp-16, -0x1.52ed7d3fe78b4p-16, -0x1.55e16d0a48c81p-16, -0x1.58c17998b1e9ap-16, -0x1.5b8dccc836ef1p-16, -0x1.5e4690b2cf571p-16, -0x1.60ebefac62f62p-16, -0x1.637e143ef5426p-16, -0x1.65fd2927cc1aap-16, -0x1.6869595467b6ap-16, -0x1.6ac2cfdf0d10ep-16, -0x1.6d09b80b9b40ap-16, -0x1.6f3e3d44d7b93p-16, -0x1.71608b19973a3p-16, -0x1.7370cd3965c46p-16, -0x1.756f2f71f8512p-16, -0x1.775bddac3bd1fp-16, -0x1.793703e999829p-16, -0x1.7b00ce411db01p-16, -0x1.7cb968dd23158p-16, -0x1.7e60fff883016p-16, -0x1.7ff7bfdbd1ba3p-16, -0x1.817dd4db12813p-16, -0x1.82f36b5359916p-16, -0x1.8458afa81a87ep-16, -0x1.85adce40d8cc8p-16, -0x1.86f2f386d517cp-16, -0x1.88284be2d2c0fp-16, -0x1.894e03baddc45p-16, -0x1.8a64476fbbc2p-16, -0x1.8b6b435b47e5bp-16, -0x1.8c6323ce2f8edp-16, -0x1.8d4c150d9507dp-16, -0x1.8e2643515e751p-16, -0x1.8ef1dac1e7ae6p-16, -0x1.8faf0776719aep-16, -0x1.905df572e5557p-16, -0x1.90fed0a635d7fp-16, -0x1.9191c4e8541f4p-16, -0x1.9216fdf8c3fffp-16, -0x1.928ea77c8d686p-16, -0x1.92f8ecfc75b1ep-16, -0x1.9355f9e3a678ap-16, -0x1.93a5f97df2747p-16, -0x1.93e916f60795p-16, -0x1.941f7d5431f42p-16, -0x1.9449577cb36aap-16, -0x1.9466d02e5b466p-16, -0x1.9478120106396p-16, -0x1.947d4764360fep-16, -0x1.94769a9de30c1p-16, -0x1.946435c8fdfe6p-16, -0x1.944642d410a18p-16, -0x1.941ceb802df1ep-16, -0x1.93e8595fa545ep-16, -0x1.93a8b5d4e947ap-16, -0x1.935e2a11355bfp-16, -0x1.9308df13b6e74p-16, -0x1.92a8fda825bc1p-16, -0x1.923eae65d932ep-16, -0x1.91ca19aeec638p-16, -0x1.914b67af01cfdp-16, -0x1.90c2c05a64bb3p-16, -0x1.90304b6d17c65p-16, -0x1.8f94306a1319p-16, -0x1.8eee969a362b2p-16, -0x1.8e3fa50b5f05ap-16, -0x1.8d87828fd7432p-16, -0x1.8cc655bd7114bp-16, -0x1.8bfc44ecb702bp-16, -0x1.8b29763827354p-16, -0x1.8a4e0f7bdc43bp-16, }}, 
      {{0x1.c4c8cfdae89a6p-1, 0x1.c4be40cbe95bep-1, 0x1.c4ad66779cc2fp-1, 0x1.c496f6e9552dfp-1, 0x1.c47b6ee309eep-1, 0x1.c45ae53ca9a2cp-1, 0x1.c434f9540acep-1, 0x1.c408d6775d18ep-1, 0x1.c3d5450aa6208p-1, 0x1.c398c3131550dp-1, 0x1.c3519f5f63f41p-1, 0x1.c2fe140750f0cp-1, 0x1.c29c5e39b3c39p-1, 0x1.c22ad23f8862ap-1, 0x1.c1a7eb444c09dp-1, 0x1.c11256e6e555p-1, 0x1.c068fcdf25251p-1, 0x1.bfab032dbce53p-1, 0x1.bed7cf600a80bp-1, 0x1.bdef057550fb9p-1, 0x1.bcf084ecff971p-1, 0x1.bbdc6479b73ffp-1, 0x1.bab2ecc57a581p-1, 0x1.b97492a30fa2p-1, 0x1.b821f0f864ed1p-1, 0x1.b6bbc29e8c802p-1, 0x1.b542dc6644f02p-1, 0x1.b3b8276409fe7p-1, 0x1.b21c9b9c8dc26p-1, 0x1.b0713b220750ep-1, 0x1.aeb70dabefa0cp-1, 0x1.acef1cad541efp-1, 0x1.ab1a6fe9a813bp-1, 0x1.a93a0a84d59dap-1, 0x1.a74ee888f560ap-1, 0x1.a559fcda7825dp-1, 0x1.a35c2f928242dp-1, 0x1.a1565cb6a0ab8p-1, 0x1.9f495344c03c6p-1, 0x1.9d35d48a5c1a2p-1, 0x1.9b1c93be0c252p-1, 0x1.98fe35d305cfep-1, 0x1.96db517e95574p-1, 0x1.94b46f68224c1p-1, 0x1.928a0a7cea1dcp-1, 0x1.905c90612cac5p-1, 0x1.8e2c61f92701cp-1, 0x1.8bf9d404c698cp-1, 0x1.89c52fc99199fp-1, 0x1.878eb3c6c6662p-1, 0x1.8556947034146p-1, 0x1.831cfcecc5668p-1, 0x1.80e20fd621b2p-1, 0x1.7ea5e7f72aa25p-1, 0x1.7c6899077c488p-1, 0x1.7a2a3062601f5p-1, 0x1.77eab5b7f29f1p-1, 0x1.75aa2bb7765a8p-1, 0x1.736890b20e124p-1, 0x1.7125df354755bp-1, 0x1.6ee20e9d0ad0ep-1, 0x1.6c9d139caefe9p-1, 0x1.6a56e0bf0aee8p-1, 0x1.680f66dd836acp-1, 0x1.65c6958e1fab1p-1, 0x1.637c5b88d1cbap-1, 0x1.6130a7041f723p-1, 0x1.5ee3660974f46p-1, 0x1.5c9486c16ab13p-1, 0x1.5a43f7b8553a6p-1, 0x1.57f1a81b79272p-1, 0x1.559d87ef426e7p-1, 0x1.5347883ee1cf6p-1, 0x1.50ef9b45b1b09p-1, 0x1.4e95b492c9999p-1, 0x1.4c39c9271d4b3p-1, 0x1.49dbcf8e8c2ep-1, 0x1.477bbff43fa4bp-1, 0x1.45199432b153ep-1, 0x1.42b547dfb5807p-1, 0x1.404ed854db8ccp-1, 0x1.3de644b47975p-1, 0x1.3b7b8debaaa45p-1, 0x1.390eb6b193b8bp-1, 0x1.369fc3842693fp-1, 0x1.342ebaa2b3094p-1, 0x1.31bba406780dp-1, 0x1.2f46895976447p-1, 0x1.2ccf75ebb6c38p-1, 0x1.2a5676a7368ffp-1, 0x1.27db9a02a97fp-1, 0x1.255eeff33bc9dp-1, 0x1.22e089dd7d3a3p-1, 0x1.20607a85983d8p-1, 0x1.1dded5fef7d5bp-1, 0x1.1b5bb19b7abf3p-1, 0x1.18d723da517d8p-1, 0x1.165144569f0d7p-1, 0x1.13ca2bb5f4348p-1, 0x1.1141f396bc85ep-1, 0x1.0eb8b67eac484p-1, 0x1.0c2e8fc945abp-1, 0x1.09a39b967ef79p-1, 0x1.0717f6b99d18cp-1, 0x1.048bbea84912p-1, 0x1.01ff1169f0aa5p-1, 0x1.fee41b0eef283p-2, 0x1.f9c9a3f6857b4p-2, 0x1.f4aefc434d2c5p-2, 0x1.ef9463537485p-2, 0x1.ea7a190d326bbp-2, 0x1.e5605dc22c14ap-2, 0x1.e0477213be144p-2, 0x1.db2f96d83ada9p-2, 0x1.d6190d01155b9p-2, 0x1.d104158205f75p-2, 0x1.cbf0f13921b6bp-2, 0x1.c6dfe0d7f02eap-2, 0x1.c1d124cd7498ap-2, 0x1.bcc4fd31312bap-2, 0x1.b7bba9af212fbp-2, 0x1.b2b56974a7291p-2, 0x1.adb27b1e6c067p-2, 0x1.a8b31ca72e014p-2, 0x1.a3b78b577c1aep-2, 0x1.9ec003b655dbfp-2, 0x1.99ccc17ab1192p-2, 0x1.94ddff7ddd6p-2, 0x1.8ff3f7aec1fa1p-2, 0x1.8b0ee305ef0aep-2, 0x1.862ef97a80e76p-2, 0x1.815471f7cb8b1p-2, 0x1.7c7f8253ce98bp-2, 0x1.77b05f466365bp-2, 0x1.72e73c612c182p-2, 0x1.6e244c082f2bdp-2, 0x1.6967bf6b297c8p-2, 0x1.64b1c67f83eb7p-2, 0x1.60028ffaed81cp-2, 0x1.5b5a494e9619ep-2, 0x1.56b91ea2fb7dcp-2, 0x1.521f3ad451c51p-2, 0x1.4d8cc76f6de22p-2, 0x1.4901ecaf4233p-2, 0x1.447ed17ad5c6cp-2, 0x1.40039b63bcf04p-2, 0x1.3b906ea507b79p-2, 0x1.37256e22a1c2bp-2, 0x1.32c2bb6924282p-2, 0x1.2e6876ae0b169p-2, 0x1.2a16bed05185ap-2, 0x1.25cdb1596be69p-2, 0x1.218d6a7e9d6dap-2, 0x1.1d560522a15d1p-2, 0x1.19279ad7aa123p-2, 0x1.150243e1a7c38p-2, 0x1.10e61738dd875p-2, 0x1.0cd32a8cb7013p-2, 0x1.08c99246e1ca6p-2, 0x1.04c9618ea3fcp-2, 0x1.00d2aa4c6a24p-2, 0x1.f9cafa5b17858p-3, 0x1.f203d3508a00ep-3, 0x1.ea4ffbffb2924p-3, 0x1.e2af8e91d0184p-3, 0x1.db22a2dbc955p-3, 0x1.d3a94e676cd6ep-3, 0x1.cc43a47cf3ba7p-3, 0x1.c4f1b62cc3c1dp-3, 0x1.bdb392596b79ap-3, 0x1.b68945c1ccfc7p-3, 0x1.af72db0b81e34p-3, 0x1.a8705acd5eep-3, 0x1.a181cb9a1fcedp-3, 0x1.9aa7320b36f6p-3, 0x1.93e090cbb4066p-3, 0x1.8d2de8a3457e9p-3, 0x1.868f38814c874p-3, 0x1.80047d8802673p-3, 0x1.798db317a5006p-3, 0x1.732ad2d9b403dp-3, 0x1.6cdbd4cc2aa07p-3, 0x1.66a0af4cc1fe2p-3, 0x1.607957242caedp-3, 0x1.5a65bf9153e25p-3, 0x1.5465da5486872p-3, 0x1.4e7997baa78a4p-3, 0x1.48a0e6a84456bp-3, 0x1.42dbb4a4a9932p-3, 0x1.3d29ede4dd7c1p-3, 0x1.378b7d568986fp-3, 0x1.32004caad0ac8p-3, 0x1.2c8844610ed31p-3, 0x1.27234bd17cf59p-3, 0x1.21d14937bae62p-3, 0x1.1c9221bd41514p-3, 0x1.1765b983aecfap-3, 0x1.124bf3aefd37bp-3, 0x1.0d44b26f92dfp-3, 0x1.084fd70c318d9p-3, 0x1.036d41ebc5c69p-3, 0x1.fd39a53e24023p-4, 0x1.f3bccfd462d46p-4, 0x1.ea63bf9bf4369p-4, 0x1.e12e2f226f779p-4, 0x1.d81bd7937b583p-4, 0x1.cf2c70caa4f9fp-4, 0x1.c65fb164e9658p-4, 0x1.bdb54ed1eaa01p-4, 0x1.b52cfd64d211ep-4, 0x1.acc67064e7471p-4, 0x1.a4815a1dc42c8p-4, 0x1.9c5d6bef49f79p-4, 0x1.945a565d2fab3p-4, 0x1.8c77c91e4442ep-4, 0x1.84b5732b5b8bdp-4, 0x1.7d1302cde604ep-4, 0x1.759025ae30c97p-4, 0x1.6e2c88e1548f1p-4, 0x1.66e7d8f6ccad5p-4, 0x1.5fc1c205bbd0fp-4, 0x1.58b9efb9d9c6fp-4, 0x1.51d00d600f7a1p-4, 0x1.4b03c5f2c06eap-4, 0x1.4454c425bc74ep-4, 0x1.3dc2b271e47b2p-4, 0x1.374d3b207877ep-4, 0x1.30f4085619db5p-4, 0x1.2ab6c41d76385p-4, 0x1.24951871a891p-4, 0x1.1e8eaf48476d7p-4, 0x1.18a3329b27a72p-4, 0x1.12d24c71cf559p-4, 0x1.0d1ba6ea9ed87p-4, 0x1.077eec43ab3e5p-4, 0x1.01fbc6e3521fap-4, 0x1.f923c2c100d94p-5, 0x1.ee81cd15639c4p-5, 0x1.e41102e355c66p-5, 0x1.d9d0bad9d337fp-5, 0x1.cfc04c45a3b2cp-5, 0x1.c5df0f1f2b95fp-5, 0x1.bc2c5c17b9b6cp-5, 0x1.b2a78ca64a994p-5, 0x1.a94ffb13cec1p-5, 0x1.a0250286f1a44p-5, 0x1.9725ff0f624ebp-5, 0x1.8e524db09fd18p-5, 0x1.85a94c6c524bp-5, 0x1.7d2a5a4c29d7ep-5, 0x1.74d4d76b4ced4p-5, 0x1.6ca824ff4e03cp-5, 0x1.64a3a560c0db8p-5, 0x1.5cc6bc1356026p-5, 0x1.5510cdcd90522p-5, 0x1.4d81408015196p-5, 0x1.46177b5c9749dp-5, 0x1.3ed2e6dc59cd8p-5, 0x1.37b2ecc658233p-5, 0x1.30b6f8350b68cp-5, 0x1.29de759bd8236p-5, 0x1.2328d2cc1ecafp-5, 0x1.1c957ef9f2f71p-5, 0x1.1623eac083bbfp-5, 0x1.0fd388262d797p-5, 0x1.09a3caa038474p-5, 0x1.039427164b6fep-5, 0x1.fb4827cb2a8b2p-6, 0x1.efa611c749039p-6, 0x1.e440fec1f7401p-6, 0x1.d917e456c2be6p-6, 0x1.ce29bb1fcbee7p-6, 0x1.c3757eb95e9edp-6, 0x1.b8fa2dc4f8bf3p-6, 0x1.aeb6c9ebe35c8p-6, 0x1.a4aa57e14a226p-6, 0x1.9ad3df63e0dd9p-6, 0x1.91326b3f20248p-6, 0x1.87c5094c0b14p-6, 0x1.7e8aca718d9a8p-6, 0x1.7582c2a47a5b6p-6, 0x1.6cac08e7233e2p-6, 0x1.6405b7489952fp-6, 0x1.5b8eeae37ef0bp-6, 0x1.5346c3dca23c4p-6, 0x1.4b2c65611f5a5p-6, 0x1.433ef5a44d26fp-6, 0x1.3b7d9ddd4e72p-6, 0x1.33e78a445e459p-6, 0x1.2c7bea0fc923cp-6, 0x1.2539ef70b2e52p-6, 0x1.1e20cf8f8e7c3p-6, 0x1.172fc28853928p-6, 0x1.1066036682301p-6, 0x1.09c2d020eb465p-6, 0x1.0345699533914p-6, 0x1.f9da27066f031p-7, 0x1.ed7229105b6c5p-7, 0x1.e1516c333a404p-7, 0x1.d576890053445p-7, 0x1.c9e01da46b872p-7, 0x1.be8ccddcabe2dp-7, 0x1.b37b42eb4afb8p-7, 0x1.a8aa2b8bde931p-7, 0x1.9e183be775fa2p-7, 0x1.93c42d8870f34p-7, 0x1.89acbf4e147p-7, 0x1.7fd0b55ff3adcp-7, 0x1.762ed921172cdp-7, 0x1.6cc5f922fc3fp-7, 0x1.6394e918678dep-7, 0x1.5a9a81c8038d4p-7, 0x1.51d5a0fee9d27p-7, 0x1.49452982f9c08p-7, 0x1.40e803051ca0ap-7, 0x1.38bd1a135daep-7, 0x1.30c3600af52e9p-7, 0x1.28f9cb0a3b572p-7, 0x1.215f55e27f998p-7, 0x1.19f30009d4b0bp-7, 0x1.12b3cd8ccb397p-7, 0x1.0ba0c7001d834p-7, 0x1.04b8f972638c1p-7, 0x1.fbf6ecbb30829p-8, 0x1.eecea7318dbbdp-8, 0x1.e1f756932719p-8, 0x1.d56f37aba751bp-8, 0x1.c9348faa46f14p-8, 0x1.bd45ac04ef9f6p-8, 0x1.b1a0e25b85f81p-8, 0x1.a644905b1db71p-8, 0x1.9b2f1ba1542b7p-8, 0x1.905ef19fca318p-8, 0x1.85d2877f8176bp-8, 0x1.7b885a0499296p-8, 0x1.717eed71f58bbp-8, 0x1.67b4cd6d0eef4p-8, 0x1.5e288ce1f5e3p-8, 0x1.54d8c5e76c7dep-8, 0x1.4bc419a32b021p-8, 0x1.42e9302e4767cp-8, 0x1.3a46b879d7bb3p-8, 0x1.31db6833b8833p-8, 0x1.29a5fbab733d1p-8, 0x1.21a535b77872ap-8, 0x1.19d7df9a78c5ep-8, 0x1.123cc8e8e63d5p-8, 0x1.0ad2c76eca493p-8, 0x1.0398b715ba778p-8, 0x1.f91af396294ccp-9, 0x1.eb5feecce5537p-9, 0x1.ddfe3b20aac89p-9, 0x1.d0f3bf521e6bcp-9, 0x1.c43e6d5fcfaap-9, 0x1.b7dc42552934p-9, 0x1.abcb4619abe39p-9, 0x1.a0098b40ba4e6p-9, 0x1.94952ed9f1a61p-9, 0x1.896c584214f5dp-9, 0x1.7e8d38f45c04fp-9, 0x1.73f60c5c52562p-9, 0x1.69a517a860ba6p-9, 0x1.5f98a99ca4033p-9, 0x1.55cf1a667e9b8p-9, 0x1.4c46cb70ac2a5p-9, 0x1.42fe2737c14cdp-9, 0x1.39f3a11f66354p-9, 0x1.3125b547e91d1p-9, 0x1.2892e864883b8p-9, 0x1.2039c79237068p-9, 0x1.1818e82ee96ddp-9, 0x1.102ee7b178c6ep-9, 0x1.087a6b81fd3f5p-9, 0x1.00fa20d2e8f7cp-9, 0x1.f35978f4acb29p-10, 0x1.e521f59896987p-10, 0x1.d74b3eea4e70fp-10, 0x1.c9d2eaa9c17fep-10, 0x1.bcb69cb566ffep-10, 0x1.aff406c296b8cp-10, 0x1.a388e81721977p-10, 0x1.97730d43dc57fp-10, 0x1.8bb04fe045e8ep-10, 0x1.803e96474aa99p-10, 0x1.751bd354ed56ep-10, 0x1.6a4606252116ep-10, 0x1.5fbb39d389332p-10, 0x1.5579853c7f562p-10, 0x1.4b7f0abebf4ap-10, 0x1.41c9f7fe81c34p-10, 0x1.385885a92e096p-10, 0x1.2f28f73a6d28ap-10, 0x1.26399ac1eba6dp-10, 0x1.1d88c8aa57999p-10, 0x1.1514e38112e0ap-10, 0x1.0cdc57bf179fbp-10, 0x1.04dd9b92bc6ebp-10, 0x1.fa2e5d54aa702p-11, 0x1.eb0f33ffd171ap-11, 0x1.dc5adf4b415a2p-11, 0x1.ce0e9526e13f8p-11, 0x1.c0279cea85a43p-11, 0x1.b2a34ef4a8032p-11, 0x1.a57f144add1c7p-11, 0x1.98b8663b9c5b2p-11, 0x1.8c4cce02165fcp-11, 0x1.8039e46bc231cp-11, 0x1.747d517f8e66ep-11, 0x1.6914cc26a84a6p-11, 0x1.5dfe19d6d6c37p-11, 0x1.53370e3ec4dbp-11, 0x1.48bd8af38ce91p-11, 0x1.3e8f7f201942dp-11, 0x1.34aae735d927p-11, 0x1.2b0dcc9f34e08p-11, 0x1.21b645736cabbp-11, 0x1.18a2742bdaf21p-11, 0x1.0fd0875af5472p-11, 0x1.073eb96477c31p-11, 0x1.fdd6a06e2b64cp-12, 0x1.eda93a0f7fa69p-12, 0x1.ddf1f81c0817ep-12, 0x1.ceada8840d02bp-12, 0x1.bfd92e373c213p-12, 0x1.b17180a606cddp-12, 0x1.a373ab44fca8cp-12, 0x1.95dccd138d3cp-12, 0x1.88aa182443ed7p-12, 0x1.7bd8d128849aap-12, 0x1.6f664efdf0e63p-12, 0x1.634ffa3ec6a02p-12, 0x1.57934cd429f97p-12, 0x1.4c2dd18b149c1p-12, 0x1.411d23ab6b195p-12, 0x1.365eee9145bf5p-12, 0x1.2bf0ed4889a73p-12, 0x1.21d0ea2a8a616p-12, 0x1.17fcbe7e30ff7p-12, 0x1.0e7252196cc74p-12, 0x1.052f9b05c2643p-12, 0x1.f8653a4bc433dp-13, 0x1.e6f2d3bbcfa04p-13, 0x1.d6043f7a9a874p-13, 0x1.c595d4556dcafp-13, 0x1.b5a4022390e28p-13, 0x1.a62b51254c829p-13, 0x1.97286166cdde4p-13, 0x1.8897ea26d147p-13, 0x1.7a76b94005f54p-13, 0x1.6cc1b29685bfep-13, 0x1.5f75cf88b4b99p-13, 0x1.52901e62ab1fbp-13, 0x1.460dc1d5e5a97p-13, 0x1.39ebf0732ffefp-13, 0x1.2e27f428216abp-13, 0x1.22bf29bfc6e58p-13, 0x1.17af0065c9f12p-13, 0x1.0cf4f92cf6568p-13, 0x1.028ea69884c23p-13, 0x1.f0f3584f751c1p-14, 0x1.dd677bca6661fp-14, 0x1.ca753ff02e8e6p-14, 0x1.b8184c704a28cp-14, 0x1.a64c6788ed5dcp-14, 0x1.950d7539b27ccp-14, 0x1.8457767a80f5ap-14, 0x1.74268877ec0fp-14, 0x1.6476e3d4a754ap-14, 0x1.5544dbee7b3d4p-14, 0x1.468cde2926163p-14, 0x1.384b713c6c157p-14, 0x1.2a7d34875ed45p-14, 0x1.1d1edf67b8e75p-14, 0x1.102d409522e1ap-14, 0x1.03a53d809887bp-14, 0x1.ef07a371a7645p-15, 0x1.d78c1ca0aea43p-15, 0x1.c0d23293d479bp-15, 0x1.aad45a0e162e5p-15, 0x1.958d2f7497bdcp-15, 0x1.80f775bc8f8dep-15, 0x1.6d0e155d7f8dbp-15, 0x1.59cc1b4c77bc3p-15, 0x1.472cb7fc01f63p-15, 0x1.352b3e6432c01p-15, 0x1.23c323105f2d4p-15, 0x1.12effb337a387p-15, 0x1.02ad7bc125791p-15, 0x1.e5eef11eca94fp-16, 0x1.c793c6f6d902dp-16, 0x1.aa41972b038ffp-16, 0x1.8df0b8a4025d8p-16, 0x1.7299b980a2135p-16, 0x1.58355d8b7a517p-16, 0x1.3ebc9cbf54d1p-16, 0x1.2628a1d19b462p-16, 0x1.0e72c8c860309p-16, 0x1.ef293b3585599p-17, 0x1.c30fb5b0da00ap-17, 0x1.988cd0b9d0e6bp-17, 0x1.6f94b410d10c6p-17, 0x1.481bdd0c98bb1p-17, 0x1.22171c2d510fp-17, 0x1.faf72594bd18dp-18, 0x1.b47d618a995dfp-18, 0x1.70ac64ae0b58p-18, 0x1.2f703bceeeb9dp-18, 0x1.e16b07c82b453p-19, 0x1.68d2cbf687c26p-19, 0x1.e9e64d0766a69p-20, 0x1.0b510498bdcap-20, 0x1.ad04b2fd12c5fp-23, -0x1.2edc64ff64c43p-21, -0x1.5c1ca5ad3e4b2p-20, -0x1.0c551dafefa07p-19, -0x1.66aa50f442c6fp-19, -0x1.bd2be550157ddp-19, -0x1.07fb7da7af67cp-18, -0x1.2f93f0c8db5e9p-18, -0x1.556d0d5fb736cp-18, -0x1.799431b1104dap-18, -0x1.9c165bc74d727p-18, -0x1.bd002c32519cfp-18, -0x1.dc5de8b61f876p-18, -0x1.fa3b7ee29fe64p-18, -0x1.0b52434c30fcap-17, -0x1.18d222416d2cp-17, -0x1.25a2d639c8e12p-17, -0x1.31c9b1dc8372bp-17, -0x1.3d4be1ae6ab8ap-17, -0x1.482e6d2a95d4ep-17, -0x1.527637d0b693dp-17, -0x1.5c28022cc4a71p-17, -0x1.65486adac7c79p-17, -0x1.6ddbef7c4eaffp-17, -0x1.75e6edad16b4fp-17, -0x1.7d6da3ebb8054p-17, -0x1.847432808ed43p-17, -0x1.8afe9c585bed1p-17, -0x1.9110c7de1fd5fp-17, -0x1.96ae7fc9c37f1p-17, -0x1.9bdb73ec17489p-17, -0x1.a09b39f381f8ep-17, -0x1.a4f14e2bc140ep-17, -0x1.a8e11435e8579p-17, -0x1.ac6dd7bf7ae22p-17, -0x1.af9acd2e11ac2p-17, -0x1.b26b124ace609p-17, -0x1.b4e1aee743337p-17, -0x1.b701957c40554p-17, -0x1.b8cda3c6e6f8ep-17, -0x1.ba48a35d913b8p-17, -0x1.bb754a42ff9e5p-17, -0x1.bc563b73a30e4p-17, -0x1.bcee0770deaa4p-17, -0x1.bd3f2cc411742p-17, -0x1.bd4c1883268fap-17, -0x1.bd1726cb94fc4p-17, -0x1.bca2a33f5d7abp-17, -0x1.bbf0c978f6bfbp-17, -0x1.bb03c57ff7e2cp-17, -0x1.b9ddb4389d96p-17, -0x1.b880a3cf17f2p-17, -0x1.b6ee94212acbp-17, -0x1.b52977242debdp-17, -0x1.b333314767738p-17, -0x1.b10d99d4ec9d6p-17, -0x1.aeba7b4da6d2dp-17, -0x1.ac3b93c51671cp-17, -0x1.a99295369acf5p-17, -0x1.a6c125dd34555p-17, -0x1.a3c8e0846cbefp-17, -0x1.a0ab54d855dcep-17, -0x1.9d6a07b3c545bp-17, -0x1.9a06736bbb1f8p-17, -0x1.96820817cffc3p-17, -0x1.92de2bd9c4c5cp-17, -0x1.8f1c3b22184b9p-17, -0x1.8b3d88f31ee8cp-17, -0x1.87435f2150cb3p-17, -0x1.832efe9246ffap-17, -0x1.7f019f7a33622p-17, -0x1.7abc7196a63ddp-17, -0x1.76609c686a75ep-17, -0x1.71ef3f6ac4fc5p-17, -0x1.6d69724a38587p-17, -0x1.68d0451870659p-17, -0x1.6424c07f26561p-17, -0x1.5f67e5f2e954ep-17, -0x1.5a9aafe16a8e5p-17, -0x1.55be11e15f9fdp-17, -0x1.50d2f8df212a1p-17, -0x1.4bda4b492b68dp-17, -0x1.46d4e939fec8dp-17, -0x1.41c3aca25e05p-17, -0x1.3ca769715f682p-17, -0x1.3780edbaaf279p-17, -0x1.325101dd89341p-17, -0x1.2d1868a91ed9bp-17, -0x1.27d7df8027ccdp-17, -0x1.22901e7c4f313p-17, -0x1.1d41d88fc9ccbp-17, -0x1.17edbba53de6ep-17, -0x1.129470c101b81p-17, -0x1.0d369c1f1d541p-17, -0x1.07d4dd51bdda8p-17, -0x1.026fcf5e7824p-17, -0x1.fa1011b50c981p-18, -0x1.ef3c380dc702dp-18, -0x1.e4652dd6118d7p-18, -0x1.d98c06dd3cba3p-18, -0x1.ceb1cee6c54ccp-18, -0x1.c3d789db9e271p-18, -0x1.b8fe33fa280d5p-18, -0x1.ae26c2047d64cp-18, -0x1.a352216e81fedp-18, -0x1.9881388a4771cp-18, -0x1.8db4e6b2297d5p-18, -0x1.82ee0474be3b8p-18, -0x1.782d63bc1abccp-18, -0x1.6d73cff5b3498p-18, -0x1.62c20e39dfb16p-18, -0x1.5818dd7057663p-18, -0x1.4d78f675ee63cp-18, -0x1.42e30c3f8f5a1p-18, -0x1.3857cbfe58f49p-18, -0x1.2dd7dd3fb3d72p-18, -0x1.2363e20fe54eep-18, -0x1.18fc771a152b6p-18, -0x1.0ea233c7bd22ep-18, -0x1.0455aa5e65d9fp-18, -0x1.f42ed03ea87fcp-19, -0x1.dfcfeac63406ep-19, -0x1.cb8fab6cbc5ep-19, -0x1.b76f0fed10bc9p-19, -0x1.a36f0cd5f1a1cp-19, -0x1.8f908dc2efebep-19, -0x1.7bd4758e45f5ap-19, -0x1.683b9e83a892cp-19, -0x1.54c6da910770ap-19, -0x1.4176f377a10c6p-19, -0x1.2e4caaf83f451p-19, -0x1.1b48bb04fc4b6p-19, -0x1.086bd5eb51305p-19, -0x1.eb6d4cff711a3p-20, -0x1.c653a094ba728p-20, -0x1.a18bdf5f260a8p-20, -0x1.7d173432b01b1p-20, -0x1.58f6bc3dc6d43p-20, -0x1.352b875934f4fp-20, -0x1.11b69853de796p-20, -0x1.dd31ca7bf3038p-21, -0x1.97a6af62c73f8p-21, -0x1.52cd9a30e3d4dp-21, -0x1.0ea82df167356p-21, -0x1.966fecc3b9948p-22, -0x1.10fcd1065e8a9p-22, -0x1.19f38c7c7b0f5p-23, -0x1.4d2bcfd088516p-27, 0x1.dac7fa4f9bd6cp-24, 0x1.ecac25a37ac68p-23, 0x1.7480c8ad33efep-22, 0x1.f1303223b4f74p-22, 0x1.363143f9d2cecp-21, 0x1.730b14535982dp-21, 0x1.af24cbddf21f4p-21, 0x1.ea7dbe5f21155p-21, 0x1.128aa89ed5df5p-20, 0x1.2f757d8a2384fp-20, 0x1.4bff21a4a8057p-20, 0x1.682760d2f3873p-20, 0x1.83ee0efc50747p-20, 0x1.9f5307d91225ap-20, 0x1.ba562ec0a4221p-20, 0x1.d4f76e7b92417p-20, 0x1.ef36b9161e9c4p-20, 0x1.048a03d8b7e31p-19, 0x1.1147ad2baddd1p-19, 0x1.1dd45be7d79ecp-19, 0x1.2a3016b9373fdp-19, 0x1.365ae7805c90ap-19, 0x1.4254db3c38b1ap-19, 0x1.4e1e01f66a9ebp-19, 0x1.59b66eb06f6e9p-19, 0x1.651e374cfa8d1p-19, 0x1.7055748052c9cp-19, 0x1.7b5c41ba84793p-19, 0x1.8632bd1675ee7p-19, 0x1.90d9074745d8p-19, 0x1.9b4f438553b88p-19, 0x1.a595977dd3326p-19, 0x1.afac2b4113488p-19, 0x1.b99329311405ep-19, 0x1.c34abdf06e92fp-19, 0x1.ccd3185384ad6p-19, 0x1.d62c694f3bc6ep-19, 0x1.df56e3e8929f2p-19, 0x1.e852bd267bf07p-19, 0x1.f1202c015a18cp-19, 0x1.f9bf695474e48p-19, 0x1.011857e79ada2p-18, 0x1.053a1df33e7fcp-18, 0x1.094525e2dc811p-18, 0x1.0d398fa17c1c9p-18, 0x1.11177be6e66e1p-18, 0x1.14df0c3229e28p-18, 0x1.189062c2a665fp-18, 0x1.1c2ba29166cf6p-18, 0x1.1fb0ef4a93aa7p-18, 0x1.23206d477abb4p-18, 0x1.267a418833a4fp-18, 0x1.29be91ad87b8fp-18, 0x1.2ced83f2bca95p-18, 0x1.30073f282ec26p-18, 0x1.330beaad56697p-18, 0x1.35fbae6ab8db9p-18, 0x1.38d6b2ccb23f9p-18, 0x1.3b9d20be5914ap-18, 0x1.3e4f21a354232p-18, 0x1.40ecdf535212p-18, 0x1.437684146c92ep-18, 0x1.45ec3a9667792p-18, 0x1.484e2decfdfe5p-18, 0x1.4a9c898c4136ep-18, 0x1.4cd77942af709p-18, 0x1.4eff2934ce141p-18, 0x1.5113c5d8d43f8p-18, 0x1.53157bf1de9fdp-18, 0x1.5504788b5400ap-18, 0x1.56e0e8f4e7cfp-18, 0x1.58aafabe15b85p-18, 0x1.5a62dbb1f32d4p-18, 0x1.5c08b9d362511p-18, 0x1.5d9cc35894ccep-18, 0x1.5f1f26a75d961p-18, 0x1.609012510f69dp-18, 0x1.61efb50f24781p-18, 0x1.633e3dbf19b36p-18, 0x1.647bdb5f0375ep-18, 0x1.65a8bd09c882ap-18, 0x1.66c511f3e512p-18, 0x1.67d10967e4f28p-18, 0x1.68ccd2c2ba355p-18, 0x1.69b89d70eee95p-18, 0x1.6a9498eb4d0fap-18, 0x1.6b60f4b383f85p-18, 0x1.6c1de0512742ap-18, 0x1.6ccb8b4ef75d2p-18, 0x1.6d6a2537836cep-18, 0x1.6df9dd929b4eap-18, 0x1.6e7ae3e270e3ep-18, 0x1.6eed67a0b1042p-18, 0x1.6f51983bcf289p-18, 0x1.6fa7a514b8911p-18, 0x1.6fefbd7be4d9ep-18, 0x1.702a10af11c63p-18, 0x1.7056cdd6af7dbp-18, 0x1.70762403af13dp-18, 0x1.7088422d02a88p-18, 0x1.708d572d66befp-18, 0x1.708591c115f66p-18, 0x1.70712083ca957p-18, 0x1.705031ee8cc76p-18, 0x1.7022f45590b35p-18, 0x1.6fe995e691ab9p-18, 0x1.6fa444a67efb2p-18, 0x1.6f532e6f9c926p-18, 0x1.6ef680efed32bp-18, 0x1.6e8e69a74870cp-18, 0x1.6e1b15e5959b4p-18, 0x1.6d9cb2c919f1dp-18, 0x1.6d136d3d043fdp-18, 0x1.6c7f71f797e94p-18, 0x1.6be0ed78acb4bp-18, 0x1.6b380c083cb49p-18, 0x1.6a84f9b50cb56p-18, 0x1.69c7e25305b1dp-18, 0x1.6900f179f576ep-18, 0x1.683052845e8e8p-18, 0x1.6756308e218b1p-18, 0x1.6672b6731e8a1p-18, 0x1.65860ece0723dp-18, 0x1.649063f755d29p-18, 0x1.6391e0041581bp-18, 0x1.628aacc4ee498p-18, 0x1.617af3c51db3fp-18, 0x1.6062de495cd93p-18, 0x1.5f42954ee06c7p-18, 0x1.5e1a418a7911dp-18, 0x1.5cea0b67e0a9dp-18, 0x1.5bb21b08ac3f4p-18, 0x1.5a7298437d143p-18, 0x1.592baaa358047p-18, 0x1.57dd7966ec30cp-18, 0x1.56882b7fbdfdfp-18, 0x1.552be79181598p-18, 0x1.53c8d3f16ac53p-18, 0x1.525f16a5acc4fp-18, 0x1.50eed564eb376p-18, 0x1.4f783595a16b6p-18, 0x1.4dfb5c4d724dcp-18, 0x1.4c786e50e900ap-18, 0x1.4aef9012e1d29p-18, 0x1.4960e5b437cfdp-18, 0x1.47cc93032f749p-18, 0x1.4632bb7b40332p-18, 0x1.44938244b351dp-18, 0x1.42ef0a34581cfp-18, 0x1.414575cb3ab1p-18, 0x1.3f96e736289dcp-18, 0x1.3de3804db6164p-18, 0x1.3c2b6295c8582p-18, 0x1.3a6eaf3d99fe1p-18, 0x1.38ad871f92ef9p-18, 0x1.36e80ac0f91d7p-18, 0x1.351e5a51c4fc2p-18, 0x1.335095acbeap-18, 0x1.317edc5751a4p-18, 0x1.2fa94d8143aa2p-18, 0x1.2dd00804eb689p-18, 0x1.2bf32a6746917p-18, 0x1.2a12d2d7cf2a9p-18, 0x1.282f1f307f4cap-18, 0x1.26482cf5c1dc3p-18, 0x1.245e1956b23dp-18, 0x1.2271012cf927dp-18, 0x1.208100fd0d3aap-18, 0x1.1e8e34f6733f4p-18, 0x1.1c98b8f3a0c5p-18, 0x1.1aa0a87a07a82p-18, 0x1.18a61eba749c1p-18, 0x1.16a936914c465p-18, 0x1.14aa0a86942d8p-18, 0x1.12a8b4ce1472ep-18, 0x1.10a54f479bd7bp-18, 0x1.0e9ff37f970fbp-18, 0x1.0c98baaf0053p-18, 0x1.0a8fbdbb8c55p-18, 0x1.088515381cb1ap-18, 0x1.0678d964e035cp-18, 0x1.046b222fac39p-18, 0x1.025c07347fc2dp-18, 0x1.004b9fbda2ab6p-18, 0x1.fc7405881903bp-19, 0x1.f84e8ddf6b145p-19, 0x1.f427052fb0e94p-19, 0x1.effd97870feadp-19, 0x1.ebd27053d7beap-19, 0x1.e7a5ba6541a9ep-19, 0x1.e3779fec75215p-19, 0x1.df484a7d29317p-19, 0x1.db17e30e8550bp-19, 0x1.d6e691fbfd947p-19, 0x1.d2b47f0674133p-19, 0x1.ce81d1547fcc7p-19, 0x1.ca4eaf73676afp-19, 0x1.c61b3f584e2e7p-19, 0x1.c1e7a661790bbp-19, 0x1.bdb40956c7ba6p-19, 0x1.b9808c6a87b1dp-19, 0x1.b54d533ad0eadp-19, 0x1.b11a80d20b9cep-19, 0x1.ace837a859af3p-19, 0x1.a8b699a414f73p-19, 0x1.a485c81baf69dp-19, 0x1.a055e3d5e7909p-19, 0x1.9c270d0b1dcd6p-19, 0x1.97f963663caaep-19, 0x1.93cd0606701ffp-19, 0x1.8fa2137f48b94p-19, 0x1.8b78a9da1fda8p-19, 0x1.8750e69704ab1p-19, 0x1.832ae6ae15629p-19, 0x1.7f06c690d929dp-19, 0x1.7ae4a22aca73fp-19, 0x1.76c494e282c16p-19, 0x1.72a6b99b110a4p-19, 0x1.6e8b2ab50cb7cp-19, 0x1.6a72020f93dbbp-19, 0x1.665b59097941bp-19, 0x1.6247488256d42p-19, 0x1.5e35e8dba49dfp-19, 0x1.5a2751fa13d25p-19, 0x1.561b9b46ef97dp-19, 0x1.5212dbb086865p-19, 0x1.4e0d29aba15a5p-19, 0x1.4a0a9b34be47cp-19, 0x1.460b45d12b714p-19, 0x1.420f3e900d323p-19, 0x1.3e169a0b7a50dp-19, 0x1.3a216c6a2b2f9p-19, 0x1.362fc96023db3p-19, 0x1.3241c42fbef1ap-19, 0x1.2e576fab3103ap-19, 0x1.2a70de355ddf6p-19, 0x1.268e21c33303fp-19, 0x1.22af4bdcb7b8cp-19, 0x1.1ed46d9e486p-19, 0x1.1afd97b98eeb9p-19, 0x1.172ada7719d7bp-19, }}, 
      {{0x1.adf84a6e4724fp-13, 0x1.a426f6e94a671p-11, 0x1.c8225194fbb8p-10, 0x1.8374864df4195p-9, 0x1.1f2ba7831cf4p-8, 0x1.865a74f455ce5p-8, 0x1.f407a7d7127fbp-8, 0x1.32ec48d043a11p-7, 0x1.6d28ae5039ad8p-7, 0x1.a85c37078f36fp-7, 0x1.e4778254f7d6ap-7, 0x1.10d1e2af07b6cp-6, 0x1.3017a77677922p-6, 0x1.503e535ed8e07p-6, 0x1.717a5ee7719c1p-6, 0x1.93fe18cb20237p-6, 0x1.b7f5b4226399bp-6, 0x1.dd84988ab8cdp-6, 0x1.0261e286f9895p-5, 0x1.16e08b2f7b07fp-5, 0x1.2c3fa1a0ca58p-5, 0x1.427b32be3fbd8p-5, 0x1.598a74f988c4ep-5, 0x1.716063928735ep-5, 0x1.89ec6f0c4a464p-5, 0x1.a31b3737e605dp-5, 0x1.bcd7457b94108p-5, 0x1.d709c01993055p-5, 0x1.f19b11220daa9p-5, 0x1.0639beb36b94fp-4, 0x1.13bdd4998e5f4p-4, 0x1.214e84da4f0c7p-4, 0x1.2ee1217947e64p-4, 0x1.3c6bb972790d3p-4, 0x1.49e5356221f18p-4, 0x1.57456c0213087p-4, 0x1.64852f516d0cfp-4, 0x1.719e53491b261p-4, 0x1.7e8baf019bc92p-4, 0x1.8b4919289a6ddp-4, 0x1.97d36098d2ba7p-4, 0x1.a42841d6b6558p-4, 0x1.b0465a220815cp-4, 0x1.bc2d18b918751p-4, 0x1.c7dcaed6f7806p-4, 0x1.d355fee2c3ebcp-4, 0x1.de9a8b348455bp-4, 0x1.e9ac64c354e1p-4, 0x1.f48e1a01dee78p-4, 0x1.ff42a6207708fp-4, 0x1.04e6b070649e7p-3, 0x1.0a18f78e3c59ep-3, 0x1.0f3a1a0bd1de3p-3, 0x1.144c21d840615p-3, 0x1.19512abbb047fp-3, 0x1.1e4b5c5a78534p-3, 0x1.233ce4b04eff6p-3, 0x1.2827f302b1ec8p-3, 0x1.2d0eb3485e73dp-3, 0x1.31f34a029fb0dp-3, 0x1.36d7d08471412p-3, 0x1.3bbe51a2d6c5ap-3, 0x1.40a8c6c95f853p-3, 0x1.4599156d8ffd2p-3, 0x1.4a910cdbae7b1p-3, 0x1.4f9264577d0c9p-3, 0x1.549eb98b4a86fp-3, 0x1.59b78f3ffcb32p-3, 0x1.5ede4c58aea16p-3, 0x1.64143b0cbe5ecp-3, 0x1.695a885b4bf91p-3, 0x1.6eb243b351929p-3, 0x1.741c5ecbc6279p-3, 0x1.7999ada7619bap-3, 0x1.7f2ae6bfdf01dp-3, 0x1.84d0a354c369ep-3, 0x1.8a8b5fd9f79ecp-3, 0x1.905b7c82b564dp-3, 0x1.96413de57683ep-3, 0x1.9c3ccdb5d41f7p-3, 0x1.a24e3b917d2b1p-3, 0x1.a8757ddd81a71p-3, 0x1.aeb272b18766bp-3, 0x1.b504e0ce89729p-3, 0x1.bb6c789f07b3ap-3, 0x1.c1e8d53e9e2ddp-3, 0x1.c8797d87416cdp-3, 0x1.cf1de5226cbbap-3, 0x1.d5d56d9cb7353p-3, 0x1.dc9f677a7278fp-3, 0x1.e37b134c0f51cp-3, 0x1.ea67a2c11b7b6p-3, 0x1.f16439b8dc13ep-3, 0x1.f86fef4f8a087p-3, 0x1.ff89cee77522fp-3, 0x1.03586c969cdd6p-2, 0x1.06f2028b3cd4ep-2, 0x1.0a91206d3e69dp-2, 0x1.0e3539722616dp-2, 0x1.11ddbd5ee8b4ap-2, 0x1.158a18f9d6ebfp-2, 0x1.1939b678bf53dp-2, 0x1.1cebfdeb271fcp-2, 0x1.20a055a08bbcfp-2, 0x1.2456228a93dbp-2, 0x1.280cc89b2d3d5p-2, 0x1.2bc3ab1e8d37bp-2, 0x1.2f7a2d11175a5p-2, 0x1.332fb1712abe3p-2, 0x1.36e39b8cdebddp-2, 0x1.3a954f4bb8c67p-2, 0x1.3e4431746c69dp-2, 0x1.41efa7eeaeec6p-2, 0x1.45971a0139943p-2, 0x1.4939f08c077a6p-2, 0x1.4cd7963eeb044p-2, 0x1.506f77cc8f3f6p-2, 0x1.54010419fdc24p-2, 0x1.578bac6ac8baep-2, 0x1.5b0ee489ea536p-2, 0x1.5e8a22ef7e5d9p-2, 0x1.61fce0e36b62p-2, 0x1.65669a9d1b9e4p-2, 0x1.68c6cf605db1dp-2, 0x1.6c1d01978d15ap-2, 0x1.6f68b6eb1fd49p-2, 0x1.72a97856adc14p-2, 0x1.75ded23b9457p-2, 0x1.79085471544e7p-2, 0x1.7c259253b6f76p-2, 0x1.7f3622cee7539p-2, 0x1.8239a0698ad1ep-2, 0x1.852fa94cfa365p-2, 0x1.8817df4bafcap-2, 0x1.8af1e7e605a89p-2, 0x1.8dbd6c4d59459p-2, 0x1.907a1965ab0a7p-2, 0x1.93279fc5d31dp-2, 0x1.95c5b3b659d34p-2, 0x1.98540d2f0dc64p-2, 0x1.9ad267d36c306p-2, 0x1.9d4082ede696p-2, 0x1.9f9e216a224ddp-2, 0x1.a1eb09ce3a455p-2, 0x1.a42706331cf38p-2, 0x1.a651e43c098e1p-2, 0x1.a86b750d4c9bep-2, 0x1.aa738d423b04ap-2, 0x1.ac6a04e282eb6p-2, 0x1.ae4eb756dd53bp-2, 0x1.b021835d2ce26p-2, 0x1.b1e24afc15277p-2, 0x1.b390f37618155p-2, 0x1.b52d653c42e13p-2, 0x1.b6b78be0762b6p-2, 0x1.b82f5607507b3p-2, 0x1.b994b559c91efp-2, 0x1.bae79e767fd7bp-2, 0x1.bc2808e2cc4eap-2, 0x1.bd55eefb94ceap-2, 0x1.be714de5f2697p-2, 0x1.bf7a257fab554p-2, 0x1.c070784f8bdd5p-2, 0x1.c1544b759de5ap-2, 0x1.c225a69b4bc31p-2, 0x1.c2e493e3725ccp-2, 0x1.c3911fda63e96p-2, 0x1.c42b5965e5d57p-2, 0x1.c4b351b52b24ep-2, 0x1.c5291c30cf45bp-2, 0x1.c58cce6ad93d4p-2, 0x1.c5de800ec56fp-2, 0x1.c61e4ad19fa83p-2, 0x1.c64c4a622d726p-2, 0x1.c6689c59283a9p-2, 0x1.c6736029940ecp-2, 0x1.c66cb7112d3a8p-2, 0x1.c654c408f0467p-2, 0x1.c62babb5c597bp-2, 0x1.c5f1945948c5p-2, 0x1.c5a6a5c2b54dp-2, 0x1.c54b093ff83f2p-2, 0x1.c4dee98ee978bp-2, 0x1.c46272ceaa44ap-2, 0x1.c3d5d27130671p-2, 0x1.c339372cfcb27p-2, 0x1.c28cd0eefd986p-2, 0x1.c1d0d0cc9e96bp-2, 0x1.c10568f607238p-2, 0x1.c02acca88d7fcp-2, 0x1.bf41302153515p-2, 0x1.be48c8901a18p-2, 0x1.bd41cc0a48745p-2, 0x1.bc2c717e20b01p-2, 0x1.bb08f0a62eb17p-2, 0x1.b9d781fce7302p-2, 0x1.b8985eb07ec57p-2, 0x1.b74bc096f5527p-2, 0x1.b5f1e222546aap-2, 0x1.b48afe5528addp-2, 0x1.b31750b72f077p-2, 0x1.b197154a3795ep-2, 0x1.b00a887f429fap-2, 0x1.ae71e72bd0fddp-2, 0x1.accd6e7f6cd1bp-2, 0x1.ab1d5bf96b674p-2, 0x1.a961ed5ee21cp-2, 0x1.a79b60b0d7166p-2, 0x1.a5c9f422a5011p-2, 0x1.a3ede61099455p-2, 0x1.a20774f6c5b9bp-2, 0x1.a016df680beeep-2, 0x1.9e1c64055d428p-2, 0x1.9c18417531ec3p-2, 0x1.9a0ab65b37044p-2, 0x1.97f4015031c1dp-2, 0x1.95d460da170eep-2, 0x1.93ac13645b686p-2, 0x1.917b57387551bp-2, 0x1.8f426a7695e0bp-2, 0x1.8d018b0e93de1p-2, 0x1.8ab8f6b90d6e9p-2, 0x1.8868eaf0bc4fbp-2, 0x1.8611a4ebfae6ap-2, 0x1.83b3619680b91p-2, 0x1.814e5d8b4df5p-2, 0x1.7ee2d50ec7ca8p-2, 0x1.7c7104090addbp-2, 0x1.79f9260068d2bp-2, 0x1.777b76141b10dp-2, 0x1.74f82ef722d2bp-2, 0x1.726f8aeb58b6p-2, 0x1.6fe1c3bcad1cfp-2, 0x1.6d4f12bc93384p-2, 0x1.6ab7b0bd9ea62p-2, 0x1.681bd60f4915ep-2, 0x1.657bba79e7dc7p-2, 0x1.62d7953acd12fp-2, 0x1.602f9d00920d2p-2, 0x1.5d8407e7906dfp-2, 0x1.5ad50b7681f07p-2, 0x1.5822dc9b49f82p-2, 0x1.556dafa7eaac7p-2, 0x1.52b5b84fa0c78p-2, 0x1.4ffb29a424c7bp-2, 0x1.4d3e3613188bep-2, 0x1.4a7f0f63950bfp-2, 0x1.47bde6b3e2b94p-2, 0x1.44faec77550f5p-2, 0x1.4236507449c3bp-2, 0x1.3f7041c24c068p-2, 0x1.3ca8eec85d95bp-2, 0x1.39e0853b5d477p-2, 0x1.3717321c92f79p-2, 0x1.344d21b85b8edp-2, 0x1.31827fa4f4b5ep-2, 0x1.2eb776c16983bp-2, 0x1.2bec31349d144p-2, 0x1.2920d86c74596p-2, 0x1.2655951d1c81ep-2, 0x1.238a8f406fb8fp-2, 0x1.20bfee1574ba1p-2, 0x1.1df5d81ffb6bcp-2, 0x1.1b2c732853dd8p-2, 0x1.1863e43b2019ep-2, 0x1.159c4fa93db85p-2, 0x1.12d5d907cb95p-2, 0x1.1010a33044342p-2, 0x1.0d4cd040b52c3p-2, 0x1.0a8a819c06d66p-2, 0x1.07c9d7ea5e61ep-2, 0x1.050af31997a77p-2, 0x1.024df25dce617p-2, 0x1.ff25e86401cc4p-3, 0x1.f9b42cb1864fep-3, 0x1.f446ebba0f658p-3, 0x1.eede5e25f7269p-3, 0x1.e97abb31ddfdfp-3, 0x1.e41c38b0ad3a3p-3, 0x1.dec30b0db16p-3, 0x1.d96f654ed88c8p-3, 0x1.d42179170fa12p-3, 0x1.ced976a8bc767p-3, 0x1.c9978ce853538p-3, 0x1.c45be95f0f942p-3, 0x1.bf26b83dbec8bp-3, 0x1.b9f8245fa719bp-3, 0x1.b4d0574d8ab2ap-3, 0x1.afaf7940bda5dp-3, 0x1.aa95b12651cd2p-3, 0x1.a58324a25fb29p-3, 0x1.a077f81356815p-3, 0x1.9b744e956c834p-3, 0x1.96784a061b0d1p-3, 0x1.91840b07aa407p-3, 0x1.8c97b104cf463p-3, 0x1.87b35a345ec42p-3, 0x1.82d7239d057afp-3, 0x1.7e0329190fd84p-3, 0x1.7937855a49482p-3, 0x1.747451edd2bbbp-3, 0x1.6fb9a74019ba3p-3, 0x1.6b079ca0cb0d4p-3, 0x1.665e4846d541dp-3, 0x1.61bdbf546eadap-3, 0x1.5d2615db29886p-3, 0x1.58975ee008e5p-3, 0x1.5411ac5fa11b2p-3, 0x1.4f950f5238304p-3, 0x1.4b2197aff0ceep-3, 0x1.46b75474f1b96p-3, 0x1.425653a59b4fp-3, 0x1.3dfea252b4464p-3, 0x1.39b04c9d9d6f4p-3, 0x1.356b5dbc8e435p-3, 0x1.312fdffebfdbcp-3, 0x1.2cfddcd0ad05cp-3, 0x1.28d55cc04280ep-3, 0x1.24b667811646bp-3, 0x1.20a103f09a6cdp-3, 0x1.1c95381a4d632p-3, 0x1.1893093bebf4fp-3, 0x1.149a7bc9999c6p-3, 0x1.10ab93720b79dp-3, 0x1.0cc65322a99e4p-3, 0x1.08eabd0bb3da6p-3, 0x1.0518d2a4595bfp-3, 0x1.015094aeccc64p-3, 0x1.fb240678b41acp-4, 0x1.f3ba3b62d7352p-4, 0x1.ec63c5931d1f7p-4, 0x1.e520a136e549cp-4, 0x1.ddf0c939bb6a6p-4, 0x1.d6d4374d2ec28p-4, 0x1.cfcae3f0ab257p-4, 0x1.c8d4c6792d0dep-4, 0x1.c1f1d518ece8p-4, 0x1.bb2204e7018efp-4, 0x1.b46549e6e15e3p-4, 0x1.adbb970fdc392p-4, 0x1.a724de5480766p-4, 0x1.a0a110a9eaaebp-4, 0x1.9a301e0f02322p-4, 0x1.93d1f5939dea4p-4, 0x1.8d86855fa25fep-4, 0x1.874dbab9fa754p-4, 0x1.8127820f80782p-4, 0x1.7b13c6f9dab61p-4, 0x1.751274463487cp-4, 0x1.6f2373fbe83adp-4, 0x1.6946af631818bp-4, 0x1.637c0f0b235cap-4, 0x1.5dc37ad112b83p-4, 0x1.581cd9e5e3113p-4, 0x1.528812d4c0c38p-4, 0x1.4d050b8927cc8p-4, 0x1.4793a954ed9dfp-4, 0x1.4233d0f631425p-4, 0x1.3ce5669d3aca5p-4, 0x1.37a84df23a5bbp-4, 0x1.327c6a1af5d63p-4, 0x1.2d619dc05bb9dp-4, 0x1.2857cb13ff89dp-4, 0x1.235ed3d57e14dp-4, 0x1.1e769957cab17p-4, 0x1.199efc866190cp-4, 0x1.14d7ddea67f1bp-4, 0x1.10211dafae3f2p-4, 0x1.0b7a9ba99fb5fp-4, 0x1.06e43758163e7p-4, 0x1.025dcfec1a927p-4, 0x1.fbce8899123cep-5, 0x1.f300e63543e73p-5, 0x1.ea52756d035c4p-5, 0x1.e1c2f286ff95cp-5, 0x1.d9521958f725bp-5, 0x1.d0ffa5501479fp-5, 0x1.c8cb51792dfabp-5, 0x1.c0b4d888cddcdp-5, 0x1.b8bbf4e30bdd7p-5, 0x1.b0e060a342bf6p-5, 0x1.a921d5a38d23ap-5, 0x1.a1800d842695dp-5, 0x1.99fac1b290c85p-5, 0x1.9291ab7095a1ap-5, 0x1.8b4483db1f6abp-5, 0x1.841303f0e17dfp-5, 0x1.7cfce498da9bdp-5, 0x1.7601dea8aaeb1p-5, 0x1.6f21aaeac6c95p-5, 0x1.685c0224725e4p-5, 0x1.61b09d1ba8c74p-5, 0x1.5b1f349cc9343p-5, 0x1.54a781802bbe4p-5, 0x1.4e493caf7d987p-5, 0x1.48041f2b0c02fp-5, 0x1.41d7e20ed47c4p-5, 0x1.3bc43e977db9cp-5, 0x1.35c8ee2727cfcp-5, 0x1.2fe5aa4a10049p-5, 0x1.2a1a2cbb230bep-5, 0x1.24662f6850a19p-5, 0x1.1ec96c76d43bfp-5, 0x1.19439e475547dp-5, 0x1.13d47f79da01ap-5, 0x1.0e7bcaf1a3c95p-5, 0x1.09393bd8ea09dp-5, 0x1.040c8da46e12cp-5, 0x1.fdeaf82df5127p-6, 0x1.f3e786896111ep-6, 0x1.ea0e3f2c95221p-6, 0x1.e05e9b986c8d3p-6, 0x1.d6d816031bb06p-6, 0x1.cd7a295df2ea1p-6, 0x1.c444515aeaa44p-6, 0x1.bb360a71f0be3p-6, 0x1.b24ed1e5f04c4p-6, 0x1.a98e25c9c43a9p-6, 0x1.a0f38504d362fp-6, 0x1.987e6f5788becp-6, 0x1.902e655f9bbf6p-6, 0x1.8802e89c1680ep-6, 0x1.7ffb7b713d069p-6, 0x1.7817a12c30356p-6, 0x1.7056de066e538p-6, 0x1.68b8b729289adp-6, 0x1.613cb2b0629c9p-6, 0x1.59e257ade1171p-6, 0x1.52a92e2bf7b86p-6, 0x1.4b90bf302b406p-6, 0x1.449894bda260bp-6, 0x1.3dc039d775898p-6, 0x1.37073a82d0f9ap-6, 0x1.306d23c8f66f7p-6, 0x1.29f183b90d97dp-6, 0x1.2393e969e2e5dp-6, 0x1.1d53e4fb67c9p-6, 0x1.173107983013dp-6, 0x1.112ae376a902fp-6, 0x1.0b410bda4cc04p-6, 0x1.05731514a558p-6, 0x1.ff81290c69e06p-7, 0x1.f452413e7e134p-7, 0x1.e958a1c0dd246p-7, 0x1.de937bb6cdb49p-7, 0x1.d40202666857fp-7, 0x1.c9a36b3933cdap-7, 0x1.bf76edbca94b5p-7, 0x1.b57bc3a269f7cp-7, 0x1.abb128c045f44p-7, 0x1.a2165b102b799p-7, 0x1.98aa9aafaf37p-7, 0x1.8f6d29dfaf6fap-7, 0x1.865d4d0382476p-7, 0x1.7d7a4aa02deap-7, 0x1.74c36b5b58ebbp-7, 0x1.6c37f9fa1bb31p-7, 0x1.63d7435fabe36p-7, 0x1.5ba0968bdd8e6p-7, 0x1.53934499775ccp-7, 0x1.4baea0bc827d7p-7, 0x1.43f200404fb65p-7, 0x1.3c5cba8573726p-7, 0x1.34ee28ff94eafp-7, 0x1.2da5a7333353p-7, 0x1.268292b33713dp-7, 0x1.1f844b1e6d80dp-7, 0x1.18aa321cf1682p-7, 0x1.11f3ab5d64c53p-7, 0x1.0b601c9234294p-7, 0x1.04eeed6e99f71p-7, 0x1.fd3f0f473b12ep-8, 0x1.f0e2adba0beeep-8, 0x1.e4c7917c5f6d5p-8, 0x1.d8ec99bd54bb8p-8, 0x1.cd50a98e4b8f6p-8, 0x1.c1f2a7db6ca81p-8, 0x1.b6d17f654af03p-8, 0x1.abec1eb988fcep-8, 0x1.a141782ba48c1p-8, 0x1.96d081cdc0e33p-8, 0x1.8c98356926ddfp-8, 0x1.82979076dd32dp-8, 0x1.78cd9417cf47ap-8, 0x1.6f39450d4cb0cp-8, 0x1.65d9abb119816p-8, 0x1.5cadd3eda8d45p-8, 0x1.53b4cd35fb925p-8, 0x1.4aedaa7dc5968p-8, 0x1.42578231298d9p-8, 0x1.39f16e2cc3146p-8, 0x1.31ba8bb54792p-8, 0x1.29b1fb6f4f08dp-8, 0x1.21d6e1570b2d1p-8, 0x1.1a2864b8014bp-8, 0x1.12a5b02473655p-8, 0x1.0b4df16d1d342p-8, 0x1.04205998d61ecp-8, 0x1.fa3839b7de2f5p-9, 0x1.ec80e51f85248p-9, 0x1.df192a5471dd4p-9, 0x1.d1ff846ac373p-9, 0x1.c532748d5a711p-9, 0x1.b8b081ed68c7dp-9, 0x1.ac7839b0cc2p-9, 0x1.a0882ee16c439p-9, 0x1.94defa5c15cbfp-9, 0x1.897b3abf4fbe7p-9, 0x1.7e5b945a95edep-9, 0x1.737eb11d31682p-9, 0x1.68e340855e932p-9, 0x1.5e87f78f5e765p-9, 0x1.546b90a48ad3fp-9, 0x1.4a8ccb8ab371cp-9, 0x1.40ea6d534b87fp-9, 0x1.3783404a80ab2p-9, 0x1.2e5613e6fa093p-9, 0x1.2561bcb8fa95ap-9, 0x1.1ca5145a06f14p-9, 0x1.141ef95c63592p-9, 0x1.0bce4f3acd427p-9, 0x1.03b1fe4853ebfp-9, 0x1.f791e73fce61fp-10, 0x1.e824422905b86p-10, 0x1.d918fa41f48d3p-10, 0x1.ca6e05b0b90c3p-10, 0x1.bc2163ab969dcp-10, 0x1.ae311c5a8e8e5p-10, 0x1.a09b40b728d6ep-10, 0x1.935dea6e2228ap-10, 0x1.86773bc05bb23p-10, 0x1.79e55f649e8f6p-10, 0x1.6da6886941f37p-10, 0x1.61b8f215be2f8p-10, 0x1.561adfcd59327p-10, 0x1.4aca9cf14acc7p-10, 0x1.3fc67cc3626ep-10, 0x1.350cda48ef53bp-10, 0x1.2a9c182e236b6p-10, 0x1.2072a0a90d83fp-10, 0x1.168ee55da1b46p-10, 0x1.0cef5f4165701p-10, 0x1.03928e7fc0a91p-10, 0x1.f4edf4bc18983p-11, 0x1.e3366241f00a6p-11, 0x1.d1fb8fe18e764p-11, 0x1.c13ab57e19057p-11, 0x1.b0f11857873bap-11, 0x1.a11c0ad675bcbp-11, 0x1.91b8ec58ae57ep-11, 0x1.82c528fc845c2p-11, 0x1.743e396f4cef3p-11, 0x1.6621a2ba008acp-11, 0x1.586cf61060b74p-11, 0x1.4b1dd09e92223p-11, 0x1.3e31db59f3d18p-11, 0x1.31a6cacef473p-11, 0x1.257a5ef37ca22p-11, 0x1.19aa62f67e04dp-11, 0x1.0e34ad123fd85p-11, 0x1.03171e5dd5cb5p-11, 0x1.f09f453fc66bep-12, 0x1.dbb86043969d7p-12, 0x1.c7758f06ab941p-12, 0x1.b3d2e71d690eap-12, 0x1.a0cc921b7cd4dp-12, 0x1.8e5ecd3c985b8p-12, 0x1.7c85e912384b5p-12, 0x1.6b3e492dfaacep-12, 0x1.5a8463d219bcep-12, 0x1.4a54c19d7e265p-12, 0x1.3aabfd3d0bb4bp-12, 0x1.2b86c31cc5f15p-12, 0x1.1ce1d118f3672p-12, 0x1.0eb9f6311c7a5p-12, 0x1.010c123cb6feap-12, 0x1.e7aa2b3f4d22bp-13, 0x1.ce240200fa1e4p-13, 0x1.b57fc9feea12ep-13, 0x1.9db7c3db94b7cp-13, 0x1.86c64f1126d8fp-13, 0x1.70a5e961bb529p-13, 0x1.5b512e4f768efp-13, 0x1.46c2d6941bd08p-13, 0x1.32f5b79bf4c29p-13, 0x1.1fe4c2feebdf6p-13, 0x1.0d8b0600ed867p-13, 0x1.f7c752241d0cfp-14, 0x1.d5d3de98136c7p-14, 0x1.b5326bf5308aep-14, 0x1.95d9e83aa25c4p-14, 0x1.77c173e1e7458p-14, 0x1.5ae060e9d5aaap-14, 0x1.3f2e31f5c930bp-14, 0x1.24a2995d76b2bp-14, 0x1.0b35784dac232p-14, 0x1.e5bdbbd1fbbd1p-15, 0x1.b72e0ccea8412p-15, 0x1.8aacb47e0ced1p-15, 0x1.602adaa0e12b9p-15, 0x1.3799fc1f712abp-15, 0x1.10ebe96fcf0c2p-15, 0x1.d8258a0315dd9p-16, 0x1.9202033e8e312p-16, 0x1.4f52c1e38ec06p-16, 0x1.0ffde3ea8a863p-16, 0x1.a7d43dd33f1acp-17, 0x1.35fd7a7e21755p-17, 0x1.948e6c553990dp-18, 0x1.92091c9370f3bp-19, 0x1.2027070958ec7p-23, -0x1.57ab25a37fadfp-19, -0x1.55d7b4c131279p-18, -0x1.f55aff6f119a2p-18, -0x1.45599f68115e9p-17, -0x1.8b1921b548468p-17, -0x1.cc13f637d4ee2p-17, -0x1.04388c60b3114p-16, -0x1.202b4b396b965p-16, -0x1.39f4c92b284ffp-16, -0x1.51a72519a96eep-16, -0x1.67540d9ed524bp-16, -0x1.7b0cc3404ebaap-16, -0x1.8ce21ac41ea77p-16, -0x1.9ce47f54671b9p-16, -0x1.ab23f4b7af913p-16, -0x1.b7b0195f0e0edp-16, -0x1.c29828937b5a1p-16, -0x1.cbeafc6e7f59dp-16, -0x1.d3b70fee73d5dp-16, -0x1.da0a80e58c27cp-16, -0x1.def311fc79e4cp-16, -0x1.e27e2c87726f6p-16, -0x1.e4b8e273ab0fbp-16, -0x1.e5aff020fb8afp-16, -0x1.e56fbe1ea0581p-16, -0x1.e404630f9d188p-16, -0x1.e179a54f3ab6cp-16, -0x1.dddafcb55cac7p-16, -0x1.d933943facbap-16, -0x1.d38e4bbab8346p-16, -0x1.ccf5b95a50c7dp-16, -0x1.c5742b5eb052p-16, -0x1.bd13a992d050ap-16, -0x1.b3ddf6de12a08p-16, -0x1.a9dc92c57f1d8p-16, -0x1.9f18baddff26ep-16, -0x1.939b6c4b0227cp-16, -0x1.876d6519f17c1p-16, -0x1.7a9725b203dcfp-16, -0x1.6d20f22d958f3p-16, -0x1.5f12d3b68acb5p-16, -0x1.507499cd8034fp-16, -0x1.414ddb97df4afp-16, -0x1.31a5f9287da54p-16, -0x1.21841cb4f8938p-16, -0x1.10ef3bd07b1e9p-16, -0x1.ffdc314335465p-17, -0x1.dd0e8602926ccp-17, -0x1.b982335c36a3dp-17, -0x1.954396c8479fdp-17, -0x1.705eafe3a0f98p-17, -0x1.4adf22bb2adf2p-17, -0x1.24d039c1f3b67p-17, -0x1.fc79d003e9b4fp-18, -0x1.ae5f961ab98e1p-18, -0x1.5f665a29902bdp-18, -0x1.0fa20d8e92799p-18, -0x1.7e4c0505a3925p-19, -0x1.b813bfa4308a1p-20, -0x1.c50f4ef2b813ep-22, 0x1.af231af4976f2p-21, 0x1.11143cfef7268p-19, 0x1.b71f9e37d82e5p-19, 0x1.2ee591859ad3p-18, 0x1.827c0895cba5fp-18, 0x1.d6445a3b947ccp-18, 0x1.151816340d715p-17, 0x1.3f18d0fea5b17p-17, 0x1.691dabc9922c8p-17, 0x1.9320305bf087bp-17, 0x1.bd1a2268b699bp-17, 0x1.e7057e29307b3p-17, 0x1.086e3b8038381p-16, 0x1.1d4cbb014d646p-16, 0x1.321b8c5d9e9cep-16, 0x1.46d817e0a1f18p-16, 0x1.5b7fdec10936fp-16, 0x1.70107a78e16f3p-16, 0x1.84879c2c8913p-16, 0x1.98e30c09e80dp-16, 0x1.ad20a8b97277fp-16, 0x1.c13e66c30d482p-16, 0x1.d53a50010012cp-16, 0x1.e912830fe541cp-16, 0x1.fcc532c9a17f1p-16, 0x1.082852d9b8339p-15, 0x1.11d99ac3806c5p-15, 0x1.1b75a751a7506p-15, 0x1.24fbb7cb0706dp-15, 0x1.2e6b144eec601p-15, 0x1.37c30d97ced07p-15, 0x1.4102fcbef8031p-15, 0x1.4a2a4306e1ff1p-15, 0x1.5338499bc55fbp-15, 0x1.5c2c816227b0ep-15, 0x1.650662bc86949p-15, 0x1.6dc56d595fbc5p-15, 0x1.766927fbc4693p-15, 0x1.7ef1204d24722p-15, 0x1.875ceaa73aec2p-15, 0x1.8fac21e7612e5p-15, 0x1.97de673c0e9c2p-15, 0x1.9ff361f9232e2p-15, 0x1.a7eabf6a175a1p-15, 0x1.afc432a379a35p-15, 0x1.b77f745b817f1p-15, 0x1.bf1c42bddf027p-15, 0x1.c69a6141bec5cp-15, 0x1.cdf998840a9cp-15, 0x1.d539b61d4b3c6p-15, 0x1.dc5a8c7ddf93cp-15, 0x1.e35bf2c53a77cp-15, 0x1.ea3dc4a20335bp-15, 0x1.f0ffe2297bfc7p-15, 0x1.f7a22fb79f2cep-15, 0x1.fe2495cbb7f2ep-15, 0x1.0243807410983p-14, 0x1.0564b0b81d9a8p-14, 0x1.0875d5c52f416p-14, 0x1.0b76eb7fe2fb2p-14, 0x1.0e67ef8f4fe7ap-14, 0x1.1148e14ea6af5p-14, 0x1.1419c1be32482p-14, 0x1.16da9375833b4p-14, 0x1.198b5a960af66p-14, 0x1.1c2c1cbd7c63dp-14, 0x1.1ebce0f8a958ep-14, 0x1.213dafb6f83d7p-14, 0x1.23ae92bdf73ebp-14, 0x1.260f951d26cf3p-14, 0x1.2860c3228067fp-14, 0x1.2aa22a4e1f86fp-14, 0x1.2cd3d94857a28p-14, 0x1.2ef5dfd58eb29p-14, 0x1.31084ecc479c6p-14, 0x1.330b380a532fdp-14, 0x1.34feae6b246f4p-14, 0x1.36e2c5bd8650bp-14, 0x1.38b792ba19fefp-14, 0x1.3a7d2afa32f5dp-14, 0x1.3c33a4ee6ed81p-14, 0x1.3ddb17d5b4dap-14, 0x1.3f739bb50a1b1p-14, 0x1.40fd494e95bf9p-14, 0x1.42783a19cadb7p-14, 0x1.43e4883b1a632p-14, 0x1.45424e7c724b7p-14, 0x1.4691a8456feb9p-14, 0x1.47d2b194244a1p-14, 0x1.490586f5bfe9bp-14, 0x1.4a2a457f8b542p-14, 0x1.4b410ac86a2c5p-14, 0x1.4c49f4e1cb42p-14, 0x1.4d452251ae10ap-14, 0x1.4e32b20bd4ef7p-14, 0x1.4f12c36c1639ep-14, 0x1.4fe576302d064p-14, 0x1.50aaea7256257p-14, 0x1.516340a355cffp-14, 0x1.520e998506c67p-14, 0x1.52ad162563f1bp-14, 0x1.533ed7d90f67bp-14, 0x1.53c400365fd4p-14, 0x1.543cb110a670bp-14, 0x1.54a90c737ac38p-14, 0x1.5509349e01d95p-14, 0x1.555d4bfe8ab77p-14, 0x1.55a5752e526e9p-14, 0x1.55e1d2ed2f514p-14, 0x1.5612881dacc21p-14, 0x1.5637b7c0cf17dp-14, 0x1.565184f29f1c4p-14, 0x1.566012e63856bp-14, 0x1.566384e23c38dp-14, 0x1.565bfe3d683d7p-14, 0x1.5649a25b1abc8p-14, 0x1.562c94a81923ap-14, 0x1.5604f89752378p-14, 0x1.55d2f19f01f92p-14, 0x1.5596a3358504cp-14, 0x1.555030ce73ff4p-14, 0x1.54ffbdd7e3398p-14, 0x1.54a56db7e6f59p-14, 0x1.544163c99964bp-14, 0x1.53d3c35aebd8dp-14, 0x1.535cafa9fb1eep-14, 0x1.52dc4be2e1971p-14, 0x1.5252bb1d508e1p-14, 0x1.51c0205a67604p-14, 0x1.51249e828af98p-14, 0x1.50805863928a2p-14, 0x1.4fd370ae6bdcep-14, 0x1.4f1e09f599d53p-14, 0x1.4e6046ab11b27p-14, 0x1.4d9a491ea9e1dp-14, 0x1.4ccc337c5f60dp-14, 0x1.4bf627ca86973p-14, 0x1.4b1847e863695p-14, 0x1.4a32b58c9fc9p-14, 0x1.49459243e3c7ep-14, 0x1.4850ff6f45da3p-14, 0x1.47551e431c328p-14, 0x1.46520fc5a50acp-14, 0x1.4547f4cde1019p-14, 0x1.4436ee022c6fcp-14, 0x1.431f1bd749b0fp-14, 0x1.42009e8f5dbb3p-14, 0x1.40db9638b2b54p-14, 0x1.3fb022ace6745p-14, 0x1.3e7e638fdf834p-14, 0x1.3d46784f07e06p-14, 0x1.3c0880204a7bdp-14, 0x1.3ac49a015ff93p-14, 0x1.397ae4b707fcfp-14, 0x1.382b7ecc30d19p-14, 0x1.36d686916b413p-14, 0x1.357c1a1c4c3c7p-14, 0x1.341c574691fabp-14, 0x1.32b75badbc92dp-14, 0x1.314d44b2811c1p-14, 0x1.2fde2f783f25fp-14, 0x1.2e6a38e486c33p-14, 0x1.2cf17d9eaaa67p-14, 0x1.2b741a0f3b5e5p-14, 0x1.29f22a5fc19dfp-14, 0x1.286bca7a5e94ep-14, 0x1.26e1160961a69p-14, 0x1.255228771459fp-14, 0x1.23bf1ced61e6ap-14, 0x1.22280e55abca7p-14, 0x1.208d17588049dp-14, 0x1.1eee525d61b11p-14, 0x1.1d4bd98a9c2ccp-14, 0x1.1ba5c6c541492p-14, 0x1.19fc33b0c8a61p-14, 0x1.184f39af20b83p-14, 0x1.169ef1e08c8e5p-14, 0x1.14eb752389e0cp-14, 0x1.1334dc14ea1bep-14, 0x1.117b3f0fa751ap-14, 0x1.0fbeb62cca493p-14, 0x1.0dff594390533p-14, 0x1.0c3d3fe9895f6p-14, 0x1.0a78817272845p-14, 0x1.08b134f04e23p-14, 0x1.06e771339852dp-14, 0x1.051b4ccb4093ap-14, 0x1.034cde04bbff5p-14, 0x1.017c3aec487b9p-14, 0x1.ff52f299e66c2p-15, 0x1.fba95d617393dp-15, 0x1.f7fbe0c1a669fp-15, 0x1.f44aa6cb54288p-15, 0x1.f095d90e91cfep-15, 0x1.ecdda09ab9eacp-15, 0x1.e92225fee3172p-15, 0x1.e563914a442f2p-15, 0x1.e1a20a0d087eap-15, 0x1.ddddb7589a57dp-15, 0x1.da16bfbfd750ep-15, 0x1.d64d4957cd0eap-15, 0x1.d28179b85f5c3p-15, 0x1.ceb375fcab3f5p-15, 0x1.cae362c3a241p-15, 0x1.c7116430abd64p-15, 0x1.c33d9dec25a36p-15, 0x1.bf6833242b71ap-15, 0x1.bb91468d1ab08p-15, 0x1.b7b8fa62343a9p-15, 0x1.b3df70665aed7p-15, 0x1.b004c9e4972abp-15, 0x1.ac2927b0d5ccp-15, 0x1.a84caa28c38d6p-15, 0x1.a46f713436417p-15, 0x1.a0919c460559cp-15, 0x1.9cb34a5d12b6fp-15, 0x1.98d49a04981e8p-15, 0x1.94f5a954fc295p-15, 0x1.911695f4785b1p-15, 0x1.8d377d1840925p-15, 0x1.89587b8516638p-15, 0x1.8579ad8fbb4fbp-15, 0x1.819b2f1e408ddp-15, 0x1.7dbd1ba879f9ap-15, 0x1.79df8e38dc5fcp-15, 0x1.7602a16d48b18p-15, 0x1.72266f77dc43fp-15, 0x1.6e4b121fc72f2p-15, 0x1.6a70a2c21f12ap-15, }}, 
      {{0x1.9f1d3ee8238f8p-7, 0x1.a0f01845a0ac3p-6, 0x1.3a5b7f3fc4204p-5, 0x1.a5180d546a1b7p-5, 0x1.07f769cd9d29dp-4, 0x1.3cfe224ed6dbbp-4, 0x1.7134012a08064p-4, 0x1.a44076dcf5d2cp-4, 0x1.d5e483921b478p-4, 0x1.02fd8edc047eap-3, 0x1.1a3b26df96d41p-3, 0x1.30ad549b02488p-3, 0x1.465d26957facfp-3, 0x1.5b5805f8419d7p-3, 0x1.6fad9a24ad0d1p-3, 0x1.836e10e4b9d77p-3, 0x1.96a8d1098ccf7p-3, 0x1.a96b91f104377p-3, 0x1.bbc1cbf1de63fp-3, 0x1.cdb472a9668c4p-3, 0x1.df49e976a19dbp-3, 0x1.f086233b03223p-3, 0x1.00b5700ec861p-2, 0x1.08fbff0bad044p-2, 0x1.1115e998d70fbp-2, 0x1.1901c53331352p-2, 0x1.20bdbef25ff2cp-2, 0x1.2847c586cd354p-2, 0x1.2f9daee1a5eb1p-2, 0x1.36bd58d907411p-2, 0x1.3da4c4806b96dp-2, 0x1.44522c394b292p-2, 0x1.4ac414b60db81p-2, 0x1.50f9594df26f4p-2, 0x1.56f134171306cp-2, 0x1.5cab42477ce26p-2, 0x1.622785620742fp-2, 0x1.676661b15d4d6p-2, 0x1.6c689a8d87c5ap-2, 0x1.712f4cdf4d36ep-2, 0x1.75bbe84a3f9d5p-2, 0x1.7a10275b0ad8dp-2, 0x1.7e2e070c19c6ep-2, 0x1.8217bde773084p-2, 0x1.85cfb301fb5ep-2, 0x1.89587502640e4p-2, 0x1.8cb4b15ce0163p-2, 0x1.8fe72be48de47p-2, 0x1.92f2b6cc3b041p-2, 0x1.95da2b29a9899p-2, 0x1.98a06208fa6ebp-2, 0x1.9b482e191103ap-2, 0x1.9dd455f5b45c2p-2, 0x1.a0478f10cfe25p-2, 0x1.a2a479396918fp-2, 0x1.a4ed9abc97379p-2, 0x1.a7255d1b067b9p-2, 0x1.a94e0a4c24e3p-2, 0x1.ab69ca87152c1p-2, 0x1.ad7aa288c5a43p-2, 0x1.af82724e11921p-2, 0x1.b182f4389c9b9p-2, 0x1.b37dbc94f76d9p-2, 0x1.b5743978bec9bp-2, 0x1.b767b2ef967d2p-2, 0x1.b9594b6e2661ep-2, 0x1.bb4a0082ac9d2p-2, 0x1.bd3aabbb16db5p-2, 0x1.bf2c03b913671p-2, 0x1.c11e9d6d084e9p-2, 0x1.c312ed71574d4p-2, 0x1.c509497fe5716p-2, 0x1.c701e9fc4cba1p-2, 0x1.c8fceb8dab178p-2, 0x1.cafa50c37501ep-2, 0x1.ccfa03c1297b1p-2, 0x1.cefbd7ed36577p-2, 0x1.d0ff8b9fc5372p-2, 0x1.d304c9ce9013dp-2, 0x1.d50b2bb331971p-2, 0x1.d7123a69cd3c4p-2, 0x1.d919708624697p-2, 0x1.db203b9d8dffbp-2, 0x1.dd25fdc47aa77p-2, 0x1.df2a0efe759bep-2, 0x1.e12bbe9fc0573p-2, 0x1.e32a549fe897ap-2, 0x1.e52512dcd4ccap-2, 0x1.e71b364df913fp-2, 0x1.e90bf8277d5bdp-2, 0x1.eaf68eed4bdfp-2, 0x1.ecda2f760bef5p-2, 0x1.eeb60dde2e00fp-2, 0x1.f0895e6b3f0e8p-2, 0x1.f253565fcfdd1p-2, 0x1.f4132cc041ecep-2, 0x1.f5c81b08dfb0fp-2, 0x1.f7715dd5b2d4ep-2, 0x1.f90e357c87d8dp-2, 0x1.fa9de699a0bfdp-2, 0x1.fc1fba8f973d8p-2, 0x1.fd92fffaf2c4ap-2, 0x1.fef70b19f748dp-2, 0x1.00259b149e41fp-1, 0x1.00c770dac6a55p-1, 0x1.0160ba71cd661p-1, 0x1.01f12ed70679cp-1, 0x1.0278888d3713p-1, 0x1.02f685b2bc40dp-1, 0x1.036ae813a212dp-1, 0x1.03d57537e7845p-1, 0x1.0435f66e2c5p-1, 0x1.048c38d303d2ap-1, 0x1.04d80d5523bfap-1, 0x1.051948b6a6495p-1, 0x1.054fc38b92c1p-1, 0x1.057b5a35dfb48p-1, 0x1.059becdf20025p-1, 0x1.05b15f70066f2p-1, 0x1.05bb9985ec614p-1, 0x1.05ba866687f44p-1, 0x1.05ae14f1f6ffcp-1, 0x1.0596379345553p-1, 0x1.0572e42f94e7p-1, 0x1.054414140552dp-1, 0x1.0509c3e281481p-1, 0x1.04c3f37d8aa67p-1, 0x1.0472a5f328497p-1, 0x1.0415e1670a65dp-1, 0x1.03adaefc05ccap-1, 0x1.033a1abcf96c9p-1, 0x1.02bb33853876bp-1, 0x1.02310ae88bd62p-1, 0x1.019bb51ae0c0bp-1, 0x1.00fb48d7b8d4p-1, 0x1.004fdf49687f9p-1, 0x1.ff3327e073737p-2, 0x1.fdb10912ff82p-2, 0x1.fc19a1ed5316p-2, 0x1.fa6d3648c3ac3p-2, 0x1.f8ac0de3933cdp-2, 0x1.f6d6742fa9c12p-2, 0x1.f4ecb821b5a3bp-2, 0x1.f2ef2c00b5bdbp-2, 0x1.f0de25360fa0cp-2, 0x1.eeb9fc1e35b1cp-2, 0x1.ec830bd9f625ep-2, 0x1.ea39b2207586p-2, 0x1.e7de4f11f06d4p-2, 0x1.e571450b3dea2p-2, 0x1.e2f2f87a2d55dp-2, 0x1.e063cfb2bd6f3p-2, 0x1.ddc432c53979fp-2, 0x1.db148b5544be4p-2, 0x1.d8554471d5488p-2, 0x1.d586ca6e2a3b5p-2, 0x1.d2a98abbbe939p-2, 0x1.cfbdf3c53a21bp-2, 0x1.ccc474ca69f4ap-2, 0x1.c9bd7dbd3d21bp-2, 0x1.c6a97f1fca4fbp-2, 0x1.c388e9e360a8dp-2, 0x1.c05c2f48a11f2p-2, 0x1.bd23c0c0a3f8fp-2, 0x1.b9e00fcf28722p-2, 0x1.b6918dedcf536p-2, 0x1.b338ac705cfb6p-2, 0x1.afd5dc6a042a7p-2, 0x1.ac698e93b67dcp-2, 0x1.a8f4333377f5fp-2, 0x1.a5763a04b3c6bp-2, 0x1.a1f012218fcc1p-2, 0x1.9e6229ed3ab03p-2, 0x1.9acceeff34506p-2, 0x1.9730ce0f87969p-2, 0x1.938e32e3f9bb7p-2, 0x1.8fe5883e20df9p-2, 0x1.8c3737ca6ac6p-2, 0x1.8883aa100219cp-2, 0x1.84cb46619a99p-2, 0x1.810e72cf13e05p-2, 0x1.7d4d9417f88d1p-2, 0x1.79890d9ecd676p-2, 0x1.75c1415d32552p-2, 0x1.71f68fd8c936dp-2, 0x1.6e295818e6322p-2, 0x1.6a59f79cfc39bp-2, 0x1.6688ca53c5d0bp-2, 0x1.62b62a932768p-2, 0x1.5ee27110bcd05p-2, 0x1.5b0df4db1a8ep-2, 0x1.57390b53afb42p-2, 0x1.536408294e6f2p-2, 0x1.4f8f3d5352029p-2, 0x1.4bbafb0d5ba19p-2, 0x1.47e78fd3a45ecp-2, 0x1.4415485fdd2b6p-2, 0x1.40446fa69c036p-2, 0x1.3c754ed547c35p-2, 0x1.38a82d508da77p-2, 0x1.34dd50b34ae62p-2, 0x1.3114fccdf16f9p-2, 0x1.2d4f73a66058bp-2, 0x1.298cf57827255p-2, 0x1.25cdc0b535b46p-2, 0x1.22121206f0726p-2, 0x1.1e5a244fa70ffp-2, 0x1.1aa630ac66b33p-2, 0x1.16f66e7723aecp-2, 0x1.134b13493cf0bp-2, 0x1.0fa452fe4b175p-2, 0x1.0c025fb73eafep-2, 0x1.086569ddc706ep-2, 0x1.04cda027fd942p-2, 0x1.013b2f9c5521fp-2, 0x1.fb5c872b89891p-3, 0x1.f44e0b905a9f2p-3, 0x1.ed4b3c89ef108p-3, 0x1.e65466ffc813bp-3, 0x1.df69d4a81d3e6p-3, 0x1.d88bcc1236c9p-3, 0x1.d1ba90b120a8cp-3, 0x1.caf662e6ab126p-3, 0x1.c43f800eb4df4p-3, 0x1.bd96228ab8cc9p-3, 0x1.b6fa81cd95a99p-3, 0x1.b06cd26790936p-3, 0x1.a9ed46128dba9p-3, 0x1.a37c0bbe7360ap-3, 0x1.9d194f9db46bp-3, 0x1.96c53b32060ffp-3, 0x1.907ff55930c7bp-3, 0x1.8a49a259fba17p-3, 0x1.842263f13ac6dp-3, 0x1.7e0a595ede007p-3, 0x1.78019f7322689p-3, 0x1.7208509bc5e09p-3, 0x1.6c1e84f143529p-3, 0x1.6644524416dd3p-3, 0x1.6079cc2a03c1ap-3, 0x1.5abf040b55ec4p-3, 0x1.5514093020d96p-3, 0x1.4f78e8cd7af56p-3, 0x1.49edae12a5a2dp-3, 0x1.447262362ff96p-3, 0x1.3f070c8309b01p-3, 0x1.39abb26580091p-3, 0x1.346057782a08p-3, 0x1.2f24fd90bf8b8p-3, 0x1.29f9a4ccd521fp-3, 0x1.24de4b9e7e5c9p-3, 0x1.1fd2eed8d4dd6p-3, 0x1.1ad789bc65e38p-3, 0x1.15ec160374bd1p-3, 0x1.11108bee28fe4p-3, 0x1.0c44e24e94424p-3, 0x1.07890e94959ddp-3, 0x1.02dd04d9957dp-3, 0x1.fc816fd84027ap-4, 0x1.f36832b6ab2d3p-4, 0x1.ea6e33046235p-4, 0x1.e1934f255a50cp-4, 0x1.d8d76341654e8p-4, 0x1.d03a4959d1fbdp-4, 0x1.c7bbd95ea821fp-4, 0x1.bf5be9439010cp-4, 0x1.b71a4d1460717p-4, 0x1.aef6d709509e7p-4, 0x1.a6f1579ad84c9p-4, 0x1.9f099d9525a64p-4, 0x1.973f762b42d47p-4, 0x1.8f92ad09d8226p-4, 0x1.88030c6995fe2p-4, 0x1.80905d213c1acp-4, 0x1.793a66b747616p-4, 0x1.7200ef733de59p-4, 0x1.6ae3bc6ea14d8p-4, 0x1.63e291a580795p-4, 0x1.5cfd3206adaf3p-4, 0x1.56335f8394057p-4, 0x1.4f84db1fb39c2p-4, 0x1.48f164ffbed67p-4, 0x1.4278bc785d821p-4, 0x1.3c1aa01c8eb57p-4, 0x1.35d6cdcbb90dcp-4, 0x1.2fad02bf54893p-4, 0x1.299cfb984564ep-4, 0x1.23a6746bd746ap-4, 0x1.1dc928d062ba6p-4, 0x1.1804d3e998f78p-4, 0x1.125930747b345p-4, 0x1.0cc5f8d2fb996p-4, 0x1.074ae7174801p-4, 0x1.01e7b50ec3f71p-4, 0x1.f93838995748ap-5, 0x1.eecfac68d0e1p-5, 0x1.e495380726f91p-5, 0x1.da884db752f3cp-5, 0x1.d0a85f96da1c2p-5, 0x1.c6f4dfb0011cdp-5, 0x1.bd6d400b5f608p-5, 0x1.b410f2c0e014dp-5, 0x1.aadf6a082f66bp-5, 0x1.a1d8184892364p-5, 0x1.98fa702838cb7p-5, 0x1.9045e49af6baep-5, 0x1.87b9e8f0810e3p-5, 0x1.7f55f0e21959bp-5, 0x1.7719709fb6fep-5, 0x1.6f03dcdcafa2ep-5, 0x1.6714aadbe216fp-5, 0x1.5f4b507b5ce36p-5, 0x1.57a7443f8f02bp-5, 0x1.5027fd5e009bep-5, 0x1.48ccf3c795e04p-5, 0x1.4195a0325a484p-5, 0x1.3a817c22df184p-5, 0x1.339001f52cd31p-5, 0x1.2cc0ace547f41p-5, 0x1.2612f91747891p-5, 0x1.1f86639f0c183p-5, 0x1.191a6a878a81fp-5, 0x1.12ce8cd9c2ccp-5, 0x1.0ca24aa34168p-5, 0x1.069524fc59c1cp-5, 0x1.00a69e0df5d79p-5, 0x1.f5ac722e2c9d2p-6, 0x1.ea46f4e3f19c6p-6, 0x1.df1bcf31d3d5bp-6, 0x1.d42a0e5590807p-6, 0x1.c970c1de68511p-6, 0x1.beeefbb4e9b95p-6, 0x1.b4a3d0222e6b2p-6, 0x1.aa8e55d6661fcp-6, 0x1.a0ada5ef025edp-6, 0x1.9700dbfc3529ep-6, 0x1.8d871605f0feep-6, 0x1.843f74907a5fp-6, 0x1.7b291aa063738p-6, 0x1.72432dbe1ed8ep-6, 0x1.698cd5f91257cp-6, 0x1.61053dea44493p-6, 0x1.58ab92b6915a8p-6, 0x1.507f041071b9dp-6, 0x1.487ec4396b3a2p-6, 0x1.40aa080314fbfp-6, 0x1.390006cfb0d51p-6, 0x1.317ffa928346ap-6, 0x1.2a291fcfb04d7p-6, 0x1.22fab59be588fp-6, 0x1.1bf3fd9b98033p-6, 0x1.15143c01fdb72p-6, 0x1.0e5ab78fb846fp-6, 0x1.07c6b9913466ap-6, 0x1.01578ddccb5a2p-6, 0x1.f61905a130e8p-7, 0x1.e9c9d2a01a44fp-7, 0x1.ddc0298292588p-7, 0x1.d1fab6148627ap-7, 0x1.c678291b41ec6p-7, 0x1.bb37384edddd6p-7, 0x1.b0369e533625dp-7, 0x1.a5751ab070dd7p-7, 0x1.9af171cb4343ep-7, 0x1.90aa6cdcd1a7p-7, 0x1.869ed9ea2cc52p-7, 0x1.7ccd8bbb96e3cp-7, 0x1.733559d364f9cp-7, 0x1.69d52064abc6fp-7, 0x1.60abc049a95ep-7, 0x1.57b81ef9d6042p-7, 0x1.4ef9267fd7825p-7, 0x1.466dc56f26a36p-7, 0x1.3e14eed99476fp-7, 0x1.35ed9a447caf6p-7, 0x1.2df6c39dfd351p-7, 0x1.262f6b31c5286p-7, 0x1.1e96959df2863p-7, 0x1.172b4bc7babddp-7, 0x1.0fec9acfd7bedp-7, 0x1.08d99406fe08dp-7, 0x1.01f14ce21b472p-7, 0x1.f665bddd1c109p-8, 0x1.e93acf8c77eaep-8, 0x1.dc6012072e4e8p-8, 0x1.cfd3d06b2f076p-8, 0x1.c3945da728e3ap-8, 0x1.b7a0146267e34p-8, 0x1.abf556e444399p-8, 0x1.a0928efbd643fp-8, 0x1.95762de75e3a4p-8, 0x1.8a9eac3bca8c2p-8, 0x1.800a89cc272a9p-8, 0x1.75b84d911f64fp-8, 0x1.6ba6859055d56p-8, 0x1.61d3c6c3fa82p-8, 0x1.583ead0249591p-8, 0x1.4ee5dae51287bp-8, 0x1.45c7f9b170214p-8, 0x1.3ce3b93f5897bp-8, 0x1.3437cfe1909fep-8, 0x1.2bc2fa4d59874p-8, 0x1.2383fb828c30bp-8, 0x1.1b799cb3b067ap-8, 0x1.13a2ad2e150c6p-8, 0x1.0bfe02423cf8ap-8, 0x1.048a772c43738p-8, 0x1.fa8dd9f915572p-9, 0x1.ec649500f7dadp-9, 0x1.de96f856acf8ep-9, 0x1.d122e7fed6b57p-9, 0x1.c40652ee8907cp-9, 0x1.b73f32de34d13p-9, 0x1.aacb8c1cd781ap-9, 0x1.9ea96d639e23cp-9, 0x1.92d6efa9e1eb8p-9, 0x1.875235f96221p-9, 0x1.7c196d433f236p-9, 0x1.712acc34f7abcp-9, 0x1.6684930e07111p-9, 0x1.5c250b760fb8dp-9, 0x1.520a8853181bap-9, 0x1.483365a08c41ep-9, 0x1.3e9e08467e4cfp-9, 0x1.3548ddf1720ddp-9, 0x1.2c325cea84ed8p-9, 0x1.235903f02d451p-9, 0x1.1abb5a0f45252p-9, 0x1.1257ee7c9a884p-9, 0x1.0a2d586f10c35p-9, 0x1.023a36fa11566p-9, 0x1.f4fa61d0fc6ebp-10, 0x1.e5e9e93061b47p-10, 0x1.d7406fabb5394p-10, 0x1.c8fb6f72beb59p-10, 0x1.bb18710575013p-10, 0x1.ad950aee89dd3p-10, 0x1.a06ee17f1dda4p-10, 0x1.93a3a68b13p-10, 0x1.87311926c21c1p-10, 0x1.7b15056520a92p-10, 0x1.6f4d44174efedp-10, 0x1.63d7ba8cbfa1cp-10, 0x1.58b25a54702abp-10, 0x1.4ddb20ff14401p-10, 0x1.435017e20b386p-10, 0x1.390f53db73b75p-10, 0x1.2f16f5171416ap-10, 0x1.256526d4179ap-10, 0x1.1bf81f2bb0327p-10, 0x1.12ce1ed903449p-10, 0x1.09e571012f34ap-10, 0x1.013c6afd26558p-10, 0x1.f1a2d847715cp-11, 0x1.e145bb296b0f4p-11, 0x1.d15e640a2efa8p-11, 0x1.c1e9cb1764b5dp-11, 0x1.b2e4fade3f3d7p-11, 0x1.a44d0fe88952bp-11, 0x1.961f385b376c3p-11, 0x1.8858b3975f0a6p-11, 0x1.7af6d1dc0f006p-11, 0x1.6df6f3ea1928fp-11, 0x1.61568aa98578dp-11, 0x1.551316d0b5302p-11, 0x1.492a288ca238ep-11, 0x1.3d995f2b4228ep-11, 0x1.325e68c733d3dp-11, 0x1.277701f4bcd5dp-11, 0x1.1ce0f570ba1d4p-11, 0x1.129a1bd0bfff7p-11, 0x1.08a05b34a1772p-11, 0x1.fde34df3bf273p-12, 0x1.eb17fee02b9p-12, 0x1.d8dae31d2a321p-12, 0x1.c7282d59818f8p-12, 0x1.b5fc28734e9b2p-12, 0x1.a55336ee21823p-12, 0x1.9529d269108cdp-12, 0x1.857c8b1835989p-12, 0x1.764807417fa6ep-12, 0x1.678902bb12fe1p-12, 0x1.593c4e6cf45c6p-12, 0x1.4b5ecfd47befp-12, 0x1.3ded808ac6cc9p-12, 0x1.30e56dcde27e2p-12, 0x1.2443b80b94295p-12, 0x1.1805926e78f58p-12, 0x1.0c28426ec788ap-12, 0x1.00a91f6385424p-12, 0x1.eb0b242f802b5p-13, 0x1.d57628c07af83p-13, 0x1.c08e616a0daf9p-13, 0x1.ac4f03975ec6cp-13, 0x1.98b36469ead56p-13, 0x1.85b6f7f6a8e9cp-13, 0x1.73555088c61b9p-13, 0x1.618a1de7fd422p-13, 0x1.50512ca2ba8adp-13, 0x1.3fa6655c16a6p-13, 0x1.2f85cc1dc3a8cp-13, 0x1.1feb7fae28e33p-13, 0x1.10d3b8e8ea68dp-13, 0x1.023aca1d08be5p-13, 0x1.e83a3cd79f627p-14, 0x1.ccee725c92a3bp-14, 0x1.b28b6ab85675dp-14, 0x1.990a89ec43abdp-14, 0x1.806560e97aa9fp-14, 0x1.6895ac7259aadp-14, 0x1.519554044a15ap-14, 0x1.3b5e68c650dcep-14, 0x1.25eb247ef8d45p-14, 0x1.1135e88f87875p-14, 0x1.fa7279ec60a99p-15, 0x1.d3df9ea676da5p-15, 0x1.aea8e3ef3cb1ep-15, 0x1.8ac435ee80412p-15, 0x1.6827c67e0abc9p-15, 0x1.46ca0b6923288p-15, 0x1.26a1bcad0cdc7p-15, 0x1.07a5d2ca9ca45p-15, 0x1.d39b0a3de902dp-16, 0x1.9a20908b57d06p-16, 0x1.62cb990c97e6ap-16, 0x1.2d8bf89604113p-16, 0x1.f4a3ea7bd9fb7p-17, 0x1.921c86e484b92p-17, 0x1.3364062ec60fbp-17, 0x1.b0baf2f611be4p-18, 0x1.01d97b9bd6362p-18, 0x1.67b3b60f3c67dp-20, -0x1.1cffb58df9959p-20, -0x1.c3c1a52105c91p-19, -0x1.762810c3a5f97p-18, -0x1.022348d867859p-17, -0x1.4635f1b2dfba3p-17, -0x1.876320c5b0373p-17, -0x1.c5c14f1db7f14p-17, -0x1.00b32ab980ba4p-16, -0x1.1d33b8300f45ap-16, -0x1.386ca246c4d9fp-16, -0x1.5267f160c3d9ep-16, -0x1.6b2f65eaad0d9p-16, -0x1.82cc7a45ff4c4p-16, -0x1.994864acbd2aep-16, -0x1.aeac19052152cp-16, -0x1.c3004aac75083p-16, -0x1.d64d6e33fa006p-16, -0x1.e89bbb1154dcp-16, -0x1.f9f32d4c983p-16, -0x1.052dc38ae09fdp-15, -0x1.0cee292df7936p-15, -0x1.143e7128eeedbp-15, -0x1.1b222a77e4c51p-15, -0x1.219cca319297ap-15, -0x1.27b1ac3eecc97p-15, -0x1.2d641409fe9fp-15, -0x1.32b72d2a7811p-15, -0x1.37ae0c0d08b8ep-15, -0x1.3c4bae97418c1p-15, -0x1.4092fcc61ef0bp-15, -0x1.4486c9489be34p-15, -0x1.4829d21702537p-15, -0x1.4b7ec104b3356p-15, -0x1.4e882c502ac69p-15, -0x1.5148972d6463fp-15, -0x1.53c2724df6b57p-15, -0x1.55f81c646a1d1p-15, -0x1.57ebe2a49b9fbp-15, -0x1.59a00140ab4c5p-15, -0x1.5b16a3e333a45p-15, -0x1.5c51e624c1c34p-15, -0x1.5d53d3ffc135fp-15, -0x1.5e1e6a400699cp-15, -0x1.5eb396f01d609p-15, -0x1.5f1539c32e679p-15, -0x1.5f45247ca3362p-15, -0x1.5f451b545e757p-15, -0x1.5f16d558add1bp-15, -0x1.5ebbfccc8c43ep-15, -0x1.5e362f8540107p-15, -0x1.5d86ff433baf3p-15, -0x1.5caff20ab3665p-15, -0x1.5bb28277510eep-15, -0x1.5a90201076857p-15, -0x1.594a2f986c2fbp-15, -0x1.57e20b5ae45f1p-15, -0x1.56590379e1171p-15, -0x1.54b05e36b2bfp-15, -0x1.52e9583a522dfp-15, -0x1.510524db2bb48p-15, -0x1.4f04ee613d69cp-15, -0x1.4ce9d647acf24p-15, -0x1.4ab4f57dc146dp-15, -0x1.48675ca4dede5p-15, -0x1.4602144ced6f6p-15, -0x1.43861d2fedd01p-15, -0x1.40f4706ae516p-15, -0x1.3e4dffb56a3c2p-15, -0x1.3b93b5985352ap-15, -0x1.38c675a1dc53bp-15, -0x1.35e71c989599cp-15, -0x1.32f680adce1bap-15, -0x1.2ff571acc8ecbp-15, -0x1.2ce4b92a609fcp-15, -0x1.29c51ab281fbfp-15, -0x1.269753f3eb2d9p-15, -0x1.235c1ceb92b2p-15, -0x1.2014280e67a51p-15, -0x1.1cc02271844c8p-15, -0x1.1960b3f1d6a61p-15, -0x1.15f67f5a56956p-15, -0x1.1282228959165p-15, -0x1.0f0436944e1c6p-15, -0x1.0b7d4feaeeb16p-15, -0x1.07edfe79721ep-15, -0x1.0456cdc91f565p-15, -0x1.00b845215ab33p-15, -0x1.fa25cf4b99823p-16, -0x1.f2ce68ea5ab48p-16, -0x1.eb6b4d8d731e1p-16, -0x1.e3fd6c0c64457p-16, -0x1.dc85abe08b852p-16, -0x1.d504ed5a088c5p-16, -0x1.cd7c09d496e7ap-16, -0x1.c5ebd3e99a90cp-16, -0x1.be5517a22c7dep-16, -0x1.b6b89aa606a21p-16, -0x1.af171c6ab7fc2p-16, -0x1.a771566042702p-16, -0x1.9fc7fc1d7937ap-16, -0x1.981bbb89d332cp-16, -0x1.906d3d06ded48p-16, -0x1.88bd23988d2ddp-16, -0x1.810c0d0b34964p-16, -0x1.795a921ad28bp-16, -0x1.71a94696678f5p-16, -0x1.69f8b98424038p-16, -0x1.62497543cb6c5p-16, -0x1.5a9bffb01daeep-16, -0x1.52f0da3f42a8fp-16, -0x1.4b4882230e274p-16, -0x1.43a37066ee8p-16, -0x1.3c021a0df0cc1p-16, -0x1.3464f0300402p-16, -0x1.2ccc601567b21p-16, -0x1.2538d35295f9dp-16, -0x1.1daaafe1fc238p-16, -0x1.1622583e4fa2dp-16, -0x1.0ea02b7b2b85p-16, -0x1.0724855d86f71p-16, -0x1.ff5f7ce5fa50bp-17, -0x1.f0845850ea68ep-17, -0x1.e1b841c17d0d4p-17, -0x1.d2fbd81353222p-17, -0x1.c44fb4628353ap-17, -0x1.b5b46a343ae0ep-17, -0x1.a72a879d3ac3ap-17, -0x1.98b29569820b8p-17, -0x1.8a4d17405f53cp-17, -0x1.7bfa8bc832f5ap-17, -0x1.6dbb6ccb83e66p-17, -0x1.5f902f58e0f5cp-17, -0x1.517943e539455p-17, -0x1.4377166b539a3p-17, -0x1.358a0e8bdad77p-17, -0x1.27b28faa87973p-17, -0x1.19f0f90c8133p-17, -0x1.0c45a5f4cc973p-17, -0x1.fd61db8035f33p-18, -0x1.e26647ff36fecp-18, -0x1.c7993127b167fp-18, -0x1.acfb2f8aabf2p-18, -0x1.928cd4bcc50a4p-18, -0x1.784eab840fd8bp-18, -0x1.5e4138097f8bdp-18, -0x1.4464f805749fp-18, -0x1.2aba62eafc126p-18, -0x1.1141ea15a5904p-18, -0x1.eff7f1dfccb49p-19, -0x1.bdd1ea3d51d72p-19, -0x1.8c127d4f2ac31p-19, -0x1.5aba602f549e3p-19, -0x1.29ca3d548c85dp-19, -0x1.f28569aae0dafp-20, -0x1.9248b96bd7247p-20, -0x1.32df824e62eafp-20, -0x1.a8959336f0a95p-21, -0x1.da2e0808e78d9p-22, -0x1.9a28c1b8c64b7p-24, 0x1.09bd247f5c1abp-22, 0x1.3b527fb274f2ap-21, 0x1.f01555d10b086p-21, 0x1.5192ed62bea35p-20, 0x1.aa417a2d13e9fp-20, 0x1.010ae9c3f53d7p-19, 0x1.2c87c55871bdfp-19, 0x1.57971fb89e65dp-19, 0x1.8238cfe003b58p-19, 0x1.ac6cb3afad59p-19, 0x1.d632afbe028b4p-19, 0x1.ff8aaf2760297p-19, 0x1.143a51b2befafp-18, 0x1.2878420e5b324p-18, 0x1.3c7f277b3c31ep-18, 0x1.504f03ba174adp-18, 0x1.63e7db648181p-18, 0x1.7749b5d75b9bcp-18, 0x1.8a749d2192755p-18, 0x1.9d689def343c7p-18, 0x1.b025c778481cdp-18, 0x1.c2ac2b6d918a8p-18, 0x1.d4fbdde85c55bp-18, 0x1.e714f55898f98p-18, 0x1.f8f78a735ca5p-18, 0x1.0551dc121b83dp-17, 0x1.0e0ccdbe16dbcp-17, 0x1.16aca9d0d899p-17, 0x1.1f3180e1684cbp-17, 0x1.279b648272074p-17, 0x1.2fea673baf9f4p-17, 0x1.381e9c81e9f8p-17, 0x1.403818b14ec65p-17, 0x1.4836f10572462p-17, 0x1.501b3b936e854p-17, 0x1.57e50f4346091p-17, 0x1.5f9483c984476p-17, 0x1.6729b1a0d8ca1p-17, 0x1.6ea4b2049e875p-17, 0x1.76059eea65708p-17, 0x1.7d4c92fc70ffbp-17, 0x1.8479a9942f90ap-17, 0x1.8b8cfeb476a3ap-17, 0x1.9286af04399f9p-17, 0x1.9966d7c94c1bap-17, 0x1.a02d96e34df3cp-17, 0x1.a6db0ac657f4bp-17, 0x1.ad6f527642bb3p-17, 0x1.b3ea8d81d7f5fp-17, 0x1.ba4cdbfe0688ep-17, 0x1.c0965e815337fp-17, 0x1.c6c7361ef168dp-17, 0x1.ccdf846317819p-17, 0x1.d2df6b4deddedp-17, 0x1.d8c70d4fb685ap-17, 0x1.de968d447491bp-17, 0x1.e44e0e700b41p-17, 0x1.e9edb47a13804p-17, 0x1.ef75a36a050d2p-17, 0x1.f4e5ffa38db6ap-17, 0x1.fa3eede29c3c1p-17, 0x1.ff809337b0586p-17, 0x1.02558a825135dp-16, 0x1.04df4c7c5e617p-16, 0x1.075da286c5f3bp-16, 0x1.09d09fc1a395p-16, 0x1.0c38576edf9acp-16, 0x1.0e94dcf08472bp-16, 0x1.10e643c730e0cp-16, 0x1.132c9f9086a2fp-16, 0x1.156804059f90dp-16, 0x1.179884f9a60aap-16, 0x1.19be365844551p-16, 0x1.1bd92c246d4f9p-16, 0x1.1de97a76afb63p-16, 0x1.1fef357c0a5efp-16, 0x1.21ea71748bdd7p-16, 0x1.23db42b2087cap-16, 0x1.25c1bd96c569ep-16, 0x1.279df69433018p-16, 0x1.29700229ce04dp-16, 0x1.2b37f4e3d36adp-16, 0x1.2cf5e35a149d4p-16, 0x1.2ea9e22eddba7p-16, 0x1.3054060dcbfbbp-16, 0x1.31f463aaae334p-16, 0x1.338b0fc078be1p-16, 0x1.35181f1033b24p-16, 0x1.369ba65ff82f7p-16, 0x1.3815ba79e67a1p-16, 0x1.3986702b12009p-16, 0x1.3aeddc42b56ecp-16, 0x1.3c4c139119a8p-16, 0x1.3da12ae6bce21p-16, 0x1.3eed37136b575p-16, 0x1.40304ce546ad7p-16, 0x1.416a8127fa091p-16, 0x1.429be8a3d430ap-16, 0x1.43c4981d0b7aap-16, 0x1.44e4a452caf7cp-16, 0x1.45fc21fe7661p-16, 0x1.470b25d2e5605p-16, 0x1.4811c47bb4769p-16, 0x1.4910129c595bp-16, 0x1.4a0624cf97e8fp-16, 0x1.4af40fa6a6594p-16, 0x1.4bd9e7a898198p-16, 0x1.4cb7c151a8eeap-16, 0x1.4d8db1128e93fp-16, 0x1.4e5bcb4fd699ep-16, 0x1.4f22246152ae2p-16, 0x1.4fe0d0915bd14p-16, 0x1.5097e41c61353p-16, 0x1.5147733036fa6p-16, 0x1.51ef91eb92523p-16, 0x1.5290545d7cfbbp-16, 0x1.5329ce84b82dep-16, 0x1.53bc144f4b761p-16, 0x1.54473999fa5e8p-16, 0x1.54cb522fc87d9p-16, 0x1.554871c96cf2ep-16, 0x1.55beac0ceef6dp-16, 0x1.562e148d24261p-16, 0x1.5696bec948bebp-16, 0x1.56f8be2c7ea45p-16, 0x1.5754260d6b605p-16, 0x1.57a909add3f95p-16, 0x1.57f77c3a2d425p-16, 0x1.583f90c941101p-16, 0x1.58815a5bc6758p-16, 0x1.58bcebdc13f19p-16, 0x1.58f2581db4c9bp-16, 0x1.5921b1dd11d9ap-16, 0x1.594b0bbf28136p-16, 0x1.596e78512a1a3p-16, 0x1.598c0a083833dp-16, 0x1.59a3d34120df4p-16, 0x1.59b5e63ff9117p-16, 0x1.59c2552fe2901p-16, 0x1.59c93222d0229p-16, 0x1.59ca8f1138782p-16, 0x1.59c67dd9dd3adp-16, 0x1.59bd104185e2bp-16, 0x1.59ae57f2c2763p-16, 0x1.599a667dbcb36p-16, 0x1.59814d57fdb29p-16, 0x1.59631ddc38935p-16, 0x1.593fe94a1471ap-16, 0x1.5917c0c5fb662p-16, 0x1.58eab558f737p-16, 0x1.58b8d7f07cbe1p-16, 0x1.5882395e3f3bbp-16, 0x1.5846ea5813841p-16, 0x1.5806fb77bfb7fp-16, 0x1.57c27d3ad73d6p-16, 0x1.57798002a5d9dp-16, 0x1.572c1413fd41ep-16, 0x1.56da499720334p-16, 0x1.56843097b29afp-16, 0x1.5629d9048e58cp-16, 0x1.55cb52afa2d2bp-16, 0x1.5568ad4dee785p-16, 0x1.5501f8776ee8cp-16, 0x1.549743a6f727bp-16, 0x1.54289e3a235cfp-16, 0x1.53b617715a45ep-16, 0x1.533fbe6faa9ecp-16, 0x1.52c5a23ac10c4p-16, 0x1.5247d1baebb5bp-16, 0x1.51c65bbafcba1p-16, 0x1.51414ee84242ap-16, 0x1.50b8b9d28c46fp-16, 0x1.502caaec1a89p-16, 0x1.4f9d30899ebeap-16, 0x1.4f0a58e2355cdp-16, 0x1.4e74320f6708dp-16, 0x1.4ddaca0d18051p-16, 0x1.4d3e2eb9a72dcp-16, 0x1.4c9e6dd5e270dp-16, 0x1.4bfb9504f359bp-16, 0x1.4b55b1cc7b2b6p-16, 0x1.4aacd19494519p-16, 0x1.4a0101a7d824p-16, 0x1.49524f3361c8cp-16, 0x1.48a0c746dbe4fp-16, 0x1.47ec76d489423p-16, 0x1.47356ab14a929p-16, 0x1.467baf94b57f9p-16, 0x1.45bf521916d36p-16, 0x1.45005ebb847cap-16, 0x1.443ee1dbeb3f2p-16, 0x1.437ae7bd18cadp-16, 0x1.42b47c84df0a2p-16, 0x1.41ebac3c11f91p-16, 0x1.412082ce98379p-16, 0x1.40530c0b96fe6p-16, 0x1.3f8353a577e26p-16, 0x1.3eb16531ede05p-16, 0x1.3ddd4c2a14589p-16, 0x1.3d0713eaa17ffp-16, 0x1.3c2ec7b3d5cdp-16, 0x1.3b5472a9a7ec9p-16, 0x1.3a781fd3e0235p-16, 0x1.3999da1e21ac1p-16, 0x1.38b9ac5815f3dp-16, 0x1.37d7a1357bbb5p-16, 0x1.36f3c34e46ccp-16, 0x1.360e1d1ebd82cp-16, 0x1.3526b90794321p-16, }}, 
      {{0x1.d4621fc60cfeep-1, 0x1.d45d1cb393d3fp-1, 0x1.d45c0269fa67fp-1, 0x1.d45d28e480dfap-1, 0x1.d458e9189504dp-1, 0x1.d444b510e9b5p-1, 0x1.d415e511358f8p-1, 0x1.d3c391fc283d6p-1, 0x1.d3477b8ddcb5bp-1, 0x1.d29e365bd374ep-1, 0x1.d1c6e6b5f287dp-1, 0x1.d0c2c14120976p-1, 0x1.cf9478e5b4b72p-1, 0x1.ce3fb26c9f30dp-1, 0x1.ccc88ad6096a5p-1, 0x1.cb3335df99f02p-1, 0x1.c983b57fadf5fp-1, 0x1.c7bda870b1fp-1, 0x1.c5e42c941ca2fp-1, 0x1.c3f9d178ca885p-1, 0x1.c20097563b98fp-1, 0x1.bff9f71c94589p-1, 0x1.bde6f0ab67659p-1, 0x1.bbc81cc00c46p-1, 0x1.b99dc0a9857e6p-1, 0x1.b767e2439e51ap-1, 0x1.b5265b20cb606p-1, 0x1.b2d8ea20d397ap-1, 0x1.b07f42f97a92p-1, 0x1.ae191b6f13d23p-1, 0x1.aba63626d04b6p-1, 0x1.a9266b1d2d3d6p-1, 0x1.a699ade231e16p-1, 0x1.a40011cca4b17p-1, 0x1.a159cc5eb063p-1, 0x1.9ea7361aea941p-1, 0x1.9be8ca0989325p-1, 0x1.991f242bb0117p-1, 0x1.964aff171b536p-1, 0x1.936d30ef75fe5p-1, 0x1.9086a7ed13399p-1, 0x1.8d98669ad6dc1p-1, 0x1.8aa37fef27cep-1, 0x1.87a9135e0cdfp-1, 0x1.84aa48fd2f46fp-1, 0x1.81a84dcd8c43ep-1, 0x1.7ea4503a283b6p-1, 0x1.7b9f7cd72075bp-1, 0x1.789afb690c71fp-1, 0x1.7597ec39ad563p-1, 0x1.729765bc696b9p-1, 0x1.6f9a72830b46ep-1, 0x1.6ca20f818e8d5p-1, 0x1.69af2a9e6f6ccp-1, 0x1.66c2a18bf3e11p-1, 0x1.63dd40e61ff79p-1, 0x1.60ffc39083698p-1, 0x1.5e2ad24eb67fcp-1, 0x1.5b5f039230702p-1, 0x1.589cdb7817eeep-1, 0x1.55e4cbf1b9ae4p-1, 0x1.533735127854p-1, 0x1.5094657e3f4b9p-1, 0x1.4dfc9af3c0889p-1, 0x1.4b7002ee0e17cp-1, 0x1.48eebb597655bp-1, 0x1.4678d357d073dp-1, 0x1.440e4c10c5114p-1, 0x1.41af198aec14bp-1, 0x1.3f5b238ae73edp-1, 0x1.3d124675f5cd4p-1, 0x1.3ad45435c0988p-1, 0x1.38a1151b6a2ep-1, 0x1.367848c028743p-1, 0x1.3459a6e1f6696p-1, 0x1.3244e03b16557p-1, 0x1.30399f535cfdbp-1, 0x1.2e37894a66362p-1, 0x1.2c3e3e9a00086p-1, 0x1.2a4d5bd03fecbp-1, 0x1.28647a40d84d8p-1, 0x1.268330ad6127bp-1, 0x1.24a913e464b72p-1, 0x1.22d5b757155c6p-1, 0x1.2108ada5a9365p-1, 0x1.1f41892267c06p-1, 0x1.1d7fdc4b85d36p-1, 0x1.1bc33a3bfbcbep-1, 0x1.1a0b37138637p-1, 0x1.18576856121c1p-1, 0x1.16a76542d6345p-1, 0x1.14fac72368015p-1, 0x1.1351299316ddep-1, 0x1.11aa2abee25bep-1, 0x1.10056b9e61b27p-1, 0x1.0e629025ee41dp-1, 0x1.0cc13f726ca84p-1, 0x1.0b2123ef08685p-1, 0x1.0981eb7538fcdp-1, 0x1.07e3476766c78p-1, 0x1.0644ecc680548p-1, 0x1.04a69442d660dp-1, 0x1.0307fa4889d66p-1, 0x1.0168df07dd1cdp-1, 0x1.ff920cf3606aep-2, 0x1.fc5070c0e45edp-2, 0x1.f90c808b9b50fp-2, 0x1.f5c5daeaa042ap-2, 0x1.f27c25e8a10f9p-2, 0x1.ef2f0eee9bd8fp-2, 0x1.ebde4aaa04668p-2, 0x1.e88994eec2f67p-2, 0x1.e530b0956dae2p-2, 0x1.e1d3675629be4p-2, 0x1.de7189a08a6dcp-2, 0x1.db0aee70cbb98p-2, 0x1.d79f7322b823p-2, 0x1.d42efb428c5e3p-2, 0x1.d0b9705c224fp-2, 0x1.cd3ec1c8a46fep-2, 0x1.c9bee47b0d5b1p-2, 0x1.c639d2cbb56f5p-2, 0x1.c2af8c4317e78p-2, 0x1.bf20156417864p-2, 0x1.bb8b7775e20efp-2, 0x1.b7f1c04dab488p-2, 0x1.b453021863298p-2, 0x1.b0af53248ec39p-2, 0x1.ad06cdac6b10cp-2, 0x1.a9598fa072b6cp-2, 0x1.a5a7ba726c911p-2, 0x1.a1f172e116cd5p-2, 0x1.9e36e0c48ba04p-2, 0x1.9a782edb74b0cp-2, 0x1.96b58a991ecefp-2, 0x1.92ef23f484d75p-2, 0x1.8f252d385afdep-2, 0x1.8b57dad42d6a5p-2, 0x1.8787632e9d95p-2, 0x1.83b3fe78c5deep-2, 0x1.7fdde682d105fp-2, 0x1.7c055691ca4d9p-2, 0x1.782a8b36ac11dp-2, 0x1.744dc226b3cf7p-2, 0x1.706f3a14fe43dp-2, 0x1.6c8f328d6f29fp-2, 0x1.68adebd0e5757p-2, 0x1.64cba6b2bcec8p-2, 0x1.60e8a477a035dp-2, 0x1.5d0526b5a3deep-2, 0x1.59216f35af333p-2, 0x1.553dbfd6303e7p-2, 0x1.515a5a6f1230bp-2, 0x1.4d7780b6f9357p-2, 0x1.49957429bf5b2p-2, 0x1.45b475f027186p-2, 0x1.41d4c6c8ca0aap-2, 0x1.3df6a6f234f88p-2, 0x1.3a1a56162f559p-2, 0x1.364013362a534p-2, 0x1.32681c98ceb21p-2, 0x1.2e92afb8a2ba9p-2, 0x1.2ac00933c5badp-2, 0x1.26f064bcb4b7ap-2, 0x1.2323fd0c17e0bp-2, 0x1.1f5b0bd38a44ap-2, 0x1.1b95c9b15e688p-2, 0x1.17d46e254d492p-2, 0x1.14172f86134c6p-2, 0x1.105e42f7ed7edp-2, 0x1.0ca9dc63f166cp-2, 0x1.08fa2e7037f26p-2, 0x1.054f6a78d71b8p-2, 0x1.01a9c0899ed0fp-2, 0x1.fc12beb1297ffp-3, 0x1.f4dce8824e26dp-3, 0x1.edb256801f1e5p-3, 0x1.e6935ddfc1c01p-3, 0x1.df80510c6723ep-3, 0x1.d8797fa2e3959p-3, 0x1.d17f366e6bd55p-3, 0x1.ca91bf6671f9ap-3, 0x1.c3b161ad913cep-3, 0x1.bcde61917c65ap-3, 0x1.b619008be5fe6p-3, 0x1.af617d444f01ep-3, 0x1.a8b81392bdbfap-3, 0x1.a21cfc833c6bbp-3, 0x1.9b906e5a27456p-3, 0x1.95129c9938bc9p-3, 0x1.8ea3b80547456p-3, 0x1.8843eeaca5e67p-3, 0x1.81f36bee2a248p-3, 0x1.7bb25880c3112p-3, 0x1.7580da7b99919p-3, 0x1.6f5f155eb1f26p-3, 0x1.694d2a1c0a63ap-3, 0x1.634b3721205e4p-3, 0x1.5d595860e31c3p-3, 0x1.5777a75e034dbp-3, 0x1.51a63b359c869p-3, 0x1.4be528aa22668p-3, 0x1.4634822ea85b5p-3, 0x1.409457f2571fcp-3, 0x1.3b04b7ec2b3ccp-3, 0x1.3585ade6dc014p-3, 0x1.3017438cf65edp-3, 0x1.2ab980751bd73p-3, 0x1.256c6a2e64995p-3, 0x1.2030044cda3e8p-3, 0x1.1b0450760eae4p-3, 0x1.15e94e6dba0afp-3, 0x1.10defc2274c49p-3, 0x1.0be555ba68dfap-3, 0x1.06fc55a013111p-3, 0x1.0223f48efbfp-3, 0x1.fab85340e5d29p-4, 0x1.f149d4b072bc7p-4, 0x1.e7fc55624f35cp-4, 0x1.decfba53822c1p-4, 0x1.d5c3e5a16c709p-4, 0x1.ccd8b6a29941dp-4, 0x1.c40e09ff6ba6ap-4, 0x1.bb63b9ca91ba7p-4, 0x1.b2d99d99335e5p-4, 0x1.aa6f8a9ae89e1p-4, 0x1.a22553b176079p-4, 0x1.99fac9882d873p-4, 0x1.91efbaab0c6b1p-4, 0x1.8a03f39d93613p-4, 0x1.82373ef139d5fp-4, 0x1.7a89655b9b4d6p-4, 0x1.72fa2dcc44285p-4, 0x1.6b895d8226732p-4, 0x1.6436b820b285ep-4, 0x1.5d01ffc48f96dp-4, 0x1.55eaf517f3e4dp-4, 0x1.4ef157669ab82p-4, 0x1.4814e4b158bfep-4, 0x1.415559c1484a8p-4, 0x1.3ab2723a91646p-4, 0x1.342be8aecb66dp-4, 0x1.2dc176aef850ep-4, 0x1.2772d4dd16ecep-4, 0x1.213fbafd49ffbp-4, 0x1.1b27e0069e2f8p-4, 0x1.152afa3360bbbp-4, 0x1.0f48bf110fd19p-4, 0x1.0980e38fe39d4p-4, 0x1.03d31c11eeaep-4, 0x1.fc7e38f3ad78ap-5, 0x1.f189307244409p-5, 0x1.e6c684bc51d73p-5, 0x1.dc359b4327559p-5, 0x1.d1d5d8e6fb39ap-5, 0x1.c7a6a2105c23fp-5, 0x1.bda75ac8e486ep-5, 0x1.b3d766d31cfe6p-5, 0x1.aa3629c1aa81cp-5, 0x1.a0c3070dae67cp-5, 0x1.977d622c74086p-5, 0x1.8e649ea459afep-5, 0x1.85782020fe63ep-5, 0x1.7cb74a86c55d9p-5, 0x1.742182059a769p-5, 0x1.6bb62b2b04e7fp-5, 0x1.6374aaf393427p-5, 0x1.5b5c66db966d2p-5, 0x1.536cc4ef32b2ep-5, 0x1.4ba52bd9cfaaep-5, 0x1.440502f4e20f8p-5, 0x1.3c8bb25616e65p-5, 0x1.3538a2dce4e6dp-5, 0x1.2e0b3e3f7f32bp-5, 0x1.2702ef1737186p-5, 0x1.201f20ec457cap-5, 0x1.195f40410a575p-5, 0x1.12c2ba9cbc499p-5, 0x1.0c48fe958ea14p-5, 0x1.05f17bda514fp-5, 0x1.ff7746771923p-6, 0x1.f34dcd6843aa7p-6, 0x1.e76572e2d4ccp-6, 0x1.dbbd1fb5b542p-6, 0x1.d053bf3272f95p-6, 0x1.c5283f3aa8f3fp-6, 0x1.ba39904ca7c3bp-6, 0x1.af86a58f29236p-6, 0x1.a50e74dc40a3cp-6, 0x1.9acff6cb739c4p-6, 0x1.90ca26bb09f71p-6, 0x1.86fc02d8a3ce9p-6, 0x1.7d648c290515dp-6, 0x1.7402c68f3a7afp-6, 0x1.6ad5b8d2fcc55p-6, 0x1.61dc6ca671a75p-6, 0x1.5915eeab45c97p-6, 0x1.50814e7720c38p-6, 0x1.481d9e97827f1p-6, 0x1.3fe9f49507e6dp-6, 0x1.37e568f61debap-6, 0x1.300f17412a9e3p-6, 0x1.28661dfe2f2c2p-6, 0x1.20e99eb7ddd51p-6, 0x1.1998bdfc47ba1p-6, 0x1.1272a35cf6332p-6, 0x1.0b76796eaa118p-6, 0x1.04a36dc89ad09p-6, 0x1.fbf1620699d99p-7, 0x1.eeeaed6e0b6d3p-7, 0x1.e231eaf3bd7bap-7, 0x1.d5c4cdbaddf5cp-7, 0x1.c9a20ed848e86p-7, 0x1.bdc82d4c8bda9p-7, 0x1.b235adfd394p-7, 0x1.a6e91bada554ap-7, 0x1.9be106f70af91p-7, 0x1.911c0640280b6p-7, 0x1.8698b5b44b9a3p-7, 0x1.7c55b739d8c3fp-7, 0x1.7251b26864411p-7, 0x1.688b547e4801ep-7, 0x1.5f015055e52c1p-7, 0x1.55b25e5a53b9dp-7, 0x1.4c9d3c7bde06cp-7, 0x1.43c0ae23fc4a4p-7, 0x1.3b1b7c2913f9dp-7, 0x1.32ac74c1d2427p-7, 0x1.2a726b78457cep-7, 0x1.226c391cae937p-7, 0x1.1a98bbb80e251p-7, 0x1.12f6d67e729c6p-7, 0x1.0b8571c11e96p-7, 0x1.04437ae05a8dap-7, 0x1.fa5fc87a7acb6p-8, 0x1.ec934a565e88p-8, 0x1.df1f73c295e09p-8, 0x1.d20246d74faaap-8, 0x1.c539cf38e971fp-8, 0x1.b8c421fa03206p-8, 0x1.ac9f5d7d50819p-8, 0x1.a0c9a9575d8aep-8, 0x1.954136301aa06p-8, 0x1.8a043da43a203p-8, 0x1.7f110226a9837p-8, 0x1.7465cee1d864dp-8, 0x1.6a00f798e8baep-8, 0x1.5fe0d88907522p-8, 0x1.5603d64a86eafp-8, 0x1.4c685db240dd2p-8, 0x1.430ce3b2cc13dp-8, 0x1.39efe53dde895p-8, 0x1.310fe725af535p-8, 0x1.286b75fe748dp-8, 0x1.20012600111aap-8, 0x1.17cf92e7be7c9p-8, 0x1.0fd55fd9e9048p-8, 0x1.081137442d895p-8, 0x1.0081cabf9237ap-8, 0x1.f24ba5e590372p-9, 0x1.e3f81ee96df3bp-9, 0x1.d6068d5e6873ep-9, 0x1.c8748b83b9fe4p-9, 0x1.bb3fc0ca87b5dp-9, 0x1.ae65e19c8a1dfp-9, 0x1.a1e4af2322458p-9, 0x1.95b9f70f0c014p-9, 0x1.89e393606407bp-9, 0x1.7e5f6a2f54af3p-9, 0x1.732b6d753f159p-9, 0x1.68459ad6568e6p-9, 0x1.5dabfb6bdec3bp-9, 0x1.535ca38eec707p-9, 0x1.4955b2a3cb0d4p-9, 0x1.3f9552e5bdafap-9, 0x1.3619b933ae09ep-9, 0x1.2ce124dd0b44fp-9, 0x1.23e9df6f95da9p-9, 0x1.1b323c85ae9a8p-9, 0x1.12b8999511c5ap-9, 0x1.0a7b5dbe6f668p-9, 0x1.0278f99d7d42cp-9, 0x1.f55fce33659dep-10, 0x1.e63d526f4e88cp-10, 0x1.d78797d5fe86cp-10, 0x1.c93bc7d22637dp-10, 0x1.bb571cf827801p-10, 0x1.add6e2ae1566p-10, 0x1.a0b874d46274ep-10, 0x1.93f93f704cf9bp-10, 0x1.8796be574ad52p-10, 0x1.7b8e7cdbcb931p-10, 0x1.6fde157b41053p-10, 0x1.6483318d6d3fep-10, 0x1.597b88f4c34f8p-10, 0x1.4ec4e1d03dba8p-10, 0x1.445d102e68616p-10, 0x1.3a41f5c182b98p-10, 0x1.3071819515927p-10, 0x1.26e9afc471ec1p-10, 0x1.1da88932ce212p-10, 0x1.14ac23441f17ep-10, 0x1.0bf29f979449p-10, 0x1.037a2bc316bb4p-10, 0x1.f682021f8f9a1p-11, 0x1.e68ac86fff65bp-11, 0x1.d70b4a4c50993p-11, 0x1.c8003d6a15404p-11, 0x1.b9666ce21a8a8p-11, 0x1.ab3ab8b4f047ep-11, 0x1.9d7a1552689a1p-11, 0x1.90218b22987b6p-11, 0x1.832e36116c46p-11, 0x1.769d451c3da4ap-11, 0x1.6a6bf9e1bbc27p-11, 0x1.5e97a833b6451p-11, 0x1.531db5ab0db68p-11, 0x1.47fb993e03eb8p-11, 0x1.3d2edad811865p-11, 0x1.32b512f422711p-11, 0x1.288bea38e7cbap-11, 0x1.1eb119169f327p-11, 0x1.15226767533a7p-11, 0x1.0bddac10bd68ap-11, 0x1.02e0cca82a3fap-11, 0x1.f4537a303483ep-12, 0x1.e36cfe8fd3894p-12, 0x1.d30a458a38fd2p-12, 0x1.c32788dce3835p-12, 0x1.b3c11c41edec4p-12, 0x1.a4d36ccd17a97p-12, 0x1.965b004c74a7bp-12, 0x1.885474ac986c4p-12, 0x1.7abc7f5fd05f3p-12, 0x1.6d8fecc8ccbdp-12, 0x1.60cb9fa85e1c1p-12, 0x1.546c908e8707cp-12, 0x1.486fcd4e9352ap-12, 0x1.3cd27875f0acdp-12, 0x1.3191c8c6a2eap-12, 0x1.26ab08b3fe98ap-12, 0x1.1c1b95e2d4f3bp-12, 0x1.11e0e0ac2dc0ap-12, 0x1.07f86ba2e26a7p-12, 0x1.fcbf9637d0b9ep-13, 0x1.ea2949729f274p-13, 0x1.d8295df022923p-13, 0x1.c6bb61809763ep-13, 0x1.b5db01f0419dep-13, 0x1.a5840c31da405p-13, 0x1.95b26b8ee7b31p-13, 0x1.866228db1598bp-13, 0x1.778f69ae6ca33p-13, 0x1.69366fa2bd29bp-13, 0x1.5b539795d820cp-13, 0x1.4de358f0fc3cp-13, 0x1.40e244f3779f1p-13, 0x1.344d0602a8f42p-13, 0x1.28205efdc4478p-13, 0x1.1c592a954a8c3p-13, 0x1.10f45aa791421p-13, 0x1.05eef7a070423p-13, 0x1.f68c3fb9e6856p-14, 0x1.e1ee0e262c922p-14, 0x1.cdfdeb7a985dcp-14, 0x1.bab691122d294p-14, 0x1.a812df93b0fcep-14, 0x1.960dddde1f843p-14, 0x1.84a2b7fb2180ep-14, 0x1.73ccbe18f6b49p-14, 0x1.6387638aec644p-14, 0x1.53ce3dcf808a1p-14, 0x1.449d039e3714fp-14, 0x1.35ef8bfa31d4fp-14, 0x1.27c1cd4ad7159p-14, 0x1.1a0fdc7cc5606p-14, 0x1.0cd5ec2424026p-14, 0x1.00104ba903cdep-14, 0x1.e776ccecc27c2p-15, 0x1.cfa7865e8876dp-15, 0x1.b8ac05d42b4bcp-15, 0x1.a27dc0dfaaed7p-15, 0x1.8d165f0238054p-15, 0x1.786fb83eafc2cp-15, 0x1.6483d3b6c24a4p-15, 0x1.514ce651e9111p-15, 0x1.3ec5516c32f2cp-15, 0x1.2ce7a18dadf55p-15, 0x1.1bae8d2d7fcd7p-15, 0x1.0b14f379a017ep-15, 0x1.f62bb654a3cbap-16, 0x1.d758e2b4a9f1p-16, 0x1.b9a810d52f3e7p-16, 0x1.9d102dd4bed51p-16, 0x1.81886d1436d47p-16, 0x1.67084625d2d74p-16, 0x1.4d8772cda15c9p-16, 0x1.34fded0ea480fp-16, 0x1.1d63ed46b9bd7p-16, 0x1.06b1e8577dab8p-16, 0x1.e1c11bb62e31cp-17, 0x1.b7d18ccf9244ap-17, 0x1.8f8763bc257c6p-17, 0x1.68d54b89cdd8bp-17, 0x1.43ae575b9337cp-17, 0x1.2005ff5339251p-17, 0x1.fba03b14defe5p-18, 0x1.ba01d641dd711p-18, 0x1.7b19facc0233fp-18, 0x1.3ed2862273041p-18, 0x1.05160323482bep-18, 0x1.9b9f49be80e2fp-19, 0x1.31d6830c5d33bp-19, 0x1.995535d825da3p-20, 0x1.afd6b3a199e67p-21, 0x1.f25fbf36fc8f6p-24, -0x1.228431cbaeec5p-21, -0x1.3991ea9186b12p-20, -0x1.da0c60b2aad1bp-20, -0x1.39792a943a54fp-19, -0x1.8241521e81538p-19, -0x1.c77d1e16bc32dp-19, -0x1.04a50b130c2p-18, -0x1.23e26cef15207p-18, -0x1.418493eb98812p-18, -0x1.5d98f24beb0bfp-18, -0x1.782c90aa5b82ep-18, -0x1.914c113359166p-18, -0x1.a903b2d3e6e9p-18, -0x1.bf5f54482bbc1p-18, -0x1.d46a77163b22ap-18, -0x1.e830426c463a2p-18, -0x1.fabb85f000c0dp-18, -0x1.060b5e3a99ec3p-17, -0x1.0e26074e8032bp-17, -0x1.15b2aab2b6e33p-17, -0x1.1cb60e50131afp-17, -0x1.2334d2ae21febp-17, -0x1.29337419164b4p-17, -0x1.2eb64bc6a98ecp-17, -0x1.33c190eadb799p-17, -0x1.385959c7d7c5ep-17, -0x1.3c819cb4ac4f4p-17, -0x1.403e311c1aaafp-17, -0x1.4392d07264985p-17, -0x1.468317261843cp-17, -0x1.49128585ee1c8p-17, -0x1.4b4480a27d828p-17, -0x1.4d1c53276150fp-17, -0x1.4e9d2e2c80da5p-17, -0x1.4fca2a05aebdap-17, -0x1.50a647046ca0fp-17, -0x1.51346e39fdbfep-17, -0x1.5177722f486b1p-17, -0x1.51720f99fd005p-17, -0x1.5126ee08d92a7p-17, -0x1.5098a08e3674ep-17, -0x1.4fc9a6613f1f3p-17, -0x1.4ebc6b7d104e9p-17, -0x1.4d734938966c3p-17, -0x1.4bf086dbe0218p-17, -0x1.4a365a2ef41ddp-17, -0x1.4846e8045e487p-17, -0x1.462444bff91bfp-17, -0x1.43d074d86fa2ep-17, -0x1.414d6d55a4153p-17, -0x1.3e9d144a80a48p-17, -0x1.3bc1414acc3c2p-17, -0x1.38bbbddd8f494p-17, -0x1.358e45eaa7c07p-17, -0x1.323a88269c135p-17, -0x1.2ec2267a4343p-17, -0x1.2b26b665f43e3p-17, -0x1.2769c1638c5e8p-17, -0x1.238cc5435a323p-17, -0x1.1f9134871bd4ep-17, -0x1.1b7876b9b2a44p-17, -0x1.1743e8c47d45fp-17, -0x1.12f4dd411ed63p-17, -0x1.0e8c9cc96ed44p-17, -0x1.0a0c66439d6f6p-17, -0x1.05756f2dc6fd4p-17, -0x1.00c8e3e50f4fcp-17, -0x1.f80fcfd886cffp-18, -0x1.ee672c5c95e3fp-18, -0x1.e49a0280a8ddbp-18, -0x1.daaa67402777dp-18, -0x1.d09a5fe1f814ap-18, -0x1.c66be270d7d2fp-18, -0x1.bc20d62ad4886p-18, -0x1.b1bb13f25151fp-18, -0x1.a73c66b76c666p-18, -0x1.9ca68be08f0adp-18, -0x1.91fb33adc141dp-18, -0x1.873c019afb83p-18, -0x1.7c6a8cbd3d9e3p-18, -0x1.7188601ca9857p-18, -0x1.6696fb0db8f26p-18, -0x1.5b97d185ba34cp-18, -0x1.508c4c6cab691p-18, -0x1.4575c9ee3808dp-18, -0x1.3a559dc600d01p-18, -0x1.2f2d1189cfd9ep-18, -0x1.23fd64f3213d7p-18, -0x1.18c7ce239e614p-18, -0x1.0d8d79e98288cp-18, -0x1.024f8c01f5664p-18, -0x1.ee1e3eae1dabp-19, -0x1.d79a8c7d81c41p-19, -0x1.c116156bb2b63p-19, -0x1.aa92dd323ae58p-19, -0x1.9412d7bbb3b7ap-19, -0x1.7d97e99053991p-19, -0x1.6723e83deefb4p-19, -0x1.50b89abd5d348p-19, -0x1.3a57b9d51605ap-19, -0x1.2402f079680a5p-19, -0x1.0dbbdc27312c8p-19, -0x1.ef081a816b15bp-20, -0x1.c2ba0ec43c043p-20, -0x1.9690836b58b31p-20, -0x1.6a8e4e8e5b7d3p-20, -0x1.3eb62ea1d0cb3p-20, -0x1.130acb14742ddp-20, -0x1.cf1d69c64d212p-21, -0x1.7888ce564a693p-21, -0x1.225c8f67aa1b4p-21, -0x1.993a9de94eb81p-22, -0x1.dd3e19971cb59p-23, -0x1.13bc3ccdf8c29p-24, 0x1.8f341152047a1p-24, 0x1.0b8d22744450ap-22, 0x1.b2498949f9487p-22, 0x1.2bfd5f49b600fp-21, 0x1.7e4cc6f70ae28p-21, 0x1.d00f839d69ce8p-21, 0x1.10a11f36b6641p-20, 0x1.38f0e08a0706cp-20, 0x1.60f57a798489bp-20, 0x1.88ad712e722f3p-20, 0x1.b01757ed80311p-20, 0x1.d731d0bcb703bp-20, 0x1.fdfb8c051a2c8p-20, 0x1.1239a420a93f2p-19, 0x1.254be8d3807c9p-19, 0x1.383400e981427p-19, 0x1.4af15fbde93f5p-19, 0x1.5d837f1027bcdp-19, 0x1.6fe9dedf474a3p-19, 0x1.822405437b3e7p-19, 0x1.94317e4a9852dp-19, 0x1.a611dbd3e85e7p-19, 0x1.b7c4b56ec163fp-19, 0x1.c949a83898089p-19, 0x1.daa056bb504d5p-19, 0x1.ebc868cecf44bp-19, 0x1.fcc18b781b52ap-19, 0x1.06c5b8654231ep-18, 0x1.0f12e7e5f8277p-18, 0x1.1748322a79c4bp-18, 0x1.1f65777ad3a71p-18, 0x1.276a9a6d8f6ffp-18, 0x1.2f577fd853fb3p-18, 0x1.372c0ec42ce51p-18, 0x1.3ee8305f8c1f8p-18, 0x1.468bcff235861p-18, 0x1.4e16dacff4982p-18, 0x1.5589404d2e5bbp-18, 0x1.5ce2f1b2897ebp-18, 0x1.6423e23106978p-18, 0x1.6b4c06d69dd8ep-18, 0x1.725b56832037fp-18, 0x1.7951c9dd40ec6p-18, 0x1.802f5b47bb2fcp-18, 0x1.86f406d656d79p-18, 0x1.8d9fca446760fp-18, 0x1.9432a4e9d930ap-18, 0x1.9aac97b156faep-18, 0x1.a10da50f19cep-18, 0x1.a755d0f6536afp-18, 0x1.ad8520d0b3e55p-18, 0x1.b39b9b748ec21p-18, 0x1.b999491c16844p-18, 0x1.bf7e335ca85ddp-18, 0x1.c54a651d39a6fp-18, 0x1.cafdea8f04edap-18, 0x1.d098d12401399p-18, 0x1.d61b278751b74p-18, 0x1.db84fd94f56d1p-18, 0x1.e0d66451c556p-18, 0x1.e60f6de3735a7p-18, 0x1.eb302d896d8fap-18, 0x1.f038b79498e05p-18, 0x1.f529216043001p-18, 0x1.fa01814af0565p-18, 0x1.fec1eeaf31fbfp-18, 0x1.01b540ee10e59p-17, 0x1.03fdaa07a843p-17, 0x1.063a3fb692401p-17, 0x1.086b0f7d4452cp-17, 0x1.0a90274b4e546p-17, 0x1.0ca99579e6127p-17, 0x1.0eb768c8ba353p-17, 0x1.10b9b05b3eee1p-17, 0x1.12b07bb4fafcp-17, 0x1.149bdab6f253bp-17, 0x1.167bdd9c91ab2p-17, 0x1.185094f8df56fp-17, 0x1.1a1a11b35643dp-17, 0x1.1bd865057f741p-17, 0x1.1d8ba077ca61p-17, 0x1.1f33d5df1d89ap-17, 0x1.20d11759ed3a1p-17, 0x1.2263774ddbf51p-17, 0x1.23eb086502cefp-17, 0x1.2567dd8b40b37p-17, 0x1.26da09ec0d3fcp-17, 0x1.2841a0efe7e2p-17, 0x1.299eb639ba24fp-17, 0x1.2af15da4ccd6ap-17, 0x1.2c39ab4236dep-17, 0x1.2d77b356bda0cp-17, 0x1.2eab8a5856703p-17, 0x1.2fd544ec5dd5bp-17, 0x1.30f4f7e4fd9e1p-17, 0x1.320ab83f3dd06p-17, 0x1.33169b2103c6p-17, 0x1.3418b5d6e0d66p-17, 0x1.35111dd2024d8p-17, 0x1.35ffe8a66de87p-17, 0x1.36e52c08d7dacp-17, 0x1.37c0fdccc4a22p-17, 0x1.389373e2dc47ep-17, 0x1.395ca456cbc97p-17, 0x1.3a1ca54d959cdp-17, 0x1.3ad38d03d1591p-17, 0x1.3b8171cbf3bacp-17, 0x1.3c266a0c7a68ap-17, 0x1.3cc28c3e5ce5dp-17, 0x1.3d55eeeb5d3b7p-17, 0x1.3de0a8ac7aef2p-17, 0x1.3e62d02847dadp-17, 0x1.3edc7c11520ecp-17, 0x1.3f4dc324c9cc3p-17, 0x1.3fb6bc28e22e9p-17, 0x1.40177deb73fa8p-17, 0x1.40701f406f6cep-17, 0x1.40c0b700991ffp-17, 0x1.41095c080b212p-17, 0x1.414a2534f3b59p-17, 0x1.4183296647de8p-17, 0x1.41b47f7a65261p-17, 0x1.41de3e4dda7a5p-17, 0x1.42007cba43c45p-17, 0x1.421b5194ead7bp-17, 0x1.422ed3adaf24bp-17, 0x1.423b19cdd40cfp-17, 0x1.42403ab701f34p-17, 0x1.423e4d220ef17p-17, 0x1.423567bded507p-17, 0x1.4225a12ea2a63p-17, 0x1.420f100c3aea6p-17, 0x1.41f1cae1d6a32p-17, 0x1.41cde82c9d663p-17, 0x1.41a37e5ae4858p-17, 0x1.4172a3cb2b138p-17, 0x1.413b6ecb2e8bep-17, 0x1.40fdf59717d78p-17, 0x1.40ba4e58999d8p-17, 0x1.40708f260eb89p-17, 0x1.4020ce01b2e78p-17, 0x1.3fcb20d8e5ddfp-17, 0x1.3f6f9d833fc7fp-17, 0x1.3f0e59c1e255fp-17, 0x1.3ea76b3ec79e1p-17, 0x1.3e3ae78c03974p-17, 0x1.3dc8e42306717p-17, 0x1.3d517663f723ap-17, 0x1.3cd4b39525781p-17, 0x1.3c52b0e24f212p-17, 0x1.3bcb835c08b13p-17, 0x1.3b3f3ff70a52ep-17, 0x1.3aadfb8bbff3ep-17, 0x1.3a17cad5aae31p-17, 0x1.397cc272e4005p-17, 0x1.38dcf6e38eef9p-17, 0x1.38387c894f2bbp-17, 0x1.378f67a6cca98p-17, 0x1.36e1cc5f3ccddp-17, 0x1.362fbeb6024d5p-17, 0x1.3579528e1f829p-17, 0x1.34be9ba9d0405p-17, 0x1.33ffadaa3436bp-17, 0x1.333c9c0eeed38p-17, 0x1.32757a35a3f8p-17, 0x1.31aa5b59b8b4fp-17, 0x1.30db5293e7ecap-17, 0x1.300872d9ffbe4p-17, 0x1.2f31cefe93b37p-17, 0x1.2e5779b0a288ep-17, 0x1.2d79857b4b87ap-17, 0x1.2c9804c592911p-17, 0x1.2bb309d215e75p-17, 0x1.2acaa6bed2cc7p-17, 0x1.29deed84e6d27p-17, 0x1.28efeff85cfb6p-17, 0x1.27fdbfc801eap-17, 0x1.27086e7d232c6p-17, 0x1.26100d7b65027p-17, 0x1.2514ae008ce61p-17, 0x1.241661246ac63p-17, 0x1.231537d8990ap-17, 0x1.221142e87f73p-17, 0x1.210a92f9256d6p-17, 0x1.20013889086a1p-17, 0x1.1ef543effd2c9p-17, 0x1.1de6c55f2a9a5p-17, 0x1.1cd5cce0f3d36p-17, 0x1.1bc26a58d2265p-17, 0x1.1aacad8350bd3p-17, 0x1.1994a5f60c2f7p-17, 0x1.187a631fa315ap-17, 0x1.175df447a654ap-17, 0x1.163f688e85f26p-17, 0x1.151eceeda3638p-17, 0x1.13fc363735027p-17, 0x1.12d7ad1666578p-17, 0x1.11b1420f5e269p-17, 0x1.1089037f21773p-17, 0x1.0f5eff9ba248p-17, 0x1.0e334473d935bp-17, 0x1.0d05dfefc813p-17, 0x1.0bd6dfd0890aap-17, 0x1.0aa651b0568c6p-17, 0x1.0974430293cdcp-17, 0x1.0840c113fb31dp-17, 0x1.070bd90aa9d09p-17, 0x1.05d597e6209e1p-17, 0x1.049e0a7f6ae53p-17, 0x1.03653d892db3p-17, 0x1.022b3d8fc338ap-17, 0x1.00f016f96b5c5p-17, 0x1.ff67ac0ca5dc3p-18, 0x1.fced0da17fcc9p-18, 0x1.fa706a9a5413fp-18, 0x1.f7f1da94a5f8dp-18, 0x1.f57174e2f9279p-18, 0x1.f2ef508d02b25p-18, 0x1.f06b844ff699cp-18, 0x1.ede6269eec647p-18, 0x1.eb5f4da31300cp-18, 0x1.e8d70f3c15a64p-18, 0x1.e64d81005c1c2p-18, 0x1.e3c2b83d83c7bp-18, 0x1.e136c9f88ced4p-18, 0x1.dea9caee34e6fp-18, 0x1.dc1bcf937a278p-18, 0x1.d98cec15fcc8dp-18, 0x1.d6fd345c3ed26p-18, 0x1.d46cbc061b8d3p-18, 0x1.d1db966d1881dp-18, 0x1.cf49d6a4caed7p-18, 0x1.ccb78f7b666e6p-18, 0x1.ca24d379e8403p-18, 0x1.c791b4e4c3049p-18, 0x1.c4fe45bc10ea9p-18, 0x1.c26a97bc27414p-18, 0x1.bfd6bc5dee16fp-18, 0x1.bd42c4d777d57p-18, 0x1.baaec21c4c7c3p-18, 0x1.b81ac4ddd28abp-18, 0x1.b586dd8bca5d9p-18, 0x1.b2f31c54cebb5p-18, 0x1.b05f9126e7405p-18, 0x1.adcc4bafc8a51p-18, 0x1.ab395b5d63fe8p-18, 0x1.a8a6cf5e56936p-18, 0x1.a614b6a26d94bp-18, 0x1.a3831fdb220e5p-18, 0x1.a0f2197c07dedp-18, 0x1.9e61b1bb4d673p-18, 0x1.9bd1f6922679ep-18, 0x1.9942f5bd66d85p-18, 0x1.96b4bcbe0c8dp-18, 0x1.942758d982cap-18, 0x1.919ad71a422a5p-18, 0x1.8f0f445061195p-18, 0x1.8c84ad11ee0a2p-18, 0x1.89fb1dbb81e34p-18, 0x1.8772a270a72e6p-18, 0x1.84eb471c94de6p-18, 0x1.82651772883cep-18, 0x1.7fe01eee28eep-18, 0x1.7d5c68d443b7p-18, 0x1.7ada00331e5d8p-18, 0x1.7858efe3080f6p-18, 0x1.75d94286e0908p-18, 0x1.735b028c8e1dcp-18, 0x1.70de3a2d7df9fp-18, 0x1.6e62f36f42f4cp-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      29, 0x1.751eb851eb852p+2, 0x1.edf6a3fc846bp+0, 0x1.3936a1cb35caep+2, -0x1.cd9fc151187dcp-8, 
      {{
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.4e0b1e9112c46p-6, -0x1.b19dcc13ca65fp-5, 0x1.a25752b3b42d9p-5, -0x1.5e689d51e2b0ap-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.24bacd9ff3563p-6, -0x1.8918a83caff39p-5, 0x1.880f7a1a5cc6dp-5, -0x1.51ca40657c839p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.fead21975471cp-7, -0x1.6328301bb62e6p-5, 0x1.6eb9e87926a37p-5, -0x1.470fcea1ed67bp-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.bb3afb1316293p-7, -0x1.3fb5f9f4af0c4p-5, 0x1.5632529368089p-5, -0x1.3bd3b279e0297p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.7ea1988541e52p-7, -0x1.1eacf020a3e2cp-5, 0x1.3e8271fd7738cp-5, -0x1.30ba54baf1989p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.4867b0a75c7cdp-7, -0x1.ffef43b144ef7p-6, 0x1.27a7aba2a519bp-5, -0x1.2597a7bbffa0bp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.1818401a598cbp-7, -0x1.c7016d80decbp-6, 0x1.11a2b24158543p-5, -0x1.1a7779540c7bep-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.da8512cd36e4ep-8, -0x1.92659fe1df245p-6, 0x1.f8e6abe94862bp-6, -0x1.0f569fd00e0f2p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.8ef429f7e6a1ap-8, -0x1.61f120879fb09p-6, 0x1.d0334723acad7p-6, -0x1.0435f4254f237p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4cad6263421c3p-8, -0x1.35793434f9e55p-6, 0x1.a92b2f514735p-6, -0x1.f22a786324c48p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.12e8e48ca6a78p-8, -0x1.0cd31fed3859cp-6, 0x1.83ce6649d7a5cp-6, -0x1.dbe90f111f305p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c1cec9809e446p-9, -0x1.cfa85144c29b7p-7, 0x1.601ceb8ef54f2p-6, -0x1.c5a7a3fb510c9p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.6be44632a7dc4p-9, -0x1.8ca3269636a23p-7, 0x1.3e16bf42826e4p-6, -0x1.af66395f28b78p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.22b5d70355ec6p-9, -0x1.504149b9a00ep-7, 0x1.1dbbe15b5f60bp-6, -0x1.9924cea0269fdp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c9f056c89eb4fp-10, -0x1.1a2d449a78cap-7, 0x1.fe18a3b8528ffp-7, -0x1.82e363f2f1bfep-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.62e214c9ec36p-10, -0x1.d4234248340bep-8, 0x1.c410218714b25p-7, -0x1.6ca1f92174995p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.0deea564ce638p-10, -0x1.7f31d28372fp-8, 0x1.8d5e3c2876683p-7, -0x1.56608ecf1ee17p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.91cbea5deac62p-11, -0x1.34db4dbe7699ap-8, 0x1.5a02f38964f9cp-7, -0x1.401f22a49a729p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.23743ff30efp-11, -0x1.e8e98f97b4f71p-9, 0x1.29fe47f0b435ap-7, -0x1.29ddbd5b928e3p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.99fdc34484171p-12, -0x1.7aa6a92321eb5p-9, 0x1.faa070ac560dcp-8, -0x1.139c3e64de3dcp-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.15b187f75227fp-12, -0x1.1d980f5abb36p-9, 0x1.a7f19127acf9fp-8, -0x1.fab63e868f168p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.66cce8195527fp-13, -0x1.a0cfd729a10bcp-10, 0x1.5befd4937dea1p-8, -0x1.ce3134f5c38bap-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.b41faa02217p-14, -0x1.2380be99d8633p-10, 0x1.169ba63b6d623p-8, -0x1.a1b698f1a0d7ep-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.e85059e5f6a81p-15, -0x1.812ea53b9b3ep-11, 0x1.afe6eb6190ea8p-9, -0x1.75151207bb867p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.e69b318fa0601p-16, -0x1.d59cd80120bd2p-12, 0x1.3ffa32c5a575ep-9, -0x1.4904c92921b9p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.958f7b57c6001p-17, -0x1.fa39e0f8da696p-13, 0x1.ba8b200c36acbp-10, -0x1.1ad6730257736p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.f05e1ab41ap-19, -0x1.b8250d8d5e5dfp-14, 0x1.10d7417135684p-10, -0x1.e91e27e241cfep-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.3b0f945b04p-21, -0x1.e3f35d81d37f6p-16, 0x1.f86c091bb9dcbp-12, -0x1.5fb4d303a08e9p-9}, 
        {0x1.7333333333333p+2, 0x1.751eb851eb852p+2, 0x1.94e2fb9d90ca8p-27, -0x1.d06eb55bbb5cp-21, 0x1.497f62c3e4cd4p-14, -0x1.a6e7f7cc41c1ap-8}, 
      }}, 
      0x1.ca432a50fb74cp-3, -0x1.4ebdad34428abp+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      {{0x1.22a74074d4246p+0, 0x1.2490163ce0464p+0, 0x1.26e679c0246b7p+0, 0x1.29855ae4bd69fp+0, 0x1.2c4e5170807eep+0, 0x1.2f2889f4614b6p+0, 0x1.31ffdf571c99ap+0, 0x1.34c419edd972cp+0, 0x1.37684de1f1d88p+0, 0x1.39e25361dbaadp+0, 0x1.3c2a5465d5a7ep+0, 0x1.3e3a6c13dcf46p+0, 0x1.400e553c4b4b9p+0, 0x1.41a324eb54008p+0, 0x1.42f70f9b5c83ap+0, 0x1.440936e1bde9bp+0, 0x1.44d97f4aa2d1cp+0, 0x1.45686d277227fp+0, 0x1.45b7074c5a128p+0, 0x1.45c6be26294a5p+0, 0x1.4599578160f7p+0, 0x1.4530dbe3d011dp+0, 0x1.448f872af555cp+0, 0x1.43b7bb017b51fp+0, 0x1.42abf373f7825p+0, 0x1.416ebd5867895p+0, 0x1.4002ae033097p+0, 0x1.3e6a5ce132c12p+0, 0x1.3ca85da3a97adp+0, 0x1.3abf3bff6d143p+0, 0x1.38b177520e665p+0, 0x1.368180662dd41p+0, 0x1.3431b691cdc4ap+0, 0x1.31c466431f262p+0, 0x1.2f3bc74efc057p+0, 0x1.2c99fbdbe5747p+0, 0x1.29e1107447c2ep+0, 0x1.2712faa60bde5p+0, 0x1.243199f6cea6dp+0, 0x1.213eb6e720df5p+0, 0x1.1e3c03ec6111bp+0, 0x1.1b2b1d9992d02p+0, 0x1.180d8ac44e82p+0, 0x1.14e4bda749dabp+0, 0x1.11b2140a346acp+0, 0x1.0e76d847810efp+0, 0x1.0b34419bbb041p+0, 0x1.07eb75312c2b8p+0, 0x1.049d86d0f0ceep+0, 0x1.014b79a1bdbbap+0, 0x1.fbec81832dce2p-1, 0x1.f53d8037d85a1p-1, 0x1.ee8b9b07235bap-1, 0x1.e7d8616ea63b1p-1, 0x1.e125495bd1d1fp-1, 0x1.da73afeb2fb12p-1, 0x1.d3c4dad019f71p-1, 0x1.cd19f9c0799c8p-1, 0x1.c674278eb498fp-1, 0x1.bfd46b372f947p-1, 0x1.b93bb94b529b7p-1, 0x1.b2aaf4cd461d1p-1, 0x1.ac22f01da13b9p-1, 0x1.a5a46df0b0b54p-1, 0x1.9f3022811e7bdp-1, 0x1.98c6b4520a64bp-1, 0x1.9268bc9932921p-1, 0x1.8c16c88886791p-1, 0x1.85d15a0f198fcp-1, 0x1.7f98e82062005p-1, 0x1.796ddf7886b7dp-1, 0x1.7350a37ccdf0cp-1, 0x1.6d418ed23a6ecp-1, 0x1.6740f3933f593p-1, 0x1.614f1c0c84ddcp-1, 0x1.5b6c4b4561645p-1, 0x1.5598bd5aa8c0ap-1, 0x1.4fd4a7fa334p-1, 0x1.4a203acf7ebacp-1, 0x1.447b9fe9f2641p-1, 0x1.3ee6fbe9f5ae9p-1, 0x1.39626e62ecc6bp-1, 0x1.33ee128ba8f35p-1, 0x1.2e89ff2fcb9b6p-1, 0x1.293646ba80da5p-1, 0x1.23f2f81252b45p-1, 0x1.1ec01e847619cp-1, 0x1.199dc1dd7170dp-1, 0x1.148be6ca58dep-1, 0x1.0f8a8f15319e9p-1, 0x1.0a99b9c03e87ap-1, 0x1.05b963521b5e7p-1, 0x1.00e985b092fe2p-1, 0x1.f85431366b343p-2, 0x1.eef6234b8965p-2, 0x1.e5b8c8ee6b264p-2, 0x1.dc9c0578bf09fp-2, 0x1.d39fb8ec93536p-2, 0x1.cac3bfed0f641p-2, 0x1.c207f417be94cp-2, 0x1.b96c2c052a24p-2, 0x1.b0f03bcf018e5p-2, 0x1.a893f4e25cc1cp-2, 0x1.a05726837c4bdp-2, 0x1.98399d6037ed8p-2, 0x1.903b24301d479p-2, 0x1.885b842c75ed4p-2, 0x1.809a843137984p-2, 0x1.78f7e96bb30e8p-2, 0x1.717377fbe86dcp-2, 0x1.6a0cf23e5a493p-2, 0x1.62c41926fba42p-2, 0x1.5b98ac528b4aep-2, 0x1.548a6a4fd89cdp-2, 0x1.4d9910a037a7cp-2, 0x1.46c45ba86c8d4p-2, 0x1.400c06ff2db42p-2, 0x1.396fcd52ba39ap-2, 0x1.32ef688317f5cp-2, 0x1.2c8a91c474da2p-2, 0x1.26410192fcb04p-2, 0x1.20126febc1a0cp-2, 0x1.19fe943a211e5p-2, 0x1.1405256d15decp-2, 0x1.0e25da0b74c1ap-2, 0x1.08606860a6b01p-2, 0x1.02b48624f5767p-2, 0x1.fa43d1db85dbcp-3, 0x1.ef508c1f970d7p-3, 0x1.e48ea5a44d874p-3, 0x1.d9fd885d9fecp-3, 0x1.cf9c9e5093404p-3, 0x1.c56b511efcd9dp-3, 0x1.bb690a93e654dp-3, 0x1.b19533d9cf515p-3, 0x1.a7ef376fef408p-3, 0x1.9e767eec4293bp-3, 0x1.952a744ed9e9cp-3, 0x1.8c0a8270c2f7cp-3, 0x1.831613f525045p-3, 0x1.7a4c940b0e637p-3, 0x1.71ad6e23aada5p-3, 0x1.69380e55e2228p-3, 0x1.60ebe15a629abp-3, 0x1.58c8543f45b7ep-3, 0x1.50ccd4a35000ep-3, 0x1.48f8d12dd8c87p-3, 0x1.414bb97701852p-3, 0x1.39c4fd14f80f4p-3, 0x1.32640ca764615p-3, 0x1.2b2859c4a890ap-3, 0x1.2411570eccbe5p-3, 0x1.1d1e77ee8b179p-3, 0x1.164f30984359ep-3, 0x1.0fa2f5e79ecc6p-3, 0x1.09193e45600ap-3, 0x1.02b180e4403bap-3, 0x1.f8d66bf37edecp-4, 0x1.ec8bad8772296p-4, 0x1.e081bb901ac67p-4, 0x1.d4b78c873ca55p-4, 0x1.c92c19afe552bp-4, 0x1.bdde5f2e035ddp-4, 0x1.b2cd5a69f9156p-4, 0x1.a7f80af855614p-4, 0x1.9d5d74d9fa683p-4, 0x1.92fc9c3cd1c5ap-4, 0x1.88d4883c44b8cp-4, 0x1.7ee4439acfd78p-4, 0x1.752ad9b9bfc99p-4, 0x1.6ba75a7beb84fp-4, 0x1.6258d79f32f97p-4, 0x1.593e64bd4a41ap-4, 0x1.505718d15c736p-4, 0x1.47a20d0f0d89ep-4, 0x1.3f1e5d7b6ccc7p-4, 0x1.36cb27d0224bep-4, 0x1.2ea78de16f21ep-4, 0x1.26b2b36ed95cap-4, 0x1.1eebbf2df244ap-4, 0x1.1751da33e69acp-4, 0x1.0fe42fe26370ap-4, 0x1.08a1eeed7be9dp-4, 0x1.018a4847b369dp-4, 0x1.f538dfdf62a66p-5, 0x1.e7af38155cebep-5, 0x1.da760bbf05307p-5, 0x1.cd8bd2fa89e37p-5, 0x1.c0ef0a14dc907p-5, 0x1.b49e338607d86p-5, 0x1.a897d5c6419ddp-5, 0x1.9cda7ddb76565p-5, 0x1.9164be12d17dcp-5, 0x1.86352db0d6cccp-5, 0x1.7b4a68aa3cae5p-5, 0x1.70a311311b367p-5, 0x1.663dce43f0a6ap-5, 0x1.5c194a2fe2b94p-5, 0x1.523435f87274cp-5, 0x1.488d499205e61p-5, 0x1.3f233f6cbdd27p-5, 0x1.35f4d5acc3de9p-5, 0x1.2d00d4da6c008p-5, 0x1.2446056e0d2fp-5, 0x1.1bc335e7c67c1p-5, 0x1.13773a2798ccbp-5, 0x1.0b60ea38df354p-5, 0x1.037f2687e936p-5, 0x1.f7a19e1f4d712p-6, 0x1.e8a997fb2a3fap-6, 0x1.da1410af5d9fep-6, 0x1.cbdee7be0151ap-6, 0x1.be0805bb6b1efp-6, 0x1.b08d61c4e165ep-6, 0x1.a36cf4d66350dp-6, 0x1.96a4c7163bc69p-6, 0x1.8a32e51716a57p-6, 0x1.7e15666c1405fp-6, 0x1.724a68a90d644p-6, 0x1.66d0101e9d5dep-6, 0x1.5ba48f316750fp-6, 0x1.50c61c12da4bfp-6, 0x1.4632fa94bd52p-6, 0x1.3be97537f90dep-6, 0x1.31e7df523e914p-6, 0x1.282c91ba43008p-6, 0x1.1eb5eb7207998p-6, 0x1.158252e670a1p-6, 0x1.0c90343878f1p-6, 0x1.03de016a4c13dp-6, 0x1.f6d47ec6878c8p-7, 0x1.e666f4530aa3bp-7, 0x1.d67094e9c2f54p-7, 0x1.c6ee8f882baabp-7, 0x1.b7de1256191dfp-7, 0x1.a93c4aaed3769p-7, 0x1.9b0679b258ebap-7, 0x1.8d39fba8665abp-7, 0x1.7fd44eca31d0fp-7, 0x1.72d30885edb0ep-7, 0x1.6633cad76c63bp-7, 0x1.59f42de92bee6p-7, 0x1.4e11b90b423b3p-7, 0x1.428a0c24c2351p-7, 0x1.375ad337be0cfp-7, 0x1.2c81e867c77abp-7, 0x1.21fd1de35ff1cp-7, 0x1.17ca55b0c0b22p-7, 0x1.0de778592c819p-7, 0x1.04526c04c2e67p-7, 0x1.f6126e66413dap-8, 0x1.e413f15b120dp-8, 0x1.d2a5bee8b8a57p-8, 0x1.c1c43ccab272bp-8, 0x1.b16bac5e05706p-8, 0x1.a19813f93bbcdp-8, 0x1.924588e71edfap-8, 0x1.8370690f1b7c9p-8, 0x1.75157ef0f7ceap-8, 0x1.673204cdbc84p-8, 0x1.59c35bd6a8907p-8, 0x1.4cc6a80ece27fp-8, 0x1.4038ac7498fa3p-8, 0x1.3415d3189bf25p-8, 0x1.285a9f995aafdp-8, 0x1.1d03e1a93b9ap-8, 0x1.120ef3b13a989p-8, 0x1.07797b43f7ccep-8, 0x1.fa82a9a59f89fp-9, 0x1.e6c85f9ca955fp-9, 0x1.d3bedf9ceb71dp-9, 0x1.c16078971a7e6p-9, 0x1.afa7651e48625p-9, 0x1.9e8eb83863db1p-9, 0x1.8e1247998bcbbp-9, 0x1.7e2e2d6b834a2p-9, 0x1.6ede4a3a669bep-9, 0x1.601de5f093522p-9, 0x1.51e83eb10d44dp-9, 0x1.4438ee2e8f2adp-9, 0x1.370bf5e7c15f8p-9, 0x1.2a5d347f7e8c8p-9, 0x1.1e2949d207f9cp-9, 0x1.126d0d8d0ba47p-9, 0x1.0725c69c6eac9p-9, 0x1.f8a09ddae9eabp-10, 0x1.e3d171b8e5e06p-10, 0x1.cfd4936b451efp-10, 0x1.bca18ee8fbebp-10, 0x1.aa3273d2b16b9p-10, 0x1.9882ac4a83226p-10, 0x1.878bbe77d583dp-10, 0x1.774625a736442p-10, 0x1.67ac1ce798835p-10, 0x1.58bac8fd30a9dp-10, 0x1.4a702d57f5353p-10, 0x1.3cc7155dcf7efp-10, 0x1.2fb8625e289a3p-10, 0x1.233d8110d71e6p-10, 0x1.1751abaadadaep-10, 0x1.0bef0fa45bdf5p-10, 0x1.010dcca014163p-10, 0x1.ed4bcf6bb2f48p-11, 0x1.d967e20c55bf1p-11, 0x1.c670bcb0b0e6ep-11, 0x1.b466bcc87fd5ep-11, 0x1.a344b9918c9d8p-11, 0x1.93046249a6128p-11, 0x1.839f941a7c44bp-11, 0x1.750b96d85aa03p-11, 0x1.673614966bbc1p-11, 0x1.5a0c1a64d17fcp-11, 0x1.4d8331c02c4ep-11, 0x1.4199c6df00979p-11, 0x1.36513a74348b7p-11, 0x1.2ba99098c2fffp-11, 0x1.21a03c10ae6e5p-11, 0x1.1831fc07d7ep-11, 0x1.0f5c6c26cbcd6p-11, 0x1.071b6f8dbd892p-11, 0x1.fec8c8ee7ceefp-12, 0x1.f04a5fd2492ep-12, 0x1.e298a678fded5p-12, 0x1.d5b13f1e3d279p-12, 0x1.c99d22bd5df37p-12, 0x1.be586a5641c04p-12, 0x1.b3e00cf90cc0cp-12, 0x1.aa3527b371baep-12, 0x1.a14e09ec82bd2p-12, 0x1.991a6c118ab71p-12, 0x1.9193cce379678p-12, 0x1.8abc2c374dc55p-12, 0x1.848a1084a0d58p-12, 0x1.7edd02e29435dp-12, 0x1.799cfa38b131ep-12, 0x1.74db92b89aebdp-12, 0x1.70986215719fcp-12, 0x1.6ccb0d03f8306p-12, 0x1.697dac9a5eb63p-12, 0x1.66a229656964bp-12, 0x1.6421cd0d43481p-12, 0x1.61f792e5103f1p-12, 0x1.602aed60cea87p-12, 0x1.5ec578e2b23b6p-12, 0x1.5dbf32db833eep-12, 0x1.5cfc367eb848fp-12, 0x1.5c6e7325e732ep-12, 0x1.5c25ebc287eb2p-12, 0x1.5c16c9807b949p-12, 0x1.5c4a9a58341e8p-12, 0x1.5cbefe3dac0a6p-12, 0x1.5d5cf6128fcfbp-12, 0x1.5e1f26446addbp-12, 0x1.5f0795e6d78ccp-12, 0x1.601935bcef734p-12, 0x1.615ad6844023fp-12, 0x1.62c92b4d302eap-12, 0x1.64533a2654147p-12, 0x1.65f7bfffbac1ap-12, 0x1.67b1fa5e1d00ep-12, 0x1.697ca5b2613f5p-12, 0x1.6b62c2a034279p-12, 0x1.6d5f868cf20c8p-12, 0x1.6f6271d95a963p-12, 0x1.716c85ef6ff2ap-12, 0x1.737e029421dc6p-12, 0x1.759817578dcp-12, 0x1.77b9f1094c78ap-12, 0x1.79e635fe35df4p-12, 0x1.7c1afd34b5bd8p-12, 0x1.7e4e2eea6ea99p-12, 0x1.8087662e7f423p-12, 0x1.82b61f86df46ap-12, 0x1.84e265b9e7b83p-12, 0x1.87108b036f643p-12, 0x1.893393eaa5d6cp-12, 0x1.8b4b74bad917bp-12, 0x1.8d59ed16a7f1fp-12, 0x1.8f5ef54447e92p-12, 0x1.91599823bb554p-12, 0x1.934830df8b10ap-12, 0x1.95288cd0420e2p-12, 0x1.96ff57ea1b561p-12, 0x1.98cc22226d4d2p-12, 0x1.9a8b88d0c1e04p-12, 0x1.9c35226878936p-12, 0x1.9dd07ff21d42ep-12, 0x1.9f5e2c30e3dep-12, 0x1.a0d5b70fe856bp-12, 0x1.a239f18b4945fp-12, 0x1.a38be37b4d739p-12, 0x1.a4cac0b9682a5p-12, 0x1.a5f6da8dc7fbdp-12, 0x1.a70ef43ae1d3dp-12, 0x1.a81275ff49f7cp-12, 0x1.a900020dbeb8ep-12, 0x1.a9d859b61372dp-12, 0x1.aaa0d798a9d48p-12, 0x1.ab55b322f45d6p-12, 0x1.abee4474f99cep-12, 0x1.ac787cb24cfa9p-12, 0x1.ace9bd740950fp-12, 0x1.ad444b1954a6p-12, 0x1.ad88a005eaf8ep-12, 0x1.adb77cea3ed57p-12, 0x1.add07ca84d438p-12, 0x1.add462349ae66p-12, 0x1.adc267ea93aabp-12, 0x1.ad9a64a3cb5ccp-12, 0x1.ad5c5984619cp-12, 0x1.ad09272a2165p-12, 0x1.ac9f1273a056ap-12, 0x1.ac20f4d72989ep-12, 0x1.ab8f354ed293ap-12, 0x1.aae6afa24638ep-12, 0x1.aa2a4882c107ap-12, 0x1.a957f2acaed95p-12, 0x1.a870cf49ceb79p-12, 0x1.a775798671615p-12, 0x1.a666105ebeed6p-12, 0x1.a542b880c4dafp-12, 0x1.a40bb437c022dp-12, 0x1.a2c0fec4d1e39p-12, 0x1.a16316113fd43p-12, 0x1.9ff250facc09bp-12, 0x1.9e6f1feaa7c3ap-12, 0x1.9cd8eb76156a5p-12, 0x1.9b30b49e5a16dp-12, 0x1.9976ba4685ff6p-12, 0x1.97aae9a973e2bp-12, 0x1.95cdff17a9586p-12, 0x1.93e0baec2596dp-12, 0x1.91e213dbbbfecp-12, 0x1.8fd3320836247p-12, 0x1.8db3ff9190a23p-12, 0x1.8b85b0f3240cfp-12, 0x1.894745087ba55p-12, 0x1.86f96b9ec25b5p-12, 0x1.849dffd688323p-12, 0x1.8233b41141b15p-12, 0x1.7fbae902e9181p-12, 0x1.7d3466f5d5818p-12, 0x1.7aa083e343402p-12, 0x1.780021616fd9cp-12, 0x1.75525b92972f8p-12, 0x1.7298109846283p-12, 0x1.6fd19c0010729p-12, 0x1.6cff97c5ecba7p-12, 0x1.6a221d327fccbp-12, 0x1.67398e8610f2ep-12, 0x1.644649eca1c9bp-12, 0x1.61486ea3fe3cdp-12, 0x1.5e405d96278cdp-12, 0x1.5b2e8f239998p-12, 0x1.58132438e7eefp-12, 0x1.54eeaa2455f85p-12, 0x1.51c1b4d8739cbp-12, 0x1.4e8c1cbab3cfp-12, 0x1.4b4d7987e6ca1p-12, 0x1.4807e1ac189e4p-12, 0x1.44baa337c3dd8p-12, 0x1.4165ecfc6fc03p-12, 0x1.3e0a185b0e766p-12, 0x1.3aa7f079f8fc4p-12, 0x1.373f1b3af7cep-12, 0x1.33d0ea6efb942p-12, 0x1.305c8cecf2937p-12, 0x1.2ce2610a9de6ep-12, 0x1.29637705b3fe8p-12, 0x1.25dfb8a56923bp-12, 0x1.2256daf2701b4p-12, 0x1.1eca380ac738ep-12, 0x1.1b396a4b85f97p-12, 0x1.17a49b8d4a6d4p-12, 0x1.140c67dfe893dp-12, 0x1.1071167858d97p-12, 0x1.0cd2dc027ccc8p-12, 0x1.0931e17e8edcfp-12, 0x1.058e5556ecb41p-12, 0x1.01e876aba15c1p-12, 0x1.fc8174e10c8ep-13, 0x1.f52e9c9060e12p-13, 0x1.edd89e641614dp-13, 0x1.e680990a73b8ap-13, 0x1.df2615ba47047p-13, 0x1.d7c9c52e324cp-13, 0x1.d06c9e1ac7a65p-13, 0x1.c90ef7c9732ffp-13, 0x1.c1b10a8e28bfep-13, 0x1.ba53140953a19p-13, 0x1.b2f4f43071c63p-13, 0x1.ab9902e92d93p-13, 0x1.a43e4e78524a8p-13, 0x1.9ce4919ddb1a9p-13, 0x1.958d44828962ap-13, 0x1.8e38a20e3866fp-13, 0x1.86e6df6418ac4p-13, 0x1.7f98028383271p-13, 0x1.784dc95d56c85p-13, 0x1.7106ad7dcb4c3p-13, 0x1.69c3987451ee6p-13, 0x1.62859e78fd718p-13, 0x1.5b4c0c5bbb6ap-13, 0x1.54191ce49a6aep-13, 0x1.4ceaf019713ddp-13, 0x1.45c1285fba977p-13, 0x1.3e9f5a8832cecp-13, 0x1.37840089767e6p-13, 0x1.306e081c2104dp-13, 0x1.2960150e077e3p-13, 0x1.225911e228c54p-13, 0x1.1b59d98b40facp-13, 0x1.146245286f694p-13, 0x1.0d72b2067cda6p-13, 0x1.068b3cccf9f91p-13, 0x1.ff59063f207ffp-14, 0x1.f1abbda27ab31p-14, 0x1.e41213da06123p-14, 0x1.d68a39ce51cbep-14, 0x1.c914c53a16522p-14, 0x1.bbb17b284ec8dp-14, 0x1.ae631e117df7p-14, 0x1.a127c92bcbc4ep-14, 0x1.9400e9a2b86f8p-14, 0x1.86eeb11f113c7p-14, 0x1.79f139922a2fbp-14, 0x1.6d09c2656ab42p-14, 0x1.603781171b356p-14, 0x1.5379bb5049419p-14, 0x1.46d3479246041p-14, 0x1.3a42f504517d7p-14, 0x1.2dc963f5025aap-14, 0x1.2166df817865dp-14, 0x1.151bbc6f08aebp-14, 0x1.08e79c0d81a32p-14, 0x1.f9998d27f3e89p-15, 0x1.e18f36fc9e4dp-15, 0x1.c9b349eb9fb73p-15, 0x1.b20d1ca0ed391p-15, 0x1.9a9ace6d53c9cp-15, 0x1.835422cc174eap-15, 0x1.6c3bf99549a77p-15, 0x1.555cb7a6e9168p-15, 0x1.3eae0d272b745p-15, 0x1.282e7e1e9e581p-15, 0x1.11e4ce761a0c7p-15, 0x1.f79ffade5ac4dp-16, 0x1.cbd763f83b34dp-16, 0x1.a078e318e4e6p-16, 0x1.7580e6041420ep-16, 0x1.4aef6e53fbde9p-16, 0x1.20c61279f2e8dp-16, 0x1.ee0e03af64a7ep-17, 0x1.9b65d3e35646ep-17, 0x1.4989d7cfc7fb1p-17, 0x1.f102eec435f22p-18, 0x1.50a020d21a36fp-18, 0x1.63b7a8ee04514p-19, 0x1.4c6ca57cf5452p-22, -0x1.0d588f8fc99d8p-19, -0x1.2068748a803bep-18, -0x1.b888943ab9c2ap-18, -0x1.277e5c11f8cacp-17, -0x1.71e8818a6679fp-17, -0x1.bb7b73614007bp-17, -0x1.021a107c4b1eap-16, -0x1.260d79b07ee73p-16, -0x1.4996348faa7a5p-16, -0x1.6cb8139d76e75p-16, -0x1.8f6d504e32a93p-16, -0x1.b1ba212042995p-16, -0x1.d396fa905efe1p-16, -0x1.f516612e6d626p-16, -0x1.0b0f43e833f9bp-15, -0x1.1b6452e6f7d54p-15, -0x1.2b828b7d924f1p-15, -0x1.3b6b871b2eb12p-15, -0x1.4b22a1cb020fcp-15, -0x1.5aa472ce6c21p-15, -0x1.69f2a2e63a49dp-15, -0x1.790d029491239p-15, -0x1.87f16047731f5p-15, -0x1.96a417c5119d1p-15, -0x1.a522ef89cae6bp-15, -0x1.b37312b553853p-15, -0x1.c18c434a4a616p-15, -0x1.cf71dde977f78p-15, -0x1.dd264b065b942p-15, -0x1.eaa89ddd4cdfcp-15, -0x1.f7f8d7c84c4a5p-15, -0x1.028b84fd345c1p-14, -0x1.090217aaac326p-14, -0x1.0f5ff6fb962fbp-14, -0x1.15a48fd6d9094p-14, -0x1.1bd141cb004f6p-14, -0x1.21e5e6f9a005cp-14, -0x1.27e1a632f5482p-14, -0x1.2dc5f0fbe9dddp-14, -0x1.33918b089c017p-14, -0x1.3946ba3d8bedcp-14, -0x1.3ee1ea2e94b3p-14, -0x1.44684f5db8429p-14, -0x1.49d573f85dd1fp-14, -0x1.4f2c76837dc81p-14, -0x1.546b9a8cebf83p-14, -0x1.5993d5e6ab7f2p-14, -0x1.5ea650ebe5e43p-14, -0x1.63a030a7c3a93p-14, -0x1.688513bb29308p-14, -0x1.6d520b1a637a4p-14, -0x1.720a20f135771p-14, -0x1.76acc6178bf0fp-14, -0x1.7b383128f0327p-14, -0x1.7fae3da7db073p-14, -0x1.840eae4973027p-14, -0x1.885ade61e95bep-14, -0x1.8c90d0e4d68c9p-14, -0x1.90b0d9cefdebep-14, -0x1.94bcad3b02d3fp-14, -0x1.98b47c019805p-14, -0x1.9c97b1f2c3e1bp-14, -0x1.a064e622428a7p-14, -0x1.a41e15fc6a8dep-14, -0x1.a7c3da26bee44p-14, -0x1.ab5674a1af384p-14, -0x1.aed434a5f55e2p-14, -0x1.b23ea60da1a2fp-14, -0x1.b594a2c9f741fp-14, -0x1.b8d93f1624572p-14, -0x1.bc0996391921p-14, -0x1.bf26ca7824d4fp-14, -0x1.c2313f5f31719p-14, -0x1.c52951425aab6p-14, -0x1.c8104d91a141dp-14, -0x1.cae3950a295bcp-14, -0x1.cda5ae48ae463p-14, -0x1.d0539709b3dcbp-14, -0x1.d2f1de8b49995p-14, -0x1.d57e0eb3cdb67p-14, -0x1.d7f8c37d8423ap-14, -0x1.da62b8ab7c206p-14, -0x1.dcba5f3fb4465p-14, -0x1.df0330b2fc6edp-14, -0x1.e1397c5576e8p-14, -0x1.e35f1bded4eafp-14, -0x1.e57527d3ba6b6p-14, -0x1.e77aec033d568p-14, -0x1.e970cf59c9c24p-14, -0x1.eb563c3098848p-14, -0x1.ed2c079dd6348p-14, -0x1.eef22ea2db8d5p-14, -0x1.f0aa0cdedb812p-14, -0x1.f2511cafff4c2p-14, -0x1.f3ea9eb6bdbfep-14, -0x1.f573b23db1617p-14, -0x1.f6eef6beb617ep-14, -0x1.f85b9768cf0d8p-14, -0x1.f9b9db50fa09fp-14, -0x1.fb09cb5af44d7p-14, -0x1.fc4bae30def52p-14, -0x1.fd7fa848b279cp-14, -0x1.fea52a0157bebp-14, -0x1.ffbeed72e8907p-14, -0x1.0064a2ab81fbdp-13, -0x1.00e3cf81b8a1p-13, -0x1.015c219d72e9ep-13, -0x1.01ce956315cfbp-13, -0x1.0239c6d3add52p-13, -0x1.029eef6ede183p-13, -0x1.02fdd9b2bce59p-13, -0x1.0356530f5181ep-13, -0x1.03a98332b8161p-13, -0x1.03f649db15cb4p-13, -0x1.043d2973140cp-13, -0x1.047df4c344d64p-13, -0x1.04b937474094p-13, -0x1.04ee9d51cc29bp-13, -0x1.051ea4fa16ccfp-13, -0x1.0548fc5923071p-13, -0x1.056da76a957a7p-13, -0x1.058d03844818bp-13, -0x1.05a70010f6efcp-13, -0x1.05bbdea9a6cdcp-13, -0x1.05cbae792aaeep-13, -0x1.05d5e55cda0a2p-13, -0x1.05db028815eefp-13, -0x1.05dbfea88ae7dp-13, -0x1.05d7707c7be4dp-13, -0x1.05ce0c5941ed2p-13, -0x1.05c00ed72d8ecp-13, -0x1.05ad31aeeaca2p-13, -0x1.0595db8a133c4p-13, -0x1.0579ea6914699p-13, -0x1.05599966bc03p-13, -0x1.05342e6f0b637p-13, -0x1.050b010fe384ap-13, -0x1.04dd5f689467dp-13, -0x1.04ac326275329p-13, -0x1.04760af96b276p-13, -0x1.043bab7d89106p-13, -0x1.03fd9b84885cfp-13, -0x1.03bb7a333e95cp-13, -0x1.0375b0827f9ddp-13, -0x1.032bca7cf47dp-13, -0x1.02de04bd28cfap-13, -0x1.028ca54bfe9afp-13, -0x1.0237749a02568p-13, -0x1.01dee95dfa9fp-13, -0x1.0182a2cdffebcp-13, -0x1.0122d2969c6fp-13, -0x1.00bfa5285cf95p-13, -0x1.005918adc092ep-13, -0x1.ffde0195c6e49p-14, -0x1.ff04a73c46184p-14, -0x1.fe23619cc3871p-14, -0x1.fd3cbe326e192p-14, -0x1.fc4faeb7a08efp-14, -0x1.fb5bf6f7111dcp-14, -0x1.fa626e76982cep-14, -0x1.f9644c7772b8dp-14, -0x1.f85eea50b95b8p-14, -0x1.f7548e3bea76ap-14, -0x1.f64498627514ep-14, -0x1.f52edd0182bep-14, -0x1.f4140f7f5d0fp-14, -0x1.f2f474e1ec8f9p-14, -0x1.f1ce9890da2bap-14, -0x1.f0a4d88615d1bp-14, -0x1.ef75a29876886p-14, -0x1.ee41937bd3d1dp-14, -0x1.ed091e6d48407p-14, -0x1.ebca683273af6p-14, -0x1.ea8a387c44102p-14, -0x1.e943752e5a60ap-14, -0x1.e7f80577a69cp-14, -0x1.e6a93a6624fap-14, -0x1.e555f73b1e84ap-14, -0x1.e3fef42a586aep-14, -0x1.e2a360fe2a8cbp-14, -0x1.e145573cb969ap-14, -0x1.dfe0c15fc44c5p-14, -0x1.de7a3cad0f331p-14, -0x1.dd1040e448d1ep-14, -0x1.dba1ce1f766d1p-14, -0x1.da3015909f9aap-14, -0x1.d8bb3056221abp-14, -0x1.d74358026e08ap-14, -0x1.d5c6de116e221p-14, -0x1.d4487776a49b7p-14, -0x1.d2c71d0f88765p-14, -0x1.d1424dc5d8ef4p-14, -0x1.cfba9c56598b3p-14, -0x1.ce2ffafc6918cp-14, -0x1.cca23645cd2a7p-14, -0x1.cb1289ae79ad6p-14, -0x1.c9800e50252c2p-14, -0x1.c7ea7922a9c6p-14, -0x1.c6529f6d0daacp-14, -0x1.c4b86d7888678p-14, -0x1.c31c2e5643821p-14, -0x1.c17d05f4dfe64p-14, -0x1.bfdbfc7a7db04p-14, -0x1.be39ba14118fap-14, -0x1.bc93bf6662b0dp-14, -0x1.baec942668eb6p-14, -0x1.b943633e89929p-14, -0x1.b7980e1e0f324p-14, -0x1.b5ebcb03eced9p-14, -0x1.b43cf0d1c3a08p-14, -0x1.b28c125917423p-14, -0x1.b0da38ad33a94p-14, -0x1.af26b4f1a1f2ap-14, -0x1.ad71f9ba77e85p-14, -0x1.abbb84221b2bp-14, -0x1.aa039acc0a15fp-14, -0x1.a84a08aee11f3p-14, -0x1.a68f9944b74bfp-14, -0x1.a4d3fdf723addp-14, -0x1.a316ae7fc6bfcp-14, -0x1.a15840808ea8fp-14, -0x1.9f99cac48f5fbp-14, -0x1.9dd98a04149d5p-14, -0x1.9c1841a66967ap-14, -0x1.9a56992f11333p-14, -0x1.98934e63f5c2bp-14, -0x1.96cf68901bf1bp-14, -0x1.950aedd6c998ap-14, -0x1.9346779083132p-14, -0x1.917ffffd7dd5ap-14, -0x1.8fb9f0b538a48p-14, -0x1.8df1ff1140701p-14, -0x1.8c2a70a7d90adp-14, -0x1.8a62c50d94e7fp-14, -0x1.889aeecf57138p-14, -0x1.86d12e7ff8199p-14, -0x1.8507ee9d18da5p-14, -0x1.833e6748f5e7cp-14, -0x1.8174c4c57aa69p-14, -0x1.7faa8ad2fe94ap-14, -0x1.7de0215544691p-14, -0x1.7c15f18c79b9ep-14, -0x1.7a4b28babf592p-14, -0x1.7880a1ce23445p-14, -0x1.76b5f38b4560fp-14, -0x1.74ebb0262b436p-14, -0x1.73213f9d43891p-14, -0x1.715613ffe471dp-14, -0x1.6f8bdd83ef882p-14, -0x1.6dc1998c03d09p-14, -0x1.6bf79c0cbdd8dp-14, -0x1.6a2dbd97f6ac3p-14, -0x1.686420fd102ccp-14, -0x1.669acd1d466dep-14, -0x1.64d1d1f5bd224p-14, -0x1.630926543adbdp-14, -0x1.6140c0501e26ap-14, -0x1.5f78dd8da47c8p-14, -0x1.5db168a83912dp-14, -0x1.5beaac5e0573ap-14, -0x1.5a23d297bf1ebp-14, -0x1.585df0cc84dc1p-14, -0x1.5699041aa2e2ep-14, -0x1.54d406aaf0e41p-14, -0x1.530f48cf6c165p-14, -0x1.514c42fcb01bep-14, -0x1.4f896249c312dp-14, -0x1.4dc6cd2530418p-14, -0x1.4c05a92e1e45cp-14, -0x1.4a451d16e588bp-14, -0x1.488407e22a655p-14, -0x1.46c5278ccc9cap-14, -0x1.450791dcf0c25p-14, -0x1.4349b04fabdf4p-14, -0x1.418cb10514292p-14, -0x1.3fd0dc9acb9afp-14, -0x1.3e15b68824843p-14, -0x1.3c5c0b4a82456p-14, -0x1.3aa283da3c609p-14, -0x1.38ea9e2d3c64ap-14, -0x1.373361ec42b39p-14, -0x1.357d39e9e23eap-14, -0x1.33c801e3fc75fp-14, -0x1.3213d1b2b9366p-14, -0x1.306103a214383p-14, -0x1.2eaefe28d642bp-14, -0x1.2cfe4fd57603ap-14, -0x1.2b4e2c040b902p-14, -0x1.299f8ea62bf2ap-14, -0x1.27f20191820d8p-14, -0x1.2645bb2a915d4p-14, -0x1.249ac51a496c1p-14, -0x1.22f079c18575ep-14, -0x1.2147bc67ccf3p-14, -0x1.1fa0163381a08p-14, -0x1.1dfa15c7758eep-14, -0x1.1c55013c5ed33p-14, -0x1.1ab0dc4e49e8fp-14, -0x1.190e5dda0f262p-14, -0x1.176d286c79883p-14, -0x1.15cd5a162b3a1p-14, -0x1.142e3e5467328p-14, -0x1.129126a7479c8p-14, -0x1.10f553429f309p-14, -0x1.0f5a7bd549104p-14, -0x1.0dc1281de3ea4p-14, -0x1.0c2934c32eca5p-14, -0x1.0a92905206e2ap-14, -0x1.08fd6ee9d4f6bp-14, -0x1.0769e977f2203p-14, -0x1.05d733dcf67c2p-14, -0x1.044648e94b6fp-14, -0x1.02b707ab7d47bp-14, -0x1.012854e96b17ep-14, -0x1.ff388da6a69f6p-15, -0x1.fc223765072e4p-15, -0x1.f90ea8bd7e03ap-15, -0x1.f5fdd9a99bb6ep-15, -0x1.f2f0a92140cedp-15, -0x1.efe5fb9a51eb4p-15, -0x1.ecde00a21c9c1p-15, -0x1.e9d9af7f14142p-15, -0x1.e6d819888fb4ap-15, -0x1.e3d9433d2eaf6p-15, -0x1.e0ddfd71eb8acp-15, -0x1.dde6752c5b108p-15, -0x1.daef6430b3dd9p-15, -0x1.d7fd5cff46c36p-15, -0x1.d50e9983579b3p-15, -0x1.d22228a54f1cep-15, -0x1.cf39525b75565p-15, -0x1.cc5329071f5d6p-15, -0x1.c96fb4ec64197p-15, -0x1.c690737e9ca4ep-15, -0x1.c3b3c033fd8b9p-15, -0x1.c0da4e2c013f7p-15, -0x1.be03c77fc114ap-15, -0x1.bb309438fc1c5p-15, -0x1.b860c8c6d6596p-15, -0x1.b593cc8bacff4p-15, -0x1.b2c9dedad94d3p-15, -0x1.b0041a68c879ep-15, -0x1.ad3f983721628p-15, -0x1.aa7f527087794p-15, -0x1.a7c3c20223493p-15, -0x1.a5099af5f9f2fp-15, -0x1.a2524faa94c04p-15, -0x1.9f9f422d2512bp-15, -0x1.9cef3156cd265p-15, -0x1.9a41025e6b924p-15, -0x1.979920319340cp-15, -0x1.94f12681ad817p-15, -0x1.924ef8f37debcp-15, -0x1.8fad9af25f349p-15, -0x1.8d10ac0994adcp-15, -0x1.8a77e0f8ad4e2p-15, -0x1.87e13ca74133ap-15, -0x1.854dd31fa2e2ep-15, -0x1.82bcf526f5e0bp-15, -0x1.803045ff807e5p-15, -0x1.7da7f043e479bp-15, -0x1.7b209e9d2a3bbp-15, -0x1.789cb7082a95dp-15, -0x1.761cd07d41e41p-15, -0x1.73a0aa12a1ef9p-15, -0x1.71272774d6069p-15, -0x1.6eb086c59e1ep-15, -0x1.6c3d13e313c94p-15, -0x1.69cc97009906p-15, -0x1.67606b8a3f271p-15, -0x1.64f6a5337943fp-15, -0x1.628ff6364f56ap-15, -0x1.602cc5b192a61p-15, -0x1.5dcce7388bce8p-15, -0x1.5b6fbcf68d0b3p-15, -0x1.59166ac47db5dp-15, -0x1.56bf2ddb7886dp-15, -0x1.546b58166d5dep-15, -0x1.521c6fc11cd32p-15, -0x1.4fceefffc3543p-15, -0x1.4d84731f1c4d9p-15, -0x1.4b3dd1368085cp-15, -0x1.48fa3ba16a386p-15, -0x1.46ba24dccd218p-15, -0x1.447bb98c3ea33p-15, -0x1.4241a9e0859cfp-15, -0x1.400b0ff16657ap-15, -0x1.3dd69eb79c59p-15, -0x1.3ba5b6bdba4d4p-15, -0x1.3977c89ad2624p-15, }}, 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      {{-0x1.da5d3af4fccaep-1, -0x1.da2f17525f598p-1, -0x1.d9eddc0f57d37p-1, -0x1.d999028e6759bp-1, -0x1.d92ff6144d396p-1, -0x1.d8b21b341487ep-1, -0x1.d81ed5c0f434dp-1, -0x1.d7758d85e7018p-1, -0x1.d6b5b1f83a73fp-1, -0x1.d5debd1182c71p-1, -0x1.d4f0357609073p-1, -0x1.d3e9b006ad793p-1, -0x1.d2cad0f81f83bp-1, -0x1.d1934c8516cc1p-1, -0x1.d042e74dad78fp-1, -0x1.ced976730c914p-1, -0x1.cd56df7c27682p-1, -0x1.cbbb180e325e1p-1, -0x1.ca062581ceb9ap-1, -0x1.c8381c5c6aaebp-1, -0x1.c6511fb42a422p-1, -0x1.c45160839d099p-1, -0x1.c2391cf1b175bp-1, -0x1.c0089f9196907p-1, -0x1.bdc03e9da366dp-1, -0x1.bb605b2fd5662p-1, -0x1.b8e9607a01c28p-1, -0x1.b65bc2ff7ee59p-1, -0x1.b3b7ffd1ada84p-1, -0x1.b0fe9bd08f9bbp-1, -0x1.ae3022f055ad7p-1, -0x1.ab4d2784a04ep-1, -0x1.a856419204715p-1, -0x1.a54c0e263fd61p-1, -0x1.a22f2eb767919p-1, -0x1.9f00488a47d9ap-1, -0x1.9bc004200e568p-1, -0x1.986f0cab4b149p-1, -0x1.950e0f8c425ecp-1, -0x1.919dbbd4808d8p-1, -0x1.8e1ec1d18d7bep-1, -0x1.8a91d29ea2d47p-1, -0x1.86f79fbd306f7p-1, -0x1.8350dab406bb8p-1, -0x1.7f9e34b4ea48fp-1, -0x1.7be05e485acd9p-1, -0x1.781806ff54762p-1, -0x1.7445dd2acc2f5p-1, -0x1.706a8d98aade5p-1, -0x1.6c86c3560ad6ep-1, -0x1.689b27767a6e5p-1, -0x1.64a860e005a61p-1, -0x1.60af141bcce1fp-1, -0x1.5cafe32aedba2p-1, -0x1.58ab6d5f84bbep-1, -0x1.54a24f3990775p-1, -0x1.50952247814a8p-1, -0x1.4c847d0a40434p-1, -0x1.4870f2dc7b63ep-1, -0x1.445b13dd08acbp-1, -0x1.40436cdc2f19p-1, -0x1.3c2a874baae64p-1, -0x1.3810e93141622p-1, -0x1.33f7151bbcabap-1, -0x1.2fdd8a1a28415p-1, -0x1.2bc4c3b528fb4p-1, -0x1.27ad39ea4cd13p-1, -0x1.2397612932fap-1, -0x1.1f83aa5268fd7p-1, -0x1.1b7282b7e1abcp-1, -0x1.1764541ee8836p-1, -0x1.135984c373d5ep-1, -0x1.0f52775cbecbap-1, -0x1.0b4f8b23126f4p-1, -0x1.07511bd6a322bp-1, -0x1.035781c7723ap-1, -0x1.fec623bc323e8p-2, -0x1.f6e83b4ade87ep-2, -0x1.ef15e6a9e8e35p-2, -0x1.e74fbbb7e02bap-2, -0x1.df9649da6af4dp-2, -0x1.d7ea1a16f4e6dp-2, -0x1.d04baf2c6b742p-2, -0x1.c8bb85ade4faep-2, -0x1.c13a141e220a8p-2, -0x1.b9c7cb0bc6806p-2, -0x1.b265152e3c679p-2, -0x1.ab12578320f27p-2, -0x1.a3cff16c2f3ccp-2, -0x1.9c9e3ccd942a9p-2, -0x1.957d8e2c9253p-2, -0x1.8e6e34ce6e7bcp-2, -0x1.87707ad78d575p-2, -0x1.8084a56ab8d7dp-2, -0x1.79aaf4c87b0fp-2, -0x1.72e3a46e82bafp-2, -0x1.6c2eeb37052fdp-2, -0x1.658cfb7816234p-2, -0x1.5efe0322e11fbp-2, -0x1.58822be2c5f05p-2, -0x1.52199b3c45fe5p-2, -0x1.4bc472abbea95p-2, -0x1.4582cfc3e75f1p-2, -0x1.3f54cc4c0c69p-2, -0x1.393a7e5e00b7cp-2, -0x1.3333f883ba5c5p-2, -0x1.2d4149d49ef58p-2, -0x1.27627e126fccep-2, -0x1.21979dc5da076p-2, -0x1.1be0ae5a9cd8cp-2, -0x1.163db23b4a8ebp-2, -0x1.10aea8ec9f2d6p-2, -0x1.0b338f2862f03p-2, -0x1.05cc5ef7dca43p-2, -0x1.00790fcdd2fa8p-2, -0x1.f6732d4021068p-3, -0x1.ec1bcc00e8da5p-3, -0x1.e1ebdc6b0937ap-3, -0x1.d7e33aa511fccp-3, -0x1.ce01be9e496f5p-3, -0x1.c4473c3cebc6cp-3, -0x1.bab3838b6abfbp-3, -0x1.b14660e4ad378p-3, -0x1.a7ff9d1f579cbp-3, -0x1.9edefdb80c7d2p-3, -0x1.95e444fabcf1ep-3, -0x1.8d0f322aeda51p-3, -0x1.845f81ab074edp-3, -0x1.7bd4ed22ac826p-3, -0x1.736f2ba41308dp-3, -0x1.6b2df1d0628a9p-3, -0x1.6310f1fb23f93p-3, -0x1.5b17dc4cb8eb5p-3, -0x1.53425ee3daec8p-3, -0x1.4b9025f63a7fep-3, -0x1.4400dbf01f0ccp-3, -0x1.3c9429932bc56p-3, -0x1.3549b614354cap-3, -0x1.2e21273832a9p-3, -0x1.271a217054131p-3, -0x1.203447f5334e9p-3, -0x1.196f3ce12f26p-3, -0x1.12caa149f0468p-3, -0x1.0c46155914d81p-3, -0x1.05e138641469dp-3, -0x1.ff3752069e01fp-4, -0x1.f2ea0a50b5486p-4, -0x1.e6d9d4670d2e9p-4, -0x1.db05ea1144b52p-4, -0x1.cf6d8445ff44p-4, -0x1.c40fdb518a82bp-4, -0x1.b8ec26fb06709p-4, -0x1.ae019ea82da56p-4, -0x1.a34f797fc8478p-4, -0x1.98d4ee8abf84ap-4, -0x1.8e9134d3eca4p-4, -0x1.848383869d5cep-4, -0x1.7aab120bdaa32p-4, -0x1.710718267a2e7p-4, -0x1.6796ce0dfe141p-4, -0x1.5e596c884fd17p-4, -0x1.554e2d025911fp-4, -0x1.4c7449a782735p-4, -0x1.43cafd78216f9p-4, -0x1.3b51845edc1b8p-4, -0x1.33071b45066b9p-4, -0x1.2aeb0026057cp-4, -0x1.22fc7221bb542p-4, -0x1.1b3ab18e04d06p-4, -0x1.13a500074ba38p-4, -0x1.0c3aa0803c434p-4, -0x1.04fad7509ad46p-4, -0x1.fbc9d4868e3p-5, -0x1.edf04146dfc17p-5, -0x1.e0678691fcaacp-5, -0x1.d32e39487f5fep-5, -0x1.c642f191a4179p-5, -0x1.b9a44aefb5311p-5, -0x1.ad50e45319847p-5, -0x1.a147602c07138p-5, -0x1.9586647af154ap-5, -0x1.8a0c9adfb3cb1p-5, -0x1.7ed8b0a787b43p-5, -0x1.73e956d9d00bep-5, -0x1.693d4243c567dp-5, -0x1.5ed32b8309c18p-5, -0x1.54a9cf0f31e7fp-5, -0x1.4abfed424985cp-5, -0x1.41144a605db1dp-5, -0x1.37a5ae9e1c1ebp-5, -0x1.2e72e62681f9cp-5, -0x1.257ac11fb2691p-5, -0x1.1cbc13aef55a6p-5, -0x1.1435b5fbe87e5p-5, -0x1.0be68432e75cbp-5, -0x1.03cd5e86bc189p-5, -0x1.f7d25263246d3p-6, -0x1.e87198ea804adp-6, -0x1.d9766935cfc9p-6, -0x1.cadea3e3edbf8p-6, -0x1.bca8319d18c7p-6, -0x1.aed1030e9d827p-6, -0x1.a15710e566b9dp-6, -0x1.94385bc780a6ap-6, -0x1.8772ec4ca1089p-6, -0x1.7b04d2f5be912p-6, -0x1.6eec2823b4d53p-6, -0x1.63270c0d1ce17p-6, -0x1.57b3a6b3498d2p-6, -0x1.4c9027d68249bp-6, -0x1.41bac6e9815b6p-6, -0x1.3731c30442269p-6, -0x1.2cf362d6247d4p-6, -0x1.22fdf49773b51p-6, -0x1.194fcdfa59f7p-6, -0x1.0fe74c1b434dbp-6, -0x1.06c2d370bdd08p-6, -0x1.fbc19f75c8965p-7, -0x1.ea7f67e49a17p-7, -0x1.d9bbf46d23e56p-7, -0x1.c9744778e4fa3p-7, -0x1.b9a57177349fcp-7, -0x1.aa4c90b82270ep-7, -0x1.9b66d146b5e7cp-7, -0x1.8cf16cc29fc71p-7, -0x1.7ee9aa3965d05p-7, -0x1.714cddff12a05p-7, -0x1.641869867d66ep-7, -0x1.5749bb392db18p-7, -0x1.4ade4e4ee95cep-7, -0x1.3ed3aaa4f2722p-7, -0x1.3327649503fe1p-7, -0x1.27d71ccc19da7p-7, -0x1.1ce08021092d1p-7, -0x1.1241476ae443fp-7, -0x1.07f7375752339p-7, -0x1.fc00408193c58p-8, -0x1.e8b3bc097084cp-8, -0x1.d604afb3521bcp-8, -0x1.c3ef004ad2b47p-8, -0x1.b26ea8a669f64p-8, -0x1.a17fb953e1fe4p-8, -0x1.911e5844f32ebp-8, -0x1.8146c07c0ac7bp-8, -0x1.71f541b96b4a5p-8, -0x1.632640287abcfp-8, -0x1.54d6340d6ab9cp-8, -0x1.4701a97350cc9p-8, -0x1.39a53fda977aep-8, -0x1.2cbda9e7e192cp-8, -0x1.2047ad1359907p-8, -0x1.14402158a7a59p-8, -0x1.08a3f0e74a45p-8, -0x1.fae02fa7180dp-9, -0x1.e543479020d2dp-9, -0x1.d06b677000fp-9, -0x1.bc52ef2395d22p-9, -0x1.a8f45fe54e12bp-9, -0x1.964a5bb547131p-9, -0x1.844fa4c306ad1p-9, -0x1.72ff1cd87bf6p-9, -0x1.6253c4c68bc32p-9, -0x1.5248bbd319bcp-9, -0x1.42d93f2885884p-9, -0x1.3400a946a87d3p-9, -0x1.25ba7175a95a8p-9, -0x1.18022b3a0fc8fp-9, -0x1.0ad385ca9d95fp-9, -0x1.fc54970f8a46ap-10, -0x1.e404c2e98319dp-10, -0x1.ccaf8d64caaf5p-10, -0x1.b64d27f6e662dp-10, -0x1.a0d5f645769adp-10, -0x1.8c428d25c14eap-10, -0x1.788bb19fb8438p-10, -0x1.65aa57f458188p-10, -0x1.5397a2a76021cp-10, -0x1.424ce18c883b2p-10, -0x1.31c390d80667dp-10, -0x1.21f55832c753cp-10, -0x1.12dc09d1d05b1p-10, -0x1.0471a1912f84dp-10, -0x1.ed6088243716ep-11, -0x1.d3247bb994154p-11, -0x1.ba24050b625adp-11, -0x1.a25457abb38bcp-11, -0x1.8baaf1edbc658p-11, -0x1.761d9b4408c19p-11, -0x1.61a262a5f72fcp-11, -0x1.4e2f9cfbb551dp-11, -0x1.3bbbe3908f422p-11, -0x1.2a3e128bfda8ap-11, -0x1.19ad47716b0f9p-11, -0x1.0a00dfa5f8b8fp-11, -0x1.f660edfb8de06p-12, -0x1.da67cc9d24ce5p-12, -0x1.c0068411f1379p-12, -0x1.a72db1b05837dp-12, -0x1.8fce648f77c1cp-12, -0x1.79da1ae02c64bp-12, -0x1.6542bf5147cfp-12, -0x1.51faa67f8f60ap-12, -0x1.3ff48c72afa3cp-12, -0x1.2f239225b2edep-12, -0x1.1f7b3b1b43aa4p-12, -0x1.10ef6afe832aep-12, -0x1.0374634d423e2p-12, -0x1.edfd821edf0b3p-13, -0x1.d706f531c6a3fp-13, -0x1.c1efbaad18d92p-13, -0x1.aea3174f63e72p-13, -0x1.9d0cf57fb48fp-13, -0x1.8d19e129f4c6p-13, -0x1.7eb703af2273dp-13, -0x1.71d21feab9076p-13, -0x1.66598e4c9c713p-13, -0x1.5c3c3909ff9e1p-13, -0x1.5369985cb0b12p-13, -0x1.4bd1aed9f9dd5p-13, -0x1.456505dcbd953p-13, -0x1.4014aa00e979bp-13, -0x1.3bd227b52b3ddp-13, -0x1.388f87dca34f3p-13, -0x1.363f4c81cb1dfp-13, -0x1.34d46d9ec612ap-13, -0x1.344255f46c083p-13, -0x1.347cdff3fd302p-13, -0x1.357852bc52277p-13, -0x1.37295f249d37fp-13, -0x1.39851cd78c74p-13, -0x1.3c81078268cf3p-13, -0x1.4012fc10ac77ap-13, -0x1.443135f8c84cap-13, -0x1.48d24c9a5eb4fp-13, -0x1.4ded30a9fe84dp-13, -0x1.537929a930364p-13, -0x1.596dd373288e2p-13, -0x1.5fc31bd2b88b5p-13, -0x1.6671402996c99p-13, -0x1.6d70cb24b7761p-13, -0x1.74ba927fc55d2p-13, -0x1.7c47b4d2707a6p-13, -0x1.8411976e600acp-13, -0x1.8c11e448faa37p-13, -0x1.944287f191b8cp-13, -0x1.9c9daf951ab74p-13, -0x1.a51dc70eb4081p-13, -0x1.adbd77014a8d5p-13, -0x1.b677a2ff584dp-13, -0x1.bf4767be5e1dp-13, -0x1.c82819545c4p-13, -0x1.d115418169fe3p-13, -0x1.da0a9e04782p-13, -0x1.e3041efb41e6p-13, -0x1.ebfde5497f49ap-13, -0x1.f4f4410da69d8p-13, -0x1.fde3b01f410a3p-13, -0x1.03646e4af367ep-12, -0x1.07d04dad2ecd5p-12, -0x1.0c33f56153973p-12, -0x1.108df89ae9874p-12, -0x1.14dcfdebae18bp-12, -0x1.191fbe9f49d58p-12, -0x1.1d55061a736c8p-12, -0x1.217bb13e73b8fp-12, -0x1.2592add0d67fp-12, -0x1.2998f9e78842bp-12, -0x1.2d8da3588ee92p-12, -0x1.316fc72d21b01p-12, -0x1.353e9119852c8p-12, -0x1.38f93af844d2dp-12, -0x1.3c9f0c48a6e8p-12, -0x1.402f59b166d35p-12, -0x1.43a984869be2p-12, -0x1.470cfa53028a1p-12, -0x1.4a59346411bf4p-12, -0x1.4d8db759cdbebp-12, -0x1.50aa12ba81c16p-12, -0x1.53ade087ecc67p-12, -0x1.5698c4d8a006dp-12, -0x1.596a6d7474b09p-12, -0x1.5c22917340be7p-12, -0x1.5ec0f0de70a73p-12, -0x1.6145545538e18p-12, -0x1.63af8cb458bc1p-12, -0x1.65ff72bfa73a3p-12, -0x1.6834e6ce31037p-12, -0x1.6a4fd0797b1e6p-12, -0x1.6c501e4e822cap-12, -0x1.6e35c581ce3bcp-12, -0x1.7000c1a4c9f14p-12, -0x1.71b1145e071dbp-12, -0x1.7346c5243cea4p-12, -0x1.74c1e0fa5ccd1p-12, -0x1.76227a2e3976ep-12, -0x1.7768a819ab033p-12, -0x1.789486e4e4806p-12, -0x1.79a6374b61c04p-12, -0x1.7a9dde61e2054p-12, -0x1.7b7ba55f1e18fp-12, -0x1.7c3fb96623785p-12, -0x1.7cea4b51cbadep-12, -0x1.7d7b8f828b8c4p-12, -0x1.7df3bdade8d96p-12, -0x1.7e5310af19a99p-12, -0x1.7e99c659c99e6p-12, -0x1.7ec81f4d5d3fp-12, -0x1.7ede5ecb007d1p-12, -0x1.7edcca8ca3034p-12, -0x1.7ec3aa9cd77fap-12, -0x1.7e934930bf989p-12, -0x1.7e4bf28340a5ep-12, -0x1.7dedf4b103861p-12, -0x1.7d799f969d0b3p-12, -0x1.7cef44ae7af55p-12, -0x1.7c4f36f15bb1cp-12, -0x1.7b99cab7beb44p-12, -0x1.7acf559bd4b64p-12, -0x1.79f02e5cd34cap-12, -0x1.78fcacc3d1a66p-12, -0x1.77f52988d0889p-12, -0x1.76d9fe39a5128p-12, -0x1.75ab85214f24fp-12, -0x1.746a192ff7529p-12, -0x1.731615e4c5b06p-12, -0x1.71afd7381c2e4p-12, -0x1.7037b98666e76p-12, -0x1.6eae197c3b112p-12, -0x1.6d1354032fe96p-12, -0x1.6b67c62f39591p-12, -0x1.69abcd2d3ebd7p-12, -0x1.67dfc631f219p-12, -0x1.66040e696ec5dp-12, -0x1.641902e83dbe6p-12, -0x1.621f009c27e9p-12, -0x1.6016643e0e7f5p-12, -0x1.5dff8a44875d5p-12, -0x1.5bdaced6e1cd1p-12, -0x1.59a88dc0e3f73p-12, -0x1.57692267249acp-12, -0x1.551ce7bb9bb5fp-12, -0x1.52c438331cebep-12, -0x1.505f6dbb85285p-12, -0x1.4deee1b1e4a9ap-12, -0x1.4b72ecd96cf22p-12, -0x1.48ebe752ee64p-12, -0x1.465a2894a353ap-12, -0x1.43be076281c1dp-12, -0x1.4117d9c7230e9p-12, -0x1.3e67f50c864aep-12, -0x1.3baeadb5d5f23p-12, -0x1.38ec577962556p-12, -0x1.3621453b09761p-12, -0x1.334dc906aa96bp-12, -0x1.3072340b56f22p-12, -0x1.2d8ed696adaefp-12, -0x1.2aa4001066a8ep-12, -0x1.27b1fef6b7a78p-12, -0x1.24b920da5a8dbp-12, -0x1.21b9b25b177e4p-12, -0x1.1eb3ff24c07dap-12, -0x1.1ba851ec951c7p-12, -0x1.1896f46e750b3p-12, -0x1.15802f6a8c46ap-12, -0x1.12644aa36919ep-12, -0x1.0f438cdc05114p-12, -0x1.0c1e3bd60fad6p-12, -0x1.08f49c50e5203p-12, -0x1.05c6f2080188cp-12, -0x1.02957fb212421p-12, -0x1.fec10e0054a68p-13, -0x1.f850913aca6bfp-13, -0x1.f1da085c3f8edp-13, -0x1.eb5df09fa400bp-13, -0x1.e4dcc53201178p-13, -0x1.de56ff328aab2p-13, -0x1.d7cd15b2bf81fp-13, -0x1.d13f7db77dd65p-13, -0x1.caaeaa39c6cbap-13, -0x1.c41b0c27bf228p-13, -0x1.bd8512664ada2p-13, -0x1.b6ed29d2ef128p-13, -0x1.b053bd45a3b8ep-13, -0x1.a9b93592af1bfp-13, -0x1.a31df98d535edp-13, -0x1.9c826e0a3cde8p-13, -0x1.95e6f5e23171dp-13, -0x1.8f4bf1f4e57dep-13, -0x1.88b1c12c6dc3ep-13, -0x1.8218c07fea203p-13, -0x1.7b814af72aafcp-13, -0x1.74ebb9ae373bdp-13, -0x1.6e5863d92e04fp-13, -0x1.67c79ec79d3f5p-13, -0x1.6139bde8ae6ccp-13, -0x1.5aaf12cf0a8f7p-13, -0x1.5427ed351052fp-13, -0x1.4da49b010a35ep-13, -0x1.472568496e9b9p-13, -0x1.40aa9f5970ee8p-13, -0x1.3a3488b527937p-13, -0x1.33c36b1e48477p-13, -0x1.2d578b98d7e2ap-13, -0x1.26f12d6fefb83p-13, -0x1.2090923a3cb53p-13, -0x1.1a35f9dee614ap-13, -0x1.13e1a29a66907p-13, -0x1.0d93c90371484p-13, -0x1.074ca80ff8e28p-13, -0x1.010c7919fb3abp-13, -0x1.f5a6e7c974195p-14, -0x1.e9439d4309ab3p-14, -0x1.dcef7be9a5beep-14, -0x1.d0aae9f702a6ep-14, -0x1.c4764a9fa47fap-14, -0x1.b851fe1cfd0fap-14, -0x1.ac3e61b7aaacfp-14, -0x1.a03bcfd1be28ep-14, -0x1.944a9ff0de826p-14, -0x1.886b26c8ea26dp-14, -0x1.7c9db6459fc88p-14, -0x1.70e29d958cb9cp-14, -0x1.653a2933b95d6p-14, -0x1.59a4a2f20311ep-14, -0x1.4e2252036193p-14, -0x1.42b37b063b4f1p-14, -0x1.3758600e2c24cp-14, -0x1.2c1140ae64b54p-14, -0x1.20de5a039eb5bp-14, -0x1.15bfe6be222f2p-14, -0x1.0ab61f2badebfp-14, -0x1.ff82728351b4ap-15, -0x1.e9c2d14d65daap-15, -0x1.d42dbd794d848p-15, -0x1.bec395547ca48p-15, -0x1.a984b2c9a5aecp-15, -0x1.94716b7411094p-15, -0x1.7f8a10b2d3b29p-15, -0x1.6aceefbba7837p-15, -0x1.564051ada6f9bp-15, -0x1.41de7ba48212p-15, -0x1.2da9aeca9cfcfp-15, -0x1.19a2286b96976p-15, -0x1.05c82206f231fp-15, -0x1.e437a2c338244p-16, -0x1.bd3ad130b3e1p-16, -0x1.969a2c6310cd6p-16, -0x1.70560a5c54b13p-16, -0x1.4a6eba384334cp-16, -0x1.24e4844e9533p-16, -0x1.ff6f54a9bbccdp-17, -0x1.b5d0cf00cbff3p-17, -0x1.6cede14fe7fe8p-17, -0x1.24c6e8ca68976p-17, -0x1.bab86cd3b2078p-18, -0x1.2d5c1e614ec2p-18, -0x1.42f2b1a4a209bp-19, -0x1.71077cb47296p-22, 0x1.c778fe06aef9ap-20, 0x1.f2a53bb326b9cp-19, 0x1.7f4c897e390bp-18, 0x1.01e5fed8b6fcfp-17, 0x1.43688520c6a34p-17, 0x1.842de987e54c6p-17, 0x1.c43647cfe194ep-17, 0x1.01c0e2a78feb5p-16, 0x1.2108485d07593p-16, 0x1.3ff170f5020b2p-16, 0x1.5e7c7cd2d7fa9p-16, 0x1.7ca990b506e7bp-16, 0x1.9a78d59ab72b9p-16, 0x1.b7ea78a8939a5p-16, 0x1.d4feab0ec6abbp-16, 0x1.f1b5a1ef20b6p-16, 0x1.0707cb21955a2p-15, 0x1.15066261b887cp-15, 0x1.22d6b6e7047b9p-15, 0x1.3078eaa783d24p-15, 0x1.3ded2153a6708p-15, 0x1.4b33804ac700bp-15, 0x1.584c2e8f537c4p-15, 0x1.653754bb39715p-15, 0x1.71f51cf47bb6cp-15, 0x1.7e85b2e22fe3ep-15, 0x1.8ae943a179fb1p-15, 0x1.971ffdba4fdf6p-15, 0x1.a32a111566c02p-15, 0x1.af07aef116434p-15, 0x1.bab909d78a653p-15, 0x1.c63e55942d628p-15, 0x1.d197c729cd57ep-15, 0x1.dcc594c8bea3bp-15, 0x1.e7c7f5c533f64p-15, 0x1.f29f228d920fdp-15, 0x1.fd4b54a14d7b7p-15, 0x1.03e66343c5e17p-14, 0x1.0911d9e2ed7cap-14, 0x1.0e282c6be2299p-14, 0x1.13297992ef6c4p-14, 0x1.1815e07e68c16p-14, 0x1.1ced80c2aeb9fp-14, 0x1.21b07a5de9af8p-14, 0x1.265eedb40c59fp-14, 0x1.2af8fb8ab8d97p-14, 0x1.2f7ec5054ed39p-14, 0x1.33f06ba127addp-14, 0x1.384e1131ba48fp-14, 0x1.3c97d7dcdad5ap-14, 0x1.40cde2172899bp-14, 0x1.44f052a07bb4ep-14, 0x1.48ff4c801b984p-14, 0x1.4cfaf301aeaccp-14, 0x1.50e369b1aa142p-14, 0x1.54b8d459e6287p-14, 0x1.587b56fe68d95p-14, 0x1.5c2b15da499dbp-14, 0x1.5fc8355c8b7c9p-14, 0x1.6352da25029dfp-14, 0x1.66cb290142af4p-14, 0x1.6a3146e9badb1p-14, 0x1.6d8558fed5e5dp-14, 0x1.70c784861a1c7p-14, 0x1.73f7eee75f0ecp-14, 0x1.7716bdaa37886p-14, 0x1.7a2416732b6f9p-14, 0x1.7d201f00efa9cp-14, 0x1.800afd2a4897fp-14, 0x1.82e4d6db45955p-14, 0x1.85add212bf78ep-14, 0x1.886614e005919p-14, 0x1.8b0dc5609629fp-14, 0x1.8da509bde17ep-14, 0x1.902c082af8289p-14, 0x1.92a2e6e24ca87p-14, 0x1.9509cc239b72ap-14, 0x1.9760de31e9b7ap-14, 0x1.99a8435167e01p-14, 0x1.9be021c56a8ddp-14, 0x1.9e089fce901c9p-14, 0x1.a021e3a8e7c0dp-14, 0x1.a22c1389b78e2p-14, 0x1.a427559e27fe6p-14, 0x1.a613d0095e46ap-14, 0x1.a7f1a8e28842bp-14, 0x1.a9c106334bd15p-14, 0x1.ab820df628513p-14, 0x1.ad34e6150722bp-14, 0x1.aed9b46773e42p-14, 0x1.b0709eb12ec08p-14, 0x1.b1f9caa09e515p-14, 0x1.b3755dcd6921fp-14, 0x1.b4e37db72303ep-14, 0x1.b6444fc3cf276p-14, 0x1.b797f93e9a0b5p-14, 0x1.b8de9f56a00a6p-14, 0x1.ba18671da57e2p-14, 0x1.bb45758683395p-14, 0x1.bc65ef64a4d3ap-14, 0x1.bd79f96a6a553p-14, 0x1.be81b8280f2fdp-14, 0x1.bf7d500a9fa28p-14, 0x1.c06ce55ada4b6p-14, 0x1.c1509c3c889f1p-14, 0x1.c22898ad11377p-14, 0x1.c2f4fe82a6dc2p-14, 0x1.c3b5f16b63ba1p-14, 0x1.c46b94ec4efdp-14, 0x1.c5160c608bd82p-14, 0x1.c5b57af881598p-14, 0x1.c64a03b900712p-14, 0x1.c6d3c97a95333p-14, 0x1.c752eee8ab119p-14, 0x1.c7c79680abadep-14, 0x1.c831e291798b1p-14, 0x1.c891f53b095e8p-14, 0x1.c8e7f06d14ccp-14, 0x1.c933f5e6e627fp-14, 0x1.c9762736804afp-14, 0x1.c9aea5b842b25p-14, 0x1.c9dd92966b665p-14, 0x1.ca030ec83b335p-14, 0x1.ca1f3b119d65p-14, 0x1.ca323802a0aa4p-14, 0x1.ca3c25f6fc95fp-14, 0x1.ca3d2515a588ep-14, 0x1.ca3555505ece4p-14, 0x1.ca24d663491e5p-14, 0x1.ca0bc7d49527dp-14, 0x1.c9ea48f40adep-14, 0x1.c9c078da85f73p-14, 0x1.c98e7669f41f8p-14, 0x1.c954604d15ec3p-14, 0x1.c91254f6bfe76p-14, 0x1.c8c872a1c6bfcp-14, 0x1.c876d750d40cp-14, 0x1.c81da0ce05042p-14, 0x1.c7bcecab0753bp-14, 0x1.c754d8407a937p-14, 0x1.c6e580adce0edp-14, 0x1.c66f02d942913p-14, 0x1.c5f17b6f97883p-14, 0x1.c56d06e3e52efp-14, 0x1.c4e1c16f9c8e7p-14, 0x1.c44fc71244d5ep-14, 0x1.c3b7339177c09p-14, 0x1.c3182278ddfbbp-14, 0x1.c272af19c4ddp-14, 0x1.c1c6f48b29323p-14, 0x1.c1150daa28be5p-14, 0x1.c05d151975b6dp-14, 0x1.bf9f254144bf8p-14, 0x1.bedb584f7827p-14, 0x1.be11c8378fafep-14, 0x1.bd428eb2c8fe1p-14, 0x1.bc6dc54026cb2p-14, 0x1.bb93852442101p-14, 0x1.bab3e769650b1p-14, 0x1.b9cf04dfa811bp-14, 0x1.b8e4f61cfe2d8p-14, 0x1.b7f5d37d3a836p-14, 0x1.b701b52230c0ap-14, 0x1.b608b2f3c8ebbp-14, 0x1.b50ae4a015027p-14, 0x1.b408619b8e398p-14, 0x1.b3014120f82a1p-14, 0x1.b1f59a3140645p-14, 0x1.b0e583948e747p-14, 0x1.afd113d998bf1p-14, 0x1.aeb86155fe941p-14, 0x1.ad9b82265865p-14, 0x1.ac7a8c2e88d5bp-14, 0x1.ab559519dd291p-14, 0x1.aa2cb25b5e522p-14, 0x1.a8fff92dcd593p-14, 0x1.a7cf7e93c930dp-14, 0x1.a69b57581fc61p-14, 0x1.a563980dfcd73p-14, 0x1.a42855111a96dp-14, 0x1.a2e9a285fcc2cp-14, 0x1.a1a7945a239e9p-14, 0x1.a0623e444f53bp-14, 0x1.9f19b3c4a8d59p-14, 0x1.9dce0825380ecp-14, 0x1.9c7f4e79bfabp-14, 0x1.9b2d999fec786p-14, 0x1.99d8fc407235ap-14, 0x1.988188ce72734p-14, 0x1.97275187e341dp-14, 0x1.95ca6875f1318p-14, 0x1.946adf6d43c6dp-14, 0x1.9308c80e371fcp-14, 0x1.91a433c564806p-14, 0x1.903d33cb8a5d6p-14, 0x1.8ed3d925f4a99p-14, 0x1.8d6834a6c823p-14, 0x1.8bfa56ed59b17p-14, 0x1.8a8a506661334p-14, 0x1.8918314c6422dp-14, 0x1.87a409a7dd381p-14, 0x1.862de94faad64p-14, 0x1.84b5dfe94bc12p-14, 0x1.833bfce92b7ecp-14, 0x1.81c04f931a511p-14, 0x1.8042e6fa1babep-14, 0x1.7ec3d2012b48dp-14, 0x1.7d431f5bd531bp-14, 0x1.7bc0dd8dd308dp-14, 0x1.7a3d1aebab76p-14, 0x1.78b7e59b0cf1dp-14, 0x1.77314b93120bbp-14, 0x1.75a95a9ca226bp-14, 0x1.74202052f1328p-14, 0x1.7295aa23686e3p-14, 0x1.710a054e4464ap-14, 0x1.6f7d3ee6c5342p-14, 0x1.6def63d3a0c44p-14, 0x1.6c6080cf439ffp-14, 0x1.6ad0a2682cd53p-14, 0x1.693fd5014410cp-14, 0x1.67ae24d22caa5p-14, 0x1.661b9de79a4f1p-14, 0x1.64884c239f026p-14, 0x1.62f43b3e309acp-14, 0x1.615f76c51d67ep-14, 0x1.5fca0a1c72b3bp-14, 0x1.5e34007f7a667p-14, 0x1.5c9d650052e77p-14, 0x1.5b0642886ea7dp-14, 0x1.596ea3d90400cp-14, 0x1.57d6938b5efdp-14, 0x1.563e1c111c9cfp-14, 0x1.54a547b4d5f9dp-14, 0x1.530c209a24988p-14, 0x1.5172b0bdf5756p-14, 0x1.4fd901f703dfep-14, 0x1.4e3f1df61744dp-14, 0x1.4ca50e4664756p-14, 0x1.4b0adc4deac97p-14, 0x1.4970914dad0cap-14, 0x1.47d63662263ap-14, 0x1.463bd483929fap-14, 0x1.44a174863a448p-14, 0x1.43071f1ace67ap-14, 0x1.416cdcced33e3p-14, 0x1.3fd2b60cc1197p-14, 0x1.3e38b31c473bdp-14, 0x1.3c9edc2332f8ep-14, 0x1.3b053925349f4p-14, 0x1.396bd20447c5cp-14, 0x1.37d2ae81212f4p-14, 0x1.3639d63b73c92p-14, 0x1.34a150b239727p-14, 0x1.3309254440c21p-14, 0x1.31715b304ee48p-14, 0x1.2fd9f9955b0eap-14, 0x1.2e430773016c1p-14, 0x1.2cac8ba9c7378p-14, 0x1.2b168cfb71049p-14, 0x1.2981120b5488ep-14, 0x1.27ec215ea278p-14, 0x1.2657c15cb9ebbp-14, 0x1.24c3f84f77a71p-14, 0x1.2330cc638a937p-14, 0x1.219e43a8b4f6dp-14, 0x1.200c64121bb73p-14, 0x1.1e7b3376aea82p-14, 0x1.1ceab7914da72p-14, 0x1.1b5af600ffbafp-14, 0x1.19cbf449b7cb8p-14, 0x1.183db7d43124fp-14, 0x1.16b045ee553f6p-14, 0x1.1523a3cb86819p-14, 0x1.1397d684f5a43p-14, 0x1.120ce319dc9a5p-14, 0x1.1082ce6fec181p-14, 0x1.0ef99d537fffp-14, 0x1.0d715477d4deap-14, 0x1.0be9f877690d3p-14, 0x1.0a638dd43229p-14, 0x1.08de18f7f8c92p-14, 0x1.07599e3497b91p-14, 0x1.05d621c43c1a1p-14, 0x1.0453a7c9b44a2p-14, 0x1.02d23450b7c51p-14, 0x1.0151cb4e26bb8p-14, 0x1.ffa4e140a275bp-15, 0x1.fca8501e7a263p-15, 0x1.f9adea99bbb99p-15, 0x1.f6b5b7eb0109fp-15, 0x1.f3bfbf1f98c39p-15, 0x1.f0cc071a52adbp-15, 0x1.edda969450457p-15, 0x1.eaeb741d252b7p-15, 0x1.e7fea61b6adbp-15, 0x1.e51432cd3b2a3p-15, 0x1.e22c2048be3d6p-15, 0x1.df46747cb70acp-15, 0x1.dc63353101d03p-15, 0x1.d982680717388p-15, 0x1.d6a4127a6a641p-15, 0x1.d3c839e0ef4c8p-15, 0x1.d0eee36b9ea1dp-15, 0x1.ce181426e7483p-15, 0x1.cb43d0fb3a22bp-15, 0x1.c8721ead65f2bp-15, 0x1.c5a301df2322ep-15, 0x1.c2d67f0f81aa3p-15, 0x1.c00c9a9b6276cp-15, 0x1.bd4558bdfc602p-15, 0x1.ba80bd912ea8dp-15, 0x1.b7becd0debffap-15, 0x1.b4ff8b0ce93d3p-15, 0x1.b242fb46d5f44p-15, 0x1.af892154c7178p-15, 0x1.acd200b0c2c39p-15, 0x1.aa1d9cb641f3bp-15, 0x1.a76bf8a27833ep-15, 0x1.a4bd1794b711ap-15, 0x1.a210fc8ef140fp-15, 0x1.9f67aa760e8ecp-15, 0x1.9cc12412774f5p-15, 0x1.9a1d6c105d259p-15, 0x1.977c85003dcbfp-15, 0x1.94de71572c37ap-15, 0x1.9243336f37477p-15, 0x1.8faacd87ec8c7p-15, 0x1.8d1541c696faep-15, 0x1.8a829236ba21bp-15, 0x1.87f2c0ca5cbf4p-15, 0x1.8565cf5a8340ep-15, 0x1.82dbbfa7874f4p-15, 0x1.8054935962632p-15, 0x1.7dd04c002844ap-15, 0x1.7b4eeb145b5a1p-15, 0x1.78d071f733fe1p-15, 0x1.7654e1f3153b8p-15, 0x1.73dc3c3bdb582p-15, 0x1.716681ef294b3p-15, 0x1.6ef3b414db4f9p-15, 0x1.6c83d39f4d253p-15, 0x1.6a16e16bc3fe2p-15, 0x1.67acde42a6b2cp-15, 0x1.6545cad7d26ccp-15, 0x1.62e1a7cb04f01p-15, 0x1.608075a830e9ap-15, 0x1.5e2234e7bf81ep-15, 0x1.5bc6e5eedffc5p-15, 0x1.596e890ff3cddp-15, 0x1.57191e8abaed3p-15, 0x1.54c6a68cb2389p-15, 0x1.5277213162b89p-15, 0x1.502a8e82ae024p-15, 0x1.4de0ee791c657p-15, 0x1.4b9a40fc21616p-15, 0x1.495685e266f17p-15, 0x1.4715bcf21821ap-15, 0x1.44d7e5e13615ap-15, 0x1.429d0055dc20fp-15, 0x1.40650be6762e6p-15, 0x1.3e30081a0c0ccp-15, 0x1.3bfdf468978acp-15, 0x1.39ced03b471e4p-15, 0x1.37a29aeca5e2p-15, 0x1.357953c90b469p-15, 0x1.3352fa0eba0ep-15, 0x1.312f8cee31004p-15, 0x1.2f0f0b8a637c1p-15, 0x1.2cf174f9023ep-15, 0x1.2ad6c842c598dp-15, 0x1.28bf046391d8bp-15, 0x1.26aa284acf2c8p-15, 0x1.249832db8b83fp-15, 0x1.228922ecd21bfp-15, 0x1.207cf749dea82p-15, 0x1.1e73aeb250d83p-15, 0x1.1c6d47da69979p-15, 0x1.1a69c16b4ec95p-15, 0x1.18691a033e71ap-15, 0x1.166b5035c746p-15, 0x1.1470628bf7e07p-15, 0x1.12784f849e844p-15, 0x1.108315948716bp-15, 0x1.0e90b326a5a26p-15, 0x1.0ca1269c4d76fp-15, 0x1.0ab46e4d66d82p-15, 0x1.08ca88889c62dp-15, 0x1.06e37393a0f2ep-15, 0x1.04ff2dab56e85p-15, 0x1.031db503ef235p-15, }}, 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
    }}, 
    {
      31, 0x1.999999999999ap+1, 0x1.faab025f3e6d2p+1, 0x1.d53736251ad5ap+1, -0x1.038cc4b68941bp-6, 
      {{
        {0x1.a666666666666p+0, 0x1.b333333333333p+0, 0x1.50c9cc6a86fd1p-5, -0x1.cdb4538a741cep-3, 0x1.c8e56c6d53129p-2, -0x1.d7af2660d883dp-3}, 
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.fab2eea89af53p-6, -0x1.75dce01031ecp-3, 0x1.a585165942d56p-2, -0x1.26bf5ad40ea55p-2}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.756cd5bedfa6p-6, -0x1.25fae35b1fa79p-3, 0x1.794ec8b973d63p-2, -0x1.569693e60c89cp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.0e3d81832c963p-6, -0x1.bf508a3816784p-4, 0x1.45eb65bd585bp-2, -0x1.918d304c7a28bp-2}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.8205a38e1d6bdp-7, -0x1.48fe4beea4df4p-4, 0x1.09afd1b1dfa1bp-2, -0x1.9138482ab8f71p-2}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.121322fb2e291p-7, -0x1.d582acc2314cap-5, 0x1.9b01f423baf9cp-3, -0x1.56624f3c62fbdp-2}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.867ca31dbf37p-8, -0x1.45a6830e90499p-5, 0x1.344adc5e6a147p-3, -0x1.244c5e6facc24p-2}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.1a8d3bfbc3e66p-8, -0x1.b7be23b60966bp-6, 0x1.b934b3469fb41p-4, -0x1.dfb1b041effcep-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.a4aa4b9b431f1p-9, -0x1.240ac2bc76a4p-6, 0x1.294c31993e1c2p-4, -0x1.78373f713c4abp-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.449f5b48cc5fbp-9, -0x1.876450ed3376fp-7, 0x1.70dda38824d6ep-5, -0x1.0fc58a71ac8cfp-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.02ecb0c9ed2eep-9, -0x1.147549164dea9p-7, 0x1.9b9b0754add2cp-6, -0x1.538894c1b26f5p-4}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.a5038b20398ep-10, -0x1.ad04a117bda25p-8, 0x1.9fc55c275250cp-7, -0x1.d7c3d61f77594p-6}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.56950569000b9p-10, -0x1.68044ff7386e9p-8, 0x1.123dcf1de1b68p-7, -0x1.ad1ff93478e86p-9}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.13f4cf93b97ffp-10, -0x1.32c71c46e180ep-8, 0x1.022635c583944p-7, -0x1.9ec7fe12bab4cp-8}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.b71cd7883a084p-11, -0x1.02423f968efcbp-8, 0x1.c614d23b6b26ap-8, -0x1.4e77bd20829c1p-8}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.588e6a4ded58ep-11, -0x1.aeb7e37c99dd3p-9, 0x1.93e942a9bdf5dp-8, -0x1.49529802dad2ep-8}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0a295b2c1c64ap-11, -0x1.62e03c4637272p-9, 0x1.628345761d22bp-8, -0x1.300945fda75ap-8}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.93f1f6609be0ap-12, -0x1.2088ae26e0a31p-9, 0x1.34e847c344089p-8, -0x1.1c258bc214572p-8}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.2c51d1840018cp-12, -0x1.ce077eabdefe3p-10, 0x1.0a490c6627621p-8, -0x1.06cf9f47896d9p-8}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.b4143e8aa060bp-13, -0x1.6b66439c32148p-10, 0x1.c5ba35d072561p-9, -0x1.e3b9c7fe7de04p-9}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.33e6a3b6cb099p-13, -0x1.17e8edc46757ap-10, 0x1.7d2b249d790e4p-9, -0x1.b99f2c59d5df1p-9}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a499d8c42031bp-14, -0x1.a499db04d550cp-11, 0x1.3aecddf665c6p-9, -0x1.8f92c2a0f3448p-9}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.13f4cf93b9767p-14, -0x1.329e3b45d2a02p-11, 0x1.fdfa81894f5e7p-10, -0x1.6582b64d1499cp-9}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.588e6a4ded48cp-15, -0x1.aeb205fd2fb3dp-12, 0x1.92b9b13efc63fp-10, -0x1.3b73027964058p-9}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.93f1f6609bb2p-16, -0x1.20883f3d32066p-12, 0x1.34173080f7fb1p-10, -0x1.11658f3fe3f41p-9}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.b4143e8aa00e2p-17, -0x1.6b664a251f6c1p-13, 0x1.c424a4a867316p-11, -0x1.ce9d823b1a45bp-10}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.a499d8c41facp-18, -0x1.a49934abe5325p-14, 0x1.395bca6378e88p-11, -0x1.7ab63c08b2611p-10}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.588e6a4debaffp-19, -0x1.aeb6cd8785acep-15, 0x1.8f7d70c1b9fe1p-12, -0x1.25c8535eb0334p-10}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.b4143e8a9bp-21, -0x1.6b427f4e36584p-16, 0x1.be70e3dea08cep-13, -0x1.a95d3d0250616p-11}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.588e6a4dd6001p-23, -0x1.b0c70cb01a87ap-18, 0x1.7e71e4edad6e8p-14, -0x1.d52af3a4143a1p-12}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.588e6a4c9fffep-27, -0x1.7087a50a61864p-21, 0x1.93c6e49352p-16, -0x1.39f0da866e7bbp-11}, 
      }}, 
      0x1.2768c1757cad2p-7, -0x1.c7505bedf2e6fp-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.17fdfa8ad12d3p-4, -0x1.0a86445460c39p-4, -0x1.e9bc738746c4dp-5, -0x1.b0227c5ee1454p-5, -0x1.6abfdd6151e2cp-5, -0x1.1c45fa5522238p-5, -0x1.8ecfc6c60a4d5p-6, -0x1.badd926b518d6p-7, -0x1.48cd0e9b0acbcp-9, 0x1.141ee2d810957p-7, 0x1.388a81101d258p-6, 0x1.df75f9eaa03acp-6, 0x1.3e452ac1d4709p-5, 0x1.87072f9b2c3b4p-5, 0x1.c9643171c63c1p-5, 0x1.027b81452a3eep-4, 0x1.1cc4fc8d592d4p-4, 0x1.338792bc58b1p-4, 0x1.46cc8dc9b2d7fp-4, 0x1.56aa3b2bc8646p-4, 0x1.634110b63f561p-4, 0x1.6cb93041b6026p-4, 0x1.734044a7f8663p-4, 0x1.7707b1e702d03p-4, 0x1.784311f740421p-4, 0x1.7726f7e6dab65p-4, 0x1.73e7f28277c8cp-4, 0x1.6eb9c6f21174cp-4, 0x1.67cedb5c7ed15p-4, 0x1.5f57c9e4d98b8p-4, 0x1.558315286dea1p-4, 0x1.4a7cf74403052p-4, 0x1.3e6f46448a3c5p-4, 0x1.318168b25cbd6p-4, 0x1.23d8561f939eap-4, 0x1.1596a1d912eb3p-4, 0x1.06dc89894246ap-4, 0x1.ef9012ca4ff6p-5, 0x1.d0e9e3a56cf56p-5, 0x1.b1f9fe1b0973ep-5, 0x1.92efdfd14c35ep-5, 0x1.73f73974302dp-5, 0x1.553819fff3923p-5, 0x1.36d7199f05fe4p-5, 0x1.18f5802dcf57dp-5, 0x1.f762d9e386467p-6, 0x1.be4bf2b31b2bbp-6, 0x1.86d6b8d7896fdp-6, 0x1.512e17d9cb6a7p-6, 0x1.1d77b825a1b48p-6, 0x1.d7a87f3a68eeep-7, 0x1.78bf2006ef592p-7, 0x1.1e6209c27c9f4p-7, 0x1.916ec886000d7p-8, 0x1.df750a6f80314p-9, 0x1.5f50f225691a6p-10, -0x1.b12af162a895ap-11, -0x1.7441cc6121951p-9, -0x1.341956d459e61p-8, -0x1.a415205ab7b09p-8, -0x1.0512a08274519p-7, -0x1.333231957191ep-7, -0x1.5c7b00513ab41p-7, -0x1.8102c62fb9905p-7, -0x1.a0e2d1e520eb4p-7, -0x1.bc37a3b82e8f4p-7, -0x1.d32088cc09eabp-7, -0x1.e5bf4caa6fda8p-7, -0x1.f437d130f6e09p-7, -0x1.feafc7ea625d3p-7, -0x1.02a72f68bea54p-6, -0x1.041dfd427d1efp-6, -0x1.03d0f92de03f6p-6, -0x1.01d5229896a9cp-6, -0x1.fc7f7c2143a9cp-7, -0x1.f24c4d5e7638bp-7, -0x1.e53b8ffbb44bcp-7, -0x1.d577fbc0ab9cbp-7, -0x1.c32bf7938a9d1p-7, -0x1.ae819947e4618p-7, -0x1.97a25ebf1c1e3p-7, -0x1.7eb723d8ce3e1p-7, -0x1.63e815f84c64fp-7, -0x1.475c842000aaep-7, -0x1.293ae099cec9dp-7, -0x1.09a8b1c361587p-7, -0x1.d194ef3288d88p-8, -0x1.8d87661854cebp-8, -0x1.476da5ead5a52p-8, -0x1.ff14a70d8841p-9, -0x1.6c3bfcc367bf5p-9, -0x1.ad9baf7971aap-10, -0x1.fa1202f35d9a4p-12, 0x1.67cbf95f0890bp-11, 0x1.e8c579e505eefp-10, 0x1.8fa22b1397194p-9, 0x1.15a568fb2aa12p-8, 0x1.637d57c17eb13p-8, 0x1.b129fee6d5c36p-8, 0x1.fe7ea9f427eafp-8, 0x1.25a85c7ba3059p-7, 0x1.4bbbd6a574d99p-7, 0x1.71668d0fa111dp-7, 0x1.969643e403086p-7, 0x1.bb39d1815bc01p-7, 0x1.df40f59f544eep-7, 0x1.014e3ed7a0cb1p-6, 0x1.129f0c7e16fcp-6, 0x1.238c3687fa7c5p-6, 0x1.340f8cc09271cp-6, 0x1.4423459345babp-6, 0x1.53c21472cfd08p-6, 0x1.62e717dd8fe79p-6, 0x1.718dd89b1615cp-6, 0x1.7fb24b6878d34p-6, 0x1.8d50cdc89f9e6p-6, 0x1.9a66206453d5ep-6, 0x1.a6ef61967833ap-6, 0x1.b2ea119ba829fp-6, 0x1.be54095f5bc86p-6, 0x1.c92b78a8f4d46p-6, 0x1.d36ee322d56fbp-6, 0x1.dd1d193df80c7p-6, 0x1.e6353daae2e17p-6, 0x1.eeb6b6f6f9f5dp-6, 0x1.f6a132c8bd4d9p-6, 0x1.fdf4a24427606p-6, 0x1.0258994fb85a8p-5, 0x1.056ba82b16e7dp-5, 0x1.0833cedfe2ab9p-5, 0x1.0ab17a0ddbfc9p-5, 0x1.0ce5302e18fd9p-5, 0x1.0ecf8f472d7afp-5, 0x1.10714a7cd6bd4p-5, 0x1.11cb2db4266p-5, 0x1.12de158ba3b38p-5, 0x1.13aaf4934e93bp-5, 0x1.1432c9b9b27acp-5, 0x1.1476ac27b286bp-5, 0x1.1477b945936d8p-5, 0x1.143722cb48a21p-5, 0x1.13b62766db25ap-5, 0x1.12f60d43b5688p-5, 0x1.11f82af90f565p-5, 0x1.10bddf04139d8p-5, 0x1.0f488fb749a23p-5, 0x1.0d99ada399829p-5, 0x1.0bb2b27f5832p-5, 0x1.09951d08e45f7p-5, 0x1.074271939a7e4p-5, 0x1.04bc3b0da37c8p-5, 0x1.02040b1c938ddp-5, 0x1.fe36e90699751p-6, 0x1.f80821addf33bp-6, 0x1.f17ef2b0a8984p-6, 0x1.ea9e9b3495be7p-6, 0x1.e36a5ac6f5251p-6, 0x1.dbe57428c7b3bp-6, 0x1.d4132e955e47ap-6, 0x1.cbf6d0da32646p-6, 0x1.c393a1dc11bf9p-6, 0x1.baecec6228494p-6, 0x1.b205f5ad85f03p-6, 0x1.a8e200c483888p-6, 0x1.9f8453dc2fd1fp-6, 0x1.95f02afc12c6dp-6, 0x1.8c28c30aaf81bp-6, 0x1.8231512dea13bp-6, 0x1.780d05b2247dep-6, 0x1.6dbf0d696c64ap-6, 0x1.634a8bf067b3dp-6, 0x1.58b29c1f3eb1cp-6, 0x1.4dfa56d58fd02p-6, 0x1.4324c645f39e7p-6, 0x1.3834efd558184p-6, 0x1.2d2dccb78122p-6, 0x1.22124fd8db815p-6, 0x1.16e55e5ba8b86p-6, 0x1.0ba9d5be890a8p-6, 0x1.00628432bb20fp-6, 0x1.ea24636a48998p-7, 0x1.d3772cbda50f4p-7, 0x1.bcc2be34839afp-7, 0x1.a60c5b187d9bbp-7, 0x1.8f5928d63de3ep-7, 0x1.78ae34d10b9a3p-7, 0x1.621072970d17fp-7, 0x1.4b84b74e395b6p-7, 0x1.350fbda8c1af7p-7, 0x1.1eb624bbf31cp-7, 0x1.087c6dca3545ep-7, 0x1.e4cdf68754fbcp-8, 0x1.b8f42c45378c8p-8, 0x1.8d73cb6a9a081p-8, 0x1.6254e926bbc57p-8, 0x1.379f5d0777e0ap-8, 0x1.0d5ac24bbbabfp-8, 0x1.c71ceb38804ddp-9, 0x1.748327348d2fep-9, 0x1.22f5fd1243ea1p-9, 0x1.a50557a07fec4p-10, 0x1.066bf3e9f0c33p-10, 0x1.a8e18342e40acp-12, -0x1.7bee9564757b9p-13, -0x1.8d4021e569082p-11, -0x1.5b18c01f5e917p-10, -0x1.ecd340e5b7372p-10, -0x1.3dddf161fde64p-9, -0x1.83dffed8cf841p-9, -0x1.c866f14826543p-9, -0x1.05b535fa32349p-8, -0x1.2671449c7ec99p-8, -0x1.4663ed8369cd5p-8, -0x1.6589b7ce8e968p-8, -0x1.83df677445376p-8, -0x1.a161ff10e921p-8, -0x1.be0eb7b29ed6p-8, -0x1.d9e30313d3b69p-8, -0x1.f4dc8c1fef86ap-8, -0x1.077c9c8c38c4dp-7, -0x1.141b958318968p-7, -0x1.204a5d0922254p-7, -0x1.2c0838e89749ap-7, -0x1.3754884dcc46fp-7, -0x1.422ec4e626f46p-7, -0x1.4c96842d374dp-7, -0x1.568b767ce7a22p-7, -0x1.600d65585c26p-7, -0x1.691c3063d2853p-7, -0x1.71b7ce02a3d31p-7, -0x1.79e04c47ec5fep-7, -0x1.8195d1b2aee7ap-7, -0x1.88d89d78d8334p-7, -0x1.8fa9050dd42dbp-7, -0x1.9607719e02713p-7, -0x1.9bf45f0aef983p-7, -0x1.a1705cd907e81p-7, -0x1.a67c0fb691014p-7, -0x1.ab1832095a24ep-7, -0x1.af45922a926fcp-7, -0x1.b3050fb3fe921p-7, -0x1.b6579975c94e5p-7, -0x1.b93e2d6043d3bp-7, -0x1.bbb9da1e7e5a5p-7, -0x1.bdcbc007a14cbp-7, -0x1.bf751113e0757p-7, -0x1.c0b70f35c04fep-7, -0x1.c19308afbad78p-7, -0x1.c20a57113407p-7, -0x1.c21e5f5b19c69p-7, -0x1.c1d093468b528p-7, -0x1.c12272af9974ep-7, -0x1.c0158b238c27fp-7, -0x1.beab75ca5fbfep-7, -0x1.bce5d4dd7546fp-7, -0x1.bac651ed29672p-7, -0x1.b84e9ddcee965p-7, -0x1.b5807227146dfp-7, -0x1.b25d92262d59bp-7, -0x1.aee7cb27b467ep-7, -0x1.ab20f2e9375abp-7, -0x1.a70ae545e0656p-7, -0x1.a2a782391ce3cp-7, -0x1.9df8ace26b6fdp-7, -0x1.99004ce2ebd06p-7, -0x1.93c04f1489e3cp-7, -0x1.8e3aa6604eb9cp-7, -0x1.88714b6cbfe02p-7, -0x1.82663aaca28c8p-7, -0x1.7c1b7262defc9p-7, -0x1.7592f1276aed3p-7, -0x1.6eceb5a0faafap-7, -0x1.67d0bf4d6b038p-7, -0x1.609b0f968d019p-7, -0x1.592faa4fdc8dp-7, -0x1.5190952c0e676p-7, -0x1.49bfd641dd197p-7, -0x1.41bf724c1877bp-7, -0x1.39916b6874bdcp-7, -0x1.3137c0c60d75ep-7, -0x1.28b46f3076496p-7, -0x1.200971f845459p-7, -0x1.1738c377c38a2p-7, -0x1.0e445cf055191p-7, -0x1.052e35689fd02p-7, -0x1.f7f080ea4508cp-8, -0x1.e548d9e03347ep-8, -0x1.d269489206c27p-8, -0x1.bf5595873d9dap-8, -0x1.ac11801664a4p-8, -0x1.98a0bfb1374adp-8, -0x1.8507046d56db3p-8, -0x1.7147f64ee46c5p-8, -0x1.5d6733844cb44p-8, -0x1.49684e441c6eep-8, -0x1.354ecb19e0e55p-8, -0x1.211e202ea2f11p-8, -0x1.0cd9b59884063p-8, -0x1.f109ccb5850bdp-9, -0x1.c84602e4e1a48p-9, -0x1.9f6e94aea5786p-9, -0x1.7689f103f0252p-9, -0x1.4d9e6c78aa9adp-9, -0x1.24b23e6b98996p-9, -0x1.f796fc93e4a23p-10, -0x1.a5e044b00c18dp-10, -0x1.544bff9bfba6p-10, -0x1.02e597c235ab5p-10, -0x1.637074ec57c6ap-11, -0x1.833b6c5824f57p-12, -0x1.034336d0e10c7p-14, 0x1.0034f810fa706p-12, 0x1.1fd67158921d1p-11, 0x1.beb77aed41bbep-11, 0x1.2e5511b6c9015p-10, 0x1.7ccdc0d047174p-10, 0x1.cabc9c636e933p-10, 0x1.0c0c5d90e5921p-9, 0x1.326cbb5f5f643p-9, 0x1.587b34ecb3b22p-9, 0x1.7e33b724e8754p-9, 0x1.a3924e14a3977p-9, 0x1.c89324e6960b6p-9, 0x1.ed32863ffa09dp-9, 0x1.08b66e69a1e2cp-8, 0x1.1a9f5a35cda2cp-8, 0x1.2c525d885755fp-8, 0x1.3dcde1043c29ep-8, 0x1.4f105f25b0aa7p-8, 0x1.601864130856cp-8, 0x1.70e48cff3da11p-8, 0x1.81738731a3dfbp-8, 0x1.91c40eb74df6ap-8, 0x1.a1d4ecfdbe93p-8, 0x1.b1a4f7d9e6cf7p-8, 0x1.c1331167e913fp-8, 0x1.d07e28e7c0e38p-8, 0x1.df853ca4456b1p-8, 0x1.ee475c4e6b906p-8, 0x1.fcc3aafbe0acfp-8, 0x1.057cb00c495c8p-7, 0x1.0c73e35d8e107p-7, 0x1.13471d9ba9e62p-7, 0x1.19f613a4f71aep-7, 0x1.20807edbedcbp-7, 0x1.26e61b4aec58ep-7, 0x1.2d26a6bc6d43ap-7, 0x1.3341e137969bcp-7, 0x1.39378eea68e77p-7, 0x1.3f077b2447a96p-7, 0x1.44b17b9ab856bp-7, 0x1.4a3572ff12f72p-7, 0x1.4f93520076fd8p-7, 0x1.54cb1621fe33fp-7, 0x1.59dcc65a5e478p-7, 0x1.5ec86e2b3888ap-7, 0x1.638e18323c4b9p-7, 0x1.682dc9ceae771p-7, 0x1.6ca78129e9adep-7, 0x1.70fb367476491p-7, 0x1.7528e081335dcp-7, 0x1.79307bcc523ebp-7, 0x1.7d12124ace235p-7, 0x1.80cdc1efd976bp-7, 0x1.8463bfef6c62dp-7, 0x1.87d4576ce670fp-7, 0x1.8b1fe355bfc52p-7, 0x1.8e46c46e50433p-7, 0x1.914955b60fce1p-7, 0x1.9427e1f32ab4fp-7, 0x1.96e29d3ac1f0dp-7, 0x1.9979a489bc1f5p-7, 0x1.9bed04265abc7p-7, 0x1.9e3cc3d5f23c4p-7, 0x1.a068f66760488p-7, 0x1.a271c8f3993eep-7, 0x1.a4578dfdece59p-7, 0x1.a61ac14ab6adep-7, 0x1.a7bc02ca792d8p-7, 0x1.a93c09056e89cp-7, 0x1.aa9b8d8883ab1p-7, 0x1.abdb377f8faeap-7, 0x1.acfb896123ce7p-7, 0x1.adfcd637f8dddp-7, 0x1.aedf4191a5172p-7, 0x1.afa2cad887f4cp-7, 0x1.b04762435ec79p-7, 0x1.b0cd032c73c8bp-7, 0x1.b133ce2d3c439p-7, 0x1.b17c1d0d0c2cdp-7, 0x1.b1a68ba85b89bp-7, 0x1.b1b3f3336a229p-7, 0x1.b1a5582b9c1e8p-7, 0x1.b17bce4256194p-7, 0x1.b13857de3cdefp-7, 0x1.b0dbc7f37cf1ap-7, 0x1.b066acae82ebbp-7, 0x1.afd947af8b0a2p-7, 0x1.af339608faebbp-7, 0x1.ae7566bf7f44p-7, 0x1.ad9e7bc9261b7p-7, 0x1.acaeaeef4f9dbp-7, 0x1.aba613173ae0dp-7, 0x1.aa850af520ffap-7, 0x1.a94c504ddc1cp-7, 0x1.a7fcea25ff596p-7, 0x1.a69813d0bbbf6p-7, 0x1.a51f19de2d30bp-7, 0x1.a39333c18b63fp-7, 0x1.a1f56165c992ap-7, 0x1.a04652ef9098bp-7, 0x1.9e865efbc56efp-7, 0x1.9cb589211917dp-7, 0x1.9ad397a47f872p-7, 0x1.98e0347f51e9ep-7, 0x1.96db1382e78e1p-7, 0x1.94c4162cb4bbep-7, 0x1.929b6621209afp-7, 0x1.9061815a50012p-7, 0x1.8e17366500681p-7, 0x1.8bbd9289f4f0cp-7, 0x1.8955c669e064ap-7, 0x1.86e106b05334cp-7, 0x1.84606e2ae75e2p-7, 0x1.81d4e571b9b9p-7, 0x1.7f3f131d8f4abp-7, 0x1.7c9f567a15acdp-7, 0x1.79f5cd6bca901p-7, 0x1.774264870a2eap-7, 0x1.7484ee56e8316p-7, 0x1.71bd3d4a3ecaap-7, 0x1.6eeb3b60fe42dp-7, 0x1.6c0efbb5adf6fp-7, 0x1.6928c3cf21efep-7, 0x1.66390c879ff5fp-7, 0x1.63407babae43bp-7, 0x1.603fd8055da1dp-7, 0x1.5d37f9a3809e8p-7, 0x1.5a29b8684fbffp-7, 0x1.5715db9d62ae9p-7, 0x1.53fd0dfbdc55ep-7, 0x1.50dfd8db1b395p-7, 0x1.4dbea66796b1dp-7, 0x1.4a99c73b9b1e4p-7, 0x1.477175cecbb19p-7, 0x1.4445d4d8fd616p-7, 0x1.4116eb5c76447p-7, 0x1.3de4a5d4bebc8p-7, 0x1.3aaee3a378b4ep-7, 0x1.3775915341216p-7, 0x1.3438c75319744p-7, 0x1.30f8df2b4cd04p-7, 0x1.2db6731039d3cp-7, 0x1.2a724527dceep-7, 0x1.272d187af5d05p-7, 0x1.23e78e6520181p-7, 0x1.20a21a406f762p-7, 0x1.1d5d10b1be6dp-7, 0x1.1a18c64a91322p-7, 0x1.16d5a5047eb57p-7, 0x1.139422d5b3ffep-7, 0x1.10549672ef5f7p-7, 0x1.0d1700844f328p-7, 0x1.09daeeb4f1b5fp-7, 0x1.069f9664977dp-7, 0x1.0364278f00507p-7, 0x1.002836306703cp-7, 0x1.f9d80d4c5f6f3p-8, 0x1.f361293d81f67p-8, 0x1.ecee9f8f24225p-8, 0x1.e6836095daf74p-8, 0x1.e021b0f33c7e6p-8, 0x1.d9cad9cd7748ep-8, 0x1.d37f54a107f81p-8, 0x1.cd3f3ddf59cf6p-8, 0x1.c70abcd80508ap-8, 0x1.c0e21be51e252p-8, 0x1.bac57532f7c18p-8, 0x1.b4b41aa8185f1p-8, 0x1.aeac174ccdd2cp-8, 0x1.a8aa35fbb38d8p-8, 0x1.a2aac4f23d2adp-8, 0x1.9caae0cb827c8p-8, 0x1.96a9adb4a75aap-8, 0x1.90a8d4f3b501ep-8, 0x1.8aabfc543d438p-8, 0x1.84b78b265df78p-8, 0x1.7ecf7c7329997p-8, 0x1.78f6dd3df90ebp-8, 0x1.733001f2406f7p-8, 0x1.6d7cf9d38f2fbp-8, 0x1.67dfbaac63948p-8, 0x1.6259d3ef81beap-8, 0x1.5cebd02adcb63p-8, 0x1.57949176163f4p-8, 0x1.5250f25b2b1e4p-8, 0x1.4d1bdf6eb1c88p-8, 0x1.47ef0730325d5p-8, 0x1.42c42334990edp-8, 0x1.3d96a13dfd27ap-8, 0x1.386512c322ccbp-8, 0x1.333194652bb52p-8, 0x1.2e00b96471d8p-8, 0x1.28d770c69f62bp-8, 0x1.23b9311379591p-8, 0x1.1ea79f7a894edp-8, 0x1.19a3c02d6f8a2p-8, 0x1.14af901867cb1p-8, 0x1.0fcec96c794e7p-8, 0x1.0b065c6b823cfp-8, 0x1.065aee2ffb4b3p-8, 0x1.01cf1e8c013efp-8, 0x1.fac4e71c308d1p-9, 0x1.f222b23510906p-9, 0x1.e9abb0f0f5b2dp-9, 0x1.e150e024bb50fp-9, 0x1.d9021d519a4eep-9, 0x1.d0b1514902adp-9, 0x1.c85690a691627p-9, 0x1.bff2ec954f71cp-9, 0x1.b78f7def035b9p-9, 0x1.af3884ce508f6p-9, 0x1.a6f76fabb0e3dp-9, 0x1.9ecfada55fd8cp-9, 0x1.96bff10d44371p-9, 0x1.8ec62d85f28cfp-9, 0x1.86e3b441c356p-9, 0x1.7f1f7882afe5cp-9, 0x1.778487d34535p-9, 0x1.701ca0163f2b4p-9, 0x1.68eafaf0c1e9bp-9, 0x1.61ebd5ea8dfbap-9, 0x1.5b1868d497745p-9, 0x1.546b18251067ap-9, 0x1.4de071ad8c507p-9, 0x1.4774ed3098a23p-9, 0x1.4122402143ba5p-9, 0x1.3adf11a5b56a9p-9, 0x1.34a1611701c99p-9, 0x1.2e6242509c34bp-9, 0x1.282179d9d718fp-9, 0x1.21e6846006643p-9, 0x1.1bbcc7f02370ep-9, 0x1.15acaf621cfedp-9, 0x1.0fb702bd6b30dp-9, 0x1.09d732c55d7e1p-9, 0x1.040b45644a319p-9, 0x1.fcb13f34873e5p-10, 0x1.f18fede0648f5p-10, 0x1.e6bbde40a94b1p-10, 0x1.dc3057e020a48p-10, 0x1.d1df71fc7e6f9p-10, 0x1.c7baf7395237dp-10, 0x1.bdbbc157ace48p-10, 0x1.b3e4a285b9f46p-10, 0x1.aa3feb5dfb9b3p-10, 0x1.a0d9254bc10abp-10, 0x1.97b68ed13afe6p-10, 0x1.8ed3d3d2fdcdfp-10, 0x1.861e28d7a87ffp-10, 0x1.7d799222f6d23p-10, 0x1.74d4c762f13cfp-10, 0x1.6c37b36addb7ep-10, 0x1.63b6b25de9918p-10, 0x1.5b5a99cb6bc07p-10, 0x1.531f4867a22d2p-10, 0x1.4b06ecfc6f42fp-10, 0x1.431d0cd05685fp-10, 0x1.3b65a7806136dp-10, 0x1.33daafb880dcp-10, 0x1.2c78b428a7005p-10, 0x1.2541230b82a41p-10, 0x1.1e31f8f633b3cp-10, 0x1.1743126a3e128p-10, 0x1.106c0efe95a14p-10, 0x1.09ab049b28276p-10, 0x1.03065500cf7c5p-10, 0x1.f9113d0d8f1bdp-11, 0x1.ec748b3abd759p-11, 0x1.e03bf6322fd83p-11, 0x1.d45c1119893cp-11, 0x1.c8b13404d33fcp-11, 0x1.bd1ca405d41b7p-11, 0x1.b1b94df6c2e45p-11, 0x1.a6bb8360a5e63p-11, 0x1.9c17e7d0767f2p-11, 0x1.918e89759fa25p-11, 0x1.870ac0846fc38p-11, 0x1.7cb335fa9697fp-11, 0x1.72a9d49761c92p-11, 0x1.68ec11921dca8p-11, 0x1.5f5f10cfcbe1fp-11, 0x1.55f0396a07827p-11, 0x1.4cab9ff2d1e8fp-11, 0x1.43a76051ccbafp-11, 0x1.3ae4d6216997fp-11, 0x1.32536b19526acp-11, 0x1.29e4f8d55006fp-11, 0x1.21988a5268543p-11, 0x1.1977cb4a1290dp-11, 0x1.118d1d5a3e336p-11, 0x1.09dcc49da6ffp-11, 0x1.0268917cd1aacp-11, 0x1.f6530a826b27fp-12, 0x1.e7ff554efb9abp-12, 0x1.d9bbfb4cbc4acp-12, 0x1.cbd9f2bf23f81p-12, 0x1.be74341753518p-12, 0x1.b1562a152c78bp-12, 0x1.a4a3e3aa8780bp-12, 0x1.9895a9c0e758ap-12, 0x1.8cf3068ab51d7p-12, 0x1.815eb8bad4644p-12, 0x1.75cbac7ebb4f1p-12, 0x1.6a75742cd533fp-12, 0x1.5f72bce8e07bfp-12, 0x1.549e80d95146ap-12, 0x1.49f854902232fp-12, 0x1.3fae0cd87f0fp-12, 0x1.35c8cc7b88974p-12, 0x1.2c29ffa049ab4p-12, 0x1.22b9c976fc98cp-12, 0x1.1975930f425bp-12, 0x1.10660fe34f239p-12, 0x1.0790a24b00b1fp-12, 0x1.fde7ff56019b6p-13, 0x1.ed3b6caaae373p-13, 0x1.dd4125a1bcfe3p-13, 0x1.cdaa0b5dcdb37p-13, 0x1.be47b701cead5p-13, 0x1.af45febce43ffp-13, 0x1.a05ac299180ddp-13, 0x1.91c0be3f40ac4p-13, 0x1.83de531d895bap-13, 0x1.76858d99f9d86p-13, 0x1.698c5bacece9cp-13, 0x1.5cfd70c3322dbp-13, 0x1.50e96a7b6fb4bp-13, 0x1.452b74531bc35p-13, 0x1.3987e266b568ep-13, 0x1.2e208684ab175p-13, 0x1.23134a8ae93fep-13, 0x1.18299b5a46757p-13, 0x1.0d8619fff22b4p-13, 0x1.036cbad4909c7p-13, 0x1.f37c74f52aa3bp-14, 0x1.e091e9c5703c5p-14, 0x1.cdffd9dedaba7p-14, 0x1.bbd5de957a899p-14, 0x1.aa1e2df9bc313p-14, 0x1.98ce3839cf85bp-14, 0x1.8812a6930f6f5p-14, 0x1.78647cbbc1a33p-14, 0x1.6961a227e51c2p-14, 0x1.5a7713c7b688ep-14, 0x1.4b9a8cce093dap-14, 0x1.3d0798aadf2b7p-14, 0x1.2f5c847acc8e4p-14, 0x1.2240b799eb401p-14, 0x1.156a626c76386p-14, 0x1.08dd253d857a3p-14, 0x1.f94c221230bc2p-15, 0x1.e195467d113f3p-15, 0x1.ca94f612ef383p-15, 0x1.b4594f41a2f85p-15, 0x1.9f34285a0f2cap-15, 0x1.8b4b4eccd61b7p-15, 0x1.77eb64b0d28ebp-15, 0x1.64d55fd06ac1cp-15, 0x1.51f1f5dbacb08p-15, 0x1.3f846e0438914p-15, 0x1.2e4e56f225e66p-15, 0x1.1de8d31f64dd5p-15, 0x1.0dde84691b407p-15, 0x1.fc587e49692bp-16, 0x1.ddd5bb91b2893p-16, 0x1.c0331d6fd787cp-16, 0x1.a36f8e4b23a34p-16, 0x1.886a2bda16092p-16, 0x1.6f7241c944066p-16, 0x1.56827986c1083p-16, 0x1.3d50f72637cd4p-16, 0x1.25a38d7412891p-16, 0x1.0f8debac214f8p-16, 0x1.f41c200287efbp-17, 0x1.ca3f1e0452cb3p-17, 0x1.a1d1fb1240d02p-17, 0x1.7af05b8c3e852p-17, 0x1.5597440eb5c12p-17, 0x1.31b4c786a1c2bp-17, 0x1.0f2fba9dabfd4p-17, 0x1.dbdf7b5f8a3e8p-18, 0x1.9bbe20562f4c3p-18, 0x1.5dc35161ebc79p-18, 0x1.2217ff65bc7a2p-18, 0x1.d518ece2febcdp-19, 0x1.6f7a867ddefdbp-19, 0x1.0b603a45d92e3p-19, 0x1.4c0e4cda1dd97p-20, 0x1.173843b3f399ap-21, -0x1.230f641ce69c3p-23, -0x1.9b857badf4d0ep-21, -0x1.72793d004ad5cp-20, -0x1.08597c1cc6ed8p-19, -0x1.5425f223f514dp-19, -0x1.9d2046523182dp-19, -0x1.e096fd1a0b686p-19, -0x1.0f7adac1e2987p-18, -0x1.2f6962a0c3daap-18, -0x1.4cf5e94b232b6p-18, -0x1.682705cf8522dp-18, -0x1.82762059a4275p-18, -0x1.9baa4be7b8055p-18, -0x1.b394bb550512ep-18, -0x1.ca344b4bb91c7p-18, -0x1.df94a190a181ep-18, -0x1.f3c25644e7e8p-18, -0x1.03643af92a3a6p-17, -0x1.0c588ad131fdcp-17, -0x1.14c3a67e73d0dp-17, -0x1.1cac894552cf3p-17, -0x1.241b6ba718dc5p-17, -0x1.2b17a351195cap-17, -0x1.31a4a6f95a1a4p-17, -0x1.37c783057131ep-17, -0x1.3d8c1eddae271p-17, -0x1.42e0bb8533ff3p-17, -0x1.47742a5a94b4cp-17, -0x1.4bcb930504d85p-17, -0x1.5026711e896d8p-17, -0x1.53da8cedb6a3fp-17, -0x1.573250c457361p-17, -0x1.5a511c553178fp-17, -0x1.5d2885a7eca31p-17, -0x1.5fc55e0422f77p-17, -0x1.621f7642fdf84p-17, -0x1.640e96c1deb6cp-17, -0x1.65e2b2a71598p-17, -0x1.6750abda42115p-17, -0x1.688eb8cdca6abp-17, -0x1.69a1cbc33d663p-17, -0x1.6a803afcd59a9p-17, -0x1.6b2a160671da3p-17, -0x1.6ba1fa3d0c88ep-17, -0x1.6beaab4dca239p-17, -0x1.6c06bb275e747p-17, -0x1.6bf88baeb0a2dp-17, -0x1.6bc254d8d9d92p-17, -0x1.6b66261edf68ep-17, -0x1.6ae5e7f2ec479p-17, -0x1.6a436592a30bap-17, -0x1.6980645e643bep-17, -0x1.689ebe66b7e2dp-17, -0x1.67a06712e2c44p-17, -0x1.668746fb2c6ecp-17, -0x1.6554eb9dca502p-17, -0x1.640a413fc8e24p-17, -0x1.62a8598bc598dp-17, -0x1.6132ebdbc00c5p-17, -0x1.5fad50f60bad9p-17, -0x1.5e0d6ecf54cd2p-17, -0x1.5c5ee127e7ccbp-17, -0x1.5a9c29370e9d4p-17, -0x1.58c8a1a7f3e46p-17, -0x1.56eafce7e3ae1p-17, -0x1.5503494e8fd29p-17, -0x1.53117796359a8p-17, -0x1.511106c250754p-17, -0x1.4f0336d817927p-17, -0x1.4ced8d6faa368p-17, -0x1.4ad14cdbaa796p-17, -0x1.48ad5a1122c3ep-17, -0x1.468299cf2a8dcp-17, -0x1.4451770009cc1p-17, -0x1.421b1108c6024p-17, -0x1.3fdfad68c063ep-17, -0x1.3da0059ace05cp-17, -0x1.3b5cd7ad20191p-17, -0x1.3916aedc486f4p-17, -0x1.36ce110a2d9f7p-17, -0x1.34837e3b39d38p-17, -0x1.32376f99c5091p-17, -0x1.2fea57e4e13ep-17, -0x1.2d9ca499dafe2p-17, -0x1.2b4ebfe4c5099p-17, -0x1.290111ecaad8bp-17, -0x1.26b3fed57968p-17, -0x1.2467e0d3da084p-17, -0x1.221d028a727d6p-17, -0x1.1fd3a0513fafdp-17, -0x1.1d8bf6594b588p-17, -0x1.1b465b11b6ee9p-17, -0x1.190333f465c53p-17, -0x1.16c273dc60e7fp-17, -0x1.14836575dee29p-17, -0x1.1247a7c832d84p-17, -0x1.10112d3ce4392p-17, -0x1.0dde1e6ed9b36p-17, -0x1.0bac06c5684c7p-17, -0x1.097cc945bba54p-17, -0x1.075408a00d5e9p-17, -0x1.052e7e1ee0097p-17, -0x1.030bff9070d6p-17, -0x1.00ed81f2d8f36p-17, -0x1.fda65693bfd8p-18, -0x1.f97a04f1bde22p-18, -0x1.f55634c13f2ebp-18, -0x1.f13a8afe991bfp-18, -0x1.ed27f05bbe8f6p-18, -0x1.e91dc2699156p-18, -0x1.e51c425ad1bccp-18, -0x1.e1237987f163ep-18, -0x1.dd336d705f40cp-18, -0x1.d94c1e78d5915p-18, -0x1.d56d889bd07fp-18, -0x1.d197a4760abp-18, -0x1.cdca67bfddaabp-18, -0x1.ca05c59f6111ap-18, -0x1.c649afe25503ep-18, -0x1.c296195944884p-18, -0x1.beeaf786b92c9p-18, -0x1.bb48400666716p-18, -0x1.b7ade1d8b3aa1p-18, -0x1.b41bc2ab086b8p-18, -0x1.b091c60f27c2ap-18, -0x1.ad0fbc957ed89p-18, -0x1.a994bae0ffa5bp-18, -0x1.a622518ee6597p-18, -0x1.a2b74c91e3caap-18, -0x1.9f55106271119p-18, -0x1.9bf8fe5606ad6p-18, -0x1.98a03c260ce1ep-18, -0x1.9553015ca96b6p-18, -0x1.920d3399120cap-18, -0x1.8ece869266de9p-18, -0x1.8b977ad08ad93p-18, -0x1.88643bd8ae16p-18, -0x1.85374eeaf69b2p-18, -0x1.8210f92585dadp-18, -0x1.7ef0ecd203325p-18, -0x1.7bd6e63c9888p-18, -0x1.78c2a741d3c14p-18, -0x1.75b40680aed08p-18, -0x1.72aadd0caa891p-18, -0x1.6fa70962df082p-18, -0x1.6ca86a262f289p-18, -0x1.69aedb6db782fp-18, -0x1.66ba370691f6cp-18, -0x1.63ca55d5f912bp-18, -0x1.60df110dce1e8p-18, }}, 
      {{-0x1.18d16218baeebp-4, -0x1.0db7a2fc57e7p-4, -0x1.f754ba956b817p-5, -0x1.c68c708f786edp-5, -0x1.8a9b19c923f82p-5, -0x1.4532f4aef6e1cp-5, -0x1.f034ef7bc2ebcp-6, -0x1.4a2f9e550d2dp-6, -0x1.378404870edbep-7, 0x1.7df3ab386d04cp-10, 0x1.9b8c824643bcp-7, 0x1.83550ac109e6dp-6, 0x1.1b209c12e70e2p-5, 0x1.724a01c64978fp-5, 0x1.c653b204d2b5dp-5, 0x1.0b4852f1d138p-4, 0x1.313b6dcab2c86p-4, 0x1.54ce0695e8ccdp-4, 0x1.75d925fdc10fap-4, 0x1.94425208b229bp-4, 0x1.aff9f0be9c34ep-4, 0x1.c8f9c2a826443p-4, 0x1.df4379ea710e6p-4, 0x1.f2df70bdb0341p-4, 0x1.01edc039b9ddap-3, 0x1.0924fc8d6a274p-3, 0x1.0f205c3b61b77p-3, 0x1.13ec2f63f1cbbp-3, 0x1.1795cf85646eep-3, 0x1.1a2b54124cf73p-3, 0x1.1bbb52a51fde8p-3, 0x1.1c54a95b47e6ep-3, 0x1.1c0652171fb83p-3, 0x1.1adf3db2d2175p-3, 0x1.18ee363ff01b9p-3, 0x1.1641c710e549fp-3, 0x1.12e829a47f256p-3, 0x1.0eef36be49b12p-3, 0x1.0a645b1da7c56p-3, 0x1.05548f5126c63p-3, 0x1.ff98a3020882bp-4, 0x1.f3af42e9a868cp-4, 0x1.e703fb8b343e2p-4, 0x1.d9acc62ae5068p-4, 0x1.cbbe962098a4ap-4, 0x1.bd4d5c20abd71p-4, 0x1.ae6c062e89302p-4, 0x1.9f2c84f293b0dp-4, 0x1.8f9fd009e8f51p-4, 0x1.7fd5e8b02980ap-4, 0x1.6fdde16ea222fp-4, 0x1.5fc5e3acd9741p-4, 0x1.4f9b342c9efc2p-4, 0x1.3f6a3b315ea31p-4, 0x1.2f3e8adbc64d7p-4, 0x1.1f22e57069e4bp-4, 0x1.0f2144717803p-4, 0x1.fe85bfb1b487dp-5, 0x1.df206a7d501d3p-5, 0x1.c0221dfc6a9fdp-5, 0x1.a199164226a5dp-5, 0x1.83924595c7791p-5, 0x1.6619626e327cfp-5, 0x1.4938f63b8d2cap-5, 0x1.2cfa6bd2db734p-5, 0x1.11661be63bf44p-5, 0x1.ed06b912ff1eap-6, 0x1.b8b11bd84bb91p-6, 0x1.85d64ebb421aep-6, 0x1.547f8a42148fep-6, 0x1.24b46b2a2f39fp-6, 0x1.ecf610ad5ef63p-7, 0x1.93b01844480abp-7, 0x1.3d9d9e99a98ddp-7, 0x1.d585a2624b541p-8, 0x1.36432a730cb39p-8, 0x1.3ae687a2722c6p-9, 0x1.622cd508fc0a5p-13, -0x1.01d51da81a9e3p-9, -0x1.068c4318a55a1p-8, -0x1.85e25e878b52ap-8, -0x1.fefe62d3c6e34p-8, -0x1.38fa3c2d74776p-7, -0x1.6f6d8dec5b9d2p-7, -0x1.a2e5720d9eedcp-7, -0x1.d36f2eb4c347fp-7, -0x1.008c76485714ep-6, -0x1.15f8c693e07cbp-6, -0x1.2a04511883d7p-6, -0x1.3cb72ab70c656p-6, -0x1.4e19a8dc83e99p-6, -0x1.5e345c03271e8p-6, -0x1.6d0ffdd1b747p-6, -0x1.7ab57595a152dp-6, -0x1.872dc7f91da68p-6, -0x1.928211e7c452dp-6, -0x1.9cbb872e2420cp-6, -0x1.a5e360bb3738bp-6, -0x1.ae02e2a859553p-6, -0x1.b5234fe5c89d5p-6, -0x1.bb4de5fc57e2dp-6, -0x1.c08bd8c05708dp-6, -0x1.c4e652dffaf3dp-6, -0x1.c86668e8b7dcp-6, -0x1.cb151d3e6aed3p-6, -0x1.ccfb5cdffc945p-6, -0x1.ce21f79900e98p-6, -0x1.ce91a331d801ep-6, -0x1.ce52f47ed1b56p-6, -0x1.cd6e5fa941262p-6, -0x1.cbec36d95c4bbp-6, -0x1.c9d4a3300bcf4p-6, -0x1.c72fa87a3b8d3p-6, -0x1.c4052307b8f76p-6, -0x1.c05cc3acb6d5fp-6, -0x1.bc3e0e54bea8fp-6, -0x1.b7b05a4dd1d7bp-6, -0x1.b2bad61ca913dp-6, -0x1.ad647e3ce1a7p-6, -0x1.a7b42076311bp-6, -0x1.a1b05e3979208p-6, -0x1.9b5fa7eae32cdp-6, -0x1.94c84306b79d4p-6, -0x1.8df03edfbf2c3p-6, -0x1.86dd81c9cdaa8p-6, -0x1.7f95c04eef0e7p-6, -0x1.781e7e33ba2b8p-6, -0x1.707d16ed21673p-6, -0x1.68b6af6c0b58cp-6, -0x1.60d043215cf66p-6, -0x1.58ce9ef1a6733p-6, -0x1.50b661e27f685p-6, -0x1.488bfc7e6f3c4p-6, -0x1.4053b875b124p-6, -0x1.3811abd63d0c6p-6, -0x1.2fc9c7af4735ap-6, -0x1.277fd027a7ffcp-6, -0x1.1f37611b5d2f9p-6, -0x1.16f3eafd7065p-6, -0x1.0eb8b88148a49p-6, -0x1.0688ef47bb34cp-6, -0x1.fccf0e9e3ffc2p-7, -0x1.ecaeb58816e26p-7, -0x1.dcb635970d877p-7, -0x1.cceaaab1b646bp-7, -0x1.bd50ee779e4dep-7, -0x1.aded92d8a923ap-7, -0x1.9ec4e3dd44d83p-7, -0x1.8fdaf48e768c3p-7, -0x1.8133922e5120dp-7, -0x1.72d25113a1beap-7, -0x1.64ba8363e7823p-7, -0x1.56ef47ab74a3dp-7, -0x1.49737b37af106p-7, -0x1.3c49d0ee1b198p-7, -0x1.2f74b8d1e2efp-7, -0x1.22f6738c3380cp-7, -0x1.16d1147230e29p-7, -0x1.0b0674c302502p-7, -0x1.ff3087879f34p-8, -0x1.e9100cf7ecc55p-8, -0x1.d3ae1238fb709p-8, -0x1.bf0cf17b3302cp-8, -0x1.ab2ea845475f3p-8, -0x1.9814e2a04ec71p-8, -0x1.85c0fb81056b3p-8, -0x1.743416a57f326p-8, -0x1.636eeec47053p-8, -0x1.5372183efa824p-8, -0x1.443dd20af4c45p-8, -0x1.35d220ad5c76p-8, -0x1.282ecea1e0a4ap-8, -0x1.1b5359a1d059cp-8, -0x1.0f3f276636117p-8, -0x1.03f142c782856p-8, -0x1.f2d1304a1d1dap-9, -0x1.df47b679beaefp-9, -0x1.cd4323547581ap-9, -0x1.bcc01e0ee94fdp-9, -0x1.adbb08b72bdc3p-9, -0x1.a02fcc02609eap-9, -0x1.941a3a4665dc2p-9, -0x1.8975b13c0cb6ep-9, -0x1.803d406b0191bp-9, -0x1.786bd7bfc94cbp-9, -0x1.71fc10f189cdfp-9, -0x1.6ce847067970ap-9, -0x1.692aa5d6cd284p-9, -0x1.66bd21fe424dap-9, -0x1.6599757824155p-9, -0x1.65b92ab21eab9p-9, -0x1.6715cbfdc71d3p-9, -0x1.69a86c7fbd1efp-9, -0x1.6d6a39b1787cdp-9, -0x1.725428bd85501p-9, -0x1.785f118da7609p-9, -0x1.7f83ab9881625p-9, -0x1.87ba98024d887p-9, -0x1.90fc688b0fbbep-9, -0x1.9b418be9a8fcfp-9, -0x1.a6826424318bfp-9, -0x1.b2b7454fc4141p-9, -0x1.bfd889ebe8f17p-9, -0x1.cdde54eb8a7f5p-9, -0x1.dcc0e618269f2p-9, -0x1.ec786afb7978ep-9, -0x1.fcfd12b11d2edp-9, -0x1.07237e9b2ca31p-8, -0x1.10272bde55141p-8, -0x1.1985a57cbf12ap-8, -0x1.233b0212cda26p-8, -0x1.2d435bd152a2fp-8, -0x1.379acfd188ed3p-8, -0x1.423d7a62f363dp-8, -0x1.4d278bee00dcp-8, -0x1.58552d15a05ep-8, -0x1.63c28d0eaca7ap-8, -0x1.6f6beb5a2caf4p-8, -0x1.7b4d8a4429c06p-8, -0x1.8763b5592656bp-8, -0x1.93aac1a270f5fp-8, -0x1.a01f0e07aa26p-8, -0x1.acbd04234d004p-8, -0x1.b98118c26a21bp-8, -0x1.c667ca6c9ab94p-8, -0x1.d36da9103fb1ep-8, -0x1.e08f4b0aee617p-8, -0x1.edc9529be76cep-8, -0x1.fb1878a6cde87p-8, -0x1.043cbdf19c3f6p-7, -0x1.0af493d92e1dcp-7, -0x1.11b22e2f8988ep-7, -0x1.187402920fea3p-7, -0x1.1f388e2f8932fp-7, -0x1.25fe55ef03686p-7, -0x1.2cc3e6756aa51p-7, -0x1.3387d3f25101bp-7, -0x1.3a48bc30885a1p-7, -0x1.410542be3074ap-7, -0x1.47bc1495f4144p-7, -0x1.4e6be69e9299cp-7, -0x1.551375fd570f7p-7, -0x1.5bb18855e6274p-7, -0x1.6244eabcd73b3p-7, -0x1.68cc745a1429cp-7, -0x1.6f4704c7cf493p-7, -0x1.75b38112ab5a7p-7, -0x1.7c10d9de69dcap-7, -0x1.825e07518c0b5p-7, -0x1.889a0985b0343p-7, -0x1.8ec3ea1f37f88p-7, -0x1.94daba7681292p-7, -0x1.9add9442255cp-7, -0x1.a0cb99e3d5069p-7, -0x1.a6a3f5d07e633p-7, -0x1.ac65dae9422dp-7, -0x1.b210847498a0fp-7, -0x1.b7a3360457a4fp-7, -0x1.bd1d3b53b3932p-7, -0x1.c27de824bff2ep-7, -0x1.c7c498340165bp-7, -0x1.ccf0aeea7be43p-7, -0x1.d2019756b1bf9p-7, -0x1.d6f6c62e6caa2p-7, -0x1.dbcfb58b61e09p-7, -0x1.e08be83f52ad4p-7, -0x1.e52ae93ed137cp-7, -0x1.e9ac49dd69c87p-7, -0x1.ee0fa348c4fc7p-7, -0x1.f25495b2337bcp-7, -0x1.f67ac87637d0dp-7, -0x1.fa81ea1f8f471p-7, -0x1.fe69b0373ecb8p-7, -0x1.0118eb8a70452p-6, -0x1.02ed10daa09b4p-6, -0x1.04b12cc8952e2p-6, -0x1.06652746b7ca5p-6, -0x1.0808eb72105d9p-6, -0x1.099c678d2112p-6, -0x1.0b1f8cf1e2338p-6, -0x1.0c924ffe2e866p-6, -0x1.0df4a7ef56037p-6, -0x1.0f468ee2f7fc4p-6, -0x1.1088019c1087fp-6, -0x1.11b8ffec05554p-6, -0x1.12d98bfa39dedp-6, -0x1.13e9aa87773dap-6, -0x1.14e96324ca774p-6, -0x1.15d8bfbd91f79p-6, -0x1.16b7cca3761fdp-6, -0x1.17869880e75b1p-6, -0x1.18453443003fap-6, -0x1.18f3b307e1ff4p-6, -0x1.19922a1011445p-6, -0x1.1a20b0b0fed46p-6, -0x1.1a9f60475b6c3p-6, -0x1.1b0e5427d2c39p-6, -0x1.1b6da98e4bfc8p-6, -0x1.1bbd7f8bdd393p-6, -0x1.1bfdf6f1db9ffp-6, -0x1.1c2f3237b7497p-6, -0x1.1c515578e3bf2p-6, -0x1.1c648665dce2fp-6, -0x1.1c68ec2666385p-6, -0x1.1c5eaf647add6p-6, -0x1.1c45fa2f907d9p-6, -0x1.1c1ef7dac95ecp-6, -0x1.1be9d5027529bp-6, -0x1.1ba6bf9ac874cp-6, -0x1.1b55e694a431cp-6, -0x1.1af779f8a1f6bp-6, -0x1.1a8baaf0803b6p-6, -0x1.1a12ab8fc4ad4p-6, -0x1.198caed57b06dp-6, -0x1.18f9e8a4ab8cep-6, -0x1.185a8db5d4c5bp-6, -0x1.17aed387aa01dp-6, -0x1.16f6f05070ed9p-6, -0x1.16331aed398ep-6, -0x1.15638ad86558dp-6, -0x1.148878194c436p-6, -0x1.13a21b37b8df6p-6, -0x1.12b0ad30a5591p-6, -0x1.11b4677464b27p-6, -0x1.10ad83d433222p-6, -0x1.0f9c3c7d06373p-6, -0x1.0e80cbe928578p-6, -0x1.0d5b6cce2fdafp-6, -0x1.0c2c5a08c76c9p-6, -0x1.0af3cea5dba7p-6, -0x1.09b205dd6ebddp-6, -0x1.08673af0ba5b8p-6, -0x1.0713a9227f6a5p-6, -0x1.05b78bc37c99ap-6, -0x1.04531e286ad51p-6, -0x1.02e69b9e63b5p-6, -0x1.01723f47220ap-6, -0x1.ffec88525b4fep-7, -0x1.fce5ca5bc71d8p-7, -0x1.f9d0ba10d80e4p-7, -0x1.f6adcc62d2483p-7, -0x1.f37d75c1d27c1p-7, -0x1.f0402a0cf306ep-7, -0x1.ecf65c83a54a8p-7, -0x1.e9a07fb9de6ap-7, -0x1.e63f058996a23p-7, -0x1.e2d25f0874d47p-7, -0x1.df5afc866d468p-7, -0x1.dbd94d844318fp-7, -0x1.d84dc0ac7ed6fp-7, -0x1.d4b8c3c96a392p-7, -0x1.d11ac3b3b6793p-7, -0x1.cd742c4679346p-7, -0x1.c9c56848795e8p-7, -0x1.c60ee1404ac6fp-7, -0x1.c250ff95b54e3p-7, -0x1.be8c2a4f39839p-7, -0x1.bac0c7247cc2p-7, -0x1.b6ef3a9ba0592p-7, -0x1.b317e7f2c99c4p-7, -0x1.af3b31500b282p-7, -0x1.ab5977d368da7p-7, -0x1.a7731b99fb6e5p-7, -0x1.a3887bada39eap-7, -0x1.9f99f5e1d118ep-7, -0x1.9ba7e6a8b072p-7, -0x1.97b2a8cb68afdp-7, -0x1.93ba95362d38bp-7, -0x1.8fc002e298fddp-7, -0x1.8bc346d0d0ab9p-7, -0x1.87c4b4336cc5ap-7, -0x1.83c49cbe5c138p-7, -0x1.7fc351038cedbp-7, -0x1.7bc120c796d0fp-7, -0x1.77be5b3b4f362p-7, -0x1.73bb4efce744dp-7, -0x1.6fb849db1cdap-7, -0x1.6bb598604e7bap-7, -0x1.67b3853da84cdp-7, -0x1.63b258bc45324p-7, -0x1.5fb25850e459ap-7, -0x1.5bb3c68097facp-7, -0x1.57b6e313a698cp-7, -0x1.53bbebaa65171p-7, -0x1.4fc31c808958dp-7, -0x1.4bccb1457ba3fp-7, -0x1.47d8e5d3d5fcdp-7, -0x1.43e7f68966f4ap-7, -0x1.3ffa2031b7c04p-7, -0x1.3c0f9f748f4fap-7, -0x1.3828afe4ae638p-7, -0x1.34458ae2088c8p-7, -0x1.306666921e447p-7, -0x1.2c8b752fe4e28p-7, -0x1.28b4e4e25fce9p-7, -0x1.24e2e02a94907p-7, -0x1.21158ee13f55bp-7, -0x1.1d4d1773621f5p-7, -0x1.1989a05aaa5dep-7, -0x1.15cb5120c3cd6p-7, -0x1.1212530fe4551p-7, -0x1.0e5ed1240aea7p-7, -0x1.0ab0f752c30ebp-7, -0x1.0708f1457b945p-7, -0x1.0366e8cc69996p-7, -0x1.ff9608c3537a8p-8, -0x1.f86acc2f6be04p-8, -0x1.f14c566d48b4p-8, -0x1.ea3ad9418c3bp-8, -0x1.e3367fc7bb05ep-8, -0x1.dc3f7167ccc34p-8, -0x1.d555d4f407b89p-8, -0x1.ce79d3506f1fbp-8, -0x1.c7ab992c73074p-8, -0x1.c0eb578cf868cp-8, -0x1.ba3943134a1b4p-8, -0x1.b395921a0cb41p-8, -0x1.ad0079f26f6fap-8, -0x1.a67a2bc65d1adp-8, -0x1.a002d1d49bf37p-8, -0x1.999a8dc55ae1dp-8, -0x1.9341789a5e34p-8, -0x1.8cf7a44428e48p-8, -0x1.86bd1e575087ep-8, -0x1.8091f3003a4f8p-8, -0x1.7a762f59a080fp-8, -0x1.7469e2a81cb68p-8, -0x1.6e6d1e8668f51p-8, -0x1.687ff662ebcb1p-8, -0x1.62a27eb62a4abp-8, -0x1.5cd4cc1bb3497p-8, -0x1.5716f22242f37p-8, -0x1.516901b549ffep-8, -0x1.4bcb074880a04p-8, -0x1.463d095d0089p-8, -0x1.40bf082a8cbaep-8, -0x1.3b50feedde027p-8, -0x1.35f2e69c3fcb4p-8, -0x1.30a4b8ebd4462p-8, -0x1.2b66724da06cap-8, -0x1.2638121fff338p-8, -0x1.211999299a11p-8, -0x1.1c0b072c2b1f2p-8, -0x1.170c5955496dp-8, -0x1.121d89aa4356ap-8, -0x1.0d3e8facf5877p-8, -0x1.086f614fbe1cdp-8, -0x1.03aff344d742bp-8, -0x1.fe0070d0ddce5p-9, -0x1.f4c0418ee68a1p-9, -0x1.eb9f327fea86ap-9, -0x1.e29d18f81e278p-9, -0x1.d9b9ca4e4a277p-9, -0x1.d0f52084ddd6ep-9, -0x1.c84efc70c7d29p-9, -0x1.bfc743bf0d64dp-9, -0x1.b75ddbb5b2b47p-9, -0x1.af12a3674526ap-9, -0x1.a6e5705fad34ap-9, -0x1.9ed60f3ae9d3ap-9, -0x1.96e4474d9624fp-9, -0x1.8f0fdef04868dp-9, -0x1.87589e1a8d37cp-9, -0x1.7fbe4e964334ep-9, -0x1.7840bb01714c7p-9, -0x1.70dfae8e01ed3p-9, -0x1.699af68e4a2b7p-9, -0x1.627265258cd1ep-9, -0x1.5b65d201bd948p-9, -0x1.547517e243be5p-9, -0x1.4da00e6c175cbp-9, -0x1.46e6833748a87p-9, -0x1.404835ca61fd5p-9, -0x1.39c4d88f150a7p-9, -0x1.335c1458b60bcp-9, -0x1.2d0d8e44cb551p-9, -0x1.26d8efa53025fp-9, -0x1.20bde88c0dc12p-9, -0x1.1abc2edac2277p-9, -0x1.14d37b8739435p-9, -0x1.0f03872aa7e69p-9, -0x1.094c0c954a59p-9, -0x1.03acd217412fap-9, -0x1.fc4b65efd38ebp-10, -0x1.f16d415899937p-10, -0x1.e6bf2f4e5e97dp-10, -0x1.dc4117bfc686cp-10, -0x1.d1f2aed371499p-10, -0x1.c7d36821cb66dp-10, -0x1.bde2828ec520cp-10, -0x1.b41f2051cbdefp-10, -0x1.aa885ca50fadfp-10, -0x1.a11d59c67aa91p-10, -0x1.97dd497c7c13ap-10, -0x1.8ec7709ff9176p-10, -0x1.85db218b4c30fp-10, -0x1.7d17ad348114ep-10, -0x1.747c572d9b8a7p-10, -0x1.6c085fa77cb4p-10, -0x1.63bb29737f01fp-10, -0x1.5b94666be5ba4p-10, -0x1.539424a17ea47p-10, -0x1.4bbaa721126d1p-10, -0x1.44081cbb58753p-10, -0x1.3c7c636f25c77p-10, -0x1.3516fd35d2163p-10, -0x1.2dd73360834cfp-10, -0x1.26bc4519676d5p-10, -0x1.1fc57fd0c5e82p-10, -0x1.18f23c4261b23p-10, -0x1.1241d0d019d87p-10, -0x1.0bb389c6a0e23p-10, -0x1.0546aaed7bd64p-10, -0x1.fdf4e4ca1b072p-11, -0x1.f19c27b140a5cp-11, -0x1.e5815f4da0adp-11, -0x1.d9a2b5c41b976p-11, -0x1.cdfe955be76fdp-11, -0x1.c294258efdf0ep-11, -0x1.b76384ab57b3bp-11, -0x1.ac6d6c12ad032p-11, -0x1.a1b26c2fb4bd4p-11, -0x1.9732510d52931p-11, -0x1.8cec1ed4fc52p-11, -0x1.82de86ce36044p-11, -0x1.79085a000c183p-11, -0x1.6f68a83b28f72p-11, -0x1.65fea441a7f02p-11, -0x1.5cc985aee5403p-11, -0x1.53c876cddc693p-11, -0x1.4afa82f8453d9p-11, -0x1.425e89f18285dp-11, -0x1.39f346a6f6fedp-11, -0x1.31b763b4431d1p-11, -0x1.29a983fdb680cp-11, -0x1.21c83ad26f03bp-11, -0x1.1a121c4cd9ecbp-11, -0x1.128605ba01168p-11, -0x1.0b236a9b4d6bdp-11, -0x1.03ea46f1d718fp-11, -0x1.f9b55bc6537e8p-12, -0x1.ebe8bb9716725p-12, -0x1.de6d6e1e526d5p-12, -0x1.d141f8f6745afp-12, -0x1.c464fe195080ep-12, -0x1.b7d52cc84fd96p-12, -0x1.ab912b02297d7p-12, -0x1.9f97a688ed5d7p-12, -0x1.93e75dba27d4ep-12, -0x1.887f0757b95fcp-12, -0x1.7d5d2cae5548bp-12, -0x1.72801247fe208p-12, -0x1.67e5d0a3094b4p-12, -0x1.5d8ca48f03ba5p-12, -0x1.53733cacea14bp-12, -0x1.4998af7daa2b6p-12, -0x1.3ffc13078802ep-12, -0x1.369c1b1e6f302p-12, -0x1.2d77123b49b4bp-12, -0x1.248aff789d25cp-12, -0x1.1bd5d0954c35bp-12, -0x1.1355d5de0348ep-12, -0x1.0b0a66334dd15p-12, -0x1.02f3b4c12e919p-12, -0x1.f62367f4c7c04p-13, -0x1.e6c6c495e78bp-13, -0x1.d7ce9c759e27bp-13, -0x1.c938983c393dbp-13, -0x1.bb02ea903b88p-13, -0x1.ad2bc8bb3bfcdp-13, -0x1.9fb14a2e4599ap-13, -0x1.9291563b71378p-13, -0x1.85c96ab01376ep-13, -0x1.7956a3a3dfe74p-13, -0x1.6d3650d256c3bp-13, -0x1.6166d89d6347ap-13, -0x1.55e818e6b0df9p-13, -0x1.4aba87398e482p-13, -0x1.3fdd7a58c8b6cp-13, -0x1.354e4d5930df5p-13, -0x1.2b092079d7bdbp-13, -0x1.2109f85d998a9p-13, -0x1.174dd2950d8b3p-13, -0x1.0dd3d89394f0bp-13, -0x1.049cb9a6bbc18p-13, -0x1.f74fe9558989p-14, -0x1.e5e664d9bfc0dp-14, -0x1.d4f7e87d7fe0bp-14, -0x1.c4815426bbfffp-14, -0x1.b480b8ea32ef6p-14, -0x1.a4f45afc6a75p-14, -0x1.95d9f6e194335p-14, -0x1.872e981e23884p-14, -0x1.78ef4700bbf6cp-14, -0x1.6b1934760fa5bp-14, -0x1.5da93f0e3b0c7p-14, -0x1.509c1ccdc3837p-14, -0x1.43ef4c95f264ap-14, -0x1.37a1e72c1c436p-14, -0x1.2bb437998992dp-14, -0x1.2025b14503a0cp-14, -0x1.14f3159715acbp-14, -0x1.0a17c54b6b2b7p-14, -0x1.ff1e138b1700fp-15, -0x1.eaa93be4c3461p-15, -0x1.d6d06fd2eb9a1p-15, -0x1.c3965c4eb0a68p-15, -0x1.b0f8620f03dcfp-15, -0x1.9ef0a3609ed8fp-15, -0x1.8d7b1b07f047ap-15, -0x1.7c93ef6e943cfp-15, -0x1.6c34600ee5644p-15, -0x1.5c558a4a61317p-15, -0x1.4cf42c93f30c8p-15, -0x1.3e10257a25a27p-15, -0x1.2fa8244bbddf3p-15, -0x1.21b7e59865302p-15, -0x1.143b3a4d68d72p-15, -0x1.072f752def784p-15, -0x1.f523a9f01ea9ap-16, -0x1.dcbe4f5aa26ddp-16, -0x1.c528f636cf6efp-16, -0x1.ae5fce74621c6p-16, -0x1.98610d4b6e5c2p-16, -0x1.83288e809dffap-16, -0x1.6eac58d479058p-16, -0x1.5ae1e36ba789cp-16, -0x1.47c4433bec0f3p-16, -0x1.35509b11184ap-16, -0x1.23845289499fp-16, -0x1.125b2592bcd01p-16, -0x1.01cbebff61b53p-16, -0x1.e3a7009e2a531p-17, -0x1.c4e49db83cbcp-17, -0x1.a74a369351e61p-17, -0x1.8acececb2679cp-17, -0x1.6f66fbe7fff1cp-17, -0x1.55048ea2d31f6p-17, -0x1.3b998da61cee3p-17, -0x1.231d1de2aca15p-17, -0x1.0b8e4b2965be1p-17, -0x1.e9d3d2fc718c6p-18, -0x1.be4bd5687bf12p-18, -0x1.947947a7ffbc9p-18, -0x1.6c56058e673d3p-18, -0x1.45d2470c07f38p-18, -0x1.20db82ffbfd2dp-18, -0x1.fac7200a7be99p-19, -0x1.b6c309de2cf05p-19, -0x1.759972a6e904cp-19, -0x1.372c803c139b5p-19, -0x1.f6c80f7fd4b63p-20, -0x1.8480e09b42a5ep-20, -0x1.17512cc05bcfep-20, -0x1.5dbe14d08cd38p-21, -0x1.2bb2c992fe077p-22, 0x1.4a2368ef4fd22p-24, 0x1.bf148dfc34a3ap-22, 0x1.8d54e40f1e83fp-21, 0x1.197d973ed16b8p-20, 0x1.685a14ed905b4p-20, 0x1.b35c2ec62975p-20, 0x1.faa424872dcaep-20, 0x1.1f28b06ba410bp-19, 0x1.3f4a9ec593e68p-19, 0x1.5dc8ce5ab0c3cp-19, 0x1.7aafe7043acbbp-19, 0x1.960f8ee28f839p-19, 0x1.aff3a003d9a33p-19, 0x1.c86aa0762f217p-19, 0x1.df7f9ac062c5ep-19, 0x1.f53770a65c781p-19, 0x1.04d319f52cc0dp-18, 0x1.0e6fe7f35084cp-18, 0x1.17777237dfa9dp-18, 0x1.1fec9dc16b69dp-18, 0x1.27d39ca5d362cp-18, 0x1.2f317551264fep-18, 0x1.36078451ac6dp-18, 0x1.3c5a64dcf70d3p-18, 0x1.423821e65dd72p-18, 0x1.47a8257982ca9p-18, 0x1.4caa224982f16p-18, 0x1.513ce570f9485p-18, 0x1.5565fd961a3d8p-18, 0x1.592e1e78ce559p-18, 0x1.5c99d7d4171e7p-18, 0x1.5fa99568e1a7dp-18, 0x1.62607f99755afp-18, 0x1.64c2be846eb84p-18, 0x1.66d4a88e64e6ep-18, 0x1.689a5971e3abep-18, 0x1.6a174c51fce14p-18, 0x1.6b4e89470977bp-18, 0x1.6c42aba7dfa0fp-18, 0x1.6cf4b38b7ec82p-18, 0x1.6d6682f165596p-18, 0x1.6d9e4053168d2p-18, 0x1.6da06a809faf3p-18, 0x1.6d6db66f094f8p-18, 0x1.6d07c3c7d7984p-18, 0x1.6c72d9200b407p-18, 0x1.6bb0ffc7d00a8p-18, 0x1.6ac30ee6377e3p-18, 0x1.69aa9b77a27fbp-18, 0x1.686a450de52b6p-18, 0x1.67038a771a601p-18, 0x1.65790f0f257bfp-18, 0x1.63cfcb0c3be06p-18, 0x1.620624fccfdd1p-18, 0x1.601d96fa1dbfcp-18, 0x1.5e1914b84f4e3p-18, 0x1.5bf9fdeae8895p-18, 0x1.59c1bc488344dp-18, 0x1.5771d3f9c8ebfp-18, 0x1.550bbd19e10b8p-18, 0x1.5290d1b62fefcp-18, 0x1.500252d293b84p-18, 0x1.4d6155e765e37p-18, 0x1.4aae9b4cc8a16p-18, 0x1.47ea8488737a2p-18, 0x1.45193d4654289p-18, 0x1.4244f9d325367p-18, 0x1.3f564ce6ba63cp-18, 0x1.3c654b550611bp-18, 0x1.395e97f9e746ap-18, 0x1.364fee90475ecp-18, 0x1.333e63239b5ccp-18, 0x1.3023e2ad7c2d4p-18, 0x1.2d02161af9c2ap-18, 0x1.29d9677924472p-18, 0x1.26ab0b4a65719p-18, 0x1.23779fe8284e7p-18, 0x1.203fe18e3ed6cp-18, 0x1.1d043e1c82897p-18, 0x1.19c5ad47f3133p-18, 0x1.16848d7eeaec8p-18, 0x1.1341d550a94cbp-18, 0x1.0ffd686eb280bp-18, 0x1.0cb831c82f8cap-18, 0x1.0972a95a00df7p-18, 0x1.062d225dbf75p-18, 0x1.02e80833de7a8p-18, 0x1.ff47872d0c547p-19, 0x1.f8c1707a1b669p-19, 0x1.f23e8b6672c21p-19, 0x1.ebbf8d31923bbp-19, 0x1.e5451fe09ecd2p-19, 0x1.decfe0f1c9992p-19, 0x1.d860614459cd4p-19, 0x1.d1f726f1aaca4p-19, 0x1.cb94b13146bep-19, 0x1.c5397c612a9fdp-19, 0x1.bee60288a3349p-19, 0x1.b89ab73b8d026p-19, 0x1.b25801725d4e1p-19, 0x1.ac1e37476a5a1p-19, 0x1.a5eda53ace0a8p-19, 0x1.9fc6a4cfd60dfp-19, 0x1.99a99299d82dbp-19, 0x1.93968de32a8d9p-19, 0x1.8d8de450e260dp-19, 0x1.878fb23624a0ap-19, 0x1.819c3e0331801p-19, 0x1.7bb3ded2b2efcp-19, 0x1.75d6c7ec1d592p-19, 0x1.7005026f88b81p-19, 0x1.6a3e3fa943adcp-19, 0x1.6481c9b8533dfp-19, 0x1.5ecf8fa6c44aep-19, 0x1.592f3a9d2598ap-19, 0x1.53a0d1ad23df3p-19, 0x1.4e0f8ec28278p-19, 0x1.4899cd4ff4079p-19, 0x1.43202e0a86a38p-19, 0x1.3daf6384d3daap-19, 0x1.385675d8e05c5p-19, 0x1.330beb804dddep-19, 0x1.2dcaf2d6d93cfp-19, 0x1.2894efd2424b2p-19, 0x1.236ac9d058177p-19, 0x1.1e4cc20a4abefp-19, 0x1.193ae2164f56p-19, 0x1.1435240531b2cp-19, 0x1.0f3b7de7f535fp-19, 0x1.0a4de4d057ee8p-19, 0x1.056c4d0633065p-19, 0x1.0096a9240f1afp-19, 0x1.f799d26889554p-20, 0x1.ee1df60451d3cp-20, 0x1.e4b99768c8f3fp-20, 0x1.db6c93cd18744p-20, 0x1.d236caaea9881p-20, 0x1.c9181424f8632p-20, 0x1.c0103ff2e7ff7p-20, 0x1.b71f2e9540d33p-20, 0x1.ae44be266d08p-20, 0x1.a580afbade2cdp-20, 0x1.9cd2c0640b5cp-20, 0x1.943accd0b2079p-20, 0x1.8bb8c0835a3a4p-20, 0x1.834c558155ec4p-20, 0x1.7af5553346fbdp-20, 0x1.72b3952cab9a3p-20, 0x1.6a86ede8e615fp-20, 0x1.626f46fb9a0cfp-20, 0x1.5a6b2b7d04ca9p-20, 0x1.528161a188bd6p-20, 0x1.4aa4191541614p-20, 0x1.42de6199dd7d8p-20, 0x1.3b2c9993315a3p-20, 0x1.338e655be020dp-20, 0x1.2c03778d96946p-20, 0x1.248bb8fbfa502p-20, 0x1.1d2729528fac9p-20, 0x1.15d5b2d63d74ep-20, 0x1.0e97264d54ae3p-20, 0x1.076b4b51cc5c1p-20, 0x1.0051e7e6abf14p-20, 0x1.f2958017667ebp-21, 0x1.e4ab337d085a7p-21, 0x1.d6e47a55562b7p-21, 0x1.c940828effd68p-21, 0x1.bbbc1b26470f6p-21, 0x1.ae4b647a23a67p-21, 0x1.a0f66964970fap-21, 0x1.9445a5d39ceb5p-21, 0x1.87117766dc925p-21, 0x1.7a62457f0b965p-21, 0x1.6d473f736b4d4p-21, 0x1.60cfcdae6c7f6p-21, 0x1.5484948354d21p-21, 0x1.482b7f1931121p-21, 0x1.3bf6a3a9e0402p-21, 0x1.2fe2c88b3f3eep-21, 0x1.23cf283643f66p-21, 0x1.17f71a4c0ae1ep-21, 0x1.0c43c8abce44p-21, 0x1.00aab7409e6fap-21, 0x1.ea5aa8d85c961p-22, 0x1.d3981a2fabc56p-22, 0x1.bd118361b2aaap-22, 0x1.a6c3fd9cd5127p-22, 0x1.90aff394adf58p-22, 0x1.7ad52aec96d7dp-22, 0x1.65333b8f4e59ep-22, 0x1.4fc9b909f6923p-22, 0x1.3a982d4b12bd1p-22, 0x1.259e1edde8252p-22, 0x1.10db16a847c19p-22, }}, 
      {{-0x1.1b5075c19bbe2p-4, -0x1.17972ed0e758ep-4, -0x1.1179d9d520c25p-4, -0x1.09194470a8f94p-4, -0x1.fd3ec319a1ca6p-5, -0x1.e4795c3d893a9p-5, -0x1.c84bafddb40ap-5, -0x1.a923704f98e5p-5, -0x1.876f48174d1cfp-5, -0x1.639c2231dd6d2p-5, -0x1.3e130e37afb96p-5, -0x1.1737b11d408dp-5, -0x1.dece6194f8b78p-6, -0x1.8def0bc52f783p-6, -0x1.3c6e42d10450ep-6, -0x1.d5b34e98749dep-7, -0x1.335f937dfd6f7p-7, -0x1.2582970a5de39p-8, 0x1.6c6c2aaeb7481p-12, 0x1.4cc8f0d4621dp-8, 0x1.3db0654b261ep-7, 0x1.d0cc1c6e09655p-7, 0x1.2fa89c218e912p-6, 0x1.74760e378e399p-6, 0x1.b6ad1321aa84bp-6, 0x1.f633f83904665p-6, 0x1.197bec3297ec5p-5, 0x1.3675ebedba0ffp-5, 0x1.520437462421fp-5, 0x1.6c2560ad6f3c3p-5, 0x1.84da04f0953a3p-5, 0x1.9c2485422d9f1p-5, 0x1.b208c9694139dp-5, 0x1.c68c06f5ea5d7p-5, 0x1.d9b48ed01d4f9p-5, 0x1.eb89a00df459ap-5, 0x1.fc133ffbe3ccp-5, 0x1.05ad0b5950025p-4, 0x1.0cb3a7ccb07f6p-4, 0x1.13223efd321f5p-4, 0x1.18fdc20417d05p-4, 0x1.1e4b3f2b23dcp-4, 0x1.230fd855f41eep-4, 0x1.2750bb18d8d62p-4, 0x1.2b13195f657cbp-4, 0x1.2e5c23a1606ffp-4, 0x1.31310305d523fp-4, 0x1.3396d533c30f1p-4, 0x1.3592a86969f73p-4, 0x1.3729777e6854ap-4, 0x1.3860279d37495p-4, 0x1.393b85c54f40ep-4, 0x1.39c04420d124bp-4, 0x1.39f2f8f10694dp-4, 0x1.39d81ceb54677p-4, 0x1.39740a02cc6c2p-4, 0x1.38cafa7f1db28p-4, 0x1.37e1085c3faf1p-4, 0x1.36ba2cdc6ff4bp-4, 0x1.355a402d96e89p-4, 0x1.33c4f92455848p-4, 0x1.31fded420e1c4p-4, 0x1.300890b577f69p-4, 0x1.2de836b356495p-4, 0x1.2ba011d098e75p-4, 0x1.293333e75b671p-4, 0x1.26a48f10b304ep-4, 0x1.23f6f5e00d947p-4, 0x1.212d1bc3fb384p-4, 0x1.1e4995fb57bc2p-4, 0x1.1b4edc5464deap-4, 0x1.183f49353f9p-4, 0x1.151d1acace596p-4, 0x1.11ea73c8d6bp-4, 0x1.0ea95c0e225bep-4, 0x1.0b5bc14704a27p-4, 0x1.080377cc7bc0dp-4, 0x1.04a23b936c6bep-4, 0x1.0139b11062034p-4, 0x1.fb96ca7f57b4ep-5, 0x1.f4b19e64da731p-5, 0x1.edc6a127fc6d5p-5, 0x1.e6d86c921f0a2p-5, 0x1.dfe972e900d4p-5, 0x1.d8fc008bec9acp-5, 0x1.d2123c7dd2013p-5, 0x1.cb2e2a72a2ce5p-5, 0x1.c451ace3bf50ap-5, 0x1.bd7e857c889d5p-5, 0x1.b6b6564ed3caep-5, 0x1.affaa3b03f071p-5, 0x1.a94cd4fcc14ap-5, 0x1.a2ae37018e448p-5, 0x1.9c1ffbb8ac4cbp-5, 0x1.95a33c92619b2p-5, 0x1.8f38fb6b57fc5p-5, 0x1.88e223073e123p-5, 0x1.829f893fb9f27p-5, 0x1.7c71ee975e38ap-5, 0x1.765a00662a03p-5, 0x1.705859a70194ap-5, 0x1.6a6d8367675c4p-5, 0x1.6499f5351aa7fp-5, 0x1.5ede17acf67e5p-5, 0x1.593a43ee8ff34p-5, 0x1.53aec4c9f2fb1p-5, 0x1.4e3bd7cccc8c1p-5, 0x1.48e1ade46961ep-5, 0x1.43a06c4d3a7fdp-5, 0x1.3e782c5e719cap-5, 0x1.3968fd9122d78p-5, 0x1.3472e5502ca6bp-5, 0x1.2f95df86bf716p-5, 0x1.2ad1df3e30d51p-5, 0x1.2626cf3193165p-5, 0x1.219492a6efc9cp-5, 0x1.1d1b05ffcbd7fp-5, 0x1.18b9fe3ab5dep-5, 0x1.14714a34ecde5p-5, 0x1.1040b39565e14p-5, 0x1.0c27fe2207ba2p-5, 0x1.0826e8f756fafp-5, 0x1.043d2e74b75e8p-5, 0x1.006a8542ec863p-5, 0x1.f95d3fd5af598p-6, 0x1.f2125b8f8d816p-6, 0x1.eaf3b67fb1c82p-6, 0x1.e400a2896280dp-6, 0x1.dd386dc813467p-6, 0x1.d69a61d651016p-6, 0x1.d025c39f598c7p-6, 0x1.c9d9d4e4fa82dp-6, 0x1.c3b5d4e286a82p-6, 0x1.bdb8ff1c1414fp-6, 0x1.b7e28e2def244p-6, 0x1.b231b9c083ff3p-6, 0x1.aca5b8b107324p-6, 0x1.a73dc0df82445p-6, 0x1.a1f90771940fdp-6, 0x1.9cd6c116c5054p-6, 0x1.97d6212b63844p-6, 0x1.92f65d92862b8p-6, 0x1.8e36aae2ada4bp-6, 0x1.89963ed0c403fp-6, 0x1.8514501ecb8d1p-6, 0x1.80b0168752a32p-6, 0x1.7c68cb477cdaep-6, 0x1.783da958c2bffp-6, 0x1.742dec6a97ca4p-6, 0x1.7038d35f0157cp-6, 0x1.6c5d9e158cae9p-6, 0x1.689b8efc69c3bp-6, 0x1.64f1ea9ab2686p-6, 0x1.615ff8382aed6p-6, 0x1.5de500a833be1p-6, 0x1.5a80502e29a8ap-6, 0x1.573135c0ed8a1p-6, 0x1.53f701f67db7bp-6, 0x1.50d10966f6582p-6, 0x1.4dbea306beec1p-6, 0x1.4abf284c53312p-6, 0x1.47d1f6670b713p-6, 0x1.44f66cd07187dp-6, 0x1.422bee657a715p-6, 0x1.3f71e11abf094p-6, 0x1.3cc7ae1de6c4dp-6, 0x1.3a2cc0e4c358ap-6, 0x1.37a089770454cp-6, 0x1.3522795f607a5p-6, 0x1.32b2069013637p-6, 0x1.304ea9ac1fd99p-6, 0x1.2df7de4c24dedp-6, 0x1.2bad23db3fe45p-6, 0x1.296dfba1bf333p-6, 0x1.2739eb950c7a9p-6, 0x1.25107be6002e5p-6, 0x1.22f137f40d3c5p-6, 0x1.20dbae7717e04p-6, 0x1.1ecf711266229p-6, 0x1.1ccc146edea7cp-6, 0x1.1ad130bc8a377p-6, 0x1.18de5fc3c0bd6p-6, 0x1.16f33fa87f104p-6, 0x1.150f715f77f29p-6, 0x1.13329806ac19fp-6, 0x1.115c5a27822a7p-6, 0x1.0f8c611078ebap-6, 0x1.0dc258b519957p-6, 0x1.0bfdefc3e6891p-6, 0x1.0a3ed7e47b5b2p-6, 0x1.0884c58f7207p-6, 0x1.06cf6e78b3d07p-6, 0x1.051e8d61fa831p-6, 0x1.0371ddb1ddae8p-6, 0x1.01c91e09bf82ep-6, 0x1.00240f4d50e0fp-6, 0x1.fd04e9e721d1dp-7, 0x1.f9c829a777be8p-7, 0x1.f6916dc4ac1b8p-7, 0x1.f3604b4a3c014p-7, 0x1.f0345c028ae69p-7, 0x1.ed0d3dad4b98cp-7, 0x1.e9ea90c3f7f3fp-7, 0x1.e6cbfde426d5p-7, 0x1.e3b12e7247d8dp-7, 0x1.e099d0fc5addbp-7, 0x1.dd8597d1d4bc5p-7, 0x1.da743996ec7cp-7, 0x1.d765702661c17p-7, 0x1.d458f992c75c3p-7, 0x1.d14e97466a741p-7, 0x1.ce460de09dc75p-7, 0x1.cb3f25f8a2bc1p-7, 0x1.c839ac447538bp-7, 0x1.c5356d62ca508p-7, 0x1.c2323ca8c01b6p-7, 0x1.bf2fefa79ea44p-7, 0x1.bc2e5dbd67033p-7, 0x1.b92d6218d0c2p-7, 0x1.b62cda9fcc0b3p-7, 0x1.b32ca7e31aa05p-7, 0x1.b02cad11e1c6ep-7, 0x1.ad2ccfe8e028fp-7, 0x1.aa2cf8a4906e9p-7, 0x1.a72d12286174cp-7, 0x1.a42d08eebe0ebp-7, 0x1.a12ccc772d604p-7, 0x1.9e2c4f0504a95p-7, 0x1.9b2b82873a2e3p-7, 0x1.982a5d02da4ecp-7, 0x1.9528d6da1ea6ep-7, 0x1.9226e898d9055p-7, 0x1.8f248d82d1d85p-7, 0x1.8c21c285204c7p-7, 0x1.891e8630e6089p-7, 0x1.861ad8ab00e7cp-7, 0x1.8316bbcb97e62p-7, 0x1.801232640ebf2p-7, 0x1.7d0d415cdb91fp-7, 0x1.7a07ee8103d19p-7, 0x1.770240f65fffep-7, 0x1.73fc411ea9912p-7, 0x1.70f5f87eed95bp-7, 0x1.6def725fb898p-7, 0x1.6ae8b9f3b0272p-7, 0x1.67e1db5ae8ef9p-7, 0x1.64dae5962ae2ep-7, 0x1.61d3e677b7845p-7, 0x1.5ecced55bceedp-7, 0x1.5bc60a9b9eb63p-7, 0x1.58bf4f02ce56bp-7, 0x1.55b8cc378a02ep-7, 0x1.52b2948653b81p-7, 0x1.4facbab52837p-7, 0x1.4ca75236566aep-7, 0x1.49a26ef6ea4bep-7, 0x1.469e25594dba5p-7, 0x1.439a8a2b1b291p-7, 0x1.4097b295a19adp-7, 0x1.3d95b419f192dp-7, 0x1.3a94a4847b40cp-7, 0x1.37949a1cc4678p-7, 0x1.3495aba8dffeep-7, 0x1.3197eea744da2p-7, 0x1.2e9b7ab6c4666p-7, 0x1.2ba066dcb8a23p-7, 0x1.28a6c998bf2ebp-7, 0x1.25aeba4665418p-7, 0x1.22b84fedf486fp-7, 0x1.1fc3a1c04e719p-7, 0x1.1cd0c6f44f412p-7, 0x1.19dfd6b2b67a2p-7, 0x1.16f0e815bdc48p-7, 0x1.1404121f8154dp-7, 0x1.11196bbd3a319p-7, 0x1.0e310bbd769fp-7, 0x1.0b4b08c840cfbp-7, 0x1.0867795c89496p-7, 0x1.058673c8c1b18p-7, 0x1.02a80e26ebfeep-7, 0x1.ff98bcb4ce7c9p-8, 0x1.f9e6f4328c8fap-8, 0x1.f43aedb86695dp-8, 0x1.ee94d41e36073p-8, 0x1.e8f4cff8da643p-8, 0x1.e35b0add8187p-8, 0x1.ddc7adc2a218p-8, 0x1.d83adfe9191d8p-8, 0x1.d2b4c89cb71b5p-8, 0x1.cd358ea0c4b5bp-8, 0x1.c7bd57fe5ea8ep-8, 0x1.c24c49f33c7b1p-8, 0x1.bce288dddfbe4p-8, 0x1.b780383a5f006p-8, 0x1.b2257ab4f878p-8, 0x1.acd27242338cbp-8, 0x1.a7874023b9dcap-8, 0x1.a24404e7966d3p-8, 0x1.9d08e04d8be68p-8, 0x1.97d5f13439d7ap-8, 0x1.92ab55a1ecbc1p-8, 0x1.8d892a99c8909p-8, 0x1.886f8c2c1cb9bp-8, 0x1.835e95b5fd17ep-8, 0x1.7e5661976050dp-8, 0x1.795709582c648p-8, 0x1.7460a5ef19163p-8, 0x1.6f734f7af0b27p-8, 0x1.6a8f1c4d0751dp-8, 0x1.65b422e6bf322p-8, 0x1.60e278bdf8d4bp-8, 0x1.5c1a31cf681dfp-8, 0x1.575b61973b562p-8, 0x1.52a61abbacd65p-8, 0x1.4dfa6ef1eaed4p-8, 0x1.49586f07c2518p-8, 0x1.44c02aecebb0ep-8, 0x1.4031b1b287ad6p-8, 0x1.3bad1194e5bd6p-8, 0x1.373257e9b48e9p-8, 0x1.32c19132ead49p-8, 0x1.2e5ac914a7be7p-8, 0x1.29fe0a6f08805p-8, 0x1.25ab5f3935136p-8, 0x1.2162d0a63a20bp-8, 0x1.1d246715ada46p-8, 0x1.18f02a1b3990fp-8, 0x1.14c620a5c87bp-8, 0x1.10a651126cfffp-8, 0x1.0c90c096e7cf9p-8, 0x1.08857323a1b7ep-8, 0x1.04846c3cf78b3p-8, 0x1.008daf24a110ep-8, 0x1.f9427cabe3b0ap-9, 0x1.f17e36d3a178bp-9, 0x1.e9ce8dc388ab6p-9, 0x1.e233820f2fabap-9, 0x1.daad1265ebf66p-9, 0x1.d33b3b7b7b8c2p-9, 0x1.cbddf954005ebp-9, 0x1.c49546edd09ebp-9, 0x1.bd611dfdbeb04p-9, 0x1.b64176e512adep-9, 0x1.af3648b8b50fdp-9, 0x1.a83f894eed1c2p-9, 0x1.a15d2d5c2f8b6p-9, 0x1.9a8f28817f1a1p-9, 0x1.93d56d2a6451cp-9, 0x1.8d2fec9b4f3a7p-9, 0x1.869e96f35535dp-9, 0x1.80215b385aac6p-9, 0x1.79b8277846787p-9, 0x1.7362e8bb8ee5dp-9, 0x1.6d218b0e6e33ep-9, 0x1.66f3f9ce7fe71p-9, 0x1.60da1f03c52e5p-9, 0x1.5ad3e415e4e8ep-9, 0x1.54e1318d0a7bdp-9, 0x1.4f01eed3302cep-9, 0x1.493602c288568p-9, 0x1.437d5357e917ep-9, 0x1.3dd7c5ba26462p-9, 0x1.38453e4fe9c49p-9, 0x1.32c5a0f21f65bp-9, 0x1.2d58d0f17f8ddp-9, 0x1.27feb081c1801p-9, 0x1.22b72162e8531p-9, 0x1.1d8204caae91cp-9, 0x1.185f3adcdd49ap-9, 0x1.134ea34ea907dp-9, 0x1.0e501d5dd2e87p-9, 0x1.096387b788e28p-9, 0x1.0488c095c63aep-9, 0x1.ff7f4b7e93e47p-10, 0x1.f610292171668p-10, 0x1.ecc3d412ccc19p-10, 0x1.e39a058b8ba46p-10, 0x1.da92760bf035fp-10, 0x1.d1acdd4e26155p-10, 0x1.c8e8f2273b1fdp-10, 0x1.c0466a74c5104p-10, 0x1.b7c4fb0a3badap-10, 0x1.af6457ddedbe5p-10, 0x1.a724341f703f2p-10, 0x1.9f0442881a5b5p-10, 0x1.9704359a92ad4p-10, 0x1.8f23bfc0d5c38p-10, 0x1.8762937e6b667p-10, 0x1.7fc0636c822cep-10, 0x1.783ce223653eep-10, 0x1.70d7c205876p-10, 0x1.6990b4fb673fep-10, 0x1.62676c384417fp-10, 0x1.5b5b9816eb18p-10, 0x1.546ce8099d7aap-10, 0x1.4d9b0ab54796ep-10, 0x1.46e5ae15def15p-10, 0x1.404c80deb7335p-10, 0x1.39cf317f10389p-10, 0x1.336d6f55fd2eep-10, 0x1.2d26eaa636f8dp-10, 0x1.26fb5451206fep-10, 0x1.20ea5de9a480ep-10, 0x1.1af3b9a0d6954p-10, 0x1.15171984de714p-10, 0x1.0f542ef612083p-10, 0x1.09aaaa6bd9643p-10, 0x1.041a3b7bf90dbp-10, 0x1.fd45220f056e4p-11, 0x1.f286b327e99f2p-11, 0x1.e7f887958a176p-11, 0x1.dd99fe0675e26p-11, 0x1.d36a776bd361ep-11, 0x1.c9695786f1391p-11, 0x1.bf960502c9de9p-11, 0x1.b5efe914ba501p-11, 0x1.ac766eb58f50fp-11, 0x1.a3290197ed37ap-11, 0x1.9a070d12d2671p-11, 0x1.910ffb3e36f49p-11, 0x1.8843347e1a13ep-11, 0x1.7fa01fa5bb6c3p-11, 0x1.772622bf3b3d7p-11, 0x1.6ed4a44a16debp-11, 0x1.66ab0c8e8ea97p-11, 0x1.5ea8c6ab919b3p-11, 0x1.56cd40cea144ep-11, 0x1.4f17ebbf752efp-11, 0x1.47883a07c0a7fp-11, 0x1.401d9f61c141cp-11, 0x1.38d790f66402ap-11, 0x1.31b58592e5448p-11, 0x1.2ab6f5bbbb33bp-11, 0x1.23db5b394e656p-11, 0x1.1d222ffade07bp-11, 0x1.168aec352aeafp-11, 0x1.10150586afcfdp-11, 0x1.09bff0556e4d8p-11, 0x1.038b21ea1803fp-11, 0x1.faec26cfe4092p-12, 0x1.ef0084f3dd54bp-12, 0x1.e352604ea999ap-12, 0x1.d7e0c129af1b6p-12, 0x1.ccaab23fc73dcp-12, 0x1.c1af40ec40969p-12, 0x1.b6ed7c60c5934p-12, 0x1.ac6474b312a58p-12, 0x1.a2133a7f88ff1p-12, 0x1.97f8de8a7fbedp-12, 0x1.8e1471a18ca81p-12, 0x1.84650505f4b67p-12, 0x1.7ae9ab7d0eb3bp-12, 0x1.71a17ad0fdc9ep-12, 0x1.688b8d64b8155p-12, 0x1.5fa70324579d5p-12, 0x1.56f3019c3d76bp-12, 0x1.4e6eb315874e6p-12, 0x1.46194539797c7p-12, 0x1.3df1e7bc84e58p-12, 0x1.35f7cba06d7bep-12, 0x1.2e2a233ed5415p-12, 0x1.268822bd43c4ep-12, 0x1.1f11001824e2dp-12, 0x1.17c3f2765060cp-12, 0x1.10a031770af52p-12, 0x1.09a4f5f70f7ecp-12, 0x1.02d17c2ed5202p-12, 0x1.f84a072eff9fcp-13, 0x1.eb3da3cc1519ep-13, 0x1.de7c61bfd8c5ap-13, 0x1.d204d8ad701b8p-13, 0x1.c5d59d53b1e67p-13, 0x1.b9ed4ab80baccp-13, 0x1.ae4a9f0df206ap-13, 0x1.a2ec5b5fd44cap-13, 0x1.97d1246f12828p-13, 0x1.8cf7b7de932c8p-13, 0x1.825ec3bfbd039p-13, 0x1.7804e5886685p-13, 0x1.6de8de0835ce9p-13, 0x1.64097b349c15fp-13, 0x1.5a6586a182e2p-13, 0x1.50fbcb2f7062p-13, 0x1.47cb1b778783fp-13, 0x1.3ed25466d030dp-13, 0x1.36105c59c9dc1p-13, 0x1.2d841f1f48f9ap-13, 0x1.252c8abd4c3d8p-13, 0x1.1d088d34304e5p-13, 0x1.15171468ecd14p-13, 0x1.0d570febb6f08p-13, 0x1.05c773484558p-13, 0x1.fcce6fdce4c7bp-14, 0x1.ee6abc451697ep-14, 0x1.e061d9170beaap-14, 0x1.d2b1dcd23fe9cp-14, 0x1.c558e21acdf74p-14, 0x1.b855047db983bp-14, 0x1.aba46255aa3dp-14, 0x1.9f4524664b197p-14, 0x1.93358754bedc8p-14, 0x1.8773e0a22f531p-14, 0x1.7bfe9ad8f064fp-14, 0x1.70d42a4be9831p-14, 0x1.65f300be56cc3p-14, 0x1.5b5986a425692p-14, 0x1.51061c7f16594p-14, 0x1.46f721d6e0f26p-14, 0x1.3d2afcdf536cp-14, 0x1.33a01f4b470fcp-14, 0x1.2a5507fbf5764p-14, 0x1.214842a80fe02p-14, 0x1.187865ef8b289p-14, 0x1.0fe40fe449a12p-14, 0x1.0789e1e6daab4p-14, 0x1.fed0fbf4b23bep-15, 0x1.eefd10f4a6d49p-15, 0x1.df955e2a46cc6p-15, 0x1.d097612eb662dp-15, 0x1.c200c0a458bbfp-15, 0x1.b3cf46865bf18p-15, 0x1.a600c8dd5f7b6p-15, 0x1.98931ba1c0babp-15, 0x1.8b8400f4bc292p-15, 0x1.7ed1309dd6664p-15, 0x1.72786057db61fp-15, 0x1.66774e7f601f7p-15, 0x1.5acbc9fd6da29p-15, 0x1.4f73b6bd5c9e5p-15, 0x1.446d0d6937c7cp-15, 0x1.39b5d58c187fcp-15, 0x1.2f4c1d6060b51p-15, 0x1.252df4eaf7701p-15, 0x1.1b596f0177f35p-15, 0x1.11cca5cb2986ep-15, 0x1.0885bf83ca4bp-15, 0x1.ff05e765041a3p-16, 0x1.ed8522b6a19aap-16, 0x1.dc8603f1c0215p-16, 0x1.cc058727a971p-16, 0x1.bc00b776ff82cp-16, 0x1.ac74997d6b64bp-16, 0x1.9d5e28633ef0fp-16, 0x1.8eba61512c9b2p-16, 0x1.808649f09b58cp-16, 0x1.72bef44f2629cp-16, 0x1.656183b7e95d6p-16, 0x1.586b31f9847bap-16, 0x1.4bd953924208p-16, 0x1.3fa95253449b4p-16, 0x1.33d8a0a992a22p-16, 0x1.2864af701db49p-16, 0x1.1d4aef0f0f0ccp-16, 0x1.1288dc1b30e1fp-16, 0x1.081c0e29c6b29p-16, 0x1.fc047ade500c6p-17, 0x1.e872779e71759p-17, 0x1.d57dd12bba51dp-17, 0x1.c3224fae902f8p-17, 0x1.b15bc023f1ccap-17, 0x1.a025fb6136afep-17, 0x1.8f7cfcec87866p-17, 0x1.7f5cff7ad7654p-17, 0x1.6fc27a9503f39p-17, 0x1.60a9f5acc3bb1p-17, 0x1.520fe2c2716d2p-17, 0x1.43f0a8566e4b1p-17, 0x1.3648c359d0a3ep-17, 0x1.2914d77cf4504p-17, 0x1.1c51a8d239057p-17, 0x1.0ffc0e3cdb08fp-17, 0x1.0410e36eb26d4p-17, 0x1.f11a0ebfcb9d6p-18, 0x1.dadab3afa4da4p-18, 0x1.c55da8ff2175cp-18, 0x1.b09d47304241fp-18, 0x1.9c9469f591401p-18, 0x1.893e454b46fap-18, 0x1.769609225e7c3p-18, 0x1.6496a796ca869p-18, 0x1.533af1c4856cdp-18, 0x1.427d9ebb4ce56p-18, 0x1.32583eef3d993p-18, 0x1.22c3d8c9f3104p-18, 0x1.13bfcc282e427p-18, 0x1.054ab6c7f0049p-18, 0x1.eec0b991852cep-19, 0x1.d3f0e49cabcecp-19, 0x1.ba1bcf5358801p-19, 0x1.a13ea5a7effe9p-19, 0x1.8952fea9771c9p-19, 0x1.7250ff807bb67p-19, 0x1.5c30d25bdacafp-19, 0x1.46eb1c789b435p-19, 0x1.3278b63426466p-19, 0x1.1ed2e36db18a8p-19, 0x1.0bf34c18eb827p-19, 0x1.f3a84219ef179p-20, 0x1.d0e0bb22bddb4p-20, 0x1.af8539a239007p-20, 0x1.8f7fcb41c3bap-20, 0x1.70b28b80d12e4p-20, 0x1.533c77c4dea79p-20, 0x1.37219b6c90318p-20, 0x1.1c0faaf440e92p-20, 0x1.0236dfae1dc6dp-20, 0x1.d32dd63988149p-21, 0x1.a3dfd0d7ae1dp-21, 0x1.768e8ca60c301p-21, 0x1.4b46033eef75dp-21, 0x1.21f56a69658afp-21, 0x1.f5174e9ab1895p-22, 0x1.a9e9690bd6735p-22, 0x1.62414877bee47p-22, 0x1.1dfeeb76a3c6dp-22, 0x1.ba06f583fc7d5p-23, 0x1.3e56f78b2e97dp-23, 0x1.9121dae5c74e4p-24, 0x1.6176abb16a635p-25, -0x1.2332dc248ebbcp-27, -0x1.db8c98f29bb04p-25, -0x1.ac62d93545869p-24, -0x1.30c6fed18c054p-23, -0x1.8666b8535a24ep-23, -0x1.d6d9d68d8b4b9p-23, -0x1.1160c67794a5fp-22, -0x1.3550ba97f722ap-22, -0x1.5742c54804cd1p-22, -0x1.77378925b787fp-22, -0x1.953a8bbb69bep-22, -0x1.b15a35ba955a1p-22, -0x1.cba46530cf643p-22, -0x1.e4297d2287945p-22, -0x1.faffc5e6d7705p-22, -0x1.082079187de47p-21, -0x1.12017ab78023cp-21, -0x1.1b29831aefe7dp-21, -0x1.239bbaa6c48afp-21, -0x1.2b5bbebd95106p-21, -0x1.32711f4264e77p-21, -0x1.38e6beff27a94p-21, -0x1.3ec70266b853fp-21, -0x1.441942252c32ap-21, -0x1.48e255136243ap-21, -0x1.4d2667c5177d9p-21, -0x1.50ea202bc3cf3p-21, -0x1.5432bc4646668p-21, -0x1.5705c09aac2adp-21, -0x1.5968974e5fa63p-21, -0x1.5b606d2daac82p-21, -0x1.5cf254e301039p-21, -0x1.5e2321d43a2ccp-21, -0x1.5ef730c593611p-21, -0x1.5f72cfa068727p-21, -0x1.5f9a741ec9801p-21, -0x1.5f7276c35eaadp-21, -0x1.5efee4081b848p-21, -0x1.5e4378a42655fp-21, -0x1.5d43bbf5cfcc6p-21, -0x1.5c02c2a35d76fp-21, -0x1.5a82a8186d2p-21, -0x1.58c88e2ff8a1bp-21, -0x1.56da6b4234e53p-21, -0x1.54af2a5b84bd8p-21, -0x1.5259a7c795193p-21, -0x1.4fd4dd6e0e08p-21, -0x1.4d24dc629a89ep-21, -0x1.4a4c0b58b3068p-21, -0x1.474cb057fadfap-21, -0x1.44290f044dd71p-21, -0x1.40e364c5f9cf3p-21, -0x1.3d7deb6386de3p-21, -0x1.39fae2a8d8b7dp-21, -0x1.365c78eb3da01p-21, -0x1.32a4b3e5ca776p-21, -0x1.2ed57118b7d7bp-21, -0x1.2af074aca9cdep-21, -0x1.26f74f2eaa3a4p-21, -0x1.22eb0a5f476d3p-21, -0x1.1ecb8cf052c43p-21, -0x1.1a9858e7936b1p-21, -0x1.165c8d2fac45bp-21, -0x1.122c8ebd20246p-21, -0x1.0de4da54f9489p-21, -0x1.0975c084e401ep-21, -0x1.050540d14685fp-21, -0x1.00a07db012e96p-21, -0x1.f867e87ee4233p-22, -0x1.ef7cf74385b99p-22, -0x1.e68680d59e677p-22, -0x1.dd88a27c3c707p-22, -0x1.d485f7d3e406bp-22, -0x1.cb807eb154061p-22, -0x1.c279ece4d015dp-22, -0x1.b973cdbf2e2cp-22, -0x1.b06f87c5848d7p-22, -0x1.a76e6d7337ec1p-22, -0x1.9e71d63f0af89p-22, -0x1.957b14c22896bp-22, -0x1.8c8b68f50d334p-22, -0x1.83a4040de2d1p-22, -0x1.7ac6077209a44p-22, -0x1.71f274cf30f65p-22, -0x1.692a37b8ad2f1p-22, -0x1.606e3afcefc07p-22, -0x1.57bf73d79353ep-22, -0x1.4f1eda148e467p-22, -0x1.468d5a0f50fe1p-22, -0x1.3e0bb0b49965bp-22, -0x1.359a2bd318fe1p-22, -0x1.2d38e47a07e0dp-22, -0x1.24e83e1308716p-22, -0x1.1ca920c267b92p-22, -0x1.147c99fe378bep-22, -0x1.0c636b7628f2dp-22, -0x1.045e01b03a87ap-22, -0x1.f8d8cabe38b45p-23, -0x1.e91cca08a1d3ep-23, -0x1.d984a564eb318p-23, -0x1.ca038a27e69a4p-23, -0x1.ba802a7101cf9p-23, -0x1.ab4fe683aa1a4p-23, -0x1.9d7a5939dfd64p-23, -0x1.8e3451bf0a2fep-23, -0x1.802a80f20e183p-23, -0x1.711314bee5636p-23, -0x1.6267bb82fd38dp-23, -0x1.54a7f2aad8d2fp-23, -0x1.46ec0213687f1p-23, -0x1.393fecb68de24p-23, -0x1.2bb82dfa5402ep-23, -0x1.1e5bc0babdc36p-23, -0x1.11295b6e73a6cp-23, -0x1.042c80892d57fp-23, -0x1.eea8a0809467fp-24, -0x1.d553c291eefaap-24, -0x1.bc600a6a95f5fp-24, -0x1.a3c3b45129b02p-24, -0x1.8b7fe35411d6ep-24, -0x1.7396758dea45bp-24, -0x1.5c068447fe46p-24, -0x1.44ce7a9f0c102p-24, -0x1.2dee831bc44b2p-24, -0x1.17664470e0a0fp-24, -0x1.01353ad51dbp-24, -0x1.d6b5eeb66b20ep-25, -0x1.abae14cbdfa93p-25, -0x1.8151f37e45336p-25, -0x1.57a07512bfd15p-25, -0x1.2e98676b8e37fp-25, -0x1.063887d1c8bf9p-25, -0x1.bcff177212952p-26, -0x1.6ed84e8bebc61p-26, -0x1.21fa25b011ecap-26, -0x1.acc44ab616a0ep-27, -0x1.181c1560afd58p-27, -0x1.0befc7dbbbecfp-28, 0x1.356903720c296p-32, 0x1.2da23e813b045p-28, 0x1.218223b9c8409p-27, 0x1.a9ce863bd9a14p-27, 0x1.17e367a54a995p-26, 0x1.59b7a77c90a1ap-26, 0x1.9a60b3c97318bp-26, 0x1.d9dcdbacfbe16p-26, 0x1.0c189dc2d4e98p-25, 0x1.2ab71f6d21905p-25, 0x1.48df66836136bp-25, 0x1.66c1cff611cdfp-25, 0x1.846c2f828ea05p-25, 0x1.a030a0131ba4cp-25, 0x1.ba0ad92ae7feep-25, 0x1.d699b75b9941fp-25, 0x1.ef97e962e85d1p-25, 0x1.05bbf12256a58p-24, 0x1.13844194da695p-24, 0x1.1fe5a139a6277p-24, 0x1.2be0c1924907p-24, 0x1.37dce14a34cdap-24, 0x1.43b76ffa64b9ep-24, 0x1.4f5b5b1083947p-24, 0x1.5ac2cc8f859c4p-24, 0x1.65ecf9acb50c3p-24, 0x1.70da6c6452b43p-24, 0x1.7b8bf72d59cbdp-24, 0x1.860271e75e4fap-24, 0x1.903eacfa317bep-24, 0x1.9a41711cfde8cp-24, 0x1.a40b80ec05d66p-24, 0x1.ad9d99d44dfcdp-24, 0x1.b6f8745c99847p-24, 0x1.c01cc45f52031p-24, 0x1.c90b39d1699a5p-24, 0x1.d1c4828bc3c39p-24, 0x1.da494c7522f7cp-24, 0x1.e29a4763ea151p-24, 0x1.eab8265444b0ap-24, 0x1.f2a3a3db5c947p-24, 0x1.fa5d76a8cca8fp-24, 0x1.00f322b5c250ep-23, 0x1.049f5574aa303p-23, 0x1.0833af6b08afdp-23, 0x1.0bb0840395b5dp-23, 0x1.0f1620d4e46fep-23, 0x1.1264a992ab703p-23, 0x1.159bf5205aap-23, 0x1.18c27d16118ccp-23, 0x1.1bb6b78a116b4p-23, 0x1.1ebb12ca4ac0ep-23, 0x1.21993dac92965p-23, 0x1.2462090598d16p-23, 0x1.2716437a10d6ep-23, 0x1.29b68fb28cab9p-23, 0x1.2c42d5973b42ep-23, 0x1.2ebab0870bdb7p-23, 0x1.311e0470f641dp-23, 0x1.336d0a7fa7eb6p-23, 0x1.35a8195b45d5dp-23, 0x1.37cf8a7b3d51p-23, 0x1.39e3bb8a3475p-23, 0x1.3be50693c49bep-23, 0x1.3dd3d53429556p-23, 0x1.3fb1a364e2c5cp-23, 0x1.4185ec8ac1dcp-23, 0x1.436d972d3553fp-23, 0x1.455405a0fe2d8p-23, 0x1.45e1e33511dp-23, 0x1.47fe69da47c36p-23, 0x1.49123948ef277p-23, 0x1.4b765ad06398p-23, 0x1.4c7f7d5771aebp-23, 0x1.4d449934fdb2ep-23, 0x1.4e885e718fb61p-23, 0x1.4fa9b33ae4a05p-23, 0x1.50b4603f69753p-23, 0x1.5212c85ff50e8p-23, 0x1.53037e56c3e5ap-23, 0x1.53d19bf5405e6p-23, 0x1.549f1b9bd3b1dp-23, 0x1.5566592b0caddp-23, 0x1.562336ed72304p-23, 0x1.56d04e0121721p-23, 0x1.576f57be01f57p-23, 0x1.57ffde933fap-23, 0x1.58826c885a0e3p-23, 0x1.58f7aaea84e02p-23, 0x1.595fff81cf0b1p-23, 0x1.59bb94fc91d93p-23, 0x1.5a0a772f64b62p-23, 0x1.5a4cac124de89p-23, }}, 
      {{-0x1.7b02846dc3a4bp-9, -0x1.adbe38e40d9b3p-8, -0x1.793b0ec31c398p-7, -0x1.25e3d411aeb08p-6, -0x1.a5698e1712a9fp-6, -0x1.1ae94c5fb9783p-5, -0x1.67d1d5010235bp-5, -0x1.b53b31d16547cp-5, -0x1.fef38f49c31c8p-5, -0x1.208f0dfbffc73p-4, -0x1.3c342c4ab50f2p-4, -0x1.51135b8a050bcp-4, -0x1.5e2f420646271p-4, -0x1.62e1350081b4p-4, -0x1.5ed2e2a16af0ep-4, -0x1.51f524d9f4408p-4, -0x1.3c7561dd8dc32p-4, -0x1.1eb289a0fb9c2p-4, -0x1.f264ca5b2c97cp-5, -0x1.992f71c0c4a2dp-5, -0x1.3332e7afaa36fp-5, -0x1.83ec3b9139395p-6, -0x1.1c30e3fd3f79ep-7, 0x1.dfb06d879fe71p-8, 0x1.8b05e1c7daaa5p-6, 0x1.541a4164804a9p-5, 0x1.e64e61166a985p-5, 0x1.3d63e5154191ep-4, 0x1.8823b048d035bp-4, 0x1.d2d3e12012a52p-4, 0x1.0e7774489ef2ap-3, 0x1.32fe25a77aa6cp-3, 0x1.56c82e5feb7p-3, 0x1.79a5e5437f4d6p-3, 0x1.9b6d868a58cb9p-3, 0x1.bbfae18d9be37p-3, 0x1.db2f00ff7cbcep-3, 0x1.f8efd0be9fc9ep-3, 0x1.0a93e139f7d2p-2, 0x1.17e2bb55707a2p-2, 0x1.245db265dffecp-2, 0x1.2fffc415d6acp-2, 0x1.3ac58979e1732p-2, 0x1.44ad10acca87dp-2, 0x1.4db5ba473cacdp-2, 0x1.55e017ab6f319p-2, 0x1.5d2dccdd2d9bep-2, 0x1.63a1727f32835p-2, 0x1.693e7b0e7a40dp-2, 0x1.6e0919e74d72fp-2, 0x1.72062aedc7525p-2, 0x1.753b1cc65be8ep-2, 0x1.77addc35e88f9p-2, 0x1.7964c1338105dp-2, 0x1.7a667cf095011p-2, 0x1.7aba097291712p-2, 0x1.7a669a7cb1d2ep-2, 0x1.79738f72509cbp-2, 0x1.77e86674081cdp-2, 0x1.75ccb09f1f554p-2, 0x1.73280747a019dp-2, 0x1.700202331b834p-2, 0x1.6c622ec3b2d31p-2, 0x1.685008146d1a7p-2, 0x1.63d2efe0e509fp-2, 0x1.5ef2284669442p-2, 0x1.59b4cde80d7b6p-2, 0x1.5421d42096ec8p-2, 0x1.4e3fffbfd7ef6p-2, 0x1.4815e3cfb4141p-2, 0x1.41a9df72375eep-2, 0x1.3b021a906429ep-2, 0x1.342484bd04737p-2, 0x1.2d16d2e457571p-2, 0x1.25de7faa9cd28p-2, 0x1.1e80c9b5e4c1ep-2, 0x1.1702b3e14f911p-2, 0x1.0f6905f44766p-2, 0x1.07b84b5d08048p-2, 0x1.ffe9abfd2a409p-3, 0x1.f0457b2934791p-3, 0x1.e08bc14be0453p-3, 0x1.d0c3cef108949p-3, 0x1.c0f4865e88a2cp-3, 0x1.b124614bdf8a4p-3, 0x1.a15974eac9bb1p-3, 0x1.9199712820b68p-3, 0x1.81e9a8d285c9ep-3, 0x1.724f12621bfc8p-3, 0x1.62ce4a4bb9809p-3, 0x1.536b9abed46b8p-3, 0x1.442afb5548b67p-3, 0x1.351014f48c1bap-3, 0x1.261e4859a43dp-3, 0x1.1758ad88b058cp-3, 0x1.08c2195773fcbp-3, 0x1.f4ba415062f87p-4, 0x1.d85833d22248cp-4, 0x1.bc624336f3744p-4, 0x1.a0dc38993f2bep-4, 0x1.85c97321d27ccp-4, 0x1.6b2ced4d6d3fp-4, 0x1.5109419042f9ep-4, 0x1.3760b0c715d68p-4, 0x1.1e3524674b297p-4, 0x1.05883639141dbp-4, 0x1.dab6638a6ac9dp-5, 0x1.ab5e3688038a4p-5, 0x1.7d096425e730bp-5, 0x1.4fb8e8c7b915dp-5, 0x1.236d4b07686d1p-5, 0x1.f04d3934814ep-6, 0x1.9bc90c9ad6b12p-6, 0x1.494c9b7de5889p-6, 0x1.f1ab6d32199e5p-7, 0x1.54c305f087a12p-7, 0x1.77b21af229f29p-8, 0x1.372b7c4aff395p-10, -0x1.a883e83b54b2cp-9, -0x1.ee888bfb4a48ap-8, -0x1.808f6a72a7e61p-7, -0x1.030712d4a2712p-6, -0x1.43e6723aec76fp-6, -0x1.82ec5e4266fa9p-6, -0x1.c01fa4d02504p-6, -0x1.fb87521904458p-6, -0x1.1a9554a192943p-5, -0x1.36888cb8a2ceep-5, -0x1.51a11d6281b1ap-5, -0x1.6be2e15a38578p-5, -0x1.8551c0f795b8fp-5, -0x1.9df1ae90cdcccp-5, -0x1.b5c6a33526062p-5, -0x1.ccd49b9505cf5p-5, -0x1.e31f990104fe4p-5, -0x1.f8ab9ac2f4d4bp-5, -0x1.06be4fcae1ecdp-4, -0x1.10cb500ca37a8p-4, -0x1.1a7ec99a497f8p-4, -0x1.23dab24493c69p-4, -0x1.2ce0fce76faap-4, -0x1.359397b7dc205p-4, -0x1.3df46a34ce74ap-4, -0x1.46055752737dfp-4, -0x1.4dc83afb6909bp-4, -0x1.553ee9e7bdd5bp-4, -0x1.5c6b3234f53c4p-4, -0x1.634edb079aa99p-4, -0x1.69eba32a6432p-4, -0x1.7043415ef9211p-4, -0x1.765764bab65efp-4, -0x1.7c29b4a4c8b7fp-4, -0x1.81bbcf377a001p-4, -0x1.870f4b20568ecp-4, -0x1.8c25b5a28f005p-4, -0x1.910094b44852bp-4, -0x1.95a165380ac09p-4, -0x1.9a099bab6223bp-4, -0x1.9e3aa4836a3b7p-4, -0x1.a235e39fa3395p-4, -0x1.a5fcb48c4c6aap-4, -0x1.a9906b5eafd7ep-4, -0x1.acf253637cd27p-4, -0x1.b023b00b2d131p-4, -0x1.b325bd9666b9cp-4, -0x1.b5f9afe58d29p-4, -0x1.b8a0b3b19973p-4, -0x1.bb1bee27c9471p-4, -0x1.bd6c7d22c9e1fp-4, -0x1.bf9377c4478dep-4, -0x1.c191ede9190dap-4, -0x1.c368e86ffec4cp-4, -0x1.c5196a6ff1fddp-4, -0x1.c6a46f8e090c2p-4, -0x1.c80aede48cb63p-4, -0x1.c94dd4f506955p-4, -0x1.ca6e0ecc0ec8fp-4, -0x1.cb6c7f3412a8ap-4, -0x1.cc4a04c906db7p-4, -0x1.cd0778191b4b2p-4, -0x1.cda5ad382996ep-4, -0x1.ce2572754c157p-4, -0x1.ce879158e3599p-4, -0x1.cecccec2e61b8p-4, -0x1.cef5ea9abef9ap-4, -0x1.cf03a07346f2p-4, -0x1.cef6a792aab9ap-4, -0x1.cecfb2c80ee9ep-4, -0x1.ce8f70e38f7a2p-4, -0x1.ce368ccdd7258p-4, -0x1.cdc5ad8490246p-4, -0x1.cd3d7623c581cp-4, -0x1.cc9e869504cbp-4, -0x1.cbe97ae90bb17p-4, -0x1.cb1eebe99c6b7p-4, -0x1.ca3f6f20801b3p-4, -0x1.c94b96f8ccf2p-4, -0x1.c843f2c12abaep-4, -0x1.c7290ebd7a496p-4, -0x1.c5fb747b84535p-4, -0x1.c4bbaa8fe3f3p-4, -0x1.c36a34f640fd8p-4, -0x1.c207950cf9f1dp-4, -0x1.c094498f86b08p-4, -0x1.bf10ced57e473p-4, -0x1.bd7d9eba0e873p-4, -0x1.bbdb30c60529cp-4, -0x1.ba29fa5dc3b4dp-4, -0x1.b86a6e8812c83p-4, -0x1.b69cfe27346d4p-4, -0x1.b4c218045c398p-4, -0x1.b2da28e9431e6p-4, -0x1.b0e59baa2e1c7p-4, -0x1.aee4d91778de4p-4, -0x1.acd8482840b4fp-4, -0x1.aac04dc41ac4dp-4, -0x1.a89d4d31e6f08p-4, -0x1.a66fa7f6dc64cp-4, -0x1.a437bddbecd2ap-4, -0x1.a1f5ece5bf6dbp-4, -0x1.9faa915acb1b6p-4, -0x1.9d5605ddb8171p-4, -0x1.9af8a3881ed2ep-4, -0x1.9892c1f2011e7p-4, -0x1.9624b7271ec99p-4, -0x1.93aed7943d2e2p-4, -0x1.91317616e6c99p-4, -0x1.8eace40404caep-4, -0x1.8c21716fc160dp-4, -0x1.898f6d01aacf8p-4, -0x1.86f723f3cb65cp-4, -0x1.8458e2124da86p-4, -0x1.81b4f1b139a19p-4, -0x1.7f0b9bc66a26fp-4, -0x1.7c5d28040967bp-4, -0x1.79a9dce4e95c5p-4, -0x1.76f1ff9f3c42fp-4, -0x1.7435d413706dap-4, -0x1.71759cc0e4749p-4, -0x1.6eb19ad8e14b1p-4, -0x1.6bea0e57e12ebp-4, -0x1.691f3619f36e2p-4, -0x1.66514fd9c7877p-4, -0x1.6380981516988p-4, -0x1.60ad4a16a95e6p-4, -0x1.5dd79fe5db50ap-4, -0x1.5affd23afc7e9p-4, -0x1.582618d4d573ep-4, -0x1.554aaa5e04aa3p-4, -0x1.526dbc6f5d1dap-4, -0x1.4f8f8387851b6p-4, -0x1.4cb032f4a7216p-4, -0x1.49cffcd78686bp-4, -0x1.46ef12355b83ep-4, -0x1.440da30c0e29dp-4, -0x1.412bde625f021p-4, -0x1.3e49f24604812p-4, -0x1.3b680bbe0185ep-4, -0x1.388656bc70844p-4, -0x1.35a4fe1a1749cp-4, -0x1.32c42ba6136a4p-4, -0x1.2fe408310fb66p-4, -0x1.2d04bb9bb34b6p-4, -0x1.2a266cfd36e24p-4, -0x1.27494261fbdd7p-4, -0x1.246d60ea301cfp-4, -0x1.2192ecbcd05d8p-4, -0x1.1eba08f9faac8p-4, -0x1.1be2d7d402256p-4, -0x1.190d7a9cebf03p-4, -0x1.163a11d249344p-4, -0x1.1368bd217fcacp-4, -0x1.10999b6194708p-4, -0x1.0dccca805cd89p-4, -0x1.0b0267867a703p-4, -0x1.083a8e9929bf3p-4, -0x1.05755b03f8e2fp-4, -0x1.02b2e74771339p-4, -0x1.ffe69a47a545ap-5, -0x1.fa6d4b37c0876p-5, -0x1.f4fa11e12c06p-5, -0x1.ef8d1d32100cap-5, -0x1.ea269a7cd9ab9p-5, -0x1.e4c6b573b6e94p-5, -0x1.df6d985c8ace1p-5, -0x1.da1b6beff28ccp-5, -0x1.d4d05789075fbp-5, -0x1.cf8c8142bf8c3p-5, -0x1.ca500ddb190dfp-5, -0x1.c51b20b4b0526p-5, -0x1.bfeddbcfd4b01p-5, -0x1.bac85fc74bcf3p-5, -0x1.b5aacbd676677p-5, -0x1.b0953de7dc83fp-5, -0x1.ab87d2a7820d8p-5, -0x1.a682a597dcc28p-5, -0x1.a185d110a97ffp-5, -0x1.9c916e43d726cp-5, -0x1.97a5953cea0ap-5, -0x1.92c25cd7ce52p-5, -0x1.8de7dabe655a2p-5, -0x1.891623713d6f7p-5, -0x1.844d4a529ce14p-5, -0x1.7f8d61b0d9fabp-5, -0x1.7ad67ad92e373p-5, -0x1.7628a61da6ed2p-5, -0x1.7183f2d49ff51p-5, -0x1.6ce86f5d01cdap-5, -0x1.6856292dcfc66p-5, -0x1.63cd2cb159fa1p-5, -0x1.5f4d855c982fdp-5, -0x1.5ad73dbb51901p-5, -0x1.566a5f678d01cp-5, -0x1.5206f31974d52p-5, -0x1.4dad00b33548fp-5, -0x1.495c8f4996616p-5, -0x1.4515a52a4759ap-5, -0x1.40d847dfc25bap-5, -0x1.3ca47c33158b8p-5, -0x1.387a462d1143ap-5, -0x1.3459a9199751dp-5, -0x1.3042a778b9e7ep-5, -0x1.2c35430a19011p-5, -0x1.28317cd232f67p-5, -0x1.2437551b8b572p-5, -0x1.2046cb82a648p-5, -0x1.1c5fdf07e72fdp-5, -0x1.18828e17e0aa6p-5, -0x1.14aed69d0fab9p-5, -0x1.10e4b603f2efap-5, -0x1.0d24293967ef2p-5, -0x1.096d2ca0fde4ap-5, -0x1.05bfbc04f1694p-5, -0x1.021bd283e9826p-5, -0x1.fd02d51b0d3a4p-6, -0x1.f5e0fbd4393fp-6, -0x1.eed20b7b53aa6p-6, -0x1.e7d5f56a1e994p-6, -0x1.e0ecaa596f7bp-6, -0x1.da161a9268b4p-6, -0x1.d352361bd3c13p-6, -0x1.cca0ecb887ac8p-6, -0x1.c6022db2eb6fp-6, -0x1.bf75e7804ca36p-6, -0x1.b8fc075978e9ap-6, -0x1.b29478e2d97fp-6, -0x1.ac3f26096ef7fp-6, -0x1.a5fbf72b9a907p-6, -0x1.9fcad3883ed91p-6, -0x1.99aba1e4a6112p-6, -0x1.939e493f67895p-6, -0x1.8da2b15d55b22p-6, -0x1.87b8c3073c55cp-6, -0x1.81e067d8ecap-6, -0x1.7c1989a0c1bcp-6, -0x1.76641174ba83cp-6, -0x1.70bfe6afa4e27p-6, -0x1.6b2cee27a5c2bp-6, -0x1.65ab09dca7d69p-6, -0x1.603a19446c077p-6, -0x1.5ad9fa3aaf1d8p-6, -0x1.558a8a641fb9p-6, -0x1.504ba8b2a0c41p-6, -0x1.4b1d36a4420a9p-6, -0x1.45ff18e47a4fap-6, -0x1.40f1371a814cfp-6, -0x1.3bf37abc3eec8p-6, -0x1.3705cd3dd4835p-6, -0x1.32281600a98ap-6, -0x1.2d5a386b7b5a5p-6, -0x1.289c12cea77d8p-6, -0x1.23ed7e6917465p-6, -0x1.1f4e50abdb882p-6, -0x1.1abe5d762b9cbp-6, -0x1.163d79eee71d1p-6, -0x1.11cb7f4fa2e8dp-6, -0x1.0d684cd9b112dp-6, -0x1.0913c87f76234p-6, -0x1.04cdddede8836p-6, -0x1.00967c24d680ep-6, -0x1.f8db240deffb6p-7, -0x1.f0a61543a99f9p-7, -0x1.e88d941ca4d1ep-7, -0x1.e091576279575p-7, -0x1.d8b104aec948ap-7, -0x1.d0ec349f58a18p-7, -0x1.c9427a2cc552ap-7, -0x1.c1b36bd684d8ep-7, -0x1.ba3eac835b505p-7, -0x1.b2e3f22adbf5p-7, -0x1.aba308a7ca326p-7, -0x1.a47bcfe677cc6p-7, -0x1.9d6e35a2abafap-7, -0x1.967a2be6b8a1cp-7, -0x1.8f9f9e3ca52ddp-7, -0x1.88de67d8e8faep-7, -0x1.82364ccc19b25p-7, -0x1.7ba6f7ea22ea3p-7, -0x1.752ffdb2bf726p-7, -0x1.6ed0e42b9f829p-7, -0x1.68892db4daeb9p-7, -0x1.6258651b4fc52p-7, -0x1.5c3e282fc2c2bp-7, -0x1.563a2ec5c8ae6p-7, -0x1.504c4cac530dap-7, -0x1.4a746e2a73d1fp-7, -0x1.44b28fbf477bp-7, -0x1.3f06b2d88716p-7, -0x1.3970d1be967cdp-7, -0x1.33f0d4fe831c4p-7, -0x1.2e868c3bff3dcp-7, -0x1.2931abaae5378p-7, -0x1.23f1ce9c339cdp-7, -0x1.1ec67ea52ab68p-7, -0x1.19af3e0edd5f7p-7, -0x1.14ab9393119cap-7, -0x1.0fbb151d67c34p-7, -0x1.0add6f78bf36dp-7, -0x1.06126982acde1p-7, -0x1.0159e2875536bp-7, -0x1.f96798f20c206p-8, -0x1.f04046f87ff7cp-8, -0x1.e73dc919428ebp-8, -0x1.de6009a8982eap-8, -0x1.d5a6d5b63c233p-8, -0x1.cd11d4d7347efp-8, -0x1.c4a0872ad95fbp-8, -0x1.bc5249c468472p-8, -0x1.b42660aeed789p-8, -0x1.ac1c047ea98e3p-8, -0x1.a432712db2858p-8, -0x1.9c68f2fe3f08ap-8, -0x1.94beef6f3a87p-8, -0x1.8d33e95264e2cp-8, -0x1.85c7802b6d5d1p-8, -0x1.7e796bdc84fd4p-8, -0x1.774975c85ec21p-8, -0x1.7037707c2449cp-8, -0x1.69432efc4a631p-8, -0x1.626c7ce2dd6b9p-8, -0x1.5bb318fa0029fp-8, -0x1.5516b37ec2c05p-8, -0x1.4e96efd57daccp-8, -0x1.483367b6bbc74p-8, -0x1.41ebaceb7847ap-8, -0x1.3bbf48154cbfdp-8, -0x1.35adb5e011bebp-8, -0x1.2fb666833f974p-8, -0x1.29d8c365f3a0ap-8, -0x1.24143b782d5c4p-8, -0x1.1e685244ff47fp-8, -0x1.18d4aac88fe7ep-8, -0x1.135907e9058cfp-8, -0x1.0df541177b5fdp-8, -0x1.08a92ff82408ep-8, -0x1.0374a05eb8f2cp-8, -0x1.fcae96bbc5e24p-9, -0x1.f2a1bfd4ff1d3p-9, -0x1.e8c22570e898fp-9, -0x1.df0f51e73b851p-9, -0x1.d588e5f80e105p-9, -0x1.cc2e6b98c87c3p-9, -0x1.c2ff1c7fce70fp-9, -0x1.b9f9c1d2752ebp-9, -0x1.b11ccac3b43acp-9, -0x1.a8669b63729b9p-9, -0x1.9fd5f2ec610f8p-9, -0x1.976a36c48c573p-9, -0x1.8f237b7731a16p-9, -0x1.870244f416a6cp-9, -0x1.7f07201032d2cp-9, -0x1.773248e137791p-9, -0x1.6f83864bd614fp-9, -0x1.67fa41dbd8968p-9, -0x1.6095c2f370b2dp-9, -0x1.5955641ec7649p-9, -0x1.52389f9a29645p-9, -0x1.4b3ee7c35a264p-9, -0x1.44675c7e44483p-9, -0x1.3db08a7f38f7p-9, -0x1.37186956be35dp-9, -0x1.309cb228f5a34p-9, -0x1.2a3b76d65dda8p-9, -0x1.23f3b345fe60cp-9, -0x1.1dc589dbf0b9ap-9, -0x1.17b207614d671p-9, -0x1.11ba92ed6991ep-9, -0x1.0be061d25494ap-9, -0x1.0624396eac41dp-9, -0x1.0086861b41b8dp-9, -0x1.f60f235c880b8p-10, -0x1.eb4f38890bf11p-10, -0x1.e0cd7edb5a3ep-10, -0x1.d689572d31f71p-10, -0x1.cc80c2cf16a71p-10, -0x1.c2b01065fdaf3p-10, -0x1.b911f17143131p-10, -0x1.afa0118d47b42p-10, -0x1.a65430720adbbp-10, -0x1.9d298ccf22f52p-10, -0x1.941e1d0b8c121p-10, -0x1.8b32e5e4ad427p-10, -0x1.826b0bf2ef09ep-10, -0x1.79ca04a3ec0fdp-10, -0x1.715203517439cp-10, -0x1.6903aa87d94a2p-10, -0x1.60df0d356921ap-10, -0x1.58e50a2237804p-10, -0x1.5117f32127634p-10, -0x1.497b1cdf1e0ecp-10, -0x1.42119d35021fbp-10, -0x1.3adcd9b5048f6p-10, -0x1.33dba0ffe426bp-10, -0x1.2d0a2d51ff7f7p-10, -0x1.2662c4eab473dp-10, -0x1.1fde77e546391p-10, -0x1.1975f937ebf5fp-10, -0x1.1322f02c91c62p-10, -0x1.0ce1a5d80c85p-10, -0x1.06b21fafeb28dp-10, -0x1.0097aa0290b53p-10, -0x1.f52d9962a9cc9p-11, -0x1.e965b49a204c3p-11, -0x1.ddd95ad7e90c2p-11, -0x1.d2866f1dfdfap-11, -0x1.c76a4752eafcdp-11, -0x1.bc84f63a884b8p-11, -0x1.b1db119314e49p-11, -0x1.a7747045d2ebp-11, -0x1.9d57d3e56a0b4p-11, -0x1.9386c3beffa95p-11, -0x1.89fd353f114bbp-11, -0x1.80b4bbb9a784dp-11, -0x1.77a7e24e4669cp-11, -0x1.6ed2f613fef7fp-11, -0x1.663243102f2c3p-11, -0x1.5dc0013e27a9ap-11, -0x1.5574246028387p-11, -0x1.4d4643fed43e9p-11, -0x1.45307b27fd385p-11, -0x1.3d321a7cb5575p-11, -0x1.355059ede777dp-11, -0x1.2d93626e9d4b6p-11, -0x1.26010a3308184p-11, -0x1.1e994adb1d8dbp-11, -0x1.17580716f6418p-11, -0x1.103b1faab5e39p-11, -0x1.09461b8c9b338p-11, -0x1.027f010cb6616p-11, -0x1.f7d15586e9213p-12, -0x1.eb01354ccf483p-12, -0x1.de81cde955e52p-12, -0x1.d24745307645dp-12, -0x1.c64b363798869p-12, -0x1.ba8ec41d1284dp-12, -0x1.af18acd5612b1p-12, -0x1.a3f09511b53d5p-12, -0x1.991a3010a671cp-12, -0x1.8e915dbe13adfp-12, -0x1.84475773f8e59p-12, -0x1.7a2696d9be018p-12, -0x1.702176eb70d12p-12, -0x1.663ced49eb6e4p-12, -0x1.5c8740a10f2a9p-12, -0x1.530660f82d4f3p-12, -0x1.49b6abba53f6cp-12, -0x1.4098f78fef6d5p-12, -0x1.37b4e6031d466p-12, -0x1.2f0cadd6599d8p-12, -0x1.269b37513c1b6p-12, -0x1.1e5d371222d78p-12, -0x1.1652da663a46fp-12, -0x1.0e79ef7fceeadp-12, -0x1.06cc0fac8a9ebp-12, -0x1.fe8594af5df7bp-13, -0x1.efb899c4d94b9p-13, -0x1.e13936c74d189p-13, -0x1.d3155967cea71p-13, -0x1.c557bb35d7f6dp-13, -0x1.b80308c7f4f63p-13, -0x1.ab0e42ae4e549p-13, -0x1.9e5fb74a173bcp-13, -0x1.91e125795a2c9p-13, -0x1.85a41f6022974p-13, -0x1.79cbb3b59563ep-13, -0x1.6e4ef3c02baa3p-13, -0x1.6300ca142b667p-13, -0x1.57d25ea9bd324p-13, -0x1.4cddea54d0c2ep-13, -0x1.423a109b96e28p-13, -0x1.37e410b1c682ap-13, -0x1.2dc8a79906efbp-13, -0x1.23da8c08b282ap-13, -0x1.1a2144b88b72bp-13, -0x1.10aae629125e8p-13, -0x1.07778fb5c304cp-13, -0x1.fcf72553ac351p-14, -0x1.eb5a129310458p-14, -0x1.da15aa9e62b8fp-14, -0x1.c935a78decb5ap-14, -0x1.b8c69a0a37bbap-14, -0x1.a8cce2bf4a70dp-14, -0x1.99496c679653ap-14, -0x1.8a31d3b2dde5cp-14, -0x1.7b5bca0d4ff12p-14, -0x1.6cb5a0dd259c6p-14, -0x1.5e730b566d33ep-14, -0x1.50a4ac709913ep-14, -0x1.43274a2de6db5p-14, -0x1.3610dfc7cfaa3p-14, -0x1.2984926d6b53p-14, -0x1.1d5cfc7b93ff8p-14, -0x1.115da4ac3b518p-14, -0x1.057de432381b2p-14, -0x1.f3c608d0750fbp-15, -0x1.dd34de3cd3a32p-15, -0x1.c71865933842ep-15, -0x1.b16f453ff38c1p-15, -0x1.9c71079fae822p-15, -0x1.8826f1bbe3849p-15, -0x1.7469b35786a08p-15, -0x1.611af4661127dp-15, -0x1.4e369a11580e4p-15, -0x1.3bc62b1854084p-15, -0x1.29cf053e763cdp-15, -0x1.184e47601d46ap-15, -0x1.0752bcdadfe48p-15, -0x1.ede3612f10875p-16, -0x1.cdf5ca719b29cp-16, -0x1.aea3641304a9cp-16, -0x1.901e7ecf4a37cp-16, -0x1.720c3e9672125p-16, -0x1.54b0f0a38926ap-16, -0x1.388535e989addp-16, -0x1.1d50193db1dbdp-16, -0x1.02dd201b4f1e5p-16, -0x1.d26dafa062315p-17, -0x1.a0dd9f2022fd5p-17, -0x1.70afdfb4b0881p-17, -0x1.4157307740113p-17, -0x1.131ff20ebd671p-17, -0x1.cc973cbded78dp-18, -0x1.74b749e6930b7p-18, -0x1.1f3a446fd953ep-18, -0x1.9a923b1cf2792p-19, -0x1.f936a72d50107p-20, -0x1.8b2b7b17772ffp-21, 0x1.9aca96386568bp-22, 0x1.8b2a1dede3654p-20, 0x1.53c5057e43afap-19, 0x1.de219266b2163p-19, 0x1.31fb15e21bdd8p-18, 0x1.71a245df83631p-18, 0x1.aede30a8fc4b6p-18, 0x1.eaf0334a5f0c7p-18, 0x1.12f9bf599b53dp-17, 0x1.2fb65c11233b6p-17, 0x1.4b05f523629ccp-17, 0x1.654a0df5c6199p-17, 0x1.7ed43cce51114p-17, 0x1.97a2be50f0372p-17, 0x1.afa96ddc73fc8p-17, 0x1.c6e41c3e42451p-17, 0x1.dd559576ab4dbp-17, 0x1.f2f7358e939adp-17, 0x1.03d0b463727d2p-16, 0x1.0da2508a87ffcp-16, 0x1.171fa8ce20b3bp-16, 0x1.20592402dd0b8p-16, 0x1.295483ade2053p-16, 0x1.32015ce5bcfe8p-16, 0x1.3a32239d82b72p-16, 0x1.420165322b3c1p-16, 0x1.498be6be96b7p-16, 0x1.50d2f06992236p-16, 0x1.57d165cc61eb1p-16, 0x1.5e883904c823dp-16, 0x1.64f86a2fb4c81p-16, 0x1.6b099b85b4e8dp-16, 0x1.70b3bcdb1023bp-16, 0x1.76324a6ae9df5p-16, 0x1.7b8e72638082dp-16, 0x1.80958e53ce474p-16, 0x1.85464ad4962bdp-16, 0x1.89beaf80ddba4p-16, 0x1.8dffdb26d947ep-16, 0x1.9206266692adep-16, 0x1.95d0d7c24a2e2p-16, 0x1.9960ddf755652p-16, 0x1.9cb7ee19b0136p-16, 0x1.9fd810527ba4ep-16, 0x1.a2c331a052d71p-16, 0x1.a57b16f9a6987p-16, 0x1.a801d3280454ap-16, 0x1.aa56f49f47625p-16, 0x1.ac6fcf7c8d0cfp-16, 0x1.ae4a25cde53ep-16, 0x1.afff6d4e9ddc1p-16, 0x1.b197908de8587p-16, 0x1.b2ffe06e63f23p-16, 0x1.b430d232166d7p-16, 0x1.b539467fd79d9p-16, 0x1.b61c5f70ad5edp-16, 0x1.b6d8309f857cdp-16, 0x1.b76d20692122cp-16, 0x1.b7dd16ae26f07p-16, 0x1.b82211bee2dd1p-16, 0x1.b83dc9e7d9da7p-16, 0x1.b84148b6685abp-16, 0x1.b81da1aa490e4p-16, 0x1.b7d3980b2b17bp-16, 0x1.b76b2063e1c9cp-16, 0x1.b6e3ba6e2254dp-16, 0x1.b63d13eb2ec37p-16, 0x1.b577ba2200ea2p-16, 0x1.b494777ac77acp-16, 0x1.b39418efaf4efp-16, 0x1.b27765425ff51p-16, 0x1.b13f202ae0302p-16, 0x1.afec0ffe0e046p-16, 0x1.ae7f002b1ceabp-16, 0x1.acf8b3484dcc1p-16, 0x1.ab59d1d1f5399p-16, 0x1.a9a3277711ce5p-16, 0x1.a7d543508543p-16, 0x1.a5f1229acccd5p-16, 0x1.a3f6cc66aa869p-16, 0x1.a1e56903bfedcp-16, 0x1.9fc01f8b749e1p-16, 0x1.9d87dda89139cp-16, 0x1.9b3b102444e24p-16, 0x1.98db71b0c9defp-16, 0x1.9669c39d653bp-16, 0x1.93e639013ad54p-16, 0x1.91517b56a0bd3p-16, 0x1.8eac04e6dcp-16, 0x1.8bf663db1c40ap-16, 0x1.893115c8d8f6ap-16, 0x1.865cb728e8353p-16, 0x1.8379b34af88cp-16, 0x1.8088881e6fd97p-16, 0x1.7d89b95a96b5fp-16, 0x1.7a7dc173b1b37p-16, 0x1.776517f4423c3p-16, 0x1.74403237c6a07p-16, 0x1.710f8241afb52p-16, 0x1.6dd376efa7c17p-16, 0x1.6a8c7c9b2da46p-16, 0x1.673afe1ff498ep-16, 0x1.63df65fde697p-16, 0x1.607a1eecdfc1bp-16, 0x1.5d0b92d65ae2cp-16, 0x1.599427f74d854p-16, 0x1.56143e1c0576fp-16, 0x1.528c2eec974cfp-16, 0x1.4efc53c9abb7bp-16, 0x1.4b65118d0d442p-16, 0x1.47c6d4d9de867p-16, 0x1.4421d28e95e3ep-16, 0x1.4076167b64a32p-16, 0x1.3cc4f9379e8e6p-16, 0x1.390dd6a4cac56p-16, 0x1.3551e73988bb8p-16, 0x1.31916844d9cbfp-16, 0x1.2dcb9f517f6b5p-16, 0x1.2a00c85077568p-16, 0x1.263163aadb018p-16, 0x1.225ee8311d817p-16, 0x1.1e8990deeb7fdp-16, 0x1.1ab0ad4e08c4cp-16, 0x1.16d46f73673edp-16, 0x1.12f58445b92e2p-16, 0x1.0f1423c6f775bp-16, 0x1.0b30a19c05678p-16, 0x1.074b28d0bf5d3p-16, 0x1.03641986e3814p-16, 0x1.fef7489170dc8p-17, 0x1.f723fab1e9d13p-17, 0x1.ef4ecabbd8da1p-17, 0x1.e7782ebbd1df5p-17, 0x1.dfa09898367cp-17, 0x1.d7c8787ef8e5p-17, 0x1.cff03ce79a13bp-17, 0x1.c818535210acdp-17, 0x1.c041293756dd1p-17, 0x1.b86b2bee733acp-17, 0x1.b096c634a0c4bp-17, 0x1.a8c45be38cd36p-17, 0x1.a0f44729dc8f1p-17, 0x1.9926dbf77c66dp-17, 0x1.915c76124cff4p-17, 0x1.89958b0a7197p-17, 0x1.81d28ddfb6f7ep-17, 0x1.7a1373d2da80ep-17, 0x1.7257c5393d02p-17, 0x1.6aa176beaac53p-17, 0x1.62f226d4fd2cfp-17, 0x1.5b48351ae2bdp-17, 0x1.53a214d071497p-17, 0x1.4c017e5459a9p-17, 0x1.44695078e4226p-17, 0x1.3cd7524e7064ap-17, 0x1.354b983d2d1cap-17, 0x1.2dc70ba54bb85p-17, 0x1.2649fda826b18p-17, 0x1.1ed4a7287d84bp-17, 0x1.1767877e8b49ap-17, 0x1.100145179a4b4p-17, 0x1.08a56875fee76p-17, 0x1.01515d11a43cbp-17, 0x1.f40c703f686e8p-18, 0x1.e588633d43fe9p-18, 0x1.d717055b36cd3p-18, 0x1.c8b8c2377a5dap-18, 0x1.ba6e013140b08p-18, 0x1.ac3727289e60bp-18, 0x1.9e1496bed5bf5p-18, 0x1.9006b0143630bp-18, 0x1.820dd11b2d3c8p-18, 0x1.742a56c62322p-18, 0x1.665c9d7e75973p-18, 0x1.58a4fef1d46fap-18, 0x1.4b03ce7ec934p-18, 0x1.3d7953c478672p-18, 0x1.3005cd4b2aeacp-18, 0x1.22a9a07ae0cf5p-18, 0x1.156522d149686p-18, 0x1.08388edcb389ep-18, 0x1.f6485af673e04p-19, 0x1.dc4f7a855439ep-19, 0x1.c2890cad234a5p-19, 0x1.a8f25671ac27ep-19, 0x1.8f8fabfff913ep-19, 0x1.76606e997e279p-19, 0x1.5d64a90063584p-19, 0x1.449bdffef53c2p-19, 0x1.2c06341bd0c29p-19, 0x1.13a517b23ba0fp-19, 0x1.f6f17f7031736p-20, 0x1.c702e6c52d3fcp-20, 0x1.977fbede26a32p-20, 0x1.686713d37a005p-20, 0x1.39bad4ac7ac1ap-20, 0x1.0b7b4514044p-20, 0x1.bb51a465b4a2ap-21, 0x1.60881472e511dp-21, 0x1.069ad919b1175p-21, 0x1.5b15bd003ee5fp-22, 0x1.556406dad28ap-23, -0x1.f9edb5b3e0292p-29, }}, 
      {{-0x1.40550896de92ap-9, -0x1.5712fa6c744e5p-8, -0x1.1b075cbe157e8p-7, -0x1.a37ef4c86ae82p-7, -0x1.231fe393c3a99p-6, -0x1.80c9a8c01a779p-6, -0x1.e8c121f3fe008p-6, -0x1.2c25b7a9a8ca9p-5, -0x1.6621bad629c01p-5, -0x1.a0af6a2106c1bp-5, -0x1.da315b42ccfe5p-5, -0x1.089281e9630bp-4, -0x1.2217bd500148ep-4, -0x1.391292a1141a9p-4, -0x1.4d06a2fa255f7p-4, -0x1.5d9141d01f055p-4, -0x1.6a689f50aa85cp-4, -0x1.735a262b46e45p-4, -0x1.78486b6a2aa3dp-4, -0x1.7928cc9d99cb4p-4, -0x1.760100e67eb7dp-4, -0x1.6ee4aa86b72b7p-4, -0x1.63f3007d48b95p-4, -0x1.5554a375dee0cp-4, -0x1.4339a2827e71bp-4, -0x1.2dd7b2a336503p-4, -0x1.15689f27e2438p-4, -0x1.f451d8661af04p-5, -0x1.b8ad5911a34d2p-5, -0x1.7861082df0224p-5, -0x1.33e9b16523611p-5, -0x1.d78488f543cf6p-6, -0x1.40c58fd48a7p-6, -0x1.48fde200e027dp-7, -0x1.c823c5c6e69d9p-13, 0x1.4261535336b11p-7, 0x1.48f8aabaf87a2p-6, 0x1.f30785cb08bcdp-6, 0x1.4f54250ae1e9dp-5, 0x1.a598b04a0fb13p-5, 0x1.fc0246b41360fp-5, 0x1.2923b0493f0a6p-4, 0x1.5411fb640a762p-4, 0x1.7eacadbb95271p-4, 0x1.a8d708f74de26p-4, 0x1.d276cdf691b1ap-4, 0x1.fb742605ef5bdp-4, 0x1.11dcc2c28233ep-3, 0x1.2599c8a6fbc88p-3, 0x1.38e882df846e7p-3, 0x1.4bc14be24ec8cp-3, 0x1.5e1d6d2d32f03p-3, 0x1.6ff711c3d209p-3, 0x1.81493873edf0ep-3, 0x1.920fa75aa2c1fp-3, 0x1.a246ddd24f0c8p-3, 0x1.b1ec093b8780bp-3, 0x1.c0fcf8d1dd283p-3, 0x1.cf781146e245dp-3, 0x1.dd5c4283354e1p-3, 0x1.eaa8fc9dd3c5ap-3, 0x1.f75e25b030057p-3, 0x1.01be083b2b7edp-2, 0x1.0781b901da9bdp-2, 0x1.0cfaad008d358p-2, 0x1.122994f168431p-2, 0x1.170f4685f263ep-2, 0x1.1bacb859f2347p-2, 0x1.2002ff394d166p-2, 0x1.241349ecaf62ap-2, 0x1.27dede96f08f7p-2, 0x1.2b6717b4f4c51p-2, 0x1.2ead615adf137p-2, 0x1.31b336d15a5e7p-2, 0x1.347a1ffbfe179p-2, 0x1.3703af4f33d94p-2, 0x1.39517fd99be99p-2, 0x1.3b65336dab981p-2, 0x1.3d40708b52297p-2, 0x1.3ee4e156f969dp-2, 0x1.405431ccbf6e2p-2, 0x1.41900e67af0f9p-2, 0x1.429a2347272d9p-2, 0x1.43741ac6a7ea7p-2, 0x1.441f9c86c10afp-2, 0x1.449e4cf3e7dc4p-2, 0x1.44f1cc1935b27p-2, 0x1.451bb4ead4842p-2, 0x1.451d9cc7e9362p-2, 0x1.44f912ddb42a5p-2, 0x1.44af9fb8f7f1fp-2, 0x1.4442c4a70a88fp-2, 0x1.43b3fbc1c97fp-2, 0x1.4304b733b8ee3p-2, 0x1.42366159c4c33p-2, 0x1.414a5c40ee7a6p-2, 0x1.404201b92c60ap-2, 0x1.3f1ea2e7b6bb1p-2, 0x1.3de18871d977ap-2, 0x1.3c8bf2325e0ebp-2, 0x1.3b1f174c4f7fbp-2, 0x1.399c2611ba81fp-2, 0x1.380444320a16p-2, 0x1.36588e762352ap-2, 0x1.349a19297767fp-2, 0x1.32c9efe8ee675p-2, 0x1.30e915e3084aap-2, 0x1.2ef885d047377p-2, 0x1.2cf93225734cep-2, 0x1.2aec052dc0776p-2, 0x1.28d1e1247ca3fp-2, 0x1.26aba0477d88cp-2, 0x1.247a151045de3p-2, 0x1.223e0a5d30d93p-2, 0x1.1ff84386dfda9p-2, 0x1.1da97c78b7685p-2, 0x1.1b5269f910a67p-2, 0x1.18f3b9db8904ep-2, 0x1.168e1315bb2bbp-2, 0x1.142215dbcc187p-2, 0x1.11b05bf7b445ap-2, 0x1.0f3978d8e1732p-2, 0x1.0cbdf9def9a0dp-2, 0x1.0a3e6647a9867p-2, 0x1.07bb3fae43773p-2, 0x1.053501fd6a881p-2, 0x1.02ac239fffc21p-2, 0x1.002115dbfbe21p-2, 0x1.fb288966c9ea2p-3, 0x1.f60c2e930f448p-3, 0x1.f0eddfeb9193bp-3, 0x1.ebce58dcf1f0ap-3, 0x1.e6ae4bd2f07f8p-3, 0x1.e18e62d617f25p-3, 0x1.dc6f3f4a1fa33p-3, 0x1.d7517ad1d8761p-3, 0x1.d235a73adc991p-3, 0x1.cd1c4efa0a007p-3, 0x1.c805f5344486bp-3, 0x1.c2f3165d83098p-3, 0x1.bde42859d475ep-3, 0x1.b8d99a69720bep-3, 0x1.b3d3d60a3e5e7p-3, 0x1.aed33eb76dc34p-3, 0x1.a9d83256ab1cdp-3, 0x1.a4e30981575dp-3, 0x1.9ff417962e50cp-3, 0x1.9b0bab003a8e3p-3, 0x1.962a0d92153ddp-3, 0x1.914f847242415p-3, 0x1.8c7c5095ddc61p-3, 0x1.87b0aeac35261p-3, 0x1.82ecd78eb974fp-3, 0x1.7e310026d1c1dp-3, 0x1.797d59ff28e39p-3, 0x1.74d212ecb1484p-3, 0x1.702f558a16ae3p-3, 0x1.6b95496f44a0fp-3, 0x1.670412fd399adp-3, 0x1.627bd3d4f32d6p-3, 0x1.5dfcaaefdeaacp-3, 0x1.5986b46b133ap-3, 0x1.551a0a265466dp-3, 0x1.50b6c390354e4p-3, 0x1.4c5cf5c836432p-3, 0x1.480cb3c7d341dp-3, 0x1.43c60eb0b6f6dp-3, 0x1.3f89155a4fc2p-3, 0x1.3b55d519918eep-3, 0x1.372c594ceac91p-3, 0x1.330cabb90ff84p-3, 0x1.2ef6d496b082ep-3, 0x1.2aeada6f493dcp-3, 0x1.26e8c2b46d9e7p-3, 0x1.22f0911b5ae86p-3, 0x1.1f02484ce6cfep-3, 0x1.1b1de9a353144p-3, 0x1.174375595679p-3, 0x1.1372ea7fbefddp-3, 0x1.0fac473467383p-3, 0x1.0bef8865e76c5p-3, 0x1.083caa600dbd7p-3, 0x1.0493a852c9a03p-3, 0x1.00f47c8a56d3dp-3, 0x1.fabe417814d26p-4, 0x1.f3a71b7875bb5p-4, 0x1.eca3774ab5e0ap-4, 0x1.e5b343e115ae1p-4, 0x1.ded66ee2da8ep-4, 0x1.d80ce4aae9ca8p-4, 0x1.d156906c8fe4p-4, 0x1.cab35cc2c8463p-4, 0x1.c42332682df1fp-4, 0x1.bda5f9d2e6924p-4, 0x1.b73b9a535f4c7p-4, 0x1.b0e3fa6877a96p-4, 0x1.aa9effb88d40cp-4, 0x1.a46c8f31c4887p-4, 0x1.9e4c8d2294c22p-4, 0x1.983edd09bda31p-4, 0x1.924361d024d42p-4, 0x1.8c59fdd07084ep-4, 0x1.868293124bfa5p-4, 0x1.80bd029445c18p-4, 0x1.7b092d50a05d7p-4, 0x1.7566f3a309e26p-4, 0x1.6fd63590ded92p-4, 0x1.6a56d298c4c6p-4, 0x1.64e8aa01782c8p-4, 0x1.5f8b9ab4f076fp-4, 0x1.5a3f834b0d423p-4, 0x1.55044210dc534p-4, 0x1.4fd9b51fcb4dap-4, 0x1.4abfba29f13bp-4, 0x1.45b62f0346cbdp-4, 0x1.40bcf0ff0c69dp-4, 0x1.3bd3dd4899d56p-4, 0x1.36fad113b699ep-4, 0x1.3231a9519b2c1p-4, 0x1.2d7842d83d2eep-4, 0x1.28ce7a645b2b6p-4, 0x1.24342c9c0e294p-4, 0x1.1fa9361394632p-4, 0x1.1b2d735076ff2p-4, 0x1.16c0c0c230661p-4, 0x1.1262faee80a13p-4, 0x1.0e13fe347b052p-4, 0x1.09d3a6e8f7126p-4, 0x1.05a1d19cc2594p-4, 0x1.017e5aaf7d723p-4, 0x1.fad23d0876c48p-5, 0x1.f2c3f3556fa17p-5, 0x1.ead19153ef68dp-5, 0x1.e2fad02c0d953p-5, 0x1.db3f692d029e8p-5, 0x1.d39f15c823bfcp-5, 0x1.cc198f8f12e1ap-5, 0x1.c4ae906666dc7p-5, 0x1.bd5dd22fd0247p-5, 0x1.b6270f20bcaa6p-5, 0x1.af0a01a0c66dp-5, 0x1.a80664523e2ecp-5, 0x1.a11bf2192eeacp-5, 0x1.9a4a660213347p-5, 0x1.93917b8bc4a6p-5, 0x1.8cf0ee7efab0fp-5, 0x1.86687aa11fa5fp-5, 0x1.7ff7dc58371fdp-5, 0x1.799ed03fcaed6p-5, 0x1.735d1337e24acp-5, 0x1.6d32628f0aabbp-5, 0x1.671e7bda2afcfp-5, 0x1.61211d07c7152p-5, 0x1.5b3a0469bc854p-5, 0x1.5568f0a8d1006p-5, 0x1.4fada0ceda7c2p-5, 0x1.4a07d448dcad1p-5, 0x1.44774ae7ec519p-5, 0x1.3efbc4e25c04fp-5, 0x1.399502d43f22bp-5, 0x1.3442c5c261c1cp-5, 0x1.2f04cf1459cbbp-5, 0x1.29dae0900aebdp-5, 0x1.24c4bc9d724e7p-5, 0x1.1fc225ce98ba8p-5, 0x1.1ad2df490d2a2p-5, 0x1.15f6aca1b6dc2p-5, 0x1.112d51d86c428p-5, 0x1.0c7693595c5abp-5, 0x1.07d236059c8d8p-5, 0x1.033fff3508995p-5, 0x1.fd7f696360ad6p-6, 0x1.f4a23971d2e89p-6, 0x1.ebe7fc070520fp-6, 0x1.e3503f7aa3b23p-6, 0x1.dada930f500f2p-6, 0x1.d28686f5fd5e6p-6, 0x1.ca53ac507b63p-6, 0x1.c2419532141d4p-6, 0x1.ba4fd4a2adfe4p-6, 0x1.b27dfe9d2a9efp-6, 0x1.aacba80a5742fp-6, 0x1.a33866c8d6c2ep-6, 0x1.9bc3d19d16204p-6, 0x1.946d806733d4bp-6, 0x1.8d350bd50d5b5p-6, 0x1.861a0d87847cap-6, 0x1.7f1c2033d8719p-6, 0x1.783adf757a0d1p-6, 0x1.7175e7deac56dp-6, 0x1.6accd6fb68d2dp-6, 0x1.643f4b4af248ep-6, 0x1.5dcce43c966a8p-6, 0x1.5775422fcc152p-6, 0x1.513806773c314p-6, 0x1.4b14d35b21aeap-6, 0x1.450b4c1d511f8p-6, 0x1.3f1b14f80319p-6, 0x1.3943d31a00ab3p-6, 0x1.33852ca23ee27p-6, 0x1.2ddec899cc55bp-6, 0x1.28504ef991f7ep-6, 0x1.22d968aba644ep-6, 0x1.1d79bf864582ap-6, 0x1.1830fe55872d3p-6, 0x1.12fed0d259dedp-6, 0x1.0de2e3a0a9bacp-6, 0x1.08dce44a0a92p-6, 0x1.03ec815ae63bcp-6, 0x1.fe22d45d30be9p-7, 0x1.f4969e2199078p-7, 0x1.eb33c27d7571fp-7, 0x1.e1f9a5a7fc5f9p-7, 0x1.d8e7ada0f3dd5p-7, 0x1.cffd42338d794p-7, 0x1.c739ccefe555fp-7, 0x1.be9cb92b37a52p-7, 0x1.b625741027e4dp-7, 0x1.add36c5300a7p-7, 0x1.a5a612a223336p-7, 0x1.9d9cd9287cb72p-7, 0x1.95b733f042b93p-7, 0x1.8df498a83dbe8p-7, 0x1.86547eae7230fp-7, 0x1.7ed65f0e7fc9bp-7, 0x1.7779b48f8498cp-7, 0x1.703dfb7800c85p-7, 0x1.6922b1ef9b5e1p-7, 0x1.622757b46a995p-7, 0x1.5b4b6e0cafcfbp-7, 0x1.548e77af3c28ap-7, 0x1.4deff90ca970ep-7, 0x1.476f785326757p-7, 0x1.410c7d239aee4p-7, 0x1.3ac690942e0a8p-7, 0x1.349d3d684b733p-7, 0x1.2e900fe21778ap-7, 0x1.289e95c18ebcep-7, 0x1.22c85e4f7313dp-7, 0x1.1d0cfa50ce851p-7, 0x1.176bfc072c03ap-7, 0x1.11e4f72cbcffep-7, 0x1.0c7780ec6897fp-7, 0x1.07232fe281489p-7, 0x1.01e79c14d89e2p-7, 0x1.f988bde38e2c3p-8, 0x1.ef72269989e92p-8, 0x1.e58aaabeca675p-8, 0x1.dbd1858b52362p-8, 0x1.d245f4f789b69p-8, 0x1.c8e739b5a7f19p-8, 0x1.bfb4972495717p-8, 0x1.b6ad53410d96dp-8, 0x1.add0b69fea95fp-8, 0x1.a51e0c85b4a0cp-8, 0x1.9c94a2840db3p-8, 0x1.9433c8c8963f3p-8, 0x1.8bfad1f646358p-8, 0x1.83e91303a8131p-8, 0x1.7bfde383718cdp-8, 0x1.74389d80f147fp-8, 0x1.6c989d85713c3p-8, 0x1.651d429a2f62dp-8, 0x1.5dc5ee3b246a3p-8, 0x1.569204431cbb3p-8, 0x1.4f80eadb80b7ap-8, 0x1.48920a56ca9bfp-8, 0x1.41c4cd177e27fp-8, 0x1.3b189f86c8c3cp-8, 0x1.348cf007efad7p-8, 0x1.2e212f082e802p-8, 0x1.27d4cf19ebbd3p-8, 0x1.21a744f680c99p-8, 0x1.1b9807c56194dp-8, 0x1.15a6912b52861p-8, 0x1.0fd25d1c25247p-8, 0x1.0a1ae9d6adf3cp-8, 0x1.047fb7abecc2cp-8, 0x1.fe00919a07bc9p-9, 0x1.f33842091c784p-9, 0x1.e8a58b1546251p-9, 0x1.de4779e29781ep-9, 0x1.d41d1e748365dp-9, 0x1.ca258bf57816bp-9, 0x1.c05fd96f1fbcbp-9, 0x1.b6cb21f1cc635p-9, 0x1.ad6685a9d5fa2p-9, 0x1.a431298dc4264p-9, 0x1.9b2a377f399e9p-9, 0x1.9250ddc9fa07cp-9, 0x1.89a44e68a9a3dp-9, 0x1.8123be2a74e4cp-9, 0x1.78ce63e975bc7p-9, 0x1.70a37800a59ccp-9, 0x1.68a2341c61b0bp-9, 0x1.60c9d32e21188p-9, 0x1.591993c8c9b17p-9, 0x1.5190b49fdb148p-9, 0x1.4a2e7c0eedbb6p-9, 0x1.42f2323c71027p-9, 0x1.3bdb25c166919p-9, 0x1.34e8aa1150dc9p-9, 0x1.2e1a17165794ep-9, 0x1.276ec85074389p-9, 0x1.20e61bba6f8a1p-9, 0x1.1a7f70b81419bp-9, 0x1.143a274c238eep-9, 0x1.0e159fc45a785p-9, 0x1.08113aedba1f8p-9, 0x1.022c5abe217cp-9, 0x1.f8ccc689fca71p-10, 0x1.ed7d7754ba74ep-10, 0x1.e2699e0bec486p-10, 0x1.d79019cfa9d3ep-10, 0x1.ccefd2f98d1cep-10, 0x1.c287ba9296fap-10, 0x1.b856c905a1b2dp-10, 0x1.ae5bfc3fe2e3ap-10, 0x1.a496559330c4bp-10, 0x1.9b04d7cf839edp-10, 0x1.91a686107db66p-10, 0x1.887a6398386e9p-10, 0x1.7f7f74b85098bp-10, 0x1.76b4c06dbdf98p-10, 0x1.6e19526712d35p-10, 0x1.65ac3c5a3772ap-10, 0x1.5d6c968d7d1a8p-10, 0x1.55597f8b163b5p-10, 0x1.4d721b7daa42ep-10, 0x1.45b594591cf43p-10, 0x1.3e2318b127ed8p-10, 0x1.36b9db6a05ac4p-10, 0x1.2f791313cc5d5p-10, 0x1.285ff8b04a359p-10, 0x1.216dc66ebfb8p-10, 0x1.1aa1b6f756a53p-10, 0x1.13fb05d2b72dp-10, 0x1.0d78f102f61b1p-10, 0x1.071abb1a6c667p-10, 0x1.00dfaceb5f013p-10, 0x1.f58e2ad4e32c9p-11, 0x1.e9a090e93a3bbp-11, 0x1.ddf53b18b37dcp-11, 0x1.d28adc21485bap-11, 0x1.c7602a5ffc613p-11, 0x1.bc73e06fe46dap-11, 0x1.b1c4be0668382p-11, 0x1.a751887231226p-11, 0x1.9d1909ef88e0dp-11, 0x1.931a10741de89p-11, 0x1.89536d1879e9p-11, 0x1.7fc3f50fa6f76p-11, 0x1.766a840cda663p-11, 0x1.6d45feef60bc8p-11, 0x1.645554f3fd37ep-11, 0x1.5b977e97e0e72p-11, 0x1.530b7a799bc3bp-11, 0x1.4ab049d94aa54p-11, 0x1.4284ee629b6cap-11, 0x1.3a886a343540fp-11, 0x1.32b9c1c5f55a9p-11, 0x1.2b17fe4812574p-11, 0x1.23a22ef127b42p-11, 0x1.1c576884678ep-11, 0x1.1536c58cfc14bp-11, 0x1.0e3f64e7e57d3p-11, 0x1.0770689b1e775p-11, 0x1.00c90123ca522p-11, 0x1.f490c23475ec9p-12, 0x1.e7db87c08ab6fp-12, 0x1.db70cd8d34f5fp-12, 0x1.cf4f0a13aae9fp-12, 0x1.c374ae04e0e49p-12, 0x1.b7e02c6ef865p-12, 0x1.ac8ff6f67b073p-12, 0x1.a1827d2d9a2fcp-12, 0x1.96b63fe0ecb26p-12, 0x1.8c29ca88a790bp-12, 0x1.81dbb1adf4a7p-12, 0x1.77ca9a9cf61d6p-12, 0x1.6df532c1044c4p-12, 0x1.645a2e4b78802p-12, 0x1.5af8529538bfcp-12, 0x1.51ce80f74b605p-12, 0x1.48dbb857e7116p-12, 0x1.401f08995bcbcp-12, 0x1.37978072a8d68p-12, 0x1.2f441a35bda9dp-12, 0x1.2723b4100f324p-12, 0x1.1f351734cdb92p-12, 0x1.17770475575cdp-12, 0x1.0fe83f8c69f29p-12, 0x1.0887963a6daf8p-12, 0x1.0153e41056b71p-12, 0x1.f49827ef8d955p-13, 0x1.e6de3968bff1fp-13, 0x1.d977f2856d49cp-13, 0x1.cc634532a347dp-13, 0x1.bf9e28ca021d5p-13, 0x1.b326bf5954116p-13, 0x1.a6fb815c80c18p-13, 0x1.9b1b4aac6eb05p-13, 0x1.8f8533a935205p-13, 0x1.843848dffac55p-13, 0x1.79334f1dfc78dp-13, 0x1.6e74b80d2cb22p-13, 0x1.63fac4d908d2bp-13, 0x1.59c3b41805ad4p-13, 0x1.4fcdda1fbb99ep-13, 0x1.46179e66f0c6cp-13, 0x1.3c9f6e4f6c605p-13, 0x1.3363b5754d73p-13, 0x1.2a62dec1a0e74p-13, 0x1.219b56a5c01ddp-13, 0x1.190b862c090cfp-13, 0x1.10b1ca7e9f175p-13, 0x1.088c7c9eadea3p-13, 0x1.009a1a78e6b8fp-13, 0x1.f1b302bc030b4p-14, 0x1.e294103a75555p-14, 0x1.d3d6a680eabfep-14, 0x1.c579f53e0fe81p-14, 0x1.b77c6a92cf965p-14, 0x1.a9dbda4f1ddcbp-14, 0x1.9c95c6633a023p-14, 0x1.8fa7da7ac51bp-14, 0x1.831007042763p-14, 0x1.76cc650ff2af6p-14, 0x1.6adb1abcadbabp-14, 0x1.5f3a4b366c374p-14, 0x1.53e807290dec1p-14, 0x1.48e240f409c47p-14, 0x1.3e26d1d7034d4p-14, 0x1.33b38ba2648c1p-14, 0x1.2986404a3e28ep-14, 0x1.1f9cbb5ca6054p-14, 0x1.15f4d19fae195p-14, 0x1.0c8ca2a76e595p-14, 0x1.0362dd69130ap-14, 0x1.f4ed64118bf72p-15, 0x1.e38ed3d447583p-15, 0x1.d2a80c3f6b217p-15, 0x1.c236710d768fp-15, 0x1.b23738ba1e5eap-15, 0x1.a2a7c33c1cf4fp-15, 0x1.938590220e377p-15, 0x1.84ce18f974e43p-15, 0x1.767ee5ba78d87p-15, 0x1.6895969fb403dp-15, 0x1.5b0fd0aca052ap-15, 0x1.4deb1e348ccecp-15, 0x1.4124da831400bp-15, 0x1.34ba452b0b744p-15, 0x1.28a8c47a9e604p-15, 0x1.1cee267e85394p-15, 0x1.11889913db73ap-15, 0x1.0676527711831p-15, 0x1.f76a7e222afbdp-16, 0x1.e285f67dee81p-16, 0x1.ce39e5aa39e0fp-16, 0x1.ba8107641cf25p-16, 0x1.a756cab8a4c1bp-16, 0x1.94b865fdddd32p-16, 0x1.82a48ff2dc9p-16, 0x1.71199fbbcfd92p-16, 0x1.60145ef2f4543p-16, 0x1.4f90e749f9976p-16, 0x1.3f8bd1d196cbp-16, 0x1.300233f58e9fap-16, 0x1.20f12eef954eep-16, 0x1.1255d451682e7p-16, 0x1.042d2a2eb2d37p-16, 0x1.ece7a1a42d859p-17, 0x1.d24c8a77f148fp-17, 0x1.b882477f6d248p-17, 0x1.9f83f08776db3p-17, 0x1.874f0812276d2p-17, 0x1.6fe21390e4d68p-17, 0x1.5939de3e8c81bp-17, 0x1.43501a757f99p-17, 0x1.2e1c9bdad53ebp-17, 0x1.199715055ee9fp-17, 0x1.05b879367d541p-17, 0x1.e4f9fd702955ep-18, 0x1.bfc9b1aa36a67p-18, 0x1.9bdc44979e2ccp-18, 0x1.7926b8ddc3ffep-18, 0x1.579baa5150d11p-18, 0x1.37327709325c3p-18, 0x1.17e6499ac06ddp-18, 0x1.f363606f75de6p-19, 0x1.b91c182217711p-19, 0x1.80e760333d8dp-19, 0x1.4ab66ccc5179ep-19, 0x1.167af63fd36b7p-19, 0x1.c84c34b66ecf6p-20, 0x1.67517a380b9ep-20, 0x1.09eca6e01efc5p-20, 0x1.601e138eaf8c2p-21, 0x1.66c24cb9645b8p-22, 0x1.af73c2d29ecfbp-26, -0x1.23c4bf4b40307p-22, -0x1.2ad0406765832p-21, -0x1.bd8455b974bb6p-21, -0x1.254bfeb29f55dp-20, -0x1.68ecc4a37be16p-20, -0x1.a99f06277a5a2p-20, -0x1.e7931260fc17fp-20, -0x1.116cfd9d21bbcp-19, -0x1.2dc0a424bc4b2p-19, -0x1.48c93a5da59d8p-19, -0x1.629b255dd5388p-19, -0x1.7b3e6f66289edp-19, -0x1.92be8f5c5afd2p-19, -0x1.a91def709cc07p-19, -0x1.be61b89db0b2cp-19, -0x1.d293d9dbfed0bp-19, -0x1.e5bf1234c8069p-19, -0x1.f7ebabe97da32p-19, -0x1.048ed41ffa3bdp-18, -0x1.0cabc63ef2a3cp-18, -0x1.1451e7f0a050ep-18, -0x1.1b86a4530f99ep-18, -0x1.2249ae803075fp-18, -0x1.289ba43576412p-18, -0x1.2e83d04ef2abdp-18, -0x1.340906e3a814ap-18, -0x1.392d8ec8587b3p-18, -0x1.3df2cc015c993p-18, -0x1.425a80bf73f51p-18, -0x1.466713381abbep-18, -0x1.4a1c8e43ca93ap-18, -0x1.4d7d17297d4afp-18, -0x1.5089f114c6ca5p-18, -0x1.5345d241facf9p-18, -0x1.55b3a81389133p-18, -0x1.57d6443b1a9bap-18, -0x1.59b0819739da2p-18, -0x1.5b453a1933f04p-18, -0x1.5c96e09b48a56p-18, -0x1.5da6fea07a0b1p-18, -0x1.5e7778729f74cp-18, -0x1.5f0b0366f7a5cp-18, -0x1.5f63593b7a094p-18, -0x1.5f81b62cce54cp-18, -0x1.5f682485499f2p-18, -0x1.5f18eea1c97e2p-18, -0x1.5e960a52bbe6ep-18, -0x1.5de103de22e06p-18, -0x1.5cfb5e6539ffap-18, -0x1.5be714d8113cdp-18, -0x1.5aa5e42a789f7p-18, -0x1.59388ed9578eap-18, -0x1.57a0cfbf57f82p-18, -0x1.55e12277fbb07p-18, -0x1.53fb72adc90a3p-18, -0x1.51f10169815a7p-18, -0x1.4fc252b23e74p-18, -0x1.4d70edb66eee6p-18, -0x1.4afe56ea2d156p-18, -0x1.486cac376b9a8p-18, -0x1.45bb04306e83fp-18, -0x1.42e624150eab6p-18, -0x1.40030be77365bp-18, -0x1.3cfa8c1d7e417p-18, -0x1.39dadfc284acfp-18, -0x1.36a2a18aea4bbp-18, -0x1.3352e915e6cc3p-18, -0x1.2fecbdb0ea7b4p-18, -0x1.2c713620da908p-18, -0x1.28e14280b9f37p-18, -0x1.253d98d27ec2p-18, -0x1.21877341d647ep-18, -0x1.1dc00595bccfbp-18, -0x1.19e82f8dd952p-18, -0x1.1600a443f9c9ap-18, -0x1.120a286702a7cp-18, -0x1.0e058ef3be9b1p-18, -0x1.09f35f6dc1572p-18, -0x1.05d437121f0e4p-18, -0x1.01a94d7afdee5p-18, -0x1.fae8ac658979dp-19, -0x1.f26e79cb454d3p-19, -0x1.e9dee6df0f26cp-19, -0x1.e138c992f27dbp-19, -0x1.d883e4c5693b1p-19, -0x1.cfc38310ad89p-19, -0x1.c6f539e6fa6c3p-19, -0x1.be19db60175d1p-19, -0x1.b53303ded5ae2p-19, -0x1.ac4221da34177p-19, -0x1.a34878c658aefp-19, -0x1.9a472a0730fedp-19, -0x1.913f43c258f81p-19, -0x1.8831c45967f67p-19, -0x1.7f1f799c964d9p-19, -0x1.76094a4d79ee7p-19, -0x1.6cf08cfac855fp-19, -0x1.63d65b16fc8cep-19, -0x1.5abb63fedaae9p-19, -0x1.51a072c80837p-19, -0x1.4886907963eedp-19, -0x1.3f6e86de5550cp-19, -0x1.365900c26c2d5p-19, -0x1.2d46b7331ce2p-19, -0x1.2438779ba0578p-19, -0x1.1b2ef224ea649p-19, -0x1.122aed69e708ep-19, -0x1.092d5f77e238ep-19, -0x1.00369e89dbc74p-19, -0x1.ee8e80f232b3fp-20, -0x1.dcbffdf2c03e5p-20, -0x1.cb02ebe7519d2p-20, -0x1.b9588220c20f6p-20, -0x1.a7c1e1203e1ap-20, -0x1.963ffa05b2dc8p-20, -0x1.84d4225c67c8dp-20, -0x1.737f3efebc4ep-20, -0x1.62418cc6fa603p-20, -0x1.511aca9a66841p-20, -0x1.400962791c763p-20, -0x1.2f1699432e0ccp-20, -0x1.1e5d382b5b676p-20, -0x1.0d9782773b60bp-20, -0x1.fa13569b811fap-21, -0x1.d8f575a0ebc0dp-21, -0x1.b8212939b734cp-21, -0x1.97b0bf6106513p-21, -0x1.7778267360895p-21, -0x1.577b0f418014ap-21, -0x1.37be3d6bd2ca7p-21, -0x1.18447488eb852p-21, -0x1.f22ccbc59c396p-22, -0x1.b42cdd8bc9fabp-22, -0x1.76eba0c3d25d6p-22, -0x1.3a3a1dfeefd9bp-22, -0x1.fbff2c270762ep-23, -0x1.84c625cfd7a16p-23, -0x1.0ebc85a3ab0f7p-23, -0x1.33b5df7ada9b1p-24, -0x1.3126248f5d168p-26, 0x1.31675fb6e4edfp-25, 0x1.7b43a34deba9cp-24, 0x1.2db29cda0b95cp-23, 0x1.9c88fdf4b35e9p-23, 0x1.05113188677ecp-22, 0x1.3b3e443633ef9p-22, 0x1.70cab6b57593p-22, 0x1.a5b5a00586272p-22, 0x1.d9fe22ce33481p-22, 0x1.06d1b6690e735p-21, 0x1.20525cf1a1d24p-21, 0x1.3980ab976755fp-21, 0x1.525c52940b6e7p-21, 0x1.6ae50ab339173p-21, 0x1.831a9251cc391p-21, 0x1.9afca8eb7bd7ap-21, 0x1.b28b0de4b9d15p-21, 0x1.c9c58f52a6ab4p-21, 0x1.e0ac1dbc4a19p-21, 0x1.f73eb4efdb55dp-21, 0x1.06beb232c64ddp-20, 0x1.11b3ff6a76276p-20, 0x1.1c7f27fc30b26p-20, 0x1.2720241da73cbp-20, 0x1.319701112a07dp-20, 0x1.3be3eff12a6d8p-20, 0x1.460776e0806f9p-20, 0x1.5002e96d22741p-20, 0x1.59d6b7b309609p-20, 0x1.63770faa41b14p-20, 0x1.6ce37d623b23ap-20, 0x1.763ce229eeb6ap-20, 0x1.7f5798d3e2227p-20, 0x1.8860b3752de65p-20, 0x1.9140e579f43c5p-20, 0x1.99e7ae3f1205ep-20, 0x1.a2636140cd056p-20, 0x1.aab945b497161p-20, 0x1.b2e793244019bp-20, 0x1.baed5676e39dcp-20, 0x1.c2ca56716316dp-20, 0x1.ca7ea25e17c63p-20, 0x1.d20a5f9a6413ep-20, 0x1.d96db9254ef4ap-20, 0x1.e0a8db949318p-20, 0x1.e7bbf4b7dc2efp-20, 0x1.eea7344ceceedp-20, 0x1.f56acc8b95908p-20, 0x1.fc06f1add6ce9p-20, 0x1.013dec32029fep-19, 0x1.0464da19393adp-19, 0x1.07785c6dcd77fp-19, 0x1.0a788fb1271fcp-19, 0x1.0d65924c997efp-19, 0x1.103f7dd3d5865p-19, 0x1.13066db08c312p-19, 0x1.15ba856212709p-19, 0x1.185be762d18c8p-19, 0x1.1aeaae9190a33p-19, 0x1.1d66f510713f6p-19, 0x1.1fd0e2ec9c7fbp-19, 0x1.2228995287159p-19, 0x1.246e3992ff80bp-19, 0x1.26a1eb46dd37bp-19, 0x1.28c3f2fef0708p-19, 0x1.2acfdc70d6f13p-19, 0x1.2ce1641cef202p-19, 0x1.2ebf706fec5f5p-19, 0x1.309af943aff6ep-19, 0x1.3265584136916p-19, 0x1.341ed52f9c4bfp-19, 0x1.35c7831670608p-19, 0x1.375f7ccbb9396p-19, 0x1.38e6dcfc823e7p-19, 0x1.3a5dc30a311c6p-19, 0x1.3bc4538abd71ap-19, 0x1.3d1ab5749b3dp-19, 0x1.3e61106d6badap-19, 0x1.3f978aee7f1b4p-19, 0x1.40be4a2e608ebp-19, 0x1.41d578723d604p-19, 0x1.42dd54dae2feap-19, 0x1.43d68675c78dbp-19, 0x1.44c2c78c1e7b5p-19, 0x1.45a007761eb7ep-19, 0x1.4660bd6e7d006p-19, 0x1.4721a5f08e808p-19, 0x1.47cb837ce19eap-19, 0x1.487b1174df371p-19, 0x1.4908d07808554p-19, 0x1.49850a3928d8p-19, 0x1.49fbd02aea4a2p-19, 0x1.4a6422d530692p-19, 0x1.4abe75c16e2d4p-19, 0x1.4b11a6163b0b2p-19, 0x1.4b514e64ea97dp-19, 0x1.4b82bb50fff9cp-19, 0x1.4ba8320925ed5p-19, 0x1.4bc18cc4edac5p-19, 0x1.4bcd6cdbd50b2p-19, 0x1.4bce57b304c54p-19, 0x1.4bc237b414731p-19, 0x1.4ba9b812e0675p-19, 0x1.4b853ebdafa11p-19, 0x1.4b54efb54608p-19, 0x1.4b18f463df196p-19, 0x1.4ad1734cf4be3p-19, 0x1.4a7e90c57134ep-19, 0x1.4a2070bf01882p-19, }}, 
      {{0x1.d274958e902dp-1, 0x1.fcd2c45e2139cp-1, 0x1.1b8a1ea9a48b9p+0, 0x1.3b2982ad14cc3p+0, 0x1.58d57e3b9603dp+0, 0x1.716f48cbb33d8p+0, 0x1.831c05de5bf1ep+0, 0x1.8d0d9247e061ep+0, 0x1.8f413cf5041dap+0, 0x1.8a4265012e18p+0, 0x1.7ef66fe2fc268p+0, 0x1.6e736087b2f9bp+0, 0x1.59e09015dcae8p+0, 0x1.426043d8fb1b9p+0, 0x1.290095f5c7797p+0, 0x1.0eb2326882043p+0, 0x1.e8872513a5f13p-1, 0x1.b4bf0ff725a0ap-1, 0x1.831c372abf349p-1, 0x1.546de3a487049p-1, 0x1.29492aa5e3451p-1, 0x1.02105e1ed4109p-1, 0x1.bdf55b0860482p-2, 0x1.80370bcb68117p-2, 0x1.4ad2d8ff8f251p-2, 0x1.1d885e276c4c3p-2, 0x1.efe9696accd36p-3, 0x1.b337cdac4055ep-3, 0x1.83e1e5243ea6bp-3, 0x1.60b8e6033160fp-3, 0x1.48841a43081p-3, 0x1.3a0985ef266ffp-3, 0x1.3414a2cb894d6p-3, 0x1.357b78bc0b31p-3, 0x1.3d2256b89ec1p-3, 0x1.49fe690c7f2a4p-3, 0x1.5b1763b14d4d5p-3, 0x1.6f886f0027816p-3, 0x1.8680802abd50ep-3, 0x1.9f423e08cd021p-3, 0x1.b9238fff20fbp-3, 0x1.d38cecf0ca03p-3, 0x1.edf87c734b035p-3, 0x1.03f88d6c7c546p-2, 0x1.1088a5b285c39p-2, 0x1.1c81106f46d48p-2, 0x1.27bd128f4b34cp-2, 0x1.321e21c9432acp-2, 0x1.3b8b5d4b9fb44p-2, 0x1.43f10b9ea47d9p-2, 0x1.4b401e0fbdc5cp-2, 0x1.516dba731a513p-2, 0x1.5672cbeb45e96p-2, 0x1.5a4b99de6bd12p-2, 0x1.5cf7660261582p-2, 0x1.5e781154ca7dcp-2, 0x1.5ed1c72765a15p-2, 0x1.5e0aaec36d14cp-2, 0x1.5c2aa33b1fbddp-2, 0x1.593af0e9dea39p-2, 0x1.554618bee8234p-2, 0x1.505798be55784p-2, 0x1.4a7bb9911b409p-2, 0x1.43bf60f66ae6ap-2, 0x1.3c2fe87438ddep-2, 0x1.33daf8892700ap-2, 0x1.2ace67a927f33p-2, 0x1.21181cba30c27p-2, 0x1.16c5f549aabb9p-2, 0x1.0be5af1ca523dp-2, 0x1.0084d3baf488dp-2, 0x1.e961500b236cbp-3, 0x1.d0ec3aa462fc8p-3, 0x1.b7c38a58f080fp-3, 0x1.9dff8ea3f6d9dp-3, 0x1.83b7b21848a16p-3, 0x1.69026e434f456p-3, 0x1.4df540e1e0a8fp-3, 0x1.32a4a51ae5c28p-3, 0x1.17240f5317ad9p-3, 0x1.f70bd42f9b72ep-4, 0x1.bfb72b854a109p-4, 0x1.886ad62278306p-4, 0x1.51457763a104cp-4, 0x1.1a63b06d8215dp-4, 0x1.c7c054a59583bp-5, 0x1.5ba73e4fb8054p-5, 0x1.e153b4a6be76dp-6, 0x1.0de48e5d14361p-6, 0x1.ea7207196e8b6p-9, -0x1.205147eabe57cp-7, -0x1.5a400996711e4p-6, -0x1.105f04e069c01p-5, -0x1.71b74910431e4p-5, -0x1.d1119ca598d9ap-5, -0x1.172cb92ce642p-4, -0x1.44be6079cab46p-4, -0x1.7135f2d0e5936p-4, -0x1.9c8cbdf13375bp-4, -0x1.c6bd1fa515b54p-4, -0x1.efc27557dac52p-4, -0x1.0bcc860c595efp-3, -0x1.1f1f0904c6485p-3, -0x1.31d7c3e51f3ddp-3, -0x1.43f619483b435p-3, -0x1.5579c796f66f3p-3, -0x1.6662e25b7a731p-3, -0x1.76b1cc5a3afbdp-3, -0x1.8667319c8abedp-3, -0x1.95840189c04ffp-3, -0x1.a40969df1ceb8p-3, -0x1.b1f8d13092503p-3, -0x1.bf53d1eb75443p-3, -0x1.cc1c35e1239acp-3, -0x1.d853f19a32b0bp-3, -0x1.e3fd1feebd035p-3, -0x1.ef19fe56fe04fp-3, -0x1.f9ace8e55b4fp-3, -0x1.01dc2b47076bbp-2, -0x1.069f6afbafbabp-2, -0x1.0b21851c60ac8p-2, -0x1.0f63d3d8499b9p-2, -0x1.1367b8a5960c4p-2, -0x1.172e9af06ee9dp-2, -0x1.1ab9e6d7f3d15p-2, -0x1.1e0b0bf7605f9p-2, -0x1.21237c67d094fp-2, -0x1.2404abbb99abdp-2, -0x1.26b00dfc4284p-2, -0x1.292716e78f0b9p-2, -0x1.2b6b39263688p-2, -0x1.2d7de58b2c0ffp-2, -0x1.2f608a6d1a7a2p-2, -0x1.3114931e8b407p-2, -0x1.329b675934f79p-2, -0x1.33f66ad002183p-2, -0x1.3526fcaa0e706p-2, -0x1.362e7752df4b1p-2, -0x1.370e2feb644bfp-2, -0x1.37c7763b64223p-2, -0x1.385b94373d5a6p-2, -0x1.38cbcdec1ee5fp-2, -0x1.3919615f20f78p-2, -0x1.3945863517997p-2, -0x1.39516db7cc1fap-2, -0x1.393e42bd38ee4p-2, -0x1.390d2983b71c2p-2, -0x1.38bf3fa4d90fbp-2, -0x1.38559c13e8596p-2, -0x1.37d14f1e9f4c6p-2, -0x1.37336268f68d4p-2, -0x1.367cd8e173c2cp-2, -0x1.35aeaee4690e3p-2, -0x1.34c9da27a45b4p-2, -0x1.33cf49f80ac4dp-2, -0x1.32bfe70ee1b82p-2, -0x1.319c93ce5d308p-2, -0x1.30662c4d3b7a8p-2, -0x1.2f1d86617ee68p-2, -0x1.2dc371cb048b2p-2, -0x1.2c58b84a3cafap-2, -0x1.2ade1da2bb6cep-2, -0x1.29545fdb546d3p-2, -0x1.27bc374e3d91dp-2, -0x1.261656af1243cp-2, -0x1.24636b585299cp-2, -0x1.22a41d3a9b552p-2, -0x1.20d90f175054ep-2, -0x1.1f02dea1857b7p-2, -0x1.1d222483be44ep-2, -0x1.1b37749a65a63p-2, -0x1.19435e11b93fap-2, -0x1.17466b5c4a1f9p-2, -0x1.15412297aaa18p-2, -0x1.133405634ade5p-2, -0x1.111f9135a54eap-2, -0x1.0f043f50777e1p-2, -0x1.0ce28500168fdp-2, -0x1.0abad3942527ap-2, -0x1.088d98acd64e9p-2, -0x1.065b3e16a2938p-2, -0x1.04242a27164abp-2, -0x1.01e8bfa8507bep-2, -0x1.ff52bbf2288e9p-3, -0x1.faccc28e85ef1p-3, -0x1.f640450a77a1ap-3, -0x1.f1adef0d905a4p-3, -0x1.ed16665434358p-3, -0x1.e87a4ac27db15p-3, -0x1.e3da368e4ebb4p-3, -0x1.df36be76dab1ep-3, -0x1.da9072089363ep-3, -0x1.d5e7db695eb6p-3, -0x1.d13d7ff9144f1p-3, -0x1.cc91e027d4546p-3, -0x1.c7e577b3b1c33p-3, -0x1.c338bdc88fef8p-3, -0x1.be8c252f1c892p-3, -0x1.b9e01c6fa434dp-3, -0x1.b5350dcd70d5fp-3, -0x1.b08b5f9947374p-3, -0x1.abe374391f867p-3, -0x1.a73daa55ee1f5p-3, -0x1.a29a5cd24da5ep-3, -0x1.9df9e30c3f3a7p-3, -0x1.995c90e9e3aaep-3, -0x1.94c2b708489b7p-3, -0x1.902ca2b1f2f63p-3, -0x1.8b9a9e1a03a1fp-3, -0x1.870cf054c7278p-3, -0x1.8283dd807a429p-3, -0x1.7dffa6e4f6ff6p-3, -0x1.79808b06aed06p-3, -0x1.7506c5ac23c56p-3, -0x1.70928fff32339p-3, -0x1.6c242094a0ba9p-3, -0x1.67bbab8093b38p-3, -0x1.63596291c9a84p-3, -0x1.5efd753f834d4p-3, -0x1.5aa810b86a5f5p-3, -0x1.56595ff00e1b2p-3, -0x1.52118bb8e41f2p-3, -0x1.4dd0bae1c53a2p-3, -0x1.49971247fae33p-3, -0x1.4564b4d70287fp-3, -0x1.4139c39c82521p-3, -0x1.3d165db8e0fc2p-3, -0x1.38faa08a77632p-3, -0x1.34e6a7cdb0dfap-3, -0x1.30da8d9c4e27ap-3, -0x1.2cd66a776173cp-3, -0x1.28da554b9ae3ap-3, -0x1.24e6637162e0ep-3, -0x1.20faa8c51decap-3, -0x1.1d1737c179268p-3, -0x1.193c218fad7e1p-3, -0x1.1569760a3777cp-3, -0x1.119f43c25146p-3, -0x1.0ddd97ef9a7bfp-3, -0x1.0a247e8edb32p-3, -0x1.06740271c88c6p-3, -0x1.02cc2d5486352p-3, -0x1.fe5a0fcf5da27p-4, -0x1.f72d339883552p-4, -0x1.f011d327688edp-4, -0x1.e907f9828a21ap-4, -0x1.e20fafa978ffcp-4, -0x1.db28fcd3e1c92p-4, -0x1.d453e6849cdddp-4, -0x1.cd907093e815ep-4, -0x1.c6de9d348c68ep-4, -0x1.c03e6cdcc531ep-4, -0x1.b9afde53d2a4bp-4, -0x1.b332eed04d3c1p-4, -0x1.acc79a17fa6d6p-4, -0x1.a66dda9ffb14p-4, -0x1.a025a997f2a7ap-4, -0x1.99eefee43df97p-4, -0x1.93c9d114552cep-4, -0x1.8db615642bea3p-4, -0x1.87b3bfcf281b7p-4, -0x1.81c2c32d7590bp-4, -0x1.7be3115227a59p-4, -0x1.76149b1f2020bp-4, -0x1.70575079e667dp-4, -0x1.6aab204f73783p-4, -0x1.650ff88affe38p-4, -0x1.5f85c6186fc2fp-4, -0x1.5a0c74ff925e8p-4, -0x1.54a3f079af42bp-4, -0x1.4f4c2308375e7p-4, -0x1.4a04f67e81d2fp-4, -0x1.44ce53ff67375p-4, -0x1.3fa823f67154ep-4, -0x1.3a924e143fea1p-4, -0x1.358cb955794cdp-4, -0x1.30974c13ad85ap-4, -0x1.2bb1ec1a3c9ecp-4, -0x1.26dc7eb79d7eap-4, -0x1.2216e8c5e5cc6p-4, -0x1.1d610ea9f5f3bp-4, -0x1.18bad44d6875p-4, -0x1.14241d1d28338p-4, -0x1.0f9ccc0ab5e9ep-4, -0x1.0b24c399f452ap-4, -0x1.06bbe5ee21ea5p-4, -0x1.026214d99d48fp-4, -0x1.fc2e63d29db05p-5, -0x1.f3b63ccafaad1p-5, -0x1.eb5b76a0028ebp-5, -0x1.e31dd2c15ceb9p-5, -0x1.dafd1209c823bp-5, -0x1.d2f8f4c8ccb11p-5, -0x1.cb113ad695c75p-5, -0x1.c345a3abecffbp-5, -0x1.bb95ee771dab7p-5, -0x1.b401da2932234p-5, -0x1.ac89257963bd7p-5, -0x1.a52b8ee1eebf6p-5, -0x1.9de8d49b7269bp-5, -0x1.96c0b49ba36bdp-5, -0x1.8fb2ec9dda784p-5, -0x1.88bf3a30d8558p-5, -0x1.81e55ac6123dcp-5, -0x1.7b250bc42997ep-5, -0x1.747e0a9046f7bp-5, -0x1.6df01492eb544p-5, -0x1.677ae73886f8bp-5, -0x1.611e3ff14a5ebp-5, -0x1.5ad9dc2b406b6p-5, -0x1.54ad79571d897p-5, -0x1.4e98d4efaae99p-5, -0x1.489bac8223207p-5, -0x1.42b5bdba5cac3p-5, -0x1.3ce6c66d4e433p-5, -0x1.372e84a0ed7c4p-5, -0x1.318cb6904a1dcp-5, -0x1.2c011aabc7d16p-5, -0x1.268b6f9d04acbp-5, -0x1.212b743eaf973p-5, -0x1.1be0e7a36a533p-5, -0x1.16ab8914e5d91p-5, -0x1.118b1818be1bbp-5, -0x1.0c7f5476df29bp-5, -0x1.0787fe3fce284p-5, -0x1.02a4d5d33d9a3p-5, -0x1.fbab37d56f5c9p-6, -0x1.f23423320de8ep-6, -0x1.e8e3f0a632124p-6, -0x1.dfba23dec78b8p-6, -0x1.d6b6414a0fe27p-6, -0x1.cdd7ce0f08a9cp-6, -0x1.c51e50050668fp-6, -0x1.bc894dadd9c1bp-6, -0x1.b4184e337b6a1p-6, -0x1.abcad97061c1p-6, -0x1.a3a077fe6f3c5p-6, -0x1.9b98b352d3353p-6, -0x1.93b315dbb419fp-6, -0x1.8bef2b161aa23p-6, -0x1.844c7f994c097p-6, -0x1.7ccaa11151b8bp-6, -0x1.75691e28a538dp-6, -0x1.6e278665854a9p-6, -0x1.67056a04bc90ap-6, -0x1.600259dcfe8bdp-6, -0x1.591de7567fbabp-6, -0x1.5257a47e525fap-6, -0x1.4baf24327da68p-6, -0x1.4523fa5f61cc8p-6, -0x1.3eb5bc3e23758p-6, -0x1.386400821f252p-6, -0x1.322e5f673687cp-6, -0x1.2c1472988685dp-6, -0x1.2615d4f1e61dep-6, -0x1.2032222900049p-6, -0x1.1a68f674eb59ep-6, -0x1.14b9ee4c749bp-6, -0x1.0f24a65140a56p-6, -0x1.09a8bb738c2b4p-6, -0x1.0445cb4ac0bbep-6, -0x1.fdf6e921d5c4bp-7, -0x1.f392af4603aa8p-7, -0x1.e95e2dc79f173p-7, -0x1.df58adc83068p-7, -0x1.d5817c7f58e64p-7, -0x1.cbd7ea5f744cbp-7, -0x1.c25b49d233f35p-7, -0x1.b90aedd6cefa6p-7, -0x1.afe628d830922p-7, -0x1.a6ec4c0f79811p-7, -0x1.9e1ca7a6596b2p-7, -0x1.95768b9eb56p-7, -0x1.8cf9495b82dd4p-7, -0x1.84a4356f22d98p-7, -0x1.7c76a9417ed31p-7, -0x1.747004289056bp-7, -0x1.6c8fab9e8bdcdp-7, -0x1.64d50a7d6da75p-7, -0x1.5d3f8f5775d11p-7, -0x1.55ceaa47dd056p-7, -0x1.4e81cab2fe6cdp-7, -0x1.47585d7fe1e7ep-7, -0x1.4051cc3531965p-7, -0x1.396d7d407a675p-7, -0x1.32aad564d6182p-7, -0x1.2c093a0298559p-7, -0x1.258813cf64766p-7, -0x1.1f26d155229c5p-7, -0x1.18e4e8affed28p-7, -0x1.12c1d81d0b888p-7, -0x1.0cbd252f56857p-7, -0x1.06d65acc54c91p-7, -0x1.010d0655ac1fdp-7, -0x1.f6c1692b50a41p-8, -0x1.eba1de2a6f765p-8, -0x1.e0ba74b723a14p-8, -0x1.d60a2b6a117dp-8, -0x1.cb8ff8250c041p-8, -0x1.c14acd186d03ep-8, -0x1.b7399eac3900ep-8, -0x1.ad5b6a141ab06p-8, -0x1.a3af3ac33773fp-8, -0x1.9a342dbb52cfcp-8, -0x1.90e97208c5085p-8, -0x1.87ce46565dc76p-8, -0x1.7ee1f4201a5c9p-8, -0x1.7623c98306f27p-8, -0x1.6d9312e17ed6ep-8, -0x1.652f1589dd2c6p-8, -0x1.5cf70c4f9b003p-8, -0x1.54ea26a26ee3bp-8, -0x1.4d078a43db946p-8, -0x1.454e574281052p-8, -0x1.3dbdad7c415fdp-8, -0x1.3654b298d8339p-8, -0x1.2f1297539b2cbp-8, -0x1.27f69b0f715p-8, -0x1.21000d1393fb1p-8, -0x1.1a2e4b5a2866cp-8, -0x1.1380bf5f54d01p-8, -0x1.0cf6d9b9b5d9ap-8, -0x1.06900d5ea04afp-8, -0x1.004bcb56c5c68p-8, -0x1.f452fef181ad7p-9, -0x1.e8511cf6cb13bp-9, -0x1.dc90ab2d4226dp-9, -0x1.d1105770130d8p-9, -0x1.c5cec8207b103p-9, -0x1.bacaa3073ec45p-9, -0x1.b0029484af0bcp-9, -0x1.a57555e0a15b7p-9, -0x1.9b21b1af9b357p-9, -0x1.910685d6e7c27p-9, -0x1.8722c34239fap-9, -0x1.7d756bad97ce7p-9, -0x1.73fd8e057a91cp-9, -0x1.6aba41e04817ep-9, -0x1.61aaa2a1fcfadp-9, -0x1.58cdcb139c7eep-9, -0x1.5022d23c00c8ep-9, -0x1.47a8ca313ad25p-9, -0x1.3f5ec0e68b1e8p-9, -0x1.3743c1ae845ccp-9, -0x1.2f56d667c1203p-9, -0x1.279707716dc72p-9, -0x1.20035b3008d37p-9, -0x1.189ad6f83e887p-9, -0x1.115c82dd92f99p-9, -0x1.0a477042152b5p-9, -0x1.035ac0eaadc67p-9, -0x1.f92b568905a35p-10, -0x1.ebeef28fde7dfp-10, -0x1.deff035f38acap-10, -0x1.d25a3c90327c2p-10, -0x1.c5ff4760684f7p-10, -0x1.b9ecbd01b366dp-10, -0x1.ae212d5f479f2p-10, -0x1.a29b2c6f158e5p-10, -0x1.97595b306488fp-10, -0x1.8c5a637602d92p-10, -0x1.819ce629d0122p-10, -0x1.771f663de0839p-10, -0x1.6ce03fed6e33ep-10, -0x1.62ddb76a27cddp-10, -0x1.59161d5e97cacp-10, -0x1.4f87f9c48fb7fp-10, -0x1.463227696952dp-10, -0x1.3d13d26e16d9ep-10, -0x1.342c58bcf2b2cp-10, -0x1.2b7b1d1f6b8fp-10, -0x1.22ff6201c9bbep-10, -0x1.1ab83b49152d9p-10, -0x1.12a4985ac181fp-10, -0x1.0ac359e803de4p-10, -0x1.0313649009d78p-10, -0x1.f7274a0b69a99p-11, -0x1.e886002780dc4p-11, -0x1.da40708e3dc43p-11, -0x1.cc53b66f297c4p-11, -0x1.bebc8f891d638p-11, -0x1.b177ab7c96985p-11, -0x1.a482255a93829p-11, -0x1.97d9ed074132dp-11, -0x1.8b7de6289f21ap-11, -0x1.7f6da969ba2f5p-11, -0x1.73a90db0a91dfp-11, -0x1.682fbf2542af8p-11, -0x1.5d011813ed061p-11, -0x1.521c38ca2b0abp-11, -0x1.47802fed6cf96p-11, -0x1.3d2c06358b958p-11, -0x1.331ea11e51d82p-11, -0x1.29568d9df8e0dp-11, -0x1.1fd1ce3c6c057p-11, -0x1.168dc370a74b8p-11, -0x1.0d873d2bd3ce7p-11, -0x1.04babc4df5049p-11, -0x1.f849c45d02e16p-12, -0x1.e785f0f398787p-12, -0x1.d726bc5cd5473p-12, -0x1.c72b3438a0c63p-12, -0x1.b793eb020d22ep-12, -0x1.a86198d13857p-12, -0x1.9993fe62a4245p-12, -0x1.8b29bf9a326fdp-12, -0x1.7d212ac457024p-12, -0x1.6f7930812ea8bp-12, -0x1.6231cdb42e80bp-12, -0x1.554bac5370dd7p-12, -0x1.48c7393fd8dc4p-12, -0x1.3ca3a968e7dffp-12, -0x1.30de6e269d3fep-12, -0x1.25734c87cd08cp-12, -0x1.1a5cd62e01e78p-12, -0x1.0f94e9e321027p-12, -0x1.05154129a0048p-12, -0x1.f5b09c22525c2p-13, -0x1.e1b4a83869bf8p-13, -0x1.ce3435da27b8dp-13, -0x1.bb312c5aed04fp-13, -0x1.a8af1040392e5p-13, -0x1.96afce5a080c3p-13, -0x1.853220476b86bp-13, -0x1.74324ed27e4fp-13, -0x1.63ac55df0e459p-13, -0x1.539e021562ff9p-13, -0x1.44080346d9157p-13, -0x1.34ed04fd2f426p-13, -0x1.264ee78676344p-13, -0x1.182c3e7762356p-13, -0x1.0a8040e63a6d5p-13, -0x1.fa89b4a7e8303p-14, -0x1.e0e971c45e3fcp-14, -0x1.c817714761323p-14, -0x1.b00b87e2ad28p-14, -0x1.98bb213faa25p-14, -0x1.82190e3e783ffp-14, -0x1.6c17d33def50bp-14, -0x1.56ad20b5ee295p-14, -0x1.41d511f41a3f9p-14, -0x1.2d92e3aab0ecdp-14, -0x1.19ed31fd4c302p-14, -0x1.06e7a3e93f0bcp-14, -0x1.e8fdf4143535dp-15, -0x1.c556daf0f360bp-15, -0x1.a2cf6559f3d74p-15, -0x1.8169c42d949a9p-15, -0x1.612d91a348512p-15, -0x1.421b647eff556p-15, -0x1.24283f1a5c737p-15, -0x1.0741d77ef8bd7p-15, -0x1.d6ac22b53461p-16, -0x1.a0b1ffacf614cp-16, -0x1.6c8e140c0c6b9p-16, -0x1.3a45273414f35p-16, -0x1.09dd7920e2da9p-16, -0x1.b6a904536b2cfp-17, -0x1.5d2e6d9f08676p-17, -0x1.06f9d58156ec5p-17, -0x1.6742c4d8c0f6bp-18, -0x1.8b8155dc9e24fp-19, -0x1.4bf9502fb5487p-21, 0x1.b4aa3de104d69p-20, 0x1.fc5e368d8eee8p-19, 0x1.89cc40903fdf7p-18, 0x1.080bc2589242p-17, 0x1.4878828c81009p-17, 0x1.86331a2b977dfp-17, 0x1.c15e320d28c4dp-17, 0x1.fa134f02a6e3ap-17, 0x1.182ead6079adbp-16, 0x1.3228895a2474fp-16, 0x1.4b0a069e6fd8ep-16, 0x1.62e5e75387028p-16, 0x1.79c5a0f115bc5p-16, 0x1.8fa748d8fbc9cp-16, 0x1.a483874be3a19p-16, 0x1.b8564e88d2fddp-16, 0x1.cb2329f4307cfp-16, 0x1.dcf87a3862e2ep-16, 0x1.edf3bdaf7ee4cp-16, 0x1.fe2e154b5cfc7p-16, 0x1.06cdab56551dfp-15, 0x1.0e100a4954041p-15, 0x1.14e4b3276c90ep-15, 0x1.1b61f6f813d84p-15, 0x1.2190760c1d14bp-15, 0x1.2766f99db3cddp-15, 0x1.2cddee19bbf55p-15, 0x1.31f88f8b4e8dap-15, 0x1.36c11728c1429p-15, 0x1.3b3f20f0c3ff8p-15, 0x1.3f713e4e5389dp-15, 0x1.4353256138cecp-15, 0x1.46e6a203afffp-15, 0x1.4a32963ebe959p-15, 0x1.4d3d04e96f096p-15, 0x1.500816885ffb7p-15, 0x1.5292fa22a6f15p-15, 0x1.54dcbf932e378p-15, 0x1.56e6239beaf7cp-15, 0x1.58b0502910956p-15, 0x1.5a3edb0ac52f2p-15, 0x1.5b9c1fd1ebbd3p-15, 0x1.5cccd2afe0ebdp-15, 0x1.5dc7e0fce1814p-15, 0x1.5e8ba72efdab5p-15, 0x1.5f204f74efeeep-15, 0x1.5f82acd0773c8p-15, 0x1.5fad4261f4cbdp-15, 0x1.5fa8b9153ae32p-15, 0x1.5f81b572bead1p-15, 0x1.5f3af853ca197p-15, 0x1.5ece6d676b9fcp-15, 0x1.5e3a92d8a0991p-15, 0x1.5d850720ef71cp-15, 0x1.5caef84c8fd3ep-15, 0x1.5bb424598e061p-15, 0x1.5a94a13d7dda3p-15, 0x1.59551b0a47049p-15, 0x1.57f95fc06016ep-15, 0x1.5682baa3c567bp-15, 0x1.54f1212307acp-15, 0x1.5344e689143e5p-15, 0x1.517f1a05ef1f9p-15, 0x1.4f9f22ed4d1d3p-15, 0x1.4da3e8decd152p-15, 0x1.4b92a19c3add8p-15, 0x1.496e9277e245fp-15, 0x1.47362965f0e56p-15, 0x1.44edf94eae624p-15, 0x1.4293a8cc49661p-15, 0x1.4022ca0331ed3p-15, 0x1.3d9e83de2e833p-15, 0x1.3b09acbd98949p-15, 0x1.38646a03a293bp-15, 0x1.35ae96f71ae04p-15, 0x1.32eaa9cd17bf5p-15, 0x1.301c226d1918dp-15, 0x1.2d41eee7fab0fp-15, 0x1.2a5b351bbf931p-15, 0x1.276b1c558a19p-15, 0x1.247087adde1e1p-15, 0x1.2168d8111deeap-15, 0x1.1e561493dc372p-15, 0x1.1b3b0aec8e0e7p-15, 0x1.1818ca63b1966p-15, 0x1.14ef6c6b269bp-15, 0x1.11bf28c95c039p-15, 0x1.0e88aa18e44a8p-15, 0x1.0b4b62ade3cdfp-15, 0x1.0805248427b6bp-15, 0x1.04b884743a0eap-15, 0x1.01690de17a71bp-15, 0x1.fc2ea009f1e1ap-16, 0x1.f584bfcaf8a7cp-16, 0x1.eece8ba83fc35p-16, 0x1.e8107ae3fada8p-16, 0x1.e14e4ffa8a833p-16, 0x1.da888e937c096p-16, 0x1.d3bf377c0f1a6p-16, 0x1.ccf288cc36fbbp-16, 0x1.c623b5605ea0fp-16, 0x1.bf52435f444ebp-16, 0x1.b87d89a9a4317p-16, 0x1.b1a5500db94ccp-16, 0x1.aacdac0b43721p-16, 0x1.a3f84e314fa82p-16, 0x1.9d26117ba17d4p-16, 0x1.96561666610eap-16, 0x1.8f85396c6e663p-16, 0x1.88b5e4cc142bdp-16, 0x1.81eaaadaa714dp-16, 0x1.7b23fbef9476dp-16, 0x1.7461c51d9d77fp-16, 0x1.6da4673167785p-16, 0x1.66ec41a7e5cb7p-16, 0x1.6037bb0adb6d7p-16, 0x1.598673bff5d4ep-16, 0x1.52dd4149747fcp-16, 0x1.4c3d3536116a7p-16, 0x1.45a2cd47d0effp-16, 0x1.3f0dcdfa0b92bp-16, 0x1.38809b3429d52p-16, 0x1.31fbd907848cp-16, 0x1.2b7f8dcc536a5p-16, 0x1.250ba8cc59202p-16, 0x1.1ea063c9a5eep-16, 0x1.183e10d54d299p-16, 0x1.11e5043378a79p-16, 0x1.0b958c21c048bp-16, 0x1.054ff0c629b25p-16, 0x1.fe28fca018e7p-17, 0x1.f1c694a2decbcp-17, 0x1.e577253045a51p-17, 0x1.d93a85c9d23adp-17, 0x1.cd150fa99b938p-17, 0x1.c1083c3befd1dp-17, 0x1.b5112b1e7bd68p-17, 0x1.a92ecadce11e3p-17, 0x1.9d63af77959b2p-17, 0x1.91b07da03c0cfp-17, 0x1.861500de36a7ap-17, 0x1.7a9163172b91bp-17, 0x1.6f260f9151566p-17, 0x1.63d218ed28921p-17, 0x1.5895d3e9dad3cp-17, 0x1.4d7448fc8f71ep-17, 0x1.426ae9ee3c59ep-17, 0x1.3779d4aada23cp-17, 0x1.2ca27ec176a8bp-17, 0x1.21e4d80d9653p-17, 0x1.1740d29a49d9ep-17, 0x1.0cb685a3e9398p-17, 0x1.024610cbe484fp-17, 0x1.efdf2a792c06fp-18, 0x1.db665ce7a7203p-18, 0x1.c721e1a98e1c4p-18, 0x1.b311da9e41cddp-18, 0x1.9f3656acc1261p-18, 0x1.8b8ff0610b919p-18, 0x1.782023a7e42acp-18, 0x1.64e35a0ce03a5p-18, 0x1.51dd3344dc767p-18, 0x1.3f0ad07f8be1bp-18, 0x1.2c6df78c405e4p-18, 0x1.1a06bfa1d4a3fp-18, 0x1.07d5112302d0fp-18, 0x1.ebb246ef633b6p-19, 0x1.c824447dd7b29p-19, 0x1.a5011bf64b8b3p-19, 0x1.824903b690dfp-19, 0x1.5ffb2d0eae2d7p-19, 0x1.3e1838cbd84f8p-19, 0x1.1c9fa4f5f7becp-19, 0x1.f72242b875a51p-20, 0x1.b5d96588f135ep-20, 0x1.7564bafd1c732p-20, 0x1.35c32177a906ap-20, 0x1.ede838c32071dp-21, 0x1.71ef5dc9b811bp-21, 0x1.ef3475ccaf36p-22, 0x1.fb9db7942c29p-23, 0x1.f5732471e826dp-27, -0x1.b66fe6c5a043ep-23, -0x1.c2dea19708268p-22, -0x1.53a5b85e1ce69p-21, -0x1.c440bd366f2bfp-21, -0x1.19a0f97c7c53ap-20, -0x1.50557819fecddp-20, -0x1.863ea9c954189p-20, -0x1.bb5d69cfd8a85p-20, -0x1.efb2a6a49dc92p-20, -0x1.119fb00e4e1a4p-19, -0x1.2b024b2d979ebp-19, -0x1.440194dc33152p-19, -0x1.5c9df2f8fb4e9p-19, -0x1.74d818fd2203cp-19, -0x1.8cb0f55a48ed5p-19, -0x1.a427b30223c4dp-19, -0x1.bb3e3567cb65dp-19, -0x1.d1f3cd7ac9a7ep-19, -0x1.e84919d0d60eep-19, -0x1.fe400f7008ae6p-19, -0x1.09ecb3462424dp-18, -0x1.148ac1be2c4f2p-18, -0x1.1ef9a50a8bc23p-18, -0x1.2939adf12264dp-18, -0x1.334bebe800e77p-18, -0x1.3d308b3da029bp-18, -0x1.46e79c29ffa6cp-18, -0x1.50721feae4abep-18, -0x1.59ce6f6e6d772p-18, -0x1.62ff0232133b5p-18, -0x1.6c049881e9c9cp-18, -0x1.74dd4a122bb23p-18, -0x1.7d89fc53eadf5p-18, -0x1.860bade619ca5p-18, -0x1.8e62953aad432p-18, -0x1.968ef496a9111p-18, -0x1.9e911a063fb1ep-18, -0x1.a669595efb309p-18, -0x1.ae1807e5e8503p-18, -0x1.b59d7a5518ab7p-18, -0x1.bcfa0489f2269p-18, -0x1.c42dfac8c4a22p-18, -0x1.cb39b425b738bp-18, -0x1.d21d8c37b9f1fp-18, -0x1.d8d9e152c24a4p-18, -0x1.df6f0c894296fp-18, -0x1.e5dd576988315p-18, -0x1.ec250bfcdf994p-18, -0x1.f246ba2a0a517p-18, -0x1.f8432dcb1f1e6p-18, -0x1.fe19d53a1c24ap-18, -0x1.01e526b9e8afcp-17, -0x1.04ab0271b86fep-17, -0x1.075f3162e8a94p-17, -0x1.0a017d21853f2p-17, -0x1.0c914e1062622p-17, -0x1.0f0f8b646f122p-17, -0x1.117c7490ed6ffp-17, -0x1.13d804f4f767p-17, -0x1.162264134a08ep-17, -0x1.185bc0e4f06e9p-17, -0x1.1a83febb80a84p-17, -0x1.1c9d043817895p-17, -0x1.1ea36ab585637p-17, -0x1.209a6db531cd3p-17, -0x1.22814c624092p-17, -0x1.245834b435237p-17, -0x1.261f5132f61a4p-17, -0x1.27d6ccb031138p-17, -0x1.297ed1e1e00d6p-17, -0x1.2b178be12758bp-17, -0x1.2ca126222ba38p-17, -0x1.2e1bcc2a6f463p-17, -0x1.2f87a96a17239p-17, -0x1.30e4e913b6f6p-17, -0x1.3233b5dc19152p-17, -0x1.33743a1bfd282p-17, -0x1.34a6a18a8b55fp-17, -0x1.35cb1fb2f9975p-17, -0x1.36e1fb3aa281fp-17, -0x1.37eb49a5308ebp-17, -0x1.38e5cf4cd3689p-17, -0x1.39d4b9e97607cp-17, -0x1.3ab570b6cc081p-17, -0x1.3b8a8fbeecc3bp-17, -0x1.3c51a2678e7cap-17, -0x1.3d0c7bb2050acp-17, -0x1.3dbab6f056f0ep-17, -0x1.3e5c974d109fcp-17, -0x1.3ef247daab5cep-17, -0x1.3f7bebb0a049bp-17, -0x1.3ff9e110d0c5p-17, -0x1.406c22dc2ea88p-17, -0x1.40d2d5cd297f9p-17, -0x1.412e27bb83c5ap-17, -0x1.417e15138f076p-17, -0x1.41c32964fe49ep-17, -0x1.41fd3716a4111p-17, -0x1.422c788e2a37dp-17, -0x1.42511c07d5433p-17, -0x1.426b4583031f8p-17, -0x1.427b1a829a0aep-17, -0x1.4280c0bd2c4eep-17, -0x1.427c5dca89c0dp-17, -0x1.426e17071be5cp-17, }}, 
      {{0x1.c7fa7e9945fa7p-1, 0x1.d6eb9f5517f4fp-1, 0x1.ecfef67e5b504p-1, 0x1.03b7c46878b9dp+0, 0x1.11d7c2fb7b20dp+0, 0x1.1fd0daeb656aap+0, 0x1.2cd4a781aebbep+0, 0x1.38521aaa4642ap+0, 0x1.41eda38fcaa5dp+0, 0x1.4977a3276e06fp+0, 0x1.4ee2ea2714742p+0, 0x1.523c15298e8e3p+0, 0x1.53a21b9cc3966p+0, 0x1.534024afb5e32p+0, 0x1.514894f52a674p+0, 0x1.4df1363d18af3p+0, 0x1.4970536dd657bp+0, 0x1.43faa0bad8495p+0, 0x1.3dc1ca9b5a18fp+0, 0x1.36f3893de47d1p+0, 0x1.2fb91aaa625dep+0, 0x1.28370a38dc8f8p+0, 0x1.208d309a0059dp+0, 0x1.18d6dbdef5358p+0, 0x1.112b126f02c12p+0, 0x1.099ce6cbf1283p+0, 0x1.023bd474d7cbdp+0, 0x1.f628406d2a8b7p-1, 0x1.e85e6fa7838afp-1, 0x1.db281c4bdd627p-1, 0x1.ce8ee3c88be4bp-1, 0x1.c298bba48f44ap-1, 0x1.b74883a89a06dp-1, 0x1.ac9e8945f892dp-1, 0x1.a298fc88d2b87p-1, 0x1.9934571af0a3p-1, 0x1.906bb63b99716p-1, 0x1.883928b031c1ap-1, 0x1.8095f1bc83deep-1, 0x1.797ac23b2264bp-1, 0x1.72dfe8e04e4bfp-1, 0x1.6cbd7acdf9325p-1, 0x1.670b75439facp-1, 0x1.61c1d9626b8d6p-1, 0x1.5cd8c2d288f9bp-1, 0x1.584879ddf5883p-1, 0x1.540981d889b4ap-1, 0x1.5014a43307bebp-1, 0x1.4c62f8cfc1c3ap-1, 0x1.48edec15779ap-1, 0x1.45af42f2cdb59p-1, 0x1.42a11d458484bp-1, 0x1.3fbdf6ff8d925p-1, 0x1.3d00a801d0bd3p-1, 0x1.3a646319d3eeap-1, 0x1.37e4b460bb4cep-1, 0x1.357d7ed9024ep-1, 0x1.332af9a531014p-1, 0x1.30e9acec9a442p-1, 0x1.2eb66e6abf26dp-1, 0x1.2c8e5ddfe49e6p-1, 0x1.2a6ee157954bfp-1, 0x1.2855a15e0c17bp-1, 0x1.2640853c5d3edp-1, 0x1.242daf1dbcf73p-1, 0x1.221b786911f23p-1, 0x1.20086e04b774bp-1, 0x1.1df34cd7dcce2p-1, 0x1.1bdafe431cf89p-1, 0x1.19be94db0348ep-1, 0x1.179d492177becp-1, 0x1.1576768d54772p-1, 0x1.1349989162b93p-1, 0x1.111647d259832p-1, 0x1.0edc379595c6fp-1, 0x1.0c9b334530812p-1, 0x1.0a531c1a91505p-1, 0x1.0803e6e66653dp-1, 0x1.05ad9a09ed833p-1, 0x1.03504b93603f9p-1, 0x1.00ec1f65d269p-1, 0x1.fd028b3f5c459p-2, 0x1.f81ff2162fe3p-2, 0x1.f330fb77ee47dp-2, 0x1.ee363f835711fp-2, 0x1.e93063e027ea6p-2, 0x1.e420199551eep-2, 0x1.df061ae82a635p-2, 0x1.d9e3298abf7a4p-2, 0x1.d4b80cf85e13ep-2, 0x1.cf8590d441b04p-2, 0x1.ca4c83b7868dfp-2, 0x1.c50db5b1c0428p-2, 0x1.bfc9f7862f5bap-2, 0x1.ba82196d50f0fp-2, 0x1.b536ea53efb2bp-2, 0x1.afe93706ea67fp-2, 0x1.aa99c97b2a4bfp-2, 0x1.a54968336aac2p-2, 0x1.9ff8d5ab36737p-2, 0x1.9aa8cfd2829e3p-2, 0x1.955a0fc3d99fcp-2, 0x1.900d4968b6012p-2, 0x1.8ac32b286f8eep-2, 0x1.857c5db809821p-2, 0x1.803983fe72562p-2, 0x1.7afb3ad943cd6p-2, 0x1.75c219229099dp-2, 0x1.708eaf85325f7p-2, 0x1.6b6188851c1ep-2, 0x1.663b286cce0fcp-2, 0x1.611c0d5582407p-2, 0x1.5c04af2d2b07ap-2, 0x1.56f57fc11f8aap-2, 0x1.51eeeacfe5087p-2, 0x1.4cf1561fcf142p-2, 0x1.47fd218a56bb1p-2, 0x1.4312a72fe712p-2, 0x1.3e323b86ed6a1p-2, 0x1.395c2d873c243p-2, 0x1.3490c6cceaba3p-2, 0x1.2fd04bba8a414p-2, 0x1.2b1afba24818fp-2, 0x1.267110f2799cap-2, 0x1.21d2c153df4ccp-2, 0x1.1d403ddb942afp-2, 0x1.18b9b32c40836p-2, 0x1.143f499ff7158p-2, 0x1.0fd12575a4979p-2, 0x1.0b6f66ee1db07p-2, 0x1.071a2a7ab2129p-2, 0x1.02d188e355dcfp-2, 0x1.fd2b2ed84272ap-3, 0x1.f4cccff6bb2f3p-3, 0x1.ec8812865a5ddp-3, 0x1.e45d0dc5d0df7p-3, 0x1.dc4bd315c49dcp-3, 0x1.d4546e3a2ab69p-3, 0x1.cc76e5bfdfc56p-3, 0x1.c4b33b1567b6cp-3, 0x1.bd096af651f8dp-3, 0x1.b5796d8e966b6p-3, 0x1.ae0336c324f6fp-3, 0x1.a6a6b673b91adp-3, 0x1.9f63d8aec694fp-3, 0x1.983a85e8ce9c2p-3, 0x1.912aa33ad1e56p-3, 0x1.8a34128926ddp-3, 0x1.8356b2c4b265p-3, 0x1.7c92601012911p-3, 0x1.75e6f3ef05bd8p-3, 0x1.6f54457951f8bp-3, 0x1.68da297a1ccedp-3, 0x1.627872a571d7cp-3, 0x1.5c2ef1af8bd39p-3, 0x1.55fd7583bb109p-3, 0x1.4fe3cb5926422p-3, 0x1.49e1bedad2d4dp-3, 0x1.43f71a4b58f36p-3, 0x1.3e23a69bbc0cbp-3, 0x1.38672b8bf2f7bp-3, 0x1.32c16fd5c3515p-3, 0x1.2d32392d9ba11p-3, 0x1.27b94c668f7fp-3, 0x1.22566d9acb37bp-3, 0x1.1d09602d51c28p-3, 0x1.17d1e6e1530fdp-3, 0x1.12afc403a78f4p-3, 0x1.0da2b9639d676p-3, 0x1.08aa8877eae6p-3, 0x1.03c6f267dbf05p-3, 0x1.fdef7039250ep-4, 0x1.f47934b82d286p-4, 0x1.eb2ab376badb1p-4, 0x1.e2036da3d5adp-4, 0x1.d902e453479a7p-4, 0x1.d02898b1f50c6p-4, 0x1.c7740c135bf3ep-4, 0x1.bee4c00d51c1p-4, 0x1.b67a36799801bp-4, 0x1.ae33f1b3df922p-4, 0x1.a61174699c7d3p-4, 0x1.9e1241df080f8p-4, 0x1.9635de0831972p-4, 0x1.8e7bcd5b529f7p-4, 0x1.86e395119bab4p-4, 0x1.7f6cbb250222fp-4, 0x1.7816c6515784bp-4, 0x1.70e13e29e1bc4p-4, 0x1.69cbab27bb3f7p-4, 0x1.62d596abab0d6p-4, 0x1.5bfe8aecd01bfp-4, 0x1.5546134a12047p-4, 0x1.4eabbbfa4dc18p-4, 0x1.482f124b4ba5p-4, 0x1.41cfa492bbcd7p-4, 0x1.3b8d023a68c32p-4, 0x1.3566bbbf5e078p-4, 0x1.2f5c62b1417c2p-4, 0x1.296d89cafecdfp-4, 0x1.2399c4e1c0774p-4, 0x1.1de0a8efd9909p-4, 0x1.1841cc09e6e7ep-4, 0x1.12bcc58d394b4p-4, 0x1.0d512ddefc7ddp-4, 0x1.07fe9ea670b9dp-4, 0x1.02c4b2aa323ccp-4, 0x1.fb460bdcde4fbp-5, 0x1.f1326b348ed0fp-5, 0x1.e74dc019d1b9dp-5, 0x1.dd9749a419a0bp-5, 0x1.d40e49430fd63p-5, 0x1.cab202d13b43cp-5, 0x1.c181bc93c76c9p-5, 0x1.b87cbef92dc68p-5, 0x1.afa254f24ad4ap-5, 0x1.a6f1cbd3b809fp-5, 0x1.9e6a7324f3f67p-5, 0x1.960b9cd8bc936p-5, 0x1.8dd49d323cae1p-5, 0x1.85c4cac10e81p-5, 0x1.7ddb7e5e88543p-5, 0x1.7618132a73954p-5, 0x1.6e79e689469cap-5, 0x1.6700582a5bb6ap-5, 0x1.5faac9dd1db0ap-5, 0x1.58789fc5d2de6p-5, 0x1.5169403c206dap-5, 0x1.4a7c13a4efe27p-5, 0x1.43b084aa4ef1fp-5, 0x1.3d06001cb33a6p-5, 0x1.367bf4eadb379p-5, 0x1.3011d41c499bfp-5, 0x1.29c710cd8d39dp-5, 0x1.239b202e0e101p-5, 0x1.1d8d797d1e74ap-5, 0x1.179d9606b4fcep-5, 0x1.11caf10644d47p-5, 0x1.0c1507cdbe025p-5, 0x1.067b599628c83p-5, 0x1.00fd678d424b8p-5, 0x1.f735699df69d7p-6, 0x1.eca58cbeb2294p-6, 0x1.e24a465d318e5p-6, 0x1.d822a7f5834aep-6, 0x1.ce2dc6aee1585p-6, 0x1.c46abb85d5667p-6, 0x1.bad8a2d7c3bbap-6, 0x1.b1769ca41c8f3p-6, 0x1.a843cc7e551fp-6, 0x1.9f3f595962546p-6, 0x1.96686da896c17p-6, 0x1.8dbe373f5869fp-6, 0x1.853fe73d99103p-6, 0x1.7cecb2171e467p-6, 0x1.74c3cf82b3caep-6, 0x1.6cc47a701f8dp-6, 0x1.64edf0fd6fa1cp-6, 0x1.5d3f746bf0f52p-6, 0x1.55b849174fc9bp-6, 0x1.4e57b65a8d8bdp-6, 0x1.471d069f4682p-6, 0x1.400787560e40ap-6, 0x1.391688b5fa316p-6, 0x1.32495e0ca8074p-6, 0x1.2b9f5d6c17576p-6, 0x1.2517dfaaccc83p-6, 0x1.1eb2407a2e90bp-6, 0x1.186dde395541cp-6, 0x1.124a1a00a6bdfp-6, 0x1.0c4657959e557p-6, 0x1.0661fd59bb943p-6, 0x1.009c743f4378ep-6, 0x1.f5ea4fab1c522p-7, 0x1.ead70c4f58cd2p-7, 0x1.dffdff6dc6843p-7, 0x1.d55e0eedfd259p-7, 0x1.caf625882d14bp-7, 0x1.c0c532b3a28e4p-7, 0x1.b6ca2a9491d6ap-7, 0x1.ad0405ebdf785p-7, 0x1.a371c20c41e2fp-7, 0x1.9a1260b82a49p-7, 0x1.90e4e82539dd9p-7, 0x1.87e862ba3437ep-7, 0x1.7f1bdf429d2b8p-7, 0x1.767e70c278d1fp-7, 0x1.6e0f2e4b3fcc7p-7, 0x1.65cd331470d27p-7, 0x1.5db79e5f55d31p-7, 0x1.55cd93631d429p-7, 0x1.4e0e393969a03p-7, 0x1.4678baccaee27p-7, 0x1.3f0c46cbc8307p-7, 0x1.37c80f9f10eb6p-7, 0x1.30ab4b487e63p-7, 0x1.29b5337d2b583p-7, 0x1.22e50584e3d4ap-7, 0x1.1c3a0219afbecp-7, 0x1.15b36d65f8fcep-7, 0x1.0f508ef77286bp-7, 0x1.0910b1a7fe2fcp-7, 0x1.02f32395816f1p-7, 0x1.f9ee6c47fc92ap-8, 0x1.ee387bbd848cap-8, 0x1.e2c324e049219p-8, 0x1.d78d1d2cf1b68p-8, 0x1.cc95202a5aa93p-8, 0x1.c1d9ef27168cdp-8, 0x1.b75a51886efc4p-8, 0x1.ad15146c23b94p-8, 0x1.a3090a7a6739cp-8, 0x1.99350bfb60defp-8, 0x1.8f97f6b1c0647p-8, 0x1.8630adc05e6b7p-8, 0x1.7cfe19921821bp-8, 0x1.73ff27c8c6ed7p-8, 0x1.6b32cb400f508p-8, 0x1.6297fb9a2b657p-8, 0x1.5a2db5b9c8273p-8, 0x1.51f2fb0b0ca04p-8, 0x1.49e6d20726b61p-8, 0x1.420845ccdf9f4p-8, 0x1.3a566606f67c8p-8, 0x1.32d046f7ff6e4p-8, 0x1.2b7501696249fp-8, 0x1.2443b2746b44ap-8, 0x1.1d3b7baf3ded6p-8, 0x1.165b82de8a3p-8, 0x1.0fa2f1de3f98ep-8, 0x1.0910f687d8ba3p-8, 0x1.02a4c2c8e2985p-8, 0x1.f8bb19468fa1ap-9, 0x1.ec751c155b293p-9, 0x1.e076095dc342ap-9, 0x1.d4bc63f9e4a62p-9, 0x1.c946b6420e79cp-9, 0x1.be13918f58282p-9, 0x1.b3218e4cb14e4p-9, 0x1.a86f4c17537eep-9, 0x1.9dfb7186f176ep-9, 0x1.93c4abf79f1bdp-9, 0x1.89c9af60ae60dp-9, 0x1.8009363529f3dp-9, 0x1.7682014789333p-9, 0x1.6d32d7b515564p-9, 0x1.641a86ce653ddp-9, 0x1.5b37e1edf1ba2p-9, 0x1.5289c2642667p-9, 0x1.4a0f075b1ab26p-9, 0x1.41c695bc0eefbp-9, 0x1.39af581d774b6p-9, 0x1.31c83ea3376aap-9, 0x1.2a103edeb733ap-9, 0x1.228653b114043p-9, 0x1.1b297d34738dap-9, 0x1.13f8c09f71fccp-9, 0x1.0cf32830195b9p-9, 0x1.0617c31907f63p-9, 0x1.fecb4ad716201p-10, 0x1.f1b7d00e05daap-10, 0x1.e4f3510abe6acp-10, 0x1.d87c124db599bp-10, 0x1.cc506183533d8p-10, 0x1.c06e954db25fbp-10, 0x1.b4d50cd426593p-10, 0x1.a9822fc3c42ecp-10, 0x1.9e746e0eb5149p-10, 0x1.93aa3f8bfcde6p-10, 0x1.8922240d5a38fp-10, 0x1.7edaa3485b99cp-10, 0x1.74d24cbdc736ep-10, 0x1.6b07b7746a5e7p-10, 0x1.617982567851ap-10, 0x1.582654081a0a1p-10, 0x1.4f0cda64d921ep-10, 0x1.462bca7a8a48fp-10, 0x1.3d81e026bcba7p-10, 0x1.350dde39378b3p-10, 0x1.2cce8de54b37cp-10, 0x1.24c2be65b04acp-10, 0x1.1ce94506b9329p-10, 0x1.1540fd0bfb3ddp-10, 0x1.0dc8c7c53963p-10, 0x1.067f8c9f48d56p-10, 0x1.fec8724c77464p-11, 0x1.f0eb827aa282dp-11, 0x1.e3663dd2fa5c5p-11, 0x1.d636a471c0b79p-11, 0x1.c95ac1ef3fcc4p-11, 0x1.bcd0aca5cd6a8p-11, 0x1.b09684f415bc7p-11, 0x1.a4aa74aac4fb6p-11, 0x1.990aaeb1abebfp-11, 0x1.8db56eb2d944fp-11, 0x1.82a8f88792a08p-11, 0x1.77e39abba41d8p-11, 0x1.6d63a9a6222e9p-11, 0x1.6327885e63076p-11, 0x1.592da03736e44p-11, 0x1.4f74666de1664p-11, 0x1.45fa59b79ddc9p-11, 0x1.3cbe02105cbd1p-11, 0x1.33bdf022c129dp-11, 0x1.2af8bc509c6bep-11, 0x1.226d05e56544bp-11, 0x1.1a19729419821p-11, 0x1.11fcae49731fp-11, 0x1.0a156b3c5426ap-11, 0x1.02626237db95fp-11, 0x1.f5c4a612a2674p-12, 0x1.e72809eb12d01p-12, 0x1.d8ec8e16aa371p-12, 0x1.cb0fe08b2f52dp-12, 0x1.bd8fbee138a33p-12, 0x1.b069f5a9eb0e3p-12, 0x1.a39c5f5c973b1p-12, 0x1.9724e300555d6p-12, 0x1.8b0172c62ac89p-12, 0x1.7f300ad5ddef8p-12, 0x1.73aeb09397422p-12, 0x1.687b728ef0362p-12, 0x1.5d9468e778d83p-12, 0x1.52f7b5c838de5p-12, 0x1.48a38730d7187p-12, 0x1.3e96171701c6ap-12, 0x1.34cdaae40ad15p-12, 0x1.2b4892cc59727p-12, 0x1.220528e7f8da3p-12, 0x1.1901d20c9c64bp-12, 0x1.103cfc48f92d8p-12, 0x1.07b51f35c1ee6p-12, 0x1.fed17806434fap-13, 0x1.eeacb9754b91dp-13, 0x1.def9266940a97p-13, 0x1.cfb3efd84e32cp-13, 0x1.c0da531c8e1d2p-13, 0x1.b2699bb30eefdp-13, 0x1.a45f2606462ccp-13, 0x1.96b8613a913ddp-13, 0x1.8972cfa04e006p-13, 0x1.7c8c050296517p-13, 0x1.7001a242e7cbap-13, 0x1.63d1560b5f8bcp-13, 0x1.57f8db0525c3fp-13, 0x1.4c75f84da7eacp-13, 0x1.414682626614ep-13, 0x1.36685afb9d6afp-13, 0x1.2bd97067ca9adp-13, 0x1.2197bca79e94dp-13, 0x1.17a144efa2171p-13, 0x1.0df419ee7bc1ep-13, 0x1.048e587c6e334p-13, 0x1.f6dc5594ef80fp-14, 0x1.e52390490c6e3p-14, 0x1.d3eee8447fbbp-14, 0x1.c33af93e0a4c5p-14, 0x1.b304704e0815bp-14, 0x1.a3480a16eefb3p-14, 0x1.9402934f750bcp-14, 0x1.8530ead49d99cp-14, 0x1.76d003c21fc42p-14, 0x1.68dce65b4216dp-14, 0x1.5b54af4e137edp-14, 0x1.4e348fec2961p-14, 0x1.4179cbb8b9187p-14, 0x1.3521b5b61249fp-14, 0x1.2929bce706e8cp-14, 0x1.1d8f5c708e4a5p-14, 0x1.12502366870ecp-14, 0x1.0769aa9848badp-14, 0x1.f9b317154798p-15, 0x1.e53acf9757f3fp-15, 0x1.d1660e59392a3p-15, 0x1.be307338e0a7ep-15, 0x1.ab957c3c087f9p-15, 0x1.9990f2ee7c53ep-15, 0x1.881ea1a38b488p-15, 0x1.773a4f58fdbd6p-15, 0x1.66e01c71d1363p-15, 0x1.570c5575c0c16p-15, 0x1.47bb535dff8bp-15, 0x1.38e989041cf37p-15, 0x1.2a93913502962p-15, 0x1.1cb631097c3ecp-15, 0x1.0f4e497e9067p-15, 0x1.0258ca9096652p-15, 0x1.eba5409da993bp-16, 0x1.d37156894beadp-16, 0x1.bc0f93b32460cp-16, 0x1.a579c5c1bd662p-16, 0x1.8fa9dc7720bcbp-16, 0x1.7a99f3e54a2bfp-16, 0x1.66445b7e12df6p-16, 0x1.52a396ac88373p-16, 0x1.3fb259770b6dfp-16, 0x1.2d6b7ae728c88p-16, 0x1.1bc9eb2e8d40cp-16, 0x1.0ac8bbbada6e7p-16, 0x1.f4c679c01fcc3p-17, 0x1.d52a3c4b30793p-17, 0x1.b6b4e68ffae2ep-17, 0x1.995f1f791758ep-17, 0x1.7d2195d15faeep-17, 0x1.61f4a5ec4fefdp-17, 0x1.47d051b22a9d1p-17, 0x1.2eac7f14652e5p-17, 0x1.168140ed28eddp-17, 0x1.fe8dee116bd45p-18, 0x1.d1ec82dc43374p-18, 0x1.a70fccacb0c2bp-18, 0x1.7de98d35b2461p-18, 0x1.566bc681a5e84p-18, 0x1.3088c8bdabdd1p-18, 0x1.0c33261a7ac48p-18, 0x1.d2bb3327bc6f9p-19, 0x1.8ff63eeaabe9dp-19, 0x1.4ffee578ec54p-19, 0x1.12bf511463b9ap-19, 0x1.b04977da4c56fp-20, 0x1.403d5d16796d8p-20, 0x1.aa71490b6b2a8p-21, 0x1.bc5a0a39349a7p-22, 0x1.b5e38ae5f24e5p-25, -0x1.3c97caf7b13b7p-22, -0x1.4f1ea47065221p-21, -0x1.f7628b22bab4p-21, -0x1.4bae654637466p-20, -0x1.97a85d33edf87p-20, -0x1.dfc05a937e68bp-20, -0x1.120bb2348a679p-19, -0x1.326744429be1dp-19, -0x1.510350859d9d4p-19, -0x1.6deff10cf281bp-19, -0x1.893cdbe094c7p-19, -0x1.a2f9804ce986fp-19, -0x1.bb34e7834353cp-19, -0x1.d1fd0cba1292fp-19, -0x1.e75e2efad0ddcp-19, -0x1.fb62fe49098cap-19, -0x1.070ad5fdf183cp-18, -0x1.0fc06fc849db4p-18, -0x1.17d7e1378d098p-18, -0x1.1f56c6fb5ab09p-18, -0x1.2642855caf9adp-18, -0x1.2ca041022c787p-18, -0x1.327510251ca18p-18, -0x1.37c5dec59c07p-18, -0x1.3c976b96519e6p-18, -0x1.40ee5baf7b8d4p-18, -0x1.44cf521b31986p-18, -0x1.483ef9423c0f3p-18, -0x1.4b41efb25ec9ap-18, -0x1.4ddc9af6966a5p-18, -0x1.501302afe98a7p-18, -0x1.51e8dd7abf7e4p-18, -0x1.5361cd04203dbp-18, -0x1.5481905b0e418p-18, -0x1.554c031c1374ep-18, -0x1.55c5060f40eddp-18, -0x1.55f06807927c3p-18, -0x1.55d1a7a4162fcp-18, -0x1.556ba659caf93p-18, -0x1.54c0c85545824p-18, -0x1.53d388f72498fp-18, -0x1.52a6ccc6e4c7ap-18, -0x1.513d95203b2a2p-18, -0x1.4f9aa808f31c5p-18, -0x1.4dc096130e987p-18, -0x1.4bb1d9441f23dp-18, -0x1.4970da636fce3p-18, -0x1.47001849d97e4p-18, -0x1.4461e55d6709ap-18, -0x1.4198c84b72e26p-18, -0x1.3ea71165b038ep-18, -0x1.3b8ed1e9ee857p-18, -0x1.3851b3f2144efp-18, -0x1.34f1332e17ab8p-18, -0x1.316efcb28c157p-18, -0x1.2dcd12ec0907bp-18, -0x1.2a0d98f85003ep-18, -0x1.2632b43dbc67p-18, -0x1.223efc78b2647p-18, -0x1.1e350a1d7e05cp-18, -0x1.1a142cfe13363p-18, -0x1.15dc66f65fd28p-18, -0x1.118f789ef456cp-18, -0x1.0d311e873d115p-18, -0x1.08c340d3d6cb6p-18, -0x1.0445d96aa1261p-18, -0x1.ff738646fa206p-19, -0x1.f6407eb5ba5fcp-19, -0x1.ecf53fc8de7d6p-19, -0x1.e39420c37a347p-19, -0x1.da1f720b7faa8p-19, -0x1.d09964e764eddp-19, -0x1.c704139455266p-19, -0x1.bd615e1935f77p-19, -0x1.b3b2aed987e14p-19, -0x1.a9f95f265929bp-19, -0x1.a038694b0043cp-19, -0x1.96743983770b3p-19, -0x1.8ca907de32e7ep-19, -0x1.82d68f2cde7bp-19, -0x1.7908719742d43p-19, -0x1.6f37caf0d0386p-19, -0x1.65642781ef6d8p-19, -0x1.5b9640d1fd72cp-19, -0x1.51cda861f5f24p-19, -0x1.480a63dc85146p-19, -0x1.3e4ab26cbd77ep-19, -0x1.3494433fc12e8p-19, -0x1.2ae4ee9f3e424p-19, -0x1.213feabd7ddf1p-19, -0x1.17a551bbe3544p-19, -0x1.0e15e4653879p-19, -0x1.0492b9fd383f4p-19, -0x1.f63a3527f8f4bp-20, -0x1.e36c0e4675e19p-20, -0x1.d0bb8662ee0adp-20, -0x1.be2811e145fap-20, -0x1.abb4883c98341p-20, -0x1.996447c1d778fp-20, -0x1.87366fd61ep-20, -0x1.752a5309b3cbap-20, -0x1.63436dc3edec9p-20, -0x1.5184b36bdcb7ap-20, -0x1.3fee76f2a2a6fp-20, -0x1.2e80d502babb7p-20, -0x1.1d3c67975071dp-20, -0x1.0c22177fe8f0ep-20, -0x1.f666437e7fad3p-21, -0x1.d4e08645c4125p-21, -0x1.b3b3c14b230dcp-21, -0x1.92e1131b989b6p-21, -0x1.7269b5019068bp-21, -0x1.524f142f11b5p-21, -0x1.3292d3f0cdb6ap-21, -0x1.13367a6221a15p-21, -0x1.e87611cd4aadfp-22, -0x1.ab41b927f8717p-22, -0x1.6ed0d195acc44p-22, -0x1.33251783a2a34p-22, -0x1.f07f580778f5cp-23, -0x1.7c4282f1961bep-23, -0x1.099605f4d27a2p-23, -0x1.30f8e925d82bbp-24, -0x1.47bfc0a88de14p-26, 0x1.13d7dde92f8ap-25, 0x1.6298c00557b8cp-24, 0x1.1c09f8812246ap-23, 0x1.852e3da3f9f0fp-23, 0x1.ecba7774379efp-23, 0x1.295733405789bp-22, 0x1.5b8440c23f4eep-22, 0x1.8ce40745ad67ap-22, 0x1.bd76b4f405194p-22, 0x1.ed3d1c1207656p-22, 0x1.0e1bc869ea934p-21, 0x1.253328e61cd26p-21, 0x1.3be2997212947p-21, 0x1.522fb61149095p-21, 0x1.6826506ab0647p-21, 0x1.7d9379acdfff5p-21, 0x1.92b74d532d628p-21, 0x1.a770784338b3dp-21, 0x1.bbc5b440f0a77p-21, 0x1.cfb79bf77ae75p-21, 0x1.e3469b40f3301p-21, 0x1.f67322e39a5d7p-21, 0x1.049edbc5e9023p-20, 0x1.0dd37b6162d21p-20, 0x1.16d7a8fb0110ep-20, 0x1.1fab9f954554bp-20, 0x1.284faa9c4d52ep-20, 0x1.30c420db87a3p-20, 0x1.39095aed9724fp-20, 0x1.411fab7f4b59cp-20, 0x1.49079574046f8p-20, 0x1.50c1f1e19b586p-20, 0x1.584f8aa484851p-20, 0x1.5fae171188e5fp-20, 0x1.66d8de1d4f952p-20, 0x1.6dda239ca97a7p-20, 0x1.74b70423ae40cp-20, 0x1.7b65dbc03927fp-20, 0x1.81e3b9c7374acp-20, 0x1.88369811bf959p-20, 0x1.8e5f759d28e01p-20, 0x1.945e21b3af6p-20, 0x1.9a32b746cdb53p-20, 0x1.9fdd84a1c21ccp-20, 0x1.a55eebfca552cp-20, 0x1.aab75624f8ce9p-20, 0x1.afe72e2d52e17p-20, 0x1.b4eee360f8e7bp-20, 0x1.b9cee23165ec5p-20, 0x1.be878c1bb4372p-20, 0x1.c31947f9928fcp-20, 0x1.c784864479a94p-20, 0x1.cbc9b480db06dp-20, 0x1.cfe93a00a7e68p-20, 0x1.d3e383c73b9b1p-20, 0x1.d7b90189adb34p-20, 0x1.db6a2125137f5p-20, 0x1.def74d97c4ee7p-20, 0x1.e260f3971de0fp-20, 0x1.e5a77d0b99529p-20, 0x1.e8cb4fe944e17p-20, 0x1.ebcce533109fep-20, 0x1.eeacb148b7874p-20, 0x1.f16b207f100dfp-20, 0x1.f4089b1ede762p-20, 0x1.f68586e7b1e9dp-20, 0x1.f8e24ed3e3b43p-20, 0x1.fb1f6845d68c6p-20, 0x1.fd3d2ec222a09p-20, 0x1.ff3c18fd66853p-20, 0x1.008e66b9e419ep-19, 0x1.0170183a30814p-19, 0x1.0243d165c23e2p-19, 0x1.03082dd75728cp-19, 0x1.03b86f9526dcp-19, 0x1.046247656a63bp-19, 0x1.04f9072505b6fp-19, 0x1.0587ed2bf04b9p-19, 0x1.06081549b364dp-19, 0x1.06774e6028c16p-19, 0x1.06da1d4d74935p-19, 0x1.07307537bc9ccp-19, 0x1.077a2f5457e0fp-19, 0x1.07b75ff55f1f5p-19, 0x1.07e7f14d952b6p-19, 0x1.080d42b8cb2f1p-19, 0x1.0825ad467fff4p-19, 0x1.083250ce2e9f7p-19, 0x1.0833e1c0d0cb5p-19, 0x1.0829e13bd0779p-19, 0x1.081470dc962e8p-19, 0x1.07f4246c8351p-19, 0x1.07c92bb6774fap-19, 0x1.0793600ea2b0dp-19, 0x1.075313f8fed8p-19, 0x1.07088a030cf95p-19, 0x1.06b3e981150b2p-19, 0x1.06555ea088b01p-19, 0x1.05ed16b999be3p-19, 0x1.057b3f05bc33fp-19, 0x1.0500046cc7f8bp-19, 0x1.047b93988e573p-19, 0x1.03ee18deab469p-19, 0x1.0357c0324c7d9p-19, 0x1.02b8b52af1accp-19, 0x1.021123085c264p-19, 0x1.0161349f3b1a5p-19, 0x1.00a9142bbb307p-19, 0x1.ffd1d6280ec5bp-20, 0x1.fe41c3abae686p-20, 0x1.fca241632240fp-20, 0x1.faf3a1f70ac01p-20, 0x1.f9363a7b854d6p-20, 0x1.f76a60ee6f665p-20, 0x1.f59063a83ccccp-20, 0x1.f3a88bb51492ap-20, 0x1.f1b323445527p-20, 0x1.efb0785a3cf81p-20, 0x1.eda0ded8fa515p-20, 0x1.eb84b913dd098p-20, 0x1.e95c8d089b4bep-20, 0x1.e728c034da19ep-20, 0x1.e4e7b23b6e184p-20, 0x1.e29a0e038bb95p-20, 0x1.e0457c0783bf7p-20, 0x1.ddde0ccacbfd7p-20, 0x1.db7116d8a5f25p-20, 0x1.d8ffde9f5e26ep-20, 0x1.d67ea2ecf546fp-20, 0x1.d3f131586d4c2p-20, 0x1.d15b7608e7545p-20, 0x1.cebd02840ea7p-20, 0x1.cc15a1bcc7578p-20, 0x1.c9656b04cbe31p-20, 0x1.c6ac944ead8ffp-20, 0x1.c3eb5bd9d2146p-20, 0x1.c12200e0f43d8p-20, 0x1.be50c1d583dddp-20, 0x1.bb77dc1f16abep-20, 0x1.b8978c3f15b3dp-20, 0x1.b5b00dfae5d71p-20, 0x1.b2c19c5c60dafp-20, 0x1.afcc717d6f2a9p-20, 0x1.acd0c64b10bdcp-20, 0x1.a9ced2c501083p-20, 0x1.a6c6ced0783dbp-20, 0x1.a3b8f1f502f5p-20, 0x1.a0a5710ffa5f3p-20, 0x1.9d8c804c7395cp-20, 0x1.9a6e557954bbcp-20, 0x1.974b27281b62ep-20, 0x1.942329d125eddp-20, 0x1.90f68db33881fp-20, 0x1.8dc58915fbb22p-20, 0x1.8a9052078c095p-20, 0x1.87571c01a9314p-20, 0x1.841a14b04a7e2p-20, 0x1.80d972a92b8fp-20, 0x1.7d92920d87f87p-20, 0x1.7a5665d4cae8cp-20, 0x1.770268fdfbe3ap-20, 0x1.73b47693a8f36p-20, 0x1.7063c0b6059ccp-20, 0x1.6d1084a274b66p-20, 0x1.69badf8177752p-20, 0x1.6662f3a5dc564p-20, 0x1.6308e355ea69bp-20, 0x1.5facd37ae08d4p-20, 0x1.5c4eeb50ad724p-20, 0x1.58ef52a6c16d4p-20, 0x1.558e315ee3852p-20, 0x1.522baf7a0994fp-20, 0x1.4ec7f46955c42p-20, 0x1.4b632770c9f42p-20, 0x1.47fd7aeea7b45p-20, 0x1.4497646d2504cp-20, 0x1.413226531464bp-20, 0x1.3dcd02a8d6ef7p-20, 0x1.3a5a03a680d55p-20, 0x1.36f7a857db3aap-20, 0x1.338aad73a745ap-20, 0x1.302b8b39eb307p-20, 0x1.2cc04948add9ap-20, 0x1.2957044c22728p-20, 0x1.25eea2ad4f3f3p-20, 0x1.22878ee20b221p-20, 0x1.1f211aba121c1p-20, 0x1.1bbb205228f17p-20, 0x1.1855cdfc41e28p-20, 0x1.14f194889e6e8p-20, 0x1.118e7eb8390d9p-20, 0x1.0e2cba142316dp-20, 0x1.0acb12587b5f1p-20, 0x1.076c693a30a2fp-20, 0x1.040e6b3494eb9p-20, 0x1.00b1c4dbee096p-20, 0x1.faada22d5ba8ap-21, 0x1.f3fb4206cdc3cp-21, 0x1.ed4c99a6042f8p-21, 0x1.e6a1d53e86d87p-21, 0x1.dffb1cf09bddp-21, 0x1.d95897581492fp-21, }}, 
      {{0x1.4566cb40b61afp-17, 0x1.0c9d9232b8127p-12, 0x1.20d105a50758ap-10, 0x1.6a17b71ef3586p-9, 0x1.571785d410f0bp-8, 0x1.10c0b6e9ccb15p-7, 0x1.7f7385a7a108dp-7, 0x1.ead0746e8d7aep-7, 0x1.22d7a4844f5b4p-6, 0x1.41f3f59d75279p-6, 0x1.4d988526de6e8p-6, 0x1.41cd0ca7125a9p-6, 0x1.1bdb7ea8b9346p-6, 0x1.b493497e1aa7cp-7, 0x1.f2feaa83e9932p-8, 0x1.f188e2dc59a9bp-13, -0x1.1da830d82fb49p-7, -0x1.3947570f7369bp-6, -0x1.f8dc3dacb78a1p-6, -0x1.65519d252b29p-5, -0x1.d5bce559bce26p-5, -0x1.2609e48d0aa15p-4, -0x1.635d9514e9d35p-4, -0x1.a2114c2cd2a6cp-4, -0x1.e165e13489ae3p-4, -0x1.1053fd49e763bp-3, -0x1.2f98fcf2fd1bcp-3, -0x1.4e3697ee21d53p-3, -0x1.6be93d6c5e55ap-3, -0x1.8875354d8687dp-3, -0x1.a3a685809346ep-3, -0x1.bd50af9d31dddp-3, -0x1.d54e5a0a3371ep-3, -0x1.eb80e359bccbbp-3, -0x1.ffcfeda7d573ap-3, -0x1.091471badc8d4p-2, -0x1.113f3d43c51e5p-2, -0x1.18641c1384bap-2, -0x1.1e80fc31cf9abp-2, -0x1.2395be93a76dcp-2, -0x1.27a3ff36ae18cp-2, -0x1.2aaee2a7505c8p-2, -0x1.2cbae5fae962p-2, -0x1.2dcdb1e627d16p-2, -0x1.2dedf20365389p-2, -0x1.2d232eb9e10d6p-2, -0x1.2b75ab17472acp-2, -0x1.28ee447ea2f8p-2, -0x1.259655f03c53p-2, -0x1.21779de71ae33p-2, -0x1.1c9c25fa697a9p-2, -0x1.170e2d5d30014p-2, -0x1.10d8152dc09dp-2, -0x1.0a044f537cc2cp-2, -0x1.029d4dfc2994bp-2, -0x1.f55aebff3f982p-3, -0x1.e47e24878e07ep-3, -0x1.d2b8910ce4f65p-3, -0x1.c01e1f4f88779p-3, -0x1.acc24e6987dc7p-3, -0x1.98b820200f7dp-3, -0x1.84120c6963bf7p-3, -0x1.6ee1f6e915178p-3, -0x1.5939265d7352dp-3, -0x1.43283da032a66p-3, -0x1.2cbf364ed7582p-3, -0x1.160d5c75ba918p-3, -0x1.fe4299df3c3e4p-4, -0x1.d011e554f97d7p-4, -0x1.a1a30d0fdd309p-4, -0x1.730f21764f217p-4, -0x1.446dd223f2fbcp-4, -0x1.15d5740860adap-4, -0x1.ceb6095091748p-5, -0x1.72246825589ecp-5, -0x1.161ad4b195e7fp-5, -0x1.757741206a8e3p-6, -0x1.809add6f8ae37p-7, -0x1.9e69e2524213bp-11, 0x1.48c0f1ed7b37fp-7, 0x1.537b9f07aee31p-6, 0x1.00180651bc398p-5, 0x1.5529cd5e91f27p-5, 0x1.a8e000ddbee7ep-5, 0x1.fb294cf82cdacp-5, 0x1.25fb0a4b3295bp-4, 0x1.4d9c34a216f47p-4, 0x1.7471f22e545e3p-4, 0x1.9a76cd984cbbap-4, 0x1.bfa6073299e8bp-4, 0x1.e3fb83b965217p-4, 0x1.03b9e456655e2p-3, 0x1.1505f94ed3b58p-3, 0x1.25e0d34e37d05p-3, 0x1.3649880300481p-3, 0x1.463f6a42d5304p-3, 0x1.55c20603909ap-3, 0x1.64d11dc546cfap-3, 0x1.736ca5d15a392p-3, 0x1.8194c169382ccp-3, 0x1.8f49bf802d0a1p-3, 0x1.9c8c17743b018p-3, 0x1.a95c6676fba45p-3, 0x1.b5bb6c4cd3b56p-3, 0x1.c1aa094a8dbb6p-3, 0x1.cd293b2464d13p-3, 0x1.d83a1b0bdc981p-3, 0x1.e2dddb272720cp-3, 0x1.ed15c49237045p-3, 0x1.f6e335412ee44p-3, 0x1.0023ceff9c52ap-2, 0x1.04a24068e9575p-2, 0x1.08edb773a5392p-2, 0x1.0d070393cd15bp-2, 0x1.10eefa4865bb7p-2, 0x1.14a6764473832p-2, 0x1.182e56cdb79c3p-2, 0x1.1b877ef827b73p-2, 0x1.1eb2d5155258ep-2, 0x1.21b141f20512p-2, 0x1.2483b0636eb81p-2, 0x1.272b0ca73b37ap-2, 0x1.29a843d96ee2ep-2, 0x1.2bfc439d5adcdp-2, 0x1.2e27f9877fd8fp-2, 0x1.302c52bc0746ap-2, 0x1.320a3ba1e4b2bp-2, 0x1.33c29f7b5a95cp-2, 0x1.3556681a0d9a5p-2, 0x1.36c67d8aa871cp-2, 0x1.3813c5e9ab241p-2, 0x1.393f25189ed8dp-2, 0x1.3a497c803f82dp-2, 0x1.3b33aae3699a2p-2, 0x1.3bfe8c4ee8827p-2, 0x1.3caaf9ca3579dp-2, 0x1.3d39c94914abfp-2, 0x1.3dabcd896d70bp-2, 0x1.3e01d607b8a73p-2, 0x1.3e3caed54f87ap-2, 0x1.3e5d208953134p-2, 0x1.3e63f0487a1cap-2, 0x1.3e51df9888394p-2, 0x1.3e27ac77e051p-2, 0x1.3de6113e87dc2p-2, 0x1.3d8dc4a1c9f4cp-2, 0x1.3d1f79bfa86fap-2, 0x1.3c9be01f8f4d7p-2, 0x1.3c03a39d14582p-2, 0x1.3b576c7d3947dp-2, 0x1.3a97df7e7cd01p-2, 0x1.39c59ddc05a01p-2, 0x1.38e145405105p-2, 0x1.37eb6fecd302p-2, 0x1.36e4b4adaf785p-2, 0x1.35cda6ff5dd54p-2, 0x1.34a6d700d190ap-2, 0x1.3370d18af56cfp-2, 0x1.322c2043e8d65p-2, 0x1.30d949a57faadp-2, 0x1.2f78d10ce3218p-2, 0x1.2e0b36d1a0d9p-2, 0x1.2c90f8466c5b9p-2, 0x1.2b0a8fd1d545p-2, 0x1.297874fcd62acp-2, 0x1.27db1c804dfedp-2, 0x1.2632f8557331p-2, 0x1.248077c3d2c5bp-2, 0x1.22c4077140d7bp-2, 0x1.20fe1176d934dp-2, 0x1.1f2efd65dce4dp-2, 0x1.1d5730583a67p-2, 0x1.1b770d0d6b4aep-2, 0x1.198ef3e0861e7p-2, 0x1.179f42eec268cp-2, 0x1.15a85613aa0efp-2, 0x1.13aa870377026p-2, 0x1.11a62d4b7c5e2p-2, 0x1.0f9b9e6b9dap-2, 0x1.0d8b2dd603033p-2, 0x1.0b752d0d96466p-2, 0x1.0959eb9e536c8p-2, 0x1.0739b7352ca96p-2, 0x1.0514dba65562ap-2, 0x1.02eba2f8cdac8p-2, 0x1.00be557414dap-2, 0x1.fd1a73519a879p-3, 0x1.f8b128ed9610dp-3, 0x1.f4415236b4c5ap-3, 0x1.efcb72747b344p-3, 0x1.eb5009c8f7e7bp-3, 0x1.e6cf953d6a207p-3, 0x1.e24a8eec379e7p-3, 0x1.ddc16def7e5edp-3, 0x1.d934a67f0acdap-3, 0x1.d4a4aa04bb5fcp-3, 0x1.d011e728fd12bp-3, 0x1.cb7cc9dc2cc27p-3, 0x1.c6e5bb63f77aap-3, 0x1.c24d226ef664fp-3, 0x1.bdb3631806a55p-3, 0x1.b918defb435d8p-3, 0x1.b47df53e63867p-3, 0x1.afe302987894p-3, 0x1.ab486166e8789p-3, 0x1.a6ae69a7daeb6p-3, 0x1.a215711333499p-3, 0x1.9d7dcb2353975p-3, 0x1.98e7c915a232fp-3, 0x1.9453b9f8b3952p-3, 0x1.8fc1eab64e606p-3, 0x1.8b32a61dfa6afp-3, 0x1.86a634ec8c5e7p-3, 0x1.821cddd139c79p-3, 0x1.7d96e5795f81fp-3, 0x1.79148e901baf5p-3, 0x1.749619d38fdc2p-3, 0x1.701bc617856adp-3, 0x1.6ba5d04b9cdfbp-3, 0x1.6734737fe1851p-3, 0x1.62c7e8eb7f4b5p-3, 0x1.5e6067f6a024cp-3, 0x1.59fe26445a18p-3, 0x1.55a157b9a393ep-3, 0x1.514a2e813e30ep-3, 0x1.4cf8db0e9a717p-3, 0x1.48ad8c254d63ap-3, 0x1.44686edf4d1fp-3, 0x1.4029aebd217c5p-3, 0x1.3bf175a93bf2p-3, 0x1.37bfebf86bafep-3, 0x1.3395386ab51fep-3, 0x1.2f71803a18389p-3, 0x1.2b54e71e2f986p-3, 0x1.273f8f55027abp-3, 0x1.233199aad796ep-3, 0x1.1f2b257dd51dp-3, 0x1.1b2c50c0fa73ap-3, 0x1.173537ffeed36p-3, 0x1.1345f666d0a11p-3, 0x1.0f5ea5cb00591p-3, 0x1.0b7f5eb34fca3p-3, 0x1.07a8385d4caedp-3, 0x1.03d948bedb74p-3, 0x1.0012a48d0b01ep-3, 0x1.f8a8be7dd3109p-4, 0x1.f13d1621f100dp-4, 0x1.e9e2722c826d3p-4, 0x1.e298f2738e361p-4, 0x1.db60b4889b005p-4, 0x1.d439d3c1311f1p-4, 0x1.cd24693b6e374p-4, 0x1.c6208be8feb87p-4, 0x1.bf2e509dd61c3p-4, 0x1.b84dca1f9fdc7p-4, 0x1.b17f093452c18p-4, 0x1.aac21cac4aeebp-4, 0x1.a41711692e61bp-4, 0x1.9d7df2646b689p-4, 0x1.96f6c8b74074bp-4, 0x1.90819bac7ba2ep-4, 0x1.8a1e70c8828ecp-4, 0x1.83cd4bd496e94p-4, 0x1.7d8e2efb96572p-4, 0x1.77611abbce946p-4, 0x1.71460dfbf63cbp-4, 0x1.6b3d0610ef057p-4, 0x1.6545fec3aa72p-4, 0x1.5f60f26072ae9p-4, 0x1.598dd9c398ac7p-4, 0x1.53ccac64b9131p-4, 0x1.4e1d606494b9ap-4, 0x1.487fea96427c6p-4, 0x1.42f43e77d539bp-4, 0x1.3d7a4e48e6c2ep-4, 0x1.38120b116799p-4, 0x1.32bb64a9a2869p-4, 0x1.2d7649c76ed9dp-4, 0x1.2842a8098a457p-4, 0x1.23206c011bcf8p-4, 0x1.1e0f81393ade2p-4, 0x1.190fd23d6d803p-4, 0x1.142148a0cb069p-4, 0x1.0f43cd052f25cp-4, 0x1.0a77472a578ap-4, 0x1.05bb9defb9606p-4, 0x1.0110b762e19f8p-4, 0x1.f8ecf1972b0c5p-5, 0x1.efd98d5d3ef95p-5, 0x1.e6e709ac17b71p-5, 0x1.de152cafe6c28p-5, 0x1.d563bb39d838ep-5, 0x1.ccd278cf68033p-5, 0x1.c46127bac8bd5p-5, 0x1.bc0f891c66e75p-5, 0x1.b3dd5d02a596cp-5, 0x1.abca626cdf3ep-5, 0x1.a3d6575dea105p-5, 0x1.9c00f8ec62c32p-5, 0x1.944a03498570dp-5, 0x1.8cb131cd0514ep-5, 0x1.85363f02c61cfp-5, 0x1.7dd8e4b88871p-5, 0x1.7698dc0b392a9p-5, 0x1.6f75dd76d6993p-5, 0x1.686fa0e2a11d6p-5, 0x1.6185ddac0bd51p-5, 0x1.5ab84ab1c6f88p-5, 0x1.54069e639408ep-5, 0x1.4d708ebfaa5e4p-5, 0x1.46f5d163f291dp-5, 0x1.40961b99d90d5p-5, 0x1.3a51225bed6f9p-5, 0x1.34269a62cc1eep-5, 0x1.2e163830f9a3fp-5, 0x1.281fb01d5c6afp-5, 0x1.2242b65d718dap-5, 0x1.1c7eff0e9bdd6p-5, 0x1.16d43e3be2981p-5, 0x1.114227eaa95dep-5, 0x1.0bc87023f5077p-5, 0x1.0666cae824a04p-5, 0x1.011cec4567956p-5, 0x1.f7d510bcf5991p-6, 0x1.ed9ea6d989712p-6, 0x1.e3960398ed715p-6, 0x1.d9ba9004ee28dp-6, 0x1.d00bb59c66ae5p-6, 0x1.c688de588bed7p-6, 0x1.bd3174c2841dbp-6, 0x1.b404e3fa4e6c4p-6, 0x1.ab0297b80fd3fp-6, 0x1.a229fc48f8a6fp-6, 0x1.997a7e8c68047p-6, 0x1.90f38bff14d1ap-6, 0x1.889492bd93018p-6, 0x1.805d0191facc4p-6, 0x1.784c481bf9a1cp-6, 0x1.7061d6eb2614bp-6, 0x1.689d1f951d052p-6, 0x1.60fd94ca32fc3p-6, 0x1.5982aa5af7c51p-6, 0x1.522bd52bfff11p-6, 0x1.4af88b1faa1f9p-6, 0x1.43e842f85d93p-6, 0x1.3cfa7442ae781p-6, 0x1.362e974e85b73p-6, 0x1.2f84253fee98ep-6, 0x1.28fa9834fc825p-6, 0x1.22916b7c3d9a2p-6, 0x1.1c481bceb0bbep-6, 0x1.161e277d57e77p-6, 0x1.10130e86229cbp-6, 0x1.0a265286ddeefp-6, 0x1.0457768f0ce7bp-6, 0x1.fd4bfdb05fd2dp-7, 0x1.f222e0f72c8c5p-7, 0x1.e732a26d7bb7fp-7, 0x1.dc7a4ea7d38d3p-7, 0x1.d1f8f388b44ap-7, 0x1.c7ada0d0d145p-7, 0x1.bd9768f40aa18p-7, 0x1.b3b56200a4af3p-7, 0x1.aa06a65b16a77p-7, 0x1.a08a551b779b5p-7, 0x1.973f91ed9bad6p-7, 0x1.8e25845c329e8p-7, 0x1.853b56bebe641p-7, 0x1.7c803504bd0ep-7, 0x1.73f34b98d8e86p-7, 0x1.6b93c6bbe8f05p-7, 0x1.6360d2897f8adp-7, 0x1.5b599bc3eb62bp-7, 0x1.537d5104207fep-7, 0x1.4bcb245c0065bp-7, 0x1.44424d01ace6bp-7, 0x1.3ce20858d248bp-7, 0x1.35a99a4f23f5bp-7, 0x1.2e984cbbb9214p-7, 0x1.27ad6e015edfdp-7, 0x1.20e84f1a0509cp-7, 0x1.1a48417562a4ep-7, 0x1.13cc95385c864p-7, 0x1.0d7498427540fp-7, 0x1.073f96463c3a6p-7, 0x1.012cd9e8f646p-7, 0x1.f6775dc7a798cp-8, 0x1.ead6c8ef380adp-8, 0x1.df769fc3c7e7p-8, 0x1.d4559c4b7078bp-8, 0x1.c9728985ee722p-8, 0x1.becc424ce59c6p-8, 0x1.b461adc883969p-8, 0x1.aa31ba2831ae1p-8, 0x1.a03b56b28b01p-8, 0x1.967d6e6304967p-8, 0x1.8cf6e4750bff2p-8, 0x1.83a692d19ffefp-8, 0x1.7a8b4c69ea49dp-8, 0x1.71a3e0bf66dd1p-8, 0x1.68ef22274d8c3p-8, 0x1.606bec04a6ad1p-8, 0x1.5819285466439p-8, 0x1.4ff5d33e8f00ap-8, 0x1.4800fbf4e1f33p-8, 0x1.4039c2aab9721p-8, 0x1.389f5414936c5p-8, 0x1.3130e35d25337p-8, 0x1.29eda3c3b4862p-8, 0x1.22d4c31637835p-8, 0x1.1be5660479f6ep-8, 0x1.151ea6e9d24c2p-8, 0x1.0e7f973a483cfp-8, 0x1.08074347cbe1p-8, 0x1.01b4b7a6a222ap-8, 0x1.f70e0e4bd612p-9, 0x1.eafaa06016b56p-9, 0x1.df2d810d17f75p-9, 0x1.d3a52d5798ff7p-9, 0x1.c86041acc6e68p-9, 0x1.bd5d73a71e547p-9, 0x1.b29b893e489c2p-9, 0x1.a8194f3c48a4fp-9, 0x1.9dd5909b4c8ep-9, 0x1.93cf0fc0b8777p-9, 0x1.8a0482aff2407p-9, 0x1.807492603cf6fp-9, 0x1.771ddd3558898p-9, 0x1.6dfefc19ed475p-9, 0x1.651688d810e7p-9, 0x1.5c63257d80845p-9, 0x1.53e382356f597p-9, 0x1.4b966117fc06ep-9, 0x1.437a97a33ad96p-9, 0x1.3b8f0df20f118p-9, 0x1.33d2bc4ba0991p-9, 0x1.2c44a7aade46cp-9, 0x1.24e3ddc8b8df5p-9, 0x1.1daf712c486cfp-9, 0x1.16a675c772b5cp-9, 0x1.0fc7febf51f8bp-9, 0x1.09131df06d995p-9, 0x1.0286e4e139fe8p-9, 0x1.f844cc6f2b5cfp-10, 0x1.ebc96cd93fd55p-10, 0x1.df99d5fd588dep-10, 0x1.d3b4318789cfdp-10, 0x1.c816a65243fcp-10, 0x1.bcbf5c3e1715ap-10, 0x1.b1ac861c58f48p-10, 0x1.a6dc6e50ccec8p-10, 0x1.9c4d8029e0cafp-10, 0x1.91fe48950d5e8p-10, 0x1.87ed6cdaf9c5fp-10, 0x1.7e199b8d59413p-10, 0x1.74817fa63d648p-10, 0x1.6b23bd3e15af4p-10, 0x1.61fef9cbb3d27p-10, 0x1.5911ea2f03394p-10, 0x1.505b5bbbe610dp-10, 0x1.47da2ef8aa572p-10, 0x1.3f8d431057db5p-10, 0x1.37735bc5a747fp-10, 0x1.2f8b11ff7c06bp-10, 0x1.27d2dc0c655dfp-10, 0x1.20492da2beecp-10, 0x1.18eca229db658p-10, 0x1.11bc1e2d1eb98p-10, 0x1.0ab6d17cc869ep-10, 0x1.03dc1eb2a4c2cp-10, 0x1.fa56e10fc8d33p-11, 0x1.ed482a85e6e0cp-11, 0x1.e08a60baffea2p-11, 0x1.d41b8a8d84d31p-11, 0x1.c7f9a30eb951cp-11, 0x1.bc22c7f312e5cp-11, 0x1.b09543b401ff5p-11, 0x1.a54f6cc25f5a1p-11, 0x1.9a4f6630e147p-11, 0x1.8f92e6bcba4b4p-11, 0x1.8517332c6ea3ep-11, 0x1.7ad96038bdba2p-11, 0x1.70d6c8f46e83ep-11, 0x1.670d82689fcadp-11, 0x1.5d7c8da42abf1p-11, 0x1.5423ab13a74edp-11, 0x1.4b02e9465e1c6p-11, 0x1.421a35e87261p-11, 0x1.39692ae12ccb7p-11, 0x1.30ef1e73cc514p-11, 0x1.28ab4ed3bf3d7p-11, 0x1.209cf8dcd224ap-11, 0x1.18c345f706a44p-11, 0x1.111d1be938cbp-11, 0x1.09a8e86915e37p-11, 0x1.026481bf35f87p-11, 0x1.f69a5dc4133e7p-12, 0x1.e8bfbed9f2df5p-12, 0x1.db33253683f68p-12, 0x1.cdefb4db099f4p-12, 0x1.c0f297bd4c692p-12, 0x1.b43b3a6c4a477p-12, 0x1.a7ca9e14dc313p-12, 0x1.9ba2084845806p-12, 0x1.8fc1ddc5a2822p-12, 0x1.84296721dcd78p-12, 0x1.78d787e846f07p-12, 0x1.6dcbb7289a0e8p-12, 0x1.63067742fef5fp-12, 0x1.588906c3eb8cep-12, 0x1.4e547c61505a2p-12, 0x1.4468c065d7636p-12, 0x1.3ac3e89829e7bp-12, 0x1.31623c4300ffap-12, 0x1.283eacc2f0f49p-12, 0x1.1f53658d1e81ap-12, 0x1.169a6c31648d8p-12, 0x1.0e0e8c4fa200ep-12, 0x1.05ac7a2603448p-12, 0x1.fae7120ed3b7dp-13, 0x1.eaca9a6b596ddp-13, 0x1.db085b13b93efp-13, 0x1.cba36ace86c37p-13, 0x1.bc9b8760b2851p-13, 0x1.adeddcc7214b3p-13, 0x1.9f9746a459daep-13, 0x1.919683a0366a3p-13, 0x1.83ed5eba9370dp-13, 0x1.769fd1392f0f6p-13, 0x1.69b1173bb1e91p-13, 0x1.5d20ebec4fe7ap-13, 0x1.50eb56ea2724fp-13, 0x1.450ad447fba13p-13, 0x1.397a92888b2cdp-13, 0x1.2e36f9d9907bdp-13, 0x1.233c859d9b84p-13, 0x1.18866ceea1944p-13, 0x1.0e0e88376b85fp-13, 0x1.03ce9035c8e0fp-13, 0x1.f383e5981be74p-14, 0x1.dfcefca87fdcdp-14, 0x1.cc8385d3e002p-14, 0x1.b9aa513c0aa88p-14, 0x1.a74935dc10b48p-14, 0x1.955e9d80b4b4dp-14, 0x1.83e3c9195b9f1p-14, 0x1.72d48b626ee3p-14, 0x1.6233e04133c2p-14, 0x1.5207da28fa234p-14, 0x1.42527360e61b9p-14, 0x1.330ef21c315e1p-14, 0x1.2434819253d17p-14, 0x1.15ba8090b364ap-14, 0x1.079bcdd62f1cfp-14, 0x1.f3afd6eba0183p-15, 0x1.d8e380a608ed9p-15, 0x1.bed97e376ce5p-15, 0x1.a594020fba9aep-15, 0x1.8d0bf30899849p-15, 0x1.752da085fe1f9p-15, 0x1.5ddd666b677dap-15, 0x1.4708f2440dbd5p-15, 0x1.30b3fe6797359p-15, 0x1.1aed84bb4ccc4p-15, 0x1.05baee897bc4bp-15, 0x1.e22cc2540adedp-16, 0x1.b9fe1ce69513ap-16, 0x1.92f80f0200c84p-16, 0x1.6d1c4611abd8ep-16, 0x1.485b766ff3134p-16, 0x1.24aa2490de478p-16, 0x1.0204b3ac6dfa1p-16, 0x1.c0c51076c905bp-17, 0x1.7f64cbb0f649dp-17, 0x1.3fc6e13357f4ap-17, 0x1.01de1d6b5e72dp-17, 0x1.8b6cebe3b1ecp-18, 0x1.16d0b6dff372ep-18, 0x1.4c15319c4ff95p-19, 0x1.c8dac27475145p-21, -0x1.816ac29953c93p-21, -0x1.2c8bf285ffd13p-19, -0x1.f32d9174a6639p-19, -0x1.59e0e44211a13p-18, -0x1.b69cd01e34db2p-18, -0x1.07fe3c19185f5p-17, -0x1.33641085a5695p-17, -0x1.5da295b2f2571p-17, -0x1.86857dac8adeep-17, -0x1.ade186484e88bp-17, -0x1.d3c20f6039d7p-17, -0x1.f8541a3f6a23fp-17, -0x1.0ddb643b7c9e9p-16, -0x1.1eef60621befcp-16, -0x1.2f5a32fdb8e9p-16, -0x1.3f1dff7813719p-16, -0x1.4e48265249e0cp-16, -0x1.5ce3ffa9eab25p-16, -0x1.6af46ed536e58p-16, -0x1.7875cee53a0d2p-16, -0x1.85641f8749e63p-16, -0x1.91bf34525a523p-16, -0x1.9d88a2c42fc97p-16, -0x1.a8c71710f568p-16, -0x1.b38f818d61862p-16, -0x1.bdebb36eaffe2p-16, -0x1.c7c5ad1260362p-16, -0x1.d11773286aa67p-16, -0x1.d9f31426458c9p-16, -0x1.e250a402c4ecfp-16, -0x1.ea220fd554ba1p-16, -0x1.f17a07954b813p-16, -0x1.f874e605bffbbp-16, -0x1.ff178ef0faef4p-16, -0x1.02a99029cbcecp-15, -0x1.0591cecb1cbc7p-15, -0x1.084a50467a2a7p-15, -0x1.0ad3c7d1e54f6p-15, -0x1.0d293cc7f086fp-15, -0x1.0f4aad79a1314p-15, -0x1.113cdeda3bb7cp-15, -0x1.13037e477eee6p-15, -0x1.149f98910f5a7p-15, -0x1.1610f379f8bf4p-15, -0x1.1757be8c87196p-15, -0x1.1874f01133ae5p-15, -0x1.1967e1d9b2dbp-15, -0x1.1a2f5264476c6p-15, -0x1.1ad057912d33bp-15, -0x1.1b4e39546522p-15, -0x1.1ba7519797393p-15, -0x1.1be06e107ae29p-15, -0x1.1bf710bcaf926p-15, -0x1.1be658c94300ep-15, -0x1.1bb18d2025522p-15, -0x1.1b5bc1b42d78cp-15, -0x1.1ae522d40e438p-15, -0x1.1a4d880897d9bp-15, -0x1.19977ac6c939fp-15, -0x1.18c67566642dbp-15, -0x1.17d96c74a2e3cp-15, -0x1.16cfade26748cp-15, -0x1.15ac2b6dd5511p-15, -0x1.146de2ff56c7fp-15, -0x1.1312cd105445fp-15, -0x1.119cfd2566ed6p-15, -0x1.100ef8d1102b6p-15, -0x1.0e69be76ec27fp-15, -0x1.0cad90181c2cep-15, -0x1.0adacf9919a8bp-15, -0x1.08f23c83d1549p-15, -0x1.06f3b97be2581p-15, -0x1.04ddf112a7194p-15, -0x1.02b30129f20e9p-15, -0x1.0075cb644f623p-15, -0x1.fc4e0a5647c8p-16, -0x1.f78c8d7ccea09p-16, -0x1.f2a32fb864216p-16, -0x1.ed95ceb5b90ffp-16, -0x1.e867cc5953c18p-16, -0x1.e31a19f559464p-16, -0x1.ddad32526ee48p-16, -0x1.d821a5102d18ap-16, -0x1.d27958953e874p-16, -0x1.ccb3c57d2b4bp-16, -0x1.c6d192331d1f1p-16, -0x1.c0d3852c74aecp-16, -0x1.babcacdd8067ep-16, -0x1.b48e6a5c50e7ep-16, -0x1.ae497ce3e650ep-16, -0x1.a7ee0195e2572p-16, -0x1.a17bdcb44ba5fp-16, -0x1.9af4ce97ab7ebp-16, -0x1.945a32a9a66d5p-16, -0x1.8dacc8229db8fp-16, -0x1.86ed491e105c5p-16, -0x1.801c84a6ad69bp-16, -0x1.793b5113e185cp-16, -0x1.724a80022a5b8p-16, -0x1.6b4ae4343eab3p-16, -0x1.643d5975139b4p-16, -0x1.5d22a95f50219p-16, -0x1.55fb8a14ea4cap-16, -0x1.4ec8ca2a700d2p-16, -0x1.478b332ee1e21p-16, -0x1.4043743193d95p-16, -0x1.38f243208ed21p-16, -0x1.319860caf8aa9p-16, -0x1.2a3684971046ep-16, -0x1.22cd5cda5ea66p-16, -0x1.1b5d8dad5af4p-16, -0x1.13e7b3c2274ep-16, -0x1.0c6c69eb6e328p-16, -0x1.04ec4504b20b1p-16, -0x1.facfd8e09b1b7p-17, -0x1.ebc146babff8bp-17, -0x1.dcaf241d5a8d9p-17, -0x1.cd97d7427e54ep-17, -0x1.be7aa5e6a89ebp-17, -0x1.af5b5ccd2f37ap-17, -0x1.a03d46ac973aep-17, -0x1.911f067c03a16p-17, -0x1.820106e0fd9b2p-17, -0x1.72e4ed4d3bbe7p-17, -0x1.63cbd8a20447ap-17, -0x1.54b68115c6c87p-17, -0x1.45a821a2d923dp-17, -0x1.36a17830b325ap-17, -0x1.279e5b0518dc9p-17, -0x1.18a4c7fa7b752p-17, -0x1.09b5b7ec9744ep-17, -0x1.f59fa41f8bba6p-18, -0x1.d7e8cd69b32c3p-18, -0x1.ba495edbfac92p-18, -0x1.9cc32efecd94ap-18, -0x1.7f57e028508bp-18, -0x1.620908d960267p-18, -0x1.44d83ebd1934dp-18, -0x1.27c717591d539p-18, -0x1.0ad7195344b94p-18, -0x1.dc135d105d871p-19, -0x1.a2c025d1bc37dp-19, -0x1.69b6ce42048fep-19, -0x1.30faa9672ff78p-19, -0x1.f11bd0feb83fap-20, -0x1.80e5efeebc9fcp-20, -0x1.115c161ab7e7fp-20, -0x1.452ad121d0fe4p-21, -0x1.a3e4bb092abacp-23, 0x1.c7d1ad2638324p-23, 0x1.4b419ac251845p-21, 0x1.118251ebd3e82p-20, 0x1.7ca22c76aefecp-20, 0x1.e6fd136eaba22p-20, 0x1.28452ff1e867ep-19, 0x1.5ca349bf717c8p-19, 0x1.9091351455ed3p-19, 0x1.c41793fac163bp-19, 0x1.f728cc296dcfbp-19, 0x1.14e5a59b85f53p-18, 0x1.2dfedcab909cfp-18, 0x1.46de35828691cp-18, 0x1.5f82bae0d14a7p-18, 0x1.77ebb08e5c982p-18, 0x1.9018620f95a22p-18, 0x1.a80821a686b67p-18, 0x1.bfba479ad0524p-18, 0x1.d72e31a9908b1p-18, 0x1.ee6341abfeeap-18, 0x1.02ac6e11b4641p-17, 0x1.0e073418d9b5cp-17, 0x1.1941a95843535p-17, 0x1.245b89eec8479p-17, 0x1.2f549992da586p-17, 0x1.3a2ca1e563299p-17, 0x1.44e36b895abb2p-17, 0x1.4f78b3f18ba6fp-17, 0x1.59ec37633f758p-17, 0x1.643df1d1b6dd8p-17, 0x1.6e6df7cf511d5p-17, 0x1.787b0a4b50ee9p-17, 0x1.8266022a15d81p-17, 0x1.8c2de64633206p-17, 0x1.95d2b4b449d67p-17, 0x1.9f5529aa9cf4fp-17, 0x1.a8b527869fae6p-17, 0x1.b1f266d68284ep-17, 0x1.bb0bdc254665dp-17, 0x1.c4017c7270f18p-17, 0x1.ccd3fbdbd65d5p-17, 0x1.d583564fc2271p-17, 0x1.de0f26bf5dc85p-17, 0x1.e6776ebb7b44bp-17, 0x1.eebc0e515eb7bp-17, 0x1.f6dd14170fd96p-17, 0x1.feda5913fdf26p-17, 0x1.0359f170574dap-16, 0x1.0734dc132bb08p-16, 0x1.0afde9d05f3d3p-16, 0x1.0eb51acae6c8bp-16, 0x1.125a70a5ac336p-16, 0x1.15ededca85e87p-16, 0x1.196f9584096e6p-16, 0x1.1cdf6be28f3dbp-16, 0x1.203d759ad5c42p-16, 0x1.2389b80cfafb1p-16, 0x1.26c43997d9b3ep-16, 0x1.29ed021e047b7p-16, 0x1.2d041b50a151fp-16, 0x1.30099029a5bc7p-16, 0x1.32fd6b06a072cp-16, 0x1.35dfb36de3dap-16, 0x1.38b07232c2cc2p-16, 0x1.3b6fc1b86b569p-16, 0x1.3e1dca24b16ebp-16, 0x1.40ba610bbee9ep-16, 0x1.43456bb591bb9p-16, 0x1.45bf3b7da48bfp-16, 0x1.48281ba963738p-16, 0x1.4a7fee9308956p-16, 0x1.4cc673485b915p-16, 0x1.4efc0ca4f7aedp-16, 0x1.5120d3ebc2506p-16, 0x1.5334c830c8763p-16, 0x1.5537fc351fdc7p-16, 0x1.572a873a20189p-16, 0x1.590c4c74abcdfp-16, 0x1.5ade9175d87dep-16, 0x1.5c9ef90b18f18p-16, 0x1.5e4fb0dd67933p-16, 0x1.5ff02e4939665p-16, 0x1.61808a48e9d71p-16, 0x1.6300dc4e57eep-16, 0x1.64713d179fe22p-16, 0x1.65d1c60cc8ec6p-16, 0x1.6722910490afap-16, 0x1.6863b83b72065p-16, 0x1.699556576b4d5p-16, 0x1.6ab786610b4a1p-16, 0x1.6bca63a6d2594p-16, 0x1.6cce09b87f128p-16, 0x1.6dc294a3af7cdp-16, 0x1.6ea8212c36aa1p-16, 0x1.6f7ecd6e6b491p-16, 0x1.7046b7949b88p-16, 0x1.70ffeed07ee59p-16, 0x1.71aad90d3cd3ap-16, 0x1.7246ea04319efp-16, 0x1.72d4f4d935aa3p-16, 0x1.7354d5cb07fbep-16, 0x1.73c69ab9d8ee1p-16, 0x1.742a72d729338p-16, 0x1.748071b48fea6p-16, 0x1.74c8c5131c8adp-16, 0x1.7503866b47e8ap-16, 0x1.7530e5bcc98c3p-16, 0x1.7550e9ff848c8p-16, 0x1.7563be5955392p-16, 0x1.7569870b5dc02p-16, 0x1.756264f509d04p-16, 0x1.754e6adf9afa7p-16, 0x1.752dd7190d69ep-16, 0x1.7500b18eea5p-16, 0x1.74c721ca5c8a2p-16, 0x1.74814bface3fep-16, 0x1.742f518219e49p-16, 0x1.73d154383c7e2p-16, 0x1.73677608f2a21p-16, 0x1.72f1d8ecb075cp-16, 0x1.72709eefb75fp-16, }}, 
      {{-0x1.ef49c908c7717p-6, -0x1.6fd572c1b1025p-4, -0x1.6d38864cdc87cp-3, -0x1.216fc6cf07189p-2, -0x1.8cf1918128903p-2, -0x1.ec3db6e793baep-2, -0x1.1b3ec97b1f9e1p-1, -0x1.336de058ca285p-1, -0x1.3decc4ea93e36p-1, -0x1.3b3bc23ec6b5ep-1, -0x1.2cb384d1c63d4p-1, -0x1.142d45d1db90bp-1, -0x1.e77b0f4c4a734p-2, -0x1.9b019e73ee4eap-2, -0x1.46f02ea0b932ep-2, -0x1.ddc8a089c52f1p-3, -0x1.2bfc259980193p-3, -0x1.f6afb381b60d2p-5, 0x1.48262a7c90b91p-6, 0x1.89e181af277e4p-4, 0x1.53d8936c710ap-3, 0x1.d445bc9e5987fp-3, 0x1.22b63bf9dac05p-2, 0x1.5387151b9f6c7p-2, 0x1.7caedc5295ee6p-2, 0x1.9e733fa67fa8ap-2, 0x1.b93b1c890834p-2, 0x1.cd84f76c029e3p-2, 0x1.dbdeed720ec16p-2, 0x1.e4e009ca63d7ep-2, 0x1.e922dff6bfebfp-2, 0x1.e94146e82e101p-2, 0x1.e5d10f2a6164cp-2, 0x1.df618f56e37cfp-2, 0x1.d679e3cbc2031p-2, 0x1.cb97c2090ddabp-2, 0x1.bf2ec3c10fb35p-2, 0x1.b1a8116029c73p-2, 0x1.a36256e3ab61p-2, 0x1.94b1f1b56f7dap-2, 0x1.85e148b49fddep-2, 0x1.773142ba047d2p-2, 0x1.68d9d237f9504p-2, 0x1.5b0a8d810879dp-2, 0x1.4deb4e0f05ac8p-2, 0x1.419cd1ec12c2p-2, 0x1.36395bd60f9e7p-2, 0x1.2bd54f3e25705p-2, 0x1.227fc6b2c4878p-2, 0x1.1a432320cf382p-2, 0x1.132592fc9debbp-2, 0x1.0d29912b9f3d5p-2, 0x1.084e5b1d949cbp-2, 0x1.04905e783c289p-2, 0x1.01e99e2be21cp-2, 0x1.00520f15f6e8p-2, 0x1.ff7fd9fa55323p-3, 0x1.002807c0875a7p-2, 0x1.017e0937803e5p-2, 0x1.03b4b4662395ep-2, 0x1.06be1e17a968dp-2, 0x1.0a8bdf80558c3p-2, 0x1.0f0f434376c1fp-2, 0x1.14396d1acc069p-2, 0x1.19fb7cdf1d2aap-2, 0x1.2046ace154b1bp-2, 0x1.270c6c3a1b16bp-2, 0x1.2e3e756ebb0b4p-2, 0x1.35cee18ad981ep-2, 0x1.3db037dd93bc7p-2, 0x1.45d57b813a158p-2, 0x1.4e32358dd4d84p-2, 0x1.56ba7d7c3dfd1p-2, 0x1.5f62ff52bf08cp-2, 0x1.6820ffd712af6p-2, 0x1.70ea5f6c04d9dp-2, 0x1.79b59b143f428p-2, 0x1.8279cc83ddfabp-2, 0x1.8b2ea8f065de3p-2, 0x1.93cc7ec644fcp-2, 0x1.9c4c32dd292a2p-2, 0x1.a4a73cffb939dp-2, 0x1.acd7a314866abp-2, 0x1.b4d7f56bd92b2p-2, 0x1.bca34903aab39p-2, 0x1.c4353229e6ab5p-2, 0x1.cb89bfc98219dp-2, 0x1.d29d748920c2ap-2, 0x1.d96d418a4bb31p-2, 0x1.dff6813a2b9e9p-2, 0x1.e636f01c0de07p-2, 0x1.ec2ca84a552b1p-2, 0x1.f1d61bc632856p-2, 0x1.f7320de8e7faap-2, 0x1.fc3f8f780460fp-2, 0x1.007efc4729daap-1, 0x1.02b671c8fb9bdp-1, 0x1.04c6146f529abp-1, 0x1.06adeccb1278cp-1, 0x1.086e1db6f9ddp-1, 0x1.0a06e2398f8d2p-1, 0x1.0b788b728bd6dp-1, 0x1.0cc37ec3cc107p-1, 0x1.0de833f6d217bp-1, 0x1.0ee7338e8729p-1, 0x1.0fc1152b04b49p-1, 0x1.10767df9c37dap-1, 0x1.11081f4a2c3fcp-1, 0x1.1176b531d51b4p-1, 0x1.11c30537199f4p-1, 0x1.11eddd2933efbp-1, 0x1.11f811f332759p-1, 0x1.11e27e8554656p-1, 0x1.11ae02e0f91e2p-1, 0x1.115b83217d29ep-1, 0x1.10ebe69429de4p-1, 0x1.106016f889e54p-1, 0x1.0fb8ffb60df83p-1, 0x1.0ef78d246fa6bp-1, 0x1.0e1cabec86517p-1, 0x1.0d29487098cfdp-1, 0x1.0c1e4e37bd7f6p-1, 0x1.0afca7708c3b7p-1, 0x1.09c53c7e93b55p-1, 0x1.0878f38c2de1dp-1, 0x1.0718b0243476fp-1, 0x1.05a552e237f46p-1, 0x1.041fb92260074p-1, 0x1.0288bcb5a1c7p-1, 0x1.00e133a8e3b72p-1, 0x1.fe53e021d06fap-2, 0x1.fac77fb067016p-2, 0x1.f71ed92aa8944p-2, 0x1.f35b76da70505p-2, 0x1.ef7ed9eef74c2p-2, 0x1.eb8a7a4c0e7edp-2, 0x1.e77fc6613d28fp-2, 0x1.e36023211a698p-2, 0x1.df2cebe243bb8p-2, 0x1.dae7725e7e6b5p-2, 0x1.d690fea42ed74p-2, 0x1.d22acf277f723p-2, 0x1.cdb618cbe5b88p-2, 0x1.c93406e71c5edp-2, 0x1.c4a5bb5cba246p-2, 0x1.c00c4eb7bf7adp-2, 0x1.bb68d0430025ap-2, 0x1.b6bc46287da9cp-2, 0x1.b207ad8e7da2cp-2, 0x1.ad4bfac207021p-2, 0x1.a88a195eae934p-2, 0x1.a3c2ec6fafd1bp-2, 0x1.9ef74e9df73c3p-2, 0x1.9a28125815fccp-2, 0x1.9556020a01924p-2, 0x1.9081e03c3c8cap-2, 0x1.8bac67c9ef1edp-2, 0x1.86d64c0f05ad1p-2, 0x1.82003914d6717p-2, 0x1.7d2ad3c5b46b6p-2, 0x1.7856ba1bf1bfcp-2, 0x1.7384834b01159p-2, 0x1.6eb4bff616ef7p-2, 0x1.69e7fa5e703f4p-2, 0x1.651eb68c1c3dep-2, 0x1.605972862a07ep-2, 0x1.5b98a6759dc29p-2, 0x1.56dcc4d7be17p-2, 0x1.52263aad83a41p-2, 0x1.4d756fa053943p-2, 0x1.48cac631c3f11p-2, 0x1.44269be5ec078p-2, 0x1.3f894964d7d6dp-2, 0x1.3af322b11c386p-2, 0x1.3664773fbd6fap-2, 0x1.31dd922b77c5dp-2, 0x1.2d5eba511b64ep-2, 0x1.28e8327b10277p-2, 0x1.247a397d7370bp-2, 0x1.20150a644eebp-2, 0x1.1bb8dc87c446dp-2, 0x1.1765e3badf3a2p-2, 0x1.131c50614608bp-2, 0x1.0edc4f8f62a8fp-2, 0x1.0aa60b31f99f8p-2, 0x1.0679aa228b667p-2, 0x1.02575044d5a1bp-2, 0x1.fc7e3d4d031dcp-3, 0x1.f462672f49086p-3, 0x1.ec5b5588e34fep-3, 0x1.e4693a9f85722p-3, 0x1.dc8c43dd928a6p-3, 0x1.d4c499ec86dfdp-3, 0x1.cd1260fe9120cp-3, 0x1.c575b8e8bad9bp-3, 0x1.bdeebd53b2082p-3, 0x1.b67d85e53308ap-3, 0x1.af22266b81682p-3, 0x1.a7dcaf03e545dp-3, 0x1.a0ad2c38257ebp-3, 0x1.9993a72ec0fep-3, 0x1.929025ca6634p-3, 0x1.8ba2aacfb51c9p-3, 0x1.84cb35fc2bffdp-3, 0x1.7e09c430931abp-3, 0x1.775e4f8af2114p-3, 0x1.70c8cf8c11bf6p-3, 0x1.6a49392bbbc2dp-3, 0x1.63df7efbd2cfp-3, 0x1.5d8b913c809f6p-3, 0x1.574d5dfab9c6bp-3, 0x1.5124d12c9bbd2p-3, 0x1.4b11d4cab9703p-3, 0x1.451450e1f3129p-3, 0x1.3f2c2badb7345p-3, 0x1.395949ab6746ap-3, 0x1.339b8db1b7976p-3, 0x1.2df2d90f59d44p-3, 0x1.285f0b9635d8dp-3, 0x1.22e003ad6831dp-3, 0x1.1d759e62e8aaep-3, 0x1.181fb780ae8b1p-3, 0x1.12de29a293b12p-3, 0x1.0db0ce484dcffp-3, 0x1.08977de1ba8e1p-3, 0x1.03920fdf3a76p-3, 0x1.fd40b5738816ap-4, 0x1.f3846812b8dfbp-4, 0x1.e9eee132460f2p-4, 0x1.e07fc8e33d145p-4, 0x1.d736c5cbd663p-4, 0x1.ce137d3b616cdp-4, 0x1.c515933bedd26p-4, 0x1.bc3caab33d14cp-4, 0x1.b3886581c42e1p-4, 0x1.aaf8649cd164bp-4, 0x1.a28c481ff4653p-4, 0x1.9a43af5ed36eap-4, 0x1.921e38ebb4ddap-4, 0x1.8a1b82b57d48cp-4, 0x1.823b2a1e552eap-4, 0x1.7a7ccc149795p-4, 0x1.72e0052508d7bp-4, 0x1.6b647184dc4dep-4, 0x1.6409ad1d8705ep-4, 0x1.5ccf53986e9ecp-4, 0x1.55b5006f0ca11p-4, 0x1.4eba4f0636113p-4, 0x1.47dedabccde03p-4, 0x1.41223ef82f4cep-4, 0x1.3a84172eadf9fp-4, 0x1.3403feea52738p-4, 0x1.2da191d48aca3p-4, 0x1.275c6bc5a50ap-4, 0x1.213428d46a0fdp-4, 0x1.1b286565841edp-4, 0x1.1538be354a1ddp-4, 0x1.0f64d05cf898dp-4, 0x1.09ac39568f7d3p-4, 0x1.040e9702f3803p-4, 0x1.fd170f685c576p-5, 0x1.f2455473ea32dp-5, 0x1.e7a73bd801091p-5, 0x1.dd3c0570e4841p-5, 0x1.d302f23fc02ebp-5, 0x1.c8fb447d6424p-5, 0x1.bf243f99a8d78p-5, 0x1.b57d2845c0056p-5, 0x1.ac05448600b8dp-5, 0x1.a2bbdbc36914ep-5, 0x1.99a036dc06fe5p-5, 0x1.90b1a02c8d293p-5, 0x1.87ef639473553p-5, 0x1.7f58ce78a0e12p-5, 0x1.76ed2fc4da5c1p-5, 0x1.6eabd7f2bb204p-5, 0x1.66941914ddf1ep-5, 0x1.5ea546e31a2a5p-5, 0x1.56deb6c4f4ac9p-5, 0x1.4f3fbfd7eaa35p-5, 0x1.47c7baf137079p-5, 0x1.4076029ce1f75p-5, 0x1.3949f31eaf9c9p-5, 0x1.3242ea73670ap-5, 0x1.2b604857f1225p-5, 0x1.24a16e4eab48cp-5, 0x1.1e05bfa68d519p-5, 0x1.178ca18105111p-5, 0x1.11357ad0ed112p-5, 0x1.0affb459eb122p-5, 0x1.04eab8ae8a7fdp-5, 0x1.fdebe85cedd49p-6, 0x1.f241aa0e5eedap-6, 0x1.e6d5966d59c11p-6, 0x1.dba6911d8d0cbp-6, 0x1.d0b3816f8319bp-6, 0x1.c5fb52630050dp-6, 0x1.bb7cf2a404e9ep-6, 0x1.b13754848a9f6p-6, 0x1.a7296df5ade8bp-6, 0x1.9d5238816d167p-6, 0x1.93b0b148ab8e2p-6, 0x1.8a43d902dca5p-6, 0x1.810ab3fdc938p-6, 0x1.78044a1f01cf8p-6, 0x1.6f2fa6e084d3cp-6, 0x1.668bd94bdf9ddp-6, 0x1.5e17f3f3eac35p-6, 0x1.55d30cee1b6c9p-6, 0x1.4dbc3dc7f9645p-6, 0x1.45d2a38171469p-6, 0x1.3e155e879fb79p-6, 0x1.368392af3a171p-6, 0x1.2f1c67311239ep-6, 0x1.27df06a628d7fp-6, 0x1.20ca9f01e719dp-6, 0x1.19de618cf241ep-6, 0x1.131982e33e631p-6, 0x1.0c7b3ad618e4p-6, 0x1.0602c485271fdp-6, 0x1.ff5ebc67680c4p-7, 0x1.f30092ab27633p-7, 0x1.e6e994fa53fddp-7, 0x1.db1852ab293dbp-7, 0x1.cf8b613810c56p-7, 0x1.c4415c3aae6d7p-7, 0x1.b938e54cc5567p-7, 0x1.ae70a41f46714p-7, 0x1.a3e7464eeaad7p-7, 0x1.999b7f5eddd25p-7, 0x1.8f8c08a03b027p-7, 0x1.85b7a11d54569p-7, 0x1.7c1d0d7fb6344p-7, 0x1.72bb17f244d0ap-7, 0x1.699090097f24dp-7, 0x1.609c4ab7fd4b1p-7, 0x1.57dd22424a32bp-7, 0x1.4f51f63c49ef9p-7, 0x1.46f9ab8b259aep-7, 0x1.3ed32c6199258p-7, 0x1.36dd68349c121p-7, 0x1.2f1753a4d24b1p-7, 0x1.277fe85c27bd7p-7, 0x1.201624e502f36p-7, 0x1.18d90c7e52aa3p-7, 0x1.11c7a6f69e3b8p-7, 0x1.0ae10093e1d4fp-7, 0x1.04242a0d3ea99p-7, 0x1.fb207128e88b9p-8, 0x1.ee488bd4b2b02p-8, 0x1.e1bee0e848af3p-8, 0x1.d581b68c5e086p-8, 0x1.c98f5c36cf14p-8, 0x1.bde62a6829013p-8, 0x1.b284823b6815ep-8, 0x1.a768ccd9a22fep-8, 0x1.9c917aeb1945ep-8, 0x1.91fd04268d498p-8, 0x1.87a9e717f58edp-8, 0x1.7d96a92af3179p-8, 0x1.73c1d6f6802fdp-8, 0x1.6a2a04b1c24d2p-8, 0x1.60cdceae4f7b3p-8, 0x1.57abd9aef2adp-8, 0x1.4ec2d2f7ee785p-8, 0x1.461170061c5c9p-8, 0x1.3d966dedda157p-8, 0x1.3550907daa46ep-8, 0x1.2d3ea150d29b1p-8, 0x1.255f6f04b953bp-8, 0x1.1db1ccc248554p-8, 0x1.16349237fce79p-8, 0x1.0ee69c034fdf8p-8, 0x1.07c6cc805cfbep-8, 0x1.00d40cba8c23fp-8, 0x1.f41a9a800ba6ep-9, 0x1.e6e30d548eb9dp-9, 0x1.d9ff733f8aeedp-9, 0x1.cd6ddc96ea847p-9, 0x1.c12c669bb2783p-9, 0x1.b53938c5fd8dap-9, 0x1.a992820f25c5fp-9, 0x1.9e3676bf53cadp-9, 0x1.93234f49b6ca3p-9, 0x1.8857487880965p-9, 0x1.7dd0a4cd4f71fp-9, 0x1.738daf0cb17f1p-9, 0x1.698cbcfaf464fp-9, 0x1.5fcc320492f98p-9, 0x1.564a80fa10338p-9, 0x1.4d062c7b6a069p-9, 0x1.43fdc5e5dac6p-9, 0x1.3b2feaec5ad47p-9, 0x1.329b424e78f68p-9, 0x1.2a3e78516a923p-9, 0x1.22183b9bd4708p-9, 0x1.1a273bd07d818p-9, 0x1.126a27a4a48b1p-9, 0x1.0adfb022a4f0bp-9, 0x1.038688ddc14c4p-9, 0x1.f8bad927317c8p-10, 0x1.eac64002aa5fbp-10, 0x1.dd2ce969b2062p-10, 0x1.cfec95509bf1ep-10, 0x1.c30320aa9478cp-10, 0x1.b66e827b3858cp-10, 0x1.aa2cc66b962b3p-10, 0x1.9e3c05f83483fp-10, 0x1.929a6185500a5p-10, 0x1.8745fa9804c11p-10, 0x1.7c3cf02ae52eep-10, 0x1.717d5dab5e542p-10, 0x1.67055cb02ae13p-10, 0x1.5cd3090474247p-10, 0x1.52e4863532dfdp-10, 0x1.4938058549c3cp-10, 0x1.3fcbcb15fd9f2p-10, 0x1.369e313e1c39cp-10, 0x1.2dada974e1842p-10, 0x1.24f8bac3bcbbdp-10, 0x1.1c7dfe3a5421bp-10, 0x1.143c1a39842a3p-10, 0x1.0c31bd7dacb0ap-10, 0x1.045d9aae6cbbp-10, 0x1.f97cca3a791a2p-11, 0x1.eaa59dafb019bp-11, 0x1.dc331095b36cdp-11, 0x1.ce2282e06d7abp-11, 0x1.c0715885caed8p-11, 0x1.b31d003578cecp-11, 0x1.a622f9d048ebep-11, 0x1.9980dc1cb4415p-11, 0x1.8d34587834e8fp-11, 0x1.813b3c15cb9a7p-11, 0x1.75936f024a9d3p-11, 0x1.6a3af16d24dp-11, 0x1.5f2fd7d0732cp-11, 0x1.5470468948e1ap-11, 0x1.49fa6d632adfbp-11, 0x1.3fcc839b006dcp-11, 0x1.35e4c538aaa1ep-11, 0x1.2c41722822bp-11, 0x1.22e0ceb64cc0fp-11, 0x1.19c1251d29105p-11, 0x1.10e0c6242e3c3p-11, 0x1.083e08b4d8e29p-11, 0x1.ffae91e7de309p-12, 0x1.ef55d0d599ab2p-12, 0x1.df6ea1883c6ebp-12, 0x1.cff5f20cc2737p-12, 0x1.c0e8d6e2894b3p-12, 0x1.b2449229f070dp-12, 0x1.a40691af4b1c3p-12, 0x1.962c6396440c5p-12, 0x1.88b3a5f294a48p-12, 0x1.7b99f947006a1p-12, 0x1.6edcfc3a8b239p-12, 0x1.627a5214eef3cp-12, 0x1.566fae6a0a45fp-12, 0x1.4abadc8bbf1fdp-12, 0x1.3f59bb1c3bce7p-12, 0x1.344a2b9c9cffap-12, 0x1.2989fee4948f6p-12, 0x1.1f16ebf5512cp-12, 0x1.14ee9b5aba53dp-12, 0x1.0b0ec473a611dp-12, 0x1.01755030fddfcp-12, 0x1.f040e821d59e2p-13, 0x1.de1d58c550733p-13, 0x1.cc7d4b360f732p-13, 0x1.bb5e2bfa8527ap-13, 0x1.aabd3dccf6fc5p-13, 0x1.9a9783da9cc4ap-13, 0x1.8ae9d637b3eap-13, 0x1.7bb105e8ff992p-13, 0x1.6ce9fba14044ep-13, 0x1.5e91c227c7747p-13, 0x1.50a568e3688bep-13, 0x1.4321d690d4a9ep-13, 0x1.3603aa59e8e63p-13, 0x1.294740c25babdp-13, 0x1.1ce8eedc567e4p-13, 0x1.10e5618b601b3p-13, 0x1.0539f19311218p-13, 0x1.f3c97b8f7848bp-14, 0x1.ddc8f62521355p-14, 0x1.c87030297a8c5p-14, 0x1.b3bcd25806fcep-14, 0x1.9fac0edc373d2p-14, 0x1.8c3ac4b327b5ep-14, 0x1.7965c021aa565p-14, 0x1.6729d22ea19b9p-14, 0x1.5583a97c4c2bp-14, 0x1.446f8562ee159p-14, 0x1.33e8eaaae4a9dp-14, 0x1.23ea80f787979p-14, 0x1.146e2c84f4d42p-14, 0x1.056d6f07202a5p-14, 0x1.edc414cd2e2efp-15, 0x1.d18d899bac767p-15, 0x1.b63008c0ea89fp-15, 0x1.9ba7cf81bbc6dp-15, 0x1.81f36337d0079p-15, 0x1.6911929afdd2bp-15, 0x1.50ffd6f61f386p-15, 0x1.39ba1ad02421ap-15, 0x1.233bd641cfc15p-15, 0x1.0d8171a4ebcap-15, 0x1.f111ba2e8037ep-16, 0x1.c8a2131be211dp-16, 0x1.a1b1397ff308p-16, 0x1.7c3919c460d5fp-16, 0x1.582eb4de6d70cp-16, 0x1.358268ff36a49p-16, 0x1.14215a1427eecp-16, 0x1.e7edeb8e3ddd4p-17, 0x1.a9dd25f347eb8p-17, 0x1.6debb8c4f6ec8p-17, 0x1.33ff8bd2eb0bep-17, 0x1.f819596fc44adp-18, 0x1.8c26646398e14p-18, 0x1.242f0086647d5p-18, 0x1.806652a6d5f5bp-19, 0x1.8085e36bedf5fp-20, 0x1.edcc67df611f4p-25, -0x1.52f83db18c6adp-20, -0x1.538201335962cp-19, -0x1.f6660f3544ce1p-19, -0x1.490f38c9e7f2cp-18, -0x1.9354e24cc1888p-18, -0x1.da14e761822acp-18, -0x1.0eb8f4b821b3p-17, -0x1.2eca8d8be3d4ep-17, -0x1.4d51a1917c433p-17, -0x1.6a5d4114a4363p-17, -0x1.85fc1b6217bc1p-17, -0x1.a03fc4a916da5p-17, -0x1.b93ced068f9a8p-17, -0x1.d1085e6db3297p-17, -0x1.e7b290c69d162p-17, -0x1.fd43a3cc121d3p-17, -0x1.08dd4d1e52929p-16, -0x1.128918f5cb8a7p-16, -0x1.1ba47633bda81p-16, -0x1.2432ffabff1a2p-16, -0x1.2c3b23c2dac86p-16, -0x1.33c1b7081d61ap-16, -0x1.3ac77ce5f1169p-16, -0x1.414b88a62ba46p-16, -0x1.474f2cde7e0cdp-16, -0x1.4cd7587056419p-16, -0x1.51eb24f5e3061p-16, -0x1.56917ac53e92ep-16, -0x1.5acf43542ba1fp-16, -0x1.5ea6d3f2c320fp-16, -0x1.6218adf69e06bp-16, -0x1.6525158b17606p-16, -0x1.67cd99ca3c65dp-16, -0x1.6a1639ab0f93ap-16, -0x1.6c06229348921p-16, -0x1.6da64c3ff7b43p-16, -0x1.6efced78e145fp-16, -0x1.700a796ebf1e2p-16, -0x1.70ccc013dcf81p-16, -0x1.71443475cbf3cp-16, -0x1.71740a205a4cap-16, -0x1.715e043637a1dp-16, -0x1.7101f394d6f39p-16, -0x1.7061476001429p-16, -0x1.6f7f727b318ffp-16, -0x1.6e5f441877fbp-16, -0x1.6d028a7a78b6p-16, -0x1.6b6b9f65ab89ep-16, -0x1.699e06a92f8c2p-16, -0x1.679d248227908p-16, -0x1.656b1522392fp-16, -0x1.630867826c16dp-16, -0x1.6074eefec62f1p-16, -0x1.5db0ee03dc621p-16, -0x1.5abda645f06cp-16, -0x1.579dc2602ada5p-16, -0x1.5455e6e41f73bp-16, -0x1.50ea2b37c9352p-16, -0x1.4d59c478ed40ap-16, -0x1.49a1cb9cee8a7p-16, -0x1.45c4b2176e6ebp-16, -0x1.41c90e678f623p-16, -0x1.3db1d51275c01p-16, -0x1.397d2dd968e23p-16, -0x1.3529af6dc6952p-16, -0x1.30b8e080a0929p-16, -0x1.2c2e104159937p-16, -0x1.278bcaa39d12p-16, -0x1.22d24788b77fp-16, -0x1.1e01135bdc609p-16, -0x1.19193b8f9cf8ep-16, -0x1.141d008592a8cp-16, -0x1.0f0e62114993ap-16, -0x1.09ee6ed38403fp-16, -0x1.04bd819898adep-16, -0x1.fef7ebd0f2c18p-17, -0x1.f4551f990deb3p-17, -0x1.e993f4cb76ce3p-17, -0x1.deb6fce451c3cp-17, -0x1.d3c46684ab661p-17, -0x1.c8beecf00ee5ap-17, -0x1.bda34a5b545bep-17, -0x1.b27206782a85p-17, -0x1.a72fbf006cce8p-17, -0x1.9bdc0a4cbc998p-17, -0x1.9074b9318e772p-17, -0x1.84ff786c42402p-17, -0x1.7981f44a8e8dfp-17, -0x1.6dfe90ccd58e8p-17, -0x1.62734a3eed746p-17, -0x1.56e04f6aaab19p-17, -0x1.4b48c81db038ep-17, -0x1.3fadeb329a77cp-17, -0x1.340eb375a4d36p-17, -0x1.286bfb9846877p-17, -0x1.1cc850ff2c414p-17, -0x1.1125f157a18cbp-17, -0x1.058619158719cp-17, -0x1.f3d2c3cbde96dp-18, -0x1.dca10eb8b961p-18, -0x1.c5794a0ce53f1p-18, -0x1.ae5c68df36501p-18, -0x1.974ad2c06994cp-18, -0x1.804982650af31p-18, -0x1.695c064b2a3b8p-18, -0x1.52825c77f4869p-18, -0x1.3bc0fa2afd6d1p-18, -0x1.2517389fb6932p-18, -0x1.0e82e439d1e48p-18, -0x1.f00ea6e1ce84dp-19, -0x1.c34f3826df129p-19, -0x1.96c9a423086c9p-19, -0x1.6a7f96346757ep-19, -0x1.3e76413c71dd5p-19, -0x1.12b401232954ep-19, -0x1.ce7221976327fp-20, -0x1.780c24a1e009p-20, -0x1.2240ecc0567c4p-20, -0x1.9a21512bae974p-21, -0x1.e1e29c03c289p-22, -0x1.24085b0c71f53p-23, 0x1.7667d0c9a223cp-23, 0x1.02d8deb32e7e9p-21, 0x1.a6b4dd7a9172cp-21, 0x1.2493ddc4b6705p-20, 0x1.7514d0326c209p-20, 0x1.c4dbb9ab441f1p-20, 0x1.09f51d839cf93p-19, 0x1.311c8e9e8d758p-19, 0x1.57dfbad0f8662p-19, 0x1.7e3d09d1e7c48p-19, 0x1.a434551ad8026p-19, 0x1.c9c7705c9f9d8p-19, 0x1.eef35a2163e72p-19, 0x1.09dab58d6037cp-18, 0x1.1c05fcf853a7dp-18, 0x1.2dfbcc3015ae5p-18, 0x1.3fbd28307ce92p-18, 0x1.5143178bb17e3p-18, 0x1.62955a836434dp-18, 0x1.73af88f5d832ep-18, 0x1.8492094998a88p-18, 0x1.953bd97a3dd0dp-18, 0x1.a5ac782ee4c92p-18, 0x1.b5e39c6060c3cp-18, 0x1.c5e13491ee38p-18, 0x1.d5a545ddda19fp-18, 0x1.e52f4744f5888p-18, 0x1.f47ed3d7a6a76p-18, 0x1.01c9dd6c6497ep-17, 0x1.0936e93c46075p-17, 0x1.108677a8727acp-17, 0x1.17b872a189f9dp-17, 0x1.1eccc8697fcd3p-17, 0x1.25c36d5727291p-17, 0x1.2c9c558371402p-17, 0x1.335760dd7d881p-17, 0x1.39f460095a76p-17, 0x1.407396a9d40f7p-17, 0x1.46d5285df48f2p-17, 0x1.4d18c4f70a7a3p-17, 0x1.533e5120129ddp-17, 0x1.5945f9462d35dp-17, 0x1.5f2fc5b7a5f88p-17, 0x1.64fbb855b8534p-17, 0x1.6aa9d86df5b22p-17, 0x1.703a317a9f744p-17, 0x1.75acd12cbe248p-17, 0x1.7b01c7a3c00e7p-17, 0x1.8039233f6835dp-17, 0x1.8552da19dd429p-17, 0x1.8a4ee7cbbaecdp-17, 0x1.8f2d9adf72f7ap-17, 0x1.93ef30e038fadp-17, 0x1.98938a046698ap-17, 0x1.9d1a92516a191p-17, 0x1.a18498216b0c1p-17, 0x1.a5d1c563ad14dp-17, 0x1.aa022ad53a6c9p-17, 0x1.ae15e525fccaap-17, 0x1.b20d1b2253db8p-17, 0x1.b5e7be2d04ab6p-17, 0x1.b9a5f4c4af272p-17, 0x1.bd485560df3abp-17, 0x1.c0ce94838e059p-17, 0x1.c438d55a0d31dp-17, 0x1.c787733ca95e8p-17, 0x1.caba8ccc0a0fdp-17, 0x1.cdd24298f32e5p-17, 0x1.d0cebd2eeb182p-17, 0x1.d3b0292c4b77bp-17, 0x1.d676b072a2bbcp-17, 0x1.d922806dc8ecap-17, 0x1.dbb3ca43af606p-17, 0x1.de2abff7f51aap-17, 0x1.e0879a10208d1p-17, 0x1.e2ca702636536p-17, 0x1.e4f32252db1a6p-17, 0x1.e702c711126c5p-17, 0x1.e8f8b5f81929ap-17, 0x1.ead5e0c40f828p-17, 0x1.ec99f6305529dp-17, 0x1.ee44c4363f72p-17, 0x1.efd722eeaacd2p-17, 0x1.f1517c6817c11p-17, 0x1.f2b373e86c2b5p-17, 0x1.f3fd73428da76p-17, 0x1.f52fba766c4a3p-17, 0x1.f64ac9f636d42p-17, 0x1.f74e5cfeca9a4p-17, 0x1.f83ae7b939ddep-17, 0x1.f910960266383p-17, 0x1.f9cfc9126e111p-17, 0x1.fa78587935733p-17, 0x1.fb0ad8313e1a9p-17, 0x1.fb8786b6e972ep-17, 0x1.fbee784c78d5p-17, 0x1.fc3fee2204545p-17, 0x1.fc7c28c92d088p-17, 0x1.fca36273cfc07p-17, 0x1.fcb5d6f3739fdp-17, 0x1.fcb3c2b13720cp-17, 0x1.fc9d624580f9ap-17, 0x1.fc72f247c8a56p-17, 0x1.fc34af2fc1339p-17, 0x1.fbe2d54b724bcp-17, 0x1.fb7da0fd50154p-17, 0x1.fb054f386de87p-17, 0x1.fa7a1dce4f59ap-17, 0x1.f9dc4b17727cdp-17, 0x1.f92c14b7091a5p-17, 0x1.f869b5de23bddp-17, 0x1.f7956912bb764p-17, 0x1.f6af735f63264p-17, 0x1.f5b81dc0b0834p-17, 0x1.f4af76e62199dp-17, 0x1.f395e8a5cd277p-17, 0x1.f26b8c12c8223p-17, 0x1.f130a31ea7019p-17, 0x1.efe5901238221p-17, 0x1.ee8a916f899ep-17, 0x1.ed1fdf0a6e807p-17, 0x1.eba58a00c361dp-17, 0x1.ea1bd06d987cap-17, 0x1.e88316472e72fp-17, 0x1.e6db8caad5517p-17, 0x1.e525615b88b7bp-17, 0x1.e361013165e7fp-17, 0x1.e18e39482a25p-17, 0x1.dfadbdaf8f8e6p-17, 0x1.ddbfce7b2bd7ap-17, 0x1.dbc43b0e61205p-17, 0x1.d9bb655d67058p-17, 0x1.d7a5a382df4dcp-17, 0x1.d583294047194p-17, 0x1.d3542eee9ec7bp-17, 0x1.d118ed3bbb706p-17, 0x1.ced19d92a8b9p-17, 0x1.cc7e7970368dap-17, 0x1.ca1fb9fa538e6p-17, 0x1.c7b597edf532bp-17, 0x1.c5404bc91c8b1p-17, 0x1.c2c00e162d30ep-17, 0x1.c035179b2fbe8p-17, 0x1.bd9fa1146f9d1p-17, 0x1.baffe2221d98dp-17, 0x1.b8561003804cep-17, 0x1.b5a25fee7ecf7p-17, 0x1.b2e510387bb09p-17, 0x1.b01e6625689a3p-17, 0x1.ad4e77d34dd87p-17, 0x1.aa75634ad546cp-17, 0x1.a793827df7511p-17, 0x1.a4a92c009c7a2p-17, 0x1.a1b67b2ece5ebp-17, 0x1.9ebb72ef6e479p-17, 0x1.9bb875dd4d44ap-17, 0x1.98adbc3877153p-17, 0x1.959b6cf036dcep-17, 0x1.9281b9ff664ecp-17, 0x1.8f60d9260b2a9p-17, 0x1.8c388e3043ef6p-17, 0x1.890b9dfed085fp-17, 0x1.85d4e6d8ca8b5p-17, 0x1.8299233b5be8fp-17, 0x1.7f57239e08f2cp-17, 0x1.7c0f1a6defdcp-17, 0x1.78c1353209966p-17, 0x1.756da2565857p-17, 0x1.7214901a033a1p-17, 0x1.6eb62c885124bp-17, 0x1.6b52a566f8abbp-17, 0x1.67ea281c99e4dp-17, 0x1.647ce1a6021ffp-17, 0x1.610afe89fd3ffp-17, 0x1.5d94aacc5bdfcp-17, 0x1.5a1a1206353edp-17, 0x1.569b60166d745p-17, 0x1.5318c3df8130fp-17, 0x1.4f9271a6e9634p-17, 0x1.4c088c2902467p-17, 0x1.487aa8075fc79p-17, 0x1.44ea31efa081bp-17, 0x1.41562d481d92cp-17, 0x1.3dbfb64dfdf98p-17, 0x1.3a26032b1d3bep-17, 0x1.3689bec0424a5p-17, 0x1.32eadee98b9a6p-17, 0x1.2f49c08c4c2eep-17, 0x1.2ba66e6c7a991p-17, 0x1.28010ef7d4c23p-17, 0x1.2459b9fe2503p-17, 0x1.20b0a59abf94cp-17, 0x1.1d05f4859b287p-17, 0x1.1959cd56965ebp-17, 0x1.15ac1dd64abdfp-17, 0x1.11fd7dbecf233p-17, 0x1.0e4dab5f4e35cp-17, 0x1.0a9ce099ff7eap-17, 0x1.06eb48c6e719bp-17, 0x1.03390348a6754p-17, 0x1.ff0c616c9fb54p-18, 0x1.f7a5e2bb6f39dp-18, 0x1.f03eca2ae0d17p-18, 0x1.e8d7568e1171fp-18, }}, 
      {{0x1.db3e67885d2dcp+0, 0x1.0e77e9e4a337p+1, 0x1.2b2ca52db566ap+1, 0x1.3d871b7531717p+1, 0x1.4504744cd636fp+1, 0x1.4383222029927p+1, 0x1.3b95101e5df49p+1, 0x1.2fb2f91b4874dp+1, 0x1.21e7f9b8b7cf9p+1, 0x1.13bb398b50ecdp+1, 0x1.0637732e8ac33p+1, 0x1.f3fdc858cca89p+0, 0x1.dec502784ca8ap+0, 0x1.ccefeefa0d224p+0, 0x1.be5928af8bf33p+0, 0x1.b2a903e4b1264p+0, 0x1.a96ce1f9b5cc9p+0, 0x1.a22832d57db63p+0, 0x1.9c603447dfbfp+0, 0x1.97a383ff65bdbp+0, 0x1.938e81eeb6ccdp+0, 0x1.8fcd5d0aada1bp+0, 0x1.8c1c7d4271104p+0, 0x1.8847d7a7d4722p+0, 0x1.842997a0e3ca2p+0, 0x1.7fa86b2393d08p+0, 0x1.7ab5a8ea3eaa9p+0, 0x1.754b764c4447ap+0, 0x1.6f6b055b88e3ap+0, 0x1.691afa5d4ce3fp+0, 0x1.626600bb6f5fep+0, 0x1.5b59925934165p+0, 0x1.5404f0a49ac99p+0, 0x1.4c784c96c2811p+0, 0x1.44c41959f0778p+0, 0x1.3cf884ad1372dp+0, 0x1.35250ffb88ea8p+0, 0x1.2d58453ed2917p+0, 0x1.259f830aacf15p+0, 0x1.1e06db92b3615p+0, 0x1.169903045a5bdp+0, 0x1.0f5f49febf539p+0, 0x1.0861a17401f35p+0, 0x1.01a6a59e91216p+0, 0x1.f6675c4372ff8p-1, 0x1.ea19c387f91dap-1, 0x1.de6a990c76eb6p-1, 0x1.d35dee2d1151dp-1, 0x1.c8f5fdaeec348p-1, 0x1.bf335bc3dafb4p-1, 0x1.b61525142d198p-1, 0x1.ad992c2557abp-1, 0x1.a5bc24a5356a9p-1, 0x1.9e79cc3d919cep-1, 0x1.97cd10c823c7ep-1, 0x1.91b033bbfdf8dp-1, 0x1.8c1ceacc7a2dep-1, 0x1.870c7dbd79ac7p-1, 0x1.8277e179b1e11p-1, 0x1.7e57d07f7fb77p-1, 0x1.7aa4e0c263cfp-1, 0x1.7757971ef7eb9p-1, 0x1.746878859f7c5p-1, 0x1.71d01900ff2cep-1, 0x1.6f8728bb8baeep-1, 0x1.6d867f2e98f95p-1, 0x1.6bc7249b54a9dp-1, 0x1.6a4259f2fb6e1p-1, 0x1.68f19f544c931p-1, 0x1.67ceb93d35d88p-1, 0x1.66d3b48a5bd5fp-1, 0x1.65fae975e4dfp-1, 0x1.653efd980e725p-1, 0x1.649ae522be85ep-1, 0x1.6409e3527724dp-1, 0x1.63878a44d4c15p-1, 0x1.630fba416de35p-1, 0x1.629ea069bf40bp-1, 0x1.6230b5333329dp-1, 0x1.61c2ba4d604dap-1, 0x1.6151b8602e21ep-1, 0x1.60dafcb3c4d1dp-1, 0x1.605c163bb1f6bp-1, 0x1.5fd2d31c62434p-1, 0x1.5f3d3d979cd28p-1, 0x1.5e9998ee4257cp-1, 0x1.5de65ebe03126p-1, 0x1.5d223b85e5177p-1, 0x1.5c4c0bcc2f9dap-1, 0x1.5b62d95f12f6cp-1, 0x1.5a65d7ec3dd3p-1, 0x1.5954629922d35p-1, 0x1.582df93107684p-1, 0x1.56f23d3606b1ep-1, 0x1.55a0efb2e3de1p-1, 0x1.5439ee88defeep-1, 0x1.52bd320835c52p-1, 0x1.512acad75fd05p-1, 0x1.4f82dfa0d5bb2p-1, 0x1.4dc5ab1ae2897p-1, 0x1.4bf37a1bcf101p-1, 0x1.4a0ca9c1d0a72p-1, 0x1.4811a5cf166fep-1, 0x1.4602e7081a438p-1, 0x1.43e0f1be954cap-1, 0x1.41ac546f9c726p-1, 0x1.3f65a66d2cc42p-1, 0x1.3d0d86b010b4dp-1, 0x1.3aa49aade38c3p-1, 0x1.382b8d445cb4bp-1, 0x1.35a30dc0f164fp-1, 0x1.330bceef4cb51p-1, 0x1.3066863add7e8p-1, 0x1.2db3eae99a96p-1, 0x1.2af4b55e29be4p-1, 0x1.28299e69ae529p-1, 0x1.25535eb3b982p-1, 0x1.2272ae2b577bfp-1, 0x1.1f8843808f5a1p-1, 0x1.1c94d3b37f57ap-1, 0x1.199911aad5d19p-1, 0x1.1695adcfe9507p-1, 0x1.138b55bb1780ep-1, 0x1.107ab3e9feab5p-1, 0x1.0d646f785964bp-1, 0x1.0a492be3a2adfp-1, 0x1.072988da9d15bp-1, 0x1.0406221000741p-1, 0x1.00df8f11b3273p-1, 0x1.fb6cc6574bc6dp-2, 0x1.f5165aa02268p-2, 0x1.eebcf00405098p-2, 0x1.e861928c60704p-2, 0x1.e2054536ae51fp-2, 0x1.dba901ebbff72p-2, 0x1.d54db97a71df2p-2, 0x1.cef4539b7c1ep-2, 0x1.c89daf021d58bp-2, 0x1.c24aa16e713eap-2, 0x1.bbfbf7bead18dp-2, 0x1.b5b2760e9b35bp-2, 0x1.af6ed7d7ee467p-2, 0x1.a931d0148383ap-2, 0x1.a2fc0963b812ap-2, 0x1.9cce26333894ep-2, 0x1.96a8c0ea4d8d2p-2, 0x1.908c6c1854f81p-2, 0x1.8a79b2a14927ap-2, 0x1.847117ec7ef79p-2, 0x1.7e7318163b01p-2, 0x1.7880282400561p-2, 0x1.7298b633ed7b4p-2, 0x1.6cbd29ad9e9aep-2, 0x1.66ede37831dbdp-2, 0x1.612b3e2d542dp-2, 0x1.5b758e4a88a09p-2, 0x1.55cd2263af844p-2, 0x1.50324356e2c35p-2, 0x1.4aa5347d79168p-2, 0x1.452633dd7ff3p-2, 0x1.3fb57a5b99c07p-2, 0x1.3a533bea99b64p-2, 0x1.34ffa7b934e77p-2, 0x1.2fbae861ad145p-2, 0x1.2a852419ea51p-2, 0x1.255e7cdcb1ef7p-2, 0x1.20471095ac7dep-2, 0x1.1b3ef94cc0afap-2, 0x1.16464d50c7266p-2, 0x1.115d1f5eca389p-2, 0x1.0c837ec89248p-2, 0x1.07b9779c24dd8p-2, 0x1.02ff12c9ecb8cp-2, 0x1.fca8ac8d3747fp-3, 0x1.f3728a5eccbfp-3, 0x1.ea5bbfd84025ap-3, 0x1.e16448a17a41fp-3, 0x1.d88c1b76c314cp-3, 0x1.cfd32a67f3ap-3, 0x1.c73963144eefap-3, 0x1.bebeaee6ed264p-3, 0x1.b662f3494cb3p-3, 0x1.ae2611d9c57cep-3, 0x1.a607e8a26bc37p-3, 0x1.9e085248eed69p-3, 0x1.9627263f6ef96p-3, 0x1.8e6438f167a32p-3, 0x1.86bf5bf07f5c4p-3, 0x1.7f385e2129de9p-3, 0x1.77cf0be3659c3p-3, 0x1.70832f392e93bp-3, 0x1.69548fecb1cedp-3, 0x1.6242f3b787017p-3, 0x1.5b4e1e636d744p-3, 0x1.5475d1eccdef9p-3, 0x1.4db9cea2cb3e8p-3, 0x1.4719d347ab8a1p-3, 0x1.40959d2e955dep-3, 0x1.3a2ce856f2245p-3, 0x1.33df6f883bf36p-3, 0x1.2dacec6c219dbp-3, 0x1.279517a9af21p-3, 0x1.2197a8fc8fb9ep-3, 0x1.1bb4574b1cfaap-3, 0x1.15ead8bac6cbcp-3, 0x1.103ae2c87520bp-3, 0x1.0aa42a5cab5bfp-3, 0x1.052663df833c8p-3, 0x1.ff82868f94895p-4, 0x1.f4e8f859443ebp-4, 0x1.ea7f83af66128p-4, 0x1.e0458eaeda5c3p-4, 0x1.d63a7f1cbe781p-4, 0x1.cc5dba7ec9357p-4, 0x1.c2aea6326e209p-4, 0x1.b92ca789fb51fp-4, 0x1.afd723ec71a64p-4, 0x1.a6ad80ee278abp-4, 0x1.9daf24660a40cp-4, 0x1.94db747ccbcdep-4, 0x1.8c31d7bf74916p-4, 0x1.83b1b5370673ap-4, 0x1.7b5a7480eef76p-4, 0x1.732b7de20c0a3p-4, 0x1.6b243a530d6cbp-4, 0x1.63441388f3cbfp-4, 0x1.5b8a7404853cbp-4, 0x1.53f6c723b9074p-4, 0x1.4c887934bbf02p-4, 0x1.453ef7849dbc9p-4, 0x1.3e19b065b8422p-4, 0x1.37181335fe5dep-4, 0x1.30399065d698dp-4, 0x1.297d998618ed3p-4, 0x1.22e3a1572bd2fp-4, 0x1.1c6b1bd4495ep-4, 0x1.16137e387b8ebp-4, 0x1.0fdc3eff4ad52p-4, 0x1.09c4d5e91125p-4, 0x1.03ccbc0161e7p-4, 0x1.fbe6d7554e744p-5, 0x1.f070c14fdd327p-5, 0x1.e536304399c7dp-5, 0x1.da36214d0f6c8p-5, 0x1.cf6f94510fa66p-5, 0x1.c4e18c0038c44p-5, 0x1.ba8b0de338a9ap-5, 0x1.b06b226930f6dp-5, 0x1.a680d4f44797p-5, 0x1.9ccb33dc87831p-5, 0x1.9349506a0d4a4p-5, 0x1.89fa3ed0503f7p-5, 0x1.80dd162cf0b88p-5, 0x1.77f0f08deca12p-5, 0x1.6f34eafbfa9fbp-5, 0x1.66a825813864fp-5, 0x1.5e49c328ebb12p-5, 0x1.5618e9f8c5f15p-5, 0x1.4e14c2e85a97fp-5, 0x1.463c79dc1f753p-5, 0x1.3e8f3da55b1f4p-5, 0x1.370c4007fb944p-5, 0x1.2fb2b5be8d4bep-5, 0x1.2881d678b8e46p-5, 0x1.2178dcd58521ap-5, 0x1.1a9706591957p-5, 0x1.13db936400076p-5, 0x1.0d45c72e7f8d4p-5, 0x1.06d4e7c77f933p-5, 0x1.00883e1631c0bp-5, 0x1.f4be2bb30729ap-6, 0x1.e8b17b46cdbfp-6, 0x1.dce90da050df3p-6, 0x1.d1638af933272p-6, 0x1.c61fa0f86fafep-6, 0x1.bb1c02a6590dbp-6, 0x1.b05768670df97p-6, 0x1.a5d08ff6fe72ap-6, 0x1.9b863c65227c1p-6, 0x1.917736075982fp-6, 0x1.87a24a68f75ccp-6, 0x1.7e064c3673532p-6, 0x1.74a2132961c7p-6, 0x1.6b747bf99320dp-6, 0x1.627c68521ccedp-6, 0x1.59b8bec9fe332p-6, 0x1.51286adbda8acp-6, 0x1.48ca5cda2bff5p-6, 0x1.409d89dfca988p-6, 0x1.38a0ebbcf091dp-6, 0x1.30d380e39735ep-6, 0x1.29344c5594adbp-6, 0x1.21c255961aa4ep-6, 0x1.1a7ca89e5c0edp-6, 0x1.136255d35eb19p-6, 0x1.0c7271f9eaa9dp-6, 0x1.05ac162b4113cp-6, 0x1.fe1cbf88306f1p-7, 0x1.f130e0a3bfd0dp-7, 0x1.e492db02d1178p-7, 0x1.d841021beb95p-7, 0x1.cc39b16485889p-7, 0x1.c07b4c37e46adp-7, 0x1.b5043dc072526p-7, 0x1.a9d2f8df363f3p-7, 0x1.9ee5f811d8d92p-7, 0x1.943bbd5542054p-7, 0x1.89d2d205dd875p-7, 0x1.7fa9c6be082b4p-7, 0x1.75bf33374ab1ap-7, 0x1.6c11b62b745cbp-7, 0x1.629ff539592d4p-7, 0x1.59689ccc529f1p-7, 0x1.506a6004136edp-7, 0x1.47a3f89c49216p-7, 0x1.3f1426d2f558bp-7, 0x1.36b9b14de0c47p-7, 0x1.2e9365001fab2p-7, 0x1.26a01506f56edp-7, 0x1.1ede9a9722a2p-7, 0x1.174dd4d724de1p-7, 0x1.0feca8cc32ef3p-7, 0x1.08ba013dc1a48p-7, 0x1.01b4ce9d8216cp-7, 0x1.f5b80de221f65p-8, 0x1.e85d4b77a20edp-8, 0x1.db5757cdb259dp-8, 0x1.cea43f5b594d9p-8, 0x1.c2421907e0b17p-8, 0x1.b62f05fc5c3b6p-8, 0x1.aa693170758ep-8, 0x1.9eeed076d6d28p-8, 0x1.93be21c9b6d17p-8, 0x1.88d56d980804dp-8, 0x1.7e33055397c3cp-8, 0x1.73d5438af1c5cp-8, 0x1.69ba8bc44ad46p-8, 0x1.5fe14a5bf85edp-8, 0x1.5647f468fa135p-8, 0x1.4ced079dce567p-8, 0x1.43cf0a2294d39p-8, 0x1.3aec8a67d0eb4p-8, 0x1.32441ef1e3a3fp-8, 0x1.29d4661fc9928p-8, 0x1.219c05f1ea36fp-8, 0x1.1999abd65033bp-8, 0x1.11cc0c7f50b7fp-8, 0x1.0a31e3c7350b5p-8, 0x1.02c9f4a08ef92p-8, 0x1.f726121ca955bp-9, 0x1.e917e4388bf3cp-9, 0x1.db670f9faca29p-9, 0x1.ce115214f8955p-9, 0x1.c11476b4d904p-9, 0x1.b46e5576dc01cp-9, 0x1.a81cd29f7d631p-9, 0x1.9c1dde2fae0e6p-9, 0x1.906f736f01203p-9, 0x1.850f989ffbbeap-9, 0x1.79fc5ee471f16p-9, 0x1.6f33e252d1ad7p-9, 0x1.64b44a2712282p-9, 0x1.5a7bc8f5c41a2p-9, 0x1.50889cc4717bep-9, 0x1.46d90eee77e7dp-9, 0x1.3d6b73c9bc0c1p-9, 0x1.343e2a10782efp-9, 0x1.2b4f9a225a704p-9, 0x1.229e353d83812p-9, 0x1.1a2874d5851f9p-9, 0x1.11ecda2769ce5p-9, 0x1.09e9ee1eaebd9p-9, 0x1.021e418a0105bp-9, 0x1.f510db2396d1dp-10, 0x1.e64e2888e109ap-10, 0x1.d7f1c21aeb48fp-10, 0x1.c9f911e3f6ap-10, 0x1.bc6194df9adeap-10, 0x1.af28da01b5bdap-10, 0x1.a24c80810dc13p-10, 0x1.95ca35c675e23p-10, 0x1.899fb366dcd4p-10, 0x1.7dcabd80dca5ep-10, 0x1.724921d96e008p-10, 0x1.6718b7dd2246bp-10, 0x1.5c376181bb7dcp-10, 0x1.51a30cca50596p-10, 0x1.4759b58bdd959p-10, 0x1.3d5966ff533aap-10, 0x1.33a03cb680dabp-10, 0x1.2a2c62a93ae27p-10, 0x1.20fc14438fff8p-10, 0x1.180d9a95b0ca7p-10, 0x1.0f5f49f70660dp-10, 0x1.06ef7f8c20478p-10, 0x1.fd793e48812fp-11, 0x1.ed8a23f225902p-11, 0x1.de0e8c178518dp-11, 0x1.cf035e75ee768p-11, 0x1.c06590afb314fp-11, 0x1.b2322ae1fdcd9p-11, 0x1.a4664b91ce769p-11, 0x1.96ff2aff54a33p-11, 0x1.89fa1cdf1fd69p-11, 0x1.7d549010afe99p-11, 0x1.710c0c5a1ae5p-11, 0x1.651e2e945296cp-11, 0x1.5988a4020aaaep-11, 0x1.4e4925a8f4d8dp-11, 0x1.435d747922b24p-11, 0x1.38c356dcf9e57p-11, 0x1.2e789803c9c55p-11, 0x1.247b08eb3b65dp-11, 0x1.1ac882dfb9b27p-11, 0x1.115eeae914141p-11, 0x1.083c356b9ce71p-11, 0x1.febcd276bc9cbp-12, 0x1.ed8742fc9d88fp-12, 0x1.dcd41c0087ab6p-12, 0x1.cc9fe3eed0df6p-12, 0x1.bce743197bbcp-12, 0x1.ada6fd64c0a95p-12, 0x1.9edbebb4cd9cfp-12, 0x1.9082f611c961ap-12, 0x1.82990f5d3732cp-12, 0x1.751b32b25f915p-12, 0x1.680662c2a9fb6p-12, 0x1.5b57ab30e02cep-12, 0x1.4f0c237ccd663p-12, 0x1.4320f2f601309p-12, 0x1.379354a64c8aap-12, 0x1.2c609aa4c0c8ep-12, 0x1.218630275e773p-12, 0x1.17019a1630727p-12, 0x1.0cd0763c4f74dp-12, 0x1.02f0795ecc29p-12, 0x1.f2bed92ad7f47p-13, 0x1.e036547a83fc7p-13, 0x1.ce4335b30af91p-13, 0x1.bce1648aa83d1p-13, 0x1.ac0cdb8bb72d1p-13, 0x1.9bc1a67955c72p-13, 0x1.8bfbe2aad3a4fp-13, 0x1.7cb7c0a74d9acp-13, 0x1.6df184cfb89c1p-13, 0x1.5fa586ce53a7bp-13, 0x1.51d0308c4d7afp-13, 0x1.446dfe9474dccp-13, 0x1.377b839c67ee3p-13, 0x1.2af56ef45805ep-13, 0x1.1ed89370b8646p-13, 0x1.1321eb373896dp-13, 0x1.07ce95bfab2fcp-13, 0x1.f9b7a0052ce87p-14, 0x1.e48dd36fff9eep-14, 0x1.d01a78fcf05cap-14, 0x1.bc58519c4598bp-14, 0x1.a942330c7d6a1p-14, 0x1.96d3155aee25fp-14, 0x1.85061b69cc96cp-14, 0x1.73d68d7a08677p-14, 0x1.633fc5d27d055p-14, 0x1.533d1a60f8eb1p-14, 0x1.43c9d3514446ap-14, 0x1.34e1398e5aeabp-14, 0x1.267ebacc67b3ap-14, 0x1.189e132fd5ef4p-14, 0x1.0b3b677e8ccb7p-14, 0x1.fca6827f24b03p-15, 0x1.e3c4dcacd7059p-15, 0x1.cbcba7725276bp-15, 0x1.b4b4915edd968p-15, 0x1.9e7913915d8e4p-15, 0x1.8912888fa315p-15, 0x1.747a55bb6b22cp-15, 0x1.60aa0e1d38b24p-15, 0x1.4d9b7c3664cf4p-15, 0x1.3b488076aae8ap-15, 0x1.29aade407409ep-15, 0x1.18bc1a57b487cp-15, 0x1.0875850eaf892p-15, 0x1.f1a104c2868e1p-16, 0x1.d38df15e47ff7p-16, 0x1.b6a75dc3b3967p-16, 0x1.9ae4ca509f3dap-16, 0x1.803f30557fca9p-16, 0x1.66b025b36f7fcp-16, 0x1.4e311c18a99a6p-16, 0x1.36bb199be15bap-16, 0x1.2046e414db72bp-16, 0x1.0acd4a2850067p-16, 0x1.ec8e73aba1b69p-17, 0x1.c55b1dfeff14p-17, 0x1.9ff172579c617p-17, 0x1.7c40ce16192e3p-17, 0x1.5a36c4a8eaea1p-17, 0x1.39bf635ff4637p-17, 0x1.1ac616a5e5a92p-17, 0x1.fa6e465292e8bp-18, 0x1.c202cb47d3d56p-18, 0x1.8c2f5c4416ce3p-18, 0x1.58e1d1172c8fdp-18, 0x1.280d74a5c13cep-18, 0x1.f34cd3a482cdcp-19, 0x1.9b3c042aedf74p-19, 0x1.47c49a6a2a099p-19, 0x1.f182a930b4caep-20, 0x1.5c239f94d4352p-20, 0x1.9e745ebc2b418p-21, 0x1.2a792c1fa9239p-22, -0x1.8ed055c5e120dp-23, -0x1.4cce3f5e2ed4ep-21, -0x1.135635424a01bp-20, -0x1.7907f2dd75a44p-20, -0x1.d7ea0393ce96bp-20, -0x1.1838342d3dc84p-19, -0x1.41872f3c2ebb5p-19, -0x1.6815ddec2b9a9p-19, -0x1.8c0bf3f65adddp-19, -0x1.ad810b0d50ed1p-19, -0x1.cc7f14683e424p-19, -0x1.e90af40350b5bp-19, -0x1.019705ef19ff8p-18, -0x1.0d7d8890df72fp-18, -0x1.1845b62ec5943p-18, -0x1.21fc6db40b44bp-18, -0x1.2aab9e1f9f165p-18, -0x1.3258c6cc33553p-18, -0x1.39065fa24f036p-18, -0x1.3eb7edef7af27p-18, -0x1.43759b6b0f254p-18, -0x1.474c3374853bfp-18, -0x1.4a4a15e85e917p-18, -0x1.4c7c41e18c27ap-18, -0x1.4dedc38c1532fp-18, -0x1.4ea95018bfba5p-18, -0x1.4ebb08aa60a6fp-18, -0x1.4e30950037744p-18, -0x1.4d17847acc95ap-18, -0x1.4b7aefc1f70c1p-18, -0x1.496154a487e7dp-18, -0x1.46cc36bf3f0ep-18, -0x1.43bac2a1d5287p-18, -0x1.402e194ccfe56p-18, -0x1.3c2be8e0b2c22p-18, -0x1.37bcc23cea4dep-18, -0x1.32e7649dd067bp-18, -0x1.2dae2fb374ccap-18, -0x1.2811abc9be008p-18, -0x1.2214a96ee69f8p-18, -0x1.1bbdabd9aa20cp-18, -0x1.151565ab8a252p-18, -0x1.0e2440ab3d407p-18, -0x1.06f07a258e011p-18, -0x1.fefb11ec925eep-19, -0x1.ef99d7b70ea2dp-19, -0x1.dfbfad7501aap-19, -0x1.cf7195f48cb24p-19, -0x1.beb986e0095c8p-19, -0x1.ada7e477c34c1p-19, -0x1.9c508a52e3a86p-19, -0x1.8ac15ec712a8p-19, -0x1.78fc3d6b65f97p-19, -0x1.66fd9655c4d8dp-19, -0x1.54c74aef56dedp-19, -0x1.4260c7d7daefcp-19, -0x1.2fce5f5b1e24dp-19, -0x1.1d10546667b97p-19, -0x1.0a2a2db0074f5p-19, -0x1.ee46e8709454fp-20, -0x1.c8047eb57ae7ep-20, -0x1.a194fbdeb7f2p-20, -0x1.7b026be66275dp-20, -0x1.545b766ba286ep-20, -0x1.2dae239607eddp-20, -0x1.070310f9fa537p-20, -0x1.c0b8cd8b05f7dp-21, -0x1.737277c66d6f6p-21, -0x1.2634b452d8d46p-21, -0x1.b2120bbf78ee9p-22, -0x1.18084c793c6bbp-22, -0x1.fa53b3fcf44ep-24, 0x1.a0953dce39522p-26, 0x1.63c6723e945e1p-23, 0x1.492aecb30589cp-22, 0x1.dfbcd88cbe567p-22, 0x1.3a99f0e942c0ep-21, 0x1.84b2f17800f5p-21, 0x1.ce3a8c2fde117p-21, 0x1.0b9f2f4428833p-20, 0x1.2fda7bcea3318p-20, 0x1.53c37780b3141p-20, 0x1.7751862d2d23p-20, 0x1.9a85571fcedb1p-20, 0x1.bd6253dfa5473p-20, 0x1.dfe5f27e3da36p-20, 0x1.0104785dc9b8p-19, 0x1.11e28f2f200b1p-19, 0x1.228c0ba33cc0fp-19, 0x1.330126d8ebabfp-19, 0x1.43422627b6d29p-19, 0x1.534e8b46bd5f6p-19, 0x1.6325d58e4781p-19, 0x1.72c667225d0f2p-19, 0x1.822b6d9ae66b3p-19, 0x1.91530be69b96ap-19, 0x1.a0417733124f2p-19, 0x1.aef762f32999dp-19, 0x1.bd714e74bd6c1p-19, 0x1.cbb0b3cee9088p-19, 0x1.d9b87fb7439aap-19, 0x1.e784975dd1437p-19, 0x1.f5103f6d84ca4p-19, 0x1.012d362e018bep-18, 0x1.07b30eb221887p-18, 0x1.0e1a1eec7e896p-18, 0x1.14616ce36f412p-18, 0x1.1a88f1cf6a12bp-18, 0x1.2091ba60b85ebp-18, 0x1.267be80167ecp-18, 0x1.2c46c3e4da95cp-18, 0x1.31f1cc59ae474p-18, 0x1.377cff2b571a5p-18, 0x1.3ce899970404p-18, 0x1.4234c8ac1543dp-18, 0x1.4761997a80de3p-18, 0x1.4c6f64f8ecbffp-18, 0x1.515e9c9963acp-18, 0x1.562e982fe3b5ep-18, 0x1.5adf097b6e196p-18, 0x1.5f707c5ffc0bcp-18, 0x1.63e26bfac3ed8p-18, 0x1.68358a9959542p-18, 0x1.6c6ae74b453cep-18, 0x1.708240e10d878p-18, 0x1.747b656981cedp-18, 0x1.78569a8902619p-18, 0x1.7c143292dfe5bp-18, 0x1.7fb414d1319c9p-18, 0x1.8336063aa0e6p-18, 0x1.869a84f042832p-18, 0x1.89e201dc6d622p-18, 0x1.8d0c5b200670bp-18, 0x1.901a0ea56e303p-18, 0x1.930bc49eead76p-18, 0x1.95e18113baabfp-18, 0x1.989b375d7de82p-18, 0x1.9b3919687bae4p-18, 0x1.9dbb776cfe598p-18, 0x1.a0229d659a907p-18, 0x1.a26ec9e8bba65p-18, 0x1.a4a05dfc2b89ap-18, 0x1.a6b7e87b5aa44p-18, 0x1.a8b572beab4fcp-18, 0x1.aa98ec59cf757p-18, 0x1.ac6299579ec33p-18, 0x1.ae12e723166c2p-18, 0x1.afaa7b8e79551p-18, 0x1.b1296c128a2ap-18, 0x1.b28fd85e98b62p-18, 0x1.b3de06787ba7ep-18, 0x1.b5145ad5442b8p-18, 0x1.b6334986ca071p-18, 0x1.b73a7d6d46558p-18, 0x1.b82b120d2139cp-18, 0x1.b904faa8d93cdp-18, 0x1.b9c8986609fadp-18, 0x1.ba7612953cc2ap-18, 0x1.bb0dada7d4b44p-18, 0x1.bb8fb96220672p-18, 0x1.bbfc90cea6f71p-18, 0x1.bc5492ca1dc2dp-18, 0x1.bc97fc76a0abfp-18, 0x1.bcc711c736269p-18, 0x1.bce2216493e19p-18, 0x1.bce97a17c9d8ap-18, 0x1.bcdd68ef9749p-18, 0x1.bcbe399f307bfp-18, 0x1.bc8c38539ed99p-18, 0x1.bc47b2422c9ccp-18, 0x1.bbf0f34fcb35ep-18, 0x1.bb883f3f0475p-18, 0x1.bb0dd36a6d4abp-18, 0x1.ba821502040c4p-18, 0x1.b9e55cb691f4cp-18, 0x1.b937d8c0e9fb9p-18, 0x1.b879c91e61887p-18, 0x1.b7ab865718af7p-18, 0x1.b6cd5af3bf306p-18, 0x1.b5df8e28aee78p-18, 0x1.b4e2681d57c87p-18, 0x1.b3d63171a3de1p-18, 0x1.b2bb3277bc02ep-18, 0x1.b191b3532c546p-18, 0x1.b059fa30ae1dep-18, 0x1.af1441950932p-18, 0x1.adc0c535177a1p-18, 0x1.ac5fe3596d03ap-18, 0x1.aaf1f1ccac86fp-18, 0x1.a9771cf87ec9ap-18, 0x1.a7ef952fc9803p-18, 0x1.a65bb3eb576dep-18, 0x1.a4bbc1d1b9c4ep-18, 0x1.a30ffba47f34ap-18, 0x1.a158a22e28364p-18, 0x1.9f95f958d9645p-18, 0x1.9dc82d4972f2ap-18, 0x1.9bef7fdba5dbfp-18, 0x1.9a0c6094086e5p-18, 0x1.981edf0180895p-18, 0x1.9627386bb3a83p-18, 0x1.9425c01e76aaep-18, 0x1.921aaf2a3cc2p-18, 0x1.90063e828c7aap-18, 0x1.8de8a955d5efbp-18, 0x1.8bc22b3eb1ccp-18, 0x1.8992feaff534p-18, 0x1.875b5dd9f4649p-18, 0x1.851b82bba74bep-18, 0x1.82d3a7033f0b5p-18, 0x1.80840537d1776p-18, 0x1.7e2ccfc94e7dfp-18, 0x1.7bce2bb6e168fp-18, 0x1.796883e556351p-18, 0x1.76fbdbdfaa572p-18, 0x1.7488954df066dp-18, 0x1.720ec424c437ep-18, 0x1.6f8e7a831606ep-18, 0x1.6d0820130feffp-18, 0x1.6a7bfcf21fd24p-18, 0x1.67ea0a0aed0a8p-18, 0x1.65528da4142bfp-18, 0x1.62b5c447b6e4ap-18, 0x1.6013d9a8e5104p-18, 0x1.5d6d008c483c9p-18, 0x1.5ac164cd4cc0dp-18, 0x1.5811220985403p-18, 0x1.555c89129f704p-18, 0x1.52a39db5d4c9ep-18, 0x1.4fe6ac264aa57p-18, 0x1.4d25e2160f174p-18, 0x1.4a615ef5b11b5p-18, 0x1.47994f253106cp-18, 0x1.44cdde883422fp-18, 0x1.41ff36a5bbf13p-18, 0x1.3f2d80d42460ap-18, 0x1.3c58e5f076898p-18, 0x1.39818e3c0a276p-18, 0x1.36a7a151e188cp-18, 0x1.33cb4622b6bc1p-18, 0x1.30eca2f3170bcp-18, 0x1.2e0bdd72f5625p-18, 0x1.2b291aec69e79p-18, 0x1.28448062314c4p-18, 0x1.255e3273890c4p-18, 0x1.227654ee40548p-18, 0x1.1f8d0a31d442bp-18, 0x1.1ca273d0fe13p-18, 0x1.19b6b68af9085p-18, 0x1.16c9f7f9f7272p-18, 0x1.13dc4888293a2p-18, 0x1.10edd86cfbd9ap-18, 0x1.0dfebabf2fa14p-18, 0x1.0b0f109a6c491p-18, 0x1.081f0615c980ap-18, 0x1.052eb9f796a9ap-18, 0x1.023e480505ce8p-18, 0x1.fe9b7c04fe1d8p-19, 0x1.f8ba717d8fe61p-19, 0x1.f2d9c40177a37p-19, 0x1.ecf9b063999d6p-19, 0x1.e71a6538f4329p-19, 0x1.e13c14f559b6p-19, 0x1.db5ed07716b47p-19, 0x1.d582f55f06211p-19, 0x1.cfa8dbb6f298ep-19, 0x1.c9d06ea7c2b4fp-19, 0x1.c3f9ebaee3d71p-19, 0x1.be2594a10c868p-19, 0x1.b853956a08d65p-19, 0x1.b2841b75d6474p-19, 0x1.acb7535630e4bp-19, 0x1.a6ed6938fe2f9p-19, 0x1.a126889651e9bp-19, 0x1.9b62dbf9ba1f9p-19, 0x1.95a28cfc55f2dp-19, 0x1.8fe5c464022p-19, 0x1.8a2caa57b3b4fp-19, 0x1.84776680a22ep-19, 0x1.7ec61fe0418cfp-19, 0x1.7918fc2421afep-19, 0x1.73701edab0b35p-19, 0x1.6dcbaaf37504dp-19, 0x1.682bc89241d6fp-19, 0x1.6290a3aeda8cdp-19, 0x1.5cfa49d3b098ep-19, 0x1.5768cd06b2554p-19, 0x1.51dc64b605de5p-19, 0x1.4c55459d27942p-19, 0x1.46d37e69a77c5p-19, 0x1.41570e4f1799ap-19, 0x1.3be02fe25ce5cp-19, 0x1.366f028ff38b9p-19, 0x1.31039aa20d7d6p-19, 0x1.2b9e12964b06ep-19, 0x1.263e86004edf7p-19, 0x1.20e4e67ac7986p-19, 0x1.1b923d24b14cp-19, 0x1.1644b2c156588p-19, 0x1.10fe0600e5d31p-19, 0x1.0bbdcdfbf2a08p-19, 0x1.0684220aa06cep-19, 0x1.01511746bf6cap-19, 0x1.f849853d531ecp-20, 0x1.edfe70f14ba46p-20, 0x1.e3c11978a72b7p-20, 0x1.d991a590c74d2p-20, 0x1.cf703acd826acp-20, 0x1.c55cfd9a22799p-20, 0x1.bb58114e068b4p-20, 0x1.b1619817eb5d8p-20, 0x1.a779b2c356264p-20, 0x1.9da08169e8dc4p-20, 0x1.93d625a470061p-20, 0x1.8a1ac5e399d4dp-20, 0x1.806e88899d4aap-20, 0x1.76d0a62af845p-20, 0x1.6d43358d8798ep-20, 0x1.63c463b19b86fp-20, 0x1.5a557ae16755fp-20, 0x1.50f5d41a33c0dp-20, 0x1.47a60501c1953p-20, 0x1.3e65a9ebc16efp-20, 0x1.3535402f3556p-20, 0x1.2c14ba986b6b1p-20, 0x1.230408bb0a59bp-20, 0x1.1a03717d0964fp-20, 0x1.1112fd62ae9a5p-20, 0x1.0832afaf44671p-20, 0x1.fec538e1608cap-21, 0x1.ed45398fe1203p-21, 0x1.dbe66dae298fep-21, 0x1.caa8216240a91p-21, 0x1.b98a9d63ced6dp-21, 0x1.a88e0bb4709f4p-21, 0x1.97b27d13b22e2p-21, 0x1.86f80418dbd4ap-21, 0x1.765eb22a32aaep-21, 0x1.65e6971ef3052p-21, 0x1.558fc15439775p-21, }}, 
      {{-0x1.bc51d0b385da8p-1, -0x1.bc281c75c5fabp-1, -0x1.bbe24c62952b7p-1, -0x1.bb7fefd25f22fp-1, -0x1.bb0071f7dc174p-1, -0x1.ba632147bbf8cp-1, -0x1.b9a7377431db9p-1, -0x1.b8cbe17219aafp-1, -0x1.b7d0471f4244cp-1, -0x1.b6b39240277cfp-1, -0x1.b574f4a7dfc23p-1, -0x1.b413ad75b825cp-1, -0x1.b28f0d6744bfp-1, -0x1.b0e67a4a9532bp-1, -0x1.af1971a347e3bp-1, -0x1.ad278a97dd2c7p-1, -0x1.ab10773c919cap-1, -0x1.a8d4054fa1863p-1, -0x1.a6721e7928b55p-1, -0x1.a3eac81f528a5p-1, -0x1.a13e22de69c5dp-1, -0x1.9e6c69b38045dp-1, -0x1.9b75f0e7b4d42p-1, -0x1.985b24c9646e4p-1, -0x1.951c883fcfd73p-1, -0x1.91bab344b9ae8p-1, -0x1.8e36514e64108p-1, -0x1.8a901fb30fc0ap-1, -0x1.86c8ec0dbe956p-1, -0x1.82e192aa9e51dp-1, -0x1.7edafd002688dp-1, -0x1.7ab62038b2dd4p-1, -0x1.7673fbcf39355p-1, -0x1.72159840c134fp-1, -0x1.6d9c05d361273p-1, -0x1.69085b72d735bp-1, -0x1.645bb5a247f4dp-1, -0x1.5f97358245469p-1, -0x1.5abbffe9f2f14p-1, -0x1.55cb3c91f9216p-1, -0x1.50c6154fd7cb6p-1, -0x1.4badb5602e1d7p-1, -0x1.468348be9465bp-1, -0x1.4147fb89b86a9p-1, -0x1.3bfcf9728cf73p-1, -0x1.36a36d357c24cp-1, -0x1.313c801cac07cp-1, -0x1.2bc9598a8baap-1, -0x1.264b1e8bff351p-1, -0x1.20c2f1719bef3p-1, -0x1.1b31f16f848a7p-1, -0x1.15993a4390e6ep-1, -0x1.0ff9e3e174865p-1, -0x1.0a550224b6d7dp-1, -0x1.04aba48850b4cp-1, -0x1.fdfdabc7a5d7bp-2, -0x1.f29f385bf83bap-2, -0x1.e73df0895596fp-2, -0x1.dbdbcb7434698p-2, -0x1.d07ab54ea4935p-2, -0x1.c51c8f077b66bp-2, -0x1.b9c32e03908afp-2, -0x1.ae705be0dd11bp-2, -0x1.a325d6433cf88p-2, -0x1.97e54eaa90ae1p-2, -0x1.8cb06a51e867dp-2, -0x1.8188c2176d30fp-2, -0x1.766fe26c9d447p-2, -0x1.6b674b4e7fc76p-2, -0x1.607070455bc6fp-2, -0x1.558cb86b8253fp-2, -0x1.4abd7e7abb251p-2, -0x1.400410dfcfcedp-2, -0x1.3561b1d3c1e52p-2, -0x1.2ad7977a2f20dp-2, -0x1.2066ec045d633p-2, -0x1.1610cdd881865p-2, -0x1.0bd64fbcb5ffap-2, -0x1.01b8790537c6fp-2, -0x1.ef708b8adbd83p-3, -0x1.dbad4e0693e58p-3, -0x1.c82905d93ea1fp-3, -0x1.b4e56a1bf8652p-3, -0x1.a1e41d15698fep-3, -0x1.8f26acab69dd7p-3, -0x1.7cae92d5a56efp-3, -0x1.6a7d36108d7cp-3, -0x1.5893e9d015ff3p-3, -0x1.46f3eef1b9c91p-3, -0x1.359e742d49d5ap-3, -0x1.2494968427215p-3, -0x1.13d761ae80f57p-3, -0x1.0367d08656943p-3, -0x1.e68d9adfd32bbp-4, -0x1.c6ea657ed69d9p-4, -0x1.a7e79637906ecp-4, -0x1.8986a3bc9d26p-4, -0x1.6bc8e6de6e09bp-4, -0x1.4eaf9b3dcecf8p-4, -0x1.323bdff7e89c7p-4, -0x1.166eb84bb3351p-4, -0x1.f6921871d45b7p-5, -0x1.c197523134534p-5, -0x1.8dee845ed6335p-5, -0x1.5b98e273b5b3ap-5, -0x1.2a976de5398dbp-5, -0x1.f5d5ee4d6b424p-6, -0x1.99283d4099fbep-6, -0x1.3f26ab375f5a6p-6, -0x1.cfa37c9de0cb6p-7, -0x1.265343c690b27p-7, -0x1.04b8a0cf82967p-8, 0x1.c42680cfeca6p-11, 0x1.6b1538465600bp-8, 0x1.497eab6b589bfp-7, 0x1.d8219b98db656p-7, 0x1.30bb8ad956a55p-6, 0x1.72c1b1aa3862dp-6, 0x1.b225b5fec67bcp-6, 0x1.eeea5935da048p-6, 0x1.1489547f8fccap-5, 0x1.3050ff081e037p-5, 0x1.4acdfd6e1c283p-5, 0x1.640245261749fp-5, 0x1.7befef3c2f31ap-5, 0x1.929937b047e34p-5, 0x1.a8007cd19b08fp-5, 0x1.bc283e9929e89p-5, 0x1.cf131e02c3e5dp-5, 0x1.e0c3dc6456f8p-5, 0x1.f13d5ac331101p-5, 0x1.00414c9383ee3p-4, 0x1.074b5af53f377p-4, 0x1.0dbe768481901p-4, 0x1.139c4bb4f2a86p-4, 0x1.18e6951436132p-4, 0x1.1d9f1aec77a7fp-4, 0x1.21c7b2e56bb99p-4, 0x1.25623fa3c0d4ep-4, 0x1.2870b066f989dp-4, 0x1.2af500a5bb426p-4, 0x1.2cf137a88ce07p-4, 0x1.2e67682316bbp-4, 0x1.2f59afcbe3453p-4, 0x1.2fca36f2b711fp-4, 0x1.2fbb301583e5bp-4, 0x1.2f2ed77417bb4p-4, 0x1.2e2772a289528p-4, 0x1.2ca7501a84ef6p-4, 0x1.2ab0c6cb8b965p-4, 0x1.284635aa34f49p-4, 0x1.256a033e9cc4fp-4, 0x1.221e9d320d1c1p-4, 0x1.1e6677dbfc4cep-4, 0x1.1a440dce89adp-4, 0x1.15b9df6286f15p-4, 0x1.10ca72433a1e1p-4, 0x1.0b7850f9eb645p-4, 0x1.05c60a7962a2fp-4, 0x1.ff6c6352ef1adp-5, 0x1.f296b9e590593p-5, 0x1.e5104b9587479p-5, 0x1.d6de508039274p-5, 0x1.c806050f92eb2p-5, 0x1.b88ca91555038p-5, 0x1.a8777ee7f74dfp-5, 0x1.97cbca814f611p-5, 0x1.868ed09f4a20ep-5, 0x1.74c5d5e6d7389p-5, 0x1.62761e095001dp-5, 0x1.4fa4eaec8ea12p-5, 0x1.3c577bd5e422bp-5, 0x1.28930c981ed97p-5, 0x1.145cd4c4e2cc4p-5, 0x1.ff740dc2e161ap-6, 0x1.d55f9f3e18046p-6, 0x1.aa86aa2e6452dp-6, 0x1.7ef36c17965c4p-6, 0x1.52b01256f05a1p-6, 0x1.25c6b8b43e7c6p-6, 0x1.f082cff79b074p-7, 0x1.94542942aebf5p-7, 0x1.37153ad8780ebp-7, 0x1.b1b328b527ce4p-8, 0x1.e6d253f15a38p-9, 0x1.9b969156341b2p-11, -0x1.1c13e0de42c8cp-9, -0x1.50e79e8379244p-8, -0x1.0a80960a6fd14p-7, -0x1.6d190258a0ce1p-7, -0x1.d02b07bf31bap-7, -0x1.19d26cc70ac12p-6, -0x1.4bba7657226bbp-6, -0x1.7dc4fcb40939dp-6, -0x1.afe97e8a1129p-6, -0x1.e21f9ddb748cep-6, -0x1.0a2f9061a206dp-5, -0x1.234ff916cdc8ap-5, -0x1.3c6d114298e16p-5, -0x1.5582f42b0ed01p-5, -0x1.6e8dd0730f07dp-5, -0x1.8789e861207fap-5, -0x1.a07392210d4fp-5, -0x1.b947380047bfbp-5, -0x1.d20158a536bc2p-5, -0x1.ea9e87415c969p-5, -0x1.018db5df491b3p-4, -0x1.0dba617393c2dp-4, -0x1.19d3af44a5ff2p-4, -0x1.25d812cac51a5p-4, -0x1.31c60a1c4674bp-4, -0x1.3d9c1df820511p-4, -0x1.4958e1ce3643ap-4, -0x1.54faf3c55dbdfp-4, -0x1.6080fcbf3cd9ep-4, -0x1.6be9b059fe1bap-4, -0x1.7733ccefe95abp-4, -0x1.825e1b94f5dfbp-4, -0x1.8d677012571fp-4, -0x1.984ea8e01ded5p-4, -0x1.a312af1cec982p-4, -0x1.adb27683d8cc7p-4, -0x1.b82cfd6088514p-4, -0x1.c2814c8187e12p-4, -0x1.ccae7728fa379p-4, -0x1.d6b39afba5d5ap-4, -0x1.e08fdfee6fe9cp-4, -0x1.ea42783250abcp-4, -0x1.f3caa01ee0d74p-4, -0x1.fd279e1b625cfp-4, -0x1.032c61434a9b2p-3, -0x1.07aeb3ce8ac18p-3, -0x1.0c1a78af547c6p-3, -0x1.106f66b91aa32p-3, -0x1.14ad398456693p-3, -0x1.18d3b15f701fcp-3, -0x1.1ce2933f20812p-3, -0x1.20d9a8ae5c1eep-3, -0x1.24b8bfbdc48b7p-3, -0x1.287faaf2aaaecp-3, -0x1.2c2e4135a86f5p-3, -0x1.2fc45dc0d8b76p-3, -0x1.3341e00daeb91p-3, -0x1.36a6abc27e07bp-3, -0x1.39f2a89fa9da6p-3, -0x1.3d25c26c979dp-3, -0x1.403fe8e44a6c7p-3, -0x1.43410fa1d378bp-3, -0x1.46292e0c7c094p-3, -0x1.48f83f43c3859p-3, -0x1.4bae420b2a7a2p-3, -0x1.4e4b38b5dd10fp-3, -0x1.50cf29122e0adp-3, -0x1.533a1c54ff3fap-3, -0x1.558c1f050eda6p-3, -0x1.57c540e624ea3p-3, -0x1.59e594e441d5p-3, -0x1.5bed30feb50a3p-3, -0x1.5ddc2e3332d3ep-3, -0x1.5fb2a868e5c2ap-3, -0x1.6170be5b82bc8p-3, -0x1.631691865d0c3p-3, -0x1.64a4460f9311p-3, -0x1.661a02b334c6ep-3, -0x1.6777f0ae89f8cp-3, -0x1.68be3bab6766dp-3, -0x1.69ed11ab9badp-3, -0x1.6b04a2f47a113p-3, -0x1.6c0521fa8339cp-3, -0x1.6ceec34d2bcc5p-3, -0x1.6dc1bd82caa16p-3, -0x1.6e7e4924b2f2fp-3, -0x1.6f24a09b6d54dp-3, -0x1.6fb5001b28f7dp-3, -0x1.702fa5905482bp-3, -0x1.7094d08c69ef3p-3, -0x1.70e4c232f2b26p-3, -0x1.711fbd26b9a2fp-3, -0x1.7146057739908p-3, -0x1.7157e08e488c2p-3, -0x1.7155951dfb7dp-3, -0x1.713f6b0ec03ddp-3, -0x1.7115ab6dc521ep-3, -0x1.70d8a05b95418p-3, -0x1.708894fafc059p-3, -0x1.7025d5602aabap-3, -0x1.6fb0ae8021854p-3, -0x1.6f296e2060764p-3, -0x1.6e9062c6da4d5p-3, -0x1.6de5dbaa38279p-3, -0x1.6d2a28a258a47p-3, -0x1.6c5d9a19254d5p-3, -0x1.6b8080fbaad6dp-3, -0x1.6a932eab7b44fp-3, -0x1.6995f4f0601b2p-3, -0x1.688925ea558dap-3, -0x1.676d1403d158ep-3, -0x1.664211e4553dfp-3, -0x1.6508726355f0ap-3, -0x1.63c0887b615a3p-3, -0x1.626aa73da057p-3, -0x1.610721c59b4ddp-3, -0x1.5f964b2d52571p-3, -0x1.5e1876819ca3ep-3, -0x1.5c8df6b6e0bc4p-3, -0x1.5af71e9e088d3p-3, -0x1.595440d9d2b46p-3, -0x1.57a5afd46401ap-3, -0x1.55ebbdb530eeap-3, -0x1.5426bc572589ep-3, -0x1.5256fd3f28dd6p-3, -0x1.507cd192db433p-3, -0x1.4e988a0faaee8p-3, -0x1.4caa770230952p-3, -0x1.4ab2e83dcfd3dp-3, -0x1.48b22d14a79e1p-3, -0x1.46a8944fc74ap-3, -0x1.44966c27ae605p-3, -0x1.427c023d10273p-3, -0x1.4059a391dd8cp-3, -0x1.3e2f9c8298ef7p-3, -0x1.3bfe38bfeb096p-3, -0x1.39c5c3487b87bp-3, -0x1.378686630f29fp-3, -0x1.3540cb98e6137p-3, -0x1.32f4dbb05f9a8p-3, -0x1.30a2fea7d7447p-3, -0x1.2e4b7bb0c81fcp-3, -0x1.2bee992b2e926p-3, -0x1.298c9ca120b0ap-3, -0x1.2725cac2acf37p-3, -0x1.24ba6761ee957p-3, -0x1.224ab56f5cdffp-3, -0x1.1fd6f6f659ccap-3, -0x1.1d5f6d19f3ab5p-3, -0x1.1ae45811d9cd1p-3, -0x1.1865f7279cd39p-3, -0x1.15e488b406c19p-3, -0x1.13604a1cc315bp-3, -0x1.10d977d224ce2p-3, -0x1.0e504d4d30269p-3, -0x1.0bc5050dc9485p-3, -0x1.0937d8991c268p-3, -0x1.06a900782befdp-3, -0x1.0418b43698282p-3, -0x1.01872a61840fdp-3, -0x1.fde9310d78fefp-4, -0x1.f8c26667e3fc5p-4, -0x1.f39a5bec60d51p-4, -0x1.ee7176b2e3d17p-4, -0x1.e94819d0c0dcap-4, -0x1.e41ea6587c052p-4, -0x1.def57b59de997p-4, -0x1.d9ccf5e25d305p-4, -0x1.d4a570fdb5fdbp-4, -0x1.cf7f45b6eaa19p-4, -0x1.ca5acb196cfbbp-4, -0x1.c53856328ed87p-4, -0x1.c0183a1332b5ep-4, -0x1.bafac7d1ba1a8p-4, -0x1.b5e04e8c2dfa9p-4, -0x1.b0c91b6aa12abp-4, -0x1.abb579a1c4152p-4, -0x1.a6a5b275b6013p-4, -0x1.a19a0d3d04182p-4, -0x1.9c92cf63d7eap-4, -0x1.97903c6f58159p-4, -0x1.929296013bf44p-4, -0x1.8d9a1bdb7c4e3p-4, -0x1.88a70be43d397p-4, -0x1.83b9a229d71dep-4, -0x1.7ed218e7055e1p-4, -0x1.79f0a88742bdcp-4, -0x1.751587ab3a5d7p-4, -0x1.7040eb2d6a525p-4, -0x1.6b730626d47dbp-4, -0x1.66ac09f3de5dbp-4, -0x1.61ec26393e691p-4, -0x1.5d3388e90e89fp-4, -0x1.58825e47f0e48p-4, -0x1.53d8d0f253c03p-4, -0x1.4f3709e1c4ed8p-4, -0x1.4a9d30725b27ap-4, -0x1.460b6a6836294p-4, -0x1.4181dbf50e958p-4, -0x1.3d00a7bdd7a5fp-4, -0x1.3887eee06ccf4p-4, -0x1.3417d0f953cdcp-4, -0x1.2fb06c2983f8dp-4, -0x1.2b51dd1c3d3f5p-4, -0x1.26fc3f0ceef83p-4, -0x1.22afabcd18319p-4, -0x1.1e6c3bca43cb4p-4, -0x1.1a320613f8139p-4, -0x1.16012061bf5f6p-4, -0x1.11d99f192072fp-4, -0x1.0dbb9553b17bp-4, -0x1.09a714e519416p-4, -0x1.059c2e611e474p-4, -0x1.019af121b4fe7p-4, -0x1.fb46d69a0bd5cp-5, -0x1.f36b53b70138p-5, -0x1.eba3713bc1254p-5, -0x1.e3ef448665039p-5, -0x1.dc4ee0bdb5edep-5, -0x1.d4c256dd2b991p-5, -0x1.cd49b5c0cf6c2p-5, -0x1.c5e50a3139a27p-5, -0x1.be945eef5ddf9p-5, -0x1.b757bcc058d1ep-5, -0x1.b02f2a793075cp-5, -0x1.a91aad0a7b042p-5, -0x1.a21a478bfa9e7p-5, -0x1.9b2dfb4820b3cp-5, -0x1.9455c7c783532p-5, -0x1.8d91aadc2e9a1p-5, -0x1.86e1a0acf4616p-5, -0x1.8045a3c097ac3p-5, -0x1.79bdad08d7043p-5, -0x1.7349b3ed718ecp-5, -0x1.6ce9ae57083f4p-5, -0x1.669d90b9dd417p-5, -0x1.60654e207dee9p-5, -0x1.5a40d836590dbp-5, -0x1.54301f5225eebp-5, -0x1.4e33128037d0dp-5, -0x1.48499f8cb3bc3p-5, -0x1.4273b30da438fp-5, -0x1.3cb1386cea8c6p-5, -0x1.370219f21ad99p-5, -0x1.316640cc291bdp-5, -0x1.2bdd951afee8fp-5, -0x1.2667fdf8ec41ep-5, -0x1.21056183f7503p-5, -0x1.1bb5a4e70e3bep-5, -0x1.1678ac63070adp-5, -0x1.114e5b5795a6p-5, -0x1.0c36944c09ed8p-5, -0x1.073138f7f1a6ep-5, -0x1.023e2a4b9c28dp-5, -0x1.faba90f0dd0f6p-6, -0x1.f11ce5f2481b5p-6, -0x1.e7a31133bb96p-6, -0x1.de4ccf00287c5p-6, -0x1.d519da64c057p-6, -0x1.cc09ed404deaap-6, -0x1.c31cc05241e7bp-6, -0x1.ba520b496c926p-6, -0x1.b1a984d27a30ep-6, -0x1.a922e2a6242f1p-6, -0x1.a0bdd9972725ap-6, -0x1.987a1d9fce9ffp-6, -0x1.905761ef63533p-6, -0x1.885558f748697p-6, -0x1.8073b477aff37p-6, -0x1.78b2258c3a3d4p-6, -0x1.71105cb82e66ep-6, -0x1.698e09f278945p-6, -0x1.622adcb16ae52p-6, -0x1.5ae683f623a5cp-6, -0x1.53c0ae57c6772p-6, -0x1.4cb90a0e68c32p-6, -0x1.45cf44fdaf60ap-6, -0x1.3f030cbf41fecp-6, -0x1.38540eacf0747p-6, -0x1.31c1f7ea80ce1p-6, -0x1.2b4c756f69a6ep-6, -0x1.24f334102d835p-6, -0x1.1eb5e087729d3p-6, -0x1.1894277eecf2ap-6, -0x1.128db5980b1c6p-6, -0x1.0ca237744d4b1p-6, -0x1.06d159bd8673p-6, -0x1.011ac92db607fp-6, -0x1.f6fc652d73376p-7, -0x1.ebf685d3ce896p-7, -0x1.e1234e7e3d97fp-7, -0x1.d68219b7e6f8dp-7, -0x1.cc124274cc1e7p-7, -0x1.c1d3241efb0acp-7, -0x1.b7c41aa35c15dp-7, -0x1.ade4827df5c89p-7, -0x1.a433b8c5df167p-7, -0x1.9ab11b38b184ep-7, -0x1.915c0845a1406p-7, -0x1.8833df18503bdp-7, -0x1.7f37ffa300de5p-7, -0x1.7667caa8662d6p-7, -0x1.6dc2a1c57dd1p-7, -0x1.6547e77a6b5b7p-7, -0x1.5cf6ff3398877p-7, -0x1.54cf4d51d551bp-7, -0x1.4cd03732c1418p-7, -0x1.44f9233850facp-7, -0x1.3d4978d066cfcp-7, -0x1.35c0a07bd27c2p-7, -0x1.2e5e03d51f78dp-7, -0x1.27210d96f22ap-7, -0x1.200929a2465dbp-7, -0x1.1915c5043e0c4p-7, -0x1.12464dfb9575fp-7, -0x1.0b9a33fdf72a1p-7, -0x1.0510e7bcd921ap-7, -0x1.fd53b6548b2c6p-8, -0x1.f0c902fa0b4f9p-8, -0x1.e4809e6a06a59p-8, -0x1.d879743e1e12dp-8, -0x1.ccb272b0b4037p-8, -0x1.c12a8aa3f353dp-8, -0x1.b5e0afa7dc454p-8, -0x1.aad3d8001a479p-8, -0x1.a002fca92b3f3p-8, -0x1.956d195d4c3f4p-8, -0x1.8b112c98b8077p-8, -0x1.80ee379de65b1p-8, -0x1.77033e78a18a1p-8, -0x1.6d4f480170b45p-8, -0x1.63d15de0607b3p-8, -0x1.5a888c8ed370cp-8, -0x1.5173e35a3f873p-8, -0x1.48927465145p-8, -0x1.3fe354a85006bp-8, -0x1.37659bf4602efp-8, -0x1.2f1864f173c57p-8, -0x1.26facd1feeef6p-8, -0x1.1f0bf4d8372fep-8, -0x1.174aff4a51bc3p-8, -0x1.0fb7127d481bbp-8, -0x1.084f574e105edp-8, -0x1.0112f96e4924ap-8, -0x1.f4024ec57e0a8p-9, -0x1.e63225037d84cp-9, -0x1.d8b3dde1a8814p-9, -0x1.cb85e74539dbcp-9, -0x1.bea6b4a8a4c09p-9, -0x1.b214bf15df41ap-9, -0x1.a5ce8520ffac5p-9, -0x1.99d28ae0bd70fp-9, -0x1.8e1f59e985d11p-9, -0x1.82b38144a4401p-9, -0x1.778d95699ae6ep-9, -0x1.6cac30366a1f7p-9, -0x1.620df0e6f000cp-9, -0x1.57b17c0caaff7p-9, -0x1.4d957b85e99ffp-9, -0x1.43b89e74a2e7p-9, -0x1.3a19993510dd8p-9, -0x1.30b72553f9737p-9, -0x1.27900184b1952p-9, -0x1.1ea2f19779c1bp-9, -0x1.15eebe6dec5dbp-9, -0x1.0d7235f1b4ec6p-9, -0x1.052c2b08db7acp-9, -0x1.fa36eb164a063p-10, -0x1.ea7de46cce92cp-10, -0x1.db2b0547a7b51p-10, -0x1.cc3c1a776c54fp-10, -0x1.bdaefa5448a71p-10, -0x1.af8184a61147cp-10, -0x1.a1b1a28c781cdp-10, -0x1.943d46666a2b2p-10, -0x1.87226bba0f8d4p-10, -0x1.7a5f171bd9593p-10, -0x1.6df15615723f5p-10, -0x1.61d73f0da6dc7p-10, -0x1.560ef12d9abe9p-10, -0x1.4a969449701ddp-10, -0x1.3f6c58c4bb397p-10, -0x1.348e777ae0e22p-10, -0x1.29fb31a3e98a5p-10, -0x1.1fb0d0bbfd822p-10, -0x1.15ada6688d997p-10, -0x1.0bf00c5f3bddap-10, -0x1.0276644b7017fp-10, -0x1.f27e2f69fc3b3p-11, -0x1.e0912fcb05261p-11, -0x1.cf22bb9eb1384p-11, -0x1.be2fd3e5ad849p-11, -0x1.adb5888a3efacp-11, -0x1.9db0f82b5f01dp-11, -0x1.8e1f4fea7bd6p-11, -0x1.7efdcb361fd22p-11, -0x1.7049b399380a3p-11, -0x1.62006084801ap-11, -0x1.541f371f18454p-11, -0x1.46a3aa109b82p-11, -0x1.398b39507f12ep-11, -0x1.2cd371f31c7fap-11, -0x1.2079edf70002fp-11, -0x1.147c541358ff9p-11, -0x1.08d85786ac36dp-11, -0x1.fb176fc9978acp-12, -0x1.e52881cc92daep-12, -0x1.cfdf946f191cap-12, -0x1.bb386e906054fp-12, -0x1.a72eee35dfd5ep-12, -0x1.93bf082d32e34p-12, -0x1.80e4c7aacd8a4p-12, -0x1.6e9c4ded0e5d5p-12, -0x1.5ce1d1dfef2bp-12, -0x1.4bb19fbece696p-12, -0x1.3b0818b8dca08p-12, -0x1.2ae1b29772042p-12, -0x1.1b3af7616fe72p-12, -0x1.0c108504a1e83p-12, -0x1.fabe19f600c1bp-13, -0x1.de46a7e7a257bp-13, -0x1.c2b462fa5618bp-13, -0x1.a8011f5c2382bp-13, -0x1.8e26d59f304b9p-13, -0x1.751fa2165e8cbp-13, -0x1.5ce5c42c62ff9p-13, -0x1.45739dbd6bdaep-13, -0x1.2ec3b278583b8p-13, -0x1.18d0a7393e623p-13, -0x1.0395416e39d8bp-13, -0x1.de18ccec68ea7p-14, -0x1.b66236137ed92p-14, -0x1.8ffd05390fc84p-14, -0x1.6adfbd93b6c14p-14, -0x1.47011d7ae425fp-14, -0x1.24581d3c88066p-14, -0x1.02dbee004ee73p-14, -0x1.c507f140a1d14p-15, -0x1.868fb91cdbba7p-15, -0x1.4a3edd7a20be1p-15, -0x1.1005711747d31p-15, -0x1.afa7dacd6e9e9p-16, -0x1.433660f2e8fe7p-16, -0x1.b531ebafa5678p-17, -0x1.d6cb6e81d8216p-18, -0x1.4681179fb66d7p-20, 0x1.258ac1e43aaa7p-18, 0x1.478ff9fcbef71p-17, 0x1.f5c36b3552db8p-17, 0x1.4ec90e5698778p-16, 0x1.9f96918a46836p-16, 0x1.ed62238783647p-16, 0x1.1c218314c43bap-15, 0x1.4027ee3b082b5p-15, 0x1.62cf57055a451p-15, 0x1.8422754fd5453p-15, 0x1.a42bb6b2332a6p-15, 0x1.c2f5402ab247bp-15, 0x1.e088efc26826ep-15, 0x1.fcf05e2cf8794p-15, 0x1.0c1a702bcf21ap-14, 0x1.192fc48064da2p-14, 0x1.25bc951941c49p-14, 0x1.31c52b696f6ebp-14, 0x1.3d4db20a5c4a1p-14, 0x1.485a357919f9ap-14, 0x1.52eea4c963078p-14, 0x1.5d0ed25ab435cp-14, 0x1.66be74875c88cp-14, 0x1.70012651fc236p-14, 0x1.78da6811d140bp-14, 0x1.814da013fa5bbp-14, 0x1.895e1b4259ac7p-14, 0x1.910f0dc317a76p-14, 0x1.98639395a3fedp-14, 0x1.9f5eb12abb954p-14, 0x1.a6035400cd4f5p-14, 0x1.ac545334d2039p-14, 0x1.b2547012e72bp-14, 0x1.b80656a7cce86p-14, 0x1.bd6c9e4ab964fp-14, 0x1.c289ca24eef4ep-14, 0x1.c76049ba41d38p-14, 0x1.cbf2796bca478p-14, 0x1.d042a2f89c933p-14, 0x1.d452fdfa5bd84p-14, 0x1.d825b0640ba42p-14, 0x1.dbbccef6f00d6p-14, 0x1.df1a5dbba6ae6p-14, 0x1.e24050736c6cp-14, 0x1.e5308b0c2e68ap-14, 0x1.e7ece20e16d51p-14, 0x1.ea771b07f9862p-14, 0x1.ecd0ecfacb8bdp-14, 0x1.eefc00be9dda8p-14, 0x1.f0f9f1691b43cp-14, 0x1.f2cc4cb254495p-14, 0x1.f47493540f9dfp-14, 0x1.f5f4396981548p-14, 0x1.f74ca6cb7f246p-14, 0x1.f87f376bbfaeap-14, 0x1.f98d3babff85fp-14, 0x1.fa77f8b4bbedbp-14, 0x1.fb40a8ca2b3cep-14, 0x1.fbe87b9e9e52cp-14, 0x1.fc7096a27659dp-14, 0x1.fcda155259fb9p-14, 0x1.fd2609855a5dep-14, 0x1.fd557bb5f5133p-14, 0x1.fd696b4baf2a3p-14, 0x1.fd62cee23b896p-14, 0x1.fd42948f2c65p-14, 0x1.fd09a225dcf15p-14, 0x1.fcb8d578d45dp-14, 0x1.fc51049ac784fp-14, 0x1.fbd2fe1cefe8cp-14, 0x1.fb3f894be852p-14, 0x1.fa97666b19fd2p-14, 0x1.f9db4eef55305p-14, 0x1.f90bf5b79ca75p-14, 0x1.f82a0743a954ap-14, 0x1.f73629e958b6ap-14, 0x1.f630fe0a195fbp-14, 0x1.f51b1e436e167p-14, 0x1.f3f51fa1e5a9ep-14, 0x1.f2bf91d0ff8b2p-14, 0x1.f17aff4a1d34ep-14, 0x1.f027ed81e7425p-14, 0x1.eec6dd13dff2ep-14, 0x1.ed5849eede112p-14, 0x1.ebdcab7cbb446p-14, 0x1.ea5474cc5c10ep-14, 0x1.e8c014b8abd1ep-14, 0x1.e71ff60f21ce6p-14, 0x1.e5747fb5875a5p-14, 0x1.e3be14cd3e74cp-14, 0x1.e1fd14d7475a1p-14, 0x1.e031dbd5791c8p-14, 0x1.de5cc26b90ceep-14, 0x1.dc7e1dff6c1c5p-14, 0x1.da9640d8b75d5p-14, 0x1.d8a57a3e3c976p-14, 0x1.d6ac1693bb647p-14, 0x1.d4aa5f75d1762p-14, 0x1.d2a09bd5f1816p-14, 0x1.d08f1015094c3p-14, 0x1.ce75fe1c3a22cp-14, 0x1.cc55a5768d806p-14, 0x1.ca2e43694a70ap-14, 0x1.c800130b812d5p-14, 0x1.c5cb4d5bfdcf8p-14, 0x1.c39029575438bp-14, 0x1.c14edc0da954cp-14, 0x1.bf0798b6b8329p-14, 0x1.bcba90c4b8af2p-14, 0x1.ba67f3f7fc122p-14, 0x1.b80ff07253a01p-14, 0x1.b5b2b2c853888p-14, 0x1.b3506611fe82fp-14, 0x1.b0e933fbe11b3p-14, 0x1.ae7d44d715c57p-14, 0x1.ac0cbfa88bcb4p-14, 0x1.a997ca374568ap-14, 0x1.a71e891ba9885p-14, 0x1.a4a11fccfd858p-14, 0x1.a21fb0aee1172p-14, 0x1.9f9a5d1d95d31p-14, 0x1.9d11457a1f3dep-14, 0x1.9a8489374ed74p-14, 0x1.97f446e4485aep-14, 0x1.95609c36c9795p-14, 0x1.92c9a616d5e45p-14, 0x1.902f80a86f755p-14, 0x1.8d92475593aep-14, 0x1.8af214d69d6abp-14, 0x1.884f033bfc215p-14, 0x1.85a92bf6b3d77p-14, 0x1.8300a7e034a85p-14, 0x1.80558f41dd15ep-14, 0x1.7da7f9dcd895dp-14, 0x1.7af7fef18de35p-14, 0x1.7845b545f2219p-14, 0x1.7591332c2ff08p-14, 0x1.72da8e893d64ap-14, 0x1.7021dcdab395p-14, 0x1.6d67333c1ae93p-14, 0x1.6aaaa66c1bd73p-14, 0x1.67ec4ad267eafp-14, 0x1.652c3483e973ap-14, 0x1.626a7747ae8a3p-14, 0x1.5fa7269b8955cp-14, 0x1.5ce255b80c055p-14, 0x1.5a1c1794008f5p-14, 0x1.57547ee8d5cd3p-14, 0x1.548b9e357c7c8p-14, 0x1.51c187c1f7228p-14, 0x1.4ef64da2c41b5p-14, 0x1.4c2a01bbb505cp-14, 0x1.495cb5c2b062fp-14, 0x1.468e7b41f6312p-14, 0x1.43bf639b2fe83p-14, 0x1.40ef80093e00fp-14, 0x1.3e1ee1a271088p-14, 0x1.3b4d995a54458p-14, 0x1.387bb803dd3f8p-14, 0x1.35a94e5325d13p-14, 0x1.32d66cdec3279p-14, 0x1.300324212c3ddp-14, 0x1.2d2f847a1051fp-14, 0x1.2a5b9e2fde589p-14, 0x1.27878170fdb79p-14, 0x1.24b33e5434c71p-14, 0x1.21dee4d9b9037p-14, 0x1.1f0a84ec6967bp-14, 0x1.1c362e6207884p-14, 0x1.1961f0fc3e0b5p-14, 0x1.168ddc6925f75p-14, 0x1.13ba0043a6b73p-14, 0x1.10e66c13a4f0cp-14, 0x1.0e132f4ea926fp-14, 0x1.0b405957e40c6p-14, 0x1.086df9808b49cp-14, 0x1.059c1f07c0fdcp-14, 0x1.02cad91afd7bep-14, 0x1.fff46dac153a7p-15, 0x1.fa548e85764ecp-15, 0x1.f4b632b216734p-15, 0x1.ef1977fe22b24p-15, 0x1.e97e7c1160e0ap-15, 0x1.e3e55c6e6e808p-15, 0x1.de4e3672d3217p-15, 0x1.d8b92756dd11p-15, 0x1.d3264c2bd4e8cp-15, 0x1.cd95c1dc35c21p-15, 0x1.c807a52ae70e1p-15, 0x1.c27c12b22eba3p-15, 0x1.bcf326e2a0cfep-15, 0x1.b76cfe033e704p-15, 0x1.b1e9b42f30af7p-15, 0x1.ac696555eacedp-15, 0x1.a6ec2d39caf4dp-15, 0x1.a172276eed55fp-15, 0x1.9bfb6f5ae3117p-15, 0x1.96882032dba7fp-15, 0x1.911854fad7fa6p-15, 0x1.8bac2884aecf1p-15, 0x1.8643b56ebb96dp-15, 0x1.80df1622ef8dep-15, 0x1.7b7e64d595c34p-15, 0x1.7621bb84a0647p-15, 0x1.70c933f5f01bep-15, 0x1.6b74e7b64a888p-15, 0x1.6624f018bd27ep-15, 0x1.60d9663526ff7p-15, 0x1.5b9262e6d052dp-15, 0x1.564ffecc48c59p-15, 0x1.5112524536bfep-15, 0x1.4bd975714e9e8p-15, 0x1.46a580305594fp-15, 0x1.41768a2008d8bp-15, 0x1.3c4caa9b4e778p-15, 0x1.3727f8b9a30ffp-15, 0x1.32088b4d66975p-15, 0x1.2cee78e31a83fp-15, }}, 
      {{-0x1.bc5456d2b06eap-1, -0x1.bc323f8d114c9p-1, -0x1.bbf942409d955p-1, -0x1.bba91f32abdf6p-1, -0x1.bb4180f8e40bcp-1, -0x1.bac1ffbe61862p-1, -0x1.ba2a24e5e432fp-1, -0x1.b9796ed08e6ddp-1, -0x1.b8af549c1f23ap-1, -0x1.b7cb49b62b64ep-1, -0x1.b6ccc12ba0a0ep-1, -0x1.b5b330a4ca925p-1, -0x1.b47e1305ce66cp-1, -0x1.b32ceab19e7e4p-1, -0x1.b1bf4371bab26p-1, -0x1.b034b407bd331p-1, -0x1.ae8cdf6f24cb3p-1, -0x1.acc775d6503a2p-1, -0x1.aae43555a43c9p-1, -0x1.a8e2ea6b9571bp-1, -0x1.a6c37043f9bf8p-1, -0x1.a485b0d0af4c7p-1, -0x1.a229a4b959bf7p-1, -0x1.9faf5327b55d9p-1, -0x1.9d16d175b3f85p-1, -0x1.9a6042c258f35p-1, -0x1.978bd771fd5a5p-1, -0x1.9499cc9e4a9d6p-1, -0x1.918a6b79e6c2ep-1, -0x1.8e5e08ab61561p-1, -0x1.8b1503a28eecap-1, -0x1.87afc5eb139dap-1, -0x1.842ec27e787b5p-1, -0x1.80927517bf3d6p-1, -0x1.7cdb618a0d594p-1, -0x1.790a131baf5e6p-1, -0x1.751f1be668051p-1, -0x1.711b143db870dp-1, -0x1.6cfe9a1b97bc3p-1, -0x1.68ca5093da053p-1, -0x1.647edf4e62057p-1, -0x1.601cf2081513ap-1, -0x1.5ba5381a71abdp-1, -0x1.5718640995ea3p-1, -0x1.52772b1876a3ap-1, -0x1.4dc244e2fde1fp-1, -0x1.48fa6afdc2eacp-1, -0x1.4420589b13085p-1, -0x1.3f34ca34f7f3fp-1, -0x1.3a387d3bf7ef4p-1, -0x1.352c2fca43ae6p-1, -0x1.3010a05b198f9p-1, -0x1.2ae68d861b0ddp-1, -0x1.25aeb5be62bcp-1, -0x1.2069d7152c2a1p-1, -0x1.1b18aeffdd1b3p-1, -0x1.15bbfa21509a3p-1, -0x1.105474163c57ep-1, -0x1.0ae2d74494d5cp-1, -0x1.0567dcadd5c1bp-1, -0x1.ffc877882990fp-2, -0x1.f4b1548392318p-2, -0x1.e98bb8086aaf2p-2, -0x1.de5905d0babdap-2, -0x1.d31a9d54f3667p-2, -0x1.c7d1d98fa80c7p-2, -0x1.bc8010c5fb9eap-2, -0x1.b12694549c98dp-2, -0x1.a5c6b0813178p-2, -0x1.9a61ac500f605p-2, -0x1.8ef8c95e1987cp-2, -0x1.838d43bea391bp-2, -0x1.782051dd37325p-2, -0x1.6cb324630d98fp-2, -0x1.6146e620223edp-2, -0x1.55dcbbf7ac151p-2, -0x1.4a75c4cfde495p-2, -0x1.3f131984c3538p-2, -0x1.33b5ccde08f62p-2, -0x1.285eeb8799907p-2, -0x1.1d0f7c0cd1106p-2, -0x1.11c87ed62f2b7p-2, -0x1.068aee2952881p-2, -0x1.f6af7c563dep-3, -0x1.e05fb9c7bfd8p-3, -0x1.ca28648a8af8ap-3, -0x1.b40b40641fa59p-3, -0x1.9e0a050e968c2p-3, -0x1.88265e4de80f2p-3, -0x1.7261ec07bcd9p-3, -0x1.5cbe425d910c3p-3, -0x1.473ce9c8d9242p-3, -0x1.31df5f38faca7p-3, -0x1.1ca71432d5e4bp-3, -0x1.07956ef1a9146p-3, -0x1.e55795124b5c2p-4, -0x1.bbd6ee10e967p-4, -0x1.92ab733c188bep-4, -0x1.69d799784814p-4, -0x1.415dc07b4d13dp-4, -0x1.19403316e8ca8p-4, -0x1.e3024f078f073p-5, -0x1.94457f5949e16p-5, -0x1.464e12f2df9f5p-5, -0x1.f23ffc68dcd14p-6, -0x1.597e1d46da251p-6, -0x1.84bbadfacf70ap-7, -0x1.6731651359d16p-9, 0x1.9b88a3e66405bp-8, 0x1.f1e974592068dp-7, 0x1.894b5f579a03p-6, 0x1.0bf01be7f1939p-5, 0x1.5256d465c8f1bp-5, 0x1.97d72e29928cdp-5, 0x1.dc6ea01b91c42p-5, 0x1.100d61429a7bcp-4, 0x1.316ca748373f1p-4, 0x1.52540ee4a616ap-4, 0x1.72c294d0e2243p-4, 0x1.92b7457bd83bfp-4, 0x1.b2313cce6e8b1p-4, 0x1.d12fa5f0933f2p-4, 0x1.efb1bb0f452a2p-4, 0x1.06db6291c4ae9p-3, 0x1.159f0ddd2a1edp-3, 0x1.2423925e99442p-3, 0x1.3268aa1de8e04p-3, 0x1.406e161b1e07dp-3, 0x1.4e339e33e2e97p-3, 0x1.5bb911094e817p-3, 0x1.68fe43e5f7f2cp-3, 0x1.760312a44853bp-3, 0x1.82c75f950f549p-3, 0x1.8f4b136643e13p-3, 0x1.9b8e1d09fedp-3, 0x1.a790719d9298ep-3, 0x1.b3520c50cd438p-3, 0x1.bed2ee4d5216ap-3, 0x1.ca131e9e0cc8ep-3, 0x1.d512aa16b1026p-3, 0x1.dfd1a33b49b39p-3, 0x1.ea502227d137cp-3, 0x1.f48e4477c26e4p-3, 0x1.fe8c2d2db8c7ap-3, 0x1.0425024d7cba1p-2, 0x1.08e3fc237eb9dp-2, 0x1.0d831d6b7a4dfp-2, 0x1.120281fa94ea7p-2, 0x1.1662481c34fd3p-2, 0x1.1aa29085a517fp-2, 0x1.1ec37e49b011bp-2, 0x1.22c536cc2f145p-2, 0x1.26a7e1b59264p-2, 0x1.2a6ba8e655eb1p-2, 0x1.2e10b86a73222p-2, 0x1.31973e6cbd6bap-2, 0x1.34ff6b2a3a7a2p-2, 0x1.384970e56a704p-2, 0x1.3b7583d986547p-2, 0x1.3e83da2db3149p-2, 0x1.4174abe82bbe4p-2, 0x1.444832e16047cp-2, 0x1.46feaab70d4f6p-2, 0x1.499850bf4a9e5p-2, 0x1.4c1563fb9545fp-2, 0x1.4e76250bd2b36p-2, 0x1.50bad6214eecdp-2, 0x1.52e3baf1b97c9p-2, 0x1.54f118aa202a2p-2, 0x1.56e335e1e8603p-2, 0x1.58ba5a8dca564p-2, 0x1.5a76cff2d09f4p-2, 0x1.5c18e09959eb9p-2, 0x1.5da0d8401fa14p-2, 0x1.5f0f03cf4854dp-2, 0x1.6063b14b7f176p-2, 0x1.619f2fc917f7dp-2, 0x1.62c1cf5f3f10dp-2, 0x1.63cbe11b384e8p-2, 0x1.64bdb6f3abf47p-2, 0x1.6597a3bc07cf6p-2, 0x1.6659fb17f26f9p-2, 0x1.6705116ed06b2p-2, 0x1.67993bdf65556p-2, 0x1.6816d0338962p-2, 0x1.687e24d3f96bdp-2, 0x1.68cf90bc423ffp-2, 0x1.690b6b6eca418p-2, 0x1.69320ce8f7339p-2, 0x1.6943cd9776c11p-2, 0x1.6941064aa4ed9p-2, 0x1.692a102b18582p-2, 0x1.68ff44ae51ad9p-2, 0x1.68c0fd8b8f9c2p-2, 0x1.686f94b0ca5b6p-2, 0x1.680b6437d96d9p-2, 0x1.6794c65bbd006p-2, 0x1.670c156e16cd8p-2, 0x1.6671abccccc3p-2, 0x1.65c5e3d7d817bp-2, 0x1.650917e73f794p-2, 0x1.643ba241435d2p-2, 0x1.635ddd10b80f7p-2, 0x1.6270225b8e5ffp-2, 0x1.6172cbf98d20dp-2, 0x1.6066338b3fdcap-2, 0x1.5f4ab2711116cp-2, 0x1.5e20a1c29e292p-2, 0x1.5ce85a4637fe3p-2, 0x1.5ba234689cf75p-2, 0x1.5a4e8834e1e2dp-2, 0x1.58edad4c948ecp-2, 0x1.577ffae00cfabp-2, 0x1.5605c7a6fa592p-2, 0x1.547f69d91f20fp-2, 0x1.52ed3727479c6p-2, 0x1.514f84b4722b5p-2, 0x1.4fa6a70f2e0e6p-2, 0x1.4df2f22b320d3p-2, 0x1.4c34b95b26919p-2, 0x1.4a6c4f4aa418cp-2, 0x1.489a05f8697ffp-2, 0x1.46be2eb0c869p-2, 0x1.44d91a08411f4p-2, 0x1.42eb17d6596afp-2, 0x1.40f47730a6698p-2, 0x1.3ef5866605e54p-2, 0x1.3cee92fa137dbp-2, 0x1.3adfe9a0c959ap-2, 0x1.38c9d63a5b587p-2, 0x1.36aca3cf3cec1p-2, 0x1.34889c8c601ffp-2, 0x1.325e09bfa25d2p-2, 0x1.302d33d46b521p-2, 0x1.2df662507bcap-2, 0x1.2bb9dbd0edc73p-2, 0x1.2977e60761081p-2, 0x1.2730c5b75a918p-2, 0x1.24e4beb3ce71p-2, 0x1.229413dcd88eap-2, 0x1.203f071da1798p-2, 0x1.1de5d96a70f1fp-2, 0x1.1b88cabee6b6cp-2, 0x1.19281a1c6575ep-2, 0x1.16c40588a1cd7p-2, 0x1.145cca0c5a339p-2, 0x1.11f2a3b239f7fp-2, 0x1.0f85cd85e2188p-2, 0x1.0d1681931a8c1p-2, 0x1.0aa4f8e522c69p-2, 0x1.08316b86322eap-2, 0x1.05bc107f12f52p-2, 0x1.03451dd6e4835p-2, 0x1.00ccc89300359p-2, 0x1.fca6896dfe272p-3, 0x1.f7b18a89c64efp-3, 0x1.f2baf87ab4af6p-3, 0x1.edc335404e26cp-3, 0x1.e8caa0d94a48dp-3, 0x1.e3d19944d54fp-3, 0x1.ded87a840cf74p-3, 0x1.d9df9e9bb9332p-3, 0x1.d4e75d9632946p-3, 0x1.cff00d85864cp-3, 0x1.cafa0285c4623p-3, 0x1.c6058ebf871aap-3, 0x1.c113026aa2cf5p-3, 0x1.bc22abd109b0ep-3, 0x1.b734d751d4789p-3, 0x1.b249cf6481a33p-3, 0x1.ad61dc9c4f0fep-3, 0x1.a87d45abc6a2bp-3, 0x1.a39c4f686c549p-3, 0x1.9ebf3cce9215bp-3, 0x1.99e64f054d1d2p-3, 0x1.9511c5628f481p-3, 0x1.9041dd6f5d80dp-3, 0x1.8b76d2ec28739p-3, 0x1.86b0dfd53d028p-3, 0x1.81f03c6758cb2p-3, 0x1.7d351f245205p-3, 0x1.787fbcd7d8e2cp-3, 0x1.73d0489c55fa2p-3, 0x1.6f26f3dfdb251p-3, 0x1.6a83ee6927bc1p-3, 0x1.65e7665cc5723p-3, 0x1.615188423343fp-3, 0x1.5cc27f0927444p-3, 0x1.583a740ed854cp-3, 0x1.53b98f23616p-3, 0x1.4f3ff68f2737p-3, 0x1.4acdcf18546cap-3, 0x1.46633c085b593p-3, 0x1.42005f31846e3p-3, 0x1.3da558f48718ep-3, 0x1.3952484627eb4p-3, 0x1.35074ab4e1539p-3, 0x1.30c47c6e90b9cp-3, 0x1.2c89f84628e39p-3, 0x1.2857d7b96d252p-3, 0x1.242e32f6a90c3p-3, 0x1.200d20e26ff66p-3, 0x1.1bf4b71d5ca73p-3, 0x1.17e50a09d381ap-3, 0x1.13de2cd1c05c2p-3, 0x1.0fe0316c5a7c6p-3, 0x1.0beb28a3e26b3p-3, 0x1.07ff221b5c435p-3, 0x1.041c2c544e66dp-3, 0x1.004254b474c41p-3, 0x1.f8e34f16e12e6p-4, 0x1.f1546030fae32p-4, 0x1.e9d7f1201d047p-4, 0x1.e26e1442f3e12p-4, 0x1.db16d9f9172d1p-4, 0x1.d3d250ae3bc54p-4, 0x1.cca084e54082cp-4, 0x1.c58181433ccffp-4, 0x1.be754e9a7317ap-4, 0x1.b77bf3f52c565p-4, 0x1.b09576a08759ep-4, 0x1.a9c1da3734a82p-4, 0x1.a30120ac19c41p-4, 0x1.9c534a54d68adp-4, 0x1.95b855f44110ep-4, 0x1.8f3040c4c1209p-4, 0x1.88bb06829344dp-4, 0x1.8258a175f602ep-4, 0x1.7c090a7d38786p-4, 0x1.75cc3916b409cp-4, 0x1.6fa2236aa476fp-4, 0x1.698abe54e9114p-4, 0x1.6385fd6ea8638p-4, 0x1.5d93d317d56a5p-4, 0x1.57b4308098d49p-4, 0x1.51e705b29df03p-4, 0x1.4c2c419a3f38fp-4, 0x1.4683d20f933c5p-4, 0x1.40eda3df6272p-4, 0x1.3b69a2d3f4cb1p-4, 0x1.35f7b9bdc266ep-4, 0x1.3097d27c0a3f5p-4, 0x1.2b49d60542209p-4, 0x1.260dac6f68e61p-4, 0x1.20e33cf839c0ep-4, 0x1.1bca6e0d3fa6fp-4, 0x1.16c32553c484bp-4, 0x1.11cd47b0a2e05p-4, 0x1.0ce8b94ff74c2p-4, 0x1.08155dacaf303p-4, 0x1.03531797f7088p-4, 0x1.fd43928114c2ep-5, 0x1.f402a873ba98cp-5, 0x1.eae33306562f7p-5, 0x1.e1e4f31cc516dp-5, 0x1.d907a88dde46dp-5, 0x1.d04b1230c53f6p-5, 0x1.c7aeedea0049fp-5, 0x1.bf32f8b846f44p-5, 0x1.b6d6eec115c93p-5, 0x1.ae9a8b5cfa9d2p-5, 0x1.a67d8923add56p-5, 0x1.9e7fa1f7d5227p-5, 0x1.96a08f129e77cp-5, 0x1.8ee0090f0f043p-5, 0x1.873dc7f5132fap-5, 0x1.7fb98344575abp-5, 0x1.7852f1fed7706p-5, 0x1.7109cab338481p-5, 0x1.69ddc386eb8c6p-5, 0x1.62ce924003106p-5, 0x1.5bdbec4ed9ebp-5, 0x1.550586d77572fp-5, 0x1.4e4b16babd691p-5, 0x1.47ac509f5c87bp-5, 0x1.4128e8fa8545fp-5, 0x1.3ac09418698dp-5, 0x1.34730624812bep-5, 0x1.2e3ff33198b36p-5, 0x1.28270f41a7529p-5, 0x1.22280e4d6c0d9p-5, 0x1.1c42a44bd795dp-5, 0x1.167685393f997p-5, 0x1.10c3651e5e59ap-5, 0x1.0b28f8171cc67p-5, 0x1.05a6f2592887cp-5, 0x1.003d083a564d8p-5, 0x1.f5d5dc6db483ap-6, 0x1.eb60b1ee824b4p-6, 0x1.e119faac9169ep-6, 0x1.d70120ccede7bp-6, 0x1.cd158eef2184fp-6, 0x1.c356b037b5387p-6, 0x1.b9c3f05a5ef0fp-6, 0x1.b05cbba3c7e4cp-6, 0x1.a7207f0308fefp-6, 0x1.9e0ea812cdedcp-6, 0x1.9526a52216618p-6, 0x1.8c67e53cb470fp-6, 0x1.83d1d83362d98p-6, 0x1.7b63eea3ab64ap-6, 0x1.731d99ff4f58p-6, 0x1.6afe4c9389e5ep-6, 0x1.6305798ffc0f8p-6, 0x1.5b32950d3ba4ap-6, 0x1.5385141323a29p-6, 0x1.4bfc6c9ee1b8bp-6, 0x1.449815a8bf8c3p-6, 0x1.3d5787298fcbbp-6, 0x1.363a3a1fec1e3p-6, 0x1.2f3fa8952bff1p-6, 0x1.28674da211029p-6, 0x1.21b0a573428d2p-6, 0x1.1b1b2d4d7e3e7p-6, 0x1.14a663918bd88p-6, 0x1.0e51c7bffe7c9p-6, 0x1.081cda7cb3c22p-6, 0x1.02071d9216fdap-6, 0x1.f82027e871cdfp-7, 0x1.ec6e83874058ap-7, 0x1.e0f8589fe6a44p-7, 0x1.d5bcb434d055p-7, 0x1.cabaa5b002ad1p-7, 0x1.bff13ee729c8dp-7, 0x1.b55f941f6956fp-7, 0x1.ab04bc108fafbp-7, 0x1.a0dfcfe84a55p-7, 0x1.96efeb4c91312p-7, 0x1.8d342c5e2b2a9p-7, 0x1.83abb3ba7a59fp-7, 0x1.7a55a47d53832p-7, 0x1.7131244233b3dp-7, 0x1.683d5b255c8e5p-7, 0x1.5f7973c49ef2ap-7, 0x1.56e49b3fbeeb2p-7, 0x1.4e7e0138bcdb5p-7, 0x1.4644d7d3a6ea9p-7, 0x1.3e3853b678814p-7, 0x1.3657ac083e4fcp-7, 0x1.2ea21a708caa7p-7, 0x1.2716db16377a6p-7, 0x1.1fb52c9e28949p-7, 0x1.187c5029dd42cp-7, 0x1.116b8955a1cafp-7, 0x1.0a821e36b49dap-7, 0x1.03bf575914171p-7, 0x1.fa44ff7a78215p-8, 0x1.ed55c9ab7424ap-8, 0x1.e0afad08b58cfp-8, 0x1.d4514e2ecd8acp-8, 0x1.c839568d626e4p-8, 0x1.bc667460975d5p-8, 0x1.b0d75aaab5581p-8, 0x1.a58ac12d148cep-8, 0x1.9a7f6460ed30bp-8, 0x1.8fb4057002567p-8, 0x1.85276a2cc4d36p-8, 0x1.7ad85d0a7d2cap-8, 0x1.70c5ad1522c3ap-8, 0x1.66ee2de8c854fp-8, 0x1.5d50b7a93cd1ep-8, 0x1.53ec26f916331p-8, 0x1.4abf5cf0b6aa3p-8, 0x1.41c93f152632cp-8, 0x1.3908b74ec27a2p-8, 0x1.307cb3dfad327p-8, 0x1.2824275a2a11cp-8, 0x1.1ffe0896e8d5cp-8, 0x1.180952aaebea9p-8, 0x1.104504ddb6902p-8, 0x1.08b0229ee7ca5p-8, 0x1.0149b37c1b1ep-8, 0x1.f421862d0a63p-9, 0x1.e608c230e9acfp-9, 0x1.d8474255718d4p-9, 0x1.cadb35d47887p-9, 0x1.bdc2d3b9f8786p-9, 0x1.b0fc5acf3c97dp-9, 0x1.a4861184e8752p-9, 0x1.985e45dd2c93fp-9, 0x1.8c834d565758cp-9, 0x1.80f384d47f276p-9, 0x1.75ad508c23a3p-9, 0x1.6aaf1bebafd47p-9, 0x1.5ff75985ab63cp-9, 0x1.558482fad15c5p-9, 0x1.4b5518e3e7e47p-9, 0x1.4167a2bb759d8p-9, 0x1.37baaec81d168p-9, 0x1.2e4cd2064febbp-9, 0x1.251ca81249f53p-9, 0x1.1c28d3121d596p-9, 0x1.136ffb9fffecp-9, 0x1.0af0d0b3dfe8p-9, 0x1.02aa078e09b1p-9, 0x1.f534b7423880ep-10, 0x1.e5811cf8c9305p-10, 0x1.d636cf6cb5f6bp-10, 0x1.c75369ade63d6p-10, 0x1.b8d49284a239ep-10, 0x1.aab7fc4650943p-10, 0x1.9cfb64abe585p-10, 0x1.8f9c94a6bdc23p-10, 0x1.829960376f913p-10, 0x1.75efa64322accp-10, 0x1.699d506aa4e5bp-10, 0x1.5da052e165fe1p-10, 0x1.51f6ac43a7bb2p-10, 0x1.469e656e75f4ap-10, 0x1.3b9591572bccp-10, 0x1.30da4ce3270ep-10, 0x1.266abec028f6bp-10, 0x1.1c45173cd8bd3p-10, 0x1.1267902164857p-10, 0x1.08d06c89470d8p-10, 0x1.fefbf177e308bp-11, 0x1.ecdd140e966e7p-11, 0x1.db40fd33ce524p-11, 0x1.ca247ab9daa94p-11, 0x1.b9846b9fab6c8p-11, 0x1.a95dbfc663e54p-11, 0x1.99ad77a88e8dcp-11, 0x1.8a70a412d35b8p-11, 0x1.7ba465dba3dfp-11, 0x1.6d45ed9db3b07p-11, 0x1.5f527b71ffd16p-11, 0x1.51c75eaa2e8dfp-11, 0x1.44a1f58d33e14p-11, 0x1.37dfad138989fp-11, 0x1.2b7e00a409b3dp-11, 0x1.1f7a79d239922p-11, 0x1.13d2b01dbf3ebp-11, 0x1.088448b1b6f15p-11, 0x1.fb19ec48c6d51p-12, 0x1.e5d4f0732db28p-12, 0x1.d135374695f67p-12, 0x1.bd36738c86fb4p-12, 0x1.a9d470f6a3dbp-12, 0x1.970b13abf629cp-12, 0x1.84d657cf5fe38p-12, 0x1.7332510d98f17p-12, 0x1.621b2a2a693bp-12, 0x1.518d248eafa06p-12, 0x1.418497d9524e2p-12, 0x1.31fdf171b0921p-12, 0x1.22f5b41a326a3p-12, 0x1.1468778689618p-12, 0x1.0652e7f1d7c0fp-12, 0x1.f1638b6d90199p-13, 0x1.d703c9d301f9ap-13, 0x1.bd8059e50915ep-13, 0x1.a4d330576c7f3p-13, 0x1.8cf666fca3f83p-13, 0x1.75e43c06ab572p-13, 0x1.5f971145d9e6ap-13, 0x1.4a096b7348a33p-13, 0x1.3535f17477fep-13, 0x1.21176ba932b81p-13, 0x1.0da8c337fe8aap-13, 0x1.f5ca02c0511f1p-14, 0x1.d18e9d99797fcp-14, 0x1.ae95e5d40dbbfp-14, 0x1.8cd6a6814eed3p-14, 0x1.6c47e5a023abp-14, 0x1.4ce0e2dde82bdp-14, 0x1.2e991655758ddp-14, 0x1.11682f5ab7cb1p-14, 0x1.ea8c268a2678bp-15, 0x1.b455b889ff9a7p-15, 0x1.801db073dcd13p-15, 0x1.4dd50f20ba37ap-15, 0x1.1d6d384890f5ap-15, 0x1.ddafe0a186afap-16, 0x1.840eb447e89f8p-16, 0x1.2ddbea2d7f2c9p-16, 0x1.b5fa6b3fc5ed2p-17, 0x1.16b1f50b720f2p-17, 0x1.f6b24aa317deap-19, -0x1.54649ae72153p-21, -0x1.44abc85d53b94p-18, -0x1.29b03f10bd631p-17, -0x1.ab8221fa05045p-17, -0x1.13fb909e7c46p-16, -0x1.4f9cd28e52f8p-16, -0x1.88b9785b5f192p-16, -0x1.bf65947cdd24ep-16, -0x1.f3b4adaa2df29p-16, -0x1.12dce114cd812p-15, -0x1.2ac3a58cda5cbp-15, -0x1.41979fcab6759p-15, -0x1.57618be925e28p-15, -0x1.6c29e81994c09p-15, -0x1.7ff8f6230d28bp-15, -0x1.92d6bcd8e64afp-15, -0x1.a4cb098b1f528p-15, -0x1.b5dd717081d0ep-15, -0x1.c6155304d999ep-15, -0x1.d579d7662822ep-15, -0x1.e411f3a4dc39dp-15, -0x1.f1e46a100c51ep-15, -0x1.fef7cb7aaaf97p-15, -0x1.05a93c3d472f9p-14, -0x1.0b7d514ebd6fcp-14, -0x1.10fb26ce87eecp-14, -0x1.1625a84215c6dp-14, -0x1.1affab6c54bdep-14, -0x1.1f8bf0daa0de4p-14, -0x1.23cd246fdcce7p-14, -0x1.27c5ddedba77p-14, -0x1.2b78a17c588a9p-14, -0x1.2ee7e0290b3e4p-14, -0x1.3215f86977feap-14, -0x1.350536973326cp-14, -0x1.37b7d56a39b2ep-14, -0x1.3a2ffe7037a8dp-14, -0x1.3c6fca80eb01cp-14, -0x1.3e7942313c601p-14, -0x1.404e5e4183154p-14, -0x1.41f1080bde0cdp-14, -0x1.436319ed5325ep-14, -0x1.44a65faeb90c2p-14, -0x1.45bc96ea37b9dp-14, -0x1.46a76f6d3f931p-14, -0x1.47688b9b528c8p-14, -0x1.480180cb9a99dp-14, -0x1.4873d7a560c6cp-14, -0x1.48c10c7a2172cp-14, -0x1.48ea8f9dc2a01p-14, -0x1.48f1c5bc3dc7bp-14, -0x1.48d8082d56adcp-14, -0x1.489ea547671f2p-14, -0x1.4846e0ae1ae4dp-14, -0x1.47d1f3a0e8b3bp-14, -0x1.47410d46bedb9p-14, -0x1.469552f83eabp-14, -0x1.45cfe0871e0f2p-14, -0x1.44f1c8864208p-14, -0x1.43fc148d44bc2p-14, -0x1.42efc57b88f9ap-14, -0x1.41cdd3ba275c8p-14, -0x1.40972f7a6eb22p-14, -0x1.3f4cc0f4b0343p-14, -0x1.3def68a46218dp-14, -0x1.3c7fff83559c2p-14, -0x1.3aff574289ce8p-14, -0x1.396e3a8264e78p-14, -0x1.37cd6d0890227p-14, -0x1.361dabf60270ep-14, -0x1.345fadf8c80b5p-14, -0x1.3294237ff0873p-14, -0x1.30bbb6ebc452ep-14, -0x1.2ed70cbda868bp-14, -0x1.2ce6c3c5e02b8p-14, -0x1.2aeb75508e82cp-14, -0x1.28e5b551e1abbp-14, -0x1.26d61290c829ep-14, -0x1.24bd16d08380dp-14, -0x1.229b46f87f3c6p-14, -0x1.2071233bd124ap-14, -0x1.1e3f273fc5e38p-14, -0x1.1c05ca40340d3p-14, -0x1.19c57f33d266ap-14, -0x1.177eb4ef7720ep-14, -0x1.1531d6483a17ap-14, -0x1.12df4a3404ccdp-14, -0x1.108773ea50b03p-14, -0x1.0e2ab302e28dp-14, -0x1.0bc9639427eecp-14, -0x1.0963de512c941p-14, -0x1.06fa78a59f0cp-14, -0x1.048d84d1eeb92p-14, -0x1.021d52063e6edp-14, -0x1.ff5458f94123fp-15, -0x1.fa68bb23c88bbp-15, -0x1.f57857bda03f9p-15, -0x1.f083b69faa71ep-15, -0x1.eb8b5a78e4e46p-15, -0x1.e68fc0fae936cp-15, -0x1.e19163055de8dp-15, -0x1.dc90b4d17c9e5p-15, -0x1.d78e26199b54ep-15, -0x1.d28a22411f29fp-15, -0x1.cd85107bff148p-15, -0x1.c87f53f311859p-15, -0x1.c3794be94f647p-15, -0x1.be7353ddb2bf5p-15, -0x1.b96dc3ae00c08p-15, -0x1.b468efb6c5965p-15, -0x1.af6528f3ca7d5p-15, -0x1.aa62bd1f18b2cp-15, -0x1.a561f6cdf424fp-15, -0x1.a0631d8e8ef7bp-15, -0x1.9b667603c0ab1p-15, -0x1.966c42003f844p-15, -0x1.9174c09fe52a1p-15, -0x1.8c802e617c29cp-15, -0x1.878ec53f4a4e6p-15, -0x1.82a0bcc6bd087p-15, -0x1.7db64a2f0f8adp-15, -0x1.78cfa06f3250ep-15, -0x1.73ecf053a6073p-15, -0x1.6f0e6892fb80cp-15, -0x1.6a3435e0ffea4p-15, -0x1.655e83029bb25p-15, -0x1.608d78e06994bp-15, -0x1.5bc13e9874083p-15, -0x1.56f9f98fbdb68p-15, -0x1.5237cd827fedbp-15, -0x1.4d7adc94e6cf7p-15, -0x1.48c34761b5c09p-15, -0x1.44112d09df0a9p-15, -0x1.3f64ab42df27bp-15, -0x1.3abdde64b32dbp-15, -0x1.361ce17742b57p-15, -0x1.3181ce3f061fbp-15, -0x1.2cecbd4a4cd13p-15, -0x1.285dc5fc3886ep-15, -0x1.23d4fe98d2681p-15, -0x1.1f527c5022184p-15, -0x1.1ad65348de1a2p-15, -0x1.166096aadb58bp-15, -0x1.11f158a8a5f52p-15, -0x1.0d88aa8983488p-15, -0x1.09269cb24c1a1p-15, -0x1.04cb3eae68572p-15, -0x1.00769f37d4b6fp-15, -0x1.f851987fe94fep-16, -0x1.efc3a5edfb7eep-16, -0x1.e7437fa82c747p-16, -0x1.ded13d37d1394p-16, -0x1.d66cf4cfc93e8p-16, -0x1.ce16bb59a203ap-16, -0x1.c5cea4821da68p-16, -0x1.bd94c2c5d6466p-16, -0x1.b569277cd6112p-16, -0x1.ad4be2e6655bdp-16, -0x1.a53d04334e936p-16, -0x1.9d3c999066a1bp-16, -0x1.954ab031177c5p-16, -0x1.8d675457e32ap-16, -0x1.8592915fe019dp-16, -0x1.7dcc71c59bff2p-16, -0x1.7614ff3002ffcp-16, -0x1.6e6c4277a5ac3p-16, -0x1.66d243ae33915p-16, -0x1.5f470a2683bebp-16, -0x1.57ca9c7b7a2fbp-16, -0x1.505d00966e626p-16, -0x1.48fe3bb56c764p-16, -0x1.41ae527179e55p-16, -0x1.3a6d48c4f0937p-16, -0x1.333b221035c55p-16, -0x1.2c17e1204a82ap-16, -0x1.25038832f0fe6p-16, -0x1.1dfe18fbc6465p-16, -0x1.170794a8e22a6p-16, -0x1.101ffbe70a56ap-16, -0x1.09474ee666681p-16, -0x1.027d8d5e2db78p-16, -0x1.f7856d2120766p-17, -0x1.ea2d929d097ccp-17, -0x1.dcf387f5e87ffp-17, -0x1.cfd7491d7988ep-17, -0x1.c2d8d1368f171p-17, -0x1.b5f81a9a3474fp-17, -0x1.a9351edea74e6p-17, -0x1.9c8fd6ddc29a5p-17, -0x1.90083ab94a343p-17, -0x1.839e41df408bbp-17, -0x1.7751e30eed97bp-17, -0x1.6b23145e5631fp-17, -0x1.5f11cb3db829dp-17, -0x1.531dfc7a975f1p-17, -0x1.47479c4532608p-17, -0x1.3b8e9e33e2d32p-17, -0x1.2ff2f546cb623p-17, -0x1.247493ea51469p-17, -0x1.19136bfb04b9ep-17, -0x1.0dcf6ec8ee7c1p-17, -0x1.02a88d1a50b1dp-17, -0x1.ef3d6e5b9431ep-18, -0x1.d963b97b29231p-18, -0x1.c3c3da044cd92p-18, -0x1.ae5dad67ff2d9p-18, -0x1.9931101cce968p-18, -0x1.843ddda3a69b4p-18, -0x1.6f83f08b37b9fp-18, -0x1.5b0322753eea7p-18, -0x1.46bb4c19f751p-18, -0x1.32ac454947bb7p-18, -0x1.1ed5e4f210aaap-18, -0x1.0b380123a306p-18, -0x1.efa4de25860acp-19, -0x1.c94a063561921p-19, -0x1.a35f2183e05b1p-19, -0x1.7de3d57b24db3p-19, -0x1.58d7c5e6ab78cp-19, -0x1.343a94f515679p-19, -0x1.100be34481654p-19, -0x1.d8969fc82c0b2p-20, -0x1.91f0f0b4b0de5p-20, -0x1.4c25f153d0282p-20, -0x1.0734d6b039f0ap-20, -0x1.8639a5b84b895p-21, -0x1.ff7454174fda4p-22, -0x1.eba64ba938e23p-23, 0x1.0739985f5077fp-26, 0x1.13634f53a8c1bp-22, 0x1.097fb604f079bp-21, 0x1.87a5b5861cbb2p-21, 0x1.0212b4a2e01f3p-20, 0x1.3f804cd6c2e3bp-20, 0x1.7c1c8a33c774dp-20, 0x1.b7e85625d154ep-20, 0x1.f2e49caa66948p-20, 0x1.1689262229ee1p-19, 0x1.33392afae4c6dp-19, 0x1.4f82d69900209p-19, 0x1.6b66a3eee222cp-19, 0x1.86e50f1eabb64p-19, 0x1.a1fe9578ada56p-19, 0x1.bcb3b5751a846p-19, 0x1.d704eeb0ec551p-19, 0x1.f0f2c1e9695e6p-19, 0x1.053ed87b7b71ep-18, 0x1.11d31f64e89f1p-18, 0x1.1e3677b367744p-18, 0x1.2a6923ef58d54p-18, 0x1.366b672534d62p-18, 0x1.423d84e57113ep-18, 0x1.4ddfc14107839p-18, 0x1.595260c5937a1p-18, 0x1.6495a87cfae9cp-18, 0x1.6fa9ddea6daccp-18, 0x1.7a8f47083cb1dp-18, 0x1.85462a44c7672p-18, 0x1.8fcece80c42dcp-18, 0x1.9a297b0d895fap-18, 0x1.a45677a940d26p-18, 0x1.ae560c7be7ff1p-18, 0x1.b828821731be4p-18, 0x1.c1ce2172c59c4p-18, 0x1.cb4733ea2b7c6p-18, 0x1.d49403396fce8p-18, 0x1.ddb4d97bbbd8fp-18, 0x1.e6aa012812b79p-18, 0x1.ef73c50ec71c2p-18, 0x1.f8127057b4313p-18, 0x1.0043273fa965bp-17, 0x1.0467d5aa038d3p-17, }}, 
      {{-0x1.bc5be766fe415p-1, -0x1.bc508c87e4086p-1, -0x1.bc3d96ec1f0cap-1, -0x1.bc22f9a39a83fp-1, -0x1.bc00a320fc94bp-1, -0x1.bbd67db8c933p-1, -0x1.bba4703285ec8p-1, -0x1.bb6a5e641a0f7p-1, -0x1.bb2829d0e7a81p-1, -0x1.baddb24759fc7p-1, -0x1.ba8ad678cb898p-1, -0x1.ba2f7488b1928p-1, -0x1.b9cb6a90fcd63p-1, -0x1.b95e971a6e229p-1, -0x1.b8e8d98853241p-1, -0x1.b86a12779e76ep-1, -0x1.b7e22411ad707p-1, -0x1.b750f25348cf9p-1, -0x1.b6b6634891ffep-1, -0x1.b6125f3e9b627p-1, -0x1.b564d0eb76c94p-1, -0x1.b4ada58d7fa14p-1, -0x1.b3eccd02a4b7bp-1, -0x1.b32239d8700b6p-1, -0x1.b24de155875bfp-1, -0x1.b16fbb7d524efp-1, -0x1.b087c30e75decp-1, -0x1.af95f57cc4484p-1, -0x1.ae9a52e73f943p-1, -0x1.ad94de0abacf9p-1, -0x1.ac859c31a8aa9p-1, -0x1.ab6c95218fc7bp-1, -0x1.aa49d30698662p-1, -0x1.a91d625d9f5fbp-1, -0x1.a7e751dd26a9ap-1, -0x1.a6a7b25d78a9dp-1, -0x1.a55e96c04762dp-1, -0x1.a40c13d803efcp-1, -0x1.a2b0404f25f2bp-1, -0x1.a14b348f8e477p-1, -0x1.9fdd0aaa2b76dp-1, -0x1.9e65de3efeb2fp-1, -0x1.9ce5cc6596eacp-1, -0x1.9b5cf39619eb3p-1, -0x1.99cb7392e4231p-1, -0x1.98316d52cdfcbp-1, -0x1.968f02ec1ac36p-1, -0x1.94e4578017747p-1, -0x1.93318f27697c9p-1, -0x1.9176cedf0e7a6p-1, -0x1.8fb43c760c963p-1, -0x1.8de9fe7bce5f9p-1, -0x1.8c183c2f2aa1bp-1, -0x1.8a3f1d6e11252p-1, -0x1.885ecaa5d9f32p-1, -0x1.86776cc4320cfp-1, -0x1.84892d28a1d84p-1, -0x1.82943596a8a4cp-1, -0x1.8098b0286677bp-1, -0x1.7e96c741d5e15p-1, -0x1.7c8ea5848870dp-1, -0x1.7a8075c3ed0ap-1, -0x1.786c62fa10462p-1, -0x1.7652983cdf03bp-1, -0x1.743340b3dd11dp-1, -0x1.720e878e54cdep-1, -0x1.6fe497f9f7584p-1, -0x1.6db59d19ed986p-1, -0x1.6b81c1fe5490ep-1, -0x1.6949319c23794p-1, -0x1.670c16c579327p-1, -0x1.64ca9c224cb06p-1, -0x1.6284ec2981008p-1, -0x1.603b311a5422fp-1, -0x1.5ded94f62f157p-1, -0x1.5b9c417aca4fbp-1, -0x1.5947601cad827p-1, -0x1.56ef1a020042cp-1, -0x1.549397fdaf269p-1, -0x1.5235028ade81ep-1, -0x1.4fd381c8aa8afp-1, -0x1.4d6f3d76312a4p-1, -0x1.4b085ceee3b1fp-1, -0x1.489f07271d324p-1, -0x1.463362a8fb366p-1, -0x1.43c595917798cp-1, -0x1.4155c58dbcd63p-1, -0x1.3ee417d8b89bfp-1, -0x1.3c70b138e3fe5p-1, -0x1.39fbb5fe43513p-1, -0x1.37854a009743bp-1, -0x1.350d909dc2187p-1, -0x1.3294acb858313p-1, -0x1.301ac0b65fa8ap-1, -0x1.2d9fee8037499p-1, -0x1.2b24577fa8678p-1, -0x1.28a81c9f1baddp-1, -0x1.262b5e48f2a8cp-1, -0x1.23ae3c6702babp-1, -0x1.2130d6622fbc4p-1, -0x1.1eb34b222332bp-1, -0x1.1c35b90d208d4p-1, -0x1.19b83e07f23b9p-1, -0x1.173af775ef9dep-1, -0x1.14be023918f25p-1, -0x1.12417ab24907bp-1, -0x1.0fc57cc179d96p-1, -0x1.0d4a23c61a8afp-1, -0x1.0acf8a9f77a3ap-1, -0x1.0855cbad3125p-1, -0x1.05dd00cfbfcdbp-1, -0x1.0365436906e4dp-1, -0x1.00eeac5cf1752p-1, -0x1.fcf2a82436cf6p-2, -0x1.f80aa4e506d53p-2, -0x1.f3257dd88dea7p-2, -0x1.ee4360e4c9ca6p-2, -0x1.e9647afb13208p-2, -0x1.e488f819bee86p-2, -0x1.dfb1034dcd6fdp-2, -0x1.dadcc6b4a3e71p-2, -0x1.d60c6b7dd00f2p-2, -0x1.d14019ecd28p-2, -0x1.cc77f95af37e3p-2, -0x1.c7b4303919917p-2, -0x1.c2f4e411aaaaap-2, -0x1.be3a398a6f0b4p-2, -0x1.b98454667c183p-2, -0x1.b4d357881dd9ep-2, -0x1.b02764f2c7f7ap-2, -0x1.ab809dcd08038p-2, -0x1.a6df22627a6aap-2, -0x1.a2431225c0465p-2, -0x1.9dac8bb278416p-2, -0x1.991baccf38cf4p-2, -0x1.9490926f8a62dp-2, -0x1.900b58b5e4497p-2, -0x1.8b8c1af5a8a42p-2, -0x1.8712f3b522234p-2, -0x1.829ffcaf81c2bp-2, -0x1.7e334ed6deb83p-2, -0x1.79cd0256342f9p-2, -0x1.756d2e936057cp-2, -0x1.7113ea3125335p-2, -0x1.6cc14b112967ep-2, -0x1.68756655f6db9p-2, -0x1.64305064fd46cp-2, -0x1.5ff21ce892236p-2, -0x1.5bbaded1f5013p-2, -0x1.578aa85b4f03fp-2, -0x1.53618b09b7a9p-2, -0x1.4f3f97af37c9bp-2, -0x1.4b24de6ccd7fcp-2, -0x1.47116eb471cbap-2, -0x1.4305574b1c07ep-2, -0x1.3f00a64aca332p-2, -0x1.3b03692488592p-2, -0x1.370daca276a95p-2, -0x1.331f7ce9d312ep-2, -0x1.2f38e57d0350fp-2, -0x1.2b59f13da048bp-2, -0x1.2782aa6e7f348p-2, -0x1.23b31ab5c1d89p-2, -0x1.1feb4b1ee08f1p-2, -0x1.1c2b441cbaed8p-2, -0x1.18730d8ba718p-2, -0x1.14c2aeb38266ap-2, -0x1.111a2e49c199ap-2, -0x1.0d79927384933p-2, -0x1.09e0e0c7aa106p-2, -0x1.06501e50e12f9p-2, -0x1.02c74f8fc2006p-2, -0x1.fe8cf0f9c1985p-3, -0x1.f79b3915c805p-3, -0x1.f0b97d513c352p-3, -0x1.e9e7c286437a1p-3, -0x1.e3260c8fb90ddp-3, -0x1.dc745e4d5baddp-3, -0x1.d5d2b9a8007cdp-3, -0x1.cf411f95c503bp-3, -0x1.c8bf901e4051p-3, -0x1.c24e0a5eb6bc4p-3, -0x1.bbec8c8e48618p-3, -0x1.b59b14022869dp-3, -0x1.af599d31c8021p-3, -0x1.a92823bb093d1p-3, -0x1.a306a2666d8fcp-3, -0x1.9cf5132b428aap-3, -0x1.96f36f33cdb24p-3, -0x1.9101aee176959p-3, -0x1.8b1fc9d0eb9cfp-3, -0x1.854db6de4d014p-3, -0x1.7f8b6c29462bdp-3, -0x1.79d8df19360a3p-3, -0x1.743604614326ap-3, -0x1.6ea2d004788cbp-3, -0x1.691f3559d9008p-3, -0x1.63ab27106cef6p-3, -0x1.5e46973350602p-3, -0x1.58f1772db8f8ap-3, -0x1.53abb7cef79dep-3, -0x1.4e75494e75adep-3, -0x1.494e1b4fab305p-3, -0x1.44361ce60dfd4p-3, -0x1.3f2d3c9900e4bp-3, -0x1.3a336867b4c26p-3, -0x1.35488dcd08b1p-3, -0x1.306c99c35c2a5p-3, -0x1.2b9f78c8666e7p-3, -0x1.26e116e0f7ed5p-3, -0x1.22315f9cbd732p-3, -0x1.1d903e19f9a72p-3, -0x1.18fd9d0934ddep-3, -0x1.147966b0e33e7p-3, -0x1.100384f10762bp-3, -0x1.0b9be146c7c6p-3, -0x1.074264cffd2adp-3, -0x1.02f6f84eb3cdcp-3, -0x1.fd7308595770ep-4, -0x1.f513e0fd8b737p-4, -0x1.ecd04a10db756p-4, -0x1.e4a8127dee011p-4, -0x1.dc9b0899df45fp-4, -0x1.d4a8fa2ad66dp-4, -0x1.ccd1b46e824cdp-4, -0x1.c51504207f3e8p-4, -0x1.bd72b580ad1dcp-4, -0x1.b5ea94596ae54p-4, -0x1.ae7c6c05c275fp-4, -0x1.a7280777712fp-4, -0x1.9fed313ced015p-4, -0x1.98cbb3874436fp-4, -0x1.91c3582fe81ecp-4, -0x1.8ad3e8be69fedp-4, -0x1.83fd2e6e155f1p-4, -0x1.7d3ef2337e5cfp-4, -0x1.7698fcc1edb1fp-4, -0x1.700b1690bdf22p-4, -0x1.699507e09cffdp-4, -0x1.633698c0b6f9dp-4, -0x1.5cef9113ca4cp-4, -0x1.56bfb89520d44p-4, -0x1.50a6d6dd7770ep-4, -0x1.4aa4b367c7d2fp-4, -0x1.44b91595fdbc6p-4, -0x1.3ee3c4b592badp-4, -0x1.3924880414c75p-4, -0x1.337b26b392db7p-4, -0x1.2de767eef1408p-4, -0x1.286912de2ab15p-4, -0x1.22ffeeaa7474ep-4, -0x1.1dabc2824cd62p-4, -0x1.186c559d75ba6p-4, -0x1.13416f40d25d9p-4, -0x1.0e2ad6c231e2p-4, -0x1.0928538c0030ep-4, -0x1.0439ad20e3533p-4, -0x1.febd563e7b0ddp-5, -0x1.f52e2a89395b8p-5, -0x1.ebc566e220cddp-5, -0x1.e2829b54d564ep-5, -0x1.d965583ed90d4p-5, -0x1.d06d2e55ae411p-5, -0x1.c799aeacdc675p-5, -0x1.beea6abbbd4ffp-5, -0x1.b65ef463288e8p-5, -0x1.adf6ddf2e9007p-5, -0x1.a5b1ba2f18a39p-5, -0x1.9d8f1c5543c74p-5, -0x1.958e9821690e5p-5, -0x1.8dafc1d2d2bd1p-5, -0x1.85f22e30c40c4p-5, -0x1.7e55728efeb9dp-5, -0x1.76d924d2245c8p-5, -0x1.6f7cdb73ee32dp-5, -0x1.68402d873cd58p-5, -0x1.6122b2bc09a87p-5, -0x1.5a24036324385p-5, -0x1.5343b871dfc34p-5, -0x1.4c816b8585ffap-5, -0x1.45dcb6e6b6e29p-5, -0x1.3f55358c99f55p-5, -0x1.38ea831ff709ap-5, -0x1.329c3bfe21304p-5, -0x1.2c69fd3bcb856p-5, -0x1.265364a7b2021p-5, -0x1.205810cd29ac6p-5, -0x1.1a77a0f68ce44p-5, -0x1.14b1b52f88ba4p-5, -0x1.0f05ee474a9b9p-5, -0x1.0973edd29340bp-5, -0x1.03fb562da55eap-5, -0x1.fd3794fc38d67p-6, -0x1.f2a9dd694280ep-6, -0x1.e84ccf1d16cbcp-6, -0x1.de1fb52eb25f4p-6, -0x1.d421dc5437198p-6, -0x1.ca5292e5786p-6, -0x1.c0b128de59b3cp-6, -0x1.b73cefe0fe1fcp-6, -0x1.adf53b37c22c9p-6, -0x1.a4d95fd703296p-6, -0x1.9be8b45ebda4dp-6, -0x1.9322911bf39a4p-6, -0x1.8a865009e6fe5p-6, -0x1.82134cd333ec5p-6, -0x1.79c8e4d2a7468p-6, -0x1.71a67714095f4p-6, -0x1.69ab64549ca33p-6, -0x1.61d70f0393d13p-6, -0x1.5a28db424829bp-6, -0x1.52a02ee457b0ap-6, -0x1.4b3c716f9b53bp-6, -0x1.43fd0c1bef52ap-6, -0x1.3ce169d2e68bfp-6, -0x1.35e8f72f500b7p-6, -0x1.2f13227c9cefp-6, -0x1.285f5bb62b8d7p-6, -0x1.21cd14866b357p-6, -0x1.1b5bc045e47adp-6, -0x1.150ad3fa28e31p-6, -0x1.0ed9c654936b9p-6, -0x1.08c80fb10c955p-6, -0x1.02d52a148ae24p-6, -0x1.fa0122573e928p-7, -0x1.ee9384919b2f1p-7, -0x1.e36078c5b1b6dp-7, -0x1.d8670025e8bb7p-7, -0x1.cda61f25b95bfp-7, -0x1.c31cdd75be2e9p-7, -0x1.b8ca45ff80048p-7, -0x1.aead66e13ba4cp-7, -0x1.a4c5516966c92p-7, -0x1.9b111a1214bd2p-7, -0x1.918fd87c2f5b7p-7, -0x1.8840a76aad3b9p-7, -0x1.7f22a4bd6f347p-7, -0x1.7634f16c2a8a3p-7, -0x1.6d76b181277aep-7, -0x1.64e70c13dc9cp-7, -0x1.5c852b436b41ap-7, -0x1.54503c31120b9p-7, -0x1.4c476efa6b5fdp-7, -0x1.4469f6b3b37ebp-7, -0x1.3cb70961d30e9p-7, -0x1.352ddff47a8b6p-7, -0x1.2dcdb6400299cp-7, -0x1.2695caf757546p-7, -0x1.1f855fa5c21afp-7, -0x1.189bb8a89dfbfp-7, -0x1.11d81d290f8p-7, -0x1.0b39d7159608cp-7, -0x1.04c0331b988bp-7, -0x1.fcd50141d516bp-8, -0x1.f070237a82667p-8, -0x1.e4507667357f8p-8, -0x1.d874a8d730da5p-8, -0x1.ccdb6ed5b0c55p-8, -0x1.c183819c87076p-8, -0x1.b66b9f869e055p-8, -0x1.ab928c027a36dp-8, -0x1.a0f70f84b32a5p-8, -0x1.9697f77a4958cp-8, -0x1.8c74163b19882p-8, -0x1.828a42fc27153p-8, -0x1.78d959c1f258p-8, -0x1.6f603b52cf98p-8, -0x1.661dcd292f15fp-8, -0x1.5d10f965dbcadp-8, -0x1.5438aec264187p-8, -0x1.4b93e0834f3eap-8, -0x1.4321866a79f11p-8, -0x1.3ae09ca9582f8p-8, -0x1.32d023d379431p-8, -0x1.2aef20d0b282p-8, -0x1.233c9ccfb3106p-8, -0x1.1bb7a5385e358p-8, -0x1.145f4b9e4927dp-8, -0x1.0d32a5b340bb8p-8, -0x1.0630cd39e113bp-8, -0x1.feb1bff052374p-9, -0x1.f153ff544b484p-9, -0x1.e446a3e968dc7p-9, -0x1.d78800b0871a3p-9, -0x1.cb1670475f7cp-9, -0x1.bef054ce5153ap-9, -0x1.b31417ce55a5ap-9, -0x1.a7802a1f2be06p-9, -0x1.9c3303cd89641p-9, -0x1.912b240193e9bp-9, -0x1.866710e54f87ep-9, -0x1.7be5578b82ef5p-9, -0x1.71a48bd67dd1ep-9, -0x1.67a3485f401cbp-9, -0x1.5de02e5ca4938p-9, -0x1.5459e58ae45e2p-9, -0x1.4b0f1c131d664p-9, -0x1.41fe86732db6fp-9, -0x1.3926df65b0129p-9, -0x1.3086e7ca0f9e1p-9, -0x1.281d668d24573p-9, -0x1.1fe92891802bep-9, -0x1.17e9009867c34p-9, -0x1.101bc72acbd82p-9, -0x1.08805a826ccbp-9, -0x1.01159e733a714p-9, -0x1.f3b4f8aa0b08fp-10, -0x1.e59bc5daac738p-10, -0x1.d7dd8cb2c4be2p-10, -0x1.ca783ff0d61c6p-10, -0x1.bd69dcac4241cp-10, -0x1.b0b06a2abc2c7p-10, -0x1.a449f9b6446c9p-10, -0x1.9834a67340711p-10, -0x1.8c6e9537513b6p-10, -0x1.80f5f46080c56p-10, -0x1.75c8fbace11dfp-10, -0x1.6ae5ec1287d91p-10, -0x1.604b0f984a06ep-10, -0x1.55f6b92e85adbp-10, -0x1.4be74488a98afp-10, -0x1.421b15f70a83dp-10, -0x1.38909a415355cp-10, -0x1.2f4646811a8ebp-10, -0x1.263a97fd6a968p-10, -0x1.1d6c14061cafep-10, -0x1.14d947d054338p-10, -0x1.0c80c852c7217p-10, -0x1.04613223138f4p-10, -0x1.f8f252a5e138ep-11, -0x1.e98eb29cbdba8p-11, -0x1.da94e973c4ea1p-11, -0x1.cc026aa2ccd2ep-11, -0x1.bdd4b78f0ffbep-11, -0x1.b0095f4a56b68p-11, -0x1.a29dfe53a2632p-11, -0x1.95903e57d99b9p-11, -0x1.88ddd5f47bdbcp-11, -0x1.7c848879aec12p-11, -0x1.708225aed7a3cp-11, -0x1.64d48996a0c99p-11, -0x1.59799c3499c83p-11, -0x1.4e6f5153a21c8p-11, -0x1.43b3a84cd910fp-11, -0x1.3944abcfdd281p-11, -0x1.2f2071ab33d63p-11, -0x1.25451a9627b45p-11, -0x1.1bb0d1fb6246p-11, -0x1.1261cdc3b1a8bp-11, -0x1.09564e225ffbp-11, -0x1.008c9d6215ee1p-11, -0x1.f0061f6488701p-12, -0x1.df7005eb7f727p-12, -0x1.cf53bd239f23cp-12, -0x1.bfae267c1cdfbp-12, -0x1.b07c35aaacf2fp-12, -0x1.a1baf04df96adp-12, -0x1.93676d92571a4p-12, -0x1.857ed5d7bb46fp-12, -0x1.77fe62589a2ccp-12, -0x1.6ae35cd34d923p-12, -0x1.5e2b1f33fbb75p-12, -0x1.51d313405558p-12, -0x1.45d8b24490492p-12, -0x1.3a3984c1f9352p-12, -0x1.2ef3221ec6e7ep-12, -0x1.2403305722ffap-12, -0x1.196763afda686p-12, -0x1.0f1d7e6a0d31bp-12, -0x1.05235078a627fp-12, -0x1.f6ed6e6cc096p-13, -0x1.e42b3a3bd07fep-13, -0x1.d1fbf305332bcp-13, -0x1.c05ba095fa1a6p-13, -0x1.af4663581af4cp-13, -0x1.9eb873cc5e842p-13, -0x1.8eae22054a102p-13, -0x1.7f23d526a594fp-13, -0x1.70160ae513fd6p-13, -0x1.618157090cf47p-13, -0x1.536262f46bd73p-13, -0x1.45b5ed291dfcp-13, -0x1.3878c8d3f8b9p-13, -0x1.2ba7dd575792dp-13, -0x1.1f4025d992e79p-13, -0x1.133eb0d545929p-13, -0x1.07a09fab78f35p-13, -0x1.f8c64c6f3fd9cp-14, -0x1.e30714cc5aa85p-14, -0x1.cdfe479a40239p-14, -0x1.b9a6b68b7bd07p-14, -0x1.a5fb5512e6f08p-14, -0x1.92f737a03809ap-14, -0x1.809592df01e83p-14, -0x1.6ed1bafbb9904p-14, -0x1.5da722ead9b1cp-14, -0x1.4d115bb4387dfp-14, -0x1.3d0c13c280bbdp-14, -0x1.2d931634ca5b2p-14, -0x1.1ea24a34cfdf6p-14, -0x1.1035b24f86d76p-14, -0x1.02496bd2f9d35p-14, -0x1.e9b35c592c046p-15, -0x1.cfc5949bf30ap-15, -0x1.b6c2542368da6p-15, -0x1.9ea29f4ad0197p-15, -0x1.875fa9edc3cf5p-15, -0x1.70f2d64525ba9p-15, -0x1.5b55b3cd42b8dp-15, -0x1.4681fe3179b62p-15, -0x1.32719c3bd30e8p-15, -0x1.1f1e9ecc05e5p-15, -0x1.0c833fd3f3c2bp-15, -0x1.f533c2af99302p-16, -0x1.d2ba18ed5af68p-16, -0x1.b18ee0e9b893dp-16, -0x1.91a7c39cf64abp-16, -0x1.72fab29c71fa3p-16, -0x1.557de64f5fc8dp-16, -0x1.3927dc31dcb41p-16, -0x1.1def551e8b05fp-16, -0x1.03cb53a1abda7p-16, -0x1.d56634b0a078fp-17, -0x1.a53c54a9ef11cp-17, -0x1.77088321b5237p-17, -0x1.4abab2c9e3598p-17, -0x1.20434a0ee47a6p-17, -0x1.ef264066881f7p-18, -0x1.a136f4defcb72p-18, -0x1.569c12495448ap-18, -0x1.0f39ca42889f3p-18, -0x1.95ea33e1e61c4p-19, -0x1.1367899b96a25p-19, -0x1.2d713defe8d45p-20, -0x1.fabf5b4db8d0fp-23, 0x1.47ba074fb8b93p-21, 0x1.7c8ae417cb698p-20, 0x1.258629968281p-19, 0x1.87dca4499b4cep-19, 0x1.e5739424cc325p-19, 0x1.1f3a34f3efe22p-18, 0x1.4983aec93eda9p-18, 0x1.71a9bb580a0ap-18, 0x1.97bf4a342a28ep-18, 0x1.bbd6baad259dcp-18, 0x1.de01dfaf96793p-18, 0x1.fe52037ed311p-18, 0x1.0e6bf5b1e7b01p-17, 0x1.1cd1ed9f77966p-17, 0x1.2a62cc864865dp-17, 0x1.37263823e7306p-17, 0x1.43239aa0e6586p-17, 0x1.4e6224316e9fcp-17, 0x1.58e8cca7e6441p-17, 0x1.62be55056982fp-17, 0x1.6be948f5c32a8p-17, 0x1.7470004c83169p-17, 0x1.7c58a0716c2a4p-17, 0x1.83a91dc93887ep-17, 0x1.8a673d1015952p-17, 0x1.909894b00b294p-17, 0x1.96428e0ea8f26p-17, 0x1.9b6a66cdc5875p-17, 0x1.a01532087daa9p-17, 0x1.a447d98557928p-17, 0x1.a8071ee3e826ap-17, 0x1.ab579cc0e6486p-17, 0x1.ae3dc7d26977p-17, 0x1.b0bdeffe33b6bp-17, 0x1.b2dc416792627p-17, 0x1.b49cc5779814p-17, 0x1.b60363dd15d0bp-17, 0x1.b713e3869844ep-17, 0x1.b7d1eb95ed1cep-17, 0x1.b841044db6831p-17, 0x1.b86497f862b3fp-17, 0x1.b83ff3c9687aep-17, 0x1.b7d648b82e62fp-17, 0x1.b72aac5557f5bp-17, 0x1.b640199a3f61ep-17, 0x1.b51971b3ecc63p-17, 0x1.b3b97cc5de0bap-17, 0x1.b222eaaa44cb1p-17, 0x1.b05853adb1fb6p-17, 0x1.ae5c39430cafbp-17, 0x1.ac3106b52fdfcp-17, 0x1.a9d911d192edp-17, 0x1.a7569b8f2b242p-17, 0x1.a4abd0b2b36eap-17, 0x1.a1daca6a61252p-17, 0x1.9ee58ee7f29edp-17, 0x1.9bce11f720899p-17, 0x1.9896358e9da9ap-17, 0x1.953fca5d70bb7p-17, 0x1.91cc9053c7a6p-17, 0x1.8e3e3729cdf34p-17, 0x1.8a965ee02dfc6p-17, 0x1.86d6983f26ebp-17, 0x1.830065503292fp-17, 0x1.7f1539d5db3eep-17, 0x1.7b167bbf3eaf8p-17, 0x1.770583991cc28p-17, 0x1.72e39cfa94bccp-17, 0x1.6eb206efe469ap-17, 0x1.6a71f46066e54p-17, 0x1.66248c749c0bfp-17, 0x1.61caeaf622ad7p-17, 0x1.5d6620adc18cfp-17, 0x1.58f733bfb7634p-17, 0x1.547f20057e099p-17, 0x1.4ffed7627848p-17, 0x1.4b774219873bap-17, 0x1.46e93f1d9cae8p-17, 0x1.4255a461741bap-17, 0x1.3dbd3f2348289p-17, 0x1.3920d437a3445p-17, 0x1.34812051ea314p-17, 0x1.2fded8497269cp-17, 0x1.2b3aa95e53328p-17, 0x1.2695397a99755p-17, 0x1.21ef2772eb59p-17, 0x1.1d490b441c021p-17, 0x1.18a3764e793dep-17, 0x1.13fef39154d8bp-17, 0x1.0f5c07e294c88p-17, 0x1.0abb322591cbcp-17, 0x1.061ceb7fea074p-17, 0x1.0181a78d49506p-17, 0x1.f9d3a921db198p-18, 0x1.f0abb74b49515p-18, 0x1.e78c41d9d8a89p-18, 0x1.de7607782526ap-18, 0x1.d569bd902e754p-18, 0x1.cc68109fa647dp-18, 0x1.c371a48abfb3p-18, 0x1.ba8714ea5ab92p-18, 0x1.b1a8f55b8dbf2p-18, 0x1.a8d7d1c7abefdp-18, 0x1.a0142ead6d49bp-18, 0x1.975e8967527fbp-18, 0x1.8eb7586e8b0b1p-18, 0x1.861f0b9c1e812p-18, 0x1.7d960c68b2ceap-18, 0x1.751cbe29806f5p-18, 0x1.6cb37e4b62fe8p-18, 0x1.645aa48c32ce8p-18, 0x1.5c12833176d9ep-18, 0x1.53db673ebba09p-18, 0x1.4bb598a840677p-18, 0x1.43a15a8623945p-18, 0x1.3b9eeb43f4b37p-18, 0x1.33ae84cfccdbp-18, 0x1.2bd05cc68d8b7p-18, 0x1.2404a49fa0be3p-18, 0x1.1c4b89d7a3f67p-18, 0x1.14a536188d1bdp-18, 0x1.0d11cf60c672dp-18, 0x1.05917829628ecp-18, 0x1.fc489f14bbd3dp-19, 0x1.ed94e2bd60b69p-19, 0x1.df07ecca35fp-19, 0x1.d0a1e8c36aae6p-19, 0x1.c262fc7b23fe5p-19, 0x1.b44b484b86494p-19, 0x1.a65ae75017dbdp-19, 0x1.9891ef9f1ed02p-19, 0x1.8af07280fdeaep-19, 0x1.7d767ca511996p-19, 0x1.702416546261cp-19, 0x1.62f943a289004p-19, 0x1.55f6049e01409p-19, 0x1.491a557df733dp-19, 0x1.3c662ecd02afcp-19, 0x1.2fd98593a9bb6p-19, 0x1.23744b81937c7p-19, 0x1.17366f154befap-19, 0x1.0b1fdbc1dda64p-19, 0x1.fe60f42597c7bp-20, 0x1.e6d05f9cd7e53p-20, 0x1.cf8dc0330e1cp-20, 0x1.b898d72de4428p-20, 0x1.a1f1610c13cedp-20, 0x1.8b9715c458394p-20, 0x1.7589a8fc4ab8cp-20, 0x1.5fc8ca42f64fbp-20, 0x1.4a54254351bdcp-20, 0x1.352b61f8f2fc9p-20, 0x1.204e24e05c552p-20, 0x1.0bbc0f2798e49p-20, 0x1.eee97db858d23p-21, 0x1.c6ef9e28cd9edp-21, 0x1.9f89b0381e358p-21, 0x1.78b6df3867221p-21, 0x1.5276518488dd1p-21, 0x1.2cc728c545387p-21, 0x1.07a8823af0dbfp-21, 0x1.c632ee0a9e92p-22, 0x1.7e3238c2ef5eep-22, 0x1.374d07d449c14p-22, 0x1.e302ef4a0a2e4p-23, 0x1.599b3c85c5d11p-23, 0x1.a4be2f5c08755p-24, 0x1.352a581c58e08p-25, -0x1.ad31eaf78dd48p-26, -0x1.6ceec1b386357p-24, -0x1.352cdb7c9f495p-23, -0x1.b1cabc5a0db88p-23, -0x1.162a8cf00da9cp-22, -0x1.52680899f1978p-22, -0x1.8d9fe2c99933cp-22, -0x1.c7d42fe02ca94p-22, -0x1.0083835d1d4d3p-21, -0x1.1c9d403405937p-21, -0x1.38385bf86348fp-21, -0x1.5355e5090c8bp-21, -0x1.6df6ea7e2592bp-21, -0x1.881c7c129e2c7p-21, -0x1.a1c7aa0717c57p-21, -0x1.baf98504ff1f7p-21, -0x1.d3b31e0aa5c94p-21, -0x1.ebf5865004192p-21, -0x1.01e0e7997b13cp-20, -0x1.0d8c850f704a5p-20, -0x1.18fe243cd1b87p-20, -0x1.24364dc7675f2p-20, -0x1.2f358a406a64p-20, -0x1.39fc621978b8ap-20, -0x1.448b5d9d10e0fp-20, -0x1.4ee304e52aa5fp-20, -0x1.5903dfd549d79p-20, -0x1.62ee76129efdbp-20, -0x1.6ca34efd920e5p-20, -0x1.7622f1aad2edbp-20, -0x1.7f6de4dd0b576p-20, -0x1.8884aeff4a65bp-20, -0x1.9167d61e860ebp-20, -0x1.9a17dfe4ef8fep-20, -0x1.a29551950abeap-20, -0x1.aae0b0047b8fcp-20, -0x1.b2fa7f97a3258p-20, -0x1.bae3443cd519fp-20, -0x1.c29b816864628p-20, -0x1.ca23ba111c93p-20, -0x1.d17c70abfce57p-20, -0x1.d8a62729f69d2p-20, -0x1.dfa15ef3a5bfbp-20, -0x1.e66e98e6448e8p-20, -0x1.ed0e5550f201dp-20, -0x1.f38113f1ef0b3p-20, -0x1.f9c753f47d40bp-20, -0x1.ffe193ed8e4fcp-20, -0x1.02e828ed375cdp-19, -0x1.05ca058e2bacdp-19, -0x1.08969e3c36b2dp-19, -0x1.0b4e310a79808p-19, -0x1.0df0fbbbf6ae6p-19, -0x1.107f3bc2e8e12p-19, -0x1.12f92e3fa72adp-19, -0x1.155f0fffad2a9p-19, -0x1.17b11d7d8ef13p-19, -0x1.19ef92dfc0903p-19, -0x1.1c1aabf7fcc32p-19, -0x1.1e32a442cb4d9p-19, -0x1.2037b6e7487c9p-19, -0x1.222a1eb6739a6p-19, -0x1.240a162a61b58p-19, -0x1.25d7d765e4475p-19, -0x1.27939c34195e5p-19, -0x1.293d9e084ff2dp-19, -0x1.2ad615fdb8ed2p-19, -0x1.2c5d3cd6f5021p-19, -0x1.2dd34afdc243cp-19, -0x1.2f387882c4371p-19, -0x1.308cfd1d1ca3ep-19, -0x1.31d1102a82a3ep-19, -0x1.3304e8aeb8dc9p-19, -0x1.3428bd539e36dp-19, -0x1.353cc468c61b9p-19, -0x1.364133e39cc4fp-19, -0x1.3736415ee86c1p-19, -0x1.381c221a94d3fp-19, -0x1.38f30afbebc75p-19, -0x1.39bb308d99b5ap-19, -0x1.3a74c6ff5eb94p-19, -0x1.3b20022607192p-19, -0x1.3bbd157b9a8d9p-19, -0x1.3c4c341ef5a45p-19, -0x1.3ccd90d3c8998p-19, -0x1.3d415e02a52d1p-19, -0x1.3da7cdb94abacp-19, -0x1.3e0111aa496aep-19, -0x1.3e4d5b2d69619p-19, -0x1.3e8cdb3ef495dp-19, -0x1.3ebfc2800cb5fp-19, -0x1.3ee64136ebb7bp-19, -0x1.3f00874ec705ap-19, -0x1.3f0ec457ffeb7p-19, -0x1.3f1127881ef94p-19, -0x1.3f07dfb9f324ap-19, -0x1.3ef31b6d72a79p-19, -0x1.3ed308c7b1c77p-19, -0x1.3ea7d593843d6p-19, -0x1.3e71af410e88ap-19, -0x1.3e30c2e6569efp-19, -0x1.3de53d3eba26fp-19, -0x1.3d8f4aab947d3p-19, -0x1.3d2f1733e5edcp-19, -0x1.3cc4ce84d0cbep-19, -0x1.3c509bf16f5d2p-19, -0x1.3bd2aa7314695p-19, -0x1.3b4b24a99bef7p-19, -0x1.3aba34db37438p-19, -0x1.3a2004f4bc9bep-19, -0x1.397cbe89f980bp-19, -0x1.38d08ad55b2bfp-19, -0x1.381b92b856e12p-19, -0x1.375dfebbf4467p-19, -0x1.3697f7106a3e3p-19, -0x1.35c9a38d371dp-19, -0x1.34f32bb19f7c3p-19, -0x1.3414b6a508ba7p-19, -0x1.332e6b36ce53ep-19, -0x1.32406fde1b423p-19, -0x1.314aeaba77386p-19, -0x1.304e019435512p-19, -0x1.2f49d9dc9bd53p-19, -0x1.2e3e98ad851dbp-19, -0x1.2d2c62ca0a363p-19, -0x1.2c135c9ef21e4p-19, -0x1.2af3aa420d7f1p-19, -0x1.29cd6f72feb37p-19, -0x1.28a0cf9bb4912p-19, -0x1.276dedd03c4afp-19, -0x1.2634eccebe8ecp-19, -0x1.24f5ef0011f18p-19, -0x1.23b116784f159p-19, -0x1.226684f6582f9p-19, -0x1.21165be41e33ep-19, -0x1.1fc0bc578ee9ep-19, -0x1.1e65c71235cefp-19, -0x1.1d059c81ae39bp-19, -0x1.1ba05cbffb8cdp-19, -0x1.1a362793c08e6p-19, -0x1.18c71c704a5bap-19, -0x1.17535a760f3b2p-19, -0x1.15db0072c9b4ep-19, -0x1.145e2ce1f91f5p-19, -0x1.12dcfded337aep-19, -0x1.1157916bee1a9p-19, -0x1.0fce04e446d3ap-19, }}, 
      {{-0x1.27b66d91faca8p-7, -0x1.27b95e796fcc9p-6, -0x1.bb9f81f8d28acp-6, -0x1.27cb1bb22c2a9p-5, -0x1.71d511e9ed644p-5, -0x1.bbf5d1569104ep-5, -0x1.031b72866e3d3p-4, -0x1.285143d3ad94fp-4, -0x1.4da1715fab934p-4, -0x1.7310a8f802543p-4, -0x1.98a2dc1244a54p-4, -0x1.be5af7d6bfedap-4, -0x1.e43aac778baafp-4, -0x1.05212211ed992p-3, -0x1.18384471da932p-3, -0x1.2b615c0783b9cp-3, -0x1.3e9a40e0cb759p-3, -0x1.51e0094530079p-3, -0x1.652f12c8238b8p-3, -0x1.78830eba3b77dp-3, -0x1.8bd7112b26cb7p-3, -0x1.9f25a1c00a548p-3, -0x1.b268cdb659704p-3, -0x1.c59a3a80f621cp-3, -0x1.d8b338835b944p-3, -0x1.ebacd5843bab1p-3, -0x1.fe7fee854b215p-3, -0x1.0892a0606c287p-2, -0x1.11cabccf3a4a2p-2, -0x1.1ae4a2bf68f0fp-2, -0x1.23dcaea5a2f36p-2, -0x1.2caf495fecb4bp-2, -0x1.3558edb78b111p-2, -0x1.3dd62d42a94fbp-2, -0x1.4623b4ab13417p-2, -0x1.4e3e4f611f05ep-2, -0x1.5622eac319c0cp-2, -0x1.5dce98c25074cp-2, -0x1.653e920f1abfcp-2, -0x1.6c7037d5834bp-2, -0x1.73611513edf36p-2, -0x1.7a0edf94f4896p-2, -0x1.8077789538c2cp-2, -0x1.8698ed1d9517ep-2, -0x1.8c71761983d17p-2, -0x1.91ff78312ed37p-2, -0x1.9741836e060c7p-2, -0x1.9c3652b04b9a4p-2, -0x1.a0dccafb8a719p-2, -0x1.a533fa9f73d46p-2, -0x1.a93b184233b1bp-2, -0x1.acf181d0e19b3p-2, -0x1.b056bb5a50967p-2, -0x1.b36a6dd81e6dfp-2, -0x1.b62c65e98abebp-2, -0x1.b89c928346eabp-2, -0x1.babb039723216p-2, -0x1.bc87e8b62599cp-2, -0x1.be038faf66f75p-2, -0x1.bf2e632dad301p-2, -0x1.c008e955a141ep-2, -0x1.c093c26625d2ep-2, -0x1.c0cfa75c2bf16p-2, -0x1.c0bd689b35dafp-2, -0x1.c05dec9b7a1fap-2, -0x1.bfb22e9e8379p-2, -0x1.bebb3d6af0f07p-2, -0x1.bd7a3a0feb6cfp-2, -0x1.bbf056b0b47ddp-2, -0x1.ba1ed558aa4ep-2, -0x1.b80706d7f5165p-2, -0x1.b5aa49a90998ap-2, -0x1.b30a08df13fe2p-2, -0x1.b027bb1d57da1p-2, -0x1.ad04e19777ae1p-2, -0x1.a9a3071a9b956p-2, -0x1.a603bf1f5bd22p-2, -0x1.a228a4e452a68p-2, -0x1.9e135a9130179p-2, -0x1.99c5886228e57p-2, -0x1.9540dbdb96f1dp-2, -0x1.908707059e371p-2, -0x1.8b99bfafa5806p-2, -0x1.867abebb7def6p-2, -0x1.812bbf700094bp-2, -0x1.7bae7ed2f9a46p-2, -0x1.7604bb0a35bbdp-2, -0x1.703032c381497p-2, -0x1.6a32a4a3712e3p-2, -0x1.640dcebac74d5p-2, -0x1.5dc36e024e88ap-2, -0x1.57553ddd029fp-2, -0x1.50c4f7a058d3bp-2, -0x1.4a1452228f6aap-2, -0x1.4345014ecd725p-2, -0x1.3c58b5befc6b2p-2, -0x1.35511c5b2ef1ap-2, -0x1.2e2fddfe7530ap-2, -0x1.26f69f20f8d8ep-2, -0x1.1fa6ff8740824p-2, -0x1.184299f67201p-2, -0x1.10cb03ed7d406p-2, -0x1.0941cd62fd0fp-2, -0x1.01a88087ba129p-2, -0x1.f401431b4a72bp-3, -0x1.e4975ce653ff5p-3, -0x1.d5163da5729c4p-3, -0x1.c580c76cc8f81p-3, -0x1.b5d9cededb413p-3, -0x1.a6241ae34c1e7p-3, -0x1.96626464f6a82p-3, -0x1.86975617244aap-3, -0x1.76c58c4192ecbp-3, -0x1.66ef949314d0ap-3, -0x1.5717edfa7862ap-3, -0x1.4741088588741p-3, -0x1.376d4545d1543p-3, -0x1.279ef63af983fp-3, -0x1.17d85e42609cdp-3, -0x1.081bb10bd4ebbp-3, -0x1.f0d626262129p-4, -0x1.d191333ba64bfp-4, -0x1.b26c957c9ef74p-4, -0x1.936c3ab36b73fp-4, -0x1.7493f265528dbp-4, -0x1.55e76deebd25dp-4, -0x1.376a40a66b619p-4, -0x1.191fe00729e3cp-4, -0x1.f61747bf5bc14p-5, -0x1.ba618d105d578p-5, -0x1.7f24ca3ac0c67p-5, -0x1.4466ff80e5abep-5, -0x1.0a2df3b770eb4p-5, -0x1.a0fe69aeadc79p-6, -0x1.2ec0312fcb75cp-6, -0x1.7b56f44100bcp-7, -0x1.37284afd95a8ap-8, 0x1.06d51a3b39aep-9, 0x1.1c7362e2f7f72p-7, 0x1.f49515e5d34bp-7, 0x1.65050b3980df3p-6, 0x1.ce6174676fa7p-6, 0x1.1b2c36e311e55p-5, 0x1.4e7181191c7e9p-5, 0x1.80fd4f40aca22p-5, 0x1.b2cc87f148538p-5, 0x1.e3dc411d06f6p-5, 0x1.0a14df9e2a9efp-4, 0x1.21d93a3c05696p-4, 0x1.3939ffe905254p-4, 0x1.503616265b62fp-4, 0x1.66cc7808bbbe6p-4, 0x1.7cfc35cb48ac7p-4, 0x1.92c4746240998p-4, 0x1.a8246d0d8e5aep-4, 0x1.bd1b6ceb5101dp-4, 0x1.d1a8d48a686e2p-4, 0x1.e5cc177d348bap-4, 0x1.f984bbec79536p-4, 0x1.06692d154dd29p-3, 0x1.0fda4e239bebfp-3, 0x1.19159ed18c86ep-3, 0x1.221b054256b6ep-3, 0x1.2aea6fd685501p-3, 0x1.3383d4f6bea2ap-3, 0x1.3be732dedd228p-3, 0x1.44148f6960051p-3, 0x1.4c0bf7db33d55p-3, 0x1.53cd80afdae7ep-3, 0x1.5b594565fa165p-3, 0x1.62af684c528c4p-3, 0x1.69d0124f1d37bp-3, 0x1.70bb72c5e23f8p-3, 0x1.7771bf41b9269p-3, 0x1.7df3335c0798fp-3, 0x1.84401085b0cf7p-3, 0x1.8a589dd6cd4aep-3, 0x1.903d27ded326p-3, 0x1.95ee0075506bp-3, 0x1.9b6b7e8b16e1ep-3, 0x1.a0b5fdfc000a7p-3, 0x1.a5cddf6127d5ep-3, 0x1.aab387e3c5b48p-3, 0x1.af6761107e255p-3, 0x1.b3e9d8ab4ff69p-3, 0x1.b83b60840c802p-3, 0x1.bc5c6e4b62c3ep-3, 0x1.c04d7b687bbp-3, 0x1.c40f04cf2e8dbp-3, 0x1.c7a18ad6c9362p-3, 0x1.cb0591117235fp-3, 0x1.ce3b9e2423fe1p-3, 0x1.d1443b9f3f5f1p-3, 0x1.d41ff5d7ba978p-3, 0x1.d6cf5bc0f31b6p-3, 0x1.d952fec71403fp-3, 0x1.dbab72aa2480ap-3, 0x1.ddd94d59abdp-3, 0x1.dfdd26d103636p-3, 0x1.e1b798f43a244p-3, 0x1.e3693f6dab2b1p-3, 0x1.e4f2b78c291cap-3, 0x1.e654a021d8937p-3, 0x1.e78f9963a71a1p-3, 0x1.e8a444c969461p-3, 0x1.e99344ee9ff37p-3, 0x1.ea5d3d73df58ap-3, 0x1.eb02d2e0de1c3p-3, 0x1.eb84aa872d4d2p-3, 0x1.ebe36a658dce3p-3, 0x1.ec1fb90bf5ad5p-3, 0x1.ec3a3d8037543p-3, 0x1.ec339f234a91dp-3, 0x1.ec0c859744af1p-3, 0x1.ebc598a5ed153p-3, 0x1.eb5f8027fad6ap-3, 0x1.eadae3ecfb1bp-3, 0x1.ea386ba3d33b5p-3, 0x1.e978bec3ed837p-3, 0x1.e89c84770529p-3, 0x1.e7a4638398816p-3, 0x1.e6910237f6e8cp-3, 0x1.e5630655f4065p-3, 0x1.e41b14ff3884ap-3, 0x1.e2b9d2a231fecp-3, 0x1.e13fe2e7a0614p-3, 0x1.dfade8a0c28p-3, 0x1.de0485b61591ep-3, 0x1.dc445b16b6853p-3, 0x1.da6e08a85a9edp-3, 0x1.d8822d37d85b2p-3, 0x1.d681666a4ea3bp-3, 0x1.d46c50aedc459p-3, 0x1.d2438730e5e79p-3, 0x1.d007a3caf269fp-3, 0x1.cdb93efa1321dp-3, 0x1.cb58efd1d8d14p-3, 0x1.c8e74bf0d47bp-3, 0x1.c664e775a24fcp-3, 0x1.c3d254f47a4e6p-3, 0x1.c130256d4778cp-3, 0x1.be7ee84241379p-3, 0x1.bbbf2b2f08aedp-3, 0x1.b8f17a4042f9bp-3, 0x1.b6165fcbadab3p-3, 0x1.b32e6468b73ecp-3, 0x1.b03a0ee9849c3p-3, 0x1.ad39e4547707p-3, 0x1.aa2e67de22a56p-3, 0x1.a7181ae3b2194p-3, 0x1.a3f77ce5c45d7p-3, 0x1.a0cd0b83aee94p-3, 0x1.9d9942772dc77p-3, 0x1.9a5c9b9080bffp-3, 0x1.97178eb2e7808p-3, 0x1.93ca91d186723p-3, 0x1.907618ecaef3ep-3, 0x1.8d1a960f7f8adp-3, 0x1.89b8794decbffp-3, 0x1.865030c31926dp-3, 0x1.82e228900e26fp-3, 0x1.7f6ecadac30dbp-3, 0x1.7bf67fcd8400fp-3, 0x1.7879ad969a093p-3, 0x1.74f8b8685058ap-3, 0x1.717402793d4cfp-3, 0x1.6debec04db7cep-3, 0x1.6a60d34c659eep-3, 0x1.66d31497fef73p-3, 0x1.63430a3817954p-3, 0x1.5fb10c871b566p-3, 0x1.5c1d71eb5229bp-3, 0x1.58888ed90dbc4p-3, 0x1.54f2b5d505c3fp-3, 0x1.515c3776f2bdap-3, 0x1.4dc5626c59eddp-3, 0x1.4a2e837b95317p-3, 0x1.4697e58707aa7p-3, 0x1.4301d19082ce3p-3, 0x1.3f6c8ebcdaf26p-3, 0x1.3bd86257ab5acp-3, 0x1.38458fd73c943p-3, 0x1.34b458e09c122p-3, 0x1.3124fd4bd2951p-3, 0x1.2d97bb284307cp-3, 0x1.2a0ccec12f2ebp-3, 0x1.268472a254179p-3, 0x1.22fedf9caeff7p-3, 0x1.1f7c4ccb59f81p-3, 0x1.1bfcef9888383p-3, 0x1.1880fbc298691p-3, 0x1.1508a3614239p-3, 0x1.119416ead9eacp-3, 0x1.0e238539a9e2ep-3, 0x1.0ab71b915b293p-3, 0x1.074f05a47af09p-3, 0x1.03eb6d9a03a48p-3, 0x1.008c7c12fdb55p-3, 0x1.fa64b0605eb2dp-4, 0x1.f3ba4f2f9de32p-4, 0x1.ed1a1cf69fa16p-4, 0x1.e6845f3a53795p-4, 0x1.dff958ad69542p-4, 0x1.d979493c056bcp-4, 0x1.d3046e17992f1p-4, 0x1.cc9b01c2a70a8p-4, 0x1.c63d3c1ca95f4p-4, 0x1.bfeb526deeeccp-4, 0x1.b9a577738a93cp-4, 0x1.b36bdb6b2a78cp-4, 0x1.ad3eac1f14179p-4, 0x1.a71e14f1f7e0fp-4, 0x1.a10a3eeae0fdcp-4, 0x1.9b0350c108ec8p-4, 0x1.95096ee7af57dp-4, 0x1.8f1cbb99e78b6p-4, 0x1.893d56e656c88p-4, 0x1.836b5ebaebbd5p-4, 0x1.7da6eef085faep-4, 0x1.77f021568ba55p-4, 0x1.72470dbe754b4p-4, 0x1.6cabca0742295p-4, 0x1.671e6a28dcf34p-4, 0x1.619f003f6af94p-4, 0x1.5c2d9c9685d6dp-4, 0x1.56ca4db46113dp-4, 0x1.51752064d480cp-4, 0x1.4c2e1fc4530c1p-4, 0x1.46f5554ac4906p-4, 0x1.41cac8d646211p-4, 0x1.3cae80b5d2691p-4, 0x1.37a081b3c8f7ap-4, 0x1.32a0cf205e54p-4, 0x1.2daf6adbebdf8p-4, 0x1.28cc556121fcep-4, 0x1.23f78dcf1c7bep-4, 0x1.1f3111f3591d8p-4, 0x1.1a78de538abb8p-4, 0x1.15ceee3752399p-4, 0x1.11333bb1d0efdp-4, 0x1.0ca5bfab1c4bep-4, 0x1.082671e9935cdp-4, 0x1.03b5491b0eb96p-4, 0x1.fea475bbdc307p-5, 0x1.f5fa77940fa5dp-5, 0x1.ed6c7ef2e0f3bp-5, 0x1.e4fa71224ac27p-5, 0x1.dca431931f31dp-5, 0x1.d469a1edc7c42p-5, 0x1.cc4aa222cca4p-5, 0x1.c447107afcebp-5, 0x1.bc5ec9a76d635p-5, 0x1.b491a8d113b71p-5, 0x1.acdf87a82f4fcp-5, 0x1.a5483e7363655p-5, 0x1.9dcba41e8892p-5, 0x1.96698e493d4fcp-5, 0x1.8f21d155290cdp-5, 0x1.87f44073fe29ep-5, 0x1.80e0adb5337ccp-5, 0x1.79e6ea13771aep-5, 0x1.7306c581df586p-5, 0x1.6c400ef8cc42ap-5, 0x1.6592948293fa3p-5, 0x1.5efe2347da9b7p-5, 0x1.5882879bb1818p-5, 0x1.521f8d076ca5ep-5, 0x1.4bd4fe563364ap-5, 0x1.45a2a5a051eb1p-5, 0x1.3f884c564cb9dp-5, 0x1.3985bb4ba7198p-5, 0x1.339abac1708f5p-5, 0x1.2dc712708f1e1p-5, 0x1.280a8993cbf48p-5, 0x1.2264e6f19b801p-5, 0x1.1cd5f0e5ae9b6p-5, 0x1.175d6d6a3d058p-5, 0x1.11fb222116d8cp-5, 0x1.0caed45c7fd27p-5, 0x1.07784927bef58p-5, 0x1.0257454f82e63p-5, 0x1.fa971ad403529p-6, 0x1.f0a9cbbdc6862p-6, 0x1.e6e625dde48ffp-6, 0x1.dd4bb17728f7fp-6, 0x1.d3d9f69c17b54p-6, 0x1.ca907d3cfb222p-6, 0x1.c16ecd3599fa5p-6, 0x1.b8746e5a690ep-6, 0x1.afa0e88569ec5p-6, 0x1.a6f3c3a298f5fp-6, 0x1.9e6c87bbf1e31p-6, 0x1.960abd05208b7p-6, 0x1.8dcdebe6be475p-6, 0x1.85b59d093a2a9p-6, 0x1.7dc1595f542e2p-6, 0x1.75f0aa3059b7ap-6, 0x1.6e431921df3f3p-6, 0x1.66b83041425d9p-6, 0x1.5f4f7a0cb8721p-6, 0x1.5808817c1ea8bp-6, 0x1.50e2d2095e559p-6, 0x1.49ddf7b893639p-6, 0x1.42f97f1fd4788p-6, 0x1.3c34f56ea9778p-6, 0x1.358fe8753fdebp-6, 0x1.2f09e6ab3b38p-6, 0x1.28a27f365c05bp-6, 0x1.225941f0c20e4p-6, 0x1.1c2dbf6ee6e17p-6, 0x1.161f89056883ap-6, 0x1.102e30ce71954p-6, 0x1.0a5949aef8a98p-6, 0x1.04a0675ba85b5p-6, 0x1.fe063cbb3079bp-7, 0x1.f302082d6ded4p-7, 0x1.e8335d8c0210bp-7, 0x1.dd996b16ffe45p-7, 0x1.d33360d7f3b3bp-7, 0x1.c90070a8fa98fp-7, 0x1.beffce3b6ad18p-7, 0x1.b530af1de2abap-7, 0x1.ab924ac21f281p-7, 0x1.a223da824e50dp-7, 0x1.98e499a60d1ebp-7, 0x1.8fd3c566ef268p-7, 0x1.86f09cf4c5894p-7, 0x1.7e3a617968a24p-7, 0x1.75b0561c32e5dp-7, 0x1.6d51c0053f3aep-7, 0x1.651de6602742cp-7, 0x1.5d14125e80e38p-7, 0x1.55338f3a16dc8p-7, 0x1.4d7baa36c5dfep-7, 0x1.45ebb2a4110d6p-7, 0x1.3e82f9de6850fp-7, 0x1.3740d35033edcp-7, 0x1.302494729aa69p-7, 0x1.292d94cde9e3p-7, 0x1.225b2df9eb656p-7, 0x1.1bacbb9dcb88fp-7, 0x1.15219b6fefe1fp-7, 0x1.0eb92d357652dp-7, 0x1.0872d2c18304p-7, 0x1.024deff45a00cp-7, 0x1.f893d57481e9p-8, 0x1.eccc561472b8bp-8, 0x1.e14435c8fea7ep-8, 0x1.d5fa4ca1b0827p-8, 0x1.caed76b966f3ep-8, 0x1.c01c94327de6ep-8, 0x1.b586893215958p-8, 0x1.ab2a3ddbb2445p-8, 0x1.a1069e4c2d792p-8, 0x1.971a9a944c47bp-8, 0x1.8d6526b365a97p-8, 0x1.83e53a916b34bp-8, 0x1.7a99d1f8ede3ep-8, 0x1.7181ec90debdbp-8, 0x1.689c8dd5dbcebp-8, 0x1.5fe8bd139b882p-8, 0x1.5765855deb315p-8, 0x1.4f11f58977ddap-8, 0x1.46ed2024867fp-8, 0x1.3ef61b6f809fbp-8, 0x1.372c015516b65p-8, 0x1.2f8def62920b8p-8, 0x1.281b06bfd2be9p-8, 0x1.20d26c2718dfp-8, 0x1.19b347dcd056fp-8, 0x1.12bcc5a7344d2p-8, 0x1.0bee14c5b6929p-8, 0x1.054667e88a879p-8, 0x1.fd89ea4fa87bep-9, 0x1.f0d1ebf584fep-9, 0x1.e4634e5e25ddep-9, 0x1.d83c91bf30094p-9, 0x1.cc5c3cd7348cp-9, 0x1.c0c0dcdb22642p-9, 0x1.b5690563edd0cp-9, 0x1.aa53505c6c8c2p-9, 0x1.9f7e5deeaae98p-9, 0x1.94e8d4717f705p-9, 0x1.8a916055c073dp-9, 0x1.8076b413a112cp-9, 0x1.76978818293cep-9, 0x1.6cf29ab24983bp-9, 0x1.6386afffe7099p-9, 0x1.5a5291db8cf2cp-9, 0x1.51550fc92593dp-9, 0x1.488cfee39f802p-9, 0x1.3ff939c9aaa8dp-9, 0x1.3798a08b83231p-9, 0x1.2f6a1897b6b9p-9, 0x1.276c8ca8e22cep-9, 0x1.1f9eecb2d55dcp-9, 0x1.18002dd01a7f5p-9, 0x1.108f4a2f4d79p-9, 0x1.094b4100d4a82p-9, 0x1.02331664759b7p-9, 0x1.f68ba6add81d2p-10, 0x1.e9050b3fceb57p-10, 0x1.dbd07f7f86722p-10, 0x1.ceec31bb767d5p-10, 0x1.c256596b2696fp-10, 0x1.b60d370c8b7e8p-10, 0x1.aa0f14004e63cp-10, 0x1.9e5a42662f5d7p-10, 0x1.92ed1cfabf45ap-10, 0x1.87c606f466921p-10, 0x1.7ce36be12a72dp-10, 0x1.7243bf8449696p-10, 0x1.67e57db4a4c8ep-10, 0x1.5dc72a3ad6e5ep-10, 0x1.53e750b075e38p-10, 0x1.4a44845e538b6p-10, 0x1.40dd601c593ap-10, 0x1.37b086312ca02p-10, 0x1.2ebca0314c47cp-10, 0x1.26005ee06c8f7p-10, 0x1.1d7a7a110dc87p-10, 0x1.1529b085c18dp-10, 0x1.0d0cc7d25872p-10, 0x1.05228c3d16d02p-10, 0x1.fad3a141b824bp-11, 0x1.ebc2dc9e5fc9cp-11, 0x1.dd1089e52417bp-11, 0x1.ceba74e34084cp-11, 0x1.c0be75a3f405p-11, 0x1.b31a703791d0ep-11, 0x1.a5cc547b42b6p-11, 0x1.98d21de1cc4bp-11, 0x1.8c29d33c14949p-11, 0x1.7fd18682f40fep-11, 0x1.73c754a1ea7ep-11, 0x1.68096541e011fp-11, 0x1.5c95ea95bcccp-11, 0x1.516b212539de4p-11, 0x1.46874f9c97f7ep-11, 0x1.3be8c698204e2p-11, 0x1.318de07413dfbp-11, 0x1.2775011bc5407p-11, 0x1.1d9c95d91d942p-11, 0x1.14031525954f3p-11, 0x1.0aa6fe7b7b53fp-11, 0x1.0186da27dcd78p-11, 0x1.f142723aa3aa4p-12, 0x1.dfe9698e7f73ep-12, 0x1.ceffddbbc0d8p-12, 0x1.be8322770efe8p-12, 0x1.ae709b60f866cp-12, 0x1.9ec5bbb59bdd7p-12, 0x1.8f8005f78f39dp-12, 0x1.809d0b9fc7604p-12, 0x1.721a6ccc53e1ap-12, 0x1.63f5d7f33b259p-12, 0x1.562d0993cfabap-12, 0x1.48bdcbeac44f1p-12, 0x1.3ba5f6a75a77cp-12, 0x1.2ee36ea1cf993p-12, 0x1.2274259260364p-12, 0x1.165619ca9c788p-12, 0x1.0a8755ef174ccp-12, 0x1.fe0be16481faap-13, 0x1.e7a019243240fp-13, 0x1.d1c7af2797821p-13, 0x1.bc7f1609446e2p-13, 0x1.a7c2d66efb63cp-13, 0x1.938f8e905d9d2p-13, 0x1.7fe1f1b771349p-13, 0x1.6cb6c7ca8de18p-13, 0x1.5a0aecd2322ccp-13, 0x1.47db50863b40ap-13, 0x1.3624f5d9ed2eap-13, 0x1.24e4f28c25a88p-13, 0x1.14186eb769cb7p-13, 0x1.03bca4675b6d4p-13, 0x1.e79dbe586c031p-14, 0x1.c898f76857669p-14, 0x1.aa65cec7df72cp-14, 0x1.8cff3fe6f453bp-14, 0x1.70606613b9dc6p-14, 0x1.54847bc040b5cp-14, 0x1.3966d9bbddec4p-14, 0x1.1f02f68346af7p-14, 0x1.055465847382dp-14, 0x1.d8adace051eccp-15, 0x1.a80c2915f50d2p-15, 0x1.78bc0c02c0b5p-15, 0x1.4ab55682d633p-15, 0x1.1df03caf4b482p-15, 0x1.e4ca49347276fp-16, 0x1.90194a31ee9e7p-16, 0x1.3dbf0919cd96ep-16, 0x1.db5adee055ac3p-17, 0x1.3fad82584ed92p-17, 0x1.50b669f0c7ccbp-18, 0x1.549db19674fbap-21, -0x1.e67ffcffb1a46p-19, -0x1.047b2a8ac02e6p-17, -0x1.8b5fd7e57a96fp-17, -0x1.0732ce9334085p-16, -0x1.46d1bc5c73ae8p-16, -0x1.8497eac547793p-16, -0x1.c09047624c508p-16, -0x1.fac579c12caabp-16, -0x1.19a0f29a095bep-15, -0x1.3507d5498c736p-15, -0x1.4f9c54fa2c5efp-15, -0x1.6963422fcb84dp-15, -0x1.82614eb3d4603p-15, -0x1.9a9b0e66ca2f4p-15, -0x1.b214f808ff6b2p-15, -0x1.c8d365f972f48p-15, -0x1.deda96fafa428p-15, -0x1.f42eaee8ea1c2p-15, -0x1.0469dbb942556p-14, -0x1.0e66d06419668p-14, -0x1.18102125dd55p-14, -0x1.2167ad9cabf78p-14, -0x1.2a6f49a57c43fp-14, -0x1.3328bdadad89bp-14, -0x1.3b95c700a720ep-14, -0x1.43b81814c1405p-14, -0x1.4b9158d72336dp-14, -0x1.532326f33aa98p-14, -0x1.5a6f1619f64abp-14, -0x1.6176b0478d49dp-14, -0x1.683b76064c937p-14, -0x1.6ebedeb03be88p-14, -0x1.750258b143675p-14, -0x1.7b0749c252448p-14, -0x1.80cf0f28edc27p-14, -0x1.865afdf17f617p-14, -0x1.8bac63286d944p-14, -0x1.90c48412e9defp-14, -0x1.95a49e65355dbp-14, -0x1.9a4de87942108p-14, -0x1.9ec19180e8ac2p-14, -0x1.a300c1b989c38p-14, -0x1.a70c9a9c05a85p-14, -0x1.aae6370dc281dp-14, -0x1.ae8eab8e27e88p-14, -0x1.b207066499dd9p-14, -0x1.b5504fcc30c7ap-14, -0x1.b86b8a1eb109fp-14, -0x1.bb59b1fded48dp-14, -0x1.be1bbe7c7f58dp-14, -0x1.c0b2a14417481p-14, -0x1.c31f46bd9b2dfp-14, -0x1.c5629634d9df6p-14, -0x1.c77d71fd80184p-14, -0x1.c970b7958c54dp-14, -0x1.cb3d3fc7da16ap-14, -0x1.cce3deccc4f83p-14, -0x1.ce65646aa41f8p-14, -0x1.cfc29c159a8d1p-14, -0x1.d0fc4d0cf81f1p-14, -0x1.d2133a796d58bp-14, -0x1.d308238914523p-14, -0x1.d3dbc38b8babfp-14, -0x1.d48ed20c9acfp-14, -0x1.d52202eebb27dp-14, -0x1.d59606848dc25p-14, -0x1.d5eb89a8c9fcp-14, -0x1.d62335d6c3891p-14, -0x1.d63db1415b25ap-14, -0x1.d63b9ee957f53p-14, -0x1.d61d9eb2f3855p-14, -0x1.d5e44d7ba4dc4p-14, -0x1.d590452e6f6ddp-14, -0x1.d5221cd725a5fp-14, -0x1.d49a68b62d271p-14, -0x1.d3f9ba53042dep-14, -0x1.d340a08e2a3bbp-14, -0x1.d26fa7b27fd77p-14, -0x1.d1875986927e3p-14, -0x1.d0883d5ce190ep-14, -0x1.cf72d823c762dp-14, -0x1.ce47ac74eb627p-14, -0x1.cd073aa3fe505p-14, -0x1.cbb200ccd4557p-14, -0x1.ca487ae251dd8p-14, -0x1.c8cb22badc88ep-14, -0x1.c73a701e42d24p-14, -0x1.c596d8d2102d8p-14, -0x1.c3e0d0a5b083dp-14, -0x1.c218c97e9916fp-14, -0x1.c03f3362f1afcp-14, -0x1.be547c85bd817p-14, -0x1.bc591150f43a6p-14, -0x1.ba4d5c700e602p-14, -0x1.b831c6d9ebef9p-14, -0x1.b606b7db013e7p-14, -0x1.b3cc951dd8ec9p-14, -0x1.b183c2b4e4e5ep-14, -0x1.af2ca322ba118p-14, -0x1.acc79762f38ap-14, -0x1.aa54fef229d83p-14, -0x1.a7d537d603661p-14, -0x1.a5489ea4aa05fp-14, -0x1.a2af8e8c7a4c4p-14, -0x1.a00a615a97ba9p-14, -0x1.9d596f8266c6ap-14, -0x1.9a9d1024031e2p-14, -0x1.97d59912d5419p-14, -0x1.95035edb5a0a9p-14, -0x1.9226b4c9cca21p-14, -0x1.8f3fecefb575bp-14, -0x1.8c4f5829437dfp-14, -0x1.89554622c95dcp-14, -0x1.8652055e59da1p-14, -0x1.8345e338b3f5bp-14, -0x1.80312bee18e41p-14, -0x1.7d142a9ee7705p-14, -0x1.79ef2954b9ff7p-14, -0x1.76c271065701fp-14, -0x1.738e499bf80cbp-14, -0x1.7052f9f3a57a6p-14, -0x1.6d10c7e51acbep-14, -0x1.69c7f845d27c7p-14, -0x1.6678ceeca4aa8p-14, -0x1.63238eb57d2c2p-14, -0x1.5fc87984cde78p-14, -0x1.5c67d04adbb2ep-14, -0x1.5901d307274eep-14, -0x1.5596c0cbbf23dp-14, -0x1.5226d7c00e923p-14, -0x1.4eb25524532d1p-14, -0x1.4b39755424582p-14, -0x1.47bc73c94df19p-14, -0x1.443b8b1ec4bf1p-14, -0x1.40b6f512d5c64p-14, -0x1.3d2eea8a33c4p-14, -0x1.39a3a39240a4p-14, -0x1.36155763afc83p-14, -0x1.32843c648ed4dp-14, -0x1.2ef0882ad3ca7p-14, -0x1.2b5a6f7ebd027p-14, -0x1.27c2265c8b9e3p-14, -0x1.2427dff6e0fdbp-14, -0x1.208bceb8eaac1p-14, -0x1.1cee244855bbdp-14, -0x1.194f118732d28p-14, -0x1.15aec695d839cp-14, -0x1.120d72d50048fp-14, -0x1.0e6b44e790704p-14, -0x1.0ac86ab4112fp-14, -0x1.07251166addd3p-14, -0x1.03816572f36d9p-14, -0x1.ffbb252ad02ffp-15, -0x1.f87387aa9603ap-15, -0x1.f12c470c9db66p-15, -0x1.e9e5b693f8111p-15, -0x1.e2a028227bb4bp-15, -0x1.db5bec3c0a69cp-15, -0x1.d41952095291ap-15, -0x1.ccd8a75b6f9cdp-15, -0x1.c59a38ae206abp-15, -0x1.be5e512b0a129p-15, -0x1.b7253aac50433p-15, -0x1.afef3dbfd07afp-15, -0x1.a8bca1a9cd232p-15, -0x1.a18dac675f05cp-15, -0x1.9a62a2b136bfp-15, -0x1.933bc7fe644f3p-15, -0x1.8c195e8779d31p-15, -0x1.84fba7488a675p-15, -0x1.7de2e203f0a5cp-15, -0x1.76cf4d4506002p-15, -0x1.6fc12662d624bp-15, -0x1.68b8a982865d6p-15, -0x1.61b6119934bebp-15, -0x1.5ab9986f7df4cp-15, -0x1.53c376a3aef38p-15, -0x1.4cd3e3ac38961p-15, -0x1.45eb15da060edp-15, -0x1.3f09425ae5b77p-15, -0x1.382e9d3c6f9eep-15, -0x1.315b596e4431ep-15, -0x1.2a8fa8c45f6d4p-15, -0x1.23cbbbf928b01p-15, -0x1.1d0fc2b0adf48p-15, -0x1.165beb7a955eap-15, -0x1.0fb063d46de88p-15, -0x1.090d582c60fa2p-15, -0x1.0272f3e36c628p-15, -0x1.f7c2c29ff908dp-16, -0x1.eab19380651f3p-16, -0x1.ddb2aaf75154ep-16, -0x1.d0c6578d956b3p-16, -0x1.c3ece5ca069a9p-16, -0x1.b726a0359db3dp-16, -0x1.aa73cf5fe54fbp-16, -0x1.9dd4b9e4eaf1bp-16, -0x1.9149a4717da92p-16, -0x1.84d2d1c79f226p-16, -0x1.787082c303225p-16, -0x1.6c22f65ee546fp-16, -0x1.5fea69b9896d1p-16, -0x1.53c71819a1085p-16, -0x1.47b93af330f08p-16, -0x1.3bc109ec2acd9p-16, -0x1.2fdebae075ad2p-16, -0x1.241281e7bd478p-16, -0x1.185c91595b996p-16, -0x1.0cbd19d16d879p-16, -0x1.01344a35d4c68p-16, -0x1.eb849f74939c9p-17, -0x1.d4ceabcafdcf7p-17, -0x1.be470d2b19d6p-17, -0x1.a7ee140930667p-17, -0x1.91c40d9d22f34p-17, -0x1.7bc943ea1f2a5p-17, -0x1.65fdfdc75d10dp-17, -0x1.50627ee9d38efp-17, -0x1.3af707ee3cad7p-17, -0x1.25bbd6635edcp-17, -0x1.10b124d221234p-17, -0x1.f7ae558d53e89p-18, -0x1.ce5c39b31ff77p-18, -0x1.a56c5976d2c97p-18, -0x1.7cdf1277ed718p-18, -0x1.54b4bca5f3408p-18, -0x1.2cedaa578eec4p-18, -0x1.058a2859fe73ap-18, -0x1.bd14fc046db33p-19, -0x1.6fddda86292eap-19, -0x1.236f657eb8d2ep-19, -0x1.af94175f03bdep-20, -0x1.19dc6304da443p-20, -0x1.0b70c4b6ac1adp-21, 0x1.9ae94a4619e16p-25, 0x1.3ba42d1cc765p-21, 0x1.2d37897b155e1p-20, 0x1.bb073d7aacafap-20, 0x1.23a06ff7e60bep-19, 0x1.68f2187b537adp-19, 0x1.ad78818eed948p-19, 0x1.f1339d8ab601ap-19, 0x1.1a11b3daf2958p-18, 0x1.3b23f214bba2bp-18, 0x1.5bd08fd3b4532p-18, 0x1.7c1797bb3dd52p-18, 0x1.9bf918a2cfd3cp-18, 0x1.bb752580843c4p-18, 0x1.da8bd557c2392p-18, 0x1.f93d432d5e84ep-18, 0x1.0bc4c6f990d3ep-17, 0x1.1ab86c39b8f9fp-17, }}, 
      {{-0x1.0017dc7b1b14fp-7, -0x1.00190dc089032p-6, -0x1.80292fd8aeaf1p-6, -0x1.001f9f634590cp-5, -0x1.402fbe6837d2p-5, -0x1.8047c4b42fb56p-5, -0x1.c06b1b39386c7p-5, -0x1.004ecee30cbcfp-4, -0x1.2071b548388b6p-4, -0x1.40a056c2237f4p-4, -0x1.60dcb5ecc62b5p-4, -0x1.8128a98c27255p-4, -0x1.a185c6c7ff391p-4, -0x1.c1f54eb0f4888p-4, -0x1.e2781f4ba60a9p-4, -0x1.0187541196b8bp-3, -0x1.11dc711e96ee6p-3, -0x1.223b25986c309p-3, -0x1.32a2f18977f0fp-3, -0x1.43131670bea67p-3, -0x1.538a988b82153p-3, -0x1.64084107169f6p-3, -0x1.748aa0f0feb58p-3, -0x1.851014be3353ep-3, -0x1.9596c8456de7p-3, -0x1.a61cbb0bfd0aap-3, -0x1.b69fc4c86472fp-3, -0x1.c71d9a019875cp-3, -0x1.d793d0b58b257p-3, -0x1.e7ffe4f4f2164p-3, -0x1.f85f3d659f078p-3, -0x1.045797cfbb337p-2, -0x1.0c76822d75acfp-2, -0x1.148afdb4fc5f4p-2, -0x1.1c93a7bb64b87p-2, -0x1.248f1cc25aab8p-2, -0x1.2c7bfa18efe52p-2, -0x1.3458df5c673d5p-2, -0x1.3c246fd9238c3p-2, -0x1.43dd53cc48cf4p-2, -0x1.4b823986e47f3p-2, -0x1.5311d673adc1fp-2, -0x1.5a8ae800970f1p-2, -0x1.61ec346d8a84ap-2, -0x1.69348b81b8b04p-2, -0x1.7062c728efa06p-2, -0x1.7775cbfa79512p-2, -0x1.7e6c89aaecbb6p-2, -0x1.8545fb6a72ca3p-2, -0x1.8c012830dcdd7p-2, -0x1.929d22f8f429ep-2, -0x1.99190aec4d944p-2, -0x1.9f740b80ec52ep-2, -0x1.a5ad5c89e812fp-2, -0x1.abc4423c37965p-2, -0x1.b1b80d28bf6a9p-2, -0x1.b7881a2ca6e46p-2, -0x1.bd33d258ecbd4p-2, -0x1.c2baaad2238b8p-2, -0x1.c81c24a931fbbp-2, -0x1.cd57ccaddfc7cp-2, -0x1.d26d3b3bec8bep-2, -0x1.d75c140362253p-2, -0x1.dc2405ccc07f3p-2, -0x1.e0c4ca399d9fep-2, -0x1.e53e25823b3f3p-2, -0x1.e98fe6309c036p-2, -0x1.edb9e4d97d19fp-2, -0x1.f1bc03d3aa0a1p-2, -0x1.f5962eedffa3bp-2, -0x1.f9485b247e5bcp-2, -0x1.fcd28654acbcp-2, -0x1.001a5b78d00dap-1, -0x1.01b77ddbedc64p-1, -0x1.0340b5b0a3f09p-1, -0x1.04b6122cb741ap-1, -0x1.0617a63915882p-1, -0x1.0765884c7ac81p-1, -0x1.089fd246743cp-1, -0x1.09c6a14ad263dp-1, -0x1.0ada159d9394ap-1, -0x1.0bda527f57182p-1, -0x1.0cc77e0a5deap-1, -0x1.0da1c110260cap-1, -0x1.0e6946f7a431ep-1, -0x1.0f1e3d9c236b4p-1, -0x1.0fc0d52ccf0ddp-1, -0x1.1051400ced2b5p-1, -0x1.10cfb2b4c92f5p-1, -0x1.113c639354c94p-1, -0x1.11978af07f5bp-1, -0x1.11e162d045aeap-1, -0x1.121a26d67a2c5p-1, -0x1.1242142b49135p-1, -0x1.12596960741a2p-1, -0x1.1260665749a18p-1, -0x1.12574c27542fp-1, -0x1.123e5d05c1be1p-1, -0x1.1215dc2d84aa3p-1, -0x1.11de0dc82842p-1, -0x1.119736d75a54fp-1, -0x1.11419d1f29bc3p-1, -0x1.10dd8710f2d47p-1, -0x1.106b3bb6fe87bp-1, -0x1.0feb02a0cb8aap-1, -0x1.0f5d23d0043abp-1, -0x1.0ec1e7a61cb4ap-1, -0x1.0e1996d296f29p-1, -0x1.0d647a41ea14cp-1, -0x1.0ca2db0d0bf3ep-1, -0x1.0bd50269985eep-1, -0x1.0afb399a93614p-1, -0x1.0a15c9e1c53e9p-1, -0x1.0924fc71ac301p-1, -0x1.08291a60013e8p-1, -0x1.07226c98cd26p-1, -0x1.06113bd2094d7p-1, -0x1.04f5d07fcd7acp-1, -0x1.03d072c900cf4p-1, -0x1.02a16a7c92018p-1, -0x1.0168ff072eb1ap-1, -0x1.002777697815cp-1, -0x1.fdba345d6608p-2, -0x1.fb145ac7e01adp-2, -0x1.f85ded1f4a934p-2, -0x1.f597755378ecbp-2, -0x1.f2c17c28193e9p-2, -0x1.efdc89267feep-2, -0x1.ece9229042f68p-2, -0x1.e9e7cd529d4edp-2, -0x1.e6d90cfa9674dp-2, -0x1.e3bd63a9e94a4p-2, -0x1.e095520c9fb3cp-2, -0x1.dd61574f60573p-2, -0x1.da21f1166b646p-2, -0x1.d6d79b7539372p-2, -0x1.d382d0e6bb431p-2, -0x1.d0240a463ae3p-2, -0x1.ccbbbec8c86a4p-2, -0x1.c94a63f7402eap-2, -0x1.c5d06da8d4d58p-2, -0x1.c24e4dfe273efp-2, -0x1.bec4755cd7d35p-2, -0x1.bb33526b97cdp-2, -0x1.b79b520eb3741p-2, -0x1.b3fcdf650d619p-2, -0x1.b05863c585131p-2, -0x1.acae46bcce856p-2, -0x1.a8feee0ba9b07p-2, -0x1.a54abda57c86dp-2, -0x1.a19217af4c659p-2, -0x1.9dd55c7f0feacp-2, -0x1.9a14ea9b561dep-2, -0x1.96511ebb40482p-2, -0x1.928a53c6ca14ap-2, -0x1.8ec0e2d75b94cp-2, -0x1.8af52338a6788p-2, -0x1.87276a69c22c2p-2, -0x1.83580c1e90157p-2, -0x1.7f875a4155eabp-2, -0x1.7bb5a4f49ae2ap-2, -0x1.77e33a953a8c7p-2, -0x1.741067bca9cb6p-2, -0x1.703d774375dfdp-2, -0x1.6c6ab243eefb2p-2, -0x1.6898601d01e22p-2, -0x1.64c6c6753f4dbp-2, -0x1.60f6293e098ddp-2, -0x1.5d26cab6edb7dp-2, -0x1.5958eb711cefp-2, -0x1.558cca530cd29p-2, -0x1.51c2a49c38762p-2, -0x1.4dfab5e8fed3p-2, -0x1.4a3538369f912p-2, -0x1.467263e755483p-2, -0x1.42b26fc6869f1p-2, -0x1.3ef5910d11cefp-2, -0x1.3b3bfb65afe61p-2, -0x1.3785e0f169317p-2, -0x1.33d3724c2399fp-2, -0x1.3024de913e321p-2, -0x1.2c7a5360401ecp-2, -0x1.28d3fce196737p-2, -0x1.253205cb62547p-2, -0x1.2194976652f9p-2, -0x1.1dfbd9928b1cep-2, -0x1.1a67f2cc9332ap-2, -0x1.16d908325310ap-2, -0x1.134f3d881a20ep-2, -0x1.0fcab53da6bp-2, -0x1.0c4b90733bbf9p-2, -0x1.08d1eefeb9ecbp-2, -0x1.055def70bc4bcp-2, -0x1.01efaf19bb6c7p-2, -0x1.fd0e941e6521cp-3, -0x1.f649b6618ff19p-3, -0x1.ef90f85aedddbp-3, -0x1.e8e48b1173acap-3, -0x1.e2449d3f6a339p-3, -0x1.dbb15b5cc8995p-3, -0x1.d52aefa97ec4ap-3, -0x1.ceb18237cb396p-3, -0x1.c84538f684a5ap-3, -0x1.c1e637bb5aa29p-3, -0x1.bb94a04d16758p-3, -0x1.b550926dce9f8p-3, -0x1.af1a2be51281ep-3, -0x1.a8f1888a07fp-3, -0x1.a2d6c24d845bbp-3, -0x1.9cc9f1441469p-3, -0x1.96cb2baff3adcp-3, -0x1.90da860afc86p-3, -0x1.8af8131083ad2p-3, -0x1.8523e3c726a5fp-3, -0x1.7f5e078a84247p-3, -0x1.79a68c14ec8d9p-3, -0x1.73fd7d88f3ad5p-3, -0x1.6e62e67af8c06p-3, -0x1.68d6cffa95dbdp-3, -0x1.6359419bfbfbbp-3, -0x1.5dea41813d79bp-3, -0x1.5889d46379ba8p-3, -0x1.5337fd9bfc8a7p-3, -0x1.4df4bf2d4073cp-3, -0x1.48c019cbdb16bp-3, -0x1.439a0ce75465cp-3, -0x1.3e8296b2dff9ap-3, -0x1.3979b42e03ec6p-3, -0x1.347f612d21ccap-3, -0x1.2f939861e6ef6p-3, -0x1.2ab65363a5e38p-3, -0x1.25e78ab792de4p-3, -0x1.212735d8e4e2cp-3, -0x1.1c754b40dc86fp-3, -0x1.17d1c06eb2167p-3, -0x1.133c89ef6790bp-3, -0x1.0eb59b657bdcdp-3, -0x1.0a3ce790839afp-3, -0x1.05d26054a872bp-3, -0x1.0175f6c20a79ep-3, -0x1.fa4f363809285p-4, -0x1.f1ce79c0a959dp-4, -0x1.e969959c4f96cp-4, -0x1.e12065da14022p-4, -0x1.d8f2c52772a25p-4, -0x1.d0e08cddb39d8p-4, -0x1.c8e9950f20715p-4, -0x1.c10db493fd5a6p-4, -0x1.b94cc1173fe2bp-4, -0x1.b1a68f231ebb2p-4, -0x1.aa1af22d5974fp-4, -0x1.a2a9bca3446acp-4, -0x1.9b52bff5a8ae9p-4, -0x1.9415cca45df37p-4, -0x1.8cf2b249b4705p-4, -0x1.85e93fa59ee6ep-4, -0x1.7ef942a8a897cp-4, -0x1.7822887eafc03p-4, -0x1.7164dd996a167p-4, -0x1.6ac00dbaaf917p-4, -0x1.6433e3fe8f2f1p-4, -0x1.5dc02ae52c5p-4, -0x1.5764ac5c61ab4p-4, -0x1.512131c9335a1p-4, -0x1.4af58411072fcp-4, -0x1.44e16ba2a7c41p-4, -0x1.3ee4b07f1120cp-4, -0x1.38ff1a420d0ecp-4, -0x1.3330702a94744p-4, -0x1.2d78792301e6ep-4, -0x1.27d6fbc90ec36p-4, -0x1.224bbe759c5f5p-4, -0x1.1cd687444e6f7p-4, -0x1.17771c1aee037p-4, -0x1.122d42b0a0e12p-4, -0x1.0cf8c094ebbe7p-4, -0x1.07d95b36860a2p-4, -0x1.02ced7e9ff42cp-4, -0x1.fbb1f7e065bdfp-5, -0x1.f1ef18f91c95bp-5, -0x1.e8549d76557b1p-5, -0x1.dee20fad6ec46p-5, -0x1.d596f9fc73f83p-5, -0x1.cc72e6d53c384p-5, -0x1.c37560c842a72p-5, -0x1.ba9df28f13d89p-5, -0x1.b1ec27167b92ep-5, -0x1.a95f898852821p-5, -0x1.a0f7a554fede1p-5, -0x1.98b4063ca206fp-5, -0x1.90943857fda75p-5, -0x1.8897c82101ee5p-5, -0x1.80be427b14b73p-5, -0x1.790734bb0b49p-5, -0x1.71722caedfd4bp-5, -0x1.69feb8a512273p-5, -0x1.62ac6773ce4e5p-5, -0x1.5b7ac87fc73d9p-5, -0x1.54696bc2c8f87p-5, -0x1.4d77e1d20eec7p-5, -0x1.46a5bbe453924p-5, -0x1.3ff28bd79ef87p-5, -0x1.395de436da31p-5, -0x1.32e7583f1d158p-5, -0x1.2c8e7be4c635cp-5, -0x1.2652e3d85317ap-5, -0x1.2034258afdb4dp-5, -0x1.1a31d73326f41p-5, -0x1.144b8fd07c86bp-5, -0x1.0e80e72ff540ep-5, -0x1.08d175ef91a2cp-5, -0x1.033cd581e68bap-5, -0x1.fb854062f243ep-6, -0x1.f0c4e247cbe8fp-6, -0x1.e637c8b9b137bp-6, -0x1.dbdd2d81a4336p-6, -0x1.d1b44c2f867a5p-6, -0x1.c7bc621ef0775p-6, -0x1.bdf4ae7bafe93p-6, -0x1.b45c7245f414fp-6, -0x1.aaf2f056209acp-6, -0x1.a1b76d604f5cfp-6, -0x1.98a92ff79042bp-6, -0x1.8fc78090bf6c6p-6, -0x1.8711a985312fcp-6, -0x1.7e86f714fadb4p-6, -0x1.7626b769032e7p-6, -0x1.6df03a94c786ap-6, -0x1.65e2d297df9a2p-6, -0x1.5dfdd35f412abp-6, -0x1.564092c64191ep-6, -0x1.4eaa68975ac9bp-6, -0x1.473aae8cbe7ebp-6, -0x1.3ff0c0509780ep-6, -0x1.38cbfb7d31e0bp-6, -0x1.31cbbf9cdbf7ep-6, -0x1.2aef6e298a3b4p-6, -0x1.24366a8c604ep-6, -0x1.1da01a1cf73bep-6, -0x1.172be4207db32p-6, -0x1.10d931c8a0a7ap-6, -0x1.0aa76e32571bep-6, -0x1.0496066474e9dp-6, -0x1.fd48d29c378b3p-7, -0x1.f1a40f8a0c804p-7, -0x1.e63ca907582b1p-7, -0x1.db11884e744ddp-7, -0x1.d0219a5aed7fcp-7, -0x1.c56bcfe4ea9c6p-7, -0x1.baef1d5c6891ap-7, -0x1.b0aa7ae432a0bp-7, -0x1.a69ce44c97108p-7, -0x1.9cc5590df03f7p-7, -0x1.9322dc42e756ep-7, -0x1.89b474a2a1e21p-7, -0x1.80792c7a9c5c4p-7, -0x1.777011a864601p-7, -0x1.6e98359322fd3p-7, -0x1.65f0ad2511f1bp-7, -0x1.5d7890c4a2132p-7, -0x1.552efc4d99463p-7, -0x1.4d130f0a07a58p-7, -0x1.4523ebab0dcb7p-7, -0x1.3d60b8418efb7p-7, -0x1.35c89e36caaa4p-7, -0x1.2e5aca44c6bccp-7, -0x1.27166c6eb642p-7, -0x1.1ffab7f92dee9p-7, -0x1.1906e36257787p-7, -0x1.123a285a0e017p-7, -0x1.0b93c3b9d84f3p-7, -0x1.0512f57cdec9fp-7, -0x1.fd6e016f83e9ep-8, -0x1.f0fe57210dff4p-8, -0x1.e4d57e6c6f456p-8, -0x1.d8f20fb17b533p-8, -0x1.cd52a940ec92fp-8, -0x1.c1f5ef4bc9b4p-8, -0x1.b6da8bd29f7c8p-8, -0x1.abff2e94a265cp-8, -0x1.a1628cfed5015p-8, -0x1.9703621b18222p-8, -0x1.8ce06e7f44df5p-8, -0x1.82f8783c3e251p-8, -0x1.794a4accefb23p-8, -0x1.6fd4b70560815p-8, -0x1.66969301b4069p-8, -0x1.5d8eba155005p-8, -0x1.54bc0cb9da6b7p-8, -0x1.4c1d707e724ep-8, -0x1.43b1cff6b1b3ap-8, -0x1.3b781aa9ff9c8p-8, -0x1.336f4502b6af9p-8, -0x1.2b96483d850b9p-8, -0x1.23ec2258afaa7p-8, -0x1.1c6fd60389d7p-8, -0x1.15206a8df2448p-8, -0x1.0dfcebd7dccfep-8, -0x1.07046a410361dp-8, -0x1.0035fa98855cap-8, -0x1.f3216c19c239ep-9, -0x1.e6277437639c4p-9, -0x1.d97c51038e11cp-9, -0x1.cd1e4e569bcb1p-9, -0x1.c10bc047dac7ep-9, -0x1.b543030e3cfe5p-9, -0x1.a9c27ae1430f1p-9, -0x1.9e8893da1be3dp-9, -0x1.9393c1d4e8e59p-9, -0x1.88e280524a416p-9, -0x1.7e73525946f02p-9, -0x1.7444c25941207p-9, -0x1.6a55620c68bbp-9, -0x1.60a3ca5a3a49p-9, -0x1.572e9b3a5eae4p-9, -0x1.4df47b97d2626p-9, -0x1.44f4193436e27p-9, -0x1.3c2c288b8a072p-9, -0x1.339b64b81a27ep-9, -0x1.2b408f56aaa7bp-9, -0x1.231a706b14eb2p-9, -0x1.1b27d644f8821p-9, -0x1.13679564e579bp-9, -0x1.0bd888619ee4p-9, -0x1.04798fcdee9ccp-9, -0x1.fa93243ccf363p-10, -0x1.ec8ef71fbe707p-10, -0x1.dee47c1b7e1ccp-10, -0x1.d191a232213b3p-10, -0x1.c494635eeddap-10, -0x1.b7eac4658957ap-10, -0x1.ab92d4a138e97p-10, -0x1.9f8aadd50d726p-10, -0x1.93d073fc9d36ap-10, -0x1.8862551d20a37p-10, -0x1.7d3e89177a678p-10, -0x1.7263517a81f86p-10, -0x1.67cef95664315p-10, -0x1.5d7fd50fca85fp-10, -0x1.53744234a62b2p-10, -0x1.49aaa75094caep-10, -0x1.402173c2915bfp-10, -0x1.36d71f92ed088p-10, -0x1.2dca2b49d711dp-10, -0x1.24f91fc6a65bcp-10, -0x1.1c628e1776492p-10, -0x1.14050f5197439p-10, -0x1.0bdf446a9982ep-10, -0x1.03efd6118d157p-10, -0x1.f86ae91255b7ep-11, -0x1.e95daf05240cdp-11, -0x1.dab57bf0607a3p-11, -0x1.cc6fdc13a0a55p-11, -0x1.be8a69b159946p-11, -0x1.b102ccc89de16p-11, -0x1.a3d6bad01e28ep-11, -0x1.9703f671b54ecp-11, -0x1.8a884f4784747p-11, -0x1.7e61a19a08a99p-11, -0x1.728dd61eb24f9p-11, -0x1.670ae1b89518dp-11, -0x1.5bd6c5392877ap-11, -0x1.50ef8d227d9fcp-11, -0x1.4653516a6679ep-11, -0x1.3c00353ec933dp-11, -0x1.31f466ca8d2a8p-11, -0x1.282e1efbdb657p-11, -0x1.1eaba14b6f8adp-11, -0x1.156b3b84555cp-11, -0x1.0c6b458d64bb2p-11, -0x1.03aa2132c14a8p-11, -0x1.f64c73e25fff1p-12, -0x1.e5bc0983865b1p-12, -0x1.d59fffcd54595p-12, -0x1.c5f56571717fp-12, -0x1.b6b95aecd7db2p-12, -0x1.a7e9122548a94p-12, -0x1.9981ce0b3e461p-12, -0x1.8b80e23b9ea37p-12, -0x1.7de3b2a385aabp-12, -0x1.70a7b326c35efp-12, -0x1.63ca67466eb79p-12, -0x1.574961cac3197p-12, -0x1.4b22446cdcf0fp-12, -0x1.3f52bf8347519p-12, -0x1.33d891b007f15p-12, -0x1.28b1878fa2638p-12, -0x1.1ddb7b69b0a5ap-12, -0x1.135454e3f0616p-12, -0x1.091a08b599963p-12, -0x1.fe5530b924636p-13, -0x1.eb0823a8b26a6p-13, -0x1.d8491e9d14aa6p-13, -0x1.c6146dd6c6cbfp-13, -0x1.b46674eb82e23p-13, -0x1.a33bae3dd79aap-13, -0x1.9290aa785f121p-13, -0x1.8262100bda0cfp-13, -0x1.72ac9aaf8c8d1p-13, -0x1.636d1ae43321ap-13, -0x1.54a075790ba52p-13, -0x1.4643a3150c081p-13, -0x1.3853afc0286cfp-13, -0x1.2acdba7127b1ep-13, -0x1.1daef49b6b5e8p-13, -0x1.10f4a1c173f07p-13, -0x1.049c170907fd3p-13, -0x1.f145759f29f2fp-14, -0x1.da0c0887661bbp-14, -0x1.c386f5ff00618p-14, -0x1.adb16d49826e6p-14, -0x1.9886bcf6a7dbdp-14, -0x1.84025224a61fp-14, -0x1.701fb7c3f87b9p-14, -0x1.5cda95e302691p-14, -0x1.4a2eb0f870f38p-14, -0x1.3817e9368adb8p-14, -0x1.269239e02dff1p-14, -0x1.1599b89eedb56p-14, -0x1.052a94e1e9553p-14, -0x1.ea822e77fc847p-15, -0x1.cbb3418e045fcp-15, -0x1.ade15516f119ep-15, -0x1.910589d1e9bd5p-15, -0x1.75192e0af8346p-15, -0x1.5a15bc7ab5cf3p-15, -0x1.3ff4db2c39a0ep-15, -0x1.26b05a6ce366fp-15, -0x1.0e4233c0c2613p-15, -0x1.ed4911b481824p-16, -0x1.bfa34535fbf43p-16, -0x1.9387e037d56cap-16, -0x1.68ec0b6faf65bp-16, -0x1.3fc53834a6e5cp-16, -0x1.18091eb1fbf09p-16, -0x1.e35b7830dde42p-17, -0x1.9952a1d4905afp-17, -0x1.51e4be7694ec6p-17, -0x1.0cff52278731cp-17, -0x1.9520bb2288a6p-18, -0x1.150cb5ac11172p-18, -0x1.3340e9da6936cp-19, -0x1.15d6045a94d48p-21, 0x1.3f12fc1d78b3cp-20, 0x1.7bfb0cb1d3c8ap-19, 0x1.280e3c988714fp-18, 0x1.8e14b90b1a5b6p-18, 0x1.f02e086b6a5fp-18, 0x1.273b39107a8dap-17, 0x1.5484beb11161bp-17, 0x1.8000fb17d00fep-17, 0x1.a9bcf91560de8p-17, 0x1.d1c56aaddfc9fp-17, 0x1.f826ab653735cp-17, 0x1.0e766143a84a2p-16, 0x1.2011b2aa35d66p-16, 0x1.30eafc93f69dcp-16, 0x1.4107caca9933dp-16, 0x1.506d8338519c7p-16, 0x1.5f2166e665dc1p-16, 0x1.6d2892f6834e7p-16, 0x1.7a880196f260ap-16, 0x1.87448aec0d4cp-16, 0x1.9362e5f9c1ap-16, 0x1.9ee7a97fc513ep-16, 0x1.a9d74cd9d9698p-16, 0x1.b43628d14721bp-16, 0x1.be0878713fd22p-16, 0x1.c75259cd7e4f1p-16, 0x1.d017cecbb9915p-16, 0x1.d85cbde1b147bp-16, 0x1.e024f2d2794aap-16, 0x1.e7741f63f06bbp-16, 0x1.ee4ddc1124669p-16, 0x1.f4b5a8b87f1e5p-16, 0x1.faaeed45796aep-16, 0x1.001e7d29a3abfp-15, 0x1.02b184e83186p-15, 0x1.05121fcc06b25p-15, 0x1.0741d505cfddap-15, 0x1.09422153b0895p-15, 0x1.0b1477486b9p-15, 0x1.0cba3f91bc246p-15, 0x1.0e34d93dcc8dp-15, 0x1.0f8599fcc2313p-15, 0x1.10adce622fb61p-15, 0x1.11aeba23d979bp-15, 0x1.128998570f9c2p-15, 0x1.133f9baccd234p-15, 0x1.13d1eeabbdefp-15, 0x1.1441b3e81dcbap-15, 0x1.1490063b94462p-15, 0x1.14bdf8faaba6ep-15, 0x1.14cc98290744bp-15, 0x1.14bce8abc8b5cp-15, 0x1.148fe87b980c5p-15, 0x1.14468ed3eef4bp-15, 0x1.13e1cc6235b56p-15, 0x1.13628b7330eb2p-15, 0x1.12c9b01ef1015p-15, 0x1.12181873a227dp-15, 0x1.114e9ca03c941p-15, 0x1.106e0f1c550cfp-15, 0x1.0f773ccfecbeap-15, 0x1.0e6aed3a0a7c2p-15, 0x1.0d49e296101b8p-15, 0x1.0c14da000c0d3p-15, 0x1.0acc8b97d6e77p-15, 0x1.0971aaa39a585p-15, 0x1.0804e5b17bf4bp-15, 0x1.0686e6b75d51p-15, 0x1.04f853334ad76p-15, 0x1.0359cc49baba6p-15, 0x1.01abeee3480a8p-15, 0x1.ffdea7943ff1ep-16, 0x1.fc491f8b999e2p-16, 0x1.f898676d4c367p-16, 0x1.f4cd996137b43p-16, 0x1.f0e9c82967476p-16, 0x1.ecedff5561704p-16, 0x1.e8db437267636p-16, 0x1.e4b2923b1c63bp-16, 0x1.e074e2c552402p-16, 0x1.dc2325af248e6p-16, 0x1.d7be454b4b939p-16, 0x1.d34725ca1892dp-16, 0x1.cebea56343132p-16, 0x1.ca259c7de9b2cp-16, 0x1.c57cddd767f03p-16, 0x1.c0c536a84367p-16, 0x1.bbff6eca8b6bdp-16, 0x1.b72c48dbce144p-16, 0x1.b24c82608619fp-16, 0x1.ad60d3e5f4807p-16, 0x1.a869f121cf627p-16, 0x1.a36889129f20ap-16, 0x1.9e5d461ebd5cep-16, 0x1.9948ce3223285p-16, 0x1.942bc2db1d71fp-16, 0x1.8f06c1676efcep-16, 0x1.89da62fedc20dp-16, 0x1.84a73cbe849fep-16, 0x1.7f6ddfd274a4bp-16, 0x1.7a2ed98f1b169p-16, 0x1.74eab389ad644p-16, 0x1.6fa1f3afe1f7fp-16, 0x1.6a551c5f330ecp-16, 0x1.6504ac7b2e013p-16, 0x1.5fb11f83234d4p-16, 0x1.5a5aeda80b399p-16, 0x1.55028be084165p-16, 0x1.4fa86bfd758p-16, 0x1.4a4cfcbcbcacap-16, 0x1.44f0a9dca55d7p-16, 0x1.3f93dc2e2734p-16, 0x1.3a36f9a6f430cp-16, 0x1.34da6572af056p-16, 0x1.2f7e80040d3a5p-16, 0x1.2a23a725285c2p-16, 0x1.24ca36079f9aep-16, 0x1.1f728553dac04p-16, 0x1.1a1ceb384afcap-16, 0x1.14c9bb784f78bp-16, 0x1.0f79477aa01fp-16, 0x1.0a2bde56b1645p-16, 0x1.04e1cce27da8ap-16, 0x1.ff36bb7f6a3a7p-17, 0x1.f4b1b2d1de378p-17, 0x1.ea350c7acde6ap-17, 0x1.dfc1511b657fcp-17, 0x1.d557054f55764p-17, 0x1.caf6a9c345c93p-17, 0x1.c0a0bb4aed18p-17, 0x1.b655b2f7c079bp-17, 0x1.ac16062d90fcbp-17, 0x1.a1e226b7500f8p-17, 0x1.97ba82dbb1531p-17, 0x1.8d9f856ff80d2p-17, 0x1.839195ebb5473p-17, 0x1.7991187b5d0c4p-17, 0x1.6f9e6e12aaa73p-17, 0x1.65b9f47df30f7p-17, 0x1.5be40673fecd5p-17, 0x1.521cfba5d8bb6p-17, 0x1.486528d0422cp-17, 0x1.3ebcdfcb96466p-17, 0x1.35246f9ad30dbp-17, 0x1.2b9c247b1fa4fp-17, 0x1.222447f289ad2p-17, 0x1.18bd20df4cfd3p-17, 0x1.0f66f3852dc1ap-17, 0x1.0622019ba247fp-17, 0x1.f9dd14b79f12ep-18, 0x1.e799951b3ed39p-18, 0x1.d579f92768466p-18, 0x1.c37eb0f187adfp-18, 0x1.b1a827f89e805p-18, 0x1.9ff6c53c21a61p-18, 0x1.8e6aeb5386647p-18, 0x1.7d04f885dc404p-18, 0x1.6bc546dfe20d9p-18, 0x1.5aac2c4b7573bp-18, 0x1.49b9faa2a183ap-18, 0x1.38eeffc6e145p-18, 0x1.284b85b5fce8dp-18, 0x1.17cfd29d2c42dp-18, 0x1.077c28ec8c46p-18, 0x1.eea18ed7f7daap-19, 0x1.ce9bd29aa5deap-19, 0x1.aee78c7d6714ap-19, 0x1.8f8524f9e47p-19, 0x1.7074fdcb787a8p-19, 0x1.51b772122d87ap-19, 0x1.334cd674d5521p-19, 0x1.15357942743cep-19, 0x1.eee3452d95f4ep-20, 0x1.b40328efff60dp-20, 0x1.79cb15ead90e6p-20, 0x1.403b789059f5ap-20, 0x1.0754b1e2c9a9bp-20, 0x1.9e2e2f6901f3ap-21, 0x1.2f05e9bbf5116p-21, 0x1.826225e9e278p-22, 0x1.52c05903c73dcp-23, -0x1.67cb5c9987c8fp-25, -0x1.00aa1d8a4fcfbp-22, -0x1.d1b18c076ce0bp-22, -0x1.5007c02c7f119p-21, -0x1.b5e1f4c87db65p-21, -0x1.0d33b6f367cb3p-20, -0x1.3ecc23dbd7b4fp-20, -0x1.6fba5812bd783p-20, -0x1.9ffe733898ea9p-20, -0x1.cf989d6a2e0a1p-20, -0x1.fe890711e02ebp-20, -0x1.1667f45b19b74p-19, -0x1.2d36c167961b9p-19, -0x1.43b10ecbe3a88p-19, -0x1.59d704703045cp-19, -0x1.6fa8cdf215d96p-19, -0x1.85269a8df0c7cp-19, -0x1.9a509d0a3e6afp-19, -0x1.af270ba3a5985p-19, -0x1.c3aa1ff791acap-19, -0x1.d7da16f0354ep-19, -0x1.ebb730b001196p-19, -0x1.ff41b07e240fcp-19, -0x1.093cee5a0d798p-18, -0x1.12afff54ca873p-18, -0x1.1bfa315142a36p-18, -0x1.251babde118afp-18, -0x1.2e1497ed41d97p-18, -0x1.36e51fca87c65p-18, -0x1.3f8d6f131dd02p-18, -0x1.480db2ad09ccap-18, -0x1.506618beb014bp-18, -0x1.5896d0a6ac71p-18, -0x1.60a00af26baa4p-18, -0x1.6881f95636532p-18, -0x1.703ccea5965ccp-18, -0x1.77d0becb2db4bp-18, -0x1.7f3dfec054f8fp-18, -0x1.8684c485a076bp-18, -0x1.8da5471b73dd4p-18, -0x1.949fbe7a42edap-18, -0x1.9b74638ad39b7p-18, -0x1.a223701e92562p-18, -0x1.a8ad1ee8dabd8p-18, -0x1.af11ab781e53ep-18, -0x1.b551522ebe847p-18, -0x1.bb6c503b9e9aep-18, -0x1.c162e3934998p-18, -0x1.c7354aea3a8f4p-18, -0x1.cce3c5acc728ap-18, -0x1.d26e93f9e078ep-18, -0x1.d7d5f69bddc19p-18, -0x1.dd1a2f024a05ap-18, -0x1.e23b7f3b87d27p-18, -0x1.e73a29eef955bp-18, -0x1.ec16725652debp-18, -0x1.f0d09c37723fap-18, -0x1.f568ebdfaa93ap-18, -0x1.f9dfa61d3b116p-18, -0x1.fe351039b7b0cp-18, -0x1.0134b7f9fef96p-17, -0x1.033e85bd945f1p-17, -0x1.053814b478c38p-17, -0x1.0721885e0f374p-17, -0x1.08fb04699ff7fp-17, -0x1.0ac4acb3f845fp-17, -0x1.0c7ea5449cfc2p-17, -0x1.0e29124b6783fp-17, -0x1.0fc4181d9d0bap-17, -0x1.114fdb33c3f81p-17, -0x1.12cc80276fd3ep-17, -0x1.143a2bb0ae451p-17, -0x1.159902a3afd27p-17, -0x1.16e929ee8f10ap-17, -0x1.182ac69702c53p-17, -0x1.195dfdb837617p-17, -0x1.1a82f4805e203p-17, -0x1.1b99d02ee6eabp-17, -0x1.1ca2b6121b912p-17, -0x1.1d9dcb855b8f1p-17, -0x1.1e8b35eea949cp-17, -0x1.1f6b1abcf8dap-17, -0x1.203d9f65f5a41p-17, -0x1.2102e9644aca4p-17, -0x1.21bb1e35ae854p-17, -0x1.22666358efeefp-17, -0x1.2304de4c5a8dap-17, -0x1.2396b48bc23f6p-17, -0x1.241c0b8e9db3fp-17, -0x1.249508c69f93fp-17, -0x1.2501d19db471ep-17, -0x1.25628b7475c07p-17, -0x1.25b75ba0cea65p-17, -0x1.2600676bf0b59p-17, -0x1.263dd410dcca3p-17, -0x1.266fc6baeae63p-17, -0x1.269664847e4b8p-17, -0x1.26b1d2755694bp-17, -0x1.26c23580d56adp-17, -0x1.26c7b284e331p-17, -0x1.26c26e48c5b4dp-17, -0x1.26b28d7b7dabcp-17, -0x1.269834b245ap-17, -0x1.26738867a6058p-17, -0x1.2644acfa2501bp-17, -0x1.260bc6aaa29c9p-17, -0x1.25c8f99b5d20cp-17, -0x1.257c69cf1f21ep-17, -0x1.25263b27a9f1fp-17, -0x1.24c691648790bp-17, -0x1.245d9022107ccp-17, -0x1.23eb5ad895d55p-17, -0x1.237014db1d182p-17, -0x1.22ebe15610329p-17, -0x1.225ee34ec1dbp-17, -0x1.21c93da22691cp-17, -0x1.212b1303fa4b2p-17, -0x1.208485fdc7b15p-17, -0x1.1fd5b8ee1f641p-17, -0x1.1f1ece0795238p-17, -0x1.1e5fe74ffd425p-17, -0x1.1d99269f6fb97p-17, -0x1.1ccaad9fba0f5p-17, -0x1.1bf49dcb7b7fp-17, -0x1.1b17186d37531p-17, -0x1.1a323e9efb667p-17, }}, 
      {{-0x1.ea3be209545a1p-1, -0x1.e9ef9ad7752f4p-1, -0x1.e96983ced83abp-1, -0x1.e8a136cfe2e9dp-1, -0x1.e78dc96d8669ap-1, -0x1.e627291873707p-1, -0x1.e467073ac046p-1, -0x1.e2495b5120dabp-1, -0x1.dfcc8eadfd513p-1, -0x1.dcf16904343dep-1, -0x1.d9bad31e95c33p-1, -0x1.d62d81554313ep-1, -0x1.d24f93176a2fap-1, -0x1.ce28310d6bdeep-1, -0x1.c9bf303699ffp-1, -0x1.c51cbdfb61f64p-1, -0x1.c0491761ea03dp-1, -0x1.bb4c4c494f9dap-1, -0x1.b62e0eaa040e5p-1, -0x1.b0f58d4037a65p-1, -0x1.aba958a4b0e16p-1, -0x1.a64f51a22eeafp-1, -0x1.a0ec9f7e019dbp-1, -0x1.9b85ace918ae1p-1, -0x1.961e2a5c87ed6p-1, -0x1.90b914bc2d0f2p-1, -0x1.8b58bf3794f15p-1, -0x1.85fedf819b3cap-1, -0x1.80ac9b981b8b8p-1, -0x1.7b629874f9ef5p-1, -0x1.7621091fa4785p-1, -0x1.70e7bdb16737cp-1, -0x1.6bb631f70c29bp-1, -0x1.668b9b6f5663cp-1, -0x1.6166f677d9394p-1, -0x1.5c471288bc397p-1, -0x1.572a9d6c6997bp-1, -0x1.52102d6a20095p-1, -0x1.4cf64a624ed83p-1, -0x1.47db75e1b6b73p-1, -0x1.42be3234dc012p-1, -0x1.3d9d088898ae2p-1, -0x1.38768e26d4c21p-1, -0x1.334968dfc56a1p-1, -0x1.2e1452b0c2ed5p-1, -0x1.28d61cb9e73adp-1, -0x1.238db1936c5d8p-1, -0x1.1e3a17132f3dp-1, -0x1.18da6f91fc2f9p-1, -0x1.136dfabf66308p-1, -0x1.0df41611e6b9dp-1, -0x1.086c3ce005d3ap-1, -0x1.02d6082e3a8e9p-1, -0x1.fa625c78668f9p-2, -0x1.eefb03b66dbb8p-2, -0x1.e375e32cbdf7ep-2, -0x1.d7d30d691d42ep-2, -0x1.cc12c836567e4p-2, -0x1.c0358a2fcb43dp-2, -0x1.b43bf82e48206p-2, -0x1.a826e297fac67p-2, -0x1.9bf7429c3eb3ap-2, -0x1.8fae3762e0255p-2, -0x1.834d03357f5bp-2, -0x1.76d508a8e4753p-2, -0x1.6a47c7cb47487p-2, -0x1.5da6db5bd556cp-2, -0x1.50f3f60f31a14p-2, -0x1.4430dfe3ffcfbp-2, -0x1.375f738a23efep-2, -0x1.2a819bded9eacp-2, -0x1.1d99517f6b00ep-2, -0x1.10a89873ef389p-2, -0x1.03b17df32939bp-2, -0x1.ed6c2c80ac93ap-3, -0x1.d370f546f7438p-3, -0x1.b9758ef91d937p-3, -0x1.9f7e34e334d23p-3, -0x1.858f216fbf13bp-3, -0x1.6bac8aef8f89cp-3, -0x1.51daa096b098fp-3, -0x1.381d87ad8be75p-3, -0x1.1e7958f542d6cp-3, -0x1.04f21e3e1281cp-3, -0x1.d717a05cf9c94p-4, -0x1.a494a8736859p-4, -0x1.7262f587bf0f6p-4, -0x1.4089fae51a057p-4, -0x1.0f10fb4f63111p-4, -0x1.bbfe0c9610922p-5, -0x1.5ab5eb65e477cp-5, -0x1.f4adae64f9132p-6, -0x1.35db41bcf6f39p-6, -0x1.e435171307cc1p-8, 0x1.06920adb54728p-8, 0x1.f44696d39c711p-7, 0x1.b05941ffdd85ap-6, 0x1.3218c85d78a7bp-5, 0x1.8acc302338ad9p-5, 0x1.e23d6c65ecda7p-5, 0x1.1c31c89556385p-4, 0x1.469b19228d2afp-4, 0x1.7056b174396c1p-4, 0x1.9960da78806ccp-4, 0x1.c1b61bf5b9b78p-4, 0x1.e9533befa1e65p-4, 0x1.081a9ef8541d1p-3, 0x1.1b2cb11cce8fdp-3, 0x1.2dde926d1480dp-3, 0x1.402f1e5a1cfc1p-3, 0x1.521d4d363517p-3, 0x1.63a833a4b21c6p-3, 0x1.74cf02021b9c5p-3, 0x1.859103c59dda5p-3, 0x1.95ed9edcab0d7p-3, 0x1.a5e4530196a2fp-3, 0x1.b574b90dd98efp-3, 0x1.c49e8248c2f0fp-3, 0x1.d36177b336033p-3, 0x1.e1bd7951172fap-3, 0x1.efb27d70edfc2p-3, 0x1.fd408ff25be61p-3, 0x1.0533e8c5e6397p-2, 0x1.0b943b87f528ep-2, 0x1.11c164599e79cp-2, 0x1.17bb90a929e04p-2, 0x1.1d82f6dc6be1fp-2, 0x1.2317d5f4f408ep-2, 0x1.287a7534ffafp-2, 0x1.2dab23c555e1ap-2, 0x1.32aa385c314fbp-2, 0x1.377810e552a56p-2, 0x1.3c15122b52343p-2, 0x1.4081a78251021p-2, 0x1.44be427413cedp-2, 0x1.48cb5a6da5156p-2, 0x1.4ca96c6e85f46p-2, 0x1.5058fab980e75p-2, 0x1.53da8c87294eep-2, 0x1.572eadba1105p-2, 0x1.5a55ee94c12dfp-2, 0x1.5d50e37174144p-2, 0x1.6020247ba216cp-2, 0x1.62c44d6b58ddcp-2, 0x1.653dfd426cac2p-2, 0x1.678dd60b769a4p-2, 0x1.69b47c9ab2352p-2, 0x1.6bb29850a8066p-2, 0x1.6d88d2deb2aa1p-2, 0x1.6f37d80d505dcp-2, 0x1.70c0558449643p-2, 0x1.7222fa949bd9fp-2, 0x1.736078043554cp-2, 0x1.74797fdb68b7bp-2, 0x1.756ec534242f9p-2, 0x1.7640fc0ae130fp-2, 0x1.76f0d9113f123p-2, 0x1.777f11824f4b5p-2, 0x1.77ec5af87f90ep-2, 0x1.78396b45246dep-2, 0x1.7866f849980b6p-2, 0x1.7875b7d1e6fedp-2, 0x1.78665f71001e9p-2, 0x1.7839a45e66edfp-2, 0x1.77f03b5558ca2p-2, 0x1.778ad87560728p-2, 0x1.770a2f2450023p-2, 0x1.766ef1f196ccp-2, 0x1.75b9d27aef945p-2, 0x1.74eb815255917p-2, 0x1.7404ade545eap-2, 0x1.7306066536622p-2, 0x1.71f037b1459d2p-2, 0x1.70c3ed4112ebep-2, 0x1.6f81d110bcc63p-2, 0x1.6e2a8b8dfbd26p-2, 0x1.6cbec3864e296p-2, 0x1.6b3f1e1632684p-2, 0x1.69ac3e99655bep-2, 0x1.6806c69c1d011p-2, 0x1.664f55cd372afp-2, 0x1.648689f156191p-2, 0x1.62acfed6e7075p-2, 0x1.60c34e4b00afp-2, 0x1.5eca100f21344p-2, 0x1.5cc1d9cfb7b44p-2, 0x1.5aab3f1b79e58p-2, 0x1.5886d15b7d6e3p-2, 0x1.56551fcc0de82p-2, 0x1.5416b77638f8bp-2, 0x1.51cc232a0ac54p-2, 0x1.4f75eb79734acp-2, 0x1.4d1496b3cf4fbp-2, 0x1.4aa8a8e2124f3p-2, 0x1.4832a3c383b9p-2, 0x1.45b306cb130c1p-2, 0x1.432a4f1d33d75p-2, 0x1.4098f78e4606ep-2, 0x1.3dff78a17cdb2p-2, 0x1.3b5e488842c7p-2, 0x1.38b5db221873fp-2, 0x1.3606a1fce30aep-2, 0x1.33510c55a951ep-2, 0x1.30958719bc8a7p-2, 0x1.2dd47ce843d3cp-2, 0x1.2b0e561426fd8p-2, 0x1.284378a659abp-2, 0x1.257448607a075p-2, 0x1.22a126bfc61d1p-2, 0x1.1fca73005f06bp-2, 0x1.1cf08a20d8a5fp-2, 0x1.1a13c6e612ccfp-2, 0x1.173481df54d12p-2, 0x1.1453116aab86fp-2, 0x1.116fc9b9830ep-2, 0x1.0e8afcd57d4e2p-2, 0x1.0ba4faa57b79ap-2, 0x1.08be10f2dfda5p-2, 0x1.05d68b6efb9a1p-2, 0x1.02eeb3b8ac7b8p-2, 0x1.0006d162261dp-2, 0x1.fa3e53edbe989p-3, 0x1.f47002035405ep-3, 0x1.eea33025cff33p-3, 0x1.e8d85d8dc859p-3, 0x1.e31005988bc4ap-3, 0x1.dd4a9fd544176p-3, 0x1.d788a0124702ep-3, 0x1.d1ca766a9280ap-3, 0x1.cc108f5376258p-3, 0x1.c65b53aa5c1fep-3, 0x1.c0ab28c2b9cabp-3, 0x1.bb00707412b9bp-3, 0x1.b55b89281ef44p-3, 0x1.afbccde901061p-3, 0x1.aa24966f8cc5ep-3, 0x1.a49337319fb3cp-3, 0x1.9f09017085a84p-3, 0x1.998643475d834p-3, 0x1.940b47b99134dp-3, 0x1.8e9856c13ed22p-3, 0x1.892db55db17f7p-3, 0x1.83cba5a1cc478p-3, 0x1.7e7266c274116p-3, 0x1.79223524ed45fp-3, 0x1.73db4a6d36d21p-3, 0x1.6e9ddd8c500bfp-3, 0x1.696a22ce76ae7p-3, 0x1.64404be94fb77p-3, 0x1.5f208809fc0bep-3, 0x1.5a0b03e320ca3p-3, 0x1.54ffe9bad0d49p-3, 0x1.4fff617863009p-3, 0x1.4b0990b22b3fep-3, 0x1.461e9abb1cea9p-3, 0x1.413ea0b04e3ffp-3, 0x1.3c69c1865ee06p-3, 0x1.37a01a16bbf97p-3, 0x1.32e1c52cccb1cp-3, 0x1.2e2edb92f1b8fp-3, 0x1.2987741f6d179p-3, 0x1.24eba3c11d231p-3, 0x1.205b7d8c1d0e2p-3, 0x1.1bd712c636da9p-3, 0x1.175e72f338444p-3, 0x1.12f1abe11589p-3, 0x1.0e90c9b3f38efp-3, 0x1.0a3bd6f1faa0fp-3, 0x1.05f2dc8f0de68p-3, 0x1.01b5e1f851993p-3, 0x1.fb09da3f134acp-4, 0x1.f2c0050c9c23dp-4, 0x1.ea8e4a92332b3p-4, 0x1.e274ae5446cacp-4, 0x1.da73313836357p-4, 0x1.d289d199589c5p-4, 0x1.cab88b5dc18bp-4, 0x1.c2ff580aa6438p-4, 0x1.bb5e2ed867ap-4, 0x1.b3d504c6504f3p-4, 0x1.ac63ccade982dp-4, 0x1.a50a77560e86bp-4, 0x1.9dc8f3858fc13p-4, 0x1.969f2e1599b6p-4, 0x1.8f8d1203a5771p-4, 0x1.889288832e52ep-4, 0x1.81af790efdf5ep-4, 0x1.7ae3c97a2ac96p-4, 0x1.742f5e00bcc77p-4, 0x1.6d921957fcfc8p-4, 0x1.670bdcbe6df36p-4, 0x1.609c880b739p-4, 0x1.5a43f9be9ff55p-4, 0x1.54020f0eb43f7p-4, 0x1.4dd6a3f845c2cp-4, 0x1.47c1934c17789p-4, 0x1.41c2b6bd1e463p-4, 0x1.3bd9e6ee320e7p-4, 0x1.3606fb7f73d11p-4, 0x1.3049cb1b5e4b8p-4, 0x1.2aa22b838c5bdp-4, 0x1.250ff19d2c5aep-4, 0x1.1f92f17d2afbep-4, 0x1.1a2afe740df33p-4, 0x1.14d7eb19859b3p-4, 0x1.0f998957b104bp-4, 0x1.0a6faa761ce3bp-4, 0x1.055a1f2474335p-4, 0x1.0058b784ec11p-4, 0x1.f6d6866cd162ep-5, 0x1.ed2322bcb6877p-5, 0x1.e396e164b6ca2p-5, 0x1.da315f02f62efp-5, 0x1.d0f2377ab7d4ep-5, 0x1.c7d90605f7abdp-5, 0x1.bee565468df27p-5, 0x1.b616ef56c7b97p-5, 0x1.ad6d3dd98c595p-5, 0x1.a4e7ea0a027bcp-5, 0x1.9c868ccab350cp-5, 0x1.9448beb44381bp-5, 0x1.8c2e1823ad7a8p-5, 0x1.843631480decdp-5, 0x1.7c60a22ff36abp-5, 0x1.74ad02d64e4ebp-5, 0x1.6d1aeb2ee68c9p-5, 0x1.65a9f3326a6a8p-5, 0x1.5e59b2ea156fep-5, 0x1.5729c27aeba94p-5, 0x1.5019ba309376fp-5, 0x1.49293287ca60dp-5, 0x1.4257c43874efp-5, 0x1.3ba5083f595dfp-5, 0x1.351097e76d3f7p-5, 0x1.2e9a0cd2d71c8p-5, 0x1.284101038c2aap-5, 0x1.22050ee399901p-5, 0x1.1be5d14d1a9e8p-5, 0x1.15e2e391d6642p-5, 0x1.0ffbe1828fd5p-5, 0x1.0a306775fdfd8p-5, 0x1.0480124f8378ep-5, 0x1.fdd4ff0b1be0ep-6, 0x1.f2de9a4f54a0cp-6, 0x1.e81c33c8b61eep-6, 0x1.dd8d0a1d3bc82p-6, 0x1.d3305d465a6f9p-6, 0x1.c9056e9b053f5p-6, 0x1.bf0b80d91ee31p-6, 0x1.b541d82e83418p-6, 0x1.aba7ba4174fdap-6, 0x1.a23c6e38ae159p-6, 0x1.98ff3cc2e30fbp-6, 0x1.8fef701dda7e7p-6, 0x1.870c541d1fe2dp-6, 0x1.7e5536303731bp-6, 0x1.75c965686c6bcp-6, 0x1.6d68327e3f49cp-6, 0x1.6530efd66afbcp-6, 0x1.5d22f18682f31p-6, 0x1.553d8d593a861p-6, 0x1.4d801ad252821p-6, 0x1.45e9f3321bc77p-6, 0x1.3e7a7178bb445p-6, 0x1.3730f2690cd3ep-6, 0x1.300cd48b3260bp-6, 0x1.290d782edec43p-6, 0x1.22323f6d4a19cp-6, 0x1.1b7a8e2adce18p-6, 0x1.14e5ca18a5a92p-6, 0x1.0e735ab56b7bfp-6, 0x1.0822a94e98eafp-6, 0x1.01f32100d2a39p-6, 0x1.f7c85d70c9045p-7, 0x1.ebea8262aec4cp-7, 0x1.e04b91eed9cc8p-7, 0x1.d4ea70cb895f5p-7, 0x1.c9c6074cbe3d9p-7, 0x1.bedd4162e4a5ep-7, 0x1.b42f0e98e0b74p-7, 0x1.a9ba6211f63b3p-7, 0x1.9f7e328735ff1p-7, 0x1.95797a44998c5p-7, 0x1.8bab3725d0113p-7, 0x1.82126a92b4074p-7, 0x1.78ae197b6c687p-7, 0x1.6f7d4c544a56bp-7, 0x1.667f0f116fe01p-7, 0x1.5db271220d358p-7, 0x1.5516856b7c1a6p-7, 0x1.4caa6244138d9p-7, 0x1.446d216dbb695p-7, 0x1.3c5de0104de93p-7, 0x1.347bbeb3c618cp-7, 0x1.2cc5e13a2d3e1p-7, 0x1.253b6ed963f3ap-7, 0x1.1ddb9214c663cp-7, 0x1.16a578b68afd1p-7, 0x1.0f9853c916bdp-7, 0x1.08b357900d148p-7, 0x1.01f5bb815c6c1p-7, 0x1.f6bd747c05792p-8, 0x1.e9db2315b2642p-8, 0x1.dd43049259281p-8, 0x1.d0f3a0de6b759p-8, 0x1.c4eb860116877p-8, 0x1.b929480cc68f9p-8, 0x1.adab810fc0a84p-8, 0x1.a270d1045c39fp-8, 0x1.9777ddc114b08p-8, 0x1.8cbf52e8bb478p-8, 0x1.8245e1da3f00cp-8, 0x1.780a41a08ccf4p-8, 0x1.6e0b2ee23df1p-8, 0x1.64476bd145ff9p-8, 0x1.5abdc01a7c6ap-8, 0x1.516cf8d51a1c1p-8, 0x1.4853e8724778dp-8, 0x1.3f7166ac6dd08p-8, 0x1.36c45076a6ad6p-8, 0x1.2e4b87ec34f97p-8, 0x1.2605f43fc1a0dp-8, 0x1.1df281aad0c6ep-8, 0x1.1610215d214fcp-8, 0x1.0e5dc96c13723p-8, 0x1.06da74c209199p-8, 0x1.ff0a461bdbedp-9, 0x1.f0b9b16555791p-9, 0x1.e2c13d6d53a4fp-9, 0x1.d51f056701352p-9, 0x1.c7d12d8b17905p-9, 0x1.bad5e2f740828p-9, 0x1.ae2b5b8dc5b07p-9, 0x1.a1cfd5d538b96p-9, 0x1.95c198d859d5dp-9, 0x1.89fef40626fe3p-9, 0x1.7e863f121d2c4p-9, 0x1.7355d9d4b1575p-9, 0x1.686c2c2bd3933p-9, 0x1.5dc7a5dbf94a2p-9, 0x1.5366be70f55d4p-9, 0x1.4947f51f7024fp-9, 0x1.3f69d0a6542f4p-9, 0x1.35cadf309480fp-9, 0x1.2c69b6372bb18p-9, 0x1.2344f2635082ep-9, 0x1.1a5b3771087bap-9, 0x1.11ab3011e78adp-9, 0x1.09338dd012a99p-9, 0x1.00f308f17ac81p-9, 0x1.f1d0c0b750d04p-10, 0x1.e224b2ee7af11p-10, 0x1.d2df8028ce03dp-10, 0x1.c3fecc9e54774p-10, 0x1.b58048e803227p-10, 0x1.a761b1ca0f0a1p-10, 0x1.99a0cffe26ff6p-10, 0x1.8c3b77fee1be6p-10, 0x1.7f2f89d37bfcfp-10, 0x1.727af0dbf1abap-10, 0x1.661ba39e4df6fp-10, 0x1.5a0fa39407aabp-10, 0x1.4e54fcf82a7f5p-10, 0x1.42e9c6962b8a4p-10, 0x1.37cc21996e72bp-10, 0x1.2cfa395cf20e1p-10, 0x1.2272433c3b9dbp-10, 0x1.18327e647b78cp-10, 0x1.0e3933a647744p-10, 0x1.0484b54825b29p-10, 0x1.f626bdb342f8ep-11, 0x1.e3c72a0d99f2ap-11, 0x1.d1e78ad992083p-11, 0x1.c084ccdcfbb9cp-11, 0x1.af9bee13bb8ddp-11, 0x1.9f29fd5d56d2bp-11, 0x1.8f2c1a28ae065p-11, 0x1.7f9f7423dd6bp-11, 0x1.70814aeb5a274p-11, 0x1.61ceedbadc575p-11, 0x1.5385bb1fef54bp-11, 0x1.45a320acf49bep-11, 0x1.38249aadcb1b5p-11, 0x1.2b07b3dd41651p-11, 0x1.1e4a051bcbb03p-11, 0x1.11e93527fd55cp-11, 0x1.05e2f8571a2d2p-11, 0x1.f46a209e2964p-12, 0x1.ddba97854c3fbp-12, 0x1.c7b30c59cb7e4p-12, 0x1.b24f4f1f1ee5p-12, 0x1.9d8b48619f89ap-12, 0x1.8962f8b777abap-12, 0x1.75d27840d2b41p-12, 0x1.62d5f62c8c535p-12, 0x1.5069b83d50a9ep-12, 0x1.3e8a1a51975fep-12, 0x1.2d338ded66f37p-12, 0x1.1c6299c6842cfp-12, 0x1.0c13d9520ba95p-12, 0x1.f887f8a8e0ab6p-13, 0x1.d9df8ce733e77p-13, 0x1.bc281d9490a69p-13, 0x1.9f5b7efd18f61p-13, 0x1.8373aab092f11p-13, 0x1.686abeb7c3ca2p-13, 0x1.4e3afcca81acbp-13, 0x1.34dec98926502p-13, 0x1.1c50abbc1347fp-13, 0x1.048b4b9477e39p-13, 0x1.db12e3e45e966p-14, 0x1.ae8c0f5728a1ap-14, 0x1.837829b4a40c6p-14, 0x1.59cd8054d19cp-14, 0x1.31829c5c37801p-14, 0x1.0a8e41648f3bcp-14, 0x1.c9ced864d060fp-15, 0x1.810aa2de2dae4p-15, 0x1.3abeb8c7de269p-15, 0x1.edb4b718d7648p-16, 0x1.6a9a69f7f0cfdp-16, 0x1.d81d53d48e4p-17, 0x1.c7c978acbba0fp-18, -0x1.ec678dbd9aa34p-23, -0x1.d5c1d4f2f45bp-18, -0x1.c5e2e2c899fb8p-17, -0x1.4c77eadc80dbep-16, -0x1.b21f5737c83d8p-16, -0x1.0a013f3668761p-15, -0x1.391dbf6d91c4bp-15, -0x1.6671e89b4c71p-15, -0x1.920a262dfa162p-15, -0x1.bbf2948e6cea8p-15, -0x1.e43702f637573p-15, -0x1.05717a9f6aa67p-14, -0x1.1800d2d34f4fbp-14, -0x1.29cf03450383fp-14, -0x1.3ae1620d822f3p-14, -0x1.4b3d23001f382p-14, -0x1.5ae7587f6d573p-14, -0x1.69e4f445911e6p-14, -0x1.783ac82bc6472p-14, -0x1.85ed86edd397p-14, -0x1.9301c4e80be95p-14, -0x1.9f7bf8d16d01ap-14, -0x1.ab607c726b5eap-14, -0x1.b6b38d56f8da8p-14, -0x1.c1794d7d350d5p-14, -0x1.cbb5c3ffbc1b9p-14, -0x1.d56cddbb5ecd1p-14, -0x1.dea26df54858bp-14, -0x1.e75a2ef6e37dbp-14, -0x1.ef97c2abfaab2p-14, -0x1.f75eb339be80bp-14, -0x1.feb273952bfbp-14, -0x1.02cb300976588p-13, -0x1.0606df7b8e05bp-13, -0x1.090de07fc2473p-13, -0x1.0be1c0f5b1836p-13, -0x1.0e8404801ff65p-13, -0x1.10f624c6099b7p-13, -0x1.133991b1c9339p-13, -0x1.154fb1aeebb7ep-13, -0x1.1739e1e6ed7afp-13, -0x1.18f9767ba4cfcp-13, -0x1.1a8fbac1b6996p-13, -0x1.1bfdf1782af7p-13, -0x1.1d45550026de4p-13, -0x1.1e671791e0d79p-13, -0x1.1f6463718bd1cp-13, -0x1.203e5b221637cp-13, -0x1.20f61997b5ae8p-13, -0x1.218cb2681670ep-13, -0x1.220331fa60566p-13, -0x1.225a9db557435p-13, -0x1.2293f42ced488p-13, -0x1.22b02d4e48723p-13, -0x1.22b03a8b3311dp-13, -0x1.2295070413878p-13, -0x1.225f77b122641p-13, -0x1.22106b8a310c5p-13, -0x1.21a8bbae48bb3p-13, -0x1.21293b8939b0ep-13, -0x1.2092b8f99591fp-13, -0x1.1fe5fc7419265p-13, -0x1.1f23c927ee445p-13, -0x1.1e4cdd2094f45p-13, -0x1.1d61f167aa5a2p-13, -0x1.1c63ba261be63p-13, -0x1.1b52e6c3cb827p-13, -0x1.1a302206d7df1p-13, -0x1.18fc12322d00ap-13, -0x1.17b759230a30cp-13, -0x1.1662946ddf7fcp-13, -0x1.14fe5d7ac016dp-13, -0x1.138b49a0aee74p-13, -0x1.1209ea404204dp-13, -0x1.107accde09a5ap-13, -0x1.0ede7b3bcfb3cp-13, -0x1.0d357b714ada9p-13, -0x1.0b8050048e06cp-13, -0x1.09bf78015fc6dp-13, -0x1.07f36f100b762p-13, -0x1.061cad8c15955p-13, -0x1.043ba8997ed74p-13, -0x1.0250d23a63f44p-13, -0x1.005c99638f46p-13, -0x1.fcbed420c94efp-14, -0x1.f8b35aad5636cp-14, -0x1.f49792f34d9c7p-14, -0x1.f06c43f8fc1a3p-14, -0x1.ec322f6902d32p-14, -0x1.e7ea11b58ddb4p-14, -0x1.e394a23ab7da6p-14, -0x1.df32935fe6ac6p-14, -0x1.dac492b8386a2p-14, -0x1.d64b4922966p-14, -0x1.d1c75ae7fe738p-14, -0x1.cd3967da8f175p-14, -0x1.c8a20b71e6b2cp-14, -0x1.c401dce813278p-14, -0x1.bf596f555819bp-14, -0x1.baa951cab82adp-14, -0x1.b5f20f6cf6e6fp-14, -0x1.b1342f8db61b7p-14, -0x1.ac7035c4cb05cp-14, -0x1.a7a6a2080c99p-14, -0x1.a2d7f0c35e788p-14, -0x1.9e049aef50992p-14, -0x1.992d1627ce8e5p-14, -0x1.9451d4c1cf377p-14, -0x1.8f7345e0ae7fcp-14, -0x1.8a91d58aa3c61p-14, -0x1.85adecbcd927dp-14, -0x1.80c7f17f21b2p-14, -0x1.7be046f6a7a9dp-14, -0x1.76f74d79210ap-14, -0x1.720d629e4c72cp-14, -0x1.6d22e151c03fap-14, -0x1.683821e3f2032p-14, -0x1.634d7a1ac77a4p-14, -0x1.5e633d41c57fcp-14, -0x1.5979bc3a1590fp-14, -0x1.5491458996af7p-14, -0x1.4faa2569df4ffp-14, -0x1.4ac4a5d6f22dfp-14, -0x1.45e10e9d1b505p-14, -0x1.40ffa56703a2ep-14, -0x1.3c20adcab9f31p-14, -0x1.374469572c83fp-14, -0x1.326b17a0a63fep-14, -0x1.2d94f64d48225p-14, -0x1.28c241210654bp-14, -0x1.23f332093b30ap-14, -0x1.1f28012850987p-14, -0x1.1a60e4e0acb36p-14, -0x1.159e11dfbebacp-14, -0x1.10dfbb2875899p-14, -0x1.0c26121d4a72p-14, -0x1.0771468ab03c7p-14, -0x1.02c186b06c5dap-14, -0x1.fc2dfe960b3abp-15, -0x1.f2e3b73b154b3p-15, -0x1.e9a48af4015a3p-15, -0x1.e070ca94d5c96p-15, -0x1.d748c4327357dp-15, -0x1.ce2cc33399bc7p-15, -0x1.c51d1060758dp-15, -0x1.bc19f1f2ed18cp-15, -0x1.b323aba5ea37ep-15, -0x1.aa3a7ec45a3e1p-15, -0x1.a15eaa3795e2fp-15, -0x1.98906a961cc0cp-15, -0x1.8fcffa30d232dp-15, -0x1.871d912111a76p-15, -0x1.7e79655545c2bp-15, -0x1.75e3aa9e7bb58p-15, -0x1.6d5c92bc9974dp-15, -0x1.64e44d6a51a74p-15, -0x1.5c7b0869e1549p-15, -0x1.5420ef8f995fap-15, -0x1.4bd62cce0c18dp-15, -0x1.439ae840ccc32p-15, -0x1.3b6f4837428d5p-15, -0x1.3353713f8f006p-15, -0x1.2b47863012fc7p-15, -0x1.234ba8325a31ep-15, -0x1.1b5ff6cc30ca7p-15, -0x1.13848fe98bd64p-15, -0x1.0bb98fe5cf3bfp-15, -0x1.03ff1195134c7p-15, -0x1.f8aa5c9970b6ap-16, -0x1.e977fbd8f815dp-16, -0x1.da672dcdc40a7p-16, -0x1.cb781c928319ep-16, -0x1.bcaaef87cdbfap-16, -0x1.adffcb650cc3cp-16, -0x1.9f76d24668149p-16, -0x1.911023bd4d473p-16, -0x1.82cbdcde7075p-16, -0x1.74aa185087ba2p-16, -0x1.66aaee5a654b7p-16, -0x1.58ce74f13b576p-16, -0x1.4b14bfc4e04b5p-16, -0x1.3d7de04ee23afp-16, -0x1.3009e5dded358p-16, -0x1.22b8dda385859p-16, -0x1.158ad2bf9b6b6p-16, -0x1.087fce4dc00e6p-16, -0x1.f72faedf4a793p-17, -0x1.dda5e6b3a8841p-17, -0x1.c4624abd365edp-17, -0x1.ab64ddf380929p-17, -0x1.92ad9fb549a64p-17, -0x1.7a3c8bdec3ca3p-17, -0x1.62119adf6fb77p-17, -0x1.4a2cc1ccafc5p-17, -0x1.328df27782077p-17, -0x1.1b351b80504eep-17, -0x1.04222868cc596p-17, -0x1.daaa0351989ap-18, -0x1.ad9b197deb132p-18, -0x1.8117588af651p-18, -0x1.551e8001a8e08p-18, -0x1.29b049e8ffe24p-18, -0x1.fd98d5c7f2c85p-19, -0x1.a8e524a8dc87dp-19, -0x1.5544d4fa2f47ap-19, -0x1.02b7314669f0bp-19, -0x1.6276f4a9f9f29p-20, -0x1.83439dc4e6dafp-21, -0x1.176a6a3ed450cp-23, 0x1.e6a118844c537p-22, 0x1.1420b2e7b4405p-20, 0x1.ac7dd1bc95ae4p-20, 0x1.2160c5fd9b64fp-19, 0x1.6b76eda0011eap-19, 0x1.b48264792ad03p-19, 0x1.fc8436ee0f874p-19, 0x1.21bebc70b5711p-18, 0x1.44b7a2bea31a1p-18, 0x1.672d5f8086c56p-18, 0x1.89208744d766bp-18, 0x1.aa91b1f5025b9p-18, 0x1.cb817ab870f1dp-18, 0x1.ebf07fdefdfb8p-18, 0x1.05efb16415eb5p-17, 0x1.15a763e6a88a9p-17, 0x1.251fab14d410cp-17, 0x1.3458dbf216c08p-17, 0x1.43534cdd45a4cp-17, 0x1.520f55851b919p-17, 0x1.608d4edd65a97p-17, 0x1.6ecd9315d5ffep-17, 0x1.7cd07d8e8c676p-17, 0x1.8a966acea39d5p-17, 0x1.981fb879a8e4dp-17, 0x1.a56cc54622915p-17, 0x1.b27df0f3e4205p-17, 0x1.bf539c4315074p-17, 0x1.cbee28ea5c736p-17, 0x1.d84df98dccb58p-17, 0x1.e47371b5f2b59p-17, 0x1.f05ef5c69a756p-17, 0x1.fc10eaf7ba18bp-17, 0x1.03c4dba5567c4p-16, 0x1.0964e0c19addp-16, 0x1.0ee8b88f767p-16, 0x1.1450972685134p-16, 0x1.199cb0f326c9dp-16, 0x1.1ecd3ab2794f2p-16, 0x1.23e2696eca00fp-16, 0x1.28dc727bb4eafp-16, 0x1.2dbb8b724a4f1p-16, 0x1.327fea2d4cad2p-16, 0x1.3729c4c5acc34p-16, 0x1.3bb9518f02ac2p-16, 0x1.402ec7141c9b4p-16, 0x1.448a5c136f55bp-16, 0x1.48cc477bd9887p-16, 0x1.4cf4c06950c88p-16, 0x1.5103fe2152c3ep-16, 0x1.54fa381025f98p-16, 0x1.58d7a5c5401b4p-16, 0x1.5c9c7ef081baap-16, 0x1.6048fb5f384fbp-16, 0x1.63dd52f8ac3dp-16, 0x1.6759bdbbb51d8p-16, 0x1.6abe73bb80b58p-16, 0x1.6e0bad1d22355p-16, 0x1.7141a21428e2ap-16, 0x1.74608ae056449p-16, 0x1.77689fcaf6a2fp-16, 0x1.7a5a1924542e9p-16, 0x1.7d352f409448cp-16, 0x1.7ffa1a75d290ap-16, 0x1.82a913191bb58p-16, 0x1.8542517c6a40bp-16, 0x1.87c60dec02af2p-16, 0x1.8a3480ac2c7f2p-16, 0x1.8c8de1f6e6eb7p-16, 0x1.8ed269f99e5ecp-16, 0x1.910250d2be985p-16, 0x1.931dce900e937p-16, 0x1.95251b2c084e1p-16, 0x1.97186e8c0ff0ap-16, 0x1.98f8007e530cap-16, 0x1.9ac408b788dfp-16, 0x1.9c7cbed1631d4p-16, 0x1.9e225a4870ce8p-16, 0x1.9fb5127a32dc7p-16, 0x1.a1351ea344198p-16, 0x1.a2a2b5dd990dcp-16, 0x1.a3fe0f1e9540ep-16, 0x1.a54761359c741p-16, 0x1.a67ee2ca3cd12p-16, 0x1.a7a4ca5a4d92bp-16, 0x1.a8b94e388c7dbp-16, 0x1.a9bca48b00457p-16, 0x1.aaaf03497ef68p-16, 0x1.ab90a03c06fc4p-16, 0x1.ac61b0f958486p-16, 0x1.ad226ae58b506p-16, 0x1.add3033090442p-16, 0x1.ae73aed4d80f4p-16, 0x1.af04a29610cf6p-16, 0x1.af8612ffc8596p-16, 0x1.aff834643fbe6p-16, 0x1.b05b3adaea824p-16, 0x1.b0af5a3f73206p-16, 0x1.b0f4c630b06edp-16, 0x1.b12bb20f194d1p-16, 0x1.b15450fc094aap-16, 0x1.b16ed5d86555bp-16, 0x1.b17b7343ccecfp-16, 0x1.b17a5b9b5ae88p-16, 0x1.b16bc0f8c4a83p-16, 0x1.b14fd531891bap-16, 0x1.b126c9d5c6714p-16, 0x1.b0f0d02f4687ep-16, 0x1.b0ae1940d598ep-16, 0x1.b05ed5c55c5b7p-16, 0x1.b003362ef1817p-16, 0x1.af9b6aa637967p-16, 0x1.af27a3095f5b1p-16, 0x1.aea80eeb98604p-16, 0x1.ae1cdd94496d6p-16, 0x1.ad863dfe6fd03p-16, 0x1.ace45ed7ea7fbp-16, 0x1.ac376e80c8d8bp-16, }}, 
      {{-0x1.ea4c586ddc4fp-1, -0x1.ea334d037ef6cp-1, -0x1.ea081a5ebb32ap-1, -0x1.e9c8e43ffbbebp-1, -0x1.e973897a21943p-1, -0x1.e905e5d7198f1p-1, -0x1.e87e054e9d927p-1, -0x1.e7da478e55cf9p-1, -0x1.e7197544bccd8p-1, -0x1.e63ac9abcbff8p-1, -0x1.e53df30d9d598p-1, -0x1.e4230ccd2d833p-1, -0x1.e2ea951d660d1p-1, -0x1.e1956023f0b38p-1, -0x1.e02489de6287dp-1, -0x1.de9967c6fed22p-1, -0x1.dcf57aecc37c4p-1, -0x1.db3a62f7df388p-1, -0x1.d969d2664aaabp-1, -0x1.d7858429c24e8p-1, -0x1.d58f32b6c5157p-1, -0x1.d3889081c40adp-1, -0x1.d17341dabbd21p-1, -0x1.cf50d80ee7e2fp-1, -0x1.cd22cdb307b56p-1, -0x1.caea83f5fd1cp-1, -0x1.c8a940dac8df2p-1, -0x1.c6602e3975337p-1, -0x1.c41059680e8b6p-1, -0x1.c1bab36ee8a52p-1, -0x1.bf6011adfbb83p-1, -0x1.bd012edbd901dp-1, -0x1.ba9eac4973dfbp-1, -0x1.b8391358acf14p-1, -0x1.b5d0d7161d937p-1, -0x1.b36655e8fcc9ep-1, -0x1.b0f9db4e2259bp-1, -0x1.ae8ba19521cbfp-1, -0x1.ac1bd3982e2ffp-1, -0x1.a9aa8e68fd5c4p-1, -0x1.a737e2ee2cce2p-1, -0x1.a4c3d76dcfdbap-1, -0x1.a24e6902ba374p-1, -0x1.9fd78cfaeea16p-1, -0x1.9d5f321e39babp-1, -0x1.9ae541dc9083dp-1, -0x1.9869a16438b21p-1, -0x1.95ec32a016fd2p-1, -0x1.936cd51ec4255p-1, -0x1.90eb66e3429e6p-1, -0x1.8e67c5204b29fp-1, -0x1.8be1ccdf4c45ep-1, -0x1.89595b943f951p-1, -0x1.86ce4f9f875dep-1, -0x1.844088bf094cap-1, -0x1.81afe86fb50f6p-1, -0x1.7f1c5240a6eccp-1, -0x1.7c85ac1906663p-1, -0x1.79ebde71bc93bp-1, -0x1.774ed4840eb85p-1, -0x1.74ae7c6e1bb5cp-1, -0x1.720ac74e2e0aap-1, -0x1.6f63a955c979bp-1, -0x1.6cb919d54347cp-1, -0x1.6a0b1340b3c55p-1, -0x1.6759932ef68fap-1, -0x1.64a49a536698cp-1, -0x1.61ec2c72f6ef8p-1, -0x1.5f3050553a49ep-1, -0x1.5c710fb1e36cdp-1, -0x1.59ae771b379ap-1, -0x1.56e895e5eb167p-1, -0x1.541f7e0ec96bep-1, -0x1.5153441e90bfcp-1, -0x1.4e83ff0c4ef98p-1, -0x1.4bb1c81e991f1p-1, -0x1.48dcbacbd9d08p-1, -0x1.4604f49a02186p-1, -0x1.432a94fdce0b2p-1, -0x1.404dbd39d70a6p-1, -0x1.3d6e903d9f37ep-1, -0x1.3a8d3284c1d92p-1, -0x1.37a9c9f66ba43p-1, -0x1.34c47dc53c294p-1, -0x1.31dd764fae411p-1, -0x1.2ef4dd011e5f7p-1, -0x1.2c0adc3383e63p-1, -0x1.291f9f11f3ad2p-1, -0x1.2633517bf616cp-1, -0x1.23461fe9c19eep-1, -0x1.205837516358cp-1, -0x1.1d69c50cdc9dbp-1, -0x1.1a7af6c13e80cp-1, -0x1.178bfa46c6fb9p-1, -0x1.149cfd920321ap-1, -0x1.11ae2e9df7029p-1, -0x1.0ebfbb574e4fap-1, -0x1.0bd1d18892e87p-1, -0x1.08e49ec768de6p-1, -0x1.05f85062ccdbp-1, -0x1.030d13525163ep-1, -0x1.00231426593a7p-1, -0x1.fa74fdf28890ep-2, -0x1.f4a6fec327726p-2, -0x1.eedc80c9e82c1p-2, -0x1.e915d8d8639cdp-2, -0x1.e3535a70142d4p-2, -0x1.dd9557adae0aep-2, -0x1.d7dc21361932cp-2, -0x1.d2280625032f9p-2, -0x1.cc7953fcf6f3p-2, -0x1.c6d05698f4313p-2, -0x1.c12d581f6b6b6p-2, -0x1.bb90a0f69ea83p-2, -0x1.b5fa77ba4ab56p-2, -0x1.b06b213297a03p-2, -0x1.aae2e04c3671ap-2, -0x1.a561f611a83a3p-2, -0x1.9fe8a1a5994f7p-2, -0x1.9a77203e48d2p-2, -0x1.950dad21ea026p-2, -0x1.8fac81a3f77a2p-2, -0x1.8a53d5236874fp-2, -0x1.8503dd09bc482p-2, -0x1.7fbccccad1ecdp-2, -0x1.7a7ed5e57d179p-2, -0x1.754a27e4cf31bp-2, -0x1.701ef0620b689p-2, -0x1.6afd5b0735fcp-2, -0x1.65e5919239871p-2, -0x1.60d7bbd895805p-2, -0x1.5bd3ffcb8fc9ap-2, -0x1.56da817cda5cbp-2, -0x1.51eb6323aadf4p-2, -0x1.4d06c52237d05p-2, -0x1.482cc60b92f26p-2, -0x1.435d82a9dcfd1p-2, -0x1.3e991604c7982p-2, -0x1.39df99685e95ep-2, -0x1.3531246c1396cp-2, -0x1.308dccfa065e7p-2, -0x1.2bf5a756809d7p-2, -0x1.2768c627a0cacp-2, -0x1.22e73a7d30f78p-2, -0x1.1e7113d89f80fp-2, -0x1.1a066035199f1p-2, -0x1.15a72c0fc0573p-2, -0x1.1153826ff1a97p-2, -0x1.0d0b6cefa90dap-2, -0x1.08cef3c3e84afp-2, -0x1.049e1dc53025bp-2, -0x1.0078f077fb3f1p-2, -0x1.f8bee02a8463fp-3, -0x1.f0a33f25f4d0ap-3, -0x1.e89f01592f289p-3, -0x1.e0b227d7099c3p-3, -0x1.d8dcb15f3297bp-3, -0x1.d11e9a6efd2c1p-3, -0x1.c977dd521e843p-3, -0x1.c1e872334baebp-3, -0x1.ba704f2cb2777p-3, -0x1.b30f68585457cp-3, -0x1.abc5afe0380fcp-3, -0x1.a493160e7026p-3, -0x1.9d77895cf64cfp-3, -0x1.9672f68555867p-3, -0x1.8f85489022241p-3, -0x1.88ae68e440856p-3, -0x1.81ee3f55f1c83p-3, -0x1.7b44b235abb2p-3, -0x1.74b1a65eb76cep-3, -0x1.6e34ff459393p-3, -0x1.67ce9f061a699p-3, -0x1.617e66716eef7p-3, -0x1.5b44351ba7f33p-3, -0x1.551fe9693cb4ep-3, -0x1.4f11609c3314fp-3, -0x1.491876e10e6d7p-3, -0x1.4335075b7f167p-3, -0x1.3d66ec32cb8c5p-3, -0x1.37adfe9dfea69p-3, -0x1.320a16efd2145p-3, -0x1.2c7b0ca259832p-3, -0x1.2700b66265a5cp-3, -0x1.219aea1ab273ap-3, -0x1.1c497cfec8e2p-3, -0x1.170c4395a30a4p-3, -0x1.11e311c416428p-3, -0x1.0ccdbad6f5153p-3, -0x1.07cc118cf487bp-3, -0x1.02dde820512a3p-3, -0x1.fc0620a072728p-4, -0x1.f276b6d3eb4e8p-4, -0x1.e90d34a3a5e08p-4, -0x1.dfc93b17a1822p-4, -0x1.d6aa6a8830e2cp-4, -0x1.cdb062ae587d2p-4, -0x1.c4dac2b3d6d93p-4, -0x1.bc29294299078p-4, -0x1.b39b3493d8e94p-4, -0x1.ab30827eb2403p-4, -0x1.a2e8b08656fc7p-4, -0x1.9ac35be7cf6eep-4, -0x1.92c021a750c0fp-4, -0x1.8ade9e9d2a388p-4, -0x1.831e6f8241e52p-4, -0x1.7b7f30fc3220cp-4, -0x1.74007fa8feeabp-4, -0x1.6ca1f82a66759p-4, -0x1.65633730d0992p-4, -0x1.5e43d985df448p-4, -0x1.57437c169d208p-4, -0x1.5061bbfd554a8p-4, -0x1.499e368b08e48p-4, -0x1.42f8895092241p-4, -0x1.3c7052276c6d3p-4, -0x1.36052f3a28562p-4, -0x1.2fb6bf0c8a85bp-4, -0x1.2984a0835b3a7p-4, -0x1.236e72ebe2f5ep-4, -0x1.1d73d6031a19dp-4, -0x1.179469fc8ac3fp-4, -0x1.11cfcf88e8991p-4, -0x1.0c25a7dc6015ap-4, -0x1.069594b49b474p-4, -0x1.011f385e83abfp-4, -0x1.f7846b777ab28p-5, -0x1.ecfc608fc5435p-5, -0x1.e2a5983af4786p-5, -0x1.d87f5bf564a0bp-5, -0x1.ce88f68bb5892p-5, -0x1.c4c1b4234afe2p-5, -0x1.bb28e24252db8p-5, -0x1.b1bdcfd75e0acp-5, -0x1.a87fcd4085bf4p-5, -0x1.9f6e2c52277f3p-5, -0x1.9688405d35dbfp-5, -0x1.8dcd5e3521601p-5, -0x1.853cdc3563e58p-5, -0x1.7cd61246a2b8ap-5, -0x1.749859e377029p-5, -0x1.6c830e1cdb134p-5, -0x1.64958b9e3e4cfp-5, -0x1.5ccf30b141ce2p-5, -0x1.552f5d41215ddp-5, -0x1.4db572ddce969p-5, -0x1.4660d4beb8ae1p-5, -0x1.3f30e7c54b0d8p-5, -0x1.3825127f2207ap-5, -0x1.313cbd27f6b8dp-5, -0x1.2a7751ab4a2b1p-5, -0x1.23d43ba5c1a8cp-5, -0x1.1d52e8665607p-5, -0x1.16f2c6ef314efp-5, -0x1.10b347f65b24ep-5, -0x1.0a93dde6268f1p-5, -0x1.0493fcdd6ba92p-5, -0x1.fd66355f09a79p-6, -0x1.f1e15dc83c4d6p-6, -0x1.e698656d97c62p-6, -0x1.db8a422cf2477p-6, -0x1.d0b5ed493d383p-6, -0x1.c61a6368a3ddbp-6, -0x1.bbb6a4924ff71p-6, -0x1.b189b42be2588p-6, -0x1.a79298f6900c4p-6, -0x1.9dd05d0bfb317p-6, -0x1.94420ddac4c85p-6, -0x1.8ae6bc22d062ap-6, -0x1.81bd7bf14c03cp-6, -0x1.78c5649c75271p-6, -0x1.6ffd90bf1fd97p-6, -0x1.67651e3406f05p-6, -0x1.5efb2e10e1238p-6, -0x1.56bee4a142156p-6, -0x1.4eaf696148affp-6, -0x1.46cbe6f81fc51p-6, -0x1.3f138b3250f13p-6, -0x1.378586fbe90c5p-6, -0x1.30210e5a7803cp-6, -0x1.28e55866e7e38p-6, -0x1.21d19f4730b07p-6, -0x1.1ae52027edfffp-6, -0x1.141f1b35c7872p-6, -0x1.0d7ed396cfcfp-6, -0x1.07038f63b30fep-6, -0x1.00ac97a0d9614p-6, -0x1.f4f2706ed550cp-7, -0x1.e8d17fdc81dcep-7, -0x1.dcf500c57348ep-7, -0x1.d15b9c030f366p-7, -0x1.c603fffec22fbp-7, -0x1.baece0a3508e6p-7, -0x1.b014f74e02cbp-7, -0x1.a57b02bfbf808p-7, -0x1.9b1dc70e03a8dp-7, -0x1.90fc0d93ccc6dp-7, -0x1.8714a4e277cdep-7, -0x1.7d6660b283e38p-7, -0x1.73f019d44f7fdp-7, -0x1.6ab0ae20d155ap-7, -0x1.61a7006a3c1d7p-7, -0x1.58d1f86cac3b4p-7, -0x1.503082bec4805p-7, -0x1.47c190c24dbdbp-7, -0x1.3f841894e1e12p-7, -0x1.3777150085328p-7, -0x1.2f99856c5a726p-7, -0x1.27ea6dcd480dcp-7, -0x1.2068d696b5ceep-7, -0x1.1913ccab4da66p-7, -0x1.11ea614dc3ea6p-7, -0x1.0aebaa11b3d96p-7, -0x1.0416c0cc83fecp-7, -0x1.fad5870cc1186p-8, -0x1.edcda8d6789ffp-8, -0x1.e1143377db5a3p-8, -0x1.d4a77b7eb9367p-8, -0x1.c885dd6781aaep-8, -0x1.bcadbd7ff22cep-8, -0x1.b11d87c9efba6p-8, -0x1.a5d3afde8a0b3p-8, -0x1.9aceb0d14c2a5p-8, -0x1.900d0d13849e3p-8, -0x1.858d4e5807288p-8, -0x1.7b4e0576ef17ap-8, -0x1.714dca51b7285p-8, -0x1.678b3bb77f017p-8, -0x1.5e04ff4987daep-8, -0x1.54b9c15ffa531p-8, -0x1.4ba834eed635ap-8, -0x1.42cf136b2bb8dp-8, -0x1.3a2d1cb09e79bp-8, -0x1.31c116e7001dcp-8, -0x1.2989ce68624cbp-8, -0x1.218615a740dedp-8, -0x1.19b4c514f65b6p-8, -0x1.1214bb08837f4p-8, -0x1.0aa4dba588dep-8, -0x1.036410c38da31p-8, -0x1.f8a293ab036d6p-9, -0x1.ead6f7a32938ap-9, -0x1.dd63423287893p-9, -0x1.d04572c35698ep-9, -0x1.c37b93385bfcep-9, -0x1.b703b7beb831ep-9, -0x1.aadbfea0203e2p-9, -0x1.9f029015dcec2p-9, -0x1.93759e1c2ad96p-9, -0x1.883364463ca59p-9, -0x1.7d3a2792d010ep-9, -0x1.728836413b01bp-9, -0x1.681be7a7147b5p-9, -0x1.5df39c0660be5p-9, -0x1.540dbc646d0e3p-9, -0x1.4a68ba6107c8bp-9, -0x1.4103100e5d6f8p-9, -0x1.37db3fc95bad7p-9, -0x1.2eefd412b82cep-9, -0x1.263f5f685ba2bp-9, -0x1.1dc87c1f69593p-9, -0x1.1589cc3ee33bbp-9, -0x1.0d81f95aaeb4dp-9, -0x1.05afb46f4540dp-9, -0x1.fc236b7bccf43p-10, -0x1.ed4d795275791p-10, -0x1.dedb1f253e77ep-10, -0x1.d0c9f76fa39bap-10, -0x1.c317aa2282294p-10, -0x1.b5c1ec61a026p-10, -0x1.a8c680423d33dp-10, -0x1.9c23348aaae3dp-10, -0x1.8fd5e472cf384p-10, -0x1.83dc7765f10adp-10, -0x1.7834e0c4f989fp-10, -0x1.6cdd1faa50aabp-10, -0x1.61d33eae25b11p-10, -0x1.571553ac085c7p-10, -0x1.4ca17f896462ep-10, -0x1.4275edfcbc537p-10, -0x1.3890d5561a17dp-10, -0x1.2ef0764834bbp-10, -0x1.25931bb2a2271p-10, -0x1.1c771a6cec511p-10, -0x1.139ad112734f4p-10, -0x1.0afca7cf50236p-10, -0x1.029b102dfb6dcp-10, -0x1.f4e909cbfafefp-11, -0x1.e50f135673d36p-11, -0x1.d5a555fcb68f8p-11, -0x1.c6a8fbfb93f2p-11, -0x1.b817406f7f69ap-11, -0x1.a9ed6ef9ddacfp-11, -0x1.9c28e368588f3p-11, -0x1.8ec7095d55507p-11, -0x1.81c55bfa702afp-11, -0x1.7521658c3ff6bp-11, -0x1.68d8bf37adc62p-11, -0x1.5ce910a8e73d3p-11, -0x1.51500fc38ea3p-11, -0x1.460b8054db061p-11, -0x1.3b1933c68a77ep-11, -0x1.307708d3c1e11p-11, -0x1.2622eb3f48494p-11, -0x1.1c1ad38ad1031p-11, -0x1.125cc6afe83afp-11, -0x1.08e6d5da3d736p-11, -0x1.ff6e3c465f208p-12, -0x1.ed97909d4cbf6p-12, -0x1.dc4611123b69ap-12, -0x1.cb763c4e7b01p-12, -0x1.bb24a6cccc782p-12, -0x1.ab4dfa5d5f0cp-12, -0x1.9beef5abe244dp-12, -0x1.8d046bc84735ap-12, -0x1.7e8b43b1c4e6bp-12, -0x1.708077e3edeb4p-12, -0x1.62e115e689efp-12, -0x1.55aa3ddf3b151p-12, -0x1.48d92225796a3p-12, -0x1.3c6b06d8fb63cp-12, -0x1.305d4179d5eb3p-12, -0x1.24ad388312043p-12, -0x1.19586306fae66p-12, -0x1.0e5c484dd7c97p-12, -0x1.03b67f763a905p-12, -0x1.f2c95e2f94babp-13, -0x1.dec919ce8f331p-13, -0x1.cb67baba68d98p-13, -0x1.b8a0e6bb7ca24p-13, -0x1.a6705fc5e409bp-13, -0x1.94d20350bb412p-13, -0x1.83c1c9b17863fp-13, -0x1.733bc57a79ef4p-13, -0x1.633c22dcf41c8p-13, -0x1.53bf270e6eab1p-13, -0x1.44c12fb1300edp-13, -0x1.363eb240a523dp-13, -0x1.28343b7fa7296p-13, -0x1.1a9e6eeb717fep-13, -0x1.0d7a06303c098p-13, -0x1.00c3d0a1c9f35p-13, -0x1.e8f1656d1971fp-14, -0x1.d12b4b0b2daadp-14, -0x1.ba2f6c8f3fc1p-14, -0x1.a3f80bb5092bcp-14, -0x1.8e7f908f7ed94p-14, -0x1.79c0889b71646p-14, -0x1.65b5a5d639a8ap-14, -0x1.5259bdda91616p-14, -0x1.3fa7c902a0d9p-14, -0x1.2d9ae18dad0f8p-14, -0x1.1c2e42cc8403ep-14, -0x1.0b5d4850e3e6dp-14, -0x1.f646da453a6e9p-15, -0x1.d6f895f2927dbp-15, -0x1.b8c732f3758fcp-15, -0x1.9baa5af16c876p-15, -0x1.7f99f083111bdp-15, -0x1.648e0dc0cc476p-15, -0x1.4a7f02e45ce09p-15, -0x1.316554ee20238p-15, -0x1.1939bc5304e2ap-15, -0x1.01f523b289668p-15, -0x1.d7214d293fecep-16, -0x1.ac0b205c0762ep-16, -0x1.829ab458ffe7cp-16, -0x1.5ac3571646dffp-16, -0x1.3478aed731b24p-16, -0x1.0faeb7f140c6ap-16, -0x1.d8b3853425d71p-17, -0x1.94dce18b4115cp-17, -0x1.53c3682107511p-17, -0x1.1551976ce41e8p-17, -0x1.b2e50a51b940ep-18, -0x1.4023b4ecf34bp-18, -0x1.a46f402cd2d7fp-19, -0x1.a3e9542fbf591p-20, -0x1.119b67b1ae885p-24, 0x1.7021cb71088b3p-20, 0x1.702b4cc7b3d6fp-19, 0x1.10038b081526cp-18, 0x1.63f389704bafcp-18, 0x1.b4061b4646f77p-18, 0x1.002d68b713be3p-17, 0x1.24882d0e3e12cp-17, 0x1.472243621b881p-17, 0x1.680a28f3c8b48p-17, 0x1.874df25a3c723p-17, 0x1.a4fb4e46bcf19p-17, 0x1.c11f8833eb853p-17, 0x1.dbc78b04f4205p-17, 0x1.f4ffe39294663p-17, 0x1.066a619620f24p-16, 0x1.11a9010146dd4p-16, 0x1.1c4190c46cffp-16, 0x1.2639a76235bcap-16, 0x1.2f96b245ba39cp-16, 0x1.385df6dd1b85ep-16, 0x1.409493aaa3b24p-16, 0x1.483f815170cb8p-16, 0x1.4f639397cc07ap-16, 0x1.56057a6758fdfp-16, 0x1.5c29c2c256e07p-16, 0x1.61d4d7b76f545p-16, 0x1.670b034afce5bp-16, 0x1.6bd06f5c5ba1bp-16, 0x1.7029268649cc1p-16, 0x1.741914f76f9e8p-16, 0x1.77a4094696628p-16, 0x1.7acdb5415bfp-16, 0x1.7d99aeb56066ep-16, 0x1.800b7034890f8p-16, 0x1.822659d3ee765p-16, 0x1.83edb1e5457aap-16, 0x1.8564a5ada6a04p-16, 0x1.868e4a148cfcfp-16, 0x1.876d9c500602ep-16, 0x1.8805828d320fdp-16, 0x1.8858cc922a832p-16, 0x1.886a345d6a1e8p-16, 0x1.883c5ec0619cep-16, 0x1.87d1dbf5f4918p-16, 0x1.872d28357a34bp-16, 0x1.8650ac41240c1p-16, 0x1.853ebdf09fb8ep-16, 0x1.83f9a0b999761p-16, 0x1.82838631f1effp-16, 0x1.80de8e91318dfp-16, 0x1.7f0cc92d08f64p-16, 0x1.7d1034f305514p-16, 0x1.7aeac0de3bf6bp-16, 0x1.789e4c6a5a21cp-16, 0x1.762ca804cb5fdp-16, 0x1.739795787aa6fp-16, 0x1.70e0c858df479p-16, 0x1.6e09e668573a1p-16, 0x1.6b1487fdae4b7p-16, 0x1.68023864a644p-16, 0x1.64d4763e50f08p-16, 0x1.618cb3dc8687p-16, 0x1.5e2c579c7a81cp-16, 0x1.5ab4bc3e2b97ap-16, 0x1.57273139de2f9p-16, 0x1.5384fb124a4fbp-16, 0x1.4fcf53a6415c8p-16, 0x1.4c076a7e1ddccp-16, 0x1.482e6518772b1p-16, 0x1.44455f346c577p-16, 0x1.404d6b194f75ap-16, 0x1.3c4791dd7f3aap-16, 0x1.3834d3aa09b54p-16, 0x1.341627fd48bbap-16, 0x1.2fec7deb24ab6p-16, 0x1.2bb8bc5c949abp-16, 0x1.277bc24b5b211p-16, 0x1.233666fe9cbcbp-16, 0x1.1ee97a4370849p-16, 0x1.1a95c4a5d2d94p-16, 0x1.163c07a66bffdp-16, 0x1.11dcfdf0101e2p-16, 0x1.0d795b8b2f08fp-16, 0x1.0911ce0f952a9p-16, 0x1.04a6fcd54adedp-16, 0x1.00398923e554cp-16, 0x1.f7941cc09ee45p-17, 0x1.eeb24473b8d12p-17, 0x1.e5cea9aa7a46cp-17, 0x1.dcea61ee63f4p-17, 0x1.d4067859c5678p-17, 0x1.cb23ede8fea56p-17, 0x1.c243b9c70cf05p-17, 0x1.b966c998e1b88p-17, 0x1.b08e01c6bfb39p-17, 0x1.a7ba3dc36305p-17, 0x1.9eec50509c8fdp-17, 0x1.962503c2ecc1ap-17, 0x1.8d651a4254fe8p-17, 0x1.84ad4e0a2e4bp-17, 0x1.7bfe51a630d2bp-17, 0x1.7358d02e4b5a8p-17, 0x1.6abd6d810f867p-17, 0x1.622cc67bb831dp-17, 0x1.59a7713166045p-17, 0x1.512dfd1fe1eb6p-17, 0x1.48c0f363dee28p-17, 0x1.4060d6eabebd7p-17, 0x1.380e24a339bedp-17, 0x1.2fc953adbacf3p-17, 0x1.2792d589368d1p-17, 0x1.1f6b1640b02adp-17, 0x1.17527c964e473p-17, 0x1.0f496a2dc4b5ep-17, 0x1.07503bb4eb0efp-17, 0x1.fece9217c2c97p-18, 0x1.ef1dcad758cf4p-18, 0x1.df8ebf167362dp-18, 0x1.d0220388f6d2ap-18, 0x1.c0d8246ec03fdp-18, 0x1.b1b1a5d860a46p-18, 0x1.a2af03eaa44ep-18, 0x1.93d0b31ed3e38p-18, 0x1.85172080c0313p-18, 0x1.7682b1ed9c0b5p-18, 0x1.6813c64d9faeep-18, 0x1.59cab5cebc39p-18, 0x1.4ba7d21c23c06p-18, 0x1.3dab669463f48p-18, 0x1.2fd5b87e83ac1p-18, 0x1.2227073d628efp-18, 0x1.149f8c808795dp-18, 0x1.073f7c752321cp-18, 0x1.f40e0be991aa9p-19, 0x1.d9eca56639058p-19, 0x1.c01b0ed2598adp-19, 0x1.a6998801c54a7p-19, 0x1.8d68477d8c24cp-19, 0x1.74877ad33568fp-19, 0x1.5bf746e65bec1p-19, 0x1.43b7c839dd964p-19, 0x1.2bc9133adf992p-19, 0x1.142b34891ee61p-19, 0x1.f9bc62761fb14p-20, 0x1.cbc40e462f8a7p-20, 0x1.9e6d5a1f7e95ep-20, 0x1.71b8261ab213ep-20, 0x1.45a44543840dp-20, 0x1.1a317e13cbfb7p-20, 0x1.debf15cecaafbp-21, 0x1.8a5c34dc9cccdp-21, 0x1.3739a02e45031p-21, 0x1.caad11faec6c3p-22, 0x1.29641750fb132p-22, 0x1.152cc1e84a086p-23, -0x1.1be271945f1c2p-26, -0x1.57377803cf887p-23, -0x1.4304bc96c5e6ap-22, -0x1.d7fba9f96f2b7p-22, -0x1.3541931ce35c2p-21, -0x1.7d4ef9858e3c3p-21, -0x1.c427783cfd255p-21, -0x1.04e646ee2ce59p-20, -0x1.271fe37712c11p-20, -0x1.48c15eaf6b7f3p-20, -0x1.69cb8bf6a35d5p-20, -0x1.8a3f44cc4c22ap-20, -0x1.aa1d688e958aap-20, -0x1.c966dc3651eb6p-20, -0x1.e81c8a18176cfp-20, -0x1.031fb0d22eec1p-19, -0x1.11e82b95f9e8p-19, -0x1.206831d2b281p-19, -0x1.2ea042399477fp-19, -0x1.3c90dd975b7bp-19, -0x1.4a3a86b7e69f5p-19, -0x1.579dc24dcef7ep-19, -0x1.64bb16d7ed8efp-19, -0x1.71930c88bcf42p-19, -0x1.7e262d2fc9acfp-19, -0x1.8a75042122bfap-19, -0x1.96801e1fceb32p-19, -0x1.a2480948e03d2p-19, -0x1.adcd54fc6343fp-19, -0x1.b91091cac7563p-19, -0x1.c4125160239e7p-19, -0x1.ced326716a03dp-19, -0x1.d953a4a930cd4p-19, -0x1.e3946096ae512p-19, -0x1.ed95ef9afa7fap-19, -0x1.f758e7d8b8a9bp-19, -0x1.006ef0116d594p-18, -0x1.0512b7f6d2eefp-18, -0x1.0998179f4d6cbp-18, -0x1.0dff5b4ebe6c7p-18, -0x1.1248cf82e3b0ep-18, -0x1.1674c0ec5cfb8p-18, -0x1.1a837c67b22c8p-18, -0x1.1e754ef6a85c6p-18, -0x1.224a85ba18f34p-18, -0x1.26036deb2e429p-18, -0x1.29a054d5ee77bp-18, -0x1.2d2187d2ddf44p-18, -0x1.308754419a1afp-18, -0x1.33d2078380377p-18, -0x1.3701eef5b2b3bp-18, -0x1.3a1757ecde804p-18, -0x1.3d128faf7c3d1p-18, -0x1.3ff3e3717918bp-18, -0x1.42bba04f51035p-18, -0x1.456a1349761fdp-18, -0x1.47ff8940179d3p-18, -0x1.4a7c4eeec6d65p-18, -0x1.4ce0b0e866855p-18, -0x1.4f2cfb92f964bp-18, -0x1.51617b244b01ap-18, -0x1.537e7b9dfc0b8p-18, -0x1.558448c9b4f93p-18, -0x1.57732e360f6bap-18, -0x1.594b7732f2e7fp-18, -0x1.5b0d6ece803e7p-18, -0x1.5cb95fd1ec833p-18, -0x1.5e4f94be878d6p-18, -0x1.5fd057ca883cbp-18, -0x1.613bf2deedbcbp-18, -0x1.6292af93dbab8p-18, -0x1.63d4d72eaf3e7p-18, -0x1.6502b29f47786p-18, -0x1.661c8a7da4b57p-18, -0x1.6722a70767a4cp-18, -0x1.6815501dd692dp-18, -0x1.68f4cd4391228p-18, -0x1.69c1659a7ff97p-18, -0x1.6a7b5fe1bae97p-18, -0x1.6b230273d7baap-18, -0x1.6bb89344f73e8p-18, -0x1.6c3c57e0d58dfp-18, -0x1.6cae956950be5p-18, -0x1.6d0f9094dc904p-18, -0x1.6d5f8dac9cc4cp-18, -0x1.6d9ed08b469cbp-18, -0x1.6dcd9c9b776b7p-18, -0x1.6dec34d693c84p-18, -0x1.6dfadbc30bae3p-18, -0x1.6df9d373c7c6ep-18, -0x1.6de95d867ba9dp-18, -0x1.6dc9bb22957bcp-18, -0x1.6d9b2cf86d41p-18, -0x1.6d5df340155bcp-18, -0x1.6d124db84d0d1p-18, -0x1.6cb87ba5dfa02p-18, -0x1.6c50bbd28db1ap-18, -0x1.6bdb4c8c5c375p-18, -0x1.6b586ba4e6fb9p-18, -0x1.6ac8567089e28p-18, -0x1.6a2b49c5c904p-18, -0x1.698181fc93042p-18, -0x1.68cb3aedeea3dp-18, -0x1.6808aff33d62fp-18, -0x1.673a1be5e0b57p-18, -0x1.665fb91e9696p-18, -0x1.6579c1754e005p-18, -0x1.64886e40b63e7p-18, -0x1.638bf855b897cp-18, -0x1.62849807699e3p-18, -0x1.61728526bb5bap-18, -0x1.6055f70228946p-18, -0x1.5f2f24658bd9bp-18, -0x1.5dfe439a1402p-18, -0x1.5cc38a65f9388p-18, -0x1.5b7f2e0c89182p-18, -0x1.5a31634e05863p-18, -0x1.58da5e6793b09p-18, -0x1.577a531332417p-18, -0x1.56117487f0b61p-18, -0x1.549ff579b28ddp-18, -0x1.532608197758ep-18, -0x1.51a3de1559db1p-18, -0x1.5019a898d2ea2p-18, -0x1.4e87984cba018p-18, -0x1.4ceddd577e9dfp-18, -0x1.4b4ca75d4bb13p-18, -0x1.49a42580626dp-18, -0x1.47f486613c8fbp-18, -0x1.463df81ecbcd5p-18, -0x1.4480a856ee419p-18, -0x1.42bcc4268739ap-18, -0x1.40f27829d63f8p-18, -0x1.3f21f07cf432p-18, -0x1.3d4b58bc141e6p-18, -0x1.3b6edc03e78e9p-18, -0x1.398ca4f20f854p-18, -0x1.37a4dda58b767p-18, -0x1.35b7afbf00783p-18, -0x1.33c544614c428p-18, -0x1.31cdc431efd44p-18, -0x1.2fd15759a0244p-18, -0x1.2dd02584a0ec2p-18, -0x1.2bca55e34f4cp-18, -0x1.29c00f2ac8635p-18, -0x1.27b1779563d01p-18, -0x1.259eb4e32d079p-18, -0x1.2387ec5a667b1p-18, -0x1.216d42c83dbcep-18, -0x1.1f4edc814d348p-18, -0x1.1d2cdd6243011p-18, -0x1.1b0768d07c54ep-18, -0x1.18dea1ba9d5adp-18, -0x1.16b2aa991d014p-18, -0x1.1483a56ef7adcp-18, -0x1.1251b3ca6e9fep-18, -0x1.101cf6c58dae3p-18, -0x1.0de58f06da3aep-18, -0x1.0bab9cc216e96p-18, -0x1.096f3fb8ebf19p-18, -0x1.0730973b7e28ap-18, -0x1.04efc2293427p-18, -0x1.02acdef164a97p-18, -0x1.00680b9413a59p-18, -0x1.fc42cb45663a7p-19, -0x1.f7b21481a0b0cp-19, -0x1.f31e2c4976233p-19, -0x1.ee874b30d5c91p-19, -0x1.e9eda8f43a827p-19, -0x1.e5517c7a5693bp-19, -0x1.e0b2fbd564e09p-19, -0x1.dc125c44dd4dap-19, -0x1.d76fd236ee551p-19, -0x1.d2cb914a189e9p-19, -0x1.ce25cc4ea6d9ap-19, -0x1.c97eb54809586p-19, -0x1.c4d67d6eb5ad7p-19, -0x1.c02d55316325ep-19, -0x1.bb836c36f1518p-19, -0x1.b6d8f15ffb88ep-19, -0x1.b22e12c83642dp-19, -0x1.ad82fdc7ed465p-19, -0x1.a8d7def5f3ff7p-19, -0x1.a42ce2291f143p-19, -0x1.9f82327993515p-19, -0x1.9ad7fa42ab9eep-19, -0x1.962e6324c3dd3p-19, -0x1.9185960693ec5p-19, -0x1.8cddbb16dc8f3p-19, -0x1.8836f9cdd32a9p-19, -0x1.839178ef01f66p-19, -0x1.7eed5e8aa1dep-19, -0x1.7a4acfff822fcp-19, -0x1.75a9f1fcbbd75p-19, -0x1.710ae882fcd4bp-19, -0x1.6c6dd6e61b2e6p-19, -0x1.67d2dfcef92bcp-19, -0x1.633a253d2589p-19, -0x1.5ea3c88859157p-19, -0x1.5a0fea61fb3c5p-19, -0x1.557eaad6c07e4p-19, -0x1.50f02950cd814p-19, -0x1.4c648498e2d2ep-19, -0x1.47dbdad7e4e6bp-19, -0x1.43564998b0bfcp-19, -0x1.3ed3edc97946bp-19, -0x1.3a54e3bd71de2p-19, -0x1.35d9472ebe246p-19, -0x1.3161333faf94ep-19, -0x1.2cecc27c79e95p-19, -0x1.287c0edccb3c5p-19, -0x1.240f31c53204cp-19, -0x1.1fa64408fcb34p-19, -0x1.1b415debaaa16p-19, -0x1.16e09722765e9p-19, -0x1.128406d5fba81p-19, }}, 
      {{0x1.9c97fc80a3385p-16, 0x1.9cb86664a5ca5p-14, 0x1.d0c6288490677p-13, 0x1.9e02bd58aba96p-12, 0x1.449988c7cae1ep-11, 0x1.d5d41df50dce6p-11, 0x1.41e0de3b0b773p-10, 0x1.a7c615696b1adp-10, 0x1.0e9496cec8e9bp-9, 0x1.5140d725547eap-9, 0x1.9c0f14d2d4af6p-9, 0x1.ef0b0326dc767p-9, 0x1.250fae6625457p-8, 0x1.568926b790e5fp-8, 0x1.8bc1c999a88b1p-8, 0x1.c476159283f1cp-8, 0x1.0027d3f03b741p-7, 0x1.1f732330cf2e7p-7, 0x1.3fe0ab21b5f3ap-7, 0x1.612cd1cf9e513p-7, 0x1.830db0755d3d9p-7, 0x1.a534241c2a43fp-7, 0x1.c74ce5b5acb8ep-7, 0x1.e901a1cb0a528p-7, 0x1.04fd04a7f0fb2p-6, 0x1.14ee6b3fbe653p-6, 0x1.242860f0bfacbp-6, 0x1.327eb253a4dap-6, 0x1.3fc6034200404p-6, 0x1.4bd42af721e33p-6, 0x1.56808532e2d7ep-6, 0x1.5fa4387113d02p-6, 0x1.671a717f2487ap-6, 0x1.6cc094e38b595p-6, 0x1.707666a8c6a6p-6, 0x1.721e2932b4511p-6, 0x1.719cb3d164bfcp-6, 0x1.6ed981cacfaa9p-6, 0x1.69beba957aa6cp-6, 0x1.623933fb1f788p-6, 0x1.58386ed42718cp-6, 0x1.4bae8f04a89eep-6, 0x1.3c904f59fa38dp-6, 0x1.2ad4f1dd6464ap-6, 0x1.16762d25a17ep-6, 0x1.fee02e4bddf8cp-7, 0x1.cb821bdcf0cc4p-7, 0x1.92d33d8f09f5fp-7, 0x1.54d8d80d16d0ap-7, 0x1.119c23e5a2556p-7, 0x1.92542c185b633p-8, 0x1.ee4c9e6a44194p-9, 0x1.4758ea52cd382p-10, -0x1.75b98783d5bd3p-10, -0x1.16741fa07cadep-8, -0x1.d9024fb596771p-8, -0x1.526db3705ff1bp-7, -0x1.bcdeb393a9fdap-7, -0x1.15d8919e281dep-6, -0x1.4f6014873dc1cp-6, -0x1.8af2a3acaaac3p-6, -0x1.c87c452311348p-6, -0x1.03f42d09e79f5p-5, -0x1.2490d9f7c999cp-5, -0x1.460954548de7dp-5, -0x1.685292fbb0fbfp-5, -0x1.8b6161d04907bp-5, -0x1.af2a6a683faf9p-5, -0x1.d3a23c3f6375ap-5, -0x1.f8bd5474e6ab2p-5, -0x1.0f38128b2c809p-4, -0x1.22578dfdbdecfp-4, -0x1.35b7549b46d24p-4, -0x1.4951a28e722fep-4, -0x1.5d20baf5e12f4p-4, -0x1.711eea86abb92p-4, -0x1.85468a00fd558p-4, -0x1.99920078c4972p-4, -0x1.adfbc574690b5p-4, -0x1.c27e62e36b4a9p-4, -0x1.d71476eedcf8fp-4, -0x1.ebb8b5a54ce63p-4, -0x1.0032f5420db98p-3, -0x1.0a8b7cefd6015p-3, -0x1.14e371160db87p-3, -0x1.1f385e9401ee4p-3, -0x1.2987e075550b6p-3, -0x1.33cfa06b7b2abp-3, -0x1.3e0d573a4ea1ap-3, -0x1.483ecd18434d4p-3, -0x1.5261da02e5ecbp-3, -0x1.5c74660820eacp-3, -0x1.66746984e5cd5p-3, -0x1.705fed59aafffp-3, -0x1.7a350b153bc29p-3, -0x1.83f1ed165fef2p-3, -0x1.8d94cea4bfdd9p-3, -0x1.971bfc017258fp-3, -0x1.a085d26fa9a2ep-3, -0x1.a9d0c035dda37p-3, -0x1.b2fb4497d5ca3p-3, -0x1.bc03efc9f6049p-3, -0x1.c4e962de2c082p-3, -0x1.cdaa4faadb0ddp-3, -0x1.d64578ac0f006p-3, -0x1.deb9b0df65f36p-3, -0x1.e705db9aed741p-3, -0x1.ef28ec5f50119p-3, -0x1.f721e6a5a4074p-3, -0x1.feefdda921699p-3, -0x1.0348fa1689b1bp-2, -0x1.0703ae1fa6533p-2, -0x1.0aa7ab7baec0bp-2, -0x1.0e349a1970e84p-2, -0x1.11aa29278d55fp-2, -0x1.15080ef011f15p-2, -0x1.184e08b2f9eebp-2, -0x1.1b7bda7fbafb9p-2, -0x1.1e914f0df6833p-2, -0x1.218e37956e46fp-2, -0x1.24726ba556ac1p-2, -0x1.273dc8fb2275bp-2, -0x1.29f03358e2bdbp-2, -0x1.2c89945b4a21ap-2, -0x1.2f09db4f79d68p-2, -0x1.3170fd089d0a2p-2, -0x1.33bef3b57783dp-2, -0x1.35f3beb5ea972p-2, -0x1.380f627094ebap-2, -0x1.3a11e8288ca76p-2, -0x1.3bfb5dd35336cp-2, -0x1.3dcbd5ef04e5p-2, -0x1.3f836758df89p-2, -0x1.41222d242209ap-2, -0x1.42a8467154feep-2, -0x1.4415d6460bd4dp-2, -0x1.456b036521f4dp-2, -0x1.46a7f8278126fp-2, -0x1.47cce25577536p-2, -0x1.48d9f300a551cp-2, -0x1.49cf5e5e8e3f5p-2, -0x1.4aad5ba3c91eep-2, -0x1.4b7424dfdd8e8p-2, -0x1.4c23f6d9d0691p-2, -0x1.4cbd10ed61a56p-2, -0x1.4d3fb4e9020c6p-2, -0x1.4dac26ec7e21ep-2, -0x1.4e02ad4868ceep-2, -0x1.4e43905e3ec3dp-2, -0x1.4e6f1a8146875p-2, -0x1.4e8597d8343c2p-2, -0x1.4e87563f85ae1p-2, -0x1.4e74a52ca0c38p-2, -0x1.4e4dd591acd9dp-2, -0x1.4e1339c22cc46p-2, -0x1.4dc525585182fp-2, -0x1.4d63ed1b07e32p-2, -0x1.4cefe6e4c33fap-2, -0x1.4c69698af749cp-2, -0x1.4bd0ccc64ef17p-2, -0x1.4b26691b91e6bp-2, -0x1.4a6a97c53ae8ap-2, -0x1.499db29dbcaefp-2, -0x1.48c0140a7258ep-2, -0x1.47d216e735ab2p-2, -0x1.46d41672a0d3dp-2, -0x1.45c66e3aed307p-2, -0x1.44a97a0b74cf5p-2, -0x1.437d95dad081bp-2, -0x1.42431db990becp-2, -0x1.40fa6dc18abc9p-2, -0x1.3fa3e205bd452p-2, -0x1.3e3fd682c47abp-2, -0x1.3ccea70fd9785p-2, -0x1.3b50af5061c2cp-2, -0x1.39c64aa601c95p-2, -0x1.382fd423374d8p-2, -0x1.368da67e73c59p-2, -0x1.34e01c05b95ecp-2, -0x1.33278e92af2f8p-2, -0x1.3164577f33324p-2, -0x1.2f96cf9a613cfp-2, -0x1.2dbf4f1e0cc2cp-2, -0x1.2bde2da4af933p-2, -0x1.29f3c21fc225cp-2, -0x1.280062ce863ffp-2, -0x1.26046535341efp-2, -0x1.24001e1495246p-2, -0x1.21f3e161ffb56p-2, -0x1.1fe0023fb6efcp-2, -0x1.1dc4d2f5a80c8p-2, -0x1.1ba2a4ea89d61p-2, -0x1.1979c89d54856p-2, -0x1.174a8d9f1194ap-2, -0x1.1515428d07edep-2, -0x1.12da350b38961p-2, -0x1.1099b1bf311a8p-2, -0x1.0e54044b2e7abp-2, -0x1.0c0977498e5b3p-2, -0x1.09ba54488ef1ep-2, -0x1.0766e3c65864cp-2, -0x1.050f6d2d54019p-2, -0x1.02b436d0c56d2p-2, -0x1.005585e9adb6fp-2, -0x1.fbe73d27e6efep-3, -0x1.f71d879791ec2p-3, -0x1.f24e6ed6aea61p-3, -0x1.ed7a74515221ep-3, -0x1.e8a217279aa58p-3, -0x1.e3c5d42a7bec8p-3, -0x1.dee625d8f78dep-3, -0x1.da03845dc6d96p-3, -0x1.d51e658d7a936p-3, -0x1.d0373ce4fd34ap-3, -0x1.cb4e7b8883ff2p-3, -0x1.c6649042e61b1p-3, -0x1.c179e78552b43p-3, -0x1.bc8eeb676b5d1p-3, -0x1.b7a403a7b9ecfp-3, -0x1.b2b995ac80168p-3, -0x1.add00484dfd59p-3, -0x1.a8e7b0ea5bd26p-3, -0x1.a400f942a1a8dp-3, -0x1.9f1c39a1aec87p-3, -0x1.9a39cbcc3c946p-3, -0x1.955a073a75854p-3, -0x1.907d411af7b2dp-3, -0x1.8ba3cc561956p-3, -0x1.86cdf9916e62bp-3, -0x1.81fc173395607p-3, -0x1.7d2e71683c8f3p-3, -0x1.78655224649e9p-3, -0x1.73a1012add72bp-3, -0x1.6ee1c410f8916p-3, -0x1.6a27de4372187p-3, -0x1.6573910b8cb8p-3, -0x1.60c51b9457e61p-3, -0x1.5c1cbaf02e5d1p-3, -0x1.577aaa1e5607bp-3, -0x1.52df2210cf6c3p-3, -0x1.4e4a59b24caccp-3, -0x1.49bc85ec4c986p-3, -0x1.4535d9ad58eaep-3, -0x1.40b685ef64375p-3, -0x1.3c3eb9be4cc46p-3, -0x1.37cea23e7646bp-3, -0x1.33666ab384278p-3, -0x1.2f063c8729c88p-3, -0x1.2aae3f501368dp-3, -0x1.265e98d8e7aadp-3, -0x1.22176d2759d0dp-3, -0x1.1dd8de8350346p-3, -0x1.19a30d7e18d0bp-3, -0x1.157618f9b0462p-3, -0x1.11521e30144c4p-3, -0x1.0d3738baa356ap-3, -0x1.09258299817fap-3, -0x1.051d143b0d496p-3, -0x1.011e048356206p-3, -0x1.fa50d1a73592bp-4, -0x1.f278aa239868dp-4, -0x1.eab3b7602263ap-4, -0x1.e3021b6899943p-4, -0x1.db63f57f4aeecp-4, -0x1.d3d9622c1538dp-4, -0x1.cc627b4b7234ap-4, -0x1.c4ff581d6ff7ap-4, -0x1.bdb00d54ac03p-4, -0x1.b674ad253b02cp-4, -0x1.af4d475387c05p-4, -0x1.a839e9431cf96p-4, -0x1.a13a9e0564a84p-4, -0x1.9a4f6e684ce94p-4, -0x1.93786104d43e5p-4, -0x1.8cb57a4d8de8bp-4, -0x1.8606bc9cf9391p-4, -0x1.7f6c2843cc623p-4, -0x1.78e5bb971b957p-4, -0x1.727372fe65344p-4, -0x1.6c1549017d1c9p-4, -0x1.65cb3656573cp-4, -0x1.5f9531eeb089bp-4, -0x1.59733105952a6p-4, -0x1.5365272cbdf1ap-4, -0x1.4d6b0659cfa0cp-4, -0x1.4784bef369c4dp-4, -0x1.41b23fde16714p-4, -0x1.3bf376890c6a1p-4, -0x1.36484efac87ep-4, -0x1.30b0b3dd7c7aap-4, -0x1.2b2c8e8b53bbp-4, -0x1.25bbc71a8aad3p-4, -0x1.205e446959a84p-4, -0x1.1b13ec29b3f4cp-4, -0x1.15dca2ecd6a13p-4, -0x1.10b84c2eab5b3p-4, -0x1.0ba6ca60fa611p-4, -0x1.06a7fef6712c9p-4, -0x1.01bbca6d7348p-4, -0x1.f9c418b582e55p-5, -0x1.f03546e7daccp-5, -0x1.e6cadb333d9fap-5, -0x1.dd848fc34db9fp-5, -0x1.d4621d41c3f5dp-5, -0x1.cb633ae9dc4b1p-5, -0x1.c2879e9b4fb67p-5, -0x1.b9cefcecfc269p-5, -0x1.b139093f26babp-5, -0x1.a8c575cd5365p-5, -0x1.a073f3bfc8d06p-5, -0x1.9844333cabc64p-5, -0x1.9035e378b91eep-5, -0x1.8848b2c7a4eafp-5, -0x1.807c4eac1285fp-5, -0x1.78d063e73458ap-5, -0x1.71449e8805928p-5, -0x1.69d8a9fa2a853p-5, -0x1.628c3114725a4p-5, -0x1.5b5ede26fb31ep-5, -0x1.54505b08f9049p-5, -0x1.4d60512622183p-5, -0x1.468e698bbd843p-5, -0x1.3fda4cf56122cp-5, -0x1.3943a3d94702ep-5, -0x1.32ca16745c7c6p-5, -0x1.2c6d4cd5e75b4p-5, -0x1.262ceeeae7248p-5, -0x1.2008a48912c73p-5, -0x1.1a001579888cep-5, -0x1.1412e9832b5ap-5, -0x1.0e40c874aa6f8p-5, -0x1.08895a2e38f3ep-5, -0x1.02ec46aafc4dp-5, -0x1.fad26c1437aa1p-6, -0x1.efffa12f2c4d9p-6, -0x1.e55f7da97ce98p-6, -0x1.daf15300d61ecp-6, -0x1.d0b4733dd0eb8p-6, -0x1.c6a8310327775p-6, -0x1.bccbdf9c7022dp-6, -0x1.b31ed30c3dc8p-6, -0x1.a9a06019c203dp-6, -0x1.a04fdc5ddc6ebp-6, -0x1.972c9e4fa7a5dp-6, -0x1.8e35fd5086f67p-6, -0x1.856b51b7b3431p-6, -0x1.7ccbf4dd3b2b9p-6, -0x1.74574124a7babp-6, -0x1.6c0c9206ff3a8p-6, -0x1.63eb441c70c6dp-6, -0x1.5bf2b525829e5p-6, -0x1.54224413c76a9p-6, -0x1.4c7951122d7f3p-6, -0x1.44f73d8cd678dp-6, -0x1.3d9b6c3899024p-6, -0x1.3665411a011f3p-6, -0x1.2f54218bfd6ep-6, -0x1.286774461ea2ep-6, -0x1.219ea16280759p-6, -0x1.1af9126349015p-6, -0x1.14763237d51bbp-6, -0x1.0e156d4185ac6p-6, -0x1.07d63158345a4p-6, -0x1.01b7edce5ad15p-6, -0x1.f77426e9bfeb1p-7, -0x1.ebb8293d2df44p-7, -0x1.e03aca46e65a8p-7, -0x1.d4faf4c6c362cp-7, -0x1.c9f79691d8a6ap-7, -0x1.bf2fa097184fcp-7, -0x1.b4a206e365f54p-7, -0x1.aa4dc0a51e248p-7, -0x1.a031c82f32f43p-7, -0x1.964d1afbb0983p-7, -0x1.8c9eb9adcd25bp-7, -0x1.8325a8138ec93p-7, -0x1.79e0ed26d896p-7, -0x1.70cf930e39684p-7, -0x1.67f0a71d32435p-7, -0x1.5f4339d40948cp-7, -0x1.56c65edf5217ap-7, -0x1.4e792d16fe8bdp-7, -0x1.465abe7d1ff88p-7, -0x1.3e6a303c4ce86p-7, -0x1.36a6a2a5a2f14p-7, -0x1.2f0f392e84f9cp-7, -0x1.27a31a6dee417p-7, -0x1.20617019a671dp-7, -0x1.19496702f2619p-7, -0x1.125a2f132e521p-7, -0x1.0b92fb47fd7ffp-7, -0x1.04f301af53b35p-7, -0x1.fcf2f6c65fb85p-8, -0x1.f04b490a5302ap-8, -0x1.e3ed787352a46p-8, -0x1.d7d80946134ebp-8, -0x1.cc0985b8e9bbfp-8, -0x1.c0807de914462p-8, -0x1.b53b87cfdccep-8, -0x1.aa393f3708bcfp-8, -0x1.9f7845ad6064bp-8, -0x1.94f7427a722dbp-8, -0x1.8ab4e292730cap-8, -0x1.80afd889a485ep-8, -0x1.76e6dc876207ap-8, -0x1.6d58ac3924b16p-8, -0x1.64040ac51c263p-8, -0x1.5ae7c0bcbafbdp-8, -0x1.52029c0efbabbp-8, -0x1.49536ffa4e89ap-8, -0x1.40d914feb74cdp-8, -0x1.389268cf66956p-8, -0x1.307e4e44640d5p-8, -0x1.289bad4c042f2p-8, -0x1.20e972dc47cf9p-8, -0x1.196690e41ab89p-8, -0x1.1211fe3c69744p-8, -0x1.0aeab6994ebc4p-8, -0x1.03efba7af6e25p-8, -0x1.fa401e3d2dd96p-9, -0x1.ecf57cdec0a3bp-9, -0x1.dffdadee690e7p-9, -0x1.d356d79f14c3fp-9, -0x1.c6ff29245a6p-9, -0x1.baf4da9408856p-9, -0x1.af362cc79d4e5p-9, -0x1.a3c1693dd7127p-9, -0x1.9894e1fc3b0a7p-9, -0x1.8daef17098031p-9, -0x1.830dfa52c4bcp-9, -0x1.78b0678644f22p-9, -0x1.6e94abfc084eap-9, -0x1.64b94294496cap-9, -0x1.5b1cae008f367p-9, -0x1.51bd78a5a9c1p-9, -0x1.489a347e05d9ep-9, -0x1.3fb17afbf5e2ap-9, -0x1.3701ecec458b7p-9, -0x1.2e8a3258bc1aap-9, -0x1.2648fa6b24aefp-9, -0x1.1e3cfb5016e56p-9, -0x1.1664f21a63506p-9, -0x1.0ebfa2a655b62p-9, -0x1.074bd77d5c13ap-9, -0x1.000861b9ce46ep-9, -0x1.f1e831d5de47dp-10, -0x1.e41bb5f279d5dp-10, -0x1.d6a91815d12bap-10, -0x1.c98e2cd11e073p-10, -0x1.bcc8d4c4505cep-10, -0x1.b056fc68c2afdp-10, -0x1.a4369bdb8d96ap-10, -0x1.9865b6a9b3p-10, -0x1.8ce25b9bb4d9cp-10, -0x1.81aaa4820e057p-10, -0x1.76bcb602921c9p-10, -0x1.6c16bf659729bp-10, -0x1.61b6fa6476c7fp-10, -0x1.579baaf82fe8cp-10, -0x1.4dc31f286deeap-10, -0x1.442baedbbc65dp-10, -0x1.3ad3bba7c71e9p-10, -0x1.31b9b0a24f8d8p-10, -0x1.28dc0232c44c6p-10, -0x1.20392de4871fp-10, -0x1.17cfba3961216p-10, -0x1.0f9e367d1f12bp-10, -0x1.07a33a996a6c4p-10, -0x1.ffbacdd46fc29p-11, -0x1.f096c825cf4b5p-11, -0x1.e1d7c5a7e3c34p-11, -0x1.d37b37c24973bp-11, -0x1.c57e9f71230f6p-11, -0x1.b7df8cf400c79p-11, -0x1.aa9b9f7d71636p-11, -0x1.9db084e59d909p-11, -0x1.911bf95ae6f87p-11, -0x1.84dbc716efef4p-11, -0x1.78edc6129cce2p-11, -0x1.6d4fdbbbfbb01p-11, -0x1.61fffaadc99d5p-11, -0x1.56fc2267660d7p-11, -0x1.4c425f0649454p-11, -0x1.41d0c90048f88p-11, -0x1.37a584df23a84p-11, -0x1.2dbec2fde7cedp-11, -0x1.241abf4617f22p-11, -0x1.1ab7c0ee9c539p-11, -0x1.11941a3cbe5e6p-11, -0x1.08ae284439391p-11, -0x1.000452aa34228p-11, -0x1.ef2a16cfe07fp-12, -0x1.debd9d1fae969p-12, -0x1.cec0442453cefp-12, -0x1.bf2f2b0844593p-12, -0x1.b00783ce6366dp-12, -0x1.a14692e30cb59p-12, -0x1.92e9aeaec6582p-12, -0x1.84ee3f2c15099p-12, -0x1.7751bd7de6ec7p-12, -0x1.6a11b388c9022p-12, -0x1.5d2bbb8e43e08p-12, -0x1.509d7fc949c53p-12, -0x1.4464ba0db1229p-12, -0x1.387f336776e12p-12, -0x1.2ceac3beabe23p-12, -0x1.21a5517b77ad3p-12, -0x1.16acd12b6c6f4p-12, -0x1.0bff452a6927bp-12, -0x1.019abd4c0b7fp-12, -0x1.eefaad0ec4271p-13, -0x1.db4a75468ad1bp-13, -0x1.c8213fcbd3cadp-13, -0x1.b57b91899fe26p-13, -0x1.a356072f72b09p-13, -0x1.91ad5496c1f5dp-13, -0x1.807e442f35ac1p-13, -0x1.6fc5b66d3d459p-13, -0x1.5f80a1382d203p-13, -0x1.4fac0f61b1949p-13, -0x1.40452019f60bfp-13, -0x1.3149066b5d88ep-13, -0x1.22b508b7040bdp-13, -0x1.14868033ef385p-13, -0x1.06bad872bd31bp-13, -0x1.f29f1dc54a79cp-14, -0x1.d88464b2567ap-14, -0x1.bf20c53a82c5ap-14, -0x1.a66f9fe9446fp-14, -0x1.8e6c75679ced4p-14, -0x1.7712e5a0be8bbp-14, -0x1.605eaeee94438p-14, -0x1.4a4bad46d7e5fp-14, -0x1.34d5d96fe327bp-14, -0x1.1ff94839095bbp-14, -0x1.0bb229b78c947p-14, -0x1.eff991159f783p-15, -0x1.c9ab123d49f7bp-15, -0x1.a471d1f80760bp-15, -0x1.8046fc26ad63bp-15, -0x1.5d23ec260aabp-15, -0x1.3b022b7dfde0bp-15, -0x1.19db7095cda8ep-15, -0x1.f3533aed998d5p-16, -0x1.b4cd7d2505f23p-16, -0x1.781a1326699cep-16, -0x1.3d2db86498c7cp-16, -0x1.03fd762f8f2e9p-16, -0x1.98fd42faaa97fp-17, -0x1.2d4db1979aee4p-17, -0x1.89b007e197acdp-18, -0x1.7e22423252e7ep-19, 0x1.59e5a8957498p-24, 0x1.87bebdfd4d4e5p-19, 0x1.7c7a7974624bp-18, 0x1.17ae18490061dp-17, 0x1.6e536f8ffbc16p-17, 0x1.c23dfb977d7b9p-17, 0x1.09bf0232a5ap-16, 0x1.3111b226cfcbp-16, 0x1.571ec596e7e37p-16, 0x1.7bedc0c2c92b8p-16, 0x1.9f85f5c18d52bp-16, 0x1.c1ee85fec7444p-16, 0x1.e32e63a2d4cc3p-16, 0x1.01a62981f2d9cp-15, 0x1.112775fb0c952p-15, 0x1.201e4d956162fp-15, 0x1.2e8dd1b730769p-15, 0x1.3c790f791b6c2p-15, 0x1.49e3003c60dccp-15, 0x1.56ce8a46dea6cp-15, 0x1.633e81518d1f1p-15, 0x1.6f35a71941355p-15, 0x1.7ab6abe80d9a1p-15, 0x1.85c42f1c6ef69p-15, 0x1.9060bfaaa9f4cp-15, 0x1.9a8edc9d64334p-15, 0x1.a450f58eb4f64p-15, 0x1.ada96b200acedp-15, 0x1.b69a8f6df02c3p-15, 0x1.bf26a680f9f23p-15, 0x1.c74fe6b7ae0ffp-15, 0x1.cf187935490bap-15, 0x1.d6827a4323049p-15, 0x1.dd8ff9b7b694dp-15, 0x1.e442fb5536546p-15, 0x1.ea9d77270a6b4p-15, 0x1.f0a159dca3c07p-15, 0x1.f65085210f416p-15, 0x1.fbaccfef2a45dp-15, 0x1.005c037274386p-14, 0x1.02b9f648d2db7p-14, 0x1.04f11ce290534p-14, 0x1.07024eec3ce8ep-14, 0x1.08ee5f7c0eb4dp-14, 0x1.0ab61d342812cp-14, 0x1.0c5a5264b4d51p-14, 0x1.0ddbc52d02ccdp-14, 0x1.0f3b379a8ea46p-14, 0x1.107967c7b6a75p-14, 0x1.11970ffa796e1p-14, 0x1.1294e6bf86befp-14, 0x1.13739f0716c19p-14, 0x1.1433e83f76d3fp-14, 0x1.14d66e6eab772p-14, 0x1.155bda4bcd3d9p-14, 0x1.15c4d156d73e2p-14, 0x1.1611f5f0534ddp-14, 0x1.1643e76fbac1bp-14, 0x1.165b423910226p-14, 0x1.16589fd2407c3p-14, 0x1.163c96f77e09cp-14, 0x1.1607bbae29ee8p-14, 0x1.15ba9f58c6efap-14, 0x1.1555d0c84be0bp-14, 0x1.14d9dc4e4a45dp-14, 0x1.14474bcdaf03fp-14, 0x1.139ea6cace336p-14, 0x1.12e0727c31dd3p-14, 0x1.120d31d8a0403p-14, 0x1.112565a68fc71p-14, 0x1.10298c89fcaap-14, 0x1.0f1a2311ecf52p-14, 0x1.0df7a3c640f09p-14, 0x1.0cc287336d682p-14, 0x1.0b7b43f7503c1p-14, 0x1.0a224eccac54p-14, 0x1.08b81a967ea91p-14, 0x1.073d186aa54acp-14, 0x1.05b1b79d45e26p-14, 0x1.041665c995892p-14, 0x1.026b8edc87e85p-14, 0x1.00b19d1dfdbe3p-14, 0x1.fdd1f2728c892p-15, 0x1.fa24148caf3bdp-15, 0x1.f65a6ba38c204p-15, 0x1.f275bfca8ecd2p-15, 0x1.ee76d61d9e994p-15, 0x1.ea5e70d0ab123p-15, 0x1.e62d4f3dc6ca2p-15, 0x1.e1e42df33304cp-15, 0x1.dd83c6bfd5584p-15, 0x1.d90cd0c0e43c1p-15, 0x1.d480006d7c90fp-15, 0x1.cfde07a27b9c8p-15, 0x1.cb2795ae5a1aep-15, 0x1.c65d575b27c3dp-15, 0x1.c17ff6f98cbeap-15, 0x1.bc901c6b15806p-15, 0x1.b78e6d2bb42ddp-15, 0x1.b27b8c5b0c4fap-15, 0x1.ad581ac56b4bfp-15, 0x1.a824b6ec764bcp-15, 0x1.a2e1fd0f89953p-15, 0x1.9d90873395798p-15, 0x1.9830ed2b18158p-15, 0x1.92c3c49d9ac53p-15, 0x1.8d49a10f120cep-15, 0x1.87c313e5e7f4p-15, 0x1.8230ac72af27cp-15, 0x1.7c92f7f5e266p-15, 0x1.76ea81a69df17p-15, 0x1.7137d2b8b236ap-15, 0x1.6b7b7261c33e5p-15, 0x1.65b5e5df60b9dp-15, 0x1.5fe7b07c6707ep-15, 0x1.5a1153969af47p-15, 0x1.54334ea2cfd96p-15, 0x1.4e4e1f32dc5bdp-15, 0x1.486240fa164c9p-15, 0x1.42702dd1a4bddp-15, 0x1.3c785dbcf8a58p-15, 0x1.367b46eee6e8ap-15, 0x1.30795dcd4d80ap-15, 0x1.2a7314f52a1e5p-15, 0x1.2468dd3ef59d8p-15, 0x1.1e5b25c238f39p-15, 0x1.184a5bd9c3e3ap-15, 0x1.1236eb273ab87p-15, 0x1.0c213d96d7e02p-15, 0x1.0609bb62dde89p-15, 0x1.ffe1962f69f54p-16, 0x1.f3ada32bd4ebfp-16, 0x1.e778642e0a2e7p-16, 0x1.db429c6122b3ep-16, 0x1.cf0d0bad70cd9p-16, 0x1.c2d86ec047d3p-16, 0x1.b6a57f10941cdp-16, 0x1.aa74f2e72d0a4p-16, 0x1.9e477d63c70ecp-16, 0x1.921dce838a902p-16, 0x1.85f89326b2e4p-16, 0x1.79d87516f4e6cp-16, 0x1.6dbe1b0c35f2ap-16, 0x1.61aa28b397798p-16, 0x1.559d3eb4fe3b3p-16, 0x1.4997fab85b833p-16, 0x1.3d9af76b6a69bp-16, 0x1.31a6cc87deeebp-16, 0x1.25bc0ed8638ecp-16, 0x1.19db503e8eb88p-16, 0x1.0e051fb817dd6p-16, 0x1.023a09652b4c9p-16, 0x1.ecf52d1addf8dp-17, 0x1.d58e9b4b2d716p-17, 0x1.be4164a80dd99p-17, 0x1.a70e8af05aaefp-17, 0x1.8ff70a5da07d7p-17, 0x1.78fbd9afaa1d9p-17, 0x1.621dea3629b8cp-17, 0x1.4b5e27dd8fc4p-17, 0x1.34bd7938b6e6p-17, 0x1.1e3cbf8c59246p-17, 0x1.07dcd6da9fbap-17, 0x1.e33d2bdd93f93p-18, 0x1.b7059cce6d94fp-18, 0x1.8b14997e2f016p-18, 0x1.5f6bb0b63d37p-18, 0x1.340c672879fe9p-18, 0x1.08f8378840103p-18, 0x1.bc612539cfc71p-19, 0x1.676dbeb26090ep-19, 0x1.1318f5e3cfcf7p-19, 0x1.7ecae3ce20741p-20, 0x1.b1571ac4bbcccp-21, 0x1.9ec7548abf227p-23, -0x1.bea0a0b1967f1p-22, -0x1.11d2f38dde5c9p-20, -0x1.b2a2e522646adp-20, -0x1.2909c77f9da5fp-19, -0x1.781053ad0e9fcp-19, -0x1.c6630415d27d5p-19, -0x1.09ffebb566babp-18, -0x1.30726ef3a4bafp-18, -0x1.56881c8e419b9p-18, -0x1.7c400de54f33fp-18, -0x1.a19964d70696fp-18, -0x1.c6934ba7ada38p-18, -0x1.eb2cf4eb4d7f3p-18, -0x1.07b2cdb736003p-17, -0x1.199e410f2ca5ap-17, -0x1.2b5879fa08994p-17, -0x1.3ce121ed39f1dp-17, -0x1.4e37e64b9c7b9p-17, -0x1.5f5c7859908c4p-17, -0x1.704e8d3149298p-17, -0x1.810dddb85942p-17, -0x1.919a26927b46bp-17, -0x1.a1f32816a7a36p-17, -0x1.b218a64390261p-17, -0x1.c20a68b256e08p-17, -0x1.d1c83a8b55f11p-17, -0x1.e151ea7b368efp-17, -0x1.f0a74aa6cb088p-17, -0x1.ffc8309f47dfdp-17, -0x1.075a3aabacb2ep-16, -0x1.0eb5fa8af53aep-16, -0x1.15f747b5825f8p-16, -0x1.1d1e13923760dp-16, -0x1.242a512128809p-16, -0x1.2b1bf4f52d36bp-16, -0x1.31f2f52ea109ep-16, -0x1.38af49758d162p-16, -0x1.3f50eaf3a59ecp-16, -0x1.45d7d44e36554p-16, -0x1.4c4401a090541p-16, -0x1.52957076920a9p-16, -0x1.58cc1fc6fd706p-16, -0x1.5ee80fed7ef5ap-16, -0x1.64e942a4e6e38p-16, -0x1.6acfbb0126364p-16, -0x1.709b7d6ab5e95p-16, -0x1.764c8f97a6bf8p-16, -0x1.7be2f887107c8p-16, -0x1.815ec07b22ebbp-16, -0x1.86bff0f331233p-16, -0x1.8c0694a685d0ap-16, -0x1.9132b77ec665cp-16, -0x1.96446692248b9p-16, -0x1.9b3bb01deb199p-16, -0x1.a018a381e9b55p-16, -0x1.a4db513a20f77p-16, -0x1.a983cad9b8971p-16, -0x1.ae1223054c3f1p-16, -0x1.b2866d6dc2bd9p-16, -0x1.b6e0becb585bep-16, -0x1.bb212cd7bab49p-16, -0x1.bf47ce491816dp-16, -0x1.c354bacd31ccp-16, -0x1.c7480b03f54ecp-16, -0x1.cb21d87a17ab4p-16, -0x1.cee23da3e6eadp-16, -0x1.d28955d891abap-16, -0x1.d6173d4d3514p-16, -0x1.d98c110f92231p-16, -0x1.dce7ef013b586p-16, -0x1.e02af5d283aa7p-16, -0x1.e35544fda5b1bp-16, -0x1.e666fcc21b1afp-16, -0x1.e9603e1f7bc3cp-16, -0x1.ec412ad1062c8p-16, -0x1.ef09e5489b677p-16, -0x1.f1ba90aa34166p-16, -0x1.f45350c749e09p-16, -0x1.f6d44a1a27b07p-16, -0x1.f93da1c1124fcp-16, -0x1.fb8f7d7a17776p-16, -0x1.fdca039ea6d45p-16, -0x1.ffed5b1ea8a03p-16, -0x1.00fcd5be4f6b1p-15, -0x1.01f78e648d748p-15, -0x1.02e6ebcefe5b1p-15, -0x1.03cb028d6f555p-15, -0x1.04a3e7702eae1p-15, -0x1.0571af85fadd1p-15, -0x1.0634701a34ffap-15, -0x1.06ec3eb270d3ep-15, -0x1.0799310c9a955p-15, -0x1.083b5d1cf6a82p-15, -0x1.08d2d90c2e3d8p-15, -0x1.095fbb355b3f5p-15, -0x1.09e21a23f8211p-15, -0x1.0a5a0c91fee47p-15, -0x1.0ac7a9663a8d7p-15, -0x1.0b2b07b21f89p-15, -0x1.0b843eb0119a1p-15, -0x1.0bd365c1b3dd4p-15, -0x1.0c18946dea41cp-15, -0x1.0c53e25f1c388p-15, -0x1.0c856761535bep-15, -0x1.0cad3b60f336dp-15, -0x1.0ccb7668a0708p-15, -0x1.0ce0309f946a8p-15, -0x1.0ceb8247ec8c1p-15, -0x1.0ced83bd573a5p-15, -0x1.0ce64d734ccccp-15, -0x1.0cd5f7f3275dp-15, -0x1.0cbc9bdafd803p-15, -0x1.0c9a51dbe6c34p-15, -0x1.0c6f32b877a3ap-15, -0x1.0c3b574330eadp-15, -0x1.0bfed85d30412p-15, -0x1.0bb9cef49b36fp-15, -0x1.0b6c54033e2f7p-15, -0x1.0b16808cf4887p-15, -0x1.0ab86d9e8ae4ap-15, -0x1.0a52344c28c42p-15, -0x1.09e3edb003408p-15, -0x1.096db2e93b605p-15, }}, 
      {{-0x1.4269864b1d56bp-8, -0x1.430882af96525p-7, -0x1.e6991ae5b3ad8p-7, -0x1.46c0b0ca3604cp-6, -0x1.9ccb8a7ec5dc2p-6, -0x1.f6506ad072a83p-6, -0x1.2a06b01f0e116p-5, -0x1.5b4411dfb2f39p-5, -0x1.8f029e69c58aap-5, -0x1.c543b47d145dap-5, -0x1.fdea7400b8d44p-5, -0x1.1c601d91313bfp-4, -0x1.3abd08e152c98p-4, -0x1.59df2a61688d5p-4, -0x1.7995145102302p-4, -0x1.99ab33b2b44abp-4, -0x1.b9edf002fc34cp-4, -0x1.da2b6b3821dfp-4, -0x1.fa34e213cb3e4p-4, -0x1.0cefd92517fbap-3, -0x1.1c83079f26129p-3, -0x1.2bc3b7d9bf0fap-3, -0x1.3aa45fad83ef9p-3, -0x1.491a2f7779699p-3, -0x1.571cfe70dada3p-3, -0x1.64a727de2fbbcp-3, -0x1.71b55d1b13e59p-3, -0x1.7e466ffc24deap-3, -0x1.8a5b18775c91cp-3, -0x1.95f5b8023ce63p-3, -0x1.a11a1c9eb7b4cp-3, -0x1.abcd45262040bp-3, -0x1.b615280439ce4p-3, -0x1.bff87d443261p-3, -0x1.c97e8c8d181e6p-3, -0x1.d2aeff72368d1p-3, -0x1.db91b84cf2f58p-3, -0x1.e42eadafed4aep-3, -0x1.ec8dca65490f7p-3, -0x1.f4b6d1d33c797p-3, -0x1.fcb14890cfeb3p-3, -0x1.02423074686cp-2, -0x1.061b7580805eap-2, -0x1.09e7a42b7efedp-2, -0x1.0da9b121467adp-2, -0x1.116451969e077p-2, -0x1.1519f918a2043p-2, -0x1.18ccd86a5a85fp-2, -0x1.1c7edd4d0a315p-2, -0x1.2031b31212001p-2, -0x1.23e6c3d7c3d43p-2, -0x1.279f3a551ea22p-2, -0x1.2b5c041aefc67p-2, -0x1.2f1dd4336f6a8p-2, -0x1.32e5260bd9fa2p-2, -0x1.36b24095e020dp-2, -0x1.3a853990eac54p-2, -0x1.3e5df8ed4c8c8p-2, -0x1.423c3c3d49fdap-2, -0x1.461f9a299d21dp-2, -0x1.4a0785e0a780dp-2, -0x1.4df35278eee25p-2, -0x1.51e23640b5866p-2, -0x1.55d34df5ae017p-2, -0x1.59c59fe0b7835p-2, -0x1.5db81ed275c81p-2, -0x1.61a9acfe542bap-2, -0x1.65991eb23499bp-2, -0x1.69853ce990c34p-2, -0x1.6d6cc7bb5ccf2p-2, -0x1.714e78a25cc9p-2, -0x1.7529049ff8412p-2, -0x1.78fb1e39ec6b7p-2, -0x1.7cc3775371679p-2, -0x1.8080c2e29b3cfp-2, -0x1.8431b682f1ad8p-2, -0x1.87d50be655438p-2, -0x1.8b69822558b63p-2, -0x1.8eeddef0614c9p-2, -0x1.9260efa2cf4bbp-2, -0x1.95c18a399716p-2, -0x1.990e8e2ea194dp-2, -0x1.9c46e53a55891p-2, -0x1.9f6983fcb3b7p-2, -0x1.a2756a8f542d8p-2, -0x1.a569a501acdd3p-2, -0x1.a8454bc0e13afp-2, -0x1.ab0783ec76d1ap-2, -0x1.adaf7f991ab45p-2, -0x1.b03c7e02bfeaap-2, -0x1.b2adcbaf34441p-2, -0x1.b502c2825320ep-2, -0x1.b73ac9c4e89f6p-2, -0x1.b955561f5105p-2, -0x1.bb51e988cea3ap-2, -0x1.bd30132c8c143p-2, -0x1.beef6f45305abp-2, -0x1.c08fa6efdea86p-2, -0x1.c2106ff77a1cep-2, -0x1.c3718c98e64p-2, -0x1.c4b2cb410bde3p-2, -0x1.c5d406454b9c3p-2, -0x1.c6d5239706428p-2, -0x1.c7b61472d7c39p-2, -0x1.c876d50c1a14ap-2, -0x1.c9176c35358c9p-2, -0x1.c997eb05455d7p-2, -0x1.c9f86c7b8362ep-2, -0x1.ca391520f3571p-2, -0x1.ca5a12a8adbefp-2, -0x1.ca5b9b8f333ap-2, -0x1.ca3deeb9202c8p-2, -0x1.ca01531190ce5p-2, -0x1.c9a617288a10ap-2, -0x1.c92c90d1a800cp-2, -0x1.c8951cc354f24p-2, -0x1.c7e01e36c7038p-2, -0x1.c70dfe88f53e2p-2, -0x1.c61f2cdcbc2ebp-2, -0x1.c5141dbe56e4cp-2, -0x1.c3ed4ac85d2dbp-2, -0x1.c2ab324a616c6p-2, -0x1.c14e56f156f5ap-2, -0x1.bfd73f71d60d4p-2, -0x1.be4676345a1a5p-2, -0x1.bc9c89038ebe3p-2, -0x1.bada08bcbc13fp-2, -0x1.b8ff89026654p-2, -0x1.b70d9ff127743p-2, -0x1.b504e5d6d1b83p-2, -0x1.b2e5f4ebe0eadp-2, -0x1.b0b1690f4149p-2, -0x1.ae67df846d6ffp-2, -0x1.ac09f6b3eac98p-2, -0x1.a9984dee1c8adp-2, -0x1.a713853072fe8p-2, -0x1.a47c3cecf0f01p-2, -0x1.a1d315d405789p-2, -0x1.9f18b0a0b07d6p-2, -0x1.9c4dade6f172p-2, -0x1.9972ade4732a5p-2, -0x1.96885053728a8p-2, -0x1.938f343fd0b1p-2, -0x1.9087f7de4d137p-2, -0x1.8d733865d89d6p-2, -0x1.8a5191eaf7b12p-2, -0x1.87239f3d2c725p-2, -0x1.83e9f9c654af8p-2, -0x1.80a5396bf773cp-2, -0x1.7d55f47272dd6p-2, -0x1.79fcbf61fbb4dp-2, -0x1.769a2ced65f8ap-2, -0x1.732ecddaa4c77p-2, -0x1.6fbb30ecf7f97p-2, -0x1.6c3fe2d0b8e78p-2, -0x1.68bd6e08baef9p-2, -0x1.65345add30c2dp-2, -0x1.61a52f4c06378p-2, -0x1.5e106efaaa383p-2, -0x1.5a769b2935072p-2, -0x1.56d832a6dda22p-2, -0x1.5335b1c7b8919p-2, -0x1.4f8f925ba9415p-2, -0x1.4be64ba682d1ep-2, -0x1.483a5259488aap-2, -0x1.448c188c7f6adp-2, -0x1.40dc0dbb8ab09p-2, -0x1.3d2a9ec1029fbp-2, -0x1.397835d3fe0dfp-2, -0x1.35c53a863fc12p-2, -0x1.321211c342c85p-2, -0x1.2e5f1dd013573p-2, -0x1.2aacbe4bf342cp-2, -0x1.26fb5031b5738p-2, -0x1.234b2dd9d04cep-2, -0x1.1f9caefd17a57p-2, -0x1.1bf028b818283p-2, -0x1.1845ed8f083d5p-2, -0x1.149e4d7247e3fp-2, -0x1.10f995c368717p-2, -0x1.0d58115aae94ep-2, -0x1.09ba088d0f0f1p-2, -0x1.061fc13295d9ep-2, -0x1.02897ead36dc1p-2, -0x1.fdef03dffa5a5p-3, -0x1.f6d4130d28221p-3, -0x1.efc2a33a4544cp-3, -0x1.e8bb2810e4834p-3, -0x1.e1be109cbb2bp-3, -0x1.dacbc75cf959cp-3, -0x1.d3e4b2561ba59p-3, -0x1.cd09332422ccep-3, -0x1.c639a70d2b475p-3, -0x1.bf76671461327p-3, -0x1.b8bfc80d3393cp-3, -0x1.b2161aaed420ap-3, -0x1.ab79aba7ee71ap-3, -0x1.a4eac3b28cf21p-3, -0x1.9e69a7a82aac9p-3, -0x1.97f69895e5a2fp-3, -0x1.9191d3d0cc6abp-3, -0x1.8b3b930a3b9ecp-3, -0x1.84f40c644c078p-3, -0x1.7ebb728647ccdp-3, -0x1.7891f4b117bc9p-3, -0x1.7277bed3b79b5p-3, -0x1.6c6cf99f97fbep-3, -0x1.6671ca9cf041dp-3, -0x1.6086543efd49bp-3, -0x1.5aaab5f82bd6bp-3, -0x1.54df0c4e1d2cfp-3, -0x1.4f2370ed9148cp-3, -0x1.4977fabe289f8p-3, -0x1.43dcbdf5fac6cp-3, -0x1.3e51cc2d090afp-3, -0x1.38d734707b5e1p-3, -0x1.336d0355aa41fp-3, -0x1.2e13430cfa14p-3, -0x1.28c9fb747a88cp-3, -0x1.2391322a4f9e1p-3, -0x1.1e68ea9ed9766p-3, -0x1.19512626a68b7p-3, -0x1.1449e40c23081p-3, -0x1.0f5321a100e19p-3, -0x1.0a6cda4f6b2adp-3, -0x1.059707aae95c2p-3, -0x1.00d1a18100a2p-3, -0x1.f8393bd32f33bp-4, -0x1.eeefe2ae07b58p-4, -0x1.e5c71d4bbae12p-4, -0x1.dcbece5906594p-4, -0x1.d3d6d594adabbp-4, -0x1.cb0f0fed627p-4, -0x1.c267579f151adp-4, -0x1.b9df844fb752bp-4, -0x1.b1776b2b5e2d7p-4, -0x1.a92edeffe07cfp-4, -0x1.a105b057cc397p-4, -0x1.98fbad94d8dbap-4, -0x1.9110a309bee75p-4, -0x1.89445b1373f27p-4, -0x1.81969e31dcec8p-4, -0x1.7a07331feb37bp-4, -0x1.7295deeb24c0ap-4, -0x1.6b42650a9af33p-4, -0x1.640c87755601p-4, -0x1.5cf406b82b25ep-4, -0x1.55f8a20b081fep-4, -0x1.4f1a1765b1e98p-4, -0x1.48582393f6e4bp-4, -0x1.41b282495854fp-4, -0x1.3b28ee3426c2p-4, -0x1.34bb211021cddp-4, -0x1.2e68d3b885acp-4, -0x1.2831be399edc8p-4, -0x1.221597e1d6438p-4, -0x1.1c14175241683p-4, -0x1.162cf28eae686p-4, -0x1.105fdf0d3a67cp-4, -0x1.0aac91c566b2p-4, -0x1.0512bf3ebb569p-4, -0x1.ff24373dd8aafp-5, -0x1.f454b56f1c6a8p-5, -0x1.e9b66026adae6p-5, -0x1.df489e05db0eep-5, -0x1.d50ad5529275ep-5, -0x1.cafc6c0f4da9ep-5, -0x1.c11cc8121f137p-5, -0x1.b76b4f1af324fp-5, -0x1.ade766e9011ddp-5, -0x1.a490754f728c3p-5, -0x1.9b65e049456c9p-5, -0x1.92670e0c6dd3fp-5, -0x1.8993651c36707p-5, -0x1.80ea4c5aece4fp-5, -0x1.786b2b1ad18e7p-5, -0x1.7015692e5d584p-5, -0x1.67e86ef7d52ep-5, -0x1.5fe3a57837017p-5, -0x1.5806765d7cdf9p-5, -0x1.50504c1042bf7p-5, -0x1.48c091c0cbe03p-5, -0x1.4156b3737244ap-5, -0x1.3a121e0c7725cp-5, -0x1.32f23f5b4d588p-5, -0x1.2bf6862547d52p-5, -0x1.251e622fc82c7p-5, -0x1.1e694449e0407p-5, -0x1.17d69e55711a2p-5, -0x1.1165e34fca61p-5, -0x1.0b168759c9c0bp-5, -0x1.04e7ffbf884fp-5, -0x1.fdb385ff1073cp-6, -0x1.f1d691a2f825ap-6, -0x1.e638145921afap-6, -0x1.dad7029ab1475p-6, -0x1.cfb253768d12p-6, -0x1.c4c9009b88c9bp-6, -0x1.ba1a0661cfddfp-6, -0x1.afa463d3924aap-6, -0x1.a5671ab4f6f4p-6, -0x1.9b612f8b57c18p-6, -0x1.9191a9a3d7a74p-6, -0x1.87f7931946a6p-6, -0x1.7e91f8d9758abp-6, -0x1.755feaa9d14f6p-6, -0x1.6c607b2b89acep-6, -0x1.6392bfdf09dcap-6, -0x1.5af5d126edc39p-6, -0x1.5288ca4a75a26p-6, -0x1.4a4ac9776fda1p-6, -0x1.423aefc3a56e3p-6, -0x1.3a58612dcccafp-6, -0x1.32a2449e0d5b8p-6, -0x1.2b17c3e60c355p-6, -0x1.23b80bc08f346p-6, -0x1.1c824bd0b5d73p-6, -0x1.1575b6a0d5ea8p-6, -0x1.0e9181a0f7ce6p-6, -0x1.07d4e524e7c5p-6, -0x1.013f1c6209548p-6, -0x1.f59ecad97c962p-7, -0x1.e90a026b2dbf3p-7, -0x1.dcbe670c3089dp-7, -0x1.d0ba85faaf379p-7, -0x1.c4fcf218716cap-7, -0x1.b98443e2f1915p-7, -0x1.ae4f196ae846fp-7, -0x1.a35c164b61a4ep-7, -0x1.98a9e3a064aedp-7, -0x1.8e372ffd2b9ccp-7, -0x1.8402af61f3fd4p-7, -0x1.7a0b1b3182d81p-7, -0x1.704f322624866p-7, -0x1.66cdb8468ac33p-7, -0x1.5d8576da304b7p-7, -0x1.54753c5d859a5p-7, -0x1.4b9bdc75dce9p-7, -0x1.42f82fe4fd174p-7, -0x1.3a89147c92aap-7, -0x1.324d6d114ce81p-7, -0x1.2a44216de4decp-7, -0x1.226c1e45de501p-7, -0x1.1ac4552815f64p-7, -0x1.134bbc7142d53p-7, -0x1.0c014f3e3f87cp-7, -0x1.04e40d5e2b958p-7, -0x1.fbe5f68913172p-8, -0x1.ee5a43f63af06p-8, -0x1.e1231e27bb1cep-8, -0x1.d43ea935573ccp-8, -0x1.c7ab120e297d1p-8, -0x1.bb668e5be36e1p-8, -0x1.af6f5c6605d7ap-8, -0x1.a3c3c2f51e76ap-8, -0x1.98621135cff7dp-8, -0x1.8d489e9be60c6p-8, -0x1.8275cac56546bp-8, -0x1.77e7fd5dab918p-8, -0x1.6d9da60073199p-8, -0x1.63953c1d01205p-8, -0x1.59cd3ed956366p-8, -0x1.504434f55d0e6p-8, -0x1.46f8acae597c5p-8, -0x1.3de93ba24de39p-8, -0x1.35147eb3853bcp-8, -0x1.2c7919ec43ee2p-8, -0x1.2415b8628d3ecp-8, -0x1.1be90c1c1a881p-8, -0x1.13f1cdf28177ep-8, -0x1.0c2ebd776a584p-8, -0x1.049ea0d9090cep-8, -0x1.fa80898d7e54ap-9, -0x1.ec24f8abf2e01p-9, -0x1.de2841ce427ecp-9, -0x1.d0882415ed8fap-9, -0x1.c3426acfd275p-9, -0x1.b654ed3fab764p-9, -0x1.a9bd8e6bf7072p-9, -0x1.9d7a3cea09b7ap-9, -0x1.9188f2aafc40dp-9, -0x1.85e7b4c8e2c0ap-9, -0x1.7a94935499246p-9, -0x1.6f8da92409bcp-9, -0x1.64d11ba0f8a89p-9, -0x1.5a5d1a985e485p-9, -0x1.502fe00a28a76p-9, -0x1.4647aff9dbde2p-9, -0x1.3ca2d83f4ce58p-9, -0x1.333fb0583f48fp-9, -0x1.2a1c993a709f8p-9, -0x1.2137fd262a8fep-9, -0x1.18904f7983e8dp-9, -0x1.10240c841a31dp-9, -0x1.07f1b95b55b83p-9, -0x1.ffefc75e9f7b5p-10, -0x1.f06a4340b58edp-10, -0x1.e1502329e3e6p-10, -0x1.d29eb420df274p-10, -0x1.c453531432c1dp-10, -0x1.b66b6c8a0ac43p-10, -0x1.a8e47c509010ap-10, -0x1.9bbc0d2ffbab4p-10, -0x1.8eefb89d7a52ep-10, -0x1.827d266f20917p-10, -0x1.76620c9155b99p-10, -0x1.6a9c2ebcf428bp-10, -0x1.5f295e2f12007p-10, -0x1.540779618a67p-10, -0x1.49346bc4865c8p-10, -0x1.3eae2d79a8651p-10, -0x1.3472c30fc7313p-10, -0x1.2a803d4023b2dp-10, -0x1.20d4b8ac7f40fp-10, -0x1.176e5d9e729ccp-10, -0x1.0e4b5fc7ae05dp-10, -0x1.0569fe0358c0ap-10, -0x1.f991043160813p-11, -0x1.e8ca80fcb1881p-11, -0x1.d87d303e11a6bp-11, -0x1.c8a5e43e7b5a4p-11, -0x1.b94183473d524p-11, -0x1.aa4d073197a4fp-11, -0x1.9bc57cf7eba29p-11, -0x1.8da804491a8e6p-11, -0x1.7ff1cf1d9ff2ap-11, -0x1.72a0214eedc3dp-11, -0x1.65b0503079fd4p-11, -0x1.591fc22aafb39p-11, -0x1.4cebee581967ep-11, -0x1.41125c23ff5b9p-11, -0x1.3590a2eb0eb9dp-11, -0x1.2a64699dd43c1p-11, -0x1.1f8b6664ed3ap-11, -0x1.15035e4715355p-11, -0x1.0aca24d0d146fp-11, -0x1.00dd9bbe11794p-11, -0x1.ee77654ac081p-12, -0x1.dbc4cd4912a6ap-12, -0x1.c99f841ed8102p-12, -0x1.b803b83fbc53fp-12, -0x1.a6edb14f41c26p-12, -0x1.9659cf876376fp-12, -0x1.86448b22756d6p-12, -0x1.76aa73c7e1c6bp-12, -0x1.67882ffc256aap-12, -0x1.58da7c93efa81p-12, -0x1.4a9e2c29dff72p-12, -0x1.3cd0269764066p-12, -0x1.2f6d6870304fbp-12, -0x1.2273028123bap-12, -0x1.15de1950a7c94p-12, -0x1.09abe4a3643d1p-12, -0x1.fbb35e051487p-13, -0x1.e4c9aa89a33dep-13, -0x1.ce958c3591f47p-13, -0x1.b91203393f479p-13, -0x1.a43a31b68a54ep-13, -0x1.90095ae789dfp-13, -0x1.7c7ae2491cd46p-13, -0x1.698a4acbe95abp-13, -0x1.57333608e25fap-13, -0x1.4571637a52962p-13, -0x1.3440afb9cc5afp-13, -0x1.239d13c2c5c0fp-13, -0x1.1382a43863c3ep-13, -0x1.03ed90b0afb0dp-13, -0x1.e9b44607a9905p-14, -0x1.cc897d3d8455p-14, -0x1.b053bfb4638bcp-14, -0x1.950c36abbe97fp-14, -0x1.7aac3aadf9cd8p-14, -0x1.612d52569e9e2p-14, -0x1.4889311e40185p-14, -0x1.30b9b62dd434bp-14, -0x1.19b8eb3c9922cp-14, -0x1.0381036dfebacp-14, -0x1.dc18b47bb665ap-15, -0x1.b2aae4dcc3a86p-15, -0x1.8aade9fc401a8p-15, -0x1.6417604b8fe63p-15, -0x1.3edd2cb4cd372p-15, -0x1.1af57aadabf85p-15, -0x1.f0ad74a8c5a44p-16, -0x1.adef3d35174fcp-16, -0x1.6d9e36f7a9672p-16, -0x1.2fa8c87c6ead1p-16, -0x1.e7fba6f2f2ddap-17, -0x1.7519630983012p-17, -0x1.068a61a0fb46cp-17, -0x1.385e442274ed1p-18, -0x1.af48039e3afe4p-20, 0x1.632e827a067b5p-20, 0x1.15b498c869e71p-18, 0x1.cb21496390a31p-18, 0x1.3ca4446c7c43fp-17, 0x1.902fd67b6f1dfp-17, 0x1.e04d4ac15fcc9p-17, 0x1.168aed9c9ae3ap-16, 0x1.3b51087a8ae09p-16, 0x1.5e84e4808624cp-16, 0x1.80321c8dd6f33p-16, 0x1.a063fa2af1d9bp-16, 0x1.bf2577c6f4289p-16, 0x1.dc8142ec69589p-16, 0x1.f881be5e1ae72p-16, 0x1.099882156f895p-15, 0x1.164c73dabfc6ap-15, 0x1.22617bd3f856bp-15, 0x1.2ddc3fef043c8p-15, 0x1.38c145a0fa59dp-15, 0x1.4314f2ce4518ap-15, 0x1.4cdb8eabb0c9bp-15, 0x1.5619429a85142p-15, 0x1.5ed21afc837fp-15, 0x1.670a0805e773cp-15, 0x1.6ec4de8509738p-15, 0x1.760658a7d54b2p-15, 0x1.7cd216bb4b2e7p-15, 0x1.832b9fe41434bp-15, 0x1.891662d4a5bcp-15, 0x1.8e95b67bdbd1ap-15, 0x1.93acdab0046edp-15, 0x1.985ef8d5266a2p-15, 0x1.9caf247e3d7f5p-15, 0x1.a0a05c097a8ffp-15, 0x1.a435893a51d6dp-15, 0x1.a77181cbbbac1p-15, 0x1.aa570801df67ep-15, 0x1.ace8cb34f6677p-15, 0x1.af29685a7f713p-15, 0x1.b11b6a87b1ccdp-15, 0x1.b2c14b72cd3d8p-15, 0x1.b41d73f03d039p-15, 0x1.b5323c6aadcacp-15, 0x1.b601ed59dc744p-15, 0x1.b68ebfb3d5059p-15, 0x1.b6dadd5d44e14p-15, 0x1.b6e8619375e71p-15, 0x1.b6b95956e19ebp-15, 0x1.b64fc3cfacb2dp-15, 0x1.b5ad92b0b79c6p-15, 0x1.b4d4aa97a9685p-15, 0x1.b3c6e369d4e29p-15, 0x1.b28608ae56e7dp-15, 0x1.b113d9e6c0e6p-15, 0x1.af720ae309e0ap-15, 0x1.ada24414f0c7dp-15, 0x1.aba622e04460dp-15, 0x1.a97f39e7ca7cep-15, 0x1.a72f115adbb1cp-15, 0x1.a4b7273c91a28p-15, 0x1.a218efac5b68ap-15, 0x1.9f55d52a7e3c2p-15, 0x1.9c6f38dba2eap-15, 0x1.996672c926a11p-15, 0x1.963cd2212edbp-15, 0x1.92f39d73153eap-15, 0x1.8f8c12eb9d76dp-15, 0x1.8c07688dd97a8p-15, 0x1.8866cc6bdde9ap-15, 0x1.84ab64dcbdf9bp-15, 0x1.80d650b146bb8p-15, 0x1.7ce8a7671af6p-15, 0x1.78e3795a447e9p-15, 0x1.74c7cff5630a2p-15, 0x1.7096ade07ccbep-15, 0x1.6c510f2e1a68ap-15, 0x1.67f7e987832c7p-15, 0x1.638c2c56b86f1p-15, 0x1.5f0ec0f086f17p-15, 0x1.5a808abca36fap-15, 0x1.55e2675bfb776p-15, 0x1.51352ecf4040dp-15, 0x1.4c79b39b1d9cdp-15, 0x1.47b0c2ebdde39p-15, 0x1.42db24b7e9b1ap-15, 0x1.3df99be17d865p-15, 0x1.390ce656d539dp-15, 0x1.3415bd320fc12p-15, 0x1.2f14d4d75aac6p-15, 0x1.2a0add1322541p-15, 0x1.24f8813678196p-15, 0x1.1fde6833795ecp-15, 0x1.1abd34b818884p-15, 0x1.15958548c647p-15, 0x1.1067f459c3e64p-15, 0x1.0b351867d3d3dp-15, 0x1.05fd841130698p-15, 0x1.00c1c62be54c9p-15, 0x1.f704d3baf410ap-16, 0x1.ec7fed60b2a05p-16, 0x1.e1f5e15367accp-16, 0x1.d767b0bc276a1p-16, 0x1.ccd6560b9b39ap-16, 0x1.c242c52161cd1p-16, 0x1.b7adeb71711e5p-16, 0x1.ad18b02a35323p-16, 0x1.a283f4587146cp-16, 0x1.97f09309cfc74p-16, 0x1.8d5f616fb2613p-16, 0x1.82d12f0045815p-16, 0x1.7846c5961dd5fp-16, 0x1.6dc0e9905f728p-16, 0x1.634059f0bdb58p-16, 0x1.58c5d078de18ap-16, 0x1.4e5201c85534dp-16, 0x1.43e59d777920bp-16, 0x1.39814e33e879dp-16, 0x1.2f25b9da6fb12p-16, 0x1.24d38190feea9p-16, 0x1.1a8b41e028f69p-16, 0x1.104d92cbeb45ep-16, 0x1.061b07eb129e3p-16, 0x1.f7e860fe022cap-17, 0x1.e3b32f1456f9cp-17, 0x1.cf9787cd09773p-17, 0x1.bb9670b5ca336p-17, 0x1.a7b0e760d8e5dp-17, 0x1.93e7e18e8eb1fp-17, 0x1.803c4d53dfa16p-17, 0x1.6caf11438739ep-17, 0x1.59410c92901fap-17, 0x1.45f3173e64936p-17, 0x1.32c6023199ac1p-17, 0x1.1fba97671ffa9p-17, 0x1.0cd19a0d08d01p-17, 0x1.f4178d4debd38p-18, 0x1.ced3a65d9da3fp-18, 0x1.a9d8de6c11a53p-18, 0x1.8528880835bc8p-18, 0x1.60c3e96f78488p-18, 0x1.3cac3cc5e5883p-18, 0x1.18e2b0546da0bp-18, 0x1.ead0cd860218bp-19, 0x1.a47cee9d28e9dp-19, 0x1.5ecbdc0bc7d67p-19, 0x1.19bf97fc13b5cp-19, 0x1.aab41e1ba0a86p-20, 0x1.233a3186d2cbdp-20, 0x1.3a29df9b4807cp-21, 0x1.847b5d975dc11p-24, -0x1.aca91d0f1f76dp-22, -0x1.da7bf3379b547p-21, -0x1.6df0799f32851p-20, -0x1.ed3f056037ee8p-20, -0x1.35937fef8997cp-19, -0x1.73d2f827ed90fp-19, -0x1.b15cc0b7fd865p-19, -0x1.ee2fc06983fb8p-19, -0x1.1525778e67ac4p-18, -0x1.32d6aab971f02p-18, -0x1.502b063f41514p-18, -0x1.6d221eb8989aep-18, -0x1.89bb90a4b5bccp-18, -0x1.a5f70044bfc83p-18, -0x1.c1d41972cc37ap-18, -0x1.dd528f7adf354p-18, -0x1.f8721cf94fedap-18, -0x1.099941d92f8e1p-17, -0x1.16c9c6378b208p-17, -0x1.23ca836e37412p-17, -0x1.309b64b169cf4p-17, -0x1.3d3c5883fbf69p-17, -0x1.49ad50a5683a9p-17, -0x1.55ee4201d81c7p-17, -0x1.61ff24a06e62fp-17, -0x1.6ddff393f11dep-17, -0x1.7990aceab908ep-17, -0x1.8511519e1da3ap-17, -0x1.9061e58339706p-17, -0x1.9b826f3bc25f2p-17, -0x1.a672f827345ep-17, -0x1.b1338c532c63cp-17, -0x1.bbc43a6c97527p-17, -0x1.c62513b251cadp-17, -0x1.d0562be5c29efp-17, -0x1.da57993cea87dp-17, -0x1.e42974552c51ep-17, -0x1.edcbd8244ac0ep-17, -0x1.f73ee1ebec163p-17, -0x1.00415895c8a33p-16, -0x1.04cbb3c9cb2d1p-16, -0x1.093e947c74eb7p-16, -0x1.0d9a0da348546p-16, -0x1.11de33394e04ep-16, -0x1.160b1a384ce2bp-16, -0x1.1a20d892df75fp-16, -0x1.1e1f852e6d28p-16, -0x1.220737dce9251p-16, -0x1.25d80956df101p-16, -0x1.29921335f80c6p-16, -0x1.2d356feeb1b1fp-16, -0x1.30c23acaea4c3p-16, -0x1.34388fe46dd0dp-16, -0x1.37988c1f35045p-16, -0x1.3ae24d23b9842p-16, -0x1.3e15f15a116a7p-16, -0x1.413397e422eadp-16, -0x1.443b60987505bp-16, -0x1.472d6bfd51a7bp-16, -0x1.4a09db433f2c5p-16, -0x1.4cd0d03ff6894p-16, -0x1.4f826d69ebc06p-16, -0x1.521ed5d28f2dcp-16, -0x1.54a62d21fd9b9p-16, -0x1.5718979230cb6p-16, -0x1.597639ea3451cp-16, -0x1.5bbf397933894p-16, -0x1.5df3bc126d623p-16, -0x1.6013e80830519p-16, -0x1.621fe427afdd5p-16, -0x1.6417d7b460619p-16, -0x1.65fbea63e0c9bp-16, -0x1.67cc445983bb3p-16, -0x1.69890e21dc5abp-16, -0x1.6b3270af094bfp-16, -0x1.6cc8955480e08p-16, -0x1.6e4ba5c2b150cp-16, -0x1.6fbbcc03707c9p-16, -0x1.71193275af995p-16, -0x1.726403c9eaf22p-16, -0x1.739c6afdfe031p-16, -0x1.74c29359f2575p-16, -0x1.75d6a86bb618ep-16, -0x1.76d8d603b9369p-16, -0x1.77c9483174eb8p-16, -0x1.78a82b3faed25p-16, -0x1.7975abb0f203ap-16, -0x1.7a31f63c7502bp-16, -0x1.7add37ca73275p-16, -0x1.7b779d70dea91p-16, -0x1.7c01547066f8fp-16, -0x1.7c7a8a30ddb2ep-16, -0x1.7ce36c3e4aa89p-16, -0x1.7d3c2845bda0fp-16, -0x1.7d84ec126997dp-16, -0x1.7dbde58a60dfcp-16, -0x1.7de742abcdec9p-16, -0x1.7e01318a00e2p-16, -0x1.7e0be04aab402p-16, -0x1.7e077d22eee2fp-16, -0x1.7df43654a5366p-16, -0x1.7dd23a2bca719p-16, -0x1.7da1b6fbb88aep-16, -0x1.7d62db1caaf37p-16, -0x1.7d15d4e8fa434p-16, -0x1.7cbad2badd345p-16, -0x1.7c5202e9b147bp-16, -0x1.7bdb93c7c747dp-16, -0x1.7b57b39ff625ap-16, -0x1.7ac690b32a3b2p-16, -0x1.7a2859363792p-16, -0x1.797d3b4fbcbcp-16, -0x1.78c56515ad0aep-16, -0x1.7801048b531dap-16, -0x1.7730479f35e3p-16, -0x1.76535c29281f6p-16, -0x1.756a6fe819fa6p-16, -0x1.7475b08027cc9p-16, -0x1.73754b78bba8ep-16, -0x1.72696e3a971efp-16, -0x1.7152460e16a2ap-16, -0x1.7030001944ac3p-16, -0x1.6f02c95e3e458p-16, -0x1.6dcaceb9646e1p-16, -0x1.6c883cdf8eef8p-16, -0x1.6b3b405c9d98p-16, -0x1.69e40591c89a1p-16, -0x1.6882b8b405d23p-16, -0x1.671785ca94f5ap-16, -0x1.65a298ad8544fp-16, -0x1.64241d0424e84p-16, -0x1.629c3e439e692p-16, -0x1.610b27adbba4dp-16, -0x1.5f71044f7d82dp-16, -0x1.5dcdfeffabbddp-16, -0x1.5c22425da415ep-16, -0x1.5a6df8d05b3b3p-16, -0x1.58b14c84e6d36p-16, -0x1.56ec676d5eaf6p-16, -0x1.551f733fa91bfp-16, -0x1.534a99748753ap-16, -0x1.516e03467b077p-16, -0x1.4f89d9b0c8021p-16, -0x1.4d9e456e68d23p-16, -0x1.4bab6ef916317p-16, -0x1.49b17e884b891p-16, -0x1.47b09c1069024p-16, -0x1.45a8ef41fdefep-16, -0x1.439a9f88b0812p-16, -0x1.4185d40a80f6cp-16, -0x1.3f6ab3a71d6b7p-16, -0x1.3d4964f7267a4p-16, -0x1.3b220e4b40bcp-16, -0x1.38f4d5ab89b4fp-16, -0x1.36c1e0d6d48dfp-16, -0x1.348955421e4a3p-16, -0x1.324b5817fb7fep-16, -0x1.30080e37e7ce2p-16, -0x1.2dbf9c35b44ep-16, -0x1.2b7226590ff59p-16, -0x1.291fd09cf8eaap-16, -0x1.26c8beaf47c7cp-16, -0x1.246d13f033ab4p-16, -0x1.220cf371e6d9cp-16, -0x1.1fa87ff8325cep-16, -0x1.1d3fdbf80d072p-16, -0x1.1ad329973ad2dp-16, -0x1.18628aabdd314p-16, -0x1.15ee20bc51e5ap-16, -0x1.13760cfeb4324p-16, -0x1.10fa7058d1519p-16, -0x1.0e7b6b5fde3dcp-16, -0x1.0bf91e58194b7p-16, -0x1.0973a9348b792p-16, -0x1.06eb2b970c09ap-16, -0x1.045fc4d0028bbp-16, -0x1.01d193de203c3p-16, -0x1.fe816edc9ee74p-17, -0x1.f95a9bb77fcb7p-17, -0x1.f42eea5f80e1cp-17, -0x1.eefe96432aa6p-17, -0x1.e9c9da2ca8444p-17, -0x1.e490f0421cap-17, -0x1.df54120524f2ep-17, -0x1.da13785351dbp-17, -0x1.d4cf5b66459eep-17, -0x1.cf87f2d3355afp-17, -0x1.ca3d758b1fc52p-17, -0x1.c4f019db20c33p-17, -0x1.bfa0156ca82dfp-17, -0x1.ba4d9d4593c27p-17, -0x1.b4f8e5c84630bp-17, -0x1.afa222b3bb49p-17, -0x1.aa498724675c9p-17, -0x1.a4ef459459d4p-17, -0x1.9f938fdb13647p-17, -0x1.9a36972e4a0e7p-17, -0x1.94d88c221b8ecp-17, -0x1.8f799ea970cefp-17, -0x1.8a19fe16baafcp-17, -0x1.84b9d91c2197fp-17, -0x1.7f595dcc284ep-17, -0x1.79f8b99a0b15ep-17, -0x1.7498195a14b7ep-17, -0x1.6f37a942909e3p-17, -0x1.69d794ec1fdb8p-17, -0x1.64780752507dcp-17, -0x1.5f192ad46a324p-17, }}, 
      {{-0x1.f700e11c5cdf8p-1, -0x1.f6c99cb5b4a81p-1, -0x1.f65cecf6dcf0ep-1, -0x1.f5b0013601a66p-1, -0x1.f4bdebc55fe8ap-1, -0x1.f387511859b87p-1, -0x1.f210fc162178dp-1, -0x1.f0623d4e8849dp-1, -0x1.ee837c46d5365p-1, -0x1.ec7d209623237p-1, -0x1.ea56d6c0de0e9p-1, -0x1.e81724e7bac6bp-1, -0x1.e5c33db0aeeb4p-1, -0x1.e35eff93e19f7p-1, -0x1.e0ed110786274p-1, -0x1.de6f0d3756324p-1, -0x1.dbe5b823d2a3fp-1, -0x1.d95133cae5de4p-1, -0x1.d6b1323553a52p-1, -0x1.d40521f534ab4p-1, -0x1.d14c53dba0557p-1, -0x1.ce861985c3162p-1, -0x1.cbb1dcf1ce616p-1, -0x1.c8cf31a59dafp-1, -0x1.c5dde022b634ep-1, -0x1.c2ddec7982161p-1, -0x1.bfcf98d0f5483p-1, -0x1.bcb364af030c5p-1, -0x1.b98a09bdfdbeep-1, -0x1.b65476b69ce38p-1, -0x1.b313c9005c5f7p-1, -0x1.afc94583ad6e1p-1, -0x1.ac7651143ee04p-1, -0x1.a91c68c5f2b97p-1, -0x1.a5bd1a6d68534p-1, -0x1.a259fd7d66c7fp-1, -0x1.9ef4ac64ff826p-1, -0x1.9b8ebe86dbce1p-1, -0x1.9829c2d8a85edp-1, -0x1.94c73b31db438p-1, -0x1.9168984ae481fp-1, -0x1.8e0f3669090bbp-1, -0x1.8abc5aaf9365ep-1, -0x1.8771310c5c8d6p-1, -0x1.842ecab3f020cp-1, -0x1.80f61d207720bp-1, -0x1.7dc8018605a95p-1, -0x1.7aa534aedb0d7p-1, -0x1.778e573255a63p-1, -0x1.7483edf9e58bbp-1, -0x1.71866307f6b4bp-1, -0x1.6e96067595b8cp-1, -0x1.6bb30f9c7ae1cp-1, -0x1.68dd9e6411dd9p-1, -0x1.6615bca9032dcp-1, -0x1.635b5fb7b1f5p-1, -0x1.60ae69d2ff12fp-1, -0x1.5e0eabc1833b3p-1, -0x1.5b7be65c2f46p-1, -0x1.58f5cc1a0cb4ep-1, -0x1.567c029575dc9p-1, -0x1.540e2407c1d7ap-1, -0x1.51abc0b8eeaddp-1, -0x1.4f5460614837p-1, -0x1.4d07837b844d4p-1, -0x1.4ac4a4862bdfp-1, -0x1.488b39337848ap-1, -0x1.465ab38721abbp-1, -0x1.443282e1d1152p-1, -0x1.421214fa262c7p-1, -0x1.3ff8d6c36b781p-1, -0x1.3de635423a163p-1, -0x1.3bd99e4f712fap-1, -0x1.39d28149fafa1p-1, -0x1.37d04fb7f031ap-1, -0x1.35d27dd7bb04p-1, -0x1.33d88321e5d2dp-1, -0x1.31e1dabc49e78p-1, -0x1.2fee03df5ba6fp-1, -0x1.2dfc822e50b9cp-1, -0x1.2c0cde02e0224p-1, -0x1.2a1ea4ad5bc9bp-1, -0x1.283168a9dff91p-1, -0x1.2644c1cb53383p-1, -0x1.24584d5ceb54fp-1, -0x1.226bae3ae70e6p-1, -0x1.207e8ce329e45p-1, -0x1.1e90977e5acb9p-1, -0x1.1ca181e228482p-1, -0x1.1ab1058d430ffp-1, -0x1.18bee19da763ap-1, -0x1.16cadac1b668ap-1, -0x1.14d4bb24a7ddep-1, -0x1.12dc5256cce2fp-1, -0x1.10e175321897ap-1, -0x1.0ee3fdbb5ba61p-1, -0x1.0ce3cb009c0bdp-1, -0x1.0ae0c0f4e7094p-1, -0x1.08dac849f992p-1, -0x1.06d1ce4813783p-1, -0x1.04c5c4a441d86p-1, -0x1.02b6a1556d159p-1, -0x1.00a45e686ad27p-1, -0x1.fd1df3a6aa725p-2, -0x1.f8ecea90bd83p-2, -0x1.f4b5ac10af5e1p-2, -0x1.f078496a31e64p-2, -0x1.ec34da47f72f5p-2, -0x1.e7eb7c6112adbp-2, -0x1.e39c531f11cb5p-2, -0x1.df4787450e4c2p-2, -0x1.daed4697f4fffp-2, -0x1.d68dc3883acfcp-2, -0x1.d22934dd274b1p-2, -0x1.cdbfd561e4a59p-2, -0x1.c951e3947772fp-2, -0x1.c4dfa156bb283p-2, -0x1.c06953a184cebp-2, -0x1.bbef4239fc9fep-2, -0x1.b771b76942c4ep-2, -0x1.b2f0ffb672932p-2, -0x1.ae6d69a30c31ep-2, -0x1.a9e74569cc91fp-2, -0x1.a55ee4c0015afp-2, -0x1.a0d49a9952a56p-2, -0x1.9c48baee0b4d3p-2, -0x1.97bb9a83da96p-2, -0x1.932d8eb90cee4p-2, -0x1.8e9eed523c40fp-2, -0x1.8a100c4a6720fp-2, -0x1.858141a570ff7p-2, -0x1.80f2e344fe3cbp-2, -0x1.7c6546bfa0a39p-2, -0x1.77d8c13a4bf49p-2, -0x1.734da744054e7p-2, -0x1.6ec44cb3bef17p-2, -0x1.6a3d048856afcp-2, -0x1.65b820caa502fp-2, -0x1.6135f2718f959p-2, -0x1.5cb6c94812eebp-2, -0x1.583af3d52f769p-2, -0x1.53c2bf45ad832p-2, -0x1.4f4e7757a8263p-2, -0x1.4ade6647cfc9cp-2, -0x1.4672d4c05140cp-2, -0x1.420c09c956bcep-2, -0x1.3daa4abb10a31p-2, -0x1.394ddb3133c3ep-2, -0x1.34f6fcffe42ddp-2, -0x1.30a5f029f4d84p-2, -0x1.2c5af2d876709p-2, -0x1.281641537d885p-2, -0x1.23d815fc183bp-2, -0x1.1fa0a9476223bp-2, -0x1.1b7031baa57bcp-2, -0x1.1746e3e8856d7p-2, -0x1.1324f26f16559p-2, -0x1.0f0a8df6e464fp-2, -0x1.0af7e532d314ap-2, -0x1.06ed24e0cadf6p-2, -0x1.02ea77cb2ce38p-2, -0x1.fde00d95f6915p-3, -0x1.f5fbf1955f9bep-3, -0x1.ee28e59364dfp-3, -0x1.e6672fc0d0708p-3, -0x1.deb7128996966p-3, -0x1.d718cc9f15a74p-3, -0x1.cf8c99033b7dep-3, -0x1.c812af14986bep-3, -0x1.c0ab429b32ce4p-3, -0x1.b95683d626b46p-3, -0x1.b2149f89e75f8p-3, -0x1.aae5bf0f237cdp-3, -0x1.a3ca086238cp-3, -0x1.9cc19e3328cacp-3, -0x1.95cc9ff6014fap-3, -0x1.8eeb29f3a7995p-3, -0x1.881d555b014fdp-3, -0x1.816338526f0adp-3, -0x1.7abce60980f24p-3, -0x1.742a6ecaeb94cp-3, -0x1.6dabe00eab5cfp-3, -0x1.6741448c46cfcp-3, -0x1.60eaa44d33f9fp-3, -0x1.5aa804bf4b0fcp-3, -0x1.547968c74d46dp-3, -0x1.4e5ed0d363c6bp-3, -0x1.48583aeda21cdp-3, -0x1.4265a2ce844b7p-3, -0x1.3c8701ef4c4cap-3, -0x1.36bc4f9c5a4e3p-3, -0x1.310581075f1acp-3, -0x1.2b628959709adp-3, -0x1.25d359c4f5dfdp-3, -0x1.2057e19770e07p-3, -0x1.1af00e4b0e27fp-3, -0x1.159bcb980a4c1p-3, -0x1.105b0385dff93p-3, -0x1.0b2d9e7c3f74dp-3, -0x1.06138353c0a36p-3, -0x1.010c976663cb9p-3, -0x1.f8317d3f8ba62p-4, -0x1.ee6fb71a3318bp-4, -0x1.e4d39ed9aabdcp-4, -0x1.db5cf47c3a696p-4, -0x1.d20b759fca4fdp-4, -0x1.c8dedd9f884aep-4, -0x1.bfd6e5b1092dap-4, -0x1.b6f34500bbee9p-4, -0x1.ae33b0cdd71eap-4, -0x1.a597dc8599f8bp-4, -0x1.9d1f79de00b4ap-4, -0x1.94ca38efccf9ap-4, -0x1.8c97c84ffb6bfp-4, -0x1.8487d52893288p-4, -0x1.7c9a0b50dbd93p-4, -0x1.74ce1564f5749p-4, -0x1.6d239cdccf8cep-4, -0x1.659a4a228737bp-4, -0x1.5e31c4a825cp-4, -0x1.56e9b2fcc5969p-4, -0x1.4fc1bae11b64dp-4, -0x1.48b9815b693cdp-4, -0x1.41d0aacad6726p-4, -0x1.3b06dafa34084p-4, -0x1.345bb5322b678p-4, -0x1.2dcedc4ad950ap-4, -0x1.275ff2bcdb88fp-4, -0x1.210e9ab1c9595p-4, -0x1.1ada761425d26p-4, -0x1.14c3269ec03a1p-4, -0x1.0ec84deb92779p-4, -0x1.08e98d8212ef2p-4, -0x1.032686e504b6ep-4, -0x1.fafdb73f8cfb9p-5, -0x1.efe45aa63cc61p-5, -0x1.e5003b8316044p-5, -0x1.da509db631a58p-5, -0x1.cfd4c5917cffcp-5, -0x1.c58bf7ee86c18p-5, -0x1.bb757a4363522p-5, -0x1.b19092b6ade7bp-5, -0x1.a7dc8832b0e07p-5, -0x1.9e58a277b0731p-5, -0x1.95042a2d60272p-5, -0x1.8bde68f391ddp-5, -0x1.82e6a97211068p-5, -0x1.7a1c3767bfe08p-5, -0x1.717e5fb8f274ep-5, -0x1.690c707d0e143p-5, -0x1.60c5b90b755eap-5, -0x1.58a98a07b91e4p-5, -0x1.50b7356d3014bp-5, -0x1.48ee0e99cf06dp-5, -0x1.414d6a58702d6p-5, -0x1.39d49eea710eap-5, -0x1.32830410beae4p-5, -0x1.2b57f31440f28p-5, -0x1.2452c6cdc1bep-5, -0x1.1d72dbad3d18fp-5, -0x1.16b78fc0afdfap-5, -0x1.102042ba5e472p-5, -0x1.09ac55f697d95p-5, -0x1.035b2c8108638p-5, -0x1.fa585633130dp-6, -0x1.ee3d70710327dp-6, -0x1.e2647825ab653p-6, -0x1.d6cc413ad9a97p-6, -0x1.cb73a32095109p-6, -0x1.c05978d28e876p-6, -0x1.b57ca0dcca3fcp-6, -0x1.aadbfd5f92e32p-6, -0x1.a0767412b51c7p-6, -0x1.964aee480c9d2p-6, -0x1.8c5858ed72cedp-6, -0x1.829da48dfe4c9p-6, -0x1.7919c552bb405p-6, -0x1.6fcbb302be633p-6, -0x1.66b26902b736dp-6, -0x1.5dcce653f419cp-6, -0x1.551a2d92e211p-6, -0x1.4c9944f519ddcp-6, -0x1.44493646ed013p-6, -0x1.3c290ee882dd8p-6, -0x1.3437dfca8f195p-6, -0x1.2c74bd6a93e7dp-6, -0x1.24debfced1481p-6, -0x1.1d750281ceefp-6, -0x1.1636a48d87e6ap-6, -0x1.0f22c8764cfep-6, -0x1.083894354c72bp-6, -0x1.01773132d3f01p-6, -0x1.f5bb98808e86p-7, -0x1.e8d72b23b512ap-7, -0x1.dc3f816ff851cp-7, -0x1.cff309312d54ap-7, -0x1.c3f036d0159a8p-7, -0x1.b8358543f6557p-7, -0x1.acc17603cbc38p-7, -0x1.a19290f71732bp-7, -0x1.96a76466680eap-7, -0x1.8bfe84eb7e31dp-7, -0x1.81968d61398c3p-7, -0x1.776e1ed32b7ep-7, -0x1.6d83e06d0aa57p-7, -0x1.63d67f69c2bf2p-7, -0x1.5a64af027944cp-7, -0x1.512d285d4e7d9p-7, -0x1.482eaa7be7abfp-7, -0x1.3f67fa29f71e2p-7, -0x1.36d7e1eb7f257p-7, -0x1.2e7d31eb0b7abp-7, -0x1.2656bfe7ca44cp-7, -0x1.1e636723970bfp-7, -0x1.16a20850eca01p-7, -0x1.0f118980cc288p-7, -0x1.07b0d61098862p-7, -0x1.007ede97f268bp-7, -0x1.f2f531ad18be6p-8, -0x1.e545ff43e7db6p-8, -0x1.d7ee25a6e24fdp-8, -0x1.caebae6bb1d9ep-8, -0x1.be3cace6f889ep-8, -0x1.b1df3e080815cp-8, -0x1.a5d18834f4a73p-8, -0x1.9a11bb26994eap-8, -0x1.8e9e0fc4d239dp-8, -0x1.8374c802db81p-8, -0x1.78942ebbd9557p-8, -0x1.6dfa978f9321dp-8, -0x1.63a65ebf5c8c1p-8, -0x1.5995e90b3482ap-8, -0x1.4fc7a38f3000ap-8, -0x1.463a03a0f916fp-8, -0x1.3ceb86adbc93p-8, -0x1.33dab2183ad5ap-8, -0x1.2b0613171f07ap-8, -0x1.226c3e93b49a5p-8, -0x1.1a0bd108c7d82p-8, -0x1.11e36e61e5e15p-8, -0x1.09f1c1dadf16p-8, -0x1.02357ddfa6ab6p-8, -0x1.f55ab7d8ecbd8p-9, -0x1.e6b038dc797fdp-9, -0x1.d8690d46efb35p-9, -0x1.ca82d0fab0627p-9, -0x1.bcfb2d0254d7dp-9, -0x1.afcfd75477ec6p-9, -0x1.a2fe9297d4e6cp-9, -0x1.96852de877626p-9, -0x1.8a61849d5b3dfp-9, -0x1.7e917e0eddf47p-9, -0x1.73130d5dd968cp-9, -0x1.67e4313b7997cp-9, -0x1.5d02f3b1e5f59p-9, -0x1.526d69ed76676p-9, -0x1.4821b406b7f7ep-9, -0x1.3e1dfccd29a14p-9, -0x1.34607992c7217p-9, -0x1.2ae769f8208afp-9, -0x1.21b117b95664cp-9, -0x1.18bbd67bbc6c3p-9, -0x1.1006039c2b6a6p-9, -0x1.078e05fe2f274p-9, -0x1.fea49bb79d37p-10, -0x1.eea2a92c1f331p-10, -0x1.df13390c8d9f4p-10, -0x1.cff3619ff8d21p-10, -0x1.c1404a6751b5ap-10, -0x1.b2f72bc438881p-10, -0x1.a5154ea10ebd5p-10, -0x1.97980c1a9e345p-10, -0x1.8a7ccd2b0c8ffp-10, -0x1.7dc10a5648dd7p-10, -0x1.71624b579615p-10, -0x1.655e26d0deb81p-10, -0x1.59b241fae3fc5p-10, -0x1.4e5c50572ad25p-10, -0x1.435a1363230bep-10, -0x1.38a95a4c5dda6p-10, -0x1.2e4801a66842bp-10, -0x1.2433f321bdeaep-10, -0x1.1a6b25441c4f7p-10, -0x1.10eb9b220837ep-10, -0x1.07b3641991cbdp-10, -0x1.fd81371cdec3fp-11, -0x1.ec22d14e31ccep-11, -0x1.db47fc16f5a93p-11, -0x1.caed3348c7818p-11, -0x1.bb0f08b904475p-11, -0x1.abaa23c4a8353p-11, -0x1.9cbb40d6acb26p-11, -0x1.8e3f30f0a8b21p-11, -0x1.8032d935bafeap-11, -0x1.7293327761e32p-11, -0x1.655d48c4ec032p-11, -0x1.588e3afce32d8p-11, -0x1.4c233a607d192p-11, -0x1.40198a296ff1ep-11, -0x1.346e7f21665aep-11, -0x1.291f7f3c15da5p-11, -0x1.1e2a0132a77e4p-11, -0x1.138b8c21c2b11p-11, -0x1.0941b7294085ap-11, -0x1.fe94521b31a03p-12, -0x1.eb452fb73b56ep-12, -0x1.d891911b6b9a5p-12, -0x1.c6751d66876edp-12, -0x1.b4eb983357da8p-12, -0x1.a3f0e0eddd58ep-12, -0x1.9380f22d08484p-12, -0x1.8397e10ef2a69p-12, -0x1.7431dc98f90d1p-12, -0x1.654b2d1affab5p-12, -0x1.56e033962b505p-12, -0x1.48ed692692365p-12, -0x1.3b6f5e701d4ecp-12, -0x1.2e62bb0ef4948p-12, -0x1.21c43d0a491a5p-12, -0x1.1590b84aa204ap-12, -0x1.09c516133922ep-12, -0x1.fcbca8fb2fff7p-13, -0x1.e6b30bf177d31p-13, -0x1.d167a19558dc5p-13, -0x1.bcd4dd29de0d5p-13, -0x1.a8f557b73c9a1p-13, -0x1.95c3cf1e7ccfep-13, -0x1.833b253224a6p-13, -0x1.71565ed3edf08p-13, -0x1.6010a318039acp-13, -0x1.4f653a6c93ab4p-13, -0x1.3f4f8dc663016p-13, -0x1.2fcb25d247c63p-13, -0x1.20d3aa2b182dbp-13, -0x1.1264e09425d95p-13, -0x1.047aac3859acep-13, -0x1.ee2219db23046p-14, -0x1.d4483cf8f2c34p-14, -0x1.bb602fd822289p-14, -0x1.a36295a44c07fp-14, -0x1.8c48454de739p-14, -0x1.760a483b247a6p-14, -0x1.60a1d8ff515d4p-14, -0x1.4c08621a90471p-14, -0x1.38377cc07c862p-14, -0x1.2528efa662033p-14, -0x1.12d6add8d450fp-14, -0x1.013ad597fd34dp-14, -0x1.e09f5e75da7bcp-15, -0x1.c01f58324eb53p-15, -0x1.a0eacaf873a25p-15, -0x1.82f7372a39395p-15, -0x1.663a68f634b93p-15, -0x1.4aaa765ce923ep-15, -0x1.303dbd43ae3aap-15, -0x1.16eae194f40cep-15, -0x1.fd5196d1e7ddap-16, -0x1.cedd4a79c74aep-16, -0x1.a267b4670d4c3p-16, -0x1.77e028bfca068p-16, -0x1.4f36763a78ab7p-16, -0x1.285ae2ddc88d1p-16, -0x1.033e28d609424p-16, -0x1.bfa2e6be48e21p-17, -0x1.7c0cb785ca387p-17, -0x1.3b9dccccf0102p-17, -0x1.fc75ffbbc928ep-18, -0x1.8793e9d8d4d21p-18, -0x1.18622b40ddd7ep-18, -0x1.5d5e2f1dbbbf8p-19, -0x1.2929e130543cap-20, 0x1.4fa7d2e73c3f9p-22, 0x1.bd34c62a3026fp-20, 0x1.89b36a25319f5p-19, 0x1.15cac9165ffa5p-18, 0x1.6249e8f3b278p-18, 0x1.aa7f531856567p-18, 0x1.ee9211963afc3p-18, 0x1.17540150d7fa5p-17, 0x1.3572f066f69eap-17, 0x1.51b7a585e5b8p-17, 0x1.6c33663fbf04ep-17, 0x1.84f6f20e23946p-17, 0x1.9c12860a224edp-17, 0x1.b195e089604d6p-17, 0x1.c59044a0e446fp-17, 0x1.d8107d95ff73ap-17, 0x1.e924e237cb3ecp-17, 0x1.f8db581ab9cf1p-17, 0x1.03a0ab650ae3cp-16, 0x1.0a31f56ca3b7dp-16, 0x1.1027dc75afc64p-16, 0x1.1588804da5aacp-16, 0x1.1a59cfad2e414p-16, 0x1.1ea189998279p-16, 0x1.22653ebfe2d3bp-16, 0x1.25aa52c5e3a5ep-16, 0x1.2875fd91a1af9p-16, 0x1.2acd4c88c1b3bp-16, 0x1.2cb523c780c21p-16, 0x1.2e323f4f4fe4cp-16, 0x1.2f49342cca31dp-16, 0x1.2ffe7196f1686p-16, 0x1.30564204f7943p-16, 0x1.3054cc3f99c91p-16, 0x1.2ffe14674ee77p-16, 0x1.2f55fcf61ff7ep-16, 0x1.2e6047ba598b9p-16, 0x1.2d2096c89104p-16, 0x1.2b9a6d6954e3bp-16, 0x1.29d130fee472fp-16, 0x1.27c829e5ce6ep-16, 0x1.2582844e7c2c4p-16, 0x1.2303511160cd3p-16, 0x1.204d867c711a6p-16, 0x1.1d64011d22382p-16, 0x1.1a49848230fa4p-16, 0x1.1700bbf94bbcfp-16, 0x1.138c3b48db4ap-16, 0x1.0fee7f615f0e6p-16, 0x1.0c29ef0d8cfb2p-16, 0x1.0840db9afec14p-16, 0x1.0435817f13b75p-16, 0x1.000a08f79cc42p-16, 0x1.f7810d4cd8e11p-17, 0x1.eeb5f85136c07p-17, 0x1.e5b6b15474c2cp-17, 0x1.dc86f2e96af5p-17, 0x1.d32a54f4f5246p-17, 0x1.c9a44dbc8663fp-17, 0x1.bff832ec74a4p-17, 0x1.b6293a9657247p-17, 0x1.ac3a7c2ab2fbcp-17, 0x1.a22ef16922a11p-17, 0x1.9809774af1ed7p-17, 0x1.8dcccee6c0866p-17, 0x1.837b9e4d13a4p-17, 0x1.79187160a3717p-17, 0x1.6ea5baa41e97fp-17, 0x1.6425d4085fa3ap-17, 0x1.599affaf00fc9p-17, 0x1.4f0768aa66571p-17, 0x1.446d23b7790e9p-17, 0x1.39ce2ff1f3a18p-17, 0x1.2f2c77836ebe3p-17, 0x1.2489d04dd87e1p-17, 0x1.19e7fc906b30ep-17, 0x1.0f48ab886c725p-17, 0x1.04ad7a0c93ba6p-17, 0x1.f42fe64746aep-18, 0x1.df1321329b792p-18, 0x1.ca077714c94f4p-18, 0x1.b50f99e142fbp-18, 0x1.a02e1c5019b39p-18, 0x1.8b6572e4bfbdbp-18, 0x1.76b7f4e8e0b52p-18, 0x1.6227dd63e1ca6p-18, 0x1.4db74c08561ffp-18, 0x1.3968461ae19dbp-18, 0x1.253cb7531169cp-18, 0x1.113672b5b0ad1p-18, 0x1.faae66cefb7aap-19, 0x1.d3413af4432ccp-19, 0x1.ac287d678a99p-19, 0x1.85671e9da365dp-19, 0x1.5effe56d176c1p-19, 0x1.38f5707726de3p-19, 0x1.134a378aadf47p-19, 0x1.dc0119ec757c4p-20, 0x1.92353dac8a553p-20, 0x1.4934f0a7fb8b4p-20, 0x1.010405c0572dfp-20, 0x1.734c1d7c2559ap-21, 0x1.cc797a76e6b9dp-22, 0x1.6b805e22de0eep-23, -0x1.7620dd6a155a2p-24, -0x1.6d552a55b4c92p-22, -0x1.3cce7a57bb7ap-21, -0x1.c12b595403684p-21, -0x1.21de929661f54p-20, -0x1.62401917bd815p-20, -0x1.a1b89928a4485p-20, -0x1.e04698e0e3dc3p-20, -0x1.0ef464e11a1ap-19, -0x1.2d4f038f9ad2cp-19, -0x1.4b32aa414d574p-19, -0x1.689eee16ba264p-19, -0x1.859376cdb6f0ep-19, -0x1.a20ffe09366bbp-19, -0x1.be144ea0af5f4p-19, -0x1.d9a043f42177cp-19, -0x1.f4b3c94499d8ep-19, -0x1.07a76c8a7b0f3p-18, -0x1.14b8be45f8428p-18, -0x1.218de56e9ac22p-18, -0x1.2e26f45bc8f82p-18, -0x1.3a8403db92c14p-18, -0x1.46a532eda9723p-18, -0x1.528aa68153f5bp-18, -0x1.5e34893517024p-18, -0x1.69a30b17d607dp-18, -0x1.74d6616d6a222p-18, -0x1.7fcec673e7b6ap-18, -0x1.8a8c792b15d47p-18, -0x1.950fbd1e979aep-18, -0x1.9f58da300814p-18, -0x1.a9681c6494b97p-18, -0x1.b33dd3b336809p-18, -0x1.bcda53d53f3fcp-18, -0x1.c63df417826eep-18, -0x1.cf690f2e66673p-18, -0x1.d85c030a229aap-18, -0x1.e11730acbe471p-18, -0x1.e99afc01ff7f2p-18, -0x1.f1e7cbb85f9f9p-18, -0x1.f9fe091b595b3p-18, -0x1.00ef0ff748323p-17, -0x1.04c43f2578be8p-17, -0x1.087eca3deb235p-17, -0x1.0c1eea6f82717p-17, -0x1.0fa4d9e223c3bp-17, -0x1.1310d3a77221p-17, -0x1.166313ac062adp-17, -0x1.199bd6a9039c1p-17, -0x1.1cbb5a165843fp-17, -0x1.1fc1dc1d4c47ep-17, -0x1.22af9b8b95afbp-17, -0x1.2584d7c6ff602p-17, -0x1.2841d0c168478p-17, -0x1.2ae6c6ed0f802p-17, -0x1.2d73fb3196c0ap-17, -0x1.2fe9aee105ceep-17, -0x1.324823ad7261ap-17, -0x1.348f9b9f28905p-17, -0x1.36c0590add582p-17, -0x1.38da9e886a79bp-17, -0x1.3adeaee9c6935p-17, -0x1.3ccccd326f16p-17, -0x1.3ea53c8efdbf3p-17, -0x1.4068404d3260bp-17, -0x1.42161bd4613f7p-17, -0x1.43af129dd0963p-17, -0x1.4533682da173cp-17, -0x1.46a3600bf66d3p-17, -0x1.47ff3dbe5f0d8p-17, -0x1.494744c15e5ddp-17, -0x1.4a7bb88277be2p-17, -0x1.4b9cdc5a22609p-17, -0x1.4caaf38650c6ap-17, -0x1.4da64124d583p-17, -0x1.4e8f082e5afa9p-17, -0x1.4f658b7159d96p-17, -0x1.502a0d8d1f187p-17, -0x1.50dcd0ed7b7ddp-17, -0x1.517e17c651f79p-17, -0x1.520e240f3fe77p-17, -0x1.528d377f9749ap-17, -0x1.52fb938a97b21p-17, -0x1.5359795bab9b6p-17, -0x1.53a729d2cc9fep-17, -0x1.53e4e5814c93dp-17, -0x1.5412eca689015p-17, -0x1.54317f2ccfa48p-17, -0x1.5440dca6640cfp-17, -0x1.5441444ad3115p-17, -0x1.5432f4f416b5p-17, -0x1.54162d1c38deep-17, -0x1.53eb2adb0027ap-17, -0x1.53b22be3434d7p-17, -0x1.536b6d8110815p-17, -0x1.53172c977879p-17, -0x1.52b5a59eaa346p-17, -0x1.524714a1fc077p-17, -0x1.51cbb53e50dfdp-17, -0x1.5143c2a063997p-17, -0x1.50af77832db52p-17, -0x1.500f0e2e84d2bp-17, -0x1.4f62c07599e6fp-17, -0x1.4eaac7b5d76b6p-17, -0x1.4de75cd58c3efp-17, -0x1.4d18b842d2c4cp-17, -0x1.4c3f11f2986fbp-17, -0x1.4b5aa15fb5723p-17, -0x1.4a6b9d89a7e83p-17, -0x1.49723cf42c38cp-17, -0x1.486eb5a6412c5p-17, -0x1.47613d2986153p-17, -0x1.464a08899b6b7p-17, -0x1.45294c537ea74p-17, -0x1.43ff3c9525159p-17, -0x1.42cc0cdcf211fp-17, -0x1.418ff0394a134p-17, -0x1.404b193854b33p-17, -0x1.3efdb9e78cd93p-17, -0x1.3da803d3a65abp-17, -0x1.3c4a280848f36p-17, -0x1.3ae4570fedf87p-17, -0x1.3976c0f3b1f0ap-17, -0x1.3801953b61fbep-17, -0x1.368502ed650dap-17, -0x1.3501388ec448fp-17, -0x1.337664233560bp-17, -0x1.31e4b32d2e561p-17, -0x1.304c52ae170bdp-17, -0x1.2ead6f26663ep-17, -0x1.2d083495cb28p-17, -0x1.2b5cce7b718a8p-17, -0x1.29ab67d64dc31p-17, -0x1.27f42b2551d4dp-17, -0x1.26374267d0d97p-17, -0x1.2474d71dcb186p-17, -0x1.22ad12484b8efp-17, -0x1.20e01c69d149ap-17, -0x1.1f0e1d86b898p-17, -0x1.1d373d25ab9adp-17, -0x1.1b5ba25022d0ep-17, -0x1.197b7392de25ap-17, -0x1.1796d6fe5534fp-17, -0x1.15adf2275665fp-17, -0x1.13c0ea2780d69p-17, -0x1.11cfe39ddd689p-17, -0x1.0fdb02af76a74p-17, -0x1.0de26b07e8c02p-17, -0x1.0be63fda02c69p-17, -0x1.09e6a3e0663dp-17, -0x1.07e3b95e27c53p-17, -0x1.05dda21f9241fp-17, -0x1.03d47f7aa9689p-17, -0x1.01c8724ff212fp-17, -0x1.ff733616646b6p-18, -0x1.fb503347f90b5p-18, -0x1.f7281b3d0406cp-18, -0x1.f2fb2c1895c2ap-18, -0x1.eec9a319f87b4p-18, -0x1.ea93bc9e0ec18p-18, -0x1.e659b420dae5ap-18, -0x1.e21bc43f1514bp-18, -0x1.ddda26b7af981p-18, -0x1.d995146d718fcp-18, -0x1.d54cc56873fc7p-18, -0x1.d10170d7d9037p-18, -0x1.ccb34d1347879p-18, -0x1.c8628f9c9651fp-18, -0x1.c40f6d215c6b8p-18, -0x1.bfba197ca612cp-18, -0x1.bb62c7b8a30f3p-18, -0x1.b709aa103c3bdp-18, -0x1.b2aef1f0aed51p-18, -0x1.ae52cffb48a29p-18, -0x1.a9f574071976dp-18, -0x1.a5970d228a2a4p-18, -0x1.a137c9952eacfp-18, -0x1.9cd7d6e16d25bp-18, -0x1.987761c62b1f3p-18, -0x1.94169640691f4p-18, -0x1.8fb59f8d0e61ap-18, -0x1.8b54a82a9ef3cp-18, -0x1.86f3d9daf94fep-18, -0x1.82935da4f801ep-18, -0x1.7e335bd6297e8p-18, -0x1.79d3fc048d743p-18, -0x1.757565105795fp-18, -0x1.7117bd2588513p-18, -0x1.6cbb29bdb4352p-18, -0x1.685fcfa1bb364p-18, -0x1.6405d2eb8ca05p-18, -0x1.5fad5707ba9bfp-18, -0x1.5b567eb75938ap-18, -0x1.57016c117eecdp-18, -0x1.52ae40851d481p-18, -0x1.4e5d1cdab50b4p-18, -0x1.4a0e213602c17p-18, -0x1.45c16d1791b24p-18, -0x1.41771f5ea1431p-18, -0x1.3d2f564ab2257p-18, -0x1.38ea2f7d32a6bp-18, -0x1.34a7c7fb371a5p-18, -0x1.30683c2f1809dp-18, -0x1.2c2ba7ea40d0dp-18, -0x1.27f22666c1b21p-18, -0x1.23bbd248f8677p-18, -0x1.1f88c5a11212bp-18, -0x1.1b5919ecde2c9p-18, -0x1.172ce81966138p-18, -0x1.1304488494be5p-18, -0x1.0edf52fed04fbp-18, -0x1.0abe1ecc8ab9fp-18, -0x1.06a0c2a7f05cfp-18, -0x1.028754c274eaap-18, -0x1.fce3d58cf75aep-19, -0x1.f4c133b19a289p-19, -0x1.eca6ed348b342p-19, -0x1.e4952a52f4063p-19, -0x1.dc8c124872081p-19, -0x1.d48bcb51ee95cp-19, -0x1.cc947ab10572ap-19, -0x1.c4a644aefb689p-19, -0x1.bcc14c9fd5c35p-19, -0x1.b4e5b4e57a70bp-19, -0x1.ad139ef29025p-19, -0x1.a54b2b4d98241p-19, -0x1.9d8c7993d959p-19, -0x1.95d7a87c6c4a2p-19, -0x1.8e2cd5db26309p-19, -0x1.868c1ea389402p-19, -0x1.7ef59eebacdd8p-19, -0x1.776971ef433aap-19, -0x1.6fe7b21269562p-19, -0x1.687078e46dc24p-19, -0x1.6103df22a668bp-19, -0x1.59a1fcbb55de3p-19, -0x1.524ae8d05bae4p-19, -0x1.4afeb9ba457ecp-19, -0x1.43bd850ae7b89p-19, -0x1.3c875f900d3f8p-19, -0x1.355c5d56256f1p-19, -0x1.2e3c91ab18b75p-19, -0x1.27280f20f6995p-19, -0x1.201ee790835c8p-19, -0x1.19212c1bebcf2p-19, -0x1.122eed3186496p-19, -0x1.0b483a8e45dd9p-19, -0x1.046d23406a105p-19, -0x1.fb3b6b53cbdacp-20, -0x1.edb3ff05f974p-20, -0x1.e0441bb975d18p-20, -0x1.d2ebda47618a7p-20, -0x1.c5ab5244988ebp-20, -0x1.b8829a065481cp-20, -0x1.ab71c6a72ec74p-20, -0x1.9e78ec0c4e5f5p-20, -0x1.91981ce9acde6p-20, -0x1.84cf6ac75b588p-20, -0x1.781ee605de688p-20, -0x1.6b869de2d5279p-20, -0x1.5f06a07dd77c8p-20, -0x1.529efadd072b5p-20, -0x1.464fb8f1809d3p-20, -0x1.3a18e59bdaa57p-20, -0x1.2dfa8ab07f12ep-20, -0x1.21f4b0fc00f3ap-20, -0x1.160760482fec7p-20, -0x1.0a329f5fb9f05p-20, -0x1.fcece8257f505p-21, -0x1.e5a5c6760f187p-21, -0x1.ce8fe18032b67p-21, -0x1.b7ab3f36f4281p-21, -0x1.a0f7e3ba1121bp-21, -0x1.8a75d15dd3e74p-21, -0x1.742508b2d72adp-21, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      31, 0x1.6666666666666p+2, 0x1.4227bc908e385p-1, 0x1.448fd6a325ep-8, -0x1.7a64610449b1ep-5, 
      {{
        {0x1.05c28f5c28f5cp+2, 0x1.0666666666666p+2, 0x1.f309f00c9d307p-6, -0x1.8b167c86e8d2ep-5, 0x1.f12f9c1244fd2p-7, 0x1.998b5de601a5fp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.eb297a685fdd2p-6, -0x1.889628215c221p-5, 0x1.f75442998f40cp-7, 0x1.91024c0b1c6ecp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.c48b892f2ec9ep-6, -0x1.7ba09bac8cecap-5, 0x1.0ab3d0f398b1ap-6, 0x1.87d2bb8344293p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.9f42e63171df5p-6, -0x1.6decc79c53ddcp-5, 0x1.1965519551a63p-6, 0x1.7e2cc58eb9fb8p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7b625f35d056p-6, -0x1.5f7f311b35359p-5, 0x1.27ba3297789f9p-6, 0x1.7726ef835b402p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.58fc51c70d43bp-6, -0x1.505bd86ea192ap-5, 0x1.35cba85f98d86p-6, 0x1.4f18a68e2c07p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.38227c1ccac98p-6, -0x1.408e0a18eb027p-5, 0x1.425c9504edb23p-6, 0x1.170428e42f42p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.18e4d30f80f7bp-6, -0x1.302cd8b0233d5p-5, 0x1.4cd3235a49119p-6, 0x1.c4042e9d050b2p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f6a182ee032a8p-7, -0x1.1f5272941c1aap-5, 0x1.554cd106d45dp-6, 0x1.585a9a31d78ebp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.bee23da7ee1c5p-7, -0x1.0e187bf995bebp-5, 0x1.5bc1b71e2a015p-6, 0x1.da43e53a2a447p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.8a9c5e9fc8eccp-7, -0x1.f9317c35ed1c2p-6, 0x1.6033f3aab599dp-6, 0x1.039611dd8029p-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.59db477a4b129p-7, -0x1.d5d9f08e3b403p-6, 0x1.62a2f56f2f9a3p-6, 0x1.67c3ad0181af9p-13}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2ca5332ddd51fp-7, -0x1.b25dd8eac1fc4p-6, 0x1.630ee35649a79p-6, -0x1.5352fdce726ebp-11}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.02fb360299bfdp-7, -0x1.8ef0b7cd84727p-6, 0x1.6177b2f2851e4p-6, -0x1.804a496585517p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.b9b27b24977b4p-8, -0x1.6bc6101a3ba38p-6, 0x1.5ddd670f2b118p-6, -0x1.2b75b1df1e874p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.746c2190dff79p-8, -0x1.4911649a72005p-6, 0x1.583ffeec95b24p-6, -0x1.96c6345b62bf9p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.36069fc468f26p-8, -0x1.2706381eb6677p-6, 0x1.509f7abe123ebp-6, -0x1.010b5cd534a45p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fcb5d1b9e20b8p-9, -0x1.05d80d75b4843p-6, 0x1.46fbda7613784p-6, -0x1.36b39f2f5d979p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.9a6f453732d89p-9, -0x1.cb74cedd40b0ep-7, 0x1.3b551e177ff5ep-6, -0x1.6c5be155a48e7p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.44c24ac9cbf26p-9, -0x1.8dc191b0dfb79p-7, 0x1.2dab45a449ca4p-6, -0x1.a2042498a2cafp-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.f645f102f47aap-10, -0x1.52fd690511922p-7, 0x1.1dfe5111c3af8p-6, -0x1.d7ac639cb6badp-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.79e193699faf7p-10, -0x1.1b8f5a759f997p-7, 0x1.0c4e4088b0089p-6, -0x1.06aa593fe020ep-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.12ed3e0248316p-10, -0x1.cfbcd752f84d2p-8, 0x1.f13626e164d84p-7, -0x1.217e6312f7beep-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7faaf92a4e4d4p-11, -0x1.70a3443bef87bp-8, 0x1.c5c99804f2e25p-7, -0x1.3c52db7031825p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.fb7695e000997p-12, -0x1.1aa007d78241dp-8, 0x1.9656c3e751dbap-7, -0x1.5725b74367d74p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.387f663884edfp-12, -0x1.9d02539ec07cfp-9, 0x1.62dde86a02483p-7, -0x1.71fe96b478501p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.5c68224317361p-13, -0x1.1a29856a6706ep-9, 0x1.2b5e1e9bbd095p-7, -0x1.8cc104382fee1p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.4ecdba5281b4p-14, -0x1.5ca2b009aa54p-10, 0x1.dfb588c0387c8p-8, -0x1.a7d735d36f15fp-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.f7780c17902p-16, -0x1.6c5d554b3f0abp-11, 0x1.608e9233fd902p-8, -0x1.c1b4c8fddc5efp-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d55d037d33p-18, -0x1.10914d0f98283p-12, 0x1.b34a456943b52p-9, -0x1.e02111d4216a9p-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.f67c587401904p-22, -0x1.3c882aa58d8b2p-15, 0x1.266cdbd3f8ec9p-10, -0x1.d37974d8f3c78p-7}, 
      }}, 
      0x1.ca7d9fc20ad01p-5, 0x1.226daf28301ffp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.491f16f18919cp-2, -0x1.08381b4f66c58p-2, -0x1.429080c1308c6p-1, -0x1.ff5b54e55f95cp-6, 0x1.50b0f27bb2fecp-2, 0x1.50b0f27bb2fecp-2, 0x1.50b0f27bb2fecp-2, 0, 4, 2}, 
    {{
      {{-0x1.c0d2b3e186528p-2, -0x1.bf0da68066829p-2, -0x1.bc21e853cc841p-2, -0x1.b819e888bc53ap-2, -0x1.b3034b0ce45a9p-2, -0x1.acee3a46d387p-2, -0x1.a5ecbec9bea31p-2, -0x1.9e12269079c87p-2, -0x1.9572804d15887p-2, -0x1.8c222c1dd89f2p-2, -0x1.823581230c93cp-2, -0x1.77c085b7664bap-2, -0x1.6cd6b8b3b15a4p-2, -0x1.618ae7952d271p-2, -0x1.55ef114398017p-2, -0x1.4a1451197ed62p-2, -0x1.3e0ad1b4ce997p-2, -0x1.31e1c609b4f9bp-2, -0x1.25a76711e6ee2p-2, -0x1.1968f549fbabbp-2, -0x1.0d32bce58fa3dp-2, -0x1.01101bd1ec291p-2, -0x1.ea1711af869f7p-3, -0x1.d25d36bcfb5bap-3, -0x1.bb0426ffb493ep-3, -0x1.a41bc46da9c2bp-3, -0x1.8db2631beb882p-3, -0x1.77d4d96f63a6cp-3, -0x1.628e9014a0998p-3, -0x1.4de991ac3157p-3, -0x1.39ee9a3d1baap-3, -0x1.26a5266835ep-3, -0x1.14138270a5fb6p-3, -0x1.023ed9264946bp-3, -0x1.e256856b46cc7p-4, -0x1.c1b7a6e630b03p-4, -0x1.a2a5552dd9d0fp-4, -0x1.852201e6a20c6p-4, -0x1.692e6f34fd8c9p-4, -0x1.4ec9ccd87debcp-4, -0x1.35f1d4fd194d6p-4, -0x1.1ea2e8a706905p-4, -0x1.08d82babc2255p-4, -0x1.e9173ff0efdbp-5, -0x1.c36c80a39d0efp-5, -0x1.a0a0347052113p-5, -0x1.80a0ce1038b28p-5, -0x1.635b487591dd7p-5, -0x1.48bb5576d34b4p-5, -0x1.30ab8a8e28d69p-5, -0x1.1b158b99bb329p-5, -0x1.07e2338b522b3p-5, -0x1.edf375f55602bp-6, -0x1.d087b916f9c54p-6, -0x1.b74fee4d58ef8p-6, -0x1.a21a5bd8be64ap-6, -0x1.90b50c0f321afp-6, -0x1.82ee041564581p-6, -0x1.7893770fcde65p-6, -0x1.7173f3280099cp-6, -0x1.6d5e8d55b45f2p-6, -0x1.6c2303cfdbb2ep-6, -0x1.6d91e455df6cdp-6, -0x1.717ca2acc52bbp-6, -0x1.77b5baf22b207p-6, -0x1.8010be98343e4p-6, -0x1.8a626c661be06p-6, -0x1.9680c3ec19545p-6, -0x1.a442fab7200dfp-6, -0x1.b381b79dc52dap-6, -0x1.c416c86d6cbbp-6, -0x1.d5dd8f1ddb7aep-6, -0x1.e8b29b3015aa3p-6, -0x1.fc73ed857a944p-6, -0x1.088080e982a1bp-5, -0x1.131d2e4f8b7dep-5, -0x1.1e012500688aep-5, -0x1.291e009bac6b9p-5, -0x1.34661a873ecefp-5, -0x1.3fcc7e5d5492ap-5, -0x1.4b44aa205015fp-5, -0x1.56c2eaf95ce51p-5, -0x1.623c07d67e8d7p-5, -0x1.6da55c4d81f8cp-5, -0x1.78f4eb249713fp-5, -0x1.84212c48e52efp-5, -0x1.8f212ed339e44p-5, -0x1.99ec8a375dcb6p-5, -0x1.a47b5414f1575p-5, -0x1.aec629dabd7fep-5, -0x1.b8c627726da09p-5, -0x1.c274e5e9dca56p-5, -0x1.cbcc7a8a2b24bp-5, -0x1.d4c7737226922p-5, -0x1.dd60d5bfe5533p-5, -0x1.e5941b8a5cb3dp-5, -0x1.ed5d31d3cbfd6p-5, -0x1.f4b87691c2303p-5, -0x1.fba2b6a733afbp-5, -0x1.010c95d519857p-4, -0x1.040cbc9ff0e18p-4, -0x1.06d0d52d9e4a4p-4, -0x1.095816f019555p-4, -0x1.0ba1e985fb77fp-4, -0x1.0dade2c47ea4ep-4, -0x1.0f7bc4a2da065p-4, -0x1.110b7b1a2883ep-4, -0x1.125d19fd7c3d5p-4, -0x1.1370dad2c4c5dp-4, -0x1.14471ab8a5475p-4, -0x1.14e05856df7dep-4, -0x1.153d31d8db63fp-4, -0x1.155e62f75b938p-4, -0x1.1544c30bb928ep-4, -0x1.14f14328f50cdp-4, -0x1.1464ec3db9cf8p-4, -0x1.13a0dd3e468ccp-4, -0x1.12a6495378f5ep-4, -0x1.11767612c359ap-4, -0x1.1012b9c46be98p-4, -0x1.0e7c79b45c716p-4, -0x1.0cb52894718f1p-4, -0x1.0abe44f1828dp-4, -0x1.089957bc42eaep-4, -0x1.0647f2e9529ffp-4, -0x1.03cbb020c2518p-4, -0x1.01262f89e26ap-4, -0x1.fcb22d4e2ab1ap-5, -0x1.f6cc1e7cf8dfp-5, -0x1.f09d8cbe3ef45p-5, -0x1.ea29d6cf7576ap-5, -0x1.e3745e3e316f7p-5, -0x1.dc8085c1847b2p-5, -0x1.d551af7f507edp-5, -0x1.cdeb3b8850287p-5, -0x1.c65086696a319p-5, -0x1.be84e79c9140bp-5, -0x1.b68bb045753fdp-5, -0x1.ae6829f5aadc4p-5, -0x1.a61d954b66517p-5, -0x1.9daf28ec62408p-5, -0x1.9520108507223p-5, -0x1.8c736b98ce895p-5, -0x1.83ac4cb9c3d22p-5, -0x1.7acdb8cecc328p-5, -0x1.71daa6185e6fp-5, -0x1.68d5fb97b268ap-5, -0x1.5fc290a2f2d77p-5, -0x1.56a32c2379a93p-5, -0x1.4d7a8416a2d96p-5, -0x1.444b3d655c7f7p-5, -0x1.3b17eb67756eap-5, -0x1.31e30f6cae6acp-5, -0x1.28af18b976e0cp-5, -0x1.1f7e645a2e472p-5, -0x1.16533cb8bdc8bp-5, -0x1.0d2fd99698d22p-5, -0x1.04166022a8fa6p-5, -0x1.f611c5a720c3cp-6, -0x1.e412c1c110d7fp-6, -0x1.d2338f10dfc5ap-6, -0x1.c077e109b6aa1p-6, -0x1.aee34679333fap-6, -0x1.9d7928916a2c2p-6, -0x1.8c3ccbc643a81p-6, -0x1.7b314ff4b7ee1p-6, -0x1.6a59afee98072p-6, -0x1.59b8c2ba1b91bp-6, -0x1.49513bcbfb4c9p-6, -0x1.3925ab11e69f6p-6, -0x1.29387d6f55589p-6, -0x1.198bfd91d6624p-6, -0x1.0a22546599ff1p-6, -0x1.f5fb12b5ca4f7p-7, -0x1.d83f05bbb4435p-7, -0x1.bb140eb2f013bp-7, -0x1.9e7d7b9fb3eecp-7, -0x1.827e5c35750e4p-7, -0x1.671982fa07409p-7, -0x1.4c518751dac54p-7, -0x1.3228c71220161p-7, -0x1.18a1670bf590cp-7, -0x1.ff7aa83054bbp-8, -0x1.cefc8a2540975p-8, -0x1.9fcb7939e3ffcp-8, -0x1.71ea1409ac781p-8, -0x1.455a944878b4ep-8, -0x1.1a1ed202cc83cp-8, -0x1.e0708ea2797d3p-9, -0x1.8f502599d6795p-9, -0x1.40ddf2d1a2d4p-9, -0x1.ea35a47e6e578p-10, -0x1.580df0d1be028p-10, -0x1.9687dedafec99p-11, -0x1.0f56262258a5ap-12, 0x1.f20445dd58ef2p-13, 0x1.760568af110f7p-11, 0x1.327681c56e57cp-10, 0x1.a4a28dbbd9554p-10, 0x1.08c73fb58a17ep-9, 0x1.3ca17d6fbd5fep-9, 0x1.6de4ca92cacb1p-9, 0x1.9c96674dd5718p-9, 0x1.c8bc07730083ep-9, 0x1.f25bcd37bdcb2p-9, 0x1.0cbe2075f267fp-8, 0x1.1f1225428e72cp-8, 0x1.302d98115c48fp-8, 0x1.40144b1a2b2a7p-8, 0x1.4eca3da3bbe07p-8, 0x1.5c53975e71b39p-8, 0x1.68b4a430dc26p-8, 0x1.73f1d33731b63p-8, 0x1.7e0fb7f6496ebp-8, 0x1.871309f66c2a2p-8, 0x1.8f00a0b067256p-8, 0x1.95dd6e0ce8e48p-8, 0x1.9bae7b8e64887p-8, 0x1.a078eb68648e4p-8, 0x1.a441fa675c3f9p-8, 0x1.a70efe84c4b5ep-8, 0x1.a8e56197c48dep-8, 0x1.a9ca9bd6140d4p-8, 0x1.a9c43229b3e1p-8, 0x1.a8d7b877e24d8p-8, 0x1.a70ad3e841e95p-8, 0x1.a463392e2f3abp-8, 0x1.a0e6a6e118a17p-8, 0x1.9c9adfebaf959p-8, 0x1.9785aa07e1515p-8, 0x1.91acd05f648fp-8, 0x1.8b162680fcab4p-8, 0x1.83c7879013b8ep-8, 0x1.7bc6d12ae9d03p-8, 0x1.7319dd77bb2e3p-8, 0x1.69c6805db2e63p-8, 0x1.5fd28a1dbfd31p-8, 0x1.5543ca64805eap-8, 0x1.4a20112cdbf77p-8, 0x1.3e6d2c75aaef4p-8, 0x1.3230e197c3b2bp-8, 0x1.2570e92939d0dp-8, 0x1.1832eedee52e8p-8, 0x1.0a7c94c56d401p-8, 0x1.f8a6ece824c39p-9, 0x1.db7a51da41d7dp-9, 0x1.bd7e6d4248e66p-9, 0x1.9ebe34445409fp-9, 0x1.7f4475fe9c2a6p-9, 0x1.5f1bdceeeadp-9, 0x1.3e4ef599a34b2p-9, 0x1.1ce834558e4f9p-9, 0x1.f5e3ea01393edp-10, 0x1.b0ece823bf397p-10, 0x1.6aff8ac21617p-10, 0x1.242f9cd144e46p-10, 0x1.b9211c19b81e8p-11, 0x1.286afcbcdb9bap-11, 0x1.2cc526d38132fp-12, 0x1.968b0cfcc6896p-18, -0x1.2221b0be2f537p-12, -0x1.263346861652dp-11, -0x1.bc170ceab318fp-11, -0x1.294ce9d93c4e4p-10, -0x1.74cd02269603cp-10, -0x1.c07b59622174dp-10, -0x1.0623e3996bd29p-9, -0x1.2c1139067c2d1p-9, -0x1.51fdec46fe1d3p-9, -0x1.77e26eaad9f69p-9, -0x1.9db767450cff2p-9, -0x1.c375b2a4b1eap-9, -0x1.e9165f18b6cbcp-9, -0x1.074953f87598cp-8, -0x1.19f1f947f222ap-8, -0x1.2c81e7758dfaap-8, -0x1.3ef5fd822ef88p-8, -0x1.514b339d5cd85p-8, -0x1.637e9c82ab70dp-8, -0x1.758d655dd686fp-8, -0x1.8774d45b5d791p-8, -0x1.993246b3c5113p-8, -0x1.aac32f3325868p-8, -0x1.bc2515eb4e66dp-8, -0x1.cd559914d0ea8p-8, -0x1.de526e818a25dp-8, -0x1.ef1964c6d30cbp-8, -0x1.ffa8637e59474p-8, -0x1.07feb53e4d5f1p-7, -0x1.100b482dadc5fp-7, -0x1.17f9007f0734bp-7, -0x1.1fc6fe566aa98p-7, -0x1.27746c06e22f7p-7, -0x1.2f007e67e7eb8p-7, -0x1.366a7543639ap-7, -0x1.3db19b97516d8p-7, -0x1.44d54781c09eep-7, -0x1.4bd4d9d72184ep-7, -0x1.52afbd8837467p-7, -0x1.5965670f5eb52p-7, -0x1.5ff5541766c31p-7, -0x1.665f0b701afadp-7, -0x1.6ca21d3db7f4dp-7, -0x1.72be2335116e7p-7, -0x1.78b2c0b46496p-7, -0x1.7e7fa29bd26c7p-7, -0x1.84247ee55f0dcp-7, -0x1.89a114172274ap-7, -0x1.8ef528bbb8056p-7, -0x1.94208b0bdde17p-7, -0x1.992310e174763p-7, -0x1.9dfc97e9eaee7p-7, -0x1.a2ad05efa6774p-7, -0x1.a7344905b8498p-7, -0x1.ab92576a6352p-7, -0x1.afc72f10d04cdp-7, -0x1.b3d2d4e2ba73cp-7, -0x1.b7b553e9e1dfcp-7, -0x1.bb6ebca2e4db1p-7, -0x1.beff24b61c72cp-7, -0x1.c266a7348bcebp-7, -0x1.c5a5654640b7ap-7, -0x1.c8bb87066bd83p-7, -0x1.cba93c2df08aep-7, -0x1.ce6ebc30ac88p-7, -0x1.d10c4597566fbp-7, -0x1.d3821c9bb1e44p-7, -0x1.d5d089523bce4p-7, -0x1.d7f7d5e46b445p-7, -0x1.d9f84d72d9162p-7, -0x1.dbd23c1856be7p-7, -0x1.dd85f036547e7p-7, -0x1.df13bcc61556bp-7, -0x1.e07bfc031e1ap-7, -0x1.e1bf11869fa4cp-7, -0x1.e2dd6af4193fep-7, -0x1.e3d77eaa28fafp-7, -0x1.e4adc8792d649p-7, -0x1.e560c50a53afep-7, -0x1.e5f0ed2e50dp-7, -0x1.e65eb28baf03fp-7, -0x1.e6aa7ef34925ap-7, -0x1.e6d4b6fecbbc9p-7, -0x1.e6ddbfa9d3b24p-7, -0x1.e6c60597f59a3p-7, -0x1.e68e03fd1fc06p-7, -0x1.e63648e822a03p-7, -0x1.e5bf752261bfbp-7, -0x1.e52a36eb0cedp-7, -0x1.e47740487c637p-7, -0x1.e3a73b1e2c3efp-7, -0x1.e2babe3657c15p-7, -0x1.e1b2469d60322p-7, -0x1.e08e37e1e13b7p-7, -0x1.df4ee421e8335p-7, -0x1.ddf49aa72c59ep-7, -0x1.dc7fb9c355483p-7, -0x1.daf0bf3d98803p-7, -0x1.d948526ddbd2dp-7, -0x1.d787444a8bbcbp-7, -0x1.d5ae8408dbbcap-7, -0x1.d3bf09f7cbe7bp-7, -0x1.d1b9bd290abadp-7, -0x1.cf9f5a744bb03p-7, -0x1.cd7063c0c81d8p-7, -0x1.cb2d1d04220c4p-7, -0x1.c8d599497d9bbp-7, -0x1.c669d60cf4032p-7, -0x1.c3e9df43f0b46p-7, -0x1.c155f3960a209p-7, -0x1.beae9f66c1bbfp-7, -0x1.bbf4c6c67631cp-7, -0x1.b9299a06a63e8p-7, -0x1.b64e75c6d0ed9p-7, -0x1.b364b4a77cd4bp-7, -0x1.b06d7d022d0bdp-7, -0x1.ad6996d94a5c9p-7, -0x1.aa595502deba8p-7, -0x1.a73c9886263d2p-7, -0x1.a412ef2b61a78p-7, -0x1.a0dbc7c62219ep-7, -0x1.9d96b15390bc5p-7, -0x1.9a4396dfad70ap-7, -0x1.96e2ea0a85c1cp-7, -0x1.9375b123ee8f9p-7, -0x1.8ffd73b66760ap-7, -0x1.8c7c07e69948p-7, -0x1.88f34a9cc3d7fp-7, -0x1.8564d212a020cp-7, -0x1.81d1ac6d4608dp-7, -0x1.7e3a39b9ced55p-7, -0x1.7a9e2a7a6f361p-7, -0x1.76fca3a77955fp-7, -0x1.735480d1aa2d1p-7, -0x1.6fa4a6d459f68p-7, -0x1.6bec56458cbe3p-7, -0x1.682b6cd3cf614p-7, -0x1.646287cf7ffdbp-7, -0x1.6092ffd0909c9p-7, -0x1.5cbebd0f773bfp-7, -0x1.58e7ec72fb3dap-7, -0x1.5510a4bcc3c64p-7, -0x1.513a8f8302b97p-7, -0x1.4d66a916e62d1p-7, -0x1.499524d0b92e8p-7, -0x1.45c57a3098217p-7, -0x1.41f695dbac1ffp-7, -0x1.3e27227c4714ep-7, -0x1.3a55da21519d2p-7, -0x1.3681d09a5b083p-7, -0x1.32aaa9b01ea2ap-7, -0x1.2ed0b275010f9p-7, -0x1.2af4daa61f10dp-7, -0x1.2718911afa6d9p-7, -0x1.233d8b3d827acp-7, -0x1.1f6582ab4cf5cp-7, -0x1.1b91f55785175p-7, -0x1.17c3f3c7b48dp-7, -0x1.13fc0631b490ep-7, -0x1.103a2ca9213e2p-7, -0x1.0c7df944e1822p-7, -0x1.08c6be2b2c726p-7, -0x1.0513c4e1c90fp-7, -0x1.016480760cdcfp-7, -0x1.fb7156b7f2595p-8, -0x1.f4208f4fe56b8p-8, -0x1.ecd709bf85b41p-8, -0x1.e59538af8c8dfp-8, -0x1.de5b751890c04p-8, -0x1.d72a06febef52p-8, -0x1.d0015b9defcffp-8, -0x1.c8e23fb3fe138p-8, -0x1.c1cdeea51dc2ap-8, -0x1.bac5e1eece83bp-8, -0x1.b3cb78d4d6327p-8, -0x1.acdfb268845p-8, -0x1.a603316189aeep-8, -0x1.9f3692ab7b95bp-8, -0x1.987addf918331p-8, -0x1.91d1b1d78e786p-8, -0x1.8b3ce54cdb8bbp-8, -0x1.84bda94ba09ap-8, -0x1.7e538e79ab3ecp-8, -0x1.77fc00445a33bp-8, -0x1.71b2a37f3a791p-8, -0x1.6b729c96ad3ecp-8, -0x1.653840dd78e8bp-8, -0x1.5f02667bb00c5p-8, -0x1.58d2a15160f5ap-8, -0x1.52ac48b84af26p-8, -0x1.4c92df904e419p-8, -0x1.4688dfecbcf19p-8, -0x1.408faba158c78p-8, -0x1.3aa88e98db4fp-8, -0x1.34d5f383a75f7p-8, -0x1.2f1bc8d94b924p-8, -0x1.297ea1a5cb18fp-8, -0x1.2401e8563a5d5p-8, -0x1.1ea5fe2bdba29p-8, -0x1.19672b062406ap-8, -0x1.143def81a26cfp-8, -0x1.0f20d696dc9a7p-8, -0x1.0a0758bef8866p-8, -0x1.04ecc16786c73p-8, -0x1.ffa34728fbd07p-9, -0x1.f575ba0db49a3p-9, -0x1.eb5d2a0eaf32cp-9, -0x1.e16242714b78cp-9, -0x1.d787bfff3e69cp-9, -0x1.cdcd1e8a2c2eap-9, -0x1.c433908fb7877p-9, -0x1.bac1595c254f6p-9, -0x1.b1814a0bd01f9p-9, -0x1.a87ed9d04019bp-9, -0x1.9fc15ec5e516fp-9, -0x1.97490fff957d4p-9, -0x1.8f0e9919d27c8p-9, -0x1.87044157acb0fp-9, -0x1.7f1808c205d89p-9, -0x1.7737780728934p-9, -0x1.6f55585ef1e9cp-9, -0x1.676edbddec6a7p-9, -0x1.5f8c2556d14dp-9, -0x1.57baa2cda3b41p-9, -0x1.5004f038eb83ep-9, -0x1.486e6978b1d31p-9, -0x1.40f4fdfc17721p-9, -0x1.399685402a333p-9, -0x1.325559f85ca3ap-9, -0x1.2b3965bfd66dep-9, -0x1.244c9ef123ca2p-9, -0x1.1d9563d08d1dep-9, -0x1.1713a38a3cf67p-9, -0x1.10c2d1ff681e4p-9, -0x1.0a9d8846baa54p-9, -0x1.049ed33e91863p-9, -0x1.fd81368921c2dp-10, -0x1.f1f41423f9b38p-10, -0x1.e681e55dc4113p-10, -0x1.db1c0339602b3p-10, -0x1.cfc0d8a05d4bp-10, -0x1.c47bd402a0c61p-10, -0x1.b95d7d06d6794p-10, -0x1.ae71f95822c8bp-10, -0x1.a3bc3be08176p-10, -0x1.99381671e8c8dp-10, -0x1.8ee3b8f8ff8adp-10, -0x1.84c898b13630dp-10, -0x1.7af5b8bc866e3p-10, -0x1.717086d964389p-10, -0x1.683050be8267fp-10, -0x1.5f272e036cb25p-10, -0x1.564ba8231bb24p-10, -0x1.4d9c6081a57cfp-10, -0x1.451f0399a52e7p-10, -0x1.3cdc04341d063p-10, -0x1.34d8427f0d019p-10, -0x1.2d0f9a5d8d3a2p-10, -0x1.2572d0fd957b5p-10, -0x1.1deb5d37ce61bp-10, -0x1.166908f032953p-10, -0x1.0ef160608ab98p-10, -0x1.079bd4ebd5874p-10, -0x1.0078cdee612fp-10, -0x1.f3049adc2027fp-11, -0x1.e55d4f0bd2755p-11, -0x1.d80e8768ed90cp-11, -0x1.cb35b8d41a5f7p-11, -0x1.becd08c074f4ep-11, -0x1.b2b4b0281320fp-11, -0x1.a6d32413a2312p-11, -0x1.9b1f724ce68d9p-11, -0x1.8f9a2269872e8p-11, -0x1.84474b8993b09p-11, -0x1.7930afe2d2f2dp-11, -0x1.6e69d198d775ap-11, -0x1.640bf4bb3e2e4p-11, -0x1.5a286fee2eb99p-11, -0x1.50b7bd2ffd28cp-11, -0x1.478aa5d26499dp-11, -0x1.3e5b4d55bdc74p-11, -0x1.351758b338426p-11, -0x1.2bfddf57913a5p-11, -0x1.233fc140baf21p-11, -0x1.1abdec730ac4dp-11, -0x1.125e3a3ce9b56p-11, -0x1.0a45a64f66d7bp-11, -0x1.028cb2491c797p-11, -0x1.f634c11e30314p-12, -0x1.e79e9cde61a8bp-12, -0x1.d93fccc58b862p-12, -0x1.cb1cf1591fb49p-12, -0x1.bd409e54d54eep-12, -0x1.afb008127893ep-12, -0x1.a269b93dc2079p-12, -0x1.956d3a769bf56p-12, -0x1.88c76720b57cap-12, -0x1.7c95e81811786p-12, -0x1.70f84f6af2a2dp-12, -0x1.65fe5d46a37f8p-12, -0x1.5b954bd258b8fp-12, -0x1.515ff1664b653p-12, -0x1.47029dae1dc8fp-12, -0x1.3ccb700cf170ep-12, -0x1.33130706c7b47p-12, -0x1.298678918bbb6p-12, -0x1.2015088ae637dp-12, -0x1.172312a91a902p-12, -0x1.0eb09ed4d0646p-12, -0x1.067d25fcb1373p-12, -0x1.fcd73d2ddde7dp-13, -0x1.ecfdbbfc84115p-13, -0x1.dd7fc76659de7p-13, -0x1.ce68dd4240967p-13, -0x1.bfbdbc0eee5bbp-13, -0x1.b17e886e608f2p-13, -0x1.a3a6f2cac35e9p-13, -0x1.962fcc55e6c0fp-13, -0x1.891649d642fcep-13, -0x1.7c64678000bp-13, -0x1.702bff9faa249p-13, -0x1.64771c3d68684p-13, -0x1.595a83cfcddp-13, -0x1.4ef30e28b9b64p-13, -0x1.44d93456d4f17p-13, -0x1.3ac076ea6f94ap-13, -0x1.31057a2ffe776p-13, -0x1.274648df21b5bp-13, -0x1.1db6c94b8211fp-13, -0x1.14f1843f0bb5cp-13, -0x1.0ca3507500cc9p-13, -0x1.047939c66ab7dp-13, -0x1.f8e3776b87be6p-14, -0x1.e93d535edc30fp-14, -0x1.da146409c98eap-14, -0x1.cb6cda5a96bc2p-14, -0x1.bd43519320e6fp-14, -0x1.af9378d27014cp-14, -0x1.a25b2bae75cdep-14, -0x1.9599825d6fa0dp-14, -0x1.894b063cf93dbp-14, -0x1.7d671f83dfff2p-14, -0x1.71e3646e7a27dp-14, -0x1.66bb5873e7054p-14, -0x1.5bec6f15266cdp-14, -0x1.516a13194e19fp-14, -0x1.47699358d5034p-14, -0x1.3e7f25c28d54p-14, -0x1.361651ba4395dp-14, -0x1.2d8663f2883bcp-14, -0x1.24b1b55a230d7p-14, -0x1.1c28211b33a9fp-14, -0x1.149915ee4487dp-14, -0x1.0d5958735f65ap-14, -0x1.0627825e3031ep-14, -0x1.fe3901a9094f4p-15, -0x1.f09a9802163a1p-15, -0x1.e38150fbdbf87p-15, -0x1.d6ec199e6a202p-15, -0x1.cad4383a88f73p-15, -0x1.bf31a63de01f5p-15, -0x1.b3fda4bb2542dp-15, -0x1.a9347783baea8p-15, -0x1.9ed5aff48b135p-15, -0x1.94e1c5ae8cfd9p-15, -0x1.8b552f179dee3p-15, -0x1.8224b3fc092abp-15, -0x1.7940d1fb12053p-15, -0x1.70a07da3b4fa7p-15, -0x1.6840c9649a7fcp-15, -0x1.600f9d80e719bp-15, -0x1.582ec3f6a3cbfp-15, -0x1.516c61ae3e014p-15, -0x1.4b3292ed16392p-15, -0x1.44434594e2ceap-15, -0x1.3d490d484844dp-15, -0x1.375683a2289f1p-15, -0x1.319d3085a84c3p-15, -0x1.2be0121c5949cp-15, -0x1.2643807460d38p-15, -0x1.20d967828e232p-15, -0x1.1ba4b7a3e0a31p-15, -0x1.16a39ab0733bp-15, -0x1.11d310660b8e5p-15, -0x1.0d2fdd1c416fcp-15, -0x1.08b6d5ce942d7p-15, -0x1.04651e76c7d33p-15, -0x1.003878d71e19cp-15, -0x1.f85f309c488fbp-16, -0x1.f0944e1633cffp-16, -0x1.e90fe00d8f71fp-16, -0x1.e1ce768c7908cp-16, -0x1.dac76e7c68c63p-16, -0x1.d3ef3a9bf28b6p-16, -0x1.cd3f1a4f0fb74p-16, -0x1.c6bb3231b15b7p-16, -0x1.c061fd0260f5fp-16, -0x1.ba19ec15dc73dp-16, -0x1.b43bcfd920917p-16, -0x1.af07f9d7ba679p-16, -0x1.a92513877f67ep-16, -0x1.a3a982b4870bap-16, -0x1.9e9c19a3e2dddp-16, -0x1.99754cf74bab4p-16, -0x1.94564173ced31p-16, -0x1.8f52470a302ccp-16, -0x1.8a6b4149264aep-16, -0x1.859f19bf012b5p-16, -0x1.80eb71873aa2p-16, -0x1.7c4e2ac1dd9a2p-16, -0x1.77c5587727c6fp-16, -0x1.734f2aba1365fp-16, -0x1.6ee9ece2829fbp-16, -0x1.6a9410372b79bp-16, -0x1.664c41ab48429p-16, -0x1.62118c1cb487fp-16, -0x1.5de36ad856165p-16, -0x1.59c186a16a821p-16, -0x1.55ab0c9c9ab96p-16, -0x1.519e29fc089b1p-16, -0x1.4d9840b0dbd94p-16, -0x1.4997046654f77p-16, -0x1.459ae63d8307cp-16, -0x1.41a7e6483077bp-16, -0x1.3dbb8dd8b8617p-16, -0x1.39c497c778cf9p-16, -0x1.35e327e63ff0cp-16, -0x1.3204d73eaf95ap-16, -0x1.2e2f6b0a6aa68p-16, -0x1.2a66b6da1aebap-16, -0x1.268e5c326a816p-16, -0x1.22b4be0f61a3p-16, -0x1.1edd990fadb59p-16, -0x1.1b088e308dc29p-16, -0x1.1734e639ff142p-16, -0x1.13621802ebb78p-16, -0x1.0f8fc1a4b2481p-16, -0x1.0bbd980328e11p-16, -0x1.07eb5c202db3p-16, -0x1.0418d660d4dcap-16, -0x1.0045d5cb603c2p-16, -0x1.f8e46182a5191p-17, -0x1.f13b8cd1fda23p-17, -0x1.e99104ada1d59p-17, -0x1.e1e4c51e5e224p-17, -0x1.da36ef7704632p-17, -0x1.d287a6c1f2259p-17, -0x1.cad6d8cee06d9p-17, -0x1.c3242e117e73cp-17, -0x1.bb6f273e7d00ap-17, -0x1.b3b76c257bcfap-17, -0x1.abfdcbaa5d87bp-17, -0x1.a444d1fd71b97p-17, -0x1.9c8c965144a19p-17, -0x1.94cbc599dc6ccp-17, -0x1.8d03260015a37p-17, -0x1.85481cc541d74p-17, -0x1.7d9703fc2ddd1p-17, -0x1.75da6338f4a87p-17, -0x1.6e1a1cd3ec30ap-17, -0x1.665ace59ec6ffp-17, -0x1.5e9ccf25b0834p-17, -0x1.56e0258a1141cp-17, -0x1.4f24fc5696a0bp-17, -0x1.476b97f65f07p-17, -0x1.3fb44a765433fp-17, -0x1.37ff6d29ceceap-17, -0x1.304d5d34499bdp-17, -0x1.289e79a88aa83p-17, -0x1.20f322e985697p-17, -0x1.194bbabdbbe91p-17, -0x1.11a8a460e65c8p-17, -0x1.0a0a4487c7d9dp-17, -0x1.027101fd0f7f5p-17, -0x1.f5ba8ebf0f665p-18, -0x1.e69f08624c111p-18, -0x1.d79051e0b8559p-18, -0x1.c88f3df9eb8bcp-18, -0x1.b99c8b2d6c988p-18, -0x1.aab8eac199b8fp-18, -0x1.9be506885a3f9p-18, -0x1.8d21a9b87ce82p-18, -0x1.7e703496897c7p-18, -0x1.6fd242ed64f18p-18, -0x1.6147c109244ddp-18, -0x1.52cc33cbdae79p-18, -0x1.4464034c1a5a1p-18, -0x1.361de84bc07p-18, -0x1.27e8ac62ca26fp-18, -0x1.19c7de7f087aep-18, -0x1.0bbf2c14856d2p-18, -0x1.fb9ea3772db54p-19, -0x1.dff1c0add967bp-19, -0x1.c478f4c73b112p-19, -0x1.a9359434e6e5fp-19, -0x1.8e28f5eb4f75cp-19, -0x1.73546e02e9377p-19, -0x1.58b94b35f0788p-19, -0x1.3e58d573cdfd8p-19, -0x1.24344cc63f81p-19, -0x1.0a4ce8dfaaceep-19, -0x1.e147b268f16ebp-20, -0x1.ae748a46c2cc9p-20, -0x1.7c2297de35ad8p-20, -0x1.4a5409203c2b5p-20, -0x1.190afc75fca8bp-20, -0x1.d09306f673c59p-21, -0x1.70234a5f549cdp-21, -0x1.10cab009d82ebp-21, -0x1.6519d80c1be03p-22, -0x1.55b5d7e6b2845p-23, 0x1.a41a3dd76f3b4p-27, 0x1.85a66263e6bf9p-23, 0x1.76362fa6f2997p-22, 0x1.13a14d7c5d2edp-21, 0x1.6af7fe25baef2p-21, 0x1.c11c87b6e5225p-21, 0x1.0b08abbbaa5fbp-20, 0x1.34ef1398e5e83p-20, 0x1.5e2c1a19457e7p-20, 0x1.86cf4da77b398p-20, 0x1.aed7910c3bf61p-20, 0x1.d6406191700ccp-20, 0x1.fd08e52654ad1p-20, 0x1.1198389bb1566p-19, 0x1.245b2a6f8fe16p-19, 0x1.36ccf2eba79aap-19, 0x1.48ed435960a7fp-19, 0x1.5abbd476fb3c1p-19, 0x1.6c3866cbfd686p-19, 0x1.7d62c2b5637ecp-19, 0x1.8e3ab877eb3c6p-19, 0x1.9ec0204ea29b3p-19, 0x1.aef2da723b9fcp-19, 0x1.bed2cee66bc7ep-19, 0x1.ce5fed48b0e16p-19, 0x1.dd9a2c9e970e9p-19, 0x1.ec818b4ab708bp-19, 0x1.fb160ef6b98fap-19, 0x1.04abe225d7a41p-18, 0x1.0ba35f287931bp-18, 0x1.12718b08755e8p-18, 0x1.191675c333464p-18, 0x1.1f92337f8945p-18, 0x1.25e4dc40894c7p-18, 0x1.2c0e8b4c06c3ap-18, 0x1.320f5f819ebcdp-18, 0x1.37e77b16b51dp-18, 0x1.3d96fddab8084p-18, 0x1.431e0313731d9p-18, 0x1.487cb32d64d02p-18, 0x1.4db34ff0b300ap-18, 0x1.52c286a281f41p-18, 0x1.57a93f2f76bbcp-18, 0x1.5c687a01b8979p-18, 0x1.6100abacf2924p-18, 0x1.6571bef3654e4p-18, 0x1.69bbf0f9ba61fp-18, 0x1.6ddf82b1d11d8p-18, 0x1.71dcb5758e21fp-18, 0x1.75b3cc1acfc7ep-18, 0x1.79650b5dbc42p-18, 0x1.7cf0b9f410c4p-18, 0x1.8057208c380adp-18, 0x1.839889bef60e1p-18, 0x1.86b542016be3ep-18, 0x1.89ad979501ce4p-18, 0x1.8c81da7d8c103p-18, 0x1.8f325c766165fp-18, 0x1.91bf70e141f43p-18, 0x1.94296cb11f01p-18, 0x1.9670a6561c8e8p-18, 0x1.989575b0e2ba6p-18, 0x1.9a9834049338bp-18, 0x1.9c793be9bde3dp-18, 0x1.9e38e93613926p-18, 0x1.9fd798d63832dp-18, 0x1.a155a8bbceac8p-18, 0x1.a2b3780723b3cp-18, 0x1.a3f16724b330dp-18, 0x1.a50fd791d35f3p-18, 0x1.a60f2ba87fd99p-18, 0x1.a6efc6c555572p-18, 0x1.a7b20d5649213p-18, 0x1.a85663454d7e1p-18, 0x1.a8dd2abd4bb28p-18, 0x1.a946c96d95c31p-18, 0x1.a993a87ce239p-18, 0x1.a9c44cded1c38p-18, 0x1.a9d8eb5946476p-18, }}, 
      {{-0x1.c0ee32d7d21d4p-2, -0x1.bf7aa3a1e03cep-2, -0x1.bd13827c31e8bp-2, -0x1.b9bec27b69309p-2, -0x1.b5844916b221p-2, -0x1.b06d9c8f667f4p-2, -0x1.aa85920e677cdp-2, -0x1.a3d80013269ccp-2, -0x1.9c7177d177313p-2, -0x1.945f06c2904f5p-2, -0x1.8bae00c549c3ap-2, -0x1.826bd290e9a49p-2, -0x1.78a5dbddffddep-2, -0x1.6e695078f9c9p-2, -0x1.63c31f5e1ac43p-2, -0x1.58bfdf1a20a27p-2, -0x1.4d6bbeb07570ep-2, -0x1.41d27a6bc28a6p-2, -0x1.35ff53f85b6bbp-2, -0x1.29fd0d2cb7ae6p-2, -0x1.1dd5e4f7343cdp-2, -0x1.119395fcd3911p-2, -0x1.053f568fc42f8p-2, -0x1.f1c3b3574ea66p-3, -0x1.d906a17b6e715p-3, -0x1.c056dbf42beabp-3, -0x1.a7c2ce4740bcp-3, -0x1.8f57f12f0aeb7p-3, -0x1.7722d123a8ef1p-3, -0x1.5f2f1516c8624p-3, -0x1.4787856ce3444p-3, -0x1.30361302910a3p-3, -0x1.1943de4611129p-3, -0x1.02b93e5adbcbdp-3, -0x1.d93b90765f0d3p-4, -0x1.adf0abc9429cep-4, -0x1.839e1afc502ccp-4, -0x1.5a4ed103c48b1p-4, -0x1.320c75c8cba1ep-4, -0x1.0adf7471a9f27p-4, -0x1.c99e133c84f2cp-5, -0x1.7fc2a32548165p-5, -0x1.3836aca02dacap-5, -0x1.e6047602a657p-6, -0x1.6056d946487bep-6, -0x1.beda389395cdp-7, -0x1.8d31aa80b21b6p-8, 0x1.40948ed304121p-10, 0x1.0d2a20f3dff2cp-7, 0x1.e8b5a06f22d5bp-7, 0x1.5d610cc83c8d4p-6, 0x1.c1b0bada25fd6p-6, 0x1.10aa880b2a8f7p-5, 0x1.3e2daabaeba49p-5, 0x1.69695d87b12bep-5, 0x1.926616b3dfe61p-5, 0x1.b92d162a5aaecp-5, 0x1.ddc851c017debp-5, 0x1.00213126511efp-4, 0x1.105338d17eafbp-4, 0x1.1f8014b0c8d96p-4, 0x1.2dadd14b361bbp-4, 0x1.3ae2ab245aa37p-4, 0x1.4725077091c68p-4, 0x1.527b6d526f0ccp-4, 0x1.5cec7f6d766bdp-4, 0x1.667ef600b7d3ep-4, 0x1.6f3999223dfefp-4, 0x1.77233bac2aba2p-4, 0x1.7e42b673406efp-4, 0x1.849ee4171e01ep-4, 0x1.8a3e9d4c3d0d4p-4, 0x1.8f28b4c7557a8p-4, 0x1.9363f439b354cp-4, 0x1.96f71887f8f6bp-4, 0x1.99e8cf8e1aea9p-4, 0x1.9c3fb5e9943bfp-4, 0x1.9e0254a7ae60fp-4, 0x1.9f372018a9fa7p-4, 0x1.9fe474ed7c915p-4, 0x1.a01096ab1019dp-4, 0x1.9fc1adecd9705p-4, 0x1.9efdc6a7fb92cp-4, 0x1.9dcacfe151282p-4, 0x1.9c2e9aa786ec6p-4, 0x1.9a2ed9736af73p-4, 0x1.97d11f7908452p-4, 0x1.951adf70b7b44p-4, 0x1.92116aaaecaedp-4, 0x1.8eb9f035ad232p-4, 0x1.8b197c438161dp-4, 0x1.8734f7f7da251p-4, 0x1.8311296b8d289p-4, 0x1.7eb2b3d3e246p-4, 0x1.7a1e17ac15233p-4, 0x1.7557b2c844052p-4, 0x1.7063c04b88c6cp-4, 0x1.6b46588839427p-4, 0x1.660370d9d53f8p-4, 0x1.609edb8b2a27bp-4, 0x1.5b1c47d8ba67p-4, 0x1.557f4217820d9p-4, 0x1.4fcb3401b211ep-4, 0x1.4a03652408a66p-4, 0x1.442afb61a6f44p-4, 0x1.3e44fb837c5ap-4, 0x1.385449c95cfa1p-4, 0x1.325baa755f096p-4, 0x1.2c5dc24e57bb2p-4, 0x1.265d1719db8a9p-4, 0x1.205c1010c3035p-4, 0x1.1a5cf65309ff2p-4, 0x1.1461f5609be52p-4, 0x1.0e6d1b9b52a08p-4, 0x1.08805ad57f1b6p-4, 0x1.029d88ee9af2dp-4, 0x1.f98cc0fb9247ep-5, 0x1.edf90310acfd4p-5, 0x1.e282e48324e9ap-5, 0x1.d72d3fa16758bp-5, 0x1.cbfabe324ab22p-5, 0x1.c0eddb04a6392p-5, 0x1.b608e378e2f5bp-5, 0x1.ab4df900fb6f4p-5, 0x1.a0bf12958085dp-5, 0x1.965dfe1ea6164p-5, 0x1.8c2c61d3b70c4p-5, 0x1.822bbd9137f35p-5, 0x1.785d6c284e343p-5, 0x1.6ec2a4aaeb14p-5, 0x1.655c7bb3c4e03p-5, 0x1.5c2be4ae2e53p-5, 0x1.5331b31da090fp-5, 0x1.4a6e9be306efcp-5, 0x1.41e33683e236cp-5, 0x1.398ffe6e9ba54p-5, 0x1.3175543a98129p-5, 0x1.29937ee86b127p-5, 0x1.21eaad1a06da3p-5, 0x1.1a7af6439a39bp-5, 0x1.13445bda0680fp-5, 0x1.0c46ca74ff3f3p-5, 0x1.05821ae74190fp-5, 0x1.fdec26a809699p-6, 0x1.f144d06bd558dp-6, 0x1.e50d7ab4e417bp-6, 0x1.d9454db899cd2p-6, 0x1.cdeb54216de2ap-6, 0x1.c2fe7cce03e48p-6, 0x1.b87d9c92aeeb7p-6, 0x1.ae676feab588p-6, 0x1.a4ba9c887205bp-6, 0x1.9b75b2e654901p-6, 0x1.92972fd6d0cc3p-6, 0x1.8a1d7df17ec2p-6, 0x1.8206f6f433082p-6, 0x1.7a51e53042dd6p-6, 0x1.72fc84e03b0f9p-6, 0x1.6c05055ec741cp-6, 0x1.65698a641b868p-6, 0x1.5f282d46adebcp-6, 0x1.593efe1c144a6p-6, 0x1.53ac04b8decbfp-6, 0x1.4e6d41d7368bap-6, 0x1.4980b01cea384p-6, 0x1.44e444ffdb36p-6, 0x1.4095f1b705dbfp-6, 0x1.3c93a41adf3cap-6, 0x1.38db478e2d1abp-6, 0x1.356ac5b6937c4p-6, 0x1.32400732c94aep-6, 0x1.2f58f46786563p-6, 0x1.2cb37639b0141p-6, 0x1.2a4d769483341p-6, 0x1.2824e1072ef34p-6, 0x1.2637a369608b5p-6, 0x1.2483ae6e18c5ep-6, 0x1.2306f60ef86cdp-6, 0x1.21bf7204780fdp-6, 0x1.20ab1e4d5982dp-6, 0x1.1fc7fb9cf56fdp-6, 0x1.1f140fb4cae28p-6, 0x1.1e8d65bbc55b5p-6, 0x1.1e320ea5d4ae4p-6, 0x1.1e00219069fb5p-6, 0x1.1df5bc016f0cbp-6, 0x1.1e11022554159p-6, 0x1.1e501f1ed61c6p-6, 0x1.1eb1454e47011p-6, 0x1.1f32ae826d0cdp-6, 0x1.1fd29c1fb09a9p-6, 0x1.208f57529ad3bp-6, 0x1.2167314809484p-6, 0x1.22588355f2523p-6, 0x1.2361af112e82ap-6, 0x1.24811e650c28ep-6, 0x1.25b543b982776p-6, 0x1.26fc9a1592888p-6, 0x1.2855a52cbb371p-6, 0x1.29bef161cf536p-6, 0x1.2b3713d4aa38ap-6, 0x1.2cbcaa7b9c34ep-6, 0x1.2e4e5c32a65efp-6, 0x1.2fead8b5cee18p-6, 0x1.3190d8964ff84p-6, 0x1.333f1d3d4fe28p-6, 0x1.34f470f8ebe26p-6, 0x1.36afa6ff1a67dp-6, 0x1.386f9b5c5bf1dp-6, 0x1.3a3332dc64c02p-6, 0x1.3bf95b0020543p-6, 0x1.3dc10a00836cap-6, 0x1.3f893ecb68691p-6, 0x1.415100ed1103dp-6, 0x1.4317606e92c7p-6, 0x1.44db75bcd7b76p-6, 0x1.469c619fddc99p-6, 0x1.48594d35361a3p-6, 0x1.4a1169dba69a8p-6, 0x1.4bc3f10dade16p-6, 0x1.4d70243a963fcp-6, 0x1.4f154cada4292p-6, 0x1.50b2bb82656acp-6, 0x1.5247c9961d848p-6, 0x1.53d3d768f0656p-6, 0x1.55564cf19a042p-6, 0x1.56ce9973875c8p-6, 0x1.583c3363874c4p-6, 0x1.599e9857e95ffp-6, 0x1.5af54cf504e68p-6, 0x1.5c3fdccaca8dep-6, 0x1.5d7dda2619e28p-6, 0x1.5eaedde39922p-6, 0x1.5fd2874f91b7cp-6, 0x1.60e87c1198f32p-6, 0x1.61f06817f8b54p-6, 0x1.62e9fd776dab1p-6, 0x1.63d4f43dc6209p-6, 0x1.64b10a41e9f3bp-6, 0x1.657e02fd52fe7p-6, 0x1.663ba771e8518p-6, 0x1.66e9c6156b1a1p-6, 0x1.678832b68ab81p-6, 0x1.6816c655e2028p-6, 0x1.68955ef6dd989p-6, 0x1.6903df73282e2p-6, 0x1.69622f58af903p-6, 0x1.69b03ad1b70b9p-6, 0x1.69edf28ed7d01p-6, 0x1.6a1b4ba9c539cp-6, 0x1.6a383f7dc5ca3p-6, 0x1.6a44cb7ac2926p-6, 0x1.6a40f0fbd2e39p-6, 0x1.6a2cb5274c29fp-6, 0x1.6a0820d7502cdp-6, 0x1.69d340840ee3bp-6, 0x1.698e24284779fp-6, 0x1.6938df1d37edap-6, 0x1.68d387f19abf9p-6, 0x1.685e384294087p-6, 0x1.67d90c9c25405p-6, 0x1.674424616a922p-6, 0x1.669fa1b8357f4p-6, 0x1.65eba971a1749p-6, 0x1.652862ec1e4d8p-6, 0x1.6455f7f00f2a8p-6, 0x1.6374948bb0ea6p-6, 0x1.628466f3727fdp-6, 0x1.61859f6914929p-6, 0x1.60787027d89d6p-6, 0x1.5f5d0d5148bf5p-6, 0x1.5e33acd67cf0fp-6, 0x1.5cfc865c538d9p-6, 0x1.5bb7d31c84d6fp-6, 0x1.5a65cdc768825p-6, 0x1.5906b269dd9d6p-6, 0x1.579abe58673cp-6, 0x1.5622301de2faep-6, 0x1.549d476a8d9e1p-6, 0x1.530c450077d8fp-6, 0x1.516f6a9c6412bp-6, 0x1.4fc6fadc6b963p-6, 0x1.4e13392706fap-6, 0x1.4c546994fb845p-6, 0x1.4a8ad0df2c468p-6, 0x1.48b6b44f98aeep-6, 0x1.46d859b35219bp-6, 0x1.44f0074b52465p-6, 0x1.42fe03baf1d11p-6, 0x1.410295f47217ap-6, 0x1.3efe0524f6281p-6, 0x1.3cf098a1e5617p-6, 0x1.3ada97d8d579cp-6, 0x1.38bc4a424a034p-6, 0x1.3695f7563f74bp-6, 0x1.3467e6812dd16p-6, 0x1.32325f181d793p-6, 0x1.2ff5a84b53ae3p-6, 0x1.2db20917e4ed2p-6, 0x1.2b67c8390ac11p-6, 0x1.29172c1a6a408p-6, 0x1.26c07acbed0d1p-6, 0x1.2463f9f78d3cbp-6, 0x1.2201eed888d8fp-6, 0x1.1f9a9e33665cbp-6, 0x1.1d2e4c4e08ad6p-6, 0x1.1abd3ce74c27ap-6, 0x1.1847b32e2f901p-6, 0x1.15cdf1b882937p-6, 0x1.13503a7994fa8p-6, 0x1.10ceceb92da4ap-6, 0x1.0e49ef0b35a7cp-6, 0x1.0bc1db4837f2fp-6, 0x1.0936d286e81fep-6, 0x1.06a91316b28d7p-6, 0x1.0418da7b52f54p-6, 0x1.01866569262e4p-6, 0x1.fde3df8395811p-7, 0x1.f8b769211acb8p-7, 0x1.f387dc0c1b61fp-7, 0x1.ee55aae5d8d8p-7, 0x1.e921468330258p-7, 0x1.e3eb1ddf7fdfbp-7, 0x1.deb39e10bfd9fp-7, 0x1.d97b323e8c886p-7, 0x1.d442439daecep-7, 0x1.cf0939702b77ap-7, 0x1.c9d07908ae9fp-7, 0x1.c49865cec758ep-7, 0x1.bf61614147b0ep-7, 0x1.ba2bcaf48686bp-7, 0x1.b4f8008bd1f6ap-7, 0x1.afc65daef37c5p-7, 0x1.aa973bfe776d1p-7, 0x1.a56af309db653p-7, 0x1.a041d84aadf0ep-7, 0x1.9b1c3f25ee641p-7, 0x1.95fa78f303ff5p-7, 0x1.90dcd505bf5bdp-7, 0x1.8bc3a0b7fef4ap-7, 0x1.86af276fdd0a4p-7, 0x1.819fb2a11abd2p-7, 0x1.7c9589ca3ffecp-7, 0x1.7790f26fdb99p-7, 0x1.7292301902aebp-7, 0x1.6d99844f6e49bp-7, 0x1.68a72ea3dba01p-7, 0x1.63bb6cb516ecdp-7, 0x1.5ed67a365d66ap-7, 0x1.59f890f1dd9a8p-7, 0x1.5521e8c5801b7p-7, 0x1.5052b79b5425bp-7, 0x1.4b8b316212c65p-7, 0x1.46cb880be7afdp-7, 0x1.4213eb9955a89p-7, 0x1.3d648a326b12dp-7, 0x1.38bd904b40a4fp-7, 0x1.341f28cb0c539p-7, 0x1.2f897d2945f4ap-7, 0x1.2afcb574ba419p-7, 0x1.2678f83d3abadp-7, 0x1.21fe6a6186ebep-7, 0x1.1d8d2ecd6b009p-7, 0x1.1925663c5ff9ep-7, 0x1.14c72f17d4405p-7, 0x1.1072a584380adp-7, 0x1.0c27e3a440e2bp-7, 0x1.07e7020a5bf1ap-7, 0x1.03b0184049056p-7, 0x1.ff067a838a597p-8, 0x1.f6c10f8984456p-8, 0x1.ee901c64c3955p-8, 0x1.e673cc8d5388bp-8, 0x1.de6c48cc7126dp-8, 0x1.d679b5a3f9f6p-8, 0x1.ce9c31e2b9b03p-8, 0x1.c6d3d5d817c47p-8, 0x1.bf20b37869056p-8, 0x1.b782d7865ffd5p-8, 0x1.affa4b8f37592p-8, 0x1.a887184b8e14ap-8, 0x1.a12947d6df881p-8, 0x1.99e0e73012af6p-8, 0x1.92ae0695b569dp-8, 0x1.8b90b889c8dfp-8, 0x1.84890f9454221p-8, 0x1.7d971b305636ap-8, 0x1.76bae498daa88p-8, 0x1.6ff46c5171a31p-8, 0x1.6943a92c2888ap-8, 0x1.62a889311b1c2p-8, 0x1.5c22f442050c5p-8, 0x1.55b2cfd33528fp-8, 0x1.4f5802cecf778p-8, 0x1.491278c3d2c77p-8, 0x1.42e223ca1892fp-8, 0x1.3cc6fcd75422dp-8, 0x1.36c1027c4e2bdp-8, 0x1.30d03625bf969p-8, 0x1.2af4982acf804p-8, 0x1.252e23470b074p-8, 0x1.1f7cc8847d58bp-8, 0x1.19e06cd119065p-8, 0x1.1458e933b17cfp-8, 0x1.0ee60dc3d6274p-8, 0x1.0987a67f43508p-8, 0x1.043d8067ea01cp-8, 0x1.fe0edad233c65p-9, 0x1.f3ca8c95c8b4ap-9, 0x1.e9add5e3b61a8p-9, 0x1.dfb8835b44897p-9, 0x1.d5ea6c47f620ap-9, 0x1.cc436f7ed68f6p-9, 0x1.c2c36e278bcf4p-9, 0x1.b96a43dcc208ep-9, 0x1.b037bd789e48cp-9, 0x1.a72b91dd8938p-9, 0x1.9e45605ea0379p-9, 0x1.9584b6479a36ep-9, 0x1.8ce9196a8b466p-9, 0x1.847212e02fa0ap-9, 0x1.7c1f3541f6345p-9, 0x1.73f01ca405fb7p-9, 0x1.6be46a7a2c3a7p-9, 0x1.63fbc1c2bd0fap-9, 0x1.5c35c6e4e81fap-9, 0x1.5492235fa3e4ep-9, 0x1.4d108a042addbp-9, 0x1.45b0b7744b652p-9, 0x1.3e726cd91a1abp-9, 0x1.375566de8fddcp-9, 0x1.3059560532b61p-9, 0x1.297ddceaba1d6p-9, 0x1.22c2955718626p-9, 0x1.1c27185f96f5ap-9, 0x1.15ab04139139p-9, 0x1.0f4dfb0fcd24dp-9, 0x1.090f9e6b2c8a5p-9, 0x1.02ef85f5182bep-9, 0x1.f9da77cc13687p-10, 0x1.ee107ed6d2703p-10, 0x1.e2801b19facb9p-10, 0x1.d7285789a1344p-10, 0x1.cc085c8a2a4f2p-10, 0x1.c11f6dfa9b451p-10, 0x1.b66cdff72b7f3p-10, 0x1.abf00e2ad1074p-10, 0x1.a1a85d4bf38d7p-10, 0x1.979542d6bb12ep-10, 0x1.8db6474c38998p-10, 0x1.840afb4c30b89p-10, 0x1.7a92e403da04ap-10, 0x1.714d6ab7c2ca9p-10, 0x1.6839d6619bad4p-10, 0x1.5f574ce324d3p-10, 0x1.56a4d750603aap-10, 0x1.4e216a6806ae6p-10, 0x1.45cbf5b84c62bp-10, 0x1.3da37407b7847p-10, 0x1.35a6f1578820ep-10, 0x1.2dd582eb3b81dp-10, 0x1.262e3f1b82294p-10, 0x1.1eb048b4a934dp-10, 0x1.175af00f18b7fp-10, 0x1.102dd10551609p-10, 0x1.0928cd487d3bap-10, 0x1.024bdbb5a19b8p-10, 0x1.f72d95d798516p-11, 0x1.ea124399b2937p-11, 0x1.dd445a1bccd37p-11, 0x1.d0c2446c4983ep-11, 0x1.c48a6dcbda08cp-11, 0x1.b89b456daec32p-11, 0x1.acf333827210dp-11, 0x1.a1909ac18cb18p-11, 0x1.9671e00cb4634p-11, 0x1.8b955dd12d932p-11, 0x1.80f93f2b4cd0ep-11, 0x1.769b6ed4d6774p-11, 0x1.6c79d4720c154p-11, 0x1.6292dbe8140efp-11, 0x1.58e5e34ca8dd7p-11, 0x1.4f731d466a11dp-11, 0x1.463ae5a696738p-11, 0x1.3d3d0ceb221fp-11, 0x1.3478a55bfa27fp-11, 0x1.2bec5581d1697p-11, 0x1.2396be76ff551p-11, 0x1.1b76a1bc4ba71p-11, 0x1.138ad8d66ed85p-11, 0x1.0bd24f1998f7dp-11, 0x1.044c02bd6b35ap-11, 0x1.f9edf3fe0c112p-12, 0x1.eba4513b0065dp-12, 0x1.ddb8a109cd2e3p-12, 0x1.d027d12303697p-12, 0x1.c2ee3c6ede509p-12, 0x1.b6082fb09be71p-12, 0x1.a972f22219ee1p-12, 0x1.9d2d8da70882dp-12, 0x1.91385e459c82fp-12, 0x1.859396f4290e8p-12, 0x1.7a3e2c71d45fcp-12, 0x1.6f3626f862d24p-12, 0x1.6479a2ce99cc1p-12, 0x1.5a07206fb12dap-12, 0x1.4fdd0c98980efp-12, 0x1.45f97c65a03acp-12, 0x1.3c5a7e5620ec9p-12, 0x1.32fe85b42da7ap-12, 0x1.29e47bbef5c4fp-12, 0x1.210b64f30af9cp-12, 0x1.1871e48c16659p-12, 0x1.10160d418f46ap-12, 0x1.07f59f1018657p-12, 0x1.000e6202d3dc2p-12, 0x1.f0bcbb0ab5fa7p-13, 0x1.e1c8165cdba61p-13, 0x1.d33cf884e6e14p-13, 0x1.c51a022b66485p-13, 0x1.b75ce9ed6525cp-13, 0x1.aa0263eaabea7p-13, 0x1.9d07d500f7a26p-13, 0x1.906c3726d406p-13, 0x1.842ea47764cc1p-13, 0x1.784ce8ac972adp-13, 0x1.6cc3ee61b1d7ap-13, 0x1.6190a72ec60b8p-13, 0x1.56b07f419b454p-13, 0x1.4c21a77f19c0ep-13, 0x1.41e2f7edcd515p-13, 0x1.37f338bbb5c18p-13, 0x1.2e505de1a6688p-13, 0x1.24f77cf58d17dp-13, 0x1.1be5b72cda5cdp-13, 0x1.13194af4272cdp-13, 0x1.0a918a7ea1a05p-13, 0x1.024d9465e107dp-13, 0x1.f496852b0fd29p-14, 0x1.e50e6d3480aep-14, 0x1.d5fb2fe771fbbp-14, 0x1.c75773aa9386fp-14, 0x1.b92303920c379p-14, 0x1.ab5f7e616fp-14, 0x1.9e0ad6ed84c2bp-14, 0x1.912055c0f08cp-14, 0x1.849c4549abbe3p-14, 0x1.787bb1f7cd738p-14, 0x1.6cbb7c0fc832ep-14, 0x1.6158de69fc558p-14, 0x1.5651ab919b512p-14, 0x1.4ba3f140cb9f3p-14, 0x1.414d84308c249p-14, 0x1.374ba220d3328p-14, 0x1.2d9af3e5b432fp-14, 0x1.24386ad72e9eep-14, 0x1.1b22aa54cd37dp-14, 0x1.125a36aba2c16p-14, 0x1.09df0ba6893b8p-14, 0x1.01add7623c376p-14, 0x1.f381053ffbc9bp-15, 0x1.e421d63030337p-15, 0x1.d5380ee451414p-15, 0x1.c6c771d24a88ap-15, 0x1.b8d30bf5cc536p-15, 0x1.ab540ea25dbc3p-15, 0x1.9e4351ce48516p-15, 0x1.919ead69737cbp-15, 0x1.856388bc56978p-15, 0x1.798e74293b3f4p-15, 0x1.6e1cacfb35acbp-15, 0x1.630b89d6895c6p-15, 0x1.5857e54e147dap-15, 0x1.4dfe53284d523p-15, 0x1.43fb9eafefep-15, 0x1.3a4cfb27ce597p-15, 0x1.30efc4b9c33b9p-15, 0x1.27e16375f77e7p-15, 0x1.1f1fe21d5a4fcp-15, 0x1.16aa917069e49p-15, 0x1.0e811131a1ca2p-15, 0x1.06a090ffe2303p-15, 0x1.fe064e871bcc4p-16, 0x1.ef470ef79b5d4p-16, 0x1.e0fe3069c7271p-16, 0x1.d32c8c62b4b17p-16, 0x1.c5d2cf2acf0e9p-16, 0x1.b8e6c63406e4ep-16, 0x1.ac62ef090cb97p-16, 0x1.a047a1dedf481p-16, 0x1.949097f986c6p-16, 0x1.8939efc10ed37p-16, 0x1.7e419d9cdb2ebp-16, 0x1.73a56adcd1d11p-16, 0x1.696229622a4fcp-16, 0x1.5f73e8b2c2d54p-16, 0x1.55d695bd7479bp-16, 0x1.4c86adf137b8bp-16, 0x1.4381a6bef46p-16, 0x1.3ac5ba12295f5p-16, 0x1.32512fb842989p-16, 0x1.2a21bf40cf9eap-16, 0x1.2234ab4b17b87p-16, 0x1.1a879281fac39p-16, 0x1.131893a3e7c4p-16, 0x1.0be496b48ccafp-16, 0x1.04e8358999776p-16, 0x1.fc4733f8eadc8p-17, 0x1.ef2995a17735bp-17, 0x1.e26ec3da11646p-17, 0x1.d60eb770e988p-17, 0x1.ca08475a5605dp-17, 0x1.be5d75d05468ep-17, 0x1.b3079461165e1p-17, 0x1.a802ce4f36571p-17, 0x1.9d4d9a9144cc6p-17, 0x1.92e6273876b24p-17, 0x1.88c9f6a5a144dp-17, 0x1.7ef5f89004f4ap-17, 0x1.7566bd5275203p-17, 0x1.6c18cc9b59603p-17, 0x1.630910b19e6p-17, 0x1.5a35314876909p-17, 0x1.519ba883d620bp-17, 0x1.493b59cb97941p-17, 0x1.4112baa8e3f2ap-17, 0x1.391f2c1e4a28fp-17, 0x1.315d57753601cp-17, 0x1.29ca9cbd4f03ap-17, 0x1.2265de62ecebep-17, 0x1.1b2e07f8bc1abp-17, 0x1.14222fef6c427p-17, 0x1.0d43c1947a11ap-17, 0x1.068e46ea9861p-17, 0x1.fff557e18c68ap-18, 0x1.f3134d090f941p-18, 0x1.e67c1995c09fcp-18, 0x1.da2870334f3dcp-18, 0x1.ce14c1756fcc5p-18, 0x1.c24006ee806dcp-18, 0x1.b6a8c46b83155p-18, 0x1.ab4d2600d7525p-18, 0x1.a02b33a85cb75p-18, 0x1.9540d3fe5369fp-18, 0x1.8a8bcfb0c4d03p-18, 0x1.8009ea739863bp-18, 0x1.75b90a81ef899p-18, 0x1.6b976278bf075p-18, 0x1.61a3944a65a9bp-18, 0x1.57dcb2ea694b4p-18, 0x1.4e41f696fef6ep-18, 0x1.44d22f8772573p-18, 0x1.3b8b72f9f36fbp-18, 0x1.326b7825ac233p-18, 0x1.297088abc8c5ap-18, 0x1.209a49c138e9ep-18, 0x1.17e908a52c9ffp-18, 0x1.0f5c07edf8859p-18, 0x1.06f2cebaf978bp-18, 0x1.fd58613f3bc76p-19, 0x1.ed0491c3f6a5p-19, 0x1.dcf0d70f866d4p-19, 0x1.cd1c891b6745ep-19, 0x1.bd82e9dd681e5p-19, 0x1.ae23af7376b2ap-19, 0x1.9efe2f716bd6dp-19, 0x1.90115927e8b2ep-19, 0x1.815c16bd6aa79p-19, 0x1.72dd607dbd779p-19, 0x1.64943566fd143p-19, 0x1.567f92a48257ap-19, 0x1.489e745cb41bap-19, 0x1.3aefdf0927dbdp-19, 0x1.2d72eadc13248p-19, 0x1.2026ceac666bp-19, 0x1.130aec13d9e46p-19, 0x1.061ed4c78e54dp-19, 0x1.f2c46388f0958p-20, 0x1.d9a911b5e0812p-20, 0x1.c0ea2c133ea88p-20, 0x1.a885d0fad5de5p-20, 0x1.907a5c7df4b8fp-20, 0x1.78c738528b3a8p-20, 0x1.616d3bda0304p-20, 0x1.4a6ca9f399a8dp-20, 0x1.33c312999511bp-20, 0x1.1d703a4ace956p-20, 0x1.077240255943fp-20, 0x1.e39280ceef4a5p-21, 0x1.b8ea6786e4f87p-21, 0x1.8ee8615801a3dp-21, 0x1.658d21da6dee9p-21, 0x1.3cd832ca84febp-21, 0x1.14c8b8758923ap-21, 0x1.dabbbc444c0ebp-22, 0x1.8d2dc7cf2dd64p-22, 0x1.40e6321f81bf3p-22, 0x1.ebc74c97ba86fp-23, 0x1.58499ab45cceap-23, 0x1.8ea12f143de74p-24, 0x1.c6cca92f913edp-26, -0x1.4c77f3578bb1ap-25, -0x1.b9310643139acp-24, -0x1.639824978ab0ap-23, -0x1.e81eab8647dd6p-23, -0x1.3516c46a7f132p-22, -0x1.74e31e21385e1p-22, -0x1.b375751b3d7e7p-22, -0x1.f0cf3632c7e1cp-22, -0x1.1678f5dca0a8dp-21, -0x1.33ef7b309349bp-21, -0x1.50cb8190c9479p-21, -0x1.6d0cdce27a03cp-21, -0x1.88b3cfd2efc92p-21, -0x1.a3c1e554bb23ap-21, -0x1.be38005a84cc2p-21, -0x1.d8157a41ed04bp-21, -0x1.f15afbd206a86p-21, -0x1.05051ce93bb21p-20, -0x1.1111afd55468ep-20, -0x1.1cd367e3f3af6p-20, -0x1.284a96ca583d2p-20, -0x1.337792ac1f596p-20, -0x1.3e5ab2e29cb4ap-20, -0x1.48f45039121f8p-20, -0x1.5344c55de5aeep-20, -0x1.5d4c6f7207e8p-20, -0x1.670bae99733d6p-20, -0x1.7082e66628dc2p-20, -0x1.79b27dc040e52p-20, -0x1.829ade7b2d084p-20, -0x1.8b3c750a0f6fdp-20, -0x1.9397b06609558p-20, -0x1.9bad01d66f776p-20, -0x1.a37cdc4d2ec23p-20, -0x1.ab07b3fcae07ep-20, -0x1.b24dffbdac993p-20, -0x1.b9503bd5b7195p-20, -0x1.c00eeaa0d180ep-20, -0x1.c68a926052401p-20, -0x1.ccc3bb8708cecp-20, -0x1.d2baee81e78a4p-20, -0x1.d870abdccd2cep-20, -0x1.dde5732f7242dp-20, -0x1.e319dc8300393p-20, -0x1.e80e967d35042p-20, -0x1.ecc4296251346p-20, -0x1.f13af8d26e9c3p-20, -0x1.f573db9d7c09ap-20, -0x1.f96f634f165cp-20, -0x1.fd2e23cd71a6bp-20, -0x1.00585ec1a19b8p-19, -0x1.01fbe9c96029ap-19, -0x1.03820575bc586p-19, -0x1.04eb052c9e283p-19, -0x1.06373d41de7a4p-19, -0x1.076702eff74c3p-19, -0x1.087aac56c3c83p-19, -0x1.09729079a41d1p-19, -0x1.0a4f07428ea1fp-19, -0x1.0b10697b000e4p-19, -0x1.0bb710b9ae948p-19, -0x1.0c435751ba06ep-19, -0x1.0cb59841ecb3cp-19, -0x1.0d0e2f3072f85p-19, -0x1.0d4d785973357p-19, -0x1.0d73d076b364p-19, -0x1.0d8194aa08508p-19, -0x1.0d77229452b2p-19, -0x1.0d54d88f623d8p-19, -0x1.0d1b15a7c17fep-19, -0x1.0cca395a7b009p-19, -0x1.0c62a378b4162p-19, -0x1.0be4b40e24fcep-19, -0x1.0b50caa1838edp-19, -0x1.0aa7463a723d2p-19, -0x1.09e887c98a774p-19, -0x1.0914f233f8e66p-19, -0x1.082ce8b42b953p-19, -0x1.0730c33c1904fp-19, -0x1.0620ea105b041p-19, -0x1.04fdbe435d72cp-19, -0x1.03c79f7333866p-19, -0x1.027eeec78e5edp-19, -0x1.01240d6510468p-19, -0x1.ff6eb89b02243p-20, -0x1.fc7278b926f7ap-20, -0x1.f9541c88b4ba4p-20, -0x1.f614650977b9cp-20, -0x1.f2b412c56612ap-20, -0x1.ef33e5c056b9cp-20, -0x1.eb949d6d96c72p-20, -0x1.e7d6f8ac69a3cp-20, -0x1.e3fbb5c0da214p-20, -0x1.e0039238febb5p-20, -0x1.dbef4ad28e8e9p-20, -0x1.d7bf9b6da1731p-20, -0x1.d3753f0bf9d32p-20, -0x1.cf10efc62fe49p-20, -0x1.ca9366b60257ap-20, -0x1.c5fd5bdee8d75p-20, -0x1.c14f861e40ac1p-20, -0x1.bc8a9b2c5271ep-20, -0x1.b7af4fce3f625p-20, -0x1.b2be57a9ea3a6p-20, -0x1.adb86509479c8p-20, -0x1.a89e290fd0effp-20, -0x1.a3705379bcc12p-20, -0x1.9e2f92496e3f6p-20, -0x1.98dc91a36ddd8p-20, -0x1.9377fd1c15462p-20, -0x1.8e027f7c3876fp-20, -0x1.887cc2f5a1e62p-20, -0x1.82e769d39b221p-20, -0x1.7d431c32c6043p-20, -0x1.77907eafd10acp-20, -0x1.71d032640c475p-20, -0x1.6c02d7dc96802p-20, -0x1.66290dfdecf92p-20, -0x1.604371f6033aep-20, -0x1.5a529f37ced56p-20, -0x1.54572f791a83bp-20, -0x1.4e51baadf1a68p-20, -0x1.4842d7017f30dp-20, -0x1.422b18d26eb55p-20, -0x1.3c0b12ad21be1p-20, -0x1.35e355484a7eep-20, -0x1.2fb46f845a90ap-20, -0x1.297eee6807bc5p-20, -0x1.23435d1bfca2p-20, -0x1.1d0244e69bd31p-20, -0x1.16bc2d27d0c17p-20, -0x1.10719b5674354p-20, -0x1.0a2312fe76b71p-20, -0x1.03d115c01ab83p-20, -0x1.faf84698dac04p-21, -0x1.ee4972bf62c68p-21, -0x1.e196a77da94b3p-21, -0x1.d4e0d881d21c6p-21, -0x1.c828f5acc4636p-21, -0x1.bb6feafb5e534p-21, -0x1.aeb6a077dfffdp-21, -0x1.a1fdfa3f6b8b5p-21, -0x1.9546d88ef6e06p-21, -0x1.88921789a2d7bp-21, -0x1.7be08f1489e11p-21, -0x1.6f3313a9125efp-21, -0x1.628a7627db0eep-21, -0x1.55e783f78605ep-21, -0x1.494b0450b03cp-21, }}, 
      {{-0x1.c140dab4e9031p-2, -0x1.c0c440b7668fp-2, -0x1.bff56ce5097e6p-2, -0x1.bed5987ff0579p-2, -0x1.bd6668c68d49dp-2, -0x1.bba9e1af4188p-2, -0x1.b9a25825d38c1p-2, -0x1.b752648922862p-2, -0x1.b4bcd5e0b1bc1p-2, -0x1.b1e4a61084a18p-2, -0x1.aeccef2f5dcc3p-2, -0x1.ab78e20b3d9eep-2, -0x1.a7ebbdd72af2ep-2, -0x1.a428c8f26cfe6p-2, -0x1.a0334ab2e8ecfp-2, -0x1.9c0e8619f1686p-2, -0x1.97bdb55b90cccp-2, -0x1.9344062364b99p-2, -0x1.8ea4968455f83p-2, -0x1.89e27280aea7dp-2, -0x1.850092175c501p-2, -0x1.8001d7c0ff1dep-2, -0x1.7ae90f4dc6cc7p-2, -0x1.75b8ed1083f07p-2, -0x1.70740d4f80cep-2, -0x1.6b1cf3e5a90d6p-2, -0x1.65b60c19a42e5p-2, -0x1.6041a8922d748p-2, -0x1.5ac2037085615p-2, -0x1.55393e778903fp-2, -0x1.4fa96354a9cc6p-2, -0x1.4a1463ee578c3p-2, -0x1.447c1ac2b9f8fp-2, -0x1.3ee24b52e4ec4p-2, -0x1.3948a28f43241p-2, -0x1.33b0b75487ef5p-2, -0x1.2e1c0ae5b761cp-2, -0x1.288c096efcf8bp-2, -0x1.23020a8b263a4p-2, -0x1.1d7f51cc4a17p-2, -0x1.18050f46dbfafp-2, -0x1.1294601e15094p-2, -0x1.0d2e4f17b11cdp-2, -0x1.07d3d522b574dp-2, -0x1.0285d9f1fc367p-2, -0x1.fa8a6911f0856p-3, -0x1.f025579d429c1p-3, -0x1.e5ddee3e8c1cap-3, -0x1.dbb57dbbe0096p-3, -0x1.d1ad3a0a33fd5p-3, -0x1.c7c63b6d066cbp-3, -0x1.be017f9391bc8p-3, -0x1.b45feab322a27p-3, -0x1.aae2489e4709fp-3, -0x1.a1894dd815bdp-3, -0x1.985598a364974p-3, -0x1.8f47b20cf3758p-3, -0x1.86600ef16c2dcp-3, -0x1.7d9f10ff887c1p-3, -0x1.750507af2f82fp-3, -0x1.6c923139690a8p-3, -0x1.6446bb86d2631p-3, -0x1.5c22c515f766ep-3, -0x1.54265ddcc2866p-3, -0x1.4c518825611a4p-3, -0x1.44a439637f106p-3, -0x1.3d1e5aff9ff55p-3, -0x1.35bfcb181a35bp-3, -0x1.2e885d3b8333dp-3, -0x1.2777db203ce3p-3, -0x1.208e05591fa32p-3, -0x1.19ca94004dc9ep-3, -0x1.132d3752d9efcp-3, -0x1.0cb5983e6cd4ep-3, -0x1.066358e8de47dp-3, -0x1.0036153a40546p-3, -0x1.f45ac6d1b6dabp-4, -0x1.e891a8ffb024ap-4, -0x1.dd0fe9ac62406p-4, -0x1.d1d498e60d4ccp-4, -0x1.c6debecc5ba99p-4, -0x1.bc2d5c3ca28a5p-4, -0x1.b1bf6b8b8740dp-4, -0x1.a793e14bcf311p-4, -0x1.9da9ad14c2b33p-4, -0x1.93ffba38b7e7p-4, -0x1.8a94f05f01babp-4, -0x1.81683401ea9d7p-4, -0x1.787866dabbf14p-4, -0x1.6fc468493afefp-4, -0x1.674b15c21415dp-4, -0x1.5f0b4b48903e2p-4, -0x1.5703e3f0c0b1ap-4, -0x1.4f33ba6287d02p-4, -0x1.4799a95493658p-4, -0x1.40348bf85f015p-4, -0x1.39033e546d72bp-4, -0x1.32049d8dec37fp-4, -0x1.2b37882602e3ep-4, -0x1.249ade30810bp-4, -0x1.1e2d81890b731p-4, -0x1.17ee560a7938p-4, -0x1.11dc41c9d6e93p-4, -0x1.0bf62d5476be3p-4, -0x1.063b03eef5ae3p-4, -0x1.00a9b3d264a85p-4, -0x1.f6825cc98fa2ep-5, -0x1.ec00d0d58bae8p-5, -0x1.e1ccb462b34b6p-5, -0x1.d7e3ff5ed8e7cp-5, -0x1.ce44b140454b9p-5, -0x1.c4ecd12e8a0eap-5, -0x1.bbda6e22ffe31p-5, -0x1.b30b9f043507bp-5, -0x1.aa7e82bf1f485p-5, -0x1.a231405ff3eaap-5, -0x1.9a22072b9c2ddp-5, -0x1.924f0eb9e3eap-5, -0x1.8ab6970fb4da3p-5, -0x1.8356e8b85546dp-5, -0x1.7c2e54dc627f3p-5, -0x1.753b355537d3dp-5, -0x1.6e7becbbbec29p-5, -0x1.67eee671f320ep-5, -0x1.619296a6bcf9ap-5, -0x1.5b657a543c43ep-5, -0x1.55661738e4bddp-5, -0x1.4f92fbcc1436fp-5, -0x1.49eabf2edaf31p-5, -0x1.446c0119e3a45p-5, -0x1.3f1569c91bc7fp-5, -0x1.39e5a9e5e7c23p-5, -0x1.34db7a705b0f2p-5, -0x1.2ff59ca7ca07ap-5, -0x1.2b32d9f306262p-5, -0x1.269203c84f5aap-5, -0x1.2211f394f2afbp-5, -0x1.1db18aa49dfdfp-5, -0x1.196fb20831713p-5, -0x1.154b5a7bee7fcp-5, -0x1.11437c4cfeb41p-5, -0x1.0d57173e0f6dep-5, -0x1.0985326aff165p-5, -0x1.05ccdc2ba9dacp-5, -0x1.022d29f5a77b6p-5, -0x1.fd4a707a38a07p-6, -0x1.f66854a9a276cp-6, -0x1.efb2549aecc9p-6, -0x1.e926d1a88bb98p-6, -0x1.e2c43a229be6bp-6, -0x1.dc89090ab58f7p-6, -0x1.d673c5cf37e89p-6, -0x1.d0830406a338dp-6, -0x1.cab5632b1c796p-6, -0x1.c5098e55f0427p-6, -0x1.bf7e3bfb8d581p-6, -0x1.ba122da847105p-6, -0x1.b4c42fbd7fdddp-6, -0x1.af93192f4ac7fp-6, -0x1.aa7dcb43140f8p-6, -0x1.a583314f174eap-6, -0x1.a0a2407a3a385p-6, -0x1.9bd9f77cc93b1p-6, -0x1.97295e6221fb2p-6, -0x1.928f864b4e774p-6, -0x1.8e0b8931e251ep-6, -0x1.899c89aba919ap-6, -0x1.8541b2b00f306p-6, -0x1.80fa375d5e5cep-6, -0x1.7cc552beba786p-6, -0x1.78a24793a28adp-6, -0x1.749060183eaddp-6, -0x1.708eedcdbb4dap-6, -0x1.6c9d49442284fp-6, -0x1.68bad1e4f2c2fp-6, -0x1.64e6edbf181ap-6, -0x1.61210952dd1d2p-6, -0x1.5d68975f41e9dp-6, -0x1.59bd10b0621e3p-6, -0x1.561df3eefcba2p-6, -0x1.528ac570d137bp-6, -0x1.4f030f0939288p-6, -0x1.4b865fdb8ca0cp-6, -0x1.48144c2eb970ep-6, -0x1.44ac6d4168846p-6, -0x1.414e611f05d72p-6, -0x1.3df9ca75d100ep-6, -0x1.3aae506e051d7p-6, -0x1.376b9e8255ff6p-6, -0x1.34316458dbdcbp-6, -0x1.30ff559cdca55p-6, -0x1.2dd529d9ec0bap-6, -0x1.2ab29c5825ba6p-6, -0x1.27976bf8d8221p-6, -0x1.24835b13ec90fp-6, -0x1.21762f56a1c41p-6, -0x1.1e6fb1a34ad5ep-6, -0x1.1b6fadf1be189p-6, -0x1.1875f3305702ep-6, -0x1.15825325dccf3p-6, -0x1.1294a254796ecp-6, -0x1.0facb7dd8cbdep-6, -0x1.0cca6d662ab7p-6, -0x1.09ed9efc3745fp-6, -0x1.07162afc309f7p-6, -0x1.0443f1f815e1fp-6, -0x1.0176d69f1d4d8p-6, -0x1.fd5d7b4bed08ep-7, -0x1.f7d71b5efc2d2p-7, -0x1.f25a5e6c52d56p-7, -0x1.ece718ecb88f4p-7, -0x1.e77d22b3434fep-7, -0x1.e21c56c4d7522p-7, -0x1.dcc4933045fdep-7, -0x1.d775b8e77dd6ep-7, -0x1.d22fab9a8f137p-7, -0x1.ccf251943e7d1p-7, -0x1.c7bd9397d0c06p-7, -0x1.c2915cbf5fa9dp-7, -0x1.bd6d9a5af46a4p-7, -0x1.b8523bd0de84cp-7, -0x1.b33f327fab513p-7, -0x1.ae3471a1737d3p-7, -0x1.a931ee2ff8d7ap-7, -0x1.a4379ec931e22p-7, -0x1.9f457b94a445cp-7, -0x1.9a5b7e29dfc9dp-7, -0x1.9579a1787278cp-7, -0x1.909fe1b0e55a3p-7, -0x1.8bce3c2e6378cp-7, -0x1.8704af60dcc07p-7, -0x1.82433ab7be0c5p-7, -0x1.7d89de8da6874p-7, -0x1.78d89c154a3adp-7, -0x1.742f75475a638p-7, -0x1.6f8e6cd113d72p-7, -0x1.6af5860335904p-7, -0x1.6664c4c15f5f1p-7, -0x1.61dc2d722a609p-7, -0x1.5d5bc4f03d608p-7, -0x1.58e3907c453b1p-7, -0x1.547395afa86bep-7, -0x1.500bda6fa6fbap-7, -0x1.4bac64e0cedf1p-7, -0x1.47553b5ad3d61p-7, -0x1.4306645d1225fp-7, -0x1.3ebfe683dd894p-7, -0x1.3a81c87e966c6p-7, -0x1.364c1106483e5p-7, -0x1.321ec6d49d765p-7, -0x1.2df9f09b02301p-7, -0x1.29dd94fa25363p-7, -0x1.25c9ba7a01d9ap-7, -0x1.21be678294374p-7, -0x1.1dbba25532935p-7, -0x1.19c1710652839p-7, -0x1.15cfd97796b76p-7, -0x1.11e6e151fb92bp-7, -0x1.0e068e0048bf3p-7, -0x1.0a2ee4a9dd838p-7, -0x1.065fea2e0da46p-7, -0x1.0299a31ffec45p-7, -0x1.fdb82785e3b19p-8, -0x1.f64e800d92486p-8, -0x1.eef6570952faep-8, -0x1.e7afb2f77c6cbp-8, -0x1.e07a999c67cb4p-8, -0x1.d9570ffd385bep-8, -0x1.d2451a5b6812fp-8, -0x1.cb44bc312b36cp-8, -0x1.c455f82e4258ap-8, -0x1.bd78d03517765p-8, -0x1.b6ad4557edadep-8, -0x1.aff357d654c8ep-8, -0x1.a94b071afc32p-8, -0x1.a2b451ba19f97p-8, -0x1.9c2f357081c53p-8, -0x1.95bbaf2328f7dp-8, -0x1.8f59badf25002p-8, -0x1.890953d9ab10ep-8, -0x1.82ca747038f15p-8, -0x1.7c9d1628ceb1p-8, -0x1.768131b27a8c5p-8, -0x1.7076bee6404cp-8, -0x1.6a7db4c87e75ep-8, -0x1.6496098aaef92p-8, -0x1.5ebfb28d74b17p-8, -0x1.58faa462bfff6p-8, -0x1.5346d2cffab24p-8, -0x1.4da430d03ea3ep-8, -0x1.4812b096a008bp-8, -0x1.42924390ac1a4p-8, -0x1.3d22da6936023p-8, -0x1.37c4650b679a7p-8, -0x1.3276d2a61d0d8p-8, -0x1.2d3a11af63a55p-8, -0x1.280e0fe80c4e4p-8, -0x1.22f2ba5f37115p-8, -0x1.1de7fd75cda9ap-8, -0x1.18edc4e20a7dep-8, -0x1.1403fbb2fbefep-8, -0x1.0f2a8c542a03dp-8, -0x1.0a6160916b08fp-8, -0x1.05a8619ae743bp-8, -0x1.00ff780949592p-8, -0x1.f8cd17c436674p-9, -0x1.efbb093839fc4p-9, -0x1.e6c892475a95ep-9, -0x1.ddf57fbde2abp-9, -0x1.d5419d63e523fp-9, -0x1.ccacb604e97c7p-9, -0x1.c4369377a958ep-9, -0x1.bbdefea5bdc8dp-9, -0x1.b3a5bf93b53ep-9, -0x1.ab8a9d69bf431p-9, -0x1.a38d5e7ce33ddp-9, -0x1.9badc8589775bp-9, -0x1.93eb9fc85c0bp-9, -0x1.8c46a8e0ef78dp-9, -0x1.84bea708a66a7p-9, -0x1.7d535cfef6a61p-9, -0x1.76048ce318584p-9, -0x1.6ed1f83a9a6c9p-9, -0x1.67bb5ff8247fap-9, -0x1.60c0848338654p-9, -0x1.59e125c0eda1ep-9, -0x1.531d031db0f94p-9, -0x1.4c73db973a082p-9, -0x1.45e56dc5fff38p-9, -0x1.3f7177e57517fp-9, -0x1.3917b7da92f06p-9, -0x1.32d7eb390b366p-9, -0x1.2cb1cf47bbdafp-9, -0x1.26a5210587c4cp-9, -0x1.20b19d2f90861p-9, -0x1.1ad7004970ebep-9, -0x1.151506a7046e3p-9, -0x1.0f6b6c77120e7p-9, -0x1.09d9edcd277c4p-9, -0x1.046046a94c88ap-9, -0x1.fdfc65f95933ep-10, -0x1.f366dd56d0773p-10, -0x1.e8ff6b19820d4p-10, -0x1.dec586d79dce3p-10, -0x1.d4b8a81561e6p-10, -0x1.cad84653faa01p-10, -0x1.c123d928c0c84p-10, -0x1.b79ad85a57208p-10, -0x1.ae3cbbfdd4381p-10, -0x1.a508fc8d8974dp-10, -0x1.9bff12f41f192p-10, -0x1.931e788946b6bp-10, -0x1.8a66a702b3fbdp-10, -0x1.81d7185f973ffp-10, -0x1.796f46d7c791fp-10, -0x1.712eacd7c5875p-10, -0x1.6914c50fb72d1p-10, -0x1.61210a95e556p-10, -0x1.5952f9172a041p-10, -0x1.51aa0d0a590cdp-10, -0x1.4a25c3d9b5f58p-10, -0x1.42c59bf6b8de6p-10, -0x1.3b8914d222c3fp-10, -0x1.346faeb9f5482p-10, -0x1.2d78eaa6bad1ep-10, -0x1.26a44a07948bep-10, -0x1.1ff14e9df638fp-10, -0x1.195f7a76cd2d7p-10, -0x1.12ee5007278c4p-10, -0x1.0c9d5268f4548p-10, -0x1.066c05aa1830ap-10, -0x1.0059ef1aa6b75p-10, -0x1.f4cd2b0a9225dp-11, -0x1.e9230284d64ecp-11, -0x1.ddb4783f72fd5p-11, -0x1.d280a244b0d56p-11, -0x1.c7869867a853p-11, -0x1.bcc573a15e49fp-11, -0x1.b23c4d9e87c52p-11, -0x1.a7ea409fc1601p-11, -0x1.9dce67b8cc23ap-11, -0x1.93e7df63afd49p-11, -0x1.8a35c645f3014p-11, -0x1.80b73df747bbdp-11, -0x1.776b6b96b11ecp-11, -0x1.6e5178053e1dcp-11, -0x1.65688fb4da228p-11, -0x1.5cafe21759306p-11, -0x1.5426a0d546b36p-11, -0x1.4bcbff043ddd3p-11, -0x1.439f30933004cp-11, -0x1.3b9f6a12095e2p-11, -0x1.33cbe0df064ep-11, -0x1.2c23cbab3f556p-11, -0x1.24a663358480bp-11, -0x1.1d52e312e8dd8p-11, -0x1.16288a5a18293p-11, -0x1.0f269c0ace497p-11, -0x1.084c5f130562p-11, -0x1.01991de63c5a7p-11, -0x1.f6184b7087153p-12, -0x1.e9498b173961p-12, -0x1.dcc49ab4d22a2p-12, -0x1.d0881b38aafc7p-12, -0x1.c492ae9bd1f51p-12, -0x1.b8e2f8de301b8p-12, -0x1.ad77a18efc951p-12, -0x1.a24f5561d8a2fp-12, -0x1.9768c770d6797p-12, -0x1.8cc2b20693f41p-12, -0x1.825bd6f4e6781p-12, -0x1.7832ff809501ap-12, -0x1.6e46fbd1935f6p-12, -0x1.6496a1cb97f38p-12, -0x1.5b20cb5625a0cp-12, -0x1.51e454670479p-12, -0x1.48e0196a88f6p-12, -0x1.4012f6adc2defp-12, -0x1.377bc91c300c5p-12, -0x1.2f197013fa76cp-12, -0x1.26eacf9bacab4p-12, -0x1.1eeed2281643ep-12, -0x1.172469739f109p-12, -0x1.0f8a8e6ff60fbp-12, -0x1.082040c0ef168p-12, -0x1.00e48632a0812p-12, -0x1.f3acd49c85f49p-13, -0x1.e5e9fb9fe048ep-13, -0x1.d87eab49b14ebp-13, -0x1.cb6912b9db435p-13, -0x1.bea762ecf7d57p-13, -0x1.b237cc77be0bcp-13, -0x1.a6187fa28ee8p-13, -0x1.9a47af11fbf2ap-13, -0x1.8ec393e7850ep-13, -0x1.838a719cfee6ap-13, -0x1.789a982c618e4p-13, -0x1.6df26427d4e82p-13, -0x1.63903d7d0b77ep-13, -0x1.59729626f8149p-13, -0x1.4f97e9af4ab94p-13, -0x1.45febd6ab0722p-13, -0x1.3ca5a06ed0d09p-13, -0x1.338b2a2812ffdp-13, -0x1.2aadf76512454p-13, -0x1.220ca702fd71dp-13, -0x1.19a5d80e2f4a1p-13, -0x1.11782a74dae27p-13, -0x1.098241cde65f6p-13, -0x1.01c2c8701bd92p-13, -0x1.f470e23f0dd3cp-14, -0x1.e5c3eda969eecp-14, -0x1.d77c36eef4813p-14, -0x1.c9974da6dadb4p-14, -0x1.bc12cd26dd7dcp-14, -0x1.aeec5eb5a2f6bp-14, -0x1.a221bd134a49ap-14, -0x1.95b0b7863775bp-14, -0x1.899731e3003dfp-14, -0x1.7dd31fb94921fp-14, -0x1.72627bb7b9017p-14, -0x1.67433fda63f4ap-14, -0x1.5c7363c6847bep-14, -0x1.51f0e308feb7cp-14, -0x1.47b9c71db448dp-14, -0x1.3dcc2e027bb13p-14, -0x1.342648a06f8dep-14, -0x1.2ac6529900db5p-14, -0x1.21aa89ad636dap-14, -0x1.18d12a5b8468cp-14, -0x1.103872cffd05ep-14, -0x1.07dea968144ep-14, -0x1.ff84466ce0e21p-15, -0x1.efc2908ba9f34p-15, -0x1.e07528e65fad4p-15, -0x1.d199285a85cfep-15, -0x1.c32bba8881edcp-15, -0x1.b52a0c4e04e1bp-15, -0x1.a79140b1ce5a5p-15, -0x1.9a5e756fa336ep-15, -0x1.8d8ed6fe55129p-15, -0x1.811fb72f41184p-15, -0x1.750e9589c1886p-15, -0x1.6959131d9f4d5p-15, -0x1.5dfcdbb0975d4p-15, -0x1.52f794595aa79p-15, -0x1.4846d7c4685d3p-15, -0x1.3de83d5df324cp-15, -0x1.33d9652c92d8cp-15, -0x1.2a18046114183p-15, -0x1.20a1ef167e28ap-15, -0x1.17751a970808dp-15, -0x1.0e8f95d58b51ep-15, -0x1.05ef7b9d8388dp-15, -0x1.fb25cb5c1ed0ap-16, -0x1.eaefcd1a4b013p-16, -0x1.db391900fbbe4p-16, -0x1.cbfddb54cce7dp-16, -0x1.bd3a722f774e5p-16, -0x1.aeeb83ab75b2fp-16, -0x1.a10df30a5e07fp-16, -0x1.939ebb4708877p-16, -0x1.869acfe64b7bdp-16, -0x1.79ff1aa99d74bp-16, -0x1.6dc88a9f14459p-16, -0x1.61f41c691b4efp-16, -0x1.567ed8e933071p-16, -0x1.4b65da19680a1p-16, -0x1.40a65b497aad9p-16, -0x1.363dc67f9d1dep-16, -0x1.2c29af2449addp-16, -0x1.2267b970202e8p-16, -0x1.18f57f002c8dap-16, -0x1.0fd084fc0843p-16, -0x1.06f64a52bbf39p-16, -0x1.fcc8c33e126ccp-17, -0x1.ec310bb0d487bp-17, -0x1.dc2143d5ae697p-17, -0x1.cc959100e28efp-17, -0x1.bd8a37ba8b549p-17, -0x1.aefb679fde98dp-17, -0x1.a0e5342b136cfp-17, -0x1.9343c113a82a6p-17, -0x1.861369b7bb33ap-17, -0x1.7950b81a9976dp-17, -0x1.6cf847b027a5cp-17, -0x1.6106bf8aa5ec9p-17, -0x1.5578e27c549cdp-17, -0x1.4a4b9e6b8594cp-17, -0x1.3f7c0d845ba7fp-17, -0x1.350765744316fp-17, -0x1.2aeada9ba8af8p-17, -0x1.2123891c4398ep-17, -0x1.17ae78e37c5f9p-17, -0x1.0e88c1f1dccbep-17, -0x1.05afb91f1aa33p-17, -0x1.fa41fee88cdfcp-18, -0x1.e9b4cc31f9798p-18, -0x1.d9b385a40dad7p-18, -0x1.ca39b0068f78p-18, -0x1.bb42ad3c1ddf8p-18, -0x1.acc9ec990d842p-18, -0x1.9ecb2afc2deabp-18, -0x1.914277e182128p-18, -0x1.842c02c61bbd3p-18, -0x1.77840b3729981p-18, -0x1.6b46f93020bedp-18, -0x1.5f71648c27b28p-18, -0x1.540006bb65911p-18, -0x1.48efabfe7e323p-18, -0x1.3e3d2ac7758ep-18, -0x1.33e55fbd2b25bp-18, -0x1.29e52bb88fe1ap-18, -0x1.203972e9963c6p-18, -0x1.16df23e54c22dp-18, -0x1.0dd352103dae4p-18, -0x1.05135b3e318a6p-18, -0x1.f939dd802ce4bp-19, -0x1.e8dbaf55eb2ccp-19, -0x1.d90770c61b4abp-19, -0x1.c9b80efd9ac3bp-19, -0x1.bae88b32f73p-19, -0x1.ac945654bd593p-19, -0x1.9eb75d15246a7p-19, -0x1.914dabe21709cp-19, -0x1.84532dbc2626p-19, -0x1.77c3ed238ede9p-19, -0x1.6b9c5044198bep-19, -0x1.5fd9071ecaf69p-19, -0x1.5476e755eb248p-19, -0x1.4972cdd3dabbp-19, -0x1.3ec98af47e459p-19, -0x1.3477e20e2d45dp-19, -0x1.2a7a9be3d5cc4p-19, -0x1.20cea04a5604p-19, -0x1.1771058a351dbp-19, -0x1.0e5f0dac5796bp-19, -0x1.05961f9471ad6p-19, -0x1.fa27986c1b887p-20, -0x1.e9aba457570b8p-20, -0x1.d9b406e98e638p-20, -0x1.ca3c2b0517a4bp-20, -0x1.bb3f2fcb590e5p-20, -0x1.acb867911c719p-20, -0x1.9ea3c74f2ee2bp-20, -0x1.90fdb249cba83p-20, -0x1.83c26d48a055dp-20, -0x1.76ee01faa53d6p-20, -0x1.6a7cb92b9bb76p-20, -0x1.5e6b4222df5cp-20, -0x1.52b68a41572b9p-20, -0x1.475bad8e96503p-20, -0x1.3c57e07efd529p-20, -0x1.31a8552390ca8p-20, -0x1.274a2d1bf3043p-20, -0x1.1d3a7f2789661p-20, -0x1.13766eae38b67p-20, -0x1.09fb49a02cafbp-20, -0x1.00c69b82fb94ap-20, -0x1.efac525703be2p-21, -0x1.de4fb10efcb8dp-21, -0x1.cd732f0185952p-21, -0x1.bd12a6844f754p-21, -0x1.ad2a046b82bd9p-21, -0x1.9db55d6ae9d3dp-21, -0x1.8eb0d412d53fdp-21, -0x1.80189f3667ebap-21, -0x1.71e96602a2b69p-21, -0x1.64200e4e475fep-21, -0x1.56b9508798b37p-21, -0x1.49b1d821927e8p-21, -0x1.3d0697f6afea5p-21, -0x1.30b4c9cc54d58p-21, -0x1.24b9c1eced9fep-21, -0x1.1913001c34d2p-21, -0x1.0dbe2795212c8p-21, -0x1.02b8ee60d3f2cp-21, -0x1.f0021dc897af7p-22, -0x1.db287e25c77d4p-22, -0x1.c6e06670c17afp-22, -0x1.b3255892df072p-22, -0x1.9ff3152d1bae4p-22, -0x1.8d45b7ff89028p-22, -0x1.7b19bcade4015p-22, -0x1.696be1dda23bp-22, -0x1.5838f261d5c6fp-22, -0x1.477d99b24a3a7p-22, -0x1.37366e2a4b3ecp-22, -0x1.27602f38a6489p-22, -0x1.17f7f244e891dp-22, -0x1.08fb0007f5992p-22, -0x1.f4cd6ae950beep-23, -0x1.d8711cdd716e4p-23, -0x1.bcdbc4cd4751p-23, -0x1.a208072fc5af6p-23, -0x1.87f12ab931b43p-23, -0x1.6e92d723af742p-23, -0x1.55e8a77bd8236p-23, -0x1.3dee712661c34p-23, -0x1.26a040eed12e5p-23, -0x1.0ffa4cb9b285fp-23, -0x1.f3f1d80be28dbp-24, -0x1.c93116779ba2bp-24, -0x1.9fab3f275b3a3p-24, -0x1.77594a0419995p-24, -0x1.503450351a052p-24, -0x1.2a35aa922b5bcp-24, -0x1.05570bf360292p-24, -0x1.c325219370c3dp-25, -0x1.7dc57545df8cap-25, -0x1.3a848e98709dp-25, -0x1.f2afb0d6da33p-26, -0x1.7468c2e420f5fp-26, -0x1.f43ca9f0c5b67p-27, -0x1.07773a7422652p-27, -0x1.12dde026399c8p-30, 0x1.767102c582c43p-28, 0x1.91689b3e66c38p-27, 0x1.302c7420d21a3p-26, 0x1.9416edd38b813p-26, 0x1.f485a5d33a46bp-26, 0x1.28c42847b7acap-25, 0x1.559760754231cp-25, 0x1.80c4669a6f456p-25, 0x1.aa52d33fc90e8p-25, 0x1.d24a137f03714p-25, 0x1.f8b167a9fa85bp-25, 0x1.0ec7f19b41a57p-24, 0x1.20763a3694e9p-24, 0x1.3166f8104a314p-24, 0x1.419d8cdbca282p-24, 0x1.511d5139b1b0dp-24, 0x1.5fe9907bbe053p-24, 0x1.6e05844499a7dp-24, 0x1.7b7451bab969ap-24, 0x1.8839079b944cp-24, 0x1.94569e359f03bp-24, 0x1.9fcffe47d249dp-24, 0x1.aaa80f24a0d24p-24, 0x1.b4e1bf392622fp-24, 0x1.be7ffc48f1acbp-24, 0x1.c785a4341cdf9p-24, 0x1.cff5793008067p-24, 0x1.d7d21fb7810d2p-24, 0x1.df1e38526746ep-24, 0x1.e5dc7a6af2ec3p-24, 0x1.ec0f980970589p-24, 0x1.f1ba32d40b79bp-24, 0x1.f6ded954524c4p-24, 0x1.fb8014456f0dcp-24, 0x1.ffa06bd981f6dp-24, 0x1.01a12ea1ec6e9p-23, 0x1.0334305690fa3p-23, 0x1.048a74119bb14p-23, 0x1.05a52f950a686p-23, 0x1.068595746f659p-23, 0x1.072cd53312e17p-23, 0x1.079c1c0568d8dp-23, 0x1.07d495176a9b5p-23, 0x1.07d7695cfa1b8p-23, 0x1.07a5bf6b5c4ddp-23, 0x1.0740bb33510cbp-23, 0x1.06a97dcfb7ffcp-23, 0x1.05e12579ee61ap-23, 0x1.04e8cd5a2aef6p-23, 0x1.03c18da1b9722p-23, 0x1.026c7c598c06ep-23, 0x1.00eaae735abc6p-23, 0x1.fe7a6f940e5fep-24, 0x1.faca542d8afc1p-24, 0x1.f6c7283160c4fp-24, 0x1.f27301bc5ccf7p-24, 0x1.edcfef11fa93p-24, 0x1.e8dffc6116932p-24, 0x1.e3a537a9b497dp-24, 0x1.de21a91d1fce8p-24, 0x1.d857501aab99dp-24, 0x1.d24828a91ee9dp-24, 0x1.cbf62bf292302p-24, 0x1.c5634d1aecf68p-24, 0x1.be917b15144f8p-24, 0x1.b782a08ceb0bbp-24, 0x1.b038a398ed838p-24, 0x1.a8b565b872fe9p-24, 0x1.a0fac3be1622ap-24, 0x1.990a95c30975cp-24, 0x1.90e6af471b12dp-24, 0x1.8890df38ec53cp-24, 0x1.800af003268ep-24, 0x1.7756a77bbd572p-24, 0x1.6e75c6becf7e2p-24, 0x1.656a0a137cceep-24, 0x1.5c3528e4d0046p-24, 0x1.52d8d5b1e0423p-24, 0x1.4956bdf8704c9p-24, 0x1.3fb08a2162ab6p-24, 0x1.35e7dda9ae6ccp-24, 0x1.2bfe576944871p-24, 0x1.21f5919e3d7d9p-24, 0x1.17cf217f9f6f1p-24, 0x1.0d8c9777a9219p-24, 0x1.032f7e18b76f4p-24, 0x1.f172b565e02b6p-25, 0x1.dc575a94c6dbbp-25, 0x1.c70fe3788dba7p-25, 0x1.b19f3e54d2da1p-25, 0x1.9c084d77dd639p-25, 0x1.864de7ddbecd7p-25, 0x1.7072dc45beafep-25, 0x1.5a79edd00ac9ep-25, 0x1.4465d532ae37p-25, 0x1.2e3940cfd2876p-25, 0x1.17f6d495af512p-25, 0x1.01a129e3194c4p-25, 0x1.d6759f10e7f48p-26, 0x1.a98c93819c46ep-26, 0x1.7c8c244a2d9c8p-26, 0x1.4f792f7714a6bp-26, 0x1.22587df413c5p-26, 0x1.ea5d870242595p-27, 0x1.90013da03cb03p-27, 0x1.35a532fb9cbe5p-27, 0x1.b6a49fe25f652p-28, 0x1.0222a5a761a73p-28, 0x1.37567dbdf95e8p-30, -0x1.98c67c1d8667dp-30, -0x1.19e296af88291p-28, -0x1.cd2d1ccd80678p-28, -0x1.4000ad4f90962p-27, -0x1.9927e61cf12c3p-27, -0x1.f204a011ff93ap-27, -0x1.2547b5facebdfp-26, -0x1.516082201ceep-26, -0x1.7d49266cff66fp-26, -0x1.a8fe29c040102p-26, -0x1.d47c27a9ef9d7p-26, -0x1.ffbfcf79049d5p-26, -0x1.1562f22cbf51bp-25, -0x1.2ac59efec9097p-25, -0x1.400664836438ap-25, -0x1.5523c266d3c68p-25, -0x1.6a1c427e7c103p-25, -0x1.7eee78891af59p-25, -0x1.93990200d86a7p-25, -0x1.a81a8619f0769p-25, -0x1.bc71b5b3d77d2p-25, -0x1.d09d4b41aba1p-25, -0x1.e49c0ab81c6c2p-25, -0x1.f86cc17aef96ap-25, -0x1.060723235e1f8p-24, -0x1.0fbfbc8b57695p-24, -0x1.195fa18b83b2fp-24, -0x1.22e64b5550d63p-24, -0x1.2c5337ce807cep-24, -0x1.35a5e95b40db6p-24, -0x1.3edde677da20ep-24, -0x1.47fab9e2f90bap-24, -0x1.50fbf2e106505p-24, -0x1.59e1252103edap-24, -0x1.62a9e891be254p-24, -0x1.6b55d953a6637p-24, -0x1.73e497b8ddc2dp-24, -0x1.7c55c806a5c4ep-24, -0x1.84a912c980b5dp-24, -0x1.8cde247c78ef7p-24, -0x1.94f4ad45588cbp-24, -0x1.9cec61c19ba49p-24, -0x1.a4c4fa1b7f9ap-24, -0x1.ac7e32518ad2fp-24, -0x1.b417ca3325aap-24, -0x1.bb91853cc363fp-24, -0x1.c2eb2a9080806p-24, -0x1.ca2484eb50c34p-24, -0x1.d13d62b0515fcp-24, -0x1.d83595abc26c6p-24, -0x1.df0cf323e36c7p-24, -0x1.e5c353cbba55cp-24, -0x1.ec5893ab590ddp-24, -0x1.f2cc92161f695p-24, -0x1.f91f319e7eea9p-24, -0x1.ff5058074effbp-24, -0x1.02aff71b1749bp-23, -0x1.05a6f010ca53ep-23, -0x1.088d0e64c0eb4p-23, -0x1.0b624b14ef187p-23, -0x1.0e26a096c32fap-23, -0x1.10da0acd8553cp-23, -0x1.137c87051e138p-23, -0x1.160e13ecbe95ap-23, -0x1.188eb18dc6c5fp-23, -0x1.1afe6146362bp-23, -0x1.1d5d25c3c584ep-23, -0x1.1fab02fc3a398p-23, -0x1.21e7fe2631a79p-23, -0x1.24141db2cd873p-23, -0x1.262f6945cf125p-23, -0x1.2839e9ade4e84p-23, -0x1.2a33a8ddfee25p-23, -0x1.2c1cb1e8ab07bp-23, -0x1.2df510f82a414p-23, -0x1.2fbcd349b902cp-23, -0x1.31740727703ddp-23, -0x1.331abbe2e0a4cp-23, -0x1.34b101cd67eeap-23, -0x1.3636ea337b58ep-23, -0x1.37ac87562d4a7p-23, -0x1.3911ec622e404p-23, -0x1.3a672d6b0b511p-23, -0x1.3bac5f64cda44p-23, -0x1.3ce19820c0076p-23, }}, 
      {{0x1.1d70b73162695p-6, 0x1.179d540072afap-5, 0x1.957352c1dee0ep-5, 0x1.01f5f76c2c54ap-4, 0x1.2fe26160327a8p-4, 0x1.536274998f74cp-4, 0x1.6bd395d176cf3p-4, 0x1.78fd13ddbbe3bp-4, 0x1.7afe4362b5a44p-4, 0x1.723c9ddaea2c8p-4, 0x1.5f53081c7b5c7p-4, 0x1.430310e686805p-4, 0x1.1e2821534c42dp-4, 0x1.e35a509437dffp-5, 0x1.7d07de59e3438p-5, 0x1.0b3d0eedc31ep-5, 0x1.1fa89c84d5a57p-6, 0x1.92d0fc785e9e7p-10, -0x1.f329ab3717c44p-7, -0x1.0ab79c5ff0a57p-5, -0x1.9bb770a0be4fp-5, -0x1.1737685e5e3bfp-4, -0x1.60d0b805a1b9ap-4, -0x1.aa18aea9eddb9p-4, -0x1.f28f0a1dfe203p-4, -0x1.1ce0ce2185e1dp-3, -0x1.3fa5c6c3a6f5p-3, -0x1.616a48181d43bp-3, -0x1.8208069ace645p-3, -0x1.a15e287ee689bp-3, -0x1.bf50de33e8fbbp-3, -0x1.dbc8fe8d94e18p-3, -0x1.f6b3a77d0b548p-3, -0x1.0800f1eee9a9fp-2, -0x1.13d42b44c8b4bp-2, -0x1.1ecf7556a408dp-2, -0x1.28f0449a3f5f2p-2, -0x1.32356983dcc04p-2, -0x1.3a9eefe74a0bfp-2, -0x1.422e0070c2ef8p-2, -0x1.48e4c40c88206p-2, -0x1.4ec6491718774p-2, -0x1.53d66a34820e6p-2, -0x1.5819b6b1dc317p-2, -0x1.5b955c593b6b2p-2, -0x1.5e4f12a407bb1p-2, -0x1.604d073b77eb6p-2, -0x1.6195cbb954cdep-2, -0x1.6230449d0c40dp-2, -0x1.6223996a8f0fcp-2, -0x1.617725e91f689p-2, -0x1.60326c78a7158p-2, -0x1.5e5d0974cda44p-2, -0x1.5bfea79cfba46p-2, -0x1.591ef57853356p-2, -0x1.55c59bac35854p-2, -0x1.51fa343da670fp-2, -0x1.4dc442b2efd9p-2, -0x1.492b2d0c48b5fp-2, -0x1.4436358c185ep-2, -0x1.3eec753eaef1ep-2, -0x1.3954d74792d65p-2, -0x1.337614c7e6ee9p-2, -0x1.2d56b195cd50fp-2, -0x1.26fcf949f0ddp-2, -0x1.206efd37ecf51p-2, -0x1.19b2929bcc0e6p-2, -0x1.12cd514c919c4p-2, -0x1.0bc4939d3cddap-2, -0x1.049d748401435p-2, -0x1.fab9a45d62201p-3, -0x1.ec0e959e7c42p-3, -0x1.dd4281ef6aa01p-3, -0x1.ce5db4062de5fp-3, -0x1.bf67fd86ac8b5p-3, -0x1.b068c2abb9918p-3, -0x1.a166ecbf974c6p-3, -0x1.9268fff6faa08p-3, -0x1.83751174b75e1p-3, -0x1.7490cc5b3828fp-3, -0x1.65c1811f085e7p-3, -0x1.570c168fe8169p-3, -0x1.48751ddfc13ecp-3, -0x1.3a00d0356652dp-3, -0x1.2bb30db22f78fp-3, -0x1.1d8f6b01d9f7ep-3, -0x1.0f992ced76f8fp-3, -0x1.01d34e86cd9fbp-3, -0x1.e8810c785af47p-4, -0x1.cdc68cb6e241cp-4, -0x1.b37b837d9a2b7p-4, -0x1.99a3dccc52253p-4, -0x1.80430fc76cfc9p-4, -0x1.675c245f53e0ep-4, -0x1.4ef1b817fafd7p-4, -0x1.370602e484b88p-4, -0x1.1f9adbcc1f9eap-4, -0x1.08b1bd83a4fe5p-4, -0x1.e49795e4268dbp-5, -0x1.b8d3a777a3f7fp-5, -0x1.8e18b08b9c2ccp-5, -0x1.64671cf15f2d8p-5, -0x1.3bbecb7c26422p-5, -0x1.141f16c007568p-5, -0x1.db0dbafbc5beap-6, -0x1.8fe9161b94492p-6, -0x1.46cc3fc4565bep-6, -0x1.ff64e71dc9844p-7, -0x1.752c70472924ap-7, -0x1.ddc5be14fbcbdp-8, -0x1.b1eb34fcc1fa6p-9, 0x1.21a374e1a6728p-11, 0x1.19d71ec020829p-8, 0x1.04096e8ac8657p-7, 0x1.7784c103c0a71p-7, 0x1.e76f125cf1516p-7, 0x1.29ed3af021af5p-6, 0x1.5e6cb857aa3b7p-6, 0x1.913f72730e769p-6, 0x1.c26eff016656cp-6, 0x1.f2050f7083bf6p-6, 0x1.1005b43ae3dfep-5, 0x1.2645ed0983f1p-5, 0x1.3bc81c1e8cf71p-5, 0x1.50912a18b9d1bp-5, 0x1.64a5fb0d566eep-5, 0x1.780b6ba1f42a9p-5, 0x1.8ac64e6b98955p-5, 0x1.9cdb6980871e1p-5, 0x1.ae4f7450b95a4p-5, 0x1.bf27159c2616dp-5, 0x1.cf66e1afe73c7p-5, 0x1.df1358e867c0dp-5, 0x1.ee30e630b9fbbp-5, 0x1.fcc3ddd3192b5p-5, 0x1.05683e406f94ep-4, 0x1.0c2d7325a1156p-4, 0x1.12b392f9eb14cp-4, 0x1.18fc962cf8577p-4, 0x1.1f0a67e8fd57cp-4, 0x1.24dee5eff571p-4, 0x1.2a7be07ec167fp-4, 0x1.2fe31a1acead5p-4, 0x1.35164794ed387p-4, 0x1.3a17101637de5p-4, 0x1.3ee70d0ab2afap-4, 0x1.4387ca3a33c9ap-4, 0x1.47fac5f97eb65p-4, 0x1.4c41713162f96p-4, 0x1.505d2f82d7e0ap-4, 0x1.544f57948161bp-4, 0x1.58193337e644ep-4, 0x1.5bbbff901e42cp-4, 0x1.5f38ed6f17e39p-4, 0x1.6291219df3224p-4, 0x1.65c5b50624fcap-4, 0x1.68d7b5098f93bp-4, 0x1.6bc823ebafe4p-4, 0x1.6e97f9050cd21p-4, 0x1.714821240abbp-4, 0x1.73d97eb65a22fp-4, 0x1.764cea8e7a4ap-4, 0x1.78a333c13d0fap-4, 0x1.7add203133082p-4, 0x1.7cfb6cf65795ep-4, 0x1.7efece9f7738p-4, 0x1.80e7f1869f69cp-4, 0x1.82b77a27f14dep-4, 0x1.846e05936044fp-4, 0x1.860c29a9a65f8p-4, 0x1.8792755eb423bp-4, 0x1.89017126dd9c4p-4, 0x1.8a599f5408788p-4, 0x1.8b9b7c4549d98p-4, 0x1.8cc77eb029b3ap-4, 0x1.8dde1804af726p-4, 0x1.8edfb4bdfc054p-4, 0x1.8fccbc8eea97cp-4, 0x1.90a592a0f0027p-4, 0x1.916a95ef5d646p-4, 0x1.921c218f4ec23p-4, 0x1.92ba8cda2b7p-4, 0x1.93462b9eef899p-4, 0x1.93bf4e6df604p-4, 0x1.942642ddb1918p-4, 0x1.947b53b22ebb2p-4, 0x1.94bec902aa465p-4, 0x1.94f0e87463103p-4, 0x1.9511f5768e881p-4, 0x1.95223169ec337p-4, 0x1.9521dbbf67bfap-4, 0x1.95113222b12cp-4, 0x1.94f070aa8bbe4p-4, 0x1.94bfd1fc2fb3p-4, 0x1.947f8f64b34dap-4, 0x1.942fe0fa4017bp-4, 0x1.93d0fdc4ab76dp-4, 0x1.93631bda46e67p-4, 0x1.92e6706e04f81p-4, 0x1.925b2fe41aacfp-4, 0x1.91c18df8112dfp-4, 0x1.9119bde013c7fp-4, 0x1.9063f256c2e6bp-4, 0x1.8fa05d9772d7bp-4, 0x1.8ecf316e19d6p-4, 0x1.8df09f614a93fp-4, 0x1.8d04d8d50ac41p-4, 0x1.8c0c0f093d6bfp-4, 0x1.8b0673042e159p-4, 0x1.89f435957651dp-4, 0x1.88d5877f8453dp-4, 0x1.87aa99a302de8p-4, 0x1.86739d00c6337p-4, 0x1.8530c296d6edep-4, 0x1.83e23b4a3b28fp-4, 0x1.8288380177ce1p-4, 0x1.8122e9da0f383p-4, 0x1.7fb28241af27ap-4, 0x1.7e3732d9751d1p-4, 0x1.7cb12d453bff9p-4, 0x1.7b20a31fd6ec6p-4, 0x1.7985c624f3798p-4, 0x1.77e0c866a9c38p-4, 0x1.7631dc57369a5p-4, 0x1.7479349c2304ap-4, 0x1.72b703d817469p-4, 0x1.70eb7ca2253f4p-4, 0x1.6f16d1b312b73p-4, 0x1.6d39361ae0a22p-4, 0x1.6b52dd48e18bep-4, 0x1.6963fadc871adp-4, 0x1.676cc2695a95ap-4, 0x1.656d67641546ep-4, 0x1.63661d479c13ap-4, 0x1.615717cccf805p-4, 0x1.5f408b00b0125p-4, 0x1.5d22ab1e4e86bp-4, 0x1.5afdac52b0fep-4, 0x1.58d1c296962a5p-4, 0x1.569f21b79f0d6p-4, 0x1.5465fd8f62c15p-4, 0x1.52268a2b48887p-4, 0x1.4fe0fbc63930ap-4, 0x1.4d95869616226p-4, 0x1.4b445e928198ap-4, 0x1.48edb75efbde6p-4, 0x1.4691c464eab2ep-4, 0x1.4430b903fc799p-4, 0x1.41cac8af60c6bp-4, 0x1.3f6026df18beap-4, 0x1.3cf106de56e3dp-4, 0x1.3a7d9b9910e32p-4, 0x1.3806178a27f0fp-4, 0x1.358aacd271b01p-4, 0x1.330b8d62e8367p-4, 0x1.3088eb180d3dap-4, 0x1.2e02f7b11b58cp-4, 0x1.2b79e4a7b85p-4, 0x1.28ede301b4883p-4, 0x1.265f2339341acp-4, 0x1.23cdd5473ddfep-4, 0x1.213a28c514379p-4, 0x1.1ea44d0a78cf5p-4, 0x1.1c0c71330e74bp-4, 0x1.1972c4066dc52p-4, 0x1.16d773d104031p-4, 0x1.143aae44564fep-4, 0x1.119ca06f80f4ap-4, 0x1.0efd76d0f2b2p-4, 0x1.0c5d5d72eb2cbp-4, 0x1.09bc7ffeeb94dp-4, 0x1.071b09bb83dfep-4, 0x1.047925756715dp-4, 0x1.01d6fd6066619p-4, 0x1.fe69760169618p-5, 0x1.f9250e4e6a3f1p-5, 0x1.f3e11400325c2p-5, 0x1.ee9dd651d2518p-5, 0x1.e95ba37fecb4ap-5, 0x1.e41ac8c890cbcp-5, 0x1.dedb924c145ebp-5, 0x1.d99e4adf543e1p-5, 0x1.d4633be601e4ep-5, 0x1.cf2aad4626446p-5, 0x1.c9f4e577a3443p-5, 0x1.c4c229a3dbc67p-5, 0x1.bf92bdc28c26fp-5, 0x1.ba66e4a4a78e2p-5, 0x1.b53edfe83ea98p-5, 0x1.b01aefdc1a93dp-5, 0x1.aafb5360cbc7p-5, 0x1.a5e047d57cd4fp-5, 0x1.a0ca09180b632p-5, 0x1.9bb8d19619024p-5, 0x1.96acda64cf435p-5, 0x1.91a65b5356089p-5, 0x1.8ca58aefe1404p-5, 0x1.87aa9e7e15db9p-5, 0x1.82b5c9e424a8ap-5, 0x1.7dc73f97bf2d5p-5, 0x1.78df3093c2d7dp-5, 0x1.73fdcc5afb7f5p-5, 0x1.6f234105f09aep-5, 0x1.6a4fbb54ac00bp-5, 0x1.658366bc98b48p-5, 0x1.60be6d6d37f85p-5, 0x1.5c00f84aad2e9p-5, 0x1.574b2ee19a5e8p-5, 0x1.529d375a8084cp-5, 0x1.4df736737151p-5, 0x1.49594f8425e25p-5, 0x1.44c3a48bdbd34p-5, 0x1.40365643c0fcdp-5, 0x1.3bb1842ea7fb1p-5, 0x1.37354ca00fdb5p-5, 0x1.32c1ccb80f228p-5, 0x1.2e572055ec44cp-5, 0x1.29f56207256edp-5, 0x1.259caaface601p-5, 0x1.214d1300b8086p-5, 0x1.1d06b09827b8cp-5, 0x1.18c9990beba88p-5, 0x1.1495e093d259ep-5, 0x1.106b9a7084035p-5, 0x1.0c4ad8f7a7cd3p-5, 0x1.0833ad8abd98ep-5, 0x1.04262879cab67p-5, 0x1.002258da692c5p-5, 0x1.f85098c2a58d8p-6, 0x1.f0701e9cb6ddep-6, 0x1.e8a358ee09eaap-6, 0x1.e0ea5ae61288ep-6, 0x1.d94535c54484ep-6, 0x1.d1b3f9782bca1p-6, 0x1.ca36b5118c847p-6, 0x1.c2cd76f7e1271p-6, 0x1.bb784cacda20dp-6, 0x1.b4374233051b5p-6, 0x1.ad0a613617cffp-6, 0x1.a5f1b035065e9p-6, 0x1.9eed31f690895p-6, 0x1.97fce5852b526p-6, 0x1.9120c6ccac7ebp-6, 0x1.8a58cfc4e20b2p-6, 0x1.83a4f9e46b75cp-6, 0x1.7d053f7693206p-6, 0x1.76799c6944355p-6, 0x1.70020e42334f3p-6, 0x1.699e932099465p-6, 0x1.634f27f6a3cd9p-6, 0x1.5d13c6681cacep-6, 0x1.56ec62e64b9e2p-6, 0x1.50d8eba37dda7p-6, 0x1.4ad948cd98fa2p-6, 0x1.44ed5e2dca17p-6, 0x1.3f150de766323p-6, 0x1.39503bb4f68eap-6, 0x1.339ecfcae3cddp-6, 0x1.2e00b886c4d44p-6, 0x1.2875ea4f4ac14p-6, 0x1.22fe5d782f3d3p-6, 0x1.1d9a0a85b2d66p-6, 0x1.1848e5a883eaep-6, 0x1.130ada9898581p-6, 0x1.0ddfc9f9fa3d9p-6, 0x1.08c789299e414p-6, 0x1.03c1e4c0984f6p-6, 0x1.fd9d4ad6f4654p-7, 0x1.f3db2c1cf8681p-7, 0x1.ea3d138250d42p-7, 0x1.e0c2c02c00a06p-7, 0x1.d76c0ce10ed75p-7, 0x1.ce38eba3bc37bp-7, 0x1.c5295abe7bcap-7, 0x1.bc3d5581272c9p-7, 0x1.b374c42e2e9fdp-7, 0x1.aacf6f091ed94p-7, 0x1.a24cf7ed9e6d2p-7, 0x1.99ecdc69b8ebp-7, 0x1.91ae805de4543p-7, 0x1.89913f1cb52d1p-7, 0x1.81947f65b4274p-7, 0x1.79b7c5c22e656p-7, 0x1.71fac0f0f10ap-7, 0x1.6a5d4d31dbdb4p-7, 0x1.62df6d30ae48ep-7, 0x1.5b8139a96128fp-7, 0x1.5442cb2046765p-7, 0x1.4d242298d33fcp-7, 0x1.462516a07e19ap-7, 0x1.3f45491a6df54p-7, 0x1.38842835d46cap-7, 0x1.31e0fa6c53df1p-7, 0x1.2b5af2fceb64cp-7, 0x1.24f14a9d88e3fp-7, 0x1.1ea3575784507p-7, 0x1.18709eb7aaf9dp-7, 0x1.1258de8ebee03p-7, 0x1.0c5c0a49aebp-7, 0x1.067a3d2c58a0fp-7, 0x1.00b3a41ab33d2p-7, 0x1.f610c72e32e07p-8, 0x1.eaf0ff3c11323p-8, 0x1.e00795489ccbap-8, 0x1.d553be67c2302p-8, 0x1.cad44a0152544p-8, 0x1.c087bf610575dp-8, 0x1.b66c8771c649fp-8, 0x1.ac8119d67fcb6p-8, 0x1.a2c424d89acf7p-8, 0x1.9934a944f1705p-8, 0x1.8fd205ed65639p-8, 0x1.869bf1c5e920dp-8, 0x1.7d9266d3e4e97p-8, 0x1.74b582b444192p-8, 0x1.6c0562f2c6883p-8, 0x1.638203ca97636p-8, 0x1.5b2b273eb127fp-8, 0x1.530048c2c3f56p-8, 0x1.4b009f28599d1p-8, 0x1.432b2bc2f7d76p-8, 0x1.3b7ed33997a81p-8, 0x1.33fa7a4f016b9p-8, 0x1.2c9d1f3893a9fp-8, 0x1.2565e80b455c2p-8, 0x1.1e5421f2d7ddap-8, 0x1.17673352d0141p-8, 0x1.109e899f85e23p-8, 0x1.09f98e14132dap-8, 0x1.0377a7df3358cp-8, 0x1.fa309277f9eebp-9, 0x1.edb5fa45d1ba9p-9, 0x1.e17ed48154075p-9, 0x1.d58a8d6b07d3cp-9, 0x1.c9d885adf4d59p-9, 0x1.be67f1efbbaeap-9, 0x1.b337de006bcb6p-9, 0x1.a84756785bd34p-9, 0x1.9d959d10fc7b8p-9, 0x1.93223bc32c1bp-9, 0x1.88ecd7cc166f3p-9, 0x1.7ef4cba290f5cp-9, 0x1.7538b78b55b76p-9, 0x1.6bb64a950e5dbp-9, 0x1.626a735bbcce2p-9, 0x1.5951f67a2fd9ep-9, 0x1.506a2f95cd26fp-9, 0x1.47b1a13bb75d3p-9, 0x1.3f2807abc71c7p-9, 0x1.36cde3c6c867ep-9, 0x1.2ea3c51026d08p-9, 0x1.26a9c4fad5f4fp-9, 0x1.1edf83ff81171p-9, 0x1.17449ad6a379fp-9, 0x1.0fd91d77e7da3p-9, 0x1.089dc250a063cp-9, 0x1.0193803337fc4p-9, 0x1.f5759819d89ddp-10, 0x1.e825a9a7c81bp-10, 0x1.db3237fe9dd0fp-10, 0x1.ce934641dce74p-10, 0x1.c23f6948731bdp-10, 0x1.b62e295f55458p-10, 0x1.aa5a51045b81fp-10, 0x1.9ec300249b5f1p-10, 0x1.936ac44d13705p-10, 0x1.8855203bfff28p-10, 0x1.7d8414279d0edp-10, 0x1.72f7432ecc3cdp-10, 0x1.68ad0ec683fb7p-10, 0x1.5ea48b6cb468ap-10, 0x1.54dec5cfa328fp-10, 0x1.4b5e828c3c6d5p-10, 0x1.4226b4c779a99p-10, 0x1.3938ac9e717e2p-10, 0x1.3093015c42f3bp-10, 0x1.28317c493538ap-10, 0x1.200d9bdd2b4c4p-10, 0x1.181f6e068f0b2p-10, 0x1.105f02029e34cp-10, 0x1.08c67ecd704cp-10, 0x1.0153f32ad48edp-10, 0x1.f412d67069f95p-11, 0x1.e5d59c6771426p-11, 0x1.d7f5d930172b2p-11, 0x1.ca73ea0d2023dp-11, 0x1.bd4c5640b3ae5p-11, 0x1.b07ba77524c6dp-11, 0x1.a401a1dc2f63cp-11, 0x1.97e1e775da71fp-11, 0x1.8c216e3da1e9fp-11, 0x1.80c2938d038c4p-11, 0x1.75c33d772e0a3p-11, 0x1.6b1e5049c32f2p-11, 0x1.60ce3a3cbf88p-11, 0x1.56cdd9d476fa6p-11, 0x1.4d176aea0f727p-11, 0x1.43a378e6b9a16p-11, 0x1.3a69d37da3be7p-11, 0x1.31644f94bde9p-11, 0x1.289122ca7d5b3p-11, 0x1.1ff2c73754b67p-11, 0x1.178d5476cfb55p-11, 0x1.0f6366fe8b81ep-11, 0x1.07749bd7d44bdp-11, 0x1.ff7c9a469606bp-12, 0x1.f07d47e80be14p-12, 0x1.e1eebb0363e5fp-12, 0x1.d3d7cd739cb63p-12, 0x1.c6393b623be2p-12, 0x1.b90b046982567p-12, 0x1.ac4225047d27p-12, 0x1.9fd693288112dp-12, 0x1.93c55fc3e8b48p-12, 0x1.880febc641bdcp-12, 0x1.7cb9361d600d9p-12, 0x1.71c208a743a42p-12, 0x1.6725d159ae231p-12, 0x1.5cd993902949ep-12, 0x1.52ce5355402cep-12, 0x1.48f921bce108dp-12, 0x1.3f5bdd701d5a9p-12, 0x1.36028cf2c31fcp-12, 0x1.2cf4e0807b172p-12, 0x1.242db3fb1374ep-12, 0x1.1ba5fc3fb1f26p-12, 0x1.136181eed6f79p-12, 0x1.0b66e8bf5df47p-12, 0x1.03b2eee6a9fc4p-12, 0x1.f87691978ff7ap-13, 0x1.e9ef2eb1b60fbp-13, 0x1.dbc8581dabc4p-13, 0x1.ce000316a4e25p-13, 0x1.c09626cd96334p-13, 0x1.b38dbc75f8d8ep-13, 0x1.a6eebc0a59502p-13, 0x1.9ac3dc2533b45p-13, 0x1.8f1370358ad71p-13, 0x1.83d6db4eee309p-13, 0x1.78f35b6c35cffp-13, 0x1.6e4355a45a12fp-13, 0x1.63bc2e9f069a9p-13, 0x1.597c6fa0534dbp-13, 0x1.4f9ab14429696p-13, 0x1.4605547e3214cp-13, 0x1.3cadae4e98eb1p-13, 0x1.33a46af889976p-13, 0x1.2af3b0020934dp-13, 0x1.228d633fed9dcp-13, 0x1.1a60ad064f381p-13, 0x1.1266985252ba6p-13, 0x1.0a9ef88680bd2p-13, 0x1.030b0d02879e5p-13, 0x1.f7559fb1fc907p-14, 0x1.e8f9662f329dbp-14, 0x1.dafed98bfa591p-14, 0x1.cd698073bb853p-14, 0x1.c0445d30015ecp-14, 0x1.b39b0fa64054p-14, 0x1.a771f8c6b8005p-14, 0x1.9bbe091dd8a7fp-14, 0x1.905354253554ep-14, 0x1.85078a2a31559p-14, 0x1.79fbdab6b1bf4p-14, 0x1.6f55390ecbed9p-14, 0x1.64ed78ed91ecdp-14, 0x1.5abbf60664102p-14, 0x1.50ea51e2b1f44p-14, 0x1.47766bbdb7657p-14, 0x1.3e42e46db6cc4p-14, 0x1.35420223c9da2p-14, 0x1.2c73b61d204bdp-14, 0x1.23da8761d87bep-14, 0x1.1b779974696b5p-14, 0x1.134aa6b9b8718p-14, 0x1.0b527a41ab933p-14, 0x1.038d00e984dcfp-14, 0x1.f7ef45f5deba4p-15, 0x1.e9216f84e3383p-15, 0x1.dab2475cb09c7p-15, 0x1.cca6a4178bcf9p-15, 0x1.bf0051c61db47p-15, 0x1.b1c56b08e4833p-15, 0x1.a4fef7baf2f64p-15, 0x1.9882bd6e94545p-15, 0x1.8c31c5028decap-15, 0x1.802e1d7fad5dap-15, 0x1.745155240242ep-15, 0x1.68ae02f8debebp-15, 0x1.5d7c76532a8dbp-15, 0x1.529babf809b36p-15, 0x1.47eb79be9fe71p-15, 0x1.3d6a4549a8b62p-15, 0x1.331d8f90f176ep-15, 0x1.2907fdd0a8eedp-15, 0x1.1f2943d3246c6p-15, 0x1.157fbf34d5e92p-15, 0x1.0c09ad2f499afp-15, 0x1.02c5b63202bdp-15, 0x1.f3658478af717p-16, 0x1.e19ea1e5138e1p-16, 0x1.d03219b195076p-16, 0x1.bf1ac5760215ap-16, 0x1.ae55a83fa39d1p-16, 0x1.9de0801e7aa3cp-16, 0x1.8db5bd1a07e1bp-16, 0x1.7de64957a2986p-16, 0x1.6ea29b7109584p-16, 0x1.5fb6c638f4fe6p-16, 0x1.50e944cefc1aep-16, 0x1.422fd8d10f1d2p-16, 0x1.33b9bbd4630c9p-16, 0x1.25bfb750f4a54p-16, 0x1.18080f2ea5727p-16, 0x1.0a7c8e889202bp-16, 0x1.fa497fd51d93ep-17, 0x1.e00d9c7b1bf09p-17, 0x1.c6487b4c39498p-17, 0x1.acf871fe2f468p-17, 0x1.941a16dde7985p-17, 0x1.7ba9ab35ff336p-17, 0x1.63a3eeadde19ap-17, 0x1.4c06aa8d7baf1p-17, 0x1.34d0c69d34133p-17, 0x1.1e0183c99a014p-17, 0x1.0796ef0761622p-17, 0x1.e3197561a05ffp-18, 0x1.b7baa478ec93bp-18, 0x1.8d0a731ffc87ap-18, 0x1.6305de6291947p-18, 0x1.39a096001845cp-18, 0x1.10ee9dd5fc327p-18, 0x1.d2dd0ef72f26dp-19, 0x1.85843ea08e75ep-19, 0x1.38480a24749d1p-19, 0x1.d7f429d31735fp-20, 0x1.43d77bf431ebcp-20, 0x1.6473a4b42da05p-21, 0x1.1412c08079235p-23, -0x1.abddf0b283edp-22, -0x1.ec12d68b3fa1ap-21, -0x1.7eadf6aef7009p-20, -0x1.0275a1c16c723p-19, -0x1.44652196caa3bp-19, -0x1.852a3830ef60ap-19, -0x1.c4c98933c5e77p-19, -0x1.01a3a61a49a43p-18, -0x1.20537152b100bp-18, -0x1.3e7532d4718e1p-18, -0x1.5c094c9e2fa2dp-18, -0x1.791000a6a1778p-18, -0x1.958a87e5c508ap-18, -0x1.b17bd2c422875p-18, -0x1.cce7d1ff3d825p-18, -0x1.e7d0ef8233c19p-18, -0x1.011afdbb0dbcp-17, -0x1.0e0bb97a111cp-17, -0x1.1abed17f23e8p-17, -0x1.27260b189d3c2p-17, -0x1.3336eb77f342dp-17, -0x1.3f29d2962a868p-17, -0x1.4ad17cf39d035p-17, -0x1.562c9bfb3fd2dp-17, -0x1.6151ac0474208p-17, -0x1.6c3b5d5128b96p-17, -0x1.76e690e1db7aap-17, -0x1.815309adf0a3fp-17, -0x1.8b8136ebd2f75p-17, -0x1.957196d9290e8p-17, -0x1.9f24a018669b1p-17, -0x1.a89ac4fda544fp-17, -0x1.b1d47702c4736p-17, -0x1.bad2268a9436bp-17, -0x1.c39440165367p-17, -0x1.cc1b273b47ed3p-17, -0x1.d4672edb9a38ep-17, -0x1.dc78942d3d13dp-17, -0x1.e44f8be8c1c64p-17, -0x1.ebec66c469e23p-17, -0x1.f34fb01fc7959p-17, -0x1.fa7a2523a58fcp-17, -0x1.00b63c82a676p-16, -0x1.0413679fd7afdp-16, -0x1.0754418fd621ap-16, -0x1.0a791f53c4363p-16, -0x1.0d83f27ff7caap-16, -0x1.107188e57b37cp-16, -0x1.1343f043dcadap-16, -0x1.15faa8b30aa44p-16, -0x1.1895608880adap-16, -0x1.1b17620a2f049p-16, -0x1.1d7f45db7585p-16, -0x1.1fccc97a36dcfp-16, -0x1.220020988089p-16, -0x1.24198aedb0ba9p-16, -0x1.261944bbe9f1cp-16, -0x1.27ff87562123ep-16, -0x1.29cc8b00a44b8p-16, -0x1.2b80883b27b37p-16, -0x1.2d1bb84be46e5p-16, -0x1.2e9e553786724p-16, -0x1.3008997ebf014p-16, -0x1.315abfca27b0ap-16, -0x1.3295023994947p-16, -0x1.33b7993cd1459p-16, -0x1.34c2bb504bfc5p-16, -0x1.35b69fd81b0fdp-16, -0x1.369383f751d3bp-16, -0x1.3759ac43be12dp-16, -0x1.3809625c820cdp-16, -0x1.38a2ee5256158p-16, -0x1.392680cd297cdp-16, -0x1.399423fcc15edp-16, -0x1.39ec14ca14c4cp-16, -0x1.3a2f5f02ea70cp-16, -0x1.3a5e4168a5728p-16, -0x1.3a7730711c1dfp-16, -0x1.3a7ab3da0716ap-16, -0x1.3a6af28fb4716p-16, -0x1.3a478af29a5fap-16, -0x1.3a105daa97579p-16, -0x1.39c5ac43d294cp-16, -0x1.3967c0ae9d30fp-16, -0x1.38f6e2698beabp-16, -0x1.3873574325fa8p-16, -0x1.37dd645523ae5p-16, -0x1.37354e8e11224p-16, -0x1.367b5afeacb9bp-16, -0x1.35afcf02f6295p-16, -0x1.34d2f047e030fp-16, -0x1.33e504b6bc7a2p-16, -0x1.32e652631c86bp-16, -0x1.31d71f7ecd8d3p-16, -0x1.30b7b2367b28p-16, -0x1.2f8850665cb8ep-16, -0x1.2e493f60fc195p-16, -0x1.2cfac46931349p-16, -0x1.2b9d25d1841cap-16, -0x1.2a30ab6f91c58p-16, -0x1.28b59e1584d04p-16, -0x1.272c4720edab8p-16, -0x1.2594eda9cd23p-16, -0x1.23efce3fd982p-16, -0x1.223d208f366d3p-16, -0x1.207d39cf2e31p-16, -0x1.1eb0be0cf4399p-16, -0x1.1cd7b63559a28p-16, -0x1.1af16bddf294p-16, -0x1.18ff66ab41f3cp-16, -0x1.1701bbfd219ebp-16, -0x1.14f87bf23f7b9p-16, -0x1.12e3ebac40fc9p-16, -0x1.10c45327e6b17p-16, -0x1.0e99f8b594507p-16, -0x1.0c65219d578ep-16, -0x1.0a26128d159dcp-16, -0x1.07dd0fc35ec2bp-16, -0x1.058a5d2096f09p-16, -0x1.032e3e2fe14d6p-16, -0x1.00c8f62cd8671p-16, -0x1.fcb590075eb2p-17, -0x1.f7c7ec92c2f52p-17, -0x1.f2c9866896833p-17, -0x1.edbae12ee807ep-17, -0x1.e89c7fbfa8e5fp-17, -0x1.e36ee41419ce4p-17, -0x1.de328f1997596p-17, -0x1.d8e8008f516a7p-17, -0x1.d38fb744bc707p-17, -0x1.ce2a31a10665bp-17, -0x1.c8b7edb2f6dcp-17, -0x1.c33968d5ac796p-17, -0x1.bdaf1fb7e742cp-17, -0x1.b8198dc1193ap-17, -0x1.b2792905decd8p-17, -0x1.acce61f93d211p-17, -0x1.a719b08dedaa8p-17, -0x1.a15ba858b9f95p-17, -0x1.9b94fa28262b1p-17, -0x1.95c52e39e875ap-17, -0x1.8fed79815d41bp-17, -0x1.8a0e4cfbe4e39p-17, -0x1.8427efbea57d1p-17, -0x1.7e3ad1afc35e8p-17, -0x1.784762eaf367cp-17, -0x1.724e1147b908cp-17, -0x1.6c4f48ee5b22fp-17, -0x1.664b749fde9a5p-17, -0x1.6042fdcd8442ep-17, -0x1.5a364c9ffd8dp-17, -0x1.5425c7f78676dp-17, -0x1.4e11d56d7474ap-17, -0x1.47fad9563d672p-17, -0x1.41e136c136522p-17, -0x1.3bc54f752b771p-17, -0x1.35a783ec01dadp-17, -0x1.2f88334fa4faap-17, -0x1.2967bb7a74097p-17, -0x1.234678f64d5fcp-17, -0x1.1d24c6f74c972p-17, -0x1.1702ff50839ffp-17, -0x1.10e17a6da4bd6p-17, -0x1.0ac08f6ac42e2p-17, -0x1.04a0943151c8dp-17, -0x1.fd03badaefe3p-18, -0x1.f0c97cedd9e0bp-18, -0x1.e49312c2f93a6p-18, -0x1.d8611de793b7ap-18, -0x1.cc343b6e8a613p-18, -0x1.c00d0356ec59ap-18, -0x1.b3ec0e5e369bfp-18, -0x1.a7d1f9e95e792p-18, -0x1.9bbf827cecb29p-18, -0x1.8fb4cdf3ab137p-18, -0x1.83b2ad5159f1bp-18, -0x1.77b9bfa0c79f7p-18, -0x1.6bca74b26a8cep-18, -0x1.5fe5535fa337ep-18, -0x1.540ae04c14685p-18, -0x1.483b9cde37a7fp-18, -0x1.3c7807a2c893dp-18, -0x1.30c09c75d6105p-18, -0x1.2515d4914d5bap-18, -0x1.1978269292d8cp-18, -0x1.0de80682121a8p-18, -0x1.0265e5d3ff948p-18, -0x1.ede466dc4bb6ep-19, -0x1.d71ab757ab2c4p-19, -0x1.c06f90c4e226dp-19, -0x1.a9e3c1c83e5b7p-19, -0x1.937814078574ep-19, -0x1.7d2d4c2edf7e2p-19, -0x1.670429fb2dfd8p-19, -0x1.50fd684321667p-19, -0x1.3b19bcff69af9p-19, -0x1.2559d951b5f6dp-19, -0x1.0fbe698332da6p-19, -0x1.f4902a1ccd95ep-20, -0x1.c9eefd7eec4e1p-20, -0x1.9f9a899cee6b1p-20, -0x1.759401a9900efp-20, -0x1.4bdc8f94344ep-20, -0x1.22755446f7e68p-20, -0x1.f2becfa37ed2fp-21, -0x1.a137b078d3283p-21, -0x1.505751a4980dep-21, -0x1.001faccbf58a3p-21, -0x1.61255ce34abfbp-22, -0x1.86c970e97fcc1p-23, -0x1.3802c125fab59p-25, }}, 
      {{0x1.f01cceaef556bp-7, 0x1.eb02e44cfd36fp-6, 0x1.6a1066116021fp-5, 0x1.d7a13c5cddbd9p-5, 0x1.1e3d1aa2a9c92p-4, 0x1.4b9f14e54a01fp-4, 0x1.7374d84e0067bp-4, 0x1.956632c808f28p-4, 0x1.b14007e7c3b8cp-4, 0x1.c6ef6c93a3859p-4, 0x1.d67cb3831c2bap-4, 0x1.e006aeb01b501p-4, 0x1.e3be4f6308f72p-4, 0x1.e1e2ba600e4c9p-4, 0x1.dabdd84f83d38p-4, 0x1.cea15e3cbb74bp-4, 0x1.bde4472192a17p-4, 0x1.a8e0b31023ba8p-4, 0x1.8ff2227f62a09p-4, 0x1.737404bd631bfp-4, 0x1.53c08fef7f893p-4, 0x1.312fd8cc9e924p-4, 0x1.0c17209d4fbc3p-4, 0x1.c990a1acb452p-5, 0x1.7723395f90ba5p-5, 0x1.217a840f5ce47p-5, 0x1.92458e9e4febcp-6, 0x1.ba7fbf1048cf5p-7, 0x1.26d8e8a69ec55p-9, -0x1.2c04416987d84p-7, -0x1.52817909d3fd8p-6, -0x1.07ee2980570b8p-5, -0x1.66adacd6be5b5p-5, -0x1.c52af4f558a52p-5, -0x1.118c5dab30de6p-4, -0x1.401839f013852p-4, -0x1.6e18fd767c1bcp-4, -0x1.9b71a18f0c093p-4, -0x1.c80801e664f17p-4, -0x1.f3c4b45b16fb6p-4, -0x1.0f4970d4e546fp-3, -0x1.24300f8c381ep-3, -0x1.388e249f26168p-3, -0x1.4c5caffcc4411p-3, -0x1.5f95b1d23988cp-3, -0x1.723419c66b7dep-3, -0x1.8433b6da3ce4fp-3, -0x1.959127ed4488p-3, -0x1.a649cce67311dp-3, -0x1.b65bb87f45783p-3, -0x1.c5c5a2af9217fp-3, -0x1.d486dbb7951b3p-3, -0x1.e29f3fc5a4eeap-3, -0x1.f00f2b34dd28fp-3, -0x1.fcd76f6194e55p-3, -0x1.047ca4083ba95p-2, -0x1.0a3b28b24d0a1p-2, -0x1.0fa83f30dc21ap-2, -0x1.14c507fbf824p-2, -0x1.1992c64a85db5p-2, -0x1.1e12dc1b8184fp-2, -0x1.2246c67d064c9p-2, -0x1.26301a0fec5e7p-2, -0x1.29d07fc79b0c5p-2, -0x1.2d29b1e5fddf2p-2, -0x1.303d792d7f503p-2, -0x1.330daa4681c6bp-2, -0x1.359c23505398fp-2, -0x1.37eac9a7d04f9p-2, -0x1.39fb87df7b672p-2, -0x1.3bd04bec7375bp-2, -0x1.3d6b057de4c33p-2, -0x1.3ecda4662a5a1p-2, -0x1.3ffa17325db15p-2, -0x1.40f249cd9d5dfp-2, -0x1.41b8246af2d0ep-2, -0x1.424d8a90b21dcp-2, -0x1.42b45a3835e17p-2, -0x1.42ee6b1828ae3p-2, -0x1.42fd8dc8b55cp-2, -0x1.42e38b17b94p-2, -0x1.42a2236a8a9aap-2, -0x1.423b0e3748c9bp-2, -0x1.41aff9c034cf3p-2, -0x1.41028ac87ff28p-2, -0x1.40345c5d1d39dp-2, -0x1.3f46ff9db7d59p-2, -0x1.3e3bfb7540f7fp-2, -0x1.3d14cc5ff1591p-2, -0x1.3bd2e43ba4fdap-2, -0x1.3a77aa2c80a54p-2, -0x1.39047a9bb8a64p-2, -0x1.377aa74866932p-2, -0x1.35db7764618c7p-2, -0x1.342827b45feb5p-2, -0x1.3261eaacd237p-2, -0x1.3089e889124efp-2, -0x1.2ea13f5d6cecdp-2, -0x1.2ca903279a7d8p-2, -0x1.2aa23de213cfbp-2, -0x1.288def9d8162ap-2, -0x1.266d0ea37c35p-2, -0x1.244087a280da6p-2, -0x1.22093de1fa7b3p-2, -0x1.1fc80b7c477ap-2, -0x1.1d7dc19b90b1p-2, -0x1.1b2b28b6c7d48p-2, -0x1.18d100cce1465p-2, -0x1.1670019ceec94p-2, -0x1.1408dadae8f0fp-2, -0x1.119c3461e8d22p-2, -0x1.0f2aae64b403p-2, -0x1.0cb4e19de6875p-2, -0x1.0a3b5f811bd2fp-2, -0x1.07beb26ddbeb3p-2, -0x1.053f5de4c9fe4p-2, -0x1.02bddebf4c4cdp-2, -0x1.003aab6958f39p-2, -0x1.fb6c68396bcdbp-3, -0x1.f661c639f4e3ap-3, -0x1.f15639e72955dp-3, -0x1.ec4a8155c4962p-3, -0x1.e73f500f87b3ep-3, -0x1.e2354f8277971p-3, -0x1.dd2d1f6bb7f89p-3, -0x1.d827563d8a95dp-3, -0x1.d3248180f3edbp-3, -0x1.ce2526335bb99p-3, -0x1.c929c1209554ap-3, -0x1.c432c73a1b41p-3, -0x1.bf40a5ebb6175p-3, -0x1.ba53c36e6c889p-3, -0x1.b56c7f19dde0fp-3, -0x1.b08b31b3d405cp-3, -0x1.abb02dbedf28fp-3, -0x1.a6dbbfc75dbf3p-3, -0x1.a20e2eaea978bp-3, -0x1.9d47bbf4f97e3p-3, -0x1.9888a400f757cp-3, -0x1.93d11e64e0a9cp-3, -0x1.8f215e21fad15p-3, -0x1.8a7991e8d1d38p-3, -0x1.85d9e45691c9bp-3, -0x1.81427c3082adep-3, -0x1.7cb37c9c172d8p-3, -0x1.782d0553be049p-3, -0x1.73af32da2b09ep-3, -0x1.6f3a1eaa8b39p-3, -0x1.6acddf656a8d1p-3, -0x1.666a88fc83e6bp-3, -0x1.62102cdc61839p-3, -0x1.5dbeda12abc1ep-3, -0x1.59769d7370023p-3, -0x1.553781bd83b74p-3, -0x1.51018fbbc37f7p-3, -0x1.4cd4ce649b51bp-3, -0x1.48b142f9ac921p-3, -0x1.4496f125556ebp-3, -0x1.4085db1563701p-3, -0x1.3c7e0195cdf45p-3, -0x1.387f642af9098p-3, -0x1.348a0128c39bbp-3, -0x1.309dd5c89d957p-3, -0x1.2cbade3f614fcp-3, -0x1.28e115d2841eap-3, -0x1.251076ea20442p-3, -0x1.2148fb21cf6c5p-3, -0x1.1d8a9b5b77e5dp-3, -0x1.19d54fcedf05cp-3, -0x1.162910171bf21p-3, -0x1.1285d34093a41p-3, -0x1.0eeb8fd708451p-3, -0x1.0b5a3bf138e5dp-3, -0x1.07d1cd3b359a1p-3, -0x1.0452390087985p-3, -0x1.00db743711305p-3, -0x1.fadae70f694d8p-4, -0x1.f41056ab1502cp-4, -0x1.ed571f8aac904p-4, -0x1.e6af298b1e173p-4, -0x1.e0185c2a3fa7ap-4, -0x1.d9929e901d3bdp-4, -0x1.d31dd7995e6afp-4, -0x1.ccb9ede339b0ep-4, -0x1.c666c7d560be5p-4, -0x1.c0244ba8e3351p-4, -0x1.b9f25f6e81236p-4, -0x1.b3d0e916b54d5p-4, -0x1.adbfce79a18d6p-4, -0x1.a7bef55bf1a2cp-4, -0x1.a1ce437247488p-4, -0x1.9bed9e665007dp-4, -0x1.961cebdcae7fdp-4, -0x1.905c1178cdedep-4, -0x1.8aaaf4de7916p-4, -0x1.85097bb41fdb9p-4, -0x1.7f778ba6c0136p-4, -0x1.79f50a6d6af02p-4, -0x1.7481ddca6c078p-4, -0x1.6f1deb8b49526p-4, -0x1.69c9198a2304cp-4, -0x1.64834db080c99p-4, -0x1.5f4c6df9339c3p-4, -0x1.5a24606ff3cb8p-4, -0x1.550b0b30504bep-4, -0x1.500054664d65fp-4, -0x1.4b042250782c2p-4, -0x1.46165b41015cap-4, -0x1.4136e59c9b1bfp-4, -0x1.3c65a7d89fe73p-4, -0x1.37a2887ad17c9p-4, -0x1.32ed6e1ad93f6p-4, -0x1.2e463f635eb39p-4, -0x1.29ace310fbea5p-4, -0x1.25213fefe97cp-4, -0x1.20a33cdab5e8dp-4, -0x1.1c32c0baffe61p-4, -0x1.17cfb28accb61p-4, -0x1.1379f9545d959p-4, -0x1.0f317c30256bep-4, -0x1.0af622428e46ep-4, -0x1.06c7d2bb66a38p-4, -0x1.02a674d6fa5fap-4, -0x1.fd23dfbe2076ap-5, -0x1.f51456546c763p-5, -0x1.ed1e1c332b7bep-5, -0x1.e541002e158f2p-5, -0x1.dd7cd129c51d9p-5, -0x1.d5d15e1e0d1ddp-5, -0x1.ce3e7617e002dp-5, -0x1.c6c3e8383a213p-5, -0x1.bf6183b055e47p-5, -0x1.b81717be28d8ep-5, -0x1.b0e473abb5281p-5, -0x1.a9c966d13419fp-5, -0x1.a2c5c09783ca9p-5, -0x1.9bd9507845c5ep-5, -0x1.9503e5fb3c8c1p-5, -0x1.8e4550b2f9295p-5, -0x1.879d603b7bb7ep-5, -0x1.810be43b98d97p-5, -0x1.7a90ac67ccc0fp-5, -0x1.742b8883fb181p-5, -0x1.6ddc4862ae8a3p-5, -0x1.67a2bbe28ff76p-5, -0x1.617eb2ec39225p-5, -0x1.5b6ffd7237db3p-5, -0x1.55766b735013dp-5, -0x1.4f91ccfd5d569p-5, -0x1.49c1f22ed9ac4p-5, -0x1.4406ab36378a5p-5, -0x1.3e5fc84ff6a65p-5, -0x1.38cd19c549beep-5, -0x1.334e6feca40cfp-5, -0x1.2de39b2c2265bp-5, -0x1.288c6bfc75d7ap-5, -0x1.2348b2eab3bf6p-5, -0x1.1e184098567bep-5, -0x1.18fae5ba12031p-5, -0x1.13f07316dd978p-5, -0x1.0ef8b98872727p-5, -0x1.0a1389fd65077p-5, -0x1.0540b57c0350ep-5, -0x1.00800d24a87bcp-5, -0x1.f7a2c46556e8fp-6, -0x1.ee690bf82736ep-6, -0x1.e55293e1e3fe2p-6, -0x1.dc5eff3706f91p-6, -0x1.d38df14337006p-6, -0x1.cadf0d8e3891ap-6, -0x1.c251f7e122981p-6, -0x1.b9e6544a1ef54p-6, -0x1.b19bc71dee3c3p-6, -0x1.a971f4f7d0789p-6, -0x1.a16882b96584ap-6, -0x1.997f158be7951p-6, -0x1.91b552e35d9ccp-6, -0x1.8a0ae083294f5p-6, -0x1.827f6482adc4bp-6, -0x1.7b128550cbbfbp-6, -0x1.73c3e9b5b655fp-6, -0x1.6c9338d399b6p-6, -0x1.65801a271700bp-6, -0x1.5e8a3588982a9p-6, -0x1.57b1332f0956cp-6, -0x1.50f4bbb3a2855p-6, -0x1.4a54781600c5dp-6, -0x1.43d011bfa115cp-6, -0x1.3d673286351a9p-6, -0x1.371984acf59aep-6, -0x1.30e6b2e572c95p-6, -0x1.2ace6850a7688p-6, -0x1.24d05080dad1ep-6, -0x1.1eec177c5b04ap-6, -0x1.192169c0cb2e7p-6, -0x1.136ff4466c945p-6, -0x1.0dd76482d2ff7p-6, -0x1.0857686adf657p-6, -0x1.02efae73fc90fp-6, -0x1.fb3fcb2a34b2p-7, -0x1.f0cf7a8f8b64dp-7, -0x1.e68dcb136df25p-7, -0x1.dc7a1dbdca729p-7, -0x1.d293d4a7ee1cfp-7, -0x1.c8da53018fd8dp-7, -0x1.bf4cfd154b3fbp-7, -0x1.b5eb384c525fp-7, -0x1.acb46b3142848p-7, -0x1.a3a7fd723299cp-7, -0x1.9ac557e29fb8ep-7, -0x1.920be47d4d172p-7, -0x1.897b0e66850a8p-7, -0x1.811241eec66e3p-7, -0x1.78d0ec95a3491p-7, -0x1.70b67d0ce73a5p-7, -0x1.68c2633bae6b9p-7, -0x1.60f4104167666p-7, -0x1.594af67873cddp-7, -0x1.51c689786c34fp-7, -0x1.4a663e17c655ap-7, -0x1.43298a6cee89bp-7, -0x1.3c0fe5ceece11p-7, -0x1.3518c8d5d27bdp-7, -0x1.2e43ad5b2b41cp-7, -0x1.27900e7aecffp-7, -0x1.20fd6894f8df3p-7, -0x1.1a8b394f65e15p-7, -0x1.1438ff9912ca6p-7, -0x1.0e063bac368b9p-7, -0x1.07f26f104e3fap-7, -0x1.01fd1c9afaaffp-7, -0x1.f84b90df944aep-8, -0x1.ecd7effdfcd93p-8, -0x1.e19e6407b7d92p-8, -0x1.d69dfd0672f8p-8, -0x1.cbd5cd95a0ea1p-8, -0x1.c144eae315a27p-8, -0x1.b6ea6cb1d1d5ap-8, -0x1.acc56d5d7cff8p-8, -0x1.a2d509ddca053p-8, -0x1.991861c8451b4p-8, -0x1.8f8e97503487ep-8, -0x1.8636cf4488962p-8, -0x1.7d10310cc2f47p-8, -0x1.7419e6a59bec4p-8, -0x1.6b531c9e5f206p-8, -0x1.62bb0216e5eaep-8, -0x1.5a50c8be29722p-8, -0x1.5213a4cff347cp-8, -0x1.4a02cd11392a3p-8, -0x1.421d7acb07c22p-8, -0x1.3a62e9c4593ffp-8, -0x1.32d2583d2faafp-8, -0x1.2b6b06ec6c108p-8, -0x1.242c3902535fdp-8, -0x1.1d15342f595ep-8, -0x1.162540ad780efp-8, -0x1.0f5ba948367a4p-8, -0x1.08b7bb5ef2faep-8, -0x1.0238c6dd762a3p-8, -0x1.f7bc3c533fa07p-9, -0x1.eb4e2c0ffed03p-9, -0x1.df260afa5b753p-9, -0x1.d3428b67a33a6p-9, -0x1.c7a263df3b111p-9, -0x1.bc444f25b626p-9, -0x1.b1270c6eca69fp-9, -0x1.a6495fabd3928p-9, -0x1.9baa11e286872p-9, -0x1.9147f170bd20fp-9, -0x1.8721d223e6161p-9, -0x1.7d368d1305c35p-9, -0x1.738500399b6c6p-9, -0x1.6a0c0de3ff066p-9, -0x1.60ca9c0dd028cp-9, -0x1.57bf93dc5c974p-9, -0x1.4ee9e15b3165bp-9, -0x1.464873931d1cfp-9, -0x1.3dda3cfb77891p-9, -0x1.359e342d4f72cp-9, -0x1.2d9354acfdfep-9, -0x1.25b89f96b0d88p-9, -0x1.1e0d1bff3b386p-9, -0x1.168fd6e8842ebp-9, -0x1.0f3fe2bfbba89p-9, -0x1.081c56755f277p-9, -0x1.01244c5a36a5ap-9, -0x1.f4adc204caf24p-10, -0x1.e76664ee24f59p-10, -0x1.da70bfe51246dp-10, -0x1.cdcb147e4df01p-10, -0x1.c173a9475327ep-10, -0x1.b568cc3a9cbe1p-10, -0x1.a9a8d52e0e765p-10, -0x1.9e3227a97a4ebp-10, -0x1.930333cda5c52p-10, -0x1.881a762c5bcb9p-10, -0x1.7d76769dc7ac9p-10, -0x1.7315c63379c01p-10, -0x1.68f6fc84ca078p-10, -0x1.5f18b4c079e49p-10, -0x1.55798b261b6b3p-10, -0x1.4c181ba466245p-10, -0x1.42f3022241ff9p-10, -0x1.3a08dc72cae2ep-10, -0x1.31584d54bd317p-10, -0x1.28dfff7b57019p-10, -0x1.209ea7b7ff25ep-10, -0x1.189305e162177p-10, -0x1.10bbe4ac62d7cp-10, -0x1.091818f92732ep-10, -0x1.01a680ef5c6d2p-10, -0x1.f4cc05bdd5b99p-11, -0x1.e6ab172899bfp-11, -0x1.d8e817f2651a3p-11, -0x1.cb80ecd1168fcp-11, -0x1.be737952853edp-11, -0x1.b1bd9f233a113p-11, -0x1.a55d4159fa35ap-11, -0x1.99504a6e9ff0ap-11, -0x1.8d94b20bfb566p-11, -0x1.8228801f26bf8p-11, -0x1.7709cc53bd6b9p-11, -0x1.6c36bb5d091bbp-11, -0x1.61ad7c8facfecp-11, -0x1.576c49aa91261p-11, -0x1.4d7168c5f4cb6p-11, -0x1.43bb2e867805ap-11, -0x1.3a47fe39e1a5cp-11, -0x1.311646d0777b9p-11, -0x1.28247de3bcae8p-11, -0x1.1f711b8aaa5bbp-11, -0x1.16fa9964dd772p-11, -0x1.0ebf7529aeb6ep-11, -0x1.06be34aeb29a9p-11, -0x1.fdead0f874d69p-12, -0x1.eec7564a6fabcp-12, -0x1.e00f3b91af51fp-12, -0x1.d1bfc7cd5d07p-12, -0x1.c3d642546ff38p-12, -0x1.b64ff5a80f93ap-12, -0x1.a92a38b973656p-12, -0x1.9c6279b5cf801p-12, -0x1.8ff6443ce73b9p-12, -0x1.83e3402dc4d0ep-12, -0x1.78272bc9f02afp-12, -0x1.6cbfd7150da8bp-12, -0x1.61ab240f9ec8ep-12, -0x1.56e709b6ba5a3p-12, -0x1.4c71941a15b0ap-12, -0x1.4248de1eade81p-12, -0x1.386b0776fa54ap-12, -0x1.2ed62ca4331ebp-12, -0x1.25886421ec16cp-12, -0x1.1c7fbf3037f81p-12, -0x1.13ba4be5a68dbp-12, -0x1.0b3619177b8e6p-12, -0x1.02f13d626f1f7p-12, -0x1.f5d3bdb090722p-13, -0x1.e63c6bd6f525dp-13, -0x1.d71913fe21391p-13, -0x1.c8665bd57077cp-13, -0x1.ba210a689b775p-13, -0x1.ac4625016e745p-13, -0x1.9ed30774102f7p-13, -0x1.91c55b61f07d4p-13, -0x1.851ae9d6b9dbdp-13, -0x1.78d1640241215p-13, -0x1.6ce648f4a2fa1p-13, -0x1.6156f3e696258p-13, -0x1.5620bc1a7f8aap-13, -0x1.4b41089b4b1e2p-13, -0x1.40b5505641decp-13, -0x1.367b141af3ba1p-13, -0x1.2c8fdedf4c7acp-13, -0x1.22f1496b5e942p-13, -0x1.199cf5db546a6p-13, -0x1.1090812e5a575p-13, -0x1.07c97d3da2a3dp-13, -0x1.fe8b15b48eb96p-14, -0x1.ee0521dcc1f32p-14, -0x1.ddfdcd81c4bd7p-14, -0x1.ce728740b3085p-14, -0x1.bf60ebe369787p-14, -0x1.b0c633dc89b37p-14, -0x1.a29f0f73cb9c2p-14, -0x1.94e7eede12db4p-14, -0x1.879d56255b9c4p-14, -0x1.7abbf935f384dp-14, -0x1.6e40b1923d3b9p-14, -0x1.62287684595aep-14, -0x1.56705cae04236p-14, -0x1.4b158dfbbec3bp-14, -0x1.401536c9e73a3p-14, -0x1.356c6fd3fd7a1p-14, -0x1.2b182c728d8a7p-14, -0x1.21153c959efd8p-14, -0x1.17607ea2b2c0fp-14, -0x1.0df740ee6e799p-14, -0x1.04d7885e1213p-14, -0x1.f7ffc342e0e13p-15, -0x1.e6dda51aff2d8p-15, -0x1.d644ebd5e8bf4p-15, -0x1.c6313a22e33e9p-15, -0x1.b69e5e554b39cp-15, -0x1.a7888a7bdcdf3p-15, -0x1.98ebfaae9febap-15, -0x1.8ac4c2ebce735p-15, -0x1.7d0f078fc68c1p-15, -0x1.6fc74715db528p-15, -0x1.62ea648950affp-15, -0x1.56756902c0bd3p-15, -0x1.4a653058904cdp-15, -0x1.3eb64b8590a2cp-15, -0x1.33652b4eb3f12p-15, -0x1.286e5b2600d39p-15, -0x1.1dcea28b9e511p-15, -0x1.1383247adfa32p-15, -0x1.098977848e8b2p-15, -0x1.ffbed6463d9c5p-16, -0x1.ed0524ee93a6p-16, -0x1.dae07d711228cp-16, -0x1.c94c19ac9cb05p-16, -0x1.b8445515cb6bap-16, -0x1.a7c5b29f74d89p-16, -0x1.97cbf373ee7ccp-16, -0x1.88526444622eap-16, -0x1.7954728528a1ep-16, -0x1.6acdf24178b87p-16, -0x1.5cbb4995a53e7p-16, -0x1.4f195c9d63bdbp-16, -0x1.41e51ca6f22afp-16, -0x1.351b125b81ff2p-16, -0x1.28b75a41b54f2p-16, -0x1.1cb6310778ac5p-16, -0x1.111490e8af00cp-16, -0x1.05d023346792cp-16, -0x1.f5ccf6557c6a5p-17, -0x1.e0a8f71486f77p-17, -0x1.cc2ccf7cdc7afp-17, -0x1.b850b19424e45p-17, -0x1.a50e62c3af0f8p-17, -0x1.9262c5443efc8p-17, -0x1.804bd39fb227fp-17, -0x1.6ec57862a8674p-17, -0x1.5dca3462acf31p-17, -0x1.4d553ae9b2832p-17, -0x1.3d6246f4c188dp-17, -0x1.2ded142832ef8p-17, -0x1.1ef1ac5e562cap-17, -0x1.106c88834efd5p-17, -0x1.025a5af8cd862p-17, -0x1.e96f9d738acb4p-18, -0x1.cf02a9c97008bp-18, -0x1.b5664d5731d38p-18, -0x1.9c93728abb4f7p-18, -0x1.8484eb9056cap-18, -0x1.6d379177a7848p-18, -0x1.56a7bda0a900cp-18, -0x1.40ce81a47a433p-18, -0x1.2ba2509e4ac03p-18, -0x1.1719d1493e1b4p-18, -0x1.032f0345caaep-18, -0x1.dfc1f5e223203p-19, -0x1.ba5ceb2583229p-19, -0x1.9622a11c63be2p-19, -0x1.7306c5d8544a2p-19, -0x1.5102334122256p-19, -0x1.300d716eadf17p-19, -0x1.10206092c0eabp-19, -0x1.e26780d8d15afp-20, -0x1.a68141f517966p-20, -0x1.6c7fa16a78b4dp-20, -0x1.345416d560a6dp-20, -0x1.fbe1a93ecdff4p-21, -0x1.929228017306ep-21, -0x1.2ca13253bb7bp-21, -0x1.93edf80057ad8p-22, -0x1.a9fa16705d234p-23, -0x1.c4fafb52ccae1p-26, 0x1.2c6e2ca90beb1p-23, 0x1.42c4db0c828dfp-22, 0x1.e99bf27064ba3p-22, 0x1.457c6d0385037p-21, 0x1.93820b727a84fp-21, 0x1.dee823022570dp-21, 0x1.13dbff87f8073p-20, 0x1.3706bf7a66119p-20, 0x1.58fdea88c56eap-20, 0x1.79c5ed3d1efd6p-20, 0x1.99671b2619fffp-20, 0x1.b7e948f15fcf8p-20, 0x1.d552929e7f52ap-20, 0x1.f1a911cd11f38p-20, 0x1.0679c30f926b9p-19, 0x1.139c93500c585p-19, 0x1.204090416acdfp-19, 0x1.2c6905b159e12p-19, 0x1.3818ce83dacb4p-19, 0x1.43526c06038a7p-19, 0x1.4e184f2ce91b2p-19, 0x1.586d15c42e506p-19, 0x1.62537d8dab126p-19, 0x1.6bce11eff189ap-19, 0x1.74df20a24c39p-19, 0x1.7d8966a496ab9p-19, 0x1.85cfb2c2f4cdap-19, 0x1.8db3687924115p-19, 0x1.9536bb8195e4cp-19, 0x1.9c5cc201c2b4p-19, 0x1.a3285d9805de2p-19, 0x1.a99b167963eebp-19, 0x1.afb5d6aab28b1p-19, 0x1.b57b2a210a5d8p-19, 0x1.baed09ac2e6d6p-19, 0x1.c00cf87df3b12p-19, 0x1.c4dc81b4bf48ap-19, 0x1.c95d4a76ee8c8p-19, 0x1.cd910cee9888bp-19, 0x1.d1798ed74af36p-19, 0x1.d51891eb0969cp-19, 0x1.d86fc0ba14129p-19, 0x1.db809ea3cd1d9p-19, 0x1.de4c84836ae5p-19, 0x1.e0d4b40a1b1fdp-19, 0x1.e31a7ea488779p-19, 0x1.e51f635cb1581p-19, 0x1.e6e4fe092a413p-19, 0x1.e86cc5b8725e8p-19, 0x1.e9b7e8cc4c28dp-19, 0x1.eac7910708d7dp-19, 0x1.eb9cdd5500d32p-19, 0x1.ec387f3afefd1p-19, 0x1.ec9c3276b9834p-19, 0x1.ecca26c405b4bp-19, 0x1.ecc325de0be2p-19, 0x1.ec879683b38d4p-19, 0x1.ec19046b6ec61p-19, 0x1.eb78a395989e7p-19, 0x1.eaa76be0aae17p-19, 0x1.e9a65d438734cp-19, 0x1.e8767d4815fc5p-19, 0x1.e718d2b42468p-19, 0x1.e58e65a1e9886p-19, 0x1.e3d83f665cf5ep-19, 0x1.e1f7685b2cb97p-19, 0x1.dfece42f3023p-19, 0x1.ddb9ade75eb72p-19, 0x1.db5eb47bdb55dp-19, 0x1.d8dcda84363abp-19, 0x1.d634fd36ce8a4p-19, 0x1.d36801cbfad51p-19, 0x1.d076ddbaf5692p-19, 0x1.cd628e61bceebp-19, 0x1.ca2c026e439ebp-19, 0x1.c6d4067d3bb54p-19, 0x1.c35b55404ade3p-19, 0x1.bfc2c07898b39p-19, 0x1.bc0b12d613f5fp-19, 0x1.b83526d7c833cp-19, 0x1.b44247af61689p-19, 0x1.b032e11e64d39p-19, 0x1.ac07b4b142311p-19, 0x1.a7c1b4e3f62a9p-19, 0x1.a3619c9b6bdb3p-19, 0x1.9ee829b5efda8p-19, 0x1.9a561d75ada43p-19, 0x1.95ac37e5c59a8p-19, 0x1.90eb36fd65121p-19, 0x1.8c13d721cfc66p-19, 0x1.8726d3b48583ap-19, 0x1.8224e70f335e1p-19, 0x1.7d0ec9f319b0fp-19, 0x1.77e532c79987ep-19, 0x1.72a8d4df20427p-19, 0x1.6d5a5fa82ec41p-19, 0x1.67fa7e39d2b5ep-19, 0x1.6289d8b3060ap-19, 0x1.5d0917d1e2df5p-19, 0x1.5778e787214c2p-19, 0x1.51d9f5619b735p-19, 0x1.4c2cebe59e77fp-19, 0x1.46726c04ce55bp-19, 0x1.40ab09af00a5ap-19, 0x1.3ad75b2c84e9p-19, 0x1.34f80aa3be63ap-19, 0x1.2f0db073264d7p-19, 0x1.2918eff136281p-19, 0x1.231a5b1a6393cp-19, 0x1.1d12832ef9fa6p-19, 0x1.1702075987334p-19, 0x1.10e972ca8acccp-19, 0x1.0ac953a4b8a38p-19, 0x1.04a237fea8f2fp-19, 0x1.fce958458f319p-20, 0x1.f082749825db4p-20, 0x1.e410d5825bf62p-20, 0x1.d79587fea8f1cp-20, 0x1.cb1195c85633ap-20, 0x1.be86056a9c4b1p-20, 0x1.b1f3d9ffa5225p-20, 0x1.a55c12ddeff45p-20, 0x1.98bfab6252ec6p-20, 0x1.8c1f9aab487c2p-20, 0x1.7f7cd325c727bp-20, 0x1.72d8427f705bap-20, 0x1.6632d2d75d004p-20, 0x1.598d6ca11bb1fp-20, 0x1.4ce8f6f9877cfp-20, 0x1.4046562d56abp-20, 0x1.33a669ecb70e8p-20, 0x1.270a09dc5c152p-20, 0x1.1a72033c84533p-20, 0x1.0ddf247c21ad1p-20, 0x1.0152489c2355p-20, 0x1.e9987ecd68197p-21, 0x1.d09b8253861bep-21, 0x1.b7af24839943p-21, 0x1.9ed50262c9e54p-21, 0x1.860e8a2cbff37p-21, 0x1.6d5d2794204fep-21, 0x1.54c2453e64bdcp-21, 0x1.3c3f471d17138p-21, 0x1.23d589bf888c9p-21, 0x1.0b8662553a99cp-21, 0x1.e6a63d8e655c6p-22, 0x1.b67a0bce294dap-22, 0x1.868aaf32fb1d9p-22, 0x1.56da99f7d95ebp-22, 0x1.276c30d42c2b3p-22, 0x1.f0839570cda52p-23, 0x1.92bb61457dc84p-23, 0x1.35843b62680a3p-23, 0x1.b1c4fbd3ef72p-24, 0x1.f369990d802ecp-25, 0x1.0b80a546ed5e2p-26, -0x1.cac390160e095p-26, -0x1.26f680caa086dp-24, -0x1.d9e8feb6e44eap-24, -0x1.45c070834969dp-23, -0x1.9ddb707151026p-23, -0x1.f541f91feca58p-23, -0x1.25f85610a4473p-22, -0x1.50f2250d418c7p-22, -0x1.7b8cc89f5e314p-22, -0x1.a5c69f3f6d311p-22, -0x1.cf9e2dcc091ccp-22, -0x1.f9121fc330d0ap-22, -0x1.111071f3de232p-21, -0x1.25649198eadbfp-21, -0x1.3984c98719ab2p-21, -0x1.4d70771ac3137p-21, -0x1.6126fd759ca77p-21, -0x1.74a7c5bb34501p-21, -0x1.87f23ef94dffp-21, -0x1.9b05de1553579p-21, -0x1.ade21dbb8af91p-21, -0x1.c0867e48c39ecp-21, -0x1.d2f285b4a331p-21, -0x1.e525bf7bdf037p-21, -0x1.f71fbc8bb0e52p-21, -0x1.0470099ccf85cp-20, -0x1.0d332f9e14051p-20, -0x1.15d920cf7320bp-20, -0x1.1e61b057a62eep-20, -0x1.26ccb3f6ebf57p-20, -0x1.2f1a0408b07a6p-20, -0x1.37497b7f4b81p-20, -0x1.3f5af7ce4dc38p-20, -0x1.474e58c4d837dp-20, -0x1.4f238082a8284p-20, -0x1.56da5387e030cp-20, -0x1.5e72b8b69e131p-20, -0x1.65ec9950143b4p-20, -0x1.6d47e1385822dp-20, -0x1.74847ee99b79fp-20, -0x1.7ba2626267358p-20, -0x1.82a17d1422395p-20, -0x1.8981c283bbd17p-20, -0x1.90432d23a2035p-20, -0x1.96e5b2aa88136p-20, -0x1.9d694de92da99p-20, -0x1.a3cdfc5713d74p-20, -0x1.aa13bcc16bd58p-20, -0x1.b03a8fe5792afp-20, -0x1.b64278732d36bp-20, -0x1.bc2b7b02a8e1ap-20, -0x1.c1f59e097b714p-20, -0x1.c7a0e9d24fee4p-20, -0x1.cd2d6874025bbp-20, -0x1.d29b25cabe0d2p-20, -0x1.d7ea2f6d94187p-20, -0x1.dd1a94a2ba35fp-20, -0x1.e22c6655f7a4p-20, -0x1.e71fb713e3aabp-20, -0x1.ebf49b06163cbp-20, -0x1.f0ab27e94b118p-20, -0x1.f543750029d22p-20, -0x1.f9bd9b0aec952p-20, -0x1.fe19b4424daddp-20, -0x1.012bee28be3ap-19, -0x1.033c182778549p-19, -0x1.053d6758ca456p-19, -0x1.072feb9e16416p-19, -0x1.0913b57e9a48ap-19, -0x1.0ae8d6288600ep-19, -0x1.0caf5f64b4ff7p-19, -0x1.0e67639a3e2bep-19, -0x1.1010f5d0f1507p-19, -0x1.11ac29af8a82dp-19, -0x1.133913578d5e6p-19, -0x1.14b7c76730293p-19, -0x1.16285aeed291cp-19, -0x1.178ae41c418ecp-19, -0x1.18df78ed063aep-19, -0x1.1a26300aa16bfp-19, -0x1.1b5f20c4d09b5p-19, -0x1.1c8a62c752de6p-19, -0x1.1da80e2ff2257p-19, -0x1.1eb83b8c36aaap-19, -0x1.1fbb03d4e605fp-19, -0x1.20b0806ab6a97p-19, -0x1.2198cb1296fd9p-19, -0x1.2273fdf2e72e1p-19, -0x1.2342338fbb15cp-19, -0x1.240386c7a27bep-19, -0x1.24b812d0281a8p-19, -0x1.255ff3324c094p-19, -0x1.25fb43c7785d3p-19, -0x1.268a20b6a6c86p-19, -0x1.270ca670cdc29p-19, -0x1.2782f1ae42afap-19, -0x1.27ed1f6b732p-19, -0x1.284b4ce5f51bep-19, -0x1.289d97993cedcp-19, -0x1.28e41d3bed6afp-19, -0x1.291efbbd1099p-19, -0x1.294e514149fc3p-19, -0x1.29723c1f97561p-19, -0x1.298adade04218p-19, -0x1.29984c2fb12b6p-19, -0x1.299aaef2036bbp-19, -0x1.2992222a15298p-19, -0x1.297ec501721cep-19, -0x1.2960b6c5d2d54p-19, -0x1.293816e6eaad1p-19, -0x1.290504ee25546p-19, -0x1.28c7a07dd998cp-19, -0x1.2880094da0a56p-19, -0x1.282e5f3be25edp-19, }}, 
      {{-0x1.39f90f25adc21p+1, -0x1.31b869e6fa6a1p+1, -0x1.24d52b720e0a1p+1, -0x1.1443d478beb3dp+1, -0x1.0102a8009970ap+1, -0x1.d804d9f611099p+0, -0x1.ac338004a3c82p+0, -0x1.7ffe666b0a6c2p+0, -0x1.548f972afffb7p+0, -0x1.2ad073f357f74p+0, -0x1.036f434062a0bp+0, -0x1.bdcd118c56ca9p-1, -0x1.7b094d3a33b0dp-1, -0x1.3ee78b9dab012p-1, -0x1.09817baa6c36fp-1, -0x1.b5863c158e619p-2, -0x1.64eb6a4a4df43p-2, -0x1.2091e12e39037p-2, -0x1.cf6a5c650b9c9p-3, -0x1.72f301fb3828bp-3, -0x1.29eb6f702510ap-3, -0x1.e4ed7e54496a9p-4, -0x1.9573cfda631d3p-4, -0x1.61ca793ac042bp-4, -0x1.4676cd11f91c7p-4, -0x1.402c955ad42f3p-4, -0x1.4bd48062d0659p-4, -0x1.668fe38c71424p-4, -0x1.8dba6c9122ce6p-4, -0x1.beea4008f3f14p-4, -0x1.f7eeec9bee29dp-4, -0x1.1b67c2f0fde6ap-3, -0x1.3ce414760f6f8p-3, -0x1.5fa38f2150ec2p-3, -0x1.82f4e0c1143cep-3, -0x1.a63ca6a6e699ep-3, -0x1.c8f3d14dcf78ep-3, -0x1.eaa60e1e80827p-3, -0x1.05781ea43aa36p-2, -0x1.14bf7bd9a9a92p-2, -0x1.230693c2fcfeep-2, -0x1.30315a4d988e2p-2, -0x1.3c29a2b3c8a8dp-2, -0x1.46de8a204a824p-2, -0x1.5043ec4c700fp-2, -0x1.5851e1c43d32p-2, -0x1.5f04476d6aafcp-2, -0x1.645a4ee59c6c1p-2, -0x1.6856174993ba7p-2, -0x1.6afc4df75c9d9p-2, -0x1.6c53d6df1ccddp-2, -0x1.6c657bf8954adp-2, -0x1.6b3ba37705764p-2, -0x1.68e20c58e2c3bp-2, -0x1.656590f2fab71p-2, -0x1.60d3ef1ba423ap-2, -0x1.5b3b959e465e3p-2, -0x1.54ab76a2f970cp-2, -0x1.4d32deb51bea3p-2, -0x1.44e15021f2456p-2, -0x1.3bc6625c35adp-2, -0x1.31f1a52a3906p-2, -0x1.27728747df0a8p-2, -0x1.1c5840573ce0dp-2, -0x1.10b1bdaca5cfap-2, -0x1.048d9207a8b45p-2, -0x1.eff3cf5ffa814p-3, -0x1.d608e9e5e9cfap-3, -0x1.bb74e633b9416p-3, -0x1.a0512c544c4c8p-3, -0x1.84b61126001bfp-3, -0x1.68bac9e94f342p-3, -0x1.4c756b5bda0acp-3, -0x1.2ffae3cf6a81ep-3, -0x1.135efa075bd3ep-3, -0x1.ed68a90a003fcp-4, -0x1.b418e1de3eb27p-4, -0x1.7aef6b3ac5a9fp-4, -0x1.420adaf732467p-4, -0x1.0987a009806dp-4, -0x1.a30048c8d73fap-5, -0x1.341980c8a4d06p-5, -0x1.8d0f9b22d29f7p-6, -0x1.69d166ad7d98ap-7, 0x1.ff6abf6c5f1f6p-10, 0x1.e2946646f2e6ep-7, 0x1.bed435eef0503p-6, 0x1.442ea42267fdep-5, 0x1.a6d9f124a25b9p-5, 0x1.03ab098433e14p-4, 0x1.32c7e214d2375p-4, 0x1.60bb22c8608f8p-4, 0x1.8d7d9ed2afeb6p-4, 0x1.b9094b2fbeb2cp-4, 0x1.e3592ed4f5f0bp-4, 0x1.0634a97669bcap-3, 0x1.1a1b59cf0a192p-3, 0x1.2d5f987a79f4bp-3, 0x1.4000c021f566fp-3, 0x1.51fe8f11c773ep-3, 0x1.63592064d342bp-3, 0x1.7410e58931338p-3, 0x1.8426a0132e7c6p-3, 0x1.939b5bb79f05cp-3, 0x1.a27068967d818p-3, 0x1.b0a755b31a3f3p-3, 0x1.be41eb8618bfcp-3, 0x1.cb4226ccc5d3ap-3, 0x1.d7aa337e28b72p-3, 0x1.e37c67dd311c5p-3, 0x1.eebb3fccd1643p-3, 0x1.f969585aeb024p-3, 0x1.01c4b5bc6f5d2p-2, 0x1.068f25ff787f5p-2, 0x1.0b1570fb7fbe1p-2, 0x1.0f59138e5f7ap-2, 0x1.135b91d1a215dp-2, 0x1.171e75a105017p-2, 0x1.1aa34d3a09009p-2, 0x1.1deba9f5bcfp-2, 0x1.20f91f1fb23afp-2, 0x1.23cd40e4092a2p-2, 0x1.2669a34f5cedcp-2, 0x1.28cfd9647c55bp-2, 0x1.2b017448472dep-2, 0x1.2d00027b6c58ep-2, 0x1.2ecd0f261779ep-2, 0x1.306a217618b7fp-2, 0x1.31d8bc0c08ecp-2, 0x1.331a5c793e2cdp-2, 0x1.34307ac9a35dp-2, 0x1.351c891e4d2e9p-2, 0x1.35dff3582d64dp-2, 0x1.367c1ec8a86bcp-2, 0x1.36f269f259743p-2, 0x1.37442c570680ap-2, 0x1.3772b6486e152p-2, 0x1.377f50c809d7bp-2, 0x1.376b3d6eddac5p-2, 0x1.3737b655e8aa9p-2, 0x1.36e5ee0d92ee4p-2, 0x1.36770f9996db1p-2, 0x1.35ec3e69af8b4p-2, 0x1.354696610453fp-2, 0x1.34872be2634c8p-2, 0x1.33af0bd580e8fp-2, 0x1.32bf3bb841bb4p-2, 0x1.31b8b9b78bde1p-2, 0x1.309c7cbf497f3p-2, 0x1.2f6b7491b50ffp-2, 0x1.2e2689e989628p-2, 0x1.2cce9e93b9fa5p-2, 0x1.2b648d89b5763p-2, 0x1.29e92b18e9122p-2, 0x1.285d45063cd19p-2, 0x1.26c1a2aa67e03p-2, 0x1.2517051912711p-2, 0x1.235e274bcf74dp-2, 0x1.2197be43bd569p-2, 0x1.1fc4792969325p-2, 0x1.1de501826a7f6p-2, 0x1.1bf9fb4b5eab3p-2, 0x1.1a040523b1149p-2, 0x1.1803b87093454p-2, 0x1.15f9a989c00dep-2, 0x1.13e667dcaa487p-2, 0x1.11ca7e0b29ff4p-2, 0x1.0fa672177e761p-2, 0x1.0d7ac58a03e05p-2, 0x1.0b47f58f89735p-2, 0x1.090e7b1a9f73cp-2, 0x1.06cecb0a94938p-2, 0x1.0489564d7e08bp-2, 0x1.023e89fc086e8p-2, 0x1.ffdd9eeefb971p-3, 0x1.fb35191b72b95p-3, 0x1.f684472f6a23p-3, 0x1.f1cbe72365ebep-3, 0x1.ed0cb06bf9077p-3, 0x1.e8475439292e9p-3, 0x1.e37c7daea4667p-3, 0x1.deacd20ded541p-3, 0x1.d9d8f0e3990cbp-3, 0x1.d501743dc4e4fp-3, 0x1.d026f0deb85cap-3, 0x1.cb49f663fff45p-3, 0x1.c66b0f6be2ad7p-3, 0x1.c18ac1c1d125fp-3, 0x1.bca98e8b36568p-3, 0x1.b7c7f26b9ed28p-3, 0x1.b2e665a4ce92bp-3, 0x1.ae055c3b1c1a9p-3, 0x1.a925461b6c8cep-3, 0x1.a4468f3b3e073p-3, 0x1.9f699fb44269cp-3, 0x1.9a8edbe2fca93p-3, 0x1.95b6a487ee504p-3, 0x1.90e156e4001c3p-3, 0x1.8c0f4cce70882p-3, 0x1.8740dccc4722ep-3, 0x1.82765a2e1b408p-3, 0x1.7db0152d5a3fbp-3, 0x1.78ee5b005874dp-3, 0x1.743175e8632a1p-3, 0x1.6f79ad45671bep-3, 0x1.6ac745b2b732fp-3, 0x1.661a812257411p-3, 0x1.61739eec23f5fp-3, 0x1.5cd2dbd5084afp-3, 0x1.5838721cc59fap-3, 0x1.53a4999844a7cp-3, 0x1.4f1787cd971ccp-3, 0x1.4a917003628cdp-3, 0x1.46128343a4706p-3, 0x1.419af060d9944p-3, 0x1.3d2ae4098db77p-3, 0x1.38c288e508c2dp-3, 0x1.346207a87f569p-3, 0x1.3009871bef6f8p-3, 0x1.2bb92c17a2afcp-3, 0x1.2771198b45e23p-3, 0x1.23317094a8dfp-3, 0x1.1efa509ae99e1p-3, 0x1.1acbd75de52d8p-3, 0x1.16a620f5b03c1p-3, 0x1.128947ce11886p-3, 0x1.0e7564adaa1aap-3, 0x1.0a6a8ecc286c9p-3, 0x1.0668dbebb5858p-3, 0x1.02706066ba736p-3, 0x1.fd025e5cb702ap-4, 0x1.f536b388ca232p-4, 0x1.ed7de07e4b502p-4, 0x1.e5d802b7d9b4dp-4, 0x1.de45352e44814p-4, 0x1.d6c5907841b5bp-4, 0x1.cf592acd26c9p-4, 0x1.c80017f8029b4p-4, 0x1.c0ba695493e24p-4, 0x1.b9882de5f311p-4, 0x1.b2697280aed59p-4, 0x1.ab5e41f0ea7b6p-4, 0x1.a466a50a34eb9p-4, 0x1.9d82a2a1346efp-4, 0x1.96b23f8098fa2p-4, 0x1.8ff57e6d8f72dp-4, 0x1.894c604289b68p-4, 0x1.82b6e415188e2p-4, 0x1.7c350753bfebap-4, 0x1.75c6c5cfd49ffp-4, 0x1.6f6c19b6c5f2fp-4, 0x1.6924fb89e0564p-4, 0x1.62f16223b36fep-4, 0x1.5cd142cf5a55cp-4, 0x1.56c4916890fe5p-4, 0x1.50cb4075dfb55p-4, 0x1.4ae54133445c8p-4, 0x1.4512838eec26ap-4, 0x1.3f52f6229739ap-4, 0x1.39a68635a40c5p-4, 0x1.340d1fcd15052p-4, 0x1.2e86adc515824p-4, 0x1.291319e98135p-4, 0x1.23b24d047633ep-4, 0x1.1e642ee0ebad1p-4, 0x1.1928a646b5e7ep-4, 0x1.13ff98f8ded2ep-4, 0x1.0ee8ebbd04133p-4, 0x1.09e4826c50764p-4, 0x1.04f240089d5dep-4, 0x1.001206ce38442p-4, 0x1.f687707ae0cb5p-5, 0x1.ed0e6a3854a4cp-5, 0x1.e3b8bae81fb0dp-5, 0x1.da862126c205ep-5, 0x1.d1765a28b69ep-5, 0x1.c88921d61ac95p-5, 0x1.bfbe32eb6ef7ep-5, 0x1.b7154715a3dadp-5, 0x1.ae8e170311e75p-5, 0x1.a6285a6951bacp-5, 0x1.9de3c8058bf8fp-5, 0x1.95c0159eefcd2p-5, 0x1.8dbcf81116264p-5, 0x1.85da235f58dbep-5, 0x1.7e174acd302aap-5, 0x1.767420f561405p-5, 0x1.6ef057db226ep-5, 0x1.678ba0f3913f7p-5, 0x1.6045ad29aa41p-5, 0x1.591e2ce10e50dp-5, 0x1.5214cffc0e618p-5, 0x1.4b2945e7396d4p-5, 0x1.445b3da9c0328p-5, 0x1.3daa65f7716ep-5, 0x1.37166d40c7bdbp-5, 0x1.309f01beaba69p-5, 0x1.2a43d1799f269p-5, 0x1.24048a4e15e19p-5, 0x1.1de0d9f0955e3p-5, 0x1.17d86df421e3cp-5, 0x1.11eaf3d42258cp-5, 0x1.0c181900ebe3dp-5, 0x1.065f8aecdedcap-5, 0x1.00c0f717c9d25p-5, 0x1.f678162e6707bp-6, 0x1.eba0e937265a6p-6, 0x1.e0fbc2e74accp-6, 0x1.d687ff1fbfecdp-6, 0x1.cc44fa0fe3d64p-6, 0x1.c232104696f4bp-6, 0x1.b84e9ec852dc7p-6, 0x1.ae9a03268368dp-6, 0x1.a5139b936a9ep-6, 0x1.9bbac6eeb78c6p-6, 0x1.928ee4c9e74a3p-6, 0x1.898f55664612bp-6, 0x1.80bb79b15138cp-6, 0x1.7812b34529da9p-6, 0x1.6f9464722399ep-6, 0x1.673ff0539001ap-6, 0x1.5f14baed4858dp-6, 0x1.5712294bb2302p-6, 0x1.4f37a19da7a27p-6, 0x1.47848b40e6d0ap-6, 0x1.3ff84ebd1293cp-6, 0x1.389255af109c1p-6, 0x1.31520aac28809p-6, 0x1.2a36d92864acbp-6, 0x1.23402d6c80c52p-6, 0x1.1c6d74a4309b7p-6, 0x1.15be1d0661afp-6, 0x1.0f3196102061bp-6, 0x1.08c750c3056a4p-6, 0x1.027ebfd48d6ffp-6, 0x1.f8aeaf7b52a3bp-7, 0x1.eca11d436cbf9p-7, 0x1.e0d3b82009e36p-7, 0x1.d545715efe1afp-7, 0x1.c9f53bdb3f646p-7, 0x1.bee20b993893p-7, 0x1.b40ad5cdacc03p-7, 0x1.a96e915f53908p-7, 0x1.9f0c37cf36b76p-7, 0x1.94e2c6504fddcp-7, 0x1.8af13ec06f883p-7, 0x1.8136a833020b8p-7, 0x1.77b20ed553582p-7, 0x1.6e62831e0c0fdp-7, 0x1.6547186efcedbp-7, 0x1.5c5ee37e9ea8dp-7, 0x1.53a8f8faff476p-7, 0x1.4b246cd467a33p-7, 0x1.42d0527a5d554p-7, 0x1.3aabbe180fd4ap-7, 0x1.32b5c694b4248p-7, 0x1.2aed87ddeb98fp-7, 0x1.235224df72423p-7, 0x1.1be2c89197a89p-7, 0x1.149ea5b8f92dcp-7, 0x1.0d84f5448b231p-7, 0x1.0694f3969ea5cp-7, 0x1.ff9bbab25ba18p-8, 0x1.f25dd959baabbp-8, 0x1.e56eaef823e53p-8, 0x1.d8cc9efde9e54p-8, 0x1.cc76082b6cf44p-8, 0x1.c0694b4b47458p-8, 0x1.b4a4d3749f7ebp-8, 0x1.a9271dd4e0d1ap-8, 0x1.9deebef79c59fp-8, 0x1.92fa640085a4p-8, 0x1.8848cf35d787bp-8, 0x1.7dd8d05f0953fp-8, 0x1.73a93a93261dp-8, 0x1.69b8d9d270aa5p-8, 0x1.60066af61f5cfp-8, 0x1.5690980e0f15p-8, 0x1.4d55fa453c638p-8, 0x1.4455211a80597p-8, 0x1.3b8c9d75eac0ep-8, 0x1.32fb0e2e1ce1dp-8, 0x1.2a9f2b26e457dp-8, 0x1.2277cc683969ep-8, 0x1.1a83eb5cd22ap-8, 0x1.12c29daa8cdb2p-8, 0x1.0b330a8cbcf16p-8, 0x1.03d45ceca07bcp-8, 0x1.f94b6a9b7fa1cp-9, 0x1.eb4c3d879d35dp-9, 0x1.dda912f2a1543p-9, 0x1.d05f9803dc1e6p-9, 0x1.c36d5648b2bd4p-9, 0x1.b6cfccc0be55cp-9, 0x1.aa848d0bc450bp-9, 0x1.9e8956b57d38bp-9, 0x1.92dc2b183378cp-9, 0x1.877b55c7c27dbp-9, 0x1.7c6567af57c4cp-9, 0x1.719925b324736p-9, 0x1.67156e51121c8p-9, 0x1.5cd91bcfe9e4ep-9, 0x1.52e2e972d1cf5p-9, 0x1.49316171b3a1p-9, 0x1.3fc2d740cd7c1p-9, 0x1.36956ea4520f4p-9, 0x1.2da72d28f5ccdp-9, 0x1.24f611b15e815p-9, 0x1.1c802d19885ap-9, 0x1.1443b74c78a87p-9, 0x1.0c3f1d38e4c71p-9, 0x1.0471059d42012p-9, 0x1.f9b098ebd9483p-10, 0x1.eae7ed24bbe49p-10, 0x1.dc86403a2146p-10, 0x1.ce89d308623c5p-10, 0x1.c0f0cc752753fp-10, 0x1.b3b920949e89bp-10, 0x1.a6e0856763929p-10, 0x1.9a647673355f8p-10, 0x1.8e4245a5c541p-10, 0x1.8277357e43121p-10, 0x1.7700966df40c1p-10, 0x1.6bdbdfe181b78p-10, 0x1.6106bd9fb2e37p-10, 0x1.567f0da14fcd2p-10, 0x1.4c42d11052dcbp-10, 0x1.4250199987b95p-10, 0x1.38a4fe23caf3fp-10, 0x1.2f3f9d15ef98p-10, 0x1.261e29288d2d4p-10, 0x1.1d3ef659a345ap-10, 0x1.14a07c12f53ap-10, 0x1.0c414899d4f47p-10, 0x1.041fec444866bp-10, 0x1.f875d417fb8ap-11, 0x1.e92172b7c17ccp-11, 0x1.da3fb38fdbc62p-11, 0x1.cbcdd64c59912p-11, 0x1.bdc96b1bfc182p-11, 0x1.b03027505e612p-11, 0x1.a2ff87494ff55p-11, 0x1.96346aeb5213dp-11, 0x1.89cae84c490e4p-11, 0x1.7dbe7d1d35228p-11, 0x1.720a99526d7e8p-11, 0x1.66ab4b19b7f67p-11, 0x1.5b9db9aaaed95p-11, 0x1.50e02e5d9a803p-11, 0x1.4671a74dcc3cep-11, 0x1.3c51338dd372bp-11, 0x1.327d80ad1988p-11, 0x1.28f4dbccb7ab6p-11, 0x1.1fb5946aa9036p-11, 0x1.16be6b89333cbp-11, 0x1.0e0eb1b5f2a73p-11, 0x1.05a5f0c3b5b99p-11, 0x1.fb068fee8d181p-12, 0x1.eb49983f0392cp-12, 0x1.dc0e72f2c86cap-12, 0x1.cd4c45857d3efp-12, 0x1.bef93ae148405p-12, 0x1.b10c79278c67cp-12, 0x1.a37ff7213c44dp-12, 0x1.965144f772102p-12, 0x1.8980ba3392ca1p-12, 0x1.7d0f6d813a75fp-12, 0x1.70fd3e67ca8a2p-12, 0x1.65483335d2c6ap-12, 0x1.59ed6301c08fcp-12, 0x1.4eea7ffaa5357p-12, 0x1.443ecd647f7b6p-12, 0x1.39eae31002efep-12, 0x1.2fef77dbecad7p-12, 0x1.264bffba9b756p-12, 0x1.1cfde35140955p-12, 0x1.14007f2da7ed2p-12, 0x1.0b4d94fc3c248p-12, 0x1.02ddf92a96061p-12, 0x1.f55552c17ad14p-13, 0x1.e55ca2b16db3p-13, 0x1.d5cd1f6f48796p-13, 0x1.c6a7e25360b5dp-13, 0x1.b7f0a8a6e08c1p-13, 0x1.a9a98db679642p-13, 0x1.9bd0e53d3041fp-13, 0x1.8e62573dbee82p-13, 0x1.8159a577fd552p-13, 0x1.74b4ea9572ed7p-13, 0x1.6874fb01190d5p-13, 0x1.5c9b8f58c9272p-13, 0x1.51288a9e48edfp-13, 0x1.4618c0f5882ep-13, 0x1.3b670d7c42b03p-13, 0x1.310e1ac47e247p-13, 0x1.2708fffecb5e6p-13, 0x1.1d528608340c4p-13, 0x1.13e474486668ap-13, 0x1.0ab8357f12e96p-13, 0x1.01c8a617d2a7bp-13, 0x1.f2272ad6a8f55p-14, 0x1.e133487b5c7b8p-14, 0x1.d0b8fe25ad6d5p-14, 0x1.c0b9b219c44e1p-14, 0x1.b132ee13f758p-14, 0x1.a21f675a4a651p-14, 0x1.937af5deee255p-14, 0x1.8546065781ebp-14, 0x1.778319f0d3be5p-14, 0x1.6a30d4bd7d74ap-14, 0x1.5d487efb63f25p-14, 0x1.50c1b0d161046p-14, 0x1.449605c209374p-14, 0x1.38c257e2d062bp-14, 0x1.2d462bb73ee5ap-14, 0x1.2221fe084449ap-14, 0x1.1754f6803bd0bp-14, 0x1.0cdb146454778p-14, 0x1.02aca66918b3fp-14, 0x1.f17fa447d0d3bp-15, 0x1.de1aa6d015dbbp-15, 0x1.cb2ae608a0fc5p-15, 0x1.b8bc85f450409p-15, 0x1.a6d66310c4ab5p-15, 0x1.9570aeed057fcp-15, 0x1.8481b169cb8efp-15, 0x1.740c057d6180bp-15, 0x1.64155b1ee9d28p-15, 0x1.549852335faeap-15, 0x1.4587f1f6b3b7bp-15, 0x1.36d9a47c22797p-15, 0x1.2888258dcc584p-15, 0x1.1a91305d9323dp-15, 0x1.0cf3a3e0277ffp-15, 0x1.ff5ff67418fe4p-16, 0x1.e5928b19f67cbp-16, 0x1.cc87c8b0233dep-16, 0x1.b443a8b8f61fep-16, 0x1.9cbcb93208675p-16, 0x1.85d51fe88038fp-16, 0x1.6f64b08d3db08p-16, 0x1.595f8ae46266p-16, 0x1.43e3666dd141ep-16, 0x1.2f05364e168a5p-16, 0x1.1ab17bb91b94bp-16, 0x1.06d832e3374abp-16, 0x1.e710f52aaace1p-17, 0x1.c195495c0d22cp-17, 0x1.9d1e909352ba8p-17, 0x1.79896fad9c0fdp-17, 0x1.56c64c6fef8c2p-17, 0x1.34d2caeadabd4p-17, 0x1.13af47df917f3p-17, 0x1.e6b3755436e98p-18, 0x1.a79a994f23d5ep-18, 0x1.6a0b71f9e86a1p-18, 0x1.2e08ad6df07fep-18, 0x1.e744af56862ep-19, 0x1.75d2638dc4908p-19, 0x1.07c181edc33b9p-19, 0x1.39c3e68b4ff4ep-20, 0x1.a47caff904009p-22, -0x1.8e84d413cd2edp-22, -0x1.2b9a5133ecf1dp-20, -0x1.edd4c68d93285p-20, -0x1.55b3c95e3fabcp-19, -0x1.b24b6c1e5b752p-19, -0x1.0613628a871b2p-18, -0x1.31a9ffa4d1231p-18, -0x1.5c1e8f3b8bef5p-18, -0x1.858a80a0c93ep-18, -0x1.adefd9fa58289p-18, -0x1.d54c547600eebp-18, -0x1.fba00e4628646p-18, -0x1.1076c28e0b085p-17, -0x1.229c5f17482cep-17, -0x1.34438da1325ecp-17, -0x1.456f5f42f7a3ep-17, -0x1.56221ca37b16ap-17, -0x1.665c06d72c1fdp-17, -0x1.761c314327969p-17, -0x1.8562e073d262fp-17, -0x1.942ea18c70edep-17, -0x1.a27cf39467b9dp-17, -0x1.b05f2f80c74cp-17, -0x1.bde208f5617d3p-17, -0x1.caf937e9740a9p-17, -0x1.d7b40b0481c1ep-17, -0x1.e40c1e71e00e3p-17, -0x1.efed395d4929p-17, -0x1.fb64b5690ca77p-17, -0x1.033fa8d6d4c96p-16, -0x1.089f2c83ed531p-16, -0x1.0dd03f1e11759p-16, -0x1.12d2c49699fdcp-16, -0x1.17a72b93f2746p-16, -0x1.1c4e20778d481p-16, -0x1.20c8550eb413fp-16, -0x1.251667f85b002p-16, -0x1.2938ec96282fbp-16, -0x1.2d30881da1b0ap-16, -0x1.30fe0393fc366p-16, -0x1.34a230d0ece61p-16, -0x1.381db0b7ee5ebp-16, -0x1.3b7113fd1f36ap-16, -0x1.3e9d3247675b5p-16, -0x1.41a0f9f7dcc84p-16, -0x1.4478bb69a23p-16, -0x1.472945f63e5d2p-16, -0x1.49b7c8da1eb04p-16, -0x1.4c257011b7eb4p-16, -0x1.4e6ea6ab8f9dbp-16, -0x1.508f2198b57c2p-16, -0x1.528c0bedf68ccp-16, -0x1.5467969711b66p-16, -0x1.562180ba5b75bp-16, -0x1.57b9a90d6c758p-16, -0x1.593050cbe38bbp-16, -0x1.5a85ea7d8ea28p-16, -0x1.5bbafadc26007p-16, -0x1.5cd00a0fc24aap-16, -0x1.5dc59b346d742p-16, -0x1.5e9c26da7c284p-16, -0x1.5f541a4862f59p-16, -0x1.5feddf5d27b53p-16, -0x1.6069ec3b6b4d6p-16, -0x1.60c8cec836cb6p-16, -0x1.610b21b10ff4dp-16, -0x1.61316a8b6c43ep-16, -0x1.613c1b0af826cp-16, -0x1.612bd31322534p-16, -0x1.610091e48a1bap-16, -0x1.60b84839efbbfp-16, -0x1.60552e656b7a6p-16, -0x1.5fdb77744289ap-16, -0x1.5f497fb81a47dp-16, -0x1.5e9c6a28a4bf9p-16, -0x1.5dd71259507bfp-16, -0x1.5cfa9826e781dp-16, -0x1.5c06f314648b6p-16, -0x1.5afc524ee885p-16, -0x1.59db1239bd905p-16, -0x1.58a39d8311c0dp-16, -0x1.575662498527fp-16, -0x1.55f3cf5743576p-16, -0x1.547c532f493bcp-16, -0x1.52f05b2a43ad4p-16, -0x1.5150524f88fd9p-16, -0x1.4f9ca015681d1p-16, -0x1.4dd5a8257dd66p-16, -0x1.4bfbcd1ff228p-16, -0x1.4a0f765f0f65ap-16, -0x1.4811141431d3p-16, -0x1.46011bae9c5b2p-16, -0x1.43dffa91458acp-16, -0x1.41ae0ac323239p-16, -0x1.3f6badc57928dp-16, -0x1.3d196d539ead8p-16, -0x1.3ab715c2a8256p-16, -0x1.3844978edef8bp-16, -0x1.35c49d034606ep-16, -0x1.3335abf07f438p-16, -0x1.309810efe6033p-16, -0x1.2ded16639f338p-16, -0x1.2b34e0f8616c4p-16, -0x1.286faaeb5a334p-16, -0x1.259dcc5a40622p-16, -0x1.22bfa3fdf794dp-16, -0x1.1fd5909d5a2e6p-16, -0x1.1cdff01d8dbf2p-16, -0x1.19df1fa9e0891p-16, -0x1.16d37bd7b7a6ep-16, -0x1.13bd60978449bp-16, -0x1.109d2903b921p-16, -0x1.0d732f127a7d9p-16, -0x1.0a3fcb1ee5ddbp-16, -0x1.07035392f5589p-16, -0x1.03be1d86aa072p-16, -0x1.00707eb2e1ec4p-16, -0x1.fa359e6830897p-17, -0x1.f37ad25d2179ap-17, -0x1.ecb14b54e0228p-17, -0x1.e5d9aaaec35c6p-17, -0x1.def479c2bbcfp-17, -0x1.d802618ed9641p-17, -0x1.d10462c636174p-17, -0x1.c9fa6a8f19b1ap-17, -0x1.c2e57ae1e10e8p-17, -0x1.bbc60981c18dfp-17, -0x1.b49c9270fb6e2p-17, -0x1.ad6a5e4415e0bp-17, -0x1.a62fabb2bc87dp-17, -0x1.9eecf62e4f968p-17, -0x1.97a2d17510229p-17, -0x1.9051d22a585fdp-17, -0x1.88fa8a46f49b7p-17, -0x1.819d8929b48b3p-17, -0x1.7a3b5c07b484ep-17, -0x1.72d48e42aa59dp-17, -0x1.6b69a98af2dep-17, -0x1.63fb35d37ea2dp-17, -0x1.5c89b935c061bp-17, -0x1.5515b7cf6b935p-17, -0x1.4d9fb38241f92p-17, -0x1.46282b897782ep-17, -0x1.3eaf9c4fbed82p-17, -0x1.3736805bb1389p-17, -0x1.2fbd520944bfep-17, -0x1.28448c412debap-17, -0x1.20cca9b385b8cp-17, -0x1.195622a91d016p-17, -0x1.11e16590d7ed5p-17, -0x1.0a6ed1198e815p-17, -0x1.02fed1cb144a6p-17, -0x1.f72431a04e23bp-18, -0x1.e8522898a9dadp-18, -0x1.d98721d0605dep-18, -0x1.cac411c240759p-18, -0x1.bc0b1568f8698p-18, -0x1.ad5c8568e2873p-18, -0x1.9eb8df965251fp-18, -0x1.9020e1d2a7d38p-18, -0x1.81954c497ad71p-18, -0x1.7316d986a0873p-18, -0x1.64a63eeb96f91p-18, -0x1.56442d5f13c8dp-18, -0x1.47f151b839af1p-18, -0x1.39ae550929b69p-18, -0x1.2b7bdcd0259c2p-18, -0x1.1d5a8b004b51fp-18, -0x1.0f4afdf480a0bp-18, -0x1.014dd061ef3c6p-18, -0x1.e6c732a2b4e37p-19, -0x1.cb19d80da23ccp-19, -0x1.af94af65fe005p-19, -0x1.9438ce6befdaap-19, -0x1.790743527510ep-19, -0x1.5e011775b82dap-19, -0x1.432750980958bp-19, -0x1.287aefce144f7p-19, -0x1.0dfcf09c0fcfp-19, -0x1.e75c85e0ea6edp-20, -0x1.b31f70dd713cdp-20, -0x1.7f441fa2d6d8p-20, -0x1.4bcc84cd2be9p-20, -0x1.18bbe7e76c421p-20, -0x1.cc25c0df29da6p-21, -0x1.679d08d8236fp-21, -0x1.03ebe5962e73p-21, -0x1.422737448b248p-22, -0x1.f8a88094d2141p-24, 0x1.1068700f9054ep-24, 0x1.04a015d0c5b6dp-22, 0x1.c362b0e0a428ep-22, 0x1.402e87f2eff8bp-21, 0x1.9dc5460f56fd7p-21, 0x1.fa7358bcb9592p-21, 0x1.2b1b4f234d53cp-20, 0x1.5886864238fcep-20, 0x1.857a5813249a3p-20, 0x1.b1f5d62387dd6p-20, 0x1.ddf81d2788366p-20, 0x1.04c02a7b2aa1dp-19, 0x1.1a46d835c634dp-19, 0x1.2f8fb6a3242ddp-19, 0x1.449a6a113915ep-19, 0x1.59669c659ba4ap-19, 0x1.6df3fd368cb04p-19, 0x1.82424152a89cp-19, 0x1.965121d8af40ep-19, 0x1.aa205c03b4244p-19, 0x1.bdafb19b810c8p-19, 0x1.d0fee8d340142p-19, 0x1.e40dcd0965af2p-19, 0x1.f6dc34a5ab7bbp-19, 0x1.04b500c1b33b7p-18, 0x1.0ddb86c1efcddp-18, 0x1.16e18693e44d8p-18, 0x1.1fc6c66a86f38p-18, 0x1.288be630e1be6p-18, 0x1.31304ebf8bc01p-18, 0x1.39b3f8bfeed2cp-18, 0x1.4216fce22beeep-18, 0x1.4a59572f95d46p-18, 0x1.527b04aad192bp-18, 0x1.5a7c051564654p-18, 0x1.625c5a76ed83fp-18, 0x1.6a1c08de1781fp-18, 0x1.71bb1643cf67dp-18, 0x1.79398a7c990f2p-18, 0x1.80976f2ae4986p-18, 0x1.87d4cfb4811fp-18, 0x1.8ef1b937c2c32p-18, 0x1.95ee3a817bf7fp-18, 0x1.9cca6403f9143p-18, 0x1.a38647d10ec08p-18, 0x1.aa21f9916685ep-18, 0x1.b09d8e7c0a313p-18, 0x1.b6f91d4ca1bbcp-18, 0x1.bd34be3e4e14ap-18, 0x1.c3508b09d35p-18, 0x1.c94c9ee0067d1p-18, 0x1.cf291650bf151p-18, 0x1.d4e60f3033297p-18, 0x1.da83a8950dbp-18, 0x1.e00202dfb4c43p-18, 0x1.e5613fa7d467fp-18, 0x1.eaa181b9401d3p-18, 0x1.efc2edabd499dp-18, 0x1.f4c5aa0724121p-18, 0x1.f9a9dd523864cp-18, 0x1.fe6faccd2882ap-18, 0x1.018b99f226ab4p-17, 0x1.03d05f8b93dbep-17, 0x1.060631a8fd2bbp-17, 0x1.082d231a841bp-17, 0x1.0a454e3efb43ap-17, 0x1.0c4ec9cce94c6p-17, 0x1.0e49acdea04dbp-17, 0x1.10360f178ec84p-17, 0x1.1214089135f4dp-17, 0x1.13e3b1d15481fp-17, 0x1.15a523c4aae1dp-17, 0x1.175877badca8p-17, 0x1.18fdc762add8bp-17, 0x1.1a952cc6d4f26p-17, 0x1.1c1ec24a84c3fp-17, 0x1.1d9aa2a61742fp-17, 0x1.1f08e8e3919ep-17, 0x1.2069b05bd461bp-17, 0x1.21bd14b38d5bdp-17, 0x1.230331d7ffd7ep-17, 0x1.243c23fc25c79p-17, 0x1.256807954690dp-17, 0x1.2686f9587dabp-17, 0x1.279916379aa35p-17, 0x1.289e7b5efa978p-17, 0x1.29974632ac89bp-17, 0x1.2a83944a44546p-17, 0x1.2b63836d62324p-17, 0x1.2c3731923b08dp-17, 0x1.2cfebcdb8dd87p-17, 0x1.2dba4394d9fc5p-17, 0x1.2e69e42f8b466p-17, 0x1.2f0dbd482b2bdp-17, 0x1.2fa5eda875908p-17, 0x1.3032942a95361p-17, 0x1.30b3cfb8ccfa1p-17, 0x1.3129bed456486p-17, 0x1.319481a3f82edp-17, }}, 
      {{-0x1.3bdf0e0ac1c42p+1, -0x1.39108ba9107d6p+1, -0x1.3493601c7e10dp+1, -0x1.2e9fcf4085845p+1, -0x1.2773a90d11a4ep+1, -0x1.1f4d1b26bd59fp+1, -0x1.1667724433358p+1, -0x1.0cf92cfc6ec54p+1, -0x1.0332f5ffa5939p+1, -0x1.f27e793841857p+0, -0x1.de846fb1f2107p+0, -0x1.cab45d8611052p+0, -0x1.b73fd5bab25e7p+0, -0x1.a44e8203ab514p+0, -0x1.91ff45f0d9f19p+0, -0x1.80695f6b5cb1cp+0, -0x1.6f9d792a0a34dp+0, -0x1.5fa6a7c926785p+0, -0x1.508b4f0c2d873p+0, -0x1.424deee0b3f42p+0, -0x1.34edd88eb7946p+0, -0x1.2867cd1507a17p+0, -0x1.1cb68623bb15bp+0, -0x1.11d32b776684ep+0, -0x1.07b5b6834ea44p+0, -0x1.fcaa8cb38ebd7p-1, -0x1.eb50cb638671ep-1, -0x1.db4a89980d653p-1, -0x1.cc83d1b52fd66p-1, -0x1.bee8a4c86c391p-1, -0x1.b26537f2f5dc6p-1, -0x1.a6e624d0388eep-1, -0x1.9c588eec8e9e2p-1, -0x1.92aa4018dac63p-1, -0x1.89c9bd272e609p-1, -0x1.81a65466bc637p-1, -0x1.7a3026feaf2b3p-1, -0x1.73582e1ea0712p-1, -0x1.6d103cd27a21cp-1, -0x1.674aff26af08dp-1, -0x1.61fbf72cc017p-1, -0x1.5d1778576663fp-1, -0x1.5892a191c7b25p-1, -0x1.54635660b10b2p-1, -0x1.508037540eb17p-1, -0x1.4ce099fb5286ep-1, -0x1.497c808b3f65ap-1, -0x1.464c915821b65p-1, -0x1.434a0e417f0e3p-1, -0x1.406ecc2663dd6p-1, -0x1.3db52a74cde2dp-1, -0x1.3b180ae2c6b61p-1, -0x1.3892c95c940e4p-1, -0x1.36213430d0d6ep-1, -0x1.33bf8480f7dcdp-1, -0x1.316a56fb3031dp-1, -0x1.2f1ea4e093e76p-1, -0x1.2cd9bd5a38f93p-1, -0x1.2a993f1e4c317p-1, -0x1.285b126534ca1p-1, -0x1.261d632ebed0ap-1, -0x1.23de9bd58e8f6p-1, -0x1.219d5fefbe725p-1, -0x1.1f58877bf4a05p-1, -0x1.1d0f1a597fbb4p-1, -0x1.1ac04c080ee68p-1, -0x1.186b77ab565c3p-1, -0x1.16101c4ef4436p-1, -0x1.13add96b36167p-1, -0x1.11446ba9a8a4bp-1, -0x1.0ed3a9e7af39cp-1, -0x1.0c5b82708de71p-1, -0x1.09dbf865b6342p-1, -0x1.07552157ec8dap-1, -0x1.04c7230bd63fcp-1, -0x1.02323175fd6ecp-1, -0x1.ff2d19caf8cbap-2, -0x1.f9e900aae9913p-2, -0x1.f498bfc7fc101p-2, -0x1.ef3d0eb3b9055p-2, -0x1.e9d6b1ab1137dp-2, -0x1.e4667727e54p-2, -0x1.deed35b47ec5ap-2, -0x1.d96bca127e926p-2, -0x1.d3e3158b2ae52p-2, -0x1.ce53fc6d1b417p-2, -0x1.c8bf64a6bace1p-2, -0x1.c326347221a61p-2, -0x1.bd8951221d6ecp-2, -0x1.b7e99e108394ep-2, -0x1.b247fbb451dp-2, -0x1.aca546e20191ep-2, -0x1.a702582edd5cp-2, -0x1.a160037028477p-2, -0x1.9bbf174cfa24ap-2, -0x1.96205cdbc813fp-2, -0x1.90849748204e7p-2, -0x1.8aec837fd4871p-2, -0x1.8558d7e9a0e53p-2, -0x1.7fca4428067ep-2, -0x1.7a4170ea8caf5p-2, -0x1.74beffceeaa14p-2, -0x1.6f438b5183d6bp-2, -0x1.69cfa6cb6df61p-2, -0x1.6463de7b8284p-2, -0x1.5f00b797379cbp-2, -0x1.59a6b06071e99p-2, -0x1.5456403e3ddbap-2, -0x1.4f0fd7d6e5396p-2, -0x1.49d3e12acd399p-2, -0x1.44a2bfb0719cbp-2, -0x1.3f7cd071da71cp-2, -0x1.3a626a2c48539p-2, -0x1.3553dd72ed4dp-2, -0x1.305174d502e07p-2, -0x1.2b5b7507501c1p-2, -0x1.26721d110f03bp-2, -0x1.2195a67bb2371p-2, -0x1.1cc64584b9eacp-2, -0x1.18042950ecaf1p-2, -0x1.134f7c202e8acp-2, -0x1.0ea8638126638p-2, -0x1.0a0f00841ad8fp-2, -0x1.05836feca08a5p-2, -0x1.0105ca61e650bp-2, -0x1.f92c493aa24aep-3, -0x1.f0691f2f3e3e1p-3, -0x1.e7c2316931fcdp-3, -0x1.df3793daed9adp-3, -0x1.d6c953f45b4edp-3, -0x1.ce7778f36d025p-3, -0x1.c64204331fcffp-3, -0x1.be28f178eae41p-3, -0x1.b62c37407931ep-3, -0x1.ae4bc7060c1d6p-3, -0x1.a6878d8f30e46p-3, -0x1.9edf73316aaa6p-3, -0x1.97535c173b94bp-3, -0x1.8fe32882cfd97p-3, -0x1.888eb50e4033dp-3, -0x1.8155dae9c6565p-3, -0x1.7a3870171bafap-3, -0x1.733647a21419dp-3, -0x1.6c4f31d7229cep-3, -0x1.6582fc76ef01dp-3, -0x1.5ed172e7193d2p-3, -0x1.583a5e61190fep-3, -0x1.51bd861e901c7p-3, -0x1.4b5aaf82d541bp-3, -0x1.45119e430316fp-3, -0x1.3ee2148c0679bp-3, -0x1.38cbd326109a6p-3, -0x1.32ce9996aaf32p-3, -0x1.2cea26418b117p-3, -0x1.271e3687111eap-3, -0x1.216a86e1113dap-3, -0x1.1bced2ff02191p-3, -0x1.164ad5e062ed5p-3, -0x1.10de49ed17154p-3, -0x1.0b88e90cf2e1bp-3, -0x1.064a6cbe87cefp-3, -0x1.01228e2bfeddbp-3, -0x1.f8220c7c84502p-4, -0x1.ee2b1b6047a57p-4, -0x1.e45fba4064af9p-4, -0x1.dabf5a4143febp-4, -0x1.d1496c8d19287p-4, -0x1.c7fd62714fc15p-4, -0x1.bedaad7a27e6dp-4, -0x1.b5e0bf8aa216cp-4, -0x1.ad0f0af35a585p-4, -0x1.a46502895e1e3p-4, -0x1.9be219bab6949p-4, -0x1.9385c49fafa83p-4, -0x1.8b4f780bf1d71p-4, -0x1.833ea99f754d5p-4, -0x1.7b52cfd57ae18p-4, -0x1.738b6210e4b13p-4, -0x1.6be7d8a85ff25p-4, -0x1.6467acf2c0e78p-4, -0x1.5d0a59519a5bbp-4, -0x1.55cf5939f371ap-4, -0x1.4eb6293c7bf88p-4, -0x1.47be470e2263bp-4, -0x1.40e7318fa5ec6p-4, -0x1.3a3068d345cb5p-4, -0x1.33996e21eabf3p-4, -0x1.2d21c400d835bp-4, -0x1.26c8ee36c9548p-4, -0x1.208e71cf909c3p-4, -0x1.1a71d51ee68bfp-4, -0x1.14729fc387161p-4, -0x1.0e905aaa72432p-4, -0x1.08ca90112ea05p-4, -0x1.0320cb86e66b2p-4, -0x1.fb2533dacad78p-5, -0x1.f03f12f54f8c6p-5, -0x1.e58e537443ca1p-5, -0x1.db121719d3fc2p-5, -0x1.d0c982525ec2ap-5, -0x1.c6b3bc34191d4p-5, -0x1.bccfee7facbfcp-5, -0x1.b31d459fe508dp-5, -0x1.a99af0a7425b7p-5, -0x1.a048214cc3dc2p-5, -0x1.97240be9aaa43p-5, -0x1.8e2de7782a18ep-5, -0x1.8564ed9146359p-5, -0x1.7cc85a68d5cafp-5, -0x1.74576cc8bd99p-5, -0x1.6c11660d177fbp-5, -0x1.63f58a2174372p-5, -0x1.5c031f7dc34f8p-5, -0x1.54396f21a03d1p-5, -0x1.4c97c48e90d28p-5, -0x1.451d6dc2b77d2p-5, -0x1.3dc9bb34ce206p-5, -0x1.369bffd07d7a3p-5, -0x1.2f9390f1b408ap-5, -0x1.28afc65e982b2p-5, -0x1.21effa41354dp-5, -0x1.1b53892213be4p-5, -0x1.14d9d1e3d8c89p-5, -0x1.0e8235beda194p-5, -0x1.084c183b9b913p-5, -0x1.0236df2c447d9p-5, -0x1.f883e54c31611p-6, -0x1.ecd979f7d1e2fp-6, -0x1.e16d5572a98dcp-6, -0x1.d63e553c0146ap-6, -0x1.cb4b5b2fb29a2p-6, -0x1.c0934d78f98dbp-6, -0x1.b615168537aa3p-6, -0x1.abcfa4f84d0dbp-6, -0x1.a1c1eba287841p-6, -0x1.97eae176dfbbdp-6, -0x1.8e49817fdc43dp-6, -0x1.84dccad2e36f3p-6, -0x1.7ba3c0830839dp-6, -0x1.729d6994c7223p-6, -0x1.69c8d0f35eab1p-6, -0x1.61250566f33b5p-6, -0x1.58b1198a3aa88p-6, -0x1.506c23beca066p-6, -0x1.48553e20683eep-6, -0x1.406b86788270ep-6, -0x1.38ae1e32bf69ep-6, -0x1.311c2a52ca271p-6, -0x1.29b4d36a8313dp-6, -0x1.2277458f92f36p-6, -0x1.1b62b04fed773p-6, -0x1.147646a5a49cep-6, -0x1.0db13eeb107e3p-6, -0x1.0712d2cfda6abp-6, -0x1.009a3f4f0fe44p-6, -0x1.f48d894afc2b1p-7, -0x1.e82f4c8f4bb01p-7, -0x1.dc1855ada8596p-7, -0x1.d047382b797e4p-7, -0x1.c4ba8dba57426p-7, -0x1.b970f622e5d2ep-7, -0x1.ae691731448cep-7, -0x1.a3a19ca25ceafp-7, -0x1.99193810e2a19p-7, -0x1.8ecea0e13fe37p-7, -0x1.84c0942c790fcp-7, -0x1.7aedd4aadf1e8p-7, -0x1.71552a9f968fbp-7, -0x1.67f563c54317p-7, -0x1.5ecd533bd69b3p-7, -0x1.55dbd176a7fb5p-7, -0x1.4d1fbc2a0f64p-7, -0x1.4497f6384bf67p-7, -0x1.3c43679dda96dp-7, -0x1.3420fd5deb205p-7, -0x1.2c2fa96f83695p-7, -0x1.246e62ab99b1fp-7, -0x1.1cdc24bbe01eap-7, -0x1.1577f009c956cp-7, -0x1.0e40c9ad46587p-7, -0x1.0735bb5b0fa0ep-7, -0x1.0055d352a0385p-7, -0x1.f34048989d708p-8, -0x1.e6278acfa1b77p-8, -0x1.d95fa437094efp-8, -0x1.cce6d448606ep-8, -0x1.c0bb62ea4bc35p-8, -0x1.b4dba0509ea5cp-8, -0x1.a945e4dc040e6p-8, -0x1.9df890f942cdep-8, -0x1.92f20d00883bp-8, -0x1.8830c9152b5a3p-8, -0x1.7db33d0654035p-8, -0x1.7377e83099baap-8, -0x1.697d516060d02p-8, -0x1.5fc206b48e792p-8, -0x1.56449d8144831p-8, -0x1.4d03b232774efp-8, -0x1.43fde82e5cac6p-8, -0x1.3b31e9b80e7fap-8, -0x1.329e67d28a4a4p-8, -0x1.2a421a244af38p-8, -0x1.221bbedb9f6fap-8, -0x1.1a2a1a9383714p-8, -0x1.126bf839049p-8, -0x1.0ae028f0d03efp-8, -0x1.038583fcf07d4p-8, -0x1.f8b5cd454326dp-9, -0x1.eabe68205c04p-9, -0x1.dd22aa86297f2p-9, -0x1.cfe071dcd4952p-9, -0x1.c2f5a6c3309d8p-9, -0x1.b6603cdf3096fp-9, -0x1.aa1e32ad41937p-9, -0x1.9e2d9150ac09bp-9, -0x1.928c6c64ccc31p-9, -0x1.8738e1cf2cb69p-9, -0x1.7c31199221b07p-9, -0x1.7173459fb8b89p-9, -0x1.66fda1acb78d7p-9, -0x1.5cce7303af02fp-9, -0x1.52e4085814222p-9, -0x1.493cb999e6966p-9, -0x1.3fd6e7c9cba1ep-9, -0x1.36b0fcce993dcp-9, -0x1.2dc96b4c09e6ep-9, -0x1.251eae7aefc91p-9, -0x1.1caf4a0278f23p-9, -0x1.1479c9d205531p-9, -0x1.0c7cc1fb26f8dp-9, -0x1.04b6ce8b2dbfp-9, -0x1.fa4d26c8ad5bfp-10, -0x1.eb95782d7adacp-10, -0x1.dd43f772ac4f8p-10, -0x1.cf561987d286cp-10, -0x1.c1c961d46d4e8p-10, -0x1.b49b61f149825p-10, -0x1.a7c9b965089d6p-10, -0x1.9b52156297b15p-10, -0x1.8f323088f3a1ep-10, -0x1.8367d2a2e33dfp-10, -0x1.77f0d066832fap-10, -0x1.6ccb0b34464f5p-10, -0x1.61f470d5fcb88p-10, -0x1.576afb3eb42aap-10, -0x1.4d2cb04bb6652p-10, -0x1.4337a186a8ddep-10, -0x1.3989ebe903deap-10, -0x1.3021b79fcd2f8p-10, -0x1.26fd37cfc3599p-10, -0x1.1e1aaa5a0b82dp-10, -0x1.157857a20e298p-10, -0x1.0d149256180f1p-10, -0x1.04edb73bc841dp-10, -0x1.fa045a0229d25p-11, -0x1.eaa0c821b6de8p-11, -0x1.dbadacd2340fep-11, -0x1.cd280edf3633p-11, -0x1.bf0d0783a940dp-11, -0x1.b159c1fae59fdp-11, -0x1.a40b7b037c05dp-11, -0x1.971f8058d038p-11, -0x1.8a93302d5626p-11, -0x1.7e63f8b2b9d11p-11, -0x1.728f57baf1df9p-11, -0x1.6712da788e54dp-11, -0x1.5bec1d5cdb964p-11, -0x1.5118cc08cb01fp-11, -0x1.4696a13fe1a86p-11, -0x1.3c6366c860c88p-11, -0x1.327cf5274b00bp-11, -0x1.28e1332eee571p-11, -0x1.1f8e156262672p-11, -0x1.16819d3e250e5p-11, -0x1.0db9d87f5b6c1p-11, -0x1.0534e089525ep-11, -0x1.f9e1b403dc4f2p-12, -0x1.e9d7e9666878ep-12, -0x1.da48d7593f184p-12, -0x1.cb310b1c9c615p-12, -0x1.bc8d29b92ab78p-12, -0x1.ae59f06db8069p-12, -0x1.a09434a61f33bp-12, -0x1.9338e3563a70fp-12, -0x1.8644ffb544914p-12, -0x1.79b5a17add74fp-12, -0x1.6d87f2e05f185p-12, -0x1.61b92ec2ff998p-12, -0x1.56469f45e2c5p-12, -0x1.4b2d9d3dc83c2p-12, -0x1.406b907a89b22p-12, -0x1.35fdf0c5c9157p-12, -0x1.2be24738abe2ap-12, -0x1.22162f797cfbdp-12, -0x1.18975883139c2p-12, -0x1.0f6384c343057p-12, -0x1.067889861c1d5p-12, -0x1.fba89b7eb78f5p-13, -0x1.eae990a16fbefp-13, -0x1.daaffbf318ebcp-13, -0x1.caf7fe708a332p-13, -0x1.bbbdcd0549c86p-13, -0x1.acfdae8b9d4eap-13, -0x1.9eb3fbed3fd6fp-13, -0x1.90dd224a4f4ep-13, -0x1.8375a64bc2e6ep-13, -0x1.767a275957c8bp-13, -0x1.69e7619bb65c1p-13, -0x1.5dba2e61df588p-13, -0x1.51ef833dc80a5p-13, -0x1.468470848c30ep-13, -0x1.3b761fa63e4c8p-13, -0x1.30c1d15308273p-13, -0x1.2664db0ed79a5p-13, -0x1.1c5ca40985a8cp-13, -0x1.12a6a1b6dee0cp-13, -0x1.0940554039f4fp-13, -0x1.00274aec70873p-13, -0x1.eeb2379ef6beep-14, -0x1.dda6e1cc90858p-14, -0x1.cd280bf5d79c4p-14, -0x1.bd3155bd05601p-14, -0x1.adbe8536a911dp-14, -0x1.9ecb82f7e8919p-14, -0x1.905456b4bd9edp-14, -0x1.825526758d3b2p-14, -0x1.74ca383bc54eep-14, -0x1.67aff3e5d6787p-14, -0x1.5b02e2bcbda58p-14, -0x1.4ebfab9719c9ap-14, -0x1.42e30cf67ff5dp-14, -0x1.3769d81d5cffp-14, -0x1.2c50efa1265cap-14, -0x1.219549a7f401ap-14, -0x1.1733f38adf359p-14, -0x1.0d2a13ce8416ep-14, -0x1.0374e8b50d2fap-14, -0x1.f42387fca25c8p-15, -0x1.e1fc0c5ab76f9p-15, -0x1.d06e381579872p-15, -0x1.bf74ffe9f4a84p-15, -0x1.af0b7ceb00c5ap-15, -0x1.9f2cf6fc236d2p-15, -0x1.8fd4ea6b13bd5p-15, -0x1.80ff05f5790ccp-15, -0x1.72a724290b26ap-15, -0x1.64c94602fd6c7p-15, -0x1.5761923d01c5cp-15, -0x1.4a6c570d63981p-15, -0x1.3de608d295c1cp-15, -0x1.31cb3ab01d191p-15, -0x1.261893efa7bb2p-15, -0x1.1acac7ee0be86p-15, -0x1.0fde935de8b4dp-15, -0x1.0550bcfe6d598p-15, -0x1.f63c2eae8f1f2p-16, -0x1.e287080f377e5p-16, -0x1.cf7bf3fc5e469p-16, -0x1.bd1518a749627p-16, -0x1.ab4cd9866c8fbp-16, -0x1.9a1dd0b50ec0cp-16, -0x1.8982c8618078bp-16, -0x1.7976c3da5d8aap-16, -0x1.69f5184524a7ep-16, -0x1.5af97fa306e31p-16, -0x1.4c800d359b7ap-16, -0x1.3e8500f80d765p-16, -0x1.3104957688f16p-16, -0x1.23fae9aae760ep-16, -0x1.17640f5b75ae7p-16, -0x1.0b3c27d1c12ebp-16, -0x1.fefee888be6f9p-17, -0x1.e854a88f9cb06p-17, -0x1.d2727e715dd84p-17, -0x1.bd51879dfd3dap-17, -0x1.a8eb1676139abp-17, -0x1.9538ab4b40776p-17, -0x1.8233dd01d4a59p-17, -0x1.6fd65007d42ddp-17, -0x1.5e19e22ec67bap-17, -0x1.4cf903fb32f6ap-17, -0x1.3c6ef8d75c9afp-17, -0x1.2c77b4eea82b8p-17, -0x1.1d0f60c69fb16p-17, -0x1.0e31e2013c65ap-17, -0x1.ffb584eea364fp-18, -0x1.e40add0cdb659p-18, -0x1.c95af2a7555c7p-18, -0x1.af9d61f035df5p-18, -0x1.96ca263a4b9b8p-18, -0x1.7ed988bef50eap-18, -0x1.67c41d904f151p-18, -0x1.5182b70d2a8fap-18, -0x1.3c0e4a56e2d83p-18, -0x1.275fcf8b28826p-18, -0x1.1370281f2aab4p-18, -0x1.003822464cc83p-18, -0x1.db61869e59a8p-19, -0x1.b7a7ad5bef4d1p-19, -0x1.9538a1a75f67bp-19, -0x1.740c03a6816f4p-19, -0x1.54197cffa6835p-19, -0x1.35579ef464b15p-19, -0x1.17bc4f5ff84cbp-19, -0x1.f67bc564dd6c5p-20, -0x1.bfa6d1d7b6b81p-20, -0x1.8ae84cded22a4p-20, -0x1.582e93054ab5fp-20, -0x1.276871c142ebfp-20, -0x1.f10be2f1cf6a6p-21, -0x1.96f0da8bb17cp-21, -0x1.4063c9ee92639p-21, -0x1.da9070d6af5efp-22, -0x1.3b013d3001967p-22, -0x1.43bd3f326eefbp-23, -0x1.ddea7cf945cd6p-27, 0x1.f80a670e326f2p-24, 0x1.05289c808d2e1p-22, 0x1.86aeb3e3d7d88p-22, 0x1.015eee990cce9p-21, 0x1.3cc06d79275b1p-21, 0x1.75922b3a4a35ap-21, 0x1.abe88f6ac42d5p-21, 0x1.dfd4ca444931ep-21, 0x1.08b3ba494efd6p-20, 0x1.205970e73c72p-20, 0x1.36e523b177da4p-20, 0x1.4c601eff1b6bp-20, 0x1.60d30d5861d37p-20, 0x1.7445c5419f193p-20, 0x1.86bf64d6a4a44p-20, 0x1.9846dd86970acp-20, 0x1.a8e3822419a78p-20, 0x1.b89d086890044p-20, 0x1.c77ae0ed2ec6dp-20, 0x1.d58382523c571p-20, 0x1.e2bc85039a028p-20, 0x1.ef2b90efff6fep-20, 0x1.fad70c7f2d84ep-20, 0x1.02e2fe96222a6p-19, 0x1.07ffbc443f6a5p-19, 0x1.0cc4c500bfe1fp-19, 0x1.11342e134ad54p-19, 0x1.154fb93069edcp-19, 0x1.1919bc778e50dp-19, 0x1.1c94ed3aa9aa4p-19, 0x1.1fc3c4d68aa59p-19, 0x1.22a88eec235d7p-19, 0x1.25458fd768d15p-19, 0x1.279cee8ce3544p-19, 0x1.29b0abed68d39p-19, 0x1.2b82b255756d3p-19, 0x1.2d14e7ba15b98p-19, 0x1.2e693b356ce3bp-19, 0x1.2f81a4519ed7ep-19, 0x1.306004b72b999p-19, 0x1.3105f972a7db8p-19, 0x1.3174d92950047p-19, 0x1.31ae08bbbf069p-19, 0x1.31b354aac0814p-19, 0x1.3186d7b48c002p-19, 0x1.312a9d91b0bdp-19, 0x1.30a03e3c3aad3p-19, 0x1.2fe8a9571f00cp-19, 0x1.2f04d890e1a93p-19, 0x1.2df65f4eee186p-19, 0x1.2cbecc4e67e39p-19, 0x1.2b5f582e95a0bp-19, 0x1.29d93e1f6cd71p-19, 0x1.282dc04463c6dp-19, 0x1.265e0f1d8dfccp-19, 0x1.246b524d320adp-19, 0x1.2256b18382313p-19, 0x1.202151ec4492ep-19, 0x1.1dcc4ff4cd8f2p-19, 0x1.1b58bd74e5d3cp-19, 0x1.18c7a573b871p-19, 0x1.161a0db078e3ap-19, 0x1.1350eeedb0552p-19, 0x1.106d2d2285db5p-19, 0x1.0d6fa4923b04ep-19, 0x1.0a594c8e4a861p-19, 0x1.072b3de647ed7p-19, 0x1.03e6834f09bcap-19, 0x1.008c018013325p-19, 0x1.fa38e8d6404ap-20, 0x1.f3312b5e34027p-20, 0x1.ec02ba5e74a74p-20, 0x1.e4af432810db8p-20, 0x1.dd38276b9100dp-20, 0x1.d59efb049f10fp-20, 0x1.cde5463e65155p-20, 0x1.c60c752c3802bp-20, 0x1.be15ef1538a96p-20, 0x1.b6031f1f5731cp-20, 0x1.add571c16b848p-20, 0x1.a58e4e3303a4bp-20, 0x1.9d2f0f9aafa41p-20, 0x1.94b9018d38fd6p-20, 0x1.8c2d62a17c06cp-20, 0x1.838d6bc71aea4p-20, 0x1.7ada562fe163bp-20, 0x1.721559d36d12bp-20, 0x1.693fa550692p-20, 0x1.605a5d14d8c1ep-20, 0x1.5766ac63ce277p-20, 0x1.4e65bbf560278p-20, 0x1.45588d478f9a4p-20, 0x1.3c403294ed5bap-20, 0x1.331dcf93d47e5p-20, 0x1.29f27e691e137p-20, 0x1.20bf34333e991p-20, 0x1.1784d389808a6p-20, 0x1.0e44631e77d85p-20, 0x1.04fed7b658affp-20, 0x1.f76a2e65af907p-21, 0x1.e4d008ffe14a5p-21, 0x1.d231027afa464p-21, 0x1.bf8eda7ac3b34p-21, 0x1.aceb4b502d7c1p-21, 0x1.9a480727b16fap-21, 0x1.87a6b4a4caa6ep-21, 0x1.7508ec0ec861cp-21, 0x1.627036ccdf30fp-21, 0x1.4fde12fd7cac6p-21, 0x1.3d53fa7dbcffp-21, 0x1.2ad3684a16f2p-21, 0x1.185dd57763096p-21, 0x1.05f4ad7b691c8p-21, 0x1.e7328fbc5ef07p-22, 0x1.c299e90885cb1p-22, 0x1.9e21f52a64005p-22, 0x1.79cd0de5a3ed2p-22, 0x1.559ddec339964p-22, 0x1.31972f15eee58p-22, 0x1.0dbb395749e28p-22, 0x1.d4180f9deca55p-23, 0x1.8d17ffe86364ap-23, 0x1.467ab614e9d9p-23, 0x1.004460222aff3p-23, 0x1.74f2305a7efcap-24, 0x1.d4738baf8e9c3p-25, 0x1.819d67e502f15p-26, -0x1.43eb4ab6c8e1fp-27, -0x1.60da11dbbb1c8p-25, -0x1.37603b1f08a17p-24, -0x1.bd4fece457252p-24, -0x1.211aa3cd83256p-23, -0x1.6304daf313169p-23, -0x1.a4637203e9789p-23, -0x1.e5335a9ca2a44p-23, -0x1.12b8cbb97a22ap-22, -0x1.328d9ad177ef8p-22, -0x1.5216a936b49bcp-22, -0x1.715295fae06f5p-22, -0x1.90401803c1446p-22, -0x1.aeddf81c24693p-22, -0x1.cd2b015e8513cp-22, -0x1.eb260becf4ddep-22, -0x1.0466fa2c04884p-21, -0x1.1310bb815c474p-21, -0x1.218fd756d066cp-21, -0x1.2fe3d0237ef4bp-21, -0x1.3e0c23fa2b88bp-21, -0x1.4c086074b5f8p-21, -0x1.59d8178e72135p-21, -0x1.677adf76dc7cep-21, -0x1.74f05362a7a96p-21, -0x1.823813a26e5ep-21, -0x1.8f51c56c4bf02p-21, -0x1.9c3d12a4146ap-21, -0x1.a8f9a9ca718c6p-21, -0x1.b5873e0f04b2ep-21, -0x1.c1e5876d3e237p-21, -0x1.ce1442ce584edp-21, -0x1.da13323012b63p-21, -0x1.e5e21cb586d84p-21, -0x1.f180ce48ff9a9p-21, -0x1.fcef16a8fb67cp-21, -0x1.041664528af79p-20, -0x1.099cdd31c15c5p-20, -0x1.0f0ae3394888ep-20, -0x1.146066ae46729p-20, -0x1.199d5b470cc1ep-20, -0x1.1ec1b64af4bf4p-20, -0x1.23cd6c4864ac2p-20, -0x1.28c0758d26329p-20, -0x1.2d9acac5d371ap-20, -0x1.325c68683c76cp-20, -0x1.37054ca1ff033p-20, -0x1.3b957566baac9p-20, -0x1.400ce4ba42776p-20, -0x1.446b9dc421e5ap-20, -0x1.48b1a524cfeefp-20, -0x1.4cdf01286e1f4p-20, -0x1.50f3b9c6dfa59p-20, -0x1.54efd895a400ap-20, -0x1.58d368ba8258ep-20, -0x1.5c9e76d97ee61p-20, -0x1.6051110918a83p-20, -0x1.63eb46d1a7fe8p-20, -0x1.676d292cf4962p-20, -0x1.6ad6ca8438f9ep-20, -0x1.6e283eaff59b4p-20, -0x1.71619af9fb189p-20, -0x1.7482f61aac1bfp-20, -0x1.778c6814d9294p-20, -0x1.7a7e09fbf9c9cp-20, -0x1.7d57f5e03ede9p-20, -0x1.801a46eb5e683p-20, -0x1.82c51986ddaa7p-20, -0x1.85588baba2fd1p-20, -0x1.87d4bd1daeb0bp-20, -0x1.8a39ce492b2c9p-20, -0x1.8c87df0a46ca4p-20, -0x1.8ebf10eb8e385p-20, -0x1.90df88725227dp-20, -0x1.92e969a0efcap-20, -0x1.94dcd7fad1c32p-20, -0x1.96b9f9e57541cp-20, -0x1.9880f671e3637p-20, -0x1.9a31f53d2187fp-20, -0x1.9bcd1eb1e2fbep-20, -0x1.9d529c0cfe5d4p-20, -0x1.9ec29755beb8ep-20, -0x1.a01d3b570d67ep-20, -0x1.a162b396bc5p-20, -0x1.a2932c4b73f47p-20, -0x1.a3aed25323cf1p-20, -0x1.a4b5d32dbe8c8p-20, -0x1.a5a85cf9bffep-20, -0x1.a6869e705359dp-20, -0x1.a750c6e0537d2p-20, -0x1.a80706297cc15p-20, -0x1.a8a98cbb348abp-20, -0x1.a9388b91d6af1p-20, -0x1.a9b434296fcccp-20, -0x1.aa1cb863cfec3p-20, -0x1.aa724a7c68875p-20, -0x1.aab51d102f4ddp-20, -0x1.aae563258b492p-20, -0x1.ab0350325eeep-20, -0x1.ab0f184e7fbffp-20, -0x1.ab08f006d8e99p-20, -0x1.aaf10ba9dd68fp-20, -0x1.aac79f4449f5p-20, -0x1.aa8ce02dda634p-20, -0x1.aa41051784e2fp-20, -0x1.a9e441f875facp-20, -0x1.a976ccd7868c4p-20, -0x1.a8f8dbf521447p-20, -0x1.a86aa579525b2p-20, -0x1.a7cc5fb191a8p-20, -0x1.a71e4112ce0ffp-20, -0x1.a66080341e397p-20, -0x1.a59353ca30a3ep-20, -0x1.a4b6f2a2f5643p-20, -0x1.a3cb93a12b0e8p-20, -0x1.a2d16db749105p-20, -0x1.a1c8b7e28367ep-20, -0x1.a0b1a92676aeap-20, -0x1.9f8c788a40776p-20, -0x1.9e595d1590c07p-20, -0x1.9d188dcd28fb2p-20, -0x1.9bca41af6699ap-20, -0x1.9a6eafb0dee9p-20, -0x1.99060eba1e9b2p-20, -0x1.979095a60059p-20, -0x1.960e7b3b29a3p-20, -0x1.947ff6226c2d1p-20, -0x1.92e53ce317ee9p-20, -0x1.913e85e55be09p-20, -0x1.8f8c0770e2e44p-20, -0x1.8dcdf7aae776fp-20, -0x1.8c048ca3d0f9cp-20, -0x1.8a2ffc5395e66p-20, -0x1.88507c5e78837p-20, -0x1.866642107cbf8p-20, -0x1.8471827f2392dp-20, -0x1.8272738d8bbeap-20, -0x1.80694977ed3a2p-20, -0x1.7e5638e3c587p-20, -0x1.7c39765c407aap-20, -0x1.7a13360a77e55p-20, -0x1.77e3abd5ce297p-20, -0x1.75ab0b63d97a5p-20, -0x1.73698815c3b54p-20, -0x1.711f5505d97f2p-20, -0x1.6ecca505995bep-20, -0x1.6c71aa9c27138p-20, -0x1.6a0e9803f7a2ap-20, -0x1.67a39f28fe4b9p-20, -0x1.6530f1a67e92ep-20, -0x1.62b6c0c4e3ff3p-20, -0x1.60353d78b8edap-20, -0x1.5dac986283fbp-20, -0x1.5b1d01cc8b037p-20, -0x1.5886a9a85ecaep-20, -0x1.55e9bf8d7c7fep-20, -0x1.534672b88ae3ep-20, -0x1.509cf20a4ed0bp-20, -0x1.4ded6c06bb69dp-20, -0x1.4b380ed377f3dp-20, -0x1.487d0833f7184p-20, -0x1.45bc8589e0f6fp-20, -0x1.42f6b3d65a93fp-20, -0x1.402bbfb568197p-20, -0x1.3d5bd56030c28p-20, -0x1.3a8720ae4ae63p-20, -0x1.37adcd1532c49p-20, -0x1.34d0059bcb2b9p-20, -0x1.31edf4db8dd5fp-20, -0x1.2f07c4fda616fp-20, -0x1.2c1d9ffbc08c3p-20, -0x1.292faf231d129p-20, -0x1.263e1b68a9957p-20, -0x1.23490d66f57a2p-20, -0x1.2050ad43b8c0ep-20, -0x1.1d5522b887765p-20, -0x1.1a569512de626p-20, -0x1.17552b33fbd4dp-20, -0x1.14510b9020434p-20, -0x1.114a5c2e1412fp-20, -0x1.0e4142a6d120fp-20, -0x1.0b35e4257ef43p-20, -0x1.08286566e7b28p-20, -0x1.0518eab9868a1p-20, -0x1.020797fd7b78cp-20, -0x1.fde92147f35dep-21, -0x1.f7bfef5e6fc33p-21, -0x1.f193df65018dcp-21, -0x1.eb6535a4a1e4cp-21, -0x1.e53435884e341p-21, -0x1.df01219cb6c7p-21, -0x1.d8cc3b906d5bfp-21, -0x1.d295c4350c858p-21, -0x1.cc5dfb7f2b36ep-21, -0x1.c6252085e6efcp-21, -0x1.bfeb718391986p-21, -0x1.b9b12bd557946p-21, -0x1.b3768bfc03c19p-21, -0x1.ad3bcd9d1466ep-21, -0x1.a7012b828a169p-21, -0x1.a0c6df9b7d8fdp-21, -0x1.9a8d22fd7750ap-21, -0x1.94542de4f5532p-21, -0x1.8e1c37b42d13ap-21, -0x1.87e576f45ec12p-21, -0x1.81b02155ce52bp-21, -0x1.7b7c6bb9ab436p-21, }}, 
      {{-0x1.ebd8b82f25793p-12, -0x1.bfdf5fb7c429bp-10, -0x1.b40b1c541dce7p-9, -0x1.3e6857352da39p-8, -0x1.7fbdc6a81bfa6p-8, -0x1.84ed4edda5241p-8, -0x1.3a95976fec428p-8, -0x1.26c8c41e5c056p-9, 0x1.e0d8a61dc6cffp-10, 0x1.eaae8bb8acb5cp-8, 0x1.e11723659f5d1p-7, 0x1.7e5bcad66f7adp-6, 0x1.11119f6277342p-5, 0x1.6cb87d8e7a1fep-5, 0x1.d0c2b373e6df1p-5, 0x1.1ddd3b95cee7fp-4, 0x1.56110e5debe3ep-4, 0x1.903fa7439553ap-4, 0x1.cbb1d956bce17p-4, 0x1.03dcd7e70c08ap-3, 0x1.21da5cd5c0c6ap-3, 0x1.3f86c645beb47p-3, 0x1.5c9e51144d7fep-3, 0x1.78e458d3d0a03p-3, 0x1.9423516c44b18p-3, 0x1.ae2c9ad24bff6p-3, 0x1.c6d839ae13cfp-3, 0x1.de047da24b6a1p-3, 0x1.f3959c06e777cp-3, 0x1.03baa22b608a9p-2, 0x1.0cc919232179bp-2, 0x1.14efe0366b49cp-2, 0x1.1c2abecd2211bp-2, 0x1.2277632480ac1p-2, 0x1.27d5318c95514p-2, 0x1.2c45166d7c6c6p-2, 0x1.2fc95b30a620ap-2, 0x1.32657e1076eb1p-2, 0x1.341e0cbe162c1p-2, 0x1.34f881c231748p-2, 0x1.34fb24771b53cp-2, 0x1.342ceb77d8e9bp-2, 0x1.3295615f6f86ep-2, 0x1.303c8bb3c9ce3p-2, 0x1.2d2ad3db08982p-2, 0x1.2968f1fa17cd7p-2, 0x1.24ffd99f50588p-2, 0x1.1ff8a81d05d0cp-2, 0x1.1a5c947a3bafdp-2, 0x1.1434e0e1803b3p-2, 0x1.0d8acd7736eb8p-2, 0x1.06678c822ef5ep-2, 0x1.fda86fa59840ep-3, 0x1.edb38eaaf3ebdp-3, 0x1.dd02117dbebf4p-3, 0x1.cba5307fd6e55p-3, 0x1.b9adb4655d7eap-3, 0x1.a72beb5c1dep-3, 0x1.942f9fe75878cp-3, 0x1.80c8114c6795cp-3, 0x1.6d03ed798fb2cp-3, 0x1.58f14c4aa6199p-3, 0x1.449dac0365cefp-3, 0x1.3015ef0e55466p-3, 0x1.1b665a8e3d2e5p-3, 0x1.069a9638a1586p-3, 0x1.e37b59791f072p-4, 0x1.b9b419f32f0abp-4, 0x1.8ff3196d5bf49p-4, 0x1.664ad30382222p-4, 0x1.3ccc9dae5424dp-4, 0x1.1388aadf0a0b3p-4, 0x1.d51c2f35f8d7dp-5, 0x1.83d5ddd5f1918p-5, 0x1.335863c3003bap-5, 0x1.c777b239c81e1p-6, 0x1.2a2caa5d49dfdp-6, 0x1.1df0ca62cd4f5p-7, -0x1.3fffda637e764p-11, -0x1.413591fda57bcp-7, -0x1.34b940a37d51bp-6, -0x1.c63fe7bc1a2aap-6, -0x1.2a8afec6a7d87p-5, -0x1.7092bce7f3c29p-5, -0x1.b52d80612730dp-5, -0x1.f852c52230eb8p-5, -0x1.1cfd9a70cc0c2p-4, -0x1.3d10477190f53p-4, -0x1.5c5ec98258d1fp-4, -0x1.7ae6fcd231f26p-4, -0x1.98a730624b701p-4, -0x1.b59e1faf8ee88p-4, -0x1.d1caecdc718afp-4, -0x1.ed2d1a725b67p-4, -0x1.03e242f3b5801p-3, -0x1.10c8b1138773ap-3, -0x1.1d4a1926d79acp-3, -0x1.2966e2417db08p-3, -0x1.351f967ab8111p-3, -0x1.4074e085e172fp-3, -0x1.4b6789656cff9p-3, -0x1.55f8762bb7ba2p-3, -0x1.6028a5e4735dep-3, -0x1.69f92f86761dfp-3, -0x1.736b3ffdaa232p-3, -0x1.7c8018450b727p-3, -0x1.85390b853ebfap-3, -0x1.8d977d4222765p-3, -0x1.959cdf9353146p-3, -0x1.9d4ab161a930ap-3, -0x1.a4a27cb6697e5p-3, -0x1.aba5d51d3e852p-3, -0x1.b2565614c5a66p-3, -0x1.b8b5a197e846p-3, -0x1.bec55ec367071p-3, -0x1.c48738910d35p-3, -0x1.c9fcdcacb751fp-3, -0x1.cf27fa6675b1fp-3, -0x1.d40a41ba4d964p-3, -0x1.d8a5626c0dd7cp-3, -0x1.dcfb0b38f3538p-3, -0x1.e10ce91c17ecbp-3, -0x1.e4dca69f66da9p-3, -0x1.e86beb3aa9ffbp-3, -0x1.ebbc5ac2908fp-3, -0x1.eecf94e01e187p-3, -0x1.f1a73494249cdp-3, -0x1.f444cfc659137p-3, -0x1.f6a9f6de5a66dp-3, -0x1.f8d8346a394f7p-3, -0x1.fad10ccb49dd6p-3, -0x1.fc95fdf050edfp-3, -0x1.fe287f1daf664p-3, -0x1.ff8a00b7a51c5p-3, -0x1.005df60de6a64p-2, -0x1.00dfd1c2cd582p-2, -0x1.014b40f94c531p-2, -0x1.01a0ed8b421ccp-2, -0x1.01e17daa8a05ep-2, -0x1.020d93dc8e58ep-2, -0x1.0225cefe28fd7p-2, -0x1.022aca48808f3p-2, -0x1.021d1d5263cf4p-2, -0x1.01fd5c1a0bbbcp-2, -0x1.01cc171018fdep-2, -0x1.0189db1cda1d4p-2, -0x1.013731aca774p-2, -0x1.00d4a0bf8d52dp-2, -0x1.0062aaf1f6d0fp-2, -0x1.ffc39f13b4712p-3, -0x1.fea51513f0509p-3, -0x1.fd6aa97c8eb9cp-3, -0x1.fc1547916b9a9p-3, -0x1.faa5d46cad284p-3, -0x1.f91d2f218c282p-3, -0x1.f77c30d52fe8ep-3, -0x1.f5c3ace69c333p-3, -0x1.f3f4711ab899ep-3, -0x1.f20f45b9067ddp-3, -0x1.f014edade7287p-3, -0x1.ee0626b617403p-3, -0x1.ebe3a98885c95p-3, -0x1.e9ae29ee8ba23p-3, -0x1.e76656edfc922p-3, -0x1.e50cdaf542d47p-3, -0x1.e2a25bf95e15ep-3, -0x1.e0277b93f78e4p-3, -0x1.dd9cd72caee7ap-3, -0x1.db0308205a056p-3, -0x1.d85aa3da29ff5p-3, -0x1.d5a43bf0dc4a9p-3, -0x1.d2e05e4ef9971p-3, -0x1.d00f9553c158bp-3, -0x1.cd3267e7f9927p-3, -0x1.ca4959995be13p-3, -0x1.c754eabf077f9p-3, -0x1.c4559895cbfa1p-3, -0x1.c14bdd517c2c6p-3, -0x1.be38303424e59p-3, -0x1.bb1b05ae0bd3cp-3, -0x1.b7f4cf771ca03p-3, -0x1.b4c5fc9dd18f3p-3, -0x1.b18ef9992bdb5p-3, -0x1.ae5030633888ap-3, -0x1.ab0a08908e48p-3, -0x1.a7bce75e15945p-3, -0x1.a4692fbe76359p-3, -0x1.a10f426e88edfp-3, -0x1.9daf7e0a079a4p-3, -0x1.9a4a3f190e0f8p-3, -0x1.96dfe01abd602p-3, -0x1.9370b99466743p-3, -0x1.8ffd22228511p-3, -0x1.8c856e84e706cp-3, -0x1.8909f1a75af63p-3, -0x1.858afcad88542p-3, -0x1.8208df019b581p-3, -0x1.7e83e65ed6a96p-3, -0x1.7afc5ed6c6394p-3, -0x1.777292d88ff26p-3, -0x1.73e6cb3e9a692p-3, -0x1.70594f5bcbc0ap-3, -0x1.6cca65002fc6dp-3, -0x1.693a507891ec3p-3, -0x1.65a9549482566p-3, -0x1.6217b2b57a50fp-3, -0x1.5e85aadc4e367p-3, -0x1.5af37baa9edffp-3, -0x1.5761625d31cebp-3, -0x1.53cf9ace07f9fp-3, -0x1.503e5f83831fep-3, -0x1.4cade9c0e3e5bp-3, -0x1.491e71897a1eap-3, -0x1.45902d9758931p-3, -0x1.42035355bc1dfp-3, -0x1.3e7816eb794a9p-3, -0x1.3aeeab4ed8785p-3, -0x1.37674250cb242p-3, -0x1.33e20c967c666p-3, -0x1.305f398be8b67p-3, -0x1.2cdef76230aacp-3, -0x1.2961731fa7635p-3, -0x1.25e6d8b45a339p-3, -0x1.226f5300bdb77p-3, -0x1.1efb0bca7f938p-3, -0x1.1b8a2badd29c1p-3, -0x1.181cda1d4c86cp-3, -0x1.14b33d738f1cp-3, -0x1.114d7b083eb5fp-3, -0x1.0debb7369a38cp-3, -0x1.0a8e15520e5f7p-3, -0x1.0734b79627517p-3, -0x1.03dfbf23a092p-3, -0x1.008f4c0fc0dabp-3, -0x1.fa86faf48dc96p-4, -0x1.f3f8e331365a9p-4, -0x1.ed748b5d827c7p-4, -0x1.e6fa2bfdf432bp-4, -0x1.e089fb8132d91p-4, -0x1.da242e5024fc8p-4, -0x1.d3c8f6f7444c3p-4, -0x1.cd78864a03559p-4, -0x1.c7330b6830beap-4, -0x1.c0f8b3a60ef3ap-4, -0x1.bac9aa6f543fdp-4, -0x1.b4a61940b19ebp-4, -0x1.ae8e27c0b69fap-4, -0x1.a881fbe80bddp-4, -0x1.a281ba1deef25p-4, -0x1.9c8d85383b482p-4, -0x1.96a57e64358c4p-4, -0x1.90c9c50e1f6ecp-4, -0x1.8afa76ddaf37ap-4, -0x1.8537afcd6f0e5p-4, -0x1.7f818a4f422a8p-4, -0x1.79d81f67cf684p-4, -0x1.743b86b25773fp-4, -0x1.6eabd64f80696p-4, -0x1.692922cfa912fp-4, -0x1.63b37f2b8e05bp-4, -0x1.5e4afcd3916d8p-4, -0x1.58efabce5a7b8p-4, -0x1.53a19ad5e7c58p-4, -0x1.4e60d76469e49p-4, -0x1.492d6dad8ecf9p-4, -0x1.4407688d5cc85p-4, -0x1.3eeed17b7fac4p-4, -0x1.39e3b08e77a65p-4, -0x1.34e60c8f92e1p-4, -0x1.2ff5eb164b9d6p-4, -0x1.2b13509ddfd68p-4, -0x1.263e408c81669p-4, -0x1.2176bd2c7d7dep-4, -0x1.1cbcc79fae5e6p-4, -0x1.18105fd82c6dap-4, -0x1.1371849d89803p-4, -0x1.0ee0339e5139ep-4, -0x1.0a5c698692f1p-4, -0x1.05e622121ce2ap-4, -0x1.017d581438337p-4, -0x1.fa440ae9a5cf1p-5, -0x1.f1a84651080d7p-5, -0x1.e927525617102p-5, -0x1.e0c11d0447335p-5, -0x1.d875929361e82p-5, -0x1.d0449d8aa8f11p-5, -0x1.c82e26e231473p-5, -0x1.c0321617db88cp-5, -0x1.b850513482127p-5, -0x1.b088bcc5baec4p-5, -0x1.a8db3bd5839d9p-5, -0x1.a147afe976294p-5, -0x1.99cdf90ee309ap-5, -0x1.926df5f238bcap-5, -0x1.8b2783fae6524p-5, -0x1.83fa7f6399f2bp-5, -0x1.7ce6c3492950fp-5, -0x1.75ec29af43eb2p-5, -0x1.6f0a8b7e48e3p-5, -0x1.6841c080939e5p-5, -0x1.61919f65346dap-5, -0x1.5af9fdcb30094p-5, -0x1.547ab05415e72p-5, -0x1.4e138ab95cef8p-5, -0x1.47c45fdf66e53p-5, -0x1.418d01e251b0dp-5, -0x1.3b6d421bfb65dp-5, -0x1.3564f124fcc5fp-5, -0x1.2f73ded47a1b7p-5, -0x1.2999da432aafdp-5, -0x1.23d6b1d4492fep-5, -0x1.1e2a3344664eap-5, -0x1.18942bbb3f59p-5, -0x1.131467dc7447dp-5, -0x1.0daab3d3b78bep-5, -0x1.0856db5adebd9p-5, -0x1.0318a9ba9c09p-5, -0x1.fbdfd3910a917p-6, -0x1.f1b8cbccfe61ep-6, -0x1.e7bbd00e8ee76p-6, -0x1.dde8737474968p-6, -0x1.d43e487abd133p-6, -0x1.cabce1243004bp-6, -0x1.c163cf1eba3d9p-6, -0x1.b832a3da07736p-6, -0x1.af28f08b572f6p-6, -0x1.a646461fdf719p-6, -0x1.9d8a3524839c3p-6, -0x1.94f44daf2d5d9p-6, -0x1.8c841f56d295fp-6, -0x1.843939444247cp-6, -0x1.7c132a5e6270ep-6, -0x1.7411818a9553ep-6, -0x1.6c33cdf20ffcp-6, -0x1.64799f394494p-6, -0x1.5ce2859844cf4p-6, -0x1.556e11cae001fp-6, -0x1.4e1bd4dae069p-6, -0x1.46eb5fd2b9d7fp-6, -0x1.3fdc4371aca74p-6, -0x1.38ee0ffd22f17p-6, -0x1.322055465105ap-6, -0x1.2b72a2ed5d318p-6, -0x1.24e488d9106abp-6, -0x1.1e7597c7ee73p-6, -0x1.182561d431661p-6, -0x1.11f37ac29bf5dp-6, -0x1.0bdf77ff21bbbp-6, -0x1.05e8f03e62ed7p-6, -0x1.000f7ad5c235bp-6, -0x1.f4a55de7cbc44p-7, -0x1.e96445e45d199p-7, -0x1.de5ad7f0b93d3p-7, -0x1.d3883c33a8f0dp-7, -0x1.c8eb99ebdb006p-7, -0x1.be84197e7f4a4p-7, -0x1.b450e6daabb92p-7, -0x1.aa513391fe59dp-7, -0x1.a0843809ce5d2p-7, -0x1.96e93357177e9p-7, -0x1.8d7f69aa6eff6p-7, -0x1.844621938f341p-7, -0x1.7b3ca0bdec03dp-7, -0x1.726228fc773bap-7, -0x1.69b5f67a92c75p-7, -0x1.61373fad1868dp-7, -0x1.58e537348a92bp-7, -0x1.50bf0f6261e32p-7, -0x1.48c3fe9f80414p-7, -0x1.40f343a64219ap-7, -0x1.394c2878858c7p-7, -0x1.31ce0335b3555p-7, -0x1.2a78346e0f37ep-7, -0x1.234a232c504ffp-7, -0x1.1c43378820c14p-7, -0x1.1562d501b87bep-7, -0x1.0ea85608dd5bbp-7, -0x1.081309dbded35p-7, -0x1.01a23565ecf2bp-7, -0x1.f6aa2e2405484p-8, -0x1.ea55d9a62df6ep-8, -0x1.de45f62a29c4p-8, -0x1.d279260e7dc2dp-8, -0x1.c6ee2d87d46e7p-8, -0x1.bba3f48a44e71p-8, -0x1.b09981890340fp-8, -0x1.a5cdede9557e5p-8, -0x1.9b40568dc6fp-8, -0x1.90efcbe44aa7bp-8, -0x1.86db451d4a6e4p-8, -0x1.7d019981e1951p-8, -0x1.7361817675e79p-8, -0x1.69f99ef393a38p-8, -0x1.60c88ba0fe41cp-8, -0x1.57cce99974274p-8, -0x1.4f057367e9ce9p-8, -0x1.467107fe96a6cp-8, -0x1.3e0eb031d2ffep-8, -0x1.35dd9c7cb909ap-8, -0x1.2ddd1b5ed71eap-8, -0x1.260c8a37982edp-8, -0x1.1e6b43cc54b89p-8, -0x1.16f89045376aep-8, -0x1.0fb39a196293ap-8, -0x1.089b6a262ef26p-8, -0x1.01aeeb65fae52p-8, -0x1.f5d9e9fddb4ccp-9, -0x1.e8a8b061de36fp-9, -0x1.dbc7de629c2b6p-9, -0x1.cf35544a98c3cp-9, -0x1.c2ef3003dba2bp-9, -0x1.b6f3d3f2a89e3p-9, -0x1.ab41e264e9639p-9, -0x1.9fd82f2e465efp-9, -0x1.94b5aaab73059p-9, -0x1.89d94a4f2aa6cp-9, -0x1.7f41f309fd651p-9, -0x1.74ee695e55f45p-9, -0x1.6add49c4eb39dp-9, -0x1.610d0a58aafb6p-9, -0x1.577c04f59fc21p-9, -0x1.4e2887634ce01p-9, -0x1.4510e5cebd177p-9, -0x1.3c338ad807896p-9, -0x1.338f0083ef338p-9, -0x1.2b21ef7485e55p-9, -0x1.22eb15df008c6p-9, -0x1.1ae93be0d1da3p-9, -0x1.131b2c37f37c6p-9, -0x1.0b7fb5723d1dcp-9, -0x1.0415b1e6d3abfp-9, -0x1.f9b81ff874957p-10, -0x1.eba3a76fc80cp-10, -0x1.ddec1dd13b848p-10, -0x1.d08fa7c5dbe17p-10, -0x1.c38c570a5aeaap-10, -0x1.b6e02ca59edaep-10, -0x1.aa8932b8a3b21p-10, -0x1.9e859c9129dd3p-10, -0x1.92d3d1fa269ddp-10, -0x1.8772532b9d2dbp-10, -0x1.7c5f7a2dc25f7p-10, -0x1.7199373511854p-10, -0x1.671cf013b5cefp-10, -0x1.5ce79f100bffbp-10, -0x1.52f62f05bf8d4p-10, -0x1.4945f04249fddp-10, -0x1.3fd4ee5c73cd9p-10, -0x1.36a1f9ad056f6p-10, -0x1.2dac5ee6332f8p-10, -0x1.24f378a007171p-10, -0x1.1c765f94b39eep-10, -0x1.1433e9632ffe7p-10, -0x1.0c2aeccceffd3p-10, -0x1.045a8fbee4453p-10, -0x1.f984bbb8ce89p-11, -0x1.eac41a7d8a1b2p-11, -0x1.dc72159fc440dp-11, -0x1.ce8c0dbe5ce91p-11, -0x1.c10d73568ca3fp-11, -0x1.b3f00114cc8ap-11, -0x1.a72cac2f1f234p-11, -0x1.9abd0c7618a4dp-11, -0x1.8e9cb5327bf66p-11, -0x1.82c9d17213e13p-11, -0x1.77449647d0438p-11, -0x1.6c0dccf2ed412p-11, -0x1.6125618f83588p-11, -0x1.5689e5f2b278ap-11, -0x1.4c39391a42462p-11, -0x1.4231aa9a86d3ap-11, -0x1.3872b56d2998dp-11, -0x1.2efcd814d3dc3p-11, -0x1.25d0afab2a8e1p-11, -0x1.1cedebe803ff7p-11, -0x1.1452b1b97dc14p-11, -0x1.0bfb927bf5763p-11, -0x1.03e3da84736cap-11, -0x1.f80c21642c3e5p-12, -0x1.e8b9962eec3a3p-12, -0x1.d9c7bdca09031p-12, -0x1.cb32c9c651bdep-12, -0x1.bcfb80634530cp-12, -0x1.af24c7716fcd2p-12, -0x1.a1b04ba2df53ap-12, -0x1.949cc5d2c53e8p-12, -0x1.87e6cf8a56c42p-12, -0x1.7b8b10b12981ap-12, -0x1.6f880d3f0c144p-12, -0x1.63de7c31a8ea8p-12, -0x1.588fd79c8f50ep-12, -0x1.4d9c2ac3971b5p-12, -0x1.43010a8b6cf74p-12, -0x1.38ba69ecb5738p-12, -0x1.2ec4069e6cd16p-12, -0x1.2519e8fea256p-12, -0x1.1bb7cba519071p-12, -0x1.129887b1eff4p-12, -0x1.09b69e23f90a3p-12, -0x1.010dbc79279e6p-12, -0x1.f13809bc35f42p-13, -0x1.e0c3f044583ccp-13, -0x1.d0c1f84767c06p-13, -0x1.c13351fd70d5p-13, -0x1.b215ef9613ab4p-13, -0x1.a3655a0cf20bdp-13, -0x1.951e0b6dcfaebp-13, -0x1.87406d5474684p-13, -0x1.79cec43392a4dp-13, -0x1.6cc80a8f56ca7p-13, -0x1.60268d4a5bdd9p-13, -0x1.53e30a320ad74p-13, -0x1.47f7eb3ad8597p-13, -0x1.3c6267e415a6fp-13, -0x1.3122128f772ddp-13, -0x1.263762343b6fp-13, -0x1.1ba1a55d1631ep-13, -0x1.115d56769fe5p-13, -0x1.076391ed5f85ap-13, -0x1.fb56cc77c4c34p-14, -0x1.e85c397c8989bp-14, -0x1.d5d7aefc8c194p-14, -0x1.c3d4399fa6cb4p-14, -0x1.b2584a3e3a909p-14, -0x1.a15cc8e430982p-14, -0x1.90d8b02ceee0dp-14, -0x1.80ce7446287dfp-14, -0x1.71438e9c0878bp-14, -0x1.623318e61694ep-14, -0x1.5390dea0cdf8ep-14, -0x1.4552c935fb72dp-14, -0x1.3773be9d9e733p-14, -0x1.29f179c87b584p-14, -0x1.1ccacb8720704p-14, -0x1.10001db891992p-14, -0x1.0394786d525d9p-14, -0x1.ef18a3f9d175fp-15, -0x1.d7d3b5bf7f3bbp-15, -0x1.c1512d873503ap-15, -0x1.ab7364c9111afp-15, -0x1.9611c2c538075p-15, -0x1.811fbb27acab7p-15, -0x1.6cbb1ef469a96p-15, -0x1.58f97af01a01ap-15, -0x1.45c7185d9af9ap-15, -0x1.331367f0f72ap-15, -0x1.20edf9184d264p-15, -0x1.0f5fa86290335p-15, -0x1.fcb13f549d223p-16, -0x1.db8cbc21c95c1p-16, -0x1.bb411b881357fp-16, -0x1.9bcb997a43e5fp-16, -0x1.7d2c651ca6c7bp-16, -0x1.5f61287e74435p-16, -0x1.426485aea68c4p-16, -0x1.2631bc6e34dep-16, -0x1.0aca470b58f18p-16, -0x1.e06e636a5fa72p-17, -0x1.ad0446cf259c5p-17, -0x1.7b5aeb346c3c7p-17, -0x1.4b581b5ed46f6p-17, -0x1.1ca025efde81ep-17, -0x1.ddb6658fe882bp-18, -0x1.84911dabbd3d8p-18, -0x1.2e5d7c0910575p-18, -0x1.b4f9f68b77e81p-19, -0x1.118e94a2c697dp-19, -0x1.cedf5d3b265fcp-21, 0x1.253ad70d5c70ap-22, 0x1.7106cbc3e96abp-20, 0x1.48539733a44fp-19, 0x1.d4228d7301949p-19, 0x1.2df32692fa3b6p-18, 0x1.6fcfd74cda7dap-18, 0x1.afad3c415d3e9p-18, 0x1.ed94c9bb67b36p-18, 0x1.14c99ef65e589p-17, 0x1.31db9ed0ba5d8p-17, 0x1.4e05d0fdd839cp-17, 0x1.6948959cff96cp-17, 0x1.83a14aceee69p-17, 0x1.9d1047b0fdea3p-17, 0x1.b591b336c473fp-17, 0x1.cd1edbce3f2a7p-17, 0x1.e3e2ce32c0d92p-17, 0x1.f9fd688884f71p-17, 0x1.07a7b3c7d9a52p-16, 0x1.11ffeaa5c2755p-16, 0x1.1bff36732bb88p-16, 0x1.258b47551eda6p-16, 0x1.2eb4f7b47e6d7p-16, 0x1.378ca3fe38a8ep-16, 0x1.4013e1dddff3ap-16, 0x1.4848da5693bfdp-16, 0x1.502b16e003a07p-16, 0x1.57bb89cc5e656p-16, 0x1.5efbc73cb341bp-16, 0x1.65ed6feded659p-16, 0x1.6c91ee775cab7p-16, 0x1.72ea8c9dd1695p-16, 0x1.78f8c3da9e6bep-16, 0x1.7ebe711f66671p-16, 0x1.843d8c4dacd1cp-16, 0x1.8977873bb38e2p-16, 0x1.8e6da558bc30bp-16, 0x1.9321f1270e453p-16, 0x1.979122ed2a063p-16, 0x1.9bb0837da62e7p-16, 0x1.9f8d149223202p-16, 0x1.a33519aa7bda5p-16, 0x1.a6aba656993a8p-16, 0x1.a9e649c1db2c1p-16, 0x1.acd861c63a618p-16, 0x1.af9032e7cdfabp-16, 0x1.b2139f25e6cep-16, 0x1.b4618d3aebfb9p-16, 0x1.b67937ce2ec72p-16, 0x1.b85af09b114f8p-16, 0x1.ba07956a37bd8p-16, 0x1.bb80375912502p-16, 0x1.bcc5f06667df8p-16, 0x1.bdd9cada6f781p-16, 0x1.bebcb14072109p-16, 0x1.bf6f6c3c41ep-16, 0x1.bff2b99cd9d46p-16, 0x1.c0477a41c747cp-16, 0x1.c06ed3c29d69cp-16, 0x1.c06a1027e093ap-16, 0x1.c03a3a77ad798p-16, 0x1.bfe02294cf8ecp-16, 0x1.bf5d1ff9b63ep-16, 0x1.beb0aff90a63cp-16, 0x1.bdd43dd9671bp-16, 0x1.bccdd1ebd5cdfp-16, 0x1.bba94878b2b91p-16, 0x1.ba61446f6c3aap-16, 0x1.b8ecd48507ca6p-16, 0x1.b753df4bffad3p-16, 0x1.b5992b98aad1dp-16, 0x1.b3bc19632654dp-16, 0x1.b1bcad2a67dffp-16, 0x1.af9b700af7a14p-16, 0x1.ad5914715c586p-16, 0x1.aaf6560c4fd3cp-16, 0x1.a873f194f4f46p-16, 0x1.a5d2a225b3817p-16, 0x1.a3131ef2bd16ep-16, 0x1.a03618628ec68p-16, 0x1.9d3c34f7b6482p-16, 0x1.9a26110e3a969p-16, 0x1.96f4468969212p-16, 0x1.93a77c0fc5b39p-16, 0x1.90406f553a2cep-16, 0x1.8cbfead1c9c3dp-16, 0x1.8926a26b76378p-16, 0x1.857516f6b8cb7p-16, 0x1.81abe01879e22p-16, 0x1.7dcc00c9d2126p-16, 0x1.79d47d48452dp-16, 0x1.75c4c4270293ap-16, 0x1.71a37600aa17p-16, 0x1.6d6c3cf9fac28p-16, 0x1.691f82c873c74p-16, 0x1.64c039b8b5bc2p-16, 0x1.604e57d4df9aep-16, 0x1.5bca0f43de968p-16, 0x1.5733e021f8043p-16, 0x1.528c5bc08a2c6p-16, 0x1.4dd413d8a1c18p-16, 0x1.490b981f33b38p-16, 0x1.44337699ae2b6p-16, 0x1.3f4c3bf7717dep-16, 0x1.3a56738bd88c4p-16, 0x1.3552a703166f4p-16, 0x1.30415ddea9a08p-16, 0x1.2b231cad761dfp-16, 0x1.25f864901ff4p-16, 0x1.20c1b49238e9p-16, 0x1.1b7f8d509babcp-16, 0x1.163273fb0b4ddp-16, 0x1.10daf157a930cp-16, 0x1.0b798bbb1a7cbp-16, 0x1.060eb9bb5b74ep-16, 0x1.009adcd6862f5p-16, 0x1.f63cedbc7d64bp-17, 0x1.eb34b399caf14p-17, 0x1.e01ca13ea6cf7p-17, 0x1.d4f660ba98ec1p-17, 0x1.c9c29638e97eep-17, 0x1.be81f644d586ap-17, 0x1.b3369b656de1bp-17, 0x1.a7e0c60fd1a97p-17, 0x1.9c812798e999ep-17, 0x1.91189cbecc09ap-17, 0x1.85a804069d61bp-17, 0x1.7a3037b94cd65p-17, 0x1.6eb20e1b9219bp-17, 0x1.632e5a26e82aep-17, 0x1.57a5ec064a614p-17, 0x1.4c19914b22909p-17, 0x1.408a14ea28c3ep-17, 0x1.34f83f1f0ec92p-17, 0x1.2964d5511edcfp-17, 0x1.1dd099d20e4c4p-17, 0x1.123c4b724e3c7p-17, 0x1.06a8a56d1781cp-17, 0x1.f62cc0e80f9fbp-18, 0x1.df0c68d502d04p-18, 0x1.c7f1b1f19e6abp-18, 0x1.b0de09533639ep-18, 0x1.99d2d50fe3aeep-18, 0x1.82d164ab011b1p-18, 0x1.6bdae6a819e4fp-18, 0x1.54f0a87d0fcaap-18, 0x1.3e1484ebc6e79p-18, 0x1.2747bd5ca7c0ep-18, 0x1.108a49a8f5062p-18, 0x1.f3bb2e5d5c19cp-19, 0x1.c68860595e99bp-19, 0x1.997d9d4b3b49fp-19, 0x1.6c9cadc97157ep-19, 0x1.3fe7d7b1a031cp-19, 0x1.1361614e313ecp-19, 0x1.ce17049e1d89cp-20, 0x1.75d0c9ce44f99p-20, 0x1.1df44e6e22a6cp-20, 0x1.8d0b70c6c556bp-21, 0x1.be246009c903fp-22, 0x1.902689f238edep-24, -0x1.e85379c7b0b63p-23, -0x1.25333bc5eb8e7p-21, -0x1.cf4ecd662d8bdp-21, -0x1.3c3021e1bb057p-20, -0x1.90303cdb95281p-20, -0x1.e3a43adda5344p-20, -0x1.1b445aa8c785dp-19, -0x1.446d2d349e45dp-19, -0x1.6d4af515451c8p-19, -0x1.95dc1a8eae0b8p-19, -0x1.be1f0ec1178f2p-19, -0x1.e6124c317eaeep-19, -0x1.06da2d2835f86p-18, -0x1.1a81ebf32735ep-18, -0x1.2dffb9c9bffdap-18, -0x1.4152dff34c192p-18, -0x1.547a7a902d539p-18, -0x1.67760d9d4cb37p-18, -0x1.7a459a100c4d8p-18, -0x1.8ce7ba1ea5d4p-18, -0x1.9f5bf7a9c451p-18, -0x1.b1a1e402e502ap-18, -0x1.c3b8f38f3ba8ap-18, -0x1.d5a09d6e07ac8p-18, -0x1.e7585e44c93ccp-18, -0x1.f8dfb7c933c4ep-18, -0x1.051b18374e6b9p-17, -0x1.0dada99f23002p-17, -0x1.162757df8ad56p-17, -0x1.1e87ecf244373p-17, -0x1.26cf34ffd8c5dp-17, -0x1.2efcfe58f2fe2p-17, -0x1.3711197178db1p-17, -0x1.3f0b58dc57262p-17, -0x1.46eb9147f7fdcp-17, -0x1.4eb199779bf7fp-17, -0x1.565d4a3e6effbp-17, -0x1.5dee7e8231ff4p-17, -0x1.65651337dc58bp-17, -0x1.6cc0e7545195ap-17, -0x1.7401dbb2a202p-17, -0x1.7b27d30aec019p-17, -0x1.8232b1f8f3a65p-17, -0x1.89225ef56712ep-17, -0x1.8ff6c265314acp-17, -0x1.96afc7250125bp-17, -0x1.9d4d5a8ab1994p-17, -0x1.a3cf6a83d1c44p-17, -0x1.aa35e2bb2d634p-17, -0x1.b080ac67a61e1p-17, -0x1.b6afdc0d73475p-17, -0x1.bcc34b59cf84fp-17, -0x1.c2baf134a7eb9p-17, -0x1.c896cbd64178ep-17, -0x1.ce56d5395c2cp-17, -0x1.d3fb08c6a8a74p-17, -0x1.d98363a687275p-17, -0x1.deefe4a5ec5ddp-17, -0x1.e4408c251bfd6p-17, -0x1.e9755c0dd478dp-17, -0x1.ee8e57cb5657dp-17, -0x1.f38b84453378cp-17, -0x1.f86ce7d801e42p-17, -0x1.fd328a4dcae42p-17, -0x1.00ee3a6c5c90bp-16, -0x1.03355906bde73p-16, -0x1.056ea6ee90758p-16, -0x1.079a2ac7b221bp-16, -0x1.09b7ebdde5033p-16, -0x1.0bc7f221c4719p-16, -0x1.0dca46262e168p-16, -0x1.0fbef11de1c32p-16, -0x1.11a5fcd8ecabcp-16, -0x1.137f73bfe1254p-16, -0x1.154b60cefaee6p-16, -0x1.1709cf943026dp-16, -0x1.18bacc2dbeeeep-16, -0x1.1a5e634548524p-16, -0x1.1bf4a20e67467p-16, -0x1.1d7d965223f7bp-16, -0x1.1ef94e7020fcep-16, -0x1.2067d92eea9f5p-16, -0x1.21c9459b5537dp-16, -0x1.231da23b0a587p-16, -0x1.2465027e5062ap-16, -0x1.259f7510a4ba4p-16, -0x1.26cd0a81f2c3ap-16, -0x1.27edd524d59fcp-16, -0x1.2901e6f586ae5p-16, -0x1.2a09525849f5p-16, -0x1.2b042a1e9b434p-16, -0x1.2bf2818119c06p-16, -0x1.2cd46c1c01c27p-16, -0x1.2da9fdec206bfp-16, -0x1.2e734b4c3923ap-16, -0x1.2f3068f225267p-16, -0x1.2fe16bec5f303p-16, -0x1.3086699f4fbacp-16, -0x1.311f77c2aedb5p-16, -0x1.31acac5f051bbp-16, -0x1.322e1dcb66b1ap-16, -0x1.32a3e2aa9c6f3p-16, -0x1.330e11e91daaap-16, -0x1.336cc2ba5f5fap-16, -0x1.33c00c96a169ep-16, -0x1.34080738511b4p-16, -0x1.3444ca99d5be1p-16, -0x1.34766ef32e413p-16, -0x1.349d0cb7b3a3dp-16, -0x1.34b8bc93c8a59p-16, -0x1.34c9976a4c361p-16, -0x1.34cfb6529cbb6p-16, -0x1.34cb32964ccccp-16, -0x1.34bc25af06c43p-16, -0x1.34a2a94419d79p-16, -0x1.347ed72a6dd91p-16, -0x1.3450c962e70b5p-16, -0x1.34189a12f7cfcp-16, -0x1.33d663831cfafp-16, -0x1.338a40033f8a2p-16, -0x1.33344a5a55f56p-16, }}, 
      {{0x1.2153a00be6ccdp-3, 0x1.09bf9ded93859p-2, 0x1.600973b2ff1fbp-2, 0x1.90d68abfb5dap-2, 0x1.9e5560b6bc783p-2, 0x1.8d4263bf341aep-2, 0x1.637330886185ap-2, 0x1.26f0b9767c935p-2, 0x1.bade2bddb9a0bp-3, 0x1.1805feb3a60fp-3, 0x1.b7ff39e0e7df3p-5, -0x1.e102e60b78764p-6, -0x1.c191c672f4f2ap-4, -0x1.7bc83dd5466a2p-3, -0x1.0510a24330ebcp-2, -0x1.44ee6589582f9p-2, -0x1.7cee1ab73c33ap-2, -0x1.acd7c6f7da80fp-2, -0x1.d4b81009eba25p-2, -0x1.f4d007c881419p-2, -0x1.06c3b3660988fp-1, -0x1.0fb084ad1437ep-1, -0x1.1578bbea37ceap-1, -0x1.186ba04783e95p-1, -0x1.18da7462ead4ep-1, -0x1.17161db231c6fp-1, -0x1.136d5f706a532p-1, -0x1.0e2b8fd59ec01p-1, -0x1.0797b109e2ad5p-1, -0x1.ffe7b46126a06p-2, -0x1.eef9bf9df778dp-2, -0x1.dcd45b0cb9b75p-2, -0x1.c9db8b09d58a1p-2, -0x1.b668b85a17dcfp-2, -0x1.a2cb10823cb4fp-2, -0x1.8f4802d520a32p-2, -0x1.7c1bd078d2241p-2, -0x1.697a27c6708c2p-2, -0x1.578ec52c1c89fp-2, -0x1.467e1528d115p-2, -0x1.3665d42329096p-2, -0x1.275da9c7bd402p-2, -0x1.1977be5310655p-2, -0x1.0cc148b6b71bep-2, -0x1.014314f203a13p-2, -0x1.ee040486dc318p-3, -0x1.dbfef2209f8c8p-3, -0x1.cc73b112da128p-3, -0x1.bf59b8601a3b3p-3, -0x1.b4a3f2e8cd769p-3, -0x1.ac416b6a7fdf1p-3, -0x1.a61de9e56ec31p-3, -0x1.a222831954b5cp-3, -0x1.a0361ad277ep-3, -0x1.a03dd9c4b1501p-3, -0x1.a21d97b13223fp-3, -0x1.a5b83a92decbp-3, -0x1.aaf00b8884186p-3, -0x1.b1a70236bbd11p-3, -0x1.b9bf07458cc69p-3, -0x1.c31a2ead5b466p-3, -0x1.cd9aea609d9f1p-3, -0x1.d924360562eedp-3, -0x1.e599bc309f97cp-3, -0x1.f2dff5edfbd23p-3, -0x1.006e225dd5b17p-2, -0x1.07ba83e86f455p-2, -0x1.0f48d67322bcfp-2, -0x1.170d5e505770ep-2, -0x1.1efcf267eb23bp-2, -0x1.270cfe727dc42p-2, -0x1.2f3385eb28158p-2, -0x1.376723071159fp-2, -0x1.3f9f06edc727fp-2, -0x1.47d2f8327e0bep-2, -0x1.4ffb4e74a4c76p-2, -0x1.5810f30155a3dp-2, -0x1.600d58e0fa02ap-2, -0x1.67ea7bdcc9212p-2, -0x1.6fa2db7355b3ap-2, -0x1.773172d8d90f2p-2, -0x1.7e91b8a5d3d01p-2, -0x1.85bf9537e9a7p-2, -0x1.8cb75f1f62b0ep-2, -0x1.9375d72c4921ap-2, -0x1.99f820420bb43p-2, -0x1.a03bbc4ff34b1p-2, -0x1.a63e862004c6ep-2, -0x1.abfeab83e023dp-2, -0x1.b17aa9081cfc8p-2, -0x1.b6b1448a65016p-2, -0x1.bba188b1a67e2p-2, -0x1.c04ac0a25209fp-2, -0x1.c4ac73bbcfc67p-2, -0x1.c8c6619b223aep-2, -0x1.cc987e2d8f3e6p-2, -0x1.d022ede6ba0ddp-2, -0x1.d366020dc0202p-2, -0x1.d662352c5bde4p-2, -0x1.d91827ac8d44cp-2, -0x1.db889c9938fbep-2, -0x1.ddb47692b5694p-2, -0x1.df9cb4f1660a6p-2, -0x1.e142710ad7677p-2, -0x1.e2a6dba08287ap-2, -0x1.e3cb3a6e1c86dp-2, -0x1.e4b0e5cd30ab6p-2, -0x1.e559467606e9bp-2, -0x1.e5c5d358134ap-2, -0x1.e5f80f857a36cp-2, -0x1.e5f1883c09afap-2, -0x1.e5b3d30ae80fbp-2, -0x1.e5408c11ed10fp-2, -0x1.e4995462aa10bp-2, -0x1.e3bfd083d492fp-2, -0x1.e2b5a7117efb5p-2, -0x1.e17c7f7ce713dp-2, -0x1.e01600ec8e44fp-2, -0x1.de83d135ce4d4p-2, -0x1.dcc793ee6eed4p-2, -0x1.dae2e996b7ab3p-2, -0x1.d8d76ed849e84p-2, -0x1.d6a6bbd55889cp-2, -0x1.d4526389264fcp-2, -0x1.d1dbf33a094bdp-2, -0x1.cf44f1f7cf232p-2, -0x1.cc8ee028552dcp-2, -0x1.c9bb3722368b6p-2, -0x1.c6cb68d3c1f16p-2, -0x1.c3c0df777d879p-2, -0x1.c09cfd527fc5fp-2, -0x1.bd611c7f931b2p-2, -0x1.ba0e8ec702ef3p-2, -0x1.b6a69d7c4310bp-2, -0x1.b32a89679dc35p-2, -0x1.af9b8ab9ba54p-2, -0x1.abfad1025da13p-2, -0x1.a8498331e141ep-2, -0x1.a488bfa087baap-2, -0x1.a0b99c16c1b5dp-2, -0x1.9cdd25df77bbep-2, -0x1.98f461dd6a403p-2, -0x1.95004c9e97e74p-2, -0x1.9101da78eb2f4p-2, -0x1.8cf9f7a9ba41ap-2, -0x1.88e98870cc326p-2, -0x1.84d16932ad2d7p-2, -0x1.80b26e9f5c396p-2, -0x1.7c8d65d3259a4p-2, -0x1.7863147bdc813p-2, -0x1.74343904762b9p-2, -0x1.70018abaf5b21p-2, -0x1.6bcbb9f67a95ep-2, -0x1.6793704530b0ap-2, -0x1.6359509746666p-2, -0x1.5f1df7652d561p-2, -0x1.5ae1fadc3eacap-2, -0x1.56a5eb0d53163p-2, -0x1.526a52149ab0ep-2, -0x1.4e2fb4427020fp-2, -0x1.49f6904a5457ep-2, -0x1.45bf5f6cc280cp-2, -0x1.418a959d9f4f9p-2, -0x1.3d58a1ae5ba78p-2, -0x1.3929ed79ffe04p-2, -0x1.34fede0adfba1p-2, -0x1.30d7d3bee8c23p-2, -0x1.2cb52a70f1dd7p-2, -0x1.289739a02affcp-2, -0x1.247e5491925e2p-2, -0x1.206aca72563e1p-2, -0x1.1c5ce67dfc94cp-2, -0x1.1854f02148c79p-2, -0x1.14532b180652fp-2, -0x1.1057d78c6881p-2, -0x1.0c6332397eb18p-2, -0x1.0875748a37b4ep-2, -0x1.048ed4b3c4c13p-2, -0x1.00af85d15f54bp-2, -0x1.f9af7005aba0bp-3, -0x1.f20f3110d3151p-3, -0x1.ea7ea3b49eabep-3, -0x1.e2fe178153b82p-3, -0x1.db8dd6dc2308fp-3, -0x1.d42e273153354p-3, -0x1.ccdf491ec7889p-3, -0x1.c5a1789d36ecap-3, -0x1.be74ed2d38786p-3, -0x1.b759da03bdfa8p-3, -0x1.b0506e30ce0d8p-3, -0x1.a958d4c37e7abp-3, -0x1.a27334f021916p-3, -0x1.9b9fb236f76e8p-3, -0x1.94de6c86cc0dp-3, -0x1.8e2f805c626b6p-3, -0x1.879306e35baf9p-3, -0x1.810916186905ap-3, -0x1.7a91c0e842aa3p-3, -0x1.742d174a40173p-3, -0x1.6ddb265b4f308p-3, -0x1.679bf87c7028dp-3, -0x1.616f9570bf0ccp-3, -0x1.5b560275b952ap-3, -0x1.554f425775793p-3, -0x1.4f5b5587ab0dp-3, -0x1.497a3a39c5112p-3, -0x1.43abec7e00c0ap-3, -0x1.3df06655470f4p-3, -0x1.38479fbff8425p-3, -0x1.32b18ed000722p-3, -0x1.2d2e27c1d5d0ep-3, -0x1.27bd5d1659013p-3, -0x1.225f1fa5578a9p-3, -0x1.1d135ea88c5bdp-3, -0x1.17da07c776ed5p-3, -0x1.12b3072b0a88fp-3, -0x1.0d9e4796549b5p-3, -0x1.089bb27ad7823p-3, -0x1.03ab3003886bp-3, -0x1.fd994e3684b35p-4, -0x1.f3fffaf079126p-4, -0x1.ea8a2f5fdeb76p-4, -0x1.e137b29aaeaeep-4, -0x1.d80849c13b101p-4, -0x1.cefbb80b50dacp-4, -0x1.c611bed0559aap-4, -0x1.bd4a1d9b7477cp-4, -0x1.b4a492500bd51p-4, -0x1.ac20d9516adfdp-4, -0x1.a3bead9d87a4fp-4, -0x1.9b7dc8d6aa496p-4, -0x1.935de34779921p-4, -0x1.8b5eb3f143c79p-4, -0x1.837ff0a9c6488p-4, -0x1.7bc14e3ed511bp-4, -0x1.74228090daa3ap-4, -0x1.6ca33a9d900a8p-4, -0x1.65432e8180994p-4, -0x1.5e020d7e69f0ap-4, -0x1.56df880f4cbd1p-4, -0x1.4fdb4e0643c51p-4, -0x1.48f50ea84a51ap-4, -0x1.422c78bcd7e55p-4, -0x1.3b813a913c23ep-4, -0x1.34f301f909144p-4, -0x1.2e817c5658dfap-4, -0x1.282c56ad9da55p-4, -0x1.21f33dbf2ae98p-4, -0x1.1bd5de1c52f52p-4, -0x1.15d3e431b4c8cp-4, -0x1.0fecfc48745f6p-4, -0x1.0a20d2863e605p-4, -0x1.046f12f43596fp-4, -0x1.fdaed31e0043p-5, -0x1.f2b304b6b028ep-5, -0x1.e7ea12eea3404p-5, -0x1.dd5356469df3dp-5, -0x1.d2ee2786b79c3p-5, -0x1.c8b9dfbd03ce3p-5, -0x1.beb5d844bbcf6p-5, -0x1.b4e16adba146ep-5, -0x1.ab3bf1c0e9507p-5, -0x1.a1c4c7d2e2cffp-5, -0x1.987b48a1ea5ddp-5, -0x1.8f5ed07677183p-5, -0x1.866ebc4fe93c4p-5, -0x1.7daa69e54f88dp-5, -0x1.751137af3004ap-5, -0x1.6ca284faefacfp-5, -0x1.645db2024b992p-5, -0x1.5c421fff0ec5p-5, -0x1.544f3136096d5p-5, -0x1.4c8448f96d876p-5, -0x1.44e0cba7607c5p-5, -0x1.3d641eaaf87c9p-5, -0x1.360da883b08cbp-5, -0x1.2edcd0d347adap-5, -0x1.27d1006dfa06bp-5, -0x1.20e9a168216d5p-5, -0x1.1a261f1de4e7dp-5, -0x1.1385e634fc176p-5, -0x1.0d08649b636e9p-5, -0x1.06ad0986f465cp-5, -0x1.00734578d2fb1p-5, -0x1.f4b5148a93c72p-6, -0x1.e8c4963bebacfp-6, -0x1.dd13f936855bcp-6, -0x1.d1a2298535657p-6, -0x1.c66e16110c6c6p-6, -0x1.bb76b09fb3093p-6, -0x1.b0baedd042a9ap-6, -0x1.a639c51b1e28bp-6, -0x1.9bf230d72e54ap-6, -0x1.91e32e43bb3f2p-6, -0x1.880bbd93a6192p-6, -0x1.7e6ae1f68f122p-6, -0x1.74ffa19d56b04p-6, -0x1.6bc905b9e854fp-6, -0x1.62c61a7bcf8e8p-6, -0x1.59f5ef0c6e695p-6, -0x1.5157958d47be5p-6, -0x1.48ea23198aac2p-6, -0x1.40acafca2bc99p-6, -0x1.389e56ba75f8cp-6, -0x1.30be360af44ffp-6, -0x1.290b6ee12bbafp-6, -0x1.21852564564cp-6, -0x1.1a2a80b810e4fp-6, -0x1.12faaaf6dc8bap-6, -0x1.0bf4d12e6a8b9p-6, -0x1.0518235e80e06p-6, -0x1.fcc7a8f44924ap-7, -0x1.efae34d2c0979p-7, -0x1.e2e25c130b94ep-7, -0x1.d6629654824c1p-7, -0x1.ca2d610e25ed9p-7, -0x1.be413f7bf6a0fp-7, -0x1.b29cba8ab4288p-7, -0x1.a73e60c6d8a59p-7, -0x1.9c24c652ee6e5p-7, -0x1.914e84e73a342p-7, -0x1.86ba3bd85db75p-7, -0x1.7c669020076dep-7, -0x1.72522c605f4f2p-7, -0x1.687bc0dca4b8ep-7, -0x1.5ee20363a5bf8p-7, -0x1.5583af2e0bf88p-7, -0x1.4c5f84b62b295p-7, -0x1.43744992cc727p-7, -0x1.3ac0c85e78ddp-7, -0x1.3243d0b2026c9p-7, -0x1.29fc37335e253p-7, -0x1.21e8d5b2b8c68p-7, -0x1.1a088b49b3c85p-7, -0x1.125a3c6e8ad14p-7, -0x1.0adcd2ee3c84fp-7, -0x1.038f3dc77631cp-7, -0x1.f8e0e1d2893f8p-8, -0x1.eafec9c354385p-8, -0x1.dd762d1fc6a35p-8, -0x1.d0450dde934c4p-8, -0x1.c3697616c48a3p-8, -0x1.b6e17844f1f8fp-8, -0x1.aaab2fdcfed35p-8, -0x1.9ec4c1fd525edp-8, -0x1.932c5e084feabp-8, -0x1.87e03de8d15afp-8, -0x1.7cdea5d9289eap-8, -0x1.7225e3a39bd09p-8, -0x1.67b44d7c01fa4p-8, -0x1.5d8840b37e779p-8, -0x1.53a0209b1f02p-8, -0x1.49fa55e683c68p-8, -0x1.40954ec3673e6p-8, -0x1.376f7fad08313p-8, -0x1.2e8764cc611e9p-8, -0x1.25db8389d14ddp-8, -0x1.1d6a6bdcaeaf3p-8, -0x1.1532b8ec04f08p-8, -0x1.0d3310b938556p-8, -0x1.056a22caeae3bp-8, -0x1.fbad4c271526ep-9, -0x1.eceead1592017p-9, -0x1.de95e621b42c2p-9, -0x1.d0a07856ae8eep-9, -0x1.c30be7fb3853fp-9, -0x1.b5d5bf24c84bdp-9, -0x1.a8fb926b39459p-9, -0x1.9c7b06a433b04p-9, -0x1.9051d6349abcp-9, -0x1.847dd48751ddp-9, -0x1.78fcee9813c3bp-9, -0x1.6dcd282ba4879p-9, -0x1.62ec961fb3e5cp-9, -0x1.585956ffe7827p-9, -0x1.4e118b8f98bb1p-9, -0x1.441351108d147p-9, -0x1.3a5cbeb768a9ep-9, -0x1.30ebe704c8b9cp-9, -0x1.27bedcd061948p-9, -0x1.1ed3baf27c664p-9, -0x1.1628acd254d55p-9, -0x1.0dbbf5df0d5dep-9, -0x1.058bf62637555p-9, -0x1.fb2e55a6829adp-10, -0x1.ebb8548cdc414p-10, -0x1.dcb338e7abaadp-10, -0x1.ce1c6243276cdp-10, -0x1.bff12c51857c9p-10, -0x1.b22edfd442affp-10, -0x1.a4d2ab4bdb44ep-10, -0x1.97d9a4fb7c463p-10, -0x1.8b40d5a9825f1p-10, -0x1.7f0549a301b05p-10, -0x1.7324244f5321p-10, -0x1.679ab23d853bfp-10, -0x1.5c6675fa7ab3ep-10, -0x1.51852d0c42d7bp-10, -0x1.46f4cbf6cba1dp-10, -0x1.3cb371f7a66e4p-10, -0x1.32bf56eb56c6cp-10, -0x1.2916b72463e13p-10, -0x1.1fb7c186b93c4p-10, -0x1.16a08bad7ee9cp-10, -0x1.0dcf0e5ac9625p-10, -0x1.05412a63c341bp-10, -0x1.f9e968c56c274p-11, -0x1.e9cf088004335p-11, -0x1.da2f0a7b373eep-11, -0x1.cb0586f5fc3ffp-11, -0x1.bc4ee94eb877cp-11, -0x1.ae07f543574b6p-11, -0x1.a02dbff4e8026p-11, -0x1.92bd9ed2eaa8p-11, -0x1.85b5103110547p-11, -0x1.7911a20e3e20ap-11, -0x1.6cd0db8efe34p-11, -0x1.60f02cf82177ap-11, -0x1.556ce89c6bfd6p-11, -0x1.4a444568c67fep-11, -0x1.3f7369e61b03p-11, -0x1.34f77cfe953dcp-11, -0x1.2acdb8957a6ap-11, -0x1.20f37920a6254p-11, -0x1.176645af15e7ep-11, -0x1.0e23ce095d9f9p-11, -0x1.0529e0bf594bcp-11, -0x1.f8ecbe03f819bp-12, -0x1.e80e6a83e8b2dp-12, -0x1.d7b4b8bb4df72p-12, -0x1.c7dbc2c2deff8p-12, -0x1.b87fda904b8a4p-12, -0x1.a99d8be23acc5p-12, -0x1.9b318bedf1d77p-12, -0x1.8d389f1290932p-12, -0x1.7faf85812b014p-12, -0x1.7292fd61a33ebp-12, -0x1.65dfdb00d884bp-12, -0x1.59932616f0343p-12, -0x1.4daa22f3be1acp-12, -0x1.422237335d9edp-12, -0x1.36f8afc743ba6p-12, -0x1.2c2a84586525p-12, -0x1.21b43c61f2f2bp-12, -0x1.17920e3090f11p-12, -0x1.0dc033ab7272fp-12, -0x1.043b52507e4bfp-12, -0x1.f60188a561dbbp-13, -0x1.e41d385bb4aa4p-13, -0x1.d2c6c12779ddap-13, -0x1.c1fb52b9cd5bap-13, -0x1.b1b7b4c1d9c4bp-13, -0x1.a1f8481b9f019p-13, -0x1.92b97e4d6ed57p-13, -0x1.83f85dc296865p-13, -0x1.75b2a3e8413e8p-13, -0x1.67e65cbce0098p-13, -0x1.5a911f990f10fp-13, -0x1.4daf52d4eb3e2p-13, -0x1.413bd233c521ep-13, -0x1.353029f5bedd8p-13, -0x1.298564963d4e5p-13, -0x1.1e3532bd001e8p-13, -0x1.133afced8e818p-13, -0x1.089454d00eb7p-13, -0x1.fc80ea3ef5beep-14, -0x1.e87e1bfa8c69bp-14, -0x1.d51e3e4ca0a5cp-14, -0x1.c25d3661e9456p-14, -0x1.b035e35496c4fp-14, -0x1.9ea3e90fe3cf1p-14, -0x1.8da4caa4d35f7p-14, -0x1.7d379fd173819p-14, -0x1.6d5bacad27c1fp-14, -0x1.5e0eca312d888p-14, -0x1.4f4c836f26dc4p-14, -0x1.410e19be1e1b4p-14, -0x1.334b0b2b969c2p-14, -0x1.25f9dc83d330bp-14, -0x1.191158cab3546p-14, -0x1.0c8a4adb9092ap-14, -0x1.0060e97b2b971p-14, -0x1.e929931b491ecp-15, -0x1.d24e076be9cep-15, -0x1.bc2f8dad7262ap-15, -0x1.a6ca48957b859p-15, -0x1.921768de5420cp-15, -0x1.7e1050bce760ap-15, -0x1.6ab117e74ead4p-15, -0x1.57f8f1685fcd1p-15, -0x1.45e817f42746cp-15, -0x1.347cc16f2eb08p-15, -0x1.23b1c67869c7dp-15, -0x1.137fde126b11fp-15, -0x1.03df9c26b1136p-15, -0x1.e9943ef8d3092p-16, -0x1.cc70839f4b346p-16, -0x1.b043a614328f9p-16, -0x1.94fca33415e63p-16, -0x1.7a8dcf71fa8fbp-16, -0x1.60f01bf137d15p-16, -0x1.4822bbf0415d9p-16, -0x1.302734a19abbbp-16, -0x1.18fceedef599cp-16, -0x1.029f271540b34p-16, -0x1.da0c2bdd88d83p-17, -0x1.b056894d48571p-17, -0x1.881a8c433ca8ap-17, -0x1.6159ee10d3cfcp-17, -0x1.3c0e18c1ce93ap-17, -0x1.1824fdf337a3p-17, -0x1.eb122cca3b427p-18, -0x1.a852bbf7e259dp-18, -0x1.67f7dd0b843fap-18, -0x1.29f9667d01e6ap-18, -0x1.dca6edb5cf623p-19, -0x1.69f9294ac75a8p-19, -0x1.f777c14abb2a8p-20, -0x1.2344f0e651039p-20, -0x1.5a74b85461d93p-22, 0x1.bc3b6c1620feap-22, 0x1.2dcd54b081423p-20, 0x1.e54a1ea231e63p-20, 0x1.4aaeffa271543p-19, 0x1.9f2ec97c33655p-19, 0x1.f056745aee3ffp-19, 0x1.1f11e620e8a3ep-18, 0x1.4443cc01c7828p-18, 0x1.67d082319b658p-18, 0x1.89d7629f5ecd8p-18, 0x1.aa728e6c14eb8p-18, 0x1.c9b0da9d952f9p-18, 0x1.e79abebcde1f3p-18, 0x1.021b1fc212c2bp-17, 0x1.0fc2fc08301d8p-17, 0x1.1cc38e67128c2p-17, 0x1.291a105dc24b8p-17, 0x1.34c636707eb4ap-17, 0x1.3fcea19bfae93p-17, 0x1.4a446c303a43bp-17, 0x1.543de3f993173p-17, 0x1.5dc2a56bd7b76p-17, 0x1.66c4e35f8c6edp-17, 0x1.6f3b604890c93p-17, 0x1.77319ec596062p-17, 0x1.7eb148692cb7cp-17, 0x1.85b4128c6155fp-17, 0x1.8c37303eca831p-17, 0x1.9243e9dc0a7e8p-17, 0x1.97e49f55f5557p-17, 0x1.9d1e9c8b531c1p-17, 0x1.a1f3c8e07c5f1p-17, 0x1.a665572089a56p-17, 0x1.aa7512001c352p-17, 0x1.ae257583fc4a7p-17, 0x1.b178d3c7db6fep-17, 0x1.b47010151b414p-17, 0x1.b70a5c509e556p-17, 0x1.b946d3b905f88p-17, 0x1.bb263b887f4ccp-17, 0x1.bcaccad23f4cdp-17, 0x1.bde5f141005acp-17, 0x1.bedc7a3fdadd4p-17, 0x1.bf8a64b0685dcp-17, 0x1.bfe913b05a392p-17, 0x1.c0024f2511b71p-17, 0x1.bfd945df82feep-17, 0x1.bf666dab96af3p-17, 0x1.beabb8ad0075ap-17, 0x1.bdb0c2f580577p-17, 0x1.bc79b5b0f3f94p-17, 0x1.bb07d04b18d9fp-17, 0x1.b95bc7db4d1f4p-17, 0x1.b7769ad0a1af9p-17, 0x1.b5598fb6025e2p-17, 0x1.b3061a336a1b1p-17, 0x1.b07dd5900af8ep-17, 0x1.adc27158e16e1p-17, 0x1.aad5689a749ecp-17, 0x1.a7b7b425fc847p-17, 0x1.a46a00baaa55fp-17, 0x1.a0ed43d921b29p-17, 0x1.9d42065350a33p-17, 0x1.99688d4ce2b24p-17, 0x1.9565ecd40de54p-17, 0x1.913e1066ffca3p-17, 0x1.8ceed1426529cp-17, 0x1.887cb6a7f04ddp-17, 0x1.83e70331bdb4ep-17, 0x1.7f29a267b757ap-17, 0x1.7a489a4e6c572p-17, 0x1.7547c56846b7ap-17, 0x1.70283742a476cp-17, 0x1.6aea615090ddcp-17, 0x1.658ef594f98bap-17, 0x1.6016e64c8fb77p-17, 0x1.5a8340a45a16bp-17, 0x1.54d51197c27fcp-17, 0x1.4f0d5a29e5bc4p-17, 0x1.492d133f5245dp-17, 0x1.43353b8e7bd36p-17, 0x1.3d26e02b729a7p-17, 0x1.37030f980b107p-17, 0x1.30cabe44f2c8ap-17, 0x1.2a7ed639b0224p-17, 0x1.2420607e39a04p-17, 0x1.1daf7c0ec8d76p-17, 0x1.172b09a85513dp-17, 0x1.1095eb7ecfd95p-17, 0x1.09f32befd4a19p-17, 0x1.0343ecc4d215dp-17, 0x1.f90e21c39226bp-18, 0x1.eb764b015ad7dp-18, 0x1.ddc64e996e0d4p-18, 0x1.d0015184f773p-18, 0x1.c2282872d77f7p-18, 0x1.b43bc14b50ee5p-18, 0x1.a63d617329f25p-18, 0x1.982e775a051a2p-18, 0x1.8a107d44d1c98p-18, 0x1.7be4eb74ba7f4p-18, 0x1.6dad304cb9cabp-18, 0x1.5f6aab3ee52abp-18, 0x1.511eac3668165p-18, 0x1.42ca7afe586ebp-18, 0x1.346f65bbdd0e6p-18, 0x1.260ecb79bee4ep-18, 0x1.17aa11e3335f2p-18, 0x1.0942860f2167bp-18, 0x1.f5b2bb8f59093p-19, 0x1.d8dfe86c00111p-19, 0x1.bc0e192c44ebap-19, 0x1.9f3b0b0cd3c78p-19, 0x1.826c450b3c1eap-19, 0x1.65aad8d5dedbfp-19, 0x1.48f528b6a5a3dp-19, 0x1.2c475c09b1dep-19, 0x1.0fa7f55c14b4bp-19, 0x1.e63488f7bb867p-20, 0x1.ad3eeea55980cp-20, 0x1.74723073fd86dp-20, 0x1.3bd1f4b43a44p-20, 0x1.03620311c5ebep-20, 0x1.964c3ab53b6bdp-21, 0x1.2643eb32c77ebp-21, 0x1.6d64ab36b4b2cp-22, 0x1.1e7a2f6fefcd1p-23, -0x1.37849f1d63469p-24, -0x1.29e8cf3f317aap-22, -0x1.02668a87928bcp-21, -0x1.6f40c1005e1a9p-21, -0x1.db7ccffb00e44p-21, -0x1.238a303fc3052p-20, -0x1.59008c9a0baddp-20, -0x1.8e1e7d6d466dep-20, -0x1.c2e156dc49b22p-20, -0x1.f74662a0582edp-20, -0x1.15a5378490a09p-19, -0x1.2f76757832ff7p-19, -0x1.4916699136d4bp-19, -0x1.627fe7a6507edp-19, -0x1.7bb4f0b3e538ap-19, -0x1.94b47a8ee0a45p-19, -0x1.ad7bd15b94e6p-19, -0x1.c60a40aad727cp-19, -0x1.de5ef5ad7454cp-19, -0x1.f678f1933265cp-19, -0x1.072b98b6d4093p-18, -0x1.12fc5ca603afcp-18, -0x1.1eae4adce386dp-18, -0x1.2a40edb3ceed2p-18, -0x1.35b3d36bc48f5p-18, -0x1.41068e2e31f36p-18, -0x1.4c38b42751d31p-18, -0x1.5749dfb8dacdp-18, -0x1.6239afcd493c1p-18, -0x1.6d07c80c79a0cp-18, -0x1.77b3d04b76ad6p-18, -0x1.823d72f087417p-18, -0x1.8ca45b82db975p-18, -0x1.96e836f24a716p-18, -0x1.a108b61371d26p-18, -0x1.ab0593539eedp-18, -0x1.b4de957a7ee2dp-18, -0x1.be93795adfeb9p-18, -0x1.c823dbe2f75fep-18, -0x1.d18fca5202ec8p-18, -0x1.dad6e65fde594p-18, -0x1.e3f90bf9cbdb8p-18, -0x1.ecf616f7c3828p-18, -0x1.f5cd95cf3576bp-18, -0x1.fe7f81bb15185p-18, -0x1.0385df3383121p-17, -0x1.07b91430477b5p-17, -0x1.0bd94f1c3816cp-17, -0x1.0fe680ebeb924p-17, -0x1.13e09c3641381p-17, -0x1.17c795195d90ep-17, -0x1.1b9b6123fb69bp-17, -0x1.1f5bf748c3af3p-17, -0x1.23094fdb36d09p-17, -0x1.26a3648eb2fecp-17, -0x1.2a2a30767c884p-17, -0x1.2d9db00be147fp-17, -0x1.30fde13b5079ap-17, -0x1.344ac36591707p-17, -0x1.3784572f2c24ap-17, -0x1.3aaa9e2b41542p-17, -0x1.3dbd9ab67bb23p-17, -0x1.40bd50167a405p-17, -0x1.43a9c2d91004fp-17, -0x1.4682fa22e5488p-17, -0x1.494900b04f213p-17, -0x1.4bfbdf819b5b9p-17, -0x1.4e9b9427bd549p-17, -0x1.5128290380b74p-17, -0x1.53a1c5b5a581fp-17, -0x1.5608739609536p-17, -0x1.585c22b68e5d9p-17, -0x1.5a9cebcd48518p-17, -0x1.5ccae4d33624bp-17, -0x1.5ee61ebc2fad9p-17, -0x1.60eeaae43382dp-17, -0x1.62e49bbb7efeap-17, -0x1.64c804b6a6fdcp-17, -0x1.6698fa3a270cep-17, -0x1.6857918c0c3c9p-17, -0x1.6a03e0c900a5cp-17, -0x1.6b9dfedb707b6p-17, -0x1.6d2603763826cp-17, -0x1.6e9c071122714p-17, -0x1.700022e56b00ap-17, -0x1.715270e9714cep-17, -0x1.72930bce6e138p-17, -0x1.73c20f027011cp-17, -0x1.74df96b09cde9p-17, -0x1.75ebbfb1aa385p-17, -0x1.76e6a76b95031p-17, -0x1.77d06bc112db3p-17, -0x1.78a92b18d52b5p-17, -0x1.79710462f7e2ap-17, -0x1.7a2817523952ep-17, -0x1.7ace85170023p-17, -0x1.7b646fe306075p-17, -0x1.7be9f7d064de1p-17, -0x1.7c5f36751e7bep-17, -0x1.7cc4535bf64eep-17, -0x1.7d1987e6b0f81p-17, -0x1.7d5edad5b9e33p-17, -0x1.7d9474088dd47p-17, -0x1.7dba7c6966388p-17, -0x1.7dd11884bb749p-17, -0x1.7dd86d0049d1ap-17, -0x1.7dd09f0111b78p-17, -0x1.7db9d418a2ba5p-17, -0x1.7d94323717228p-17, -0x1.7d5fdfa305a31p-17, -0x1.7d1d02f3af331p-17, -0x1.7ccbc30be3ed7p-17, -0x1.7c6c47154fb48p-17, -0x1.7bfeb67c72549p-17, -0x1.7b8338ed672d1p-17, -0x1.7af9f6510d68bp-17, -0x1.7a6316c93f88ep-17, -0x1.79bec2ad7fad9p-17, -0x1.790d22883b2e9p-17, -0x1.784e5f152459dp-17, -0x1.7782a13fb48b8p-17, -0x1.76aa121c1a183p-17, -0x1.75c4dadc4f588p-17, -0x1.74d324cbed53dp-17, -0x1.73d51951842fbp-17, -0x1.72cae1eb379cbp-17, -0x1.71b4a833200e6p-17, -0x1.70929612612eap-17, -0x1.6f64d5c1b9fbbp-17, -0x1.6e2b9116df447p-17, -0x1.6ce6f07a19caap-17, -0x1.6b971ad1f525p-17, -0x1.6a3c4634e0c1cp-17, -0x1.68d692ad64451p-17, -0x1.67662a4ba7f8bp-17, -0x1.65eb393255fabp-17, -0x1.6465e95a3f90dp-17, -0x1.62d664a47a1b5p-17, -0x1.613cd4f7fa196p-17, -0x1.5f99643767002p-17, -0x1.5dec3c3ad2e7p-17, -0x1.5c3586cc45a9fp-17, -0x1.5a756da54720ap-17, -0x1.58ac1a6be34f3p-17, -0x1.56d9b6b069f02p-17, -0x1.54fe6beb749c6p-17, -0x1.531a637ba0914p-17, -0x1.512dc6a358515p-17, -0x1.4f38be87444c9p-17, -0x1.4d3b742c50be4p-17, -0x1.4b361075b0a94p-17, -0x1.4928bc22fc5afp-17, -0x1.47139fce9384fp-17, -0x1.44f6e3ec427fbp-17, -0x1.42d2b0c7be79ap-17, -0x1.40a72e81f5bfdp-17, -0x1.3e74850ea558p-17, -0x1.3c3adc32bc415p-17, -0x1.39fa5b83c8bf1p-17, -0x1.37b32a6622d18p-17, -0x1.3565700b81e7fp-17, -0x1.3311537b26d59p-17, -0x1.30b6fb92f0f42p-17, -0x1.2e568ee8c3762p-17, -0x1.2bf033b604703p-17, -0x1.29840f542cfa7p-17, -0x1.271249c4fd9p-17, -0x1.249b0766eceabp-17, -0x1.221e6d50cf33ep-17, -0x1.1f9ca132860afp-17, -0x1.1d15c7ff9e55p-17, -0x1.1a8a066a14287p-17, -0x1.17f980e5efbb4p-17, -0x1.15645ba6d2c63p-17, -0x1.12caba9e21fb7p-17, -0x1.102cc179ac03cp-17, -0x1.0d8a93a2ceba1p-17, -0x1.0ae4543daf92p-17, -0x1.083a26284528p-17, -0x1.058c2bf9d747fp-17, -0x1.02da88022d3dp-17, -0x1.00255c4875f2bp-17, -0x1.fad99515da53dp-18, -0x1.f561e87c20402p-18, -0x1.efe3f51889db6p-18, -0x1.ea5ffcaab9235p-18, -0x1.e4d6405b9fe82p-18, -0x1.df4700bbf099dp-18, -0x1.d9b27dc3b684dp-18, -0x1.d418f6d19b0bep-18, -0x1.ce7aaaa92293ap-18, -0x1.c8d7d77258a27p-18, -0x1.c330bab8abe68p-18, -0x1.bd85916a490d5p-18, -0x1.b7d697d7c08dp-18, -0x1.b22409b328b3fp-18, -0x1.ac6e220f68f06p-18, -0x1.a6b51b6121439p-18, -0x1.a0f92f7e4dbcp-18, -0x1.9b3a9799e6651p-18, -0x1.95798c448d5ebp-18, -0x1.8fb64557e2aa8p-18, -0x1.89f0fa4eb41aap-18, }}, 
      {{-0x1.ceefb77188042p+1, -0x1.b54620222c417p+1, -0x1.95b086601315fp+1, -0x1.7543abed46081p+1, -0x1.56da17f53a50cp+1, -0x1.3be15736aa691p+1, -0x1.24e24153bfe36p+1, -0x1.11db49cf1d77bp+1, -0x1.027c24543137fp+1, -0x1.ec99882ed2994p+0, -0x1.d98cbdedb8321p+0, -0x1.cac5d260b8372p+0, -0x1.bf4c4464e2dfdp+0, -0x1.b64499954b223p+0, -0x1.aef4279e352cbp+0, -0x1.a8c146194acecp+0, -0x1.a3315ad2c0ef2p+0, -0x1.9de5bc7e7aef5p+0, -0x1.9898128b9602fp+0, -0x1.93169d6af12cbp+0, -0x1.8d40a73b7c973p+0, -0x1.8703400568e2fp+0, -0x1.805656975d2e3p+0, -0x1.793a33c751939p+0, -0x1.71b556c8b356ep+0, -0x1.69d2acd151c51p+0, -0x1.61a01ba1daa56p+0, -0x1.592d55462c3d9p+0, -0x1.508aeb1d7449fp+0, -0x1.47c9969911303p+0, -0x1.3ef9aee0dc1a5p+0, -0x1.362ac37ada0ap+0, -0x1.2d6b551167c73p+0, -0x1.24c8a66a03c26p+0, -0x1.1c4ea0852b6a2p+0, -0x1.1407c5b139be7p+0, -0x1.0bfd30138f702p+0, -0x1.043698cd3aa51p+0, -0x1.f974cad69ba22p-1, -0x1.eb1b7391ae83bp-1, -0x1.dd6919d64a80ep-1, -0x1.d0637f64d7cacp-1, -0x1.c40e68f6f0b75p-1, -0x1.b86bce0949ae8p-1, -0x1.ad7c082613b62p-1, -0x1.a33e00ed7b36cp-1, -0x1.99af5e4f5014ap-1, -0x1.90ccac92e029ap-1, -0x1.889185eaeca0cp-1, -0x1.80f8b76d5b712p-1, -0x1.79fc635a7313p-1, -0x1.739620aed5976p-1, -0x1.6dbf180755bb9p-1, -0x1.68701de6c97d4p-1, -0x1.63a1ca74be5e1p-1, -0x1.5f4c8ed05b2b6p-1, -0x1.5b68c81673f76p-1, -0x1.57eed03b87af1p-1, -0x1.54d70cdd32db1p-1, -0x1.5219fc2bfeafep-1, -0x1.4fb040127b90fp-1, -0x1.4d92a7b7dbe42p-1, -0x1.4bba37847ba8cp-1, -0x1.4a202fc3561d2p-1, -0x1.48be120a3aba5p-1, -0x1.478da5774bd09p-1, -0x1.4688f9ece06e6p-1, -0x1.45aa6a5c72ccbp-1, -0x1.44ec9e30300dcp-1, -0x1.444a8a312d9fap-1, -0x1.43bf706505721p-1, -0x1.4346e0026076fp-1, -0x1.42dcb40ae378bp-1, -0x1.427d1233fa0cbp-1, -0x1.42246933c27cfp-1, -0x1.41cf6e1f5fa4cp-1, -0x1.417b1b645444p-1, -0x1.4124acf73c1efp-1, -0x1.40c99ec6aba1p-1, -0x1.4067a9d51843bp-1, -0x1.3ffcc05efa705p-1, -0x1.3f870c925d67ap-1, -0x1.3f04ec3db2774p-1, -0x1.3e74ee90c6004p-1, -0x1.3dd5d1c7d43d8p-1, -0x1.3d267f76b279cp-1, -0x1.3c660a946b238p-1, -0x1.3b93ac7f003dcp-1, -0x1.3aaec228fe005p-1, -0x1.39b6c9d84ba73p-1, -0x1.38ab6093102c5p-1, -0x1.378c3fe7ffe97p-1, -0x1.36593bd94b25bp-1, -0x1.351240d55b215p-1, -0x1.33b751d14b218p-1, -0x1.32488670ad5bap-1, -0x1.30c6094030017p-1, -0x1.2f30160063a1dp-1, -0x1.2d86f80358df4p-1, -0x1.2bcb08a2aada6p-1, -0x1.29fcadcb1a7adp-1, -0x1.281c58a1dcf9cp-1, -0x1.262a8442b1ba4p-1, -0x1.2427b491cb416p-1, -0x1.221475223d6ddp-1, -0x1.1ff1582d9717dp-1, -0x1.1dbef59825453p-1, -0x1.1b7dea034468ep-1, -0x1.192ed5ec3b534p-1, -0x1.16d25cd5ba823p-1, -0x1.1469247ed9e26p-1, -0x1.11f3d427e7ea2p-1, -0x1.0f7313e40dd39p-1, -0x1.0ce78bf9e0a3bp-1, -0x1.0a51e45353fc9p-1, -0x1.07b2c3fb3740cp-1, -0x1.050ad0a86e841p-1, -0x1.025aae56e514fp-1, -0x1.ff45fdd7d2dacp-2, -0x1.f9c8c3c9b1b1p-2, -0x1.f43ee81f918fbp-2, -0x1.eea99e99c94aep-2, -0x1.e90a14ad9663ap-2, -0x1.e36171238e486p-2, -0x1.ddb0d3c3c1b56p-2, -0x1.d7f9550c41d23p-2, -0x1.d23c05f2c81f6p-2, -0x1.cc79efb117369p-2, -0x1.c6b4139b025dp-2, -0x1.c0eb6afee556ep-2, -0x1.bb20e70dc46fep-2, -0x1.b55570ccd9497p-2, -0x1.af89e9106da32p-2, -0x1.a9bf287b88acp-2, -0x1.a3f5ff87fd40fp-2, -0x1.9e2f36955fbe8p-2, -0x1.986b8dfa895fp-2, -0x1.92abbe1e4606p-2, -0x1.8cf07793dc86ap-2, -0x1.873a633834ce3p-2, -0x1.818a22553f627p-2, -0x1.7be04ec73144cp-2, -0x1.763d7b20467a7p-2, -0x1.70a232d1f490fp-2, -0x1.6b0efa578e20fp-2, -0x1.65844f5dc1792p-2, -0x1.6002a8ee350fep-2, -0x1.5a8a779d59198p-2, -0x1.551c25b4331a4p-2, -0x1.4fb8175c66174p-2, -0x1.4a5eaacfab455p-2, -0x1.451038834c9cbp-2, -0x1.3fcd13533f1adp-2, -0x1.3a9588b1802cbp-2, -0x1.3569e0d32633p-2, -0x1.304a5eda113f3p-2, -0x1.2b374101f8f4p-2, -0x1.2630c0ce15a66p-2, -0x1.21371332298ap-2, -0x1.1c4a68bbc68fp-2, -0x1.176aedbe4339ap-2, -0x1.1298ca7be7df3p-2, -0x1.0dd4234b91023p-2, -0x1.091d18c0ad89p-2, -0x1.0473c7d3978d8p-2, -0x1.ffb0940b4435ap-3, -0x1.f6956b07e1b5cp-3, -0x1.ed963a9925fap-3, -0x1.e4b322a460636p-3, -0x1.dbec3d3747814p-3, -0x1.d3419ec73c6f4p-3, -0x1.cab3567426455p-3, -0x1.c2416e46acb28p-3, -0x1.b9ebeb676d8c8p-3, -0x1.b1b2ce5745b16p-3, -0x1.a996132a56f51p-3, -0x1.a195b1be4f51ap-3, -0x1.99b19dea7d467p-3, -0x1.91e9c7b0c3a3fp-3, -0x1.8a3e1b70fa575p-3, -0x1.82ae82188501bp-3, -0x1.7b3ae14c445bcp-3, -0x1.73e31b9260e64p-3, -0x1.6ca7107e56ap-3, -0x1.65869cdaac5bfp-3, -0x1.5e819acdc8498p-3, -0x1.5797e1fd6d70bp-3, -0x1.50c947b3d93bfp-3, -0x1.4a159f03e9d71p-3, -0x1.437cb8e98789dp-3, -0x1.3cfe6467fbab2p-3, -0x1.369a6ea910218p-3, -0x1.3050a31bf4d54p-3, -0x1.2a20cb915a039p-3, -0x1.240ab05559611p-3, -0x1.1e0e1849a91eap-3, -0x1.182ac9003a3f3p-3, -0x1.126086d3a2373p-3, -0x1.0caf14fca7d5bp-3, -0x1.071635a791b92p-3, -0x1.0195aa0b0259fp-3, -0x1.f85a64fc977c5p-4, -0x1.edb91d18ae2aap-4, -0x1.e346fa07e8748p-4, -0x1.d9037812703f3p-4, -0x1.ceee12527b5f4p-4, -0x1.c50642da69fb4p-4, -0x1.bb4b82d29d129p-4, -0x1.b1bd4a915441ap-4, -0x1.a85b11b534579p-4, -0x1.9f244f466a499p-4, -0x1.961879d851bdcp-4, -0x1.8d3707a33e83p-4, -0x1.847f6e95d8b44p-4, -0x1.7bf12466bc0f7p-4, -0x1.738b9ead755bbp-4, -0x1.6b4e53003e32bp-4, -0x1.6338b70d195dp-4, -0x1.5b4a40a91584ap-4, -0x1.538265da7ea7cp-4, -0x1.4be09ce772478p-4, -0x1.44645c6c7f1adp-4, -0x1.3d0d1b756894p-4, -0x1.35da518f1c3ep-4, -0x1.2ecb76d05cd0cp-4, -0x1.27e003df6e6d2p-4, -0x1.211771fd496fcp-4, -0x1.1a713b1865601p-4, -0x1.13ecd9e0f3065p-4, -0x1.0d89c9d69f6dep-4, -0x1.0747874dc2861p-4, -0x1.01258f717e8e5p-4, -0x1.f646c094d61c7p-5, -0x1.ea80f198dcba7p-5, -0x1.def8b1ce79475p-5, -0x1.d3ad0324b2c5p-5, -0x1.c89ce9a2c5932p-5, -0x1.bdc76b678abb3p-5, -0x1.b32b90acd64f7p-5, -0x1.a8c863d730dc7p-5, -0x1.9e9cf18e89566p-5, -0x1.94a848d4b9b51p-5, -0x1.8ae97b1078549p-5, -0x1.815f9c0c8ad5dp-5, -0x1.7809c1f3ceb25p-5, -0x1.6ee705542217p-5, -0x1.65f6812b9d54ap-5, -0x1.5d3752fadcdbep-5, -0x1.54a89ad322318p-5, -0x1.4c497b5a5a7b3p-5, -0x1.441919c6a64d4p-5, -0x1.3c169dd8727fcp-5, -0x1.344131da9aa93p-5, -0x1.2c9802aa8667dp-5, -0x1.251a3fc43f7eap-5, -0x1.1dc71b4b75edbp-5, -0x1.169dca0cf4324p-5, -0x1.0f9d83791f329p-5, -0x1.08c5819c80155p-5, -0x1.0215011bdd5eep-5, -0x1.f716826d081e7p-6, -0x1.ea4f079956012p-6, -0x1.ddd21aca698ddp-6, -0x1.d19e4a5d6e6fdp-6, -0x1.c5b229f5865f8p-6, -0x1.ba0c526bd5a27p-6, -0x1.aeab61c11e8ap-6, -0x1.a38dfb16f9739p-6, -0x1.98b2c6b146ecbp-6, -0x1.8e1871fb1a989p-6, -0x1.83bdaf884fceap-6, -0x1.79a1370f9f452p-6, -0x1.6fc1c55d40544p-6, -0x1.661e1c423bb0fp-6, -0x1.5cb50285c6e1ep-6, -0x1.538543dc06732p-6, -0x1.4a8db0e249351p-6, -0x1.41cd1f1d3718fp-6, -0x1.394268f4db2d9p-6, -0x1.30ec6dabafb66p-6, -0x1.28ca1150c4499p-6, -0x1.20da3caf56e97p-6, -0x1.191bdd3f387a7p-6, -0x1.118de51865058p-6, -0x1.0a2f4aea60bbcp-6, -0x1.02ff09f583ab2p-6, -0x1.f7f84407949c6p-7, -0x1.ea4b2ebe1064fp-7, -0x1.dcf4e587a63eep-7, -0x1.cff382a4498acp-7, -0x1.c34528fae22fdp-7, -0x1.b6e803fc2dbe5p-7, -0x1.aada478a284p-7, -0x1.9f1a2fe37599p-7, -0x1.93a6019008fafp-7, -0x1.887c094c6b172p-7, -0x1.7d9a9bf17fd16p-7, -0x1.73001658b21e7p-7, -0x1.68aadd3df6c93p-7, -0x1.5e995d21b311ap-7, -0x1.54ca0a2ca936bp-7, -0x1.4b3b6016abb8cp-7, -0x1.41ebe20fb6eep-7, -0x1.38da1aa985986p-7, -0x1.30049bc03cb33p-7, -0x1.2769fe60bc9e2p-7, -0x1.1f08e2acfc211p-7, -0x1.16dfefbf10428p-7, -0x1.0eedd38c719fp-7, -0x1.073142cb0c69cp-7, -0x1.ff51f1b1542ap-8, -0x1.f0a76f48d0faep-8, -0x1.e2608f31ea8c2p-8, -0x1.d47aef0ba8a3bp-8, -0x1.c6f4390cd5b0bp-8, -0x1.b9ca23cd0433cp-8, -0x1.acfa7209ed5fep-8, -0x1.a082f26c6a1e4p-8, -0x1.94617f50bb98p-8, -0x1.8893fe9567882p-8, -0x1.7d1861721cba3p-8, -0x1.71eca454927a5p-8, -0x1.670ecebf7dfa6p-8, -0x1.5c7cf325b93ffp-8, -0x1.52352ebd8a25bp-8, -0x1.4835a949635d5p-8, -0x1.3e7c94d7d95dp-8, -0x1.35082d7f8036ap-8, -0x1.2bd6b91e11ea7p-8, -0x1.22e687223456ep-8, -0x1.1a35f064fc789p-8, -0x1.11c35713abac1p-8, -0x1.098d26a4d345p-8, -0x1.0191d3cf32e7fp-8, -0x1.f39fb8eee71a4p-9, -0x1.e48b8f15d5047p-9, -0x1.d5e44985de105p-9, -0x1.c7a718a6dfe5ap-9, -0x1.b9d13d1cc6d06p-9, -0x1.ac600716ab2f8p-9, -0x1.9f50d5c5e560cp-9, -0x1.92a11715a8504p-9, -0x1.864e47aa0d269p-9, -0x1.7a55f318f6ccep-9, -0x1.6eb5b43b98bb2p-9, -0x1.636b356b71022p-9, -0x1.5874307eabeebp-9, -0x1.4dce6e66b0e8cp-9, -0x1.4377c66b89096p-9, -0x1.396e1d1d83c9p-9, -0x1.2faf632e48b69p-9, -0x1.26399471053f3p-9, -0x1.1d0ab73ce3826p-9, -0x1.1420dc5776176p-9, -0x1.0b7a1f69fd0c3p-9, -0x1.0314a7dc9e608p-9, -0x1.f5dd53a5f2a82p-10, -0x1.e60ccde9df585p-10, -0x1.d6b45d6a1d978p-10, -0x1.c7d0bbc52f667p-10, -0x1.b95ebb06594e9p-10, -0x1.ab5b42443e6fbp-10, -0x1.9dc349dbd70ap-10, -0x1.9093d82378191p-10, -0x1.83c9ff633c633p-10, -0x1.7762dd9a5b387p-10, -0x1.6b5b9e298eb24p-10, -0x1.5fb17cfd79654p-10, -0x1.5461ca6a8d64cp-10, -0x1.4969eeb00e968p-10, -0x1.3ec76c1d64b8dp-10, -0x1.3477df1d6591dp-10, -0x1.2a78fbe755e23p-10, -0x1.20c88a2a528ffp-10, -0x1.17645f8fa6a74p-10, -0x1.0e4a5a48a7378p-10, -0x1.05785ce7a8c2fp-10, -0x1.f9d89902d9571p-11, -0x1.e948231ac8d3cp-11, -0x1.d93b36accca98p-11, -0x1.c9adca63fb75ap-11, -0x1.ba9bf88937d94p-11, -0x1.ac0208e3c45b9p-11, -0x1.9ddc767bb8bc7p-11, -0x1.9027efa4f0b75p-11, -0x1.82e14ff98d0cap-11, -0x1.7605954e5bf05p-11, -0x1.6991d1e332caap-11, -0x1.5d831ec6664e5p-11, -0x1.51d691684b6e9p-11, -0x1.4689369d15ffp-11, -0x1.3b98140553bcbp-11, -0x1.31002f5d66dcdp-11, -0x1.26be99efa45fp-11, -0x1.1cd07d9a240dp-11, -0x1.133328a1fef3p-11, -0x1.09e415de122cdp-11, -0x1.00e0ef82ca08ap-11, -0x1.f04f17cc9c565p-12, -0x1.df6bc990381aap-12, -0x1.cf1415a5a5122p-12, -0x1.bf442fd4405bap-12, -0x1.aff8464fc2849p-12, -0x1.a12c7202b210ep-12, -0x1.92dcb2009763cp-12, -0x1.8504f2373b747p-12, -0x1.77a11af0dc2b6p-12, -0x1.6aad252bf639dp-12, -0x1.5e252f595bd36p-12, -0x1.52058e87e51a8p-12, -0x1.464ad91078249p-12, -0x1.3af1e93a8bccap-12, -0x1.2ff7d7e779113p-12, -0x1.2559f0c49b8ecp-12, -0x1.1b15a28a7cc56p-12, -0x1.11286e4367009p-12, -0x1.078fd8865ee2ap-12, -0x1.fc92be22dd095p-13, -0x1.eaa4e88aa6067p-13, -0x1.d95101b2a23d8p-13, -0x1.c891d5dfc2c46p-13, -0x1.b862417c665a6p-13, -0x1.a8bd487043785p-13, -0x1.999e295f7d5e9p-13, -0x1.8b0067184bc0fp-13, -0x1.7cdfc565df4cfp-13, -0x1.6f383bc3665abp-13, -0x1.6205e573ef352p-13, -0x1.5544f7c5dab01p-13, -0x1.48f1c32af1111p-13, -0x1.3d08bc82673d3p-13, -0x1.31868648d9ac4p-13, -0x1.2667f13b62948p-13, -0x1.1ba9f1a707125p-13, -0x1.11498eaad71a5p-13, -0x1.0743d5f9bef8ep-13, -0x1.fb2bba0b0064ap-14, -0x1.e8799f7302596p-14, -0x1.d66c045724e2cp-14, -0x1.c4fdeb836ba01p-14, -0x1.b42a8fe4d54d3p-14, -0x1.a3ed1cf425f19p-14, -0x1.944064bf6aa27p-14, -0x1.851ebfe720ae3p-14, -0x1.7682345feea07p-14, -0x1.6864dd09a9025p-14, -0x1.5ac16755faeb5p-14, -0x1.4d936a29620bap-14, -0x1.40d767c886ebbp-14, -0x1.348a7961e9b49p-14, -0x1.28a9d66442f7p-14, -0x1.1d3281050ab12p-14, -0x1.12214747bb0ddp-14, -0x1.07730ad646634p-14, -0x1.fa4a1f35aaf2ap-15, -0x1.e66a1e0f872fbp-15, -0x1.d341f1a2d96cp-15, -0x1.c0ccfd1c50472p-15, -0x1.af05497882073p-15, -0x1.9de31ec91f8aep-15, -0x1.8d5d4df085cbcp-15, -0x1.7d6a26388b4dcp-15, -0x1.6e00d2356b10dp-15, -0x1.5f1a96b1bb27dp-15, -0x1.50b35230f03bbp-15, -0x1.42c8e0d1f4233p-15, -0x1.3559b04dd0138p-15, -0x1.2863682e6d153p-15, -0x1.1be27f9ee5b46p-15, -0x1.0fd2e06393b76p-15, -0x1.0430f1d2360cp-15, -0x1.f1f4757efa909p-16, -0x1.dc5a678aaed8p-16, -0x1.c790eaebade35p-16, -0x1.b3939ba226e15p-16, -0x1.a05b7fe9a3f92p-16, -0x1.8ddf12ca84084p-16, -0x1.7c12e35d9599ap-16, -0x1.6aea7f8343cdep-16, -0x1.5a59e211bb6a7p-16, -0x1.4a5768217cff1p-16, -0x1.3add68cb86068p-16, -0x1.2bea1c05cea8ep-16, -0x1.1d7d78926a652p-16, -0x1.0f9671ccdf1a4p-16, -0x1.02319ef4768bep-16, -0x1.ea93f387502bdp-17, -0x1.d1b54a95be36ap-17, -0x1.b9c0acc4e7593p-17, -0x1.a2b311c110807p-17, -0x1.8c8aa52668a3cp-17, -0x1.77435d8c9b64ep-17, -0x1.62d581dad159fp-17, -0x1.4f370fbd0dac9p-17, -0x1.3c5df6671b481p-17, -0x1.2a40d6e3e4641p-17, -0x1.18d61c99106b3p-17, -0x1.081324dd6bd4ep-17, -0x1.efda19bfd3f05p-18, -0x1.d0b5c4d7c06c6p-18, -0x1.b2aed4c53be74p-18, -0x1.95c1cb394a659p-18, -0x1.79edc1f86013ap-18, -0x1.5f2f8ee2b1a33p-18, -0x1.457f8a8287c8cp-18, -0x1.2cd2dcc1df9f1p-18, -0x1.152036c942c37p-18, -0x1.fcc7b1475a9ddp-19, -0x1.d13916c8d1523p-19, -0x1.a7894a4bab307p-19, -0x1.7fa0bb461b353p-19, -0x1.596452bfb616cp-19, -0x1.34be0f791b476p-19, -0x1.119fc64a682b3p-19, -0x1.e0035ac19f7p-20, -0x1.9fbcbf5f4fb46p-20, -0x1.625b2284ccbap-20, -0x1.27bfe84a8c3ep-20, -0x1.df7883e078ea3p-21, -0x1.7430ae475b7e4p-21, -0x1.0d51948aacd2dp-21, -0x1.55934677f0d53p-22, -0x1.32ee494a53bb4p-23, 0x1.99b51016a888ap-26, 0x1.8821549125bfap-23, 0x1.6664d12dc2356p-22, 0x1.0052668cf17c5p-21, 0x1.4960f93a4abc9p-21, 0x1.8e8757c387cd7p-21, 0x1.d00f552cfaf8p-21, 0x1.071ba1bd40157p-20, 0x1.2492b03cc7e5ep-20, 0x1.40792867a51b1p-20, 0x1.5ad8b10f45399p-20, 0x1.73b748bcd5a17p-20, 0x1.8b153aebf8ffcp-20, 0x1.a0efe92050fbdp-20, 0x1.b549ceb06a751p-20, 0x1.c833a6a9ee40bp-20, 0x1.d9d3a2dea2116p-20, 0x1.ea5a664f059aep-20, 0x1.f9da07693fcbbp-20, 0x1.041c3dcb24c81p-19, 0x1.0ab29687185cbp-19, 0x1.10bd09bc55f11p-19, 0x1.164699579b398p-19, 0x1.1b49e99d73e15p-19, 0x1.1fc5308eeea89p-19, 0x1.23c2ee8052dfbp-19, 0x1.274eac432712ap-19, 0x1.2a6eb645da629p-19, 0x1.2d25dbb9155dap-19, 0x1.2f762d51a4714p-19, 0x1.31624ef1988c9p-19, 0x1.32ed905f9e805p-19, 0x1.341b0ed5cbb89p-19, 0x1.34ec6dcd3c91fp-19, 0x1.356196b9bad09p-19, 0x1.357a5999ba8c5p-19, 0x1.3538302f74c41p-19, 0x1.34a00325ff1fcp-19, 0x1.33bde91442ebbp-19, 0x1.329d3f7cf8516p-19, 0x1.313890349bddbp-19, 0x1.2f89cf06a0013p-19, 0x1.2d9b443a4caa9p-19, 0x1.2b709abcc8843p-19, 0x1.2902d2e3a654ap-19, 0x1.265458d6ebe6p-19, 0x1.236d2d69291cap-19, 0x1.2051dc4f55155p-19, 0x1.1d04094eb6f5ap-19, 0x1.1984cba7e2109p-19, 0x1.15d57f4aa8398p-19, 0x1.11f7c322fd687p-19, 0x1.0ded5e32b1926p-19, 0x1.09b83a0ac7436p-19, 0x1.055a4fb5b5445p-19, 0x1.00d560614b057p-19, 0x1.f8555376c97abp-20, 0x1.eeb637af73c36p-20, 0x1.e4cfd68ca0947p-20, 0x1.daa3c08c5b44dp-20, 0x1.d032fd1423097p-20, 0x1.c587e345339c1p-20, 0x1.baaa79ecb3a0dp-20, 0x1.af96f92149a98p-20, 0x1.a456884388826p-20, 0x1.98e81237dbb4fp-20, 0x1.8d440d65eb5bcp-20, 0x1.817295761e805p-20, 0x1.757b6591e667ap-20, 0x1.6960d5964c931p-20, 0x1.5d2400ae6b009p-20, 0x1.50c67a28ef74cp-20, 0x1.444a4c1a56fc3p-20, 0x1.37b1af435f457p-20, 0x1.2afed6e2b930ep-20, 0x1.1e33da410258ap-20, 0x1.1152bc4e023e7p-20, 0x1.045d8677826dcp-20, 0x1.eeacb206685ap-21, 0x1.d47ea4bd7197ep-21, 0x1.ba34b5c0a5139p-21, 0x1.9fd28596fdd0ap-21, 0x1.855c224adeb3ep-21, 0x1.6ad21c6fd627fp-21, 0x1.50304d8a2e611p-21, 0x1.3581ad5e07183p-21, 0x1.1ad1babde8486p-21, 0x1.0024b44c194cbp-21, 0x1.caecbdbbac10cp-22, 0x1.95827ff877e17p-22, 0x1.602104e0674e3p-22, 0x1.2ad3e72eedae6p-22, 0x1.eb3c0ca88a8e6p-23, 0x1.81052e5450055p-23, 0x1.170c177a9d9dbp-23, 0x1.5ab59192a4b9ap-24, 0x1.0fee11976f6f4p-25, -0x1.283cc9a12237bp-26, -0x1.1b49a649d0bfap-24, -0x1.eba5e1c439cccp-24, -0x1.5d894167a181fp-23, -0x1.c4bf6350617e1p-23, -0x1.15b66c85d3cfep-22, -0x1.48c45da91f2cdp-22, -0x1.7b8502b7f7d56p-22, -0x1.adf43d657996dp-22, -0x1.e00e4ded48031p-22, -0x1.08e77a0b6a6d3p-21, -0x1.219a11f83d48dp-21, -0x1.3a215fd9a4cffp-21, -0x1.5278b9b657ec8p-21, -0x1.6a98459cd63b1p-21, -0x1.8281eb513a557p-21, -0x1.9a39957f8d077p-21, -0x1.b1b9ca1231f4fp-21, -0x1.c8fffcd36fcc4p-21, -0x1.e00b92d87eccap-21, -0x1.f6db9fb2036c1p-21, -0x1.06b77be3efdb3p-20, -0x1.11e2319c2a6eap-20, -0x1.1ced57c42c662p-20, -0x1.27d85a000ea78p-20, -0x1.32a2a98373532p-20, -0x1.3d4bbdad37fdbp-20, -0x1.47d314cfb0945p-20, -0x1.52383509d38acp-20, -0x1.5c7aac4e8596cp-20, -0x1.669a0e1fd33cdp-20, -0x1.7095ef0ff00d6p-20, -0x1.7a6de1a75f79cp-20, -0x1.8421793663532p-20, -0x1.8db053e1e74e5p-20, -0x1.971a22e602f48p-20, -0x1.a05e95ea40056p-20, -0x1.a97d42a34fcfbp-20, -0x1.b276513f34dadp-20, -0x1.bb49d0f3921edp-20, -0x1.c3f5cf14c54cdp-20, -0x1.cc7b71eb9c5b1p-20, -0x1.d4da8f5b8cc0ep-20, -0x1.dd12483978e4p-20, -0x1.e5229943a9a2p-20, -0x1.ed0b725e61cadp-20, -0x1.f4ccb10146a4ap-20, -0x1.fc66314f5fb32p-20, -0x1.01ebe9656d8dap-19, -0x1.0590bc774af12p-19, -0x1.0921858002774p-19, -0x1.0c9e39f16326dp-19, -0x1.1006d10776548p-19, -0x1.135b43ce21f12p-19, -0x1.169b8d3052ffep-19, -0x1.19c7aa14e2bb6p-19, -0x1.1cdf996dc88aep-19, -0x1.1fe35bf820c21p-19, -0x1.22d2f3927e017p-19, -0x1.25ae62a747f8ep-19, -0x1.2875ac4970b4p-19, -0x1.2b28d530a552ap-19, -0x1.2dc7e5fa141dep-19, -0x1.3052ec303a0fap-19, -0x1.32c9f15cf131fp-19, -0x1.352cf275777c5p-19, -0x1.377c1919ed6efp-19, -0x1.39b76419752b7p-19, -0x1.3bdee9505734p-19, -0x1.3df2be75ff611p-19, -0x1.3ff2dafed2b05p-19, -0x1.41df60338b4a1p-19, -0x1.43b866c4c8f9p-19, -0x1.457e04870f74fp-19, -0x1.4730500416d57p-19, -0x1.48cf60fc2dd9dp-19, -0x1.4a5b505ab6773p-19, -0x1.4bd4381ea7a2p-19, -0x1.4d3a3345f6256p-19, -0x1.4e8d5dc198b6cp-19, -0x1.4fcdd4705174p-19, -0x1.50fbb51a7754cp-19, -0x1.52171e6f82665p-19, -0x1.53203007ff962p-19, -0x1.54170a6b2f8a9p-19, -0x1.54fbcf0d67959p-19, -0x1.55cea029dc51fp-19, -0x1.568fa0836f442p-19, -0x1.573ef34816f46p-19, -0x1.57dcbc268dac6p-19, -0x1.58691f9038bdcp-19, -0x1.58e443a66b4c3p-19, -0x1.594e50e9a7a9fp-19, -0x1.59a76e66075a7p-19, -0x1.59efbad6a873p-19, -0x1.5a275dfc22ad2p-19, -0x1.5a4e940f084e7p-19, -0x1.5a6583715d0aep-19, -0x1.5a6c409c8fd35p-19, -0x1.5a62fc8da3165p-19, -0x1.5a49e6063aaf7p-19, -0x1.5a21280217fa8p-19, -0x1.59e8ed898b3f4p-19, -0x1.59a16228d39b7p-19, -0x1.594ab1e231062p-19, -0x1.58e5091e03afdp-19, -0x1.587094a007f37p-19, -0x1.57ed817db034p-19, -0x1.575bfd16ce2dp-19, -0x1.56bc351103099p-19, -0x1.560e575390e7bp-19, -0x1.55529203b6b53p-19, -0x1.548913811f126p-19, -0x1.53b20a6254f9p-19, -0x1.52cda574f300dp-19, -0x1.51dc13bcb26a3p-19, -0x1.50dd84680d247p-19, -0x1.4fd226ba05ddep-19, -0x1.4eba29ff05fdep-19, -0x1.4d95bd90b482cp-19, -0x1.4c6510d8782f2p-19, -0x1.4b28537329046p-19, -0x1.49dfb5a6fbc84p-19, -0x1.488b68112a001p-19, -0x1.472b99ac459cp-19, -0x1.45c075059e4c5p-19, -0x1.444a2d474ada8p-19, -0x1.42c90084f4f74p-19, -0x1.413d0c76706a9p-19, -0x1.3fa6838ad4f6p-19, -0x1.3e05987fad18ep-19, -0x1.3c5a7b00f61afp-19, -0x1.3aa55a7b3524bp-19, -0x1.38e6665ab243dp-19, -0x1.371dcdfeea12bp-19, -0x1.354bc0b160a4bp-19, -0x1.33706da022f5bp-19, -0x1.318c03d9fe75dp-19, -0x1.2f9eb24ad2861p-19, -0x1.2da8a7b84c9ap-19, -0x1.2baa12bf3758fp-19, -0x1.29a321d1476a5p-19, -0x1.279403332d6e8p-19, -0x1.257ce4f9d3d4fp-19, -0x1.235df50864ba4p-19, -0x1.2137610e8bb9cp-19, -0x1.1f095686ec34dp-19, -0x1.1cd402b643627p-19, -0x1.1a9792a713c7p-19, -0x1.185433233ee6cp-19, -0x1.160a10b1b2f12p-19, -0x1.13b95797335cbp-19, -0x1.116233d408e07p-19, -0x1.0f04d126b4a12p-19, -0x1.0ca15b28e452fp-19, -0x1.0a37fd4f323d2p-19, -0x1.07c8e283d768bp-19, -0x1.0554349127c95p-19, -0x1.02da1c19e079p-19, -0x1.005ac9face34ap-19, -0x1.fbacc4a5a61b2p-20, -0x1.f69a1d33a0ddap-20, -0x1.f17df2393e3afp-20, -0x1.ec58954138e06p-20, -0x1.e72a571b2b97ep-20, -0x1.e1f387fc87839p-20, -0x1.dcb477756ea25p-20, -0x1.d76d746a546ddp-20, -0x1.d21ecd10b686ep-20, -0x1.ccc8ceed4402ap-20, -0x1.c76bc6d094efbp-20, -0x1.c20800d597f7bp-20, -0x1.bc9dc8607472ap-20, -0x1.b72d681c8df66p-20, -0x1.b1b729fa70d7cp-20, -0x1.ac3b572f31e8ep-20, -0x1.a6ba3832e8c93p-20, -0x1.a13414bf88bf8p-20, -0x1.9ba933cfc1a65p-20, -0x1.9619db9de69b9p-20, -0x1.908651a34922bp-20, -0x1.8aeeda977e5e7p-20, -0x1.8553ba6ea6a69p-20, -0x1.7fb53457e7d7ap-20, -0x1.7a138abc82211p-20, -0x1.746eff4030dd6p-20, -0x1.6ec7d2c0a286ep-20, -0x1.691e45549b5b2p-20, -0x1.63729654d5c3ap-20, -0x1.5dc5045dbf5cap-20, -0x1.5815cd33071b7p-20, -0x1.52652dacdfff7p-20, -0x1.4cb3613be3b56p-20, -0x1.4700a54e01924p-20, -0x1.414d3341270fap-20, -0x1.3b99449998794p-20, -0x1.35e512de8af66p-20, -0x1.3030d6574faaap-20, -0x1.2a7cc68155b66p-20, -0x1.24c91a14ab22dp-20, -0x1.1f160703356d6p-20, -0x1.1963c277dc3d3p-20, -0x1.13b280d6737b6p-20, -0x1.0e0275bbe5fbbp-20, -0x1.0853d3feeb881p-20, -0x1.02a6cdb01be6bp-20, -0x1.f9f7283624dap-21, -0x1.eea4af8dc294dp-21, -0x1.e35690ebf4b77p-21, -0x1.d80d2a4e3d081p-21, -0x1.ccc8d82c6cd8dp-21, -0x1.c189f579f1fe7p-21, -0x1.b650dba7ee3b4p-21, -0x1.ab1de2a60d755p-21, -0x1.9ff160e3a78edp-21, -0x1.94cbab526316ap-21, -0x1.89ad156835deep-21, -0x1.7e95f11fe744ep-21, -0x1.73868efb8a876p-21, -0x1.687f3e0612877p-21, -0x1.5d804bd54a88p-21, -0x1.528a048cf7b11p-21, -0x1.479cb2dfdec5ep-21, -0x1.3cb8a0125f39cp-21, -0x1.31de13fd31511p-21, -0x1.270d550fb0818p-21, -0x1.1c46a84fb4b5p-21, -0x1.118a515ce0fe9p-21, -0x1.06d8926543527p-21, -0x1.f86358c5f545dp-22, }}, 
      {{0x1.ffdb2557100abp-1, 0x1.ff6caa5eaad15p-1, 0x1.feb4cde2357c8p-1, 0x1.fdb3f7c6b431bp-1, 0x1.fc6ab7f354cf8p-1, 0x1.fad9c4e161615p-1, 0x1.f901f9e4997e6p-1, 0x1.f6e4553c790ffp-1, 0x1.f481f5fd80707p-1, 0x1.f1dc19dfadd46p-1, 0x1.eef41afd6fbf2p-1, 0x1.ebcb6d8c879dap-1, 0x1.e8639d98b6a8p-1, 0x1.e4be4cc6a453cp-1, 0x1.e0dd302424df5p-1, 0x1.dcc20e09f40fbp-1, 0x1.d86ebc11f6b72p-1, 0x1.d3e51d244016p-1, 0x1.cf271f9c6130bp-1, 0x1.ca36bb87e1163p-1, 0x1.c515f0fe4500dp-1, 0x1.bfc6c6929ae7cp-1, 0x1.ba4b47de2c1fcp-1, 0x1.b4a58423b945dp-1, 0x1.aed78d0a72b9ep-1, 0x1.a8e3756fbc6dp-1, 0x1.a2cb504ebb124p-1, 0x1.9c912fbc90c66p-1, 0x1.963723f834fdep-1, 0x1.8fbf3a8cc84ddp-1, 0x1.892b7d854a974p-1, 0x1.827df2b0a2aeap-1, 0x1.7bb89af4e974ep-1, 0x1.74dd71b0f6704p-1, 0x1.6dee6c2b35ap-1, 0x1.66ed790cda5d8p-1, 0x1.5fdc7fe88f375p-1, 0x1.58bd60cbcbb47p-1, 0x1.5191f3da0d9bcp-1, 0x1.4a5c08f1358dbp-1, 0x1.431d67565cf4p-1, 0x1.3bd7cd6a8568ep-1, 0x1.348cf0668b64ep-1, 0x1.2d3e7c1dd60ecp-1, 0x1.25ee12c74b731p-1, 0x1.1e9d4ccc17ad1p-1, 0x1.174db89be4eadp-1, 0x1.1000da8628d3fp-1, 0x1.08b82c983cfep-1, 0x1.01751e7ff5e89p-1, 0x1.f4722ae4fea7cp-2, 0x1.e60ad82e8adc9p-2, 0x1.d7b6e4ed78e53p-2, 0x1.c978dbd9b4262p-2, 0x1.bb53323e3c55ap-2, 0x1.ad4847ec12214p-2, 0x1.9f5a6733be6f9p-2, 0x1.918bc4e54a04ap-2, 0x1.83de805664732p-2, 0x1.7654a36e9a3d9p-2, 0x1.68f022b960fc8p-2, 0x1.5bb2dd7dd88c4p-2, 0x1.4e9e9ddc0967ap-2, 0x1.41b518ef81668p-2, 0x1.34f7eef716241p-2, 0x1.2868ab81a6c91p-2, 0x1.1c08c59fab177p-2, 0x1.0fd9a0195cb27p-2, 0x1.03dc89a94960dp-2, 0x1.f0257a76368bbp-3, 0x1.d8fac45cbbc64p-3, 0x1.c23b193a0e4fap-3, 0x1.abe87b4b214f2p-3, 0x1.9604c770bfc36p-3, 0x1.8091b5d08fe1ap-3, 0x1.6b90da7bce201p-3, 0x1.5703a61b44c6fp-3, 0x1.42eb66a00bebep-3, 0x1.2f4947f89b188p-3, 0x1.1c1e54c9b339bp-3, 0x1.096b772aad9c2p-3, 0x1.ee62f2c984078p-4, 0x1.cae20d699879ap-4, 0x1.a855581e54792p-4, 0x1.86bdb1ca95e08p-4, 0x1.661bbfd90a48p-4, 0x1.466fefcbaeab4p-4, 0x1.27ba78cc6800ep-4, 0x1.09fb5d3e08e4bp-4, 0x1.da64d89a2c54ep-5, 0x1.a2be86ff6ee8ap-5, 0x1.6d02a08872aedp-5, 0x1.392fa2fb42abep-5, 0x1.0743b21b9873fp-5, 0x1.ae793572a85e9p-6, 0x1.522fab709cce4p-6, 0x1.f34a2c4317d41p-7, 0x1.49a6531f0bd45p-7, 0x1.4ecc0ef588f7cp-8, 0x1.8f4c9ce782af3p-12, -0x1.0e591c1992d14p-8, -0x1.139fd48ad9b7dp-7, -0x1.98f1705528cfcp-7, -0x1.0b9a2b6937952p-6, -0x1.473e33232878dp-6, -0x1.7f6f2d9b9a9c6p-6, -0x1.b437e3012e3b7p-6, -0x1.e5a3804f4ffaap-6, -0x1.09dec923a0a17p-5, -0x1.1f49004058a92p-5, -0x1.3316844928fccp-5, -0x1.454d9ca91296p-5, -0x1.55f4b716c96ecp-5, -0x1.6512654ca883fp-5, -0x1.72ad5acc73d46p-5, -0x1.7ecc6aaed7d34p-5, -0x1.8976857e9f9d6p-5, -0x1.92b2b71f72cd2p-5, -0x1.9a8824c01b9ffp-5, -0x1.a0fe0ad829cd3p-5, -0x1.a61bbb30d5e89p-5, -0x1.a9e89af90984p-5, -0x1.ac6c20e470459p-5, -0x1.adadd3556ae3ap-5, -0x1.adb54691cc744p-5, -0x1.ac8a1b02377c9p-5, -0x1.aa33fb7c05ff3p-5, -0x1.a6ba9b959e46p-5, -0x1.a225b60502725p-5, -0x1.9c7d0b089c94dp-5, -0x1.95c85eda0a156p-5, -0x1.8e0f782ae0c97p-5, -0x1.855a1eab4db45p-5, -0x1.7bb0199a64fb1p-5, -0x1.71192e60279f4p-5, -0x1.659d1f30ff50ep-5, -0x1.5943a9babb9aep-5, -0x1.4c1485dae900ap-5, -0x1.3e17645e7292fp-5, -0x1.2f53edca6a71dp-5, -0x1.1fd1c12e07a8dp-5, -0x1.0f9872fd95241p-5, -0x1.fd5f17ece4373p-6, -0x1.da3d1017d1009p-6, -0x1.b5d9aab9d0603p-6, -0x1.9043a664ec15p-6, -0x1.6989a20dc314ep-6, -0x1.41ba1b2b1ffbap-6, -0x1.18e36be6cdb62p-6, -0x1.de2792bec1089p-7, -0x1.88b283f5f4bb3p-7, -0x1.3183779585dffp-7, -0x1.b16bcbfc9194bp-8, -0x1.f993c36327fa5p-9, -0x1.155b01fd58fcp-10, 0x1.d2e2ffad66304p-10, 0x1.3130859004e89p-8, 0x1.efdd390ab1789p-8, 0x1.5846251e20f38p-7, 0x1.b985fa5b0a89fp-7, 0x1.0dcad0f9db7f4p-6, 0x1.3f2e85c34acep-6, 0x1.70e249391b773p-6, 0x1.a2da7fc82df5ap-6, 0x1.d50bc569b0f89p-6, 0x1.03b577317859ap-5, 0x1.1cf683fb55388p-5, 0x1.3643ac83f99b9p-5, 0x1.4f97b15774de5p-5, 0x1.68ed705fb4417p-5, 0x1.823fe520f1d5fp-5, 0x1.9b8a28ef51e9fp-5, 0x1.b4c7731ddcb3p-5, 0x1.cdf31926d274cp-5, 0x1.e7088ecd883acp-5, 0x1.0001b31cf90b6p-4, 0x1.0c6fa806f015ep-4, 0x1.18cc0dba13eeap-4, 0x1.2514db14df90bp-4, 0x1.31481640833b1p-4, 0x1.3d63d4afa00adp-4, 0x1.49663b1a3a642p-4, 0x1.554d7d76e765bp-4, 0x1.6117def151b67p-4, 0x1.6cc3b1de1934ap-4, 0x1.784f57ac2e3ddp-4, 0x1.83b940d3ae5ep-4, 0x1.8effecc258eb1p-4, 0x1.9a21e9c5aa7fcp-4, 0x1.a51dd4f2b7441p-4, 0x1.aff25a0bd3aa4p-4, 0x1.ba9e336411c97p-4, 0x1.c52029c0bfd7fp-4, 0x1.cf771438e1c92p-4, 0x1.d9a1d812be576p-4, 0x1.e39f689f9d608p-4, 0x1.ed6ec715be9fap-4, 0x1.f70f02689a5b2p-4, 0x1.003f9b8fc253fp-3, 0x1.04df4795642f5p-3, 0x1.096620db9ea39p-3, 0x1.0dd3c9803f361p-3, 0x1.1227ea10e12cap-3, 0x1.16623172b9958p-3, 0x1.1a8254c9c79f1p-3, 0x1.1e880f5f7750ep-3, 0x1.22732288bb0d4p-3, 0x1.2643558ba3c4ep-3, 0x1.29f87584834cbp-3, 0x1.2d92554aa444cp-3, 0x1.3110cd5497908p-3, 0x1.3473bb9c2491ap-3, 0x1.37bb0381e795bp-3, 0x1.3ae68db0a0381p-3, 0x1.3df6480037a2fp-3, 0x1.40ea25589128dp-3, 0x1.43c21d941803cp-3, 0x1.467e2d622ba89p-3, 0x1.491e56295ad6ep-3, 0x1.4ba29de98446fp-3, 0x1.4e0b0f1dd7abfp-3, 0x1.5057b89eca668p-3, 0x1.5288ad83ffe66p-3, 0x1.549e050623f91p-3, 0x1.5697da60d24adp-3, 0x1.58764cb47b431p-3, 0x1.5a397ee85b5acp-3, 0x1.5be1978c8246fp-3, 0x1.5d6ec0bbf2c51p-3, 0x1.5ee127fee3d3dp-3, 0x1.6038fe2d21968p-3, 0x1.6176775090869p-3, 0x1.6299ca87f0dacp-3, 0x1.63a331e9b9af1p-3, 0x1.6492ea6744371p-3, 0x1.656933b01a201p-3, 0x1.662650159a26ap-3, 0x1.66ca846ec988ap-3, 0x1.675617fc7d6cbp-3, 0x1.67c9544dc805p-3, 0x1.68248524aeb41p-3, 0x1.6867f85b40f2ap-3, 0x1.6893fdc8f04dfp-3, 0x1.68a8e7284d8ccp-3, 0x1.68a707fd1f8d4p-3, 0x1.688eb57ad0568p-3, 0x1.6860466b3e701p-3, 0x1.681c1315f19fcp-3, 0x1.67c27527b30bbp-3, 0x1.6753c79a861f3p-3, 0x1.66d0669e1205bp-3, 0x1.6638af8072f1fp-3, 0x1.658d0097724e4p-3, 0x1.64cdb92a3146ep-3, 0x1.63fb395b3f855p-3, 0x1.6315e21323639p-3, 0x1.621e14eb50f48p-3, 0x1.6114341992842p-3, 0x1.5ff8a25be6f6p-3, 0x1.5ecbc2e4cd365p-3, 0x1.5d8df9480e543p-3, 0x1.5c3fa967eb024p-3, 0x1.5ae13762d24e3p-3, 0x1.597307817addbp-3, 0x1.57f57e257ad42p-3, 0x1.5668ffb854b5fp-3, 0x1.54cdf09af6a52p-3, 0x1.5324b515ae9adp-3, 0x1.516db14895601p-3, 0x1.4fa9491c6779ep-3, 0x1.4dd7e033dcbfcp-3, 0x1.4bf9d9dd6a607p-3, 0x1.4a0f990579e3fp-3, 0x1.4819802910c47p-3, 0x1.4617f148f088fp-3, 0x1.440b4ddd1c078p-3, 0x1.41f3f6c8d60a7p-3, 0x1.3fd24c4f06df9p-3, 0x1.3da6ae0716e43p-3, 0x1.3b717ad22e392p-3, 0x1.393310d0e8923p-3, 0x1.36ebcd5968055p-3, 0x1.349c0cedd9519p-3, 0x1.32442b335ff2p-3, 0x1.2fe482e962f1bp-3, 0x1.2d7d6de1442eep-3, 0x1.2b0f44f6769d6p-3, 0x1.289a6006fb734p-3, 0x1.261f15ec39efp-3, 0x1.239dbc74418c2p-3, 0x1.2116a85b59a03p-3, 0x1.1e8a2d45fb661p-3, 0x1.1bf89dbb1eb86p-3, 0x1.19624b1ee4093p-3, 0x1.16c785ad91084p-3, 0x1.14289c76e701ap-3, 0x1.1185dd59ccccep-3, 0x1.0edf950046239p-3, 0x1.0c360edbc4b04p-3, 0x1.09899521be9bp-3, 0x1.06da70c89520ep-3, 0x1.0428e984cdda7p-3, 0x1.017545c689952p-3, 0x1.fd7f956e99f43p-4, 0x1.f8117870181d7p-4, 0x1.f2a0b9beea147p-4, 0x1.ed2ddbf114aacp-4, 0x1.e7b95f02e2a25p-4, 0x1.e243c0550d34cp-4, 0x1.dccd7aab6344fp-4, 0x1.d757062bd85b9p-4, 0x1.d1e0d85e1e9e8p-4, 0x1.cc6b642b9c427p-4, 0x1.c6f719dfe1691p-4, 0x1.c184672975f52p-4, 0x1.bc13b71b24463p-4, 0x1.b6a5722d8c151p-4, 0x1.b139fe4135bc7p-4, 0x1.abd1bea0ea1dbp-4, 0x1.a66d140467c2ap-4, 0x1.a10c5c937fcacp-4, 0x1.9baff3e977741p-4, 0x1.96583318b2795p-4, 0x1.910570aec947p-4, 0x1.8bb800b8c74cap-4, 0x1.867034c7c8d47p-4, 0x1.812e5bf5d2bc4p-4, 0x1.7bf2c2eaedbbfp-4, 0x1.76bdb3e28296p-4, 0x1.718f76b0eec11p-4, 0x1.6c6850c958934p-4, 0x1.67488543b184ap-4, 0x1.623054e2f145p-4, 0x1.5d1ffe1b8679p-4, 0x1.5817bd19ebe1fp-4, 0x1.5317cbc96d055p-4, 0x1.4e2061db1ff55p-4, 0x1.4931b4ccf191fp-4, 0x1.444bf7f0ea6fbp-4, 0x1.3f6f5c7486374p-4, 0x1.3a9c116836d2ep-4, 0x1.35d243c6ff2eep-4, 0x1.31121e7e2b5acp-4, 0x1.2c5bca7523683p-4, 0x1.27af6e9553934p-4, 0x1.230d2fd2281e7p-4, 0x1.1e7531312608cp-4, 0x1.19e793d2071bdp-4, 0x1.156476f6edb93p-4, 0x1.10ebf80cab4dfp-4, 0x1.0c7e32b3028d5p-4, 0x1.081b40c507666p-4, 0x1.03c33a61770fp-4, 0x1.feec6be640d6ep-5, 0x1.f66890729b61cp-5, 0x1.edfb08a062bfap-5, 0x1.e5a3f772affccp-5, 0x1.dd637cc8323d1p-5, 0x1.d539b56c06944p-5, 0x1.cd26bb269b7abp-5, 0x1.c52aa4ce7fd9bp-5, 0x1.bd4586592eed7p-5, 0x1.b57770ebcae93p-5, 0x1.adc072ebd2aeap-5, 0x1.a620980fb780ap-5, 0x1.9e97e96f6d14bp-5, 0x1.97266d94ddd9p-5, 0x1.8fcc288c4c3a5p-5, 0x1.88891bf48faccp-5, 0x1.815d470f4725ep-5, 0x1.7a48a6d0e26d2p-5, 0x1.734b35f08b66dp-5, 0x1.6c64ecf7fc06p-5, 0x1.6595c2531f772p-5, 0x1.5eddaa5fa3756p-5, 0x1.583c977c5316dp-5, 0x1.51b27a1858f82p-5, 0x1.4b3f40c24d54bp-5, 0x1.44e2d83729623p-5, 0x1.3e9d2b70fedb2p-5, 0x1.386e23b598ab3p-5, 0x1.3255a8a4df714p-5, 0x1.2c53a04714d6cp-5, 0x1.2667ef1ae5629p-5, 0x1.2092782347fcp-5, 0x1.1ad31cf52ded8p-5, 0x1.1529bdc4fe7b1p-5, 0x1.0f963973ede0cp-5, 0x1.0a186d9d11783p-5, 0x1.04b036a24bc1p-5, 0x1.febadf72160d7p-6, 0x1.f43fe5ed8403bp-6, 0x1.e9ef32ba8ac34p-6, 0x1.dfc875cdb5bfap-6, 0x1.d5cb5d245b2d6p-6, 0x1.cbf794dbe65a6p-6, 0x1.c24cc748f8812p-6, 0x1.b8ca9d0ddbccdp-6, 0x1.af70bd30bbf53p-6, 0x1.a63ecd316199p-6, 0x1.9d34711e7f1dap-6, 0x1.94514baa9d273p-6, 0x1.8b94fe409ccedp-6, 0x1.82ff2917bdff7p-6, 0x1.7a8f6b474d28cp-6, 0x1.724562d9ec516p-6, 0x1.6a20ace045923p-6, 0x1.6220e5839e9b6p-6, 0x1.5a45a817bb996p-6, 0x1.528e8f2c7a533p-6, 0x1.4afb349f0c2c7p-6, 0x1.438b31aab39abp-6, 0x1.3c3e1ef9283b9p-6, 0x1.351394b289a09p-6, 0x1.2e0b2a8d0295dp-6, 0x1.272477dbe3316p-6, 0x1.205f139e75ec3p-6, 0x1.19ba948e6dfdep-6, 0x1.1336912dd92b2p-6, 0x1.0cd29fd4ce069p-6, 0x1.068e56beafef6p-6, 0x1.00694c170aebp-6, 0x1.f4c62c0c297p-7, 0x1.e8f69579bf8a8p-7, 0x1.dd63010232b1dp-7, 0x1.d20a9b70e7f4cp-7, 0x1.c6ec91e78a514p-7, 0x1.bc0811f378a6fp-7, 0x1.b15c49a272da1p-7, 0x1.a6e86796dc00cp-7, 0x1.9cab9b1afc6bcp-7, 0x1.92a51433cd77p-7, 0x1.88d403b32380fp-7, 0x1.7f379b490bd09p-7, 0x1.75cf0d94b9e3ap-7, 0x1.6c998e34a4731p-7, 0x1.639651d63618bp-7, 0x1.5ac48e44b61c3p-7, 0x1.52237a77b99f9p-7, 0x1.49b24ea101057p-7, 0x1.417044399f3a4p-7, 0x1.395c960ec365bp-7, 0x1.3176804dcc138p-7, 0x1.29bd408fe1e35p-7, 0x1.223015e50ec57p-7, 0x1.1ace40debc3cap-7, 0x1.13970399d1141p-7, 0x1.0c89a1c82bd39p-7, 0x1.05a560b9af01dp-7, 0x1.fdd30ec999879p-8, 0x1.f0aabcdd762d3p-8, 0x1.e3d06065d9fdfp-8, 0x1.d7429194b45cfp-8, 0x1.caffec24a1b9bp-8, 0x1.bf070f6533eb3p-8, 0x1.b3569e470558cp-8, 0x1.a7ed3f66886ffp-8, 0x1.9cc99d1653181p-8, 0x1.91ea656885deap-8, 0x1.874e4a375165ap-8, 0x1.7cf4012cec8ccp-8, 0x1.72da43cac78a6p-8, 0x1.68ffcf6fe5b83p-8, 0x1.5f63655ebfbf7p-8, 0x1.5603cac26a4fp-8, 0x1.4cdfc8b2d841ep-8, 0x1.43f62c38ee9d6p-8, 0x1.3b45c6519310fp-8, 0x1.32cd6bf054d97p-8, 0x1.2a8bf6016258p-8, 0x1.2280416b3f538p-8, 0x1.1aa92f0f64d94p-8, 0x1.1305a3caf87adp-8, 0x1.0b94887678b48p-8, 0x1.0454c9e51332cp-8, 0x1.fa8ab1c7df1a9p-9, 0x1.ecca54705b2b4p-9, 0x1.df666d3a8112bp-9, 0x1.d25cf584b8d5fp-9, 0x1.c5abee8f33c8ep-9, 0x1.b95161758f60ap-9, 0x1.ad4b5f2776316p-9, 0x1.a1980060b8207p-9, 0x1.963565a079866p-9, 0x1.8b21b71fab5bcp-9, 0x1.805b24c7526c1p-9, 0x1.75dfe62589b5bp-9, 0x1.6bae3a61e96acp-9, 0x1.61c4683226cdp-9, 0x1.5820bdcd07125p-9, 0x1.4ec190de0d2f2p-9, 0x1.45a53e7717955p-9, 0x1.3cca2b0310aa8p-9, 0x1.342ec23700ea8p-9, 0x1.2bd1770366d75p-9, 0x1.23b0c38497c6cp-9, 0x1.1bcb28f337353p-9, 0x1.141f2f93e99f1p-9, 0x1.0cab66a6f4c7dp-9, 0x1.056e645780dc2p-9, 0x1.fccd8b54868d2p-10, 0x1.ef265cd862c99p-10, 0x1.e1e4924145201p-10, 0x1.d5058ddf343a4p-10, 0x1.c886bf263594fp-10, 0x1.bc65a28a70e98p-10, 0x1.b09fc15a8b9ap-10, 0x1.a532b1998a849p-10, 0x1.9a1c15d95ef9dp-10, 0x1.8f599d140c89ap-10, 0x1.84e902855b8cdp-10, 0x1.7ac80d83d78ap-10, 0x1.70f49159c4986p-10, 0x1.676c6d1d92282p-10, 0x1.5e2d8b8adde82p-10, 0x1.5535e2da22a5dp-10, 0x1.4c8374995ee08p-10, 0x1.44144d8445238p-10, 0x1.3be6855b8111p-10, 0x1.33f83ebe4043p-10, 0x1.2c47a700b6ce5p-10, 0x1.24d2f604f9a05p-10, 0x1.1d986e12d4c6dp-10, 0x1.16965baf76efap-10, 0x1.0fcb1575e431p-10, 0x1.0934fbef05bd3p-10, 0x1.02d27969cc2a7p-10, 0x1.f94403a828cb8p-11, 0x1.ed44252527df4p-11, 0x1.e1a264b377564p-11, 0x1.d65be20d00e27p-11, 0x1.cb6dceef0fb1ap-11, 0x1.c0d56ecc0682p-11, 0x1.b690167e22cep-11, 0x1.ac9b2bfb71fcfp-11, 0x1.a2f42608cc2dcp-11, 0x1.99988beed0304p-11, 0x1.9085f52ca1bd1p-11, 0x1.87ba09306a616p-11, 0x1.7f327f0971c0fp-11, 0x1.76ed1d209a015p-11, 0x1.6ee7b8eee560bp-11, 0x1.672036b4c0289p-11, 0x1.5f94893210554p-11, 0x1.5842b15f9a2ap-11, 0x1.5128be27ed32bp-11, 0x1.4a44cc21a1b1p-11, 0x1.4395054a216c3p-11, 0x1.3d17a0c0c5d93p-11, 0x1.36cae284746b6p-11, 0x1.30ad1b2e28578p-11, 0x1.2abca7b141852p-11, 0x1.24f7f11840982p-11, 0x1.1f5d6c44c5f16p-11, 0x1.19eb99ae8e67dp-11, 0x1.14a105259f284p-11, 0x1.0f7c45920536p-11, 0x1.0a7bfcb73f3f1p-11, 0x1.059ed6f6faf2fp-11, 0x1.00e38b15104e4p-11, 0x1.f891b3f775322p-12, 0x1.ef9b1d0323016p-12, 0x1.e6e0fa5ea1c35p-12, 0x1.de61080dfabd6p-12, 0x1.d619149817dabp-12, 0x1.ce070096647a3p-12, 0x1.c628be49f86c6p-12, 0x1.be7c512dc7217p-12, 0x1.b6ffcd8f2255ep-12, 0x1.afb1582390a66p-12, 0x1.a88f25a3b8543p-12, 0x1.a1977a64f75dbp-12, 0x1.9ac8a9f714edbp-12, 0x1.942116c145dadp-12, 0x1.8d9f31a37051bp-12, 0x1.874179965d3a6p-12, 0x1.81067b4fb0fd9p-12, 0x1.7aecd0e5b48cbp-12, 0x1.74f3217645754p-12, 0x1.6f1820cd9facdp-12, 0x1.695a8f11094e6p-12, 0x1.63b938677cef1p-12, 0x1.5e32f4a90af86p-12, 0x1.58c6a70926d2fp-12, 0x1.53733dc97af51p-12, 0x1.4e37b1e882485p-12, 0x1.491306d545f4cp-12, 0x1.44044a23354c6p-12, 0x1.3f0a933e8303cp-12, 0x1.3a2503241fe93p-12, 0x1.3552c41950467p-12, 0x1.3093096581b87p-12, 0x1.2be50f0e0a1edp-12, 0x1.27481991f480cp-12, 0x1.22bb75a84065bp-12, 0x1.1e3e77ff2d981p-12, 0x1.19d07cfd4f385p-12, 0x1.1570e882e3449p-12, 0x1.111f25ad764b4p-12, 0x1.0cdaa69d09fa7p-12, 0x1.08a2e4393239ap-12, 0x1.04775df894805p-12, 0x1.005799aa001a2p-12, 0x1.f886467ad5e3cp-13, 0x1.f073191fb4d2p-13, 0x1.e874da6d85a61p-13, 0x1.e08ac49b878c2p-13, 0x1.d8b41c8b124eep-13, 0x1.d0f0316688e23p-13, 0x1.c93e5c4290e45p-13, 0x1.c19dffc42f06bp-13, 0x1.ba0e87c5cef06p-13, 0x1.b28f68ff05301p-13, 0x1.ab2020b1726d7p-13, 0x1.a3c03453bd84p-13, 0x1.9c6f314289bcdp-13, 0x1.952cac6f5e1d6p-13, 0x1.8df84215b2448p-13, 0x1.86d1956e762b6p-13, 0x1.7fb85067bb583p-13, 0x1.78ac235e5110dp-13, 0x1.71acc4d8072fp-13, 0x1.6ab9f140ebde3p-13, 0x1.63d36aa9db1ep-13, 0x1.5cf8f8887a28dp-13, 0x1.562a677a12bdep-13, 0x1.4f6789070dd8ap-13, 0x1.48b03368d7668p-13, 0x1.42044151e2ec2p-13, 0x1.3b6391b5df00cp-13, 0x1.34ce0793b25acp-13, 0x1.2e4389c3d4da1p-13, 0x1.27c402c3f3045p-13, 0x1.214f60873cc3p-13, 0x1.1ae594475d76dp-13, 0x1.148692564168cp-13, 0x1.0e3251f2563ccp-13, 0x1.07e8cd1ab05f2p-13, 0x1.01aa0066482d5p-13, 0x1.f6ebd5b727c9bp-14, 0x1.ea991b93e115fp-14, 0x1.de5bd94747e69p-14, 0x1.d23419b486876p-14, 0x1.c621eb751bb7cp-14, 0x1.ba256096b187cp-14, 0x1.ae3e8e58b8c22p-14, 0x1.a26d8cee65037p-14, 0x1.96b27741ea603p-14, 0x1.8b0d6ab9d12afp-14, 0x1.7f7e86febb0a1p-14, 0x1.7405edc74ff41p-14, 0x1.68a3c2a35e86dp-14, 0x1.5d582ac88a7d3p-14, 0x1.52234ce2c3c7p-14, 0x1.470550e6e3cap-14, 0x1.3bfe5fe49e3ccp-14, 0x1.310ea3db60aabp-14, 0x1.2636479342a94p-14, 0x1.1b757673513ffp-14, 0x1.10cc5c5e4c6ebp-14, 0x1.063b258ddc87fp-14, 0x1.f783fcdefdd41p-15, 0x1.e2c2270a76584p-15, 0x1.ce312289680a7p-15, 0x1.b9d147f43e31ap-15, 0x1.a5a2ef56850e4p-15, 0x1.91a66ffa2819ap-15, 0x1.7ddc20354e0a9p-15, 0x1.6a445537f45d2p-15, 0x1.56df62dcfdeadp-15, 0x1.43ad9b8022fd7p-15, 0x1.30af4fd426eacp-15, 0x1.1de4ceba0eefap-15, 0x1.0b4e651fc309cp-15, 0x1.f1d8bbb80f5a9p-16, 0x1.cd7e031c1255bp-16, 0x1.a98d2cfdf44cfp-16, 0x1.8606c1087e933p-16, 0x1.62eb41cdd3ee7p-16, 0x1.403b2c94c4c89p-16, 0x1.1df6f92d9b10bp-16, 0x1.f83e339531e59p-17, 0x1.b567f5a16136bp-17, 0x1.736c0576ae813p-17, 0x1.324b23f0ce6a4p-17, 0x1.e40c0b3b6d798p-18, 0x1.653aa505f9ea2p-18, 0x1.d04697b00c34fp-19, 0x1.b31c7296885p-20, -0x1.9b1cb5f3a1fe2p-23, -0x1.0977a501c8551p-19, -0x1.f5c1b742f7c68p-19, -0x1.6f474d786fba6p-18, -0x1.e1ee8f349752ap-18, -0x1.296b1169f052cp-17, -0x1.60fed2a25b53fp-17, -0x1.97b267284f77p-17, -0x1.cd85b85ee50d8p-17, -0x1.013c5e8ebbee6p-16, -0x1.1b45bcd4fdddcp-16, -0x1.34deffd5856b5p-16, -0x1.4e08370fbfbecp-16, -0x1.66c178a100ff6p-16, -0x1.7f0ae141d7c7fp-16, -0x1.96e49433ea7aep-16, -0x1.ae4ebb3cf6cbbp-16, -0x1.c54986932885dp-16, -0x1.dbd52cd0ff12dp-16, -0x1.f1f1eae358ec5p-16, -0x1.03d001fc63759p-15, -0x1.0e6fe0b685cd2p-15, -0x1.18d8b95d37c94p-15, -0x1.230ab6b144011p-15, -0x1.2d06066d3bea7p-15, -0x1.36cad939269cep-15, -0x1.405962a14b742p-15, -0x1.49b1d90753fb2p-15, -0x1.52d47598ee349p-15, -0x1.5bc17442d2c01p-15, -0x1.647913a3f2a11p-15, -0x1.6cfb95003e56cp-15, -0x1.75493c34c225fp-15, -0x1.7d624fa93dd41p-15, -0x1.8547184397f78p-15, -0x1.8cf7e1577cef5p-15, -0x1.9474f89bb896ap-15, -0x1.9bbeae1a805fep-15, -0x1.a2d5542285c17p-15, -0x1.a9b93f3a34331p-15, -0x1.b06ac60ffee36p-15, -0x1.b6ea416d3a2fap-15, -0x1.bd380c28482cp-15, -0x1.c3548310f360dp-15, -0x1.c94004e74df6dp-15, -0x1.cefaf24b3ab4cp-15, -0x1.d485adad6ae3p-15, -0x1.d9e09b400c8f9p-15, -0x1.df0c20e9b0fecp-15, -0x1.e408a635f80cdp-15, -0x1.e8d69445c2821p-15, -0x1.ed7655c0b14ddp-15, -0x1.f1e856c7dfa6cp-15, -0x1.f62d04e68737ep-15, -0x1.fa44cf04eeda8p-15, -0x1.fe302557f3944p-15, -0x1.00f7bca9e4996p-14, -0x1.02c19ecf1afaap-14, -0x1.0475f2fffd00bp-14, -0x1.0614f3ab15a77p-14, -0x1.079edbc30d68fp-14, -0x1.0913e6b6db2eap-14, -0x1.0a74506be5325p-14, -0x1.0bc0553676eddp-14, -0x1.0cf831d2cffc9p-14, -0x1.0e1c235fa4762p-14, -0x1.0f2c675772112p-14, -0x1.10293b890acaap-14, -0x1.1112de11ef101p-14, -0x1.11e98d57cd93fp-14, -0x1.12ad880302097p-14, -0x1.135f0cf76864fp-14, -0x1.13fe5b4f401d1p-14, -0x1.148bb254b86d4p-14, -0x1.1507517c219b3p-14, -0x1.1571785e4271fp-14, -0x1.15ca66b242031p-14, -0x1.16125c48cc4cp-14, -0x1.1649990647161p-14, -0x1.16705cdd1a4bp-14, -0x1.1686e7c94e04dp-14, -0x1.168d79ca7d234p-14, -0x1.168452dee8493p-14, -0x1.166bb2fe4fee1p-14, -0x1.1643da160dd42p-14, -0x1.160d080309c65p-14, -0x1.15c77c8d59a44p-14, -0x1.15737764794ap-14, -0x1.15113819ed25p-14, -0x1.14a0fe1cc061cp-14, -0x1.142308b5ba203p-14, -0x1.13979702f47cep-14, -0x1.12fee7f391546p-14, -0x1.12593a440de9p-14, -0x1.11a6cc7a47175p-14, -0x1.10e7dce192cc7p-14, -0x1.101ca986e0defp-14, -0x1.0f4570355862cp-14, -0x1.0e626e72fc8dfp-14, -0x1.0d73e17cea361p-14, -0x1.0c7a0643bebccp-14, -0x1.0b751968ea6f4p-14, -0x1.0a65573ba3995p-14, -0x1.094afbb533251p-14, -0x1.08264276452cdp-14, -0x1.06f766c4107a9p-14, -0x1.05bea385ce5f9p-14, -0x1.047c334210dbep-14, -0x1.0330501ba57b8p-14, -0x1.01db33cf4a3f5p-14, -0x1.007d17b1748ap-14, -0x1.fe2c69576823ep-15, -0x1.fb4d867589d9ep-15, -0x1.f85df6d87dc74p-15, -0x1.f55e29b941a59p-15, -0x1.f24e8d69dd672p-15, -0x1.ef2f8f522dc25p-15, -0x1.ec019bebb3f9ep-15, -0x1.e8c51ebef9e3bp-15, -0x1.e57a825f41a04p-15, -0x1.e2223067e3dep-15, -0x1.debc9178ebe9dp-15, -0x1.db4a0d3465034p-15, -0x1.d7cb0a3bf0d3ep-15, -0x1.d43fee2d82203p-15, -0x1.d0a91da14058dp-15, -0x1.cd06fc26b2585p-15, -0x1.c959ec43407b3p-15, -0x1.c5a24f704e3c8p-15, -0x1.c1e0861833977p-15, -0x1.be14ef95647eap-15, -0x1.ba3fea30c58f1p-15, -0x1.b661d31f6f349p-15, -0x1.b27b068186964p-15, -0x1.ae8bdf61f587dp-15, -0x1.aa94b7b38b30ap-15, -0x1.a695e8515b856p-15, -0x1.a28fc8fd2884ap-15, -0x1.9e82b05e4ef3cp-15, -0x1.9a6ef4020681p-15, -0x1.9654e859b337ep-15, -0x1.9234e0bb374a7p-15, -0x1.8e0f2f5fcf98p-15, -0x1.89e42564634cep-15, -0x1.85b412c95453ap-15, -0x1.817f4671c457ap-15, -0x1.7d460e244df54p-15, -0x1.7908b68a760d3p-15, -0x1.74c78b313e67dp-15, -0x1.7082d6897abc4p-15, -0x1.6c3ae1e802687p-15, -0x1.67eff585c389cp-15, -0x1.63a258816e4a4p-15, -0x1.5f5250deb199ap-15, -0x1.5b00238713b6p-15, -0x1.56ac144be0d8dp-15, -0x1.525665e5e9a43p-15, -0x1.4dff59f65d787p-15, -0x1.49a731087be18p-15, -0x1.454e2a91d2eb4p-15, -0x1.40f484f3bc50bp-15, }}, 
      {{0x1.ffe1d845bc2eep-1, 0x1.ff876cc46581fp-1, 0x1.fef0e06b9dfd9p-1, 0x1.fe1e6d245eeefp-1, 0x1.fd10635be7505p-1, 0x1.fbc72967d1183p-1, 0x1.fa433ac95fb82p-1, 0x1.f88527562f654p-1, 0x1.f68d924c0ff76p-1, 0x1.f45d31554ac12p-1, 0x1.f1f4cb81fe1bp-1, 0x1.ef55383a9437ap-1, 0x1.ec7f5e2ecc8ecp-1, 0x1.e97432444b74fp-1, 0x1.e634b687261d1p-1, 0x1.e2c1f91e7ba94p-1, 0x1.df1d1346c8c3p-1, 0x1.db4728534be5bp-1, 0x1.d74164b78bb2p-1, 0x1.d30cfd19c453p-1, 0x1.ceab2d6ed17c8p-1, 0x1.ca1d381fef9dep-1, 0x1.c564653a8c221p-1, 0x1.c08201aa353d4p-1, 0x1.bb775e7c9ef04p-1, 0x1.b645d02f9abd1p-1, 0x1.b0eeae08ce257p-1, 0x1.ab735176e66cap-1, 0x1.a5d5157bfc343p-1, 0x1.a0155620d0bfcp-1, 0x1.9a356ff08f1dap-1, 0x1.9436bf7cb18aap-1, 0x1.8e1aa0e8aac18p-1, 0x1.87e26f7cfa25p-1, 0x1.818f8541444cp-1, 0x1.7b233a9d1a64bp-1, 0x1.749ee5ff0f043p-1, 0x1.6e03db89c461dp-1, 0x1.67536cc69b26cp-1, 0x1.608ee85db1c6fp-1, 0x1.59b799d2e1ec9p-1, 0x1.52cec94774eebp-1, 0x1.4bd5bb4043adbp-1, 0x1.44cdb07000bep-1, 0x1.3db7e5856ab07p-1, 0x1.369592fd2d4c1p-1, 0x1.2f67ecf735772p-1, 0x1.2830230f49db9p-1, 0x1.20ef6038af88fp-1, 0x1.19a6ca9cb56b6p-1, 0x1.1257837bf74f9p-1, 0x1.0b02a71236961p-1, 0x1.03a94c7ca1725p-1, 0x1.f8990b44d98dp-2, 0x1.e9dabe3f3fb3ep-2, 0x1.db19c063f21ecp-2, 0x1.cc58154fa2e16p-2, 0x1.bd97b5a1d76bep-2, 0x1.aeda8ee22a8abp-2, 0x1.a022836918667p-2, 0x1.91716a4c2573bp-2, 0x1.82c90f4d4c17ep-2, 0x1.742b32cd8a4f4p-2, 0x1.659989c27643p-2, 0x1.5715bdaec0bc9p-2, 0x1.48a16c9d8b13fp-2, 0x1.3a3e292077163p-2, 0x1.2bed7a505d8a1p-2, 0x1.1db0dbd0900efp-2, 0x1.0f89bdd4944cfp-2, 0x1.0179852842087p-2, 0x1.e7031674552eap-3, 0x1.cb463c5074a4dp-3, 0x1.afbf019cf969p-3, 0x1.946fd5afd50b6p-3, 0x1.795b11a2639ap-3, 0x1.5e82f87abeb0dp-3, 0x1.43e9b758ab3eep-3, 0x1.299165a5f7c8fp-3, 0x1.0f7c054a1ba98p-3, 0x1.eb5705c1ea00cp-4, 0x1.b8436be8eba38p-4, 0x1.85c0c272239a3p-4, 0x1.53d265999c6bdp-4, 0x1.227b88f179353p-4, 0x1.e37e6fd30ad44p-5, 0x1.8340acb5ffd36p-5, 0x1.244342309fe5ep-5, 0x1.8d16ba018533ap-6, 0x1.a87778aa6408ap-7, 0x1.dfeb85822ed3fp-10, -0x1.2b2f6f294a1edp-7, -0x1.467f892f667bcp-6, -0x1.f4b13fd169802p-6, -0x1.5012f4f17f5f6p-5, -0x1.a46b8f24720c6p-5, -0x1.f75f7ce5f366fp-5, -0x1.2476071ef3e84p-4, -0x1.4c8769c39dfbep-4, -0x1.73e2ce0ef0bacp-4, -0x1.9a873a85e575p-4, -0x1.c073d3da91023p-4, -0x1.e5a7dc4218115p-4, -0x1.05115965560b8p-3, -0x1.16f1e958d3c66p-3, -0x1.2875695d0686ep-3, -0x1.399bb241bd482p-3, -0x1.4a64a9f0dd791p-3, -0x1.5ad0431a8ac31p-3, -0x1.6ade7ce1bbe1ep-3, -0x1.7a8f6289528c2p-3, -0x1.89e30b21b2054p-3, -0x1.98d99936fa2cap-3, -0x1.a7733a7fd48fdp-3, -0x1.b5b0278cfb16ap-3, -0x1.c390a37969539p-3, -0x1.d114fb9b53bd9p-3, -0x1.de3d8735deabfp-3, -0x1.eb0aa72ba78b2p-3, -0x1.f77cc5b21be65p-3, -0x1.01ca2b02d8cf9p-2, -0x1.07a8ea0f7a014p-2, -0x1.0d5ae2343e4dp-2, -0x1.12e059bae8c89p-2, -0x1.18399add93f61p-2, -0x1.1d66f3a311897p-2, -0x1.2268b5bbb9731p-2, -0x1.273f365ebb18fp-2, -0x1.2beace27e4decp-2, -0x1.306bd8f5e7439p-2, -0x1.34c2b5c9178acp-2, -0x1.38efc6a2aa75dp-2, -0x1.3cf3706472ef8p-2, -0x1.40ce1ab117053p-2, -0x1.44802fccc9b2fp-2, -0x1.480a1c7e8044fp-2, -0x1.4b6c4ff1a2de4p-2, -0x1.4ea73b9840f0cp-2, -0x1.51bb530dc0da1p-2, -0x1.54a90bfa0cd8cp-2, -0x1.5770ddf5406d9p-2, -0x1.5a13426bd233fp-2, -0x1.5c90b4833a316p-2, -0x1.5ee9b0ff173f3p-2, -0x1.611eb626d00a4p-2, -0x1.633043abb089ap-2, -0x1.651eda8f84cd1p-2, -0x1.66eafd0bae80dp-2, -0x1.68952e78b444p-2, -0x1.6a1df3364f38fp-2, -0x1.6b85d093efc52p-2, -0x1.6ccd4cb9bd768p-2, -0x1.6df4ee92104b5p-2, -0x1.6efd3db3627cp-2, -0x1.6fe6c24ab9e54p-2, -0x1.70b205068b45bp-2, -0x1.715f8f0211972p-2, -0x1.71efe9b11f3b9p-2, -0x1.72639ecc61831p-2, -0x1.72bb383e1c436p-2, -0x1.72f7400f5a6bcp-2, -0x1.7318405590823p-2, -0x1.731ec320b41d5p-2, -0x1.730b5269c4d69p-2, -0x1.72de7801ca394p-2, -0x1.7298bd8140863p-2, -0x1.723aac37f4bdp-2, -0x1.71c4cd1d54c0cp-2, -0x1.7137a8c12d704p-2, -0x1.7093c73cd32d1p-2, -0x1.6fd9b024bd9d7p-2, -0x1.6f09ea7a8c8a9p-2, -0x1.6e24fc9f7b239p-2, -0x1.6d2b6c473b7c2p-2, -0x1.6c1dbe6b3f1dp-2, -0x1.6afc773e67d16p-2, -0x1.69c81a2120aecp-2, -0x1.68812995dd975p-2, -0x1.67282736052aap-2, -0x1.65bd93a73a974p-2, -0x1.6441ee9110182p-2, -0x1.62b5b6931db95p-2, -0x1.6119693b74782p-2, -0x1.5f6d82fd799f1p-2, -0x1.5db27f2920b0ep-2, -0x1.5be8d7e27fedp-2, -0x1.5a110619c91a9p-2, -0x1.582b81839c0b9p-2, -0x1.5638c091b3b9dp-2, -0x1.5439386bf1825p-2, -0x1.522d5ce9bdb26p-2, -0x1.5015a08bc1cdep-2, -0x1.4df27475facb4p-2, -0x1.4bc4486a1e6eap-2, -0x1.498b8ac25668cp-2, -0x1.4748a86c4db35p-2, -0x1.44fc0ce48fbc1p-2, -0x1.42a6223235d7fp-2, -0x1.404750e2e8b79p-2, -0x1.3de000072758cp-2, -0x1.3b70952ee34a3p-2, -0x1.38f974665e77cp-2, -0x1.367b00335890bp-2, -0x1.33f5999282cd1p-2, -0x1.31699ff5376d5p-2, -0x1.2ed7713f7a3c4p-2, -0x1.2c3f69c63a284p-2, -0x1.29a1e44dd3f3bp-2, -0x1.26ff3a08d910ep-2, -0x1.2457c297124e4p-2, -0x1.21abd404c1d76p-2, -0x1.1efbc2ca20253p-2, -0x1.1c47e1cb16107p-2, -0x1.199082572e4ddp-2, -0x1.16d5f429bec59p-2, -0x1.1418856a4803bp-2, -0x1.115882ad0c829p-2, -0x1.0e9636f3d7057p-2, -0x1.0bd1ebaef5b8fp-2, -0x1.090be8be65448p-2, -0x1.064474732bcbcp-2, -0x1.037bd390df09dp-2, -0x1.00b2494f5a5d3p-2, -0x1.fbd02eb9362cap-3, -0x1.f63afbbd97acp-3, -0x1.f0a576ece2b05p-3, -0x1.eb101a8189171p-3, -0x1.e57b5db459894p-3, -0x1.dfe7b4c1c1482p-3, -0x1.da5590ef4f129p-3, -0x1.d4c560917b868p-3, -0x1.cf378f11b1b94p-3, -0x1.c9ac84f48f39bp-3, -0x1.c424a7e066ec6p-3, -0x1.bea05aa3f529fp-3, -0x1.b91ffd3d4b473p-3, -0x1.b3a3ece0ed411p-3, -0x1.ae2c8401242f1p-3, -0x1.a8ba1a55784b1p-3, -0x1.a34d04e259977p-3, -0x1.9de59600f1dc6p-3, -0x1.98841d671f1c6p-3, -0x1.9328e82f8f749p-3, -0x1.8dd440e1fd893p-3, -0x1.88866f7b980cp-3, -0x1.833fb97779178p-3, -0x1.7e0061d740bap-3, -0x1.78c8a92bcd67dp-3, -0x1.7398cd9e00bf4p-3, -0x1.6e710af7a77a8p-3, -0x1.69519aac686c1p-3, -0x1.643ab3e2d162ap-3, -0x1.5f2c8b7d6872fp-3, -0x1.5a275423d7a56p-3, -0x1.552b3e4c19845p-3, -0x1.50387843bac74p-3, -0x1.4b4f2e391a3afp-3, -0x1.466f8a44bc042p-3, -0x1.4199b472979b1p-3, -0x1.3ccdd2cb72f82p-3, -0x1.380c095e395b9p-3, -0x1.33547a49583c8p-3, -0x1.2ea745c41a763p-3, -0x1.2a048a27fe2e4p-3, -0x1.256c63fa11c3ap-3, -0x1.20deedf43e45bp-3, -0x1.1c5c410e98f42p-3, -0x1.17e47488a86ecp-3, -0x1.13779df2a118ep-3, -0x1.0f15d13698b1cp-3, -0x1.0abf20a1b5867p-3, -0x1.06739ced47a65p-3, -0x1.02335547df747p-3, -0x1.fbfcaebca7038p-4, -0x1.f3a95ec969a11p-4, -0x1.eb6cd03e72d46p-4, -0x1.e34715d628f9p-4, -0x1.db383f8e77fccp-4, -0x1.d3405aba3ebffp-4, -0x1.cb5f7212907bap-4, -0x1.c3958dc7dd868p-4, -0x1.bbe2b392e20b6p-4, -0x1.b446e6c5789afp-4, -0x1.acc2285b3eff4p-4, -0x1.a554770a0d522p-4, -0x1.9dfdcf52449ddp-4, -0x1.96be2b8ee82e9p-4, -0x1.8f958405916dp-4, -0x1.8883cef62e3c2p-4, -0x1.818900aa9005ep-4, -0x1.7aa50b85c8495p-4, -0x1.73d7e013568b1p-4, -0x1.6d216d161cbe9p-4, -0x1.66819f97280e7p-4, -0x1.5ff862f43ee2fp-4, -0x1.5985a0ee3e879p-4, -0x1.532941b74084cp-4, -0x1.4ce32c008aac5p-4, -0x1.46b345084bc6ap-4, -0x1.409970a71d7eap-4, -0x1.3a95915d54ddbp-4, -0x1.34a788601427dp-4, -0x1.2ecf35a62dbe1p-4, -0x1.290c77f4c9428p-4, -0x1.235f2cebd36d2p-4, -0x1.1dc7311236776p-4, -0x1.18445fe1da3b9p-4, -0x1.12d693d36cbd1p-4, -0x1.0d7da669f129fp-4, -0x1.0839703e19e85p-4, -0x1.0309c909680f5p-4, -0x1.fbdd0f622bd73p-5, -0x1.f1cf04a18c766p-5, -0x1.e7e91c8a02e5bp-5, -0x1.de2b006aeca44p-5, -0x1.d494583e0e8bep-5, -0x1.cb24cabb3d96dp-5, -0x1.c1dbfd6ba0347p-5, -0x1.b8b994bc7d9e7p-5, -0x1.afbd3411a3fabp-5, -0x1.a6e67dd763e12p-5, -0x1.9e3513942091bp-5, -0x1.95a895f97eb4bp-5, -0x1.8d40a4f5184f3p-5, -0x1.84fcdfc0dc472p-5, -0x1.7cdce4f2fcf5bp-5, -0x1.74e0528d7a733p-5, -0x1.6d06c60d4b137p-5, -0x1.654fdc7917dd2p-5, -0x1.5dbb326fa2ceap-5, -0x1.56486435bea75p-5, -0x1.4ef70dc3ec9edp-5, -0x1.47c6cad39d937p-5, -0x1.40b736ec08f6dp-5, -0x1.39c7ed6eb3278p-5, -0x1.32f889a38f853p-5, -0x1.2c48a6c4cae7bp-5, -0x1.25b7e00a388p-5, -0x1.1f45d0b46dcbap-5, -0x1.18f214177f2f8p-5, -0x1.12bc45a565aa6p-5, -0x1.0ca400f818e1ep-5, -0x1.06a8e1db4f1d7p-5, -0x1.00ca8455e4f0bp-5, -0x1.f611096602b15p-6, -0x1.eac4ff15c1a7dp-6, -0x1.dfb02396a4bf3p-6, -0x1.d4d1b17fd0e86p-6, -0x1.ca28e433bf8b5p-6, -0x1.bfb4f7ef76239p-6, -0x1.b57529d9203d7p-6, -0x1.ab68b80e2d997p-6, -0x1.a18ee1b0cba6p-6, -0x1.97e6e6f4e04fap-6, -0x1.8e70092c85724p-6, -0x1.85298ad3efd14p-6, -0x1.7c12af9cd3dffp-6, -0x1.732abc7950194p-6, -0x1.6a70f7a65b7e9p-6, -0x1.61e4a8b5b4037p-6, -0x1.598518974c33dp-6, -0x1.515191a260e3dp-6, -0x1.49495f9de8195p-6, -0x1.416bcfc8c4d9fp-6, -0x1.39b830e16ab6dp-6, -0x1.322dd32d1ed4dp-6, -0x1.2acc087ed508p-6, -0x1.2392243d93e64p-6, -0x1.1c7f7b6a85d17p-6, -0x1.159364a6a999p-6, -0x1.0ecd3838111cep-6, -0x1.082c500ed1204p-6, -0x1.01b007c988f69p-6, -0x1.f6af797359f0dp-7, -0x1.ea459bce995aap-7, -0x1.de213829712d4p-7, -0x1.d24113834a2fdp-7, -0x1.c6a3f65c437c8p-7, -0x1.bb48acba68b1cp-7, -0x1.b02e062e4a82ap-7, -0x1.a552d5d71194ap-7, -0x1.9ab5f265f68d1p-7, -0x1.905636213a0ccp-7, -0x1.86327ee6a0d2p-7, -0x1.7c49ae2d45904p-7, -0x1.729aa9071d5f3p-7, -0x1.69245821d0774p-7, -0x1.5fe5a7c753991p-7, -0x1.56dd87ddd9fa9p-7, -0x1.4e0aebe780d59p-7, -0x1.456ccb0169dcfp-7, -0x1.3d021fe28e571p-7, -0x1.34c9e8da1e645p-7, -0x1.2cc327cd873p-7, -0x1.24ece2360b35fp-7, -0x1.1d46211e0f615p-7, -0x1.15cdf11e183afp-7, -0x1.0e8362595cf9ep-7, -0x1.0765887a1f0b9p-7, -0x1.00737aad9e885p-7, -0x1.f358a73fd8582p-8, -0x1.e61e62ee6fb93p-8, -0x1.d9366b9e235a1p-8, -0x1.cc9f0b66bca31p-8, -0x1.c0569335e2b8fp-8, -0x1.b45b5ac3fb5e9p-8, -0x1.a8abc088a879ep-8, -0x1.9d4629aedfb42p-8, -0x1.922902086b3b6p-8, -0x1.8752bc011a035p-8, -0x1.7cc1d091bbab8p-8, -0x1.7274bf32838e6p-8, -0x1.686a0dcd54734p-8, -0x1.5ea048af87654p-8, -0x1.5516027b93943p-8, -0x1.4bc9d41a52489p-8, -0x1.42ba5cac045afp-8, -0x1.39e641792ffb3p-8, -0x1.314c2de32ecfdp-8, -0x1.28ead35476461p-8, -0x1.20c0e930e6a49p-8, -0x1.18cd2cc5b0476p-8, -0x1.110e61392fdabp-8, -0x1.09834f7a86bf8p-8, -0x1.022ac63142a3ap-8, -0x1.f60733592c64cp-9, -0x1.e81947a5bafb2p-9, -0x1.da898821116d1p-9, -0x1.cd55be8ede191p-9, -0x1.c07bbf7b4e349p-9, -0x1.b3f96a193c305p-9, -0x1.a7cca81fb1d9ap-9, -0x1.9bf36da7c51e7p-9, -0x1.906bb90a3533ap-9, -0x1.853392bce294cp-9, -0x1.7a490d30725bdp-9, -0x1.6faa44ada74a2p-9, -0x1.65555f334dbf6p-9, -0x1.5b488c5331ae3p-9, -0x1.518205104d90ap-9, -0x1.48000bbbf3976p-9, -0x1.3ec0ebd3ccc4cp-9, -0x1.35c2f9df9aaaap-9, -0x1.2d04934effea6p-9, -0x1.24841e57a5977p-9, -0x1.1c4009d33270cp-9, -0x1.1436cd1da91eap-9, -0x1.0c66e7f3febd2p-9, -0x1.04cee2525e146p-9, -0x1.fada98a629a93p-10, -0x1.ec817c1b46505p-10, -0x1.de8faeeb35b98p-10, -0x1.d10280747ac5dp-10, -0x1.c3d74f4bc3046p-10, -0x1.b70b88fb7a841p-10, -0x1.aa9ca9c40526ap-10, -0x1.9e883c5c08d7bp-10, -0x1.92cbd9b18b6e8p-10, -0x1.876528ab968bbp-10, -0x1.7c51ddebd6f5cp-10, -0x1.718fbb91b4029p-10, -0x1.671c90fd23733p-10, -0x1.5cf63a924fda7p-10, -0x1.531aa17deea7cp-10, -0x1.4987bb7a3732ep-10, -0x1.403b8a94036ffp-10, -0x1.37341cf1011b8p-10, -0x1.2e6f8c966d62ap-10, -0x1.25ebff300215ap-10, -0x1.1da7a5d84101dp-10, -0x1.15a0bce084bfap-10, -0x1.0dd58b9a5803bp-10, -0x1.064464214e6ap-10, -0x1.fdd7464a632bep-11, -0x1.ef935f6a26348p-11, -0x1.e1b9f616f51dfp-11, -0x1.d44800b3df70cp-11, -0x1.c73a892d7fb37p-11, -0x1.ba8eac94a4e13p-11, -0x1.ae419abab9827p-11, -0x1.a25095d088818p-11, -0x1.96b8f204c4f8dp-11, -0x1.8b78152599134p-11, -0x1.808b7641c0813p-11, -0x1.75f09d4c4cc61p-11, -0x1.6ba522c14ab4p-11, -0x1.61a6af4bd9a61p-11, -0x1.57f2fb6cd144bp-11, -0x1.4e87cf2458be1p-11, -0x1.4563019b2d9a5p-11, -0x1.3c8278ce152e8p-11, -0x1.33e4293a51044p-11, -0x1.2b86158c0be27p-11, -0x1.23664e4c75523p-11, -0x1.1b82f1934087cp-11, -0x1.13da2ab7e4793p-11, -0x1.0c6a3204b788fp-11, -0x1.05314c6b55c0bp-11, -0x1.fc5b96740359fp-12, -0x1.eebc17a59168bp-12, -0x1.e180eec5d1799p-12, -0x1.d4a7053a25ffbp-12, -0x1.c82b5ae6506e5p-12, -0x1.bc0b05a54c1e5p-12, -0x1.b04330c19662ap-12, -0x1.a4d11c72cc1acp-12, -0x1.99b21d5c8f94cp-12, -0x1.8ee39c0e029a9p-12, -0x1.8463148691effp-12, -0x1.7a2e15bb65a47p-12, -0x1.7042411f1b514p-12, -0x1.669d4a2c29bbcp-12, -0x1.5d3cf5f15363ap-12, -0x1.541f1a9ff2d92p-12, -0x1.4b419f1e02bc4p-12, -0x1.42a27a9782417p-12, -0x1.3a3fb4150fadep-12, -0x1.321762131196cp-12, -0x1.2a27aa19f75a2p-12, -0x1.226ec05b3aea3p-12, -0x1.1aeae74df35bcp-12, -0x1.139a6f4e58016p-12, -0x1.0c7bb63fe5b75p-12, -0x1.058d272fd9c0fp-12, -0x1.fd9a73f75339ep-13, -0x1.f074e5f02e413p-13, -0x1.e3a6c53345015p-13, -0x1.d72d4a411e115p-13, -0x1.cb05c48acf725p-13, -0x1.bf2d99cec3764p-13, -0x1.b3a24579fbde4p-13, -0x1.a861580d6e507p-13, -0x1.9d687685be157p-13, -0x1.92b559c50cddfp-13, -0x1.8845ce03b825ap-13, -0x1.7e17b24009453p-13, -0x1.7428f7b639862p-13, -0x1.6a77a1551f6d4p-13, -0x1.6101c33daea31p-13, -0x1.57c5823e6c07dp-13, -0x1.4ec113570a8cdp-13, -0x1.45f2bb3c6cefp-13, -0x1.3d58cddfbc79ap-13, -0x1.34f1adf988021p-13, -0x1.2cbbcc96c2f9bp-13, -0x1.24b5a8a85c53ap-13, -0x1.1cddce96da0acp-13, -0x1.1532d7d778dc6p-13, -0x1.0db36a84aa012p-13, -0x1.065e38f86e46fp-13, -0x1.fe6402d2a068ap-14, -0x1.f05b1b15a729p-14, -0x1.e29f645e1ab25p-14, -0x1.d52e9dd7e37e3p-14, -0x1.c8069b8226134p-14, -0x1.bb254584ccf1p-14, -0x1.ae88978685c67p-14, -0x1.a22ea007c1d33p-14, -0x1.96157fc2adbcep-14, -0x1.8a3b6910302ap-14, -0x1.7e9e9f4f942fep-14, -0x1.733d76528e1fap-14, -0x1.681651cee4e67p-14, -0x1.5d27a4d18a8fap-14, -0x1.526ff138f3e67p-14, -0x1.47edc72ee0b2dp-14, -0x1.3d9fc4a9d06e1p-14, -0x1.338494eea14dfp-14, -0x1.299af01959887p-14, -0x1.1fe19aa5a51dap-14, -0x1.165764fdd1469p-14, -0x1.0cfb2b0b64105p-14, -0x1.03cbd3cb574eep-14, -0x1.f590a1cc6be93p-15, -0x1.e3df3c9407c44p-15, -0x1.d281838ebc74ap-15, -0x1.c1759566dea3cp-15, -0x1.b0b9a31272ef7p-15, -0x1.a04bef2320c4dp-15, -0x1.902acd16d9048p-15, -0x1.8054a0ae8fa7ap-15, -0x1.70c7dd4c308d6p-15, -0x1.6183055518166p-15, -0x1.5284a994ee1c1p-15, -0x1.43cb68ac88a59p-15, -0x1.3555ee8173fc7p-15, -0x1.2722f3b297addp-15, -0x1.19313d11fafebp-15, -0x1.0b7f9b223334bp-15, -0x1.fc19d3316e9efp-16, -0x1.e1b01dcba4c8p-16, -0x1.c7bff77a4ab8bp-16, -0x1.ae47554b5fcbap-16, -0x1.95443f1589479p-16, -0x1.7cb4cea63946p-16, -0x1.64972ef417d5ep-16, -0x1.4ce99b5adf165p-16, -0x1.35aa5edd5c569p-16, -0x1.1ed7d36c9ce8bp-16, -0x1.0870613885ffap-16, -0x1.e4e4fc0f05ee4p-17, -0x1.b9b9591989a9fp-17, -0x1.8f5af79aa45dfp-17, -0x1.65c70d152b41ep-17, -0x1.3cfae55686637p-17, -0x1.14f3e16134afcp-17, -0x1.db5eecb8fad62p-18, -0x1.8e5659286a982p-18, -0x1.42c93cf7492afp-18, -0x1.f165deeb7170ep-19, -0x1.601dd142fe9p-19, -0x1.a362fd4f48271p-20, -0x1.18613d4e57b7bp-21, 0x1.0ad874aa384cfp-21, 0x1.9183e614259d9p-20, 0x1.4c132d1af9f33p-19, 0x1.ccb1979a3f63bp-19, 0x1.2552697895b5p-18, 0x1.62fa2b0a8e056p-18, 0x1.9f53b8925badcp-18, 0x1.da62a7d5766e4p-18, 0x1.0a153eb1b4d4bp-17, 0x1.265756da1ae6dp-17, 0x1.41f94f0cca08dp-17, 0x1.5cfcd2e4bc96cp-17, 0x1.7763875be9d58p-17, 0x1.912f0b3c8f8b8p-17, 0x1.aa60f78bdef77p-17, 0x1.c2fadfee61bd3p-17, 0x1.dafe5302ac4bcp-17, 0x1.f26cdac596b12p-17, 0x1.04a3fe6e33e39p-16, 0x1.0fc89d7612bbbp-16, 0x1.1aa5097291efdp-16, 0x1.2539ffa2e6218p-16, 0x1.2f883bb2d5f57p-16, 0x1.399077d6cffb9p-16, 0x1.43536cecd96c1p-16, 0x1.4cd1d296affb3p-16, 0x1.560c5f5606aaap-16, 0x1.5f03c8a142fd7p-16, 0x1.67b8c2fe4b03bp-16, 0x1.702c0214c7bacp-16, 0x1.785e38c47db4p-16, 0x1.8050193620af9p-16, 0x1.880254ebaf98fp-16, 0x1.8f759cd124d25p-16, 0x1.96aaa149d6622p-16, 0x1.9da2123d482bep-16, 0x1.a45c9f24be8e9p-16, 0x1.aadaf713406e3p-16, 0x1.b11dc8c2668b6p-16, 0x1.b725c297aa84ap-16, 0x1.bcf392aec0657p-16, 0x1.c287e6dd95dddp-16, 0x1.c7e36cbc45e3p-16, 0x1.cd06d1a9903d2p-16, 0x1.d1f2c2ce3af0cp-16, 0x1.d6a7ed213b417p-16, 0x1.db26fd6a91cd5p-16, 0x1.df70a04390719p-16, 0x1.e385821a66382p-16, 0x1.e7664f30832cp-16, 0x1.eb13b39d18f0bp-16, 0x1.ee8e5b4b1844cp-16, 0x1.f1d6f1f856abfp-16, 0x1.f4ee23341fa96p-16, 0x1.f7d49a5e555e8p-16, 0x1.fa8b02a2a61fdp-16, 0x1.fd1206f881a56p-16, 0x1.ff6a521f24a28p-16, 0x1.00ca474ce264fp-15, 0x1.01c8b355a5d83p-15, 0x1.02b0c229ca518p-15, 0x1.0382c8a4c667cp-15, 0x1.043f1b7ba24f9p-15, 0x1.04e60f3ad09dbp-15, 0x1.0577f84322413p-15, 0x1.05f52ac7832b9p-15, 0x1.065dfaca1e35ap-15, 0x1.06b2bc19b542ap-15, 0x1.06f3c24e2ffcbp-15, 0x1.072160c695604p-15, 0x1.073beaa52b246p-15, 0x1.0743b2cd2c42bp-15, 0x1.07390bdf695b7p-15, 0x1.071c4836c9086p-15, 0x1.06edb9e5dc2abp-15, 0x1.06adb2b2cae26p-15, 0x1.065c841540c56p-15, 0x1.05fa7f3264a5ep-15, 0x1.0587f4d9fb067p-15, 0x1.050535839472p-15, 0x1.0472914b2e97fp-15, 0x1.03d057ed74214p-15, 0x1.031ed8c554f56p-15, 0x1.025e62c88577ep-15, 0x1.018f4484c6197p-15, 0x1.00b1cc1c5c193p-15, 0x1.ff8c8e86f022fp-16, 0x1.fd9a0679a91cep-16, 0x1.fb8c99aefc7adp-16, 0x1.f964e0d57641ap-16, 0x1.f72373a88709cp-16, 0x1.f4c8e8ea0aacp-16, 0x1.f255d65d1b1e3p-16, 0x1.efcad0bfd96afp-16, 0x1.ed286bc72f109p-16, 0x1.ea6f3a1925a5ep-16, 0x1.e79fcd47276f4p-16, 0x1.e4bab5c9be94dp-16, 0x1.e1c082fbec946p-16, 0x1.deb1c3161cd2bp-16, 0x1.db8f0329afef4p-16, 0x1.d858cf1bee558p-16, 0x1.d50fb1a355344p-16, 0x1.d1b434422656fp-16, 0x1.ce46df42470f8p-16, 0x1.cac839b1aba42p-16, 0x1.c738c95eccd3p-16, 0x1.c39912d4882dbp-16, 0x1.bfe9995735949p-16, 0x1.bc2adee0fa24dp-16, 0x1.b85d641e730e7p-16, 0x1.b481a86bfe398p-16, 0x1.b09829d251a82p-16, 0x1.aca16504398f6p-16, 0x1.a89dd55b86314p-16, 0x1.a48df4d78a5bp-16, 0x1.a0723c19b5a87p-16, 0x1.9c4b2263a57b1p-16, 0x1.98191d9566f0dp-16, 0x1.93dca22a64bdcp-16, 0x1.8f9623391f1dap-16, 0x1.8b4612708b87bp-16, 0x1.86ece01716519p-16, 0x1.828afb08b5cf9p-16, 0x1.7e20d0b6214a6p-16, 0x1.79aecd23e27c5p-16, 0x1.75355ae8720f8p-16, 0x1.70b4e32beb3c9p-16, 0x1.6c2dcda7aa834p-16, 0x1.67a080a55cfebp-16, 0x1.630d60fe3bad5p-16, 0x1.5e74d21ab7dafp-16, 0x1.59d735f2af028p-16, 0x1.5534ed0d2b649p-16, 0x1.508e567fe9884p-16, 0x1.4be3cfefd1497p-16, 0x1.4735b5912849bp-16, 0x1.42846227a564dp-16, 0x1.3dd02f070a2c7p-16, 0x1.391974144f62fp-16, 0x1.346087c5b6469p-16, 0x1.2fa5bf230c4d8p-16, 0x1.2ae96dc7446f6p-16, 0x1.262be5e0e9b77p-16, 0x1.216d7833c4ce4p-16, 0x1.1cae741939a63p-16, 0x1.17ef2781ea232p-16, 0x1.132fdef705e47p-16, 0x1.0e70e59baaa16p-16, 0x1.09b2852e86182p-16, 0x1.04f5060b3ce6dp-16, 0x1.0038af2bb549ep-16, 0x1.f6fb8c5454599p-17, 0x1.ed891e873aafdp-17, 0x1.e41a9ab1bb76p-17, 0x1.dab083e0f2bp-17, 0x1.d14b5a720b4c7p-17, 0x1.c7eb9c1710c4dp-17, 0x1.be91c3da54216p-17, 0x1.b53e4a219d1afp-17, 0x1.abf1a4b54a9afp-17, 0x1.a2ac46c3a6734p-17, 0x1.996ea0e6133b1p-17, 0x1.903921252576cp-17, 0x1.870c32fe41dd6p-17, 0x1.7de83f68f4ffbp-17, 0x1.74cdacdbc0959p-17, 0x1.6bbcdf51d3b4p-17, 0x1.62b6384f84843p-17, 0x1.59ba16e8a8712p-17, 0x1.50c8d7c59c8b9p-17, 0x1.47e2d528b7ff2p-17, 0x1.3f0866f4bb742p-17, 0x1.3639e2b208933p-17, 0x1.2d779b94dc144p-17, 0x1.24c1e283025a4p-17, 0x1.1c190618aa3a3p-17, 0x1.137d52b05c362p-17, 0x1.0aef126828a35p-17, 0x1.026e8d281b5ep-17, 0x1.f3f8114e59f37p-18, 0x1.e32f90e5d97a4p-18, 0x1.d2841beac545dp-18, 0x1.c1f630f698952p-18, 0x1.b1864a727ee3dp-18, 0x1.a134dea7ea69bp-18, 0x1.91025fcab87bcp-18, 0x1.80ef3c06fb816p-18, 0x1.70fbdd8d7e58bp-18, 0x1.6128aaa1663b5p-18, 0x1.517605a318d06p-18, 0x1.41e44d205f611p-18, 0x1.3273dbddf83a8p-18, 0x1.232508e6d79f9p-18, 0x1.13f82799df95ap-18, 0x1.04ed87b47b992p-18, 0x1.ec0aeac13fcb4p-19, 0x1.ce807282dee0dp-19, 0x1.b13c31027cb7ep-19, 0x1.943ea9bd7ed54p-19, 0x1.778859725246p-19, 0x1.5b19b63903b9cp-19, 0x1.3ef32f9edef4fp-19, 0x1.23152ec077da4p-19, 0x1.0780166498e3ap-19, 0x1.d8688625d5cedp-20, 0x1.a2641660ccbe3p-20, 0x1.6cf37e2d605e6p-20, 0x1.3817525ff22acp-20, 0x1.03d01c1d42b01p-20, 0x1.a03cb219ac189p-21, 0x1.3a04f71c8dbcep-21, 0x1.a9f3aba1aa62fp-22, 0x1.c4701bc896cf9p-23, 0x1.cd85bb521ee02p-26, -0x1.4c549c7428c01p-23, -0x1.66cefc9774555p-22, -0x1.128a72480eb5ep-21, -0x1.707db18380c48p-21, -0x1.cd40fdf2b604cp-21, -0x1.146a165560096p-20, -0x1.419b92c428d9dp-20, -0x1.6e34f1619db5fp-20, -0x1.9a36384dea7efp-20, -0x1.c59f7680be963p-20, -0x1.f070c395a4db1p-20, -0x1.0d551fce3d4a4p-19, -0x1.222609799d072p-19, -0x1.36ab370acfd71p-19, -0x1.4ae4c4b8ec936p-19, -0x1.5ed2d29b9e866p-19, -0x1.72758498c988dp-19, -0x1.85cd024b74cf9p-19, -0x1.98d976ef019c7p-19, -0x1.ab9b114be0b44p-19, -0x1.be1203a174f32p-19, -0x1.d03e838ed22ffp-19, }}, 
      {{0x1.fff5f2a0a9edap-1, 0x1.ffd7ccd8c7763p-1, 0x1.ffa595a730b4fp-1, 0x1.ff5f58a8f7cd3p-1, 0x1.ff052608712f5p-1, 0x1.fe9712665e979p-1, 0x1.fe1536bdfb6f2p-1, 0x1.fd7fb044afcf6p-1, 0x1.fcd6a0462b022p-1, 0x1.fc1a2bfd972dfp-1, 0x1.fb4a7c6c8dbdep-1, 0x1.fa67be305da94p-1, 0x1.f972215628335p-1, 0x1.f869d92e4369bp-1, 0x1.f74f1c1f49bb6p-1, 0x1.f62223792a005p-1, 0x1.f4e32b4881643p-1, 0x1.f392722a7fdafp-1, 0x1.f230392188613p-1, 0x1.f0bcc36abb36ep-1, 0x1.ef385654894d4p-1, 0x1.eda339166fb1fp-1, 0x1.ebfdb4a9eec21p-1, 0x1.ea4813a4cddadp-1, 0x1.e882a214b1b0cp-1, 0x1.e6adad5c155aep-1, 0x1.e4c984109c9c7p-1, 0x1.e2d675dacb86bp-1, 0x1.e0d4d357183abp-1, 0x1.dec4edf855b1cp-1, 0x1.dca717eb73274p-1, 0x1.da7ba3fc84433p-1, 0x1.d842e57d0d677p-1, 0x1.d5fd302b8921cp-1, 0x1.d3aad81c1d13cp-1, 0x1.d14c31a273546p-1, 0x1.cee1913cafeddp-1, 0x1.cc6b4b7f749dfp-1, 0x1.c9e9b502eb5fep-1, 0x1.c75d2250c9e2ap-1, 0x1.c4c5e7d3463c4p-1, 0x1.c22459c4f0169p-1, 0x1.bf78cc2165fc1p-1, 0x1.bcc39296db1cp-1, 0x1.ba050078660bcp-1, 0x1.b73d68b10d178p-1, 0x1.b46d1db787c4ep-1, 0x1.b1947182ae7ffp-1, 0x1.aeb3b57e8e1bdp-1, 0x1.abcb3a821936cp-1, 0x1.a8db50c56cbc1p-1, 0x1.a5e447d8a6318p-1, 0x1.a2e66e9b3e9ep-1, 0x1.9fe21333e92ap-1, 0x1.9cd78308eb5a3p-1, 0x1.99c70ab8ec0ap-1, 0x1.96b0f61432c46p-1, 0x1.9395901652dd9p-1, 0x1.907522e03d062p-1, 0x1.8d4ff7b2b39a8p-1, 0x1.8a2656e91d48ep-1, 0x1.86f887f4b3325p-1, 0x1.83c6d1580577p-1, 0x1.809178a2d2aabp-1, 0x1.7d58c26e31f7p-1, 0x1.7a1cf2590873bp-1, 0x1.76de4b04cb755p-1, 0x1.739d0e12893aap-1, 0x1.70597c2038a15p-1, 0x1.6d13d4c64b0b7p-1, 0x1.69cc56958075bp-1, 0x1.66833f14f8afbp-1, 0x1.6338cac083787p-1, 0x1.5fed350729c8p-1, 0x1.5ca0b849f1265p-1, 0x1.59538ddad43ap-1, 0x1.5605edfbf36a2p-1, 0x1.52b80fdef6194p-1, 0x1.4f6a29a49f1d4p-1, 0x1.4c1c705c92086p-1, 0x1.48cf180544a5dp-1, 0x1.4582538c1f4d3p-1, 0x1.423654cdc76e8p-1, 0x1.3eeb4c969537dp-1, 0x1.3ba16aa32e654p-1, 0x1.3858dda14b813p-1, 0x1.3511d3309fe3dp-1, 0x1.31cc77e3e5c29p-1, 0x1.2e88f7420c8dep-1, 0x1.2b477bc788f3bp-1, 0x1.28082ee7c3abcp-1, 0x1.24cb390ea5123p-1, 0x1.2190c1a240348p-1, 0x1.1e58ef0496b78p-1, 0x1.1b23e69577215p-1, 0x1.17f1ccb475be7p-1, 0x1.14c2c4c2f9fa8p-1, 0x1.1196f126645a2p-1, 0x1.0e6e734a4806fp-1, 0x1.0b496ba2b8cefp-1, 0x1.0827f9aeab9dp-1, 0x1.050a3bfa67a75p-1, 0x1.01f05022096dfp-1, 0x1.fdb4a5a82799p-2, 0x1.f790bfa81f1dbp-2, 0x1.f17523fa6ffeep-2, 0x1.eb62068a69bf9p-2, 0x1.e557997dbcfc5p-2, 0x1.df560d3a1761cp-2, 0x1.d95d906ad6817p-2, 0x1.d36e5006c6f77p-2, 0x1.cd887755f7cb3p-2, 0x1.c7ac2ff7970c1p-2, 0x1.c1d9a1e7df95fp-2, 0x1.bc10f3860d6dcp-2, 0x1.b652499a5f505p-2, 0x1.b09dc75c1d174p-2, 0x1.aaf38e77a6798p-2, 0x1.a553bf1489b61p-2, 0x1.9fbe77db995dcp-2, 0x1.9a33d5fd09973p-2, 0x1.94b3f5368e437p-2, 0x1.8f3eefd97ae59p-2, 0x1.89d4ded0e057p-2, 0x1.8475d9a7ac3e2p-2, 0x1.7f21f68ec652p-2, 0x1.79d94a632a19dp-2, 0x1.749be8b3fe07dp-2, 0x1.6f69e3c8a62f7p-2, 0x1.6a434ca6d1b3bp-2, 0x1.6528331885214p-2, 0x1.6018a5b2195a2p-2, 0x1.5b14b1d83af0bp-2, 0x1.561c63c5da1f2p-2, 0x1.512fc6921a4dcp-2, 0x1.4c4ee43633865p-2, 0x1.4779c5934e305p-2, 0x1.42b07278535dp-2, 0x1.3df2f1a7b60aep-2, 0x1.394148dd2d749p-2, 0x1.349b7cd369a83p-2, 0x1.30019149bb5dap-2, 0x1.2b738909ae9afp-2, 0x1.26f165ec9c1ccp-2, 0x1.227b28e12d1cp-2, 0x1.1e10d1f0d4f63p-2, 0x1.19b260453c525p-2, 0x1.155fd22d9f849p-2, 0x1.111925242182bp-2, 0x1.0cde55d310c57p-2, 0x1.08af601a1e87dp-2, 0x1.048c3f1387f38p-2, 0x1.0074ed19344e6p-2, 0x1.f8d2c793815e6p-3, 0x1.f0d3381b05cd9p-3, 0x1.e8eb1c36f13ccp-3, 0x1.e11a62fc5c35ep-3, 0x1.d960fa3120a92p-3, 0x1.d1bece556c84ap-3, 0x1.ca33caad2e78fp-3, 0x1.c2bfd9496a1cfp-3, 0x1.bb62e3116c66ap-3, 0x1.b41ccfcbe31dbp-3, 0x1.aced8627d4a32p-3, 0x1.a5d4ebc57d55ap-3, 0x1.9ed2e53f0b88fp-3, 0x1.97e756313bd32p-3, 0x1.91122143df5c1p-3, 0x1.8a53283238d54p-3, 0x1.83aa4bd33ff01p-3, 0x1.7d176c21cc324p-3, 0x1.769a684493dp-3, 0x1.70331e961b915p-3, 0x1.69e16cac78fbp-3, 0x1.63a52f6103cp-3, 0x1.5d7e42d7debdap-3, 0x1.576c828766937p-3, 0x1.516fc93f8253dp-3, 0x1.4b87f130d3a82p-3, 0x1.45b4d3f3c9ee9p-3, 0x1.3ff64a8f976f7p-3, 0x1.3a4c2d8106071p-3, 0x1.34b654c1316c3p-3, 0x1.2f3497cc1d65fp-3, 0x1.29c6cda737c6dp-3, 0x1.246ccce7b02ecp-3, 0x1.1f266bb8bd54cp-3, 0x1.19f37fe1bb9c7p-3, 0x1.14d3decc368f1p-3, 0x1.0fc75d89cba14p-3, 0x1.0acdd0d9f7db6p-3, 0x1.05e70d2fc4165p-3, 0x1.0112e6b756d3cp-3, 0x1.f8a262b6c954ep-4, 0x1.ef43819510216p-4, 0x1.e608d0f8fa03cp-4, 0x1.dcf1f76e7bb3fp-4, 0x1.d3fe9b2809d9cp-4, 0x1.cb2e620867748p-4, 0x1.c280f1ac36b02p-4, 0x1.b9f5ef7356b5cp-4, 0x1.b18d008a0af32p-4, 0x1.a945c9f1ef5ddp-4, 0x1.a11ff08aa81ap-4, 0x1.991b191a72b27p-4, 0x1.9136e8566f5c4p-4, 0x1.897302eabe134p-4, 0x1.81cf0d8266c1cp-4, 0x1.7a4aaccf0e379p-4, 0x1.72e585907659ep-4, 0x1.6b9f3c9bced33p-4, 0x1.647776e2cfeecp-4, 0x1.5d6dd97aa8975p-4, 0x1.568209a2b78fap-4, 0x1.4fb3accb1638cp-4, 0x1.4902689af37f4p-4, 0x1.426de2f6bfcf5p-4, 0x1.3bf5c2062799fp-4, 0x1.3599ac39e591p-4, 0x1.2f594851601c3p-4, 0x1.29343d601fc02p-4, 0x1.232a32d316332p-4, 0x1.1d3ad075b9a34p-4, 0x1.1765be76f6d2bp-4, 0x1.11aaa56df62a9p-4, 0x1.0c092e5eb8575p-4, 0x1.068102be87cbcp-4, 0x1.0111cc784551ep-4, 0x1.f7766be10ecc7p-5, 0x1.ecf9d41328e7bp-5, 0x1.e2ad284e6e7c6p-5, 0x1.d88fc064d602ap-5, 0x1.cea0f539c4335p-5, 0x1.c4e020c8d3ad2p-5, 0x1.bb4c9e2c48828p-5, 0x1.b1e5c9a34c303p-5, 0x1.a8ab0097d4146p-5, 0x1.9f9ba1a44aad4p-5, 0x1.96b70c98f43b5p-5, 0x1.8dfca2810db9cp-5, 0x1.856bc5a7ac81dp-5, 0x1.7d03d99c5b143p-5, 0x1.74c443377bd5p-5, 0x1.6cac689e6947bp-5, 0x1.64bbb1475ad51p-5, 0x1.5cf185fd0dc12p-5, 0x1.554d50e236893p-5, 0x1.4dce7d74b563ep-5, 0x1.4674789095a05p-5, 0x1.3f3eb072d6219p-5, 0x1.382c94bbfcb9dp-5, 0x1.313d96726fd16p-5, 0x1.2a712804a8ffdp-5, 0x1.23c6bd4b28aa2p-5, 0x1.1d3dcb8a412adp-5, 0x1.16d5c973af4f6p-5, 0x1.108e2f2806dafp-5, 0x1.0a667637ec5e6p-5, 0x1.045e19a52a793p-5, 0x1.fce92bc728df9p-6, 0x1.f152d1b38908bp-6, 0x1.e5f823c36197p-6, 0x1.dad82392231ep-6, 0x1.cff1d5a357166p-6, 0x1.c5444162d8dd2p-6, 0x1.bace7124cdf68p-6, 0x1.b08f72254caf4p-6, 0x1.a6865487d0c87p-6, 0x1.9cb22b56555c2p-6, 0x1.93120c8041b94p-6, 0x1.89a510d90af3ep-6, 0x1.806a54169c75dp-6, 0x1.7760f4cf86273p-6, 0x1.6e881478f02f7p-6, 0x1.65ded76455b61p-6, 0x1.5d6464bd0add3p-6, 0x1.5517e685922dbp-6, 0x1.4cf88994b79bap-6, 0x1.45057d9286f35p-6, 0x1.3d3df4f507dddp-6, 0x1.35a124fcd49afp-6, 0x1.2e2e45b181944p-6, 0x1.26e491dde2761p-6, 0x1.1fc3470c16485p-6, 0x1.18c9a5818790ep-6, 0x1.11f6f03aa99ccp-6, 0x1.0b4a6ce6ab3a7p-6, 0x1.04c363e2f99adp-6, 0x1.fcc2406d5251dp-7, 0x1.f045df1b74fb9p-7, 0x1.e41044688d68p-7, 0x1.d82016231dc16p-7, 0x1.cc73ff45d7c4cp-7, 0x1.c10aafed50beap-7, 0x1.b5e2dd4d90f01p-7, 0x1.aafb41a75b2d3p-7, 0x1.a0529c3d5df71p-7, 0x1.95e7b1493bc51p-7, 0x1.8bb949f05b02fp-7, 0x1.81c63438a3c31p-7, 0x1.780d42fd18d93p-7, 0x1.6e8d4de24c5dap-7, 0x1.6545314ab80afp-7, 0x1.5c33ce4aff168p-7, 0x1.53580a9e0b725p-7, 0x1.4ab0d099283d8p-7, 0x1.423d0f1fef983p-7, 0x1.39fbb998407cep-7, 0x1.31ebc7ddfe6a8p-7, 0x1.2a0c3636eb3c4p-7, 0x1.225c054651b78p-7, 0x1.1ada3a00b93f8p-7, 0x1.1385dd9f85b11p-7, 0x1.0c5dfd9490112p-7, 0x1.0561ab7dbaddfp-7, 0x1.fd1ffa30fb054p-8, 0x1.efd0186adcc52p-8, 0x1.e2d1ed5795d87p-8, 0x1.d623bc99f4eep-8, 0x1.c9c3d1b02d3c3p-8, 0x1.bdb07fdaea07cp-8, 0x1.b1e822045266ap-8, 0x1.a6691aa74a18p-8, 0x1.9b31d3b66d65ep-8, 0x1.9040be836eb27p-8, 0x1.859453a641ebcp-8, 0x1.7b2b12e47dc1fp-8, 0x1.71038318cce8ap-8, 0x1.671c321a5a481p-8, 0x1.5d73b4a483437p-8, 0x1.5408a63e6d928p-8, 0x1.4ad9a922e7219p-8, 0x1.41e56628505c1p-8, 0x1.392a8ca89489bp-8, 0x1.30a7d2695eb01p-8, 0x1.285bf3846fab8p-8, 0x1.2045b24fedcd9p-8, 0x1.1863d7470faf9p-8, 0x1.10b530f2cfbd7p-8, 0x1.093893d2cbf31p-8, 0x1.01ecda464a2fap-8, 0x1.f5a1c8eaeb5c8p-9, 0x1.e7c7307560f23p-9, 0x1.da47c2184ce69p-9, 0x1.cd215fcaf5ae7p-9, 0x1.c051f66378b8p-9, 0x1.b3d77d6ac7895p-9, 0x1.a7aff6f14d317p-9, 0x1.9bd96f63cd24fp-9, 0x1.9051fd60a13ecp-9, 0x1.8517c18d7f6bap-9, 0x1.7a28e66d77a2p-9, 0x1.6f83a0376e433p-9, 0x1.65262cad00518p-9, 0x1.5b0ed2f1d29d6p-9, 0x1.513be3634405fp-9, 0x1.47abb7707d2cfp-9, 0x1.3e5cb17300851p-9, 0x1.354d3c87a7065p-9, 0x1.2c7bcc67f5d4cp-9, 0x1.23e6dd43ed7fep-9, 0x1.1b8cf39c599c9p-9, 0x1.136c9c1d59ca8p-9, 0x1.0b846b79939c5p-9, 0x1.03d2fe45b740cp-9, 0x1.f8adf1a8dc023p-10, 0x1.ea1e0e25a4381p-10, 0x1.dbf3b8ca6780ep-10, 0x1.ce2c6708bde42p-10, 0x1.c0c59cb6d4754p-10, 0x1.b3bcebcb856e7p-10, 0x1.a70ff41b9f29cp-10, 0x1.9abc6317c4394p-10, 0x1.8ebff38bb609cp-10, 0x1.83186d5d9b03fp-10, 0x1.77c3a54f15ad8p-10, 0x1.6cbf7cbe7fd0fp-10, 0x1.6209e16965673p-10, 0x1.57a0cd2fbee83p-10, 0x1.4d8245d80f0a2p-10, 0x1.43ac5cd44468ep-10, 0x1.3a1d2f07843c9p-10, 0x1.30d2e48cd99fdp-10, 0x1.27cbb07ea8bd2p-10, 0x1.1f05d0bf044b4p-10, 0x1.167f8dc0c2708p-10, 0x1.0e373a5179955p-10, 0x1.062b336455638p-10, 0x1.fcb3bfbb4ee9fp-11, 0x1.ed8360bec5126p-11, 0x1.dec23e2c51518p-11, 0x1.d06d5f0efd295p-11, 0x1.c281dcc0f1d7p-11, 0x1.b4fce28add7bcp-11, 0x1.a7dbad44846efp-11, 0x1.9b1b8af722e37p-11, 0x1.8eb9da813d5ep-11, 0x1.82b40b3bf647bp-11, 0x1.77079ca1fadadp-11, 0x1.6bb21df7965edp-11, 0x1.60b12df4fa5e1p-11, 0x1.56027a7102087p-11, 0x1.4ba3c00e379eep-11, 0x1.4192c9e911f92p-11, 0x1.37cd7147556cap-11, 0x1.2e519d49054c9p-11, 0x1.251d429aea49p-11, 0x1.1c2e632a56fc3p-11, 0x1.13830dda11a6dp-11, 0x1.0b195e38f28cap-11, 0x1.02ef7c398b599p-11, 0x1.f60737d66754bp-12, 0x1.e6a7fa692c601p-12, 0x1.d7bdd71e50ee5p-12, 0x1.c9457b884e3c6p-12, 0x1.bb3bab557c6c3p-12, 0x1.ad9d3fceec3e5p-12, 0x1.a06727596060dp-12, 0x1.939664f94d5cbp-12, 0x1.87280fd873575p-12, 0x1.7b1952ce8126p-12, 0x1.6f676beb7863bp-12, 0x1.640fac04d497dp-12, 0x1.590f7644473c3p-12, 0x1.4e643fb9ab059p-12, 0x1.440b8eeddf8e2p-12, 0x1.3a02fb7927059p-12, 0x1.30482d9a4aef7p-12, 0x1.26d8ddd11edefp-12, 0x1.1db2d479dd9fcp-12, 0x1.14d3e96b94a4cp-12, 0x1.0c3a0397e055ap-12, 0x1.03e318acd5019p-12, 0x1.f79a59721f056p-13, 0x1.e7eca3a25521ep-13, 0x1.d8b94f6f5ffb1p-13, 0x1.c9fcb70c72f2ap-13, 0x1.bbb34eb29252ap-13, 0x1.add9a3f93b435p-13, 0x1.a06c5d3598e43p-13, 0x1.936838da8d111p-13, 0x1.86ca0cdd9ef44p-13, 0x1.7a8ec61f0fbd2p-13, 0x1.6eb367d49a16ap-13, 0x1.63350af843befp-13, 0x1.5810ddb96b14ap-13, 0x1.4d4422f1d20e2p-13, 0x1.42cc319d994b8p-13, 0x1.38a674556c4dcp-13, 0x1.2ed068cc90f9fp-13, 0x1.25479f51ba2d7p-13, 0x1.1c09ba5214793p-13, 0x1.13146de01c0a7p-13, 0x1.0a657f3c43587p-13, 0x1.01fac460bb76bp-13, 0x1.f3a44720659d4p-14, 0x1.e3d325cd067dep-14, 0x1.d47e2fd8cbe61p-14, 0x1.c5a18e5bc7f9p-14, 0x1.b73987a422fb3p-14, 0x1.a9427e6ddf59dp-14, 0x1.9bb8f11c8bd48p-14, 0x1.8e9978fad045bp-14, 0x1.81e0c97e48b7cp-14, 0x1.758baf903c5f3p-14, 0x1.699710d9e89cfp-14, 0x1.5dffeb15b81cp-14, 0x1.52c35364e599cp-14, 0x1.47de75a844d28p-14, 0x1.3d4e93de9dcfbp-14, 0x1.33110584ec705p-14, 0x1.292336fcd612ap-14, 0x1.1f82a8f4fbb9p-14, 0x1.162cefd63afe1p-14, 0x1.0d1fb333fd0a4p-14, 0x1.0458ad40b8d08p-14, 0x1.f7ab54893f317p-15, 0x1.e7291033aa26ep-15, 0x1.d7266b53e7f13p-15, 0x1.c79f64df7868p-15, 0x1.b8901bf8ed373p-15, 0x1.a9f4cefe8d908p-15, 0x1.9bc9daa2b8dbbp-15, 0x1.8e0bb905d55bcp-15, 0x1.80b700d98690dp-15, 0x1.73c86488b1444p-15, 0x1.673cb164b6161p-15, 0x1.5b10ced86a606p-15, 0x1.4f41bda0d30b2p-15, 0x1.43cc970b61e62p-15, 0x1.38ae8c3764827p-15, 0x1.2de4e55f2f2f9p-15, 0x1.236d012540b44p-15, 0x1.194453e416e68p-15, 0x1.0f686706766e9p-15, 0x1.05d6d861a7571p-15, 0x1.f91ab329f4fc4p-16, 0x1.e7135edb2a72ap-16, 0x1.d593629db797bp-16, 0x1.c496913c84a46p-16, 0x1.b418e0676fa35p-16, 0x1.a416679d5c9c3p-16, 0x1.948b5f1bd59adp-16, 0x1.85741ed83bf38p-16, 0x1.76cd1d7d95d46p-16, 0x1.6892ef746a753p-16, 0x1.5ac245f20b28bp-16, 0x1.4d57ee0a3b268p-16, 0x1.4050cfcca1d45p-16, 0x1.33a9ed67bd0f9p-16, 0x1.2760625063854p-16, 0x1.1b71626fc1157p-16, 0x1.0fda3959e3341p-16, 0x1.0498498669a66p-16, 0x1.f35217261e34ep-17, 0x1.de141b0f9d44fp-17, 0x1.c971e4484fb5fp-17, 0x1.b566e060de819p-17, 0x1.a1eea3a549612p-17, 0x1.8f04e7d53c8ebp-17, 0x1.7ca58ae4878c6p-17, 0x1.6acc8dc3cd714p-17, 0x1.597613363a99p-17, 0x1.489e5eabc32c1p-17, 0x1.3841d329f516bp-17, 0x1.285cf239f8006p-17, 0x1.18ec5adc1e464p-17, 0x1.09ecc88956d52p-17, 0x1.f6b62475e4001p-18, 0x1.da6852ecb65e4p-18, 0x1.beea32c97af28p-18, 0x1.a4360be42c41dp-18, 0x1.8a4655e5cf2edp-18, 0x1.7115b6997137cp-18, 0x1.589f005676694p-18, 0x1.40dd306f23ed6p-18, 0x1.29cb6db4f9572p-18, 0x1.136506fd838f7p-18, 0x1.fb4ae37e84d3ap-19, 0x1.d11091676f84cp-19, 0x1.a81295114472cp-19, 0x1.8048b130e5e57p-19, 0x1.59aaeb58113f5p-19, 0x1.343189a007845p-19, 0x1.0fd51050f8ed1p-19, 0x1.d91c7f566a2bep-20, 0x1.94ac238de34edp-20, 0x1.524b70f632914p-20, 0x1.11ed36cf7334p-20, 0x1.a70957d17e1ecp-21, 0x1.2e0ad5f344358p-21, 0x1.718dbc0ad0ddap-22, 0x1.1c987e30e52fap-23, -0x1.377018ca68e5fp-24, -0x1.2316f66a4864ap-22, -0x1.f18f2813a2c22p-22, -0x1.5cb6f8a7ce901p-21, -0x1.bd6dba07f41d7p-21, -0x1.0d7faa455f117p-20, -0x1.3abf5ab2f53b1p-20, -0x1.667f1ff015d6dp-20, -0x1.90c7e937dbe8fp-20, -0x1.b9a265bb1d93ep-20, -0x1.e1170704ebb8ep-20, -0x1.039701925a724p-19, -0x1.15f7ab795d86ap-19, -0x1.27b1640bb617p-19, -0x1.38c7f38f045a8p-19, -0x1.493f08a95192fp-19, -0x1.591a3958109abp-19, -0x1.685d03d14f6dep-19, -0x1.770acf62c636cp-19, -0x1.8526ed429818fp-19, -0x1.92b4995b9bb6ap-19, -0x1.9fb6fb16a0673p-19, -0x1.ac312616431d6p-19, -0x1.b8261ae6a1e7cp-19, -0x1.c398c7b70803p-19, -0x1.ce8c08f71ed9p-19, -0x1.d902a9fdc92bp-19, -0x1.e2ff65a3b6cb3p-19, -0x1.ec84e6d1bf4efp-19, -0x1.f595c91426036p-19, -0x1.fe3499241ca89p-19, -0x1.0331eab527e06p-18, -0x1.0712f73def344p-18, -0x1.0abea3ca1eca7p-18, -0x1.0e361b84ee155p-18, -0x1.117a835dd8317p-18, -0x1.148cfa3eafe3bp-18, -0x1.176e993c1cd0dp-18, -0x1.1a2073c90d9a2p-18, -0x1.1ca397e5242dcp-18, -0x1.1ef90e496f70bp-18, -0x1.2121da92f1fe9p-18, -0x1.231efb6cf833ap-18, -0x1.24f16ab75db38p-18, -0x1.269a1dac5ec81p-18, -0x1.281a05054cfaap-18, -0x1.29720d1c074d5p-18, -0x1.2aa31e0bae759p-18, -0x1.2bae1bd257981p-18, -0x1.2c93e66df97fcp-18, -0x1.2d5559f7e5ba3p-18, -0x1.2df34ec369087p-18, -0x1.2e6e9975e09edp-18, -0x1.2ec80b20b2771p-18, -0x1.2f007159134c7p-18, -0x1.2f18964f0e12bp-18, -0x1.2f1140e39d587p-18, -0x1.2eeb34bd0cd37p-18, -0x1.2ea7325c51123p-18, -0x1.2e45f72f268dap-18, -0x1.2dc83da2795c7p-18, -0x1.2d2ebd344fcf9p-18, -0x1.2c7a2a84548cbp-18, -0x1.2bab3762d2099p-18, -0x1.2ac292e1711cp-18, -0x1.29c0e95f78a24p-18, -0x1.28a6e499f228dp-18, -0x1.27752bb81c4d5p-18, -0x1.262c63574f08cp-18, -0x1.24cd2d97f2a85p-18, -0x1.23582a28218fep-18, -0x1.21cdf65052d18p-18, -0x1.202f2cfbf3f83p-18, -0x1.1e7c66c41778dp-18, -0x1.1cb639f97f229p-18, -0x1.1add3aada2493p-18, -0x1.18f1faba8a7bfp-18, -0x1.16f509cce9c6dp-18, -0x1.14e6f56acba67p-18, -0x1.12c848fbca3b7p-18, -0x1.10998dd0f9fd8p-18, -0x1.0e5b4b2a9fed2p-18, -0x1.0c0e064071267p-18, -0x1.09b242470a3d7p-18, -0x1.07488076f4a56p-18, -0x1.04d14012115ep-18, -0x1.024cfe6a5ae8ep-18, -0x1.ff786dccbbb2ep-19, -0x1.fa3ec60ec1c0cp-19, -0x1.f4edf4dc875bdp-19, -0x1.ef86e5c19186ap-19, -0x1.ea0a809c8583ep-19, -0x1.e479a9a881268p-19, -0x1.ded5418712cf7p-19, -0x1.d91e254781b3dp-19, -0x1.d3552e70ac7d9p-19, -0x1.cd7b330a427a6p-19, -0x1.c79105a298a45p-19, -0x1.c1977559c831bp-19, -0x1.bb8f4de58a0fap-19, -0x1.b579579c34964p-19, -0x1.af56577a9af1cp-19, -0x1.a9270f2be3cb2p-19, -0x1.a2ec3d0feaf8dp-19, -0x1.9ca69c43a3a8cp-19, -0x1.9656e4a74dad5p-19, -0x1.8ffdcae5d5667p-19, -0x1.899c007a94093p-19, -0x1.833233b8e36a7p-19, -0x1.7cc10fd2aa578p-19, -0x1.76493cdf1f1f7p-19, -0x1.6fcb5fe08fedp-19, -0x1.69481aca8d1fep-19, -0x1.62c00c8939117p-19, -0x1.5c33d10872613p-19, -0x1.55a401374a8d2p-19, -0x1.4f11331134c0ep-19, -0x1.487bf9a3b5f9p-19, -0x1.41e4e5143448p-19, -0x1.3b4c82a55363ep-19, -0x1.34b35cbf1766fp-19, -0x1.2e19faf3af84ep-19, -0x1.2780e20654d34p-19, -0x1.20e893f19aaeap-19, -0x1.1a518fecf7ab4p-19, -0x1.13bc527395f44p-19, -0x1.0d29554a7f5f6p-19, -0x1.06990f878d80ap-19, -0x1.000bf596e276dp-19, -0x1.f304f2833c65p-20, -0x1.e5fa1367458d8p-20, -0x1.d8f8270529414p-20, -0x1.cc000167cca6ap-20, -0x1.bf1271857128dp-20, -0x1.b230414e0225cp-20, -0x1.a55a35b624816p-20, -0x1.98910ec687bbcp-20, -0x1.8bd587a658b8p-20, -0x1.7f2856a8e279ep-20, -0x1.728a2d5c4148bp-20, -0x1.65fbb89523cf5p-20, -0x1.597da079f782p-20, -0x1.4d108891f1124p-20, -0x1.40b50fd28f325p-20, -0x1.346bd0ab3dbbap-20, -0x1.283561126e60cp-20, -0x1.1c1252936f9bp-20, -0x1.1003325ae642p-20, -0x1.040889465778ap-20, -0x1.f045b7db1b91fp-21, -0x1.d8a555649c5fap-21, -0x1.c130e39d7f3afp-21, -0x1.a9e952c0e8d9fp-21, -0x1.92cf8aeb58b8bp-21, -0x1.7be46c3871238p-21, -0x1.6528ceda9daa5p-21, -0x1.4e9d8336498adp-21, -0x1.384351fc7bd71p-21, -0x1.221afc4635125p-21, -0x1.0c253bae6679cp-21, -0x1.ecc584d7a2a4ap-22, -0x1.c1a876d65563dp-22, -0x1.96f494dc86d1bp-22, -0x1.6cab18468a9fep-22, -0x1.42cd2c7b4cefep-22, -0x1.195bef253aa4p-22, -0x1.e0b0e0c65b943p-23, -0x1.8f876600c977p-23, -0x1.3f3d594e59e22p-23, -0x1.dfa9185733ab5p-24, -0x1.429d6d46135c2p-24, -0x1.4eb5def179115p-25, -0x1.bc9575cd8c2c5p-29, 0x1.1385038c04675p-25, 0x1.1f97ec32d28dap-24, 0x1.b39915ab54f98p-24, 0x1.22e1d728546bap-23, 0x1.6b0ac9c43f4dfp-23, 0x1.b246679645887p-23, 0x1.f893cb61cd11fp-23, 0x1.1ef912acd3b26p-22, 0x1.41305d603eddcp-22, 0x1.62ef72bfd8188p-22, 0x1.843609e57cd11p-22, 0x1.a503e3dde518dp-22, 0x1.c558cb773353fp-22, 0x1.e5349511e4321p-22, 0x1.024b8f368bf4ep-21, 0x1.11c0273c0a6bep-21, 0x1.20f80a9265f4cp-21, 0x1.2ff3359c3a183p-21, 0x1.3eb1a90eece69p-21, 0x1.4d3369da0308cp-21, 0x1.5b78811083298p-21, 0x1.6980fbd2d659p-21, 0x1.774ceb372c343p-21, 0x1.84dc643465d6cp-21, 0x1.922f7f8ab7ce6p-21, 0x1.9f4659ae3f45cp-21, 0x1.ac2112ae13ac6p-21, 0x1.b8bfce20c8decp-21, 0x1.c522b30f71d7ep-21, 0x1.d149ebe027551p-21, 0x1.dd35a641750f6p-21, 0x1.e8e61313f1b77p-21, 0x1.f45b66560a085p-21, 0x1.ff95d710ec8a7p-21, 0x1.054acfa18c24fp-20, 0x1.0aad7de5f7215p-20, 0x1.0ff3162c3098bp-20, 0x1.151bb9a7dafe1p-20, 0x1.1a278ae0409cp-20, 0x1.1f16ada601c65p-20, 0x1.23e9470966e0fp-20, 0x1.289f7d5186e21p-20, 0x1.2d3977f36b869p-20, 0x1.31b75f88ef317p-20, 0x1.36195dc734308p-20, 0x1.3a5f9d75c6a15p-20, 0x1.3e8a4a669f299p-20, 0x1.4299916c2dda7p-20, 0x1.468da05226ab9p-20, 0x1.4a66a5d400d09p-20, 0x1.4e24d1953e9dfp-20, 0x1.51c85418e95bfp-20, 0x1.55515eb9bd7ffp-20, 0x1.58c023a1a309fp-20, 0x1.5c14d5c187e24p-20, 0x1.5f4fa8caca474p-20, 0x1.6270d12718ee4p-20, 0x1.657883f1038acp-20, 0x1.6866f6ec474f3p-20, 0x1.6b3c607eccfb1p-20, 0x1.6df8f7a962e2bp-20, 0x1.709cf40084cdap-20, 0x1.73288da5658b7p-20, 0x1.759bfd3f9b197p-20, 0x1.77f77bf5e0bc7p-20, 0x1.7a3b4367f5e0bp-20, 0x1.7c678da70082ap-20, 0x1.7e7c952fdabcdp-20, 0x1.807a94e5168cap-20, 0x1.8261c8088d243p-20, 0x1.84326a3549522p-20, 0x1.85ecb759c7397p-20, 0x1.8790ebb1d4583p-20, 0x1.891f43c1146cdp-20, 0x1.8a97fc4ce740ap-20, 0x1.8bfb52577222ap-20, 0x1.8d498319f8fd3p-20, 0x1.8e82cbfff3582p-20, 0x1.8fa76aa0caf0dp-20, 0x1.90b79cbbc6069p-20, 0x1.91b3a0324dfddp-20, 0x1.929bb303653b2p-20, 0x1.93701346b8bp-20, 0x1.9430ff27fa0a8p-20, 0x1.94deb4e294f92p-20, 0x1.957972bcd32a4p-20, 0x1.960177034d8a9p-20, 0x1.967700050de8cp-20, 0x1.96da4c0ee6d6dp-20, 0x1.972b99679fae5p-20, 0x1.976b264c1f6d7p-20, 0x1.979930eb0aec1p-20, 0x1.97b5f760c885ep-20, 0x1.97c1b7b40aa8ep-20, 0x1.97bcafd299ccdp-20, 0x1.97a71d8d47f95p-20, 0x1.97813e93c403bp-20, 0x1.974b507204ef2p-20, 0x1.9705908d4c62bp-20, 0x1.96b03c207b07ap-20, 0x1.964b903878815p-20, 0x1.95d7c9b1d2af4p-20, 0x1.95552535dbce7p-20, 0x1.94c3df36de8f8p-20, 0x1.942433edd2197p-20, 0x1.93765f58207e9p-20, 0x1.92ba9d3459a4ep-20, 0x1.91f128ff674f7p-20, 0x1.911a3df27878p-20, 0x1.90361700ca123p-20, 0x1.8f44eed4efd55p-20, 0x1.8e46ffce10579p-20, 0x1.8d3c83feadc4p-20, 0x1.8c25b529c9bfep-20, 0x1.8b02ccc11a8d8p-20, 0x1.89d403e300c66p-20, 0x1.889993588e605p-20, 0x1.8753b393a95e7p-20, 0x1.86029cad31f71p-20, 0x1.84a686630e35cp-20, 0x1.833fa816ff5ffp-20, 0x1.81ce38ccc9423p-20, 0x1.80526f283371ep-20, 0x1.7ecc816c3f8a1p-20, }}, 
      {{0x1.6856820448869p-7, 0x1.687bd257c8f36p-6, 0x1.0e8a76615a82cp-5, 0x1.690ae67a46f5ep-5, 0x1.c3cc116bcde23p-5, 0x1.0f6bb86a5353cp-4, 0x1.3d195c11833c1p-4, 0x1.6aefcc4e930bfp-4, 0x1.98edd5a7c1d6p-4, 0x1.c7103d36ce48ap-4, 0x1.f551d1f9068a9p-4, 0x1.11d5c3f7c737bp-3, 0x1.290a4d4c3d59ep-3, 0x1.40415a50c89cep-3, 0x1.57750d83d0915p-3, 0x1.6e9eed1016749p-3, 0x1.85b7f9a6e3bcfp-3, 0x1.9cb8c52da8fedp-3, 0x1.b39988d79ba58p-3, 0x1.ca523a5b49c4p-3, 0x1.e0daa008809afp-3, 0x1.f72a63947cb14p-3, 0x1.069c91c09a035p-2, 0x1.117f41887a77fp-2, 0x1.1c391c60bc485p-2, 0x1.26c60da8cbbbep-2, 0x1.312216ad66764p-2, 0x1.3b4953c61c34ep-2, 0x1.453800cbffd57p-2, 0x1.4eea7cf303eebp-2, 0x1.585d4e10208dp-2, 0x1.618d2356a19cap-2, 0x1.6a76d7970dd27p-2, 0x1.73177309e26e4p-2, 0x1.7b6c2cb028c6fp-2, 0x1.83726b5374435p-2, 0x1.8b27c62e78d29p-2, 0x1.928a0546e98bp-2, 0x1.99972180d22f7p-2, 0x1.a04d447321018p-2, 0x1.a6aac804948a8p-2, 0x1.acae35d7cd594p-2, 0x1.b256468cb6f5ap-2, 0x1.b7a1e0dd1b6acp-2, 0x1.bc901899a95d9p-2, 0x1.c1202d8c5a0b6p-2, 0x1.c5518a44a6541p-2, 0x1.c923c2d19d957p-2, 0x1.cc96936d8b176p-2, 0x1.cfa9df1e73601p-2, 0x1.d25dae4e5e586p-2, 0x1.d4b22d5e0e457p-2, 0x1.d6a7ab346cf9bp-2, 0x1.d83e97ccb866ep-2, 0x1.d97782c528233p-2, 0x1.da5319ef90a97p-2, 0x1.dad227e548e9p-2, 0x1.daf5929f5caa2p-2, 0x1.dabe5a13fa273p-2, 0x1.da2d96d9c42d3p-2, 0x1.d94478d1a6374p-2, 0x1.d80445d79726fp-2, 0x1.d66e587a9f0a5p-2, 0x1.d4841ebc6106fp-2, 0x1.d24718d84e5c6p-2, 0x1.cfb8d8129e31cp-2, 0x1.ccdafd8f0f065p-2, 0x1.c9af392f74d86p-2, 0x1.c637487a0ac68p-2, 0x1.c274f587722d4p-2, 0x1.be6a15f84e8b3p-2, 0x1.ba1889f2666b6p-2, 0x1.b5823b252b6e2p-2, 0x1.b0a91bd58f0c5p-2, 0x1.ab8f25f10be5cp-2, 0x1.a6365a27c6927p-2, 0x1.a0a0bf0da79ecp-2, 0x1.9ad0604262d2bp-2, 0x1.94c74da0450ffp-2, 0x1.8e879a71c14c8p-2, 0x1.88135cada1664p-2, 0x1.816cac39c9367p-2, 0x1.7a95a2347f25ep-2, 0x1.7390584425232p-2, 0x1.6c5ee7ed59a1ap-2, 0x1.650369ef6db7ap-2, 0x1.5d7ff5a72247p-2, 0x1.55d6a077a60acp-2, 0x1.4e097d39befa8p-2, 0x1.461a9bb1171a1p-2, 0x1.3e0c08079d50bp-2, 0x1.35dfca4ee9911p-2, 0x1.2d97e60798e3p-2, 0x1.253659ae9108dp-2, 0x1.1cbd1e5014e2p-2, 0x1.142e27209dabp-2, 0x1.0b8b611b63fdep-2, 0x1.02d6b2a67ff2bp-2, 0x1.f423f6791d90dp-3, 0x1.e27e263788458p-3, 0x1.d0bf95f49d5bp-3, 0x1.beebd77feaa11p-3, 0x1.ad066c89a6e56p-3, 0x1.9b12c62a2941ap-3, 0x1.891444732a6bbp-3, 0x1.770e360a8d2d9p-3, 0x1.6503d7ce75ba7p-3, 0x1.52f8548266dd7p-3, 0x1.40eec48525af2p-3, 0x1.2eea2d8f2399ap-3, 0x1.1ced827925abp-3, 0x1.0afba30ae498dp-3, 0x1.f22eb7a2c1b29p-4, 0x1.ce86cbf93c96cp-4, 0x1.ab04ce89173bp-4, 0x1.87ade3a989396p-4, 0x1.6487087dcb12bp-4, 0x1.419512e675282p-4, 0x1.1edcb17ee06a1p-4, 0x1.f8c4d74c358fep-5, 0x1.b4554325b1961p-5, 0x1.707318e3c8933p-5, 0x1.2d267d1cf9616p-5, 0x1.d4ee8e10b0aa7p-6, 0x1.50da01e63afafp-6, 0x1.9c3ba31c6d113p-7, 0x1.331f85096499bp-8, -0x1.98d4089571a5dp-9, -0x1.62f938dc0fc6cp-7, -0x1.2e524b33128dap-6, -0x1.a98ff990f1417p-6, -0x1.119551e87e9c4p-5, -0x1.4d8bea47d70abp-5, -0x1.88a6d170c0fb1p-5, -0x1.c2e15832b713p-5, -0x1.fc3713a31bcadp-5, -0x1.1a51ee0b0704ep-4, -0x1.3611e6080837cp-4, -0x1.51599f9891557p-4, -0x1.6c27688cf5f4cp-4, -0x1.8679ae25c4e48p-4, -0x1.a04efc814790dp-4, -0x1.b9a5fe06e1fbcp-4, -0x1.d27d7ad08d57ep-4, -0x1.ead45812b7aebp-4, -0x1.0154cbc153f19p-3, -0x1.0cfe2b5de7b8dp-3, -0x1.1865e751feb72p-3, -0x1.238ba96775323p-3, -0x1.2e6f28708a246p-3, -0x1.391027f91bf41p-3, -0x1.436e77f7c7431p-3, -0x1.4d89f47ef5e83p-3, -0x1.5762856df958dp-3, -0x1.60f81e223e942p-3, -0x1.6a4abd28aa85p-3, -0x1.735a6bef385c7p-3, -0x1.7c273e76dac53p-3, -0x1.84b15305bf9c1p-3, -0x1.8cf8d1d9f1c63p-3, -0x1.94fdecdc7a928p-3, -0x1.9cc0df54f3b26p-3, -0x1.a441ed9db8678p-3, -0x1.ab8164d898e09p-3, -0x1.b27f9aa43f448p-3, -0x1.b93cecd23311ep-3, -0x1.bfb9c11d9455p-3, -0x1.c5f684e292392p-3, -0x1.cbf3acd6a07a4p-3, -0x1.d1b1b4c17aaa6p-3, -0x1.d7311f36fa92bp-3, -0x1.dc727551bc67ep-3, -0x1.e176466eab374p-3, -0x1.e63d27e967773p-3, -0x1.eac7b4d99954ap-3, -0x1.ef168dd13322ap-3, -0x1.f32a589b9a3ebp-3, -0x1.f703bffdcfed1p-3, -0x1.faa373778a564p-3, -0x1.fe0a27055101dp-3, -0x1.009c4971c91fp-2, -0x1.0217b9a960a5cp-2, -0x1.0377c42e395e8p-2, -0x1.04bccaccc0cddp-2, -0x1.05e730fca1ba7p-2, -0x1.06f75bc4dff35p-2, -0x1.07edb1a07dbd4p-2, -0x1.08ca9a63a4c1ep-2, -0x1.098e7f215a68fp-2, -0x1.0a39ca11bba7ep-2, -0x1.0acce678be847p-2, -0x1.0b48408d7fe36p-2, -0x1.0bac45621b005p-2, -0x1.0bf962cc05469p-2, -0x1.0c30074cfc2e7p-2, -0x1.0c50a1fc72a52p-2, -0x1.0c5ba2718f979p-2, -0x1.0c5178adb14f8p-2, -0x1.0c3295077cac2p-2, -0x1.0bff6816712cbp-2, -0x1.0bb8629f07f5dp-2, -0x1.0b5df57f5abcfp-2, -0x1.0af0919c4f865p-2, -0x1.0a70a7cf4d29bp-2, -0x1.09dea8d473588p-2, -0x1.093b053959a8p-2, -0x1.08862d4c528d8p-2, -0x1.07c0910c30f8ep-2, -0x1.06eaa018901e8p-2, -0x1.0604c9a29ec1p-2, -0x1.050f7c5e68444p-2, -0x1.040b26749f0d2p-2, -0x1.02f83574e51b9p-2, -0x1.01d716488e77p-2, -0x1.00a83525e4789p-2, -0x1.fed7fb07bfa7cp-3, -0x1.fc45b41cbaaap-3, -0x1.f99a693592babp-3, -0x1.f6d6ec3a86e39p-3, -0x1.f3fc0d3c6762ep-3, -0x1.f10a9a60ad36fp-3, -0x1.ee035fce74996p-3, -0x1.eae7279c55244p-3, -0x1.e7b6b9bf16bf5p-3, -0x1.e472dbf947bb2p-3, -0x1.e11c51cb9fdf3p-3, -0x1.ddb3dc663d9cdp-3, -0x1.da3a3a9ab1161p-3, -0x1.d6b028ced2552p-3, -0x1.d31660f062b4ap-3, -0x1.cf6d9a69734f9p-3, -0x1.cbb68a1589711p-3, -0x1.c7f1e23786496p-3, -0x1.c420527043d6p-3, -0x1.c04287b5eee7fp-3, -0x1.bc592c4c0aed7p-3, -0x1.b864e7bc2e733p-3, -0x1.b4665ecf617f3p-3, -0x1.b05e33882cb8bp-3, -0x1.ac4d051d44409p-3, -0x1.a8336ff4d8c92p-3, -0x1.a4120da07e368p-3, -0x1.9fe974d9aed0dp-3, -0x1.9bba397ee15b9p-3, -0x1.9784ec9132124p-3, -0x1.934a1c329076cp-3, -0x1.8f0a53a481c76p-3, -0x1.8ac61b475bf6bp-3, -0x1.867df89a0c7ebp-3, -0x1.82326e3a535p-3, -0x1.7de3fbe57fef7p-3, -0x1.79931e799d685p-3, -0x1.75404ff7125aep-3, -0x1.70ec0782b2824p-3, -0x1.6c96b96837254p-3, -0x1.6840d71d1f51bp-3, -0x1.63eacf43f45ecp-3, -0x1.5f950dafee4fbp-3, -0x1.5b3ffb68f4927p-3, -0x1.56ebfeaff5d35p-3, -0x1.52997b0396e52p-3, -0x1.4e48d12531b4fp-3, -0x1.49fa5f1e28af2p-3, -0x1.45ae804579793p-3, -0x1.41658d45a4fe1p-3, -0x1.3d1fdc22cfc65p-3, -0x1.38ddc0413098ep-3, -0x1.349f8a6bae9b8p-3, -0x1.306588daca384p-3, -0x1.2c30073baf594p-3, -0x1.27ff4eb788bcep-3, -0x1.23d3a5faf9fd3p-3, -0x1.1fad513dd80b7p-3, -0x1.1b8c924afb2dap-3, -0x1.1771a8884ccc6p-3, -0x1.135cd0feed00dp-3, -0x1.0f4e466388831p-3, -0x1.0b46411ec658cp-3, -0x1.0744f755dd18ap-3, -0x1.034a9cf33d4a7p-3, -0x1.feaec75eb35e3p-4, -0x1.f6d6f6330e90dp-4, -0x1.ef0e2141e87f7p-4, -0x1.e7549f3b5477bp-4, -0x1.dfaac2b356349p-4, -0x1.d810da34306dbp-4, -0x1.d0873050cc07p-4, -0x1.c90e0bb730d87p-4, -0x1.c1a5af431a9b5p-4, -0x1.ba4e5a1094e12p-4, -0x1.b308478e970a1p-4, -0x1.abd3af91be247p-4, -0x1.a4b0c666ee29fp-4, -0x1.9d9fbce604d59p-4, -0x1.96a0c08485c96p-4, -0x1.8fb3fb68332ddp-4, -0x1.88d99479ae956p-4, -0x1.8211af76fbcb7p-4, -0x1.7b5c6d05feb57p-4, -0x1.74b9eac6e00cep-4, -0x1.6e2a43665f9fbp-4, -0x1.67ad8eb00c87cp-4, -0x1.6143e1a063b2cp-4, -0x1.5aed4e76d2f93p-4, -0x1.54a9e4c7995f2p-4, -0x1.4e79b18d8a4f3p-4, -0x1.485cbf3baad4cp-4, -0x1.425315ceaa6c8p-4, -0x1.3c5cbade343f6p-4, -0x1.3679b1ae18c88p-4, -0x1.30a9fb3f4bda8p-4, -0x1.2aed9660b7306p-4, -0x1.25447fbfddd96p-4, -0x1.1faeb1f9537c4p-4, -0x1.1a2c25a8ffb54p-4, -0x1.14bcd17a34c4fp-4, -0x1.0f60aa378bd6cp-4, -0x1.0a17a2da96014p-4, -0x1.04e1ac9b53befp-4, -0x1.ff7d6dfee8388p-5, -0x1.f55d5fd2c7bc6p-5, -0x1.eb63074e3f3b5p-5, -0x1.e18e3a01a129ep-5, -0x1.d7deca8e5beddp-5, -0x1.ce5488c34e122p-5, -0x1.c4ef41b8a6b91p-5, -0x1.bbaebfeb4927p-5, -0x1.b292cb57c6654p-5, -0x1.a99b2994d61eep-5, -0x1.a0c79ded5b076p-5, -0x1.9817e979f3da1p-5, -0x1.8f8bcb3a0c46ep-5, -0x1.8723002c7da28p-5, -0x1.7edd4367af2a2p-5, -0x1.76ba4e3142df9p-5, -0x1.6eb9d815468c2p-5, -0x1.66db96fcedd7p-5, -0x1.5f1f3f44d2f8dp-5, -0x1.578483d2be66dp-5, -0x1.500b162af7eb1p-5, -0x1.48b2a6851be41p-5, -0x1.417ae3e07fecbp-5, -0x1.3a637c181d6dap-5, -0x1.336c1bf601bd8p-5, -0x1.2c946f46523cep-5, -0x1.25dc20e9d1c8ap-5, -0x1.1f42dae7fa81fp-5, -0x1.18c84680a0aa1p-5, -0x1.126c0c3d1ddddp-5, -0x1.0c2dd4011adaep-5, -0x1.060d451ad4fa1p-5, -0x1.000a065306129p-5, -0x1.f4477bf8a5407p-6, -0x1.e8b424049a9bcp-6, -0x1.dd594ff029a24p-6, -0x1.d2364a4cfed9p-6, -0x1.c74a5d33c23ap-6, -0x1.bc94d25ecda35p-6, -0x1.b214f344205aap-6, -0x1.a7ca092e786bdp-6, -0x1.9db35d55b0d98p-6, -0x1.93d038f657404p-6, -0x1.8a1fe5686f133p-6, -0x1.80a1ac35924adp-6, -0x1.7754d72e37efbp-6, -0x1.6e38b07e57633p-6, -0x1.654c82c143cffp-6, -0x1.5c8f9914d6f9bp-6, -0x1.54013f2becd57p-6, -0x1.4ba0c1603d487p-6, -0x1.436d6cc36ec2cp-6, -0x1.3b668f2f945ecp-6, -0x1.338b775701b6ap-6, -0x1.2bdb74d38118cp-6, -0x1.2455d834da851p-6, -0x1.1cf9f30ed9e36p-6, -0x1.15c7180698a38p-6, -0x1.0ebc9adf4e549p-6, -0x1.07d9d0868aa57p-6, -0x1.011e0f1fcabb5p-6, -0x1.f5115c1f2c684p-7, -0x1.e8320c0c13951p-7, -0x1.db9ce211b9f5dp-7, -0x1.cf5094f9c3ea1p-7, -0x1.c34bde5e1098p-7, -0x1.b78d7ab9b6b65p-7, -0x1.ac14297906d2fp-7, -0x1.a0dead08c5c05p-7, -0x1.95ebcae43ca68p-7, -0x1.8b3a4ba29bf7fp-7, -0x1.80c8fb0361134p-7, -0x1.7696a7f9e5f88p-7, -0x1.6ca224b826558p-7, -0x1.62ea46b8b5af9p-7, -0x1.596de6c7d8981p-7, -0x1.502be10bef5d6p-7, -0x1.4723150d297e4p-7, -0x1.3e5265bc5abfcp-7, -0x1.35b8b9794f7c9p-7, -0x1.2d54fa183feaep-7, -0x1.252614e6c8cc8p-7, -0x1.1d2afab00da36p-7, -0x1.15629fc07110bp-7, -0x1.0dcbfbe8900ccp-7, -0x1.06660a7fa7f0fp-7, -0x1.fe5f94cb06184p-8, -0x1.f0507c07614ddp-8, -0x1.e29cd69cde667p-8, -0x1.d542b789c6a78p-8, -0x1.c84038e1a02a6p-8, -0x1.bb937bcc0920cp-8, -0x1.af3aa88233d08p-8, -0x1.a333ee4bcc899p-8, -0x1.977d837ae31f9p-8, -0x1.8c15a5671153dp-8, -0x1.80fa9867cc2bep-8, -0x1.762aa7cde3049p-8, -0x1.6ba425dc811bdp-8, -0x1.61656bc11c1ap-8, -0x1.576cd98b005f3p-8, -0x1.4db8d6223dffep-8, -0x1.4447cf3da9e13p-8, -0x1.3b18395898775p-8, -0x1.32288fa7e5c69p-8, -0x1.2977540e76493p-8, -0x1.21030f112c38ep-8, -0x1.18ca4fca7ae3dp-8, -0x1.10cbabdd6a745p-8, -0x1.0905bf6820ffcp-8, -0x1.01772cf63e8cp-8, -0x1.f43d3ae51251bp-9, -0x1.e5f58030ae583p-9, -0x1.d81494c96e8ffp-9, -0x1.ca97f00e4442fp-9, -0x1.bd7d15a3d2f1ap-9, -0x1.b0c19554c8191p-9, -0x1.a4630af18fb6fp-9, -0x1.985f1e2faf4bdp-9, -0x1.8cb382886055cp-9, -0x1.815df7172529ap-9, -0x1.765c4677811fap-9, -0x1.6bac46a2ce058p-9, -0x1.614bd8cd5f1c7p-9, -0x1.5738e9437b8e8p-9, -0x1.4d716f461676ap-9, -0x1.43f36ce738185p-9, -0x1.3abceee65904ap-9, -0x1.31cc0c8c6b9e6p-9, -0x1.291ee787c2b74p-9, -0x1.20b3abc7bc809p-9, -0x1.18888f58d631bp-9, -0x1.109bd23fb5f7ep-9, -0x1.08ebbe5531a9dp-9, -0x1.0176a721b3ea6p-9, -0x1.f475d37120cf9p-10, -0x1.e66dd92797041p-10, -0x1.d8d23edede35p-10, -0x1.cb9ff64a8f107p-10, -0x1.bed403112f158p-10, -0x1.b26b7a8354ebep-10, -0x1.a6638353cd6fcp-10, -0x1.9ab9554f6c4cfp-10, -0x1.8f6a391526e8ap-10, -0x1.847387cec98b4p-10, -0x1.79d2aaea033bbp-10, -0x1.6f851bd13b8f8p-10, -0x1.658863a59999dp-10, -0x1.5bda1af90658dp-10, -0x1.5277e9887a938p-10, -0x1.495f85f72602bp-10, -0x1.408eb589ec0cep-10, -0x1.38034be319ecbp-10, -0x1.2fbb2abf4f16cp-10, -0x1.27b441b24cda4p-10, -0x1.1fec8de42b561p-10, -0x1.186219d0bbcp-10, -0x1.1112fd04dbc0dp-10, -0x1.09fd5bdefd96dp-10, -0x1.031f674eb2e66p-10, -0x1.f8eeb92a8fc74p-11, -0x1.ec070a0ed55c6p-11, -0x1.df846b9deab25p-11, -0x1.d3639f5b77653p-11, -0x1.c7a17d817877ep-11, -0x1.bc3af488766a6p-11, -0x1.b12d08b17e94p-11, -0x1.a674d390b5626p-11, -0x1.9c0f83993f188p-11, -0x1.91fa5bac3ce8ap-11, -0x1.8832b2a6ee0dfp-11, -0x1.7eb5f2f498b93p-11, -0x1.75819a1f7c31p-11, -0x1.6c933865d2607p-11, -0x1.63e8704df612cp-11, -0x1.5b7ef63e0a13p-11, -0x1.535490138b20cp-11, -0x1.4b6714bd70452p-11, -0x1.43b46bd708873p-11, -0x1.3c3a8d451fd87p-11, -0x1.34f780d41324fp-11, -0x1.2de95dd784bf5p-11, -0x1.270e4acbd0aecp-11, -0x1.20647cf8ab59fp-11, -0x1.19ea3815bd8d6p-11, -0x1.139dcdefa4437p-11, -0x1.0d7d9e1022f2fp-11, -0x1.078815668d439p-11, -0x1.01bbadf195e49p-11, -0x1.f82ddcd76ae36p-12, -0x1.ed30d3efc45ep-12, -0x1.e27d7fa0f7b14p-12, -0x1.d81135ee29246p-12, -0x1.cde963cc8b373p-12, -0x1.c4038c8899c3dp-12, -0x1.ba5d492ff3c59p-12, -0x1.b0f447fb766d3p-12, -0x1.a7c64bbec8b8ap-12, -0x1.9ed12b596e67bp-12, -0x1.9612d1296ee95p-12, -0x1.8d893a8400848p-12, -0x1.8532772cf7cd4p-12, -0x1.7d0ca8d3ce57fp-12, -0x1.7516029234d73p-12, -0x1.6d4cc86ce455fp-12, -0x1.65af4ed7f2cfdp-12, -0x1.5e3bfa3d3ac2ep-12, -0x1.56f13e84debcep-12, -0x1.4fcd9ea1815dbp-12, -0x1.48cfac1da5affp-12, -0x1.41f606ac38cd7p-12, -0x1.3b3f5bbb5a2dp-12, -0x1.34aa660a24b32p-12, -0x1.2e35ed3f7f397p-12, -0x1.27e0c5847bb63p-12, -0x1.21a9cf2068165p-12, -0x1.1b8ff617335ebp-12, -0x1.159231ca93297p-12, -0x1.0faf849bd855p-12, -0x1.09e6fb92ddbd5p-12, -0x1.0437ae03486a8p-12, -0x1.fd417a6e4ab0fp-13, -0x1.f242a833ecf67p-13, -0x1.e7714dcc135d9p-13, -0x1.dccbe5a82dbc9p-13, -0x1.d250fb993d73cp-13, -0x1.c7ff2c36cad07p-13, -0x1.bdd5244950be4p-13, -0x1.b3d1a038e23cbp-13, -0x1.a9f36b7f1f685p-13, -0x1.a039601e0a032p-13, -0x1.96a26616bc43cp-13, -0x1.8d2d72e942dp-13, -0x1.83d9891309eccp-13, -0x1.7aa5b79398c55p-13, -0x1.71911972ea202p-13, -0x1.689ad54c4fe8cp-13, -0x1.5fc21cdc2498cp-13, -0x1.57062c8f88d95p-13, -0x1.4e664b1996287p-13, -0x1.45e1c90954f3cp-13, -0x1.3d78006390966p-13, -0x1.3528543ff49dcp-13, -0x1.2cf2306883bbcp-13, -0x1.24d508fbaf8ffp-13, -0x1.1cd05a12862cdp-13, -0x1.14e3a7674e671p-13, -0x1.0d0e7c0138c8bp-13, -0x1.055069e00781fp-13, -0x1.fb52135a772abp-14, -0x1.ec2ff4d9435f5p-14, -0x1.dd39c26524546p-14, -0x1.ce6ed1b1fbd04p-14, -0x1.bfce8373cad1dp-14, -0x1.b15842d45ea98p-14, -0x1.a30b84efa2fd5p-14, -0x1.94e7c8525ec66p-14, -0x1.86ec947ecd5e4p-14, -0x1.79197973b76a5p-14, -0x1.6b6e0f3943fddp-14, -0x1.5de9f570e22f8p-14, -0x1.508cd2e95c98fp-14, -0x1.4356553578f51p-14, -0x1.36463049ee76cp-14, -0x1.295c1e17ec1f7p-14, -0x1.1c97de3367c5dp-14, -0x1.0ff93576d577p-14, -0x1.037fedacf93ap-14, -0x1.ee57aa7a56618p-15, -0x1.d5f97db4d7828p-15, -0x1.bde5026c9a581p-15, -0x1.a619ed6cc9dcfp-15, -0x1.8e97fa58ddd54p-15, -0x1.775eeb267933bp-15, -0x1.606e8794cb818p-15, -0x1.49c69cb0cddd2p-15, -0x1.3366fc5b4bb4p-15, -0x1.1d4f7cd462d75p-15, -0x1.077ff84dcfc24p-15, -0x1.e3f098fcebb12p-16, -0x1.b970b47ce0de8p-16, -0x1.8f800a4a956b7p-16, -0x1.661e66571f55fp-16, -0x1.3d4b98a91756p-16, -0x1.150774b25481fp-16, -0x1.daa3a15d901bcp-17, -0x1.8c550a1720cedp-17, -0x1.3f22d7abd9455p-17, -0x1.e61980c610d68p-18, -0x1.5024f7539dda2p-18, -0x1.78cf0476144d7p-19, -0x1.57047a58c98eep-21, 0x1.91c1db9698812p-20, 0x1.e318552ea5be6p-19, 0x1.7c732c5e32d46p-18, 0x1.02931251f9ba2p-17, 0x1.45d2e277376d5p-17, 0x1.87f9649df571dp-17, 0x1.c906fc916d418p-17, 0x1.047e0a3c232dfp-16, 0x1.23ec8eaf3c462p-16, 0x1.42cf47d35ae5cp-16, 0x1.612675bfd6b86p-16, 0x1.7ef25ca704618p-16, 0x1.9c334503a0b31p-16, 0x1.b8e97bc86b0ebp-16, 0x1.d515528428727p-16, 0x1.f0b71f8852588p-16, 0x1.05e79f043d4a3p-15, 0x1.132f071a9f6b3p-15, 0x1.2031faab76d24p-15, 0x1.2cf0aef37ce6bp-15, 0x1.396b5bce52dbcp-15, 0x1.45a23bc189449p-15, 0x1.51958c01f13f3p-15, 0x1.5d458c781b36bp-15, 0x1.68b27fc5c7c35p-15, 0x1.73dcab46bf1dbp-15, 0x1.7ec4571448df2p-15, 0x1.8969ce047894fp-15, 0x1.93cd5da91854bp-15, 0x1.9def564dfe839p-15, 0x1.a7d00af6e809dp-15, 0x1.b16fd15a6c547p-15, 0x1.bacf01dee3fadp-15, 0x1.c3edf794251a3p-15, 0x1.cccd102d308fcp-15, 0x1.d56cabf9823dfp-15, 0x1.ddcd2ddc551a5p-15, 0x1.e5eefb44bc291p-15, 0x1.edd27c2527c0cp-15, 0x1.f5781ae8f93f8p-15, 0x1.fce0446a034b8p-15, 0x1.0205b3f360029p-14, 0x1.057cfb7b17504p-14, 0x1.08d632bdfd9adp-14, 0x1.0c1194ce50f19p-14, 0x1.0f2f5dd884836p-14, 0x1.122fcb1c9e0b2p-14, 0x1.15131ae7cff1p-14, 0x1.17d98c8d25fep-14, 0x1.1a83605ee29a1p-14, 0x1.1d10d7a7a17ddp-14, 0x1.1f8234a29177fp-14, 0x1.21d7ba74d45e7p-14, 0x1.2411ad25c036ep-14, 0x1.2630519766fb6p-14, 0x1.2833ed7f295dcp-14, 0x1.2a1cc75df5975p-14, 0x1.2beb2678703f2p-14, 0x1.2d9f52cfcaf69p-14, 0x1.2f399519cca41p-14, 0x1.30ba36b8dc61ep-14, 0x1.322181b480cbbp-14, 0x1.336fc0b180b9fp-14, 0x1.34a53eea117eap-14, 0x1.35c2482611bf7p-14, 0x1.36c728b35fdecp-14, 0x1.37b42d5e4913dp-14, 0x1.3889a36996b03p-14, 0x1.3947d88706f1ep-14, 0x1.39ef1acfa2583p-14, 0x1.3a7fb8bbf7077p-14, 0x1.3afa011d246c7p-14, 0x1.3b5e4314baee8p-14, 0x1.3bacce0df60d1p-14, 0x1.3be5f1b5f7c39p-14, 0x1.3c09fdf4c61f3p-14, 0x1.3c1942e628c45p-14, 0x1.3c1410d214f5ep-14, 0x1.3bfab8262b6e9p-14, 0x1.3bcd896ec31d6p-14, 0x1.3b8cd54fdc1a9p-14, 0x1.3b38ec7e70497p-14, 0x1.3ad21fb9f6f58p-14, 0x1.3a58bfc58cbdap-14, 0x1.39cd1d61c3647p-14, 0x1.392f894616a7bp-14, 0x1.3880541ab5665p-14, 0x1.37bfce728f96ep-14, 0x1.36ee48c53d835p-14, 0x1.360c1368d1f0ap-14, 0x1.35197e8c68b53p-14, 0x1.3416da32244a6p-14, 0x1.33047629b52e6p-14, 0x1.31e2a20b0719ep-14, 0x1.30b1ad30cd3edp-14, 0x1.2f71e6b31cc21p-14, 0x1.2e239d62871c2p-14, 0x1.2cc71fc32ba68p-14, 0x1.2b5cbc077c6a8p-14, 0x1.29e4c00bad5b6p-14, 0x1.285f795117503p-14, 0x1.26cd34f9ba55bp-14, 0x1.252e3fc3a5e21p-14, 0x1.2382e604bce75p-14, 0x1.21cb73a6e1d7cp-14, 0x1.20083423582f1p-14, 0x1.1e39727f0e8bep-14, 0x1.1c5f794700bf1p-14, 0x1.1a7a928c1a7edp-14, 0x1.188b07e010e51p-14, 0x1.16912251937f2p-14, 0x1.148d2a69385aep-14, 0x1.127f6825dad77p-14, 0x1.106822f9c4f25p-14, 0x1.0e47a1c796a4cp-14, 0x1.0c1e2adf59c0cp-14, 0x1.09ec03fb99c42p-14, 0x1.07b1723f03dc2p-14, 0x1.056eba31704f8p-14, 0x1.03241fbd9680cp-14, 0x1.00d1e62ebde11p-14, 0x1.fcf0a05c3ff7p-15, 0x1.f82f3f8276b54p-15, 0x1.f3602c8eeb0eep-15, 0x1.ee83e8f05ed91p-15, 0x1.e99af4c1969f8p-15, 0x1.e4a5cec66cf6bp-15, 0x1.dfa4f4683094dp-15, 0x1.da98e1b20604bp-15, 0x1.d582114e734e7p-15, 0x1.d060fc84a27c1p-15, 0x1.cb361b359f137p-15, 0x1.c601e3d9938fdp-15, 0x1.c0c4cb7e237c4p-15, 0x1.bb7f45c3f7781p-15, 0x1.b631c4dd4627bp-15, 0x1.b0dcb98b413d2p-15, 0x1.ab80931d43c7fp-15, 0x1.a61dbf6f296dbp-15, 0x1.a0b4aae7b9cf9p-15, 0x1.9b45c0783c17cp-15, 0x1.95d1699b54392p-15, 0x1.90580e53a6e57p-15, 0x1.8ada152bad988p-15, 0x1.8557e33519268p-15, 0x1.7fd1dc0878bdfp-15, 0x1.7a4861c509a07p-15, 0x1.74bbd5107e35dp-15, 0x1.6f2c9516fcf74p-15, 0x1.699aff8b3b18dp-15, 0x1.640770a745378p-15, 0x1.5e72432c46102p-15, 0x1.58dbd06359fc6p-15, 0x1.5344701dda9c2p-15, 0x1.4dac78b6b9ca4p-15, 0x1.48143f12f8de4p-15, 0x1.427c16a2b45dcp-15, 0x1.3ce45161e8b42p-15, 0x1.374d3fda17037p-15, 0x1.31b731235ff8p-15, 0x1.2c2272e5dc37fp-15, 0x1.268f515a9f6eep-15, 0x1.20fe174e1f512p-15, 0x1.1b6f0e213875p-15, 0x1.15e27dcaf8f81p-15, 0x1.1058acdaabfefp-15, 0x1.0ad1e079562c2p-15, 0x1.054e5c6c04db6p-15, 0x1.ff9cc62bad7f2p-16, 0x1.f4a46af3f9debp-16, 0x1.e9b4267b3651ep-16, 0x1.decc7554a165bp-16, 0x1.d3edd161355fcp-16, 0x1.c918b1d3fea6ap-16, 0x1.be4d8b370ff87p-16, 0x1.b38ccf708db08p-16, 0x1.a8d6edc7d8094p-16, 0x1.9e2c52eab3ecep-16, 0x1.938d68f182619p-16, 0x1.88fa97662bb6ap-16, 0x1.7e7443493e3e9p-16, 0x1.73facf170ae02p-16, 0x1.698e9accf6414p-16, 0x1.5f3003f04b73ep-16, 0x1.54df65930d96cp-16, 0x1.4a9d185a5f246p-16, 0x1.40697283f7dep-16, 0x1.3644c7eceb38ep-16, 0x1.2c2f6a16b5148p-16, 0x1.2229a82e01993p-16, 0x1.1833cf10a13c5p-16, 0x1.0e4e295457d31p-16, 0x1.0478ff4bde7a4p-16, 0x1.f5692e1ca5415p-17, 0x1.e20268f9e3ae9p-17, 0x1.cebe329381139p-17, 0x1.bb9d09fd01663p-17, 0x1.a89f6a0451014p-17, 0x1.95c5c93f69fe9p-17, 0x1.83109a191a308p-17, 0x1.70804ade04316p-17, 0x1.5e1545cba17fcp-17, 0x1.4bcff11be19bfp-17, 0x1.39b0af115e289p-17, 0x1.27b7de04f021p-17, 0x1.15e5d87400b2cp-17, 0x1.043af50da0ed2p-17, 0x1.e56f0d7dd5688p-18, 0x1.c2b7b97fc55f6p-18, 0x1.a0508543634c5p-18, 0x1.7e3a00b798592p-18, 0x1.5c74b4b1ceeb3p-18, 0x1.3b01230653674p-18, 0x1.19dfc6a5f41c5p-18, 0x1.f222276ba2abap-19, 0x1.b12aef541b255p-19, 0x1.70dab2c1a7d36p-19, 0x1.3132327a91a1p-19, 0x1.e46444f635329p-20, 0x1.67b6545f17469p-20, 0x1.d8b7929cdde82p-21, 0x1.c95706407eabcp-22, -0x1.96af3ef1afae8p-26, -0x1.f6d3101a12c2bp-22, -0x1.e76ef8b5bafa1p-21, -0x1.68622581badd5p-20, -0x1.dbb4155f9b03p-20, -0x1.26d65be777cbdp-19, -0x1.5f25c71c51a55p-19, -0x1.96c8179a6a663p-19, -0x1.cdbd2314f96d8p-19, -0x1.020264ba0eea5p-18, -0x1.1ccf7a51f687ap-18, -0x1.3745cc33c702fp-18, -0x1.51655912b98cap-18, -0x1.6b2e245b3212fp-18, -0x1.84a0361f244d7p-18, -0x1.9dbb9afc36cc6p-18, -0x1.b680640260876p-18, }}, 
      {{0x1.380a607b129b8p-7, 0x1.381a9c7568b9p-6, 0x1.d44fe4afa8b8ap-6, 0x1.3859be478113ap-5, 0x1.86a9171fdd544p-5, 0x1.d51b5a528a816p-5, 0x1.11da5b67c39b9p-4, 0x1.393c08d582a09p-4, 0x1.60b37a9a6205bp-4, 0x1.8840c49975aa3p-4, 0x1.afe3497261e98p-4, 0x1.d799bdbf2a5bp-4, 0x1.ff622df412ac5p-4, 0x1.139d032b56921p-3, 0x1.278f0e48bc44cp-3, 0x1.3b855d3c73527p-3, 0x1.4f7dd4d292f5fp-3, 0x1.63761fc8b7848p-3, 0x1.776bb4fedf7f4p-3, 0x1.8b5bddad60398p-3, 0x1.9f43bb88ee741p-3, 0x1.b3204ec1f4be7p-3, 0x1.c6ee7bd076935p-3, 0x1.daab11012fa1bp-3, 0x1.ee52cbbb79aabp-3, 0x1.00f12ebd18b95p-2, 0x1.0aab3839ebccbp-2, 0x1.1455d5f801b48p-2, 0x1.1def5c24d3971p-2, 0x1.2776214f6d35fp-2, 0x1.30e88017e2ca2p-2, 0x1.3a44d8b779e75p-2, 0x1.43899262fc8ep-2, 0x1.4cb51c88ca9a5p-2, 0x1.55c5efec6f002p-2, 0x1.5eba8fa18a94bp-2, 0x1.679189e7f6de1p-2, 0x1.704978eb020c7p-2, 0x1.78e10365a2a07p-2, 0x1.8156dd2d813f9p-2, 0x1.89a9c7a69bf48p-2, 0x1.91d892214aeefp-2, 0x1.99e21a244ebbcp-2, 0x1.a1c54ba4840e3p-2, 0x1.a981212bce347p-2, 0x1.b114a3f0a7034p-2, 0x1.b87eebdfb876ep-2, 0x1.bfbf1f98d634p-2, 0x1.c6d474608822ap-2, 0x1.cdbe2e0755991p-2, 0x1.d47b9ec7e1557p-2, 0x1.db0c271cdb834p-2, 0x1.e16f358fb5899p-2, 0x1.e7a44680f85f5p-2, 0x1.edaae3eb0825ap-2, 0x1.f382a52011b59p-2, 0x1.f92b2e83d0badp-2, 0x1.fea43141c5368p-2, 0x1.01f6b58039d52p-1, 0x1.048352c912abep-1, 0x1.06f7db51d4116p-1, 0x1.09543fb4b99cbp-1, 0x1.0b987625c9bddp-1, 0x1.0dc47a48587d6p-1, 0x1.0fd84d043fb1cp-1, 0x1.11d3f45aeba86p-1, 0x1.13b77b3c5d41cp-1, 0x1.1582f15c39774p-1, 0x1.17366b07011fp-1, 0x1.18d200f7816b5p-1, 0x1.1a55d02c92437p-1, 0x1.1bc1f9bf32496p-1, 0x1.1d16a2b90ca5ap-1, 0x1.1e53f3eb74409p-1, 0x1.1f7a19c6e2444p-1, 0x1.20894432fc132p-1, 0x1.2181a6672ccdbp-1, 0x1.226376c3d5b1ap-1, 0x1.232eeeac1ccep-1, 0x1.23e44a605f8acp-1, 0x1.2483c8d94afecp-1, 0x1.250daba39fcc7p-1, 0x1.258236bca37e4p-1, 0x1.25e1b06f42e95p-1, 0x1.262c6131e63e5p-1, 0x1.26629384fabddp-1, 0x1.268493d231678p-1, 0x1.2692b04c75f09p-1, 0x1.268d38d09e01bp-1, 0x1.26747ec6d0bb7p-1, 0x1.2648d504aa076p-1, 0x1.260a8fb015bf4p-1, 0x1.25ba0422e7bap-1, 0x1.255788cf2d715p-1, 0x1.24e375243978ep-1, 0x1.245e21746af98p-1, 0x1.23c7e6dbae8d1p-1, 0x1.23211f26b79a2p-1, 0x1.226a24baf3806p-1, 0x1.21a3527f350cfp-1, 0x1.20cd03c5163a6p-1, 0x1.1fe794331005fp-1, 0x1.1ef35faf47063p-1, 0x1.1df0c24b0be44p-1, 0x1.1ce0182f0ca0cp-1, 0x1.1bc1bd8836dfbp-1, 0x1.1a960e75485cbp-1, 0x1.195d66f50bffap-1, 0x1.181822d5407cbp-1, 0x1.16c69da229603p-1, 0x1.15693296c3b73p-1, 0x1.14003c8da0855p-1, 0x1.128c15f25f8a8p-1, 0x1.110d18b3c85c8p-1, 0x1.0f839e3680f45p-1, 0x1.0defff485cd75p-1, 0x1.0c5294144191ep-1, 0x1.0aabb416a20b7p-1, 0x1.08fbb61287087p-1, 0x1.0742f0072825ep-1, 0x1.0581b7260e455p-1, 0x1.03b85fc9bd6e8p-1, 0x1.01e73d6ce49ccp-1, 0x1.000ea2a20d882p-1, 0x1.fc5dc217954f4p-2, 0x1.f89092aac4a6cp-2, 0x1.f4b65657dc761p-2, 0x1.f0cfaa6fe5da2p-2, 0x1.ecdd2a2ecd46ap-2, 0x1.e8df6eb04e394p-2, 0x1.e4d70ee5b58cap-2, 0x1.e0c49f8c72106p-2, 0x1.dca8b32570511p-2, 0x1.d883d9ed3855p-2, 0x1.d456a1d4c957ap-2, 0x1.d021967b2c7a4p-2, 0x1.cbe54127b760fp-2, 0x1.c7a228c4fc18p-2, 0x1.c358d1dc5ad1fp-2, 0x1.bf09be923660bp-2, 0x1.bab56ea2c0699p-2, 0x1.b65c5f5f58ef3p-2, 0x1.b1ff0bac7f6ecp-2, 0x1.ad9dec004a213p-2, 0x1.a9397661619ddp-2, 0x1.a4d21e667e3b1p-2, 0x1.a06855365a6c5p-2, 0x1.9bfc89881da14p-2, 0x1.978f27a435893p-2, 0x1.932099659954fp-2, 0x1.8eb1463b7766ep-2, 0x1.8a41932b4040dp-2, 0x1.85d1e2d31384ep-2, 0x1.8162956c832a4p-2, 0x1.7cf408cfadc6bp-2, 0x1.78869876a9c4ap-2, 0x1.741a9d813fc36p-2, 0x1.6fb06eb8e9938p-2, 0x1.6b4860951db9ep-2, 0x1.66e2c53fd8148p-2, 0x1.627fec9a64079p-2, 0x1.5e2024426209ep-2, 0x1.59c3b79703baap-2, 0x1.556aefbe7ef0bp-2, 0x1.511613abb20c7p-2, 0x1.4cc56823f7582p-2, 0x1.48792fc523f33p-2, 0x1.4431ab0bb0f5bp-2, 0x1.3fef18590d0a7p-2, 0x1.3bb1b3fa0b80cp-2, 0x1.3779b82d7ee7dp-2, 0x1.33475d2ae8c77p-2, 0x1.2f1ad9294eba4p-2, 0x1.2af460662200ep-2, 0x1.26d4252c47a0bp-2, 0x1.22ba57db2f065p-2, 0x1.1ea726ee0229ep-2, 0x1.1a9abf02e5f9cp-2, 0x1.16954ae249b88p-2, 0x1.1296f3864863dp-2, 0x1.0e9fe02211951p-2, 0x1.0ab0362963f95p-2, 0x1.06c81958091bcp-2, 0x1.02e7abb96093ep-2, 0x1.fe1e1b5fd90c9p-3, 0x1.f67cbbf9c7b9p-3, 0x1.eeeb738f92a78p-3, 0x1.e76a794c0516cp-3, 0x1.dffa0144e36e2p-3, 0x1.d89a3c8a16b73p-3, 0x1.d14b5934db9c2p-3, 0x1.ca0d8276e97b7p-3, 0x1.c2e0e0a98c49dp-3, 0x1.bbc5995cbaefbp-3, 0x1.b4bbcf661ceffp-3, 0x1.adc3a2f000399p-3, 0x1.a6dd3188470e9p-3, 0x1.a008962f3640fp-3, 0x1.9945e9663b84p-3, 0x1.9295413e995b5p-3, 0x1.8bf6b167f7c49p-3, 0x1.856a4b3ee50cp-3, 0x1.7ef01ddb3534cp-3, 0x1.7888361e48bf3p-3, 0x1.72329ec134a6dp-3, 0x1.6bef6062cf1aep-3, 0x1.65be81959acafp-3, 0x1.5fa006ed91a6ap-3, 0x1.5993f30dcf134p-3, 0x1.539a46b6136bep-3, 0x1.4db300d02ee1bp-3, 0x1.47de1e7d38762p-3, 0x1.421b9b22ab728p-3, 0x1.3c6b707759c6cp-3, 0x1.36cd969039757p-3, 0x1.314203ed06e72p-3, 0x1.2bc8ad84c32c5p-3, 0x1.266186d206451p-3, 0x1.210c81df2ab4ap-3, 0x1.1bc98f524b573p-3, 0x1.16989e791a848p-3, 0x1.11799d5488d1p-3, 0x1.0c6c78a44a623p-3, 0x1.07711bf222358p-3, 0x1.0287719d0f7e8p-3, 0x1.fb5ec5c88e4p-4, 0x1.f1d1afe3fd0c4p-4, 0x1.e8676fcc1f99fp-4, 0x1.df1fd1c0db0bbp-4, 0x1.d5faa016d17f5p-4, 0x1.ccf7a34b94658p-4, 0x1.c416a21985ed2p-4, 0x1.bb57618b46531p-4, 0x1.b2b9a50ee39f2p-4, 0x1.aa3d2e889fd35p-4, 0x1.a1e1be6552d4fp-4, 0x1.99a713ac897bfp-4, 0x1.918cec1234ebdp-4, 0x1.8993040806033p-4, 0x1.81b916ce731e6p-4, 0x1.79fede855eadap-4, 0x1.7264143c643fcp-4, 0x1.6ae87002d00ddp-4, 0x1.638ba8f739764p-4, 0x1.5c4d7556c744bp-4, 0x1.552d8a8c1ce4bp-4, 0x1.4e2b9d3dedaf7p-4, 0x1.4747615d3c7bcp-4, 0x1.40808a3341d09p-4, 0x1.39d6ca6f00dp-4, 0x1.3349d43283d2ep-4, 0x1.2cd9591fc438cp-4, 0x1.26850a65452a2p-4, 0x1.204c98ca533ap-4, 0x1.1a2fb4baf8bc3p-4, 0x1.142e0e539e042p-4, 0x1.0e47556c5b5afp-4, 0x1.087b39a3f9aeep-4, 0x1.02c96a6aa68ebp-4, 0x1.fa632e18b305p-5, 0x1.ef66dd75dce59p-5, 0x1.e49d412fe76bfp-5, 0x1.da05b77c5512dp-5, 0x1.cf9f9e958743ap-5, 0x1.c56a54cc9e6bap-5, 0x1.bb65389aca825p-5, 0x1.b18fa8b20fe21p-5, 0x1.a7e9040d84aacp-5, 0x1.9e70aa00fbc67p-5, 0x1.9525fa4831f84p-5, 0x1.8c08551570a54p-5, 0x1.83171b1fae6e3p-5, 0x1.7a51adb0311fcp-5, 0x1.71b76eafadce1p-5, 0x1.6947c0b2eed92p-5, 0x1.61020706fdbe2p-5, 0x1.58e5a5bcd5482p-5, 0x1.50f201b4a058cp-5, 0x1.492680a87fa8dp-5, 0x1.41828936e059ep-5, 0x1.3a0582ec640ccp-5, 0x1.32aed64d5a245p-5, 0x1.2b7decdecf79bp-5, 0x1.2472312f2f3c6p-5, 0x1.1d8b0ede86ef6p-5, 0x1.16c7f2a65974dp-5, 0x1.10284a6119c9cp-5, 0x1.09ab8511406d7p-5, 0x1.035112e8016e9p-5, 0x1.fa30ca974d486p-6, 0x1.ee01ddbb2765cp-6, 0x1.e21446ffd6d8bp-6, 0x1.d666f0b5c71dp-6, 0x1.caf8c7c381cd5p-6, 0x1.bfc8bbaf0e35ep-6, 0x1.b4d5bea6a0fbbp-6, 0x1.aa1ec588bacdbp-6, 0x1.9fa2c7ebaf171p-6, 0x1.9560c0248ba8fp-6, 0x1.8b57ab4d7c191p-6, 0x1.8186894b9b767p-6, 0x1.77ec5cd439419p-6, 0x1.6e882b71a4a77p-6, 0x1.6558fd87628ep-6, 0x1.5c5dde55ff007p-6, 0x1.5395dbfe4b88dp-6, 0x1.4b0007843c6e5p-6, 0x1.429b74d144789p-6, 0x1.3a673ab644553p-6, 0x1.326272ed106f8p-6, 0x1.2a8c3a1990bf5p-6, 0x1.22e3afca6de48p-6, 0x1.1b67f6796ca1bp-6, 0x1.1418338b5e60fp-6, 0x1.0cf38f4fbd479p-6, 0x1.05f934ffe72d9p-6, 0x1.fe50a57c165bp-7, 0x1.f10033277fe59p-7, 0x1.e3ff7ae09aa71p-7, 0x1.d74cea4d472ccp-7, 0x1.cae6f4d61ceb6p-7, 0x1.becc13a1313e1p-7, 0x1.b2fac58c8019p-7, 0x1.a7718f278742fp-7, 0x1.9c2efaacb1b42p-7, 0x1.913197fa10395p-7, 0x1.8677fc89bf0d6p-7, 0x1.7c00c369ccc91p-7, 0x1.71ca8d33ba96p-7, 0x1.67d400039cadap-7, 0x1.5e1bc76eca41bp-7, 0x1.54a0947a459d8p-7, 0x1.4b611d90c493ep-7, 0x1.425c1e784fcbap-7, 0x1.39905847beb8bp-7, 0x1.30fc915bc4d29p-7, 0x1.289f954bb8fcbp-7, 0x1.207834de33b21p-7, 0x1.188545fd528e9p-7, 0x1.10c5a3aad253dp-7, 0x1.09382df3e1b71p-7, 0x1.01dbc9e4cfe03p-7, 0x1.f55ec2f902b12p-8, 0x1.e763c73f5cbdcp-8, 0x1.d9c4881817f51p-8, 0x1.cc7ef696894a9p-8, 0x1.bf910d4b77838p-8, 0x1.b2f8d02aa41cep-8, 0x1.a6b44c6fdc484p-8, 0x1.9ac19883f1245p-8, 0x1.8f1ed3e1849bcp-8, 0x1.83ca26f9902e3p-8, 0x1.78c1c317df56cp-8, 0x1.6e03e2474c95cp-8, 0x1.638ec7361306ap-8, 0x1.5960bd19d8778p-8, 0x1.4f781793b2b76p-8, 0x1.45d332941f62p-8, 0x1.3c70723f0b267p-8, 0x1.334e42cfa3db4p-8, 0x1.2a6b187c4627dp-8, 0x1.21c56f5a76b86p-8, 0x1.195bcb42b76abp-8, 0x1.112cb7b48ffcep-8, 0x1.0936c7ba98fd4p-8, 0x1.017895ce81609p-8, 0x1.f3e1877a8f363p-9, 0x1.e53bf516c1fc3p-9, 0x1.d6fdd4b245e4fp-9, 0x1.c924948e679acp-9, 0x1.bbadb0b63024ap-9, 0x1.ae96b2c7d07b5p-9, 0x1.a1dd31be3636cp-9, 0x1.957ed1bb42edp-9, 0x1.897943d1ba61bp-9, 0x1.7dca45d0400d8p-9, 0x1.726fa20bfa92fp-9, 0x1.67672f2c1aa1dp-9, 0x1.5caecff58ee39p-9, 0x1.5244731702377p-9, 0x1.482612f571ed2p-9, 0x1.3e51b57904bcfp-9, 0x1.34c56bda74ae3p-9, 0x1.2b7f5270da612p-9, 0x1.227d907fd80ccp-9, 0x1.19be58065a3b3p-9, 0x1.113fe58dae17bp-9, 0x1.09007ff9451f9p-9, 0x1.00fe7856afff5p-9, 0x1.f270535ccb918p-10, 0x1.e357f1a962e3p-10, 0x1.d4b0a876f7fc6p-10, 0x1.c67767889cd31p-10, 0x1.b8a9312636c7fp-10, 0x1.ab4319c283ddfp-10, 0x1.9e4247a2b6642p-10, 0x1.91a3f286dd897p-10, 0x1.856563535e686p-10, 0x1.7983f3bba852fp-10, 0x1.6dfd0deda5254p-10, 0x1.62ce2c3ed44f6p-10, 0x1.57f4d8d9bed1bp-10, 0x1.4d6ead6d104e8p-10, 0x1.433952dbc756p-10, 0x1.395280ee07d29p-10, 0x1.2fb7fe035fe11p-10, 0x1.26679ec62502ap-10, 0x1.1d5f45dfd8c41p-10, 0x1.149ce3ae9efddp-10, 0x1.0c1e75fba624cp-10, 0x1.03e207b30f16ap-10, 0x1.f7cb6138eef5ep-11, 0x1.e84f2a29d3006p-11, 0x1.d94bcb935d62p-11, 0x1.cabdbee8a09b1p-11, 0x1.bca1952f606f7p-11, 0x1.aef3f67bf211p-11, 0x1.a1b1a16ff4bf3p-11, 0x1.94d76aba7d453p-11, 0x1.88623c9a96df8p-11, 0x1.7c4f166420bd4p-11, 0x1.709b0c06314aep-11, 0x1.65434593feda1p-11, 0x1.5a44fecf72c7dp-11, 0x1.4f9d86b62b7b5p-11, 0x1.454a3f0ffda6cp-11, 0x1.3b489c0018d7fp-11, 0x1.3196239756671p-11, 0x1.28306d694b752p-11, 0x1.1f152222a3017p-11, 0x1.1641fb21ed25cp-11, 0x1.0db4c211d8a33p-11, 0x1.056b5085a36ffp-11, 0x1.fac71f2ea0a99p-12, 0x1.eb36ef0f1c7a7p-12, 0x1.dc221ebf5bff4p-12, 0x1.cd84d92a6634p-12, 0x1.bf5b655ef26a1p-12, 0x1.b1a225dce7286p-12, 0x1.a45597e8330a2p-12, 0x1.977252dd37565p-12, 0x1.8af5078a02c62p-12, 0x1.7eda7f8a2caf5p-12, 0x1.731f9ca61b3a5p-12, 0x1.67c15835a6afbp-12, 0x1.5cbcc285bf561p-12, 0x1.520f02417d75fp-12, 0x1.47b553de72157p-12, 0x1.3dad090b88c67p-12, 0x1.33f388235c29bp-12, 0x1.2a864ba1b17ddp-12, 0x1.2162e19b11f61p-12, 0x1.1886eb38a3b01p-12, 0x1.0ff01c3594d58p-12, 0x1.079c3a6012374p-12, 0x1.ff123a3a26e08p-13, 0x1.ef6959dc9f3fap-13, 0x1.e039c5f704568p-13, 0x1.d17f913c41318p-13, 0x1.c336edde6c9c1p-13, 0x1.b55c2cb1ac491p-13, 0x1.a7ebbc524ba2ap-13, 0x1.9ae2285079287p-13, 0x1.8e3c1860e433dp-13, 0x1.81f64f9276945p-13, 0x1.760dab87daf37p-13, 0x1.6a7f23b67e8a5p-13, 0x1.5f47c8aa5cb9p-13, 0x1.5464c34d057ap-13, 0x1.49d354327dbb7p-13, 0x1.3f90d2e8fc019p-13, 0x1.359aad4e35f92p-13, 0x1.2bee66e807866p-13, 0x1.2289984172379p-13, 0x1.1969ee4b53e09p-13, 0x1.108d29c24f934p-13, 0x1.07f11e960a2a7p-13, 0x1.ff2766adbe825p-14, 0x1.eee5c14b532d9p-14, 0x1.df19614e7501fp-14, 0x1.cfbe7cf96720ap-14, 0x1.c0d16b7b94668p-14, 0x1.b24ea3ef1fbdfp-14, 0x1.a432bc5b53096p-14, 0x1.967a68bedf745p-14, 0x1.89227a20f09f3p-14, 0x1.7c27dda7281eep-14, 0x1.6f879bb227905p-14, 0x1.633ed7022ee87p-14, 0x1.574acbde6f0ecp-14, 0x1.4ba8cf43d7383p-14, 0x1.40564e1992e72p-14, 0x1.3550cc6b7f5bfp-14, 0x1.2a95e4a7a0413p-14, 0x1.202346e4b950dp-14, 0x1.15f6b82b599cfp-14, 0x1.0c0e11c4547ap-14, 0x1.0267408cb478ap-14, 0x1.f200889d0be36p-15, 0x1.dfae5e3be6f2ap-15, 0x1.cdd44975ff0d9p-15, 0x1.bc6eb3f1e6dfdp-15, 0x1.ab7a285181abep-15, 0x1.9af351117291ep-15, 0x1.8ad6f76dad15cp-15, 0x1.7b220252c0174p-15, 0x1.6bd175555c817p-15, 0x1.5ce26faeb5e38p-15, 0x1.4e522b45b8249p-15, 0x1.401dfbbd1a037p-15, 0x1.32434d889691ap-15, 0x1.24bfa5085ecb9p-15, 0x1.17909dae12b2fp-15, 0x1.0ab3e92595f62p-15, 0x1.fc4e9d0f7ea77p-16, 0x1.e3d1531edc91bp-16, 0x1.cbebd3b27ef5fp-16, 0x1.b49a244f25b61p-16, 0x1.9dd86f52e525p-16, 0x1.87a302999df4ep-16, 0x1.71f64e23f169fp-16, 0x1.5ccee2ccb1a27p-16, 0x1.4829710afc769p-16, 0x1.3402c7b9245ep-16, 0x1.2057d2ed93a73p-16, 0x1.0d259ad7541b5p-16, 0x1.f4d285499f88p-17, 0x1.d0400eec3f504p-17, 0x1.ac8e7eb10692bp-17, 0x1.89b8b08f57731p-17, 0x1.67b9ae745855fp-17, 0x1.468cae70888dfp-17, 0x1.262d10ee82f9bp-17, 0x1.06965efa07946p-17, 0x1.cf889132b0d02p-18, 0x1.936546642efc2p-18, 0x1.58bad0083e232p-18, 0x1.1f81654ba3cbfp-18, 0x1.cf62fe7467fb2p-19, 0x1.6287abe69ffd4p-19, 0x1.f0c57821288b8p-20, 0x1.21cd17a6de1d4p-20, 0x1.602f36af15bb2p-22, -0x1.b25fe94b76a12p-22, -0x1.2c3709f0a42a5p-20, -0x1.e6e9689895d51p-20, -0x1.4e6331feed393p-19, -0x1.a6f24c1898131p-19, -0x1.fd2cfbb78783fp-19, -0x1.288ef46bb92edp-18, -0x1.5167b6f8a6549p-18, -0x1.7925cdb3c5814p-18, -0x1.9fce1d709aa11p-18, -0x1.c565693ad3696p-18, -0x1.e9f053dfe05cep-18, -0x1.06b9b0b354a07p-17, -0x1.17f97c368c8fp-17, -0x1.28b9b1c7bca8cp-17, -0x1.38fc695565ac6p-17, -0x1.48c3ae0d7ed2p-17, -0x1.58117ef4ecfe6p-17, -0x1.66e7cf78d687bp-17, -0x1.754887f7166cap-17, -0x1.83358644c51fp-17, -0x1.90b09e2807df2p-17, -0x1.9dbb99d56689fp-17, -0x1.aa583a5f638d2p-17, -0x1.b6883827bfe0ep-17, -0x1.c24d434469718p-17, -0x1.cda903e68bbb5p-17, -0x1.d89d1ab625e3ep-17, -0x1.e32b212f32e8dp-17, -0x1.ed54a9f556e7ap-17, -0x1.f71b4124db87p-17, -0x1.0040365108d2cp-16, -0x1.04c2d6310c48p-16, -0x1.09163d5803471p-16, -0x1.0d3b26386e83fp-16, -0x1.113248b04ff34p-16, -0x1.14fc5a2687d69p-16, -0x1.189a0da7af5c6p-16, -0x1.1c0c13ff6e876p-16, -0x1.1f531bd1866cap-16, -0x1.226fd1b26545bp-16, -0x1.2562e03c54c5bp-16, -0x1.282cf02488ba7p-16, -0x1.2acea84ef5ab1p-16, -0x1.2d48ade072129p-16, -0x1.2f9ba44fea88dp-16, -0x1.31c82d76c9ffap-16, -0x1.33cee99f2e816p-16, -0x1.35b077929eec7p-16, -0x1.376d74a6c33bp-16, -0x1.39067cca26e26p-16, -0x1.3a7c2a8ee5f7dp-16, -0x1.3bcf1735c7dc9p-16, -0x1.3cffdab74be4cp-16, -0x1.3e0f0bcca56b8p-16, -0x1.3efd3ff8552edp-16, -0x1.3fcb0b8d5bd2dp-16, -0x1.407901b574847p-16, -0x1.4107b478cef46p-16, -0x1.4177b4c27e3f3p-16, -0x1.41c99265bf498p-16, -0x1.41fddc233a10ap-16, -0x1.42151fac60ea8p-16, -0x1.420fe9a7947d7p-16, -0x1.41eec5b2e75b1p-16, -0x1.41b23e6747ed9p-16, -0x1.415add5a5eee7p-16, -0x1.40e92b20cad0dp-16, -0x1.405daf502ae51p-16, -0x1.3fb8f0801c44bp-16, -0x1.3efb744b3c824p-16, -0x1.3e25bf50631cbp-16, -0x1.3d385532afe89p-16, -0x1.3c33b899d771ep-16, -0x1.3b186b32a1157p-16, -0x1.39e6edadf70dcp-16, -0x1.389fbfc1866a3p-16, -0x1.374360268654cp-16, -0x1.35d24c9939f7ap-16, -0x1.344d01d845b6fp-16, -0x1.32b3fba355501p-16, -0x1.3107b4bad1a1ap-16, -0x1.2f48a6ddf25acp-16, -0x1.2d774ac9b9da7p-16, -0x1.2b941837ab293p-16, -0x1.299f85dc78becp-16, -0x1.279a0965ff21ep-16, -0x1.2584177a9fe5dp-16, -0x1.235e23b6ed06fp-16, -0x1.2128a0ac64a89p-16, -0x1.1ee3ffdfe1e1fp-16, -0x1.1c90b1c78e007p-16, -0x1.1a2f25c997f29p-16, -0x1.17bfca3a6e518p-16, -0x1.15430c5b3c6ddp-16, -0x1.12b958580051fp-16, -0x1.102319462dffbp-16, -0x1.0d80b922ddf27p-16, -0x1.0ad2a0d14e7ecp-16, -0x1.081938195c8ccp-16, -0x1.0554e5a607d9bp-16, -0x1.02860f03ed23p-16, -0x1.ff5a313fa1c88p-17, -0x1.f994cb8ad8c01p-17, -0x1.f3bcb13b930ebp-17, -0x1.edd2a45c97a29p-17, -0x1.e7d764aee3793p-17, -0x1.e1cbafa73999fp-17, -0x1.dbb0406c31e43p-17, -0x1.d585cfd3cbebep-17, -0x1.cf4d1461b0381p-17, -0x1.c906c2459f9ecp-17, -0x1.c2b38b596c747p-17, -0x1.bc541f1fc3424p-17, -0x1.b5e92ac34b64ep-17, -0x1.af735914cb785p-17, -0x1.a8f3528a867dfp-17, -0x1.a269bd3f43fbep-17, -0x1.9bd73cf143efp-17, -0x1.953c730283f8p-17, -0x1.8e99fe77ca5c3p-17, -0x1.87f07bf853e08p-17, -0x1.814085cd9741fp-17, -0x1.7a8ab3e3d2718p-17, -0x1.73cf9bca655ebp-17, -0x1.6d0fd0b3479e2p-17, -0x1.664be37472242p-17, -0x1.5f846288c5da1p-17, -0x1.58b9da101a07fp-17, -0x1.51ecd3d03fbcap-17, -0x1.4b1dd7370426bp-17, -0x1.444d695acd16ap-17, -0x1.3d7c0cfbea83ap-17, -0x1.36aa4286bb30fp-17, -0x1.2fd88814d1857p-17, -0x1.2907596f3e86dp-17, -0x1.2237301086a69p-17, -0x1.1b688326b43ebp-17, -0x1.149bc795e3423p-17, -0x1.0dd16ffabc35fp-17, -0x1.0709ecabf31a3p-17, -0x1.0045abbe7374ep-17, -0x1.f30a320ebefc6p-18, -0x1.e5913c3e19081p-18, -0x1.d82144c8245c1p-18, -0x1.cabb15fc6bbe4p-18, -0x1.bd5f75c4c5278p-18, -0x1.b00f25ab145a1p-18, -0x1.a2cae2e0552f4p-18, -0x1.959366449fcaep-18, -0x1.8869646e6c44fp-18, -0x1.7b4d8db0c10bbp-18, -0x1.6e408e2413e05p-18, -0x1.61430daf4d1f4p-18, -0x1.5455b00dfbe68p-18, -0x1.477914d9a371bp-18, -0x1.3aadd79253bddp-18, -0x1.2df48fa6f178p-18, -0x1.214dd07eb9403p-18, -0x1.14ba2981a3436p-18, -0x1.083a262168894p-18, -0x1.f79c9bc8d4ee2p-19, -0x1.deee48da538dfp-19, -0x1.c66a5307bc829p-19, -0x1.ae11b2433b511p-19, -0x1.95e556f28bdd1p-19, -0x1.7de62a024bde3p-19, -0x1.66150cf9ce9c5p-19, -0x1.4e72da10427abp-19, -0x1.37006440dfc96p-19, -0x1.1fbe775e901e9p-19, -0x1.08add82921b77p-19, -0x1.e39e88c83bde5p-20, -0x1.b646e5d5457e5p-20, -0x1.8956278475247p-20, -0x1.5ccda064efc32p-20, -0x1.30ae95b26290ep-20, -0x1.04fa3f83fdbbep-20, -0x1.b36391e432adp-21, -0x1.5daca08d910b5p-21, -0x1.08d1ce44ef95fp-21, -0x1.69aa4ab9e8ddbp-22, -0x1.86e25e2203ddbp-23, -0x1.efbfc70266881p-26, 0x1.076394452ab4p-23, 0x1.2494d0c1ce97ep-22, 0x1.c3a9f206ed197p-22, 0x1.30771b2d13b2ep-21, 0x1.7e2f699f3ba7dp-21, 0x1.cafc954e815d3p-21, 0x1.0b6eb2863e63cp-20, 0x1.30e85a997b72fp-20, 0x1.55eabba300856p-20, 0x1.7a7558d258245p-20, 0x1.9e87bf953e977p-20, 0x1.c221876c999d4p-20, 0x1.e54251c24b4e9p-20, 0x1.03f4e4dde1b98p-19, 0x1.150bd207da352p-19, 0x1.25e5cf6da535dp-19, 0x1.3682c0bc8f527p-19, 0x1.46e28e29cd37cp-19, 0x1.5705245d031b4p-19, 0x1.66ea745bab444p-19, 0x1.769273751d6aap-19, 0x1.85fd1b2bd19d4p-19, 0x1.952a69216148ep-19, 0x1.a41a5f02300d1p-19, 0x1.b2cd026fd3799p-19, 0x1.c1425cebdf1a6p-19, 0x1.cf7a7bc4ae1a7p-19, 0x1.dd7570016605fp-19, 0x1.eb334e4da4cecp-19, 0x1.f8b42ee59b31p-19, 0x1.02fc16c0c11cep-18, 0x1.097fb4a11f6eep-18, 0x1.0fe5024f4d6f4p-18, 0x1.162c12a7b1e5bp-18, 0x1.1c54fa1e00f51p-18, 0x1.225fceb3f9b34p-18, 0x1.284ca7ef9dba6p-18, 0x1.2e1b9ed283c43p-18, 0x1.33cccdcfb54dcp-18, 0x1.396050c298929p-18, 0x1.3ed644e661ff5p-18, 0x1.442ec8cd3bdbcp-18, 0x1.4969fc5702713p-18, 0x1.4e8800a807fa3p-18, 0x1.5388f820b8cfcp-18, 0x1.586d0655adb18p-18, 0x1.5d345005f1765p-18, 0x1.61defb134af52p-18, 0x1.666d2e79d5ab3p-18, 0x1.6adf124789f3ep-18, 0x1.6f34cf943e999p-18, 0x1.736e907973588p-18, 0x1.778c800a68571p-18, 0x1.7b8eca4bf50e1p-18, 0x1.7f759c2d8296fp-18, 0x1.83412380f9596p-18, 0x1.86f18ef32a14ep-18, 0x1.8a870e0436a14p-18, 0x1.8e01d10064769p-18, 0x1.916208f8d41d3p-18, 0x1.94a7e7bc3ef52p-18, 0x1.97d39fcfdec87p-18, 0x1.9ae56468e1bc4p-18, 0x1.9ddd696507cfap-18, 0x1.a0bbe343fd6f3p-18, 0x1.a38107207203p-18, 0x1.a62d0aaa0f97bp-18, 0x1.a8c0241ebd85ep-18, 0x1.ab3a8a4444ceep-18, 0x1.ad9c7461e49f9p-18, 0x1.afe61a3a70e2ep-18, 0x1.b217b405ebaaep-18, 0x1.b4317a6bdb1a7p-18, 0x1.b633a67d0adecp-18, 0x1.b81e71ae1c9bep-18, 0x1.b9f215d17f024p-18, 0x1.bbaecd125a775p-18, 0x1.bd54d1ee75254p-18, 0x1.bee45f31378f9p-18, 0x1.c05dafee16166p-18, 0x1.c1c0ff7b62d0ap-18, 0x1.c30e896d811bcp-18, 0x1.c44689917f41bp-18, 0x1.c5693be87621dp-18, 0x1.c676dca286dafp-18, 0x1.c76fa819dbea8p-18, 0x1.c853dace6bb28p-18, 0x1.c923b161451d6p-18, 0x1.c9df688fed8c2p-18, 0x1.ca873d304b6d4p-18, 0x1.cb1b6c2c0397bp-18, 0x1.cb9c327c4ed6ep-18, 0x1.cc09cd25f5cccp-18, 0x1.cc6479355e68bp-18, 0x1.ccac73ba7b643p-18, 0x1.cce1f9c4b9283p-18, 0x1.cd05485f5e465p-18, 0x1.cd169c8e0b5d6p-18, 0x1.cd163348bf56cp-18, 0x1.cd04497871cf7p-18, 0x1.cce11bf3cca17p-18, 0x1.ccace77b84defp-18, 0x1.cc67e8b714125p-18, 0x1.cc125c3173388p-18, 0x1.cbac7e565289ap-18, 0x1.cb368b6ead405p-18, 0x1.cab0bf9db54aap-18, 0x1.ca1b56de06bf9p-18, 0x1.c9768cff05fccp-18, 0x1.c8c29da209e37p-18, 0x1.c7ffc4374053fp-18, 0x1.c72e3bfb71773p-18, 0x1.c64e3ff536f35p-18, 0x1.c5600af29c0b5p-18, 0x1.c463d786b07b9p-18, 0x1.c359e0072b31cp-18, 0x1.c2425e8a11eap-18, 0x1.c11d8ce39e31ep-18, 0x1.bfeba4a3c6c1ep-18, 0x1.beacdf147c693p-18, 0x1.bd617537776d6p-18, 0x1.bc099fc43274bp-18, 0x1.baa5972646922p-18, }}, 
      {{0x1.ffaf7c3643ca8p-1, 0x1.febfab895f723p-1, 0x1.fd358bf07472dp-1, 0x1.fb18e29c72598p-1, 0x1.f8739f4cd3497p-1, 0x1.f5513a8d28439p-1, 0x1.f1be1e86f822p-1, 0x1.edc72262f1eefp-1, 0x1.e9791b642b481p-1, 0x1.e4e0840474bb6p-1, 0x1.e00937b778786p-1, 0x1.dafe41269f43bp-1, 0x1.d5c9b863666fap-1, 0x1.d074ae85746b9p-1, 0x1.cb07244c1c2bep-1, 0x1.c58809934a519p-1, 0x1.bffd43ad4f0a3p-1, 0x1.ba6bb8f5de107p-1, 0x1.b4d76032dc0c2p-1, 0x1.af435292ca624p-1, 0x1.a9b1df4de71c1p-1, 0x1.a424a01e21b7ep-1, 0x1.9e9c8deb048cp-1, 0x1.991a1529f9587p-1, 0x1.939d29915ab81p-1, 0x1.8e2558d62d118p-1, 0x1.88b1dc4174a72p-1, 0x1.8341a8fba93dbp-1, 0x1.7dd37efaf97d7p-1, 0x1.7865f68c8dd16p-1, 0x1.72f78c79f992ep-1, 0x1.6d86acd310562p-1, 0x1.6811bc698c68fp-1, 0x1.6297210fc000ap-1, 0x1.5d1548ae24357p-1, 0x1.578aaf45330b7p-1, 0x1.51f5e3f1c3a53p-1, 0x1.4c558d0a552d4p-1, 0x1.46a86b6b61733p-1, 0x1.40ed5d0820f62p-1, 0x1.3b235ed437888p-1, 0x1.35498e199e745p-1, 0x1.2f5f294cd4503p-1, 0x1.2963907012d67p-1, 0x1.23564514e0a7bp-1, 0x1.1d36ea0a08d76p-1, 0x1.170542c2a78d4p-1, 0x1.10c13281bd0e7p-1, 0x1.0a6abb5486d4bp-1, 0x1.0401fce4ba1c8p-1, 0x1.fb0e665571dbap-2, 0x1.edf56a0db8ep-2, 0x1.e0b9e5902ececp-2, 0x1.d35ce94abb858p-2, 0x1.c5dfb25d205f6p-2, 0x1.b843a771f50dp-2, 0x1.aa8a5595d159cp-2, 0x1.9cb56d1295983p-2, 0x1.8ec6be53d8935p-2, 0x1.80c036d8c4c5ap-2, 0x1.72a3de36dbebfp-2, 0x1.6473d3309256ap-2, 0x1.563248e211f34p-2, 0x1.47e1840611333p-2, 0x1.3983d8542915ep-2, 0x1.2b1ba5f9c988cp-2, 0x1.1cab572e9ad1cp-2, 0x1.0e355de4cb8f5p-2, 0x1.ff78632b40604p-3, 0x1.e2849a54af59cp-3, 0x1.c5945a02b6cdcp-3, 0x1.a8ac9a1f02dd2p-3, 0x1.8bd24e3a2958fp-3, 0x1.6f0a623c5afbap-3, 0x1.5259b74bc72bep-3, 0x1.35c520e77f4c1p-3, 0x1.195162359503p-3, 0x1.fa0657063aa78p-4, 0x1.c1be2fe948e05p-4, 0x1.89d356cb358c3p-4, 0x1.524ea0ea5918p-4, 0x1.1b38ad7ddf12ap-4, 0x1.c933c4f769ef7p-5, 0x1.5cf4d35f85351p-5, 0x1.e388b884ec1afp-6, 0x1.0f63670b46163p-6, 0x1.ecba6d5314246p-9, -0x1.237e178ce6986p-7, -0x1.5e8436fa0a31ap-6, -0x1.144ef21eb3a09p-5, -0x1.77f9734d8f6e1p-5, -0x1.da359b8ef708ap-5, -0x1.1d7bfdcf9588ep-4, -0x1.4d1adca1b5b79p-4, -0x1.7bf247de7c6f6p-4, -0x1.a9fd67f141bd9p-4, -0x1.d737aff2aeb98p-4, -0x1.01ce6eb1e58d3p-3, -0x1.17947be20ea47p-3, -0x1.2cec280295c04p-3, -0x1.41d3bfeef1a3p-3, -0x1.5649b48007191p-3, -0x1.6a4c9a1917bcap-3, -0x1.7ddb2827e189fp-3, -0x1.90f4389909a01p-3, -0x1.a396c741c24f1p-3, -0x1.b5c1f13fa4813p-3, -0x1.c774f44fa1316p-3, -0x1.d8af2e1cefa2p-3, -0x1.e9701b88cb6f8p-3, -0x1.f9b757ebc6a4ep-3, -0x1.04c24e28bf448p-2, -0x1.0c6bdf57b2689p-2, -0x1.13d8588ba4d13p-2, -0x1.1b07c0732c06bp-2, -0x1.21fa2af88c66ep-2, -0x1.28afb8d68a2bep-2, -0x1.2f28972c53fe1p-2, -0x1.3564ff10c432fp-2, -0x1.3b6535253dc57p-2, -0x1.412989285a3ecp-2, -0x1.46b25588a6235p-2, -0x1.4bfffef79a107p-2, -0x1.5112f3fd06a4ap-2, -0x1.55ebac8b1b37p-2, -0x1.5a8aa99336de9p-2, -0x1.5ef0749ba7685p-2, -0x1.631d9f567b2e7p-2, -0x1.6712c339873cap-2, -0x1.6ad08117c2beap-2, -0x1.6e5780bc11ab6p-2, -0x1.71a87085974dap-2, -0x1.74c40505ab0dep-2, -0x1.77aaf89f84997p-2, -0x1.7a5e0b29b01d9p-2, -0x1.7cde01915c9e9p-2, -0x1.7f2ba57f94b0ap-2, -0x1.8147c5006de32p-2, -0x1.8333322c3c804p-2, -0x1.84eec2d2cdd51p-2, -0x1.867b5028c1a11p-2, -0x1.87d9b676f42bdp-2, -0x1.890ad4cc12819p-2, -0x1.8a0f8cb0507c2p-2, -0x1.8ae8c1db48829p-2, -0x1.8b9759ec05701p-2, -0x1.8c1c3c2338d5bp-2, -0x1.8c78511f9e068p-2, -0x1.8cac829c8588dp-2, -0x1.8cb9bb32887c2p-2, -0x1.8ca0e61a65454p-2, -0x1.8c62eef1fa10dp-2, -0x1.8c00c1836122ap-2, -0x1.8b7b498e2310fp-2, -0x1.8ad372927e7b4p-2, -0x1.8a0a279ebd526p-2, -0x1.8920531e90378p-2, -0x1.8816deac69c9ep-2, -0x1.86eeb2e4d50cfp-2, -0x1.85a8b73bb944p-2, -0x1.8445d1d389f2ep-2, -0x1.82c6e756532cap-2, -0x1.812cdad0a2a26p-2, -0x1.7f788d8e3af9p-2, -0x1.7daadef88f31fp-2, -0x1.7bc4ac76f8869p-2, -0x1.79c6d150a24e1p-2, -0x1.77b2269019773p-2, -0x1.758782e881c73p-2, -0x1.7347ba9c5c32cp-2, -0x1.70f39f65d9ebdp-2, -0x1.6e8c0060b275bp-2, -0x1.6c11a9f570707p-2, -0x1.698565c62d3p-2, -0x1.66e7fa9cadee1p-2, -0x1.643a2c59de2fdp-2, -0x1.617cbbe6986c9p-2, -0x1.5eb06725b57abp-2, -0x1.5bd5e8e756e27p-2, -0x1.58edf8dd66d1p-2, -0x1.55f94b913f26dp-2, -0x1.52f8925a6fb74p-2, -0x1.4fec7b569d20dp-2, -0x1.4cd5b16267877p-2, -0x1.49b4dc135c449p-2, -0x1.468a9fb2d9ecbp-2, -0x1.43579d39ea9edp-2, -0x1.401c724e07de1p-2, -0x1.3cd9b93eb88ecp-2, -0x1.399009040d7efp-2, -0x1.363ff53de67bbp-2, -0x1.32ea0e3403076p-2, -0x1.2f8ee0d6cca91p-2, -0x1.2c2ef6c0dd789p-2, -0x1.28cad6392eab9p-2, -0x1.25630235f54ccp-2, -0x1.21f7fa6018705p-2, -0x1.1e8a3b17438a9p-2, -0x1.1b1a3d7686641p-2, -0x1.17a87759838cfp-2, -0x1.14355b621deaep-2, -0x1.10c158fea5d25p-2, -0x1.0d4cdc707807ep-2, -0x1.09d84ed312a0bp-2, -0x1.066416238c664p-2, -0x1.02f0954875c83p-2, -0x1.fefc5834254a9p-3, -0x1.f81a6ed5df1dap-3, -0x1.f13c22218aaaap-3, -0x1.ea621fdb5e881p-3, -0x1.e38d0ff343258p-3, -0x1.dcbd949855372p-3, -0x1.d5f44a4cd371dp-3, -0x1.cf31c7fa8af0fp-3, -0x1.c8769f07a7019p-3, -0x1.c1c35b6bdb871p-3, -0x1.bb1883c5f102ap-3, -0x1.b47699719618ap-3, -0x1.adde189d7cba5p-3, -0x1.a74f7861af9c6p-3, -0x1.a0cb2ad627e24p-3, -0x1.9a519d298c226p-3, -0x1.93e337b817df4p-3, -0x1.8d805e22a7f31p-3, -0x1.87296f65e15eap-3, -0x1.80dec5f16c52bp-3, -0x1.7aa0b7bf41b3p-3, -0x1.746f966afb3c7p-3, -0x1.6e4baf492ffb8p-3, -0x1.68354b7ec7f76p-3, -0x1.622cb01850bdep-3, -0x1.5c321e213bf22p-3, -0x1.5645d2bb1cfa1p-3, -0x1.50680734c0d8cp-3, -0x1.4a98f1213d3d9p-3, -0x1.44d8c26ed7fdcp-3, -0x1.3f27a97dd1874p-3, -0x1.3985d1370d05dp-3, -0x1.33f361228f2fcp-3, -0x1.2e707d7dd1fap-3, -0x1.28fd4751e7ea8p-3, -0x1.2399dc897450ep-3, -0x1.1e4658066dd7ap-3, -0x1.1902d1b7a2a0cp-3, -0x1.13cf5eae10681p-3, -0x1.0eac1131fb8dep-3, -0x1.0998f8d7c185ap-3, -0x1.049622947e687p-3, -0x1.ff4731a4b6e56p-4, -0x1.f582c7095c045p-4, -0x1.ebdf107787cap-4, -0x1.e25c1470e5eecp-4, -0x1.d8f9d4feb6b25p-4, -0x1.cfb84fd7cf56fp-4, -0x1.c6977e85f53dap-4, -0x1.bd97568ab896ep-4, -0x1.b4b7c983a7f2dp-4, -0x1.abf8c54df3904p-4, -0x1.a35a34296ed1fp-4, -0x1.9adbfcdb06ba2p-4, -0x1.927e02ce86e42p-4, -0x1.8a402637d02c9p-4, -0x1.822244336d525p-4, -0x1.7a2436e688094p-4, -0x1.7245d59e4395ep-4, -0x1.6a86f4ee71855p-4, -0x1.62e766cfb027bp-4, -0x1.5b66fabce325fp-4, -0x1.54057dd010eddp-4, -0x1.4cc2badea2236p-4, -0x1.459e7a9501b08p-4, -0x1.3e988391a0f57p-4, -0x1.37b09a7f5ee14p-4, -0x1.30e6822f5385fp-4, -0x1.2a39fbb20136dp-4, -0x1.23aac66fea7dap-4, -0x1.1d38a04191d26p-4, -0x1.16e34586de56fp-4, -0x1.10aa713dee347p-4, -0x1.0a8ddd1950727p-4, -0x1.048d4195ac43p-4, -0x1.fd50ac1dafc1cp-5, -0x1.f1bda1a8b85b1p-5, -0x1.e660ce7ad564p-5, -0x1.db399b788a9acp-5, -0x1.d0476fe2362b7p-5, -0x1.c589b178b207p-5, -0x1.baffc4a0ebefep-5, -0x1.b0a90c866a07cp-5, -0x1.a684eb3cc8e41p-5, -0x1.9c92c1e02ffe2p-5, -0x1.92d1f0b4cd624p-5, -0x1.8941d74547064p-5, -0x1.7fe1d48041cc4p-5, -0x1.76b146d4e0493p-5, -0x1.6daf8c4e5ef54p-5, -0x1.64dc02aebc2ep-5, -0x1.5c36078872603p-5, -0x1.53bcf85754e1dp-5, -0x1.4b70329885fd8p-5, -0x1.434f13e18f543p-5, -0x1.3b58f9f6a236cp-5, -0x1.338d42e0037bcp-5, -0x1.2beb4cfea494ep-5, -0x1.2472771ff1a01p-5, -0x1.1d222090d0968p-5, -0x1.15f9a92fe9e0ap-5, -0x1.0ef8717f1e829p-5, -0x1.081ddab44f111p-5, -0x1.016946c964a75p-5, -0x1.f5b4311751c5ap-6, -0x1.e8df6754d3745p-6, -0x1.dc52f989e612p-6, -0x1.d00db2efc6e51p-6, -0x1.c40e60d3ad3d7p-6, -0x1.b853d2aeec20fp-6, -0x1.acdcda3dc93b7p-6, -0x1.a1a84b953b0a1p-6, -0x1.96b4fd3771665p-6, -0x1.8c01c8272ec8p-6, -0x1.818d87fa24e6dp-6, -0x1.77571aea24e2ep-6, -0x1.6d5d61e55a8a9p-6, -0x1.639f409d6886ap-6, -0x1.5a1b9d95a5738p-6, -0x1.50d162304e48ap-6, -0x1.47bf7abad13ccp-6, -0x1.3ee4d679355eep-6, -0x1.364067b097dbep-6, -0x1.2dd123b0d628ep-6, -0x1.259602dd645dfp-6, -0x1.1d8e00b54e598p-6, -0x1.15b81bda840a9p-6, -0x1.0e1356184ae24p-6, -0x1.069eb4690e206p-6, -0x1.feb27df6db387p-7, -0x1.f084026d3c13ep-7, -0x1.e2b0137c519dcp-7, -0x1.d534d4ea05e6bp-7, -0x1.c81071000e50fp-7, -0x1.bb41188fae352p-7, -0x1.aec502f46b503p-7, -0x1.a29a6e158c918p-7, -0x1.96bf9e6691bb6p-7, -0x1.8b32dee6b4b92p-7, -0x1.7ff2811f652fep-7, -0x1.74fcdd21c5527p-7, -0x1.6a50518368b76p-7, -0x1.5feb4359f57b9p-7, -0x1.55cc1e363b799p-7, -0x1.4bf1541e3eb0ep-7, -0x1.42595d86ab3b9p-7, -0x1.3902b94b70628p-7, -0x1.2febeca7b6c08p-7, -0x1.2713832d3780ep-7, -0x1.1e780ebadc3bdp-7, -0x1.16182772cf6abp-7, -0x1.0df26baff56bep-7, -0x1.06057ffae8463p-7, -0x1.fca01dfcaf87ap-8, -0x1.eda192f5fd76ep-8, -0x1.df0ccc7641ba9p-8, -0x1.d0df440b015f8p-8, -0x1.c3167f202956ep-8, -0x1.b5b00ee470176p-8, -0x1.a8a9902d148dp-8, -0x1.9c00ab58f58f2p-8, -0x1.8fb31432ef9p-8, -0x1.83be89d3b2e8cp-8, -0x1.7820d68320d4cp-8, -0x1.6cd7cf98f6405p-8, -0x1.61e1555d1c3ccp-8, -0x1.573b52e789d65p-8, -0x1.4ce3bdffc16dp-8, -0x1.42d896fbd0841p-8, -0x1.3917e89f44df2p-8, -0x1.2f9fc7f9794cep-8, -0x1.266e5443e5d2bp-8, -0x1.1d81b6c03e05bp-8, -0x1.14d8229608005p-8, -0x1.0c6fd4b066026p-8, -0x1.0447139b895efp-8, -0x1.f8b85ec42f3fdp-9, -0x1.e95b02d4f2d98p-9, -0x1.da72d8a82aea6p-9, -0x1.cbfcb7a911a6ap-9, -0x1.bdf5892985701p-9, -0x1.b05a481cc509cp-9, -0x1.a32800d18499cp-9, -0x1.965bd0acb87fap-9, -0x1.89f2e5e441c57p-9, -0x1.7dea7f39b3551p-9, -0x1.723febb593977p-9, -0x1.66f08a62a5f54p-9, -0x1.5bf9ca097c666p-9, -0x1.515928ec6ee65p-9, -0x1.470c34840bf1p-9, -0x1.3d10893b93226p-9, -0x1.3363d22e368dbp-9, -0x1.2a03c8e46bd8fp-9, -0x1.20ee35121584p-9, -0x1.1820ec54b140ep-9, -0x1.0f99d1f285503p-9, -0x1.0756d699fdb7ap-9, -0x1.feabf04326c89p-10, -0x1.ef2a8291060f3p-10, -0x1.e02592ef5c5a5p-10, -0x1.d19969073eb7cp-10, -0x1.c38264dd731fep-10, -0x1.b5dcfe58104b9p-10, -0x1.a8a5c4c626d49p-10, -0x1.9bd95e67dc0d6p-10, -0x1.8f7487f856f8p-10, -0x1.83741438ca17dp-10, -0x1.77d4eb7d1956bp-10, -0x1.6c940b39809fcp-10, -0x1.61ae8591dc2eap-10, -0x1.572180ea85124p-10, -0x1.4cea377a16be9p-10, -0x1.4305f6dd10e04p-10, -0x1.39721fab04611p-10, -0x1.302c250c99b8ep-10, -0x1.27318c53aaabp-10, -0x1.1e7fec949082ep-10, -0x1.1614ee40eb7e6p-10, -0x1.0dee4ac3d9426p-10, -0x1.0609cc1fd0493p-10, -0x1.fcca991bb892bp-11, -0x1.edfd6c3c3dbc6p-11, -0x1.dfa804b4b6cb3p-11, -0x1.d1c673d2bdf52p-11, -0x1.c454e86863547p-11, -0x1.b74fae19a70cdp-11, -0x1.aab32cac5b4f3p-11, -0x1.9e7be75b7e795p-11, -0x1.92a67c2cfe339p-11, -0x1.872fa34afe9a8p-11, -0x1.7c142e5f7574cp-11, -0x1.715107f2d5b73p-11, -0x1.66e332cdd5eb1p-11, -0x1.5cc7c95da2f34p-11, -0x1.52fbfd1b39dd5p-11, -0x1.497d15f573322p-11, -0x1.404871bdd565cp-11, -0x1.375b83982322bp-11, -0x1.2eb3d36c924d2p-11, -0x1.264efd5d19a22p-11, -0x1.1e2ab13cf5573p-11, -0x1.1644b20b3291fp-11, -0x1.0e9ad56f8865ap-11, -0x1.072b033a63914p-11, -0x1.ffe669cd27008p-12, -0x1.f1e2ea3d0e8b3p-12, -0x1.e447be8744962p-12, -0x1.d7113def636c5p-12, -0x1.ca3bdf537eaep-12, -0x1.bdc43848b8621p-12, -0x1.b1a6fc3e20105p-12, -0x1.a5e0fba3e7ff4p-12, -0x1.9a6f2316960f6p-12, -0x1.8f4e7a9006609p-12, -0x1.847c249c6d2fap-12, -0x1.79f55d93864e3p-12, -0x1.6fb77ad6da257p-12, -0x1.65bfea146083fp-12, -0x1.5c0c308c98d31p-12, -0x1.5299ea5e0c82dp-12, -0x1.4966c9d471a5ep-12, -0x1.407096bc0b5f7p-12, -0x1.37b52db8afe97p-12, -0x1.2f327fa1ca069p-12, -0x1.26e690e122055p-12, -0x1.1ecf78d6b7ccep-12, -0x1.16eb613f59ac5p-12, -0x1.0f38859f71537p-12, -0x1.07b532b2387fp-12, -0x1.005fc5daf80fep-12, -0x1.f26d5936c5f4ep-13, -0x1.e470c819082dep-13, -0x1.d6c6f0b686409p-13, -0x1.c96d0891837a3p-13, -0x1.bc60615b338a8p-13, -0x1.af9e6800cd357p-13, -0x1.a324a3bf4b7c9p-13, -0x1.96f0b53caf819p-13, -0x1.8b0055a914b66p-13, -0x1.7f5155e410d46p-13, -0x1.73e19da875bbdp-13, -0x1.68af2abeb0ad2p-13, -0x1.5db81033cadbep-13, -0x1.52fa7596f8f29p-13, -0x1.4874963b005f1p-13, -0x1.3e24c07f4bcb8p-13, -0x1.3409551ba1542p-13, -0x1.2a20c673861c1p-13, -0x1.206997ecdbd81p-13, -0x1.16e25d4bf2766p-13, -0x1.0d89ba1435b8cp-13, -0x1.045e60ee05f67p-13, -0x1.f6be262221c6bp-14, -0x1.e5153f6558864p-14, -0x1.d3bfc6f1279cfp-14, -0x1.c2bb8fe279141p-14, -0x1.b206861d07313p-14, -0x1.a19ead4ae448cp-14, -0x1.91821fe43cfdp-14, -0x1.81af0e3e5feaap-14, -0x1.7223bda1afc9bp-14, -0x1.62de87690dc13p-14, -0x1.53ddd8264d8f8p-14, -0x1.45202ecf91c7dp-14, -0x1.36a41bf1f0387p-14, -0x1.286840ec7eadfp-14, -0x1.1a6b4f3098eb6p-14, -0x1.0cac07897a1dp-14, -0x1.fe5272d2a33b3p-15, -0x1.e3c3847ab78a1p-15, -0x1.c9a9198f2f14cp-15, -0x1.b00120fa49c45p-15, -0x1.96c9a1da191b1p-15, -0x1.7e00ba51f3a8ap-15, -0x1.65a49e6ae2513p-15, -0x1.4db397004de35p-15, -0x1.362c00b13920ep-15, -0x1.1f0c4ae053d22p-15, -0x1.0852f6bb014f1p-15, -0x1.e3fd2c9325e9p-16, -0x1.b81b9715d9132p-16, -0x1.8cfe8f2e067d1p-16, -0x1.62a39392fcd59p-16, -0x1.39083dec1d465p-16, -0x1.102a4149ce8efp-16, -0x1.d00ed1562594ep-17, -0x1.813b2b2d16adfp-17, -0x1.33d57d7b2e7fbp-17, -0x1.cfb3bac660937p-18, -0x1.3a890a93f737cp-18, -0x1.504749d2cf1c1p-19, -0x1.87c8590651222p-22, 0x1.d1cc6b89c02f7p-20, 0x1.fd63964075b4bp-19, 0x1.8645e53050753p-18, 0x1.059ac915e19p-17, 0x1.46c366f301f4cp-17, 0x1.869fb53090816p-17, 0x1.c532898c292a9p-17, 0x1.013f5408d973dp-16, 0x1.1f43624c26448p-16, 0x1.3ca6c2157a8fep-16, 0x1.596abf31362e6p-16, 0x1.75909f57f4f52p-16, 0x1.9119a2c64cf57p-16, 0x1.ac0704d20e4ebp-16, 0x1.c659fc7210165p-16, 0x1.e013bcc338ec8p-16, 0x1.f935758473b53p-16, 0x1.08e029c47333dp-15, 0x1.14dac0946bd18p-15, 0x1.208b135255964p-15, 0x1.2bf1b544242d9p-15, 0x1.370f3902533f2p-15, 0x1.41e430a27a961p-15, 0x1.4c712dde2e009p-15, 0x1.56b6c23849a9fp-15, 0x1.60b57f1e799bp-15, 0x1.6a6df608ca439p-15, 0x1.73e0b8978964cp-15, 0x1.7d0e58adac58dp-15, 0x1.85f76889463d9p-15, 0x1.8e9c7ada0a0a3p-15, 0x1.96fe22d5860f4p-15, 0x1.9f1cf44a4b1f7p-15, 0x1.a6f983b028d7bp-15, 0x1.ae94663724ec9p-15, 0x1.b5ee31d45b70bp-15, 0x1.bd077d4d7a6b9p-15, 0x1.c3e0e042ef73bp-15, 0x1.ca7af338883f9p-15, 0x1.d0d64f9c4c875p-15, 0x1.d6f38fcc35de4p-15, 0x1.dcd34f1a5fea7p-15, 0x1.e27629d1079c9p-15, 0x1.e7dcbd334fe74p-15, 0x1.ed07a7804801dp-15, 0x1.f1f787f13b0f4p-15, 0x1.f6acfeb92cf9bp-15, 0x1.fb28ad030c8e6p-15, 0x1.ff6b34ee61926p-15, 0x1.01ba9cc677049p-14, 0x1.03a3af6e7597dp-14, 0x1.057124e2952abp-14, 0x1.072350073f894p-14, 0x1.08ba842eb417dp-14, 0x1.0a371515a4f82p-14, 0x1.0b9956dfa5b53p-14, 0x1.0ce19e12d1cb1p-14, 0x1.0e103f93bc519p-14, 0x1.0f2590a0d495ap-14, 0x1.1021e6cddc597p-14, 0x1.110597fed6128p-14, 0x1.11d0fa63641b4p-14, 0x1.128464716441ap-14, 0x1.13202cdf93706p-14, 0x1.13a4aaa0234c3p-14, 0x1.141234db2ae23p-14, 0x1.146922e914a2ep-14, 0x1.14a9cc4d035b1p-14, 0x1.14d488aeb85bp-14, 0x1.14e9afd531b88p-14, 0x1.14e999a067911p-14, 0x1.14d49e0348b5ap-14, 0x1.14ab14fe17e45p-14, 0x1.146d56985a38ep-14, 0x1.141bbadacd89ep-14, 0x1.13b699c96a7bcp-14, 0x1.133e4b5d4bea4p-14, 0x1.12b3277efb05bp-14, 0x1.121586002e623p-14, 0x1.1165be96512afp-14, 0x1.10a428d452c4cp-14, 0x1.0fd11c24d6741p-14, 0x1.0eecefc49292cp-14, 0x1.0df7fabc69558p-14, 0x1.0cf293dbda04dp-14, 0x1.0bdd11b35ec1dp-14, 0x1.0ab7ca8f00b18p-14, 0x1.09831470b8a33p-14, 0x1.083f450b544dp-14, 0x1.06ecb1bcc296ap-14, 0x1.058baf894fd86p-14, 0x1.041c93162635bp-14, 0x1.029fb0a4b9c76p-14, 0x1.01155c0d63713p-14, 0x1.fefbd175a5fbep-15, 0x1.fbb3534ab728ep-15, 0x1.f851e29bf432fp-15, 0x1.f4d82374a0686p-15, 0x1.f146b8dfbd7f7p-15, 0x1.ed9e44dfc8b2ap-15, 0x1.e9df686650f2fp-15, 0x1.e60ac34baccfdp-15, 0x1.e220f4469f6f6p-15, 0x1.de2298e59e04cp-15, 0x1.da104d864e981p-15, 0x1.d5eaad4eda191p-15, 0x1.d1b25226e17d8p-15, 0x1.cd67d4b02c9e1p-15, 0x1.c90bcc40967d3p-15, 0x1.c49ecedb6f907p-15, 0x1.c021712ba1df6p-15, 0x1.bb94467d679b9p-15, 0x1.b6f7e0b90e22cp-15, 0x1.b24cd05d16dfap-15, 0x1.ad93a479562bbp-15, 0x1.a8cceaa9d6be4p-15, 0x1.a3f92f11e6e6cp-15, 0x1.9f18fc57a0fedp-15, 0x1.9a2cdba03dfbdp-15, 0x1.9535548acd455p-15, 0x1.9032ed2d7a788p-15, 0x1.8b262a113928ep-15, 0x1.860f8e2e0b8e4p-15, 0x1.80ef9ae8e5013p-15, 0x1.7bc6d00f40d6ap-15, 0x1.7695abd58b3fap-15, 0x1.715caad358793p-15, 0x1.6c1c480210af5p-15, 0x1.66d4fcb9f42dbp-15, 0x1.618740b025da6p-15, 0x1.5c3389f554935p-15, 0x1.56da4cf393f11p-15, 0x1.517bfc6d43f8cp-15, 0x1.4c19097b801bep-15, 0x1.46b1e38cf4e7p-15, 0x1.4146f865956d5p-15, 0x1.3bd8b41cc4bf4p-15, 0x1.3667811dc820cp-15, 0x1.30f3c8270e917p-15, 0x1.2b7df04972915p-15, 0x1.26065ee923f49p-15, 0x1.208d77bc90aa1p-15, 0x1.1b139ccd8d9c7p-15, 0x1.15992e796f318p-15, 0x1.101e8b70ffec8p-15, 0x1.0aa410ba65044p-15, 0x1.052a19b07d56ep-15, 0x1.ff620009f75dap-16, 0x1.f4723781e7449p-16, 0x1.e985868bae6f8p-16, 0x1.de9c969e9f318p-16, 0x1.d3b80de94211p-16, 0x1.c8d88f53176c2p-16, 0x1.bdfeba825d5efp-16, 0x1.b32b2bdde2b2ap-16, 0x1.a85e7c9132099p-16, 0x1.9d99429099bcfp-16, 0x1.92dc109e9c039p-16, 0x1.8827764dff20cp-16, 0x1.7d7c0008cee7bp-16, 0x1.72da37144936ep-16, 0x1.6842a19520ec4p-16, 0x1.5db5c295edd9cp-16, 0x1.53341a0c4fd2bp-16, 0x1.48be24dd20543p-16, 0x1.3e545ce46343cp-16, 0x1.33f738f935946p-16, 0x1.29a72cf49e82ap-16, 0x1.1f64a9b76273dp-16, 0x1.15301d31075b3p-16, 0x1.0b09f264b6ed5p-16, 0x1.00f2917130cf2p-16, 0x1.edd4bf2d2f637p-17, 0x1.d9e37e7bdc1b7p-17, 0x1.c6121ffd53321p-17, 0x1.b2615d4d40d6ep-17, 0x1.9ed1ea8343a7fp-17, 0x1.8b64763d63cc4p-17, 0x1.7819a9b13d05cp-17, 0x1.64f228bbaadc7p-17, 0x1.51ee91ebb4739p-17, 0x1.3f0f7e94cf344p-17, 0x1.2c5582dbf6ebap-17, 0x1.19c12dc8b8977p-17, 0x1.075309515158p-17, 0x1.ea1734db1f8b6p-18, 0x1.c5d6c2483615fp-18, 0x1.a1e5b13494961p-18, 0x1.7e44ee470d28dp-18, 0x1.5af55ca61e052p-18, 0x1.37f7d61144effp-18, 0x1.154d2b04d5521p-18, 0x1.e5ec45b256bdcp-19, 0x1.a1e6f7be0ee67p-19, 0x1.5e8bd709f89afp-19, 0x1.1bdc3ce7454b1p-19, 0x1.b3b2e2b906586p-20, 0x1.310956c79174ap-20, 0x1.5f7c44c9638p-21, 0x1.7e9b8728ff482p-23, -0x1.3ad2cbf88d79fp-22, -0x1.97b0bd3bc89f5p-21, -0x1.4795c6e35d3bfp-20, -0x1.c1eb3fc76d259p-20, -0x1.1d6b9df247e68p-19, -0x1.592c25f08756fp-19, -0x1.94368eff003bcp-19, -0x1.ce8a3ec84ce3ap-19, -0x1.041354a343dbfp-18, -0x1.2085a8400399ap-18, -0x1.3c9be224f2408p-18, -0x1.5855d106f3b4ap-18, -0x1.73b34a427e076p-18, -0x1.8eb429bd9212dp-18, -0x1.a95851cbfae27p-18, -0x1.c39fab0e2e406p-18, -0x1.dd8a245356e5ap-18, -0x1.f717b279c5ab3p-18, -0x1.082428290734cp-17, -0x1.148dff40be422p-17, -0x1.20c961b210922p-17, -0x1.2cd65577970ep-17, -0x1.38b4e348fce75p-17, -0x1.4465168d760ddp-17, -0x1.4fe6fd4cbca4ep-17, -0x1.5b3aa821e5013p-17, -0x1.66602a2b10f31p-17, -0x1.715798fcf0fe5p-17, -0x1.7c210c9409945p-17, -0x1.86bc9f47430c4p-17, -0x1.912a6db967ca3p-17, -0x1.9b6a96cbf3a07p-17, -0x1.a57d3b91cd933p-17, -0x1.af627f421a1bep-17, -0x1.b91a8729bc32p-17, -0x1.c2a57a9f4205ap-17, -0x1.cc0382f5794adp-17, -0x1.d534cb6e898bbp-17, -0x1.de39812fa5ccdp-17, -0x1.e711d333f2fdbp-17, -0x1.efbdf240538ep-17, -0x1.f83e10d6ef46dp-17, -0x1.0049319580285p-16, -0x1.045d8f8a828d9p-16, -0x1.085c3e030dc49p-16, -0x1.0c45597e97861p-16, -0x1.1018ff3d8be7bp-16, -0x1.13d74d3b326ep-16, -0x1.17806228635e1p-16, -0x1.1b145d65ac384p-16, -0x1.1e935efe43ba8p-16, -0x1.21fd87a1d9542p-16, -0x1.2552f89f84d5p-16, -0x1.2893d3e0b8463p-16, -0x1.2bc03be3eb246p-16, -0x1.2ed853b6fd8bdp-16, -0x1.31dc3ef2a03dap-16, -0x1.34cc21b4d275p-16, -0x1.37a8209c70d55p-16, -0x1.3a7060c3f2a8cp-16, -0x1.3d2507bcde256p-16, -0x1.3fc63b8ae0763p-16, -0x1.4254229f0e1edp-16, -0x1.44cee3d344842p-16, -0x1.4736a66605f4fp-16, -0x1.498b91f58bef6p-16, -0x1.4bcdce7baeb0bp-16, -0x1.4dfd84498b32bp-16, -0x1.501adc02f5477p-16, -0x1.5225fe9aa456p-16, -0x1.541f154e099eep-16, -0x1.560649a133797p-16, -0x1.57dbc55ad1b64p-16, -0x1.599fb2803c2b1p-16, -0x1.5b523b51a30a1p-16, -0x1.5cf38a467543bp-16, -0x1.5e83ca09c9cb1p-16, -0x1.600325762b0b5p-16, -0x1.6171c79262e3dp-16, -0x1.62cfdb8e08abdp-16, -0x1.641d8cbdf8e02p-16, -0x1.655b0698fff96p-16, -0x1.668874b474affp-16, -0x1.67a602c10f7f8p-16, -0x1.68b3dc87b0df5p-16, -0x1.69b22de63301ep-16, -0x1.6aa122cc6e05cp-16, -0x1.6b80e7393e4f4p-16, -0x1.6c51a73794f8dp-16, -0x1.6d138edb7134cp-16, -0x1.6dc6ca3f3308ap-16, -0x1.6e6b8580fde2ep-16, -0x1.6f01ecbfa5041p-16, -0x1.6f8a2c18505f8p-16, -0x1.70046fa3b847ep-16, -0x1.7070e373fcc09p-16, -0x1.70cfb391b19b8p-16, -0x1.71210bf9c20a7p-16, -0x1.7165189b26127p-16, -0x1.719c055457ddfp-16, -0x1.71c5fdf114b78p-16, -0x1.71e32e2848889p-16, -0x1.71f3c19a09eaap-16, -0x1.71f7e3cd44138p-16, -0x1.71efc02de9a9dp-16, -0x1.71db820aa8c7bp-16, -0x1.71bb54933ef56p-16, -0x1.718f62d66f767p-16, -0x1.7157d7c0551adp-16, -0x1.7114de188afd3p-16, -0x1.70c6a08036fdap-16, }}, 
      {{0x1.ffe52468eb64ap-1, 0x1.ff94eab548444p-1, 0x1.ff1056a227c93p-1, 0x1.fe5903a34ff19p-1, 0x1.fd710c05c46cap-1, 0x1.fc5aee1d0630ap-1, 0x1.fb1971f1ae983p-1, 0x1.f9af90e28cd5fp-1, 0x1.f8205ffa4c667p-1, 0x1.f66efd493ca62p-1, 0x1.f49e804a778bbp-1, 0x1.f2b1ed300cd09p-1, 0x1.f0ac2ad9626d9p-1, 0x1.ee8ffb2b3f72ep-1, 0x1.ec5ff57d38955p-1, 0x1.ea1e82d187213p-1, 0x1.e7cddb9091c2ep-1, 0x1.e57006873cafep-1, 0x1.e306d8eda29bap-1, 0x1.e093f74284beap-1, 0x1.de18d6ce41512p-1, 0x1.db96bfa63ce5dp-1, 0x1.d90ecf0f52aep-1, 0x1.d681fa22f62ecp-1, 0x1.d3f1109f4a7d9p-1, 0x1.d15cbfce7c72dp-1, 0x1.cec595754352ep-1, 0x1.cc2c02bb803c7p-1, 0x1.c9905f04abc51p-1, 0x1.c6f2eab00a571p-1, 0x1.c453d1ba9cbd9p-1, 0x1.c1b32e3e69d4dp-1, 0x1.bf110acc21affp-1, 0x1.bc6d649d47ccp-1, 0x1.b9c82d9e00ed6p-1, 0x1.b7214e4e68839p-1, 0x1.b478a77bedc5ep-1, 0x1.b1ce13d3b7302p-1, 0x1.af21694f66457p-1, 0x1.ac727a7dda902p-1, 0x1.a9c117a9cca6ap-1, 0x1.a70d0fe02c099p-1, 0x1.a45631d84ba8ep-1, 0x1.a19c4cbfe8a67p-1, 0x1.9edf30ed116d9p-1, 0x1.9c1eb077f649dp-1, 0x1.995a9fbe8e18p-1, 0x1.9692d5d3f5b5dp-1, 0x1.93c72cdd512a8p-1, 0x1.90f7825ddff62p-1, 0x1.8e23b773e1f19p-1, 0x1.8b4bb107c92e4p-1, 0x1.886f57ef1f0dcp-1, 0x1.858e99046c239p-1, 0x1.82a96535541a5p-1, 0x1.7fbfb18801f22p-1, 0x1.7cd17718ecea8p-1, 0x1.79deb311dfd95p-1, 0x1.76e7669b24558p-1, 0x1.73eb96c794527p-1, 0x1.70eb4c7c4920dp-1, 0x1.6de694548ef69p-1, 0x1.6add7e82ae574p-1, 0x1.67d01eae14969p-1, 0x1.64be8bcf53bc9p-1, 0x1.61a8e00a68a24p-1, 0x1.5e8f3887a562fp-1, 0x1.5b71b54b9e09cp-1, 0x1.5850790e5e111p-1, 0x1.552ba91233e3ep-1, 0x1.52036cfa4a745p-1, 0x1.4ed7eea14b2d2p-1, 0x1.4ba959f0366c7p-1, 0x1.4877dcb59e82fp-1, 0x1.4543a67d69471p-1, 0x1.420ce86939718p-1, 0x1.3ed3d50999b61p-1, 0x1.3b98a03805146p-1, 0x1.385b7ef1dc6fbp-1, 0x1.351ca7345f31dp-1, 0x1.31dc4fd9b0defp-1, 0x1.2e9ab076fa8e2p-1, 0x1.2b58013bb0a23p-1, 0x1.28147ad2035b2p-1, 0x1.24d056408030ap-1, 0x1.218bcccce7eabp-1, 0x1.1e4717e03b025p-1, 0x1.1b0270ebfc834p-1, 0x1.17be1150add8bp-1, 0x1.147a32457d969p-1, 0x1.11370cc12b716p-1, 0x1.0df4d9641979ap-1, 0x1.0ab3d0638ad49p-1, 0x1.07742976091fcp-1, 0x1.04361bc0eac81p-1, 0x1.00f9ddc6f57e4p-1, 0x1.fb7f4ab02e218p-2, 0x1.f50f4f0459104p-2, 0x1.eea43105a7919p-2, 0x1.e83e577476d46p-2, 0x1.e1de273ddf524p-2, 0x1.db840365304a9p-2, 0x1.d5304cef43973p-2, 0x1.cee362cf97d27p-2, 0x1.c89da1d720185p-2, 0x1.c25f64a4c1079p-2, 0x1.bc290397609eep-2, 0x1.b5fad4c181ed7p-2, 0x1.afd52bde5bdfdp-2, 0x1.a9b85a485a02ap-2, 0x1.a3a4aef0f684p-2, 0x1.9d9a7659e3c79p-2, 0x1.9799fa8f74d6p-2, 0x1.91a383243310cp-2, 0x1.8bb7552d962b3p-2, 0x1.85d5b341d1375p-2, 0x1.7ffedd76a5d24p-2, 0x1.7a3311612cba1p-2, 0x1.74728a169047bp-2, 0x1.6ebd802da09d2p-2, 0x1.691429c13ee46p-2, 0x1.6376ba738bd3fp-2, 0x1.5de56371d5f4cp-2, 0x1.58605379336e3p-2, 0x1.52e7b6dbc362dp-2, 0x1.4d7bb7868c4fbp-2, 0x1.481c7d07e3a43p-2, 0x1.42ca2c966367bp-2, 0x1.3d84e91857f0ep-2, 0x1.384cd32ba3ebap-2, 0x1.3322092e0c29dp-2, 0x1.2e04a745e82bcp-2, 0x1.28f4c76b2c609p-2, 0x1.23f28170c5537p-2, 0x1.1efdeb0e3e0d6p-2, 0x1.1a1717e9a9c1bp-2, 0x1.153e19a1c9bacp-2, 0x1.1072ffd8687eep-2, 0x1.0bb5d83ce4e4cp-2, 0x1.0706ae96e67fcp-2, 0x1.02658cd133088p-2, 0x1.fba4f6094d08p-3, 0x1.f29aff067ca7cp-3, 0x1.e9ad3dc67b92ap-3, 0x1.e0dbb814b4631p-3, 0x1.d8267071f4794p-3, 0x1.cf8d662ae7439p-3, 0x1.c710956e9dd7ep-3, 0x1.beaff76512269p-3, 0x1.b66b82459c1b1p-3, 0x1.ae43296d598a6p-3, 0x1.a636dd757add4p-3, 0x1.9e468c497475bp-3, 0x1.9672213d079e2p-3, 0x1.8eb985222aecfp-3, 0x1.871c9e5eb97b7p-3, 0x1.7f9b5101fd2b1p-3, 0x1.78357ed9f52fdp-3, 0x1.70eb078868b55p-3, 0x1.69bbc897bcd1cp-3, 0x1.62a79d8f82591p-3, 0x1.5bae6008c53b6p-3, 0x1.54cfe7c20cb9fp-3, 0x1.4e0c0ab31b658p-3, 0x1.47629d2054838p-3, 0x1.40d371ade3e02p-3, 0x1.3a5e59727f983p-3, 0x1.34032409ec4ffp-3, 0x1.2dc19fa71d235p-3, 0x1.27999926070fcp-3, 0x1.218adc1d17211p-3, 0x1.1b9532ee58926p-3, 0x1.15b866d83b0f2p-3, 0x1.0ff4400601deap-3, 0x1.0a48859fdcdc9p-3, 0x1.04b4fdda9eecdp-3, 0x1.fe72dc0e4706p-4, 0x1.f3ab3542a34bdp-4, 0x1.e9128ebd8df98p-4, 0x1.dea86e7a578f9p-4, 0x1.d46c592048a92p-4, 0x1.ca5dd21ddc02p-4, 0x1.c07c5bc346cefp-4, 0x1.b6c7775c3dcf2p-4, 0x1.ad3ea5491f8e6p-4, 0x1.a3e165175b618p-4, 0x1.9aaf35992f8p-4, 0x1.91a794fcbe3bp-4, 0x1.88ca00e26bb8p-4, 0x1.8015f6729b0d7p-4, 0x1.778af272bfac6p-4, 0x1.6f287159c58d8p-4, 0x1.66edef63d838cp-4, 0x1.5edae8a58442ep-4, 0x1.56eed91e3a48dp-4, 0x1.4f293cca325bdp-4, 0x1.47898fb3b4f7dp-4, 0x1.400f4e03c81bfp-4, 0x1.38b9f41247bbap-4, 0x1.3188fe75684d3p-4, 0x1.2a7bea10a6cd2p-4, 0x1.2392342329e83p-4, 0x1.1ccb5a5595881p-4, 0x1.1626dac753ebdp-4, 0x1.0fa4341b56f17p-4, 0x1.0942e58455139p-4, 0x1.03026ed0810e6p-4, 0x1.f9c4a0e98a48p-5, 0x1.edc4172efc42fp-5, 0x1.e20244357ab65p-5, 0x1.d67e2d4c2502dp-5, 0x1.cb36d95fbc5dap-5, 0x1.c02b510c6c525p-5, 0x1.b55a9eaea8962p-5, 0x1.aac3ce7339286p-5, 0x1.a065ee66687p-5, 0x1.96400e826b41cp-5, 0x1.8c5140bcf2474p-5, 0x1.82989913fecfp-5, 0x1.79152d99f12bep-5, 0x1.6fc61680de5cdp-5, 0x1.66aa6e2529d22p-5, 0x1.5dc1511774e81p-5, 0x1.5509de25da964p-5, 0x1.4c8336648675ap-5, 0x1.442c7d35a71d1p-5, 0x1.3c04d850bfb25p-5, 0x1.340b6fc9671d9p-5, 0x1.2c3f6e1566721p-5, 0x1.24a000124fe0bp-5, 0x1.1d2c550a8298fp-5, 0x1.15e39eb9ad88ep-5, 0x1.0ec51150c7235p-5, 0x1.07cfe379894bfp-5, 0x1.01034e5972d33p-5, 0x1.f4bd1b289e68ep-6, 0x1.e7c1be9c98aacp-6, 0x1.db13085b4178ap-6, 0x1.ceaf7eb791da8p-6, 0x1.c295ad0cb0d1p-6, 0x1.b6c423bed483ap-6, 0x1.ab39783b63537p-6, 0x1.9ff444f8590b7p-6, 0x1.94f32972ffa98p-6, 0x1.8a34ca2def15cp-6, 0x1.7fb7d0ae7eb46p-6, 0x1.757aeb7985a3ep-6, 0x1.6b7cce0f8cd53p-6, 0x1.61bc30e86d5ecp-6, 0x1.5837d16e68671p-6, 0x1.4eee71f8b7404p-6, 0x1.45ded9c5951b6p-6, 0x1.3d07d4f3e367bp-6, 0x1.3468347c43913p-6, 0x1.2bfece29d4902p-6, 0x1.23ca7c927af5p-6, 0x1.1bca1f0ed5371p-6, 0x1.13fc99b1bb32ap-6, 0x1.0c60d53f77fep-6, 0x1.04f5bf24a6da7p-6, 0x1.fb7492d981431p-7, 0x1.ed5ad570bbcd9p-7, 0x1.df9c3c665a33ap-7, 0x1.d236c713638aap-7, 0x1.c5287dbd753e1p-7, 0x1.b86f71813d301p-7, 0x1.ac09bc3c8bb48p-7, 0x1.9ff5807801a05p-7, 0x1.9430e95056327p-7, 0x1.88ba2a5f47246p-7, 0x1.7d8f7fa447fc5p-7, 0x1.72af2d6ccd73ep-7, 0x1.6817803c71762p-7, 0x1.5dc6ccb4bfdbfp-7, 0x1.53bb6f7ce2c9cp-7, 0x1.49f3cd290b7f7p-7, 0x1.406e5221b9855p-7, 0x1.3729728ae276fp-7, 0x1.2e23aa2ae81f3p-7, 0x1.255b7c517ef6p-7, 0x1.1ccf73be794f7p-7, 0x1.147e228884e51p-7, 0x1.0c662203dbd8p-7, 0x1.048612a8db61dp-7, 0x1.f9b937f5721fcp-8, 0x1.ead0d8dc1511ep-8, 0x1.dc50729ef1585p-8, 0x1.ce357d54c3e06p-8, 0x1.c07d7e5f217d6p-8, 0x1.b3260837f092p-8, 0x1.a62cba3f16cc7p-8, 0x1.998f408848a96p-8, 0x1.8d4b53a8fc262p-8, 0x1.815eb886a459cp-8, 0x1.75c740251a17bp-8, 0x1.6a82c77541a62p-8, 0x1.5f8f3723ff455p-8, 0x1.54ea83696c738p-8, 0x1.4a92abd859311p-8, 0x1.4085bb2e25eep-8, 0x1.36c1c722f2c19p-8, 0x1.2d44f03a1a58ep-8, 0x1.240d61932516ap-8, 0x1.1b1950baf8b6bp-8, 0x1.1266fd7d90be1p-8, 0x1.09f4b1b7fd48ep-8, 0x1.01c0c12ae6fc1p-8, 0x1.f393129adbc2dp-9, 0x1.e41ae240eca3cp-9, 0x1.d515d204e373ap-9, 0x1.c680d50730778p-9, 0x1.b858f07518526p-9, 0x1.aa9b3b33014c2p-9, 0x1.9d44dd87ad98ep-9, 0x1.905310c866921p-9, 0x1.83c31f06133f2p-9, 0x1.779262bb5b658p-9, 0x1.6bbe467bc63c2p-9, 0x1.604444a3cd709p-9, 0x1.5521e709e86f7p-9, 0x1.4a54c6b0b005bp-9, 0x1.3fda8b79e8d19p-9, 0x1.35b0ebdac6235p-9, 0x1.2bd5ac90d40ffp-9, 0x1.2246a0584e4ecp-9, 0x1.1901a7a3379e7p-9, 0x1.1004b0519044cp-9, 0x1.074db56a96445p-9, 0x1.fdb57dadf72adp-10, 0x1.ed53c2386f0fdp-10, 0x1.dd727a3197cf8p-10, 0x1.ce0dff831eadp-10, 0x1.bf22c3c03e62fp-10, 0x1.b0ad4fa41f7dap-10, 0x1.a2aa4292db1f2p-10, 0x1.9516521c17973p-10, 0x1.87ee497fbce8fp-10, 0x1.7b2f0934ca403p-10, 0x1.6ed586720447p-10, 0x1.62decab8a965bp-10, 0x1.5747f36112078p-10, 0x1.4c0e31295d8a6p-10, 0x1.412ec7c604721p-10, 0x1.36a70d741d348p-10, 0x1.2c746a8df25efp-10, 0x1.229459213b91bp-10, 0x1.1904648720b89p-10, 0x1.0fc228fe5892ap-10, 0x1.06cb5346e6ae5p-10, 0x1.fc3b407fb1903p-11, 0x1.eb6db90d64bbap-11, 0x1.db29c83164c02p-11, 0x1.cb6b43eb9070ap-11, 0x1.bc2e1f8ab6c3bp-11, 0x1.ad6e6af9ca448p-11, 0x1.9f28521020fc6p-11, 0x1.91581be5394efp-11, 0x1.83fa2a27dea03p-11, 0x1.770af878cedf2p-11, 0x1.6a871bc842e12p-11, 0x1.5e6b41b6d480ap-11, 0x1.52b42ff9cdfb9p-11, 0x1.475ec3c22a251p-11, 0x1.3c67f1271748bp-11, 0x1.31ccc29366c67p-11, 0x1.278a5835ce633p-11, 0x1.1d9de7747b6cdp-11, 0x1.1404ba6330a3dp-11, 0x1.0abc2f3ca107ap-11, 0x1.01c1b7de74b5cp-11, 0x1.f225b29022982p-12, 0x1.e15a56389420dp-12, 0x1.d11cae4b386eep-12, 0x1.c16831bac2b2ap-12, 0x1.b23879ea3b512p-12, 0x1.a38941c62e691p-12, 0x1.955664e1a22b8p-12, 0x1.879bde9903ec1p-12, 0x1.7a55c939b8cb3p-12, 0x1.6d805d2e21c96p-12, 0x1.6117f02f099bfp-12, 0x1.5518f47960fdap-12, 0x1.497ff808a80d6p-12, 0x1.3e49a3d610714p-12, 0x1.3372bb1ba8262p-12, 0x1.28f81a9c5bb4p-12, 0x1.1ed6b7efd9dfcp-12, 0x1.150ba0d33a0a9p-12, 0x1.0b93fa7d0581fp-12, 0x1.026d00f608e4p-12, 0x1.f3280ceb4d443p-13, 0x1.e20ce584ca27ap-13, 0x1.d183852c28598p-13, 0x1.c1870e0bf170dp-13, 0x1.b212c9dcac0c1p-13, 0x1.a32228c3b30d9p-13, 0x1.94b0c0393fb66p-13, 0x1.86ba49f4e4f9ap-13, 0x1.793aa2e16c85ap-13, 0x1.6c2dca16b1b99p-13, 0x1.5f8fdfdb0ef58p-13, 0x1.535d24aa33516p-13, 0x1.4791f842df8b9p-13, 0x1.3c2ad8bae80b9p-13, 0x1.312461988ffd9p-13, 0x1.267b4af26d10dp-13, 0x1.1c2c6894dd0ccp-13, 0x1.1234a92d57199p-13, 0x1.0891157b1452dp-13, 0x1.fe7d9f09d1d5bp-14, 0x1.ec7623aa19a2cp-14, 0x1.db065d7322d15p-14, 0x1.ca291f1484ad3p-14, 0x1.b9d967e642c16p-14, 0x1.aa1262887c279p-14, 0x1.9acf638b7837p-14, 0x1.8c0be821c5f5fp-14, 0x1.7dc394db94b1p-14, 0x1.6ff23469ff1e4p-14, 0x1.6293b66bd1668p-14, 0x1.55a42e42fd144p-14, 0x1.491fd1f13efb5p-14, 0x1.3d02f8fdfa4fap-14, 0x1.314a1b634782p-14, 0x1.25f1d0833d2d6p-14, 0x1.1af6ce241e9afp-14, 0x1.1055e774c1192p-14, 0x1.060c0c1719942p-14, 0x1.f82c8e6597016p-15, 0x1.e4e37d1b68855p-15, 0x1.d2376357b2039p-15, 0x1.c022f1eac0958p-15, 0x1.aea109c5fedb5p-15, 0x1.9dacba614fccdp-15, 0x1.8d41402cc426p-15, 0x1.7d5a030ccb9c2p-15, 0x1.6df294e3ebb93p-15, 0x1.5f06b026b3729p-15, 0x1.50923679076cap-15, 0x1.42912f5936e6bp-15, 0x1.34ffc6d2725d5p-15, 0x1.27da4c3b22a4dp-15, 0x1.1b1d30fcc10a1p-15, 0x1.0ec507650de32p-15, 0x1.02ce818011d83p-15, 0x1.ee6cdff86b6ecp-16, 0x1.d7f3822d3d3bbp-16, 0x1.c22aff20653d1p-16, 0x1.ad0da35643066p-16, 0x1.9895f06134358p-16, 0x1.84be9afc8c3e9p-16, 0x1.7182893641f2p-16, 0x1.5edcd0a9b73b5p-16, 0x1.4cc8b4c6d4fefp-16, 0x1.3b41a5287e1bep-16, 0x1.2a433bf9cf36dp-16, 0x1.19c93c6644979p-16, 0x1.09cf9118b4049p-16, 0x1.f4a4958e76dccp-17, 0x1.d69b3d9294f26p-17, 0x1.b97bcb798781p-17, 0x1.9d3f3469c6734p-17, 0x1.81deaee87a316p-17, 0x1.6753b064b22bbp-17, 0x1.4d97ead9050d3p-17, 0x1.34a54a7de363ap-17, 0x1.1c75f393a6514p-17, 0x1.050440411b769p-17, 0x1.dc957d027d8f3p-18, 0x1.b0885c4a3b27dp-18, 0x1.85d6fdcf2fd5bp-18, 0x1.5c779d24eaddp-18, 0x1.3460ce67c4339p-18, 0x1.0d897ac7b264bp-18, 0x1.cfd1ba6c6764cp-19, 0x1.86ecfe634d6bep-19, 0x1.40546b4e26491p-19, 0x1.f7f077eea0b45p-20, 0x1.73926ca937ee9p-20, 0x1.e6e297ea2f84p-21, 0x1.ddc2b676e4965p-22, -0x1.15c07816fe95p-29, -0x1.d26f8c223302p-22, -0x1.c9b7faa1042bbp-21, -0x1.5163f7db18c99p-20, -0x1.ba4bca85cfb71p-20, -0x1.0fd5525c64917p-19, -0x1.40cb7acc01e0bp-19, -0x1.701339e43656dp-19, -0x1.9db712850b7d9p-19, -0x1.c9c132ba8cc2ep-19, -0x1.f43b77377e8eep-19, -0x1.0e97b7569adap-18, -0x1.22532e8244a07p-18, -0x1.35549f370c25p-18, -0x1.47a0652bfd939p-18, -0x1.593abb246928fp-18, -0x1.6a27bc4c6fd3ep-18, -0x1.7a6b658783e06p-18, -0x1.8a0996af73146p-18, -0x1.990613cc1613dp-18, -0x1.a7648635e0db6p-18, -0x1.b5287db164998p-18, -0x1.c255717d69dcbp-18, -0x1.ceeec1589342fp-18, -0x1.daf7b676b2967p-18, -0x1.e673846f07808p-18, -0x1.f1654a205213cp-18, -0x1.fbd01288debfap-18, -0x1.02db6aca53c3dp-17, -0x1.078e3c72f1d26p-17, -0x1.0c01e848ede54p-17, -0x1.1037cfeb6aeb6p-17, -0x1.14314ce43848ap-17, -0x1.17efb0fa407a5p-17, -0x1.1b744681556b1p-17, -0x1.1ec050a39b3b3p-17, -0x1.21d50baa253d2p-17, -0x1.24b3ad412306fp-17, -0x1.275d64b96346fp-17, -0x1.29d35b45f4326p-17, -0x1.2c16b43763efp-17, -0x1.2e288d33ea5e9p-17, -0x1.3009fe6cc5f1ep-17, -0x1.31bc1ad142b0fp-17, -0x1.333ff03e3ed97p-17, -0x1.349687adea6ebp-17, -0x1.35c0e561a30dbp-17, -0x1.36c0090cd1256p-17, -0x1.3794edfb4544bp-17, -0x1.38408b3795d7ap-17, -0x1.38c3d3adb7083p-17, -0x1.391fb64c0697fp-17, -0x1.39551e24d3f37p-17, -0x1.3964f28add4a8p-17, -0x1.3950172f0ce13p-17, -0x1.39176c3ae4d1dp-17, -0x1.38bbce6a35f1ep-17, -0x1.383e17234c6a2p-17, -0x1.379f1c8dbc3bfp-17, -0x1.36dfb1a794ebdp-17, -0x1.3600a65a80ffp-17, -0x1.3502c78e5f8c4p-17, -0x1.33e6df3bce85fp-17, -0x1.32adb47cbc2e5p-17, -0x1.31580b9e044fdp-17, -0x1.2fe6a62ca757ep-17, -0x1.2e5a430551c1ap-17, -0x1.2cb39e619e6e3p-17, -0x1.2af371e473b3ap-17, -0x1.291a74a6dd398p-17, -0x1.27295b422b4e6p-17, -0x1.2520d7db5af8p-17, -0x1.23019a2cb121cp-17, -0x1.20cc4f8f55cafp-17, -0x1.1e81a303a24d8p-17, -0x1.1c223d3a36856p-17, -0x1.19aec49a7e88ap-17, -0x1.1727dd4bc0e41p-17, -0x1.148e293a448ap-17, -0x1.11e2481eedd63p-17, -0x1.0f24d7850b83dp-17, -0x1.0c5672cfefc2bp-17, -0x1.0977b3404b2fp-17, -0x1.06892ff9bcacbp-17, -0x1.038b7e06e2a35p-17, -0x1.007f305ee686ap-17, -0x1.fac9afd1534b7p-18, -0x1.f47a07006856fp-18, -0x1.ee107ff165211p-18, -0x1.e78e304449306p-18, -0x1.e0f429977984fp-18, -0x1.da43798e81b01p-18, -0x1.d37d29d9442e6p-18, -0x1.cca2403a1983ap-18, -0x1.c5b3be8ac62bep-18, -0x1.beb2a2c3110b6p-18, -0x1.b79fe6fe0b3b4p-18, -0x1.b07c817f41a51p-18, -0x1.a94964b826889p-18, -0x1.a2077f4cb38d3p-18, -0x1.9ab7bc1918bedp-18, -0x1.935b023650c94p-18, -0x1.8bf234fed6ed2p-18, -0x1.847e3413980a9p-18, -0x1.7cffdb60799b3p-18, -0x1.7578032110839p-18, -0x1.6de77fe4dcd2bp-18, -0x1.664f2295896f8p-18, -0x1.5eafb87948ce1p-18, -0x1.570a0b39cf633p-18, -0x1.4f5ee0e756a87p-18, -0x1.47aefbfe9e3e6p-18, -0x1.3ffb1b6c94ac2p-18, -0x1.3843fa941b665p-18, -0x1.308a5152966e6p-18, -0x1.28ced40452b9cp-18, -0x1.2112338a5af0fp-18, -0x1.19551d4f60b22p-18, -0x1.11983b4c886dbp-18, -0x1.09dc340f5456cp-18, -0x1.0221aabeeb9c1p-18, -0x1.f4d27e4125f16p-19, -0x1.e5671b3c876d6p-19, -0x1.d6025e97c4622p-19, -0x1.c6a573d8acb73p-19, -0x1.b7517ff0d91ebp-19, -0x1.a807a14753866p-19, -0x1.98c8efc6bab03p-19, -0x1.89967ce8491ffp-19, -0x1.7a7153bfa5388p-19, -0x1.6b5a79085ecefp-19, -0x1.5c52eb328a32p-19, -0x1.4d5ba26ecc3a4p-19, -0x1.3e7590bbfb082p-19, -0x1.2fa1a1f46848fp-19, -0x1.20e0bbdb692b2p-19, -0x1.1233be2a4f5b9p-19, -0x1.039b829f51315p-19, -0x1.ea31ba17cefe5p-20, -0x1.cd5936c18c163p-20, -0x1.b0af0b7cd23c6p-20, -0x1.9434bd04712e4p-20, -0x1.77ebc4aa243e6p-20, -0x1.5bd590750d4dbp-20, -0x1.3ff383408c001p-20, -0x1.2446f4d703dacp-20, -0x1.08d13213a4cb2p-20, -0x1.db26f9ffa013p-21, -0x1.a51e19e67e894p-21, -0x1.6f8a1d5e0aa23p-21, -0x1.3a6d49060c043p-21, -0x1.05c9ccced3906p-21, -0x1.a343887d315d4p-22, -0x1.3bee6d661986ap-22, -0x1.ab305e62cbe6fp-23, -0x1.c11235a89ab7ep-24, -0x1.7ee4191bf1ef7p-27, 0x1.5d329139bfe94p-24, 0x1.7306ea881ee01p-23, 0x1.1aaa2acaeaa33p-22, 0x1.7abdc26834453p-22, 0x1.d9bb5ddc52233p-22, 0x1.1bd02157cd898p-21, 0x1.4a34ecd54cb78p-21, 0x1.780ad726cb039p-21, 0x1.a550b727e2bfdp-21, 0x1.d205748b34982p-21, 0x1.fe28079ad5da6p-21, 0x1.14dbbc7986265p-20, 0x1.2a5970a0f0eecp-20, 0x1.3f8cb481bdb07p-20, 0x1.5475242153cb3p-20, 0x1.6912632b0a178p-20, 0x1.7d641ccd1e52fp-20, 0x1.916a039bf97cap-20, 0x1.a523d16e16034p-20, 0x1.b891473a2c2dap-20, 0x1.cbb22cfab1435p-20, 0x1.de86518960582p-20, 0x1.f10d8a7f170cbp-20, 0x1.01a3da0bfdf1ep-19, 0x1.0a9a588621946p-19, 0x1.136a353af9021p-19, 0x1.1c1367d717eacp-19, 0x1.2495eb17c4276p-19, 0x1.2cf1bcb9bc60bp-19, 0x1.3526dd6aaddaap-19, 0x1.3d3550b970a6ap-19, 0x1.451d1d05f4498p-19, 0x1.4cde4b7188092p-19, 0x1.5478e7d046572p-19, 0x1.5bed009a7d599p-19, 0x1.633aa6dbf9946p-19, 0x1.6a61ee25a253cp-19, 0x1.7162ec7f66373p-19, 0x1.783dba58955e6p-19, 0x1.7ef2727955795p-19, 0x1.858131f4c2353p-19, 0x1.8bea18194e53ep-19, 0x1.922d46639ad5cp-19, 0x1.984ae06f4504cp-19, 0x1.9e430be9684dp-19, 0x1.a415f083bf309p-19, 0x1.a9c3b7e4886dep-19, 0x1.af4c8d9b584c3p-19, 0x1.b4b09f11fdb5p-19, 0x1.b9f01b7ff5969p-19, 0x1.bf0b33dd6afbap-19, 0x1.c4021ad51e662p-19, 0x1.c8d504b86794cp-19, 0x1.cd84277261fd6p-19, 0x1.d20fba7ab996cp-19, 0x1.d677f6c948e31p-19, 0x1.dabd16cac0bacp-19, 0x1.dedf5653b1097p-19, 0x1.e2def2941ec6bp-19, 0x1.e6bc2a0ce9688p-19, 0x1.ea773c832aabep-19, 0x1.ee106af4c3db1p-19, 0x1.f187f78d70d0ap-19, 0x1.f4de259b20c83p-19, 0x1.f8133982a4808p-19, 0x1.fb2778b5f19d2p-19, 0x1.fe1b29a757c74p-19, 0x1.007749e0506c5p-18, 0x1.01d0ffac20a28p-18, 0x1.031adad35cc1bp-18, 0x1.0455005e2f9d2p-18, 0x1.057f95bbee4b1p-18, 0x1.069ac0be0516cp-18, 0x1.07a6a793389c1p-18, 0x1.08a370c2b1914p-18, 0x1.09914327a3577p-18, 0x1.0a7045ec84715p-18, 0x1.0b40a0864c72ep-18, 0x1.0c027ab044a7bp-18, 0x1.0cb5fc67e5facp-18, 0x1.0d5b4de7fd3f8p-18, 0x1.0df297a4fb3ddp-18, 0x1.0e7c02487a66dp-18, 0x1.0ef7b6ad63a4dp-18, 0x1.0f65dddb9cb46p-18, 0x1.0fc6a104c8e27p-18, 0x1.101a297fbc05dp-18, 0x1.1060a0c50838cp-18, 0x1.109a306b62a5bp-18, 0x1.10c70223e0d67p-18, 0x1.10e73fb653204p-18, 0x1.10fb12fe12a49p-18, 0x1.1102a5e671ee6p-18, 0x1.10fe226754c2ep-18, 0x1.10edb282414a6p-18, 0x1.10d1803ecceedp-18, 0x1.10a9b5a7b143cp-18, 0x1.10767cc7a621fp-18, 0x1.1037ffa69bbe2p-18, 0x1.0fee68468aae3p-18, 0x1.0f99e0a0c7131p-18, 0x1.0f3a92a3291a9p-18, 0x1.0ed0a82d67f1bp-18, 0x1.0e5c4b0e5ac65p-18, 0x1.0ddda5015ca8ep-18, 0x1.0d54dfabeaa72p-18, 0x1.0cc2249b26854p-18, 0x1.0c259d415c0ebp-18, 0x1.0b7f72f3a5888p-18, 0x1.0acfcee7d754cp-18, 0x1.0a16da3208253p-18, 0x1.0954bdc29dc4ap-18, 0x1.0889a2642725p-18, 0x1.07b5b0b9423f7p-18, 0x1.06d9113a9d9f3p-18, 0x1.05f3ec35354d5p-18, 0x1.050669c84c936p-18, 0x1.0410b1e3a6946p-18, 0x1.0312ec45c09fcp-18, 0x1.020d407a418dbp-18, 0x1.00ffd5d838aecp-18, 0x1.ffd5a700f9753p-19, 0x1.fd9cc0b83dd56p-19, 0x1.fb554635f9dabp-19, 0x1.f8ff8464905bfp-19, 0x1.f69bc7b6277d1p-19, 0x1.f42a5c223c69bp-19, 0x1.f1ab8d22db674p-19, 0x1.ef1fa5b1e6e42p-19, 0x1.ec86f04711ce2p-19, 0x1.e9e1b6d567321p-19, 0x1.e73042c8f18f8p-19, 0x1.e472dd04b092dp-19, 0x1.e1a9cde0c0f62p-19, 0x1.ded55d280871ep-19, 0x1.dbf5d2165d9dbp-19, 0x1.d90b7356e0d12p-19, 0x1.d616870255981p-19, 0x1.d317529d378d7p-19, 0x1.d00e1b164b27p-19, 0x1.ccfb24c5613adp-19, 0x1.c9deb369b19bp-19, 0x1.c6b90a2889dafp-19, 0x1.c38a6b8be598fp-19, 0x1.c05319815d405p-19, 0x1.bd1355590d4cep-19, 0x1.b9cb5fc4b203cp-19, 0x1.b67b78d6832f1p-19, 0x1.b323e0003cd1p-19, 0x1.afc4d412335dfp-19, 0x1.ac5e933a998a4p-19, 0x1.a8f15b050989bp-19, 0x1.a57d685985b07p-19, 0x1.a202f77bdba71p-19, 0x1.9e82440b5d828p-19, 0x1.9afb89026a70ap-19, 0x1.976f00b5ae2e9p-19, 0x1.93dce4d3dd964p-19, 0x1.90456e6550961p-19, 0x1.8ca8d5cbe9fa9p-19, 0x1.890752c2f84ddp-19, 0x1.85611c5edac23p-19, 0x1.81b6690cb9b7dp-19, 0x1.7e076e92b4465p-19, 0x1.7a54620fb99dbp-19, 0x1.769d77fba1d01p-19, 0x1.72e2e4271bf2bp-19, 0x1.6f24d9bbf1902p-19, 0x1.6b638b3d2c209p-19, 0x1.679f2a874cf4cp-19, 0x1.63d7e8d076234p-19, 0x1.600df6a86fb91p-19, 0x1.5c4183f959d9bp-19, 0x1.5872c007a6fb8p-19, 0x1.54a1d972e483ap-19, 0x1.50cefe362161bp-19, 0x1.4cfa5ba80b76ap-19, 0x1.49241e7b74bdcp-19, 0x1.454c72c01a2e2p-19, 0x1.417383e311419p-19, 0x1.3d997caf2c425p-19, 0x1.39be874db5a4bp-19, 0x1.35e2cd4760fd1p-19, 0x1.32067784b356dp-19, 0x1.2e29ae4ec0483p-19, 0x1.2a4c994fa8c5p-19, 0x1.266f5f9398c31p-19, 0x1.229227893a84dp-19, 0x1.1eb51702ef9e2p-19, 0x1.1ad85337b8b1p-19, 0x1.16fc00c391a97p-19, 0x1.132043a856982p-19, 0x1.0f453f4ee19f7p-19, 0x1.0b6b1687f6b8dp-19, 0x1.0791eb8d0a027p-19, 0x1.03b9e00125c13p-19, 0x1.ffc629e3a7b04p-20, 0x1.f81b55b0f9b1ep-20, 0x1.f073833686243p-20, 0x1.e8cef11b46c7ep-20, 0x1.e12ddce38aa8ep-20, 0x1.d99082f2ae888p-20, 0x1.d1f71e8d1f11bp-20, 0x1.ca61e9db5f9c4p-20, 0x1.c2d11deb5f70ap-20, 0x1.bb44f2b301b92p-20, 0x1.b3bd9f121e8ebp-20, 0x1.ac3b58d463bd9p-20, 0x1.a4be54b41e6dep-20, 0x1.9d46c65c3c307p-20, 0x1.95d4e06a96fcp-20, 0x1.8e68d4725f24fp-20, }}, 
      {{-0x1.0fb34651c07a5p-15, -0x1.104ce9401be07p-13, -0x1.335bc4d1d719cp-12, -0x1.124edb35bc58ap-11, -0x1.ae6ded60ba02fp-11, -0x1.37270863b7474p-10, -0x1.a8ed4c24beb37p-10, -0x1.16232ec6ab38dp-9, -0x1.605676ee89d15p-9, -0x1.b2aa7860ad843p-9, -0x1.064a90409812ep-8, -0x1.36b486d207669p-8, -0x1.6a2bb4d53040cp-8, -0x1.a0394e0158b19p-8, -0x1.d858cb4d9727dp-8, -0x1.08fce2a068242p-7, -0x1.2640f6517190cp-7, -0x1.43a787e58366ap-7, -0x1.60dc8f0497d36p-7, -0x1.7d8a0ec477361p-7, -0x1.9959054c471f2p-7, -0x1.b3f24cc016816p-7, -0x1.ccff6b06be666p-7, -0x1.e42b4ed702472p-7, -0x1.f922f931f4c73p-7, -0x1.05cb098517154p-6, -0x1.0d9bb7a971458p-6, -0x1.13debd0900c6fp-6, -0x1.18714aac1e29dp-6, -0x1.1b32b29a057b6p-6, -0x1.1c0485ea8f23ap-6, -0x1.1acaab93b83fdp-6, -0x1.176b7099646aep-6, -0x1.11cf92444b1edp-6, -0x1.09e243001ac75p-6, -0x1.ff2254f35c90bp-7, -0x1.e598c31af6158p-7, -0x1.c70cd519a376p-7, -0x1.a3684cad1ec82p-7, -0x1.7a998d6bd10b8p-7, -0x1.4c937ce054d59p-7, -0x1.194d5ec1efe7bp-7, -0x1.c1855bee581e7p-8, -0x1.45e5e5fe64744p-8, -0x1.7f86613a5c2ccp-9, -0x1.795bd1e33f40bp-11, 0x1.af2fc718a8e98p-10, 0x1.1107192e191d5p-8, 0x1.c063b1ac95868p-8, 0x1.3cdcbfe7415bcp-7, 0x1.9e6d5ac15597p-7, 0x1.026513f022f79p-6, 0x1.37eb9cba22dcfp-6, 0x1.6fbb31614df65p-6, 0x1.a9c3b248de897p-6, 0x1.e5f40c40d2f16p-6, 0x1.121d26cdd8907p-5, 0x1.3241dd51dde1ap-5, 0x1.535e70b3dab2cp-5, 0x1.7568d66cbfceep-5, 0x1.9856bb9d3f8d8p-5, 0x1.bc1d8de9b3042p-5, 0x1.e0b283fb254bp-5, 0x1.030552d2ca824p-4, 0x1.160d69d9fe8e1p-4, 0x1.296be7ad88f12p-4, 0x1.3d1b20aa09016p-4, 0x1.511560509b67p-4, 0x1.6554ec7ecc6c6p-4, 0x1.79d4087d419edp-4, 0x1.8e8cf7e62681fp-4, 0x1.a37a01647628fp-4, 0x1.b895714d3e87p-4, 0x1.cdd99c13fafc6p-4, 0x1.e340e09b30d74p-4, 0x1.f8c5aa626146dp-4, 0x1.073139c9396c5p-3, 0x1.1208e374d5b98p-3, 0x1.1ce720c41b2f1p-3, 0x1.27c94a4f29acdp-3, 0x1.32acc37e9b508p-3, 0x1.3d8efb45af738p-3, 0x1.486d6cced27d5p-3, 0x1.5345a01acc6dbp-3, 0x1.5e152a9328228p-3, 0x1.68d9af9035dd3p-3, 0x1.7390e0d30c6dfp-3, 0x1.7e387ef400a3ap-3, 0x1.88ce59c5f1206p-3, 0x1.935050aec9f7p-3, 0x1.9dbc52f5a0d39p-3, 0x1.a8106006d098dp-3, 0x1.b24a87ae6f0c8p-3, 0x1.bc68ea4973a72p-3, 0x1.c669b8edf20aep-3, 0x1.d04b358ac55fcp-3, 0x1.da0bb2fefd809p-3, 0x1.e3a995296a555p-3, 0x1.ed2350f099cb9p-3, 0x1.f6776c43ae76bp-3, 0x1.ffa47e14439d7p-3, 0x1.04549724ed5e7p-2, 0x1.08c21ad783a2ep-2, 0x1.0d1a2eec5b59fp-2, 0x1.115c4083f5991p-2, 0x1.1587c5031876cp-2, 0x1.199c39fe8ff12p-2, 0x1.1d9925249bc6bp-2, 0x1.217e14243165ap-2, 0x1.254a9c92351fcp-2, 0x1.28fe5bccd1589p-2, 0x1.2c98f6dd0f4c3p-2, 0x1.301a1a56d1fadp-2, 0x1.33817a3755f86p-2, 0x1.36ced1c25bf18p-2, 0x1.3a01e35e14c5ep-2, 0x1.3d1a786df7ad9p-2, 0x1.4018612c97151p-2, 0x1.42fb74849a033p-2, 0x1.45c38fe8f0e74p-2, 0x1.4870972c5f514p-2, 0x1.4b02745876bafp-2, 0x1.4d7917841da55p-2, 0x1.4fd476a9b26ffp-2, 0x1.52148d7ce67f8p-2, 0x1.54395d4067b28p-2, 0x1.5642ec9b65c4dp-2, 0x1.5831476f0b634p-2, 0x1.5a047eabff9ap-2, 0x1.5bbca827f86a6p-2, 0x1.5d59de7374144p-2, 0x1.5edc40afa8e8bp-2, 0x1.6043f264b23eap-2, 0x1.61911b5812498p-2, 0x1.62c3e76389422p-2, 0x1.63dc864c576f4p-2, 0x1.64db2b9ae99c7p-2, 0x1.65c00e7304acp-2, 0x1.668b696c6e101p-2, 0x1.673d7a6c22526p-2, 0x1.67d6827e1706fp-2, 0x1.6856c5af99515p-2, 0x1.68be8aea44248p-2, 0x1.690e1bcf9b70fp-2, 0x1.6945c495499b8p-2, 0x1.6965d3e20b1efp-2, 0x1.696e9aab430fp-2, 0x1.69606c1341bb2p-2, 0x1.693b9d483c1e1p-2, 0x1.69008563f79f5p-2, 0x1.68af7d4c2a976p-2, 0x1.6848df9394aa6p-2, 0x1.67cd085bc9416p-2, 0x1.673c5537b9c5ap-2, 0x1.6697250eee04dp-2, 0x1.65ddd80178616p-2, 0x1.6510cf4ca0f8bp-2, 0x1.64306d304276cp-2, 0x1.633d14d4e0f48p-2, 0x1.62372a326e8e4p-2, 0x1.611f11f7c6effp-2, 0x1.5ff53172d748dp-2, 0x1.5eb9ee7978ce8p-2, 0x1.5d6daf52f493p-2, 0x1.5c10daa23584bp-2, 0x1.5aa3d750a18e5p-2, 0x1.59270c799966ap-2, 0x1.579ae1569dbdep-2, 0x1.55ffbd2c1806bp-2, 0x1.54560736bfd14p-2, 0x1.529e26999fcc3p-2, 0x1.50d8824cb6e77p-2, 0x1.4f05810c31a2dp-2, 0x1.4d25894835d15p-2, 0x1.4b390115492bfp-2, 0x1.49404e1d426e6p-2, 0x1.473bd590cb96ap-2, 0x1.452bfc197384ap-2, 0x1.431125cc438aep-2, 0x1.40ebb61cddc7p-2, 0x1.3ebc0fd124b1ep-2, 0x1.3c8294f55d64ap-2, 0x1.3a3fa6d0d7204p-2, 0x1.37f3a5db0d8ap-2, 0x1.359ef1b1460cdp-2, 0x1.3341e90ca3fa6p-2, 0x1.30dce9b8b60e5p-2, 0x1.2e70508a74895p-2, 0x1.2bfc7957af71ep-2, 0x1.2981beeef081p-2, 0x1.27007b0fc3879p-2, 0x1.247906636b76p-2, 0x1.21ebb87601d2ap-2, 0x1.1f58e7aff6f1bp-2, 0x1.1cc0e94ff9f86p-2, 0x1.1a2411653efecp-2, 0x1.1782b2ca25828p-2, 0x1.14dd1f1f3cf7ap-2, 0x1.1233a6c6a0df4p-2, 0x1.0f8698dfb21aep-2, 0x1.0cd6434320bc1p-2, 0x1.0a22f27f52a03p-2, 0x1.076cf1d513efbp-2, 0x1.04b48b349e417p-2, 0x1.01fa073aecb52p-2, 0x1.fe7b5a5eb3e1fp-3, 0x1.f8ff86031b74ap-3, 0x1.f3811a8f5c91cp-3, 0x1.ee009e79b8bccp-3, 0x1.e87e957fe6321p-3, 0x1.e2fb80a50ff87p-3, 0x1.dd77de3064712p-3, 0x1.d7f429ac1560ep-3, 0x1.d270dbe4ddab7p-3, 0x1.ccee6ae9fa4aap-3, 0x1.c76d4a0d98417p-3, 0x1.c1ede9e5afa21p-3, 0x1.bc70b84d5552fp-3, 0x1.b6f620666a10fp-3, 0x1.b17e8a9bbae9bp-3, 0x1.ac0a5ca37ef35p-3, 0x1.a699f9823321fp-3, 0x1.a12dc18ddb453p-3, 0x1.9bc61271914ebp-3, 0x1.9663473171d5ap-3, 0x1.9105b82eda68p-3, 0x1.8badbb2cf705fp-3, 0x1.865ba35599809p-3, 0x1.810fc13e61c5p-3, 0x1.7bca62ee21f7dp-3, 0x1.768bd3e2953f4p-3, 0x1.71545d16460d4p-3, 0x1.6c244506c00f2p-3, 0x1.66fbcfbaf7c4cp-3, 0x1.61db3ec9e982dp-3, 0x1.5cc2d1616fde9p-3, 0x1.57b2c44d4b5c2p-3, 0x1.52ab51fe5b5f3p-3, 0x1.4dacb292069a9p-3, 0x1.48b71bd9c872p-3, 0x1.43cac162ecfa6p-3, 0x1.3ee7d47e6f47dp-3, 0x1.3a0e8448fcad5p-3, 0x1.353efdb318883p-3, 0x1.30796b895c313p-3, 0x1.2bbdf67cd93bdp-3, 0x1.270cc52b8f0f2p-3, 0x1.2265fc28ff486p-3, 0x1.1dc9be06cd8cbp-3, 0x1.19382b5d7f055p-3, 0x1.14b162d5446a1p-3, 0x1.1035812ed13d3p-3, 0x1.0bc4a14c4661ep-3, 0x1.075edc3a257d8p-3, 0x1.030449384c44ap-3, 0x1.fd69fb85f4aacp-4, 0x1.f4e21b37b52dap-4, 0x1.ec7115a625813p-4, 0x1.e4170ba0acce9p-4, 0x1.dbd41ab7e5fe6p-4, 0x1.d3a85d4fd3e47p-4, 0x1.cb93eab1ecf5p-4, 0x1.c396d71f3dd88p-4, 0x1.bbb133e26fdap-4, 0x1.b3e30f61c84bep-4, 0x1.ac2c75311654bp-4, 0x1.a48d6e2389de1p-4, 0x1.9d06005d81b71p-4, 0x1.95962f66338a2p-4, 0x1.8e3dfc3940d31p-4, 0x1.86fd65582d38ap-4, 0x1.7fd466dbb9cfp-4, 0x1.78c2fa851b94fp-4, 0x1.71c917cf0f76dp-4, 0x1.6ae6b3fecd6b1p-4, 0x1.641bc234cfc17p-4, 0x1.5d68337d77f6ap-4, 0x1.56cbf6e183db5p-4, 0x1.5046f9765c348p-4, 0x1.49d9266e3327bp-4, 0x1.43826727f5712p-4, 0x1.3d42a33f0c19fp-4, 0x1.3719c09aed19bp-4, 0x1.3107a37e7703bp-4, 0x1.2b0c2e9720e6ap-4, 0x1.2527430be9c8cp-4, 0x1.1f58c08c1fdb3p-4, 0x1.19a0855de90c1p-4, 0x1.13fe6e6c95c3cp-4, 0x1.0e725756be548p-4, 0x1.08fc1a7c25a76p-4, 0x1.039b910b63f89p-4, 0x1.fca1261eadfbbp-5, 0x1.f235eef8b10e5p-5, 0x1.e7f5287a72f67p-5, 0x1.ddde7c80047f6p-5, 0x1.d3f19304ef558p-5, 0x1.ca2e123ccd36ap-5, 0x1.c0939eab59c8bp-5, 0x1.b721db3c1c4b3p-5, 0x1.add869598e663p-5, 0x1.a4b6e903ce82cp-5, 0x1.9bbcf8e6d9757p-5, 0x1.92ea367044166p-5, 0x1.8a3e3de48e75ep-5, 0x1.81b8aa73e5c23p-5, 0x1.7959164e829a4p-5, 0x1.711f1ab888027p-5, 0x1.690a501d6842bp-5, 0x1.611a4e22d710bp-5, 0x1.594eabbb46ea9p-5, 0x1.51a6ff37e9e3ep-5, 0x1.4a22de5a477cap-5, 0x1.42c1de655428cp-5, 0x1.3b83942e20b2p-5, 0x1.3467942c0a3bdp-5, 0x1.2d6d728884f2bp-5, 0x1.2694c32e6f74ep-5, 0x1.1fdd19d8fb454p-5, 0x1.19460a22228aap-5, 0x1.12cf2790b442p-5, 0x1.0c7805a5efd8fp-5, 0x1.064037eac114ep-5, 0x1.002751fc8297cp-5, 0x1.f459cf32d027fp-6, 0x1.e8a11958e97e7p-6, 0x1.dd23aab22be09p-6, 0x1.d1e0ac0ca9c6dp-6, 0x1.c6d746d34bf5p-6, 0x1.bc06a522b147bp-6, 0x1.b16df1dd4ae1bp-6, 0x1.a70c58bec0afcp-6, 0x1.9ce1066e9c268p-6, 0x1.92eb28922df7cp-6, 0x1.8929edddda60cp-6, 0x1.7f9c8625a610fp-6, 0x1.7642226d067a9p-6, 0x1.6d19f4f62f402p-6, 0x1.642331508c868p-6, 0x1.5b5d0c66bde9ap-6, 0x1.52c6bc8bd6426p-6, 0x1.4a5f79880dfb9p-6, 0x1.42267ca4d5aa4p-6, 0x1.3a1b00b848e9cp-6, 0x1.323c42301f085p-6, 0x1.2a897f1bfe144p-6, 0x1.2301f73735e97p-6, 0x1.1ba4ebf214821p-6, 0x1.1471a07a856e6p-6, 0x1.0d6759c44b435p-6, 0x1.06855e90b1edfp-6, 0x1.ff95eeeb726dp-7, 0x1.f26eddc99bf1bp-7, 0x1.e594226203c3fp-7, 0x1.d9045929ba49fp-7, 0x1.ccbe226f5661p-7, 0x1.c0c02264c9c0cp-7, 0x1.b5090128515f2p-7, 0x1.a9976acca0cc5p-7, 0x1.9e6a0f6026bfap-7, 0x1.937fa2f3acfa5p-7, 0x1.88d6dda016fcbp-7, 0x1.7e6e7b8b6c95fp-7, 0x1.74453ced3fcacp-7, 0x1.6a59e6125624ep-7, 0x1.60ab3f5f96d4ep-7, 0x1.5738155474885p-7, 0x1.4dff388c885dfp-7, 0x1.44ff7dc0bea73p-7, 0x1.3c37bdc7da5b3p-7, 0x1.33a6d5965d95dp-7, 0x1.2b4ba63deccfbp-7, 0x1.232514ec2e12fp-7, 0x1.1b320ae9278e2p-7, 0x1.1371759509f43p-7, 0x1.0be24665a8f3fp-7, 0x1.048372e347d8bp-7, 0x1.faa7e94a53dc2p-8, 0x1.eca5929b4e156p-8, 0x1.defde50b70962p-8, 0x1.d1aeebf09caaep-8, 0x1.c4b6ba9a4a4d7p-8, 0x1.b8136c46b15d3p-8, 0x1.abc3241713eap-8, 0x1.9fc40d037b319p-8, 0x1.941459cdd42c8p-8, 0x1.88b244f44b4bcp-8, 0x1.7d9c10a36eca3p-8, 0x1.72d006a75afcp-8, 0x1.684c785cc1beap-8, 0x1.5e0fbea129c76p-8, 0x1.541839c2f16ep-8, 0x1.4a645170be411p-8, 0x1.40f274a8a7141p-8, 0x1.37c119a6bba45p-8, 0x1.2ecebdd37b124p-8, 0x1.2619e5b1c33f3p-8, 0x1.1da11ccc727b5p-8, 0x1.1562f5a3e573fp-8, 0x1.0d5e099ae2342p-8, 0x1.0590f8e3a45bep-8, 0x1.fbf4d4d87d895p-9, 0x1.ed32179658de2p-9, 0x1.ded72256fefa4p-9, 0x1.d0e16a718e8a9p-9, 0x1.c34e721615531p-9, 0x1.b61bc824d1489p-9, 0x1.a94708057fbd8p-9, 0x1.9ccdd97e5a5d5p-9, 0x1.90adf08a906d9p-9, 0x1.84e50d314609fp-9, 0x1.7970fb5bc9471p-9, 0x1.6e4f92ac04b21p-9, 0x1.637eb652d1295p-9, 0x1.58fc54e636d17p-9, 0x1.4ec66837b04b6p-9, 0x1.44daf52a3d8p-9, 0x1.3b380b88e0d1cp-9, 0x1.31dbc5dcb8a9cp-9, 0x1.28c449437438p-9, 0x1.1fefc545e9f9bp-9, 0x1.175c73ae70e3dp-9, 0x1.0f08985fc2594p-9, 0x1.06f2812bc47bfp-9, 0x1.fe310b553b5b3p-10, 0x1.eef20e23bd28ep-10, 0x1.e024e017e85dbp-10, 0x1.d1c6691f99233p-10, 0x1.c3d3a3713f5a7p-10, 0x1.b6499b3c52752p-10, 0x1.a9256e59fc7a4p-10, 0x1.9c644bfe5527cp-10, 0x1.9003746a4296cp-10, 0x1.8400389dff60fp-10, 0x1.7857fa0bf9b88p-10, 0x1.6d082a4ccd19fp-10, 0x1.620e4ad370e8ap-10, 0x1.5767eca2657f5p-10, 0x1.4d12b0013a33p-10, 0x1.430c44333ed31p-10, 0x1.3952672e5c914p-10, 0x1.2fe2e5536035ap-10, 0x1.26bb99265655dp-10, 0x1.1dda6b0822ccfp-10, 0x1.153d50f099ae1p-10, 0x1.0ce24e2974e3ap-10, 0x1.04c7730a3502ap-10, 0x1.f9d5b9695e1a7p-11, 0x1.ea9569a4f5e21p-11, 0x1.dbca62a61ff09p-11, 0x1.cd71285639a4bp-11, 0x1.bf865627acfbp-11, 0x1.b2069e98b6949p-11, 0x1.a4eecab5b8399p-11, 0x1.983bb99e29b7ep-11, 0x1.8bea600b85fd5p-11, 0x1.7ff7c7d8d7651p-11, 0x1.74610f8d41a25p-11, 0x1.692369e7764dfp-11, 0x1.5e3c1d6ab6ab6p-11, 0x1.53a883ee80da5p-11, 0x1.49660a2efe3bbp-11, 0x1.3f722f5f86d7bp-11, 0x1.35ca84bececddp-11, 0x1.2c6cad2cfcdc2p-11, 0x1.23565cc2d979cp-11, 0x1.1a85586b8147fp-11, 0x1.11f7757f4ef02p-11, 0x1.09aa99605c5b1p-11, 0x1.019cb918eaf9p-11, 0x1.f397b1f6af5b6p-12, 0x1.e46c188765d84p-12, 0x1.d5b2e9764aa0fp-12, 0x1.c76884b9cafe5p-12, 0x1.b98965f88e884p-12, 0x1.ac1223dc12519p-12, 0x1.9eff6f61311ap-12, 0x1.924e13312c17dp-12, 0x1.85faf2fa2f59p-12, 0x1.7a030acc5f9f4p-12, 0x1.6e636e7a9014ep-12, 0x1.631948fcf96acp-12, 0x1.5821dbd76d936p-12, 0x1.4d7a7e822f082p-12, 0x1.43209dd5df57p-12, 0x1.3911bb7bb4f65p-12, 0x1.2f4b6d5e213cfp-12, 0x1.25cb5d1dbe871p-12, 0x1.1c8f478a7076bp-12, 0x1.1394fc1c139dbp-12, 0x1.0ada5c70ffd83p-12, 0x1.025d5bcd08c13p-12, 0x1.f437fd3a6b225p-13, 0x1.e428b3f84cc1p-13, 0x1.d48926760a48dp-13, 0x1.c555bed7ae9bfp-13, 0x1.b68b05dd3f123p-13, 0x1.a825a201a04ffp-13, 0x1.9a2256a0521d6p-13, 0x1.8c7e031da5585p-13, 0x1.7f35a215880c9p-13, 0x1.7246488ed9ac7p-13, 0x1.65ad2532b665dp-13, 0x1.59677f89b4aefp-13, 0x1.4d72b73af0e4ap-13, 0x1.41cc435352cabp-13, 0x1.3671b18efc174p-13, 0x1.2b60a5a676423p-13, 0x1.2096d8a27593fp-13, 0x1.161218322ea11p-13, 0x1.0bd04606abb2cp-13, 0x1.01cf5730543b4p-13, 0x1.f01aa705ff435p-14, 0x1.dd10a9f81853fp-14, 0x1.ca7d0e5c45746p-14, 0x1.b85c4d5c6f594p-14, 0x1.a6ab010da509cp-14, 0x1.9565e35ce5bdbp-14, 0x1.8489ccfe2a4adp-14, 0x1.7413b46a96556p-14, 0x1.6400acdd72082p-14, 0x1.544de55e56387p-14, 0x1.44f8a7cebd5f4p-14, 0x1.35fe57fe20fe8p-14, 0x1.275c72c63d172p-14, 0x1.19108d2c3f5e7p-14, 0x1.0b185387bff49p-14, 0x1.fae311608d0dp-15, 0x1.e0340a61ff9b5p-15, 0x1.c61f6d03c8973p-15, 0x1.aca13c8b9192bp-15, 0x1.93b5a32197577p-15, 0x1.7b58f0601da66p-15, 0x1.638797f4b8e57p-15, 0x1.4c3e3045dfccbp-15, 0x1.35797126070b5p-15, 0x1.1f36329258948p-15, 0x1.09716b74b7cc8p-15, 0x1.e85060f24addep-16, 0x1.beaf65c2fbd7cp-16, 0x1.95fa7ed4fa71ap-16, 0x1.6e2c7a6d4ab69p-16, 0x1.4740597e96d1bp-16, 0x1.21314da4cc5acp-16, 0x1.f7f56e5433bffp-17, 0x1.af30464514874p-17, 0x1.680a9322cec35p-17, 0x1.227c17462e842p-17, 0x1.bcf9c7c2e375cp-18, 0x1.380aab6b25202p-18, 0x1.6c38470b2df03p-19, 0x1.b90023cf0a261p-21, -0x1.13dd640b43045p-20, -0x1.7c6e3b75d2512p-19, -0x1.34abf99521ff2p-18, -0x1.a86229073edf5p-18, -0x1.0cb2bd1eb5812p-17, -0x1.43e0a9237f745p-17, -0x1.79c058ebac8edp-17, -0x1.ae571d04c19d4p-17, -0x1.e1aa18736ab85p-17, -0x1.09df216ea02f4p-16, -0x1.224c3550c9f56p-16, -0x1.3a1e9b71977ccp-16, -0x1.515894b75da0dp-16, -0x1.67fc50534f73ap-16, -0x1.7e0beca036883p-16, -0x1.93897806fcab9p-16, -0x1.a876f1cc7d20dp-16, -0x1.bcd64ae382798p-16, -0x1.d0a966a7fb5f2p-16, -0x1.e3f21ba3598dep-16, -0x1.f6b23439457d1p-16, -0x1.0475b7abd2dfep-15, -0x1.0d4fc08cdfffcp-15, -0x1.15e809b359c95p-15, -0x1.1e3f63446294ap-15, -0x1.265698df7c61p-15, -0x1.2e2e71e2d429ep-15, -0x1.35c7b1acbca97p-15, -0x1.3d2317db65a99p-15, -0x1.4441608871e33p-15, -0x1.4b234480c23fcp-15, -0x1.51c9797da2e89p-15, -0x1.5834b255b3485p-15, -0x1.5e659f302368cp-15, -0x1.645cedb279f3cp-15, -0x1.6a1b492d0f1a5p-15, -0x1.6fa15ac4fe3e2p-15, -0x1.74efc99c38c87p-15, -0x1.7a073af6aae27p-15, -0x1.7ee8525e66dbep-15, -0x1.8393b1c3dd3d9p-15, -0x1.8809f99fa9d2dp-15, -0x1.8c4bc90e89808p-15, -0x1.9059bdeec5bb1p-15, -0x1.943474f9b54d6p-15, -0x1.97dc89dbfd30dp-15, -0x1.9b52974d9d83p-15, -0x1.9e973726a4477p-15, -0x1.a1ab0272d24d7p-15, -0x1.a48e91862a46bp-15, -0x1.a7427c0bc0164p-15, -0x1.a9c75917316e5p-15, -0x1.ac1dbf3338985p-15, -0x1.ae46446e97e66p-15, -0x1.b0417e692e93cp-15, -0x1.b210025e83afcp-15, -0x1.b3b26530c1cd8p-15, -0x1.b5293b70f8d36p-15, -0x1.b6751967bd76fp-15, -0x1.b796931ccdf63p-15, -0x1.b88e3c5d70c17p-15, -0x1.b95ca8c17c26ap-15, -0x1.ba026bb1345bep-15, -0x1.ba80186843b44p-15, -0x1.bad641f9b4ccap-15, -0x1.bb057b5289d5cp-15, -0x1.bb0e573ad3714p-15, -0x1.baf1685923662p-15, -0x1.baaf413110e2ap-15, -0x1.ba487424d8fa4p-15, -0x1.b9bd9374c1ecp-15, -0x1.b90f313dfe25cp-15, -0x1.b83ddf7a84febp-15, -0x1.b74a2ffded78dp-15, -0x1.b634b474b11a6p-15, -0x1.b4fdfe60ed1afp-15, -0x1.b3a69f17b8b8fp-15, -0x1.b22f27bdc0366p-15, -0x1.b098294510fe9p-15, -0x1.aee2346786309p-15, -0x1.ad0dd9a426858p-15, -0x1.ab1ba93a9da14p-15, -0x1.a90c3325f4fdep-15, -0x1.a6e00718ea17p-15, -0x1.a497b4785f471p-15, -0x1.a233ca56f6f56p-15, -0x1.9fb4d76f31952p-15, -0x1.9d1b6a1e366b5p-15, -0x1.9a68105e9eda6p-15, -0x1.979b57c2f54bap-15, -0x1.94b5cd6f654bap-15, -0x1.91b7fe14db801p-15, -0x1.8ea275ea94fa9p-15, -0x1.8b75c0a841e6bp-15, -0x1.88326980bdbcfp-15, -0x1.84d8fb1b269b9p-15, -0x1.8169ff8d8b06ap-15, -0x1.7de60056ce9e5p-15, -0x1.7a4d8658da7d6p-15, -0x1.76a119d246d92p-15, -0x1.72e14258ca10ep-15, -0x1.6f0e86d2eb4f4p-15, -0x1.6b296d7269acfp-15, -0x1.67327bae2b591p-15, -0x1.632a363c91476p-15, -0x1.5f11210deee53p-15, -0x1.5ae7bf46e3e77p-15, -0x1.56ae933a08cbfp-15, -0x1.52661e634e956p-15, -0x1.4e0ee161f751ep-15, -0x1.49a95bf394ebdp-15, -0x1.45360ceed6fb2p-15, -0x1.40b5723de20d8p-15, -0x1.3c2808d989e9bp-15, -0x1.378e4cc46378dp-15, -0x1.32e8b9061c952p-15, -0x1.2e37c7a6114a3p-15, -0x1.297bf1a76e1f3p-15, -0x1.24b5af0469fdcp-15, -0x1.1fe576a9a420cp-15, -0x1.1b0bbe71d98fep-15, -0x1.1628fb224b814p-15, -0x1.113da06651e2cp-15, -0x1.0c4a20cb4851p-15, -0x1.074eedbd1e44bp-15, -0x1.024c77826a3aep-15, -0x1.fa865a72377fdp-16, -0x1.f066f9a639182p-16, -0x1.e63ba625e1ce2p-16, -0x1.dc0537116b714p-16, -0x1.d1c4811ef438ep-16, -0x1.c77a56926211p-16, -0x1.bd27873aabf7ep-16, -0x1.b2cce06bf180ap-16, -0x1.a86b2cf9b4ec9p-16, -0x1.9e03353321208p-16, -0x1.9395bedd88ea8p-16, -0x1.89238d3194458p-16, -0x1.7ead60d6fed62p-16, -0x1.7433f7e10a8d1p-16, -0x1.69b80dcb02236p-16, -0x1.5f3a5b755b8e8p-16, -0x1.54bb97225ae9fp-16, -0x1.4a3c7474172dcp-16, -0x1.3fbda46a8056fp-16, -0x1.353fd5604272p-16, -0x1.2ac3b309b0e7ap-16, -0x1.2049e6733b9ccp-16, -0x1.15d315ffbaff4p-16, -0x1.0b5fe56769bc3p-16, -0x1.00f0f5b757843p-16, -0x1.ed0dcaa15fb61p-17, -0x1.d8449fd0f6ce9p-17, -0x1.c3879d0dfba1ep-17, -0x1.aed7ef0ef2746p-17, -0x1.9a36bd331d383p-17, -0x1.85a5298272e75p-17, -0x1.712450ae95f3ap-17, -0x1.5cb54a1429d48p-17, -0x1.485927bde4056p-17, -0x1.3410f6667df12p-17, -0x1.1fddbd7baee1ap-17, -0x1.0bc07f2277be4p-17, -0x1.ef7470762c9a2p-18, -0x1.c797c0c80453dp-18, -0x1.9fecd3faf320ep-18, -0x1.7875845fb2364p-18, -0x1.5133a1dfb55c3p-18, -0x1.2a28f20bf6905p-18, -0x1.035730235e57fp-18, -0x1.b9801a43aad8dp-19, -0x1.6cca5f9621b94p-19, -0x1.20906973008bep-19, -0x1.a9aab9aa07d4bp-20, -0x1.133895457fap-20, -0x1.f7417e2146facp-22, 0x1.6881573bf1426p-24, 0x1.53963e1c02b2p-21, 0x1.3bf339e3285b4p-20, 0x1.ccfb0981fe6bfp-20, 0x1.2e6eac0ef8b34p-19, 0x1.75ca8b26b8132p-19, 0x1.bc8ead63308abp-19, 0x1.015c58820ffdbp-18, 0x1.242323864b37cp-18, 0x1.469a998c317aep-18, 0x1.68c1a59947ffep-18, 0x1.8a973bd6d1d92p-18, 0x1.ac1a597d150d2p-18, 0x1.cd4a04be6cf5ep-18, 0x1.ee254cb2df323p-18, 0x1.0755a4a101d9fp-17, 0x1.176d8d857571ep-17, 0x1.2759f5a7a0effp-17, 0x1.371a75edf5a9ep-17, 0x1.46aeab7aa0accp-17, 0x1.5616379e2f763p-17, 0x1.6550bfcd1418bp-17, 0x1.745ded940f0e2p-17, 0x1.833d6e8acec08p-17, 0x1.91eef448816c9p-17, 0x1.a0723458e388ap-17, 0x1.aec6e82f7b3bdp-17, 0x1.bceccd1b8c4dfp-17, 0x1.cae3a43c1a7fep-17, 0x1.d8ab3272e9ecep-17, 0x1.e64340583da79p-17, 0x1.f3ab9a2f09a17p-17, 0x1.007207ec36c5bp-16, 0x1.06f63a6323d85p-16, 0x1.0d624ff7f89b9p-16, 0x1.13b635e29ba6ap-16, 0x1.19f1db10e035ep-16, 0x1.2015301fa685bp-16, 0x1.262027552f23ep-16, 0x1.2c12b49ab3a06p-16, 0x1.31eccd76538c7p-16, 0x1.37ae69047214fp-16, 0x1.3d577ff15023dp-16, 0x1.42e80c727a8d2p-16, 0x1.48600a415c115p-16, 0x1.4dbf7693f25a3p-16, 0x1.5306501746c48p-16, 0x1.583496e8fc421p-16, 0x1.5d4a4c90aaca2p-16, 0x1.624773f9fd58ap-16, 0x1.672c116e47046p-16, 0x1.6bf82a8e15ecp-16, 0x1.70abc64b2de5ep-16, 0x1.7546ece2d8f01p-16, 0x1.79c9a7d739431p-16, 0x1.7e3401e956059p-16, 0x1.82860712b1d3ap-16, 0x1.86bfc47f6dc92p-16, 0x1.8ae148888db16p-16, 0x1.8eeaa2ad685dcp-16, 0x1.92dbe38dec8dbp-16, 0x1.96b51ce4f3884p-16, 0x1.9a76618226e64p-16, 0x1.9e1fc543e0998p-16, 0x1.a1b15d1143e07p-16, 0x1.a52b3ed4de6a2p-16, 0x1.a88d8176c091cp-16, 0x1.abd83cd6b9a14p-16, 0x1.af0b89c6ba44cp-16, 0x1.b227820501ab6p-16, 0x1.b52c40368fd51p-16, 0x1.b819dfe1d3af2p-16, 0x1.baf07d68d8ed6p-16, 0x1.bdb0360432ae5p-16, 0x1.c05927bd18c16p-16, 0x1.c2eb71685dd25p-16, 0x1.c56732a116511p-16, 0x1.c7cc8bc34d0a9p-16, 0x1.ca1b9de6877ap-16, 0x1.cc548ad8cf68ep-16, 0x1.ce777519c8ceep-16, 0x1.d0847fd5305f5p-16, 0x1.d27bcede42d62p-16, 0x1.d45d86aa9b5b7p-16, 0x1.d629cc4cf009cp-16, 0x1.d7e0c570b8a35p-16, 0x1.d982985519eefp-16, 0x1.db0f6bc805adfp-16, 0x1.dc87672203302p-16, 0x1.ddeab240fa42fp-16, 0x1.df397583cceefp-16, 0x1.e073d9c5e0a26p-16, 0x1.e19a085a7b675p-16, 0x1.e2ac2b0890ca5p-16, 0x1.e3aa6c0614f9dp-16, 0x1.e494f5f3bcb47p-16, 0x1.e56bf3d8f6dcap-16, 0x1.e62f911f5817fp-16, 0x1.e6dff98e9e793p-16, 0x1.e77d5948d144dp-16, 0x1.e807dcc5c22e8p-16, 0x1.e87fb0cf54bf1p-16, 0x1.e8e5027d3efafp-16, 0x1.e937ff31d0536p-16, 0x1.e978d49591274p-16, 0x1.e9a7b09387474p-16, 0x1.e9c4c1555fd1p-16, 0x1.e9d0354050106p-16, 0x1.e9ca3af13c789p-16, 0x1.e9b30138a3ce8p-16, 0x1.e98ab717d0be9p-16, 0x1.e9518bbd2142dp-16, 0x1.e907ae80a98c4p-16, 0x1.e8ad4ee0b737bp-16, 0x1.e8429c7ed9d13p-16, 0x1.e7c7c71c6b141p-16, 0x1.e73cfe9795fd4p-16, 0x1.e6a272e7d2cb8p-16, 0x1.e5f8541b4f59p-16, 0x1.e53ed25393756p-16, 0x1.e4761dc29d969p-16, 0x1.e39e66a84ca2dp-16, }}, 
      {{0x1.020506d151733p-7, 0x1.03256ed4063acp-6, 0x1.875466926ad1p-6, 0x1.071610125b79ep-5, 0x1.4bfaa67c37169p-5, 0x1.9255b330e80bp-5, 0x1.da04acc792939p-5, 0x1.1166163a059c4p-4, 0x1.362fa733c53bap-4, 0x1.5b3336e0b25a3p-4, 0x1.8042786a1e3adp-4, 0x1.a52f0640deccp-4, 0x1.c9cc417fc69fep-4, 0x1.edf0b95442c98p-4, 0x1.08bb94594b99dp-3, 0x1.1a1f8cfb5222ep-3, 0x1.2b169ff1dee4cp-3, 0x1.3b95c935ea0bcp-3, 0x1.4b949e16d5f76p-3, 0x1.5b0d31fc2abd5p-3, 0x1.69fbedff4e292p-3, 0x1.785f5f6c1375fp-3, 0x1.8638008150a55p-3, 0x1.9387fe28b83dp-3, 0x1.a052fccf3afcbp-3, 0x1.ac9dde0d0473bp-3, 0x1.b86e8863c1138p-3, 0x1.c3cbb2028e5dbp-3, 0x1.cebcaf35ebf1cp-3, 0x1.d94944ee9e707p-3, 0x1.e3797f9a02ac8p-3, 0x1.ed558e600fd1cp-3, 0x1.f6e5a2bd45892p-3, 0x1.0018ea2bf9b45p-2, 0x1.04a1046fc2206p-2, 0x1.090eefdc4014fp-2, 0x1.0d665098291bp-2, 0x1.11aa9877a0394p-2, 0x1.15df01ae9a3efp-2, 0x1.1a068ad712186p-2, 0x1.1e23f42650664p-2, 0x1.2239bdadf9ab9p-2, 0x1.264a26877e278p-2, 0x1.2a572ccaa2121p-2, 0x1.2e628e3227203p-2, 0x1.326dc953fe417p-2, 0x1.367a1f54d4385p-2, 0x1.3a8896011a563p-2, 0x1.3e99fa37f7582p-2, 0x1.42aee296acda7p-2, 0x1.46c7b2550c4d1p-2, 0x1.4ae49c4564fdap-2, 0x1.4f05a5ec24cc5p-2, 0x1.532aaaa4ecfc7p-2, 0x1.57535ecc4cb18p-2, 0x1.5b7f52e6a5be6p-2, 0x1.5fadf6bdde4cfp-2, 0x1.63de9c709c3fdp-2, 0x1.68107b6e99d88p-2, 0x1.6c42b35e903bdp-2, 0x1.70744eeace5d3p-2, 0x1.74a4467246b92p-2, 0x1.78d1829c5f966p-2, 0x1.7cfadece4ca91p-2, 0x1.811f2b811c599p-2, 0x1.853d307803417p-2, 0x1.8953aed6b42b9p-2, 0x1.8d616317d5bebp-2, 0x1.916506e3e2c9dp-2, 0x1.955d52c8e011p-2, 0x1.9948ffd38e4b8p-2, 0x1.9d26c90ac4b92p-2, 0x1.a0f56ccdcb606p-2, 0x1.a4b3ae1698c64p-2, 0x1.a86055a0e9db4p-2, 0x1.abfa32f729f72p-2, 0x1.af801d663d538p-2, 0x1.b2f0f4d935063p-2, 0x1.b64ba29dfcb87p-2, 0x1.b98f1a14148b8p-2, 0x1.bcba594666f6bp-2, 0x1.bfcc6971491a2p-2, 0x1.c2c45f75b07bdp-2, 0x1.c5a15c3aa5311p-2, 0x1.c8628cfdf14abp-2, 0x1.cb072b950c9cep-2, 0x1.cd8e7e9f35023p-2, 0x1.cff7d9a9a8146p-2, 0x1.d2429d46e0d9bp-2, 0x1.d46e3719bda96p-2, 0x1.d67a21d56405ep-2, 0x1.d865e532b3c5ap-2, 0x1.da3115dc152cp-2, 0x1.dbdb55505f0efp-2, 0x1.dd6451bd90669p-2, 0x1.decbc5d40fd3fp-2, 0x1.e0117893167efp-2, 0x1.e1353d0eee4b4p-2, 0x1.e236f23194f87p-2, 0x1.e316827660be8p-2, 0x1.e3d3e3a12826p-2, 0x1.e46f16717b295p-2, 0x1.e4e826525f179p-2, 0x1.e53f29070cc49p-2, 0x1.e5743e551ef8fp-2, 0x1.e5878fac94882p-2, 0x1.e5794fce10eb4p-2, 0x1.e549ba6fafd21p-2, 0x1.e4f913e0cb1adp-2, 0x1.e487a8acfdf42p-2, 0x1.e3f5cd3eafee7p-2, 0x1.e343dd817958cp-2, 0x1.e2723c8490da8p-2, 0x1.e181541d91031p-2, 0x1.e071948bbdd5p-2, 0x1.df43741c0d269p-2, 0x1.ddf76ece10a13p-2, 0x1.dc8e05f9fda01p-2, 0x1.db07bff7eb8fap-2, 0x1.d96527c876fb2p-2, 0x1.d7a6ccbee41d3p-2, 0x1.d5cd422cdfbbap-2, 0x1.d3d91f0ff7d19p-2, 0x1.d1cafdc0e3c74p-2, 0x1.cfa37ba4b073p-2, 0x1.cd6338dfddf5dp-2, 0x1.cb0ad80b841fep-2, 0x1.c89afdec87ea8p-2, 0x1.c614512ce7bfep-2, 0x1.c3777a1731086p-2, 0x1.c0c522541b09cp-2, 0x1.bdfdf4aa5599ap-2, 0x1.bb229cc0849bbp-2, 0x1.b833c6e175ecdp-2, 0x1.b5321fc2856acp-2, 0x1.b21e544c38556p-2, 0x1.aef9116507ad1p-2, 0x1.abc303be57cd7p-2, 0x1.a87cd7a39b0ffp-2, 0x1.a52738cb94084p-2, 0x1.a1c2d22bb98c3p-2, 0x1.9e504dcdac42dp-2, 0x1.9ad054a6bf0aep-2, 0x1.97438e7182649p-2, 0x1.93aaa1894d268p-2, 0x1.900632c7ba92fp-2, 0x1.8c56e564102bbp-2, 0x1.889d5ad4843a9p-2, 0x1.84da32b1561afp-2, 0x1.810e0a99b52ffp-2, 0x1.7d397e1a632ccp-2, 0x1.795d269606b21p-2, 0x1.75799b2f2cec4p-2, 0x1.718f70b3dfd1cp-2, 0x1.6d9f398acfad7p-2, 0x1.69a985a201027p-2, 0x1.65aee25ef2e8fp-2, 0x1.61afda902e7f4p-2, 0x1.5dacf6603ccbcp-2, 0x1.59a6bb49ec311p-2, 0x1.559dac0de09dep-2, 0x1.519248a963092p-2, 0x1.4d850e4e5f134p-2, 0x1.4976775c8bb92p-2, 0x1.4566fb5ba91a4p-2, 0x1.41570ef6d4a48p-2, 0x1.3d4723f8dcc7p-2, 0x1.3937a94993ba9p-2, 0x1.35290aec0cb54p-2, 0x1.311bb1fdc2a6cp-2, 0x1.2d1004b696761p-2, 0x1.29066669a21ccp-2, 0x1.24ff3786cdb63p-2, 0x1.20fad59d26833p-2, 0x1.1cf99b5de79cp-2, 0x1.18fbe0a02cd68p-2, 0x1.1501fa654beb7p-2, 0x1.110c3addbf9fbp-2, 0x1.0d1af16eab194p-2, 0x1.092e6ab7e277bp-2, 0x1.0546f09a7134ap-2, 0x1.0164ca3f9f2e8p-2, 0x1.fb107840c2e7ep-3, 0x1.f363101a7123ap-3, 0x1.ebc1da6cde651p-3, 0x1.e42d50696bf57p-3, 0x1.dca5e62427ad5p-3, 0x1.d52c0aa64a03ap-3, 0x1.cdc0280148c39p-3, 0x1.c662a36265c92p-3, 0x1.bf13dd26c28fcp-3, 0x1.b7d430efd9c9bp-3, 0x1.b0a3f5b85d3e4p-3, 0x1.a9837de972a7p-3, 0x1.a273177036ebdp-3, 0x1.9b730bd38de58p-3, 0x1.9483a04a2d0f1p-3, 0x1.8da515d0d4d61p-3, 0x1.86d7a940bc0dep-3, 0x1.801b9366186a2p-3, 0x1.79710916c6a36p-3, 0x1.72d83b4904339p-3, 0x1.6c51572a33a0bp-3, 0x1.65dc8635ab552p-3, 0x1.5f79ee4b80f42p-3, 0x1.5929b1c75047bp-3, 0x1.52ebef96f096ep-3, 0x1.4cc0c3511dac1p-3, 0x1.46a8454c0758bp-3, 0x1.40a28ab3c6957p-3, 0x1.3aafa5a0abeebp-3, 0x1.34cfa52d6f27ep-3, 0x1.2f02958d32e37p-3, 0x1.294880215b6ecp-3, 0x1.23a16b8f2e23fp-3, 0x1.1e0d5bd548551p-3, 0x1.188c5260d35ddp-3, 0x1.131e4e22814adp-3, 0x1.0dc34ba34db0ep-3, 0x1.087b4518f9e7cp-3, 0x1.0346327a4bb2ep-3, 0x1.fc481325fd03cp-4, 0x1.f2297c2eefff3p-4, 0x1.e830837053e53p-4, 0x1.de5d086959bbap-4, 0x1.d4aee6dd2500ep-4, 0x1.cb25f6f7befd4p-4, 0x1.c1c20d7284617p-4, 0x1.b882fbb7ddb16p-4, 0x1.af68900665ab9p-4, 0x1.a672959356f86p-4, 0x1.9da0d4ac7263dp-4, 0x1.94f312d91b4efp-4, 0x1.8c6912fae1966p-4, 0x1.8402956d6100ap-4, 0x1.7bbf58256e1d5p-4, 0x1.739f16cfa0699p-4, 0x1.6ba18aee3068p-4, 0x1.63c66bf62ab8ep-4, 0x1.5c0d6f6bfaaa4p-4, 0x1.547648ff499bfp-4, 0x1.4d00aaa636081p-4, 0x1.45ac44b7e33e9p-4, 0x1.3e78c6065fe3ap-4, 0x1.3765dbf7e3e61p-4, 0x1.3073329f6e8bep-4, 0x1.29a074d4b9528p-4, 0x1.22ed4c4b8a5e9p-4, 0x1.1c5961aa66a7ep-4, 0x1.15e45ca0a110ap-4, 0x1.0f8de3fbcbafdp-4, 0x1.09559dbc89048p-4, 0x1.033b2f2ac9904p-4, 0x1.fa7c79d2caf77p-5, 0x1.eebcd6124b3f3p-5, 0x1.e336ba36664dp-5, 0x1.d7e96c85ed805p-5, 0x1.ccd4328ebf50ap-5, 0x1.c1f65147467p-5, 0x1.b74f0d2ecd82bp-5, 0x1.acddaa6ccaf46p-5, 0x1.a2a16cef0ec0dp-5, 0x1.98999886e47cp-5, 0x1.8ec5710532bf6p-5, 0x1.85243a5591a68p-5, 0x1.7bb538985c3acp-5, 0x1.7277b03bcfcd2p-5, 0x1.696ae6142f0a9p-5, 0x1.608e1f72f3591p-5, 0x1.57e0a23d13863p-5, 0x1.4f61b5005fc83p-5, 0x1.47109f07fceaap-5, 0x1.3eeca86ffe4d5p-5, 0x1.36f51a3826186p-5, 0x1.2f293e55d3637p-5, 0x1.27885fc51a174p-5, 0x1.2011ca99167a9p-5, 0x1.18c4cc0b72eb7p-5, 0x1.11a0b28b3269cp-5, 0x1.0aa4cdcab61a3p-5, 0x1.03d06ecd0e492p-5, 0x1.fa45cfe531645p-6, 0x1.ed371a09d8c85p-6, 0x1.e07366842ef8cp-6, 0x1.d3f962ce82ba8p-6, 0x1.c7c7bf7532e9cp-6, 0x1.bbdd3029728cap-6, 0x1.b0386bd2c663ap-6, 0x1.a4d82c9f5e72p-6, 0x1.99bb30134c328p-6, 0x1.8ee037169a65ap-6, 0x1.8446060264073p-6, 0x1.79eb64accb755p-6, 0x1.6fcf1e740a13ap-6, 0x1.65f002486b62p-6, 0x1.5c4ce2b56f576p-6, 0x1.52e495e9f7258p-6, 0x1.49b5f5bf8f674p-6, 0x1.40bfdfc0e3ae2p-6, 0x1.3801352f5ef56p-6, 0x1.2f78db0800b6bp-6, 0x1.2725ba076485dp-6, 0x1.1f06bead1d43dp-6, 0x1.171ad93e41711p-6, 0x1.0f60fdc7624fcp-6, 0x1.07d8241dba7ap-6, 0x1.007f47dfd82ccp-6, 0x1.f2aad0eb213a5p-7, 0x1.e4b3121ed15aep-7, 0x1.d715614ad9591p-7, 0x1.c9cfd3eaee3f3p-7, 0x1.bce08701ed8b3p-7, 0x1.b0459f145c65ep-7, 0x1.a3fd482205acfp-7, 0x1.9805b59e9ee19p-7, 0x1.8c5d226987b02p-7, 0x1.8101d0c4c19f3p-7, 0x1.75f20a4b18dbep-7, 0x1.6b2c1fe58acebp-7, 0x1.60ae69bfe36f4p-7, 0x1.5677473cc839fp-7, 0x1.4c851ee8ff856p-7, 0x1.42d65e6e377dep-7, 0x1.39697a8514571p-7, 0x1.303ceee6d45fep-7, 0x1.274f3e3e5705cp-7, 0x1.1e9ef218af753p-7, 0x1.162a9ad542453p-7, 0x1.0df0cf95716c4p-7, 0x1.05f02e2be2082p-7, 0x1.fc4eb616c76c3p-8, 0x1.ed2a026aebef4p-8, 0x1.de6fa4511f0c1p-8, 0x1.d01d0b9beb868p-8, 0x1.c22fb4cee557dp-8, 0x1.b4a528f9628ddp-8, 0x1.a77afd90c61bap-8, 0x1.9aaed44a7a727p-8, 0x1.8e3e5af5646ddp-8, 0x1.82274b531cd49p-8, 0x1.76676af0c3acfp-8, 0x1.6afc8affb8d31p-8, 0x1.5fe4882df71c4p-8, 0x1.551d4a7e36e6ep-8, 0x1.4aa4c520164b6p-8, 0x1.4078f6480168p-8, 0x1.3697e706f5854p-8, 0x1.2cffab2265b8fp-8, 0x1.23ae60ebcec0fp-8, 0x1.1aa231189b5ep-8, 0x1.11d94e99c9a23p-8, 0x1.0951f673c3c17p-8, 0x1.010a6f9632693p-8, 0x1.f2021567da6b2p-9, 0x1.e268443646e5ap-9, 0x1.d344331af728bp-9, 0x1.c492bc30e491bp-9, 0x1.b650cbdbc5de2p-9, 0x1.a87b60799ebeep-9, 0x1.9b0f8a147be43p-9, 0x1.8e0a6a14df3ebp-9, 0x1.816932f490738p-9, 0x1.752927f1d6978p-9, 0x1.69479cc384743p-9, 0x1.5dc1f54d56fe5p-9, 0x1.5295a554fdcfp-9, 0x1.47c03037d461p-9, 0x1.3d3f28a11f08ep-9, 0x1.331030411206cp-9, 0x1.2930f78487abap-9, 0x1.1f9f3d4d445bcp-9, 0x1.1658ceab185ebp-9, 0x1.0d5b8695b1e2ep-9, 0x1.04a54da73acbbp-9, 0x1.f86833af1759fp-10, 0x1.e80bdc70ef622p-10, 0x1.d831b56505c81p-10, 0x1.c8d5f7855f702p-10, 0x1.b9f4f47231c7ep-10, 0x1.ab8b15f01616cp-10, 0x1.9d94dd68a6ed7p-10, 0x1.900ee36c58d5ep-10, 0x1.82f5d7362e246p-10, 0x1.76467e30fcbadp-10, 0x1.69fdb37e73e7ep-10, 0x1.5e18677fd95fbp-10, 0x1.52939f6049846p-10, 0x1.476c74a137037p-10, 0x1.3ca014a7e1066p-10, 0x1.322bc04d12dacp-10, 0x1.280ccb6e6a4a2p-10, 0x1.1e409c8138e65p-10, 0x1.14c4ac275ffd3p-10, 0x1.0b9684c5a7fap-10, 0x1.02b3c21bcca06p-10, 0x1.f43421bca829cp-11, 0x1.e38e5ca465e84p-11, 0x1.d371cfd3a7b87p-11, 0x1.c3da35c85335p-11, 0x1.b4c367da02e32p-11, 0x1.a6295d7ee9028p-11, 0x1.98082b931460ep-11, 0x1.8a5c03a3dfa18p-11, 0x1.7d21333e29e33p-11, 0x1.7054233f8d02fp-11, 0x1.63f1572b7596dp-11, 0x1.57f56c829ef33p-11, 0x1.4c5d1a1ea1178p-11, 0x1.41252f8ff92a9p-11, 0x1.364a947f0b859p-11, 0x1.2bca4810eb511p-11, 0x1.21a1604e7c7dfp-11, 0x1.17cd098efda37p-11, 0x1.0e4a85e55db6p-11, 0x1.05172c90bd4b5p-11, 0x1.f860d2ded9cc2p-12, 0x1.e72778ea3e479p-12, 0x1.d67d72481a89bp-12, 0x1.c65e0c10d6814p-12, 0x1.b6c4b86e44642p-12, 0x1.a7ad0d9e7815bp-12, 0x1.9912c4faf1162p-12, 0x1.8af1ba066bb45p-12, 0x1.7d45e97f3c2dep-12, 0x1.700b7077172b3p-12, 0x1.633e8b6fbbfb6p-12, 0x1.56db957cdbfc1p-12, 0x1.4adf076aeda96p-12, 0x1.3f4576ea899cp-12, 0x1.340b95c1625f5p-12, 0x1.292e30ff1b866p-12, 0x1.1eaa30374ff61p-12, 0x1.147c94bffa7c4p-12, 0x1.0aa278f45482ap-12, 0x1.01190f7c60eabp-12, 0x1.efbb4530ccbabp-13, 0x1.dddb26e2d141ap-13, 0x1.cc8cb2da581c3p-13, 0x1.bbcb030cf3fd9p-13, 0x1.ab915b53bc177p-13, 0x1.9bdb282bc0b7cp-13, 0x1.8ca3fd7f0e737p-13, 0x1.7de795753c76p-13, 0x1.6fa1cf4ba1e2p-13, 0x1.61ceae344f46fp-13, 0x1.546a583d011f8p-13, 0x1.4771153d4e30bp-13, 0x1.3adf4dcb3b6b8p-13, 0x1.2eb18a3763f55p-13, 0x1.22e4718f3befap-13, 0x1.1774c8a6a859ep-13, 0x1.0c5f7126b74c6p-13, 0x1.01a168a47e446p-13, 0x1.ee6f8f7a0f59bp-14, 0x1.da3f826e61a1cp-14, 0x1.c6ad4259a7cdp-14, 0x1.b3b3986fdb6d1p-14, 0x1.a14d7d4da0cd8p-14, 0x1.8f76176b7bb8bp-14, 0x1.7e28b99a57255p-14, 0x1.6d60e18d213a3p-14, 0x1.5d1a366b97ffdp-14, 0x1.4d50876ef8316p-14, 0x1.3dffca895428p-14, 0x1.2f241b171b133p-14, 0x1.20b9b898c3611p-14, 0x1.12bd05771f3bcp-14, 0x1.052a85d10841dp-14, 0x1.effdbca24d015p-15, 0x1.d66da61803c8bp-15, 0x1.bd9e8cd043754p-15, 0x1.a58a7019ea527p-15, 0x1.8e2b87b690635p-15, 0x1.777c41d8ab66ap-15, 0x1.6177413278688p-15, 0x1.4c175b164e16fp-15, 0x1.3757959f5490fp-15, 0x1.233325efc035bp-15, 0x1.0fa56e784cfcdp-15, 0x1.f953fa9d807a1p-16, 0x1.d4791526c663dp-16, 0x1.b0b1edc32643cp-16, 0x1.8df6939a9f644p-16, 0x1.6c3f60d9ce9ddp-16, 0x1.4b84f7de5ced4p-16, 0x1.2bc0407b9c81bp-16, 0x1.0cea65545c0d5p-16, 0x1.ddf9a294090bfp-17, 0x1.a3e25a0bf0db1p-17, 0x1.6b82b92484a29p-17, 0x1.34cefa1553a09p-17, 0x1.ff778977abe4ep-18, 0x1.987c549dd272ap-18, 0x1.34974257a5696p-18, 0x1.a768035a1b325p-19, 0x1.d6fbf08851d7dp-20, 0x1.aa54e35ed9dd6p-22, -0x1.ed59ff28596b1p-21, -0x1.26888280ace9bp-19, -0x1.cc6d55d9756b6p-19, -0x1.3692da8502d95p-18, -0x1.84689c717983p-18, -0x1.cfc731ea318c9p-18, -0x1.0c5eab69435e1p-17, -0x1.2faca3aad1b88p-17, -0x1.51d462a57d653p-17, -0x1.72dc8eb4274ecp-17, -0x1.92cb96252aea3p-17, -0x1.b1a7b19e6e96p-17, -0x1.cf76e66fbefa8p-17, -0x1.ec3f08cd93fc1p-17, -0x1.0402defad47dfp-16, -0x1.11683f1e68895p-16, -0x1.1e524b85251e2p-16, -0x1.2ac3965dbb993p-16, -0x1.36be9e3d3f241p-16, -0x1.4245cefc4c5bdp-16, -0x1.4d5b82901b698p-16, -0x1.580201d6c9f83p-16, -0x1.623b855dde8b8p-16, -0x1.6c0a361fdf9cfp-16, -0x1.75702e39205c8p-16, -0x1.7e6f7994de46p-16, -0x1.870a1693f25b6p-16, -0x1.8f41f6abee948p-16, -0x1.9718fefde667bp-16, -0x1.9e9108ea9876ap-16, -0x1.a5abe29a1b09cp-16, -0x1.ac6b4f82d8b9p-16, -0x1.b2d108e68e514p-16, -0x1.b8debe4d5ebb8p-16, -0x1.be9615f683f75p-16, -0x1.c3f8ad47512dfp-16, -0x1.c908193459f89p-16, -0x1.cdc5e6a3d9b68p-16, -0x1.d2339ace255d3p-16, -0x1.d652b396e501fp-16, -0x1.da24a7e2f7813p-16, -0x1.ddaae7e988d89p-16, -0x1.e0e6dd825cf8cp-16, -0x1.e3d9ec6dfe38ap-16, -0x1.e685729c6e991p-16, -0x1.e8eac86e06e1ep-16, -0x1.eb0b40f25c9f3p-16, -0x1.ece82a22ced51p-16, -0x1.ee82cd1ba1c3p-16, -0x1.efdc6e4ec785bp-16, -0x1.f0f64db691a99p-16, -0x1.f1d1a70465af2p-16, -0x1.f26fb1cbf7a5cp-16, -0x1.f2d1a1aea47b6p-16, -0x1.f2f8a680713c6p-16, -0x1.f2e5ec6dd6f8ap-16, -0x1.f29a9c1d5177ep-16, -0x1.f217dacfd4306p-16, -0x1.f15eca7ea1d22p-16, -0x1.f07089f7add88p-16, -0x1.ef4e34f72ef8dp-16, -0x1.edf8e44081067p-16, -0x1.ec71adb3ea9a6p-16, -0x1.eab9a46453996p-16, -0x1.e8d1d8aa8a43cp-16, -0x1.e6bb5836f125ap-16, -0x1.e4772e21ec5ecp-16, -0x1.e20662fb76be3p-16, -0x1.df69fcd818bb8p-16, -0x1.dca2ff5f4c0c6p-16, -0x1.d9b26bd52e06bp-16, -0x1.d6994126bbf8bp-16, -0x1.d3587bf1381cep-16, -0x1.cff1168c9755fp-16, -0x1.cc64091281f99p-16, -0x1.c8b24964909c9p-16, -0x1.c4dccb3339691p-16, -0x1.c0e4800282c2ap-16, -0x1.bcca572e53ebp-16, -0x1.b88f3deec9f97p-16, -0x1.b4341f5b7d29cp-16, -0x1.afb9e46dccd9ep-16, -0x1.ab217403aeac6p-16, -0x1.a66bb2e09f347p-16, -0x1.a19983af86305p-16, -0x1.9cabc70326f1bp-16, -0x1.97a35b56dbb7cp-16, -0x1.92811d0eacbdfp-16, -0x1.8d45e676bf65fp-16, -0x1.87f28fc304caep-16, -0x1.8287ef0dc0e4fp-16, -0x1.7d06d8584ff95p-16, -0x1.77701d879fb8cp-16, -0x1.71c48e64eb513p-16, -0x1.6c04f89a4c53cp-16, -0x1.663227b239007p-16, -0x1.604ce514f0f2bp-16, -0x1.5a55f8070da2bp-16, -0x1.544e25a73d9cap-16, -0x1.4e3630ebbb43dp-16, -0x1.480edaa0b4416p-16, -0x1.41d8e16604bb9p-16, -0x1.3b9501ac872f7p-16, -0x1.3543f5b481a36p-16, -0x1.2ee6758b3cd73p-16, -0x1.287d37088182fp-16, -0x1.2208edccc4afdp-16, -0x1.1b8a4b3ee3a78p-16, -0x1.1501fe898a24ap-16, -0x1.0e70b49a84a9dp-16, -0x1.07d7181f52201p-16, -0x1.0135d184b8792p-16, -0x1.f51b0de7e6c6ap-17, -0x1.e7bdb8a299714p-17, -0x1.da54e67586ad3p-17, -0x1.cce1d60d44383p-17, -0x1.bf65c183a4e5dp-17, -0x1.b1e1de5da6473p-17, -0x1.a4575d8911f17p-17, -0x1.96c76b5ab4a56p-17, -0x1.89332f8c8e424p-17, -0x1.7b9bcd3cc1659p-17, -0x1.6e0262ecd24d4p-17, -0x1.60680a7f310f5p-17, -0x1.52cdd938c47a4p-17, -0x1.4534dfbee7721p-17, -0x1.379e2a17fac88p-17, -0x1.2a0abfac12774p-17, -0x1.1c7ba3452b174p-17, -0x1.0ef1d3100ebb9p-17, -0x1.016e489e2c7cfp-17, -0x1.e7e3f1cbfebf6p-18, -0x1.ccfba88c7a98ep-18, -0x1.b2258d0bf87d2p-18, -0x1.97636db3ec105p-18, -0x1.7cb70fc8382dep-18, -0x1.62222f7105c12p-18, -0x1.47a67fc0e8ee7p-18, -0x1.2d45aab857185p-18, -0x1.130151531af04p-18, -0x1.f1b6171aa741dp-19, -0x1.bda8d0d7d5b77p-19, -0x1.89dddc0f47b06p-19, -0x1.5658332bdf432p-19, -0x1.231abee40a407p-19, -0x1.e050acafd57a3p-20, -0x1.7b077e3ce9e89p-20, -0x1.165f5ac56bb15p-20, -0x1.64bb0ff206e4p-21, -0x1.3c1ca43e19931p-22, 0x1.39ec0f90d60d4p-24, 0x1.d63d5cb3585f4p-22, 0x1.ad8bb8c957b0fp-21, 0x1.373db50d38846p-20, 0x1.96f266e4b7aa6p-20, 0x1.f5df98c63f976p-20, 0x1.2a00893170bb9p-19, 0x1.58a95dff65a9fp-19, 0x1.86e84f1ba8fe3p-19, 0x1.b4bb70dc288dfp-19, 0x1.e220e7764b8cep-19, 0x1.078b7372bdadap-18, 0x1.1dcdd95edb4a3p-18, 0x1.33d6cf04bf50ap-18, 0x1.49a585950cad3p-18, 0x1.5f3935d2b75acp-18, 0x1.7491200525632p-18, 0x1.89ac8be0f25fap-18, 0x1.9e8ac8776f2bp-18, 0x1.b32b2c1ebc30ep-18, 0x1.c78d145fbaca5p-18, 0x1.dbafe5e1cf6f7p-18, 0x1.ef930c53cd921p-18, 0x1.019afd2c3b96cp-17, 0x1.0b4c14b868bf4p-17, 0x1.14dc8cf408a4bp-17, 0x1.1e4c295e4c4a2p-17, 0x1.279ab0c496251p-17, 0x1.30c7ed396a704p-17, 0x1.39d3ac07c347fp-17, 0x1.42bdbda87563bp-17, 0x1.4b85f5b7f437cp-17, 0x1.542c2ae980bep-17, 0x1.5cb036fd883ap-17, 0x1.6511f6b5511cp-17, 0x1.6d5149c803a37p-17, 0x1.756e12d8850f8p-17, 0x1.7d683767cb101p-17, 0x1.853f9fcbccf5dp-17, 0x1.8cf43722adde4p-17, 0x1.9485eb480630fp-17, 0x1.9bf4acc9b860bp-17, 0x1.a3406edc07712p-17, 0x1.aa69274dffa1fp-17, 0x1.b16ece7f55cd2p-17, 0x1.b8515f535db18p-17, 0x1.bf10d726d806p-17, 0x1.c5ad35c47c49fp-17, 0x1.cc267d599c868p-17, 0x1.d27cb26a0f27dp-17, 0x1.d8afdbc6ae526p-17, 0x1.dec002807235dp-17, 0x1.e4ad31ddceb65p-17, 0x1.ea77775061cb8p-17, 0x1.f01ee268b4fecp-17, 0x1.f5a384cb5bac1p-17, 0x1.fb05722732ef1p-17, 0x1.002260143eb2fp-16, 0x1.02b0c337b1fc3p-16, 0x1.052def4273b5bp-16, 0x1.0799f1e80a203p-16, 0x1.09f4d9c5486c2p-16, 0x1.0c3eb65bb3249p-16, 0x1.0e77980b8c2aap-16, 0x1.109f900f09025p-16, 0x1.12b6b074c5202p-16, 0x1.14bd0c1af9a72p-16, 0x1.16b2b6aa13056p-16, 0x1.1897c48f566afp-16, 0x1.1a6c4af877ecfp-16, 0x1.1c305fce54e21p-16, 0x1.1de419afa08e2p-16, 0x1.1f878fec94ee6p-16, 0x1.211ada8188565p-16, 0x1.229e12127470ap-16, 0x1.24114fe5ce273p-16, 0x1.2574ade06263bp-16, 0x1.26c8467fface2p-16, 0x1.280c34d7053b2p-16, 0x1.2940948815a2p-16, 0x1.2a6581c1365a1p-16, 0x1.2b7b19373859p-16, 0x1.2c817821ab54dp-16, 0x1.2d78bc362b202p-16, 0x1.2e6103a4009cp-16, 0x1.2f3a6d1030e9cp-16, 0x1.30051790bc5d1p-16, 0x1.30c122a8b653bp-16, 0x1.316eae442366dp-16, 0x1.320ddab3ec828p-16, 0x1.329ec8a991234p-16, 0x1.3321993364a52p-16, 0x1.33966db8a3395p-16, 0x1.33fd67f58b2e3p-16, 0x1.3456a9f765a49p-16, 0x1.34a25618d1905p-16, 0x1.34e08efe3c1ep-16, 0x1.35117791f660ep-16, 0x1.35353300d330bp-16, 0x1.354be4b64e22fp-16, 0x1.3555b05962561p-16, 0x1.3552b9c8c879p-16, 0x1.35432517c661ep-16, 0x1.3527168adcc67p-16, 0x1.34feb29449b83p-16, 0x1.34ca1dd0eaf75p-16, 0x1.34897d05380c3p-16, 0x1.343cf519db1aap-16, 0x1.33e4ab18bcff5p-16, 0x1.3380c429f8353p-16, 0x1.331165910842p-16, 0x1.3296b4a9b848cp-16, 0x1.3210d6e54bfa2p-16, 0x1.317ff1c7ba888p-16, 0x1.30e42ae4ccc93p-16, 0x1.303da7dd9791bp-16, 0x1.2f8c8e5dad4ddp-16, 0x1.2ed10418a60d6p-16, 0x1.2e0b2ec77e7fep-16, 0x1.2d3b3426004e1p-16, 0x1.2c6139f06d768p-16, 0x1.2b7d65e11c892p-16, 0x1.2a8fddadff443p-16, 0x1.2998c70671401p-16, 0x1.28984790f7795p-16, 0x1.278e84e8f2e2ap-16, 0x1.267ba49c6fc89p-16, 0x1.255fcc2a332eap-16, 0x1.243b20ff9c36fp-16, 0x1.230dc87677214p-16, 0x1.21d7e7d32326ep-16, 0x1.2099a442cf66ap-16, 0x1.1f5322d95adb5p-16, 0x1.1e04888f92003p-16, 0x1.1cadfa415112ap-16, 0x1.1b4f9cabe0b22p-16, 0x1.19e9946c3b718p-16, 0x1.187c05fd6e10fp-16, 0x1.170715b6f083cp-16, 0x1.158ae7cb0b35ep-16, 0x1.1407a04544f71p-16, 0x1.127d6308f1531p-16, 0x1.10ec53cfe0c7ep-16, 0x1.0f549628bd657p-16, 0x1.0db64d75b4882p-16, 0x1.0c119ceb4bce1p-16, 0x1.0a66a78f13775p-16, 0x1.08b590362d891p-16, 0x1.06fe79844330cp-16, 0x1.054185ea3fc93p-16, 0x1.037ed7a5435c1p-16, 0x1.01b690bd8dedep-16, 0x1.ffd1a60aba344p-17, 0x1.fc2b802fba464p-17, 0x1.f87af2b06f1b5p-17, 0x1.f4c03fe126a6p-17, 0x1.f0fba9a2625a3p-17, 0x1.ed2d715ef0116p-17, 0x1.e955d80a43c89p-17, 0x1.e5751e1f12389p-17, 0x1.e18b839d66d7fp-17, 0x1.dd9948091d4dep-17, 0x1.d99eaa6864fb4p-17, 0x1.d59be94292564p-17, 0x1.d191429e7002fp-17, 0x1.cd7ef40163c52p-17, 0x1.c9653a6e1d45cp-17, 0x1.c54452632ae6ep-17, 0x1.c11c77d9dafa3p-17, 0x1.bcede6456f1bdp-17, 0x1.b8b8d8920d42dp-17, 0x1.b47d89239ca42p-17, 0x1.b03c31d4e4e0fp-17, 0x1.abf50bf70f346p-17, 0x1.a7a85050bb8afp-17, 0x1.a356371d2121dp-17, 0x1.9efef80b34e9ap-17, 0x1.9aa2ca3d58d1ep-17, 0x1.9641e4485e24fp-17, 0x1.91dc7c337ap-17, 0x1.8d72c777c5103p-17, 0x1.8904faff48046p-17, 0x1.84934b24bf063p-17, 0x1.801debb362f64p-17, 0x1.7ba50fe68bbf7p-17, 0x1.7728ea696f7dp-17, 0x1.72a9ad56c1eb9p-17, 0x1.6e278a3862443p-17, 0x1.69a2b20799348p-17, 0x1.651b552cf0844p-17, 0x1.6091a37fa8bc1p-17, 0x1.5c05cc45fce0cp-17, 0x1.5777fe35014e7p-17, 0x1.52e8677098309p-17, 0x1.4e57358bd7afbp-17, 0x1.49c49588cdd8dp-17, 0x1.4530b3d8d0994p-17, 0x1.409bbc5c817dep-17, 0x1.3c05da63d7112p-17, 0x1.376f38ae9dd6dp-17, 0x1.32d8016c91f3p-17, 0x1.2e405e3da40d6p-17, 0x1.29a878325dc3ap-17, }}, 
      {{0x1.ffcaea74922c2p-1, 0x1.ff30aebdd07c9p-1, 0x1.fe3d09d4c2b5ep-1, 0x1.fcfe0a0babe5ep-1, 0x1.fb81763e0b2a2p-1, 0x1.f9d3766b03224p-1, 0x1.f7fe0471c5c8ap-1, 0x1.f608d4500226ap-1, 0x1.f3f97f30047c7p-1, 0x1.f1d3cf90fb7e2p-1, 0x1.ef9a19974c566p-1, 0x1.ed4d930aef5cep-1, 0x1.eaeea4123182ep-1, 0x1.e87d2d423ae1p-1, 0x1.e5f8c1d427c2bp-1, 0x1.e360d6206b5a8p-1, 0x1.e0b4e340f537ep-1, 0x1.ddf4811a1c1f6p-1, 0x1.db1f782e04441p-1, 0x1.d835cc9da62ecp-1, 0x1.d537c3a50773p-1, 0x1.d225e4bfc34d3p-1, 0x1.cf00f77dcfedcp-1, 0x1.cbc9feea863e6p-1, 0x1.c88233439b2efp-1, 0x1.c52afa9c34ff5p-1, 0x1.c1c5e0ea404ebp-1, 0x1.be548fe1d5cd7p-1, 0x1.bad8c6ebbe084p-1, 0x1.b7545370df33ep-1, 0x1.b3c909a433e82p-1, 0x1.b038bde798c97p-1, 0x1.aca53edce9b91p-1, 0x1.a910502c37ee9p-1, 0x1.a57ba60118e73p-1, 0x1.a1e8e13bd390cp-1, 0x1.9e598c4f50351p-1, 0x1.9acf18c1de9f4p-1, 0x1.974add4511558p-1, 0x1.93ce1457b6b2ep-1, 0x1.9059db6474f3cp-1, 0x1.8cef324f691ddp-1, 0x1.898efb6568012p-1, 0x1.8639fb9fff018p-1, 0x1.82f0db3200117p-1, 0x1.7fb426512f3dfp-1, 0x1.7c844e328ff43p-1, 0x1.7961aa2fb237p-1, 0x1.764c790c52508p-1, 0x1.7344e254858bp-1, 0x1.704af7cc89f3p-1, 0x1.6d5eb6ec2de5ep-1, 0x1.6a800a608036fp-1, 0x1.67aecb8f3c4fep-1, 0x1.64eac418086d2p-1, 0x1.6233af503fe8dp-1, 0x1.5f893bb6826c3p-1, 0x1.5ceb0c5bca135p-1, 0x1.5a58ba4031b5ap-1, 0x1.57d1d5a1fd9efp-1, 0x1.5555e73dc636fp-1, 0x1.52e4717efc0a5p-1, 0x1.507cf1a031deap-1, 0x1.4e1ee0bad9423p-1, 0x1.4bc9b4c64e2fdp-1, 0x1.497ce18632a76p-1, 0x1.4737d9683f2d6p-1, 0x1.44fa0e51d1332p-1, 0x1.42c2f25d89352p-1, 0x1.4091f8896cab9p-1, 0x1.3e66955605685p-1, 0x1.3c403f570842cp-1, 0x1.3a1e6fb61353bp-1, 0x1.3800a2a81f012p-1, 0x1.35e657d63c00ap-1, 0x1.33cf12ba3ff1bp-1, 0x1.31ba5aeffd922p-1, 0x1.2fa7bc7bad79ep-1, 0x1.2d96c806229e9p-1, 0x1.2b87130f6964p-1, 0x1.297838186813ap-1, 0x1.2769d6c41bc31p-1, 0x1.255b93f0fd4d1p-1, 0x1.234d19cb2109ap-1, 0x1.213e17d797a15p-1, 0x1.1f2e42f99344ap-1, 0x1.1d1d5571d109bp-1, 0x1.1b0b0ed8beba8p-1, 0x1.18f73413d1d81p-1, 0x1.16e18f467d553p-1, 0x1.14c9efbf30401p-1, 0x1.12b029e0c04ep-1, 0x1.10941708a09c7p-1, 0x1.0e7595723c9bap-1, 0x1.0c548817cce68p-1, 0x1.0a30d690f56acp-1, 0x1.080a6cef77dd2p-1, 0x1.05e13b9a4110cp-1, 0x1.03b5372712f1cp-1, 0x1.0186583308ee2p-1, 0x1.fea9367460d41p-2, 0x1.fa4000dcd32bap-2, 0x1.f5d1171b88a5dp-2, 0x1.f15c87710b26ep-2, 0x1.ece2668dfd888p-2, 0x1.e862cf3ec4452p-2, 0x1.e3dde21763cbap-2, 0x1.df53c51fe2c3ep-2, 0x1.dac4a38162d83p-2, 0x1.d630ad3429303p-2, 0x1.d19816aec8c08p-2, 0x1.ccfb18969adb5p-2, 0x1.c859ef71aa815p-2, 0x1.c3b4db5a3847ap-2, 0x1.bf0c1fb3f3d8ap-2, 0x1.ba6002e30b2a3p-2, 0x1.b5b0ce051b4b1p-2, 0x1.b0feccac27b6fp-2, 0x1.ac4a4c9b99843p-2, 0x1.a7939d875b171p-2, 0x1.a2db10d51f4d5p-2, 0x1.9e20f95fd423cp-2, 0x1.9965ab3d4d24cp-2, 0x1.94a97b862844bp-2, 0x1.8fecc01fee7cdp-2, 0x1.8b2fcf8973396p-2, 0x1.867300a968ee3p-2, 0x1.81b6aa9f332c1p-2, 0x1.7cfb2495eac8bp-2, 0x1.7840c5998d0eap-2, 0x1.7387e46e54a4cp-2, 0x1.6ed0d76a2e897p-2, 0x1.6a1bf450487f5p-2, 0x1.6569902ea671cp-2, 0x1.60b9ff3dbe619p-2, 0x1.5c0d94c207ef1p-2, 0x1.5764a2ef77283p-2, 0x1.52bf7aced6b88p-2, 0x1.4e1e6c24f3db4p-2, 0x1.4981c55b910e8p-2, 0x1.44e9d36c0d1p-2, 0x1.4056e1cbb8dc6p-2, 0x1.3bc93a59c8e53p-2, 0x1.3741254ed6109p-2, 0x1.32bee92de1be9p-2, 0x1.2e42cab6cc915p-2, 0x1.29cd0cda34f6ap-2, 0x1.255df0aead2efp-2, 0x1.20f5b56740056p-2, 0x1.1c94984b2eab7p-2, 0x1.183ad4aee4a4ep-2, 0x1.13e8a3ee0a746p-2, 0x1.0f9e3d66b3134p-2, 0x1.0b5bd6758ff9dp-2, 0x1.0721a27325ffcp-2, 0x1.02efd2b1ef4bp-2, 0x1.fd8d2cfad0332p-3, 0x1.f54c3633e0d1p-3, 0x1.ed1d178afa64p-3, 0x1.e500237219e1cp-3, 0x1.dcf5a855a9b8ap-3, 0x1.d4fdf0a23433ap-3, 0x1.cd1942cb5b53cp-3, 0x1.c547e1540aae4p-3, 0x1.bd8a0ad7bd7d1p-3, 0x1.b5dffa14d8e29p-3, 0x1.ae49e5f7fe394p-3, 0x1.a6c801a842f7dp-3, 0x1.9f5a7c9442ba1p-3, 0x1.9801827ff9d62p-3, 0x1.90bd3b9353636p-3, 0x1.898dcc6963a7bp-3, 0x1.82735620380dfp-3, 0x1.7b6df669359b6p-3, 0x1.747dc799f36b6p-3, 0x1.6da2e0bd89473p-3, 0x1.66dd55a640c16p-3, 0x1.602d36ff9d66bp-3, 0x1.59929260b87e6p-3, 0x1.530d725ed97c8p-3, 0x1.4c9ddea04a441p-3, 0x1.4643dbef5926dp-3, 0x1.3fff6c4d7fd65p-3, 0x1.39d08f06a9ffcp-3, 0x1.33b740c489195p-3, 0x1.2db37ba1fb897p-3, 0x1.27c5373e73ce5p-3, 0x1.21ec68d15ec4p-3, 0x1.1c29033d7cb8dp-3, 0x1.167af72432975p-3, 0x1.10e232f8bb65ap-3, 0x1.0b5ea3134589bp-3, 0x1.05f031c3eb1bfp-3, 0x1.0096c76586298p-3, 0x1.f6a494e0b57cp-4, 0x1.ec453f191f563p-4, 0x1.e20f5348edde4p-4, 0x1.d80293ed3f254p-4, 0x1.ce1ec04f55a8fp-4, 0x1.c46394a7cccdep-4, 0x1.bad0ca414eaf6p-4, 0x1.b166179abd332p-4, 0x1.a8233088d8eddp-4, 0x1.9f07c657527f5p-4, 0x1.961387e947ce8p-4, 0x1.8d4621d93785ep-4, 0x1.849f3e984855dp-4, 0x1.7c1e868d00d72p-4, 0x1.73c3a0315b4ap-4, 0x1.6b8e303039c61p-4, 0x1.637dd9823647cp-4, 0x1.5b923d89ce9abp-4, 0x1.53cafc2eed035p-4, 0x1.4c27b3f9c5bbcp-4, 0x1.44a8022d134c5p-4, 0x1.3d4b82dfa5f55p-4, 0x1.3611d115505ebp-4, 0x1.2efa86d7291b7p-4, 0x1.28053d4b27b0bp-4, 0x1.21318ccb19c82p-4, 0x1.1a7f0cfaf3b8fp-4, 0x1.13ed54de78e25p-4, 0x1.0d7bfaee45b17p-4, 0x1.072a952c314cp-4, 0x1.00f8b937124eep-4, 0x1.f5cbf8bbc14abp-5, 0x1.e9e3e764748dcp-5, 0x1.de3868349a4b6p-5, 0x1.d2c8a4c44482ep-5, 0x1.c793c698ab506p-5, 0x1.bc98f7446315ap-5, 0x1.b1d7608675ff4p-5, 0x1.a74e2c684e9a1p-5, 0x1.9cfc855a8839ep-5, 0x1.92e19650a4255p-5, 0x1.88fc8adba05a5p-5, 0x1.7f4c8f4386cb2p-5, 0x1.75d0d09fe976dp-5, 0x1.6c887cef569fcp-5, 0x1.6372c32dce461p-5, 0x1.5a8ed36a34ad4p-5, 0x1.51dbdedacef1p-5, 0x1.495917f0ce974p-5, 0x1.4105b26aecd2bp-5, 0x1.38e0e36718a0fp-5, 0x1.30e9e1734d94ap-5, 0x1.291fe49d804b4p-5, 0x1.21822682b6603p-5, 0x1.1a0fe25d4fd6ep-5, 0x1.12c855127b4d5p-5, 0x1.0baabd3ee6352p-5, 0x1.04b65b42a1544p-5, 0x1.fbd4e298aeecbp-6, 0x1.ee8c86c76d486p-6, 0x1.e1922ee66962ap-6, 0x1.d4e46aa236d7dp-6, 0x1.c881cd8fe5e77p-6, 0x1.bc68ef3c78fd8p-6, 0x1.b0986b3b32b05p-6, 0x1.a50ee1329631p-6, 0x1.99caf4e851142p-6, 0x1.8ecb4e4bed5d5p-6, 0x1.840e998076bd1p-6, 0x1.799386e50a8cdp-6, 0x1.6f58cb1c66f34p-6, 0x1.655d1f136ded1p-6, 0x1.5b9f4006c1874p-6, 0x1.521def876a824p-6, 0x1.48d7f37e98dafp-6, 0x1.3fcc16309354p-6, 0x1.36f9263ec3015p-6, 0x1.2e5df6a903a4dp-6, 0x1.25f95ece230c5p-6, 0x1.1dca3a6baa2e7p-6, 0x1.15cf699cf222ap-6, 0x1.0e07d0d9865c2p-6, 0x1.067258f2e9457p-6, 0x1.fe1bde23642a5p-7, 0x1.efb3096431f21p-7, 0x1.e1a81f3fd6843p-7, 0x1.d3f913e3f0ea3p-7, 0x1.c6a3e409fbc0cp-7, 0x1.b9a694ec270fcp-7, 0x1.acff34392af48p-7, 0x1.a0abd80761eep-7, 0x1.94aa9ec6dbfb9p-7, 0x1.88f9af32cba98p-7, 0x1.7d9738421a615p-7, 0x1.728171174e363p-7, 0x1.67b698efc12ddp-7, 0x1.5d34f7122e3e8p-7, 0x1.52fadabcb899bp-7, 0x1.49069b1248ab9p-7, 0x1.3f569707862b2p-7, 0x1.35e9354f28da6p-7, 0x1.2cbce445fc701p-7, 0x1.23d019de64025p-7, 0x1.1b21538b79cd2p-7, 0x1.12af162bd7db2p-7, 0x1.0a77edf40cf0ep-7, 0x1.027a6e58bf9p-7, 0x1.f56a63f115c6ap-8, 0x1.e64db50b4a208p-8, 0x1.d79c215e75e18p-8, 0x1.c953081566588p-8, 0x1.bb6fd5f94789ap-8, 0x1.adf005438d981p-8, 0x1.a0d11d6f61c65p-8, 0x1.9410b30aea071p-8, 0x1.87ac67887810bp-8, 0x1.7ba1e90f857ecp-8, 0x1.6feef24d906cdp-8, 0x1.64914a46f738dp-8, 0x1.5986c427d36dfp-8, 0x1.4ecd3f14c653dp-8, 0x1.4462a5fbda0aap-8, 0x1.3a44ef656d109p-8, 0x1.30721d454de9fp-8, 0x1.26e83ccbe8845p-8, 0x1.1da5663788b65p-8, 0x1.14a7bca5f5f98p-8, 0x1.0bed6de61cefp-8, 0x1.0374b24a19b86p-8, 0x1.f67798f29b246p-9, 0x1.e6821285e8727p-9, 0x1.d7057ee1bbcdep-9, 0x1.c7fe9f35036p-9, 0x1.b96a47f0d1aa5p-9, 0x1.ab45606fdd0a8p-9, 0x1.9d8ce29eb3638p-9, 0x1.903ddaa4b59f7p-9, 0x1.8355668dc3656p-9, 0x1.76d0b5f4e543ap-9, 0x1.6aad09af81e6p-9, 0x1.5ee7b379ade61p-9, 0x1.537e15a330e0ap-9, 0x1.486da2bd754b4p-9, 0x1.3db3dd4a762d6p-9, 0x1.334e576c74b2ap-9, 0x1.293ab296b1426p-9, 0x1.1f769f3f0b662p-9, 0x1.15ffdc90b3d81p-9, 0x1.0cd4381fb98fp-9, 0x1.03f18d9d7f49p-9, 0x1.f6ab8d1cd1ecap-10, 0x1.e5fdb400c4e2p-10, 0x1.d5d59884ad2a4p-10, 0x1.c62f5d39b6d15p-10, 0x1.b7073e172ef25p-10, 0x1.a8598ff011836p-10, 0x1.9a22bfe9f308fp-10, 0x1.8c5f52f6654acp-10, 0x1.7f0be54e19e46p-10, 0x1.722529ee3a08fp-10, 0x1.65a7ea17e958fp-10, 0x1.599104d180f1bp-10, 0x1.4ddd6e69fb2fbp-10, 0x1.428a2ffe71bdcp-10, 0x1.37946701aa8f6p-10, 0x1.2cf944c5739a4p-10, 0x1.22b60e0632a32p-10, 0x1.18c81a785eceap-10, 0x1.0f2cd457e7576p-10, 0x1.05e1b7f9c46ebp-10, 0x1.f9c8a6bea0e2dp-11, 0x1.e8648b97266b6p-11, 0x1.d7927eb538159p-11, 0x1.c74e013549e73p-11, 0x1.b792b44e6a12dp-11, 0x1.a85c588c44c85p-11, 0x1.99a6cd0cad6abp-11, 0x1.8b6e0ec11a278p-11, 0x1.7dae37b3b8fe6p-11, 0x1.70637e502dfb5p-11, 0x1.638a34af9382p-11, 0x1.571ec7e8a7c0fp-11, 0x1.4b1dbf62c7908p-11, 0x1.3f83bc2cf3596p-11, 0x1.344d785821fbp-11, 0x1.2977c6547db71p-11, 0x1.1eff9052971a4p-11, 0x1.14e1d7a797874p-11, 0x1.0b1bb434c43d4p-11, 0x1.01aa53d234cc1p-11, 0x1.f115f37949483p-12, 0x1.df75fc0d0e572p-12, 0x1.ce6f9a17e81cfp-12, 0x1.bdfdcdd436dc1p-12, 0x1.ae1bbdf205433p-12, 0x1.9ec4b691795b6p-12, 0x1.8ff42842c37c9p-12, 0x1.81a5a70b84138p-12, 0x1.73d4e9724e67ap-12, 0x1.667dc78f4ee1ep-12, 0x1.599c3a2249f7dp-12, 0x1.4d2c59ae42ff2p-12, 0x1.412a5d9a7c8ccp-12, 0x1.35929b582c308p-12, 0x1.2a61858dd772fp-12, 0x1.1f93ab46f9e67p-12, 0x1.1525b7295e63cp-12, 0x1.0b146eae848cdp-12, 0x1.015cb1627b548p-12, 0x1.eff6f04e10684p-13, 0x1.dddba8f616974p-13, 0x1.cc61df8e1706ap-13, 0x1.bb84155ae3766p-13, 0x1.ab3cf8bfa7538p-13, 0x1.9b8763eff12fcp-13, 0x1.8c5e5ba9bf28fp-13, 0x1.7dbd0df8c24d3p-13, 0x1.6f9ed100aa892p-13, 0x1.61ff21cfc12f6p-13, 0x1.54d9a338ee37ep-13, 0x1.482a1cb5b2ecep-13, 0x1.3bec794e8933bp-13, 0x1.301cc68b4de11p-13, 0x1.24b7336ab0e3dp-13, 0x1.19b80f5fc84a8p-13, 0x1.0f1bc9574b40bp-13, 0x1.04deeec337f59p-13, 0x1.f5fc55583abb5p-14, 0x1.e2ec8993aa274p-14, 0x1.d08841439c524p-14, 0x1.bec979573be7bp-14, 0x1.adaa62f6d018dp-14, 0x1.9d2561e4040c8p-14, 0x1.8d350ae5d8ea9p-14, 0x1.7dd4223eee942p-14, 0x1.6efd9a2fe564fp-14, 0x1.60ac9182fce2dp-14, 0x1.52dc5222ee6cbp-14, 0x1.45884fbb5053p-14, 0x1.38ac2662ec5a4p-14, 0x1.2c43995019df1p-14, 0x1.204a91959d28bp-14, 0x1.14bd1cea2601dp-14, 0x1.09976c7761354p-14, 0x1.fdaba7641e3fep-15, 0x1.e8e98e767a262p-15, 0x1.d4e1b7924a1b7p-15, 0x1.c18d8a30dfc2ep-15, 0x1.aee6a9cb1ce83p-15, 0x1.9ce6f3db7bb64p-15, 0x1.8b887dedc887bp-15, 0x1.7ac593bf18b85p-15, 0x1.6a98b56bde6ddp-15, 0x1.5afc95aafee17p-15, 0x1.4bec1817df3e7p-15, 0x1.3d624f884a0bcp-15, 0x1.2f5a7c708fd0cp-15, 0x1.21d00b521d63cp-15, 0x1.14be933904d6p-15, 0x1.0821d4439bd6ep-15, 0x1.f7eb6c6b50d3cp-16, 0x1.e06c8e31a9235p-16, 0x1.c9bf73ca354d9p-16, 0x1.b3dcca6c16f15p-16, 0x1.9ebd84146fe3fp-16, 0x1.8a5ad516f11c1p-16, 0x1.76ae31c5cb6dfp-16, 0x1.63b14c2aa87dcp-16, 0x1.515e11d1d7a79p-16, 0x1.3faea9a8652d7p-16, 0x1.2e9d71ecb1052p-16, 0x1.1e24fe2dbcd17p-16, 0x1.0e40155cfe873p-16, 0x1.fdd35fe1feefdp-17, 0x1.e039ec2c9b4c9p-17, 0x1.c3aa7bddbe349p-17, 0x1.a81c13c59aca3p-17, 0x1.8d860df9e564cp-17, 0x1.73e016afde2c7p-17, 0x1.5b22292d33e7dp-17, 0x1.43448cd52f6bep-17, 0x1.2c3fd252fcd49p-17, 0x1.160cd0d35bbadp-17, 0x1.00a4a36122181p-17, 0x1.d8014ca3b294bp-18, 0x1.b034e996563afp-18, 0x1.89d7ccc163393p-18, 0x1.64de1988fd706p-18, 0x1.413c63192f7d8p-18, 0x1.1ee7a81886d5cp-18, 0x1.fbaa9d0789193p-19, 0x1.bbf63f5ce3ef5p-19, 0x1.7e9e88d1920d2p-19, 0x1.4390828a2f0cep-19, 0x1.0ab9e60c9395dp-19, 0x1.a8122ca5bb0f3p-20, 0x1.3eda324dabba3p-20, 0x1.b35642c53806fp-21, 0x1.e195aaa2314cap-22, 0x1.aea9f5fa1e381p-24, -0x1.f714d0cf4006ap-23, -0x1.2a3d22bdf36fdp-21, -0x1.cfc92d36ce58p-21, -0x1.374f04cda1f7ap-20, -0x1.83774b9476ce4p-20, -0x1.cc75f89b44088p-20, -0x1.0931606088848p-19, -0x1.2aaa446abb236p-19, -0x1.4ab0b6f99b1c3p-19, -0x1.694f66d17e6e7p-19, -0x1.8690a6ce5ffadp-19, -0x1.a27e719efccc2p-19, -0x1.bd226d5981c55p-19, -0x1.d685eef0ab5cep-19, -0x1.eeb1fd7c1f945p-19, -0x1.02d7aab3dcd3ap-18, -0x1.0dc335c003b07p-18, -0x1.181fb7eeca208p-18, -0x1.21f128598ef53p-18, -0x1.2b3b5e7f0229dp-18, -0x1.3402138c8de41p-18, -0x1.3c48e39d52bb5p-18, -0x1.44134ee5846e4p-18, -0x1.4b64bad91e797p-18, -0x1.5240733eaec08p-18, -0x1.58a9ab3cc3a86p-18, -0x1.5ea37e58e8342p-18, -0x1.6430f16c2f142p-18, -0x1.6954f38c4333bp-18, -0x1.6e125eec02833p-18, -0x1.726bf9b296f0fp-18, -0x1.766476c628d04p-18, -0x1.79fe7693f3fb7p-18, -0x1.7d3c87c68bb64p-18, -0x1.802127fcaef88p-18, -0x1.82aec4721bff4p-18, -0x1.84e7baa59dab7p-18, -0x1.86ce58f213c78p-18, -0x1.8864df24d485p-18, -0x1.89ad7f0c9265dp-18, -0x1.8aaa5cff27cdbp-18, -0x1.8b5d905d3dc97p-18, -0x1.8bc9240cd911ep-18, -0x1.8bef16ee95bedp-18, -0x1.8bd15c4de4f71p-18, -0x1.8b71dc4d4edd7p-18, -0x1.8ad2744aa308fp-18, -0x1.89f4f741f7bfdp-18, -0x1.88db2e280acc4p-18, -0x1.8786d84388ffdp-18, -0x1.85f9ab7fc307dp-18, -0x1.843554beafd66p-18, -0x1.823b7821f3d58p-18, -0x1.800db154c97f5p-18, -0x1.7dad93cff20d9p-18, -0x1.7b1cab1a51935p-18, -0x1.785c7b08f0e26p-18, -0x1.756e7ff791b2bp-18, -0x1.72542f022c8a9p-18, -0x1.6f0ef638ee5bbp-18, -0x1.6ba03cd39629p-18, -0x1.68096360dbcfdp-18, -0x1.644bc3f517b8bp-18, -0x1.6068b254001e2p-18, -0x1.5c617c1ad21fdp-18, -0x1.583768e60eaa8p-18, -0x1.53ebba7769869p-18, -0x1.4f7facd8ef084p-18, -0x1.4af4767de3863p-18, -0x1.464b48623e8e8p-18, -0x1.41854e297805cp-18, -0x1.3ca3ae39614abp-18, -0x1.37a789d7f262p-18, -0x1.3291fd4201dfcp-18, -0x1.2d641fc636d57p-18, -0x1.281f03d92dd69p-18, -0x1.22c3b72e6e2c5p-18, -0x1.1d5342cc145b1p-18, -0x1.17ceab1e711fap-18, -0x1.1236f00bffc29p-18, -0x1.0c8d0d06b9f5cp-18, -0x1.06d1f91d10098p-18, -0x1.0106a70abfb2ep-18, -0x1.f6580a90d24e4p-19, -0x1.ea85fc3445146p-19, -0x1.de98ef3cff097p-19, -0x1.d292a7b611af3p-19, -0x1.c674e194bec1cp-19, -0x1.ba4150d0ad2c4p-19, -0x1.adf9a17c39143p-19, -0x1.a19f77dbebb98p-19, -0x1.9534707bcb169p-19, -0x1.88ba20450dcd9p-19, -0x1.7c3214917791ap-19, -0x1.6f9dd343c72c8p-19, -0x1.62fedad563eafp-19, -0x1.5656a26e7e634p-19, -0x1.49a699f3f9d59p-19, -0x1.3cf02a1c0a3ebp-19, -0x1.3034b47d89774p-19, -0x1.237593a2c660dp-19, -0x1.16b41b18ca749p-19, -0x1.09f1977f0681bp-19, -0x1.fa5e9d3142b4cp-20, -0x1.e0dcfeb70af02p-20, -0x1.c760c3fdf7dp-20, -0x1.adec50196f0ccp-20, -0x1.9481f8dcb421p-20, -0x1.7b2406f9556c9p-20, -0x1.61d4b61ce2077p-20, -0x1.4896350cf18a3p-20, -0x1.2f6aa5c2fc916p-20, -0x1.16541d8dec502p-20, -0x1.faa94a51e8bd2p-21, -0x1.c8dc71baf1131p-21, -0x1.9745913818746p-21, -0x1.65e8703209e24p-21, -0x1.34c8bdd45f80fp-21, -0x1.03ea1146ebc0ep-21, -0x1.a69fd3c84d51p-22, -0x1.45fb5ee3f47cfp-22, -0x1.cbdac96d2e489p-23, -0x1.0cf8afa7f9bfap-23, -0x1.3d73e7e62c0f2p-25, 0x1.b3b0a32aa0147p-25, 0x1.27d6e3a51e3bep-23, 0x1.e157ba8c084cbp-23, 0x1.4cb1c4b4c0309p-22, 0x1.a7f7c1a6d32b1p-22, 0x1.013c4c5dac406p-21, 0x1.2e179c99bf3ffp-21, 0x1.5a8b5e3d38e2ep-21, 0x1.869532d9b5039p-21, 0x1.b232d09d04221p-21, 0x1.dd62021aa2e55p-21, 0x1.041053046d887p-20, 0x1.193657874356fp-20, 0x1.2e2211bbceb0ep-20, 0x1.42d28e838ca3bp-20, 0x1.5746e458f4985p-20, 0x1.6b7e33307b6bp-20, 0x1.7f77a45e5e919p-20, 0x1.93326a715c391p-20, 0x1.a6adc1175f586p-20, 0x1.b9e8ecfe54515p-20, 0x1.cce33bb37b57ep-20, 0x1.df9c0385a4c93p-20, 0x1.f212a36714bdp-20, 0x1.02234164c678dp-19, 0x1.0b1b88c247592p-19, 0x1.13f1e3d9691e9p-19, 0x1.1ca612c96309fp-19, 0x1.2537d9b48b21bp-19, 0x1.2da700af0f031p-19, 0x1.35f353b0a1043p-19, 0x1.3e1ca283e573ep-19, 0x1.4622c0b730802p-19, 0x1.4e05858bf001p-19, 0x1.55c4cbe837be8p-19, 0x1.5d6072463225dp-19, 0x1.64d85aa451887p-19, 0x1.6c2c6a76bf8f9p-19, 0x1.735c8a96dc5aap-19, 0x1.7a68a732d25e9p-19, 0x1.8150afc06e233p-19, 0x1.881496eb09484p-19, 0x1.8eb4528551989p-19, 0x1.952fdb7aec5fp-19, 0x1.9b872dbe7f65ep-19, 0x1.a1ba483cf2c5bp-19, 0x1.a7c92ccc65166p-19, 0x1.adb3e01ea8181p-19, 0x1.b37a69b07cf2ep-19, 0x1.b91cd3bbd988cp-19, 0x1.be9b2b28b5591p-19, 0x1.c3f57f7d85b02p-19, 0x1.c92be2d1079c2p-19, 0x1.ce3e69bb5d851p-19, 0x1.d32d2b47f7af2p-19, 0x1.d7f840e6c31ep-19, 0x1.dc9fc65d1599ep-19, 0x1.e123d9b8fcc03p-19, 0x1.e5849b41b90c9p-19, 0x1.e9c22d69d4786p-19, 0x1.eddcb4c23a354p-19, 0x1.f1d457eac675cp-19, 0x1.f5a93f85e22a1p-19, 0x1.f95b962a1c88cp-19, 0x1.fceb885507fbep-19, 0x1.002ca22f1ace3p-18, 0x1.01d27d3452e65p-18, 0x1.03676e2bcabdbp-18, 0x1.04eb8edfe9897p-18, 0x1.065ef9ede87aep-18, 0x1.07c1cabf65d13p-18, 0x1.09141d8409cap-18, 0x1.0a560f2b200a4p-18, 0x1.0b87bd5e072f5p-18, 0x1.0ca9467957ca3p-18, 0x1.0dbac9875d739p-18, 0x1.0ebc663a0de16p-18, 0x1.0fae3ce533012p-18, 0x1.10906e785967fp-18, 0x1.11631c79a5a21p-18, 0x1.122668ff8f0b9p-18, 0x1.12da76ab8ac0ap-18, 0x1.137f68a4dc075p-18, 0x1.141562929dd75p-18, 0x1.149c88968ef0ap-18, 0x1.1514ff485622fp-18, 0x1.157eebaf6a1cap-18, 0x1.15da733e7eea4p-18, 0x1.1627bbce598afp-18, 0x1.1666eb99017c1p-18, 0x1.1698293460ffdp-18, 0x1.16bb9b8e1eb2ap-18, 0x1.16d169e62f1eap-18, 0x1.16d9bbcaab254p-18, 0x1.16d4b912d11e8p-18, 0x1.16c289dae2c0cp-18, 0x1.16a3567f85142p-18, 0x1.1677479923472p-18, 0x1.163e85f82231bp-18, 0x1.15f93aa0660a5p-18, 0x1.15a78ec4eb21p-18, 0x1.1549abc438cb6p-18, 0x1.14dfbb240b212p-18, 0x1.1469e68d8960ap-18, 0x1.13e857c92ded8p-18, 0x1.135b38bb870f1p-18, 0x1.12c2b360ec7ep-18, 0x1.121ef1ca157a4p-18, 0x1.11701e18dbd8p-18, 0x1.10b6627c6648bp-18, 0x1.0ff1e92db2566p-18, 0x1.0f22dc6c95b21p-18, 0x1.0e49667c1e636p-18, 0x1.0d65b19f6e558p-18, 0x1.0c77e8170906fp-18, 0x1.0b80341d2fb06p-18, 0x1.0a7ebfe31bef2p-18, 0x1.0973b58e317f9p-18, 0x1.085f3f350ffap-18, 0x1.074186dc9e81ap-18, 0x1.061ab6758b9b5p-18, 0x1.04eaf7d9a1359p-18, 0x1.03b274c92d704p-18, 0x1.027156e8529b7p-18, 0x1.0127c7bc96e8cp-18, 0x1.ffabe15555bffp-19, 0x1.fcf7f5e7ed855p-19, 0x1.fa341f68e779bp-19, 0x1.f760afc06e87ap-19, 0x1.f47df88300519p-19, 0x1.f18c4aecf7cd9p-19, 0x1.ee8bf7deac073p-19, 0x1.eb7d4fd877d2ap-19, 0x1.e860a2f6cec23p-19, 0x1.e53640eeac9cap-19, 0x1.e1fe790a0721cp-19, 0x1.deb99a23ee879p-19, 0x1.db67f2a55a535p-19, 0x1.d809d081d1e1fp-19, 0x1.d49f8134aad18p-19, 0x1.d12951bda4daep-19, 0x1.cda78e9ddcb6ep-19, 0x1.ca1a83d512066p-19, 0x1.c6827cdece195p-19, 0x1.c2dfc4afe2e82p-19, 0x1.bf32a5b3a1ff3p-19, 0x1.bb7b69c9a41a7p-19, 0x1.b7ba5a438f075p-19, 0x1.b3efbfe2512bcp-19, 0x1.b01be2d448407p-19, 0x1.ac3f0ab3162eep-19, 0x1.a8597e8185802p-19, 0x1.a46b84a9d9049p-19, 0x1.a07562fc1c0ecp-19, 0x1.9c775eabd6761p-19, 0x1.9871bc4ebf651p-19, 0x1.9464bfdb2d492p-19, 0x1.9050aca69397dp-19, 0x1.8c35c563e7caap-19, 0x1.88144c2260488p-19, 0x1.83ec824ca3b7dp-19, 0x1.7fbea8a723067p-19, 0x1.7b8aff4f1c58bp-19, 0x1.7751c5b93bf8bp-19, 0x1.73133ab10d604p-19, 0x1.6ecf9c57f864p-19, 0x1.6a8728249fcacp-19, 0x1.663a1ae1ef304p-19, 0x1.61e8b0ae4930bp-19, 0x1.5d9324faf9992p-19, 0x1.5939b28baba15p-19, 0x1.54dc9376177cfp-19, 0x1.507c01212b563p-19, 0x1.4c183444cc787p-19, 0x1.47b164e9dc804p-19, 0x1.4347ca69c9863p-19, 0x1.3edb9b6def97cp-19, 0x1.3a6d0defc7fcbp-19, 0x1.35fc5738a1bbcp-19, 0x1.3189abe1c5581p-19, 0x1.2d153fd480ec8p-19, 0x1.289f4649f6983p-19, 0x1.2427f1cb403cp-19, 0x1.1faf743192113p-19, 0x1.1b35fea67b396p-19, 0x1.16bbc1a410676p-19, 0x1.1240ecf51f2dp-19, 0x1.0dc5afb58a372p-19, 0x1.094a385301319p-19, 0x1.04ceb48cfc2a8p-19, 0x1.005351751d924p-19, 0x1.f7b076df7eed8p-20, 0x1.eebb3c6930c33p-20, 0x1.e5c7499ddf9bp-20, 0x1.dcd4f33d85fb7p-20, 0x1.d3e48cb23cb01p-20, 0x1.caf668112ce6ap-20, 0x1.c20ad61bf0fa3p-20, 0x1.b92226423f08p-20, 0x1.b03ca6a39820ap-20, 0x1.a75aa41042777p-20, 0x1.9e7c6a0af2cf9p-20, 0x1.95a242cb264fbp-20, 0x1.8ccc773e74501p-20, 0x1.83fb4f0a2fb62p-20, 0x1.7b2f108ce92f2p-20, 0x1.726800e0b0cdp-20, 0x1.69a663dc7483ap-20, 0x1.60ea7c16d4318p-20, 0x1.58348ae7f92b6p-20, 0x1.4f84d06adb5bdp-20, 0x1.46db8b7f8e67dp-20, 0x1.3e38f9cdcf63fp-20, 0x1.359d57c6ae415p-20, 0x1.2d08e0a71a5cp-20, 0x1.247bce79d926fp-20, 0x1.1bf65a19975d4p-20, 0x1.1378bb3395d7cp-20, 0x1.0b03284a22bc7p-20, 0x1.0295d6b64dfd5p-20, 0x1.f461f55508646p-21, 0x1.e3a98e699b933p-21, 0x1.d302dc824a579p-21, 0x1.c26e41394eafdp-21, 0x1.b1ec1bee5e46bp-21, 0x1.a17cc9cc9d3a8p-21, 0x1.9120a5cefb86bp-21, 0x1.80d808c4f8582p-21, 0x1.70a3495844203p-21, 0x1.6082bc11cc508p-21, 0x1.5076b35eadb91p-21, 0x1.407f7f954343fp-21, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      46, 0x1.7333333333333p+2, 0x1.3ea66c3c902c3p+1, 0x1.7bf72735cdce7p+2, 0x1.6485f4c13180bp-6, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.5839ed38bcf6p-4, -0x1.3d8630ddc9faap-3, 0x1.8b3b1bf6eb99bp-3, -0x1.c05b9d07e16e5p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.3a64db0c14b28p-4, -0x1.17aeb41949587p-3, 0x1.699aa3632117ep-3, -0x1.b166eff022dfdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.202df83968ea5p-4, -0x1.ea4b6951d402fp-4, 0x1.4919516451ad5p-3, -0x1.a4afceffc644ap-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.0941fbd1c18bfp-4, -0x1.aba144319a48dp-4, 0x1.298c21ddef9b8p-3, -0x1.975effdf797c4p-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.eaa04a4f5f0dbp-5, -0x1.732cfe0f36272p-4, 0x1.0afe9b79f9b22p-3, -0x1.8a375d5785dc6p-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.c814779e999b4p-5, -0x1.40bbc424e9b2cp-4, 0x1.dadb4f5a05b6bp-4, -0x1.7d04b69e332e4p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.aa491f3c78a72p-5, -0x1.141afd94231c8p-4, 0x1.a1b433f57e094p-4, -0x1.6fd4f411ef0e4p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.90abf157541cap-5, -0x1.da3003c95d666p-5, 0x1.6a8775bf9a2d5p-4, -0x1.62a4a502d5655p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.7aafaea095eb6p-5, -0x1.97005a3b682a9p-5, 0x1.355529cbfa2b2p-4, -0x1.5573a3d207944p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.67cc284cba062p-5, -0x1.5e41b1c51f347p-5, 0x1.021d6ad2df6e3p-4, -0x1.4845f7aadcabbp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.577e40134e63cp-5, -0x1.2f8ec7ccdeca1p-5, 0x1.a1bf71bf49761p-5, -0x1.3b0ba97ed9b52p-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4947e82ef2fedp-5, -0x1.0a8236020b599p-5, 0x1.433bf2193b59bp-5, -0x1.2e008e5c93f86p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.3cb0235d59d6p-5, -0x1.dd6e35a08a262p-6, 0x1.d1445b9484524p-6, -0x1.2045491839ca7p-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.314304df46eaap-5, -0x1.b78d4ad26a2b3p-6, 0x1.244dfc85fb3c9p-6, -0x1.151b79525a83p-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.2691b0789044p-5, -0x1.a2a27a5449855p-6, 0x1.f829355246ed6p-8, -0x1.f199ae7b5f4e2p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1c32d6499e5fcp-5, -0x1.9d7ea20370db5p-6, -0x1.73d6703a4752p-10, -0x1.96b2c38e0494bp-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.11c80527f13c1p-5, -0x1.a5eb4b687ecf9p-6, -0x1.227fa9c2e5428p-7, -0x1.40eeca11811efp-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.0702fcf6a55c7p-5, -0x1.b9420f3f4d7d8p-6, -0x1.e30eefcd65eep-7, -0x1.d394c94ec5b27p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f74c54ffe87c8p-6, -0x1.d4eaf658e226cp-6, -0x1.37aa9618ea392p-6, -0x1.26097b0580072p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.df094eea68b4ap-6, -0x1.f64a2c0a22da9p-6, -0x1.63c59bc023d3cp-6, -0x1.e12449aef98c9p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.c50474ddb2461p-6, -0x1.0d6270c1a39cap-5, -0x1.75d091b6b395bp-6, 0x1.ab034bb8c019ap-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a926add8e60b1p-6, -0x1.1fe00701b0055p-5, -0x1.6dcee84b3cc87p-6, 0x1.c660fbca556d8p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8b7a3aa95ed2ap-6, -0x1.3150455963dcp-5, -0x1.4bbad568dcc6cp-6, 0x1.907d1cdd2298cp-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.6c2ab5eab1602p-6, -0x1.4065f182ec878p-5, -0x1.0fa811147dfbcp-6, 0x1.1fd87c91327a7p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.4b851406ac6dbp-6, -0x1.4bd27babd1cf5p-5, -0x1.729b0a9eaa7b8p-7, 0x1.73e5aad43b3f8p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.29f7a33558a87p-6, -0x1.524c510e31c98p-5, -0x1.26ef483ea7791p-8, 0x1.d53239ef0bc1ap-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.08120b7cf8b2ap-6, -0x1.5277403e76fe2p-5, 0x1.0c19ca1366a05p-8, 0x1.de0ff2a7bee25p-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.cd059faf7a65dp-7, -0x1.4b8772f02a09dp-5, 0x1.a4e3436e5909fp-7, 0x1.8e7ed45479d32p-5}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.8bf7b5a502e8dp-7, -0x1.3e04a7fada191p-5, 0x1.49fe149d51131p-6, 0x1.4c2d18d6a092fp-5}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.4e2e16571018dp-7, -0x1.2b06f952a80a4p-5, 0x1.ada535aa813ebp-6, 0x1.064e962c76bb9p-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.14a769f05dc98p-7, -0x1.1393e250329b9p-5, 0x1.fc5662b7d8105p-6, 0x1.82c79abc42b08p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.c05a8693bcfb9p-8, -0x1.f16bb664eb45p-6, 0x1.1b2d5cf6d76eep-5, 0x1.f0db913331bc9p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.62a83fd576cbap-8, -0x1.b6ec0e74f57p-6, 0x1.2dcf3268c2e5ep-5, 0x1.b8f6135cfa407p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.10f6d010a8bc8p-8, -0x1.79bbc1756eap-6, 0x1.3613cf928130dp-5, -0x1.c14b7e658ba1dp-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9735ba18ffcedp-9, -0x1.3bedb57bc75f8p-6, 0x1.33f8a82e07561p-5, -0x1.4c113e2e980c8p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.24fdc3d92d762p-9, -0x1.ff28b97103fe5p-7, 0x1.2784cf72ae6f4p-5, -0x1.3153e37f915bbp-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.948cbcc3d40c2p-10, -0x1.8d880efea814fp-7, 0x1.109e84c91d22p-5, -0x1.b7a0089733dd6p-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.0a77aad83f966p-10, -0x1.271402f828ba6p-7, 0x1.df4b6eaebf498p-6, -0x1.2848a6dd05b96p-5}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.4cd87da64f1edp-11, -0x1.a0372b5b85467p-8, 0x1.8668d6393d909p-6, -0x1.3686a26087ecfp-5}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.86374e4e9981fp-12, -0x1.16aee9a69386dp-8, 0x1.2940724f7b305p-6, -0x1.068d1137d2b61p-5}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.a541ff067c227p-13, -0x1.5f123c7aaa971p-9, 0x1.b4f90d7d77f3ep-7, -0x1.bfb981df5cd39p-6}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.964e456183936p-14, -0x1.964a87fdae71p-10, 0x1.2ea7cceda8e82p-7, -0x1.6d9e06634be13p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.4cd87da64f1a1p-15, -0x1.a014e8597f916p-11, 0x1.81f0c939577d3p-8, -0x1.1bdb74d53a35dp-6}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.a541ff067c066p-17, -0x1.5ee8efc7d6c0cp-12, 0x1.af409fd935e7ep-9, -0x1.9ae02cf5e7e0bp-7}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.4cd87da64ef3fp-19, -0x1.a2128e9c08018p-14, 0x1.71743cf1bbf6fp-10, -0x1.c53c058e04a64p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.4cd87da64bfffp-23, -0x1.63fd033d525e1p-17, 0x1.860db33ee4b8p-12, -0x1.2f4ef5dfb393dp-7}, 
      }}, 
      0x1.1d6e898aade63p-3, -0x1.b7f4e9a12a558p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{-0x1.192edf4a835c8p-4, -0x1.da055a483d19fp-5, -0x1.507cbb435478p-5, -0x1.4149be991b234p-6, 0x1.5135aa4610fcfp-8, 0x1.0525b245eaa3ap-5, 0x1.e6c5e85470e77p-5, 0x1.6371fa67e7965p-4, 0x1.cf6d110fafe2ap-4, 0x1.1a5c988fe2c9ap-3, 0x1.48b20f61ca1fdp-3, 0x1.7208a34f3764fp-3, 0x1.95f2827c49f27p-3, 0x1.b437fd8e6a158p-3, 0x1.cccdbfb35e104p-3, 0x1.dfcbe32641f4p-3, 0x1.ed660f6e298aep-3, 0x1.f5e4a63ba3ba4p-3, 0x1.f99ef6f02912bp-3, 0x1.f8f6629414c86p-3, 0x1.f4525825d3c46p-3, 0x1.ec1d11293b1eep-3, 0x1.e0c0f65e5f1cfp-3, 0x1.d2a69456cc075p-3, 0x1.c23308f163084p-3, 0x1.afc6d5b5f86cdp-3, 0x1.9bbd062a09456p-3, 0x1.866a9bc73f0aep-3, 0x1.701e332d2b63bp-3, 0x1.591fd81000fd8p-3, 0x1.41b0fe909e587p-3, 0x1.2a0c9a706f67cp-3, 0x1.12674d4796c94p-3, 0x1.f5df4c81f97c8p-4, 0x1.c79cdd2d570ep-4, 0x1.9a4dfd81c4edfp-4, 0x1.6e2f329e6b563p-4, 0x1.437391702d7c1p-4, 0x1.1a457b2dec2d2p-4, 0x1.e58eafb752d12p-5, 0x1.9a2898e6708d8p-5, 0x1.5281d471620eap-5, 0x1.0eb7ac6d03a6cp-5, 0x1.9db9a0f724d6bp-6, 0x1.25f50393f6f5bp-6, 0x1.6c46b3cdec2f2p-7, 0x1.38df8e11cd462p-8, -0x1.1e6ce299e8cfp-10, -0x1.a9744035adb5cp-8, -0x1.76b0f17b878c4p-7, -0x1.050e5e875ff15p-6, -0x1.47ba7763e1f12p-6, -0x1.839d99a01e4bcp-6, -0x1.b8fc9b8ecbacp-6, -0x1.e81f508dc6384p-6, -0x1.08a7d0e0e20b1p-5, -0x1.1a6c607c0bff6p-5, -0x1.298339ff94389p-5, -0x1.36123b5469d69p-5, -0x1.403ef8e0ec6f6p-5, -0x1.482e82c0a7ceep-5, -0x1.4e053311b073fp-5, -0x1.51e684ab75af9p-5, -0x1.53f4f17a5c34bp-5, -0x1.5451d7ab8c602p-5, -0x1.531d64d9e6429p-5, -0x1.5076869ccc83bp-5, -0x1.4c7adfedf803ap-5, -0x1.4746c2ed91219p-5, -0x1.40f52e88af541p-5, -0x1.399fcf5e9f06bp-5, -0x1.315f03410da6ep-5, -0x1.2849decee3518p-5, -0x1.1e76349147ca7p-5, -0x1.13f89d7ede3e5p-5, -0x1.08e4828424606p-5, -0x1.fa984e1382795p-6, -0x1.e28168688210cp-6, -0x1.c9a48914a2e82p-6, -0x1.b01fe0b2bca7p-6, -0x1.960fb1cc611d9p-6, -0x1.7b8e68f49ff29p-6, -0x1.60b4b47b15988p-6, -0x1.45999aa21e257p-6, -0x1.2a52899ba5aa2p-6, -0x1.0ef374d4b83c9p-6, -0x1.e71dbff5e3f59p-7, -0x1.b06bf0243be21p-7, -0x1.79f1439279adp-7, -0x1.43cb1c57bac4bp-7, -0x1.0e1492efa0856p-7, -0x1.b1cd2cfedf5ecp-8, -0x1.48b0195c76c31p-8, -0x1.c1f7b4e8c299p-9, -0x1.eb5ae5aa2a907p-10, -0x1.6638d463fa7f8p-12, 0x1.30f85af1c6985p-10, 0x1.59e364c16d64bp-9, 0x1.0b9daf5cf2cdcp-8, 0x1.682b369ee7dc9p-8, 0x1.c2860655c635fp-8, 0x1.0d4e2c2af5488p-7, 0x1.382f5009abbb3p-7, 0x1.61dfc410acf89p-7, 0x1.8a59e1e344ecdp-7, 0x1.b198f38a1c233p-7, 0x1.d7992c023afc1p-7, 0x1.fc57921340c96p-7, 0x1.0fe8fc13ee697p-6, 0x1.21037557d01a2p-6, 0x1.317ad3e9c7a85p-6, 0x1.414f08610fef2p-6, 0x1.50804fb26ffbbp-6, 0x1.5f0f2e4591fbp-6, 0x1.6cfc6a58b8764p-6, 0x1.7a49075ff6f6fp-6, 0x1.86f6417d25094p-6, 0x1.930588eb9d941p-6, 0x1.9e787dfaf5ad6p-6, 0x1.a950ecbc3b68ap-6, 0x1.b390c9abe539fp-6, 0x1.bd3a2dbaadf71p-6, 0x1.c64f530450992p-6, 0x1.ced2918d8b5aap-6, 0x1.d6c65bf5fbd5dp-6, 0x1.de2d3cf5d4982p-6, 0x1.e509d46372de1p-6, 0x1.eb5ed45933f8p-6, 0x1.f12eff4c9fa01p-6, 0x1.f67d257abef46p-6, 0x1.fb4c227fdf97ap-6, 0x1.ff9edbd59515cp-6, 0x1.01bc1f8ad1352p-5, 0x1.036d9f701de7p-5, 0x1.04e5697010a98p-5, 0x1.0624faa4c0786p-5, 0x1.072dd0c6e6d12p-5, 0x1.080169a13c95fp-5, 0x1.08a14270ddbd2p-5, 0x1.090ed6f4b74b9p-5, 0x1.094ba1692a947p-5, 0x1.095919e4c5221p-5, 0x1.0938b579d799dp-5, 0x1.08ebe6265262dp-5, 0x1.08741ab06ad2p-5, 0x1.07d2bdc3b2d24p-5, 0x1.0709359172541p-5, 0x1.0618e41913b58p-5, 0x1.050326ad410edp-5, 0x1.03c955218becap-5, 0x1.026cc1fec21cfp-5, 0x1.00eebabf0f331p-5, 0x1.fea10e0a5b656p-6, 0x1.fb26d048e4496p-6, 0x1.f771335d4dfb6p-6, 0x1.f382a2fbeda32p-6, 0x1.ef5d7d9b0c50cp-6, 0x1.eb041425f82ecp-6, 0x1.e678ab85cf552p-6, 0x1.e1bd7c7830119p-6, 0x1.dcd4b1a4cf52bp-6, 0x1.d7c0679891fb8p-6, 0x1.d282aea64fd25p-6, 0x1.cd1d8ae7630ep-6, 0x1.c792f22cd5b69p-6, 0x1.c1e4cbc561d6bp-6, 0x1.bc14f2ae353dbp-6, 0x1.b6253641c1e85p-6, 0x1.b0175825db78dp-6, 0x1.a9ed0b4125b78p-6, 0x1.a3a7f5d248098p-6, 0x1.9d49b35287241p-6, 0x1.96d3d320a56ffp-6, 0x1.9047d65a3abd2p-6, 0x1.89a730b5f3a32p-6, 0x1.82f34b4e37171p-6, 0x1.7c2d853939399p-6, 0x1.7557314045c2dp-6, 0x1.6e719502dbbp-6, 0x1.677dea6ebc09ap-6, 0x1.607d620480a3bp-6, 0x1.5971233025e38p-6, 0x1.525a49dff8a86p-6, 0x1.4b39e613daaaep-6, 0x1.4410fde4f7f7bp-6, 0x1.3ce08f64f53fcp-6, 0x1.35a9901f98f6cp-6, 0x1.2e6ceb73c287ap-6, 0x1.272b8279ee71cp-6, 0x1.1fe62de74b219p-6, 0x1.189dbf978fde8p-6, 0x1.1153020df32c5p-6, 0x1.0a06b6ffb44ccp-6, 0x1.02b9972fdbb8ep-6, 0x1.f6d8a84dd4505p-7, 0x1.e83f339ffafb5p-7, 0x1.d9a874cced778p-7, 0x1.cb15188f7b933p-7, 0x1.bc86778af02ap-7, 0x1.adfd2d276559bp-7, 0x1.9f7b36cc1614fp-7, 0x1.9101be93ca948p-7, 0x1.829121d08ff46p-7, 0x1.742a98378f616p-7, 0x1.65cf17861f7f4p-7, 0x1.577f67a3be95bp-7, 0x1.493c6f74fb65fp-7, 0x1.3b0711df3230bp-7, 0x1.2ce006bb4e3bdp-7, 0x1.1ec80fcd62318p-7, 0x1.10bff443fadap-7, 0x1.02c864eebec9ep-7, 0x1.e9c3fa2bcfc2bp-8, 0x1.ce1ad1bbcd6c2p-8, 0x1.b296b3ac118f9p-8, 0x1.9738671c18c01p-8, 0x1.7c01749ccb558p-8, 0x1.60f2c2bf47368p-8, 0x1.460d5bada450ap-8, 0x1.2b522f520f3a6p-8, 0x1.10c25d3f7e896p-8, 0x1.ecbd661b4ea7ep-9, 0x1.b8500c97e425fp-9, 0x1.843e5a5331859p-9, 0x1.5089dd42d86b3p-9, 0x1.1d340633fc82p-9, 0x1.d47cf9099ad9p-10, 0x1.6f54a7aec2b96p-10, 0x1.0af1fe5cc2893p-10, 0x1.4eae884f12986p-11, 0x1.121aded648c1ap-12, -0x1.d7d8991e8a0ffp-14, -0x1.face38057fd51p-12, -0x1.be31d6f3f26bbp-11, -0x1.3ead01931106fp-10, -0x1.9d6d33045cefcp-10, -0x1.fb586558c7c4fp-10, -0x1.2c36a1ae013ebp-9, -0x1.5a554bdf520ccp-9, -0x1.8807a47896c59p-9, -0x1.b54d3190ea795p-9, -0x1.e2254c3cf28cdp-9, -0x1.0748114dc896fp-8, -0x1.1d46715ec6ffdp-8, -0x1.330dbd35f3a17p-8, -0x1.489de189ab0b1p-8, -0x1.5df6cbde8145cp-8, -0x1.7318730cbf1a6p-8, -0x1.8802d2b2fb239p-8, -0x1.9cb5f160e010ep-8, -0x1.b131d5f47bc3cp-8, -0x1.c5769aa6ca984p-8, -0x1.d984539eca89fp-8, -0x1.ed5b23f10bep-8, -0x1.007d9859cfa5cp-7, -0x1.0a3252b23d9dp-7, -0x1.13cbd9d1b4271p-7, -0x1.1d4a49c8cf5c6p-7, -0x1.26adbd31e8352p-7, -0x1.2ff660f64ace8p-7, -0x1.39248462feea7p-7, -0x1.4237672e65fa8p-7, -0x1.4b30e1eb17237p-7, -0x1.540f278adafcap-7, -0x1.5cd43c0ef3c71p-7, -0x1.657ec4d12e83bp-7, -0x1.6e1011ae21f04p-7, -0x1.7687dd55facd2p-7, -0x1.7ee62754b815ep-7, -0x1.872bacf4d470fp-7, -0x1.8f583bb09616cp-7, -0x1.976c4345af7fdp-7, -0x1.9f67c56868893p-7, -0x1.a74b5529b43e4p-7, -0x1.af16eb1779d2ep-7, -0x1.b6cac9ccd0082p-7, -0x1.be674fe44170fp-7, -0x1.c5eca96f02336p-7, -0x1.cd5b28a129cfep-7, -0x1.d4b2f1d668fdp-7, -0x1.dbf44e13d936ep-7, -0x1.e31f836a9a727p-7, -0x1.ea34db8c0339ep-7, -0x1.f1349cfa9ad67p-7, -0x1.f81ef3df37bc4p-7, -0x1.fef4264224398p-7, -0x1.02da39e17a02bp-6, -0x1.0630112993ee5p-6, -0x1.097bbadba9e3ap-6, -0x1.0cbd59c7f1915p-6, -0x1.0ff50800c44b8p-6, -0x1.1322e197bf276p-6, -0x1.1647082cb5b37p-6, -0x1.19619a2628a2ap-6, -0x1.1c72b3ee3008dp-6, -0x1.1f7a7446e4debp-6, -0x1.2278fca5adfcbp-6, -0x1.256e6673c43bfp-6, -0x1.285ac86bd342ep-6, -0x1.2b3e3ecb99263p-6, -0x1.2e18e4779a76ep-6, -0x1.30ead25127a33p-6, -0x1.33b423315fbf3p-6, -0x1.3674ecde07693p-6, -0x1.392d49a84c246p-6, -0x1.3bdd50ddafdedp-6, -0x1.3e85145b6793ep-6, -0x1.4124a816f0f64p-6, -0x1.43bc2160a04c7p-6, -0x1.464b93da1eedfp-6, -0x1.48d311bee618p-6, -0x1.4b52ac243cc54p-6, -0x1.4dca732677c84p-6, -0x1.503a772df776fp-6, -0x1.52a2c90c36589p-6, -0x1.550375c3812b3p-6, -0x1.575c881378651p-6, -0x1.59ae0c79eff51p-6, -0x1.5bf80e059d67fp-6, -0x1.5e3a995d58651p-6, -0x1.6075b6b8db70cp-6, -0x1.62a96ef70b1bdp-6, -0x1.64d5c9c9384dep-6, -0x1.66face1aa19f5p-6, -0x1.691882e2561b6p-6, -0x1.6b2eeea2cd321p-6, -0x1.6d3e151d8eddcp-6, -0x1.6f45f8cce02e7p-6, -0x1.71469ce7c4e6fp-6, -0x1.73400446efdd7p-6, -0x1.753230b8003a6p-6, -0x1.771d2320c5c7ap-6, -0x1.7900dba51fa45p-6, -0x1.7add59b2dc327p-6, -0x1.7cb29c078963ep-6, -0x1.7e80a0d93d567p-6, -0x1.8047662ca8e49p-6, -0x1.8206e91371919p-6, -0x1.83bf26fe60e88p-6, -0x1.85701a134197p-6, -0x1.8719bdac6c9d5p-6, -0x1.88bc0d0ae3b04p-6, -0x1.8a5702d8b2011p-6, -0x1.8bea9927bfc3dp-6, -0x1.8d76c98e62339p-6, -0x1.8efb8d39ada61p-6, -0x1.9078dcf508345p-6, -0x1.91eeb12f4c37bp-6, -0x1.935d02078ceadp-6, -0x1.94c3c7741437ap-6, -0x1.9622f96ce53e8p-6, -0x1.977a8f9ad8ed1p-6, -0x1.98ca80d637e7ep-6, -0x1.9a12c3a79dbe3p-6, -0x1.9b534ee48064cp-6, -0x1.9c8c197adb68fp-6, -0x1.9dbd1a331b289p-6, -0x1.9ee647a63a5c7p-6, -0x1.a00797edeb7ep-6, -0x1.a121023899f1ep-6, -0x1.a2327c899611p-6, -0x1.a33bfd629a164p-6, -0x1.a43d7b4f6a1a2p-6, -0x1.a536ece914896p-6, -0x1.a62848f0a45b6p-6, -0x1.a7118665c60cp-6, -0x1.a7f29c6cb95b3p-6, -0x1.a8cb8209a8984p-6, -0x1.a99c2e3cc1b99p-6, -0x1.aa64986704b15p-6, -0x1.ab24b85727044p-6, -0x1.abdc8622423e6p-6, -0x1.ac8bfa15b3b2ep-6, -0x1.ad330cbf47241p-6, -0x1.add1b6f5d4d28p-6, -0x1.ae67f1e059b4dp-6, -0x1.aef5b6fa7d08ap-6, -0x1.af7b00188655dp-6, -0x1.aff7c76b942f5p-6, -0x1.b06c0787f8888p-6, -0x1.b0d7bb6e0cf37p-6, -0x1.b13ade60c28a4p-6, -0x1.b1956c75d6c92p-6, -0x1.b1e7621ce7a43p-6, -0x1.b230bbd8c4e8dp-6, -0x1.b27176b7b2915p-6, -0x1.b2a9904c46b32p-6, -0x1.b2d906bf41217p-6, -0x1.b2ffd8be5e157p-6, -0x1.b31e0570d53fdp-6, -0x1.b3338c7a32198p-6, -0x1.b3406dfe6288bp-6, -0x1.b344aaa5eb848p-6, -0x1.b34043a2ad474p-6, -0x1.b3333aaf45adep-6, -0x1.b31d92111bc31p-6, -0x1.b2ff4c9894862p-6, -0x1.b2d86da14ebb4p-6, -0x1.b2a8f91355ba4p-6, -0x1.b270f365e1d2ap-6, -0x1.b23061a39e879p-6, -0x1.b1e7496a60acep-6, -0x1.b195b0dfbecd5p-6, -0x1.b13b9ea507b87p-6, -0x1.b0d919e0e9dcp-6, -0x1.b06e2a55365c1p-6, -0x1.affad861692b6p-6, -0x1.af7f2cd9cd6f9p-6, -0x1.aefb315982d51p-6, -0x1.ae6eefe9ffc02p-6, -0x1.adda7303fdbd1p-6, -0x1.ad3dc5bee0975p-6, -0x1.ac98f3b6d95abp-6, -0x1.abec090de5c37p-6, -0x1.ab37126dd13bbp-6, -0x1.aa7a1d03791afp-6, -0x1.a9b536817ef7cp-6, -0x1.a8e86d1cd36a7p-6, -0x1.a813cf8b75df6p-6, -0x1.a7376d030b999p-6, -0x1.a6535537dcbd4p-6, -0x1.a567985b600ffp-6, -0x1.a4744716e7395p-6, -0x1.a3797286ff29p-6, -0x1.a2772c2ca2bb7p-6, -0x1.a16d85f98a8a7p-6, -0x1.a05c9252bb5b5p-6, -0x1.9f446411a6a1fp-6, -0x1.9e250e7dc88a4p-6, -0x1.9cfea546a230fp-6, -0x1.9bd13c7ff379ap-6, -0x1.9a9ce89f4db3cp-6, -0x1.9961be79bb5cp-6, -0x1.981fd341753bcp-6, -0x1.96d73c8370d57p-6, -0x1.9588101cc3749p-6, -0x1.943264390a0a1p-6, -0x1.92d64f79317ffp-6, -0x1.9173e8a593093p-6, -0x1.900b46dc8fdb4p-6, -0x1.8e9c818887502p-6, -0x1.8d27b059023ccp-6, -0x1.8baceb40defdp-6, -0x1.8a2c4a74258a2p-6, -0x1.88a5e665173ccp-6, -0x1.8719d7bf941fbp-6, -0x1.858837633ead2p-6, -0x1.83f11e5f00176p-6, -0x1.8254a5f07b8cbp-6, -0x1.80b2e7854321dp-6, -0x1.7f0bfcb946045p-6, -0x1.7d5fff527a0f2p-6, -0x1.7baf093c08d1bp-6, -0x1.79f934822ea01p-6, -0x1.783e9b4e6872ap-6, -0x1.767f57e5b676bp-6, -0x1.74bb84a54fa21p-6, -0x1.72f33bfe210f3p-6, -0x1.71269872095fdp-6, -0x1.6f55b490d4173p-6, -0x1.6d80aaf5c0fcap-6, -0x1.6ba796446b0d1p-6, -0x1.69ca912720dc9p-6, -0x1.67e9b64d3101p-6, -0x1.66052069984d2p-6, -0x1.641cea31f3991p-6, -0x1.62312e5abe85fp-6, -0x1.60420792a3p-6, -0x1.5e4f90949ce0cp-6, -0x1.5c59e409531d8p-6, -0x1.5a611c8c923a6p-6, -0x1.586554aba55fap-6, -0x1.5666a6dbf6128p-6, -0x1.54652d76ab3cp-6, -0x1.526102b5bb075p-6, -0x1.505a40b1aec8dp-6, -0x1.4e51015e9a1fp-6, -0x1.4c455e8dc2913p-6, -0x1.4a3771dd7a1ap-6, -0x1.482754deb613dp-6, -0x1.461520f3f4b76p-6, -0x1.4400ef68c1db5p-6, -0x1.41ead9715253cp-6, -0x1.3fd2f82c91999p-6, -0x1.3db964a404f11p-6, -0x1.3b9e37c89b225p-6, -0x1.39818a6c491bp-6, -0x1.3763753883a73p-6, -0x1.354410a259e26p-6, -0x1.332374dd58a0bp-6, -0x1.3101b9cc55a21p-6, -0x1.2edef70065943p-6, -0x1.2cbb439d7e28ep-6, -0x1.2a96b66c88d49p-6, -0x1.287165d39509cp-6, -0x1.264b67e23568bp-6, -0x1.2424d26069f47p-6, -0x1.21fdbae151262p-6, -0x1.1fd636d7d948cp-6, -0x1.1dae5baa9864bp-6, -0x1.1b863ec259921p-6, -0x1.195df59646c9ap-6, -0x1.173595afaad5bp-6, -0x1.150d349b65684p-6, -0x1.12e4e7d80d23p-6, -0x1.10bcc4b98be84p-6, -0x1.0e94e040b489fp-6, -0x1.0c6d4efe00bdp-6, -0x1.0a4624db0cddep-6, -0x1.081f7509b1abp-6, -0x1.05f951e8578b7p-6, -0x1.03d3ccfd4feb2p-6, -0x1.01aef701bd765p-6, -0x1.ff15bffc6cd28p-7, -0x1.facf2eeedd8ffp-7, -0x1.f68a594e5f2c7p-7, -0x1.f2475d7850b49p-7, -0x1.ee065a3329fe3p-7, -0x1.e9c76f1e7c1afp-7, -0x1.e58abd04ca57dp-7, -0x1.e15066028cf86p-7, -0x1.dd188d79869f7p-7, -0x1.d8e357ccab28p-7, -0x1.d4b0e9e6dffdep-7, -0x1.d08168954ca7p-7, -0x1.cc54f7c3ca377p-7, -0x1.c82bb9aeb689ap-7, -0x1.c405ce20e280cp-7, -0x1.bfe351d467b75p-7, -0x1.bbc45e0c144a3p-7, -0x1.b7a90875e976bp-7, -0x1.b3916360dceadp-7, -0x1.af7d7e463f49fp-7, -0x1.ab6d669e65a8dp-7, -0x1.a76128ef84192p-7, -0x1.a358d1fd77ca7p-7, -0x1.9f546ffd607aap-7, -0x1.9b5413ac8496bp-7, -0x1.9757d122e98ap-7, -0x1.935fc05387b9ep-7, -0x1.8f6bfd1e9a7cap-7, -0x1.8b7ca6e8279cfp-7, -0x1.8791dfba9f2dfp-7, -0x1.83abcb0537ab1p-7, -0x1.7fca8c0f0e2b5p-7, -0x1.7bee44449e0fep-7, -0x1.7817118b01416p-7, -0x1.74450cc62f3cfp-7, -0x1.707848bcbb5ap-7, -0x1.6cb0d17ce8f78p-7, -0x1.68eeac5aaf6c2p-7, -0x1.6531d8915807ap-7, -0x1.617a5081d6eebp-7, -0x1.5dc80b77bb505p-7, -0x1.5a1affcdb70aap-7, -0x1.5673253fc1e4cp-7, -0x1.52d0772e8976ap-7, -0x1.4f32f697a3bb5p-7, -0x1.4b9aab88da5a6p-7, -0x1.4807a5e16d82dp-7, -0x1.4479fd44e6291p-7, -0x1.40f1d0397cb55p-7, -0x1.3d6f4282c1b1bp-7, -0x1.39f27ade9d58ap-7, -0x1.367ba05b68765p-7, -0x1.330ad787684edp-7, -0x1.2fa03fbcdec13p-7, -0x1.2c3bf0c952495p-7, -0x1.28ddf9267cb69p-7, -0x1.25865cef94a91p-7, -0x1.223515b18e849p-7, -0x1.1eea1326d539dp-7, -0x1.1ba53cdeba3a9p-7, -0x1.186674bc3fae8p-7, -0x1.152d9a1f4fb31p-7, -0x1.11fa8d72dfe9ep-7, -0x1.0ecd33c495892p-7, -0x1.0ba579ee3c37fp-7, -0x1.08835706f8abdp-7, -0x1.0566cdcf65c5p-7, -0x1.024fecd1afa04p-7, -0x1.fe7d9ab30b5f4p-8, -0x1.f86722cd7283bp-8, -0x1.f25cc1c4edb3p-8, -0x1.ec5eccdaa927fp-8, -0x1.e66d982dceb61p-8, -0x1.e089707dde0a4p-8, -0x1.dab295951b1fep-8, -0x1.d4e9358a68fap-8, -0x1.cf2d68fa991ecp-8, -0x1.c97f30608791cp-8, -0x1.c3de72d0ee6f3p-8, -0x1.be4afe7d310f5p-8, -0x1.b8c48b689c87bp-8, -0x1.b34ac0972ef61p-8, -0x1.addd3b9d8a57fp-8, -0x1.a87b99f45efb3p-8, -0x1.a32582df3d977p-8, -0x1.9ddab0546461bp-8, -0x1.989af54cfff1cp-8, -0x1.93664053c243p-8, -0x1.8e3c99fa0377ep-8, -0x1.891e1fdab63dp-8, -0x1.840afda898ec5p-8, -0x1.7f03662a01e5fp-8, -0x1.7a078dd117c37p-8, -0x1.7517a798716dep-8, -0x1.7033e4a1e95bbp-8, -0x1.6b5c74d0827e1p-8, -0x1.6691866227a47p-8, -0x1.61d3455b207ffp-8, -0x1.5d21d6abcf9bfp-8, -0x1.587d522d12063p-8, -0x1.53e5bba1558c2p-8, -0x1.4f5afd61d62b8p-8, -0x1.4adce5e762b99p-8, -0x1.466b2ab7cfdc5p-8, -0x1.42056fde305f6p-8, -0x1.3dab5352b8e8p-8, -0x1.395c7a0efe5f6p-8, -0x1.35189c773997dp-8, -0x1.30df8ef5e079p-8, -0x1.2cb144d7eaa52p-8, -0x1.288dcc3a9e60cp-8, -0x1.2475435ac535dp-8, -0x1.2067c97eb8348p-8, -0x1.1c656f5c2bd55p-8, -0x1.186e2ba572ac9p-8, -0x1.1481d7af33cbcp-8, -0x1.10a035e2caabp-8, -0x1.0cc900874750ap-8, -0x1.08fbfc7583884p-8, -0x1.053909a4853e9p-8, -0x1.01802bd9d8cc6p-8, -0x1.fba3105cbb8cp-9, -0x1.f45aafb9aa4eep-9, -0x1.ed27a92b99be9p-9, -0x1.e60a4a103f877p-9, -0x1.df02a02eef98p-9, -0x1.d810752e5f01ap-9, -0x1.d1335ea963515p-9, -0x1.ca6adb80d190dp-9, -0x1.c3b6741382216p-9, -0x1.bd15d49b73259p-9, -0x1.b688dd190e0dfp-9, -0x1.b00fa6102c5cdp-9, -0x1.a9aa7b2c13e9ep-9, -0x1.a359cce4757c5p-9, -0x1.9d1e19ddf324ap-9, -0x1.96f7d14a157d6p-9, -0x1.90e7317f6ec4p-9, -0x1.8aec28f9cc5fap-9, -0x1.85064283e1567p-9, -0x1.7f34a55b5f208p-9, -0x1.79762ddb0bbcdp-9, -0x1.73c99b2a84e29p-9, -0x1.6e2dc5ffc002bp-9, -0x1.68a1d01d4659cp-9, -0x1.63253e2cbaf02p-9, -0x1.5db7f4e32bb34p-9, -0x1.585a1c28e14b4p-9, -0x1.530bf3fc2d49fp-9, -0x1.4dcdabffc297bp-9, -0x1.489f4da140e1ap-9, -0x1.4380bdffc8897p-9, -0x1.3e71d1b591548p-9, -0x1.39726636af491p-9, -0x1.348275bd09f65p-9, -0x1.2fa2212c05085p-9, -0x1.2ad1af50f8774p-9, -0x1.2611810e9f46ap-9, -0x1.2161fb2ee75d7p-9, -0x1.1cc36c57e9f98p-9, -0x1.1835fbb72a2b7p-9, -0x1.13b9ab0e69da2p-9, -0x1.0f4e6b0dc463dp-9, -0x1.0af433949d8f2p-9, -0x1.06ab0db3cd0d3p-9, -0x1.027306f11e53ep-9, -0x1.fc982b1f559abp-10, -0x1.f46c0059cb021p-10, -0x1.ec60ae93750cdp-10, -0x1.e4750091db244p-10, -0x1.dca789efa3905p-10, -0x1.d4f6baa659e83p-10, -0x1.cd60edc18c2f8p-10, -0x1.c5e487661ec81p-10, -0x1.be8023bfc4f52p-10, -0x1.b732beb6c68d7p-10, -0x1.affbbc01246a8p-10, -0x1.a8dacb4bdc2b8p-10, -0x1.a1cfb861cd5b8p-10, -0x1.9ada43c662342p-10, -0x1.93fa26c532977p-10, -0x1.8d2f5325c5201p-10, -0x1.867a4aed308ffp-10, -0x1.7fdc4181b50fcp-10, -0x1.7956cee375eadp-10, -0x1.72eb50fede435p-10, -0x1.6c9a5813e19dbp-10, -0x1.66636f6fe04d3p-10, -0x1.604553dc18464p-10, -0x1.5a3e72a460f1fp-10, -0x1.544d79ecebc8p-10, -0x1.4e71c8f3f81a4p-10, -0x1.48ab9d9294178p-10, -0x1.42fbf1146b581p-10, -0x1.3d6413d51ec84p-10, -0x1.37e53586c2ee3p-10, -0x1.32800ce0257fp-10, -0x1.2d34b3f858be5p-10, -0x1.2802999c7310fp-10, -0x1.22e8609629f8cp-10, -0x1.1de3d2cb5932bp-10, -0x1.18f25103cb268p-10, -0x1.1411d4ba172dep-10, -0x1.0f41e054b5ef9p-10, -0x1.0a8385efcad39p-10, -0x1.05d85c7cd3daap-10, -0x1.01411e2a3d324p-10, -0x1.f979e8d17e6d3p-11, -0x1.f093e8ac719a8p-11, -0x1.e7ccb9b7eae51p-11, -0x1.df230fbb94acap-11, -0x1.d697b464ec7dfp-11, -0x1.ce2c05bad2ab8p-11, -0x1.c5e0c521ddb6ep-11, -0x1.bdb60373963d4p-11, -0x1.b5ab9e7102907p-11, -0x1.adc181c9c1fcep-11, -0x1.a5f77735621ccp-11, -0x1.9e4cd7221632dp-11, -0x1.96c07df4b8b16p-11, -0x1.8f512b62d0292p-11, -0x1.87fe22a3ce0c5p-11, -0x1.80c7b1b8150ap-11, -0x1.79af463b38adcp-11, -0x1.72b6eadc26f6ep-11, -0x1.6be06b7b20e71p-11, -0x1.652cb5d912ba1p-11, -0x1.5e9bd83ddfa99p-11, -0x1.582d1da1fd7ebp-11, -0x1.51de62538b8ffp-11, -0x1.4bab2eff53ddap-11, -0x1.458de31113c61p-11, -0x1.3f83707a07e77p-11, -0x1.398de3777a706p-11, -0x1.33b21f8781598p-11, -0x1.2df2ebe6345bdp-11, -0x1.284e9e880d537p-11, -0x1.22c188a26eebdp-11, -0x1.1d4a1a28ebfcfp-11, -0x1.17ea1ce485b69p-11, -0x1.12a43a1b777fdp-11, -0x1.0d79510aaee83p-11, -0x1.08682d3346fa7p-11, -0x1.036eb70545ca5p-11, -0x1.fd15d91e95446p-12, -0x1.f37662ce8d148p-12, -0x1.e9fca501078b7p-12, -0x1.e0a713e9d53fep-12, -0x1.d77514468b93bp-12, -0x1.ce66ebe51c234p-12, -0x1.c57d73ad0bb3ap-12, -0x1.bcb9a957dc7d5p-12, -0x1.b41c5aee8645p-12, -0x1.aba60e36e2a92p-12, -0x1.a3570c4fee402p-12, -0x1.9b2f59dca69d9p-12, -0x1.932e88cf359p-12, -0x1.8b53b9f344dd3p-12, -0x1.839e6029be6cp-12, -0x1.7c0f7a754c9b7p-12, -0x1.74a9415fcde7fp-12, -0x1.6d6bb6e2a6a11p-12, -0x1.665176dd9257bp-12, -0x1.5f5377ca3ac6fp-12, -0x1.5870ff120776fp-12, -0x1.51aecb2473c61p-12, -0x1.4b0db98550e1ap-12, -0x1.44883e9e8b855p-12, -0x1.3e1a819f47fcdp-12, -0x1.37c7914b84d8ap-12, -0x1.319411ecf01ccp-12, -0x1.2b8086b9e9158p-12, -0x1.258a7cd43da51p-12, -0x1.1fafb5f301a8ap-12, -0x1.19ef3654ce00cp-12, -0x1.1448dbc0177bbp-12, -0x1.0ebcd5fe2ef89p-12, -0x1.094b6521c3673p-12, -0x1.03f4c4b61d963p-12, -0x1.fd723b39ef3c1p-13, -0x1.f330d2a6c988cp-13, -0x1.e924882f4a40ap-13, -0x1.df4b7bc5ff54ep-13, -0x1.d5a2f4bb5ef2ep-13, -0x1.cc26b3b361368p-13, -0x1.c2d3199bf1663p-13, -0x1.b9a663b446994p-13, -0x1.b0a0f90f7c501p-13, -0x1.a7c5a80b74bf8p-13, -0x1.9f1713caf31cap-13, -0x1.9694ec0f37258p-13, -0x1.8e3b7120a5403p-13, -0x1.86073fdfe813cp-13, -0x1.7dfa83daad21dp-13, -0x1.761c10451fd29p-13, -0x1.6e6d763e8b1f3p-13, -0x1.66e693d6bd89fp-13, -0x1.5f8237730ec06p-13, -0x1.5841bd6821213p-13, -0x1.51222b55a548fp-13, -0x1.4a208b98436b9p-13, -0x1.4340dbabede16p-13, -0x1.3c85b002c095ep-13, -0x1.35ecad0466568p-13, -0x1.2f734c57e24c6p-13, -0x1.2918b4d79a7e6p-13, -0x1.22dccffcd52a2p-13, -0x1.1cbf891aa8e6bp-13, -0x1.16c09f4ad92dfp-13, -0x1.10dfafef35259p-13, -0x1.0b1c47b3ba8b5p-13, -0x1.0575ed7e6530cp-13, -0x1.ffd84d067f069p-14, -0x1.f4fce997802ap-14, -0x1.ea58a506aebcfp-14, -0x1.dfea5bdbd38aap-14, -0x1.d5b0d3e405f9bp-14, -0x1.cbaac882638a9p-14, -0x1.c1d6fe4fdafc9p-14, -0x1.b83458efedd9p-14, -0x1.aec1ee5acb75ep-14, -0x1.a57f10f4a4f33p-14, -0x1.9c6b43ca8d0bfp-14, -0x1.938605214f419p-14, -0x1.8ace76a18907ep-14, -0x1.8243470bbe48fp-14, -0x1.79e342a958c42p-14, -0x1.71adfaf17c6ddp-14, -0x1.69a39cd6af671p-14, -0x1.61c39e88796ddp-14, -0x1.5a0b0a51ee88cp-14, -0x1.5277c95ee3bd4p-14, -0x1.4b0b3aa9c2232p-14, -0x1.43c6ba39c470ap-14, -0x1.3caad97506505p-14, -0x1.35b2303501c21p-14, -0x1.2eda20ab2a0b8p-14, -0x1.28242f25434c4p-14, -0x1.2191411d91c58p-14, -0x1.1b21022747c78p-14, -0x1.14d2828c830dap-14, -0x1.0ea4c6c380fefp-14, -0x1.089758109f47ep-14, -0x1.02a8b0459505fp-14, -0x1.f9b205f335a4p-15, -0x1.ee4efdb5dac9fp-15, -0x1.e3273bc2170e6p-15, -0x1.d839ace35d251p-15, -0x1.cd852c9445edcp-15, -0x1.c3087455cabc7p-15, -0x1.b8c2129c6f6c6p-15, -0x1.aeb07b9b09021p-15, -0x1.a4d23fe088844p-15, -0x1.9b263d8d1ce84p-15, -0x1.91aba50ddd653p-15, -0x1.88620452a9272p-15, -0x1.7f49255097de5p-15, -0x1.7660e99c48ba1p-15, -0x1.6da9280124afep-15, -0x1.65214fd70db28p-15, -0x1.5cc7daca2c96bp-15, -0x1.549a6321f5515p-15, -0x1.4c96df4b19988p-15, -0x1.44bc73d78970bp-15, -0x1.3d0b225a6fd34p-15, -0x1.35806075e32dap-15, -0x1.2e0c42856ebfbp-15, -0x1.26a47ac68a59bp-15, -0x1.1f6b8a361a0d5p-15, -0x1.187754817cb7ap-15, -0x1.11abd70a7d0eep-15, -0x1.0af32020df71bp-15, -0x1.0464bcfc1fb99p-15, -0x1.fc01ae888bd85p-16, -0x1.ef6b6823e0953p-16, -0x1.e302c54a23731p-16, -0x1.d6d798f6fc199p-16, -0x1.caf1eac3f5cc4p-16, -0x1.bf507d0403913p-16, -0x1.b3ef3b111a895p-16, -0x1.a8ca87fdd37d1p-16, -0x1.9ddfcfcfe1d18p-16, -0x1.932d2a53e0da1p-16, -0x1.88b12e595af61p-16, -0x1.7e6abc3d96e39p-16, -0x1.7458c0001d92bp-16, -0x1.6a7a107f8585p-16, -0x1.60cd531bf4fddp-16, -0x1.575103d175ba1p-16, -0x1.4e03ad17081fdp-16, -0x1.44e42f943aeccp-16, -0x1.3bf1d99f0fd32p-16, -0x1.332c39b401493p-16, -0x1.2a92e02114b54p-16, -0x1.22254dc7b41bp-16, -0x1.19e31874ab5dap-16, -0x1.11cc0ece62958p-16, -0x1.09dfe9376cf1cp-16, -0x1.021d27276473cp-16, -0x1.f5002edff92a6p-17, -0x1.e608d85413449p-17, -0x1.d751cc57bd7f4p-17, -0x1.c8e32a2a6946ap-17, -0x1.baceea464edd8p-17, -0x1.ad184be6f8173p-17, -0x1.9f742f22d4445p-17, -0x1.920aa5e1ffcf1p-17, -0x1.8530acd33a1aep-17, -0x1.785b44811ce22p-17, -0x1.6bb9355610306p-17, -0x1.5f731c5f129bdp-17, -0x1.537ce4e750c01p-17, -0x1.47c8c4d12ac96p-17, -0x1.3c3801ef5ab27p-17, -0x1.309e2278d5527p-17, -0x1.250f223be1177p-17, -0x1.19e4e22d8a4f5p-17, -0x1.0f40581fd53f9p-17, -0x1.04e773517e617p-17, -0x1.f5016b578bf82p-18, -0x1.e0480e8897373p-18, -0x1.cc0656568cb44p-18, -0x1.b849652be7011p-18, -0x1.a500cb495ba81p-18, -0x1.92140584a3ba4p-18, -0x1.7f86d107a34a4p-18, -0x1.6d4c5dab0ae94p-18, -0x1.5b6401cad4f1dp-18, -0x1.49cbb0c12019fp-18, -0x1.38818d59222d7p-18, -0x1.2784934e27d23p-18, -0x1.16d407d58040ap-18, -0x1.066eec4406e33p-18, -0x1.eca7ee1b3debcp-19, -0x1.cd03b59ab6f4ep-19, -0x1.adef6011a5c76p-19, -0x1.8f6a8f9f3f693p-19, -0x1.717542c4c35c1p-19, -0x1.540a7aafa496fp-19, -0x1.371ab61202bcp-19, -0x1.1a9708cf15873p-19, -0x1.fd031931b7f0fp-20, -0x1.c60ca1cb27448p-20, -0x1.8f8c264793291p-20, -0x1.5ac3c04db14eep-20, -0x1.27049b60234c6p-20, -0x1.e76e912be0e7ep-21, -0x1.81cf89f735996p-21, -0x1.1d528cb99c7e3p-21, -0x1.76efd244b8c78p-22, -0x1.6e34d25c079bfp-23, 0x1.688cfc7707a76p-28, 0x1.7ecaae6c5cd53p-23, 0x1.762bfc0eaffd7p-22, 0x1.14ffd103290cp-21, 0x1.6d77d9ef15872p-21, 0x1.c4862845dca5ep-21, 0x1.0d18882681d2fp-20, 0x1.373dc10afca33p-20, 0x1.60b29e62f6f66p-20, 0x1.8976f8d12e7c9p-20, 0x1.b18c85cbd220ap-20, 0x1.d8f49f73ff672p-20, 0x1.ffa57a8e4bea7p-20, 0x1.12c62808e8701p-19, 0x1.25763af4abd33p-19, 0x1.383ccdfa4f29cp-19, 0x1.4aaa8aa308d89p-19, 0x1.5c7237ce195b8p-19, 0x1.6e4c2b1dc85a8p-19, 0x1.7ffaf946c9d97p-19, 0x1.9138fe5b42e8bp-19, 0x1.a21aacbae34ap-19, 0x1.b2b4d58ebea93p-19, 0x1.c30efabe1a464p-19, 0x1.d32c0670bc30cp-19, 0x1.e30d64ebda8bdp-19, 0x1.f2b0bcaf9a2bfp-19, 0x1.010cd99ad2731p-18, 0x1.08a2d657857fep-18, 0x1.101bc706286f9p-18, 0x1.177a0e3bc3715p-18, 0x1.1ebe79248ae3p-18, 0x1.25e7d7b88daffp-18, 0x1.2cf609f63c88cp-18, 0x1.33e99edf3aa21p-18, 0x1.3abd703725aep-18, 0x1.41678b4660f8dp-18, 0x1.480de18d8f871p-18, 0x1.4eaa058aa42cap-18, 0x1.551dfc8505565p-18, 0x1.5b7671b68c72bp-18, 0x1.61b7e638de4dap-18, 0x1.67e29e3bfff2fp-18, 0x1.6df6a56eb9db3p-18, 0x1.73f42b3ffe081p-18, 0x1.79db73740f916p-18, 0x1.7facca5907c1dp-18, 0x1.85687f51bb11dp-18, 0x1.8b0ee247a6543p-18, 0x1.90a04234bb9ddp-18, 0x1.961cecb25c8ddp-18, 0x1.9b852e9237eaep-18, 0x1.a0d95390c94cbp-18, 0x1.a619a4f1181e9p-18, 0x1.ab4668bb8a34bp-18, 0x1.b05fe19ca4116p-18, 0x1.b5664ed2ddb88p-18, 0x1.ba59ecd21d28ap-18, 0x1.bf3af8e0c0b9p-18, 0x1.c409c8b974502p-18, 0x1.c8c7057cbedcdp-18, 0x1.cd71fc08164cep-18, 0x1.d20affb9f3279p-18, 0x1.d6932a0fdc49bp-18, 0x1.db0a4acd1132ep-18, 0x1.df70807790f91p-18, 0x1.e3c60427b5e3bp-18, 0x1.e80ac43221b1dp-18, 0x1.ec3eeac7d5826p-18, 0x1.f063704b6a62ap-18, 0x1.f477e277e5063p-18, 0x1.f87bd749527c6p-18, 0x1.fc6b9b8e6db4dp-18, 0x1.0024b48bdc6b8p-17, 0x1.02102922818a1p-17, 0x1.03f7d0326b7c7p-17, 0x1.05d6a48bbb8dbp-17, 0x1.07afdec08ef6bp-17, 0x1.0977d47d6bb42p-17, 0x1.0b3d955f07994p-17, 0x1.0cfafdf44e8dep-17, 0x1.0eb47d00b27ebp-17, 0x1.1065663b35d42p-17, 0x1.120f280787b0fp-17, 0x1.13b225b4c29c4p-17, 0x1.154e63c793738p-17, 0x1.16e3eb3002a6fp-17, 0x1.1872b0d59f936p-17, 0x1.19fb050ccaeacp-17, 0x1.1b7c5e043d25p-17, 0x1.1cf78b1fbdb83p-17, 0x1.1e732b991fe6bp-17, 0x1.1fe7a0e6cc879p-17, 0x1.2142f98f78ec8p-17, 0x1.22a4b3774844fp-17, 0x1.2400a589d8a1cp-17, 0x1.25564d390931cp-17, 0x1.26a5c32ad3857p-17, 0x1.27ef24c52481bp-17, 0x1.293285555094ep-17, 0x1.2a6ff07d3783p-17, 0x1.2ba7627daed04p-17, 0x1.2cdb41686fe3bp-17, 0x1.2e07a997f1415p-17, 0x1.2f2b22604d2f4p-17, 0x1.304be8273ab21p-17, 0x1.3166c91bbb442p-17, 0x1.327bc32c20a0ap-17, 0x1.338b6fbb195a4p-17, 0x1.3495a546118cp-17, 0x1.359a63ea1fee3p-17, 0x1.3699833c36695p-17, 0x1.37933ebba6d82p-17, 0x1.3887ab8731c18p-17, 0x1.3976cb5dad47cp-17, 0x1.3a60a455510d4p-17, 0x1.3b44a40181f82p-17, 0x1.3c24a464a0baap-17, 0x1.3cfedf5cdeae7p-17, 0x1.3dd4075eae219p-17, 0x1.3ea47d3c14084p-17, 0x1.3f6f2fa5aed12p-17, 0x1.40351043304cep-17, 0x1.40f62b19a4bbap-17, 0x1.41b247aa880ccp-17, 0x1.4269832e08a1fp-17, 0x1.431bf29a0c232p-17, 0x1.43c9816656b0dp-17, 0x1.4472494e1cf79p-17, 0x1.451652593f4f5p-17, 0x1.45b5a4fcb0f4cp-17, 0x1.465049e95e997p-17, 0x1.46e649d538227p-17, 0x1.4777ad6cc2fc6p-17, 0x1.48047d46be0ecp-17, 0x1.488cc1e0d0521p-17, 0x1.491083535d72cp-17, 0x1.498fca862bda8p-17, 0x1.4a0a9fdb4a44ap-17, 0x1.4a810b0b122bdp-17, 0x1.4af3144cb6845p-17, 0x1.4b60c199d44d9p-17, 0x1.4bca091bc3dafp-17, 0x1.4c2e4d18f9f91p-17, 0x1.4c8f6b2b08cb1p-17, 0x1.4ceb4156857f9p-17, 0x1.4d44ece4f9e79p-17, 0x1.4d9962415359bp-17, 0x1.4de991356bf1p-17, 0x1.4e35a4b360331p-17, 0x1.4e7db2c834f91p-17, 0x1.4ec1d0f6c7399p-17, 0x1.4f01b77d42a48p-17, 0x1.4f3d9b9fb9d64p-17, 0x1.4f759ee4ad284p-17, 0x1.4fa9f40ef519p-17, 0x1.4fda0b4a18dd5p-17, 0x1.500668f0f6e8ep-17, 0x1.502ef7bb62daap-17, 0x1.5053ba5be1d43p-17, 0x1.5074b7f7b0d7fp-17, 0x1.5091f80bfd245p-17, 0x1.50ab8228b7538p-17, 0x1.50c144c35f73cp-17, 0x1.50d3946b1cef7p-17, 0x1.50e22c03b11d5p-17, 0x1.50ed2b4019b84p-17, 0x1.50f49246620e2p-17, 0x1.50f82b4398a94p-17, 0x1.51068e4a9789p-17, 0x1.50f8692a4b4b9p-17, 0x1.50ef2d6c81c34p-17, 0x1.50e57f05c9db4p-17, 0x1.50d8427df66fap-17, 0x1.50c781d2b9909p-17, 0x1.50b3f72bdf23bp-17, 0x1.509cf4d2a0161p-17, 0x1.50826da73194ap-17, 0x1.5064040a5d7d3p-17, 0x1.50433b47d4d93p-17, 0x1.501f4887637bbp-17, 0x1.4ff80e9d6499bp-17, 0x1.4fcda9c3f2ee1p-17, 0x1.4fa029423f3dbp-17, 0x1.4f6f968aad6dcp-17, 0x1.4f3bef29e0a53p-17, 0x1.4f055972f4914p-17, 0x1.4ecbbda7252e1p-17, 0x1.4e8f2d4506eeap-17, 0x1.4e4fbcfd53786p-17, 0x1.4e0d88d1bc763p-17, 0x1.4dc83521d53f5p-17, 0x1.4d7ffd88f9ea5p-17, 0x1.4d34ee3549cadp-17, 0x1.4ceb3ab4d1ddfp-17, 0x1.4c97613886c96p-17, 0x1.4c439665e26a9p-17, 0x1.4bedb85d24e92p-17, 0x1.4b94ecde478b5p-17, 0x1.4b387b34d41cep-17, 0x1.4ae1f5e21505dp-17, 0x1.4a7b113dcb379p-17, 0x1.4a186df952169p-17, 0x1.49b2d09383aa3p-17, 0x1.494aba5bd5e97p-17, 0x1.48e0158a93965p-17, 0x1.4872f77fcf7adp-17, 0x1.48036804ba463p-17, 0x1.47916cb81f961p-17, 0x1.471d063925114p-17, 0x1.46a6417bbc69p-17, 0x1.462e325c7c5bfp-17, 0x1.45b1cbb66056ap-17, 0x1.45344c800d803p-17, 0x1.44b480415da4p-17, 0x1.44326ddf1be4cp-17, 0x1.43ae245d948a7p-17, 0x1.4328461664deap-17, 0x1.429ebd2f865e3p-17, 0x1.421450072cf6dp-17, 0x1.418780adcf2b3p-17, 0x1.40f89a94886a5p-17, 0x1.4067a7887dfc3p-17, 0x1.3fd4ae9e35882p-17, 0x1.3f3fb586a0a7dp-17, 0x1.3ea8c457040e7p-17, 0x1.3e100cc40b756p-17, 0x1.3d7554c95c9d1p-17, 0x1.3cd883de46f94p-17, 0x1.3c3a06234c576p-17, 0x1.3b99617f74bf7p-17, 0x1.3af6a53933299p-17, 0x1.3a3beae3bd55bp-17, 0x1.39ac73c8eb666p-17, 0x1.3905bf62afb62p-17, 0x1.385c93450ac7p-17, 0x1.37b1a3696c0c1p-17, 0x1.370506ce0c404p-17, 0x1.365665e2a9cddp-17, 0x1.35a64d622dab2p-17, 0x1.34f540774db99p-17, 0x1.3442227f47c5ap-17, 0x1.338d5908b21b2p-17, 0x1.32d6f55d8552dp-17, 0x1.321ee6f97b58p-17, 0x1.31621660a2fb6p-17, 0x1.30aab5271700ep-17, 0x1.2fef43156f111p-17, 0x1.2f31c683f6854p-17, 0x1.2e72bde005675p-17, 0x1.2db23a4300e6dp-17, 0x1.2cf0e83ed1509p-17, 0x1.2c2e828b00744p-17, 0x1.2b6979a23aa7fp-17, 0x1.2aa37f8c3d769p-17, 0x1.29dcec93bbf84p-17, 0x1.2914edcd50139p-17, 0x1.284ba110344f1p-17, 0x1.27811b991aae6p-17, 0x1.26b5688d560cfp-17, 0x1.25e8e079b3ce2p-17, 0x1.251ad1cb85bd2p-17, 0x1.244b9d968963dp-17, 0x1.237b67b23256ap-17, 0x1.22aa21d82a634p-17, 0x1.21d79da2eefefp-17, 0x1.21006d0459b1dp-17, 0x1.202fd89f5e4d7p-17, 0x1.1f5aebc0c878bp-17, 0x1.1e84559e9bc1bp-17, 0x1.1dace3cbafc02p-17, 0x1.1cd55b6943bbcp-17, 0x1.1bfc58f632e6p-17, 0x1.1b22752d27a1bp-17, 0x1.1a47b99ee1188p-17, 0x1.196c0f2b25923p-17, 0x1.188f95fb7d1f6p-17, 0x1.17b24e9b8f203p-17, 0x1.16d4393f590cfp-17, 0x1.15f54859bec6cp-17, 0x1.15147a38d3b71p-17, 0x1.14437c7630dd9p-17, 0x1.135308c94ce73p-17, 0x1.127df0c48ed02p-17, 0x1.118fc0ab8fe79p-17, 0x1.10ac6e2fb7a46p-17, 0x1.0fc8b89d65d4dp-17, 0x1.0ee4ab92778fcp-17, 0x1.0dffca5d132bep-17, 0x1.0d1a301c70a4fp-17, 0x1.0c341ff77dc2bp-17, 0x1.0b4bd4ff2c615p-17, 0x1.0a663946d846dp-17, 0x1.097e5f7ba7a71p-17, 0x1.0895e1bc5839dp-17, 0x1.07a591091eed5p-17, 0x1.06c3f9cf6d24ep-17, 0x1.05da8436fc274p-17, 0x1.04f070b5d58f4p-17, 0x1.0405edb839af3p-17, 0x1.031afdac62094p-17, 0x1.022efc6b508e3p-17, 0x1.0144001eac6a3p-17, 0x1.005d5d01f5718p-17, 0x1.fed7428b5f61ap-18, 0x1.fcfddfba69573p-18, 0x1.fb23c6a9d488cp-18, 0x1.f947c5b617ca9p-18, 0x1.f74aeb19794cbp-18, 0x1.f591875d8b87dp-18, 0x1.f3b643047d9c6p-18, 0x1.f1d9b85b0091bp-18, 0x1.effcab0c96e9p-18, 0x1.ee1f2eef26fa1p-18, 0x1.ec37204101025p-18, 0x1.ea63075411b9ep-18, 0x1.e884570ad681ap-18, 0x1.e6a4f16fddd5bp-18, 0x1.e4c66d0e643b3p-18, 0x1.e2e7c25af8429p-18, 0x1.e107d67f4c49ep-18, 0x1.df25c8917b22ep-18, 0x1.dd4b858e73002p-18, 0x1.db6ba58060a77p-18, 0x1.d98587eee8ddep-18, 0x1.d7a5572681d83p-18, 0x1.d5c3a6c8c4253p-18, 0x1.d3e45c0523b1ep-18, 0x1.d203ae1bc48bep-18, 0x1.d02354834db57p-18, 0x1.ce42da2fa2b1fp-18, 0x1.cc6268053a0e3p-18, 0x1.ca820bc1b635p-18, 0x1.c8a1cfde7e3cdp-18, 0x1.c6c1b0563cb6bp-18, 0x1.c4e1b1e71c1ebp-18, 0x1.c30164e07486dp-18, 0x1.c12dea27ab4a7p-18, 0x1.bf431918ff016p-18, 0x1.bd63dbc59b708p-18, 0x1.bb84f816f31d8p-18, 0x1.b9a5e5628666ep-18, 0x1.b7c9377217dc5p-18, 0x1.b5ea8fdf5e615p-18, 0x1.b40cf2541e44dp-18, 0x1.b22f83007ab33p-18, 0x1.b052ae764fa56p-18, 0x1.ae763d3a6e271p-18, 0x1.ac9a3f257dc6cp-18, 0x1.aabe8d06770c6p-18, 0x1.a8e3517f8bc0dp-18, 0x1.a708549bfe25p-18, 0x1.a53de20343395p-18, 0x1.a352e9e7e9902p-18, 0x1.a17b1a615eea4p-18, 0x1.9fa2835c5eed4p-18, 0x1.9dca6971494d2p-18, 0x1.9bf2e81f6b06ap-18, 0x1.9a1c071d59ec3p-18, 0x1.9845cc0ce6eddp-18, 0x1.96703cdbcb2f9p-18, 0x1.949aeed605753p-18, 0x1.92c8348295f24p-18, 0x1.90f40415eb5ebp-18, 0x1.8f20d4e4691cbp-18, 0x1.8d4eeece3c28dp-18, 0x1.8b7d341058c77p-18, 0x1.89a155bcaee97p-18, 0x1.87dc757bc3069p-18, 0x1.860de8ae57d9ap-18, 0x1.843fbebbdd524p-18, 0x1.827257ddc4223p-18, 0x1.80a5268e2d3p-18, 0x1.7edefb0ab87dfp-18, 0x1.7d0eecd2ce31ep-18, 0x1.7b457230a1bd2p-18, 0x1.797c6811af35fp-18, 0x1.77b433fe379c6p-18, 0x1.75ea5d0f9937bp-18, 0x1.7428e21c83dcap-18, 0x1.72620ae605c7ep-18, 0x1.709b96a35f235p-18, 0x1.6ed805d867a0ep-18, 0x1.6d15a6da218d1p-18, 0x1.6b49c784181c8p-18, 0x1.6992dfdba6005p-18, }}, 
      {{-0x1.235b305b9d12p-4, -0x1.1454475141305p-4, -0x1.f8aa8fba644fap-5, -0x1.b9390ed6852fep-5, -0x1.6d1459b344a74p-5, -0x1.170259152cb0fp-5, -0x1.735078a77b2d8p-6, -0x1.5dd10219111c4p-7, 0x1.adba61966733p-10, 0x1.cc648eda29281p-7, 0x1.afdf57d6cd662p-6, 0x1.3a9743a41461bp-5, 0x1.99f4eb23febadp-5, 0x1.f5271fdc42238p-5, 0x1.25bfe31cce44dp-4, 0x1.4e3f04081f4ffp-4, 0x1.73e4334603581p-4, 0x1.969393418afa1p-4, 0x1.b63f966d5c95ep-4, 0x1.d2e6aab360754p-4, 0x1.ec91235adf36fp-4, 0x1.01a7aff5e6424p-3, 0x1.0b9c1672ccb2ap-3, 0x1.1433ad1e4e01dp-3, 0x1.1b7e419bfafadp-3, 0x1.218d01905771bp-3, 0x1.267209150f6cbp-3, 0x1.2a40030efb9bdp-3, 0x1.2d09d94c3f8b1p-3, 0x1.2ee272793976ap-3, 0x1.2fdc7c2746b3ap-3, 0x1.300a3f4b8400cp-3, 0x1.2f7d7dc6a975dp-3, 0x1.2e4757aeb27d4p-3, 0x1.2c7837370f1edp-3, 0x1.2a1fc2350306ap-3, 0x1.274cd05cf38fap-3, 0x1.240d6571da255p-3, 0x1.206eaebbb685ep-3, 0x1.1c7d03309fd98p-3, 0x1.1843e5cf5e934p-3, 0x1.13ce09be6a529p-3, 0x1.0f2557d3945a6p-3, 0x1.0a52f53580f3ap-3, 0x1.055f4ad28cdcep-3, 0x1.00520d73d7b0ap-3, 0x1.f6648c7c281cbp-4, 0x1.ec0cb6f06b793p-4, 0x1.e1a832e80a485p-4, 0x1.d74176f685d3fp-4, 0x1.cce1e95950051p-4, 0x1.c291f172276bdp-4, 0x1.b85908e27adffp-4, 0x1.ae3dcc27e766cp-4, 0x1.a4460aa27d942p-4, 0x1.9a76d5fa1442cp-4, 0x1.90d490deebfap-4, 0x1.8762fd1ee20bcp-4, 0x1.7e2549044073p-4, 0x1.751e1bf613dadp-4, 0x1.6c4fa25b3174dp-4, 0x1.63bb98c8a2167p-4, 0x1.5b63568385dcep-4, 0x1.5347d757b3575p-4, 0x1.4b69c4bf328bp-4, 0x1.43c97e5904d34p-4, 0x1.3c6721b677a85p-4, 0x1.3542918e55e25p-4, 0x1.2e5b7c66fdc2fp-4, 0x1.27b162c2bc816p-4, 0x1.21439cd199a63p-4, 0x1.1b115fa5ffe8ap-4, 0x1.1519c1eac9809p-4, 0x1.0f5bc01f043a7p-4, 0x1.09d64062eec41p-4, 0x1.048815e621fcep-4, 0x1.fee0080d164d4p-5, 0x1.f519825610a5fp-5, 0x1.ebb9f2be4c26dp-5, 0x1.e2bea15f5a4c2p-5, 0x1.da24ca9330dcfp-5, 0x1.d1e9a2b1492efp-5, 0x1.ca0a594f5d346p-5, 0x1.c2841c0c75ebdp-5, 0x1.bb54193148d77p-5, 0x1.b477819291a7bp-5, 0x1.adeb8ac5a16d4p-5, 0x1.a7ad70983405fp-5, 0x1.a1ba76c947bedp-5, 0x1.9c0fea3b3633ep-5, 0x1.96ab22412b195p-5, 0x1.918981add055fp-5, 0x1.8ca877a29f2c7p-5, 0x1.88058053a9133p-5, 0x1.839e25a3cabe2p-5, 0x1.7f6fff936bafbp-5, 0x1.7b78b4aab72b3p-5, 0x1.77b5fa2703b7p-5, 0x1.74259442b597fp-5, 0x1.70c5564ed89c7p-5, 0x1.6d9322c6a1d44p-5, 0x1.6a8ceb587895bp-5, 0x1.67b0b0dfd97d7p-5, 0x1.64fc836c13dfap-5, 0x1.626e822aeaf66p-5, 0x1.6004db3edadap-5, 0x1.5dbdcbb4c7364p-5, 0x1.5b979f3fe27dcp-5, 0x1.5990b02b12deap-5, 0x1.57a7670b0c762p-5, 0x1.55da3a917b782p-5, 0x1.5427af4568124p-5, 0x1.528e574220285p-5, 0x1.510cd1f1a5b43p-5, 0x1.4fa1cbc907f85p-5, 0x1.4e4bfdf8b93aap-5, 0x1.4d0a2e2331596p-5, 0x1.4bdb2e0c0f4f9p-5, 0x1.4abddb4e44dd3p-5, 0x1.49b11f0ab79f3p-5, 0x1.48b3ed9979bacp-5, 0x1.47c546413d713p-5, 0x1.46e432ea17281p-5, 0x1.460fc7c71d704p-5, 0x1.45472310ee9f2p-5, 0x1.44896cb9aaec1p-5, 0x1.43d5d61f0fb24p-5, 0x1.432b99c341029p-5, 0x1.4289fafc323a3p-5, 0x1.41f045b0772f2p-5, 0x1.415dce1689c1ep-5, 0x1.40d1f0631c252p-5, 0x1.404c10875a6b9p-5, 0x1.3fcb99efba3bbp-5, 0x1.3f4fff3f1e625p-5, 0x1.3ed8ba0da3b5cp-5, 0x1.3e654aadc9993p-5, 0x1.3df537e80c7c5p-5, 0x1.3d880ebe53662p-5, 0x1.3d1d62363f2eep-5, 0x1.3cb4cb1edceffp-5, 0x1.3c4de7d30665dp-5, 0x1.3be85c068b973p-5, 0x1.3b83d09244c4fp-5, 0x1.3b1ff33cf521p-5, 0x1.3abc768b3a20cp-5, 0x1.3a591190e318ep-5, 0x1.39f57fbeb938fp-5, 0x1.399180b46caffp-5, 0x1.392cd815a29ccp-5, 0x1.38c74d5f87fdep-5, 0x1.3860abbe7b258p-5, 0x1.37f8c1e57080dp-5, 0x1.378f61e811c77p-5, 0x1.37246113c1efdp-5, 0x1.36b797c9bf898p-5, 0x1.3648e15d82114p-5, 0x1.35d81bf456bebp-5, 0x1.356528624342dp-5, 0x1.34efea0889d01p-5, 0x1.347846b9b54e4p-5, 0x1.33fe269df67afp-5, 0x1.33817413585bbp-5, 0x1.33021b902d9f6p-5, 0x1.32800b8c4f7dep-5, 0x1.31fb346a65be9p-5, 0x1.3173885c0da9p-5, 0x1.30e8fb4713c0ep-5, 0x1.305b82b0f9a74p-5, 0x1.2fcb15acacd2bp-5, 0x1.2f37acc3f2787p-5, 0x1.2ea141df1cb65p-5, 0x1.2e07d03233256p-5, 0x1.2d6b542eae02cp-5, 0x1.2ccbcb722a3b6p-5, 0x1.2c2934b0f7f51p-5, 0x1.2b838fa39c259p-5, 0x1.2adadcfac1d9p-5, 0x1.2a2f1e53d2989p-5, 0x1.298056288dc0cp-5, 0x1.28ce87bd32fbap-5, 0x1.2819b713dc3bdp-5, 0x1.2761e8e44f905p-5, 0x1.26a7229260968p-5, 0x1.25e96a1fa9e04p-5, 0x1.2528c61d23df6p-5, 0x1.24653da1e178p-5, 0x1.239ed8459a20fp-5, 0x1.22d59e193144p-5, 0x1.2209979aee3d4p-5, 0x1.213acdaab07aap-5, 0x1.206949829a0c2p-5, 0x1.1f9514b31a547p-5, 0x1.1ebe391d6a15ep-5, 0x1.1de4c0ea5ee4p-5, 0x1.1d08b68087f99p-5, 0x1.1c2a24826857dp-5, 0x1.1b4915d605902p-5, 0x1.1a65958506c06p-5, 0x1.197fae000f354p-5, 0x1.18976b4c6f18fp-5, 0x1.17acd95020324p-5, 0x1.16c002aacb14bp-5, 0x1.15d0f359b5fb9p-5, 0x1.14dfb726c736dp-5, 0x1.13ec599aff61p-5, 0x1.12f6e6a2e7f4ap-5, 0x1.11ff6a44a2cebp-5, 0x1.1105f01cbd84p-5, 0x1.100a8406ce44fp-5, 0x1.0f0d3232ad099p-5, 0x1.0e0e068cc0d13p-5, 0x1.0d0d0cb382b72p-5, 0x1.0c0a50a2fd5bfp-5, 0x1.0b05dea6b5712p-5, 0x1.09ffc1522b7bdp-5, 0x1.08f805bb29b8dp-5, 0x1.07eeb71c7576dp-5, 0x1.06e3e12bffe69p-5, 0x1.05d78f47d089ap-5, 0x1.04c9cda7af97ep-5, 0x1.03baa755eaf53p-5, 0x1.02aa27a18fbebp-5, 0x1.019859f679023p-5, 0x1.0085498e5b06ap-5, 0x1.fee202c6a04e8p-6, 0x1.fcb71a1ac6711p-6, 0x1.fa89ed729b0b7p-6, 0x1.f85a935d72bap-6, 0x1.f629210860448p-6, 0x1.f3f5abb39768bp-6, 0x1.f1c0485b0884cp-6, 0x1.ef890b8843878p-6, 0x1.ed500b7ca2247p-6, 0x1.eb1558c56d1aep-6, 0x1.e8d90ad112696p-6, 0x1.e69b344fe459bp-6, 0x1.e45be8e68e18ep-6, 0x1.e21b3bf0327c5p-6, 0x1.dfd94084029a4p-6, 0x1.dd9609528908p-6, 0x1.db51aac572ee4p-6, 0x1.d90c32d1db298p-6, 0x1.d6c5b7c1b10afp-6, 0x1.d47e49eed9e2p-6, 0x1.d235fafd8d1ccp-6, 0x1.cfecdc3ff4632p-6, 0x1.cda2fec07091p-6, 0x1.cb58734464a83p-6, 0x1.c90d4a347cfe4p-6, 0x1.c6c1942a922c5p-6, 0x1.c475608d6dfb7p-6, 0x1.c228bf8ac3d81p-6, 0x1.bfdbc044b7a75p-6, 0x1.bd8e71e22d472p-6, 0x1.bb40e33c080bap-6, 0x1.b8f322e090812p-6, 0x1.b6a53f1607c6cp-6, 0x1.b45745da4f98cp-6, 0x1.b20944e02cbcdp-6, 0x1.afbb49268f54fp-6, 0x1.ad6d6222827cdp-6, 0x1.ab1f9835f253p-6, 0x1.a8d1fca9038ebp-6, 0x1.a684984202283p-6, 0x1.a4377a054fe5ep-6, 0x1.a1eaab3ca5745p-6, 0x1.9f9e3853fdb78p-6, 0x1.9d522d90778c1p-6, 0x1.9b0693d7548bfp-6, 0x1.98bb779cb60a1p-6, 0x1.9670e21ecd6f3p-6, 0x1.9426deb9250c8p-6, 0x1.91dd7694c331ep-6, 0x1.8f94b2e3c3df1p-6, 0x1.8d4c9e799ec18p-6, 0x1.8b05411a7df04p-6, 0x1.88bea457fe55ap-6, 0x1.8678d045f2e55p-6, 0x1.8433ce41d44a5p-6, 0x1.81efa647255aep-6, 0x1.7fac60173b619p-6, 0x1.7d6a030bdb885p-6, 0x1.7b28966a8c509p-6, 0x1.78e822677de54p-6, 0x1.76a8adb882b47p-6, 0x1.746a406350f6ap-6, 0x1.722cdecb0a6fp-6, 0x1.6ff090b52e7e7p-6, 0x1.6db55b93e67d2p-6, 0x1.6b7b460de0f02p-6, 0x1.69425657eb4b3p-6, 0x1.670a91c5bef83p-6, 0x1.64d3fdd2e7b3p-6, 0x1.629e9ffff0852p-6, 0x1.606a7d378dc35p-6, 0x1.5e3799d00c60dp-6, 0x1.5c05faf4b5214p-6, 0x1.59d5a5fad829ap-6, 0x1.57a69f1fa36d4p-6, 0x1.5578ea65e124fp-6, 0x1.534c8d0f3c34cp-6, 0x1.51218971a239p-6, 0x1.4ef7e4d6d0d09p-6, 0x1.4ccfa2373dedap-6, 0x1.4aa8c505686a9p-6, 0x1.48835186952e6p-6, 0x1.465f4b536e7aep-6, 0x1.443cb57b1c9bp-6, 0x1.421b931a9b65fp-6, 0x1.3ffbe750365b8p-6, 0x1.3dddb53032a29p-6, 0x1.3bc0ffbd24731p-6, 0x1.39a5c99cf1164p-6, 0x1.378c151134801p-6, 0x1.3573e4f5b0bb3p-6, 0x1.335d3c612d65bp-6, 0x1.31481dace5f11p-6, 0x1.2f348c0a57b6bp-6, 0x1.2d228808c145dp-6, 0x1.2b121529fc452p-6, 0x1.2903357476f8fp-6, 0x1.26f5eb1c2f43dp-6, 0x1.24ea384b08fb7p-6, 0x1.22e01edeb2ed8p-6, 0x1.20d7a08fd8c0fp-6, 0x1.1ed0bf9d598a7p-6, 0x1.1ccb7e6030b24p-6, 0x1.1ac7deb8afdc3p-6, 0x1.18c5e262528eap-6, 0x1.16c58b277997fp-6, 0x1.14c6dad965b2dp-6, 0x1.12c9d347a1e86p-6, 0x1.10ce763f09c0fp-6, 0x1.0ed4c5898b57ap-6, 0x1.0cdcc2dd84a2bp-6, 0x1.0ae66fcaf6ef1p-6, 0x1.08f1ce80687cfp-6, 0x1.06fedf69ba375p-6, 0x1.050da577fe8d2p-6, 0x1.031e223e16d9dp-6, 0x1.013057416996dp-6, 0x1.fe888c2ed2bcp-7, 0x1.fab3e0c56b1fp-7, 0x1.f6e2af9690a7ap-7, 0x1.f314fbf5164d6p-7, 0x1.ef4ac9369b622p-7, 0x1.eb841ab546e55p-7, 0x1.e7c0f3cb3b9d4p-7, 0x1.e40157b753834p-7, 0x1.e045497f48882p-7, 0x1.dc8ccc3c5b9bbp-7, 0x1.d8d7e390a8de9p-7, 0x1.d526933d8bf6p-7, 0x1.d178dea230d04p-7, 0x1.cdcec8ec8b215p-7, 0x1.ca28554c5802bp-7, 0x1.c6858714eeb7p-7, 0x1.c2e662c4e1eaep-7, 0x1.bf4ae9bc7762fp-7, 0x1.bbb320a2d0002p-7, 0x1.b81f0ad069baep-7, 0x1.b48eaba62a6bcp-7, 0x1.b102069a71203p-7, 0x1.ad791f16983bbp-7, 0x1.a9f3f86375828p-7, 0x1.a67295ca1433bp-7, 0x1.a2f4fae14cb9bp-7, 0x1.9f7b2b7588f51p-7, 0x1.9c052b253d1ecp-7, 0x1.9892fd59afe64p-7, 0x1.9524a575ec048p-7, 0x1.91ba26ea85277p-7, 0x1.8e5385316a571p-7, 0x1.8af0c3c8b6ce1p-7, 0x1.8791e62ee84b1p-7, 0x1.8436efe18be3cp-7, 0x1.80dfe45cb850fp-7, 0x1.7d8cc719ab466p-7, 0x1.7a3d9b886bb54p-7, 0x1.76f26506bd41fp-7, 0x1.73ab279772971p-7, 0x1.7067e5f068b62p-7, 0x1.6d28a30f6246dp-7, 0x1.69ed62f309f9ep-7, 0x1.66b6290ac64fap-7, 0x1.6382f8c152ebep-7, 0x1.6053d55aa6a3ap-7, 0x1.5d28c2091c799p-7, 0x1.5a01c1fe1384ep-7, 0x1.56ded869a9faep-7, 0x1.53c00877b8897p-7, 0x1.50a5554d2d63ep-7, 0x1.4d8ec203cdc52p-7, 0x1.4a7c51ac444b2p-7, 0x1.476e074c1a10dp-7, 0x1.4463e5dd819f4p-7, 0x1.415df04edf4d1p-7, 0x1.3e5c2980d7bcbp-7, 0x1.3b5e9441ee2efp-7, 0x1.3865334884386p-7, 0x1.35700933d7a5cp-7, 0x1.327f189eb80f8p-7, 0x1.2f9264326c901p-7, 0x1.2ca9ee967e8a8p-7, 0x1.29c5ba4aa804ap-7, 0x1.26e5c9a656f58p-7, 0x1.240a1f7b8813ep-7, 0x1.2132bd68f4a38p-7, 0x1.1e5fa57dde72fp-7, 0x1.1b90da312a294p-7, 0x1.18c65d79d2555p-7, 0x1.16003149d8695p-7, 0x1.133e578484544p-7, 0x1.1080d1f70da95p-7, 0x1.0dc7a25e13427p-7, 0x1.0b12ca5ed70dap-7, 0x1.08624b89fbe8fp-7, 0x1.05b6275a044b2p-7, 0x1.030e5f3178432p-7, 0x1.006af457e3c65p-7, 0x1.fb97cfef37b78p-8, 0x1.f6627644b00a5p-8, 0x1.f135ddb2ef903p-8, 0x1.ec12083b49a9fp-8, 0x1.e6f6f7b6e5cp-8, 0x1.e1e4adbbd117fp-8, 0x1.dcdb2b92e33b1p-8, 0x1.d7da7247662a6p-8, 0x1.d2e282b518143p-8, 0x1.cdf35d8c1eab9p-8, 0x1.c90d034eec214p-8, 0x1.c42f744e5cf91p-8, 0x1.bf5ab0a312851p-8, 0x1.ba8eb8258f98cp-8, 0x1.b5cb8ad902caep-8, 0x1.b11128d75ab1cp-8, 0x1.ac5f900816febp-8, 0x1.a7b6c04011356p-8, 0x1.a316b88abdec3p-8, 0x1.9e7f779180f8bp-8, 0x1.99f0fbd63c3b2p-8, 0x1.956b43a74da1p-8, 0x1.90ee4d19da92cp-8, 0x1.8c7a1608c51cdp-8, 0x1.880e9c1b5dd66p-8, 0x1.83abdcd32882bp-8, 0x1.7f51d592b16eep-8, 0x1.7b0083917f5a7p-8, 0x1.76b7e3c8e3727p-8, 0x1.7277f2edded97p-8, 0x1.6e40ad78c3cf8p-8, 0x1.6a120faea5983p-8, 0x1.65ec15a705bc4p-8, 0x1.61cebb4f0690cp-8, 0x1.5db9fc61cfb0dp-8, 0x1.59add4679963bp-8, 0x1.55aa3ebbaf272p-8, 0x1.51af3688ce41ap-8, 0x1.4dbcb6c8785edp-8, 0x1.49d2ba42dd9adp-8, 0x1.45f13b904c65cp-8, 0x1.4218351919decp-8, 0x1.3e47a115ad166p-8, 0x1.3a7f798c315ddp-8, 0x1.36bfb84c526f9p-8, 0x1.3308572561f3bp-8, 0x1.2f59502cc2486p-8, 0x1.2bb29bce7ceb9p-8, 0x1.2814335d43bd4p-8, 0x1.247e101d166bdp-8, 0x1.20f02ae446f45p-8, 0x1.1d6a7c7132451p-8, 0x1.19ecfd642b66dp-8, 0x1.1677a631bd9dp-8, 0x1.130a6f1a45edep-8, 0x1.0fa5502d174eep-8, 0x1.0c484143b9439p-8, 0x1.08f33a400a4c6p-8, 0x1.05a63295bdafp-8, 0x1.026121ca82c73p-8, 0x1.fe47fe6877a13p-9, 0x1.f7dd841041603p-9, 0x1.f182c2b8123dbp-9, 0x1.eb37a84e52827p-9, 0x1.e4fc2285e7e9dp-9, 0x1.ded01ed7004b9p-9, 0x1.d8b38a7f254f8p-9, 0x1.d2a6528147203p-9, 0x1.cca863a3ab3e2p-9, 0x1.c6b9aa8e2fd17p-9, 0x1.c0da133d475edp-9, 0x1.bb098a197f09cp-9, 0x1.b547fad5df416p-9, 0x1.af95510fa7dfep-9, 0x1.a9f1782762d36p-9, 0x1.a45c5b4623508p-9, 0x1.9ed5e562df7b3p-9, 0x1.995e0146b9066p-9, 0x1.93f4999360033p-9, 0x1.8e9999382023cp-9, 0x1.894ceb5ee318cp-9, 0x1.840e79072d42dp-9, 0x1.7ede2c928fa42p-9, 0x1.79bbf0487264bp-9, 0x1.74a7ade47ec44p-9, 0x1.6fa14f0b4f7bp-9, 0x1.6aa8bd1e01c1dp-9, 0x1.65bde18842aadp-9, 0x1.60e0a57ae35cfp-9, 0x1.5c10f2101cafbp-9, 0x1.574eb049d8a13p-9, 0x1.5299c91770c33p-9, 0x1.4df2255abb539p-9, 0x1.4957adec0e0e8p-9, 0x1.44ca4b9c7121ap-9, 0x1.4049e73573d33p-9, 0x1.3bd66976a24dp-9, 0x1.376fbb10b940fp-9, 0x1.3315c49f77757p-9, 0x1.2ec86ea2bfadap-9, 0x1.2a87a17850503p-9, 0x1.265345576d442p-9, 0x1.222b424edb276p-9, 0x1.1e0f80469a58fp-9, 0x1.19ffe70592427p-9, 0x1.15fc5e3bbd8c6p-9, 0x1.1204cd90fbd6dp-9, 0x1.0e191cb6aa73p-9, 0x1.0a39337891f9fp-9, 0x1.0664f9c806d37p-9, 0x1.029c57bf50183p-9, 0x1.fdbe6b3e2f775p-10, 0x1.f65af79386b06p-10, 0x1.ef0e2576dbf5cp-10, 0x1.e7d7c5f8a6b81p-10, 0x1.e0b7aa5a37c6ep-10, 0x1.d9ada4e5ae608p-10, 0x1.d2b9862fa2fd2p-10, 0x1.cbdb1d91d1c7fp-10, 0x1.c5123c2416d4fp-10, 0x1.be5eb1f4544bcp-10, 0x1.b7c04e7314224p-10, 0x1.b136e0c4f2c4ep-10, 0x1.aac237e5352abp-10, 0x1.a46222cfa405bp-10, 0x1.9e1670af7fde4p-10, 0x1.97def10d7c5bep-10, 0x1.91bb73f5f9773p-10, 0x1.8babca13ef1c4p-10, 0x1.85afc4bca7f0fp-10, 0x1.7fc735ed05057p-10, 0x1.79f1f037d0d6dp-10, 0x1.742fc6a99e0cfp-10, 0x1.6e808ca42ffe6p-10, 0x1.68e415b60c49fp-10, 0x1.635a35716ed11p-10, 0x1.5de2bf4662b63p-10, 0x1.587d86633f4a4p-10, 0x1.532a5d9fe14c1p-10, 0x1.4de91774dcdbap-10, 0x1.48b9860047948p-10, 0x1.439b7b1728bf9p-10, 0x1.3e8ec86130becp-10, 0x1.39933f805cc97p-10, 0x1.34a8b2438f46bp-10, 0x1.2fcef2df3b058p-10, 0x1.2b05d42278d9dp-10, 0x1.264d299c39587p-10, 0x1.21a4c7a831dc3p-10, 0x1.1d0c83613fdd3p-10, 0x1.1884327cf9fcp-10, 0x1.140bab1994a13p-10, 0x1.0fa2c389a00bfp-10, 0x1.0b4952282cd8ep-10, 0x1.06ff2d70fb549p-10, 0x1.02c42caff142bp-10, 0x1.fd304c7cadd84p-11, 0x1.f4f5dfcfed6bfp-11, 0x1.ecd8c26fe274ep-11, 0x1.e4d8a3736e41ap-11, 0x1.dcf5320bb553ep-11, 0x1.d52e1dae1baa6p-11, 0x1.cd8315dda2607p-11, 0x1.c5f3c9fe83f85p-11, 0x1.be7fe954bd351p-11, 0x1.b727233585ad1p-11, 0x1.afe92765f681ap-11, 0x1.a8c5a68ac81c2p-11, 0x1.a1bc5287668f1p-11, 0x1.9accdea5af71cp-11, 0x1.93f6ff71764f5p-11, 0x1.8d3a6a48ed31ap-11, 0x1.8696d4bd57dbfp-11, 0x1.800bf3f331628p-11, 0x1.79997c3c56678p-11, 0x1.733f210ec1827p-11, 0x1.6cfc9564817c7p-11, 0x1.66d18c792ff4bp-11, 0x1.60bdbaaf631fbp-11, 0x1.5ac0d6671ffbdp-11, 0x1.54da988a38c33p-11, 0x1.4f0abcaa589eap-11, 0x1.495100aa3468bp-11, 0x1.43ad2404ed01p-11, 0x1.3e1ee6803fb82p-11, 0x1.38a609f54a729p-11, 0x1.33424db2753c7p-11, 0x1.2df36eef9e085p-11, 0x1.28b9310cccc44p-11, 0x1.23934fe4318fbp-11, 0x1.1e818acd42777p-11, 0x1.1983a1b9c95c4p-11, 0x1.149955621b4bbp-11, 0x1.0fc2659ae271p-11, 0x1.0afe9352d6ba7p-11, 0x1.064d9e3acfdeep-11, 0x1.01af464fd9264p-11, 0x1.fa469462b19bp-12, 0x1.f152cab903a75p-12, 0x1.e882aa49ebf36p-12, 0x1.dfd5afb3e7ebfp-12, 0x1.d74b5a125f907p-12, 0x1.cee32d27c447dp-12, 0x1.c69cb22b1fa3p-12, 0x1.be777767ade3bp-12, 0x1.b6730f17bd34fp-12, 0x1.ae8f0df1f142ap-12, 0x1.a6cb0a149d6b5p-12, 0x1.9f269abd5854bp-12, 0x1.97a158cfd9dddp-12, 0x1.903adfc0987a5p-12, 0x1.88f2ce343aab9p-12, 0x1.81c8c5b8ef325p-12, 0x1.7abc696afb6a3p-12, 0x1.73cd5bbc801e6p-12, 0x1.6cfb3c5f9bb37p-12, 0x1.6645a6e09f7e9p-12, 0x1.5fac32ca7e468p-12, 0x1.592e7533fd2f7p-12, 0x1.52cc032a6cae5p-12, 0x1.4c8473fc2c4b4p-12, 0x1.4657628ce63f7p-12, 0x1.40446d6429e57p-12, 0x1.3a4b35ace43b7p-12, 0x1.346b5dcb9f782p-12, 0x1.2ea4884789dcp-12, 0x1.28f6575bf77bdp-12, 0x1.23606d0535605p-12, 0x1.1de26b103d707p-12, 0x1.187bf2c68af7bp-12, 0x1.132ca44e6ea15p-12, 0x1.0df41e5f88108p-12, 0x1.08d1ff2da97d8p-12, 0x1.03c5e6f93caa6p-12, 0x1.fd9ef78ebb81cp-13, 0x1.f3dcd981edda7p-13, 0x1.ea44e6d9e803dp-13, 0x1.e0d6a33ebf334p-13, 0x1.d791991f1dbd2p-13, 0x1.ce754f9bf784p-13, 0x1.c581404132c1dp-13, 0x1.bcb4c9a037d14p-13, 0x1.b40f3e7118fbfp-13, 0x1.ab8fef6c3f26bp-13, 0x1.a33632b3b5a26p-13, 0x1.9b016d7788093p-13, 0x1.92f117d1d4b86p-13, 0x1.8b04ba6cafb6p-13, 0x1.833be801ea2adp-13, 0x1.7b963533f2069p-13, 0x1.7413311ec74f1p-13, 0x1.6cb2606591b2dp-13, 0x1.65733bdc59996p-13, 0x1.5e5532d2818a8p-13, 0x1.5757afa3522e5p-13, 0x1.507a1c20dc196p-13, 0x1.49bbe3b5dfe65p-13, 0x1.431c72efb925fp-13, 0x1.3c9b3672f975ep-13, 0x1.36379c4c4c6efp-13, 0x1.2ff118f65c75fp-13, 0x1.29c72e0baf835p-13, 0x1.23b96e069f903p-13, 0x1.1dc77938f8d3cp-13, 0x1.17f0f43608d99p-13, 0x1.12357c56d213fp-13, 0x1.0c94a06b4bfa2p-13, 0x1.070de18f0c582p-13, 0x1.01a0ba81be149p-13, 0x1.f899554357bd1p-14, 0x1.ee227b4ad2ac3p-14, 0x1.e3dc1bfd9dbb5p-14, 0x1.d9c584ca884e5p-14, 0x1.cfde13cca789cp-14, 0x1.c625322a129eap-14, 0x1.bc9a50a1626bp-14, 0x1.b33ce2ca796c4p-14, 0x1.aa0c56d7f017bp-14, 0x1.a1080b841181bp-14, 0x1.982f48a3c6bccp-14, 0x1.8f813ee077ae8p-14, 0x1.86fd103182f78p-14, 0x1.7ea1de538a0f9p-14, 0x1.766ed9fa6c80bp-14, 0x1.6e634f1dfe6p-14, 0x1.667ea07a9232ep-14, 0x1.5ec02f8bf87e9p-14, 0x1.5727612056552p-14, 0x1.4fb395413fd14p-14, 0x1.4864242765293p-14, 0x1.41386632e1855p-14, 0x1.3a2fb707cf9cap-14, 0x1.334970095fd2fp-14, 0x1.2c84e1c4261p-14, 0x1.25e1571a75ba9p-14, 0x1.1f5e235f86b76p-14, 0x1.18faafedecf9fp-14, 0x1.12b67bfef366cp-14, 0x1.0c910e45ada77p-14, 0x1.0689e82e6f127p-14, 0x1.00a084177b62fp-14, 0x1.f5a8a30a65612p-15, 0x1.ea49754ef89aep-15, 0x1.df227cb1f9b3dp-15, 0x1.d432e6a13d559p-15, 0x1.c979df0dbea29p-15, 0x1.bef68b921002ap-15, 0x1.b4a82101a877ep-15, 0x1.aa8dd2dbd622cp-15, 0x1.a0a6bad56cb15p-15, 0x1.96f1d3f44b6a9p-15, 0x1.8d6e083d22efep-15, 0x1.841a4acfcac1p-15, 0x1.7af5b35259edbp-15, 0x1.71ff8c18a28b3p-15, 0x1.693747e36181fp-15, 0x1.609c5f362341dp-15, 0x1.582e25402d078p-15, 0x1.4febb06c70c33p-15, 0x1.47d3e9de8195bp-15, 0x1.3fe5b5cf6606dp-15, 0x1.38200e83e74bfp-15, 0x1.308202d6ce868p-15, 0x1.290ab5cfb7b99p-15, 0x1.21b977385cee2p-15, 0x1.1a8dd5bbfa739p-15, 0x1.13877e9b11064p-15, 0x1.0ca6020b54a2p-15, 0x1.05e8b6870c203p-15, 0x1.fe9d990d0a443p-16, 0x1.f1aef8541e57ep-16, 0x1.e50435fd4c089p-16, 0x1.d89bf550b59a5p-16, 0x1.cc74daad5dd1ep-16, 0x1.c08d90095711bp-16, 0x1.b4e4bdc683314p-16, 0x1.a9791a8bf07c8p-16, 0x1.9e4976880b5cbp-16, 0x1.9354ba0bf0676p-16, 0x1.8899e65bc6d77p-16, 0x1.7e17fe478ea94p-16, 0x1.73cdfc71f6677p-16, 0x1.69bad06131f2bp-16, 0x1.5fdd61c4a5e86p-16, 0x1.5634a7e7c8a23p-16, 0x1.4cbfbb039b49bp-16, 0x1.437dd666b91fep-16, 0x1.3a6e42d23a05ep-16, 0x1.31902d2bd8ff2p-16, 0x1.28e2815d61419p-16, 0x1.2063ee80d25d5p-16, 0x1.18131dd6adf4bp-16, 0x1.0feeeaecea1b3p-16, 0x1.07f6675f5ae37p-16, 0x1.0028c1507790dp-16, 0x1.f10a8c58e6633p-17, 0x1.e216db69a9192p-17, 0x1.d375620cceee3p-17, 0x1.c52494180e16ap-17, 0x1.b72271af0c78fp-17, 0x1.a96d12001dfb5p-17, 0x1.9c0324f77bd5dp-17, 0x1.8ee3730630dd1p-17, 0x1.820c5225399abp-17, 0x1.757c4ad228f56p-17, 0x1.6931db00148e1p-17, 0x1.5d2b96be7cb5ap-17, 0x1.51682678261f3p-17, 0x1.45e641782d47fp-17, 0x1.3aa4aa842f066p-17, 0x1.2fa22d240da69p-17, 0x1.24dd97a0632bdp-17, 0x1.1a55acecf167p-17, 0x1.1008b3f49c21cp-17, 0x1.05f3e9b62427cp-17, 0x1.f83d309c4081ep-18, 0x1.e4f8a1e29838cp-18, 0x1.d21aeacf1d2f5p-18, 0x1.bfb0bcfebff8p-18, 0x1.adabf3369b2ddp-18, 0x1.9c0d4fc7f909dp-18, 0x1.8ad33b737c7d8p-18, 0x1.79fbe3687c048p-18, 0x1.6984ef82ace0ep-18, 0x1.596bfaa13f7a3p-18, 0x1.49af13ab4b349p-18, 0x1.3a4ccdd4730ap-18, 0x1.2b439e0da4f4fp-18, 0x1.1c916ab548e65p-18, 0x1.0e341d8b2385dp-18, 0x1.0029f16e0336p-18, 0x1.e4e20b60b98b1p-19, 0x1.ca0f2679bb022p-19, 0x1.afd868fb099abp-19, 0x1.963ae91adb034p-19, 0x1.7d33465a8e6b7p-19, 0x1.64be25fa514dcp-19, 0x1.4cd86769ebc32p-19, 0x1.357f1237f9ec2p-19, 0x1.1eaf449a3c9dep-19, 0x1.08662da60377dp-19, 0x1.e5421805ed117p-20, 0x1.baba5b1cbd121p-20, 0x1.912fdd07a2bebp-20, 0x1.689d6d8e2ccfbp-20, 0x1.40fde8e74d2aap-20, 0x1.1a4c2933bbda4p-20, 0x1.e905f8f31bbefp-21, 0x1.9f3a5003d3015p-21, 0x1.572af47d94f37p-21, 0x1.10cdc90fbeca4p-21, 0x1.983250436dc8fp-22, 0x1.1208094cae25cp-22, 0x1.1e17b3874275p-23, 0x1.e5b9a55156195p-27, -0x1.b6870fd31c8b2p-24, -0x1.cee61231f0abp-23, -0x1.5e56f515be9dbp-22, -0x1.d25e37300ccd1p-22, -0x1.21cc2b5e2dca2p-21, -0x1.590a40d9d6fc2p-21, -0x1.8ef14a8e87ce2p-21, -0x1.c3896f1404d91p-21, -0x1.f6da1f537231ep-21, -0x1.1474b391494ccp-20, -0x1.2cdd9dc9a6493p-20, -0x1.44aaa69c59f5ep-20, -0x1.5beffb6532261p-20, -0x1.729122e042939p-20, -0x1.889ef8ea90babp-20, -0x1.9e2aa7702e62p-20, -0x1.b32ddc784333ep-20, -0x1.c7a754f5df2e9p-20, -0x1.db9daba552b98p-20, -0x1.eefd6a09b66f5p-20, -0x1.01025477d3602p-19, -0x1.0a3fb54ea4cfap-19, -0x1.1340f858f199ep-19, -0x1.1c06d7c7ce63dp-19, -0x1.249292e89acfcp-19, -0x1.2ce5824f7533p-19, -0x1.350101ba93f2dp-19, -0x1.3ce67b9e58221p-19, -0x1.4497692b3da21p-19, -0x1.4c14e9929a751p-19, -0x1.535fd6d7d2f92p-19, -0x1.5a799e6b8d56fp-19, -0x1.616353c77d50ep-19, -0x1.681dbdb8c035fp-19, -0x1.6ea9af0d9791ap-19, -0x1.75080ac30af1bp-19, -0x1.7b39c7ebd71d6p-19, -0x1.813fff761ff08p-19, -0x1.871be643a023dp-19, -0x1.8ccea3fe45199p-19, -0x1.92593c5801a5cp-19, -0x1.97bc90c47bf33p-19, -0x1.9cf95a2bf81f9p-19, -0x1.a21074a5c4f0bp-19, -0x1.a702aef583d45p-19, -0x1.abcffe05d2443p-19, -0x1.b0790b69d5e6bp-19, -0x1.b4ff4c9e82451p-19, -0x1.b964233af382cp-19, -0x1.bda7c6be85a02p-19, -0x1.c1cacf8374eedp-19, -0x1.c5ce2f9ecae2cp-19, -0x1.c9b2a2cecc4fcp-19, -0x1.cd78c0afdaf86p-19, -0x1.d1212479e2c6ep-19, -0x1.d4ac7d3443dedp-19, -0x1.d81b81698e7e9p-19, -0x1.db6ea0d61dde8p-19, -0x1.dea628a8c5348p-19, -0x1.e1c317be0034ep-19, -0x1.e4c60cf2f855cp-19, -0x1.e7af93fde1149p-19, -0x1.ea80277c52822p-19, -0x1.ed385a3ef069bp-19, -0x1.efd8c3cfd03bfp-19, -0x1.f262005343502p-19, -0x1.f4d4a65073e73p-19, -0x1.f7313a9b0173cp-19, -0x1.f9782ce78a76p-19, -0x1.fba9e05f0e969p-19, -0x1.fdc6b789acd4ap-19, -0x1.ffcf198a3a4b9p-19, -0x1.00e1b79910e16p-18, -0x1.01d20f04679cep-18, -0x1.02b8c59cda92fp-18, -0x1.039616966eea4p-18, -0x1.046a4f7e6b7e3p-18, -0x1.0535bc58581ap-18, -0x1.05f898dc63d09p-18, -0x1.06b2f80ab7523p-18, -0x1.0764e21ecb68bp-18, -0x1.080e786bb030fp-18, -0x1.08b027f111532p-18, -0x1.094a030b06db1p-18, -0x1.09dbf54cbdbc6p-18, -0x1.0a669a7e8b2c1p-18, -0x1.0ae9f74f80c4cp-18, -0x1.0b66157372a87p-18, -0x1.0bdb29540bcd4p-18, -0x1.0c495f6b1c36dp-18, -0x1.0cb0f21826b6fp-18, -0x1.0d110cd76d3c4p-18, -0x1.0d6ccdb801297p-18, -0x1.0dc128bd7f619p-18, -0x1.0e0f346e4f2bfp-18, -0x1.0e5721cb2539cp-18, -0x1.0e9936162dd22p-18, -0x1.0ed5873cf8129p-18, -0x1.0f0c1c186c697p-18, -0x1.0f3d769678387p-18, -0x1.0f67231541f34p-18, -0x1.0f90e60eeb2a8p-18, -0x1.0fb0279e77528p-18, -0x1.0fcc4580654fbp-18, -0x1.0fe360b8e3331p-18, -0x1.0ff572a584996p-18, -0x1.1002c43fe8054p-18, -0x1.100b76995e5d1p-18, -0x1.100f96c274639p-18, -0x1.100f369c25e1bp-18, -0x1.100a6ccfe1849p-18, -0x1.100153431e1f5p-18, -0x1.0ff4019a08b7dp-18, -0x1.0fe289a67c233p-18, -0x1.0fccfde395763p-18, -0x1.0fb37b5551b8cp-18, -0x1.0f9632150489ep-18, -0x1.0f7517b2cb862p-18, -0x1.0f5010ca45dbp-18, -0x1.0f1d6348f504dp-18, -0x1.0efe3082fa53bp-18, -0x1.0ecdb00f3724cp-18, -0x1.0e9bf8f4e6ba9p-18, -0x1.0e626e9572598p-18, -0x1.0e2a06a6eeaecp-18, -0x1.0ded7a6d5e6f5p-18, -0x1.0dadb315e00a9p-18, -0x1.0d6a0c801dbf9p-18, -0x1.0d23cd622a193p-18, -0x1.0cdb131f77289p-18, -0x1.0c8f6046da70fp-18, -0x1.0c40bc55498fbp-18, -0x1.0bef44a8c8735p-18, -0x1.0b9b0fce6335ap-18, -0x1.0b442f2e3e6ecp-18, -0x1.0aeab12a671b7p-18, -0x1.0a8ea22afc2bep-18, -0x1.0a300e1aeb135p-18, -0x1.09cf01a634be5p-18, -0x1.096b8b153b5fep-18, -0x1.0905b8ae00233p-18, -0x1.089d98aa99dbep-18, -0x1.08333860a885bp-18, -0x1.07c6a9d3ad0dfp-18, -0x1.0757ea9e0da5ep-18, -0x1.06e6fdb3b799cp-18, -0x1.0673fb5f71188p-18, -0x1.05fefe2afa61ap-18, -0x1.0587f778be93ep-18, -0x1.050f03442dccdp-18, -0x1.04941c8cdfd17p-18, -0x1.04172cb6756d6p-18, -0x1.0398613736449p-18, -0x1.0317faddf476ep-18, -0x1.02954f38bec3ap-18, -0x1.02115df22893ep-18, -0x1.018b8da9de741p-18, -0x1.01040fdf20bcbp-18, -0x1.007af1e6e91a6p-18, -0x1.ffe07a7fc6ed6p-19, -0x1.fec7ed36c457cp-19, -0x1.fdac490d14b1ep-19, -0x1.fc8d9f71359efp-19, -0x1.fb6bfd09836f3p-19, -0x1.fa476987db1e7p-19, -0x1.f920136c0e021p-19, -0x1.f7f603ebe9be6p-19, -0x1.f6c9309b5d09fp-19, -0x1.f599b20fa0286p-19, -0x1.f46799ab62ee1p-19, -0x1.f332f58abf2a8p-19, -0x1.f1fbd298087eap-19, -0x1.f0c23e11c9998p-19, -0x1.ef8644f80cebbp-19, -0x1.ee47f43d00346p-19, -0x1.ed0758f1a585ep-19, -0x1.ebc4801005e4fp-19, -0x1.ea7f759f568ap-19, -0x1.e93844cb0ec16p-19, -0x1.e7eef992b8569p-19, -0x1.e6a3a0ee8274ap-19, -0x1.e5564706213bcp-19, -0x1.e406f6de88c2dp-19, -0x1.e2b5bb2c55024p-19, -0x1.e1629e80c8aa8p-19, -0x1.e00daaf648362p-19, -0x1.deb6ea99a6f2bp-19, -0x1.dd5e72994a823p-19, -0x1.dc0483539a145p-19, -0x1.daa8a4d5af3c7p-19, -0x1.d94aedb3fbc0ep-19, -0x1.d7ebddca505ap-19, -0x1.d68b4a7d58dfdp-19, -0x1.d5293945f633dp-19, -0x1.d3c5c780c56bbp-19, -0x1.d260d0f2ec3ep-19, -0x1.d0fa45ee0669ep-19, -0x1.cf92932caaedcp-19, -0x1.ce29016836639p-19, -0x1.ccbe76ce05c86p-19, -0x1.cb52a232402edp-19, -0x1.c9e58b75cdfdcp-19, -0x1.c8773474a2422p-19, -0x1.c70760cee6f76p-19, -0x1.c59726777ad68p-19, -0x1.c42ad32db0ab7p-19, -0x1.c2b1f7f2ba28p-19, -0x1.c13ed37704e7ap-19, -0x1.bfca1e826a1a7p-19, -0x1.be545f213762dp-19, -0x1.bcdda5afa32a4p-19, -0x1.bb65feb0ff72bp-19, -0x1.b9ed731f63de1p-19, -0x1.b8740b5e26022p-19, -0x1.b6f9ce7473b4bp-19, -0x1.b57e72bd917c6p-19, -0x1.b402e8e4d7f22p-19, -0x1.b28549c3bd84fp-19, -0x1.b1083dcf1127fp-19, -0x1.af942dc322ab2p-19, -0x1.ae1dd1a0b88ep-19, -0x1.ac8c7d6a472f8p-19, -0x1.ab0beef213e87p-19, -0x1.a98be75a6a447p-19, -0x1.a80b196a0a4dbp-19, -0x1.a689848089875p-19, -0x1.a507544ffb996p-19, -0x1.a3849d9c45dc3p-19, -0x1.a2016339043ebp-19, -0x1.a07d8caa9563ap-19, -0x1.9efd1171cf546p-19, -0x1.9d796ad4277a5p-19, -0x1.9bf0175ab8b1dp-19, -0x1.9a6b75dd29de7p-19, -0x1.98e60a52b2e5ap-19, -0x1.975fb80d1615dp-19, -0x1.95d9a3d5ab514p-19, -0x1.9453542f9f472p-19, -0x1.92ccc6d09020ep-19, -0x1.9145c12aaf03fp-19, -0x1.8fbe88050d653p-19, -0x1.8e372d2f23572p-19, -0x1.8cafaa5422337p-19, -0x1.8b27ff665d219p-19, -0x1.899f8f4018addp-19, -0x1.88183f048f672p-19, -0x1.8690312437bb1p-19, -0x1.850817895e3e8p-19, -0x1.838035dff4429p-19, -0x1.81f7c57bbb111p-19, -0x1.806f7204c183ep-19, -0x1.7ee7412d5a002p-19, -0x1.7d5f12c8eb078p-19, -0x1.7bd6ec8ffc4c8p-19, -0x1.7a4ed4ef65064p-19, -0x1.78c6d0772a47ep-19, -0x1.773ee3fb2141fp-19, -0x1.75b713e086dap-19, -0x1.742f64705d729p-19, -0x1.72a7d9e3361d3p-19, -0x1.71207865582c3p-19, -0x1.6f99441964cfbp-19, -0x1.6e1241166ed21p-19, -0x1.6c8b7362e17dp-19, -0x1.6b04de0fbe86dp-19, -0x1.697e873cb5e04p-19, -0x1.67f8720d0e132p-19, -0x1.6672a1bd9ff31p-19, -0x1.64ed196f37ee8p-19, -0x1.6367db1111e1cp-19, -0x1.61e2dcbdb4b99p-19, -0x1.605da265f7a8p-19, -0x1.5ed9a8829b311p-19, -0x1.5d552747accc4p-19, -0x1.5bd299bdb7983p-19, -0x1.5a4fa1c634e1fp-19, -0x1.58ccf45dfb86cp-19, -0x1.574ab2c0865d7p-19, -0x1.55c8e6c99d62cp-19, -0x1.5447a66e95a58p-19, -0x1.52c69ae7ed53ap-19, -0x1.514601630782cp-19, -0x1.4fc5f6e36064p-19, -0x1.4e46bf8457717p-19, -0x1.4cc78a4463921p-19, -0x1.4b4900168e555p-19, -0x1.49cb018250a6ep-19, -0x1.484d8d2e17669p-19, -0x1.46d0a52ee491ap-19, -0x1.45544bde61dbap-19, -0x1.43d88441020fp-19, -0x1.425d209fde8c6p-19, -0x1.40e2b7baca7c6p-19, -0x1.3f68b97cc46fp-19, -0x1.3def59023e672p-19, -0x1.3c76937001c08p-19, -0x1.3afe38e191394p-19, -0x1.3993187ee9187p-19, -0x1.38124907524c9p-19, -0x1.369a0dbadaef9p-19, -0x1.3524d6ce65b6bp-19, -0x1.33b0161e10146p-19, -0x1.323bd21b55559p-19, -0x1.30c940f589b4dp-19, -0x1.2f571ccada67p-19, -0x1.2de542fd590cap-19, -0x1.2c73030c5c16p-19, -0x1.2b030241babbdp-19, -0x1.2993cd2dbfcf2p-19, -0x1.282525bbd1d07p-19, -0x1.26b7332ede815p-19, -0x1.254a05c20f009p-19, -0x1.23dda3723cd27p-19, -0x1.22720915cd924p-19, -0x1.21074dded2b36p-19, -0x1.1f9d610b06de3p-19, -0x1.1e344b17f88b2p-19, -0x1.1ccc185a0311dp-19, -0x1.1b64dba4c06bp-19, -0x1.19fe44af329f8p-19, -0x1.18988121d1c56p-19, -0x1.173393c26498ap-19, -0x1.15d3a95a10368p-19, -0x1.146d45678b11fp-19, -0x1.130a904e91259p-19, -0x1.11a965c2c901ap-19, -0x1.1048fb5bd62p-19, -0x1.0ee8f513c7d71p-19, -0x1.0d8e4897d5c77p-19, -0x1.0c2d646515f37p-19, -0x1.0ad0f79e6b5d7p-19, -0x1.0975426ddeefep-19, -0x1.081a81dbd7f5dp-19, -0x1.06c0ad0b5d97bp-19, -0x1.0567cc362abaep-19, -0x1.040fe1b1e00e8p-19, -0x1.02b8ef0f23c66p-19, -0x1.0162f426aa11ap-19, -0x1.000df481ddbc6p-19, -0x1.fd7487573626ap-20, -0x1.facde5a1592f6p-20, -0x1.f829fcff8db33p-20, -0x1.f5880fb131f94p-20, -0x1.f2e8204498d19p-20, -0x1.f04a350ac901dp-20, -0x1.edaf28fc5a4b3p-20, -0x1.eb13bf9dbe10ep-20, -0x1.e87cb0e15bac1p-20, -0x1.e5e70a63cdedbp-20, -0x1.e3536d1629dbp-20, -0x1.e0c1e2c28ffd3p-20, -0x1.de326f1949fep-20, -0x1.dba5134b9b30ep-20, -0x1.d919d399a3415p-20, -0x1.d690eb1818cd7p-20, -0x1.d40a06d2c39aep-20, -0x1.d185043f22fe3p-20, -0x1.cf0265543936dp-20, -0x1.cc817e4016667p-20, -0x1.ca027df7a592bp-20, -0x1.c76c8b75190c2p-20, -0x1.c50bb71db1e41p-20, -0x1.c294bdc8b54d6p-20, -0x1.c01f1c1eee8f1p-20, -0x1.bdab98f500ecep-20, -0x1.bb3a4c82e727ap-20, -0x1.b8ca2e4c9263p-20, -0x1.b65cb0be14267p-20, -0x1.b3f34b4dba74dp-20, -0x1.b18abaedde82bp-20, -0x1.af2446501b721p-20, -0x1.acbfee39ecde9p-20, -0x1.aa5dd429f971fp-20, -0x1.a7fbe20dd7a6dp-20, -0x1.a5a0570837917p-20, -0x1.a34580b20cd9fp-20, -0x1.a0ec6fbe05be1p-20, -0x1.9e9566ab3fdc2p-20, -0x1.9c405e06ff4c3p-20, -0x1.99eed3088ca4fp-20, -0x1.97a0df41341p-20, -0x1.9550e670f966ep-20, -0x1.93045e14c39ddp-20, -0x1.90bbd7fb9bf74p-20, -0x1.8e751c7f97161p-20, -0x1.8c306d4adfdb1p-20, -0x1.89edf4e0eed44p-20, -0x1.87ada43cbed35p-20, -0x1.857027b0a8f6ap-20, -0x1.833472e8a9c93p-20, -0x1.80faf9c264fa2p-20, -0x1.7ec3dd8d071a1p-20, -0x1.7c8f0ac252fb1p-20, -0x1.7a5c441e50344p-20, -0x1.782742e3f6509p-20, -0x1.75fe23324f554p-20, -0x1.73d2e0d2718a7p-20, -0x1.71a98b90a09e8p-20, -0x1.6f82539bbd34fp-20, -0x1.6d5dc0f63a887p-20, -0x1.6b3b44280fa98p-20, -0x1.691b2177fd969p-20, -0x1.66fd6eda9f2bfp-20, -0x1.64e1d7f18751ep-20, -0x1.62c888252d2ffp-20, -0x1.60b17167fedd5p-20, -0x1.5e9caab950fd2p-20, -0x1.5c8a2ef043c0dp-20, -0x1.5a79a4f2c4103p-20, -0x1.5871a32c8b926p-20, -0x1.565fca0f837e1p-20, -0x1.545f3a7dc0fb4p-20, -0x1.524fe7082a556p-20, -0x1.504b3472d5107p-20, -0x1.4e48b01802de7p-20, -0x1.4c4875f156fbap-20, -0x1.4a4a7e748442fp-20, -0x1.484ec69cf67abp-20, -0x1.46556ec8ec5cp-20, -0x1.445c11426b872p-20, -0x1.4269802bec107p-20, -0x1.4076daae198eap-20, -0x1.3e8685d5ea63dp-20, -0x1.3c985e277f108p-20, -0x1.3aacb1a1a4215p-20, -0x1.38c32e3e4d9cdp-20, -0x1.36dbecc3fdecep-20, -0x1.34f6ec3df0f01p-20, -0x1.3314256f5d96fp-20, -0x1.3132ae4284704p-20, -0x1.2f5562705bc14p-20, -0x1.2d92d69a7809ep-20, -0x1.2b9fa64e6743ap-20, -0x1.29c826917b142p-20, -0x1.27f2db842ccb2p-20, -0x1.261faa78f19aep-20, -0x1.244b7a26e10c2p-20, -0x1.2280500bc865p-20, -0x1.20b408902e382p-20, -0x1.1ee9e45b352d5p-20, -0x1.1d21f4a9c8b2dp-20, -0x1.1b5c391a8f3b5p-20, -0x1.199783031a301p-20, -0x1.17d75798a12f8p-20, -0x1.161824b77d836p-20, -0x1.145ae34163204p-20, -0x1.12a00f285645dp-20, -0x1.10e89c6df0022p-20, -0x1.0f32399906935p-20, -0x1.0d7c29dc8d2a4p-20, -0x1.0bcada89eb72p-20, -0x1.0a1c955df6d0bp-20, -0x1.086cdfcbd58e5p-20, -0x1.06c1629c4f8c5p-20, -0x1.0517cba0a16f5p-20, -0x1.03707a33f7a92p-20, -0x1.01cb4498911d7p-20, -0x1.0028388a031ep-20, -0x1.fd0e9d5de5a35p-21, -0x1.f9d10d153e48cp-21, -0x1.f697bd04a3d25p-21, -0x1.f362a9e185a01p-21, -0x1.f031d084ab327p-21, -0x1.ed052fc5372e1p-21, -0x1.e9dcd53cbb74p-21, -0x1.e6bbe0759fc03p-21, -0x1.e39942a8879a6p-21, -0x1.e07c9dfdcca9fp-21, -0x1.dd64d9df614bbp-21, -0x1.da510fe537a32p-21, -0x1.d7424b09f9345p-21, -0x1.d436ba3f7941fp-21, -0x1.d12fa0d865b74p-21, -0x1.ce2c66b470bffp-21, -0x1.cb2d6fac7e0f4p-21, -0x1.c83284bad53f6p-21, -0x1.c53bde97ae0aap-21, -0x1.c248c3c0060edp-21, -0x1.bf59e6fb91932p-21, -0x1.bc6efeaf4617p-21, -0x1.b98b7f6b2da36p-21, -0x1.b6a4f5ac00285p-21, -0x1.b3c65f50d13e9p-21, -0x1.b0eb7b6d3d576p-21, -0x1.ae148cce7bcd2p-21, -0x1.ab4196064994fp-21, -0x1.a87294d395161p-21, -0x1.a5a785e8a157p-21, -0x1.a2e0657319bfp-21, -0x1.a01d11b086b81p-21, -0x1.9d5e2c77102b8p-21, -0x1.9aa2913f9f6b9p-21, -0x1.97eae8939dc14p-21, -0x1.9537669af376ep-21, -0x1.92875134c2e2p-21, -0x1.8fd63e63e24p-21, -0x1.8d32e2f15b119p-21, -0x1.8a8eb0880f359p-21, -0x1.87ee19ed30307p-21, -0x1.855148f2684cbp-21, -0x1.82b83c7dc90a4p-21, -0x1.8020e6a47398cp-21, -0x1.7d91045c1e1cdp-21, -0x1.7b0394712a37ap-21, -0x1.787968645265p-21, -0x1.75f2cc20168efp-21, -0x1.736f01bfe4e78p-21, -0x1.70f26148bae66p-21, -0x1.6e76b83fd61c7p-21, -0x1.6bfc60ff9ea1fp-21, -0x1.69885762989f6p-21, -0x1.67186ba4b1459p-21, -0x1.64ab1cf69f928p-21, -0x1.62419c138d679p-21, }}, 
      std::vector<double>(1350, 0.0), 
      {{0x1.4f193c5679956p-9, 0x1.9bde4d7276e59p-10, -0x1.25dc90feb1c5bp-8, -0x1.01a39016c9f85p-6, -0x1.01ea6f9844ba3p-5, -0x1.9f7b43ee2fc8cp-5, -0x1.27ff2e6af2972p-4, -0x1.85166e129a237p-4, -0x1.e2d5fd1cda412p-4, -0x1.1ed821ca19531p-3, -0x1.4962c06baf0aap-3, -0x1.6ff08d3c81934p-3, -0x1.91b69bfe1af08p-3, -0x1.ae309c5432671p-3, -0x1.c516fb1dd6129p-3, -0x1.d654dd1d2b489p-3, -0x1.e1fe8d27f882p-3, -0x1.e848b4f53d7fbp-3, -0x1.e9808df6fd455p-3, -0x1.e60517e8a711ap-3, -0x1.de4150b6ef732p-3, -0x1.d2a75f0fd166bp-3, -0x1.c3ac9b77c2769p-3, -0x1.b1c660c3316cap-3, -0x1.9d678b7bf6b27p-3, -0x1.86fe901a936c5p-3, -0x1.6ef411816d54bp-3, -0x1.55a9e32c6b3aep-3, -0x1.3b7a64958c714p-3, -0x1.20b825b1db0b4p-3, -0x1.05adc60f742d5p-3, -0x1.d53c0558bfad6p-4, -0x1.9f87cf4ad94aep-4, -0x1.6aa63a4eaf374p-4, -0x1.36f08fec79591p-4, -0x1.04b2ee7f04514p-4, -0x1.a85a6b5672ff2p-5, -0x1.4b27f69e6ff58p-5, -0x1.e446075660502p-6, -0x1.3b1aabcad8d54p-6, -0x1.365f1a9ebcb65p-7, -0x1.32040a2b18a78p-12, 0x1.0fe6c043256aep-7, 0x1.0af22ea5f72b5p-6, 0x1.8438b0e4c2c81p-6, 0x1.f3dd7085ca97cp-6, 0x1.2d0355374ba5dp-5, 0x1.5b7400f219eb9p-5, 0x1.856032f6d69b2p-5, 0x1.aaec13838b2e8p-5, 0x1.cc3f9d9b07c9bp-5, 0x1.e985d72772556p-5, 0x1.01760eec6ba08p-4, 0x1.0c50c399913efp-4, 0x1.156b29264499ep-4, 0x1.1cddb4f72ddedp-4, 0x1.22c0faf2c45ccp-4, 0x1.272d7d220543ep-4, 0x1.2a3b81a4f3d15p-4, 0x1.2c02ee66170f5p-4, 0x1.2c9b2a163fe6bp-4, 0x1.2c1b0212774f4p-4, 0x1.2a9894d42972bp-4, 0x1.2829407b712a3p-4, 0x1.24e194f7d4b6ap-4, 0x1.20d5495f59c03p-4, 0x1.1c17342687024p-4, 0x1.16b946030f19p-4, 0x1.10cc874aee0abp-4, 0x1.0a6117966d265p-4, 0x1.03862f4b96214p-4, 0x1.f8944563e18fbp-5, 0x1.e974cc7ac8f1ap-5, 0x1.d9c72786291c6p-5, 0x1.c9a2e113f6445p-5, 0x1.b91de82ea1f81p-5, 0x1.a84c9f6f50735p-5, 0x1.9741ed4dc0068p-5, 0x1.860f4d5818d8dp-5, 0x1.74c4e1f8c0527p-5, 0x1.6371864f86d73p-5, 0x1.5222dfdad71e8p-5, 0x1.40e56fa25f2a9p-5, 0x1.2fc4a2e61454p-5, 0x1.1ecae3416eb85p-5, 0x1.0e01a646fb916p-5, 0x1.fae2f97c7d706p-6, 0x1.da4442c1d331ep-6, 0x1.ba350e5b693c9p-6, 0x1.9ac1ce41b690ap-6, 0x1.7bf59aae73133p-6, 0x1.5dda4ae4775b8p-6, 0x1.40788c7570dc5p-6, 0x1.23d7f8f9a9718p-6, 0x1.07ff2a3b0e16dp-6, 0x1.d9e799c8c595fp-7, 0x1.a57563b7893a1p-7, 0x1.72afbc98d1ba8p-7, 0x1.419d3545cc7efp-7, 0x1.124300f3740ffp-7, 0x1.c94a1e717c1afp-8, 0x1.718c48f24f0fep-8, 0x1.1d4fe10e5eb72p-8, 0x1.992c8ff8ea5f1p-9, 0x1.fd7c2048ef92dp-10, 0x1.ad3fcbdb09fa6p-11, -0x1.0929bb280cb5fp-12, -0x1.4d577e5e2b788p-10, -0x1.25509b0ffff0bp-9, -0x1.9d23315991bfp-9, -0x1.071a92d37a6ffp-8, -0x1.3c4d14f03c6e5p-8, -0x1.6e33e95ce7153p-8, -0x1.9cdab72ddee77p-8, -0x1.c84deee2fb714p-8, -0x1.f09ab8f55a575p-8, -0x1.0ae771e7d13dep-7, -0x1.1bfc6a2ea6ceap-7, -0x1.2b93bb67be315p-7, -0x1.39b5179f13e5fp-7, -0x1.4668666b3fd4cp-7, -0x1.51b5bdf98221ep-7, -0x1.5ba55ce3611f4p-7, -0x1.643fa46d2167p-7, -0x1.6b8d124f6baa4p-7, -0x1.71963c0a7dfedp-7, -0x1.7663c98624c0bp-7, -0x1.79fe6fb18d741p-7, -0x1.7c6eed1b08abbp-7, -0x1.7dbe050f9d7eep-7, -0x1.7df47afbe8636p-7, -0x1.7d1b0ff57c9c7p-7, -0x1.7b3a7e92e37dp-7, -0x1.785b76fe87e7ep-7, -0x1.74869d2057514p-7, -0x1.6fc4853e334c3p-7, -0x1.6a1db0add0794p-7, -0x1.639a8ca132322p-7, -0x1.5c436f6a1e2a1p-7, -0x1.54209587f78e9p-7, -0x1.4b3a212d84ddp-7, -0x1.419818750f91bp-7, -0x1.3742624073fdep-7, -0x1.2c40c603ca5dap-7, -0x1.209aeb9ae5959p-7, -0x1.14585841ca171p-7, -0x1.07806d63f3a64p-7, -0x1.f434d3d93f7a5p-8, -0x1.d85ad1a3c5545p-8, -0x1.bb80bcdf24921p-8, -0x1.9db432f5f280ep-8, -0x1.7f02885647bd3p-8, -0x1.5f78c39d43e98p-8, -0x1.3f239ad82302cp-8, -0x1.1e0f78040f862p-8, -0x1.f890f41c5839cp-9, -0x1.b3b4de8d9cdcbp-9, -0x1.6da1a9c534c1ap-9, -0x1.266db9d6a9519p-9, -0x1.bc5db9cb6137ep-10, -0x1.29f47e8b9fb87p-10, -0x1.2b91b28a7673fp-11, -0x1.5e5386bae97afp-25, 0x1.2e6e0e0cb8dc8p-11, 0x1.2fbede64607e6p-10, 0x1.c970734da6814p-10, 0x1.32144580dffc7p-9, 0x1.7fe27d40fec68p-9, 0x1.ce126167c4a76p-9, 0x1.0e4a07887824cp-8, 0x1.35ac17c2df075p-8, 0x1.5d27f48b82bacp-8, 0x1.84b673f387924p-8, 0x1.ac50b6bedd792p-8, 0x1.d3f02534538f8p-8, 0x1.fb8e644a9a5dfp-8, 0x1.1192a93ec7619p-7, 0x1.255787a2cbee3p-7, 0x1.3912fff0977c3p-7, 0x1.4cc2646328992p-7, 0x1.6063222249e57p-7, 0x1.73f2c11bf53dep-7, 0x1.876ee7677931cp-7, 0x1.9ad55a354840cp-7, 0x1.ae23fa5090384p-7, 0x1.c158c0a7b66a5p-7, 0x1.d471bec56a4b2p-7, 0x1.e76d21559eaa5p-7, 0x1.fa49301ad150dp-7, 0x1.0682254711f27p-6, 0x1.0fce7291d58b5p-6, 0x1.1908c50185d79p-6, 0x1.22306da17e843p-6, 0x1.2b44c95de14a5p-6, 0x1.34453f54cedaap-6, 0x1.3d313f4cdbeedp-6, 0x1.46084280ee445p-6, 0x1.4ec9ca506d3a2p-6, 0x1.577563f470203p-6, 0x1.600aa46cf04fdp-6, 0x1.68892ad63f27bp-6, 0x1.70f09b3d3c81cp-6, 0x1.79409f6e1ac5ep-6, 0x1.8178eb6017b38p-6, 0x1.89993acfdcb68p-6, 0x1.91a14fddfd2ebp-6, 0x1.9990f21fa8d01p-6, 0x1.a167ee035f68bp-6, 0x1.a926154799a7ep-6, 0x1.b0cb402ca0328p-6, 0x1.b8574d1d2260ap-6, 0x1.bfca1f25813aap-6, 0x1.c7239cbbb077fp-6, 0x1.ce63afca2022ap-6, 0x1.d58a46229afc6p-6, 0x1.dc97515e86338p-6, 0x1.e38ac823caa5fp-6, 0x1.ea64a3b464e89p-6, 0x1.f124dfc0028d7p-6, 0x1.f7cb79c23c05bp-6, 0x1.fe5871980331p-6, 0x1.0265e4b47c073p-5, 0x1.0592c30b196d9p-5, 0x1.08b2d75129864p-5, 0x1.0bc625a954631p-5, 0x1.0eccb2994b3dcp-5, 0x1.11c68321e2c01p-5, 0x1.14b39cafeae21p-5, 0x1.1794057f67916p-5, 0x1.1a67c4598d495p-5, 0x1.1d2ee0684f26fp-5, 0x1.1fe960f0b8867p-5, 0x1.22974d34c8606p-5, 0x1.2538ac95ff57bp-5, 0x1.27cd8663ee25cp-5, 0x1.2a55e279b6308p-5, 0x1.2cd1c8b10af31p-5, 0x1.2f4140f3eaa9fp-5, 0x1.31a453052f695p-5, 0x1.33fb066ff7a82p-5, 0x1.3645628eaea22p-5, 0x1.38836eb488bf7p-5, 0x1.3ab531f89126ap-5, 0x1.3cdab3b77bd73p-5, 0x1.3ef3fafbf6142p-5, 0x1.41010ea291d3p-5, 0x1.4301f53eeeeebp-5, 0x1.44f6b51e97b0bp-5, 0x1.46df545835f82p-5, 0x1.48bbd8dded64fp-5, 0x1.4a8c488ca91f6p-5, 0x1.4c50a91c5ee1ep-5, 0x1.4e09001ed0e7cp-5, 0x1.4fb552e6ff2efp-5, 0x1.5155a690373dep-5, 0x1.52ea0003786cp-5, 0x1.547264058289ep-5, 0x1.55eed746cc31ap-5, 0x1.575f5e752ae98p-5, 0x1.58c3fe1a8b3edp-5, 0x1.5a1cba7be619p-5, 0x1.5b699980a81edp-5, 0x1.5caa9cd4cdccbp-5, 0x1.5ddfcbff3fe71p-5, 0x1.5f092858ce099p-5, 0x1.6026b8cc6a73p-5, 0x1.61388001feee4p-5, 0x1.623e835b262a4p-5, 0x1.6338c7e6008d3p-5, 0x1.642751930c919p-5, 0x1.650a260025ba6p-5, 0x1.65e149e3fb6dbp-5, 0x1.66acc2d93dd47p-5, 0x1.676c95bbb7685p-5, 0x1.6820c8b265efap-5, 0x1.68c961aa00aa4p-5, 0x1.696666aeb64e3p-5, 0x1.69f7de6bc9044p-5, 0x1.6a7dcf996f6fap-5, 0x1.6af8418fb0f11p-5, 0x1.6b673bbef96fp-5, 0x1.6bcac5f9a36f9p-5, 0x1.6c22e86fe2c5p-5, 0x1.6c6fabc32d4a1p-5, 0x1.6cb1193490974p-5, 0x1.6ce73a4d5131dp-5, 0x1.6d1219149b51fp-5, 0x1.6d31c003d4913p-5, 0x1.6d463a0c3174dp-5, 0x1.6d4f929d7825fp-5, 0x1.6d4dd5c70deefp-5, 0x1.6d411017f4ca9p-5, 0x1.6d294e96ec07dp-5, 0x1.6d069ee57e6a1p-5, 0x1.6cd90f3df4817p-5, 0x1.6ca0ae6575826p-5, 0x1.6c5d8bad758a5p-5, 0x1.6c0fb7121d76bp-5, 0x1.6bb7412fc09a8p-5, 0x1.6b543b25def3fp-5, 0x1.6ae6b6ace9527p-5, 0x1.6a6ec6285ea3ap-5, 0x1.69ec7c8fe3c53p-5, 0x1.695fed82a7aefp-5, 0x1.68c92d2ea1afcp-5, 0x1.68285067c6a96p-5, 0x1.677d6cb13ae6p-5, 0x1.66c89820279e9p-5, 0x1.6609e95d450b3p-5, 0x1.654177afd2743p-5, 0x1.646f5afb7a1cfp-5, 0x1.6393abbe000f1p-5, 0x1.62ae830db4defp-5, 0x1.61bffa93e50ep-5, 0x1.60c82c8aa6cc1p-5, 0x1.5fc733c9b0e39p-5, 0x1.5ebd2bbe2a70ep-5, 0x1.5daa30594ebedp-5, 0x1.5c8e5e183f444p-5, 0x1.5b69d1fa72752p-5, 0x1.5a3ca98ea3aap-5, 0x1.590702e1e51d4p-5, 0x1.57c8fc819a92cp-5, 0x1.5682b5775ade4p-5, 0x1.55344d430fc15p-5, 0x1.53dde3d951d1ap-5, 0x1.527f99a81b12fp-5, 0x1.51198f8d36d64p-5, 0x1.4fabe6ca952a1p-5, 0x1.4e36c1065ff7p-5, 0x1.4cba40498e22fp-5, 0x1.4b3686fb5b2fbp-5, 0x1.49abb7dca4763p-5, 0x1.4819f603a560ep-5, 0x1.468164d7cd55ep-5, 0x1.44e2280d1155ap-5, 0x1.433c639e2311dp-5, 0x1.41903bc9f308fp-5, 0x1.3fddd50c892d9p-5, 0x1.3e25542438a0ep-5, 0x1.3c66ddff3c074p-5, 0x1.3aa297bb09214p-5, 0x1.38d8a6a1dfeb7p-5, 0x1.3709302665c66p-5, 0x1.353459de8f4a7p-5, 0x1.335a497eb9406p-5, 0x1.317b24d4ea6bap-5, 0x1.2f9711c433957p-5, 0x1.2dae3640001ddp-5, 0x1.2bc0b846f59adp-5, 0x1.29cebddde9a2bp-5, 0x1.27d86d0ca5342p-5, 0x1.25ddebdb9a8a8p-5, 0x1.23df604da6b0ep-5, 0x1.21dcf0594ec99p-5, 0x1.1fd6c1e528b04p-5, 0x1.1dccfac4807a6p-5, 0x1.1bbfc0b33ff85p-5, 0x1.19af3952b001dp-5, 0x1.179b8a210af42p-5, 0x1.1584d87bfbff1p-5, 0x1.136b499826072p-5, 0x1.114f027e9753fp-5, 0x1.0f302808f2dd4p-5, 0x1.0d0ededd4c8a3p-5, 0x1.0aeb4b6a1c4eep-5, 0x1.08c591e3170b7p-5, 0x1.069dd63ec8ee5p-5, 0x1.04743c32da331p-5, 0x1.0248e72f51f9dp-5, 0x1.001bfa5b4e6dap-5, 0x1.fbdb3125433abp-6, 0x1.f77bc8c63fbd2p-6, 0x1.f31a001347325p-6, 0x1.eeb61ade1f557p-6, 0x1.ea505c4acfe8fp-6, 0x1.e5e906ca197c4p-6, 0x1.e1805c142a1ebp-6, 0x1.dd169d239167p-6, 0x1.d8ac0a3092125p-6, 0x1.d440e2ac77dbap-6, 0x1.cfd5653e51644p-6, 0x1.cb69cfbbac5bap-6, 0x1.c6fe5f278b808p-6, 0x1.c2934fb08e747p-6, 0x1.be28dcaa7d79fp-6, 0x1.b9bf408a82964p-6, 0x1.b556b4e34effdp-6, 0x1.b0ef72629cdf7p-6, 0x1.ac89b0cec57a2p-6, 0x1.a825a70407d63p-6, 0x1.a3c38af2307c7p-6, 0x1.9f63919a4c7bbp-6, 0x1.9b05ef0c956cp-6, 0x1.96aad666901c3p-6, 0x1.925279d146b0cp-6, 0x1.8dfd0a7f945aep-6, 0x1.89aab8ac9e181p-6, 0x1.855bb39a71723p-6, 0x1.81102990b2ba3p-6, 0x1.7cc847db9a131p-6, 0x1.78843acb210bp-6, 0x1.74442db2ef9b3p-6, 0x1.70084aea66022p-6, 0x1.6bd0bbcc2036p-6, 0x1.679da8b52b3b4p-6, 0x1.636f3904ea67p-6, 0x1.5f45931e3511cp-6, 0x1.5b20dc65b060ap-6, 0x1.5701394418bdap-6, 0x1.52e6cd26a9485p-6, 0x1.4ed1ba7e8c48ep-6, 0x1.4ac222c240a8fp-6, 0x1.46b8266e74cc7p-6, 0x1.42b3e5070f28p-6, 0x1.3eb57d1895d61p-6, 0x1.3abd0c3953533p-6, 0x1.36caaf0adba17p-6, 0x1.32de813b88fa7p-6, 0x1.2ef89d87f4484p-6, 0x1.2b191dbc8b2c9p-6, 0x1.27401ab739bbbp-6, 0x1.236dac69462e2p-6, 0x1.1fa1e9d94cf04p-6, 0x1.1bdce925a2072p-6, 0x1.181ebf860559dp-6, 0x1.1467814db058ep-6, 0x1.10b741ed84b8cp-6, 0x1.0d0e13f6a0809p-6, 0x1.096c091ce29e8p-6, 0x1.05d132397faaap-6, 0x1.023d9f4d7a846p-6, 0x1.fd62bf086b225p-7, 0x1.f659026bfcb32p-7, 0x1.ef5e23d560bf3p-7, 0x1.e8723cb92a5a4p-7, 0x1.e19564f637247p-7, 0x1.dac7b2d971ef4p-7, 0x1.d4093b26ea89dp-7, 0x1.cd5a111d8ff42p-7, 0x1.c6ba467d4926ap-7, 0x1.c029eb8d2b671p-7, 0x1.b9a90f2160663p-7, 0x1.b337bea120104p-7, 0x1.acd6060cda37fp-7, 0x1.a683f0044c8d6p-7, 0x1.a04185ccf8483p-7, 0x1.9a0ecf5893993p-7, 0x1.93ebd34b037b5p-7, 0x1.8dd8970096421p-7, 0x1.87d51e944530fp-7, 0x1.81e16ce634p-7, 0x1.7bfd83a22956dp-7, 0x1.76296345e9b94p-7, 0x1.70650b27683bdp-7, 0x1.6ab0797ae0b34p-7, 0x1.650bab58d726dp-7, 0x1.5f769cc41b7b2p-7, 0x1.59f148afd58f3p-7, 0x1.547ba9058a4f6p-7, 0x1.4f15b6ab601e1p-7, 0x1.49bf698a80c9dp-7, 0x1.4478b895b0da8p-7, 0x1.3f4199d001304p-7, 0x1.3a1a0253a1d89p-7, 0x1.3501e658bd559p-7, 0x1.2ff9393c3ap-7, 0x1.2affed865911ep-7, 0x1.2615f4efd0f9dp-7, 0x1.213b4068c69c8p-7, 0x1.1c6fc01d7cd5dp-7, 0x1.17b3637b0adffp-7, 0x1.13061933fb816p-7, 0x1.0e67cf4497159p-7, 0x1.09d872f71d1e3p-7, 0x1.0557f0e875993p-7, 0x1.00e6350d5c373p-7, 0x1.f9065570b8da7p-8, 0x1.f05d79428a05ep-8, 0x1.e7d1a9d5ef9e4p-8, 0x1.df62ba5a36668p-8, 0x1.d7107cf6a24b4p-8, 0x1.cedac2daf1938p-8, 0x1.c6c15c4e04f06p-8, 0x1.bec418ba8e959p-8, 0x1.b6e2c6b918b69p-8, 0x1.af1d3416cda9ap-8, 0x1.a7732dd8f987dp-8, 0x1.9fe4803e16b39p-8, 0x1.9870f6bcbfe9dp-8, 0x1.91185c0276b1ap-8, 0x1.89da79f1a98c9p-8, 0x1.82b719a651e0fp-8, 0x1.7bae03786ddb2p-8, 0x1.74beff08286a8p-8, 0x1.6de9d34cf2784p-8, 0x1.672e46aa1c569p-8, 0x1.608c1f0788861p-8, 0x1.5a0321ec75494p-8, 0x1.5393149aa1222p-8, 0x1.4d3bbc26e24a7p-8, 0x1.46fcdd8cd0999p-8, 0x1.40d63dbad4bc5p-8, 0x1.3ac7a196f12f9p-8, 0x1.34d0cdf953337p-8, 0x1.2ef1879ecb87p-8, 0x1.29299314e7b5ap-8, 0x1.2378b49fd11e5p-8, 0x1.1ddeb02334d9fp-8, 0x1.185b490a5ac7p-8, 0x1.12ee423a10f7ep-8, 0x1.0d975e0c39fa2p-8, 0x1.08565e587844bp-8, 0x1.032b048a95d55p-8, 0x1.fc2a238cd1517p-9, 0x1.f2288e2ca6dd1p-9, 0x1.e850cb41fb1e5p-9, 0x1.dea25dc1bfb2dp-9, 0x1.d51cc9af929aap-9, 0x1.cbbf94724573cp-9, 0x1.c28a4509eac98p-9, 0x1.b97c6420e8d2ep-9, 0x1.b0957bf392641p-9, 0x1.a7d5180e55473p-9, 0x1.9f3ac4e876637p-9, 0x1.96c60f6429c19p-9, 0x1.8e768441e4628p-9, 0x1.864baf9762a8ap-9, 0x1.7e451c5a38903p-9, 0x1.7662540e2bea6p-9, 0x1.6ea2dea3c816dp-9, 0x1.6706428f1dbbp-9, 0x1.5f8c051885a8ep-9, 0x1.5833aae2de262p-9, 0x1.50fcb89d68918p-9, 0x1.49e6b3cfb9ed2p-9, 0x1.42f123ad43d75p-9, 0x1.3c1b91d8349a1p-9, 0x1.35658b01a111p-9, 0x1.2ece9f4faf50ep-9, 0x1.2856627fe4ac6p-9, 0x1.21fc6bbc307a4p-9, 0x1.1bc05524d7ebcp-9, 0x1.15a1bb17db873p-9, 0x1.0fa03b47683dbp-9, 0x1.09bb73b5e2da2p-9, 0x1.03f301b31cad9p-9, 0x1.fc8d01ecbb424p-10, 0x1.f16b15ddfd856p-10, 0x1.e67f6cc232651p-10, 0x1.dbc92eb645867p-10, 0x1.d1477f14ea6a4p-10, 0x1.c6f97dd22088bp-10, 0x1.bcde496eaea4dp-10, 0x1.b2f5015437672p-10, 0x1.a93cc86314e7cp-10, 0x1.9fb4c76b5c947p-10, 0x1.965c2f51e4a76p-10, 0x1.8d323aa18361p-10, 0x1.84362e5aaa02ap-10, 0x1.7b6759e49a67cp-10, 0x1.72c5161d8630dp-10, 0x1.6a4ec39ef87fap-10, 0x1.6203c862ce738p-10, 0x1.59e38d073fb05p-10, 0x1.51ed79f7bd563p-10, 0x1.4a20f4c465615p-10, 0x1.427d5de6bd461p-10, 0x1.3b020f29952f6p-10, 0x1.33ae5ad7695aap-10, 0x1.2c818bc57abccp-10, 0x1.257ae63f7a5b2p-10, 0x1.1e99a9c89eef2p-10, 0x1.17dd13942ab2bp-10, 0x1.11446182af15dp-10, 0x1.0aced55d2d5d1p-10, 0x1.047bb7f7e234ep-10, 0x1.fc94b7c58b378p-11, 0x1.f0743e9ed0666p-11, 0x1.e494d9e09191p-11, 0x1.d8f5777cd6828p-11, 0x1.cd951b5d830cap-11, 0x1.c272db1a7cf86p-11, 0x1.b78dd88ed75acp-11, 0x1.ace53bfb4a38ep-11, 0x1.a2782e49cf665p-11, 0x1.9845d3eb01c11p-11, 0x1.8e4d48927b27p-11, 0x1.848d9befb78a9p-11, 0x1.7b05cf6f60adfp-11, 0x1.71b4d50cfa6d4p-11, 0x1.68998f52e12bp-11, 0x1.5fb2d2bd83658p-11, 0x1.56ff68bb4763bp-11, 0x1.4e7e14682bd91p-11, 0x1.462d98dbe74c1p-11, 0x1.3e0cc080599e9p-11, 0x1.361a647acd82cp-11, 0x1.2e5572f5aed3fp-11, 0x1.26bcf31bd8872p-11, 0x1.1f5005f81f023p-11, 0x1.180de413a6f64p-11, 0x1.10f5d872ddbf4p-11, 0x1.0a073a30641e8p-11, 0x1.03416640575dbp-11, 0x1.f9477559264fep-12, 0x1.ec5b28308c629p-12, 0x1.dfbc9a8e4cf16p-12, 0x1.d36a80052715p-12, 0x1.c7638c6f6a177p-12, 0x1.bba673255d5abp-12, 0x1.b031e39f2f5aep-12, 0x1.a5048273f7b51p-12, 0x1.9a1ce14b00e4p-12, 0x1.8f79783075e87p-12, 0x1.8518a3d49b02p-12, 0x1.7af8a99ac8399p-12, 0x1.7117c26e509bep-12, 0x1.67742a4e2a5f2p-12, 0x1.5e0c31ba9a102p-12, 0x1.54de4d347013bp-12, 0x1.4be91f767cb92p-12, 0x1.432b7ba862169p-12, 0x1.3aa45e5a48491p-12, 0x1.3252de2fc2f89p-12, 0x1.2a361758b784fp-12, 0x1.224d16e440b92p-12, 0x1.1a96cbbcd2d5p-12, 0x1.1312020eca879p-12, 0x1.0bbd6b05f3fcp-12, 0x1.0497aef7d11dbp-12, 0x1.fb3f091f38f2dp-13, 0x1.eda78b3dd66afp-13, 0x1.e066f570bba23p-13, 0x1.d37bb31e857eep-13, 0x1.c6e46cf1103bdp-13, 0x1.ba9fdbf0fbdeep-13, 0x1.aeac9bf1ce809p-13, 0x1.a3090cafbaf67p-13, 0x1.97b34abe1c2bap-13, 0x1.8ca94055b7d5fp-13, 0x1.81e8c5e26ef5ap-13, 0x1.776fc688fc3b7p-13, 0x1.6d3c5e53d38f7p-13, 0x1.634cec3e6df17p-13, 0x1.59a016c81d24ap-13, 0x1.5034c43390077p-13, 0x1.470a08373e6d8p-13, 0x1.3e1f0916cc51ap-13, 0x1.3572decedd368p-13, 0x1.2d0470b258adfp-13, 0x1.24d257ebe5ff6p-13, 0x1.1cdaced77f661p-13, 0x1.151bb48a494e8p-13, 0x1.0d92a7a89e8d8p-13, 0x1.063d346fe909ep-13, 0x1.fe3214d9315f7p-14, 0x1.f0485545057f1p-14, 0x1.e2ba01bf03e5bp-14, 0x1.d584c3683f70dp-14, 0x1.c8a6deef4a12bp-14, 0x1.bc1ee265475b2p-14, 0x1.afeb564e2c74fp-14, 0x1.a40a8d8a7faefp-14, 0x1.987aa0525cc71p-14, 0x1.8d3988c5da29ap-14, 0x1.82454b89ce476p-14, 0x1.779c19ed77ffdp-14, 0x1.6d3c65a8064c8p-14, 0x1.6324e4b3e37d1p-14, 0x1.595483259b9b3p-14, 0x1.4fca42326d2bep-14, 0x1.46850d5ae0ea8p-14, 0x1.3d839a23bd94bp-14, 0x1.34c4654367e52p-14, 0x1.2c45ce196fd17p-14, 0x1.24063b8eec9edp-14, 0x1.1c042e75439a1p-14, 0x1.143e333517065p-14, 0x1.0cb2bcd9d4b91p-14, 0x1.056003a457c68p-14, 0x1.fc87f95198f5ap-15, 0x1.eeb8d5892f4dbp-15, 0x1.e14dee4b9f7a9p-15, 0x1.d44284bfacba7p-15, 0x1.c791e31f1892ep-15, 0x1.bb37894d03738p-15, 0x1.af2f6da8fd081p-15, 0x1.a376317c6183cp-15, 0x1.9809281a46e9bp-15, 0x1.8ce62a8c4a0aap-15, 0x1.820b4d845e4edp-15, 0x1.7776a0af9dd1bp-15, 0x1.6d2628799fc33p-15, 0x1.63182a9ca5937p-15, 0x1.594b9fa733e99p-15, 0x1.4fc06092a2da3p-15, 0x1.4676c62cafe73p-15, 0x1.3d6edf87f7d5dp-15, 0x1.34a7ba758dc54p-15, 0x1.2c1f2695a8014p-15, 0x1.23d203cab1bf7p-15, 0x1.1bbce5185684ep-15, 0x1.13dcbe4a1b5ap-15, 0x1.0c2f61c685ae6p-15, 0x1.04b3abe392f41p-15, 0x1.fad2a76d1024ep-16, 0x1.eca0ef807aa69p-16, 0x1.ded22f6cf974fp-16, 0x1.d16569d308819p-16, 0x1.c4585da24f9ffp-16, 0x1.b7a773924d907p-16, 0x1.ab4d8bc3dfad5p-16, 0x1.9f43f06c202dfp-16, 0x1.93833b5594801p-16, 0x1.8805594e90017p-16, 0x1.7cc766bac2906p-16, 0x1.71c9b81b64bd3p-16, 0x1.670dbf875de1ep-16, 0x1.5c93459fcb472p-16, 0x1.5256ff1f9c69ap-16, 0x1.485385f1f9445p-16, 0x1.3e83d9eae5ff1p-16, 0x1.34e546bfb76c7p-16, 0x1.2b77406e27ebp-16, 0x1.2239da91360abp-16, 0x1.192c8f68dc7dp-16, 0x1.104e21fcb702p-16, 0x1.079d17f6461aep-16, 0x1.fe300c5a20c48p-17, 0x1.ed7aec95a5ed3p-17, 0x1.dd1753a77b4e1p-17, 0x1.cd0121644b481p-17, 0x1.bd342481fb9d2p-17, 0x1.adad0d8109aap-17, 0x1.9e6a3756e964fp-17, 0x1.8f6bc1701ec12p-17, 0x1.80b2c88a7ad77p-17, 0x1.72401b1adfacep-17, 0x1.64134420c73c7p-17, 0x1.562a7f836e459p-17, 0x1.4882ed8a469fp-17, 0x1.3b17c3be25937p-17, 0x1.2de12d9415312p-17, 0x1.20d5f105e475fp-17, 0x1.13f08735469f6p-17, 0x1.073286fd710e7p-17, 0x1.f54300789cb6dp-18, 0x1.dc80574ca5858p-18, 0x1.c416654a79bb3p-18, 0x1.abf8f7b02b505p-18, 0x1.9421a3f11118p-18, 0x1.7c9326dc7f055p-18, 0x1.6552a97905671p-18, 0x1.4e607d9c7d5bep-18, 0x1.37b760450a64dp-18, 0x1.214fcde1e65e8p-18, 0x1.0b22bb3675cafp-18, 0x1.ea54f4307f8e1p-19, 0x1.bec5824e8de2fp-19, 0x1.939144310b07cp-19, 0x1.68b512ff4a521p-19, 0x1.3e301093785adp-19, 0x1.1402a957d1b39p-19, 0x1.d45ab36d82c79p-20, 0x1.815fa2dd587e2p-20, 0x1.2f1187f753b2p-20, 0x1.bad8c8c9a0e98p-21, 0x1.18d6d0ecfd1dep-21, 0x1.e0480bad9ceep-23, -0x1.3c0e11b94f7d2p-24, -0x1.8bdacaa519957p-22, -0x1.63301302a9f42p-21, -0x1.ff422cca34a16p-21, -0x1.4d15876db05f6p-20, -0x1.9a0a36c944e26p-20, -0x1.e6988dd410777p-20, -0x1.19625d81e9992p-19, -0x1.3f405758e9a9p-19, -0x1.64e559a15765p-19, -0x1.8a5ae4c21adcbp-19, -0x1.afa7b48af8b78p-19, -0x1.d4c752d424fb4p-19, -0x1.f9b2ac0a80153p-19, -0x1.0f34a3b8ebbb5p-18, -0x1.2177ba3792f67p-18, -0x1.33a490053e7d6p-18, -0x1.45bc127a84d51p-18, -0x1.57be7cb2b5edp-18, -0x1.69abc73913157p-18, -0x1.7b83dedb8a5d9p-18, -0x1.8d46b5e915d27p-18, -0x1.9ef44c9ead6abp-18, -0x1.b08cbf6d487b3p-18, -0x1.c21059681ea14p-18, -0x1.d37fa3148d5e3p-18, -0x1.e4dbc888723c1p-18, -0x1.f62565651651fp-18, -0x1.03aead67166b8p-17, -0x1.0c421bf2b350bp-17, -0x1.14ccadd522413p-17, -0x1.1d4dfd87437a1p-17, -0x1.25c5b12d02c47p-17, -0x1.2e33c89b41c48p-17, -0x1.3698977412ca4p-17, -0x1.3ef45f954fc8dp-17, -0x1.4746dc8bde81cp-17, -0x1.4f8f64cd7ade9p-17, -0x1.57cdc61c8c27ap-17, -0x1.60029e7682935p-17, -0x1.682e4afe50476p-17, -0x1.705096c3c2852p-17, -0x1.78699d6508722p-17, -0x1.807977723bbc9p-17, -0x1.887fafa2fa11bp-17, -0x1.907bef50ca039p-17, -0x1.986e466450935p-17, -0x1.a056c8a4369c4p-17, -0x1.a835675c88ad6p-17, -0x1.b00a03e2e4f32p-17, -0x1.b7d47eebaf02bp-17, -0x1.bf94bc2866d61p-17, -0x1.c74aa172d49bcp-17, -0x1.cef6157dc93cdp-17, -0x1.d696ff02979afp-17, -0x1.de2d444b3fd0ap-17, -0x1.e5b8caed9bab2p-17, -0x1.ed3977a02e264p-17, -0x1.f4af2e25a9f4p-17, -0x1.fc19d162b94dcp-17, -0x1.01bca1d1646a4p-16, -0x1.0566b37c91b7cp-16, -0x1.090b0ed0f1777p-16, -0x1.0ca9a52b1265fp-16, -0x1.1042683fcd8e1p-16, -0x1.13d54a0be1a66p-16, -0x1.17623c7756adap-16, -0x1.1ae930b9adb7p-16, -0x1.1e6a173471412p-16, -0x1.21e4e07a90755p-16, -0x1.25597e864c549p-16, -0x1.28c7e47910598p-16, -0x1.2c3004400b2a3p-16, -0x1.2f91cb805845ap-16, -0x1.32ed297caf7a2p-16, -0x1.364213d4668bep-16, -0x1.3990808f007b8p-16, -0x1.3cd864148f9a1p-16, -0x1.4019a18734a01p-16, -0x1.4354342fd547fp-16, -0x1.46880ce5c4907p-16, -0x1.49b51b5348fdap-16, -0x1.4cdb56ea1382bp-16, -0x1.4ffab47821c64p-16, -0x1.5313255734d35p-16, -0x1.5624a7a02019bp-16, -0x1.592f144e983e5p-16, -0x1.5c3278c85f6f4p-16, -0x1.5f2ec1f820619p-16, -0x1.6223e59b993b2p-16, -0x1.6511d90a73b9ap-16, -0x1.67f8916b747aep-16, -0x1.6ad8038b5936p-16, -0x1.6db023b615ae7p-16, -0x1.7080e5faa6b34p-16, -0x1.734a3f2a4b9ffp-16, -0x1.760c259b723edp-16, -0x1.78c690fa83724p-16, -0x1.7b797ac9006a7p-16, -0x1.7e24ddd47fe43p-16, -0x1.80c8b58517956p-16, -0x1.8364fd52cf43bp-16, -0x1.85f9af5602ab6p-16, -0x1.8886c21535e88p-16, -0x1.8b0c28e9b8ef9p-16, -0x1.8d89d8fbf3be7p-16, -0x1.8fffcc9eb4d3cp-16, -0x1.926e0244f6f3p-16, -0x1.94d46f0b7979ep-16, -0x1.9732d22d3fafep-16, -0x1.9988fea52dd9bp-16, -0x1.9bd77930dc798p-16, -0x1.9e1e9759156ap-16, -0x1.a05de9df82ee4p-16, -0x1.a2951973f5304p-16, -0x1.a4c48896f3caap-16, -0x1.a6ec387276e88p-16, -0x1.a90bd9f9a30d5p-16, -0x1.ab23625eb9826p-16, -0x1.ad32f69453551p-16, -0x1.af3aac438fb26p-16, -0x1.b13a83ab049bfp-16, -0x1.b33275c5536b8p-16, -0x1.b5227c749bceap-16, -0x1.b70a942fcc2e3p-16, -0x1.b8eabaca46a5bp-16, -0x1.bac2efff5d27ap-16, -0x1.bc93343948cc4p-16, -0x1.be5b8882c1e95p-16, -0x1.c01beda291baep-16, -0x1.c1d463f5fdfa9p-16, -0x1.c384eb84f3142p-16, -0x1.c52d84c63a0e3p-16, -0x1.c6ce319bc1c27p-16, -0x1.c866f5a2282e7p-16, -0x1.c9f7d58dfda23p-16, -0x1.cb80d64ea8a06p-16, -0x1.cd01fcce31886p-16, -0x1.ce7b4e6bb8af1p-16, -0x1.cfecd1791b709p-16, -0x1.d1568c2a20ec6p-16, -0x1.d2b880a59427ep-16, -0x1.d412a9ac19399p-16, -0x1.d5650017b090dp-16, -0x1.d6af8794fe686p-16, -0x1.d7f2566e6f405p-16, -0x1.d92d9420b00b7p-16, -0x1.da614ecbdd6b3p-16, -0x1.db8d0d285f725p-16, -0x1.dcb11d36c7eb5p-16, -0x1.ddce1ad6db457p-16, -0x1.dee31efa32091p-16, -0x1.dff0840c16e5bp-16, -0x1.e0f69a1d94808p-16, -0x1.e1f55690e14f1p-16, -0x1.e2ecabe8b31f7p-16, -0x1.e3dc6d0b360d8p-16, -0x1.e4c451ef59bcfp-16, -0x1.e5a480a785668p-16, -0x1.e67dafeb04884p-16, -0x1.e7502cbc815f6p-16, -0x1.e81b97540e9d1p-16, -0x1.e8df4b3c04426p-16, -0x1.e99b7e660cdb3p-16, -0x1.ea509e55c93dp-16, -0x1.eafec41a439e9p-16, -0x1.eba5f17f4050ap-16, -0x1.ec460822f01b9p-16, -0x1.ecdf300fe4e62p-16, -0x1.ed715769bf5a2p-16, -0x1.edfc8dabc0bacp-16, -0x1.ee80dcc613491p-16, -0x1.eefe4edffd6e5p-16, -0x1.ef74ef4c4cf1fp-16, -0x1.efe4c9d3545f9p-16, -0x1.f04de9ffb6d6dp-16, -0x1.f0b05b16fbe29p-16, -0x1.f10c2873d510ap-16, -0x1.f1615dfe55053p-16, -0x1.f1b0088b4281bp-16, -0x1.f1f8353ed17d7p-16, -0x1.f239ee489e01ep-16, -0x1.f275377b2d14p-16, -0x1.f2aa1500d15e6p-16, -0x1.f2d89534ef8f4p-16, -0x1.f300ed5336cd3p-16, -0x1.f322c6f78e494p-16, -0x1.f33ec28b9caacp-16, -0x1.f354a132c1debp-16, -0x1.f3644781545d7p-16, -0x1.f36dc2b11e378p-16, -0x1.f37129926bf55p-16, -0x1.f36ec3a475e7cp-16, -0x1.f36684705de0cp-16, -0x1.f35868d9bd8f9p-16, -0x1.f3447c3dff4dfp-16, -0x1.f32acd73355f2p-16, -0x1.f30b69a10898ap-16, -0x1.f2e65d5973068p-16, -0x1.f2bbb528d3517p-16, -0x1.f28b7deed1f9ep-16, -0x1.f255c5284af25p-16, -0x1.f21a98edf982cp-16, -0x1.f1da076cb2951p-16, -0x1.f1941e3201aecp-16, -0x1.f148ead571192p-16, -0x1.f0f87eabb5d8bp-16, -0x1.f0a2ee5b90b7ap-16, -0x1.f0483121f1a04p-16, -0x1.efe8160c17a17p-16, -0x1.ef82f8157e5c7p-16, -0x1.ef191ce87057cp-16, -0x1.eeaa0f52fc67cp-16, -0x1.ee360841e41d3p-16, -0x1.edbd487dd4252p-16, -0x1.ed3fcfd362753p-16, -0x1.ecbd9d21d317cp-16, -0x1.ec36b8bc63d09p-16, -0x1.ebab2e77917f5p-16, -0x1.eb1b0aba0e9ccp-16, -0x1.ea865e91a825fp-16, -0x1.e9ed337d3a4bcp-16, -0x1.e94f9a2796fdbp-16, -0x1.e8ad9df506ca3p-16, -0x1.e80748ceefae8p-16, -0x1.e75ca7301d0cfp-16, -0x1.e6adc8ce97f2p-16, -0x1.e5fabb97f19d7p-16, -0x1.e5438c4f0882cp-16, -0x1.e48850ffd66f5p-16, -0x1.e3c92782f33fap-16, -0x1.e305df5ec16fep-16, -0x1.e23e909386b0ep-16, -0x1.e17379938d2adp-16, -0x1.e0a4930f694e1p-16, -0x1.dfd1e3034fe59p-16, -0x1.defb7649a53f1p-16, -0x1.de215a1049383p-16, -0x1.dd439b3a7bc5ep-16, -0x1.dc62467ca5c23p-16, -0x1.db7d686e65fa6p-16, -0x1.da950d922b753p-16, -0x1.d9a94259d55aep-16, -0x1.d8ba132d96354p-16, -0x1.d7c78c6ce32aap-16, -0x1.d6d1ba62a8c76p-16, -0x1.d5d8a94611deep-16, -0x1.d4dc6545f6864p-16, -0x1.d3dcfa8b1f6c5p-16, -0x1.d2da753564b33p-16, -0x1.d1d4e1581452ap-16, -0x1.d0cc4af98b0d2p-16, -0x1.cfc0be0d64727p-16, -0x1.ceb2465b50349p-16, -0x1.cda0ef5076dbap-16, -0x1.cc8cc574a92c1p-16, -0x1.cb75d46471227p-16, -0x1.ca5c2704f95eep-16, -0x1.c93fc9426fd7cp-16, -0x1.c820c6c5ac2ccp-16, -0x1.c6ff2b1361cbap-16, -0x1.c5db01f1ec49bp-16, -0x1.c4b4569e547f2p-16, -0x1.c38b330f2d6dap-16, -0x1.c25fa3bbf02fbp-16, -0x1.c131b4f105c87p-16, -0x1.c00179dd4b229p-16, -0x1.becef97ee24a8p-16, -0x1.bd9a27a07f9bbp-16, -0x1.bc6310131e1f8p-16, -0x1.bb29d4c05f6ddp-16, -0x1.b9ee78c0d5232p-16, -0x1.b8b123c383b26p-16, -0x1.b771b7c6f3c37p-16, -0x1.b63050774860ep-16, -0x1.b4ece537fa245p-16, -0x1.b3a795ec6e874p-16, -0x1.b26066b909f34p-16, -0x1.b1176061ecde9p-16, -0x1.afcc8d42fab3ep-16, -0x1.ae7ff78f85349p-16, -0x1.ad31a8f04a048p-16, -0x1.abe1ace3baba6p-16, -0x1.aa900b0fc45bap-16, -0x1.a93ccfaf89063p-16, -0x1.a7e7e7483b645p-16, -0x1.a6917a7dfba9ap-16, -0x1.a539d7426b87fp-16, -0x1.a3e08f376216cp-16, -0x1.a285d9ee181c9p-16, -0x1.a129c30f6ddebp-16, -0x1.9fcc53c88cd68p-16, -0x1.9e6d94f88c987p-16, -0x1.9d0d8f959e7d4p-16, -0x1.9bac4ca3b1b7ap-16, -0x1.9a49d567e99eap-16, -0x1.98e6250f492dep-16, -0x1.97815b6c93442p-16, -0x1.961b8a09211cp-16, -0x1.94b4921b97aap-16, -0x1.934c94aecd7f3p-16, -0x1.91e39c622e14fp-16, -0x1.9079a65c2140dp-16, -0x1.8f0ec023349f1p-16, -0x1.8da2f1f592ffbp-16, -0x1.8c36446acd68ep-16, -0x1.8ac8bf25937e3p-16, -0x1.895a6a0bd653fp-16, -0x1.87eb4d1dbad61p-16, -0x1.867b703fff21dp-16, -0x1.850add7a959dep-16, -0x1.839995c203713p-16, -0x1.8227a75c32931p-16, -0x1.80b5178fc42c6p-16, -0x1.7f41ed451bd67p-16, -0x1.7dce31aa8a7a4p-16, -0x1.7c59ea8bf885fp-16, -0x1.7ae51f18893ffp-16, -0x1.796fd745dc10fp-16, -0x1.77fa19898e5ddp-16, -0x1.7683ec94370d7p-16, -0x1.750d584efe1a2p-16, -0x1.7396630c808c3p-16, -0x1.721f139d24852p-16, -0x1.70a770b99b757p-16, -0x1.6f2f8104c0936p-16, -0x1.6db74b0d1f681p-16, -0x1.6c3ed54ed245fp-16, -0x1.6ac6263246ac2p-16, -0x1.694d440e681e2p-16, -0x1.67d4352905059p-16, -0x1.665affb462ffep-16, -0x1.64e1a9cf3d6d9p-16, -0x1.63683989063c9p-16, -0x1.61eeb4d5c5aa5p-16, -0x1.6075219c26a8cp-16, -0x1.5efb85e7b3b58p-16, -0x1.5d81e975f1b41p-16, -0x1.5c084d73a5c8dp-16, -0x1.5a8ebbd399c8ap-16, -0x1.5915324ec815fp-16, -0x1.579bbfa9bca5ep-16, -0x1.562266730514ep-16, -0x1.54a92b84a43dbp-16, -0x1.533013ff05779p-16, -0x1.51b724fb4071p-16, -0x1.503e64406299cp-16, -0x1.4ec5d6a6031a8p-16, -0x1.4d4d80fba455ep-16, -0x1.4bd56776243d7p-16, -0x1.4a5d9147161c8p-16, -0x1.48e60122768p-16, -0x1.476ebc5a2b07fp-16, -0x1.45f7c7bfccc1dp-16, -0x1.448127f4f9cb2p-16, -0x1.430ae18961776p-16, -0x1.4194f8fa8375dp-16, -0x1.401f72403d65ap-16, -0x1.3eaa5320731d6p-16, -0x1.3d359e84c193ep-16, -0x1.3bc1592946673p-16, -0x1.3a4d875753f58p-16, -0x1.38da2e1040fccp-16, -0x1.37671bb5c335p-16, -0x1.35f4e6e32f38ep-16, -0x1.3483140fda113p-16, -0x1.3311bf2d8d6f7p-16, -0x1.31a0f675b5606p-16, -0x1.3030bd704be5ep-16, -0x1.2ec114e185777p-16, -0x1.2d52038866a7fp-16, -0x1.2be38d5e171c9p-16, -0x1.2a75b7a33fa6bp-16, -0x1.29087f76220a8p-16, -0x1.279bebccdd921p-16, -0x1.263000a683183p-16, -0x1.24c4c0ffc514cp-16, -0x1.235a2ffd6de22p-16, -0x1.21f050cf0873fp-16, -0x1.208726c13a7f7p-16, -0x1.1f1eb47f2097dp-16, -0x1.1db6fd85bed2bp-16, -0x1.1c5004b2745dep-16, -0x1.1ae9ccdeb1c23p-16, -0x1.198458c4d8b2ap-16, -0x1.181fac18b5d6cp-16, -0x1.16bbc93ead494p-16, -0x1.1558b33421542p-16, -0x1.13f654e5173a3p-16, -0x1.1294f235c2983p-16, -0x1.11345419b1a9bp-16, -0x1.0fd489481bbdep-16, -0x1.0e7598be5cb89p-16, -0x1.0d1786bb7103ap-16, -0x1.0bba3cf83cf5bp-16, -0x1.0a5df7879db49p-16, -0x1.0902837a868b5p-16, -0x1.07a7f5df2f325p-16, -0x1.064e4faadea66p-16, -0x1.04f5935fd08ep-16, -0x1.039dc2f82d09ep-16, -0x1.0246e089be1f5p-16, -0x1.00f0ee22ec7a4p-16, -0x1.ff37db9eaecf6p-17, -0x1.fc8fc2f8bdcb5p-17, -0x1.f9e992e179bafp-17, -0x1.f74558c57df5dp-17, -0x1.f4a30e3a1bce6p-17, -0x1.f202bab844c4p-17, -0x1.ef6461c869bdap-17, -0x1.ecc806d945e4ap-17, -0x1.ea2da718e1d14p-17, -0x1.e79564ae71b4ap-17, -0x1.e4ff0ada7bfb8p-17, -0x1.e26ac724f1783p-17, -0x1.dfd891fabbf5fp-17, -0x1.dd486dd18cf0cp-17, -0x1.daba5d70fa548p-17, -0x1.d82e63aa7863dp-17, -0x1.d5a48336af1b4p-17, -0x1.d31cbe0a31b48p-17, -0x1.d09717d015efcp-17, -0x1.ce13938583b93p-17, -0x1.cb9231d8913f1p-17, -0x1.c912f83ac6aeep-17, -0x1.c695e911a1e23p-17, -0x1.c41ba456be414p-17, -0x1.c1a2481e14038p-17, -0x1.bf2bb591ab689p-17, -0x1.bcb7595c2e1ap-17, -0x1.ba4530a032d37p-17, -0x1.b7d53cf8050dep-17, -0x1.b5677cc681884p-17, -0x1.b2fbf6dcb366ep-17, -0x1.b092b210d3aa6p-17, -0x1.ae2ba3deeb58bp-17, -0x1.abc6d4091979ap-17, -0x1.a96443dc4bc6p-17, -0x1.a703f70d41027p-17, -0x1.a4a5f97897cd2p-17, -0x1.a24a1eaa6ba69p-17, -0x1.9ff095c267afdp-17, -0x1.9d99562f49b22p-17, -0x1.9b445eef4e372p-17, -0x1.98f1b11cf691fp-17, -0x1.96a14694bdaefp-17, -0x1.94532afb29185p-17, -0x1.92075ec02a1c4p-17, -0x1.8fbddef44f73ep-17, -0x1.8d76a74961acp-17, -0x1.8b31bf808c3e7p-17, -0x1.88ef279351853p-17, -0x1.86aedfb90dc9fp-17, -0x1.8470e87f7a0c4p-17, -0x1.823541184585dp-17, -0x1.7ffbed2d1acb2p-17, -0x1.7dc4ebccac538p-17, -0x1.7b903cf9c37dbp-17, -0x1.795de192646fap-17, -0x1.772ddc16a674p-17, -0x1.750052db658fep-17, -0x1.72d4c9252d105p-17, -0x1.70abbb4e402b9p-17, -0x1.6e85061ddccbcp-17, -0x1.6c60a6a85a1e6p-17, -0x1.6a3e98741233ap-17, -0x1.681ee22acf08ep-17, -0x1.660181594db6p-17, -0x1.63e675f2761c7p-17, -0x1.61cdc01b71475p-17, -0x1.5fb75fca9ed8p-17, -0x1.5da3547971d5fp-17, -0x1.5b919e78f6849p-17, -0x1.59823e44b586ep-17, -0x1.577538c84727cp-17, -0x1.556a3561ea56p-17, -0x1.53622097a6c2ep-17, -0x1.515bb93cfc129p-17, -0x1.4f5850a27c24dp-17, -0x1.4d56e8c18fd64p-17, -0x1.4b57d3c30234p-17, -0x1.495b106dfad47p-17, -0x1.47609fbd9c142p-17, -0x1.456880f02e541p-17, -0x1.4372b291142bp-17, -0x1.417f41a866536p-17, -0x1.3f8e068c3ac1cp-17, -0x1.3d9f2808c1b8bp-17, -0x1.3bb29860ab3c8p-17, -0x1.39c86c656b842p-17, -0x1.37e05fc157f4dp-17, -0x1.35fab5ad6dfc1p-17, -0x1.341757a606599p-17, -0x1.3236446db41e6p-17, -0x1.30577bd8991d5p-17, -0x1.2e7b166b898b3p-17, -0x1.2ca0c392525f6p-17, -0x1.2ac8c2c9bc03cp-17, -0x1.28f326328147fp-17, -0x1.271fc0ac3a269p-17, -0x1.254e9fb076334p-17, -0x1.237fc544ac66p-17, -0x1.21b37c7da524fp-17, -0x1.1fe8cddddabd1p-17, -0x1.1e20b16d4a9aep-17, -0x1.1c5ad60889a75p-17, -0x1.1a9738c3a623ap-17, -0x1.18d5d85dd1b75p-17, -0x1.1716d67d30df5p-17, -0x1.1559c98e33893p-17, -0x1.139f18fb1079ap-17, -0x1.11e6a1af2f908p-17, -0x1.10305f2a62fcbp-17, -0x1.0e7c4ec3ec072p-17, -0x1.0cca7725cb024p-17, -0x1.0b1ada8337929p-17, -0x1.096d54f92684ep-17, -0x1.07c202f5b9fep-17, -0x1.06190f1656e85p-17, -0x1.0472273600dd2p-17, -0x1.02cd6ffea7d29p-17, -0x1.012adda16360ep-17, -0x1.ff14efebc2549p-18, -0x1.fbd872db03b48p-18, -0x1.f8a04383fd10ep-18, -0x1.f56c5e4569bep-18, -0x1.f23cc01509fb1p-18, -0x1.ef1165ef27347p-18, -0x1.ebea4ce0b81b7p-18, -0x1.e8c7720068807p-18, -0x1.e5a8d50dba43cp-18, -0x1.e28e4dec40bcap-18, -0x1.df7836b111f52p-18, -0x1.dc66338ab9fcbp-18, -0x1.d9585fc390523p-18, -0x1.d64eb928b2c6fp-18, -0x1.d3493218026c5p-18, -0x1.d047d8d125146p-18, -0x1.cd4a9dc3c3f03p-18, -0x1.ca5182b04070dp-18, -0x1.c75c8103cacd4p-18, -0x1.c46b971310eep-18, -0x1.c17ec142ef917p-18, -0x1.be95fd3831da3p-18, -0x1.bbb146b8573eep-18, -0x1.b8d09bedb0696p-18, -0x1.b5f38a0139b51p-18, -0x1.b31b5d7bd9db7p-18, -0x1.b046b12d9844cp-18, -0x1.ad760a4cdbb44p-18, -0x1.aaa95cc0c9389p-18, -0x1.a7e0a469e7d43p-18, -0x1.a51bddadd4cf6p-18, -0x1.a25b050230a8cp-18, -0x1.9f9e16e1aa064p-18, -0x1.9ce511693f841p-18, -0x1.9a2fe7b7c07eap-18, -0x1.977ea680f793p-18, -0x1.94d14190cdce9p-18, -0x1.9227a7f26bfb9p-18, -0x1.8f81f695d30b2p-18, -0x1.8ce08985c4201p-18, -0x1.8a41fa79f1982p-18, -0x1.87a7a51ef2c0ap-18, -0x1.85111abceaccfp-18, -0x1.827e53b1b550ep-18, -0x1.7fef503fff034p-18, -0x1.7d63d346db845p-18, -0x1.7adc6ae2035f9p-18, -0x1.785888352d6b5p-18, -0x1.75d857429595bp-18, -0x1.735bd3d045654p-18, -0x1.70e304afcc4acp-18, -0x1.6e6db77f803dap-18, -0x1.6bfc27f2a1007p-18, -0x1.698e3f2f6389fp-18, -0x1.6723e339c93fep-18, -0x1.64bd1c71c5dfep-18, -0x1.625a2dc3ecca4p-18, -0x1.5ffa4718118b3p-18, }}, 
      {{-0x1.eca0d5c356848p-6, 0x1.167ce3509a037p-6, 0x1.2e2c1b70b2d5ap-4, 0x1.0b26280a2861ep-3, 0x1.73e9a73d2d665p-3, 0x1.cc0f0ab2da51cp-3, 0x1.08ed2bb684798p-2, 0x1.22d91493c664ap-2, 0x1.3496bdbd85024p-2, 0x1.3f3c1930db4efp-2, 0x1.43f8c06a39e51p-2, 0x1.43f849ef94552p-2, 0x1.40512aaa06a64p-2, 0x1.39fbbd520a443p-2, 0x1.31ce82637cc32p-2, 0x1.287da7425c3c4p-2, 0x1.1e9c8ae33c997p-2, 0x1.14a065bf9161fp-2, 0x1.0ae3865fd927bp-2, 0x1.01a8c5c342865p-2, 0x1.f23df0222a70dp-3, 0x1.e2c8673dac6c9p-3, 0x1.d511ae6e23286p-3, 0x1.c92486b8d2597p-3, 0x1.befa83b586198p-3, 0x1.b680378b7ef82p-3, 0x1.af98c1df58de3p-3, 0x1.aa20cb8acd7a9p-3, 0x1.a5f0fb7ff3ba7p-3, 0x1.a2dff2a7a4d3cp-3, 0x1.a0c3dd3eb5a88p-3, 0x1.9f73a809f8817p-3, 0x1.9ec7e73cb3a3ap-3, 0x1.9e9b7be6ea261p-3, 0x1.9ecc0399205bp-3, 0x1.9f3a1ca8c33e6p-3, 0x1.9fc9880a75e9dp-3, 0x1.a06130803b723p-3, 0x1.a0eb1db23ff27p-3, 0x1.a154588b5f29cp-3, 0x1.a18cc529caf0ap-3, 0x1.a186f5f4073b9p-3, 0x1.a137fa8486efap-3, 0x1.a0972c7887ce7p-3, 0x1.9f9dfbafdef74p-3, 0x1.9e47bb17e145fp-3, 0x1.9c916ed01a35ep-3, 0x1.9a799c3870149p-3, 0x1.98001c491145cp-3, 0x1.9525f076f0ee5p-3, 0x1.91ed1a54d4eb7p-3, 0x1.8e58760d03fa7p-3, 0x1.8a6b97b89f556p-3, 0x1.862aab88bfebbp-3, 0x1.819a58b04712fp-3, 0x1.7cbfa6fce81d8p-3, 0x1.779fe708ddf69p-3, 0x1.72409ce438c41p-3, 0x1.6ca76d0e64fe5p-3, 0x1.66da0b9c36355p-3, 0x1.60de2d6ef0b9fp-3, 0x1.5ab97b64835aap-3, 0x1.547187613faf2p-3, 0x1.4e0bc30885a16p-3, 0x1.478d77f43dfe3p-3, 0x1.40fbc14182b57p-3, 0x1.3a5b8657d8372p-3, 0x1.33b176d8f4215p-3, 0x1.2d0207a7da695p-3, 0x1.265170ecfbabp-3, 0x1.1fa3acefdf2fep-3, 0x1.18fc779b3c38fp-3, 0x1.125f4e8821354p-3, 0x1.0bcf7173113d3p-3, 0x1.054fe314f69adp-3, 0x1.fdc6d4ad03fe2p-4, 0x1.f11927bc4bca2p-4, 0x1.e49b67d8390b6p-4, 0x1.d851d0e5ca515p-4, 0x1.cc4036b6d54f9p-4, 0x1.c06a09a4bcd65p-4, 0x1.b4d25b3f11026p-4, 0x1.a97be2e82032bp-4, 0x1.9e690259f41d4p-4, 0x1.939bc9e8addbcp-4, 0x1.8915fd22fb7a4p-4, 0x1.7ed916e2dbe8fp-4, 0x1.74e64dc7af42ep-4, 0x1.6b3e9854180a8p-4, 0x1.61e2b12e70c9cp-4, 0x1.58d31b197fc2bp-4, 0x1.501024d4da82p-4, 0x1.4799ecd5552cp-4, 0x1.3f7064c18539dp-4, 0x1.379354bfb852p-4, 0x1.30025e98fd1dep-4, 0x1.28bd00aa4a208p-4, 0x1.21c298b89f32fp-4, 0x1.1b126695f7daap-4, 0x1.14ab8eae454b4p-4, 0x1.0e8d1c763747fp-4, 0x1.08b604b847c8dp-4, 0x1.032527d6b187fp-4, 0x1.fbb2a7a9fa9f1p-5, 0x1.f1a28cb89a3f9p-5, 0x1.e8175d40e89c1p-5, 0x1.df0e5e32e6927p-5, 0x1.d684be6cf5c7p-5, 0x1.ce7799bc0c2c3p-5, 0x1.c6e3fbcedac84p-5, 0x1.bfc6e2dfc473cp-5, 0x1.b91d423cc5339p-5, 0x1.b2e4049793c1ap-5, 0x1.ad180e35a1549p-5, 0x1.a7b63ef740f58p-5, 0x1.a2bb7428bd4e5p-5, 0x1.9e248a5524dcdp-5, 0x1.99ee5ed5bf912p-5, 0x1.9615d14bf50cbp-5, 0x1.9297c51356af6p-5, 0x1.8f7122727d36ep-5, 0x1.8c9ed7d45f7bdp-5, 0x1.8a1ddad257342p-5, 0x1.87eb2926ca203p-5, 0x1.8603c9a9521adp-5, 0x1.8464ccf9c211ep-5, 0x1.830b4e416f36bp-5, 0x1.81f473f2f5bf1p-5, 0x1.811d702c1f13bp-5, 0x1.808381492bd91p-5, 0x1.8023f26d718ddp-5, 0x1.7ffc1bb0e487fp-5, 0x1.800962887cf36p-5, 0x1.80493a24a70e9p-5, 0x1.80b9237517673p-5, 0x1.8156ad6eec61cp-5, 0x1.821f75483bf6fp-5, 0x1.8311265cfa663p-5, 0x1.84297a55784c4p-5, 0x1.8566395620fb8p-5, 0x1.86c539c50acbbp-5, 0x1.88446047a3c76p-5, 0x1.89e19ffb14c42p-5, 0x1.8b9afa376c6dep-5, 0x1.8d6e7e4d51a1cp-5, 0x1.8f5a49b8d5e86p-5, 0x1.915c88112ffb7p-5, 0x1.93737295731f1p-5, 0x1.959d5024c6fep-5, 0x1.97d875689781bp-5, 0x1.9a23447531757p-5, 0x1.9c7c2c63230f3p-5, 0x1.9ee1a974f9ea1p-5, 0x1.a152451696f9bp-5, 0x1.a3cc9551dabbap-5, 0x1.a64f3c87afe08p-5, 0x1.a8d8e9a8ea3d3p-5, 0x1.ab68581134ddp-5, 0x1.adfc4ee7b0ccep-5, 0x1.b093a0eb9151cp-5, 0x1.b32d2cb69e547p-5, 0x1.b5c7dc8925f2cp-5, 0x1.b862a59b9495cp-5, 0x1.bafc87e8e37c1p-5, 0x1.bd948e7de1889p-5, 0x1.c029cf5254c4ap-5, 0x1.c2bb6a87b45a3p-5, 0x1.c5488a0d85bf6p-5, 0x1.c7d061fab9f1ep-5, 0x1.ca5230a253eaap-5, 0x1.cccd3dd73f735p-5, 0x1.cf40da3cb3f7fp-5, 0x1.d1ac5f708ab81p-5, 0x1.d40f3074e1227p-5, 0x1.d668b953e6cd5p-5, 0x1.d8b86e36d1154p-5, 0x1.dafdcb0371583p-5, 0x1.dd3853bbeedf6p-5, 0x1.df6794b86da99p-5, 0x1.e18b2215da7afp-5, 0x1.e3a296ea53e6dp-5, 0x1.e5ad9513ba23fp-5, 0x1.e7abc5853eff7p-5, 0x1.e99cd84e99dffp-5, 0x1.eb80840e052b2p-5, 0x1.ed568558db099p-5, 0x1.ef1e9e9eeb596p-5, 0x1.f0d8985457c9p-5, 0x1.f28440d1d38bcp-5, 0x1.f4216bcf45d83p-5, 0x1.f5aff1f1adbaep-5, 0x1.f72fb0c0c52f5p-5, 0x1.f8a08ac75f0b8p-5, 0x1.fa0267683db35p-5, 0x1.fb5532555fa97p-5, 0x1.fc98db18959ecp-5, 0x1.fdcd54befbb46p-5, 0x1.fef2970957632p-5, 0x1.00044e8c68b9cp-4, 0x1.0087b3118df45p-4, 0x1.0103799386a2ap-4, 0x1.0177a43d18d69p-4, 0x1.01e436f53fc13p-4, 0x1.024936c2bc248p-4, 0x1.02a6aa3142016p-4, 0x1.02fc990f39053p-4, 0x1.034b0c139586ap-4, 0x1.03920cdaea642p-4, 0x1.03d1a6094266p-4, 0x1.0409e34191503p-4, 0x1.043ad11561904p-4, 0x1.04647ce1bc43p-4, 0x1.0486f4a32beb8p-4, 0x1.04a246d528b27p-4, 0x1.04b682813ec5cp-4, 0x1.04c3b77247bcep-4, 0x1.04c9f5d52f858p-4, 0x1.04c94e6cbca09p-4, 0x1.04c1d23f57ca2p-4, 0x1.04b39296d56f9p-4, 0x1.049ea0f1a14b3p-4, 0x1.04830f2ce921ep-4, 0x1.0460ef6c3ffadp-4, 0x1.04385407c9d4cp-4, 0x1.04094f765044ep-4, 0x1.03d3f43ca5ba6p-4, 0x1.039854e08860bp-4, 0x1.0356840ae785bp-4, 0x1.030e946cd1dccp-4, 0x1.02c098d19fd04p-4, 0x1.026ca40526df3p-4, 0x1.0212c8c5cd6fbp-4, 0x1.01b319be3ea98p-4, 0x1.014da97b9c683p-4, 0x1.00e28a9d917e3p-4, 0x1.0071cf95546c8p-4, 0x1.fff715c58d836p-5, 0x1.feff9dd425e29p-5, 0x1.fdfd5be32d2a2p-5, 0x1.fcf0743ab6e7p-5, 0x1.fbd90ae4bdffbp-5, 0x1.fab743a3e741fp-5, 0x1.f98b424b38676p-5, 0x1.f8552a310b6b4p-5, 0x1.f7151ead02e7fp-5, 0x1.f5cb42c5ecd5ep-5, 0x1.f477b93d49755p-5, 0x1.f31aa49063056p-5, 0x1.f1b427008fffp-5, 0x1.f044629d293e6p-5, 0x1.eecb794581803p-5, 0x1.ed498cb28f31bp-5, 0x1.ebbebe600d0ecp-5, 0x1.ea2b2f97b566p-5, 0x1.e88f0168aef1bp-5, 0x1.e6ea54ae8e30ep-5, 0x1.e53d4a1892ea5p-5, 0x1.e3880231aa5e4p-5, 0x1.e1ca9d5f4218ap-5, 0x1.e0053bfabff54p-5, 0x1.de37fe654fd73p-5, 0x1.dc630373b9adep-5, 0x1.da866d42c1085p-5, 0x1.d8a258f991786p-5, 0x1.d6b6e8b5f999dp-5, 0x1.d4c439fe6eabbp-5, 0x1.d2ca6ddd56bb6p-5, 0x1.d0c9a328b6072p-5, 0x1.cec1f90119fd7p-5, 0x1.ccb38f7c32314p-5, 0x1.ca9e8551317c9p-5, 0x1.c882fa0c462f8p-5, 0x1.c6610c91a49d9p-5, 0x1.c438dc8bdad5fp-5, 0x1.c20a88c61f3fp-5, 0x1.bfd6307019564p-5, 0x1.bd9bf2e2bbbe4p-5, 0x1.bb5bef296b434p-5, 0x1.b91644853ee01p-5, 0x1.b6cb11f077891p-5, 0x1.b47a769aff958p-5, 0x1.b22491b0e724ep-5, 0x1.afc982663ae6fp-5, 0x1.ad6967ee7a749p-5, 0x1.ab04615913435p-5, 0x1.a89a8de285d9bp-5, 0x1.a62c0cbff752fp-5, 0x1.a3b8fd36d028p-5, 0x1.a1417e88fe4dep-5, 0x1.9ec5b0008f78dp-5, 0x1.9c45b0cd96d09p-5, 0x1.99c1a0298a3a3p-5, 0x1.97399d63e5e6cp-5, 0x1.94adc7c57ec09p-5, 0x1.921e3e93c6669p-5, 0x1.8f8b211d30cdap-5, 0x1.8cf48eb734abdp-5, 0x1.8a5aa69eab8bep-5, 0x1.87bd8804062cap-5, 0x1.851d5227c05f1p-5, 0x1.827a24448499bp-5, 0x1.7fd41d7ee9a86p-5, 0x1.7d2b5d0206e9bp-5, 0x1.7a8001dfa3202p-5, 0x1.77d22b3239fc4p-5, 0x1.7521f7fe186cdp-5, 0x1.726f872547e99p-5, 0x1.6fbaf782be45cp-5, 0x1.6d0467e65d783p-5, 0x1.6a4bf70753c7fp-5, 0x1.6791c383046eep-5, 0x1.64d5ebdc87e1bp-5, 0x1.62188e7c5e0dfp-5, 0x1.5f59c9b30c432p-5, 0x1.5c99bbb5dfe7p-5, 0x1.59d8828d39a82p-5, 0x1.57163c1a652ddp-5, 0x1.54530623dad65p-5, 0x1.518efe43a113dp-5, 0x1.4eca41f60cc2ep-5, 0x1.4c04ee7bbd40bp-5, 0x1.493f20eecaae2p-5, 0x1.4678f637888f2p-5, 0x1.43b28b0c66206p-5, 0x1.40ebfbf3afa4fp-5, 0x1.3e25653f7641fp-5, 0x1.3b5ee3017f28bp-5, 0x1.3898910f25e5ep-5, 0x1.35d28b07de5c9p-5, 0x1.330cec4e78bd9p-5, 0x1.3047d00429f6fp-5, 0x1.2d8351072d44bp-5, 0x1.2abf89f178666p-5, 0x1.27fc951710d67p-5, 0x1.253a8c8452ed4p-5, 0x1.227989fce8f19p-5, 0x1.1fb9a6fb6e8f3p-5, 0x1.1cfafcab748fap-5, 0x1.1a3da3f02af0ep-5, 0x1.1781b54dbbebep-5, 0x1.14c748ff87ba9p-5, 0x1.120e76ef8fae8p-5, 0x1.0f5756b2bcb1fp-5, 0x1.0ca1ff876728dp-5, 0x1.09ee885459429p-5, 0x1.073d07a7ae778p-5, 0x1.048d93b58cabap-5, 0x1.01e04256e7861p-5, 0x1.fe6a52113d1d1p-6, 0x1.f918b9d60bcebp-6, 0x1.f3cbe5831a91cp-6, 0x1.ee83fde063dbap-6, 0x1.e9412aef8a283p-6, 0x1.e40393ef5e1a8p-6, 0x1.decb5f604fa53p-6, 0x1.d998b3007049bp-6, 0x1.d46bb3c756609p-6, 0x1.cf4485e4194c3p-6, 0x1.ca234cb7a2f31p-6, 0x1.c5082ae88be41p-6, 0x1.bff34243e00a8p-6, 0x1.bae4b3d271e33p-6, 0x1.b5dc9fd1d97d8p-6, 0x1.b0db25b3c10acp-6, 0x1.abe0641e65a47p-6, 0x1.a6ec78ecfca12p-6, 0x1.a1ff812e227a3p-6, 0x1.9d19992064268p-6, 0x1.983adc3346fc8p-6, 0x1.9363650bca09ep-6, 0x1.8e934d8524c72p-6, 0x1.89caaeaf38194p-6, 0x1.8509a0ce26e13p-6, 0x1.80503b5b0f0d5p-6, 0x1.7b9e9504ca69p-6, 0x1.76f4c3b0bd7efp-6, 0x1.7252dc7b942fep-6, 0x1.6db8f3ba23948p-6, 0x1.69271cfa669d7p-6, 0x1.649d6b04d6e1cp-6, 0x1.601befddd9216p-6, 0x1.5ba2bcc4008a4p-6, 0x1.5731e23a80073p-6, 0x1.52c97002e0eafp-6, 0x1.4e69751a16ea8p-6, 0x1.4a11ffc174bafp-6, 0x1.45c31d7eef9ebp-6, 0x1.417cdb1f9f0c9p-6, 0x1.3d3f44b87b62fp-6, 0x1.390a65a7840bdp-6, 0x1.34de489584a97p-6, 0x1.30baf7784ada5p-6, 0x1.2ca07b94c40fep-6, 0x1.288edd810bea4p-6, 0x1.2486252693e92p-6, 0x1.208659c42fabp-6, 0x1.1c8f81f026cddp-6, 0x1.18a1a39a59ceep-6, 0x1.14bcc40e77cefp-6, 0x1.10e0e7f656d0ep-6, 0x1.0d0e135c80bf5p-6, 0x1.094449ae768f4p-6, 0x1.05838dbe6fcb8p-6, 0x1.01cbe1c50eddep-6, 0x1.fc3a8ec8c1912p-7, 0x1.f4ef7f5743ce9p-7, 0x1.edb69633c0229p-7, 0x1.e68fd33aa7a6ap-7, 0x1.df7b353a044ffp-7, 0x1.d878b9e7d466cp-7, 0x1.d1885de72761ap-7, 0x1.caaa1cd55f145p-7, 0x1.c3ddf14b0432cp-7, 0x1.bd23d4e13906dp-7, 0x1.b67bc03775544p-7, 0x1.afe5aaf86f226p-7, 0x1.a9618bdfe34a9p-7, 0x1.a2ef58bf4cff8p-7, 0x1.9c8f06830140cp-7, 0x1.9640893786d29p-7, 0x1.9003d40ee45bep-7, 0x1.89d8d9657c84bp-7, 0x1.83bf8ac765ee4p-7, 0x1.7db7d8f43210bp-7, 0x1.77c1b3e43b58ep-7, 0x1.71dd0acdbf33ep-7, 0x1.6c09cc2b5efb6p-7, 0x1.6647e5c176858p-7, 0x1.609744a2be8f7p-7, 0x1.5af7d534ca90bp-7, 0x1.55698334e6421p-7, 0x1.4fec39bd01376p-7, 0x1.4a7fe348a9f43p-7, 0x1.452469b9f8f5bp-7, 0x1.3fd9b65e6f598p-7, 0x1.3a9fb1f1f2ca3p-7, 0x1.357644a3ba394p-7, 0x1.305d562517d98p-7, 0x1.2b54cd9c12816p-7, 0x1.265c91b3e35eep-7, 0x1.2174889fc4922p-7, 0x1.1c9c981e6d748p-7, 0x1.17d4a57ed26cfp-7, 0x1.131c95a49ed2cp-7, 0x1.0e744d0ca1dd3p-7, 0x1.09dbafd0c79bdp-7, 0x1.0552a1abef731p-7, 0x1.00d905fdee5eep-7, 0x1.f8dd7f9ffe3d1p-8, 0x1.f02763b355b49p-8, 0x1.e78f7d09e59a2p-8, 0x1.df158fe45b062p-8, 0x1.d6b95ff72386bp-8, 0x1.ce7ab071d5235p-8, 0x1.c65944069c4a4p-8, 0x1.be54dcf17a73fp-8, 0x1.b66d3cff4a82bp-8, 0x1.aea22594f664p-8, 0x1.a6f357b62f711p-8, 0x1.9f60940c212d1p-8, 0x1.97e99aec34e81p-8, 0x1.908e2c5efda11p-8, 0x1.894e08270ecc9p-8, 0x1.8228edc7fe2b8p-8, 0x1.7b1e9c8d75657p-8, 0x1.742ed392486cp-8, 0x1.6d5951c556625p-8, 0x1.669dd5ed96491p-8, 0x1.5ffc1ec0a1cb6p-8, 0x1.5973ead251dc6p-8, 0x1.5304f8a18b158p-8, 0x1.4caf069fba8eep-8, 0x1.4671d331d40b2p-8, 0x1.404d1cb47de21p-8, 0x1.3a40a180afc29p-8, 0x1.344c1ff04fc45p-8, 0x1.2e6f5662921cep-8, 0x1.28aa034060b66p-8, 0x1.22fbe504c03f7p-8, 0x1.1d64ba3cd89c9p-8, 0x1.17e4419576d41p-8, 0x1.127a39de7eea1p-8, 0x1.0d2662128f492p-8, 0x1.07e8795d0b2e2p-8, 0x1.02c03f1f2418ap-8, 0x1.fb5ae5e7249a8p-9, 0x1.f15fa961bffcap-9, 0x1.e78e48d415b9p-9, 0x1.dde644db55052p-9, 0x1.d4671e89fe77cp-9, 0x1.cb10576181ca7p-9, 0x1.c1e1715966d0ep-9, 0x1.b8d9eecd0abc1p-9, 0x1.aff952915b2cap-9, 0x1.a73f1ff27cf81p-9, 0x1.9eaadac2d35bbp-9, 0x1.963c076b9da3p-9, 0x1.8df22b015532ap-9, 0x1.85cccb599d85ap-9, 0x1.7dcb6f23118bcp-9, 0x1.75ed9ded53706p-9, 0x1.6e32e04734559p-9, 0x1.669abfccad504p-9, 0x1.5f24c7118d0b4p-9, 0x1.57d081a3cda1cp-9, 0x1.509d7bff56addp-9, 0x1.498b4376b3149p-9, 0x1.42996615e8defp-9, 0x1.3bc7728f9a8d4p-9, 0x1.3514f820e8161p-9, 0x1.2e818684b2db2p-9, 0x1.280caded984e5p-9, 0x1.21b5ff0c3899dp-9, 0x1.1b7d0b21ba1a6p-9, 0x1.1561641e4fae2p-9, 0x1.0f629cc8d51f4p-9, 0x1.098048ec98528p-9, 0x1.03b9fd883f4fdp-9, 0x1.fc1ea1f0f4fdap-10, 0x1.f0ffb6345b07ep-10, 0x1.e6166abcd34e6p-10, 0x1.db61f59b8c267p-10, 0x1.d0e18ff26ff6dp-10, 0x1.c69475b0f4d89p-10, 0x1.bc79e5322bec5p-10, 0x1.b2911ec3dffeep-10, 0x1.a8d9642336e79p-10, 0x1.9f51f7fddbb4ap-10, 0x1.95fa1d8520245p-10, 0x1.8cd118223b04cp-10, 0x1.83d62b5684f41p-10, 0x1.7b089acebe12p-10, 0x1.7267aaa9d63bbp-10, 0x1.69f29fee5cd2dp-10, 0x1.61a8c12589d7p-10, 0x1.5989570c27385p-10, 0x1.5193ad474ff36p-10, 0x1.49c713026ee52p-10, 0x1.4222db8bd795ep-10, 0x1.3aa65ea194f03p-10, 0x1.3350f86edf9c6p-10, 0x1.2c220972b24ccp-10, 0x1.2518f60bd8c44p-10, 0x1.1e3525cb1e06p-10, 0x1.1776029d4108dp-10, 0x1.10daf7de64d01p-10, 0x1.0a63716fe741fp-10, 0x1.040edae8ad2dfp-10, 0x1.fbb93ded6a0b6p-11, 0x1.ef984e0a19138p-11, 0x1.e3b9b66190b66p-11, 0x1.d81c45258ce61p-11, 0x1.ccbec7b0933eep-11, 0x1.c1a00c3dee0dcp-11, 0x1.b6bee3fcfd94dp-11, 0x1.ac1a255034d18p-11, 0x1.a1b0adf6e2fap-11, 0x1.978164eb4301ap-11, 0x1.8d8b3bbaa29dep-11, 0x1.83cd2f2ff072ap-11, 0x1.7a464736ee8d8p-11, 0x1.70f595f750507p-11, 0x1.67da363bbd2f6p-11, 0x1.5ef3494cfe1d5p-11, 0x1.563ff4798dd18p-11, 0x1.4dbf5e86f4d43p-11, 0x1.4570ad4dfcb63p-11, 0x1.3d5303b90e0b1p-11, 0x1.35658053e7213p-11, 0x1.2da73c8bf75e3p-11, 0x1.26174cb4aea0bp-11, 0x1.1eb4c0d4684e8p-11, 0x1.177ea6301723cp-11, 0x1.107409775286cp-11, 0x1.0993f967899c8p-11, 0x1.02dd89aab05c5p-11, 0x1.f89fab305f0ep-12, 0x1.ebd4056212952p-12, 0x1.df56848c5724cp-12, 0x1.d325a430c342cp-12, 0x1.c73ff87101aadp-12, 0x1.bba42ba2c7efcp-12, 0x1.b050fa5b212b1p-12, 0x1.a5452e7e6a4d2p-12, 0x1.9a7f99eec3515p-12, 0x1.8fff115cf532ep-12, 0x1.85c267a9d464cp-12, 0x1.7bc86a142f8a9p-12, 0x1.720fdd4b13508p-12, 0x1.68977b6c544eap-12, 0x1.5f5df2f21245p-12, 0x1.5661e6a898bd2p-12, 0x1.4da1eedbaee3cp-12, 0x1.451c9bf0e96cfp-12, 0x1.3cd07a8dae21bp-12, 0x1.34bc19293a1c7p-12, 0x1.2cde0e91203c1p-12, 0x1.253500852b1fep-12, 0x1.1dbfa958e3836p-12, 0x1.167cdb869fe0dp-12, 0x1.0f6b8278f55c3p-12, 0x1.088aa06600e32p-12, 0x1.01d949ca93ecp-12, 0x1.f6ad3f464b584p-13, 0x1.ea03938bfd68fp-13, 0x1.ddb3e5014e329p-13, 0x1.d1bc8a6fe4293p-13, 0x1.c61bd4cc6d11ap-13, 0x1.bad01d1d8c513p-13, 0x1.afd7bc21a7b83p-13, 0x1.a5310c57b4f8fp-13, 0x1.9ada684774abfp-13, 0x1.90d223768e9d1p-13, 0x1.8716834d4a8b1p-13, 0x1.7da5b8845cf37p-13, 0x1.747dde6ed751cp-13, 0x1.6b9cfddd0835ap-13, 0x1.630116c1c6039p-13, 0x1.5aa82e3a32c9ap-13, 0x1.52905e3414ce3p-13, 0x1.4ab7e2a84f2fdp-13, 0x1.431d22e0c0395p-13, 0x1.3bbeb37a0d836p-13, 0x1.349b500f601fdp-13, 0x1.2db1cd88bb304p-13, 0x1.270107cc6cf58p-13, 0x1.2087cf57f4723p-13, 0x1.1a44dbeac337cp-13, 0x1.1436c87ff5e37p-13, 0x1.0e5c1a4514ff2p-13, 0x1.08b350cd1858ep-13, 0x1.033afa9fba449p-13, 0x1.fbe38f23fe609p-14, 0x1.f1ad25a513f61p-14, 0x1.e7d0c25891788p-14, 0x1.de4ca7af3da52p-14, 0x1.d51f28f0fc246p-14, 0x1.cc4681bd07ef8p-14, 0x1.c3c0bb0cbd2fcp-14, 0x1.bb8ba56fc4dd8p-14, 0x1.b3a4e860a15fdp-14, 0x1.ac0a1f501524cp-14, 0x1.a4b8f9ddffacp-14, 0x1.9daf562227a41p-14, 0x1.96eb5010ea98dp-14, 0x1.906b45021e1d9p-14, 0x1.8a2dcc7edeb34p-14, 0x1.8431a7f68e406p-14, 0x1.7e75ab18b1052p-14, 0x1.78f89f17bf465p-14, 0x1.73b9249c13ecdp-14, 0x1.6eb59a0e18f0cp-14, 0x1.69ec0d3a3e326p-14, 0x1.655a3ec84b1dep-14, 0x1.60fdba32c34d4p-14, 0x1.5cd3fe7c9048dp-14, 0x1.58daad4bda4f2p-14, 0x1.550fb2f003e04p-14, 0x1.51715bbc823d6p-14, 0x1.4dfe5140e71cap-14, 0x1.4ab581b8808b2p-14, 0x1.4795fbc9d712dp-14, 0x1.449eccdc04dc5p-14, 0x1.41ceec1ef5c7bp-14, 0x1.3f25392441b78p-14, 0x1.3ca08931002bp-14, 0x1.3a3fb914ea0bfp-14, 0x1.3801bbc282563p-14, 0x1.35e5a25538c2bp-14, 0x1.33ea9d0784f9ap-14, 0x1.320ff458309cap-14, 0x1.3054fa3fa30f8p-14, 0x1.2eb8f78c2c347p-14, 0x1.2d3b1e54e3019p-14, 0x1.2bda8985fb0e4p-14, 0x1.2a96498550fbap-14, 0x1.296d748901b22p-14, 0x1.285f2e6e49ad4p-14, 0x1.276aa21c57b6fp-14, 0x1.268ef11f3d8a9p-14, 0x1.25cb25085c197p-14, 0x1.251e2bd7c547cp-14, 0x1.2486df595a58ap-14, 0x1.24040f9c39a4bp-14, 0x1.23948a1b40eb7p-14, 0x1.23371f57a9f3p-14, 0x1.22eaaca481eadp-14, 0x1.22ae2a65ac88bp-14, 0x1.2280b77a829b4p-14, 0x1.22619a73a2c0bp-14, 0x1.225037a2476c5p-14, 0x1.224c00bfde877p-14, 0x1.2254670d723a6p-14, 0x1.2268da5b8f8f3p-14, 0x1.2288d9bcd485ap-14, 0x1.22b40b88b3d65p-14, 0x1.22ea4647cfb34p-14, 0x1.232b7b6751866p-14, 0x1.23778c61f9dcep-14, 0x1.23ce24a556c3fp-14, 0x1.242eadd0c8521p-14, 0x1.2498612b9193cp-14, 0x1.250a6a5479ca2p-14, 0x1.25840ba3db897p-14, 0x1.2604b7fc18693p-14, 0x1.268c1adee7c4bp-14, 0x1.271a0db6ff9b4p-14, 0x1.27ae7f68ba6c6p-14, 0x1.2849577bf49f2p-14, 0x1.28ea627423c35p-14, 0x1.29914b1838206p-14, 0x1.2a3d98f2a91b5p-14, 0x1.2aeeab9446513p-14, 0x1.2ba3ba35bd475p-14, 0x1.2c5becf163057p-14, 0x1.2d1692c23c1aep-14, 0x1.2dd3513b27abp-14, 0x1.2e9221c1636a6p-14, 0x1.2f53165ceee4p-14, 0x1.301611725d3f8p-14, 0x1.30daabcd2176ap-14, 0x1.31a056ca9b313p-14, 0x1.326688f3e59aep-14, 0x1.332ce358bb94ap-14, 0x1.33f34924710aap-14, 0x1.34b9ba545eaa4p-14, 0x1.358018078f047p-14, 0x1.3646281cf96efp-14, 0x1.370bb6c35d8fep-14, 0x1.37d099a3825fep-14, 0x1.3894a499ad8e4p-14, 0x1.3957a2eabbc1fp-14, 0x1.3a1957dab5ca9p-14, 0x1.3ad9869a8312dp-14, 0x1.3b97fe0517f3bp-14, 0x1.3c54a1b555accp-14, 0x1.3d0f6a7300f74p-14, 0x1.3dc85c1d60228p-14, 0x1.3e7f761c37032p-14, 0x1.3f34a8d4d380cp-14, 0x1.3fe7d6389a9d3p-14, 0x1.4098d4303b17dp-14, 0x1.414761dd38575p-14, 0x1.41f31a990f70cp-14, 0x1.429b8b9dd725dp-14, 0x1.4340715841622p-14, 0x1.43e1dc309e7ecp-14, 0x1.448006d7298c4p-14, 0x1.451b070c9a201p-14, 0x1.45b2ae16f6f77p-14, 0x1.4646b34e6eb01p-14, 0x1.46d6f2a8a7516p-14, 0x1.47637a0d996bbp-14, 0x1.47ec618201291p-14, 0x1.4871a5555f1e5p-14, 0x1.48f325b3a2cc3p-14, 0x1.4970b9ef6f10fp-14, 0x1.49ea3df2cfbd4p-14, 0x1.4a5f956a316a1p-14, 0x1.4ad0aaf66e031p-14, 0x1.4b3d6f65a7aaap-14, 0x1.4ba5d9ff28ee8p-14, 0x1.4c09e7966e602p-14, 0x1.4c6998a343878p-14, 0x1.4cc4ee6d2004ap-14, 0x1.4d1be8e23ab3fp-14, 0x1.4d6e85d19b802p-14, 0x1.4dbcc1307df12p-14, 0x1.4e06958e546e1p-14, 0x1.4e4bfc54fe8ecp-14, 0x1.4e8cef0b8d30dp-14, 0x1.4ec96b2bb0eccp-14, 0x1.4f01762df70ddp-14, 0x1.4f3519e19fc72p-14, 0x1.4f6455756923bp-14, 0x1.4f8f12f3871d2p-14, 0x1.4fb5383de458fp-14, 0x1.4fd6c3be41602p-14, 0x1.4ff3c5ab2e019p-14, 0x1.500c4128ad2cp-14, 0x1.5020298f191cap-14, 0x1.502f7c38f8065p-14, 0x1.503a47f44faf9p-14, 0x1.50409a30c82e6p-14, 0x1.504274ec07552p-14, 0x1.503fd57912a4ap-14, 0x1.5038bcd59fc3ep-14, 0x1.502d2faa133dap-14, 0x1.501d340a58e5p-14, 0x1.5008d02194953p-14, 0x1.4ff009e0edc1ap-14, 0x1.4fd2e711e9cc1p-14, 0x1.4fb16d75ccd14p-14, 0x1.4f8ba2cab8073p-14, 0x1.4f618c00f3d73p-14, 0x1.4f332c2fe8cf1p-14, 0x1.4f009cc60a547p-14, 0x1.4ec9cc7f4c79ap-14, 0x1.4e8ec654b612ep-14, 0x1.4e4fa17bf8c96p-14, 0x1.4e0c597bd3326p-14, 0x1.4dc4f95898b4bp-14, 0x1.4d79890ae0edfp-14, 0x1.4d2a107e856fdp-14, 0x1.4cd698887b5fbp-14, 0x1.4c7f2ba2cbb49p-14, 0x1.4c23d4a1eaa33p-14, 0x1.4bc49bcd1c9acp-14, 0x1.4b61869c70facp-14, 0x1.4afa9cf7e1476p-14, 0x1.4a8fea4e4b3e4p-14, 0x1.4a2178998cc5cp-14, 0x1.49af5421e891fp-14, 0x1.49398bb3127a1p-14, 0x1.48c026026a5fcp-14, 0x1.48432614e9957p-14, 0x1.47c295e15788ap-14, 0x1.473e8387ed7f8p-14, 0x1.46b6fbeea1b55p-14, 0x1.462c0a0bf5b7cp-14, 0x1.459db7fe4e572p-14, 0x1.450c0fce9159fp-14, 0x1.44771bb37e873p-14, 0x1.43dee61ad66c1p-14, 0x1.434379a2ea953p-14, 0x1.42a4e1141fe87p-14, 0x1.4203275bb6849p-14, 0x1.415e5782e4316p-14, 0x1.40b67c9d3d7fp-14, 0x1.400ba1afc4634p-14, 0x1.3f5dd19b66d8ep-14, 0x1.3ead1716517bfp-14, 0x1.3df97cbb1f3a7p-14, 0x1.3d430d3052dd7p-14, 0x1.3c89d35fad04ap-14, 0x1.3bcddab9e4207p-14, 0x1.3b0f2f53e8fe3p-14, 0x1.3a4ddd523f018p-14, 0x1.3989ef74d5bbbp-14, 0x1.38c36e844a987p-14, 0x1.37fa63a8ca91p-14, 0x1.372edb85ec281p-14, 0x1.3660e5affc4ffp-14, 0x1.35908e3083b3bp-14, 0x1.34bdd8def0921p-14, 0x1.33e8ce28f0b11p-14, 0x1.33117bacf7017p-14, 0x1.3237ee1b806c1p-14, 0x1.315c3419f80c8p-14, 0x1.307e5f45dc18bp-14, 0x1.2f9e6d1b06ec2p-14, 0x1.2ebc566373718p-14, 0x1.2dd8362a4bddp-14, 0x1.2cf22acd837d9p-14, 0x1.2c0a274023cb1p-14, 0x1.2b1faaff25e9ap-14, 0x1.2a3492f8b66c9p-14, 0x1.2946fa6c7317p-14, 0x1.285794f229b72p-14, 0x1.27667299a798dp-14, 0x1.26739d4b869f4p-14, 0x1.257f1e333491fp-14, 0x1.2488ff0ab3461p-14, 0x1.23914a0c2d4a3p-14, 0x1.229809a51ee53p-14, 0x1.219d482a83ef1p-14, 0x1.20a10f70ec551p-14, 0x1.1fa3686c3fc9fp-14, 0x1.1ea45b8f3616bp-14, 0x1.1da3f102e82c1p-14, 0x1.1ca230c4a01dfp-14, 0x1.1b9f22e8b7adcp-14, 0x1.1a9ad03d17523p-14, 0x1.1995431a7ab1ep-14, 0x1.188e86f9ebe2p-14, 0x1.1786a6445f37p-14, 0x1.167da91f34abap-14, 0x1.15739631ab612p-14, 0x1.146878fd7503ep-14, 0x1.135c742ef0c2p-14, 0x1.124f9f9c4d2a9p-14, 0x1.1141c955826f3p-14, 0x1.1032d942420d9p-14, 0x1.0f23022abcff9p-14, 0x1.0e126c53ab309p-14, 0x1.0d00f758639a9p-14, 0x1.0beeaaa544626p-14, 0x1.0adbad127c33ap-14, 0x1.09c809c137d1ep-14, 0x1.08b3b8cb04185p-14, 0x1.079eb87e76906p-14, 0x1.06890fe23f772p-14, 0x1.0572c8f674cfcp-14, 0x1.045bed68db5f2p-14, 0x1.034485ebdca9cp-14, 0x1.022c9a9d4aa3ap-14, 0x1.0114330620758p-14, 0x1.fff6ac8b2d14ep-15, 0x1.fdc416cea7b7dp-15, 0x1.fb90b303a5163p-15, 0x1.f95c8fb1308f5p-15, 0x1.f727bb9f0e12dp-15, 0x1.f4f245497380dp-15, 0x1.f2bc3a329587ep-15, 0x1.f085a6acb11edp-15, 0x1.ee4e964e1d8cfp-15, 0x1.ec17148cb75fbp-15, 0x1.e9df2ce96e9bep-15, 0x1.e7a6ea999c916p-15, 0x1.e56e5832c3379p-15, 0x1.e335806e5dd7fp-15, 0x1.e0fc70e6258a6p-15, 0x1.dec33c55ad27bp-15, 0x1.dc89f6b1499bdp-15, 0x1.da50ac4b9757cp-15, 0x1.d8175c90a09p-15, 0x1.d5ddfb200e37bp-15, 0x1.d3a48d9c024f6p-15, 0x1.d16b7787cbac7p-15, 0x1.cf32913851fb5p-15, 0x1.ccf97e2c802acp-15, 0x1.cac0ecf356254p-15, 0x1.c888add87ae2ep-15, 0x1.c65098c7f2856p-15, 0x1.c418c43f3646cp-15, 0x1.c1e148ba3efe7p-15, 0x1.bfaa5414d7d03p-15, 0x1.bd7425dafd691p-15, 0x1.bb3eb4acae301p-15, 0x1.b9099038ddff4p-15, 0x1.b6d493485c6e6p-15, 0x1.b4a00e8a1c71fp-15, 0x1.b26c81c942927p-15, 0x1.b039d6d8deb46p-15, 0x1.ae07d17480e93p-15, 0x1.abd66cb406206p-15, 0x1.a9a5c61ad8dd2p-15, 0x1.a775d2255eb7fp-15, 0x1.a546c5e9db813p-15, 0x1.a318902196bf2p-15, 0x1.a0eb40658d829p-15, 0x1.9ebede9f9ca32p-15, 0x1.9c93724a3eb31p-15, 0x1.9a6901fb5ec7fp-15, 0x1.983f93bc59a59p-15, 0x1.96172d96a8861p-15, 0x1.93efd62e99b85p-15, 0x1.91c994df16302p-15, 0x1.8fa47018743dep-15, 0x1.8d806c7a9ec4fp-15, 0x1.8b5d8f08b951ep-15, 0x1.893bdf8df1045p-15, 0x1.871b6927b9d7dp-15, 0x1.84fc36f025a62p-15, 0x1.82de4d3c52bcap-15, 0x1.80c1c643ce978p-15, 0x1.7ea64a7f2ef53p-15, 0x1.7c8c3237ca87ep-15, 0x1.7a73679599607p-15, 0x1.785c10207969p-15, 0x1.7645fb3ea2039p-15, 0x1.74318b04895c1p-15, 0x1.721e6974e779fp-15, 0x1.700cd943e97dp-15, 0x1.6dfca613e631dp-15, 0x1.6bedd6c5896p-15, 0x1.69e08bbeebba3p-15, 0x1.67d4c9db15acap-15, 0x1.65ca9271af6ap-15, 0x1.63c1e86b7fe63p-15, 0x1.61bacf577f0c1p-15, 0x1.5fb54a98dd4c6p-15, 0x1.5db15d25fc261p-15, 0x1.5baf09e76df2fp-15, 0x1.59ae5427e6d97p-15, 0x1.57af3f17f3c4ap-15, 0x1.55b1cb162f434p-15, 0x1.53b5f603c419ep-15, 0x1.51bbd33f385a4p-15, 0x1.4fc3939934fb9p-15, 0x1.4dcd00fb9638cp-15, 0x1.4bd7f4e5f4615p-15, 0x1.49e4d070a6ebfp-15, 0x1.47f37b87cad24p-15, 0x1.4603cdc95fa5ep-15, 0x1.4415d57803eefp-15, 0x1.42299fb829f97p-15, 0x1.403f32a8618d9p-15, 0x1.3e5691b50662bp-15, 0x1.3c6fd3a2c6d4p-15, 0x1.3a8aaff8c429bp-15, 0x1.38a78c404de5p-15, 0x1.36c62efa41a03p-15, 0x1.34e6a7e01bd4dp-15, 0x1.3308fb787bf18p-15, 0x1.312d2c3a915a2p-15, 0x1.2f5339e6506ebp-15, 0x1.2d7b257fa15d8p-15, 0x1.2ba4f0f13d5c4p-15, 0x1.29d096e4734abp-15, 0x1.27fe0b7d3cf16p-15, 0x1.262d8028f1c77p-15, 0x1.245eee6417356p-15, 0x1.2292300efe553p-15, 0x1.20c756434f34ep-15, 0x1.1efe67be5f7fcp-15, 0x1.1d3765a7b6a3fp-15, 0x1.1b7250c8cda7ap-15, 0x1.19af2a12181a3p-15, 0x1.17edf27df75fep-15, 0x1.162eaae98b325p-15, 0x1.147153f1bf512p-15, 0x1.12b5ee2d69996p-15, 0x1.10fc7ad1bf1c7p-15, 0x1.0f44fb67ce84dp-15, 0x1.0d8f708e3f71fp-15, 0x1.0bdbda2ca34a8p-15, 0x1.0a2a38a2ce107p-15, 0x1.087a8ccb1e0bep-15, 0x1.06ccd762dd3fbp-15, 0x1.052118e5ea6adp-15, 0x1.037751acb4f79p-15, 0x1.01cf820601227p-15, 0x1.0029aa395ae14p-15, 0x1.fd0b94d6dc73cp-16, 0x1.f9c7c6913000ep-16, 0x1.f687e9df636ffp-16, 0x1.f34bfe4f2266ap-16, 0x1.f014045fdfdap-16, 0x1.ecdffc063e1abp-16, 0x1.e9afe50a8f723p-16, 0x1.e683bec4d16b7p-16, 0x1.e35b89480278bp-16, 0x1.e037465fc39bdp-16, 0x1.dd16f3faa1f01p-16, 0x1.d9fa8ef9576f7p-16, 0x1.d6e207cc51b9p-16, 0x1.d3cd65deae1b6p-16, 0x1.d0bcd37523786p-16, 0x1.cdb04faba1259p-16, 0x1.caa7a742c0de8p-16, 0x1.c7a2cae16bb9fp-16, 0x1.c4a1f1da19f94p-16, 0x1.c1a4ed19aef8ap-16, 0x1.beabcb79d3b76p-16, 0x1.bbb6ad727dae8p-16, 0x1.b8c568367f05cp-16, 0x1.b5d8065f1e322p-16, 0x1.b2ee896c89e43p-16, 0x1.b008ef8031113p-16, 0x1.ad273747be7ecp-16, 0x1.aa49602ed9a96p-16, 0x1.a76f731eb89dep-16, 0x1.a499705bed4fap-16, 0x1.a1c71c8993d4bp-16, 0x1.9ef83f58a868p-16, 0x1.9c2d94168314p-16, 0x1.9967386252d74p-16, 0x1.96a480dfd7d39p-16, 0x1.93e5513e2598ap-16, 0x1.9129f3404eb63p-16, 0x1.8e726eeb87b0bp-16, 0x1.8bbeb9cdeaee9p-16, 0x1.890ece7b1296fp-16, 0x1.8662a9d367ef7p-16, 0x1.83ba49c98e5a1p-16, 0x1.8115998582402p-16, 0x1.7e74b77b22c8bp-16, 0x1.7bd7aae7ee2a6p-16, 0x1.793e3c12c8567p-16, 0x1.76a88c412d10fp-16, 0x1.74169c00d4a12p-16, 0x1.718856a736811p-16, 0x1.6efdc25eed74ep-16, 0x1.6c76dc6124ae2p-16, 0x1.69f3a18243784p-16, 0x1.67740f8efa675p-16, 0x1.64f823eb93e5fp-16, 0x1.627fdbbf30f9dp-16, 0x1.600b342caaa98p-16, 0x1.5d99e6765429fp-16, 0x1.5b2cbb9d56b6ep-16, 0x1.58c2e53744837p-16, 0x1.565ca3f332c29p-16, 0x1.53f9f467b3db8p-16, 0x1.519ad55a16b1ep-16, 0x1.4f3f4287248dcp-16, 0x1.4ce739131b25p-16, 0x1.4a92b50906a48p-16, 0x1.4841b4e3b44abp-16, 0x1.45f43683d2334p-16, 0x1.43aa3409691d4p-16, 0x1.4163abcd47e1ep-16, 0x1.3f209a94301e3p-16, 0x1.3ce0fd2942d17p-16, 0x1.3aa4d05a1c874p-16, 0x1.386c10f24549dp-16, 0x1.3636bbb921e42p-16, 0x1.3404cd717004ap-16, 0x1.31d642d769effp-16, 0x1.2fab188e74fefp-16, 0x1.2d834b49ad846p-16, 0x1.2b5ed8179d924p-16, 0x1.293dbb2216ab6p-16, 0x1.271ff15bca396p-16, 0x1.2505779057556p-16, 0x1.22ee4a78a31abp-16, 0x1.20da676589d12p-16, 0x1.1ec9c4b05b219p-16, 0x1.1cbc6a422f2c1p-16, 0x1.1ab24b9c13b4fp-16, 0x1.18ab68b1bf6bfp-16, 0x1.16a7bdc610f3ep-16, 0x1.14a747e64577p-16, 0x1.12aa0411b332bp-16, 0x1.10afec7684e8dp-16, 0x1.0eb8fa8619725p-16, 0x1.0cc5318ddd655p-16, 0x1.0ad48bc09f062p-16, 0x1.08e70c53e3c96p-16, 0x1.06fca5fec5919p-16, 0x1.05155502ed28ap-16, 0x1.033118a17c4d7p-16, 0x1.014fee5142ce7p-16, 0x1.fee3a498b84ecp-17, 0x1.fb2d819117f5ep-17, 0x1.f77d6c4e8bf59p-17, 0x1.f3d3882a8446ap-17, 0x1.f02f4e6709f6ap-17, 0x1.ec91378ef99cap-17, 0x1.e8f9120d136e3p-17, 0x1.e566d719ccf0fp-17, 0x1.e1da81751f74bp-17, 0x1.de539c281e1e8p-17, 0x1.dad34c6c91ce6p-17, 0x1.d75881823dfb5p-17, 0x1.d3e37061f53c4p-17, 0x1.d0743d72755cdp-17, 0x1.cd0ae284ac0bp-17, 0x1.c9a66de05447p-17, 0x1.c647f23ee7199p-17, 0x1.c2ef68d553dfp-17, 0x1.bf9d180ecf3bp-17, 0x1.bc4f806540467p-17, 0x1.b90778a824896p-17, 0x1.b5c51532377d3p-17, 0x1.b2883a8561fe2p-17, 0x1.af50da90d0dd4p-17, 0x1.ac1eec4fa4f44p-17, 0x1.a8f2611ac4f86p-17, 0x1.a5cb46b6b2667p-17, 0x1.a2a981187deccp-17, 0x1.9f8d1021f3c3cp-17, 0x1.9c75ed14b966ep-17, 0x1.9964114e30df8p-17, 0x1.9657741614c84p-17, 0x1.93500f790bfd5p-17, 0x1.904dddf850ba3p-17, 0x1.8d50a439b446dp-17, 0x1.8a58e995baf7dp-17, 0x1.876628855006ap-17, 0x1.847875783cd53p-17, 0x1.818fd2999015p-17, 0x1.7eac3bf810b62p-17, 0x1.7bcd7f27c512fp-17, 0x1.78f3f9e51c52bp-17, 0x1.761f48fd41f8ep-17, 0x1.734f7f5a0c413p-17, 0x1.7084a75ad937fp-17, 0x1.6dbea75a898a6p-17, 0x1.6afd7ea58e3d9p-17, 0x1.6841266f4d3ebp-17, 0x1.658997ed1678cp-17, 0x1.62d6cc625c925p-17, 0x1.6028bcf44197ap-17, 0x1.5d7f605a9ada9p-17, 0x1.5adab72aac7fbp-17, 0x1.583ab30448ddep-17, 0x1.559f5018923edp-17, 0x1.530887b0d8f72p-17, 0x1.50765324d825ep-17, 0x1.4de96327b3dfep-17, 0x1.4b5f99650973p-17, 0x1.48dae983ced43p-17, 0x1.465ac00abe5fp-17, 0x1.43df09db1fce7p-17, 0x1.4167bfc849f75p-17, 0x1.3ef4db1fddd2fp-17, 0x1.3c86554fcbd84p-17, 0x1.3a1c27daf9c2p-17, 0x1.37b64cf839154p-17, 0x1.3554bd28d0b14p-17, 0x1.32f77192e3e13p-17, 0x1.309e6803d782cp-17, 0x1.2e499042ea44fp-17, 0x1.2bf8f0e603ff4p-17, 0x1.29ad0d4d0ec1bp-17, 0x1.2764293cf8ccap-17, 0x1.251ff05e41d8p-17, 0x1.22dfd467d4d4bp-17, 0x1.20a3cab4928b2p-17, 0x1.1e6bcccce1de8p-17, 0x1.1c37d07060dc1p-17, 0x1.1a07d7639c8fdp-17, 0x1.17dbd90de9eaep-17, 0x1.15b3d10dbf27ap-17, 0x1.138fb28ac7b85p-17, 0x1.116f7ad377399p-17, 0x1.0f5323a1f2ddp-17, 0x1.0d3ab184e43f8p-17, 0x1.0b25fa612c04p-17, 0x1.09151c082343cp-17, 0x1.0708102e06b32p-17, 0x1.04fee14997a29p-17, 0x1.02f98963893ddp-17, 0x1.00f6fc2a960c2p-17, 0x1.fdf184dcdda53p-18, 0x1.f9fd5a5bdbdccp-18, 0x1.f61041460d64cp-18, 0x1.f22950af24f04p-18, 0x1.ee49e8e2c7e6ep-18, 0x1.ea71ca34c5ee3p-18, 0x1.e6a0ce0c4fb9ap-18, 0x1.e2d6e213ace96p-18, 0x1.df13fe7c6ea91p-18, 0x1.db58118b288d8p-18, 0x1.d7a31451e23b4p-18, 0x1.d3f4fcf137ee3p-18, 0x1.d04dbd3aed5p-18, 0x1.ccad4ba942a65p-18, 0x1.c913e60209acp-18, 0x1.c58097d776193p-18, 0x1.c1f43cf597669p-18, 0x1.be6e896fcf45fp-18, 0x1.baef121ba80cep-18, 0x1.b776dbdcca503p-18, 0x1.b404d000131a5p-18, 0x1.b09938bd99c5dp-18, 0x1.ad34081b52541p-18, 0x1.a9d53ed6d2277p-18, 0x1.a67cd1e5114acp-18, 0x1.a32a9226ecf23p-18, 0x1.9fde982ba7335p-18, 0x1.9c98dd08e8aa3p-18, 0x1.99597721c5a7p-18, 0x1.961f9571671bfp-18, 0x1.92ecb300e8d22p-18, 0x1.8fbedd301aa12p-18, 0x1.8c981f6eb998ap-18, 0x1.8976d41dc964p-18, 0x1.865b778e329b3p-18, 0x1.8345fea9e40d3p-18, 0x1.8036615528c81p-18, 0x1.7d2c94ec6f316p-18, 0x1.7a288fef2e5a3p-18, 0x1.772a2e9ada8a8p-18, 0x1.7431b48dc65a6p-18, 0x1.713ec906feb8ep-18, 0x1.6e517ea75828ep-18, 0x1.6b69e75b657e2p-18, 0x1.68879fc50efb9p-18, 0x1.65aaf8afb4d35p-18, 0x1.62d3cbd569833p-18, 0x1.60020f6cb724p-18, 0x1.5d35bb79713bcp-18, 0x1.5a6ef8357b268p-18, 0x1.57ad206577c91p-18, 0x1.54f0fec80950bp-18, 0x1.5239ae1a1ea08p-18, 0x1.4f87cfe1533a7p-18, 0x1.4cdb21a565b01p-18, 0x1.4a339f20af1fap-18, 0x1.4791b15e94bcfp-18, 0x1.44f3dc1d29aebp-18, 0x1.425b8eb6f64e3p-18, 0x1.3fc846e017894p-18, 0x1.3d39f8f6bbe02p-18, 0x1.3ab09bc801a3bp-18, 0x1.38268ab929f77p-18, 0x1.35ac91692620ep-18, 0x1.3331de6aceb44p-18, 0x1.30bc36b680bbdp-18, 0x1.2e4b6b51ad731p-18, 0x1.2bdd8c7412dadp-18, 0x1.2975d2a4115eep-18, 0x1.2714407364486p-18, 0x1.24b58911aa38fp-18, 0x1.225b591667c46p-18, 0x1.200652ea1c086p-18, 0x1.1db5aee9a0d3cp-18, 0x1.1b6996cda8fddp-18, 0x1.1921f29ff663fp-18, 0x1.16dec6a7fa7afp-18, 0x1.14a0057761371p-18, 0x1.1265a8dccbff2p-18, 0x1.102fa88b29dc1p-18, 0x1.0dfdfcc022b45p-18, 0x1.0bd09dea97495p-18, 0x1.09a7849293768p-18, 0x1.0782a911914e7p-18, 0x1.0562054a84c6dp-18, 0x1.03457bd3df4aep-18, 0x1.012d5132a0602p-18, 0x1.fe320ec2bf5f1p-19, 0x1.fa11e33d02fb8p-19, 0x1.f5f9d3d4744f1p-19, 0x1.f1e9da467b1d7p-19, 0x1.ede1d54abcef9p-19, 0x1.e9e1c8954d0acp-19, 0x1.e5e998b348c32p-19, 0x1.e1f9468bba1f6p-19, 0x1.de10c20981005p-19, 0x1.da30201569c81p-19, 0x1.d656dde8a41cap-19, 0x1.d2855f43674bcp-19, 0x1.cebb727ef3ddep-19, 0x1.caf85f42c381p-19, 0x1.c73e1abb1b05fp-19, 0x1.c38a7c2fbef47p-19, 0x1.bfde44e979003p-19, 0x1.bc395b05b6394p-19, 0x1.b89bb052f05d9p-19, 0x1.b50537d747e9ap-19, 0x1.b175e5fda2106p-19, 0x1.adedb0c23601ap-19, 0x1.aa6c83ca998bdp-19, 0x1.a6f24dde5208ap-19, 0x1.a37f005cb442ep-19, 0x1.a0129f772b9c6p-19, 0x1.9cad0943243b4p-19, 0x1.994e4e8739ba9p-19, 0x1.95f70a77f0fc5p-19, 0x1.92a4fcfa0c489p-19, 0x1.8f5a45d251b69p-19, 0x1.8c162cf47ba5p-19, 0x1.88d89fbed149dp-19, 0x1.85a197b7b1b57p-19, 0x1.8270b339fae1dp-19, 0x1.7f46baf69da0bp-19, 0x1.7c22db1a57698p-19, 0x1.7905542bf365fp-19, 0x1.75ee607de98bbp-19, 0x1.72de47858b2f1p-19, 0x1.6fd0db3925b49p-19, 0x1.6ccbcf39a89fdp-19, 0x1.69cf8f9dcb00cp-19, 0x1.66d6a18414aeep-19, 0x1.63e379196679fp-19, 0x1.60f6fb7afdd17p-19, 0x1.5e0fc1328be39p-19, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{-0x1.3de7d9d2d4a86p-1, -0x1.3dea565f57892p-1, -0x1.3ded8dd8656f8p-1, -0x1.3df034e160bb5p-1, -0x1.3df0a534900e7p-1, -0x1.3decfad9d6da1p-1, -0x1.3de32fd2d4493p-1, -0x1.3dd1349217adap-1, -0x1.3db5049104783p-1, -0x1.3d8cb6e6ccc98p-1, -0x1.3d568b0c0e54ap-1, -0x1.3d10f21a1940dp-1, -0x1.3cba94e63b0b4p-1, -0x1.3c525761fe37p-1, -0x1.3bd759ad26911p-1, -0x1.3b48f74624639p-1, -0x1.3aa6c4c200fe8p-1, -0x1.39f08c6d9e51fp-1, -0x1.39264a2ff188p-1, -0x1.384826f8bbcbap-1, -0x1.375673f9e13aep-1, -0x1.3651a5dc2d875p-1, -0x1.353a5013a6b2ap-1, -0x1.3411206c4cf5ep-1, -0x1.32d6dadea4c62p-1, -0x1.318c55b3cd1fap-1, -0x1.303275fb290fap-1, -0x1.2eca2c4fa754p-1, -0x1.2d5471e82bf5bp-1, -0x1.2bd245ed4fbd6p-1, -0x1.2a44ab0e3cfbdp-1, -0x1.28aca54eaee6cp-1, -0x1.270b3808b5d0bp-1, -0x1.2561641db7964p-1, -0x1.23b02653118afp-1, -0x1.21f875d78c60cp-1, -0x1.203b42ef9b82p-1, -0x1.1e7975c6ef9e3p-1, -0x1.1cb3ed664cd41p-1, -0x1.1aeb7eccd7f73p-1, -0x1.1920f42c28619p-1, -0x1.17550c4661a47p-1, -0x1.158879ed85809p-1, -0x1.13bbe3a2f4f43p-1, -0x1.11efe355e7e15p-1, -0x1.1025063f614b4p-1, -0x1.0e5bccd9ec895p-1, -0x1.0c94aaf337f4cp-1, -0x1.0ad007d572f6ep-1, -0x1.090e3e8632679p-1, -0x1.074f9e187bdcep-1, -0x1.05946a0f95409p-1, -0x1.03dcdad02a20cp-1, -0x1.02291e1d5b44p-1, -0x1.0079579f6bd43p-1, -0x1.fd9b42e3881efp-2, -0x1.fa4c196c66b7bp-2, -0x1.f7054456e39b7p-2, -0x1.f3c6c58a278e3p-2, -0x1.f090908693d33p-2, -0x1.ed628b91edb92p-2, -0x1.ea3c90dda6f06p-2, -0x1.e71e6fa50ca4ap-2, -0x1.e407ed4182cbfp-2, -0x1.e0f8c6334e5d3p-2, -0x1.ddf0af1db386p-2, -0x1.daef55b590608p-2, -0x1.d7f461a1cbb5cp-2, -0x1.d4ff754d3f671p-2, -0x1.d2102ea9f91b7p-2, -0x1.cf2627e5e177ap-2, -0x1.cc40f81103ee3p-2, -0x1.c96033b5d4d52p-2, -0x1.c6836d63fa93bp-2, -0x1.c3aa362e31335p-2, -0x1.c0d41e1bf1a66p-2, -0x1.be00b48fa23ep-2, -0x1.bb2f88a20ddd1p-2, -0x1.b8602973f7a78p-2, -0x1.b592267692688p-2, -0x1.b2c50fabb4836p-2, -0x1.aff875de8b433p-2, -0x1.ad2bead59aee1p-2, -0x1.aa5f017ec6159p-2, -0x1.a7914e1612a8ep-2, -0x1.a4c26647d53b1p-2, -0x1.a1f1e14ee92d3p-2, -0x1.9f1f580f7a1d6p-2, -0x1.9c4a652ef6c72p-2, -0x1.9972a52997539p-2, -0x1.9697b665ef2ap-2, -0x1.93b93946e1559p-2, -0x1.90d6d03c560ffp-2, -0x1.8df01fd2ef022p-2, -0x1.8b04cec3017c3p-2, -0x1.881485ff014c6p-2, -0x1.851ef0c18912p-2, -0x1.8223bc9b241d1p-2, -0x1.7f22997fe4d82p-2, -0x1.7c1b39d4eb5dap-2, -0x1.790d527dce247p-2, -0x1.75f89ae9ff286p-2, -0x1.72dccd221aa3ep-2, -0x1.6fb9a5d521ffep-2, -0x1.6c8ee465986a6p-2, -0x1.695c4af670ceep-2, -0x1.66219e77bffe2p-2, -0x1.62dea6b31fac8p-2, -0x1.5f932e57b4321p-2, -0x1.5c3f0305bd4efp-2, -0x1.58e1f5599db6dp-2, -0x1.557bd8f646ebep-2, -0x1.520c848ef841cp-2, -0x1.4e93d1f039b97p-2, -0x1.4b119e08018f1p-2, -0x1.4785c8ecf514fp-2, -0x1.43f035e4b657ep-2, -0x1.4050cb692b34p-2, -0x1.3ca7732cb9e39p-2, -0x1.38f41a1d649a3p-2, -0x1.3536b066c6dp-2, -0x1.316f2972e548fp-2, -0x1.2d9d7be9cf151p-2, -0x1.29c1a1b008815p-2, -0x1.25db97e3bff83p-2, -0x1.21eb5ed8ce94dp-2, -0x1.1df0fa1381543p-2, -0x1.19ec70422df94p-2, -0x1.15ddcb359cdf2p-2, -0x1.11c517d846d9ep-2, -0x1.0da2662475a73p-2, -0x1.0975c91944be4p-2, -0x1.053f56ae94f63p-2, -0x1.00ff27c7fa0c8p-2, -0x1.f96ab04d54cf9p-3, -0x1.f0c40cb503976p-3, -0x1.e80aa7643c11ep-3, -0x1.df3ec8544cbddp-3, -0x1.d660bcb794a04p-3, -0x1.cd70d6d50bf99p-3, -0x1.c46f6de26c411p-3, -0x1.bb5cdddd23629p-3, -0x1.b23987621f6f5p-3, -0x1.a905cf84942f8p-3, -0x1.9fc21fa3e5adep-3, -0x1.966ee540b5fbp-3, -0x1.8d0c91d150367p-3, -0x1.839b9a957e0f7p-3, -0x1.7a1c7869df7c7p-3, -0x1.708fa79aec3f6p-3, -0x1.66f5a7b7ac67ep-3, -0x1.5d4efb64477e1p-3, -0x1.539c282c7f71fp-3, -0x1.49ddb6563294bp-3, -0x1.401430b3f632ap-3, -0x1.36402477de098p-3, -0x1.2c6221069207bp-3, -0x1.227ab7caad0dap-3, -0x1.188a7c0896d41p-3, -0x1.0e9202b2c4bc9p-3, -0x1.0491e23e98f65p-3, -0x1.f51564f39afdbp-4, -0x1.e0fa18c11fdeep-4, -0x1.ccd313e89df29p-4, -0x1.b8a18c26964eep-4, -0x1.a466b8a1db14ap-4, -0x1.9023d19e032e4p-4, -0x1.7bda102f7defbp-4, -0x1.678aadf18e316p-4, -0x1.5336e4be11ce3p-4, -0x1.3edfee6741255p-4, -0x1.2a8704735a232p-4, -0x1.162d5fda4bbfdp-4, -0x1.01d438c56b736p-4, -0x1.daf98ca269402p-5, -0x1.b2507ca2346dcp-5, -0x1.89afaa2adf618p-5, -0x1.61197a66cb54fp-5, -0x1.38904e9e47fbp-5, -0x1.101683cffc557p-5, -0x1.cf5ce49ade25dp-6, -0x1.7eb4dab79ad5ap-6, -0x1.2e3985b199dd3p-6, -0x1.bbdeeb8eac81p-7, -0x1.1bb65e2925e27p-7, -0x1.f00947a4953c5p-9, 0x1.19a3293b215d5p-10, 0x1.83ca1d8dbdd76p-8, 0x1.60070f885e794p-7, 0x1.fd91e9d0d1c14p-7, 0x1.4d3e9f6277f01p-6, 0x1.9b6067946774dp-6, 0x1.e92a3e1860defp-6, 0x1.1b4c121110faep-5, 0x1.41d315eccad69p-5, 0x1.68283c5751702p-5, 0x1.8e499fd335516p-5, 0x1.b43563d1146b1p-5, 0x1.d9e9b4cfefe86p-5, 0x1.ff64c87a7b405p-5, 0x1.12526ee0b7b66p-4, 0x1.24d41e798a4bap-4, 0x1.37369be803675p-4, 0x1.497914cea2faep-4, 0x1.5b9abb99daed8p-4, 0x1.6d9ac78692253p-4, 0x1.7f7874a76fa76p-4, 0x1.913303e902652p-4, 0x1.a2c9bb14c4a64p-4, 0x1.b43be4d3132c5p-4, 0x1.c588d0ac1d279p-4, 0x1.d6afd307d1914p-4, 0x1.e7b0452cdd9ebp-4, 0x1.f889853ecabb1p-4, 0x1.049d7b1d9b059p-3, 0x1.0ce1fffb1a6b5p-3, 0x1.1512078afc98p-3, 0x1.1d2d4a86da8c3p-3, 0x1.2533840bdc4dcp-3, 0x1.2d24719781979p-3, 0x1.34ffd30408e5dp-3, 0x1.3cc56a8490245p-3, 0x1.4474fca0f2832p-3, 0x1.4c0e50315b866p-3, 0x1.53912e5994998p-3, 0x1.5afd628424039p-3, 0x1.6252ba5d29e35p-3, 0x1.699105cd0a268p-3, 0x1.70b816f2e701bp-3, 0x1.77c7c21eecc99p-3, 0x1.7ebfddcc7555dp-3, 0x1.85a0429c0672bp-3, 0x1.8c68cb4d2375ep-3, 0x1.931954b80d3c6p-3, 0x1.99b1bdc758d0bp-3, 0x1.a031e7716f32p-3, 0x1.a699b4b1f55c4p-3, 0x1.ace90a8320f55p-3, 0x1.b31fcfd6f7debp-3, 0x1.b93ded907d4dcp-3, 0x1.bf434e7cd6fa1p-3, 0x1.c52fdf4c5ef1p-3, 0x1.cb038e8baf41bp-3, 0x1.d0be4c9caa23ep-3, 0x1.d6600baf70878p-3, 0x1.dbe8bfbb5fad4p-3, 0x1.e1585e7805f3ep-3, 0x1.e6aedf5616c3ep-3, 0x1.ebec3b7862e15p-3, 0x1.f1106daccd38fp-3, 0x1.f61b726545d56p-3, 0x1.fb0d47b0ca1b6p-3, 0x1.ffe5ed3465e7cp-3, 0x1.0252b212207e9p-2, 0x1.04a5d79e57fb6p-2, 0x1.06ec695da6932p-2, 0x1.09266a2c10324p-2, 0x1.0b53dd9f64532p-2, 0x1.0d74c803db936p-2, 0x1.0f892e58ba207p-2, 0x1.1191164cf618cp-2, 0x1.138c863be87bbp-2, 0x1.157b8529fe89cp-2, 0x1.175e1ac178568p-2, 0x1.19344f4f2b4fdp-2, 0x1.1afe2bbf499bdp-2, 0x1.1cbbb99a34752p-2, 0x1.1e6d0301543f5p-2, 0x1.201212abf966bp-2, 0x1.21aaf3e441a64p-2, 0x1.2337b28408bdp-2, 0x1.24b85af1dca7dp-2, 0x1.262cfa1dff7dap-2, 0x1.27959d7f6a9d8p-2, 0x1.28f25310dcdb7p-2, 0x1.2a43294df1082p-2, 0x1.2b882f303a30fp-2, 0x1.2cc1742c691bbp-2, 0x1.2def082f78ccp-2, 0x1.2f10fb9be1a1fp-2, 0x1.30275f46d6252p-2, 0x1.313244758587cp-2, 0x1.3231bcda6614p-2, 0x1.3325da928713ep-2, 0x1.340eb022eaa38p-2, 0x1.34ec5075e3785p-2, 0x1.35beced87ef96p-2, 0x1.36863ef7f1fbp-2, 0x1.3742b4df0d64ep-2, 0x1.37f444f3ba527p-2, 0x1.389b03f47e1d8p-2, 0x1.393706f6010cfp-2, 0x1.39c863609e3f7p-2, 0x1.3a4f2eedfbf14p-2, 0x1.3acb7fa6a4334p-2, 0x1.3b3d6bdfa981p-2, 0x1.3ba50a384d1a1p-2, 0x1.3c027197af781p-2, 0x1.3c55b92a83d9ap-2, 0x1.3c9ef860c7c21p-2, 0x1.3cde46eb85e8bp-2, 0x1.3d13bcba9a79dp-2, 0x1.3d3f71fa7b4d3p-2, 0x1.3d617f120b1acp-2, 0x1.3d79fca06d915p-2, 0x1.3d89037ae1242p-2, 0x1.3d8eacaaa0531p-2, 0x1.3d8b116ac595fp-2, 0x1.3d7e4b2635706p-2, 0x1.3d6873758d5cp-2, 0x1.3d49a41d17f9cp-2, 0x1.3d21f70ac5a93p-2, 0x1.3cf1865429858p-2, 0x1.3cb86c347c1a5p-2, 0x1.3c76c30aa2ef1p-2, 0x1.3c2ca5573b264p-2, 0x1.3bda2dbaaa455p-2, 0x1.3b7f76f332f17p-2, 0x1.3b1c9bdb0f645p-2, 0x1.3ab1b7668e13ap-2, 0x1.3a3ee4a23481p-2, 0x1.39c43eb0e7c18p-2, 0x1.3941e0ca17a8cp-2, 0x1.38b7e637ed08p-2, 0x1.38266a55812ap-2, 0x1.378d888d14ddap-2, 0x1.36ed5c56504cfp-2, 0x1.3646013482633p-2, 0x1.359792b4e9e06p-2, 0x1.34e22c6cffbdcp-2, 0x1.3425e9f8c6da3p-2, 0x1.3362e6f91f2adp-2, 0x1.32993f1222281p-2, 0x1.31c90de97b45bp-2, 0x1.30f26f24ce0cep-2, 0x1.30157e681a73fp-2, 0x1.2f3257542ae31p-2, 0x1.2e491584ff958p-2, 0x1.2d59d490495f8p-2, 0x1.2c64b003debc8p-2, 0x1.2b69c3643bdc1p-2, 0x1.2a692a2b05522p-2, 0x1.2962ffc5900fp-2, 0x1.28575f936fef5p-2, 0x1.274664e506bd7p-2, 0x1.26302afa1bfdfp-2, 0x1.2514cd007a743p-2, 0x1.23f466128e176p-2, 0x1.22cf11360d068p-2, 0x1.21a4e95a9f9acp-2, 0x1.207609589297cp-2, 0x1.1f428bef8bff8p-2, 0x1.1e0a8bc544bc4p-2, 0x1.1cce23644aa65p-2, 0x1.1b8d6d3ac36a7p-2, 0x1.1a488399383c5p-2, 0x1.18ff80b1657e3p-2, 0x1.17b27e9510912p-2, 0x1.16619734e1294p-2, 0x1.150ce45f436eep-2, 0x1.13b47fbf4b703p-2, 0x1.125882dba321fp-2, 0x1.10f9071578d0ap-2, 0x1.0f9625a775ec7p-2, 0x1.0e2ff7a4bdc04p-2, 0x1.0cc695f7eb474p-2, 0x1.0b5a19621a723p-2, 0x1.09ea9a79f6427p-2, 0x1.087831aac918dp-2, 0x1.0702f7339802bp-2, 0x1.058b03263e071p-2, 0x1.04106d6692e35p-2, 0x1.02934da992384p-2, 0x1.0113bb748e971p-2, 0x1.ff239c38c3d5fp-3, 0x1.fc1b39895b701p-3, 0x1.f90e7cbe308b4p-3, 0x1.f5fd9355299p-3, 0x1.f2e8aa6563637p-3, 0x1.efcfee9dcc48ap-3, 0x1.ecb38c43e02e3p-3, 0x1.e993af325c303p-3, 0x1.e67082d805743p-3, 0x1.e34a3236835f1p-3, 0x1.e020e7e138e9cp-3, 0x1.dcf4cdfc2dcb2p-3, 0x1.d9c60e3b04d3cp-3, 0x1.d694d1dffe99ep-3, 0x1.d36141bb04109p-3, 0x1.d02b8628bbac1p-3, 0x1.ccf3c711b1003p-3, 0x1.c9ba2be97d3ecp-3, 0x1.c67edbae04d2ep-3, 0x1.c341fce6b7ap-3, 0x1.c003b5a3e2d8p-3, 0x1.bcc42b7e09dbp-3, 0x1.b98383954b67dp-3, 0x1.b641e290d23b9p-3, 0x1.b2ff6c9e4cbacp-3, 0x1.afbc4571746f9p-3, 0x1.ac7890439c91dp-3, 0x1.a9346fd34dc04p-3, 0x1.a5f00663e7014p-3, 0x1.a2ab75bd4f79ap-3, 0x1.9f66df2bae4c1p-3, 0x1.9c22637f2981dp-3, 0x1.98de230bb92e4p-3, 0x1.959a3da8fb741p-3, 0x1.9256d2b21075p-3, 0x1.8f14010588bap-3, 0x1.8bd1e70558019p-3, 0x1.8890a296ce369p-3, 0x1.85505122a2df4p-3, 0x1.82110f94fc26dp-3, 0x1.7ed2fa5d8da6dp-3, 0x1.7b962d6fb56ddp-3, 0x1.785ac442a6387p-3, 0x1.7520d9d1952e5p-3, 0x1.71e8889bfa188p-3, 0x1.6eb1eaa5d159fp-3, 0x1.6b7d1977dd068p-3, 0x1.684a2e2004c42p-3, 0x1.65194131a3321p-3, 0x1.61ea6ac5f21a9p-3, 0x1.5ebdc27c6eb8ep-3, 0x1.5b935f7b488e7p-3, 0x1.586b586fdd68ep-3, 0x1.5545c38f38ed3p-3, 0x1.5222b69695e55p-3, 0x1.4f0246cbee819p-3, 0x1.4be488fe8e5c9p-3, 0x1.48c99187ae2bfp-3, 0x1.45b1744b10529p-3, 0x1.429c44b7ab856p-3, 0x1.3f8a15c853adfp-3, 0x1.3c7afa046c79fp-3, 0x1.396f0380a2f44p-3, 0x1.366643dfa9c16p-3, 0x1.3360cc52f9c1ep-3, 0x1.305ead9ba0c7dp-3, 0x1.2d5ff80b031a1p-3, 0x1.2a64bb83b9ff1p-3, 0x1.276d077a6190dp-3, 0x1.2478eaf676667p-3, 0x1.2188749338843p-3, 0x1.1e9bb28089e6ap-3, 0x1.1bb2b283db1f5p-3, 0x1.18cd81f9146e2p-3, 0x1.15ec2dd387a56p-3, 0x1.130ec29ee3d0cp-3, 0x1.10354c802b7fcp-3, 0x1.0d5fd736b0574p-3, 0x1.0a8e6e1d0f83ep-3, 0x1.07c11c2a35368p-3, 0x1.04f7ebf25e5d7p-3, 0x1.0232e7a822497p-3, 0x1.fee4323aec528p-4, 0x1.f96b1389843b3p-4, 0x1.f3fa8563ceb16p-4, 0x1.ee929936ade8dp-4, 0x1.e9335fb63ff8bp-4, 0x1.e3dce8e0100cfp-4, 0x1.de8f43fd408d5p-4, 0x1.d94a7fa4bc4e4p-4, 0x1.d40ea9bd6b468p-4, 0x1.cedbcf806906fp-4, 0x1.c9b1fd7b4079cp-4, 0x1.c4913f9225decp-4, 0x1.bf79a10237d1cp-4, 0x1.ba6b2c63be8e1p-4, 0x1.b565ebac6eb7p-4, 0x1.b069e831aa5ep-4, 0x1.ab772aaace592p-4, 0x1.a68dbb336e021p-4, 0x1.a1ada14da24f1p-4, 0x1.9cd6e3e450204p-4, 0x1.9809894d6c702p-4, 0x1.9345974c48f6p-4, 0x1.8e8b1313dc08ap-4, 0x1.89da014906be6p-4, 0x1.85326604de64ap-4, 0x1.809444d6f3819p-4, 0x1.7bffa0c797f3fp-4, 0x1.77747c5a2702bp-4, 0x1.72f2d98f43387p-4, 0x1.6e7ab9e721f79p-4, 0x1.6a0c1e63c70c4p-4, 0x1.65a7078b47cfp-4, 0x1.614b756a05d56p-4, 0x1.5cf96794efcbp-4, 0x1.58b0dd2bb78f6p-4, 0x1.5471d4db09622p-4, 0x1.503c4cdec8ddp-4, 0x1.4c1043043a0d3p-4, 0x1.47edb4ac35ceap-4, 0x1.43d49ecd57ff7p-4, 0x1.3fc4fdf626d6bp-4, 0x1.3bbece4f3c848p-4, 0x1.37c20b9d6b5e7p-4, 0x1.33ceb143db2f1p-4, 0x1.2fe4ba4628cf7p-4, 0x1.2c04214a7eb68p-4, 0x1.282ce09babc7p-4, 0x1.245ef22b344e4p-4, 0x1.209a4f935e70cp-4, 0x1.1cdef2193fd1cp-4, 0x1.192cd2aec0ac5p-4, 0x1.1583e9f49e661p-4, 0x1.11e4303c6ac97p-4, 0x1.0e4d9d8a802b4p-4, 0x1.0ac02997fcc64p-4, 0x1.073bcbd4ade7fp-4, 0x1.03c07b68fded7p-4, 0x1.004e2f37d947cp-4, 0x1.f9c9bbc1280e3p-5, 0x1.f308fb8187943p-5, 0x1.ec5a09ec32a4cp-5, 0x1.e5bcd2c07270fp-5, 0x1.df314144fd9dfp-5, 0x1.d8b7404ba6282p-5, 0x1.d24eba34d8d3dp-5, 0x1.cbf798f310a87p-5, 0x1.c5b1c60e62b2p-5, 0x1.bf7d2aa7d2dffp-5, 0x1.b959af7cc3a09p-5, 0x1.b3473cea44c4fp-5, 0x1.ad45baf05c688p-5, 0x1.a7551135524fdp-5, 0x1.a1752708de134p-5, 0x1.9ba5e3674b6f3p-5, 0x1.95e72cfca9236p-5, 0x1.9038ea27d8da9p-5, 0x1.8a9b00fd99729p-5, 0x1.850d574b8768bp-5, 0x1.7f8fd29b125f7p-5, 0x1.7a22583466ac8p-5, 0x1.74c4cd2155256p-5, 0x1.6f77163018703p-5, 0x1.6a3917f6329c2p-5, 0x1.650ab6d319d11p-5, 0x1.5febd6f2f90e4p-5, 0x1.5adc5c515576ap-5, 0x1.55dc2abbafbebp-5, 0x1.50eb25d40e618p-5, 0x1.4c0931139642cp-5, 0x1.47362fccff6d4p-5, 0x1.4272052f06a73p-5, 0x1.3dbc9446ddf7bp-5, 0x1.3915c00288c48p-5, 0x1.347d6b332aebp-5, 0x1.2ff3788f5670dp-5, 0x1.2b77cab5495f3p-5, 0x1.270a442d1e99dp-5, 0x1.22aac76b03a28p-5, 0x1.1e5936d13f918p-5, 0x1.1a1574b267cafp-5, 0x1.15df63534dfcp-5, 0x1.11b6e4ed12af5p-5, 0x1.0d9bdbaf150c9p-5, 0x1.098e29c0e1e3dp-5, 0x1.058db14414ffcp-5, 0x1.019a54562b575p-5, 0x1.fb67ea24b9451p-6, 0x1.f3b4eb26af76bp-6, 0x1.ec1b6fea0452bp-6, 0x1.e49b3cac549dp-6, 0x1.dd3415b45599fp-6, 0x1.d5e5bf5519096p-6, 0x1.ceaffdf131775p-6, 0x1.c79295fdd0371p-6, 0x1.c08d4c05c51c6p-6, 0x1.b99fe4ac745a8p-6, 0x1.b2ca24b0b7fb2p-6, 0x1.ac0bd0efaa1c8p-6, 0x1.a564ae676771fp-6, 0x1.9ed48239bb3fep-6, 0x1.985b11aeac617p-6, 0x1.91f822371b318p-6, 0x1.8bab796f28908p-6, 0x1.8574dd20a06f2p-6, 0x1.7f54134559caap-6, 0x1.7948e2096c707p-6, 0x1.73530fcd80cbbp-6, 0x1.6d726328d3b23p-6, 0x1.67a6a2eb6d91p-6, 0x1.61ef96200ce47p-6, 0x1.5c4d040e2d8a8p-6, 0x1.56beb43bfbacep-6, 0x1.51446e700485ap-6, 0x1.4bddfab32ccdbp-6, 0x1.468b215254231p-6, 0x1.414baae007e9ap-6, 0x1.3c1f60361cd6ep-6, 0x1.37060a774b4e6p-6, 0x1.31ff7310a7dadp-6, 0x1.2d0b63bb1a3eap-6, 0x1.2829a67ccb5fp-6, 0x1.235a05aa7167dp-6, 0x1.1e9c4be8b10bdp-6, 0x1.19f0442d53d84p-6, 0x1.1555b9c07d2p-6, 0x1.10cc783dcd4f3p-6, 0x1.0c544b9591e96p-6, 0x1.07ed000daba4dp-6, 0x1.03966242c8f67p-6, 0x1.fea07e525a6e1p-7, 0x1.f634c81b6898p-7, 0x1.ede93d2d79f74p-7, 0x1.e5bd7989e9fd2p-7, 0x1.ddb119e822bb7p-7, 0x1.d5c3bbb76ebbdp-7, 0x1.cdf4fd20262d3p-7, 0x1.c6447d052db21p-7, 0x1.beb1db050fda7p-7, 0x1.b73cb77b66d58p-7, 0x1.afe4b381d9c59p-7, 0x1.a8a970f10c01p-7, 0x1.a18a9261f03fdp-7, 0x1.9a87bb2e284edp-7, 0x1.93a08f71583dap-7, 0x1.8cd4b409a7d87p-7, 0x1.8623ce9861b15p-7, 0x1.7f8d8582e6996p-7, 0x1.79117ff2d3a1p-7, 0x1.72af65d6d96b9p-7, 0x1.6c66dfe2eaa14p-7, 0x1.66379790d5564p-7, 0x1.6021372062011p-7, 0x1.5a236997c1412p-7, 0x1.543ddac3a8047p-7, 0x1.4e7037377b289p-7, 0x1.48ba2c4d5683fp-7, 0x1.431b682639834p-7, 0x1.3d9399a9eef42p-7, 0x1.38227086eec36p-7, 0x1.32c79d328cfe4p-7, 0x1.2d82d0e85fdb2p-7, 0x1.2853bdaa67b18p-7, 0x1.233a1640a4948p-7, 0x1.1e358e38de975p-7, 0x1.1945d9e63ec8p-7, 0x1.146aae610d2e4p-7, 0x1.0fa3c1861b0c7p-7, 0x1.0af0c9f66ffb1p-7, 0x1.06517f16c62d5p-7, 0x1.01c5990eedcd6p-7, 0x1.fa99a192ca3e2p-8, 0x1.f1cdbfe4ec1bp-8, 0x1.e92701efe2fap-8, 0x1.e0a4de1081c4bp-8, 0x1.d846cc2378c82p-8, 0x1.d00c4583e6f1ap-8, 0x1.c7f4c509dc68ep-8, 0x1.bfffc708ec14fp-8, 0x1.b82cc94e194f9p-8, 0x1.b07b4b1e94333p-8, 0x1.a8eacd35ad379p-8, 0x1.a17ad1c31caf8p-8, 0x1.9a2adc6957c9cp-8, 0x1.92fa723b54e3cp-8, 0x1.8be919babccb1p-8, 0x1.84f65ad649e02p-8, 0x1.7e21bee6f4fa6p-8, 0x1.776ad0aea08a1p-8, 0x1.70d11c5596d5ap-8, 0x1.6a542f6881868p-8, 0x1.63f398d6160fcp-8, 0x1.5daee8ed38dc6p-8, 0x1.5785b15a418fep-8, 0x1.5177852506904p-8, 0x1.4b83f8ae53f1p-8, 0x1.45aaa1adc8d31p-8, 0x1.3feb172f346b2p-8, 0x1.3a44f19083b4ep-8, 0x1.34b7ca7eebce7p-8, 0x1.2f433cf4e52eep-8, 0x1.29e6e5374b075p-8, 0x1.24a260d3101abp-8, 0x1.1f754e9ae26a7p-8, 0x1.1a5f4ea41ef67p-8, 0x1.15600244e4988p-8, 0x1.10770c11161f6p-8, 0x1.0ba40fd7ceb16p-8, 0x1.06e6b2a123df4p-8, 0x1.023e9aaadbbfap-8, 0x1.fb56decd33ef7p-9, 0x1.f259b2eceee12p-9, 0x1.e98505561860fp-9, 0x1.e0d82c0084e94p-9, 0x1.d8527f35f6fb4p-9, 0x1.cff3598c6fe59p-9, 0x1.c7ba17e114982p-9, 0x1.bfa61952a8a3cp-9, 0x1.b7b6bf3c21fdap-9, 0x1.afeb6d2f5a096p-9, 0x1.a84388f00b32bp-9, 0x1.a0be7a6d7d52p-9, 0x1.995babbe457dbp-9, 0x1.921a8919dfdadp-9, 0x1.8afa80d3f3956p-9, 0x1.83fb0356adc88p-9, 0x1.7d1b831d79499p-9, 0x1.765b74af13c2ap-9, 0x1.6fba4e998b702p-9, 0x1.6937896b0275cp-9, 0x1.62d29fadfc8d3p-9, 0x1.5c8b0de2df816p-9, 0x1.5660527b67908p-9, 0x1.5051edd4951ep-9, 0x1.4a5f623232882p-9, 0x1.448833b8cb6bbp-9, 0x1.3ecbe868f2dcbp-9, 0x1.392a08197024fp-9, 0x1.33a21c72885dap-9, 0x1.2e33b0e8a9d7ap-9, 0x1.28de52b69f0cp-9, 0x1.23a190d943bafp-9, 0x1.1e7cfc09f1d7cp-9, 0x1.197026b8fec89p-9, 0x1.147aa5096d242p-9, 0x1.0f9c0ccaef38bp-9, 0x1.0ad3f575c5433p-9, 0x1.0621f8247bd7bp-9, 0x1.0185af906a899p-9, 0x1.f9fd7016b1fdep-10, 0x1.f1195ef6b14e3p-10, 0x1.e85e6aab068e6p-10, 0x1.dfcbd53277234p-10, 0x1.d760e39620948p-10, 0x1.cf1cdde042ea2p-10, 0x1.c6ff0f125c868p-10, 0x1.bf06c51b9b919p-10, 0x1.b73350cfaf182p-10, 0x1.af8405dcf0681p-10, 0x1.a7f83ac3180a1p-10, 0x1.a08f48c9f079cp-10, 0x1.99488bf8568fp-10, 0x1.9223630aa667fp-10, 0x1.8b1f2f69d1361p-10, 0x1.843b55225b66ap-10, 0x1.7d773adb59aa7p-10, 0x1.76d249ce05fcep-10, 0x1.704bedbb7508ep-10, 0x1.69e394e5b1ep-10, 0x1.6398b005d6738p-10, 0x1.5d6ab243c6e36p-10, 0x1.5759112d7c361p-10, 0x1.516344af0e776p-10, 0x1.4b88c709c3c49p-10, 0x1.45c914cbe8e0cp-10, 0x1.4023acc8d3729p-10, 0x1.3a9810107b8cp-10, 0x1.3525c1e6e2884p-10, 0x1.2fcc47bd25c08p-10, 0x1.2a8b29288b57ap-10, 0x1.2561efdb65a5p-10, 0x1.2050279caddd7p-10, 0x1.1b555e40b1731p-10, 0x1.167123a10c716p-10, 0x1.11a30995ab4edp-10, 0x1.0ceaa3ecbb26ap-10, 0x1.084788635efacp-10, 0x1.03b94e9e986a2p-10, 0x1.fe7f2046f9309p-11, 0x1.f5b3d0a1fe641p-11, 0x1.ed0fe8af76f14p-11, 0x1.e492a66713d05p-11, 0x1.dc3b4b4834e7ep-11, 0x1.d4091c4d8db98p-11, 0x1.cbfb61de272fcp-11, 0x1.c41167bfc0082p-11, 0x1.bc4a7d0aece4fp-11, 0x1.b4a5f41cec33bp-11, 0x1.ad23228a90d97p-11, 0x1.a5c1611360701p-11, 0x1.9e800b954b895p-11, 0x1.975e80ffa0031p-11, 0x1.905c234689e58p-11, 0x1.8978575783d8fp-11, 0x1.82b2850bbda39p-11, 0x1.7c0a171dde9e1p-11, 0x1.757e7b1ca035cp-11, 0x1.6f0f21602c9fdp-11, 0x1.68bb7cfdcba09p-11, 0x1.628303bca6186p-11, 0x1.5c652e0af3a01p-11, 0x1.566176f1f6201p-11, 0x1.50775c0b6ba7fp-11, 0x1.4aa65d766fb42p-11, 0x1.44edfdcd83aabp-11, 0x1.3f4dc21b2f812p-11, 0x1.39c531cf7a54ap-11, 0x1.3453d6b58e78ap-11, 0x1.2ef93cea6a621p-11, 0x1.29b4f2d1ba7f6p-11, 0x1.2486890c7078dp-11, 0x1.1f6d926e7ee3p-11, 0x1.1a69a3f5ec586p-11, 0x1.157a54c0ad1f3p-11, 0x1.109f3e038e2dep-11, 0x1.0bd7fb008f9e4p-11, 0x1.072428fe35ed3p-11, 0x1.0283673d9df33p-11, 0x1.fbeaade5fa764p-12, 0x1.f2f336762e74fp-12, 0x1.ea1fb227f8839p-12, 0x1.e16f6ea85b668p-12, 0x1.d8e1bd43073eep-12, 0x1.d075f2d2fe594p-12, 0x1.c82b67b22b52p-12, 0x1.c00177a8fd147p-12, 0x1.b7f781de22d33p-12, 0x1.b00ce8c7380c4p-12, 0x1.a8411218c1ceap-12, 0x1.a09366b7efb6cp-12, 0x1.990352ab8c665p-12, 0x1.9190450bc859ep-12, 0x1.8a39aff57e33dp-12, 0x1.82ff087a6f834p-12, 0x1.7bdfc693d14fbp-12, 0x1.74db6513dd58cp-12, 0x1.6df161991914dp-12, 0x1.67213c7fcc5e9p-12, 0x1.606a78d4e4056p-12, 0x1.59cc9c497b00fp-12, 0x1.53472f258529dp-12, 0x1.4cd9bc3aae303p-12, 0x1.4683d0d8f2d34p-12, 0x1.4044fcc1437f1p-12, 0x1.3a1cd219b57b7p-12, 0x1.340ae5624678fp-12, 0x1.2e0ecd6847245p-12, 0x1.2828233a8f7c6p-12, 0x1.2256821f19a4ep-12, 0x1.1c99878809015p-12, 0x1.16f0d307664c1p-12, 0x1.115c06454e20ep-12, 0x1.0bdac4f4f2b03p-12, 0x1.066cb4c9d6315p-12, 0x1.01117d6e0a16ep-12, 0x1.f79190f0332ffp-13, 0x1.ed2482c16df42p-13, 0x1.e2db2af18a5abp-13, 0x1.d8b4e7c0dba71p-13, 0x1.ceb11afae1556p-13, 0x1.c4cf29e2e16f1p-13, 0x1.bb0e7d220d63ap-13, 0x1.b16e80b625e1cp-13, 0x1.a7eea3dead64cp-13, 0x1.9e8e590c1df83p-13, 0x1.954d15cf4a37cp-13, 0x1.8c2a52c804c2cp-13, 0x1.83258b9486a31p-13, 0x1.7a3e3ec236c9dp-13, 0x1.7173edbc95104p-13, 0x1.68c61cbe87e98p-13, 0x1.603452c30c735p-13, 0x1.57be19748e744p-13, 0x1.4f62fd20200adp-13, 0x1.47228ca594398p-13, 0x1.3efc5969ef871p-13, 0x1.36eff7495c51ep-13, 0x1.2efcfc8932f46p-13, 0x1.272301cab7db2p-13, 0x1.1f61a1fdb1f9fp-13, 0x1.17b87a5317c4bp-13, 0x1.10272a307eb6fp-13, 0x1.08ad53239691p-13, 0x1.014a98d60c2a5p-13, 0x1.f3fd42039b14fp-14, 0x1.e59226c78a985p-14, 0x1.d75333633cd69p-14, 0x1.c93fbf1c6c9c3p-14, 0x1.bb5724fc2dd35p-14, 0x1.ad98c3b7e566cp-14, 0x1.a003fd9e32da6p-14, 0x1.92983880b4488p-14, 0x1.8554dd9e3fd39p-14, 0x1.7839598f8bac1p-14, 0x1.6b451c33d83f6p-14, 0x1.5e77989d29739p-14, 0x1.51d044fc36636p-14, 0x1.454e9a8f02f2cp-14, 0x1.38f2158cad22bp-14, 0x1.2cba3515f7a9bp-14, 0x1.20a67b216294cp-14, 0x1.14b66c6ac13d6p-14, 0x1.08e99062b22a1p-14, 0x1.fa7ee23a616b5p-15, 0x1.e36f3682434eap-15, 0x1.cca33bf43c8acp-15, 0x1.b61a15cddaf92p-15, 0x1.9fd2ec1711306p-15, 0x1.89cceb83045f7p-15, 0x1.7407455413f0fp-15, 0x1.5e812f3c405b5p-15, 0x1.4939e342fd0d7p-15, 0x1.34309faa93bf2p-15, 0x1.1f64a6d3f6654p-15, 0x1.0ad53f2444bcap-15, 0x1.ed0365d6cff2ap-16, 0x1.c4d2a096e712dp-16, 0x1.9d16d23dd3e07p-16, 0x1.75cea5c4af05cp-16, 0x1.4ef8cd342c8f7p-16, 0x1.2894017af1f51p-16, 0x1.029f023c4b5fdp-16, 0x1.ba312b4fa5dbcp-17, 0x1.6fff109839157p-17, 0x1.26a559dbb1a8bp-17, 0x1.bc43716c97da3p-18, 0x1.2ce3d5289c9b6p-18, 0x1.3e4ee139fda84p-19, 0x1.309ebde32cbd9p-22, -0x1.dde3eceb9c36ep-20, -0x1.006571b6e4d6ap-18, -0x1.87bf8ffa57046p-18, -0x1.06c5ad2ffbb08p-17, -0x1.48e660e0a678ap-17, -0x1.8a43d1fa31036p-17, -0x1.cadfe628bd3f3p-17, -0x1.055e3d0da7b6cp-16, -0x1.24edb0e1259bp-16, -0x1.441f3447b7f6ap-16, -0x1.62f3a8d33905cp-16, -0x1.816bec11c8e39p-16, -0x1.9f88d7a48d3c6p-16, -0x1.bd4b41621b102p-16, -0x1.dab3fb6c0ccbcp-16, -0x1.f7c3d44b72433p-16, -0x1.0a3dcb852bcc7p-15, -0x1.186e05a6b8cecp-15, -0x1.2672fab4fc8a8p-15, -0x1.344d0b40dae83p-15, -0x1.41fc964ac93d4p-15, -0x1.4f81f94f9ceafp-15, -0x1.5cdd905332633p-15, -0x1.6a0fb5eb8f65fp-15, -0x1.7718c34b53facp-15, -0x1.83f9104a7bcbp-15, -0x1.90b0f372c726cp-15, -0x1.9d40c20771656p-15, -0x1.a9a8d00e62a8dp-15, -0x1.b5e9705bd9ee6p-15, -0x1.c202f4994dc9p-15, -0x1.cdf5ad4dfaee4p-15, -0x1.d9c1e9e887d33p-15, -0x1.e567f8c5f59cep-15, -0x1.f0e8273b7d62cp-15, -0x1.fc42c19ca276ap-15, -0x1.03bc09a171af2p-14, -0x1.0944334ba35e9p-14, -0x1.0eba028afa1dp-14, -0x1.141d9bac66e9ap-14, -0x1.196f228d1736fp-14, -0x1.1eaebaa0197e4p-14, -0x1.23dc86efd7bb2p-14, -0x1.28f8aa21781c3p-14, -0x1.2e034677fdc09p-14, -0x1.32fc7dd7c18c8p-14, -0x1.37e471c859dp-14, -0x1.3cbb4378a2239p-14, -0x1.418113bff6d77p-14, -0x1.46360321a608dp-14, -0x1.4ada31cf4277ep-14, -0x1.4f6dbfab0ae6dp-14, -0x1.53f0cc4a556fep-14, -0x1.586376f7fe46fp-14, -0x1.5cc5deb633743p-14, -0x1.61182240d24aap-14, -0x1.655a600fe719p-14, -0x1.698cb6594b227p-14, -0x1.6daf431231d65p-14, -0x1.71c223f1a42ep-14, -0x1.75c576725be57p-14, -0x1.79b957d44754bp-14, -0x1.7d9de51e07e21p-14, -0x1.81733b1f14343p-14, -0x1.8539767128977p-14, -0x1.88f0b379b7ecdp-14, -0x1.8c990e6b5087cp-14, -0x1.9032a34790425p-14, -0x1.93bd8ddf697c2p-14, -0x1.9739e9d56953fp-14, -0x1.9aa7d29f2c5f8p-14, -0x1.9e07638631fa9p-14, -0x1.a158b7a8d81e5p-14, -0x1.a49be9fc050f8p-14, -0x1.a7d1154b830fcp-14, -0x1.aaf8543bcb037p-14, -0x1.ae11c14af5d61p-14, -0x1.b11d76d1d638ep-14, -0x1.b41b8f03f8a33p-14, -0x1.b70c23f16948cp-14, -0x1.b9ef4f87563abp-14, -0x1.bcc52b9155778p-14, -0x1.bf8dd1b94f4c8p-14, -0x1.c2495b89053fep-14, -0x1.c4f7e26abd334p-14, -0x1.c7997fa90b592p-14, -0x1.ca2e4c70ba652p-14, -0x1.ccb661d0fc2fcp-14, -0x1.cf31d8bbf639ap-14, -0x1.d1a0ca06caad3p-14, -0x1.d4034e6b02758p-14, -0x1.d6597e8716275p-14, -0x1.d8a372dea23edp-14, -0x1.dae143da85bf7p-14, -0x1.dd1309ca00a1cp-14, -0x1.df38dce2498aap-14, -0x1.e152d53f91333p-14, -0x1.e3610ae5f768p-14, -0x1.e56395c100533p-14, -0x1.e75a8da3fcf7dp-14, -0x1.e9460a4ab6555p-14, -0x1.eb262359cb14p-14, -0x1.ecfaf05ea2e9p-14, -0x1.eec488cf4ff66p-14, -0x1.f083040bdddc5p-14, -0x1.f236795e58ee4p-14, -0x1.f3defffaa2f63p-14, -0x1.f57caefe0384dp-14, -0x1.f70f9d70b0a8p-14, -0x1.f897e2456da39p-14, -0x1.fa15945966ea4p-14, -0x1.fb88ca7491975p-14, -0x1.fcf19b49bf3fap-14, -0x1.fe501d76f469ap-14, -0x1.ffa467855a24p-14, -0x1.007747f4cebfep-13, -0x1.01175681d10cdp-13, -0x1.01b26a8f38f2p-13, -0x1.02488f3838b24p-13, -0x1.02d9cf8e06522p-13, -0x1.03663697980a2p-13, -0x1.03edcf51a7e0fp-13, -0x1.0470a4aeca305p-13, -0x1.04eec197529f3p-13, -0x1.056830e994fcp-13, -0x1.05dcfd79aab08p-13, -0x1.064d32117caa8p-13, -0x1.06b8d970cf111p-13, -0x1.071ffe4d5348ap-13, -0x1.0782ab5268e5ap-13, -0x1.07e0eb2171714p-13, -0x1.083ac8516e3bap-13, -0x1.08904d6f68d75p-13, -0x1.08e184fda0552p-13, -0x1.092e79746d256p-13, -0x1.09773542068c6p-13, -0x1.09bbc2ca25dcp-13, -0x1.09fc2c6613f67p-13, -0x1.0a387c64c53a6p-13, -0x1.0a70bd0ad167ep-13, -0x1.0aa4f8923cae7p-13, -0x1.0ad5392a981a3p-13, -0x1.0b0188f8e0406p-13, -0x1.0b29f217acfc3p-13, -0x1.0b4e7e96d675bp-13, -0x1.0b6f387b96759p-13, -0x1.0b8c29c05c428p-13, -0x1.0ba55c54d856bp-13, -0x1.0bbada1e25cecp-13, -0x1.0bccacf663bb2p-13, -0x1.0bdadeacb6ed2p-13, -0x1.0be5790578cdbp-13, -0x1.0bec85ba0a53ap-13, -0x1.0bf00e78d6b7cp-13, -0x1.0bf01ce5171bcp-13, -0x1.0becba96ebc23p-13, -0x1.0be5f11b483e3p-13, -0x1.0bdbc9f3dcee3p-13, -0x1.0bce4e973bea8p-13, -0x1.0bbd8870b3307p-13, -0x1.0ba980dfe98ep-13, -0x1.0b9241395aeecp-13, -0x1.0b77d2c629854p-13, -0x1.0b5a3ec3b3822p-13, -0x1.0b398e63ddd6ap-13, -0x1.0b15cacd0dp-13, -0x1.0aeefd19ee159p-13, -0x1.0ac52e597d174p-13, -0x1.0a98678f20d94p-13, -0x1.0a68b1b253a5cp-13, -0x1.0a3615aeb3733p-13, -0x1.0a009c6441d7bp-13, -0x1.09c84ea6d0519p-13, -0x1.098d353e4dbd3p-13, -0x1.094f58e6c1d46p-13, -0x1.090ec25046e01p-13, -0x1.08cb7a1eb50d8p-13, -0x1.088588e9e8afep-13, -0x1.083cf73d8c352p-13, -0x1.07f1cd9929432p-13, -0x1.07a4146ff8faap-13, -0x1.0753d428fd2fdp-13, -0x1.0701151ef11a2p-13, -0x1.06abdfa05a71ap-13, -0x1.06543bef6e693p-13, -0x1.05fa3241b401dp-13, -0x1.059dcac08224cp-13, -0x1.053f0d88cc4bap-13, -0x1.04de02aae9c22p-13, -0x1.047ab22ac72fep-13, -0x1.041523ffe2179p-13, -0x1.03ad6014e5c2ap-13, -0x1.03436e483e12cp-13, -0x1.02d7566bb46d3p-13, -0x1.026920444565ap-13, -0x1.01f8d38a84b8dp-13, -0x1.018677ea2ae8ap-13, -0x1.0112150257e31p-13, -0x1.009bb2659ceaap-13, -0x1.00235799a19dap-13, -0x1.ff52182f0a79fp-14, -0x1.fe59ae9754dcfp-14, -0x1.fd5d812b6adf3p-14, -0x1.fc5d9e90c1b2cp-14, -0x1.fb5a1553ad98ap-14, -0x1.fa52f3e6fb324p-14, -0x1.f94848a387058p-14, -0x1.f83a21c8d4ceep-14, -0x1.f7288d7d131c2p-14, -0x1.f61399ccc1395p-14, -0x1.f4fb54aa5e20dp-14, -0x1.f3dfcbef4d434p-14, -0x1.f2c10d5b34669p-14, -0x1.f19f2694010d6p-14, -0x1.f07a25262b1e6p-14, -0x1.ef521684ba4bdp-14, -0x1.ee2708091ad75p-14, -0x1.ecf906f2c37f7p-14, -0x1.ebc820680bdf2p-14, -0x1.ea946175b587fp-14, -0x1.e95dd70ed9fefp-14, -0x1.e8248e0d5a6cfp-14, -0x1.e6e893314db3ap-14, -0x1.e5a9f32146af8p-14, -0x1.e468ba6ae2881p-14, -0x1.e324f581d9183p-14, -0x1.e1deb0c0f1ed5p-14, -0x1.e095f8695af19p-14, -0x1.df4ad8a3044b4p-14, -0x1.ddfd5d7ccf334p-14, -0x1.dcad92ebd8031p-14, -0x1.db5b84cca4d92p-14, -0x1.da073ee2957b2p-14, -0x1.d8b0ccd768d6fp-14, -0x1.d7583a3c6f40ep-14, -0x1.d5fd9289990f6p-14, -0x1.d4a0e11debb2dp-14, -0x1.d342313fa78a1p-14, -0x1.d1e18e1c6db71p-14, -0x1.d07f02c87d90cp-14, -0x1.cf1a9a3fb63dcp-14, -0x1.cdb45f656f133p-14, -0x1.cc4c5d0419e79p-14, -0x1.cae29dcdd4fd9p-14, -0x1.c9772c5c3dfacp-14, -0x1.c80a13309421dp-14, -0x1.c69b5cb3897c5p-14, -0x1.c52b1335c48e8p-14, -0x1.c3b940efc8ec8p-14, -0x1.c245f0019425dp-14, -0x1.c0d12a736220bp-14, -0x1.bf5afa359ce3ap-14, -0x1.bde369207b4e7p-14, -0x1.bc6a80f477ff2p-14, -0x1.baf04b5a4f84fp-14, -0x1.b974d1e34dd66p-14, -0x1.b7f81e0900db2p-14, -0x1.b67a392d19cc4p-14, -0x1.b4fb2c9a9a0b2p-14, -0x1.b37b0184cdec1p-14, -0x1.b1f9c107f60c6p-14, -0x1.b0777428f4745p-14, -0x1.aef423d5adde6p-14, -0x1.ad6fd8e54ff8bp-14, -0x1.abea9c17b678dp-14, -0x1.aa647616b2f82p-14, -0x1.a8dd6f74ca7edp-14, -0x1.a75590adfbac5p-14, -0x1.a5cce2280a608p-14, -0x1.a4436c3271525p-14, -0x1.a2b93705f373fp-14, -0x1.a12e4ac5abc92p-14, -0x1.9fa2af7e33f86p-14, -0x1.9e166d264c2f7p-14, -0x1.9c898b9f3e944p-14, -0x1.9afc12b3e95f4p-14, -0x1.996e0a19ff833p-14, -0x1.97df7971919a4p-14, -0x1.9650684529d1fp-14, -0x1.94c0de09c5cbp-14, -0x1.9330e21fc268cp-14, -0x1.91a07bd1d1be2p-14, -0x1.900fb255db274p-14, -0x1.8e7e8cccfe597p-14, -0x1.8ced124336caep-14, -0x1.8b5b49b0231e4p-14, -0x1.89c939f6ee702p-14, -0x1.8836e9e5e8931p-14, -0x1.86a4603746a35p-14, -0x1.8511a3913cf7p-14, -0x1.837eba85be729p-14, -0x1.81ebab928f16ap-14, -0x1.80587d21b2116p-14, -0x1.7ec53589966bap-14, -0x1.7d31db0d08715p-14, -0x1.7b9e73db2cd48p-14, -0x1.7a0b060fa3155p-14, -0x1.787797b3008c3p-14, -0x1.76e42ebaa924p-14, -0x1.7550d108df06ap-14, -0x1.73bd846d1b9a7p-14, -0x1.722a4ea3baa92p-14, -0x1.70973557032ffp-14, -0x1.6f043e1e0f6d9p-14, -0x1.6d716e7dc8e7fp-14, -0x1.6bdecbe926082p-14, -0x1.6a4c5bc037fd5p-14, -0x1.68ba23518e295p-14, -0x1.672827d990ef5p-14, -0x1.65966e82bcca5p-14, -0x1.6404fc6612b64p-14, -0x1.6273d68ad1358p-14, -0x1.60e301e6bc8e1p-14, -0x1.5f52835ea107fp-14, -0x1.5dc25fc56df6dp-14, -0x1.5c329bdd740a2p-14, -0x1.5aa33c5823e9p-14, -0x1.591445d57373cp-14, -0x1.5785bce55e033p-14, -0x1.55f7a606f38e4p-14, -0x1.546a05a896462p-14, -0x1.52dce028b47ecp-14, -0x1.515039d54b1f6p-14, -0x1.4fc416ec2c125p-14, -0x1.4e387b9b411a3p-14, -0x1.4cad6c00a95d4p-14, -0x1.4b22ec2a9da74p-14, -0x1.49990017df8f9p-14, -0x1.480fabb790387p-14, -0x1.4686f2e98e2ap-14, -0x1.44fed97e6ed5dp-14, -0x1.4377633774dccp-14, -0x1.41f093c737f3ep-14, -0x1.406a6ed113e04p-14, -0x1.3ee4f7ea0ae82p-14, -0x1.3d6032980fe07p-14, -0x1.3bdc22529e37ep-14, -0x1.3a58ca8325546p-14, -0x1.38d62e84686d3p-14, -0x1.375451a329dc1p-14, -0x1.35d3371e14f4cp-14, -0x1.3452e225d3d16p-14, -0x1.32d355dd94fdp-14, -0x1.3154955a7a9dbp-14, -0x1.2fd6a3a423b98p-14, -0x1.2e5983b4dc4fep-14, -0x1.2cdd387987e96p-14, -0x1.2b61c4d1c658p-14, -0x1.29e72b903601cp-14, -0x1.286d6f7a651b5p-14, -0x1.26f4934915921p-14, -0x1.257c99a82e467p-14, -0x1.24058537042f6p-14, -0x1.228f58885fc1ep-14, -0x1.211a1622d7317p-14, -0x1.1fa5c08054d76p-14, -0x1.1e325a0ed1496p-14, -0x1.1cbfe5302259cp-14, -0x1.1b4e643a3b672p-14, -0x1.19ddd9773b3b9p-14, -0x1.186e472559ac6p-14, -0x1.16ffaf775b9dcp-14, -0x1.159214948b156p-14, -0x1.142578988c88cp-14, -0x1.12b9dd9403b21p-14, -0x1.114f458c5c429p-14, -0x1.0fe5b27babfafp-14, -0x1.0e7d26518064dp-14, -0x1.0d15a2f233538p-14, -0x1.0baf2a3773fafp-14, -0x1.0a49bdf09d96p-14, -0x1.08e55fe20b2e9p-14, -0x1.078211c5ecb9fp-14, -0x1.061fd54c4b3d8p-14, -0x1.04beac1aa5ba7p-14, -0x1.035e97cc856fdp-14, -0x1.01ff99f39a23p-14, -0x1.00a1b417679e5p-14, -0x1.fe89cf6b80bc7p-15, -0x1.fbd26c860713cp-15, -0x1.f91d42530354ap-15, -0x1.f66a5394c7946p-15, -0x1.f3b9a2fb3341p-15, -0x1.f10b33228eef3p-15, -0x1.ee5f06957b075p-15, -0x1.ebb51fcc949e9p-15, -0x1.e90d812db22fdp-15, -0x1.e6682d0dc88ecp-15, -0x1.e3c525aff6fd2p-15, -0x1.e1246d4553a59p-15, -0x1.de8605eede9b8p-15, -0x1.dbe9f1bbcde7ep-15, -0x1.d95032aa82888p-15, -0x1.d6b8caa9389e1p-15, -0x1.d423bb958d492p-15, -0x1.d191073cae38dp-15, -0x1.cf00af5bdf559p-15, -0x1.cc72b5a0a5a1p-15, -0x1.c9e71ba88097fp-15, -0x1.c75de301bbe2cp-15, -0x1.c4d70d2b377cdp-15, -0x1.c2529b94853fcp-15, -0x1.bfd08f9ea551dp-15, -0x1.bd50ea9b41ca6p-15, -0x1.bad3adcde9f27p-15, -0x1.b858da6bd5612p-15, -0x1.b5e0719b233adp-15, -0x1.b36a7474afa55p-15, -0x1.b0f6e4033a877p-15, -0x1.ae85c1434c26bp-15, -0x1.ac170d24ab224p-15, -0x1.a9aac888f9347p-15, -0x1.a740f4450696dp-15, -0x1.a4d991206dd93p-15, -0x1.a2749fd5affcp-15, -0x1.a0122113067c7p-15, -0x1.9db21579a519p-15, -0x1.9b547d9e442b7p-15, -0x1.98f95a0a13da6p-15, -0x1.96a0ab39294bfp-15, -0x1.944a719c5af2ep-15, -0x1.91f6ad9876cbbp-15, -0x1.8fa55f865b94ep-15, -0x1.8d5687b40b592p-15, -0x1.8b0a2663c4d9ap-15, -0x1.88c03bcca0a4p-15, -0x1.8678c81adf413p-15, -0x1.8433cb6fbd40cp-15, -0x1.81f145e1778bap-15, -0x1.7fb1377c5c215p-15, -0x1.7d73a041896f9p-15, -0x1.7b3880284d9a7p-15, -0x1.78ffd71db66fbp-15, -0x1.76c9a504972a2p-15, -0x1.7495e9b641462p-15, -0x1.7264a50203292p-15, }}, 
      {{-0x1.3de73cd5fc9c9p-1, -0x1.3de81d3e4052cp-1, -0x1.3de963123a1cdp-1, -0x1.3deac9c2bee89p-1, -0x1.3debf7c036484p-1, -0x1.3dec83444c326p-1, -0x1.3debf7185b2b3p-1, -0x1.3de9d70c19c6ap-1, -0x1.3de5a3f40139p-1, -0x1.3ddedf1df934bp-1, -0x1.3dd50d38896d6p-1, -0x1.3dc7b8b09c0dep-1, -0x1.3db6738e32465p-1, -0x1.3da0d8dad8a82p-1, -0x1.3d868d9e10598p-1, -0x1.3d67417c955fp-1, -0x1.3d42af07a2f99p-1, -0x1.3d189bc92fb82p-1, -0x1.3ce8d8197f9cbp-1, -0x1.3cb33ec993dbfp-1, -0x1.3c77b4ace2185p-1, -0x1.3c36280b766ap-1, -0x1.3bee90044f55cp-1, -0x1.3ba0ebe66d53p-1, -0x1.3b4d4285c5a5p-1, -0x1.3af3a1902640dp-1, -0x1.3a941ce508a9bp-1, -0x1.3a2ecdf281aa7p-1, -0x1.39c3d318ba11ep-1, -0x1.39534f14d3651p-1, -0x1.38dd6873b220ep-1, -0x1.3862490ccda6bp-1, -0x1.37e21d84ff02fp-1, -0x1.375d14d918041p-1, -0x1.36d35ff002a4cp-1, -0x1.364531341d232p-1, -0x1.35b2bc338676dp-1, -0x1.351c354715008p-1, -0x1.3481d13fb7033p-1, -0x1.33e3c51a01506p-1, -0x1.334245b7b9cbp-1, -0x1.329d879f31c68p-1, -0x1.31f5bec044b74p-1, -0x1.314b1e3ed40fep-1, -0x1.309dd842987ecp-1, -0x1.2fee1dcc255b3p-1, -0x1.2f3c1e8eec204p-1, -0x1.2e8808d01ec04p-1, -0x1.2dd2094a3619dp-1, -0x1.2d1a4b14f3376p-1, -0x1.2c60f7919c751p-1, -0x1.2ba6365b4387dp-1, -0x1.2aea2d3ad1c49p-1, -0x1.2a2d001e9fb96p-1, -0x1.296ed115537a9p-1, -0x1.28afc04bc6c18p-1, -0x1.27efec0dadd46p-1, -0x1.272f70c8c0c3ep-1, -0x1.266e6912222ap-1, -0x1.25acedadc4be4p-1, -0x1.24eb1597906a5p-1, -0x1.2428f60e09bcdp-1, -0x1.2366a29e45697p-1, -0x1.22a42d30ee014p-1, -0x1.21e1a6182c9b4p-1, -0x1.211f1c1e40f83p-1, -0x1.205c9c94a2a68p-1, -0x1.1f9a33637cf7dp-1, -0x1.1ed7eb1968c15p-1, -0x1.1e15ccfb3cfb2p-1, -0x1.1d53e113dc837p-1, -0x1.1c922e43e82cep-1, -0x1.1bd0ba513c763p-1, -0x1.1b0f89f629fd8p-1, -0x1.1a4ea0f057bf8p-1, -0x1.198e020f42d2ep-1, -0x1.18cdaf424edep-1, -0x1.180da9a66200ep-1, -0x1.174df19302f5cp-1, -0x1.168e86a6f6c5cp-1, -0x1.15cf67d45bde7p-1, -0x1.1510936c3fabdp-1, -0x1.14520729b009ap-1, -0x1.1393c03c4a858p-1, -0x1.12d5bb524ba5fp-1, -0x1.1217f4a21dfcbp-1, -0x1.115a67f373232p-1, -0x1.109d10a7e5165p-1, -0x1.0fdfe9c327dcbp-1, -0x1.0f22edf2cf334p-1, -0x1.0e661795af131p-1, -0x1.0da960c2d8d14p-1, -0x1.0cecc3503fd88p-1, -0x1.0c3038d903c91p-1, -0x1.0b73bac36e122p-1, -0x1.0ab742469f7f6p-1, -0x1.09fac86ff8f32p-1, -0x1.093e46283ff4p-1, -0x1.0881b43886c22p-1, -0x1.07c50b4ed944dp-1, -0x1.07084402b336cp-1, -0x1.064b56d9469a2p-1, -0x1.058e3c499009ap-1, -0x1.04d0ecc040988p-1, -0x1.041360a37f03cp-1, -0x1.0355905680a5dp-1, -0x1.0297743cffab6p-1, -0x1.01d904be8e18cp-1, -0x1.011a3a49c79b4p-1, -0x1.005b0d5766fc3p-1, -0x1.ff36ecda752efp-2, -0x1.fdb6dc41fea0bp-2, -0x1.fc35da363c1cbp-2, -0x1.fab3d832a2f51p-2, -0x1.f930c7e25c8a2p-2, -0x1.f7ac9b252c2c9p-2, -0x1.f62744141d247p-2, -0x1.f4a0b506068p-2, -0x1.f318e093d9aa6p-2, -0x1.f18fb99cc3b63p-2, -0x1.f005334a2079cp-2, -0x1.ee7941133e2bfp-2, -0x1.ecebd6c0f1f1cp-2, -0x1.eb5ce870fe3d7p-2, -0x1.e9cc6a994c52bp-2, -0x1.e83a520af5686p-2, -0x1.e6a693f51e7edp-2, -0x1.e51125e7a83a4p-2, -0x1.e379fdd5adec5p-2, -0x1.e1e11217d8318p-2, -0x1.e046596e82b2bp-2, -0x1.dea9cb03b57b3p-2, -0x1.dd0b5e6ced7cfp-2, -0x1.db6b0bacbc9edp-2, -0x1.d9c8cb343c7dfp-2, -0x1.d82495e453e23p-2, -0x1.d67e650ed49dep-2, -0x1.d4d63277697cap-2, -0x1.d32bf8545fb1fp-2, -0x1.d17fb14f43dbap-2, -0x1.cfd1588556fecp-2, -0x1.ce20e987dd415p-2, -0x1.cc6e605c434c5p-2, -0x1.cab9b97c215ffp-2, -0x1.c902f1d517b3cp-2, -0x1.c74a06c88423p-2, -0x1.c58ef62b1bb31p-2, -0x1.c3d1be445c852p-2, -0x1.c2125dcde16e8p-2, -0x1.c050d3f297a9bp-2, -0x1.be8d204dd319dp-2, -0x1.bcc742ea482b1p-2, -0x1.baff3c40eadf3p-2, -0x1.b9350d37ae2f4p-2, -0x1.b768b72030844p-2, -0x1.b59a3bb64b992p-2, -0x1.b3c99d1e9092bp-2, -0x1.b1f6dde4ad386p-2, -0x1.b02200f9bb2fap-2, -0x1.ae4b09b28124ap-2, -0x1.ac71fbc59c32fp-2, -0x1.aa96db499d6e3p-2, -0x1.a8b9acb31562fp-2, -0x1.a6da74d29427ap-2, -0x1.a4f938d297d64p-2, -0x1.a315fe3573fcfp-2, -0x1.a130cad32bdbfp-2, -0x1.9f49a4d743681p-2, -0x1.9d6092be88625p-2, -0x1.9b759b54d1c1ep-2, -0x1.9988c5b2bcec6p-2, -0x1.979a193b60cf3p-2, -0x1.95a99d99fe569p-2, -0x1.93b75abfae401p-2, -0x1.91c358e10bd99p-2, -0x1.8fcda073dae98p-2, -0x1.8dd63a2cb18c8p-2, -0x1.8bdd2efc9c5b5p-2, -0x1.89e2880ec99a4p-2, -0x1.87e64ec62e404p-2, -0x1.85e88cbb3278p-2, -0x1.83e94bb95e91cp-2, -0x1.81e895bd0b092p-2, -0x1.7fe674f115619p-2, -0x1.7de2f3ac9816bp-2, -0x1.7bde1c70a7d42p-2, -0x1.79d7f9e61826bp-2, -0x1.77d096db409f1p-2, -0x1.75c7fe41d0067p-2, -0x1.73be3b2ca0047p-2, -0x1.71b358cd92012p-2, -0x1.6fa7627373f1bp-2, -0x1.6d9a6387ec2e5p-2, -0x1.6b8c678d6fd6ep-2, -0x1.697d7a1d3bda7p-2, -0x1.676da6e55d63cp-2, -0x1.655cf9a6bf1c5p-2, -0x1.634b7e3340fd7p-2, -0x1.6139406bd87c7p-2, -0x1.5f264c3ebad4dp-2, -0x1.5d12ada5901dbp-2, -0x1.5afe70a3b2bp-2, -0x1.58e9a14474449p-2, -0x1.56d44b9970b42p-2, -0x1.54be7bb8e7508p-2, -0x1.52a83dbc22c0cp-2, -0x1.50919dbde695dp-2, -0x1.4e7aa7d8e6fbdp-2, -0x1.4c6368265193p-2, -0x1.4a4beabc55675p-2, -0x1.48343bacbdd12p-2, -0x1.461c6703930e3p-2, -0x1.440478c5c79bp-2, -0x1.41ec7cefebb4fp-2, -0x1.3fd47f74ef5fap-2, -0x1.3dbc8c3ce9b18p-2, -0x1.3ba4af23ee334p-2, -0x1.398cf3f8e8d7fp-2, -0x1.3775667c8412fp-2, -0x1.355e12601b3e3p-2, -0x1.33470344afa41p-2, -0x1.313044b9ef918p-2, -0x1.2f19e23d400bap-2, -0x1.2d03e738d184p-2, -0x1.2aee5f02bdc97p-2, -0x1.28d954dc2e53ep-2, -0x1.26c4d3f08a7b3p-2, -0x1.24b0e754b0ac3p-2, -0x1.229d9a0634e54p-2, -0x1.208af6eaa71d4p-2, -0x1.1e7908cee58aap-2, -0x1.1c67da6672df5p-2, -0x1.1a57764ad6328p-2, -0x1.1847e6fb0111cp-2, -0x1.163936dabdeddp-2, -0x1.142b70322671ep-2, -0x1.121e9d2d1e412p-2, -0x1.1012c7dad7609p-2, -0x1.0e07fa2d5c59p-2, -0x1.0bfe3df920f1fp-2, -0x1.09f59cf498335p-2, -0x1.07ee20b7d1709p-2, -0x1.05e7d2bc1e90ap-2, -0x1.03e2bc5bba553p-2, -0x1.01dee6d176fddp-2, -0x1.ffb8b670ed2f7p-3, -0x1.fbb64517c153fp-3, -0x1.f7b68b4d4ccabp-3, -0x1.f3b99a8685bd7p-3, -0x1.efbf83f710156p-3, -0x1.ebc85890d5afdp-3, -0x1.e7d42903b2ce2p-3, -0x1.e3e305bd1e1f9p-3, -0x1.dff4fee7eb2f1p-3, -0x1.dc0a246c0160ep-3, -0x1.d82285ee2e357p-3, -0x1.d43e32cff4076p-3, -0x1.d05d3a2f60b3dp-3, -0x1.cc7faae6f4183p-3, -0x1.c8a5938d87717p-3, -0x1.c4cf02763bc42p-3, -0x1.c0fc05b06e6d5p-3, -0x1.bd2cab07be698p-3, -0x1.b9610004062c7p-3, -0x1.b59911e96e19ep-3, -0x1.b1d4edb87713bp-3, -0x1.ae14a02e1239dp-3, -0x1.aa5835c3bc2edp-3, -0x1.a69fbaaf9da38p-3, -0x1.a2eb3ae4b20aep-3, -0x1.9f3ac212ef2f4p-3, -0x1.9b8e5ba77adap-3, -0x1.97e612ccd8918p-3, -0x1.9441f26b2649dp-3, -0x1.90a205285916ap-3, -0x1.8d0655687c8p-3, -0x1.896eed4df9c21p-3, -0x1.85dbd6b9de2b4p-3, -0x1.824d1b4c29657p-3, -0x1.7ec2c4641d815p-3, -0x1.7b3cdb2091a53p-3, -0x1.77bb68604840ep-3, -0x1.743e74c24a882p-3, -0x1.70c608a6414ap-3, -0x1.6d522c2cdaf99p-3, -0x1.69e2e7382647dp-3, -0x1.6678416bfc91dp-3, -0x1.6312422e6627ep-3, -0x1.5fb0f0a804bbfp-3, -0x1.5c5453c48074p-3, -0x1.58fc7232f5dd9p-3, -0x1.55a9526663001p-3, -0x1.525afa961efd4p-3, -0x1.4f1170be4804bp-3, -0x1.4bccbaa03f5a4p-3, -0x1.488cddc31baf5p-3, -0x1.4551df7426ebap-3, -0x1.421bc4c754ecbp-3, -0x1.3eea9297c3f1dp-3, -0x1.3bbe4d88351ep-3, -0x1.3896fa03922b1p-3, -0x1.35749c3d66cccp-3, -0x1.325738326744fp-3, -0x1.2f3ed1a8f373ep-3, -0x1.2c2b6c3194a07p-3, -0x1.291d0b278a356p-3, -0x1.2613b1b1486aep-3, -0x1.230f62c104227p-3, -0x1.20102115389ap-3, -0x1.1d15ef392ee1fp-3, -0x1.1a20cf8587f61p-3, -0x1.1730c420c6d6ep-3, -0x1.1445ceffd9c2p-3, -0x1.115ff1e6a6ee9p-3, -0x1.0e7f2e6896a69p-3, -0x1.0ba385e920e5p-3, -0x1.08ccf99c59316p-3, -0x1.05fb8a877c3dbp-3, -0x1.032f39817ca34p-3, -0x1.006807338f9f5p-3, -0x1.fb4be83381b35p-4, -0x1.f5d20106f3b3ep-4, -0x1.f062592829da2p-4, -0x1.eafcf086d7482p-4, -0x1.e5a1c6bccaa6fp-4, -0x1.e050db0f106bbp-4, -0x1.db0a2c6f0c518p-4, -0x1.d5cdb97b9b9e8p-4, -0x1.d09b8082392cp-4, -0x1.cb737f80135bp-4, -0x1.c655b42335632p-4, -0x1.c1421bcb9b855p-4, -0x1.bc38b38c61a1ap-4, -0x1.b739782cd5a72p-4, -0x1.b24466299d5e9p-4, -0x1.ad5979b5d1a5cp-4, -0x1.a878aebc2277bp-4, -0x1.a3a200dfece16p-4, -0x1.9ed56b7e628e2p-4, -0x1.9a12e9afa17efp-4, -0x1.955a7647d2cb3p-4, -0x1.90ac0bd845dc8p-4, -0x1.8c07a4b08df42p-4, -0x1.876d3adf9d0d1p-4, -0x1.82dcc834dff8ep-4, -0x1.7e56464155631p-4, -0x1.79d9ae58a9c0ep-4, -0x1.7566f9924f36p-4, -0x1.70fe20ca94972p-4, -0x1.6c9f1ca3bc9a8p-4, -0x1.6849e58713f99p-4, -0x1.63fe73a607661p-4, -0x1.5fbcbefb34ebbp-4, -0x1.5b84bf4b805p-4, -0x1.57566c2726ea9p-4, -0x1.5331bceaccce2p-4, -0x1.4f16a8c08f65cp-4, -0x1.4b0526a111bcep-4, -0x1.46fd2d548a5c6p-4, -0x1.42feb373d0cddp-4, -0x1.3f09af69657d5p-4, -0x1.3b1e17727dd48p-4, -0x1.373be1a00a2d1p-4, -0x1.336303d7be66fp-4, -0x1.2f9373d514293p-4, -0x1.2bcd272a50204p-4, -0x1.2810134184993p-4, -0x1.245c2d5d93c21p-4, -0x1.20b16a9b28988p-4, -0x1.1d0fbff1bb194p-4, -0x1.1977223489b5dp-4, -0x1.15e786139214ep-4, -0x1.1260e01c89a68p-4, -0x1.0ee324bbd719p-4, -0x1.0b6e483d843d9p-4, -0x1.08023ece32ea1p-4, -0x1.049efc7c0e84p-4, -0x1.01447537ba8cbp-4, -0x1.fbe539aa7e7e9p-5, -0x1.f552ce19f1a26p-5, -0x1.eed18ef8fc296p-5, -0x1.e861634f12c8bp-5, -0x1.e20231f1bf98bp-5, -0x1.dbb3e18664cb5p-5, -0x1.d576588406c5dp-5, -0x1.cf497d3506653p-5, -0x1.c92d35b8de133p-5, -0x1.c3216805dd192p-5, -0x1.bd25f9ead4dfcp-5, -0x1.b73ad110cd386p-5, -0x1.b15fd2fca9852p-5, -0x1.ab94e510d4ea9p-5, -0x1.a5d9ec8ee2e4fp-5, -0x1.a02ece9927119p-5, -0x1.9a93703456d27p-5, -0x1.9507b6491b1c3p-5, -0x1.8f8b85a59a86dp-5, -0x1.8a1ec2ff0faf1p-5, -0x1.84c152f3485e9p-5, -0x1.7f731a0a29fb4p-5, -0x1.7a33fcb7310a2p-5, -0x1.7503df5ae8f4p-5, -0x1.6fe2a6446261fp-5, -0x1.6ad035b2a01a4p-5, -0x1.65cc71d607bb8p-5, -0x1.60d73ed1c086dp-5, -0x1.5bf080bd1af4fp-5, -0x1.57181ba4ecafep-5, -0x1.524df38ce79ebp-5, -0x1.4d91ec70f03ddp-5, -0x1.48e3ea4666987p-5, -0x1.4443d0fd77b33p-5, -0x1.3fb184825e6e1p-5, -0x1.3b2ce8bea13b7p-5, -0x1.36b5e19a55d24p-5, -0x1.324c52fd4eb59p-5, -0x1.2df020d053a4cp-5, -0x1.29a12efe4a901p-5, -0x1.255f617562a9ep-5, -0x1.212a9c2838147p-5, -0x1.1d02c30eed5b6p-5, -0x1.18e7ba284caadp-5, -0x1.14d9657ad7c95p-5, -0x1.10d7a915d7b72p-5, -0x1.0ce269126db62p-5, -0x1.08f989949152p-5, -0x1.051ceecc1ab87p-5, -0x1.014c7cf5b95dfp-5, -0x1.fb1030b7e0861p-6, -0x1.f39f4ab00d3bdp-6, -0x1.ec4610a5f26f1p-6, -0x1.e5044b8cc10dep-6, -0x1.ddd9c47aba42bp-6, -0x1.d6c644aae1a1cp-6, -0x1.cfc9957ebcb42p-6, -0x1.c8e3808003bcbp-6, -0x1.c213cf623e145p-6, -0x1.bb5a4c04701dep-6, -0x1.b4b6c07293bf2p-6, -0x1.ae28f6e740b3dp-6, -0x1.a7b0b9cd19102p-6, -0x1.a14dd3c0475abp-6, -0x1.9b000f8fede01p-6, -0x1.94c7383f8d94p-6, -0x1.8ea31908669d8p-6, -0x1.88937d5ac74b8p-6, -0x1.829830df56d08p-6, -0x1.7cb0ff78659f5p-6, -0x1.76ddb54315abep-6, -0x1.711e1e989d691p-6, -0x1.6b72080f66e3ap-6, -0x1.65d93e7c38b6fp-6, -0x1.60538ef349e56p-6, -0x1.5ae0c6c957cd3p-6, -0x1.5580b394a9d1dp-6, -0x1.5033232e1504ap-6, -0x1.4af7e3b1f5404p-6, -0x1.45cec38121569p-6, -0x1.40b79141cad6p-6, -0x1.3bb21be06a7a9p-6, -0x1.36be32909078p-6, -0x1.31dba4cdbd365p-6, -0x1.2d0a425c2b47p-6, -0x1.2849db498cb01p-6, -0x1.239a3fedc99e8p-6, -0x1.1efb40ebbdb1ap-6, -0x1.1a6caf31d7b76p-6, -0x1.15ee5bfac4ab5p-6, -0x1.118018ce12441p-6, -0x1.0d21b780c421ep-6, -0x1.08d30a35e8489p-6, -0x1.0493e35f1b6b4p-6, -0x1.006415bd1223dp-6, -0x1.f886e8c02b018p-7, -0x1.f063a550f6b36p-7, -0x1.e85e088e23f2fp-7, -0x1.e075ba7b18f85p-7, -0x1.d8aa63bdd8b9bp-7, -0x1.d0fbad9fae9e3p-7, -0x1.c969420de6dbap-7, -0x1.c1f2cb9a67ddfp-7, -0x1.ba97f57c5c922p-7, -0x1.b3586b90b03f7p-7, -0x1.ac33da5a98738p-7, -0x1.a529ef04086a5p-7, -0x1.9e3a575e10c17p-7, -0x1.9764c1e15f8a6p-7, -0x1.90a8ddae6ebc1p-7, -0x1.8a065a8deafp-7, -0x1.837ce8f0e1d38p-7, -0x1.7d0c39f1071dep-7, -0x1.76b3ff50d7bffp-7, -0x1.7073eb7bc14bap-7, -0x1.6a4bb1863e1ap-7, -0x1.643b052dddbcfp-7, -0x1.5e419ad94c08bp-7, -0x1.585f279853e42p-7, -0x1.52936123db103p-7, -0x1.4cddfdddb7ef2p-7, -0x1.473eb4d0b4312p-7, -0x1.41b53db04284fp-7, -0x1.3c4150d87c7bap-7, -0x1.36e2a74dc2b0cp-7, -0x1.3198fabcaa36ep-7, -0x1.2c64057992e5bp-7, -0x1.27438280738f6p-7, -0x1.22372d747ece3p-7, -0x1.1d3ec29fcd96dp-7, -0x1.1859fef2f2922p-7, -0x1.1388a004a3d79p-7, -0x1.0eca64113972ap-7, -0x1.0a1f09fa47122p-7, -0x1.0586514619011p-7, -0x1.00fffa1f37bd5p-7, -0x1.f9178aa7b675ap-8, -0x1.f052e8aab8a52p-8, -0x1.e7b1926f5323bp-8, -0x1.df330d614b9acp-8, -0x1.d6d6e02f24354p-8, -0x1.ce9c92c8c679ap-8, -0x1.c683ae5e39f69p-8, -0x1.be8bbd5e4b746p-8, -0x1.b6b44b751b617p-8, -0x1.aefce58ac623fp-8, -0x1.a76519c1cd166p-8, -0x1.9fec7775c50abp-8, -0x1.98928f398f251p-8, -0x1.9156f2d6176a3p-8, -0x1.8a3935486bd32p-8, -0x1.8338eac0595cep-8, -0x1.7c55a89e9ac0fp-8, -0x1.758f05733af8dp-8, -0x1.6ee498fbfe3adp-8, -0x1.6855fc226000cp-8, -0x1.61e2c8fa0ee0ap-8, -0x1.5b8a9abeff1f9p-8, -0x1.554d0dd3b1e7bp-8, -0x1.4f29bfbf5515dp-8, -0x1.49204f2bece14p-8, -0x1.43305be468f78p-8, -0x1.3d5986d2d7fdap-8, -0x1.379b71fe639f2p-8, -0x1.31f5c08984579p-8, -0x1.2c6816afdb72p-8, -0x1.26f219c482f89p-8, -0x1.2193702fc55d2p-8, -0x1.1c4bc16d626e6p-8, -0x1.171ab60a72113p-8, -0x1.11fff7a3511bep-8, -0x1.0cfb30e1baf2cp-8, -0x1.080c0d7a9de67p-8, -0x1.03323a2c2b866p-8, -0x1.fcdac97757bdep-9, -0x1.f37a77e71a77bp-9, -0x1.ea42df423951cp-9, -0x1.e133612579a88p-9, -0x1.d84b612add6afp-9, -0x1.cf8a44e632166p-9, -0x1.c6ef73e023b46p-9, -0x1.be7a5792a10dcp-9, -0x1.b62a5b643ce8ap-9, -0x1.adfeeca3ffdd4p-9, -0x1.a5f77a853fcc6p-9, -0x1.9e13761b61f12p-9, -0x1.9652525572b9ep-9, -0x1.8eb383fa1f95ap-9, -0x1.873681a328858p-9, -0x1.7fdac3b977bfap-9, -0x1.789fc47064876p-9, -0x1.7184ffc2004b4p-9, -0x1.6a89f36a4daa8p-9, -0x1.63ae1ee353073p-9, -0x1.5cf10360c8e42p-9, -0x1.565223cbc962cp-9, -0x1.4fd104be8e643p-9, -0x1.496d2c805f84p-9, -0x1.432623010f7c1p-9, -0x1.3cfb71d513379p-9, -0x1.36eca4310327ap-9, -0x1.30f946e5a052fp-9, -0x1.2b20e85b83438p-9, -0x1.2563188ee9eadp-9, -0x1.1fbf690bba712p-9, -0x1.1a356ce91d4efp-9, -0x1.14c4b8c58c7e7p-9, -0x1.0f6ce2c289bb3p-9, -0x1.0a2d8280933e1p-9, -0x1.0506311b35bf8p-9, -0x1.ffed12491b981p-10, -0x1.f5fc4d4360f05p-10, -0x1.ec394e0ca3b92p-10, -0x1.e2a35261c274bp-10, -0x1.d9399accc7a3ap-10, -0x1.cffb6a9d52779p-10, -0x1.c6e807e057c2ep-10, -0x1.bdfebb583bdb5p-10, -0x1.b53ed0753c6c5p-10, -0x1.aca7954d3a68fp-10, -0x1.a4385a944ea75p-10, -0x1.9bf07394ef053p-10, -0x1.93cf36283312cp-10, -0x1.8bd3faae131cdp-10, -0x1.83fe1c064a779p-10, -0x1.7c4cf78801eaap-10, -0x1.74bfecfb150ffp-10, -0x1.6d565e901131p-10, -0x1.660fb0d92755p-10, -0x1.5eeb4ac2c1fcbp-10, -0x1.57e8958c02189p-10, -0x1.5106fcbfa1547p-10, -0x1.4a45ee2cd6a2fp-10, -0x1.43a4d9e0081eep-10, -0x1.3d23321bc61bbp-10, -0x1.36c06b51a10e2p-10, -0x1.307bfc1b5746dp-10, -0x1.2a555d33d5a3ep-10, -0x1.244c0970155b1p-10, -0x1.1e5f7db8e1b3dp-10, -0x1.188f390339f8p-10, -0x1.12dabc4a5f3cbp-10, -0x1.0d418a88b58cep-10, -0x1.07c328b11ead9p-10, -0x1.025f1da8db6d6p-10, -0x1.fa29e480c92ep-11, -0x1.efc8625b3695dp-11, -0x1.e598ce09b9a8ep-11, -0x1.db9a446632e87p-11, -0x1.d1cbe5ee82c31p-11, -0x1.c82cd6b8412a7p-11, -0x1.bebc3e649643fp-11, -0x1.b5794813d88c7p-11, -0x1.ac63225936b28p-11, -0x1.a378ff2f13c78p-11, -0x1.9aba13eb242aep-11, -0x1.922599320b748p-11, -0x1.89bacaecd4268p-11, -0x1.8178e83c4bd77p-11, -0x1.795f336e23befp-11, -0x1.716cf1f17007fp-11, -0x1.69a16c4bb3332p-11, -0x1.61fbee0d22698p-11, -0x1.5a7bc5c6aa986p-11, -0x1.532044fe1cac2p-11, -0x1.4be8c023d3a51p-11, -0x1.44d48e8837c57p-11, -0x1.3de30a50ed878p-11, -0x1.3713906e972b9p-11, -0x1.306580923b862p-11, -0x1.29d83d2383a0ep-11, -0x1.236b2b36854a5p-11, -0x1.1d1db2813deeap-11, -0x1.16ef3d5251b2fp-11, -0x1.10df38871aecfp-11, -0x1.0aed138231d8dp-11, -0x1.0518402129333p-11, -0x1.fec065683ed81p-12, -0x1.f388c3e76d65cp-12, -0x1.e8888defc4105p-12, -0x1.ddbeba5e925aap-12, -0x1.d32a44ab67117p-12, -0x1.c8ca2cd6b3b07p-12, -0x1.be9d7758ca4e5p-12, -0x1.b4a32d0efb729p-12, -0x1.aada5b2be552cp-12, -0x1.a1421325ab226p-12, -0x1.97d96aa57e275p-12, -0x1.8e9f7b7693171p-12, -0x1.859363769f43bp-12, -0x1.7cb44484a7b11p-12, -0x1.74014471d4469p-12, -0x1.6b798cf1145cep-12, -0x1.631c4b87dc51bp-12, -0x1.5ae8b17ebd472p-12, -0x1.52ddf3d245655p-12, -0x1.4afb4b239f416p-12, -0x1.433ff3aa28843p-12, -0x1.3bab2d248aeafp-12, -0x1.343c3aca86449p-12, -0x1.2cf2633eda6ap-12, -0x1.25ccf0807fc48p-12, -0x1.1ecb2fdd8236fp-12, -0x1.17ec71e507016p-12, -0x1.11300a598bd76p-12, -0x1.0a955024782e1p-12, -0x1.041b9d474fe83p-12, -0x1.fb849da161f78p-13, -0x1.ef11899b918ap-13, -0x1.e2dcc47dd5151p-13, -0x1.d6e51a14d131bp-13, -0x1.cb295be11b32dp-13, -0x1.bfa860fefb2f7p-13, -0x1.b461060e345abp-13, -0x1.a9522d1ad1ab1p-13, -0x1.9e7abd8551471p-13, -0x1.93d9a3ec8bffap-13, -0x1.896dd216b468p-13, -0x1.7f363eda68d7dp-13, -0x1.7531e609c2558p-13, -0x1.6b5fc85c0f078p-13, -0x1.61beeb58c8ccbp-13, -0x1.584e594248474p-13, -0x1.4f0d21010c857p-13, -0x1.45fa560ed120dp-13, -0x1.3d1510643fcbcp-13, -0x1.345c6c6267354p-13, -0x1.2bcf8ac1627c7p-13, -0x1.236d907bda7e9p-13, -0x1.1b35a6bc5c6c6p-13, -0x1.1326facaa2dbfp-13, -0x1.0b40bdf9372p-13, -0x1.038225935b94ep-13, -0x1.f7d4d595dd705p-14, -0x1.e8f1954d40707p-14, -0x1.da590be29cb3p-14, -0x1.cc09c250a1475p-14, -0x1.be0248d5086dp-14, -0x1.b04136d09306ep-14, -0x1.a2c52aa6124ccp-14, -0x1.958cc9990762ep-14, -0x1.8896bfafdbd68p-14, -0x1.7be1bf933a64fp-14, -0x1.6f6c827111c5dp-14, -0x1.6335c7db65cc3p-14, -0x1.573c55aea4a5fp-14, -0x1.4b7ef7f0aa4p-14, -0x1.3ffc80b6308f4p-14, -0x1.34b3c8062537ep-14, -0x1.29a3abbcdc70dp-14, -0x1.1ecb0f7190401p-14, -0x1.1428dc5ad4ec8p-14, -0x1.09bc013441d7ap-14, -0x1.ff06e448615bp-15, -0x1.eafc5144f69cfp-15, -0x1.d75646bce5528p-15, -0x1.c412cc4d7c446p-15, -0x1.b12ff39f7e785p-15, -0x1.9eabd83a0ecebp-15, -0x1.8c849f5068b92p-15, -0x1.7ab8779405532p-15, -0x1.6945990888f75p-15, -0x1.582a44d4ef068p-15, -0x1.4764c5187186ep-15, -0x1.36f36cbc151dep-15, -0x1.26d4974b50219p-15, -0x1.1706a8c96d13bp-15, -0x1.07880d85a3167p-15, -0x1.f0ae73e8c573cp-16, -0x1.d2e5550d8daffp-16, -0x1.b5b1c70705f98p-16, -0x1.9910e1bfd6c5ap-16, -0x1.7cffcc342851fp-16, -0x1.617bbc2860362p-16, -0x1.4681f5da8f3c4p-16, -0x1.2c0fcbc01966dp-16, -0x1.12229e3b8447ap-16, -0x1.f16fb6b27af7cp-17, -0x1.bf99fd11062c5p-17, -0x1.8ebf20b15d608p-17, -0x1.5eda4c6ee0e27p-17, -0x1.2fe6c4660c881p-17, -0x1.01dfe568fc1ecp-17, -0x1.a9824916e1e78p-18, -0x1.510c1d47c1265p-18, -0x1.f4a91f36c65dep-19, -0x1.4aa62bfef3a25p-19, -0x1.47fd4c6dbda28p-20, -0x1.4455aa84b5ecbp-28, 0x1.3efea682d06bdp-20, 0x1.3c758ce368f95p-19, 0x1.d64fe86c270b9p-19, 0x1.368ebdb26c671p-18, 0x1.807686090bb37p-18, 0x1.c8e6898e1efc2p-18, 0x1.07f2ef4721689p-17, 0x1.2abdbb0ea0ac6p-17, 0x1.4cd70e65deb7ap-17, 0x1.6e423db6e1e9dp-17, 0x1.8f028be9b1b1bp-17, 0x1.af1b2abef4a11p-17, 0x1.ce8f3b2e8888cp-17, 0x1.ed61cdb87232bp-17, 0x1.05caf1617bd6cp-16, 0x1.149735759bea5p-16, 0x1.231723ac590fbp-16, 0x1.314c25088916cp-16, 0x1.3f379b23de58ap-16, 0x1.4cdae056dc4b5p-16, 0x1.5a3747df3212cp-16, 0x1.674e1e05cc4b2p-16, 0x1.7420a841d33c3p-16, 0x1.80b0255ffb21cp-16, 0x1.8cfdcda5f7d33p-16, 0x1.990ad2f592be4p-16, 0x1.a4d860ed31283p-16, 0x1.b0679d0ae7feep-16, 0x1.bbb9a6ce25efcp-16, 0x1.c6cf97d857ec6p-16, 0x1.d1aa840a893a9p-16, 0x1.dc4b79a74395ap-16, 0x1.e6b3816eea43ep-16, 0x1.f0e39ebe09f7fp-16, 0x1.fadccfacfaa68p-16, 0x1.02500694dd018p-15, 0x1.0717258ac1191p-15, 0x1.0bc43c30e6bddp-15, 0x1.1057bf9426a32p-15, 0x1.14d222640777fp-15, 0x1.1933d4ff5c3e2p-15, 0x1.1d7d4580ecb8ap-15, 0x1.21aedfcc19e3p-15, 0x1.25c90d98b7edap-15, 0x1.29cc367f66538p-15, 0x1.2db8c0058d81cp-15, 0x1.318f0da8895dbp-15, 0x1.354f80e9431fap-15, 0x1.38fa79563b42p-15, 0x1.3c905497cf936p-15, 0x1.40116e79b78ep-15, 0x1.437e20f59f1cep-15, 0x1.46d6c43df4e5fp-15, 0x1.4a1baec770b86p-15, 0x1.4d4d35527afep-15, 0x1.506baaf5163d4p-15, 0x1.537761243b603p-15, 0x1.5670a7bcb66f9p-15, 0x1.5957cd0c60436p-15, 0x1.5c2d1ddad1734p-15, 0x1.5ef0e571d18b2p-15, 0x1.61a36da6135a2p-15, 0x1.6444fedef67e6p-15, 0x1.66d5e01ed00cdp-15, 0x1.6956570b02f18p-15, 0x1.6bc6a7f393018p-15, 0x1.6e2715da35fc8p-15, 0x1.7077e279db17p-15, 0x1.72b94e4ee2b34p-15, 0x1.74eb989cd74f5p-15, 0x1.770eff75d1c0dp-15, 0x1.7923bfc1e5b98p-15, 0x1.7b2a1544c8561p-15, 0x1.7d223aa45c2cfp-15, 0x1.7f0c696fcb521p-15, 0x1.80e8da255aee2p-15, 0x1.82b7c437c9624p-15, 0x1.84795e151796dp-15, 0x1.862ddd2ba9df5p-15, 0x1.87d575f07cd8ep-15, 0x1.89705be4c5d8bp-15, 0x1.8afec19aa7015p-15, 0x1.8c80d8baf2a39p-15, 0x1.8df6d20a79879p-15, 0x1.8f60dd6ec40d6p-15, 0x1.90bf29f33bb63p-15, 0x1.9211e5ce1c1cap-15, 0x1.93593e64b8125p-15, 0x1.949560501367ap-15, 0x1.95c67761fd534p-15, 0x1.96ecaea9248f6p-15, 0x1.9808307538137p-15, 0x1.9919265b824cdp-15, 0x1.9a1fb93adc731p-15, 0x1.9b1c113f88a3bp-15, 0x1.9c0e55e70357ep-15, 0x1.9cf6ae042d204p-15, 0x1.9dd53fc343601p-15, 0x1.9eaa30acdd31bp-15, 0x1.9f75a5a9fc45cp-15, 0x1.a037c3076fbd5p-15, 0x1.a0f0ac793a426p-15, 0x1.a1a0851dcd9dp-15, 0x1.a2476f8184f86p-15, 0x1.a2e58da16936ap-15, 0x1.a37b00eebcddcp-15, 0x1.a407ea51e35dbp-15, 0x1.a48c6a2d2ec1fp-15, 0x1.a508a05fd5612p-15, 0x1.a57cac48bf323p-15, 0x1.a5e8acc9b5d9fp-15, 0x1.a64cc0496108dp-15, 0x1.a6a904b640d94p-15, 0x1.a6fd9789261e1p-15, 0x1.a74a95c7bdc8ep-15, 0x1.a7901c07559a1p-15, 0x1.a7ce466eeade1p-15, 0x1.a80530b92b1e6p-15, 0x1.a834f63772766p-15, 0x1.a85db1d3728ep-15, 0x1.a87f7e114e4f8p-15, 0x1.a89a751255f1ep-15, 0x1.a8aeb0969f2d9p-15, 0x1.a8bc49fed8e3bp-15, 0x1.a8c35a4edece2p-15, 0x1.a8c3fa2ef9cb7p-15, 0x1.a8be41edfdbe1p-15, 0x1.a8b249832d0e2p-15, 0x1.a8a02890453dcp-15, 0x1.a887f662841e9p-15, 0x1.a869c9f4d4d2fp-15, 0x1.a845b9f190b91p-15, 0x1.a81bdcb3f398cp-15, 0x1.a7ec4849b2c33p-15, 0x1.a7b7127452447p-15, 0x1.a77c50aa962f1p-15, 0x1.a73c181a5f451p-15, 0x1.a6f67da9d1534p-15, 0x1.a6ab95f8a5dc8p-15, 0x1.a65b7561c7e93p-15, 0x1.a6062ffc3e933p-15, 0x1.a5abd99cf076fp-15, 0x1.a54c85d7979d6p-15, 0x1.a4e847ffde1ccp-15, 0x1.a47f332aade27p-15, 0x1.a4115a2fc6621p-15, 0x1.a39ecfaa45224p-15, 0x1.a327a5f99df95p-15, 0x1.a2abef43758d7p-15, 0x1.a22bbd7430b95p-15, 0x1.a1a7223ff007dp-15, 0x1.a11e2f2395a14p-15, 0x1.a090f565e3b9cp-15, 0x1.9fff861808b7dp-15, 0x1.9f69f2174a258p-15, 0x1.9ed04a0d23ac6p-15, 0x1.9e329e70b40e4p-15, 0x1.9d90ff8768487p-15, 0x1.9ceb7d6565dc5p-15, 0x1.9c4227eeeec6ap-15, 0x1.9b950ed94c67bp-15, 0x1.9ae441aacca17p-15, 0x1.9a2fcfbc12b62p-15, 0x1.9977c838ebda2p-15, 0x1.98bc3a20b9209p-15, 0x1.97fd34471ef17p-15, 0x1.973ac55525fccp-15, 0x1.9674fbc960b2ep-15, 0x1.95abe5f88d65dp-15, 0x1.94df920eaaa08p-15, 0x1.94100e0f3b9b1p-15, 0x1.933d67d5f921bp-15, 0x1.9267ad176cdd5p-15, 0x1.918eeb619036bp-15, 0x1.90b3301c39814p-15, 0x1.8fd488898c63ep-15, 0x1.8ef301c6bd7c2p-15, 0x1.8e0ea8ccdaafdp-15, 0x1.8d278a707c461p-15, 0x1.8c3db362dd915p-15, 0x1.8b513032503a1p-15, 0x1.8a620d4a7f427p-15, 0x1.897056f52df9ep-15, 0x1.887c195a53bb8p-15, 0x1.87856080bad0bp-15, 0x1.868c384e88a1cp-15, 0x1.8590ac895bf9ap-15, 0x1.8492c8d6a8e52p-15, 0x1.839298bcce7b9p-15, 0x1.829027a2b7c0ap-15, 0x1.818b80d066b6ep-15, 0x1.8084af6f7784ep-15, 0x1.7f7bbe8b832cfp-15, 0x1.7e70b91269694p-15, 0x1.7d63a9d49d0d6p-15, 0x1.7c549b858ab4fp-15, 0x1.7b4398bbeff3fp-15, 0x1.7a30abf1dc6bdp-15, 0x1.791bdf85aa082p-15, 0x1.78053db9b0411p-15, 0x1.76ecd0b506a96p-15, 0x1.75d2a28365f29p-15, 0x1.74b6bd15825b5p-15, 0x1.73992a41ed39ep-15, 0x1.7279f3c45a5b1p-15, 0x1.7159233e927b9p-15, 0x1.7036c238ad495p-15, 0x1.6f12da210523ep-15, 0x1.6ded744ceae4ep-15, 0x1.6cc699f85dd15p-15, 0x1.6b9e5446998dcp-15, 0x1.6a74ac428686fp-15, 0x1.6949aade67ccdp-15, 0x1.681d58f4829b1p-15, 0x1.66efbf475febdp-15, 0x1.65c0e681a24fep-15, 0x1.6490d73676583p-15, 0x1.635f99e1f3dcap-15, 0x1.622d36e94c761p-15, 0x1.60f9b69a9adb2p-15, 0x1.5fc5212d763b8p-15, 0x1.5e8f7ec321168p-15, 0x1.5d58d766583b3p-15, 0x1.5c21330c2b50ep-15, 0x1.5ae89993e680ap-15, 0x1.59af12c69b33dp-15, 0x1.5874a658391aap-15, 0x1.57395be793efap-15, 0x1.55fd3afe011bfp-15, 0x1.54c04b100d4d2p-15, 0x1.5382937d70919p-15, 0x1.52441b916d19cp-15, 0x1.5104ea829254cp-15, 0x1.4fc50773256c3p-15, 0x1.4e8479719dedp-15, 0x1.4d4347783f18dp-15, 0x1.4c01786d73c59p-15, 0x1.4abf1324040c5p-15, 0x1.497c1e5b62071p-15, 0x1.4838a0bf92c1dp-15, 0x1.46f4a0e9420b3p-15, 0x1.45b0255e62107p-15, 0x1.446b34919748ep-15, 0x1.4325d4e2d41b4p-15, 0x1.41e00c9fcfc28p-15, 0x1.4099e2035a167p-15, 0x1.3f535b35fd505p-15, 0x1.3e0c7e4e45052p-15, 0x1.3cc551504969cp-15, 0x1.3b7dda2ea8a4dp-15, 0x1.3a361ec9d925ep-15, 0x1.38ee24f07df42p-15, 0x1.37a5f2604c2f7p-15, 0x1.365d8cc527b8dp-15, 0x1.3514f9b99000ep-15, 0x1.33cc3ec71352ap-15, 0x1.328361663a4a6p-15, 0x1.313a66fe8a5b3p-15, 0x1.2ff154e6bceebp-15, 0x1.2ea83064fe71dp-15, 0x1.2d5efeaee329ep-15, 0x1.2c15c4e9960abp-15, 0x1.2acc8829fb4d1p-15, 0x1.29834d74c7da2p-15, 0x1.283a19bea60afp-15, 0x1.26f0f1ec11453p-15, 0x1.25a7dad21269p-15, 0x1.245ed935c833cp-15, 0x1.2315f1cca64cep-15, 0x1.21cd293cf52c9p-15, 0x1.2084841d33954p-15, 0x1.1f3c06f4ee075p-15, 0x1.1df3b63c868c7p-15, 0x1.1cab965d1f19ep-15, 0x1.1b63abb129515p-15, 0x1.1a1bfa8436962p-15, 0x1.18d487131e3e3p-15, 0x1.178d558c11be9p-15, 0x1.16466a0effc03p-15, 0x1.14ffc8ad62677p-15, 0x1.13b9756a39ec8p-15, 0x1.1273743a796a5p-15, 0x1.112dc90540dfdp-15, 0x1.0fe877a381acdp-15, 0x1.0ea383e05e0bep-15, 0x1.0d5ef17955bf3p-15, 0x1.0c1ac41e385fep-15, 0x1.0ad6ff7150f63p-15, 0x1.0993a7075c9b4p-15, 0x1.0850be6805553p-15, 0x1.070e490d92d33p-15, 0x1.05cc4a6545f14p-15, 0x1.048ac5cf47c91p-15, 0x1.0349be9ee8068p-15, 0x1.0209381aa081cp-15, 0x1.00c9357c47b05p-15, 0x1.ff1373e20e8dcp-16, 0x1.fc959132e5d78p-16, 0x1.fa18c913afaddp-16, 0x1.f79d219462949p-16, 0x1.f522a0ac82236p-16, 0x1.f2a94c3b637a2p-16, 0x1.f0312a081b3d6p-16, 0x1.edba3fc231bacp-16, 0x1.eb44930158b17p-16, 0x1.e8d02945e4604p-16, 0x1.e65d07f927092p-16, 0x1.e3eb346ced13ap-16, 0x1.e17ab3dc62319p-16, 0x1.df0b8b6c568bfp-16, 0x1.dc9dc02a7670cp-16, 0x1.da31570e9c468p-16, 0x1.d7c654fa69816p-16, 0x1.d55cbeb994755p-16, 0x1.d2f49901e292dp-16, 0x1.d08de873fdb0ep-16, 0x1.ce28b19afd282p-16, 0x1.cbc4f8ecabb8p-16, 0x1.c962c2ca13519p-16, 0x1.c702137f487d3p-16, 0x1.c4a2ef43bb0f3p-16, 0x1.c2455a3a805fcp-16, 0x1.bfe95872718ebp-16, 0x1.bd8eede6618e4p-16, 0x1.bb361e7d0f72ap-16, 0x1.b8deee09b465dp-16, 0x1.b689604bed511p-16, 0x1.b43578eff81ccp-16, 0x1.b1e33b8ee84a8p-16, 0x1.af92abaeb8403p-16, 0x1.ad43ccc2a866p-16, 0x1.aaf6a22b942d4p-16, 0x1.a8ab2f374d0dap-16, 0x1.a6617721c870cp-16, 0x1.a4197d14c93a5p-16, 0x1.a1d34427f9b8dp-16, 0x1.9f8ecf6150872p-16, 0x1.9d4c21b555009p-16, 0x1.9b0b3e069e45bp-16, 0x1.98cc27270409ap-16, 0x1.968edfd70d03ep-16, 0x1.94536ac63b51cp-16, 0x1.9219ca9394a6cp-16, 0x1.8fe201cd3354cp-16, 0x1.8dac12f0d8927p-16, 0x1.8b78006c13652p-16, 0x1.8945cc9c52a41p-16, 0x1.871579cef86d1p-16, 0x1.84e70a41de023p-16, 0x1.82ba802300ecp-16, 0x1.808fdd90fee9ep-16, 0x1.7e67249b102e3p-16, 0x1.7c405741a192ap-16, 0x1.7a1b7775b83a6p-16, 0x1.77f8871999777p-16, 0x1.75d788013d5c8p-16, 0x1.73b87bf1b541ep-16, 0x1.719b64a1d00fbp-16, 0x1.6f8043ba51018p-16, 0x1.6d671ad5c5db5p-16, 0x1.6b4feb80eeaccp-16, 0x1.693ab73ab755p-16, 0x1.67277f747d67dp-16, 0x1.6516459253319p-16, 0x1.63070aeac276dp-16, 0x1.60f9d0c757873p-16, 0x1.5eee9864ad7cdp-16, 0x1.5ce562f25169fp-16, 0x1.5ade3193722adp-16, 0x1.58d9055e77318p-16, 0x1.56d5df5d2deb7p-16, 0x1.54d4c08da07c9p-16, 0x1.52d5a9e12e714p-16, 0x1.50d89c3dc4087p-16, 0x1.4edd987d0d8ebp-16, 0x1.4ce49f6d2b833p-16, 0x1.4aedb1d0dbaa5p-16, 0x1.48f8d05f0dafep-16, 0x1.4705fbc3cbe67p-16, 0x1.4515349fcd077p-16, 0x1.43267b88bad11p-16, 0x1.4139d10982bafp-16, 0x1.3f4f35a22666cp-16, 0x1.3d66a9c834af3p-16, 0x1.3b802de697ef9p-16, 0x1.399bc25e50a4cp-16, 0x1.37b96785a3bd7p-16, 0x1.35d91da8f6605p-16, 0x1.33fae50ad468cp-16, 0x1.321ebde3b3dfp-16, 0x1.3044a8629fbf8p-16, 0x1.2e6ca4acf43e8p-16, 0x1.2c96b2deac9afp-16, 0x1.2ac2d30a3447bp-16, 0x1.28f1053923b64p-16, 0x1.2721496ba6db3p-16, 0x1.25539f993f03bp-16, 0x1.238807b04b384p-16, 0x1.21be8196d146cp-16, 0x1.1ff70d29f1f83p-16, 0x1.1e31aa3e84b54p-16, 0x1.1c6e58a0f37f2p-16, 0x1.1aad18156f89ap-16, 0x1.18ede8581b065p-16, 0x1.1730c91cdc778p-16, 0x1.1575ba1005241p-16, 0x1.13bcbad5e89c1p-16, 0x1.1205cb0b4815fp-16, 0x1.1050ea4541238p-16, 0x1.0e9e1811916e1p-16, 0x1.0ced53f6b5b21p-16, 0x1.0b3e9d73b2fc1p-16, 0x1.0991f400b6a03p-16, 0x1.07e7570ec6f6bp-16, 0x1.063ec607d054bp-16, 0x1.0498404f59e9p-16, 0x1.02f3c541f2bd6p-16, 0x1.015154359d139p-16, 0x1.ff61d8f3eef0ap-17, 0x1.fc251ab045a51p-17, 0x1.f8ec6c25d6eb8p-17, 0x1.f5b7cbce47da6p-17, 0x1.f2873816a9ff8p-17, 0x1.ef5aaf6015944p-17, 0x1.ec32300057de9p-17, 0x1.e90db8410b2abp-17, 0x1.e5ed4660a4498p-17, 0x1.e2d0d8928c81fp-17, 0x1.dfb86cfef6547p-17, 0x1.dca401c35237p-17, 0x1.d99394f255c9ap-17, 0x1.d68724946399fp-17, 0x1.d37eaea76cdf2p-17, 0x1.d07a311f91722p-17, 0x1.cd79a9e69402bp-17, 0x1.ca7d16dcc9529p-17, 0x1.c78475d9085b7p-17, 0x1.c48fc4a88a9a2p-17, 0x1.c19f010f4b2c5p-17, 0x1.beb228c856143p-17, 0x1.bbc93985d530ap-17, 0x1.b8e430f137267p-17, 0x1.b6030cab63422p-17, 0x1.b325ca4cb977dp-17, 0x1.b04c676578b5dp-17, 0x1.ad76e17db4cdcp-17, 0x1.aaa53615e3b07p-17, 0x1.a7d762a6645f3p-17, 0x1.a50d64a01ee3cp-17, 0x1.a247396cb3df1p-17, 0x1.9f84de6e38cd4p-17, 0x1.9cc650ffb3f62p-17, 0x1.9a0b8e75814ebp-17, 0x1.9754941c8d08dp-17, 0x1.94a15f3ba7b02p-17, 0x1.91f1ed12c50cbp-17, 0x1.8f463adb59cf8p-17, 0x1.8c9e45c8ed215p-17, 0x1.89fa0b0889f5fp-17, 0x1.875987c197383p-17, 0x1.84bcb91582c33p-17, 0x1.82239c1ff0f1p-17, 0x1.7f8e2df70a6cfp-17, 0x1.7cfc6bab77e11p-17, 0x1.7a6e5248876e7p-17, 0x1.77e3ded46d86fp-17, 0x1.755d0e50730b8p-17, 0x1.72d9ddb8a3269p-17, 0x1.705a4a04a93c5p-17, 0x1.6dde50273deb1p-17, 0x1.6b65ed0e91b09p-17, 0x1.68f11da45cc45p-17, 0x1.667fdece43f8ep-17, 0x1.64122d6d8525dp-17, 0x1.61a8065f61ccdp-17, 0x1.5f41667d2ef3ep-17, 0x1.5cde4a9c56965p-17, 0x1.5a7eaf8ec0d91p-17, 0x1.5822922274edp-17, 0x1.55c9ef2236248p-17, 0x1.5374c35540382p-17, 0x1.51230b7f996b4p-17, 0x1.4ed4c46206967p-17, 0x1.4c89eaba46873p-17, 0x1.4a427b43106a4p-17, 0x1.47fe72b494c75p-17, 0x1.45bdcdc3caf21p-17, 0x1.438089235f1dfp-17, 0x1.4146a1835a755p-17, 0x1.3f1013910903ep-17, 0x1.3cdcdbf7c50f2p-17, 0x1.3aacf7606460dp-17, 0x1.3880627160329p-17, 0x1.365719cfbda32p-17, 0x1.34311a1dfa04cp-17, 0x1.320e5ffce883fp-17, 0x1.2feee80bab173p-17, 0x1.2dd2aee74a285p-17, 0x1.2bb9b12b886dep-17, 0x1.29a3eb7284aadp-17, 0x1.27915a54b6141p-17, 0x1.2581fa69af727p-17, 0x1.2375c84738433p-17, 0x1.216cc08242b93p-17, 0x1.1f66dfae7648bp-17, 0x1.1d64225e73f71p-17, 0x1.1b648523f0bap-17, 0x1.1968048fd7e94p-17, 0x1.176e9d31f432fp-17, 0x1.15784b99bdb13p-17, 0x1.13850c558c8cfp-17, 0x1.1194dbf3a273bp-17, 0x1.0fa7b7015ba4bp-17, 0x1.0dbd9a0bce79ap-17, 0x1.0bd6819fbd913p-17, 0x1.09f26a4975139p-17, 0x1.081150953f248p-17, 0x1.0633310ee7157p-17, 0x1.0458084279808p-17, 0x1.027fd2bb9d1c5p-17, 0x1.00aa8d066b319p-17, 0x1.fdb0675da4778p-18, 0x1.fa118681cc138p-18, 0x1.f678709268f66p-18, 0x1.f2e51ea86c37p-18, 0x1.ef5789ddce5d7p-18, 0x1.ebcfab4d7a58ap-18, 0x1.e84d7c12b6bffp-18, 0x1.e4d0f54a91481p-18, 0x1.e15a1012e3239p-18, 0x1.dde8c58a8c18ep-18, 0x1.da7d0ed223c53p-18, 0x1.d716e50bac143p-18, 0x1.d3b6415a70adbp-18, 0x1.d05b1ce3c4e77p-18, 0x1.cd0570ced27bap-18, 0x1.c9b53643fe774p-18, 0x1.c66a666e9de5ap-18, 0x1.c324fa7b3b178p-18, 0x1.bfe4eb98e3685p-18, 0x1.bcaa32f906629p-18, 0x1.b974c9cf4b612p-18, 0x1.b644a951c64e2p-18, 0x1.b319cab95dabbp-18, 0x1.aff42740f7046p-18, 0x1.acd3b826e86ddp-18, 0x1.a9b876ab76e1ep-18, 0x1.a6a25c12c7bb1p-18, 0x1.a39161a318b96p-18, 0x1.a08580a64c09bp-18, 0x1.9d7eb26949bfp-18, 0x1.9a7cf03bbaa55p-18, 0x1.978033714d61bp-18, 0x1.948875603ad86p-18, 0x1.9195af62b3138p-18, 0x1.8ea7dad62e4e4p-18, 0x1.8bbef11b872f7p-18, 0x1.88daeb97ceec9p-18, 0x1.85fbc3b2f0d1ep-18, 0x1.832172d996c5ap-18, 0x1.804bf27b61e12p-18, 0x1.7d7b3c0c53e16p-18, 0x1.7aaf490488d34p-18, 0x1.77e812df77fa8p-18, 0x1.7525931d4f6cep-18, 0x1.7267c34248494p-18, 0x1.6fae9cd647065p-18, 0x1.6cfa19666fd57p-18, 0x1.6a4a3282e34b5p-18, 0x1.679ee1c12044cp-18, 0x1.64f820baf7457p-18, 0x1.6255e90def1ccp-18, 0x1.5fb8345d627b7p-18, 0x1.5d1efc4fada58p-18, 0x1.5a8a3a910b20ap-18, 0x1.57f9e8d1b8b35p-18, 0x1.556e00c6c2989p-18, 0x1.52e67c2a17638p-18, 0x1.506354ba8285p-18, 0x1.4de4843b2a4e1p-18, 0x1.4b6a0474e04dp-18, 0x1.48f3cf34bc2fap-18, 0x1.4681de4d26f39p-18, }}, 
      std::vector<double>(1350, 0.0), 
      {{0x1.5ae8eb70f6225p-10, 0x1.5ac634fbe67b2p-9, 0x1.03cb971ff6735p-8, 0x1.59984c03bd8p-8, 0x1.ae3fe26985109p-8, 0x1.0088b457d782ep-7, 0x1.289f4e4b802f7p-7, 0x1.4ef3c24060475p-7, 0x1.7312dfa244ec8p-7, 0x1.948b552fe2a91p-7, 0x1.b2f1f973d679cp-7, 0x1.cde535d4fc77bp-7, 0x1.e50f95caaf165p-7, 0x1.f829876ef44abp-7, 0x1.037d30ab7a0b4p-6, 0x1.08ac62ac48786p-6, 0x1.0b953cdde6888p-6, 0x1.0c31e9667bdecp-6, 0x1.0a8363106665ap-6, 0x1.0690dfa8fad9bp-6, 0x1.006725e10024ep-6, 0x1.f02fb02bdf7ddp-7, 0x1.db7177d2ff68fp-7, 0x1.c2c60a010ad93p-7, 0x1.a6654f83635e9p-7, 0x1.868b6f127fc0dp-7, 0x1.6377a518655fcp-7, 0x1.3d6b3937b1ca3p-7, 0x1.14a892460c901p-7, 0x1.d2e4d044ae6d7p-8, 0x1.781623bf6ce8fp-8, 0x1.1967dc439e703p-8, 0x1.6eb38cb128f6ap-9, 0x1.499fa02d26457p-10, -0x1.4f62fd83a14d7p-12, -0x1.f937ea09b06cbp-10, -0x1.d264dc91dbdep-9, -0x1.553c5c2f4009dp-8, -0x1.c20ab932ef605p-8, -0x1.17a16b19d802bp-7, -0x1.4e484466585e1p-7, -0x1.84d323806533dp-7, -0x1.bb1e9b9b6d277p-7, -0x1.f10a9ad9358eap-7, -0x1.133d341cd3a2ap-6, -0x1.2daa4e8dc638dp-6, -0x1.47c18d4d14d47p-6, -0x1.61797d843b5e7p-6, -0x1.7aca3fe27c46cp-6, -0x1.93ad7dcf46824p-6, -0x1.ac1e5d016dbe1p-6, -0x1.c4197199439bcp-6, -0x1.db9caedccea95p-6, -0x1.f2a756b7e7686p-6, -0x1.049cf411f7ca5p-5, -0x1.0fab064e4721ap-5, -0x1.1a7f42643862ep-5, -0x1.251b8a3f06129p-5, -0x1.2f8237265fd79p-5, -0x1.39b60f596604fp-5, -0x1.43ba3b93e2c03p-5, -0x1.4d923c911c219p-5, -0x1.5741e09ecc246p-5, -0x1.60cd3951b9809p-5, -0x1.6a38916c69eccp-5, -0x1.73886306e9ef9p-5, -0x1.7cc14e05625a7p-5, -0x1.85e80ee99c73fp-5, -0x1.8f01760a1ec5dp-5, -0x1.98125f37eebe5p-5, -0x1.a11fa9da7cca1p-5, -0x1.aa2e3187c64d3p-5, -0x1.b342c71d24fbbp-5, -0x1.bc622a5bf2b0dp-5, -0x1.c591040bd343p-5, -0x1.ced3e0a31f1ffp-5, -0x1.d82f2b74daea6p-5, -0x1.e1a72a629a755p-5, -0x1.eb3ffa0fa8c35p-5, -0x1.f4fd8a921271ap-5, -0x1.fee39c9d5e9ecp-5, -0x1.047adf91155c2p-4, -0x1.099ba6aeac205p-4, -0x1.0ed5b6a889085p-4, -0x1.142a8750bc5dfp-4, -0x1.199b74e761fdp-4, -0x1.1f29bfe31724ep-4, -0x1.24d68ce1935bcp-4, -0x1.2aa2e4bd11fb6p-4, -0x1.308fb4c33896dp-4, -0x1.369dcf0a3eafap-4, -0x1.3ccdeae12268dp-4, -0x1.4320a557dbb61p-4, -0x1.499681dc800eap-4, -0x1.502feaea87d3ep-4, -0x1.56ed32c977d5cp-4, -0x1.5dce94585574bp-4, -0x1.64d433e381b01p-4, -0x1.6bfe2002a90dp-4, -0x1.734c527cc26ap-4, -0x1.7abeb13010269p-4, -0x1.82550efc7ce18p-4, -0x1.8a0f2cae984ep-4, -0x1.91ecb9e9d79f2p-4, -0x1.99ed5610bc81ep-4, -0x1.a2109129c8d3cp-4, -0x1.aa55ecc02c76p-4, -0x1.b2bcdcbf631ep-4, -0x1.bb44c848f993ap-4, -0x1.c3ed0a83da47fp-4, -0x1.ccb4f3649ccbdp-4, -0x1.d59bc86e8c80cp-4, -0x1.dea0c56cf9722p-4, -0x1.e7c31d24b0275p-4, -0x1.f101f9fd7701ap-4, -0x1.fa5c7ea381514p-4, -0x1.01e8e35070768p-3, -0x1.06b073777f8c5p-3, -0x1.0b8477402c445p-3, -0x1.106473613f24bp-3, -0x1.154fea0c5d41fp-3, -0x1.1a465b27c7d79p-3, -0x1.1f4744849c6e4p-3, -0x1.24522211d6a8dp-3, -0x1.29666e0c22ab7p-3, -0x1.2e83a12abccdfp-3, -0x1.33a932c979de8p-3, -0x1.38d699102f5f1p-3, -0x1.3e0b4917a6d6cp-3, -0x1.4346b70c3b00ep-3, -0x1.4888564e5aaa3p-3, -0x1.4dcf999110e5ep-3, -0x1.531bf2f6bcd42p-3, -0x1.586cd42c26b69p-3, -0x1.5dc1ae820bd58p-3, -0x1.6319f305551b4p-3, -0x1.6875129611e7dp-3, -0x1.6dd27dfd55e65p-3, -0x1.7331a6021b50dp-3, -0x1.7891fb7d52195p-3, -0x1.7df2ef6d19536p-3, -0x1.8353f30761538p-3, -0x1.88b477cbe8702p-3, -0x1.8e13ef95c3a72p-3, -0x1.9371ccac75cb2p-3, -0x1.98cd81d4aa54bp-3, -0x1.9e268260a2cbep-3, -0x1.a37c424063fb9p-3, -0x1.a8ce3611af3f4p-3, -0x1.ae1bd32fcd323p-3, -0x1.b3648fc337d2fp-3, -0x1.b8a7e2d12b24cp-3, -0x1.bde5444b1463dp-3, -0x1.c31c2d1df94f7p-3, -0x1.c84c1741cc19cp-3, -0x1.cd747dc8ab1c6p-3, -0x1.d294dcee1ecb1p-3, -0x1.d7acb2263f04ep-3, -0x1.dcbb7c2cd15c4p-3, -0x1.e1c0bb145404bp-3, -0x1.e6bbf054f9ccfp-3, -0x1.ebac9edb8e59p-3, -0x1.f0924b18429c2p-3, -0x1.f56c7b0d61935p-3, -0x1.fa3ab65dde4b8p-3, -0x1.fefc865bc31fp-3, -0x1.01d8bb0b3aec4p-2, -0x1.042c8934670c8p-2, -0x1.067975037bec3p-2, -0x1.08bf46c611707p-2, -0x1.0afdc7c3f667p-2, -0x1.0d34c245ca411p-2, -0x1.0f64019b6d766p-2, -0x1.118b52224f29fp-2, -0x1.13aa814b948b7p-2, -0x1.15c15da20ef6ap-2, -0x1.17cfb6d00a0c9p-2, -0x1.19d55da4eb2eep-2, -0x1.1bd2241a9b52fp-2, -0x1.1dc5dd5abf929p-2, -0x1.1fb05dc3bdd79p-2, -0x1.21917aed87e9dp-2, -0x1.23690bae2d507p-2, -0x1.2536e81e378b8p-2, -0x1.26fae99cc3739p-2, -0x1.28b4ead362be6p-2, -0x1.2a64c7b9bc6c9p-2, -0x1.2c0a5d98ef33cp-2, -0x1.2da58b0eb4236p-2, -0x1.2f3630103cad5p-2, -0x1.30bc2decd38cbp-2, -0x1.32376750389fcp-2, -0x1.33a7c044ba58ep-2, -0x1.350d1e350be5ap-2, -0x1.366767eddaaep-2, -0x1.37b6859f1a62bp-2, -0x1.38fa60dd168b7p-2, -0x1.3a32e4a138e17p-2, -0x1.3b5ffd4a90c4ep-2, -0x1.3c81989e1849cp-2, -0x1.3d97a5c6b5fa2p-2, -0x1.3ea21554fd811p-2, -0x1.3fa0d93eb01fcp-2, -0x1.4093e4ddf9d8p-2, -0x1.417b2cf074f99p-2, -0x1.4256a795e9138p-2, -0x1.43264c4ed0485p-2, -0x1.43ea13fa9e9e8p-2, -0x1.44a1f8d5cdf2p-2, -0x1.454df677ae857p-2, -0x1.45ee09d00029bp-2, -0x1.4682312453fa7p-2, -0x1.470a6c0d332c2p-2, -0x1.4786bb7315e94p-2, -0x1.47f7218b22c5cp-2, -0x1.485ba1d3bc7f7p-2, -0x1.48b44110e03eap-2, -0x1.4901054850d27p-2, -0x1.4941f5bd9895fp-2, -0x1.49771aedd9316p-2, -0x1.49a07e8b7518cp-2, -0x1.49be2b798e60bp-2, -0x1.49d02dc75b5afp-2, -0x1.49d692ab59c5dp-2, -0x1.49d1687e5752bp-2, -0x1.49c0beb65d95ep-2, -0x1.49a4a5e17661ap-2, -0x1.497d2fa057f06p-2, -0x1.494a6ea0eacc1p-2, -0x1.490c7698b9b79p-2, -0x1.48c35c3f4420fp-2, -0x1.486f354837f25p-2, -0x1.4810185d93a33p-2, -0x1.47a61d19b2bcbp-2, -0x1.47315c0146933p-2, -0x1.46b1ee7d3ba63p-2, -0x1.4627eed48f9b5p-2, -0x1.45937826136f1p-2, -0x1.44f4a662277cfp-2, -0x1.444b9644618a5p-2, -0x1.4398654d310eep-2, -0x1.42db31bb72c6ap-2, -0x1.42141a8602f24p-2, -0x1.41433f5543469p-2, -0x1.4068c07c9ffb9p-2, -0x1.3f84bef41003ep-2, -0x1.3e975c5191c0ap-2, -0x1.3da0bac2aa581p-2, -0x1.3ca0fd05e1173p-2, -0x1.3b9846643f393p-2, -0x1.3a86baaad4f62p-2, -0x1.396c7e243ccfp-2, -0x1.3849b5922a495p-2, -0x1.371e8626fd811p-2, -0x1.35eb157f5c01fp-2, -0x1.34af899bd6619p-2, -0x1.336c08da95c42p-2, -0x1.3220b9f116228p-2, -0x1.30cdc3e5ea3d2p-2, -0x1.2f734e0a8fd4cp-2, -0x1.2e117ff54d1f9p-2, -0x1.2ca8817b25fe5p-2, -0x1.2b387aa9d5266p-2, -0x1.29c193c1e1e29p-2, -0x1.2843f530bf106p-2, -0x1.26bfc78b008abp-2, -0x1.25353386a22cfp-2, -0x1.23a461f563f1dp-2, -0x1.220d7bbf38fc1p-2, -0x1.2070a9dccd7d4p-2, -0x1.1ece15522148dp-2, -0x1.1d25e72939b61p-2, -0x1.1b78486ce90f5p-2, -0x1.19c56223af127p-2, -0x1.180d5d4ab1a1ep-2, -0x1.165062d0cb73ap-2, -0x1.148e9b91b603dp-2, -0x1.12c830514c9ap-2, -0x1.10fd49b6e7eedp-2, -0x1.0f2e1048d3542p-2, -0x1.0d5aac67df547p-2, -0x1.0b83464b0a504p-2, -0x1.09a805fb4854bp-2, -0x1.07c9134f62424p-2, -0x1.05e695e7f34b5p-2, -0x1.0400b52b7f145p-2, -0x1.02179842a54b5p-2, -0x1.002b661470f4ap-2, -0x1.fc788a8581928p-3, -0x1.f894b84d9e7f2p-3, -0x1.f4aba19ba82cbp-3, -0x1.f0bd91eb8167ep-3, -0x1.eccad41439405p-3, -0x1.e8d3b241ee35cp-3, -0x1.e4d875eff6008p-3, -0x1.e0d967e334da6p-3, -0x1.dcd6d024afb62p-3, -0x1.d8d0f5fc517b8p-3, -0x1.d4c81febe9702p-3, -0x1.d0bc93aa61ebcp-3, -0x1.ccae961f268c3p-3, -0x1.c89e6b5dc5585p-3, -0x1.c48c56a1c74dcp-3, -0x1.c0789a4ab4e91p-3, -0x1.bc6377d853dacp-3, -0x1.b84d2fe71d083p-3, -0x1.b436022cd93fdp-3, -0x1.b01e2d75836b4p-3, -0x1.ac05efa04442ep-3, -0x1.a7ed859cb4608p-3, -0x1.a3d52b6846c8p-3, -0x1.9fbd1c0be12d2p-3, -0x1.9ba59199a65dp-3, -0x1.978ec52aef45dp-3, -0x1.9378eede745f8p-3, -0x1.8f6445d69b24ep-3, -0x1.8b510037fbd87p-3, -0x1.873f532809969p-3, -0x1.832f72cbebaaap-3, -0x1.7f21924778505p-3, -0x1.7b15e3bc67c0bp-3, -0x1.770c984999b83p-3, -0x1.7305e00a9c13cp-3, -0x1.6f01ea173e9f8p-3, -0x1.6b00e48360f39p-3, -0x1.6702fc5ed9d35p-3, -0x1.63085db587022p-3, -0x1.5f11338f7e85ep-3, -0x1.5b1da7f164da4p-3, -0x1.572de3dce10cdp-3, -0x1.53420f5131643p-3, -0x1.4f5a514be417fp-3, -0x1.4b76cfc9aed1bp-3, -0x1.4797afc759882p-3, -0x1.43bd1542d5552p-3, -0x1.3fe7233c66a59p-3, -0x1.3c15fbb7eaae5p-3, -0x1.3849bfbe39e76p-3, -0x1.34828f5ea4eaep-3, -0x1.30c089b08751dp-3, -0x1.2d03ccd4f25p-3, -0x1.294c75f871b3dp-3, -0x1.259aa154e19c7p-3, -0x1.21ee6a3362181p-3, -0x1.1e47eaee50ea4p-3, -0x1.1aa73cf368442p-3, -0x1.170c78c5e6483p-3, -0x1.1377b600bffd5p-3, -0x1.0fe90b58fa15p-3, -0x1.0c608e9ff9c69p-3, -0x1.08de54c5f9ba9p-3, -0x1.056271dc7fd83p-3, -0x1.01ecf918e82ddp-3, -0x1.fcfbf9adf6943p-4, -0x1.f62b1d37238bbp-4, -0x1.ef677e2e84b93p-4, -0x1.e8b13c5238aabp-4, -0x1.e20875c2d8f3ap-4, -0x1.db6d470913efep-4, -0x1.d4dfcb1b60eadp-4, -0x1.ce601b63b7caap-4, -0x1.c7ee4fc56dad6p-4, -0x1.c18a7ea2ffeebp-4, -0x1.bb34bce40cea1p-4, -0x1.b4ed1dfb49398p-4, -0x1.aeb3b3ec78781p-4, -0x1.a8888f527ea58p-4, -0x1.a26bbf65718aap-4, -0x1.9c5d5200ada16p-4, -0x1.965d53a8fcef6p-4, -0x1.906bcf92b8c5ep-4, -0x1.8a88cfa7f1d79p-4, -0x1.84b45c8e9820bp-4, -0x1.7eee7daeb3e03p-4, -0x1.7937393885689p-4, -0x1.738e942ac0bc1p-4, -0x1.6df49258b24aep-4, -0x1.686936706f2p-4, -0x1.62ec8200fd23cp-4, -0x1.5d7e75807a7d7p-4, -0x1.581f10523dbdcp-4, -0x1.52ce50ccf2856p-4, -0x1.4d8c3440b110ep-4, -0x1.4858b6fd1104bp-4, -0x1.4333d4572edadp-4, -0x1.3e1d86afb0f6p-4, -0x1.3915c778bc2bap-4, -0x1.341c8f3bea102p-4, -0x1.2f31d5a02972ep-4, -0x1.2a55916fa042p-4, -0x1.2587b89d7527fp-4, -0x1.20c8404b9bcbfp-4, -0x1.1c171cd08ae82p-4, -0x1.177441bced45ep-4, -0x1.12dfa1e13df7ap-4, -0x1.0e592f535ec44p-4, -0x1.09e0db741e63dp-4, -0x1.057696f4acf75p-4, -0x1.011a51dc0a57cp-4, -0x1.f997f718b0808p-5, -0x1.f117059061612p-5, -0x1.e8b1ab6fac9f7p-5, -0x1.e067c3dcccc8ap-5, -0x1.d83928ddedd71p-5, -0x1.d025b3633a94bp-5, -0x1.c82d3b50d3795p-5, -0x1.c04f9788a41b4p-5, -0x1.b88c9df41e979p-5, -0x1.b0e4238dbe53fp-5, -0x1.a955fc6a7b45dp-5, -0x1.a1e1fbc3162b8p-5, -0x1.9a87f3fd37bbcp-5, -0x1.9347b6b47f4c8p-5, -0x1.8c2114c3576b1p-5, -0x1.8513de4bb6c12p-5, -0x1.7e1fe2bfb8dc8p-5, -0x1.7744f0ea0aa2dp-5, -0x1.7082d6f63cbb3p-5, -0x1.69d96278ef9e8p-5, -0x1.63486077d18fbp-5, -0x1.5ccf9d7186c46p-5, -0x1.566ee5655f967p-5, -0x1.502603daf3f89p-5, -0x1.49f4c3e98e5d1p-5, -0x1.43daf03f866cbp-5, -0x1.3dd85329588a7p-5, -0x1.37ecb698bd56ep-5, -0x1.3217e42b796dp-5, -0x1.2c59a532266fap-5, -0x1.26b1c2b6bf387p-5, -0x1.2120058320c47p-5, -0x1.1ba436274d345p-5, -0x1.163e1cffa27b9p-5, -0x1.10ed823ae0282p-5, -0x1.0bb22de009468p-5, -0x1.068be7d42f673p-5, -0x1.017a77e00a9fcp-5, -0x1.f8fb4b6b04d53p-6, -0x1.ef2a71e9f1e8dp-6, -0x1.e581f26533dc5p-6, -0x1.dc015bf6bfacp-6, -0x1.d2a83db42cdfdp-6, -0x1.c97626b85f00ep-6, -0x1.c06aa62ce5e11p-6, -0x1.b7854b533ab2dp-6, -0x1.aec5a58d90c2bp-6, -0x1.a62b4467927d5p-6, -0x1.9db5b79ed8cafp-6, -0x1.95648f2afc61dp-6, -0x1.8d375b4599bap-6, -0x1.852dac720d3afp-6, -0x1.7d471384d609dp-6, -0x1.758321aaeefefp-6, -0x1.6de16870c7e6ap-6, -0x1.666179c908939p-6, -0x1.5f02e813387f9p-6, -0x1.57c5462206041p-6, -0x1.50a82741792b1p-6, -0x1.49ab1f3ce72afp-6, -0x1.42cdc26494f55p-6, -0x1.3c0fa593585e2p-6, -0x1.35705e33da432p-6, -0x1.2eef8245b8548p-6, -0x1.288ca862737f7p-6, -0x1.224767c232032p-6, -0x1.1c1f584040c8dp-6, -0x1.1614125f75c5ap-6, -0x1.10252f4e68235p-6, -0x1.0a5248eb5b01bp-6, -0x1.049af9c82b082p-6, -0x1.fdfdba5bbf919p-7, -0x1.f2fb1e4066924p-7, -0x1.e82d58c1d1fa2p-7, -0x1.dd93a4e5de8dep-7, -0x1.d32d3f3aa7dc9p-7, -0x1.c8f965dc87b1dp-7, -0x1.bef7587b0b899p-7, -0x1.b526585e68adap-7, -0x1.ab85a86c1a67dp-7, -0x1.a2148d2b5492cp-7, -0x1.98d24cc96f217p-7, -0x1.8fbe2f1d9eea2p-7, -0x1.86d77dace554ap-7, -0x1.7e1d83ad4371dp-7, -0x1.758f8e08f41cep-7, -0x1.6d2ceb6172094p-7, -0x1.64f4ec12100b2p-7, -0x1.5ce6e232482fdp-7, -0x1.550221982e067p-7, -0x1.4d45ffda396d5p-7, -0x1.45b1d45119f5ep-7, -0x1.3e44f81931564p-7, -0x1.36fec61417fc4p-7, -0x1.2fde9ae969d3ep-7, -0x1.28e3d50800d33p-7, -0x1.220dd4a687348p-7, -0x1.1b5bfbc40b60ap-7, -0x1.14cdae286272fp-7, -0x1.0e62516453fe6p-7, -0x1.08194cd19d4a2p-7, -0x1.01f20992b6598p-7, -0x1.f7d7e52557486p-8, -0x1.ec0ce908e7067p-8, -0x1.e081fbc4ff6d1p-8, -0x1.d535fddb64446p-8, -0x1.ca27d35953034p-8, -0x1.bf5663d56db28p-8, -0x1.b4c09a6cd80d9p-8, -0x1.aa6565c10be0cp-8, -0x1.a043b7f4bfd71p-8, -0x1.965a86a8c73e6p-8, -0x1.8ca8caf8a5cc2p-8, -0x1.832d8177142fp-8, -0x1.79e7aa29eaa91p-8, -0x1.70d6488680c19p-8, -0x1.67f8636cf1854p-8, -0x1.5f4d052405004p-8, -0x1.56d33b54a0f7p-8, -0x1.4e8a1704720ebp-8, -0x1.4670ac91b3805p-8, -0x1.3e8613ad7acdap-8, -0x1.36c967569a55ap-8, -0x1.2f39c5d44d04dp-8, -0x1.27d650b04bb7fp-8, -0x1.209e2cb16d61fp-8, -0x1.199081d5a0d8bp-8, -0x1.12ac7b4bd726p-8, -0x1.0bf1476e1bbabp-8, -0x1.055e17bb459bep-8, -0x1.fde441a0fc1f8p-9, -0x1.f15934c5dc45bp-9, -0x1.e5197e72bf03ap-9, -0x1.d9239a4ae4bc3p-9, -0x1.cd7609f9af16p-9, -0x1.c20f55257609bp-9, -0x1.b6ee096146d75p-9, -0x1.ac10ba1ff3a0ap-9, -0x1.a17600a4a2601p-9, -0x1.971c7bf67cf4p-9, -0x1.8d02d0d0d5b01p-9, -0x1.8327a995c41fbp-9, -0x1.7989b63fad60ap-9, -0x1.7027ac525a357p-9, -0x1.670046cca5179p-9, -0x1.5e124619dc49bp-9, -0x1.555c7002f25fcp-9, -0x1.4cdd8f9fc9ccep-9, -0x1.44947548656b8p-9, -0x1.3c7ff68608b25p-9, -0x1.349eee0494b57p-9, -0x1.2cf03b8302d99p-9, -0x1.2572c3c5377d3p-9, -0x1.1e2570848cff2p-9, -0x1.170730614f25fp-9, -0x1.1016f6d328502p-9, -0x1.0953bc1b15547p-9, -0x1.02bc7d33bd4dap-9, -0x1.f8a07785c37f7p-10, -0x1.ec1bfc14ea75dp-10, -0x1.dfe99db39466dp-10, -0x1.d4077afd44a5fp-10, -0x1.c873bb6cf0ac1p-10, -0x1.bd2c8f3f9a943p-10, -0x1.b2302f569ba6cp-10, -0x1.a77cdd1b5df1p-10, -0x1.9d10e260b81f8p-10, -0x1.92ea9147679ccp-10, -0x1.8908441fb23a5p-10, -0x1.7f685d4dfb54cp-10, -0x1.7609472cd613cp-10, -0x1.6ce973f1ab71ap-10, -0x1.64075d8f9f066p-10, -0x1.5b61859bbb768p-10, -0x1.52f67530d2518p-10, -0x1.4ac4bcd3ee4e7p-10, -0x1.42caf45807421p-10, -0x1.3b07bac34926cp-10, -0x1.3379b6331da3ep-10, -0x1.2c1f93c1995dep-10, -0x1.24f8076a243e1p-10, -0x1.1e01cbef2a506p-10, -0x1.173ba2bf2cc09p-10, -0x1.10a453db6a6bp-10, -0x1.0a3aadbc58da8p-10, -0x1.03fd85392e23dp-10, -0x1.fbd76ada533ccp-11, -0x1.f0083f3db49d3p-11, -0x1.e48b564da5e4ep-11, -0x1.d95e8aacb8482p-11, -0x1.ce7fc2bde36b8p-11, -0x1.c3ecf07404f78p-11, -0x1.b9a411209f6adp-11, -0x1.afa32d441c024p-11, -0x1.a5e8585e2071cp-11, -0x1.9c71b0be9ed67p-11, -0x1.933d5f56e3a1bp-11, -0x1.8a49978c07fa9p-11, -0x1.81949708881e9p-11, -0x1.791ca58fb3163p-11, -0x1.70e014d116d01p-11, -0x1.68dd403c1d181p-11, -0x1.61128cd441e8ap-11, -0x1.597e69065a32cp-11, -0x1.521f4c7d1611ep-11, -0x1.4af3b7f814bf1p-11, -0x1.43fa3520ee53cp-11, -0x1.3d315662968d8p-11, -0x1.3697b6c10d07dp-11, -0x1.302bf9b124348p-11, -0x1.29eccaefcc076p-11, -0x1.23d8de5c57178p-11, -0x1.1deeefd0eefacp-11, -0x1.182dc2fc5b4d9p-11, -0x1.1294233cd8f85p-11, -0x1.0d20e37a4b45fp-11, -0x1.07d2de02332b3p-11, -0x1.02a8f462a9ac7p-11, -0x1.fb441e8f2c737p-12, -0x1.f17a3cad04c1cp-12, -0x1.e7f23019368c4p-12, -0x1.dea9f3380c579p-12, -0x1.d59f8d93e0a7dp-12, -0x1.ccd1139bfe202p-12, -0x1.c43ca661130a4p-12, -0x1.bbe073550fea5p-12, -0x1.b3bab40beadb4p-12, -0x1.abc9adfc41244p-12, -0x1.a40bb2415d0a4p-12, -0x1.9c7f1d5edfd12p-12, -0x1.952257044bc3p-12, -0x1.8df3d1d08f1e5p-12, -0x1.86f20b19f5d07p-12, -0x1.801b8ab2edd77p-12, -0x1.796ee2b224acp-12, -0x1.72eaaf3b30483p-12, -0x1.6c8d9647f5c89p-12, -0x1.66564771a5509p-12, -0x1.60437bbc80347p-12, -0x1.5a53f56410a0fp-12, -0x1.54867fa6994cfp-12, -0x1.4ed9ee940f4b4p-12, -0x1.494d1edb08fdfp-12, -0x1.43def598e1984p-12, -0x1.3e8e602926ae4p-12, -0x1.395a53f658702p-12, -0x1.3441ce4b73358p-12, -0x1.2f43d426e8133p-12, -0x1.2a5f720c5c718p-12, -0x1.2593bbdaa68d2p-12, -0x1.20dfcc9e773dp-12, -0x1.1c42c668af2bcp-12, -0x1.17bbd22417576p-12, -0x1.134a1f6caee44p-12, -0x1.0eece4672aecdp-12, -0x1.0aa35d9993d92p-12, -0x1.066ccdc38e0b5p-12, -0x1.02487db84b3c4p-12, -0x1.fc6b7873b80ecp-13, -0x1.f467bba6b6bf7p-13, -0x1.ec84796a35f77p-13, -0x1.e4c071224c70dp-13, -0x1.dd1a6cf143545p-13, -0x1.d591417249a4cp-13, -0x1.ce23cd7635b01p-13, -0x1.c6d0f9c326636p-13, -0x1.bf97b8d1ec448p-13, -0x1.b87706906308p-13, -0x1.b16de822f12d7p-13, -0x1.aa7b6ba69084fp-13, -0x1.a39ea7f68a42dp-13, -0x1.9cd6bc7147fd5p-13, -0x1.9622d0bed9838p-13, -0x1.8f82149806506p-13, -0x1.88f3bf911627bp-13, -0x1.827710e207451p-13, -0x1.7c0b4f32bd75p-13, -0x1.75afc8662f92fp-13, -0x1.6f63d1684a94ap-13, -0x1.6926c5fc0d556p-13, -0x1.62f8088a531d8p-13, -0x1.5cd701f314ab9p-13, -0x1.56c3215e9ca0ep-13, -0x1.50bbdc0f05cacp-13, -0x1.4ac0ad33e18eep-13, -0x1.44d115bec96edp-13, -0x1.3eec9c37902b2p-13, -0x1.3912cc933342ep-13, -0x1.3343380ad7429p-13, -0x1.2d7d74f327273p-13, -0x1.27c11e95903c7p-13, -0x1.220dd5097a607p-13, -0x1.1c633d0ed68dcp-13, -0x1.16c0ffe9bd699p-13, -0x1.1126cb3e15ed7p-13, -0x1.0b9450ecb9f88p-13, -0x1.060946f1842a2p-13, -0x1.00856741aa4c6p-13, -0x1.f610df554c1d1p-14, -0x1.eb24436547859p-14, -0x1.e04484f2965cbp-14, -0x1.d5713531c30aap-14, -0x1.caa9ec11b062bp-14, -0x1.bfee48025aec6p-14, -0x1.b53dedb9f671p-14, -0x1.aa9887ffd283cp-14, -0x1.9ffdc77503ap-14, -0x1.956d625f89a06p-14, -0x1.8ae714778831fp-14, -0x1.806a9eb462ffp-14, -0x1.75f7c71ceabd2p-14, -0x1.6b8e5896d8f8p-14, -0x1.612e22b861cecp-14, -0x1.56d6f99afdb3ep-14, -0x1.4c88b5aebec93p-14, -0x1.4243338fb35b2p-14, -0x1.380653dbc5609p-14, -0x1.2dd1fb0aa775ep-14, -0x1.23a6114472985p-14, -0x1.1982823cad05fp-14, -0x1.0f673d0b2d7a6p-14, -0x1.055434076b03ep-14, -0x1.f692b94aa108dp-15, -0x1.e28d5ea66cbdcp-15, -0x1.ce984eaa878bdp-15, -0x1.bab3854ef235p-15, -0x1.a6df03ba67deep-15, -0x1.931ad00093546p-15, -0x1.7f66f4e8bea81p-15, -0x1.6bc381b206912p-15, -0x1.583089d9a52c2p-15, -0x1.44ae24e4a83b4p-15, -0x1.313c6e29f31p-15, -0x1.1ddb849ba69cfp-15, -0x1.0a8b8a98a3b4dp-15, -0x1.ee994b6fabcb9p-16, -0x1.c83dfd331ce5fp-16, -0x1.a205816f93c4dp-16, -0x1.7bf03477d914cp-16, -0x1.55fe77a074038p-16, -0x1.3030b0ef36bf8p-16, -0x1.0a874ac802512p-16, -0x1.ca05673c39567p-17, -0x1.7f46bb51137f5p-17, -0x1.34d37d25ef214p-17, -0x1.d5593ce926ed2p-18, -0x1.41a62d964d90cp-18, -0x1.5d1f8c1ecfcbbp-19, -0x1.c1809a1370159p-22, 0x1.d6fbeef60dbdcp-20, 0x1.06f3366f41e86p-18, 0x1.97828c20f7df7p-18, 0x1.13b56e4a769f7p-17, 0x1.5b5501454ab7fp-17, 0x1.a29eea4cd40fep-17, 0x1.e99212f764907p-17, 0x1.1816b1c45a83dp-16, 0x1.3b37e1a71aa79p-16, 0x1.5e2c0c8057d1cp-16, 0x1.80f2a58a7a2c2p-16, 0x1.a38b2009f14a1p-16, 0x1.c5f4ef72e78d2p-16, 0x1.e82f87919183cp-16, 0x1.051d2e58862bdp-15, 0x1.160a71dccd1dcp-15, 0x1.26df492cbb8b9p-15, 0x1.379b6f8fec25fp-15, 0x1.483ea0cf3db45p-15, 0x1.58c899441a5e9p-15, 0x1.693915e6df38ep-15, 0x1.798fd45b64a11p-15, 0x1.89cc92fea0b6fp-15, 0x1.99ef10f3f4cd4p-15, 0x1.a9f70e2f73e07p-15, 0x1.b9e44b80b2519p-15, 0x1.c9b68a9f28136p-15, 0x1.d96d8e3479a5dp-15, 0x1.e90919e3bec6bp-15, 0x1.f888f25452e58p-15, 0x1.03f66e9d38547p-14, 0x1.0b9a50afe7727p-14, 0x1.13300354547f6p-14, 0x1.1ab76b0df7b89p-14, 0x1.22306cf606bc5p-14, 0x1.299aeebd15eedp-14, 0x1.30f6d6aee25f3p-14, 0x1.38440bb54ed9ap-14, 0x1.3f827559dfa65p-14, 0x1.46b1fbc8abb75p-14, 0x1.4dd287d23e8bcp-14, 0x1.54e402edf7fd9p-14, 0x1.5be6573b31e49p-14, 0x1.62d96f833315ap-14, 0x1.69bd373ab2843p-14, 0x1.70919a8335471p-14, 0x1.7756862bd6ea7p-14, 0x1.7e0be7b2c0dbbp-14, 0x1.84b1ad4513b62p-14, 0x1.8b47c5c03797bp-14, 0x1.91ce20b2bb255p-14, 0x1.9844ae5c507b1p-14, 0x1.9eab5fadc73a3p-14, 0x1.a5022649fc4ecp-14, 0x1.ab48f48547d6ep-14, 0x1.b17fbd664713ap-14, 0x1.b7a674a4a0702p-14, 0x1.bdbd0ea9660b7p-14, 0x1.c3c3808edc133p-14, 0x1.c9b9c01f54ee5p-14, 0x1.cf9fc3d57217p-14, 0x1.d57582daf5768p-14, 0x1.db3af508808aep-14, 0x1.e0f012e41a19dp-14, 0x1.e694d5a0b016ap-14, 0x1.ec29371d5a7bcp-14, 0x1.f1ad31e4290bep-14, 0x1.f720c128aad1ep-14, 0x1.fc83e0c71b5cp-14, 0x1.00eb46a1b176ep-13, 0x1.038c61e3706cdp-13, 0x1.06254110146c5p-13, 0x1.08b5e3608c87p-13, 0x1.0b3e485efc6bep-13, 0x1.0dbe6fe583dafp-13, 0x1.10365a1d8b66dp-13, 0x1.12a6077f632dbp-13, 0x1.150d78d0f848dp-13, 0x1.176caf2502ee7p-13, 0x1.19c3abdab9e21p-13, 0x1.1c12709c78941p-13, 0x1.1e58ff5eb652p-13, 0x1.20975a5f73755p-13, 0x1.22cd8425574ecp-13, 0x1.24fb7f7e8602ap-13, 0x1.27214f7f9085p-13, 0x1.293ef782b7724p-13, 0x1.2b547b2724008p-13, 0x1.2d61de4fb4da1p-13, 0x1.2f672521e7cbp-13, 0x1.31645404f5df6p-13, 0x1.33596fa0aea73p-13, 0x1.35467cdcbbf64p-13, 0x1.372b80df6223p-13, 0x1.3908810c8a20cp-13, 0x1.3add8304c1b1dp-13, 0x1.3caa8ca417923p-13, 0x1.3e6fa40121113p-13, 0x1.402ccf6c0fe16p-13, 0x1.41e2156d7ef3ap-13, 0x1.438f7cc54ea14p-13, 0x1.45350c69f7bc9p-13, 0x1.46d2cb873d655p-13, 0x1.4868c17d0599bp-13, 0x1.49f6f5de7807ep-13, 0x1.4b7d70713c668p-13, 0x1.4cfc392bca1c5p-13, 0x1.4e735834a4cb2p-13, 0x1.4fe2d5e1928d3p-13, 0x1.514abab65331cp-13, 0x1.52ab0f63a4099p-13, 0x1.5403dcc6337cbp-13, 0x1.55552be5b6daap-13, 0x1.569f05f3bacf5p-13, 0x1.57e1744aa1c83p-13, 0x1.591c806ca6d9dp-13, 0x1.5a5034032600dp-13, 0x1.5b7c98dd3bf35p-13, 0x1.5ca1b8eeedf4dp-13, 0x1.5dbf9e500b684p-13, 0x1.5ed6533ba233ap-13, 0x1.5fe5e20e8d742p-13, 0x1.60ee554689816p-13, 0x1.61efb781500b8p-13, 0x1.62ea137bc63cdp-13, 0x1.63dd7410f5b76p-13, 0x1.64c9e439122e9p-13, 0x1.65af6f0878b29p-13, 0x1.668e1faef9be1p-13, 0x1.67660176d14d7p-13, 0x1.68371fc3a7f73p-13, 0x1.69018611e17adp-13, 0x1.69c53ff5883b9p-13, 0x1.6a82591988e4fp-13, 0x1.6b38dd3ebb9eap-13, 0x1.6be8d83b6171dp-13, 0x1.6c9255f9ee702p-13, 0x1.6d3562780564cp-13, 0x1.6dd209c61bf51p-13, 0x1.6e685806923d8p-13, 0x1.6ef8596c7229ep-13, 0x1.6f821a3b1bb0dp-13, 0x1.7005a6c57776bp-13, 0x1.70830b6ccbc3ap-13, 0x1.70fa54a06a8c3p-13, 0x1.716b8edca0867p-13, 0x1.71d6c6a9f468fp-13, 0x1.723c089cb56dp-13, 0x1.729b6153da2d4p-13, 0x1.72f4dd7890f52p-13, 0x1.734889bd86349p-13, 0x1.739672de1abcdp-13, 0x1.73dea59dc620cp-13, 0x1.74212ec7550cdp-13, 0x1.745e1b2bf6fbdp-13, 0x1.749577a330b48p-13, 0x1.74c75109f132dp-13, 0x1.74f3b4418e3f8p-13, 0x1.751aae2fa96afp-13, 0x1.753c4bbd8fb8ep-13, 0x1.755899d724347p-13, 0x1.756fa56a90acfp-13, 0x1.75817b67e8ef5p-13, 0x1.758e28c01727ep-13, 0x1.7595ba64b3597p-13, 0x1.75983d4748eadp-13, 0x1.7595be58b9064p-13, 0x1.758e4a88d4d1ap-13, 0x1.7581eec5dd876p-13, 0x1.7570b7fbe4228p-13, 0x1.755ab3143dc1fp-13, 0x1.753fecf516abfp-13, 0x1.75207280e87edp-13, 0x1.74fc5095f5c8ap-13, 0x1.74d3940dddf17p-13, 0x1.74a649bd5ffbap-13, 0x1.74747e73786edp-13, 0x1.743e3ef9344f1p-13, 0x1.7403981125802p-13, 0x1.73c496770fe7bp-13, 0x1.738146df78d66p-13, 0x1.7339b5f731efcp-13, 0x1.72edf062da2ap-13, 0x1.729e02bebc7a5p-13, 0x1.7249f99e409ddp-13, 0x1.71f1e18b89d2ap-13, 0x1.7195c707429a1p-13, 0x1.7135b687ec2dbp-13, 0x1.70d1bc79e69b3p-13, 0x1.7069e53edb3edp-13, 0x1.6ffe3d2d8a53p-13, 0x1.6f8ed09148559p-13, 0x1.6f1baba9e5b5ep-13, 0x1.6ea4daab4d8dbp-13, 0x1.6e2a69bd15f1p-13, 0x1.6dac64fa709dbp-13, 0x1.6d2ad871cd4fp-13, 0x1.6ca5d0245abd5p-13, 0x1.6c1d580609516p-13, 0x1.6b917bfd35936p-13, 0x1.6b0247e2601bep-13, 0x1.6a6fc77ff2213p-13, 0x1.69da0691e619p-13, 0x1.694110c5bf9cdp-13, 0x1.68a4f1ba3fc12p-13, 0x1.6805b4ff15d1ap-13, 0x1.6763661492c21p-13, 0x1.66be106bc519fp-13, 0x1.6615bf6617ad7p-13, 0x1.656a7e550b5c2p-13, 0x1.64bc587a0da1ep-13, 0x1.640b590674fc6p-13, 0x1.63578b1b5048p-13, 0x1.62a0f9c901ddfp-13, 0x1.61e7b00f497cep-13, 0x1.612bb8dd0e3dep-13, 0x1.606d1f1024eefp-13, 0x1.5fabed7550f9bp-13, 0x1.5ee82ec807237p-13, 0x1.5e21edb2720e6p-13, 0x1.5d5934ccfd218p-13, 0x1.5c8e0e9e79765p-13, 0x1.5bc0859c298fp-13, 0x1.5af0a429386dp-13, 0x1.5a1e7496e5b4p-13, 0x1.594a012452529p-13, 0x1.587353fe794d6p-13, 0x1.579a774018544p-13, 0x1.56bf74f168999p-13, 0x1.55e2570855c46p-13, 0x1.55032768659e6p-13, 0x1.5421efe25a673p-13, 0x1.533eba345427ep-13, 0x1.52599009ef532p-13, 0x1.51727afbd3472p-13, 0x1.5089848fc8d2bp-13, 0x1.4f9eb638e9f1fp-13, 0x1.4eb219576bc34p-13, 0x1.4dc3b73875ff1p-13, 0x1.4cd399163247ap-13, 0x1.4be1c817d6f87p-13, 0x1.4aee4d518a52ep-13, 0x1.49f931c46d4dfp-13, 0x1.49027e5e9f2ffp-13, 0x1.480a3bfaed65p-13, 0x1.4710736118d9dp-13, 0x1.46152d45ed66bp-13, 0x1.4518724ae6d6ep-13, 0x1.441a4afe6b746p-13, 0x1.431abfdbda713p-13, 0x1.4219d94b6192p-13, 0x1.41179fa20462ep-13, 0x1.40141b21b56f8p-13, 0x1.3f0f53f961f8cp-13, 0x1.3e095244cb39cp-13, 0x1.3d021e0ca33a7p-13, 0x1.3bf9bf46ad3cap-13, 0x1.3af03dd57f95bp-13, 0x1.39e5a188df8e2p-13, 0x1.38d9f21da742cp-13, 0x1.37cd373da5377p-13, 0x1.36bf787fc22bdp-13, 0x1.35b0bd68179ffp-13, 0x1.34a10d681942ep-13, 0x1.33906fde45afap-13, 0x1.327eec1669143p-13, 0x1.316c8949ca3adp-13, 0x1.30594e9ee8c94p-13, 0x1.2f454329d1ebep-13, 0x1.2e306debf7cd3p-13, 0x1.2d1ad5d44bb4fp-13, 0x1.2c0481bfa202dp-13, 0x1.2aed7878332e3p-13, 0x1.29d5c0b5f1579p-13, 0x1.28bd611ecf70bp-13, 0x1.27a4604655269p-13, 0x1.268ac4ae2262bp-13, 0x1.257094c5d8c66p-13, 0x1.2455d6eb0e282p-13, 0x1.233a9169799ccp-13, 0x1.221eca7b2c364p-13, 0x1.21028848592b6p-13, 0x1.1fe5d0e7a6021p-13, 0x1.1ec8aa5e2b75ap-13, 0x1.1dab1a9f4c07ep-13, 0x1.1c8d278d3f9e1p-13, 0x1.1b6ed6f8f4e0ap-13, 0x1.1a502ea1f635cp-13, 0x1.19313436a0b34p-13, 0x1.1811ed545dc3ap-13, 0x1.16f25f879f8bfp-13, 0x1.15d2904bcb4dbp-13, 0x1.14b2850b99c77p-13, 0x1.139243210c65ap-13, 0x1.1271cfd5772b4p-13, 0x1.11513061aa207p-13, 0x1.103069edf4ed2p-13, 0x1.0f0f819284859p-13, 0x1.0dee7c5711331p-13, 0x1.0ccd5f3331723p-13, 0x1.0bac2f0e7ee05p-13, 0x1.0a8af0c08b6ccp-13, 0x1.0969a9112c1b3p-13, 0x1.08485cb856c99p-13, 0x1.0727105e501fep-13, 0x1.0605c89bde00dp-13, 0x1.04e489fa46a33p-13, 0x1.03c358f370189p-13, 0x1.02a239f210f08p-13, 0x1.0181315185e34p-13, 0x1.0060435e4c516p-13, 0x1.fe7ee8abe419fp-14, 0x1.fc3d90cdeba6bp-14, 0x1.f9fc876248266p-14, 0x1.f7bbd48bb88fp-14, 0x1.f57b804f5bc6fp-14, 0x1.f33b9295a2094p-14, 0x1.f0fc132a524d4p-14, 0x1.eebd09bccb20bp-14, 0x1.ec7e7de00d769p-14, 0x1.ea40770b1dee8p-14, 0x1.e802fc9937453p-14, 0x1.e5c615c9c4edp-14, 0x1.e389c9c0e127ep-14, 0x1.e14e1f87b0e6ep-14, 0x1.df131e0bfd1b6p-14, 0x1.dcd8cc210ae39p-14, 0x1.da9f307f5c7d7p-14, 0x1.d86651c538627p-14, 0x1.d62e3676d0e92p-14, 0x1.d3f6e4fe2cda2p-14, 0x1.d1c063abc7c3fp-14, 0x1.cf8ab8b6a231ap-14, 0x1.cd55ea3c4e46dp-14, 0x1.cb21fe419014p-14, 0x1.c8eefab1cd78bp-14, 0x1.c6bce56021c28p-14, 0x1.c48bc4075a129p-14, 0x1.c25b9c498eaf3p-14, 0x1.c02c73b0e1f78p-14, 0x1.bdfe4fb032bb4p-14, 0x1.bbd135a221d47p-14, 0x1.b9a52aca205e7p-14, 0x1.b77a345488ee6p-14, 0x1.b550575696918p-14, 0x1.b32798ceb7aacp-14, 0x1.b0fffda4e9d24p-14, 0x1.aed98aaaab6c4p-14, 0x1.acb4449b491f5p-14, 0x1.aa90301c6fbeap-14, 0x1.a86d51bd94f85p-14, 0x1.a64badf8ee214p-14, 0x1.a42b493367335p-14, 0x1.a20c27bc73105p-14, 0x1.9fee4dceeeab9p-14, 0x1.9dd1bf90c7256p-14, 0x1.9bb681136eb4ep-14, 0x1.999c96541ec51p-14, 0x1.9784033bb55e5p-14, 0x1.956ccb9f60496p-14, 0x1.9356f34053bdbp-14, 0x1.91427dcc84786p-14, 0x1.8f2f6ede4674dp-14, 0x1.8d1dc9fcd126bp-14, 0x1.8b0d929cc0d1dp-14, 0x1.88fecc1f87dd7p-14, 0x1.86f179d40cd0fp-14, 0x1.84e59ef7534d4p-14, 0x1.82db3eb394befp-14, 0x1.80d25c213953cp-14, 0x1.7ecafa47309bep-14, 0x1.7cc51c1a784dbp-14, 0x1.7ac0c47ea3bd1p-14, 0x1.78bdf64637e9cp-14, 0x1.76bcb4328f367p-14, 0x1.74bd00f43cab9p-14, 0x1.72bedf2afbeebp-14, 0x1.70c251660aca9p-14, 0x1.6ec75a24a26c1p-14, 0x1.6ccdfbd5668bcp-14, 0x1.6ad638d73f95ep-14, 0x1.68e0137972cdbp-14, 0x1.66eb8dfb5f4a4p-14, 0x1.64f8aa8d2cb36p-14, 0x1.63076b4fa9eeap-14, 0x1.6117d2548d122p-14, 0x1.5f29e19eb271fp-14, 0x1.5d3d9b2250537p-14, 0x1.5b5300c4c7024p-14, 0x1.596a145d41806p-14, 0x1.5782d7b4d53b1p-14, 0x1.559d4c86167e9p-14, 0x1.53b9747e2ad29p-14, 0x1.51d7513c4d65ep-14, 0x1.4ff6e451fecb4p-14, 0x1.4e182f43bc004p-14, 0x1.4c3b3388657c1p-14, 0x1.4a5ff289e2937p-14, 0x1.48866da57ad29p-14, 0x1.46aea62b2a21dp-14, 0x1.44d89d5ecc2bbp-14, 0x1.43045477786ebp-14, 0x1.4131cca012b7p-14, 0x1.3f6106f773a69p-14, 0x1.3d92049054e4bp-14, 0x1.3bc4c671b431cp-14, 0x1.39f94d96d5911p-14, 0x1.382f9aef5a298p-14, 0x1.3667af5fbfd04p-14, 0x1.34a18bc100d68p-14, 0x1.32dd30e126ac6p-14, 0x1.311a9f8354de5p-14, 0x1.2f59d85f9fa5fp-14, 0x1.2d9adc23b8da8p-14, 0x1.2bddab72aac3cp-14, 0x1.2a2246e5104eap-14, 0x1.2868af0950517p-14, 0x1.26b0e463dec29p-14, 0x1.24fae76ee5e3bp-14, 0x1.2346b89b1f26cp-14, 0x1.2194584f2d162p-14, 0x1.1fe3c6e86d32ep-14, 0x1.1e3504bac5b2p-14, 0x1.1c88121090c51p-14, 0x1.1adcef2b416f2p-14, 0x1.19339c4320813p-14, 0x1.178c1987866dfp-14, 0x1.15e6671f28edcp-14, 0x1.14428527da532p-14, 0x1.12a073b71a8e7p-14, 0x1.110032d9e1ad6p-14, 0x1.0f61c294e2544p-14, 0x1.0dc522e4bee2p-14, 0x1.0c2a53bdb8ea6p-14, 0x1.0a91550cb6c77p-14, 0x1.08fa26b6269cbp-14, 0x1.0764c897535a7p-14, 0x1.05d13a85ac45ep-14, 0x1.043f7c4f1637fp-14, 0x1.02af8dba5af19p-14, 0x1.01216e86ce7eep-14, 0x1.ff2a3cd99c12dp-15, 0x1.fc153a3b3dc14p-15, 0x1.f903d4874e15dp-15, 0x1.f5f60b04e277cp-15, 0x1.f2ebdcedfb119p-15, 0x1.efe5496f0f868p-15, 0x1.ece24fa81d85ap-15, 0x1.e9e2eeabba479p-15, 0x1.e6e725808d941p-15, 0x1.e3eef32078dd7p-15, 0x1.e0fa5679551fap-15, 0x1.de094e6d799fap-15, 0x1.db1bd9d2d04afp-15, 0x1.d831f7744a40ap-15, 0x1.d54ba6113e0d1p-15, 0x1.d268e45de50aap-15, 0x1.cf89b10393f2fp-15, 0x1.ccae0aa0a9372p-15, 0x1.c9d5efc938db3p-15, 0x1.c7015f06b4e98p-15, 0x1.c43056d89895dp-15, 0x1.c162d5b3d0eacp-15, 0x1.be98da042ad79p-15, 0x1.bbd2622b0e355p-15, 0x1.b90f6c80e3e71p-15, 0x1.b64ff75476f6ep-15, 0x1.b39400eb61083p-15, 0x1.b0db878297efap-15, 0x1.ae26894dd26a2p-15, 0x1.ab75047857a3ep-15, 0x1.a8c6f725250cbp-15, 0x1.a61c5f6e7434ap-15, 0x1.a3753b6692f87p-15, 0x1.a0d18917dbf0bp-15, 0x1.9e31468472596p-15, 0x1.9b9471a73543cp-15, 0x1.98fb08730ce29p-15, 0x1.966508d3e99f6p-15, 0x1.93d270ae25effp-15, 0x1.91433ddf3d5d1p-15, 0x1.8eb76e3d99b59p-15, 0x1.8c2eff98e0e0bp-15, 0x1.89a9efba0852dp-15, 0x1.87283c637d0b9p-15, 0x1.84a9e3517616fp-15, 0x1.822ee2399d00ep-15, 0x1.7fb736cbd5125p-15, 0x1.7d42deb1d9addp-15, 0x1.7ad1d78f9bfc9p-15, 0x1.78641f034a22dp-15, 0x1.75f9b2a59edf9p-15, 0x1.73929009c17cp-15, 0x1.712eb4bd97f06p-15, 0x1.6ece1e49dfc08p-15, 0x1.6c70ca323e8e5p-15, 0x1.6a16b5f57c1b8p-15, 0x1.67bfdf0d7ab8bp-15, 0x1.656c42ef79343p-15, 0x1.631bdf0c2aa16p-15, 0x1.60ceb0cfbb07ap-15, 0x1.5e84b5a1fe954p-15, 0x1.5c3deae66f198p-15, 0x1.59fa4dfca909fp-15, 0x1.57b9dc4013f57p-15, 0x1.557c93084de22p-15, 0x1.53426fa9395ap-15, 0x1.510b6f72ce953p-15, 0x1.4ed78fb1dcf2dp-15, 0x1.4ca6cdaf3c878p-15, 0x1.4a7926b0e3895p-15, 0x1.484e97f9213bap-15, 0x1.46271ec761362p-15, 0x1.4402b857ed6c7p-15, 0x1.41e161e3fa6ep-15, 0x1.3fc318a228be5p-15, 0x1.3da7d9c5eaa06p-15, 0x1.3b8fa2805c9fbp-15, 0x1.397a6fffec921p-15, 0x1.37683f705effap-15, 0x1.35590dfb70e73p-15, 0x1.334cd8c81f471p-15, 0x1.31439cfb97108p-15, 0x1.2f3d57b89dd57p-15, 0x1.2d3a06201940ap-15, 0x1.2b39a550eab1ep-15, 0x1.293c32680f4eep-15, 0x1.2741aa80b8df3p-15, 0x1.254a0ab464db9p-15, 0x1.2355501ac2208p-15, 0x1.216377ca4220ap-15, 0x1.1f747ed78a382p-15, 0x1.1d8862560e3dp-15, 0x1.1b9f1f57e8dd5p-15, 0x1.19b8b2edddc89p-15, 0x1.17d51a279d0fbp-15, 0x1.15f45213a7668p-15, 0x1.141657bf7db32p-15, 0x1.123b2837a6d17p-15, 0x1.1062c087d5c3dp-15, 0x1.0e8d1dbac9463p-15, 0x1.0cba3cda9f644p-15, 0x1.0aea1af0b0014p-15, 0x1.091cb505c22a6p-15, 0x1.07520821e137p-15, 0x1.058a114cda866p-15, 0x1.03c4cd8dbf65dp-15, 0x1.020239eb92b93p-15, 0x1.0042536cbcd41p-15, 0x1.fd0a2e2f0f8cfp-16, 0x1.f99503e42bfd7p-16, 0x1.f62522049392ep-16, 0x1.f2ba829c29e2dp-16, 0x1.ef551fb678703p-16, 0x1.ebf4f35f7139ep-16, 0x1.e899f7a2cc995p-16, 0x1.e544268cd8109p-16, 0x1.e1f37a2a0752bp-16, 0x1.dea7ec875924dp-16, 0x1.db6177b2455abp-16, 0x1.d82015b93f43p-16, 0x1.d4e3c0ab2d778p-16, 0x1.d1ac729830bdap-16, 0x1.ce7a25911f708p-16, 0x1.cb4cd3a7f8ccp-16, 0x1.c82476efdb8e7p-16, 0x1.c501097d43f0dp-16, 0x1.c1e28565dfb26p-16, 0x1.bec8e4c0f5236p-16, 0x1.bbb421a73a128p-16, 0x1.b8a43632c1c9p-16, 0x1.b5991c7fe6829p-16, 0x1.b292ceac12db4p-16, 0x1.af9146d715ecbp-16, 0x1.ac947f226f28ep-16, 0x1.a99c71b17a4ecp-16, 0x1.a6a918aa1807bp-16, 0x1.a3ba6e339aa4ep-16, 0x1.a0d06c788146ap-16, 0x1.9deb0da4a9409p-16, 0x1.9b0a4be71a8c3p-16, 0x1.982e2170d1efdp-16, 0x1.955688756601ap-16, 0x1.92837b2b4c54cp-16, 0x1.8fb4f3cb42df4p-16, 0x1.8ceaec90ffcc7p-16, 0x1.8a255fbaf4f58p-16, 0x1.87644789e81e2p-16, 0x1.84a79e42442f6p-16, 0x1.81ef5e2af10fap-16, 0x1.7f3b818df8a56p-16, 0x1.7c8c02b8d3f17p-16, 0x1.79e0dbfb5cd7ap-16, 0x1.773a07a9625d1p-16, 0x1.749780197ce57p-16, 0x1.71f93fa5b9b2bp-16, 0x1.6f5f40ab8d33bp-16, 0x1.6cc97d8bb1df1p-16, 0x1.6a37f0aa54e01p-16, 0x1.67aa946f2f4edp-16, 0x1.65216345a1923p-16, 0x1.629c579c4c552p-16, }}, 
      {{-0x1.a5983ffa4cc41p-1, -0x1.a599a7b43dd75p-1, -0x1.a598cfb4d92bbp-1, -0x1.a5927a9875991p-1, -0x1.a583a10925f6cp-1, -0x1.a569c39d42135p-1, -0x1.a5430669b047dp-1, -0x1.a50e2ee23282fp-1, -0x1.a4ca9366b779p-1, -0x1.a478052b80d13p-1, -0x1.a416b8f5071f9p-1, -0x1.a3a730c1cc65fp-1, -0x1.a32a274823a62p-1, -0x1.a2a07da1b9744p-1, -0x1.a20b2b459d172p-1, -0x1.a16b305b0c81bp-1, -0x1.a0c18a632be5dp-1, -0x1.a00f2b2c7f176p-1, -0x1.9f54f1f616e49p-1, -0x1.9e93a69b0c914p-1, -0x1.9dcbf692ef0f6p-1, -0x1.9cfe738a9a887p-1, -0x1.9c2b935382635p-1, -0x1.9b53b0e5dffc9p-1, -0x1.9a770e34106dep-1, -0x1.9995d6921b153p-1, -0x1.98b0217b03779p-1, -0x1.97c5f5855f0b4p-1, -0x1.96d74b60fdd61p-1, -0x1.95e410bfac299p-1, -0x1.94ec2b12ca802p-1, -0x1.93ef7a0e518d4p-1, -0x1.92edd9e7d237fp-1, -0x1.91e7254cd57ffp-1, -0x1.90db370fedb42p-1, -0x1.8fc9eb8ead06p-1, -0x1.8eb321d4d7fc8p-1, -0x1.8d96bc82862a9p-1, -0x1.8c74a27ba8ce1p-1, -0x1.8b4cbf67c36ddp-1, -0x1.8a1f040894419p-1, -0x1.88eb666e1352dp-1, -0x1.87b1e20dbfff2p-1, -0x1.867277c28afafp-1, -0x1.852d2dba144fap-1, -0x1.83e20f5341283p-1, -0x1.82912cf19350ap-1, -0x1.813a9bc80fbadp-1, -0x1.7fde759dfdd9ap-1, -0x1.7e7cd88f4d2e9p-1, -0x1.7d15e6ca100d5p-1, -0x1.7ba9c64a1c7b7p-1, -0x1.7a38a093a8428p-1, -0x1.78c2a26d75f5p-1, -0x1.7747fb9b096d6p-1, -0x1.75c8de972d722p-1, -0x1.7445804f0f8acp-1, -0x1.72be17de17a19p-1, -0x1.7132de4aa68a4p-1, -0x1.6fa40e43d9c7cp-1, -0x1.6e11e3e071cf4p-1, -0x1.6c7c9c5f01b56p-1, -0x1.6ae475e78237dp-1, -0x1.6949af4e73762p-1, -0x1.67ac87d9b017dp-1, -0x1.660d3f0718cbep-1, -0x1.646c145547317p-1, -0x1.62c9470e6a068p-1, -0x1.6125161575b67p-1, -0x1.5f7fbfb5d0de1p-1, -0x1.5dd981759b8ep-1, -0x1.5c3297eab5232p-1, -0x1.5a8b3e929794dp-1, -0x1.58e3afad1f877p-1, -0x1.573c241a53d41p-1, -0x1.5594d33b32e6cp-1, -0x1.53edf2d58f2fp-1, -0x1.5247b6faf71e3p-1, -0x1.50a251f2a4153p-1, -0x1.4efdf42664621p-1, -0x1.4d5acc126eb58p-1, -0x1.4bb906380c5f6p-1, -0x1.4a18cd12fca26p-1, -0x1.487a491179cf5p-1, -0x1.46dda08eb9ad4p-1, -0x1.4542f7cfcd3f9p-1, -0x1.43aa7102b347ap-1, -0x1.42142c3f7f286p-1, -0x1.4080478b651cep-1, -0x1.3eeededd8a552p-1, -0x1.3d600c256a227p-1, -0x1.3bd3e752af36ep-1, -0x1.3a4a865e52c99p-1, -0x1.38c3fd54df1a3p-1, -0x1.37405e61b0d27p-1, -0x1.35bfb9db0f3f8p-1, -0x1.34421e4efd7bbp-1, -0x1.32c79890a2724p-1, -0x1.315033c628bc6p-1, -0x1.2fdbf976fbf34p-1, -0x1.2e6af19a47facp-1, -0x1.2cfd22a5a1a35p-1, -0x1.2b92919bc4306p-1, -0x1.2a2b421b502ffp-1, -0x1.28c7366d76f8ep-1, -0x1.27666f948726dp-1, -0x1.2608ed5a49973p-1, -0x1.24aeae5e22956p-1, -0x1.2357b022f065cp-1, -0x1.2203ef1c9a35cp-1, -0x1.20b366bd4c5d8p-1, -0x1.1f661182587d2p-1, -0x1.1e1be900b9e7cp-1, -0x1.1cd4e5f13637ep-1, -0x1.1b91003c1c419p-1, -0x1.1a502f049d6bap-1, -0x1.191268b3c36b7p-1, -0x1.17d7a30300a11p-1, -0x1.169fd3065f407p-1, -0x1.156aed364e9fep-1, -0x1.1438e57910dd7p-1, -0x1.1309af2bcf75ep-1, -0x1.11dd3d2b529dap-1, -0x1.10b381dc66cc7p-1, -0x1.0f8c6f33ecf6bp-1, -0x1.0e67f6be9dcedp-1, -0x1.0d4609a880811p-1, -0x1.0c2698c41ad7ap-1, -0x1.0b0994915d6c3p-1, -0x1.09eeed444e19p-1, -0x1.08d692cb77ebbp-1, -0x1.07c074d620994p-1, -0x1.06ac82da46f8ep-1, -0x1.059aac1a70746p-1, -0x1.048adfab45dfcp-1, -0x1.037d0c79025bp-1, -0x1.0271214cba2e7p-1, -0x1.01670cd176fd7p-1, -0x1.005ebd9930ca3p-1, -0x1.feb0444344808p-2, -0x1.fca651b1f8e6bp-2, -0x1.fa9f8044f5769p-2, -0x1.f89bacb5af8dap-2, -0x1.f69ab3b94fb47p-2, -0x1.f49c72092abcep-2, -0x1.f2a0c46b0d224p-2, -0x1.f0a787b94cccbp-2, -0x1.eeb098eab17cbp-2, -0x1.ecbbd51a26adep-2, -0x1.eac9198e46c5ap-2, -0x1.e8d843c0b3adap-2, -0x1.e6e9316548bb2p-2, -0x1.e4fbc07118affp-2, -0x1.e30fcf214cf26p-2, -0x1.e1253c01cd5b3p-2, -0x1.df3be5f3c5b4cp-2, -0x1.dd53ac33fe5ecp-2, -0x1.db6c6e6107a4ep-2, -0x1.d9860c813f429p-2, -0x1.d7a06708a6d7ep-2, -0x1.d5bb5ede8ed3dp-2, -0x1.d3d6d56319c9cp-2, -0x1.d1f2ac748ef51p-2, -0x1.d00ec67482f5p-2, -0x1.ce2b064cd1e9cp-2, -0x1.cc474f746d263p-2, -0x1.ca6385f3fb949p-2, -0x1.c87f8e6a49baap-2, -0x1.c69b4e108c70cp-2, -0x1.c4b6aabe7489dp-2, -0x1.c2d18aee10c8dp-2, -0x1.c0ebd5bf83db2p-2, -0x1.bf0572fc851bap-2, -0x1.bd1e4b1bb4e9cp-2, -0x1.bb364743bdfcep-2, -0x1.b94d514e45045p-2, -0x1.b76353caaa19ep-2, -0x1.b5783a0094fcbp-2, -0x1.b38beff252adap-2, -0x1.b19e625f01c9ap-2, -0x1.afaf7ec489acdp-2, -0x1.adbf3361667b5p-2, -0x1.abcd6f363c6eap-2, -0x1.a9da2207438d5p-2, -0x1.a7e53c5d7873ep-2, -0x1.a5eeaf87a588cp-2, -0x1.a3f66d9b3687bp-2, -0x1.a1fc6974de508p-2, -0x1.a00096b90da66p-2, -0x1.9e02e9d43b507p-2, -0x1.9c0357fafeedbp-2, -0x1.9a01d729faf7ep-2, -0x1.97fe5e259d6e4p-2, -0x1.95f8e479b3a45p-2, -0x1.93f16278d0c45p-2, -0x1.91e7d13b8c4b3p-2, -0x1.8fdc2a9f9338bp-2, -0x1.8dce6946952e2p-2, -0x1.8bbe8895036p-2, -0x1.89ac84b0ada9fp-2, -0x1.87985a7f364adp-2, -0x1.858207a461206p-2, -0x1.83698a803f43p-2, -0x1.814ee22d34ce5p-2, -0x1.7f320e7de0c27p-2, -0x1.7d130ffae1449p-2, -0x1.7af1e7e074407p-2, -0x1.78ce981c020bep-2, -0x1.76a9234980e64p-2, -0x1.74818cb0c2098p-2, -0x1.7257d842a0625p-2, -0x1.702c0a9614751p-2, -0x1.6dfe28e53395ep-2, -0x1.6bce390a0f775p-2, -0x1.699c417b85e35p-2, -0x1.67684949f8b41p-2, -0x1.6532581bef5f3p-2, -0x1.62fa762aa6e93p-2, -0x1.60c0ac3e91225p-2, -0x1.5e8503abc089fp-2, -0x1.5c47864e445cp-2, -0x1.5a083e867b627p-2, -0x1.57c7373551aacp-2, -0x1.55847bb876c08p-2, -0x1.534017e68a3bap-2, -0x1.50fa180b3a3bep-2, -0x1.4eb288e35a698p-2, -0x1.4c697798f7725p-2, -0x1.4a1ef1bf5e352p-2, -0x1.47d3054f1fd9bp-2, -0x1.4585c0a21497p-2, -0x1.4337326f54ccp-2, -0x1.40e769c7359d9p-2, -0x1.3e96760f420f9p-2, -0x1.3c4466fe31eadp-2, -0x1.39f14c97e5ea8p-2, -0x1.379d37296145bp-2, -0x1.35483744c79edp-2, -0x1.32f25dbd5ee8bp-2, -0x1.309bbba393eefp-2, -0x1.2e44624106583p-2, -0x1.2bec6314989dfp-2, -0x1.2993cfce87ef2p-2, -0x1.273aba4c8b8c3p-2, -0x1.24e13495fc0e4p-2, -0x1.228750d804cbap-2, -0x1.202d2161dd273p-2, -0x1.1dd2b8a11062cp-2, -0x1.1b78291dc8f6cp-2, -0x1.191d85773105cp-2, -0x1.16c2e05fd8881p-2, -0x1.14684c9a29899p-2, -0x1.120ddcf4ecae4p-2, -0x1.0fb3a447d7d3cp-2, -0x1.0d59b5702d693p-2, -0x1.0b00234d6a4b2p-2, -0x1.08a700be03035p-2, -0x1.064e609c30de8p-2, -0x1.03f655bacd852p-2, -0x1.019ef2e2409c9p-2, -0x1.fe90959afdff6p-3, -0x1.f9e4e04e31d75p-3, -0x1.f53aeb0cb54bp-3, -0x1.f092dad8fd6e9p-3, -0x1.ebecd483e3896p-3, -0x1.e748fca752928p-3, -0x1.e2a777a113764p-3, -0x1.de08698dc9bc7p-3, -0x1.d96bf644062c3p-3, -0x1.d4d2414f8ab25p-3, -0x1.d03b6decafb3cp-3, -0x1.cba79f03eacd5p-3, -0x1.c716f72585136p-3, -0x1.c28998856bb43p-3, -0x1.bdffa4f7301aap-3, -0x1.b9793dea2517cp-3, -0x1.b4f68465ad4ep-3, -0x1.b07799059eb96p-3, -0x1.abfc9bf6de828p-3, -0x1.a785acf414922p-3, -0x1.a312eb4286b93p-3, -0x1.9ea475af1fd45p-3, -0x1.9a3a6a8b92339p-3, -0x1.95d4e7aba6de9p-3, -0x1.91740a62a8fe8p-3, -0x1.8d17ef80fc617p-3, -0x1.88c0b351d1054p-3, -0x1.846e719900dabp-3, -0x1.8021459107ebfp-3, -0x1.7bd949e925daep-3, -0x1.779698c39d473p-3, -0x1.73594bb41745p-3, -0x1.6f217bbe22f92p-3, -0x1.6aef4153dbe97p-3, -0x1.66c2b454aab09p-3, -0x1.629bec0c28e0ap-3, -0x1.5e7aff31202acp-3, -0x1.5a6003e4abd4ap-3, -0x1.564b0fb172cecp-3, -0x1.523c378b05dbbp-3, -0x1.4e338fcd51f1bp-3, -0x1.4a312c3c32478p-3, -0x1.4635200323cdap-3, -0x1.423f7db506ba6p-3, -0x1.3e50574c03459p-3, -0x1.3a67be2987e5fp-3, -0x1.3685c31657644p-3, -0x1.32aa7642bda1bp-3, -0x1.2ed5e746cc49ep-3, -0x1.2b082522bc753p-3, -0x1.27413e3f5837p-3, -0x1.2381406e8759ep-3, -0x1.1fc838ebe94e9p-3, -0x1.1c16345d83555p-3, -0x1.186b3ed48829ep-3, -0x1.14c763ce2799fp-3, -0x1.112aae347dc62p-3, -0x1.0d95285f8c0fdp-3, -0x1.0a06dc1641dc7p-3, -0x1.067fd28f9b562p-3, -0x1.03001473ce3f3p-3, -0x1.ff0f53bafd60ep-4, -0x1.f82d34b62540fp-4, -0x1.f159d9dffe86p-4, -0x1.ea95502c6de77p-4, -0x1.e3dfa37f2738ep-4, -0x1.dd38deaeaff3dp-4, -0x1.d6a10b877359p-4, -0x1.d01832cee4a45p-4, -0x1.c99e5c46c7f53p-4, -0x1.c3338eb077b1bp-4, -0x1.bcd7cfd04b56bp-4, -0x1.b68b247118abbp-4, -0x1.b04d9067a8a5ap-4, -0x1.aa1f16965a077p-4, -0x1.a3ffb8f0bebb5p-4, -0x1.9def787f51cd1p-4, -0x1.97ee55632d64dp-4, -0x1.91fc4ed9dfe42p-4, -0x1.8c19634135ef3p-4, -0x1.8645901b1c619p-4, -0x1.8080d211867cfp-4, -0x1.7acb24fa57c8ep-4, -0x1.752483db5e221p-4, -0x1.6f8ce8ee4736dp-4, -0x1.6a044da4a68cfp-4, -0x1.648aaaabf2614p-4, -0x1.5f1ff7f1921f7p-4, -0x1.59c42ca6e6841p-4, -0x1.54773f4553273p-4, -0x1.4f392592550b3p-4, -0x1.4a09d4a388fdp-4, -0x1.44e940e2be9e5p-4, -0x1.3fd75e1204668p-4, -0x1.3ad41f4fb890bp-4, -0x1.35df771a91112p-4, -0x1.30f95755a302cp-4, -0x1.2c21b14c67f93p-4, -0x1.275875b6c37f7p-4, -0x1.229d94bcfc459p-4, -0x1.1df0fdfbb5224p-4, -0x1.1952a087e3163p-4, -0x1.14c26af2b758dp-4, -0x1.10404b4d8938cp-4, -0x1.0bcc2f2db64e7p-4, -0x1.076603b079b69p-4, -0x1.030db57ec31f2p-4, -0x1.fd8661a1f9884p-5, -0x1.f50cc2e59c28dp-5, -0x1.ecae658daf4efp-5, -0x1.e46b1f94c34e3p-5, -0x1.dc42c632076ep-5, -0x1.d4352de07efb2p-5, -0x1.cc422a6638cf8p-5, -0x1.c4698edb4d80cp-5, -0x1.bcab2db0f19c8p-5, -0x1.b506d8b850a7ap-5, -0x1.ad7c612968771p-5, -0x1.a60b97a9c20e4p-5, -0x1.9eb44c531d789p-5, -0x1.97764eb9fd43fp-5, -0x1.90516df41f56p-5, -0x1.8945789ee1591p-5, -0x1.82523ce587f4bp-5, -0x1.7b7788876f822p-5, -0x1.74b528de2587cp-5, -0x1.6e0aeae36669p-5, -0x1.67789b37097e6p-5, -0x1.60fe0624c9a49p-5, -0x1.5a9af7aa04ffap-5, -0x1.544f3b7b4742dp-5, -0x1.4e1a9d09de2d8p-5, -0x1.47fce78937d7cp-5, -0x1.41f5e5f439f68p-5, -0x1.3c0563126e325p-5, -0x1.362b297d2b53ep-5, -0x1.306703a48de24p-5, -0x1.2ab8bbd466334p-5, -0x1.25201c390b09ep-5, -0x1.1f9ceee405814p-5, -0x1.1a2efdd0c0d5fp-5, -0x1.14d612e8f809ep-5, -0x1.0f91f8092d629p-5, -0x1.0a627704fe5d9p-5, -0x1.054759ab52b3dp-5, -0x1.004069ca7cefap-5, -0x1.f69ae2688577fp-6, -0x1.ecdc73839a8dfp-6, -0x1.e3451aaef33f1p-6, -0x1.d9d46bd12955fp-6, -0x1.d089faf607812p-6, -0x1.c7655c559649p-6, -0x1.be66245b1333dp-6, -0x1.b58be7ab9d541p-6, -0x1.acd63b2cc4fbap-6, -0x1.a444b40af082fp-6, -0x1.9bd6e7bf78951p-6, -0x1.938c6c16b71cep-6, -0x1.8b64d735dc7ecp-6, -0x1.835fbfa089b6p-6, -0x1.7b7cbc3e5a42fp-6, -0x1.73bb64602d5bcp-6, -0x1.6c1b4fc54ebedp-6, -0x1.649c16a068a1bp-6, -0x1.5d3d519c62a06p-6, -0x1.55fe99e0fa4ddp-6, -0x1.4edf891753532p-6, -0x1.47dfb96e3b8fp-6, -0x1.40fec59e682bbp-6, -0x1.3a3c48ee76309p-6, -0x1.3397df36d2732p-6, -0x1.2d1124e56d745p-6, -0x1.26a7b7015ad6ep-6, -0x1.205b332e3d764p-6, -0x1.1a2b37af931f6p-6, -0x1.1417636be7a83p-6, -0x1.0e1f55efd1242p-6, -0x1.0842af70e5c31p-6, -0x1.028110d064489p-6, -0x1.f9b4373bf151fp-7, -0x1.ee9ae43441e59p-7, -0x1.e3b56e713dc52p-7, -0x1.d9031d45733a7p-7, -0x1.ce833972b16ccp-7, -0x1.c4350d2e38cbdp-7, -0x1.ba17e42460272p-7, -0x1.b02b0b7c42367p-7, -0x1.a66dd1db38782p-7, -0x1.9cdf8767cc231p-7, -0x1.937f7dccc8dfep-7, -0x1.8a4d083c0219dp-7, -0x1.81477b70bb6d1p-7, -0x1.786e2db221f85p-7, -0x1.6fc076d55c20ap-7, -0x1.673db03f78f6ep-7, -0x1.5ee534e74d517p-7, -0x1.56b66156ee619p-7, -0x1.4eb093ad2db13p-7, -0x1.46d32b9eda948p-7, -0x1.3f1d8a77b995p-7, -0x1.378f131b8edb9p-7, -0x1.30272a06cc246p-7, -0x1.28e5354f294dcp-7, -0x1.21c89ca418085p-7, -0x1.1ad0c94f147b2p-7, -0x1.13fd2633c9271p-7, -0x1.0d4d1fd00d7ebp-7, -0x1.06c0243bd592ep-7, -0x1.0055a328dc39p-7, -0x1.f41a1bc4b911dp-8, -0x1.e7cbae98eef21p-8, -0x1.dbbee7c73fa05p-8, -0x1.cff2b377c14f2p-8, -0x1.c466010000eb6p-8, -0x1.b917c2e0e87e7p-8, -0x1.ae06eec50a9cbp-8, -0x1.a3327d7db4444p-8, -0x1.98996b00e6aadp-8, -0x1.8e3ab6665be14p-8, -0x1.841561e4858eap-8, -0x1.7a2872cdb1aa5p-8, -0x1.7072f18c857bap-8, -0x1.66f3e9a0ccc2cp-8, -0x1.5daa699ba3a7dp-8, -0x1.5495831bc8a2p-8, -0x1.4bb44ac9cae7cp-8, -0x1.4305d853f628dp-8, -0x1.3a894669f0e0ep-8, -0x1.323db2b8b5dcdp-8, -0x1.2a223de5e885ep-8, -0x1.22360b8b60103p-8, -0x1.1a7842326589dp-8, -0x1.12e80b4f0e9f4p-8, -0x1.0b84933b133cbp-8, -0x1.044d09310fd61p-8, -0x1.fa813e8e7dc4dp-9, -0x1.ecbd14d49cfaap-9, -0x1.df4c04b06ee18p-9, -0x1.d22c833572a85p-9, -0x1.c55d0b0402583p-9, -0x1.b8dc1c3e04b4dp-9, -0x1.aca83c7c491e9p-9, -0x1.a0bff6c2893e8p-9, -0x1.9521db74b916bp-9, -0x1.89cc804aae9b2p-9, -0x1.7ebe80450fce5p-9, -0x1.73f67ba18957ap-9, -0x1.697317ce85dfep-9, -0x1.5f32ff5faf874p-9, -0x1.5534e201b9d5dp-9, -0x1.4b77746e4b32p-9, -0x1.41f9705fd724ap-9, -0x1.38b99485765cp-9, -0x1.2fb6a4766fdefp-9, -0x1.26ef68a6456afp-9, -0x1.1e62ae57d511fp-9, -0x1.160f479154b4ep-9, -0x1.0df40b0fe8296p-9, -0x1.060fd43aaf23dp-9, -0x1.fcc3062df67b1p-10, -0x1.edcff8769f983p-10, -0x1.df4451861f577p-10, -0x1.d11dec840aa49p-10, -0x1.c35aad6f4fc8dp-10, -0x1.b5f88105b3c71p-10, -0x1.a8f55caab7b9p-10, -0x1.9c4f3e4e29baap-10, -0x1.90042c53fc58ep-10, -0x1.8412357ac459ap-10, -0x1.787770c2e3e6bp-10, -0x1.6d31fd55ce7e5p-10, -0x1.6240026da4b5ap-10, -0x1.579faf3c445e3p-10, -0x1.4d4f3ad25f6d5p-10, -0x1.434ce40788557p-10, -0x1.3996f1612605ep-10, -0x1.302bb0fb12a29p-10, -0x1.2709786df1e37p-10, -0x1.1e2ea4b8d741ep-10, -0x1.15999a2788143p-10, -0x1.0d48c43bb4849p-10, -0x1.053a9594ee695p-10, -0x1.fadb0fb1a2674p-11, -0x1.ebc03736e73c1p-11, -0x1.dd21b090d5a32p-11, -0x1.cefc98162f6c7p-11, -0x1.c14e176facaf9p-11, -0x1.b4136569e4d0bp-11, -0x1.a749c5c75ce6bp-11, -0x1.9aee891441127p-11, -0x1.8eff0c77a3f44p-11, -0x1.8378b9888a3b5p-11, -0x1.78590620775f8p-11, -0x1.6d9d74305563p-11, -0x1.6343919321f93p-11, -0x1.5948f7e50360ep-11, -0x1.4fab4c55da11fp-11, -0x1.46683f803f868p-11, -0x1.3d7d8d3e656dfp-11, -0x1.34e8fc80c485bp-11, -0x1.2ca85f23da0d1p-11, -0x1.24b991c743275p-11, -0x1.1d1a7ba4f870ep-11, -0x1.15c90e68854d8p-11, -0x1.0ec34607ae417p-11, -0x1.08072899ae53fp-11, -0x1.0192c630c8f23p-11, -0x1.f6c871652a9f4p-12, -0x1.eaf34763f0a27p-12, -0x1.dfa26890f6e27p-12, -0x1.d4d241e1d68bfp-12, -0x1.ca7f52c30d239p-12, -0x1.c0a62cce6e85dp-12, -0x1.b743738183fcbp-12, -0x1.ae53dbf585291p-12, -0x1.a5d42c96b7cdp-12, -0x1.9dc13cde3b47dp-12, -0x1.9617f50b71715p-12, -0x1.8ed54dde8e714p-12, -0x1.87f65053e3f05p-12, -0x1.8178156083e97p-12, -0x1.7b57c5ae1282cp-12, -0x1.7592995a9c869p-12, -0x1.7025d7b3fe0d4p-12, -0x1.6b0ed6fa13fe1p-12, -0x1.664afc1c304adp-12, -0x1.61d7ba7ba102ap-12, -0x1.5db293ad07d8fp-12, -0x1.59d917396e93p-12, -0x1.5648e262820c7p-12, -0x1.52ff9fe63cac4p-12, -0x1.4ffb07c315b3fp-12, -0x1.4d38defd6d29fp-12, -0x1.4ab6f765d6b0ap-12, -0x1.48732f5fc03ep-12, -0x1.466b71a8be1bp-12, -0x1.449db52190b04p-12, -0x1.4307fc960a187p-12, -0x1.41a85687c2784p-12, -0x1.407cdcf87411dp-12, -0x1.3f83b534c6948p-12, -0x1.3ebb0fa059bb9p-12, -0x1.3e212782fc505p-12, -0x1.3db442d47253cp-12, -0x1.3d72b20c99675p-12, -0x1.3d5acff035127p-12, -0x1.3d6b01612a234p-12, -0x1.3da1b52eed65bp-12, -0x1.3dfd63e71cb0bp-12, -0x1.3e7c8fa6033bdp-12, -0x1.3f1dc3ea1d5e9p-12, -0x1.3fdf956606fccp-12, -0x1.40c0a1d3e681p-12, -0x1.41bf8fc9d3975p-12, -0x1.42db0e8e5385bp-12, -0x1.4411d5ee26d69p-12, -0x1.4562a611602aep-12, -0x1.46cc4753708dp-12, -0x1.484d8a18a564ep-12, -0x1.49e546a7ae31ep-12, -0x1.4b925d012f454p-12, -0x1.4d53b4b8ac1c5p-12, -0x1.4f283ccf5a5efp-12, -0x1.510eeb8cf3015p-12, -0x1.5306be5b76a6dp-12, -0x1.550eb9a250573p-12, -0x1.5725e8a28a04dp-12, -0x1.594b5d532026dp-12, -0x1.5b7e303e9d2f6p-12, -0x1.5dbd80607668ap-12, -0x1.60087303129a8p-12, -0x1.625e339f1edbap-12, -0x1.64bdf3ba6d63ap-12, -0x1.6726eac81f60fp-12, -0x1.69985608c3ffcp-12, -0x1.6c11786bff413p-12, -0x1.6e919a70b684fp-12, -0x1.71180a07ee201p-12, -0x1.73a41a771b571p-12, -0x1.7635243abacc5p-12, -0x1.78ca84ea192d7p-12, -0x1.7b639f1aff811p-12, -0x1.7dffda461acep-12, -0x1.809ea2abdb1b4p-12, -0x1.833f6939c62d8p-12, -0x1.85e1a3700fa04p-12, -0x1.8884cb484ef91p-12, -0x1.8b285f1b4289p-12, -0x1.8dcbe1893972fp-12, -0x1.906ed960a0c33p-12, -0x1.9310d1861b7e9p-12, -0x1.95b158dd1f8c9p-12, -0x1.98500230a758dp-12, -0x1.9aec641cbaba5p-12, -0x1.9d8618f7c483ap-12, -0x1.a01cbebca9ba1p-12, -0x1.a2aff6f507fcp-12, -0x1.a53f66a4821ddp-12, -0x1.a7cab633b4824p-12, -0x1.aa51915ba9cc7p-12, -0x1.acd3a712025d2p-12, -0x1.af50a9757e711p-12, -0x1.b1c84dba347aep-12, -0x1.b43a4c16e0f65p-12, -0x1.b6a65fb27956bp-12, -0x1.b90c469188e96p-12, -0x1.bb6bc184976f8p-12, -0x1.bdc49416d0913p-12, -0x1.c016847c15cbep-12, -0x1.c2615b80d249bp-12, -0x1.c4a4e47912057p-12, -0x1.c6e0ed30552e2p-12, -0x1.c91545d9526e6p-12, -0x1.cb41c0fef3199p-12, -0x1.cd6633746db7fp-12, -0x1.cf82744699931p-12, -0x1.d1965cace495p-12, -0x1.d3a1c7fb159e6p-12, -0x1.d5a493932defap-12, -0x1.d79e9ed739e87p-12, -0x1.d98fcb1c23d56p-12, -0x1.db77fb9c29846p-12, -0x1.dd571569c0a2dp-12, -0x1.df2cff62de302p-12, -0x1.e0f9a2245ed06p-12, -0x1.e2bce7fdc67ddp-12, -0x1.e476bce5164bbp-12, -0x1.e6270e6b69384p-12, -0x1.e7cdcbb0e2b45p-12, -0x1.e96ae559d1aa8p-12, -0x1.eafe4d8351d1fp-12, -0x1.ec87f7b88aa17p-12, -0x1.ee07d8e842ed5p-12, -0x1.ef7de75a2a366p-12, -0x1.f0ea1aa4d9b8p-12, -0x1.f24c6ba4027fp-12, -0x1.f3a4d46e82bc3p-12, -0x1.f4f3504ce0de2p-12, -0x1.f637dbaff5822p-12, -0x1.f7727427e8b58p-12, -0x1.f8a3185b15ffp-12, -0x1.f9c9c7fd80f8cp-12, -0x1.fae683c824fc7p-12, -0x1.fbf94d70c0a88p-12, -0x1.fd0227a183394p-12, -0x1.fe0115f136a14p-12, -0x1.fef61cdb36beap-12, -0x1.ffe141b8133eep-12, -0x1.0061455aee32ep-11, -0x1.00ccff6884793p-11, -0x1.0133d2e695b0bp-11, -0x1.0195c417109dcp-11, -0x1.01f2d79890148p-11, -0x1.024b1263101fcp-11, -0x1.029e79c4a7357p-11, -0x1.02ed135e62fecp-11, -0x1.0336e5213a12p-11, -0x1.037bf54aea14dp-11, -0x1.03bc4a6318127p-11, -0x1.03f7eb386602ep-11, -0x1.042ededd94419p-11, -0x1.04612ca6dfd05p-11, -0x1.048edc273dec8p-11, -0x1.04b7f52dbf0cep-11, -0x1.04dc7fc30a6a6p-11, -0x1.04fc8426e337dp-11, -0x1.05180acda8abdp-11, -0x1.052f1c5e05c78p-11, -0x1.0541c1aea0709p-11, -0x1.055003c3d1198p-11, -0x1.0559ebcd768ffp-11, -0x1.055f8324dbce8p-11, -0x1.0560d34a821c3p-11, -0x1.055de5e443e45p-11, -0x1.0556c4bb380e5p-11, -0x1.054b79b9d2222p-11, -0x1.053c0ee9f729cp-11, -0x1.05288e733ce8ep-11, -0x1.051102990e82p-11, -0x1.04f575b8f2355p-11, -0x1.04d5f248dee37p-11, -0x1.04b282d5a8875p-11, -0x1.048b32014dd71p-11, -0x1.04600a816bf2cp-11, -0x1.0431171dc283dp-11, -0x1.03fe62aebac9p-11, -0x1.03c7f81bfc5fep-11, -0x1.038de25b01d36p-11, -0x1.03502c6dc917dp-11, -0x1.030ee1618031ap-11, -0x1.02ca0c4d328a5p-11, -0x1.0281b8509f062p-11, -0x1.0235f092fd70cp-11, -0x1.01e6c041d4204p-11, -0x1.0194328fc830ap-11, -0x1.013e52b3a0dc8p-11, -0x1.00e52be723352p-11, -0x1.0088c966128d8p-11, -0x1.0029366d268adp-11, -0x1.ff8cfc7230cb1p-12, -0x1.fec1580b6ab2ap-12, -0x1.fdef9619e8e93p-12, -0x1.fd17cd0c1cdfbp-12, -0x1.fc3a134968bb8p-12, -0x1.fb567f3055c5ep-12, -0x1.fa6d2714fe323p-12, -0x1.f97e213fa4d48p-12, -0x1.f88983eb173fdp-12, -0x1.f78f65433dd49p-12, -0x1.f68fdb63c6d45p-12, -0x1.f58afc56d01bep-12, -0x1.f480de1391507p-12, -0x1.f371967d060cep-12, -0x1.f25d3b60f461fp-12, -0x1.f143e276919cp-12, -0x1.f025a15d74f22p-12, -0x1.ef028d9c8782p-12, -0x1.eddabca0e97c3p-12, -0x1.ecae43bd0ce87p-12, -0x1.eb7d3827a52e2p-12, -0x1.ea47aefae4f92p-12, -0x1.e90dbd337df8ap-12, -0x1.e7cf77afbeca9p-12, -0x1.e68cf32ee271p-12, -0x1.e546445031d7dp-12, -0x1.e3fb7f9246ae2p-12, -0x1.e2acb9526a9edp-12, -0x1.e15a05cbd85cbp-12, -0x1.e00379171fcf8p-12, -0x1.dea9272975161p-12, -0x1.dd4b23d438474p-12, -0x1.dbe982c458b86p-12, -0x1.da845781ccfadp-12, -0x1.d91bb56f08262p-12, -0x1.d7afafc88cdb9p-12, -0x1.d64059a476607p-12, -0x1.d4cdc5f21e18fp-12, -0x1.d35807799ec7cp-12, -0x1.d1df30db75fb2p-12, -0x1.d0635490336f4p-12, -0x1.cee484e822964p-12, -0x1.cd62d40b0623fp-12, -0x1.cbde53f7bbbabp-12, -0x1.ca571683f690ap-12, -0x1.c8cd2d5c1d354p-12, -0x1.c740aa02f967bp-12, -0x1.c5b19dd18a269p-12, -0x1.c42019f6e102dp-12, -0x1.c28c2f77e22cp-12, -0x1.c0f5ef2f272a7p-12, -0x1.bf5d69ccd97dep-12, -0x1.bdc2afd69a4bbp-12, -0x1.bc25d1a7730f2p-12, -0x1.ba86df6fb11e5p-12, -0x1.b8e5e934cf261p-12, -0x1.b742fed172e91p-12, -0x1.b59e2ff5660b6p-12, -0x1.b3f78c258e6a8p-12, -0x1.b24f22bbe601fp-12, -0x1.b0a502e775f72p-12, -0x1.aef93bac65762p-12, -0x1.ad4bdbe3f5308p-12, -0x1.ab9cf23c94fb9p-12, -0x1.a9ec8d39f2acdp-12, -0x1.a83abb34f18b8p-12, -0x1.a6878a5bdb677p-12, -0x1.a4d308b2675a9p-12, -0x1.a31d4411cbcc4p-12, -0x1.a1664a28e11f1p-12, -0x1.9fae287c374edp-12, -0x1.9df4ec6639113p-12, -0x1.9c3aa3174f69ep-12, -0x1.9a7f59960217cp-12, -0x1.98c31cbf1c82ap-12, -0x1.9705f945cff58p-12, -0x1.9547fbb3ef115p-12, -0x1.93893069fe032p-12, -0x1.91c9a39f6e6a4p-12, -0x1.90096162d3962p-12, -0x1.8e48759a0d4eep-12, -0x1.8c86ec02705ddp-12, -0x1.8ac4d03107675p-12, -0x1.89022d92c6426p-12, -0x1.873f0f6cb61afp-12, -0x1.857b80dc39p-12, -0x1.83b78cd73a13cp-12, -0x1.81f33e2c6ed8cp-12, -0x1.802e9f8390648p-12, -0x1.7e69bb5d9a6bcp-12, -0x1.7ca49c14fc59fp-12, -0x1.7adf4bdde4133p-12, -0x1.7919d4c681826p-12, -0x1.775440b73d179p-12, -0x1.758e9972f9153p-12, -0x1.73c8e8975cc5cp-12, -0x1.7203379d1148bp-12, -0x1.703d8fd7fed19p-12, -0x1.6e77fa77a6bbp-12, -0x1.6cb2808753b68p-12, -0x1.6aed2aee69838p-12, -0x1.69280270a63c8p-12, -0x1.67630fae673fp-12, -0x1.659e5b2500fd1p-12, -0x1.63d9ed2ef1e1dp-12, -0x1.6215ce043c63ap-12, -0x1.605205ba9edc4p-12, -0x1.5e8e9c45e666cp-12, -0x1.5ccb997836ee3p-12, -0x1.5b09050256d6cp-12, -0x1.5946e673f2febp-12, -0x1.5785453bf7ea7p-12, -0x1.55c428a8c6757p-12, -0x1.540397e889d77p-12, -0x1.52439a09899b1p-12, -0x1.508435fa691e9p-12, -0x1.4ec5728a7663ap-12, -0x1.4d075669f5452p-12, -0x1.4b49e82a6a39fp-12, -0x1.498d2e3eeda58p-12, -0x1.47d12efc66d7bp-12, -0x1.4615f099e7ebep-12, -0x1.445b7930e9af1p-12, -0x1.42a1cebda865fp-12, -0x1.40e8f71f5fb2fp-12, -0x1.3f30f81895588p-12, -0x1.3d79d74f7b66dp-12, -0x1.3bc39a4e20df9p-12, -0x1.3a0e4682c2c64p-12, -0x1.3859e14026a6p-12, -0x1.36a66fbdcb355p-12, -0x1.34f3f7183de74p-12, -0x1.33427c517bbf7p-12, -0x1.31920451138c4p-12, -0x1.2fe293e48d7bfp-12, -0x1.2e342fbfa7e94p-12, -0x1.2c86dc7c9cb62p-12, -0x1.2ada9e9c7aeb2p-12, -0x1.292f7a875f761p-12, -0x1.2785748cbbdefp-12, -0x1.25dc90e3ae8d2p-12, -0x1.2434d3ab3d538p-12, -0x1.228e40eaa2001p-12, -0x1.20e8dc918f437p-12, -0x1.1f44aa7877d94p-12, -0x1.1da1ae60d36fep-12, -0x1.1bffebf56fb8cp-12, -0x1.1a5f66caabdb2p-12, -0x1.18c0225eb28cfp-12, -0x1.17222219d498p-12, -0x1.1585694ec1996p-12, -0x1.13e9fb3acd5c1p-12, -0x1.124fdb063cdcp-12, -0x1.10b70bc47af73p-12, -0x1.0f1f907460fp-12, -0x1.0d896c0079141p-12, -0x1.0bf4a13f4163bp-12, -0x1.0a6132f36d529p-12, -0x1.08cf23cc237aap-12, -0x1.073e766546919p-12, -0x1.05af2d47a8bfep-12, -0x1.04214ae955f06p-12, -0x1.0294d1add3503p-12, -0x1.0109c3e656407p-12, -0x1.ff0047a414492p-13, -0x1.fbefe73c8f8e8p-13, -0x1.f8e26acdac68cp-13, -0x1.f5d7d66c4d3e2p-13, -0x1.f2d02e0b2c447p-13, -0x1.efcb757b3a146p-13, -0x1.ecc9b06c35e26p-13, -0x1.e9cae26d1513ep-13, -0x1.e6cf0eec62b9p-13, -0x1.e3d63938db5fep-13, -0x1.e0e06481bc57fp-13, -0x1.dded93d74bb43p-13, -0x1.dafdca2b35f8p-13, -0x1.d8110a511532cp-13, -0x1.d52756fee531p-13, -0x1.d240b2cd52c04p-13, -0x1.cf5d203849ff2p-13, -0x1.cc7ca19f3d855p-13, -0x1.c99f3945a9e54p-13, -0x1.c6c4e95382a89p-13, -0x1.c3edb3d58ffcdp-13, -0x1.c1199abdeb007p-13, -0x1.be489fe44884dp-13, -0x1.bb7ac5067641ep-13, -0x1.b8b00bc8b0674p-13, -0x1.b5e875b619686p-13, -0x1.b32404410b0cbp-13, -0x1.b062b8c377b7p-13, -0x1.ada4947f5a15ep-13, -0x1.aae9989f0f361p-13, -0x1.a831c635b17b7p-13, -0x1.a57d1e3f89382p-13, -0x1.a2cba1a25120ep-13, -0x1.a01d512dae18dp-13, -0x1.9d722d9b67f02p-13, -0x1.9aca378fe94b5p-13, -0x1.98256f9a7b157p-13, -0x1.9583d635ade28p-13, -0x1.92e56bc7b79c9p-13, -0x1.904a30a2b9c4ep-13, -0x1.8db225051b86ap-13, -0x1.8b1d4919e930dp-13, -0x1.888b9cf91ef88p-13, -0x1.85fd20a805bf6p-13, -0x1.8371d41975babp-13, -0x1.80e9b72e2f9f6p-13, -0x1.7e64c9b53a4e6p-13, -0x1.7be30b6c0e115p-13, -0x1.79647bff12b3bp-13, -0x1.76e91b09c724fp-13, -0x1.7470e8172659ep-13, -0x1.71fbe2a1ed8ep-13, -0x1.6f8a0a14da6a3p-13, -0x1.6d1b5dcb0a7e5p-13, -0x1.6aafdd102db22p-13, -0x1.68478720dcbd4p-13, -0x1.65e25b2ae5b71p-13, -0x1.6380584d908acp-13, -0x1.61217d99d081dp-13, -0x1.5ec5ca12a58aep-13, -0x1.5c6d3cad4f914p-13, -0x1.5a17d4519b0c4p-13, -0x1.57c58fda1e3f6p-13, -0x1.55766e1485c99p-13, -0x1.532a6dc1b6dfbp-13, -0x1.50e18d963a7bep-13, -0x1.4e9bcc3a5bfdap-13, -0x1.4c59284a82554p-13, -0x1.4a19a057523eap-13, -0x1.47dd32e5f9032p-13, -0x1.45a3de7078233p-13, -0x1.436da165c4dc5p-13, -0x1.413a7a2a223bfp-13, -0x1.3f0a671736bd2p-13, -0x1.3cdd667c61da5p-13, -0x1.3ab3769ee3aecp-13, -0x1.388c95ba20849p-13, -0x1.3668c1ffdb60ap-13, -0x1.3447f998613ebp-13, -0x1.322a3aa2c39d2p-13, -0x1.300f83351c0b3p-13, -0x1.2df7d15c8c288p-13, -0x1.2be3231dc0403p-13, -0x1.29d17674df122p-13, -0x1.27c2c955eb1a2p-13, -0x1.25b719accaab3p-13, -0x1.23ae655d98197p-13, -0x1.21a8aa44bbd95p-13, -0x1.1fa5e6374210cp-13, -0x1.1da61702d27c1p-13, -0x1.1ba93a6e18034p-13, -0x1.19af4e38b7b7ep-13, -0x1.17b8501bb5b6ep-13, -0x1.15c43dc96df39p-13, -0x1.13d314edcec3cp-13, -0x1.11e4d32ead8aap-13, -0x1.0ff9762b9e30bp-13, -0x1.0e10fb7e8b5cp-13, -0x1.0c2b60bb7115cp-13, -0x1.0a48a370c9c67p-13, -0x1.0868c127a93bfp-13, -0x1.068bb763d97bcp-13, -0x1.04b183a4034b8p-13, -0x1.02da2361ded47p-13, -0x1.0105941252436p-13, -0x1.fe67a64b229e1p-14, -0x1.fac9bc0ea2ebfp-14, -0x1.f731643dc2d3ap-14, -0x1.f39e999ea161fp-14, -0x1.f01156ef37926p-14, -0x1.ec8996e56ded2p-14, -0x1.e907542fa5703p-14, -0x1.e58a8974c992ap-14, -0x1.e213315482b5ap-14, -0x1.dea14667b7d89p-14, -0x1.db34c3407ac8p-14, -0x1.d7cda26ac5447p-14, -0x1.d46bde6c021d7p-14, -0x1.d10f71c417ce4p-14, -0x1.cdb856ecefcbap-14, -0x1.ca66885b2aa8bp-14, -0x1.c71a007e274bcp-14, -0x1.c3d2b9c031c47p-14, -0x1.c090ae86f2fc5p-14, -0x1.bd53d933761e4p-14, -0x1.ba1c3422606eep-14, -0x1.b6e9b9ac442a2p-14, -0x1.b3bc6425bb88ep-14, -0x1.b0942ddfad355p-14, -0x1.ad711127928c7p-14, -0x1.aa53084763cd7p-14, -0x1.a73a0d863305ep-14, -0x1.a4261b27f7d41p-14, -0x1.a1172b6e05094p-14, -0x1.9e0d389706ae5p-14, -0x1.9b083cdf60974p-14, -0x1.980832811a07bp-14, -0x1.950d13b46d186p-14, -0x1.9216daaf85242p-14, -0x1.8f2581a7052b4p-14, -0x1.8c3902cdeec97p-14, -0x1.895158561356ep-14, -0x1.866e7c6fd4231p-14, -0x1.8390694ad6c7bp-14, -0x1.80b719158a4dp-14, -0x1.7de285fe07433p-14, -0x1.7b12aa3168f21p-14, -0x1.78477fdcc0b9p-14, -0x1.7581012c867cp-14, -0x1.72bf284d34a46p-14, -0x1.7001ef6b46261p-14, -0x1.6d4950b351289p-14, -0x1.6a9546522d93fp-14, -0x1.67e5ca753baeep-14, -0x1.653ad74a253fbp-14, -0x1.629466ff88af3p-14, -0x1.5ff273c481c7ep-14, -0x1.5d54f7c94191dp-14, -0x1.5abbed3ee87e7p-14, -0x1.58274e57d1e3ap-14, -0x1.5597154775898p-14, -0x1.530b3c42ec6fp-14, -0x1.5083bd806f71ep-14, -0x1.4e00933830332p-14, -0x1.4b81b7a3bc8bcp-14, -0x1.490724fea7e28p-14, -0x1.4690d5864c4d1p-14, -0x1.441ec37a252cdp-14, -0x1.41b0e91b97b2fp-14, -0x1.3f4740ae6efeep-14, -0x1.3ce1c478960adp-14, -0x1.3a806ec274a01p-14, -0x1.382339d6cf746p-14, -0x1.35ca20032cdd4p-14, -0x1.33751b9780dd7p-14, -0x1.312426e6ab3edp-14, -0x1.2ed73c464a891p-14, -0x1.2c8e560ecd4dp-14, -0x1.2a496e9bd7ec8p-14, -0x1.2808804bbe097p-14, -0x1.25cb858054073p-14, -0x1.2392789e62e42p-14, -0x1.215d540e18d05p-14, -0x1.1f2c123aff737p-14, -0x1.1cfead93f90afp-14, -0x1.1ad5208b7c66bp-14, -0x1.18af6597778c2p-14, -0x1.168d77317729fp-14, -0x1.146f4fd6dc188p-14, -0x1.1254ea0888d89p-14, -0x1.103e404b6880cp-14, -0x1.0e2b4d281bb1bp-14, -0x1.0c1c0b2b32976p-14, -0x1.0a1074e53c0b9p-14, -0x1.080884eae4bf6p-14, -0x1.060435d4b82ecp-14, -0x1.0403823fa7039p-14, -0x1.020664cca1d7ep-14, -0x1.000cd820e764dp-14, -0x1.fc2dadcc07efcp-15, -0x1.f848b79398d03p-15, -0x1.f46ac2fcd1c9ap-15, -0x1.f093c5752b9f5p-15, -0x1.ecc3b4728cd89p-15, -0x1.e8fa857458bp-15, -0x1.e5382e02bffa3p-15, -0x1.e17ca3af12eedp-15, -0x1.ddc7dc1441c7dp-15, -0x1.da19ccd5eb5dp-15, -0x1.d6726ba1b5374p-15, -0x1.d2d1ae2e15b75p-15, -0x1.cf378a3bb80d2p-15, -0x1.cba3f59424dcbp-15, -0x1.c816e60b332d7p-15, -0x1.c490517df5844p-15, -0x1.c1102dd355e43p-15, -0x1.bd9670fc32455p-15, -0x1.ba2310f33210fp-15, -0x1.b6b603bcd4e73p-15, -0x1.b34f3f67dc8cp-15, -0x1.afeeba0ca72b1p-15, -0x1.ac9469cdfbfd3p-15, -0x1.a94044d8bb4bfp-15, -0x1.a5f2416390fbap-15, -0x1.a2aa55afe02c2p-15, -0x1.9f687808cef27p-15, -0x1.9c2c9ec3f9c4fp-15, -0x1.98f6c041731f5p-15, -0x1.95c6d2eb4db21p-15, -0x1.929ccd36547ep-15, -0x1.8f78a5a1a4dddp-15, -0x1.8c5a52b67933fp-15, -0x1.8941cb0936c56p-15, -0x1.862f0537bfe6bp-15, -0x1.8321f7eba5508p-15, -0x1.801a99d7e4948p-15, -0x1.7d18e1bafe103p-15, -0x1.7a1cc65d43231p-15, -0x1.77263e9256f88p-15, -0x1.74354137a90f2p-15, -0x1.7149c5361e5c5p-15, -0x1.6e63c1808fca9p-15, -0x1.6b832d1517d98p-15, -0x1.68a7fefc1bd1fp-15, -0x1.65d22e48db874p-15, -0x1.6301b21932a68p-15, -0x1.60368195f7782p-15, -0x1.5d7093f247cf7p-15, -0x1.5aafe06c8bbaep-15, -0x1.57f45e4d4d5b8p-15, -0x1.553e04e8287cdp-15, -0x1.528ccb9b93747p-15, -0x1.4fe0a9d0454afp-15, -0x1.4d3996fa85e17p-15, -0x1.4a978a985935cp-15, -0x1.47fa7c3390a5ap-15, -0x1.4562635fc7004p-15, -0x1.42cf37bc0fc9ap-15, -0x1.4040f0f1d532fp-15, -0x1.3db786b560a6ap-15, -0x1.3b32f0c5a9108p-15, -0x1.38b326ec83dd5p-15, -0x1.363820fe3941p-15, -0x1.33c1d6da22bd9p-15, -0x1.31504069ee585p-15, -0x1.2ee355a22b1d6p-15, -0x1.2c7b0e8231b44p-15, -0x1.2a176313a7b72p-15, -0x1.27b84b6b72885p-15, -0x1.255dbfa872575p-15, -0x1.2307b7f4c6636p-15, -0x1.20b62c84a86dap-15, -0x1.1e69159756309p-15, -0x1.1c206b7654957p-15, -0x1.19dc2675eee2fp-15, -0x1.179c3ef4c8215p-15, -0x1.1560ad5c5b018p-15, -0x1.13296a2035255p-15, -0x1.10f66dbee5fe7p-15, -0x1.0ec7b0c10d0ddp-15, -0x1.0c9d2bb9f5885p-15, -0x1.0a76d74763e65p-15, -0x1.0854ac1138efp-15, -0x1.0636a2ca3d48ep-15, -0x1.041cb42ef278fp-15, -0x1.0206d906e2ac7p-15, -0x1.ffea1446ae1e9p-16, -0x1.fbce80c072ac3p-16, -0x1.f7bae9473f764p-16, -0x1.f3af3fbb725aap-16, -0x1.efab7612e4a6cp-16, -0x1.ebaf7e55e9843p-16, -0x1.e7bb4aa384accp-16, -0x1.e3cecd2cdbcd5p-16, -0x1.dfe9f838d6a04p-16, -0x1.dc0cbe21e71ccp-16, -0x1.d837115645fe6p-16, -0x1.d468e45935963p-16, -0x1.d0a229c0c9fabp-16, -0x1.cce2d43804054p-16, -0x1.c92ad67d23dbbp-16, -0x1.c57a23626c36dp-16, -0x1.c1d0adcde0177p-16, -0x1.be2e68b9409dp-16, -0x1.ba934731b0115p-16, -0x1.b6ff3c5869a7bp-16, -0x1.b3723b6159335p-16, -0x1.afec3794d9e8ep-16, -0x1.ac6d244d850abp-16, -0x1.a8f4f4fa61cb8p-16, -0x1.a5839d1ca13edp-16, -0x1.a21910499496p-16, -0x1.9eb54228f875ap-16, -0x1.9b582675d7f03p-16, -0x1.9801b0fe40dd8p-16, -0x1.94b1d5a2cfd71p-16, -0x1.9168885796156p-16, -0x1.8e25bd2276c85p-16, -0x1.8ae9681d3feb6p-16, -0x1.87b37d72c4ccbp-16, -0x1.8483f1624bb64p-16, -0x1.815ab83b8f6ecp-16, -0x1.7e37c662a5391p-16, -0x1.7b1b104c4c271p-16, -0x1.78048a80ac626p-16, -0x1.74f429998e53ap-16, -0x1.71e9e242b062p-16, -0x1.6ee5a93a93988p-16, -0x1.6be7735093187p-16, -0x1.68ef356731884p-16, -0x1.65fce471a62c7p-16, -0x1.6310757593bc9p-16, -0x1.6029dd8a04427p-16, -0x1.5d4911d79c43p-16, -0x1.5a6e079895b3ap-16, -0x1.5798b418859b9p-16, -0x1.54c90cb44ac97p-16, -0x1.51ff06da57525p-16, -0x1.4f3a9809f5389p-16, -0x1.4c7bb5d3f5853p-16, -0x1.49c255d9b5857p-16, -0x1.470e6dce2f2b4p-16, -0x1.445ff374607c4p-16, -0x1.41b6dca155fccp-16, -0x1.3f131f395ad4cp-16, -0x1.3c74b133195f2p-16, -0x1.39db8893e79b4p-16, -0x1.37479b739d51cp-16, -0x1.34b8dff8aca45p-16, -0x1.322f4c5b8e465p-16, -0x1.2faad6e374f89p-16, -0x1.2d2b75e94fd56p-16, -0x1.2ab11fd4b48ffp-16, -0x1.283bcb1e8e2a1p-16, -0x1.25cb6e4ea6731p-16, -0x1.235ffffd819c2p-16, -0x1.20f976d2f5eedp-16, -0x1.1e97c986d0179p-16, -0x1.1c3aeee08b16ep-16, -0x1.19e2ddb6ecd0dp-16, -0x1.178f8cf0ccee3p-16, -0x1.1540f383a1c39p-16, -0x1.12f7087525228p-16, -0x1.10b1c2d9769b6p-16, -0x1.0e7119d48afc1p-16, -0x1.0c3504992494ap-16, -0x1.09fd7a691cb71p-16, -0x1.07ca72956a33ap-16, -0x1.059be47d96466p-16, -0x1.0371c79048621p-16, -0x1.014c134a909a6p-16, -0x1.fe557e70d7024p-17, -0x1.fa1b85e8a65d8p-17, -0x1.f5ea2c4e6bc7ap-17, -0x1.f1c16110c97c4p-17, -0x1.eda113bb66da2p-17, -0x1.e98933f5b4c68p-17, -0x1.e579b18486f6fp-17, -0x1.e1727c47f8f34p-17, -0x1.dd73843d05ee5p-17, -0x1.d97cb97c0238cp-17, -0x1.d58e0c396c383p-17, -0x1.d1a76cc4b9708p-17, -0x1.cdc8cb89c8e3fp-17, -0x1.c9f2190e7e95ap-17, -0x1.c62345f57015ep-17, -0x1.c25c42fabee77p-17, -0x1.be9d00f6ac8bdp-17, -0x1.bae570db38e7ap-17, -0x1.b73583b584c8dp-17, -0x1.b38d2aacdce76p-17, -0x1.afec5702918b9p-17, -0x1.ac52fa12cebap-17, -0x1.a8c10552c9448p-17, -0x1.a5366a5279398p-17, -0x1.a1b31aba8bde9p-17, -0x1.9e37084df4545p-17, -0x1.9ac224e8ae88ep-17, -0x1.975462800a286p-17, -0x1.93edb322472c6p-17, -0x1.908e08f6b13dep-17, -0x1.8d35563d88a61p-17, -0x1.89e38d4f2fe6p-17, -0x1.8698a09d8b5adp-17, -0x1.835482b1676d9p-17, -0x1.8017262d7462cp-17, -0x1.7ce07dcab4a9ep-17, -0x1.79b07c5bb251fp-17, -0x1.768714c9ad056p-17, -0x1.73643a1634c45p-17, -0x1.7047df59dcfcbp-17, -0x1.6d31f7c5374cfp-17, -0x1.6a22769f17a4p-17, -0x1.67194f467146bp-17, -0x1.64167530a224ap-17, -0x1.6119dbe9ab0cap-17, -0x1.5e23771524ab8p-17, -0x1.5b333a6bd3da2p-17, -0x1.584919be23b8fp-17, -0x1.556508f216399p-17, -0x1.5286fc03ecbc4p-17, -0x1.4faee70632268p-17, -0x1.4cdcbe20edcf9p-17, -0x1.4a10759218611p-17, -0x1.474a01ad22ed5p-17, -0x1.448956db44784p-17, -0x1.41ce699a67233p-17, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
    }}, 
    {
      29, 0x1.f28f5c28f5c29p+2, 0x1.12492e2cad3bdp+1, 0x1.42e58bde19203p+2, -0x1.7025bf0424cf8p-15, 
      {{
        {0x1.98f5c28f5c28fp+2, 0x1.999999999999ap+2, 0x1.141c9c9927367p-13, -0x1.8a71f679236b5p-12, 0x1.a69ebb72413f2p-12, -0x1.95fdb3eedeaf4p-13}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.0c4e962fefbe7p-13, -0x1.820dbcfa7c629p-12, 0x1.a087ba06fde79p-12, -0x1.88b3655604e15p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.cf7868fd60517p-14, -0x1.59df8eea6de4dp-12, 0x1.8313df3a23f06p-12, -0x1.79fc7de5f8531p-13}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.8e126d12473eap-14, -0x1.34953ce7b7b64p-12, 0x1.66ba88fc17b7p-12, -0x1.6bb3d514166d8p-13}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.53da0bffbb0ep-14, -0x1.1212f05362397p-12, 0x1.4b73729a96089p-12, -0x1.5d4da207eecf9p-13}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.20439e415da6bp-14, -0x1.e47a4010dea29p-13, 0x1.3140d340641f8p-12, -0x1.4eef5946b8253p-13}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.e59202da981abp-15, -0x1.a9f05c3ec3073p-13, 0x1.182212f4afe91p-12, -0x1.408ef193fb999p-13}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.95d330683cdp-15, -0x1.745104817e888p-13, 0x1.00175a6ffd0a9p-12, -0x1.322f1b5c6fb4bp-13}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.505494c1cfef9p-15, -0x1.4365052efd677p-13, 0x1.d2413d921c86dp-13, -0x1.23cf1e299deacp-13}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.142b09b26e3afp-15, -0x1.16f52b69a69dap-13, 0x1.a67bc5d8ab3d5p-13, -0x1.156f2b68ba0ecp-13}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.c0ece674555fcp-16, -0x1.dd94883a2dc69p-14, 0x1.7cde4c228f54fp-13, -0x1.070f35db600ecp-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.68c37f1c1d109p-16, -0x1.955a3887328bep-14, 0x1.5568d0db40ebbp-13, -0x1.f15e821bea775p-14}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.1e45ce3032794p-16, -0x1.54cd01a7137b5p-14, 0x1.301b53e5f5bc9p-13, -0x1.d49e981a75632p-14}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.bfebb1dd02011p-17, -0x1.1b7e7d88a47eep-14, 0x1.0cf5d54a6022p-13, -0x1.b7deae33b9f4ap-14}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.58d771fdc10d1p-17, -0x1.d2008c344f918p-15, 0x1.d7f0aa0cfdf95p-14, -0x1.9b1ec4489fbcap-14}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.04ab38e62acb5p-17, -0x1.79c7ea9414ee7p-15, 0x1.9a45a6354c6a1p-14, -0x1.7e5eda545047p-14}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.81df171b41c4cp-18, -0x1.2d764a0d3f2b1p-15, 0x1.60ea9f0f0d2b5p-14, -0x1.619ef089454adp-14}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.16b22f7ebbd5cp-18, -0x1.d85dbcf9defd3p-16, 0x1.2bdf94940f938p-14, -0x1.44df06222b15ep-14}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.8722d069d5d27p-19, -0x1.6a29b77d1c9cep-16, 0x1.f6490db778a0dp-15, -0x1.281f1e0251695p-14}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.092d80474fe7p-19, -0x1.0e96eb67d8d9cp-16, 0x1.9d72eb1d2d01ap-15, -0x1.0b5f2d614cf49p-14}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.58d21f61f75cp-20, -0x1.87d7809bc8289p-17, 0x1.4d3cc3e662b87p-15, -0x1.dd3eb8fb75c6ap-15}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a9ab0c454bp-21, -0x1.10dd3ceb02eacp-17, 0x1.05a68e8d77732p-15, -0x1.a3be2a4b615c3p-15}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.ebc4111193301p-22, -0x1.6997ae2beead9p-18, 0x1.8d60dd3784e4ep-16, -0x1.6a410fc3a4769p-15}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.0446bf66debp-22, -0x1.c0c0b7805dd1dp-19, 0x1.20b3bee339f4dp-16, -0x1.30b711840762dp-15}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.e85e593e7e003p-24, -0x1.fcb6bcaa9e208p-20, 0x1.8a934010d5e27p-17, -0x1.eeba5bf694744p-16}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.7fa91860d88p-25, -0x1.f8d78f4c848dbp-21, 0x1.ec5048f41f802p-18, -0x1.7a9f869d6d9c8p-16}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.c461aaf6c4002p-27, -0x1.93b8ad0c1588dp-22, 0x1.0923c4fc10eb7p-18, -0x1.0bc0b4f633e43p-16}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.350bb47960001p-29, -0x1.b0139dd04d7ebp-24, 0x1.a1f3c807c725ep-20, -0x1.12b1c59ce7136p-17}, 
        {0x1.fp+2, 0x1.f28f5c28f5c29p+2, 0x1.81df1715p-34, -0x1.b0f446ef6eeap-28, 0x1.61469ec7943ffp-22, -0x1.ef38d9f7eccf6p-17}, 
      }}, 
      0x1.6821054e1d013p-12, -0x1.7be9928e49833p-9
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.140398a83cc1ep+0, -0x1.103581ed39e36p+0, -0x1.0a08e9e735343p+0, -0x1.01b2e3c02f4f2p+0, -0x1.eee2765d7b14cp-1, -0x1.d70bd1dfc368p-1, -0x1.bc67ab31f4894p-1, -0x1.9f7920df0506bp-1, -0x1.80bd75af4d2bap-1, -0x1.60a9f6e836388p-1, -0x1.3faaadc2206bp-1, -0x1.1e21abdd1145ap-1, -0x1.f8cd8fb6b291ap-2, -0x1.b58f53f9e0de2p-2, -0x1.73103cf070c3dp-2, -0x1.31c50f843dc2bp-2, -0x1.e421c9871279p-3, -0x1.688cf00f95951p-3, -0x1.e2a5e7887c707p-4, -0x1.fb8011bb2d54cp-5, -0x1.187c83934da25p-7, 0x1.59df9bf82795ep-5, 0x1.71e8ea39f5d8ap-4, 0x1.15d42f409bc8ap-3, 0x1.6d0c05cdb7ff3p-3, 0x1.be9d797ce4017p-3, 0x1.054a62c04f7fap-2, 0x1.288397037c334p-2, 0x1.4908be48ead73p-2, 0x1.66eb5516cf2fp-2, 0x1.823f5b41d8d1cp-2, 0x1.9b1ac97e5886bp-2, 0x1.b195294cfa624p-2, 0x1.c5c731620cb76p-2, 0x1.d7ca59e5a51ddp-2, 0x1.e7b8ad5dd3387p-2, 0x1.f5ac735b320a9p-2, 0x1.00e0008a0af6ap-1, 0x1.0606be7e8d75ap-1, 0x1.0a575d4aa03b9p-1, 0x1.0dde8c0596f77p-1, 0x1.10a8ac9979f27p-1, 0x1.12c1c9c29c9p-1, 0x1.14358bf2bbd97p-1, 0x1.150f3277bb1cap-1, 0x1.15598c96df9c4p-1, 0x1.151ef82df4cc1p-1, 0x1.14695ab0d7bd7p-1, 0x1.1342241059786p-1, 0x1.11b24d0868a76p-1, 0x1.0fc256ff95c3cp-1, 0x1.0d7a4eab781dp-1, 0x1.0ae1cf3b5287dp-1, 0x1.080002e6b1bffp-1, 0x1.04dba72a9fcfdp-1, 0x1.017b1264c076p-1, 0x1.fbc8628934e6dp-2, 0x1.f4392b9207143p-2, 0x1.ec52e2a030a81p-2, 0x1.e41f3a52456ffp-2, 0x1.dba73a8703548p-2, 0x1.d2f351d0c42a7p-2, 0x1.ca0b514e8871cp-2, 0x1.c0f67d821d84p-2, 0x1.b7bb948b2dc4cp-2, 0x1.ae60d2d2b8043p-2, 0x1.a4ebffd097a54p-2, 0x1.9b6271bc49f27p-2, 0x1.91c9163f568e4p-2, 0x1.882477a90fa91p-2, 0x1.7e78c4b5afad6p-2, 0x1.74c9d76b70bc3p-2, 0x1.6b1b38bdb098bp-2, 0x1.61702696ef256p-2, 0x1.57cb9a4dae722p-2, 0x1.4e304b8fa4553p-2, 0x1.44a0b790aa328p-2, 0x1.3b1f205256fd7p-2, 0x1.31ad997f6cae7p-2, 0x1.284e0173c7674p-2, 0x1.1f020d0010984p-2, 0x1.15cb47384a58ap-2, 0x1.0cab14c3664cep-2, 0x1.03a2b76dbe972p-2, 0x1.f566a13fae7ap-3, 0x1.e3bbc4fc0d35cp-3, 0x1.d246ab97e26f5p-3, 0x1.c108ed2964f86p-3, 0x1.b003f7509f19ep-3, 0x1.9f390b2a31fb4p-3, 0x1.8ea93d337f0a9p-3, 0x1.7e5583a34941dp-3, 0x1.6e3eadfa78324p-3, 0x1.5e656cb63bacfp-3, 0x1.4eca5354aa4c2p-3, 0x1.3f6dda7c0d00fp-3, 0x1.3050615d9205dp-3, 0x1.2172329b979b9p-3, 0x1.12d3807a65f8cp-3, 0x1.047469d59f57cp-3, 0x1.eca9fb4f93173p-4, 0x1.d0ea7202244b5p-4, 0x1.b5aa12c8a3a6dp-4, 0x1.9ae89dc52f50dp-4, 0x1.80a5b5a0a42dep-4, 0x1.66e0eb61189cfp-4, 0x1.4d99b1ed42e7bp-4, 0x1.34cf6cb0f3617p-4, 0x1.1c816ba33e446p-4, 0x1.04aeec272768ep-4, 0x1.daae3b2a11e56p-5, 0x1.acf23ef8a5a6dp-5, 0x1.8028096e909d5p-5, 0x1.544da86d0ff87p-5, 0x1.296113baae1acp-5, 0x1.fec05bb1d8739p-6, 0x1.ac91942bffdeep-6, 0x1.5c3151948e784p-6, 0x1.0d9af8f73131bp-6, 0x1.8193aedb9bfdp-7, 0x1.d6e47d672f3b4p-8, 0x1.631f84bb4daf4p-9, -0x1.b3aa66b518e86p-10, -0x1.849ea5ad7e4c6p-8, -0x1.4ad05022091f2p-7, -0x1.d0027c6fb0684p-7, -0x1.28f8120c7f6b2p-6, -0x1.6851cffbd17f8p-6, -0x1.a613a87e49d4dp-6, -0x1.e242da56c0f0dp-6, -0x1.0e724df965dbp-5, -0x1.2aff16875b808p-5, -0x1.46ca65c4712p-5, -0x1.61d6dadd67a18p-5, -0x1.7c271351b5303p-5, -0x1.95bdacae7511dp-5, -0x1.ae9d42edb1b12p-5, -0x1.c6c86e2683d22p-5, -0x1.de41c54be37ccp-5, -0x1.f50bdcbb2aac8p-5, -0x1.0594a279866f8p-4, -0x1.104e4599bc87bp-4, -0x1.1ab41c8b0ea46p-4, -0x1.24c769e9f7a7cp-4, -0x1.2e896f2e1b49ap-4, -0x1.37fb69e2a6355p-4, -0x1.411e969c734ddp-4, -0x1.49f42f25cb669p-4, -0x1.527d6aff581f7p-4, -0x1.5abb7f1d5fad3p-4, -0x1.62af9d1237326p-4, -0x1.6a5af58aa8fdap-4, -0x1.71beb50d355f7p-4, -0x1.78dc061100495p-4, -0x1.7fb41025cdd9bp-4, -0x1.8647f83981565p-4, -0x1.8c98e09068358p-4, -0x1.92a7e88756c56p-4, -0x1.98762c8d4fe25p-4, -0x1.9e04c69cc7c92p-4, -0x1.a354cdc30c16fp-4, -0x1.a867563185b64p-4, -0x1.ad3d71f0d3bcap-4, -0x1.b1d82ee27c5fp-4, -0x1.b6389973231a3p-4, -0x1.ba5fbb4280efcp-4, -0x1.be4e9ac26344ep-4, -0x1.c2063bc6f7f51p-4, -0x1.c5879f74d3342p-4, -0x1.c8d3c49078c0bp-4, -0x1.cbeba74b4ce57p-4, -0x1.ced040eaeb092p-4, -0x1.d182883c2b7b8p-4, -0x1.d40371830616fp-4, -0x1.d653ee9b49e4ep-4, -0x1.d874eeff4b12fp-4, -0x1.da675fa1e9825p-4, -0x1.dc2c2abda1624p-4, -0x1.ddc4387ee2b2fp-4, -0x1.df306e676a1f8p-4, -0x1.e071b01c0fd4fp-4, -0x1.e188ded1c9d24p-4, -0x1.e276d8fc37e3cp-4, -0x1.e33c7b1ec0a9p-4, -0x1.e3da9f74d927ap-4, -0x1.e4521e447eefbp-4, -0x1.e4a3cd947d73dp-4, -0x1.e4d0810cc0096p-4, -0x1.e4d90a00aecfap-4, -0x1.e4be37f458d31p-4, -0x1.e480d86dd1fe7p-4, -0x1.e421b6cbf98dcp-4, -0x1.e3a19c5b45731p-4, -0x1.e3015032c466p-4, -0x1.e2419755d9e46p-4, -0x1.e16334fba47a9p-4, -0x1.e066ea58ff952p-4, -0x1.df4d77013e438p-4, -0x1.de17977419c7bp-4, -0x1.dcc6079967612p-4, -0x1.db5980397f0f2p-4, -0x1.d9d2b8bd89b54p-4, -0x1.d83266a3f9eefp-4, -0x1.d6793d7816764p-4, -0x1.d4a7eebe08e36p-4, -0x1.d2bf29f656143p-4, -0x1.d0bf9cb5d9d8fp-4, -0x1.cea9f2d12723cp-4, -0x1.cc7ed61ba3bc1p-4, -0x1.ca3eee9a57e7cp-4, -0x1.c7eae2455e7e5p-4, -0x1.c5835528a1d3cp-4, -0x1.c308e95de83c7p-4, -0x1.c07c3f16ce705p-4, -0x1.bdddf4b8f99d9p-4, -0x1.bb2ea6a40d0c3p-4, -0x1.b86eef47ff945p-4, -0x1.b59f6733b5f4bp-4, -0x1.b2c0a4d2efeffp-4, -0x1.afd33d1b78203p-4, -0x1.acd7c2504d6ecp-4, -0x1.a9cec52268f64p-4, -0x1.a6b8d4d64de67p-4, -0x1.a3967dedd3f2bp-4, -0x1.a0684b40e2ebp-4, -0x1.9d2ec5b4c8c21p-4, -0x1.99ea7427abba7p-4, -0x1.969bdb82e5fa2p-4, -0x1.93437eb2e6254p-4, -0x1.8fe1dea8a3f82p-4, -0x1.8c777a570d197p-4, -0x1.8904ceb175689p-4, -0x1.858a56ad27ea6p-4, -0x1.82088b2d988b1p-4, -0x1.7e7fe32742917p-4, -0x1.7af0d37d465efp-4, -0x1.775bcf20063a2p-4, -0x1.73c146f76e79p-4, -0x1.7021a9dbeee12p-4, -0x1.6c7d64c587d92p-4, -0x1.68d4e279eae72p-4, -0x1.65288bd3a9074p-4, -0x1.6178c7ab99d51p-4, -0x1.5dc5fad2993f9p-4, -0x1.5a10881ebf0aap-4, -0x1.5658d062a27d6p-4, -0x1.529f32637f5p-4, -0x1.4ee40b2cbcf8ep-4, -0x1.4b27b5179cf58p-4, -0x1.476a8996666f6p-4, -0x1.43acdf1b3aee7p-4, -0x1.3fef0ab3db9aep-4, -0x1.3c315f4943848p-4, -0x1.38742ddc3d41fp-4, -0x1.34b7c57aa6296p-4, -0x1.30fc733f68824p-4, -0x1.2d428254129aap-4, -0x1.298a3bfa2bcbdp-4, -0x1.25d3e782b85f5p-4, -0x1.221fca82e86e3p-4, -0x1.1e6e288ff0a7p-4, -0x1.1abf434c7e80bp-4, -0x1.17135aa91f735p-4, -0x1.136aacb5a6d36p-4, -0x1.0fc5759ed20fp-4, -0x1.0c23efe21117cp-4, -0x1.088654204f41ap-4, -0x1.04ecd91d8a969p-4, -0x1.0157b40e97819p-4, -0x1.fb8e309d10fb5p-5, -0x1.f4766effef20cp-5, -0x1.ed68833d31ec7p-5, -0x1.e664c9dba55dap-5, -0x1.df6b9c1f92decp-5, -0x1.d87d5004a87e1p-5, -0x1.d19a383578c63p-5, -0x1.cac2a44035ee8p-5, -0x1.c3f6e0802bd74p-5, -0x1.bd3736328735bp-5, -0x1.b683eb7d04f29p-5, -0x1.afdd440e31622p-5, -0x1.a9437f444d73cp-5, -0x1.a2b6dad497b26p-5, -0x1.9c37911036c7p-5, -0x1.95c5d9afec3a8p-5, -0x1.8f61e9270013ap-5, -0x1.890bf188f6979p-5, -0x1.82c422218fec1p-5, -0x1.7c8aa79494b35p-5, -0x1.765fabe4c02bfp-5, -0x1.7043568c689edp-5, -0x1.6a35cc5f5e9abp-5, -0x1.64373038c5aadp-5, -0x1.5e47a1c95a1c1p-5, -0x1.58673edd99602p-5, -0x1.529622b011ccep-5, -0x1.4cd4676d547bfp-5, -0x1.47222206cd7c8p-5, -0x1.417f68f9aa9e1p-5, -0x1.3bec4dcede063p-5, -0x1.3668e189e032dp-5, -0x1.30f532d8f8f65p-5, -0x1.2b914d9593ffap-5, -0x1.263d3ca833b69p-5, -0x1.20f908c188639p-5, -0x1.1bc4b8cdd177ap-5, -0x1.16a0519bf3049p-5, -0x1.118bd688c05fbp-5, -0x1.0c87490a42659p-5, -0x1.0792a924913a9p-5, -0x1.02adf521cefaap-5, -0x1.fbb253b18ae81p-6, -0x1.f228851518584p-6, -0x1.e8be71e85ee7dp-6, -0x1.df740a8ce9b9cp-6, -0x1.d6493c95a14ddp-6, -0x1.cd3df2e537ea4p-6, -0x1.c45215f0ffc4cp-6, -0x1.bb858be994a88p-6, -0x1.b2d838d14c294p-6, -0x1.aa49fde6f14cep-6, -0x1.a1daba13ffd14p-6, -0x1.998a4994fcfcep-6, -0x1.91588656bbbc6p-6, -0x1.89454848c3c6bp-6, -0x1.815065cd54e0bp-6, -0x1.7979b3d869295p-6, -0x1.71c106184d281p-6, -0x1.6a262e486f45p-6, -0x1.62a8fc2e1d35fp-6, -0x1.5b493d2054ab2p-6, -0x1.5406bbf7b72e9p-6, -0x1.4ce1420d55be9p-6, -0x1.45d897ac54a64p-6, -0x1.3eec84ccf0fa6p-6, -0x1.381cd10f1b427p-6, -0x1.3169442f9b1c6p-6, -0x1.2ad1a415deed5p-6, -0x1.2455b48129128p-6, -0x1.1df535dea14fap-6, -0x1.17afe7a038b57p-6, -0x1.118586adef8bep-6, -0x1.0b75d04ceb41ep-6, -0x1.058082e399576p-6, -0x1.ff4abee8ffe06p-7, -0x1.f3c84e70fe666p-7, -0x1.e8793630c1482p-7, -0x1.dd5cf3acbc369p-7, -0x1.d272fc299386fp-7, -0x1.c7babca5f6c0ep-7, -0x1.bd339c72be51bp-7, -0x1.b2dd01fd84cf5p-7, -0x1.a8b657d8d43d4p-7, -0x1.9ebf12f4ef24bp-7, -0x1.94f6b0a5c3b8ep-7, -0x1.8b5cb21ad6689p-7, -0x1.81f09ac575539p-7, -0x1.78b1e6b893affp-7, -0x1.6fa0053f3fe8ep-7, -0x1.66ba5acf9085ap-7, -0x1.5e0042ef67a9cp-7, -0x1.557118c7dafbfp-7, -0x1.4d0c3d8706ccp-7, -0x1.44d123d1b7cf4p-7, -0x1.3cbf439cd2266p-7, -0x1.34d62fc94a468p-7, -0x1.2d156e43f200fp-7, -0x1.257c855491db9p-7, -0x1.1e0aea2ede0c7p-7, -0x1.16c0000a9d891p-7, -0x1.0f9b1bd9a1974p-7, -0x1.089b8c7a1a6a9p-7, -0x1.01c0a66afef8ap-7, -0x1.f6139c99245b9p-8, -0x1.e8ecfe6824e4ap-8, -0x1.dc0c988823a11p-8, -0x1.cf71b63f85946p-8, -0x1.c31b944c02bb7p-8, -0x1.b7097ce9d4eb7p-8, -0x1.ab3a728cec68ap-8, -0x1.9fad546137d15p-8, -0x1.9460d520e6b4dp-8, -0x1.89538e244e3b5p-8, -0x1.7e84168f3177dp-8, -0x1.73f11a3a34b17p-8, -0x1.69996ce2dd1cbp-8, -0x1.5f7c15a974506p-8, -0x1.55984e0d9f08ep-8, -0x1.4bed70484df9cp-8, -0x1.427ae4470025ep-8, -0x1.393ffc058c2afp-8, -0x1.303be98ebf699p-8, -0x1.276dc080f9f8dp-8, -0x1.1ed476de3fd9bp-8, -0x1.166ef820373d5p-8, -0x1.0e3c26c839294p-8, -0x1.063ae7096c565p-8, -0x1.fcd44719c37fap-9, -0x1.ed91b476a2ed8p-9, -0x1.deac51323d937p-9, -0x1.d022901f13503p-9, -0x1.c1f308d04c4ap-9, -0x1.b41c48aed9d31p-9, -0x1.a69cb710b04c3p-9, -0x1.99729a032623bp-9, -0x1.8c9c340ca717cp-9, -0x1.8017f14e58832p-9, -0x1.73e458b40c643p-9, -0x1.67fff3735be52p-9, -0x1.5c69345a74b27p-9, -0x1.511e679c64fcp-9, -0x1.461dd6475bf17p-9, -0x1.3b65f497261f1p-9, -0x1.30f574464843dp-9, -0x1.26cb3225e9a7bp-9, -0x1.1ce60014f320fp-9, -0x1.13446f6a3963dp-9, -0x1.09e4e7e3cd1e8p-9, -0x1.00c5d2263c089p-9, -0x1.efcb6ffdbc71ep-10, -0x1.de86f0f6d23d9p-10, -0x1.cdbbf25d2754ap-10, -0x1.bd67f17261fc9p-10, -0x1.ad87d0be5ff7fp-10, -0x1.9e180a46b9956p-10, -0x1.8f154335cfb15p-10, -0x1.807cdaafa4efp-10, -0x1.724ccc4687257p-10, -0x1.6483d3132a48p-10, -0x1.57203e8349bd5p-10, -0x1.4a2032fbe8bbbp-10, -0x1.3d817ff5e85dap-10, -0x1.3141f9a44b59cp-10, -0x1.255fc4b71de1p-10, -0x1.19d95a5e162edp-10, -0x1.0ead5a05de364p-10, -0x1.03d9cc39feb79p-10, -0x1.f2b801815883dp-11, -0x1.de616e6fa1fb4p-11, -0x1.caa96af258297p-11, -0x1.b78aa1ce80742p-11, -0x1.a5017759bb527p-11, -0x1.930b1922f0e73p-11, -0x1.81a52ce52af0ap-11, -0x1.70cccf5ea68b3p-11, -0x1.607ebf888a658p-11, -0x1.50b73e68228cfp-11, -0x1.4172d5932de79p-11, -0x1.32aecf4510783p-11, -0x1.24694db829fedp-11, -0x1.16a0889358115p-11, -0x1.09520edd9a4c6p-11, -0x1.f8f51d5260f08p-12, -0x1.e02a6b260cfe7p-12, -0x1.c83b65859197ap-12, -0x1.b11f179999ca1p-12, -0x1.9aced673775b1p-12, -0x1.8545c7017a0d5p-12, -0x1.7081eeecf5919p-12, -0x1.5c82959dc73c5p-12, -0x1.49451feb94f42p-12, -0x1.36c432a59697ep-12, -0x1.24f8275733b97p-12, -0x1.13d9680e1c071p-12, -0x1.036153868993ep-12, -0x1.e713b39e455a5p-13, -0x1.c89b2150c29c7p-13, -0x1.ab511f761a648p-13, -0x1.8f30b074c9254p-13, -0x1.743523ccb9654p-13, -0x1.5a579c6bd865cp-13, -0x1.418dae1778fa1p-13, -0x1.29c8963f68a06p-13, -0x1.12f9ba37bb1fep-13, -0x1.fa34c74f2b0a7p-14, -0x1.d05c80a5b852fp-14, -0x1.a873a330d7fecp-14, -0x1.827351cc34eedp-14, -0x1.5e491d9737e03p-14, -0x1.3be4d3eb1812cp-14, -0x1.1b3824156a00cp-14, -0x1.f85dccc7c841fp-15, -0x1.bd5696803e47fp-15, -0x1.8525ba974797fp-15, -0x1.4fa93d9096e49p-15, -0x1.1ccfb33e35e35p-15, -0x1.d930c923d379cp-16, -0x1.7df1d96727542p-16, -0x1.27d62c4ccdb45p-16, -0x1.ad44fbfacb3b1p-17, -0x1.13de1c515adcap-17, -0x1.05b1ef5c6c274p-18, 0x1.6bf102c449ae7p-23, 0x1.0ae3105cbb0bbp-18, 0x1.f95492057f993p-18, 0x1.6bc13cee790f6p-17, 0x1.d2e0cdd0138aap-17, 0x1.19104b3221c18p-16, 0x1.44f5459e7689fp-16, 0x1.6d6702eb66f79p-16, 0x1.929d4b103eecdp-16, 0x1.b4bc960dcd862p-16, 0x1.d3dccb2475ed8p-16, 0x1.f0113f42a20b6p-16, 0x1.04ba35af24026p-15, 0x1.10186123df04dp-15, 0x1.1a2cfdb656279p-15, 0x1.2307ea322bf1dp-15, 0x1.2ab66c65d1737p-15, 0x1.315467172bc19p-15, 0x1.36e3eb248ad87p-15, 0x1.3b5c973905208p-15, 0x1.3ed0baa828bcdp-15, 0x1.41544dd80391p-15, 0x1.42dec75d779e4p-15, 0x1.436fde07c85a7p-15, 0x1.4320b35b3366dp-15, 0x1.420bba006a9bep-15, 0x1.403fd29d5dc65p-15, 0x1.3dc77d23bb727p-15, 0x1.3aa08ac8166bap-15, 0x1.36cf3d05d5cedp-15, 0x1.325c266a4678dp-15, 0x1.2d465bbd9ddf1p-15, 0x1.27979fbf443f9p-15, 0x1.215c3660f912p-15, 0x1.1aa728485d668p-15, 0x1.137e1e622dc55p-15, 0x1.0be8cf3883583p-15, 0x1.03f13f9310702p-15, 0x1.f727e3930225cp-16, 0x1.e5b58f2f8cd28p-16, 0x1.d3a9b5dc817dap-16, 0x1.c0ea62ca8ec01p-16, 0x1.ad707eae7f146p-16, 0x1.9962edfb811b1p-16, 0x1.84e0f13cf03dep-16, 0x1.6ff8459de6399p-16, 0x1.5aaf8793c7ba1p-16, 0x1.4507c98e2657p-16, 0x1.2f09f6849514cp-16, 0x1.18bc514b45208p-16, 0x1.022b0c99d9a63p-16, 0x1.d6a817f5521d4p-17, 0x1.a8751754ff23fp-17, 0x1.79d11b79d251ep-17, 0x1.4ac7c831775fcp-17, 0x1.1b7d8e2143c57p-17, 0x1.d800f45c729fep-18, 0x1.78b80e86ae554p-18, 0x1.1952a7e34e92ap-18, 0x1.73c3ce7ab56fdp-19, 0x1.6a8bb122e7087p-20, -0x1.2a170e009d9e9p-24, -0x1.90808800d9f24p-20, -0x1.86d4139b066b4p-19, -0x1.224b5a2a11b18p-18, -0x1.80b3c14b5e9c6p-18, -0x1.de99a1cbb1dd8p-18, -0x1.1df9a7ba8956p-17, -0x1.4c641fc01b1aap-17, -0x1.7a8053f8ec735p-17, -0x1.a84209c816ed3p-17, -0x1.d5a60807d307fp-17, -0x1.0152011437328p-16, -0x1.179b6b102fc91p-16, -0x1.2daa3221bc2ffp-16, -0x1.4382b6d687fffp-16, -0x1.592458472207dp-16, -0x1.6e84301e7a53ap-16, -0x1.839ee215bd4a5p-16, -0x1.987ad8a6faac8p-16, -0x1.ad0eabd9c71fbp-16, -0x1.c14d3bc5a06b5p-16, -0x1.d544f53df3fa3p-16, -0x1.e8f7185b896b7p-16, -0x1.fc5d2223da1cbp-16, -0x1.07b86043b5b66p-15, -0x1.1118e0d5f77a8p-15, -0x1.1a50192ec969ap-15, -0x1.235ea85dfb29ep-15, -0x1.2c3fdf6566af6p-15, -0x1.34f90cc29f07fp-15, -0x1.3d8c4d924d9p-15, -0x1.45f084cf67ac5p-15, -0x1.4e293b07e2dc5p-15, -0x1.5636cbd9f9bc2p-15, -0x1.5e181e11c6c39p-15, -0x1.65cd3f5e65f9fp-15, -0x1.6d560fa3ef9d9p-15, -0x1.74b29de58e4a9p-15, -0x1.7be35cb534dffp-15, -0x1.82e82c0695c3p-15, -0x1.89bfe06b901e2p-15, -0x1.906b07361c57cp-15, -0x1.96e9ca944a1fap-15, -0x1.9d3a0fdf7aef7p-15, -0x1.a3617639f1ed6p-15, -0x1.a95bcaf624b05p-15, -0x1.af29679a93b14p-15, -0x1.b4cb1386d320bp-15, -0x1.ba41122765323p-15, -0x1.bf8ba0043a522p-15, -0x1.c4aaf92aebd02p-15, -0x1.c99f5eca02e91p-15, -0x1.ce6923e346a38p-15, -0x1.d308c4d56cb83p-15, -0x1.d77d973a9660ep-15, -0x1.dbc8e4fbbc784p-15, -0x1.dfeaaa2031d87p-15, -0x1.e3e3738ee2528p-15, -0x1.e7b364bc5cfb3p-15, -0x1.eb5b218e0d585p-15, -0x1.eeda86cfe67dfp-15, -0x1.f232973a34fep-15, -0x1.f563d2e3b63f4p-15, -0x1.f86df993d82ffp-15, -0x1.fb51c472a6758p-15, -0x1.fe0f34b4e6711p-15, -0x1.00540d7da64a5p-14, -0x1.018dd7d1b891p-14, -0x1.02b542c982936p-14, -0x1.03caac0021d58p-14, -0x1.04ce582778997p-14, -0x1.05c06a6654f16p-14, -0x1.06a1313d6917ep-14, -0x1.07703331a8463p-14, -0x1.082f0de97f4e8p-14, -0x1.08ddf6756374dp-14, -0x1.097bd974e09a4p-14, -0x1.0a09a4bf3a19bp-14, -0x1.0a87b5857a056p-14, -0x1.0af42b901478dp-14, -0x1.0b55f5d4e4a18p-14, -0x1.0ba50a2bf1542p-14, -0x1.0be637d3a40c6p-14, -0x1.0c18cb274a06dp-14, -0x1.0c3d15cf6a10dp-14, -0x1.0c53602088771p-14, -0x1.0c5df1cd7da33p-14, -0x1.0c5661bee1515p-14, -0x1.0c43da894686ap-14, -0x1.0c242d50b6ac5p-14, -0x1.0bf7b8cd3fb7ep-14, -0x1.0bbebbbaae32ep-14, -0x1.0b796eaec9b45p-14, -0x1.0b282d6125175p-14, -0x1.0aca49b131ae5p-14, -0x1.0a62237bff99cp-14, -0x1.09edee52f68b1p-14, -0x1.096eae5368923p-14, -0x1.08e4e735fd334p-14, -0x1.084f50ce2e566p-14, -0x1.07b0ebfd628dcp-14, -0x1.0707c674c8eddp-14, -0x1.065447d3d0bcep-14, -0x1.0597bdb085acp-14, -0x1.04d12e5c4e758p-14, -0x1.0401f81b15a6cp-14, -0x1.032963186bf8ep-14, -0x1.024810c2e9f7dp-14, -0x1.015d2e0669014p-14, -0x1.006cbace0a94ap-14, -0x1.fee3e3facfee8p-15, -0x1.fcdf9feb6ce96p-15, -0x1.facbe490eac07p-15, -0x1.f8a91049d17e2p-15, -0x1.f677c8be4734p-15, -0x1.f43806f1673fbp-15, -0x1.f1eb71472e598p-15, -0x1.ef910b4145718p-15, -0x1.ed29b10e32f96p-15, -0x1.eab5c480aaa84p-15, -0x1.e835abb08c72cp-15, -0x1.e5a9d84361af3p-15, -0x1.e312b522de19ep-15, -0x1.e0705777c4cf5p-15, -0x1.ddc3c6fcbaba5p-15, -0x1.db0c958207023p-15, -0x1.d84ac80b21826p-15, -0x1.d57ffc75ab86dp-15, -0x1.d2abe25219142p-15, -0x1.cfcedb3a113f7p-15, -0x1.cce93d0c912aap-15, -0x1.c9fb633b31a1cp-15, -0x1.c705902a771bep-15, -0x1.c40833f02abd6p-15, -0x1.c1041d0410c63p-15, -0x1.bdf790f809a0dp-15, -0x1.bae5782ed1ccep-15, -0x1.b7cc90f70b39ep-15, -0x1.b4ad5036b0887p-15, -0x1.b1885f624deafp-15, -0x1.ae598d6d55f8cp-15, -0x1.ab2f9cb37cd25p-15, -0x1.a7f8c1b4e7dc2p-15, -0x1.a4c10a31590bap-15, -0x1.a1841bc3e792p-15, -0x1.9e41dfe51b718p-15, -0x1.9afc077467dc9p-15, -0x1.97b2b6a2924c3p-15, -0x1.9465222ba7a63p-15, -0x1.91178680b6ce2p-15, -0x1.8dc2897fe1585p-15, -0x1.8a6cd9b767034p-15, -0x1.871494abb3bb8p-15, -0x1.83ba2488a2e9fp-15, -0x1.805d81b8d033p-15, -0x1.7cff0a9ae6fp-15, -0x1.799ef015fb1f1p-15, -0x1.763d67adb2256p-15, -0x1.72daa4da05226p-15, -0x1.6f76d0b3da764p-15, -0x1.6c1229e4ffd82p-15, -0x1.68acd8bb8bffap-15, -0x1.65473e7de52c1p-15, -0x1.61e0ecd128d8dp-15, -0x1.5e7ab5a5d365dp-15, -0x1.5b14801b76fccp-15, -0x1.57ae919da195bp-15, -0x1.54490c5ccb285p-15, -0x1.50e3fdbe0a075p-15, -0x1.4d7f8c683f147p-15, -0x1.4a1da11704041p-15, -0x1.46b9e8f170e7ep-15, -0x1.43580d0194affp-15, -0x1.3ff8082661e3ep-15, -0x1.3c997ad340f26p-15, -0x1.393be5f83241dp-15, -0x1.35e0df998c4e7p-15, -0x1.32872c1ac289dp-15, -0x1.2f2f74fed26cbp-15, -0x1.2bd9f1f47689dp-15, -0x1.2885a7a7ddf08p-15, -0x1.25351e750886fp-15, -0x1.21e26a7f8644p-15, -0x1.1e9a4febe2b96p-15, -0x1.1b4f48a0bd5f9p-15, -0x1.18098fcb876edp-15, -0x1.14c56aff4c2a3p-15, -0x1.11824c591256cp-15, -0x1.0e4472d4b0e27p-15, -0x1.0b0552fef643ep-15, -0x1.07d34bd66bf02p-15, -0x1.049dc8f23cb96p-15, -0x1.016c472ad73ffp-15, -0x1.fc7d17233ca6dp-16, -0x1.f62712117d6d3p-16, -0x1.efdb11ae35fecp-16, -0x1.e9937b715e885p-16, -0x1.e3547f72891eap-16, -0x1.dd1d0f87f6db8p-16, -0x1.d6ed58d762f3ep-16, -0x1.d0c5857542031p-16, -0x1.caa50d4e7f363p-16, -0x1.c48db149ea09cp-16, -0x1.be7dd9f6d27e9p-16, -0x1.b8767124d0d23p-16, -0x1.b2778a258fdb3p-16, -0x1.ac80fd8a33f5ap-16, -0x1.a6932e2af1f42p-16, -0x1.a0ac83576a6e1p-16, -0x1.9ad15db7b8a26p-16, -0x1.94fd8065a8071p-16, -0x1.8f32b0e789c79p-16, -0x1.8970f1a8794a1p-16, -0x1.83b854e755ba4p-16, -0x1.7e08f16f8e79p-16, -0x1.7861bf1624d19p-16, -0x1.72c596bde5af1p-16, -0x1.6d31c3851323cp-16, -0x1.67a7506c631acp-16, -0x1.62269128885fbp-16, -0x1.5caeef45f35c9p-16, -0x1.57414470d48f5p-16, -0x1.51dbe733c04cp-16, -0x1.4c829d5964908p-16, -0x1.4731200981396p-16, -0x1.41e994a2720d2p-16, -0x1.3cae2a753cf28p-16, -0x1.377b91f348fcep-16, -0x1.324e9c4c60404p-16, -0x1.2d32263561706p-16, -0x1.281842f0343f6p-16, -0x1.230ad33f8b329p-16, -0x1.1e07e98e81d64p-16, -0x1.190f0062feafcp-16, -0x1.1420433f41855p-16, -0x1.0f3ba2351f90ap-16, -0x1.0a6054ba6490dp-16, -0x1.058e8233d2045p-16, -0x1.00c6feaac0768p-16, -0x1.f811900def22cp-17, -0x1.eeb54d739bc1fp-17, -0x1.e55cc8c6a1889p-17, -0x1.dc184a961c33dp-17, -0x1.d2ecc473834aap-17, -0x1.c9d53cef0ef45p-17, -0x1.c0d63ec0e1943p-17, -0x1.b7dd3a2bdacfcp-17, -0x1.aef7d4e66a8b7p-17, -0x1.a637e1e866ce6p-17, -0x1.9d868c6ade867p-17, -0x1.94e435f698ee6p-17, -0x1.8c55977ad2acbp-17, -0x1.83dae2d9d162dp-17, -0x1.7b744a0f767f1p-17, -0x1.73210f836c566p-17, -0x1.6ae0286b426a4p-17, -0x1.62b47f9c08e75p-17, -0x1.5a9bf06076247p-17, -0x1.5290db8b698f1p-17, -0x1.4aa28123f0cacp-17, -0x1.42c1db965c1c2p-17, -0x1.3af50552ed38dp-17, -0x1.333b5111c3e3fp-17, -0x1.2b94941b07f2ap-17, -0x1.2400bc2209346p-17, -0x1.1c7ff46534de8p-17, -0x1.15128347b271fp-17, -0x1.0db6a2e497ca4p-17, -0x1.0665c003754a6p-17, -0x1.fe6e190ee9b4bp-18, -0x1.f0252baa58995p-18, -0x1.e1fa3ee58afa4p-18, -0x1.d4031095bf24fp-18, -0x1.c6297295a5c4ep-18, -0x1.b872ad131ebdbp-18, -0x1.aae1596261a4bp-18, -0x1.9d73efa2859adp-18, -0x1.8ffaa24a3620bp-18, -0x1.830360b71c2abp-18, -0x1.75fd40ef4eee5p-18, -0x1.691f9e466ff7fp-18, -0x1.5c61042535eep-18, -0x1.4fc6d481ef382p-18, -0x1.434f32912ecfp-18, -0x1.36f9f5fe2b83bp-18, -0x1.2acb22b14da7ap-18, -0x1.1eb7091a54f02p-18, -0x1.12c184d3e4766p-18, -0x1.06fa7b595d44ap-18, -0x1.f69d11220e8f4p-19, -0x1.df8593f2ff604p-19, -0x1.c8ba00a8aa839p-19, -0x1.b2181e3cb683dp-19, -0x1.9bd5300dcfe6dp-19, -0x1.85c3af730ff8ep-19, -0x1.6ff6cb0fae355p-19, -0x1.5a5c528a88dp-19, -0x1.451704028345dp-19, -0x1.30088b19ed673p-19, -0x1.1b3a84c2af591p-19, -0x1.06a318616301fp-19, -0x1.e4ae70401821ap-20, -0x1.bc883fd4350b2p-20, -0x1.9493212abd37fp-20, -0x1.6d7d5846c74f4p-20, -0x1.46d726cca8ac7p-20, -0x1.2082654356747p-20, -0x1.f58d4e476102bp-21, -0x1.aac832b6d13e7p-21, -0x1.60fce25dfded7p-21, -0x1.181f66b72d89dp-21, -0x1.9f17d1275ce49p-22, -0x1.113c1317f8d03p-22, -0x1.0c0357ac9ba7ap-23, 0x1.2b5cebb3039a7p-28, 0x1.1b750c34294a5p-23, 0x1.14fd57de74aa8p-22, 0x1.9a21867ae72c2p-22, 0x1.0ed0d8c915611p-21, 0x1.4fc73574c70a5p-21, 0x1.9024612759fa9p-21, 0x1.cf22c5f8bc25bp-21, 0x1.06cf00575c9c1p-20, 0x1.25a0da2938786p-20, 0x1.44091c892fc89p-20, 0x1.62070aa2966bcp-20, 0x1.7f9c263c45062p-20, 0x1.9ce9bc4a6f2ebp-20, 0x1.b99eeaedc1436p-20, 0x1.d6121a102769ep-20, 0x1.f21e6452a7d55p-20, 0x1.06d156aa1e24ap-19, 0x1.147055c1e2ce5p-19, 0x1.21dc2e9b14462p-19, 0x1.2f1dea5e5be69p-19, 0x1.3c2ff503d30ap-19, 0x1.4906ac4b3e91ep-19, 0x1.55b8b8b6be8dep-19, 0x1.62217a8712d1ep-19, 0x1.6e8cd40df6409p-19, 0x1.7ab1e0b8023dap-19, 0x1.86a95bd50b1dfp-19, 0x1.92567a75c9036p-19, 0x1.9e0feb2713383p-19, 0x1.a97fc86deb40ep-19, 0x1.b4c029f0ff3cp-19, 0x1.bfe4213076be4p-19, 0x1.cad28de9eeb1ap-19, 0x1.d58cc9349496dp-19, 0x1.e0233fc66fe99p-19, 0x1.ea23818588db3p-19, 0x1.f4f4502d2417bp-19, 0x1.fef1741fa5eccp-19, 0x1.04764f55acbc2p-18, 0x1.09498ee18a884p-18, 0x1.0e5b262e975cp-18, 0x1.12ebad7a96031p-18, 0x1.178aa46b6838p-18, 0x1.1c29f0094c69p-18, 0x1.20ade3927c132p-18, 0x1.251d6a4900ba4p-18, 0x1.297abba304bb1p-18, 0x1.2dc19063993b5p-18, 0x1.321178e60170dp-18, 0x1.3615a61cdc797p-18, 0x1.3a356806cdd3bp-18, 0x1.3e2478ba46ff5p-18, 0x1.4223f01c27c53p-18, 0x1.45e6d7c7691d4p-18, 0x1.49d3020b83bd8p-18, 0x1.4d8493072a423p-18, 0x1.512a9c55cf138p-18, 0x1.54c702cc7d2b6p-18, 0x1.584e1dfbb8fb6p-18, 0x1.5bc1b99ac3753p-18, 0x1.5f2efecabd093p-18, 0x1.627e378e16dedp-18, 0x1.65c4fcef2d1b2p-18, 0x1.68fa07067bd8bp-18, 0x1.6c1eb613cfbc6p-18, 0x1.6f76e77900b8dp-18, 0x1.723a70fd94e61p-18, 0x1.7531374380d3ep-18, 0x1.7820deb54e0e2p-18, 0x1.7af9be6366a62p-18, 0x1.7db9a6b69bc69p-18, 0x1.807379b3ab6f7p-18, 0x1.830d971f2f6e5p-18, 0x1.85c2a655eb207p-18, 0x1.884c66ef5820fp-18, 0x1.8acf2ef3c5df7p-18, 0x1.8d5bd65a7056ap-18, 0x1.8fa7ecdd09a09p-18, 0x1.91fdf30258573p-18, 0x1.9446633b2fe8p-18, 0x1.9672399a07b5p-18, 0x1.98b18709d49f5p-18, 0x1.9ad4c705f3b2fp-18, 0x1.9ce99a822b27p-18, 0x1.9edd6e41b96bp-18, 0x1.a0d9b819bce8cp-18, 0x1.a2dcc9985c795p-18, 0x1.a4bd532ec9348p-18, 0x1.a6a82ace0ce29p-18, 0x1.a85a76aa99706p-18, 0x1.aa158fd875c48p-18, 0x1.abca45b52c47fp-18, 0x1.ad790ae5e611cp-18, 0x1.af338fb741616p-18, 0x1.b09a12b11e176p-18, 0x1.b21fa9126b0f5p-18, 0x1.b397f916a256bp-18, 0x1.b505198a6ba76p-18, 0x1.b6672c27a1f97p-18, 0x1.b7bdff2a66c13p-18, 0x1.b908bbb600071p-18, 0x1.ba518afaf166cp-18, 0x1.bb6a61b77aa3cp-18, 0x1.bcaea34dfe77bp-18, 0x1.bdd425cad95b3p-18, 0x1.beec7c7793afp-18, 0x1.bffad8e637484p-18, 0x1.c0ff6e4c0f687p-18, 0x1.c1f94252361cbp-18, 0x1.c2cfab375d248p-18, 0x1.c3d89f122c9d9p-18, 0x1.c4b095234b933p-18, 0x1.c589b99a0f1cep-18, 0x1.c64f6b9b44e87p-18, 0x1.c6e9d864c87d6p-18, 0x1.c7ccfafc0fe51p-18, 0x1.c87e467cb99c6p-18, 0x1.c926c60540a4ep-18, 0x1.c9cd10ea45b1fp-18, 0x1.ca5d27670b453p-18, 0x1.cac0d019fc53bp-18, 0x1.cb6ffbfe912ccp-18, 0x1.cbeec0a792b88p-18, 0x1.cc652684230c8p-18, 0x1.ccd167173b3a7p-18, 0x1.cd36fd044183fp-18, 0x1.cd940871552ap-18, 0x1.cdeadea187b35p-18, 0x1.ce386ccb41bcp-18, 0x1.ce7ebd2cb7401p-18, 0x1.cebdc2c330f92p-18, 0x1.cef53ace5bd87p-18, }}, 
      {{-0x1.14deaff3c0e6dp+0, -0x1.1396574fd1e8p+0, -0x1.117c3c82146dcp+0, -0x1.0e9c0fd844585p+0, -0x1.0b03df238ffc9p+0, -0x1.06c329ebdafeep+0, -0x1.01ea2dfa3e576p+0, -0x1.f912c95bcaa01p-1, -0x1.ed624023e8965p-1, -0x1.e0e2816a9f7c2p-1, -0x1.d3b20636c1056p-1, -0x1.c5edb63939b72p-1, -0x1.b7b0b86e7b228p-1, -0x1.a9145529587f4p-1, -0x1.9a2feae07db27p-1, -0x1.8b18ead5cd7e6p-1, -0x1.7be2e0a01706cp-1, -0x1.6c9f80d8dd201p-1, -0x1.5d5eb8429c6bbp-1, -0x1.4e2ec6b8b4902p-1, -0x1.3f1c539bb4151p-1, -0x1.303289b802177p-1, -0x1.217b322016f8ep-1, -0x1.12fecd9677ca9p-1, -0x1.04c4ae707559p-1, -0x1.eda62804832f3p-2, -0x1.d25e7f8a434dp-2, -0x1.b7bb1ecf0d39p-2, -0x1.9dc320f433ca3p-2, -0x1.847c28ecbfc8ep-2, -0x1.6bea85ba3faf1p-2, -0x1.54115bf6e627ap-2, -0x1.3cf2b644c860ap-2, -0x1.268fb372fc65dp-2, -0x1.10e898fd36405p-2, -0x1.f7f9d858187c4p-3, -0x1.cf9717a1d4a5p-3, -0x1.a8a57e5ac3266p-3, -0x1.8320addbf7c46p-3, -0x1.5f03589e83f9ap-3, -0x1.3c477ea100dd9p-3, -0x1.1ae67daf22607p-3, -0x1.f5b254d52ca03p-4, -0x1.b82ff6fc122b8p-4, -0x1.7d35eaeec2a77p-4, -0x1.44b3dabc5928fp-4, -0x1.0e98e5b77b199p-4, -0x1.b5a80f48a0fe2p-5, -0x1.52a7d045ca3d1p-5, -0x1.e81ca0b6c4679p-6, -0x1.33719e453241dp-6, -0x1.0e129b3c94813p-7, 0x1.d61356cbe2298p-10, 0x1.7423eb31ba283p-7, 0x1.4f4c1f13f996cp-6, 0x1.dd51d7dfea533p-6, 0x1.32320bb4ae312p-5, 0x1.7261311345455p-5, 0x1.af558979912f8p-5, 0x1.e92d6db14a6b1p-5, 0x1.100346bfd2a67p-4, 0x1.29fed6b029b9fp-4, 0x1.42976382f3055p-4, 0x1.59da9f81c8883p-4, 0x1.6fd5b445d481bp-4, 0x1.84956fd4bea27p-4, 0x1.982638fc1e8fbp-4, 0x1.aa940dd9fde5bp-4, 0x1.bbea8aed9c7f5p-4, 0x1.cc34ddb59c783p-4, 0x1.db7ddd7eb61dp-4, 0x1.e9cffc242f248p-4, 0x1.f7354bd6402e2p-4, 0x1.01dbc1b7cd754p-3, 0x1.07b000922585ap-3, 0x1.0d1be3d5a3a18p-3, 0x1.1223c5c7d5d92p-3, 0x1.16cbd03158ba6p-3, 0x1.1b180f3162a7ep-3, 0x1.1f0c5f7e97007p-3, 0x1.22ac7b6281042p-3, 0x1.25fbf9c841596p-3, 0x1.28fe4d9a0f913p-3, 0x1.2bb6c2f06bf46p-3, 0x1.2e2892401240fp-3, 0x1.3056c5ad8283ep-3, 0x1.32445293fffp-3, 0x1.33f409f5656b1p-3, 0x1.3568a85577d13p-3, 0x1.36a4ca88ff3dp-3, 0x1.37aaf14f8a0efp-3, 0x1.387d8aaa3a45fp-3, 0x1.391ee6b690173p-3, 0x1.399140d43102ep-3, 0x1.39d6bd43052d9p-3, 0x1.39f16b666b1d9p-3, 0x1.39e344c128bdap-3, 0x1.39ae324510ae8p-3, 0x1.395404c7c9f35p-3, 0x1.38d67fdfd3007p-3, 0x1.3837524df474bp-3, 0x1.37781a2e196d7p-3, 0x1.369a6666e5e37p-3, 0x1.359fb63b15e2ep-3, 0x1.348978dfe3a2p-3, 0x1.33591145dfd19p-3, 0x1.320fd1491415dp-3, 0x1.30af0093949b9p-3, 0x1.2f37d845bc6e4p-3, 0x1.2dab85c0995a6p-3, 0x1.2c0b2a51e6d7ap-3, 0x1.2a57daaee769ep-3, 0x1.2892a8aa297fdp-3, 0x1.26bc8b539ca95p-3, 0x1.24d68063019afp-3, 0x1.22e1711579a4dp-3, 0x1.20de45083177bp-3, 0x1.1ecdd36e0067ep-3, 0x1.1cb0ef6ff3fa8p-3, 0x1.1a88633da12fbp-3, 0x1.1854f0832a35bp-3, 0x1.161751930cc9ep-3, 0x1.13d0393598dbbp-3, 0x1.1180537628f9fp-3, 0x1.0f2844f41862ap-3, 0x1.0cc8ac47a726ap-3, 0x1.0a62215af53c1p-3, 0x1.07f5365cc4a5fp-3, 0x1.058277fc8baa4p-3, 0x1.030a6b6f01f5cp-3, 0x1.008d9349c8f4cp-3, 0x1.fc18d549eb6f1p-4, 0x1.f70ed174f5dd4p-4, 0x1.f1fdfe227f836p-4, 0x1.ece73b3fa20eap-4, 0x1.e7cb54a164bc2p-4, 0x1.e2ab1116e33e7p-4, 0x1.dd873a6029967p-4, 0x1.d860850662955p-4, 0x1.d337a2b7c47bep-4, 0x1.ce0d3de82ad29p-4, 0x1.c8e1f974c8969p-4, 0x1.c3b670cfb464cp-4, 0x1.be8b3ac685c0ep-4, 0x1.b960e28d90364p-4, 0x1.b437f54cfa51ap-4, 0x1.af10f4064f0b8p-4, 0x1.a9ec5c5924f28p-4, 0x1.a4caa5bb03241p-4, 0x1.9fac42980946dp-4, 0x1.9a91a03e7511ap-4, 0x1.957b2b5c0175dp-4, 0x1.90693e8107117p-4, 0x1.8b5c404ece91ep-4, 0x1.86548a40cf06ep-4, 0x1.8152716dcae07p-4, 0x1.7c5649037422ap-4, 0x1.77605f2f6b13cp-4, 0x1.72710129c0962p-4, 0x1.6d886fc27839ep-4, 0x1.68a6f5f62ea8ep-4, 0x1.63ccd0cd94193p-4, 0x1.5efa3b51a2d3fp-4, 0x1.5a2f724e7db47p-4, 0x1.556cab7293939p-4, 0x1.50b219ff2c666p-4, 0x1.4bffef4d532b4p-4, 0x1.4756599d0ac35p-4, 0x1.42b5846b567c5p-4, 0x1.3e1d98d439397p-4, 0x1.398ebd764a60dp-4, 0x1.3509168d6ca5p-4, 0x1.308cc611d83bep-4, 0x1.2c19ebba9787ap-4, 0x1.27b0a558aa8d2p-4, 0x1.23510e58aa438p-4, 0x1.1efb408efa008p-4, 0x1.1aaf53a628653p-4, 0x1.166d5d127baap-4, 0x1.123571edd67fap-4, 0x1.0e07a42aa4c3bp-4, 0x1.09e4037ce0516p-4, 0x1.05caa0ef0e6efp-4, 0x1.01bb8b1d6ff97p-4, 0x1.fb6d92ebf3f83p-5, 0x1.f378d5b83f12ap-5, 0x1.eb98ee4b8d1dfp-5, 0x1.e3cdf0a584fb1p-5, 0x1.dc17e1393a848p-5, 0x1.d476d5ae97f2bp-5, 0x1.ccead056ac4cfp-5, 0x1.c573d9607a59p-5, 0x1.be11f4d20237cp-5, 0x1.b6c52477f2688p-5, 0x1.af8d68753852bp-5, 0x1.a86abe7989f77p-5, 0x1.a15d207d2c99dp-5, 0x1.9a64914b442p-5, 0x1.9380f9876b16p-5, 0x1.8cb260c9fd422p-5, 0x1.85f8b1fe888ccp-5, 0x1.7f53e2b00963dp-5, 0x1.78c3e4edd0185p-5, 0x1.7248a97c027a3p-5, 0x1.6be21ef2438cbp-5, 0x1.6590324e2a741p-5, 0x1.5f52d19be0bf8p-5, 0x1.5929e5edd27dfp-5, 0x1.531559ea85e3cp-5, 0x1.4d1515e840a62p-5, 0x1.472901844a504p-5, 0x1.4151031980d0dp-5, 0x1.3b8cffe47a189p-5, 0x1.35dcdc5200d7dp-5, 0x1.30407b9faeab3p-5, 0x1.2ab7c0560f679p-5, 0x1.25428c1402697p-5, 0x1.1fe0bec4e3debp-5, 0x1.1a9237c396d98p-5, 0x1.1556ddda21b3p-5, 0x1.102e83f97445cp-5, 0x1.0b190a62ba1c5p-5, 0x1.06165563ffdccp-5, 0x1.01263c1209ecep-5, 0x1.f89133fb0e842p-6, 0x1.eefa967b0b0cbp-6, 0x1.e5885570c888p-6, 0x1.dc3a24e457467p-6, 0x1.d30fb82b95a68p-6, 0x1.ca08c1c8c3f19p-6, 0x1.c124f35682384p-6, 0x1.b863fd9bb9d56p-6, 0x1.afc590d90760cp-6, 0x1.a7495a1da85b3p-6, 0x1.9eef0bf1d2a65p-6, 0x1.96b6542eb915ep-6, 0x1.8e9edccc8153fp-6, 0x1.86a8549215cc3p-6, 0x1.7ed2688174396p-6, 0x1.771cc4052827bp-6, 0x1.6f87130b2165bp-6, 0x1.6811002cff07ep-6, 0x1.60ba381828362p-6, 0x1.598264b8b9282p-6, 0x1.52692fe34197fp-6, 0x1.4b6e449d9a2fp-6, 0x1.44914b0a8bd9ap-6, 0x1.3dd1f493478afp-6, 0x1.372fdc29e3e6ep-6, 0x1.30aabdd3c5eb6p-6, 0x1.2a42379c533fp-6, 0x1.23f5f647abb7fp-6, 0x1.1dc5a423509b7p-6, 0x1.17b0eb3333199p-6, 0x1.11b7758d4c92cp-6, 0x1.0bd8ed6e8ffd4p-6, 0x1.0614fc90de617p-6, 0x1.006b4e5aba481p-6, 0x1.f5b716652ffc4p-7, 0x1.eacac3f49779ep-7, 0x1.e010faea98416p-7, 0x1.d5890c40ab1aep-7, 0x1.cb3252fb05014p-7, 0x1.c10c276b6c21ap-7, 0x1.b715e009f1639p-7, 0x1.ad4edb1420228p-7, 0x1.a3b673bede77dp-7, 0x1.9a4bffb1be99fp-7, 0x1.910edd21abb85p-7, 0x1.87fe6be144c8ep-7, 0x1.7f1a0719e5d0ap-7, 0x1.76610ea9baaa9p-7, 0x1.6dd2e27a99a49p-7, 0x1.656ee39271f61p-7, 0x1.5d3473b9fb898p-7, 0x1.5522f6302d551p-7, 0x1.4d39cf0c22a87p-7, 0x1.4578637958a0fp-7, 0x1.3dde191d3b3acp-7, 0x1.366a558afa9bp-7, 0x1.2f1c9154e80c9p-7, 0x1.27f41db145afcp-7, 0x1.20f073025db3cp-7, 0x1.1a10fb929b522p-7, 0x1.13552c2967dc6p-7, 0x1.0cbc6b77d4828p-7, 0x1.06462bd4c04b8p-7, 0x1.ffe3bec217fccp-8, 0x1.f37df37123427p-8, 0x1.e759dde0141b1p-8, 0x1.db76697716f46p-8, 0x1.cfd27b70f7293p-8, 0x1.c46d20da7b943p-8, 0x1.b94530195bf7cp-8, 0x1.ae59a9de9e045p-8, 0x1.a3a98035445b5p-8, 0x1.9933db8dbc5ffp-8, 0x1.8ef765c783bcbp-8, 0x1.84f371037411ep-8, 0x1.7b26d35350d45p-8, 0x1.7190aa29616ep-8, 0x1.683008087ffacp-8, 0x1.5f03e0d04ff76p-8, 0x1.560b5178d1b0dp-8, 0x1.4d456e4bd4423p-8, 0x1.44b1499f29207p-8, 0x1.3c4e030e69755p-8, 0x1.341ab18d7eb57p-8, 0x1.2c167696cc4a5p-8, 0x1.244070d0e582ep-8, 0x1.1c97c7c07e0ebp-8, 0x1.151ba222b3b6dp-8, 0x1.0dcb2a8f3c9b7p-8, 0x1.06a58e5d7c509p-8, 0x1.ff53fc7489843p-9, 0x1.f1af590ec45b1p-9, 0x1.e45b9edca1d28p-9, 0x1.d7573f4b9dbc4p-9, 0x1.caa0b165b4283p-9, 0x1.be36709993977p-9, 0x1.b21700e5dc5c6p-9, 0x1.a640e97c18395p-9, 0x1.9ab2b7b1f62fbp-9, 0x1.8f6b00214c9ebp-9, 0x1.846858eb27d18p-9, 0x1.79a961192436bp-9, 0x1.6f2cb8dc50d0ep-9, 0x1.64f109e1f40c2p-9, 0x1.5af501abbccfap-9, 0x1.513753fa0ce1p-9, 0x1.47b6be1af462p-9, 0x1.3e71f510d39acp-9, 0x1.3567c01cf2b03p-9, 0x1.2c96e6e890edp-9, 0x1.23fe35bab63bbp-9, 0x1.1b9c76b69fc07p-9, 0x1.13708cef33e1p-9, 0x1.0b79503f6f302p-9, 0x1.03b5a6343e5ecp-9, 0x1.f848ad29463d1p-10, 0x1.e988deaa542d5p-10, 0x1.db29a8d618f82p-10, 0x1.cd28f1457768fp-10, 0x1.bf84980667f62p-10, 0x1.b23ab90f8230ep-10, 0x1.a5493fe446ce6p-10, 0x1.98ae30a4fa3f3p-10, 0x1.8c67aaa2dd668p-10, 0x1.8073ca280049dp-10, 0x1.74d0b55f439dcp-10, 0x1.697c9ccfa3202p-10, 0x1.5e75b726df679p-10, 0x1.53ba33d52ba6bp-10, 0x1.4948789e9031p-10, 0x1.3f1edf0d50942p-10, 0x1.353b91e70b94ep-10, 0x1.2b9d096911758p-10, 0x1.22419bce890eap-10, 0x1.1927d1304b26bp-10, 0x1.104e0fb395d53p-10, 0x1.07b2de8ef9339p-10, 0x1.fea97835d009ep-11, 0x1.ee645fcc42085p-11, 0x1.de94293d99e02p-11, 0x1.cf34b380ec39ep-11, 0x1.c04517be7f415p-11, 0x1.b1c1658c03b5ep-11, 0x1.a3a7591a6472ap-11, 0x1.95f4590dc4776p-11, 0x1.88a5d956872d3p-11, 0x1.7bb9653cbff48p-11, 0x1.6f2c8d67a30d1p-11, 0x1.62fcfb54e0faep-11, 0x1.5728657b495c2p-11, 0x1.4bac76d63dbb6p-11, 0x1.408706087cd5cp-11, 0x1.35b68f6f4ac44p-11, 0x1.2b374006010ap-11, 0x1.2108ff3089fc1p-11, 0x1.172888f43b3bdp-11, 0x1.0d941c65a777p-11, 0x1.0449be1583dffp-11, 0x1.f68f03182b35fp-12, 0x1.e5170fbbdf2eap-12, 0x1.d42808aacad01p-12, 0x1.c3be6d275a9d1p-12, 0x1.b3d6c19884ba8p-12, 0x1.a46dc6fe9a782p-12, 0x1.957fe46c36f4ep-12, 0x1.870a55b876d77p-12, 0x1.79098916e54e4p-12, 0x1.6b7a15608d1a1p-12, 0x1.5e5968f880cbp-12, 0x1.51a418f3d3cd9p-12, 0x1.45573a63f1effp-12, 0x1.3970045762fa8p-12, 0x1.2debd30ca6d72p-12, 0x1.22c7a718f57bep-12, 0x1.1801130ebab1ap-12, 0x1.0d95b2bbccfeap-12, 0x1.0382c625fc04ep-12, 0x1.f38bd111cff34p-13, 0x1.e0b954f9fd86ap-13, 0x1.ce894c276040ep-13, 0x1.bcf707578edbbp-13, 0x1.abfd69062d4f7p-13, 0x1.9b98f23e85b3bp-13, 0x1.8bc53862f269ap-13, 0x1.7c7d65f98f853p-13, 0x1.6dbe02870d256p-13, 0x1.5f8314d35faa2p-13, 0x1.51c8c34169e0cp-13, 0x1.448b4dd1434a9p-13, 0x1.37c668c6f4017p-13, 0x1.2b77039218007p-13, 0x1.1f9a526f10199p-13, 0x1.142ba0f210a6ap-13, 0x1.092814f49a80bp-13, 0x1.fd19fe200df5dp-14, 0x1.e8aa64f0f299bp-14, 0x1.d4ff337d45a3ep-14, 0x1.c2112c56a639ep-14, 0x1.afda8573dc546p-14, 0x1.9e555e58ba0c4p-14, 0x1.8d7c490765088p-14, 0x1.7d49b3361bd5bp-14, 0x1.6db92778935a9p-14, 0x1.5ec15dda0aef1p-14, 0x1.50648bab97044p-14, 0x1.429894523ffbcp-14, 0x1.355a73cde8fe7p-14, 0x1.28a5875cb6a2fp-14, 0x1.1c75471c63befp-14, 0x1.10c5719e49f55p-14, 0x1.0590e69d253fcp-14, 0x1.f5ab3cf12612fp-15, 0x1.e11b84ab1ee5ap-15, 0x1.cd6aecdfe4446p-15, 0x1.ba924aa8e7ab3p-15, 0x1.a889f7d97d475p-15, 0x1.974c9d532f8d2p-15, 0x1.86cda7174a4aap-15, 0x1.770c73528f237p-15, 0x1.6800bfd225935p-15, 0x1.599e76d85aef1p-15, 0x1.4be9adaba8645p-15, 0x1.3ed7d3b68c751p-15, 0x1.3261b7d5efc78p-15, 0x1.26814d2bdbc81p-15, 0x1.1b3493d7f781dp-15, 0x1.1073f5e835d49p-15, 0x1.0638b5087a28fp-15, 0x1.f908d40cdf518p-16, 0x1.e68b9e4785ca6p-16, 0x1.d5082d61b0613p-16, 0x1.c466164c1c2dep-16, 0x1.b4a6e34b385f3p-16, 0x1.a5ba9c04b2752p-16, 0x1.979ab5185fa2p-16, 0x1.8a43073461cd1p-16, 0x1.7da4f1b30710fp-16, 0x1.71bc9ba59669cp-16, 0x1.6682cbfc535c1p-16, 0x1.5bf0860af61a1p-16, 0x1.51fdd9619b507p-16, 0x1.48a45123aedeep-16, 0x1.3fdce91528a4bp-16, 0x1.37a1594c6aaf4p-16, 0x1.2febb62d6efaap-16, 0x1.28b5bf28aa851p-16, 0x1.21fbbfe944ca7p-16, 0x1.1bb669644f948p-16, 0x1.15e04a780f799p-16, 0x1.10766c3d2ec8ep-16, 0x1.0b71548702a1bp-16, 0x1.06cd0b19141b9p-16, 0x1.028542dfb6257p-16, 0x1.fd2b6fe9c0bebp-17, 0x1.f5f496c0c7b47p-17, 0x1.ef5ce4859a634p-17, 0x1.e958368ed1eb3p-17, 0x1.e3ebfeda287c1p-17, 0x1.defe66fec5e51p-17, 0x1.da8dbf736eef7p-17, 0x1.d69c21138548ap-17, 0x1.d312e68fde777p-17, 0x1.d0085056918e7p-17, 0x1.cd4de47c268e6p-17, 0x1.cafaa2b2aafc6p-17, 0x1.c901046e93653p-17, 0x1.c75bfcb3c5bcfp-17, 0x1.c605383ef6a44p-17, 0x1.c4f992fab4c63p-17, 0x1.c43744051b52cp-17, 0x1.c3a44bfccab4dp-17, 0x1.c35f79ac3fd8ap-17, 0x1.c34aaaa1ef648p-17, 0x1.c37096bc239b9p-17, 0x1.c3bd9f4c9914cp-17, 0x1.c437256c84fa3p-17, 0x1.c4d9300afa98cp-17, 0x1.c59fdc4343cc1p-17, 0x1.c685d4149fa76p-17, 0x1.c789ee77f6c74p-17, 0x1.c8a796c42f2ap-17, 0x1.c9c84cb2a283bp-17, 0x1.cb271b2b2bec8p-17, 0x1.cc8311577c586p-17, 0x1.cded891022b02p-17, 0x1.cf60c8220f2fap-17, 0x1.d0e52aaa01ac4p-17, 0x1.d26f44de6d8b5p-17, 0x1.d3feae3c1a32ap-17, 0x1.d5933d5e4a6b8p-17, 0x1.d72a3e71f1598p-17, 0x1.d8c19326aed28p-17, 0x1.da58189895bcp-17, 0x1.dbebd864370a7p-17, 0x1.dd7b53d3c8c84p-17, 0x1.def15f33f0807p-17, 0x1.e0745b6623989p-17, 0x1.e1ff65b9a7c89p-17, 0x1.e36ee87116d6ap-17, 0x1.e4d91638aa3f1p-17, 0x1.e62b0124bd8eep-17, 0x1.e77cbc4206635p-17, 0x1.e8bb1e0a0b60fp-17, 0x1.e9ed305b53f9ap-17, 0x1.eb0def08bccf7p-17, 0x1.ec1e2a2b744dbp-17, 0x1.ed1e692712f8cp-17, 0x1.ee0d407230f22p-17, 0x1.eee9df07bb382p-17, 0x1.efb54c0ce5e45p-17, 0x1.f06b859f8308fp-17, 0x1.f10f509e20823p-17, 0x1.f19ed88ac15d7p-17, 0x1.f21a1badaa592p-17, 0x1.f27e8f3ebbac3p-17, 0x1.f2d2d5f3c8d7cp-17, 0x1.f3104cfe82c9p-17, 0x1.f338f18ab3fd2p-17, 0x1.f3423c5734a78p-17, 0x1.f33fbedb72bbep-17, 0x1.f33073a3764b4p-17, 0x1.f301ca934221ap-17, 0x1.f2be199d61d41p-17, 0x1.f263308920286p-17, 0x1.f1f4bfd3a93dbp-17, 0x1.f1705a995ea1ap-17, 0x1.f0d5906d9ee57p-17, 0x1.f02257087643dp-17, 0x1.ef5f7662fa4fdp-17, 0x1.ee84af61e453ep-17, 0x1.ed94d8a68c31ep-17, 0x1.ec8f884fba041p-17, 0x1.eb7592453a82bp-17, 0x1.ea46ab6a241cfp-17, 0x1.e901e1a2581cfp-17, 0x1.e7a4efb78f0c9p-17, 0x1.e63b80fe2ac3bp-17, 0x1.e4c0833c8a659p-17, 0x1.e32cb76e0cba4p-17, 0x1.e186c365a85ep-17, 0x1.dfcea62630647p-17, 0x1.de07ba4ecc081p-17, 0x1.dc1de6f4c4533p-17, 0x1.da2c4aab1735cp-17, 0x1.d835eb329823ep-17, 0x1.d61d3ed69225dp-17, 0x1.d3f63c05e72a2p-17, 0x1.d1c28674ac31ep-17, 0x1.cf81efef3bd8p-17, 0x1.cd24da88cf7a6p-17, 0x1.cac2b1a4f4a27p-17, 0x1.c84942e599ba2p-17, 0x1.c5c4bf7b4af1ep-17, 0x1.c3315272b30ep-17, 0x1.c08eed03cce8dp-17, 0x1.bddde19c3919dp-17, 0x1.bb21965302f2p-17, 0x1.b849100e10711p-17, 0x1.b56d082161ea9p-17, 0x1.b29890ab63019p-17, 0x1.afa6901b26e51p-17, 0x1.aca84f4b32ba7p-17, 0x1.a9a00a080a7e9p-17, 0x1.a68bc4fc080fbp-17, 0x1.a36cb999e1a98p-17, 0x1.a0436dea9f9f3p-17, 0x1.9d0fd43067e52p-17, 0x1.99d23dcc78286p-17, 0x1.968afc9b27c13p-17, 0x1.933a912d93203p-17, 0x1.8fe26d1aafd7fp-17, 0x1.8c81ac394c6c4p-17, 0x1.891176b53085cp-17, 0x1.85a58a2c426e4p-17, 0x1.822dff97ff859p-17, 0x1.7eade2ffa606ap-17, 0x1.7b2758cd6af63p-17, 0x1.779a7060a150ep-17, 0x1.74076fcdaad79p-17, 0x1.706ea6645c694p-17, 0x1.6cd06c9901c9fp-17, 0x1.692d3898582edp-17, 0x1.6587458c64bb6p-17, 0x1.61d895b97fec2p-17, 0x1.5e2713bca4622p-17, 0x1.5a71748f57cd4p-17, 0x1.56b8da213dfp-17, 0x1.52fbfca8edcc2p-17, 0x1.4f3d2c620a1e9p-17, 0x1.4b7a92c04f709p-17, 0x1.47b5dafe7951fp-17, 0x1.43ef979cd855cp-17, 0x1.40265d10faddcp-17, 0x1.3c5b3f2930771p-17, 0x1.388d636a0ccfep-17, 0x1.34c11f11502bep-17, 0x1.30f2db5a033fdp-17, 0x1.2d23df04f449ep-17, 0x1.2952f633d0fdbp-17, 0x1.2582cc4043edep-17, 0x1.21b25f019b617p-17, 0x1.1de2419ee86c6p-17, 0x1.1a0d4fb4fa125p-17, 0x1.163e11ae27afbp-17, 0x1.12746276f1faap-17, 0x1.0ea68cba6bdebp-17, 0x1.0ad9cc27aa123p-17, 0x1.070f9dc9689d9p-17, 0x1.0332c499d2011p-17, 0x1.ff0e1dd3eb6fp-18, 0x1.f76f95c64f0d4p-18, 0x1.efe8e34955ee8p-18, 0x1.e866601277a62p-18, 0x1.e0e9aa79fd079p-18, 0x1.d972946b089bcp-18, 0x1.d21c83cf697ep-18, 0x1.ca921e649d75fp-18, 0x1.c32b90050fee6p-18, 0x1.bbcaf187c654cp-18, 0x1.b4716f0a7808p-18, 0x1.ad1f9b6b95f3fp-18, 0x1.a5d48aa574f91p-18, 0x1.9e9218b89b426p-18, 0x1.974f0654cd299p-18, 0x1.90235fca3ababp-18, 0x1.88f7d737a1234p-18, 0x1.81d568c64911cp-18, 0x1.7ac3e1742fc9p-18, 0x1.73a048a2ba6f9p-18, 0x1.6ca681dc6ff55p-18, 0x1.65aa488693287p-18, 0x1.5eb1ca083d09ep-18, 0x1.57cb0664e1162p-18, 0x1.50e890de07e5p-18, 0x1.4a1550a1613a8p-18, 0x1.43490c651527dp-18, 0x1.3c87b5889d2c3p-18, 0x1.35c152f6597ebp-18, 0x1.2f314f0dd5c95p-18, 0x1.2888eac16016ap-18, 0x1.21f4bebf30ebdp-18, 0x1.1b6b4cb36eb5bp-18, 0x1.14ed9269086b1p-18, 0x1.0e7b2c6cb5cfep-18, 0x1.080edd145e6bdp-18, 0x1.01bb2730b7264p-18, 0x1.f6d96bd237333p-19, 0x1.ea5484e530f87p-19, 0x1.dde7d1f84d9a8p-19, 0x1.d19391e9afd5bp-19, 0x1.c55857277061ep-19, 0x1.b935f133db997p-19, 0x1.ad2c09b71a5a9p-19, 0x1.a141b44dbf0c8p-19, 0x1.956b9d27a28c9p-19, 0x1.89a6843e5cd08p-19, 0x1.7e028fc844ea3p-19, 0x1.72778cc532b72p-19, 0x1.67068a774fc5dp-19, 0x1.5baf8ce37d136p-19, 0x1.5072bbbeb86c3p-19, 0x1.454f52455ddccp-19, 0x1.3a468fb751c2p-19, 0x1.2f5f227bc13ffp-19, 0x1.248178c79bab8p-19, 0x1.19c84e63a71b4p-19, 0x1.0f26ff9959f04p-19, 0x1.04a05401ad17fp-19, 0x1.f46385f785673p-20, 0x1.df65cef35842bp-20, 0x1.cb605faf30f42p-20, 0x1.b6ffa359fde0cp-20, 0x1.a3152e4b44145p-20, 0x1.8f4fa15874c89p-20, 0x1.7baa921929532p-20, 0x1.684143cb02042p-20, 0x1.55110645f46f9p-20, 0x1.41fa8938562efp-20, 0x1.2f84e27c54f9p-20, 0x1.1cac29354654p-20, 0x1.0a4d1ff3e1a73p-20, 0x1.f03db7075a629p-21, 0x1.cc4bcefda1e52p-21, 0x1.a8be6a6688bf7p-21, 0x1.859d1818afa27p-21, 0x1.62de6e5c22986p-21, 0x1.40874284d9786p-21, 0x1.1e971abbc681ep-21, 0x1.fa171717707a7p-22, 0x1.b7d2c3ed5cb5ep-22, 0x1.7655feedf01ecp-22, 0x1.35a5181506ea8p-22, 0x1.eb7495ae0a892p-23, 0x1.6d33cf3111996p-23, 0x1.e0f2ff53f2ed1p-24, 0x1.d56780ce87b82p-25, -0x1.0a5dbc648ca08p-29, -0x1.f0dff4e6b8c58p-25, -0x1.e5af51f67bf27p-24, -0x1.666cc9891fab8p-23, -0x1.daf80cb310613p-23, -0x1.26a74752ec6cp-22, -0x1.5ed785cbac8e3p-22, -0x1.9648d8d81c7dbp-22, -0x1.cd17f45aa3029p-22, -0x1.01827aa1ddf54p-21, -0x1.1c26b3c3f2e13p-21, -0x1.366ae2a2f6da8p-21, -0x1.504c3b87e4dcdp-21, -0x1.69e76772e9e44p-21, -0x1.830a2dff29a87p-21, -0x1.9c86ddd5b57e8p-21, -0x1.b44ebfd7c6128p-21, -0x1.cc920f052be4ep-21, -0x1.e433b85e7fe2ep-21, -0x1.fb9c49028f545p-21, -0x1.097212e7f221bp-20, -0x1.14d3fac5cf52bp-20, -0x1.203a37aaf489dp-20, -0x1.2ae8c1aad1c4dp-20, -0x1.35d2191cac778p-20, -0x1.408605853486dp-20, -0x1.4b039aad8ce32p-20, -0x1.557786fd51bdcp-20, -0x1.5f88fe4847b89p-20, -0x1.69aa8e7f8bd4ap-20, -0x1.738bd6c9739efp-20, -0x1.7d44e875d315dp-20, -0x1.86d6044cc0716p-20, -0x1.903e1e43449f9p-20, -0x1.9981215a429dfp-20, -0x1.a296dc0bf472bp-20, -0x1.ab8cf00449e2fp-20, -0x1.b457d7f11f0d2p-20, -0x1.bcfbbf3860f2fp-20, -0x1.c57b591aa8962p-20, -0x1.cdd589f61283bp-20, -0x1.d610e5ecba8b2p-20, -0x1.de19dd3270a33p-20, -0x1.e60521d22f79cp-20, -0x1.edcb816473c81p-20, -0x1.f56d8d9900edap-20, -0x1.fcebf8dac78c4p-20, -0x1.02231f8d10c93p-19, -0x1.05c110abcaf4cp-19, -0x1.09499ff5faa3ap-19, -0x1.0cc3343bbf1cap-19, -0x1.102bbe2532812p-19, -0x1.13824b2f61bd2p-19, -0x1.16ca08b641b42p-19, -0x1.1a003d07ee837p-19, -0x1.1d28c8e6b9d67p-19, -0x1.2039afbdc4405p-19, -0x1.23406969fcd7p-19, -0x1.2637176bf94cp-19, -0x1.290e70627a03bp-19, -0x1.2bdcb1ef1f87cp-19, -0x1.2eb904656abaep-19, -0x1.3164e32f62b13p-19, -0x1.341676168ab22p-19, -0x1.36b1cb2c0107fp-19, -0x1.393cbc9d8b781p-19, -0x1.3bb8c2fe3cfa1p-19, -0x1.3e259271efc54p-19, -0x1.40837fae8f534p-19, -0x1.42d42e9e465e4p-19, -0x1.45189e993b407p-19, -0x1.474e5f1f66927p-19, -0x1.4977e2505bcccp-19, -0x1.4b74ce033de88p-19, -0x1.4d8be4ecf32a7p-19, -0x1.4f9ca1bb4ac61p-19, -0x1.518db2f0cff4bp-19, -0x1.53722af032d22p-19, -0x1.5541b5b35ca1cp-19, -0x1.571d6ffbb6739p-19, -0x1.58ed7eacc9383p-19, -0x1.5a8aed46ad402p-19, -0x1.5c2c8e33bd99ep-19, -0x1.5dc7c6638776ep-19, -0x1.5f57761b67097p-19, -0x1.60da82e7536eep-19, -0x1.62505f708ee06p-19, -0x1.63bb4bc9e02b5p-19, -0x1.651ba8b032f9p-19, -0x1.666fafc4726b5p-19, -0x1.67b87cfa9e06p-19, -0x1.68fbb3e98408ep-19, -0x1.6a2b328886d7fp-19, -0x1.6b550fc6eefffp-19, -0x1.6c73ab7d98121p-19, -0x1.6d87bf69450b3p-19, -0x1.6e9190d840ff2p-19, -0x1.6f91648d14f87p-19, -0x1.7086ae218b92dp-19, -0x1.717102b0f19b3p-19, -0x1.7252486f2caefp-19, -0x1.7333d3b745afp-19, -0x1.73fa7aa9a5e77p-19, -0x1.74bfbebc1c56fp-19, -0x1.75843b93d1978p-19, -0x1.762e4bc56331dp-19, -0x1.76d763ac4655dp-19, -0x1.7778faafd6dafp-19, -0x1.780fc5bc31917p-19, -0x1.789f27091d234p-19, -0x1.793efe9e31e08p-19, -0x1.79a2de6110c63p-19, -0x1.7a1a5c7cd651ep-19, -0x1.7a87c488f69d5p-19, -0x1.7aede53f80068p-19, -0x1.7b4acd5519392p-19, -0x1.7ba0360d444p-19, -0x1.7bedff567ddc2p-19, -0x1.7c2bcc2eb2e13p-19, -0x1.7c721840849f5p-19, -0x1.7cacd9dfb0ce1p-19, -0x1.7cd8ffa79b839p-19, -0x1.7d020bbbca759p-19, -0x1.7d23ad74270fep-19, -0x1.7d3ca2f3ccc68p-19, -0x1.7d5294e37cb59p-19, -0x1.7d5d94912de6ep-19, -0x1.7d63abc69f0a5p-19, -0x1.7d60d9251c4c3p-19, -0x1.7d5d6961e316p-19, -0x1.7d4eb80bb933bp-19, -0x1.7d3aba84ae0e5p-19, -0x1.7d1f3906473cdp-19, -0x1.7cfee89188febp-19, -0x1.7cd7c25425515p-19, -0x1.7cabc0837c1eep-19, -0x1.7c803f4e6958fp-19, -0x1.7c46020bf80fap-19, -0x1.7c046c3d57bd2p-19, -0x1.7bc14bbc81c5bp-19, -0x1.7b7713657e025p-19, -0x1.7b299d12c64fap-19, -0x1.7ad658d7c6f78p-19, -0x1.7a7be749e0952p-19, -0x1.7a2f0c0b9eb2p-19, -0x1.79ce497b9470cp-19, -0x1.79513ed50a4p-19, -0x1.78e86693800abp-19, -0x1.78756286bc039p-19, -0x1.77fe4e6b34d79p-19, -0x1.7786f4e317776p-19, -0x1.77060b85b9791p-19, -0x1.768044a3e11e9p-19, -0x1.75f9b9fd19717p-19, -0x1.756a1df206686p-19, -0x1.74d902bb7bdccp-19, -0x1.7443dc5d1a99p-19, -0x1.73aaa799b75a5p-19, -0x1.730cc476cdd49p-19, -0x1.726a4d1b13846p-19, -0x1.71cb38285e7cdp-19, -0x1.711d0be1d7ed8p-19, -0x1.707159f456864p-19, -0x1.6fbf9c99700e3p-19, -0x1.6f0a055543398p-19, -0x1.6e517a202d70cp-19, -0x1.6d95b7d3f963ep-19, -0x1.6cd8e863c7f7cp-19, -0x1.6c170816c296bp-19, -0x1.6b4efb2614634p-19, -0x1.6a86c11dd9f66p-19, -0x1.69b6401dab4ecp-19, -0x1.68ec96e242c3p-19, -0x1.681a1cdc2ca7cp-19, -0x1.6745736260201p-19, -0x1.6666a19f3d772p-19, -0x1.659278a42a49p-19, -0x1.64b4b0890b17fp-19, -0x1.63d3ea12d958fp-19, -0x1.62f1f80bab4c7p-19, -0x1.620b8ba59a5d1p-19, -0x1.612347fe5a5e8p-19, -0x1.6037fec431d23p-19, -0x1.5f3ac1aa2a4fep-19, -0x1.5e5cd32b19f78p-19, -0x1.5d6978e72654ap-19, -0x1.5c75b8e20e471p-19, -0x1.5b77a72e8a652p-19, -0x1.5a9df61520aecp-19, -0x1.598c851a7cdc9p-19, -0x1.588ee38a70e9cp-19, -0x1.578f272bc7a1ep-19, -0x1.568eac27da438p-19, -0x1.558b59160dd13p-19, -0x1.5487af09ecd49p-19, -0x1.538047819fe53p-19, -0x1.527c95d6b646dp-19, -0x1.516d714bc16bep-19, -0x1.5061cca7249a9p-19, -0x1.4f4f6abba725dp-19, -0x1.4e45f03f2d1c3p-19, -0x1.4d23ed3a70cb2p-19, -0x1.4c238a266a3f1p-19, -0x1.4b0eb55a943e7p-19, -0x1.49e4389bd68cep-19, -0x1.48e204fad02a5p-19, -0x1.47c9fbad49717p-19, -0x1.46ac6ec3b31f7p-19, -0x1.4596f546b4debp-19, -0x1.447a587b5fd88p-19, -0x1.435d4b87c1d67p-19, -0x1.423f698132e47p-19, -0x1.411f091c1aaa1p-19, -0x1.4016ece2f4afbp-19, -0x1.3ede90c786922p-19, -0x1.3dbc67ad0616bp-19, -0x1.3c936f76e6d31p-19, -0x1.3b7455610fa72p-19, -0x1.3a4d95435422bp-19, -0x1.3927a60e8da5ap-19, -0x1.37fd54c3781e3p-19, -0x1.36d8ccd9eb9a4p-19, -0x1.35afb8a56cce5p-19, -0x1.34868f2fe3483p-19, -0x1.336e75cd178b5p-19, -0x1.32323e7a2b085p-19, -0x1.3105fb679d14cp-19, -0x1.2fd9ece3dba4p-19, -0x1.2eacca7c3d33p-19, -0x1.2d7df754e767ep-19, -0x1.2c522a96c7efap-19, -0x1.2b242d6cb90b6p-19, -0x1.29eff13ba632fp-19, -0x1.28b8e135a6307p-19, -0x1.2796e76255b8ep-19, -0x1.26669bceaaf8p-19, -0x1.253643067597fp-19, -0x1.240253ebbc682p-19, -0x1.22cf8de1b4a31p-19, -0x1.21a2df30492b6p-19, -0x1.207500f9222d2p-19, -0x1.1f43789346af8p-19, -0x1.1e0db996d3d7ap-19, -0x1.1cdbab6ec16dap-19, -0x1.1ba963ac053d7p-19, -0x1.1a76f8dbee3f7p-19, -0x1.19446f53a84cfp-19, -0x1.1811b2b9d3879p-19, -0x1.16df16801dac7p-19, -0x1.15acc519ee3d6p-19, -0x1.146f68edeeb08p-19, -0x1.13463f10a1daap-19, -0x1.1214571d6ed5bp-19, -0x1.10e17fc7fe1c2p-19, -0x1.0faed2604ac23p-19, -0x1.0e7c501f16914p-19, -0x1.0d49dc0fd18cep-19, -0x1.0c177fd61beabp-19, -0x1.0ae59d42752bdp-19, -0x1.09b33bd005727p-19, -0x1.0881c859f3ac8p-19, -0x1.074ffa328dd82p-19, -0x1.061a219870ea6p-19, -0x1.04ed3e708619fp-19, -0x1.03bc41264efcbp-19, -0x1.028c02bd9d795p-19, -0x1.015c713ecfbc3p-19, -0x1.002bc7c962b4p-19, -0x1.fdd1e0196eee5p-20, -0x1.fb95c37771e7cp-20, -0x1.f93c5a746db63p-20, -0x1.f6df45e3b8a8dp-20, -0x1.f47fdf93d6886p-20, -0x1.f223cc3e79ef1p-20, -0x1.efc93de18346cp-20, -0x1.ed7130501484dp-20, -0x1.eb168b27d33b8p-20, -0x1.e8bd7409500dbp-20, -0x1.e665e5f8ef307p-20, -0x1.e40f61fb58fc5p-20, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.f17aac1621dd4p-6, 0x1.d8ef999b702cbp-5, 0x1.48718869504c4p-4, 0x1.8c05482fd1a3p-4, 0x1.b57234a7f3e76p-4, 0x1.c4b6526b5ff5ap-4, 0x1.bafd119e2c2efp-4, 0x1.9a3558f7752f2p-4, 0x1.64c46d2297694p-4, 0x1.1d4e01f25137p-4, 0x1.8d17f41d753d5p-5, 0x1.8cc6f74cffd4ap-6, -0x1.44f612e5c83c7p-9, -0x1.fc3bee37ff89cp-6, -0x1.f28648e19c8e3p-5, -0x1.76b81f202d397p-4, -0x1.f59948e21d1fcp-4, -0x1.3a24647dbc101p-3, -0x1.78af8a09a47edp-3, -0x1.b5d35467aabfbp-3, -0x1.f10e0f8022ab3p-3, -0x1.14f9d9172ea33p-2, -0x1.301668db96ea8p-2, -0x1.49ba39e748495p-2, -0x1.61cb188ff81c8p-2, -0x1.78362b8dfc347p-2, -0x1.8cef0e8b08c52p-2, -0x1.9fef0069ddb6p-2, -0x1.b1341ddfe1332p-2, -0x1.c0c0aa7fb54e4p-2, -0x1.ce9a6c86a1aa2p-2, -0x1.daca1ce0a8117p-2, -0x1.e55adda614a9bp-2, -0x1.ee59d8f57f633p-2, -0x1.f5d5b6347aa52p-2, -0x1.fbde62cb9c09ep-2, -0x1.004259c9ef2d7p-1, -0x1.01ed0d3a7d601p-1, -0x1.02f83f6e3beecp-1, -0x1.036cf7fa1eedcp-1, -0x1.035443d3c753p-1, -0x1.02b71fe1f50f1p-1, -0x1.019e6757c6676p-1, -0x1.0012cb7102c62p-1, -0x1.fc397f8f8ee7p-2, -0x1.f788f0ca193fcp-2, -0x1.f223bf24bc68cp-2, -0x1.ec192700f2368p-2, -0x1.e577ba4308c68p-2, -0x1.de4d664752833p-2, -0x1.d6a76ba114eebp-2, -0x1.ce925c17cbaf8p-2, -0x1.c61a1d52d543fp-2, -0x1.bd49eb2337aebp-2, -0x1.b42c59a7383ccp-2, -0x1.aacb5a5325f9fp-2, -0x1.a1303a32a5e26p-2, -0x1.9763b56d22b5ap-2, -0x1.8d6ded3ae27f6p-2, -0x1.83567ae5290fbp-2, -0x1.7924639b48f8dp-2, -0x1.6ede3c3f22a4bp-2, -0x1.648a1453778e8p-2, -0x1.5a2d7fd20d0bfp-2, -0x1.4fcdb2dab12c1p-2, -0x1.456f70a886e8ep-2, -0x1.3b171a23d4906p-2, -0x1.30c8b44702453p-2, -0x1.2687eb86ebe1fp-2, -0x1.1c581f4648881p-2, -0x1.123c5b2128a48p-2, -0x1.083766ca76c0dp-2, -0x1.fc978a59598fep-3, -0x1.e8f779ff2acep-3, -0x1.d592b08a2406cp-3, -0x1.c26cd594af3cdp-3, -0x1.af892ab61d399p-3, -0x1.9cea99e2b8efdp-3, -0x1.8a93aac42df42p-3, -0x1.78869bbe3824dp-3, -0x1.66c55c057eae2p-3, -0x1.555198cd73489p-3, -0x1.442cbbcc2f86fp-3, -0x1.3357f4b0a64b7p-3, -0x1.22d4382268acap-3, -0x1.12a250a8981cap-3, -0x1.02c2d13135ac5p-3, -0x1.e66c51e7a5bedp-4, -0x1.c7f9367a3da97p-4, -0x1.aa2c8c6d4ec54p-4, -0x1.8d065ba10e883p-4, -0x1.70865b867aee1p-4, -0x1.54ac190ff1c03p-4, -0x1.3976eaec81deap-4, -0x1.1ee5f918e2a27p-4, -0x1.04f84070af003p-4, -0x1.d75930dc43468p-5, -0x1.a60361c249303p-5, -0x1.75ec3f52482bp-5, -0x1.4710b6df73dd1p-5, -0x1.196d87106e512p-5, -0x1.d9fe5ce1f1cb6p-6, -0x1.838434bbe37acp-6, -0x1.2f64fa6dece58p-6, -0x1.bb31c9724843cp-7, -0x1.1c2fd41fe3eddp-7, -0x1.03677d45f4e54p-8, 0x1.453664914cefap-11, 0x1.4bed7efdbc709p-8, 0x1.33477f9c6ccc6p-7, 0x1.bc5757f7ed61ep-7, 0x1.209bfcf2995fep-6, 0x1.60fdaf40b5fb2p-6, 0x1.9f59bfca2aad9p-6, 0x1.dbb93213a513bp-6, 0x1.0b1287e85d105p-5, 0x1.27533cd13a3b5p-5, 0x1.42a33a2c228ep-5, 0x1.5d070918b1cbap-5, 0x1.76832a73bc067p-5, 0x1.8f1c1b345c3c4p-5, 0x1.a6d657e061885p-5, 0x1.bdb64cb4b92fcp-5, 0x1.d3c06e19d58e8p-5, 0x1.e8f9163bf8248p-5, 0x1.fd64a06a47ed7p-5, 0x1.0883ad6ddc9cep-4, 0x1.11f2c384519acp-4, 0x1.1b01b26d5a1a2p-4, 0x1.23b28d083477p-4, 0x1.2c0764e27cf2bp-4, 0x1.340244db7d904p-4, 0x1.3ba5311789a58p-4, 0x1.42f22200dc991p-4, 0x1.49eb1278e01cep-4, 0x1.5091eceec4f11p-4, 0x1.56e89e4198bcbp-4, 0x1.5cf10305f8532p-4, 0x1.62acf6d1f0361p-4, 0x1.681e4af303b34p-4, 0x1.6d46ca5eb673fp-4, 0x1.7228381b5cfbp-4, 0x1.76c451009c92fp-4, 0x1.7b1cc871f2acfp-4, 0x1.7f334ce45aab4p-4, 0x1.8309841fa91fbp-4, 0x1.86a10c16a679p-4, 0x1.89fb7d11f6813p-4, 0x1.8d1a668b87944p-4, 0x1.8fff506c0eb39p-4, 0x1.92abbf717f631p-4, 0x1.95212a167595bp-4, 0x1.976106016c472p-4, 0x1.996cbfac4f8bfp-4, 0x1.9b45bcd145574p-4, 0x1.9ced5c53c877ep-4, 0x1.9e64f6504f098p-4, 0x1.9faddbf4b74b3p-4, 0x1.a0c958a3c32a8p-4, 0x1.a1b8b00487207p-4, 0x1.a27d2148ffa3fp-4, 0x1.a317e3a5f04a3p-4, 0x1.a38a2779452eap-4, 0x1.a3d51d7a27a35p-4, 0x1.a3f9e6421e414p-4, 0x1.a3f9a15cd15b8p-4, 0x1.a3d56b5bacbdfp-4, 0x1.a38e57b24eb29p-4, 0x1.a32574412afe2p-4, 0x1.a29bca4161801p-4, 0x1.a1f25e07f96d1p-4, 0x1.a12a2d280301ap-4, 0x1.a0443168d9731p-4, 0x1.9f415f44d54e3p-4, 0x1.9e22a4e04833dp-4, 0x1.9ce8ec8d4e84cp-4, 0x1.9b951d051d81ap-4, 0x1.9a28145df8384p-4, 0x1.98a2b07854ca9p-4, 0x1.9705c75568f38p-4, 0x1.95522c496589ap-4, 0x1.9388ae34819b1p-4, 0x1.91aa17264bab5p-4, 0x1.8fb72bddf272ap-4, 0x1.8db0aec43b337p-4, 0x1.8b975efcbbeb5p-4, 0x1.896bf382cb3e3p-4, 0x1.872f230cc959ep-4, 0x1.84e1a0772011cp-4, 0x1.8284196d1e39ep-4, 0x1.801737033c86ap-4, 0x1.7d9ba1c5a0ff8p-4, 0x1.7b11fb90b940ap-4, 0x1.787ae4555574bp-4, 0x1.75d6f91afe4b5p-4, 0x1.7326d129f149dp-4, 0x1.706b02b17ae16p-4, 0x1.6da41fb34ae53p-4, 0x1.6ad2b8f19d111p-4, 0x1.67f757932b479p-4, 0x1.65128646b2ec7p-4, 0x1.6224c9273076p-4, 0x1.5f2ea2b2f4493p-4, 0x1.5c30964dc4285p-4, 0x1.592b1c1a18bdcp-4, 0x1.561eafffbb7bcp-4, 0x1.530bca4899136p-4, 0x1.4ff2ddf7de8d9p-4, 0x1.4cd45d0813aeap-4, 0x1.49b0b6378c428p-4, 0x1.4688567978b4cp-4, 0x1.435ba7c656579p-4, 0x1.402b101317fc1p-4, 0x1.3cf6f66357198p-4, 0x1.39bfba4141072p-4, 0x1.3685bc8afda2ep-4, 0x1.33495bc34e7dcp-4, 0x1.300af253d1f55p-4, 0x1.2ccad82c4651dp-4, 0x1.2989632e7ae04p-4, 0x1.2646e9bec0f41p-4, 0x1.2303bd5175adap-4, 0x1.1fc02bf4afeb5p-4, 0x1.1c7c84678c8b1p-4, 0x1.193911e9f849ap-4, 0x1.15f61d7c5b9e6p-4, 0x1.12b3efac0f2c8p-4, 0x1.0f72cc1615676p-4, 0x1.0c32f6cfc9f48p-4, 0x1.08f4b13dbe1f6p-4, 0x1.05b83a247c49ep-4, 0x1.027dcf8588902p-4, 0x1.fe8b587282cbfp-5, 0x1.f82014bd55cc5p-5, 0x1.f1ba444e0c4afp-5, 0x1.eb5a4f2744b35p-5, 0x1.e500a40874088p-5, 0x1.deada214bd348p-5, 0x1.d861ae27d2f7p-5, 0x1.d21d2482bfd58p-5, 0x1.cbe061c1bc596p-5, 0x1.c5abbd3d3580cp-5, 0x1.bf7f8a873a85fp-5, 0x1.b95c1980bdc8ep-5, 0x1.b341b98f37519p-5, 0x1.ad30b5c46b30ep-5, 0x1.a7295684e9139p-5, 0x1.a12bdedff3ac2p-5, 0x1.9b38938a6e887p-5, 0x1.954fb14876fabp-5, 0x1.8f717682da874p-5, 0x1.899e1a297d759p-5, 0x1.83d5d5f374661p-5, 0x1.7e18de22f6335p-5, 0x1.786761feb0015p-5, 0x1.72c192be09417p-5, 0x1.6d279c400578bp-5, 0x1.6799a849fe348p-5, 0x1.6217e06b579fep-5, 0x1.5ca268a25d9b2p-5, 0x1.573963e52c464p-5, 0x1.51dcf427c9222p-5, 0x1.4c8d383892104p-5, 0x1.474a4ba93dec2p-5, 0x1.421448c22bf5cp-5, 0x1.3ceb489be6bep-5, 0x1.37cf626b92b6dp-5, 0x1.32c0aadc2e0ep-5, 0x1.2dbf30847a13bp-5, 0x1.28cb082d500fbp-5, 0x1.23e43f4375612p-5, 0x1.1f0ae319f8683p-5, 0x1.1a3efe65fecc3p-5, 0x1.15809ba1c7f12p-5, 0x1.10cfc222f9791p-5, 0x1.0c2c787a1b989p-5, 0x1.0796c3813d1cap-5, 0x1.030ea63be44ebp-5, 0x1.fd284673409bfp-6, 0x1.f44e74eef2f22p-6, 0x1.eb8fd0b74fb75p-6, 0x1.e2ec5fbef9357p-6, 0x1.da641565bb2cdp-6, 0x1.d1f6e5c22a787p-6, 0x1.c9a4c50fa8eaep-6, 0x1.c16da80343a81p-6, 0x1.b9517b354968fp-6, 0x1.b1502b63dc57ep-6, 0x1.a969a3b6f18bp-6, 0x1.a19dcd42b6b93p-6, 0x1.99ec8d819f03fp-6, 0x1.9255c88008749p-6, 0x1.8ad964d5dc1d5p-6, 0x1.83773e52d8f2ep-6, 0x1.7c2f3953d78e5p-6, 0x1.750131f476c6cp-6, 0x1.6decfb89a85f3p-6, 0x1.66f27ece33537p-6, 0x1.6011898deb8ffp-6, 0x1.5949fe7d9d394p-6, 0x1.529ba94934e55p-6, 0x1.4c06617e525abp-6, 0x1.4589fdcd97b8p-6, 0x1.3f264ee473b27p-6, 0x1.38db2663b9b46p-6, 0x1.32a8559768a8cp-6, 0x1.2c8daa2944639p-6, 0x1.268af3b6c9b11p-6, 0x1.209fff59e3ba6p-6, 0x1.1acc9a4ed8584p-6, 0x1.15108f92cef9cp-6, 0x1.0f6bab73acfdp-6, 0x1.09ddb8a369269p-6, 0x1.04667f795e3d6p-6, 0x1.fe0b9400b35bdp-7, 0x1.f376be4477ed9p-7, 0x1.e90e0fa857814p-7, 0x1.ded11a72d6b67p-7, 0x1.d4bf6b6497df5p-7, 0x1.cad88d46d3fcdp-7, 0x1.c11c0f6227071p-7, 0x1.b7897e04ef06cp-7, 0x1.ae2064091fa12p-7, 0x1.a4e04beaf7c6cp-7, 0x1.9bc8bef7bc92p-7, 0x1.92d94796ab5f4p-7, 0x1.8a116f55f661bp-7, 0x1.8170bf35e3026p-7, 0x1.78f6c4db924c8p-7, 0x1.70a308ba32caap-7, 0x1.6875149445dcp-7, 0x1.606c6e5d05c18p-7, 0x1.58889e04fefaep-7, 0x1.50c92bc99921dp-7, 0x1.492da1a841d41p-7, 0x1.41b58c0799d94p-7, 0x1.3a60741bc727cp-7, 0x1.332de43ffeedbp-7, 0x1.2c1d6c7aa61c7p-7, 0x1.252e90f25d25ep-7, 0x1.1e60dd9d3735ep-7, 0x1.17b3d8d9e361fp-7, 0x1.11270e0c504efp-7, 0x1.0aba0b940557cp-7, 0x1.046c5d99bad14p-7, 0x1.fc7b2f56d66fbp-8, 0x1.f05a9ba8ac139p-8, 0x1.e4761e4a76627p-8, 0x1.d8ccd63516326p-8, 0x1.cd5ddcca4e7dap-8, 0x1.c228475b764b7p-8, 0x1.b72b2cfc5f2fep-8, 0x1.ac65ae13280d2p-8, 0x1.a1d6eaf9e1adbp-8, 0x1.977e18b3b025cp-8, 0x1.8d5a7590a3dddp-8, 0x1.836b3c8a3c6adp-8, 0x1.79afa752f9511p-8, 0x1.7026de03771bep-8, 0x1.66d00c26eace3p-8, 0x1.5daa4b73738dp-8, 0x1.54b4c347db36p-8, 0x1.4bee9ee08a547p-8, 0x1.435707f8735ccp-8, 0x1.3aed6295c5706p-8, 0x1.32b0ddf60b249p-8, 0x1.2aa0ec1c1d9b4p-8, 0x1.22bcd7a61868ep-8, 0x1.1b03e7002c545p-8, 0x1.13754c860341dp-8, 0x1.0c10421e5a6e1p-8, 0x1.04d3dfd75ddfp-8, 0x1.fb7eaef05b383p-9, 0x1.eda3cc0a6622cp-9, 0x1.e015ca46aaep-9, 0x1.d2d38a1de967cp-9, 0x1.c5dbd8fe151ccp-9, 0x1.b92e0cb3f59a5p-9, 0x1.acc8bb210c2b5p-9, 0x1.a0aae58dd16d5p-9, 0x1.94d31b2a884cfp-9, 0x1.893fd9a99edb6p-9, 0x1.7def8be50c815p-9, 0x1.72e09dceb5ee7p-9, 0x1.68118e3a04b55p-9, 0x1.5d8105de44cd4p-9, 0x1.532dd5b16550fp-9, 0x1.49170effb9a27p-9, 0x1.3f3be14a6c756p-9, 0x1.359b71da82cfdp-9, 0x1.2c34f3a7a0e83p-9, 0x1.2307638b77cacp-9, 0x1.1a11a991695bdp-9, 0x1.1152aebbc2558p-9, 0x1.08c9373a6a699p-9, 0x1.00740de904e76p-9, 0x1.f0a3f517ccc8ap-10, 0x1.e0c3bc2271fd5p-10, 0x1.d145232fb35c8p-10, 0x1.c22627cb58aacp-10, 0x1.b3651af874befp-10, 0x1.a5005e38c3b53p-10, 0x1.96f64e6e773dep-10, 0x1.8945274ff75d4p-10, 0x1.7beb02af60aa4p-10, 0x1.6ee6166622ea1p-10, 0x1.62349892eaec9p-10, 0x1.55d4e38ddcbf8p-10, 0x1.49c58688c950fp-10, 0x1.3e04bb08a322fp-10, 0x1.3290c2eb84a3p-10, 0x1.2767cde70f98bp-10, 0x1.1c883c7f93857p-10, 0x1.11f0bc85a204ap-10, 0x1.079ff677728fcp-10, 0x1.fb2921e3865e3p-11, 0x1.e79a79117f0eap-11, 0x1.d4907ebd8326ep-11, 0x1.c20c52c64566ep-11, 0x1.affdc2069b0fcp-11, 0x1.9e6fa845f7d41p-11, 0x1.8d5b4a6d8da27p-11, 0x1.7cbe1140c06fdp-11, 0x1.6c94e437595cep-11, 0x1.5cdc3fddd789p-11, 0x1.4d90d587034f7p-11, 0x1.3eafe95967ab5p-11, 0x1.3037e7d7a820ap-11, 0x1.222688034af5fp-11, 0x1.147aa2a73965ap-11, 0x1.07321102ff128p-11, 0x1.f4955b9fa966ep-12, 0x1.db84929dc621dp-12, 0x1.c32ea6642a40fp-12, 0x1.ab8fa6c84da3dp-12, 0x1.94a489ef22f72p-12, 0x1.7e6a095d07a89p-12, 0x1.68dac2ee17681p-12, 0x1.53f03b8e1e904p-12, 0x1.3fa452eecf822p-12, 0x1.2bf26fdedd75fp-12, 0x1.18d5bf50d9f43p-12, 0x1.064c9f5805927p-12, 0x1.e8a817a81166ap-13, 0x1.c5d3dc9f674f6p-13, 0x1.a413b22dc6566p-13, 0x1.8361d12a05f6ap-13, 0x1.63b7b49f4dfe5p-13, 0x1.4510407b8cdd5p-13, 0x1.276674e7e71c5p-13, 0x1.0ab6ca203ed57p-13, 0x1.ddf9dc1d517b1p-14, 0x1.a862b2af36019p-14, 0x1.749c250540494p-14, 0x1.428eb6112c637p-14, 0x1.12243045bcaedp-14, 0x1.c6d35da59432dp-15, 0x1.6c76c055c211cp-15, 0x1.153c06af6eeep-15, 0x1.8238c903ee9cap-16, 0x1.c0432fda0708ep-17, 0x1.10179fab14e73p-18, -0x1.494de6b6d2f92p-18, -0x1.c641901101953p-17, -0x1.6e9b3031bac67p-16, -0x1.f4e962fc8818ap-16, -0x1.3b1b958b9532ap-15, -0x1.7950c9211b14ap-15, -0x1.b51f3294b4d0bp-15, -0x1.ee9d162ec572p-15, -0x1.12d805de21871p-14, -0x1.2d499e43d9816p-14, -0x1.46aa6ba7176f5p-14, -0x1.5f0876353d403p-14, -0x1.76699afeb9af7p-14, -0x1.8ccb55116fb5ep-14, -0x1.a22a2cd41273dp-14, -0x1.b689e04a48baap-14, -0x1.c9f293ff7a12ap-14, -0x1.dc6c6ba54965dp-14, -0x1.edfda5acd9a57p-14, -0x1.feb12e06f6e77p-14, -0x1.0749b9554279ep-13, -0x1.0ed82192da703p-13, -0x1.1608b4bec6898p-13, -0x1.1cdc524598c1bp-13, -0x1.23556c3b39abep-13, -0x1.29722ebc07751p-13, -0x1.2f35f4a49b27bp-13, -0x1.34a3767d4f451p-13, -0x1.39c0da2ddfac5p-13, -0x1.3e9286613178ap-13, -0x1.431818f3cc059p-13, -0x1.474ffc4a8079ap-13, -0x1.4b3a6bb708c2ep-13, -0x1.4edd39c8e623p-13, -0x1.5237d03d5d06dp-13, -0x1.554c1ba888d1ep-13, -0x1.581c1351d2b58p-13, -0x1.5aaca4accb46ep-13, -0x1.5d012337e6217p-13, -0x1.5f1bead01c9ccp-13, -0x1.60fdd19cdea07p-13, -0x1.62a8c99234e61p-13, -0x1.641d8dd0e7abcp-13, -0x1.65600cfc5aeffp-13, -0x1.666f93153b5edp-13, -0x1.675000741c1d6p-13, -0x1.6802a35460088p-13, -0x1.6889f4b791035p-13, -0x1.68e6efa4b289dp-13, -0x1.6918549a1a303p-13, -0x1.692034bf18ce6p-13, -0x1.6901ee5f7105ep-13, -0x1.68bc4d8fdd62fp-13, -0x1.684f72a1e4fc5p-13, -0x1.67bedd4fc6d8ep-13, -0x1.670d0a4c911fep-13, -0x1.663b549b35cabp-13, -0x1.6549db5baf9e1p-13, -0x1.643b82cc8a63bp-13, -0x1.63112a9d5318ap-13, -0x1.61c95276ea536p-13, -0x1.6065e0691f022p-13, -0x1.5ee6b790c72e7p-13, -0x1.5d4f18839f5e5p-13, -0x1.5b9f3a9747c55p-13, -0x1.59d93e7ba1325p-13, -0x1.57fe0b336ea19p-13, -0x1.560e0669ad17p-13, -0x1.540a4c5c45fabp-13, -0x1.51f3914430384p-13, -0x1.4fcb3d312eaaap-13, -0x1.4d90600fa5dabp-13, -0x1.4b439df48a083p-13, -0x1.48e627e2a86cp-13, -0x1.4679aac79033ep-13, -0x1.43ff747463657p-13, -0x1.4178234c1a536p-13, -0x1.3ee4a2e218b21p-13, -0x1.3c44f221b999ap-13, -0x1.39995dd439e85p-13, -0x1.36e21415f4f7bp-13, -0x1.3420b8e29b6adp-13, -0x1.3155dee8365c8p-13, -0x1.2e807ab938d4cp-13, -0x1.2ba1e52d5ab14p-13, -0x1.28bd91da25aedp-13, -0x1.25cce69310339p-13, -0x1.22d7a52e39aeep-13, -0x1.1fdc2c19a0477p-13, -0x1.1ce2b5e4c3882p-13, -0x1.19d3d5c440eadp-13, -0x1.16c80d0149fd1p-13, -0x1.13b6b6a031bb4p-13, -0x1.10a07ff539fb4p-13, -0x1.0d86fc49ccfe6p-13, -0x1.0a698ea1fe35fp-13, -0x1.0749c9bc65153p-13, -0x1.0426f6fb4467ep-13, -0x1.01026a1c59ec4p-13, -0x1.fbb7d35c7e92ep-14, -0x1.f566b462457dp-14, -0x1.ef12e1aacbae7p-14, -0x1.e8bd7eb2749dp-14, -0x1.e266f0f8ee569p-14, -0x1.dc0cb140004fdp-14, -0x1.d5b3a5f0e86f4p-14, -0x1.cf5cb15c9de2ep-14, -0x1.c903fcc52195bp-14, -0x1.c2ae22db9dc14p-14, -0x1.bc59209c1f87ep-14, -0x1.b607e768eb449p-14, -0x1.afb69be76ab7bp-14, -0x1.a96b64b788a37p-14, -0x1.a3224d07ab089p-14, -0x1.9cddc3f665936p-14, -0x1.969dcaf80c11dp-14, -0x1.9062a911bb586p-14, -0x1.8a2cafe6a4e4fp-14, -0x1.83fcb129d2048p-14, -0x1.7dd02ec558a6ep-14, -0x1.77ab8d2a515f8p-14, -0x1.71909f75fdcbap-14, -0x1.6b79ccb0bb1edp-14, -0x1.6569f30ba6f54p-14, -0x1.5f619495ed7c2p-14, -0x1.5960fe0bd804dp-14, -0x1.53689fedfc55cp-14, -0x1.4d79818e84792p-14, -0x1.47921a238428cp-14, -0x1.41b2b3e6b5d59p-14, -0x1.3bdb7d5907bf5p-14, -0x1.360d563a30f98p-14, -0x1.3049b13a70674p-14, -0x1.2a8f87ada4112p-14, -0x1.24ddb632ae2a4p-14, -0x1.1f377c515ba0ep-14, -0x1.199a7688e7358p-14, -0x1.1407441ce4d92p-14, -0x1.0e7e59a6ea62p-14, -0x1.08ffcb03407e8p-14, -0x1.038bb82478055p-14, -0x1.fc44912d61f15p-15, -0x1.f18714216a92cp-15, -0x1.e6df0b0b9db7cp-15, -0x1.dc4d3668144a9p-15, -0x1.d1d065e6d652bp-15, -0x1.c76d1a8a92146p-15, -0x1.bd1bc60b420e7p-15, -0x1.b2e381b78d151p-15, -0x1.a8bdc9193a6e6p-15, -0x1.9eb45aa37d632p-15, -0x1.94c17d9d3af58p-15, -0x1.8ae31f93a46f7p-15, -0x1.811d12a526a43p-15, -0x1.776d1bb2f9b2dp-15, -0x1.6dd28424cdda5p-15, -0x1.64510cf3314bfp-15, -0x1.5ae83a2cc0659p-15, -0x1.51964a9dc6f9p-15, -0x1.485ae6e3a5c6dp-15, -0x1.3f37c3f7a4751p-15, -0x1.362bb4949e719p-15, -0x1.2d36fc66c048ap-15, -0x1.2459cdfb4c131p-15, -0x1.1b922d37bc14ep-15, -0x1.12e3f8808eaf5p-15, -0x1.0a4ed49dc608ap-15, -0x1.01cf14554f28ep-15, -0x1.f2cc7ee537eedp-16, -0x1.e22b074501c2fp-16, -0x1.d1dbdd6138fc8p-16, -0x1.c181088a1eb54p-16, -0x1.b16c2a9932567p-16, -0x1.a1780b55bf0b3p-16, -0x1.91be24aa58e2bp-16, -0x1.8236b1d6325dbp-16, -0x1.72d93c21d1089p-16, -0x1.63b4e06fe6e36p-16, -0x1.54a91589f4373p-16, -0x1.45d9d9b47984cp-16, -0x1.3732f20df645cp-16, -0x1.28b8bc502c07ap-16, -0x1.1a6ff3ddf018cp-16, -0x1.0c4e8eb9c916p-16, -0x1.fcb2f51553bfcp-17, -0x1.e121832bd7037p-17, -0x1.c5f6d80058e42p-17, -0x1.ab1cb35cb1983p-17, -0x1.9099a299eac05p-17, -0x1.76741d455bfa9p-17, -0x1.5c8e76fa6a115p-17, -0x1.431a400b3feb7p-17, -0x1.29f1e749b4724p-17, -0x1.1119db98ecfc8p-17, -0x1.f1389bddc8286p-18, -0x1.c0e1f737c44e4p-18, -0x1.913690693feb6p-18, -0x1.621f2dbbe43c7p-18, -0x1.33b871c8b8604p-18, -0x1.05ecd6524a5dap-18, -0x1.b2555c944a579p-19, -0x1.5910517c09d4cp-19, -0x1.0157ab06aaa9fp-19, -0x1.55a72fd5a75c8p-20, -0x1.5687e6a325921p-21, -0x1.a0d7c60c97c3ep-27, 0x1.39cbafafce177p-21, 0x1.44fff34012fcap-20, 0x1.e5998b5c3f127p-20, 0x1.41e8b8facdd2ap-19, 0x1.8fd4fcc39d69p-19, 0x1.dc92690aabap-19, 0x1.140fb688f6311p-18, 0x1.393f389d0fa68p-18, 0x1.5ddbd364561c7p-18, 0x1.81e50c9fca9fdp-18, 0x1.a560695841607p-18, 0x1.c84e171c2312fp-18, 0x1.eaadf83f73411p-18, 0x1.0641d7e9aab41p-17, 0x1.16e390f36f388p-17, 0x1.273e32e53e98cp-17, 0x1.3757d7e4f2fafp-17, 0x1.472691d5e7c8bp-17, 0x1.56b5a4c8b9ff4p-17, 0x1.65f58a59670aap-17, 0x1.750a375882cf7p-17, 0x1.83cae07feda3cp-17, 0x1.9253f7d985fd9p-17, 0x1.a0972228e7d5dp-17, 0x1.ae9db1a5f70aep-17, 0x1.bc7941be89dcep-17, 0x1.c9eaa0450a3a9p-17, 0x1.d7333bf5960dcp-17, 0x1.e42a854293376p-17, 0x1.f0f0fa5f4cd1bp-17, 0x1.fd8c01780f70ep-17, 0x1.04ee842f8a659p-16, 0x1.0aff26e30ac93p-16, 0x1.10edbb84eba74p-16, 0x1.16b3867dd751p-16, 0x1.1c6d457a8ce4fp-16, 0x1.220322c409a82p-16, 0x1.278087be1fd48p-16, 0x1.2cde5c43c53ddp-16, 0x1.322290fa9989ap-16, 0x1.3747c19655b83p-16, 0x1.3c5528f8c73bcp-16, 0x1.4147292c34757p-16, 0x1.461e2fd43fe5cp-16, 0x1.4ad8047f9fda8p-16, 0x1.4f7d52a454cc7p-16, 0x1.54062438b01c8p-16, 0x1.5875fdb8641b4p-16, 0x1.5ccab371c546p-16, 0x1.6108cdb6deaacp-16, 0x1.652fa9d458314p-16, 0x1.693ad57a803a4p-16, 0x1.6d29bec88e6ccp-16, 0x1.71060b85df1cap-16, 0x1.74cdfe0fa39edp-16, 0x1.7878bc753364bp-16, 0x1.7c10970ce023ep-16, 0x1.7f904707eaa63p-16, 0x1.82f846a937de3p-16, 0x1.864a7916bcb1ap-16, 0x1.89865fb74c47ap-16, 0x1.8cae0723144b8p-16, 0x1.8fbf9be35d6bbp-16, 0x1.92be013ead5aep-16, 0x1.95a0431d657d9p-16, 0x1.9871614224ef2p-16, 0x1.9b2e42fa35df8p-16, 0x1.9de75de35cb12p-16, 0x1.a07373b9ccf91p-16, 0x1.a2f82c9176305p-16, 0x1.a55d3a47da002p-16, 0x1.a7b4e857c5cf7p-16, 0x1.aa02fb6d1b684p-16, 0x1.ac3475319ae79p-16, 0x1.ae62d4fa0c29p-16, 0x1.b068ded5ace5ep-16, 0x1.b267088c57aa2p-16, 0x1.b451fd1a43464p-16, 0x1.b62a7b32d846dp-16, 0x1.b7f5bb5ee1d42p-16, 0x1.b9a8f5f487d0ap-16, 0x1.bb522bf97f247p-16, 0x1.bce74adb9304cp-16, 0x1.be6b8fe6b6e7bp-16, 0x1.bfe369e77e218p-16, 0x1.c146f35796f9fp-16, 0x1.c29bf5fe5358ap-16, 0x1.c3e0f3b3334fap-16, 0x1.c51977352ceb1p-16, 0x1.c63c03eeee0a2p-16, 0x1.c7500be93d514p-16, 0x1.c859db3806207p-16, 0x1.c95950150e477p-16, 0x1.ca4474771534dp-16, 0x1.cb1f4f9138068p-16, 0x1.cbee4bde12166p-16, 0x1.ccaeec07b268cp-16, 0x1.cd62af602da66p-16, 0x1.ce09864907d1bp-16, 0x1.cea1ea47ef1d3p-16, 0x1.cf2e744e727fbp-16, 0x1.cfac826d52c4fp-16, 0x1.d01eaec20d4ccp-16, 0x1.d0844d6341442p-16, 0x1.d0dde02a9b37ap-16, 0x1.d12c0183e6c1cp-16, 0x1.d17170964fc14p-16, 0x1.d1a86333182f6p-16, 0x1.d1c8a487ae07ap-16, 0x1.d1e475b20b52ap-16, 0x1.d1fc8a0410c7fp-16, 0x1.d2075391a9f5ap-16, 0x1.d203c95f6ffdp-16, 0x1.d1f8976b7c6f2p-16, 0x1.d1dac30747684p-16, 0x1.d1bbb5b534733p-16, 0x1.d18f2da28ea65p-16, 0x1.d1590995fa261p-16, 0x1.d119159a3fcc3p-16, 0x1.d0cfbd6aee3b1p-16, 0x1.d07ce2424b39dp-16, 0x1.d01b54043d8eep-16, 0x1.cfb4e0da3a7c9p-16, 0x1.cf470cd508aadp-16, 0x1.cecf0daa95eecp-16, 0x1.ce464558bc1bep-16, 0x1.cdc0bd3fda9b6p-16, 0x1.cd31d54f8c839p-16, 0x1.cc95eb13d3161p-16, 0x1.cbececa84f1c3p-16, 0x1.cb43d714ec0acp-16, 0x1.ca98af1f325a1p-16, 0x1.c9e57793a5d4p-16, 0x1.c9162051a1d45p-16, 0x1.c846c9d0e4e6p-16, 0x1.c777b89bbf6fap-16, 0x1.c6a33d9c7e99bp-16, 0x1.c5bd094f0a24cp-16, 0x1.c4dae4cd3761ep-16, 0x1.c3ecaddc5bf3ep-16, 0x1.c2f8327e97658p-16, 0x1.c1fcf6d4b3333p-16, 0x1.c0fb295ecb343p-16, 0x1.bff5674dd4b6p-16, 0x1.bee61c726d1f7p-16, 0x1.bdd18cacaa3cbp-16, 0x1.bcb74e7c4e28ap-16, 0x1.bb976156f39c3p-16, 0x1.ba72511b13379p-16, 0x1.b949601f0232cp-16, 0x1.b81767fdcc282p-16, 0x1.b6dac307b273cp-16, 0x1.b59ff4c704c2ep-16, 0x1.b468dbd832b7ap-16, 0x1.b31f5c309d034p-16, 0x1.b1d31de65c8cfp-16, 0x1.b08100d871668p-16, 0x1.af2f8abb255eap-16, 0x1.add8a2f9902c2p-16, 0x1.ac7bc9fa0fd8ap-16, 0x1.ab1410e39b345p-16, 0x1.a9b2502b5b354p-16, 0x1.a8514b166b155p-16, 0x1.a6d176f4a3e61p-16, 0x1.a567239890a18p-16, 0x1.a3f1efa45249dp-16, 0x1.a2798aaca2c74p-16, 0x1.a0f938ef3e638p-16, 0x1.9f7741c8f4f9fp-16, 0x1.9df29cb10e18ep-16, 0x1.9c6d73fd63b19p-16, 0x1.9addff886af5p-16, 0x1.995089307c8dbp-16, 0x1.97bc4a0bfdbcap-16, 0x1.9629d803277a8p-16, 0x1.94909c44a9316p-16, 0x1.92f338587fc1ap-16, 0x1.915a729b8b478p-16, 0x1.8fb6d3db4ac77p-16, 0x1.8e11f73c40017p-16, 0x1.8c6ba90755151p-16, 0x1.8ac68d487db08p-16, 0x1.891d9e8cf478cp-16, 0x1.87733440fdec9p-16, 0x1.85bcee05fbbc4p-16, 0x1.840a3051529b7p-16, 0x1.8256616e74c34p-16, 0x1.80a979c98e8a2p-16, 0x1.7ef27fafa32d2p-16, 0x1.7d3451784698p-16, 0x1.7b7667f57d23cp-16, 0x1.79b9d9e569edbp-16, 0x1.7802e23ced191p-16, 0x1.763ae54350f43p-16, 0x1.747934e9bb0bep-16, 0x1.72b758b8646dfp-16, 0x1.70f68789b888p-16, 0x1.6f2ec35a12eap-16, 0x1.6d64ae6b8c68ap-16, 0x1.6b9e4b3dcd334p-16, 0x1.69cf460e07f6bp-16, 0x1.68031765c97cap-16, 0x1.663c4057359afp-16, 0x1.64709a54c340dp-16, 0x1.62a0f13c45fa9p-16, 0x1.60d281c0d68fap-16, 0x1.5f01006081406p-16, 0x1.5d322b39d02eep-16, 0x1.5b613ee4510cep-16, 0x1.599219f1b6aebp-16, 0x1.57baac0ee4c2ep-16, 0x1.55e592667aa0dp-16, 0x1.5414076b10a22p-16, 0x1.52466e2c3a0cbp-16, 0x1.507035725518fp-16, 0x1.4e9e1cc591443p-16, 0x1.4cc962eb8e7c8p-16, 0x1.4ae97a2db2457p-16, 0x1.49197e1489848p-16, 0x1.474a4e26c0e65p-16, 0x1.45768c5e4797ep-16, 0x1.439856373bcbcp-16, 0x1.41c5bc4459729p-16, 0x1.403c3f09486d7p-16, 0x1.3e21131ecdaf8p-16, 0x1.3c47a5ee03ffap-16, 0x1.3a736be69ff63p-16, 0x1.389ba3dbf73c7p-16, 0x1.36ca596c9feabp-16, 0x1.34f610a3ef77ap-16, 0x1.332225f0b48c2p-16, 0x1.314f577ee8796p-16, 0x1.2f7c3e9048266p-16, 0x1.2da8cb71f0212p-16, 0x1.2bd8a1236c975p-16, 0x1.29f9578f05e9cp-16, 0x1.28363045fd386p-16, 0x1.2662d5b32b395p-16, 0x1.24939904c60e9p-16, 0x1.234215d115347p-16, 0x1.21010f7a6841ep-16, 0x1.1f2a90380ad68p-16, 0x1.1d5c9d8a2460dp-16, 0x1.1b8a417bf455ap-16, 0x1.19c23d0c5f9f1p-16, 0x1.17f511511a04cp-16, 0x1.1631a1d53a2d5p-16, 0x1.1466519ed3d76p-16, 0x1.12a1ccc3b3296p-16, 0x1.10d4397f38ac3p-16, 0x1.0f106092db478p-16, 0x1.0d478ab2f59dep-16, 0x1.0b87a281fbe3ep-16, 0x1.09bd5af87179p-16, 0x1.07fbd14132e0fp-16, 0x1.0642ebcd394e5p-16, 0x1.04843a00fb01dp-16, 0x1.02c0620d71f7dp-16, 0x1.0103732c289b8p-16, 0x1.fe9dc2951f07fp-17, 0x1.fb2330abd8d89p-17, 0x1.f7a742d6323e7p-17, 0x1.f43835eef8f5ep-17, 0x1.f0d3942f77c04p-17, 0x1.ed586f4257e6ep-17, 0x1.ea0781feac045p-17, 0x1.e69316fcbc7c2p-17, 0x1.e3392f9d3a70dp-17, 0x1.dfd036d541485p-17, 0x1.dc5a9f5f974f1p-17, 0x1.d90d54dd7b143p-17, 0x1.d5ba220e9631p-17, 0x1.d2602b845e2a8p-17, 0x1.cf0fd2f3a1978p-17, 0x1.cbbc83c8b9ea9p-17, 0x1.c8720b008085ep-17, 0x1.c53397cefaf4cp-17, 0x1.c1df159fabd3dp-17, 0x1.be9c6d8c003e2p-17, 0x1.bb5de3a49ba14p-17, 0x1.b81b193ba3b3bp-17, 0x1.b4d14bf198b8p-17, 0x1.b1ad920e7ec53p-17, 0x1.ae7b92d58ffb1p-17, 0x1.ab428657f4577p-17, 0x1.a7ca3293d2f64p-17, 0x1.a4ef71e49d46bp-17, 0x1.a1bc3fda94402p-17, 0x1.9eabdb96281dep-17, 0x1.9b830294b8cfap-17, 0x1.9864eb5a5bf3bp-17, 0x1.954e3e12e0ec6p-17, 0x1.923c2cbe51841p-17, 0x1.8f3484b2de54ep-17, 0x1.8c243a32d5adcp-17, 0x1.890b5994c4157p-17, 0x1.8602bfe717738p-17, 0x1.82fdcf4bbe167p-17, 0x1.7ffc684017331p-17, 0x1.7cfe949eab6a2p-17, 0x1.7a036e8d7085bp-17, 0x1.770eedcd8db7ep-17, 0x1.740d8bb61aa4bp-17, 0x1.7128877d0d066p-17, 0x1.6e3edd7127f96p-17, 0x1.6b54ed6c42eedp-17, 0x1.686fc0767b477p-17, 0x1.658eb4fff9341p-17, 0x1.62af77993f3cap-17, 0x1.5fd42ea902c3fp-17, 0x1.5d009306e764cp-17, 0x1.5a2b51bee0311p-17, 0x1.575a58e6dc154p-17, 0x1.54957e278430ap-17, 0x1.51bd528429b93p-17, 0x1.4f046fcd2b548p-17, 0x1.4c423ae572ca1p-17, 0x1.498c761a958fap-17, 0x1.4695a1f999e1cp-17, 0x1.441aec0332c7p-17, 0x1.41492b15d2882p-17, 0x1.3ed036ab25bf3p-17, 0x1.3c1fba2b8c848p-17, 0x1.3974ab453d82ep-17, 0x1.36be5d5cadeddp-17, 0x1.341ca39e2250ep-17, 0x1.3188e64fbb49cp-17, 0x1.2effe97fc5e17p-17, 0x1.2c629aaa1a782p-17, 0x1.29cdd315d4337p-17, 0x1.27408017cc302p-17, 0x1.24b7912e79d3dp-17, }}, 
      {{-0x1.38fd3854226bep+0, -0x1.286404b842561p+0, -0x1.118964b6bbc71p+0, -0x1.ee57bf6e0bb2cp-1, -0x1.b689f4dd30885p-1, -0x1.7e74b3abecb83p-1, -0x1.480603ed6d528p-1, -0x1.1486f80f48dadp-1, -0x1.c98c1d7cb5961p-2, -0x1.726e54d1a357cp-2, -0x1.2417bee50bea9p-2, -0x1.bd177b8cb5294p-3, -0x1.4313f23b5be29p-3, -0x1.b28edf0f27abcp-4, -0x1.fa60970f05799p-5, -0x1.8e43b53220bd3p-6, 0x1.ced8955fcf9ecp-8, 0x1.0de1a8bcd36ep-5, 0x1.ba25aa1ab9a3fp-5, 0x1.21d24aefbe41dp-4, 0x1.578b57047e106p-4, 0x1.806f3d3447449p-4, 0x1.9e8209c45b1cbp-4, 0x1.b398ce041ddb1p-4, 0x1.c159c48137509p-4, 0x1.c93d741510701p-4, 0x1.cc90a9c1e3f31p-4, 0x1.cc76f0609cb8ap-4, 0x1.c9ed6ae1c0cbap-4, 0x1.c5cdcfdd63c6fp-4, 0x1.c0d16d25e85a3p-4, 0x1.bb94776c9ce9fp-4, 0x1.b69891c99c2fp-4, 0x1.b247b07b6709dp-4, 0x1.aef755d4e961fp-4, 0x1.acea3f96623ffp-4, 0x1.ac531b60486a7p-4, 0x1.ad5674040c6f1p-4, 0x1.b00cdcb974b11p-4, 0x1.b484539e17855p-4, 0x1.bac2166bc9e1fp-4, 0x1.c2c3f01b64c21p-4, 0x1.cc8192beefe3ap-4, 0x1.d7ed16804d0ddp-4, 0x1.e4f564663e8b8p-4, 0x1.f38582591b6bdp-4, 0x1.01c30daeb7bap-3, 0x1.0a6f0ced5d167p-3, 0x1.13b98378aba0cp-3, 0x1.1d94db71a5043p-3, 0x1.27f34a2852c39p-3, 0x1.32c6f8d8f54d9p-3, 0x1.3e0238d45aad9p-3, 0x1.49979276dec57p-3, 0x1.5579e778bd932p-3, 0x1.619c80e4d145bp-3, 0x1.6df3285a8c5e2p-3, 0x1.7a721f74abab5p-3, 0x1.870e3ef44672ap-3, 0x1.93bcf296b689ep-3, 0x1.a074323e8dd97p-3, 0x1.ad2aaba52c0c8p-3, 0x1.b9d7857e5bdc3p-3, 0x1.c672700104a68p-3, 0x1.d2f3e26c4f25ap-3, 0x1.df54c16fa0a57p-3, 0x1.eb8e84231f61ep-3, 0x1.f79b2a30d7059p-3, 0x1.01ba97314e306p-2, 0x1.078bd3522197ap-2, 0x1.0d3ef99184bf3p-2, 0x1.12d2011e97dacp-2, 0x1.1843132a96ef6p-2, 0x1.1d908cd8816d2p-2, 0x1.22b8fb5bfa8c8p-2, 0x1.27bb18194db45p-2, 0x1.2c95c6e2db594p-2, 0x1.31481717e0432p-2, 0x1.35d137ef3fb7cp-2, 0x1.3a307f7f8548ep-2, 0x1.3e65626d05036p-2, 0x1.426f756346cc3p-2, 0x1.464e67de5bd21p-2, 0x1.4a0203cb5eb0ap-2, 0x1.4d8a291d21ebap-2, 0x1.50e6d5aacfe4ep-2, 0x1.541810fdc11bbp-2, 0x1.571dfe6c9e71fp-2, 0x1.59f8ceac8a8b7p-2, 0x1.5ca8c22c37b5p-2, 0x1.5f2e2b3202eedp-2, 0x1.618966bd5f863p-2, 0x1.63badd6ac5ba1p-2, 0x1.65c30611a8e9p-2, 0x1.67a25e721cc7p-2, 0x1.695970434f21ap-2, 0x1.6ae8cbc35442ep-2, 0x1.6c510774df46fp-2, 0x1.6d92c379986e9p-2, 0x1.6eaea4013dbd2p-2, 0x1.6fa552f8e24c2p-2, 0x1.70777f2ecd3dfp-2, 0x1.7125dacfff49cp-2, 0x1.71b11b5d9e6a9p-2, 0x1.7219fa4211654p-2, 0x1.726132c99e7bap-2, 0x1.728783569a382p-2, 0x1.728daa6d5bf55p-2, 0x1.727467e659612p-2, 0x1.723c7ee6892cep-2, 0x1.71e6b0a6f9a71p-2, 0x1.7173be7078ce8p-2, 0x1.70e46ebb29aa5p-2, 0x1.70397f772e131p-2, 0x1.6f73b363b9c72p-2, 0x1.6e93cce96191ap-2, 0x1.6d9a8aad3a288p-2, 0x1.6c88ac4d2fc3p-2, 0x1.6b5eeff7a1075p-2, 0x1.6a1e11778f491p-2, 0x1.68c6cc0b6b0aap-2, 0x1.6759d7f94f955p-2, 0x1.65d7ed4585f5ep-2, 0x1.6441c0a722c52p-2, 0x1.629804d894538p-2, 0x1.60db6b1c62ce5p-2, 0x1.5f0ca2361c155p-2, 0x1.5d2c56d16a35p-2, 0x1.5b3b318a50cd8p-2, 0x1.5939db267be1p-2, 0x1.5728f862ba3fdp-2, 0x1.55092a9eeafb8p-2, 0x1.52db11a7279eap-2, 0x1.509f4b8b1133ap-2, 0x1.4e567235dd1bap-2, 0x1.4c0119d4f9488p-2, 0x1.499fe082eb91cp-2, 0x1.47334f22fbd33p-2, 0x1.44bbf79f5b754p-2, 0x1.423a66b81004fp-2, 0x1.3faf2660a135ap-2, 0x1.3d1abce8ab23p-2, 0x1.3a7dae918178ap-2, 0x1.37d87cf5a9262p-2, 0x1.352ba5e7dfe93p-2, 0x1.3277a54a6e823p-2, 0x1.2fbcf42f9b906p-2, 0x1.2cfc0802753ddp-2, 0x1.2a35546604d6bp-2, 0x1.27694ab50a87ep-2, 0x1.249856df5b46ep-2, 0x1.21c2e5f5b89f8p-2, 0x1.1ee96092750f4p-2, 0x1.1c0c2b361b1ffp-2, 0x1.192ba98f518b2p-2, 0x1.16483c90093cap-2, 0x1.13624240e31d1p-2, 0x1.107a15e179c28p-2, 0x1.0d90105b9e36ep-2, 0x1.0aa4896ef7384p-2, 0x1.07b7d397913b6p-2, 0x1.04ca4108361e1p-2, 0x1.01dc21b70e413p-2, 0x1.fddb8424db5ap-3, 0x1.f7fed8428cc59p-3, 0x1.f222d38513141p-3, 0x1.ec47ffe147be4p-3, 0x1.e66ee5ceadad7p-3, 0x1.e09808404f5d1p-3, 0x1.dac3e7bfda99ep-3, 0x1.d4f2fddf4ae43p-3, 0x1.cf25c375af3afp-3, 0x1.c95ca9f1d28dep-3, 0x1.c3981f2f004c8p-3, 0x1.bdd89077442d1p-3, 0x1.b81e632c499b1p-3, 0x1.b269fb81bd62ep-3, 0x1.acbbb92f0eb8ap-3, 0x1.a713f80952477p-3, 0x1.a173111f2b6eap-3, 0x1.9bd9580376888p-3, 0x1.96471ff9c44fcp-3, 0x1.90bcb6a52fc49p-3, 0x1.8b3a67bbb17f5p-3, 0x1.85c0773a4721ep-3, 0x1.804f2f510b84bp-3, 0x1.7ae6cfcaa00d5p-3, 0x1.758795ad62814p-3, 0x1.7031bf152194cp-3, 0x1.6ae583a240466p-3, 0x1.65a318fbd7fecp-3, 0x1.606ab2fa76e7ep-3, 0x1.5b3c81bbdc0f7p-3, 0x1.5618b5bd5715fp-3, 0x1.50ff782250511p-3, 0x1.4bf0f33f9acc9p-3, 0x1.46ed4e1ce251fp-3, 0x1.41f4aa8dc9e3bp-3, 0x1.3d072e50a5dcep-3, 0x1.3824f56cea7e5p-3, 0x1.334e205d5d49p-3, 0x1.2e82c9be19912p-3, 0x1.29c30aa4be96ap-3, 0x1.250efb396fa4ep-3, 0x1.2066b05288d07p-3, 0x1.1bca3e2dfc784p-3, 0x1.1739b61fe977fp-3, 0x1.12b5286b94e4bp-3, 0x1.0e3ca2c281944p-3, 0x1.09d03174e9d01p-3, 0x1.056fe0c022077p-3, 0x1.011bb88ce984bp-3, 0x1.f9a7831c0a288p-4, 0x1.f13001989b5bbp-4, 0x1.e8d0f87d7b379p-4, 0x1.e08a6d8a749edp-4, 0x1.d85c639dbfc3p-4, 0x1.d046dd536b13dp-4, 0x1.c849d96b241c5p-4, 0x1.c06551c4c7bb3p-4, 0x1.b89942b9120bfp-4, 0x1.b0e5a40eb00c7p-4, 0x1.a94a69fc7f0cdp-4, 0x1.a1c787c13a7f8p-4, 0x1.9a5ced0eee9abp-4, 0x1.930a8c451254cp-4, 0x1.8bd04e0a01251p-4, 0x1.84ae21a5f6cfp-4, 0x1.7da3ed0756c22p-4, 0x1.76b1995c8ca2dp-4, 0x1.6fd70cf88b39fp-4, 0x1.69142c25007d9p-4, 0x1.6268d92698fc4p-4, 0x1.5bd4f3495333fp-4, 0x1.55585e505c9f6p-4, 0x1.4ef2f6c5627f8p-4, 0x1.48a49a4b960ebp-4, 0x1.426d25a4843bbp-4, 0x1.3c4c7161a67c6p-4, 0x1.364257d5e2ff3p-4, 0x1.304eb34ceb682p-4, 0x1.2a715aaaca8cdp-4, 0x1.24aa21dc16566p-4, 0x1.1ef8e29900e4ap-4, 0x1.195d6edca8b5bp-4, 0x1.13d79cf1a436fp-4, 0x1.0e673dd2ef12dp-4, 0x1.090c23fea8d18p-4, 0x1.03c62266f9bd6p-4, 0x1.fd2a127dbb1dp-5, 0x1.f2f155e768d1dp-5, 0x1.e8e1a91902a4cp-5, 0x1.defaae11d657ap-5, 0x1.d53c0208d96f3p-5, 0x1.cba53f2192354p-5, 0x1.c2360334affc2p-5, 0x1.b8edebb5feff5p-5, 0x1.afcc913ff9446p-5, 0x1.a6d18e1ae1dd5p-5, 0x1.9dfc7919c9fcbp-5, 0x1.954ceee5d845p-5, 0x1.8cc284fd39c26p-5, 0x1.845cd1d7f25bbp-5, 0x1.7c1b752b7ce67p-5, 0x1.73fdf91474edap-5, 0x1.6c04022fe7674p-5, 0x1.642d1e1a1c8d3p-5, 0x1.5c78eb418d61cp-5, 0x1.54e6f4d8f6fecp-5, 0x1.4d76db56ac794p-5, 0x1.46283355e3645p-5, 0x1.3efa9301c2cacp-5, 0x1.37ed91ca7bb36p-5, 0x1.3100c5e9a0001p-5, 0x1.2a33c7325b183p-5, 0x1.23862d10d0c67p-5, 0x1.1cf78f1e68743p-5, 0x1.168785b2f7401p-5, 0x1.1035a92f9c651p-5, 0x1.0a019160fc08ap-5, 0x1.03eada15786e1p-5, 0x1.fbe234e2ecdbbp-6, 0x1.f027da03f376ep-6, 0x1.e4a5d77510f8bp-6, 0x1.d95b69bbd5e0bp-6, 0x1.ce47c1add661ep-6, 0x1.c36a19e3fbe5cp-6, 0x1.b8c1acc1758fdp-6, 0x1.ae4db58ca7e8ep-6, 0x1.a40d6bebd985bp-6, 0x1.9a00138d59178p-6, 0x1.9024e2d1430e2p-6, 0x1.867b2a5a4ae46p-6, 0x1.7d021f9a04736p-6, 0x1.73b90448bcb08p-6, 0x1.6a9f1c5d10ccap-6, 0x1.61b3b3ebc77ddp-6, 0x1.58f6129602a9ep-6, 0x1.50657d206ebb5p-6, 0x1.48014817d7785p-6, 0x1.3fc8b5d53eec7p-6, 0x1.37bb1524a0357p-6, 0x1.2fd7ba3653fafp-6, 0x1.281df28b350ddp-6, 0x1.208d138c0a9b5p-6, 0x1.192473fa9a37bp-6, 0x1.11e369b4f8387p-6, 0x1.0ac94b83b501dp-6, 0x1.03d5739f99df5p-6, 0x1.fa0e81477c20ap-7, 0x1.ecbc1d7afa923p-7, 0x1.dfb2791647fa3p-7, 0x1.d2f051e2fd999p-7, 0x1.c67482e8fe9ffp-7, 0x1.ba3dbc3f27461p-7, 0x1.ae4ae3e4f0dd2p-7, 0x1.a29ab15c02034p-7, 0x1.972c0896b0c63p-7, 0x1.8bfdc2b1e246cp-7, 0x1.810eb6d05de68p-7, 0x1.765dc89cb19b4p-7, 0x1.6be9db72cde48p-7, 0x1.61b1d45295cfap-7, 0x1.57b492420a803p-7, 0x1.4df1182e652b7p-7, 0x1.44665127febacp-7, 0x1.3b132adfcb579p-7, 0x1.31f6a4e0b2b41p-7, 0x1.290fbd0cd7b07p-7, 0x1.205d69e35429cp-7, 0x1.17dec158881f6p-7, 0x1.0f92b79e79b18p-7, 0x1.07785e5bc78bfp-7, 0x1.ff1d87af3cf3ep-8, 0x1.efa9f2c087df1p-8, 0x1.e0942dd29d745p-8, 0x1.d1da62310e658p-8, 0x1.c37ac73728b4p-8, 0x1.b57395f04d9a1p-8, 0x1.a7c348d3f3131p-8, 0x1.9a67eebd7cd1bp-8, 0x1.8d5fcb7a25f3p-8, 0x1.80a9528adca6bp-8, 0x1.7443009f99839p-8, 0x1.682b13dc107e3p-8, 0x1.5c601f1a33705p-8, 0x1.50e0785ae0c5ap-8, 0x1.45aa9cefd43e5p-8, 0x1.3abd12d7d4efep-8, 0x1.30165fc688309p-8, 0x1.25b50a37da014p-8, 0x1.1b97a038a7aecp-8, 0x1.11bcb96de2cadp-8, 0x1.0822da766087dp-8, 0x1.fd9199b180ec5p-9, 0x1.eb5a56fcf1b39p-9, 0x1.d99d8dc583e2cp-9, 0x1.c85874e02fee9p-9, 0x1.b788852a2af89p-9, 0x1.a72b50d0d7435p-9, 0x1.973e418c78486p-9, 0x1.87bed52f9f442p-9, 0x1.78aaa78f67d9cp-9, 0x1.69ff9fc1bd6bbp-9, 0x1.5bbb16317be0ap-9, 0x1.4ddb4cb91185cp-9, 0x1.405ddf55f9c1p-9, 0x1.33409d9681eefp-9, 0x1.268185e612761p-9, 0x1.1a1e75753cac1p-9, 0x1.0e154f811be17p-9, 0x1.0263eb8bb08b9p-9, 0x1.ee107775e8d03p-10, 0x1.d80086ee2d9a2p-10, 0x1.c29421c764148p-10, 0x1.adc7a79f41e11p-10, 0x1.9998697e6931bp-10, 0x1.8601e11b5a5dcp-10, 0x1.7302128973921p-10, 0x1.60946586489acp-10, 0x1.4eb5bf29443d3p-10, 0x1.3d62bbf128cbp-10, 0x1.2c97900c0405fp-10, 0x1.1c511b1232ebfp-10, 0x1.0c8bdcb5fde97p-10, 0x1.fa89c19cf1544p-11, 0x1.dcf189103775ep-11, 0x1.c0499a331d493p-11, 0x1.a48d14284728dp-11, 0x1.89b6573c6a41bp-11, 0x1.6fc04206dedd7p-11, 0x1.56a574d6e7124p-11, 0x1.3e6187ed52092p-11, 0x1.26ecd7168d2bbp-11, 0x1.10442d6952bp-11, 0x1.f4c2d685fffbdp-12, 0x1.ca7fa3257056ap-12, 0x1.a1b42e508717bp-12, 0x1.7a564192d5a78p-12, 0x1.545c1abbf65a4p-12, 0x1.2fbdc2a5a52f8p-12, 0x1.0c72b5d66af8ap-12, 0x1.d4e53c7d828acp-13, 0x1.9369eff79c2ddp-13, 0x1.54607412ca18fp-13, 0x1.17ba77ea8037dp-13, 0x1.bad3c2f78c6fep-14, 0x1.4ab59edf0ee53p-14, 0x1.be10e0dcaa355p-15, 0x1.de8d4ea5c66acp-16, 0x1.46b0be764ed53p-18, -0x1.2b0ad3b916298p-16, -0x1.4bf18ec804aa2p-15, -0x1.faa31e6d572f1p-15, -0x1.50ed72e74302p-14, -0x1.a0e5b794b803cp-14, -0x1.ed4eae6b34e2fp-14, -0x1.1b211e548f90dp-13, -0x1.3dfb26d19a416p-13, -0x1.5f1d704eb29b4p-13, -0x1.7eb6565fcf6d4p-13, -0x1.9cc4efaa66b53p-13, -0x1.b9548e3fe09e2p-13, -0x1.d470e59c5c438p-13, -0x1.ee25f099852dap-13, -0x1.033f9817eda1bp-12, -0x1.0ec37df7eb049p-12, -0x1.19a36bd6ffaf4p-12, -0x1.23e392182dc77p-12, -0x1.2d8863206912bp-12, -0x1.36964f283815dp-12, -0x1.3f11ccbb5a19ep-12, -0x1.46ff3d4b63644p-12, -0x1.4e62a035e4728p-12, -0x1.5540008442d0ap-12, -0x1.5b9b72262b294p-12, -0x1.6178817dc3d88p-12, -0x1.66db8fd2e7f3cp-12, -0x1.6bc96bf981b3cp-12, -0x1.70468bcd5d2ep-12, -0x1.7457439737fd7p-12, -0x1.77fe146f465bfp-12, -0x1.7b3f447f191f8p-12, -0x1.7e1db4b43afffp-12, -0x1.809b5d53a476ep-12, -0x1.82bd4c6efcda8p-12, -0x1.84859b952f0fcp-12, -0x1.85f6ced9798b4p-12, -0x1.87138bb090affp-12, -0x1.87e156b6222f3p-12, -0x1.885f8d067b58bp-12, -0x1.8894c7e4dc70ep-12, -0x1.887c8e43aa18fp-12, -0x1.88203ceedb1bcp-12, -0x1.877fab096ccaep-12, -0x1.8697a811272c7p-12, -0x1.858273889185cp-12, -0x1.842a57c3f3693p-12, -0x1.829873d15e1aep-12, -0x1.80cebf118d474p-12, -0x1.7ecef3ee82952p-12, -0x1.7c9b56973114p-12, -0x1.7a365a8d80073p-12, -0x1.77a25d7ef2d3bp-12, -0x1.74e1b3b47d1bfp-12, -0x1.71f65ecb0fe1fp-12, -0x1.6ee264f88444ap-12, -0x1.6ba77a8992491p-12, -0x1.6847281091b73p-12, -0x1.64c3ac45bddeep-12, -0x1.611c26ce9a893p-12, -0x1.5d54ca8f339fep-12, -0x1.596ec003e0181p-12, -0x1.556c471dfca09p-12, -0x1.514e801b263edp-12, -0x1.4d163422f72d8p-12, -0x1.48c3fec2315a8p-12, -0x1.445906241b47cp-12, -0x1.3fd6b4ba23a94p-12, -0x1.3b3eab8581eb5p-12, -0x1.3691b65dc8c0ap-12, -0x1.31d1890351f5ap-12, -0x1.2d00268b7844ap-12, -0x1.281f34cb83eb2p-12, -0x1.232ee50810bddp-12, -0x1.1e3162405618p-12, -0x1.19269968ebcb3p-12, -0x1.1410f9a4e279p-12, -0x1.0eee6e97f5a8ap-12, -0x1.09c281e46b166p-12, -0x1.048c612d9abdap-12, -0x1.fe9f3b75d4ec8p-13, -0x1.f416be90bb2fp-13, -0x1.e980146846cc8p-13, -0x1.dede166c8a64fp-13, -0x1.d42fdbcab454ep-13, -0x1.c9791693b840ap-13, -0x1.beb7b876e5177p-13, -0x1.b3f03352c8053p-13, -0x1.a924bb9312531p-13, -0x1.9e566988e0034p-13, -0x1.9388960a46214p-13, -0x1.88b6bb850c319p-13, -0x1.7de793e62e9bcp-13, -0x1.73178101ee47ap-13, -0x1.6845b23cdea8dp-13, -0x1.5d830bc1f1b8ap-13, -0x1.52c036fb5df4ap-13, -0x1.48043278e9377p-13, -0x1.3d4f3b63138f8p-13, -0x1.32a1a174f0b3fp-13, -0x1.27fc2f9740b9ap-13, -0x1.1d5f0a216c721p-13, -0x1.12cd4b4671964p-13, -0x1.084688d4d8fdep-13, -0x1.fb95aa59f0133p-14, -0x1.e6b6b5961c409p-14, -0x1.d1f28243a2ed8p-14, -0x1.bd4a1c552e01cp-14, -0x1.a8c1350e12287p-14, -0x1.9453aad5697fep-14, -0x1.80047e4a320ep-14, -0x1.6bd7f28ab653ep-14, -0x1.57cef2a6d96f6p-14, -0x1.43e03d324fd49p-14, -0x1.301c0c86669a1p-14, -0x1.1c7889ab1487cp-14, -0x1.09003bf226e6dp-14, -0x1.eb508f45ce2dap-15, -0x1.c4f6a89623235p-15, -0x1.9ee1ed7e7572bp-15, -0x1.79284a54964a6p-15, -0x1.53c1b4fad7484p-15, -0x1.2eab34db4f268p-15, -0x1.09e89cb492c53p-15, -0x1.caf54982e1884p-16, -0x1.82c9bf77f3d49p-16, -0x1.3b4f636f53579p-16, -0x1.e906b0acb3fc3p-17, -0x1.5ce85797c542dp-17, -0x1.a498a5ceef366p-18, -0x1.23c57b5c14b83p-19, 0x1.f70a3b3e3e231p-20, 0x1.8ad125624cdap-18, 0x1.4a57774992646p-17, 0x1.cdd29f17162a7p-17, 0x1.27ede9c65c4dep-16, 0x1.686e1d9d8e514p-16, 0x1.a7bf7e9691bacp-16, 0x1.e68937985d911p-16, 0x1.1249da3a61ea8p-15, 0x1.30e01900ef9bdp-15, 0x1.4f3593d4d8d2bp-15, 0x1.6d1421dc2b643p-15, 0x1.8a958093a2325p-15, 0x1.a7bb442412ab3p-15, 0x1.c47c7b7474e55p-15, 0x1.e0e4c889ff3fbp-15, 0x1.fce3a8d9514ebp-15, 0x1.0c3e30f351261p-14, 0x1.19dd80a2e1d02p-14, 0x1.274f1a4d8bf72p-14, 0x1.348e47c248473p-14, 0x1.419cf7f875a76p-14, 0x1.4e7b82b33195bp-14, 0x1.5b2a704103476p-14, 0x1.67ab0be03162ep-14, 0x1.73fbe1bedb042p-14, 0x1.801d2e16db186p-14, 0x1.8c0b4e434feaap-14, 0x1.97cc769ebcc24p-14, 0x1.a35d9a3885857p-14, 0x1.aec47f906741cp-14, 0x1.b9fcfbd25e891p-14, 0x1.c5021415e916p-14, 0x1.cfdb35a4c5c6ep-14, 0x1.da8605a8adb7cp-14, 0x1.e5034bb3a34c1p-14, 0x1.ef5337e649e77p-14, 0x1.f97607cba13ffp-14, 0x1.01b5cd2d9580fp-13, 0x1.0699a90d1a63ep-13, 0x1.0b67cc828bc92p-13, 0x1.1020d8420560ep-13, 0x1.14c32a54a0466p-13, 0x1.195010daa6e4cp-13, 0x1.1dc794ccb8422p-13, 0x1.2228408b22676p-13, 0x1.267382d3599d3p-13, 0x1.2aa9e07dac4d9p-13, 0x1.2ecc5a921aa55p-13, 0x1.32da3cdde37e2p-13, 0x1.36d21ffe0ba45p-13, 0x1.3ab603c7bdbe3p-13, 0x1.3e857aa597bfdp-13, 0x1.42404b44b8288p-13, 0x1.45e72e89707a6p-13, 0x1.497a5776b15dap-13, 0x1.4cf9cb15406c6p-13, 0x1.5065b485cd8adp-13, 0x1.53be3bca4813dp-13, 0x1.57038bd217896p-13, 0x1.5a35e47e51687p-13, 0x1.5d55585d3d921p-13, 0x1.6062286dc7197p-13, 0x1.635ca5d212e13p-13, 0x1.6643be22a69d6p-13, 0x1.691a811bf20e1p-13, 0x1.6bdce59b6af8bp-13, 0x1.6e8fe84029136p-13, 0x1.712f7336f4694p-13, 0x1.73c0a134324abp-13, 0x1.763ea05287d54p-13, 0x1.78a970b8c22c9p-13, 0x1.7b0545f6d6da9p-13, 0x1.7d4f5626c0378p-13, 0x1.7f8b8740cf199p-13, 0x1.81b5bd03ff30dp-13, 0x1.83cf74a90df0bp-13, 0x1.85d8f7524b1ddp-13, 0x1.87d2db811c1dfp-13, 0x1.89bd64d1a7402p-13, 0x1.8b98508c4128ap-13, 0x1.8d63ef20d85cbp-13, 0x1.8f2075b8af1fp-13, 0x1.90ce105460f1dp-13, 0x1.926b82c31e333p-13, 0x1.93fbc5097e721p-13, 0x1.957ed39c6dc7ap-13, 0x1.96f266c4603f7p-13, 0x1.98582271fb206p-13, 0x1.99afd92cda6a5p-13, 0x1.9afb7ac632cp-13, 0x1.9c340764a5896p-13, 0x1.9d62ec027cb2fp-13, 0x1.9e86d81157548p-13, 0x1.9f9bc253b32edp-13, 0x1.a0a1364e8253fp-13, 0x1.a19ce78f2ede8p-13, 0x1.a28bc157ee2cp-13, 0x1.a36e7757bb9fbp-13, 0x1.a443d70bc06c2p-13, 0x1.a50d37ca7eeap-13, 0x1.a5cafc569f033p-13, 0x1.a67d21cf6a935p-13, 0x1.a723aea5599adp-13, 0x1.a7beda8301fc4p-13, 0x1.a84ebc88431cfp-13, 0x1.a8d385d26f612p-13, 0x1.a94d5819e0e5p-13, 0x1.a9bc6561bc2ccp-13, 0x1.aa20b48039244p-13, 0x1.aa7ae571920fp-13, 0x1.aaca4e74aa57ep-13, 0x1.ab0fafc5721a4p-13, 0x1.ab4b2ac49e835p-13, 0x1.ab7cdac541f8cp-13, 0x1.aba508e260278p-13, 0x1.abc33f5588d32p-13, 0x1.abd6ad0764facp-13, 0x1.abe2e6ecbbeedp-13, 0x1.abe67bc28a35ap-13, 0x1.abddb7615331ap-13, 0x1.abcec6dcc11e2p-13, 0x1.abb5e15d55527p-13, 0x1.ab954634ee67dp-13, 0x1.ab6c5a9cb2221p-13, 0x1.ab3b735bd6e9p-13, 0x1.aafe65aaa5528p-13, 0x1.aabec728dd689p-13, 0x1.aa74dd614e899p-13, 0x1.aa2330c493f1dp-13, 0x1.a9c9d6a87e197p-13, 0x1.a968f4e2d0db2p-13, 0x1.a900c2f3fd46cp-13, 0x1.a89172548869cp-13, 0x1.a81ac2fb40921p-13, 0x1.a79c677cfbf2cp-13, 0x1.a717be88a7f43p-13, 0x1.a68d1c29a0a7fp-13, 0x1.a5fad7c0c00bcp-13, 0x1.a561f794ec93ap-13, 0x1.a4c2d76e5c6dap-13, 0x1.a41d800f4dff9p-13, 0x1.a37165bc93f66p-13, 0x1.a2c0a176c6315p-13, 0x1.a209a7302302fp-13, 0x1.a14b307bc8946p-13, 0x1.a08786de23412p-13, 0x1.9fbe0bce45befp-13, 0x1.9ef15e10c25cap-13, 0x1.9e1d448f9fef5p-13, 0x1.9d438b55089f3p-13, 0x1.9c64d622c8282p-13, 0x1.9b823bf21f306p-13, 0x1.9a98f17735bf7p-13, 0x1.99ab22cf5c546p-13, 0x1.98b9124962232p-13, 0x1.97c2f0df3e3a6p-13, 0x1.96c736f1c6facp-13, 0x1.95c755f03002p-13, 0x1.94c2c68b04281p-13, 0x1.93b95b0bccecbp-13, 0x1.92acf56df88bfp-13, 0x1.919c53a89eddcp-13, 0x1.90858fa6f0211p-13, 0x1.8f6d3045c3abp-13, 0x1.8e4f831cdf7bep-13, 0x1.8d301f84a8d62p-13, 0x1.8c0b20c1fa496p-13, 0x1.8ae2d351eef04p-13, 0x1.89b72d710e902p-13, 0x1.8887f69a8003cp-13, 0x1.8755b60c68e8ap-13, 0x1.862002c321d7cp-13, 0x1.84e727f9f842fp-13, 0x1.83ab0b2bcb9b4p-13, 0x1.826c49d92adfep-13, 0x1.812b0ed4f6892p-13, 0x1.7fe5fd06be416p-13, 0x1.7e9d4a15d095ep-13, 0x1.7d52f4958185cp-13, 0x1.7c06b8a7f0686p-13, 0x1.7ab797239a79p-13, 0x1.796537f753088p-13, 0x1.7810640c6985dp-13, 0x1.76b96622a6b65p-13, 0x1.75603d9ac86a2p-13, 0x1.7404fa24a9d5dp-13, 0x1.72a78080bcdebp-13, 0x1.7147f2c6c80dap-13, 0x1.6fe689dd3bccbp-13, 0x1.6e8283e87ec04p-13, 0x1.6d1cc6ff494b9p-13, 0x1.6bb581f2c413bp-13, 0x1.6a4e68b384dd3p-13, 0x1.68e23d790745fp-13, 0x1.67764dd188dep-13, 0x1.66067856a4e0dp-13, 0x1.6497716cdadccp-13, 0x1.6325a77d6b7d9p-13, 0x1.61b5c40c979ebp-13, 0x1.603ff47513d23p-13, 0x1.5ecbb6fe5dc95p-13, 0x1.5d54acaf87b1fp-13, 0x1.5bdd06f4f7a21p-13, 0x1.5a644bb6a5f1ap-13, 0x1.58ea7170af4eep-13, 0x1.576f8edbc91cap-13, 0x1.55f3ba56f22f8p-13, 0x1.547734e78a6cbp-13, 0x1.52f9e423dac78p-13, 0x1.5179c1a524d31p-13, 0x1.4ffb05f43f264p-13, 0x1.4e7b524366e13p-13, 0x1.4cfb424fc0a54p-13, 0x1.4b79a250af15fp-13, 0x1.49f6f6fb18ab8p-13, 0x1.4873d605e0f58p-13, 0x1.46f0eb5a8b5d8p-13, 0x1.456e23dacf581p-13, 0x1.43ea1b73cbba8p-13, 0x1.42654b583426bp-13, 0x1.40e06eb855ee2p-13, 0x1.3f5b63c270a8cp-13, 0x1.3dd603bc1317cp-13, 0x1.3c5064caa092fp-13, 0x1.3aca8f3a1d824p-13, 0x1.39449fae988bfp-13, 0x1.37be79daabc51p-13, 0x1.363845990d4eap-13, 0x1.34b1ff84d1909p-13, 0x1.332bced5dec1fp-13, 0x1.31a5a2c1f24cp-13, 0x1.3020196e10a11p-13, 0x1.2e99e54356402p-13, 0x1.2d12e4024e4e7p-13, 0x1.2b8ce2a1d6e32p-13, 0x1.2a0835178d9c9p-13, 0x1.288330f6a89cdp-13, 0x1.26fdc45d00216p-13, 0x1.2578bb6d30f7bp-13, 0x1.23f3e5d3baed9p-13, 0x1.226f6edde93afp-13, 0x1.20eb9b93fe161p-13, 0x1.1f68291b05b7bp-13, 0x1.1de52374318bcp-13, 0x1.1c62c02d1e2a5p-13, 0x1.1ae118a9ba5c4p-13, 0x1.195df40c66e85p-13, 0x1.17dd7a90454adp-13, 0x1.165ca8aeee32ep-13, 0x1.14ddeef29ca65p-13, 0x1.135d00098eea4p-13, 0x1.11dd8c72093dcp-13, 0x1.10607cae52e2ep-13, 0x1.0ee2f7da45f4cp-13, 0x1.0d66478d827aep-13, 0x1.0be95a53224bep-13, 0x1.0a6e6f949252dp-13, 0x1.08f4959d10d76p-13, 0x1.077ac76253946p-13, 0x1.0601172d6b74ap-13, 0x1.0488a7319a158p-13, 0x1.03119b6503e17p-13, 0x1.019aab1894ffep-13, 0x1.0025124b47469p-13, 0x1.fd60953b5cef5p-14, 0x1.fa78d9f768008p-14, 0x1.f792b03335fb3p-14, 0x1.f4ae826f8a74cp-14, 0x1.f1cc60aeb1666p-14, 0x1.eeebf824a6c99p-14, 0x1.ec0dac2674fc1p-14, 0x1.e9314e6bc5a48p-14, 0x1.e657046fa2a6dp-14, 0x1.e37ef00afe64p-14, 0x1.e0a9573164039p-14, 0x1.ddd510c3562e5p-14, 0x1.db0198394b67ap-14, 0x1.d8322692c1b21p-14, 0x1.d566002df0d0cp-14, 0x1.d29aa0de94d6bp-14, 0x1.cfd114b60b5a7p-14, 0x1.cd095de3b9d1ep-14, 0x1.ca458f10b2369p-14, 0x1.c7838180c7384p-14, 0x1.c4c36eda03c22p-14, 0x1.c206261121afcp-14, 0x1.bf4bb8d21278ep-14, 0x1.bc922d536d428p-14, 0x1.b9d9e31dca09dp-14, 0x1.b726e26530223p-14, 0x1.b476a1eef05cap-14, 0x1.b1c8ac76ed275p-14, 0x1.af1b3b0706f5bp-14, 0x1.ac7106fd35b1bp-14, 0x1.a9c9d4d422c43p-14, 0x1.a7259c62f8f86p-14, 0x1.a4820dc95724dp-14, 0x1.a1e152d24f69ap-14, 0x1.9f43f1743f9a5p-14, 0x1.9cac4c7d5b43cp-14, 0x1.9a13b64038757p-14, 0x1.977eca7adcd7ap-14, 0x1.94e94223ae0eep-14, 0x1.9259e5b8b80dap-14, 0x1.8fcd47494f7dfp-14, 0x1.8d4360584c8e9p-14, 0x1.8abb65e984fe5p-14, 0x1.88356877ede26p-14, 0x1.85b3e6542b63bp-14, 0x1.8332d37465023p-14, 0x1.80b57ad792644p-14, 0x1.7e3b54970ca53p-14, 0x1.7bc94d22fef4bp-14, 0x1.794e45d2c29f8p-14, 0x1.76dc3a9d8c10ep-14, 0x1.746c32219dd65p-14, 0x1.71ff8a3d10bc2p-14, 0x1.6f94c286b4269p-14, 0x1.6d2e8ed961d77p-14, 0x1.6aca34dbe5165p-14, 0x1.6868b66b82d76p-14, 0x1.660ab599731aep-14, 0x1.63ac7af8fc1cap-14, 0x1.6154f2dd87d69p-14, 0x1.5efeb8243b706p-14, 0x1.5caa4914109a3p-14, 0x1.5a58b3351e1c3p-14, 0x1.580c23c3b76d1p-14, 0x1.55c12989334f1p-14, 0x1.5378cbc3cdf09p-14, 0x1.5132f80c2318bp-14, 0x1.4ef0339054febp-14, 0x1.4cb0626e63d52p-14, 0x1.4a739cdfe0fbcp-14, 0x1.4839f8f7a2a79p-14, 0x1.46019dfb5a3adp-14, 0x1.43cc4b9e47d84p-14, 0x1.419ad4f75c676p-14, 0x1.3f6d5ff168688p-14, 0x1.3d403e3679013p-14, 0x1.3b1841bd05195p-14, 0x1.38f24bfef88fbp-14, 0x1.36cb703a0574p-14, 0x1.34ab597f3ca82p-14, 0x1.328fbcf67e912p-14, 0x1.3075595b5e74dp-14, 0x1.2e5bb42f16bfp-14, 0x1.2c440d244874dp-14, 0x1.2a66c4b393cc3p-14, 0x1.28228f3182976p-14, 0x1.261766a5f0678p-14, 0x1.240c61a3c35cap-14, 0x1.220285379410dp-14, 0x1.20001d8e63514p-14, 0x1.1dfe432ceb2c1p-14, 0x1.1bff3f48efac1p-14, 0x1.1a02f624bd33cp-14, 0x1.1809acbf9e09dp-14, 0x1.1612b6199a5a4p-14, 0x1.141ef1673edd9p-14, 0x1.122e9fd590f71p-14, 0x1.103f80816757bp-14, 0x1.0e5377a55c294p-14, 0x1.0c6aa1d6e0a91p-14, 0x1.0aa48bce81d54p-14, 0x1.08a3d4c96eb8bp-14, 0x1.06c05374abc14p-14, 0x1.04e1f1f49faefp-14, 0x1.03071cc8a7fe2p-14, 0x1.012e8d55f9597p-14, 0x1.feb18375d9a88p-15, 0x1.fb0b161df2162p-15, 0x1.f76a61a4fe5ebp-15, 0x1.f3ceaad6357ep-15, 0x1.f037e1121ff5fp-15, 0x1.eca8262573a5p-15, 0x1.e91fe775da7c7p-15, 0x1.e596511712ad9p-15, 0x1.e2138efc8b7d2p-15, 0x1.de99f94c70929p-15, 0x1.db2301ba5643p-15, 0x1.d7b3e19baefd1p-15, 0x1.d4475e2afdc62p-15, 0x1.d0e0472a3d6d9p-15, 0x1.cd8c16b228d99p-15, 0x1.ca2439ff0cf06p-15, 0x1.c6cb099bf5923p-15, 0x1.c3798075e77ap-15, 0x1.c02dfa5cc6e9cp-15, 0x1.bce51b2a89e95p-15, 0x1.b9a2ffb6a9305p-15, 0x1.b66885dee877ap-15, 0x1.b331867180efcp-15, 0x1.aff8cbc1e71bep-15, 0x1.acc9a240dba21p-15, 0x1.a9a125e82ea24p-15, 0x1.a681fb00b5d96p-15, 0x1.a36350c5d6a64p-15, 0x1.a0465c61c5ddap-15, 0x1.9d308e6d03977p-15, 0x1.9a20153ac367bp-15, 0x1.9715b0430ace3p-15, 0x1.940e7ef4ef566p-15, 0x1.910d3d2cba3e6p-15, 0x1.8e1102b4a4424p-15, 0x1.8b18bdc3d7d3dp-15, 0x1.8820997ba8be9p-15, 0x1.85378922b93cap-15, 0x1.824e976f72ca4p-15, 0x1.7f6e48a617bd9p-15, 0x1.7c87fc43482ccp-15, 0x1.79adb494dd68dp-15, 0x1.76d5c16d78825p-15, 0x1.74060084b5317p-15, 0x1.71382a2c53e6cp-15, 0x1.6e6f4e4ca205p-15, 0x1.6babd041261efp-15, 0x1.68ec2030a9128p-15, 0x1.6631ab6722c68p-15, 0x1.63799732a0397p-15, 0x1.60c907215db8p-15, 0x1.5e1be67c8006cp-15, 0x1.5b73b6c80b3ap-15, 0x1.58cfb5e632bc8p-15, 0x1.56301aee55f58p-15, 0x1.5394b5747ee4bp-15, 0x1.50fdfd071c84dp-15, 0x1.4e69a814208c7p-15, 0x1.4bdccadb9614dp-15, 0x1.495371c9c3bdep-15, 0x1.46ce3a8397168p-15, 0x1.444d21905126p-15, 0x1.41d09618cac9p-15, 0x1.3f59834de1ec4p-15, 0x1.3cdfcc3798483p-15, 0x1.3a72f41005c68p-15, 0x1.3808e7b67a0eep-15, 0x1.35a12bc3d6593p-15, 0x1.333dacc526d4dp-15, 0x1.30df8781db887p-15, 0x1.2e808f5612febp-15, 0x1.2c2885315b64fp-15, 0x1.29da9a7d4fec6p-15, 0x1.27ad032847b26p-15, 0x1.253d377f842f3p-15, 0x1.22f4a6e146e98p-15, 0x1.20bd8d89b505dp-15, 0x1.1e7a09906084p-15, 0x1.1c3b1efc9fddap-15, 0x1.1a02cd1d826c3p-15, 0x1.17d0ac616418p-15, 0x1.15a1e935295fep-15, 0x1.13780b39cd8f5p-15, 0x1.114fc3055a055p-15, 0x1.0f2bc4cf16f7dp-15, 0x1.0d0c027fd28ep-15, 0x1.0af0284be215fp-15, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.73b0866e279d6p-3, -0x1.759725412a58cp-3, -0x1.78bcade2bff37p-3, -0x1.7d191adc9f92fp-3, -0x1.82a199bd04f15p-3, -0x1.8948df213278dp-3, -0x1.90ff81052b3f5p-3, -0x1.99b45244d5f58p-3, -0x1.a354bba8ae6a1p-3, -0x1.adcd10058c6d6p-3, -0x1.b908d9e5dac41p-3, -0x1.c4f321e8df3aap-3, -0x1.d176ad8aaea85p-3, -0x1.de7e3665a0527p-3, -0x1.ebf49a3d12e54p-3, -0x1.f9c50447f2422p-3, -0x1.03ed882338fb9p-2, -0x1.0b1173fb3947fp-2, -0x1.1244adbcba15ap-2, -0x1.197dfa9c5f033p-2, -0x1.20b484e55a678p-2, -0x1.27dfe228adda2p-2, -0x1.2ef817df07f4fp-2, -0x1.35f59eadb00b7p-2, -0x1.3cd164798ffbcp-2, -0x1.4384cd6e90ea8p-2, -0x1.4a09b41d46afdp-2, -0x1.505a68cd10886p-2, -0x1.5671b01d9f2cbp-2, -0x1.5c4ac10ffdd93p-2, -0x1.61e1428cc9883p-2, -0x1.6731487b35d0ap-2, -0x1.6c37507a978f1p-2, -0x1.70f03e4ea1aa5p-2, -0x1.7559580d060bdp-2, -0x1.79704219ddbf8p-2, -0x1.7d32faff12c3fp-2, -0x1.809fd729de142p-2, -0x1.83b57c986342ep-2, -0x1.8672de8083bc3p-2, -0x1.88d738f7fef62p-2, -0x1.8ae20ca51dc6cp-2, -0x1.8c931a7e4c831p-2, -0x1.8dea5f9e331aep-2, -0x1.8ee8113117921p-2, -0x1.8f8c987f9e0ebp-2, -0x1.8fd88f1a4bfap-2, -0x1.8fccbb28890e3p-2, -0x1.8f6a0bdd4dbf3p-2, -0x1.8eb196131640cp-2, -0x1.8da49110387aap-2, -0x1.8c44537444ea9p-2, -0x1.8a92504eb2ac7p-2, -0x1.8890145eb8be9p-2, -0x1.863f437be68f7p-2, -0x1.83a19626c712fp-2, -0x1.80b8d74098f49p-2, -0x1.7d86e1e8f8c14p-2, -0x1.7a0d9f802a61bp-2, -0x1.764f05cc93fafp-2, -0x1.724d1541d9fbfp-2, -0x1.6e09d767fd2aep-2, -0x1.69875d60d40c5p-2, -0x1.64c7be8a236efp-2, -0x1.5fcd173aab1p-2, -0x1.5a99879869b39p-2, -0x1.552f328672eb1p-2, -0x1.4f903ca8b285cp-2, -0x1.49becb7bfef0ap-2, -0x1.43bd04810047ep-2, -0x1.3d8d0c7866e27p-2, -0x1.373106af102b7p-2, -0x1.30ab1458ca39p-2, -0x1.29fd53f86e07ap-2, -0x1.2329e0d42cc34p-2, -0x1.1c32d274f31f1p-2, -0x1.151a3c2fe2552p-2, -0x1.0de22cb8ece87p-2, -0x1.068cadbdbc946p-2, -0x1.fe378710345dfp-3, -0x1.ef22d94e3ae63p-3, -0x1.dfdf433cfc08dp-3, -0x1.d070a936f0fd3p-3, -0x1.c0dae25d70606p-3, -0x1.b121b815b0dccp-3, -0x1.a148e58e1e3b3p-3, -0x1.9154174b4aca7p-3, -0x1.8146eabbe874ap-3, -0x1.7124edd331567p-3, -0x1.60f19ea94d7f9p-3, -0x1.50b06b215c23p-3, -0x1.4064b094c138dp-3, -0x1.3011bb8374b6ap-3, -0x1.1fbac7491f7ap-3, -0x1.0f62fdd6d9081p-3, -0x1.fe1aeee2b28d9p-4, -0x1.dd7a74e72903bp-4, -0x1.bcea762b4261cp-4, -0x1.9c70b66fbf264p-4, -0x1.7c12d464bc0fp-4, -0x1.5bd64950df23fp-4, -0x1.3bc068c0f6d71p-4, -0x1.1bd6604002f3ep-4, -0x1.f83a6e2f68c5ap-5, -0x1.b9339c32d3d3bp-5, -0x1.7aa1bedf61317p-5, -0x1.3c8dfcf0ab346p-5, -0x1.fe025e9c2b487p-6, -0x1.8407c1c2a4109p-6, -0x1.0b3c9cfc391cap-6, -0x1.27619b6cc2868p-7, -0x1.d739538e9afd3p-10, 0x1.5db19c8dc50fp-8, 0x1.95c23b38bb92ep-7, 0x1.3cdd1f8b7bd3bp-6, 0x1.ad5398ca5a2dap-6, 0x1.0e1c277ab983fp-5, 0x1.44bfd0473a067p-5, 0x1.7a8f41ff40d8dp-5, 0x1.af85433c78356p-5, 0x1.e39ce55f9e28ep-5, 0x1.0b68c1f1b8f97p-4, 0x1.248f61d07f4ebp-4, 0x1.3d404902d81bfp-4, 0x1.5579921dce1afp-4, 0x1.6d397b224530cp-4, 0x1.847e650412084p-4, 0x1.9b46d32af4d9cp-4, 0x1.b1916aeda9afbp-4, 0x1.c75cf30770522p-4, 0x1.dca853082ad03p-4, 0x1.f17292bf8f07ap-4, 0x1.02dd6cd1c023p-3, 0x1.0cc0371904258p-3, 0x1.16615aa795be2p-3, 0x1.1fc098cf6aedbp-3, 0x1.28ddc16da283ap-3, 0x1.31b8b29419102p-3, 0x1.3a515831847c9p-3, 0x1.42a7abb83b3a6p-3, 0x1.4abbb3c3c9585p-3, 0x1.528d83bd83dd6p-3, 0x1.5a1d3b80330bp-3, 0x1.616b06fafcde7p-3, 0x1.68771dd3b6845p-3, 0x1.6f41c308b47f4p-3, 0x1.75cb4492457b8p-3, 0x1.7c13fb03fbe0dp-3, 0x1.821c492dd6d8ep-3, 0x1.87e49bbd7b2a5p-3, 0x1.8d6d68df89fc6p-3, 0x1.92b72fe1409c6p-3, 0x1.97c278d279e64p-3, 0x1.9c8fd42822061p-3, 0x1.a11fda5f47ad7p-3, 0x1.a5732ba0d3875p-3, 0x1.a98a6f66091a7p-3, 0x1.ad66541de00dap-3, 0x1.b1078ed351f4cp-3, 0x1.b46edad4ae3cap-3, 0x1.b79cf95c0168cp-3, 0x1.ba92b138ad8a4p-3, 0x1.bd50ce7a3cbc1p-3, 0x1.bfd8221c7e5bp-3, 0x1.c22981b50090fp-3, 0x1.c445c721f4463p-3, 0x1.c62dd03a8606fp-3, 0x1.c7e27e80b205ep-3, 0x1.c964b6d4b041bp-3, 0x1.cab56129ec7dep-3, 0x1.cbd5683da1ce5p-3, 0x1.ccc5b94f1d3a8p-3, 0x1.cd8743d9a8597p-3, 0x1.ce1af95031e3cp-3, 0x1.ce81ccdaa2a4ap-3, 0x1.cebcb314fbd01p-3, 0x1.cecca1d02e089p-3, 0x1.ceb28fd4b8081p-3, 0x1.ce6f74a70b294p-3, 0x1.ce04484db6b3cp-3, 0x1.cd72031959085p-3, 0x1.ccb99d6e5cd6ep-3, 0x1.cbdc0f907df76p-3, 0x1.cada51700fbdap-3, 0x1.c9b55a790af0ap-3, 0x1.c86e2163e364ep-3, 0x1.c7059c0812c14p-3, 0x1.c57cbf3067624p-3, 0x1.c3d47e710a2a6p-3, 0x1.c20dcbff36d91p-3, 0x1.c029988aa6e8bp-3, 0x1.be28d318a4654p-3, 0x1.bc0c68e0c840dp-3, 0x1.b9d5452b4d462p-3, 0x1.b78451310da86p-3, 0x1.b51a73fd00f5cp-3, 0x1.b298924f5af9dp-3, 0x1.afff8e821f943p-3, 0x1.ad50486f44245p-3, 0x1.aa8b9d5840a2dp-3, 0x1.a7b267cf14cd8p-3, 0x1.a4c57fa0b97c4p-3, 0x1.a1c5b9c0ec87p-3, 0x1.9eb3e8376007dp-3, 0x1.9b90da0e3459p-3, 0x1.985d5b41c1351p-3, 0x1.951a34b19fe4ep-3, 0x1.91c82c12edb0cp-3, 0x1.8e6803e3c06cdp-3, 0x1.8afa7b5fcb5cap-3, 0x1.87804e76192b6p-3, 0x1.83fa35bfebadep-3, 0x1.8068e678a5489p-3, 0x1.7ccd1276bf7f4p-3, 0x1.79276825bc34ap-3, 0x1.7578928117c2ap-3, 0x1.71c139102349fp-3, 0x1.6e01ffe2d0057p-3, 0x1.6a3b878f4f7aap-3, 0x1.666e6d309be1bp-3, 0x1.629b4a65c04f2p-3, 0x1.5ec2b551f5ba7p-3, 0x1.5ae5409d7c41bp-3, 0x1.57037b77318aep-3, 0x1.531df196d0e84p-3, 0x1.4f352b3fe9923p-3, 0x1.4b49ad4574154p-3, 0x1.475bf90dfc68dp-3, 0x1.436c8c986ddep-3, 0x1.3f7be28169285p-3, 0x1.3b8a72091ad28p-3, 0x1.3798af199e701p-3, 0x1.33a70a4dd4281p-3, 0x1.2fb5f0f8aec22p-3, 0x1.2bc5cd2ced02dp-3, 0x1.27d705c53bb4ap-3, 0x1.23e9fe6cbe9b2p-3, 0x1.1fff17a7eb33cp-3, 0x1.1c16aeddc3576p-3, 0x1.18311e615d433p-3, 0x1.144ebd7bb748p-3, 0x1.106fe075d1d6dp-3, 0x1.0c94d8a308e35p-3, 0x1.08bdf46bb01fap-3, 0x1.04eb7f57deb79p-3, 0x1.011dc21a7357fp-3, 0x1.faaa053884dc1p-4, 0x1.f323080ee60bbp-4, 0x1.eba70da5fa2a6p-4, 0x1.e436919c95ebcp-4, 0x1.dcd20a59f514cp-4, 0x1.d579e92566fe1p-4, 0x1.ce2e9a3e2e1a3p-4, 0x1.c6f084f37f26bp-4, 0x1.bfc00bbcaa95ep-4, 0x1.b89d8c51497cep-4, 0x1.b1895fc18db19p-4, 0x1.aa83da8e90256p-4, 0x1.a38d4cc2ad53ap-4, 0x1.9ca60209daa6p-4, 0x1.95ce41c9f5de1p-4, 0x1.8f064f3b0f379p-4, 0x1.884e697f9b169p-4, 0x1.81a6cbbc93e0ep-4, 0x1.7b0fad3182549p-4, 0x1.7489415063eb3p-4, 0x1.6e13b7d572fa4p-4, 0x1.67af3cdec7f31p-4, 0x1.615bf903cfe2ep-4, 0x1.5b1a116c9805fp-4, 0x1.54e9a7e8e5753p-4, 0x1.4ecadb071c461p-4, 0x1.48bdc62af0d4ep-4, 0x1.42c281a3dc5e6p-4, 0x1.3cd922c35730ep-4, 0x1.3701bbf2d5ff2p-4, 0x1.313c5cc9853abp-4, 0x1.2b891221c1c1ap-4, 0x1.25e7e62e4c3bfp-4, 0x1.2058e08f37292p-4, 0x1.1adc06668c456p-4, 0x1.15715a6ca7b21p-4, 0x1.1018dd044859ap-4, 0x1.0ad28c4e54271p-4, 0x1.059e643d4d9ap-4, 0x1.007c5ea87b6c6p-4, 0x1.f6d8e6bd7ffe8p-5, 0x1.ecdd3072460b5p-5, 0x1.e305825a0a52bp-5, 0x1.d951c0bc0a71ep-5, 0x1.cfc1cc5f265d4p-5, 0x1.c65582ac61699p-5, 0x1.bd0cbdd0b7a22p-5, 0x1.b3e754de557f1p-5, 0x1.aae51bed1ea0cp-5, 0x1.a205e43a979fdp-5, 0x1.99497c4929164p-5, 0x1.90afaffeae84ap-5, 0x1.883848c26f53bp-5, 0x1.7fe30d9a66824p-5, 0x1.77afc347ef834p-5, 0x1.6f9e2c63c4981p-5, 0x1.67ae09795e224p-5, 0x1.5fdf1921b01c6p-5, 0x1.5831181d41269p-5, 0x1.50a3c16da71d9p-5, 0x1.4936ce6e62e6dp-5, 0x1.41e9f6ed18fb3p-5, 0x1.3abcf141324cbp-5, 0x1.33af7262e09a5p-5, 0x1.2cc12e01873f7p-5, 0x1.25f1d699914c2p-5, 0x1.1f411d89ab649p-5, 0x1.18aeb3276ae94p-5, 0x1.123a46d36374dp-5, 0x1.0be3870ca7dfap-5, 0x1.05aa2183bfef2p-5, 0x1.ff1b865a2560ap-6, 0x1.f31c30a57d9dp-6, 0x1.e755994bda6d7p-6, 0x1.dbc7169f37229p-6, 0x1.d06ffe01c7b13p-6, 0x1.c54fa40584ea7p-6, 0x1.ba655c8aa4dc3p-6, 0x1.afb07add2dca1p-6, 0x1.a53051d17a3b3p-6, 0x1.9ae433dfcfe35p-6, 0x1.90cb733f1125p-6, 0x1.86e561fe71402p-6, 0x1.7d31521e4e5bcp-6, 0x1.73ae95a818c9fp-6, 0x1.6a5c7ec5694d4p-6, 0x1.613a5fd636302p-6, 0x1.58478b8630538p-6, 0x1.4f8354e15865ap-6, 0x1.46ed0f67bcc38p-6, 0x1.3e840f20692d4p-6, 0x1.3647a8aba1a0ep-6, 0x1.2e3731544d9e9p-6, 0x1.2651ff20b3816p-6, 0x1.1e9768e270eb9p-6, 0x1.1706c645c99cbp-6, 0x1.0f9f6fe040b9fp-6, 0x1.0860bf3e7d3e4p-6, 0x1.014a0ef19e283p-6, 0x1.f4b57537b2367p-7, 0x1.e7243df8faf93p-7, 0x1.d9df33f6d710bp-7, 0x1.cce51567a1d69p-7, 0x1.c034a2fcfa70cp-7, 0x1.b3cc9ff70a12dp-7, 0x1.a7abd236dafecp-7, 0x1.9bd1024f8c321p-7, 0x1.903afb968ec85p-7, 0x1.84e88c32ce1d1p-7, 0x1.79d8852aeb7dbp-7, 0x1.6f09ba7280bf9p-7, 0x1.647b02f67ed84p-7, 0x1.5a2b38a8a876cp-7, 0x1.5019388a25cd7p-7, 0x1.4643e2b54f1b3p-7, 0x1.3caa1a669ba71p-7, 0x1.334ac604c2fa3p-7, 0x1.2a24cf2830da7p-7, 0x1.213722a19f67dp-7, 0x1.1880b0801a5bdp-7, 0x1.10006c163aff7p-7, 0x1.07b54bfeb5c17p-7, 0x1.ff3c9440984b2p-8, 0x1.ef74c7626bcd2p-8, 0x1.e011327377d63p-8, 0x1.d10fdd2cd2389p-8, 0x1.c26ed5f335978p-8, 0x1.b42c31d936e2cp-8, 0x1.a6460ca02c26p-8, 0x1.98ba88b849ceap-8, 0x1.8b87cf3fbb048p-8, 0x1.7eac1000b70d8p-8, 0x1.7225816f076bfp-8, 0x1.65f260a42d949p-8, 0x1.5a10f15b2e023p-8, 0x1.4e7f7deb5d65bp-8, 0x1.433c5742841abp-8, 0x1.3845d4de2b20ap-8, 0x1.2d9a54c458ae9p-8, 0x1.23383b7b96611p-8, 0x1.191df4026089dp-8, 0x1.0f49efc60952p-8, 0x1.05baa698de6e8p-8, 0x1.f8dd2d4ff554ep-9, 0x1.e6c888e0f0d27p-9, 0x1.d5347568482d4p-9, 0x1.c41e14db8d72cp-9, 0x1.b3829589fd0d4p-9, 0x1.a35f320363b0bp-9, 0x1.93b130fe31bdp-9, 0x1.8475e53cd0e93p-9, 0x1.75aaad72597dbp-9, 0x1.674cf4269e1c3p-9, 0x1.595a2f999295bp-9, 0x1.4bcfe1a655dd4p-9, 0x1.3eab97a54cba4p-9, 0x1.31eaea4e49fcdp-9, 0x1.258b7d99e277bp-9, 0x1.198b00a2923fap-9, 0x1.0de72d8537585p-9, 0x1.029dc94181af6p-9, 0x1.ef594733d1db5p-10, 0x1.da232de745b2fp-10, 0x1.c595106b9cfd1p-10, 0x1.b1aacd51f091p-10, 0x1.9e6057ac057b6p-10, 0x1.8bb1b6ca7404cp-10, 0x1.799b05fa0d10fp-10, 0x1.681874415602cp-10, 0x1.5726441d6dc0cp-10, 0x1.46c0cb3f2b263p-10, 0x1.36e472486e1e1p-10, 0x1.278db48891d03p-10, 0x1.18b91fb957479p-10, 0x1.0a6353bc45307p-10, 0x1.f91204ae1a98cp-11, 0x1.de4ddde21acf2p-11, 0x1.c473dca1a58ecp-11, 0x1.ab7dccb1dff8ep-11, 0x1.93659b8bf52e3p-11, 0x1.7c2557d8b5d95p-11, 0x1.65b730ed4e7e4p-11, 0x1.50157647c57eap-11, 0x1.3b3a970cc915ep-11, 0x1.27212185ec591p-11, 0x1.13c3c2a04cebcp-11, 0x1.011d456d68bb2p-11, 0x1.de512545f0d7ap-12, 0x1.bbc160387ce7fp-12, 0x1.9a8180ba40e68p-12, 0x1.7a880429ecea2p-12, 0x1.5bcb9f4784956p-12, 0x1.3e433d3d82535p-12, 0x1.21e5feaf32594p-12, 0x1.06ab38c576fb4p-12, 0x1.d914e88565a1cp-13, 0x1.a6f6d92a6bb18p-13, 0x1.76ec1dda6075fp-13, 0x1.48e4f2a7c34bdp-13, 0x1.1cd1f38f3c83ep-13, 0x1.e548355fa50bdp-14, 0x1.94997d14c3e64p-14, 0x1.477b208facb5ap-14, 0x1.fba267f6fddf3p-15, 0x1.6f00f400b0dbdp-15, 0x1.d1b98181db1cep-16, 0x1.a407e5a3c922ep-17, -0x1.0c1edbe46567fp-19, -0x1.09407b9b56601p-16, -0x1.e592072a53f61p-16, -0x1.5b6b15f24c3d7p-15, -0x1.beb41bff9bf18p-15, -0x1.0e684991feed3p-14, -0x1.3af5ea9d1f0c6p-14, -0x1.65180f3910394p-14, -0x1.8ce3499d9ed2ap-14, -0x1.b26ba304a1363p-14, -0x1.d5c49e8457849p-14, -0x1.f7013bde86bfdp-14, -0x1.0b19fd241c9d8p-13, -0x1.19b76d915006fp-13, -0x1.2761b255d1e3p-13, -0x1.34215251012bep-13, -0x1.3ffe996f705a8p-13, -0x1.4b0199f3f53afp-13, -0x1.55322dbbb287p-13, -0x1.5e97f779e404p-13, -0x1.673a63f0d024fp-13, -0x1.6f20ab278b6c4p-13, -0x1.7651d19164781p-13, -0x1.7cd4a93fca66bp-13, -0x1.82afd3008e827p-13, -0x1.87e9bf8078ea1p-13, -0x1.8c88b063af70bp-13, -0x1.9092b95b115dep-13, -0x1.940dc134d168bp-13, -0x1.96ff82e836808p-13, -0x1.996d8e9d824c9p-13, -0x1.9b5d4aaee85a2p-13, -0x1.9cd3f4a6a733bp-13, -0x1.9dd6a234a1554p-13, -0x1.9e6a422776577p-13, -0x1.9e939d5849fafp-13, -0x1.9e5757991838dp-13, -0x1.9db9f0980c613p-13, -0x1.9cbfc4c4673d8p-13, -0x1.9b6d0e2a493cfp-13, -0x1.99c5e54d385e3p-13, -0x1.97ce41fd414b6p-13, -0x1.9589fc29bec7cp-13, -0x1.92fcccac9b605p-13, -0x1.902a4e129a007p-13, -0x1.8d15fd60e8f8bp-13, -0x1.89c33ad773db5p-13, -0x1.86354aac4439bp-13, -0x1.826f55c4f4c99p-13, -0x1.7e746a6cbf58cp-13, -0x1.7a477d04fab69p-13, -0x1.75eb68b2e95dfp-13, -0x1.7162f009b0894p-13, -0x1.6cb0bdb2478ecp-13, -0x1.67d7650e5d68cp-13, -0x1.62d962d649204p-13, -0x1.5db91db60b86dp-13, -0x1.5878e6e54b9c9p-13, -0x1.531afabdcfa6ep-13, -0x1.4da1814c8ec6p-13, -0x1.480e8ee1b36c4p-13, -0x1.4264249acdd82p-13, -0x1.3ca430ed66ef3p-13, -0x1.36d0902957698p-13, -0x1.30eb0cfd33501p-13, -0x1.2af560f6382a8p-13, -0x1.24f134fc303e6p-13, -0x1.1ee021cb1e5b4p-13, -0x1.18c3b06a07f5ap-13, -0x1.129d5a9ef7b0bp-13, -0x1.0c6e8b605b76fp-13, -0x1.06389f43b5208p-13, -0x1.fff9c9d3ea09dp-14, -0x1.f3793ad2c180ap-14, -0x1.e6f1f967f3818p-14, -0x1.da6653f797cc5p-14, -0x1.cdd8802987a7dp-14, -0x1.c14a9bab2ef06p-14, -0x1.b4beace7be959p-14, -0x1.a836a3bfd62e7p-14, -0x1.9bb45a3a5ab3p-14, -0x1.8f399532133f8p-14, -0x1.82c804fe0fb2ep-14, -0x1.766146147a937p-14, -0x1.6a06e1ae4320dp-14, -0x1.5dba4e619517fp-14, -0x1.517cf0bb8bedbp-14, -0x1.45501bd3d6472p-14, -0x1.393511dc248b1p-14, -0x1.2d2d04ae36302p-14, -0x1.21391654ff70dp-14, -0x1.155a59917d73fp-14, -0x1.0991d25daa03cp-14, -0x1.fbc0ecd6c5151p-15, -0x1.e48e5b3c8acffp-15, -0x1.cd8da50a44959p-15, -0x1.b6c06596475e4p-15, -0x1.a0281f5b92e66p-15, -0x1.89c63cd2132b9p-15, -0x1.739c1147d6307p-15, -0x1.5daad9b0619c6p-15, -0x1.47f3bd6ee2c84p-15, -0x1.3277cf1cb2157p-15, -0x1.1d380d483bfddp-15, -0x1.08356330edf82p-15, -0x1.e6e152f38c034p-16, -0x1.bdd54dbb40606p-16, -0x1.954821b002f37p-16, -0x1.6d3b189877013p-16, -0x1.45af5c4543a61p-16, -0x1.1ea5f7d1b3ebap-16, -0x1.f03fb1a6b8b5ep-17, -0x1.a43ba104b1717p-17, -0x1.594129a8def36p-17, -0x1.0f51832884592p-17, -0x1.8cdb65bb87615p-18, -0x1.fa5a37d541591p-19, -0x1.be65daf95a82p-20, 0x1.bde947d4fa76fp-22, 0x1.4a74cab4b20e6p-19, 0x1.2c79aca133f5bp-18, 0x1.b19c68d520eb9p-18, 0x1.1a517170120fap-17, 0x1.5ac6d5600165ap-17, 0x1.9a2eca31d8d2fp-17, 0x1.d889da3cf4138p-17, 0x1.0aec576803c88p-16, 0x1.290e0759a1a77p-16, 0x1.46aa6e608faafp-16, 0x1.63c20b4b8cac5p-16, 0x1.8055699d5fd06p-16, 0x1.9c6520f66f1cep-16, 0x1.b7f1d46e3dccep-16, 0x1.d2fc3202127eep-16, 0x1.ed84f1fec3d4ep-16, 0x1.03c66b3a544c7p-15, 0x1.108a55591eddap-15, 0x1.1d0ea1608f092p-15, 0x1.2953bd70d3b74p-15, 0x1.355a1b8c118d6p-15, 0x1.412231591b45ap-15, 0x1.4cac77eb1e3cap-15, 0x1.57f96b8af5fa4p-15, 0x1.63098b80002efp-15, 0x1.6ddd59dfc80dep-15, 0x1.78755b5c46d71p-15, 0x1.82d21714a15f5p-15, 0x1.8cf41667c975dp-15, 0x1.96dbe4c721167p-15, 0x1.a08a0f8e11d3bp-15, 0x1.a9ff25d6c824dp-15, 0x1.b33bb85634ac8p-15, 0x1.bc4059345994p-15, 0x1.c50d9be9876e6p-15, 0x1.cda4151b74a36p-15, 0x1.d6045a7c449bdp-15, 0x1.de2f02aa8787p-15, 0x1.e624a5121ee94p-15, 0x1.ede5d9cdc3924p-15, 0x1.f573398e24cddp-15, 0x1.fccd5d7be6b0cp-15, 0x1.01fa6f8ff375dp-14, 0x1.05752c24d642fp-14, 0x1.08d7317bb1f48p-14, 0x1.0c20cca021545p-14, 0x1.0f524a9f131a9p-14, 0x1.126bf87c59ac6p-14, 0x1.156e23295c2a4p-14, 0x1.1859177b9fdc4p-14, 0x1.1b2d22236b331p-14, 0x1.1dea8fa42bafbp-14, 0x1.2091ac4bc773dp-14, 0x1.2322c42a8624p-14, 0x1.259e230caed1dp-14, 0x1.28041472f0f37p-14, 0x1.2a54e38b9b429p-14, 0x1.2c90db2d7d308p-14, 0x1.2eb845d0de8a1p-14, 0x1.30cb6d8ac1d66p-14, 0x1.32ca9c06ca4fap-14, 0x1.34b61a831a42dp-14, 0x1.368e31cb043c9p-14, 0x1.38532a32f09d5p-14, 0x1.3a054b94901a2p-14, 0x1.3ba4dd4a11db6p-14, 0x1.3d32262b76f0ap-14, 0x1.3ead6c8b8cf4fp-14, 0x1.4016f6331c128p-14, 0x1.416f085f6ab9cp-14, 0x1.42b5e7bfd279fp-14, 0x1.43ebd871539e5p-14, 0x1.45111dfe00be2p-14, 0x1.4625fb5aac429p-14, 0x1.472ab2e44e0cfp-14, 0x1.481f865e9c417p-14, 0x1.4904b6f303ba2p-14, 0x1.49da852e2fb8dp-14, 0x1.4aa130ff251edp-14, 0x1.4b58f9b724b34p-14, 0x1.4c021e06d103fp-14, 0x1.4c9cdbfeb5aeap-14, 0x1.4d29710e75272p-14, 0x1.4da81a03c57cbp-14, 0x1.4e1913098efe4p-14, 0x1.4e7c97a911ae5p-14, 0x1.4ed2e2c8412afp-14, 0x1.4f1c2ea9e433bp-14, 0x1.4f58b4edd7517p-14, 0x1.4f88ae90a3173p-14, 0x1.4fac53ec53c45p-14, 0x1.4fc3dcb799b59p-14, 0x1.4fcf8007b21fcp-14, 0x1.4fcf744eeac78p-14, 0x1.4fc3ef5dfcf61p-14, 0x1.4fad266543806p-14, 0x1.4f8b4df4105cep-14, 0x1.4f5e99f9bf895p-14, 0x1.4f273dc69bd38p-14, 0x1.4ee56c0cc202cp-14, 0x1.4e9956dfff55dp-14, 0x1.4e432fb795221p-14, 0x1.4de3276fbfeb3p-14, 0x1.4d796e4895e56p-14, 0x1.4d0633e8bd3bap-14, 0x1.4c89a75dcbb8p-14, 0x1.4c03f71d4e222p-14, 0x1.4b7551060a2a6p-14, 0x1.4adde26108d89p-14, 0x1.4a3dd7e31c60cp-14, 0x1.49955dad229c7p-14, 0x1.48e49f4dbc97ep-14, 0x1.482bc7c32fbbdp-14, 0x1.476b017b676cfp-14, 0x1.46a27655f44b3p-14, 0x1.45d24fa5825aep-14, 0x1.44fab63014d2fp-14, 0x1.441bd2315e2cdp-14, 0x1.4335cb5bda9b2p-14, 0x1.4248c8d9ed071p-14, 0x1.4154f14f6965ap-14, 0x1.405a6ada551cfp-14, 0x1.3f595b151c7cep-14, 0x1.3e51e717180d6p-14, 0x1.3d443376cc7a6p-14, 0x1.3c30644a58d31p-14, 0x1.3b169d29a5869p-14, 0x1.39f7012f525c5p-14, 0x1.38d1b2f98009p-14, 0x1.37a6d4ac995eep-14, 0x1.367687f3677b2p-14, 0x1.3540ee00f770cp-14, 0x1.3406279219a18p-14, 0x1.32c654ee6525bp-14, 0x1.318195e947d12p-14, 0x1.303809e43a97p-14, 0x1.2ee9cfcf6a83ap-14, 0x1.2d97062b6dc3bp-14, 0x1.2c3fcb0a18086p-14, 0x1.2ae43c10544e7p-14, 0x1.298476770d12fp-14, 0x1.2820970c6ef68p-14, 0x1.26b8ba35c761fp-14, 0x1.254cfbf04b954p-14, 0x1.23dd77d2641eap-14, 0x1.226a490cfad74p-14, 0x1.20f38a6ccd8edp-14, 0x1.1f79565b7b5c6p-14, 0x1.1dfbc6e0b6dcfp-14, 0x1.1c7af5a407a92p-14, 0x1.1af6fbed89a51p-14, 0x1.196ff2a70d3b9p-14, 0x1.17e5f25d19b1bp-14, 0x1.16591340dd447p-14, 0x1.14c96d28a57fp-14, 0x1.133717912defap-14, 0x1.11a2299ee355ap-14, 0x1.100aba1ec782dp-14, 0x1.0e70df87c3ab5p-14, 0x1.0cd4affb89937p-14, 0x1.0b364147cad99p-14, 0x1.0995a8e787213p-14, 0x1.07f2fc03ac94bp-14, 0x1.064e4f74526dcp-14, 0x1.04a7b7c1c840fp-14, 0x1.02ff4925819eep-14, 0x1.0155178afd623p-14, 0x1.ff526d21dcc3dp-15, 0x1.fbf77314bffedp-15, 0x1.f89966ff79f56p-15, 0x1.f5386e5def3d4p-15, 0x1.f1d4ae1a70987p-15, 0x1.ee6e4a8f7225dp-15, 0x1.eb0567890a01dp-15, 0x1.e79a2846dafc7p-15, 0x1.e42caf7da1a2cp-15, 0x1.e0bd1f5978abcp-15, 0x1.dd4b997f182f2p-15, 0x1.d9d83f0da0a73p-15, 0x1.d66330a0a165p-15, 0x1.d2ec8e51b17dfp-15, 0x1.cf7477b9e0badp-15, 0x1.cbfb0bf3081a2p-15, 0x1.c880699a3f3cap-15, 0x1.c504aed0b99c9p-15, 0x1.c187f93d3100fp-15, 0x1.be0a660dae55cp-15, 0x1.ba8c11f98fc45p-15, 0x1.b70d1942b3048p-15, 0x1.b38d97b6bc812p-15, 0x1.b00da8b02f499p-15, 0x1.ac8d6718be769p-15, 0x1.a90ced69dc8f5p-15, 0x1.a58c55aef808fp-15, 0x1.a20bb985ecc3fp-15, 0x1.9e8b3220e6d59p-15, 0x1.9b0ad847e9713p-15, 0x1.978ac4599ad4dp-15, 0x1.940b0e4ca83fep-15, 0x1.908bcdb12e3cep-15, 0x1.8d0d19b23f8b2p-15, 0x1.898f09170da31p-15, 0x1.8611b2435246ap-15, 0x1.82952b396a7f2p-15, 0x1.7f19899b4ed9fp-15, 0x1.7b9ee2ab106dep-15, 0x1.78254b4d121c8p-15, 0x1.74acd808601ebp-15, 0x1.71359d08b1118p-15, 0x1.6dbfae1e86637p-15, 0x1.6a4b1ec097239p-15, 0x1.66d8020d459ffp-15, 0x1.63666acae1548p-15, 0x1.5ff66b69a90c5p-15, 0x1.5c881604168afp-15, 0x1.591b7c600efddp-15, 0x1.55b0aff0102f9p-15, 0x1.5247c1d4688a9p-15, 0x1.4ee0c2db6f4d5p-15, 0x1.4b7bc382b3e72p-15, 0x1.4818d3f8b3b85p-15, 0x1.44b8041d45cbfp-15, 0x1.4159638276fa9p-15, 0x1.3dfd016d1a642p-15, 0x1.3aa2ecd63b17ap-15, 0x1.374b346c00dbap-15, 0x1.33f5e69215c8p-15, 0x1.30a31163122a2p-15, 0x1.2d52c2b0bdbb4p-15, 0x1.2a050806155c2p-15, 0x1.26b9eea6c7f02p-15, 0x1.23718390b9ac7p-15, 0x1.202bd37c6502ep-15, 0x1.1ce8eade59fabp-15, 0x1.19a8d5e777799p-15, 0x1.166ba08601683p-15, 0x1.133156660b576p-15, 0x1.0ffa02f26bb1cp-15, 0x1.0cc5b15615f8ap-15, 0x1.09946c7bd931p-15, 0x1.06663f0f4be14p-15, 0x1.033b337e56947p-15, 0x1.001353f9ac30cp-15, 0x1.f9dd54e9d4c92p-16, 0x1.f39a814f6558ep-16, 0x1.ed5e401bc7f19p-16, 0x1.e728a3d264545p-16, 0x1.e0f9be824d934p-16, 0x1.dad1a1c836261p-16, 0x1.d4b05eced2a21p-16, 0x1.ce960651fb02p-16, 0x1.c882a89eb62d5p-16, 0x1.c27655955a015p-16, 0x1.bc711ca93a9cdp-16, 0x1.b6730ce2881dep-16, 0x1.b07c34e1c4385p-16, 0x1.aa8ca2ddf228ep-16, 0x1.a4a464a7eec06p-16, 0x1.9ec387a9b451ap-16, 0x1.98ea18e9c9cbfp-16, 0x1.9318250b459cdp-16, 0x1.8d4db84e999c7p-16, 0x1.878ade92d6973p-16, 0x1.81cfa3589a6c9p-16, 0x1.7c1c11c144db7p-16, 0x1.7670349147d1dp-16, 0x1.70cc163016223p-16, 0x1.6b2fc0a974bdfp-16, 0x1.659b3db027f9fp-16, 0x1.600e969d1e444p-16, 0x1.5a89d47209f4p-16, 0x1.550cffd889d5cp-16, 0x1.4f9821259c984p-16, 0x1.4a2b40590d14fp-16, 0x1.44c66520685b9p-16, 0x1.3f6996d58eec5p-16, 0x1.3a14dc7fc7fa2p-16, 0x1.34c83cd78cc14p-16, 0x1.2f83be44e5df4p-16, 0x1.2a4766e2138c9p-16, 0x1.25133c7b1ea43p-16, 0x1.1fe7449004348p-16, 0x1.1ac38455b3236p-16, 0x1.15a800b5a9768p-16, 0x1.1094be4fc7fa8p-16, 0x1.0b89c17b8ddfcp-16, 0x1.06870e49bcd2fp-16, 0x1.018ca883a2aedp-16, 0x1.f935275ba03d4p-17, 0x1.ef61a60cdd843p-17, 0x1.e59ed31054814p-17, 0x1.dbecb3d6d3797p-17, 0x1.d24b4d4c7a2f4p-17, 0x1.c8baa3db83421p-17, 0x1.bf3abb6b56634p-17, 0x1.b5cb97661f671p-17, 0x1.ac6d3ab8ccd34p-17, 0x1.a31fa7d7951e1p-17, 0x1.99e2e0bae540bp-17, 0x1.90b6e6e1fd68cp-17, 0x1.879bbb584a111p-17, 0x1.7e915eb426f34p-17, 0x1.7597d118b649ep-17, 0x1.6caf12381e64ap-17, 0x1.63d72155005aep-17, 0x1.5b0ffd4654ad8p-17, 0x1.5259a475716e9p-17, 0x1.49b414ded608ap-17, 0x1.411f4c1765114p-17, 0x1.389b474f179a9p-17, 0x1.3028034dbdf25p-17, 0x1.27c57c7790676p-17, 0x1.1f73aecf64a77p-17, 0x1.173295f3c281fp-17, 0x1.0f022d255f3fcp-17, 0x1.06e26f4803808p-17, 0x1.fda6adc1eba9cp-18, 0x1.eda9bc374ca66p-18, 0x1.ddcdfd90b1801p-18, 0x1.ce1364bf7cebap-18, 0x1.be79e4065ae45p-18, 0x1.af016d02fddd2p-18, 0x1.9fa9f0a76f877p-18, 0x1.90735f3e3257ap-18, 0x1.815da872d6691p-18, 0x1.7268bb51be683p-18, 0x1.63948649f314ap-18, 0x1.54e0f72fc48fcp-18, 0x1.464dfb3eee001p-18, 0x1.37db7f231ae49p-18, 0x1.29896ef4f761p-18, 0x1.1b57b63af8d8fp-18, 0x1.0d463fefd6f97p-18, 0x1.fea9ed0bf19dep-19, 0x1.e30787d4d9aa5p-19, 0x1.c7a5230099534p-19, 0x1.ac829058def15p-19, 0x1.919fa0a3ed203p-19, 0x1.76fc23ac5dce4p-19, 0x1.5c97e84beca2fp-19, 0x1.4272bc6933133p-19, 0x1.288c6d005b3fep-19, 0x1.0ee4c62347288p-19, 0x1.eaf726021bf53p-20, 0x1.b8a13bdb6295fp-20, 0x1.86c760c7523a6p-20, 0x1.5569261569abep-20, 0x1.24861b70b0a51p-20, 0x1.e83b9de26f391p-21, 0x1.885f9a46d4d6ap-21, 0x1.2977421b37182p-21, 0x1.970350c5afba6p-22, 0x1.b9f775416397dp-23, 0x1.26aee3c58c478p-25, -0x1.22e068f7b0109p-23, -0x1.45d868689f81dp-22, -0x1.f864b4e60744cp-22, -0x1.548b8a5d2d071p-21, -0x1.abf8c3b8fd3b1p-21, -0x1.013d845428257p-20, -0x1.2c09aeef11188p-20, -0x1.5661652634e39p-20, -0x1.80452b903ec1fp-20, -0x1.a9b587e7afd2bp-20, -0x1.d2b300edd9181p-20, -0x1.fb3e1e6252ae2p-20, -0x1.11abb489f15a8p-19, -0x1.257fb563e7139p-19, -0x1.391b571c02f52p-19, -0x1.4c7edf854d485p-19, -0x1.5faa94e59c094p-19, -0x1.729ebdecb311ep-19, -0x1.855ba1b62605dp-19, -0x1.97e187c885564p-19, -0x1.aa30b80e3925fp-19, -0x1.bc497acb93ab9p-19, -0x1.ce2c18a62b56cp-19, -0x1.dfd8daa209154p-19, -0x1.f1500a148b049p-19, -0x1.0148f85268b29p-18, -0x1.09cf6c268e8bcp-18, -0x1.123b85a74945fp-18, -0x1.1a8d6a1e76cffp-18, -0x1.22c53ef8486p-18, -0x1.2ae329c0d5512p-18, -0x1.32e750243cdbfp-18, -0x1.3ad1d7ec79842p-18, -0x1.42a2e7021cbbcp-18, -0x1.4a5aa36921804p-18, -0x1.51f9334190ef3p-18, -0x1.597ebcc4487ep-18, -0x1.60eb663e477b6p-18, -0x1.683f56139b4dbp-18, -0x1.6f7ab2bd552d5p-18, -0x1.769da2c851fd3p-18, -0x1.7da84cd2fafc2p-18, -0x1.849ad78bcb08ap-18, -0x1.8b7569b27bd46p-18, -0x1.92382a1336921p-18, -0x1.98e33f863ca03p-18, -0x1.9f76d0ef6f57dp-18, -0x1.a5f3053f92009p-18, -0x1.ac58036d43d55p-18, -0x1.b2a5f27828812p-18, -0x1.b8dcf966d32e9p-18, -0x1.befd3f4529c93p-18, -0x1.c506eb2327a5fp-18, -0x1.cafa2413ce496p-18, -0x1.d0d7112a8d52fp-18, -0x1.d69dd97f4aa3ap-18, -0x1.dc4ea4299fbb1p-18, -0x1.e1e9983d57037p-18, -0x1.e76edcccc9adep-18, -0x1.ecde98e6ad5bep-18, -0x1.f238f396b00e6p-18, -0x1.f77e13e209e88p-18, -0x1.fcae20c7a0a38p-18, -0x1.00e4a0a0b1702p-17, -0x1.0367ce20122ap-17, -0x1.05e0ac5492fep-17, -0x1.084f4eac8bfdp-17, -0x1.0ab3c891459f8p-17, -0x1.0d0e2d6553aaap-17, -0x1.0f5e908562d77p-17, -0x1.11a50546f21d2p-17, -0x1.13e19ef8f822fp-17, -0x1.161470e1d7f7bp-17, -0x1.183d8e40212d2p-17, }}, 
      {{-0x1.734408d376e2cp-3, -0x1.73e684fa8b7a2p-3, -0x1.74f438af5568fp-3, -0x1.766b83ca451cap-3, -0x1.784a2f5b6f241p-3, -0x1.7a8d7ab2078ddp-3, -0x1.7d3229beecda8p-3, -0x1.80349415d3da8p-3, -0x1.8390b3fcbb34cp-3, -0x1.8742351ee35c2p-3, -0x1.8b4482980aa24p-3, -0x1.8f92d4260c1d5p-3, -0x1.94283a62c0f6ep-3, -0x1.98ffa9f76a21dp-3, -0x1.9e1405c6027bcp-3, -0x1.a360280d11625p-3, -0x1.a8deea900550ep-3, -0x1.ae8b2dd1b0063p-3, -0x1.b45fdf70947bfp-3, -0x1.ba57ffb596695p-3, -0x1.c06ea665d0af3p-3, -0x1.c69f06e7ee803p-3, -0x1.cce473ccb32a3p-3, -0x1.d33a61c94bb9ep-3, -0x1.d99c6a3128065p-3, -0x1.e0064cfbd9683p-3, -0x1.e673f2628c44dp-3, -0x1.ece16c1f8e719p-3, -0x1.f34af65983192p-3, -0x1.f9acf842f82f7p-3, -0x1.0002023b286ffp-2, -0x1.03266c8aa4394p-2, -0x1.06422fd9509ep-2, -0x1.0953d6861068dp-2, -0x1.0c5a004d2ce08p-2, -0x1.0f5361fdaef35p-2, -0x1.123ec51e8a4d5p-2, -0x1.151b0785bc27p-2, -0x1.17e71ae35db99p-2, -0x1.1aa204427f9fcp-2, -0x1.1d4adb817539cp-2, -0x1.1fe0cac326056p-2, -0x1.22630ddac4516p-2, -0x1.24d0f1b33bf32p-2, -0x1.2729d3b380192p-2, -0x1.296d2120d2262p-2, -0x1.2b9a567fee30ap-2, -0x1.2db0fef608039p-2, -0x1.2fb0b3aa54db1p-2, -0x1.31991b28da257p-2, -0x1.3369e8c717b23p-2, -0x1.3522dc0b1caefp-2, -0x1.36c3c01572c22p-2, -0x1.384c6b0e4f6afp-2, -0x1.39bcbd96597d8p-2, -0x1.3b14a23b47587p-2, -0x1.3c540cf096eacp-2, -0x1.3d7afa8c8085ep-2, -0x1.3e8970494f263p-2, -0x1.3f7f7b4b2bd2bp-2, -0x1.405d302a70c1ap-2, -0x1.4122aa8286e33p-2, -0x1.41d00c8545799p-2, -0x1.42657e92d6d04p-2, -0x1.42e32ed607b0fp-2, -0x1.434950e4f706ap-2, -0x1.43981d6607571p-2, -0x1.43cfd1b8fe47ap-2, -0x1.43f0afa42dac2p-2, -0x1.43fafd05898acp-2, -0x1.43ef03878a16dp-2, -0x1.43cd1059b27fcp-2, -0x1.439573ec9ce85p-2, -0x1.434881b163f21p-2, -0x1.42e68fdc455b9p-2, -0x1.426ff72a584efp-2, -0x1.41e512aa37b6fp-2, -0x1.41463f8772dcfp-2, -0x1.4093dcd8ac8f8p-2, -0x1.3fce4b703b859p-2, -0x1.3ef5edaf3670bp-2, -0x1.3e0b275abcaf7p-2, -0x1.3d0e5d736d8d5p-2, -0x1.3bfff60ee2852p-2, -0x1.3ae0583316896p-2, -0x1.39afebb39f7d6p-2, -0x1.386f19109d49dp-2, -0x1.371e495749e07p-2, -0x1.35bde6040e7a1p-2, -0x1.344e58e60dc8cp-2, -0x1.32d00c040a0cbp-2, -0x1.314369829817bp-2, -0x1.2fa8db8b8a23p-2, -0x1.2e00cc368312fp-2, -0x1.2c4ba572a2528p-2, -0x1.2a89d0f13bf76p-2, -0x1.28bbb8118d587p-2, -0x1.26e1c3cd60743p-2, -0x1.24fc5ca695cd4p-2, -0x1.230bea958bef1p-2, -0x1.2110d4f852247p-2, -0x1.1f0b8282a6cep-2, -0x1.1cfc592eb499cp-2, -0x1.1ae3be2e863eep-2, -0x1.18c215de2c586p-2, -0x1.1697c3b68bb29p-2, -0x1.14652a40d246ep-2, -0x1.122aab0a87088p-2, -0x1.0fe8a69a37237p-2, -0x1.0d9f7c64b45edp-2, -0x1.0b4f8ac2e6d48p-2, -0x1.08f92ee827e0bp-2, -0x1.069cc4d9287d2p-2, -0x1.043aa76358789p-2, -0x1.01d33014d361bp-2, -0x1.fecd6e6992107p-3, -0x1.f9eb2778c0833p-3, -0x1.f50036a02d2acp-3, -0x1.f00d44731f3f3p-3, -0x1.eb12f6c3b9e92p-3, -0x1.e611f098638afp-3, -0x1.e10ad2220ff9fp-3, -0x1.dbfe38b35f955p-3, -0x1.d6ecbeb88fb6p-3, -0x1.d1d6fbb03ab4dp-3, -0x1.ccbd8424e3216p-3, -0x1.c7a0e9a73c169p-3, -0x1.c281bac93bde5p-3, -0x1.bd608319e3c8bp-3, -0x1.b83dcb21c43f9p-3, -0x1.b31a18602c5ffp-3, -0x1.adf5ed490fa7ep-3, -0x1.a8d1c94393a5cp-3, -0x1.a3ae28a93f80ap-3, -0x1.9e8b84c5d1bfbp-3, -0x1.996a53d7ac7b1p-3, -0x1.944b0910e1a41p-3, -0x1.8f2e1498ca477p-3, -0x1.8a13e38e3195bp-3, -0x1.84fce00a0842fp-3, -0x1.7fe971229f5bep-3, -0x1.7ad9faef62a5ep-3, -0x1.75cede8d0f062p-3, -0x1.70c87a22624aap-3, -0x1.6bc728e53b8bp-3, -0x1.66cb43202ec3bp-3, -0x1.61d51e38803bfp-3, -0x1.5ce50cb48270ap-3, -0x1.57fb5e4259265p-3, -0x1.53185fbf19b8bp-3, -0x1.4e3c5b3e3e187p-3, -0x1.496798117507p-3, -0x1.449a5ad0b52bp-3, -0x1.3fd4e562a73a8p-3, -0x1.3b1777054e982p-3, -0x1.36624c56fa11cp-3, -0x1.31b59f5f6f8dap-3, -0x1.2d11a79952a6ep-3, -0x1.287699fbc3959p-3, -0x1.23e4a9042d961p-3, -0x1.1f5c04c048558p-3, -0x1.1adcdad83e4f3p-3, -0x1.16675698fc81ep-3, -0x1.11fba0fea9b9ep-3, -0x1.0d99e0bf383edp-3, -0x1.09423a5512c5bp-3, -0x1.04f4d009e90dbp-3, -0x1.00b1c2018d332p-3, -0x1.f8f25c89c534ap-4, -0x1.f0966199c22aap-4, -0x1.e84fc71b3aa1ap-4, -0x1.e01ebd02c5b18p-4, -0x1.d8036f679c39bp-4, -0x1.cffe0699d3f35p-4, -0x1.c80ea738ac1bbp-4, -0x1.c0357248c8868p-4, -0x1.b872854a63e4ap-4, -0x1.b0c5fa4f80488p-4, -0x1.a92fe811ff092p-4, -0x1.a1b06209a70e4p-4, -0x1.9a4778820b70fp-4, -0x1.92f538b0567ecp-4, -0x1.8bb9acc8fdddp-4, -0x1.8494dc153e61cp-4, -0x1.7d86cb087d882p-4, -0x1.768f7b5579a3bp-4, -0x1.6faeec034a394p-4, -0x1.68e5198230244p-4, -0x1.6231fdc02f8cap-4, -0x1.5b95903d7245ep-4, -0x1.550fc6206ff2cp-4, -0x1.4ea09249da58fp-4, -0x1.4847e56849244p-4, -0x1.4205ae0ba5ce5p-4, -0x1.3bd9d8b8558cep-4, -0x1.35c44ffa1d97p-4, -0x1.2fc4fc76c1beep-4, -0x1.29dbc5005c81p-4, -0x1.24088ea76b6d6p-4, -0x1.1e4b3ccc939d5p-4, -0x1.18a3b13218c17p-4, -0x1.1311cc0d0ad32p-4, -0x1.0d956c1623342p-4, -0x1.082e6e9a55ce8p-4, -0x1.02dcaf8b1336cp-4, -0x1.fb40131c763b6p-5, -0x1.f0f0ac1b7cb81p-5, -0x1.e6cada8de4026p-5, -0x1.dcce4cb321dc9p-5, -0x1.d2faaeacdc33fp-5, -0x1.c94faa9ba9b32p-5, -0x1.bfcce8bb32972p-5, -0x1.b6720f7daef7fp-5, -0x1.ad3ec3a6c3eb3p-5, -0x1.a432a865c036dp-5, -0x1.9b4d5f6f38929p-5, -0x1.928e8916053aep-5, -0x1.89f5c4639e5f1p-5, -0x1.8182af2fdf27ep-5, -0x1.7934e63826e56p-5, -0x1.710c0535e0207p-5, -0x1.6907a6f46e9ffp-5, -0x1.6127656682f7cp-5, -0x1.596ad9bad780dp-5, -0x1.51d19c7052dc1p-5, -0x1.4a5b45699d042p-5, -0x1.43076c00198f6p-5, -0x1.3bd5a71657abap-5, -0x1.34c58d29e9c0fp-5, -0x1.2dd6b464b97d2p-5, -0x1.2708b2adc7bf3p-5, -0x1.205b1db9661b2p-5, -0x1.19cd8b18ea50ap-5, -0x1.135f9049d5b88p-5, -0x1.0d10c2c47f16fp-5, -0x1.06e0b80a3822bp-5, -0x1.00cf05b2f1372p-5, -0x1.f5b682f4c6946p-6, -0x1.ea0a0299788c1p-6, -0x1.de97b6a5a5685p-6, -0x1.d35ecbfbc7c92p-6, -0x1.c85e7025b2cc7p-6, -0x1.bd95d16a438e3p-6, -0x1.b3041ee22b257p-6, -0x1.a8a8888bdaf81p-6, -0x1.9e823f5e9ea71p-6, -0x1.9490755ce3944p-6, -0x1.8ad25da5ab303p-6, -0x1.81472c853b0ffp-6, -0x1.77ee178507474p-6, -0x1.6ec6557ad59d2p-6, -0x1.65cf1e9729cb7p-6, -0x1.5d07ac72fce57p-6, -0x1.546f3a1cb7736p-6, -0x1.4c0504248630bp-6, -0x1.43c848a7fedd8p-6, -0x1.3bb8475d21cfbp-6, -0x1.33d4419cb624fp-6, -0x1.2c1b7a6c0c8e9p-6, -0x1.248d3686225fep-6, -0x1.1d28bc643ab09p-6, -0x1.15ed5445d7c26p-6, -0x1.0eda483830d02p-6, -0x1.07eee41d1c879p-6, -0x1.012a75b17739p-6, -0x1.f518992609761p-7, -0x1.e827748bab83p-7, -0x1.db80247276696p-7, -0x1.cf2153986be34p-7, -0x1.c309b0a301039p-7, -0x1.b737ee264c3dep-7, -0x1.abaac2ab594a3p-7, -0x1.a060e8b5b25e7p-7, -0x1.95591ec825c9p-7, -0x1.8a922768c0e0ep-7, -0x1.800ac9241c725p-7, -0x1.75c1ce8fe58cp-7, -0x1.6bb6064ccfb4bp-7, -0x1.61e64307c9226p-7, -0x1.58515b7a99c2bp-7, -0x1.4ef62a6be33b3p-7, -0x1.45d38eae954c8p-7, -0x1.3ce86b20c9a6ap-7, -0x1.3433a6aa1054p-7, -0x1.2bb42c394ad8ep-7, -0x1.2368eac1f681bp-7, -0x1.1b50d5390c4afp-7, -0x1.136ae291628c3p-7, -0x1.0bb60db7a04b7p-7, -0x1.0431558dca888p-7, -0x1.f9b779ccdaa68p-8, -0x1.eb6894febed31p-8, -0x1.dd7411f855d44p-8, -0x1.cfd80dc04886cp-8, -0x1.c292ad1046844p-8, -0x1.b5a21c47e0433p-8, -0x1.a9048f5ef24f1p-8, -0x1.9cb841d740c6ap-8, -0x1.90bb76adb87f6p-8, -0x1.850c784b1dcbap-8, -0x1.79a998745e146p-8, -0x1.6e91303a5c097p-8, -0x1.63c19fe94fb9dp-8, -0x1.59394ef7c9828p-8, -0x1.4ef6abf564339p-8, -0x1.44f82c7913019p-8, -0x1.3b3c4d0f29a82p-8, -0x1.31c191271694fp-8, -0x1.28868300d93c9p-8, -0x1.1f89b39a32e95p-8, -0x1.16c9ba9babe91p-8, -0x1.0e4536456658ap-8, -0x1.05facb5bbae44p-8, -0x1.fbd24a27440b8p-9, -0x1.ec1de9fe143c1p-9, -0x1.dcd5e5f1fc8bap-9, -0x1.cdf7ba237ea5ep-9, -0x1.bf80eef58c228p-9, -0x1.b16f18e532047p-9, -0x1.a3bfd861500c2p-9, -0x1.9670d9a22ff27p-9, -0x1.897fd480ebaa2p-9, -0x1.7cea8c4f1b1fep-9, -0x1.70aecfae1dc56p-9, -0x1.64ca78669ea8fp-9, -0x1.593b6b4005f91p-9, -0x1.4dff97d8085e2p-9, -0x1.4314f87a4b284p-9, -0x1.387991f82bf4ap-9, -0x1.2e2b73809274cp-9, -0x1.2428b677d94a5p-9, -0x1.1a6f7e4fff824p-9, -0x1.10fdf860fe17p-9, -0x1.07d25bc133f72p-9, -0x1.fdd5d23c9509fp-10, -0x1.ec8bd52c04e2ap-10, -0x1.dbc3671eae8f5p-10, -0x1.cb7941280afep-10, -0x1.bbaa2e543e5a4p-10, -0x1.ac530b5c2ba48p-10, -0x1.9d70c659e6dc8p-10, -0x1.8f005e7dd7efap-10, -0x1.80fee3c4507fp-10, -0x1.736976abda4b7p-10, -0x1.663d47ec42c7dp-10, -0x1.5977982e3fcaep-10, -0x1.4d15b7c3afa12p-10, -0x1.41150660eab63p-10, -0x1.3572f2d610bdap-10, -0x1.2a2cfac9bbe4fp-10, -0x1.1f40aa742c7ep-10, -0x1.14ab9c5b1c6c6p-10, -0x1.0a6b790e9e88bp-10, -0x1.007df6e670a24p-10, -0x1.edc1b380a821p-11, -0x1.db23e57dc846fp-11, -0x1.c91e4012f151dp-11, -0x1.b7ac991951fd6p-11, -0x1.a6cadf77814cep-11, -0x1.96751aa5bd85bp-11, -0x1.86a76a3419e24p-11, -0x1.775e0551a95edp-11, -0x1.68953a55cbcfdp-11, -0x1.5a496e4b1c747p-11, -0x1.4c771c7b9e7cap-11, -0x1.3f1ad5fedd76p-11, -0x1.32314149d57c7p-11, -0x1.25b719bfcbaeap-11, -0x1.19a92f455c836p-11, -0x1.0e0465d50f754p-11, -0x1.02c5b5153d1fep-11, -0x1.efd44fdf8aecp-12, -0x1.daddb85707325p-12, -0x1.c6a2040e91358p-12, -0x1.b31bb7ac300b5p-12, -0x1.a0457b3a94af7p-12, -0x1.8e1a19684c5d3p-12, -0x1.7c947ec9ffd5ap-12, -0x1.6bafb92054a3cp-12, -0x1.5b66f69ff9ac1p-12, -0x1.4bb5853d9ebp-12, -0x1.3c96d1fc504e4p-12, -0x1.2e06683f52e0cp-12, -0x1.1ffff11e9a23cp-12, -0x1.127f32be41a03p-12, -0x1.05800fa937644p-12, -0x1.f1fd0c5d00bbp-13, -0x1.d9ed5f83e3504p-13, -0x1.c2c980bda3375p-13, -0x1.ac8a0bdcbafa8p-13, -0x1.9727cf5fc2bb6p-13, -0x1.829bcb49bde4ep-13, -0x1.6edf2ffd6847ap-13, -0x1.5beb5d2072555p-13, -0x1.49b9e0820fa3cp-13, -0x1.38447507ca85bp-13, -0x1.2785019f42d7ap-13, -0x1.1775983507bf6p-13, -0x1.081074b0f8728p-13, -0x1.f29ff7ed2d65ep-14, -0x1.d65d75d811516p-14, -0x1.bb4ecb089cc81p-14, -0x1.a169ab9ed97bcp-14, -0x1.88a4161dd100ep-14, -0x1.70f4519eba74dp-14, -0x1.5a50ec0abb96p-14, -0x1.44b0b862641bep-14, -0x1.300acd08df7f2p-14, -0x1.1c56821de88f1p-14, -0x1.098b6fda564c2p-14, -0x1.ef42d9f4ffaa3p-15, -0x1.cd211a5ad0d03p-15, -0x1.aca23f1ef482bp-15, -0x1.8db75a534bdep-15, -0x1.7051eef9712bbp-15, -0x1.5463ee22e28fap-15, -0x1.39dfb423a186ap-15, -0x1.20b805d5227ddp-15, -0x1.08e00de6dee26p-15, -0x1.e496b479185e6p-16, -0x1.b9dbb2bf868dcp-16, -0x1.9177aff3fb936p-16, -0x1.6b53fcc4f2583p-16, -0x1.475a9c69cd5d5p-16, -0x1.25763ff2e2ba2p-16, -0x1.059241b152689p-16, -0x1.cf354177306b2p-17, -0x1.96f7f911decddp-17, -0x1.6247214d52bc4p-17, -0x1.30fe611631ad1p-17, -0x1.02fa86f66022bp-17, -0x1.b033022ae9p-18, -0x1.6074aadca475cp-18, -0x1.167a344b0e873p-18, -0x1.a40bb85f69b21p-19, -0x1.25b7c660d328dp-19, -0x1.6309fa4b8352bp-20, -0x1.1c0e539c96737p-21, 0x1.a3887abfbc5d2p-23, 0x1.ca5f572da3239p-21, 0x1.84fea8fda5012p-20, 0x1.0a509db1028aep-19, 0x1.4a69fee4d3984p-19, 0x1.8326910fae45dp-19, 0x1.b4de50230c7edp-19, 0x1.dfe631da631e1p-19, 0x1.02481df43ef4p-18, 0x1.1195ccdea3736p-18, 0x1.1e0258d223fb5p-18, 0x1.27b29cbde65e8p-18, 0x1.2eca2568aca2p-18, 0x1.336b3b48e6f7dp-18, 0x1.35b6ec01dd245p-18, 0x1.35cd13cae039dp-18, 0x1.33cc667f0a0ccp-18, 0x1.2fd27870d6d12p-18, 0x1.29fbc71235ff5p-18, 0x1.2263c1584b6cfp-18, 0x1.1924cfe33cb3fp-18, 0x1.0e585d0beca0dp-18, 0x1.0216dc9977211p-18, 0x1.e8efa6adf2697p-19, 0x1.cb23bcd9e051p-19, 0x1.aaf57525c1d39p-19, 0x1.888e961240fd6p-19, 0x1.641740b372bb9p-19, 0x1.3db5fe0c13625p-19, 0x1.158fcbcb8d038p-19, 0x1.d79051d0018dep-20, 0x1.8102439bab79p-20, 0x1.27b6b867877a3p-20, 0x1.97d88ab625fdfp-21, 0x1.b77b7ef3565f1p-22, 0x1.b8fe575e7a356p-25, -0x1.50862d02bdd66p-22, -0x1.6f52086087074p-21, -0x1.1c9c2e2220c04p-20, -0x1.82caf7e4a4cd3p-20, -0x1.ea0775ef0ad55p-20, -0x1.2912e7fe18eb7p-19, -0x1.5d7e17a6dde9fp-19, -0x1.923156948931cp-19, -0x1.c719a0f9c36a4p-19, -0x1.fc24da5e928fcp-19, -0x1.18a0e2db1261fp-18, -0x1.332ffecde5582p-18, -0x1.4db7f66d55e18p-18, -0x1.6831638943615p-18, -0x1.829540d3b25d1p-18, -0x1.9cdce670a1417p-18, -0x1.b70206a15e9e5p-18, -0x1.d0feaa886a85fp-18, -0x1.eacd2f0213ae9p-18, -0x1.023420ccfbda8p-17, -0x1.0ee56ecc7d054p-17, -0x1.1b782491e0c3ep-17, -0x1.27ea09397b588p-17, -0x1.34390694628b7p-17, -0x1.406327d4ac42cp-17, -0x1.4c66984b81a98p-17, -0x1.5841a22e60ac5p-17, -0x1.63f2ad67e3a48p-17, -0x1.6f783e6df623cp-17, -0x1.7ad0f52713108p-17, -0x1.85fb8bd35e617p-17, -0x1.90f6d601470c9p-17, -0x1.9bc1bf8895509p-17, -0x1.a65b4b8ebbafdp-17, -0x1.b0c2939651ba1p-17, -0x1.baf6c68fc4ae2p-17, -0x1.c4f727f9bb7bdp-17, -0x1.cec30effad9a2p-17, -0x1.d859e5a74989ap-17, -0x1.e1bb280087e24p-17, -0x1.eae6635fd4ecdp-17, -0x1.f3db359a3867cp-17, -0x1.fc994c4d80b63p-17, -0x1.0290321609f6bp-16, -0x1.06b824251a598p-16, -0x1.0ac468bd2c895p-16, -0x1.0eb4f2d3e59b1p-16, -0x1.1289bb9d77684p-16, -0x1.1642c23fcd289p-16, -0x1.19e00b8a64ebcp-16, -0x1.1d61a1afb6d63p-16, -0x1.20c793ffc3cc1p-16, -0x1.2411f6a68cffp-16, -0x1.2740e26d45b7bp-16, -0x1.2a54747bece35p-16, -0x1.2d4cce1ee7498p-16, -0x1.302a148dbb6e4p-16, -0x1.32ec70b52637dp-16, -0x1.35940f012636p-16, -0x1.38211f2a3aee1p-16, -0x1.3a93d4046ad51p-16, -0x1.3cec635074224p-16, -0x1.3f2b058e429cap-16, -0x1.414ff5d0739f3p-16, -0x1.435b7192efde1p-16, -0x1.454db892011bap-16, -0x1.47270ca33c3dcp-16, -0x1.48e7b19006d5ap-16, -0x1.4a8fecf2e0432p-16, -0x1.4c200614068cep-16, -0x1.4d9845c7bbb77p-16, -0x1.4ef8f64f695fbp-16, -0x1.5042633a4d713p-16, -0x1.5174d94917dc4p-16, -0x1.5290a65130633p-16, -0x1.539619227c46ep-16, -0x1.5485816cdc9cep-16, -0x1.555f2fa782761p-16, -0x1.562374f8baa35p-16, -0x1.56d2a31fdc64ep-16, -0x1.576d0c60372ebp-16, -0x1.57f3036c459a8p-16, -0x1.5864db517bfe1p-16, -0x1.58c2e76556f18p-16, -0x1.590d7b3418bcep-16, -0x1.5944ea6ebc4a5p-16, -0x1.596988db0a4afp-16, -0x1.597baa43d8dfp-16, -0x1.597ba26a8b2d6p-16, -0x1.5969c4f88855fp-16, -0x1.59466571a6aa3p-16, -0x1.5911d727074e9p-16, -0x1.58cc6d2be47fap-16, -0x1.58767a4a31008p-16, -0x1.581050f75fe3ep-16, -0x1.579a43492a2b1p-16, -0x1.5714a2ed2fc83p-16, -0x1.567fc11f76f3ep-16, -0x1.55dbeea12c5d3p-16, -0x1.55297bb119762p-16, -0x1.5468b80394002p-16, -0x1.5399f2bb7f6a7p-16, -0x1.52bd7a62aa9ecp-16, -0x1.51d39ce45399ep-16, -0x1.50dca785bb431p-16, -0x1.4fd8e6e290214p-16, -0x1.4ec8a6e71c342p-16, -0x1.4dac32cb5b8c7p-16, -0x1.4c83d50e00285p-16, -0x1.4b4fd770742c8p-16, -0x1.4a1082f4376e7p-16, -0x1.48c61fd5dcd4ap-16, -0x1.4770f58ad849fp-16, -0x1.46114abdf94cap-16, -0x1.44a7654d4d0f2p-16, -0x1.43338a46f6b3cp-16, -0x1.41b5fde76e61bp-16, -0x1.402f03973770ep-16, -0x1.3e9edde9bd4d4p-16, -0x1.3d05ce9c43ce7p-16, -0x1.3b6416947c0c2p-16, -0x1.39b9f5dec936ap-16, -0x1.3807abad6d761p-16, -0x1.364d765891d73p-16, -0x1.348b935dac17cp-16, -0x1.32c23f5ebd88ep-16, -0x1.30f1b622ebd25p-16, -0x1.2f1a329595519p-16, -0x1.2d3beec76967ep-16, -0x1.2b5723ed52558p-16, -0x1.296c0a6196e5cp-16, -0x1.277ad9a4107a2p-16, -0x1.2583c85b50509p-16, -0x1.23870c558337p-16, -0x1.2184da88f4b09p-16, -0x1.1f7d671505657p-16, -0x1.1d70e542ecf88p-16, -0x1.1b5f87870a89dp-16, -0x1.19497f829961bp-16, -0x1.172efe041c4e8p-16, -0x1.15103309a3de2p-16, -0x1.12ed4dc1694aep-16, -0x1.10c67c8bf447ap-16, -0x1.0e9becfd524a4p-16, -0x1.0c6dcbddd12c4p-16, -0x1.0a3c452d2edc6p-16, -0x1.080784234877ap-16, -0x1.05cfb3329c524p-16, -0x1.0394fc09c66e6p-16, -0x1.0157879521b29p-16, -0x1.fe2efc01ef9a1p-17, -0x1.f9aa0d75b7997p-17, -0x1.f52090e859c3fp-17, -0x1.f092d2482bf5p-17, -0x1.ec011c11f79dfp-17, -0x1.e76bb75676e52p-17, -0x1.e2d2ebbc8f587p-17, -0x1.de36ff87c85e6p-17, -0x1.d99837997134ep-17, -0x1.d4f6d776494ccp-17, -0x1.d053214b1281p-17, -0x1.cbad55efe6401p-17, -0x1.c705b4ed5c334p-17, -0x1.c25c7c8066e04p-17, -0x1.bdb1e99df6a4fp-17, -0x1.b90637f824b18p-17, -0x1.b459a200df94bp-17, -0x1.afac60efffad6p-17, -0x1.aafeacc6cbe3p-17, -0x1.a650bc533ef48p-17, -0x1.a1a2c5358a5bcp-17, -0x1.9cf4fbe333427p-17, -0x1.984793ac531a6p-17, -0x1.939abebeb8e56p-17, -0x1.8eeeae29c8b83p-17, -0x1.8a4391e402f0dp-17, -0x1.859998cdf02b9p-17, -0x1.80f0f0b6ed1fcp-17, -0x1.7c49c661000cp-17, -0x1.77a4458484584p-17, -0x1.730098d4afd41p-17, -0x1.6e5eea02f085ep-17, -0x1.69bf61c34b006p-17, -0x1.652227d06692fp-17, -0x1.608762ef0accep-17, -0x1.5bef38f1ab6aap-17, -0x1.5759cebd722a8p-17, -0x1.52c7484c626fcp-17, -0x1.4e37c8b29640cp-17, -0x1.49ab72208436bp-17, -0x1.452265e78bcc1p-17, -0x1.409cc47d7dd47p-17, -0x1.3c1aad7ff3852p-17, -0x1.379c3fb8495a8p-17, -0x1.3321991efb9adp-17, -0x1.2eaad6de91496p-17, -0x1.2a381557c9a0cp-17, -0x1.25c9702516b4dp-17, -0x1.215f021ccb9b3p-17, -0x1.1cf8e555f07eap-17, -0x1.1897332a8f3p-17, -0x1.143a043afdef8p-17, -0x1.0fe17071774fbp-17, -0x1.0b8d8f0542436p-17, -0x1.073e767d354d3p-17, -0x1.02f43cb32b828p-17, -0x1.fd5dedae6a7dcp-18, -0x1.f4dd72e53401ep-18, -0x1.ec6730d53495dp-18, -0x1.e3fb4e06393a2p-18, -0x1.db99efc4991bcp-18, -0x1.d3433a2589d26p-18, -0x1.caf7500c35507p-18, -0x1.c2b65332148e9p-18, -0x1.ba8064298397ap-18, -0x1.b255a263dc51dp-18, -0x1.aa362c37f8774p-18, -0x1.a2221ee51f45fp-18, -0x1.9a19969a1ded6p-18, -0x1.921cae79a9a34p-18, -0x1.8a2b809f5705bp-18, -0x1.8246262470a1ep-18, -0x1.7a6cb724518a8p-18, -0x1.729f4ac2859a7p-18, -0x1.6addf72eb7ab5p-18, -0x1.6328d1a906fb5p-18, -0x1.5b7fee870e206p-18, -0x1.53e36137df13ep-18, -0x1.4c533c48c9df8p-18, -0x1.44cf9168d8af5p-18, -0x1.3d58716eb8747p-18, -0x1.35edec5cafc09p-18, -0x1.2e90116332d25p-18, -0x1.273eeee6332a4p-18, -0x1.1ffa9280f58b6p-18, -0x1.18c3090925232p-18, -0x1.11985e944fcb9p-18, -0x1.0a7a9e7a78f08p-18, -0x1.0369d35a5daa5p-18, -0x1.f8cc0e39bde37p-19, -0x1.eade85f0f75c4p-19, -0x1.dd0b1eec82edbp-19, -0x1.cf51e8e89a9eep-19, -0x1.c1b2f251bf5aep-19, -0x1.b42e484c6ab4bp-19, -0x1.a6c3f6bb23eccp-19, -0x1.9974084580281p-19, -0x1.8c3e865e9fcc7p-19, -0x1.7f23794ba6ac8p-19, -0x1.7222e82c3e79cp-19, -0x1.653cd8fcdd91ap-19, -0x1.5871509f4e9fap-19, -0x1.4bc052deecf03p-19, -0x1.3f29e27762f06p-19, -0x1.32ae011abbbdep-19, -0x1.264caf77b38c3p-19, -0x1.1a05ed3c8b1a3p-19, -0x1.0dd9b921016a8p-19, -0x1.01c810e5ce9a1p-19, -0x1.eba1e2bf9ac7fp-20, -0x1.d3e8acf63b219p-20, -0x1.bc6476801b996p-20, -0x1.a51533ac7669p-20, -0x1.8dfad71701ab3p-20, -0x1.771551b027708p-20, -0x1.606492c798cecp-20, -0x1.49e88813e6db7p-20, -0x1.33a11dc12b6e2p-20, -0x1.1d8e3e76d4effp-20, -0x1.07afd35e04031p-20, -0x1.e40b885d8f33dp-21, -0x1.b91fee63322a7p-21, -0x1.8e9ca29f131f2p-21, -0x1.64816c2db5feap-21, -0x1.3ace0f8a5b2b7p-21, -0x1.11824e991045cp-21, -0x1.d13bd18041958p-22, -0x1.804135ceb9d7cp-22, -0x1.30143f3678619p-22, -0x1.c168bc5590b4fp-23, -0x1.2441fd20aba51p-23, -0x1.11661f412e29cp-24, 0x1.1454602817bacp-27, 0x1.53508c210d8bdp-24, 0x1.40773b0de81afp-23, 0x1.d5b377887bcb3p-23, 0x1.34af2aeb3e983p-22, 0x1.7dbc9be1eeca8p-22, 0x1.c602c34e6dd8ep-22, 0x1.06c12cb7389f1p-21, 0x1.2a1e0d00992b7p-21, 0x1.4d18621a6d2cap-21, 0x1.6fb08d433ceacp-21, 0x1.91e6f15332099p-21, 0x1.b3bbf2b2faf19p-21, 0x1.d52ff752b1731p-21, 0x1.f643669cc0b1fp-21, 0x1.0b7b54b761583p-20, 0x1.1ba51500a2555p-20, 0x1.2b9f29f22ed1ep-20, 0x1.3b69c9fdeb3ebp-20, 0x1.4b052c39d1d2ap-20, 0x1.5a7188590ae17p-20, 0x1.69af16a76f657p-20, 0x1.78be10051dfb9p-20, 0x1.879eade1cf4ecp-20, 0x1.96512a367904p-20, 0x1.a4d5bf7d237b7p-20, 0x1.b32ca8b2ed2b2p-20, 0x1.c1562153e152ap-20, 0x1.cf526552f615ep-20, 0x1.dd21b11767b97p-20, 0x1.eac44178b43aap-20, 0x1.f83a53b8b05efp-20, 0x1.02c212bfd78ep-19, 0x1.0950fa6cf4c13p-19, 0x1.0fca001a6208ep-19, 0x1.162d432d26e67p-19, 0x1.1c7ae3345fc17p-19, 0x1.22b2ffe7fcd0cp-19, 0x1.28d5b928eb083p-19, 0x1.2ee32eff38846p-19, 0x1.34db8197d4146p-19, 0x1.3abed141f806ap-19, 0x1.408d3e6ec13e5p-19, 0x1.4646e9ae52851p-19, 0x1.4bebf3b045876p-19, 0x1.517c7d3d5de49p-19, 0x1.56f8a738d257ap-19, 0x1.5c60929f5ea33p-19, 0x1.61b46086dbce2p-19, 0x1.66f4321983d7bp-19, 0x1.6c202896f48bfp-19, 0x1.713865518ac04p-19, 0x1.763d09ad31f4p-19, 0x1.7b2e371d56954p-19, 0x1.800c0f245a7fep-19, 0x1.84d6b3535a31p-19, 0x1.898e4547a6907p-19, 0x1.8e32e6a8d9cbep-19, 0x1.92c4b92581065p-19, 0x1.9743de75b18b3p-19, 0x1.9bb078596772fp-19, 0x1.a00aa896ddf03p-19, 0x1.a45290f830dffp-19, 0x1.a888534bf1838p-19, 0x1.acac1161e98d6p-19, 0x1.b0bded0cc8043p-19, 0x1.b4be081f49c43p-19, 0x1.b8ac84682211bp-19, 0x1.bc8983b52f7a1p-19, 0x1.c05527d1b6bbp-19, 0x1.c40f9285cc4d2p-19, 0x1.c7b8e59328bcap-19, 0x1.cb5142b6b4afdp-19, 0x1.ced8cba505a05p-19, 0x1.d24fa20b4da97p-19, 0x1.d5b5e78d3c81ep-19, 0x1.d90bbdc54e751p-19, 0x1.dc5146442536cp-19, 0x1.df86a28e8769ep-19, 0x1.e2abf41c87e0ep-19, 0x1.e5c15c56fbf16p-19, 0x1.e8c6fc9977e5p-19, 0x1.ebbcf63175a57p-19, 0x1.eea36a5d86f11p-19, 0x1.f17a7a4a80be1p-19, 0x1.f44247155480ep-19, 0x1.f6faf1c7b00ecp-19, 0x1.f9a49b5a3cecap-19, 0x1.fc3f64b239cd3p-19, 0x1.fecb6e9f98a52p-19, 0x1.00a46cee23639p-18, 0x1.01dbe3872d738p-18, 0x1.030c2b634d2f4p-18, 0x1.043554bef4de6p-18, 0x1.05576fcb76c76p-18, 0x1.06728cadea6eap-18, 0x1.0786bb7f36f6cp-18, 0x1.08940c4b91fffp-18, 0x1.099a8f1262d56p-18, 0x1.0a9a53c66066dp-18, 0x1.0b936a4ccf4e8p-18, 0x1.0c85e27d9724cp-18, 0x1.0d71cc22611bp-18, 0x1.0e5736f5f84d9p-18, 0x1.0f3632a51f0e5p-18, 0x1.100ecece863e8p-18, 0x1.10e11b021dc73p-18, 0x1.11ad26c03ebacp-18, 0x1.1273017a9439p-18, 0x1.1332ba9292dd6p-18, 0x1.13ec615acfbd4p-18, 0x1.14a00515a7652p-18, 0x1.154db4f57092fp-18, 0x1.15f5801b4988fp-18, 0x1.169775984d9cbp-18, 0x1.1733a46d65a87p-18, 0x1.17ca1b8a2afb7p-18, 0x1.185ae9cd6a35cp-18, 0x1.18e61e04d0d8bp-18, 0x1.196bc6ec6a221p-18, 0x1.19ebf32ef2586p-18, 0x1.1a66b1654381ep-18, 0x1.1adc10168b00fp-18, 0x1.1b4c1db8633adp-18, 0x1.1bb6e8ae14358p-18, 0x1.1c1c7f48a08fep-18, 0x1.1c7cefc6bbfeap-18, 0x1.1cd84853ef614p-18, 0x1.1d2e9709a032ep-18, 0x1.1d7fe9eed778ap-18, 0x1.1dcc4ef796d5fp-18, 0x1.1e13d404de06ap-18, 0x1.1e5686e4c15ap-18, 0x1.1e947551e6d7ep-18, 0x1.1ecdacf471728p-18, 0x1.1f023b60b5d96p-18, 0x1.1f322e17c68ep-18, 0x1.1f5d92869968fp-18, 0x1.1f847606e2f1dp-18, 0x1.1fa6e5df18641p-18, 0x1.1fc4ef41965b5p-18, 0x1.1fde9f4cd99b8p-18, 0x1.1ff4030bfb4bp-18, 0x1.20052775aa15p-18, 0x1.2012196cfa439p-18, 0x1.201ae5c0a458cp-18, 0x1.201f992b58ee7p-18, 0x1.20204053f293ap-18, 0x1.201ce7ccf462p-18, 0x1.20159c1498facp-18, 0x1.200a6994e9dfbp-18, 0x1.1ffb5ca3cb44p-18, 0x1.1fe88181f9cb8p-18, 0x1.1fd1e45c7a08dp-18, 0x1.1fb7914c3711bp-18, 0x1.1f99945525ff6p-18, 0x1.1f77f96710d96p-18, 0x1.1f52cc5d4da8dp-18, 0x1.1f2a18fe90ee2p-18, 0x1.1efdeafd56423p-18, 0x1.1ece4df78a276p-18, 0x1.1e9b4d76c03ap-18, 0x1.1e64f4ef65644p-18, 0x1.1e2b4fc1b72b5p-18, 0x1.1dee6939c8026p-18, 0x1.1dae4c8ec3a7p-18, 0x1.1d6b04e35573fp-18, 0x1.1d249d45fe453p-18, 0x1.1cdb20b07077bp-18, 0x1.1c8e9a08347d3p-18, 0x1.1c3f141e0ca4p-18, 0x1.1bec99ae437dp-18, 0x1.1b9735611ad3bp-18, 0x1.1b3ef1ca34121p-18, 0x1.1ae3d968c46c2p-18, 0x1.1a85f6a799c67p-18, 0x1.1a2553dd59d53p-18, 0x1.19c1fb4c2fad5p-18, 0x1.195bf721f4687p-18, 0x1.18f35178834e9p-18, 0x1.1888145568447p-18, 0x1.181a49a9d56b4p-18, 0x1.17a9fb532081ep-18, 0x1.1737331a4ebcep-18, 0x1.16c1fab47a851p-18, 0x1.164a5bc2bc68dp-18, 0x1.15d05fd233c16p-18, 0x1.1554105c24f6ep-18, 0x1.14d576c5c42d7p-18, 0x1.14549c60758bbp-18, 0x1.13d18a6a08077p-18, 0x1.134c4a0c85433p-18, 0x1.12c4e45e3c385p-18, 0x1.123b6261f4cecp-18, 0x1.11afcd06c2092p-18, 0x1.11222d285ba84p-18, 0x1.10928b8f1414dp-18, 0x1.1000f0efc199ep-18, 0x1.0f6d65ec099fcp-18, 0x1.0ed7f3125446dp-18, 0x1.0e40a0ddb276ap-18, 0x1.0da777b624324p-18, 0x1.0d0c7ff0928a9p-18, 0x1.0c6fc1cf07d29p-18, 0x1.0bd145808f579p-18, 0x1.0b3113218b8f4p-18, 0x1.0a8f32bb981dep-18, 0x1.09ebac4555aaep-18, 0x1.094687a2e1c84p-18, 0x1.089fcca5ef289p-18, 0x1.07f7830d8baffp-18, 0x1.074db2867fdb5p-18, 0x1.06a262ab1b28ep-18, 0x1.05f59b03973e8p-18, 0x1.05476305e048fp-18, 0x1.0497c215c1f2cp-18, 0x1.03e6bf856fb95p-18, 0x1.03346294df7b4p-18, 0x1.0280b27217012p-18, 0x1.01cbb63981e1cp-18, 0x1.011574f5dfa3bp-18, 0x1.005df5a05a389p-18, 0x1.ff4a7e40feb78p-19, 0x1.fdd6b098fd15ap-19, 0x1.fc608fd21ab3bp-19, 0x1.fae82953f0dcdp-19, 0x1.f96d8a63a750bp-19, 0x1.f7f0c023cd11p-19, 0x1.f671d79520695p-19, 0x1.f4f0dd9668e36p-19, 0x1.f36ddee4fab5ap-19, 0x1.f1e8e81ca0dbfp-19, 0x1.f06205b7f267fp-19, 0x1.eed944114e6b6p-19, 0x1.ed4eaf6182177p-19, 0x1.ebc253c06be04p-19, 0x1.ea343d259036fp-19, 0x1.e8a4776809f92p-19, 0x1.e7130e3ee0e94p-19, 0x1.e5800d4115c93p-19, 0x1.e3eb7fe60b45p-19, 0x1.e25571856b6eap-19, 0x1.e0bded5759e47p-19, 0x1.df24fe74a1efap-19, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.c51aa88ed9d99p-8, 0x1.c583bcb6131b6p-7, 0x1.549f0cbe986aep-6, 0x1.c6ffd81f29ea2p-6, 0x1.1cfbcb3ca9e12p-5, 0x1.56c531cf0d50cp-5, 0x1.90d6a56cf43b6p-5, 0x1.cb2395e2d6f31p-5, 0x1.02cc8590c9eabp-4, 0x1.200f3aedbe38p-4, 0x1.3d4b484fe9371p-4, 0x1.5a70223f2418p-4, 0x1.776bc40ff25f7p-4, 0x1.942b19974a069p-4, 0x1.b09a6109e0408p-4, 0x1.cca583dadcb7cp-4, 0x1.e8386606f5933p-4, 0x1.019f95d422d93p-3, 0x1.0ed33a7f8a3c2p-3, 0x1.1badc8a9b22e1p-3, 0x1.2826549c3c90ap-3, 0x1.3434706996fb7p-3, 0x1.3fd0396882078p-3, 0x1.4af26261a1c11p-3, 0x1.55943ac8877c9p-3, 0x1.5fafb35774f7dp-3, 0x1.693f6061422e7p-3, 0x1.723e7a2828485p-3, 0x1.7aa8db82b82ep-3, 0x1.827aff12a0c14p-3, 0x1.89b1fb4aee304p-3, 0x1.904b7d7d93a5ep-3, 0x1.9645c42266fdbp-3, 0x1.9b9f98840ac9cp-3, 0x1.a05847fa3b384p-3, 0x1.a46f9cd3de559p-3, 0x1.a7e5d70eca585p-3, 0x1.aabba4f6f7345p-3, 0x1.acf21bc2f6a4dp-3, 0x1.ae8ab04029b55p-3, 0x1.af872f9deff71p-3, 0x1.afe9b8645af7bp-3, 0x1.afb4b3a0613b7p-3, 0x1.aeeace4d68013p-3, 0x1.ad8ef3020d9d9p-3, 0x1.aba443e46912bp-3, 0x1.a92e14e897348p-3, 0x1.a62fe65b25939p-3, 0x1.a2ad5fb7d4907p-3, 0x1.9eaa4acc73e66p-3, 0x1.9a2a8f26af7d9p-3, 0x1.95322dcb3c4bfp-3, 0x1.8fc53d34308ebp-3, 0x1.89e7e594286eep-3, 0x1.839e5d5b5a597p-3, 0x1.7cece5fbbbb12p-3, 0x1.75d7c8e91aaebp-3, 0x1.6e6354d205f48p-3, 0x1.6693db0e5a5afp-3, 0x1.5e6dad4053defp-3, 0x1.55f51b24fdbd8p-3, 0x1.4d2e709107fd7p-3, 0x1.441df3971257p-3, 0x1.3ac7e2d49cf3ap-3, 0x1.313073e2f7f7cp-3, 0x1.275bd1e9a0c3bp-3, 0x1.1d4e1c4fafc1ep-3, 0x1.130b658a1235ap-3, 0x1.0897b204793e4p-3, 0x1.fbedee45fc3fp-4, 0x1.e65a34b579efap-4, 0x1.d07be0bf454d5p-4, 0x1.ba5a78cbe20ap-4, 0x1.a3fd5eec0ab77p-4, 0x1.8d6bcfa226921p-4, 0x1.76ace0cb4399p-4, 0x1.5fc780a576697p-4, 0x1.48c274f18dfc9p-4, 0x1.31a45a2e612fcp-4, 0x1.1a73a2ec05ae6p-4, 0x1.033697358006ep-4, 0x1.d7e6a81f16fe7p-5, 0x1.a95f96169028cp-5, 0x1.7ae383d75d533p-5, 0x1.4c7da4b999af4p-5, 0x1.1e38d377bb5cfp-5, 0x1.e03f23bda8135p-6, 0x1.8478113a9c4eep-6, 0x1.29300e5daaa5dp-6, 0x1.9cf40f9015ee3p-7, 0x1.d1a0e025bc034p-8, 0x1.b0c28179154dap-10, -0x1.ec4a804b1effcp-9, -0x1.2a9010df56e62p-7, -0x1.d841108f88f44p-7, -0x1.420404a54bc5cp-6, -0x1.96e45f2a8994cp-6, -0x1.eab42488767ebp-6, -0x1.1eb3456c6c1e7p-5, -0x1.4777b7ea17d5dp-5, -0x1.6fa1ab7283ed8p-5, -0x1.972bb38d295c4p-5, -0x1.be10b47d2dfe1p-5, -0x1.e44be21bfa2adp-5, -0x1.04ec5f52d8147p-4, -0x1.17598cbc29216p-4, -0x1.296b86e32b72ep-4, -0x1.3b20809ebf1ffp-4, -0x1.4c76d15153daap-4, -0x1.5d6cf431b6a1fp-4, -0x1.6e01878f232cap-4, -0x1.7e334c1100ab5p-4, -0x1.8e0123f2a09c6p-4, -0x1.9d6a123b69121p-4, -0x1.ac6d39f3c261ap-4, -0x1.bb09dd572658cp-4, -0x1.c93f5d03b1e88p-4, -0x1.d70d37278e6b6p-4, -0x1.e47306ac88333p-4, -0x1.f17082623ab01p-4, -0x1.fe057c2705364p-4, -0x1.0518f0082629ap-3, -0x1.0afad9c90f485p-3, -0x1.10a88a53604aep-3, -0x1.16221c7b248fap-3, -0x1.1b67b67f517f6p-3, -0x1.2079899e2145ep-3, -0x1.2557d1a9de213p-3, -0x1.2a02d49e4ce6ap-3, -0x1.2e7ae236d03fap-3, -0x1.32c0538558d97p-3, -0x1.36d38a8a54aaep-3, -0x1.3ab4f1cda297cp-3, -0x1.3e64fbf8b043cp-3, -0x1.41e42371d7325p-3, -0x1.4532e9f912b48p-3, -0x1.4851d8461bd73p-3, -0x1.4b417da80a1b7p-3, -0x1.4e026fa681c32p-3, -0x1.509549a48a176p-3, -0x1.52faac8515541p-3, -0x1.55333e514689dp-3, -0x1.573fa9e087ef2p-3, -0x1.59209e8282569p-3, -0x1.5ad6cfaaecff2p-3, -0x1.5c62f49f59ce3p-3, -0x1.5dc5c826eeffap-3, -0x1.5f00083c20c4ep-3, -0x1.601275c0747f1p-3, -0x1.60fdd43245ab1p-3, -0x1.61c2e9649b726p-3, -0x1.62627d3911845p-3, -0x1.62dd595bcb6cdp-3, -0x1.633449017f996p-3, -0x1.636818a797695p-3, -0x1.637995d65f01cp-3, -0x1.63698ee545c6fp-3, -0x1.6338d2c132ffap-3, -0x1.62e830b4e1703p-3, -0x1.6278783347358p-3, -0x1.61ea78a40031ap-3, -0x1.613f0131be903p-3, -0x1.6076e09aaa821p-3, -0x1.5f92e502c8114p-3, -0x1.5e93dbc839b34p-3, -0x1.5d7a9159791dfp-3, -0x1.5c47d10d6957p-3, -0x1.5afc64fd4582cp-3, -0x1.599915e064882p-3, -0x1.581eaae9bc6d4p-3, -0x1.568de9a73541ep-3, -0x1.54e795e2a4026p-3, -0x1.532c718485336p-3, -0x1.515d3c7853263p-3, -0x1.4f7ab4927fcf1p-3, -0x1.4d859577fa6f6p-3, -0x1.4b7e988748fcfp-3, -0x1.496674c31ca6p-3, -0x1.473ddebe5b498p-3, -0x1.45058889989cbp-3, -0x1.42be21a1f46fcp-3, -0x1.406856e14b98bp-3, -0x1.3e04d26fbd46bp-3, -0x1.3b943bb67164dp-3, -0x1.391737539c85cp-3, -0x1.368e670fb6cc3p-3, -0x1.33fa69d3d436ep-3, -0x1.315bdba11d6ffp-3, -0x1.2eb3558962f72p-3, -0x1.2c016da8ad9f6p-3, -0x1.2946b71fd8b17p-3, -0x1.2683c21024fbap-3, -0x1.23b91b97afb41p-3, -0x1.20e74dced89b3p-3, -0x1.1e0edfc67f9f9p-3, -0x1.1b30558712f98p-3, -0x1.184c30106b1aap-3, -0x1.1562ed5a657dap-3, -0x1.127508563bb26p-3, -0x1.0f82f8f0850f1p-3, -0x1.0c8d3413e5a9ap-3, -0x1.09942bac5ac4ep-3, -0x1.06984eab24b02p-3, -0x1.039a090b3ac0ap-3, -0x1.0099c3d64ce8cp-3, -0x1.fb2fca5490be7p-4, -0x1.f529a07ea60a3p-4, -0x1.ef21cadc7e9c3p-4, -0x1.e919046ed1a9dp-4, -0x1.e3100293fdc61p-4, -0x1.dd0775174c1b7p-4, -0x1.d7000640fa6fap-4, -0x1.d0fa5ae6dab09p-4, -0x1.caf7127da42f9p-4, -0x1.c4f6c72ac0015p-4, -0x1.befa0dd6a924cp-4, -0x1.b901763fc60c4p-4, -0x1.b30d8b0db2be1p-4, -0x1.ad1ed1e4ef3b6p-4, -0x1.a735cb7aeb242p-4, -0x1.a152f3aa6e983p-4, -0x1.9b76c1883ee8dp-4, -0x1.95a1a77816d9dp-4, -0x1.8fd41341cb926p-4, -0x1.8a0e6e26aa8d1p-4, -0x1.84511cf7010ccp-4, -0x1.7e9c8027c6ed8p-4, -0x1.78f0f3e864e7p-4, -0x1.734ed0388f91dp-4, -0x1.6db668fe356b7p-4, -0x1.68280e1b6f522p-4, -0x1.62a40b8478366p-4, -0x1.5d2aa955a2ddp-4, -0x1.57bc2be94161dp-4, -0x1.5258d3ed8745dp-4, -0x1.4d00de7a52554p-4, -0x1.47b48526e0badp-4, -0x1.4273fe1f6b1a6p-4, -0x1.3d3f7c3a9d6bap-4, -0x1.38172f0eeeef1p-4, -0x1.32fb4307d125ap-4, -0x1.2debe17ab48fbp-4, -0x1.28e930bbe0bcep-4, -0x1.23f354331a0bcp-4, -0x1.1f0a6c7012cf4p-4, -0x1.1a2e973ea8353p-4, -0x1.155fefbae40ffp-4, -0x1.109e8e64c3579p-4, -0x1.0bea8933c026p-4, -0x1.0743f3aa1af68p-4, -0x1.02aadee7e2197p-4, -0x1.fc3eb37b6d509p-5, -0x1.f342e17e9ac9ep-5, -0x1.ea625cab4d886p-5, -0x1.e19d35a2056bbp-5, -0x1.d8f378f5129dep-5, -0x1.d0652f4b564b8p-5, -0x1.c7f25d826d79bp-5, -0x1.bf9b04d043dc8p-5, -0x1.b75f22e413419p-5, -0x1.af3eb206c776bp-5, -0x1.a739a93ac2cddp-5, -0x1.9f4ffc5b11516p-5, -0x1.97819c39fcf02p-5, -0x1.8fce76bf0570ep-5, -0x1.8836770439b7dp-5, -0x1.80b98572ff61fp-5, -0x1.795787e035b71p-5, -0x1.721061a7beda4p-5, -0x1.6ae3f3c77154cp-5, -0x1.63d21cf96fe06p-5, -0x1.5cdab9cde444fp-5, -0x1.55fda4c422eb2p-5, -0x1.4f3ab66338e6fp-5, -0x1.4891c551e25c9p-5, -0x1.4202a66de8328p-5, -0x1.3b8d2ce2eddcp-5, -0x1.35312a40ad79fp-5, -0x1.2eee6e909c561p-5, -0x1.28c4c86b02fc8p-5, -0x1.22b4050b856ccp-5, -0x1.1cbbf06526a64p-5, -0x1.16dc5535b2cd7p-5, -0x1.1114fd18a9f29p-5, -0x1.0b65b0999e1bbp-5, -0x1.05ce374612ff2p-5, -0x1.004e57bed0a6cp-5, -0x1.f5cbaf9170ef4p-6, -0x1.eb28f8ba35039p-6, -0x1.e0b4137317972p-6, -0x1.d66c86de7f6b6p-6, -0x1.cc51d8e3d7026p-6, -0x1.c2638e4c521e1p-6, -0x1.b8a12adee023dp-6, -0x1.af0a317b1b8b7p-6, -0x1.a59e243366e75p-6, -0x1.9c5c84663784dp-6, -0x1.9344d2d65bb01p-6, -0x1.8a568fc293dcp-6, -0x1.81913afc3d3dbp-6, -0x1.78f453fd4409ep-6, -0x1.707f59fd3daa7p-6, -0x1.6831cc05bd371p-6, -0x1.600b2905eb57ep-6, -0x1.580aefe559d37p-6, -0x1.50309f96294d6p-6, -0x1.487bb72676a72p-6, -0x1.40ebb5d109aep-6, -0x1.39801b0d68f93p-6, -0x1.3238669f36d28p-6, -0x1.2b1418a4f1332p-6, -0x1.2412b1a616f06p-6, -0x1.1d33b2a0a29ep-6, -0x1.16769d15f47a7p-6, -0x1.0fdaf3171e07p-6, -0x1.09603750ac256p-6, -0x1.0305ed15d394ep-6, -0x1.f99730d654105p-7, -0x1.ed617c217d947p-7, -0x1.e169c71774b47p-7, -0x1.d5af1e5f0f9f4p-7, -0x1.ca30904cee449p-7, -0x1.beed2cf3f0037p-7, -0x1.b3e40634a0c1ep-7, -0x1.a9142fcbc63f5p-7, -0x1.9e7cbf60285ebp-7, -0x1.941ccc8f60551p-7, -0x1.89f370fa0497ap-7, -0x1.7fffc84efc0c9p-7, -0x1.7640f056052a8p-7, -0x1.6cb608f97f198p-7, -0x1.635e344f89f0bp-7, -0x1.5a3896a277085p-7, -0x1.514456787e1dcp-7, -0x1.48809c9af806p-7, -0x1.3fec941cc3086p-7, -0x1.37876a602823bp-7, -0x1.2f504f1c34fe3p-7, -0x1.2746746170544p-7, -0x1.1f690e9e1906ap-7, -0x1.17b754a1d52fbp-7, -0x1.10307fa0eb23dp-7, -0x1.08d3cb36ea312p-7, -0x1.01a07568e6dc4p-7, -0x1.f52b7d4e945eap-8, -0x1.e765d39e57091p-8, -0x1.d9ee785690ba3p-8, -0x1.ccc3fae93b90dp-8, -0x1.bfe4efa4e62cep-8, -0x1.b34fefb48d1f2p-8, -0x1.a703991e541ebp-8, -0x1.9afe8ec1db096p-8, -0x1.8f3f7855cb9bcp-8, -0x1.83c50264e0e55p-8, -0x1.788dde4a493b5p-8, -0x1.6d98c22d64594p-8, -0x1.62e468fd183dp-8, -0x1.586f926a959c1p-8, -0x1.4e3902e3a5017p-8, -0x1.443f838c7781cp-8, -0x1.3a81e2392465dp-8, -0x1.30fef166834ccp-8, -0x1.27b58832bfa6cp-8, -0x1.1ea482559df05p-8, -0x1.15cac0183989cp-8, -0x1.0d27264ca1e7dp-8, -0x1.04b89e450c3e4p-8, -0x1.f8fc2b9568c4dp-9, -0x1.e8ecfe28dffa8p-9, -0x1.d941a17a4a9fcp-9, -0x1.c9f80b73965f8p-9, -0x1.bb0e3a9ea8ed6p-9, -0x1.ac823610c40e1p-9, -0x1.9e520d55964edp-9, -0x1.907bd859bb9f6p-9, -0x1.82fdb754f03bep-9, -0x1.75d5d2b4117cdp-9, -0x1.69025b02a7de4p-9, -0x1.5c8188d49c606p-9, -0x1.50519caf0b097p-9, -0x1.4470def1724a7p-9, -0x1.38dd9fbe7ebfep-9, -0x1.2d9636e49cf66p-9, -0x1.229903c669686p-9, -0x1.17e46d431028bp-9, -0x1.0d76e19e86d4fp-9, -0x1.034ed669c3b81p-9, -0x1.f2d590d5c931ap-10, -0x1.df92770a425bbp-10, -0x1.ccd17541e4f97p-10, -0x1.ba8faf27fd193p-10, -0x1.a8ca561244fe3p-10, -0x1.977ea8d0c6a8p-10, -0x1.86a9f37e29704p-10, -0x1.76498f4fe141bp-10, -0x1.665ae266594f2p-10, -0x1.56db5f9da043cp-10, -0x1.47c8865dcc65bp-10, -0x1.391fe26bd710ap-10, -0x1.2adf0bba75efap-10, -0x1.1d03a63b7912ep-10, -0x1.0f8b61b0ff5cp-10, -0x1.0273f97f54d15p-10, -0x1.eb7668fd9ef34p-11, -0x1.d2bdc99cbbff8p-11, -0x1.bab9cf4b415ccp-11, -0x1.a3664a503589ap-11, -0x1.8cbf207039812p-11, -0x1.76c04c95848bbp-11, -0x1.6165de76d7b32p-11, -0x1.4cabfa409e894p-11, -0x1.388ed83dd7dc2p-11, -0x1.250ac482ef637p-11, -0x1.121c1e97e2627p-11, -0x1.ff7eb24970adep-12, -0x1.dbe1f33a547b2p-12, -0x1.b95b2fdcffe03p-12, -0x1.97e3bc5c3b368p-12, -0x1.77751090abc4bp-12, -0x1.5808c76064444p-12, -0x1.39989e2253bedp-12, -0x1.1c1e740023997p-12, -0x1.ff2892b9c8038p-13, -0x1.c7e87e787e077p-13, -0x1.92712d5543f05p-13, -0x1.5eb7605193c94p-13, -0x1.2cb01631fccd2p-13, -0x1.f8a114b677c12p-14, -0x1.9b1c6764eecc6p-14, -0x1.40bd87093ba57p-14, -0x1.d2e091b3dd002p-15, -0x1.2a41e50779ce3p-15, -0x1.0ef0e0398c7e1p-16, 0x1.5a18c805cbb92p-19, 0x1.5a61f7c82534ep-16, 0x1.3f59f8d089f83p-15, 0x1.cc3fd1c1a1ad2p-15, 0x1.2a0286692f78fp-14, 0x1.6b65b5d55be1fp-14, 0x1.aa59f7a74dbdcp-14, 0x1.e6ef6df748b6dp-14, 0x1.109aef25750d5p-13, 0x1.2c9e59b5b7fd5p-13, 0x1.47897f98a07a6p-13, 0x1.6163be26f65bfp-13, 0x1.7a344804402a1p-13, 0x1.920225f9e78e7p-13, 0x1.a8d437d04409ap-13, 0x1.beb135218668cp-13, 0x1.d39fae2db7d8dp-13, 0x1.e7a60ca6aed5fp-13, 0x1.faca947bdc78p-13, 0x1.0689b24f4172dp-12, 0x1.0f433be382669p-12, 0x1.1794d29acdcfep-12, 0x1.1f8150b682887p-12, 0x1.270b7f76f25d5p-12, 0x1.2e36177655377p-12, 0x1.3503c10101c2ap-12, 0x1.3b77146f90858p-12, 0x1.41929a7ba97b7p-12, 0x1.4758cc958d7bcp-12, 0x1.4ccc153705fe7p-12, 0x1.51eed0353b685p-12, 0x1.56c34b10ede7cp-12, 0x1.5b4bc544ec69ap-12, 0x1.5f8a7093f849p-12, 0x1.638171545ffabp-12, 0x1.6732deba56d06p-12, 0x1.6aa0c320fa82ep-12, 0x1.6dcd1c51e8581p-12, 0x1.70b9dbcc1e96cp-12, 0x1.7368e70842186p-12, 0x1.75dc17bc80c6dp-12, 0x1.78153c1f3dcd2p-12, 0x1.7a16172662f31p-12, 0x1.7be060c94872bp-12, 0x1.7d75c63dc483bp-12, 0x1.7ed7ea365ebbep-12, 0x1.8008651d9afdep-12, 0x1.8108c550da924p-12, 0x1.81da8f5a4927bp-12, 0x1.827f3e2926fe9p-12, 0x1.82f843498d51ap-12, 0x1.8347071a3817ap-12, 0x1.836ce901e508bp-12, 0x1.836b3fa28671bp-12, 0x1.8343590d6f879p-12, 0x1.82f67af499a29p-12, 0x1.8285e2dbd775cp-12, 0x1.81f2c648298b4p-12, 0x1.813e52ef1d8efp-12, 0x1.8069aee478c07p-12, 0x1.7f75f8c6fa01bp-12, 0x1.7e6447ec7c78cp-12, 0x1.7d35ac8d4204ap-12, 0x1.7beb2fedeea18p-12, 0x1.7a85d4881d5p-12, 0x1.7906963361f91p-12, 0x1.776e6a4cd7c61p-12, 0x1.75be3fdd5ff43p-12, 0x1.73f6ffbf7caccp-12, 0x1.72198cc4a85cbp-12, 0x1.7026c3d90f9d3p-12, 0x1.6e1f7c26fe8d6p-12, 0x1.6c04873973beap-12, 0x1.69d6b11e548ep-12, 0x1.6796c087895dfp-12, 0x1.654576eacc8b5p-12, 0x1.62e390a1bb97p-12, 0x1.6071c5089ea56p-12, 0x1.5df0c69cdd1fbp-12, 0x1.5b61431a569c2p-12, 0x1.58c3e3989c3edp-12, 0x1.56194ca6e7a5cp-12, 0x1.53621e684f882p-12, 0x1.509ef4add757ep-12, 0x1.4dd0671183a64p-12, 0x1.4af7091048e4dp-12, 0x1.48136a22f157ap-12, 0x1.452615d6d5fdfp-12, 0x1.422f93e606e9ap-12, 0x1.3f30684edc45p-12, 0x1.3c29136ab1e03p-12, 0x1.391a120489f8ep-12, 0x1.3603dd6f15897p-12, 0x1.32e6eb9a6044fp-12, 0x1.2fc3af2855236p-12, 0x1.2c9a978170ddcp-12, 0x1.296c10e8ac74ep-12, 0x1.2638848f31ac4p-12, 0x1.230058a72555fp-12, 0x1.1fc3f0768a62fp-12, 0x1.1c83ac69801e9p-12, 0x1.193fea23e257p-12, 0x1.15f904929cf54p-12, 0x1.12af53fc7385cp-12, 0x1.0f632e12fb31ep-12, 0x1.0c14e60299df3p-12, 0x1.08c4cc825af98p-12, 0x1.05732fe3619c3p-12, 0x1.02205c1fda60ep-12, 0x1.fd9935d3199b1p-13, 0x1.f6f06770cdd0cp-13, 0x1.f046d7b0dad69p-13, 0x1.e99d0ceeffaap-13, 0x1.e2f3896568e32p-13, 0x1.dc4acb4659a88p-13, 0x1.d5a34cd601ab2p-13, 0x1.cefd848278754p-13, 0x1.c859e4fd5aa82p-13, 0x1.c1b8dd52978cep-13, 0x1.bb1ad9002708p-13, 0x1.b480400c34228p-13, 0x1.ade9771ae3982p-13, 0x1.a756df83d33d8p-13, 0x1.a0c8d76799661p-13, 0x1.9a3fb9c3c57c2p-13, 0x1.93bbde86ec4dep-13, 0x1.8d3d9aa4634a2p-13, 0x1.86c5402705d8p-13, 0x1.80531e43eef8p-13, 0x1.79e7816c3d00cp-13, 0x1.7382b35f2e865p-13, 0x1.6d24fb3b73b2ap-13, 0x1.66ce9d8ff5cep-13, 0x1.607fdc6c3bb2fp-13, 0x1.5a38f7700566bp-13, 0x1.53fa2bdb6fb3p-13, 0x1.4dc3b49e62b5p-13, 0x1.4795ca670c53cp-13, 0x1.4170a3b07cf07p-13, 0x1.3b5474d10b58bp-13, 0x1.35417008112f5p-13, 0x1.2f37c58b946b4p-13, 0x1.2937a3953d983p-13, 0x1.2341366fa65c4p-13, 0x1.1d54a8827c0d6p-13, 0x1.1772225f5da02p-13, 0x1.1199cacd2b781p-13, 0x1.0bcbc6d3b9663p-13, 0x1.060839c78527cp-13, 0x1.004f45550f391p-13, 0x1.f542131716703p-14, 0x1.e9fb49cd8d0a6p-14, 0x1.deca68b50791ap-14, 0x1.d3afa6b7d390ap-14, 0x1.c8ab37d72a841p-14, 0x1.bdbd4d3ec00e3p-14, 0x1.b2e61557642dap-14, 0x1.a825bbd952958p-14, 0x1.9d7c69de6338ap-14, 0x1.92ea45f322b44p-14, 0x1.886f7427455cp-14, 0x1.7e0c161ec2e2dp-14, 0x1.73c04b226552ap-14, 0x1.698c30303a1d5p-14, 0x1.5f6fe009ea585p-14, 0x1.556b73440bc0ap-14, 0x1.4b7f005517abcp-14, 0x1.41aa9ba386324p-14, 0x1.37ee579456e19p-14, 0x1.2e4a4497efbf4p-14, 0x1.24be713961b0bp-14, 0x1.1b4aea29f1382p-14, 0x1.11efba4e70265p-14, 0x1.08aceacb901a2p-14, 0x1.ff050622b49f7p-15, 0x1.ece111cfc27c5p-15, 0x1.daee00f51a53fp-15, 0x1.c92bd8c854be4p-15, 0x1.b79a9b73578c4p-15, 0x1.a63a4827f03b1p-15, 0x1.950adb37ce2ep-15, 0x1.840c4e26e1e1ap-15, 0x1.733e97c136c06p-15, 0x1.62a1ac2d07c15p-15, 0x1.52357cff6e32bp-15, 0x1.41f9f94fb871ap-15, 0x1.31ef0dc87ebacp-15, 0x1.2214a4b9e304dp-15, 0x1.126aa62a7980bp-15, 0x1.02f0f7e8b6c3fp-15, 0x1.e74efb37be423p-16, 0x1.c91c31a8a2b2cp-16, 0x1.ab495238f99acp-16, 0x1.8dd6180d544c6p-16, 0x1.70c23a79dcf4p-16, 0x1.540d6d2185db7p-16, 0x1.37b76010469f1p-16, 0x1.1bbfbfdab55d7p-16, 0x1.002635b60b63ep-16, 0x1.c9d4cf3009f7fp-17, 0x1.9417f09cfca97p-17, 0x1.5f150f34a8949p-17, 0x1.2acb6490200f3p-17, 0x1.ee744920cd032p-18, 0x1.88c0fb1f58467p-18, 0x1.247b3123a843dp-18, 0x1.834265bee9562p-19, 0x1.80c4f856b77d4p-20, 0x1.4c372d0df200ap-29, -0x1.79df1f7f1e4d6p-20, -0x1.776918a89dabbp-19, -0x1.178ead3983142p-18, -0x1.7208199fa8d8cp-18, -0x1.cb22c89b6b41fp-18, -0x1.11705c7a7bc23p-17, -0x1.3ca1f86ddb169p-17, -0x1.67273ed0f62bdp-17, -0x1.910139b71710dp-17, -0x1.ba30f67e22d52p-17, -0x1.e2b785a9c3365p-17, -0x1.054afd617b35dp-16, -0x1.18e6b61b9bbbep-16, -0x1.2c2f799ad428p-16, -0x1.3f25d5c92c8d1p-16, -0x1.51ca59d3a0fe5p-16, -0x1.641d961b98817p-16, -0x1.76201c2610032p-16, -0x1.87d27e8fcf20bp-16, -0x1.993550fdb1e6cp-16, -0x1.aa49280f45c2p-16, -0x1.bb0e9951c3649p-16, -0x1.cb863b32b9676p-16, -0x1.dbb0a4f2f6558p-16, -0x1.eb8e6e9a113d7p-16, -0x1.fb2030eb07afp-16, -0x1.053342abaa95cp-15, -0x1.0cb102f970a8ep-15, -0x1.1409a6b51c4adp-15, -0x1.1b3d7b7b23451p-15, -0x1.224ccf27cad63p-15, -0x1.2937efd3e14dap-15, -0x1.2fff2bcdf79edp-15, -0x1.36a2d195cb334p-15, -0x1.3d232fd69fb8ap-15, -0x1.43809563ef024p-15, -0x1.49bb5132a8603p-15, -0x1.4fd3b255a84c2p-15, -0x1.55ca07f9c73f1p-15, -0x1.5b9ea160153b3p-15, -0x1.6151cdda49e8dp-15, -0x1.66e3dcc65c863p-15, -0x1.6c551d8a948ap-15, -0x1.71a5df90d1f46p-15, -0x1.76d672430ce8fp-15, -0x1.7be725089eb01p-15, -0x1.80d847406e1f8p-15, -0x1.85aa283df6ac7p-15, -0x1.8a5d17470ece5p-15, -0x1.8ef1638e76c2ap-15, -0x1.93675c31dd446p-15, -0x1.97bf503544527p-15, -0x1.9bf98e8112273p-15, -0x1.a01665de125c3p-15, -0x1.a41624f1edf49p-15, -0x1.a7f91a3dfba33p-15, -0x1.abbf941ac7e16p-15, -0x1.af69e0b52c936p-15, -0x1.b2f84e0c5bdfcp-15, -0x1.b66b29eeac875p-15, -0x1.b9c2c1f69799bp-15, -0x1.bcff63886e44ep-15, -0x1.c0215bd073159p-15, -0x1.c328f7c06aaaep-15, -0x1.c616840bce36ap-15, -0x1.c8ea4d2663902p-15, -0x1.cba49f42a4a2dp-15, -0x1.ce45c64e5ebdbp-15, -0x1.d0ce0df152efp-15, -0x1.d33dc18aa2542p-15, -0x1.d5952c2f36f9fp-15, -0x1.d7d498a743fd4p-15, -0x1.d9fc516cb9f28p-15, -0x1.dc0ca0aa5d6e3p-15, -0x1.de05d038a3375p-15, -0x1.dfe8299be9f4ep-15, -0x1.e1b3f603b7fbep-15, -0x1.e3697e48469b5p-15, -0x1.e5090ae901aeep-15, -0x1.e692e40b5337p-15, -0x1.e80751792ad87p-15, -0x1.e9669a9ffa17ep-15, -0x1.eab1068e2f6fap-15, -0x1.ebe6dbf28172p-15, -0x1.ed08611a43d8cp-15, -0x1.ee15dbf108673p-15, -0x1.ef0f91fe44df7p-15, -0x1.eff5c8650306ep-15, -0x1.f0c8c3e1d3594p-15, -0x1.f188c8caca26cp-15, -0x1.f2361b0d3731p-15, -0x1.f2d0fe2e5d6a1p-15, -0x1.f359b5496ea9ep-15, -0x1.f3d0830e6bcf1p-15, -0x1.f435a9c125aap-15, -0x1.f4896b38e3fe7p-15, -0x1.f4cc08df2594ap-15, -0x1.f4fdc3af1582bp-15, -0x1.f51edc349e77bp-15, -0x1.f52f928c85647p-15, -0x1.f5302662e855ep-15, -0x1.f520d6f29466cp-15, -0x1.f501e304add68p-15, -0x1.f4d388ef64ee9p-15, -0x1.f4960696f79d6p-15, -0x1.f449996ba6532p-15, -0x1.f3ee7e69f5381p-15, -0x1.f384f21985752p-15, -0x1.f30d308da60a3p-15, -0x1.f2877563bdc25p-15, -0x1.f1f3fbc4ccb62p-15, -0x1.f152fe6387593p-15, -0x1.f0a4b77c60342p-15, -0x1.efe960d4dc659p-15, -0x1.ef2133bbd252ap-15, -0x1.ee4c6908b91cap-15, -0x1.ed6b391be4136p-15, -0x1.ec7ddbde08361p-15, -0x1.eb8488c05f81cp-15, -0x1.ea7f76bceae08p-15, -0x1.e96edc552993ep-15, -0x1.e852ef92b9e59p-15, -0x1.e72be606f3e98p-15, -0x1.e5f9f4caef9dap-15, -0x1.e4bd508004d17p-15, -0x1.e3762d4f2f805p-15, -0x1.e224bee90c94p-15, -0x1.e0c93885e3fadp-15, -0x1.df63cce5f16fp-15, -0x1.ddf4ae51222bap-15, -0x1.dc7c0e9893e94p-15, -0x1.dafa1f1513b7bp-15, -0x1.d96f10a79c746p-15, -0x1.d7db13b93886ap-15, -0x1.d63e583baf2c2p-15, -0x1.d4990da942e62p-15, -0x1.d2eb630533e69p-15, -0x1.d13586dbdce22p-15, -0x1.cf77a74347dd4p-15, -0x1.cdb1f1db62c62p-15, -0x1.cbe493cdc516cp-15, -0x1.ca0fb9cdcd03dp-15, -0x1.c83390196bc58p-15, -0x1.c65042793ca62p-15, -0x1.c465fc41140b3p-15, -0x1.c274e850404f1p-15, -0x1.c07d311191527p-15, -0x1.be7f007bde82cp-15, -0x1.bc7a80123fc79p-15, -0x1.ba6fd8e42491p-15, -0x1.b85f338f696e9p-15, -0x1.b648b83f8887cp-15, -0x1.b42c8ead95a63p-15, -0x1.b20ade210067p-15, -0x1.afe3cd6ff01afp-15, -0x1.adb783000a4acp-15, -0x1.ab8624c6a0792p-15, -0x1.a94fd8493d01ep-15, -0x1.a714c29dd0dbdp-15, -0x1.a4d5086c76511p-15, -0x1.a290cdeec29dcp-15, -0x1.a04836f0b52b9p-15, -0x1.9dfb66d03e83p-15, -0x1.9baa807f13f2ap-15, -0x1.9955a6827dd71p-15, -0x1.96fcfaf47779ap-15, -0x1.94a09f83b0813p-15, -0x1.9240b57450954p-15, -0x1.8fdd5da07fea5p-15, -0x1.8d76b87898fa6p-15, -0x1.8b0ce603cf54fp-15, -0x1.88a005e1d2a2fp-15, -0x1.8630374b366ap-15, -0x1.83bd9910dd3ffp-15, -0x1.8148499cf7e03p-15, -0x1.7ed066f3beb85p-15, -0x1.7c560eb450ec8p-15, -0x1.79d95e18e94dfp-15, -0x1.775a71f80177ep-15, -0x1.74d966c4199adp-15, -0x1.7256588d36085p-15, -0x1.6fd16301ca778p-15, -0x1.6d4aa16e96b63p-15, -0x1.6ac22ebf4d79p-15, -0x1.6838257f05d91p-15, -0x1.65ac9fd9d837ep-15, -0x1.631fb79c5dfc1p-15, -0x1.609186359a7aap-15, -0x1.5e0224b6927afp-15, -0x1.5b71abd3946fep-15, -0x1.58e033e4939eep-15, -0x1.564dd4e594927p-15, -0x1.53baa67772e6p-15, -0x1.5126bfe17dce2p-15, -0x1.4e923811dbe4cp-15, -0x1.4bfd259d752f4p-15, -0x1.49679ec0c1ec7p-15, -0x1.46d1b96069d3fp-15, -0x1.443b8b0aaf41cp-15, -0x1.41a528f76a2aep-15, -0x1.3f0ea8094f41ep-15, -0x1.3c781ccd9ee5cp-15, -0x1.39e19b7ddc535p-15, -0x1.374b380047c83p-15, -0x1.34b505e8e35c3p-15, -0x1.321f18793dae7p-15, -0x1.2f8982a128ec7p-15, -0x1.2cf4570070eep-15, -0x1.2a5fa7e684bd6p-15, -0x1.27cb8753b571fp-15, -0x1.253806f9ce971p-15, -0x1.22a5383cd1299p-15, -0x1.20132c33aafa7p-15, -0x1.1d81f3a868c3ap-15, -0x1.1af19f192cf3cp-15, -0x1.18623eb9141acp-15, -0x1.15d3e27136e0cp-15, -0x1.134699e11c98cp-15, -0x1.10ba745f36d49p-15, -0x1.0e2f80f922f79p-15, -0x1.0ba5ce74dde61p-15, -0x1.091d6b51ac0bep-15, -0x1.069665c847d6bp-15, -0x1.0410cbcc1accdp-15, -0x1.018cab0b158f8p-15, -0x1.fe1421de74bdcp-16, -0x1.f912153d85dc6p-16, -0x1.f41349fb7b489p-16, -0x1.ef17d95b27a89p-16, -0x1.ea1fdc1b64b66p-16, -0x1.e52b6a7a30346p-16, -0x1.e03a9c34c5261p-16, -0x1.db4d888906fb5p-16, -0x1.d664463771522p-16, -0x1.d17eeb83c14c9p-16, -0x1.cc9d8e370506bp-16, -0x1.c7c043a035cacp-16, -0x1.c2e7209528bd7p-16, -0x1.be123974971efp-16, -0x1.b941a227fcc1ep-16, -0x1.b4756e23a3925p-16, -0x1.afadb0697e401p-16, -0x1.aaea7b88df774p-16, -0x1.a62be19fa1502p-16, -0x1.a171f45cc59b1p-16, -0x1.9cbcc500fca03p-16, -0x1.980c645fedb42p-16, -0x1.9360e2e17899p-16, -0x1.8eba508267796p-16, -0x1.8a18bcd721f0fp-16, -0x1.857c370b6da31p-16, -0x1.80e4cde55c59cp-16, -0x1.7c528fc4e4fa7p-16, -0x1.77c58aa508cc6p-16, -0x1.733dcc1e6279bp-16, -0x1.6ebb616795bfap-16, -0x1.6a3e5755c200ep-16, -0x1.65c6ba5f480a3p-16, -0x1.6154969bc5bf6p-16, -0x1.5ce7f7c651862p-16, -0x1.5880e93d85cd7p-16, -0x1.541f7604a09p-16, -0x1.4fc3a8c54fc73p-16, -0x1.4b6d8bd15077fp-16, -0x1.471d2922df1cp-16, -0x1.42d28a5d44dd6p-16, -0x1.3e8db8cff1a96p-16, -0x1.3a4ebd752f48ep-16, -0x1.3615a0f429a1bp-16, -0x1.31e26ba2f35dap-16, -0x1.2db52586a0941p-16, -0x1.298dd654a66dbp-16, -0x1.256c8573c3e3ep-16, -0x1.215139fcf606bp-16, -0x1.1d3bfabd0959cp-16, -0x1.192cce354835p-16, -0x1.1523ba9d8c647p-16, -0x1.1120c5e3a5ac7p-16, -0x1.0d23f5aca6b1cp-16, -0x1.092d4f5737735p-16, -0x1.053cd7fbc367ep-16, -0x1.0152946ceef26p-16, -0x1.fadd12732274p-17, -0x1.f3217559b1d44p-17, -0x1.eb7259a0cfd0bp-17, -0x1.e3cfc6d92e20dp-17, -0x1.dc39c41180d8dp-17, -0x1.d4b057da94b05p-17, -0x1.cd33884870ae1p-17, -0x1.c5c35af560612p-17, -0x1.be5fd5016c68ap-17, -0x1.b708fb1615efep-17, -0x1.afbed1680706dp-17, -0x1.a8815bb76d6c8p-17, -0x1.a1509d533e6ep-17, -0x1.9a2c991ba126ep-17, -0x1.93155181c063bp-17, -0x1.8c0ac88b2b528p-17, -0x1.850cffd25e6c3p-17, -0x1.7e1bf889504b7p-17, -0x1.7737b37b122b6p-17, -0x1.7060310d1ccf4p-17, -0x1.69957141e7708p-17, -0x1.62d773b9bb985p-17, -0x1.5c2637b411e1bp-17, -0x1.5581bc1273d84p-17, -0x1.4ee9ff593cf0ap-17, -0x1.485effb0dded4p-17, -0x1.41e0bae8898f9p-17, -0x1.3b6f2e7739026p-17, -0x1.350a577d0ca55p-17, -0x1.2eb232c529809p-17, -0x1.2866bcc6af469p-17, -0x1.2227f1a6a8a8dp-17, -0x1.1bf5cd3a142d1p-17, -0x1.15d04b074b2afp-17, -0x1.0fb76646a480ep-17, -0x1.09ab19e3f37ddp-17, -0x1.03ab6080d0d82p-17, -0x1.fb7068e9cf8eep-18, -0x1.efa31fa02aaaap-18, -0x1.e3eed8b91ea19p-18, -0x1.d853873e741c7p-18, -0x1.ccd11db254afep-18, -0x1.c1678e1230308p-18, -0x1.b616c9d8b3a97p-18, -0x1.aadec20255cf9p-18, -0x1.9fbf670e58aefp-18, -0x1.94b8a90247c23p-18, -0x1.89ca776bce0dp-18, -0x1.7ef4c161c7edcp-18, -0x1.74377589e6dc8p-18, -0x1.6992821b35e68p-18, -0x1.5f05d4ddb63e1p-18, -0x1.54915b2cde3bep-18, -0x1.4a3501fc3b26cp-18, -0x1.3ff0b5dabd6dep-18, -0x1.35c462f1e8d84p-18, -0x1.2baff50a4750dp-18, -0x1.21b3578a45369p-18, -0x1.17ce757b17bcep-18, -0x1.0e01398ce5a51p-18, -0x1.044b8e169f2dbp-18, -0x1.f55aba333ced2p-19, -0x1.e24d2083d5522p-19, -0x1.cf6e21d15d3c3p-19, -0x1.bcbd902d361ap-19, -0x1.aa3b3d092e763p-19, -0x1.97e6f940935f7p-19, -0x1.85c0951e01684p-19, -0x1.73c7e0598d1b3p-19, -0x1.61fcaa1f56d2ap-19, -0x1.505ec1121e312p-19, -0x1.3eedf35082701p-19, -0x1.2daa0e77b05cap-19, -0x1.1c92dfa83dc4ap-19, -0x1.0ba83389ef093p-19, -0x1.f5d3ac9ca5523p-20, }}, 
      {{-0x1.f40f2fbcda23dp-3, -0x1.f54dcba4f1c0ap-3, -0x1.f74ecb1b5a639p-3, -0x1.f9fc9b4ec724ap-3, -0x1.fd3ef415cd1efp-3, -0x1.007e6e825f749p-2, -0x1.028f04bafca66p-2, -0x1.04c5dd0109da7p-2, -0x1.0718a2bfe012cp-2, -0x1.097e3148bbb6cp-2, -0x1.0beea2122898p-2, -0x1.0e634b336e7dep-2, -0x1.10d6b316cae64p-2, -0x1.13447d0d52319p-2, -0x1.15a951774d257p-2, -0x1.1802c37c1c869p-2, -0x1.1a4f35c3ccdabp-2, -0x1.1c8dbf3e1dd5fp-2, -0x1.1ebe10b5b349ep-2, -0x1.20e05bb3ffca6p-2, -0x1.22f53b0e5080bp-2, -0x1.24fd9d52eea4cp-2, -0x1.26fab133c3262p-2, -0x1.28edd3f8bdb5cp-2, -0x1.2ad881f5b41e3p-2, -0x1.2cbc48f4ca411p-2, -0x1.2e9abc7ea5e98p-2, -0x1.30756be4475e8p-2, -0x1.324dd9eacd479p-2, -0x1.342575f75336p-2, -0x1.35fd969820572p-2, -0x1.37d775485f58dp-2, -0x1.39b42b4c35fb4p-2, -0x1.3b94af845760ap-2, -0x1.3d79d519b325fp-2, -0x1.3f644ae3dae43p-2, -0x1.41549b6eaa77ap-2, -0x1.434b2d860777ap-2, -0x1.45484530ad377p-2, -0x1.474c050535f4dp-2, -0x1.49566fc6b4f74p-2, -0x1.4b676a3852cb2p-2, -0x1.4d7ebd19447eep-2, -0x1.4f9c173c60bcap-2, -0x1.51bf0fb04a53p-2, -0x1.53e727eebf735p-2, -0x1.5613ce0b13303p-2, -0x1.58445ed9281f7p-2, -0x1.5a782807790cdp-2, -0x1.5cae6a27c503cp-2, -0x1.5ee65aa2e959bp-2, -0x1.611f25954d3acp-2, -0x1.6357ef91ecdacp-2, -0x1.658fd74ac41e3p-2, -0x1.67c5f71dd1801p-2, -0x1.69f9668667509p-2, -0x1.6c293b72ddc63p-2, -0x1.6e548b7f0783cp-2, -0x1.707a6d1410248p-2, -0x1.7299f86e98ca7p-2, -0x1.74b2488c12a62p-2, -0x1.76c27c0073957p-2, -0x1.78c9b5b57a07fp-2, -0x1.7ac71d94b94cap-2, -0x1.7cb9e11db823ep-2, -0x1.7ea133e96a1e4p-2, -0x1.807c501c477abp-2, -0x1.824a76c8433fdp-2, -0x1.840af03fd7d51p-2, -0x1.85bd0c5b51a6dp-2, -0x1.876022b17fd28p-2, -0x1.88f392c4cd77p-2, -0x1.8a76c425d4552p-2, -0x1.8be9268c524b4p-2, -0x1.8d4a31e76ac3ep-2, -0x1.8e99666604ff4p-2, -0x1.8fd64c780d92cp-2, -0x1.910074c954b6bp-2, -0x1.92177836ae4f9p-2, -0x1.931af7bdf196cp-2, -0x1.940a9c69635d9p-2, -0x1.94e61737125f6p-2, -0x1.95ad20fc963aap-2, -0x1.965f7a47a44b3p-2, -0x1.96fceb3bd6511p-2, -0x1.9785436dfd0ccp-2, -0x1.97f859bd55049p-2, -0x1.98560c2adf6bep-2, -0x1.989e3faf258ap-2, -0x1.98d0e00e9e0b9p-2, -0x1.98eddfacef9e6p-2, -0x1.98f5375f3a2dep-2, -0x1.98e6e63d98e53p-2, -0x1.98c2f173fd105p-2, -0x1.988964128d681p-2, -0x1.983a4edd9f54ap-2, -0x1.97d5c81d737f3p-2, -0x1.975beb6dc1212p-2, -0x1.96ccd98d35735p-2, -0x1.9628b82cf31dcp-2, -0x1.956fb1c02733ap-2, -0x1.94a1f54bcb7c6p-2, -0x1.93bfb63698ad4p-2, -0x1.92c92c1949ffap-2, -0x1.91be928f2b8cp-2, -0x1.90a0290712325p-2, -0x1.8f6e3294bc9f5p-2, -0x1.8e28f5c2aaa0cp-2, -0x1.8cd0bc647b7ebp-2, -0x1.8b65d369d2789p-2, -0x1.89e88ab1d2fe4p-2, -0x1.885934df35f59p-2, -0x1.86b8272d045edp-2, -0x1.8505b943fed01p-2, -0x1.83424510b1c92p-2, -0x1.816e269a46b41p-2, -0x1.7f89bbda11229p-2, -0x1.7d956493dcad9p-2, -0x1.7b91822f08a9p-2, -0x1.797e77906bf46p-2, -0x1.775ca8f50d375p-2, -0x1.752c7bcdaf8c8p-2, -0x1.72ee569b37fep-2, -0x1.70a2a0cbf26e8p-2, -0x1.6e49c299b187bp-2, -0x1.6be424e8d2ebp-2, -0x1.697231282b99fp-2, -0x1.66f45131d3599p-2, -0x1.646aef2cdfc75p-2, -0x1.61d675700420bp-2, -0x1.5f374e651d383p-2, -0x1.5c8de46da8b52p-2, -0x1.59daa1c82962p-2, -0x1.571df07674938p-2, -0x1.54583a24ec9d6p-2, -0x1.5189e812a7741p-2, -0x1.4eb362fa7d15ap-2, -0x1.4bd512fd028f8p-2, -0x1.48ef5f8b6a98dp-2, -0x1.4602af534ca1ap-2, -0x1.430f682b51e69p-2, -0x1.4015ef00c5047p-2, -0x1.3d16a7c5ff356p-2, -0x1.3a11f561b80d8p-2, -0x1.3708399f2a863p-2, -0x1.33f9d51f18228p-2, -0x1.30e727499b3a7p-2, -0x1.2dd08e40d0561p-2, -0x1.2ab666d448f71p-2, -0x1.27990c754d179p-2, -0x1.2478d92bdfeeep-2, -0x1.2156258c8c623p-2, -0x1.1e3148aeea2dp-2, -0x1.1b0a9824e33b5p-2, -0x1.17e267f2ae37p-2, -0x1.14b90a8777af6p-2, -0x1.118ed0b6c073ep-2, -0x1.0e6409b25e384p-2, -0x1.0b390305251bcp-2, -0x1.080e088e30654p-2, -0x1.04e3647cc6f0bp-2, -0x1.01b95f4cd6e7bp-2, -0x1.fd207f8807db7p-3, -0x1.f6d095de85d6bp-3, -0x1.f0838841fa9cfp-3, -0x1.ea39d9df79434p-3, -0x1.e3f40a6aa1bp-3, -0x1.ddb2961ce8c47p-3, -0x1.d775f5b5cfc6ap-3, -0x1.d13e9e7bf9757p-3, -0x1.cb0d023f185f9p-3, -0x1.c4e18f5ab75f7p-3, -0x1.bebcb0b9c1d83p-3, -0x1.b89ecddacd76p-3, -0x1.b2884ad51e697p-3, -0x1.ac79885e54845p-3, -0x1.a672e3d0bf774p-3, -0x1.a074b7325082bp-3, -0x1.9a7f593c23727p-3, -0x1.94931d628f0fp-3, -0x1.8eb053ddc16aap-3, -0x1.88d749b2d12bap-3, -0x1.830848bd4d7fap-3, -0x1.7d4397b932569p-3, -0x1.77897a4d4e151p-3, -0x1.71da3115fe5bbp-3, -0x1.6c35f9b04bce5p-3, -0x1.669d0ec553426p-3, -0x1.610fa815fef92p-3, -0x1.5b8dfa8706384p-3, -0x1.5618382d236b5p-3, -0x1.50ae90598fc2ep-3, -0x1.4b512fa6a90bbp-3, -0x1.46004004cd2e9p-3, -0x1.40bbe8c75559fp-3, -0x1.3b844eb1bc46p-3, -0x1.36599404e2606p-3, -0x1.313bd88c638fdp-3, -0x1.2c2b39ac0e646p-3, -0x1.2727d26d61703p-3, -0x1.2231bb8d16b2bp-3, -0x1.1d490b88bc363p-3, -0x1.186dd6ac4bcb7p-3, -0x1.13a02f1fc2c61p-3, -0x1.0ee024f4ba997p-3, -0x1.0a2dc633f606ap-3, -0x1.05891eeae49d5p-3, -0x1.00f239391f333p-3, -0x1.f8d23abb906b1p-4, -0x1.efdba389cba5ap-4, -0x1.e700b62938f2ep-4, -0x1.de417874af7e3p-4, -0x1.d59decefa73b7p-4, -0x1.cd1612e014d75p-4, -0x1.c4a9e66808157p-4, -0x1.bc59609f0ad94p-4, -0x1.b42477ab34895p-4, -0x1.ac0b1ed9f714fp-4, -0x1.a40d46b89b0c2p-4, -0x1.9c2add2c7397dp-4, -0x1.9463cd8ab8e63p-4, -0x1.8cb800b013c6dp-4, -0x1.85275d17c8dfbp-4, -0x1.7db1c6f291e6bp-4, -0x1.7657203d18bd5p-4, -0x1.6f1748d6146e1p-4, -0x1.67f21e94072a4p-4, -0x1.60e77d5a9da26p-4, -0x1.59f73f2fa8b05p-4, -0x1.53213c4fb9963p-4, -0x1.4c654b4255925p-4, -0x1.45c340edc7ceep-4, -0x1.3f3af0aa8e2a9p-4, -0x1.38cc2c565d54ep-4, -0x1.3276c466c373fp-4, -0x1.2c3a87fb60892p-4, -0x1.261744efbb161p-4, -0x1.200cc7ecacf63p-4, -0x1.1a1adc796a02dp-4, -0x1.14414d0c21e94p-4, -0x1.0e7fe31a3b16fp-4, -0x1.08d667282742cp-4, -0x1.0344a0d8d59eep-4, -0x1.fb94adf980215p-5, -0x1.f0ce9f412354ep-5, -0x1.e636a036ddb66p-5, -0x1.dbcc3a39b19f4p-5, -0x1.d18ef5745dadcp-5, -0x1.c77e58f7a4054p-5, -0x1.bd99ead3ce48bp-5, -0x1.b3e1303177755p-5, -0x1.aa53ad699763fp-5, -0x1.a0f0e61cdd505p-5, -0x1.97b85d4a4bad7p-5, -0x1.8ea99565262a4p-5, -0x1.85c4106a2d53fp-5, -0x1.7d074ff42c0e3p-5, -0x1.7472d54fd57a5p-5, -0x1.6c06218f00505p-5, -0x1.63c0b59b351cep-5, -0x1.5ba212479f395p-5, -0x1.53a9b862553acp-5, -0x1.4bd728c5079ffp-5, -0x1.4429e46516ccp-5, -0x1.3ca16c630cc9p-5, -0x1.353d42197e574p-5, -0x1.2dfce72b626aap-5, -0x1.26dfdd91d311p-5, -0x1.1fe5a7a941f6p-5, -0x1.190dc83e278d6p-5, -0x1.1257c29924cc5p-5, -0x1.0bc31a8aa8afcp-5, -0x1.054f54760ce47p-5, -0x1.fdf7eab874e85p-6, -0x1.f19105cba0fb9p-6, -0x1.e56906d9a26p-6, -0x1.d97efc0bb9896p-6, -0x1.cdd1f511f4fa8p-6, -0x1.c2610333d7813p-6, -0x1.b72b39603260cp-6, -0x1.ac2fac3c1e4e3p-6, -0x1.a16d723139f23p-6, -0x1.96e3a37b07f1ap-6, -0x1.8c915a3396003p-6, -0x1.8275b25f63239p-6, -0x1.788fc9f88e4d5p-6, -0x1.6edec0f94eb36p-6, -0x1.6561b965c1294p-6, -0x1.5c17d75503715p-6, -0x1.530040f9b355cp-6, -0x1.4a1a1ea9cbe86p-6, -0x1.41649ae5e7f33p-6, -0x1.38dee25febb51p-6, -0x1.308824011fc5fp-6, -0x1.285f90efbe891p-6, -0x1.20645c93f64c2p-6, -0x1.1895bc9c7694ep-6, -0x1.10f2e9026841cp-6, -0x1.097b1c0cf67a9p-6, -0x1.022d92545d30cp-6, -0x1.f61315891d8c6p-7, -0x1.e81c8d3ec4264p-7, -0x1.da7612fca6b46p-7, -0x1.cd1e32a7c407dp-7, -0x1.c0137cd922eeap-7, -0x1.b35486defc90dp-7, -0x1.a6dfeabd4ece4p-7, -0x1.9ab4472da6c3ep-7, -0x1.8ed03f9e43d65p-7, -0x1.83327c30a58e4p-7, -0x1.77d9a9b76dc19p-7, -0x1.6cc479b3c6e32p-7, -0x1.61f1a25222d84p-7, -0x1.575fde6679bcp-7, -0x1.4d0ded6807281p-7, -0x1.42fa936c83e6cp-7, -0x1.39249922f89f9p-7, -0x1.2f8acbce1daccp-7, -0x1.262bfd3e3831cp-7, -0x1.1d0703caa3e0cp-7, -0x1.141aba4af8f7dp-7, -0x1.0b66000fcb5cep-7, -0x1.02e7b8db2d596p-7, -0x1.f53d99b18065dp-8, -0x1.e514512b0adc4p-8, -0x1.d55179eebc9bdp-8, -0x1.c5f2fe689c321p-8, -0x1.b6f6d192e8ebfp-8, -0x1.a85aeee3b3391p-8, -0x1.9a1d5a39d8d84p-8, -0x1.8c3c1fc99ad61p-8, -0x1.7eb55408ea154p-8, -0x1.7187139b3de68p-8, -0x1.64af833d174f3p-8, -0x1.582ccfaf5a17cp-8, -0x1.4bfd2da23151fp-8, -0x1.401ed99f9f25fp-8, -0x1.349017f616314p-8, -0x1.294f34a295a42p-8, -0x1.1e5a833ac31e9p-8, -0x1.13b05ed6c898bp-8, -0x1.094f29fb0e443p-8, -0x1.fe6a9d0380b5dp-9, -0x1.eac27b088b74cp-9, -0x1.d7a2de8948f6ep-9, -0x1.c508c62d9afa5p-9, -0x1.b2f13e939a63dp-9, -0x1.a15962223e176p-9, -0x1.903e58db37275p-9, -0x1.7f9d582d85193p-9, -0x1.6f73a2c7af88p-9, -0x1.5fbe8869f1b38p-9, -0x1.507b65b8b7b04p-9, -0x1.41a7a40f04831p-9, -0x1.3340b9510665cp-9, -0x1.254427be90064p-9, -0x1.17af7dc60b5f1p-9, -0x1.0a8055d751899p-9, -0x1.fb68ac6dc5a8ep-10, -0x1.e29261a2663c9p-10, -0x1.ca79461cb708fp-10, -0x1.b318eb4b7e3ffp-10, -0x1.9c6cf8e438d01p-10, -0x1.86712c8bedee1p-10, -0x1.7121598024657p-10, -0x1.5c796840f2832p-10, -0x1.4875563b6db39p-10, -0x1.351135748876fp-10, -0x1.22492c34e6e89p-10, -0x1.101974b5718ccp-10, -0x1.fcfcb9987a7a8p-11, -0x1.dae88b34c9a01p-11, -0x1.b9ef46758fbbep-11, -0x1.9a09f8e2fcb4dp-11, -0x1.7b31d4b7a4fa7p-11, -0x1.5d603042597c5p-11, -0x1.408e854997339p-11, -0x1.24b67070ae3a7p-11, -0x1.09d1b09ec3917p-11, -0x1.dfb44ccd2d25ep-12, -0x1.ad93a6e235296p-12, -0x1.7d35b3d1f4fecp-12, -0x1.4e8ef7d0e6c1dp-12, -0x1.219435d0230d6p-12, -0x1.ec74dcbf3737p-13, -0x1.98edbd2703cbfp-13, -0x1.487dfdda7a9b5p-13, -0x1.f62209212d3dp-14, -0x1.6125532477b8dp-14, -0x1.a3bcd68e09ef7p-15, -0x1.209aff8109106p-16, 0x1.e13b3fe7b2978p-17, 0x1.7661e11a0ed88p-15, 0x1.3519ed5092633p-14, 0x1.aa05a4fbb7f86p-14, 0x1.0d0b4aa7ee0cfp-13, 0x1.42b73b76ed19fp-13, 0x1.7617208a62b6ap-13, 0x1.a73b16ab07261p-13, 0x1.d632dd9de33d3p-13, 0x1.0186ecf70de0cp-12, 0x1.16ed8b5a3ff67p-12, 0x1.2b54a3a99f9c1p-12, 0x1.3ec364968f8f6p-12, 0x1.5140d2ab294bdp-12, 0x1.62d3c91f193e5p-12, 0x1.7382faa8cc5f4p-12, 0x1.8354f24c05117p-12, 0x1.9250142390f45p-12, 0x1.a07a9e29fe75bp-12, 0x1.addaa8fd4fc31p-12, 0x1.ba7628a04770ap-12, 0x1.c652ed37e531ep-12, 0x1.d176a3c6ca31bp-12, 0x1.dbe6d6e3d388dp-12, 0x1.e5a8ef6f94ecep-12, 0x1.eec2354596016p-12, 0x1.f737cfea16a59p-12, 0x1.ff0ec735f0799p-12, 0x1.032601ff9e89ep-11, 0x1.067a285f0dcf2p-11, 0x1.09862d1813b13p-11, 0x1.0c4c57fbb6417p-11, 0x1.0ecee29ba6e4cp-11, 0x1.110ff897a535bp-11, 0x1.1311b7e8db89fp-11, 0x1.14d6312c392f4p-11, 0x1.165f67eb47ff6p-11, 0x1.17af52e3fe523p-11, 0x1.18c7dc4edabc7p-11, 0x1.19aae223fa992p-11, 0x1.1a5a365ed3fe9p-11, 0x1.1ad79f40693d9p-11, 0x1.1b24d790baf2p-11, 0x1.1b438ededc262p-11, 0x1.1b3569bf6245ap-11, 0x1.1afc020a5610ep-11, 0x1.1a98e717347d3p-11, 0x1.1a0d9df87757p-11, 0x1.195ba1b580e84p-11, 0x1.18846383e784ep-11, 0x1.17894afee789ap-11, 0x1.166bb65e59f4ap-11, 0x1.152cfaac62746p-11, 0x1.13ce63fa43f0bp-11, 0x1.12513593c4753p-11, 0x1.10b6aa31ef33dp-11, 0x1.0efff42c90781p-11, 0x1.0d2e3daaa7374p-11, 0x1.0b42a8d2555f5p-11, 0x1.093e4ff74c29cp-11, 0x1.072245c8c8f8p-11, 0x1.04ef957dfa287p-11, 0x1.02a743022b66fp-11, 0x1.004a4b1fba909p-11, 0x1.fbb34754262ebp-12, 0x1.f6ac774e5f273p-12, 0x1.f181f6efa0a37p-12, 0x1.ec3589fda3a3bp-12, 0x1.e6c8e790cb1cdp-12, 0x1.e13dba5f31ad1p-12, 0x1.db95a10782a03p-12, 0x1.d5d22e5966cdbp-12, 0x1.cff4e99cc83aep-12, 0x1.c9ff4ed77359ep-12, 0x1.c3f2cf1189a4dp-12, 0x1.bdd0d09843e04p-12, 0x1.b79aaf3f3af6fp-12, 0x1.b151bca071fa9p-12, 0x1.aaf7405aa48a2p-12, 0x1.a48c784ee439cp-12, 0x1.9e1298dcac5e2p-12, 0x1.978acd1c570f1p-12, 0x1.90f63718717c3p-12, 0x1.8a55f0063f49fp-12, 0x1.83ab087bea1b1p-12, 0x1.7cf688a753aeep-12, 0x1.76397081cca8ep-12, 0x1.6f74b8041f1d8p-12, 0x1.68a94f5861aa5p-12, 0x1.61d81f0b5caaep-12, 0x1.5b02083c92d9cp-12, 0x1.5427e4cd588cdp-12, 0x1.4d4a878f12c53p-12, 0x1.466abc6ff7711p-12, 0x1.3f8948a74b86p-12, 0x1.38a6eadfdfa58p-12, 0x1.31c45b62b37dp-12, 0x1.2ae24c3fb9839p-12, 0x1.2401697659dd9p-12, 0x1.1d22591c64e17p-12, 0x1.1645bb84b8269p-12, 0x1.0f6c2b649ad07p-12, 0x1.08963df88c70ap-12, 0x1.01c483280f25ep-12, 0x1.f5ef0b5215348p-13, 0x1.e85f96439f70ap-13, 0x1.dadba8949a6dbp-13, 0x1.cd643a1a0f95ap-13, 0x1.bffa394e66d83p-13, 0x1.b29e8b8f7590ep-13, 0x1.a5520d5b81026p-13, 0x1.9815928d2b669p-13, 0x1.8ae9e6954e787p-13, 0x1.7dcfccb40d20fp-13, 0x1.70c8003061d58p-13, 0x1.63d3348ec579dp-13, 0x1.56f215c62e049p-13, 0x1.4a25487342accp-13, 0x1.3d6d6a0b7992ap-13, 0x1.30cb110dfb404p-13, 0x1.243ecd349cafp-13, 0x1.17c927a27302ep-13, 0x1.0b6aa312266bp-13, 0x1.fe477805428cfp-14, 0x1.e5e9d1c6e3a54p-14, 0x1.cdbd347dab8bp-14, 0x1.b5c275c824efep-14, 0x1.9dfa602122e57p-14, 0x1.8665b32e39fb8p-14, 0x1.6f05240e93703p-14, 0x1.57d95da6567f5p-14, 0x1.40e300e909c8cp-14, 0x1.2a22a521afee1p-14, 0x1.1398d839a9796p-14, 0x1.fa8c3dfb38c57p-15, 0x1.ce55eac2aa387p-15, 0x1.a28f9d8160fcdp-15, 0x1.773a2c40af88fp-15, 0x1.4c565cd816de5p-15, 0x1.21e4e5671293dp-15, 0x1.efccd997cdcfap-16, 0x1.9cb716338d213p-16, 0x1.4a89940f73939p-16, 0x1.f28a9585728dcp-17, 0x1.51d62dc4f92c5p-17, 0x1.65eeeb5568a71p-18, 0x1.5efbf4180063ap-21, -0x1.0a7fa936dddbfp-18, -0x1.1e9654b85b823p-17, -0x1.b612fe0df0364p-17, -0x1.25da9d26025b5p-16, -0x1.6fbe4f3a47f46p-16, -0x1.b8b474ba1fb9bp-16, -0x1.005e80b25cb6fp-15, -0x1.23ebfe4e2a47ap-15, -0x1.4702c05f5ac03p-15, -0x1.69a2dd43da6adp-15, -0x1.8bcc743ad6e9bp-15, -0x1.ad7fad197de4ep-15, -0x1.cebcb7fed7a96p-15, -0x1.ef83cd0c9b657p-15, -0x1.07ea96103113ap-14, -0x1.17d88e47b2165p-14, -0x1.278bf671f7c6ep-14, -0x1.3704f94e33cf1p-14, -0x1.4643c4f5b0772p-14, -0x1.55488abcb056fp-14, -0x1.64137f14f194dp-14, -0x1.72a4d96f65c31p-14, -0x1.80fcd42022458p-14, -0x1.8f1bac426cd1ep-14, -0x1.9d01a19de0f67p-14, -0x1.aaaef68b5ce19p-14, -0x1.b823efdb787fp-14, -0x1.c560d4bdaa9acp-14, -0x1.d265eea769b04p-14, -0x1.df33893cb984ap-14, -0x1.ebc9f2392fa63p-14, -0x1.f82979589a3f1p-14, -0x1.02293820f6627p-13, -0x1.08229538be0f6p-13, -0x1.0e00fe91f85e3p-13, -0x1.13c49fa12d5b1p-13, -0x1.196da4a72b116p-13, -0x1.1efc3aa7884e3p-13, -0x1.24708f5f00a6fp-13, -0x1.29cad13aaa7ap-13, -0x1.2f0b2f4ef349bp-13, -0x1.3431d94f289a7p-13, -0x1.393eff850551dp-13, -0x1.3e32d2c88c8cp-13, -0x1.430d84783581bp-13, -0x1.47cf467102b67p-13, -0x1.4c784b0774075p-13, -0x1.5108c4ffbe465p-13, -0x1.5580e787110d5p-13, -0x1.59e0e62c844b7p-13, -0x1.5e28f4da9a712p-13, -0x1.625947d091f89p-13, -0x1.6672139c1a025p-13, -0x1.6a738d1340977p-13, -0x1.6e5de94e9a91p-13, -0x1.72315da35a626p-13, -0x1.75ee1f9da5f08p-13, -0x1.799464fb4afcap-13, -0x1.7d2463a63d83cp-13, -0x1.809e51af9f071p-13, -0x1.8402654ac23a1p-13, -0x1.8750d4c83898ep-13, -0x1.8a89d69131f61p-13, -0x1.8dada122e8a44p-13, -0x1.90bc6b0a5eb0dp-13, -0x1.93b66adfc673p-13, -0x1.969bd7427a52bp-13, -0x1.996ce6d5085f7p-13, -0x1.9c29d039546c5p-13, -0x1.9ed2ca0cba2bep-13, -0x1.a1680ae462a33p-13, -0x1.a3e9c949bf71bp-13, -0x1.a6583bb7306e3p-13, -0x1.a8b39894741fap-13, -0x1.aafc1633d1c22p-13, -0x1.ad31eace8f273p-13, -0x1.af554c82395abp-13, -0x1.b166714d9a69cp-13, -0x1.b3658f0dfca09p-13, -0x1.b552db7c87e68p-13, -0x1.b72e8c2b4fd7p-13, -0x1.b8f8d68316e64p-13, -0x1.bab1efc0c7a95p-13, -0x1.bc5a0cf31a417p-13, -0x1.bdf162f844961p-13, -0x1.bf78267baa8fp-13, -0x1.c0ee8bf41002cp-13, -0x1.c254c7a13feebp-13, -0x1.c3ab0d8a44b34p-13, -0x1.c4f1917b73476p-13, -0x1.c62887048cf02p-13, -0x1.c7502177119bdp-13, -0x1.c86893e47738p-13, -0x1.c972111cc41b6p-13, -0x1.ca6ccbacd945dp-13, -0x1.cb58f5dce9a9ap-13, -0x1.cc36c1af324efp-13, -0x1.cd0660de70b64p-13, -0x1.cdc804dcc3842p-13, -0x1.ce7bded25e239p-13, -0x1.cf221f9c1ce1dp-13, -0x1.cfbaf7cab5c44p-13, -0x1.d04697a182af3p-13, -0x1.d0c52f15612adp-13, -0x1.d136edcbea6dcp-13, -0x1.d19c031a4037ap-13, -0x1.d1f49e044cf6ap-13, -0x1.d240ed3bd9978p-13, -0x1.d2811f1fda47ap-13, -0x1.d2b561bbc09dcp-13, -0x1.d2dde2c6916a9p-13, -0x1.d2facfa24e4c9p-13, -0x1.d30c555b62df7p-13, -0x1.d312a0a7f4311p-13, -0x1.d30ddde75e27p-13, -0x1.d2fe3921a8c87p-13, -0x1.d2e3de0715dap-13, -0x1.d2bef7efb5ae4p-13, -0x1.d28fb1daf7754p-13, -0x1.d256366f48dbfp-13, -0x1.d212aff9c1613p-13, -0x1.d1c5486db726ap-13, -0x1.d16e2964a0503p-13, -0x1.d10d7c1da26d9p-13, -0x1.d0a3697d832a2p-13, -0x1.d0301a0e8e2dcp-13, -0x1.cfb3b6002ad45p-13, -0x1.cf2e6526cb102p-13, -0x1.cea04efbe99d1p-13, -0x1.ce099a9dd8768p-13, -0x1.cd6a6ecfaa525p-13, -0x1.ccc2f1f93ba31p-13, -0x1.cc134a271b2cbp-13, -0x1.cb5b9d0ac00fbp-13, -0x1.ca9c0ffa3fecfp-13, -0x1.c9d4c7f096f4ap-13, -0x1.c905e98daa9ap-13, -0x1.c82f991652954p-13, -0x1.c751fa74704e9p-13, -0x1.c66d31372a50cp-13, -0x1.c5816092dfad2p-13, -0x1.c48eab6198926p-13, -0x1.c39534231769fp-13, -0x1.c2951cfcf5aa6p-13, -0x1.c18e87bafa4fep-13, -0x1.c08195cf16416p-13, -0x1.bf6e6851ee207p-13, -0x1.be552002db2fap-13, -0x1.bd35dd485a1c6p-13, -0x1.bc10c03047583p-13, -0x1.bae5e8703cc55p-13, -0x1.b9b57565bb25dp-13, -0x1.b87f86169b98ep-13, -0x1.b744393152427p-13, -0x1.b603ad0d5b47ap-13, -0x1.b4bdffab70d9cp-13, -0x1.b3734eb5fd9acp-13, -0x1.b223b7818b66fp-13, -0x1.b0cf570d12988p-13, -0x1.af764a027bbb6p-13, -0x1.ae18acb6e882fp-13, -0x1.acb69b2b30166p-13, -0x1.ab50310c32d52p-13, -0x1.a9e589b35222ap-13, -0x1.a876c026e918ap-13, -0x1.a703ef1ab502bp-13, -0x1.a58d30f045f5ap-13, -0x1.a4129fb7a73e9p-13, -0x1.a294552f94876p-13, -0x1.a1126ac6048cdp-13, -0x1.9f8cf998af535p-13, -0x1.9e041a758c412p-13, -0x1.9c77e5db439bbp-13, -0x1.9ae873f9a1d28p-13, -0x1.9955dcb22fb8p-13, -0x1.97c03798a7993p-13, -0x1.96279bf37c59bp-13, -0x1.948c20bc70c58p-13, -0x1.92eddca105749p-13, -0x1.914ce602f34a5p-13, -0x1.8fa952f8b8defp-13, -0x1.8e03394e244f6p-13, -0x1.8c5aae84d88b4p-13, -0x1.8aafc7d4e674ap-13, -0x1.89029a2d355b9p-13, -0x1.87533a3443bf4p-13, -0x1.85a1bc4886c7dp-13, -0x1.83ee3480f32f4p-13, -0x1.8238b6ad91dfdp-13, -0x1.808156581e7aep-13, -0x1.7ec826c47d576p-13, -0x1.7d0d3af14d6c8p-13, -0x1.7b50a5986a06p-13, -0x1.7992792f989acp-13, -0x1.77d2c7e8ef7b5p-13, -0x1.7611a3b392126p-13, -0x1.744f1e3c26e2fp-13, -0x1.728b48ed623e8p-13, -0x1.70c634f08aacfp-13, -0x1.6efff32e0f57fp-13, -0x1.6d38944e23de5p-13, -0x1.6b7028b943d53p-13, -0x1.69a6c098baca1p-13, -0x1.67dc6bd74cb27p-13, -0x1.66113a21bc208p-13, -0x1.64453ae74776bp-13, -0x1.62787d5a36513p-13, -0x1.60ab107078f36p-13, -0x1.5edd02e44080bp-13, -0x1.5d0e63346cdfcp-13, -0x1.5b3f3fa526c08p-13, -0x1.596fa6407520fp-13, -0x1.579fa4d6c3825p-13, -0x1.55cf48ff69eb7p-13, -0x1.53fea019580b8p-13, -0x1.522db74b84043p-13, -0x1.505c9b857d3aap-13, -0x1.4e8b597fe98adp-13, -0x1.4cb9fdbd20341p-13, -0x1.4ae89489b3a88p-13, -0x1.491729fcf8a88p-13, -0x1.4745c9f9845c9p-13, -0x1.4574802dcadc5p-13, -0x1.43a35814b84d9p-13, -0x1.41d25cf60e916p-13, -0x1.400199e6ef132p-13, -0x1.3e3119ca77829p-13, -0x1.3c60e75248ef1p-13, -0x1.3a910cff0c2fcp-13, -0x1.38c19520e27aap-13, -0x1.36f289d7fae92p-13, -0x1.3523f51522964p-13, -0x1.3355e09a23315p-13, -0x1.318855fa609e9p-13, -0x1.2fbb5e9b70493p-13, -0x1.2def03b5789d6p-13, -0x1.2c234e53b9f0fp-13, -0x1.2a58475500013p-13, -0x1.288df76c40798p-13, -0x1.26c46721036f4p-13, -0x1.24fb9ecfee17dp-13, -0x1.2333a6ab27a9fp-13, -0x1.216c86baf8cb4p-13, -0x1.1fa646de47dcbp-13, -0x1.1de0eecafcf5bp-13, -0x1.1c1c860e70adap-13, -0x1.1a59140dfd206p-13, -0x1.1896a007786d6p-13, -0x1.16d53111b2d1bp-13, -0x1.1514ce1cd621bp-13, -0x1.13557df2e215ep-13, -0x1.119747383d4f2p-13, -0x1.0fda306c0018ap-13, -0x1.0e1e3fe879b6fp-13, -0x1.0c637be3c16bdp-13, -0x1.0aa9ea700dd4cp-13, -0x1.08f1917c22ce8p-13, -0x1.073a76d3c4bfdp-13, -0x1.0584a0202a17p-13, -0x1.03d012e8787d2p-13, -0x1.021cd492261d3p-13, -0x1.006aea6166a0cp-13, -0x1.fd74b2f31386cp-14, -0x1.fa164dbb28e3ep-14, -0x1.f6baaee121e91p-14, -0x1.f361dfebf43c3p-14, -0x1.f00bea241e218p-14, -0x1.ecb8d694ba1a5p-14, -0x1.e968ae0c2da28p-14, -0x1.e61b791d2563dp-14, -0x1.e2d1401f18b7ap-14, -0x1.df8a0b2f393ep-14, -0x1.dc45e23159735p-14, -0x1.d904ccd075995p-14, -0x1.d5c6d27f96b21p-14, -0x1.d28bfa7ab3ae4p-14, -0x1.cf544bc7692c2p-14, -0x1.cc1fcd3590ca1p-14, -0x1.c8ee856025ee7p-14, -0x1.c5c07aaddd1a6p-14, -0x1.c295b352201cep-14, -0x1.bf6e354d96fbdp-14, -0x1.bc4a066efab8cp-14, -0x1.b9292c53919d7p-14, -0x1.b60bac682f09cp-14, -0x1.b2f18be9d02dap-14, -0x1.afdacfe657621p-14, -0x1.acc77d3d0c10bp-14, -0x1.a9b7989f74acap-14, -0x1.a6ab269201d6p-14, -0x1.a3a22b6c95754p-14, -0x1.a09cab5b6e8a3p-14, -0x1.9d9aaa5f8849bp-14, -0x1.9a9c2c4f7c046p-14, -0x1.97a134d80a0f1p-14, -0x1.94a9c77cb02efp-14, -0x1.91b5e79864c45p-14, -0x1.8ec5985e3ae79p-14, -0x1.8bd8dcd9dc8c2p-14, -0x1.88efb7f0549fcp-14, -0x1.860a2c60861d9p-14, -0x1.83283cc3d0e34p-14, -0x1.8049eb8eb59f3p-14, -0x1.7d6f3b116e939p-14, -0x1.7a982d787c75ep-14, -0x1.77c4c4cd14dc7p-14, -0x1.74f502f5f1c52p-14, -0x1.7228e9b7bdd99p-14, -0x1.6f607ab5bfee5p-14, -0x1.6c9bb7724c526p-14, -0x1.69daa14f4c192p-14, -0x1.671d398eed1a4p-14, -0x1.6463815408cebp-14, -0x1.61ad79a2bd41ap-14, -0x1.5efb2360d7e4p-14, -0x1.5c4c7f5678943p-14, -0x1.59a18e2ea63c4p-14, -0x1.56fa507795702p-14, -0x1.5456c6a34a8e6p-14, -0x1.51b6f10821385p-14, -0x1.4f1acfe14e343p-14, -0x1.4c82634f20a38p-14, -0x1.49edab57c577ep-14, -0x1.475ca7e7965a2p-14, -0x1.44cf58d1a379ap-14, -0x1.4245bdd02c109p-14, -0x1.3fbfd68503cfep-14, -0x1.3d3da27a1e1f5p-14, -0x1.3abf2121d17d3p-14, -0x1.384451d77b10cp-14, -0x1.35cd33dfd2f8ap-14, -0x1.3359c669697dfp-14, -0x1.30ea088d0d954p-14, -0x1.2e7df94e2b434p-14, -0x1.2c15979b52e6ep-14, -0x1.29b0e24e8429dp-14, -0x1.274fd82db321p-14, -0x1.24f277eb1dddcp-14, -0x1.2298c02591c93p-14, -0x1.2042af69166acp-14, -0x1.1df0442f25f91p-14, -0x1.1ba17cdf073e1p-14, -0x1.195657ce419a7p-14, -0x1.170ed3410c2bap-14, -0x1.14caed6a80c6dp-14, -0x1.128aa46cf15cap-14, -0x1.104df65a741f9p-14, -0x1.0e14e1352c4bcp-14, -0x1.0bdf62efa6beap-14, -0x1.09ad796d27f7bp-14, -0x1.077f22820bee8p-14, -0x1.05545bf4132d2p-14, -0x1.032d237aac211p-14, -0x1.010976bf64f5dp-14, -0x1.fdd2a6bc61de4p-15, -0x1.f9996dcb533ffp-15, -0x1.f5673daee0063p-15, -0x1.f13c1150f3e2ep-15, -0x1.ed17e382c7d66p-15, -0x1.e8faaefd758b1p-15, -0x1.e4e46e62773c3p-15, -0x1.e0d51c3c76282p-15, -0x1.dcccb2ff97aa2p-15, -0x1.d8cb2d0a2f921p-15, -0x1.d4d084a5710b2p-15, -0x1.d0dcb405c2323p-15, -0x1.ccefb54b66805p-15, -0x1.c909828331227p-15, -0x1.c52a15a6ea36ep-15, -0x1.c151689d7f713p-15, -0x1.bd7f753bdcfeap-15, -0x1.b9b435457f70fp-15, -0x1.b5efa26ccd183p-15, -0x1.b231b653c6e9bp-15, -0x1.ae7a6a8c5c162p-15, -0x1.aac9b898dd545p-15, -0x1.a71f99ec9209fp-15, -0x1.a37c07ec18da7p-15, -0x1.9fdefbedcc2bdp-15, -0x1.9c486f3a702bfp-15, -0x1.98b85b0d7e794p-15, -0x1.952eb89573f58p-15, -0x1.91ab80f47b304p-15, -0x1.8e2ead40d6537p-15, -0x1.8ab836852c99fp-15, -0x1.874815c108c52p-15, -0x1.83de43e93ac0dp-15, -0x1.807ab9e82dbe8p-15, -0x1.7d1d709e55046p-15, -0x1.79c660e29cb27p-15, -0x1.76758382b22d2p-15, -0x1.732ad1439c287p-15, -0x1.6fe642e1e0d86p-15, -0x1.6ca7d11201e17p-15, -0x1.696f7480e5e91p-15, -0x1.663d25d3d66c5p-15, -0x1.6310dda8fbb03p-15, -0x1.5fea949810e69p-15, -0x1.5cca43326e44ap-15, -0x1.59afe20378574p-15, -0x1.569b6990e2aa1p-15, -0x1.538cd25b05e37p-15, -0x1.508414dd23dc9p-15, -0x1.4d81298dc6631p-15, -0x1.4a8408df0632cp-15, -0x1.478cab3ee33b5p-15, -0x1.449b0917684bp-15, -0x1.41af1acf07a72p-15, -0x1.3ec8d8c90bd0dp-15, -0x1.3be83b65b5107p-15, -0x1.390d3b027659p-15, -0x1.3637cffa6e56bp-15, -0x1.3367f2a6877fdp-15, -0x1.309d9b5dba034p-15, -0x1.2dd8c27548ac5p-15, -0x1.2b196040e8842p-15, -0x1.285f6d132d445p-15, -0x1.25aae13dca8dp-15, -0x1.22fbb511bc3f1p-15, -0x1.2051e0df80da4p-15, -0x1.1dad5cf76dcb8p-15, -0x1.1b0e21a9c5676p-15, -0x1.18742746cc882p-15, -0x1.15df661f204d5p-15, -0x1.134fd68424b75p-15, -0x1.10c570c813111p-15, -0x1.0e402d3e24cfap-15, -0x1.0bc0043ad3579p-15, -0x1.0944ee13f640ap-15, -0x1.06cee32102067p-15, -0x1.045ddbbb40993p-15, -0x1.01f1d03dee302p-15, -0x1.ff15720cec5b1p-16, -0x1.fa511ce91512ap-16, -0x1.f59691d46193dp-16, -0x1.f0e5c198b1f3fp-16, -0x1.ec3e9d0570603p-16, -0x1.e7a114efe84e4p-16, -0x1.e30d1a33ddce8p-16, -0x1.de829db397a27p-16, -0x1.da0190586261fp-16, -0x1.d589e312d7d14p-16, -0x1.d11b86daf30e7p-16, -0x1.ccb66cb048c59p-16, -0x1.c85a859a8773ep-16, -0x1.c407c2aa03eb5p-16, -0x1.bfbe14f7811dap-16, -0x1.bb7d6da4a9e39p-16, -0x1.b745bddc821e5p-16, -0x1.b316f6d3464a4p-16, -0x1.aef109c6a242dp-16, -0x1.aad3e7fdd99c6p-16, -0x1.a6bf82ca95bap-16, -0x1.a2b3cb88d258fp-16, -0x1.9eb0b39f0d1f5p-16, -0x1.9ab62c7e9c146p-16, -0x1.96c427a39dc61p-16, -0x1.92da96957a44dp-16, -0x1.8ef96ae6d90dp-16, -0x1.8b209635f1bb1p-16, -0x1.87500a2ccce6p-16, -0x1.8387b881458fdp-16, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      58, 0x1.ap+2, 0x1.56de788ed7905p+1, 0x1.7f0970b2efb7cp+2, 0x1.1fdb541b8f97cp-7, 
      {{
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1b22dfb46a16p-5, -0x1.1ad459e78cfeep-4, 0x1.7acd7972a73efp-4, -0x1.281df75b839b1p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.00ac5ac79a09cp-5, -0x1.ee5718d46c6ffp-5, 0x1.4e629458204e4p-4, -0x1.2749d26c8dcafp-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.d31bd4121583fp-6, -0x1.afe47d098bf12p-5, 0x1.22178194a4a2cp-4, -0x1.259c07567a96bp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.aaac6ebf3e9c8p-6, -0x1.7a473f6427bbfp-5, 0x1.ec19cdc28ae58p-5, -0x1.27b4c2a17500dp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.87288be63fc11p-6, -0x1.4d80fa88e2001p-5, 0x1.9363935ee7cbfp-5, -0x1.104bff96eadp-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.67b0551e76bd2p-6, -0x1.293fd74fbc6bfp-5, 0x1.41b32d1807c03p-5, -0x1.beae6da99509ep-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4b75efc931258p-6, -0x1.0c6df39fe2868p-5, 0x1.fd653949fc646p-6, -0x1.64911533d59cfp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.31cd5593ceb81p-6, -0x1.eb4498e0d4226p-6, 0x1.926ce620d5e7fp-6, -0x1.07d8ce02621eap-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1a2dc53dc47ecp-6, -0x1.c6fbadea617efp-6, 0x1.434575201edf2p-6, -0x1.5b8011627e8d4p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.0431c2989ccd5p-6, -0x1.a943225558f54p-6, 0x1.0f2572848be3ap-6, -0x1.2f10aa6a43b4p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.df2e2d0fee851p-7, -0x1.8f48bb5c54d2dp-6, 0x1.f0d531df8d9fcp-7, -0x1.d7d4337b8e644p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b87ab3815773p-7, -0x1.76e282d5d45adp-6, 0x1.df23a32485155p-7, -0x1.16f431a4b416cp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.942bd5fe956a6p-7, -0x1.5f736d54cad6ap-6, 0x1.ca37b904f793ap-7, -0x1.0418ab42fcf8p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7227ca7d3b8efp-7, -0x1.4907165245039p-6, 0x1.b6b5df5ff167bp-7, -0x1.01d2f6f5ce293p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.525554ed950a9p-7, -0x1.339359602c5eep-6, 0x1.a35fa673e857ap-7, -0x1.f637313e26acap-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.349bc73aa50a2p-7, -0x1.1f13e5faad1c3p-6, 0x1.908a6167fa17bp-7, -0x1.eb2a20b3f668p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.18e3014a26c0bp-7, -0x1.0b82dbdc0bcb9p-6, 0x1.7e1f33613a738p-7, -0x1.df79b3b00f79ep-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.fe26e1f91acc7p-8, -0x1.f1b58bb7d1c67p-7, 0x1.6c243ca439df1p-7, -0x1.d3f50c6f691e3p-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.ce2c245a086cap-8, -0x1.ce2c243cb9c93p-7, 0x1.5a97d8f9a5eep-7, -0x1.c864aa9b9ad72p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a1a8dd62dce3fp-8, -0x1.ac5e6cf0885d1p-7, 0x1.497a78fa36863p-7, -0x1.bcd76d514bb51p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.78713cb4cebdp-8, -0x1.8c414d5de75fcp-7, 0x1.38cbfe7a5d48ep-7, -0x1.b1495873dff7dp-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.525a8de6848c2p-8, -0x1.6dc9ae2a34622p-7, 0x1.288c718f9e7c3p-7, -0x1.a5bb7d59b40e9p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2f3b388414f05p-8, -0x1.50ec77af0d084p-7, 0x1.18bbd00f74887p-7, -0x1.9a2d92c561df4p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0eeac00f06908p-8, -0x1.359e925a5b00fp-7, 0x1.095a1a8e74102p-7, -0x1.8e9fac56a7cc9p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.e28387fca03aap-9, -0x1.1bd4e69497b65p-7, 0x1.f4cea1c99b8aap-8, -0x1.8311c4cb7c39ep-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ac33ff7cb0a23p-9, -0x1.03845cc7b19bcp-7, 0x1.d7c6e63a58ap-8, -0x1.7783dd8c95c7p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.7a9c9561ebde7p-9, -0x1.d943baba666eep-8, 0x1.bb9d026966fd7p-8, -0x1.6bf5f63927e91p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.4d75305adf8b5p-9, -0x1.ae44a17d83a5p-8, 0x1.a050f65850cc1p-8, -0x1.60680eeb50d29p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.2477ef00f9559p-9, -0x1.85f53eabf7118p-8, 0x1.85e2c206aabc6p-8, -0x1.54da279bf05cbp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.fec24fb10df9cp-10, -0x1.603f631900d12p-8, 0x1.6c526574924f2p-8, -0x1.494c404cf0296p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.bbded2a16ca81p-10, -0x1.3d0cdf97dfe31p-8, 0x1.539fe0a2004c2p-8, -0x1.3dbe58fdef0dep-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.7fc6f3872a819p-10, -0x1.1c4784fbd3a1dp-8, 0x1.3bcb338ef4c45p-8, -0x1.323071aed01bfp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.4a00aeec2378ep-10, -0x1.fbb2483036979p-9, 0x1.24d45e3b71f58p-8, -0x1.26a28a5fcb14dp-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.1a16712ff3a5cp-10, -0x1.c3571b7fec344p-9, 0x1.0ebb60a775edap-8, -0x1.1b14a310ca177p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.df2e2d0fee894p-11, -0x1.8f51258d46c66p-9, 0x1.f30075a600be6p-9, -0x1.0f86bbc1a15ebp-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.942bd5fe956dcp-11, -0x1.5f7407fec4b61p-9, 0x1.ca45d97c2889ep-9, -0x1.03f8d472b79bdp-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.525554ed950d6p-11, -0x1.3393647ae497ap-9, 0x1.a346ecd159cb8p-9, -0x1.f0d5da4707241p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.18e3014a26c24p-11, -0x1.0b82dca824eb7p-9, 0x1.7e03afa59fa9p-9, -0x1.d9ba0ba9416bfp-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.ce2c245a08708p-12, -0x1.ce2c245a087abp-10, 0x1.5a7c21f8edf42p-9, -0x1.c29e3d0ac4c5ap-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.78713cb4cebbbp-12, -0x1.8c414d60020bap-10, 0x1.38b043cb52659p-9, -0x1.ab826e6d23e0fp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.2f3b388414f28p-12, -0x1.50ec77af33c1bp-10, 0x1.18a0151cbc81ap-9, -0x1.94669fce75ebp-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.e28387fca030fp-13, -0x1.1bd4e6949a74fp-10, 0x1.f4972bda80ebbp-10, -0x1.7d4ad13111d1ep-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.7a9c9561ebe21p-13, -0x1.d943baba66eadp-11, 0x1.bb658c798b0c6p-10, -0x1.662f0291e98cp-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.2477ef00f955fp-13, -0x1.85f53eabf64adp-11, 0x1.85ab4c16db37dp-10, -0x1.4f1333f638331p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.bbded2a16cc8p-14, -0x1.3d0cdf97e2553p-11, 0x1.53686ab1ec639p-10, -0x1.37f76550a7651p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.4a00aeec239p-14, -0x1.fbb2483023742p-12, 0x1.249ce84c39ae3p-10, -0x1.20db96cd2a3b8p-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.df2e2d0fee88p-15, -0x1.8f51258d9033ep-12, 0x1.f29189c14d15ap-11, -0x1.09bfc7cc0e3dbp-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.525554ed951p-15, -0x1.33936479d3226p-12, 0x1.a2d80104159d2p-11, -0x1.e547f53f75282p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.ce2c245a08ap-16, -0x1.ce2c2461ffdc2p-13, 0x1.5a0d35d42a71p-11, -0x1.b7104d3b1ac17p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2f3b388415301p-16, -0x1.50ec7791775e1p-13, 0x1.18312a3e80077p-11, -0x1.88d8d83be4b2ep-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.7a9c9561ebe02p-17, -0x1.d943bb985db73p-14, 0x1.ba87ad37d50cfp-12, -0x1.5aa0a4d2a6377p-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.bbded2a16ecp-18, -0x1.3d0cdc5b78dc6p-14, 0x1.528aaef8a32dep-12, -0x1.2c6b38113cc5p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.df2e2d0fe8p-19, -0x1.8f513db4a9ac9p-15, 0x1.f0d5091a21e62p-13, -0x1.fc56de209af47p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.ce2c245a09ffep-20, -0x1.ce2b7010a6fdp-16, 0x1.585493438d03cp-13, -0x1.a024a0e7a0094p-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.7a9c9561ep-21, -0x1.d948fc67b17c9p-17, 0x1.b6f992c8ed363p-14, -0x1.42d1c8f07c05p-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.df2e2d0fbp-23, -0x1.8f29e949043fcp-18, 0x1.ea91013e1268p-15, -0x1.d3680e6f3ed41p-13}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.7a9c9560cp-25, -0x1.db8d719508219p-20, 0x1.a43ebdf6a62efp-16, -0x1.01c50e7fcd0d6p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.7a9c954000001p-29, -0x1.94f467ffb252cp-23, 0x1.bbaf7f0ec08p-18, -0x1.58f85eacfeff4p-13}, 
      }}, 
      0x1.449b5f66ee9bcp-9, -0x1.f450fa5230e7ap-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.7647e6b180e83p-3, -0x1.3926c87423176p-3, -0x1.bf55689c31889p-4, -0x1.dd7a2bcea0cfbp-5, -0x1.a5b2803c96fc7p-8, 0x1.51bacd7c94795p-5, 0x1.4c401359e876p-4, 0x1.c75228d27a197p-4, 0x1.0b78793ab97e3p-3, 0x1.1e1345e9081e2p-3, 0x1.1d7851897ebf1p-3, 0x1.0c9076f603b6ep-3, 0x1.dd6dc9980f50ep-4, 0x1.8ebad1b4184cep-4, 0x1.339881b446c6p-4, 0x1.a3e4b2440372cp-5, 0x1.bb8886692c4a8p-6, 0x1.d3b8d21eb808bp-9, -0x1.2e2103a9e43ddp-6, -0x1.3a28f4cfbdb8fp-5, -0x1.c89d33f15546ep-5, -0x1.2029ad48ae1fdp-4, -0x1.502a88abe8445p-4, -0x1.744ea35fafbdbp-4, -0x1.8cf32d1fa0ap-4, -0x1.9abed9bb26596p-4, -0x1.9e8e907dcf331p-4, -0x1.9962efe3eac98p-4, -0x1.8c51ea9f1eba9p-4, -0x1.787a4fea0f123p-4, -0x1.5ef9c9e8081ap-4, -0x1.40e5242a1280dp-4, -0x1.1f426ae915fa6p-4, -0x1.f609a4ff1045ep-5, -0x1.aa13ef153bc18p-5, -0x1.5c30df426ac6cp-5, -0x1.0dbe45aa9877p-5, -0x1.7fd63e3fdb8c7p-6, -0x1.cee4481e0001fp-7, -0x1.4ff6439980e61p-8, 0x1.c9502eeaf9fa6p-9, 0x1.7de07bcec4651p-7, 0x1.3c828eeb6e35dp-6, 0x1.b148dd228aeffp-6, 0x1.0e6f258bf164dp-5, 0x1.3f85210e90747p-5, 0x1.6bdd02b03a586p-5, 0x1.937d4dd9eb921p-5, 0x1.b679c494c271dp-5, 0x1.d4f0e85aab03p-5, 0x1.ef09dc1472251p-5, 0x1.02793d76cbba9p-4, 0x1.0b6ed7a45e981p-4, 0x1.1281085b52ce1p-4, 0x1.17cc56e5c63e8p-4, 0x1.1b6e04281f453p-4, 0x1.1d839f2523946p-4, 0x1.1e2aac0d8ec16p-4, 0x1.1d805b9811184p-4, 0x1.1ba151375d66p-4, 0x1.18a974d701f3bp-4, 0x1.14b3ce74f101ap-4, 0x1.0fda69dc1600ep-4, 0x1.0a36420b78096p-4, 0x1.03df333407db4p-4, 0x1.f9d7e3af6df25p-5, 0x1.eae40b90d01efp-5, 0x1.db0b902f67078p-5, 0x1.ca74c70f3818ep-5, 0x1.b943ae974c851p-5, 0x1.a799f70a0d7e2p-5, 0x1.95970e6fb62ecp-5, 0x1.83582e1575bb7p-5, 0x1.70f86a419ec59p-5, 0x1.5e90c4dcaaf47p-5, 0x1.4c3838b57e735p-5, 0x1.3a03d914b79f4p-5, 0x1.2806d2ba18adp-5, 0x1.165295318a9p-5, 0x1.04f6c6a5649bep-5, 0x1.e802ec7280652p-6, 0x1.c6fe25bb4ee07p-6, 0x1.a6f5300821f7ap-6, 0x1.87fb081f1eca8p-6, 0x1.6a201195396e4p-6, 0x1.4d72023929b13p-6, 0x1.31fc37b9f84fdp-6, 0x1.17c7c0cfb0d38p-6, 0x1.fdb6fc009c8cep-7, 0x1.ce78baab52a6fp-7, 0x1.a1dacf46eaa33p-7, 0x1.77dfe091710ffp-7, 0x1.508756201b0f7p-7, 0x1.2bcdbaae9f3e6p-7, 0x1.09acdfa568d77p-7, 0x1.d4384ff2c0d05p-8, 0x1.9a21865c67c4p-8, 0x1.64fbd5ead8099p-8, 0x1.34aa1f0fcd244p-8, 0x1.090c23ef6e2dcp-8, 0x1.c3fdfbd569f25p-9, 0x1.7ebabb145be84p-9, 0x1.42001813d3fe6p-9, 0x1.0d7c3ba39eadcp-9, 0x1.c1b540ffae2e1p-10, 0x1.77895c91da84p-10, 0x1.3bc447b9b1fa5p-10, 0x1.0db38f08d34ep-10, 0x1.d946fa82991f3p-11, 0x1.afbfacc8be7d1p-11, 0x1.9d6941ec34702p-11, 0x1.a0df2f0a0d412p-11, 0x1.b8bef59e02eebp-11, 0x1.e3aac2516ca23p-11, 0x1.102582bfd4461p-10, 0x1.36a6717fa9efp-10, 0x1.64b333cf782edp-10, 0x1.99aa0689b8f14p-10, 0x1.d4ed323711f84p-10, 0x1.0af1f8a7da1cbp-9, 0x1.2dfcc98c4a28fp-9, 0x1.534effec15b66p-9, 0x1.7aa32ef35d641p-9, 0x1.a3b627c8381bbp-9, 0x1.ce4747e3bdfb5p-9, 0x1.fa189a17fe241p-9, 0x1.13770c530d12bp-8, 0x1.2a477bfe9fe9ap-8, 0x1.416227bbd23bdp-8, 0x1.58ad0ce897d13p-8, 0x1.700f417503d7bp-8, 0x1.877123594fbfbp-8, 0x1.9ebc29a976d91p-8, 0x1.b5daf3d1abe3p-8, 0x1.ccb9730b23c5ep-8, 0x1.e344847b8b51dp-8, 0x1.f96a22be1a046p-8, 0x1.078cbc2dabbfep-7, 0x1.12215c2dfd071p-7, 0x1.1c6b7540b549cp-7, 0x1.26641e2888c22p-7, 0x1.3004eda19bb6bp-7, 0x1.3947e77629c48p-7, 0x1.42277afa5d535p-7, 0x1.4a9e99afedf82p-7, 0x1.52a89cd27a007p-7, 0x1.5a4149d497ec1p-7, 0x1.6164bd10303e5p-7, 0x1.680f7e3fab727p-7, 0x1.6e3e85709257bp-7, 0x1.73ef086ef5568p-7, 0x1.791ea36128588p-7, 0x1.7dcb4efc0719bp-7, 0x1.81f354c9e3e04p-7, 0x1.85953ea065de3p-7, 0x1.88afe7865832p-7, 0x1.8b427a7c6725ep-7, 0x1.8d4c707c0f852p-7, 0x1.8ecd725a744a4p-7, 0x1.8fc56ba4046eap-7, 0x1.90348b938d283p-7, 0x1.901b476b66941p-7, 0x1.8f7a3d8561e8dp-7, 0x1.8e523fa60d288p-7, 0x1.8ca454e472d5dp-7, 0x1.8a71bdb90911p-7, 0x1.87bbebb9b1d08p-7, 0x1.84846c00e4085p-7, 0x1.80ccf7dd7a05ap-7, 0x1.7c9776faef0dcp-7, 0x1.77e5f9abe56c2p-7, 0x1.72baaee4ec6fap-7, 0x1.6d17e34b2e4a3p-7, 0x1.66fffb11fe8a5p-7, 0x1.607585cd6d912p-7, 0x1.597b311dbc17ep-7, 0x1.5213be6d99fb3p-7, 0x1.4a41eb2f9cce9p-7, 0x1.4208b86640b66p-7, 0x1.396b010bc8654p-7, 0x1.306c028a43e47p-7, 0x1.270ebab569a94p-7, 0x1.1d56720e7bb65p-7, 0x1.134648eab9628p-7, 0x1.08e18495a1874p-7, 0x1.fc571f34c85f2p-8, 0x1.e64f57c394227p-8, 0x1.cfb290dad4c7ep-8, 0x1.b8876f36b2804p-8, 0x1.a0d4ebcadb63cp-8, 0x1.88a1bae0aac04p-8, 0x1.6ff4e689f8ae3p-8, 0x1.56d526a00f8bdp-8, 0x1.3d498a707d299p-8, 0x1.2358b66cd5d5ap-8, 0x1.0909a06107c14p-8, 0x1.dcc643a5811e7p-9, 0x1.a6d7e1aeb5193p-9, 0x1.7055edd76dd3dp-9, 0x1.394d75d34e8fbp-9, 0x1.01cbe95702d6cp-9, 0x1.93bcefcb3a65bp-10, 0x1.232473a22c97bp-10, 0x1.63d0603484c5dp-11, 0x1.00879e280866p-12, -0x1.90abb6bdd3271p-13, -0x1.4949d1f69782ep-11, -0x1.1773e5b230f12p-10, -0x1.8a6a2353914dap-10, -0x1.fd6ff262d490fp-10, -0x1.3836c02dea8c9p-9, -0x1.71a6263c390a1p-9, -0x1.aafab4f0c801bp-9, -0x1.e4296e1ad462bp-9, -0x1.0e93b6510d748p-8, -0x1.2af4fb5e951c3p-8, -0x1.47335b18f42ebp-8, -0x1.6349bf7671514p-8, -0x1.7f33278b1f44dp-8, -0x1.9aeac4a55779dp-8, -0x1.b66bca76d2292p-8, -0x1.d1b1aa661e393p-8, -0x1.ecb7e1e50f32cp-8, -0x1.03bd055e987bdp-7, -0x1.10f9fb91a5afep-7, -0x1.1e10bb4b68529p-7, -0x1.2aff4830f94c7p-7, -0x1.37c3b5182d27dp-7, -0x1.445c1ffab95c8p-7, -0x1.50c6b83814ec9p-7, -0x1.5d01c08dbb4a7p-7, -0x1.690b8aa8caf43p-7, -0x1.74e2783d5cb3fp-7, -0x1.8084f9a392db8p-7, -0x1.8bf18ece7e793p-7, -0x1.9726c8637f51cp-7, -0x1.a2234452c7feep-7, -0x1.ace5b13f88549p-7, -0x1.b76cd25796be9p-7, -0x1.c1b776c7663bdp-7, -0x1.cbc4770775c9ap-7, -0x1.d592c3efcf09cp-7, -0x1.df215930e4863p-7, -0x1.e86f414f2de25p-7, -0x1.f17b951aebb23p-7, -0x1.fa457dca57dap-7, -0x1.01661884a73dep-6, -0x1.05877a36434bbp-6, -0x1.09868dfadc712p-6, -0x1.0d6304447b92ep-6, -0x1.111c93ef5b764p-6, -0x1.14b2fb3a5b8b5p-6, -0x1.1825ff10fd42dp-6, -0x1.1b756aa30f992p-6, -0x1.1ea1101bfbc8p-6, -0x1.21a8c86983773p-6, -0x1.248c721a0f1dfp-6, -0x1.274bef5036729p-6, -0x1.29e72f33d3144p-6, -0x1.2c5e21cad72bfp-6, -0x1.2eb0bbd58df26p-6, -0x1.30defd38169b6p-6, -0x1.32e8e2f27fc4dp-6, -0x1.34ce7757d09c7p-6, -0x1.368fc8355b86fp-6, -0x1.382ce86d4efdbp-6, -0x1.39a5f00a547b2p-6, -0x1.3afafc589624dp-6, -0x1.3c2c2dec5c3bp-6, -0x1.3d39ac67ae45cp-6, -0x1.3e23a3567534ep-6, -0x1.3eea442ce9356p-6, -0x1.3f8dc105a28b3p-6, -0x1.400e556f2aca5p-6, -0x1.406c3f5b71e9p-6, -0x1.40a7c0bf283bfp-6, -0x1.40c11fe2a781p-6, -0x1.40b8a663d45fep-6, -0x1.408ea20eea3e2p-6, -0x1.404364a9bce45p-6, -0x1.3fd7433688808p-6, -0x1.3f4a965aa41d3p-6, -0x1.3e9dbab36a894p-6, -0x1.3dd10fdc794d8p-6, -0x1.3ce4f8972296dp-6, -0x1.3bd9dac0a6e5ep-6, -0x1.3ab01f5536e54p-6, -0x1.3968320dddbb1p-6, -0x1.38028133ae012p-6, -0x1.367f7dab71255p-6, -0x1.34df9b3542bdp-6, -0x1.33234fddecc5bp-6, -0x1.314b13c2b37b2p-6, -0x1.2f5760ff6514p-6, -0x1.2d48b459fc002p-6, -0x1.2b1f8c773e7b8p-6, -0x1.28dc697290ccep-6, -0x1.267fcd5691ac2p-6, -0x1.240a3beca9e04p-6, -0x1.217c3aa4615bep-6, -0x1.1ed6505f0b23ep-6, -0x1.1c19050c7e3bp-6, -0x1.1944e20264277p-6, -0x1.165a718b37a72p-6, -0x1.135a40125ba72p-6, -0x1.1044d8c5a37a3p-6, -0x1.0d1ac8933963bp-6, -0x1.09dc9fc200074p-6, -0x1.068aed7ed5d04p-6, -0x1.03263df90ecdap-6, -0x1.ff5e424942ff1p-7, -0x1.f84c4eac4fe04p-7, -0x1.f117cb6162cd8p-7, -0x1.e9c1cd40e9f92p-7, -0x1.e24b823602f18p-7, -0x1.dab5ffa61809ep-7, -0x1.d3026a3c2e746p-7, -0x1.cb31e814c4d4cp-7, -0x1.c34599a7fd04ep-7, -0x1.bb3e9c91a03d4p-7, -0x1.b31e12f661a8dp-7, -0x1.aae51cbb6626p-7, -0x1.a294d50e02503p-7, -0x1.9a2e5881de0c6p-7, -0x1.91b2c3e0720a8p-7, -0x1.89233204ef4f6p-7, -0x1.8080bb94b5096p-7, -0x1.77cc775835d0dp-7, -0x1.6f077a35bbd6p-7, -0x1.6632d7f7ff7b5p-7, -0x1.5d4fa24c9669cp-7, -0x1.545ee7e594a8bp-7, -0x1.4b61b6e23743cp-7, -0x1.42591a66e1f78p-7, -0x1.39461b1e3e10fp-7, -0x1.3029bde0fc695p-7, -0x1.2705072eb65b5p-7, -0x1.1dd8f695cd2f9p-7, -0x1.14a687da9579fp-7, -0x1.0b6eb5998a357p-7, -0x1.02327720f7a4ap-7, -0x1.f1e58455a33bep-8, -0x1.df6114f9eb18ep-8, -0x1.ccd980ea3bd6ep-8, -0x1.ba509fb72f98cp-8, -0x1.a7c83fd8b4fe3p-8, -0x1.9542284187ca3p-8, -0x1.82c0197adcde2p-8, -0x1.7043c64844651p-8, -0x1.5dcee533ab756p-8, -0x1.4b6321152f997p-8, -0x1.39021e9b7ea72p-8, -0x1.26ad760df0837p-8, -0x1.1466c9bc1b73fp-8, -0x1.022fafee744cap-8, -0x1.e0136faf68c76p-9, -0x1.bbecce956e655p-9, -0x1.97ee7177c1792p-9, -0x1.741b32a9dc31p-9, -0x1.5075d11a25b01p-9, -0x1.2d00f47edef6p-9, -0x1.09bf315b0a16dp-9, -0x1.cd662190b5d05p-10, -0x1.87be2fdfb5b8dp-10, -0x1.428ba050405cbp-10, -0x1.fba70ae4591c1p-11, -0x1.7335fadb302ccp-11, -0x1.d79c47e554fep-12, -0x1.95e548080c0e9p-13, 0x1.fbf2a58c6d4fep-15, 0x1.47a5635256a8ap-12, 0x1.26b9c3ade66e7p-11, 0x1.a86cb96d0506ep-11, 0x1.1472a4dc50d7dp-10, 0x1.540e91f627709p-10, 0x1.930713e030fc3p-10, 0x1.d159077fb670bp-10, 0x1.078066d09ef2ep-9, 0x1.25fd4dc3ac58cp-9, 0x1.4421370f27028p-9, 0x1.61ea17ff56294p-9, 0x1.7f55f9ad19426p-9, 0x1.9c63182b499c4p-9, 0x1.b90ffcefcf49bp-9, 0x1.d55b8dc082f15p-9, 0x1.f1450b65008ccp-9, 0x1.0665ff4d01899p-8, 0x1.13f80adc73f2dp-8, 0x1.21587d0800cd7p-8, 0x1.2e8712133b346p-8, 0x1.3b835e4cf7eep-8, 0x1.484cc70a02d33p-8, 0x1.54e28636d354bp-8, 0x1.6143bad3bcfeep-8, 0x1.6d6f8065c2858p-8, 0x1.79650ccb9e331p-8, 0x1.8523cc5ba223fp-8, 0x1.90ab6e7f27101p-8, 0x1.9bfbe84299602p-8, 0x1.a71576b9abe8ep-8, 0x1.b1f889d020afbp-8, 0x1.bca5917b18749p-8, 0x1.c71cef4109cbap-8, 0x1.d15ed42225d02p-8, 0x1.db6b2ea44da11p-8, 0x1.e541a8a346be3p-8, 0x1.eee1b496fffe8p-8, 0x1.f84aa77f632a3p-8, 0x1.00bdeceab18d2p-7, 0x1.053a6485ccbc5p-7, 0x1.099a99571b52cp-7, 0x1.0dde8fc7dd344p-7, 0x1.12066b28dd92fp-7, 0x1.161267f95fdc6p-7, 0x1.1a02d0ae227a7p-7, 0x1.1dd7eb7f35adcp-7, 0x1.2191f399780a8p-7, 0x1.25310b6f31672p-7, 0x1.28b540a0617a2p-7, 0x1.2c1e95e1bac41p-7, 0x1.2f6d0ea5fac03p-7, 0x1.32a0bbda1f2aep-7, 0x1.35b9c60032d64p-7, 0x1.38b870d8bdae7p-7, 0x1.3b9d162b3b33fp-7, 0x1.3e6817f1958e8p-7, 0x1.4119cc7675c77p-7, 0x1.43b2687a48d06p-7, 0x1.4631ee6e8b293p-7, 0x1.4898284008a69p-7, 0x1.4ae4af9c5c278p-7, 0x1.4d17049b98f5p-7, 0x1.4f2eaf80dcebep-7, 0x1.512b64a4154cp-7, 0x1.530d2f4436c14p-7, 0x1.54d4815d3fc6bp-7, 0x1.568245157bf61p-7, 0x1.5817cd084b3a1p-7, 0x1.5996a7fa5e4d2p-7, 0x1.5b0074bcc5d46p-7, 0x1.5c569e0e23192p-7, 0x1.5d9a20bcecdbbp-7, 0x1.5ecb5793fd02ep-7, 0x1.5fe9df6055cbbp-7, 0x1.60f4a67856dc9p-7, 0x1.61ea12109b3ffp-7, 0x1.62c8422ca0595p-7, 0x1.638d66a11d84bp-7, 0x1.64381738e17b4p-7, 0x1.64c7a2598b712p-7, 0x1.653c4153ee266p-7, 0x1.659727f4a48d5p-7, 0x1.65da78680d2abp-7, 0x1.6609058f372fbp-7, 0x1.6625efcdebe4dp-7, 0x1.66343c37236c9p-7, 0x1.6636628842ed4p-7, 0x1.662df032c11p-7, 0x1.661b5125fca8bp-7, 0x1.65fdcc7a90ddbp-7, 0x1.65d3a9da3b77ap-7, 0x1.659a82aa6efd7p-7, 0x1.654fa769b72fdp-7, 0x1.64f089542dedbp-7, 0x1.647b19dae4788p-7, 0x1.63ee147f9468ep-7, 0x1.63492cdb8774bp-7, 0x1.628d1e1ade816p-7, 0x1.61bb9ac5ad15ep-7, 0x1.60d7218091724p-7, 0x1.5fe2ad816fc59p-7, 0x1.5ee160952f945p-7, 0x1.5dd61bf43b86cp-7, 0x1.5cc31c58f38b5p-7, 0x1.5ba9bbb7f432bp-7, 0x1.5a8a53766e64ep-7, 0x1.59644f66a7a95p-7, 0x1.583669b1eabedp-7, 0x1.56ff027e31294p-7, 0x1.55bc7f2d5d16fp-7, 0x1.546d9a4e9ef83p-7, 0x1.531191e6d8833p-7, 0x1.51a8298d2d0fdp-7, 0x1.503181ff7af4ap-7, 0x1.4eaddb75fde53p-7, 0x1.4d1d638e68b8ap-7, 0x1.4b8026d6b8585p-7, 0x1.49d62b8a6e835p-7, 0x1.481fa6a7fbc7ap-7, 0x1.465d2b68dc78p-7, 0x1.448fbab4c4019p-7, 0x1.42b8a6337c0f8p-7, 0x1.40d9515207785p-7, 0x1.3ef2ee31b684p-7, 0x1.3d065656db654p-7, 0x1.3b1414ee1a00bp-7, 0x1.391ca11c61e65p-7, 0x1.3720abdb3b308p-7, 0x1.352154abd8866p-7, 0x1.33201d0f9ad6fp-7, 0x1.311e8d989a546p-7, 0x1.2f1da65c2b881p-7, 0x1.2d1d55e037debp-7, 0x1.2b1c39127eb81p-7, 0x1.2917c680cc9abp-7, 0x1.270ce3f6f8a6ep-7, 0x1.24f8a55ad1453p-7, 0x1.22d8eeb73397dp-7, 0x1.20aca9068857cp-7, 0x1.1e73b8fd270d2p-7, 0x1.1c2ebb9ae1d2bp-7, 0x1.19dee1918244fp-7, 0x1.1785ea62243f6p-7, 0x1.15264867ac787p-7, 0x1.12c31ffcbe0bep-7, 0x1.105ffec8b0519p-7, 0x1.0e005be777f37p-7, 0x1.0ba70255ef056p-7, 0x1.09559b8d6d5fap-7, 0x1.070c716fe73efp-7, 0x1.04ca5e750949p-7, 0x1.028d0d97cd5d6p-7, 0x1.005183baa4c3ap-7, 0x1.fc29eb228063bp-8, 0x1.f7ab3bc589c68p-8, 0x1.f326341e67c96p-8, 0x1.ee9bea5f67a3dp-8, 0x1.ea0cf405c43c7p-8, 0x1.e57703539cd93p-8, 0x1.e0d4559ac5cc8p-8, 0x1.dc1dd6cdd7fdfp-8, 0x1.d74f185afc475p-8, 0x1.d269e24531d1p-8, 0x1.cd7737a37645fp-8, 0x1.c8850b5761523p-8, 0x1.c3a1b1aeae6bp-8, 0x1.bed747e5764e3p-8, 0x1.ba291b2bcfe2cp-8, 0x1.b593b55077782p-8, 0x1.b10ec4ab3c7ccp-8, 0x1.ac8fbabda8db7p-8, 0x1.a80c96f409f9cp-8, 0x1.a37ebb23c7099p-8, 0x1.9ee53bb39c316p-8, 0x1.9a457e044b8dap-8, 0x1.95a931af72a87p-8, 0x1.911a135d49c68p-8, 0x1.8c9d7c12a3b0dp-8, 0x1.8832201bc1738p-8, 0x1.83d0f9e5a7aap-8, 0x1.7f7075e5b3e14p-8, 0x1.7b0833a1c8ec7p-8, 0x1.76941fc4ce69dp-8, 0x1.72160af2150dp-8, 0x1.6d9510b1105bp-8, 0x1.691afe7a91a9bp-8, 0x1.64b0fb5ade7ep-8, 0x1.605cd5e634db5p-8, 0x1.5c1f9ac2bdad5p-8, 0x1.57f559a1d2b62p-8, 0x1.53d5d0656c39fp-8, 0x1.4fb63c118bfddp-8, 0x1.4b8caed1c3802p-8, 0x1.475446820e5afp-8, 0x1.430fef13b40abp-8, 0x1.3ec9435f30fbdp-8, 0x1.3a8ba375d0694p-8, 0x1.365eb7c0145cdp-8, 0x1.3244093a0549dp-8, 0x1.2e389d6c62d33p-8, 0x1.2a385b72c2f3dp-8, 0x1.26414b4e8167bp-8, 0x1.225514ba385a4p-8, 0x1.1e78238af4a55p-8, 0x1.1aadc122111ep-8, 0x1.16f44d5d02518p-8, 0x1.134537fa2e6bep-8, 0x1.0f98dbd6c07ap-8, 0x1.0beb0681ea5b8p-8, 0x1.083d0f1e8ccb9p-8, 0x1.049468b434251p-8, 0x1.00f6c44429818p-8, 0x1.facc6ee9c8e75p-9, 0x1.f3bf50ca4cd63p-9, 0x1.ecb7dd9681f17p-9, 0x1.e5a7f6a6ed703p-9, 0x1.de8b1c9f5720cp-9, 0x1.d76ac97f004fcp-9, 0x1.d058a48f792a3p-9, 0x1.c96325a690e75p-9, 0x1.c28d8e4238c05p-9, 0x1.bbcf706fe36e1p-9, 0x1.b51c87a4987e4p-9, 0x1.ae714454f2a5dp-9, 0x1.a7d7ba9ecd737p-9, 0x1.a15e54493a632p-9, 0x1.9b0c0b3b26d2cp-9, 0x1.94def9595379cp-9, 0x1.8ed1db295bf54p-9, 0x1.88df741ea9e4cp-9, 0x1.83018dacbbfdep-9, 0x1.7d2f5820696fbp-9, 0x1.775ebb33067adp-9, 0x1.7189ec217a2c3p-9, 0x1.6bb609f480098p-9, 0x1.65f3628b18462p-9, 0x1.605346ccba3e3p-9, 0x1.5ad8044ab55d1p-9, 0x1.556c3faa852b1p-9, 0x1.4ff177ea2613ap-9, 0x1.4a5fb6d485ca2p-9, 0x1.44d1732145694p-9, 0x1.3f68663c311fdp-9, 0x1.3a2b16a2838c9p-9, 0x1.3503db0cbd3abp-9, 0x1.2fe010070fc6fp-9, 0x1.2ac4dee692774p-9, 0x1.25c0c5ca83b37p-9, 0x1.20d660a6be522p-9, 0x1.1bfc66c85b575p-9, 0x1.172915382fb4fp-9, 0x1.1258ec15637e8p-9, 0x1.0d8eff7a3fde8p-9, 0x1.08d29f20f88aap-9, 0x1.042c46c07e0e9p-9, 0x1.ff45a18a76878p-10, 0x1.f67355834fbeep-10, 0x1.edddaa900d5d5p-10, 0x1.e570af0f719a3p-10, 0x1.dd121cd93a503p-10, 0x1.d4c0d2bcdab17p-10, 0x1.cc9cd4af3142fp-10, 0x1.c4b06c600fe91p-10, 0x1.bcc341eda7f6p-10, 0x1.b49e08383d8a6p-10, 0x1.ac6952ebfb3afp-10, 0x1.a47b59e555dd9p-10, 0x1.9cdefafc6c2aap-10, 0x1.955ff1a173fcdp-10, 0x1.8def83abf8e65p-10, 0x1.86a8666c31713p-10, 0x1.7f90927774cffp-10, 0x1.789343bd2a551p-10, 0x1.719e38cec3a29p-10, 0x1.6aacc21226cddp-10, 0x1.63c23deaa1dcdp-10, 0x1.5ce344edb783ap-10, 0x1.56129eba0450cp-10, 0x1.4f5155d175d2ap-10, 0x1.48a0d8a5e5334p-10, 0x1.420570b952e6p-10, 0x1.3b88118d4d813p-10, 0x1.3535ee54262f5p-10, 0x1.2f1ec342c8b68p-10, 0x1.294db2ccdc331p-10, 0x1.23b7d62fb3c0cp-10, 0x1.1e3853610294bp-10, 0x1.18b8d8ba2bfd8p-10, 0x1.133ef7838821cp-10, 0x1.0dc3b4e6bb15cp-10, 0x1.0840e17d48424p-10, 0x1.02ce4b0c54f74p-10, 0x1.faf0478676b3ep-11, 0x1.f06e99348b873p-11, 0x1.e63e91ce4b027p-11, 0x1.dc7b5283a4817p-11, 0x1.d2f6b33bc3956p-11, 0x1.c97fe8d797ddcp-11, 0x1.c00b62d315ad3p-11, 0x1.b6a27fba6e58ap-11, 0x1.ad50c883e785bp-11, 0x1.a41d7b121caa5p-11, 0x1.9b0bd810f5828p-11, 0x1.921cf952edeafp-11, 0x1.8950e8e72e2e2p-11, 0x1.80a691c2b6475p-11, 0x1.781b5e92fc856p-11, 0x1.6fac38d5668bdp-11, 0x1.6758b27051256p-11, 0x1.5f264a44fccfap-11, 0x1.571f5dd7c0fdcp-11, 0x1.4f4cb9e8a32d8p-11, 0x1.47b8d59a96e96p-11, 0x1.407c8e06c0624p-11, 0x1.39a45a99e2005p-11, 0x1.32ef82909445cp-11, 0x1.2c1c37744a0e9p-11, 0x1.25536b23ece09p-11, 0x1.1e84ac512c0adp-11, 0x1.1780fd506dc89p-11, 0x1.10be916d78edap-11, 0x1.0a846c7d83d05p-11, 0x1.04884abf47abfp-11, 0x1.fd18ce4158412p-12, 0x1.f1165a515ec19p-12, 0x1.e524fc711994ep-12, 0x1.d95c7dfe1e6a1p-12, 0x1.cdc91efe74629p-12, 0x1.c26ed09e386cfp-12, 0x1.b74cda5a53f9p-12, 0x1.ac6090cea009ap-12, 0x1.a1a763e3229e7p-12, 0x1.9720233b2894bp-12, 0x1.8ccb4d80672ap-12, 0x1.82aa0a2536731p-12, 0x1.78bc1997d988ap-12, 0x1.6efe1c494d0b4p-12, 0x1.656a19afc3b1ap-12, 0x1.5bfb0d83fa8abp-12, 0x1.52b00f96d10b2p-12, 0x1.498683b324da5p-12, 0x1.40735a91e9559p-12, 0x1.378efec717b7ap-12, 0x1.2f56e4b3701d6p-12, 0x1.27ecb542326d9p-12, 0x1.207698fa1e3a8p-12, 0x1.18ac1ae9b4273p-12, 0x1.1077c8993677cp-12, 0x1.0868dc28a23bap-12, 0x1.012704fd3c623p-12, 0x1.f47fb78eb2dfdp-13, 0x1.e6a6c208aba8fp-13, 0x1.d8c4d1b9a07ddp-13, 0x1.cb05f0f463ef4p-13, 0x1.bd85b74658421p-13, 0x1.b04f89aea20a8p-13, 0x1.a366817861903p-13, 0x1.96c96f15d46ecp-13, 0x1.8a75d09915a5fp-13, 0x1.7e686341f8572p-13, 0x1.729dbcd391f01p-13, 0x1.671329352d4e5p-13, 0x1.5bc74777a7efap-13, 0x1.50ba582e0dbafp-13, 0x1.45edda3681904p-13, 0x1.3b62f2d88ed8ap-13, 0x1.311839d06ae09p-13, 0x1.270883a627edfp-13, 0x1.1d2c0e0c88b1bp-13, 0x1.137c84327f693p-13, 0x1.09f6950c5eb85p-13, 0x1.0095f0d09dd22p-13, 0x1.eea1e788a0f27p-14, 0x1.dc956e2b81c2p-14, 0x1.cbddd754ad9dp-14, 0x1.bc5ceee109c93p-14, 0x1.acc6f97fff027p-14, 0x1.9c54fa44e466p-14, 0x1.8c3c6eadfd3d9p-14, 0x1.7d3e126d56698p-14, 0x1.6ef474d373a6fp-14, 0x1.60be9886c8514p-14, 0x1.52a2c2a2dbb95p-14, 0x1.44c9369b4e256p-14, 0x1.3744afcd1977dp-14, 0x1.2a198f461a4bep-14, 0x1.1d47177581101p-14, 0x1.10cb15113040cp-14, 0x1.04a2fac2279a9p-14, 0x1.f1987f646056ep-15, 0x1.da88c44302d9ap-15, 0x1.c412613c2c3a2p-15, 0x1.ae2d44885b118p-15, 0x1.98dc2ba81dcf7p-15, 0x1.84179b97f6dbfp-15, 0x1.6fdfdab0250dfp-15, 0x1.5c34ab70040b5p-15, 0x1.4915c290a18aap-15, 0x1.367f9ed12fe7ep-15, 0x1.246c4cf2834f1p-15, 0x1.12d27628276fep-15, 0x1.01aa7b36658p-15, 0x1.e1dc2d27eb543p-16, 0x1.c1468f9a78981p-16, 0x1.a17b08146155dp-16, 0x1.826b37a926441p-16, 0x1.64c3703609075p-16, 0x1.488185a90b486p-16, 0x1.2c47c9d858c9ap-16, 0x1.11ac9326246efp-16, 0x1.eee9188042b03p-17, 0x1.bbd1f78277323p-17, 0x1.8b2d4c102dcb6p-17, 0x1.5b6c27f203f21p-17, 0x1.2cb7297b05bc6p-17, 0x1.fec952c5fb355p-18, 0x1.a71286a996d77p-18, 0x1.523dcfe5e77ap-18, 0x1.0034e0a558fe9p-18, 0x1.61c441c317ef7p-19, 0x1.90c927bf4a567p-20, 0x1.a13ea77f970aep-22, -0x1.6c4c0152b759ap-21, -0x1.cad8aece32c8p-20, -0x1.6b03ea84e2d31p-19, -0x1.ebf7dcc21678bp-19, -0x1.343223efeae5ep-18, -0x1.7031e3b1dc528p-18, -0x1.aa074da6e1effp-18, -0x1.e1bdcb573e419p-18, -0x1.0baff33eded68p-17, -0x1.2578f3bdd3086p-17, -0x1.3e50f4d7812f5p-17, -0x1.5620edf0077c4p-17, -0x1.6d0ab81bf6418p-17, -0x1.830df5b075f16p-17, -0x1.982e1f4a5bf1bp-17, -0x1.ac6ac23d070c9p-17, -0x1.bfcb976262eabp-17, -0x1.d2685f4edf5a2p-17, -0x1.e4394c55d2beap-17, -0x1.f51a371c45e02p-17, -0x1.02b7a5b0a4163p-16, -0x1.0a5d770bc0e48p-16, -0x1.11a38245985ap-16, -0x1.189c1052e106dp-16, -0x1.1f33faf1cc6f5p-16, -0x1.257eb0c970edbp-16, -0x1.2b77bd6697e51p-16, -0x1.3118ac40abeap-16, -0x1.36704fc578993p-16, -0x1.3b755f1796444p-16, -0x1.402d88c469268p-16, -0x1.449bfdbc2ea5dp-16, -0x1.48bdd0018eb7dp-16, -0x1.4c9cd4a1f4085p-16, -0x1.5038a34e626fbp-16, -0x1.5382e5891e32fp-16, -0x1.56a5d4a0b8a6cp-16, -0x1.597eb4ccf66ebp-16, -0x1.5c1885a0fcb1ep-16, -0x1.5e7c554861a66p-16, -0x1.609e8b8773ac8p-16, -0x1.628bedf3670c7p-16, -0x1.644269ab39cb5p-16, -0x1.65c43aaa894bbp-16, -0x1.67140118f974p-16, -0x1.68313ccfb8ef8p-16, -0x1.691e17255e182p-16, -0x1.69dbced183b9dp-16, -0x1.6a6c13aa7c2d9p-16, -0x1.6ad062061390ep-16, -0x1.6b09b84a0bd84p-16, -0x1.6b1b8ab65dce4p-16, -0x1.6b05db202f718p-16, -0x1.6ac41d6b04bc5p-16, -0x1.6a54edc85051p-16, -0x1.69ccb1e2dbff9p-16, -0x1.692eac68de4bdp-16, -0x1.6863012640d6cp-16, -0x1.676a5e74e1974p-16, -0x1.665a9fbdda652p-16, -0x1.653a77ef5ecb8p-16, -0x1.63f648a8031a2p-16, -0x1.628f5a527b792p-16, -0x1.610c9d747b3d7p-16, -0x1.5f6fcc1c633c4p-16, -0x1.5dba0eab69ddcp-16, -0x1.5bec2c9e44901p-16, -0x1.5a0708cb930dbp-16, -0x1.580bd810a06e6p-16, -0x1.55fc9223ffc64p-16, -0x1.53d57884c592ep-16, -0x1.519cb43128a53p-16, -0x1.4f4cbe09ad907p-16, -0x1.4cec109ad209cp-16, -0x1.4a7e0a579ce9ap-16, -0x1.47ffdc2b3433cp-16, -0x1.456ddbea9a91ep-16, -0x1.42c96e9e9ecd9p-16, -0x1.40163c15b5433p-16, -0x1.3d5906dc8109ap-16, -0x1.3a8f5632ed6a6p-16, -0x1.37bbfdc131801p-16, -0x1.34db09153837fp-16, -0x1.31df400a6518bp-16, -0x1.2ef2b514949e7p-16, -0x1.2beb387af0532p-16, -0x1.28dd9f4db9365p-16, -0x1.25ca797656b5ap-16, -0x1.22ae145b5fd58p-16, -0x1.1f89ec784890dp-16, -0x1.1c5cc9e78d4dep-16, -0x1.191dbf116c743p-16, -0x1.15e5fac180536p-16, -0x1.12aef76e851dap-16, -0x1.0f69005a14443p-16, -0x1.0c1bd625e0d33p-16, -0x1.08d032b0a4979p-16, -0x1.057ed7ec5972ep-16, -0x1.02259739038eep-16, -0x1.fd87ab4028ba8p-17, -0x1.f6d9be8d1b068p-17, -0x1.f0290bcee4d56p-17, -0x1.e9673c70adc62p-17, -0x1.e2a091babcd58p-17, -0x1.dbd8039307b98p-17, -0x1.d50e0ea7903bap-17, -0x1.ce42f2a49928ap-17, -0x1.c77745f2bf0c4p-17, -0x1.c09e253fa5ee7p-17, -0x1.b9e902c5c5f85p-17, -0x1.b31ac11eca91fp-17, -0x1.ac52ef6c9efcdp-17, -0x1.a58df7e352b9p-17, -0x1.9ecafe0dbaad7p-17, -0x1.980936e7535eap-17, -0x1.9148c94e6355ep-17, -0x1.8a9430b450cap-17, -0x1.83eefb8e0e51cp-17, -0x1.7d47153977dbp-17, -0x1.76960a4aca566p-17, -0x1.6fe9401e014b6p-17, -0x1.69510fc9fa2ffp-17, -0x1.62c1978a39131p-17, -0x1.5c31341d644adp-17, -0x1.55b52a968956p-17, -0x1.4f07c208dd1fbp-17, -0x1.48be65488c08fp-17, -0x1.424e5e36eed9ap-17, -0x1.3bee325af1089p-17, -0x1.35951c6ce4129p-17, -0x1.2f464a020da7ep-17, -0x1.28f4332c3852bp-17, -0x1.22b74728c03a2p-17, -0x1.1c86b34ac19ebp-17, -0x1.165fade2fe309p-17, -0x1.103d933ab678ep-17, -0x1.0a2aae5c9fbdfp-17, -0x1.0424c509eff7dp-17, -0x1.fc51831dd9d3fp-18, -0x1.f06f152dad806p-18, -0x1.e4a37ed1d1f5ap-18, -0x1.d8f675c3f35fep-18, -0x1.cd76cd6ddca6p-18, -0x1.c1d5b18d975b4p-18, -0x1.b661ae03a576p-18, -0x1.ab11e327d1092p-18, -0x1.9fdd7589f25dbp-18, -0x1.94c238d115f8p-18, -0x1.89b01a55a66aap-18, -0x1.7ec0f4b2d47efp-18, -0x1.73f56e947d18bp-18, -0x1.69475d4258117p-18, -0x1.5ea6e436c16abp-18, -0x1.541c6a4ad1aa2p-18, -0x1.49a65701d4952p-18, -0x1.3f701619836c9p-18, -0x1.355566e0247b1p-18, -0x1.2b3c2a1b0a897p-18, -0x1.211b088f7e15dp-18, -0x1.1743d37f7b65fp-18, -0x1.0d7bb464dbfa6p-18, -0x1.03dd1b27d9b9ap-18, -0x1.f4517c80da5c2p-19, -0x1.e1c22dd70cc57p-19, -0x1.cf095fa47187bp-19, -0x1.bc8bbc4808e38p-19, -0x1.aa40a226a73dcp-19, -0x1.982bc875a5219p-19, -0x1.8648d083d4a68p-19, -0x1.74c93d5ac3136p-19, -0x1.638a0dcd09b43p-19, -0x1.5190ca3b6f7f5p-19, -0x1.415e1cc26c3bdp-19, -0x1.30643da3c105cp-19, -0x1.1fd812db4e29bp-19, -0x1.0f8548dd02ce1p-19, -0x1.feaa22ab43b6ep-20, -0x1.df14e3d4bb825p-20, -0x1.bfa89b27ecebap-20, -0x1.a0bdcf910af7p-20, -0x1.823cc7a2c5a23p-20, -0x1.64222511ff6a8p-20, -0x1.467dcba1b5c5p-20, -0x1.2918a7987f83bp-20, -0x1.0c415a8702965p-20, -0x1.df966deca0d6cp-21, -0x1.a77d0405601d5p-21, -0x1.6fe5eecf63ae5p-21, -0x1.3910a702ee926p-21, -0x1.030c7f909be1ap-21, -0x1.9f5b1fedf8127p-22, -0x1.3698b514c8227p-22, -0x1.a2c849b070511p-23, -0x1.83d3e32212f8fp-24, -0x1.8370dd3b55c42p-28, 0x1.67a2e4b8ed134p-24, 0x1.80cd3acbeb7f4p-23, 0x1.199ee7708dc5ap-22, 0x1.76e23ae42465ap-22, 0x1.d2f2bdd2e4af1p-22, 0x1.16ae6265ad0d5p-21, 0x1.42f84ef0388dbp-21, 0x1.6ec6e68542b3p-21, 0x1.99c46c43db9f4p-21, 0x1.c346a600818aep-21, 0x1.ee74349527c5bp-21, 0x1.0b0e96b4b2247p-20, 0x1.1ea3315c217b6p-20, }}, 
      {{-0x1.7a25a9ae25cf8p-3, -0x1.46bfaf820c94fp-3, -0x1.f0ccd2992404cp-4, -0x1.2f62724042c5dp-4, -0x1.6ca391dffd994p-6, 0x1.ee3e3d297ca8ep-6, 0x1.4753ba0e9f506p-4, 0x1.fe06b4abf9498p-4, 0x1.4c6b5b8e42f21p-3, 0x1.89f34d7d157a7p-3, 0x1.b6e940c28b72ap-3, 0x1.d394364e65f88p-3, 0x1.e0f26a74d3bcdp-3, 0x1.e07e72e6b60c9p-3, 0x1.d3fdaa3bbcdc5p-3, 0x1.bd588f72a4ee5p-3, 0x1.9e7c9dc74ae6bp-3, 0x1.79466fec6ae5ep-3, 0x1.4f72c5ae4f4cap-3, 0x1.2295094b538c4p-3, 0x1.e8242e0d52583p-4, 0x1.8a3c70a6772cap-4, 0x1.2d7af373fd9a6p-4, 0x1.a7169d9167586p-5, 0x1.f70b2f7abfc99p-6, 0x1.6940d28bcc9dep-7, -0x1.d8469755d4161p-8, -0x1.870030e18b69ep-6, -0x1.3e7a7296e82a9p-5, -0x1.abb6be3773cacp-5, -0x1.059f32556e8b3p-4, -0x1.2eabcfea47ae5p-4, -0x1.513c60b06906p-4, -0x1.6d9e98199ef01p-4, -0x1.842db49ddaccap-4, -0x1.954e8cb79c5c3p-4, -0x1.a16b9e79c6b7p-4, -0x1.a8f2b012314e3p-4, -0x1.ac51b54d3005p-4, -0x1.abf56597f324dp-4, -0x1.a8477f3e4e425p-4, -0x1.a1ad68a9c3387p-4, -0x1.9887a2b86adcbp-4, -0x1.8d31116a792cdp-4, -0x1.7ffe7c46e6d71p-4, -0x1.713e75914fdf3p-4, -0x1.613952a4e79fap-4, -0x1.5031328d55849p-4, -0x1.3e6217318a7ap-4, -0x1.2c023158f0e86p-4, -0x1.19421cf3872b1p-4, -0x1.064d2e6a8c089p-4, -0x1.e69395a3d511fp-5, -0x1.c0b365ca6f1dfp-5, -0x1.9b34bdbd8a6c8p-5, -0x1.764ab36674961p-5, -0x1.522116bb48324p-5, -0x1.2edd138285846p-5, -0x1.0c9dce03c79e5p-5, -0x1.d6f9f37d9adcdp-6, -0x1.971ea6cac8664p-6, -0x1.59ca472c85887p-6, -0x1.1f157e0ab4792p-6, -0x1.ce23aa1dbedddp-7, -0x1.639510c5358a4p-7, -0x1.fd14cdec51b5ep-8, -0x1.3e0a1720db28ep-8, -0x1.13f6e227a341p-9, 0x1.f34fe19243457p-12, 0x1.7b637b9ca0d54p-9, 0x1.51b0cead762dcp-8, 0x1.db71e0c15a22ap-8, 0x1.2d9e31bb098dap-7, 0x1.68af4c87c7745p-7, 0x1.9f161c9c7f93dp-7, 0x1.d0febf170b774p-7, 0x1.fe96d7544e2e1p-7, 0x1.1406b0482fb1ep-6, 0x1.26c92547f851cp-6, 0x1.37aae9633393ap-6, 0x1.46c43f275827p-6, 0x1.542d558b5336ap-6, 0x1.5ffe364f491a4p-6, 0x1.6a4e9aa751b5p-6, 0x1.7335dfed5c5bfp-6, 0x1.7acae6d7ba0bep-6, 0x1.81240b64033f4p-6, 0x1.86571e02a0163p-6, 0x1.8a7932b2caa5p-6, 0x1.8d9ec2558a395p-6, 0x1.8fdb857333d88p-6, 0x1.91427d2f48a74p-6, 0x1.91e5db1b7b99dp-6, 0x1.91d7180ecaa38p-6, 0x1.9126dc08ddef8p-6, 0x1.8fe5023d7515ep-6, 0x1.8e209df1aea15p-6, 0x1.8be80089e0da2p-6, 0x1.8948ad4dff149p-6, 0x1.864f60a4ffcf9p-6, 0x1.830822167952fp-6, 0x1.7f7e2c0d7f198p-6, 0x1.7bbc1304c0accp-6, 0x1.77cba9dad511bp-6, 0x1.73b61c5eaf516p-6, 0x1.6f83ef04211adp-6, 0x1.6b3d023cd764cp-6, 0x1.66e896faa8b65p-6, 0x1.628d64c50d2fcp-6, 0x1.5e318619a4a1bp-6, 0x1.59da8d4cef01p-6, 0x1.558d92e8681ffp-6, 0x1.514f342de056dp-6, 0x1.4d2384407d52dp-6, 0x1.490e36fb9977p-6, 0x1.45129852f0b38p-6, 0x1.41338477f7738p-6, 0x1.3d737f929b9dcp-6, 0x1.39d4b18f8272fp-6, 0x1.3658eff8e5c0cp-6, 0x1.3301cbe011a99p-6, 0x1.2fd074e166f2ep-6, 0x1.2cc5e9f59990dp-6, 0x1.29e2ead6934a5p-6, 0x1.2727efe6665b6p-6, 0x1.249546ec6343fp-6, 0x1.222afe01d6545p-6, 0x1.1fe902256fd06p-6, 0x1.1dcf04977593ep-6, 0x1.1bdca9aced28p-6, 0x1.1a1150f315d8ap-6, 0x1.186c48cbc5dfdp-6, 0x1.16eccfcb9fb1bp-6, 0x1.1591eebbe190cp-6, 0x1.145aa86af3a82p-6, 0x1.1345e149893cap-6, 0x1.12526e16f31e8p-6, 0x1.117f117905454p-6, 0x1.10ca810d12b14p-6, 0x1.10335d59082e8p-6, 0x1.0fb84f2700c19p-6, 0x1.0f57dc1e6bd5p-6, 0x1.0f109066f9174p-6, 0x1.0ee0fa35a9ebbp-6, 0x1.0ec795d7e77e7p-6, 0x1.0ec2db0efea5ap-6, 0x1.0ed14c16bdc11p-6, 0x1.0ef16205670adp-6, 0x1.0f2194394973bp-6, 0x1.0f6061e6e6341p-6, 0x1.0fac46bca7137p-6, 0x1.1003c6aebc358p-6, 0x1.10656678bb3a7p-6, 0x1.10cfaffed46dep-6, 0x1.114130d152234p-6, 0x1.11b87be237f91p-6, 0x1.12343378be8e3p-6, 0x1.12b2f4cf6f30ap-6, 0x1.13336be752d72p-6, 0x1.13b4477af1c09p-6, 0x1.1434473238a54p-6, 0x1.14b227569a57ap-6, 0x1.152cb50139639p-6, 0x1.15a2c79ee7b14p-6, 0x1.16133ab1cb0c7p-6, 0x1.167cf52907fc9p-6, 0x1.16dee96b374c6p-6, 0x1.173810d5f0a2ap-6, 0x1.1787709d04f1bp-6, 0x1.17cc1b316d44ep-6, 0x1.180526d1d8abep-6, 0x1.1831aeaaa5577p-6, 0x1.1850eabbc6416p-6, 0x1.18620ee4dc742p-6, 0x1.18645b5097cd9p-6, 0x1.18571c656c621p-6, 0x1.1839a7b87c121p-6, 0x1.180b5aa6babc9p-6, 0x1.17cb9ff01cb7cp-6, 0x1.1779e9c755ec6p-6, 0x1.1715b510d210ap-6, 0x1.169e8647ec78ap-6, 0x1.1613f1da2ef36p-6, 0x1.157589e440434p-6, 0x1.14c2f481191cp-6, 0x1.13fbdafb58122p-6, 0x1.131fefb37abecp-6, 0x1.122ef18957cd7p-6, 0x1.1128a2cbee7d9p-6, 0x1.100cd2bed852cp-6, 0x1.0edb4f1dfedfcp-6, 0x1.0d94019f41913p-6, 0x1.0c36c236dab81p-6, 0x1.0ac385f1e564cp-6, 0x1.093a38e702736p-6, 0x1.079add78050f7p-6, 0x1.05e56f1173015p-6, 0x1.0419f1facbe0bp-6, 0x1.023880a38cc0bp-6, 0x1.0041262160367p-6, 0x1.fc6802169343bp-7, 0x1.f8226402b6c1bp-7, 0x1.f3b1bf1637029p-7, 0x1.ef1667643a2c8p-7, 0x1.ea50c3de994cep-7, 0x1.e5613f567405ap-7, 0x1.e048519419003p-7, 0x1.db06782482d46p-7, 0x1.d59c3d6cb0b94p-7, 0x1.d00a2bd860bf3p-7, 0x1.ca50ec51e8c75p-7, 0x1.c47112b80620bp-7, 0x1.be6b441ed7729p-7, 0x1.b8403a1e7135bp-7, 0x1.b1f0ab595097p-7, 0x1.ab7d50126a72bp-7, 0x1.a4e6ea82f82fap-7, 0x1.9e2e412778872p-7, 0x1.97542949cf68bp-7, 0x1.90596c634d8bep-7, 0x1.893ee6da935d1p-7, 0x1.82057278b680ep-7, 0x1.7aadeeebacf12p-7, 0x1.73393f62fd1f6p-7, 0x1.6ba84a1a739d1p-7, 0x1.63fbf69a97888p-7, 0x1.5c35331b95f29p-7, 0x1.5454ee01d09fep-7, 0x1.4c5c1677aac0ap-7, 0x1.444ba543f9f3p-7, 0x1.3c2489766f30fp-7, 0x1.33e7b6e6d57cbp-7, 0x1.2b962e9ff470bp-7, 0x1.2330e3610b73bp-7, 0x1.1ab8cfe90f029p-7, 0x1.122eea046030dp-7, 0x1.099432251967ap-7, 0x1.00e9a0c3a4a14p-7, 0x1.f06059fadc907p-8, 0x1.ded1a0a483ae9p-8, 0x1.cd2913875653bp-8, 0x1.bb689c80c3f14p-8, 0x1.a9922b9d32eeap-8, 0x1.97a7b3289847bp-8, 0x1.85ab121d895a6p-8, 0x1.739e472ab3719p-8, 0x1.61832708cd283p-8, 0x1.4f5b98d80402bp-8, 0x1.3d297d6b9d272p-8, 0x1.2aeeacba1a1a3p-8, 0x1.18ad0a9180d4p-8, 0x1.06665bfe00314p-8, 0x1.e838d89c81057p-9, 0x1.c3a228741f74dp-9, 0x1.9f0c1ecbbcb7dp-9, 0x1.7a7a3d5629435p-9, 0x1.55eff7737f985p-9, 0x1.3170b53f4bfecp-9, 0x1.0cffda541d631p-9, 0x1.d1415d27dd817p-10, 0x1.88ad087ebe62p-10, 0x1.4048f74216ab7p-10, 0x1.f0374cac8c1a7p-11, 0x1.6056a8cefff02p-11, 0x1.a1f82e9355152p-12, 0x1.08cf02c483a16p-13, -0x1.2fda40f4f0d1ep-13, -0x1.b2ee8504ef63p-12, -0x1.6642d9d7d187p-11, -0x1.f24e3b8de35f8p-11, -0x1.3ec74014785c8p-10, -0x1.83fc879f09b9ap-10, -0x1.c8c19b216d00ep-10, -0x1.0688ba524cea9p-9, -0x1.287380f57ebb4p-9, -0x1.4a1eae3dde864p-9, -0x1.6b87f23357358p-9, -0x1.8cacedbbaa2c7p-9, -0x1.ad8b5ed0289f5p-9, -0x1.ce21177ab0466p-9, -0x1.ee6bf3e8fb50fp-9, -0x1.0734f1f047967p-8, -0x1.170c6f5d68a2ep-8, -0x1.26bb7c2514cbfp-8, -0x1.364123ec214ep-8, -0x1.459c7b1c7bb6ap-8, -0x1.54cc9fd1a8e8dp-8, -0x1.63d0b804fbddbp-8, -0x1.72a7f08d16e0dp-8, -0x1.81517f79a1077p-8, -0x1.8fcca0ed4a55dp-8, -0x1.9e189a0cb4ccep-8, -0x1.ac34b55acec98p-8, -0x1.ba20465b120bep-8, -0x1.c7daa8480d26p-8, -0x1.d5633ea72c408p-8, -0x1.e2b97427f23c7p-8, -0x1.efdcba280a3f6p-8, -0x1.fccc8909d6415p-8, -0x1.04c4309448087p-7, -0x1.0b07e59e46174p-7, -0x1.11312b50c3222p-7, -0x1.173fcc04c059cp-7, -0x1.1d33963d02e13p-7, -0x1.230c5d074559p-7, -0x1.28c9f4a2105p-7, -0x1.2e6c35d879419p-7, -0x1.33f2fe13ec922p-7, -0x1.395e2cc4831ebp-7, -0x1.3eada32c0198fp-7, -0x1.43e148f6abb2fp-7, -0x1.48f907a708abep-7, -0x1.4df4c94cb1b45p-7, -0x1.52d48028001fdp-7, -0x1.57981bcb50bcdp-7, -0x1.5c3f956813ed7p-7, -0x1.60cae51717cfdp-7, -0x1.653a0488ee514p-7, -0x1.698cf2290551cp-7, -0x1.6dc3b052a8bafp-7, -0x1.71de426fcaef6p-7, -0x1.75dcaeed4a7fcp-7, -0x1.79beffdcd2522p-7, -0x1.7d8541290763bp-7, -0x1.812f8107e4ff6p-7, -0x1.84bdd027b0d83p-7, -0x1.883041981822ep-7, -0x1.8b86eb2ff4e87p-7, -0x1.8ec1e7a6b3bcp-7, -0x1.91e14f3c5effep-7, -0x1.94e53e06f7931p-7, -0x1.97cdd5ca0ad77p-7, -0x1.9a9b3564c999ep-7, -0x1.9d4d80d7ff078p-7, -0x1.9fe4dd40828c8p-7, -0x1.a2616fc9c6fap-7, -0x1.a4c3633eaab02p-7, -0x1.a70ae2429483cp-7, -0x1.a93818d1d494ap-7, -0x1.ab4b3751dfbcbp-7, -0x1.ad446e1d50ad8p-7, -0x1.af23eed89f676p-7, -0x1.b0e9ec77c969bp-7, -0x1.b2969b76e22dep-7, -0x1.b42a325bb6762p-7, -0x1.b5a4e9f26fa57p-7, -0x1.b706fc7a5f38ap-7, -0x1.b850a471f8f79p-7, -0x1.b9821d6e01049p-7, -0x1.ba9ba37b8be84p-7, -0x1.bb9d74eb54f63p-7, -0x1.bc87d1b25a47ep-7, -0x1.bd5afb95cf4aap-7, -0x1.be173430561e1p-7, -0x1.bebcbe8903fc3p-7, -0x1.bf4bde5ad9478p-7, -0x1.bfc4d8fc843ecp-7, -0x1.c027f3755eb56p-7, -0x1.c075744fb32b2p-7, -0x1.c0ada3e6f21d1p-7, -0x1.c0d0c93ad229fp-7, -0x1.c0df2c8c5ac73p-7, -0x1.c0d916e425f08p-7, -0x1.c0bed22a0ae6ep-7, -0x1.c090a810a27e7p-7, -0x1.c04ee4ae432f5p-7, -0x1.bff9d26c2b04cp-7, -0x1.bf91bdcebd4b6p-7, -0x1.bf16f3a6cd73cp-7, -0x1.be89c0fd124dfp-7, -0x1.bdea732c75bbap-7, -0x1.bd39598a742dbp-7, -0x1.bc76be38f6ffp-7, -0x1.bba2f0fb2929bp-7, -0x1.babe3ce3f7594p-7, -0x1.b9c8f0cdc6defp-7, -0x1.b8c35c5982c2bp-7, -0x1.b7adcbbcd4b55p-7, -0x1.b6888d7261c88p-7, -0x1.b553f05513986p-7, -0x1.b410436aa5cc2p-7, -0x1.b2bdd5bf50bedp-7, -0x1.b15cf627b29adp-7, -0x1.afedf321940e4p-7, -0x1.ae711acec5cd9p-7, -0x1.ace6bae5d97b9p-7, -0x1.ab4f208aef143p-7, -0x1.a9aa98454180dp-7, -0x1.a7f96f250030ep-7, -0x1.a63bf0633efe7p-7, -0x1.a472684a54bd8p-7, -0x1.a29d243554201p-7, -0x1.a0bc6ff414d99p-7, -0x1.9ed097fafc28fp-7, -0x1.9cd9e79ed1ab4p-7, -0x1.9ad8aaae38dcdp-7, -0x1.98cd2c3be4b57p-7, -0x1.96b7b68d152b2p-7, -0x1.949891b3346d6p-7, -0x1.927006b674527p-7, -0x1.903e5fee403p-7, -0x1.8e03e3a15e8d6p-7, -0x1.8bc0d920144cfp-7, -0x1.8975874a6efacp-7, -0x1.87223438698afp-7, -0x1.84c72541ca4dbp-7, -0x1.82649ef830277p-7, -0x1.7ffae4e5ddb17p-7, -0x1.7d8a395a6761ap-7, -0x1.7b12de92ccc08p-7, -0x1.7895185cae602p-7, -0x1.76112bcc3db4ap-7, -0x1.73875ab98977p-7, -0x1.70f7e580e62ddp-7, -0x1.6e630c6ae7accp-7, -0x1.6bc90f4181b6cp-7, -0x1.692a2ffa5f23fp-7, -0x1.6686ab35b7782p-7, -0x1.63debaa26da29p-7, -0x1.61329807f1e8ap-7, -0x1.5e827d5112341p-7, -0x1.5bcea3e552e9dp-7, -0x1.5917449cfcafdp-7, -0x1.565c984be432fp-7, -0x1.539ed77016dadp-7, -0x1.50de3b0c6bca9p-7, -0x1.4e1afcb6a36cep-7, -0x1.4b55548d9d47cp-7, -0x1.488d7873866a7p-7, -0x1.45c39b7bace0ap-7, -0x1.42f7eefe0fa8ep-7, -0x1.402aa4967c99bp-7, -0x1.3d5bf1b3ce658p-7, -0x1.3a8bf0484be49p-7, -0x1.37baf0a7d569p-7, -0x1.34e9030917353p-7, -0x1.321668ce8962dp-7, -0x1.2f43522e30b2ep-7, -0x1.2c6fedc9153cdp-7, -0x1.299c6c6e367eep-7, -0x1.26c8fbc4ba2b2p-7, -0x1.23f5c91e4bce2p-7, -0x1.2122fdab28baap-7, -0x1.1e50ba91412a9p-7, -0x1.1b7f20345e5ap-7, -0x1.18ae4c7b474d5p-7, -0x1.15de5c642c19cp-7, -0x1.130f6df8eff6ep-7, -0x1.1041a1d432f94p-7, -0x1.0d751d8ce9715p-7, -0x1.0aaa0b00679cap-7, -0x1.07e093df5f3eap-7, -0x1.0518e8ca6bd7ap-7, -0x1.02533d3cdc735p-7, -0x1.ff1f7b2c4cfdbp-8, -0x1.f99d26b424aa2p-8, -0x1.f41fc22e24f7ep-8, -0x1.eea7806d036f1p-8, -0x1.e93480b1c6813p-8, -0x1.e3c6dc1816184p-8, -0x1.de5ea14221bbp-8, -0x1.d8fbe00d13132p-8, -0x1.d39eae70d4adbp-8, -0x1.ce472b22347b3p-8, -0x1.c8f57d4cb10a7p-8, -0x1.c3a9d52c7663p-8, -0x1.be646d1c165d1p-8, -0x1.b9258a3dc5d2cp-8, -0x1.b3ed821508a1fp-8, -0x1.aebc914fc85bbp-8, -0x1.a99335410d4cap-8, -0x1.a471b975afc29p-8, -0x1.9f583bbce45b5p-8, -0x1.9a46fa30fe309p-8, -0x1.953dfdb994dabp-8, -0x1.903d42e6f982ap-8, -0x1.8b44be7e5b3d4p-8, -0x1.865467a4a709dp-8, -0x1.816c4165e3b36p-8, -0x1.7c8c5c6871ef8p-8, -0x1.77b4ca7615d32p-8, -0x1.72e59731bdff2p-8, -0x1.6e1ed12b89ap-8, -0x1.69608c456ae8bp-8, -0x1.64aadc0ea6412p-8, -0x1.5ffddbf5fbf76p-8, -0x1.5b59bab0584cbp-8, -0x1.56beb27c67841p-8, -0x1.522cfda853dcp-8, -0x1.4da4cc7d1f946p-8, -0x1.4926401cca18ap-8, -0x1.44b16a73b64b4p-8, -0x1.404651ea92e19p-8, -0x1.3be4f98c19aa7p-8, -0x1.378d673c33d86p-8, -0x1.333fa4fd76334p-8, -0x1.2efbbdaf6ab8ep-8, -0x1.2ac1b7930dbf4p-8, -0x1.26918fb8c9f56p-8, -0x1.226b38afd651dp-8, -0x1.1e4e9d5265058p-8, -0x1.1a3ba5d4d2df9p-8, -0x1.16323ddde114p-8, -0x1.1232598b9223p-8, -0x1.0e3bf07573601p-8, -0x1.0a4f027ed51c9p-8, -0x1.066b93676a3fp-8, -0x1.0291cae07aee4p-8, -0x1.fd836de19b38bp-9, -0x1.f5f6dd2864684p-9, -0x1.ee7e0c4398f66p-9, -0x1.e7194444b8009p-9, -0x1.dfc8aed337be9p-9, -0x1.d88c699d32704p-9, -0x1.d164856a33348p-9, -0x1.ca5100f517a44p-9, -0x1.c351cce8b5b9ap-9, -0x1.bc66c2078f6fp-9, -0x1.b58fad2e239c1p-9, -0x1.aecc4f5a3dc4fp-9, -0x1.a81c7af7f59b7p-9, -0x1.a17fe69f78483p-9, -0x1.9af628ed5d862p-9, -0x1.947f0febbf938p-9, -0x1.8e1a124f03b53p-9, -0x1.87c739a19c2ep-9, -0x1.81868e2994505p-9, -0x1.7b584e3cb31fep-9, -0x1.753cb6711878p-9, -0x1.6f33e2700cf8ap-9, -0x1.693dc63ff50ccp-9, -0x1.635a41dd88f38p-9, -0x1.5d893ce1a3ea5p-9, -0x1.57cab520d65abp-9, -0x1.521eb8d0e26bbp-9, -0x1.4c85553cea529p-9, -0x1.46fe88e4936a2p-9, -0x1.418a3ffde35f2p-9, -0x1.3c28559c8b5bcp-9, -0x1.36d88f98f9771p-9, -0x1.319a94ee3389p-9, -0x1.2c6dec1656e3fp-9, -0x1.275213fb80c7bp-9, -0x1.2246b931bef45p-9, -0x1.1d4bd396c327ap-9, -0x1.186188fd60023p-9, -0x1.13881d2890483p-9, -0x1.0ebfd061c2ca5p-9, -0x1.0a08986f98daep-9, -0x1.056233b1ec794p-9, -0x1.00cc444905e4dp-9, -0x1.f88cbadab80d1p-10, -0x1.efa03d87838fp-10, -0x1.e6d28e5ce84ap-10, -0x1.de23916375d02p-10, -0x1.d59383c1fe17fp-10, -0x1.cd22d2a8e1fc2p-10, -0x1.c4d1cd520d59ap-10, -0x1.bca04ed1fae3dp-10, -0x1.b48df4d3ad748p-10, -0x1.ac99d8adf710cp-10, -0x1.a4c2ea7bc4382p-10, -0x1.9d083759968d4p-10, -0x1.95693af0ed023p-10, -0x1.8de607df6915bp-10, -0x1.867f189668643p-10, -0x1.7f34e3b7f358bp-10, -0x1.7807a35ff4c9ap-10, -0x1.70f72265cccf4p-10, -0x1.6a028134c4aa3p-10, -0x1.632acc8701ed2p-10, -0x1.5c6e1744abc62p-10, -0x1.55cc992e7abf4p-10, -0x1.4f45549e92053p-10, -0x1.48d76d1798c59p-10, -0x1.42823621aa9b5p-10, -0x1.3c4569a4fa73ap-10, -0x1.3621298f1a418p-10, -0x1.3015bd93c9a22p-10, -0x1.2a2353de31b66p-10, -0x1.2449d28ad4c8bp-10, -0x1.1e884d2b34d63p-10, -0x1.18ddfc5a91379p-10, -0x1.1349f3d21f69bp-10, -0x1.0dcc498e264ep-10, -0x1.08650be2f63c3p-10, -0x1.031487d84644bp-10, -0x1.fbb56e93f6ce6p-11, -0x1.f16e60a1e3411p-11, -0x1.e752be47e5094p-11, -0x1.dd61e98878166p-11, -0x1.d39c038d4237fp-11, -0x1.ca015b5e204cap-11, -0x1.c091eed20a458p-11, -0x1.b74cc15d75fa1p-11, -0x1.ae311d0c3988dp-11, -0x1.a53d2d7f4e325p-11, -0x1.9c7028a37764fp-11, -0x1.93ca604f7af2bp-11, -0x1.8b4aefc4096fdp-11, -0x1.82f163a0ada14p-11, -0x1.7abd1837a35dep-11, -0x1.72ad515fff554p-11, -0x1.6ac135e9aa826p-11, -0x1.62f7e336efe37p-11, -0x1.5b50e48e6b093p-11, -0x1.53cc2240123b9p-11, -0x1.4c6982bf1b88cp-11, -0x1.452925969ec6ep-11, -0x1.3e0a7945d5df8p-11, -0x1.370c2e5dd6c28p-11, -0x1.302d7874f865ap-11, -0x1.296df9fef8c8bp-11, -0x1.22cdf881ec8d6p-11, -0x1.1c4d3e364f0f2p-11, -0x1.15eb472eb6a0fp-11, -0x1.0fa7a4dfb7724p-11, -0x1.09820cc58e1f4p-11, -0x1.037a259a312cbp-11, -0x1.fb1ef660ce8c7p-12, -0x1.ef831e3a8b4eep-12, -0x1.e41fdf456d939p-12, -0x1.d8f489d16f143p-12, -0x1.ce009d56c700ep-12, -0x1.c34395cb2e648p-12, -0x1.b8bc452d07cfdp-12, -0x1.ae69410f504fep-12, -0x1.a44917b6c56a1p-12, -0x1.9a5b1bf24bedp-12, -0x1.909e62afe504cp-12, -0x1.871268e16b533p-12, -0x1.7db59f419d6acp-12, -0x1.748783df8554ap-12, -0x1.6b870e4cc1522p-12, -0x1.62b2157294219p-12, -0x1.5a0884d1caf49p-12, -0x1.518b638eabbe1p-12, -0x1.493a8410cc23cp-12, -0x1.41144e8bdf62ap-12, -0x1.391779c2320cbp-12, -0x1.31438363d6d65p-12, -0x1.2997f4179ac04p-12, -0x1.22143b928ce02p-12, -0x1.1ab7f6f7a833bp-12, -0x1.1382e4462b194p-12, -0x1.0c74541081d63p-12, -0x1.058b9c8b3fd2ep-12, -0x1.fd8fdc9e7f944p-13, -0x1.f0533c456edebp-13, -0x1.e35aff305d028p-13, -0x1.d6a98410af44fp-13, -0x1.ca3e159e63c49p-13, -0x1.be19cbc73dc93p-13, -0x1.b23d96dfd5fcbp-13, -0x1.a6a46b10a94bp-13, -0x1.9b4c85d2f9122p-13, -0x1.9033f91df6787p-13, -0x1.85525e3d70a83p-13, -0x1.7aabbac1ca9bep-13, -0x1.703e04df04bcfp-13, -0x1.660d4ee00710cp-13, -0x1.5c140aa802be4p-13, -0x1.52542ed429ef5p-13, -0x1.48ca071423105p-13, -0x1.3f74fe6408e4cp-13, -0x1.36550d5a2f3b6p-13, -0x1.2d6921e72f80fp-13, -0x1.24b170402a9dfp-13, -0x1.1c2b705c5994dp-13, -0x1.13d6e1968d488p-13, -0x1.0bb3cb5d22934p-13, -0x1.03c12bbd02c78p-13, -0x1.f7fb85750f073p-14, -0x1.e8d0d672381eep-14, -0x1.da000ef14a94dp-14, -0x1.cb86ef792847dp-14, -0x1.bd643058752fep-14, -0x1.af97139401015p-14, -0x1.a21e4efa167a6p-14, -0x1.94f95b7aed515p-14, -0x1.882aabbec55a2p-14, -0x1.7bb23dda8b1eap-14, -0x1.6f8825ea402f6p-14, -0x1.63a84d3e44128p-14, -0x1.5810e22591db1p-14, -0x1.4cbdd27368af3p-14, -0x1.41b1132f939c2p-14, -0x1.36ecd3c5d8e35p-14, -0x1.2c6dbe7d3152bp-14, -0x1.222c589e49ed1p-14, -0x1.182cc2b34c85cp-14, -0x1.0e708078fdaaap-14, -0x1.04eff50f0fac9p-14, -0x1.f756978af04cbp-15, -0x1.e5483ba217cfbp-15, -0x1.d3ad77f11e67ap-15, -0x1.c2873b6dda2c2p-15, -0x1.b1d9913d774dep-15, -0x1.a19dd87a72575p-15, -0x1.91cf63bf204c3p-15, -0x1.826ba4e574c94p-15, -0x1.736f19e2c104ap-15, -0x1.64d708e9fe092p-15, -0x1.56a2a5cebc682p-15, -0x1.48d1371da346ep-15, -0x1.3b61207dee5b4p-15, -0x1.2e50e31caa28dp-15, -0x1.219e7d4b03236p-15, -0x1.1547de6835c7dp-15, -0x1.0948923a2d5d3p-15, -0x1.fb3c88f7f92cep-16, -0x1.e49b6a2e98dc6p-16, -0x1.ce9f32f5b0713p-16, -0x1.b93fae72ecb6ep-16, -0x1.a49b2016c78efp-16, -0x1.90a19e1926888p-16, -0x1.7cfb4c171c70cp-16, -0x1.69fef1808b764p-16, -0x1.578b1ac0142a7p-16, -0x1.45a912c49349bp-16, -0x1.34447fdd6197dp-16, -0x1.23734de429d21p-16, -0x1.1328ef2c35ebbp-16, -0x1.035c2aa31294dp-16, -0x1.e80ab4b3ea3e2p-17, -0x1.ca48bea70c5b8p-17, -0x1.ad99a74e9b088p-17, -0x1.91bfa3add0944p-17, -0x1.76c55f9a8545ap-17, -0x1.5cbbd1b36454bp-17, -0x1.438b3d2f9e91bp-17, -0x1.2b28ed1b8cfa5p-17, -0x1.13956898e9969p-17, -0x1.f99c94ff8dcdp-18, -0x1.cd951bd345886p-18, -0x1.a3090f40d957dp-18, -0x1.7a0327be1459ap-18, -0x1.527bb4af2828fp-18, -0x1.2c51c478179c4p-18, -0x1.076baa2348b53p-18, -0x1.c7d69cbb8fdb2p-19, -0x1.834c7981166bdp-19, -0x1.418292164b679p-19, -0x1.02228cba352dap-19, -0x1.8aa21baa1aa75p-20, -0x1.15e66f969d30dp-20, -0x1.4b2b305a96128p-21, -0x1.cb15cea77d093p-23, 0x1.766cd56695aa3p-23, 0x1.251a190520c63p-21, 0x1.e42e9b2f4a9abp-21, 0x1.4db1c7d908e94p-20, 0x1.a56ab76ff8b6bp-20, 0x1.f991f1dd11154p-20, 0x1.250660ece174ap-19, 0x1.4b5ef59def3ffp-19, 0x1.7006f73cebc8ep-19, 0x1.9319bdbe734acp-19, 0x1.b461ae8b911eep-19, 0x1.d3f3f9fcaca84p-19, 0x1.f2311b908254dp-19, 0x1.07712b74c2dfbp-18, 0x1.14bc480e69d58p-18, 0x1.21d483ad93de6p-18, 0x1.2df8c30043e88p-18, 0x1.3967e4a50f9cp-18, 0x1.444a1a4182744p-18, 0x1.4e6ca107ef4c6p-18, 0x1.5808bd3888c02p-18, 0x1.6108981950cd9p-18, 0x1.6955b65a8c2f4p-18, 0x1.7141febea0a73p-18, 0x1.78cf2b4b9cbbp-18, 0x1.7f7034ac9232dp-18, 0x1.85c338453a38fp-18, 0x1.8b289a9bdf5e4p-18, 0x1.907ef35883259p-18, 0x1.9559b8da77645p-18, 0x1.99bca95d66d9bp-18, 0x1.9da4e1a1499dep-18, 0x1.a1238d021ccfep-18, 0x1.a441bdb7351eep-18, 0x1.a6f45851dc114p-18, 0x1.a946eba6d5224p-18, 0x1.ab3b6ce6fbf68p-18, 0x1.accdf21c11b92p-18, 0x1.ae0ac31c3e732p-18, 0x1.aef3852f6b99dp-18, 0x1.af8ad2412bdb8p-18, 0x1.afd3066e396d5p-18, 0x1.afce8d3f359cfp-18, 0x1.af806a596742fp-18, 0x1.aeebe4a748a5bp-18, 0x1.ae13bc5459b12p-18, 0x1.acfa21c2da2bdp-18, 0x1.aba1a6e5060d9p-18, 0x1.aa0ebcf34f328p-18, 0x1.a84e79ed8a721p-18, 0x1.a637d6b545862p-18, 0x1.a400c6351826ap-18, 0x1.a199297063773p-18, 0x1.9f004a90b5be3p-18, 0x1.9c0299f186c69p-18, 0x1.99195b8d84d4bp-18, 0x1.95f4f74105962p-18, 0x1.929dafb23e382p-18, 0x1.8f24abaf371a5p-18, 0x1.8b9281febf7dp-18, 0x1.87dada9463f3bp-18, 0x1.83f590e2d5748p-18, 0x1.7fe7b1865265ep-18, 0x1.7bcf2c29ec86cp-18, 0x1.77939a06f1c1ap-18, 0x1.733a1618eb05ap-18, 0x1.6ec22eb60375ap-18, 0x1.6a25f34a8248cp-18, 0x1.657cfddc7a7ddp-18, 0x1.60c9ddbbed52cp-18, 0x1.5bf30e1a60c95p-18, 0x1.56ec6f0d4f0a9p-18, 0x1.5233a50574081p-18, 0x1.4d43bce77c528p-18, 0x1.482cb69e07f8ap-18, 0x1.431367a3078d1p-18, 0x1.3dc72b6566bd4p-18, 0x1.388834c026e35p-18, 0x1.3361b11f00996p-18, 0x1.2d81046fa2221p-18, 0x1.28a0f56f65117p-18, 0x1.234bd60175a06p-18, 0x1.1df4234c0a78dp-18, 0x1.1861e85633048p-18, 0x1.130ffcf14327p-18, 0x1.0d9b469f300f8p-18, 0x1.081d38ab9ea3ep-18, 0x1.029c75667983p-18, 0x1.fa52ab8cb4a27p-19, 0x1.ef537d3c124a5p-19, 0x1.e454291de9cb4p-19, 0x1.d954d0fcdf0dcp-19, 0x1.ce4c75c0d9854p-19, 0x1.c33ddc4b81fe7p-19, 0x1.b868f057792c3p-19, 0x1.ad5418042ce0ap-19, 0x1.a296edbe1f096p-19, 0x1.97b15613b8224p-19, 0x1.8cbaa4014ed2bp-19, 0x1.821c54bbe406dp-19, 0x1.774f1ead7ec62p-19, 0x1.6c8907ac6727cp-19, 0x1.61e51af634c96p-19, 0x1.5747ebdbef671p-19, 0x1.4cb24bba8bd4cp-19, 0x1.423ae8d1b62f6p-19, 0x1.37c6d6f3b092cp-19, 0x1.2d551e89d4923p-19, 0x1.230827a3622bdp-19, 0x1.18c78c3a59577p-19, 0x1.0e97d33837d3cp-19, 0x1.047c4d9d238b5p-19, 0x1.f4e73c3ea6795p-20, 0x1.e119993527f5fp-20, 0x1.cd48533f8a657p-20, 0x1.b9c7b356dd67ep-20, 0x1.a61baf9e82ec7p-20, 0x1.92b909650b48ep-20, 0x1.80046904cddb7p-20, 0x1.6db6a303cede8p-20, 0x1.5b6ad45ac4cc9p-20, 0x1.47aeef25d5d23p-20, 0x1.34f0b6b725805p-20, 0x1.23a83ab87d575p-20, 0x1.11749370b5f9cp-20, 0x1.00384b4420a4cp-20, 0x1.ddc6c6e8929d4p-21, 0x1.b8c022f3e2784p-21, 0x1.98cf7a6c698c7p-21, 0x1.75dd136cdcbd6p-21, 0x1.544e8ee105ca5p-21, 0x1.335fbf95ccd0cp-21, 0x1.131c3f1d727b8p-21, 0x1.e6390fca12e86p-22, 0x1.a6bbbab8fcc7dp-22, 0x1.6801a18eac9b3p-22, 0x1.2a3580823e10dp-22, 0x1.dbf7b34c2d723p-23, 0x1.5f75f9f2fbdd9p-23, 0x1.cfc9f88f08f71p-24, 0x1.d51e5e16e2fbep-25, 0x1.3721906f9a328p-32, -0x1.c3e50f12a235dp-25, -0x1.bc0849070424dp-24, -0x1.4c071d26230dbp-23, -0x1.b9a508690334dp-23, -0x1.12a633033d24p-22, -0x1.47763006a949bp-22, -0x1.7b36b8ac22e34p-22, -0x1.ae680f9ff7b5p-22, -0x1.e075b0d4bf239p-22, -0x1.08f64a1a2c696p-21, -0x1.21ddf869ebf9fp-21, -0x1.38881867716c1p-21, -0x1.4ff2dbac45db7p-21, -0x1.66eab57e4598p-21, -0x1.7d7a14946744cp-21, -0x1.937b8056ebc88p-21, -0x1.a95e6f212c1acp-21, -0x1.bf4e9a6a8985p-21, -0x1.d3f1f4b8f6c59p-21, -0x1.e7755ff07a7a2p-21, -0x1.fad51ba761637p-21, -0x1.07e05f7dfa2dap-20, -0x1.11ff6067372d8p-20, -0x1.1b5a4dcccda6ap-20, -0x1.246eed0d275f9p-20, -0x1.2d8099899fb8bp-20, -0x1.363a6bd39adfbp-20, -0x1.4037632462a33p-20, -0x1.47e6046c95ceap-20, -0x1.4f96370f9d23ep-20, -0x1.56d6c8f21fceap-20, -0x1.5fd4ad970aabfp-20, -0x1.67498f2f5f204p-20, -0x1.6fa144a1e32dep-20, -0x1.76dd5da9fdf8p-20, -0x1.7dddf6d99a498p-20, -0x1.85c5ff874a5bep-20, -0x1.8b877673be6a7p-20, -0x1.92586248048f2p-20, -0x1.99253a67dac13p-20, -0x1.9f6be5f06ca89p-20, -0x1.a59e61b92fed9p-20, -0x1.aba9703b67548p-20, -0x1.b1797877df6cp-20, -0x1.b70c2ac7542dp-20, -0x1.bcc667fa357ecp-20, -0x1.c2229a5588229p-20, -0x1.c70a9ec3d7368p-20, -0x1.cc73c6b40bde4p-20, -0x1.d1243b90a13d4p-20, -0x1.d5e6149924796p-20, -0x1.dabbc613a8fabp-20, -0x1.df18076871c89p-20, -0x1.e3769bd0d2b16p-20, -0x1.e79b134197f28p-20, -0x1.eba9ecfa39307p-20, -0x1.efa496511fa84p-20, -0x1.f32485ff05ff1p-20, -0x1.f66201659ee3ep-20, -0x1.f9c170839b885p-20, -0x1.fddd7e8e253f2p-20, -0x1.00734c3870972p-19, -0x1.01fcfb5f5aedcp-19, -0x1.03785ac57be93p-19, -0x1.04cd0d5ef98c8p-19, -0x1.0602be89ce2c8p-19, -0x1.074707679c8a1p-19, -0x1.0882984299a25p-19, -0x1.09d8667bad941p-19, -0x1.0af03bdc9ad57p-19, -0x1.0bf6796c82d8bp-19, -0x1.0ce05b7c8c8c3p-19, -0x1.0d8fa5c3ac1b5p-19, -0x1.0ea999870c333p-19, -0x1.0f5cdcb7a5719p-19, -0x1.1046a45fc9b21p-19, -0x1.10f9f10d70f3ep-19, -0x1.11a7ce666155fp-19, -0x1.124d16f5c5f75p-19, -0x1.12a32fe0440fbp-19, -0x1.131bf9d86a80dp-19, -0x1.1390adc323a85p-19, -0x1.13f7dfe19cf1p-19, -0x1.14502e182f28dp-19, -0x1.14981d7dcb947p-19, -0x1.14dfa9830f834p-19, -0x1.150d94967f48p-19, -0x1.153635dd38adbp-19, -0x1.15558410b36f7p-19, -0x1.156db452311eep-19, -0x1.158adc6b287b9p-19, -0x1.1593cbab53623p-19, -0x1.155497e65c128p-19, -0x1.152f247a1b6f4p-19, -0x1.150c8e7ef2eeep-19, -0x1.15e513d9c66fcp-19, -0x1.14cf2d8cff8a7p-19, -0x1.1476f45974524p-19, -0x1.144e78e13cfd4p-19, -0x1.13d7256339065p-19, -0x1.137611831b2a7p-19, -0x1.131dfdd07ef03p-19, -0x1.12b8f58445a51p-19, -0x1.123f78bd4d141p-19, -0x1.11d074f39e7e1p-19, -0x1.114617623862bp-19, -0x1.109a85520f5cdp-19, -0x1.1040b865e882p-19, -0x1.0f8c5b98d133bp-19, -0x1.0ec2a8d68b00dp-19, }}, 
      {{-0x1.861648acb010bp-3, -0x1.748bf3df90412p-3, -0x1.58da67caa7c18p-3, -0x1.34ef11c4c63c9p-3, -0x1.0af41a2d5045ap-3, -0x1.ba24ea6688f0dp-4, -0x1.5a910ddf7e506p-4, -0x1.f548f33638853p-5, -0x1.3a7962bc1d4cep-5, -0x1.12667974562bep-6, 0x1.b344d5ff57afdp-9, 0x1.60e918f21f6e9p-6, 0x1.352c694fc6b65p-5, 0x1.a8bb6dd472c32p-5, 0x1.058df0ba7b4d1p-4, 0x1.2e5ff880547b6p-4, 0x1.4f39797418648p-4, 0x1.689f956fd1125p-4, 0x1.7b2bfef57d125p-4, 0x1.87842279ed2fbp-4, 0x1.8e5225764c22p-4, 0x1.903f7aaa6c72p-4, 0x1.8df0d17c517f8p-4, 0x1.88031fc58e0b2p-4, 0x1.7f09999349fa4p-4, 0x1.738c674e7753ep-4, 0x1.6607e5e8eca89p-4, 0x1.56ec722e23fe6p-4, 0x1.469e7cfda5a7p-4, 0x1.3576d9d38b3edp-4, 0x1.23c35a1ab680ep-4, 0x1.11c77719aaacdp-4, 0x1.ff7a103c8066ap-5, 0x1.dbaa12fec1d9ap-5, 0x1.b870ec8aa5daep-5, 0x1.96121a8914d6bp-5, 0x1.74c44f8e7c2e3p-5, 0x1.54b293acc9e51p-5, 0x1.35fe12a52d0fap-5, 0x1.18bf06b1ff028p-5, 0x1.fa0c212917212p-6, 0x1.c5bae8fc0eb78p-6, 0x1.949390fba329p-6, 0x1.6695d8a695696p-6, 0x1.3bb9debc1ffdep-6, 0x1.13f159667f9dfp-6, 0x1.de514fabc346p-7, 0x1.9a90175d1d6c6p-7, 0x1.5c6942c8d3b7p-7, 0x1.23a23f58a42f6p-7, 0x1.dff9eb6d1ba77p-8, 0x1.8271e8c3d105p-8, 0x1.2e28ecda2bfa1p-8, 0x1.c535200f1bf99p-9, 0x1.3e85ed6b9d749p-9, 0x1.8e7f37b536c53p-10, 0x1.798a1103735e4p-11, 0x1.7ab9931df1247p-16, -0x1.2fe4c7a75982fp-11, -0x1.1ea57495efba7p-10, -0x1.8fee10a44d45dp-10, -0x1.ed78408f72b4bp-10, -0x1.1c6e2b1e4aecfp-9, -0x1.39cf3679ef142p-9, -0x1.4f974137d64e8p-9, -0x1.5e740c8c1efb9p-9, -0x1.670962e096c44p-9, -0x1.69f144c5cc771p-9, -0x1.67bbdf4f87137p-9, -0x1.60f08958d0e89p-9, -0x1.560d459ffe213p-9, -0x1.47874131c14d2p-9, -0x1.35cbbc860e4c7p-9, -0x1.213fe7f968a6p-9, -0x1.0a4172d309868p-9, -0x1.e24d457cd0297p-10, -0x1.ac7ee0e253f83p-10, -0x1.73a9eeb3387f4p-10, -0x1.3853e451371e4p-10, -0x1.f5ef3bbf61413p-11, -0x1.78099f50fc499p-11, -0x1.ef844f86da5fp-12, -0x1.d7442d311d0a1p-13, 0x1.a4824f1fbc751p-16, 0x1.210e5c7c1b288p-12, 0x1.13d30b5d509dbp-11, 0x1.968f92d93cf75p-11, 0x1.0c2a27a038106p-10, 0x1.4c61809e77697p-10, 0x1.8bc5028fb458ap-10, 0x1.ca311977b34ffp-10, 0x1.03c3918992b41p-9, 0x1.21d67179913bep-9, 0x1.3f4634965408ap-9, 0x1.5c0a02ee648c6p-9, 0x1.781a187dfdc3dp-9, 0x1.9370fdfaf6544p-9, 0x1.ae0a4b0721ebap-9, 0x1.c7e31a5f08601p-9, 0x1.e0f95ed2684cp-9, 0x1.f94c58a5fa511p-9, 0x1.086e0fbb4a765p-8, 0x1.13d4e37db98a3p-8, 0x1.1edb83c302a5ap-8, 0x1.298323ff23891p-8, 0x1.33cd3f059944ep-8, 0x1.3dbb8a9361f0fp-8, 0x1.475006e51ded3p-8, 0x1.508ccc04b2381p-8, 0x1.59742aa59e70ep-8, 0x1.620871f1bbb2fp-8, 0x1.6a4c5718da7b1p-8, 0x1.72427319858acp-8, 0x1.79ed599804db3p-8, 0x1.814fc77d5eaa6p-8, 0x1.886c859ac499fp-8, 0x1.8f464bce1d90fp-8, 0x1.95dfdb63e4bdcp-8, 0x1.9c3bf1fbca169p-8, 0x1.a25d427d7c4a7p-8, 0x1.a8468bf0517e9p-8, 0x1.adfa5c5d75c7p-8, 0x1.b37b4f32d0b9dp-8, 0x1.b8cbf2523e8ffp-8, 0x1.bdeec019a9734p-8, 0x1.c2e62e32bf7ep-8, 0x1.c7b45ee286707p-8, 0x1.cc5bc56141346p-8, 0x1.d0de6350f089fp-8, 0x1.d53e9bcceb3d7p-8, 0x1.d97e3e2976ac5p-8, 0x1.dd9f441d4bbe9p-8, 0x1.e1a3a47dd396cp-8, 0x1.e58d12f758365p-8, 0x1.e95d486517aaap-8, 0x1.ed15e38c4c84dp-8, 0x1.f0b870aaf8ddp-8, 0x1.f44666edcb2dp-8, 0x1.f7c1279188cd2p-8, 0x1.fb29f8c473706p-8, 0x1.fe822a258711bp-8, 0x1.00e562e3b8861p-7, 0x1.0282710ff2c9p-7, 0x1.0418cec65bdbcp-7, 0x1.05a8eba9d52e5p-7, 0x1.073334fb658f7p-7, 0x1.08b81875d67bfp-7, 0x1.0a380216040e3p-7, 0x1.0bb32a896b369p-7, 0x1.0d29ff418a0aap-7, 0x1.0e9cae6a5cea9p-7, 0x1.100b900f496d4p-7, 0x1.1176db99becc9p-7, 0x1.12dec68fdd26p-7, 0x1.1443758f100b3p-7, 0x1.15a511e212aa9p-7, 0x1.1703cab03afe7p-7, 0x1.185fb3ef6138p-7, 0x1.19b8eaa7b5282p-7, 0x1.1b0f7d9062d8ep-7, 0x1.1c6381a41fafdp-7, 0x1.1db4fcf0ad3f8p-7, 0x1.1f03f78cb4441p-7, 0x1.20507579b512dp-7, 0x1.219a7467a970ap-7, 0x1.22e1f01789213p-7, 0x1.2426e1068f56fp-7, 0x1.25693b5454bd3p-7, 0x1.26a8f0a1355eep-7, 0x1.27e5fa72e377ap-7, 0x1.2920389299f18p-7, 0x1.2a57907a490b1p-7, 0x1.2b8bff4588c8bp-7, 0x1.2cbd60e83c7c7p-7, 0x1.2deb9b5067d9p-7, 0x1.2f1699fa74788p-7, 0x1.303e4419b3f1bp-7, 0x1.316260246ce7fp-7, 0x1.3282ed3030f36p-7, 0x1.339face5d1568p-7, 0x1.34b895873909bp-7, 0x1.35cd806622654p-7, 0x1.36de47d4b0fcep-7, 0x1.37eac3f8e0b7ep-7, 0x1.38f2d6830e05p-7, 0x1.39f6598ea525bp-7, 0x1.3af5283f15d8ep-7, 0x1.3bef239a84b5p-7, 0x1.3ce42697ee909p-7, 0x1.3dd40b0b6f35ap-7, 0x1.3ebea0238c23dp-7, 0x1.3fa3e275e1ad5p-7, 0x1.408392e666151p-7, 0x1.415d9a6a3f489p-7, 0x1.4231d3a7a9306p-7, 0x1.43002255ad203p-7, 0x1.43c85fe5625f4p-7, 0x1.448a6b0bd46cbp-7, 0x1.45462c2e65ef5p-7, 0x1.45fb7f176f412p-7, 0x1.46aa478497583p-7, 0x1.47526887f45ffp-7, 0x1.47f3c67334d88p-7, 0x1.488e449bd7bc6p-7, 0x1.4921c9aa8e8ccp-7, 0x1.49ae3ce218889p-7, 0x1.4a3385c186a65p-7, 0x1.4ab18c8ac643ap-7, 0x1.4b283a555ee2dp-7, 0x1.4b9777e3a04e8p-7, 0x1.4bff3dbcad401p-7, 0x1.4c5f690bace9ep-7, 0x1.4cb7ef776e737p-7, 0x1.4d08bfcaa167fp-7, 0x1.4d51caf593a05p-7, 0x1.4d93045792e72p-7, 0x1.4dcc517d3dbd9p-7, 0x1.4dfdbaa62c9c2p-7, 0x1.4e27285b77582p-7, 0x1.4e488de349379p-7, 0x1.4e61e67c27cd3p-7, 0x1.4e732bff31d28p-7, 0x1.4e7c55c00b4dbp-7, 0x1.4e7d5bb8b9105p-7, 0x1.4e763a7586a09p-7, 0x1.4e66f1064260cp-7, 0x1.4e4f7ec2ef295p-7, 0x1.4e2fe1a1dd8bap-7, 0x1.4e08173bdc0fp-7, 0x1.4dd8250642364p-7, 0x1.4da0055ec1934p-7, 0x1.4d5fb9e43dea8p-7, 0x1.4d174e5cc3544p-7, 0x1.4cc6c194eb0a6p-7, 0x1.4c6e1a1a8d0ccp-7, 0x1.4c0d5cc184a37p-7, 0x1.4ba4950be3b5ep-7, 0x1.4b33d186e1c86p-7, 0x1.4abb0e0817172p-7, 0x1.4a3a5212acec1p-7, 0x1.49b1bbebc806dp-7, 0x1.49214be61fc43p-7, 0x1.48890e52f46p-7, 0x1.47e9133617e5p-7, 0x1.4741627d8b61cp-7, 0x1.4692157e22e31p-7, 0x1.45db33f1aa78fp-7, 0x1.451cd05784f5ep-7, 0x1.4456fc78a0a7p-7, 0x1.4389c8689b426p-7, 0x1.42b54c9f6c63ep-7, 0x1.41d9943673c2dp-7, 0x1.40f6b1660e757p-7, 0x1.400cc165faefcp-7, 0x1.3f1bd248e557p-7, 0x1.3e23f931eb697p-7, 0x1.3d254caf3e93ep-7, 0x1.3c1fed06d18b3p-7, 0x1.3b13e13fd527cp-7, 0x1.3a0142bbb2856p-7, 0x1.38e8320e220fp-7, 0x1.37c8b6483df81p-7, 0x1.36a301288f0a3p-7, 0x1.3577222f23c61p-7, 0x1.34452e01ee193p-7, 0x1.330d3f22996bp-7, 0x1.31cf6de090f75p-7, 0x1.308bd26533d1p-7, 0x1.2f428f5f53419p-7, 0x1.2df3bae6f59bfp-7, 0x1.2c9f6ffaabb9cp-7, 0x1.2b45c38ab608ep-7, 0x1.29e6e2a6ddaebp-7, 0x1.2882daff1bca8p-7, 0x1.2719c9725cb3dp-7, 0x1.25abcc3e9f27ap-7, 0x1.2438f8934acbfp-7, 0x1.22c1707cd609ep-7, 0x1.2145516d21c29p-7, 0x1.1fc4b63c93d46p-7, 0x1.1e3fbc7bebf58p-7, 0x1.1cb6803cc00d9p-7, 0x1.1b291f6b6c2d6p-7, 0x1.1997b4f524f94p-7, 0x1.18025dde368a5p-7, 0x1.166936cb50797p-7, 0x1.14cc5c26437fdp-7, 0x1.132bea9081909p-7, 0x1.1187fed232828p-7, 0x1.0fe0b5454a37fp-7, 0x1.0e362abb132a2p-7, 0x1.0c887b5bd9ae7p-7, 0x1.0ad7c4501d924p-7, 0x1.092421749213p-7, 0x1.076daf28a1b91p-7, 0x1.05b4897849feep-7, 0x1.03f8cc5402593p-7, 0x1.023a9389f7987p-7, 0x1.0079fab8ce637p-7, 0x1.fd6e3ab87b868p-8, 0x1.f9e42d57ff373p-8, 0x1.f656030b56adbp-8, 0x1.f2c3f33d79604p-8, 0x1.ef2e37e702dbcp-8, 0x1.eb94f7805f43p-8, 0x1.e7f8769d36c54p-8, 0x1.e458f08f3afb6p-8, 0x1.e0b6809266881p-8, 0x1.dd11535d94de6p-8, 0x1.d969bdb4088dap-8, 0x1.d5bfebb8389cp-8, 0x1.d21410209590cp-8, 0x1.ce6638dc2a3aep-8, 0x1.cab6c81c671a7p-8, 0x1.c705bbea4c239p-8, 0x1.c35375e13c1a4p-8, 0x1.bfa019a05a206p-8, 0x1.bbebc42a2618fp-8, 0x1.b836a69cf4e9fp-8, 0x1.b480f95c73ad5p-8, 0x1.b0cae0dbdbca6p-8, 0x1.ad1486f43da73p-8, 0x1.a95e221f0f4f7p-8, 0x1.a5a7de661b35p-8, 0x1.a1f1e2ae14026p-8, 0x1.9e3c57bbbdb4ap-8, 0x1.9a876751bf1bep-8, 0x1.96d33b543b5a3p-8, 0x1.931ff7072fdb1p-8, 0x1.8f6dc9ff691e9p-8, 0x1.8bbcdcf207b6cp-8, 0x1.880d4ea25139ep-8, 0x1.845f4a0fa4765p-8, 0x1.80b2f0b199ab3p-8, 0x1.7d0864d3bb9dfp-8, 0x1.795fd4d291617p-8, 0x1.75b9501d8c3c2p-8, 0x1.7214fd595d57bp-8, 0x1.6e730c909ddeep-8, 0x1.6ad398d8d2bdap-8, 0x1.6736c832e7b32p-8, 0x1.639cba314e69cp-8, 0x1.600588fdd6e2bp-8, 0x1.5c714eee4e177p-8, 0x1.58e02ab4b4c5cp-8, 0x1.55523daf8de2fp-8, 0x1.51c7a5fe5a2afp-8, 0x1.4e407b7380b9p-8, 0x1.4abce5a51452ep-8, 0x1.473cede70b4d7p-8, 0x1.43c0ab57780e1p-8, 0x1.404836fe270ecp-8, 0x1.3cd3c0b36cb8fp-8, 0x1.39634fc81680dp-8, 0x1.35f6fd8f705bp-8, 0x1.328ee2b75cdbbp-8, 0x1.2f2b12f6f4912p-8, 0x1.2bcba6d1b6eb2p-8, 0x1.2870b390b2173p-8, 0x1.251a48c6aade4p-8, 0x1.21c87d38e96aap-8, 0x1.1e7b640ca7d9cp-8, 0x1.1b330f725d243p-8, 0x1.17ef90c2d9ba4p-8, 0x1.14b0f9ebb275p-8, 0x1.117759def2f25p-8, 0x1.0e42c2527924ep-8, 0x1.0b13424f4ce68p-8, 0x1.07e8e812d7b75p-8, 0x1.04c3bfaea0192p-8, 0x1.01a3d5a46c0dap-8, 0x1.fd12aaa70e376p-9, 0x1.f6e840c7dd5f2p-9, 0x1.f0c8a038d17bbp-9, 0x1.eab3e5a8139e5p-9, 0x1.e4aa24738ebdfp-9, 0x1.deab8fb57aac8p-9, 0x1.d8b81cf365eb9p-9, 0x1.d2cfe18758ea1p-9, 0x1.ccf2f2b4ca88bp-9, 0x1.c72162905acd9p-9, 0x1.c15b418027e85p-9, 0x1.bba09ee0abadep-9, 0x1.b5f188fbecfbp-9, 0x1.b04e0cb761771p-9, 0x1.aab635aedf673p-9, 0x1.a52a0f2c96bbbp-9, 0x1.9fa9a5701b8adp-9, 0x1.9a34f74b1ff96p-9, 0x1.94cc1c451ce5bp-9, 0x1.8f6f1c508908p-9, 0x1.8a1df0fe32c5fp-9, 0x1.84d8a9f8e44a7p-9, 0x1.7f9f4a70012cep-9, 0x1.7a71d6d382ad4p-9, 0x1.75504dfb255ccp-9, 0x1.703ac6dab4a23p-9, 0x1.6b314227d1e7ap-9, 0x1.6633a0cd90b1bp-9, 0x1.6141e600cdc66p-9, 0x1.5c5c3e2afa81dp-9, 0x1.578288c57592ep-9, 0x1.52b4c6f3150cp-9, 0x1.4df2f967ee964p-9, 0x1.493d1dfdf0c45p-9, 0x1.449331c2fbc8p-9, 0x1.3ff53106f603fp-9, 0x1.3b6314a53cdd9p-9, 0x1.36dcd0424535dp-9, 0x1.3262599abfd65p-9, 0x1.2df3b39a3053p-9, 0x1.2990ed0464037p-9, 0x1.2539fe3c5bcc5p-9, 0x1.20eeba1bd6df6p-9, 0x1.1caf247f6b542p-9, 0x1.187b38a31bd9dp-9, 0x1.145302463cb8bp-9, 0x1.103671c9d6c12p-9, 0x1.0c256a73ac993p-9, 0x1.081fdb5fbd6f3p-9, 0x1.0425bbec4b7dbp-9, 0x1.0037047913ae4p-9, 0x1.f8a7580d66046p-10, 0x1.f0f7373a81964p-10, 0x1.e95da4ade729p-10, 0x1.e1da86d56d2b1p-10, 0x1.da6db06e89947p-10, 0x1.d3172049731c6p-10, 0x1.cbd6b53c8106p-10, 0x1.c4ac4643ea07p-10, 0x1.bd97acfeb548fp-10, 0x1.b698d73597ddap-10, 0x1.afafe8f32ecccp-10, 0x1.a8dbce0515fd6p-10, 0x1.a21dde3105bcbp-10, 0x1.9b74890948e15p-10, 0x1.94e0627598a8cp-10, 0x1.8e6159a3da1afp-10, 0x1.87f70bd0ec286p-10, 0x1.81a15a109f8b9p-10, 0x1.7b600ce1eac24p-10, 0x1.75332b859d7bp-10, 0x1.6f1ab79a668f7p-10, 0x1.691658e411bc3p-10, 0x1.6325f2e3ac794p-10, 0x1.5d496456a1902p-10, 0x1.578085a1abfbp-10, 0x1.51cb29a837564p-10, 0x1.4c291bf1a99e7p-10, 0x1.469a467f5f567p-10, 0x1.411e978b6d02bp-10, 0x1.3bb5974c08d42p-10, 0x1.365f335004c45p-10, 0x1.311b8b26eb65ap-10, 0x1.2bea3f3836451p-10, 0x1.26cb2899b117cp-10, 0x1.21be34349334cp-10, 0x1.1cc340d1f5c99p-10, 0x1.17d9f6100fc24p-10, 0x1.130265a7a5093p-10, 0x1.0e3c546a27f62p-10, 0x1.0987906c07849p-10, 0x1.04e3e77807dd2p-10, 0x1.00513a823169cp-10, 0x1.f79ea8897d644p-11, 0x1.eebc022ab16e6p-11, 0x1.e5fa3df4ce2cfp-11, 0x1.dd59086ec5be3p-11, 0x1.d4d8517ff1e2ep-11, 0x1.cc76a88bf4274p-11, 0x1.c4355d62d4ba8p-11, 0x1.bc13f855d5698p-11, 0x1.b410d7d69e00fp-11, 0x1.ac2cafe0439p-11, 0x1.a466f285935ddp-11, 0x1.9cbf422aff4f4p-11, 0x1.9535364cf605fp-11, 0x1.8dc8610cc6f6p-11, 0x1.8678735b6c49ap-11, 0x1.7f4548f7e1d13p-11, 0x1.782e9b0abacacp-11, 0x1.7133eaa0f378fp-11, 0x1.6a54e41a34c35p-11, 0x1.639160d41b6a7p-11, 0x1.5ce90801a8843p-11, 0x1.565b64b0163dp-11, 0x1.4fe828f0354bp-11, 0x1.498f0e97d1644p-11, 0x1.434fd5b9c2acfp-11, 0x1.3d2a35166ad48p-11, 0x1.371de779a5a3dp-11, 0x1.312aabadf0af6p-11, 0x1.2b5027f7b3a16p-11, 0x1.258dfd3a02fe3p-11, 0x1.1fe3d3b012044p-11, 0x1.1a5159204247fp-11, 0x1.14d63eae08947p-11, 0x1.0f7237667f4bbp-11, 0x1.0a24f74adf3c9p-11, 0x1.04ee33cf4579dp-11, 0x1.ff9b46394bad7p-12, 0x1.f585f8443797ep-12, 0x1.eb9c0314daae9p-12, 0x1.e1dd12f4860d2p-12, 0x1.d8485ffca6f5bp-12, 0x1.cedd39b2db206p-12, 0x1.c599f5a8affecp-12, 0x1.bc80bfa44ab9fp-12, 0x1.b38fa13b11824p-12, 0x1.aac5af5167d8cp-12, 0x1.a221ef4848d5ap-12, 0x1.99a5298e0f58dp-12, 0x1.914e7c9759eeep-12, 0x1.891d155963193p-12, 0x1.81104b741de7p-12, 0x1.7927a0ce28a2bp-12, 0x1.71628cf9b98dcp-12, 0x1.69c0a3b9da88cp-12, 0x1.6241a337711e3p-12, 0x1.5ae49578792fdp-12, 0x1.53a97e06867c7p-12, 0x1.4c8fa65fc7798p-12, 0x1.45963d717ac98p-12, 0x1.3ebddaacb7d0fp-12, 0x1.38048976546d3p-12, 0x1.316ac627bd5e5p-12, 0x1.2aefc6a484446p-12, 0x1.2493228154234p-12, 0x1.1e5470e1f0cb2p-12, 0x1.183343d27a742p-12, 0x1.122f28e08d866p-12, 0x1.0c47a93f4bc63p-12, 0x1.067c4bc36a08ep-12, 0x1.00cc9911e7b0ep-12, 0x1.f6703ffbe6eeap-13, 0x1.eb7cf06a0217dp-13, 0x1.e0be84305027bp-13, 0x1.d634467ea3f4fp-13, 0x1.cbdd80f9bc4c6p-13, 0x1.c1b96dee812f4p-13, 0x1.b7c7271ac909ep-13, 0x1.ae058fcf7316bp-13, 0x1.a47377718e76dp-13, 0x1.9b104b1b30d35p-13, 0x1.91dbeb48f10fp-13, 0x1.88d559b3e575bp-13, 0x1.7ffbb146c7518p-13, 0x1.774ef255fb4d7p-13, 0x1.6ecd9f04b3642p-13, 0x1.667702d6ced22p-13, 0x1.5e4a6f99cce1cp-13, 0x1.5646c653bb214p-13, 0x1.4e6bdad589d9ep-13, 0x1.46b8f5cf607f8p-13, 0x1.3f2d6c4a84efbp-13, 0x1.37c86ff8afaa7p-13, 0x1.30898e0ea24fdp-13, 0x1.2970734c9475fp-13, 0x1.227b57efc7654p-13, 0x1.1bab0c1bc007bp-13, 0x1.14fe64b227b23p-13, 0x1.0e74ab63c20d9p-13, 0x1.080d452005fd3p-13, 0x1.01c788274f6c4p-13, 0x1.f7459c5a9ad46p-14, 0x1.eb3cdd2a08b65p-14, 0x1.df73530f31d87p-14, 0x1.d3e9f1047d2e8p-14, 0x1.c89eccaf6aae9p-14, 0x1.bd89708f13e22p-14, 0x1.b2baaf52ce7b7p-14, 0x1.a81f6112aadcbp-14, 0x1.9dbf13814e484p-14, 0x1.9396cf836182ep-14, 0x1.89a5a7d2068f3p-14, 0x1.7feaa754f91edp-14, 0x1.7664e1d7d73fcp-14, 0x1.6d1344d1660adp-14, 0x1.63f40c51cc8a1p-14, 0x1.5b070b353ac97p-14, 0x1.524e773afb328p-14, 0x1.49c43947899aep-14, 0x1.4169cb8d8f7e3p-14, 0x1.393d469996d1ap-14, 0x1.31413fc24706dp-14, 0x1.2971b52fcf592p-14, 0x1.21cdfc249b809p-14, 0x1.1a5520c77fd09p-14, 0x1.1306a5797c687p-14, 0x1.0be1b8aa1e3cdp-14, 0x1.04e57e319e14ap-14, 0x1.fc2259fa6378ep-15, 0x1.eec84e5c05c13p-15, 0x1.e1bed09ed4a7p-15, 0x1.d4ffda9b80405p-15, 0x1.c88c480f9e9b2p-15, 0x1.bc5d94f4e7ef8p-15, 0x1.b07611351727ap-15, 0x1.a4d778100de32p-15, 0x1.997cab25dbf93p-15, 0x1.8e6505067977bp-15, 0x1.838f9cd2cfbd8p-15, 0x1.78fb150a92495p-15, 0x1.6ea4d3a5d3b3ep-15, 0x1.648a0b67ec05ep-15, 0x1.5aab9da969701p-15, 0x1.510b402d28008p-15, 0x1.47a5b9f42715cp-15, 0x1.3e798dac2e0acp-15, 0x1.35857e95281afp-15, 0x1.2cc74e8ed4785p-15, 0x1.243fcc31b7a59p-15, 0x1.1be9f80e1a3bfp-15, 0x1.13c8bd42ce60bp-15, 0x1.0bda5304cd95ap-15, 0x1.041d325621cbbp-15, 0x1.f9217770bc568p-16, 0x1.ea685f31c55ccp-16, 0x1.dc0c4a0881065p-16, 0x1.ce0a8504421p-16, 0x1.c060e7f8bc709p-16, 0x1.b30e42cf2d881p-16, 0x1.a6113d26bfe5cp-16, 0x1.9967802d4cbccp-16, 0x1.8d0fb5369abf6p-16, 0x1.81071fa8daddcp-16, 0x1.754caaff91943p-16, 0x1.69dd6a3dded7ap-16, 0x1.5eb8f5d342c1fp-16, 0x1.53dc023df0f2p-16, 0x1.494dc8c8879dap-16, 0x1.3efe9b30445bdp-16, 0x1.34f105b19a955p-16, 0x1.2b2ccfe05b3f2p-16, 0x1.21a92139153d8p-16, 0x1.18656d2195204p-16, 0x1.0f5fe4003b16bp-16, 0x1.069655f26ae08p-16, 0x1.fc0fac523da5bp-17, 0x1.eb688ad7f7f1bp-17, 0x1.db354d2e8bb7p-17, 0x1.cb719c227e9c5p-17, 0x1.bc19c187c6fb5p-17, 0x1.ad2cf6d79f002p-17, 0x1.9eabda726e2f6p-17, 0x1.908c30972e9a9p-17, 0x1.82cff1802f027p-17, 0x1.7572a062ca168p-17, 0x1.68844f42183fcp-17, 0x1.5be24260a8d1fp-17, 0x1.4f9e882635a15p-17, 0x1.43b0f2d766801p-17, 0x1.381af3e4f84d3p-17, 0x1.2cf5af0984c1fp-17, 0x1.220109f1a0be2p-17, 0x1.17530c0af8408p-17, 0x1.0d1341dc4d3c9p-17, 0x1.03046e922aca1p-17, 0x1.f2aa299716773p-18, 0x1.dfcc056d14b1fp-18, 0x1.cd9a85be33d49p-18, 0x1.bbccebbc831b6p-18, 0x1.aa8b8949328bcp-18, 0x1.99c671b59a70cp-18, 0x1.8985d491dce01p-18, 0x1.79cb25f4234dp-18, 0x1.6a8e261b42477p-18, 0x1.5bdf7db48c8b9p-18, 0x1.4d8fd2ec8816ep-18, 0x1.3faa8372d490dp-18, 0x1.323674058bce2p-18, 0x1.252fefa9d8c8ap-18, 0x1.1896198f67d4cp-18, 0x1.0c66aa208c671p-18, 0x1.009c2bfc9bc96p-18, 0x1.ea5c251601eddp-19, 0x1.d4389332d622bp-19, 0x1.bed58157abb48p-19, 0x1.aa24398981b95p-19, 0x1.960e531cc4dcfp-19, 0x1.82bd44c9528a2p-19, 0x1.7045ab465e8d5p-19, 0x1.5e1f8fb55107p-19, 0x1.4c87aa5521396p-19, 0x1.3bd1ad6461d1dp-19, 0x1.2b9a668079f68p-19, 0x1.1beec8e28e78ap-19, 0x1.0cd00603e0e38p-19, 0x1.fc76ed21ba612p-20, 0x1.e019b8ccfe1b4p-20, 0x1.c4f3a0f14f7fbp-20, 0x1.ab1975be1ea2ap-20, 0x1.91e7a40dd2b15p-20, 0x1.79923c239c983p-20, 0x1.62895761007e8p-20, 0x1.4c04d536621e9p-20, 0x1.3632e25377ee5p-20, 0x1.21a007ef23054p-20, 0x1.0dd9a29cf6016p-20, 0x1.f585023f233bep-21, 0x1.d0d83e051f12ep-21, 0x1.ad94696fa4c35p-21, 0x1.8bb4fc6ee82c7p-21, 0x1.6b54157640e3dp-21, 0x1.4c69ccb8144dep-21, 0x1.2ec7a7b4723acp-21, 0x1.125bd840cc364p-21, 0x1.ee5defd52a28ep-22, 0x1.ba9d7e4851633p-22, 0x1.88e36d1844362p-22, 0x1.58e1c8c360abdp-22, 0x1.2c0098f9c0992p-22, 0x1.01a99b32d8383p-22, 0x1.b1282d36e7467p-23, 0x1.6572aa6661e41p-23, 0x1.204e82fd44f78p-23, 0x1.aa52b0e45bbcap-24, 0x1.25b9468579786p-24, 0x1.4dd8c8f4bf85ep-25, 0x1.74ca1060fa0fdp-27, -0x1.1827351a604a5p-26, -0x1.5f04fbaeb3f86p-25, -0x1.10d9672607863p-24, -0x1.6d313c2d988bcp-24, -0x1.c6336750d65ddp-24, -0x1.0eb03ae690f73p-23, -0x1.316bd58c66dccp-23, -0x1.56bcb4acca057p-23, -0x1.7b0ce7ab88847p-23, -0x1.9998a63a1b087p-23, -0x1.b5bf0bd895bedp-23, -0x1.d0732c1e06bc2p-23, -0x1.e8c92bb61650ap-23, -0x1.fe9b03fbaefbfp-23, -0x1.0960db421abep-22, -0x1.12d8d2132bed2p-22, -0x1.1b30cae00ba98p-22, -0x1.2255297ddap-22, -0x1.28ddbfe89f2a4p-22, -0x1.2f35561ba69bep-22, -0x1.34092c64f0055p-22, -0x1.38909a20124adp-22, -0x1.3b783f660068dp-22, -0x1.3e18c39f286cp-22, -0x1.400ac2faa8343p-22, -0x1.415c3faa7bc29p-22, -0x1.42102e9a2c203p-22, -0x1.420d3bf512bd5p-22, -0x1.420615d83941ep-22, -0x1.41158b004b109p-22, -0x1.3f67a2acbf279p-22, -0x1.3d3a2bd05bd15p-22, -0x1.3aa4babdd1cb9p-22, -0x1.37fe31579fb84p-22, -0x1.34cac57b52511p-22, -0x1.30da4bc7e7a03p-22, -0x1.2cc4088d3d227p-22, -0x1.28d4696a87fd1p-22, -0x1.23f5829543b79p-22, -0x1.1e56d75bf8f5fp-22, -0x1.19aae26c2fd8ap-22, -0x1.140ae22d52f65p-22, -0x1.0c4d121d2cb8bp-22, -0x1.078a8df515b1p-22, -0x1.00b0658ad5a2p-22, -0x1.f27d1bdcf873fp-23, -0x1.e61cefd2ba96fp-23, -0x1.d725233fac271p-23, -0x1.c848f6751b841p-23, -0x1.b96031c96e159p-23, -0x1.a90ccc265ec63p-23, -0x1.9aa9e2d292695p-23, -0x1.8c750815bb8d5p-23, -0x1.7acf2afb553e4p-23, -0x1.6aa14c21b310dp-23, -0x1.5706e150c4aabp-23, -0x1.46e1b6e1869eep-23, -0x1.36951716e5da2p-23, -0x1.25c143484cae1p-23, -0x1.145dfb46c08ecp-23, -0x1.02fd6f0bc7c2ep-23, -0x1.e42772bf277f1p-24, -0x1.c1775ecc99f9cp-24, -0x1.9ec808658e8b9p-24, -0x1.7becd7a7d92ecp-24, -0x1.57efb626af7e4p-24, -0x1.343d8cc9f5268p-24, -0x1.10b5ac836f4cep-24, -0x1.daa5848ca8ec7p-25, -0x1.93f9405d64b52p-25, -0x1.4d4414ec2102p-25, -0x1.06b207c12befap-25, -0x1.812338bc62a75p-26, -0x1.ebcc5b6b3a4bfp-27, -0x1.ad429fc0076ddp-28, 0x1.e93a04238e706p-30, 0x1.4caf17b968d86p-27, 0x1.25b60bdbbb8edp-26, 0x1.b7f53d03a106p-26, 0x1.1ddef024493d3p-25, 0x1.5db71b348c94p-25, 0x1.9cd4baba730dbp-25, 0x1.eade3cbca61f1p-25, 0x1.1344abffbfaafp-24, 0x1.3308e4b2c1016p-24, 0x1.536411d02fbfdp-24, 0x1.72de867c2c039p-24, 0x1.90b75f7fce382p-24, 0x1.ae3d868c24facp-24, 0x1.ccbc5a4a887e1p-24, 0x1.ebdad228c6d88p-24, 0x1.040a7f594dc4cp-23, 0x1.126af781bbf1dp-23, 0x1.20d0fe321630ep-23, 0x1.2f26d5c6877bbp-23, 0x1.3dc317aa7a782p-23, 0x1.4bafeeaf8fb57p-23, 0x1.58d9ddd42acc5p-23, 0x1.667394b52e3dbp-23, 0x1.743adb57b1e8cp-23, 0x1.7f76fb10607d8p-23, 0x1.8b6ae6d1ecabp-23, 0x1.981f7288c8a88p-23, 0x1.a4af8ea660186p-23, 0x1.b0a850ccabe07p-23, 0x1.bcc8bd2d69e9cp-23, 0x1.c76ecfd86df44p-23, 0x1.d5f776f02262cp-23, 0x1.de9464ffa4ce6p-23, 0x1.e92a230083fa5p-23, 0x1.f31b779b7131ep-23, 0x1.ff32725bb59ffp-23, 0x1.03e747f0bba86p-22, 0x1.08cc3a4700021p-22, 0x1.0da57b6b43fd7p-22, 0x1.1264a932aa615p-22, 0x1.16d9d26ff5f11p-22, 0x1.1b52fef89725cp-22, 0x1.1faa4386989cp-22, 0x1.23da04a102ee5p-22, 0x1.2823dbd10f7b2p-22, 0x1.2c496b3d79c45p-22, 0x1.2feaae1cc1c5fp-22, 0x1.33f864b303ca3p-22, 0x1.37256d6cc8673p-22, 0x1.3acdb9bbc36f8p-22, 0x1.3ec0264f8f389p-22, 0x1.41359a06b0746p-22, 0x1.448f15a02a99ep-22, 0x1.47c4fc2643f5ep-22, 0x1.4ab140e47c053p-22, 0x1.4d871df5244aap-22, 0x1.505aed76d1ba8p-22, 0x1.52e51e3c24207p-22, 0x1.55807b317ad84p-22, 0x1.582eac993e67dp-22, 0x1.5a7c79dc177abp-22, 0x1.5cc3791fbe4c6p-22, 0x1.5efb67490ad9bp-22, 0x1.611229f06bdcap-22, 0x1.63172fe4070bep-22, 0x1.64ecfadc02b16p-22, 0x1.66b3990662ecdp-22, 0x1.686b5fb2abf3ap-22, 0x1.6a2a92af0ae11p-22, 0x1.6bae98432196dp-22, 0x1.6ce9ca679a8c7p-22, 0x1.6dce84f63ed43p-22, 0x1.6e5080b98e0b6p-22, 0x1.714513f15df31p-22, 0x1.728b96836763dp-22, 0x1.71edffc750691p-22, 0x1.7371e23ca4465p-22, 0x1.73f78c0fd1456p-22, 0x1.74926377d4e37p-22, 0x1.75ce8e101e0ebp-22, 0x1.75c0601e6da7cp-22, 0x1.769603080d589p-22, 0x1.77036f5937611p-22, 0x1.776450148abf7p-22, 0x1.7766fcf24d68bp-22, 0x1.7767a6cfa14a2p-22, 0x1.7791df9f70f3ep-22, 0x1.779df11502971p-22, 0x1.7763fbbdc178ap-22, 0x1.76fdbb053dee9p-22, 0x1.7783f7c3fb3b9p-22, 0x1.770c735ed9fe9p-22, 0x1.769e5e2039241p-22, 0x1.7676e1022a27cp-22, 0x1.75fb380b42391p-22, 0x1.75153d5fbaaf1p-22, 0x1.7477b96033acdp-22, 0x1.73f538531b596p-22, 0x1.735dad632155ap-22, 0x1.72af5eae9269dp-22, 0x1.71e12083adc6p-22, 0x1.711f514c6db55p-22, 0x1.702c698b9917dp-22, 0x1.6f2ffff89e7edp-22, 0x1.6e6c0b54e130cp-22, 0x1.6d1569b17670ap-22, 0x1.6bd61e540577ap-22, 0x1.6aaf69646dbccp-22, 0x1.697c67af08831p-22, 0x1.681db3ed981e1p-22, 0x1.66d2c2a136b1p-22, 0x1.65b4211bd0de2p-22, 0x1.64339dc35b244p-22, 0x1.6288eace16648p-22, 0x1.60d87974bef33p-22, 0x1.5fb4445ebff23p-22, 0x1.5e619a268d52fp-22, 0x1.5cbc273d3e1ap-22, 0x1.5b02e442b02fp-22, 0x1.595177b0e11acp-22, 0x1.578e53751e9c8p-22, 0x1.56450f81c108fp-22, 0x1.54543332cf7fp-22, 0x1.51e57a08eab69p-22, 0x1.4f7e68b6f4e2ep-22, 0x1.4e59ac644b0bap-22, 0x1.4c1c03e53ac66p-22, 0x1.4af319932b2c5p-22, 0x1.48bd7fea03cd6p-22, 0x1.467ddfb17b18bp-22, 0x1.4559201ef347ap-22, 0x1.4254da829a3a2p-22, 0x1.4071b8a1c5c2dp-22, 0x1.3e920bfd5bdc9p-22, 0x1.3c5da87b22855p-22, 0x1.3a3e7ec799f84p-22, 0x1.3817289cfc2a1p-22, 0x1.35e55c15026cp-22, 0x1.33b564145ab63p-22, 0x1.3184a210c89c8p-22, 0x1.2f2f1792ee61p-22, 0x1.2c7a09dec1564p-22, 0x1.2ac93f2b4556bp-22, 0x1.2841f396e261fp-22, 0x1.25edba7f95d66p-22, 0x1.23d3eb94eb278p-22, 0x1.216326f4c57e5p-22, 0x1.1f1f5e69f060dp-22, 0x1.1cc7e6f3392dbp-22, 0x1.1a6a79aaa055cp-22, 0x1.17f875cf812fap-22, 0x1.158c468dd523bp-22, 0x1.12ff9f629ac24p-22, 0x1.107d819fcac91p-22, 0x1.0e90ebcf01135p-22, 0x1.0c1791aa9e744p-22, 0x1.099bbfdc16932p-22, 0x1.074077bec60dp-22, 0x1.0494ab5be326p-22, 0x1.0209842bafe4bp-22, 0x1.ff14f4c01b02dp-23, 0x1.fa3281f00d46ap-23, 0x1.f5dc03701b147p-23, 0x1.f0c3acaeda8a6p-23, 0x1.eba2b3d950e07p-23, 0x1.e6a69e765843cp-23, 0x1.e103180bd8bd2p-23, 0x1.dc184e4441a6ep-23, 0x1.d79024bf68a23p-23, 0x1.d2a5055909753p-23, 0x1.cdba44305630ap-23, 0x1.c8f45d3e12979p-23, 0x1.c3feea6bf6d2ep-23, 0x1.be809ab06f9a7p-23, 0x1.b9730bf86af33p-23, 0x1.b48ad1c574dcbp-23, 0x1.afa1c179f8ed9p-23, 0x1.aab015d43e01p-23, 0x1.a5b57c9cb083fp-23, 0x1.a0c56e8a05903p-23, 0x1.9bc35083d6861p-23, 0x1.96d25dc129e69p-23, 0x1.91e93e8c70776p-23, 0x1.8d08454407ad5p-23, 0x1.883de8fe637d8p-23, 0x1.83621acf613b8p-23, 0x1.7e431b298a3f4p-23, 0x1.793d4477946cap-23, 0x1.744683e7ddd4cp-23, 0x1.711b5f9e8cd3ep-23, 0x1.6a8fdce8798e5p-23, 0x1.659feee91bca6p-23, 0x1.60e116b0dc64p-23, 0x1.5bff138b2b081p-23, 0x1.572662de296e2p-23, 0x1.527233865d809p-23, 0x1.4dc0a53a2c50ap-23, 0x1.4907fc42ba01ap-23, 0x1.447a469ef151cp-23, 0x1.3fb6133f121f3p-23, 0x1.3a9d56824b09ap-23, 0x1.36eaa0362e0cfp-23, 0x1.31ab97efd8ee2p-23, 0x1.2cdd76497274dp-23, }}, 
      {{0x1.c3f25a4bb55c7p-3, 0x1.9376bf0b3595fp-2, 0x1.fbbe387e5e4a5p-2, 0x1.0cf6b05d56beep-1, 0x1.fbd0b223061c5p-2, 0x1.b532c3df77f7dp-2, 0x1.59f2acbf203d1p-2, 0x1.f57e80b1694cdp-3, 0x1.47934b3e2ccf6p-3, 0x1.72e65770fcbb2p-4, 0x1.4a6d87d79b283p-5, 0x1.47df18cc2a489p-7, -0x1.d733975018d29p-10, 0x1.2aae2d05677b9p-9, 0x1.362129124d705p-6, 0x1.6dd1d40807f5ep-5, 0x1.37b06c2fdd7d7p-4, 0x1.c37c10eb0aebbp-4, 0x1.27e2a1f779eecp-3, 0x1.6a0980e07d2bbp-3, 0x1.a4fcfd13d3b31p-3, 0x1.d67e1ab66cd57p-3, 0x1.fd2a6ec11eef7p-3, 0x1.0c2e6af4d79dcp-2, 0x1.1406204c4c603p-2, 0x1.1655953311a69p-2, 0x1.1384a05e0c6e3p-2, 0x1.0c1bee2d6bd64p-2, 0x1.00b91b97d668p-2, 0x1.e409522571f1dp-3, 0x1.c153957af80d7p-3, 0x1.9a9ff9a0da279p-3, 0x1.712c589ee7da1p-3, 0x1.461e8d811840fp-3, 0x1.1a7febf3d72afp-3, 0x1.de75667ac2276p-4, 0x1.8a32078026ecp-4, 0x1.398a3191dde6ap-4, 0x1.db296f36c3498p-5, 0x1.4e5cb24613c38p-5, 0x1.9bf8a80128f9cp-6, 0x1.6bd46ee83b8b6p-7, -0x1.4460251846556p-10, -0x1.8408de218fb73p-7, -0x1.5340d9c4216c3p-6, -0x1.c85a863821b5cp-6, -0x1.1106bc6e5e33cp-5, -0x1.30b0ae704f458p-5, -0x1.43cce93e7a59dp-5, -0x1.4b14519d28effp-5, -0x1.4750b32b43689p-5, -0x1.395769091b84p-5, -0x1.2204c5e0a331fp-5, -0x1.02381da91a8b9p-5, -0x1.b5a0f8039a332p-6, -0x1.5953d69dfcb07p-6, -0x1.e26ceb248067fp-7, -0x1.fba1dd03232a3p-8, -0x1.fc61864a216b6p-13, 0x1.f8724f705c6c2p-8, 0x1.05efd90606e85p-6, 0x1.922ec13abe1cbp-6, 0x1.10ce836a5c53dp-5, 0x1.598a58587312ap-5, 0x1.a2c30507dfe04p-5, 0x1.ebfbb08621a6cp-5, 0x1.1a6124f332e27p-4, 0x1.3e579e6c68a66p-4, 0x1.61b28be40faf1p-4, 0x1.844812f426482p-4, 0x1.a5f3005df98c5p-4, 0x1.c6928d52ce1a3p-4, 0x1.e60a22fec66d9p-4, 0x1.02208e361fa6ep-3, 0x1.109144a3e506ap-3, 0x1.1e4e76f2a5651p-3, 0x1.2b5105b0efd37p-3, 0x1.37934f3d1bef2p-3, 0x1.431116b41f7c8p-3, 0x1.4dc763d784896p-3, 0x1.57b46d10ea64ap-3, 0x1.60d77966b7dcp-3, 0x1.6930cc1e8f19p-3, 0x1.70c1881f32069p-3, 0x1.778b9f1ee061bp-3, 0x1.7d91b68e2371ep-3, 0x1.82d7187bb74f2p-3, 0x1.875f9d17e18a6p-3, 0x1.8b2f99358344bp-3, 0x1.8e4bcf514c0b5p-3, 0x1.90b95da7359b9p-3, 0x1.927db1185bd6bp-3, 0x1.939e75e508df3p-3, 0x1.94218d76806e9p-3, 0x1.940d0011501e2p-3, 0x1.9366f54a3dc76p-3, 0x1.9235a7154bd45p-3, 0x1.907f5c162299cp-3, 0x1.8e4a5d0b253eap-3, 0x1.8b9cef5167ddfp-3, 0x1.887d4e182199cp-3, 0x1.84f1a3bdc006ep-3, 0x1.8100063bbd082p-3, 0x1.7cae713471543p-3, 0x1.7802c348e0abep-3, 0x1.7302b9de91c86p-3, 0x1.6db3ef08c7f6cp-3, 0x1.681bd61f9c1cp-3, 0x1.623fbb47bfa9p-3, 0x1.5c24c096d3b7ep-3, 0x1.55cfdcc5503cbp-3, 0x1.4f45dba86badep-3, 0x1.488b5c6cf49f9p-3, 0x1.41a4d0912089dp-3, 0x1.3a967e914999fp-3, 0x1.33647e273161fp-3, 0x1.2c12bbd8d879ap-3, 0x1.24a4f7e4bd733p-3, 0x1.1d1ec5c997e45p-3, 0x1.15838fc320cd9p-3, 0x1.0dd695d3c8352p-3, 0x1.061aed0b41ffep-3, 0x1.fca7089e5ddb7p-4, 0x1.ed0645e8acdf4p-4, 0x1.dd58d11fd62d1p-4, 0x1.cda3a352fab0bp-4, 0x1.bdeb6c03d1fd7p-4, 0x1.ae3494ee2c741p-4, 0x1.9e83437039d01p-4, 0x1.8edb5ff6968bbp-4, 0x1.7f40908459173p-4, 0x1.6fb63f8afb95dp-4, 0x1.603fa09216ad4p-4, 0x1.50dfac56d2d94p-4, 0x1.419927a9f225fp-4, 0x1.326ea4127f669p-4, 0x1.236283c79c40dp-4, 0x1.1476f85c6d23ap-4, 0x1.05ae07fd543e4p-4, 0x1.ee131ccb98b86p-5, 0x1.d116810a2bd45p-5, 0x1.b46953963186fp-5, 0x1.980e672c60d9bp-5, 0x1.7c084a0581f48p-5, 0x1.605947b6fbebfp-5, 0x1.45036b5983089p-5, 0x1.2a0889487b7f2p-5, 0x1.0f6a3feabe10cp-5, 0x1.ea53e92783221p-6, 0x1.b691bda1a27ccp-6, 0x1.83901015b4e45p-6, 0x1.5150a1532a94ep-6, 0x1.1fd4da350b002p-6, 0x1.de3ba5f26d964p-7, 0x1.7e58dcdd4a8b3p-7, 0x1.20028262425ebp-7, 0x1.8672986eb3ae3p-8, 0x1.9ff5c095322b5p-9, 0x1.c9d9b69bc84d6p-12, -0x1.274c9805361dep-9, -0x1.40d29451c85d3p-8, -0x1.eae9d172649a7p-8, -0x1.48f77f28ec247p-7, -0x1.9af2d8351e25ep-7, -0x1.eb6901af4d164p-7, -0x1.1d2e22a5ba495p-6, -0x1.43e7956a4f634p-6, -0x1.69e22c2ef2f7p-6, -0x1.8f1f54e2328d1p-6, -0x1.b3a09208ad63fp-6, -0x1.d767780e770e4p-6, -0x1.fa75aadb6fe44p-6, -0x1.0e666e6ff1358p-5, -0x1.1f37637a060f4p-5, -0x1.2fae9a7dfc727p-5, -0x1.3fccfcffa9eeap-5, -0x1.4f9378307a196p-5, -0x1.5f02fb98d131p-5, -0x1.6e1c7969db9c5p-5, -0x1.7ce0e899f791fp-5, -0x1.8b513f4b9663bp-5, -0x1.996e7779a2577p-5, -0x1.a73988a06f24fp-5, -0x1.b4b36cbd11395p-5, -0x1.c1dd1d7788796p-5, -0x1.ceb7945e09086p-5, -0x1.db43cc37b10ecp-5, -0x1.e782bc407d0dep-5, -0x1.f3755b4f66c61p-5, -0x1.ff1c9f8657b95p-5, -0x1.053cbf41071c1p-4, -0x1.0ac675947d7dp-4, -0x1.102bebea57b8p-4, -0x1.156d99ae1ea8ep-4, -0x1.1a8bf5a61a028p-4, -0x1.1f87760e2559bp-4, -0x1.24608f984e217p-4, -0x1.2917b66d63bd8p-4, -0x1.2dad5cc2577b1p-4, -0x1.3221f4581d278p-4, -0x1.3675ed5bab9eap-4, -0x1.3aa9b713721bep-4, -0x1.3ebdbfa8ff184p-4, -0x1.42b27431b4de8p-4, -0x1.468840065c269p-4, -0x1.4a3f8e29e3ea6p-4, -0x1.4dd8c7aada847p-4, -0x1.515454d0c06e5p-4, -0x1.54b29cf4ecb79p-4, -0x1.57f4063455c54p-4, -0x1.5b18f57dd21dcp-4, -0x1.5e21ce83610adp-4, -0x1.610ef41c81b8fp-4, -0x1.63e0c80cca59ep-4, -0x1.6697ab0274c5fp-4, -0x1.6933fcd8d2a7dp-4, -0x1.6bb61c1a307b8p-4, -0x1.6e1e6705b933ap-4, -0x1.706d39e74668bp-4, -0x1.72a2f0ee2f951p-4, -0x1.74bfe6ee739d6p-4, -0x1.76c4764630a4ep-4, -0x1.78b0f8455a2efp-4, -0x1.7a85c54ae17cap-4, -0x1.7c43351ca915ap-4, -0x1.7de99e5108888p-4, -0x1.7f79571130505p-4, -0x1.80f2b4c69d91ap-4, -0x1.82560c0755e2fp-4, -0x1.83a3b0793f5bcp-4, -0x1.84dbf59743d01p-4, -0x1.85ff2db69de12p-4, -0x1.870daaa353743p-4, -0x1.8807bd7769be6p-4, -0x1.88edb6acdc37fp-4, -0x1.89bfe62bd3baap-4, -0x1.8a7e9b34e6677p-4, -0x1.8b2a2483944a3p-4, -0x1.8bc2d004f2e73p-4, -0x1.8c48eb1d2288ep-4, -0x1.8cbcc2cd04a9fp-4, -0x1.8d1ea3572a171p-4, -0x1.8d6ed87351fd7p-4, -0x1.8dadad6500a51p-4, -0x1.8ddb6cbb4b696p-4, -0x1.8df860a7ab387p-4, -0x1.8e04d2a9ebe06p-4, -0x1.8e010bc7cc953p-4, -0x1.8ded5493a10efp-4, -0x1.8dc9f4fe2d16fp-4, -0x1.8d973474b0e39p-4, -0x1.8d5559f26e0bfp-4, -0x1.8d04abf0ce98ep-4, -0x1.8ca5705248861p-4, -0x1.8c37ec73d7196p-4, -0x1.8bbc65415c335p-4, -0x1.8b331f1762de2p-4, -0x1.8a9c5dc781af6p-4, -0x1.89f864b8a6949p-4, -0x1.894776c4090d5p-4, -0x1.8889d633b1b1fp-4, -0x1.87bfc4c142a4ep-4, -0x1.86e983cdd65f3p-4, -0x1.8607541b03aa7p-4, -0x1.851975cc13f41p-4, -0x1.842028b0e581ep-4, -0x1.831babfc2500bp-4, -0x1.820c3e5abe631p-4, -0x1.80f21dfb262e3p-4, -0x1.7fcd886b6afb5p-4, -0x1.7e9ebab4b5af3p-4, -0x1.7d65f15d62be6p-4, -0x1.7c23687e0664bp-4, -0x1.7ad75b75feef8p-4, -0x1.7982052efad28p-4, -0x1.7823a0178e641p-4, -0x1.76bc65fb645bfp-4, -0x1.754c901a7c62p-4, -0x1.73d4572968198p-4, -0x1.7253f3481106ep-4, -0x1.70cb9c0920a58p-4, -0x1.6f3b886439866p-4, -0x1.6da3eee3ecf77p-4, -0x1.6c0505678f2fcp-4, -0x1.6a5f0140e88bp-4, -0x1.68b21723556c9p-4, -0x1.66fe7b361d13p-4, -0x1.6544611a7272cp-4, -0x1.6383fbd7b7bcp-4, -0x1.61bd7dd6a1885p-4, -0x1.5ff118f582b46p-4, -0x1.5e1efe6895684p-4, -0x1.5c475f021c062p-4, -0x1.5a6a6ab02176dp-4, -0x1.588851009a8a3p-4, -0x1.56a140e2f25c8p-4, -0x1.54b568ad1162p-4, -0x1.52c4f6197564ep-4, -0x1.50d0164ac93dap-4, -0x1.4ed6f5d351d5fp-4, -0x1.4cd9c0b3d0fd8p-4, -0x1.4ad8a24fe692ep-4, -0x1.48d3c56f5fa59p-4, -0x1.46cb543660c68p-4, -0x1.44bf783de469bp-4, -0x1.42b05a95f759dp-4, -0x1.409e23b083c54p-4, -0x1.3e88fb64a6497p-4, -0x1.3c7108f103615p-4, -0x1.3a567306e4ee7p-4, -0x1.38395fadf4723p-4, -0x1.3619f464e6e8p-4, -0x1.33f8562fb1c77p-4, -0x1.31d4a93b2f78bp-4, -0x1.2faf1168c6dfap-4, -0x1.2d87b1befad65p-4, -0x1.2b5eace9265aep-4, -0x1.2934250ea1d4bp-4, -0x1.27083ba583db1p-4, -0x1.24db117ea4528p-4, -0x1.22acc6f91b7b4p-4, -0x1.207d7bd801bd1p-4, -0x1.1e4d4f3a23929p-4, -0x1.1c1c5fc525bc1p-4, -0x1.19eacb98c3c9ap-4, -0x1.17b8b041da0aap-4, -0x1.15862ac024ca6p-4, -0x1.1353578d8e024p-4, -0x1.1120529598706p-4, -0x1.0eed37402b803p-4, -0x1.0cba2046c16c4p-4, -0x1.0a87280bf7bc6p-4, -0x1.0854683c66d7bp-4, -0x1.0621fa23172bp-4, -0x1.03eff67cbd9bcp-4, -0x1.01be7585f2d3fp-4, -0x1.ff1b1dec67e8p-5, -0x1.fabab422e31bap-5, -0x1.f65bdb3202be2p-5, -0x1.f1febf731b5dap-5, -0x1.eda38c389b752p-5, -0x1.e94a6bd83332ep-5, -0x1.e4f387b66f6fbp-5, -0x1.e09f0844302e6p-5, -0x1.dc4d14f90a457p-5, -0x1.d7fdd45f0b274p-5, -0x1.d3b16c2fe8fdp-5, -0x1.cf680162dbd3ep-5, -0x1.cb21b81157fb1p-5, -0x1.c6deb36dc54ebp-5, -0x1.c29f15a47f62cp-5, -0x1.be62ffdb24886p-5, -0x1.ba2a9229a22dfp-5, -0x1.b5f5ebb7dad81p-5, -0x1.b1c52aacd7151p-5, -0x1.ad986c516efcbp-5, -0x1.a96fcd3af6955p-5, -0x1.a54b696fcea18p-5, -0x1.a12b5c681db19p-5, -0x1.9d0fc10bc38a9p-5, -0x1.98f8b1b42d73ep-5, -0x1.94e647fda01a7p-5, -0x1.90d89c97132f2p-5, -0x1.8ccfc71d26283p-5, -0x1.88cbddd1a620dp-5, -0x1.84ccf60f092a4p-5, -0x1.80d323b273b3dp-5, -0x1.7cde79ed835ffp-5, -0x1.78ef0b467888bp-5, -0x1.7504e9fe9a9b4p-5, -0x1.7120285828039p-5, -0x1.6d40d88fa9441p-5, -0x1.69670d63935d3p-5, -0x1.6592d8e35f451p-5, -0x1.61c44cdf3d4d4p-5, -0x1.5dfb79e10eb07p-5, -0x1.5a386ee1007bdp-5, -0x1.567b394d80072p-5, -0x1.52c3e4938e849p-5, -0x1.4f127a87a44e6p-5, -0x1.4b6703ee05b0ap-5, -0x1.47c1892bbe2d8p-5, -0x1.44221301f84e8p-5, -0x1.4088ab27b540bp-5, -0x1.3cf55c99bcc39p-5, -0x1.3968338a174bdp-5, -0x1.35e13ce97510fp-5, -0x1.32608593d10fcp-5, -0x1.2ee619492ae99p-5, -0x1.2b7201be5ddcfp-5, -0x1.280445ee3652fp-5, -0x1.249ce9d62bd38p-5, -0x1.213beeb8f77f5p-5, -0x1.1de153e536fadp-5, -0x1.1a8d17d72083p-5, -0x1.173f39c08f0ddp-5, -0x1.13f7ba632a17p-5, -0x1.10b69d29684c6p-5, -0x1.0d7be84774948p-5, -0x1.0a47a4258a5e6p-5, -0x1.0719da4f4b01p-5, -0x1.03f294455e006p-5, -0x1.00d1d9ba0e6d6p-5, -0x1.fb6f5eb9c2553p-6, -0x1.f5482c4653f13p-6, -0x1.ef2e1666d10e1p-6, -0x1.e9211116caafbp-6, -0x1.e3210c8c050cp-6, -0x1.dd2df8678f8f5p-6, -0x1.d747c6a8983f8p-6, -0x1.d16e6dd3a0c4ep-6, -0x1.cba1ea3436b27p-6, -0x1.c5e23e58b929p-6, -0x1.c02f7077cf317p-6, -0x1.ba898824b8c47p-6, -0x1.b4f08bd10f7e7p-6, -0x1.af647d8e162bp-6, -0x1.a9e55b056e96bp-6, -0x1.a4731cc296d3p-6, -0x1.9f0db6fdc7752p-6, -0x1.99b51bbfd5285p-6, -0x1.94693d5f21ba4p-6, -0x1.8f2a109fbdd94p-6, -0x1.89f78ddadf08ep-6, -0x1.84d1b0cc87992p-6, -0x1.7fb876d47367ap-6, -0x1.7aabdc3299fc8p-6, -0x1.75abd8e8380b4p-6, -0x1.70b85e1f7757ap-6, -0x1.6bd154e69bf6cp-6, -0x1.66f69ed35a1fp-6, -0x1.622818aa7d191p-6, -0x1.5d659e7a9c41bp-6, -0x1.58af14a06c4e7p-6, -0x1.5404633800222p-6, -0x1.4f6587e276eb9p-6, -0x1.4ad289db9eef2p-6, -0x1.464b7fdfe84bfp-6, -0x1.41d089a9b1077p-6, -0x1.3d61c7ee03eep-6, -0x1.38ff544f1dbb4p-6, -0x1.34a938596e4e6p-6, -0x1.305f674e2a116p-6, -0x1.2c21bb683d1bbp-6, -0x1.27eff6167a261p-6, -0x1.23c9c6013ed3ep-6, -0x1.1faed06f8d19cp-6, -0x1.1b9ebceb6eaefp-6, -0x1.1799414ca2d05p-6, -0x1.139e2c08d58edp-6, -0x1.0fad6b5895071p-6, -0x1.0bc70fe0f516ap-6, -0x1.07eb48e1dc4aap-6, -0x1.041a5c070f86cp-6, -0x1.005499626d0bap-6, -0x1.f9349779ebe99p-7, -0x1.f1d753aca8aeap-7, -0x1.ea9194d0bbdbfp-7, -0x1.e3633ab62e44p-7, -0x1.dc4bd64101f4bp-7, -0x1.d54ab5dea332bp-7, -0x1.ce5efb0f53a2ep-7, -0x1.c787b5c336d8bp-7, -0x1.c0c40085e89p-7, -0x1.ba13196ae8b4cp-7, -0x1.b37474ff76fdcp-7, -0x1.ace7c9af0fbecp-7, -0x1.a66d12ed8ee43p-7, -0x1.a0048be15311dp-7, -0x1.99aea4322223bp-7, -0x1.936be808dbe6dp-7, -0x1.8d3cebffdf5ebp-7, -0x1.872231f91ecc5p-7, -0x1.811c0db8ebfcdp-7, -0x1.7b2a982105d8ep-7, -0x1.754da7f9c5e97p-7, -0x1.6f84d844c9f3ep-7, -0x1.69cf988621756p-7, -0x1.642d435639d36p-7, -0x1.5e9d36653fc41p-7, -0x1.591ee6c4a3527p-7, -0x1.53b1ebff6c534p-7, -0x1.4e55ff39c8e8p-7, -0x1.490af0b282f21p-7, -0x1.43d098f8e3e8dp-7, -0x1.3ea6cc4797acbp-7, -0x1.398d568c51c8ep-7, -0x1.34840233304f5p-7, -0x1.2f8aa498f31f3p-7, -0x1.2aa129bf8cf55p-7, -0x1.25c797c43385bp-7, -0x1.20fe07e69228ep-7, -0x1.1c4497fb796e8p-7, -0x1.179b5a19dc426p-7, -0x1.13024b2f0ad0cp-7, -0x1.0e7955d42f743p-7, -0x1.0a00609175ca8p-7, -0x1.0597608c09f47p-7, -0x1.013e65dada71ep-7, -0x1.f9eb2fe74c7e1p-8, -0x1.f17a3f30041c8p-8, -0x1.e92a08a29124p-8, -0x1.e0fa178ed12a1p-8, -0x1.d8e954778c916p-8, -0x1.d0f61f09bc8bbp-8, -0x1.c91e93bf25c15p-8, -0x1.c160e67ef002cp-8, -0x1.b9bbaa99930a4p-8, -0x1.b22dfe34848b9p-8, -0x1.aab779d330a66p-8, -0x1.a358134c5a321p-8, -0x1.9c1000724a5d7p-8, -0x1.94dfbc5d1efbap-8, -0x1.8dc80ce2b02c8p-8, -0x1.86ca01097bed3p-8, -0x1.7fe6d1f4ebdb3p-8, -0x1.791fafbca5bcfp-8, -0x1.72757e15b3cdbp-8, -0x1.6be8a42694207p-8, -0x1.6578e2523ee34p-8, -0x1.5f256d12fab92p-8, -0x1.58ecd1fc5b25ap-8, -0x1.52cd699fb2f68p-8, -0x1.4cc58a41997abp-8, -0x1.46d402235fb4bp-8, -0x1.40f83734b7672p-8, -0x1.3b31ffcd7e16fp-8, -0x1.3581200e2b556p-8, -0x1.2fe4c786617cp-8, -0x1.2a5b712191593p-8, -0x1.24e3569770021p-8, -0x1.1f7b46a7c889ep-8, -0x1.1a2363f90c178p-8, -0x1.14dd57b7bd76bp-8, -0x1.0fabd09918dd8p-8, -0x1.0a9189fffa4c7p-8, -0x1.0590552b0ca09p-8, -0x1.00a891b5af9a2p-8, -0x1.f7b26b5eee708p-9, -0x1.ee406f56d5bf7p-9, -0x1.e4f6373edeb2ap-9, -0x1.dbcf0b2bd7ca6p-9, -0x1.d2c79852d6914p-9, -0x1.c9dedf403a981p-9, -0x1.c116766b714f5p-9, -0x1.b871bc35afaf1p-9, -0x1.aff41c1ea9026p-9, -0x1.a79f3abf57ee5p-9, -0x1.9f72090bacca1p-9, -0x1.9769234189c1p-9, -0x1.8f801ddb068afp-9, -0x1.87b3112c9a875p-9, -0x1.7fffde8e73dd9p-9, -0x1.7866d37445299p-9, -0x1.70ea643a81568p-9, -0x1.698e1528d5f24p-9, -0x1.625518a9031b8p-9, -0x1.5b413a659e223p-9, -0x1.545259829b0aep-9, -0x1.4d865c27b39b2p-9, -0x1.46d9825ddc213p-9, -0x1.40471f9fd6dc3p-9, -0x1.39cae7e3824acp-9, -0x1.33628f2fc1274p-9, -0x1.2d0ed51058478p-9, -0x1.26d30dfb5df8dp-9, -0x1.20b3389342d55p-9, -0x1.1ab1ddbbd8bc5p-9, -0x1.14cf2d9098ec6p-9, -0x1.0f09a19281f2ap-9, -0x1.095f41887c9d7p-9, -0x1.03cef00181b4p-9, -0x1.fcb1d5c8e8b34p-10, -0x1.f1fcf3bfc2469p-10, -0x1.e780e30ef070bp-10, -0x1.dd3b8cc3e37b1p-10, -0x1.d3271f47b5e26p-10, -0x1.c93d056db93a4p-10, -0x1.bf7956b322469p-10, -0x1.b5dc5d02c1ac5p-10, -0x1.ac69780ff9159p-10, -0x1.a3245aaa0daafp-10, -0x1.9a0da5882b305p-10, -0x1.9122ba62cc0d3p-10, -0x1.885d6fae88e65p-10, -0x1.7fb83e21bf02p-10, -0x1.7730e98942943p-10, -0x1.6eca512147301p-10, -0x1.668a3b24e37dcp-10, -0x1.5e753eff3e44ep-10, -0x1.568bef025bdf7p-10, -0x1.4ecab363675a4p-10, -0x1.472c99d110c04p-10, -0x1.3fafd398dd2efp-10, -0x1.38578fa492c08p-10, -0x1.31287f644088ap-10, -0x1.2a2499b1e2e1ap-10, -0x1.234a88f52fad4p-10, -0x1.1c97c1b760073p-10, -0x1.1609be345ce33p-10, -0x1.0f9da06758e59p-10, -0x1.094fa4fba31e7p-10, -0x1.031ba0fec9af2p-10, -0x1.f9fe0df685c8p-11, -0x1.edf67d61d2e99p-11, -0x1.e22b553fb032bp-11, -0x1.d6a7f9e5cf8bep-11, -0x1.cb6d36d8e48c9p-11, -0x1.c06b572339bc8p-11, -0x1.b58c58122cddfp-11, -0x1.aac9d4ce9ffc5p-11, -0x1.a0352194ecad8p-11, -0x1.95e48921e622bp-11, -0x1.8bdba592f090cp-11, -0x1.820ac72d84b6fp-11, -0x1.7864680d061afp-11, -0x1.6eeb6afd40bdp-11, -0x1.65a91767ddd4ap-11, -0x1.5c9e79c84637ep-11, -0x1.53c4657763a7ap-11, -0x1.4b135be5f2e32p-11, -0x1.428835774708cp-11, -0x1.3a2457d58d809p-11, -0x1.31ec11fcd8e07p-11, -0x1.29e475e2272e8p-11, -0x1.2211496b2327ep-11, -0x1.1a73fac249563p-11, -0x1.130a2d99fcbbfp-11, -0x1.0bcc6f5f79481p-11, -0x1.04b15da05f2ddp-11, -0x1.fb705bcf42569p-12, -0x1.edd62f00aca2p-12, -0x1.e099e0e475a7bp-12, -0x1.d3954c9ba6bccp-12, -0x1.c6a34b922839dp-12, -0x1.b9dd41240e198p-12, -0x1.ad79f831b171fp-12, -0x1.a17f127fd9fa5p-12, -0x1.95c963ed4c78ap-12, -0x1.8a4e5d71a4169p-12, -0x1.7f1e71c64a773p-12, -0x1.743ca9b3a2ad8p-12, -0x1.699aa92629b0bp-12, -0x1.5f2b9afed41d4p-12, -0x1.54eb6ab089b8fp-12, -0x1.4adb4b27efc44p-12, -0x1.40fd3a1945e5dp-12, -0x1.37522397cc6ebp-12, -0x1.2dd9e2db62a38p-12, -0x1.249497381d256p-12, -0x1.1b842956e4395p-12, -0x1.12ad4d144903ep-12, -0x1.0a172c09c71d1p-12, -0x1.01ca312f72053p-12, -0x1.f3989a0aa0f07p-13, -0x1.e42b27cb23471p-13, -0x1.d51bf372fb924p-13, -0x1.c6512ae4380f9p-13, -0x1.b7ce1898b9958p-13, -0x1.a98aa60164cfcp-13, -0x1.9b7d64c37699p-13, -0x1.8dc224caf008cp-13, -0x1.80661de22ed96p-13, -0x1.735e56f603c2ep-13, -0x1.66c057c10a25ap-13, -0x1.5a9b7b87d0b3ep-13, -0x1.4ed35c71178d7p-13, -0x1.4349b6b310702p-13, -0x1.37f644dfde1a4p-13, -0x1.2cdd489ffa3dfp-13, -0x1.22045c3acbe5cp-13, -0x1.176e99189e513p-13, -0x1.0d1cc1f3037ap-13, -0x1.030e548453bb8p-13, -0x1.f2847fa096034p-14, -0x1.df6dc20cef95cp-14, -0x1.ccd34442d94a9p-14, -0x1.baaf48cad27f2p-14, -0x1.a8ff804acbec4p-14, -0x1.97c84b284fea9p-14, -0x1.8712dbe3c1b67p-14, -0x1.76e512da082cep-14, -0x1.674b53dc41765p-14, -0x1.585e5f9cc3cacp-14, -0x1.4a25d5265b6d5p-14, -0x1.3c5a235624316p-14, -0x1.2eb2f695dd71fp-14, -0x1.215b4764e17f8p-14, -0x1.144049cee2851p-14, -0x1.072fc255e66bap-14, -0x1.f54798d93174ap-15, -0x1.ddcaa3b8e5dbp-15, -0x1.c74bd8d005464p-15, -0x1.b1439338042c8p-15, -0x1.9ba328cc2997bp-15, -0x1.8685154bee783p-15, -0x1.71ff8407e96e2p-15, -0x1.5e1bc98bd34cbp-15, -0x1.4adb498eba138p-15, -0x1.383a7ecf70327p-15, -0x1.263435ee1b078p-15, -0x1.14c373f945694p-15, -0x1.03e40d6391441p-15, -0x1.e72726b32bccdp-16, -0x1.c7a12e20f06p-16, -0x1.a930f82a99053p-16, -0x1.8bcb21e9a3ae3p-16, -0x1.6f5ea1b5bd834p-16, -0x1.53dd29759357ep-16, -0x1.39408f206ef26p-16, -0x1.1f7fd73e7ecd2p-16, -0x1.06828a90a81dp-16, -0x1.dce42f07cb465p-17, -0x1.b063e81108d51p-17, -0x1.87f089032f0ebp-17, -0x1.6058b3a590f33p-17, -0x1.3890b09895bbep-17, -0x1.104f8d4fac584p-17, -0x1.d3377d1b9b8b9p-18, -0x1.8d7749a57c864p-18, -0x1.4c076d5341a52p-18, -0x1.0c3c541c02638p-18, -0x1.9c2f719ac5726p-19, -0x1.244f5741e23fdp-19, -0x1.62f607b41c10ep-20, -0x1.0f9608076ae12p-21, 0x1.242af3c6e0f3bp-22, 0x1.0fa78250402d1p-20, 0x1.cc733619a32a7p-20, 0x1.3feaf78f56e6ap-19, 0x1.9510cde159c6bp-19, 0x1.e5d2eb098840ep-19, 0x1.192a20d65f03ap-18, 0x1.3d560010f25ep-18, 0x1.5f71f6a56d6d7p-18, 0x1.7f8582dfbd715p-18, 0x1.9da46da8a26bdp-18, 0x1.b9e973398753p-18, 0x1.d471282e8081fp-18, 0x1.ed51dd42a44f7p-18, 0x1.025609e79ced8p-17, 0x1.0d415eac31b2cp-17, 0x1.17854d0dd5eb8p-17, 0x1.20f2fd92fc2abp-17, 0x1.290889f33cafap-17, 0x1.2fda91bcbb37cp-17, 0x1.364823ac22e9bp-17, 0x1.3cd192554393p-17, 0x1.42a8ebd285908p-17, 0x1.47669d9b172fap-17, 0x1.4b5a72566a9b8p-17, 0x1.4ee04848643e4p-17, 0x1.51f2ba6f623ddp-17, 0x1.547d3d083a819p-17, 0x1.567afbeab76cp-17, 0x1.57ee83d8bb4ccp-17, 0x1.58db7181979d2p-17, 0x1.5946ec4319704p-17, 0x1.59369b9063aeep-17, 0x1.58af4b1861e2cp-17, 0x1.57b5ec3f5fc55p-17, 0x1.564b13f3b3aefp-17, 0x1.5481506101e84p-17, 0x1.52422a0581662p-17, 0x1.4fa75b9e70fp-17, 0x1.4cae1c16dada4p-17, 0x1.49578e1583dccp-17, 0x1.45aa3446209a1p-17, 0x1.41a90d2d271e2p-17, 0x1.3d5681c7d123ap-17, 0x1.38b74828ad413p-17, 0x1.33ccd3337adfbp-17, 0x1.2ea10b53f4e8ep-17, 0x1.292e74421b692p-17, 0x1.2379a4af87699p-17, 0x1.1d85f9105796ep-17, 0x1.17581f57d6c6fp-17, 0x1.10f4b46cd57e3p-17, 0x1.0a57b35cb2a03p-17, 0x1.038c7bc32adc2p-17, 0x1.f9179df881e2bp-18, 0x1.eab2ac4da8a77p-18, 0x1.dc0aa1ceabc03p-18, 0x1.cd0e741b7f7ap-18, 0x1.bdbc4a87e2d5cp-18, 0x1.ae1c02841b63ep-18, 0x1.9e360fc8f66a8p-18, 0x1.8e0f73aca34d4p-18, 0x1.7dac9d27a3679p-18, 0x1.6d11b5b9c9fefp-18, 0x1.5c42aeb69a69bp-18, 0x1.4b43449ffde8cp-18, 0x1.3a1714526436cp-18, 0x1.28c19d98b4e6fp-18, 0x1.174620da76c41p-18, 0x1.05a795e902981p-18, 0x1.e7d1c12155e6ap-19, 0x1.c41a6998dc3a4p-19, 0x1.a0312f77c5555p-19, 0x1.7c1bd2770a6b9p-19, 0x1.57e3419841645p-19, 0x1.3380135be9fa8p-19, 0x1.0f2e154fc7739p-19, 0x1.d5261cc8812bp-20, 0x1.8bf24eeda6102p-20, 0x1.429fd9c985d93p-20, 0x1.f26f896f53cc4p-21, 0x1.5f9aa10a618e9p-21, 0x1.99a1dba5db8ap-22, 0x1.cd4886196c1cdp-24, -0x1.659b03b4058cfp-23, -0x1.d606e381fb723p-22, -0x1.7dce89bb44c34p-21, -0x1.0749f44c65dd7p-20, -0x1.4f6c423e1181cp-20, -0x1.97af5a5c4b363p-20, -0x1.df32cee2d78c8p-20, -0x1.13698b1328d7ep-19, -0x1.37299ca9a7ddep-19, -0x1.5ac883cde56b6p-19, -0x1.7e200056e4bedp-19, -0x1.a14868b7dd9bfp-19, -0x1.c43d5954f9546p-19, -0x1.e6fdcd49a46b2p-19, -0x1.04c3b2a5f413fp-18, -0x1.15e4afe4c69aap-18, -0x1.26e4a8853801ep-18, -0x1.37c9d528ea438p-18, -0x1.4882df6cf1a17p-18, -0x1.591e9c0ce50a7p-18, -0x1.699a61da06509p-18, -0x1.79e1c840ea72p-18, -0x1.8a18a9c36ab0ep-18, -0x1.9a1ff820ca50ep-18, -0x1.a9fc6397a3106p-18, -0x1.b9b0392413bdbp-18, -0x1.c943691f54baep-18, -0x1.d8a648752c51cp-18, -0x1.e7dee5fe446d8p-18, -0x1.f6ec98f1a09c7p-18, -0x1.02e84f5c49d14p-17, -0x1.0a42ea75af79fp-17, -0x1.11883d33ad3e3p-17, -0x1.18b478ead8df7p-17, -0x1.1fc8c71f5aac4p-17, -0x1.26cd4178e5a32p-17, -0x1.2dc5a26fe8823p-17, -0x1.3496bedadcb0ap-17, -0x1.3b3c9f647d5d2p-17, -0x1.41db6696b5edfp-17, -0x1.4873ca71fb24p-17, -0x1.4ee6fcbf4396bp-17, -0x1.553030ae3ddd6p-17, -0x1.5b6bb39a52123p-17, -0x1.6194d736015cfp-17, -0x1.67a3f8681aba5p-17, -0x1.6d9bec6c7a054p-17, -0x1.7379fa8caf499p-17, -0x1.793efc70e8331p-17, -0x1.7eea88f8c0a27p-17, -0x1.847c981c7db82p-17, -0x1.89f46e1c7256ap-17, -0x1.8f552ca37c9cfp-17, -0x1.949bd2b98b88fp-17, -0x1.99cb94ddb8513p-17, -0x1.9ee17b4a18492p-17, -0x1.a3db6d2ca665ep-17, -0x1.a8bc26933f66cp-17, -0x1.ad85e78876a0ap-17, -0x1.b23a7a39a6789p-17, -0x1.b6d4b7795d59ep-17, -0x1.bb51f9c068113p-17, -0x1.bfb82604c8375p-17, -0x1.c404e4beb88e2p-17, -0x1.c839a149eacd1p-17, -0x1.cc589854c2474p-17, -0x1.d05aeee70c8a2p-17, -0x1.d447b0a2e0251p-17, -0x1.d81b410620122p-17, -0x1.dbd686f9672bbp-17, -0x1.df79b14b4756ep-17, -0x1.e302ab18c28c3p-17, -0x1.e6773fffa415fp-17, -0x1.e9d9ea556d8b1p-17, -0x1.ed1c9214a215cp-17, -0x1.f04329decdd03p-17, -0x1.f35ae831282b2p-17, -0x1.f65675503cb4ep-17, -0x1.f9407608fa922p-17, -0x1.fc0f5f7418293p-17, -0x1.fecc29b6e5c5bp-17, -0x1.00ba8f390a545p-16, -0x1.01ff1b260315ap-16, -0x1.033860b1c489ep-16, -0x1.0468e35ee7052p-16, -0x1.058ea6bf4366fp-16, -0x1.06a937c18ae9ep-16, -0x1.07b94fe032395p-16, -0x1.08be814b4615p-16, -0x1.09b9f8a3b8fb9p-16, -0x1.0aaad4b3d9113p-16, -0x1.0b8da21fc904dp-16, -0x1.0c694d542b5aep-16, -0x1.0d3a24b4bef8ep-16, -0x1.0e0087c29be29p-16, -0x1.0ebe1412bc9acp-16, -0x1.0f717a3df411p-16, -0x1.101a1f4cf128cp-16, -0x1.10b95f1b8526cp-16, -0x1.114d2fcaaef23p-16, -0x1.11d7a95fc1244p-16, -0x1.125c70f3c6372p-16, -0x1.12d730ac7b934p-16, -0x1.1346b2913a77dp-16, -0x1.13accd74e3bc4p-16, -0x1.140afa63b66aep-16, -0x1.145ec33d6b1a3p-16, -0x1.14ac554d751a2p-16, -0x1.14ed26757e1acp-16, -0x1.1528dd3eff526p-16, -0x1.1559a33595426p-16, -0x1.1583690b0f76cp-16, -0x1.15a466f52b75dp-16, -0x1.15be02f2f294p-16, -0x1.15ceafeda5995p-16, -0x1.15d73b07602fp-16, -0x1.15d7d7f4b6e57p-16, -0x1.15d1e75366737p-16, -0x1.15c2a5df3b978p-16, -0x1.15ab305a890fp-16, -0x1.158e3203ad473p-16, -0x1.1568de08e3131p-16, -0x1.153be7420f90ap-16, -0x1.1507a70d7f988p-16, -0x1.14c8948ac2a1dp-16, -0x1.148a0b8151263p-16, -0x1.1441aedfbc2c5p-16, -0x1.13f1507587b5cp-16, -0x1.139aefcaa763bp-16, -0x1.133ca549dfb31p-16, -0x1.12da279fa5203p-16, -0x1.12718fcccf1a8p-16, -0x1.11ffaeb074cc7p-16, -0x1.11892d1fa01e1p-16, -0x1.110beb2cf545fp-16, -0x1.1088d137bf4e4p-16, -0x1.1000e8b7247c4p-16, -0x1.0f713f99b818ap-16, -0x1.0edb406a82d71p-16, -0x1.0e410e30a45c1p-16, -0x1.0da50d2e5dc0bp-16, -0x1.0cfb9bea2f27dp-16, -0x1.0c54bc6ce1a3bp-16, -0x1.0ba53c3bc7485p-16, -0x1.0af06806a7746p-16, -0x1.0a3428182b717p-16, -0x1.097668d8a61b4p-16, -0x1.08b312d2efd4dp-16, -0x1.07e9c48fce2dep-16, -0x1.071cd8a1f6414p-16, -0x1.064a9e3ea4036p-16, -0x1.0573fb6edfae7p-16, -0x1.0497cc3b04238p-16, -0x1.03bd272d679ap-16, -0x1.02d4bb0b6a528p-16, -0x1.01ed86c289c8fp-16, -0x1.0101f76f5f003p-16, -0x1.001274858ff6ep-16, -0x1.fe40a1ef21f77p-17, -0x1.fc4bc0d294126p-17, -0x1.fa5456acc3964p-17, -0x1.f854ef4f8e897p-17, -0x1.f64e60538bf51p-17, -0x1.f441a3780793cp-17, -0x1.f2306ae487aedp-17, -0x1.f01084a926ce6p-17, -0x1.edf14e0eb3371p-17, -0x1.ebc97903b94fep-17, -0x1.e99b257d6a3fp-17, -0x1.e767e6fd6fb8cp-17, -0x1.e52bcde32b218p-17, -0x1.e2edb1e94bc02p-17, -0x1.e0a305700e5fcp-17, -0x1.de58c6d1a546p-17, -0x1.dc0618a03ce58p-17, -0x1.d9c4ea0c166e7p-17, -0x1.d75a2e0189dbdp-17, -0x1.d4f6100607b29p-17, -0x1.d29a43243cb68p-17, -0x1.d02714e8f8cap-17, -0x1.cdb7921fb828p-17, -0x1.cb47af7e3850fp-17, -0x1.c8d25b3cf48e1p-17, -0x1.c655ca81d068bp-17, -0x1.c3d996442c65dp-17, -0x1.c15776c1076f3p-17, -0x1.bec9d755cb305p-17, -0x1.bc46b0fc9d0b7p-17, -0x1.b9b3d89f172d2p-17, -0x1.b721df834add4p-17, }}, 
      {{0x1.8f501c4beea59p-3, 0x1.79213b81f3cfp-2, 0x1.03154ef76f84ep-1, 0x1.34beca24bf4a4p-1, 0x1.524895b345a59p-1, 0x1.5e74b7017ad7fp-1, 0x1.5cf1c8f81be8ap-1, 0x1.5196887ede673p-1, 0x1.3fe9985dbf4b8p-1, 0x1.2ae3c89aacfedp-1, 0x1.14dac22ea6554p-1, 0x1.ff09a6be7416dp-2, 0x1.d81500cefd148p-2, 0x1.b63c474b9ef59p-2, 0x1.9a2991c343096p-2, 0x1.83faf73ec5edep-2, 0x1.736b435c2ef12p-2, 0x1.67f3bcd6f1eeep-2, 0x1.60e7081122658p-2, 0x1.5d85c306b6edbp-2, 0x1.5d0db84268272p-2, 0x1.5ec4958ba216cp-2, 0x1.61ff078c9dbc2p-2, 0x1.6625024f7bc7ap-2, 0x1.6ab3e31953df9p-2, 0x1.6f3efa2fdbc85p-2, 0x1.736ef1aa509f1p-2, 0x1.770070f000794p-2, 0x1.79c242a78971p-2, 0x1.7b9336696e95fp-2, 0x1.7c5fea6385a5bp-2, 0x1.7c209be28a776p-2, 0x1.7ad70e6b2e3dfp-2, 0x1.788c9e0a8bb6cp-2, 0x1.755081a67014cp-2, 0x1.713644fbcb81dp-2, 0x1.6c546fbc6c6ecp-2, 0x1.66c36c76c2ca5p-2, 0x1.609c8f8641774p-2, 0x1.59f95b26b6f5p-2, 0x1.52f2e03ab0377p-2, 0x1.4ba141bc0cd3bp-2, 0x1.441b5df8dcf21p-2, 0x1.3c768b0dd9ed2p-2, 0x1.34c669f7e516ap-2, 0x1.2d1ccdc6990e5p-2, 0x1.2589b1e71c9fdp-2, 0x1.1e1b38805ea62p-2, 0x1.16ddb5f3155efp-2, 0x1.0fdbc0a8e5fb7p-2, 0x1.091e4879814b9p-2, 0x1.02acaf90ad48fp-2, 0x1.f919c9ed526fap-3, 0x1.ed8707207f661p-3, 0x1.e2a7df1697d8bp-3, 0x1.d880e6815a52dp-3, 0x1.cf14b99ea840bp-3, 0x1.c664322abb9a7p-3, 0x1.be6e9b4178f04p-3, 0x1.b731e2c902b42p-3, 0x1.b0aac9e8e8825p-3, 0x1.aad50fd5f70c4p-3, 0x1.a5ab9872b2934p-3, 0x1.a128917930b54p-3, 0x1.9d4592a21e54cp-3, 0x1.99fbbc16f3e4fp-3, 0x1.9743d0c831e2bp-3, 0x1.95164ed5eaa45p-3, 0x1.936b86439cdb1p-3, 0x1.923ba9a224436p-3, 0x1.917ee1b4ce325p-3, 0x1.912d5baf324d9p-3, 0x1.913f5423f143cp-3, 0x1.91ad23e5b0252p-3, 0x1.926f48cd767adp-3, 0x1.937e6e828f64ep-3, 0x1.94d372e28180ep-3, 0x1.96676e34e28c2p-3, 0x1.9833b78badad9p-3, 0x1.9a31e5c80886ep-3, 0x1.9c5bd4c38587ap-3, 0x1.9eaba61fe6616p-3, 0x1.a11bc323e7046p-3, 0x1.a3a6dcfecb9eap-3, 0x1.a647ecdb5b928p-3, 0x1.a8fa33d86af3cp-3, 0x1.abb939dc16cedp-3, 0x1.ae80ce32a80ddp-3, 0x1.b14d0314aea59p-3, 0x1.b41a2f1f13b43p-3, 0x1.b6e4e9d944af1p-3, 0x1.b9aa0a8f74b53p-3, 0x1.bc66a544d773fp-3, 0x1.bf1809d721fcp-3, 0x1.c1bbc0ee454b4p-3, 0x1.c44f88d3c8e38p-3, 0x1.c6d154e932d66p-3, 0x1.c93f4a2e2f6ebp-3, 0x1.cb97bd06312a7p-3, 0x1.cdd92e4ab5fbp-3, 0x1.d0024a5156baap-3, 0x1.d211e4db2a75fp-3, 0x1.d406f8ac46dd1p-3, 0x1.d5e0a3960055ep-3, 0x1.d79e256c72862p-3, 0x1.d93edda0f321ap-3, 0x1.dac249037a9c9p-3, 0x1.dc27ffe9a1a23p-3, 0x1.dd6fb4eb78f2bp-3, 0x1.de9931954c2bfp-3, 0x1.dfa455c4f6714p-3, 0x1.e09116ad97595p-3, 0x1.e15f7c21fc1dfp-3, 0x1.e20f9e200b00dp-3, 0x1.e2a1a5c3c76c4p-3, 0x1.e315cae8b9f6ep-3, 0x1.e36c5204940e4p-3, 0x1.e3a58c0c2e3c6p-3, 0x1.e3c1d4af323a8p-3, 0x1.e3c1919ab43d1p-3, 0x1.e3a531f3217a2p-3, 0x1.e36d2b296c32cp-3, 0x1.e319fb0478cf7p-3, 0x1.e2ac257351386p-3, 0x1.e224331474632p-3, 0x1.e182b1fcdb0d9p-3, 0x1.e0c832e2be5d6p-3, 0x1.dff54b7be89cep-3, 0x1.df0a928a55fdep-3, 0x1.de08a3631d363p-3, 0x1.dcf0185c5bd0ep-3, 0x1.dbc18e22afda7p-3, 0x1.da7da366848fap-3, 0x1.d924f5342bbefp-3, 0x1.d7b8220a901d4p-3, 0x1.d637c7752dd03p-3, 0x1.d4a482a3eb00ep-3, 0x1.d2feefdaf43fdp-3, 0x1.d147aa71987d3p-3, 0x1.cf7f4b9ae3cd7p-3, 0x1.cda66c9f1737ep-3, 0x1.cbbda2e473d49p-3, 0x1.c9c5830d29966p-3, 0x1.c7bea05febca4p-3, 0x1.c5a98ace2b7b3p-3, 0x1.c386cffab69fcp-3, 0x1.c156fc073988cp-3, 0x1.bf1a9834ec969p-3, 0x1.bcd22a5a1bf7cp-3, 0x1.ba7e3731c8117p-3, 0x1.b81f3f477b701p-3, 0x1.b5b5c1d51c0eep-3, 0x1.b3423aaae84adp-3, 0x1.b0c522ce807b1p-3, 0x1.ae3ef0746799cp-3, 0x1.abb016e6a359ep-3, 0x1.a91907bfbcf97p-3, 0x1.a67a307c45f52p-3, 0x1.a3d3fc66a283p-3, 0x1.a126d401cadcbp-3, 0x1.9e731d880cea5p-3, 0x1.9bb93b675ed24p-3, 0x1.98f98e71d0ecfp-3, 0x1.963474936c075p-3, 0x1.936a48ce77e3ap-3, 0x1.909b63eaedd5ap-3, 0x1.8dc81be8fdf79p-3, 0x1.8af0c489c8945p-3, 0x1.8815aede424b3p-3, 0x1.85372a3c8ace5p-3, 0x1.825582b9ef789p-3, 0x1.7f7101e3005ecp-3, 0x1.7c89f09e35456p-3, 0x1.79a0948168ea6p-3, 0x1.76b530cba8228p-3, 0x1.73c8073bce3ebp-3, 0x1.70d95758a927ap-3, 0x1.6de95de86a2c6p-3, 0x1.6af8573015b28p-3, 0x1.68067bd17db04p-3, 0x1.6514044537eadp-3, 0x1.622126169fd3cp-3, 0x1.5f2e15abf4e91p-3, 0x1.5c3b04c740e8fp-3, 0x1.5948249e6f1ap-3, 0x1.5655a425ba0c8p-3, 0x1.5363b0878b69bp-3, 0x1.50727613dd73bp-3, 0x1.4d821f37252a5p-3, 0x1.4a92d4b9f2047p-3, 0x1.47a4bdf1f5157p-3, 0x1.44b801aab0313p-3, 0x1.41ccc4566dc61p-3, 0x1.3ee3297a5b4d3p-3, 0x1.3bfb53799e6d4p-3, 0x1.3915637e14a9fp-3, 0x1.3631791864b2bp-3, 0x1.334fb2c4bd36p-3, 0x1.30702ed293e3dp-3, 0x1.2d930937b58e5p-3, 0x1.2ab85d7d39121p-3, 0x1.27e0460dbf63ap-3, 0x1.250adc4db9ffbp-3, 0x1.2238389d4f959p-3, 0x1.1f6872b0d272fp-3, 0x1.1c9ba0c5c4b72p-3, 0x1.19d1d8c14ffddp-3, 0x1.170b2f857d452p-3, 0x1.1447b8f0ac96fp-3, 0x1.11878826a971bp-3, 0x1.0ecab00bda894p-3, 0x1.0c1141e219d72p-3, 0x1.095b4e3aea05ep-3, 0x1.06a8e5c7631e8p-3, 0x1.03fa1812f2b74p-3, 0x1.014ef3a9c3588p-3, 0x1.fd4f0d4f31c37p-4, 0x1.f807bd891fc72p-4, 0x1.f2c811f719b2p-4, 0x1.ed9022988c51cp-4, 0x1.e860071607ee2p-4, 0x1.e337d5c6e9b5cp-4, 0x1.de17a3d216e6dp-4, 0x1.d8ff854430d82p-4, 0x1.d3ef8d2a932edp-4, 0x1.cee7cd9a5645cp-4, 0x1.c9e857aa9b06ap-4, 0x1.c4f13b64a799ap-4, 0x1.c0028796381ccp-4, 0x1.bb1c4c14d049p-4, 0x1.b63e94197d451p-4, 0x1.b1696cb392954p-4, 0x1.ac9ce2bdd8c1cp-4, 0x1.a7d9000de0903p-4, 0x1.a31dcee801612p-4, 0x1.9e6b588294a43p-4, 0x1.99c1a5b282111p-4, 0x1.9520bed7fe255p-4, 0x1.9088a9fa5442p-4, 0x1.8bf96d4bf5ea5p-4, 0x1.8773101e69384p-4, 0x1.82f596ae12ddep-4, 0x1.7e810565c39ap-4, 0x1.7a15601fa4f84p-4, 0x1.75b2aaba7dd5p-4, 0x1.7158e71c39975p-4, 0x1.6d0817ccac3f9p-4, 0x1.68c03e667248p-4, 0x1.64815bc5d3445p-4, 0x1.604b7055d10dbp-4, 0x1.5c1e7d0e50491p-4, 0x1.57fa803143508p-4, 0x1.53df788c9441ep-4, 0x1.4fcd662a0d1efp-4, 0x1.4bc4461d29a84p-4, 0x1.47c41626eb1ecp-4, 0x1.43ccd39033722p-4, 0x1.3fde7b9c00beap-4, 0x1.3bf90a052cb97p-4, 0x1.381c7ae6a67ccp-4, 0x1.3448ca0d19924p-4, 0x1.307df2a4ee3fcp-4, 0x1.2cbbefa74fb53p-4, 0x1.2902bb5a5ea0ep-4, 0x1.2552507465219p-4, 0x1.21aaa84bb0c06p-4, 0x1.1e0bbc7021ef1p-4, 0x1.1a7585f993239p-4, 0x1.16e7fe6b3cdbdp-4, 0x1.13631df7bb6dap-4, 0x1.0fe6dcde9de71p-4, 0x1.0c7332a1a5e5p-4, 0x1.09081866d7161p-4, 0x1.05a584b22dc95p-4, 0x1.024b6f01d8768p-4, 0x1.fdf39d7d8e44bp-5, 0x1.f761333d05919p-5, 0x1.f0df8df4f0583p-5, 0x1.ea6e9a80c89ffp-5, 0x1.e40e44459d0f9p-5, 0x1.ddbe776c0e9cp-5, 0x1.d77f1fe957ap-5, 0x1.d15027bdecaeep-5, 0x1.cb317a6a372e5p-5, 0x1.c52301e036a65p-5, 0x1.bf24a80ebbc05p-5, 0x1.b93656acb0f5ap-5, 0x1.b357f6ffca534p-5, 0x1.ad897207bc25ap-5, 0x1.a7cab07dc5747p-5, 0x1.a21b9adaf1405p-5, 0x1.9c7c1933f321fp-5, 0x1.96ec13a19c1d6p-5, 0x1.916b71b12580dp-5, 0x1.8bfa1adfb29fbp-5, 0x1.8697f65a291c5p-5, 0x1.8144eb198e41bp-5, 0x1.7c00dfee98d59p-5, 0x1.76cbbb7ba4474p-5, 0x1.71a56429e54eap-5, 0x1.6c8dc029db90fp-5, 0x1.6784b55610a2dp-5, 0x1.628a297b8415ap-5, 0x1.5d9e04fb3b09ap-5, 0x1.58c02910ca9c8p-5, 0x1.53f07d46d6ff1p-5, 0x1.4f2ee96916129p-5, 0x1.4a7b4f5ae98e3p-5, 0x1.45d5943c75faep-5, 0x1.413d9fccbaabfp-5, 0x1.3cb3562eb3418p-5, 0x1.38369c4b06eddp-5, 0x1.33c7556e4410fp-5, 0x1.2f6568c379e3p-5, 0x1.2b10b8b92d016p-5, 0x1.26c92c3c12321p-5, 0x1.228ea7706f1c9p-5, 0x1.1e610e64aadfp-5, 0x1.1a4045dc5a63cp-5, 0x1.162c32bf41eccp-5, 0x1.1224b96c5b6eap-5, 0x1.0e29be6ef487ep-5, 0x1.0a3b26afd9024p-5, 0x1.0658d6d429fb3p-5, 0x1.0282b36743d82p-5, 0x1.fd7142230a043p-6, 0x1.f5f508fbc0968p-6, 0x1.ee908429e9cafp-6, 0x1.e7437fe2c7d91p-6, 0x1.e00dc1f17389ap-6, 0x1.d8ef14269b849p-6, 0x1.d1e74433ca594p-6, 0x1.caf618ecab6f2p-6, 0x1.c41b5c76ffda7p-6, 0x1.bd56d8e8e3ffdp-6, 0x1.b6a85bd705b6dp-6, 0x1.b00faa88ba865p-6, 0x1.a98c90af79a65p-6, 0x1.a31edc666aba7p-6, 0x1.9cc655d471d31p-6, 0x1.9682c8c1bf8a9p-6, 0x1.905400a1742bap-6, 0x1.8a39c8b9119b6p-6, 0x1.8433ec826bbb7p-6, 0x1.7e4237edbba74p-6, 0x1.78647742f77a3p-6, 0x1.729a76bddcb74p-6, 0x1.6ce402685ac4cp-6, 0x1.6740e9441c80dp-6, 0x1.61b0f606f82efp-6, 0x1.5c33f5863da27p-6, 0x1.56c9b51300e9ep-6, 0x1.517205bfb26d4p-6, 0x1.4c2cb2e5e4489p-6, 0x1.46f98b048491cp-6, 0x1.41d85c953dcf1p-6, 0x1.3cc8f7f8d9cadp-6, 0x1.37cb2a9db0bc9p-6, 0x1.32dec373e1df5p-6, 0x1.2e03948473ffdp-6, 0x1.29396c23301ffp-6, 0x1.24801aaec9f0cp-6, 0x1.1fd770de0f065p-6, 0x1.1b3f3f7ee772ap-6, 0x1.16b7577c23422p-6, 0x1.123f8a927fd15p-6, 0x1.0dd7aa672c971p-6, 0x1.097f8925a518cp-6, 0x1.0536f921a710ap-6, 0x1.00fdccd3efdb1p-6, 0x1.f9a7adc0c3d0bp-7, 0x1.f171de72ba80fp-7, 0x1.e959c6ec3c51cp-7, 0x1.e15f0ff57e187p-7, 0x1.d981688aa30c8p-7, 0x1.d1c076259350cp-7, 0x1.ca1be5a75aee6p-7, 0x1.c2935edaccd21p-7, 0x1.bb268d56584f1p-7, 0x1.b3d51d7133ba6p-7, 0x1.ac9ebbff09904p-7, 0x1.a583166fc07cbp-7, 0x1.9e81dad451d9p-7, 0x1.979ab7de88ee6p-7, 0x1.90cd5ce4c59b1p-7, 0x1.8a1979d1dc7dap-7, 0x1.837ebee3a1581p-7, 0x1.7cfcdc2cac53ep-7, 0x1.7693893090b43p-7, 0x1.70427135b6a43p-7, 0x1.6a0947ec88ad3p-7, 0x1.63e7c855ffbfdp-7, 0x1.5ddda1cb264ep-7, 0x1.57ea8a984b725p-7, 0x1.520e38daf8553p-7, 0x1.4c48631a16afp-7, 0x1.4698c37b29e0bp-7, 0x1.40ff11fd732c1p-7, 0x1.3b7b02684806ep-7, 0x1.360c4e865a68fp-7, 0x1.30b2b74708e2bp-7, 0x1.2b6df27d2c948p-7, 0x1.263dbbf6b1828p-7, 0x1.2121d0362c9p-7, 0x1.1c19ebf17b9aep-7, 0x1.1725cc608a114p-7, 0x1.12452f710d539p-7, 0x1.0d77d3a9a37cp-7, 0x1.08bd77fd4b7dap-7, 0x1.0415dc22f346ep-7, 0x1.ff018208a26fep-8, 0x1.f5fbd2b3fdef5p-8, 0x1.ed1a34f234adcp-8, 0x1.e45c1c128c19cp-8, 0x1.dbc117bf1faeap-8, 0x1.d348b591482e6p-8, 0x1.caf27bbc3ff23p-8, 0x1.c2bdf4b9666c5p-8, 0x1.baaaa9bb3ebd7p-8, 0x1.b2b826363f602p-8, 0x1.aae5f7bece2b5p-8, 0x1.a333ad45fc9d7p-8, 0x1.9ba0d57e578a6p-8, 0x1.942d0be1f4cdep-8, 0x1.8cd7d59e32ac8p-8, 0x1.85a0c740fea5cp-8, 0x1.7e8783c4360e1p-8, 0x1.778b986446c46p-8, 0x1.70ac9e6f77a23p-8, 0x1.69ea2f1e9844bp-8, 0x1.6343e41933a16p-8, 0x1.5cb9581f9b413p-8, 0x1.564a286e5a7b8p-8, 0x1.4ff5e9cd50d2fp-8, 0x1.49bc46ad700d4p-8, 0x1.439cd300c614fp-8, 0x1.3d97357d41fefp-8, 0x1.37ab16a2f2854p-8, 0x1.31d8139437e48p-8, 0x1.2c1dd1c01444bp-8, 0x1.267bf470c1b3dp-8, 0x1.20f2263a8531fp-8, 0x1.1b801154d982bp-8, 0x1.1625562ff9ddfp-8, 0x1.10e19c9ded219p-8, 0x1.0bb48cd8268d3p-8, 0x1.069dcfa1d7b78p-8, 0x1.019d0ece2dd62p-8, 0x1.f963ea99273f2p-9, 0x1.efb86a7f2ab87p-9, 0x1.e63707633e73ap-9, 0x1.dcdf0ed10a0b5p-9, 0x1.d3aff2d074022p-9, 0x1.caa9384dbf125p-9, 0x1.c1ca3ba5d05e1p-9, 0x1.b912698b1a838p-9, 0x1.b081371899e1fp-9, 0x1.a8160fd8e2fd8p-9, 0x1.9fd03f04d8ee1p-9, 0x1.97af4a12d44fp-9, 0x1.8fb28b19e7d5ep-9, 0x1.87d968ed5c9fp-9, 0x1.80235ae0d6848p-9, 0x1.788fc170a1fc4p-9, 0x1.711e183c392b8p-9, 0x1.69cde1a1e44c3p-9, 0x1.629e9635204a8p-9, 0x1.5b8fbe355e9bp-9, 0x1.54a0e518fc63cp-9, 0x1.4dd196206f337p-9, 0x1.47216531979ecp-9, 0x1.408fe1707828bp-9, 0x1.3a1c9450347b5p-9, 0x1.33c70891ac5a1p-9, 0x1.2d8ec08e04f1bp-9, 0x1.27733bc296224p-9, 0x1.2173f96e6a4c1p-9, 0x1.1b907bdfa2cafp-9, 0x1.15c84ba953c04p-9, 0x1.101af7cc20a24p-9, 0x1.0a88102699cfep-9, 0x1.050f23203dc97p-9, 0x1.ff5f85be083aep-10, 0x1.f4d30cc0034a1p-10, 0x1.ea780b2e7640ap-10, 0x1.e04db6d5b33ccp-10, 0x1.d653536e32e43p-10, 0x1.cc882d89d1a52p-10, 0x1.c2eb96a8d51cap-10, 0x1.b97cdee2bb15ap-10, 0x1.b03b527c19eeap-10, 0x1.a7263878df62dp-10, 0x1.9e3cd1a33fb3dp-10, 0x1.957e5fb403d48p-10, 0x1.8cea2ad7fe7fep-10, 0x1.847f813b8a025p-10, 0x1.7c3db31d90b7cp-10, 0x1.7424101653021p-10, 0x1.6c31e678e6fa9p-10, 0x1.646682ad0ed1fp-10, 0x1.5cc1301b17f3ep-10, 0x1.55413a5612ebfp-10, 0x1.4de5edd0f595ap-10, 0x1.46aebc6707a24p-10, 0x1.3f9ae7fb7f931p-10, 0x1.38a9da698b86ep-10, 0x1.31daea28d43fep-10, 0x1.2b2dd8007db36p-10, 0x1.24a1e037b60d1p-10, 0x1.1e3676228a962p-10, 0x1.17eb2374b8305p-10, 0x1.11bf8809590fdp-10, 0x1.0bb3117de5198p-10, 0x1.05c539886639ep-10, 0x1.ffeb0b392bcc8p-11, 0x1.f486e7ed037b5p-11, 0x1.e95d00d4ea54dp-11, 0x1.de6c3f7761838p-11, 0x1.d3b37beeb7befp-11, 0x1.c931d57b00285p-11, 0x1.bee60204fe0ecp-11, 0x1.b4cf35bb5dc05p-11, 0x1.aaec202f1544bp-11, 0x1.a13bdd83c47f5p-11, 0x1.97bd3fdb0da4p-11, 0x1.8e6f76b8db89bp-11, 0x1.8551abb106c63p-11, 0x1.7c632d14c810fp-11, 0x1.73a34bab7b779p-11, 0x1.6b1149ac73dep-11, 0x1.62ac586d36668p-11, 0x1.5a73a412dc62bp-11, 0x1.526661203fd9fp-11, 0x1.4a83d245c081cp-11, 0x1.42cb44c58cc92p-11, 0x1.3b3c0828eb9b1p-11, 0x1.33d567f8827bp-11, 0x1.2c96aa66970aep-11, 0x1.257f11275df42p-11, 0x1.1e8dd789b226p-11, 0x1.17c22c26ad51dp-11, 0x1.111b2cb03ae0cp-11, 0x1.0a97f4e1ef129p-11, 0x1.0437c3b9aec61p-11, 0x1.fbf40e6abe762p-12, 0x1.efbc75158ec5dp-12, 0x1.e3c7c1e9a97a6p-12, 0x1.d814f3762ea4ap-12, 0x1.cca377e3fe7cap-12, 0x1.c1712d3a4123dp-12, 0x1.b67ca793b11d9p-12, 0x1.abc538a710cdp-12, 0x1.a148ee49ab2f3p-12, 0x1.9706a7a30be99p-12, 0x1.8cfd64a818c18p-12, 0x1.832c3b3e39758p-12, 0x1.7992818b53a03p-12, 0x1.702f8d0d88bb7p-12, 0x1.6701ae0ba978fp-12, 0x1.5e089f2c20651p-12, 0x1.5542c691b9d0cp-12, 0x1.4caec2024c57cp-12, 0x1.444b52b684955p-12, 0x1.3c1767676fc73p-12, 0x1.34123540ceca7p-12, 0x1.2c3b20c0b65c2p-12, 0x1.2491874092a7p-12, 0x1.1d1518f93f629p-12, 0x1.15c4bb26e6e94p-12, 0x1.0e9ef125ab0adp-12, 0x1.07a3f3f3dd60ap-12, 0x1.00d24064281c8p-12, 0x1.f451e3a368c74p-13, 0x1.e74e02a3f95b8p-13, 0x1.da96c8edb209ap-13, 0x1.ce2a4f89ae67bp-13, 0x1.c2070fea0f5b4p-13, 0x1.b62be0877c19dp-13, 0x1.aa97a7a5fc7bbp-13, 0x1.9f49a325bd491p-13, 0x1.94411b7ac1f49p-13, 0x1.897a7ad49b3bcp-13, 0x1.7ef5073d38e64p-13, 0x1.74aeb99f50b66p-13, 0x1.6aa7283413f08p-13, 0x1.60dc35cdbf8a4p-13, 0x1.574d8e3304f1dp-13, 0x1.4dfa461bc3bfbp-13, 0x1.44e0fdda86aap-13, 0x1.3c00259d267b8p-13, 0x1.335676f4328a8p-13, 0x1.2ae31035deaa8p-13, 0x1.22a5334d06da1p-13, 0x1.1a9c4ddc1df61p-13, 0x1.12c6880667dafp-13, 0x1.0b232a376a8b3p-13, 0x1.03b03f825ba3cp-13, 0x1.f8d8ae57daac3p-14, 0x1.eaafd2f6d3cb3p-14, 0x1.dce1b20e0363ap-14, 0x1.cf6c9c17272c4p-14, 0x1.c24ec6017f38bp-14, 0x1.b58628d1edc01p-14, 0x1.a91082ce3724dp-14, 0x1.9ceb80ad65898p-14, 0x1.91157a4a5babfp-14, 0x1.858d43959792ap-14, 0x1.7a514ccde3b83p-14, 0x1.6f6047a5c701fp-14, 0x1.64b8668fbe7bcp-14, 0x1.5a57678558fp-14, 0x1.503cabd76cc6cp-14, 0x1.4663faac3b2cfp-14, 0x1.3ccec11537fbfp-14, 0x1.337b1fe7076cbp-14, 0x1.2a67367b03c07p-14, 0x1.2191be3f229fap-14, 0x1.18f970f0c0f71p-14, 0x1.109ced92b31dap-14, 0x1.087ac5e500f79p-14, 0x1.009195a801879p-14, 0x1.f1c04399c5035p-15, 0x1.e2caab3017038p-15, 0x1.d43ff95257d1ap-15, 0x1.c61d09812ad32p-15, 0x1.b8603b8981364p-15, 0x1.ab0643e8ccc3ep-15, 0x1.9e0d445165b1p-15, 0x1.9170d2c09c6aep-15, 0x1.852f477e0b35bp-15, 0x1.794a95224189bp-15, 0x1.6dba910864d53p-15, 0x1.627e73b135b48p-15, 0x1.57974aff06ccbp-15, 0x1.4cff51696ca5fp-15, 0x1.42b5848b687c6p-15, 0x1.38b94ef450387p-15, 0x1.2f0900b7faea6p-15, 0x1.25a2298254e39p-15, 0x1.1c82d490bfc84p-15, 0x1.13a97505833eep-15, 0x1.0b143ab750956p-15, 0x1.02c1500d0482dp-15, 0x1.f55e4e5867c8bp-16, 0x1.e5b7a34ed252fp-16, 0x1.d693c62928244p-16, 0x1.c7e35ecf46ea3p-16, 0x1.b9a82adf39606p-16, 0x1.abe3fb9df1944p-16, 0x1.9e8d94a2748f9p-16, 0x1.91a405149e9fap-16, 0x1.852426a28419p-16, 0x1.790bc2ef5ee33p-16, 0x1.6d651ccf69344p-16, 0x1.6219572839201p-16, 0x1.572b15ac92e2p-16, 0x1.4ca20bfcf47a7p-16, 0x1.4267ee67ae54fp-16, 0x1.3889101c1783dp-16, 0x1.2efbbcb4cb623p-16, 0x1.25c45499577eep-16, 0x1.1cdaff721986p-16, 0x1.14416a253dac7p-16, 0x1.0bf332f4c0cbep-16, 0x1.03ef0fae8697bp-16, 0x1.f866a4d8cab62p-17, 0x1.e97a19268d0e6p-17, 0x1.db200fe4e8fb9p-17, 0x1.cd407ca5659f6p-17, 0x1.bfe467645dcb6p-17, 0x1.b308f4a38fd8fp-17, 0x1.a6a76a7a7ae5p-17, 0x1.9abd8a29e8af7p-17, 0x1.8f48bd14e9b1ap-17, 0x1.844455f56d338p-17, 0x1.79a9b1059e207p-17, 0x1.6f77210cc3eebp-17, 0x1.65ad9fb09cf56p-17, 0x1.5c4858f763f0bp-17, 0x1.53415ebd6092cp-17, 0x1.4a9f5097f0fap-17, 0x1.4260305774222p-17, 0x1.3a7330d88cc03p-17, 0x1.32db5ecf010cdp-17, 0x1.2b9ab37f858a8p-17, 0x1.24a582b3d6042p-17, 0x1.1dfc8fe504d6p-17, 0x1.17a020bb5c0d6p-17, 0x1.118cfee639ad3p-17, 0x1.0bb4495f7ca87p-17, 0x1.062708bc4896bp-17, 0x1.00e8d1e30f64bp-17, 0x1.f7bbf2b2fd3cdp-18, 0x1.ee1b892e6a9a3p-18, 0x1.e5075e4a6fc67p-18, 0x1.dc4b5f568b11dp-18, 0x1.d41c1dbbc967fp-18, 0x1.cc4e946f130a3p-18, 0x1.c4e2dc2468741p-18, 0x1.bdeb9b0e4ef4fp-18, 0x1.b74deba933c89p-18, 0x1.b1050d13f636dp-18, 0x1.ab173a8fd1a51p-18, 0x1.a585c43885871p-18, 0x1.a04c615f1af1ep-18, 0x1.9b64d01b1c3bfp-18, 0x1.96c7e8e5d1faap-18, 0x1.9276bdfc76205p-18, 0x1.8e6e654dd0287p-18, 0x1.8aadb1805c685p-18, 0x1.87315b135a33cp-18, 0x1.83f7c3d86b3ebp-18, 0x1.80fd8a3ffda03p-18, 0x1.7e3d22af74d0cp-18, 0x1.7bb71e0354193p-18, 0x1.796c1df9a3a5ap-18, 0x1.774b1fa4c58fp-18, 0x1.755ea0efc5cbfp-18, 0x1.739f1816b915cp-18, 0x1.720e872632544p-18, 0x1.70a37a86ca959p-18, 0x1.6f6a534edf689p-18, 0x1.6e5bbae5b6c76p-18, 0x1.6d6f6186febbcp-18, 0x1.6ca6e42fe1cfp-18, 0x1.6bf6c2256c127p-18, 0x1.6b880104f453cp-18, 0x1.6b1de50a48bc2p-18, 0x1.6ac6b23432602p-18, 0x1.6a9faae62aabdp-18, 0x1.6a9367aaa11c7p-18, 0x1.6a9b0635293b6p-18, 0x1.6abb942501f3p-18, 0x1.6af57908681b5p-18, 0x1.6b420fe7a6803p-18, 0x1.6b9d6fbbb6e56p-18, 0x1.6c0e6920ddf27p-18, 0x1.6c953b05be67fp-18, 0x1.6d28245cd6408p-18, 0x1.6dc1970b1ea76p-18, 0x1.6e70f71762b8ep-18, 0x1.6f28f01ae1dd6p-18, 0x1.6ff6f110ad635p-18, 0x1.70cb4d9c96aedp-18, 0x1.71a9d8790da62p-18, 0x1.7291183721fadp-18, 0x1.737f4751c8a33p-18, 0x1.746dfb829a4f9p-18, 0x1.7578ac438d416p-18, 0x1.7673f1a10300ep-18, 0x1.776fd00195089p-18, 0x1.78801a6e40e69p-18, 0x1.79929c18d48bbp-18, 0x1.7aa0586eb721cp-18, 0x1.7bae55aaa293ap-18, 0x1.7cc51a1c9c9e6p-18, 0x1.7dd76cc5fc5c4p-18, 0x1.7edf4976f0224p-18, 0x1.7ff1c1fbe3b8p-18, 0x1.810ad98bac1dap-18, 0x1.820ca22f1b1aap-18, 0x1.8316cd173eeb1p-18, 0x1.8442bf2ed731ap-18, 0x1.853827e87ea3fp-18, 0x1.863c1dd183111p-18, 0x1.874373d4e71f1p-18, 0x1.883814874ca91p-18, 0x1.892c6124f7cd7p-18, 0x1.8a20578d9c78ep-18, 0x1.8b10be408316ep-18, 0x1.8bfb75f611499p-18, 0x1.8cd261d7765a9p-18, 0x1.8da6146f52965p-18, 0x1.8e83050efa36p-18, 0x1.8f4ed05bcbb92p-18, 0x1.900eea27ae6b4p-18, 0x1.90df7c9f02a04p-18, 0x1.919307cab62c7p-18, 0x1.9240d3faeed81p-18, 0x1.92e8746fee2p-18, 0x1.9386e62fca691p-18, 0x1.941862bd6b6d1p-18, 0x1.94a6cd84babe2p-18, 0x1.952a0b606238dp-18, 0x1.95a33214e590ap-18, 0x1.9619b0b61789cp-18, 0x1.9684c0dcbd2d1p-18, 0x1.96e5dc4e722efp-18, 0x1.973d0db652277p-18, 0x1.978a5cb31faadp-18, 0x1.97ce1f6c749fdp-18, 0x1.9808accafbceap-18, 0x1.9839c32ddd762p-18, 0x1.9860b2411a69ap-18, 0x1.987d597dd9c63p-18, 0x1.989044187e12cp-18, 0x1.98991b0c1229ep-18, 0x1.98919312cf958p-18, 0x1.989013350061fp-18, 0x1.9877ee91d0eadp-18, 0x1.984fe365adb37p-18, 0x1.9832fdd5949cp-18, 0x1.9803d7b627fbfp-18, 0x1.97c837c760bfp-18, 0x1.97819a6f5d329p-18, 0x1.97339e5958b8fp-18, 0x1.96d9f2a3c4995p-18, 0x1.9672153bd8c03p-18, 0x1.96011447abb77p-18, 0x1.958a821a84ee2p-18, 0x1.950ceb97a294dp-18, 0x1.947f188860932p-18, 0x1.93e9affb70dcdp-18, 0x1.934b81ef01c2dp-18, 0x1.92a5e2e2295fep-18, 0x1.91fbd9d6cf41p-18, 0x1.9143748c30df2p-18, 0x1.907bc5181bbdp-18, 0x1.8fb0c971e4041p-18, 0x1.8edd80e70e25dp-18, 0x1.8df06dc3a924ap-18, 0x1.8d03ea04b593cp-18, 0x1.8c18337ec5497p-18, 0x1.8b2963de61c7ep-18, 0x1.8a26caaa7372bp-18, 0x1.891eb4fbe44efp-18, 0x1.880612e20c092p-18, 0x1.86ee919207c9cp-18, 0x1.85c3e478296dp-18, 0x1.84997a760323ap-18, 0x1.8363e3412d6cep-18, 0x1.82347341cc138p-18, 0x1.80e749150aca3p-18, 0x1.7f9b84b56d0a3p-18, 0x1.7e4281c347c3bp-18, 0x1.7ce25505a0024p-18, 0x1.7b887dd14e565p-18, 0x1.7a1e286eff86fp-18, 0x1.78ad576db2235p-18, 0x1.77347952a4a84p-18, 0x1.75b9d80899c61p-18, 0x1.7434ac341ab96p-18, 0x1.72a269ec5ce9cp-18, 0x1.711788889acd8p-18, 0x1.6f75517a37366p-18, 0x1.6dd602a5da932p-18, 0x1.6c357f6913766p-18, 0x1.6a7d04ec775f5p-18, 0x1.68cb1fcc4f92ap-18, 0x1.67137941fa799p-18, 0x1.6553a19e05f26p-18, 0x1.638e72c476005p-18, 0x1.61c0927e09e2ap-18, 0x1.5ff9db1815da3p-18, 0x1.5e2655af18c7ap-18, 0x1.5c436618a197ap-18, 0x1.5a6860dde2f6ap-18, 0x1.588476155898ap-18, 0x1.569b3a34c72f4p-18, 0x1.54adb217ee7dep-18, 0x1.52bbb1f741bb3p-18, 0x1.50c4b7ef318bfp-18, 0x1.4ec9b2ac4c324p-18, 0x1.4cc978d857717p-18, 0x1.4ac7b4544a0ddp-18, 0x1.48c0dd092e082p-18, 0x1.46b2903c99142p-18, 0x1.449d1b16b6acfp-18, 0x1.427e30aab5a4fp-18, 0x1.4083a629dd426p-18, 0x1.3e6b510e7c14fp-18, 0x1.3c329375da90dp-18, 0x1.3a1b32b07709ep-18, 0x1.37f6a5428e39ap-18, 0x1.35ced533072f9p-18, 0x1.33a79bf8907bdp-18, 0x1.31774e327c8f9p-18, 0x1.2f47c8465fe6dp-18, 0x1.2d15123e1122dp-18, 0x1.2ae441dad562ap-18, 0x1.28ac5d77b7deep-18, 0x1.266cdabdf59edp-18, 0x1.2433059bf6afbp-18, 0x1.21ef2df9dc76bp-18, 0x1.1facba705ccecp-18, 0x1.1d671bf4d4e01p-18, 0x1.1b3337670b3dbp-18, 0x1.18e4508cee2f7p-18, 0x1.169f5dc2a3e94p-18, 0x1.1458d7cd1beb6p-18, 0x1.120fbefa293fp-18, 0x1.0fbbfbf1946b4p-18, 0x1.0d6e4323af884p-18, 0x1.0b230c72e255ep-18, 0x1.08d5e0a556719p-18, 0x1.0686a25e9565p-18, 0x1.04342a603a1c6p-18, 0x1.01e4ca24dcca4p-18, 0x1.ff22cc00060d8p-19, 0x1.fa829a22a17b3p-19, 0x1.f5ded1ff092f9p-19, 0x1.f12a715e8ebf3p-19, 0x1.ec7dc2b6f716cp-19, 0x1.e7d315d5ca69dp-19, 0x1.e3221b82b5091p-19, 0x1.de82f3c8910d8p-19, 0x1.d9dcad06c12a1p-19, 0x1.d5237844968a6p-19, 0x1.d07d0a2c656d9p-19, 0x1.cbcbf651b7db5p-19, 0x1.c712acbc82096p-19, 0x1.c27d8de880301p-19, 0x1.bddb9badf5e9dp-19, 0x1.b9318f2f81d55p-19, 0x1.b4875b8bd8b3ep-19, 0x1.afe14c72fb77fp-19, 0x1.ab3a550c0d1e8p-19, 0x1.a69c3857544a5p-19, 0x1.a1f85bf452246p-19, 0x1.9d494b9679946p-19, 0x1.988b1b1d27ffap-19, 0x1.94130cdf47913p-19, 0x1.8f6f109575057p-19, 0x1.8ae8c7f8169bbp-19, 0x1.864b766253815p-19, 0x1.81b1eef28a129p-19, 0x1.7d4510b1a75abp-19, 0x1.788eef0f5bca5p-19, 0x1.740456eb09831p-19, 0x1.6f81789e28976p-19, 0x1.6afe8c772701ep-19, 0x1.6679f99122493p-19, 0x1.61f73904ff5aap-19, 0x1.5d7b37ceb340bp-19, 0x1.58f3b7d5c9225p-19, 0x1.54856927a8294p-19, 0x1.501059e06676ap-19, 0x1.4b90401b79e02p-19, 0x1.4739d865423eap-19, 0x1.42c6233c87b61p-19, 0x1.3e62ccbfddaa6p-19, 0x1.3a116c804e8c8p-19, 0x1.35ab8ef7adc55p-19, 0x1.3159b9b7e0fb1p-19, 0x1.2d011e40d6ce8p-19, 0x1.28ac323bd5c63p-19, 0x1.245e759446f54p-19, 0x1.2017c71fe8de1p-19, 0x1.1bcdbe57260b9p-19, 0x1.17897aa74c6d4p-19, 0x1.1369a67e75feap-19, 0x1.0f226a59561bfp-19, 0x1.0afcf7d9fb45ep-19, 0x1.06da1e04df9cp-19, 0x1.02a20a412d3e7p-19, 0x1.fcf02e72f4a29p-20, 0x1.f4cc208963158p-20, 0x1.eca7857afbdb4p-20, 0x1.e477e922916ffp-20, 0x1.dc620e4b94323p-20, 0x1.d443be64ba2c6p-20, 0x1.cc42b33200472p-20, 0x1.c42b83ee1ddedp-20, 0x1.bc41584ec3aebp-20, 0x1.b46316998dc2bp-20, 0x1.ac86ce7e110e7p-20, 0x1.a4bc1968d8b1dp-20, 0x1.9d0187586cfc4p-20, 0x1.9552c14c5fa8p-20, 0x1.8d7ef9c5aef86p-20, 0x1.85d5475ba26bp-20, 0x1.7e3bcac9beceep-20, 0x1.76ad7688d7e0fp-20, 0x1.6f2b4e3380cb8p-20, 0x1.67b90debe1f85p-20, 0x1.603f1318db0b4p-20, 0x1.58e7f62cc902p-20, 0x1.5193bfa11ea56p-20, 0x1.4a49ec639fd48p-20, 0x1.430be6921b062p-20, 0x1.3bd2178f3db6ap-20, 0x1.34b2bfdb963cdp-20, 0x1.2d90c2e03972dp-20, 0x1.267e3af43c3c2p-20, 0x1.1f7a129efd9f8p-20, 0x1.18ee81dfc2131p-20, 0x1.119f5bff66b8bp-20, 0x1.0aba01b2eee18p-20, 0x1.03ee2bce01beap-20, 0x1.fa38ca9d4a8f4p-21, 0x1.ecb636f6f0b64p-21, 0x1.df734ccda486ap-21, 0x1.d23fbbca204f3p-21, 0x1.c50aacf4b8dc8p-21, 0x1.b814a071613a8p-21, 0x1.ab0eb0f184ed7p-21, 0x1.9df9394bf795cp-21, 0x1.917d9abc4d2c2p-21, 0x1.84a277a4d7643p-21, 0x1.78080efcaa639p-21, }}, 
      {{0x1.092eeaeefd7f5p-2, 0x1.360134bddb7b5p-1, 0x1.f59d2fb1da354p-1, 0x1.4551cb0f7ce45p+0, 0x1.6f6f026a79be4p+0, 0x1.79f9f11d8dca7p+0, 0x1.6beca57ed9ecap+0, 0x1.4e3017815fad2p+0, 0x1.291ad239a1376p+0, 0x1.0342911956709p+0, 0x1.c252eb9e0e6a7p-1, 0x1.8aca83a703f31p-1, 0x1.61fb1ae4d8c81p-1, 0x1.47b0e67deb5fbp-1, 0x1.3a3fb9767fb9p-1, 0x1.372b1762be154p-1, 0x1.3ba64967442b8p-1, 0x1.44ee9f28b6efdp-1, 0x1.508585603bcd9p-1, 0x1.5c51379d0011fp-1, 0x1.66aa9772dd93p-1, 0x1.6e5dcff72787p-1, 0x1.72a2554f8dab9p-1, 0x1.730dc7a748157p-1, 0x1.6f84559caec85p-1, 0x1.6828808a60789p-1, 0x1.5d4b817c0372ep-1, 0x1.4f5f0ed8943b8p-1, 0x1.3ee8fb0fe3618p-1, 0x1.2c78d77665e0cp-1, 0x1.189f9f8b6111bp-1, 0x1.03e9508fc35aap-1, 0x1.ddb074fbc5289p-2, 0x1.b3c3a21dfa8bcp-2, 0x1.8ad97944114d4p-2, 0x1.639fdfa64cbc6p-2, 0x1.3ea509a7d901ep-2, 0x1.1c586dccec23ep-2, 0x1.fa19143c673f7p-3, 0x1.c1f28e3a0d20bp-3, 0x1.907d6344ba1d9p-3, 0x1.65cfc771995edp-3, 0x1.41dbf74a86c8bp-3, 0x1.2475ff1d3a089p-3, 0x1.0d593a16f5981p-3, 0x1.f85ade2312a68p-4, 0x1.e116f124ef65dp-4, 0x1.d402d56b40b75p-4, 0x1.d02c74c39dfa8p-4, 0x1.d499c99ad76a3p-4, 0x1.e04e446e14924p-4, 0x1.f24f4e1b3954ep-4, 0x1.04d3fba0dfb7fp-3, 0x1.12b5f6041fd4cp-3, 0x1.225cdf037b1dap-3, 0x1.335e4f619b7cep-3, 0x1.4556cfe714511p-3, 0x1.57ea42b91c17ep-3, 0x1.6ac41dd080ba7p-3, 0x1.7d977df811c65p-3, 0x1.901f1a4bac675p-3, 0x1.a21d1e78096b6p-3, 0x1.b35af1cdd0ccbp-3, 0x1.c3a8f021a90abp-3, 0x1.d2de16dbbc44bp-3, 0x1.e0d7a9be98249p-3, 0x1.ed78d12491d68p-3, 0x1.f8aa34a81965bp-3, 0x1.012cca20bb625p-2, 0x1.053cb07c2d0bfp-2, 0x1.08802bfe1fc42p-2, 0x1.0af48fda9bfbfp-2, 0x1.0c98f4119f7d1p-2, 0x1.0d6e07a8261cep-2, 0x1.0d75e4fbcd983p-2, 0x1.0cb3e821f56dp-2, 0x1.0b2c87cf8e585p-2, 0x1.08e5306324d6bp-2, 0x1.05e421cfc36a5p-2, 0x1.02304ef9dd163p-2, 0x1.fba28153b5cf7p-3, 0x1.f19df351345d4p-3, 0x1.e663bc16b473dp-3, 0x1.da05375a0b119p-3, 0x1.cc942b6d37f2bp-3, 0x1.be22a22d524a4p-3, 0x1.aec2c78351bfcp-3, 0x1.9e86ca239c782p-3, 0x1.8d80bfb888599p-3, 0x1.7bc28d2d7c018p-3, 0x1.695dd092ac9fap-3, 0x1.5663cedc539d6p-3, 0x1.42e56301f7326p-3, 0x1.2ef2f1362998p-3, 0x1.1a9c5a15ae93bp-3, 0x1.05f0f23401f27p-3, 0x1.e1fef2bc21c94p-4, 0x1.b7ac2af825216p-4, 0x1.8d049aa0e082dp-4, 0x1.62220babee932p-4, 0x1.371d0087fb50ep-4, 0x1.0c0cb2784d3b9p-4, 0x1.c20e2554321cp-5, 0x1.6c41973399f25p-5, 0x1.16da8cb80e3c9p-5, 0x1.83fab77d60219p-6, 0x1.b72fbc1dd9371p-7, 0x1.a65d0b1d6846ap-9, -0x1.c0be13cfe2096p-8, -0x1.1323938f5b9eep-6, -0x1.b3dee27bd0062p-6, -0x1.2919f7f0a8a5ap-5, -0x1.76fc9fbe2997cp-5, -0x1.c3849afb06a4fp-5, -0x1.075077c1dcffcp-4, -0x1.2c2134f604148p-4, -0x1.502dc24cdf09dp-4, -0x1.737028637eae3p-4, -0x1.95e333fdb43ffp-4, -0x1.b78268b6fddp-4, -0x1.d849f7668b093p-4, -0x1.f836b7d48e347p-4, -0x1.0ba30d2c02f2fp-3, -0x1.1abb102885022p-3, -0x1.2962ab2a4ce3fp-3, -0x1.37996356aa64p-3, -0x1.455ef9697b8a1p-3, -0x1.52b366d773125p-3, -0x1.5f96d8c96df1ep-3, -0x1.6c09ab297752fp-3, -0x1.780c6839e05a1p-3, -0x1.839fc3693b7fbp-3, -0x1.8ec49483e509cp-3, -0x1.997bd76e01019p-3, -0x1.a3c6a88b1f0dcp-3, -0x1.ada64064c360bp-3, -0x1.b71bf195edaa7p-3, -0x1.c029281a4f708p-3, -0x1.c8cf65145eebp-3, -0x1.d1103c0062dc6p-3, -0x1.d8ed51df4f865p-3, -0x1.e0685c2af9e98p-3, -0x1.e7831c5a17c02p-3, -0x1.ee3f5ec17443p-3, -0x1.f49efaab9d8cep-3, -0x1.faa3cff22efafp-3, -0x1.0027e1ef85e19p-2, -0x1.02d26084d492p-2, -0x1.05525ba84b0b5p-2, -0x1.07a8cc913d0c3p-2, -0x1.09d6aceea1e1bp-2, -0x1.0bdcf6bc187dap-2, -0x1.0dbca45d0f74bp-2, -0x1.0f76afa819c62p-2, -0x1.110c10e03a92p-2, -0x1.127dbf16a66c6p-2, -0x1.13ccaff36d419p-2, -0x1.14f9d74d56b2ap-2, -0x1.16062637f76eap-2, -0x1.16f28b2b1184ep-2, -0x1.17bff218d0591p-2, -0x1.186f44517989p-2, -0x1.190167893e5f6p-2, -0x1.19773df8d8a37p-2, -0x1.19d1a69100f28p-2, -0x1.1a117ce433acfp-2, -0x1.1a3798ce2ffcbp-2, -0x1.1a44ce0389b25p-2, -0x1.1a39ec6288a23p-2, -0x1.1a17c00896c4p-2, -0x1.19df113e89003p-2, -0x1.1990a428edf7fp-2, -0x1.192d38a1e4332p-2, -0x1.18b58a75bfabap-2, -0x1.182a51a65563cp-2, -0x1.178c42228e1d7p-2, -0x1.16dc0ba92b13dp-2, -0x1.161a59cd576b8p-2, -0x1.1547d41b804p-2, -0x1.14651e5ccdf75p-2, -0x1.1372d853cb79dp-2, -0x1.12719dd8a0a05p-2, -0x1.116206ab892e9p-2, -0x1.1044a6d2c243ap-2, -0x1.0f1a0e95ae24ap-2, -0x1.0de2ca98f052bp-2, -0x1.0c9f63d14acb6p-2, -0x1.0b505f6776f4dp-2, -0x1.09f63ef9ffc45p-2, -0x1.089180bddfe07p-2, -0x1.07229f8cb7403p-2, -0x1.05aa12d7e9f47p-2, -0x1.04284ebb2934ep-2, -0x1.029dc406986c3p-2, -0x1.010ae05ffb2a8p-2, -0x1.fee01ccead51fp-3, -0x1.fb9b6b7508494p-3, -0x1.f84875fe237d6p-3, -0x1.f4e7ffa3e0af6p-3, -0x1.f17ac617675bfp-3, -0x1.ee01816c1a017p-3, -0x1.ea7ce46843599p-3, -0x1.e6ed9c93e0303p-3, -0x1.e35452484c2a6p-3, -0x1.dfb1a8b239ca8p-3, -0x1.dc063e2b4ea64p-3, -0x1.d852ac26fd567p-3, -0x1.d497878bea42ap-3, -0x1.d0d560c41efcdp-3, -0x1.cd0cc3bc5a556p-3, -0x1.c93e37f94006ep-3, -0x1.c56a40ca7befbp-3, -0x1.c1915d728bf22p-3, -0x1.bdb4091ec49f8p-3, -0x1.b9d2bb2f5cddep-3, -0x1.b5ede748b9dcp-3, -0x1.b205fd3fba824p-3, -0x1.ae1b6961d753bp-3, -0x1.aa2e945579b57p-3, -0x1.a63fe3800bd93p-3, -0x1.a24fb8e8bde6dp-3, -0x1.9e5e736b55a61p-3, -0x1.9a6c6eb8ae09ap-3, -0x1.967a0369f41dfp-3, -0x1.9287871e7bcdbp-3, -0x1.8e954c86aa668p-3, -0x1.8aa3a38d4b6b5p-3, -0x1.86b2d9640a707p-3, -0x1.82c33892fa103p-3, -0x1.7ed508ebbe938p-3, -0x1.7ae88fecd722ep-3, -0x1.76fe10734bf59p-3, -0x1.7315caf176cf9p-3, -0x1.6f2ffd9bc065cp-3, -0x1.6b4ce45bcb072p-3, -0x1.676cb8ecf054ap-3, -0x1.638fb2de99269p-3, -0x1.5fb607a8010f3p-3, -0x1.5bdfeabb58056p-3, -0x1.580d8d8a14f0dp-3, -0x1.543f1f92849ap-3, -0x1.5074ce808cbdep-3, -0x1.4caec62aca0f5p-3, -0x1.48ed30a29bfep-3, -0x1.453036344541cp-3, -0x1.4177fd911bb2ap-3, -0x1.3dc4abb1f9e2bp-3, -0x1.3a1664014057p-3, -0x1.366d48609ecb2p-3, -0x1.32c9792ad064bp-3, -0x1.2f2b153b9d30ep-3, -0x1.2b923a1b83566p-3, -0x1.27ff03e5d33a6p-3, -0x1.24718d46960f7p-3, -0x1.20e9efaf32542p-3, -0x1.1d6843438ec4bp-3, -0x1.19ec9ee8b1f94p-3, -0x1.1677184e57a0ep-3, -0x1.1307c3f8e921ap-3, -0x1.0f9eb54919ee3p-3, -0x1.0c3bfe83480bbp-3, -0x1.08dfb0cc9cb6dp-3, -0x1.0589dc52936a8p-3, -0x1.023a902bf7669p-3, -0x1.fde3b4d5ad88p-4, -0x1.f75f90790808cp-4, -0x1.f0e8cbacdc7efp-4, -0x1.ea7f7d0b30851p-4, -0x1.e423b9637acf7p-4, -0x1.ddd593cd75ac7p-4, -0x1.d7951db332083p-4, -0x1.d16266e7b6c56p-4, -0x1.cb3d7d9e5ba4ap-4, -0x1.c5266e864b6b5p-4, -0x1.bf1d44cd25ab9p-4, -0x1.b9220a3791bb3p-4, -0x1.b334c73338d1cp-4, -0x1.ad5582b367557p-4, -0x1.a784426551794p-4, -0x1.a1c10ab713e1ap-4, -0x1.9c0bdeca1be88p-4, -0x1.9664c08defd13p-4, -0x1.90cbb0de6f91p-4, -0x1.8b40af6079a18p-4, -0x1.85c3baa86be6ep-4, -0x1.8054d03523278p-4, -0x1.7af3ec838048p-4, -0x1.75a10b19ced6cp-4, -0x1.705c26849e9e9p-4, -0x1.6b25385ce2f0bp-4, -0x1.65fc3957a7dd5p-4, -0x1.60e12152aad99p-4, -0x1.5bd3e74a386ddp-4, -0x1.56d481712d82ap-4, -0x1.51e2e53013629p-4, -0x1.4cff0734bcabep-4, -0x1.4828db7194b04p-4, -0x1.436055204bcb1p-4, -0x1.3ea566cbd2d1fp-4, -0x1.39f8025cd13fep-4, -0x1.355819202702cp-4, -0x1.30c59bc71e9eep-4, -0x1.2c407a6a76eefp-4, -0x1.27c8a47e3e12ep-4, -0x1.235e091e6a374p-4, -0x1.1f0096c5a3381p-4, -0x1.1ab03b68220dap-4, -0x1.166ce49ae8a8bp-4, -0x1.12367f6c49ep-4, -0x1.0e0cf87c7eb13p-4, -0x1.09f03c0a442d7p-4, -0x1.05e035ee3dcecp-4, -0x1.01dcd199ad8dp-4, -0x1.fbcbf452b47d6p-5, -0x1.f3f734af8a65bp-5, -0x1.ec3b393c1495bp-5, -0x1.e497d63de4e8ap-5, -0x1.dd0cdf5f6cap-5, -0x1.d59a27c0ebce9p-5, -0x1.ce3f81fffeb9fp-5, -0x1.c6fcc03412731p-5, -0x1.bfd1b3fe39051p-5, -0x1.b8be2e9732d6ep-5, -0x1.b1c200d040b7fp-5, -0x1.aadcfb16a513ep-5, -0x1.a40eed796bcd5p-5, -0x1.9d57a7b5bb771p-5, -0x1.96b6f946e0668p-5, -0x1.902cb14d35712p-5, -0x1.89b89ec9bc92bp-5, -0x1.835a90603ff9cp-5, -0x1.7d12545bd3ba5p-5, -0x1.76dfb9230813ep-5, -0x1.70c28cd1ab702p-5, -0x1.6aba9d59d3a76p-5, -0x1.64c7b883d3725p-5, -0x1.5ee9ac1b65c23p-5, -0x1.592045ccfc294p-5, -0x1.536b532bba6e7p-5, -0x1.4dcaa1c320cc9p-5, -0x1.483dff011c853p-5, -0x1.42c5384ca6dfdp-5, -0x1.3d601b0ef42e9p-5, -0x1.380e74b7036f2p-5, -0x1.32d012bb5aab7p-5, -0x1.2da4c2a1723a7p-5, -0x1.288c520965e23p-5, -0x1.23868eb389aecp-5, -0x1.1e93467b25adep-5, -0x1.19b2474b155f3p-5, -0x1.14e35f2484714p-5, -0x1.10265c1ca9825p-5, -0x1.0b7b0c60edc05p-5, -0x1.06e13e31c57e8p-5, -0x1.0258bfebc261p-5, -0x1.fbc2c024598f8p-6, -0x1.f2f5dab7fc88dp-6, -0x1.ea4a6db5f22ffp-6, -0x1.e1c017d09a5e1p-6, -0x1.d9567839236eap-6, -0x1.d10d2ede98224p-6, -0x1.c8e3dc1c7a073p-6, -0x1.c0da20a73f673p-6, -0x1.b8ef9d6fdb307p-6, -0x1.b123f39c3a7c2p-6, -0x1.a976c455f51bap-6, -0x1.a1e7b125ad92ap-6, -0x1.9a765bee5d14ep-6, -0x1.9322673a87fe7p-6, -0x1.8beb766defca9p-6, -0x1.84d12e06d1193p-6, -0x1.7dd333bf026a2p-6, -0x1.76f12e424e36dp-6, -0x1.702ac54774649p-6, -0x1.697fa10883feap-6, -0x1.62ef6a3c88bb9p-6, -0x1.5c79c9a052a7dp-6, -0x1.561e67a56b54cp-6, -0x1.4fdcec9ead108p-6, -0x1.49b500e4ad599p-6, -0x1.43a64d2fc2a1ep-6, -0x1.3db07b0d31191p-6, -0x1.37d33557a5ff4p-6, -0x1.320e2894d959ap-6, -0x1.2c6103200da8ap-6, -0x1.26cb7519cfb4dp-6, -0x1.214d301c1f1ddp-6, -0x1.1be5e6b195fabp-6, -0x1.16954b9677e7ap-6, -0x1.115b11635b584p-6, -0x1.0c36e9fdc01b3p-6, -0x1.0728867decb1p-6, -0x1.022f978a852a3p-6, -0x1.fa979b33340cep-7, -0x1.f0f9b38c3fbddp-7, -0x1.e784dcf1ac5a7p-7, -0x1.de38807110202p-7, -0x1.d5140bbef68c9p-7, -0x1.cc16f15dfc6e4p-7, -0x1.c340a82d81e52p-7, -0x1.ba90aa358f78p-7, -0x1.b20672b2c742ap-7, -0x1.a9a17cd757f52p-7, -0x1.a16142753cc72p-7, -0x1.99453b6302d3fp-7, -0x1.914cdd89aaba7p-7, -0x1.89779da0eac1bp-7, -0x1.81c4f084eee69p-7, -0x1.7a344cce2ef71p-7, -0x1.72c52c3158dbap-7, -0x1.6b770c7547f3bp-7, -0x1.64496fd37f1afp-7, -0x1.5d3bdc7319f7ep-7, -0x1.564ddb8114217p-7, -0x1.4f7ef80e00ea2p-7, -0x1.48cebdc37011ep-7, -0x1.423cb83fd1621p-7, -0x1.3bc87285b6bf6p-7, -0x1.357177598ea3cp-7, -0x1.2f37521f0f685p-7, -0x1.29198fe21f51ep-7, -0x1.2317c0542c573p-7, -0x1.1d317674c4f08p-7, -0x1.1766489a78dc5p-7, -0x1.11b5cfe0f5e5ep-7, -0x1.0c1fa6ac2625dp-7, -0x1.06a366e466a5p-7, -0x1.0140a8815cdd9p-7, -0x1.f7ee00b96d0ddp-8, -0x1.ed8c002fe7014p-8, -0x1.e35a6e2241541p-8, -0x1.d95868cdd2cccp-8, -0x1.cf85133eed228p-8, -0x1.c5df9d1fc31e3p-8, -0x1.bc674289f8ca4p-8, -0x1.b31b56cc423a8p-8, -0x1.a9fb3d5fc7754p-8, -0x1.a1066babff1fcp-8, -0x1.983c602a35bc6p-8, -0x1.8f9c9b61a139ap-8, -0x1.8726966e4fad5p-8, -0x1.7ed9bb2120f28p-8, -0x1.76b55dbac9796p-8, -0x1.6eb8ba674be6ap-8, -0x1.66e2f882dfb92p-8, -0x1.5f333119d7e7bp-8, -0x1.57a878f58cf6p-8, -0x1.5041ec2db0537p-8, -0x1.48feb965c5091p-8, -0x1.41de2b3828cf2p-8, -0x1.3adfadb8a5fd2p-8, -0x1.3402ced6b4b44p-8, -0x1.2d473b5c6f73ep-8, -0x1.26acb5d180477p-8, -0x1.20330904cdab5p-8, -0x1.19d9faf20f5fp-8, -0x1.13a13f317f30cp-8, -0x1.0d886ca18dd4cp-8, -0x1.078ef81860cc5p-8, -0x1.01b436370c5ffp-8, -0x1.f7eec18402efap-9, -0x1.ecaf43784410dp-9, -0x1.e1a83fe3880fbp-9, -0x1.d6d816248c0bfp-9, -0x1.cc3d4c73ecf8cp-9, -0x1.c1d69e8bebe7ep-9, -0x1.b7a3057e5a3adp-9, -0x1.ada1b8ad0fa9cp-9, -0x1.a3d22774d8814p-9, -0x1.9a33edc2a5354p-9, -0x1.90c6c0bdb320fp-9, -0x1.878a5c0c60ec9p-9, -0x1.7e7e6bee2318fp-9, -0x1.75a2789b82507p-9, -0x1.6cf5dbc822f07p-9, -0x1.6477bc526d419p-9, -0x1.5c27143b9ef2ep-9, -0x1.5402bea4eb09dp-9, -0x1.4c098ad374c29p-9, -0x1.443a4fc1f9ddap-9, -0x1.3c93fb732e528p-9, -0x1.35159b1a8e077p-9, -0x1.2dbe5ac09f1b9p-9, -0x1.268d7c8618a5ep-9, -0x1.1f824c1dea975p-9, -0x1.189c15657810bp-9, -0x1.11da21d402e9ap-9, -0x1.0b3bbd8938f33p-9, -0x1.04c0409cc2fe7p-9, -0x1.fcce2d8057d0cp-10, -0x1.f05f81d4eb6f2p-10, -0x1.e4339e731b44p-10, -0x1.d849aa84edc14p-10, -0x1.cca0bcb2391a9p-10, -0x1.c137ce9d4b521p-10, -0x1.b60dc224be586p-10, -0x1.ab21767371744p-10, -0x1.a071e2025fae4p-10, -0x1.95fe22cb113cfp-10, -0x1.8bc578b7731e1p-10, -0x1.81c727b7e4275p-10, -0x1.78024a719be9fp-10, -0x1.6e75a9442d8f6p-10, -0x1.651fab46b18bbp-10, -0x1.5bfe66a12a02bp-10, -0x1.530fd4aea1193p-10, -0x1.4a520acf17867p-10, -0x1.41c36df3bbb94p-10, -0x1.3962b464992c9p-10, -0x1.312ee4d0bf743p-10, -0x1.29273e3ecb6abp-10, -0x1.214b2d8742087p-10, -0x1.199a4a4f92793p-10, -0x1.12146420da3ap-10, -0x1.0ab97fefa75bap-10, -0x1.0389bf767afe3p-10, -0x1.f90a6d048077cp-11, -0x1.eb57837760645p-11, -0x1.ddf9d150060f4p-11, -0x1.d0ef8d31b77d5p-11, -0x1.c436456132dfp-11, -0x1.b7cad93fd3572p-11, -0x1.abaa0a2735947p-11, -0x1.9fd0bf83fba8ep-11, -0x1.943c9f8f8c744p-11, -0x1.88ec13ad0eb11p-11, -0x1.7dde0fe890611p-11, -0x1.73115b550a0c3p-11, -0x1.6883f2ddab013p-11, -0x1.5e32ee2818726p-11, -0x1.541b1c42803cep-11, -0x1.4a3a10d161174p-11, -0x1.408f08f3695f5p-11, -0x1.371b1de588be7p-11, -0x1.2de09dfb0a77cp-11, -0x1.24e1db5282451p-11, -0x1.1c20059df4762p-11, -0x1.139a8fa2506b4p-11, -0x1.0b4f4267cb009p-11, -0x1.033ac49efbddcp-11, -0x1.f6b29437ae43ap-12, -0x1.e74e8f55a46adp-12, -0x1.d84443a621e5cp-12, -0x1.c991658212d82p-12, -0x1.bb36b78f69eb2p-12, -0x1.ad36e4da48cc5p-12, -0x1.9f946ff78d7fcp-12, -0x1.924fb0f45dd4bp-12, -0x1.8565f0729ff74p-12, -0x1.78d1e844733aap-12, -0x1.6c8d6318c7797p-12, -0x1.6092eca3ecadfp-12, -0x1.54df0d7119bb7p-12, -0x1.4970f35161b8cp-12, -0x1.3e4a1077ec82ap-12, -0x1.336cf04b45f7fp-12, -0x1.28dbca8bfa4a3p-12, -0x1.1e9762f73544ap-12, -0x1.149e6d12a2798p-12, -0x1.0aed9c6b10937p-12, -0x1.017fd6fdef585p-12, -0x1.f09e35281e2bap-13, -0x1.deabd0095f8ddp-13, -0x1.cd21f54c8086fp-13, -0x1.bc00a5f9687cfp-13, -0x1.ab4d4102dd74ap-13, -0x1.9b0e580f54f1bp-13, -0x1.8b475211a66cap-13, -0x1.7bf6839d7a09dp-13, -0x1.6d16b9ebb27c8p-13, -0x1.5ea214707d9fdp-13, -0x1.50948bd42bb66p-13, -0x1.42ece0963375ep-13, -0x1.35ac0af2756cep-13, -0x1.28d21d2d101cap-13, -0x1.1c5b84d7b762bp-13, -0x1.10412be235bd4p-13, -0x1.047b6877831dbp-13, -0x1.f20a868a5dfep-14, -0x1.dbbbc87c5bd33p-14, -0x1.c60ecc8400a88p-14, -0x1.b107c43ffd7b7p-14, -0x1.9ca4fd0ed9f58p-14, -0x1.88df14afafddcp-14, -0x1.75a754a636d95p-14, -0x1.62f0c5e6f521ep-14, -0x1.50b5010b0eccp-14, -0x1.3ef79c101784ap-14, -0x1.2dc1afd337cbdp-14, -0x1.1d19d00556e2ep-14, -0x1.0cfeadc2653b4p-14, -0x1.face426967b82p-15, -0x1.dc8f7e9763c12p-15, -0x1.bf3667bf35b7dp-15, -0x1.a2c9e577fa3b3p-15, -0x1.875605fc82791p-15, -0x1.6cddc6a10fab5p-15, -0x1.5358e42b95b04p-15, -0x1.3abaa39090e06p-15, -0x1.22f76d03e2289p-15, -0x1.0c02a68a7b137p-15, -0x1.eb99d7d2bd095p-16, -0x1.c08b4e5247e72p-16, -0x1.96c341a2bb9d4p-16, -0x1.6e45301976febp-16, -0x1.472eb259919c5p-16, -0x1.219ec154cb28ep-16, -0x1.fb2017e583e5fp-17, -0x1.b58dcf8c3dacfp-17, -0x1.71e9603208d2ep-17, -0x1.300241b0b19a1p-17, -0x1.e08e2f8c993fap-18, -0x1.668131f9d9aa5p-18, -0x1.e3ed2a938ba55p-19, -0x1.0410e4e5c8a5bp-19, -0x1.5f36e04ae44a7p-22, 0x1.48daea4e38bdep-20, 0x1.6c2b6064db7cp-19, 0x1.15b109651f3fbp-18, 0x1.717326da7d442p-18, 0x1.c9c653ec9c1ap-18, 0x1.0f6ee9b8b4071p-17, 0x1.385b07bbe7d3dp-17, 0x1.5f9532365a345p-17, 0x1.8506d9f3121ddp-17, 0x1.a8a0d436fb398p-17, 0x1.ca5f7281e2d4bp-17, 0x1.ea57aeecb89fbp-17, 0x1.045d9f6ad86aep-16, 0x1.12e47aca6577p-16, 0x1.20c615c6e4ff9p-16, 0x1.2de9cefe4000fp-16, 0x1.3a4b2f0528fbap-16, 0x1.462464c7ed22bp-16, 0x1.51ad9a70db49cp-16, 0x1.5cc31e81614f4p-16, 0x1.671875cdf67c1p-16, 0x1.70a8f2c3bde6ap-16, 0x1.79a956f29460fp-16, 0x1.822aea6f10e28p-16, 0x1.8a19dc01b1dp-16, 0x1.917590a71156ap-16, 0x1.98549bac75528p-16, 0x1.9eca51fe206e9p-16, 0x1.a4ddbe056f142p-16, 0x1.aa8e4ea9613bfp-16, 0x1.afdbf69cbdfa6p-16, 0x1.b4c71b5cd670dp-16, 0x1.b9519ec4b1681p-16, 0x1.bd7d2a43ac96bp-16, 0x1.c149c77590d0ep-16, 0x1.c4b2f1c7ea2e1p-16, 0x1.c7b1058e65b8ep-16, 0x1.ca39795cf776cp-16, 0x1.cc48a7519551ep-16, 0x1.cde9bfc1de11p-16, 0x1.cf3d2b12a2257p-16, 0x1.d053a5c459e9fp-16, 0x1.d13010a395307p-16, 0x1.d1d70e7f7d2fdp-16, 0x1.d25078e0f035cp-16, 0x1.d28a765783596p-16, 0x1.d27fa3e4c1078p-16, 0x1.d23703a86a6dep-16, 0x1.d1a3b3af7cc04p-16, 0x1.d0beb1b647f17p-16, 0x1.cf9b8e1a848e5p-16, 0x1.ce4d3a4fbcdecp-16, 0x1.ccda6b9040d86p-16, 0x1.cb40a6ecd3eaap-16, 0x1.c97d684f6dfcep-16, 0x1.c78fdb7dd7278p-16, 0x1.c57855fbf4e8cp-16, 0x1.c337f0c3fcf12p-16, 0x1.c0d054512129ep-16, 0x1.be43b699da56bp-16, 0x1.bb9443da2db9fp-16, 0x1.b8c404d64eb7dp-16, 0x1.b5d4b3eaeebb2p-16, 0x1.b2c645ceb800fp-16, 0x1.af962d8fb581fp-16, 0x1.ac43c4e96e8c7p-16, 0x1.a8ccc152e7f48p-16, 0x1.a52a5e1d8db21p-16, 0x1.a15b1bc2ddaap-16, 0x1.9d73cbfc06232p-16, 0x1.99896a69fd04ap-16, 0x1.9590900068bdep-16, 0x1.918ed8994e73ap-16, 0x1.8d90c1ca9e64ep-16, 0x1.89775d29f8772p-16, 0x1.8530d9aa61b6cp-16, 0x1.80d02fcd581bp-16, 0x1.7c6972befa7e8p-16, 0x1.77fe0b76d0236p-16, 0x1.738bec8b87dafp-16, 0x1.6f0f3dc115598p-16, 0x1.6a8825cc9e1a3p-16, 0x1.65f6c80e40032p-16, 0x1.615b37b50111ap-16, 0x1.5cb73e7265ed9p-16, 0x1.580bfd3c7ab8p-16, 0x1.5359c4ad5e224p-16, 0x1.4ea0fb967b0ddp-16, 0x1.49e247d2a8664p-16, 0x1.451e88dfe3fa9p-16, 0x1.4056ab52d598ap-16, 0x1.3b8c12b3e2fbdp-16, 0x1.36bf87e861c2cp-16, 0x1.31f1baf9c514ap-16, 0x1.2d237dbadfe35p-16, 0x1.28564fe1b62bbp-16, 0x1.2387e09bfeab3p-16, 0x1.1eab45fae477cp-16, 0x1.19be11430c323p-16, 0x1.14d833845b265p-16, 0x1.1000394e004b5p-16, 0x1.0b398abfed732p-16, 0x1.0675569152501p-16, 0x1.01a38069977bfp-16, 0x1.f99d0644f6888p-17, 0x1.f003c320764a4p-17, 0x1.e679d5d4cd748p-17, 0x1.dcfc1da2823b3p-17, 0x1.d3889e7a5f3d2p-17, 0x1.ca1f2bbc7a2cp-17, 0x1.c0bd785086f8dp-17, 0x1.b767a09fac769p-17, 0x1.ae1d6f47638c3p-17, 0x1.a4dddf8abb059p-17, 0x1.9baaca996ed97p-17, 0x1.9285145b269fep-17, 0x1.896cbe57df31bp-17, 0x1.8062038b45383p-17, 0x1.7765d045457b8p-17, 0x1.6e78c506562efp-17, 0x1.659a735565b55p-17, 0x1.5ccb611d1ecf1p-17, 0x1.540d56a20403dp-17, 0x1.4b605e7b72cdp-17, 0x1.42c5c504e6d28p-17, 0x1.3a3bb2115fbe8p-17, 0x1.31c5e155bfa2ep-17, 0x1.29602d8b47ba8p-17, 0x1.21053eba7d0ffp-17, 0x1.18b65b50d75b2p-17, 0x1.107dd7bcf7965p-17, 0x1.08619e75f1afap-17, 0x1.0056c84149929p-17, 0x1.f0b5a52ddab1bp-18, 0x1.e0e093c827a44p-18, 0x1.d133f8e136125p-18, 0x1.c1b126a31c86ap-18, 0x1.b25834d25cd9dp-18, 0x1.a327412e5c42ep-18, 0x1.941c06255363cp-18, 0x1.853999cf0043cp-18, 0x1.76811a50523bcp-18, 0x1.67ef09ac65a1bp-18, 0x1.59842ece2d95ep-18, 0x1.4b44d6e066d72p-18, 0x1.3d28b4278d01cp-18, 0x1.2f420b4aeeb93p-18, 0x1.21734e6bb4c77p-18, 0x1.13d52f2e1bc71p-18, 0x1.065f060322becp-18, 0x1.f2279a90c1448p-19, 0x1.d7e3662b064acp-19, 0x1.bdeea4548b1bap-19, 0x1.a44b0e09389cbp-19, 0x1.8af99b1e2d673p-19, 0x1.71fbb9091807cp-19, 0x1.594f17121053ep-19, 0x1.40f9f5c67aa35p-19, 0x1.28ea579277c4bp-19, 0x1.1125851fbea4bp-19, 0x1.f39be00bf9f1ep-20, 0x1.c57414c9bf4adp-20, 0x1.97eb2e2501a23p-20, 0x1.6b025ed213bf7p-20, 0x1.3eb91f361e84ap-20, 0x1.1311a2a260db6p-20, 0x1.d012c9e8259c5p-21, 0x1.7b3f91e45897fp-21, 0x1.27a533ff5ee83p-21, 0x1.aa787e79c1bebp-22, 0x1.081abddc41a59p-22, 0x1.a0afc6bfcb2cap-24, -0x1.aab99da053318p-25, -0x1.a0e56b724c9bp-23, -0x1.692b7b0bb57ddp-22, -0x1.ff8629bb3764cp-22, -0x1.49c2dde4862ffp-21, -0x1.92962261274cep-21, -0x1.da3ecb0bc60afp-21, -0x1.105fd224621c8p-20, -0x1.330d2d9c69656p-20, -0x1.5524ee3a6eab5p-20, -0x1.76b45739bc1acp-20, -0x1.97acb56c51f65p-20, -0x1.b813c26e21ba1p-20, -0x1.d7fd87a56405cp-20, -0x1.f748bf911b603p-20, -0x1.0b0b12735e869p-19, -0x1.1a27f089bf9c9p-19, -0x1.2902b25e63d93p-19, -0x1.379868629e2e5p-19, -0x1.45e8539debebap-19, -0x1.53f5f09d023a2p-19, -0x1.61c39fd17d151p-19, -0x1.6f500d002a628p-19, -0x1.7c98b61fbe665p-19, -0x1.89a2966791531p-19, -0x1.966a3c2f391a1p-19, -0x1.a2f3cd86494e7p-19, -0x1.af42714df763fp-19, -0x1.bb4eedfe8ae17p-19, -0x1.c71c03cd94c43p-19, -0x1.d2b191ff9fee5p-19, -0x1.de049d00319c6p-19, -0x1.e91c7e2c1e8abp-19, -0x1.f3f71ba9469e1p-19, -0x1.fe9e0f9be223dp-19, -0x1.0485f9ec43655p-18, -0x1.09a07cdfdcb0cp-18, -0x1.0e9ccbb49ae54p-18, -0x1.137b555808316p-18, -0x1.183cf889dabc9p-18, -0x1.1ce7bba379e1ep-18, -0x1.2175f06d0b2p-18, -0x1.25ea9ed0c72edp-18, -0x1.2a3e7980a8f5bp-18, -0x1.2e805fe18ce11p-18, -0x1.32a4853075b76p-18, -0x1.36b1870a04c6fp-18, -0x1.3aa50b24e6a8dp-18, -0x1.3e7866c8a2a25p-18, -0x1.4237f9e94409fp-18, -0x1.45def3f4ec139p-18, -0x1.496cb57807b99p-18, -0x1.4ce4787f38169p-18, -0x1.50413caeecb4ep-18, -0x1.538c606d81d6cp-18, -0x1.56bae22763e5bp-18, -0x1.59d77e5ca0273p-18, -0x1.5cdc6c0dd4f0cp-18, -0x1.5fcb9a5fe08d4p-18, -0x1.62a1c5a4c3dd1p-18, -0x1.65640d5b6294ep-18, -0x1.6810d2ccd4225p-18, -0x1.6aa94e9e546cp-18, -0x1.6d2c8750b796fp-18, -0x1.6f9a991051949p-18, -0x1.71f6ac90bf478p-18, -0x1.743dc21265f2bp-18, -0x1.766f8bf5e1f7bp-18, -0x1.78900c16bc21ap-18, -0x1.7a9cc85a99e5bp-18, -0x1.7c96980bf75fp-18, -0x1.7e7de9184d58ep-18, -0x1.80530378b437p-18, -0x1.821699f8ab87fp-18, -0x1.83c70fe96ac82p-18, -0x1.8567282414f6dp-18, -0x1.86f503a2deffdp-18, -0x1.88728a8636e5cp-18, -0x1.89dd9c45a8fe6p-18, -0x1.8b373676f926p-18, -0x1.8c80873a50aadp-18, -0x1.8dc14b259e811p-18, -0x1.8eedfa309d948p-18, -0x1.900539560711bp-18, -0x1.91131ab0b2593p-18, -0x1.9210177c42926p-18, -0x1.92febc48d7b59p-18, -0x1.93dce87b5419dp-18, -0x1.94afb70edc608p-18, -0x1.9572f3f361719p-18, -0x1.96281b178245bp-18, -0x1.96d0db4d620d9p-18, -0x1.976ae8446abe5p-18, -0x1.97f5bb095b2a2p-18, -0x1.9875e7d02582cp-18, -0x1.98e64085d6c2bp-18, -0x1.994b413c06af1p-18, -0x1.99a504067a27fp-18, -0x1.99f549236699p-18, -0x1.9a3b8b27acdbap-18, -0x1.9a69e94477567p-18, -0x1.9a94b3098e072p-18, -0x1.9ab3467b28d96p-18, -0x1.9ac3489691d3cp-18, -0x1.9acafc67a138ep-18, -0x1.9ac904ca8e6bp-18, -0x1.9abbdc01905d7p-18, -0x1.9aa3db64ce071p-18, -0x1.9a8118a408faap-18, -0x1.9a54e1d66f6c1p-18, -0x1.9a1dacdc2b64p-18, -0x1.99daa6e6926cbp-18, -0x1.999135ff642d7p-18, -0x1.9941377a39131p-18, -0x1.98e34363656c4p-18, -0x1.987d2bfe97c9p-18, -0x1.980dd127c4e7fp-18, -0x1.9797a58645619p-18, -0x1.97188137612c3p-18, -0x1.968f61496c925p-18, -0x1.95ff0505e74dcp-18, -0x1.95640aa3aba55p-18, -0x1.94c7bd49d1478p-18, -0x1.941c91cc291c7p-18, -0x1.936f1f70b26fep-18, -0x1.92b7bda69948p-18, -0x1.91f8a1b613683p-18, -0x1.913200a308748p-18, -0x1.906631aefe66p-18, -0x1.8f903229d5561p-18, -0x1.8eb72dc16637bp-18, -0x1.8dd8546c7e4aep-18, -0x1.8cf89cef47fe4p-18, -0x1.8c0163ad0236ap-18, -0x1.8b0d3b6683379p-18, -0x1.8a15b0635fc75p-18, -0x1.89157cd69b92ap-18, -0x1.880f507c6288ap-18, -0x1.86fe13725b24fp-18, -0x1.85f8588c40a6bp-18, -0x1.84e23bec2ce13p-18, -0x1.83c463dfa17bfp-18, -0x1.82a5af8805f12p-18, -0x1.8180b3db5b4c1p-18, -0x1.80566a377e1c2p-18, -0x1.7f298a17eed27p-18, -0x1.7df8bfc0a4efap-18, -0x1.7cbd0766a1cap-18, -0x1.7b805f3fac30ep-18, -0x1.7a3e66d404f77p-18, -0x1.78fbd09f020edp-18, -0x1.77b18e3dadfd7p-18, -0x1.76651a94af75cp-18, -0x1.75175d3189457p-18, -0x1.73c0b10fff583p-18, -0x1.726b47ab000bdp-18, -0x1.710ec30ef4c52p-18, -0x1.6faf1865b4ab5p-18, -0x1.6e4d7fe599905p-18, -0x1.6ce72620be404p-18, -0x1.6b7c9f080b96dp-18, -0x1.6a103fd8beef9p-18, -0x1.68a7013569d3ep-18, -0x1.673f9a3e449dfp-18, -0x1.65c07992902dfp-18, -0x1.644b5c78bb665p-18, -0x1.62cd963b37007p-18, -0x1.6151662ea8861p-18, -0x1.5fd43a34894d7p-18, -0x1.5e543edbb9841p-18, -0x1.5cd18ed8dfdaap-18, -0x1.5b4cbaf9ba984p-18, -0x1.59c4572973218p-18, -0x1.583b92e30f1a2p-18, -0x1.56ae3653913b7p-18, -0x1.551bd87846528p-18, -0x1.5393f66d8bb8dp-18, -0x1.5203872037966p-18, -0x1.5071906eaa5dbp-18, -0x1.4edd4cc0ac7b5p-18, -0x1.4d42ed6736789p-18, -0x1.4bb015fd0266cp-18, -0x1.4a180c09af6dap-18, -0x1.487ed0a267091p-18, -0x1.46e430a966451p-18, -0x1.4547c626a172ep-18, -0x1.43a8247c08288p-18, -0x1.420c4f840ab78p-18, -0x1.406f1a3a8b57fp-18, -0x1.3ecf76fd2913cp-18, -0x1.3d2edaeb20993p-18, -0x1.3b8d54147be7dp-18, -0x1.39ea92b82b601p-18, -0x1.3848e93bb3d08p-18, -0x1.36a40a447c179p-18, -0x1.34fde280b768ap-18, -0x1.3359cbd9aeda1p-18, -0x1.31a72d2caf6ffp-18, -0x1.301153796cb38p-18, -0x1.2e6bef2b0bp-18, -0x1.2cc07b994c5d2p-18, -0x1.2b1d905375e1fp-18, -0x1.2975dd6344b95p-18, -0x1.27d0e849481e7p-18, -0x1.262b299795d81p-18, -0x1.24837538ee99p-18, -0x1.22dd8d6ffd244p-18, -0x1.213096f2463cfp-18, -0x1.1f8d7ebbc420ap-18, -0x1.1de7b4e7b4084p-18, -0x1.1c425ea8ecc8dp-18, -0x1.1a9b5c99d05f2p-18, }}, 
      {{0x1.485565f8162c2p-3, 0x1.2ae786465c60dp-2, 0x1.d705b8eb2f1c8p-2, 0x1.41e935b3f5636p-1, 0x1.8d34d49a62e37p-1, 0x1.c80af6fbdb192p-1, 0x1.f15cb045f1bbbp-1, 0x1.05584e6f9c233p+0, 0x1.0b695c50d2bd6p+0, 0x1.0c78c01015584p+0, 0x1.0a0ac3f1217d6p+0, 0x1.056d67e56d772p+0, 0x1.ff55a14383f83p-1, 0x1.f311e3681e8d3p-1, 0x1.e720dd3f53c12p-1, 0x1.dc2d751d3c51cp-1, 0x1.d29202d6a2193p-1, 0x1.ca6ce78ff6354p-1, 0x1.c3b284a3a66edp-1, 0x1.be3c0c86784b3p-1, 0x1.b9d32d59959c6p-1, 0x1.b63adc409cf84p-1, 0x1.b335a8d91261p-1, 0x1.b08a087a3c1e9p-1, 0x1.ae0504c22f757p-1, 0x1.ab7bad82b2fb4p-1, 0x1.a8cba0704413ep-1, 0x1.a5daeaef61635p-1, 0x1.a2977c3f921a5p-1, 0x1.9ef652d6399c1p-1, 0x1.9af2858861959p-1, 0x1.968c40608272fp-1, 0x1.91c7c5353406cp-1, 0x1.8cac7c2bc9d94p-1, 0x1.87441aaee256bp-1, 0x1.8199e4e1f9843p-1, 0x1.7bba096f00a0ap-1, 0x1.75b11a337aefep-1, 0x1.6f8b9c02a48f5p-1, 0x1.6955b073f77b4p-1, 0x1.631ad2c9d00abp-1, 0x1.5ce5a6f034aacp-1, 0x1.56bfd94d61d78p-1, 0x1.50b20a883cfa8p-1, 0x1.4ac3c6149d60bp-1, 0x1.44fb81b601ef3p-1, 0x1.3f5ea3abb9cd8p-1, 0x1.39f18d9806fffp-1, 0x1.34b7abb67e95ep-1, 0x1.2fb3866a658e4p-1, 0x1.2ae6d55f643ffp-1, 0x1.26529332afa8bp-1, 0x1.21f7116d0db38p-1, 0x1.1dd40cbc9fb4bp-1, 0x1.19e8c06713f3ep-1, 0x1.1633f8a0543a7p-1, 0x1.12b423b06838ep-1, 0x1.0f6761ae7006cp-1, 0x1.0c4b931a84f7dp-1, 0x1.095e665ac1f43p-1, 0x1.069d6412f0bf5p-1, 0x1.0405fa16ddaedp-1, 0x1.01958505f8afcp-1, 0x1.fe92b17222ce8p-2, 0x1.fa3d8efda4ca8p-2, 0x1.f62650d7889e9p-2, 0x1.f247b98236a4p-2, 0x1.ee9ca920416c7p-2, 0x1.eb202551e13f5p-2, 0x1.e7cd5f6108506p-2, 0x1.e49fb996fdbf8p-2, 0x1.e192cb21aa656p-2, 0x1.dea262d232dacp-2, 0x1.dbca8946da3f9p-2, 0x1.d9078219d1c29p-2, 0x1.d655cc8b2fd27p-2, 0x1.d3b22353e551bp-2, 0x1.d1197c7622294p-2, 0x1.ce890860828dap-2, 0x1.cbfe3086b3bc9p-2, 0x1.c976961acaa73p-2, 0x1.c6f0103f13bd5p-2, 0x1.c468aa2132a98p-2, 0x1.c1dea0e853665p-2, 0x1.bf506172b794p-2, 0x1.bcbc86263587dp-2, 0x1.ba21d47f360b7p-2, 0x1.b77f3ae931657p-2, 0x1.b4d3ce132bfcdp-2, 0x1.b21ec6d87bd97p-2, 0x1.af5f7fd041888p-2, 0x1.ac9573112a054p-2, 0x1.a9c037ec3d3fbp-2, 0x1.a6df80d7b9f98p-2, 0x1.a3f319566dcb7p-2, 0x1.a0fae3c9eff86p-2, 0x1.9df6d7ccdf951p-2, 0x1.9ae70023696eap-2, 0x1.97cb7912cb58ep-2, 0x1.94a46e97107d7p-2, 0x1.91721af334301p-2, 0x1.8e34c50e0cdd5p-2, 0x1.8aecbf281530ap-2, 0x1.879a6569c34fdp-2, 0x1.843e1cb4fa6b7p-2, 0x1.80d85177b7a5dp-2, 0x1.7d69769070f72p-2, 0x1.79f2045498bfp-2, 0x1.7672779ebefdap-2, 0x1.72eb50df7e1c5p-2, 0x1.6f5d135feae24p-2, 0x1.6bc8449f89a3ep-2, 0x1.682d6b7d48c02p-2, 0x1.648d0f9622375p-2, 0x1.60e7b8de4ea36p-2, 0x1.5d3def0db6654p-2, 0x1.59903918afd35p-2, 0x1.55df1cd9b98d7p-2, 0x1.522b1eaa7c336p-2, 0x1.4e74c10fd20f7p-2, 0x1.4abc847ae8702p-2, 0x1.4702e6dcbd982p-2, 0x1.434863a0b1a45p-2, 0x1.3f8d73616ab9ap-2, 0x1.3bd28bb6dcddp-2, 0x1.38181f262981p-2, 0x1.345e9cd073311p-2, 0x1.30a670b126b01p-2, 0x1.2cf0032a0eb5cp-2, 0x1.293bb9593becep-2, 0x1.2589f49951d47p-2, 0x1.21db12ce7c3dp-2, 0x1.1e2f6e61e15c7p-2, 0x1.1a875e03b9e2ap-2, 0x1.16e334edad4e9p-2, 0x1.134342c1f478p-2, 0x1.0fa7d3a0bd211p-2, 0x1.0c11302ffa311p-2, 0x1.087f9da7dd918p-2, 0x1.04f35dcd93bcdp-2, 0x1.016caf2f6a2f3p-2, 0x1.fbd799dd953f5p-3, 0x1.f4e1de197e09dp-3, 0x1.edf894ea31974p-3, 0x1.e71c21d307277p-3, 0x1.e04ce261e4df6p-3, 0x1.d98b2e6e7ec1p-3, 0x1.d2d7581fc392ap-3, 0x1.cc31abd18e94bp-3, 0x1.c59a70f435871p-3, 0x1.bf11e959f67c6p-3, 0x1.b898522a2714p-3, 0x1.b22de3816492ap-3, 0x1.abd2d0ca5b3a7p-3, 0x1.a58748d6ede9dp-3, 0x1.9f4b761db0138p-3, 0x1.991f7f0710e3ep-3, 0x1.930385b215fe5p-3, 0x1.8cf7a86523c8bp-3, 0x1.86fc01aa71771p-3, 0x1.8110a8798b9adp-3, 0x1.7b35b03198119p-3, 0x1.756b28ff3046dp-3, 0x1.6fb11fd84dfd2p-3, 0x1.6a079e9e6e38dp-3, 0x1.646eac56e20bfp-3, 0x1.5ee64d3763b78p-3, 0x1.596e82d2e5a76p-3, 0x1.54074c2e47da6p-3, 0x1.4eb0a606e0808p-3, 0x1.496a8aa14fe4ap-3, 0x1.4434f2103b2e2p-3, 0x1.3f0fd29cb0ab3p-3, 0x1.39fb205edfa3cp-3, 0x1.34f6cd9611dddp-3, 0x1.3002cada0b999p-3, 0x1.2b1f0710eb5c3p-3, 0x1.264b6f54ec5c3p-3, 0x1.2187efb0cd3e5p-3, 0x1.1cd47253c55d6p-3, 0x1.1830e08b327acp-3, 0x1.139d2226855f2p-3, 0x1.0f191de00989cp-3, 0x1.0aa4b9423d2e7p-3, 0x1.063fd8fdc8273p-3, 0x1.01ea60b7d3d77p-3, 0x1.fb48665b29f0bp-4, 0x1.f2da64cb296d1p-4, 0x1.ea8a7f23c42bap-4, 0x1.e25876552f4acp-4, 0x1.da440a077d389p-4, 0x1.d24cf8e72d275p-4, 0x1.ca73004fa7562p-4, 0x1.c2b5dca2cec9cp-4, 0x1.bb1549712db1p-4, 0x1.b391017cae0b8p-4, 0x1.ac28bea44eb06p-4, 0x1.a4dc3a2a6ad5dp-4, 0x1.9dab2d04fbfb1p-4, 0x1.96954f471dd5bp-4, 0x1.8f9a58c51e149p-4, 0x1.88ba00ebdf375p-4, 0x1.81f3fed67c82cp-4, 0x1.7b48095af51fcp-4, 0x1.74b5d72e93911p-4, 0x1.6e3d1ec07670bp-4, 0x1.67dd968a2b8b1p-4, 0x1.6196f4ee368bp-4, 0x1.5b68f041c3c26p-4, 0x1.55533eea9c123p-4, 0x1.4f55979befd8p-4, 0x1.496fb0c1ac589p-4, 0x1.43a14120bb51fp-4, 0x1.3de9ffccee352p-4, 0x1.3849a4012cb5dp-4, 0x1.32bfe527a897ap-4, 0x1.2d4c7adf9a19dp-4, 0x1.27ef1d6cbf768p-4, 0x1.22a7851cdd14p-4, 0x1.1d756a9864965p-4, 0x1.1858871360ecep-4, 0x1.1350941eef015p-4, 0x1.0e5d4bab3cc4fp-4, 0x1.097e681694d2dp-4, 0x1.04b3a43ea5fe2p-4, 0x1.fff97703c8ca3p-5, 0x1.f6b2d371dada1p-5, 0x1.ed92d66a2e67ap-5, 0x1.e498f97d7b039p-5, 0x1.dbc4b7e6beafbp-5, 0x1.d3158ccec8e34p-5, 0x1.ca8af548d689p-5, 0x1.c2246fc4625bp-5, 0x1.b9e17b1632a94p-5, 0x1.b1c1979e55c73p-5, 0x1.a9c446cec205fp-5, 0x1.a1e90b6db5ff1p-5, 0x1.9a2f6990a8637p-5, 0x1.9296e5c85c7e7p-5, 0x1.8b1f06386b008p-5, 0x1.83c752ff54a8bp-5, 0x1.7c8f54663cc12p-5, 0x1.7576944c8e65ap-5, 0x1.6e7c9dd69b24dp-5, 0x1.67a0fd8c9e007p-5, 0x1.60e340c98c6a7p-5, 0x1.5a42f685b2042p-5, 0x1.53bfaed1d9836p-5, 0x1.4d58faf1a6996p-5, 0x1.470e6d6c146c6p-5, 0x1.40df9a5ec16efp-5, 0x1.3acc165e9f25fp-5, 0x1.34d3779737d47p-5, 0x1.2ef55608a8e03p-5, 0x1.29314a135a8edp-5, 0x1.2386edaf44e29p-5, 0x1.1df5dc0c72e8cp-5, 0x1.187db1d3cb94ep-5, 0x1.131e0c2ff0081p-5, 0x1.0dd68a0137df4p-5, 0x1.08a6cb6f22304p-5, 0x1.038e716e08054p-5, 0x1.fd1a3d74d274ep-6, 0x1.f344ed62cd67dp-6, 0x1.e99c3c5dc1113p-6, 0x1.e01f75e486edcp-6, 0x1.d6cde8156818fp-6, 0x1.cda6e342571fbp-6, 0x1.c4a9bab00bdedp-6, 0x1.bbd5c30650527p-6, 0x1.b32a537982c9bp-6, 0x1.aaa6c50c9435ep-6, 0x1.a24a74a7514d4p-6, 0x1.9a14bf5388177p-6, 0x1.920505523a385p-6, 0x1.8a1aa92b55826p-6, 0x1.82550e83c12b5p-6, 0x1.7ab39c77ccc09p-6, 0x1.7335bbc479e6bp-6, 0x1.6bdad6df200fbp-6, 0x1.64a25abc8ae52p-6, 0x1.5d8bb660e6d55p-6, 0x1.56965a5d9b963p-6, 0x1.4fc1b9d8f8a9p-6, 0x1.490d49a0e803bp-6, 0x1.427880984afa1p-6, 0x1.3c02d79b445dbp-6, 0x1.35abc968cea06p-6, 0x1.2f72d2aeb1924p-6, 0x1.2957720405d29p-6, 0x1.235927e69d3bdp-6, 0x1.1d77768eeff74p-6, 0x1.17b1e2535a6b1p-6, 0x1.1207f107d482bp-6, 0x1.0c792a7fbafd2p-6, 0x1.07051840581b1p-6, 0x1.01ab459155c89p-6, 0x1.f8d67ef9bbf7p-7, 0x1.ee89298a407d5p-7, 0x1.e46dabb2b6c76p-7, 0x1.da83299f6d518p-7, 0x1.d0c8cab603573p-7, 0x1.c73db9ba4ae75p-7, 0x1.bde1267a8e354p-7, 0x1.b4b23f201c51p-7, 0x1.abb0399e96a3dp-7, 0x1.a2da4f2d5e88ep-7, 0x1.9a2fb7d3d4574p-7, 0x1.91afb118871c2p-7, 0x1.89597dfd25f6bp-7, 0x1.812c61825336ep-7, 0x1.7927a22dbf537p-7, 0x1.714a8781ebb5dp-7, 0x1.699460a5118b1p-7, 0x1.620479ef9be04p-7, 0x1.5a9a2808dc5cep-7, 0x1.5354befc14198p-7, 0x1.4c33954ac30bdp-7, 0x1.45360539869aep-7, 0x1.3e5b6c08ee667p-7, 0x1.37a328996b92bp-7, 0x1.310c9cb592278p-7, 0x1.2a972d6367938p-7, 0x1.244241a85e667p-7, 0x1.1e0d42c958866p-7, 0x1.17f79ca23c13p-7, 0x1.1200bd7cca19dp-7, 0x1.0c2815cb17a7fp-7, 0x1.066d19667bb06p-7, 0x1.00cf3c769dc45p-7, 0x1.f69bed2cca859p-8, 0x1.ebd1862f75a3fp-8, 0x1.e13e39a5801a4p-8, 0x1.d6e104198b7f6p-8, 0x1.ccb8e64efa6dbp-8, 0x1.c2c4e7ca6b136p-8, 0x1.b9040deee894ap-8, 0x1.af7566d137f05p-8, 0x1.a618064ef916dp-8, 0x1.9ceaffdefa1eap-8, 0x1.93ed6d889032cp-8, 0x1.8b1e6cb0b5746p-8, 0x1.827d1e1fdd5c5p-8, 0x1.7a08a66b35342p-8, 0x1.71c02e3c330a9p-8, 0x1.69a2e215eb0a7p-8, 0x1.61aff1cb20297p-8, 0x1.59e69043b6c51p-8, 0x1.5245f65d43e0dp-8, 0x1.4acd5c6715a36p-8, 0x1.437bffd313982p-8, 0x1.3c5121a1f9c12p-8, 0x1.354c093f06a56p-8, 0x1.2e6bfbf4a2e8bp-8, 0x1.27b044dc261eap-8, 0x1.211832107b3a5p-8, 0x1.1aa315cce693dp-8, 0x1.1450432fc1424p-8, 0x1.0e1f111e28dd5p-8, 0x1.080edb51a73a6p-8, 0x1.021efddbda94ap-8, 0x1.f89db1b21e7a6p-9, 0x1.ed3b9e781506p-9, 0x1.e2168d2c691bbp-9, 0x1.d72d4dcb94cb3p-9, 0x1.cc7eb75292ea3p-9, 0x1.c209a4b841b4fp-9, 0x1.b7ccf6e81e2d5p-9, 0x1.adc79377da9fep-9, 0x1.a3f864c066227p-9, 0x1.9a5e5a0cba68p-9, 0x1.90f8709666da7p-9, 0x1.87c596470dd05p-9, 0x1.7ec4cb7e19575p-9, 0x1.75f516e19f0cfp-9, 0x1.6d557dc267e9p-9, 0x1.64e50f8e00267p-9, 0x1.5ca2d976f58aap-9, 0x1.548df0ba34679p-9, 0x1.4ca56efa1305ep-9, 0x1.44e871dc6c3d3p-9, 0x1.3d561b1f3bfbap-9, 0x1.35ed908ef48b9p-9, 0x1.2eadfbf5fe332p-9, 0x1.27968b0e2fcb3p-9, 0x1.20a66f5eb4854p-9, 0x1.19dcddfaab6a7p-9, 0x1.13390f29c32a4p-9, 0x1.0cba437eea47p-9, 0x1.065fb6c13295ep-9, 0x1.0028ad5a29685p-9, 0x1.f428e6e230bc2p-10, 0x1.e844a0bc10affp-10, 0x1.dca3265811e83p-10, 0x1.d1431b4707e4fp-10, 0x1.c62329c6d9bap-10, 0x1.bb42073d8dc34p-10, 0x1.b09e6a7eba08fp-10, 0x1.a63707d8755f7p-10, 0x1.9c0aa33d980a3p-10, 0x1.9218123f8238ap-10, 0x1.885e1bb2c7c1bp-10, 0x1.7edb9584bf661p-10, 0x1.758f5b5b02429p-10, 0x1.6c784d629c319p-10, 0x1.639550fd64032p-10, 0x1.5ae55118ac19fp-10, 0x1.52673e2aaea43p-10, 0x1.4a1a0deb8893ap-10, 0x1.41fcbb03543b9p-10, 0x1.3a0e466872bd9p-10, 0x1.324db8ad2b6dp-10, 0x1.2aba1ea0e0249p-10, 0x1.235279935ef21p-10, 0x1.1c15e4091ed32p-10, 0x1.1503796d53fbcp-10, 0x1.0e1a5731734aep-10, 0x1.07599dbefaa33p-10, 0x1.00c06f71a9c79p-10, 0x1.f49be98fa83cep-11, 0x1.e802b77a0b921p-11, 0x1.dbb3ad96ada7cp-11, 0x1.cfad36fa85f6p-11, 0x1.c3edd59e27987p-11, 0x1.b873f37cc36c1p-11, 0x1.ad3e14a0da07dp-11, 0x1.a24ad6578933cp-11, 0x1.9798bea50f3bdp-11, 0x1.8d26697ce1278p-11, 0x1.82f2787e7b39bp-11, 0x1.78fb9398c82cep-11, 0x1.6f4067d3697efp-11, 0x1.65bfa241a7304p-11, 0x1.5c781db86e77ep-11, 0x1.53686b7380361p-11, 0x1.4a8f81c2d843p-11, 0x1.41ec16532dcaep-11, 0x1.397d166d04961p-11, 0x1.314151ad95f6ep-11, 0x1.2937ab8342245p-11, 0x1.215f0664c01bcp-11, 0x1.19b657de98f1p-11, 0x1.123c98ee67b96p-11, 0x1.0af0b2976a3d2p-11, 0x1.03d1a18449f29p-11, 0x1.f9bcce25b9f36p-12, 0x1.ec2c11f14b865p-12, 0x1.deef235d56f5fp-12, 0x1.d2042056bded6p-12, 0x1.c569443678ec1p-12, 0x1.b91cd8b766ea6p-12, 0x1.ad1cfb03518e9p-12, 0x1.a1680af350646p-12, 0x1.95fc8d36ccc11p-12, 0x1.8ad8c6c4c1dadp-12, 0x1.7ffb1fbb3b005p-12, 0x1.756213f501c49p-12, 0x1.6b0c187218ecdp-12, 0x1.60f779e496972p-12, 0x1.5722e34b6c10bp-12, 0x1.4d8cc6ac9ec17p-12, 0x1.4433ade02f41cp-12, 0x1.3b163cfeca50bp-12, 0x1.3232fc0ad4897p-12, 0x1.29889b33c6f5fp-12, 0x1.2115d8e28c9eep-12, 0x1.18d96b09141a2p-12, 0x1.10d21faa0a38dp-12, 0x1.08fec7e1ddc3p-12, 0x1.015e4a0361316p-12, 0x1.f3dee91a21883p-13, 0x1.e5625a62f7385p-13, 0x1.d744d3b1c8b11p-13, 0x1.c9840d8e56d83p-13, 0x1.bc1ddaabdcca3p-13, 0x1.af100ae5a330ep-13, 0x1.a25876e10c6a3p-13, 0x1.95f507779397bp-13, 0x1.89e3be2bab488p-13, 0x1.7e22b3fbe9ebap-13, 0x1.72b004611a81bp-13, 0x1.6789c76f8c238p-13, 0x1.5cae2899dcdbcp-13, 0x1.521b69fc93aa9p-13, 0x1.47cfd56cf208p-13, 0x1.3dc9c02ebe887p-13, 0x1.340789d358713p-13, 0x1.2a879c4909751p-13, 0x1.2148750119209p-13, 0x1.184898774a373p-13, 0x1.0f86922da0efdp-13, 0x1.0700f103bf346p-13, 0x1.fd6c78de5b81ap-14, 0x1.ed4a02458abd2p-14, 0x1.dd97b564692bfp-14, 0x1.ce52e15dd4e79p-14, 0x1.bf78dffc4ff43p-14, 0x1.b1071138c3852p-14, 0x1.a2fadf16cf598p-14, 0x1.9551c1440f0cdp-14, 0x1.88093746e9adap-14, 0x1.7b1ec9decf55ap-14, 0x1.6e900b274d574p-14, 0x1.625b0343d01fap-14, 0x1.567d16acb4a5ap-14, 0x1.4af41196e60c8p-14, 0x1.3fbd92624e2d1p-14, 0x1.34d8b4d56638ep-14, 0x1.2a42be27e8cd2p-14, 0x1.1ff9ad7d5370ap-14, 0x1.15fbb387b66ddp-14, 0x1.0c478a705beaep-14, 0x1.02db203e31ec3p-14, 0x1.f369310d9f4d4p-15, 0x1.e1a4a32268c9ap-15, 0x1.d0652076635ecp-15, 0x1.bfa76f71fd0a9p-15, 0x1.af682930a6b69p-15, 0x1.9fa43bb6fd17ap-15, 0x1.90570ab2b771fp-15, 0x1.817f6891405adp-15, 0x1.73181c3e9103dp-15, 0x1.651fded9c50ccp-15, 0x1.5792816bf61fcp-15, 0x1.4a6dd19958fcfp-15, 0x1.3dae806f24eb4p-15, 0x1.315234dac79c9p-15, 0x1.25569c31db0bap-15, 0x1.19b96e5ac7157p-15, 0x1.0e7850b753d38p-15, 0x1.0390d5f4f7732p-15, 0x1.f2012e275ac56p-16, 0x1.dd8a8e3fe4d7ap-16, 0x1.c9b96e7544dfdp-16, 0x1.b689a03641896p-16, 0x1.a3f70fe372bc9p-16, 0x1.91fdb51da0fdfp-16, 0x1.80998b919b34fp-16, 0x1.6fc68fc9693b2p-16, 0x1.5f80b74bc52adp-16, 0x1.4fc3d85e69461p-16, 0x1.408b9057911f2p-16, 0x1.31d388aa05576p-16, 0x1.2398312161b5dp-16, 0x1.15d6c144c37c2p-16, 0x1.088c34d700888p-16, 0x1.f76aeb78e1964p-17, 0x1.de9f189442dbdp-17, 0x1.c6b1d0103b69fp-17, 0x1.af9844e0721d8p-17, 0x1.994bc7b73820ep-17, 0x1.83c9dc10fd097p-17, 0x1.6f09b92195d5cp-17, 0x1.5b064bb996162p-17, 0x1.47ba9e2aebaf7p-17, 0x1.3521c2e4e19a2p-17, 0x1.2337d316d7a39p-17, 0x1.11f9157c28bc3p-17, 0x1.015cb23600a6p-17, 0x1.e2c5264af5758p-18, 0x1.c4075734c5459p-18, 0x1.a674d843124bcp-18, 0x1.8a03d6e27dc9cp-18, 0x1.6eab5009628ccp-18, 0x1.5463a2993afc1p-18, 0x1.3b25ff8ecd1cp-18, 0x1.22eb338f27a5ap-18, 0x1.0bb13c184f073p-18, 0x1.eada1efb9851ep-19, 0x1.c0251bf9e4817p-19, 0x1.9740571404188p-19, 0x1.70217507b9ce3p-19, 0x1.4ab03935aa36ap-19, 0x1.26e06e8d9fe2ep-19, 0x1.04a33e91b8befp-19, 0x1.c7d5576a5b1ap-20, 0x1.8954e58743443p-20, 0x1.4daf6d2efac5ep-20, 0x1.14cd83d6c451ep-20, 0x1.bd4822a4b3aeap-21, 0x1.5665192bcc439p-21, 0x1.e936e3462fb7cp-22, 0x1.2e3b68ac4a3ep-22, 0x1.f73e861f2044bp-24, -0x1.512f6e4453e71p-25, -0x1.924a1bbf14f69p-23, -0x1.5f94e396c8b89p-22, -0x1.eda8771a9feafp-22, -0x1.39d5d1176365p-21, -0x1.78fc92772d175p-21, -0x1.b46e7ed7a4c62p-21, -0x1.ec474c065d69dp-21, -0x1.104eae2e8c35ep-20, -0x1.28b90c9d0cad8p-20, -0x1.3f83b73ab46d2p-20, -0x1.54c44487300f4p-20, -0x1.687c81f2707c6p-20, -0x1.7ab2c3ab5948dp-20, -0x1.8b800b0576278p-20, -0x1.9af6ab7c55a3dp-20, -0x1.a920db10d1c1ap-20, -0x1.b607b1b42a8fap-20, -0x1.c1b66ef9b84d5p-20, -0x1.cc3c171b3d14cp-20, -0x1.d5a95bae14a07p-20, -0x1.de06fc170984cp-20, -0x1.e558c881592d7p-20, -0x1.ebab9eee5a55ep-20, -0x1.f10a019a57751p-20, -0x1.f57df4e2f1d4p-20, -0x1.f9123172c2dcp-20, -0x1.fbc3638b1326ap-20, -0x1.fdb9702934ea5p-20, -0x1.feddd1e2bc4f2p-20, -0x1.ff3fd92f8e7cp-20, -0x1.feeca9b4e88f2p-20, -0x1.fde99079c9b8p-20, -0x1.fc3cffe48fbbp-20, -0x1.f9ef8345794b2p-20, -0x1.f70978193fab2p-20, -0x1.f3920f1e698a8p-20, -0x1.ef8e2474619e9p-20, -0x1.eb01cf1d4088ap-20, -0x1.e5f51f33a1229p-20, -0x1.e06f0c9957b75p-20, -0x1.da7a972735452p-20, -0x1.d40f76580a6e8p-20, -0x1.cd451194661fap-20, -0x1.c61b47209b98cp-20, -0x1.be9ab11c798dap-20, -0x1.b6ae9ba93597bp-20, -0x1.ae7fdd3dc4185p-20, -0x1.a60bfcafdfe62p-20, -0x1.9d425cd346922p-20, -0x1.9439816a11feep-20, -0x1.8af1934315393p-20, -0x1.816d6cba3709bp-20, -0x1.77b3145360a4dp-20, -0x1.6dc6c4f7a0566p-20, -0x1.63a9a00751f8p-20, -0x1.595e00ef63bep-20, -0x1.4ee9a65f19116p-20, -0x1.4451e5b007005p-20, -0x1.3999684ecc931p-20, -0x1.2ec4ec8feaa24p-20, -0x1.23c396c7c7dabp-20, -0x1.18b6e5d704243p-20, -0x1.0d95924a1e47cp-20, -0x1.02575355e1485p-20, -0x1.ee045c91ba31dp-21, -0x1.d745424208a36p-21, -0x1.c0757af105df2p-21, -0x1.a99cf3f75bd7bp-21, -0x1.926f6644c29e7p-21, -0x1.7b703f6431026p-21, -0x1.646f7b5d99458p-21, -0x1.4d7bcc43448cbp-21, -0x1.3610085c9e104p-21, -0x1.1f1b08e790d19p-21, -0x1.0815f0b3f3e6p-21, -0x1.e25b5763e21c3p-22, -0x1.b46c0a947fb02p-22, -0x1.86b451bcb9a8ep-22, -0x1.593af87a69b1bp-22, -0x1.2be712a448f51p-22, -0x1.fd866162ac57dp-23, -0x1.a3c3cf23bd9c6p-23, -0x1.4a1bd782d1c5dp-23, -0x1.e2dc57e1e02c8p-24, -0x1.3265227a10d11p-24, -0x1.05dce03ce9246p-25, 0x1.598ab69d123a2p-27, 0x1.b0298dd5c49b9p-25, 0x1.83cd4952dca84p-24, 0x1.17136b9823094p-23, 0x1.6b581ee08b5bp-23, 0x1.bec3ecc4c1c2ep-23, 0x1.08c57553b61cdp-22, 0x1.31c511285e1aep-22, 0x1.5a479f16913fcp-22, 0x1.829aa9ebb600fp-22, 0x1.aa385b2b174a8p-22, 0x1.d178447f9bf15p-22, 0x1.f895f1d78fb13p-22, 0x1.0f8253b810188p-21, 0x1.22822c8583325p-21, 0x1.3543ec7cf817ap-21, 0x1.47c7524e8e22dp-21, 0x1.5a09dbd8a71fdp-21, 0x1.6c39bba1ef467p-21, 0x1.7e083211c0cadp-21, 0x1.8f5dd7db5e1e5p-21, 0x1.a0a7de707ad04p-21, 0x1.b1a88292df81cp-21, 0x1.c2857807e47f7p-21, 0x1.d2fcd8736ac19p-21, 0x1.e3575f2ee8691p-21, 0x1.f365d2523a5cdp-21, 0x1.0194c3edeb3e2p-20, 0x1.095f94afd4998p-20, 0x1.11031384ea772p-20, 0x1.187da9c2598e5p-20, 0x1.1fd7c38402094p-20, 0x1.271650f15a732p-20, 0x1.2e382b8f6f0ddp-20, 0x1.3538b82abc8b6p-20, 0x1.3c16869d2cd39p-20, 0x1.42cfe1ba594bbp-20, 0x1.496a530473274p-20, 0x1.4fe66d6242883p-20, 0x1.56437d16b1febp-20, 0x1.5c81e37d58efp-20, 0x1.62a196728d949p-20, 0x1.689ee10f292d9p-20, 0x1.6e767fea369ap-20, 0x1.742d54ff0be9cp-20, 0x1.79ced3474454ep-20, 0x1.7f4b13a48b243p-20, 0x1.84a40e6ad1862p-20, 0x1.89d97feed441p-20, 0x1.8efbb9812ff4ap-20, 0x1.93fa8035e52d2p-20, 0x1.98dc88b575e5cp-20, 0x1.9d9dfc3f33e57p-20, 0x1.a241940c2ec01p-20, 0x1.a6c0787fddb44p-20, 0x1.ab3a7c2516f9dp-20, 0x1.af82243732608p-20, 0x1.b3a4d004eddd1p-20, 0x1.b7b94683d19c6p-20, 0x1.bbb1024a225f2p-20, 0x1.bf885646e009cp-20, 0x1.c344a94425455p-20, 0x1.c6e7acd86c367p-20, 0x1.ca6ccf5c83669p-20, 0x1.cdd203d34b704p-20, 0x1.d11eaa88813a1p-20, 0x1.d454398b9b24fp-20, 0x1.d76b2b23076a2p-20, 0x1.da68bbc29adcfp-20, 0x1.dd4566e73cf81p-20, 0x1.e015620fc0454p-20, 0x1.e2c13d05ab382p-20, 0x1.e55b5cd128bc6p-20, 0x1.e7db98cd06061p-20, 0x1.ea422b9313ap-20, 0x1.ec90209f6ba25p-20, 0x1.eec382bc953d8p-20, 0x1.f0ec65b32ca04p-20, 0x1.f2f0f557ab63ep-20, 0x1.f4dbae99331a4p-20, 0x1.f6ba3e2514c78p-20, 0x1.f881f49f36b25p-20, 0x1.fa2df64f6e066p-20, 0x1.fbc33b93f21f8p-20, 0x1.fd4869cfdb51ep-20, 0x1.feb44993fa657p-20, 0x1.0001bdcc314bdp-19, 0x1.00a2915081123p-19, 0x1.013b97a8e0e75p-19, 0x1.01c3265d2489bp-19, 0x1.024c5fc82812ap-19, 0x1.02b88767a9183p-19, 0x1.0333b075aefd5p-19, 0x1.039b004f30ef2p-19, 0x1.03facab6b47bdp-19, 0x1.044b4e5a4a776p-19, 0x1.049515c70ceaap-19, 0x1.04d883d1f3b4fp-19, 0x1.051329dc84246p-19, 0x1.0544a0e46368dp-19, 0x1.056deda04fb7p-19, 0x1.058d1ec35c35p-19, 0x1.05a192763399cp-19, 0x1.05b4de560096ep-19, 0x1.05c3f3bc252b9p-19, 0x1.05bc74681db92p-19, 0x1.05b41f706d5bfp-19, 0x1.05a4c6edf902cp-19, 0x1.058eb501d16ecp-19, 0x1.0570c128208ebp-19, 0x1.0549c72a7bfd1p-19, 0x1.051d4d81005bfp-19, 0x1.04e9760b2e6f9p-19, 0x1.04aee6531bd0dp-19, 0x1.046ffd0436137p-19, 0x1.042a0972b2137p-19, 0x1.03dd67fb809dcp-19, 0x1.038a26d7e9dcap-19, 0x1.03308384e18ffp-19, 0x1.02d0f02ec4dbcp-19, 0x1.026bcec95cf8cp-19, 0x1.020110cd2b867p-19, 0x1.0190604602f6ap-19, 0x1.0119cb3657c9p-19, 0x1.009dd47224e89p-19, 0x1.001c9c7e137ap-19, 0x1.ff281f9012ee3p-20, 0x1.fe17ac67391b9p-20, 0x1.fcf49194d6c71p-20, 0x1.fbc4a5c98c9fdp-20, 0x1.fa9caf3d234edp-20, 0x1.f958337499748p-20, 0x1.f81a9bf55a657p-20, 0x1.f6c970e68a675p-20, 0x1.f573a064d6428p-20, 0x1.f413acf7f1b39p-20, 0x1.f2a7dcdeba846p-20, 0x1.f13493213229ap-20, 0x1.efbc84a83caf8p-20, 0x1.ee3e68b0469bfp-20, 0x1.ecb4e81fa17e8p-20, 0x1.eb251d2c247adp-20, 0x1.e98f00f6a449p-20, 0x1.e7f39b9c6ad83p-20, 0x1.e655119398abdp-20, 0x1.e4ac08872ddd9p-20, 0x1.e2f7c707330ebp-20, 0x1.e142203c830cbp-20, 0x1.df812f2b3134cp-20, 0x1.ddb8a0dcd63b6p-20, 0x1.dbec2efefb737p-20, 0x1.da21ffdb78fc7p-20, 0x1.d854f6fe0d2bep-20, 0x1.d67ae4b630e89p-20, 0x1.d49de25a04f34p-20, 0x1.d2b781bfd49a9p-20, 0x1.d0cc46442dcebp-20, 0x1.cee2bcf311c14p-20, 0x1.ccf2f1151d40bp-20, 0x1.cb0223b1bf599p-20, 0x1.c8fa66b1ff8d8p-20, 0x1.c7074a6d0631dp-20, 0x1.c5053894c6f0cp-20, 0x1.c3031fed581fdp-20, 0x1.c0fcd1ea79ac5p-20, 0x1.bee8436b87162p-20, 0x1.bcd832669bbf9p-20, 0x1.bac524d3ac31dp-20, 0x1.b8ac67e33c31ep-20, 0x1.b695d72e9e95p-20, 0x1.b472c4c9aeadbp-20, 0x1.b25abad2f09dbp-20, 0x1.b0354cc783049p-20, 0x1.ae15051f2bee6p-20, 0x1.abf125c5e02cfp-20, 0x1.a9ccbee20c08p-20, 0x1.a79921ebc0f5ap-20, 0x1.a56c1f32aed8dp-20, 0x1.a33c9709efee3p-20, 0x1.a10afb7d9653ep-20, 0x1.9ed75baf50699p-20, 0x1.9ca0b607572b8p-20, 0x1.9a6fff3cb95e1p-20, 0x1.983a36fedc9b4p-20, 0x1.95fd809d5a8a3p-20, 0x1.93c66d38ff58ep-20, 0x1.918bcc2b6d23dp-20, 0x1.8f4facab75945p-20, 0x1.8d131c0b710efp-20, 0x1.8ad5d51594f7fp-20, 0x1.88987d83e69aap-20, 0x1.8658170bc392cp-20, 0x1.84186a96dec08p-20, 0x1.81d772f59c16ep-20, 0x1.7f9683063f0ebp-20, 0x1.7d53c459f58f8p-20, 0x1.7b0e4d4a55876p-20, 0x1.78c45513b086p-20, 0x1.7693412a9fc41p-20, 0x1.7451c1c2c9f71p-20, 0x1.71fe9e88a4103p-20, 0x1.6fc2e5018bbf1p-20, 0x1.6d810af9de1b5p-20, 0x1.6b3fa8226584ap-20, 0x1.68fd090158e9cp-20, 0x1.66bd8bb8bd216p-20, 0x1.647cec6c42607p-20, 0x1.623cc68a7e76fp-20, 0x1.5ffe4daae8ec2p-20, 0x1.5dbddac033995p-20, 0x1.5b7b81e528ca1p-20, 0x1.593f3c9ea17e6p-20, 0x1.56ff0a1bced53p-20, 0x1.54bfd1c9a134bp-20, 0x1.5281fe9954646p-20, 0x1.505045ce5de42p-20, 0x1.4e1997da15f38p-20, 0x1.4bd94863f7dap-20, 0x1.49a505e392923p-20, 0x1.476faaaa0a2a1p-20, 0x1.4535364a1ca8p-20, 0x1.430069efc3077p-20, 0x1.40cf0bd7933fbp-20, 0x1.3e9e86bac38abp-20, 0x1.3c6eec78adc21p-20, 0x1.3a3f8ff09262dp-20, 0x1.3813b61ba8732p-20, 0x1.35e6a1266502bp-20, 0x1.33b868253060bp-20, 0x1.3192aa811a4d9p-20, 0x1.2f6cf7dc5d81ep-20, 0x1.2d448170e4bf2p-20, 0x1.2b1f5ca7ec256p-20, 0x1.28faa0140cfeep-20, 0x1.26dcc283eb073p-20, 0x1.24bef0332281cp-20, 0x1.229dbf83fe0a9p-20, 0x1.20835b9de8d03p-20, 0x1.1e679f989f181p-20, 0x1.1c5631e2d1569p-20, 0x1.1a3cb979c67a4p-20, 0x1.182ba70a6283fp-20, 0x1.1619be391a3b7p-20, 0x1.14093b062fd19p-20, 0x1.11faab9fe5888p-20, 0x1.0feed8372d96fp-20, 0x1.0de26e8ca6f5dp-20, 0x1.0bd871ed15b85p-20, 0x1.09d6fd3cfc75cp-20, 0x1.07dd77cbd6f5dp-20, 0x1.05cc5fee3f3bap-20, 0x1.03caea204197fp-20, 0x1.01d36fa732aecp-20, 0x1.ffac2053737f1p-21, 0x1.fbb605ca0a8a5p-21, 0x1.f7b62278e3b3ep-21, 0x1.f3f7729f2991dp-21, 0x1.f0135c3af311ep-21, 0x1.ec27463637b09p-21, 0x1.e84db31e50932p-21, 0x1.e47573f816b19p-21, 0x1.e0a18967dfd2dp-21, 0x1.dcd7c506df7d8p-21, 0x1.d91183a3b21dbp-21, 0x1.d5476373168a9p-21, 0x1.d1862de246a68p-21, 0x1.cdc29b8d2f6eep-21, 0x1.ca1b5474831bfp-21, 0x1.c66542c7b5d24p-21, 0x1.c2b9020a6a4ebp-21, 0x1.bf18ce7f67a3ep-21, 0x1.bb6f63a1f0786p-21, 0x1.b7d7523b9e936p-21, 0x1.b43def29c975bp-21, 0x1.b0a81ec64bf74p-21, 0x1.ad16e6dfa1ca1p-21, 0x1.a98c8064d6427p-21, 0x1.a604511029dfp-21, 0x1.a282aea75a819p-21, 0x1.9f179c142f85ap-21, 0x1.9bb40899c4146p-21, 0x1.982e8b83661d1p-21, 0x1.94c862fdd2f62p-21, 0x1.9156cb7c8a8cep-21, 0x1.8df18adaac8afp-21, 0x1.8a9a3e5e8171cp-21, 0x1.874563c684f9p-21, 0x1.83f084dfe05a3p-21, 0x1.80a2db511a27cp-21, 0x1.7d55726ebd036p-21, 0x1.7a139de5b6b79p-21, 0x1.76ccef86b1facp-21, 0x1.738def8159332p-21, 0x1.7064101ff786ap-21, 0x1.6d33d852d93cbp-21, 0x1.6a0bba202d5bp-21, 0x1.66e79bf192a97p-21, 0x1.63bcb10bc3d56p-21, 0x1.60a6757dc5834p-21, 0x1.5d8f588cd07bfp-21, 0x1.5a7dc75f58d28p-21, 0x1.57711dca0caeep-21, 0x1.5468d719c26a7p-21, 0x1.5162fb15894b7p-21, 0x1.4e6742117aaa8p-21, 0x1.4b7190ea1e606p-21, 0x1.487e7cb0df95bp-21, 0x1.458fcdda8e137p-21, 0x1.42a5721a3046dp-21, 0x1.3fbe40c5d649dp-21, 0x1.3ce0333465affp-21, 0x1.3a03b2ecf21a1p-21, 0x1.372a966bd23cap-21, 0x1.34565499e54bap-21, 0x1.316eb43e9575ap-21, 0x1.2ec26d1428df4p-21, 0x1.2c000918f2c9ep-21, 0x1.293fdbcb9713fp-21, 0x1.26876aea4ddbap-21, 0x1.23d0ee3f17803p-21, 0x1.2124474a5771bp-21, 0x1.1e7b9c96d754ep-21, 0x1.1bd50fd35d16cp-21, 0x1.19375e61be2a6p-21, 0x1.169263b68f7e7p-21, 0x1.13fbde16a095cp-21, 0x1.1174630a89894p-21, 0x1.0ee02f7bca2cp-21, 0x1.0c56313494a3ap-21, }}, 
      {{-0x1.e906da70df1aap-6, -0x1.74f7e96000132p-4, -0x1.1f51abf0c0fe5p-3, -0x1.3950533ab07a8p-3, -0x1.fdb9a4b106746p-4, -0x1.ff87fc19e5f75p-5, 0x1.460937027a7a8p-6, 0x1.be6bb7cb790ddp-4, 0x1.8c40989ae294fp-3, 0x1.0fc3ccf3994eap-2, 0x1.47dcbc24cf11fp-2, 0x1.6cc657f705ac9p-2, 0x1.7f2442f2b8ea3p-2, 0x1.8121fbc008d02p-2, 0x1.75c9dbb87ea8p-2, 0x1.607f3af414703p-2, 0x1.449d3d63f3ad3p-2, 0x1.2536717ea5b38p-2, 0x1.04ef2b4879f84p-2, 0x1.cbd8546a3ec59p-3, 0x1.939f6c273c117p-3, 0x1.6380c9b0566dep-3, 0x1.3ceb9e07e8767p-3, 0x1.2090d1c3ffd1cp-3, 0x1.0e84f9275f71bp-3, 0x1.0661c27f5c507p-3, 0x1.0765203d4a87ep-3, 0x1.108d2dd7073d5p-3, 0x1.20b043e102509p-3, 0x1.36911290d99d3p-3, 0x1.50eed80b30b9fp-3, 0x1.6e91f524b06ebp-3, 0x1.8e5540c3beed2p-3, 0x1.af2c88349741bp-3, 0x1.d028af22c1195p-3, 0x1.f079dd650f39ap-3, 0x1.07b811a381056p-2, 0x1.163d774266134p-2, 0x1.2393d044fc77p-2, 0x1.2f8fc3864e17cp-2, 0x1.3a12b609eae92p-2, 0x1.430974fddfbd9p-2, 0x1.4a6ad32317267p-2, 0x1.5036471cd0744p-2, 0x1.547295a514649p-2, 0x1.572c8ebdafcffp-2, 0x1.5875e365fcb2fp-2, 0x1.5864159e3c702p-2, 0x1.570f85a11be61p-2, 0x1.54929afcf22cfp-2, 0x1.51090a9e30524p-2, 0x1.4c8f36f65a46ep-2, 0x1.4741a890f3dfep-2, 0x1.413c9da466076p-2, 0x1.3a9badc6e8c3fp-2, 0x1.33798044660f3p-2, 0x1.2bef931586d74p-2, 0x1.24160fd355dbbp-2, 0x1.1c03aca1e717bp-2, 0x1.13cd975224d94p-2, 0x1.0b8769197c212p-2, 0x1.0343217d782e8p-2, 0x1.f6224eb30c6bfp-3, 0x1.e6009df31d29dp-3, 0x1.d63bc85001375p-3, 0x1.c6eb6e95e60a9p-3, 0x1.b824599adc648p-3, 0x1.a9f89c649bbf2p-3, 0x1.9c77b8a3cc6e5p-3, 0x1.8faec4e6a1f59p-3, 0x1.83a8939c0849ap-3, 0x1.786ddaa118f37p-3, 0x1.6e055a8b2e2d7p-3, 0x1.64740586d66d3p-3, 0x1.5bbd25313a4e7p-3, 0x1.53e27f0b76cdcp-3, 0x1.4ce47839f062fp-3, 0x1.46c2366feb5b5p-3, 0x1.4179c0d262152p-3, 0x1.3d081d4e652aep-3, 0x1.39696e712b985p-3, 0x1.36990d6a1fe4dp-3, 0x1.3491a4958ef7cp-3, 0x1.334d45f1f38e5p-3, 0x1.32c583013ab45p-3, 0x1.32f37fccc8a21p-3, 0x1.33d007a91e771p-3, 0x1.35539dda5537p-3, 0x1.37768e231bb39p-3, 0x1.3a30fc34f74e4p-3, 0x1.3d7af0b56cb8fp-3, 0x1.414c66071f4d2p-3, 0x1.459d5313bddfap-3, 0x1.4a65b5d53ac69p-3, 0x1.4f9d9bc66987fp-3, 0x1.553d2a866ed4ep-3, 0x1.5b3ca6143ab8p-3, 0x1.619477c699007p-3, 0x1.683d32ee7ba57p-3, 0x1.6f2f99e830b61p-3, 0x1.7664a1f03ce5fp-3, 0x1.7dd575ec9fe33p-3, 0x1.857b79c35a4a8p-3, 0x1.8d504bcfef95p-3, 0x1.954dc6b994b65p-3, 0x1.9d6e02dd276eap-3, 0x1.a5ab56726c609p-3, 0x1.ae00563f4154ep-3, 0x1.b667d60428f73p-3, 0x1.bedce73d17219p-3, 0x1.c75ad99c7acaap-3, 0x1.cfdd39ada9b12p-3, 0x1.d85fd0213211dp-3, 0x1.e0dea0a15b826p-3, 0x1.e955e8ba05471p-3, 0x1.f1c21df949636p-3, 0x1.fa1fed4e31fcp-3, 0x1.01361c3c57e31p-2, 0x1.05520a75000bdp-2, 0x1.09626535d53a1p-2, 0x1.0d65e85cf3f5cp-2, 0x1.115b66f8f559fp-2, 0x1.1541caaa20db7p-2, 0x1.19181268e7e51p-2, 0x1.1cdd51cdccd0dp-2, 0x1.2090b058bee68p-2, 0x1.2431682572123p-2, 0x1.27bec5af1f61cp-2, 0x1.2b38266684e6bp-2, 0x1.2e9cf82ebc62dp-2, 0x1.31ecb894726edp-2, 0x1.3526f40508f51p-2, 0x1.384b44dd29726p-2, 0x1.3b5952acdea55p-2, 0x1.3e50d2182dcecp-2, 0x1.4131833a55ddbp-2, 0x1.43fb3178fc7e4p-2, 0x1.46adb30b3a888p-2, 0x1.4948e82b16a4dp-2, 0x1.4bccba0802104p-2, 0x1.4e391b04dee0bp-2, 0x1.508e05b0452bp-2, 0x1.52cb7c49e9acp-2, 0x1.54f18817231f4p-2, 0x1.570039583d4c9p-2, 0x1.58f7a689d307fp-2, 0x1.5ad7ebc73d11cp-2, 0x1.5ca12aa955303p-2, 0x1.5e5389be6293fp-2, 0x1.5fef3460c343dp-2, 0x1.617459d5e60f4p-2, 0x1.62e32d6cac801p-2, 0x1.643be6126bd23p-2, 0x1.657ebdc17e9b6p-2, 0x1.66abf1c69df31p-2, 0x1.67c3c19b2b905p-2, 0x1.68c66f968f388p-2, 0x1.69b43ff73a3afp-2, 0x1.6a8d7916f77ecp-2, 0x1.6b5262c297e39p-2, 0x1.6c0346a657bb4p-2, 0x1.6ca06f6750202p-2, 0x1.6d2a292e3f412p-2, 0x1.6da0c0c697e1cp-2, 0x1.6e0483e57fd64p-2, 0x1.6e55c11d6b43ep-2, 0x1.6e94c7487701p-2, 0x1.6ec1e5eb10cdbp-2, 0x1.6edd6c8d57fecp-2, 0x1.6ee7ab0fe4878p-2, 0x1.6ee0f181b9e11p-2, 0x1.6ec98fe237891p-2, 0x1.6ea1d5e698c7ap-2, 0x1.6e6a136c9f017p-2, 0x1.6e2297d4345b2p-2, 0x1.6dcbb25ae51f1p-2, 0x1.6d65b1cf65656p-2, 0x1.6cf0e4a73cc63p-2, 0x1.6c6d98bcfe3adp-2, 0x1.6bdc1b8ae6405p-2, 0x1.6b3cb9f9631b2p-2, 0x1.6a8fc06166232p-2, 0x1.69d57a5f35c8p-2, 0x1.690e3302ca822p-2, 0x1.683a34b619253p-2, 0x1.6759c921f5001p-2, 0x1.666d393da4028p-2, 0x1.6574cd400906ep-2, 0x1.6470ccba97ea5p-2, 0x1.63617e44b8bb3p-2, 0x1.624727f1f3afap-2, 0x1.61220ee50acf2p-2, 0x1.5ff27797e42b9p-2, 0x1.5eb8a57ee80d9p-2, 0x1.5d74db98a1104p-2, 0x1.5c275bbaeb80ap-2, 0x1.5ad06735dcf65p-2, 0x1.59703e7e7c6c8p-2, 0x1.5807211bbfd17p-2, 0x1.56954df4a5fc4p-2, 0x1.551b02ffb107fp-2, 0x1.53987d7b895dcp-2, 0x1.520df9dea649p-2, 0x1.507bb3d1d8443p-2, 0x1.4ee1e63d75651p-2, 0x1.4d40cb274ea1dp-2, 0x1.4b989beb39595p-2, 0x1.49e99120ce3abp-2, 0x1.4833e28cc7e51p-2, 0x1.4677c74a3a41dp-2, 0x1.44b575891a011p-2, 0x1.42ed22f9e5d61p-2, 0x1.411f0452e51b2p-2, 0x1.3f4b4db111328p-2, 0x1.3d723275342c4p-2, 0x1.3b93e53ad316p-2, 0x1.39b09803d72d4p-2, 0x1.37c87bf1a8e4bp-2, 0x1.35dbc19378782p-2, 0x1.33ea98bcccf54p-2, 0x1.31f5308948b8dp-2, 0x1.2ffbb77138939p-2, 0x1.2dfe5b3a28fb7p-2, 0x1.2bfd48fd5b458p-2, 0x1.29f8ad2b40405p-2, 0x1.27f0b3876ab4bp-2, 0x1.25e5872af8e18p-2, 0x1.23d7528d037c5p-2, 0x1.21c63f7d4f936p-2, 0x1.1fb2773675877p-2, 0x1.1d9c222d274e6p-2, 0x1.1b83685658c0dp-2, 0x1.196870f4beaa1p-2, 0x1.174b62ae46949p-2, 0x1.152c638c7a2f8p-2, 0x1.130b9900b0de9p-2, 0x1.10e927d2c041ap-2, 0x1.0ec5343750c9p-2, 0x1.0c9fe1d10eef7p-2, 0x1.0a7953a2cfc2ap-2, 0x1.0851ac08c5e6fp-2, 0x1.06290cdd5fcc5p-2, 0x1.03ff975d1d157p-2, 0x1.01d56c2f9ccd9p-2, 0x1.ff5556d95a255p-3, 0x1.fafee91fdc7fbp-3, 0x1.f6a7cd12e5d54p-3, 0x1.f2503f71fa608p-3, 0x1.edf87bd0870a6p-3, 0x1.e9a0bcb092391p-3, 0x1.e5493b6fe3272p-3, 0x1.e0f230561a0c4p-3, 0x1.dc9bd28e4500ep-3, 0x1.d846582cde081p-3, 0x1.d3f1f63476732p-3, 0x1.cf9ee0908245ep-3, 0x1.cb4d4a1b5722p-3, 0x1.c6fd6493283f8p-3, 0x1.c2af60cc69e5ap-3, 0x1.be636e7b1c47p-3, 0x1.ba19bc3477e03p-3, 0x1.b5d277cd44056p-3, 0x1.b18dcda03b451p-3, 0x1.ad4be9577a803p-3, 0x1.a90cf5a3eebp-3, 0x1.a4d11c09b7684p-3, 0x1.a09885254c193p-3, 0x1.9c635896cb0d9p-3, 0x1.9831bcf657f0cp-3, 0x1.9403d7fa8dc12p-3, 0x1.8fd9ce5dedaccp-3, 0x1.8bb3c3ed8cc21p-3, 0x1.8791db603339ep-3, 0x1.837436b08b922p-3, 0x1.7f5af6d3548bep-3, 0x1.7b463bd1b137cp-3, 0x1.773624d5e3e9dp-3, 0x1.732ad01ade2c4p-3, 0x1.6f245afc68abep-3, 0x1.6b22e1f618b29p-3, 0x1.672680a70eed6p-3, 0x1.632f51d6b1c45p-3, 0x1.5f3d6f5ec253p-3, 0x1.5b50f257d7d51p-3, 0x1.5769f2f582492p-3, 0x1.5388889e8f1f4p-3, 0x1.4facc9ea952e6p-3, 0x1.4bd6cc9ed8a86p-3, 0x1.4806a5b68b0b5p-3, 0x1.443c696a257e6p-3, 0x1.40782b2cebfbfp-3, 0x1.3cb9fd9e3ebf2p-3, 0x1.3901f2b946d83p-3, 0x1.35501b9679999p-3, 0x1.31a488ac0e1p-3, 0x1.2dff49ad7e8bbp-3, 0x1.2a606d96cf80dp-3, 0x1.26c802b3eac6p-3, 0x1.233616a045dc1p-3, 0x1.1faab64750c26p-3, 0x1.1c25ede6287e1p-3, 0x1.18a7c90eeef6p-3, 0x1.153052ab024bdp-3, 0x1.11bf950a67aacp-3, 0x1.0e5599d12765fp-3, 0x1.0af269f964a72p-3, 0x1.07960df0e8507p-3, 0x1.04408d980daa6p-3, 0x1.00f1f030e7e8ep-3, 0x1.fb54788e87b53p-4, 0x1.f4d2efe8a5e09p-4, 0x1.ee5f51765476dp-4, 0x1.e7f9a75728c91p-4, 0x1.e1a1fa1c74a47p-4, 0x1.db5851d9cf2c8p-4, 0x1.d51cb50cfe9f6p-4, 0x1.ceef298476499p-4, 0x1.c8cfb413d9819p-4, 0x1.c2be587cb36c8p-4, 0x1.bcbb19820e862p-4, 0x1.b6c5f90c9699dp-4, 0x1.b0def8120b123p-4, 0x1.ab06168eee406p-4, 0x1.a53b53a93b2c4p-4, 0x1.9f7eadb580adbp-4, 0x1.99d022326f35fp-4, 0x1.942fadc8faf06p-4, 0x1.8e9d4c4fdb33ep-4, 0x1.8918f8e8145ebp-4, 0x1.83a2adcc19818p-4, 0x1.7e3a6484ade9ap-4, 0x1.78e0160ace58p-4, 0x1.7393ba556d123p-4, 0x1.6e5548d44438cp-4, 0x1.6924b84b1bcf6p-4, 0x1.6401fec42c05dp-4, 0x1.5eed11d3e3ddp-4, 0x1.59e5e64ce290dp-4, 0x1.54ec705dd907p-4, 0x1.5000a3c1e7e52p-4, 0x1.4b22738e98a0dp-4, 0x1.4651d24708a9cp-4, 0x1.418eb1df2b1b9p-4, 0x1.3cd903c324832p-4, 0x1.3830b8e44a415p-4, 0x1.3395c1c2c00abp-4, 0x1.2f080e6b88dc6p-4, 0x1.2a878e758b4eap-4, 0x1.261430ea06d9ap-4, 0x1.21ade49938d58p-4, 0x1.1d5497d659d7ap-4, 0x1.190838869b421p-4, 0x1.14c8b40047563p-4, 0x1.1095f76f7742ap-4, 0x1.0c6fef86e1b96p-4, 0x1.085688a479769p-4, 0x1.0449aedbef9f7p-4, 0x1.00494dee9ccfp-4, 0x1.f8aaa2c64f937p-5, 0x1.f0db491c76999p-5, 0x1.e92464eaefce3p-5, 0x1.e185cbc26a2efp-5, 0x1.d9ff52a9c121bp-5, 0x1.d290ce1490373p-5, 0x1.cb3a11d1f4fp-5, 0x1.c3faf13931362p-5, 0x1.bcd33efb45d31p-5, 0x1.b5c2cd6dbe1f8p-5, 0x1.aec96e96a946bp-5, 0x1.a7e6f45286589p-5, 0x1.a11b305a814efp-5, 0x1.9a65f3f8b4979p-5, 0x1.93c711445dc38p-5, 0x1.8d3e599d8f1f5p-5, 0x1.86cb9e39b2cbp-5, 0x1.806eaffef1d54p-5, 0x1.7a275f2b0d895p-5, 0x1.73f57bcaab781p-5, 0x1.6dd8d537e7a47p-5, 0x1.67d13a5c3840ap-5, 0x1.61de79e19fed3p-5, 0x1.5c00626a7a93ep-5, 0x1.5636c2cb892c4p-5, 0x1.50816a3ca3e84p-5, 0x1.4ae0287422ac2p-5, 0x1.4552cda064936p-5, 0x1.3fd92a3e44c2ap-5, 0x1.3a730ede136bap-5, 0x1.35204bef03139p-5, 0x1.2fe0b1599da8p-5, 0x1.2ab40e663c4b6p-5, 0x1.259a31b22d86ep-5, 0x1.2092e92be0597p-5, 0x1.1b9e027b08d33p-5, 0x1.16bb4b4719ecdp-5, 0x1.11ea91a98a855p-5, 0x1.0d2ba451e07bfp-5, 0x1.087e530ec42cbp-5, 0x1.03e26ee6b7a47p-5, 0x1.feaf9325978acp-6, 0x1.f5bc6a4d050a6p-6, 0x1.eceb08aa908c1p-6, 0x1.e43b12c5e2396p-6, 0x1.dbac2be607a62p-6, 0x1.d33df5adbcd91p-6, 0x1.caf010144f279p-6, 0x1.c2c219e06bda5p-6, 0x1.bab3b1666a58bp-6, 0x1.b2c47568cf3dap-6, 0x1.aaf406032b9dfp-6, 0x1.a34205646dac3p-6, 0x1.9bae181eacc47p-6, 0x1.9437e521f33b4p-6, 0x1.8cdf15924021fp-6, 0x1.85a3531b14ec2p-6, 0x1.7e844803a76d6p-6, 0x1.77819e31ca882p-6, 0x1.709afeb4c7b8ep-6, 0x1.69d011af44bccp-6, 0x1.63207e985054bp-6, 0x1.5c8becd9dec75p-6, 0x1.5612047ec3a9dp-6, 0x1.4fb26ecf77fc6p-6, 0x1.496cd6ba5c53p-6, 0x1.4340e8c4b81bep-6, 0x1.3d2e52e55e828p-6, 0x1.3734c3fa254b1p-6, 0x1.3153eabbbbe3cp-6, 0x1.2b8b750cb34bp-6, 0x1.25db0f8d6a7a1p-6, 0x1.204265d7d9012p-6, 0x1.1ac12336a63dcp-6, 0x1.1556f3bea50fbp-6, 0x1.1003842c5b9acp-6, 0x1.0ac68664e2f0ap-6, 0x1.059fad8bb1374p-6, 0x1.008eb2f82285p-6, 0x1.f726a55b4969bp-7, 0x1.ed5a98a7a5dcfp-7, 0x1.e3b8c0b33e1ecp-7, 0x1.da409cb8e8c35p-7, 0x1.d0f1a57ff84a1p-7, 0x1.c7cb4b1068f6cp-7, 0x1.beccf41a65de2p-7, 0x1.b5f5fced682b6p-7, 0x1.ad45ba9d211abp-7, 0x1.a4bb7f5510626p-7, 0x1.9c569fe3b49ddp-7, 0x1.9416797cfd3f6p-7, 0x1.8bfa761ff5d4ap-7, 0x1.84020ff88332ap-7, 0x1.7c2cd36666e92p-7, 0x1.747a5b236459ap-7, 0x1.6cea4ce0538cbp-7, 0x1.657c555ec752dp-7, 0x1.5e301f9723c89p-7, 0x1.57054e52f4d78p-7, 0x1.4ffb7723e294p-7, 0x1.49121fd5fbb33p-7, 0x1.4248bc93dd5d4p-7, 0x1.3b9eb4de1b1bap-7, 0x1.3513678c1fddep-7, 0x1.2ea63119f61dap-7, 0x1.28567210e5b0cp-7, 0x1.222394c9bd7abp-7, 0x1.1c0d118b91052p-7, 0x1.161270d301497p-7, 0x1.10334bfea1db1p-7, 0x1.0a6f4cafb053dp-7, 0x1.04c62478522c4p-7, 0x1.fe6f2b01a137bp-8, 0x1.f386bd11c2166p-8, 0x1.e8d26e629de01p-8, 0x1.de51abe252906p-8, 0x1.d403c235a2db8p-8, 0x1.c9e7e4d9a2357p-8, 0x1.bffd2fe56ff7ap-8, 0x1.b642af764b19bp-8, 0x1.acb769dfdbe38p-8, 0x1.a35a6a2b79f07p-8, 0x1.9a2ac8444c943p-8, 0x1.9127ad6c6ad06p-8, 0x1.8850543e18459p-8, 0x1.7fa403ecbd55fp-8, 0x1.7722092358f45p-8, 0x1.6ec9b09b7f8f6p-8, 0x1.669a45d05094ap-8, 0x1.5e9315b756afap-8, 0x1.56b373e6d6e1p-8, 0x1.4efabf92de149p-8, 0x1.476865135401bp-8, 0x1.3ffbdaed96659p-8, 0x1.38b49baaf552dp-8, 0x1.31921f1ab717dp-8, 0x1.2a93d67b18e3ep-8, 0x1.23b92d99706bcp-8, 0x1.1d0190a7013ecp-8, 0x1.166c741b941f6p-8, 0x1.0ff959fb2b56ep-8, 0x1.09a7d02050de2p-8, 0x1.037766c42b852p-8, 0x1.facf43da475c6p-9, 0x1.eeefd7fb0f3c3p-9, 0x1.e34f1eff580a9p-9, 0x1.d7eb795466b1fp-9, 0x1.ccc32eb3cc3fdp-9, 0x1.c1d497ba22e0cp-9, 0x1.b71e32c27c277p-9, 0x1.ac9ec4553e01p-9, 0x1.a2554398d9842p-9, 0x1.9840d23b5c0c5p-9, 0x1.8e60afd778111p-9, 0x1.84b43d62916f2p-9, 0x1.7b3af7ea1bce3p-9, 0x1.71f477ea6c128p-9, 0x1.68e068bd3acafp-9, 0x1.5ffe75c3ac7b3p-9, 0x1.574e31862805ep-9, 0x1.4ecf07b23d57ap-9, 0x1.468010cd5ffe6p-9, 0x1.3e605a5c1be67p-9, 0x1.366e87c0f7a68p-9, 0x1.2ea94cd6ceeefp-9, 0x1.270f4c8127b9dp-9, 0x1.1f9f55d9e7fa7p-9, 0x1.18587946188f5p-9, 0x1.1139f27970c8p-9, 0x1.0a42fdbcbc04cp-9, 0x1.0372a7bfbb377p-9, 0x1.f98f833ddcfe2p-10, 0x1.ec82151c84cfp-10, 0x1.dfbaf9d787da6p-10, 0x1.d33923840773bp-10, 0x1.c6fca169e6895p-10, 0x1.bb063ea4553bcp-10, 0x1.af56cd00d9d3p-10, 0x1.a3ee74e50c1afp-10, 0x1.98cc57efb17ebp-10, 0x1.8dee9b53876d2p-10, 0x1.8352b6fd0a965p-10, 0x1.78f5db16a73f9p-10, 0x1.6ed5569a43139p-10, 0x1.64eefa06b2e6p-10, 0x1.5b4165f4df996p-10, 0x1.51cc215d0b8f9p-10, 0x1.488f54e81b19dp-10, 0x1.3f8b357ce068fp-10, 0x1.36bf61c60a473p-10, 0x1.2e2a8f16e2bafp-10, 0x1.25caa62a05fbp-10, 0x1.1d9d3f79ebf9dp-10, 0x1.15a02b8f372c9p-10, 0x1.0dd1da5682c4bp-10, 0x1.0631981022216p-10, 0x1.fd7edf0fea41ap-11, 0x1.eef78c95d0404p-11, 0x1.e0cdc1dcfabbep-11, 0x1.d3010f1c1e592p-11, 0x1.c58fc20f59186p-11, 0x1.b876df1489e33p-11, 0x1.abb26f379b0b3p-11, 0x1.9f3df496477aap-11, 0x1.931540b64c46bp-11, 0x1.87357ada22f8p-11, 0x1.7b9dc423f3f3dp-11, 0x1.704ee61272c74p-11, 0x1.654a17e6ef1f8p-11, 0x1.5a8fa1e5a87ep-11, 0x1.501e5fdd6d747p-11, 0x1.45f4058401f76p-11, 0x1.3c0e5f407c2b4p-11, 0x1.326b3103482c5p-11, 0x1.2909a88ec5dc3p-11, 0x1.1fe95cee4e7f5p-11, 0x1.1709aac6d2ec5p-11, 0x1.0e68c30baf4ddp-11, 0x1.0603af74a640cp-11, 0x1.fbae864460da8p-12, 0x1.ebc25d93ee611p-12, 0x1.dc40ed88073f7p-12, 0x1.cd2a3d1fd3b51p-12, 0x1.be7eca7dcb2p-12, 0x1.b03ca3b831a25p-12, 0x1.a260d3cc7a569p-12, 0x1.94e571f90f4a5p-12, 0x1.87c5bee1d0f3bp-12, 0x1.7afe84c3d9c15p-12, 0x1.6e8fa97894d67p-12, 0x1.627acb328ac4dp-12, 0x1.56c0db57bb8ddp-12, 0x1.4b607ee30a606p-12, 0x1.4055ffa53584ap-12, 0x1.359cef4b024f2p-12, 0x1.2b32bc7948785p-12, 0x1.2117c9f895856p-12, 0x1.174d6603d5e19p-12, 0x1.0dd32931446a8p-12, 0x1.04a6bbc43985bp-12, 0x1.f78a7a4235cbap-13, 0x1.e6574c33856adp-13, 0x1.d5adb47752897p-13, 0x1.c586958127a74p-13, 0x1.b5da820b0f129p-13, 0x1.a6a41011b1972p-13, 0x1.97e275dff279p-13, 0x1.89996eaf7c532p-13, 0x1.7bccf9e562acdp-13, 0x1.6e7b31175badep-13, 0x1.6199535348c8cp-13, 0x1.55196b2ebbb66p-13, 0x1.48f5e93cb5d37p-13, 0x1.3d35bb9ecaa0bp-13, 0x1.31e26163c0999p-13, 0x1.26fb8b419dab5p-13, 0x1.1c76f8e54873p-13, 0x1.124bb20936f35p-13, 0x1.08796c1a802f1p-13, 0x1.fe066a3f2b8f3p-14, 0x1.ebcf7b7585bdcp-14, 0x1.da42c938172dbp-14, 0x1.c954d2cc9f81ap-14, 0x1.b8fec8b7fa9f5p-14, 0x1.a93eb620c2e85p-14, 0x1.9a15bec731b3bp-14, 0x1.8b85f2cd8869ap-14, 0x1.7d8f6c3ac2fc9p-14, 0x1.70303b17dc643p-14, 0x1.6361f8c6cdccfp-14, 0x1.571a59835f15bp-14, 0x1.4b4d1c3835ea9p-14, 0x1.3ff703a23c1bap-14, 0x1.351fb8c81634ap-14, 0x1.2ac7509bcfdd9p-14, 0x1.20d91a7264eacp-14, 0x1.17415691ee04ep-14, 0x1.0e09590a1ba35p-14, 0x1.0547b7fca7207p-14, 0x1.f9f8652ac31cap-15, 0x1.ea281f5ba445cp-15, 0x1.db107f67b9dccp-15, 0x1.ccbc82fa0326cp-15, 0x1.bf2ae78f6ecebp-15, 0x1.b24a58c32c789p-15, 0x1.a60abb89b5c6p-15, 0x1.9a63e861f37cep-15, 0x1.8f53521acd58fp-15, 0x1.84d6027a41a5bp-15, 0x1.7ae9817ad7b26p-15, 0x1.718ae15884386p-15, 0x1.68b5a2467928p-15, 0x1.6068cf873416ep-15, 0x1.58a47185a4978p-15, 0x1.516a7bd1c4c23p-15, 0x1.4abd099bd408fp-15, 0x1.449d6619f07b6p-15, 0x1.3f0150f969eabp-15, 0x1.39d17ad6b1f68p-15, 0x1.3504302ee0664p-15, 0x1.3095abfe4006cp-15, 0x1.2c81bd08b9fd4p-15, 0x1.28c14d5d5e04cp-15, 0x1.255c70227cb29p-15, 0x1.2255953098c9p-15, 0x1.1fa5012f12369p-15, 0x1.1d4f89f9f954dp-15, 0x1.1b58cb062aabap-15, 0x1.19b46fadb1b4ep-15, 0x1.1855336225c7fp-15, 0x1.173594f1fc058p-15, 0x1.1654cf7e66a18p-15, 0x1.15b299118ac6bp-15, 0x1.154de82a78061p-15, 0x1.1524fe74a62e4p-15, 0x1.1535a7d2bd033p-15, 0x1.157da48d2fa7ap-15, 0x1.15faa9eeed46dp-15, 0x1.16a9f275ebe2cp-15, 0x1.17889ecf7793fp-15, 0x1.1894b242b91aap-15, 0x1.19cd257dc154ep-15, 0x1.1b311e16f7da8p-15, 0x1.1cbf1caeb0598p-15, 0x1.1e780a41fd625p-15, 0x1.205d855d29125p-15, 0x1.226d77f37b8b3p-15, 0x1.249d06def6ea3p-15, 0x1.26e23c989c59bp-15, 0x1.294110e9186cdp-15, 0x1.2bb6603c8483bp-15, 0x1.2e3c8aabba434p-15, 0x1.30de2b3c0f239p-15, 0x1.33a152c51da9ep-15, 0x1.367dfabcd4aeap-15, 0x1.396ac325e1c4dp-15, 0x1.3c65aed0e8be6p-15, 0x1.3f6ee97043a9ep-15, 0x1.42871d5fc8cf5p-15, 0x1.45aca2a988db9p-15, 0x1.48def62f39094p-15, 0x1.4c1d15fa27ca3p-15, 0x1.4f65a878c0007p-15, 0x1.52b7bae4395ccp-15, 0x1.561206a6b4a53p-15, 0x1.5973722f43d78p-15, 0x1.5cdb0c1042954p-15, 0x1.6047db04d34fbp-15, 0x1.63b8d9aff3d4dp-15, 0x1.672cd02afd11fp-15, 0x1.6aa2e15c3036ep-15, 0x1.6e1a3fc120efap-15, 0x1.719220ee82245p-15, 0x1.7509a9e2bdc3ep-15, 0x1.7880841e3d7e3p-15, 0x1.7bf6dbbe335d2p-15, 0x1.7f6b523a1786ap-15, 0x1.82db5d7241becp-15, 0x1.8646a0a8911a4p-15, 0x1.89ada38bfe0f1p-15, 0x1.8d10901178eebp-15, 0x1.906d4d8de871cp-15, 0x1.93c2c54be3fcap-15, 0x1.9711481111f5bp-15, 0x1.9a58d28a121e5p-15, 0x1.9d98d2422c722p-15, 0x1.a0d0b4aa5d4dcp-15, 0x1.a3ffccca9df83p-15, 0x1.a72530bad0e7cp-15, 0x1.aa40ff06164d8p-15, 0x1.ad5290c05d4b7p-15, 0x1.b05970503e23dp-15, 0x1.b3556d5868b6ep-15, 0x1.b6463fd359aap-15, 0x1.b92b84a295e8p-15, 0x1.bc04d8c39e532p-15, 0x1.bed1f3c7c7355p-15, 0x1.c1927d8b2250cp-15, 0x1.c445fa5cbfc2dp-15, 0x1.c6ec40f359b65p-15, 0x1.c98584d5d11a1p-15, 0x1.cc11f6547784p-15, 0x1.ce90fe7ce5b16p-15, 0x1.d10331a4c1419p-15, 0x1.d36828b0f0cf2p-15, 0x1.d5be7614a48acp-15, 0x1.d800aa6323802p-15, 0x1.da2f92a63cf95p-15, 0x1.dc52319ab09fcp-15, 0x1.de6d293f57481p-15, 0x1.e07aef1493a07p-15, 0x1.e2745eae39ea1p-15, 0x1.e45b35f77e06bp-15, 0x1.e634d62005eb3p-15, 0x1.e800ea19f6e47p-15, 0x1.e9be731e6ad5dp-15, 0x1.eb6ca7f349c8dp-15, 0x1.ed0b1d2b2a74ap-15, 0x1.ee99d3934d9b4p-15, 0x1.f018c3ee69fc8p-15, 0x1.f187db68ee32fp-15, 0x1.f2e71fbeee841p-15, 0x1.f4368f76a1653p-15, 0x1.f57690b38eb2cp-15, 0x1.f6a6103057af7p-15, 0x1.f7c727b151428p-15, 0x1.f8d8140f43ac4p-15, 0x1.f9d95aa8263f5p-15, 0x1.facb0985dc4e9p-15, 0x1.fbacd9e3cd298p-15, 0x1.fc7f1a3988979p-15, 0x1.fd41dd22ff9c6p-15, 0x1.fdf53637faf6dp-15, 0x1.fe99db5ceab85p-15, 0x1.ff2f906e5c75p-15, 0x1.ffb61116b0987p-15, 0x1.001730d9328abp-14, 0x1.004bf4b4eff89p-14, 0x1.00783277b20e4p-14, 0x1.009b817a953c3p-14, 0x1.00b989023124p-14, 0x1.00ce10735fa81p-14, 0x1.00dc7e09426c4p-14, 0x1.00e412833adb3p-14, 0x1.00e2f72bd2accp-14, 0x1.00db7f6503243p-14, 0x1.00cd9fae2a3d6p-14, 0x1.00b8e969c98ffp-14, 0x1.009d2ad95a409p-14, 0x1.007a6eb68020fp-14, 0x1.0050c6680c934p-14, 0x1.002043ea274fcp-14, 0x1.ffd1f6ca5aee9p-15, 0x1.ff56077b9f356p-15, 0x1.fecce29df1e1p-15, 0x1.fe36a66147adfp-15, 0x1.fd9372e34f693p-15, 0x1.fce3742acdec4p-15, 0x1.fc26da860f6d6p-15, 0x1.fb5dd3d44ee2fp-15, 0x1.fa887ae51433ep-15, 0x1.f9a6cb136993bp-15, 0x1.f8b8c085c53b9p-15, 0x1.f7bf6756f6a6ap-15, 0x1.f6b917c0fd8dfp-15, 0x1.f5a8251f9b18p-15, 0x1.f48b80937a931p-15, 0x1.f36391e7f66aep-15, 0x1.f2308d96dc245p-15, 0x1.f0f2718253cc6p-15, 0x1.efa96de540258p-15, 0x1.ee5673b9a5bcbp-15, 0x1.ecf909ffe4542p-15, 0x1.eb8f54c83ee85p-15, 0x1.ea1dc500dacb6p-15, 0x1.e89f52a33eba8p-15, 0x1.e716c66f03c32p-15, 0x1.e5859baa26837p-15, 0x1.e3e9727472835p-15, 0x1.e244f95a3c679p-15, 0x1.e097afd8b8f52p-15, 0x1.dee109211c0d3p-15, 0x1.dd218cfb11338p-15, 0x1.db58f844da24ap-15, 0x1.d987a80465b04p-15, 0x1.d7ae0e405b911p-15, 0x1.d5cb7fb2a0ae7p-15, 0x1.d3e0c8c52e0e7p-15, 0x1.d1ee1326166e3p-15, 0x1.cff1b5d2209e3p-15, 0x1.cdf02b2b624bcp-15, 0x1.cbe5fe73d5d76p-15, 0x1.c9d45323c646cp-15, 0x1.c7baf2561f16bp-15, 0x1.c59abf35fe412p-15, 0x1.c3734e5c8406dp-15, 0x1.c144968dd4cdep-15, 0x1.bf0f164155cd9p-15, 0x1.bcd3d6c629399p-15, 0x1.ba917d728da03p-15, 0x1.b848db325a0c7p-15, 0x1.b5fa048b24bc9p-15, 0x1.b3a5411628208p-15, 0x1.b14a646f90c4fp-15, 0x1.aee9e75338847p-15, 0x1.ac83b2ada0873p-15, 0x1.aa17ec5688a96p-15, 0x1.a7a73da474edep-15, 0x1.a5320a402b63ep-15, 0x1.a2b6c8dc814bfp-15, 0x1.a03563a7ef3eap-15, 0x1.9db03995fd845p-15, 0x1.9b278f9a3c4a4p-15, 0x1.989984fcfa8d3p-15, 0x1.9605de1cce53bp-15, 0x1.936f2cd7b66d4p-15, 0x1.90d45534a655ep-15, 0x1.8e34e6ba3534bp-15, 0x1.8b924c90b867bp-15, 0x1.88ebb86201f4dp-15, 0x1.8641899529eap-15, 0x1.8393c4a79e4f1p-15, 0x1.80e29e1758eap-15, 0x1.7e2e2b74a1d2ap-15, 0x1.7b7690a29856cp-15, 0x1.78bc0ab444ddep-15, 0x1.75fe784c1831bp-15, 0x1.733e2128b1f86p-15, 0x1.707b4c78744a4p-15, 0x1.6db5f3e27296fp-15, 0x1.6aedf7835f88ap-15, 0x1.6823a6225df19p-15, 0x1.6556f96a2552p-15, 0x1.628831961fep-15, 0x1.5fb79bdf1cd86p-15, 0x1.5ce585368a05ep-15, 0x1.5a116cf4673e8p-15, 0x1.573a424f1fa96p-15, 0x1.5463e4f915d0ap-15, 0x1.518a6252d0aaap-15, 0x1.4eafe71e25a8p-15, 0x1.4bd4a87f482b5p-15, 0x1.48f7f7a831dfap-15, 0x1.4619bc9323eb1p-15, 0x1.433b0c036a8dp-15, 0x1.405b4d767a84p-15, 0x1.3d7a9193a7278p-15, 0x1.3a9921aaf85e9p-15, 0x1.37b7844bec09fp-15, 0x1.34d462c3486d5p-15, 0x1.31f24a9e0a154p-15, 0x1.2f0ef9f31e499p-15, 0x1.2c2bcb2f96819p-15, 0x1.294882cc0b9b8p-15, 0x1.2664b7478963fp-15, 0x1.2380e9ce2b87bp-15, 0x1.209d6309b5825p-15, 0x1.1dba096c33107p-15, 0x1.1ad6dce10cd29p-15, 0x1.17f4211e18b57p-15, 0x1.1511bbcdaead9p-15, 0x1.123011e41360fp-15, 0x1.0f4e58b33df17p-15, 0x1.0c6dd01cd359fp-15, 0x1.098db2dedf286p-15, 0x1.06ae6b4ec81cfp-15, 0x1.03cfd047aae8bp-15, 0x1.00f2bf48013fep-15, 0x1.fc2ca2eeb2376p-16, 0x1.f67448efef71dp-16, 0x1.f0c023a1548a8p-16, 0x1.eb0e4da816a26p-16, 0x1.e55e2776939c2p-16, 0x1.dfb12027d4ebap-16, 0x1.da063f6155ffep-16, 0x1.d45eb9d311636p-16, 0x1.ceba47731ffe9p-16, 0x1.c918d84265e5ap-16, 0x1.c37ad17d4c774p-16, 0x1.bddbf2947e35ep-16, 0x1.b8477ff26c6fep-16, 0x1.b2b3fef04f53ep-16, 0x1.ad23f2b248aecp-16, 0x1.a797338875651p-16, 0x1.a20ed9273f5efp-16, 0x1.9c8933625d271p-16, 0x1.9708ad3271af5p-16, 0x1.918c876fee929p-16, 0x1.8c1476b38b313p-16, 0x1.86a0c9e1299b3p-16, 0x1.813140048ef2bp-16, 0x1.7bc6088328613p-16, 0x1.7660866d04212p-16, 0x1.70ff0e042df5fp-16, 0x1.6ba229451ac09p-16, 0x1.664a8993ed8dbp-16, 0x1.60f65a99d88dfp-16, 0x1.5ba96e34e7914p-16, 0x1.5660c4c9eb87cp-16, 0x1.511d3b9d9d5ebp-16, 0x1.4bdf341d8dc9bp-16, 0x1.46a603df9c238p-16, 0x1.4172e530b8e85p-16, 0x1.3c459b28d17afp-16, 0x1.371c912611cp-16, 0x1.31fa3111224a5p-16, 0x1.2cdcb04a4dde4p-16, 0x1.27c4cc54d2e05p-16, 0x1.22b31cf61ae92p-16, 0x1.1da7fc140a66ep-16, 0x1.18a281782bb47p-16, 0x1.13a296c2bae99p-16, 0x1.0ea8e49ab65c8p-16, 0x1.09b30e3351a83p-16, 0x1.04c788bbe1236p-16, 0x1.ffc1a0547ca82p-17, 0x1.f5fcca6a41a71p-17, 0x1.ec47c63e0ac01p-17, 0x1.e2a0a3f7dc87p-17, 0x1.d90548cd4abbcp-17, 0x1.cf7372732c60dp-17, 0x1.c5f1700278ba6p-17, 0x1.bc7b05c54dc0ap-17, 0x1.b314454a46622p-17, 0x1.a9b9d8a28c5afp-17, 0x1.a0693d19afc33p-17, 0x1.972b327e116ep-17, 0x1.8df5af5a29a06p-17, 0x1.84d08cb187756p-17, 0x1.7bb9267733d67p-17, 0x1.72afbe75441bfp-17, 0x1.69b142aca8a0bp-17, 0x1.60c1b0d6c8f92p-17, 0x1.57dfe04236531p-17, 0x1.4f0be3f2db31dp-17, 0x1.46463829987f5p-17, 0x1.3d9027be342c5p-17, 0x1.34e2375ff7b3p-17, 0x1.2c47baa42f669p-17, 0x1.23b98b0183148p-17, 0x1.1b392aaa256cfp-17, 0x1.12c6cf6021206p-17, 0x1.0a6049bb80052p-17, 0x1.020ab249c9044p-17, 0x1.f3892f0696c2ep-18, 0x1.e316b5f12be0bp-18, 0x1.d2c08ebffaa65p-18, 0x1.c27ca2bfdfe4ap-18, 0x1.b2676b4b4fa8fp-18, 0x1.a26732c60b185p-18, 0x1.927ed2e6b233fp-18, 0x1.82b9a8d95cfd4p-18, 0x1.730d3768cd33ep-18, 0x1.638120a413b4dp-18, 0x1.5410dd9bf3a0bp-18, 0x1.44bace13eea1fp-18, 0x1.3585026367ed4p-18, 0x1.266a2e9cb4bcbp-18, 0x1.176759f321b52p-18, 0x1.08854bd5c044cp-18, 0x1.f37e7e356da1ap-19, 0x1.d63808c041f18p-19, }}, 
      {{0x1.a17582e549f1p-1, 0x1.396b5c1817274p+0, 0x1.4b0f12c302ba6p+0, 0x1.312e3408b790bp+0, 0x1.0d239e75ae8cfp+0, 0x1.e1a33ff364a7bp-1, 0x1.c4854ff1a787p-1, 0x1.c11d73713c01bp-1, 0x1.cf6e34fab4782p-1, 0x1.e6331a51ff0cbp-1, 0x1.fd7755f8e9b57p-1, 0x1.07cddb37f8d0cp+0, 0x1.0cb8468b49907p+0, 0x1.0cec69a8f996fp+0, 0x1.08a06e2086afp+0, 0x1.00898da6a5a0ap+0, 0x1.eb402a4c9271dp-1, 0x1.d1e1ff7c9c0afp-1, 0x1.b6fabdceaed28p-1, 0x1.9c4bbb95585f3p-1, 0x1.833fe15348d63p-1, 0x1.6ce462e01eac9p-1, 0x1.59eb62869d07cp-1, 0x1.4ab4d9661307dp-1, 0x1.3f5af286db477p-1, 0x1.37bfc6e4cba41p-1, 0x1.339b0f06ab5dep-1, 0x1.3286e0d07c44bp-1, 0x1.340aeee0d362cp-1, 0x1.37a605a9d716dp-1, 0x1.3cd5b545de9dep-1, 0x1.431c39b0751a6p-1, 0x1.4a04c9988d0f1p-1, 0x1.5126805af5c7cp-1, 0x1.58261c5c4f1cbp-1, 0x1.5eb6ca71fdad4p-1, 0x1.649a33fbbf185p-1, 0x1.699ffebc55061p-1, 0x1.6da4e7bbaee81p-1, 0x1.70919a2fda5d7p-1, 0x1.72595e007299cp-1, 0x1.72f8b348ca659p-1, 0x1.7273ebaa6c0fap-1, 0x1.70d5ce7a5d605p-1, 0x1.6e2e50b45d0c7p-1, 0x1.6a916686ac411p-1, 0x1.6615f2797281fp-1, 0x1.60d4d4314fc6cp-1, 0x1.5ae81720f26e5p-1, 0x1.546a3f9742fd7p-1, 0x1.4d75b487b2389p-1, 0x1.462444174b6d5p-1, 0x1.3e8ec10e16451p-1, 0x1.36ccb6c862b4ap-1, 0x1.2ef4307e91baap-1, 0x1.27199102b93ffp-1, 0x1.1f4f7898f3e81p-1, 0x1.17a6b6e43a979p-1, 0x1.102e4732f453ap-1, 0x1.08f35561ba133p-1, 0x1.0201497b1ffeep-1, 0x1.f6c3b0bf004e9p-2, 0x1.ea3a3044638d5p-2, 0x1.de732e4138084p-2, 0x1.d378ea10e3be9p-2, 0x1.c952fa580c847p-2, 0x1.c006832f226f9p-2, 0x1.b7966cb301a76p-2, 0x1.b0039917f541p-2, 0x1.a94d19647f53ep-2, 0x1.a370606c31782p-2, 0x1.9e6973880b915p-2, 0x1.9a3318b7a8ceep-2, 0x1.96c7024b9e859p-2, 0x1.941df7a480188p-2, 0x1.922ffb472b98p-2, 0x1.90f46e07151f3p-2, 0x1.90622f859a418p-2, 0x1.906fbbf458dabp-2, 0x1.9113470b8f0aep-2, 0x1.9242d4ae62cabp-2, 0x1.93f44eee949d6p-2, 0x1.961d99e4bf42ap-2, 0x1.98b4a5323621p-2, 0x1.9baf7baa36095p-2, 0x1.9f0450d7f8e83p-2, 0x1.a2a98cf363c02p-2, 0x1.a695d70a1904dp-2, 0x1.aac01d93974a1p-2, 0x1.af1f9dce7f74ap-2, 0x1.b3abe99b2435p-2, 0x1.b85cec39bd7c6p-2, 0x1.bd2aedfd5717cp-2, 0x1.c20e96df313b1p-2, 0x1.c700f06a95fadp-2, 0x1.cbfb668133025p-2, 0x1.d0f7c7d016139p-2, 0x1.d5f0455207796p-2, 0x1.dadf7169cfcaap-2, 0x1.dfc03e6f13989p-2, 0x1.e48dfcf43e432p-2, 0x1.e944596352d3ep-2, 0x1.eddf59b54cab8p-2, 0x1.f25b5a92b7688p-2, 0x1.f6b50c4e0fcap-2, 0x1.fae9700de08cp-2, 0x1.fef5d42cec3ap-2, 0x1.016be89aea6cp-1, 0x1.0346a33957f06p-1, 0x1.050a2b219cd52p-1, 0x1.06b5b1926fcebp-1, 0x1.084885f18d5a6p-1, 0x1.09c21436b27a6p-1, 0x1.0b21e34dccbe9p-1, 0x1.0c679352785c7p-1, 0x1.0d92dc228a84fp-1, 0x1.0ea38bc85ed8p-1, 0x1.0f9984dd09d89p-1, 0x1.1074bd4943203p-1, 0x1.11353cc1a1106p-1, 0x1.11db1b6947901p-1, 0x1.126680acacde6p-1, 0x1.12d7a1e7cc977p-1, 0x1.132ec138e51a3p-1, 0x1.136c2c90261dfp-1, 0x1.13903c71357dfp-1, 0x1.139b52e72671p-1, 0x1.138ddae2bd01dp-1, 0x1.136847029e9d8p-1, 0x1.132b10c4af404p-1, 0x1.12d6b7e77a36ap-1, 0x1.126bc1980da5fp-1, 0x1.11eab78bff002p-1, 0x1.115427893b998p-1, 0x1.10a8a2e956519p-1, 0x1.0fe8bda7e4d49p-1, 0x1.0f150e00975cp-1, 0x1.0e2e2c221e404p-1, 0x1.0d34b183c81f6p-1, 0x1.0c29384d69f5ep-1, 0x1.0b0c5b42c419ep-1, 0x1.09deb54f9c92p-1, 0x1.08a0e109b96ebp-1, 0x1.0753786579fc1p-1, 0x1.05f7149bb391bp-1, 0x1.048c4dcf1cdf4p-1, 0x1.0313baa9956ep-1, 0x1.018df03ec2545p-1, 0x1.fff703e478c5ap-2, 0x1.fcba027d2734p-2, 0x1.f965fab29bbbep-2, 0x1.f5fc0682b7d5fp-2, 0x1.f27d3b52132afp-2, 0x1.eeeaa97ad5296p-2, 0x1.eb455c0d99adbp-2, 0x1.e78e58a9392e6p-2, 0x1.e3c69fb537cf7p-2, 0x1.dfef2be9ae28ep-2, 0x1.dc08f23264a4p-2, 0x1.d814e19d4c284p-2, 0x1.d413e3957ec13p-2, 0x1.d006db9c25ddap-2, 0x1.cbeea74e04ae5p-2, 0x1.c7cc1e383ffb4p-2, 0x1.c3a012123cf5bp-2, 0x1.bf6b4ed523111p-2, 0x1.bb2e9a8908641p-2, 0x1.b6eab55ad6876p-2, 0x1.b2a0599e71386p-2, 0x1.ae503c124296bp-2, 0x1.a9fb0bd5add33p-2, 0x1.a5a172611f4afp-2, 0x1.a144139f8c1b8p-2, 0x1.9ce38e1859d9dp-2, 0x1.98807afe6b43p-2, 0x1.941b6e57e1c0dp-2, 0x1.8fb4f6f1eacdp-2, 0x1.8b4d9e7a7138cp-2, 0x1.86e5e9b562a2ap-2, 0x1.827e5889f809p-2, 0x1.7e176632f9a8ap-2, 0x1.79b1892f1387ep-2, 0x1.754d33683cd26p-2, 0x1.70ead2529f0ep-2, 0x1.6c8acf1f301c6p-2, 0x1.682d8ebe86969p-2, 0x1.63d371f908ee5p-2, 0x1.5f7cd58f9e793p-2, 0x1.5b2a12554f203p-2, 0x1.56db7d42c013cp-2, 0x1.529167abb3c12p-2, 0x1.4e4c1f4340a93p-2, 0x1.4a0bee321a15ap-2, 0x1.45d11b26fc304p-2, 0x1.419be992bdc84p-2, 0x1.3d6c999c8f9dfp-2, 0x1.39436857e3b2ap-2, 0x1.35208fc9183b1p-2, 0x1.310446ffb4c2fp-2, 0x1.2ceec22a04584p-2, 0x1.28e032af5b7a5p-2, 0x1.24d8c74d30a1bp-2, 0x1.20d8ac2772cbp-2, 0x1.1ce00ad9bc596p-2, 0x1.18ef0a8ebc4e6p-2, 0x1.1505d006d4dadp-2, 0x1.11247dc4981d3p-2, 0x1.0d4b3413f612ap-2, 0x1.097a1117dcae9p-2, 0x1.05b130e662735p-2, 0x1.01f0ad8e60a65p-2, 0x1.fc713e66b37adp-3, 0x1.f5123819982c9p-3, 0x1.edc471287a563p-3, 0x1.e6880f02a66e1p-3, 0x1.df5d33ab7afeep-3, 0x1.d843fdf4939p-3, 0x1.d13c897d323b4p-3, 0x1.ca46eee6e972ep-3, 0x1.c36343dd67d69p-3, 0x1.bc919b438d8e4p-3, 0x1.b5d2054a25253p-3, 0x1.af248f7f7c15fp-3, 0x1.a88944eba674fp-3, 0x1.a2002e2ab1f5ap-3, 0x1.9b89518212481p-3, 0x1.9524b2f66ab2dp-3, 0x1.8ed254664eb65p-3, 0x1.88923598feb2p-3, 0x1.82645472b1c94p-3, 0x1.7c48acafcc1bep-3, 0x1.763f3863de03dp-3, 0x1.7047efda0eb66p-3, 0x1.6a62c9952cfafp-3, 0x1.648fba85b0ddbp-3, 0x1.5eceb60c799d7p-3, 0x1.591fae070e5b4p-3, 0x1.538292ebbf771p-3, 0x1.4df753c1e629bp-3, 0x1.487dde4705939p-3, 0x1.43161f041bd56p-3, 0x1.3dc0013e5a70dp-3, 0x1.387b6f1dc89c3p-3, 0x1.334851ae2632cp-3, 0x1.2e26910587e08p-3, 0x1.2916141425bb4p-3, 0x1.2416c0fd72a6ep-3, 0x1.1f287cefb33f3p-3, 0x1.1a4b2c3b720eap-3, 0x1.157eb26908f28p-3, 0x1.10c2f2468c66cp-3, 0x1.0c17cdd02fbacp-3, 0x1.077d265d4efc1p-3, 0x1.02f2dcb3efa07p-3, 0x1.fcf1a1c42747p-4, 0x1.f41dc4dce4c68p-4, 0x1.eb69e0aca9417p-4, 0x1.e2d5b230e3a67p-4, 0x1.da60f56a34c1bp-4, 0x1.d20b658417b07p-4, 0x1.c9d4bccce063bp-4, 0x1.c1bcb4f56c102p-4, 0x1.b9c306bab1bacp-4, 0x1.b1e76a5c7e003p-4, 0x1.aa2997a0461eap-4, 0x1.a289458bb54cp-4, 0x1.9b062ac4bcd4p-4, 0x1.939ffd7cb03eep-4, 0x1.8c56738a3414ap-4, 0x1.8529425ec5b1bp-4, 0x1.7e181f241702fp-4, 0x1.7722beba11673p-4, 0x1.7048d5e42d028p-4, 0x1.698a191dac748p-4, 0x1.62e63ccd57b72p-4, 0x1.5c5cf54379322p-4, 0x1.55edf6a118a0dp-4, 0x1.4f98f5282b643p-4, 0x1.495da50c44a5p-4, 0x1.433bba7f4fc01p-4, 0x1.3d32e9d171febp-4, 0x1.3742e77694de9p-4, 0x1.316b67dc56119p-4, 0x1.2bac1fc23460ap-4, 0x1.2604c3f9fd239p-4, 0x1.2075099345c66p-4, 0x1.1afca5da15f86p-4, 0x1.159b4e554cb8p-4, 0x1.1050b8d33952dp-4, 0x1.0b1c9b7347251p-4, 0x1.05feaca3b90ebp-4, 0x1.00f6a32aaabb5p-4, 0x1.f8086c427d6f3p-5, 0x1.ee4e3a12d82eap-5, 0x1.e4be1f880933dp-5, 0x1.db578d33ea8ep-5, 0x1.d219f48036beap-5, 0x1.c904c7bc6cce6p-5, 0x1.c0177a2151816p-5, 0x1.b7517fd2c6cf2p-5, 0x1.aeb24de4f72bcp-5, 0x1.a6395a60615b7p-5, 0x1.9de61c4ec2056p-5, 0x1.95b80c2141df9p-5, 0x1.8daea27a1747ap-5, 0x1.85c959b319e9ap-5, 0x1.7e07ad5e466e2p-5, 0x1.7669199356593p-5, 0x1.6eed1bdc696afp-5, 0x1.679332ffec59cp-5, 0x1.605adeb5d9ccfp-5, 0x1.59439fea92fc5p-5, 0x1.524cf8a914269p-5, 0x1.4b766c4fed53fp-5, 0x1.44bf7f40c76c8p-5, 0x1.3e27b73d39dbp-5, 0x1.37ae9b1da8f26p-5, 0x1.3153b2f1a2706p-5, 0x1.2b168809cd529p-5, 0x1.24f6a4f1ad2b6p-5, 0x1.1ef3956d1e9c8p-5, 0x1.190ce67d94373p-5, 0x1.13422660a7dd4p-5, 0x1.0d92e48ef3e8fp-5, 0x1.07feb1c35e0e9p-5, 0x1.02851ffbd3994p-5, 0x1.fa4b84e34297dp-6, 0x1.efc05b1f26c39p-6, 0x1.e567ee8d4497ep-6, 0x1.db416c751b385p-6, 0x1.d14c05554b192p-6, 0x1.c786eca459abp-6, 0x1.bdf1575304f24p-6, 0x1.b48a7d45c95e6p-6, 0x1.ab5198ddd3ad6p-6, 0x1.a245e73b3b915p-6, 0x1.9966a74151d7cp-6, 0x1.90b31abfe2951p-6, 0x1.882a862259788p-6, 0x1.7fcc2fc51253dp-6, 0x1.779760b8379e9p-6, 0x1.6f8b646aba983p-6, 0x1.67a788a7ab84ep-6, 0x1.5feb1d9560f12p-6, 0x1.585575bdc6f14p-6, 0x1.50e5e61411dfcp-6, 0x1.499bc5e6ab7bep-6, 0x1.42766ed1eeeb3p-6, 0x1.3b753cea30cecp-6, 0x1.34978e5722e59p-6, 0x1.2ddcc39e4f296p-6, 0x1.27443f804f592p-6, 0x1.20cd671ccf47p-6, 0x1.1a77a16fdb527p-6, 0x1.144257d2102afp-6, 0x1.0e2cf5c7b4ea7p-6, 0x1.0836e94bcf9a7p-6, 0x1.025fa206a3487p-6, 0x1.f94d241c831a6p-7, 0x1.ee165c4520893p-7, 0x1.e319d8f6d9b09p-7, 0x1.d8568b5a0b59cp-7, 0x1.cdcb68ac6bd2ep-7, 0x1.c3776a06a02b2p-7, 0x1.b9598c5caf9a5p-7, 0x1.af70d059fa29p-7, 0x1.a5bc3a889416ap-7, 0x1.9c3ad338b9ebp-7, 0x1.92eba6b671681p-7, 0x1.89cdc55a334a8p-7, 0x1.80e0437c6110bp-7, 0x1.78223a20e468ep-7, 0x1.6f92c51f17b03p-7, 0x1.673104d456b5bp-7, 0x1.5efc1deabb83p-7, 0x1.56f3375cabe33p-7, 0x1.4f157bcbfc187p-7, 0x1.476218b55d08bp-7, 0x1.3fd83ea9ad3fcp-7, 0x1.387721407b84dp-7, 0x1.313df744de873p-7, 0x1.2a2bfaf229ce8p-7, 0x1.23406a2f6edf4p-7, 0x1.1c7a86be247efp-7, 0x1.15d9964e2a1c3p-7, 0x1.0f5ce25ea5d81p-7, 0x1.0903b7e5d8c37p-7, 0x1.02cd66e305ccp-7, 0x1.f972867bd4cc1p-8, 0x1.ed8d4275bc88dp-8, 0x1.e1e9b0e0d9399p-8, 0x1.d686870c82ae1p-8, 0x1.cb627a9b70ad3p-8, 0x1.c07c480d799e7p-8, 0x1.b5d2b13e84e03p-8, 0x1.ab647e28ef8e4p-8, 0x1.a1307e2f0d35ap-8, 0x1.973587b6189f4p-8, 0x1.8d7277f521952p-8, 0x1.83e6338dbe28cp-8, 0x1.7a8fa5d8f5769p-8, 0x1.716dbdf31fd72p-8, 0x1.687f6f9b8ae15p-8, 0x1.5fc3b1c604573p-8, 0x1.57397e012a6bap-8, 0x1.4edfd085fc515p-8, 0x1.46b5a8cf7718dp-8, 0x1.3eba0a52d03a7p-8, 0x1.36ebfd36ab7b4p-8, 0x1.2f4a8f16d0a0cp-8, 0x1.27d4d393c219dp-8, 0x1.2089e48bba688p-8, 0x1.1968e24d99c53p-8, 0x1.1270f06ee9facp-8, 0x1.0ba1393737f29p-8, 0x1.04f8ea6615019p-8, 0x1.fcee677d0e2a2p-9, 0x1.f03690a54baa5p-9, 0x1.e3c8bbc4c50f5p-9, 0x1.d7a35a8fac62fp-9, 0x1.cbc4e60623545p-9, 0x1.c02bdf8f6888dp-9, 0x1.b4d6d15513d79p-9, 0x1.a9c45264f92ebp-9, 0x1.9ef2fab96a603p-9, 0x1.94616e184816dp-9, 0x1.8a0e5a444687ep-9, 0x1.7ff869b4c219p-9, 0x1.761e4d17e1afbp-9, 0x1.6c7eb70ec0699p-9, 0x1.63185d07842bfp-9, 0x1.59e9f8fcf358ep-9, 0x1.50f24c0ee8146p-9, 0x1.48302008f4625p-9, 0x1.3fa24d63c208ep-9, 0x1.3747b71629504p-9, 0x1.2f1f4f78cbdbbp-9, 0x1.272814766d476p-9, 0x1.1f610c408d45ep-9, 0x1.17c942d8e45dp-9, 0x1.105fc4c7b72a8p-9, 0x1.09239be514ea8p-9, 0x1.0213cc17fa1d4p-9, 0x1.f65ea3715125fp-10, 0x1.e8ea4806cdd3fp-10, 0x1.dbc86ecf125b6p-10, 0x1.cef703e59a0a5p-10, 0x1.c2740191f3aacp-10, 0x1.b63d7ad50dbcbp-10, 0x1.aa51a4c348f3p-10, 0x1.9eaeda1267432p-10, 0x1.935397f9c41f9p-10, 0x1.883e816e3b3e8p-10, 0x1.7d6e54ea7a446p-10, 0x1.72e1da5827999p-10, 0x1.6897dc5447fd4p-10, 0x1.5e8f1bde836cep-10, 0x1.54c6447cb998p-10, 0x1.4b3be406c8233p-10, 0x1.41ee79f45a2cfp-10, 0x1.38dc6ca8f24a7p-10, 0x1.30041c479173fp-10, 0x1.2763eef67435p-10, 0x1.1efa5037649d1p-10, 0x1.16c5c9c1f10dep-10, 0x1.0ec5035c553b6p-10, 0x1.06f6c09660656p-10, 0x1.feb3d1e687de3p-11, 0x1.efdb02fcd269cp-11, 0x1.e16144c69e1fap-11, 0x1.d344f67a446bdp-11, 0x1.c584796490f56p-11, 0x1.b81e214705adbp-11, 0x1.ab103a453c3e5p-11, 0x1.9e58e64c7ab3fp-11, 0x1.91f623f444a83p-11, 0x1.85e5d3b820f5ep-11, 0x1.7a25c49d14af4p-11, 0x1.6eb3c3eed192cp-11, 0x1.638dad5c9e9cdp-11, 0x1.58b178a22a9bcp-11, 0x1.4e1d408555d42p-11, 0x1.43cf40ff1a95fp-11, 0x1.39c5cf77c47b4p-11, 0x1.2fff50a59236dp-11, 0x1.267a2f56479bep-11, 0x1.1d34d92e14b3ep-11, 0x1.142dc34bec122p-11, 0x1.0b6372ff428b3p-11, 0x1.02d484ad51b44p-11, 0x1.f4ff59d801f3bp-12, 0x1.e4c7652b08e63p-12, 0x1.d4fec95015c21p-12, 0x1.c5a322269d68ap-12, 0x1.b6b2002a385a2p-12, 0x1.a828eb17aa63ep-12, 0x1.9a0570a810dep-12, 0x1.8c453b048c53ep-12, 0x1.7ee621026693fp-12, 0x1.71e621289180dp-12, 0x1.654345cc66f7fp-12, 0x1.58fb7d20e15fcp-12, 0x1.4d0c75b59d9c7p-12, 0x1.4173a4e8edca4p-12, 0x1.362e2c93dfbdep-12, 0x1.2b392c7a30df4p-12, 0x1.2091e88d48d07p-12, 0x1.1635ec5b9751p-12, 0x1.0c230396f3bc8p-12, 0x1.02574fb579dd7p-12, 0x1.f1a265e76e39ep-13, 0x1.df1e6945a109ap-13, 0x1.cd1ffbfe681aap-13, 0x1.bba4d841fcf9dp-13, 0x1.aaab1958fd19p-13, 0x1.9a310be6dd648p-13, 0x1.8a34eefaf59e8p-13, 0x1.7ab4bae3d84ap-13, 0x1.6badfe6cf4b9ep-13, 0x1.5d1d8626cccaap-13, 0x1.4efff55ac10d3p-13, 0x1.41511c6a471c2p-13, 0x1.340cfca8d9cd1p-13, 0x1.272fa30d836c7p-13, 0x1.1ab59a2c8c556p-13, 0x1.0e9c232a4c17ap-13, 0x1.02e0e639ecaf6p-13, 0x1.ef030bc7015d5p-14, 0x1.d8f6499239183p-14, 0x1.c3949afddd07fp-14, 0x1.aed6c8051f6e2p-14, 0x1.9ab6d5307637dp-14, 0x1.873149109b09ap-14, 0x1.7445672030621p-14, 0x1.61f43247ee886p-14, 0x1.503eb073765d1p-14, 0x1.3f24476a9cb76p-14, 0x1.2ea1e9061f205p-14, 0x1.1eb23a324f687p-14, 0x1.0f4e5c60c97a4p-14, 0x1.006ee77f9d9d1p-14, 0x1.e419c21db240ap-15, 0x1.c84553ab82d19p-15, 0x1.ad59647045c2ap-15, 0x1.93532364341ffp-15, 0x1.7a3282fd3ca99p-15, 0x1.61f74bb3abf2p-15, 0x1.4a9e43cb0fb35p-15, 0x1.34210e2eaaaa5p-15, 0x1.1e7447603abbdp-15, 0x1.098c3e768fa06p-15, 0x1.eabeae76cf3d8p-16, 0x1.c3ca6970a98f9p-16, 0x1.9e342569c3f3bp-16, 0x1.79fa8a4f5f30fp-16, 0x1.571f0f263d8b6p-16, 0x1.35a244c6f10eap-16, 0x1.1580c09962cd9p-16, 0x1.ed614e3e525cdp-17, 0x1.b24a0ba4e3f0fp-17, 0x1.79963ac86a3a8p-17, 0x1.431cf1ac0969ep-17, 0x1.0eb8ac2951bb5p-17, 0x1.b89f7b5ef66b6p-18, 0x1.57b2f3306ef5p-18, 0x1.f56bf84325375p-19, 0x1.4371e6169e278p-19, 0x1.32f6ebbb6c082p-20, -0x1.151eca7bcf69ep-24, -0x1.46b2b76c727b9p-20, -0x1.36d3c05c082e7p-19, -0x1.c37a48966a9b8p-19, -0x1.24b376e96b6c6p-18, -0x1.6457838e59e97p-18, -0x1.a0b69d17e7276p-18, -0x1.d9f05036d95efp-18, -0x1.081ac000bee3ep-17, -0x1.21dcb74e816d7p-17, -0x1.3a50a05a64c62p-17, -0x1.517e4c3eb33c4p-17, -0x1.676634e5a4bbfp-17, -0x1.7c09497c9dbb1p-17, -0x1.8f70194a12d8cp-17, -0x1.a1a4f4ed52537p-17, -0x1.b2c186a771ffbp-17, -0x1.c2d918125f171p-17, -0x1.d1f7b21285ac6p-17, -0x1.e01d887022d0dp-17, -0x1.ed44d29ceebecp-17, -0x1.f96ac6644c3eap-17, -0x1.024ac4b5442cap-16, -0x1.0769fab7bd439p-16, -0x1.0c1b8fb2ee9a2p-16, -0x1.10645e8af3b13p-16, -0x1.14446a8dea61ep-16, -0x1.17b934e069c23p-16, -0x1.1ac4768edee9ap-16, -0x1.1d6b5b6f58e47p-16, -0x1.1fb158750565ap-16, -0x1.219cf02b3f31ap-16, -0x1.23336dc5587aap-16, -0x1.247acb1abf52ep-16, -0x1.25794b694f534p-16, -0x1.263381a4725f6p-16, -0x1.26aa3b5953f3ep-16, -0x1.26daba2ff5779p-16, -0x1.26c2150a6096ap-16, -0x1.266239cf7c77ep-16, -0x1.25c483877b5eep-16, -0x1.24f4ab86f9ce6p-16, -0x1.23f6f517d2fe7p-16, -0x1.22c4e527606a2p-16, -0x1.2157b834f1f7ep-16, -0x1.1faf130545374p-16, -0x1.1dd3c29f5ce37p-16, -0x1.1bcd3eac3ae1bp-16, -0x1.199bca6a2e392p-16, -0x1.173d233f7f5e9p-16, -0x1.14b2784fab01fp-16, -0x1.120037f90f093p-16, -0x1.0f2ac61e42883p-16, -0x1.0c34a663cf3fdp-16, -0x1.091e811a837d5p-16, -0x1.05e8023274081p-16, -0x1.029089795e6fap-16, -0x1.fe3056b2ac13p-17, -0x1.f6fde3c201da8p-17, -0x1.ef8fcfe45c075p-17, -0x1.e7ed66212e17cp-17, -0x1.e01fb9aca533fp-17, -0x1.d827e2b9f7c5p-17, -0x1.d0022caa49bb7p-17, -0x1.c7ae9737949a3p-17, -0x1.bf3b4f1ab5115p-17, -0x1.b6b70a4d0bd66p-17, -0x1.ae1a5c84649c8p-17, -0x1.a554d7c6e6415p-17, -0x1.9c66d9c269e5ep-17, -0x1.935da3ee57967p-17, -0x1.8a3df0d0a450dp-17, -0x1.8103e72b171eap-17, -0x1.77b034244b2c9p-17, -0x1.6e48e71e0d6f1p-17, -0x1.64d365ed43277p-17, -0x1.5b529d0c59494p-17, -0x1.51c48c24c4166p-17, -0x1.482da6f46310fp-17, -0x1.3e8cb15563d37p-17, -0x1.34e14135eeceep-17, -0x1.2b30878ba27b2p-17, -0x1.217715d8bbcfcp-17, -0x1.17b680375ef79p-17, -0x1.0dee630a621ecp-17, -0x1.041bd77ce95a1p-17, -0x1.f48083adc6d98p-18, -0x1.e0bc941592544p-18, -0x1.ccfa085b229bbp-18, -0x1.b93d0f4c1a29bp-18, -0x1.a58c0ca8cb8a4p-18, -0x1.91e702e18fb5p-18, -0x1.7e515a8f5f602p-18, -0x1.6ac7bb7f821b9p-18, -0x1.5746453b555e2p-18, -0x1.43d0cf76a8229p-18, -0x1.3064a6fa0b99p-18, -0x1.1d001857fbd29p-18, -0x1.09aaeb56c7bfp-18, -0x1.ecd5ffbf30278p-19, -0x1.c68af868bba64p-19, -0x1.a06fd9df5e246p-19, -0x1.7a8571baea7fep-19, -0x1.54cdd8246054ep-19, -0x1.2f4987d35a66fp-19, -0x1.09f9757f36411p-19, -0x1.c9bff656ca3c5p-20, -0x1.80015a7b0bc64p-20, -0x1.36ba8e9409833p-20, -0x1.dbd94080f3674p-21, -0x1.4b38a8c495e33p-21, -0x1.77377fa09cabap-22, -0x1.67dc13ae28521p-24, 0x1.8291dc72400c9p-23, 0x1.da8eda141e761p-22, 0x1.78fc5dbad959bp-21, 0x1.01de3482a4a67p-20, 0x1.46abba93a0242p-20, 0x1.8ad1db1b5dc8p-20, 0x1.ce5b0f76b79fap-20, 0x1.08a1065ebe538p-19, 0x1.29c3458d413e3p-19, 0x1.4a98d297210b1p-19, 0x1.6b2613ad8dc7p-19, 0x1.8b6e851583c1p-19, 0x1.ab62a9c9349b8p-19, 0x1.cb04c12a55b99p-19, 0x1.ea4f2e27a0f6cp-19, 0x1.04a8aaa165a1p-18, 0x1.13fcc45be52a6p-18, 0x1.2326804706c5bp-18, 0x1.3229af918375ap-18, 0x1.4101f1b728834p-18, 0x1.4faeeeeacbf2ap-18, 0x1.5e322922656cbp-18, 0x1.6c8c015f162d6p-18, 0x1.7abc1037991e2p-18, 0x1.88c1b8e003822p-18, 0x1.969ce17f4ee4cp-18, 0x1.a44c740957cbdp-18, 0x1.b1d186246815cp-18, 0x1.bf2cd1022909dp-18, 0x1.cc5e6f124d40ep-18, 0x1.d96423476874bp-18, 0x1.e63f13e973e4bp-18, 0x1.f2f08b96526ep-18, 0x1.ff77e64ee3f46p-18, 0x1.05eb1c0b937e7p-17, 0x1.0c00b136da5ffp-17, 0x1.1203f51de3398p-17, 0x1.17f26e45aa022p-17, 0x1.1dcbed61793aap-17, 0x1.238f714c092cp-17, 0x1.293e2477f2da3p-17, 0x1.2ed7c69120b72p-17, 0x1.345c86954c76ep-17, 0x1.39ccfe8c81365p-17, 0x1.3f289a9014b57p-17, 0x1.44700d961e443p-17, 0x1.49a27d69edc86p-17, 0x1.4ec01e28a87fap-17, 0x1.53c9d729797d6p-17, 0x1.58bf4af95a5e1p-17, 0x1.5da072b0deb0ap-17, 0x1.626d9a21711e2p-17, 0x1.6726ebbbd58bcp-17, 0x1.6bcc48b107219p-17, 0x1.705dacf520a24p-17, 0x1.74db84ac105d5p-17, 0x1.794601adad8p-17, 0x1.7d9cf6f59f95ap-17, 0x1.81e0b3ae39183p-17, 0x1.8611410bb7082p-17, 0x1.8a2f644272f01p-17, 0x1.8e3a9a204322cp-17, 0x1.92331f5efec7ap-17, 0x1.9617d2da54317p-17, 0x1.99e9115bb788p-17, 0x1.9da869289b788p-17, 0x1.a15679e64b497p-17, 0x1.a4f4cef3d7317p-17, 0x1.a87e639d030f5p-17, 0x1.abf504be2e041p-17, 0x1.af5ba8294c988p-17, 0x1.b2b122d9f1c0fp-17, 0x1.b5f509bf0b6b4p-17, 0x1.b92784d27beb6p-17, 0x1.bc4941a2d7102p-17, 0x1.bf59b5949b1b9p-17, 0x1.c258d06d107edp-17, 0x1.c547aecdc89fap-17, 0x1.c8264ecd02292p-17, 0x1.caf3bdea9ae48p-17, 0x1.cdb21f4dc3fbfp-17, 0x1.d05eb5047abe6p-17, 0x1.d2fe238dac697p-17, 0x1.d58bfed6f65c2p-17, 0x1.d80a8886dda67p-17, 0x1.da795e5676b4dp-17, 0x1.dcd8525a0e0e1p-17, 0x1.df28e2141a4a8p-17, 0x1.e16a9e3ea884ep-17, 0x1.e39cac2253408p-17, 0x1.e5c236373c104p-17, 0x1.e7d6e0d74efd5p-17, 0x1.e9dc85e4cdcd6p-17, 0x1.ebd4d500368e2p-17, 0x1.edc2e1f64a154p-17, 0x1.ef9c5bd3c63e8p-17, 0x1.f16aa8e903b38p-17, 0x1.f32bb7e02fe51p-17, 0x1.f4de8c4925fcdp-17, 0x1.f6843d3038881p-17, 0x1.f81c97fb136f6p-17, 0x1.f9a7add7e6a25p-17, 0x1.fb25df8e989ccp-17, 0x1.fc975ab062a6cp-17, 0x1.fdfc81ef27a74p-17, 0x1.ff54ffe5ecee6p-17, 0x1.005084bc6a6bbp-16, 0x1.00f05e9a3c09dp-16, 0x1.018a1bff98253p-16, 0x1.021dd4c686b02p-16, 0x1.02abaa3949879p-16, 0x1.0333b28a4c193p-16, 0x1.03b5efe60789bp-16, 0x1.043268d0a52dcp-16, 0x1.04a93a26e1e89p-16, 0x1.051a84b231509p-16, 0x1.0586436d4b20fp-16, 0x1.05ecbf91dd28fp-16, 0x1.064da26da716ep-16, 0x1.06a90275a1a4ap-16, 0x1.0700062ccdb31p-16, 0x1.0750c6c80cb3ap-16, 0x1.079d26eede3b5p-16, 0x1.07e438b3b7c1bp-16, 0x1.08265427156b3p-16, 0x1.08637dc3e5047p-16, 0x1.089bbb229ada9p-16, 0x1.08cf3422d6485p-16, 0x1.08fe09e08bb11p-16, 0x1.09283ae79fa9bp-16, 0x1.094db0186be7fp-16, 0x1.096eb433527eap-16, 0x1.098b1c9c9c43ep-16, 0x1.09a32637c3218p-16, 0x1.09b6fba7a7669p-16, 0x1.09c651f63bc7ap-16, 0x1.09d1487d0e6bp-16, 0x1.09d822ab10745p-16, 0x1.09dade5b8cd0bp-16, 0x1.09d9430656feap-16, 0x1.09d4075f4204p-16, 0x1.09cafa893cf96p-16, 0x1.09be4fd2844b1p-16, 0x1.09ad3361e146fp-16, 0x1.09986566ff671p-16, 0x1.097fd578165c7p-16, 0x1.0964c523d098fp-16, 0x1.09435faab9d04p-16, 0x1.092013c59bb0ap-16, 0x1.08f956c75a44p-16, 0x1.08ceca354c6c8p-16, 0x1.08a11b1eee874p-16, 0x1.086fdeba34148p-16, 0x1.083bcbdb8d6a8p-16, 0x1.080467135cb23p-16, 0x1.07c855983c7b8p-16, 0x1.078a226885bc3p-16, 0x1.0748d82e353cp-16, 0x1.07045a55af603p-16, 0x1.06bd114b2da83p-16, 0x1.06726bd9e5152p-16, 0x1.06255843507bp-16, 0x1.05d50b1674412p-16, 0x1.05824082504c3p-16, 0x1.052c854ac7521p-16, 0x1.04d4050c444adp-16, 0x1.04789bf85938ep-16, 0x1.041aa4698d0bdp-16, 0x1.03ba18601c29fp-16, 0x1.0356fefa8fe4cp-16, 0x1.02f15d78abe8fp-16, 0x1.0289100e5ec93p-16, 0x1.021efb162b379p-16, 0x1.01b21ac836b58p-16, 0x1.01425523daf87p-16, 0x1.00d0f362adc4cp-16, 0x1.005d14dbaae91p-16, 0x1.ffcde48661543p-17, 0x1.fedd45ff07b35p-17, 0x1.fde85668e48f3p-17, 0x1.fcef2732423cep-17, 0x1.fbf1e14605a85p-17, 0x1.faf05aecc92c2p-17, 0x1.f9eaf4e1a6164p-17, 0x1.f8e196213db1ep-17, 0x1.f7d48f404a10dp-17, 0x1.f6c3bad37f215p-17, 0x1.f5aeb2ed01b0ep-17, 0x1.f496ce0e29139p-17, 0x1.f37a9a8301c86p-17, 0x1.f25a61a631b9bp-17, 0x1.f137cbb45a931p-17, 0x1.f0123e4803dc8p-17, 0x1.eee8a8b393436p-17, 0x1.edbde2a65719ep-17, 0x1.ec8c5c645e906p-17, 0x1.eb58bf7671605p-17, 0x1.ea229fa6e2b73p-17, 0x1.e8ea5339446a2p-17, 0x1.e7aebb793f831p-17, 0x1.e66f792178c6dp-17, 0x1.e52e32a747477p-17, 0x1.e3e9273495ea6p-17, 0x1.e2a22a2053fb5p-17, 0x1.e158bfba91c1dp-17, 0x1.e00d4805ef70cp-17, 0x1.dec08a2a98af3p-17, 0x1.dd6d558898e24p-17, 0x1.dc1a3bb43b514p-17, 0x1.dac4dee04d9bap-17, 0x1.d96cb464eb7abp-17, 0x1.d81298e0c4863p-17, 0x1.d6b673a707bf4p-17, 0x1.d5581f693ea8ap-17, 0x1.d3f7b012180bfp-17, 0x1.d295225d6217cp-17, 0x1.d130ddee6742bp-17, 0x1.cfca72309696p-17, 0x1.ce61c28555e55p-17, 0x1.ccf8b0c218836p-17, 0x1.cb8cd5da60a2fp-17, 0x1.ca1f8ae287285p-17, 0x1.c8b082c3ee652p-17, 0x1.c73f965f09a8p-17, 0x1.c5ce1db636695p-17, 0x1.c45a9c69f3fffp-17, 0x1.c2e4653dafdf6p-17, 0x1.c16e427a52997p-17, 0x1.bff694f169534p-17, 0x1.be7e06056dc9cp-17, 0x1.bd02d1bcdf73cp-17, 0x1.bb86e6b0f1a1dp-17, 0x1.ba09fefbbb488p-17, 0x1.b88bf028eb24ap-17, 0x1.b70cb165d922fp-17, 0x1.b58c190c8919ap-17, 0x1.b40d12892aee4p-17, 0x1.b288054dcc003p-17, 0x1.b1051de52e1a5p-17, 0x1.af81f791c125fp-17, 0x1.adfb77e15b874p-17, 0x1.ac7595de8f8fap-17, 0x1.aaee485ecb3a7p-17, 0x1.a966a8bbd536bp-17, 0x1.a7de7183dd59p-17, 0x1.a655159c46cc1p-17, 0x1.a4cc152bea8e7p-17, 0x1.a3419000a57ffp-17, 0x1.a1b650f7a1755p-17, 0x1.a02b32a19cf84p-17, 0x1.9e9ef96a6c45bp-17, 0x1.9d121ba5003bp-17, 0x1.9b8577bb7c0c7p-17, 0x1.99f7c354277bap-17, 0x1.98692e7cc2db8p-17, 0x1.96db059facaa9p-17, 0x1.954c3625ce6e4p-17, 0x1.93bd9e8b535d5p-17, 0x1.922e21aa8a3c6p-17, 0x1.909eae034a3bap-17, 0x1.8f0f66f108b39p-17, 0x1.8d7ef980ad0adp-17, 0x1.8bef1cbd00eddp-17, 0x1.8a5e7e828800fp-17, 0x1.88cda6918142cp-17, 0x1.873cf6d2ae21p-17, 0x1.85aca855f31fbp-17, 0x1.841c16d46e0f6p-17, 0x1.828b3ed75f936p-17, 0x1.80fadc52b41dep-17, 0x1.7f6bf23ab869p-17, 0x1.7dd9715373c74p-17, 0x1.7c494cf5b39d3p-17, 0x1.7ab8ef5f9c41fp-17, 0x1.7927e0713a08dp-17, 0x1.779863363d544p-17, 0x1.7608ab4aa89adp-17, 0x1.7478193c7527dp-17, 0x1.72e8a3f7d9b18p-17, 0x1.7158e77bbb4efp-17, 0x1.6fca46dec705ep-17, 0x1.6e3b744450d05p-17, 0x1.6cad44c7395abp-17, 0x1.6b1eb10e2b7a7p-17, 0x1.69906330bac7bp-17, 0x1.68031f9bb1689p-17, 0x1.66761411bede5p-17, 0x1.64e8bb270c1e4p-17, 0x1.635cfe14a8035p-17, 0x1.61d1141e277cep-17, 0x1.60458d00ed9aep-17, 0x1.5eba798550fafp-17, 0x1.5d2fb8d5b1891p-17, 0x1.5ba4b708f705p-17, 0x1.5a1bff9950da1p-17, 0x1.5893b7c7d18c4p-17, 0x1.570b5ea342c36p-17, 0x1.558374730ed1cp-17, 0x1.53fc07bb046d4p-17, 0x1.5274a1edcac5p-17, 0x1.50eeaff037d8ep-17, 0x1.4f69a87ecbf88p-17, 0x1.4de4e30960da8p-17, 0x1.4c607db6de387p-17, 0x1.4adcef1f2f15p-17, 0x1.4959ed8d9df99p-17, 0x1.47d80af3218c9p-17, 0x1.465725dd71355p-17, 0x1.44d5e4b197d05p-17, 0x1.4355b8369e22fp-17, 0x1.41d6d83d3581ep-17, 0x1.405893f4fbecdp-17, 0x1.3edaac93b2196p-17, 0x1.3d5dea3d4ae98p-17, 0x1.3be08bb35b3d2p-17, 0x1.3a65dd13ace9cp-17, 0x1.38ebac9efac2bp-17, 0x1.3771c356aaa96p-17, 0x1.35f98af4e214bp-17, }}, 
      {{0x1.e44acd6e28eep-1, 0x1.83cbe7a58ae2p+0, 0x1.d1109bb5533f6p+0, 0x1.e4fecf4d77837p+0, 0x1.dbeb5f4df319fp+0, 0x1.cb390aeb99b2fp+0, 0x1.be0ddf689d3f5p+0, 0x1.b7e4dcc2aa279p+0, 0x1.b7e1f08ebf943p+0, 0x1.bb6333302d24dp+0, 0x1.bf9547559ea9ep+0, 0x1.c23bf4486f3ffp+0, 0x1.c1f4710ccfb9p+0, 0x1.be2c26b601ba5p+0, 0x1.b6f4d9a54dd22p+0, 0x1.accf44fd25747p+0, 0x1.a079922bb728dp+0, 0x1.92c78e9fd6548p+0, 0x1.84861620c15cp+0, 0x1.7668d3d16caf3p+0, 0x1.690079d617562p+0, 0x1.5cb75379282cap+0, 0x1.51d23f5203743p+0, 0x1.487471af00949p+0, 0x1.40a4bba9e3608p+0, 0x1.3a5369ea988cp+0, 0x1.356018d74ce58p+0, 0x1.319f16ef93b93p+0, 0x1.2ede19ba02c16p+0, 0x1.2ce8295dbbcffp+0, 0x1.2b88bdce8e6ap+0, 0x1.2a8e1796f0763p+0, 0x1.29cae7bd85866p+0, 0x1.29175f71fd60dp+0, 0x1.2851c1a815eedp+0, 0x1.275e9046d68cep+0, 0x1.26286cad926ap+0, 0x1.249fc0826e42ep+0, 0x1.22ba406c26ec3p+0, 0x1.2072574740a7dp+0, 0x1.1dc68539b7182p+0, 0x1.1ab8bb9d91b3fp+0, 0x1.174dbcaa6ec98p+0, 0x1.138c83d6cfd64p+0, 0x1.0f7dba313e2f9p+0, 0x1.0b2b389a4c2e4p+0, 0x1.069f991512a83p+0, 0x1.01e5d7a1b5c77p+0, 0x1.fa12047360f23p-1, 0x1.f027ed5a7095p-1, 0x1.e6225a67e9daap-1, 0x1.dc151d62f36aap-1, 0x1.d212ab80d95e8p-1, 0x1.c82bf2793ea35p-1, 0x1.be703d3b1f12bp-1, 0x1.b4ed253b3b49fp-1, 0x1.abae8e29fe8c7p-1, 0x1.a2beaa7dcd428p-1, 0x1.9a2607855ed14p-1, 0x1.91eb9f783985ap-1, 0x1.8a14efcca39acp-1, 0x1.82a6123cb8ea9p-1, 0x1.7ba1d7519c298p-1, 0x1.7509e1b7d7e51p-1, 0x1.6edec1e210aa9p-1, 0x1.692011a30401bp-1, 0x1.63cc8f6d634b2p-1, 0x1.5ee238d5c909p-1, 0x1.5a5e6403e078bp-1, 0x1.563dd7c096f02p-1, 0x1.527ce205a4aeap-1, 0x1.4f176ceac48b6p-1, 0x1.4c0911e846552p-1, 0x1.494d2b8d207b3p-1, 0x1.46dee5956f2abp-1, 0x1.44b94b8c589bep-1, 0x1.42d755f002dc7p-1, 0x1.4133f602ca75dp-1, 0x1.3fca2043c27dep-1, 0x1.3e94d5a0366fdp-1, 0x1.3d8f2b8311ba3p-1, 0x1.3cb452c0e8defp-1, 0x1.3bff9d8268116p-1, 0x1.3b6c8438f0d1bp-1, 0x1.3af6a9bde05f9p-1, 0x1.3a99dea0c3ed4p-1, 0x1.3a5223c77d5aep-1, 0x1.3a1bac66e5e45p-1, 0x1.39f2df5eb5a66p-1, 0x1.39d4582215bc3p-1, 0x1.39bce71cc353bp-1, 0x1.39a991b152d1p-1, 0x1.399791e61a69ap-1, 0x1.398455ad648adp-1, 0x1.396d7e06e31ep-1, 0x1.3950ddbacc4b7p-1, 0x1.392c78123408fp-1, 0x1.38fe7f3da0b7p-1, 0x1.38c552b17bcbdp-1, 0x1.387f7d567fcbep-1, 0x1.382bb3bca11e7p-1, 0x1.37c8d21bfa536p-1, 0x1.3755da72cc8bbp-1, 0x1.36d1f283cc62bp-1, 0x1.363c61cff9544p-1, 0x1.35948fba0fe29p-1, 0x1.34da016eab0a1p-1, 0x1.340c58164be7dp-1, 0x1.332b4eeaec3acp-1, 0x1.3236b951b22fbp-1, 0x1.312e813a2440bp-1, 0x1.3012a53ea4b15p-1, 0x1.2ee3371343797p-1, 0x1.2da059f47604fp-1, 0x1.2c4a4103a6e03p-1, 0x1.2ae12df895025p-1, 0x1.29656fb029ebp-1, 0x1.27d760c9bf35dp-1, 0x1.263766919461ap-1, 0x1.2485efb6f4525p-1, 0x1.22c37330beddfp-1, 0x1.20f06f517607bp-1, 0x1.1f0d68ae9acf6p-1, 0x1.1d1ae93b19e05p-1, 0x1.1b197f92404bdp-1, 0x1.1909be0363e0bp-1, 0x1.16ec39d21a047p-1, 0x1.14c18ac438766p-1, 0x1.128a4a437d92dp-1, 0x1.104712ce1e651p-1, 0x1.0df87f94d59c8p-1, 0x1.0b9f2bebea202p-1, 0x1.093bb2b2d59f3p-1, 0x1.06ceae15f0ac3p-1, 0x1.0458b7408e6fap-1, 0x1.01da65c43afc2p-1, 0x1.fea89ed24ba2cp-2, 0x1.f98e101d46b87p-2, 0x1.f466428379aacp-2, 0x1.ef3253d74b2c8p-2, 0x1.e9f35cb751e5cp-2, 0x1.e4aa701b2e1bp-2, 0x1.df589ac316e6ep-2, 0x1.d9fee309f2a56p-2, 0x1.d49e48f52a6f2p-2, 0x1.cf37c5ddbdbep-2, 0x1.c9cc4c1086501p-2, 0x1.c45cc6dec0d58p-2, 0x1.beea1aaf3696cp-2, 0x1.b97524d10f78ap-2, 0x1.b3febb2a019c6p-2, 0x1.ae87ac80e3f8bp-2, 0x1.a910c08fbd944p-2, 0x1.a39ab7dae45e9p-2, 0x1.9e264ba55c26ap-2, 0x1.98b42e15c90adp-2, 0x1.93450a8067b4p-2, 0x1.8dd9853dc14fp-2, 0x1.88723bb55ff91p-2, 0x1.830fc482a3b87p-2, 0x1.7db2afc3d6b1ep-2, 0x1.785b8710b6464p-2, 0x1.730acd92fe1f1p-2, 0x1.6dc10017a3ddp-2, 0x1.687e9558d4288p-2, 0x1.6343fe2c921d9p-2, 0x1.5e11a58170961p-2, 0x1.58e7f0844e794p-2, 0x1.53c73ecabedf1p-2, 0x1.4eafea9aac094p-2, 0x1.49a248fc55e76p-2, 0x1.449ea9ce4a608p-2, 0x1.3fa557f316cf6p-2, 0x1.3ab699820706dp-2, 0x1.35d2aff1d6e77p-2, 0x1.30f9d841b8e8dp-2, 0x1.2c2c4b077e876p-2, 0x1.276a3c946f706p-2, 0x1.22b3dd34a0aa2p-2, 0x1.1e09594463244p-2, 0x1.196ad966254f5p-2, 0x1.14d8828521359p-2, 0x1.105276038ed38p-2, 0x1.0bd8d1de99347p-2, 0x1.076bb0e121cbcp-2, 0x1.030b2ab37596dp-2, 0x1.fd6ea7edb1014p-3, 0x1.f4e07cd3255d2p-3, 0x1.ec6bf2088004ap-3, 0x1.e411202e9489ep-3, 0x1.dbd01ae51c2afp-3, 0x1.d3a8f0f5f819cp-3, 0x1.cb9bac7058286p-3, 0x1.c3a852eb8c8c2p-3, 0x1.bbcee5d36875bp-3, 0x1.b40f627e761a3p-3, 0x1.ac69c273fee58p-3, 0x1.a4ddfb890376dp-3, 0x1.9d6c00139b8bap-3, 0x1.9613bf0b4a3e2p-3, 0x1.8ed52442086a3p-3, 0x1.87b01891513bfp-3, 0x1.80a481fc37085p-3, 0x1.79b243ce9a8cdp-3, 0x1.72d93ec934e38p-3, 0x1.6c195132adcf2p-3, 0x1.6572571948952p-3, 0x1.5ee42a66ae8a6p-3, 0x1.586ea2fa0f9fep-3, 0x1.521196cfab2b7p-3, 0x1.4bccda15e36ddp-3, 0x1.45a03f4bf3855p-3, 0x1.3f8b975530c28p-3, 0x1.398eb1affd5e5p-3, 0x1.33a95c7973e66p-3, 0x1.2ddb6481a889p-3, 0x1.2824956fe733cp-3, 0x1.2284b9cf84845p-3, 0x1.1cfb9b2ad5d6cp-3, 0x1.17890219acd2cp-3, 0x1.122cb660a2e71p-3, 0x1.0ce67eff6fe58p-3, 0x1.07b6223e4269ep-3, 0x1.029b65c0f23adp-3, 0x1.fb2c1d328f9e1p-4, 0x1.f14bc2add61a2p-4, 0x1.e795442c192c3p-4, 0x1.de08292090591p-4, 0x1.d4a3f84d88102p-4, 0x1.cb6838077729bp-4, 0x1.c2546ddf2f89dp-4, 0x1.b9681f3f7d52fp-4, 0x1.b0a2d149ed248p-4, 0x1.a80408cf932bp-4, 0x1.9f8b4a997949bp-4, 0x1.97381b67675edp-4, 0x1.8f0a0000eba9fp-4, 0x1.87007d53964d9p-4, 0x1.7f1b18625c38bp-4, 0x1.77595679bc748p-4, 0x1.6fbabd4b4a9p-4, 0x1.683ed2c8ef8dfp-4, 0x1.60e51d5af7e87p-4, 0x1.59ad23e31c432p-4, 0x1.52966dd5b90b8p-4, 0x1.4ba0831aadbep-4, 0x1.44caec501553ap-4, 0x1.3e1532b491f1p-4, 0x1.377ee032479a9p-4, 0x1.31077f7498701p-4, 0x1.2aae9bfa9c0cp-4, 0x1.2473c1ee53085p-4, 0x1.1e567e5dcc4ddp-4, 0x1.18565f4e0d91cp-4, 0x1.1272f37fb4bdap-4, 0x1.0cabcaadd084cp-4, 0x1.07007582fc07p-4, 0x1.017085a4505fap-4, 0x1.f7f71b4602bc7p-5, 0x1.ed424236f84c2p-5, 0x1.e2c1a9504bff4p-5, 0x1.d8747bf3cf24dp-5, 0x1.ce59e761fe1f1p-5, 0x1.c4711b1638c03p-5, 0x1.bab948d5802a9p-5, 0x1.b131a44edbdcep-5, 0x1.a7d96381a72ecp-5, 0x1.9eafbe9963619p-5, 0x1.95b3f00973217p-5, 0x1.8ce53465c7eafp-5, 0x1.8442ca883cce6p-5, 0x1.7bcbf37e0560bp-5, 0x1.737ff2c5dbd8fp-5, 0x1.6b5e0dea6f1bbp-5, 0x1.63658cd7221e5p-5, 0x1.5b95b9c305bfbp-5, 0x1.53ede0fc9a259p-5, 0x1.4c6d51521e447p-5, 0x1.45135bc1522e8p-5, 0x1.3ddf537b33bd6p-5, 0x1.36d08e098ecfbp-5, 0x1.2fe66342936efp-5, 0x1.29202d10d6fe2p-5, 0x1.227d47d39c49ap-5, 0x1.1bfd1204940f2p-5, 0x1.159eec630ca09p-5, 0x1.0f6239ea5c7b8p-5, 0x1.09465fc6b409dp-5, 0x1.034ac557e4b52p-5, 0x1.fadda863a3afap-6, 0x1.ef63f0299de6ap-6, 0x1.e4273dc617181p-6, 0x1.d9267164f1bd6p-6, 0x1.ce606f5491ae4p-6, 0x1.c3d42037d6926p-6, 0x1.b98070dc039c4p-6, 0x1.af6452397516cp-6, 0x1.a57eb97064db9p-6, 0x1.9bce9fbcce94dp-6, 0x1.92530269ec8e1p-6, 0x1.890ae2c89d04ap-6, 0x1.7ff5462035cd5p-6, 0x1.771135ade54bap-6, 0x1.6e5dbf19e8619p-6, 0x1.65d9f2c593c7bp-6, 0x1.5d84e5ddff22ap-6, 0x1.555db182fa8e2p-6, 0x1.4d6371c08e92bp-6, 0x1.459546d7fa62dp-6, 0x1.3df254f53972p-6, 0x1.3679c38fff22ap-6, 0x1.2f2abdcf85aabp-6, 0x1.28047247a706dp-6, 0x1.2106137021461p-6, 0x1.1a2ed6cbd10abp-6, 0x1.137df5bb77974p-6, 0x1.0cf2acc18c5cfp-6, 0x1.068c3bb8d4eb9p-6, 0x1.0049e5e097e88p-6, 0x1.f455e38566ca8p-7, 0x1.e85d522da37e8p-7, 0x1.dca8b192d9765p-7, 0x1.d136a1e77864dp-7, 0x1.c605c9845569cp-7, 0x1.bb14d4e28438p-7, 0x1.b062768e9e6afp-7, 0x1.a5ed67055a9fep-7, 0x1.9bb46485831a3p-7, 0x1.91b633d7559f5p-7, 0x1.87f19e052981ap-7, 0x1.7e65729b91b33p-7, 0x1.75108788f17bcp-7, 0x1.6bf1b6afc1a16p-7, 0x1.6307e01532cecp-7, 0x1.5a51e904dd06cp-7, 0x1.51cebc6f86c8dp-7, 0x1.497d4961bd523p-7, 0x1.415c84bf9f17fp-7, 0x1.396b68b13871cp-7, 0x1.31a8f388c40f8p-7, 0x1.2a1428dff013ep-7, 0x1.22ac110b56579p-7, 0x1.1b6fb90aa08e4p-7, 0x1.145e3279dcfa6p-7, 0x1.0d769386b6484p-7, 0x1.06b7f6e30a67cp-7, 0x1.00217baa5e9dbp-7, 0x1.f3648a8f78dd2p-8, 0x1.e6d2f7677b11dp-8, 0x1.da8c9551bc706p-8, 0x1.ce8fc460b1764p-8, 0x1.c2daecc420f6p-8, 0x1.b76c7f44d76fp-8, 0x1.ac42f349e4ecbp-8, 0x1.a15cc883680a7p-8, 0x1.96b88620c2019p-8, 0x1.8c54bb8dafda1p-8, 0x1.822ffe35a7276p-8, 0x1.7848eb67008d2p-8, 0x1.6e9e28debdb0fp-8, 0x1.652e6196c9df2p-8, 0x1.5bf84824f1cd2p-8, 0x1.52fa95d88737fp-8, 0x1.4a340a7100f0dp-8, 0x1.41a36bfa9f314p-8, 0x1.394786e07bf51p-8, 0x1.311f2d947cc5ep-8, 0x1.292938b3a85a9p-8, 0x1.216486eddd16ep-8, 0x1.19cffcff1159fp-8, 0x1.126a8592477cfp-8, 0x1.0b331254e94a6p-8, 0x1.042898850a83ap-8, 0x1.fa94289fb190bp-9, 0x1.ed2d105ba596dp-9, 0x1.e019f4a9e7145p-9, 0x1.d358ed82f4276p-9, 0x1.c6e81b8f26d72p-9, 0x1.bac5a970de622p-9, 0x1.aeefcb2ec09a6p-9, 0x1.a364be429fe1ep-9, 0x1.9822c9c50c549p-9, 0x1.8d283e9305deep-9, 0x1.8273776583ce7p-9, 0x1.7802d8cb820a5p-9, 0x1.6dd4d0dfc111ap-9, 0x1.63e7d6ad74441p-9, 0x1.5a3a696b85p-9, 0x1.50cb134a10d21p-9, 0x1.479860398943p-9, 0x1.3ea0e68527ff8p-9, 0x1.35e34626d7819p-9, 0x1.2d5e208729292p-9, 0x1.251020d702023p-9, 0x1.1cf7f94ac9fc9p-9, 0x1.151463a9f5ea4p-9, 0x1.0d6422457d3d8p-9, 0x1.05e5fef2847fap-9, 0x1.fd3195000fa68p-10, 0x1.eef6bca74a34bp-10, 0x1.e119382356101p-10, 0x1.d396d2d929d91p-10, 0x1.c66d65b474168p-10, 0x1.b99ad421b31bp-10, 0x1.ad1d0afedd7fcp-10, 0x1.a0f200bb081e9p-10, 0x1.9517b5e22589cp-10, 0x1.898c35bd5f3b7p-10, 0x1.7e4d96deab658p-10, 0x1.7359fbbe492aap-10, 0x1.68af93247b40ap-10, 0x1.5e4c986bcbdf7p-10, 0x1.542f541781ca9p-10, 0x1.4a56138c4debap-10, 0x1.40bf34efa397ap-10, 0x1.37691e90227dcp-10, 0x1.2e523c640a81dp-10, 0x1.257903d94512bp-10, 0x1.1cdbf215e299p-10, 0x1.14798ca953ba6p-10, 0x1.0c5061f58d1cdp-10, 0x1.045f0987a291ap-10, 0x1.f9484765a1ap-11, 0x1.ea3cbe04cb651p-11, 0x1.db98d0278ec87p-11, 0x1.cd59f2980cedbp-11, 0x1.bf7db2de1a1dap-11, 0x1.b20195a04d1d7p-11, 0x1.a4e3331b0fe04p-11, 0x1.98202c2b56bfcp-11, 0x1.8bb62b99a51dep-11, 0x1.7fa2e8535ea8ep-11, 0x1.73e428ab21fe7p-11, 0x1.6877c0b788becp-11, 0x1.5d5ba178c9bf1p-11, 0x1.528dc6c6251eap-11, 0x1.480c483eb567cp-11, 0x1.3dd54f583504cp-11, 0x1.33e71088e64ep-11, 0x1.2a3fcd694b005p-11, 0x1.20ddcc311ad29p-11, 0x1.17bf56ad612edp-11, 0x1.0ee2b4f50cc06p-11, 0x1.0646298908feep-11, 0x1.fbcff0e15214bp-12, 0x1.eb8ccfce24411p-12, 0x1.dbbf89e7e86d2p-12, 0x1.cc64d24a764ccp-12, 0x1.bd797f9ef017p-12, 0x1.aefa985264878p-12, 0x1.a0e552f98ebaap-12, 0x1.9337090ec38cfp-12, 0x1.85ed4ba6a7028p-12, 0x1.7905d3b1954efp-12, 0x1.6c7e5f21f0ab5p-12, 0x1.6054b9a4ace62p-12, 0x1.5486aef364cb1p-12, 0x1.4911f944fa83ep-12, 0x1.3df431a5bee12p-12, 0x1.332afd43782c9p-12, 0x1.28b3e05bb5c77p-12, 0x1.1e8c64632c9d7p-12, 0x1.14b22644d432fp-12, 0x1.0b22c0bfa848ep-12, 0x1.01dc0021111c5p-12, 0x1.f1b7ab9116db9p-13, 0x1.e040984bd0a3cp-13, 0x1.cf4f3983d063dp-13, 0x1.bee048c6da42dp-13, 0x1.aef096726431cp-13, 0x1.9f7d58aac18d6p-13, 0x1.9083b24049768p-13, 0x1.8200ad2a54ccdp-13, 0x1.73f17eea0789p-13, 0x1.66532690268c1p-13, 0x1.59228dbb9e359p-13, 0x1.4c5c8a9508897p-13, 0x1.3ffdec20be8e8p-13, 0x1.3403891582122p-13, 0x1.286a4ed33079ep-13, 0x1.1d2f4e29b6f33p-13, 0x1.124fc1cfe5273p-13, 0x1.07c90c553f771p-13, 0x1.fb31614127aa1p-14, 0x1.e778904989b67p-14, 0x1.d462f315c3f79p-14, 0x1.c1ebe9ce6d45p-14, 0x1.b00ef01f4fceap-14, 0x1.9ec7aeedfb798p-14, 0x1.8e1207da52fe6p-14, 0x1.7dea160ca5061p-14, 0x1.6e4c212c3dc5fp-14, 0x1.5f34889ce244ep-14, 0x1.509fb428f252ep-14, 0x1.428a0d0c721ffp-14, 0x1.34efff439085ap-14, 0x1.27ce05508e0f2p-14, 0x1.1b20bc8652aefp-14, 0x1.0ee4f49b302d7p-14, 0x1.0317ac41d5fd3p-14, 0x1.ef6bea62756b6p-15, 0x1.d979a184352c5p-15, 0x1.c4521a75a2101p-15, 0x1.afeee433903b5p-15, 0x1.9c48a8edfd7eap-15, 0x1.895861baead85p-15, 0x1.7717621009635p-15, 0x1.657fc344d0418p-15, 0x1.548b9fdcfb198p-15, 0x1.4435e9b216c98p-15, 0x1.347a2cc4d2c7ap-15, 0x1.255445bf80afdp-15, 0x1.16c029c2fc9b9p-15, 0x1.08ba4808396e6p-15, 0x1.f67f04595e5ccp-16, 0x1.dc99ce1b7d9c2p-16, 0x1.c3bf0b8d914f9p-16, 0x1.abe86503036bfp-16, 0x1.950f1650fadd8p-16, 0x1.7f29fb4acc41ap-16, 0x1.6a31e8b3b6858p-16, 0x1.561c0349ae841p-16, 0x1.42dffb5e63051p-16, 0x1.3074bbf4908ccp-16, 0x1.1ed22fe625e4p-16, 0x1.0df1ca43f2ac5p-16, 0x1.fb9b34c5db2a1p-17, 0x1.dcbf70f875edap-17, 0x1.bf42cf1537693p-17, 0x1.a315dd7c90c3bp-17, 0x1.8828c5c91d792p-17, 0x1.6e6df7ee4ea7dp-17, 0x1.55dc4bd6a32e4p-17, 0x1.3e6f51ed30bap-17, 0x1.28259936efc15p-17, 0x1.12fdc09af48e4p-17, 0x1.fde77aa19dc73p-18, 0x1.d7ff040c95023p-18, 0x1.b42a93ea1dfbp-18, 0x1.924de32fdb1c6p-18, 0x1.724b3aa0ecadp-18, 0x1.5406aed045151p-18, 0x1.37693b31f0ec6p-18, 0x1.1c630f57d0712p-18, 0x1.02eba830f7799p-18, 0x1.d5fe092f7221p-19, 0x1.a93145af609a4p-19, 0x1.7f5d4432abf13p-19, 0x1.586b0740b323fp-19, 0x1.3426b6671a336p-19, 0x1.126396f1adcd1p-19, 0x1.e60705c915bbfp-20, 0x1.abbfd5303cdbcp-20, 0x1.75cf1c398dff7p-20, 0x1.4424e880ae5c4p-20, 0x1.16b95560dcbb8p-20, 0x1.db07939b9e4d9p-21, 0x1.90dffe007fa63p-21, 0x1.4e97e2b930908p-21, 0x1.13dd23aa97559p-21, 0x1.c03ddcf08e973p-22, 0x1.65925c2a4ae0dp-22, 0x1.16ab5d2ffb34dp-22, 0x1.a5915332bbf49p-23, 0x1.332d6ac14587cp-23, 0x1.ac6211d5d215bp-24, 0x1.1d899f1757129p-24, 0x1.735bcf32fec9fp-25, 0x1.fc351b63d745cp-26, 0x1.a945b7a68b968p-26, 0x1.ec3eb9fb7f7bdp-26, 0x1.5a3f69e2b38b4p-25, 0x1.002e417c5b8d2p-24, 0x1.7341438d72a37p-24, 0x1.02b42fb7ae675p-23, 0x1.5a6c535535e85p-23, 0x1.bf7e32e569235p-23, 0x1.184a1de7d1bbap-22, 0x1.56570760e2996p-22, 0x1.99ae5166c5af3p-22, 0x1.e249fa9fdb608p-22, 0x1.1806c05bf5d18p-21, 0x1.4141aa6047ef4p-21, 0x1.6ce2f39363bdfp-21, 0x1.9a704d0330058p-21, 0x1.c9bc0f125991p-21, 0x1.fa99de6f917dap-21, 0x1.16832a63dcf93p-20, 0x1.3087b306f063cp-20, 0x1.4b5cbbec93daap-20, 0x1.66f6e7bc005cbp-20, 0x1.833e0ffb54db7p-20, 0x1.a01787f7c1b9p-20, 0x1.bd7519375c022p-20, 0x1.db5284b8a9e75p-20, 0x1.f9ba77dce182dp-20, 0x1.0c516e4def764p-19, 0x1.1bfb42709236p-19, 0x1.2bdc0f03016b2p-19, 0x1.3be5cd31a7ecp-19, 0x1.4c113c9c6480bp-19, 0x1.5c56427d7452ap-19, 0x1.6cac1895e391ep-19, 0x1.7d0c4448e2a31p-19, 0x1.8d757434fff1p-19, 0x1.9deb35517b134p-19, 0x1.ae716af79f482p-19, 0x1.bf0537125e031p-19, 0x1.cf995795c015ap-19, 0x1.e01d79362d0acp-19, 0x1.f08c416f57532p-19, 0x1.0078885ee2308p-18, 0x1.08a89366cc24ep-18, 0x1.10d86853595f6p-18, 0x1.19019391dafa8p-18, 0x1.211ed092f34a4p-18, 0x1.293033b4e1ecfp-18, 0x1.3137677b10ebep-18, 0x1.3933c4f2ba59bp-18, 0x1.412286df68c91p-18, 0x1.4900fd81ad004p-18, 0x1.50cdb897faf6ap-18, 0x1.5888823645f68p-18, 0x1.6031c52389a59p-18, 0x1.67ca5c8bd1e5ep-18, 0x1.6f51fe586c468p-18, 0x1.76c9cd30cb031p-18, 0x1.7e2edb148e01cp-18, 0x1.857fd4398c0c3p-18, 0x1.8cb9b52d9df72p-18, 0x1.93dd9c27278aep-18, 0x1.9aeb3cf8fc7fp-18, 0x1.a1e33377569c5p-18, 0x1.a8c240b90413cp-18, 0x1.af8326481296p-18, 0x1.b628d8f62877cp-18, 0x1.bcb90532af586p-18, 0x1.c333ceb6baa19p-18, 0x1.c99549632cd51p-18, 0x1.cfdc561a72f59p-18, 0x1.d60a8489cae01p-18, 0x1.dc1fe60e6dea9p-18, 0x1.e21ae048267d1p-18, 0x1.e7fa0359e7b6cp-18, 0x1.edbc4b312dd22p-18, 0x1.f3656d0caaeb5p-18, 0x1.f8f063bad56edp-18, 0x1.fe5fc29ae1ccfp-18, 0x1.01dad99b41ccep-17, 0x1.0476f296c69eap-17, 0x1.0705efb2ba245p-17, 0x1.09875389f79a9p-17, 0x1.0bfb4a379f907p-17, 0x1.0e63468ce2197p-17, 0x1.10be0d53de055p-17, 0x1.130bdd747a766p-17, 0x1.154bcf87df075p-17, 0x1.177eef8ea352bp-17, 0x1.19a2e9910108p-17, 0x1.1bb91032fc06ep-17, 0x1.1dc13bfe187c2p-17, 0x1.1fbb944781597p-17, 0x1.21a8cf18a1663p-17, 0x1.2388db96d9036p-17, 0x1.255c0e3f5f166p-17, 0x1.27229e5cdd6ecp-17, 0x1.28dc110d48df8p-17, 0x1.2a88a3f13fb82p-17, 0x1.2c275d0cd451p-17, 0x1.2db93e23d27a5p-17, 0x1.2f3e502d14bdcp-17, 0x1.30b67c497d9bp-17, 0x1.3222000798467p-17, 0x1.338107517ee4ep-17, 0x1.34d3a63b43994p-17, 0x1.3619da95b754ep-17, 0x1.3753c5e62f673p-17, 0x1.38819f225b00fp-17, 0x1.39a3754836738p-17, 0x1.3ab9544f0caf8p-17, 0x1.3bc3b18478fcap-17, 0x1.3cc24a2f8271p-17, 0x1.3db5874588524p-17, 0x1.3e9df03b582b4p-17, 0x1.3f7b45e3c8ef7p-17, 0x1.404d69d030ad3p-17, 0x1.41141ddcb5ab6p-17, 0x1.41cfb7a283855p-17, 0x1.42804620c4783p-17, 0x1.4326851e36908p-17, 0x1.43c1d27564ca9p-17, 0x1.4452338bfb1bcp-17, 0x1.44d93b423c632p-17, 0x1.4555d2cb61828p-17, 0x1.45c8adb198024p-17, 0x1.4630b0fc0f203p-17, 0x1.4690594aa8456p-17, 0x1.46e553f2f8abp-17, 0x1.473089635adeep-17, 0x1.47730db99d146p-17, 0x1.47abfea53988cp-17, 0x1.47db974085fc5p-17, 0x1.480231343c761p-17, 0x1.482006023c55bp-17, 0x1.483533e5bb471p-17, 0x1.4841c64120eecp-17, 0x1.4845e0aa8463p-17, 0x1.48416d0c4e7e5p-17, 0x1.4834c7ecc66e8p-17, 0x1.4820291e1b94dp-17, 0x1.4803b2f558b6ap-17, 0x1.47df40c328f4ap-17, 0x1.47b30f14ffd5cp-17, 0x1.477f55396a90cp-17, 0x1.47444672fa7ecp-17, 0x1.47023de671a29p-17, 0x1.46b750cfe595ap-17, 0x1.46665e2ae2fbap-17, 0x1.460e8041d8d78p-17, 0x1.45afd60a541cfp-17, 0x1.454a306f7a8d7p-17, 0x1.44de011affe0cp-17, 0x1.446b44663f437p-17, 0x1.43f214dd717a9p-17, 0x1.4372d9b788ddcp-17, 0x1.42ed53cdf4d48p-17, 0x1.426237505f4aep-17, 0x1.41d0d17c995ecp-17, 0x1.413963a7f7a39p-17, 0x1.409ca24c44197p-17, 0x1.3ffa5063e3913p-17, 0x1.3f526f614f61ep-17, 0x1.3ea53590bf29ep-17, 0x1.3df2c5dbeb396p-17, 0x1.3d3b2d28e136bp-17, 0x1.3c7e7f6ff8bb1p-17, 0x1.3bbcee01256b3p-17, 0x1.3af697398b7ep-17, 0x1.3a2b7d5554df6p-17, 0x1.395bd2a2594cp-17, 0x1.3887880a39859p-17, 0x1.37af135ec870cp-17, 0x1.36d2277e80dc5p-17, 0x1.35f122ebd89d8p-17, 0x1.350bdaf7cc20bp-17, 0x1.34226fc1201ffp-17, 0x1.3335225e65ec8p-17, 0x1.3243dcfe495abp-17, 0x1.31502e4ae3725p-17, 0x1.30579e82c3f9bp-17, 0x1.2f5b27b662599p-17, 0x1.2e5c02c82ca82p-17, 0x1.2d596eff1c9c3p-17, 0x1.2c5385508057bp-17, 0x1.2b4a5d4aa0869p-17, 0x1.2a3e2e29de9f7p-17, 0x1.292ee3df255bcp-17, 0x1.281c7a95770c1p-17, 0x1.27076c68567b5p-17, 0x1.25efbb0dbbd65p-17, 0x1.24d4d50ea2b1fp-17, 0x1.23b803727a773p-17, 0x1.2297b4438b21ep-17, 0x1.21763062ee765p-17, 0x1.2051af71385adp-17, 0x1.1f2af67d0d15ap-17, 0x1.1e01cb5c8b1bap-17, 0x1.1cd6764a67709p-17, 0x1.1ba93f798fb5ep-17, 0x1.1a7a07e2401f3p-17, 0x1.1948ad4b95d2ep-17, 0x1.1816238b46f06p-17, 0x1.16e10090f756cp-17, 0x1.15a9f57ab08fep-17, 0x1.14718c977f7d9p-17, 0x1.1338ddca3426p-17, 0x1.11fc59c4dde21p-17, 0x1.10bf74daaedffp-17, 0x1.0f8122d8d6925p-17, 0x1.0e4166d47cd08p-17, 0x1.0d005d3ce4444p-17, 0x1.0bbdfe9bfe99p-17, 0x1.0a7a99cb4fb37p-17, 0x1.093600dbf3fa7p-17, 0x1.07f04b9b4e42bp-17, 0x1.06a9c5476a97p-17, 0x1.056239227332dp-17, 0x1.0419c22a663f7p-17, 0x1.02d06c8fe35e4p-17, 0x1.018642ba1047bp-17, 0x1.003b566c386bap-17, 0x1.fddf81115b467p-18, 0x1.fb472136c591ep-18, 0x1.f8ad8ca878d4ap-18, 0x1.f612cb2432955p-18, 0x1.f37708c9f751p-18, 0x1.f0da743ace952p-18, 0x1.ee3ce226e3b53p-18, 0x1.eb9f16a80fc6p-18, 0x1.e9001f7a105e6p-18, 0x1.e66025cd66421p-18, 0x1.e3c1c01c49625p-18, 0x1.e12069f816288p-18, 0x1.de809ca9f0c7cp-18, 0x1.dbdff72217da9p-18, 0x1.d93f215a1764cp-18, 0x1.d69e346c9544ep-18, 0x1.d3fd3b988c632p-18, 0x1.d15c5f2597e82p-18, 0x1.cebbbded25a61p-18, 0x1.cc1b61f7366cfp-18, 0x1.c97b3e0ca8f95p-18, 0x1.c6db7c936bd61p-18, 0x1.c43c30bca77cbp-18, 0x1.c19d72682a34cp-18, 0x1.beff5bb8215a6p-18, 0x1.bc61c4757d9a5p-18, 0x1.b9c4acdc1cbdbp-18, 0x1.b7285ab534d1fp-18, 0x1.b48ce6ad1521ep-18, 0x1.b1f20c097c489p-18, 0x1.af5877ea53eaep-18, 0x1.acc0109e7e7b3p-18, 0x1.aa2937076d8a9p-18, 0x1.a7924a40353a8p-18, 0x1.a4fd1d1e00d8bp-18, 0x1.a269005d24142p-18, 0x1.9fd7c15d7186cp-18, 0x1.9d445e1318304p-18, 0x1.9ab43ccaafaafp-18, 0x1.9825a2a91a2aap-18, 0x1.9597e2e35dda1p-18, 0x1.930c47c7fdec3p-18, 0x1.9081dbabceda9p-18, 0x1.8df9a26483a73p-18, 0x1.8b72ee361c6f2p-18, 0x1.88ebfa634835dp-18, 0x1.866814f9f2405p-18, 0x1.83e5f639cd591p-18, 0x1.81655ad0b2449p-18, 0x1.7ee70f02f40b2p-18, 0x1.7c69cdbc8cef7p-18, 0x1.79ef5262ba446p-18, 0x1.77763d715753bp-18, 0x1.74ff8e79be96ap-18, 0x1.728aa61124effp-18, 0x1.7017b9ae62035p-18, 0x1.6da658f7dc0d8p-18, 0x1.6b3765932511fp-18, 0x1.68ca87708d471p-18, 0x1.665fbd0c52225p-18, 0x1.63f71eb6af73ap-18, 0x1.61904d59e6f93p-18, 0x1.5f2d251028809p-18, 0x1.5ccb47e14754ep-18, 0x1.5a6a7515119d2p-18, 0x1.580d8261a1d14p-18, 0x1.55b25d7ca1d0ep-18, 0x1.53596c6624161p-18, 0x1.5102edb4ffc07p-18, 0x1.4eaec7dd3637p-18, 0x1.4c5d14b373ebap-18, 0x1.4a0dbedc76fc2p-18, 0x1.47c0b4cb16603p-18, 0x1.4576363368182p-18, 0x1.432e2cc3f60e3p-18, 0x1.40e8a84eecc33p-18, 0x1.3ea5938aaa93fp-18, 0x1.3c64931e68f5ap-18, 0x1.3a274c88ce8cap-18, 0x1.37eb9c1779fdbp-18, 0x1.35b1a629fc79dp-18, 0x1.337b96690e842p-18, 0x1.3147fdc2ea13p-18, 0x1.2f16a7a2a790ep-18, 0x1.2ce923426d14ap-18, 0x1.2abc1f3753d9cp-18, 0x1.28927f19a46e7p-18, 0x1.266b9c37c3f54p-18, 0x1.2447b39159055p-18, 0x1.22263445c4dfp-18, 0x1.200714031dd04p-18, 0x1.1deaed89fb60dp-18, 0x1.1bd1088057e5ep-18, 0x1.19ba0bdc31a3bp-18, 0x1.17a5c6989017ep-18, 0x1.1594d8bfaf40ep-18, 0x1.1386b28ea770cp-18, 0x1.11797abb9fc38p-18, 0x1.0f7046b244011p-18, 0x1.0d69bd79b6f96p-18, 0x1.0b65aedf649f2p-18, 0x1.096470bf61cbbp-18, 0x1.0765f1ebbe8c4p-18, 0x1.056a2179fda8ap-18, 0x1.037104a482121p-18, 0x1.017a8225aec11p-18, 0x1.ff0dffa26bbfdp-19, 0x1.fb2beb061d284p-19, 0x1.f74ed7f5b4d95p-19, 0x1.f379177efb793p-19, 0x1.efa77923064f1p-19, 0x1.ebdb8a40db171p-19, 0x1.e81501d226a0cp-19, 0x1.e4534f9acef8fp-19, 0x1.e09948a582139p-19, 0x1.dce3a0c06f7f1p-19, 0x1.d930d10055544p-19, 0x1.d5867ce6a8664p-19, 0x1.d1e0f5a0db661p-19, 0x1.ce41a2a44544dp-19, 0x1.caa612c11377fp-19, 0x1.c710b87f8ee4ap-19, 0x1.c380e4e661a3p-19, 0x1.bff67af67d67fp-19, 0x1.bc71711a75baap-19, 0x1.b8f18c9d86fb5p-19, 0x1.b579e91b38295p-19, 0x1.b202499e0929ep-19, 0x1.ae93195fafefp-19, 0x1.ab2a6e081d197p-19, 0x1.a7c3fcb2cf0c8p-19, 0x1.a4649960ecaf6p-19, 0x1.a10aa3d5b0c4fp-19, 0x1.9db5d8f37eea8p-19, 0x1.9a66842e7e38ep-19, 0x1.971c18aa876f6p-19, 0x1.93d895b717935p-19, 0x1.9099078ac71e1p-19, 0x1.8d5eb10381912p-19, 0x1.8a2a03ad94152p-19, 0x1.86fa1927e4564p-19, 0x1.83cf748bb2555p-19, 0x1.80aac0241a423p-19, 0x1.7d8af964611f1p-19, 0x1.7a6f4bdb90892p-19, 0x1.7759ab49d27fp-19, 0x1.7448b55a83e42p-19, 0x1.713e6bf978723p-19, 0x1.6e38137dce82p-19, 0x1.6b36ff5a117d4p-19, 0x1.683b720b75981p-19, 0x1.65442e74687c1p-19, 0x1.62529104de554p-19, 0x1.5f65a4c8843a3p-19, 0x1.5c7da300981bfp-19, 0x1.599a8e467042cp-19, 0x1.56bd29980ee2ap-19, 0x1.53e4745ee0e46p-19, 0x1.511063178312cp-19, 0x1.4e4208d41a559p-19, 0x1.4b7a21dbbdd58p-19, 0x1.48b2cfc5f3186p-19, 0x1.45f3211705ce8p-19, 0x1.4337d7d85bb79p-19, 0x1.408077f8d0bc9p-19, 0x1.3dd026a704d9cp-19, 0x1.3b23d5146837dp-19, 0x1.3879edd08d777p-19, 0x1.35d71d760a195p-19, 0x1.33384493eb0a2p-19, 0x1.309ebbf264bc8p-19, 0x1.2e0994256aff3p-19, 0x1.2b798b34e51a1p-19, 0x1.28ed5c116c35bp-19, 0x1.266614b015884p-19, 0x1.23e3d14d2c1e8p-19, 0x1.2165f79c43798p-19, 0x1.1eebf64fd2989p-19, 0x1.1c77ea849ac48p-19, 0x1.1a07a95bdbf8dp-19, 0x1.179bd6a6fc217p-19, 0x1.1534826b3ec6dp-19, 0x1.12d186eec769dp-19, 0x1.1072468faa33cp-19, 0x1.0e1954a335bf9p-19, 0x1.0bc4636487726p-19, 0x1.097368030a884p-19, 0x1.0726a2839e1c9p-19, 0x1.04de0f35e29dbp-19, 0x1.029980c2b2d6ep-19, 0x1.0059e16b71753p-19, 0x1.fc3d624e15c74p-20, 0x1.f7cec5d4842c5p-20, 0x1.f3683e8cf6321p-20, 0x1.ef0a0d4b2afaap-20, 0x1.eab52f775a4fep-20, 0x1.e668cf095cfcep-20, 0x1.e22537960e0adp-20, 0x1.dde7d47990f19p-20, 0x1.d9b354774b1b5p-20, 0x1.d587b30e361bfp-20, 0x1.d163fe205f717p-20, 0x1.cd47d9b86777ap-20, 0x1.c9341e302fa48p-20, 0x1.c5260668fb3f8p-20, 0x1.c1232d6e4bec3p-20, 0x1.bd28385e427b9p-20, 0x1.b933380868ba2p-20, 0x1.b5478711c5decp-20, }}, 
      {{-0x1.ecca5843cfc9ap-1, -0x1.ecad76c26a634p-1, -0x1.ec7a6d19eaff3p-1, -0x1.ec2d7671da304p-1, -0x1.ebc23cdca72d6p-1, -0x1.eb346a6794ed1p-1, -0x1.ea801d31ccf2fp-1, -0x1.e9a239c4c08afp-1, -0x1.e8989bbf6ac52p-1, -0x1.e7622783a626fp-1, -0x1.e5fec1ff78952p-1, -0x1.e46f3569c0b6ap-1, -0x1.e2b50a4f8466fp-1, -0x1.e0d25ba386258p-1, -0x1.dec9ab0ccac3bp-1, -0x1.dc9db8f2bb103p-1, -0x1.da516226b3dd2p-1, -0x1.d7e783c81583fp-1, -0x1.d562e52ba1f65p-1, -0x1.d2c6271e557f5p-1, -0x1.d013b7b4de6f3p-1, -0x1.cd4dc9df3054p-1, -0x1.ca765013807d6p-1, -0x1.c78ef98506b51p-1, -0x1.c4993177f091ep-1, -0x1.c19620599134fp-1, -0x1.be86ae51c6bd2p-1, -0x1.bb6b870a96973p-1, -0x1.b8451e6f4b5d1p-1, -0x1.b513b626e6207p-1, -0x1.b1d76390110fbp-1, -0x1.ae901607d62f7p-1, -0x1.ab3d9d4885a5bp-1, -0x1.a7dfafb3af6afp-1, -0x1.a475f06063d5dp-1, -0x1.a0fff4cdff966p-1, -0x1.9d7d4a230709ep-1, -0x1.99ed79e6c67c5p-1, -0x1.96500e2b261aap-1, -0x1.92a495223eeebp-1, -0x1.8eeaa4207b33ap-1, -0x1.8b21da106b2ffp-1, -0x1.8749e160dec8dp-1, -0x1.8362717850db2p-1, -0x1.7f6b4fba58b42p-1, -0x1.7b64502cb41f2p-1, -0x1.774d55c9bb99ep-1, -0x1.7326528dc7447p-1, -0x1.6eef474c4e3c4p-1, -0x1.6aa8435890b31p-1, -0x1.6651640c5ffa9p-1, -0x1.61ead43641c81p-1, -0x1.5d74cb76d8df7p-1, -0x1.58ef8d94186cbp-1, -0x1.545b69c7917adp-1, -0x1.4fb8ba0becdf8p-1, -0x1.4b07e26cac1c5p-1, -0x1.4649505a54547p-1, -0x1.417d7a046bf98p-1, -0x1.3ca4ddba0c7c2p-1, -0x1.37c001515567p-1, -0x1.32cf7195a091cp-1, -0x1.2dd3c1bc1db2ap-1, -0x1.28cd8ade48cb4p-1, -0x1.23bd6b79964a7p-1, -0x1.1ea406f3ab57ap-1, -0x1.198205227537dp-1, -0x1.145811d7848bfp-1, -0x1.0f26dc6e267cap-1, -0x1.09ef175bc7f09p-1, -0x1.04b177c2501d8p-1, -0x1.fedd6a0869544p-2, -0x1.f44f10b4519dfp-2, -0x1.e9b958d4b5dc3p-2, -0x1.df1db9c2a23e3p-2, -0x1.d47dac18fbf43p-2, -0x1.c9daa8ed845edp-2, -0x1.bf36290e1e153p-2, -0x1.b491a442e00cbp-2, -0x1.a9ee9095832f3p-2, -0x1.9f4e619ec1abp-2, -0x1.94b287da3d848p-2, -0x1.8a1c700178f38p-2, -0x1.7f8d826e705d9p-2, -0x1.750722864e6ebp-2, -0x1.6a8aae2ca610dp-2, -0x1.60197d3f92937p-2, -0x1.55b4e11d0c4cdp-2, -0x1.4b5e2431a2854p-2, -0x1.41168990d1a72p-2, -0x1.36df4c96f9a89p-2, -0x1.2cb9a09502c1dp-2, -0x1.22a6b0859f49p-2, -0x1.18a79ecc08d62p-2, -0x1.0ebd84fc10392p-2, -0x1.04e973ab407cp-2, -0x1.f658e49599a13p-3, -0x1.e30efe13f019ap-3, -0x1.cff71d8134757p-3, -0x1.bd1319c2b71f3p-3, -0x1.aa64b6e674b76p-3, -0x1.97eda623e3e8cp-3, -0x1.85af85e984587p-3, -0x1.73abe1f658f34p-3, -0x1.61e4337e52e8cp-3, -0x1.5059e158b4649p-3, -0x1.3f0e40378d5e6p-3, -0x1.2e0292e756ed3p-3, -0x1.1d380a95d057bp-3, -0x1.0cafc71f3223ep-3, -0x1.f8d5aec1db717p-4, -0x1.d8d473222d413p-4, -0x1.b95db733796b8p-4, -0x1.9a7336eee45ecp-4, -0x1.7c168f349eap-4, -0x1.5e493e9196586p-4, -0x1.410ca6079c0bbp-4, -0x1.246209d6df972p-4, -0x1.084a9247b631p-4, -0x1.d98e98e77183ap-5, -0x1.a3b2561ad32e3p-5, -0x1.6f020e4b27924p-5, -0x1.3b7f41db76e16p-5, -0x1.092b40ee0a325p-5, -0x1.b00e59b43dbb3p-6, -0x1.5027f3315aaa9p-6, -0x1.e549bc9d78409p-7, -0x1.2f0cab85342adp-7, -0x1.f66a0ccf689e8p-9, 0x1.785c641f8f8abp-10, 0x1.adc9de71b8533p-8, 0x1.79f1a73b3c38fp-7, 0x1.0c192489965bp-6, 0x1.58d3fb96564f1p-6, 0x1.a32a2ed8aeedap-6, 0x1.eb1cd74745525p-6, 0x1.1856a769bd424p-5, 0x1.39ee974bb38e7p-5, 0x1.5a57268c30153p-5, 0x1.79915e4e883a5p-5, 0x1.979e64cb21c33p-5, 0x1.b47f7c8cc865bp-5, 0x1.d03603b67511ap-5, 0x1.eac37350f983ap-5, 0x1.0214af500f6b1p-4, 0x1.0e34b93f4c311p-4, 0x1.19c2ba6034bcfp-4, 0x1.24bfa1cd86274p-4, 0x1.2f2c6a897f709p-4, 0x1.390a1b3716bd1p-4, 0x1.4259c5d542609p-4, 0x1.4b1c877c4502fp-4, 0x1.5353881ca380cp-4, 0x1.5afffa3f8b59ap-4, 0x1.62231ac88650ep-4, 0x1.68be30b82b8f5p-4, 0x1.6ed28cefb739cp-4, 0x1.746189f5508bap-4, 0x1.796c8bb8c3e02p-4, 0x1.7df4ff58accb6p-4, 0x1.81fc5ae7bb77fp-4, 0x1.85841d3220b88p-4, 0x1.888dcd82e665ap-4, 0x1.8b1afb6921073p-4, 0x1.8d2d3e7ce4f9ap-4, 0x1.8ec63623e045cp-4, 0x1.8fe789558ec95p-4, 0x1.9092e65efd6eep-4, 0x1.90ca02a5fb8e7p-4, 0x1.908e9a6bcda47p-4, 0x1.8fe2708f3915ap-4, 0x1.8ec74e4dffb12p-4, 0x1.8d3f0305b033cp-4, 0x1.8b4b63f3e54e9p-4, 0x1.88ee4bf5d5cf6p-4, 0x1.86299b4759fc6p-4, 0x1.82ff37413f13bp-4, 0x1.7f710a1729534p-4, 0x1.7b810294d156cp-4, 0x1.773113dacf1c7p-4, 0x1.7283351af3641p-4, 0x1.6d796154299b1p-4, 0x1.6815970e02b3bp-4, 0x1.6259d813f9167p-4, 0x1.5c482930615d9p-4, 0x1.55e291e739a4p-4, 0x1.4f2b1c30ce144p-4, 0x1.4823d434485afp-4, 0x1.40cec80247312p-4, 0x1.392e074f7640dp-4, 0x1.3143a32f4f33cp-4, 0x1.2911adcf0d6c4p-4, 0x1.209a3a30d6b2dp-4, 0x1.17df5be740c58p-4, 0x1.0ee326d13aa7bp-4, 0x1.05a7aed661419p-4, 0x1.f85e0f47be4d1p-5, 0x1.e4f688d3bc66bp-5, 0x1.d11cef33398e1p-5, 0x1.bcd565487ba0cp-5, 0x1.a8240b74a1bdcp-5, 0x1.930cff185d14cp-5, 0x1.7d945a1678bbbp-5, 0x1.67be32582d606p-5, 0x1.518e99535db0cp-5, 0x1.3b099b9301d6dp-5, 0x1.243340418d428p-5, 0x1.0d0f88b5c1ceap-5, 0x1.eb44e0033a6ffp-6, 0x1.bbdfd507a193p-6, 0x1.8bf7caf75538dp-6, 0x1.5b948d3f12cefp-6, 0x1.2abdd76b9bb16p-6, 0x1.f2f6a8c29daafp-7, 0x1.8fa93b31c7124p-7, 0x1.2ba274c37d541p-7, 0x1.8de27ca80180bp-8, 0x1.86916660bcfd4p-9, -0x1.0d680ede482d5p-13, -0x1.aa38ff00ecd8ap-9, -0x1.a2ae813dde0c6p-8, -0x1.38828ac5c39a3p-7, -0x1.a00233922a9d4p-7, -0x1.03e43f774312bp-6, -0x1.37e3f03241f14p-6, -0x1.6bf97e113e2ecp-6, -0x1.a01e53fab0863p-6, -0x1.d44bf61b56748p-6, -0x1.043e012b7638fp-5, -0x1.1e5418598d571p-5, -0x1.386529de42c5ap-5, -0x1.526e2c72b4363p-5, -0x1.6c6c246f83256p-5, -0x1.865c23f651424p-5, -0x1.a03b4b187d7f4p-5, -0x1.ba06c7fafdea1p-5, -0x1.d3bbd6f7423c8p-5, -0x1.ed57c2b97a46p-5, -0x1.036bf22ded401p-4, -0x1.101cd1bfa72b3p-4, -0x1.1cbd3b30a5025p-4, -0x1.294bf0f794091p-4, -0x1.35c7bceb52233p-4, -0x1.422f7049f79f3p-4, -0x1.4e81e3be9ad87p-4, -0x1.5abdf765c4036p-4, -0x1.66e292d0b7239p-4, -0x1.72eea5078294bp-4, -0x1.7ee12489e5528p-4, -0x1.8ab90f4f01912p-4, -0x1.96756ac403673p-4, -0x1.a21543c9a1545p-4, -0x1.ad97aeb086ffp-4, -0x1.b8fbc734b8f29p-4, -0x1.c440b077fb357p-4, -0x1.cf6594fb25ca1p-4, -0x1.da69a69693c89p-4, -0x1.e54c1e7193621p-4, -0x1.f00c3cf8f9fd4p-4, -0x1.faa949d4c74fbp-4, -0x1.029149ee7d515p-3, -0x1.07bbb886c4565p-3, -0x1.0cd39f3cc46edp-3, -0x1.11d8b01ed093ep-3, -0x1.16caa0b8d1fap-3, -0x1.1ba92a0cbff68p-3, -0x1.2074088abf0dfp-3, -0x1.252afc08e568cp-3, -0x1.29cdc7bab483ep-3, -0x1.2e5c32283cad5p-3, -0x1.32d60524f941dp-3, -0x1.373b0dc664c8dp-3, -0x1.3b8b1c5a4a37dp-3, -0x1.3fc6045ccc519p-3, -0x1.43eb9c6e375e3p-3, -0x1.47fbbe48955p-3, -0x1.4bf646b505376p-3, -0x1.4fdb1580e417fp-3, -0x1.53aa0d72bc90dp-3, -0x1.5763143f0fd17p-3, -0x1.5b06127ced4bbp-3, -0x1.5e92f39a61f08p-3, -0x1.6209a5d0bfd69p-3, -0x1.656a1a18c637p-3, -0x1.68b4441ea63b1p-3, -0x1.6be81a35e65c5p-3, -0x1.6f05954d334cap-3, -0x1.720cb0e20ccd8p-3, -0x1.74fd6af463939p-3, -0x1.77d7c3fa212c3p-3, -0x1.7a9bbed2a0ef8p-3, -0x1.7d4960ba13d5ap-3, -0x1.7fe0b13ce0c7bp-3, -0x1.8261ba2af2778p-3, -0x1.84cc878afd4d4p-3, -0x1.8721278dcb7cbp-3, -0x1.895faa81707a4p-3, -0x1.8b8822c48c443p-3, -0x1.8d9aa4b986c26p-3, -0x1.8f9746b9cdc8ap-3, -0x1.917e21091b045p-3, -0x1.934f4dc8bacabp-3, -0x1.950ae8eadad23p-3, -0x1.96b11025e8c0bp-3, -0x1.9841e2e7f6011p-3, -0x1.99bd824a28ca7p-3, -0x1.9b2411043c1b3p-3, -0x1.9c75b3600ea85p-3, -0x1.9db28f2d46e93p-3, -0x1.9edacbb502926p-3, -0x1.9fee91ada2366p-3, -0x1.a0ee0b2ea59c9p-3, -0x1.a1d963a49c53ep-3, -0x1.a2b0c7c53892bp-3, -0x1.a37465836bc45p-3, -0x1.a4246c03ac6d9p-3, -0x1.a4c10b904be6ep-3, -0x1.a54a758df2ca1p-3, -0x1.a5c0dc7030ba3p-3, -0x1.a62473ae2f5adp-3, -0x1.a6756fb7832ebp-3, -0x1.a6b405e91fa69p-3, -0x1.a6e06c826674p-3, -0x1.a6fada9a6033ap-3, -0x1.a70388150b152p-3, -0x1.a6faad98dba69p-3, -0x1.a6e0848458e3cp-3, -0x1.a6b546e3d8d21p-3, -0x1.a6792f676e5d9p-3, -0x1.a62c7958eef68p-3, -0x1.a5cf60922a52p-3, -0x1.a56221733c8ddp-3, -0x1.a4e4f8d90d309p-3, -0x1.a4582413ff6c5p-3, -0x1.a3bbe0deb316ap-3, -0x1.a3106d54fece9p-3, -0x1.a25607eb1379p-3, -0x1.a18cef64ba215p-3, -0x1.a0b562ccc8625p-3, -0x1.9fcfa16cb71ep-3, -0x1.9edbeac4628c5p-3, -0x1.9dda7e81f4828p-3, -0x1.9ccb9c79fb97p-3, -0x1.9baf849fa10e6p-3, -0x1.9a8676fd1713dp-3, -0x1.9950b3ac1f927p-3, -0x1.980e7acecfc0ap-3, -0x1.96c00c8868c73p-3, -0x1.9565a8f668b4p-3, -0x1.93ff9029c05e7p-3, -0x1.928e02202f1e9p-3, -0x1.91113ebdcd22cp-3, -0x1.8f8985c6bc79p-3, -0x1.8df716d900ccep-3, -0x1.8c5a3166815d1p-3, -0x1.8ab314af360bcp-3, -0x1.8901ffbb795fep-3, -0x1.8747315683de3p-3, -0x1.8582e8090e161p-3, -0x1.83b562141c05ep-3, -0x1.81dedd6bed70cp-3, -0x1.7fff97b316aafp-3, -0x1.7e17ce35c0fbp-3, -0x1.7c27bde510cdbp-3, -0x1.7a2fa352ac75cp-3, -0x1.782fbaac750edp-3, -0x1.76283fb857204p-3, -0x1.74196dd0473adp-3, -0x1.72037fde62a6dp-3, -0x1.6fe6b05935e52p-3, -0x1.6dc339401f55dp-3, -0x1.6b995417dc175p-3, -0x1.696939e73ab8ap-3, -0x1.67332333e3e8ep-3, -0x1.64f747ff5549dp-3, -0x1.62b5dfc3e974cp-3, -0x1.606f21721aedcp-3, -0x1.5e23436dcfe32p-3, -0x1.5bd27b8bd56c9p-3, -0x1.597cff0f70c7ap-3, -0x1.572302a818296p-3, -0x1.54c4ba6f45126p-3, -0x1.526259e6648aap-3, -0x1.4ffc13f4e8ca8p-3, -0x1.4d921ae673849p-3, -0x1.4b24a06926022p-3, -0x1.48b3d58bfbce4p-3, -0x1.463feabd5864cp-3, -0x1.43c90fc999477p-3, -0x1.414f73d9d6b1dp-3, -0x1.3ed34572b09d4p-3, -0x1.3c54b27338cbep-3, -0x1.39d3e813fc7e9p-3, -0x1.375112e61d1e7p-3, -0x1.34cc5ed28cf6cp-3, -0x1.3245f7194f73fp-3, -0x1.2fbe0650ef0ap-3, -0x1.2d34b665e96edp-3, -0x1.2aaa309a4a71cp-3, -0x1.281e9d854fa05p-3, -0x1.2592251321e79p-3, -0x1.2304ee84ad1ddp-3, -0x1.2077206f80581p-3, -0x1.1de8e0bdc51e7p-3, -0x1.1b5a54ae50227p-3, -0x1.18cba0d4bd64ap-3, -0x1.163ce9199fb49p-3, -0x1.13ae50bac46bap-3, -0x1.111ffa4b89a05p-3, -0x1.0e9207b53b63ep-3, -0x1.0c049a37918aap-3, -0x1.0977d2692bb26p-3, -0x1.06ebd0382c127p-3, -0x1.0460b2ead4ee4p-3, -0x1.01d699203eaa5p-3, -0x1.fe9b41a21d823p-4, -0x1.f98bcea0a04b1p-4, -0x1.f47f129885b3p-4, -0x1.ef75459e8a0cfp-4, -0x1.ea6e9e8190cd9p-4, -0x1.e56b52cc9badfp-4, -0x1.e06b96c8ddf4ap-4, -0x1.db6f9d7fe4da8p-4, -0x1.d67798bddc157p-4, -0x1.d183b913d96cdp-4, -0x1.cc942dda44733p-4, -0x1.c7a925334e15dp-4, -0x1.c2c2cc0d80ccbp-4, -0x1.bde14e26528d5p-4, -0x1.b904d60cd9ec7p-4, -0x1.b42d8d2485025p-4, -0x1.af5b9ba7e72d8p-4, -0x1.aa8f28ab88981p-4, -0x1.a5c85a20daae7p-4, -0x1.a10754d91e837p-4, -0x1.9c4c3c886ca09p-4, -0x1.979733c8b6dc3p-4, -0x1.92e85c1ce7e97p-4, -0x1.8e3fd5f3fc3a1p-4, -0x1.899dc0ac2a2d6p-4, -0x1.85023a961528p-4, -0x1.806d60f80b66cp-4, -0x1.7bdf501143773p-4, -0x1.7758231d28fe9p-4, -0x1.72d7f456a439ap-4, -0x1.6e5edcfb79c35p-4, -0x1.69ecf54fa0818p-4, -0x1.658254a09f222p-4, -0x1.611f1148f69d7p-4, -0x1.5cc340b38445fp-4, -0x1.586ef75ef380ep-4, -0x1.542248e123012p-4, -0x1.4fdd47ea9f4b8p-4, -0x1.4ba0064a12256p-4, -0x1.476a94efb47a9p-4, -0x1.433d03f0c697ap-4, -0x1.3f17628b05c19p-4, -0x1.3af9bf2820be4p-4, -0x1.36e4276133675p-4, -0x1.32d6a80233cf8p-4, -0x1.2ed14d0d6f6a4p-4, -0x1.2ad421bef8b88p-4, -0x1.26df30901b4a6p-4, -0x1.22f2833acc96ap-4, -0x1.1f0e22bd194dp-4, -0x1.1b32175c8a912p-4, -0x1.175e68a994e27p-4, -0x1.13931d82fc759p-4, -0x1.0fd03c192f2d6p-4, -0x1.0c15c9f1a86d1p-4, -0x1.0863cbea4624p-4, -0x1.04ba463c9ff59p-4, -0x1.01193c8155957p-4, -0x1.fb016366b33ddp-5, -0x1.f3e15066657eep-5, -0x1.ecd243948f92fp-5, -0x1.e5d43f5c1bbdap-5, -0x1.dee74506884e3p-5, -0x1.d80b54c240ca5p-5, -0x1.d1406da8ec3p-5, -0x1.ca868dc5bade1p-5, -0x1.c3ddb21b914cfp-5, -0x1.bd45d6ab3e647p-5, -0x1.b6bef67989b49p-5, -0x1.b0490b9547503p-5, -0x1.a9e40f1d6064dp-5, -0x1.a38ff946b35c9p-5, -0x1.9d4cc161f6764p-5, -0x1.971a5de19c205p-5, -0x1.90f8c45f806fep-5, -0x1.8ae7e9a2ad1dp-5, -0x1.84e7c1a4e8038p-5, -0x1.7ef83f98614eep-5, -0x1.791955ed17c26p-5, -0x1.734af656662c1p-5, -0x1.6d8d11d055072p-5, -0x1.67df98a4f544fp-5, -0x1.62427a718f73fp-5, -0x1.5cb5a62be74fep-5, -0x1.57390a275085cp-5, -0x1.51cc9419b7816p-5, -0x1.4c703120a2d7fp-5, -0x1.4723cdc61f3bap-5, -0x1.41e75605959ecp-5, -0x1.3cbab550874e1p-5, -0x1.379dd69356b56p-5, -0x1.3290a439e9ca1p-5, -0x1.2d930834272a6p-5, -0x1.28a4ebfa8dfap-5, -0x1.23c638929de4dp-5, -0x1.1ef6d6933439ap-5, -0x1.1a36ae28d712ep-5, -0x1.1585a719f3d5p-5, -0x1.10e3a8cafeb69p-5, -0x1.0c509a429e989p-5, -0x1.07cc622d99e42p-5, -0x1.0356e6e2db54fp-5, -0x1.fde01cceb1b7dp-6, -0x1.f52f7ce399879p-6, -0x1.ec9bb8dd32d23p-6, -0x1.e4249b06b6a2bp-6, -0x1.dbc9ed252cb28p-6, -0x1.d38b787e888ecp-6, -0x1.cb6905e08496fp-6, -0x1.c3625da79b3e7p-6, -0x1.bb7747c5a857bp-6, -0x1.b3a78bc88626cp-6, -0x1.abf2f0e077151p-6, -0x1.a4593de687a7ep-6, -0x1.9cda3962a8afdp-6, -0x1.9575a991ccfd6p-6, -0x1.8e2b546beaef7p-6, -0x1.86faffa9aa44dp-6, -0x1.7fe470ca2bf6dp-6, -0x1.78e76d189c998p-6, -0x1.7203b9b1935ccp-6, -0x1.6b391b889003ep-6, -0x1.6487576ce246ep-6, -0x1.5dee320f2d6acp-6, -0x1.576d7006001eap-6, -0x1.5104d5d2d5e58p-6, -0x1.4ab427e6ec2bap-6, -0x1.447b2aa7b4d77p-6, -0x1.3e59a2737f099p-6, -0x1.384f53a5c89b1p-6, -0x1.325c029b980d6p-6, -0x1.2c7f73b7a8bcbp-6, -0x1.26b96b6676002p-6, -0x1.2109ae223ff3fp-6, -0x1.1b700076f4d26p-6, -0x1.15ec2705c68fbp-6, -0x1.107de68912169p-6, -0x1.0b2503d7c509bp-6, -0x1.05e143e8ea3a2p-6, -0x1.00b26bd6f3f77p-6, -0x1.f73081c634283p-7, -0x1.ed2510f0ea205p-7, -0x1.e342105e1d6bcp-7, -0x1.d9870b9deb0d7p-7, -0x1.cff38ea61c062p-7, -0x1.c68725d7d1bd7p-7, -0x1.bd415e04f74f1p-7, -0x1.b421c47584662p-7, -0x1.ab27e6ec7c8b5p-7, -0x1.a25353ad298e5p-7, -0x1.99a3997f5733dp-7, -0x1.911847b497797p-7, -0x1.88b0ee2bf457p-7, -0x1.806d1d56f1dd1p-7, -0x1.784c663cff393p-7, -0x1.704e5a800133ap-7, -0x1.68728c5fbd929p-7, -0x1.60b88ebdbb4d5p-7, -0x1.591ff520ac86dp-7, -0x1.51a853b7f6169p-7, -0x1.4a513f5eae8dep-7, -0x1.431a4d9f0d677p-7, -0x1.3c0314b508847p-7, -0x1.350b2b917f3e8p-7, -0x1.2e3229dcac8bcp-7, -0x1.2777a7f8ec081p-7, -0x1.20db3f0502707p-7, -0x1.1a5c88debafc2p-7, -0x1.13fb2024b543p-7, -0x1.0db6a038f79c7p-7, -0x1.078ea5427b283p-7, -0x1.0182cc2f5ad0ep-7, -0x1.f725656cf0341p-8, -0x1.eb7beeb2460dcp-8, -0x1.e00872c93411ap-8, -0x1.d4ca31e743b5ep-8, -0x1.c9c06ddf6e193p-8, -0x1.beea6a24c966dp-8, -0x1.b4476bccc43b7p-8, -0x1.a9d6b99143c48p-8, -0x1.9f979bd28fc45p-8, -0x1.95895c993aee7p-8, -0x1.8bab47976bf2cp-8, -0x1.81fcaa2a66b6p-8, -0x1.787cd35bf40b9p-8, -0x1.6f2b13e33ef26p-8, -0x1.6606be25cadf8p-8, -0x1.5d0f26385a8d7p-8, -0x1.5443a1df392b1p-8, -0x1.4ba3888f1c61bp-8, -0x1.432e336d1cbbep-8, -0x1.3ae2fd4f0dbfp-8, -0x1.32c142bb8f172p-8, -0x1.2ac861ea12c83p-8, -0x1.22f7bac22a294p-8, -0x1.1b4eaedbc3d15p-8, -0x1.13cca17e72615p-8, -0x1.0c70f7a0bb77ep-8, -0x1.053b17e7bf077p-8, -0x1.fc54d54c0e1f4p-9, -0x1.ee7cb3b5e3bd9p-9, -0x1.e0eca262c99bap-9, -0x1.d3a37bfdfcfc2p-9, -0x1.c6a01e85081dap-9, -0x1.b9e16b45ce548p-9, -0x1.ad6646db7c6a8p-9, -0x1.a12d992b4022cp-9, -0x1.95364d61ef8eep-9, -0x1.897f51efe866cp-9, -0x1.7e079885d3ef2p-9, -0x1.72ce16112f34p-9, -0x1.67d1c2b882c25p-9, -0x1.5d1199d73f2f6p-9, -0x1.528c99f9f8c37p-9, -0x1.4841c4da1f698p-9, -0x1.3e301f5935b49p-9, -0x1.3456b17d35a2bp-9, -0x1.2ab4866b516a7p-9, -0x1.2148ac63755f2p-9, -0x1.181234bba80fp-9, -0x1.0f1033db519b8p-9, -0x1.0641c135a8a5bp-9, -0x1.fb4bee89c1c32p-10, -0x1.ea77e70aa2704p-10, -0x1.da05acdf422c7p-10, -0x1.c9f386e807e5fp-10, -0x1.ba3fc1e8a4b4dp-10, -0x1.aae8b07d7a704p-10, -0x1.9becab10c335fp-10, -0x1.8d4a0fcee5471p-10, -0x1.7eff429ae0c9fp-10, -0x1.710aad039c798p-10, -0x1.636abe36ccb78p-10, -0x1.561deaf774badp-10, -0x1.4922ad8fefd42p-10, -0x1.3c7785c733fb6p-10, -0x1.301af8d400f07p-10, -0x1.240b9151b6b27p-10, -0x1.1847df33b1a98p-10, -0x1.0cce77b93b6f5p-10, -0x1.019df56105089p-10, -0x1.ed69efb917ae4p-11, -0x1.d82448091fd51p-11, -0x1.c368479860dfcp-11, -0x1.af334c688ac39p-11, -0x1.9b82be7da841bp-11, -0x1.88540fc737aaap-11, -0x1.75a4bc035ce64p-11, -0x1.637248a86b41cp-11, -0x1.51ba44cb9d898p-11, -0x1.407a490673cffp-11, -0x1.2faff75e86cep-11, -0x1.1f58fb2ced613p-11, -0x1.0f730902f7bd5p-11, -0x1.fff7bd260e39p-12, -0x1.e1e2852c9e8d4p-12, -0x1.c4a2096908afp-12, -0x1.a831fad2830e6p-12, -0x1.8c8e1bda4040ap-12, -0x1.71b24034e23d3p-12, -0x1.579a4caccf053p-12, -0x1.3e4236ecf9b39p-12, -0x1.25a60551362edp-12, -0x1.0dc1ceb48ff3p-12, -0x1.ed23747b91c2fp-13, -0x1.c023fe6451b69p-13, -0x1.947dc98237ac5p-13, -0x1.6a2983a9aa8abp-13, -0x1.411ff9c43fadbp-13, -0x1.195a176db6d7cp-13, -0x1.e5a1cd2b30c35p-14, -0x1.9afb1e397a761p-14, -0x1.52b2acf7f488dp-14, -0x1.0cbb3ebab8b44p-14, -0x1.920fa5108de0bp-15, -0x1.0f1740ab9e2d6p-15, -0x1.20e8614b687f9p-16, -0x1.60dc45d54e203p-19, 0x1.80d11d2517bfcp-17, 0x1.a4d3929b9e5ffp-16, 0x1.40aa2df2e9ddep-15, 0x1.ab0c783e18ff2p-15, 0x1.08d3a1a3945f9p-14, 0x1.3a4861d8192fep-14, 0x1.69ef647bc366fp-14, 0x1.97d35f711394ap-14, 0x1.c3fed767d9a3bp-14, 0x1.ee7c2092f9d86p-14, 0x1.0baaafa1608b9p-13, 0x1.1f4a4451af7eap-13, 0x1.3221b1aa5a598p-13, 0x1.4435c40ef0546p-13, 0x1.558b314491d81p-13, 0x1.662698ca442a3p-13, 0x1.760c8423a7506p-13, 0x1.8541672f83c5fp-13, 0x1.93c9a073c0207p-13, 0x1.a1a979710b47cp-13, 0x1.aee526ed43fc4p-13, 0x1.bb80c943c6deep-13, 0x1.c7806cb32af2dp-13, 0x1.d2e809a787cfep-13, 0x1.ddbb8507a854dp-13, 0x1.e7feb08144c02p-13, 0x1.f1b54acee4c98p-13, 0x1.fae30007694e7p-13, 0x1.01c5b4f028b0dp-12, 0x1.05d907feaf7e8p-12, 0x1.09ad341780709p-12, 0x1.0d43eb6011003p-12, 0x1.109ed75bd9275p-12, 0x1.13bf990fe19a4p-12, 0x1.16a7c9246a43ap-12, 0x1.1958f8067c7dp-12, 0x1.1bd4ae0a23022p-12, 0x1.1e1c6b8aa4fc8p-12, 0x1.2031a90a73257p-12, 0x1.2215d75642b4bp-12, 0x1.23ca5fa1061ap-12, 0x1.2550a3a62563ap-12, 0x1.26a9fdc7fbe22p-12, 0x1.27d7c12ee48f7p-12, 0x1.28db39e6712fdp-12, 0x1.29b5acfc4120cp-12, 0x1.2a68589efe70dp-12, 0x1.2af47439e34dap-12, 0x1.2b5b30908f29p-12, 0x1.2b9db7dfdb576p-12, 0x1.2bbd2df6044dcp-12, 0x1.2bbab0502cdf5p-12, 0x1.2b975636352f2p-12, 0x1.2b5430d58b13bp-12, 0x1.2af24b5b66c1ap-12, 0x1.2a72ab1076f56p-12, 0x1.29d64f71e3b7cp-12, 0x1.291e324c27c2cp-12, 0x1.284b47d389766p-12, 0x1.275e7ebdeb6ep-12, 0x1.2658c05b091c4p-12, 0x1.253af0ae2a19dp-12, 0x1.2405ee83cdae7p-12, 0x1.22ba938c2f8abp-12, 0x1.2159b470d8be3p-12, 0x1.1fe420ed4783ap-12, 0x1.1e5aa3e410865p-12, 0x1.1cbe03768839bp-12, 0x1.1b0f011a999e6p-12, 0x1.194e59b0bd739p-12, 0x1.177cc59a15e3cp-12, 0x1.159af8cb896d6p-12, 0x1.13a9a2e5e3929p-12, 0x1.11a96f48009e3p-12, 0x1.0f9b05241e32dp-12, 0x1.0d7f0793d1879p-12, 0x1.0b5615ab5ea96p-12, 0x1.0920ca8e842fdp-12, 0x1.06dfbd819362ep-12, 0x1.049381fe4d0c7p-12, 0x1.023ca7c4b18fbp-12, 0x1.ffb775dde714ep-13, 0x1.fae28805023cfp-13, 0x1.f5fb900412dccp-13, 0x1.f10390fe90e9bp-13, 0x1.ebfb8756fe93cp-13, 0x1.e6e468d3182cfp-13, 0x1.e1bf24ba6cd28p-13, 0x1.dc8ca3f9d8623p-13, 0x1.d74dc94267ccbp-13, 0x1.d203712996616p-13, 0x1.ccae72481380ap-13, 0x1.c74f9d59a4087p-13, 0x1.c1e7bd5b0a728p-13, 0x1.bc7797a75b3b7p-13, 0x1.b6ffec15e500fp-13, 0x1.b1817517aba3fp-13, 0x1.abfce7d21109bp-13, 0x1.a672f43c25e82p-13, 0x1.a0e4453b6259cp-13, 0x1.9b5180bab7e29p-13, 0x1.95bb47c97cf74p-13, 0x1.902236b32cd8cp-13, 0x1.8a86e519b0dc3p-13, 0x1.84e9e60ec4e93p-13, 0x1.7f4bc82d01e6ap-13, 0x1.79ad15af63f15p-13, 0x1.740e548aede7bp-13, 0x1.6e700683c86f6p-13, 0x1.68d2a94809565p-13, 0x1.6336b68271b55p-13, 0x1.5d9ca3f460bf6p-13, 0x1.5804e389dc749p-13, 0x1.526fe36ee3187p-13, 0x1.4cde0e26f1687p-13, 0x1.474fca9f5af6cp-13, 0x1.41c57c45535f8p-13, 0x1.3c3f831914e75p-13, 0x1.36be3bc367fc8p-13, 0x1.3141ffa65b6fcp-13, 0x1.2bcb24f330d6dp-13, 0x1.2659febb42b52p-13, 0x1.20eedd02c9d2cp-13, 0x1.1b8a0cd3d16a2p-13, 0x1.162bd84e59dbdp-13, 0x1.10d486bbd791fp-13, 0x1.0b845c9d7938ap-13, 0x1.063b9bc090d1dp-13, 0x1.00fa834b93de1p-13, 0x1.f7829fa10440ep-14, 0x1.ed2076b78d87p-14, 0x1.e2cefb07dfbafp-14, 0x1.d88e96f2a446ep-14, 0x1.ce5fb02966395p-14, 0x1.c442a7cb3287p-14, 0x1.ba37da83dbd73p-14, 0x1.b03fa0a5d6cep-14, 0x1.a65a4e45cde46p-14, 0x1.9c8833589f247p-14, 0x1.92c99bcbc2d5fp-14, 0x1.891ecf9f2c78p-14, 0x1.7f88130001eb4p-14, 0x1.7605a6623d5f2p-14, 0x1.6c97c697da5c5p-14, 0x1.633eace9c97e9p-14, 0x1.59fa8f2f8d01ep-14, 0x1.50cb9fe6f9e16p-14, 0x1.47b20e490db94p-14, 0x1.3eae066331c42p-14, 0x1.35bfb12a2eda7p-14, 0x1.2ce734921cdd6p-14, 0x1.2424b3a0a93bep-14, 0x1.1b784e8411306p-14, 0x1.12e222a5f1009p-14, 0x1.0a624abecef2cp-14, 0x1.01f8deeb1283cp-14, 0x1.f34be97733592p-15, 0x1.e2d33e92c6bcfp-15, 0x1.d287de909921dp-15, 0x1.c269e62f0e2aep-15, 0x1.b2796da732fe4p-15, 0x1.a2b688cfa95fep-15, 0x1.9321473be5b97p-15, 0x1.83b9b45dccf1bp-15, 0x1.747fd7a5ccc9dp-15, 0x1.6573b4a245da9p-15, 0x1.56954b1c39873p-15, 0x1.47e49737d1532p-15, 0x1.3961918f43fc7p-15, 0x1.2b0c2f50356a3p-15, 0x1.1ce46258529b6p-15, 0x1.0eea19507f2c7p-15, 0x1.011d3fc5de246p-15, 0x1.e6fb7c8bdb42p-16, 0x1.cc16f4ed83d55p-16, 0x1.b18cae612215p-16, 0x1.975c692e5f368p-16, 0x1.7d85e05e2149p-16, 0x1.6408c9eeb65cfp-16, 0x1.4ae4d6fd3724cp-16, 0x1.3219b3f5c2bf2p-16, 0x1.19a708bc31859p-16, 0x1.018c78d7a05bap-16, 0x1.d393473588c06p-17, 0x1.a4bc489de34d1p-17, 0x1.769324b1f2a1fp-17, 0x1.491702c18925cp-17, 0x1.1c4702f0781ddp-17, 0x1.e0447cede56c2p-18, 0x1.894f8ff3643c6p-18, 0x1.33ad577e7dcfbp-18, 0x1.beb7bff702821p-19, 0x1.18b25472aca51p-19, 0x1.d5195f214564cp-21, -0x1.5c82ff2822184p-22, -0x1.93ac2177ca448p-20, -0x1.658f0c3efdd05p-19, -0x1.febfb65209204p-19, -0x1.4ab6422d73b32p-18, -0x1.94ccfe3523cafp-18, -0x1.dda65a2baf689p-18, -0x1.12a2543cdbde1p-17, -0x1.35d5214e5f33dp-17, -0x1.586cc45f3ca5ep-17, -0x1.7a6a70ab8e453p-17, -0x1.9bcf5c67085c6p-17, -0x1.bc9cc08acb278p-17, -0x1.dcd3d8ac7ee05p-17, -0x1.fc75e2d116a5dp-17, -0x1.0dc20fa12c37bp-16, -0x1.1cffe830f90cbp-16, -0x1.2bf51d42656ccp-16, -0x1.3aa251e4b6ba4p-16, -0x1.490829f93affcp-16, -0x1.57274a203ef5cp-16, -0x1.650057a79d52fp-16, -0x1.7293f878063ecp-16, -0x1.7fe2d30563b9dp-16, -0x1.8ced8e3c73ee7p-16, -0x1.99b4d173be6efp-16, -0x1.a639445beaec7p-16, -0x1.b27b8ef04100fp-16, -0x1.be7c596764805p-16, -0x1.ca3c4c263a77dp-16, -0x1.d5bc0fb01c968p-16, -0x1.e0fc4c9c2d78fp-16, -0x1.ebfdab8520b41p-16, -0x1.f6c0d4fecba84p-16, -0x1.00a338c45440ap-15, -0x1.05c794c18a723p-15, -0x1.0acdd290fbc34p-15, -0x1.0fb64631cd26ap-15, -0x1.148143826d06bp-15, -0x1.192f1e3b8408cp-15, -0x1.1dc029ea7c40cp-15, -0x1.2234b9ecdaccdp-15, -0x1.268d216c32909p-15, -0x1.2ac9b358b3554p-15, -0x1.2eeac2655b922p-15, -0x1.32f0a1032eb92p-15, -0x1.36dba15d624fdp-15, -0x1.3aac155545dbbp-15, -0x1.3e624e7f0dc96p-15, -0x1.41fe9e1d6aa44p-15, -0x1.4581551e4e96bp-15, -0x1.48eac4177f642p-15, -0x1.4c3b3b4389aacp-15, -0x1.4f730a7e2b986p-15, -0x1.52928141a29abp-15, -0x1.5599eea3a4647p-15, -0x1.5889a152a95fcp-15, -0x1.5b61e793234f1p-15, -0x1.5e230f3d33d56p-15, -0x1.60cd65ba3ccep-15, -0x1.63613801f7f13p-15, -0x1.65ded298d4e59p-15, -0x1.6846818d51beep-15, -0x1.6a989076ce833p-15, -0x1.6cd54a726a727p-15, -0x1.6efcfa2250999p-15, -0x1.710fe9ab155d7p-15, -0x1.730e62b2e6f3fp-15, -0x1.74f8ae5f50887p-15, -0x1.76cf1553a5a16p-15, -0x1.7891dfafe9761p-15, -0x1.7a41550fd25fp-15, -0x1.7bddbc88d61dbp-15, -0x1.7d675ca9599d4p-15, -0x1.7ede7b7767492p-15, -0x1.80435e7021d0fp-15, -0x1.81964a8625d3ep-15, -0x1.82d7842104eebp-15, -0x1.84074f1c90259p-15, -0x1.8525eec7a434ap-15, -0x1.8633a5e383d48p-15, -0x1.8730b6a415b29p-15, -0x1.881d62ae076b4p-15, -0x1.88f9eb17044ddp-15, -0x1.89c690650d1b2p-15, -0x1.8a83928e6bc5ap-15, -0x1.8b3130f8c20cdp-15, -0x1.8bcfaa78cc99ep-15, -0x1.8c5f3d52b0196p-15, -0x1.8ce0273947401p-15, -0x1.8d52a54dccaf1p-15, -0x1.8db6f4204765fp-15, -0x1.8e0d4faf2e2acp-15, -0x1.8e55f3679fbedp-15, -0x1.8e911a248cdb6p-15, -0x1.8ebefe2fe2273p-15, -0x1.8edfd94202e8p-15, -0x1.8ef3e481bd7b1p-15, -0x1.8efb5884e07dep-15, -0x1.8ef66d50797eep-15, -0x1.8ee55a58a7f44p-15, -0x1.8ec85680ecdb7p-15, -0x1.8e9f981d1430cp-15, -0x1.8e6b54f0b2269p-15, -0x1.8e2bc22fd0153p-15, -0x1.8de1147f917e6p-15, -0x1.8d8b7ff6421ap-15, -0x1.8d2b381bede11p-15, -0x1.8cc06feae2655p-15, -0x1.8c4b59d043fa1p-15, -0x1.8bcc27ac00bcp-15, -0x1.8b430ad1cc0bfp-15, -0x1.8ab0340a0806bp-15, }}, 
      {{-0x1.eccc0f4a541fep-1, -0x1.ecb4bb2eb3679p-1, -0x1.ec8c32346922p-1, -0x1.ec5039fcb0f08p-1, -0x1.ebfe20e91d6a1p-1, -0x1.eb93068a05677p-1, -0x1.eb0c1ad6e3f5bp-1, -0x1.ea66d08a9fbd8p-1, -0x1.e9a101b3632f3p-1, -0x1.e8b906bc41198p-1, -0x1.e7adc1163d363p-1, -0x1.e67e9b625c1e7p-1, -0x1.e52b8178d5cf7p-1, -0x1.e3b4d2cd99c89p-1, -0x1.e21b5186f644ap-1, -0x1.e06010397328dp-1, -0x1.de845fc159ebap-1, -0x1.dc89be3825d6bp-1, -0x1.da71c79ab97f2p-1, -0x1.d83e28644e245p-1, -0x1.d5f0922a4d28cp-1, -0x1.d38ab223413cap-1, -0x1.d10e297147b7ap-1, -0x1.ce7c8701c10bep-1, -0x1.cbd742d3b7559p-1, -0x1.c91fba796a05ap-1, -0x1.c6572ead77d93p-1, -0x1.c37ec1d80e959p-1, -0x1.c0977763e918dp-1, -0x1.bda233c599009p-1, -0x1.ba9fbd19b7a7ep-1, -0x1.b790bc4066471p-1, -0x1.b475be5e2464cp-1, -0x1.b14f36ab9e8ep-1, -0x1.ae1d807fc7a1ep-1, -0x1.aae0e181678b3p-1, -0x1.a7998bef35c14p-1, -0x1.a447a0efaee78p-1, -0x1.a0eb32dbe204cp-1, -0x1.9d84477a9ece2p-1, -0x1.9a12da236928bp-1, -0x1.9696ddc295f4ep-1, -0x1.93103eb9bb4eap-1, -0x1.8f7ee4993c80fp-1, -0x1.8be2b3b12b5c5p-1, -0x1.883b8e78ed945p-1, -0x1.848956ce19972p-1, -0x1.80cbef0bcf027p-1, -0x1.7d033afc6f5f9p-1, -0x1.792f20a80d80fp-1, -0x1.754f89023f67dp-1, -0x1.7164607a20ab8p-1, -0x1.6d6d976f6f14p-1, -0x1.696b228f9a99bp-1, -0x1.655cfb1d93783p-1, -0x1.61431f26f14c8p-1, -0x1.5d1d91a8e9421p-1, -0x1.58ec5aa750285p-1, -0x1.54af8737a907dp-1, -0x1.50672982114f4p-1, -0x1.4c1358b99de4bp-1, -0x1.47b4310d8ab63p-1, -0x1.4349d3946ab67p-1, -0x1.3ed466325d131p-1, -0x1.3a54137b2120ep-1, -0x1.35c90a90bfbacp-1, -0x1.31337eff643a5p-1, -0x1.2c93a896e30adp-1, -0x1.27e9c34254509p-1, -0x1.23360ede1b0afp-1, -0x1.1e78cf0ca0995p-1, -0x1.19b24b09fe409p-1, -0x1.14e2cd7ec9077p-1, -0x1.100aa4522be43p-1, -0x1.0b2a207b767f7p-1, -0x1.064195d34312p-1, -0x1.01515ae4553c3p-1, -0x1.f8b391789aa37p-2, -0x1.eeb67578a696p-2, -0x1.e4ac1cd3a0033p-2, -0x1.da95467eabd85p-2, -0x1.d072b4fba5487p-2, -0x1.c6452dfc4c78bp-2, -0x1.bc0d7a0677c83p-2, -0x1.b1cc64197ce96p-2, -0x1.a782b95507e6fp-2, -0x1.9d3148a18dd0ap-2, -0x1.92d8e25a935c1p-2, -0x1.887a57faefef1p-2, -0x1.7e167bcb3b42ap-2, -0x1.73ae20928c515p-2, -0x1.69421949b126ep-2, -0x1.5ed338d0fd78cp-2, -0x1.546251a8ced17p-2, -0x1.49f035ace4a67p-2, -0x1.3f7db5d29839ap-2, -0x1.350ba1ea0dc7cp-2, -0x1.2a9ac8626ca68p-2, -0x1.202bf6111f336p-2, -0x1.15bff5fc2ece8p-2, -0x1.0b579127af1ffp-2, -0x1.00f38e6641e47p-2, -0x1.ed29645951666p-3, -0x1.d8777cd0c4316p-3, -0x1.c3d2e4b27d5b7p-3, -0x1.af3d14dbd7ec6p-3, -0x1.9ab78046b46a3p-3, -0x1.864393cde9b32p-3, -0x1.71e2b5f71f3a6p-3, -0x1.5d9646c1f8062p-3, -0x1.495f9f7c55428p-3, -0x1.3540129b7c837p-3, -0x1.2138eb99fcc41p-3, -0x1.0d4b6eda0ca6ep-3, -0x1.f2f1b31874c11p-4, -0x1.cb84c3345bf27p-4, -0x1.a4526b2a95c01p-4, -0x1.7d5cf951f18fbp-4, -0x1.56a6ad20c2a23p-4, -0x1.3031b71ebc219p-4, -0x1.0a0038dcf1ed3p-4, -0x1.c82889e6c91ecp-5, -0x1.7cdfbe07b04bep-5, -0x1.3229f782ed0c6p-5, -0x1.d01603f3b2f61p-6, -0x1.3d0d16d28a972p-6, -0x1.568091456ddb1p-7, -0x1.ab67fc8c0054cp-10, 0x1.d2265e23b067cp-8, 0x1.02798adcf79p-6, 0x1.8f1320fc4b93ep-6, 0x1.0d282cb32ae2dp-5, 0x1.5215b5e0bb394p-5, 0x1.964f63a24cf33p-5, 0x1.d9d2890d6dee9p-5, 0x1.0e4e4a308169dp-4, 0x1.2f55875931846p-4, 0x1.4ffdcdcc5627ap-4, 0x1.7045fc6b4bc8cp-4, 0x1.902cff0192e58p-4, 0x1.afb1ce18b992ep-4, 0x1.ced36ecbeeaadp-4, 0x1.ed90f29b6a3a9p-4, 0x1.05f4bb9fd960fp-3, 0x1.14ee133e744cdp-3, 0x1.23b41afb0d849p-3, 0x1.3246738069f11p-3, 0x1.40a4c33c5ec19p-3, 0x1.4eceb649cf854p-3, 0x1.5cc3fe5acf752p-3, 0x1.6a8452a2eb338p-3, 0x1.780f6fc1a4aedp-3, 0x1.856517ad1f65ep-3, 0x1.9285119cfded8p-3, 0x1.9f6f29f57c27ep-3, 0x1.ac233232b7397p-3, 0x1.b8a100d42f8b4p-3, 0x1.c4e8714883fa9p-3, 0x1.d0f963d95d68cp-3, 0x1.dcd3bd9793783p-3, 0x1.e877684781aa6p-3, 0x1.f3e4524d93068p-3, 0x1.ff1a6e9af7181p-3, 0x1.050cda4d45696p-2, 0x1.0a71100ef485dp-2, 0x1.0fb9d8a555391p-2, 0x1.14e73643e229p-2, 0x1.19f92d358a18dp-2, 0x1.1eefc3d383cb2p-2, 0x1.23cb027c35ae8p-2, 0x1.288af38a2655dp-2, 0x1.2d2fa34b004adp-2, 0x1.31b91ff69ffdcp-2, 0x1.362779a62c439p-2, 0x1.3a7ac24b39624p-2, 0x1.3eb30da6f6ab2p-2, 0x1.42d07141623d6p-2, 0x1.46d304608676p-2, 0x1.4abadfffbbc53p-2, 0x1.4e881ec6f11c7p-2, 0x1.523add01fa85dp-2, 0x1.55d33897e09b2p-2, 0x1.595151023a1bdp-2, 0x1.5cb5474482de7p-2, 0x1.5fff3de3795bdp-2, 0x1.632f58dc7d8bp-2, 0x1.6645bd9cf2d23p-2, 0x1.694292f9a57c2p-2, 0x1.6c2601262e6abp-2, 0x1.6ef031ac6006bp-2, 0x1.71a14f63ad06cp-2, 0x1.743986689a351p-2, 0x1.76b904142a7dcp-2, 0x1.791ff6f354a9fp-2, 0x1.7b6e8ebe7839cp-2, 0x1.7da4fc50d6339p-2, 0x1.7fc371a00fabp-2, 0x1.81ca21b3a4b86p-2, 0x1.83b9409c7c3c4p-2, 0x1.8591036c6eb6cp-2, 0x1.8751a02dd6661p-2, 0x1.88fb4ddb258d7p-2, 0x1.8a8e445685172p-2, 0x1.8c0abc617a3fcp-2, 0x1.8d70ef9493bbfp-2, 0x1.8ec118571e57dp-2, 0x1.8ffb71d6e738dp-2, 0x1.9120380003d71p-2, 0x1.922fa774a728cp-2, 0x1.9329fd85023c7p-2, 0x1.940f782732058p-2, 0x1.94e055ef36d54p-2, 0x1.959cd606fddc2p-2, 0x1.96453826776c9p-2, 0x1.96d9bc8bbbc0cp-2, 0x1.975aa3f340066p-2, 0x1.97c82f901f351p-2, 0x1.9822a1046de3ap-2, 0x1.986a3a59a80fbp-2, 0x1.989f3df92c177p-2, 0x1.98c1eea4cb403p-2, 0x1.98d28f6f6cb5ap-2, 0x1.98d163b5c99acp-2, 0x1.98beaf1739d14p-2, 0x1.989ab56e9a42ep-2, 0x1.9865bacb4614dp-2, 0x1.9820036a2bfffp-2, 0x1.97c9d3aef693p-2, 0x1.9763701d517bdp-2, 0x1.96ed1d52422a2p-2, 0x1.96671ffd9fac4p-2, 0x1.95d1bcdb9ec77p-2, 0x1.952d38ae7c686p-2, 0x1.9479d83840b4dp-2, 0x1.93b7e0349dd2cp-2, 0x1.92e79552e9832p-2, 0x1.92093c3032018p-2, 0x1.911d1951705adp-2, 0x1.9023711dd75aep-2, 0x1.8f1c87d93b1aep-2, 0x1.8e08a19e9a6dp-2, 0x1.8ce8025ac46e3p-2, 0x1.8bbaedc716482p-2, 0x1.8a81a7645c92fp-2, 0x1.893c7275d1be4p-2, 0x1.87eb91fc33584p-2, 0x1.868f48b0ff5b4p-2, 0x1.8527d901c5b59p-2, 0x1.83b5850b9fa4dp-2, 0x1.82388e96bed0bp-2, 0x1.80b137121e432p-2, 0x1.7f1fbf8f522a3p-2, 0x1.7d8468be6e078p-2, 0x1.7bdf72ea15896p-2, 0x1.7a311df39d38dp-2, 0x1.7879a94f5641ap-2, 0x1.76b95400eb612p-2, 0x1.74f05c97e56acp-2, 0x1.731f012c486c9p-2, 0x1.71457f5b4ddbfp-2, 0x1.6f6414443dfafp-2, 0x1.6d7afc8565648p-2, 0x1.6b8a743924fb4p-2, 0x1.6992b6f32507fp-2, 0x1.6793ffbd99ef6p-2, 0x1.658e8916b00cdp-2, 0x1.63828cee0dfa7p-2, 0x1.617044a26f0a7p-2, 0x1.5f57e8ff61d02p-2, 0x1.5d39b23b1a039p-2, 0x1.5b15d7f460bd4p-2, 0x1.58ec91309dc3fp-2, 0x1.56be1459fb3dap-2, 0x1.548a973da5869p-2, 0x1.52524f0a1ed22p-2, 0x1.5015704db2068p-2, 0x1.4dd42ef4fa437p-2, 0x1.4b8ebe49868f2p-2, 0x1.494550f08f8adp-2, 0x1.46f818e9ccd2bp-2, 0x1.44a7478e59c16p-2, 0x1.42530d8fb73b6p-2, 0x1.3ffb9af6e1b4dp-2, 0x1.3da11f237b732p-2, 0x1.3b43c8cb10c0cp-2, 0x1.38e3c5f86e299p-2, 0x1.3681440b0d95dp-2, 0x1.341c6fb695dddp-2, 0x1.31b57502721d9p-2, 0x1.2f4c7f49794e3p-2, 0x1.2ce1b939aafb7p-2, 0x1.2a754cd3ffc46p-2, 0x1.2807636c4a212p-2, 0x1.259825a92bd4ep-2, 0x1.2327bb841ac46p-2, 0x1.20b64c497ae8bp-2, 0x1.1e43fe98c2d04p-2, 0x1.1bd0f864b85p-2, 0x1.195d5ef3b8a4bp-2, 0x1.16e956e010686p-2, 0x1.147504186671ep-2, 0x1.120089e02ff0cp-2, 0x1.0f8c0ad038538p-2, 0x1.0d17a8d7357e4p-2, 0x1.0aa3853a69a42p-2, 0x1.082fc09651709p-2, 0x1.05bc7adf60b4dp-2, 0x1.0349d362cd278p-2, 0x1.00d7e8c75fbdep-2, 0x1.fccdb21cb2bc7p-3, 0x1.f7ed8328ba954p-3, 0x1.f30f7e24d25b2p-3, 0x1.ee33db3dada77p-3, 0x1.e95ad15cd2a9fp-3, 0x1.e484962ac6f3fp-3, 0x1.dfb15e114f9cfp-3, 0x1.dae15c3dc3e07p-3, 0x1.d614c2a37315ap-3, 0x1.d14bc1fe1a7cp-3, 0x1.cc8689d4683a4p-3, 0x1.c7c5487a96fd9p-3, 0x1.c3082b150fc1ep-3, 0x1.be4f5d9b1e11fp-3, 0x1.b99b0ad9b25b8p-3, 0x1.b4eb5c762def4p-3, 0x1.b0407af1441ep-3, 0x1.ab9a8da9d9931p-3, 0x1.a6f9badfffd46p-3, 0x1.a25e27b7e7f71p-3, 0x1.9dc7f83cf33bcp-3, 0x1.99374f64c026dp-3, 0x1.94ac4f1240638p-3, 0x1.90271818e2e31p-3, 0x1.8ba7ca3fb6f1ep-3, 0x1.872e8444a0e48p-3, 0x1.82bb63df9168p-3, 0x1.7e4e85c5c4bd3p-3, 0x1.79e805ad01f39p-3, 0x1.7587fe4eed7e7p-3, 0x1.712e896c4db7p-3, 0x1.6cdbbfd061d78p-3, 0x1.688fb95438f5dp-3, 0x1.644a8ce2081d9p-3, 0x1.600c507889357p-3, 0x1.5bd5192e5822ap-3, 0x1.57a4fb3554519p-3, 0x1.537c09de0401cp-3, 0x1.4f5a579af5cebp-3, 0x1.4b3ff604269eep-3, 0x1.472cf5da64ef5p-3, 0x1.4321670ab7a3cp-3, 0x1.3f1d58b1c2331p-3, 0x1.3b20d91f246e5p-3, 0x1.372bf5d8e3f46p-3, 0x1.333ebb9ec873dp-3, 0x1.2f59366dbb71bp-3, 0x1.2b7b718328f1cp-3, 0x1.27a5776058333p-3, 0x1.23d751cdc54fcp-3, 0x1.201109de75929p-3, 0x1.1c52a7f34aeedp-3, 0x1.189c33be53f1p-3, 0x1.14edb44612036p-3, 0x1.11472fe8c6bc4p-3, 0x1.0da8ac5fb3f9fp-3, 0x1.0a122ec257994p-3, 0x1.0683bb89aab09p-3, 0x1.02fd56934e521p-3, 0x1.fefe064985b8dp-4, 0x1.f81187dd19a43p-4, 0x1.f135361eb6e77p-4, 0x1.ea69142e47d57p-4, 0x1.e3ad24147c6c8p-4, 0x1.dd0166c8f0d6cp-4, 0x1.d665dc3836025p-4, 0x1.cfda8349ebd0ap-4, 0x1.c95f59e6bd5e4p-4, 0x1.c2f45cfe482e1p-4, 0x1.bc99888d0a5d9p-4, 0x1.b64ed7a22be87p-4, 0x1.b014446552798p-4, 0x1.a9e9c81c49412p-4, 0x1.a3cf5b30b6de1p-4, 0x1.9dc4f535ae558p-4, 0x1.97ca8ced3dc0cp-4, 0x1.91e0184de9ce8p-4, 0x1.8c058c881481ep-4, 0x1.863ade0b5f8b9p-4, 0x1.8080008bf1f59p-4, 0x1.7ad4e707b93ccp-4, 0x1.753983cb8f52ap-4, 0x1.6fadc8785b2a9p-4, 0x1.6a31a608168a2p-4, 0x1.64c50cd2ccfcdp-4, 0x1.5f67ec9382538p-4, 0x1.5a1a346d0c79cp-4, 0x1.54dbd2eedd1bap-4, 0x1.4facb619b7c44p-4, 0x1.4a8ccb645a441p-4, 0x1.457bffc00c757p-4, 0x1.407a3f9d30b63p-4, 0x1.3b8776efaa81cp-4, 0x1.36a391334b071p-4, 0x1.31ce797020033p-4, 0x1.2d081a3eb3d4ep-4, 0x1.28505dcc3d8e4p-4, 0x1.23a72ddec1308p-4, 0x1.1f0c73d91ed7bp-4, 0x1.1a8018bf0c432p-4, 0x1.1602053905377p-4, 0x1.1192219826109p-4, 0x1.0d3055d9f353ap-4, 0x1.08dc89ac18cf8p-4, 0x1.0496a47010a2ap-4, 0x1.005e8d3ebac6ap-4, 0x1.f86855d7d03b5p-5, 0x1.f02ec813a44c3p-5, 0x1.e8103dd8fd401p-5, 0x1.e00c835a39613p-5, 0x1.d823645a90519p-5, 0x1.d054ac348205ep-5, 0x1.c8a025e027d87p-5, 0x1.c1059bf96212cp-5, 0x1.b984d8c5e085bp-5, 0x1.b21da63b22559p-5, 0x1.aacfce04301c4p-5, 0x1.a39b1987625bbp-5, 0x1.9c7f51ebe624cp-5, 0x1.957c401f3e94p-5, 0x1.8e91acda8b319p-5, 0x1.87bf60a7d28abp-5, 0x1.810523e71262cp-5, 0x1.7a62bed33f5b2p-5, 0x1.73d7f9872dbc6p-5, 0x1.6d649c024abfcp-5, 0x1.67086e2d4ecefp-5, 0x1.60c337debedc6p-5, 0x1.5a94c0df6e6f4p-5, 0x1.547cd0eebc053p-5, 0x1.4e7b2fc6e4534p-5, 0x1.488fa5210cb12p-5, 0x1.42b9f8b953265p-5, 0x1.3cf9f252b3e3ep-5, 0x1.374f59badb0adp-5, 0x1.31b9f6cddf394p-5, 0x1.2c399179d076ep-5, 0x1.26cdf1c24c0e2p-5, 0x1.2176dfc3e73b8p-5, 0x1.1c3423b77652fp-5, 0x1.170585f550071p-5, 0x1.11eacef8775a9p-5, 0x1.0ce3c76199973p-5, 0x1.07f037fa12999p-5, 0x1.030fe9b6c251dp-5, 0x1.fc854b75ab32dp-6, 0x1.f3106ab4ff1b4p-6, 0x1.e9c0c43b186d4p-6, 0x1.e095eb83e0bafp-6, 0x1.d78f747c785cbp-6, 0x1.ceacf387de7d3p-6, 0x1.c5edfd839f7a9p-6, 0x1.bd5227cc2b516p-6, 0x1.b4d90841222e5p-6, 0x1.ac8235496fbcep-6, 0x1.a44d45d741df1p-6, 0x1.9c39d16bdb81dp-6, 0x1.9447701b3b1c3p-6, 0x1.8c75ba8fb1b33p-6, 0x1.84c44a0d337fdp-6, 0x1.7d32b874b3226p-6, 0x1.75c0a0472649p-6, 0x1.6e6d9ca89a84fp-6, 0x1.6739496307fa2p-6, 0x1.602342e915fccp-6, 0x1.592b2658aae6ep-6, 0x1.5250917d80dc1p-6, 0x1.4b9322d36a53ep-6, 0x1.44f27988ad296p-6, 0x1.3e6e35801c395p-6, 0x1.3805f7531be38p-6, 0x1.31b960539b4a5p-6, 0x1.2b88128dce3d3p-6, 0x1.2571b0ca03fcfp-6, 0x1.1f75de8e2555cp-6, 0x1.1994401f3c93bp-6, 0x1.13cc7a82eeafap-6, 0x1.0e1e3380bb7cep-6, 0x1.088911a3312bfp-6, 0x1.030cbc391b94fp-6, 0x1.fb51b6ad0a1f9p-7, 0x1.f0ba2fab42f8cp-7, 0x1.e65236af6a241p-7, 0x1.dc19208bcc242p-7, 0x1.d20e43a3a98e5p-7, 0x1.c830f7ec96e27p-7, 0x1.be8096ef82506p-7, 0x1.b4fc7bc99ec04p-7, 0x1.aba4032d422fep-7, 0x1.a2768b6265c4dp-7, 0x1.9973744747a5bp-7, 0x1.909a1f5093ca9p-7, 0x1.87e9ef89de6ddp-7, 0x1.7f6249957e0c7p-7, 0x1.770293acb86f4p-7, 0x1.6eca359f65c8p-7, 0x1.66b898d3cc19cp-7, 0x1.5ecd28464ac78p-7, 0x1.57075088a66fbp-7, 0x1.4f667fc195843p-7, 0x1.47ea25ac051c3p-7, 0x1.4091b39627deep-7, 0x1.395c9c60acc24p-7, 0x1.324a547db2a82p-7, 0x1.2b5a51ef9787ep-7, 0x1.248c0c47eaeb2p-7, 0x1.1ddefca5f598ep-7, 0x1.17529db579f84p-7, 0x1.10e66bad41142p-7, 0x1.0a99e44d6debfp-7, 0x1.046c86de1138dp-7, 0x1.fcbba85abab71p-8, 0x1.f0da9d1bb44cdp-8, 0x1.e534f3a969098p-8, 0x1.d9c9b6af65dfbp-8, 0x1.ce97f3d6bba4ap-8, 0x1.c39ebbc1e6d9ep-8, 0x1.b8dd2208843c7p-8, 0x1.ae523d3348096p-8, 0x1.a3fd26b784f37p-8, 0x1.99dcfaf298a39p-8, 0x1.8ff0d925613adp-8, 0x1.8637e36fbe16dp-8, 0x1.7cb13ecbaf7a8p-8, 0x1.735c130854ffcp-8, 0x1.6a378ac54663bp-8, 0x1.6142d36d29d31p-8, 0x1.587d1d313ae04p-8, 0x1.4fe59b0375495p-8, 0x1.477b8291f67e5p-8, 0x1.3f3e0c4123569p-8, 0x1.372c7326b134ep-8, 0x1.2f45f50426ef5p-8, 0x1.2789d24162807p-8, 0x1.1ff74de6fab11p-8, 0x1.188dad98e20f2p-8, 0x1.114c3990a24fap-8, 0x1.0a323c97d7ddcp-8, 0x1.033f04028138bp-8, 0x1.f8e3bf5247a17p-9, 0x1.eb9443c671e75p-9, 0x1.de8e3f02922f7p-9, 0x1.d1d05f8e70425p-9, 0x1.c55958cc9601ap-9, 0x1.b927e2ef40e5ap-9, 0x1.ad3abaeba2911p-9, 0x1.a190a26f638bep-9, 0x1.96285fd391a69p-9, 0x1.8b00be11c3915p-9, 0x1.80188cb7c1958p-9, 0x1.756e9fdc100d9p-9, 0x1.6b01d011cf49bp-9, 0x1.60d0fa5cb55a3p-9, 0x1.56db0025b26c4p-9, 0x1.4d1ec72eb1b8dp-9, 0x1.439b3986f4222p-9, 0x1.3a4f457f1c923p-9, 0x1.3139dd9d6600cp-9, 0x1.2859f891e0cb8p-9, 0x1.1fae912a92c83p-9, 0x1.1736a647c57fdp-9, 0x1.0ef13ad03f95ep-9, 0x1.06dd55a5ac59p-9, 0x1.fdf4033180abfp-10, 0x1.ee8c9abb4f52dp-10, 0x1.df8297011eaf3p-10, 0x1.d0d424b3ffd4bp-10, 0x1.c27f78065758dp-10, 0x1.b482cc9596a4p-10, 0x1.a6dc6552df2a2p-10, 0x1.998a8c6ca1d6p-10, 0x1.8c8b9337babaap-10, 0x1.7fddd218e2556p-10, 0x1.737fa86ec8d34p-10, 0x1.676f7c7b267f5p-10, 0x1.5babbb4cfb0fap-10, 0x1.5032d8aa3852ep-10, 0x1.45034efa05fe6p-10, 0x1.3a1b9f2f7a932p-10, 0x1.2f7a50b2af2d4p-10, 0x1.251df14c97845p-10, 0x1.1b051510d761dp-10, 0x1.112e5648cdb7fp-10, 0x1.0798555e80311p-10, 0x1.fc83718f61f05p-11, 0x1.ea5259e257ccfp-11, 0x1.d89ac853abc17p-11, 0x1.c75a2d1d8c837p-11, 0x1.b68e03ec7c78ep-11, 0x1.a633d3b8ae036p-11, 0x1.96492e9ccf652p-11, 0x1.86cbb1aeef405p-11, 0x1.77b904d912f38p-11, 0x1.690edab2b184ap-11, 0x1.5acaf058768bdp-11, 0x1.4ceb0d48c1429p-11, 0x1.3f6d033aa46d1p-11, 0x1.324eadfa4a9dep-11, 0x1.258df343600b4p-11, 0x1.1928c29bd4708p-11, 0x1.0d1d152eba6ebp-11, 0x1.0168eda93ea17p-11, 0x1.ec14b02c3ee4bp-12, 0x1.d5fed37406cc8p-12, 0x1.c08c81e124658p-12, 0x1.abba0a1308498p-12, 0x1.9783cc4d86b17p-12, 0x1.83e63a316d8bfp-12, 0x1.70ddd67da3b8fp-12, 0x1.5e6734c6e0a63p-12, 0x1.4c7ef93ad8a98p-12, 0x1.3b21d85be411cp-12, 0x1.2a4c96bf87015p-12, 0x1.19fc08d255fb1p-12, 0x1.0a2d1293bd606p-12, 0x1.f5b94eb699db9p-13, 0x1.d80f93321b4edp-13, 0x1.bb57153151985p-13, 0x1.9f8a1489cd358p-13, 0x1.84a2edd8816bp-13, 0x1.6a9c1a0b7dabp-13, 0x1.51702ded2de4dp-13, 0x1.3919d9af88d1p-13, 0x1.2193e87bdf965p-13, 0x1.0ad94002161cap-13, 0x1.e9c9c00ef7cb2p-14, 0x1.bf63c3fcc0f7cp-14, 0x1.9676f1232cd48p-14, 0x1.6ef9de7f3ccd2p-14, 0x1.48e353dd07626p-14, 0x1.242a490649e47p-14, 0x1.00c5e4f46b9f1p-14, 0x1.bd5afa1086a31p-15, 0x1.7bb12877bd749p-15, 0x1.3c7db4bfc90e1p-15, 0x1.ff60ad59a1631p-16, 0x1.8a72394415671p-16, 0x1.1a10d455eecb7p-16, 0x1.5c3bd9d1f6831p-17, 0x1.19ee576cbf7dep-18, -0x1.cf37c5a64a8a6p-20, -0x1.f12fda6c85d0cp-18, -0x1.af53d36cb069ap-17, -0x1.2f28cd52cf19dp-16, -0x1.82e382764455ep-16, -0x1.d2f45667e048bp-16, -0x1.0fba828edf3b1p-15, -0x1.343f5dfd36cfep-15, -0x1.57150e275a9f2p-15, -0x1.78479ee6e31a2p-15, -0x1.97e2d892fe9cep-15, -0x1.b5f24134b06bdp-15, -0x1.d2811db12bf39p-15, -0x1.ed9a730c5b9e4p-15, -0x1.03a483c420bcp-14, -0x1.0fcbb1e6f6b14p-14, -0x1.1b47ea0b5f4b2p-14, -0x1.261e34a2ff5ep-14, -0x1.30537cfe2f112p-14, -0x1.39ec91e2fe92p-14, -0x1.42ee26067ef9ep-14, -0x1.4b5cd0a015ca2p-14, -0x1.533d0de7f437ep-14, -0x1.5a933f9e4d4ccp-14, -0x1.6163ad855ea6cp-14, -0x1.67b285e7a5e3cp-14, -0x1.6d83de1068987p-14, -0x1.72dbb2c8e10b6p-14, -0x1.77bde8cf03cfbp-14, -0x1.7c2e4d4dbe979p-14, -0x1.8030965382b88p-14, -0x1.83c86341d27e7p-14, -0x1.86f93d438c74cp-14, -0x1.89c697b87e8cdp-14, -0x1.8c33d0a43f1e8p-14, -0x1.8e44311d613dap-14, -0x1.8ffaedb1c808cp-14, -0x1.915b26d71f414p-14, -0x1.9267e9477e875p-14, -0x1.93242e7216e83p-14, -0x1.9392dcd472599p-14, -0x1.93b6c863551adp-14, -0x1.9392b2e804b15p-14, -0x1.93294c5d3c638p-14, -0x1.927d3350d56c8p-14, -0x1.9190f53b935e9p-14, -0x1.90670edb0110bp-14, -0x1.8f01ec8be4539p-14, -0x1.8d63ea9f89047p-14, -0x1.8b8f55b15aaa3p-14, -0x1.89866afb2150cp-14, -0x1.874b58a6ca97p-14, -0x1.84e03e1fe8e0ep-14, -0x1.82472c643b8f2p-14, -0x1.7f82264ee863cp-14, -0x1.7c9320e95a8ep-14, -0x1.797c03b260bdp-14, -0x1.763ea8ec722dap-14, -0x1.72dcdde2fbf76p-14, -0x1.6f58633469751p-14, -0x1.6bb2ed177aefap-14, -0x1.67ee239f94ea3p-14, -0x1.640ba300ac2bdp-14, -0x1.600cfbd3919f7p-14, -0x1.5bf3b3542f577p-14, -0x1.57c143a4d2a49p-14, -0x1.53771c0a075p-14, -0x1.4f16a12ae7ddep-14, -0x1.4aa12d4bdd0d6p-14, -0x1.4618108be8edcp-14, -0x1.417c911d53aa1p-14, -0x1.3ccfeb807b12p-14, -0x1.381352b9cc2f3p-14, -0x1.3347f08c9c5ap-14, -0x1.2e6ee5ade486ap-14, -0x1.298949fa549d3p-14, -0x1.24982cac13c62p-14, -0x1.1f9c948b108f8p-14, -0x1.1a978022186dcp-14, -0x1.1589e5ed6b1abp-14, -0x1.1074b48cca068p-14, -0x1.0b58d2f26db6ap-14, -0x1.0637208f90864p-14, -0x1.01107585f0dc8p-14, -0x1.f7cb459ea0966p-15, -0x1.ed6ee4dac6a8p-15, -0x1.e30d4f25800b8p-15, -0x1.d8a7fd9abf86fp-15, -0x1.ce405c5e8e885p-15, -0x1.c3d7caeea3c2bp-15, -0x1.b96f9c71e2c48p-15, -0x1.af0918070f453p-15, -0x1.a4a5790ab0532p-15, -0x1.9a45ef6b08e8cp-15, -0x1.8feb9fe9ba502p-15, -0x1.8597a464c7e09p-15, -0x1.7b4b0c1f2e499p-15, -0x1.7106dc03914c2p-15, -0x1.66cc0ee5bf7e6p-15, -0x1.5c9b95c869297p-15, -0x1.5276581ad1de2p-15, -0x1.485d33f7d8511p-15, -0x1.3e50fe65b312cp-15, -0x1.34528390c15b6p-15, -0x1.2a62870669872p-15, -0x1.2081c3f29fcb6p-15, -0x1.16b0ed5298824p-15, -0x1.0cf0ae3281506p-15, -0x1.0341a9df7d7e7p-15, -0x1.f348f84019064p-16, -0x1.e03372cba4f5ap-16, -0x1.cd43de036d657p-16, -0x1.ba7b46a9b1fedp-16, -0x1.a7daac059481dp-16, -0x1.95630041ffb58p-16, -0x1.831528c7635e2p-16, -0x1.70f1fe9b930e1p-16, -0x1.5efa4eb926441p-16, -0x1.4d2eda66fbd88p-16, -0x1.3b90578de629p-16, -0x1.2a1f710b02d2ap-16, -0x1.18dcc70532439p-16, -0x1.07c8ef37c272dp-16, -0x1.edc8ea8a49ffdp-17, -0x1.cc5fb5fb84a93p-17, -0x1.ab573167ab87p-17, -0x1.8ab03af08f531p-17, -0x1.6a6b9eda32ab2p-17, -0x1.4a8a1805d49a3p-17, -0x1.2b0c5084fff3p-17, -0x1.0bf2e2163e69fp-17, -0x1.da7cad59902dp-18, -0x1.9dde51d8bf59ap-18, -0x1.620b894c61a6p-18, -0x1.27050ea259113p-18, -0x1.d99701feeefb1p-19, -0x1.66bec95ab50dfp-19, -0x1.eb048fb019fc6p-20, -0x1.0bc43f8cec34cp-20, -0x1.7dec2c86ef78fp-23, 0x1.521e31b3fa50ap-21, 0x1.7ea17117edfddp-20, 0x1.287cd80f3fc58p-19, 0x1.900c2bbd36d31p-19, 0x1.f5ff1d381ac04p-19, 0x1.2d2b1eb738af2p-18, 0x1.5e8921a52ba6cp-18, 0x1.8f1a0526374e1p-18, 0x1.bede4896161ffp-18, 0x1.edd67c48b0faep-18, 0x1.0e01a073d835dp-17, 0x1.24b2a36561c9bp-17, 0x1.3afea6b5b8265p-17, 0x1.50e6115df0636p-17, 0x1.66695151efa71p-17, 0x1.7b88db3473f5p-17, 0x1.90452a0fbb994p-17, 0x1.a49ebf187dc61p-17, 0x1.b8962161a0166p-17, 0x1.cc2bdda445d4p-17, 0x1.df6085fb1ab55p-17, 0x1.f234b1aa62232p-17, 0x1.02547e6efe763p-16, 0x1.0b5f043b0ebf8p-16, 0x1.143a3ce47287fp-16, 0x1.1ce67d38c4a4ep-16, 0x1.25641c0a76a24p-16, 0x1.2db3721890ff7p-16, 0x1.35d4d9f5d42d3p-16, 0x1.3dc8afee3401ap-16, 0x1.458f51f23ffc8p-16, 0x1.4d291f7b7e80bp-16, 0x1.5496797a1fa46p-16, 0x1.5bd7c23c8bb68p-16, 0x1.62ed5d5aeed14p-16, 0x1.69d7afa2c3b4fp-16, 0x1.70971f01987a3p-16, 0x1.772c12736e52bp-16, 0x1.7d96f1ef202a9p-16, 0x1.83d8265203d92p-16, 0x1.89f0195145b1cp-16, 0x1.8fdf35674423bp-16, 0x1.95a5e5c1b011fp-16, 0x1.9b449632e63a1p-16, 0x1.a0bbb321ce4e1p-16, 0x1.a60ba97a53894p-16, 0x1.ab34e69e69c87p-16, 0x1.b037d8585ca8bp-16, 0x1.b514eccc559afp-16, 0x1.b9cc926b55c94p-16, 0x1.be5f37e5c1bc9p-16, 0x1.c2cd4c1f91d3p-16, 0x1.c7173e237c6cbp-16, 0x1.cb3d7d1791bfep-16, 0x1.cf407830f05f1p-16, 0x1.d3209eaa82875p-16, 0x1.d6de5fb8bb4bfp-16, 0x1.da7a2a803aac3p-16, 0x1.ddf46e0bd54bep-16, 0x1.e14d99429a02p-16, 0x1.e4861adedf22ep-16, 0x1.e79e6165a6faap-16, 0x1.ea96db1d4d414p-16, 0x1.ed6ff60634e28p-16, 0x1.f02a1fd22b07bp-16, 0x1.f2c5c5dcf2495p-16, 0x1.f5435524cde1p-16, 0x1.f7a33a43c0479p-16, 0x1.f9e5e1687a8fap-16, 0x1.fc0bb64fb5ad3p-16, 0x1.fe15243ea3524p-16, 0x1.00014afddcfd8p-15, 0x1.00ea3ae508594p-15, 0x1.01c596b17cf68p-15, 0x1.029392f8b2889p-15, 0x1.03546406338dap-15, 0x1.04083dd959f75p-15, 0x1.04af5422ce36dp-15, 0x1.0549da4275f98p-15, 0x1.05d8034568a93p-15, 0x1.065a01e3a87a6p-15, 0x1.06d0087e9d4f5p-15, 0x1.073a491ef4afap-15, 0x1.0798f5730b603p-15, 0x1.07ec3ecd415dcp-15, 0x1.083456228d9c9p-15, 0x1.08716c08ed649p-15, 0x1.08a3b0b5f810ep-15, 0x1.08cb53fdb858ep-15, 0x1.08e88551680dbp-15, 0x1.08fb73be2cecap-15, 0x1.09044dec21d3p-15, 0x1.0903421d7084cp-15, 0x1.08f87e2d23c0dp-15, 0x1.08e42f8e93892p-15, 0x1.08c6834c5e1fdp-15, 0x1.089fa607d9b76p-15, 0x1.086fc3f84829ap-15, 0x1.083708ea3198dp-15, 0x1.07f5a03f03e0dp-15, 0x1.07abb4ec6cdbap-15, 0x1.0759717bdad69p-15, 0x1.06ff000a6a8ecp-15, 0x1.069c8a482613bp-15, 0x1.06323978057fep-15, 0x1.05c0366f775bp-15, 0x1.0546a9965d5c1p-15, 0x1.04c5bae6d1af1p-15, 0x1.043d91ecf2b76p-15, 0x1.03ae55c6f0c05p-15, 0x1.03182d250abf5p-15, 0x1.027b3e4984997p-15, 0x1.01d7af08a1bbep-15, 0x1.012da4c8b49a3p-15, 0x1.007d4482620dcp-15, 0x1.ff8d65818667dp-16, 0x1.fe142742de508p-16, 0x1.fc8f15a9d3408p-16, 0x1.fafe773d4465fp-16, 0x1.f96291aad7349p-16, 0x1.f7bba9c73b21cp-16, 0x1.f60a038f30a76p-16, 0x1.f44de22817376p-16, 0x1.f28787e0cbe4cp-16, 0x1.f0b736321b3d2p-16, 0x1.eedd2dbfae5a6p-16, 0x1.ecf9ae59629ap-16, 0x1.eb0cf6fbcb512p-16, 0x1.e91745d18fff5p-16, 0x1.e718d83407f42p-16, 0x1.e511eaac88a79p-16, 0x1.e302b8f53b04bp-16, 0x1.e0eb7dfaac0d4p-16, 0x1.decc73dc6d8a6p-16, 0x1.dca5d3eee4a8p-16, 0x1.da77d6bc244b5p-16, 0x1.d842b404c53e3p-16, 0x1.d606a2c2029e6p-16, 0x1.d3c3d9269aaf1p-16, 0x1.d17a8c9ffb53cp-16, 0x1.cf2af1d81a0a9p-16, 0x1.ccd53cb62c64p-16, 0x1.ca79a0609b5e8p-16, 0x1.c8184f3e198b4p-16, 0x1.c5b17af74e5b5p-16, 0x1.c3455477f712dp-16, 0x1.c0d40bf071a98p-16, 0x1.be5dd0d79071ap-16, 0x1.bbe2d1ebc5228p-16, 0x1.b9633d34c2c71p-16, 0x1.b6df4004fd16fp-16, 0x1.b45706fb15cb5p-16, 0x1.b1cabe0368fp-16, 0x1.af3a905988a1bp-16, 0x1.aca6a88a4df54p-16, 0x1.aa0f3074c77a6p-16, 0x1.a774514c21c87p-16, 0x1.a4d63399261edp-16, 0x1.a234ff3bbbe6dp-16, 0x1.9f90db6cc7e2bp-16, 0x1.9ce9eebf71285p-16, 0x1.9a405f22896b2p-16, 0x1.979451e2ec6dcp-16, 0x1.94e5ebac7ceeap-16, 0x1.9235508bfe12bp-16, 0x1.8f82a3f05918cp-16, 0x1.8cce08acdc5ecp-16, 0x1.8a17a0fa29e41p-16, 0x1.875f8e780f44p-16, 0x1.84a5f22f21e14p-16, 0x1.81eaec929beaep-16, 0x1.7f2e9d819e75bp-16, 0x1.7c71244911637p-16, 0x1.79b29fa4ebf7fp-16, 0x1.76f32dc1f7353p-16, 0x1.7432ec3f1e5dbp-16, 0x1.7171f82fb52e5p-16, 0x1.6eb06e1c81c26p-16, 0x1.6bee6a056446fp-16, 0x1.692c0762fbcb9p-16, 0x1.66696127ee1fp-16, 0x1.63a691c31e2eap-16, 0x1.60e3b32060e3dp-16, 0x1.5e20deaad4a8cp-16, 0x1.5b5e2d4dc463dp-16, 0x1.589bb776c8f14p-16, 0x1.55d99516d6a24p-16, 0x1.5317dda3c02fap-16, 0x1.5056a81a21707p-16, 0x1.4d960afe7e23fp-16, 0x1.4ad61c5f07e7fp-16, 0x1.4816f1d4e7869p-16, 0x1.4558a085e78bp-16, 0x1.429b3d258278bp-16, 0x1.3fdedbf6b7e3bp-16, 0x1.3d2390cd5c3a8p-16, 0x1.3a696f0fe0e5ep-16, 0x1.37b089b82de62p-16, 0x1.34f8f3555736cp-16, 0x1.3242be0ce281cp-16, 0x1.2f8dfb9c9da8ep-16, 0x1.2cdabd5bab8bfp-16, 0x1.2a29143bdb078p-16, 0x1.277910cad7c24p-16, 0x1.24cac333ded8ap-16, 0x1.221e3b415a4f8p-16, 0x1.1f73885d7ee29p-16, 0x1.1ccab9942a7aep-16, 0x1.1a23dd93e11adp-16, 0x1.177f02af6345ap-16, 0x1.14dc36de8b373p-16, }}, 
      {{-0x1.ecd1225844f5bp-1, -0x1.ecc971b756638p-1, -0x1.ecbc4a3075b85p-1, -0x1.eca933b021d26p-1, -0x1.ec8f96f3d80dcp-1, -0x1.ec6ec9c4a18ap-1, -0x1.ec461a78d9af7p-1, -0x1.ec14d9f2d51afp-1, -0x1.ebda63ca814p-1, -0x1.eb96248a8c0f8p-1, -0x1.eb479e0b7e9c2p-1, -0x1.eaee6a10e10ebp-1, -0x1.ea8a3b6090777p-1, -0x1.ea1add9952039p-1, -0x1.e9a034127242ep-1, -0x1.e91a380bd5ab3p-1, -0x1.e888f66e0994ep-1, -0x1.e7ec8d4f262bap-1, -0x1.e745296593ba1p-1, -0x1.e6930386a9f42p-1, -0x1.e5d65e4582f42p-1, -0x1.e50f83beaf744p-1, -0x1.e43ec397a949cp-1, -0x1.e3647134c837cp-1, -0x1.e280e225bfeaap-1, -0x1.e1946cc6e3dedp-1, -0x1.e09f671476c9fp-1, -0x1.dfa225acb0862p-1, -0x1.de9cfafceb716p-1, -0x1.dd9036965710cp-1, -0x1.dc7c24a68ee2p-1, -0x1.db610d908c03dp-1, -0x1.da3f35a2836b5p-1, -0x1.d916dce561cf3p-1, -0x1.d7e83f02ba46ep-1, -0x1.d6b3933e231bbp-1, -0x1.d5790c7f2dbfcp-1, -0x1.d438d9694a11ep-1, -0x1.d2f3247f2072p-1, -0x1.d1a8144f1d3aap-1, -0x1.d057cba71ddbap-1, -0x1.cf0269cd65ea6p-1, -0x1.cda80abd3cfacp-1, -0x1.cc48c765bf33p-1, -0x1.cae4b5e9aeb8p-1, -0x1.c97be9df349b9p-1, -0x1.c80e748eb52d6p-1, -0x1.c69c6530058f6p-1, -0x1.c525c92571dbdp-1, -0x1.c3aaac34288cdp-1, -0x1.c22b18b9bc33cp-1, -0x1.c0a717de852fp-1, -0x1.bf1eb1c4c5af6p-1, -0x1.bd91edb480a76p-1, -0x1.bc00d2440842dp-1, -0x1.ba6b657d4f573p-1, -0x1.b8d1ad0018d6ep-1, -0x1.b733ae211e5bap-1, -0x1.b5916e06586e9p-1, -0x1.b3eaf1c08802ap-1, -0x1.b2403e6232617p-1, -0x1.b091591431696p-1, -0x1.aede4728072b4p-1, -0x1.ad270e281c7dp-1, -0x1.ab6bb3e611a59p-1, -0x1.a9ac3e8745333p-1, -0x1.a7e8b48fb9712p-1, -0x1.a6211ceb754c7p-1, -0x1.a4557ef6832e1p-1, -0x1.a285e283a7bc2p-1, -0x1.a0b24fe1f02e3p-1, -0x1.9edacfe12bfe5p-1, -0x1.9cff6bd56d3bp-1, -0x1.9b202d99a1bcp-1, -0x1.993d1f9158929p-1, -0x1.97564ca9c860fp-1, -0x1.956bc05a23cc3p-1, -0x1.937d86a34c14p-1, -0x1.918bac0ef1df7p-1, -0x1.8f963dae2d09bp-1, -0x1.8d9d49179c96p-1, -0x1.8ba0dc651482cp-1, -0x1.89a10630e8a78p-1, -0x1.879dd592dc18ap-1, -0x1.85975a1cbddbap-1, -0x1.838da3d6bc618p-1, -0x1.8180c33b793bbp-1, -0x1.7f70c933e1005p-1, -0x1.7d5dc712d376ep-1, -0x1.7b47ce909e075p-1, -0x1.792ef1c6536a9p-1, -0x1.77134329025eep-1, -0x1.74f4d584d65e9p-1, -0x1.72d3bbf8213fcp-1, -0x1.70b009ee59d59p-1, -0x1.6e89d31b0f21dp-1, -0x1.6c612b74d720bp-1, -0x1.6a3627303d5c8p-1, -0x1.6808dabab3ec6p-1, -0x1.65d95ab58c5d7p-1, -0x1.63a7bbf0faba2p-1, -0x1.6174136725c2bp-1, -0x1.5f3e76374885p-1, -0x1.5d06f9a0e51bcp-1, -0x1.5acdb2ff1127fp-1, -0x1.5892b7c3d41a2p-1, -0x1.56561d73a47d6p-1, -0x1.5417f9a0fd025p-1, -0x1.51d861e8101aep-1, -0x1.4f976bea9945ep-1, -0x1.4d552d4bcd24p-1, -0x1.4b11bbac6ac18p-1, -0x1.48cd2ca6eba8bp-1, -0x1.468795cbd83dcp-1, -0x1.44410c9e3ae36p-1, -0x1.41f9a69037d8bp-1, -0x1.3fb178ffc56afp-1, -0x1.3d68993387c66p-1, -0x1.3b1f1c57cdc4p-1, -0x1.38d5177bb0758p-1, -0x1.368a9f8e53e5cp-1, -0x1.343fc95c49467p-1, -0x1.31f4a98d11e16p-1, -0x1.2fa954a0c1b46p-1, -0x1.2d5ddeedc2283p-1, -0x1.2b125c9eb472p-1, -0x1.28c6e1b06fa9dp-1, -0x1.267b81f01f34dp-1, -0x1.243050f97cabdp-1, -0x1.21e5623523ed5p-1, -0x1.1f9ac8d70517bp-1, -0x1.1d5097dcef241p-1, -0x1.1b06e20d3322bp-1, -0x1.18bdb9f56169bp-1, -0x1.167531e91c51p-1, -0x1.142d5c01038f4p-1, -0x1.11e64a19b3d2p-1, -0x1.0fa00dd2dbe22p-1, -0x1.0d5ab88e65237p-1, -0x1.0b165b6fb0868p-1, -0x1.08d3075ae3f95p-1, -0x1.0690ccf44af97p-1, -0x1.044fbc9fc68aap-1, -0x1.020fe6804d73ap-1, -0x1.ffa2b4eef9f18p-2, -0x1.fb28504a6b5e2p-2, -0x1.f6b0bdce8f675p-2, -0x1.f23c1bb257495p-2, -0x1.edca87a78d31p-2, -0x1.e95c1eda7850dp-2, -0x1.e4f0fdf193deap-2, -0x1.e089410d5b2e6p-2, -0x1.dc2503c82b59p-2, -0x1.d7c4613636ec4p-2, -0x1.d36773e58a507p-2, -0x1.cf0e55de23883p-2, -0x1.cab920a218742p-2, -0x1.c667ed2dc9d6ep-2, -0x1.c21ad3f82a94ep-2, -0x1.bdd1ecf30d8cfp-2, -0x1.b98d4f8b84975p-2, -0x1.b54d12aa4b655p-2, -0x1.b1114cb439daep-2, -0x1.acda138ac5cc1p-2, -0x1.a8a77c8c8c35cp-2, -0x1.a4799c95e5038p-2, -0x1.a05088017ec07p-2, -0x1.9c2c52a90384ap-2, -0x1.980d0fe5c6ae2p-2, -0x1.93f2d29179a34p-2, -0x1.8fddad06e5dc7p-2, -0x1.8bcdb122b2cd9p-2, -0x1.87c2f0442c4p-2, -0x1.83bd7b4e141c2p-2, -0x1.7fbd62a77514p-2, -0x1.7bc2b63c80bd2p-2, -0x1.77cd857f6e1b1p-2, -0x1.73dddf695ec2fp-2, -0x1.6ff3d27b4945ap-2, -0x1.6c0f6cbee8e1bp-2, -0x1.6830bbc7af676p-2, -0x1.6457ccb3bd46p-2, -0x1.6084ac2cdd1cbp-2, -0x1.5cb766698260bp-2, -0x1.58f0072dccd8fp-2, -0x1.552e99cc8e4d6p-2, -0x1.51732928565e2p-2, -0x1.4dbdbfb47bb77p-2, -0x1.4a0e677631252p-2, -0x1.46652a05947e4p-2, -0x1.42c2108ec81e8p-2, -0x1.3f2523d308db2p-2, -0x1.3b8e6c29cb019p-2, -0x1.37fdf181d7c5bp-2, -0x1.3473bb626f174p-2, -0x1.30efd0ec66d2dp-2, -0x1.2d7238db5410ap-2, -0x1.29faf986ae4b5p-2, -0x1.268a18e2fb522p-2, -0x1.231f9c82f897cp-2, -0x1.1fbb8998c876ap-2, -0x1.1c5de4f720c6bp-2, -0x1.1906b3127b35bp-2, -0x1.15b5f8024680bp-2, -0x1.126bb78219e08p-2, -0x1.0f27f4f2eb197p-2, -0x1.0beab35c41e7ep-2, -0x1.08b3f56d6f621p-2, -0x1.0583bd7ec8de5p-2, -0x1.025a0d92dd929p-2, -0x1.fe6dceaf675afp-3, -0x1.f834985001339p-3, -0x1.f2087a18cd0fap-3, -0x1.ebe97579622d2p-3, -0x1.e5d78b421eb1cp-3, -0x1.dfd2bba6a9c8p-3, -0x1.d9db06406a4dcp-3, -0x1.d3f06a1102c8fp-3, -0x1.ce12e584d1c2dp-3, -0x1.c842767569571p-3, -0x1.c27f1a2c0f8eep-3, -0x1.bcc8cd643a562p-3, -0x1.b71f8c4e0a8f3p-3, -0x1.b1835290c645ep-3, -0x1.abf41b4d590a4p-3, -0x1.a671e120c7fb6p-3, -0x1.a0fc9e26af7e8p-3, -0x1.9b944bfbb749fp-3, -0x1.9638e3c00d78cp-3, -0x1.90ea5e19d62f5p-3, -0x1.8ba8b337a32adp-3, -0x1.8673dad2e365ap-3, -0x1.814bcc3251dacp-3, -0x1.7c307e2c660bbp-3, -0x1.7721e729b5923p-3, -0x1.721ffd2769ed1p-3, -0x1.6d2ab5b99a274p-3, -0x1.6842060db291dp-3, -0x1.6365e2ecd5748p-3, -0x1.5e9640be32f2cp-3, -0x1.59d313896636fp-3, -0x1.551c4ef8cab42p-3, -0x1.5071e65bcb3edp-3, -0x1.4bd3cca934aa8p-3, -0x1.4741f4817cf84p-3, -0x1.42bc50310a84bp-3, -0x1.3e42d1b276d0ep-3, -0x1.39d56ab0cdc58p-3, -0x1.35740c89c5ed9p-3, -0x1.311ea84ff52bdp-3, -0x1.2cd52ecd05702p-3, -0x1.28979083d9981p-3, -0x1.2465bdb2bb1abp-3, -0x1.203fa6557a836p-3, -0x1.1c253a278c671p-3, -0x1.181668a61d8e8p-3, -0x1.141321122e294p-3, -0x1.101b527298c64p-3, -0x1.0c2eeb961db19p-3, -0x1.084ddb1562e36p-3, -0x1.04780f54f5b0dp-3, -0x1.00ad76873e6a8p-3, -0x1.f9dbfd5ce7f56p-4, -0x1.f2732b3d12b62p-4, -0x1.eb2051fe22bbbp-4, -0x1.e3e34c9a44eddp-4, -0x1.dcbbf5ba5720ep-4, -0x1.d5aa27b9a51a3p-4, -0x1.ceadbca96f0a7p-4, -0x1.c7c68e548df06p-4, -0x1.c0f47642ec00fp-4, -0x1.ba374dbd0418p-4, -0x1.b38eedcf4c0dap-4, -0x1.acfb2f4d90f81p-4, -0x1.a67bead651ab3p-4, -0x1.a010f8d600977p-4, -0x1.99ba318a3e9eap-4, -0x1.93776d0508e4dp-4, -0x1.8d48832fdc3f7p-4, -0x1.872d4bcec5ff2p-4, -0x1.81259e836e90cp-4, -0x1.7b3152d010f22p-4, -0x1.7550401a6dc03p-4, -0x1.6f823daea7941p-4, -0x1.69c722c21ce97p-4, -0x1.641ec6762b802p-4, -0x1.5e88ffdaefb22p-4, -0x1.5905a5f1f0426p-4, -0x1.53948fb0c29b5p-4, -0x1.4e3594039e83fp-4, -0x1.48e889cfe9359p-4, -0x1.43ad47f6b0705p-4, -0x1.3e83a5571a798p-4, -0x1.396b78d0c8e8bp-4, -0x1.34649946319a9p-4, -0x1.2f6edd9ee6c09p-4, -0x1.2a8a1cc9d86e1p-4, -0x1.25b62dbf856fp-4, -0x1.20f2e7841f1a1p-4, -0x1.1c402129a6a07p-4, -0x1.179db1d1fa2e3p-4, -0x1.130b70b0d47f1p-4, -0x1.0e89350dc6ff1p-4, -0x1.0a16d64621f9p-4, -0x1.05b42bced1ddbp-4, -0x1.01610d363661fp-4, -0x1.fa3aa44bca69cp-5, -0x1.f1d1a4c8d7aa1p-5, -0x1.e986cbadf61bcp-5, -0x1.e159c9062219ap-5, -0x1.d94a4d2021a16p-5, -0x1.d1580891a687cp-5, -0x1.c982ac3a5a27fp-5, -0x1.c1c9e946cb2aep-5, -0x1.ba2d713350c0fp-5, -0x1.b2acf5ced539cp-5, -0x1.ab48293d85dfp-5, -0x1.a3febdfb767edp-5, -0x1.9cd066df2a929p-5, -0x1.95bcd71c0c19bp-5, -0x1.8ec3c244d5168p-5, -0x1.87e4dc4dd5dadp-5, -0x1.811fd98f38df1p-5, -0x1.7a746ec7252bbp-5, -0x1.73e2511bda6e1p-5, -0x1.6d69361db032ap-5, -0x1.6708d3c907673p-5, -0x1.60c0e0882a44bp-5, -0x1.5a911335160f2p-5, -0x1.5479231b3afb3p-5, -0x1.4e78c7f91d1d5p-5, -0x1.488fba01f5b37p-5, -0x1.42bdb1df3577cp-5, -0x1.3d0268b1fcbfep-5, -0x1.375d98147e254p-5, -0x1.31cefa1b5c40dp-5, -0x1.2c564956e7bbfp-5, -0x1.26f340d4570c8p-5, -0x1.21a59c1ef185bp-5, -0x1.1c6d1741270fap-5, -0x1.17496ec593762p-5, -0x1.123a5fb7ff9b8p-5, -0x1.0d3fa7a647397p-5, -0x1.085904a13c85cp-5, -0x1.0386353d7443fp-5, -0x1.fd8df1281432fp-6, -0x1.f4361c86ac36p-6, -0x1.eb046cdf25bc7p-6, -0x1.e1f86386f6342p-6, -0x1.d91182e1ac136p-6, -0x1.d04f4e61f8d6cp-6, -0x1.c7b14a8a9939p-6, -0x1.bf36fcef2631dp-6, -0x1.b6dfec34dc1a4p-6, -0x1.aeaba0133bd2p-6, -0x1.a699a1549d1d4p-6, -0x1.9ea979d6a861ap-6, -0x1.96dab48ab92a4p-6, -0x1.8f2cdd7634b59p-6, -0x1.879f81b2c18c9p-6, -0x1.80322f6e73d82p-6, -0x1.78e475ebe060ap-6, -0x1.71b5e5821c8ep-6, -0x1.6aa60f9cb542p-6, -0x1.63b486bb83eb5p-6, -0x1.5ce0de727bdb3p-6, -0x1.562aab69676bcp-6, -0x1.4f91835b97c7cp-6, -0x1.4914fd176dfdfp-6, -0x1.42b4b07df660ap-6, -0x1.3c70368258f88p-6, -0x1.3647292946723p-6, -0x1.3039238852c0ap-6, -0x1.2a45c1c548b5bp-6, -0x1.246ca11562dd9p-6, -0x1.1ead5fbc86766p-6, -0x1.19079d0c62f63p-6, -0x1.137af9639028dp-6, -0x1.0e07162c9027fp-6, -0x1.08ab95dce0ce3p-6, -0x1.03681bf3e23dap-6, -0x1.fc7899f391509p-7, -0x1.f24f9cfcf4ca4p-7, -0x1.e8548e30c5847p-7, -0x1.de86bcc67b9b6p-7, -0x1.d4e579fdb0507p-7, -0x1.cb70191b89fb3p-7, -0x1.c225ef6823c16p-7, -0x1.b906542bc9adep-7, -0x1.b010a0ac4172ep-7, -0x1.a7443029d80f1p-7, -0x1.9ea05fdca656ep-7, -0x1.96248ef17190ap-7, -0x1.8dd01e86bd535p-7, -0x1.85a271a9b4948p-7, -0x1.7d9aed53141efp-7, -0x1.75b8f863e25eap-7, -0x1.6dfbfba25ca7dp-7, -0x1.666361b699e6ap-7, -0x1.5eee972735c1p-7, -0x1.579d0a561aaddp-7, -0x1.506e2b7cef2a6p-7, -0x1.49616ca9d1bfp-7, -0x1.427641bbc633ep-7, -0x1.3bac205f4c4a7p-7, -0x1.3502800ac3a84p-7, -0x1.2e78d9faeb33bp-7, -0x1.280ea92f4b77dp-7, -0x1.21c36a6690259p-7, -0x1.1b969c1af818fp-7, -0x1.1587be7e95a8bp-7, -0x1.0f965377b14dp-7, -0x1.09c1de9d150d3p-7, -0x1.0409e5324ab35p-7, -0x1.fcdbdc47e2278p-8, -0x1.f1db0407ded49p-8, -0x1.e710560b74e56p-8, -0x1.dc7ae9f50719fp-8, -0x1.d219da9b0615ep-8, -0x1.c7ec460041fe1p-8, -0x1.bdf14d4c4830cp-8, -0x1.b42814c3e6258p-8, -0x1.aa8fc3c16fc83p-8, -0x1.a12784ad23f2cp-8, -0x1.97ee84f5a4e2dp-8, -0x1.8ee3f5082106cp-8, -0x1.86070848e2d05p-8, -0x1.7d56f50b91fedp-8, -0x1.74d2f48ba11a6p-8, -0x1.6c7a42e49928ap-8, -0x1.644c1f0a9462ap-8, -0x1.5c47cac28a313p-8, -0x1.546c8a9ad1c4ep-8, -0x1.4cb9a5e37b4dp-8, -0x1.452e66a6bf236p-8, -0x1.3dca19a17be2fp-8, -0x1.368c0e3b9c91dp-8, -0x1.2f739680c210dp-8, -0x1.288007187bf42p-8, -0x1.21b0b73f2c7eap-8, -0x1.1b0500be552ecp-8, -0x1.147c3fe54bb89p-8, -0x1.0e15d381d009p-8, -0x1.07d11cd8b7ae5p-8, -0x1.01ad7f9eae141p-8, -0x1.f754c3e181e9fp-9, -0x1.eb8e589a85dc6p-9, -0x1.e0069319327c7p-9, -0x1.d4bc4db3d2db5p-9, -0x1.c9ae67582c1f3p-9, -0x1.bedbc37d3be8bp-9, -0x1.b4434a15094c1p-9, -0x1.a9e3e77ea1b2fp-9, -0x1.9fbc8c7830c41p-9, -0x1.95cc2e10f293p-9, -0x1.8c11c59ba8fb1p-9, -0x1.828c50a0a8441p-9, -0x1.793ad0d073e5bp-9, -0x1.701c4bf606d85p-9, -0x1.672fcbe98d0e3p-9, -0x1.5e745e82f6a3cp-9, -0x1.55e9158cbedb5p-9, -0x1.4d8d06b6d0ee6p-9, -0x1.455f4b8972805p-9, -0x1.3d5f015849168p-9, -0x1.358b4935a16e2p-9, -0x1.2de347e58c08bp-9, -0x1.266625d149198p-9, -0x1.1f130efabe94dp-9, -0x1.17e932f00d352p-9, -0x1.10e7c4bf28519p-9, -0x1.0a0dfae9b0216p-9, -0x1.035b0f58bb1c6p-9, -0x1.f99c7ea1e9d8ep-10, -0x1.eccd96cd288e4p-10, -0x1.e047eee331ab5p-10, -0x1.d40a15042d3f5p-10, -0x1.c8129da94c1b4p-10, -0x1.bc60238ddba14p-10, -0x1.b0f147985cf41p-10, -0x1.a5c4b0c42e859p-10, -0x1.9ad90c0b173e2p-10, -0x1.902d0c4f4a1cfp-10, -0x1.85bf6a459a426p-10, -0x1.7b8ee45f93f4bp-10, -0x1.719a3eb644289p-10, -0x1.67e042f5144d8p-10, -0x1.5e5fc0448693fp-10, -0x1.55178b35b19adp-10, -0x1.4c067dad93945p-10, -0x1.432b76d0afba3p-10, -0x1.3a855aef1c58fp-10, -0x1.3213137088f98p-10, -0x1.29d38ec0923abp-10, -0x1.21c5c03b3651ap-10, -0x1.19e8a019b11ecp-10, -0x1.123b2b5f56034p-10, -0x1.0abc63c70cf6fp-10, -0x1.036b4fb03db44p-10, -0x1.f88df419f3f0cp-11, -0x1.ea9ce49e9171dp-11, -0x1.dd0198af6115ep-11, -0x1.cfba40c5f9c9ep-11, -0x1.c2c515f268c4dp-11, -0x1.b62059b7a46ep-11, -0x1.a9ca55e9dbf8ap-11, -0x1.9dc15c8c93345p-11, -0x1.9203c7b110552p-11, -0x1.868ff95586a85p-11, -0x1.7b645b448223cp-11, -0x1.707f5ef478c9p-11, -0x1.65df7d684e1abp-11, -0x1.5b83370ff9b27p-11, -0x1.516913a9594c4p-11, -0x1.478fa221be9fp-11, -0x1.3df57877b0527p-11, -0x1.3499339d2c362p-11, -0x1.2b79775a47254p-11, -0x1.2294ee3011982p-11, -0x1.19ea493c1f04p-11, -0x1.1178401c2e8eep-11, -0x1.093d90d21cf18p-11, -0x1.0138ffa8c016cp-11, -0x1.f2d2ae3110d02p-12, -0x1.e39acf59966d6p-12, -0x1.d4c80fd2fc5d6p-12, -0x1.c6582861b40a7p-12, -0x1.b848dd546c4d9p-12, -0x1.aa97fe5067b5cp-12, -0x1.9d43662038337p-12, -0x1.9048fa8221249p-12, -0x1.83a6abf7de105p-12, -0x1.775a7596e5af2p-12, -0x1.6b625cd8c377bp-12, -0x1.5fbc716d14748p-12, -0x1.5466cd0b1c84dp-12, -0x1.495f934598ebfp-12, -0x1.3ea4f15d72326p-12, -0x1.34351e1667c87p-12, -0x1.2a0e598b1cae6p-12, -0x1.202eed037c70dp-12, -0x1.16952aca0c86dp-12, -0x1.0d3f6e034c283p-12, -0x1.042c1a841a30cp-12, -0x1.f6b3395508e9ep-13, -0x1.e58cd26b6f6bap-13, -0x1.d4e1fa3ed3c4bp-13, -0x1.c4afbaeb56f4ep-13, -0x1.b4f32e691f06dp-13, -0x1.a5a97e43d0854p-13, -0x1.96cfe34fd07d5p-13, -0x1.8863a563eb7f9p-13, -0x1.7a621b1084539p-13, -0x1.6cc8a95c6685bp-13, -0x1.5f94c37cd8fc4p-13, -0x1.52c3ea95aefc4p-13, -0x1.4653ad73261c9p-13, -0x1.3a41a84b66c8cp-13, -0x1.2e8b847bd31bfp-13, -0x1.232ef84bb8bbap-13, -0x1.1829c6ac5d5bdp-13, -0x1.0d79befb7f0fcp-13, -0x1.031cbcc87009fp-13, -0x1.f2214f2ed6fe2p-14, -0x1.dea6e54eae43p-14, -0x1.cbc63971dd675p-14, -0x1.b97b5fa9f8d12p-14, -0x1.a7c2822c9642bp-14, -0x1.9697e0e29eefbp-14, -0x1.85f7d0ffa0e92p-14, -0x1.75debc95f0a9bp-14, -0x1.6649223005d2ap-14, -0x1.57339468ee43bp-14, -0x1.489ab988b681cp-14, -0x1.3a7b4b20e4d9ep-14, -0x1.2cd215acd0112p-14, -0x1.1f9bf82ebb941p-14, -0x1.12d5e3d611f44p-14, -0x1.067cdb9f886f5p-14, -0x1.f51be7f986a9cp-15, -0x1.de0ca4f46b17bp-15, -0x1.c7c65acde00d2p-15, -0x1.b24396ffb1de1p-15, -0x1.9d7f073455cadp-15, -0x1.897378a083b69p-15, -0x1.761bd760f5a25p-15, -0x1.63732dd7ebb56p-15, -0x1.5174a413fa2c8p-15, -0x1.401b7f2db1c61p-15, -0x1.2f6320b786f3fp-15, -0x1.1f470622b5148p-15, -0x1.0fc2c82e4d1cp-15, -0x1.00d21a57ee76cp-15, -0x1.e4e1949a34f74p-16, -0x1.c9357ec1da182p-16, -0x1.ae97f403a10b1p-16, -0x1.9501266ddaf5dp-16, -0x1.7c69782ffa7bbp-16, -0x1.64c97aa1fd5a9p-16, -0x1.4e19ed3e75235p-16, -0x1.3853bcae88192p-16, -0x1.237001d367638p-16, -0x1.0f6800d84a6f3p-16, -0x1.f86a50825e2bfp-17, -0x1.d3a2201d02fd8p-17, -0x1.b06af19bcbefdp-17, -0x1.8eb8958931b61p-17, -0x1.6e7f2a244cf1ep-17, -0x1.4fb319b1404adp-17, -0x1.324918d935c1cp-17, -0x1.163625097e395p-17, -0x1.f6df05c7b33f7p-18, -0x1.c3d5795925e94p-18, -0x1.933b418d8140fp-18, -0x1.64fc806b7291dp-18, -0x1.3905da587ad5bp-18, -0x1.0f44731be4c2fp-18, -0x1.cf4bd66dcd3acp-19, -0x1.8430b9e42d25p-19, -0x1.3d14b3b1d041fp-19, -0x1.f3ab9fc0f4c15p-20, -0x1.74a5fc798782ep-20, -0x1.f9b035acc5b0cp-21, -0x1.18069687641f9p-21, -0x1.0f543fb5f85p-23, 0x1.06b653d4a4665p-22, 0x1.3dfdb5ae0adcbp-21, 0x1.ec8317789d11cp-21, 0x1.47ac657f98ffbp-20, 0x1.9374aa9154f3bp-20, 0x1.d9ce2ab24c05dp-20, 0x1.0d75a5d34dd34p-19, 0x1.2b7e88ae8d1a5p-19, 0x1.47199315dda1fp-19, 0x1.605df177d8131p-19, 0x1.77622b5a86bffp-19, 0x1.8c3c2759da909p-19, 0x1.9f012ecaa099fp-19, 0x1.afc5f17f2c2d1p-19, 0x1.be9e89645b266p-19, 0x1.cb9e7e0d078b3p-19, 0x1.d6d8c81d6f44p-19, 0x1.e05fd4c7f16f6p-19, 0x1.e8458910da2b2p-19, 0x1.ee9b4518b6195p-19, 0x1.f371e74be9942p-19, 0x1.f6d9cf7fbc268p-19, 0x1.f8e2e20ae15e4p-19, 0x1.f99c8abdc46ddp-19, 0x1.f915bfbf28415p-19, 0x1.f75d04a19438ep-19, 0x1.f4806cf10e35cp-19, 0x1.f08d9f27ab9d8p-19, 0x1.eb91d72fbab2fp-19, 0x1.e599e93ed29b2p-19, 0x1.deb2442d0791fp-19, 0x1.d6e6f42a74371p-19, 0x1.ce43a5252ab22p-19, 0x1.c4d3a52727fb1p-19, 0x1.baa1e6cb72571p-19, 0x1.afb9038256992p-19, 0x1.a4233dc81cdc1p-19, 0x1.97ea8374942bep-19, 0x1.8b186fd1b2fcep-19, 0x1.7db64dbf998abp-19, 0x1.6fcd19c962421p-19, 0x1.61658427a5d91p-19, 0x1.5287f2b2f8278p-19, 0x1.433c82f0643cfp-19, 0x1.338b0bc7b4f81p-19, 0x1.237b1f8b9b6cap-19, 0x1.13140da84b7a9p-19, 0x1.025ce47c0fe4bp-19, 0x1.e2b8e5fde595fp-20, 0x1.c03295087a116p-20, 0x1.9d3380b167d9p-20, 0x1.79c7dec7cb8c5p-20, 0x1.55fb7364ccafep-20, 0x1.31d99418762c4p-20, 0x1.0d6d2ade601b2p-20, 0x1.d1817213c5c98p-21, 0x1.87bcb47b0b45cp-21, 0x1.3d9f8e32d5b3p-21, 0x1.e679603759b68p-22, 0x1.514c2027dcb5fp-22, 0x1.77b3b83bc13b8p-23, 0x1.321d96dba12bfp-25, -0x1.bd5a530d7bff2p-24, -0x1.04d6810dbe41p-22, -0x1.9a1edd110644fp-22, -0x1.1789d73048af3p-21, -0x1.61cd164493aaep-21, -0x1.abcc5c1cfa2cap-21, -0x1.f57b691efcb09p-21, -0x1.1f6744dc5e18p-20, -0x1.43dd491c90b32p-20, -0x1.681a6d5d90147p-20, -0x1.8c199da13460bp-20, -0x1.afd603fb3a543p-20, -0x1.d34b06a65470fp-20, -0x1.f67446457a79cp-20, -0x1.0ca6ce04bb28ap-19, -0x1.1de98c0103fd3p-19, -0x1.2f007fb68bc3dp-19, -0x1.3fe9e585f35e5p-19, -0x1.50a412c833bf8p-19, -0x1.612d7500c837bp-19, -0x1.718491203e8afp-19, -0x1.81a802c213606p-19, -0x1.91967b72bfdc5p-19, -0x1.a14ec1fde27c1p-19, -0x1.b0cfb1bcd578cp-19, -0x1.c01839e7b1702p-19, -0x1.cf275cf404642p-19, -0x1.ddfc2fe99dfedp-19, -0x1.ec95d9ce22bcep-19, -0x1.faf392ff754f7p-19, -0x1.048a52525655bp-18, -0x1.0b7c340bd3a74p-18, -0x1.124f232afc546p-18, -0x1.1902dbbbc5599p-18, -0x1.1f972113bfb47p-18, -0x1.260bbd8e50eb7p-18, -0x1.2c60824d31221p-18, -0x1.329546fd2a1b8p-18, -0x1.38a9e9928a45bp-18, -0x1.3e9e4e14e2cc6p-18, -0x1.44725e6051748p-18, -0x1.4a2609f0c9166p-18, -0x1.4fb945a9c4143p-18, -0x1.552c0ba1230c9p-18, -0x1.5a7e5aee4342fp-18, -0x1.5fb03772ff6fp-18, -0x1.64c1a9b100a2bp-18, -0x1.69b2be94a1e31p-18, -0x1.6e83874a9cb66p-18, -0x1.733419118530fp-18, -0x1.77c48d0f9bb1fp-18, -0x1.7c350027887b8p-18, -0x1.808592cf83dabp-18, -0x1.84b668e8c0e3ap-18, -0x1.88c7a99bd0b7ap-18, -0x1.8cb97f2e71163p-18, -0x1.908c16e2492c4p-18, -0x1.943fa0d0bb4cp-18, -0x1.97d44fc815b48p-18, -0x1.9b4a5929f325cp-18, -0x1.9ea1f4cc7d088p-18, -0x1.a1db5cd91fe25p-18, -0x1.a4f6cdaeacde8p-18, -0x1.a7f485c5283aap-18, -0x1.aad4c58e78b95p-18, -0x1.ad97cf5d1024fp-18, -0x1.b03de7485adafp-18, -0x1.b2c753112e2fdp-18, -0x1.b5345a0b44674p-18, -0x1.b78545026141ap-18, -0x1.b9ba5e241ae91p-18, -0x1.bbd3f0e82d9c9p-18, -0x1.bdd249fa40ddfp-18, -0x1.bfb5b7250f25bp-18, -0x1.c17e873d3315dp-18, -0x1.c32d0a0cbddbep-18, -0x1.c4c1904074b2bp-18, -0x1.c63c6b54bffd4p-18, -0x1.c79ded834597dp-18, -0x1.c8e669b1684d4p-18, -0x1.ca16335fd310bp-18, -0x1.cb2d9e996361ep-18, -0x1.cc2cffe430201p-18, -0x1.cd14ac3184992p-18, -0x1.cde4f8cfb5286p-18, -0x1.ce9e3b5b6f893p-18, -0x1.cf40c9b2c6bfdp-18, -0x1.cfccf9e693da3p-18, -0x1.d0432230187cap-18, -0x1.d0a398e263182p-18, -0x1.d0eeb4600cd9p-18, -0x1.d124cb0ef9b4cp-18, -0x1.d146334ec3492p-18, -0x1.d153436c52004p-18, -0x1.d14c5199756d6p-18, -0x1.d131b3e26bc17p-18, -0x1.d103c02492febp-18, -0x1.d0c2cc05ffe38p-18, -0x1.d06f2cec3a5b6p-18, -0x1.d00937f51e267p-18, -0x1.cf9141ed93414p-18, -0x1.cf079f4b438dp-18, -0x1.ce6ca424d7bffp-18, -0x1.cdc0a42b43d97p-18, -0x1.cd03f2a30eaf8p-18, -0x1.cc36e25e5e58ap-18, -0x1.cb59c5b6b3982p-18, -0x1.ca6cee86ed0e8p-18, -0x1.c970ae2693dd2p-18, -0x1.c86555646571ap-18, -0x1.c74b3481427c4p-18, -0x1.c6229b2bae97cp-18, -0x1.c4ebd87b8c785p-18, -0x1.c3a73aed42c83p-18, -0x1.c255105f073ffp-18, -0x1.c0f5a60ba9df7p-18, -0x1.bf89488829857p-18, -0x1.be1043c011d16p-18, -0x1.bc8ae2f208938p-18, -0x1.baf970adb8dc8p-18, -0x1.b95c36d022bfbp-18, -0x1.b7b37e81b077dp-18, -0x1.b5ff9033633b2p-18, -0x1.b440b39d50b79p-18, -0x1.b2772fbbb71d3p-18, -0x1.b0a34acde1361p-18, -0x1.aec54a54075fdp-18, -0x1.acdd730e01c6p-18, -0x1.aaec08f93d3fp-18, -0x1.a8f14f5051cddp-18, -0x1.a6ed88897291ep-18, -0x1.a4e0f65517122p-18, -0x1.a2cbd99d9bd5ep-18, -0x1.a0ae72862cd39p-18, -0x1.9e89006a6b838p-18, -0x1.9c5bc1dd66dadp-18, -0x1.9a26f4a975897p-18, -0x1.97ead5cfde113p-18, -0x1.95a7a1889f6e7p-18, -0x1.935d934259bf8p-18, -0x1.910ce5a267ebcp-18, -0x1.8eb5d284774c8p-18, -0x1.8c5892fabf046p-18, -0x1.89f55f4e9c817p-18, -0x1.878c6f00c919bp-18, -0x1.851df8c98b0acp-18, -0x1.82aa3298f8ec2p-18, -0x1.80315197c0d9fp-18, -0x1.7db38a2851e92p-18, -0x1.7b310fe682838p-18, -0x1.78aa15a88fc76p-18, -0x1.761ecd8056422p-18, -0x1.738f68bbb63e4p-18, -0x1.70fc17e5bae91p-18, -0x1.6e650ac782594p-18, -0x1.6bca706922202p-18, -0x1.692c77128ddfp-18, -0x1.668b4c4cf7352p-18, -0x1.63e71ce3b8a83p-18, -0x1.614014e5c92b8p-18, -0x1.5e965fa6c6bd4p-18, -0x1.5bea27c027a2bp-18, -0x1.593b9712797a5p-18, -0x1.568ad6c6d882ap-18, -0x1.53d80f5026e42p-18, -0x1.5123686c8ce7p-18, -0x1.4e6d0926ebe76p-18, -0x1.4bb517d823beap-18, -0x1.48fbba2881f7fp-18, -0x1.46411511632cp-18, -0x1.43854cdeb5cedp-18, -0x1.40c8853063eaep-18, -0x1.3e0ae0fbea65ap-18, -0x1.3b4c828e05991p-18, -0x1.388d8b8c05702p-18, -0x1.35ce1cf56f0c4p-18, -0x1.330e5725c59d8p-18, -0x1.304e59d65fap-18, -0x1.2d8e441f7a1e3p-18, -0x1.2ace347a2469dp-18, -0x1.280e48c1be033p-18, -0x1.254e9e3614c3p-18, -0x1.228f517c98f82p-18, -0x1.1fd07ea246d25p-18, -0x1.1d12411d146f5p-18, -0x1.1a54b3cdd8638p-18, -0x1.1797f1020c84bp-18, -0x1.14dc12754657dp-18, -0x1.12213152fa259p-18, -0x1.0f67663839729p-18, -0x1.0caec935712d8p-18, -0x1.09f771d0013dep-18, -0x1.07417703ea447p-18, -0x1.048cef458494bp-18, -0x1.01d9f0833c5ecp-18, -0x1.fe51204e7d246p-19, -0x1.f8f1c63262917p-19, -0x1.f395fb7f84cafp-19, -0x1.ee3de80514bc5p-19, -0x1.e8e9b296de15ep-19, -0x1.e3998110ff094p-19, -0x1.de4d785b2a6dp-19, -0x1.d905bc6be2619p-19, -0x1.d3c2704bae59dp-19, -0x1.ce83b618fbc56p-19, -0x1.c949af0a8ca47p-19, -0x1.c4147b730d41ap-19, -0x1.bee43ac465e5dp-19, -0x1.b9b90b92df958p-19, -0x1.b4930b986b648p-19, -0x1.af7257b77fb7dp-19, -0x1.aa570bfe729f8p-19, -0x1.a54143aaf59f7p-19, -0x1.a031192cd33cep-19, -0x1.9b26a628e6315p-19, -0x1.9622037bfe2afp-19, -0x1.9123493ecc924p-19, -0x1.8c2a8ec848bd5p-19, -0x1.8737eab0913b1p-19, -0x1.824b72d467089p-19, -0x1.7d653c57b98b3p-19, -0x1.78855ba8b43ebp-19, -0x1.73abe48292be8p-19, -0x1.6ed8e9f0a9d6fp-19, -0x1.6a0c7e5141e5dp-19, -0x1.6546b35883accp-19, -0x1.60879a12e496cp-19, -0x1.5bcf42e8138bp-19, -0x1.571dbd9dd6c22p-19, -0x1.5273195af3fcap-19, -0x1.4dcf64a99cc81p-19, -0x1.4932ad7a23facp-19, -0x1.449d0125b0e0bp-19, -0x1.400e6c70d0f9dp-19, -0x1.3b86fb8e42c95p-19, -0x1.3706ba20f6e2bp-19, -0x1.328db33fc1e29p-19, -0x1.2e1bf176a0672p-19, -0x1.29b17ec9b6553p-19, -0x1.254e64b7bdffcp-19, -0x1.20f2ac3ce690cp-19, -0x1.1c9e5dd46f0dep-19, -0x1.1851817ba2bb3p-19, -0x1.140c1eb400342p-19, -0x1.0fce3c85623eap-19, -0x1.0b97e180ac0dap-19, -0x1.076913c1bbe49p-19, -0x1.0341d8f1ed447p-19, -0x1.fe446c93aabfbp-20, -0x1.f6146128275bdp-20, -0x1.edf3985e720d1p-20, -0x1.e5e21a1f9a97bp-20, -0x1.dddfed852a205p-20, -0x1.d5ed18dd4fee5p-20, -0x1.ce09a1ae9e586p-20, -0x1.c6358cbc1e297p-20, -0x1.be70de0a11443p-20, -0x1.b6bb98e1a77d5p-20, -0x1.af15bfd3d741bp-20, -0x1.a77f54bea0326p-20, -0x1.9ff858cff88b5p-20, -0x1.9880cc8a5d0bfp-20, -0x1.9118afc7da08dp-20, -0x1.89c001bd147d7p-20, -0x1.8276c0febd152p-20, -0x1.7b3ceb83bab94p-20, -0x1.74127ea91a387p-20, -0x1.6cf7773528a37p-20, -0x1.65ebd15b62f46p-20, -0x1.5eef88bfeb80ap-20, -0x1.58029879bc988p-20, -0x1.5124fb16e8e36p-20, -0x1.4a56aaa008beep-20, -0x1.4397a09ab45a7p-20, -0x1.3ce7d60d24f85p-20, -0x1.36474380e1c3bp-20, -0x1.2fb5e10616213p-20, -0x1.2933a636097bbp-20, -0x1.22c08a36b74cbp-20, -0x1.1c5c83bddba35p-20, -0x1.160789135e42bp-20, -0x1.0fc1901385421p-20, -0x1.098a8e32e7d15p-20, -0x1.03627880a4c41p-20, -0x1.fa928752428dcp-21, -0x1.ee7dc7f050064p-21, -0x1.e2869ab89d4f4p-21, -0x1.d6ace6d2fc9fbp-21, -0x1.caf092b5789aep-21, -0x1.bf518429e766ap-21, -0x1.b3cfa053e1233p-21, -0x1.a86acbb4552ebp-21, -0x1.9d22ea2eacb51p-21, -0x1.91f7df0d2b53bp-21, -0x1.86e98d068af26p-21, -0x1.7bf7d640f08adp-21, -0x1.71229c565305ep-21, -0x1.6669c05b26f0ep-21, -0x1.5bcd22e02d0adp-21, -0x1.514ca3f7f997dp-21, -0x1.46e823397edbdp-21, -0x1.3c9f7fc678f06p-21, -0x1.3272984cf76p-21, -0x1.28614b0e07035p-21, -0x1.1e6b75df92145p-21, -0x1.1490f62f0106ep-21, -0x1.0ad1a907a09adp-21, -0x1.012d6b15d0be8p-21, -0x1.ef483152f32f1p-22, -0x1.dc6b1b728914fp-22, -0x1.c9c34bcf3e673p-22, -0x1.b750790b35023p-22, -0x1.a5125928f5fdp-22, }}, 
      {{-0x1.9d5b8c8b1b9a5p-7, -0x1.9ac72d20d187ep-6, -0x1.311e9cf607eb2p-5, -0x1.91e5846dc3b5bp-5, -0x1.ef7c2583d0012p-5, -0x1.24fce88c2543cp-4, -0x1.50d710ef26878p-4, -0x1.7b82c5b422317p-4, -0x1.a5393451c9ae2p-4, -0x1.ce2e40bcb1ca1p-4, -0x1.f68b860b09a61p-4, -0x1.0f3707dd3bad9p-3, -0x1.22f30bda01cd8p-3, -0x1.367c0ddd8d1p-3, -0x1.49cf5daf89969p-3, -0x1.5ce679ad69e3bp-3, -0x1.6fb835c3cd55dp-3, -0x1.8239d3139d04dp-3, -0x1.945ff92de976dp-3, -0x1.a61f88ac7bb29p-3, -0x1.b76e43c4bd777p-3, -0x1.c8434cd56cb8fp-3, -0x1.d8977d41e949ap-3, -0x1.e8659875ca323p-3, -0x1.f7aa5fd746bc2p-3, -0x1.03324670b2e67p-2, -0x1.0a4a5b5941f0fp-2, -0x1.111e9413f5fa7p-2, -0x1.17b0d59c00f86p-2, -0x1.1e03a6d9a8ceep-2, -0x1.241a117cc1879p-2, -0x1.29f782c69f4a8p-2, -0x1.2f9fad6a09f87p-2, -0x1.35166d5dc9509p-2, -0x1.3a5fae3c27661p-2, -0x1.3f7f54906a172p-2, -0x1.44792a433d778p-2, -0x1.4950ce305f556p-2, -0x1.4e09a6d1d201dp-2, -0x1.52a6d7d6aff77p-2, -0x1.572b3a6c64b8dp-2, -0x1.5b9957f772198p-2, -0x1.5ff366f400ap-2, -0x1.643b49b539f1p-2, -0x1.68728ebc0a112p-2, -0x1.6c9a7261681f3p-2, -0x1.70b3e19549a3p-2, -0x1.74bf7d7919e6ep-2, -0x1.78bd9fa2c4446p-2, -0x1.7cae5edb8b343p-2, -0x1.809194340b906p-2, -0x1.8466e04c70392p-2, -0x1.882db0b5352c4p-2, -0x1.8be54551968a6p-2, -0x1.8f8cb5a9088a3p-2, -0x1.9322f618e1c1dp-2, -0x1.96a6dcda7cc9cp-2, -0x1.9a1726d4fbbfdp-2, -0x1.9d727c340e375p-2, -0x1.a0b774bf26d47p-2, -0x1.a3e49bee137adp-2, -0x1.a6f874b954ec4p-2, -0x1.a9f17d25900b2p-2, -0x1.acce318a5b978p-2, -0x1.af8d0f9557e7fp-2, -0x1.b22c990b043f2p-2, -0x1.b4ab564734362p-2, -0x1.b707d87f4e108p-2, -0x1.b940bbc8bfdcep-2, -0x1.bb54a8e63dc53p-2, -0x1.bd4256de7340ap-2, -0x1.bf088c5eed003p-2, -0x1.c0a620ee04f26p-2, -0x1.c219fdee9787dp-2, -0x1.c3631f784b261p-2, -0x1.c480950728966p-2, -0x1.c57182053ca72p-2, -0x1.c6351e30daa9ep-2, -0x1.c6cab5e224394p-2, -0x1.c731aa324ac28p-2, -0x1.c7697106fa05cp-2, -0x1.c7719504499aep-2, -0x1.c749b5676cd38p-2, -0x1.c6f185cc50689p-2, -0x1.c668cde036993p-2, -0x1.c5af690348dd2p-2, -0x1.c4c545db06e9ap-2, -0x1.c3aa65d7516f4p-2, -0x1.c25edcabccc45p-2, -0x1.c0e2cfbf25fdfp-2, -0x1.bf367591c72b3p-2, -0x1.bd5a151d56951p-2, -0x1.bb4e052e572e9p-2, -0x1.b912abb920452p-2, -0x1.b6a87d2b4e44fp-2, -0x1.b40ffbbabbeeep-2, -0x1.b149b6b2f5022p-2, -0x1.ae5649c2077d4p-2, -0x1.ab365c45837dfp-2, -0x1.a7eaa0985f62dp-2, -0x1.a473d3626f3a8p-2, -0x1.a0d2baea05081p-2, -0x1.9d0826683b2aap-2, -0x1.9914ed606b16bp-2, -0x1.94f9eefb3122fp-2, -0x1.90b8116559542p-2, -0x1.8c50413305327p-2, -0x1.87c370c74bc18p-2, -0x1.831297c087eeep-2, -0x1.7e3eb26982c5ep-2, -0x1.7948c12f9d785p-2, -0x1.7431c81e1057ap-2, -0x1.6eface5e5219fp-2, -0x1.69a4ddbdb0a6ap-2, -0x1.6431023820403p-2, -0x1.5ea0498836ef9p-2, -0x1.58f3c2bc57434p-2, -0x1.532c7dd0ee3dcp-2, -0x1.4d4b8b4fbcf88p-2, -0x1.4751fbf415cb6p-2, -0x1.4140e053f0d29p-2, -0x1.3b19488dbc8efp-2, -0x1.34dc43facf5b2p-2, -0x1.2e8ae0e655a62p-2, -0x1.28262c489bf6dp-2, -0x1.21af31868f55bp-2, -0x1.1b26fa3554e3ep-2, -0x1.148e8de1cb517p-2, -0x1.0de6f1dbd6faep-2, -0x1.073129054fc49p-2, -0x1.006e33a469921p-2, -0x1.f33e1e72ecb65p-3, -0x1.e5896cafa844bp-3, -0x1.d7c04103d1c8cp-3, -0x1.c9e484100ab83p-3, -0x1.bbf817d415f62p-3, -0x1.adfcd7775e885p-3, -0x1.9ff497167fe3bp-3, -0x1.91e12395850bcp-3, -0x1.83c44276a2b46p-3, -0x1.759fb1b5298d2p-3, -0x1.677527a47869fp-3, -0x1.594652d2b8a0dp-3, -0x1.4b14d9ef22a54p-3, -0x1.3ce25bb3a188fp-3, -0x1.2eb06ed1960cfp-3, -0x1.2080a1e19999p-3, -0x1.12547b55fd5e8p-3, -0x1.042d796ff5d0ep-3, -0x1.ec1a246e4d9dfp-4, -0x1.cfe966e70bddap-4, -0x1.b3cb8552c6d74p-4, -0x1.97c33a2ed7123p-4, -0x1.7bd32f6d2b5fap-4, -0x1.5ffdfe7793dfp-4, -0x1.44463036601edp-4, -0x1.28ae3d1a0946dp-4, -0x1.0d388d27b9531p-4, -0x1.e3cef010f9c64p-5, -0x1.ad7a8a35ded17p-5, -0x1.7778570e70bd3p-5, -0x1.41cca4aa638cp-5, -0x1.0c7ba1092975dp-5, -0x1.af12b49c0d3b9p-6, -0x1.45f37def50307p-6, -0x1.bb42786bd175ep-7, -0x1.d88d3d0767492p-8, -0x1.f01b21d7276cap-11, 0x1.58fd06de562bcp-8, 0x1.762cb25299e54p-7, 0x1.1efe0192a6d32p-6, 0x1.81f00adf63433p-6, 0x1.e3e680026ff75p-6, 0x1.226dd32cdb741p-5, 0x1.5264fe87404cbp-5, 0x1.81d61e3957fa4p-5, 0x1.b0beaaad717b9p-5, 0x1.df1c383ae97f8p-5, 0x1.06763b684543ep-4, 0x1.1d1698ced560ep-4, 0x1.336e275d1832fp-4, 0x1.497be766bfe41p-4, 0x1.5f3ee65a3b7e4p-4, 0x1.74b63e933a7a1p-4, 0x1.89e1172cc448cp-4, 0x1.9ebea3d2ee95bp-4, 0x1.b34e24942bbc7p-4, 0x1.c78ee5b251d28p-4, 0x1.db803f7343921p-4, 0x1.ef2195f160a04p-4, 0x1.01392c75d2897p-3, 0x1.0ab901cac936bp-3, 0x1.14100e3372ccep-3, 0x1.1d3e1a758cee3p-3, 0x1.2642f4c85d43p-3, 0x1.2f1e70bc50a5fp-3, 0x1.37d0672280cdcp-3, 0x1.4058b5f432ed8p-3, 0x1.48b7403a4a04cp-3, 0x1.50ebedf4aea0ep-3, 0x1.58f6ac01b4dcbp-3, 0x1.60d76c057b561p-3, 0x1.688e24514e8ap-3, 0x1.701acfcb0a6ep-3, 0x1.777d6dd48312cp-3, 0x1.7eb60232eb84ep-3, 0x1.85c494f651c98p-3, 0x1.8ca9326119fa3p-3, 0x1.9363eacf92019p-3, 0x1.99f4d29f8b801p-3, 0x1.a05c02180f336p-3, 0x1.a69995511e705p-3, 0x1.acadac1b8c5ccp-3, 0x1.b29869e8f4309p-3, 0x1.b859f5b3c10ep-3, 0x1.bdf279e75acbcp-3, 0x1.c36224486ee4ap-3, 0x1.c8a925dd574f8p-3, 0x1.cdc7b2d6a80b2p-3, 0x1.d2be0277e0ba6p-3, 0x1.d78c4f00408e3p-3, 0x1.dc32d593c62b2p-3, 0x1.e0b1d6245b897p-3, 0x1.e509935b2a4b8p-3, 0x1.e93a52821f93ep-3, 0x1.ed445b6da11ep-3, 0x1.f127f86671d5dp-3, 0x1.f4e57613c9746p-3, 0x1.f87d2365a001cp-3, 0x1.fbef517f2fe09p-3, 0x1.ff3c53a1b3a9p-3, 0x1.01323f8ba951ap-2, 0x1.02b4158f2b21ap-2, 0x1.0423d86a45cfap-2, 0x1.0581b59179984p-2, 0x1.06cddb54ceb77p-2, 0x1.080878d5e918ap-2, 0x1.0931bdfe3b412p-2, 0x1.0a49db755873ap-2, 0x1.0b5102976a74ap-2, 0x1.0c47656bc6f81p-2, 0x1.0d2d369ba9911p-2, 0x1.0e02a9690f7e1p-2, 0x1.0ec7f1a5b4e3p-2, 0x1.0f7d43aa3a07cp-2, 0x1.1022d44d659ecp-2, 0x1.10b8d8db9224fp-2, 0x1.113f870e3b5c8p-2, 0x1.11b71503b27bfp-2, 0x1.121fb936f66d6p-2, 0x1.1279aa77b1e0cp-2, 0x1.12c51fe260823p-2, 0x1.130250d894bc4p-2, 0x1.133174f96894p-2, 0x1.1352c41a1225p-2, 0x1.1366763e9d7efp-2, 0x1.136cc392cc56bp-2, 0x1.1365e4631e2d1p-2, 0x1.13521115fc15ep-2, 0x1.133182250c137p-2, 0x1.13047016a9645p-2, 0x1.12cb13778465ep-2, 0x1.1285a4d465a5cp-2, 0x1.12345cb41b2cap-2, 0x1.11d773918572ap-2, 0x1.116f21d5cf6e7p-2, 0x1.10fb9fd2cab43p-2, 0x1.107d25bd6f342p-2, 0x1.0ff3eba880cc9p-2, 0x1.0f60297f5bffbp-2, 0x1.0ec21700e5686p-2, 0x1.0e19ebba9bed9p-2, 0x1.0d67df03d3dc3p-2, 0x1.0cac27f911ac5p-2, 0x1.0be6fd778a276p-2, 0x1.0b189618c7812p-2, 0x1.0a41282e6d38ep-2, 0x1.0960e9be2400fp-2, 0x1.0878107da550ap-2, 0x1.0786d1cee862fp-2, 0x1.068d62bc73457p-2, 0x1.058bf7f5cb91cp-2, 0x1.0482c5cc0904fp-2, 0x1.0372002e87c07p-2, 0x1.0259daa7bb178p-2, 0x1.013a885a231adp-2, 0x1.00143bfd5ac55p-2, 0x1.fdce4fb698d8p-3, 0x1.fb66fb9b02e62p-3, 0x1.f8f2de7520b5cp-3, 0x1.f6725a274ec7bp-3, 0x1.f3e5cfa4705cep-3, 0x1.f14d9eeb77171p-3, 0x1.eeaa27032acfcp-3, 0x1.ebfbc5f62392bp-3, 0x1.e942d8ceff681p-3, 0x1.e67fbb94cb23bp-3, 0x1.e3b2c9479e381p-3, 0x1.e0dc5bdd7097fp-3, 0x1.ddfccc3f1f35cp-3, 0x1.db147245a54a8p-3, 0x1.d823a4b783597p-3, 0x1.d52ab9465afb1p-3, 0x1.d22a048cb5c17p-3, 0x1.cf21da0bfe402p-3, 0x1.cc128c2aa34c8p-3, 0x1.c8fc6c32681aap-3, 0x1.c5dfca4ee2171p-3, 0x1.c2bcf58c21da9p-3, 0x1.bf943bd57e6c5p-3, 0x1.bc65e9f491c55p-3, 0x1.b9324b905ce9dp-3, 0x1.b5f9ab2c8827cp-3, 0x1.b2bc5228d73b8p-3, 0x1.af7a88c0b9998p-3, 0x1.ac34960affaaap-3, 0x1.a8eabff9b4178p-3, 0x1.a59d4b5a1925cp-3, 0x1.a24c7bd4c1585p-3, 0x1.9ef893edd0874p-3, 0x1.9ba1d50554b6dp-3, 0x1.98487f57c2feep-3, 0x1.94ecd1fe8df4dp-3, 0x1.918f0af0dade8p-3, 0x1.8e2f670455aedp-3, 0x1.8ace21ee185bep-3, 0x1.876b7643b3a24p-3, 0x1.84079d7c4dc59p-3, 0x1.80a2cff1dad39p-3, 0x1.7d3d44e26bc57p-3, 0x1.79d7327194805p-3, 0x1.7670cda9e9953p-3, 0x1.730a4a7e8f98cp-3, 0x1.6fa3dbcce3fd6p-3, 0x1.6c3db35e34e0cp-3, 0x1.68d801e9925cap-3, 0x1.6572f715a6ep-3, 0x1.620ec17aaf339p-3, 0x1.5eab8ea478a5fp-3, 0x1.5b498b1474545p-3, 0x1.57e8e243d4205p-3, 0x1.5489bea5c209p-3, 0x1.512c49a998653p-3, 0x1.4dd0abbd2f39ep-3, 0x1.4a770c4f341f2p-3, 0x1.471f91d18d944p-3, 0x1.43ca61bbcf0a2p-3, 0x1.4077a08dab2b6p-3, 0x1.3d2771d18087fp-3, 0x1.39d9f81ee721fp-3, 0x1.368f551d42601p-3, 0x1.3347a986681cap-3, 0x1.3003152945f24p-3, 0x1.2cc1b6ec8f541p-3, 0x1.2983acd17715ap-3, 0x1.264913f66b95ep-3, 0x1.23120899d750cp-3, 0x1.1fdea61cedc09p-3, 0x1.1caf070672175p-3, 0x1.198345058dcdcp-3, 0x1.165b78f4a6509p-3, 0x1.1337badc32adfp-3, 0x1.101821f59a0edp-3, 0x1.0cfcc4ae106ddp-3, 0x1.09e5b8a97ddc7p-3, 0x1.06d312c558966p-3, 0x1.03c4e71b90ac5p-3, 0x1.00bb490572025p-3, 0x1.fb6c963d1566cp-4, 0x1.f56bfe8f2832p-4, 0x1.ef74ed52a992ap-4, 0x1.e987836f16c14p-4, 0x1.e3a3e067a2c1cp-4, 0x1.ddca226101686p-4, 0x1.d7fa66272b55cp-4, 0x1.d234c73321f31p-4, 0x1.cc795fb0b36e1p-4, 0x1.c6c8488429989p-4, 0x1.c121995011694p-4, 0x1.bb85687adbc8bp-4, 0x1.b5f3cb348ff57p-4, 0x1.b06cd57c6fd5bp-4, 0x1.aaf09a268e36p-4, 0x1.a57f2ae16f961p-4, 0x1.a018983b9416dp-4, 0x1.9abcf1a8f517ep-4, 0x1.956c45888deadp-4, 0x1.9026a129cbe4ap-4, 0x1.8aec10d1f6854p-4, 0x1.85bc9fc1930b8p-4, 0x1.80985839bc9a4p-4, 0x1.7b7f43816dc38p-4, 0x1.767169eac3eacp-4, 0x1.716ed2d837bfbp-4, 0x1.6c7784c1c6977p-4, 0x1.678b853a11ec1p-4, 0x1.62aad8f376f12p-4, 0x1.5dd583c51355cp-4, 0x1.590b88afc329fp-4, 0x1.544ce9e30f75ep-4, 0x1.4f99a8c210ae1p-4, 0x1.4af1c5e8455d8p-4, 0x1.4655412e59dc4p-4, 0x1.41c419aee4f05p-4, 0x1.3d3e4dcb143fdp-4, 0x1.38c3db2f4e345p-4, 0x1.3454bed7c4908p-4, 0x1.2ff0f514f9d3fp-4, 0x1.2b98799037d8p-4, 0x1.274b474ff7d26p-4, 0x1.230958bc415f7p-4, 0x1.1ed2a7a2f38e7p-4, 0x1.1aa72d3c04c82p-4, 0x1.1686e22db4cfbp-4, 0x1.1271be90abc35p-4, 0x1.0e67b9f41105dp-4, 0x1.0a68cb618d923p-4, 0x1.0674e96144d01p-4, 0x1.028c09fdbb75ep-4, 0x1.fd5c458f6272dp-5, 0x1.f5b651b3da447p-5, 0x1.ee2621b9f0e11p-5, 0x1.e6ab9e159a68dp-5, 0x1.df46ae64eeb15p-5, 0x1.d7f7397748872p-5, 0x1.d0bd255449d6fp-5, 0x1.c9985742c5cdfp-5, 0x1.c288b3cf8dc5fp-5, 0x1.bb8e1ed41e874p-5, 0x1.b4a87b7d30564p-5, 0x1.add7ac5133a77p-5, 0x1.a71b9336a2e62p-5, 0x1.a074117a42a44p-5, 0x1.99e107d545a3cp-5, 0x1.936256734c48dp-5, 0x1.8cf7dcf852ce8p-5, 0x1.86a17a867ca67p-5, 0x1.805f0dc3c6dcfp-5, 0x1.7a3074df9dfdep-5, 0x1.74158d985f90cp-5, 0x1.6e0e3540aee67p-5, 0x1.681a48c4c9e5ep-5, 0x1.6239a4afaa7b3p-5, 0x1.5c6c25301c6ap-5, 0x1.56b1a61db20cfp-5, 0x1.510a02fda344fp-5, 0x1.4b75170790427p-5, 0x1.45f2bd2a2f8c8p-5, 0x1.4082d00fdb4f9p-5, 0x1.3b252a230827p-5, 0x1.35d9a592ad79ep-5, 0x1.30a01c567eb2ap-5, 0x1.2b78683328aecp-5, 0x1.266262be61cbbp-5, 0x1.215de562e8024p-5, 0x1.1c6ac9646f2c2p-5, 0x1.1788e7e368962p-5, 0x1.12b819e0c7675p-5, 0x1.0df838419fbcep-5, 0x1.09491bd2b04f7p-5, 0x1.04aa9d4be07bep-5, 0x1.001c95539ea1dp-5, 0x1.f73db90451633p-6, 0x1.ee6296c990d3bp-6, 0x1.e5a77501ea62ep-6, 0x1.dd0c04aeb22f8p-6, 0x1.d48ff6cdac5dap-6, 0x1.cc32fc5ec40e2p-6, 0x1.c3f4c669b0be4p-6, 0x1.bbd5060377101p-6, 0x1.b3d36c53b8509p-6, 0x1.abefaa99de1a9p-6, 0x1.a42972322d585p-6, 0x1.9c80749aa47eap-6, 0x1.94f46377ae27p-6, 0x1.8d84f098e0544p-6, 0x1.8631cdfd4c884p-6, 0x1.7efaadd7f7f66p-6, 0x1.77df4293fddbbp-6, 0x1.70df3ed8a25cbp-6, 0x1.69fa558d4eddcp-6, 0x1.633039dd5e825p-6, 0x1.5c809f3bd20afp-6, 0x1.55eb3966e137dp-6, 0x1.4f6fbc6b66e07p-6, 0x1.490ddca84fdb3p-6, 0x1.42c54ed1bc7d6p-6, 0x1.3c95c7f418f58p-6, 0x1.367efd7735a54p-6, 0x1.3080a5210e8efp-6, 0x1.2a9a7518a894p-6, 0x1.24cc23e8a6379p-6, 0x1.1f156881f5034p-6, 0x1.1975fa3e2c1bp-6, 0x1.13ed90e1fa4c6p-6, 0x1.0e7be49f64f84p-6, 0x1.0920ae17f564dp-6, 0x1.03dba65ecb522p-6, 0x1.fd590df54cd2p-7, 0x1.f32613cf7023fp-7, 0x1.e91dd333011e4p-7, 0x1.df3fc1f91a3fp-7, 0x1.d58b56f015024p-7, 0x1.cc0009ded4e73p-7, 0x1.c29d5387817e8p-7, 0x1.b962adaa8b10dp-7, 0x1.b04f9309390c4p-7, 0x1.a7637f681272ep-7, 0x1.9e9def91545b9p-7, 0x1.95fe61571401bp-7, 0x1.8d84539556faep-7, 0x1.852f4633ec17dp-7, 0x1.7cfeba28487dfp-7, 0x1.74f2317718c14p-7, 0x1.6d092f35ecbc1p-7, 0x1.6543378c6bc62p-7, 0x1.5d9fcfb5b5f49p-7, 0x1.561e7e01a393cp-7, 0x1.4ebec9d588c6fp-7, 0x1.47803bad7aa2ep-7, 0x1.40625d1cdbeaap-7, 0x1.3964b8cf35cc1p-7, 0x1.3286da88cca2p-7, 0x1.2bc84f27101f7p-7, 0x1.2528a4a11728cp-7, 0x1.1ea76a07e4a5dp-7, 0x1.18442f869ead2p-7, 0x1.11fe8662b6346p-7, 0x1.0bd600fbe8e43p-7, 0x1.05ca32cc241acp-7, 0x1.ffb560ceee899p-8, 0x1.f40e1ef7c0b5cp-8, 0x1.e89dcda1d6acp-8, 0x1.dd639c8eba13cp-8, 0x1.d25ebdb1800b1p-8, 0x1.c78e652db505fp-8, 0x1.bcf1c9565f32cp-8, 0x1.b28822ac3c1dap-8, 0x1.a850abdcf9b02p-8, 0x1.9e4aa1c0fbec4p-8, 0x1.9475435a0bfffp-8, 0x1.8acfd1d17e8b8p-8, 0x1.815990762787p-8, 0x1.7811c4ba5a893p-8, 0x1.6ef7b631de643p-8, 0x1.660aae8f9bcc7p-8, 0x1.5d49f9a34735ep-8, 0x1.54b4e556ec038p-8, 0x1.4c4ac1ac617a1p-8, 0x1.440ae0bad8782p-8, 0x1.3bf496abc7e4ap-8, 0x1.340739b887e9ap-8, 0x1.2c4222273681bp-8, 0x1.24a4aa47f26e9p-8, 0x1.1d2e2e71934d6p-8, 0x1.15de0cfef961fp-8, 0x1.0eb3a64b8144ep-8, 0x1.07ae5cb010b0ep-8, 0x1.00cd947fbb734p-8, 0x1.f4216808f54f4p-9, 0x1.e6ee46f76ef5dp-9, 0x1.da009a25cf53bp-9, 0x1.cd5739c82d26fp-9, 0x1.c0f101e48ee75p-9, 0x1.b4ccd24c2062ap-9, 0x1.a8e98e93833a4p-9, 0x1.9d461e0bf54c2p-9, 0x1.91e16bbb71e6ap-9, 0x1.86ba6655b81b1p-9, 0x1.7bd00034625fbp-9, 0x1.71212f4f9d81fp-9, 0x1.66aced3648b9cp-9, 0x1.5c7237067c327p-9, 0x1.52700d65a0ac3p-9, 0x1.48a57478ca1bbp-9, 0x1.3f1173dcbd482p-9, 0x1.35b3169e479a2p-9, 0x1.2c896b323617p-9, 0x1.2393836d7573fp-9, 0x1.1ad0747d04007p-9, 0x1.123f56de4343cp-9, 0x1.09df46568ac38p-9, 0x1.01af61ebafac6p-9, 0x1.f35d97b6cafd2p-10, 0x1.e3b95327c177dp-10, 0x1.d470475637fd2p-10, 0x1.c580cbae935aep-10, 0x1.b6e93dcd7f696p-10, 0x1.a8a8016f2b1dbp-10, 0x1.9abb805fd7809p-10, 0x1.8d222a6badffep-10, 0x1.7fda754e73d8dp-10, 0x1.72e2dca37fefcp-10, 0x1.6639e1d6213f1p-10, 0x1.59de0c112ad95p-10, 0x1.4dcde82f2b0e6p-10, 0x1.420808aad1da7p-10, 0x1.368b058e60c22p-10, 0x1.2b557c6453af5p-10, 0x1.20661027c51f4p-10, 0x1.15bb693431501p-10, 0x1.0b543536185bdp-10, 0x1.012f271bb017p-10, 0x1.ee95ee08a9334p-11, 0x1.db4cc464af831p-11, 0x1.c88055f53b83bp-11, 0x1.b62e316b37ce2p-11, 0x1.a453ef609bcd3p-11, 0x1.92ef3239bd3c6p-11, 0x1.81fda6062de97p-11, 0x1.717d006417647p-11, 0x1.616b00618e4c8p-11, 0x1.51c56e5f088afp-11, 0x1.428a1bf1b9e27p-11, 0x1.33b6e3c64f125p-11, 0x1.2549a983e0d15p-11, 0x1.174059ae4928ap-11, 0x1.0998e98ae5da4p-11, 0x1.f8a2ae031c024p-12, 0x1.decf51054c78fp-12, 0x1.c5b3d9d32ebd3p-12, 0x1.ad4c76c0e2175p-12, 0x1.9595668bb756cp-12, 0x1.7e8af81ec7b6fp-12, 0x1.68298a5f2e53dp-12, 0x1.526d8bf3c9415p-12, 0x1.3d537b11633cep-12, 0x1.28d7e5430c8a2p-12, 0x1.14f76736fe30fp-12, 0x1.01aeac88f11c2p-12, 0x1.ddf4df1c087a4p-13, 0x1.b9aef242547d6p-13, 0x1.968540e0652e4p-13, 0x1.74719591b004dp-13, 0x1.536dd6cb81253p-13, 0x1.3374067e766fp-13, 0x1.147e41ab76b08p-13, 0x1.ed0d80107a798p-14, 0x1.b30fa737ca8a8p-14, 0x1.7af7d0be26765p-14, 0x1.44bb07ba7bc27p-14, 0x1.104e89add6056p-14, 0x1.bb4f8b87e8455p-15, 0x1.5978b843c3fbfp-15, 0x1.f60874acfba99p-16, 0x1.3fbc232cf0a2ep-16, 0x1.1fca6e3dd89c6p-17, -0x1.9a2dbe7cc1f3p-20, -0x1.7a03d8b34980ap-17, -0x1.5a5d1d936595bp-16, -0x1.f1d8e27c6c44cp-16, -0x1.41cc8019365fp-15, -0x1.87e0484f746ffp-15, -0x1.cb39028682054p-15, -0x1.05f3ca333dc0ep-14, -0x1.24fe48eae5d0bp-14, -0x1.42c41f20891f9p-14, -0x1.5f4d46eac5125p-14, -0x1.7aa1935a3f22ap-14, -0x1.94c8b11b316d3p-14, -0x1.adca270b55d45p-14, -0x1.c5ad56cc3b4d6p-14, -0x1.dc797d657124p-14, -0x1.f235b3cc77bb3p-14, -0x1.037477be4c8d4p-13, -0x1.0d4d01830434fp-13, -0x1.16a7cf4f4fe16p-13, -0x1.1f8828549abd6p-13, -0x1.27f14323fdf1cp-13, -0x1.2fe645f057c5p-13, -0x1.376a46d3a865fp-13, -0x1.3e804c10572d7p-13, -0x1.452b4c5602e5fp-13, -0x1.4b6e2effaf511p-13, -0x1.514bcc5796888p-13, -0x1.56c6edd3487e1p-13, -0x1.5be24e55d505bp-13, -0x1.60a09a6bcbcf9p-13, -0x1.650470882ce02p-13, -0x1.69106143c4ba1p-13, -0x1.6cc6ef944b0c4p-13, -0x1.702a910af17e5p-13, -0x1.733dae0cee428p-13, -0x1.7602a20ba8facp-13, -0x1.787bbbc041199p-13, -0x1.7aab3d5f81038p-13, -0x1.7c935cd4945f5p-13, -0x1.7e3643f36a653p-13, -0x1.7f9610b1b2d46p-13, -0x1.80b4d558cec55p-13, -0x1.819498bc00a5fp-13, -0x1.82375669cebb2p-13, -0x1.829efedf60bcep-13, -0x1.82cd77baa966dp-13, -0x1.82c49beb7d503p-13, -0x1.82863be2462d6p-13, -0x1.82141dc2ea6d7p-13, -0x1.816ffd9017afbp-13, -0x1.809b8d5d03d7cp-13, -0x1.7f98757897fcep-13, -0x1.7e68549bd467ap-13, -0x1.7d0cc0154ac45p-13, -0x1.7b8743f6e567p-13, -0x1.79d9633cb388fp-13, -0x1.780497fc97d6ep-13, -0x1.760a538b7d8dfp-13, -0x1.73ebfea9b943ap-13, -0x1.71aaf9a90d2cfp-13, -0x1.6f489c9765439p-13, -0x1.6cc637630bae2p-13, -0x1.6a251203f81a8p-13, -0x1.67666ca007c0bp-13, -0x1.648b7fb27bf79p-13, -0x1.61957c2efff9p-13, -0x1.5e858ba6dd182p-13, -0x1.5b5cd06da9a99p-13, -0x1.581c65bb0436cp-13, -0x1.54c55fce1daa5p-13, -0x1.5158cc1088225p-13, -0x1.4dd7b13603a53p-13, -0x1.4a430f5ff2afep-13, -0x1.469be03b553e9p-13, -0x1.42e317243d5aap-13, -0x1.3f19a1411d978p-13, -0x1.3b4065a5a7352p-13, -0x1.3758456f25ed3p-13, -0x1.33621be353286p-13, -0x1.2f5ebe8d9a2ebp-13, -0x1.2b4efd5c7bddep-13, -0x1.2733a2bdf8e03p-13, -0x1.230d73bbd7dc5p-13, -0x1.1edd3016db9fap-13, -0x1.1aa39262f9fe7p-13, -0x1.16615020dc3e8p-13, -0x1.121719d9265f3p-13, -0x1.0dc59b36033a5p-13, -0x1.096d7b1cc7293p-13, -0x1.050f5bc693c25p-13, -0x1.00abdad928a0ep-13, -0x1.f88722fefc40ep-14, -0x1.efae2902427c3p-14, -0x1.e6cde8b11d8adp-14, -0x1.dde77a99f960dp-14, -0x1.d4fbef0bb77e8p-14, -0x1.cc0c4e457a511p-14, -0x1.c31998a19cca7p-14, -0x1.ba24c6c0de369p-14, -0x1.b12ec9b3178fap-14, -0x1.a8388b226e885p-14, -0x1.9f42ed7af34aap-14, -0x1.964ecc12da663p-14, -0x1.8d5cfb517d799p-14, -0x1.846e48d6d2ee6p-14, -0x1.7b837b9fbd393p-14, -0x1.729d542d388cp-14, -0x1.69bc8ca64f24cp-14, -0x1.60e1d8fed807cp-14, -0x1.580de718a696dp-14, -0x1.4f415ee7b0905p-14, -0x1.467ce29222a4dp-14, -0x1.3dc10e937051bp-14, -0x1.350e79dc5b501p-14, -0x1.2c65b5f336487p-14, -0x1.23c74f1457cd4p-14, -0x1.1b33cc4e820c4p-14, -0x1.12abafa4ccaa6p-14, -0x1.0a2f7629e16adp-14, -0x1.01bf981ebea37p-14, -0x1.f2b9121d149fp-15, -0x1.e20d6fd66f71ap-15, -0x1.d17d1e547dedfp-15, -0x1.c108e9bb36effp-15, -0x1.b0b195a1013a8p-15, -0x1.a077dd3fd1283p-15, -0x1.905c73ac0e6bep-15, -0x1.80600404010cbp-15, -0x1.708331a28bfa7p-15, -0x1.60c6984f779d5p-15, -0x1.512acc6e82f2p-15, -0x1.41b05b2faadb8p-15, -0x1.3257caba0996ep-15, -0x1.23219a5bbc695p-15, -0x1.140e42b3c9c25p-15, -0x1.051e35de6bdb1p-15, -0x1.eca3bf3cef548p-16, -0x1.cf534b0e7ed6dp-16, -0x1.b24bce4b3d8fcp-16, -0x1.958dfc4ddff0dp-16, -0x1.791a7d01b95a9p-16, -0x1.5cf1ed2ea047ap-16, -0x1.4114dec338765p-16, -0x1.2583d91f8e7e1p-16, -0x1.0a3f595ec148cp-16, -0x1.de8fa52e52e0ap-17, -0x1.a93b5c4f9aab4p-17, -0x1.748297ed97cb7p-17, -0x1.4066056ad9d73p-17, -0x1.0ce640411e867p-17, -0x1.b407a506972dfp-18, -0x1.4f7e6aaa5396fp-18, -0x1.d86345b1f9b0bp-19, -0x1.1443fdfeafb76p-19, -0x1.4a808c792ac5ep-21, 0x1.b21d89e4451efp-21, 0x1.2931e4bb8eb57p-19, 0x1.e35eee784914bp-19, 0x1.4d8720d6dd89ep-18, 0x1.a81feadf1b381p-18, 0x1.00bcf57e81a5ap-17, 0x1.2ccaa7ff32437p-17, 0x1.58393089d771dp-17, 0x1.8308be837d134p-17, 0x1.ad398cc60df33p-17, 0x1.d6cbe13bc1983p-17, 0x1.ffc00c8c67956p-17, 0x1.140b34e0c3f88p-16, 0x1.27e7aef65f1e9p-16, 0x1.3b75abecd99d8p-16, 0x1.4eb567d9bbb65p-16, 0x1.61a7235ec8d8p-16, 0x1.744b237c5899fp-16, 0x1.86a1b16ff56cbp-16, 0x1.98ab1a8b38a9ep-16, 0x1.aa67b010c97eep-16, 0x1.bbd7c70ee6c7ep-16, 0x1.ccfbb83c8c2b7p-16, 0x1.ddd3dfd6fd889p-16, 0x1.ee609d80c917ep-16, 0x1.fea2541e6e6d9p-16, 0x1.074cb4dc5bf68p-15, 0x1.0f2323aed6561p-15, 0x1.16d4ac7f428a8p-15, 0x1.1e6186aa2b6a1p-15, 0x1.25c9eae15cfa5p-15, 0x1.2d0e131d7c886p-15, 0x1.342e3a8f6eab7p-15, 0x1.3b2a9d936f6e1p-15, 0x1.420379a3bd4bdp-15, 0x1.48b90d4b70803p-15, 0x1.4f4b98198072fp-15, 0x1.55bb5a9537eb2p-15, 0x1.5c0896317d228p-15, 0x1.62338d41797ddp-15, 0x1.683c82ec704cfp-15, 0x1.6e23bb23cf293p-15, 0x1.73e97a9721882p-15, 0x1.798e06a9d0c16p-15, 0x1.7f11a56954d9ep-15, 0x1.84749d8242ea4p-15, 0x1.89b73636e212bp-15, 0x1.8ed9b755b9969p-15, 0x1.93dc69300e656p-15, 0x1.98bf9490d220ap-15, 0x1.9d8382b3d4c9ep-15, 0x1.a2287d3ceba14p-15, 0x1.a6aece2ffef5ap-15, 0x1.ab16bfe8ab26dp-15, 0x1.af609d1212a6dp-15, 0x1.b38cb09f7f263p-15, 0x1.b79b45c4dceb3p-15, 0x1.bb8ca7eefb6f5p-15, 0x1.bf6122bd0c1f2p-15, 0x1.c31901f949a5fp-15, 0x1.c6b4919259db3p-15, 0x1.ca341d94d1311p-15, 0x1.cd97f224f4d3ep-15, 0x1.d0e05b78362bep-15, 0x1.d40da5cfd6e33p-15, 0x1.d7201d729f217p-15, 0x1.da180ea6fe109p-15, 0x1.dcf5c5ae6a51p-15, 0x1.dfb98ebf59c7fp-15, 0x1.e263b60062aa7p-15, 0x1.e4f4878316ff8p-15, 0x1.e76c4f3f65cc9p-15, 0x1.e9cb590ecedcep-15, 0x1.ec11f0a7d9301p-15, 0x1.ee4061998fe4ap-15, 0x1.f056f74787af6p-15, 0x1.f255fce599be3p-15, 0x1.f43dbd73bab54p-15, 0x1.f60e83ba7ef89p-15, 0x1.f7c89a46e84bp-15, 0x1.f96c4b6754bcep-15, 0x1.faf9e12777e3ap-15, 0x1.fc71a54d973e7p-15, 0x1.fdd3e156d536ap-15, 0x1.ff20de74217fap-15, 0x1.002c72c3c86ecp-14, 0x1.00be1f9084e44p-14, 0x1.014599bdb7c39p-14, 0x1.01c3053d36cdep-14, 0x1.023685d3bee13p-14, 0x1.02a03f17bfbe5p-14, 0x1.03005470268c1p-14, 0x1.0356e91341ef3p-14, 0x1.03a42005a3f8dp-14, 0x1.03e81c19097c5p-14, 0x1.0422ffeb52b06p-14, 0x1.0454ede5b31e3p-14, 0x1.047e083b96cdep-14, 0x1.049e70e9d573bp-14, 0x1.04b649b5ce31ep-14, 0x1.04c5b42c9ac5dp-14, 0x1.04ccd1a25009fp-14, 0x1.04cbc3314dc73p-14, 0x1.04c2a9b982d14p-14, 0x1.04b1a5dfaf55bp-14, 0x1.0498d80cef95ap-14, 0x1.0478606deb788p-14, 0x1.04505ef27b37p-14, 0x1.0420f34d15ccbp-14, 0x1.03ea3cf245e57p-14, 0x1.03ac5b182c4e6p-14, 0x1.03676cb615508p-14, 0x1.031b908426b98p-14, 0x1.02c8e4fae2d6cp-14, 0x1.026f8852e8539p-14, 0x1.020f988494024p-14, 0x1.01a93347ac8d6p-14, 0x1.013c76130f3dap-14, 0x1.00c97e1c9b147p-14, 0x1.00506858d82a7p-14, 0x1.ffa2a2f5b0ae1p-15, 0x1.fe98abe803bbep-15, 0x1.fd8323e7786a4p-15, 0x1.fc6242cf34b49p-15, 0x1.fb363ff610ffp-15, 0x1.f9ff522e7e255p-15, 0x1.f8bdafc6b16fcp-15, 0x1.f7718e880271ap-15, 0x1.f61b23b71ffffp-15, 0x1.f4baa41415f4dp-15, 0x1.f35043da2d1ecp-15, 0x1.f1dc36c0024fep-15, 0x1.f05eaff7698aep-15, 0x1.eed7e22de42ffp-15, 0x1.ed47ff8c78a24p-15, 0x1.ebaf39b816152p-15, 0x1.ea0dc1d19d317p-15, 0x1.e863c875edc65p-15, 0x1.e6b17dbe6e416p-15, 0x1.e4f711412b63p-15, 0x1.e334b21162f48p-15, 0x1.e16a8ebf802dbp-15, 0x1.df98d5599dc55p-15, 0x1.ddbfb36bcfcccp-15, 0x1.dbdf5600be9cfp-15, 0x1.d9f7e9a1fcf1ep-15, 0x1.d8099a583c84cp-15, 0x1.d61493abd97aap-15, 0x1.d41900a580d85p-15, 0x1.d2170bcebc4cep-15, 0x1.d00edf323d228p-15, 0x1.ce00a45c554cfp-15, 0x1.cbec845be1f58p-15, 0x1.c9d2a7c277cc2p-15, 0x1.c7b336a528d36p-15, 0x1.c58e589d13c5bp-15, 0x1.c36434c7e6dep-15, 0x1.c134f1c8d13cap-15, 0x1.bf00b5c8e2bd2p-15, 0x1.bcc7a677b20e4p-15, 0x1.ba89e90c00fc8p-15, 0x1.b847a244748d5p-15, 0x1.b600f6689a34fp-15, 0x1.b3b60948fee5p-15, 0x1.b166fe404a3c9p-15, 0x1.af13f833c999fp-15, 0x1.acbd199453cebp-15, 0x1.aa62845f03648p-15, 0x1.a8045a1d9e03fp-15, 0x1.a5a2bbe7d0118p-15, 0x1.a33dca63a3eeep-15, 0x1.a0d5a5c668345p-15, 0x1.9e6a6dd562c0ap-15, 0x1.9bfc41e66529bp-15, 0x1.998b40e10911ap-15, 0x1.9717893f43de8p-15, 0x1.94a1390e1295dp-15, 0x1.92286dee5f5dap-15, 0x1.8fad451609939p-15, 0x1.8d2fdb5048e13p-15, 0x1.8ab04cfeaae0bp-15, 0x1.882eb619f0543p-15, 0x1.85ab323326e4ap-15, 0x1.8325dc740bd9bp-15, 0x1.809ecf9fd3575p-15, 0x1.7e1626145c692p-15, 0x1.7b8bf9cb10077p-15, 0x1.790064594b03dp-15, 0x1.76737ef17036fp-15, 0x1.73e56263abc77p-15, 0x1.7156271f0275ap-15, 0x1.6ec5e532016dcp-15, 0x1.6c34b44b79fdbp-15, 0x1.69a2abbb8a088p-15, 0x1.670fe2746510ep-15, 0x1.647c6f0afa50cp-15, 0x1.61e867b807fc2p-15, }}, 
      {{-0x1.665dc48b4d65ap-7, -0x1.653a6911ecdeep-6, -0x1.0a93e60586c1dp-5, -0x1.611ebce6cf14cp-5, -0x1.b604efb077e86p-5, -0x1.04976c170f3ddp-4, -0x1.2d4fd2d87fad1p-4, -0x1.5536e141e7343p-4, -0x1.7c5db252fded2p-4, -0x1.a2d813bc0a367p-4, -0x1.c8ba07dad315fp-4, -0x1.ee160260a6addp-4, -0x1.097de60d88707p-3, -0x1.1bbbf7a37626cp-3, -0x1.2dc9c5e2c9175p-3, -0x1.3faa3aacba601p-3, -0x1.515ec171faee6p-3, -0x1.62e77d69badc2p-3, -0x1.744386daf1992p-3, -0x1.857129f6417dap-3, -0x1.966e236057195p-3, -0x1.a737d7d554032p-3, -0x1.b7cb854c7fcb6p-3, -0x1.c8266cc5da174p-3, -0x1.d845f47d1265ap-3, -0x1.e827c2a863c1ap-3, -0x1.f7c9d1352571cp-3, -0x1.03953d930eca5p-2, -0x1.0b24422aac4d5p-2, -0x1.12918e3492e12p-2, -0x1.19dceee6c5314p-2, -0x1.210664bdeb06fp-2, -0x1.280e202624a4fp-2, -0x1.2ef47d3dd1a8cp-2, -0x1.35b9fefd0ae5ep-2, -0x1.3c5f4a01fec6fp-2, -0x1.42e51f37d1248p-2, -0x1.494c5683b6485p-2, -0x1.4f95d99aba508p-2, -0x1.55c29f1a7a70cp-2, -0x1.5bd3a5f7c5c0ep-2, -0x1.61c9f14ff457p-2, -0x1.67a684a491741p-2, -0x1.6d6a6084b736ap-2, -0x1.73167fa419317p-2, -0x1.78abd45d118f4p-2, -0x1.7e2b469925ecp-2, -0x1.8395b219efdc3p-2, -0x1.88ebe51b88278p-2, -0x1.8e2e9f48f64a3p-2, -0x1.935e90fae2f51p-2, -0x1.987c5ab8df2e5p-2, -0x1.9d888cf5a976p-2, -0x1.a283a7ff386d9p-2, -0x1.a76e1c1bb425fp-2, -0x1.ac4849ccf83f7p-2, -0x1.b1128234c31ecp-2, -0x1.b5cd07942b793p-2, -0x1.ba780de17cee1p-2, -0x1.bf13bb701a9dcp-2, -0x1.c3a029a679e93p-2, -0x1.c81d65bebdd2ap-2, -0x1.cc8b718edb5abp-2, -0x1.d0ea4455a1fc7p-2, -0x1.d539cb8a42c2fp-2, -0x1.d979ebac5b4fp-2, -0x1.ddaa8112beed6p-2, -0x1.e1cb60b786965p-2, -0x1.e5dc590023418p-2, -0x1.e9dd328068ec2p-2, -0x1.edcdb0b7b3c4fp-2, -0x1.f1ad92c76de61p-2, -0x1.f57c94226e269p-2, -0x1.f93a6d34bc58fp-2, -0x1.fce6d403621fp-2, -0x1.0040be620d12ap-1, -0x1.02050d3656eadp-1, -0x1.03c02f9cfbb1ep-1, -0x1.0571fe973f435p-1, -0x1.071a534465c98p-1, -0x1.08b90718baaf4p-1, -0x1.0a4df41092345p-1, -0x1.0bd8f4df514cap-1, -0x1.0d59e51a9e188p-1, -0x1.0ed0a161d0b54p-1, -0x1.103d0781c60b9p-1, -0x1.119ef6953608ep-1, -0x1.12f64f21b0aa7p-1, -0x1.1442f331637f8p-1, -0x1.1584c669d1dc4p-1, -0x1.16bbae1fa0b7ap-1, -0x1.17e791679c79cp-1, -0x1.1908592522f1ap-1, -0x1.1a1df0160fccp-1, -0x1.1b2842dc582f3p-1, -0x1.1c27400574443p-1, -0x1.1d1ad80fbe0b4p-1, -0x1.1e02fd6de6067p-1, -0x1.1edfa488a2747p-1, -0x1.1fb0c3beb7e3bp-1, -0x1.207653637baaep-1, -0x1.21304dbbf0285p-1, -0x1.21deaefa96b6bp-1, -0x1.2281753a153e8p-1, -0x1.2318a076ca38ep-1, -0x1.23a4328766e2dp-1, -0x1.24242f14ace11p-1, -0x1.24989b9061942p-1, -0x1.25017f2b91b8dp-1, -0x1.255ee2cc36441p-1, -0x1.25b0d1025157bp-1, -0x1.25f755fc94e96p-1, -0x1.26327f7ca3d0ap-1, -0x1.26625ccafdbacp-1, -0x1.2686feaaa5da7p-1, -0x1.26a0774c92646p-1, -0x1.26aeda42f0f2ep-1, -0x1.26b23c744d391p-1, -0x1.26aab40ea495p-1, -0x1.2698587a70d55p-1, -0x1.267b424db3a86p-1, -0x1.26538b3f0c28ap-1, -0x1.26214e18dd1f5p-1, -0x1.25e4a6ac8c21p-1, -0x1.259db1c5df72ep-1, -0x1.254c8d1e81526p-1, -0x1.24f15751abeb6p-1, -0x1.248c2fd006205p-1, -0x1.241d36d3b0ea6p-1, -0x1.23a48d548cce7p-1, -0x1.232254fcb763bp-1, -0x1.2296b01d45fd9p-1, -0x1.2201c1a33e57ep-1, -0x1.2163ad0cd022dp-1, -0x1.20bc965ecefc9p-1, -0x1.200ca21a71782p-1, -0x1.1f53f533528d1p-1, -0x1.1e92b505b8f5p-1, -0x1.1dc9074d227c5p-1, -0x1.1cf7121b1579p-1, -0x1.1c1cfbce36a4fp-1, -0x1.1b3aeb09a58fap-1, -0x1.1a5106ac9c20fp-1, -0x1.195f75ca52b87p-1, -0x1.18665fa228b09p-1, -0x1.1765eb980e697p-1, -0x1.165e412d31f5p-1, -0x1.154f87f8ec6a4p-1, -0x1.1439e7a1ef6e3p-1, -0x1.131d87d7b0f8ap-1, -0x1.11fa904c1473p-1, -0x1.10d128ad51a22p-1, -0x1.0fa178a014f55p-1, -0x1.0e6ba7b9dac3fp-1, -0x1.0d2fdd7b82666p-1, -0x1.0bee414c1929cp-1, -0x1.0aa6fa73dab36p-1, -0x1.095a30176549cp-1, -0x1.0808093322ac1p-1, -0x1.06b0ac96e1128p-1, -0x1.055440e19ec21p-1, -0x1.03f2ec7d81d3ep-1, -0x1.028cd59c01067p-1, -0x1.01222232361e5p-1, -0x1.ff65efeabc08ap-2, -0x1.fc7ef8af02435p-2, -0x1.f98fa90889464p-2, -0x1.f6984abbca978p-2, -0x1.f39926f4aa7d4p-2, -0x1.f092864102bbp-2, -0x1.ed84b08b75e0fp-2, -0x1.ea6fed1683418p-2, -0x1.e7548277e53aap-2, -0x1.e432b6942bc01p-2, -0x1.e10ace9a99bf4p-2, -0x1.dddd0f013d725p-2, -0x1.daa9bb8147974p-2, -0x1.d7711713984f7p-2, -0x1.d43363ed86eddp-2, -0x1.d0f0e37ddf6d4p-2, -0x1.cda9d66a127aep-2, -0x1.ca5e7c8b99658p-2, -0x1.c70f14ed8bc0cp-2, -0x1.c3bbddca62c41p-2, -0x1.c0651489ed0c4p-2, -0x1.bd0af5bf6b428p-2, -0x1.b9adbd27daf21p-2, -0x1.b64da5a86a44fp-2, -0x1.b2eae94d1273fp-2, -0x1.af85c1475b1dep-2, -0x1.ac1e65ed421ffp-2, -0x1.a8b50eb847eebp-2, -0x1.a549f2449fffbp-2, -0x1.a1dd465081be9p-2, -0x1.9e6f3fbb9c40cp-2, -0x1.9b001286aa14cp-2, -0x1.978ff1d31fe47p-2, -0x1.941f0fe2ff28ap-2, -0x1.90ad9e18c09c2p-2, -0x1.8d3bccf75b451p-2, -0x1.89c9cc226ab86p-2, -0x1.8657ca5e67d5cp-2, -0x1.82e5f591020f9p-2, -0x1.7f747ac18ced9p-2, -0x1.7c038619838d8p-2, -0x1.789342e527d8ap-2, -0x1.7523db94326fbp-2, -0x1.71b579ba9a56ap-2, -0x1.6e484611706b6p-2, -0x1.6adc6877cd549p-2, -0x1.677207f3d33bap-2, -0x1.64094ab3c2e05p-2, -0x1.60a2560f1dde3p-2, -0x1.5d3d4e87de7ecp-2, -0x1.59da57cbbd9eep-2, -0x1.567994b586a6ap-2, -0x1.531b274e7d192p-2, -0x1.4fbf30cfcee53p-2, -0x1.4c65d1a41306ap-2, -0x1.490f2968d8de1p-2, -0x1.45bb56f040c4fp-2, -0x1.426a7842a162cp-2, -0x1.3f1caaa039c36p-2, -0x1.3bd20a82ed8aep-2, -0x1.388ab3a009f56p-2, -0x1.3546c0ea18085p-2, -0x1.32064c92b47b9p-2, -0x1.2ec9700c74d42p-2, -0x1.2b90440cd0039p-2, -0x1.285ae08e13584p-2, -0x1.25295cd15cb43p-2, -0x1.21fbcf609b5d1p-2, -0x1.1ed24e109b5a4p-2, -0x1.1bacee0310d3p-2, -0x1.188bc3a8af4c7p-2, -0x1.156ee2c342395p-2, -0x1.12565e67cd03cp-2, -0x1.0f424900af0cap-2, -0x1.0c32b44fcb9fap-2, -0x1.0927b170b48bap-2, -0x1.062150dadd863p-2, -0x1.031fa263cb9a3p-2, -0x1.0022b5414d61ep-2, -0x1.fa553017621dp-3, -0x1.f46eb18005952p-3, -0x1.ee92098489e89p-3, -0x1.e8bf51bf65cbcp-3, -0x1.e2f6a2a1f888p-3, -0x1.dd381379123p-3, -0x1.d783ba7173086p-3, -0x1.d1d9ac9c4e74ep-3, -0x1.cc39fdf3d24bcp-3, -0x1.c6a4c15fa8e1cp-3, -0x1.c11a08b97b168p-3, -0x1.bb99e4d175e4fp-3, -0x1.b6246572c728cp-3, -0x1.b0b99968216cdp-3, -0x1.ab598e8031a69p-3, -0x1.a60451921cdc8p-3, -0x1.a0b9ee81f5e1bp-3, -0x1.9b7a70452b26bp-3, -0x1.9645e0e6f80f8p-3, -0x1.911c498ccd7d4p-3, -0x1.8bfdb27ab5f23p-3, -0x1.86ea2317b0ea3p-3, -0x1.81e1a1f212989p-3, -0x1.7ce434c3ce8ap-3, -0x1.77f1e076cdb5bp-3, -0x1.730aa9292b0c3p-3, -0x1.6e2e92317a949p-3, -0x1.695d9e22fb6d3p-3, -0x1.6497ced1caad8p-3, -0x1.5fdd25570bb9ep-3, -0x1.5b2da21507cbcp-3, -0x1.568944bb47512p-3, -0x1.51f00c4a9efbep-3, -0x1.4d61f719394c3p-3, -0x1.48df02d69127p-3, -0x1.44672c8f6aaap-3, -0x1.3ffa70b1b987p-3, -0x1.3b98cb10867e2p-3, -0x1.374236e7c33fep-3, -0x1.32f6aee01e504p-3, -0x1.2eb62d12c00ap-3, -0x1.2a80ab0d07a2ep-3, -0x1.265621d43afd6p-3, -0x1.223689e92b0cp-3, -0x1.1e21db4bcbe2ep-3, -0x1.1a180d7ec864cp-3, -0x1.1619178b01b3cp-3, -0x1.1224f0030ce0ap-3, -0x1.0e3b8d06a0c3fp-3, -0x1.0a5ce445f7879p-3, -0x1.0688eb052bc9ap-3, -0x1.02bf961f7ee12p-3, -0x1.fe01b415454eap-4, -0x1.f69955b3d37cbp-4, -0x1.ef45f882ec2cbp-4, -0x1.e8078332b2bdfp-4, -0x1.e0dddbc149858p-4, -0x1.d9c8e780f307bp-4, -0x1.d2c88b1dfe69dp-4, -0x1.cbdcaaa4b0602p-4, -0x1.c5052987137a4p-4, -0x1.be41eaa2ac49fp-4, -0x1.b792d0461164p-4, -0x1.b0f7bc367c58p-4, -0x1.aa708fb535b64p-4, -0x1.a3fd2b84f302dp-4, -0x1.9d9d6fef1179ap-4, -0x1.97513cc8c8e7cp-4, -0x1.9118717841237p-4, -0x1.8af2ecf98d7b9p-4, -0x1.84e08de395805p-4, -0x1.7ee1326ce8564p-4, -0x1.78f4b870762cbp-4, -0x1.731afd72351fp-4, -0x1.6d53dea3b0f98p-4, -0x1.679f38e881d63p-4, -0x1.61fce8dab06ep-4, -0x1.5c6ccacf02d6dp-4, -0x1.56eebad93127fp-4, -0x1.518294d00b844p-4, -0x1.4c283451812e6p-4, -0x1.46df74c69c5a1p-4, -0x1.41a831675fbbfp-4, -0x1.3c82453e976e5p-4, -0x1.376d8b2d8f188p-4, -0x1.3269ddefb5caap-4, -0x1.2d77181e2f8d6p-4, -0x1.289514334d701p-4, -0x1.23c3ac8df7ddp-4, -0x1.1f02bb75015c2p-4, -0x1.1a521b1a65a09p-4, -0x1.15b1a59e76ff7p-4, -0x1.11213512f99a7p-4, -0x1.0ca0a37e26438p-4, -0x1.082fcadda1101p-4, -0x1.03ce852959c1dp-4, -0x1.fef958acb63d8p-5, -0x1.f67434b30eed7p-5, -0x1.ee0d5254877bep-5, -0x1.e5c4658a1f501p-5, -0x1.dd99225c1f602p-5, -0x1.d58b3ce701ebdp-5, -0x1.cd9a696044671p-5, -0x1.c5c65c1b08d69p-5, -0x1.be0ec98ca5eedp-5, -0x1.b67366510b37fp-5, -0x1.aef3e72f05e1ap-5, -0x1.a790011c712e4p-5, -0x1.a0476942359c5p-5, -0x1.9919d50038eeep-5, -0x1.9206f9f124b11p-5, -0x1.8b0e8dee19ba1p-5, -0x1.843047123c491p-5, -0x1.7d6bdbbe277fdp-5, -0x1.76c1029b42f55p-5, -0x1.702f729f0001ap-5, -0x1.69b6e30df650cp-5, -0x1.63570b7ee8e2ep-5, -0x1.5d0fa3ddae32ap-5, -0x1.56e0646dfe51dp-5, -0x1.50c905ce2a822p-5, -0x1.4ac940f9b57cbp-5, -0x1.44e0cf4bd69ep-5, -0x1.3f0f6a81e68cap-5, -0x1.3954ccbdb0149p-5, -0x1.33b0b087a861dp-5, -0x1.2e22d0d115489p-5, -0x1.28aae8f6192aap-5, -0x1.2348b4bfaa1a5p-5, -0x1.1dfbf0656de5dp-5, -0x1.18c4588f8d56fp-5, -0x1.13a1aa586118dp-5, -0x1.0e93a34e1b72bp-5, -0x1.099a01744f88ap-5, -0x1.04b483456e0cdp-5, -0x1.ffc5cf6852a17p-6, -0x1.f649dc599739fp-6, -0x1.ecf4ad2cea856p-6, -0x1.e3c5c2a892295p-6, -0x1.dabc9e8d1f765p-6, -0x1.d1d8c39778d69p-6, -0x1.c919b582d691bp-6, -0x1.c07ef90a906bap-6, -0x1.b80813ebd5723p-6, -0x1.afb48ce73baf4p-6, -0x1.a783ebc236851p-6, -0x1.9f75b94870e53p-6, -0x1.97897f4cf6456p-6, -0x1.8fbec8ab629d7p-6, -0x1.88152148d0f48p-6, -0x1.808c1614cb55cp-6, -0x1.7923350a08cf7p-6, -0x1.71da0d2f29556p-6, -0x1.6ab02e973ef8fp-6, -0x1.63a52a6252342p-6, -0x1.5cb892bdc5d62p-6, -0x1.55e9fae49d617p-6, -0x1.4f38f71fc2b69p-6, -0x1.48a51cc6120ap-6, -0x1.422e023c711d4p-6, -0x1.3bd33ef5c7814p-6, -0x1.35946b72d511dp-6, -0x1.2f7121420384p-6, -0x1.2968faff2007fp-6, -0x1.237b945306235p-6, -0x1.1da889f32f1a3p-6, -0x1.17ef79a136ca3p-6, -0x1.1250022a4d84fp-6, -0x1.0cc9c3669a703p-6, -0x1.075c5e388f1e3p-6, -0x1.0207748c2285ep-6, -0x1.f99552ac168bbp-7, -0x1.ef4b4125c6c76p-7, -0x1.e52ffe8c70ad6p-7, -0x1.db42d6f330849p-7, -0x1.d18318771f6a2p-7, -0x1.c7f0133d28d06p-7, -0x1.be89196fd082p-7, -0x1.b54d7f3ce7c2p-7, -0x1.ac3c9ad3220cfp-7, -0x1.a355c45f8c4c5p-7, -0x1.9a98560b08428p-7, -0x1.9203abf7981d3p-7, -0x1.8997243db2796p-7, -0x1.81521ee963bd1p-7, -0x1.7933fdf77ab35p-7, -0x1.713c25528f283p-7, -0x1.6969fad00b55fp-7, -0x1.61bce62d0f51bp-7, -0x1.5a34510b5b821p-7, -0x1.52cfa6ee2328ap-7, -0x1.4b8e5536c2c5bp-7, -0x1.446fcb218dfd1p-7, -0x1.3d7379c263a2ap-7, -0x1.3698d401699b6p-7, -0x1.2fdf4e977eb72p-7, -0x1.2946600aea52ep-7, -0x1.22cd80abc2a86p-7, -0x1.1c742a906f434p-7, -0x1.1639d9921779ep-7, -0x1.101e0b490387fp-7, -0x1.0a203f090bbbcp-7, -0x1.043ff5ddda09bp-7, -0x1.fcf9650e8c2c3p-8, -0x1.f1abf2eb61ec1p-8, -0x1.e696a18c5b24ap-8, -0x1.dbb8807da6cd8p-8, -0x1.d110a295f9b32p-8, -0x1.c69e1deee9edep-8, -0x1.bc600bdd6e199p-8, -0x1.b25588ea2e1aap-8, -0x1.a87db4c9e1ae9p-8, -0x1.9ed7b255b5bd8p-8, -0x1.9562a7838a8bep-8, -0x1.8c1dbd5e590c4p-8, -0x1.83081ffe7038ap-8, -0x1.7a20fe81c2bf7p-8, -0x1.71678b0438a12p-8, -0x1.68dafa97f272fp-8, -0x1.607a853d91fa8p-8, -0x1.584565dc81a9bp-8, -0x1.503ada3b400adp-8, -0x1.485a22f7baf04p-8, -0x1.40a2837f88053p-8, -0x1.3913420845e6p-8, -0x1.31aba787e9856p-8, -0x1.2a6affad2726cp-8, -0x1.235098d7bcaa4p-8, -0x1.1c5bc410df984p-8, -0x1.158bd503a5d3ep-8, -0x1.0ee021f57a67bp-8, -0x1.085803be80defp-8, -0x1.01f2d5c2320acp-8, -0x1.f75febcf60506p-9, -0x1.eb1d89250807cp-9, -0x1.df1d493631a0bp-9, -0x1.d35df68e9ac17p-9, -0x1.c7de608663b8cp-9, -0x1.bc9d5b333e56p-9, -0x1.b199bf5a0967p-9, -0x1.a6d26a602d299p-9, -0x1.9c463e3d3fcb1p-9, -0x1.91f4216caf89cp-9, -0x1.87dafedfa250ap-9, -0x1.7df9c5ee8b949p-9, -0x1.744f6a4b548f2p-9, -0x1.6adae3f33eab2p-9, -0x1.619b2f21061e6p-9, -0x1.588f4c3f2409fp-9, -0x1.4fb63fda0d399p-9, -0x1.470f12929069ap-9, -0x1.3e98d11065875p-9, -0x1.36528bf4a4bb3p-9, -0x1.2e3b57cc7f523p-9, -0x1.26524d043b135p-9, -0x1.1e9687d9c690ep-9, -0x1.1707284ff6ec2p-9, -0x1.0fa3522161f48p-9, -0x1.086a2cb3ea2b5p-9, -0x1.015ae30ba3052p-9, -0x1.f4e9477d4d593p-10, -0x1.e76d41d07cc35p-10, -0x1.da40203974f9bp-10, -0x1.cd6054ba5c999p-10, -0x1.c0cc5816668a4p-10, -0x1.b482a9b9daf5cp-10, -0x1.a881cfa24448fp-10, -0x1.9cc85646a1d4bp-10, -0x1.9154d080314ep-10, -0x1.8625d773276a9p-10, -0x1.7b3a0a77b50dp-10, -0x1.70900f036b04ap-10, -0x1.6626909277854p-10, -0x1.5bfc40919e852p-10, -0x1.520fd6480f33cp-10, -0x1.48600ec1787ep-10, -0x1.3eebacb8972a8p-10, -0x1.35b17881baf4bp-10, -0x1.2cb03ff5a499cp-10, -0x1.23e6d65c8c6dfp-10, -0x1.1b5414597c42fp-10, -0x1.12f6d7d5bfd3p-10, -0x1.0ace03ecd1053p-10, -0x1.02d880d7edf32p-10, -0x1.f62a77b5ba06bp-11, -0x1.e7064e5f90942p-11, -0x1.d84273e85b51ep-11, -0x1.c9dce02b1bf0bp-11, -0x1.bbd3947d4f997p-11, -0x1.ae249b89b8035p-11, -0x1.a0ce092a7d3a6p-11, -0x1.93cdfa45a04c9p-11, -0x1.872294a81b4b2p-11, -0x1.7aca06e2fe6d5p-11, -0x1.6ec2882764a3cp-11, -0x1.630a58246d687p-11, -0x1.579fbee3f6cdap-11, -0x1.4c810ca9758e9p-11, -0x1.41ac99cff2ed5p-11, -0x1.3720c6a942707p-11, -0x1.2cdbfb5ca0149p-11, -0x1.22dca7c76c80ap-11, -0x1.1921435c43031p-11, -0x1.0fa84d0442492p-11, -0x1.06704affb895bp-11, -0x1.faef958e341cp-12, -0x1.e97ac1dada189p-12, -0x1.d87f520389a8ap-12, -0x1.c7fa8ae4691cfp-12, -0x1.b7e9bedcda491p-12, -0x1.a84a4d97122cp-12, -0x1.9919a3cd7d323p-12, -0x1.8a553b15d8e26p-12, -0x1.7bfa99a697392p-12, -0x1.6e075223a8ae9p-12, -0x1.607903668a503p-12, -0x1.534d584b2818bp-12, -0x1.4682077a8678dp-12, -0x1.3a14d3377a597p-12, -0x1.2e03892c7b0a4p-12, -0x1.224c02395677p-12, -0x1.16ec2241ab125p-12, -0x1.0be1d7fcfd615p-12, -0x1.012b1cc5c6117p-12, -0x1.ed8be8d719f6p-13, -0x1.d960da0593f6bp-13, -0x1.c5d13d7193109p-13, -0x1.b2d95749bb053p-13, -0x1.a0757f39c520ap-13, -0x1.8ea22011ff847p-13, -0x1.7d5bb770a29eep-13, -0x1.6c9ed56cc4f73p-13, -0x1.5c681c42f2b65p-13, -0x1.4cb440010554ep-13, -0x1.3d800636b40d6p-13, -0x1.2ec845a3613ep-13, -0x1.2089e5e852312p-13, -0x1.12c1df3a9ed7bp-13, -0x1.056d3a15b9bc1p-13, -0x1.f1121de2f78cdp-14, -0x1.d8250bec81384p-14, -0x1.c00dad69f09c9p-14, -0x1.a8c68fbbaa7edp-14, -0x1.924a5df472148p-14, -0x1.7c93e04f6d7b6p-14, -0x1.679dfba110ddbp-14, -0x1.5363b0d62c52bp-14, -0x1.3fe01c6a567a6p-14, -0x1.2d0e75e72652p-14, -0x1.1aea0f6122aa7p-14, -0x1.096e54fb4e9cfp-14, -0x1.f12d98d0a7574p-15, -0x1.d0be28decc927p-15, -0x1.b185c8eab2ab7p-15, -0x1.937c1804cf393p-15, -0x1.7698e4a058cc6p-15, -0x1.5ad42baa001fcp-15, -0x1.402617a493926p-15, -0x1.2686ffca98a6p-15, -0x1.0def67370544bp-15, -0x1.ecaff807886e2p-16, -0x1.bf732d0305cc8p-16, -0x1.941a70bac2419p-16, -0x1.6a9817b2075a2p-16, -0x1.42dec60171164p-16, -0x1.1ce16dc59807fp-16, -0x1.f1269b320ccb5p-17, -0x1.abcfde344e52ap-17, -0x1.69a64adc61754p-17, -0x1.2a92179dfc0dap-17, -0x1.dcf8107644eb9p-18, -0x1.6a9ad5fcea3a8p-18, -0x1.fbc057ea44b25p-19, -0x1.2d3991199fcaap-19, -0x1.a533375d31ec7p-21, 0x1.4161f2ec739e5p-21, 0x1.0006e4440d14ep-19, 0x1.a60d139fd55ap-19, 0x1.215bea71c50f3p-18, 0x1.6b290d5437a6dp-18, 0x1.b0928514e0418p-18, 0x1.f1bc0218384e5p-18, 0x1.17642ba93cf3p-17, 0x1.33ecbf5a1333fp-17, 0x1.4e884ed7f506dp-17, 0x1.674704c7fe1cbp-17, 0x1.7e38a5e3f26dap-17, 0x1.936c9310f7c2fp-17, 0x1.a6f1cb7df5c81p-17, 0x1.b8d6eea0ea67p-17, 0x1.c92a3e38474dep-17, 0x1.d7f9a04d93b73p-17, 0x1.e552a10792fe6p-17, 0x1.f14274aebac82p-17, 0x1.fbd5f972612cep-17, 0x1.028cdca2336cep-16, 0x1.068cf5cf46128p-16, 0x1.09f13ba7229c3p-16, 0x1.0cbf7a0e8ac5p-16, 0x1.0efd5649cc797p-16, 0x1.10b04fcc2c5c8p-16, 0x1.11ddc108c647fp-16, 0x1.128ae04267819p-16, 0x1.12bcc05073bd4p-16, 0x1.12785169d5eb5p-16, 0x1.11c261df62987p-16, 0x1.109f9edbfd539p-16, 0x1.0f14952565f7ep-16, 0x1.0d25b1c974859p-16, 0x1.0ad742d81982ep-16, 0x1.082d780c654a2p-16, 0x1.052c63832d7dap-16, 0x1.01d7fa5965079p-16, 0x1.fc682ab276401p-17, 0x1.f488e3384963ep-17, 0x1.ec19624b0e915p-17, 0x1.e320b70a334b3p-17, 0x1.d9a5bcdd3ccb5p-17, 0x1.cfaf1c9848d2p-17, 0x1.c5434db347baep-17, 0x1.ba68975d2dc1bp-17, 0x1.af25119dcb98bp-17, 0x1.a37ea66bb931ap-17, 0x1.977b12be42c05p-17, 0x1.8b1fe78ff8d59p-17, 0x1.7e728af49846cp-17, 0x1.71783908a75dfp-17, 0x1.643604f9ce056p-17, 0x1.56b0d9f5dba53p-17, 0x1.48ed7c21eb94ap-17, 0x1.3af089806a22ap-17, 0x1.2cbe7ae04e556p-17, 0x1.1e5ba4bb64d34p-17, 0x1.0fcc38188b747p-17, 0x1.0114436331b5ap-17, 0x1.e46f66818f15fp-18, 0x1.c674a6cde8bf2p-18, 0x1.a83f9ec2d0e25p-18, 0x1.89d766c306db5p-18, 0x1.6b42d9ff7ff54p-18, 0x1.4c8897f28ab0ap-18, 0x1.2daf05ed95b04p-18, 0x1.0ebc506e9bdb8p-18, 0x1.df6cd95122ac3p-19, 0x1.a146338e0e10fp-19, 0x1.630fc4c8a2132p-19, 0x1.24d43b936280cp-19, 0x1.cd3bc51b4ac88p-20, 0x1.50ed45d234595p-20, 0x1.a9a01b6bbf76p-21, 0x1.63d9e11f36765p-22, -0x1.146e9a0d99764p-23, -0x1.3b57ba9fee752p-21, -0x1.1853593d505edp-20, -0x1.9274a0fc91ea7p-20, -0x1.06005852ae0bep-19, -0x1.4274911bd2378p-19, -0x1.7e9014b425c47p-19, -0x1.ba4c47c755bbfp-19, -0x1.f5a2d7c1baaeep-19, -0x1.1846dc7e5458bp-18, -0x1.35839254f81c7p-18, -0x1.5284cb8c21621p-18, -0x1.6f47e6e2c746cp-18, -0x1.8bca62d192c24p-18, -0x1.a809dca5aec3bp-18, -0x1.c4040fa7707d7p-18, -0x1.dfb6d444dc08ap-18, -0x1.fb201f3fe07b6p-18, -0x1.0b1f006e317fap-17, -0x1.188752104c68bp-17, -0x1.25c82704c6fd9p-17, -0x1.32e0ae680e634p-17, -0x1.3fd02395c0cap-17, -0x1.4c95cdcf2174bp-17, -0x1.5930ffde9792p-17, -0x1.65a117c404d89p-17, -0x1.71e57e5c569dcp-17, -0x1.7dfda7124cefap-17, -0x1.89e90f86b54b8p-17, -0x1.95a73f489f9bap-17, -0x1.a137c782b2e6p-17, -0x1.ac9a42afd4ec6p-17, -0x1.b7ce5453ce216p-17, -0x1.c2d3a8afe8a29p-17, -0x1.cda9f47ec3df1p-17, -0x1.d850f4ae1756fp-17, -0x1.e2c86e1b740c2p-17, -0x1.ed102d5487c9ap-17, -0x1.f7280653fb672p-17, -0x1.0087ea232594ap-16, -0x1.0563bca502227p-16, -0x1.0a276f1aa00cdp-16, -0x1.0ed2f92e34b88p-16, -0x1.136655ac4db67p-16, -0x1.17e182686883fp-16, -0x1.1c448021d8d65p-16, -0x1.208f5269365e6p-16, -0x1.24c1ff8855f1fp-16, -0x1.28dc9066a6ef1p-16, -0x1.2cdf107302eecp-16, -0x1.30c98d8b70e4p-16, -0x1.349c17e531ba5p-16, -0x1.3856c1f6dddb6p-16, -0x1.3bf9a062c952ap-16, -0x1.3f84c9e09c042p-16, -0x1.42f8572911da1p-16, -0x1.465462e1ccf59p-16, -0x1.4999098908e37p-16, -0x1.4cc669625a97ap-16, -0x1.4fdca2649fc4cp-16, -0x1.52dbd626593dcp-16, -0x1.55c427cd9e3c7p-16, -0x1.5895bbfd274cfp-16, -0x1.5b50b8c49301ep-16, -0x1.5df5458f115d9p-16, -0x1.60838b1442ba2p-16, -0x1.62fbb34804defp-16, -0x1.655de94bc5ebap-16, -0x1.67aa595f87ff8p-16, -0x1.69e130d374fep-16, -0x1.6c029dfab5256p-16, -0x1.6e0ed01ce0f56p-16, -0x1.7005f76971f95p-16, -0x1.71e844eae7314p-16, -0x1.73b5ea7a70f24p-16, -0x1.756f1ab3c8bb8p-16, -0x1.771408e94703fp-16, -0x1.78a4e919137e8p-16, -0x1.7a21efe15b54ap-16, -0x1.7b8b5276548bbp-16, -0x1.7ce14696dee4bp-16, -0x1.7e240283cfd6dp-16, -0x1.7f53bcf4bc819p-16, -0x1.8070ad0f4ab2ep-16, -0x1.817b0a5db5483p-16, -0x1.82730cc603fcp-16, -0x1.8358ec8131e85p-16, -0x1.842ce212b3df2p-16, -0x1.84ef2640a30dbp-16, -0x1.859ff20b9a854p-16, -0x1.863f7ea72aa5dp-16, -0x1.86ce05726c3cbp-16, -0x1.874bbff1104c8p-16, -0x1.87b8e7c3ed681p-16, -0x1.8815b6a2d7cc6p-16, -0x1.88626655e16fap-16, -0x1.889f30af366d6p-16, -0x1.88cc4f84de11fp-16, -0x1.88e9fcab02a3dp-16, -0x1.88f871ee766e5p-16, -0x1.88f7e90ec1e5bp-16, -0x1.88e89bb95e473p-16, -0x1.88cac3847671bp-16, -0x1.889e99e9efcdp-16, -0x1.88645842bf931p-16, -0x1.881c37c26a9c4p-16, -0x1.87c67172634e3p-16, -0x1.87633e2e50494p-16, -0x1.86f2d69f58536p-16, -0x1.86757338d010bp-16, -0x1.85eb4c3423bc8p-16, -0x1.8554998d3cd35p-16, -0x1.84b192ff56b42p-16, -0x1.840270014325p-16, -0x1.834767c28368cp-16, -0x1.8280b1280b959p-16, -0x1.81ae82c99df62p-16, -0x1.80d112ee9705bp-16, -0x1.7fe8978b8dfdcp-16, -0x1.7ef5463fb542cp-16, -0x1.7df7545273bd1p-16, -0x1.7ceef6b0cc7a5p-16, -0x1.7bdc61eb75679p-16, -0x1.7abfca34ca05p-16, -0x1.7999635e4cf79p-16, -0x1.786960d7463b4p-16, -0x1.772ff5aaa6b5p-16, -0x1.75ed547d900e3p-16, -0x1.74a1af8d66646p-16, -0x1.734d38ae7abb7p-16, -0x1.71f0214aa08aap-16, -0x1.708a9a5fac3a6p-16, -0x1.6f1cd47e50079p-16, -0x1.6da6ffc9046e1p-16, -0x1.6c294bf29a1b5p-16, -0x1.6aa3e83d52a04p-16, -0x1.69170379fee71p-16, -0x1.6782cc0729304p-16, -0x1.65e76fd015fd4p-16, -0x1.64451c4c023a9p-16, -0x1.629bfe7d7fadfp-16, -0x1.60ec42f206b68p-16, -0x1.5f3615c122738p-16, -0x1.5d79a28be94c6p-16, -0x1.5bb7147cc1222p-16, -0x1.59ee9646d15bp-16, -0x1.58205225bf26ap-16, -0x1.564c71dd71af4p-16, -0x1.54731eb9b5ddep-16, -0x1.5294818e056d8p-16, -0x1.50b0c2b5a69f5p-16, -0x1.4ec80a133d431p-16, -0x1.4cda7f1109678p-16, -0x1.4ae848a0c916fp-16, -0x1.48f18d3bb62dbp-16, -0x1.46f672e2b3072p-16, -0x1.44f71f1e582e8p-16, -0x1.42f3b6ff0b6ep-16, -0x1.40ec5f1d4724ep-16, -0x1.3ee13b99fdb82p-16, -0x1.3cd2701e8ec37p-16, -0x1.3ac01fdd212b7p-16, -0x1.38aa6d911b741p-16, -0x1.36917b7f797fdp-16, -0x1.34756b7718f1bp-16, -0x1.32565ed1248a9p-16, -0x1.303476719ae8bp-16, -0x1.2e0fd2c7a21ep-16, -0x1.2be893ce1b67dp-16, -0x1.29bed90c0f44ep-16, -0x1.2792c1958712dp-16, -0x1.25646c0bb7917p-16, -0x1.2333f69db5c03p-16, -0x1.21017f09086c9p-16, -0x1.1ecd229a86da9p-16, -0x1.1c96fe2ec369cp-16, -0x1.1a5f2e32ab8d5p-16, -0x1.1825cea434bbcp-16, -0x1.15eafb132bf62p-16, -0x1.13aecea1df1d5p-16, -0x1.11716405cc0c2p-16, -0x1.0f32d58851d9dp-16, -0x1.0cf33d07856c5p-16, -0x1.0ab2b3f6f34dep-16, -0x1.087153605a4dfp-16, -0x1.062f33e46ec85p-16, -0x1.03ec6dbbb2d0cp-16, -0x1.01a918b727769p-16, -0x1.feca98827c514p-17, -0x1.fa423ebd6ebcdp-17, -0x1.f5b9515e72626p-17, -0x1.f12ffcdca4184p-17, -0x1.eca66ce8a8e57p-17, -0x1.e81ccc6e5443ap-17, -0x1.e3934596301d9p-17, -0x1.df0a01c72bb65p-17, -0x1.da8129a8c0bddp-17, -0x1.d5f8e524925dcp-17, -0x1.d1715b67cfbfdp-17, -0x1.cceab2e5678b3p-17, -0x1.c8651157731p-17, -0x1.c3e09bc1416adp-17, -0x1.bf5d7670fae4ap-17, -0x1.badbc5016e1ep-17, -0x1.b65baa5bcd602p-17, -0x1.b1dd48b9ae387p-17, -0x1.ad60c1a6be242p-17, -0x1.a8e636026bb3ap-17, -0x1.a46dc601744d1p-17, -0x1.9ff7913075562p-17, -0x1.9b83b6752ab31p-17, -0x1.9712541029355p-17, -0x1.92a3879f27b76p-17, -0x1.8e376e1e561b3p-17, -0x1.89ce23ea42f53p-17, -0x1.8567c4c18902dp-17, -0x1.81046bc71e0a2p-17, -0x1.7ca433838d052p-17, -0x1.784735e70ccdp-17, -0x1.73ed8c4b10bdep-17, -0x1.6f974f740a5a7p-17, -0x1.6b4497935ed16p-17, -0x1.66f57c493146ap-17, -0x1.62aa14a601e0ap-17, -0x1.5e62772c66c66p-17, -0x1.5a1eb9d2dabb9p-17, -0x1.55def20567b55p-17, -0x1.51a334a77b39dp-17, -0x1.4d6b96156cc92p-17, -0x1.49382a26b281ap-17, -0x1.4509042f01114p-17, -0x1.40de37000e11ap-17, -0x1.3cb7d4eb8bbfep-17, -0x1.3895efc4cca68p-17, -0x1.347898e238df5p-17, -0x1.305fe11f3913dp-17, -0x1.2c4bd8dd756a6p-17, -0x1.283c9006dfa72p-17, -0x1.2432160f343fcp-17, -0x1.202c79f58055p-17, -0x1.1c2bca45ead4fp-17, -0x1.1830151ae5925p-17, -0x1.1439681f45cf6p-17, -0x1.1047d08fa80f6p-17, -0x1.0c5b5b3bf883ep-17, -0x1.08741488f7baap-17, -0x1.04920871b9abfp-17, -0x1.00b5428949d3cp-17, -0x1.f9bb9bf836869p-18, -0x1.f2176b23576e9p-18, -0x1.ea7e075bf9c6ep-18, -0x1.e2ef84a597781p-18, -0x1.db6bf6429613fp-18, -0x1.d3f36eb73c4dep-18, -0x1.cc85ffcc7954cp-18, -0x1.c523ba92a4651p-18, -0x1.bdccaf63c5074p-18, -0x1.b680ede7d9c2ap-18, -0x1.af40851682b1ep-18, -0x1.a80b833a3742p-18, -0x1.a0e1f5f27c918p-18, -0x1.99c3ea375dc41p-18, -0x1.92b16c5baa29fp-18, -0x1.8baa880fa94acp-18, -0x1.84af48638b33fp-18, -0x1.7dbfb7ca75937p-18, -0x1.76dbe01d290f4p-18, -0x1.7003ca9c432cp-18, -0x1.69377ff29f553p-18, -0x1.62770838231dap-18, -0x1.5bc26af413bfdp-18, -0x1.5519af1fee79dp-18, -0x1.4e7cdb2981cfep-18, -0x1.47ebf4f574ea4p-18, -0x1.416701e15a37p-18, -0x1.3aee06c68328dp-18, -0x1.348107fc4c7ebp-18, -0x1.2e200959efc16p-18, -0x1.27cb0e395f5ecp-18, -0x1.2182197934fa3p-18, -0x1.1b452d7f5daefp-18, -0x1.15144c3ab6857p-18, -0x1.0eef772556ff8p-18, -0x1.08d6af472a9eap-18, -0x1.02c9f537fd786p-18, -0x1.f992924240539p-19, -0x1.eda9557fd812fp-19, -0x1.e1d832d02f952p-19, -0x1.d61f2809e7ed8p-19, -0x1.ca7e323772743p-19, -0x1.bef54d9c2014cp-19, -0x1.b38475b7a6502p-19, -0x1.a82ba54941183p-19, -0x1.9cead65368d17p-19, -0x1.91c20220dd98bp-19, -0x1.86b12147f45aap-19, -0x1.7bb82badeb698p-19, -0x1.70d7188afb004p-19, -0x1.660dde6cfe0f4p-19, -0x1.5b5c733c54944p-19, -0x1.50c2cc3f48546p-19, -0x1.4640de1ca584cp-19, -0x1.3bd69cdfa541cp-19, -0x1.3183fbfbbd819p-19, -0x1.2748ee4f531a5p-19, -0x1.1d256626be375p-19, }}, 
      {{-0x1.de583a1b9df92p-1, -0x1.de506a6b1de11p-1, -0x1.de261d1e2991dp-1, -0x1.ddbeb0435bb0ap-1, -0x1.dd06d30bc62d2p-1, -0x1.dbf57100761e4p-1, -0x1.da8aec23c4f62p-1, -0x1.d8ce8aee52f61p-1, -0x1.d6cb794e0288ap-1, -0x1.d48e2426b5cd8p-1, -0x1.d22243302f105p-1, -0x1.cf919da750794p-1, -0x1.cce371ba567aep-1, -0x1.ca1c5897696c9p-1, -0x1.c73e7fbb7359p-1, -0x1.c44a1500ce163p-1, -0x1.c13dca181323cp-1, -0x1.be175b72414e1p-1, -0x1.bad40d32f4218p-1, -0x1.b7711621ebabbp-1, -0x1.b3ebf4b695533p-1, -0x1.b042ad5960fa9p-1, -0x1.ac73f3013b0bap-1, -0x1.a87f3c979bdacp-1, -0x1.a464ca3934bb3p-1, -0x1.a0259da5151ccp-1, -0x1.9bc3691a39853p-1, -0x1.9740779f7f52ap-1, -0x1.929f91511a43ep-1, -0x1.8de3dde0e36ffp-1, -0x1.8910c7074c9bdp-1, -0x1.8429dc391b17ap-1, -0x1.7f32b896be7abp-1, -0x1.7a2eebb7b7d53p-1, -0x1.7521e5afc16d7p-1, -0x1.700ee6741ce2fp-1, -0x1.6af8f09c7e31ep-1, -0x1.65e2bf5b44899p-1, -0x1.60cebf7250caap-1, -0x1.5bbf0adb68915p-1, -0x1.56b566d301612p-1, -0x1.51b343f14b045p-1, -0x1.4cb9bffe09916p-1, -0x1.47c9a92f4e194p-1, -0x1.42e382886aadep-1, -0x1.3e07891519b64p-1, -0x1.3935b9c3e8e87p-1, -0x1.346dd7aa658aap-1, -0x1.2faf7284ce649p-1, -0x1.2af9ed4a0bd42p-1, -0x1.264c84b32fc75p-1, -0x1.21a6559bbe4abp-1, -0x1.1d0663256099fp-1, -0x1.186b9c8e66e35p-1, -0x1.13d4e2aeb6301p-1, -0x1.0f410d1255fc7p-1, -0x1.0aaeeeabee67cp-1, -0x1.061d5a1c257e3p-1, -0x1.018b258ced74fp-1, -0x1.f9ee5c435ac48p-2, -0x1.f0c0b5fd1cf6dp-2, -0x1.e78b3fd4d005bp-2, -0x1.de4bff1f3e9c9p-2, -0x1.d5011ac1f0dbbp-2, -0x1.cba8de4fa2389p-2, -0x1.c241bc830dbffp-2, -0x1.b8ca5123f42ccp-2, -0x1.af4162625cbd7p-2, -0x1.a5a5e1b403a01p-2, -0x1.9bf6ec3faddcfp-2, -0x1.9233cae1d60b9p-2, -0x1.885bf1d5aadbbp-2, -0x1.7e6f000cee7a7p-2, -0x1.746cbe40ae247p-2, -0x1.6a551dc44b686p-2, -0x1.60283723a2e8bp-2, -0x1.55e648949877p-2, -0x1.4b8fb443ae1b8p-2, -0x1.4124fe82b21d1p-2, -0x1.36a6cbe000bdp-2, -0x1.2c15df2c3d4d7p-2, -0x1.21731773e80fcp-2, -0x1.16bf6df19e1b3p-2, -0x1.0bfbf3fd65ae9p-2, -0x1.0129d0fcdb3ebp-2, -0x1.ec9480af6bd05p-3, -0x1.d6bd1ee73923p-3, -0x1.c0d03773e050ap-3, -0x1.aad0a15398014p-3, -0x1.94c14bf0403d2p-3, -0x1.7ea53b7f1904bp-3, -0x1.687f858290645p-3, -0x1.52534d7055b02p-3, -0x1.3c23c17d4d8f6p-3, -0x1.25f41790b437ep-3, -0x1.0fc78a5f2f5bdp-3, -0x1.f342ad5ccfedap-4, -0x1.c70971829e52cp-4, -0x1.9ae9d3d9e5bb7p-4, -0x1.6eea3cab56799p-4, -0x1.431105a7ee8bcp-4, -0x1.17647600d7c0ep-4, -0x1.d7d57d972e6cdp-5, -0x1.8153ef612989cp-5, -0x1.2b5037c3865ccp-5, -0x1.abac1d5c1368bp-6, -0x1.01e1d136f7ec5p-6, -0x1.655f908f2f1f2p-8, 0x1.376fa30c7e439p-8, 0x1.e748e6e2ca9d2p-7, 0x1.97ed3f23eea75p-6, 0x1.1d513ce3619bep-5, 0x1.6dd8804848217p-5, 0x1.bd8331ef9d3f1p-5, 0x1.06243a9815d4cp-4, 0x1.2d0fe4e41a05bp-4, 0x1.53808666e35f7p-4, 0x1.79723caa79abcp-4, 0x1.9ee154686838ep-4, 0x1.c3ca499a1fa6ep-4, 0x1.e829c76b85c0fp-4, 0x1.05fe5408fa612p-3, 0x1.179ffa44ea9e8p-3, 0x1.28f8721e6cb73p-3, 0x1.3a066e4972dbap-3, 0x1.4ac8b837b52c5p-3, 0x1.5b3e2fce83d71p-3, 0x1.6b65cb149cfe7p-3, 0x1.7b3e95d8c0034p-3, 0x1.8ac7b151d3efcp-3, 0x1.9a0053b94824ep-3, 0x1.a8e7c7e062b91p-3, 0x1.b77d6cc119fd6p-3, 0x1.c5c0b50b0eb02p-3, 0x1.d3b126ad39c33p-3, 0x1.e14e5a5cc0f02p-3, 0x1.ee97fb1985dfcp-3, 0x1.fb8dc5b0c99f1p-3, 0x1.0417c41f2cae3p-2, 0x1.0a3e90d651b72p-2, 0x1.103b409a0a418p-2, 0x1.160dd2ed013bep-2, 0x1.1bb64ef7c1795p-2, 0x1.2134c34830646p-2, 0x1.26894591424e4p-2, 0x1.2bb3f26afc96ep-2, 0x1.30b4ed12e6392p-2, 0x1.358c5f2cfd99ap-2, 0x1.3a3a788547632p-2, 0x1.3ebf6ed20cdddp-2, 0x1.431b7d76da086p-2, 0x1.474ee5484b473p-2, 0x1.4b59ec50bcb27p-2, 0x1.4f3cdd95dd35ap-2, 0x1.52f808df3f737p-2, 0x1.568bc27de3278p-2, 0x1.59f86314cacf5p-2, 0x1.5d3e47629cba4p-2, 0x1.605dd00c5aefdp-2, 0x1.6357616933addp-2, 0x1.662b634f71183p-2, 0x1.68da40e285e72p-2, 0x1.6b64686242828p-2, 0x1.6dca4afb2b116p-2, 0x1.700c5c97f6678p-2, 0x1.722b13b42ec7ap-2, 0x1.7426e92fff08bp-2, 0x1.76005825203e8p-2, 0x1.77b7ddbcee0d1p-2, 0x1.794df9079d41ap-2, 0x1.7ac32ad49440dp-2, 0x1.7c17f58bdf209p-2, 0x1.7d4cdd08c678ep-2, 0x1.7e62667578339p-2, 0x1.7f591827cce9ep-2, 0x1.8031797f1bbd1p-2, 0x1.80ec12c321f0cp-2, 0x1.81896d03f2d8p-2, 0x1.820a11faf63d2p-2, 0x1.826e8bece179ep-2, 0x1.82b7658cbcd76p-2, 0x1.82e529dfdbb3dp-2, 0x1.82f86422d2dd7p-2, 0x1.82f19faf5f7fbp-2, 0x1.82d167e340d67p-2, 0x1.82984807faf9fp-2, 0x1.8246cb3b82529p-2, 0x1.81dd7c59c83aep-2, 0x1.815ce5e7277dfp-2, 0x1.80c591fba938p-2, 0x1.80180a2f2056cp-2, 0x1.7f54d78616025p-2, 0x1.7e7c825f82179p-2, 0x1.7d8f92634ade1p-2, 0x1.7c8e8e718b886p-2, 0x1.7b79fc92959f2p-2, 0x1.7a5261e7b30f1p-2, 0x1.7918429c99035p-2, 0x1.77cc21d993783p-2, 0x1.766e81b6593fdp-2, 0x1.74ffe32d8e303p-2, 0x1.7380c610e80bap-2, 0x1.71f1a8fdf856ap-2, 0x1.7053095390fdp-2, 0x1.6ea56327c589bp-2, 0x1.6ce9313e7ed25p-2, 0x1.6b1eed00a1886p-2, 0x1.69470e73c50b9p-2, 0x1.67620c326e9dfp-2, 0x1.65705b64d954ap-2, 0x1.63726fba3a0f6p-2, 0x1.6168bb6287d0ep-2, 0x1.5f53af08bbb8bp-2, 0x1.5d33b9cd882bep-2, 0x1.5b09494286bdcp-2, 0x1.58d4c965d39b5p-2, 0x1.5696a49e16eap-2, 0x1.544f43b6f906p-2, 0x1.51ff0dddfb77ap-2, 0x1.4fa6689fb62f5p-2, 0x1.4d45b7e573c0ap-2, 0x1.4add5df32a6a7p-2, 0x1.486dbb65ced6fp-2, 0x1.45f72f31fd7fep-2, 0x1.437a16a2f814p-2, 0x1.40f6cd59f2e72p-2, 0x1.3e6dad4db03b5p-2, 0x1.3bdf0eca66beap-2, 0x1.394b4871ef484p-2, 0x1.36b2af3c3b279p-2, 0x1.3415967808051p-2, 0x1.31744fcbd8601p-2, 0x1.2ecf2b37284c9p-2, 0x1.2c267713dd915p-2, 0x1.297a8017ef2fcp-2, 0x1.26cb91574538p-2, 0x1.2419f445cba09p-2, 0x1.2165f0b9b7b2bp-2, 0x1.1eafccedf9e1ap-2, 0x1.1bf7cd84e1c5bp-2, 0x1.193e358ae8cacp-2, 0x1.16834679a9bb6p-2, 0x1.13c7403afb7adp-2, 0x1.110a612c35873p-2, 0x1.0e4ce62191f32p-2, 0x1.0b8f0a69b6f4ap-2, 0x1.08d107d15a66cp-2, 0x1.061316a704f57p-2, 0x1.03556dbef4f45p-2, 0x1.00984277125c2p-2, 0x1.fbb791760b0ep-3, 0x1.f6406610be27p-3, 0x1.f0cb64e5aaa9ep-3, 0x1.eb58ed513062ap-3, 0x1.e5e95bed6b6c3p-3, 0x1.e07d0a9b1fa7bp-3, 0x1.db14508ac3ddbp-3, 0x1.d5af8245a9066p-3, 0x1.d04ef1b73db63p-3, 0x1.caf2ee3664e53p-3, 0x1.c59bc48ee719ep-3, 0x1.c049bf0af0c52p-3, 0x1.bafd257ca3f8ap-3, 0x1.b5b63d47b9f28p-3, 0x1.b075496b2bb1dp-3, 0x1.ab3a8a8aea614p-3, 0x1.a6063ef998a2p-3, 0x1.a0d8a2c251ea5p-3, 0x1.9bb1efb271027p-3, 0x1.96925d635681ap-3, 0x1.917a21443abaap-3, 0x1.8c696ea3f194fp-3, 0x1.876076bab3adcp-3, 0x1.825f68b3e3126p-3, 0x1.7d6671b7c48bdp-3, 0x1.7875bcf53b8d4p-3, 0x1.738d73ab756d1p-3, 0x1.6eadbd338e748p-3, 0x1.69d6bf0a2b81p-3, 0x1.65089cd909f7bp-3, 0x1.604378807c5fap-3, 0x1.5b877220e1b48p-3, 0x1.56d4a824079d1p-3, 0x1.522b374679481p-3, 0x1.4d8b3aa0c73edp-3, 0x1.48f4cbb0b3f44p-3, 0x1.446802624f9cep-3, 0x1.3fe4f51904318p-3, 0x1.3b6bb8b88a93dp-3, 0x1.36fc60adc7112p-3, 0x1.3296fef7952f6p-3, 0x1.2e3ba42f7e5dbp-3, 0x1.29ea5f9250f9ep-3, 0x1.25a33f08a862fp-3, 0x1.21664f2f5b881p-3, 0x1.1d339b5fcd90ep-3, 0x1.190b2db82dcep-3, 0x1.14ed0f23947b5p-3, 0x1.10d94762108dbp-3, 0x1.0ccfdd109170ap-3, 0x1.08d0d5b0c00d2p-3, 0x1.04dc35b0b1fe3p-3, 0x1.00f200728c0ecp-3, 0x1.fa2470a808579p-4, 0x1.f279bd6b91e6ap-4, 0x1.eae3e80598788p-4, 0x1.e362ef6ef1042p-4, 0x1.dbf6d0d17f38bp-4, 0x1.d49f87962c395p-4, 0x1.cd5d0d72a1881p-4, 0x1.c62f5a76c65edp-4, 0x1.bf16651a0bc57p-4, 0x1.b81222487b161p-4, 0x1.b122856f8df7ap-4, 0x1.aa47808ad5169p-4, 0x1.a381043054fa8p-4, 0x1.9cceff9cbfacap-4, 0x1.963160bf69c2p-4, 0x1.8fa8144609099p-4, 0x1.893305a83e73fp-4, 0x1.82d21f32e8bd2p-4, 0x1.7c854a133d634p-4, 0x1.764c6e61af4c3p-4, 0x1.7027732c969dep-4, 0x1.6a163e82ac9b7p-4, 0x1.6418b57d4c936p-4, 0x1.5e2ebc4a7caf2p-4, 0x1.58583636c95f6p-4, 0x1.529505b6e38fep-4, 0x1.4ce50c71122c1p-4, 0x1.47482b466ad13p-4, 0x1.41be425bd85dp-4, 0x1.3c473122f284p-4, 0x1.36e2d6629b86ap-4, 0x1.3191103f748f5p-4, 0x1.2c51bc441a78cp-4, 0x1.2724b76934d74p-4, 0x1.2209de1d53929p-4, 0x1.1d010c4c9ffddp-4, 0x1.180a1d685982cp-4, 0x1.1324ec6e2652p-4, 0x1.0e5153ef39806p-4, 0x1.098f2e1747b54p-4, 0x1.04de54b34ce06p-4, 0x1.003ea1382db22p-4, 0x1.f75fd9924c794p-5, 0x1.ee64207c21a46p-5, 0x1.e589c85303ef6p-5, 0x1.dcd081bd72d31p-5, 0x1.d437fceedd6d2p-5, 0x1.cbbfe9b2da998p-5, 0x1.c367f778231ffp-5, 0x1.bb2fd55b2e493p-5, 0x1.b31732308871p-5, 0x1.ab1dbc8ee0c2ap-5, 0x1.a34322d8c662dp-5, 0x1.9b8713461aa8dp-5, 0x1.93e93bed407d7p-5, 0x1.8c694acc05b5ap-5, 0x1.8506edd03d43ap-5, 0x1.7dc1d2e01efefp-5, 0x1.7699a7e261692p-5, 0x1.6f8e1ac60880cp-5, 0x1.689ed98a0243dp-5, 0x1.61cb92447b6cp-5, 0x1.5b13f329f3c77p-5, 0x1.5477aa941afa2p-5, 0x1.4df667086bce1p-5, 0x1.478fd73e8e299p-5, 0x1.4143aa2685a71p-5, 0x1.3b118eee9d533p-5, 0x1.34f9350922832p-5, 0x1.2efa4c31e4e87p-5, 0x1.291484738b047p-5, 0x1.23478e2ca2598p-5, 0x1.1d931a1490a59p-5, 0x1.17f6d9403ebf1p-5, 0x1.12727d26a1aa5p-5, 0x1.0d05b7a5137bp-5, 0x1.07b03b0370c04p-5, 0x1.0271b9f817535p-5, 0x1.fa93cf575c886p-6, 0x1.f070ef79930f8p-6, 0x1.e67a3c86bd023p-6, 0x1.dcaf1fa825152p-6, 0x1.d30f0306ba53fp-6, 0x1.c99951d105054p-6, 0x1.c04d7840e4ab4p-6, 0x1.b72ae3a0dc056p-6, 0x1.ae3102513a96ap-6, 0x1.a55f43cce2f3ap-6, 0x1.9cb518addae1bp-6, 0x1.9431f2b19192bp-6, 0x1.8bd544bce8a8ap-6, 0x1.839e82dff3557p-6, 0x1.7b8d22597f4c9p-6, 0x1.73a0999a65688p-6, 0x1.6bd860488ce88p-6, 0x1.6433ef41ce4fcp-6, 0x1.5cb2c09e81d39p-6, 0x1.55544fb3f5dbfp-6, 0x1.4e1819169113ap-6, 0x1.46fd9a9bdbd6cp-6, 0x1.4004535c50a1dp-6, 0x1.392bc3b4ebc36p-6, 0x1.32736d48a3d56p-6, 0x1.2bdad301a0103p-6, 0x1.2561791258ce3p-6, 0x1.1f06e4f67c3e1p-6, 0x1.18ca9d73a3f04p-6, 0x1.12ac2a99fc512p-6, 0x1.0cab15c4ab66p-6, 0x1.06c6e99a21b9cp-6, 0x1.00ff320c3d8bep-6, 0x1.f6a6f8b0a24bdp-7, 0x1.eb86ae0e0ed3bp-7, 0x1.e09ca3d83ae75p-7, 0x1.d5e7fc4c1c501p-7, 0x1.cb67dc3b1a6a2p-7, 0x1.c11b6b09db564p-7, 0x1.b701d2aeeb2aap-7, 0x1.ad1a3fb0f9971p-7, 0x1.a363e1251788cp-7, 0x1.99dde8aca495bp-7, 0x1.90878a7315p-7, 0x1.875ffd2b7e05bp-7, 0x1.7e667a0e114c9p-7, 0x1.759a3cd54815ep-7, 0x1.6cfa83bafef72p-7, 0x1.64868f7564893p-7, 0x1.5c3da333c0af7p-7, 0x1.541f049b0c059p-7, 0x1.4c29fbc27d72ap-7, 0x1.445dd32fe1219p-7, 0x1.3cb9d7d3d961p-7, 0x1.353d5905ff481p-7, 0x1.2de7a880e519cp-7, 0x1.26b81a5e09748p-7, 0x1.1fae0511925aap-7, 0x1.18c8c1661f077p-7, 0x1.1207aa784c805p-7, 0x1.0b6a1db254777p-7, 0x1.04ef7ac77a382p-7, 0x1.fd2e475ed6193p-8, 0x1.f0c0f9432482ap-8, 0x1.e495d82099db3p-8, 0x1.d8abb5484943cp-8, 0x1.cd01666ddeb05p-8, 0x1.c195c59daeefbp-8, 0x1.b667b132bc289p-8, 0x1.ab760bccd7e48p-8, 0x1.a0bfbc462fa4cp-8, 0x1.9643ada95ce9ap-8, 0x1.8c00cf26fe298p-8, 0x1.81f6140b4a6eep-8, 0x1.782273b3c825ap-8, 0x1.6e84e984b44p-8, 0x1.651c74de997d2p-8, 0x1.5be81913c3a89p-8, 0x1.52e6dd5d8b71cp-8, 0x1.4a17ccd1e197ep-8, 0x1.4179f6589640bp-8, 0x1.390c6ca0ae61cp-8, 0x1.30ce4615c3db8p-8, 0x1.28be9cd56354bp-8, 0x1.20dc8ea442f56p-8, 0x1.19273ce3b04cdp-8, 0x1.119dcc86e6033p-8, 0x1.0a3f66084d46bp-8, 0x1.030b355ef46b9p-8, 0x1.f800d3e7c4bap-9, 0x1.ea3c6d2eefb18p-9, 0x1.dcc7a2edecc58p-9, 0x1.cfa0e823c4b18p-9, 0x1.c2c6b65ec73c3p-9, 0x1.b6378da84c22cp-9, 0x1.a9f1f46ef8969p-9, 0x1.9df47772a30ffp-9, 0x1.923da9af5562cp-9, 0x1.86cc24489fe2ep-9, 0x1.7b9e867562c2p-9, 0x1.70b3756b2b565p-9, 0x1.66099c4a220f4p-9, 0x1.5b9fac08afcb5p-9, 0x1.51745b5f782f9p-9, 0x1.478666b5afc11p-9, 0x1.3dd4900d16ccbp-9, 0x1.345d9eee29c92p-9, 0x1.2b20605511b0ap-9, 0x1.221ba69dcb613p-9, 0x1.194e49714a10ap-9, 0x1.10b725b1fe605p-9, 0x1.08551d694a71fp-9, 0x1.002717b44ec9ap-9, 0x1.f05801632f9c5p-10, 0x1.e0c592dcd96c3p-10, 0x1.d194cfa91755bp-10, 0x1.c2c3ad2fec7e8p-10, 0x1.b4502a49f204bp-10, 0x1.a6384f1c8a2b8p-10, 0x1.987a2cf666d8cp-10, 0x1.8b13de2cdabcap-10, 0x1.7e0385f89edcp-10, 0x1.714750540f07ep-10, 0x1.64dd71d84f1bdp-10, 0x1.58c4279c5b207p-10, 0x1.4cf9b7137e4f2p-10, 0x1.417c6debe2dap-10, 0x1.364aa1ee6837ap-10, 0x1.2b62b0de15398p-10, 0x1.20c300583425cp-10, 0x1.1669fdb49638ap-10, 0x1.0c561de67286p-10, 0x1.0285dd5d3dc2cp-10, 0x1.f1ef7fcd26ap-11, 0x1.df54a11ea1d1cp-11, 0x1.cd38430c52b3cp-11, 0x1.bb9797fc715dep-11, 0x1.aa6fe022461ffp-11, 0x1.99be694675fbep-11, 0x1.89808e8c7a0bbp-11, 0x1.79b3b83b1ea6p-11, 0x1.6a555b84e0f5cp-11, 0x1.5b62fa50942cbp-11, 0x1.4cda2303bb1c8p-11, 0x1.3eb8704ccb115p-11, 0x1.30fb88ee3bd05p-11, 0x1.23a11f8ac098bp-11, 0x1.16a6f2717b11p-11, 0x1.0a0acb6b141cap-11, 0x1.fb94ff0f8c2bfp-12, 0x1.e3c7dddc7c9dp-12, 0x1.ccaa0954a2971p-12, 0x1.b6376cf9ca2bfp-12, 0x1.a06c095970e1cp-12, 0x1.8b43f3ae5cadep-12, 0x1.76bb5585bc2a3p-12, 0x1.62ce6c6134e89p-12, 0x1.4f7989610baf3p-12, 0x1.3cb910e7d03aap-12, 0x1.2a897a451c59p-12, 0x1.18e74f5f89b57p-12, 0x1.07cf2c5efa0dep-12, 0x1.ee7b7eb2dc788p-13, 0x1.ce5f9001f0247p-13, 0x1.af442ea455859p-13, 0x1.91231e88c68b7p-13, 0x1.73f644f599f65p-13, 0x1.57b7a7ed36835p-13, 0x1.3c616d976a189p-13, 0x1.21eddba66b41bp-13, 0x1.085756c75b2p-13, 0x1.df30c41a38982p-14, 0x1.af573cc4a7282p-14, 0x1.811793f2b4b2ep-14, 0x1.54677f89273b2p-14, 0x1.293cedd2ad28ap-14, 0x1.ff1c08ed44fb9p-15, 0x1.aea23eda85176p-15, 0x1.60f99ff62c236p-15, 0x1.160fb75b10285p-15, 0x1.9ba4ed7b7820ep-16, 0x1.106068f225463p-16, 0x1.145ea682fe52ep-17, 0x1.1dfc0967106b8p-21, -0x1.cdfbf882b480cp-18, -0x1.d67b37a33c3e7p-17, -0x1.5e6b95e6f86d2p-16, -0x1.cd27d641ba9e6p-16, -0x1.1bc84b87da501p-15, -0x1.4ee1b313c9588p-15, -0x1.7fee943885e0fp-15, -0x1.aefd0e945fd9p-15, -0x1.dc1af093a2f98p-15, -0x1.03aadc82b42e2p-14, -0x1.185d4c58f9a8p-14, -0x1.2c2b39f046b7ep-14, -0x1.3f1af1effea12p-14, -0x1.51329c40953b7p-14, -0x1.62783cc8791f6p-14, -0x1.72f1b42252999p-14, -0x1.82a4c05508387p-14, -0x1.9196fd81634ebp-14, -0x1.9fcde6962c86p-14, -0x1.ad4ed5f638cfp-14, -0x1.ba1f0626aeeffp-14, -0x1.c6439270e0a2fp-14, -0x1.d1c17785dae44p-14, -0x1.dc9d941ff5bf2p-14, -0x1.e6dca99e8ff79p-14, -0x1.f0835c9ffd89ep-14, -0x1.f996359a374eep-14, -0x1.010cd0b7942ap-13, -0x1.0508f8ff1ab7dp-13, -0x1.08c1af5a31dfbp-13, -0x1.0c39028ca0582p-13, -0x1.0f70f4abe0003p-13, -0x1.126b7b642f013p-13, -0x1.152a803a67e11p-13, -0x1.17afe0cd2e729p-13, -0x1.19fd6f15cbb38p-13, -0x1.1c14f1a6e1884p-13, -0x1.1df823e9aef7bp-13, -0x1.1fa8b65c3f7e8p-13, -0x1.21284ecb1c29bp-13, -0x1.2278888d2956ap-13, -0x1.239af4bc5ab37p-13, -0x1.24911a6dd8ef9p-13, -0x1.255c76e9231dp-13, -0x1.25fe7ddf17bfep-13, -0x1.2678999de8d67p-13, -0x1.26cc2b45b201ep-13, -0x1.26fa8afbc41ebp-13, -0x1.2705081c47b9ep-13, -0x1.26ece96be1526p-13, -0x1.26b36d4768e98p-13, -0x1.2659c9d3d79e9p-13, -0x1.25e12d2b96406p-13, -0x1.254abd8d53bp-13, -0x1.2497998749078p-13, -0x1.23c8d8238eac7p-13, -0x1.22df8913336d8p-13, -0x1.21dcb4d730e41p-13, -0x1.20c15ceacbb96p-13, -0x1.1f8e7beb355cp-13, -0x1.1e4505bf66746p-13, -0x1.1ce5e7be8e5bbp-13, -0x1.1b7208d66a41p-13, -0x1.19ea49b032376p-13, -0x1.184f84d537e76p-13, -0x1.16a28ed2e7a04p-13, -0x1.14e4365d4f1b8p-13, -0x1.13154471d9658p-13, -0x1.11367c78c201dp-13, -0x1.0f489c661bfabp-13, -0x1.0d4c5cd9a3fd1p-13, -0x1.0b42713f38308p-13, -0x1.092b87ed3e6fep-13, -0x1.07084a42f4e34p-13, -0x1.04d95cc66fbcfp-13, -0x1.029f5f41676abp-13, -0x1.005aecddef5c9p-13, -0x1.fc193884b7a77p-14, -0x1.f769ff58bda9cp-14, -0x1.f2a94a17e7222p-14, -0x1.edd82c3b6df97p-14, -0x1.e8f7b1084cf42p-14, -0x1.e408dbc2cb3e4p-14, -0x1.df0ca7ddc0b0ep-14, -0x1.da04092c68041p-14, -0x1.d4efec10d783fp-14, -0x1.cfd135aa5224ap-14, -0x1.caa8c4022015cp-14, -0x1.c5776e37b6cb8p-14, -0x1.c03e04ac397ebp-14, -0x1.bafd512cae362p-14, -0x1.b5b6171bc31fap-14, -0x1.b0691399a9eabp-14, -0x1.ab16fdabf6bdep-14, -0x1.a5c08664c5ap-14, -0x1.a06659087e9d8p-14, -0x1.9b091b325211bp-14, -0x1.95a96cf9cb428p-14, -0x1.9047e91568cb9p-14, -0x1.8ae524fd6212ap-14, -0x1.8581b10e2e397p-14, -0x1.801e18a972226p-14, -0x1.7abae2562d579p-14, -0x1.75588fe1639b6p-14, -0x1.6ff79e7c59558p-14, -0x1.6a9886db79e05p-14, -0x1.653bbd53ae474p-14, -0x1.5fe1b1f81155ap-14, -0x1.5a8ad0b591d79p-14, -0x1.5537816f6461fp-14, -0x1.4fe82819a22afp-14, -0x1.4a9d24d448fc3p-14, -0x1.4556d404dcf12p-14, -0x1.40158e6fda4a9p-14, -0x1.3ad9a951cb90fp-14, -0x1.35a37676e7923p-14, -0x1.307344533fd9ap-14, -0x1.2b495e19a211bp-14, -0x1.26260bd24ee1fp-14, -0x1.210992710042cp-14, -0x1.1bf433ea83307p-14, -0x1.16e62f49e5a49p-14, -0x1.11dfc0c49f87bp-14, -0x1.0ce121cf55a98p-14, -0x1.07ea8930f16b4p-14, -0x1.02fc2b16295dbp-14, -0x1.fc2c724826de4p-15, -0x1.f271c514b6d08p-15, -0x1.e8c8a82ad3d47p-15, -0x1.df31707f63a0cp-15, -0x1.d5ac6e851b099p-15, -0x1.cc39ee4e5f36bp-15, -0x1.c2da37ad401a7p-15, -0x1.b98d8e5383d72p-15, -0x1.b05431f13ce27p-15, -0x1.a72e5e537f814p-15, -0x1.9e1c4b814db2bp-15, -0x1.951e2dd90d186p-15, -0x1.8c34362bbd21bp-15, -0x1.835e91d92f2ddp-15, -0x1.7a9d6aea15474p-15, -0x1.71f0e82abc024p-15, -0x1.69592d43d4993p-15, -0x1.60d65ad3fa07p-15, -0x1.58688e873f872p-15, -0x1.500fe32f45787p-15, -0x1.47cc70d9f34bcp-15, -0x1.3f9e4ce842046p-15, -0x1.37858a23dc0b5p-15, -0x1.2f8238d4a53b1p-15, -0x1.279466d5649fp-15, -0x1.1fbc1fa82ec9bp-15, -0x1.17f96c8a50a08p-15, -0x1.104c548768776p-15, -0x1.08b4dc8c296c9p-15, -0x1.013307790fff1p-15, -0x1.f38dac675b45fp-16, -0x1.e4e08f7147965p-16, -0x1.d65eb2584b75ep-16, -0x1.c8080bd5b965dp-16, -0x1.b9dc8f335091ep-16, -0x1.abdc2c6b1b2c7p-16, -0x1.9e06d045f5cc8p-16, -0x1.905c6478f9728p-16, -0x1.82dccfc2c51fcp-16, -0x1.7587f607a95d1p-16, -0x1.685db86c9de78p-16, -0x1.5b5df5738fcdp-16, -0x1.4e88891330c6ap-16, -0x1.41dd4cd1aeed8p-16, -0x1.355c17dd50b97p-16, -0x1.2904bf2488173p-16, -0x1.1cd7156c7e389p-16, -0x1.10d2eb6869dfcp-16, -0x1.04f80fd0156c5p-16, -0x1.f28c9ee97615cp-17, -0x1.db7aeaaaf9794p-17, -0x1.c4ba956a079c1p-17, -0x1.ae4b2e58d3569p-17, -0x1.982c417d32151p-17, -0x1.825d57d636bcap-17, -0x1.6cddf78043215p-17, -0x1.57ada3d89d8b1p-17, -0x1.42cbdd9fa8521p-17, -0x1.2e382319ee956p-17, -0x1.19f1f03197695p-17, -0x1.05f8be9486be1p-17, -0x1.e4980ba6dfe8bp-18, -0x1.bdd676ff7a87bp-18, -0x1.97aba6917e7a3p-18, -0x1.72167e2c85d46p-18, -0x1.4d15de4a1bc8dp-18, -0x1.28a8a44137fdfp-18, -0x1.04cdaa7ad81a4p-18, -0x1.c30791431495dp-19, -0x1.7d93a7a531ba2p-19, -0x1.393d3d9813353p-19, -0x1.ec03e86e374e8p-20, -0x1.67bed1240431p-20, -0x1.cb4cd002dcaf4p-21, -0x1.96d763d3658e2p-22, 0x1.817b63f51242bp-24, 0x1.278e4acd2dd95p-21, 0x1.0d5d593e941b9p-20, 0x1.84df3aef06cc8p-20, 0x1.fa51b7770a298p-20, 0x1.36dcdf94041a4p-19, 0x1.6f8e228eed78ep-19, 0x1.a73f1f65bd593p-19, 0x1.ddf251b8e247ep-19, 0x1.09d51aeb7489p-18, 0x1.2434a4423e622p-18, 0x1.3e1903615a4bbp-18, 0x1.578376cd65423p-18, 0x1.70753cf499163p-18, 0x1.88ef9416d2d7ep-18, 0x1.a0f3ba2c301c8p-18, 0x1.b882ecce110a6p-18, 0x1.cf9e69211f3e6p-18, 0x1.e6476bbf46db4p-18, 0x1.fc7f30a2a0d93p-18, 0x1.09237988c3ae7p-17, 0x1.13cff6c5f6de8p-17, 0x1.1e45acdc10763p-17, 0x1.28853827e1c6cp-17, 0x1.328f3488045a7p-17, 0x1.3c643d549acf5p-17, 0x1.4604ed56ca81bp-17, 0x1.4f71dec198991p-17, 0x1.58abab29f8473p-17, 0x1.61b2eb805bd58p-17, 0x1.6a883809e625ep-17, 0x1.732c2859882b3p-17, 0x1.7b9f534a0ec44p-17, 0x1.83e24ef829ac3p-17, 0x1.8bf5b0bcd5daap-17, 0x1.93da0d281cebep-17, 0x1.9b8ff7fb613d8p-17, 0x1.a3180424dd02bp-17, 0x1.aa72c3bb04858p-17, 0x1.b1a0c7f7cb95cp-17, 0x1.b8a2a134587e8p-17, 0x1.bf78dee542c6ap-17, 0x1.c6240f96bdc43p-17, 0x1.cca4c0e8a7ce2p-17, 0x1.d2fb7f8b35127p-17, 0x1.d928d73bc1565p-17, 0x1.df2d52c224dafp-17, 0x1.e5097bed39bb9p-17, 0x1.eabddb9049529p-17, 0x1.f04af980aa9dbp-17, 0x1.f5b15c936213ap-17, 0x1.faf18a9abbb5fp-17, 0x1.0006043239e79p-16, 0x1.0280acdbe7eb4p-16, 0x1.04e900a9c32a8p-16, 0x1.073f407621ef6p-16, 0x1.0983ac95b13fp-16, 0x1.0bb684d6b80f3p-16, 0x1.0dd8088053475p-16, 0x1.0fe876522b87ep-16, 0x1.11e80c83d47adp-16, 0x1.13d708c4404fcp-16, 0x1.15b5a839827cap-16, 0x1.1784278067fa6p-16, 0x1.1942c2ac4eea9p-16, 0x1.1af1b546bb39ep-16, 0x1.1c913a4f667a6p-16, 0x1.1e218c3bfe51p-16, 0x1.1fa2e4f7fcd3cp-16, 0x1.21157de4be27dp-16, 0x1.22798fd95d32ap-16, 0x1.23cf5322ea5d6p-16, 0x1.2516ff847c27dp-16, 0x1.2650cc373aafap-16, 0x1.277cefea85e15p-16, 0x1.289ba0c434e15p-16, 0x1.29ad1460db38dp-16, 0x1.2ab17fd3f864ap-16, 0x1.2ba917a846603p-16, 0x1.2c940fe013b7fp-16, 0x1.2d729bf5a7b24p-16, 0x1.2e44eedb9e8b7p-16, 0x1.2f0b3afd53625p-16, 0x1.2fc5b23f48b3ep-16, 0x1.307485ffa2db1p-16, 0x1.3117e716b493cp-16, 0x1.31b005d77ba37p-16, 0x1.323d1210164dep-16, 0x1.32bf3b0a634c5p-16, 0x1.3336af8c9a911p-16, 0x1.33a39dd9d406ap-16, 0x1.340633b2ba43bp-16, 0x1.345e9e5632702p-16, 0x1.34ad0a81edd33p-16, 0x1.34f1a47315532p-16, 0x1.352c97e70868bp-16, 0x1.355e101c044bdp-16, 0x1.358637d1e22eep-16, 0x1.35a5394ac14d2p-16, 0x1.35bb3e4bdc35p-16, 0x1.35c8701e41f84p-16, 0x1.35ccf78f9690cp-16, 0x1.35c8fcf2d798p-16, 0x1.35bca8211912p-16, 0x1.35a8207a76d14p-16, 0x1.358b8ce6c72b1p-16, 0x1.356713d66854dp-16, 0x1.353adb4315aep-16, 0x1.350708b0cd9dcp-16, 0x1.34cbc12e98737p-16, 0x1.348929575b87ep-16, 0x1.343f6552bc38ap-16, 0x1.33ee98d6095f3p-16, 0x1.3396e724fc6e9p-16, 0x1.333873129ddf3p-16, 0x1.32d35f022dee1p-16, 0x1.3267cce7fb581p-16, 0x1.31f5de4a4b605p-16, 0x1.317db442308bap-16, 0x1.30ff6f7c90eaap-16, 0x1.307b303aca643p-16, 0x1.2ff11653d2384p-16, 0x1.2f614134fa6f7p-16, 0x1.2ecbcfe2db531p-16, 0x1.2e30e0fa315c9p-16, 0x1.2d9092b0d7401p-16, 0x1.2ceb02d69a7e4p-16, 0x1.2c404ed62e399p-16, 0x1.2b9093b5ef35dp-16, 0x1.2adbee18fb6d4p-16, 0x1.2a227a3ffa627p-16, 0x1.2964540a001bep-16, 0x1.28a196f56d3dp-16, 0x1.27da5e20ef8cbp-16, 0x1.270ec44c500b1p-16, 0x1.263ee3d964561p-16, 0x1.256ad6ccd86c3p-16, 0x1.2492b6cf25d4ep-16, 0x1.23b69d2d7aeebp-16, 0x1.22d6a2da8ec8ap-16, 0x1.21f2e06f9d55bp-16, 0x1.210b6e2d220e1p-16, 0x1.202063fbc671cp-16, 0x1.1f31d96d4503dp-16, 0x1.1e3fe5bd4e6f3p-16, 0x1.1d4a9fd2562b3p-16, 0x1.1c521e3e8bcd5p-16, 0x1.1b5677408adb8p-16, 0x1.1a57c0c4494e8p-16, 0x1.195610640a67dp-16, 0x1.18517b6909781p-16, 0x1.174a16cc8d21dp-16, 0x1.163ff738801cap-16, 0x1.153331086b3f4p-16, 0x1.1423d84a380dep-16, 0x1.131200bf10d34p-16, 0x1.11fdbddc33099p-16, 0x1.10e722cbc1c2cp-16, 0x1.0fce426d877e1p-16, 0x1.0eb32f57bfeb5p-16, 0x1.0d95fbd80443fp-16, 0x1.0c76b9f3f33p-16, 0x1.0b557b6a20014p-16, 0x1.0a3251b2cc9bfp-16, 0x1.090d4e00a07d7p-16, 0x1.07e68141898e1p-16, 0x1.06bdfc1f7045fp-16, 0x1.0593cf01067b4p-16, 0x1.04680a0a8655ep-16, 0x1.033abd1e644b4p-16, 0x1.020bf7de366bfp-16, 0x1.00dbc9ab4ddf8p-16, 0x1.ff54834f29a91p-17, 0x1.fceedd6c5b7f3p-17, 0x1.fa86bef86bd3ap-17, 0x1.f81c44c2feb2ap-17, 0x1.f5af8b228fafep-17, 0x1.f340adf61dec3p-17, 0x1.f0cfc8a61cc1ap-17, 0x1.ee5cf6264f581p-17, 0x1.ebe850f6cd7e6p-17, 0x1.e971f325acce4p-17, 0x1.e6f9f6506d489p-17, 0x1.e48073a4efc57p-17, 0x1.e20583e30c5bdp-17, 0x1.df893f5e07a3ap-17, 0x1.dd0bbdfdbfe8fp-17, 0x1.da8d17401e1bap-17, 0x1.d80d623a14e4cp-17, 0x1.d58cb5995df75p-17, 0x1.d30b27a56387cp-17, 0x1.d088ce40a5b3dp-17, 0x1.ce05bee9fec5p-17, 0x1.cb820ebdda7a5p-17, 0x1.c8fdd2778e77ep-17, 0x1.c6791e72877a3p-17, 0x1.c3f406ab653e5p-17, 0x1.c16e9ec139009p-17, 0x1.bee8f9f6b420cp-17, 0x1.bc632b339d646p-17, 0x1.b9dd450580c8cp-17, 0x1.b75759a138f1ep-17, 0x1.b4d17ae3d2debp-17, 0x1.b24bba53eefdap-17, 0x1.afc62922c6063p-17, 0x1.ad40d82d1551fp-17, 0x1.aabbd7fc9b53ap-17, 0x1.a83738c8db963p-17, 0x1.a5b30a7872d94p-17, 0x1.a32f5ca1fac51p-17, 0x1.a0ac3e8d078fp-17, 0x1.9e29bf3384bb9p-17, 0x1.9ba7ed4280529p-17, 0x1.9926d71b53bf8p-17, 0x1.96a68ad47bfdbp-17, 0x1.9427163ae7f16p-17, 0x1.91a886d299d06p-17, 0x1.8f2ae9d7db8a2p-17, 0x1.8cae4c402c91ep-17, 0x1.8a32babb67dd6p-17, 0x1.87b841b476991p-17, 0x1.853eed5249798p-17, 0x1.82c6c978e3588p-17, 0x1.804fe1ca66b3dp-17, 0x1.7dda41a7bfbbap-17, 0x1.7b65f431966f7p-17, 0x1.78f3044950958p-17, 0x1.76817c91f8508p-17, 0x1.7411677104712p-17, 0x1.71a2cf0f4ee67p-17, 0x1.6f35bd59d8bccp-17, 0x1.6cca3c02bdab7p-17, 0x1.6a605481e3e78p-17, 0x1.67f81015f856bp-17, }}, 
      {{-0x1.de579cb585133p-1, -0x1.de56d146801ep-1, -0x1.de4efbc87d13fp-1, -0x1.de39598bd1c77p-1, -0x1.de0fe11432fd7p-1, -0x1.ddce2ef93703ap-1, -0x1.dd71c8c5ccab5p-1, -0x1.dcf9f3b76bea9p-1, -0x1.dc67554fec531p-1, -0x1.dbbb83e069507p-1, -0x1.daf89dfde73f1p-1, -0x1.da20f43fe5f4ep-1, -0x1.d936c907a0521p-1, -0x1.d83c25985a876p-1, -0x1.d732c18946a09p-1, -0x1.d61bf8c11222ap-1, -0x1.d4f8cc23a5782p-1, -0x1.d3c9e97fd2922p-1, -0x1.d28fb7de7ac72p-1, -0x1.d14a65f2963bep-1, -0x1.cff9f8fdac61cp-1, -0x1.ce9e5afd448bdp-1, -0x1.cd37676043851p-1, -0x1.cbc4f5d71b424p-1, -0x1.ca46e3113dbap-1, -0x1.c8bd17681bacfp-1, -0x1.c7278b97394c1p-1, -0x1.c5864bb47c30ep-1, -0x1.c3d978a6780acp-1, -0x1.c221485a70525p-1, -0x1.c05e04fb000f5p-1, -0x1.be900b645addfp-1, -0x1.bcb7c90d29f65p-1, -0x1.bad5b9940fb05p-1, -0x1.b8ea641a76a36p-1, -0x1.b6f6588e25f84p-1, -0x1.b4fa2cfc36a07p-1, -0x1.b2f67b01e85p-1, -0x1.b0ebdd6a5cc3cp-1, -0x1.aedaee0396a99p-1, -0x1.acc443b132b76p-1, -0x1.aaa870c0174fbp-1, -0x1.a888017bcbb96p-1, -0x1.a6637b042c2e6p-1, -0x1.a43b5a60acc74p-1, -0x1.a21013cd560e5p-1, -0x1.9fe2123ce4128p-1, -0x1.9db1b70b0a1f6p-1, -0x1.9b7f59d9a565bp-1, -0x1.994b4893a672dp-1, -0x1.9715c79096278p-1, -0x1.94df11d3cda5dp-1, -0x1.92a75962c8be2p-1, -0x1.906ec7ae4b13ep-1, -0x1.8e357e0a6b773p-1, -0x1.8bfb9631fcc59p-1, -0x1.89c122d22361ep-1, -0x1.8786301b4bb32p-1, -0x1.854ac45508ca3p-1, -0x1.830ee072b7d73p-1, -0x1.80d280a716758p-1, -0x1.7e959cf53f8bdp-1, -0x1.7c5829bdc392bp-1, -0x1.7a1a1846d1849p-1, -0x1.77db573e976bfp-1, -0x1.759bd33730937p-1, -0x1.735b771ba97f5p-1, -0x1.711a2c9dbb59ap-1, -0x1.6ed7dc9c0c759p-1, -0x1.6c946f80d63f8p-1, -0x1.6a4fcd98ef483p-1, -0x1.6809df634b728p-1, -0x1.65c28dd90ea3p-1, -0x1.6379c2ae695abp-1, -0x1.612f688c743c5p-1, -0x1.5ee36b4452652p-1, -0x1.5c95b7fbe5ccep-1, -0x1.5a463d5465111p-1, -0x1.57f4eb8b29bf2p-1, -0x1.55a1b4950b569p-1, -0x1.534c8c34a0f49p-1, -0x1.50f5680bc2efcp-1, -0x1.4e9c3fa8a10ecp-1, -0x1.4c410c8ec62f8p-1, -0x1.49e3ca3c5d99cp-1, -0x1.4784762c0a772p-1, -0x1.45230fd3a25edp-1, -0x1.42bf98a015f07p-1, -0x1.405a13eed00fdp-1, -0x1.3df28704d3398p-1, -0x1.3b88f903d2125p-1, -0x1.391d72dd867b7p-1, -0x1.36afff457c636p-1, -0x1.3440aaa18c93ep-1, -0x1.31cf82f9333ffp-1, -0x1.2f5c97e3f9135p-1, -0x1.2ce7fa77161fep-1, -0x1.2a71bd3277581p-1, -0x1.27f9f3ed4f7d2p-1, -0x1.2580b3c251688p-1, -0x1.230612fbb4e66p-1, -0x1.208a28ff23975p-1, -0x1.1e0d0e39a5d26p-1, -0x1.1b8edc0ba665bp-1, -0x1.190facb524bd6p-1, -0x1.168f9b4223f43p-1, -0x1.140ec3776a27ap-1, -0x1.118d41bf9e22ep-1, -0x1.0f0b3318cdb62p-1, -0x1.0c88b5026a94ap-1, -0x1.0a05e56bc4c36p-1, -0x1.0782e2a30a832p-1, -0x1.04ffcb44d680cp-1, -0x1.027cbe2c4d664p-1, -0x1.fff3b4c7a41b8p-2, -0x1.faee7e2ca7463p-2, -0x1.f5ea170267e2ep-2, -0x1.f0e6bdcd98ebbp-2, -0x1.ebe4b10319dfep-2, -0x1.e6e42eef71df6p-2, -0x1.e1e5759f7e32bp-2, -0x1.dce8c2ca5520dp-2, -0x1.d7ee53bc58ac5p-2, -0x1.d2f6654377e6cp-2, -0x1.ce01339c91a8p-2, -0x1.c90efa61fa6c6p-2, -0x1.c41ff47b1e4fcp-2, -0x1.bf345c0d2e6f5p-2, -0x1.ba4c6a6ce27e4p-2, -0x1.b568581137ad9p-2, -0x1.b0885c872e3a4p-2, -0x1.abacae667a314p-2, -0x1.a6d5834720d0fp-2, -0x1.a2030fb7f5566p-2, -0x1.9d358735f687fp-2, -0x1.986d1c2477e16p-2, -0x1.93a9ffc61b373p-2, -0x1.8eec62368777cp-2, -0x1.8a347264dac84p-2, -0x1.85825e0ecdde9p-2, -0x1.80d651bc811fap-2, -0x1.7c3078bceb25fp-2, -0x1.7790fd22e0555p-2, -0x1.72f807c2af872p-2, -0x1.6e65c03043f8bp-2, -0x1.69da4cbdd3f6ep-2, -0x1.6555d27b0415dp-2, -0x1.60d87534866f5p-2, -0x1.5c62577426f33p-2, -0x1.57f39a8141b61p-2, -0x1.538c5e619ca56p-2, -0x1.4f2cc1da9fca3p-2, -0x1.4ad4e272e26e4p-2, -0x1.4684dc740f552p-2, -0x1.423ccaed10a65p-2, -0x1.3dfcc7b4877c7p-2, -0x1.39c4eb6b85dd4p-2, -0x1.35954d808482ap-2, -0x1.316e043298d8ep-2, -0x1.2d4f2494d8bb1p-2, -0x1.2938c291f5992p-2, -0x1.252af0f0040a4p-2, -0x1.2125c1546a83p-2, -0x1.1d294447fb964p-2, -0x1.1935893b2e1e9p-2, -0x1.154a9e8a77b4ap-2, -0x1.11689182c3bd4p-2, -0x1.0d8f6e6602a6dp-2, -0x1.09bf406fd38a8p-2, -0x1.05f811da3c515p-2, -0x1.0239ebe27927bp-2, -0x1.fd09ad9bb328p-3, -0x1.f5b1b3dd4cb1p-3, -0x1.ee6bf752347dbp-3, -0x1.e73882f0b94b8p-3, -0x1.e0175fe70b77dp-3, -0x1.d90895a552a72p-3, -0x1.d20c29e7c44d5p-3, -0x1.cb2220c0c220dp-3, -0x1.c44a7ca2f7acap-3, -0x1.bd853e6b71b9bp-3, -0x1.b6d2656bbbe0bp-3, -0x1.b031ef73e57b4p-3, -0x1.a9a3d8dc8d9ddp-3, -0x1.a3281c90d7524p-3, -0x1.9cbeb41853442p-3, -0x1.966797a0db59dp-3, -0x1.9022be08576fap-3, -0x1.89f01ce6715b9p-3, -0x1.83cfa89635982p-3, -0x1.7dc1543f96061p-3, -0x1.77c511e0da362p-3, -0x1.71dad257f8d38p-3, -0x1.6c02856bcb3c2p-3, -0x1.663c19d531431p-3, -0x1.60877d4811c47p-3, -0x1.5ae49c7c3f12ep-3, -0x1.555363363d7d8p-3, -0x1.4fd3bc4fe949ap-3, -0x1.4a6591c0fec5p-3, -0x1.4508cca77e46fp-3, -0x1.3fbd554ff4ed9p-3, -0x1.3a83133d9ce46p-3, -0x1.3559ed3264289p-3, -0x1.3041c936c5904p-3, -0x1.2b3a8ca18cb52p-3, -0x1.26441c1f6b40ep-3, -0x1.215e5bba74b6cp-3, -0x1.1c892ee16b9fap-3, -0x1.17c4786efb5afp-3, -0x1.13101ab0bc488p-3, -0x1.0e6bf76e24982p-3, -0x1.09d7efef4b5b9p-3, -0x1.0553e5038b0d5p-3, -0x1.00dfb70802aa2p-3, -0x1.f8f68bdbe3b2cp-4, -0x1.f04ce281e209p-4, -0x1.e7c2305a0c7fcp-4, -0x1.df5633093a58ap-4, -0x1.d708a78ca5bb6p-4, -0x1.ced94a4547b2ep-4, -0x1.c6c7d702fa1c6p-4, -0x1.bed4090f3e1bcp-4, -0x1.b6fd9b37d6953p-4, -0x1.af4447d911b9cp-4, -0x1.a7a7c8e7d501dp-4, -0x1.a027d7fb648b4p-4, -0x1.98c42e56f529ep-4, -0x1.917c84f2ea334p-4, -0x1.8a509485e5e7cp-4, -0x1.8340158d92c8ap-4, -0x1.7c4ac05730c4p-4, -0x1.75704d07e3ed2p-4, -0x1.6eb073a4ca8edp-4, -0x1.680aec1ad1187p-4, -0x1.617f6e4653e7fp-4, -0x1.5b0db1fa7f74fp-4, -0x1.54b56f087b5b5p-4, -0x1.4e765d465e286p-4, -0x1.48503495e665ep-4, -0x1.4242aceaff92ep-4, -0x1.3c4d7e521065ap-4, -0x1.367060f61744fp-4, -0x1.30ab0d268e489p-4, -0x1.2afd3b5d1fe74p-4, -0x1.2566a44328732p-4, -0x1.1fe700b70626cp-4, -0x1.1a7e09d139e02p-4, -0x1.152b78e9571ffp-4, -0x1.0fef079ac80e6p-4, -0x1.0ac86fc961a5fp-4, -0x1.05b76ba5c9c7p-4, -0x1.00bbb5b1b8865p-4, -0x1.f7aa11880ad38p-5, -0x1.ee06401921db9p-5, -0x1.e48b6e30047b6p-5, -0x1.db3913a6bd7d6p-5, -0x1.d20ea91eee6aap-5, -0x1.c90ba80862697p-5, -0x1.c02f8aa750e3p-5, -0x1.b779cc1a5b336p-5, -0x1.aee9e8603f681p-5, -0x1.a67f5c5d42836p-5, -0x1.9e39a5e05bc57p-5, -0x1.961843a817d42p-5, -0x1.8e1ab5673d423p-5, -0x1.86407bc92c208p-5, -0x1.7e891876097c4p-5, -0x1.76f40e16a0a06p-5, -0x1.6f80e05813c8cp-5, -0x1.682f13ef4e8edp-5, -0x1.60fe2e9c3e482p-5, -0x1.59edb72cd9233p-5, -0x1.52fd357fe9197p-5, -0x1.4c2c3287a9248p-5, -0x1.457a384c29193p-5, -0x1.3ee6d1ed88b23p-5, -0x1.38718ba5faa9fp-5, -0x1.3219f2cb9fb76p-5, -0x1.2bdf95d22ee0fp-5, -0x1.25c2044c771b5p-5, -0x1.1fc0ceedb10efp-5, -0x1.19db878ab024p-5, -0x1.1411c11add5ffp-5, -0x1.0e630fb91d267p-5, -0x1.08cf08a47d631p-5, -0x1.03554240cde28p-5, -0x1.fbeaa82e1a157p-6, -0x1.f15dadab6ca21p-6, -0x1.e702c8a1d2904p-6, -0x1.dcd92f04f93fbp-6, -0x1.d2e01913ca549p-6, -0x1.c916c1580f885p-6, -0x1.bf7c64a5d3a14p-6, -0x1.b610421a94f88p-6, -0x1.acd19b1c3309ep-6, -0x1.a3bfb357bba5p-6, -0x1.9ad9d0bff7617p-6, -0x1.921f3b8bc9094p-6, -0x1.898f3e3464e7dp-6, -0x1.81292573578a2p-6, -0x1.78ec40405ca6p-6, -0x1.70d7dfcf1a8eep-6, -0x1.68eb578ca613fp-6, -0x1.6125fd1cec54ap-6, -0x1.59872857f3c49p-6, -0x1.520e3346fab4fp-6, -0x1.4aba7a217bd41p-6, -0x1.438b5b4a00b71p-6, -0x1.3c80374aeca5dp-6, -0x1.359870d31bc5ep-6, -0x1.2ed36cb26c755p-6, -0x1.283091d62bcb2p-6, -0x1.21af49456e63fp-6, -0x1.1b4efe1d49846p-6, -0x1.150f1d8cff905p-6, -0x1.0eef16d20cd84p-6, -0x1.08ee5b342bf48p-6, -0x1.030c5e013dfaep-6, -0x1.fa91291247da7p-7, -0x1.ef44ec3318633p-7, -0x1.e432f7f349318p-7, -0x1.d95a42cba6dc7p-7, -0x1.ceb9c7168865dp-7, -0x1.c45083070eb08p-7, -0x1.ba1d78a01c2eap-7, -0x1.b01fadab566aep-7, -0x1.a6562bb001918p-7, -0x1.9cbfffe9cf4eap-7, -0x1.935c3b3faadc9p-7, -0x1.8a29f23a53cf5p-7, -0x1.81283cfb10cd8p-7, -0x1.785637324d2ccp-7, -0x1.6fb300160dbep-7, -0x1.673dba589139fp-7, -0x1.5ef58c1ebc9c2p-7, -0x1.56d99ef694274p-7, -0x1.4ee91fcdb031bp-7, -0x1.47233ee7a9ebap-7, -0x1.3f872fd48a424p-7, -0x1.381429672e101p-7, -0x1.30c965abb71cap-7, -0x1.29a621ddf3f57p-7, -0x1.22a99e5fc9544p-7, -0x1.1bd31eafa67edp-7, -0x1.1521e95efcbf5p-7, -0x1.0e954808ab771p-7, -0x1.082c874789e29p-7, -0x1.01e6f6ace59bcp-7, -0x1.f787d16e1b8d2p-8, -0x1.eb85658fdbb9bp-8, -0x1.dfc55a3743b9dp-8, -0x1.d446657e4090bp-8, -0x1.c907430dcd573p-8, -0x1.be06b40b7b94cp-8, -0x1.b3437f06f5ae8p-8, -0x1.a8bc6fe7a04d2p-8, -0x1.9e7057da5b013p-8, -0x1.945e0d3f68972p-8, -0x1.8a846b98549b4p-8, -0x1.80e2537608271p-8, -0x1.7776aa6705ce7p-8, -0x1.6e405ae5a4fd4p-8, -0x1.653e54468bd12p-8, -0x1.5c6f8aa73d37fp-8, -0x1.53d2f6dcbd4a6p-8, -0x1.4b67966270329p-8, -0x1.432c6b48fd4c2p-8, -0x1.3b207c256a8eep-8, -0x1.3342d4005a091p-8, -0x1.2b928245601e8p-8, -0x1.240e9ab289a1ap-8, -0x1.1cb63547f4803p-8, -0x1.15886e37baa0dp-8, -0x1.0e8465d5ba216p-8, -0x1.07a94087d4ee3p-8, -0x1.00f626b612ca8p-8, -0x1.f4d489762ba56p-9, -0x1.e80995a94ef51p-9, -0x1.db89da28d176ep-9, -0x1.cf53c6a16318p-9, -0x1.c365d22b21fcbp-9, -0x1.b7be7b2c04021p-9, -0x1.ac5c473a7b5cdp-9, -0x1.a13dc3006d68p-9, -0x1.9661821e8536cp-9, -0x1.8bc61f0fca448p-9, -0x1.816a3b0da0f9ep-9, -0x1.774c7df3f83bbp-9, -0x1.6d6b9625f9942p-9, -0x1.63c63872c6dfp-9, -0x1.5a5b1ffad6b65p-9, -0x1.51290e156402bp-9, -0x1.482eca3660b7p-9, -0x1.3f6b21d48300cp-9, -0x1.36dce84fe0e66p-9, -0x1.2e82f6d8aadb5p-9, -0x1.265c2c5652fa8p-9, -0x1.1e676d4f01f0dp-9, -0x1.16a3a3cf3fb21p-9, -0x1.0f0fbf5231ec9p-9, -0x1.07aab4a9c5184p-9, -0x1.00737de77c286p-9, -0x1.f2d2348af350bp-10, -0x1.e5151c1f6742fp-10, -0x1.d7adc51b24eep-10, -0x1.ca9a4bd7c6255p-10, -0x1.bdd8d64e2480fp-10, -0x1.b16793eb49aep-10, -0x1.a544bd660f62ep-10, -0x1.996e949565f5dp-10, -0x1.8de36447100b1p-10, -0x1.82a180171c8a6p-10, -0x1.77a74447c5e8fp-10, -0x1.6cf3159a0e9a5p-10, -0x1.62836126e25c1p-10, -0x1.58569c38aa598p-10, -0x1.4e6b4425a2f68p-10, -0x1.44bfde2aaa138p-10, -0x1.3b52f74681488p-10, -0x1.32232415ce67fp-10, -0x1.292f00af81555p-10, -0x1.20753081d2fcp-10, -0x1.17f45e2fb5fcep-10, -0x1.0fab3b6f04827p-10, -0x1.079880e6df9fbp-10, -0x1.ff75dc1e034d9p-11, -0x1.f022921e1b23fp-11, -0x1.e134bd3dcb8cap-11, -0x1.d2aa03ce2c2dp-11, -0x1.c48018c424032p-11, -0x1.b6b4bb7b4e97dp-11, -0x1.a945b77a50afcp-11, -0x1.9c30e437e1946p-11, -0x1.8f7424e0ba0bep-11, -0x1.830d681ec5198p-11, -0x1.76faa7e0c201ap-11, -0x1.6b39e9237879ep-11, -0x1.5fc93bbaefc6cp-11, -0x1.54a6ba1d994bfp-11, -0x1.49d0892f63784p-11, -0x1.3f44d80e53272p-11, -0x1.3501dfdfbb16ap-11, -0x1.2b05e39e39bebp-11, -0x1.214f2fe8d7d75p-11, -0x1.17dc1ad286588p-11, -0x1.0eab03b2d82dbp-11, -0x1.05ba52f795a98p-11, -0x1.fa10f3ed19fdfp-12, -0x1.e927e5816f4efp-12, -0x1.d8b67fec3810dp-12, -0x1.c8b9d93419185p-12, -0x1.b92f17d15da2bp-12, -0x1.aa137259a7d54p-12, -0x1.9b642f2d7d451p-12, -0x1.8d1ea4276d522p-12, -0x1.7f40364c29cep-12, -0x1.71c6597c8afa1p-12, -0x1.64ae9028b34d4p-12, -0x1.57f66b046bc72p-12, -0x1.4b9b88bd5bd6ep-12, -0x1.3f9b95b20a92p-12, -0x1.33f44baa728a8p-12, -0x1.28a37191d47fap-12, -0x1.1da6db31e6a2ep-12, -0x1.12fc68ef23a48p-12, -0x1.08a20786541a3p-12, -0x1.fd2b5f970a46ep-13, -0x1.e9aaccd38fd52p-13, -0x1.d6be774983d57p-13, -0x1.c462963537936p-13, -0x1.b293770f81076p-13, -0x1.a14d7d16e7b9cp-13, -0x1.908d20db104e9p-13, -0x1.804eefca000b4p-13, -0x1.708f8bc0dc139p-13, -0x1.614baa9c634a6p-13, -0x1.528015ce3862fp-13, -0x1.4429a9f248c3ep-13, -0x1.3645566699b58p-13, -0x1.28d01ce5ef24dp-13, -0x1.1bc71123036adp-13, -0x1.0f2758673bb0dp-13, -0x1.02ee2931a4639p-13, -0x1.ee3195b1b9b34p-14, -0x1.d7492a5d6a3e9p-14, -0x1.c11de04aac8d4p-14, -0x1.abaaa6eb92317p-14, -0x1.96ea8c92ae28fp-14, -0x1.82d8bdc723958p-14, -0x1.6f70849cee941p-14, -0x1.5cad48108bcaap-14, -0x1.4a8a8b6627ebdp-14, -0x1.3903ed8a60692p-14, -0x1.2815287880e7fp-14, -0x1.17ba10a1c5065p-14, -0x1.07ee9458a2b46p-14, -0x1.f15d767f57aa6p-15, -0x1.d3ed4b7308105p-15, -0x1.b78518bafe5c6p-15, -0x1.9c1d7edade3b8p-15, -0x1.81af4ca12d1aap-15, -0x1.68337e1c1b5acp-15, -0x1.4fa33b9a9c996p-15, -0x1.37f7d8ac26185p-15, -0x1.212ad32ab172fp-15, -0x1.0b35d24835fep-15, -0x1.ec254b3d9299p-16, -0x1.c37688927146ep-16, -0x1.9c5397fc6958bp-16, -0x1.76b10060b9aafp-16, -0x1.52839267a6b1bp-16, -0x1.2fc066cf3aa3bp-16, -0x1.0e5cdcc6178a2p-16, -0x1.dc9d30a6485d2p-17, -0x1.9f17017d005b2p-17, -0x1.64137e14e9d05p-17, -0x1.2b7f78e21bb7bp-17, -0x1.ea90839b9df12p-18, -0x1.82b746b5b06a7p-18, -0x1.1f4fbf974e92ep-18, -0x1.806eb974da4bbp-19, -0x1.9531c498c4fc7p-20, -0x1.cdc5e2e9d4275p-23, 0x1.120d74ac65b21p-20, 0x1.274ea4ce76cc5p-19, 0x1.be37fee42ccf2p-19, 0x1.26fee802dc1fcp-18, 0x1.6b6cc9802c1cbp-18, 0x1.ac819fab1d3e8p-18, 0x1.ea58a92f2e09dp-18, 0x1.1286360a2e48bp-17, 0x1.2e5b5d1083c84p-17, 0x1.48b85a9451c5p-17, 0x1.61a969975e1e5p-17, 0x1.793a714608412p-17, 0x1.8f7706eee5e2p-17, 0x1.a46a7002dc405p-17, 0x1.b81fa3f4bc86cp-17, 0x1.caa14e22d872ap-17, 0x1.dbf9cfa5b1297p-17, 0x1.ec33411c7571cp-17, 0x1.fb57746e4080bp-17, 0x1.04b7fb414568cp-16, 0x1.0b4308752133ep-16, 0x1.115165c3c0fedp-16, 0x1.16e777129b92ap-16, 0x1.1c09810473349p-16, 0x1.20bba9be72242p-16, 0x1.2501f9a659c2cp-16, 0x1.28e05c1f515e7p-16, 0x1.2c5aa0406d624p-16, 0x1.2f74798832112p-16, 0x1.3231808a7adddp-16, 0x1.3495339e98866p-16, 0x1.36a2f7822d9a4p-16, 0x1.385e180162a78p-16, 0x1.39c9c89324ae2p-16, 0x1.3ae924f736821p-16, 0x1.3bbf31cd9d9dfp-16, 0x1.3c4edd2c8ee52p-16, 0x1.3c9aff3258935p-16, 0x1.3ca65a92c85e3p-16, 0x1.3c739d230ea49p-16, 0x1.3c05606120b13p-16, 0x1.3b5e29f8cc1e9p-16, 0x1.3a806c456f4d1p-16, 0x1.396e86d061bbdp-16, 0x1.382ac6cd1b31fp-16, 0x1.36b76791b170cp-16, 0x1.3516930d3ba03p-16, 0x1.334a623aba60fp-16, 0x1.3154dd9227e4fp-16, 0x1.2f37fd765bf08p-16, 0x1.2cf5aaa001049p-16, 0x1.2a8fbe86de3cp-16, 0x1.280803c86127dp-16, 0x1.2560368afc4d5p-16, 0x1.229a04e06f7fap-16, 0x1.1fb70f24a853dp-16, 0x1.1cb8e85af23c9p-16, 0x1.19a11688fdf6ep-16, 0x1.1671130eb9462p-16, 0x1.132a4afdfe561p-16, 0x1.0fce1f6e0dd93p-16, 0x1.0c5de5cee5d91p-16, 0x1.08dae83906d58p-16, 0x1.054665bbb98b4p-16, 0x1.01a192aadffebp-16, 0x1.fbdb31d102d35p-17, 0x1.f457305cb7da1p-17, 0x1.ecb94ca9c74dep-17, 0x1.e5039f31ccef2p-17, 0x1.dd382dbe12829p-17, 0x1.d558ebebe217p-17, 0x1.cd67bbadfc315p-17, 0x1.c5666dc980137p-17, 0x1.bd56c251df047p-17, 0x1.b53a691f17632p-17, 0x1.ad13024356f52p-17, 0x1.a4e21e7cc4e7dp-17, 0x1.9ca93fa431bdep-17, 0x1.9469d918e8401p-17, 0x1.8c25502c16aaep-17, 0x1.83dcfc84b9afep-17, 0x1.7b92288700a75p-17, 0x1.734611b454bbdp-17, 0x1.6af9e90ab8e8cp-17, 0x1.62aed361ff216p-17, 0x1.5a65e9c762bdp-17, 0x1.522039d41ed28p-17, 0x1.49dec60487005p-17, 0x1.41a2860bd1d12p-17, 0x1.396c6725d33b5p-17, 0x1.313d4c665f771p-17, 0x1.29160f06c3fb4p-17, 0x1.20f77eb2741f9p-17, 0x1.18e261cee467cp-17, 0x1.10d775c59c788p-17, 0x1.08d76f47efdc2p-17, 0x1.00e2fa9443d15p-17, 0x1.f1f5777175feap-18, 0x1.e23e9da48df35p-18, 0x1.d2a2909b073b7p-18, 0x1.c3226a44dc2f5p-18, 0x1.b3bf3621b2d41p-18, 0x1.a479f1b4ca35dp-18, 0x1.95538cf61291fp-18, 0x1.864ceabfbe7acp-18, 0x1.7766e13a49649p-18, 0x1.68a23a443fdbdp-18, 0x1.59ffb3d8417bp-18, 0x1.4b80006fb20ap-18, 0x1.3d23c762a13e2p-18, 0x1.2eeba54657299p-18, 0x1.20d82c4648bcbp-18, 0x1.12e9e47ffa411p-18, 0x1.05214c566c5b7p-18, 0x1.eefdb18e4de5cp-19, 0x1.d405eb77af2d6p-19, 0x1.b95c0cb32af9dp-19, 0x1.9f00ca9b922b7p-19, 0x1.84f4ca336ad7bp-19, 0x1.6b38a0b649ac3p-19, 0x1.51ccd426ed381p-19, 0x1.38b1dbd9e8f34p-19, 0x1.1fe820f9b7d23p-19, 0x1.076fff0cfc493p-19, 0x1.de9388e12478bp-20, 0x1.aeeb65aad2c7dp-20, 0x1.7fe7ff72e83e8p-20, 0x1.5189a9b16392dp-20, 0x1.23d0a143a22adp-20, 0x1.ed7a1a802e229p-21, 0x1.949dffa40e896p-21, 0x1.3d0cee0b10a9ep-21, 0x1.cd8d764b4845fp-22, 0x1.23962e7f98a44p-22, 0x1.f0cc77da608a6p-24, -0x1.44e733a05df32p-25, -0x1.95b6970ee9746p-23, -0x1.6a89bd002e812p-22, -0x1.03d51170789a3p-21, -0x1.511f4f74f7683p-21, -0x1.9d24c511629d5p-21, -0x1.e7e6b9338327dp-21, -0x1.18b34607083f7p-20, -0x1.3cd2dafd4a579p-20, -0x1.6052e328aa6b3p-20, -0x1.8334313603f4cp-20, -0x1.a577a248fdfa9p-20, -0x1.c71e1d7dfa7a8p-20, -0x1.e828936bbe5abp-20, -0x1.044bfed82af22p-19, -0x1.1436af3be3693p-19, -0x1.23d4e006ca6d2p-19, -0x1.33271a37358b6p-19, -0x1.422dea6f64e82p-19, -0x1.50e9e0c29b31ap-19, -0x1.5f5b908290a8ep-19, -0x1.6d839010c3f21p-19, -0x1.7b6278aeb06e8p-19, -0x1.88f8e651d7fe2p-19, -0x1.964777779724dp-19, -0x1.a34eccfb306cdp-19, -0x1.b00f89ed8f9f4p-19, -0x1.bc8a536cde4c4p-19, -0x1.c8bfd0808bfbep-19, -0x1.d4b0a9f1bdc3bp-19, -0x1.e05d8a2a7041ap-19, -0x1.ebc71d117693fp-19, -0x1.f6ee0fe9abe43p-19, -0x1.00e988995dad1p-18, -0x1.063b684492515p-18, -0x1.0b6cff44765cbp-18, -0x1.107ea658ad164p-18, -0x1.1570b6a44c4b6p-18, -0x1.1a4389a08b1f3p-18, -0x1.1ef7790feccaep-18, -0x1.238cdef1cac51p-18, -0x1.280415765e991p-18, -0x1.2c5d76f3602e2p-18, -0x1.30995dd8a7ce9p-18, -0x1.34b824a5c8588p-18, -0x1.38ba25df89275p-18, -0x1.3c9fbc065cc4p-18, -0x1.4069418c67761p-18, -0x1.441710cce5c2fp-18, -0x1.47a9840314adfp-18, -0x1.4b20f541da392p-18, -0x1.4e7dbe6bb2c83p-18, -0x1.51c0392b1a2a8p-18, -0x1.54e8beeae437ap-18, -0x1.57f7a8cf4bde3p-18, -0x1.5aed4faeec01dp-18, -0x1.5dca0c0c91624p-18, -0x1.608e3610e0b32p-18, -0x1.633a25843c1cep-18, -0x1.65ce31c92a716p-18, -0x1.684ab1d6fa54ep-18, -0x1.6aaffc34668d9p-18, -0x1.6cfe66f2f43c2p-18, -0x1.6f3647aa06235p-18, -0x1.7157f3725a951p-18, -0x1.7363bee205e37p-18, -0x1.7559fe0836eb1p-18, -0x1.773b04697fea9p-18, -0x1.790724fc1a72dp-18, -0x1.7abeb22498017p-18, -0x1.7c61fdb2a0ba7p-18, -0x1.7df158ddcf88bp-18, -0x1.7f6d14430b551p-18, -0x1.80d57fe1570c1p-18, -0x1.822aeb17e95a6p-18, -0x1.836da4a34df9ep-18, -0x1.849dfa9b66f33p-18, -0x1.85bc3a713e067p-18, -0x1.86c8b0ed304b9p-18, -0x1.87c3aa2d28cf3p-18, -0x1.88ad71a2c7968p-18, -0x1.89865211f26a5p-18, -0x1.8a4e958fa39adp-18, -0x1.8b0685807a813p-18, -0x1.8bae6a977f991p-18, -0x1.8c468cd528e07p-18, -0x1.8ccf338679999p-18, -0x1.8d48a54431e6cp-18, -0x1.8db327f203031p-18, -0x1.8e0f00bdf5ebcp-18, -0x1.8e5c741feedc2p-18, -0x1.8e9bc5d92abc2p-18, -0x1.8ecd38f3f50d1p-18, -0x1.8ef10fc36554dp-18, -0x1.8f078be33509p-18, -0x1.8f10ee3770df1p-18, -0x1.8f0d76ecc6e87p-18, -0x1.8efd657850f67p-18, -0x1.8ee0f897eb121p-18, -0x1.8eb86e5229f94p-18, -0x1.8e8403f6ad442p-18, -0x1.8e43f61e7deefp-18, -0x1.8df880ac68db6p-18, -0x1.8da1decd61f75p-18, -0x1.8d404af92356fp-18, -0x1.8cd3fef281154p-18, -0x1.8c5d33c806fcep-18, -0x1.8bdc21d4c654bp-18, -0x1.8b5100c0e7b77p-18, -0x1.8abc07825ca0dp-18, -0x1.8a1d6c5db7e38p-18, -0x1.897564e707462p-18, -0x1.88c426028dff9p-18, -0x1.8809e3e595f86p-18, -0x1.8746d21794587p-18, -0x1.867b2372f222cp-18, -0x1.85a70a26278ap-18, -0x1.84cab7b49ec6dp-18, -0x1.83e65cf7c9f2cp-18, -0x1.82fa2a203ea65p-18, -0x1.82064eb6c93bap-18, -0x1.810af99d90c8bp-18, -0x1.8008591123772p-18, -0x1.7efe9aa9b877fp-18, -0x1.7dedeb5c6062fp-18, -0x1.7cd6777c1f1a2p-18, -0x1.7bb86abb32a45p-18, -0x1.7a93f02c6a2b6p-18, -0x1.796932443bd74p-18, -0x1.78385ada2598ep-18, -0x1.77019329e26fdp-18, -0x1.75c503d4c4943p-18, -0x1.7482d4e2fd2edp-18, -0x1.733b2dc4f7f3fp-18, -0x1.71ee3554962ccp-18, -0x1.709c11d683b11p-18, -0x1.6f44e8fbae77ep-18, -0x1.6de8dfe295cdap-18, -0x1.6c881b1895cb4p-18, -0x1.6b22be9b4be0bp-18, -0x1.69b8edd9f148ap-18, -0x1.684acbb6b8f22p-18, -0x1.66d87a884d1e8p-18, -0x1.65621c1af9fcap-18, -0x1.63e7d1b22bda5p-18, -0x1.6269bc09de594p-18, -0x1.60e7fb57ea7ddp-18, -0x1.5f62af4d6a5c4p-18, -0x1.5dd9f71825b58p-18, -0x1.5c4df163e6a6dp-18, -0x1.5abebc5bdec86p-18, -0x1.592c75ac0fc08p-18, -0x1.57973a829da5dp-18, -0x1.55ff27913e7d2p-18, -0x1.5464590e9d53cp-18, -0x1.52c6eab7a6dcdp-18, -0x1.5126f7d0deb5ep-18, -0x1.4f849b27dc70bp-18, -0x1.4ddfef14990efp-18, -0x1.4c390d7abf16p-18, -0x1.4a900fcb05964p-18, -0x1.48e50f0495dccp-18, -0x1.473823b656a0ap-18, -0x1.458966003eae9p-18, -0x1.43d8ed94ae35cp-18, -0x1.4226d1b9b4c4dp-18, -0x1.4073294a70a45p-18, -0x1.3ebe0ab857ff6p-18, -0x1.3d078c0c8819ep-18, -0x1.3b4fc2e8ff7c7p-18, -0x1.3996c489e6d31p-18, -0x1.37dca5c6e70eap-18, -0x1.36217b14728d8p-18, -0x1.34655884f60ddp-18, -0x1.32a851ca14011p-18, -0x1.30ea7a35e67f8p-18, -0x1.2f2be4bc58df4p-18, -0x1.2d6ca3f438a84p-18, -0x1.2bacca187412fp-18, -0x1.29ec6909640e7p-18, -0x1.282b924deb9ep-18, -0x1.266a5714a6c75p-18, -0x1.24a8c8352dad9p-18, -0x1.22e6f63128b15p-18, -0x1.2124f13579078p-18, -0x1.1f62c91b7378ap-18, -0x1.1da08d69e98cfp-18, -0x1.1bde4d566290fp-18, -0x1.1a1c17c630dc8p-18, -0x1.1859fb4f909cep-18, -0x1.1698063abc885p-18, -0x1.14d6468304dfdp-18, -0x1.1314c9d7e4ffdp-18, -0x1.11539d9e18a78p-18, -0x1.0f92cef0b548dp-18, -0x1.0dd26aa224377p-18, -0x1.0c127d3d2f4a6p-18, -0x1.0a5313060d339p-18, -0x1.089437fb742fp-18, -0x1.06d5f7d78e242p-18, -0x1.05185e10f9bfdp-18, -0x1.035b75dbce26bp-18, -0x1.019f4a2a8797fp-18, -0x1.ffc7cb5e2132ep-19, -0x1.fc52a5b75241ep-19, -0x1.f8df37c7ecc25p-19, -0x1.f56d957ba4a0ep-19, -0x1.f1fdd244883a1p-19, -0x1.ee90011ccd85ap-19, -0x1.eb243488e21ffp-19, -0x1.e7ba7e98fac73p-19, -0x1.e452f0eae8049p-19, -0x1.e0ed9cabd2a02p-19, -0x1.dd8a929a08cbdp-19, -0x1.da29e306c181dp-19, -0x1.d6cb9dd7bb91dp-19, -0x1.d36fd288eb17cp-19, -0x1.d016902e32799p-19, -0x1.ccbfe5750987p-19, -0x1.c96be0a61b5f1p-19, -0x1.c61a8fa6d277dp-19, -0x1.c2cbfffb00512p-19, -0x1.bf803ec65957bp-19, -0x1.bc3758ce253dcp-19, -0x1.b8f15a7ac383dp-19, -0x1.b5ae4fd902773p-19, -0x1.b26e449bd6754p-19, -0x1.af31441db7417p-19, -0x1.abf759621da32p-19, -0x1.a8c08f16fa189p-19, -0x1.a58cef95fa8a5p-19, -0x1.a25c84e626769p-19, -0x1.9f2f58bd4a1cdp-19, -0x1.9c05748117dfdp-19, -0x1.98dee148bc5f2p-19, -0x1.95bba7de15c0ep-19, -0x1.929bd0bf0f4cfp-19, -0x1.8f7f641efab9bp-19, -0x1.8c6669e7cb7efp-19, -0x1.8950e9bb51958p-19, -0x1.863eeaf4a8ab8p-19, -0x1.833074a94f266p-19, -0x1.80258daa63308p-19, -0x1.7d1e3c85c5428p-19, -0x1.7a1a8787806cdp-19, -0x1.771a74baca4acp-19, -0x1.741e09eb35af9p-19, -0x1.71254ca5ea845p-19, -0x1.6e30423aa64dep-19, -0x1.6b3eefbcf001dp-19, -0x1.68515a051c01fp-19, -0x1.656785b1892a2p-19, -0x1.6281772792ed6p-19, -0x1.5f9f3294ae1b4p-19, -0x1.5cc0bbef5cb7cp-19, -0x1.59e616f840609p-19, -0x1.570f473b293cap-19, -0x1.543c50101279ap-19, -0x1.516d349c18724p-19, -0x1.4ea1f7d26e406p-19, -0x1.4bda9c7553e36p-19, -0x1.49172517085dp-19, -0x1.4657941abeb09p-19, -0x1.439bebb5760eep-19, -0x1.40e42def0c3bbp-19, -0x1.3e305ca2f0417p-19, -0x1.3b807981074c4p-19, -0x1.38d4860ea51e4p-19, -0x1.362c83a769ff8p-19, -0x1.3388737dfaa23p-19, -0x1.30e8569cf1185p-19, -0x1.2e4c2de792fd7p-19, -0x1.2bb3fa1aac848p-19, -0x1.291fbbcd6a5ebp-19, -0x1.268f73720a217p-19, -0x1.24032156af906p-19, -0x1.217ac5a60a0f8p-19, -0x1.1ef66068397d8p-19, -0x1.1c75f1837fc1p-19, -0x1.19f978bcf1c18p-19, -0x1.1780f5b93354ap-19, -0x1.150c67fd1efe1p-19, -0x1.129bceee8021fp-19, -0x1.102f29d4c6ep-19, -0x1.0dc677d9b2b55p-19, -0x1.0b61b809fbf74p-19, -0x1.0900e955e63f1p-19, -0x1.06a40a91fd7e3p-19, -0x1.044b1a77b10fcp-19, -0x1.01f617a5f896bp-19, -0x1.ff4a0143c3997p-20, -0x1.faafa7ae2ff51p-20, -0x1.f61d1f31694acp-20, -0x1.f19264435a2c4p-20, -0x1.ed0f732ae2e7ap-20, -0x1.e8944800d4dd1p-20, -0x1.e420deb140d83p-20, -0x1.dfb532fc884dfp-20, -0x1.db51407841a3cp-20, -0x1.d6f502906add3p-20, -0x1.d2a0748877642p-20, -0x1.ce53917c63958p-20, -0x1.ca0e5461a5b72p-20, -0x1.c5d0b808148d2p-20, -0x1.c19ab71af649cp-20, -0x1.bd6c4c21f7472p-20, -0x1.b94571822b211p-20, -0x1.b526217eea11dp-20, -0x1.b10e563abc23bp-20, -0x1.acfe09b827911p-20, -0x1.a8f535dabfb3cp-20, -0x1.a4f3d467e58efp-20, -0x1.a0f9df07ad3d9p-20, -0x1.9d074f459fa32p-20, -0x1.991c1e91adafdp-20, -0x1.953846410a47cp-20, -0x1.915bbf8eb938fp-20, -0x1.8d86839c7cbcp-20, -0x1.89b88b73a8704p-20, -0x1.85f1d005d9d33p-20, -0x1.82324a2da409ap-20, -0x1.7e79f2af61b4bp-20, -0x1.7ac8c239f205fp-20, -0x1.771eb167468eap-20, -0x1.737bb8bd217b2p-20, -0x1.6fdfd0ade88eep-20, -0x1.6c4af19940c99p-20, -0x1.68bd13ccaa0bfp-20, -0x1.65362f83f6ff1p-20, -0x1.61b63cea4e2ebp-20, -0x1.5e3d341a98b71p-20, -0x1.5acb0d2020387p-20, -0x1.575fbff72ba3p-20, -0x1.53fb448d715abp-20, -0x1.509d92c2f4939p-20, -0x1.4d46a26a63dbcp-20, -0x1.49f66b49ba846p-20, -0x1.46ace51ab888dp-20, -0x1.436a078b8ae25p-20, -0x1.402dca3f34729p-20, -0x1.3cf824ce0712p-20, }}, 
      {{-0x1.7697ae12ea05dp-14, -0x1.8b88d3c3867aep-12, -0x1.db2216009e4b8p-11, -0x1.c0fe29cef1b7ap-10, -0x1.70645de022d7ep-9, -0x1.1271972a56876p-8, -0x1.7ccc7e2bc8d15p-8, -0x1.f432f12161e48p-8, -0x1.3aa3ca137aeb2p-7, -0x1.7e6d04a8b8df4p-7, -0x1.c41ddc87ca226p-7, -0x1.055b5c0bc63cdp-6, -0x1.28cafe30c289bp-6, -0x1.4c393285d27e7p-6, -0x1.6fa6f640b7521p-6, -0x1.93328147fba8fp-6, -0x1.b70e6988bd16fp-6, -0x1.db79398645dcap-6, -0x1.005b0347be2cap-5, -0x1.1383269289eb6p-5, -0x1.275294e9b13a7p-5, -0x1.3be1f2a0d3a2p-5, -0x1.5143db795860ap-5, -0x1.67844bc103e96p-5, -0x1.7ea87b2d541b1p-5, -0x1.96af1307bf396p-5, -0x1.af90aa256eef4p-5, -0x1.c94072e4010b1p-5, -0x1.e3ad09a4b9552p-5, -0x1.fec154c10899cp-5, -0x1.0d32b4c35da26p-4, -0x1.1b3fb62648a4cp-4, -0x1.297a32047b3f9p-4, -0x1.37d47df97a669p-4, -0x1.464117c7f5827p-4, -0x1.54b2ef914cb6ap-4, -0x1.631da5dd279cdp-4, -0x1.7175bd9327cd8p-4, -0x1.7fb0c26c2a88ap-4, -0x1.8dc564a80b04ep-4, -0x1.9bab8b046db1bp-4, -0x1.a95c5c0cc99c1p-4, -0x1.b6d23fe7701f9p-4, -0x1.c408dbc254d3ap-4, -0x1.d0fd07f7c168ep-4, -0x1.ddacc1f21a29p-4, -0x1.ea171ac003a5p-4, -0x1.f63c23321b6fp-4, -0x1.010e6b2114257p-3, -0x1.06dd813522bb1p-3, -0x1.0c8c993d0d8eap-3, -0x1.121d4b30b018ap-3, -0x1.17917628ba49dp-3, -0x1.1ceb3542801cap-3, -0x1.222cd4f5aaeb4p-3, -0x1.2758c8f33390cp-3, -0x1.2c71a29eb4961p-3, -0x1.317a082d8c8f2p-3, -0x1.3674ac72aa985p-3, -0x1.3b64475a2d507p-3, -0x1.404b8f14a773cp-3, -0x1.452d31ef92881p-3, -0x1.4a0bd0d658724p-3, -0x1.4ee9fa75e3717p-3, -0x1.53ca26fb97b68p-3, -0x1.58aeb467a2a0cp-3, -0x1.5d99e36a3576dp-3, -0x1.628dd4c2cb933p-3, -0x1.678c871881997p-3, -0x1.6c97d542a4b5cp-3, -0x1.71b174f889285p-3, -0x1.76daf5e028d64p-3, -0x1.7c15c0f321795p-3, -0x1.816318321d40dp-3, -0x1.86c4169ef9b98p-3, -0x1.8c39b0766fa54p-3, -0x1.91c4b3a258262p-3, -0x1.9765c85e1d159p-3, -0x1.9d1d72073b3abp-3, -0x1.a2ec10143754p-3, -0x1.a8d1df2caf0cp-3, -0x1.aecefa5dacb67p-3, -0x1.b4e35c65a5cdfp-3, -0x1.bb0ee113fbddp-3, -0x1.c15146b826aap-3, -0x1.c7aa2f9cfb01fp-3, -0x1.ce19238cd18b9p-3, -0x1.d49d915ba65dp-3, -0x1.db36d07484fe6p-3, -0x1.e1e42267cb0c6p-3, -0x1.e8a4b47836fd7p-3, -0x1.ef77a124aee0cp-3, -0x1.f65bf1ad2b57dp-3, -0x1.fd509f9124fc1p-3, -0x1.022a4b03211f7p-2, -0x1.05b359b30d59cp-2, -0x1.0942e54905b35p-2, -0x1.0cd8522625742p-2, -0x1.10730042c229bp-2, -0x1.14124bcf34f7bp-2, -0x1.17b58dce64c87p-2, -0x1.1b5c1ca9e1dbep-2, -0x1.1f054cbf768fep-2, -0x1.22b070e8128e2p-2, -0x1.265cdaf80d4aep-2, -0x1.2a09dc38b85b2p-2, -0x1.2db6c5db4d118p-2, -0x1.3162e9653f7e7p-2, -0x1.350d991610578p-2, -0x1.38b62846b7b76p-2, -0x1.3c5bebc2ca23ep-2, -0x1.3ffe3a1b7632cp-2, -0x1.439c6bf48dd13p-2, -0x1.4735dc4bbe5e3p-2, -0x1.4ac9e8ba29b9fp-2, -0x1.4e57f1b0903b7p-2, -0x1.51df5aae3e1f9p-2, -0x1.555f8a72ee24bp-2, -0x1.58d7eb2bd8bd1p-2, -0x1.5c47ea9c23bd4p-2, -0x1.5faefa40e3c93p-2, -0x1.630c8f70ed82dp-2, -0x1.66602378a1945p-2, -0x1.69a933b1ee13dp-2, -0x1.6ce74198b8b63p-2, -0x1.7019d2dbdf8e9p-2, -0x1.7340716b09157p-2, -0x1.765aab816f73dp-2, -0x1.796813add4ceep-2, -0x1.7c6840d7d4ea8p-2, -0x1.7f5ace42bad6bp-2, -0x1.823f5b8e05c1fp-2, -0x1.85158cb3caad5p-2, -0x1.87dd0a051632p-2, -0x1.8a958024765dap-2, -0x1.8d3e9ffed208p-2, -0x1.8fd81ec2acdb3p-2, -0x1.9261b5d601d79p-2, -0x1.94db22cac65a2p-2, -0x1.974427523fdf3p-2, -0x1.999c892f4754dp-2, -0x1.9be412278b94fp-2, -0x1.9e1a8ff3f8687p-2, -0x1.a03fd430548d3p-2, -0x1.a253b44a2a186p-2, -0x1.a456096f171ccp-2, -0x1.a646b07a92763p-2, -0x1.a82589e33c07cp-2, -0x1.a9f279a7c610dp-2, -0x1.abad673b8c432p-2, -0x1.ad563d72e71e2p-2, -0x1.aeecea6f437a7p-2, -0x1.b0715f8b14b29p-2, -0x1.b1e39145a39d1p-2, -0x1.b343772ed0c4fp-2, -0x1.b4910bd2c88fdp-2, -0x1.b5cc4ca5ba779p-2, -0x1.b6f539ef99f1cp-2, -0x1.b80bd6b7eebaap-2, -0x1.b91028b1be32fp-2, -0x1.ba02382795489p-2, -0x1.bae20fe7b43cbp-2, -0x1.bbafbd306746bp-2, -0x1.bc6b4f9c8ba1ep-2, -0x1.bd14d91048f2p-2, -0x1.bdac6da601a15p-2, -0x1.be32239b7e9e2p-2, -0x1.bea6133f56784p-2, -0x1.bf0856de93d35p-2, -0x1.bf590ab2a2377p-2, -0x1.bf984ccf7955dp-2, -0x1.bfc63d1213116p-2, -0x1.bfe2fd0f24d1dp-2, -0x1.bfeeb00224ecdp-2, -0x1.bfe97abc93ca2p-2, -0x1.bfd3839594a21p-2, -0x1.bfacf259cb491p-2, -0x1.bf75f03b8a772p-2, -0x1.bf2ea7c3478c2p-2, -0x1.bed744c05c2d4p-2, -0x1.be6ff43a1072ep-2, -0x1.bdf8e460f27f2p-2, -0x1.bd72448076a56p-2, -0x1.bcdc44f0e1041p-2, -0x1.bc3717097a54p-2, -0x1.bb82ed130d488p-2, -0x1.babffa3aa88bbp-2, -0x1.b9ee7284af749p-2, -0x1.b90e8ac02af31p-2, -0x1.b820787a65b13p-2, -0x1.b72471f2cc5f1p-2, -0x1.b61aae0f0f171p-2, -0x1.b503644f8df66p-2, -0x1.b3deccc401f65p-2, -0x1.b2ad20006c95p-2, -0x1.b16e971247b3ap-2, -0x1.b0236b75f53b2p-2, -0x1.aecbd70c7128ep-2, -0x1.ad6814113efbep-2, -0x1.abf85d1097c86p-2, -0x1.aa7cecddd64e8p-2, -0x1.a8f5fe8a1d8fbp-2, -0x1.a763cd5b3b34p-2, -0x1.a5c694c2c7f33p-2, -0x1.a41e90557da4ep-2, -0x1.a26bfbc2c9928p-2, -0x1.a0af12cc9632fp-2, -0x1.9ee8113f4b6f8p-2, -0x1.9d1732ea09678p-2, -0x1.9b3cb3971556ep-2, -0x1.9958cf047e58p-2, -0x1.976bc0dcf60adp-2, -0x1.9575c4b0dd21cp-2, -0x1.937715ef82121p-2, -0x1.916fefe094fbp-2, -0x1.8f608d9dca2c6p-2, -0x1.8d492a0cafb0bp-2, -0x1.8b29ffd8b3a94p-2, -0x1.8903496d58d84p-2, -0x1.86d540f099c93p-2, -0x1.84a0203d7d3b7p-2, -0x1.826420ded3e44p-2, -0x1.80217c0a27e3ap-2, -0x1.7dd86a9ad5903p-2, -0x1.7b89250d503ecp-2, -0x1.7933e37a9455cp-2, -0x1.76d8dd93c1677p-2, -0x1.74784a9dde83bp-2, -0x1.7212616dca14cp-2, -0x1.6fa758644eadcp-2, -0x1.6d37656a62f28p-2, -0x1.6ac2bded8ee1ap-2, -0x1.684996dc79956p-2, -0x1.65cc24a39d471p-2, -0x1.634a9b2a1e11bp-2, -0x1.60c52dcec92abp-2, -0x1.5e3c0f6536685p-2, -0x1.5baf72330d68bp-2, -0x1.591f87ed7019ep-2, -0x1.568c81b684ed7p-2, -0x1.53f6901b258c6p-2, -0x1.515de310ae16dp-2, -0x1.4ec2a9f2eb9dep-2, -0x1.4c2513822dcc5p-2, -0x1.49854de176e82p-2, -0x1.46e38694c86a8p-2, -0x1.443fea7f92c7p-2, -0x1.419aa5e33e443p-2, -0x1.3ef3e45dd5412p-2, -0x1.3c4bd0e8c9bfdp-2, -0x1.39a295d7d4e1dp-2, -0x1.36f85cd7f59f5p-2, -0x1.344d4eee888fbp-2, -0x1.31a194787852dp-2, -0x1.2ef555298c535p-2, -0x1.2c48b80bcca55p-2, -0x1.299be37f00b8ep-2, -0x1.26eefd3844eb1p-2, -0x1.24422a41b999bp-2, -0x1.21958efa46e24p-2, -0x1.1ee94f1579023p-2, -0x1.1c3d8d9b7081cp-2, -0x1.19926ce8ea8f1p-2, -0x1.16e80eaf58bep-2, -0x1.143e93f514edfp-2, -0x1.11961d15a09ebp-2, -0x1.0eeec9c1fd56fp-2, -0x1.0c48b90115c14p-2, -0x1.09a40930377fcp-2, -0x1.0700d803a13a8p-2, -0x1.045f42871ec1p-2, -0x1.01bf651eb8f5fp-2, -0x1.fe42b70ee3376p-3, -0x1.f90a81b024f33p-3, -0x1.f3d65f041367bp-3, -0x1.eea682a4a78acp-3, -0x1.e97b1ee4e8db8p-3, -0x1.e45464d2fd261p-3, -0x1.df32843a4c831p-3, -0x1.da15aba5bfba2p-3, -0x1.d4fe08621d6d5p-3, -0x1.cfebc6807395fp-3, -0x1.cadf10d89ee8cp-3, -0x1.c5d8110be2f0fp-3, -0x1.c0d6ef879c8e5p-3, -0x1.bbdbd387ff01fp-3, -0x1.b6e6e31aec3efp-3, -0x1.b1f84322d8aafp-3, -0x1.ad101759c69e7p-3, -0x1.a82e8254480d1p-3, -0x1.a353a58497ee2p-3, -0x1.9e7fa13dc0d65p-3, -0x1.99b294b6ce207p-3, -0x1.94ec9e0e07a34p-3, -0x1.902dda4c4365cp-3, -0x1.8b76656836717p-3, -0x1.86c65a49d9e09p-3, -0x1.821dd2cdd4519p-3, -0x1.7d7ce7c8eeca3p-3, -0x1.78e3b10b8ee1cp-3, -0x1.745245653e1cbp-3, -0x1.6fc8baa8368fdp-3, -0x1.6b4725aceea1fp-3, -0x1.66cd9a55b7465p-3, -0x1.625c2b9254f02p-3, -0x1.5df2eb63a232fp-3, -0x1.5991eadf34256p-3, -0x1.55393a33032ap-3, -0x1.50e8e8a9165b5p-3, -0x1.4ca104ab319bbp-3, -0x1.48619bc684862p-3, -0x1.442abaaf5a40ap-3, -0x1.3ffc6d44cbf19p-3, -0x1.3bd6be9471734p-3, -0x1.37b9b8de12071p-3, -0x1.33a5659757ac4p-3, -0x1.2f99cd6f77e8ep-3, -0x1.2b96f852e63f1p-3, -0x1.279ced6efeb89p-3, -0x1.23abb335ab2a4p-3, -0x1.1fc34f610dbf4p-3, -0x1.1be3c6f720f61p-3, -0x1.180d1e4d54f9bp-3, -0x1.143f590c2cfb1p-3, -0x1.107a7a32d49fbp-3, -0x1.0cbe841ab2ccep-3, -0x1.090b787af4885p-3, -0x1.0561586c1453dp-3, -0x1.01c0246b5d238p-3, -0x1.fc4fb8bcc90f5p-4, -0x1.f530ff2d02a48p-4, -0x1.ee2419a8711eep-4, -0x1.e729049551773p-4, -0x1.e03fbb45cc0acp-4, -0x1.d96837feb2666p-4, -0x1.d2a273fe22ae6p-4, -0x1.cbee67821264fp-4, -0x1.c54c09cee743ep-4, -0x1.bebb5135db4f7p-4, -0x1.b83c331b6b772p-4, -0x1.b1cea3fdad958p-4, -0x1.ab72977a8dcf6p-4, -0x1.a528005606ab1p-4, -0x1.9eeed0803b408p-4, -0x1.98c6f91b8a323p-4, -0x1.92b06a828c984p-4, -0x1.8cab144df6a96p-4, -0x1.86b6e55a7944ep-4, -0x1.80d3cbce7fc66p-4, -0x1.7b01b51fe1b61p-4, -0x1.75408e19871a7p-4, -0x1.6f9042e0eb5cbp-4, -0x1.69f0befb9b6dap-4, -0x1.6461ed5494f3ep-4, -0x1.5ee3b8419a654p-4, -0x1.597609886c8f5p-4, -0x1.5418ca63f585dp-4, -0x1.4ecbe38959b5ap-4, -0x1.498f3d2cfd875p-4, -0x1.4462bf076dfb8p-4, -0x1.3f46505a3b8e2p-4, -0x1.3a39d7f4bd86ep-4, -0x1.353d3c38c3b25p-4, -0x1.3050631f321cep-4, -0x1.2b73323c8aafep-4, -0x1.26a58ec55fc26p-4, -0x1.21e75d92b7891p-4, -0x1.1d38832655a9bp-4, -0x1.1898e3aef6bc2p-4, -0x1.1408630c72cf8p-4, -0x1.0f86e4d3d0fc1p-4, -0x1.0b144c534280ap-4, -0x1.06b07c960e37dp-4, -0x1.025b586866f13p-4, -0x1.fc2984b65bd2p-5, -0x1.f3b9398f4913cp-5, -0x1.eb6593a60a666p-5, -0x1.e32e56e422e28p-5, -0x1.db1346d90f292p-5, -0x1.d31426c10984p-5, -0x1.cb30b98bb2ee7p-5, -0x1.c368c1e28a823p-5, -0x1.bbbc022f5021fp-5, -0x1.b42a3ca2314e8p-5, -0x1.acb33337ddb5ap-5, -0x1.a556a7bf76749p-5, -0x1.9e145be0548afp-5, -0x1.96ec111fb4357p-5, -0x1.8fdd88e6355cp-5, -0x1.88e8848544c76p-5, -0x1.820cc53c50e9fp-5, -0x1.7b4a0c3df6905p-5, -0x1.74a01ab4f4935p-5, -0x1.6e0eb1c911dp-5, -0x1.679592a3ceb4p-5, -0x1.61347e750fbf9p-5, -0x1.5aeb36778f088p-5, -0x1.54b97bf540b85p-5, -0x1.4e9f104b92f28p-5, -0x1.489bb4ef89d84p-5, -0x1.42af2b71cc103p-5, -0x1.3cd935827bf01p-5, -0x1.371994f50834bp-5, -0x1.31700bc3da3e8p-5, -0x1.2bdc5c13dd40cp-5, -0x1.265e4837f703p-5, -0x1.20f592b460f88p-5, -0x1.1ba1fe41e09f5p-5, -0x1.16634dd0f333bp-5, -0x1.1139448cca3f4p-5, -0x1.0c23a5de43eep-5, -0x1.0722356ebdbe7p-5, -0x1.0234b72aceea8p-5, -0x1.fab5de89db682p-6, -0x1.f129446ffa3d4p-6, -0x1.e7c3299382a84p-6, -0x1.de83181a6fc71p-6, -0x1.d5689ac9c812ap-6, -0x1.cc733d09f74eep-6, -0x1.c3a28aeafe41dp-6, -0x1.baf6112885911p-6, -0x1.b26d5d2db1fe7p-6, -0x1.aa07fd18e2d4p-6, -0x1.a1c57fbf32637p-6, -0x1.99a574afde98ep-6, -0x1.91a76c378970cp-6, -0x1.89caf763509e4p-6, -0x1.820fa803b1d28p-6, -0x1.7a7510af62598p-6, -0x1.72fac4c5f358bp-6, -0x1.6ba0587257cacp-6, -0x1.646560ad45309p-6, -0x1.5d49733f732ebp-6, -0x1.564c26c3bf058p-6, -0x1.4f6d12a91e7b4p-6, -0x1.48abcf34915dfp-6, -0x1.4207f582d02b5p-6, -0x1.3b811f89fe3ddp-6, -0x1.3516e81b1f74fp-6, -0x1.2ec8eae38bc15p-6, -0x1.2896c46e30ba8p-6, -0x1.22801224d0643p-6, -0x1.1c84725107a81p-6, -0x1.16a3841d514a7p-6, -0x1.10dce795ea9d7p-6, -0x1.0b303da997d4ep-6, -0x1.059d282a54a6ap-6, -0x1.002349cdf4072p-6, -0x1.f5848c5d40775p-7, -0x1.eaf3839681c6ap-7, -0x1.e092c40fc097p-7, -0x1.d6619a5bb693fp-7, -0x1.cc5f54d83fbafp-7, -0x1.c28b43ae7248bp-7, -0x1.b8e4b8d2b80ddp-7, -0x1.af6b0804b3b1fp-7, -0x1.a61d86cef8ec8p-7, -0x1.9cfb8c86b813ep-7, -0x1.9404724b32c89p-7, -0x1.8b3793050c096p-7, -0x1.82944b6599afbp-7, -0x1.7a19f9e5ecbcbp-7, -0x1.71c7fec5d56dep-7, -0x1.699dbc0ab60f9p-7, -0x1.619a957e55cfp-7, -0x1.59bdf0ad80e28p-7, -0x1.520734e68f5c7p-7, -0x1.4a75cb37e4f45p-7, -0x1.43091e6e36d47p-7, -0x1.3bc09b12e738p-7, -0x1.349baf6a1ceafp-7, -0x1.2d99cb70d8f5cp-7, -0x1.26ba60daff9e8p-7, -0x1.1ffce311461c4p-7, -0x1.1960c72eeacfdp-7, -0x1.12e583ffb8eb8p-7, -0x1.0c8a91fd65e55p-7, -0x1.064f6b4d7bedap-7, -0x1.00338bbec507ep-7, -0x1.f46ce18d931f4p-8, -0x1.e8af32fe98f92p-8, -0x1.dd2d0d474a9fap-8, -0x1.d1e5751c42157p-8, -0x1.c6d7726a5b9dp-8, -0x1.bc0210515c109p-8, -0x1.b1645d1e2b239p-8, -0x1.a6fd6a4534c44p-8, -0x1.9ccc4c5c6a81ep-8, -0x1.92d01b158c714p-8, -0x1.8907f137ff39cp-8, -0x1.7f72ec9af2eb1p-8, -0x1.76102e1f1aec5p-8, -0x1.6cded9a88e2aep-8, -0x1.63de161888e3cp-8, -0x1.5b0d0d473605fp-8, -0x1.526aebfd22bb3p-8, -0x1.49f6e1ecfd18ep-8, -0x1.41b021ad36aa2p-8, -0x1.3995e0b15d837p-8, -0x1.31a75743a7b8cp-8, -0x1.29e3c07e61d54p-8, -0x1.224a5a457db1ep-8, -0x1.1ada653fb06cfp-8, -0x1.139324d0210fp-8, -0x1.0c73df0f6e4d9p-8, -0x1.057bdcc53df18p-8, -0x1.fd54d2c2f89b4p-9, -0x1.effda5eb2325bp-9, -0x1.e2f0d45b98ae8p-9, -0x1.d62d049522023p-9, -0x1.c9b0e23353b15p-9, -0x1.bd7b1ddf0f3d6p-9, -0x1.b18a6d4101757p-9, -0x1.a5dd8af44e6bcp-9, -0x1.9a7336791c353p-9, -0x1.8f4a3426df2b1p-9, -0x1.84614d1f54215p-9, -0x1.79b74f40d5aa8p-9, -0x1.6f4b0d190ade3p-9, -0x1.651b5dd793dfp-9, -0x1.5b271d40b6f0ap-9, -0x1.516d2ba038569p-9, -0x1.47ec6dbbdb817p-9, -0x1.3ea3ccc669171p-9, -0x1.359236525db9p-9, -0x1.2cb69c450f934p-9, -0x1.240ff4c93fdcap-9, -0x1.1b9d3a42a6da6p-9, -0x1.135d6b4071acfp-9, -0x1.0b4f8a70b8eedp-9, -0x1.03729e93850cbp-9, -0x1.f78b64dc6ec43p-10, -0x1.e88fa97d9e9ccp-10, -0x1.d9f0305e306a9p-10, -0x1.cbab2690d5fb1p-10, -0x1.bdbec0ce09334p-10, -0x1.b0293b5b67a4cp-10, -0x1.a2e8d9f2d817fp-10, -0x1.95fbe7aa8a831p-10, -0x1.8960b6dc04cefp-10, -0x1.7d15a10c83a1ep-10, -0x1.711906d4b2479p-10, -0x1.65694fc8f6179p-10, -0x1.5a04ea61788e1p-10, -0x1.4eea4be362834p-10, -0x1.4417f048d560cp-10, -0x1.398c5a2a4dc12p-10, -0x1.2f4612a7686efp-10, -0x1.2543a95029feap-10, -0x1.1b83b40ed565cp-10, -0x1.1204cf10c53e2p-10, -0x1.08c59cb10f47p-10, -0x1.ff898ac3d624p-11, -0x1.ee01ef2ed2e41p-11, -0x1.dcf1cf625717ap-11, -0x1.cc569fcbd6b2p-11, -0x1.bc2de05a31a76p-11, -0x1.ac751c55e2407p-11, -0x1.9d29ea35ca105p-11, -0x1.8e49eb76f29fp-11, -0x1.7fd2cc730c4aep-11, -0x1.71c24438316d8p-11, -0x1.64161460e23e4p-11, -0x1.56cc08ec6403ap-11, -0x1.49e1f8175d10ap-11, -0x1.3d55c2356380ap-11, -0x1.31255189c8b85p-11, -0x1.254e9a2274b8ap-11, -0x1.19cf99b14d72ep-11, -0x1.0ea6576823406p-11, -0x1.03d0e3d29f189p-11, -0x1.f29ab16518841p-12, -0x1.de33b1b7c33bp-12, -0x1.ca69202191d25p-12, -0x1.b73765bcbeaecp-12, -0x1.a49afcf44e45fp-12, -0x1.9290713ed24d1p-12, -0x1.81145eda93d7dp-12, -0x1.7023728a025e7p-12, -0x1.5fba6950abad3p-12, -0x1.4fd61033350a6p-12, -0x1.407343f45819ep-12, -0x1.318ef0d643d99p-12, -0x1.2326125a48518p-12, -0x1.1535b30355177p-12, -0x1.07baec166058bp-12, -0x1.f565cabd6090bp-13, -0x1.dc35a9e3e8bb6p-13, -0x1.c3dffde4bed39p-13, -0x1.ac5f6aad23553p-13, -0x1.95aeaf5b80e4fp-13, -0x1.7fc8a5cedd621p-13, -0x1.6aa842325942cp-13, -0x1.564892927270ap-13, -0x1.42a4be6a58eb4p-13, -0x1.2fb80638f297cp-13, -0x1.1d7dc316645e5p-13, -0x1.0bf166477c255p-13, -0x1.f61cf1ada88bp-14, -0x1.d5a1365cfe003p-14, -0x1.b6670960527c8p-14, -0x1.986606a3aebb5p-14, -0x1.7b95f6789cec6p-14, -0x1.5feecccabd382p-14, -0x1.4568a867eef3fp-14, -0x1.2bfbd23e15787p-14, -0x1.13a0bc9de475p-14, -0x1.f8a0051095fe5p-15, -0x1.cc04cde5fc974p-15, -0x1.a161a82c1976dp-15, -0x1.78a8b578ea602p-15, -0x1.51cc63288bb74p-15, -0x1.2cbf6909954a4p-15, -0x1.0974c803853eap-15, -0x1.cfbf919df08f8p-16, -0x1.8fe7f552e478p-16, -0x1.534a641fd0d0ap-16, -0x1.19cf0f0f628ccp-16, -0x1.c6bd5950a85d4p-17, -0x1.5fc4ed42ef1cp-17, -0x1.fd109dbaad23ap-18, -0x1.45b7df8201046p-18, -0x1.3254e75f0aed3p-19, 0x1.1d5d5cfaa00f6p-23, 0x1.41b3462da16ecp-19, 0x1.2ef1467161413p-18, 0x1.b37f99b16e7d3p-18, 0x1.17684ed289e01p-17, 0x1.50974ba8ef1f4p-17, 0x1.85710c3d4e69dp-17, 0x1.b61903d41eda1p-17, 0x1.e2b1d435a77d5p-17, 0x1.05aea8c200c98p-16, 0x1.181e431b645b3p-16, 0x1.28b7db7dcc6a1p-16, 0x1.378b3327ea3p-16, 0x1.44a7ac3dafbfap-16, 0x1.501c4b81ab0bep-16, 0x1.59f7ba2e9db05p-16, 0x1.624847b95f511p-16, 0x1.691beb91d0067p-16, 0x1.6e8046d1b8bp-16, 0x1.7282a5fc9f4e9p-16, 0x1.75300295e809ap-16, 0x1.769504ccd6858p-16, 0x1.76be05192a649p-16, 0x1.75b70dc600e13p-16, 0x1.738bdc8e4b1dfp-16, 0x1.7047e4103119ap-16, 0x1.6bf64d5b20d01p-16, 0x1.66a1f965d966fp-16, 0x1.6055828562b3dp-16, 0x1.591b3dd1b9bc9p-16, 0x1.50fd3c90e25d7p-16, 0x1.48054d9dec06bp-16, 0x1.3e3cfeba13478p-16, 0x1.33ad9de6e8123p-16, 0x1.28603ab8fc50dp-16, 0x1.1c5da794cfb38p-16, 0x1.0fae7b012aaebp-16, 0x1.025b10de1645p-16, 0x1.e8d7172b9a20fp-17, 0x1.cbcfaac790d68p-17, 0x1.adaf42d9c8f47p-17, 0x1.8e84d9ec9a4fdp-17, 0x1.6e5f00fdbfea3p-17, 0x1.4d4be1cf38ba4p-17, 0x1.2b5941044e015p-17, 0x1.08948054c5bfep-17, 0x1.ca154155d697fp-18, 0x1.8190886ce4d9ap-18, 0x1.37b360e3f0891p-18, 0x1.d92b40b9039d9p-19, 0x1.409cd5fa725cdp-19, 0x1.4bd0ddc77f01fp-20, 0x1.2734a1962ae75p-24, -0x1.2a8a73b549513p-20, -0x1.356b24f0617a8p-19, -0x1.d710510200e29p-19, -0x1.3d071494be3a3p-18, -0x1.8f1fa42bc0d53p-18, -0x1.e1bfb9136ff72p-18, -0x1.1a6ae3143b4cep-17, -0x1.442866162fd8ap-17, -0x1.6e102b2aedf6ep-17, -0x1.981a3bb55d764p-17, -0x1.c23ee337e480fp-17, -0x1.ec76ade6bd726p-17, -0x1.0b5d338dc1012p-16, -0x1.20818bf51b385p-16, -0x1.35a502d3c78ecp-16, -0x1.4ac45847847a8p-16, -0x1.5fdc692b928a8p-16, -0x1.74ea2e6e2addep-16, -0x1.89eabc650e4dp-16, -0x1.9edb422c824e7p-16, -0x1.b3b908fa433c4p-16, -0x1.c881738a75d69p-16, -0x1.dd31fd767a7d1p-16, -0x1.f1c83aa324649p-16, -0x1.0320eb53d39d8p-15, -0x1.0d4e4a1cea428p-15, -0x1.176b264ca223dp-15, -0x1.21767786508bfp-15, -0x1.2b6f402397722p-15, -0x1.35548cf6d6d81p-15, -0x1.3f25750411996p-15, -0x1.48e119425e9e9p-15, -0x1.5286a4585b66ep-15, -0x1.5c154a6183f33p-15, -0x1.658c48ac79534p-15, -0x1.6eeae581fc949p-15, -0x1.78306fe6c47abp-15, -0x1.815c3f64436fdp-15, -0x1.8a6db3cef5dfcp-15, -0x1.9364350cf3f23p-15, -0x1.9c3f32e2af7edp-15, -0x1.a4fe24bc0b0e1p-15, -0x1.ada08977079e7p-15, -0x1.b625e7337c9a4p-15, -0x1.be8dcb1de0a27p-15, -0x1.c6d7c9416152bp-15, -0x1.cf037c53ebfbbp-15, -0x1.d710858cb0b5p-15, -0x1.defe8c7105c96p-15, -0x1.e6cd3eaa3f496p-15, -0x1.ee7c4fd8a96eep-15, -0x1.f60b796943b97p-15, -0x1.fd7a7a6a5d409p-15, -0x1.02648bb1acc17p-14, -0x1.05fb8d15e989bp-14, -0x1.098228e2268f3p-14, -0x1.0cf84917db20bp-14, -0x1.105dda269acdcp-14, -0x1.13b2cad99ef6bp-14, -0x1.16f70c45e5854p-14, -0x1.1a2a91b8690bdp-14, -0x1.1d4d50a4c04bbp-14, -0x1.205f409459eabp-14, -0x1.23605b15c9178p-14, -0x1.26509bacbb563p-14, -0x1.292fffc28d017p-14, -0x1.2bfe8695ae9dp-14, -0x1.2ebc312c0cfe4p-14, -0x1.31690243470c3p-14, -0x1.3404fe42a383bp-14, -0x1.36902b2ccce88p-14, -0x1.390a9092726c6p-14, -0x1.3b7437846893cp-14, -0x1.3dcd2a86b3512p-14, -0x1.40157583ce18dp-14, -0x1.424d25c00d5bap-14, -0x1.447449cd24368p-14, -0x1.468af17ebb3b8p-14, -0x1.48912dde324cbp-14, -0x1.4a87111fcb4b3p-14, -0x1.4c6cae9706de6p-14, -0x1.4e421aac38571p-14, -0x1.50076ad198c57p-14, -0x1.51bcb5794834bp-14, -0x1.5362120aea061p-14, -0x1.54f798d9e64e7p-14, -0x1.567d631bfccf1p-14, -0x1.57f38adf91222p-14, -0x1.595a2b031722bp-14, -0x1.5ab15f2b73182p-14, -0x1.5bf943bbd1d7fp-14, -0x1.5d31f5cceece8p-14, -0x1.5e5b93252569cp-14, -0x1.5f763a301782bp-14, -0x1.608209f6cd032p-14, -0x1.617f2218757eep-14, -0x1.626da2c282442p-14, -0x1.634daca9a5061p-14, -0x1.641f6102b015cp-14, -0x1.64e2e17bcdf9bp-14, -0x1.65985035b5995p-14, -0x1.663fcfbd1a654p-14, -0x1.66d98304849eep-14, -0x1.67658d5de38dp-14, -0x1.67e41274d8b24p-14, -0x1.68553648753d2p-14, -0x1.68b91d25f1df5p-14, -0x1.690feba2ef34ap-14, -0x1.6959c69820a1dp-14, -0x1.6996d31c196cep-14, -0x1.69c7367e26ce6p-14, -0x1.69eb1641690f5p-14, -0x1.6a029817f155ep-14, -0x1.6a0de1de467dbp-14, -0x1.6a0d1996bd425p-14, -0x1.6a00656501f48p-14, -0x1.69e7eb89d3e74p-14, -0x1.69c3d25f24a9ep-14, -0x1.69944053aabecp-14, -0x1.69595be7451bbp-14, -0x1.69134ba70f38cp-14, -0x1.68c23629cd64p-14, -0x1.6866420c3f24ep-14, -0x1.67ff95edba667p-14, -0x1.678e586cc5e98p-14, -0x1.6712b02411913p-14, -0x1.668cc3a6f2bf6p-14, -0x1.65fcb97ec0f8cp-14, -0x1.6562b827917c2p-14, -0x1.64bee60d96f64p-14, -0x1.6411698a5937dp-14, -0x1.635a68e1e97f3p-14, -0x1.629a0a406b6cfp-14, -0x1.61d073b7960bap-14, -0x1.60fdcb3c5f2c5p-14, -0x1.602236a47aa13p-14, -0x1.5f3ddba44e05ap-14, -0x1.5e50dfccba023p-14, -0x1.5d5b68890b04bp-14, -0x1.5c5d9b1cd7c6bp-14, -0x1.5b579ca2364b2p-14, -0x1.5a499207ef9a5p-14, -0x1.5933a00f7a61fp-14, -0x1.5815eb4b77a5fp-14, -0x1.56f0981df9c28p-14, -0x1.55c3cab6fd261p-14, -0x1.548fa712c54ddp-14, -0x1.535450f881d03p-14, -0x1.5211ebf8e3037p-14, -0x1.50c89b6cacd6dp-14, -0x1.4f7882738e4ep-14, -0x1.4e21c3f2ee5bfp-14, -0x1.4cc48294928dp-14, -0x1.4b60e0c5988e5p-14, -0x1.49f700b56d8cap-14, -0x1.48870454d147cp-14, -0x1.47110d54d024ep-14, -0x1.45953d25df4ccp-14, -0x1.4413b4f6eba34p-14, -0x1.428c95b4a9f57p-14, -0x1.41000008ba7a5p-14, -0x1.3f6e1458e167cp-14, -0x1.3dd6f2c67110ep-14, -0x1.3c3abb2d905a3p-14, -0x1.3a998d24a6a51p-14, -0x1.38f387fbccc72p-14, -0x1.3748cabc36147p-14, -0x1.35997427b4cb3p-14, -0x1.33e5a2b86426p-14, -0x1.322d749ffd0acp-14, -0x1.307107c7a7909p-14, -0x1.2eb079cf8b7d5p-14, -0x1.2cebe80e74f05p-14, -0x1.2b236f91abac3p-14, -0x1.29572d1c90027p-14, -0x1.27873d284c1a5p-14, -0x1.25b3bbe3bc578p-14, -0x1.23dcc53358d5bp-14, -0x1.220274b0df7abp-14, -0x1.2024e5ab3bd2cp-14, -0x1.1e44332689684p-14, -0x1.1c6077dbf26fdp-14, -0x1.1a79ce39923d5p-14, -0x1.189050628775cp-14, -0x1.16a4182eeb0d4p-14, -0x1.14b53f2bc0c92p-14, -0x1.12c3de9b272acp-14, -0x1.10d00f743253dp-14, -0x1.0ed9ea634841ep-14, -0x1.0ce187c9f3c56p-14, -0x1.0ae6ffbf1df8cp-14, -0x1.08ea6a0f21b4fp-14, -0x1.06ebde3c22662p-14, -0x1.04eb737e211f1p-14, -0x1.02e940c303436p-14, -0x1.00e55caee1f96p-14, -0x1.fdbfbb38a752fp-15, -0x1.f9b1b3392d03cp-15, -0x1.f5a0ccef96052p-15, -0x1.f18d335a7d7fap-15, -0x1.ed7710e74874ap-15, -0x1.e95e8f72e9bdbp-15, -0x1.e543d84a59aa1p-15, -0x1.e127142b31477p-15, -0x1.dd086b446335ep-15, -0x1.d8e80536ba79fp-15, -0x1.d4c60915b41a2p-15, -0x1.d0a29d6837964p-15, -0x1.cc7de82917e33p-15, -0x1.c8580ec8035edp-15, -0x1.c431362a6c8e8p-15, -0x1.c00982ac05b3cp-15, -0x1.bbe1181f9da7p-15, -0x1.b7b819cfc6a85p-15, -0x1.b38eaa801ef45p-15, -0x1.af64ec6df7f06p-15, -0x1.ab3b0150c975fp-15, -0x1.a7110a5ba5ff8p-15, -0x1.a2e7283dc0afep-15, -0x1.9ebd7b2369e1bp-15, -0x1.9a9422b6f393fp-15, -0x1.966b3e219464ep-15, -0x1.9242ec0c5b205p-15, -0x1.8e1b4aa128c9ap-15, -0x1.89f4778ba2008p-15, -0x1.85ce8ffa12b45p-15, -0x1.81a9b09e3a11p-15, -0x1.7d85f5ae987bp-15, -0x1.79637ae71b6b7p-15, -0x1.75425b8a4de12p-15, -0x1.7122b2626a8e8p-15, -0x1.6d0499c1ff0fep-15, -0x1.68e82b85146f3p-15, -0x1.64cd811221418p-15, -0x1.60b4b35b6e567p-15, -0x1.5c9ddadf843ecp-15, -0x1.58890faa83bc3p-15, -0x1.547669572929dp-15, -0x1.5065ff0fa2222p-15, -0x1.4c57e78eaecf5p-15, -0x1.484c3920c0b4ep-15, -0x1.444309a4e4dfdp-15, -0x1.403c6e8dd38eap-15, -0x1.3c387ce2e9df6p-15, -0x1.383749412b0ecp-15, -0x1.3438e7dc4d9a4p-15, -0x1.303d6c7fdeb9bp-15, -0x1.2c44ea90514eap-15, -0x1.284f750bd105ap-15, -0x1.245d1e8b3aef2p-15, -0x1.206df943546d8p-15, -0x1.1c821705ef669p-15, -0x1.18998942b1809p-15, -0x1.14b46108420e5p-15, -0x1.10d2af0511a89p-15, -0x1.0cf48388b6f02p-15, -0x1.0919ee84b6e03p-15, -0x1.0542ff8d8b743p-15, -0x1.016fc5dbe1122p-15, -0x1.fb40a09a65174p-16, -0x1.f3a95aca1ce9dp-16, -0x1.ec19d69c4ab86p-16, -0x1.e4922fb66b8dap-16, -0x1.dd12811012f2bp-16, -0x1.d59ae4f497adap-16, -0x1.ce2b750562a0cp-16, -0x1.c6c44a3c126dbp-16, -0x1.bf657cec37555p-16, -0x1.b80f24c572885p-16, -0x1.b0c158d4cafc7p-16, -0x1.a97c2f87210b3p-16, -0x1.a23fbeab9c4dcp-16, -0x1.9b0c1b74b91b5p-16, -0x1.93e15a7a758aep-16, -0x1.8cbf8fbbfb4f1p-16, -0x1.85a6cea23bafep-16, -0x1.7e972a013d2abp-16, -0x1.7790b41a1c7f6p-16, -0x1.70937e9cda93ep-16, -0x1.699f9aaa3244dp-16, -0x1.62b518d5923dep-16, -0x1.5bd40926f71d3p-16, -0x1.54fc7b1c708fep-16, -0x1.4e2e7dabef358p-16, -0x1.476a1f458f2cep-16, -0x1.40af6dd51f599p-16, -0x1.39fe76c3a39e9p-16, -0x1.335746f90818bp-16, -0x1.2cb9eade49cd1p-16, -0x1.26266e5f50142p-16, -0x1.1f9cdcec1351p-16, -0x1.191d417a7433p-16, -0x1.12a7a6880d33cp-16, -0x1.0c3c161c3b912p-16, -0x1.05da99c93a7cep-16, -0x1.ff06755ba85b4p-17, -0x1.f26c02eece7cdp-17, -0x1.e5e5ecc689c41p-17, -0x1.d9744280e7eeep-17, -0x1.cd1712e249b64p-17, -0x1.c0ce6bd83ee91p-17, -0x1.b49a5a7d7a1c4p-17, -0x1.a87aeb1d3e544p-17, -0x1.9c702934db7bcp-17, -0x1.907a1f77c1c8cp-17, -0x1.8498d7d36b55fp-17, -0x1.78cc5b710546dp-17, -0x1.6d14b2b853173p-17, -0x1.6171e553a52d2p-17, -0x1.55e3fa330437ap-17, -0x1.4a6af78e33d12p-17, -0x1.3f06e2e6eec76p-17, -0x1.33b7c10d9188ep-17, -0x1.287d9623968e9p-17, -0x1.1d58659cf66e6p-17, -0x1.12483244457bbp-17, -0x1.074cfe3ce0103p-17, -0x1.f8cd960cc3267p-18, -0x1.e32b32fcedf44p-18, -0x1.cdb2d3c80f668p-18, -0x1.b86477b35dc81p-18, -0x1.a3401cd191074p-18, -0x1.8e45c006e7fb5p-18, -0x1.79755d0e2d08cp-18, }}, 
      {{-0x1.f8eda23708effp-7, -0x1.f2ade483b8974p-6, -0x1.6ff45c277e652p-5, -0x1.e222974d54f6dp-5, -0x1.2846d85a3319bp-4, -0x1.5df4d48664edp-4, -0x1.92556ada9e43dp-4, -0x1.c57b8c74b9094p-4, -0x1.f75aef0d4e968p-4, -0x1.13eac0410380ep-3, -0x1.2b6438dddf0efp-3, -0x1.420b12e652bf6p-3, -0x1.57d627453aaccp-3, -0x1.6cc346d5d0da8p-3, -0x1.80d731e1f06f3p-3, -0x1.941ca775f6efbp-3, -0x1.a6a2f28f83584p-3, -0x1.b87c469127e1cp-3, -0x1.c9bc25b2fb47fp-3, -0x1.da75f75c22508p-3, -0x1.eabbe32eef2fcp-3, -0x1.fa9df88e31673p-3, -0x1.0514d09f8c09ep-2, -0x1.0cb4abf94199bp-2, -0x1.14324c2148a28p-2, -0x1.1b8ffe30586bdp-2, -0x1.22cebe5bcfd6fp-2, -0x1.29ee6353f8df8p-2, -0x1.30edd0731313ap-2, -0x1.37cb2accfc34fp-2, -0x1.3e840dff5a8c8p-2, -0x1.4515be66c5f8dp-2, -0x1.4b7d570d3d041p-2, -0x1.51b7f23ced26dp-2, -0x1.57c2cc1ecc502p-2, -0x1.5d9b5f2f8e4c1p-2, -0x1.633f7aa173858p-2, -0x1.68ad52f8f89e1p-2, -0x1.6de38d58d3fd1p-2, -0x1.72e14609c9ca6p-2, -0x1.77a612d7c072cp-2, -0x1.7c3201e16780cp-2, -0x1.80859575381bep-2, -0x1.84a1bd8f2ef1p-2, -0x1.8887cf7fefb23p-2, -0x1.8c397c397989ep-2, -0x1.8fb8c5afbbeccp-2, -0x1.9307f3ad75a06p-2, -0x1.9629886fd2d3ep-2, -0x1.9920354e2aebep-2, -0x1.9beecfa6ce03ep-2, -0x1.9e98463e916d8p-2, -0x1.a11f973699fbap-2, -0x1.a387c6b2da68ep-2, -0x1.a5d3d643d26bfp-2, -0x1.a806bd1f594b5p-2, -0x1.aa23612e68bd3p-2, -0x1.ac2c90f11e95ep-2, -0x1.ae24fe361abe2p-2, -0x1.b00f399f44362p-2, -0x1.b1edaeeb73394p-2, -0x1.b3c2a1fa9d042p-2, -0x1.b5902c80aef0cp-2, -0x1.b7583c5a6ce9bp-2, -0x1.b91c927700f3dp-2, -0x1.badec248b8c0ep-2, -0x1.bca031af6f193p-2, -0x1.be62194f58fd2p-2, -0x1.c025854752a2cp-2, -0x1.c1eb563a4f7a4p-2, -0x1.c3b442a0315bfp-2, -0x1.c580d852ff52fp-2, -0x1.c7517e4e23f5dp-2, -0x1.c926769636b1fp-2, -0x1.caffe04082ebbp-2, -0x1.ccddb992520e8p-2, -0x1.cebfe230c322p-2, -0x1.d0a61d5aa912p-2, -0x1.d2901426acff5p-2, -0x1.d47d57c09195bp-2, -0x1.d66d63a122fcep-2, -0x1.d85f9fbcebb74p-2, -0x1.da5362a65c4a6p-2, -0x1.dc47f3a093f8ap-2, -0x1.de3c8ca073186p-2, -0x1.e0305c3a0991cp-2, -0x1.e2228778deedfp-2, -0x1.e4122ba1e39ddp-2, -0x1.e5fe5fde354aap-2, -0x1.e7e636ce1d922p-2, -0x1.e9c8c003fc75dp-2, -0x1.eba50967072d9p-2, -0x1.ed7a207de88f4p-2, -0x1.ef4713a18eb15p-2, -0x1.f10af31884561p-2, -0x1.f2c4d21b618c6p-2, -0x1.f473c7c2eacf1p-2, -0x1.f616efe0991e1p-2, -0x1.f7ad6bc24c953p-2, -0x1.f93662e1fd0b4p-2, -0x1.fab1038243c06p-2, -0x1.fc1c8338a6524p-2, -0x1.fd781f6683b4ep-2, -0x1.fec31da197457p-2, -0x1.fffccc0cf408dp-2, -0x1.009240d1b339dp-1, -0x1.011ccf3a11d11p-1, -0x1.019dc5e952b67p-1, -0x1.0214de3d49d26p-1, -0x1.0281d65448fccp-1, -0x1.02e471145ff67p-1, -0x1.033c762ddc8c6p-1, -0x1.0389b21969aa2p-1, -0x1.03cbf6122bebep-1, -0x1.0403180c33a4fp-1, -0x1.042ef2a798243p-1, -0x1.044f652090a6cp-1, -0x1.0464533cd0ae9p-1, -0x1.046da53676e81p-1, -0x1.046b47a4cd115p-1, -0x1.045d2b631db7dp-1, -0x1.04434575d7a7ep-1, -0x1.041d8eee3aa4dp-1, -0x1.03ec04ccc1c16p-1, -0x1.03aea7e27a2e1p-1, -0x1.03657cb17716fp-1, -0x1.03108b4c8d73p-1, -0x1.02afdf367a122p-1, -0x1.024387409e8e9p-1, -0x1.01cb95696f842p-1, -0x1.01481ebab6cd3p-1, -0x1.00b93b27c45fap-1, -0x1.001f056ba9b87p-1, -0x1.fef335cf2ac45p-2, -0x1.fd923702cc3c4p-2, -0x1.fc1b53050a9a4p-2, -0x1.fa8ed2ee42e1dp-2, -0x1.f8ed041ba0f2ap-2, -0x1.f73637ef5b4d4p-2, -0x1.f56ac391f95ebp-2, -0x1.f38affb4bdd24p-2, -0x1.f197485548b71p-2, -0x1.ef8ffc827dc77p-2, -0x1.ed757e22c4609p-2, -0x1.eb4831bba914p-2, -0x1.e9087e3aec43ap-2, -0x1.e6b6ccc10854ap-2, -0x1.e453886d35329p-2, -0x1.e1df1e2aed171p-2, -0x1.df59fc80f99fcp-2, -0x1.dcc4936209a32p-2, -0x1.da1f53fed49acp-2, -0x1.d76ab099c4997p-2, -0x1.d4a71c5c2f285p-2, -0x1.d1d50b2d16e33p-2, -0x1.cef4f18971dddp-2, -0x1.cc07445df5b4ap-2, -0x1.c90c78e264009p-2, -0x1.c60504764ed3ap-2, -0x1.c2f15c7f59331p-2, -0x1.bfd1f648e3498p-2, -0x1.bca746e527279p-2, -0x1.b971c30fb47b3p-2, -0x1.b631df1151d6ap-2, -0x1.b2e80ea52e6bp-2, -0x1.af94c4df6a5ep-2, -0x1.ac387414e3b39p-2, -0x1.a8d38dc448ab8p-2, -0x1.a56682806181bp-2, -0x1.a1f1c1db8e0a5p-2, -0x1.9e75ba546c2dp-2, -0x1.9af2d943a49a6p-2, -0x1.97698acacf393p-2, -0x1.93da39c469925p-2, -0x1.90454fb4dd7acp-2, -0x1.8cab34bc82de1p-2, -0x1.890c4f8aa4944p-2, -0x1.8569055173275p-2, -0x1.81c1b9bae5872p-2, -0x1.7e16cede7d1f6p-2, -0x1.7a68a537e5d3cp-2, -0x1.76b79b9e6c2bbp-2, -0x1.73040f3d3cec4p-2, -0x1.6f4e5b8c70c43p-2, -0x1.6b96da4ad0aefp-2, -0x1.67dde37856248p-2, -0x1.6423cd515ac42p-2, -0x1.6068ec4a6f8ffp-2, -0x1.5cad930cdc29fp-2, -0x1.58f21273b63d1p-2, -0x1.5536b98991836p-2, -0x1.517bd586bebb3p-2, -0x1.4dc1b1d01364cp-2, -0x1.4a0897f63884p-2, -0x1.4650cfb572553p-2, -0x1.429a9ef5e4e91p-2, -0x1.3ee649cc47957p-2, -0x1.3b34127b073abp-2, -0x1.37843973d0542p-2, -0x1.33d6fd597a3b7p-2, -0x1.302c9b0251db6p-2, -0x1.2c854d7abb074p-2, -0x1.28e14e0827951p-2, -0x1.2540d42c5bdfep-2, -0x1.21a415a90192cp-2, -0x1.1e0b46837b1b1p-2, -0x1.1a769908ffab2p-2, -0x1.16e63dd2f1bcbp-2, -0x1.135a63cb70106p-2, -0x1.0fd338321f6a9p-2, -0x1.0c50e6a123cf1p-2, -0x1.08d399124c514p-2, -0x1.055b77e4683b2p-2, -0x1.01e8a9e0c51bbp-2, -0x1.fcf6a881a7f34p-3, -0x1.f6273567da9e9p-3, -0x1.ef633eca6ea97p-3, -0x1.e8ab06034d5a5p-3, -0x1.e1fec97c33d0ap-3, -0x1.db5ec4bb15219p-3, -0x1.d4cb306ea78ebp-3, -0x1.ce44427b140a1p-3, -0x1.c7ca2e06c4847p-3, -0x1.c15d23874c9e2p-3, -0x1.bafd50ce6d9d1p-3, -0x1.b4aae117208a7p-3, -0x1.ae65fd12be396p-3, -0x1.a82ecaf623c7cp-3, -0x1.a2056e86e451fp-3, -0x1.9bea09287d49p-3, -0x1.95dcb9e989074p-3, -0x1.8fdd9d90f1647p-3, -0x1.89ecceab16dadp-3, -0x1.840a6596f4274p-3, -0x1.7e36789331334p-3, -0x1.78711bcb29ae2p-3, -0x1.72ba6163e674ap-3, -0x1.6d125988fbb3fp-3, -0x1.677912795818dp-3, -0x1.61ee9893fa7c1p-3, -0x1.5c72f66491922p-3, -0x1.570634aff5c74p-3, -0x1.51a85a8097acep-3, -0x1.4c596d32bee71p-3, -0x1.47197080b31c6p-3, -0x1.41e8668ec0d58p-3, -0x1.3cc64ff71cf01p-3, -0x1.37b32bd59eb9cp-3, -0x1.32aef7d35ec71p-3, -0x1.2db9b032280cbp-3, -0x1.28d34fd7c163cp-3, -0x1.23fbd05917638p-3, -0x1.1f332a0535da5p-3, -0x1.1a7953f01a925p-3, -0x1.15ce43fd5c1bcp-3, -0x1.1131eeeaac865p-3, -0x1.0ca4485a28351p-3, -0x1.082542dc80a1fp-3, -0x1.03b4cffaf41d4p-3, -0x1.fea5c08244ba2p-4, -0x1.f5fec68d56cb4p-4, -0x1.ed748f71513cap-4, -0x1.e506f6c5e7873p-4, -0x1.dcb5d6728c87fp-4, -0x1.d48106c04b30cp-4, -0x1.cc685e6b51d13p-4, -0x1.c46bb2b415946p-4, -0x1.bc8ad7702897p-4, -0x1.b4c59f1ab0fd7p-4, -0x1.ad1bdae47f48ep-4, -0x1.a58d5ac3dac88p-4, -0x1.9e19ed83e9c4dp-4, -0x1.96c160d3c1875p-4, -0x1.8f838155251c4p-4, -0x1.88601aaae78adp-4, -0x1.8156f786f806fp-4, -0x1.7a67e1b81a0cp-4, -0x1.7392a23747712p-4, -0x1.6cd70134bd2a2p-4, -0x1.6634c624b500cp-4, -0x1.5fabb7cbcb8fbp-4, -0x1.593b9c4b1713fp-4, -0x1.52e4392bea81p-4, -0x1.4ca5536b46131p-4, -0x1.467eaf8501afbp-4, -0x1.4070117e9c538p-4, -0x1.3a793cf1ca0d8p-4, -0x1.3499f516aef27p-4, -0x1.2ed1fccdd1eeap-4, -0x1.292116a9c398ap-4, -0x1.238704f87d3d1p-4, -0x1.1e0389cc79b94p-4, -0x1.1896670583373p-4, -0x1.133f5e594194fp-4, -0x1.0dfe315b7d804p-4, -0x1.08d2a18625a5bp-4, -0x1.03bc70410f70dp-4, -0x1.fd76bdd2ee1e4p-5, -0x1.f39e5db27e1efp-5, -0x1.e9ef42dbe5edp-5, -0x1.e068f01f16bep-5, -0x1.d70ae86de9697p-5, -0x1.cdd4aee8bcafep-5, -0x1.c4c5c6ea92bb3p-5, -0x1.bbddb414ce381p-5, -0x1.b31bfa5a6ce58p-5, -0x1.aa801e0ae59c8p-5, -0x1.a209a3dc92efap-5, -0x1.99b810f6b388bp-5, -0x1.918aeafb0be1ap-5, -0x1.8981b80f1e14fp-5, -0x1.819bfee50038ep-5, -0x1.79d946c3d6e5ap-5, -0x1.7239178fed37p-5, -0x1.6abaf9d277a92p-5, -0x1.635e76c0f6e77p-5, -0x1.5c23184447926p-5, -0x1.550868ff5f568p-5, -0x1.4e0df455b375bp-5, -0x1.473346714f722p-5, -0x1.4077ec489ce91p-5, -0x1.39db73a3df6e1p-5, -0x1.335d6b226abc1p-5, -0x1.2cfd623f814a6p-5, -0x1.26bae95700374p-5, -0x1.209591a9b4ff6p-5, -0x1.1a8ced617bf72p-5, -0x1.14a08f951595bp-5, -0x1.0ed00c4bc20bfp-5, -0x1.091af8809d2c6p-5, -0x1.0380ea25bd74ap-5, -0x1.fc02f04e3212p-6, -0x1.f13874da72dc8p-6, -0x1.e6a193bf527dp-6, -0x1.dc3d80ce7bf68p-6, -0x1.d20b71e04b6ap-6, -0x1.c80a9ed77dbb4p-6, -0x1.be3a41a497072p-6, -0x1.b4999648d71a5p-6, -0x1.ab27dad8de63dp-6, -0x1.a1e44f7ef333fp-6, -0x1.98ce367cfe804p-6, -0x1.8fe4d42e2e959p-6, -0x1.87276f0841d32p-6, -0x1.7e954f9c9a83ap-6, -0x1.762dc098fe43ep-6, -0x1.6df00ec80044dp-6, -0x1.65db891146f5ap-6, -0x1.5def80796c598p-6, -0x1.562b4821bbe1cp-6, -0x1.4e8e3547a22c8p-6, -0x1.47179f43e6942p-6, -0x1.3fc6df89ae8f8p-6, -0x1.389b51a541092p-6, -0x1.3194533aa7ef7p-6, -0x1.2ab144040d836p-6, -0x1.23f185cff0d61p-6, -0x1.1d547c7f29b8ep-6, -0x1.16d98e02cb9bp-6, -0x1.10802259cd4a5p-6, -0x1.0a47a38e910a2p-6, -0x1.042f7db44ae33p-6, -0x1.fc6e3dc86b624p-7, -0x1.f0bbee7561ef3p-7, -0x1.e546f1a8743f4p-7, -0x1.da0e2f947f6adp-7, -0x1.cf10945fc34c3p-7, -0x1.c44d101d0ff21p-7, -0x1.b9c296c4cfe33p-7, -0x1.af70202de3f01p-7, -0x1.a554a80633058p-7, -0x1.9b6f2dcb2d546p-7, -0x1.91beb4c202115p-7, -0x1.884243efdc3eap-7, -0x1.7ef8e611ba205p-7, -0x1.75e1a99463a79p-7, -0x1.6cfba08c06cb1p-7, -0x1.6445e0abdc515p-7, -0x1.5bbf833daad42p-7, -0x1.5367a5190d3f5p-7, -0x1.4b3d669ad2a55p-7, -0x1.433feb9c1fde4p-7, -0x1.3b6e5b6994d03p-7, -0x1.33c7e0ba57663p-7, -0x1.2c4ba9a709468p-7, -0x1.24f8e7a0b8e44p-7, -0x1.1dcecf67b29e4p-7, -0x1.16cc990268f2dp-7, -0x1.0ff17fb426a87p-7, -0x1.093cc1f3e2091p-7, -0x1.02ada162e7293p-7, -0x1.f886c5872a5dap-8, -0x1.ebfa9be014d98p-8, -0x1.dfb55ba1b2fffp-8, -0x1.d3b5a0a74b074p-8, -0x1.c7fa0cc3b5666p-8, -0x1.bc8147aeaf6a1p-8, -0x1.b149fef22e132p-8, -0x1.a652e5d7d85bdp-8, -0x1.9b9ab5565113cp-8, -0x1.91202bfed88dfp-8, -0x1.86e20dea9c1d9p-8, -0x1.7cdf24a86bc02p-8, -0x1.73163f2a5b82fp-8, -0x1.698631b35a36fp-8, -0x1.602dd5c50e3acp-8, -0x1.570c0a0d9dfffp-8, -0x1.4e1fb255b31d5p-8, -0x1.4567b76e7e80cp-8, -0x1.3ce3071fbe997p-8, -0x1.3490941620fd2p-8, -0x1.2c6f55d17e558p-8, -0x1.247e48935632bp-8, -0x1.1cbc6d4d5c513p-8, -0x1.1528c9902d482p-8, -0x1.0dc2677a1c445p-8, -0x1.068855a614bfdp-8, -0x1.fef34e3582eep-9, -0x1.f12ae673581a3p-9, -0x1.e3b5ab5d28d64p-9, -0x1.d691dcbdf7d44p-9, -0x1.c9bdc2b356d8p-9, -0x1.bd37ad8d0c987p-9, -0x1.b0fdf5acd005ap-9, -0x1.a50efb667424fp-9, -0x1.996926e03fd78p-9, -0x1.8e0ae7f3bb478p-9, -0x1.82f2b60ea0cd6p-9, -0x1.781f1014344a3p-9, -0x1.6d8e7c3efa34bp-9, -0x1.633f8802a4228p-9, -0x1.5930c7ee4b904p-9, -0x1.4f60d78f21321p-9, -0x1.45ce5953509fp-9, -0x1.3c77f66d323bfp-9, -0x1.335c5eb6f59f4p-9, -0x1.2a7a48966dbbfp-9, -0x1.21d070e167885p-9, -0x1.195d9ac20d97fp-9, -0x1.11208f9bf527cp-9, -0x1.09181ef126a9bp-9, -0x1.01431e47cd826p-9, -0x1.f340d21ff2746p-10, -0x1.e45dc113a66d1p-10, -0x1.d5dad75850a7cp-10, -0x1.c7b5ee165b388p-10, -0x1.b9ece97f742adp-10, -0x1.ac7db89d8efb8p-10, -0x1.9f665522654c1p-10, -0x1.92a4c337adfbep-10, -0x1.863711505a96bp-10, -0x1.7a1b57f999172p-10, -0x1.6e4fb9ad89623p-10, -0x1.62d262a5c499ap-10, -0x1.57a188aed0de2p-10, -0x1.4cbb6afc56b9ap-10, -0x1.421e51fd9fb89p-10, -0x1.37c88f331b586p-10, -0x1.2db87d0437479p-10, -0x1.23ec7e95c7c31p-10, -0x1.1a62ffa16f87ap-10, -0x1.111a744d2bcbp-10, -0x1.08115903b620dp-10, -0x1.fe8c649aeab88p-11, -0x1.ed6f195435decp-11, -0x1.dcc7f8d524bb8p-11, -0x1.cc943b17a6e22p-11, -0x1.bcd12724483c4p-11, -0x1.ad7c12c98fed4p-11, -0x1.9e92625520381p-11, -0x1.9011884d64b57p-11, -0x1.81f7052c7fd81p-11, -0x1.7440671ca48edp-11, -0x1.66eb49b51e6a3p-11, -0x1.59f555b81abdp-11, -0x1.4d5c40d319545p-11, -0x1.411dcd5dd392ap-11, -0x1.3537ca1cc5c28p-11, -0x1.29a8120308c5ap-11, -0x1.1e6c8bf5a9ab7p-11, -0x1.13832a906ef8fp-11, -0x1.08e9ebeaf4a26p-11, -0x1.fd3db2bea8abap-12, -0x1.e9400ea257cc6p-12, -0x1.d5d729ec18725p-12, -0x1.c2ff583deb0c3p-12, -0x1.b0b5020497348p-12, -0x1.9ef4a40d6164fp-12, -0x1.8dbacf1f4d0a9p-12, -0x1.7d042793ae0eap-12, -0x1.6ccd64f2cfa95p-12, -0x1.5d13519045a2bp-12, -0x1.4dd2ca2af121cp-12, -0x1.3f08bd8ce01b6p-12, -0x1.30b22c2e8f3e6p-12, -0x1.22cc27da54db7p-12, -0x1.1553d352720b5p-12, -0x1.084661f864fp-12, -0x1.f7422eeb9ec4ep-13, -0x1.dec28ecdb5425p-13, -0x1.c708aa0c6c59dp-13, -0x1.b00f65b6349d5p-13, -0x1.99d1c4cf1ff16p-13, -0x1.844ae7b3d7b7ep-13, -0x1.6f760b7b3d9bap-13, -0x1.5b4e895f595a2p-13, -0x1.47cfd6266b7b7p-13, -0x1.34f5818e6f566p-13, -0x1.22bb35bd8762fp-13, -0x1.111cb6b334362p-13, -0x1.0015e1bd2a553p-13, -0x1.df4559dc52e37p-14, -0x1.bf7e4d300b01p-14, -0x1.a0cee98f2c95ap-14, -0x1.832fa988c8634p-14, -0x1.66993520be3cfp-14, -0x1.4b0460d9746f2p-14, -0x1.306a2cbfefae7p-14, -0x1.16c3c379afba1p-14, -0x1.fc14f2bc44d99p-15, -0x1.cc6f971a72278p-15, -0x1.9e8abe1f1673cp-15, -0x1.7259fff0d321bp-15, -0x1.47d14118c886cp-15, -0x1.1ee4b0da9de2cp-15, -0x1.ef118f2672dd1p-16, -0x1.a3648a3cbaeffp-16, -0x1.5aac5e911aba7p-16, -0x1.14d3a086958aap-16, -0x1.a38ad491965f5p-17, -0x1.22dab1b2d02b5p-17, -0x1.4ede24be2088ep-18, -0x1.890955e17b19ep-20, 0x1.00d3719868492p-19, 0x1.596fd5f1f3a3cp-18, 0x1.148bff0a12516p-17, 0x1.77d431f183d49p-17, 0x1.d6b2bd86bf391p-17, 0x1.18a48081a217fp-16, 0x1.43dbc3062a30ap-16, 0x1.6d0f02b842369p-16, 0x1.944db5f014121p-16, 0x1.b9a6ef48dd01bp-16, 0x1.dd295fe2a4366p-16, 0x1.fee3599698767p-16, 0x1.0f7168929ccd7p-15, 0x1.1e9ab02a2453p-15, 0x1.2cf42402546bdp-15, 0x1.3a84391dfd29ap-15, 0x1.47513a0f2499p-15, 0x1.536147f5ebf37p-15, 0x1.5eba5b6fd0376p-15, 0x1.6962458acc111p-15, 0x1.735eb0ada21a7p-15, 0x1.7cb5218047e46p-15, 0x1.856af7c866cd5p-15, 0x1.8d856f49c8f74p-15, 0x1.9509a09a727acp-15, 0x1.9bfc81f6cd559p-15, 0x1.a262e80eecb29p-15, 0x1.a84186d17797ap-15, 0x1.ad9cf2304c554p-15, 0x1.b2799ee1f5593p-15, 0x1.b6dbe31f3edacp-15, 0x1.bac7f75aa1be9p-15, 0x1.be41f6f79374cp-15, 0x1.c14de0f91988cp-15, 0x1.c3ef98b187de8p-15, 0x1.c62ae669c0f5ap-15, 0x1.c803780894702p-15, 0x1.c97ce1b3af152p-15, 0x1.ca9a9e6f66457p-15, 0x1.cb6010b8a8484p-15, 0x1.cbd0831db042p-15, 0x1.cbef28d18ed52p-15, 0x1.cbbf1e3e2a0bfp-15, 0x1.cb43699109a2cp-15, 0x1.ca7efb4711245p-15, 0x1.c974aeb38088ep-15, 0x1.c8274a855061cp-15, 0x1.c6998147b4765p-15, 0x1.c4cdf1e2880bp-15, 0x1.c2c728143324ap-15, 0x1.c0879ced2f34ap-15, 0x1.be11b743e4867p-15, 0x1.bb67cc2b0e64dp-15, 0x1.b88c1f6107c0ep-15, 0x1.b580e3beadecfp-15, 0x1.b2483ba46ccd8p-15, 0x1.aee43963002a5p-15, 0x1.ab56dfa2bc21ep-15, 0x1.a7a221c8d434ap-15, 0x1.a3c7e459ee8f6p-15, 0x1.9fc9fd59e8eb3p-15, 0x1.9baa34aa8e21dp-15, 0x1.976a44676bb03p-15, 0x1.930bd93f0a2b9p-15, 0x1.8e9092cbce28dp-15, 0x1.89fa03e904149p-15, 0x1.8549b306565aep-15, 0x1.80811a7a55699p-15, 0x1.7ba1a8d1fe7afp-15, 0x1.76acc11e518a2p-15, 0x1.71a3bb41e3ad6p-15, 0x1.6c87e439aef21p-15, 0x1.675a7e66f57a8p-15, 0x1.621cc1d5d818fp-15, 0x1.5ccfdc826098bp-15, 0x1.5774f29c4c741p-15, 0x1.520d1ec9d64cp-15, 0x1.4c9972674a462p-15, 0x1.471af5c66c4dep-15, 0x1.4192a86c140b5p-15, 0x1.3c01814be3e86p-15, 0x1.36686f033b5dap-15, 0x1.30c8581213a9ap-15, 0x1.2b221b134d229p-15, 0x1.25768ef2595a8p-15, 0x1.1fc6832194008p-15, 0x1.1a12bfcd0b265p-15, 0x1.145c060db22a6p-15, 0x1.0ea3101b06849p-15, 0x1.08e8917a6b1a5p-15, 0x1.032d372f33656p-15, 0x1.fae34fcff5b2bp-16, 0x1.ef6d0857589b5p-16, 0x1.e3f8cd09c703cp-16, 0x1.d887c759dc263p-16, 0x1.cd1b156a1149p-16, 0x1.c1b3ca5e33368p-16, 0x1.b652eeaad02b9p-16, 0x1.aaf98061a93e6p-16, 0x1.9fa8737d7f7aap-16, 0x1.9460b22b3d176p-16, 0x1.89231d11ad04cp-16, 0x1.7df08b96830c1p-16, 0x1.72c9cc23ba67ep-16, 0x1.67afa46905b71p-16, 0x1.5ca2d19c769dcp-16, 0x1.51a408ba03bafp-16, 0x1.46b3f6c07867ap-16, 0x1.3bd340edc8d1dp-16, 0x1.310284f9667b3p-16, 0x1.2642594cd3cc9p-16, 0x1.1b934d3b6bbd6p-16, 0x1.10f5e9389d29bp-16, 0x1.066aaf0c02852p-16, 0x1.f7e4340b66668p-17, 0x1.e3193e5db88bfp-17, 0x1.ce755af77eb84p-17, 0x1.b9f95bf543075p-17, 0x1.a5a60804a33fcp-17, 0x1.917c1abdca7e1p-17, 0x1.7d7c44fb5759ep-17, 0x1.69a72d3008c9ap-17, 0x1.55fd6fba1663ep-17, 0x1.427f9f34ae7c8p-17, 0x1.2f2e44c5eb11dp-17, 0x1.1c09e06c45e39p-17, 0x1.0912e949c4b98p-17, 0x1.ec939bd95768dp-18, 0x1.c75de92b4b519p-18, 0x1.a28576fcef61ep-18, 0x1.7e0af238430bcp-18, 0x1.59eef8c073b12p-18, 0x1.363219f2f1f76p-18, 0x1.12d4d72267b49p-18, 0x1.dfaf481d69debp-19, 0x1.9a75ceb912dc6p-19, 0x1.55fdf60b1d9b7p-19, 0x1.124859913678dp-19, 0x1.9eaafa547e39cp-20, 0x1.1a4b9bd76a2eep-20, 0x1.2ee68ba9fd6ecp-21, 0x1.6227c0a3c07f2p-24, -0x1.a6999aea1f942p-22, -0x1.cfce5e39a460bp-21, -0x1.649fcfc6d61cap-20, -0x1.dfd06004499e5p-20, -0x1.2cbc8d33675e9p-19, -0x1.68cd2dbcd6a12p-19, -0x1.a41a503bbd8fap-19, -0x1.dea4430723995p-19, -0x1.0c35b1ca10f43p-18, -0x1.28b80ef0ec8fdp-18, -0x1.44d975f2a0d02p-18, -0x1.609a2a7e83766p-18, -0x1.7bfa76b45efccp-18, -0x1.96faaae0602e4p-18, -0x1.b19b1d3b678cfp-18, -0x1.cbdc29ab44879p-18, -0x1.e5be3185a7e5p-18, -0x1.ff419b553b439p-18, -0x1.0c33694f8d275p-17, -0x1.189723d5a0dafp-17, -0x1.24cc37a7378a2p-17, -0x1.30d2e15a8953fp-17, -0x1.3cab5f9805851p-17, -0x1.4855f301aa7dfp-17, -0x1.53d2de1ae8177p-17, -0x1.5f2265310d639p-17, -0x1.6a44ce44e5a67p-17, -0x1.753a60f48424dp-17, -0x1.8003666625a97p-17, -0x1.8aa029338048dp-17, -0x1.9510f555aecafp-17, -0x1.9f561811c340dp-17, -0x1.a96fdfe61f0a3p-17, -0x1.b35e9c78173dp-17, -0x1.bd229e826fc82p-17, -0x1.c6bc37c4274a1p-17, -0x1.d02bbaf006e79p-17, -0x1.d9717b9c8fce1p-17, -0x1.e28dce346ebddp-17, -0x1.eb8107e77147dp-17, -0x1.f44b7e9c3c29p-17, -0x1.fced88e20e9e3p-17, -0x1.02b3bef187501p-16, -0x1.06dcdaabb9885p-16, -0x1.0af243bc49fabp-16, -0x1.0ef4267a4c9d8p-16, -0x1.12e2af7163ff4p-16, -0x1.16be0b5c006aep-16, -0x1.1a86671db8fd5p-16, -0x1.1e3befbe18be4p-16, -0x1.21ded26365f4cp-16, -0x1.256f3c4d96e1cp-16, -0x1.28ed5ad1880d2p-16, -0x1.2c595b546c377p-16, -0x1.2fb36b473741ap-16, -0x1.32fbb82256e5fp-16, -0x1.36326f619c718p-16, -0x1.3957be7ff6eebp-16, -0x1.3c6bd2f3f4306p-16, -0x1.3f6eda2bcd22p-16, -0x1.42610189d6f88p-16, -0x1.45427661107dap-16, -0x1.481365f1ebe2dp-16, -0x1.4ad3fd670e7d1p-16, -0x1.4d8469d21e322p-16, -0x1.5024d828fe95dp-16, -0x1.52b57542f5879p-16, -0x1.55366dd5f771cp-16, -0x1.57a7ee73e5d8p-16, -0x1.5a0a23883e4e9p-16, -0x1.5c5d3955a1175p-16, -0x1.5ea15bf399519p-16, -0x1.60d6b74c4b38bp-16, -0x1.62fd771a7822dp-16, -0x1.6515c6e77b4a7p-16, -0x1.671fd20940d49p-16, -0x1.691bc3a09859ep-16, -0x1.6b09c69776255p-16, -0x1.6cea059f2832p-16, -0x1.6ebcab2eccbc3p-16, -0x1.7081e181e151dp-16, -0x1.7239d296d29bbp-16, -0x1.73e4a82d96f5ap-16, -0x1.75828bc66015ap-16, -0x1.7713a6a063c1dp-16, -0x1.789821b8c211ep-16, -0x1.7a1025c968ce3p-16, -0x1.7b7bdb4800e5cp-16, -0x1.7cdb6a650949bp-16, -0x1.7e2efb0ad8904p-16, -0x1.7f76b4dcc7aa3p-16, -0x1.80b2bf366b021p-16, -0x1.81e3412ae139p-16, -0x1.83086183f7605p-16, -0x1.842246c1a8b62p-16, -0x1.8531171982483p-16, -0x1.8634f875fbc71p-16, -0x1.872e1075f8b43p-16, -0x1.881c846c69fc8p-16, -0x1.8900795fdb662p-16, -0x1.89da1409fa81cp-16, -0x1.8aa978d7545ffp-16, -0x1.8b6ecbe6eba4p-16, -0x1.8c2a310a16a65p-16, -0x1.8cdbcbc43030bp-16, -0x1.8d83bf4a60bb3p-16, -0x1.8e222e8371bebp-16, -0x1.8eb73c07af71ap-16, -0x1.8f430a20d329cp-16, -0x1.8fc5bac9e2ef4p-16, -0x1.903f6faf23cbbp-16, -0x1.90b04a2e1f8ep-16, -0x1.91186b55a0775p-16, -0x1.9177f3e5b9288p-16, -0x1.91cf044fc330fp-16, -0x1.921dbcb68486fp-16, -0x1.92643cee4ba21p-16, -0x1.92a2a47cfde44p-16, -0x1.92d9129a3c59ep-16, -0x1.9307a62f9853cp-16, -0x1.932e7dd8c0141p-16, -0x1.934db7e3b086ep-16, -0x1.93657250e1eebp-16, -0x1.9375cad397e0cp-16, -0x1.937eded200f98p-16, -0x1.9380cb659bbdbp-16, -0x1.937bad5b73dabp-16, -0x1.936fa1346aed3p-16, -0x1.935cc3257397bp-16, -0x1.93432f1811c6p-16, -0x1.932300aa8a3bap-16, -0x1.92fc53303b358p-16, -0x1.92cf41b21631p-16, -0x1.929be6eee689bp-16, -0x1.92625d5bab8bdp-16, -0x1.9222bf240bbefp-16, -0x1.91dd262aaef8ap-16, -0x1.9191ac09b6b24p-16, -0x1.91406a1327f5ep-16, -0x1.90e9795138784p-16, -0x1.908cf286d1055p-16, -0x1.902aee300d0bp-16, -0x1.8fc38482961cbp-16, -0x1.8f56cd6e209bep-16, -0x1.8ee4e09cd5a51p-16, -0x1.8e6dd573d9cf2p-16, -0x1.8df1c313bab25p-16, -0x1.8d70c058e8af3p-16, -0x1.8ceae3dc2baaap-16, -0x1.8c6043f32bf65p-16, -0x1.8bd0f6b0e59bbp-16, -0x1.8b3d11e6216a8p-16, -0x1.8aa4ab21fa473p-16, -0x1.8a07d7b261086p-16, -0x1.8966aca485ab8p-16, -0x1.88c13ec55e139p-16, -0x1.8817a2a241aedp-16, -0x1.8769ec895644cp-16, -0x1.86b8308a1039bp-16, -0x1.86028275a3affp-16, -0x1.8548f5dfb0bfbp-16, -0x1.848b9e1ea5768p-16, -0x1.83ca8e4c46079p-16, -0x1.8305d94638969p-16, -0x1.823d91ae87a41p-16, -0x1.8171c9ec20e02p-16, -0x1.80a2942b4fa95p-16, -0x1.7fd0025e52ee5p-16, -0x1.7efa263ddb478p-16, -0x1.7e21114981dc4p-16, -0x1.7d44d4c8514b9p-16, -0x1.7c6581c95ad4fp-16, -0x1.7b8329241b39cp-16, -0x1.7a9ddb790b935p-16, -0x1.79b5a93237341p-16, -0x1.78caa2839f17ep-16, -0x1.77dcd76bbe7a8p-16, -0x1.76ec57b419839p-16, -0x1.75f932f1c62fep-16, -0x1.75037885d4cdp-16, -0x1.740b379dd771p-16, -0x1.73107f346a2b1p-16, -0x1.72135e11b3ffp-16, -0x1.7113e2cbd9778p-16, -0x1.70121bc7813c7p-16, -0x1.6f0e173857379p-16, -0x1.6e07e32177f27p-16, -0x1.6cff8d560506ap-16, -0x1.6bf523798ab7ap-16, -0x1.6ae8b3008c75ep-16, -0x1.69da4930f48f7p-16, -0x1.68c9f322997e6p-16, -0x1.67b7bdbf9addp-16, -0x1.66a3b5c500a54p-16, -0x1.658de7c32ae13p-16, -0x1.6476601e2993cp-16, -0x1.635d2b0e4f002p-16, -0x1.624254a0a68e4p-16, -0x1.6125e8b75f70cp-16, -0x1.6007f30a4441cp-16, -0x1.5ee87f272e4e5p-16, -0x1.5dc7987276b77p-16, -0x1.5ca54a2770f1ap-16, -0x1.5b819f58d3f92p-16, -0x1.5a5ca2f12abbp-16, -0x1.59365fb349891p-16, -0x1.580ee03ab695dp-16, -0x1.56e62efc18341p-16, -0x1.55bc5645aa4abp-16, -0x1.5491603fa8fa7p-16, -0x1.536556eca8867p-16, -0x1.5238442a2066bp-16, -0x1.510a31b0d0297p-16, -0x1.4fdb291502769p-16, -0x1.4eab33c71821fp-16, -0x1.4d7a5b13fce71p-16, -0x1.4c48a82568432p-16, -0x1.4b1624025512cp-16, -0x1.49e2d78f71421p-16, -0x1.48aecb8f6ae75p-16, -0x1.477a08a36e5c2p-16, -0x1.4644974b7075dp-16, -0x1.450e7fe69b543p-16, -0x1.43d7cab3b6dd1p-16, -0x1.42a07fd171837p-16, -0x1.4168a73edcf0cp-16, -0x1.403048dbbeb8bp-16, -0x1.3ef76c68dcbb3p-16, -0x1.3dbe19887632dp-16, -0x1.3c8457be95216p-16, -0x1.3b4a2e7157cffp-16, -0x1.3a0fa4e97111ep-16, -0x1.38d4c252691edp-16, -0x1.37998dbae0967p-16, -0x1.365e0e150e99ep-16, -0x1.35224a371a26p-16, -0x1.33e648db4044p-16, -0x1.32aa10a05ac8fp-16, -0x1.316da80a22a0ap-16, -0x1.303115817894fp-16, -0x1.2ef45f54c805cp-16, -0x1.2db78bb85068cp-16, -0x1.2c7aa0c68466fp-16, -0x1.2b3da4803fe7fp-16, -0x1.2a009ccd31462p-16, -0x1.28c38f7c1f33dp-16, -0x1.2786824325fb5p-16, -0x1.26497ac0272fp-16, -0x1.250c7e79006d4p-16, -0x1.23cf92dbd4275p-16, -0x1.2292bd3f5ea8bp-16, -0x1.215602e335802p-16, -0x1.201968f01c86dp-16, -0x1.1edcf4785523ep-16, -0x1.1da0aa77ce939p-16, -0x1.1c648fd474726p-16, -0x1.1b28a95e922d5p-16, -0x1.19ecfbd0eb821p-16, -0x1.18b18bd11d0d7p-16, -0x1.17765defe5cb2p-16, -0x1.163b76a95251bp-16, -0x1.1500da6514bbbp-16, -0x1.13c68d76be4cep-16, -0x1.128c941e0839cp-16, -0x1.1152f2870a6acp-16, -0x1.1019acca80a95p-16, -0x1.0ee0c6ee0727p-16, -0x1.0da844e45e399p-16, -0x1.0c702a8dab35p-16, -0x1.0b387bb7ad05bp-16, -0x1.0a013c1dfdc2cp-16, -0x1.08ca6f6a43ae1p-16, -0x1.07941934891d2p-16, -0x1.065e3d0362aa1p-16, -0x1.0528de4c1ec23p-16, -0x1.03f4007313788p-16, -0x1.02bfa6cbd773p-16, -0x1.018bd49967628p-16, -0x1.00588d0e75feep-16, -0x1.fe4ba69b22fe4p-17, -0x1.fbe754d2b62bp-17, -0x1.f9842ac98b405p-17, -0x1.f7222e6695f78p-17, -0x1.f4c165722a2cp-17, -0x1.f261d5966c448p-17, -0x1.f003845fcd233p-17, -0x1.eda6773d637fep-17, -0x1.eb4ab3814994ap-17, -0x1.e8f03e60f677bp-17, -0x1.e6971cf5b89b2p-17, -0x1.e43f543d1c1f1p-17, -0x1.e1e8e919316f8p-17, -0x1.df93e050ef441p-17, -0x1.dd403e9096103p-17, -0x1.daee086a2d64bp-17, -0x1.d89d4255a9681p-17, -0x1.d64df0b1557b9p-17, -0x1.d40017c255ef7p-17, -0x1.d1b3bbb4c1f3bp-17, -0x1.cf68e09c33b58p-17, -0x1.cd1f8a73fdb21p-17, -0x1.cad7bd1f7e4c9p-17, -0x1.c8917c6a89028p-17, -0x1.c64ccc09b8911p-17, -0x1.c409af9ab421dp-17, -0x1.c1c82aa47306ep-17, -0x1.bf884097c2c19p-17, -0x1.bd49f4cf66b76p-17, -0x1.bb0d4a906a56dp-17, -0x1.b8d2450a81a66p-17, -0x1.b698e7585e4b8p-17, -0x1.b461347fe08a8p-17, -0x1.b22b2f7267fadp-17, -0x1.aff6db0d29ff3p-17, -0x1.adc43a1989ae9p-17, -0x1.ab934f4d3617dp-17, -0x1.a9641d4a850cbp-17, -0x1.a736a6a0dae51p-17, -0x1.a50aedccba591p-17, -0x1.a2e0f5382ad3ep-17, -0x1.a0b8bf3b0081fp-17, -0x1.9e924e1b0058bp-17, -0x1.9c6da40c4d9dap-17, -0x1.9a4ac3318829cp-17, -0x1.9829ad9c1e8edp-17, }}, 
      {{-0x1.d60e339c560c8p-1, -0x1.d6054168a78ep-1, -0x1.d5d1eb70bca86p-1, -0x1.d56a97a177b71p-1, -0x1.d4d2e0c9b03c8p-1, -0x1.d41304bb789ebp-1, -0x1.d3325a831443dp-1, -0x1.d2350e306f0a1p-1, -0x1.d11c12eaee3c2p-1, -0x1.cfe628da9d663p-1, -0x1.ce912614d0eecp-1, -0x1.cd1b0eb13c8a8p-1, -0x1.cb82cebf590fp-1, -0x1.c9c8939d74e2cp-1, -0x1.c7edd6e906ab5p-1, -0x1.c5f533bca104p-1, -0x1.c3e21daf89744p-1, -0x1.c1b88c6aee936p-1, -0x1.bf7ca935fd9cbp-1, -0x1.bd3286ddee7ccp-1, -0x1.badde85d3f7f2p-1, -0x1.b88217b5059b2p-1, -0x1.b621cc706010dp-1, -0x1.b3bf20158d9a1p-1, -0x1.b15b8e28976f3p-1, -0x1.aef7fd2d8de5ep-1, -0x1.ac94ce283867dp-1, -0x1.aa31f051f90cbp-1, -0x1.a7cef7105d6e6p-1, -0x1.a56b309191447p-1, -0x1.a305bbce3f558p-1, -0x1.a09d9d047f247p-1, -0x1.9e31d009f12d1p-1, -0x1.9bc158128040dp-1, -0x1.994b4cbd3049dp-1, -0x1.96cee4614f8afp-1, -0x1.944b7bb55dbe3p-1, -0x1.91c09aff2b334p-1, -0x1.8f2df90b77f55p-1, -0x1.8c937c33fcfebp-1, -0x1.89f139be833dbp-1, -0x1.874773dfa9f66p-1, -0x1.849696a91773dp-1, -0x1.81df3426081a6p-1, -0x1.7f21ffe301b82p-1, -0x1.7c5fca169f25cp-1, -0x1.79997a9a31198p-1, -0x1.76d00bd9d677ep-1, -0x1.740485dcc2033p-1, -0x1.7137f97fffe15p-1, -0x1.6e6b7bf821a6bp-1, -0x1.6ba022a8f8313p-1, -0x1.68d6ff5ddcbc3p-1, -0x1.66111ce90ee44p-1, -0x1.634f7c2d44c1p-1, -0x1.60931191c3b8dp-1, -0x1.5ddcc2df08f06p-1, -0x1.5b2d65803c30cp-1, -0x1.5885bd2447299p-1, -0x1.55e67ab869e8dp-1, -0x1.53503bb56c6ccp-1, -0x1.50c389b826164p-1, -0x1.4e40da5de0822p-1, -0x1.4bc88f5d101adp-1, -0x1.495af6d3039f5p-1, -0x1.46f84bbf69a6ap-1, -0x1.44a0b6a6dc85cp-1, -0x1.42544e560be63p-1, -0x1.401318bf8dee3p-1, -0x1.3ddd0beed4a5cp-1, -0x1.3bb20f0b3fd83p-1, -0x1.3991fb66c143cp-1, -0x1.377c9d93fbb2p-1, -0x1.3571b6803ef6fp-1, -0x1.3370fc8e31e13p-1, -0x1.317a1cae632ap-1, -0x1.2f8cbb735dd8cp-1, -0x1.2da8761f3b726p-1, -0x1.2bcce3a902512p-1, -0x1.29f995b869b18p-1, -0x1.282e1996e40c7p-1, -0x1.2669f9151528fp-1, -0x1.24acbb64070dp-1, -0x1.22f5e5e1acc6cp-1, -0x1.2144fcd86c064p-1, -0x1.1f998431869bcp-1, -0x1.1df3001a6a3afp-1, -0x1.1c50f59cfeb39p-1, -0x1.1ab2eb2b2ab32p-1, -0x1.1918691dd616p-1, -0x1.1780fa27c7aefp-1, -0x1.15ec2bbcc56ebp-1, -0x1.14598e6d6baf7p-1, -0x1.12c8b638365abp-1, -0x1.11393ad040813p-1, -0x1.0faab7da3e57ep-1, -0x1.0e1ccd203efddp-1, -0x1.0c8f1ebcbbc03p-1, -0x1.0b01553d8359ap-1, -0x1.09731dbf0752fp-1, -0x1.07e42a0094121p-1, -0x1.06543071f71a2p-1, -0x1.04c2ec3b133ddp-1, -0x1.03301d3de1a7cp-1, -0x1.019b8813539b9p-1, -0x1.0004f6038be7dp-1, -0x1.fcd869f3baa5p-2, -0x1.f9a22ee9eb289p-2, -0x1.f666e8e734f36p-2, -0x1.f3264ebcb135cp-2, -0x1.efe01fdcf268ep-2, -0x1.ec94242532951p-2, -0x1.e9422ba256a02p-2, -0x1.e5ea0e5264183p-2, -0x1.e28babe2ee4c3p-2, -0x1.df26eb6cfe332p-2, -0x1.dbbbbb2eed329p-2, -0x1.d84a10449e85ap-2, -0x1.d4d1e65e83e56p-2, -0x1.d1533f77c4f8ep-2, -0x1.cdce238be6589p-2, -0x1.ca42a04c3cac6p-2, -0x1.c6b0c8d5700f5p-2, -0x1.c318b5655d91bp-2, -0x1.bf7a831183b57p-2, -0x1.bbd6537e3b6dp-2, -0x1.b82c4c96e5a23p-2, -0x1.b47c98473d354p-2, -0x1.b0c76435f1f5ap-2, -0x1.ad0ce180ac3dfp-2, -0x1.a94d44799a30ap-2, -0x1.a588c4669c21p-2, -0x1.a1bf9b4227085p-2, -0x1.9df2057df3746p-2, -0x1.9a2041c77ea78p-2, -0x1.964a90ce73e7ap-2, -0x1.9271350d010ffp-2, -0x1.8e94729220131p-2, -0x1.8ab48ecddb24cp-2, -0x1.86d1d05f8a391p-2, -0x1.82ec7ee60e4p-2, -0x1.7f04e2d20a8cfp-2, -0x1.7b1b453a132e8p-2, -0x1.772fefb0d50cdp-2, -0x1.73432c1d2b7d6p-2, -0x1.6f554494242eap-2, -0x1.6b668334dfd2cp-2, -0x1.6777320654d0fp-2, -0x1.63879ad6e0a4p-2, -0x1.5f98071d9f897p-2, -0x1.5ba8bfdd89314p-2, -0x1.57ba0d8a3aacbp-2, -0x1.53cc37ee6f5fcp-2, -0x1.4fdf86141135p-2, -0x1.4bf43e2dde50dp-2, -0x1.480aa58295514p-2, -0x1.442300599a771p-2, -0x1.403d91e907a5bp-2, -0x1.3c5a9c4523448p-2, -0x1.387a605125d13p-2, -0x1.349d1db14fe56p-2, -0x1.30c312be356b4p-2, -0x1.2cec7c793d8fcp-2, -0x1.29199682472ep-2, -0x1.254a9b0e640fep-2, -0x1.217fc2dfa2399p-2, -0x1.1db9453dd52cp-2, -0x1.19f757f05815bp-2, -0x1.163a2f38b7594p-2, -0x1.1281fdce3b429p-2, -0x1.0ecef4da495bep-2, -0x1.0b2143f58ddebp-2, -0x1.07791925e78a3p-2, -0x1.03d6a0dd098dap-2, -0x1.003a05f7ca4a6p-2, -0x1.f946e37c28bfdp-3, -0x1.f22617c6eb375p-3, -0x1.eb11f510762c2p-3, -0x1.e40ac47634192p-3, -0x1.dd10cbf6ac273p-3, -0x1.d6244e76c4dbcp-3, -0x1.cf458bc7e7146p-3, -0x1.c874c0aef33c3p-3, -0x1.c1b226ebf804fp-3, -0x1.bafdf542a71edp-3, -0x1.b4585f836d8bfp-3, -0x1.adc1969526c38p-3, -0x1.a739c87f647c3p-3, -0x1.a0c120753601ep-3, -0x1.9a57c6e06f163p-3, -0x1.93fde16d51558p-3, -0x1.8db39316a5519p-3, -0x1.8778fc32265b1p-3, -0x1.814e3a7d3d75cp-3, -0x1.7b33692a07103p-3, -0x1.7528a0ec956d9p-3, -0x1.6f2df80867d5fp-3, -0x1.6943825e1308bp-3, -0x1.636951790bfcep-3, -0x1.5d9f749d97937p-3, -0x1.57e5f8d6cf656p-3, -0x1.523ce904b9ebfp-3, -0x1.4ca44dea735fap-3, -0x1.471c2e3c5696ap-3, -0x1.41a48eae2dce4p-3, -0x1.3c3d72015d4bep-3, -0x1.36e6d91307d5fp-3, -0x1.31a0c2ea20b3ep-3, -0x1.2c6b2cc57785ep-3, -0x1.27461229a715bp-3, -0x1.22316ceeec679p-3, -0x1.1d2d354ee6ec9p-3, -0x1.183961f2390a8p-3, -0x1.1355e7fdff4c2p-3, -0x1.0e82bb212fd19p-3, -0x1.09bfcda1c4191p-3, -0x1.050d1069cb075p-3, -0x1.006a73143aba7p-3, -0x1.f7afc7f35537fp-4, -0x1.eeaaa07996f76p-4, -0x1.e5c547ad78f44p-4, -0x1.dcff93464846ep-4, -0x1.d45956d83ea3p-4, -0x1.cbd263ebe171ep-4, -0x1.c36a8a150c7b7p-4, -0x1.bb219709789ep-4, -0x1.b2f756b6e70bap-4, -0x1.aaeb9358d324cp-4, -0x1.a2fe158db57d6p-4, -0x1.9b2ea46bcd808p-4, -0x1.937d059586722p-4, -0x1.8be8fd4d63c2ep-4, -0x1.84724e8971304p-4, -0x1.7d18bb064bcdcp-4, -0x1.75dc0359b1ab1p-4, -0x1.6ebbe7049e99ep-4, -0x1.67b82484f69a1p-4, -0x1.60d07966bd0bdp-4, -0x1.5a04a254db4ap-4, -0x1.53545b297437ap-4, -0x1.4cbf5efdc8171p-4, -0x1.46456839a8245p-4, -0x1.3fe630a27d1d7p-4, -0x1.39a17169df22ap-4, -0x1.3376e33bbe3adp-4, -0x1.2d663e4c25b0fp-4, -0x1.276f3a648f8dbp-4, -0x1.21918ef0d208cp-4, -0x1.1bccf30ba52ebp-4, -0x1.16211d8ac35f5p-4, -0x1.108dc50aa4fe4p-4, -0x1.0b129ff9d4df1p-4, -0x1.05af64a3eeabdp-4, -0x1.0063c93c2f56ap-4, -0x1.f65f07cf64ad8p-5, -0x1.ec24958e98c08p-5, -0x1.e217a8021f1d7p-5, -0x1.d837ab92e22ecp-5, -0x1.ce840cd83b0f1p-5, -0x1.c4fc38a8e41eep-5, -0x1.bb9f9c2b4dfa3p-5, -0x1.b26da4e546443p-5, -0x1.a965c0caffc4ep-5, -0x1.a0875e4d833b3p-5, -0x1.97d1ec6880cdp-5, -0x1.8f44daaf87014p-5, -0x1.86df995aaf1ap-5, -0x1.7ea19952b5a7ap-5, -0x1.768a4c3c838f7p-5, -0x1.6e99248432c6bp-5, -0x1.66cd95678d004p-5, -0x1.5f27130005013p-5, -0x1.57a5124c34dp-5, -0x1.50470938dd39cp-5, -0x1.490c6ea96f79ap-5, -0x1.41f4ba801e312p-5, -0x1.3aff65a5814e9p-5, -0x1.342bea0fc799bp-5, -0x1.2d79c2c97da4ap-5, -0x1.26e86bf7ebe3ap-5, -0x1.207762e10f6fdp-5, -0x1.1a2625f12f377p-5, -0x1.13f434c016c2p-5, -0x1.0de11015e7c0ap-5, -0x1.07ec39efa3239p-5, -0x1.0215358348a24p-5, -0x1.f8b70e87607dep-6, -0x1.ed7d69c816f47p-6, -0x1.e27c8ab631899p-6, -0x1.d7b381cc125e1p-6, -0x1.cd2162163a887p-6, -0x1.c2c54137f8756p-6, -0x1.b89e376f82835p-6, -0x1.aeab5f999c192p-6, -0x1.a4ebd734a7aacp-6, -0x1.9b5ebe634a43fp-6, -0x1.920337ee93389p-6, -0x1.88d86947b1d69p-6, -0x1.7fdd7a8939181p-6, -0x1.77119677fbe46p-6, -0x1.6e73ea838618ep-6, -0x1.6603a6c62a9bdp-6, -0x1.5dbffe04bc49cp-6, -0x1.55a825ade18e5p-6, -0x1.4dbb55d92252dp-6, -0x1.45f8c945898e2p-6, -0x1.3e5fbd580f3e3p-6, -0x1.36ef7219abd2bp-6, -0x1.2fa72a351aacp-6, -0x1.28862af465b68p-6, -0x1.218bbc3e27231p-6, -0x1.1ab7289289adap-6, -0x1.1407bd080fe4bp-6, -0x1.0d7cc94821bccp-6, -0x1.07159f8b63f49p-6, -0x1.00d19495d72ep-6, -0x1.f55fff658e5a8p-7, -0x1.e96075612997ep-7, -0x1.dda343b88f429p-7, -0x1.d22727f9edb2fp-7, -0x1.c6eae49e2bcf4p-7, -0x1.bbed40ff18e12p-7, -0x1.b12d094d7c0d6p-7, -0x1.a6a90e86b76cep-7, -0x1.9c60266a54a13p-7, -0x1.92512b6f3fc89p-7, -0x1.887afcb8dc71dp-7, -0x1.7edc7e0bdb3bap-7, -0x1.757497c2f07d6p-7, -0x1.6c4236c352a42p-7, -0x1.63444c7120a36p-7, -0x1.5a79cea39019dp-7, -0x1.51e1b7991e467p-7, -0x1.497b05eb70c62p-7, -0x1.4144bc8351e5fp-7, -0x1.393de28c71499p-7, -0x1.31658369182f7p-7, -0x1.29baaea5d8ebap-7, -0x1.223c77ed1cbfcp-7, -0x1.1ae9f6fab0ff4p-7, -0x1.13c2478f40a2cp-7, -0x1.0cc48963d1615p-7, -0x1.05efe01d30994p-7, -0x1.fe86e67eb0685p-8, -0x1.f17cdc41c1423p-8, -0x1.e4bfffbcd5dadp-8, -0x1.d84eb69bfea63p-8, -0x1.cc276de51a8c2p-8, -0x1.c04899de9885cp-8, -0x1.b4b0b5f6865b8p-8, -0x1.a95e44a98b65dp-8, -0x1.9e4fcf69ff74ep-8, -0x1.9383e68719ec7p-8, -0x1.88f921142b49fp-8, -0x1.7eae1cd017f89p-8, -0x1.74a17e0cc4814p-8, -0x1.6ad1ef96b856ep-8, -0x1.613e229cd967p-8, -0x1.57e4ce98639eep-8, -0x1.4ec4b134e028bp-8, -0x1.45dc8e38634ecp-8, -0x1.3d2b2f6beb965p-8, -0x1.34af6483dcb6ep-8, -0x1.2c680308c259bp-8, -0x1.2453e64032ee3p-8, -0x1.1c71ef15db084p-8, -0x1.14c10404cc933p-8, -0x1.0d401100e75a8p-8, -0x1.05ee07608be1cp-8, -0x1.fd93bb8cfb9cp-9, -0x1.efa52017de3fap-9, -0x1.e20e3e5597c4ap-9, -0x1.d4cd225071093p-9, -0x1.c7dfe1feadb39p-9, -0x1.bb449d183e29bp-9, -0x1.aef97ced4da69p-9, -0x1.a2fcb43cccee6p-9, -0x1.974c7f0bd25ecp-9, -0x1.8be7227d5380dp-9, -0x1.80caecaa23d9fp-9, -0x1.75f63479af327p-9, -0x1.6b67597afb5b2p-9, -0x1.611cc3be3f215p-9, -0x1.5714e3aee2885p-9, -0x1.4d4e31edf53b3p-9, -0x1.43c72f2d28b99p-9, -0x1.3a7e640a28877p-9, -0x1.317260eaa4419p-9, -0x1.28a1bdd882cap-9, -0x1.200b1a5edd4e2p-9, -0x1.17ad1d672fc6ep-9, -0x1.0f867517301b8p-9, -0x1.0795d6af07387p-9, -0x1.ffb3fcd02823ep-10, -0x1.f0a35ea7faeedp-10, -0x1.e1f76678d7515p-10, -0x1.d3adb506433dbp-10, -0x1.c5c3f804fe15fp-10, -0x1.b837e9dd3a47cp-10, -0x1.ab07516d50817p-10, -0x1.9e3001cded34ap-10, -0x1.91afda1670c2cp-10, -0x1.8584c522e07cp-10, -0x1.79acb95a67bbap-10, -0x1.6e25b8769bcc2p-10, -0x1.62edcf4be908p-10, -0x1.58031592a57cep-10, -0x1.4d63adb12c243p-10, -0x1.430dc486c2c5fp-10, -0x1.38ff91371c5aep-10, -0x1.2f3754f731b5p-10, -0x1.25b35ada6fb9fp-10, -0x1.1c71f7a10817cp-10, -0x1.13718986ebfddp-10, -0x1.0ab07813afe45p-10, -0x1.022d33eb2970cp-10, -0x1.f3cc6d3d90815p-11, -0x1.e3b404ffe26b9p-11, -0x1.d40e44e5adebap-11, -0x1.c4d853847d411p-11, -0x1.b60f67e83a4b4p-11, -0x1.a7b0c93d61ce9p-11, -0x1.99b9ce7d2dc63p-11, -0x1.8c27de1aeece2p-11, -0x1.7ef86db2fcad4p-11, -0x1.722901baeae7cp-11, -0x1.65b72d3363fb8p-11, -0x1.59a0915b1f702p-11, -0x1.4de2dd635cc9p-11, -0x1.427bce25d11dcp-11, -0x1.37692ddbc1161p-11, -0x1.2ca8d3d663a88p-11, -0x1.2238a438c9f67p-11, -0x1.18168fb2de9a3p-11, -0x1.0e40933da9aafp-11, -0x1.04b4b7d8fbea8p-11, -0x1.f6e224943d692p-12, -0x1.e4e785b7f3e96p-12, -0x1.d375ea402082ep-12, -0x1.c289bf623c0dbp-12, -0x1.b21f87ecc5dacp-12, -0x1.a233dbd10e371p-12, -0x1.92c367ae8e9a2p-12, -0x1.83caec60c23d5p-12, -0x1.75473e8f3dcfcp-12, -0x1.6735463f9e3d8p-12, -0x1.5991fe69fcd4cp-12, -0x1.4c5a748f5102dp-12, -0x1.3f8bc851ac4bdp-12, -0x1.33232b0e86154p-12, -0x1.271ddf7ba352p-12, -0x1.1b793944a5b7ep-12, -0x1.10329cac0b68ap-12, -0x1.05477e2cf5aa7p-12, -0x1.f56ac43e460dcp-13, -0x1.e0f3b8b9fe2ep-13, -0x1.cd251fd5efd74p-13, -0x1.b9fa5d425ec8dp-13, -0x1.a76ef1ad0db57p-13, -0x1.957e7a1a82f22p-13, -0x1.8424af43c9909p-13, -0x1.735d64f658d01p-13, -0x1.63248977a44eap-13, -0x1.537624ebfcb3bp-13, -0x1.444e58c0b43a2p-13, -0x1.35a95f1897803p-13, -0x1.27838a3c5ba73p-13, -0x1.19d9440d915d8p-13, -0x1.0ca70d7c296edp-13, -0x1.ffd2fbff4ef8ap-14, -0x1.e73a8624e9798p-14, -0x1.cf7e3f6030108p-14, -0x1.b897d7ad41499p-14, -0x1.a28128143eba6p-14, -0x1.8d3431b4cf9a6p-14, -0x1.78ab1cdadcdccp-14, -0x1.64e03811a8d57p-14, -0x1.51cdf74270543p-14, -0x1.3f6ef2d3a9bc4p-14, -0x1.2dbde6ce16ccdp-14, -0x1.1cb5b207c2533p-14, -0x1.0c515551c7695p-14, -0x1.f917e5582894fp-15, -0x1.dac198f8488fap-15, -0x1.bd968991f9b69p-15, -0x1.a18db8f816f8cp-15, -0x1.869e65492547cp-15, -0x1.6cc0077ee0ec5p-15, -0x1.53ea5209e554bp-15, -0x1.3c152f6f00308p-15, -0x1.2538c0f1f9fb5p-15, -0x1.0f4d5d4289032p-15, -0x1.f4971e6c61316p-16, -0x1.cc582907c30f6p-16, -0x1.a5cfb91748eb4p-16, -0x1.80f00e42cb119p-16, -0x1.5dabc6c19460fp-16, -0x1.3bf5dd0e2bee7p-16, -0x1.1bc1a5a757ee3p-16, -0x1.fa0599ba0cf7ap-17, -0x1.bf5aa95559cddp-17, -0x1.876b253f9d8b8p-17, -0x1.52205b9ec5093p-17, -0x1.1f6439a51dd04p-17, -0x1.de428f3545e46p-18, -0x1.82854a24b2635p-18, -0x1.2b680a5041943p-18, -0x1.b186ab4d715ep-19, -0x1.14e195669c6a8p-19, -0x1.012c665f95f87p-20, 0x1.7480b0a228d99p-24, 0x1.20272d7656697p-20, 0x1.0cfd074cdd7c5p-19, 0x1.82a2efb2bb884p-19, 0x1.f146066236d4dp-19, 0x1.2c92960a0f0e6p-18, 0x1.5d3ebbc891b66p-18, 0x1.8ac520a31f866p-18, 0x1.b542975ee8c0ap-18, 0x1.dcd31ec032cd4p-18, 0x1.00c8f38296e1fp-17, 0x1.11ccab922e51p-17, 0x1.218188fae330cp-17, 0x1.2ff3fda024adap-17, 0x1.3d301e4f2cd86p-17, 0x1.4941a526b2b54p-17, 0x1.5433f3ef42febp-17, 0x1.5e1216630beb7p-17, 0x1.66e6c46b80d42p-17, 0x1.6ebc645096cdfp-17, 0x1.759d0cd7e365dp-17, 0x1.7b92875769655p-17, 0x1.80a651bfc5bf7p-17, 0x1.84e1a095be35cp-17, 0x1.884d60e0b498fp-17, 0x1.8af23a0e4b061p-17, 0x1.8cd88fc69b62dp-17, 0x1.8e0883bebd1p-17, 0x1.8e89f76f67249p-17, 0x1.8e648dd49a448p-17, 0x1.8d9fad132b85ap-17, 0x1.8c42801a31d9p-17, 0x1.8a53f83b873a9p-17, 0x1.87daceb76b67ep-17, 0x1.84dd863f07ebep-17, 0x1.81626c6e3eb5p-17, 0x1.7d6f9b3c69da3p-17, 0x1.790afa637f553p-17, 0x1.743a40be6f6b5p-17, 0x1.6f02f59cbf9b1p-17, 0x1.696a7214b60bdp-17, 0x1.6375e242e1553p-17, 0x1.5d2a468a7cc65p-17, 0x1.568c74c8591d8p-17, 0x1.4fa119831fe8dp-17, 0x1.486cb90cf4318p-17, 0x1.40f3b0a5a46c8p-17, 0x1.393a379021aedp-17, 0x1.314460229a548p-17, 0x1.291618d048df6p-17, 0x1.20b32d2c90016p-17, 0x1.181f46e64a39bp-17, 0x1.0f5deebde3843p-17, 0x1.06728d75a2c1p-17, 0x1.fac0d971b8754p-18, 0x1.e855700541c31p-18, 0x1.d5a8faefada77p-18, 0x1.c2c15d86177ffp-18, 0x1.afa443c612d01p-18, 0x1.9c5723f6df992p-18, 0x1.88df4032bc2dp-18, 0x1.7541a7f0ba6f9p-18, 0x1.6183397db2811p-18, 0x1.4da8a36e7f444p-18, 0x1.39b666063aefp-18, 0x1.25b0d4971fea8p-18, 0x1.119c16d508b64p-18, 0x1.faf85447e9cbap-19, 0x1.d2a9c5b534887p-19, 0x1.aa53dafc831bap-19, 0x1.81fd9fe8745ffp-19, 0x1.59add55e2e5f7p-19, 0x1.316af39b0f3bap-19, 0x1.093b2c75d78ffp-19, 0x1.c248daf519e3fp-20, 0x1.7258c41a87be7p-20, 0x1.22b0eadbb7655p-20, 0x1.a6b752d8ddeffp-21, 0x1.08c5c3269d5ddp-21, 0x1.ae800371a8621p-23, -0x1.853fdeb515568p-24, -0x1.98022b39a92abp-22, -0x1.665b031c8ee6fp-21, -0x1.ffa6482ff4e1p-21, -0x1.4bea17acd6dc9p-20, -0x1.976b61b0ed99cp-20, -0x1.e250649274166p-20, -0x1.16496e5fe58d7p-19, -0x1.3b166ede1df8bp-19, -0x1.5f8c67a2abd16p-19, -0x1.83a8b5443bfb9p-19, -0x1.a768dbb9908dp-19, -0x1.caca85095be44p-19, -0x1.edcb800121283p-19, -0x1.0834df7e0d6f8p-18, -0x1.1951ab549e556p-18, -0x1.2a3b3e7184b85p-18, -0x1.3af0c3c51abb4p-18, -0x1.4b7175b64e9a1p-18, -0x1.5bbc9d968c762p-18, -0x1.6bd1931e32f16p-18, -0x1.7bafbbe9bac62p-18, -0x1.8b568afae4827p-18, -0x1.9ac5803eff5e7p-18, -0x1.a9fc2816e396ep-18, -0x1.b8fa1ae3f72fdp-18, -0x1.c7befc96e3a3bp-18, -0x1.d64a7c437b72bp-18, -0x1.e49c53b53def3p-18, -0x1.f2b4470a22ca4p-18, -0x1.00491226b8b88p-17, -0x1.071ae18b877afp-17, -0x1.0dcf8216fd8b7p-17, -0x1.1466e8960324dp-17, -0x1.1ae10e12d83fap-17, -0x1.213defaa11735p-17, -0x1.277d8e60b459cp-17, -0x1.2d9feefbe9ebbp-17, -0x1.33a519d9b3d6fp-17, -0x1.398d1acacf2ccp-17, -0x1.3f5800ed7d123p-17, -0x1.4505de8a65b58p-17, -0x1.4a96c8f104f29p-17, -0x1.500ad8569a7p-17, -0x1.556227b56c06ep-17, -0x1.5a9cd4acfdbccp-17, -0x1.5fbaff63855acp-17, -0x1.64bcca6842707p-17, -0x1.69a25a96b1651p-17, -0x1.6e6bd6fa93d2fp-17, -0x1.731968b55b69p-17, -0x1.77ab3ae363ccbp-17, -0x1.7c217a8341b52p-17, -0x1.807c565cef70ep-17, -0x1.84bbfeea33964p-17, -0x1.88e0a63f937fap-17, -0x1.8cea7ff65bebp-17, -0x1.90d9c116d6476p-17, -0x1.94aea003f344p-17, -0x1.98695466b1a36p-17, -0x1.9c0a171b17238p-17, -0x1.9f91221d4bfc8p-17, -0x1.a2feb0773c66p-17, -0x1.a652fe2f5493dp-17, -0x1.a98e4837b2df6p-17, -0x1.acb0cc5d542d7p-17, -0x1.afbac9387068ep-17, -0x1.b2ac7e1d92573p-17, -0x1.b5862b0e5330fp-17, -0x1.b84810ab718cp-17, -0x1.baf2702713811p-17, -0x1.bd858b376c429p-17, -0x1.c001a40a341b3p-17, -0x1.c266fd37f8131p-17, -0x1.c4b5d9b8bacefp-17, -0x1.c6ee7cd7f4074p-17, -0x1.c9112a2a17fd5p-17, -0x1.cb1e2581d9c32p-17, -0x1.cd15b2e592fc7p-17, -0x1.cef81685f9f8p-17, -0x1.d0c594b4647e1p-17, -0x1.d27e71d9d4623p-17, -0x1.d422f26df9fdfp-17, -0x1.d5b35aef1d41ep-17, -0x1.d72fefd9f6eb5p-17, -0x1.d898f5a1d1c9ep-17, -0x1.d9eeb0a943565p-17, -0x1.db31653af4243p-17, -0x1.dc615782c31e3p-17, -0x1.dd7ecb8751f6cp-17, -0x1.de8a0523a0022p-17, -0x1.df83480128352p-17, -0x1.e06ad79231957p-17, -0x1.e140f70bd1d64p-17, -0x1.e205e9616c6dp-17, -0x1.e2b9f13ef3264p-17, -0x1.e35d5104a1c1ap-17, -0x1.e3f04ac22f32ep-17, -0x1.e473203266a74p-17, -0x1.e4e612b730f32p-17, -0x1.e54963558861bp-17, -0x1.e59d52b18daacp-17, -0x1.e5e2210b4cb97p-17, -0x1.e6180e3b110b4p-17, -0x1.e63f59ae52d15p-17, -0x1.e6584264a582ep-17, -0x1.e66306eced0ddp-17, -0x1.e65fe56267ca9p-17, -0x1.e64f1b6a73ca2p-17, -0x1.e630e631fac9fp-17, -0x1.e605826b24c54p-17, -0x1.e5cd2c4b5406cp-17, -0x1.e5881f89258c7p-17, -0x1.e536975a65e47p-17, -0x1.e4d8ce72b2f9ap-17, -0x1.e46eff0187ff6p-17, -0x1.e3f962b0ec36ep-17, -0x1.e37832a403708p-17, -0x1.e2eba775e3ba6p-17, -0x1.e253f9384425dp-17, -0x1.e1b15f72934f9p-17, -0x1.e1041120e2ac6p-17, -0x1.e04c44b32e11bp-17, -0x1.df8a300c66b62p-17, -0x1.debe0881d8fdfp-17, -0x1.dde802dabd82cp-17, -0x1.dd08534f820cfp-17, -0x1.dc1f2d894ac16p-17, -0x1.db2cc4a1e0d62p-17, -0x1.da314b231b407p-17, -0x1.d92cf306ceda3p-17, -0x1.d81fedb69d626p-17, -0x1.d70a6c0c02757p-17, -0x1.d5ec9e4ff8c24p-17, -0x1.d4c6b43b61cdbp-17, -0x1.d398dcf6f0544p-17, -0x1.d263471b54f75p-17, -0x1.d12620b168083p-17, -0x1.cfe197328b87bp-17, -0x1.ce95d788e4cb7p-17, -0x1.cd430e0faea33p-17, -0x1.cbe96693b6ba6p-17, -0x1.ca890c539a1efp-17, -0x1.c9222a009075ap-17, -0x1.c7b4e9bec271cp-17, -0x1.c6417525cfdc4p-17, -0x1.c4c7f54176c02p-17, -0x1.c3489292405abp-17, -0x1.c1c3750e22842p-17, -0x1.c038c4211872bp-17, -0x1.bea8a6adfc57fp-17, -0x1.bd13430f32dfep-17, -0x1.bb78bf179a6cp-17, -0x1.b9d94013156d9p-17, -0x1.b834eac78c5c3p-17, -0x1.b68be375c300ep-17, -0x1.b4de4dda3c296p-17, -0x1.b32c4d2e00895p-17, -0x1.b1760427a5043p-17, -0x1.afbb94fc3707p-17, -0x1.adfd216011d24p-17, -0x1.ac3aca87fd445p-17, -0x1.aa74b12a1d145p-17, -0x1.a8aaf57eda49dp-17, -0x1.a6ddb741f0bb9p-17, -0x1.a50d15b3783b8p-17, -0x1.a3392f98f0a4ap-17, -0x1.a162233e45436p-17, -0x1.9f880e76d03dbp-17, -0x1.9dab0e9e70b7cp-17, -0x1.9bcb409aa2691p-17, -0x1.99e8c0db92502p-17, -0x1.9803ab5d221aap-17, -0x1.961c1ba813e7fp-17, -0x1.94322cd30db17p-17, -0x1.9245f983b9855p-17, -0x1.90579befe450ep-17, -0x1.8e672ddea26ep-17, -0x1.8c74c8a944a28p-17, -0x1.8a80853c9f43cp-17, -0x1.888a7c1a1a981p-17, -0x1.8692c558ba913p-17, -0x1.849978a647ad3p-17, -0x1.829ead487f0bcp-17, -0x1.80a27a1e22ceap-17, -0x1.7ea4f5a001d5p-17, -0x1.7ca635e237aacp-17, -0x1.7aa650952ff1p-17, -0x1.78a55b06cdcdap-17, -0x1.76a36a2386627p-17, -0x1.74a092777cb57p-17, -0x1.729ce82f9211ap-17, -0x1.70987f1a84d0bp-17, -0x1.6e936aaa14e94p-17, -0x1.6c8dbdf40d1a7p-17, -0x1.6a878bb354bdep-17, -0x1.6880e64918a8p-17, -0x1.6679dfbdd5c53p-17, -0x1.647289c26dcd2p-17, -0x1.626af5b12c1c4p-17, -0x1.6063348ee75f4p-17, -0x1.5e5b570c094eap-17, -0x1.5c536d85a643ap-17, -0x1.5a4b8806768a6p-17, -0x1.5843b647eb151p-17, -0x1.563c07b33c6bdp-17, -0x1.54348b627267ep-17, -0x1.522d50215ef61p-17, -0x1.5026646eaa24dp-17, -0x1.4e1fd67ccde92p-17, -0x1.4c19b433214fp-17, -0x1.4a140b2ed15c7p-17, -0x1.480ee8c3df938p-17, -0x1.460a59fe130d1p-17, -0x1.44066ba209482p-17, -0x1.42032a2e1a96p-17, -0x1.4000a1db4bedbp-17, -0x1.3dfede9e58619p-17, -0x1.3bfdec28915dbp-17, -0x1.39fdd5e8ce51bp-17, -0x1.37fea70c5e157p-17, -0x1.36006a7ff31d2p-17, -0x1.34032af0901cfp-17, -0x1.3206f2cc6f0ccp-17, -0x1.300bcc43df3d8p-17, -0x1.2e11c14a280a2p-17, -0x1.2c18db9678134p-17, -0x1.2a2124a4b5591p-17, -0x1.282aa5b664897p-17, -0x1.263567d37ddbbp-17, -0x1.244173cb4cep-17, -0x1.224ed2353887dp-17, -0x1.205d8b71a8ddfp-17, -0x1.1e6da7aad33c7p-17, -0x1.1c7f2ed5847e8p-17, -0x1.1a9228b1f7bbbp-17, -0x1.18a69ccca7adep-17, -0x1.16bc927f089a4p-17, -0x1.14d410f0596d7p-17, -0x1.12ed1f166975ap-17, -0x1.1107c3b65bf2fp-17, -0x1.0f240565687cp-17, -0x1.0d41ea89a3505p-17, -0x1.0b61795ab0c45p-17, -0x1.0982b7e27f055p-17, -0x1.07a5abfe08cc5p-17, -0x1.05ca5b5e03bf9p-17, -0x1.03f0cb879c5f2p-17, -0x1.021901d52be4fp-17, -0x1.00430376e37ap-17, -0x1.fcddaae6ebf5ep-18, -0x1.f938f951aaac6p-18, -0x1.f597fb99a2b8ep-18, -0x1.f1fabadb84c56p-18, -0x1.ee613fe66c648p-18, -0x1.eacb933d19168p-18, -0x1.e739bd1740613p-18, -0x1.e3abc562d3397p-18, -0x1.e021b3c53d158p-18, -0x1.dc9b8f9c93b85p-18, -0x1.d9196000d3181p-18, -0x1.d59b2bc518678p-18, -0x1.d220f978c85e3p-18, -0x1.ceaacf68b8195p-18, -0x1.cb38b3a060f01p-18, -0x1.c7caabeafd393p-18, -0x1.c460bdd4a2c24p-18, -0x1.c0faeeab6bb02p-18, -0x1.bd9943808c59dp-18, -0x1.ba3bc1296922fp-18, -0x1.b6e26c40a0853p-18, -0x1.b38d492723392p-18, -0x1.b03c5c053a36ep-18, -0x1.acefa8cb8b453p-18, -0x1.a9a73334287dp-18, -0x1.a662fec382f9ep-18, -0x1.a3230ec96acd3p-18, -0x1.9fe7666218bd4p-18, -0x1.9cb008770f178p-18, -0x1.997cf7c00f8cap-18, -0x1.964e36c4209d8p-18, -0x1.9323c7da629b9p-18, -0x1.8ffdad2afe9a7p-18, -0x1.8cdbe8b012c9p-18, -0x1.89be7c3693437p-18, -0x1.86a5695f28032p-18, -0x1.8390b19f04776p-18, -0x1.80805640cd874p-18, -0x1.7d7458656bb06p-18, -0x1.7a6cb904dbb4fp-18, -0x1.776978eefcb0ep-18, -0x1.746a98cc5feadp-18, -0x1.7170191f1cadp-18, -0x1.6e79fa438c32fp-18, -0x1.6b883c710ba3ap-18, -0x1.689adfbade545p-18, -0x1.65b1e410c564dp-18, -0x1.62cd493fc2972p-18, -0x1.5fed0ef2f5ac2p-18, -0x1.5d1134b42a327p-18, -0x1.5a39b9ec93bdbp-18, -0x1.57669de5a12cp-18, -0x1.5497dfc97e10cp-18, -0x1.51cd7ea3db061p-18, -0x1.4f07796293fc4p-18, -0x1.4c45ced64d4f9p-18, -0x1.49887db32db0ep-18, -0x1.46cf84916c3e8p-18, -0x1.441ae1edf0c5ep-18, -0x1.416a942b079ebp-18, -0x1.3ebe9990e767fp-18, -0x1.3c16f04e4e1ddp-18, -0x1.3973967925ae2p-18, -0x1.36d48a0f007c4p-18, -0x1.3439c8f5b5e38p-18, -0x1.31a350fc06819p-18, -0x1.2f111fda0ea42p-18, -0x1.2c833331cce36p-18, -0x1.29f9888fd1167p-18, -0x1.27741d6b9ce25p-18, -0x1.24f2ef28338d6p-18, -0x1.2275fb14addc4p-18, -0x1.1ffd3e6ca3d99p-18, -0x1.1d88b658b404p-18, -0x1.1b185fef03918p-18, -0x1.18ac3833b6ea6p-18, -0x1.16443c1966ae8p-18, -0x1.13e0688199a1ap-18, -0x1.1180ba3d3ee0ap-18, -0x1.0f252e0d1638cp-18, -0x1.0ccdc0a21d64bp-18, -0x1.0a7a6e9e1817fp-18, -0x1.082b3493e2247p-18, -0x1.05e00f07ea437p-18, -0x1.0398fa709d4e7p-18, -0x1.0155f336b4a54p-18, -0x1.fe2deb6b83f16p-19, -0x1.f9b7fc79024cp-19, -0x1.f54a121a5a7cp-19, -0x1.f0e424bc034bap-19, -0x1.ec862cb30eab3p-19, -0x1.e830223dc5e9cp-19, -0x1.e3e1fd84a3e44p-19, -0x1.df9bb69ae1ad9p-19, -0x1.db5d457f2c243p-19, -0x1.d726a21c6072fp-19, -0x1.d2f7c44a2c52ap-19, -0x1.ced0a3cdc02a6p-19, -0x1.cab1385a6c6f3p-19, -0x1.c699799254eb9p-19, -0x1.c2895f06f5e9p-19, -0x1.be80e039da598p-19, -0x1.ba7ff49d2d1c1p-19, -0x1.b686939452e7p-19, -0x1.b294b47484323p-19, -0x1.aeaa4e854a4e9p-19, -0x1.aac759012fcbcp-19, -0x1.a6ebcb1638f32p-19, -0x1.a3179be66e217p-19, -0x1.9f4ac28879ba1p-19, -0x1.9b85360811a55p-19, -0x1.97c6ed6679041p-19, -0x1.940fdf9b2db42p-19, -0x1.9060039431858p-19, -0x1.8cb75036a2fe1p-19, -0x1.8915bc5f3667bp-19, -0x1.857b3ee2a47e9p-19, -0x1.81e7ce8e188cp-19, -0x1.7e5b6227b871ap-19, -0x1.7ad5f06f0b459p-19, -0x1.7757701d5feecp-19, -0x1.73dfd7e6450c6p-19, -0x1.706f1e77f14c7p-19, -0x1.6d053a7baa083p-19, -0x1.69a2229624b01p-19, -0x1.6645cd67f32bap-19, -0x1.62f0318de0a8dp-19, -0x1.5fa145a14dd7ep-19, -0x1.5c590038a83f5p-19, -0x1.591757e79980cp-19, -0x1.55dc433f87525p-19, -0x1.52a7b8cff2091p-19, -0x1.4f79af2693b98p-19, -0x1.4c521ccffd97ep-19, -0x1.4930f857bbb53p-19, -0x1.46163848b0144p-19, -0x1.4301d32d71339p-19, -0x1.3ff3bf908e135p-19, -0x1.3cebf3fccf59p-19, -0x1.39ea66fd92643p-19, -0x1.36ef0f1f1f331p-19, -0x1.33f9e2eec37a8p-19, -0x1.310ad8fb402ccp-19, -0x1.2e21e7d50b315p-19, -0x1.2b3f060e7f3d6p-19, -0x1.28622a3c24761p-19, -0x1.258b4af503733p-19, -0x1.22ba5ed2c4603p-19, -0x1.1fef5c7208e9cp-19, -0x1.1d2a3a7291227p-19, -0x1.1a6aef778c373p-19, -0x1.17b17227cce45p-19, -0x1.14fdb92ddec9fp-19, -0x1.124fbb3877686p-19, -0x1.0fa76efa81143p-19, -0x1.0d04cb2b56562p-19, -0x1.0a67c68709f9ep-19, -0x1.07d057ce7eb0ep-19, -0x1.053e75c79938cp-19, -0x1.02b2173d8588bp-19, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      29, 0x1.85c28f5c28f5cp+2, 0x1.0aaa41120f6a2p+1, 0x1.8242982dd61d4p+2, -0x1.a8f306b729704p-8, 
      {{
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.3eb2536f0c2dcp-6, -0x1.baa306b6aad39p-5, 0x1.cd13c5bee19f3p-5, -0x1.a513eb9d0710ep-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.14af8714ea667p-6, -0x1.8e1baf05c49c8p-5, 0x1.ad7f14131ab14p-5, -0x1.9444a11554325p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ddf18e6430fd1p-7, -0x1.64acac56d14c6p-5, 0x1.8f2d2197e794p-5, -0x1.85f9fc16b2c21p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9a80c11fdc793p-7, -0x1.3e3823348321bp-5, 0x1.71ed951633c58p-5, -0x1.77029b902f5e4p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.5e76f12adb547p-7, -0x1.1aa1fd332717bp-5, 0x1.55cd6304fd05p-5, -0x1.683983a017709p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.29441a8e8629p-7, -0x1.f39b5505de503p-6, 0x1.3ac912bf61a8fp-5, -0x1.596404de35658p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.f4bbd51f1437bp-8, -0x1.b73d77b5bd1a5p-6, 0x1.20e19261ea74ap-5, -0x1.4a91d8cd0df67p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.a27f7f5bd1ac2p-8, -0x1.7ff172759d097p-6, 0x1.0816a21f56357p-5, -0x1.3bbec8cacad6bp-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.5ad55349f112ap-8, -0x1.4d7e59f0ddf5p-6, 0x1.e0d0a62041313p-6, -0x1.2cebf5dc34e3ep-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.1ccad2d6c7de2p-8, -0x1.1fab41927e3c2p-6, 0x1.b3ad413f39426p-6, -0x1.1e1912900d4a9p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.cef1c4cca91e8p-9, -0x1.ec7e7a36a9886p-7, 0x1.88c3181004103p-6, -0x1.0f4633a67d2e7p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.740791a67d713p-9, -0x1.a202c06a6fb7fp-7, 0x1.601229ea3e162p-6, -0x1.007353901c0d4p-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.27365eddadf1ep-9, -0x1.5f717d204f3e4p-7, 0x1.399a76fb06aep-6, -0x1.e340e794dcd07p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.cde888045bfbfp-10, -0x1.2458d7b4fb15ap-7, 0x1.155bff3642eb4p-6, -0x1.c59b27dd7f043p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.639c3b2286225p-10, -0x1.e08def0c0f3a6p-8, 0x1.e6ad853e7f964p-7, -0x1.a7f56834c90acp-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.0ccf19eb09879p-10, -0x1.859407e1a1ae7p-8, 0x1.a7158269c7d36p-7, -0x1.8a4fa87d6aca8p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.8debe21b7341cp-11, -0x1.36e048a5658f3p-8, 0x1.6beff5f091687p-7, -0x1.6ca9e8f2104e9p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.1f662e2a1c31cp-11, -0x1.e71e00250734dp-9, 0x1.353cdfcc4229dp-7, -0x1.4f0428c551208p-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.9359b1988b5f8p-12, -0x1.7578f9c4c3a7fp-9, 0x1.02fc40150f985p-7, -0x1.315e6af2276aep-7}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.11756d02dffe8p-12, -0x1.170a1baa01297p-9, 0x1.aa5c2ce179c42p-8, -0x1.13b8a459e7aa3p-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.6396bdf98fa41p-13, -0x1.94140646e4a1p-10, 0x1.57a4c8601aa96p-8, -0x1.ec25fcf953af3p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.b6f5fd6994fp-14, -0x1.19629c6f9c7a2p-10, 0x1.0dd248d44e1c3p-8, -0x1.b0d9bcf0603a4p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.fb1f6ad35d8p-15, -0x1.74e260fc1ef64p-11, 0x1.99c9a5c6e5c11p-9, -0x1.75910cabbb5e8p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.0c677d30fbfffp-15, -0x1.cec434a0ee877p-12, 0x1.29b7bb9360bebp-9, -0x1.3a3b11a429933p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.f79e8a2abe002p-17, -0x1.064cc9a521013p-12, 0x1.96e59fc44225ep-10, -0x1.fe2d63c7e9ca5p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.8ba4369d4e8p-18, -0x1.044db90cebb17p-13, 0x1.fbb003aa2b33dp-11, -0x1.86725f9317a8dp-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.d2822a7463fffp-20, -0x1.a0542aef23179p-15, 0x1.116b63eb83692p-11, -0x1.141d379ef00dp-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.3eb2536f48001p-22, -0x1.bd91ca3d9f9c1p-17, 0x1.af010a309a549p-13, -0x1.1b45c6c1716dp-10}, 
        {0x1.8333333333333p+2, 0x1.85c28f5c28f5cp+2, 0x1.8debe21a00003p-27, -0x1.be797765d402p-21, 0x1.6c4ed521e27ffp-15, -0x1.feafd4ff6f7acp-10}, 
      }}, 
      0x1.736004f2e6fe8p-5, -0x1.87c6ba05357e3p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.8bb882d574469p-2, -0x1.84f50e5c03c8bp-2, -0x1.79f6980472e53p-2, -0x1.6b158b6acdd88p-2, -0x1.58b92e42009c5p-2, -0x1.435030dc12978p-2, -0x1.2b4b5e500f02cp-2, -0x1.1119dcd22868bp-2, -0x1.ea4d25d4ba4b9p-3, -0x1.afacbca7b6a52p-3, -0x1.730dd22673404p-3, -0x1.351bfa4c364ep-3, -0x1.ece4eb8e29a54p-4, -0x1.6f3861770993bp-4, -0x1.e450ac223fe0cp-5, -0x1.da31464795b22p-6, 0x1.706d308fabfp-11, 0x1.e5fc5c433303cp-6, 0x1.d98ddd94f4a8fp-5, 0x1.5c47691602d82p-4, 0x1.c7a3ec8e56f7p-4, 0x1.17491a20c1656p-3, 0x1.486c2dc50a556p-3, 0x1.7725852a000ccp-3, 0x1.a365e1cc0341ap-3, 0x1.cd23aa7c9631cp-3, 0x1.f45a361e99c0ep-3, 0x1.0c8493912514ap-2, 0x1.1d99ebfb680a3p-2, 0x1.2d706b8d7c8fdp-2, 0x1.3c0cb8ce87593p-2, 0x1.4974a551819c4p-2, 0x1.55aeff4db7575p-2, 0x1.60c3684449f77p-2, 0x1.6aba3026609acp-2, 0x1.739c346d597aep-2, 0x1.7b72c2c192c1bp-2, 0x1.82477ed482a61p-2, 0x1.88244b30d0d2p-2, 0x1.8d1334c8d114p-2, 0x1.911e610a2b9fap-2, 0x1.944ffe340c334p-2, 0x1.96b235b525c63p-2, 0x1.984f204e097fdp-2, 0x1.9930bbc1b9b8cp-2, 0x1.9960e1e8bc08dp-2, 0x1.98e940fc31886p-2, 0x1.97d354fa8a873p-2, 0x1.9628620a6133fp-2, 0x1.93f16fc41cfc1p-2, 0x1.9137454d32ec1p-2, 0x1.8e02663265c9cp-2, 0x1.8a5b0ff0746c6p-2, 0x1.86493818240eep-2, 0x1.81d48b001f95bp-2, 0x1.7d046afa72f23p-2, 0x1.77dfeff19581ep-2, 0x1.726de7751e695p-2, 0x1.6cb4d51cc452bp-2, 0x1.66baf32a3a1p-2, 0x1.60863394d2741p-2, 0x1.5a1c41179835fp-2, 0x1.538280b23a5f4p-2, 0x1.4cbe131bf9a4p-2, 0x1.45d3d67f12679p-2, 0x1.3ec8684affb84p-2, 0x1.37a027037bfbap-2, 0x1.305f345d8a695p-2, 0x1.2909771591de1p-2, 0x1.21a29d3180cdp-2, 0x1.1a2e1de53f8fdp-2, 0x1.12af3bd1cf2a7p-2, 0x1.0b290705fa6fdp-2, 0x1.039e5f104eb44p-2, 0x1.f823ea653afa5p-3, 0x1.e90c9c4c34444p-3, 0x1.d9fb88f8a959cp-3, 0x1.caf5144714077p-3, 0x1.bbfd5579785e2p-3, 0x1.ad181a47d29f6p-3, 0x1.9e48eac08dfd6p-3, 0x1.8f930cf8d806fp-3, 0x1.80f987b18b9a9p-3, 0x1.727f26b57d949p-3, 0x1.64267cb0a8c0bp-3, 0x1.55f1e7552721ap-3, 0x1.47e391725917p-3, 0x1.39fd76049fd94p-3, 0x1.2c4162f130c77p-3, 0x1.1eb0fb1cc1686p-3, 0x1.114db93bf69dcp-3, 0x1.0418f1b3885dap-3, 0x1.ee27a9d09209fp-4, 0x1.d47ee25ea7ec5p-4, 0x1.bb39695882721p-4, 0x1.a258de5e87fcap-4, 0x1.89dea7b83b353p-4, 0x1.71cbf5adb549fp-4, 0x1.5a21c59704c2bp-4, 0x1.42e0e4e96d6f9p-4, 0x1.2c09f3fd0a1ecp-4, 0x1.159d68e46e10dp-4, 0x1.ff3723f71e81fp-5, 0x1.d40930e5e8bc1p-5, 0x1.a9b10586eb2bfp-5, 0x1.802e6df819d26p-5, 0x1.5780f9fa8b467p-5, 0x1.2fa801351ce2bp-5, 0x1.08a2a75f57cacp-5, 0x1.c4dfbffcc6ffap-6, 0x1.7a1ce4887e2c5p-6, 0x1.30f9f8ff89431p-6, 0x1.d2e7ddaa3168dp-7, 0x1.470ee592b8ef6p-7, 0x1.7cc3cb654d2c3p-8, 0x1.c6ca38580399dp-10, -0x1.264bd3b878795p-9, -0x1.91d65606af6d7p-8, -0x1.45380d21b04fdp-7, -0x1.be82997865b67p-7, -0x1.1a6a092132941p-6, -0x1.541afb5b9db35p-6, -0x1.8c58fddb34ccbp-6, -0x1.c329026fd0b77p-6, -0x1.f8900f83a23ccp-6, -0x1.16499e7455ba2p-5, -0x1.2f9bd8ada319ep-5, -0x1.48414fce65c78p-5, -0x1.603ca2211fe9ep-5, -0x1.779071f7f1339p-5, -0x1.8e3f63e5e5051p-5, -0x1.a44c1ea175f85p-5, -0x1.b9b94964b972ep-5, -0x1.ce898b63fec1cp-5, -0x1.e2bf8aca69862p-5, -0x1.f65dec0b09051p-5, -0x1.04b3a89b3401ep-4, -0x1.0def2c8c4b6ddp-4, -0x1.16e2cf67acfc8p-4, -0x1.1f8fdc62a830ep-4, -0x1.27f79c7771e0ap-4, -0x1.301b55be24336p-4, -0x1.37fc4b5c7d615p-4, -0x1.3f9bbd3ebe616p-4, -0x1.46fae8194c5f9p-4, -0x1.4e1b04ea97408p-4, -0x1.54fd48fd3afd6p-4, -0x1.5ba2e5cfbdf32p-4, -0x1.620d08d148e72p-4, -0x1.683cdb63c04b5p-4, -0x1.6e3382a0127p-4, -0x1.73f21f612eb38p-4, -0x1.7979ce25f249dp-4, -0x1.7ecba6fe05de1p-4, -0x1.83e8bd7247682p-4, -0x1.88d22096640fdp-4, -0x1.8d88daf55ccap-4, -0x1.920df28913637p-4, -0x1.966268b338f82p-4, -0x1.9a873a479a23fp-4, -0x1.9e7d5f95301f9p-4, -0x1.a245cc66869c5p-4, -0x1.a5e16ff1d9af1p-4, -0x1.a95134edc80d7p-4, -0x1.ac9601aa87de1p-4, -0x1.afb0b81ece88dp-4, -0x1.b2a235dded328p-4, -0x1.b56b5418c5451p-4, -0x1.b80ce7cacb518p-4, -0x1.ba87c1c199b81p-4, -0x1.bcdcaee2dcb58p-4, -0x1.bf0c77d60b653p-4, -0x1.c117e10b71322p-4, -0x1.c2ffab6bd8be5p-4, -0x1.c4c4940d8f4b3p-4, -0x1.c6675424556e2p-4, -0x1.c7e8a1335657cp-4, -0x1.c9492d27b1ee6p-4, -0x1.ca89a651a9e64p-4, -0x1.cbaab7ef2b9a8p-4, -0x1.ccad09c0b863ap-4, -0x1.cd914005e7e85p-4, -0x1.ce57fbee9bb98p-4, -0x1.cf01db7ba7864p-4, -0x1.cf8f79f368031p-4, -0x1.d0016fb51d452p-4, -0x1.d05851bed9c26p-4, -0x1.d094b283118dfp-4, -0x1.d0b721ba8343fp-4, -0x1.d0c02cb8f1718p-4, -0x1.d0b05e5abd271p-4, -0x1.d0883e89cb54p-4, -0x1.d04852f610978p-4, -0x1.cff11ed773acdp-4, -0x1.cf832377a04ebp-4, -0x1.cefee003c96f3p-4, -0x1.ce64d16fb059fp-4, -0x1.cdb5722a94c27p-4, -0x1.ccf13af6632dbp-4, -0x1.cc18a2978f2d7p-4, -0x1.cb2c1e3f1a5cbp-4, -0x1.ca2c2148752bbp-4, -0x1.c9191d11f2927p-4, -0x1.c7f38125c7907p-4, -0x1.c6bbbb400e7d6p-4, -0x1.c572380a3cc2ap-4, -0x1.c4176285dd1c5p-4, -0x1.c2aba44118d3p-4, -0x1.c12f6517ae6bep-4, -0x1.bfa30b51cc8dp-4, -0x1.be06fbdf7365ap-4, -0x1.bc5b9a9353e81p-4, -0x1.baa149ff5876p-4, -0x1.b8d86b98b37f2p-4, -0x1.b7015f35dcd9p-4, -0x1.b51c8369d42b5p-4, -0x1.b32a3596dacfp-4, -0x1.b12ad220a5233p-4, -0x1.af1eb475703dp-4, -0x1.ad0636f245b31p-4, -0x1.aae1b2bd87df8p-4, -0x1.a8b17fd65bcd4p-4, -0x1.a675f50d30f3p-4, -0x1.a42f68519ee7dp-4, -0x1.a1de2eb957f4fp-4, -0x1.9f829c7a66dc7p-4, -0x1.9d1d04cc37ceep-4, -0x1.9aadb9d275105p-4, -0x1.98350ca291408p-4, -0x1.95b34d60f90afp-4, -0x1.9328cb5f4528ap-4, -0x1.9095d52840a8p-4, -0x1.8dfab872ee1d1p-4, -0x1.8b57c2134c254p-4, -0x1.88ad3dd00c3aap-4, -0x1.85fb7685a2c3bp-4, -0x1.8342b62ad5c9bp-4, -0x1.808345ebfccd3p-4, -0x1.7dbd6e33aaf93p-4, -0x1.7af176a2349c8p-4, -0x1.781fa5fab29eap-4, -0x1.7548421675492p-4, -0x1.726b8fdedea89p-4, -0x1.6f89d35cf2d3fp-4, -0x1.6ca34fd294d48p-4, -0x1.69b847aa54586p-4, -0x1.66c8fc9e44192p-4, -0x1.63d5af88360e8p-4, -0x1.60dea06853c11p-4, -0x1.5de40e561d904p-4, -0x1.5ae6378448f5fp-4, -0x1.57e5594be0866p-4, -0x1.54e1b037ad1ebp-4, -0x1.51db78090c627p-4, -0x1.4ed2ebb4d4afap-4, -0x1.4bc8455932cd1p-4, -0x1.48bbbe3400a0fp-4, -0x1.45ad8e9caf3a6p-4, -0x1.429dee0d5f24cp-4, -0x1.3f8d13177fd7ap-4, -0x1.3c7b338a79412p-4, -0x1.39688455ce083p-4, -0x1.3655399e6f492p-4, -0x1.334186af25179p-4, -0x1.302d9df2dadfp-4, -0x1.2d19b0f0746b5p-4, -0x1.2a05f04abb431p-4, -0x1.26f28bc497decp-4, -0x1.23dfb246a89b7p-4, -0x1.20cd91e2b9149p-4, -0x1.1dbc57d4be695p-4, -0x1.1aac307ffbee1p-4, -0x1.179d476a8eac4p-4, -0x1.148fc738981fdp-4, -0x1.1183d9ac83e1bp-4, -0x1.0e79a7a4ea2bp-4, -0x1.0b7159273aaacp-4, -0x1.086b15578046ap-4, -0x1.05670286850c6p-4, -0x1.0265462ce016p-4, -0x1.fecc09d456ceap-5, -0x1.f8d2c50847422p-5, -0x1.f2df03bf2b891p-5, -0x1.ecf10a0fb7bd5p-5, -0x1.e7091a533296ap-5, -0x1.e127753039c2bp-5, -0x1.db4c59a03b49bp-5, -0x1.d57804f44e826p-5, -0x1.cfaab2d7db21p-5, -0x1.c9e49d5167bf7p-5, -0x1.c425fcc178a63p-5, -0x1.be6f07e1077e1p-5, -0x1.b8bff3c093b4fp-5, -0x1.b318f3cfb526dp-5, -0x1.ad7a39d68bb5ap-5, -0x1.a7e3f60b4907cp-5, -0x1.a2565704eb209p-5, -0x1.9cd189cf5ee35p-5, -0x1.9755b9e7662c3p-5, -0x1.91e3113e35ddep-5, -0x1.8c79b83b172afp-5, -0x1.8719d5bcaba21p-5, -0x1.81c38f1b2dda2p-5, -0x1.7c77082c47171p-5, -0x1.773463482c258p-5, -0x1.71fbc14f29659p-5, -0x1.6ccd41af08d58p-5, -0x1.67a902681c47dp-5, -0x1.628f2011dcfd5p-5, -0x1.5d7fb5defaa3bp-5, -0x1.587adda0c76dp-5, -0x1.5380afca59354p-5, -0x1.4e914373fe65ep-5, -0x1.49acae5f4f6a6p-5, -0x1.44d304fd222c6p-5, -0x1.40045a7436fb5p-5, -0x1.3b40c0a4f535ep-5, -0x1.3688482e1139cp-5, -0x1.31db0074cd35ep-5, -0x1.2d38f7a914799p-5, -0x1.28a23ac96e4d3p-5, -0x1.2416d5a7a279bp-5, -0x1.1f96d2edb07e4p-5, -0x1.1b223c229638fp-5, -0x1.16b919afdc4b1p-5, -0x1.125b72e74a3fdp-5, -0x1.0e094e087ff6p-5, -0x1.09c2b0460c262p-5, -0x1.05879dca0ba2cp-5, -0x1.015819bae2a1ep-5, -0x1.fa684c80ef019p-6, -0x1.f237891481fabp-6, -0x1.ea1de9ac37dc1p-6, -0x1.e21b6cee1ec4bp-6, -0x1.da300fb823a29p-6, -0x1.d25bcd2ab5787p-6, -0x1.ca9e9eb0363f3p-6, -0x1.c2f87c01352b6p-6, -0x1.bb695b26e25dap-6, -0x1.b3f1308275eabp-6, -0x1.ac8feed2d04dbp-6, -0x1.a54587474a71ep-6, -0x1.9e11e9926f377p-6, -0x1.96f5040ae3ff3p-6, -0x1.8feec3bdc4985p-6, -0x1.88ff147ca6a66p-6, -0x1.8225e0deef9f4p-6, -0x1.7b631236c0eefp-6, -0x1.74b6907f3a5e4p-6, -0x1.6e20424d8c58fp-6, -0x1.67a00ccf3be6ap-6, -0x1.6135d3dcc65f4p-6, -0x1.5ae17a22eacddp-6, -0x1.54a2e15a06344p-6, -0x1.4e79ea7fe2cb6p-6, -0x1.486676007bb26p-6, -0x1.426863bfdeb05p-6, -0x1.3c7f92fbc7885p-6, -0x1.36abe21302d3bp-6, -0x1.30ed2e33706b7p-6, -0x1.2b43532011acep-6, -0x1.25ae2b16d1b47p-6, -0x1.202d8ef4b61d6p-6, -0x1.1ac15691bda5dp-6, -0x1.15695949b9434p-6, -0x1.10256e8c07f3ap-6, -0x1.0af56e48bf931p-6, -0x1.05d931154f9adp-6, -0x1.00d08ff1f111fp-6, -0x1.f7b6c76dc68b3p-7, -0x1.edf30897f462ap-7, -0x1.e4558fcc087b2p-7, -0x1.dade04fff69c8p-7, -0x1.d18c0b9429473p-7, -0x1.c85f43465b14bp-7, -0x1.bf574a17a7c4bp-7, -0x1.b673bebb2138bp-7, -0x1.adb442ee69c0cp-7, -0x1.a5187d11112d4p-7, -0x1.9ca01873acb68p-7, -0x1.944ac4272a45p-7, -0x1.8c18307d4cbf1p-7, -0x1.84080bd12a5p-7, -0x1.7c19ff70a858p-7, -0x1.744dad868822ep-7, -0x1.6ca2b0af19c38p-7, -0x1.65189d74e6efcp-7, -0x1.5daf05765558dp-7, -0x1.56657b7f78624p-7, -0x1.4f3b979a8ff09p-7, -0x1.4830fa063ebdap-7, -0x1.41454c3798ce1p-7, -0x1.3a783f803afdfp-7, -0x1.33c9898c0ff63p-7, -0x1.2d38df8790783p-7, -0x1.26c5f12be9b96p-7, -0x1.2070650584579p-7, -0x1.1a37d6fe20a3ap-7, -0x1.141bd99e20932p-7, -0x1.0e1bf9c6cd02bp-7, -0x1.0837c4061b161p-7, -0x1.026eca44ed702p-7, -0x1.f98150f8f106ap-8, -0x1.ee5a0e898391ep-8, -0x1.e36736ea7b09ap-8, -0x1.d8a84580ce524p-8, -0x1.ce1cbbd680a6ap-8, -0x1.c3c413e826258p-8, -0x1.b99db3ce680b7p-8, -0x1.afa8e623678c8p-8, -0x1.a5e4d9590120fp-8, -0x1.9c50a64ebb9cfp-8, -0x1.92eb5c7eae4c9p-8, -0x1.89b410bbcab24p-8, -0x1.80a9eb20bcd54p-8, -0x1.77cc3152b3ec6p-8, -0x1.6f1a4b33e8bbdp-8, -0x1.6693c11ec2c46p-8, -0x1.5e3833a837599p-8, -0x1.56074de2b35bbp-8, -0x1.4e00b44eb4ddp-8, -0x1.4623f3ed7b585p-8, -0x1.3e7075aa18b3p-8, -0x1.36e579d782609p-8, -0x1.2f821d81d1c28p-8, -0x1.2845684cfd51p-8, -0x1.212e5edfb8166p-8, -0x1.1a3c14c43fcb4p-8, -0x1.136db9c4c1a3ap-8, -0x1.0cc2a13f9fd0dp-8, -0x1.063a441f93309p-8, -0x1.ffa87d8c5015dp-9, -0x1.f32096a5347fcp-9, -0x1.e6dc6f18c3a6fp-9, -0x1.dadbabb85d7a5p-9, -0x1.cf1dd57177e99p-9, -0x1.c3a2358aa365cp-9, -0x1.b867bf188a4bap-9, -0x1.ad6d0f0dd1f38p-9, -0x1.a2b083aaddd59p-9, -0x1.98306197444c9p-9, -0x1.8deaf7265e174p-9, -0x1.83deb126a9589p-9, -0x1.7a0a1ef995ad1p-9, -0x1.706beeb87d349p-9, -0x1.6702ee06661dep-9, -0x1.5dce15ee197a3p-9, -0x1.54cc9c47531dap-9, -0x1.4bfdfc60bde48p-9, -0x1.4361e9f9b3567p-9, -0x1.3af82d189013dp-9, -0x1.32c073e52cfc2p-9, -0x1.2aba2f7fb5777p-9, -0x1.22e48c077a9efp-9, -0x1.1b3e854855e81p-9, -0x1.13c70994c3adap-9, -0x1.0c7d149f45658p-9, -0x1.055fb1459a778p-9, -0x1.fcdbc3169c712p-10, -0x1.ef4cfd9e9436ep-10, -0x1.e2105a1306d48p-10, -0x1.d522e48e2140ap-10, -0x1.c881d85b1b486p-10, -0x1.bc2b0fc5c5bfep-10, -0x1.b01d38ef22f82p-10, -0x1.a457b0d739645p-10, -0x1.98da1b6f7c52p-10, -0x1.8da3f5dcafcdep-10, -0x1.82b45cf3f49a2p-10, -0x1.780a1b0357ed9p-10, -0x1.6da3e58b035d3p-10, -0x1.63809fcf7734dp-10, -0x1.599f7a04999a7p-10, -0x1.4fffd3c8a583ap-10, -0x1.46a0e4235cd9ap-10, -0x1.3d814f680e67bp-10, -0x1.349eedea11c8cp-10, -0x1.2bf6f5bb43255p-10, -0x1.23867eb7453bcp-10, -0x1.1b4b1d745c682p-10, -0x1.134344120989p-10, -0x1.0b6e3cd84d0c8p-10, -0x1.03cbcdbc533e8p-10, -0x1.f8b7840c1564cp-11, -0x1.ea3b36dd58fe2p-11, -0x1.dc2106f00aa56p-11, -0x1.ce66d1d12b4ap-11, -0x1.c10a57c7b5047p-11, -0x1.b4098f7720a03p-11, -0x1.a762d850aaa9p-11, -0x1.9b14e99e05dfp-11, -0x1.8f1e763a9335cp-11, -0x1.837daccdf65cbp-11, -0x1.782fde2bbd431p-11, -0x1.6d318ee4782a7p-11, -0x1.627ef9eb2e8cap-11, -0x1.5814b3c651c6bp-11, -0x1.4df013e375f5ep-11, -0x1.440f5672e902ap-11, -0x1.3a71947086dbcp-11, -0x1.3116974ee1d12p-11, -0x1.27fe87151f6e9p-11, -0x1.1f2983be48d85p-11, -0x1.1697473588f71p-11, -0x1.0e46fc661b0ap-11, -0x1.0637551557c77p-11, -0x1.fccd2d9f2a90cp-12, -0x1.eda4e5ebcb06p-12, -0x1.def000a534c56p-12, -0x1.d0a8547718601p-12, -0x1.c2c89a34310ddp-12, -0x1.b54cf4bf8366bp-12, -0x1.a832a319826bbp-12, -0x1.9b777f479341bp-12, -0x1.8f197b0c32ab1p-12, -0x1.8315d41caf80bp-12, -0x1.7768a9f0d2de3p-12, -0x1.6c0e24c27ca33p-12, -0x1.610469d658c34p-12, -0x1.564c0c66c028cp-12, -0x1.4be660def31f7p-12, -0x1.41d3a54973745p-12, -0x1.38131b130c5a9p-12, -0x1.2ea48b62fc9ecp-12, -0x1.25887144b8ab2p-12, -0x1.1cbdf7545e284p-12, -0x1.14415dcca5bdp-12, -0x1.0c0cc5c857303p-12, -0x1.041a60db58786p-12, -0x1.f8cc148b38da7p-13, -0x1.e9dacb1f8e0d2p-13, -0x1.db5dd8e73b3efp-13, -0x1.cd52244076867p-13, -0x1.bfb467f68eea5p-13, -0x1.b280f61c96f8cp-13, -0x1.a5b1ed801c41cp-13, -0x1.9940335e2a433p-13, -0x1.8d2975a04be64p-13, -0x1.81725a19bcc28p-13, -0x1.761f1a1cdf5f3p-13, -0x1.6b2c68f48733dp-13, -0x1.6093403ddd23dp-13, -0x1.5651edb826ae5p-13, -0x1.4c6cbfa0099e1p-13, -0x1.42e65626724f2p-13, -0x1.39bb22da55c93p-13, -0x1.30e39890a126p-13, -0x1.28580e75d2bbbp-13, -0x1.2013226ef35a9p-13, -0x1.18129de553f6fp-13, -0x1.10571d6b2a17ap-13, -0x1.08e238daf31a2p-13, -0x1.01b3bfe2cc3a7p-13, -0x1.f590ccd49906fp-14, -0x1.e83620dee9c47p-14, -0x1.db4a9871de22cp-14, -0x1.cebcec0cf395cp-14, -0x1.c282984171b7ep-14, -0x1.b6a6977f318efp-14, -0x1.ab3a484bdc148p-14, -0x1.a03af5ffc41dap-14, -0x1.95980e00cd68p-14, -0x1.8b4c0e77a0465p-14, -0x1.815d9d6b82279p-14, -0x1.77d028570e012p-14, -0x1.6ea04ea475dc1p-14, -0x1.65c7ea0b7fc8cp-14, -0x1.5d3feda0840b1p-14, -0x1.55014c0f26eb2p-14, -0x1.4d06465a87cd9p-14, -0x1.454b871dff2p-14, -0x1.3dd0999cad5e3p-14, -0x1.369769f6ce54dp-14, -0x1.2fa25a7f923c2p-14, -0x1.28f19e42f7d41p-14, -0x1.22832120b9fc4p-14, -0x1.1c559c12cd166p-14, -0x1.16662773439cp-14, -0x1.10a91abeee935p-14, -0x1.0b143ed2a4618p-14, -0x1.05ab4d72a2fb9p-14, -0x1.006f77dcfc692p-14, -0x1.f6b357db47ce7p-15, -0x1.ecd9da354fb42p-15, -0x1.e3612fad7d7c2p-15, -0x1.da4201317248dp-15, -0x1.d16eeef26d37cp-15, -0x1.c8e663a5ae40ep-15, -0x1.c0ab129976336p-15, -0x1.b8b9d951195e8p-15, -0x1.b10b16bb5392p-15, -0x1.a997e4cc98856p-15, -0x1.a25bff0af98b7p-15, -0x1.9b55206450da3p-15, -0x1.948240d27b51cp-15, -0x1.8de35e7351e3ep-15, -0x1.8778b0552e85bp-15, -0x1.81405fafe45d7p-15, -0x1.7b369d03bcab9p-15, -0x1.755ccdebab3fep-15, }}, 
      {{-0x1.8d3dc8dbdfc63p-2, -0x1.8af6fca3149ccp-2, -0x1.873ac70d9fb8dp-2, -0x1.821c8b42348f9p-2, -0x1.7bb3a8b2c26edp-2, -0x1.7419fc52fd5f7p-2, -0x1.6b6abd317b284p-2, -0x1.61c1a06de8b18p-2, -0x1.573a35e52b157p-2, -0x1.4bef711accf4bp-2, -0x1.3ffb52f3f8438p-2, -0x1.3376ac1bf6658p-2, -0x1.2678f2912ea47p-2, -0x1.19182708b589fp-2, -0x1.0b68c6d6d5d45p-2, -0x1.fafb8fa3e776ap-3, -0x1.ded13759ac204p-3, -0x1.c272726ad3ae4p-3, -0x1.a5fc532975bb9p-3, -0x1.89893100b3ed9p-3, -0x1.6d30cd5570635p-3, -0x1.510879f91806cp-3, -0x1.352340d177904p-3, -0x1.19920c8562cdfp-3, -0x1.fcc79e852289dp-4, -0x1.c74b52818c2cap-4, -0x1.92c61a1924df3p-4, -0x1.5f4bc5612c115p-4, -0x1.2ced505a0a4ccp-4, -0x1.f77241ef56c64p-5, -0x1.97767fd7eb48ep-5, -0x1.39fb1d9c5973p-5, -0x1.be1fe4a5df5fcp-6, -0x1.0d828ce23cbcfp-6, -0x1.88c143d70236ap-8, 0x1.0f2a1e2a920adp-8, 0x1.c8cdf23fb78ddp-7, 0x1.7fa2bd9aa0749p-6, 0x1.0abfe7c726fd7p-5, 0x1.5301fc356f7acp-5, 0x1.989c343719db4p-5, 0x1.db94a9f52a158p-5, 0x1.0df9671335169p-4, 0x1.2cdf9f5e04d1ap-4, 0x1.4a81d0a63e29ep-4, 0x1.66e54094e8c08p-4, 0x1.820f97ef07ef9p-4, 0x1.9c06d439da20bp-4, 0x1.b4d13a9fb4d5bp-4, 0x1.cc754bfbd477ap-4, 0x1.e2f9b9f79e17ep-4, 0x1.f8655d25239cep-4, 0x1.065f9602820e4p-3, 0x1.1007197436a21p-3, 0x1.192cc644ce28cp-3, 0x1.21d42db3b8fe2p-3, 0x1.2a00e1ea66a51p-3, 0x1.31b6735a1eea8p-3, 0x1.38f86e3e82b45p-3, 0x1.3fca58913177fp-3, 0x1.462fb0225e7ep-3, 0x1.4c2be8dde97bep-3, 0x1.51c26b5d9ded7p-3, 0x1.56f693a312f6fp-3, 0x1.5bcbaffa194e6p-3, 0x1.6045000378b8bp-3, 0x1.6465b3e600afdp-3, 0x1.6830eba0a43d4p-3, 0x1.6ba9b67c3a26dp-3, 0x1.6ed3129896cbfp-3, 0x1.71afec93bf866p-3, 0x1.74431f4714813p-3, 0x1.768f73996e6b1p-3, 0x1.7897a062632bcp-3, 0x1.7a5e4a5e50d93p-3, 0x1.7be6042eea74bp-3, 0x1.7d314e6ca2a82p-3, 0x1.7e4297be2a8acp-3, 0x1.7f1c3d01ac0f8p-3, 0x1.7fc089788cb99p-3, 0x1.8031b70311de7p-3, 0x1.8071ee5bf5f3dp-3, 0x1.8083475f00227p-3, 0x1.8067c9526535cp-3, 0x1.80216b32368d3p-3, 0x1.7fb2140170181p-3, 0x1.7f1b9b18d6017p-3, 0x1.7e5fc87ba7fp-3, 0x1.7d805528dafcep-3, 0x1.7c7eeb7722ea9p-3, 0x1.7b5d2768e765ap-3, 0x1.7a1c9708d7552p-3, 0x1.78bebac10130bp-3, 0x1.774505b7656fbp-3, 0x1.75b0de23cb2dp-3, 0x1.74039daab9918p-3, 0x1.723e91b7a9927p-3, 0x1.7062fbd404c59p-3, 0x1.6e7211fd1d344p-3, 0x1.6c6cfef95050dp-3, 0x1.6a54e2a7ad301p-3, 0x1.682ad256acfe6p-3, 0x1.65efd90dbb84fp-3, 0x1.63a4f7dfcc926p-3, 0x1.614b26364e047p-3, 0x1.5ee3521c96b96p-3, 0x1.5c6e608bb805ap-3, 0x1.59ed2dadd3679p-3, 0x1.57608d2cb55ap-3, 0x1.54c94a709683bp-3, 0x1.522828e80b36fp-3, 0x1.4f7de44930c11p-3, 0x1.4ccb30d2bf74bp-3, 0x1.4a10bb8b35669p-3, 0x1.474f2a802d254p-3, 0x1.44871cfd4f8e6p-3, 0x1.41b92bcefdfcap-3, 0x1.3ee5e9730b239p-3, 0x1.3c0de254cb836p-3, 0x1.39319d00fcc95p-3, 0x1.36519a59fb798p-3, 0x1.336e55ca64db7p-3, 0x1.30884575d1984p-3, 0x1.2d9fda69f039cp-3, 0x1.2ab580c7c31e1p-3, 0x1.27c99ff84f83ep-3, 0x1.24dc9ad082d21p-3, 0x1.21eecfbf11605p-3, 0x1.1f0098f4a7412p-3, 0x1.1c124c8a73b75p-3, 0x1.19243caa43213p-3, 0x1.1636b7b1741dcp-3, 0x1.134a085652a9bp-3, 0x1.105e75caaf25fp-3, 0x1.0d7443ddf9584p-3, 0x1.0a8bb31d135c8p-3, 0x1.07a500efcf53fp-3, 0x1.04c067bf48b76p-3, 0x1.01de1f0865094p-3, 0x1.fdfcb703a3592p-4, 0x1.f8429e61b8f8p-4, 0x1.f28e53116eb51p-4, 0x1.ece02f020f6e5p-4, 0x1.e73887637887cp-4, 0x1.e197accdfe2f2p-4, 0x1.dbfdeb79a9b7cp-4, 0x1.d66b8b651b42dp-4, 0x1.d0e0d080e82d8p-4, 0x1.cb5dfae0479c5p-4, 0x1.c5e346d3c6ce3p-4, 0x1.c070ed1bfe625p-4, 0x1.bb0723124b798p-4, 0x1.b5a61ac08c0d8p-4, 0x1.b04e030bbd9d6p-4, 0x1.aaff07d574929p-4, 0x1.a5b9521937a29p-4, 0x1.a07d080e2a38cp-4, 0x1.9b4a4d445b87p-4, 0x1.962142c1e4556p-4, 0x1.9102071e3a034p-4, 0x1.8becb69d2f8dcp-4, 0x1.86e16b476666p-4, 0x1.81e03d055bc84p-4, 0x1.7ce941b43da1p-4, 0x1.77fc8d3de3c2dp-4, 0x1.731a31b19500bp-4, 0x1.6e423f52652dbp-4, 0x1.6974c4af39ef5p-4, 0x1.64b1cebde681p-4, 0x1.5ff968de638c3p-4, 0x1.5b4b9cf9cd3b6p-4, 0x1.56a8738dc69aep-4, 0x1.520ff3bf7c4c8p-4, 0x1.4d8223693d51fp-4, 0x1.48ff072ba61adp-4, 0x1.4486a27d84022p-4, 0x1.4018f7b5bd382p-4, 0x1.3bb60819eabf2p-4, 0x1.375dd3ef72963p-4, 0x1.33105a81eb183p-4, 0x1.2ecd9a31a08ffp-4, 0x1.2a95907ec34b4p-4, 0x1.26683a0f59ae1p-4, 0x1.224592c2ab92ep-4, 0x1.1e2d95b3967dbp-4, 0x1.1a203d4069468p-4, 0x1.161d8321e3ad3p-4, 0x1.122560596e8cp-4, 0x1.0e37cd5232d4dp-4, 0x1.0a54c1e31e6d1p-4, 0x1.067c3549603abp-4, 0x1.02ae1e44a35dp-4, 0x1.fdd4e60ab734dp-5, 0x1.f66252928b78fp-5, 0x1.ef046cacde3ccp-5, 0x1.e7bb1e0939fb2p-5, 0x1.e0864f7bec213p-5, 0x1.d965e925b48a8p-5, 0x1.d259d2481ef31p-5, 0x1.cb61f189def7ep-5, 0x1.c47e2cdf0c5c3p-5, 0x1.bdae699b5a5f8p-5, 0x1.b6f28c77c4db4p-5, 0x1.b04a799368a4bp-5, 0x1.a9b6149bde631p-5, 0x1.a3354097a4e08p-5, 0x1.9cc7e0319d5a4p-5, 0x1.966dd5920c49ep-5, 0x1.90270273c85cep-5, 0x1.89f34828323aap-5, 0x1.83d2879f03b13p-5, 0x1.7dc4a167fc9b7p-5, 0x1.77c975cfb8351p-5, 0x1.71e0e4a4d4364p-5, 0x1.6c0acd92d4408p-5, 0x1.66470fea6046p-5, 0x1.60958ab4b2336p-5, 0x1.5af61cbfce2dcp-5, 0x1.5568a49e1f5a5p-5, 0x1.4fed00a9e3f5ep-5, 0x1.4a830f0b8e96cp-5, 0x1.452aadae33a6dp-5, 0x1.3fe3ba6032402p-5, 0x1.3aae12bd4de5cp-5, 0x1.3589943deddebp-5, 0x1.30761c36d6231p-5, 0x1.2b7387dc75316p-5, 0x1.2681b4452ab58p-5, 0x1.21a07e6c0d343p-5, 0x1.1ccfc333b286bp-5, 0x1.180f5f6a72ebfp-5, 0x1.135f2fccddc76p-5, 0x1.0ebf11071b955p-5, 0x1.0a2edfae6ec07p-5, 0x1.05ae785b97627p-5, 0x1.013db79090963p-5, 0x1.f9b8f394d5225p-6, 0x1.f115370230a57p-6, 0x1.e88ff2526d273p-6, 0x1.e028de6b103aep-6, 0x1.d7dfb4307a03ep-6, 0x1.cfb42c88d13a9p-6, 0x1.c7a6005ff009ep-6, 0x1.bfb4e8b15aed8p-6, 0x1.b7e09e7724f14p-6, 0x1.b028dad38e39bp-6, 0x1.a88d56e3eb518p-6, 0x1.a10dcbf70a6efp-6, 0x1.99a9f35f6da66p-6, 0x1.9261869466d43p-6, 0x1.8b343f2cfefa4p-6, 0x1.8421d6e28d1f5p-6, 0x1.7d2a0793b3379p-6, 0x1.764c8b479b163p-6, 0x1.6f891c306530fp-6, 0x1.68df74ad55f22p-6, 0x1.624f4f4d1826dp-6, 0x1.5bd866d36312ep-6, 0x1.557a7627fe5b7p-6, 0x1.4f35388f25782p-6, 0x1.490869534e6f1p-6, 0x1.42f3c426bebc1p-6, 0x1.3cf704e415fc9p-6, 0x1.3711e7aa92a88p-6, 0x1.314428db7158bp-6, 0x1.2b8d851b93b12p-6, 0x1.25edb955e05dap-6, 0x1.206482bd7117dp-6, 0x1.1af19ecfb9a43p-6, 0x1.1594cb567e407p-6, 0x1.104dc66979da5p-6, 0x1.0b1c4e700c034p-6, 0x1.060022237509ap-6, 0x1.00f9009212ea6p-6, 0x1.f80d5234bfcd3p-7, 0x1.ee51b6f298ef1p-7, 0x1.e4beaf660bb3fp-7, 0x1.db53bc7ca8438p-7, 0x1.d2105fbb008bap-7, 0x1.c8f41b661a73p-7, 0x1.bffe7281dbeecp-7, 0x1.b72ee8d155999p-7, 0x1.ae8502da811fcp-7, 0x1.a60045f2c73f7p-7, 0x1.9da0381fbedb3p-7, 0x1.95646040c3c4cp-7, 0x1.8d4c460e618e6p-7, 0x1.855771fc3e631p-7, 0x1.7d856d5965f24p-7, 0x1.75d5c249c71aap-7, 0x1.6e47fbc75e475p-7, 0x1.66dba5a54f323p-7, 0x1.5f904c95cdd1ap-7, 0x1.58657e15cf80ap-7, 0x1.515ac89fcbe14p-7, 0x1.4a6fbb679b44p-7, 0x1.43a3e6acbbe13p-7, 0x1.3cf6db77fd726p-7, 0x1.36682bbe8609p-7, 0x1.2ff76a5e083bap-7, 0x1.29a42b1c9db66p-7, 0x1.236e02a9ed3b4p-7, 0x1.1d5486a0a94c2p-7, 0x1.17574d87f16b7p-7, 0x1.1175eed46faa3p-7, 0x1.0bb002e9a1b39p-7, 0x1.0605231aace42p-7, 0x1.0074e9ab5c9a3p-7, 0x1.f5fde3a1e7405p-8, 0x1.eb45af65e4ab2p-8, 0x1.e0c070d7847bbp-8, 0x1.d66d64129d678p-8, 0x1.cc4bc71b927aep-8, 0x1.c25ad9e3f9bcbp-8, 0x1.b899de44251bbp-8, 0x1.af0817f1ef0c5p-8, 0x1.a5a4cc96f4d58p-8, 0x1.9c6f43da1561ap-8, 0x1.9366c73f05f48p-8, 0x1.8a8aa22f9ee29p-8, 0x1.81da220852a5cp-8, 0x1.79549612abf5p-8, 0x1.70f94f848ea54p-8, 0x1.68c7a17f4f71bp-8, 0x1.60bee10e9e2b3p-8, 0x1.58de65273b8c9p-8, 0x1.512586a5c0cacp-8, 0x1.4993a04dc0ef4p-8, 0x1.42280ec97d687p-8, 0x1.3ae230aa452d6p-8, 0x1.33c16670449efp-8, 0x1.2cc51280cf8bp-8, 0x1.25ec990c3220ep-8, 0x1.1f3760501a988p-8, 0x1.18a4d04f12d2dp-8, 0x1.123452e5de41ap-8, 0x1.0be553cee93b3p-8, 0x1.05b7409baa377p-8, 0x1.ff531170828bep-9, 0x1.f3773ab041d13p-9, 0x1.e7d9e324196c6p-9, 0x1.dc79f49f31f3fp-9, 0x1.d1565cd03b4ebp-9, 0x1.c66e0cd35fdeep-9, 0x1.bbbff9623ef3bp-9, 0x1.b14b1abfd12bap-9, 0x1.a70e6ca6efd1cp-9, 0x1.9d08ee4383b84p-9, 0x1.9339a23325a96p-9, 0x1.899f8e8b66309p-9, 0x1.8039bce208293p-9, 0x1.77073a52dbe19p-9, 0x1.6e07177eb714dp-9, 0x1.65386880f7155p-9, 0x1.5c9a44dbe589ap-9, 0x1.542bc76015b23p-9, 0x1.4bec0e13f7b9bp-9, 0x1.43da3a225950dp-9, 0x1.3bf56fd2f778cp-9, 0x1.343cd68f023fep-9, 0x1.2caf98ee715bfp-9, 0x1.254ce4c8851a6p-9, 0x1.1e13eb3fd237bp-9, 0x1.1703e0c4aadd6p-9, 0x1.101bfd0a21928p-9, 0x1.095b7aefb50ap-9, 0x1.02c1986499228p-9, 0x1.f89b2c58db8a1p-10, 0x1.ebfd6fa6ec171p-10, 0x1.dfa887681e5e7p-10, 0x1.d39b05fdcc0d3p-10, 0x1.c7d38316f31b7p-10, 0x1.bc509c25a353cp-10, 0x1.b110f48bd8405p-10, 0x1.a61335aa55957p-10, 0x1.9b560edf29839p-10, 0x1.90d835690e7bfp-10, 0x1.8698643388f35p-10, 0x1.7c955b952deeap-10, 0x1.72cde10c36f7ep-10, 0x1.6940bf05a55b3p-10, 0x1.5fecc4b71e595p-10, 0x1.56d0c60f4e359p-10, 0x1.4deb9bba9bcc1p-10, 0x1.453c2339c171ap-10, 0x1.3cc13efdaf284p-10, 0x1.3479d69062da9p-10, 0x1.2c64d6b01aec7p-10, 0x1.24813108d06d1p-10, 0x1.1ccddca8a088bp-10, 0x1.1549d5951131dp-10, 0x1.0df41c92e883ap-10, 0x1.06cbb7176a3cap-10, 0x1.ff9f5de7feecep-11, 0x1.f1fe24203c8f2p-11, 0x1.e4b1e45fc28eap-11, 0x1.d7b8c9a28cf02p-11, 0x1.cb110655773c1p-11, 0x1.beb8d495ce078p-11, 0x1.b2ae765236423p-11, 0x1.a6f035e195fe6p-11, 0x1.9b7c66f492ed7p-11, 0x1.905166b3aebc9p-11, 0x1.856d9b36e8c09p-11, 0x1.7acf73ad346fap-11, 0x1.707567d9d2456p-11, 0x1.665df72b9edfcp-11, 0x1.5c87a7b62518fp-11, 0x1.52f1053ebf5bbp-11, 0x1.4998a09a829ffp-11, 0x1.407d0f9311412p-11, 0x1.379ced5e240dfp-11, 0x1.2ef6db83c0628p-11, 0x1.268982e6afe5ep-11, 0x1.1e53949f051ap-11, 0x1.1653ca6f4de34p-11, 0x1.0e88e6c3da35ep-11, 0x1.06f1b44750e1bp-11, 0x1.ff1a0a444758p-12, 0x1.f0b363e262e07p-12, 0x1.e2ad31186d481p-12, 0x1.d50535757e80dp-12, 0x1.c7b93a5b10b14p-12, 0x1.bac70e2a8c8bp-12, 0x1.ae2c853fd2db2p-12, 0x1.a1e77ca37adfbp-12, 0x1.95f5dda2de3c6p-12, 0x1.8a55a10325c4ap-12, 0x1.7f04d0b6180fbp-12, 0x1.740187a9d8189p-12, 0x1.6949f02210c6ap-12, 0x1.5edc417754a44p-12, 0x1.54b6bdf4c687cp-12, 0x1.4ad7b10416f6ep-12, 0x1.413d6d5a984fdp-12, 0x1.37e64a872d956p-12, 0x1.2ed0a2795dba5p-12, 0x1.25fad0fb91692p-12, 0x1.1d63340f1f335p-12, 0x1.15082dc839b34p-12, 0x1.0ce82938fdab8p-12, 0x1.05019f3b2ec7bp-12, 0x1.faa631d5d4901p-13, 0x1.ebb65ea8a7048p-13, 0x1.dd3111d73a18ep-13, 0x1.cf13acc7f22f5p-13, 0x1.c15ba0c8e631cp-13, 0x1.b4066d3eefbccp-13, 0x1.a7119f728f44p-13, 0x1.9a7ad1c3bc977p-13, 0x1.8e3fa8c4d942p-13, 0x1.825dced29568dp-13, 0x1.76d2efded8344p-13, 0x1.6b9cb7e2a6f4dp-13, 0x1.60b8d8a4598p-13, 0x1.56250fff45712p-13, 0x1.4bdf2ff998e28p-13, 0x1.41e522de8ceap-13, 0x1.3834e9217c851p-13, 0x1.2ecc938b6183ap-13, 0x1.25aa3da7563eep-13, 0x1.1ccc0bcd2c008p-13, 0x1.14302d0b7661ap-13, 0x1.0bd4de347ffcbp-13, 0x1.03b86adc1f10cp-13, 0x1.f7b25646b241ep-14, 0x1.e86aff917d5a8p-14, 0x1.d9979e18a7358p-14, 0x1.cb3507f4368c2p-14, 0x1.bd401fb66a7a6p-14, 0x1.afb5d91bad6c7p-14, 0x1.a2933d5e598bep-14, 0x1.95d56d886f1c5p-14, 0x1.8979a2723223ap-14, 0x1.7d7d2716c613bp-14, 0x1.71dd50dc7adf7p-14, 0x1.669779b502c31p-14, 0x1.5ba9050c58275p-14, 0x1.510f6ebdf8d95p-14, 0x1.46c8531d13208p-14, 0x1.3cd16a43ec00cp-14, 0x1.33287b4f582dcp-14, 0x1.29cb4ebb5148ep-14, 0x1.20b7abef230a1p-14, 0x1.17eb646c9c7bp-14, 0x1.0f6462623a274p-14, 0x1.0720ae2db6225p-14, 0x1.fe3ccd9a0acafp-15, 0x1.eeb769f715ef5p-15, 0x1.dfad86f5470a5p-15, 0x1.d11b806139fb3p-15, 0x1.c2fdc15e122d7p-15, 0x1.b550c6df3844dp-15, 0x1.a8111d0fe80a4p-15, 0x1.9b3b664f681dfp-15, 0x1.8ecc711ede0a6p-15, 0x1.82c149d5f985p-15, 0x1.77172e4fa7cf1p-15, 0x1.6bcb64c6697dbp-15, 0x1.60db176f525b9p-15, 0x1.564355b9b2562p-15, 0x1.4c013a9b8a3b1p-15, 0x1.421216cb4e7afp-15, 0x1.38737cb9d188fp-15, 0x1.2f232879fc5e9p-15, 0x1.261ed94816542p-15, 0x1.1d643670b6b2fp-15, 0x1.14f0cd28dcb39p-15, 0x1.0cc22668693edp-15, 0x1.04d5e5e225d7ap-15, 0x1.fa53b921fb758p-16, 0x1.eb7809f7ed395p-16, 0x1.dd14eb499eb67p-16, 0x1.cf26ba2da8847p-16, 0x1.c1aa0dd9cc886p-16, 0x1.b49ba94c61753p-16, 0x1.a7f845b8f725ep-16, 0x1.9bbc68e3cfb57p-16, 0x1.8fe47d9bf4d4dp-16, 0x1.846d1bedd99e9p-16, 0x1.79533922b52acp-16, 0x1.6e94168e9ce76p-16, 0x1.642d11055820ap-16, 0x1.5a1b87ee182eap-16, 0x1.505ccfbecda2p-16, 0x1.46ee1678e4b52p-16, 0x1.3dcc6099ad9a4p-16, 0x1.34f4a6c737503p-16, 0x1.2c64086492e2ap-16, 0x1.2417fb101074p-16, 0x1.1c0e4ef6a76efp-16, 0x1.144504b0bc557p-16, 0x1.0cba1c5d52fc9p-16, 0x1.056b891dfc25ap-16, 0x1.fcae89d3261f7p-17, 0x1.eef6aa31f7955p-17, 0x1.e1ab80891d732p-17, 0x1.d4c9480165b5fp-17, 0x1.c84cb17a2a942p-17, 0x1.bc32c6333716fp-17, 0x1.b0787dd79ea4cp-17, 0x1.a51a9c343be08p-17, 0x1.9a15eeda3b44ap-17, 0x1.8f67776616ce2p-17, 0x1.850c524bd4944p-17, 0x1.7b01928cdf283p-17, 0x1.7144369eb3679p-17, 0x1.67d135cb827fcp-17, 0x1.5ea5a8e2896dbp-17, 0x1.55bf0208e9abp-17, 0x1.4d1b25c983ed4p-17, 0x1.44b8372af1dd8p-17, 0x1.3c9426fe3fb02p-17, 0x1.34ac6fd530ce3p-17, 0x1.2cfe555c466e4p-17, 0x1.2587535201c41p-17, 0x1.1e45436146777p-17, 0x1.173671e3b540fp-17, 0x1.1059ad85f0fa2p-17, 0x1.09add69633757p-17, 0x1.03315107835b8p-17, 0x1.f9c44d6210419p-18, 0x1.ed7d18fba0861p-18, 0x1.e189fa808ff3bp-18, 0x1.d5e807a06a6ddp-18, 0x1.ca945997659bbp-18, 0x1.bf8c28d63b174p-18, 0x1.b4cccbaf9fe45p-18, 0x1.aa53a0b5c074cp-18, 0x1.a01e113ec7008p-18, 0x1.9629ba3f57328p-18, 0x1.8c749399e2c5fp-18, 0x1.82fce442e1eccp-18, 0x1.79c0ff2d0ae3cp-18, 0x1.70bed3096f14p-18, 0x1.67f3b9e1ef1efp-18, 0x1.5f5cfcd535f65p-18, 0x1.56f8594e49f0ap-18, 0x1.4ec4070019f95p-18, 0x1.46bec619382dap-18, 0x1.3ee7a6b880fa5p-18, 0x1.373d3ed3a04b6p-18, 0x1.2fbda9ed20043p-18, 0x1.286755ac30654p-18, 0x1.21390baa299p-18, 0x1.1a317cc378f5p-18, 0x1.134f450883589p-18, 0x1.0c91194a94cf3p-18, 0x1.05f5cea37945p-18, 0x1.fef8a1b52a673p-19, 0x1.f24732d55f78ep-19, 0x1.e5d54e17b2477p-19, 0x1.d9a0f52c37376p-19, 0x1.cda83a443eadbp-19, 0x1.c1e9611ad7232p-19, 0x1.b662c20620995p-19, 0x1.ab12f97c7b292p-19, 0x1.9ff85c63b41bep-19, 0x1.9510df6210223p-19, 0x1.8a5aa0256098ep-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.673ee813e7d0cp-4, 0x1.6092b55c8ffb9p-3, 0x1.011ff8aa59396p-2, 0x1.4ae34efa44acbp-2, 0x1.8cc4b57e2e9a3p-2, 0x1.c66ad1ef797d1p-2, 0x1.f7d0b7f9d2dc2p-2, 0x1.1096d2bff3d68p-1, 0x1.217168d809f6bp-1, 0x1.2eb6b9ff0ff92p-1, 0x1.38ae0359d4b72p-1, 0x1.3fa3109fb539cp-1, 0x1.43e330190ed72p-1, 0x1.45baf3f0bb123p-1, 0x1.4574941a45304p-1, 0x1.4356cd59dbd02p-1, 0x1.3fa42191d00f4p-1, 0x1.3a9a632654dbap-1, 0x1.347279e2603ep-1, 0x1.2d6053270f454p-1, 0x1.2592f21d5dd81p-1, 0x1.1d349796406c5p-1, 0x1.146af9ab4eedfp-1, 0x1.0b5786513c1f3p-1, 0x1.0217ac7429e6p-1, 0x1.f18a4fe4f3ed8p-2, 0x1.deec9cfd84813p-2, 0x1.cc7cb64298b2dp-2, 0x1.ba5b6e8a4e05p-2, 0x1.a8a4807e43e74p-2, 0x1.976f11a224a79p-2, 0x1.86ce2c761e478p-2, 0x1.76d131b7a0754p-2, 0x1.6784409b52d4dp-2, 0x1.58f0967d1f48ep-2, 0x1.4b1ce6539daddp-2, 0x1.3e0da85d7e75fp-2, 0x1.31c56280562d3p-2, 0x1.2644e9c2e43a7p-2, 0x1.1b8b9d55c7c1dp-2, 0x1.11979b98694b5p-2, 0x1.0865f17c99d17p-2, 0x1.ffe589c74a9b9p-3, 0x1.f072f4907d467p-3, 0x1.e269ac89e0032p-3, 0x1.d5be36b2e1753p-3, 0x1.ca64489a2991cp-3, 0x1.c04ef710a43d6p-3, 0x1.b770df634d2a5p-3, 0x1.afbc4ba3e53ebp-3, 0x1.a923527adace3p-3, 0x1.a397f2f052df7p-3, 0x1.9f0c2c90726c5p-3, 0x1.9b72144733ae6p-3, 0x1.98bbe644b6a99p-3, 0x1.96dc15374d366p-3, 0x1.95c5572a517abp-3, 0x1.956ab03cf9deep-3, 0x1.95bf7b70e821ep-3, 0x1.96b771d29aaa7p-3, 0x1.9846b0109d11ep-3, 0x1.9a61bad594be9p-3, 0x1.9cfd81d8f28b4p-3, 0x1.a00f620f0cc55p-3, 0x1.a38d26cd45b6bp-3, 0x1.a76d0a41631e6p-3, 0x1.aba5b5304e68ap-3, 0x1.b02e3e19fc6ddp-3, 0x1.b4fe27f6292a9p-3, 0x1.ba0d60645bf24p-3, 0x1.bf543d9bc472dp-3, 0x1.c4cb7c122921ap-3, 0x1.ca6c3bc191adcp-3, 0x1.d02ffd6298f9fp-3, 0x1.d6109f76cec78p-3, 0x1.dc085b18ecb6cp-3, 0x1.e211c0e58bc6p-3, 0x1.e827b5a1bc5f9p-3, 0x1.ee456f206077cp-3, 0x1.f46670c7a5eep-3, 0x1.fa8688b39363dp-3, 0x1.0050e6031e232p-2, 0x1.035a4a1e791a5p-2, 0x1.065dbddefc95p-2, 0x1.0959ad88dead6p-2, 0x1.0c4ca2e1ff6b1p-2, 0x1.0f3543be0bbap-2, 0x1.121250b8699cfp-2, 0x1.14e2a3ab5af84p-2, 0x1.17a52e99b8a6cp-2, 0x1.1a58fa2dcbfd4p-2, 0x1.1cfd24ce7189fp-2, 0x1.1f90e14764e15p-2, 0x1.221375ca8d612p-2, 0x1.24843ae00213bp-2, 0x1.26e29a6985706p-2, 0x1.292e0eb42c9eep-2, 0x1.2b66218a9a0fep-2, 0x1.2d8a6b5c949d8p-2, 0x1.2f9a926f272ecp-2, 0x1.319649ff290efp-2, 0x1.337d51a2dc569p-2, 0x1.354f7466e9b18p-2, 0x1.370c883b499d8p-2, 0x1.38b46d3c2a091p-2, 0x1.3a470d10e850ep-2, 0x1.3bc45a5d086fp-2, 0x1.3d2c500e4192ep-2, 0x1.3e7ef0fb12916p-2, 0x1.3fbc4736db0a6p-2, 0x1.40e463a78b6afp-2, 0x1.41f75d8602853p-2, 0x1.42f551ecf99efp-2, 0x1.43de636a381fap-2, 0x1.44b2b9a05ee01p-2, 0x1.457280cdec3e4p-2, 0x1.461de997fa9bfp-2, 0x1.46b5288c3af0ep-2, 0x1.473875e86043bp-2, 0x1.47a80d4380b6dp-2, 0x1.48042d45994b7p-2, 0x1.484d176526fdep-2, 0x1.48830fa47ad51p-2, 0x1.48a65c5b78dafp-2, 0x1.48b745e91f271p-2, 0x1.48b616a0b8a61p-2, 0x1.48a31a7643536p-2, 0x1.487e9edd56f29p-2, 0x1.4848f29a514dcp-2, 0x1.4802659861bdbp-2, 0x1.47ab48bbc686ap-2, 0x1.4743edc34e502p-2, 0x1.46cca71e4320fp-2, 0x1.4645c7ce02b5cp-2, 0x1.45afa345e8b62p-2, 0x1.450a8d4d6706dp-2, 0x1.4456d9da2b927p-2, 0x1.4394dd1010741p-2, 0x1.42c4eb0737debp-2, 0x1.41e757c799049p-2, 0x1.40fc7733aa28cp-2, 0x1.40049ceca388ap-2, 0x1.3f001c41cce62p-2, 0x1.3def481e196b8p-2, 0x1.3cd272fc18aebp-2, 0x1.3ba9eecf7bd8bp-2, 0x1.3a760cf99adfdp-2, 0x1.39371e3d30c37p-2, 0x1.37ed72b3b927dp-2, 0x1.369959bbae13bp-2, 0x1.353b21eee9e98p-2, 0x1.33d319289ca5p-2, 0x1.32618c6447b17p-2, 0x1.30e6c7c7aff0bp-2, 0x1.2f631693fd767p-2, 0x1.2dd6c321c0816p-2, 0x1.2c4216db503dcp-2, 0x1.2aa55a3791533p-2, 0x1.2900d4b418d7p-2, 0x1.2754ccd192071p-2, 0x1.25a18811fbed9p-2, 0x1.23e74af648b08p-2, 0x1.222658f8fb38ep-2, 0x1.205ef48bfb486p-2, 0x1.1e915f18d22b8p-2, 0x1.1cbdd905e268cp-2, 0x1.1ae4a1a8f6b9p-2, 0x1.1905f74b07d6dp-2, 0x1.172217319112dp-2, 0x1.15393d90ecb7cp-2, 0x1.134ba599f968bp-2, 0x1.11598971919ebp-2, 0x1.0f632230c85a3p-2, 0x1.0d68a7e9a76fcp-2, 0x1.0b6a51ae3d5eep-2, 0x1.0968558e32f45p-2, 0x1.0762e89181218p-2, 0x1.055a3ebb5289fp-2, 0x1.034e8b14c20d1p-2, 0x1.013fffaf8e964p-2, 0x1.fe5d9b47f6264p-3, 0x1.fa364a18a8a39p-3, 0x1.f60a6a116697dp-3, 0x1.f1da57975cdb4p-3, 0x1.eda66d3b9eb32p-3, 0x1.e96f03b251399p-3, 0x1.e53471d69fcb8p-3, 0x1.e0f70c960e8b9p-3, 0x1.dcb72725959fdp-3, 0x1.d875130cc4024p-3, 0x1.d4312007e02ep-3, 0x1.cfeb9c16299ecp-3, 0x1.cba4d3705a751p-3, 0x1.c75d10a569ca1p-3, 0x1.c3149caac0ce3p-3, 0x1.becbbedd5604ap-3, 0x1.ba82bcf4e27a4p-3, 0x1.b639db03266abp-3, 0x1.b1f15b7dc77cbp-3, 0x1.ada97f5bb08a5p-3, 0x1.a962861bd4b2bp-3, 0x1.a51cadbec9853p-3, 0x1.a0d832bd12fcfp-3, 0x1.9c95500971b8ep-3, 0x1.98543f265580dp-3, 0x1.94153833f2ca8p-3, 0x1.8fd871fc1494bp-3, 0x1.8b9e21e5cf66ap-3, 0x1.87667bef34fd6p-3, 0x1.8331b2b2087bp-3, 0x1.7efff7756332p-3, 0x1.7ad17a3e13fbdp-3, 0x1.76a669dc1c914p-3, 0x1.727ef3ca983b8p-3, 0x1.6e5b444be2774p-3, 0x1.6a3b865921a1p-3, 0x1.661fe3ac02028p-3, 0x1.620884da2c8a6p-3, 0x1.5df59157bc992p-3, 0x1.59e72f74ab6aep-3, 0x1.55dd8456e4864p-3, 0x1.51d8b3f89416ap-3, 0x1.4dd8e132ca316p-3, 0x1.49de2dc9e239bp-3, 0x1.45e8ba78f85fbp-3, 0x1.41f8a6f403116p-3, 0x1.3e0e11e3e3d3dp-3, 0x1.3a2918e2c9e95p-3, 0x1.3649d87ec607p-3, 0x1.32706c4347cf7p-3, 0x1.2e9ceec4abf32p-3, 0x1.2acf79a7bfe51p-3, 0x1.270825a30f3ap-3, 0x1.23470a7ba7f21p-3, 0x1.1f8c3f047980dp-3, 0x1.1bd7d91fc0f5dp-3, 0x1.1829edc7becbbp-3, 0x1.148291182812fp-3, 0x1.10e1d654b842p-3, 0x1.0d47cfeb4f0cp-3, 0x1.09b48f72abcd8p-3, 0x1.062825a99449p-3, 0x1.02a2a277de4b2p-3, 0x1.fe4829eb80b65p-4, 0x1.f75916eb458bap-4, 0x1.f07826f9f9559p-4, 0x1.e9a573bc0d2b5p-4, 0x1.e2e11555d4db7p-4, 0x1.dc2b226631c4dp-4, 0x1.d583b0173b2fp-4, 0x1.ceead21dca2eap-4, 0x1.c8609ac539e8bp-4, 0x1.c1e51afc0e4b8p-4, 0x1.bb78625ddcd9bp-4, 0x1.b51a7f3912687p-4, 0x1.aecb7e90cfdf2p-4, 0x1.a88b6c1df3dbdp-4, 0x1.a25a52522283bp-4, 0x1.9c383a5d61091p-4, 0x1.96252c39e894ap-4, 0x1.90212eb256cc9p-4, 0x1.8a2c476e5fa2cp-4, 0x1.84467af5d4cb3p-4, 0x1.7e6fccb506b58p-4, 0x1.78a83efebdcc5p-4, 0x1.72efd30f5d5d8p-4, 0x1.6d4689121c9bcp-4, 0x1.67ac60288eb91p-4, 0x1.62215672cc537p-4, 0x1.5ca56917a471cp-4, 0x1.5738944ac2a9fp-4, 0x1.51dad351618dfp-4, 0x1.4c8c20857b4d1p-4, 0x1.474c7558ecc8fp-4, 0x1.421bca595ca54p-4, 0x1.3cfa17364db99p-4, 0x1.37e752c6e60b3p-4, 0x1.32e373127a096p-4, 0x1.2dee6d55863a6p-4, 0x1.29083607f0ffdp-4, 0x1.2430c0e161021p-4, 0x1.1f6800dc799abp-4, 0x1.1aade83b1b424p-4, 0x1.1602688f222b3p-4, 0x1.116572ae8ef2ep-4, 0x1.0cd6f6ccaf211p-4, 0x1.0856e47e8f04ep-4, 0x1.03e52ab0022b9p-4, 0x1.ff036f7001497p-5, 0x1.f658f2b18fd11p-5, 0x1.edcab986bb9acp-5, 0x1.e5589d36befafp-5, 0x1.dd0275f5dd02ep-5, 0x1.d4c81aed3fcefp-5, 0x1.cca962464a4f5p-5, 0x1.c4a621325529bp-5, 0x1.bcbe2bf76059dp-5, 0x1.b4f155f742fc3p-5, 0x1.ad3f71b9968f7p-5, 0x1.a5a850f3b276ap-5, 0x1.9e2bc4900981p-5, 0x1.96c99cb52d055p-5, 0x1.8f81a8cd062cp-5, 0x1.8853b78ca7392p-5, 0x1.813f96fcbb29dp-5, 0x1.7a45148217736p-5, 0x1.7363fce6227b6p-5, 0x1.6c9c1c5eeec3fp-5, 0x1.65ed3e96f98fcp-5, 0x1.5f572eb482c8ap-5, 0x1.58d9b760609aep-5, 0x1.5274a2cc6f7fp-5, 0x1.4c27bab9f91c7p-5, 0x1.45f2c88069496p-5, 0x1.3fd5951432897p-5, 0x1.39cfe90dd1296p-5, 0x1.33e18cb12a88ep-5, 0x1.2e0a47f489e0ap-5, 0x1.2849e286c1d5dp-5, 0x1.22a023d497174p-5, 0x1.1d0cd3118304fp-5, 0x1.178fb73a1cd1dp-5, 0x1.1228971c55c35p-5, 0x1.0cd7395bb6fb9p-5, 0x1.079b647782b28p-5, 0x1.0274ded02c8c4p-5, 0x1.fac6dd5a5e59ep-6, 0x1.f0cdb4846f029p-6, 0x1.e6fdcf67804p-6, 0x1.dd56ba37cc09bp-6, 0x1.d3d80126ba5b7p-6, 0x1.ca8130650290cp-6, 0x1.c151d415a066p-6, 0x1.b849789c738a8p-6, 0x1.af67aa64c63a1p-6, 0x1.a6abf60259ac2p-6, 0x1.9e15e83e521c7p-6, 0x1.95a50e165bf2cp-6, 0x1.8d58f4c1ca066p-6, 0x1.853129b6dbfedp-6, 0x1.7d2d3ab36420ap-6, 0x1.754cb5c730deep-6, 0x1.6d8f2962531aep-6, 0x1.65f42461f9fdcp-6, 0x1.5e7b361d87d17p-6, 0x1.5723ee6df9bd1p-6, 0x1.4fedddaf192adp-6, 0x1.48d894bb46702p-6, 0x1.41e3a4e480f42p-6, 0x1.3b0e9fef672e2p-6, 0x1.34591814c927ep-6, 0x1.2dc2a00ce8aeap-6, 0x1.274acb249a927p-6, 0x1.20f12d5897e4ap-6, 0x1.1ab55b7039546p-6, 0x1.1496eb0f5ac77p-6, 0x1.0e9572b8f23a4p-6, 0x1.08b089bf23495p-6, 0x1.02e7c8267c831p-6, 0x1.fa758d01bb788p-7, 0x1.ef523ba568843p-7, 0x1.e464cf138125ep-7, 0x1.d9ac7b20f9fccp-7, 0x1.cf2874f74b0cbp-7, 0x1.c4d7f394fc63bp-7, 0x1.baba30507966ep-7, 0x1.b0ce673661bebp-7, 0x1.a713d71f396f1p-7, 0x1.9d89c16eb843p-7, 0x1.942f698394f28p-7, 0x1.8b0413f9674c5p-7, 0x1.820705f097e42p-7, 0x1.7937849aa6d51p-7, 0x1.7094d5340ec13p-7, 0x1.681e3d7d50666p-7, 0x1.5fd304a0f9ff1p-7, 0x1.57b27451ec16p-7, 0x1.4fbbd9d7691f3p-7, 0x1.47ee86b8f873fp-7, 0x1.4049d0ced6efcp-7, 0x1.38cd11a23fbe4p-7, 0x1.3177a538b94d2p-7, 0x1.2a48e89392d2ep-7, 0x1.234038487d50ep-7, 0x1.1c5cef9845901p-7, 0x1.159e684d939f1p-7, 0x1.0f03fb7fe9b4bp-7, 0x1.088d0310d4e2ep-7, 0x1.0238db6544dd2p-7, 0x1.f80dcae3e231dp-8, 0x1.ebed0fafb4494p-8, 0x1.e00e5e6d07854p-8, 0x1.d4709b0b70db6p-8, 0x1.c912b0ba845ccp-8, 0x1.bdf38d67196fep-8, 0x1.b3121d40d29aap-8, 0x1.a86d477719df1p-8, 0x1.9e03ed14d644bp-8, 0x1.93d4ea54c6fcfp-8, 0x1.89df1a23ef67cp-8, 0x1.80215b014d38ap-8, 0x1.769a941437029p-8, 0x1.6d49b9403b27ap-8, 0x1.642dcd2f80e3bp-8, 0x1.5b45e0b7ace83p-8, 0x1.52910f8929227p-8, 0x1.4a0e7ac9ce176p-8, 0x1.41bd42d814b88p-8, 0x1.399c81cbe404ap-8, 0x1.31ab48333ffd4p-8, 0x1.29e89cfb5623cp-8, 0x1.225380970e3aep-8, 0x1.1aeaf2949900fp-8, 0x1.13adf83d62641p-8, 0x1.0c9ba2bc7bb81p-8, 0x1.05b31389cd1c8p-8, 0x1.fde6fc974cea7p-9, 0x1.f0b84fa3d6b8ap-9, 0x1.e3d8c46687c89p-9, 0x1.d7470d08a7831p-9, 0x1.cb01da526bc2bp-9, 0x1.bf07cc9ff4eap-9, 0x1.b35768e4c717p-9, 0x1.a7ef14fdf45ccp-9, 0x1.9ccd1cbceac16p-9, 0x1.91efbe6527aa9p-9, 0x1.87553af93a49ap-9, 0x1.7cfbe5d87a7a1p-9, 0x1.72e2304136865p-9, 0x1.6906af7e6aecfp-9, 0x1.5f681e6a2d114p-9, 0x1.56055b6a0eab1p-9, 0x1.4cdd633795619p-9, 0x1.43ef47cd73b4ap-9, 0x1.3b3a2303a095fp-9, 0x1.32bd062b90c47p-9, 0x1.2a76ea79ebe27p-9, 0x1.2266a76d1810cp-9, 0x1.1a8af31ad46fcp-9, 0x1.12e26c8c09d93p-9, 0x1.0b6babd7dd45p-9, 0x1.0425513bf1c89p-9, 0x1.fa1c1bb6e6361p-10, 0x1.ec494abd9d6b7p-10, 0x1.decfd8b05e1fep-10, 0x1.d1ad91997728cp-10, 0x1.c4e06edac3dp-10, 0x1.b866a5dd18503p-10, 0x1.ac3eaeada9d3bp-10, 0x1.a06737bf94f83p-10, 0x1.94df061e35069p-10, 0x1.89a4cdce5c756p-10, 0x1.7eb714014ba47p-10, 0x1.7414285ef6a41p-10, 0x1.69ba37cb28a8ep-10, 0x1.5fa769382ab4cp-10, 0x1.55d9f43262ecep-10, 0x1.4c502223ba459p-10, 0x1.430839e8c1e4p-10, 0x1.3a00659d2c485p-10, 0x1.3136a8f54e0d1p-10, 0x1.28a8f5f8c95aap-10, 0x1.20555a2ed01fep-10, 0x1.183a2cba02725p-10, 0x1.1056230264b62p-10, 0x1.08a83fcd5ecaep-10, 0x1.012fa6fd2e66cp-10, 0x1.f3d6df5d50489p-11, 0x1.e5b51918868adp-11, 0x1.d7f7a37c99a9bp-11, 0x1.ca9c1ceaa864fp-11, 0x1.bda050658c902p-11, 0x1.b1024eb0f7535p-11, 0x1.a4c0559d08d2cp-11, 0x1.98d887ddfcca7p-11, 0x1.8d489718a2135p-11, 0x1.820d96f8fd206p-11, 0x1.7724219beb71cp-11, 0x1.6c88c4beb544ep-11, 0x1.62387f94320d2p-11, 0x1.58310f7987fa7p-11, 0x1.4e70e905e9997p-11, 0x1.44f6eb1790aedp-11, 0x1.3bc1fe464d549p-11, 0x1.32d0d54d29c03p-11, 0x1.2a21e16b4d158p-11, 0x1.21b369d2e049fp-11, 0x1.1983ae692b9fdp-11, 0x1.119108caa76b1p-11, 0x1.09da007be7e24p-11, 0x1.025d449fdf1d6p-11, 0x1.f6330f7e8c4p-12, 0x1.e81a9a89534cfp-12, 0x1.da6d8c5365a4cp-12, 0x1.cd27b13397a1bp-12, 0x1.c044a932cd2f3p-12, 0x1.b3c069ec37886p-12, 0x1.a79790c4549a4p-12, 0x1.9bc77bbfe75bp-12, 0x1.904e41811f34bp-12, 0x1.852a8cfa46eabp-12, 0x1.7a5b5bffda83ap-12, 0x1.6fdfae089ec3p-12, 0x1.65b639ea87337p-12, 0x1.5bdd4cf35a5b2p-12, 0x1.5252da91ff587p-12, 0x1.49148518e9518p-12, 0x1.401f7f3099417p-12, 0x1.37708a2a2f4dap-12, 0x1.2f0450381e019p-12, 0x1.26d7df0aa844bp-12, 0x1.1ee8da5488eb9p-12, 0x1.17355ad6ab06ep-12, 0x1.0fbbbb6bab237p-12, 0x1.087a6670c233ap-12, 0x1.016f8700ed60fp-12, 0x1.f531c15df6a62p-13, 0x1.e7e88718f8378p-13, 0x1.db00988ff2c74p-13, 0x1.ce791a39b11dep-13, 0x1.c251cd3338a31p-13, 0x1.b689a39767bd4p-13, 0x1.ab1ed72e74385p-13, 0x1.a01015fd41d78p-13, 0x1.955c9c93a25d3p-13, 0x1.8b02a58ad273dp-13, 0x1.80fe33e7c03bap-13, 0x1.7749b6fcc98f8p-13, 0x1.6ddfbac32a9dap-13, 0x1.64bc21fc99a9cp-13, 0x1.5bdc3860f690ep-13, 0x1.533df395ac0f9p-13, 0x1.4adf47d80f67fp-13, 0x1.42be1d75b54e7p-13, 0x1.3ad83b4f9627cp-13, 0x1.332a9a16dbfbp-13, 0x1.2bb1c7ddca8f8p-13, 0x1.246c330f38cep-13, 0x1.1d5af738f0c83p-13, 0x1.167f05ac759bp-13, 0x1.0fd6765f45de1p-13, 0x1.095e00bd61a5dp-13, 0x1.03146a57121b3p-13, 0x1.f9f58469d0bf9p-14, 0x1.ee22edadeca36p-14, 0x1.e2ad4a0b8346ap-14, 0x1.d78dd9ea4bb2fp-14, 0x1.ccbdd42484f71p-14, 0x1.c23833d285a99p-14, 0x1.b7fa6674f285ep-14, 0x1.ae04082112c0cp-14, 0x1.a4557b2b45336p-14, 0x1.9aedceb48fe36p-14, 0x1.91c9bf5d3b293p-14, 0x1.88e4b4c86c6d8p-14, 0x1.80391f4b84951p-14, 0x1.77bfd4f39dc3dp-14, 0x1.6f744664f5e1dp-14, 0x1.6759fe764c356p-14, 0x1.5f76eb8301896p-14, 0x1.57c977b31eb86p-14, 0x1.504ae67ba81f7p-14, 0x1.48f8a65096a54p-14, 0x1.41d4b313ac874p-14, 0x1.3adfda93c49e6p-14, 0x1.3418696b665a9p-14, 0x1.2d7baa330e9cfp-14, 0x1.2706957891506p-14, 0x1.20b62734a5f32p-14, 0x1.1a87dcc53358ep-14, 0x1.147a1ff41b186p-14, 0x1.0e8c73e0f9d17p-14, 0x1.08bf443efc184p-14, 0x1.03132c06e67e7p-14, 0x1.fb0fed8e9eb4ap-15, 0x1.f0392f4cf9037p-15, 0x1.e5a0a1e7ebc74p-15, 0x1.db439e584bdfbp-15, 0x1.d1190d4f97ca4p-15, 0x1.c718fa55794e8p-15, 0x1.bd45d29ccfc46p-15, 0x1.b3a01f0a1a7c7p-15, 0x1.aa2247c149a0dp-15, 0x1.a0ce35b82fa6bp-15, 0x1.97a914d2399e1p-15, 0x1.8eafe9325b6f3p-15, 0x1.85dd7cffce7bcp-15, 0x1.7d30fcd9ca455p-15, 0x1.74ab3159b3a33p-15, 0x1.6c4abf6edeb8cp-15, 0x1.640ca6de4126dp-15, 0x1.5bee30d9b87cdp-15, 0x1.53eda39d0bd48p-15, 0x1.4c0a0664fab3dp-15, 0x1.4442d9c8abcdep-15, 0x1.3c980390c2a63p-15, 0x1.3509827ba68ddp-15, 0x1.2d96935c40bedp-15, 0x1.263db5e01cb4fp-15, 0x1.1eff5a3b0f5e5p-15, }}, 
      {{-0x1.e69eb654406efp-3, -0x1.9e2ba5cb5109dp-3, -0x1.3a3992fc8850cp-3, -0x1.8db5e49f93e9dp-4, -0x1.3379834cfa842p-5, 0x1.6b5f18cc3c3a4p-6, 0x1.47314f3a49e99p-4, 0x1.12ac2766a914bp-3, 0x1.78c0203d1f8dcp-3, 0x1.d4be84f108d42p-3, 0x1.1315e0d0d3a37p-2, 0x1.367e8f1b098f6p-2, 0x1.54bc4c8ab0297p-2, 0x1.6e0e11b40e58bp-2, 0x1.82c551d22174p-2, 0x1.933ebf700cb07p-2, 0x1.9fdcd8496c914p-2, 0x1.a903d62c164cfp-2, 0x1.af16b7cc4c106p-2, 0x1.b27523f38bf07p-2, 0x1.b379f5c2a699dp-2, 0x1.b27a4c38f497dp-2, 0x1.afc4fd453f02ap-2, 0x1.aba253f86e589p-2, 0x1.a65407533fdfcp-2, 0x1.a015596e4612ep-2, 0x1.991b53ef64cb7p-2, 0x1.919517c1290f4p-2, 0x1.89ac399c467f7p-2, 0x1.8185254b5d626p-2, 0x1.793f8415cfb51p-2, 0x1.70f6a2b4a92a8p-2, 0x1.68c1d53e0dbe9p-2, 0x1.60b4d6efe1024p-2, 0x1.58e0255c43dddp-2, 0x1.515156219a3c1p-2, 0x1.4a1366e0e9f49p-2, 0x1.432f07607cb15p-2, 0x1.3caaddce1be43p-2, 0x1.368bc55644e43p-2, 0x1.30d5073eed22ep-2, 0x1.2b888e907db4dp-2, 0x1.26a71707fa994p-2, 0x1.2230573173032p-2, 0x1.1e23265f792a8p-2, 0x1.1a7d9eb6cca89p-2, 0x1.173d3b9c4735dp-2, 0x1.145ef4de00e05p-2, 0x1.11df56dfb7d08p-2, 0x1.0fba980e2b08fp-2, 0x1.0decabd87809ep-2, 0x1.0c7153697eaafp-2, 0x1.0b442c571b2c5p-2, 0x1.0a60bd7918a96p-2, 0x1.09c28212c40bcp-2, 0x1.0964f377d8307p-2, 0x1.094391610143p-2, 0x1.0959e904f2a49p-2, 0x1.09a39b0f3ee7fp-2, 0x1.0a1c60b210612p-2, 0x1.0ac00fcbc6786p-2, 0x1.0b8a9e4a1282p-2, 0x1.0c7824ddf2e64p-2, 0x1.0d84e11f056a7p-2, 0x1.0ead3718d155ep-2, 0x1.0fedb26b76052p-2, 0x1.114306fe53f58p-2, 0x1.12aa115ade9a4p-2, 0x1.141fd6bab01eep-2, 0x1.15a184d0ca262p-2, 0x1.172c7156b8e37p-2, 0x1.18be1977b0c1ap-2, 0x1.1a5420f6bf126p-2, 0x1.1bec515311ae1p-2, 0x1.1d8498b69da24p-2, 0x1.1f1b08ddc298p-2, 0x1.20add5e4a8bc3p-2, 0x1.223b550a0ebbdp-2, 0x1.23c1fb73cc7b4p-2, 0x1.25405ccfda83ap-2, 0x1.26b52a3039fbep-2, 0x1.281f30871ec2ap-2, 0x1.297d579730029p-2, 0x1.2acea07cd88fap-2, 0x1.2c122490d6ae2p-2, 0x1.2d4714146eabap-2, 0x1.2e6cb4fcfe808p-2, 0x1.2f8261de97dfdp-2, 0x1.308788a1caaefp-2, 0x1.317ba9979fc77p-2, 0x1.325e5636b9663p-2, 0x1.332f304d8c3f3p-2, 0x1.33ede8e3adc55p-2, 0x1.349a3f5e1fbf3p-2, 0x1.3534009779856p-2, 0x1.35bb060847afdp-2, 0x1.362f34fca8755p-2, 0x1.36907dc9db4a7p-2, 0x1.36dedb15d67cfp-2, 0x1.371a5126f055ep-2, 0x1.3742ed2835eadp-2, 0x1.3758c4a363516p-2, 0x1.375bf4c298381p-2, 0x1.374ca1d42276cp-2, 0x1.372af6b28d4b2p-2, 0x1.36f7243e2cea7p-2, 0x1.36b160e7615f8p-2, 0x1.3659e81b80aadp-2, 0x1.35f0f9f684f1ep-2, 0x1.3576dab592958p-2, 0x1.34ebd262b2754p-2, 0x1.34502c6d4ed2ep-2, 0x1.33a4375045bfap-2, 0x1.32e8443a98eafp-2, 0x1.321ca6c5e9133p-2, 0x1.3141b494bfb12p-2, 0x1.3057c52f9881p-2, 0x1.2f5f319e1fea5p-2, 0x1.2e58543f83f35p-2, 0x1.2d43888888121p-2, 0x1.2c212acd80d5dp-2, 0x1.2af19810ec003p-2, 0x1.29b52dd2edc17p-2, 0x1.286c49ec44558p-2, 0x1.27174a500c882p-2, 0x1.25b68d083ac98p-2, 0x1.244a6ff2f01f1p-2, 0x1.22d350b0605bbp-2, 0x1.21518c824df07p-2, 0x1.1fc58030141aep-2, 0x1.1e2f87e9c3239p-2, 0x1.1c8fff33fc192p-2, 0x1.1ae740ce0f988p-2, 0x1.1935a69f7a06cp-2, 0x1.177b89a5ad328p-2, 0x1.15b941e272922p-2, 0x1.13ef2641a6366p-2, 0x1.121d8ca6ddeabp-2, 0x1.1044c9bde97dap-2, 0x1.0e653103f0cb7p-2, 0x1.0c7f14b9d95fp-2, 0x1.0a92c5d6df165p-2, 0x1.08a09401a90abp-2, 0x1.06a8cd886bb37p-2, 0x1.04abbf5d4ea07p-2, 0x1.02a9b50cb875cp-2, 0x1.00a2f8ba552e2p-2, 0x1.fd2fa63ad1d83p-3, 0x1.f9111701528c5p-3, 0x1.f4eacf6fa57b6p-3, 0x1.f0bd58410db1ep-3, 0x1.ec8937619bb19p-3, 0x1.e84eefb7afb83p-3, 0x1.e40f014c27053p-3, 0x1.dfc9e93ac894cp-3, 0x1.db8021b880bc3p-3, 0x1.d73222164a318p-3, 0x1.d2e05ec4f59d4p-3, 0x1.ce8b4957fbc39p-3, 0x1.ca33508aeb4c2p-3, 0x1.c5d8e048ef1abp-3, 0x1.c17c61b3ea384p-3, 0x1.bd1e3b27d5d79p-3, 0x1.b8bed041fa455p-3, 0x1.b45e81e9fcad8p-3, 0x1.affdae671f7d8p-3, 0x1.ab9cb14dd5ed4p-3, 0x1.a73be396f71e1p-3, 0x1.a2db9bbd4111ep-3, 0x1.9e7c2d9ec181cp-3, 0x1.9a1deaa9a2366p-3, 0x1.95c121d4dcbdep-3, 0x1.91661faa3a15ap-3, 0x1.8d0d2e545da0ap-3, 0x1.88b695af9d001p-3, 0x1.84629b5067aa6p-3, 0x1.8011828637ddep-3, 0x1.7bc38c66e08a5p-3, 0x1.7778f7e29e3c8p-3, 0x1.733201cf1c05fp-3, 0x1.6eeee4ede05cp-3, 0x1.6aafd9ef72d05p-3, 0x1.6675177ece0b7p-3, 0x1.623ed256c19c1p-3, 0x1.5e0d3d4d0bfb2p-3, 0x1.59e08954f7ee4p-3, 0x1.55b8e5904de1fp-3, 0x1.51967f3820ca5p-3, 0x1.4d7981d3e1652p-3, 0x1.49621745290bbp-3, 0x1.455067ad8f78cp-3, 0x1.4144998eafdd6p-3, 0x1.3d3ed1c4775d2p-3, 0x1.393f339b8c1c2p-3, 0x1.3545e0dfd51cbp-3, 0x1.3152f9e3bcdcep-3, 0x1.2d669d7fe854ap-3, 0x1.2980e9192b527p-3, 0x1.25a1f8aa61716p-3, 0x1.21c9e6d9e889p-3, 0x1.1df8cd0230aap-3, 0x1.1a2ec3344463dp-3, 0x1.166be038a58ccp-3, 0x1.12b0399563edp-3, 0x1.0efbe39e42872p-3, 0x1.0b4ef17fa926dp-3, 0x1.07a9754aa4d9ep-3, 0x1.040b7ff315bf7p-3, 0x1.00752151ba65dp-3, 0x1.f9ccd055d25f3p-4, 0x1.f2bec476a6648p-4, 0x1.ebc0388879f6ap-4, 0x1.e4d14439eec13p-4, 0x1.ddf1fd24dab32p-4, 0x1.d722772becddep-4, 0x1.d062c453eefc3p-4, 0x1.c9b2f4cad267p-4, 0x1.c313171ebef1ep-4, 0x1.bc83383e5ccdfp-4, 0x1.b603637ed293bp-4, 0x1.af93a29df674p-4, 0x1.a933fdc746224p-4, 0x1.a2e47ba555f78p-4, 0x1.9ca5217310965p-4, 0x1.9675f30d27cfep-4, 0x1.9056f2fa5e156p-4, 0x1.8a48226e41c22p-4, 0x1.8449814c034ffp-4, 0x1.7e5b0e2e9cd48p-4, 0x1.787cc67719a9p-4, 0x1.72aea65c8c60cp-4, 0x1.6cf0a8f814e38p-4, 0x1.6742c84bb7bafp-4, 0x1.61a4fd44753a5p-4, 0x1.5c173fbf6b743p-4, 0x1.5699868f1cf4dp-4, 0x1.512bc78863204p-4, 0x1.4bcdf78f3f23fp-4, 0x1.46800aa1554c7p-4, 0x1.4141f3dc30b9bp-4, 0x1.3c13a5807d803p-4, 0x1.36f510f531322p-4, 0x1.31e626cc71b99p-4, 0x1.2ce6d6cf25c1dp-4, 0x1.27f710101df23p-4, 0x1.2316c0ca2bb6fp-4, 0x1.1e45d6aaa6655p-4, 0x1.19843eab5e71p-4, 0x1.14d1e510cf72fp-4, 0x1.102eb5839698ap-4, 0x1.0b9a9b0c8bee8p-4, 0x1.0715801d3e7b9p-4, 0x1.029f4e98a57d7p-4, 0x1.fc6fdfb492ad4p-5, 0x1.f3be99772a624p-5, 0x1.eb2a9b2ef3f18p-5, 0x1.e2b3b49b39bffp-5, 0x1.da59b48c9b7acp-5, 0x1.d21c68ee37d56p-5, 0x1.c9fb9ed6072p-5, 0x1.c1f7228bf8c6bp-5, 0x1.ba0ebf9c02e5p-5, 0x1.b24240db0e39dp-5, 0x1.aa91706fc9581p-5, 0x1.a2fc17d85b0a7p-5, 0x1.9b81fff0f803p-5, 0x1.9422f0fc21ea9p-5, 0x1.8cdeb2aca9816p-5, 0x1.85b50c2f1865fp-5, 0x1.7ea5c43517fa4p-5, 0x1.77b0a0fcc67a2p-5, 0x1.70d568583f157p-5, 0x1.6a13dfb2f67b2p-5, 0x1.636bcc179120ep-5, 0x1.5cdcf235afb0fp-5, 0x1.56671669f5747p-5, 0x1.5009fcc46c661p-5, 0x1.49c5691328776p-5, 0x1.43991ee7592a6p-5, 0x1.3d84e19d234cap-5, 0x1.3788746109d29p-5, 0x1.31a39a340e6ep-5, 0x1.2bd615f23f7eep-5, 0x1.261faa6713965p-5, 0x1.20801a1e0da15p-5, 0x1.1af727a596f0ep-5, 0x1.1584958ff4d03p-5, 0x1.102826469c8a9p-5, 0x1.0ae19c3e24a65p-5, 0x1.05b0b9edb97b2p-5, 0x1.009541d217a44p-5, 0x1.f71dece4a3e89p-6, 0x1.ed3b34c84b881p-6, 0x1.e381e09f83a0fp-6, 0x1.d9f175ebb862ap-6, 0x1.d0897a64e4c6ap-6, 0x1.c74974077ebd6p-6, 0x1.be30e919507c5p-6, 0x1.b53f603369bbp-6, 0x1.ac74604943e0cp-6, 0x1.a3cf70af8cd4cp-6, 0x1.9b50192286239p-6, 0x1.92f5e1cc5c67ap-6, 0x1.8ac0534bcf9dap-6, 0x1.82aef6bb2c65fp-6, 0x1.7ac155b746ae5p-6, 0x1.72f6fa66263f4p-6, 0x1.6b4f6f7d674a5p-6, 0x1.63ca404832d2ap-6, 0x1.5c66f8acd2752p-6, 0x1.55252531cb27fp-6, 0x1.4e045302913cbp-6, 0x1.47040ff421a58p-6, 0x1.4023ea89bd00bp-6, 0x1.396371f985caap-6, 0x1.32c236310c44p-6, 0x1.2c3fc7da86bf5p-6, 0x1.25dbb86184eebp-6, 0x1.1f9599f64f513p-6, 0x1.196cff8fdf094p-6, 0x1.13617cf4d3e29p-6, 0x1.0d72a6b8218fbp-6, 0x1.07a012414eba4p-6, 0x1.01e955ccf7e57p-6, 0x1.f89c10e137da9p-7, 0x1.ed9b843a46d6p-7, 0x1.e2d0374437141p-7, 0x1.d8395d5fa3859p-7, 0x1.cdd62bb118949p-7, 0x1.c3a5d9246362p-7, 0x1.b9a79e89a6c8ep-7, 0x1.afdab67ef721bp-7, 0x1.a63e5d2a70abdp-7, 0x1.9cd1d115067b9p-7, 0x1.93945259f2e4fp-7, 0x1.8a8522f71fbffp-7, 0x1.81a386e0d79fap-7, 0x1.78eec3edb64fbp-7, 0x1.706621d652fadp-7, 0x1.6808ea34c889fp-7, 0x1.5fd6688807b29p-7, 0x1.57cdea377c0d5p-7, 0x1.4feebe9b8a7b3p-7, 0x1.48383702bd7c5p-7, 0x1.40a9a6b959d11p-7, 0x1.3942630ae8f6ep-7, 0x1.3201c33de9a26p-7, 0x1.2ae7208a94e7dp-7, 0x1.23f1d60edc627p-7, 0x1.1d2140c41c805p-7, 0x1.1674bf7a7ca07p-7, 0x1.0febb2ddc9ecfp-7, 0x1.09857d82719adp-7, 0x1.034183f97a544p-7, 0x1.fa3e59c640eefp-8, 0x1.ee3bc1f45fcaap-8, 0x1.e27a1622ff6aap-8, 0x1.d6f8300100eecp-8, 0x1.cbb4ed0a4635dp-8, 0x1.c0af2e37c7fc3p-8, 0x1.b5e5d7c6797cp-8, 0x1.ab57d119d4d65p-8, 0x1.a10404d37970ap-8, 0x1.96e961183cce6p-8, 0x1.8d06d7f82c68fp-8, 0x1.835b5fd94906cp-8, 0x1.79e5f3c2ab932p-8, 0x1.70a59366a3404p-8, 0x1.679942e1aa084p-8, 0x1.5ec00a330f9c3p-8, 0x1.5618f48bd855bp-8, 0x1.4da30fa06522ap-8, 0x1.455d6b38747a8p-8, 0x1.3d47191e16a9bp-8, 0x1.355f2d7c4c6ddp-8, 0x1.2da4bf9d9e64fp-8, 0x1.2616eadcd18e5p-8, 0x1.1eb4cf86eef1fp-8, 0x1.177d936a4b4cep-8, 0x1.107061de9e29p-8, 0x1.098c6b33f4d6ep-8, 0x1.02d0e39fd6306p-8, 0x1.f87a03cef672fp-9, 0x1.eb9ffc3cc5f84p-9, 0x1.df1221a1b4e43p-9, 0x1.d2cee5b37e30fp-9, 0x1.c6d4bc15ab33p-9, 0x1.bb221ce24554ap-9, 0x1.afb586e103d3cp-9, 0x1.a48d841b9b31p-9, 0x1.99a8ab08a2788p-9, 0x1.8f059ef7506d5p-9, 0x1.84a30f4d80989p-9, 0x1.7a7fb46d6d24p-9, 0x1.709a4bd1b8102p-9, 0x1.66f19433552f9p-9, 0x1.5d844ab2dbf63p-9, 0x1.545129c907fc3p-9, 0x1.4b56ea4c6898ep-9, 0x1.4294464bf6507p-9, 0x1.3a07fd129f43ep-9, 0x1.31b0d75c6756cp-9, 0x1.298daab3284e7p-9, 0x1.219d5b1978fc1p-9, 0x1.19deda876c711p-9, 0x1.12512627b75d5p-9, 0x1.0af341dca06a3p-9, 0x1.03c43312a88b9p-9, 0x1.f985f85e5cf4ap-10, 0x1.ebdd33a7a1333p-10, 0x1.de8c0577a4c37p-10, 0x1.d1905480e5cfdp-10, 0x1.c4e809b364fbcp-10, 0x1.b8911aeb370cfp-10, 0x1.ac8994d052a5p-10, 0x1.a0cfa1dae00f6p-10, 0x1.95618d32c541cp-10, 0x1.8a3dc0dd54f25p-10, 0x1.7f62bf5410e4dp-10, 0x1.74cf194f72168p-10, 0x1.6a8161697fad1p-10, 0x1.607820124a27bp-10, 0x1.56b1cad3118d3p-10, 0x1.4d2cc16e76fdbp-10, 0x1.43e751f8c8919p-10, 0x1.3adfc2dba7298p-10, 0x1.32145fd56a63ep-10, 0x1.298386557033fp-10, 0x1.212bae7577b4dp-10, 0x1.190b6f973b0f8p-10, 0x1.1121813767c5ap-10, 0x1.096cb8f46a925p-10, 0x1.01ec062308332p-10, 0x1.f53cd4fedd98ap-11, 0x1.e705df491bea5p-11, 0x1.d9313493ff1aep-11, 0x1.cbbcbc6eaf54ep-11, 0x1.bea62de5745f1p-11, 0x1.b1eb104eaa592p-11, 0x1.a588cbbb6482p-11, 0x1.997cc255d906dp-11, 0x1.8dc4680ae457cp-11, 0x1.825d50172d8c4p-11, 0x1.77452f377fb74p-11, 0x1.6c79d886d8307p-11, 0x1.61f93d7cb1477p-11, 0x1.57c1752affcb6p-11, 0x1.4dd0c6f5a4515p-11, 0x1.4425af64dcca1p-11, 0x1.3abed6c370d58p-11, 0x1.319af8f2f97bfp-11, 0x1.28b8c79e79c9cp-11, 0x1.2016d38a31382p-11, 0x1.17b386afea612p-11, 0x1.0f8d34b4b470cp-11, 0x1.07a22f575dbaep-11, 0x1.ffe1b052951f5p-12, 0x1.f0ef43eeb1f42p-12, 0x1.e26a0209e2367p-12, 0x1.d44eadec0d1f3p-12, 0x1.c699d63223e28p-12, 0x1.b947f304e930ep-12, 0x1.ac55a92e9ee8bp-12, 0x1.9fc00ed1e54bap-12, 0x1.9384ca35726c3p-12, 0x1.87a1f87ebc814p-12, 0x1.7c15ebaff474fp-12, 0x1.70dee665d7838p-12, 0x1.65faf8de77109p-12, 0x1.5b680a2269375p-12, 0x1.5123fe2a58128p-12, 0x1.472cde43f4b3p-12, 0x1.3d80eb4c88a05p-12, 0x1.341e8b271a2bbp-12, 0x1.2b04132fb994ep-12, 0x1.222f88efdd2dep-12, 0x1.199e81119ca77p-12, 0x1.114e3a154b4b5p-12, 0x1.093bec443095ep-12, 0x1.0165257ab9f27p-12, 0x1.f390016f2eb18p-13, 0x1.e4c640ef62c11p-13, 0x1.d66aec4b9000fp-13, 0x1.c87bf760bb649p-13, 0x1.baf70b4efe49bp-13, 0x1.add976fc27b1ep-13, 0x1.a12052991e679p-13, 0x1.94c8b2d48beap-13, 0x1.88cfd87799a0bp-13, 0x1.7d334c6ca74fcp-13, 0x1.71f0d524fce7ap-13, 0x1.6706414e0de95p-13, 0x1.5c711f09b040bp-13, 0x1.522e89e6b6c81p-13, 0x1.483b3692b88dep-13, 0x1.3e93be77e7d68p-13, 0x1.3534fc3f8f1bp-13, 0x1.2c1c45a72b154p-13, 0x1.23477bc5e0912p-13, 0x1.1ab503c9322fp-13, 0x1.1263ac4cfa7e4p-13, 0x1.0a527f127468dp-13, 0x1.0280882d1007dp-13, 0x1.f5d944b36381dp-14, 0x1.e72ac14f1bb47p-14, 0x1.d8f2352ee71d7p-14, 0x1.cb2be6c6aebafp-14, 0x1.bdd389d8e355cp-14, 0x1.b0e43b8f54dcep-14, 0x1.a458fe49477c1p-14, 0x1.982d63b097b9dp-14, 0x1.8c5dd39087d71p-14, 0x1.80e75e5083a44p-14, 0x1.75c77552351c2p-14, 0x1.6afba3b4853e4p-14, 0x1.6081211251f0ap-14, 0x1.56549928b15fdp-14, 0x1.4c72c968fdee3p-14, 0x1.42d9884e0be7dp-14, 0x1.3987fe92ce038p-14, 0x1.307dc30d7e17dp-14, 0x1.27b9e11cd93f7p-14, 0x1.1f3ae610eb2b8p-14, 0x1.16ffae000dcdbp-14, 0x1.0f0779cef98b8p-14, 0x1.0750de38c7005p-14, 0x1.ffb1e9f63e02ep-15, 0x1.f13797d176038p-15, 0x1.e32b0a8557a45p-15, 0x1.d5865c0a2def6p-15, 0x1.c845933dbd5f3p-15, 0x1.bb65a3f03d443p-15, 0x1.aee389e40dac2p-15, 0x1.a2bc3896923c9p-15, 0x1.96ec7cc5a127cp-15, 0x1.8b701532cf503p-15, 0x1.804232781a868p-15, 0x1.75607d151cbcep-15, 0x1.6acc279c99974p-15, 0x1.608633165883dp-15, 0x1.568be3dc5c897p-15, 0x1.4cd8ae2d94dc4p-15, 0x1.436ab961a9f1fp-15, 0x1.3a432e8269d09p-15, 0x1.316264e104783p-15, 0x1.28c5ac494392ap-15, 0x1.206868cca501ap-15, 0x1.184600449e8cdp-15, 0x1.105b04e2a9feap-15, 0x1.08a5a18ba1c14p-15, 0x1.01256a40c8d99p-15, 0x1.f3b4e4dd89ad6p-16, 0x1.e587e6f06086fp-16, 0x1.d7bf53649f5b3p-16, 0x1.ca54f274976edp-16, 0x1.bd415c9242a59p-16, 0x1.b07b2dfeea41dp-16, 0x1.a3fc5d65a43bfp-16, 0x1.97c935213868ep-16, 0x1.8be908334b2e4p-16, 0x1.8059956ecdc71p-16, 0x1.75120d7b3afcep-16, 0x1.6a0ef3464b4bfp-16, 0x1.5f52975abdce2p-16, 0x1.54ddc6c8cf3ccp-16, 0x1.4aae1b88a3857p-16, 0x1.40bfebcf5b8bep-16, 0x1.370f31acc86eep-16, 0x1.2d97f777b2ce2p-16, 0x1.2456f107e011bp-16, 0x1.1b49fbdc4e956p-16, 0x1.1270530b66958p-16, 0x1.09ca50d44832fp-16, 0x1.0158890e4032dp-16, 0x1.f2351caa278c5p-17, 0x1.e21dcb9b84a28p-17, 0x1.d268e7a1343d1p-17, 0x1.c312cc5224d93p-17, 0x1.b40ff68310c58p-17, 0x1.a5565410f8736p-17, 0x1.96e89be2e037bp-17, 0x1.88c7385343d27p-17, 0x1.7aeb0c418a69ep-17, 0x1.6d5629b4041aap-17, 0x1.600ea32e0f243p-17, 0x1.531090ebf663dp-17, 0x1.46555194ce0e8p-17, 0x1.39db9a64925b2p-17, 0x1.2da41571d1503p-17, 0x1.21acda852aa3ap-17, 0x1.15f20d0c9966cp-17, 0x1.0a702f955fa8cp-17, 0x1.fe49eecb7ba96p-18, 0x1.e81e01d5d9fa3p-18, 0x1.d25af4c91bfd7p-18, 0x1.bd000af223699p-18, 0x1.a80ccd4f04a1dp-18, 0x1.937ef39c996f2p-18, 0x1.7f5275dcfdfa7p-18, 0x1.6b87e43439d95p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.02fb75115a8c4p-1, -0x1.0321c5360c9a4p-1, -0x1.036104c1140f4p-1, -0x1.03b850cafc96bp-1, -0x1.04267684ed293p-1, -0x1.04a9fbebfc016p-1, -0x1.0541292d18fbep-1, -0x1.05ea123f7a169p-1, -0x1.06a2a05cda063p-1, -0x1.07689b18d8a17p-1, -0x1.0839b0ecfc95ep-1, -0x1.09137f1e756f7p-1, -0x1.09f398ee9d5aep-1, -0x1.0ad78e1036006p-1, -0x1.0bbcf061f8daap-1, -0x1.0ca158f3da4f2p-1, -0x1.0d826c5fa9af8p-1, -0x1.0e5dde7fe2abap-1, -0x1.0f317590cb48dp-1, -0x1.0ffb0cc8940bap-1, -0x1.10b8967352bfbp-1, -0x1.11681d9f66659p-1, -0x1.1207c7665c0efp-1, -0x1.1295d3ddba8d3p-1, -0x1.13109eba5592p-1, -0x1.13769faff6aafp-1, -0x1.13c66a96505adp-1, -0x1.13feaf5b59d4bp-1, -0x1.141e39ca65937p-1, -0x1.1423f12e7f8e8p-1, -0x1.140ed7d5e7bedp-1, -0x1.13de0a7bdab3ap-1, -0x1.1390bf9d3498ep-1, -0x1.132646bbfa6cdp-1, -0x1.129e07954b097p-1, -0x1.11f7814ccdacp-1, -0x1.113249904b6b7p-1, -0x1.104e0bb5c5912p-1, -0x1.0f4a87d60a15ep-1, -0x1.0e2791e57e482p-1, -0x1.0ce510cc9cec1p-1, -0x1.0b82fd8165969p-1, -0x1.0a016222d2585p-1, -0x1.08605917366fep-1, -0x1.06a00c2e482fbp-1, -0x1.04c0b3c7738b6p-1, -0x1.02c295fcf8cc8p-1, -0x1.00a605d43e914p-1, -0x1.fcd6c4e758cedp-2, -0x1.f8262cbc964bep-2, -0x1.f33b2d6ab81cdp-2, -0x1.ee16c5000ef54p-2, -0x1.e8ba03f26ff53p-2, -0x1.e3260bc7555c2p-2, -0x1.dd5c0dc86d398p-2, -0x1.d75d49c48957dp-2, -0x1.d12b0cdcd3cd9p-2, -0x1.cac6b05e209dbp-2, -0x1.c43198a62ffcfp-2, -0x1.bd6d3414a87fp-2, -0x1.b67afa0788153p-2, -0x1.af5c69e2cf9dp-2, -0x1.a8130a231a451p-2, -0x1.a0a0677ad8a89p-2, -0x1.990613f9e8601p-2, -0x1.9145a63f3083ep-2, -0x1.8960b8b3f708bp-2, -0x1.8158e8d0a270ap-2, -0x1.792fd66a919c6p-2, -0x1.70e7230abcc62p-2, -0x1.6880714ccf292p-2, -0x1.5ffd64466cd02p-2, -0x1.575f9ef65722dp-2, -0x1.4ea8c3bb1df2fp-2, -0x1.45da73d120596p-2, -0x1.3cf64ed784facp-2, -0x1.33fdf25bf32bfp-2, -0x1.2af2f96cb8138p-2, -0x1.21d6fc3126165p-2, -0x1.18ab8f87def37p-2, -0x1.0f7244aad4ab2p-2, -0x1.062ca8d8c0f95p-2, -0x1.f9b88a07b0eb2p-3, -0x1.e7053b0b0ae51p-3, -0x1.d44263ade03c4p-3, -0x1.c172f89c46236p-3, -0x1.ae99e3bf353d3p-3, -0x1.9bba03c81f91bp-3, -0x1.88d62bc4a0a1bp-3, -0x1.75f122b9ec1dap-3, -0x1.630da347b9485p-3, -0x1.502e5b523df1ap-3, -0x1.3d55ebb313383p-3, -0x1.2a86e7f092985p-3, -0x1.17c3d5fb8657bp-3, -0x1.050f2df2da9e3p-3, -0x1.e4d6b3da21916p-4, -0x1.bfb56b8e8aebp-4, -0x1.9abf1df2eb756p-4, -0x1.75f848dfe21b4p-4, -0x1.51654cd335c3cp-4, -0x1.2d0a6cb5dd14fp-4, -0x1.08ebcdaaf7a89p-4, -0x1.ca1aedceedd06p-5, -0x1.82e6a3242fd52p-5, -0x1.3c425156b3c32p-5, -0x1.ec6aa3f48ca62p-6, -0x1.618d84471b77ap-6, -0x1.aff609911acep-7, -0x1.3f01b6a8f81c9p-8, 0x1.b8ab8d354ab68p-9, 0x1.78f48474350bcp-7, 0x1.4062253dce9bbp-6, 0x1.c2c1b386c3dcfp-6, 0x1.21c6fe8230ac7p-5, 0x1.615e440f0ca52p-5, 0x1.a021a87e4c1fbp-5, 0x1.de0c645f86c79p-5, 0x1.0d8cf527675c1p-4, 0x1.2ba2f33e65ep-4, 0x1.49461f1718122p-4, 0x1.6674879964298p-4, 0x1.832c57aa51914p-4, 0x1.9f6bd5dfcae7ep-4, 0x1.bb316430c2d25p-4, 0x1.d67b7fa1d79b2p-4, 0x1.f148bfeeb8ff8p-4, 0x1.05cbeb9832489p-3, 0x1.12b3c8c031e3ap-3, 0x1.1f5b6a4ca1ab6p-3, 0x1.2bc24fba29d2cp-3, 0x1.37e804f27634p-3, 0x1.43cc2218ad0dfp-3, 0x1.4f6e4b54be352p-3, 0x1.5ace309db24d5p-3, 0x1.65eb8d82fe71bp-3, 0x1.70c628f4ede31p-3, 0x1.7b5dd50c3c1fdp-3, 0x1.85b26ed0e911ep-3, 0x1.8fc3de0053a47p-3, 0x1.999214d2bc2cep-3, 0x1.a31d0fc02b22fp-3, 0x1.ac64d544d84e5p-3, 0x1.b56975a51eb92p-3, 0x1.be2b0ab10c5cp-3, 0x1.c6a9b7879b96ap-3, 0x1.cee5a859a72aep-3, 0x1.d6df122ca50bbp-3, 0x1.de96329d3a778p-3, 0x1.e60b4fa1ace39p-3, 0x1.ed3eb74c4bde6p-3, 0x1.f430bf8dd3e7ep-3, 0x1.fae1c5f7de7bdp-3, 0x1.00a917bfb32bbp-2, 0x1.03c1341fbb6cp-2, 0x1.06b9719e00265p-2, 0x1.09920d1278712p-2, 0x1.0c4b468cc672ep-2, 0x1.0ee561360bf92p-2, 0x1.1160a332f051dp-2, 0x1.13bd5585d300cp-2, 0x1.15fbc3f13b264p-2, 0x1.181c3cda80132p-2, 0x1.1a1f112cb2f2ep-2, 0x1.1c04943bced5cp-2, 0x1.1dcd1ba82ff8ep-2, 0x1.1f78ff425aaa6p-2, 0x1.210898ef1075cp-2, 0x1.227c448bbcd62p-2, 0x1.23d45fd3373aap-2, 0x1.25114a42e3293p-2, 0x1.263365002cbd4p-2, 0x1.273b12be69ddap-2, 0x1.2828b7a51a717p-2, 0x1.28fcb93695a81p-2, 0x1.29b77e371c68p-2, 0x1.2a596e945a227p-2, 0x1.2ae2f34d50f67p-2, 0x1.2b54765ab89e1p-2, 0x1.2bae6297cd827p-2, 0x1.2bf123ab91b7fp-2, 0x1.2c1d25f286ed3p-2, 0x1.2c32d668d8f0cp-2, 0x1.2c32a29505ff9p-2, 0x1.2c1cf872fabfp-2, 0x1.2bf2465faa3cap-2, 0x1.2bb2fb051e702p-2, 0x1.2b5f85470615p-2, 0x1.2af8542fbb772p-2, 0x1.2a7dd6ddc8967p-2, 0x1.29f07c71e7522p-2, 0x1.2950b3fd7d999p-2, 0x1.289eec7196f53p-2, 0x1.27db948e58542p-2, 0x1.27071ad2f1a1dp-2, 0x1.2621ed6e0bd34p-2, 0x1.252c7a2eb0565p-2, 0x1.24272e75ac17cp-2, 0x1.231277276e8ecp-2, 0x1.21eec09e60699p-2, 0x1.20bc769db55edp-2, 0x1.1f7c0444b21b5p-2, 0x1.1e2dd4026f871p-2, 0x1.1cd24f8a0d506p-2, 0x1.1b69dfc75eba5p-2, 0x1.19f4ecd408e43p-2, 0x1.1873dded13d9fp-2, 0x1.16e71968edffp-2, 0x1.154f04addebdcp-2, 0x1.13ac0428e87c8p-2, 0x1.11fe7b4515011p-2, 0x1.1046cc6333bd6p-2, 0x1.0e8558d1f9bfp-2, 0x1.0cba80c691c4fp-2, 0x1.0ae6a3558e693p-2, 0x1.090a1e6c42533p-2, 0x1.07254eca7e73p-2, 0x1.05388ffcadea5p-2, 0x1.03443c5654793p-2, 0x1.0148aceceb7a9p-2, 0x1.fe8c73262e8cap-3, 0x1.fa7a71a87807ep-3, 0x1.f65bffe0d0804p-3, 0x1.f231c5b129a9ep-3, 0x1.edfc68567a708p-3, 0x1.e9bc8a628d083p-3, 0x1.e572cbb677a2ep-3, 0x1.e11fc97da8ebap-3, 0x1.dcc41e29981e3p-3, 0x1.d860616e02bbcp-3, 0x1.d3f5283dc51p-3, 0x1.cf8304c836a6ap-3, 0x1.cb0a86771a879p-3, 0x1.c68c39ed14451p-3, 0x1.c208a904982f1p-3, 0x1.bd805acf659fep-3, 0x1.b8f3d39671dfep-3, 0x1.b46394da5537dp-3, 0x1.afd01d541e0cp-3, 0x1.ab39e8f6a0defp-3, 0x1.a6a170f02bb9cp-3, 0x1.a2072baca4e3dp-3, 0x1.9d6b8cd80d007p-3, 0x1.98cf05616653dp-3, 0x1.9432037df15aap-3, 0x1.8f94f2accbe5cp-3, 0x1.8af83bbae0414p-3, 0x1.865c44c72d32ap-3, 0x1.81c1714757da7p-3, 0x1.7d28220c8a1c1p-3, 0x1.7890b548a02fep-3, 0x1.73fb8693958adp-3, 0x1.6f68eef135802p-3, 0x1.6ad944d70cfaap-3, 0x1.664cdc329806cp-3, 0x1.61c4066fa5e4fp-3, 0x1.5d3f127ef72a5p-3, 0x1.58be4cdd0a801p-3, 0x1.5441ff991feb9p-3, 0x1.4fca725c63ac2p-3, 0x1.4b57ea7146d54p-3, 0x1.46eaaacb01419p-3, 0x1.4282f40d34104p-3, 0x1.3e210493b3b82p-3, 0x1.39c5187a7469p-3, 0x1.356f69a589c63p-3, 0x1.31202fc94ff97p-3, 0x1.2cd7a072a3b91p-3, 0x1.2895ef0f34b22p-3, 0x1.245b4cf5eed0ep-3, 0x1.2027e96f735ebp-3, 0x1.1bfbf1bea032bp-3, 0x1.17d791292b1dbp-3, 0x1.13baf1004621ap-3, 0x1.0fa638a94e37dp-3, 0x1.0b998da68200ep-3, 0x1.0795139fc3e4dp-3, 0x1.0398ec6b598f5p-3, 0x1.ff4a702d686edp-4, 0x1.f77429de78d95p-4, 0x1.efaf3f162a2f8p-4, 0x1.e7fbe5a3cb0a5p-4, 0x1.e05a500b3fd54p-4, 0x1.d8caad967abdbp-4, 0x1.d14d2a66f3a19p-4, 0x1.c9e1ef8710298p-4, 0x1.c28922fb73413p-4, 0x1.bb42e7d4490bfp-4, 0x1.b40f5e3e689f6p-4, 0x1.aceea394723adp-4, 0x1.a5e0d26fc88bdp-4, 0x1.9ee602b96c0b8p-4, 0x1.97fe49bac05dfp-4, 0x1.9129ba2e2f638p-4, 0x1.8a68644fa50f8p-4, 0x1.83ba55ecef45dp-4, 0x1.7d1f9a75f7b8dp-4, 0x1.76983b0cd0eb3p-4, 0x1.70243e95a279p-4, 0x1.69c3a9c66aa0ep-4, 0x1.63767f369459bp-4, 0x1.5d3cbf6e5f504p-4, 0x1.571668f61f155p-4, 0x1.510378654a441p-4, 0x1.4b03e8715b0abp-4, 0x1.4517b1fc7f246p-4, 0x1.3f3ecc2419bcbp-4, 0x1.39792c4f0ef5ep-4, 0x1.33c6c63be0feap-4, 0x1.2e278c0e9a4f9p-4, 0x1.289b6e5e818d4p-4, 0x1.23225c439b46ap-4, 0x1.1dbc4363f6929p-4, 0x1.18691000c5c8p-4, 0x1.1328ad033eea9p-4, 0x1.0dfb0409496c4p-4, 0x1.08dffd71f2f06p-4, 0x1.03d78069b1bd7p-4, 0x1.fdc2e5ecd772ep-5, 0x1.f3fb740696847p-5, 0x1.ea5872d8b288fp-5, 0x1.e0d9a813c67f8p-5, 0x1.d77ed77758536p-5, 0x1.ce47c2e7bf22ep-5, 0x1.c5342a83acfdep-5, 0x1.bc43ccb940a95p-5, 0x1.b376665aa9424p-5, 0x1.aacbb2b26702dp-5, 0x1.a2436b9715ceep-5, 0x1.99dd497ed37a4p-5, 0x1.91990392340fap-5, 0x1.89764fbecd3dap-5, 0x1.8174e2c95b61cp-5, 0x1.7994705f78ccp-5, 0x1.71d4ab28f0082p-5, 0x1.6a3544d8a3319p-5, 0x1.62b5ee3d0ac6fp-5, 0x1.5b5657505091fp-5, 0x1.54162f480864dp-5, 0x1.4cf524a47ef05p-5, 0x1.45f2e53fa452bp-5, 0x1.3f0f1e5b9da34p-5, 0x1.38497cb0e96aep-5, 0x1.31a1ac7c25d1bp-5, 0x1.2b17598b830f4p-5, 0x1.24aa2f4bc7067p-5, 0x1.1e59d8d4ff405p-5, 0x1.182600f6d7126p-5, 0x1.120e524485f9ap-5, 0x1.0c1277207a0d7p-5, 0x1.063219c794524p-5, 0x1.006ce45c1fbbfp-5, 0x1.f58501e0c7d2ep-6, 0x1.ea653321df803p-6, 0x1.df79b09d149c8p-6, 0x1.d4c1ce8fa41aap-6, 0x1.ca3ce165188abp-6, 0x1.bfea3dc947088p-6, 0x1.b5c938b9b7af8p-6, 0x1.abd92796728a9p-6, 0x1.a219603234853p-6, 0x1.988938e20c5d1p-6, 0x1.8f28088c64822p-6, 0x1.85f526b78d97ep-6, 0x1.7cefeb97a93abp-6, 0x1.7417b01c199f8p-6, 0x1.6b6bcdfc6b803p-6, 0x1.62eb9fc4a809p-6, 0x1.5a9680e1384b3p-6, 0x1.526bcdaa4cd6ap-6, 0x1.4a6ae36eb2f4fp-6, 0x1.4293207e45448p-6, 0x1.3ae3e433d8087p-6, 0x1.335c8efec5105p-6, 0x1.2bfc826be3da2p-6, 0x1.24c3212e33985p-6, 0x1.1dafcf2702547p-6, 0x1.16c1f16daf72p-6, 0x1.0ff8ee57141e4p-6, 0x1.09542d7c6c628p-6, 0x1.02d317c1f435fp-6, 0x1.f8ea2eba27f39p-7, 0x1.ec732fb4780eep-7, 0x1.e0400c44b46dcp-7, 0x1.d44fa0ffec0c4p-7, 0x1.c8a0cd47f9113p-7, 0x1.bd327354550c9p-7, 0x1.b203783a7f6f9p-7, 0x1.a712c3f5708abp-7, 0x1.9c5f416cc08cap-7, 0x1.91e7de7af5c46p-7, 0x1.87ab8bf3624c8p-7, 0x1.7da93da770c0ep-7, 0x1.73dfea6b54bc3p-7, 0x1.6a4e8c1a4685cp-7, 0x1.60f41f9a22872p-7, 0x1.57cfa4deaeafcp-7, 0x1.4ee01eec385dcp-7, 0x1.462493d9ded22p-7, 0x1.3d9c0cd34779dp-7, 0x1.3545961a09e05p-7, 0x1.2d203f06840f3p-7, 0x1.252b1a086dc4p-7, 0x1.1d653ca6e7a38p-7, 0x1.15cdbf803d291p-7, 0x1.0e63be49329e1p-7, 0x1.072657cc0639cp-7, 0x1.0014ade719035p-7, 0x1.f25bcb168e658p-8, 0x1.e4e24d739c4e4p-8, 0x1.d7bb390439a7fp-8, 0x1.cae4e9fe33acbp-8, 0x1.be5dc2a8b2fe2p-8, 0x1.b2242b55b7e78p-8, 0x1.a636925b670fp-8, 0x1.9a936c0c935efp-8, 0x1.8f3932b0e131ep-8, 0x1.8426667c9e0f3p-8, 0x1.79598d87daf94p-8, 0x1.6ed133c543756p-8, 0x1.648beaf8c1e9ep-8, 0x1.5a884aad47debp-8, 0x1.50c4f02aa408fp-8, 0x1.47407e6ae386cp-8, 0x1.3df99e0f3aea6p-8, 0x1.34eefd54bd2aep-8, 0x1.2c1f5008d8513p-8, 0x1.23894f7d61461p-8, 0x1.1b2bba7c73b69p-8, 0x1.1305553c2a915p-8, 0x1.0b14e951ec6ccp-8, 0x1.035945a58f1dep-8, 0x1.f7a27cc8def73p-9, 0x1.e8f759e82e47ep-9, 0x1.daaedfc9bc9ebp-9, 0x1.ccc6d5c8d57afp-9, 0x1.bf3d0d5fbbb2bp-9, 0x1.b20f620c43174p-9, 0x1.a53bb9338fad8p-9, 0x1.98c00206457cdp-9, 0x1.8c9a35639ee49p-9, 0x1.80c855bd5cce5p-9, 0x1.75486efabe9dp-9, 0x1.6a18965bbe3a5p-9, 0x1.5f36ea5beeb09p-9, 0x1.54a192957bfbdp-9, 0x1.4a56bfa402525p-9, 0x1.4054ab0739843p-9, 0x1.36999705d2757p-9, 0x1.2d23ce8fd04c8p-9, 0x1.23f1a5218a83cp-9, 0x1.1b0176a5c79b8p-9, 0x1.1251a7590078bp-9, 0x1.09e0a3abbd849p-9, 0x1.01ace025399aap-9, 0x1.f369b28ced5afp-10, 0x1.e3ee26d997c1bp-10, 0x1.d4e43569c753ep-10, 0x1.c64905bc5f3p-10, 0x1.b819ce5a93ea4p-10, 0x1.aa53d49f753e3p-10, 0x1.9cf46c7e3920ap-10, 0x1.8ff8f849613d5p-10, 0x1.835ee879f2785p-10, 0x1.7723bb77314b5p-10, 0x1.6b44fd5e8349ap-10, 0x1.5fc047cbaab7p-10, 0x1.549341a167739p-10, 0x1.49bb9ed2a022dp-10, 0x1.3f37202b8912fp-10, 0x1.3503931b9daeap-10, 0x1.2b1ed17f87ebbp-10, 0x1.2186c16c477aap-10, 0x1.183954f9e4fedp-10, 0x1.0f348a0e981e1p-10, 0x1.06766a2c4eacdp-10, 0x1.fbfa1476a00c4p-11, 0x1.eb8d14b0bb5bap-11, 0x1.dba22b431c728p-11, 0x1.cc35c4088bf26p-11, 0x1.bd446017e01c9p-11, 0x1.aeca95615d30ep-11, 0x1.a0c50e4e0b0c4p-11, 0x1.9330895ef52a1p-11, 0x1.8609d8ce80184p-11, 0x1.794de232c782p-11, 0x1.6cf99e215e6fbp-11, 0x1.610a17d1d7e08p-11, 0x1.557c6cc490cfep-11, 0x1.4a4dcc67eff07p-11, 0x1.3f7b77c100b0ep-11, 0x1.3502c1130b4b5p-11, 0x1.2ae10b8a2b91ap-11, 0x1.2113cae5b5f69p-11, 0x1.1798832456d6bp-11, 0x1.0e6cc830b21cbp-11, 0x1.058e3d8fe41abp-11, 0x1.f9f52c22dedp-12, 0x1.e95f26fd8d14bp-12, 0x1.d9560c996d369p-12, 0x1.c9d59a9ce6d28p-12, 0x1.bad9aad2c672ep-12, 0x1.ac5e32931ebd6p-12, 0x1.9e5f423008deap-12, 0x1.90d904631ae8p-12, 0x1.83c7bdbf0a6e6p-12, 0x1.7727cc20c472bp-12, 0x1.6af5a623e4a21p-12, 0x1.5f2dda9b1d63bp-12, 0x1.53cd100810b03p-12, 0x1.48d00416c2cc4p-12, 0x1.3e338b1adce16p-12, 0x1.33f48f8f3080fp-12, 0x1.2a101196ac71dp-12, 0x1.20832680ffa5dp-12, 0x1.174af84e3f88p-12, 0x1.0e64c539c36afp-12, 0x1.05cddf427a262p-12, 0x1.fb07576b644d2p-13, 0x1.eb07457b79601p-13, 0x1.db969de3e9cdfp-13, 0x1.ccb099d049909p-13, 0x1.be5095918cd4cp-13, 0x1.b0720fc7d7c08p-13, 0x1.a310a8943aa4cp-13, 0x1.962820c920eb5p-13, 0x1.89b45921a3a08p-13, 0x1.7db1517c0cf1p-13, 0x1.721b2819ec981p-13, 0x1.66ee18e142a02p-13, 0x1.5c267c9f94216p-13, 0x1.51c0c854b9fb5p-13, 0x1.47b98c7fa45b7p-13, 0x1.3e0d746d7d59bp-13, 0x1.34b9458d25c54p-13, 0x1.2bb9dec577b68p-13, 0x1.230c37d317df6p-13, 0x1.1aad60a0c1a17p-13, 0x1.129a80ab87c93p-13, 0x1.0ad0d663ceb73p-13, 0x1.034db696f66a7p-13, 0x1.f81d17b5134cep-14, 0x1.ea21abecf202fp-14, 0x1.dca452ac4446dp-14, 0x1.cfa05cfc6ed52p-14, 0x1.c311430212774p-14, 0x1.b6f2a2ee0cc37p-14, 0x1.ab403ff8223dp-14, 0x1.9ff6015be77a3p-14, 0x1.950ff1634e60bp-14, 0x1.8a8a3c64cf3acp-14, 0x1.80612fd7a3a75p-14, 0x1.769139651b2aap-14, 0x1.6d16e6052ad7bp-14, 0x1.63eee119fb30cp-14, 0x1.5b15f39281a19p-14, 0x1.528903149b086p-14, 0x1.4a45112b88b81p-14, 0x1.42473a778c73bp-14, 0x1.3a8cb5e36b471p-14, 0x1.3312d3e05ba5ep-14, 0x1.2bd6fda728c9ap-14, 0x1.24d6b4801f308p-14, 0x1.1e0f910685286p-14, 0x1.177f427825e74p-14, 0x1.11238e05035e7p-14, 0x1.0afa4e28602f7p-14, 0x1.0501720074cc3p-14, 0x1.fe6df955b4958p-15, 0x1.f332095148ccp-15, 0x1.e84b668b7da2ep-15, 0x1.ddb688012faacp-15, 0x1.d37007edda7fep-15, 0x1.c974a2abae845p-15, 0x1.bfc135a03ed21p-15, 0x1.b652be2db29e7p-15, 0x1.ad2658ab3f1b5p-15, 0x1.a4393f5f5f612p-15, 0x1.9b88c983661aap-15, 0x1.93126a54e3603p-15, 0x1.8ad3b025b4a9ep-15, 0x1.82ca436dc9107p-15, 0x1.7af3e5efbe2c4p-15, 0x1.734e71d85b578p-15, 0x1.6bd7d8f25fdc4p-15, 0x1.648e23ce53d6fp-15, 0x1.5d6f70f937e6cp-15, 0x1.5679f4364e384p-15, 0x1.4fabf5c0e3148p-15, 0x1.4903d19360d76p-15, 0x1.427ff6b3a3696p-15, 0x1.3c1ee67df573bp-15, 0x1.35df33fe0e711p-15, 0x1.2fbf8349ba9bfp-15, 0x1.29be88dff7878p-15, 0x1.23db0908323b5p-15, 0x1.1e13d73a14941p-15, 0x1.1867d58d1e46cp-15, 0x1.12d5f428043edp-15, 0x1.0d5d30bb7765bp-15, }}, 
      {{-0x1.02f2e7857778p-1, -0x1.02ffb4c177109p-1, -0x1.0314eb926fa8ep-1, -0x1.03325e04c6badp-1, -0x1.0357cd65e09e2p-1, -0x1.0384eb9d893cdp-1, -0x1.03b95cabc913ap-1, -0x1.03f4b83953862p-1, -0x1.04368b2cf5b06p-1, -0x1.047e593bc52d8p-1, -0x1.04cb9e6c859f4p-1, -0x1.051dd088eb316p-1, -0x1.057460790883ap-1, -0x1.05cebb86a418fp-1, -0x1.062c4c873128dp-1, -0x1.068c7cebfec0dp-1, -0x1.06eeb5b8d2a5ap-1, -0x1.0752606191cccp-1, -0x1.07b6e78ff90a1p-1, -0x1.081bb7d2952f8p-1, -0x1.088040365e6cfp-1, -0x1.08e3f2cc6388bp-1, -0x1.0946451d0359ap-1, -0x1.09a6b08a2b72bp-1, -0x1.0a04b2a20ef88p-1, -0x1.0a5fcd63baf8cp-1, -0x1.0ab78776da415p-1, -0x1.0b0b6c57ec682p-1, -0x1.0b5b0c7a18ab6p-1, -0x1.0ba5fd5fb73b5p-1, -0x1.0bebd9aa92387p-1, -0x1.0c2c4124cc1cp-1, -0x1.0c66d8c3461ffp-1, -0x1.0c9b4aa24c583p-1, -0x1.0cc945fd3ee3p-1, -0x1.0cf07f21da092p-1, -0x1.0d10af5fb3476p-1, -0x1.0d2994f4719dep-1, -0x1.0d3af2f538547p-1, -0x1.0d449135b3b27p-1, -0x1.0d463c2d2637fp-1, -0x1.0d3fc4d9cda63p-1, -0x1.0d3100a2f0fbcp-1, -0x1.0d19c939d87bep-1, -0x1.0cf9fc79ef4dfp-1, -0x1.0cd17c4847016p-1, -0x1.0ca02e72aab22p-1, -0x1.0c65fc8e6ee38p-1, -0x1.0c22d3d72259p-1, -0x1.0bd6a50d4274p-1, -0x1.0b8164550fe4dp-1, -0x1.0b2309159ac62p-1, -0x1.0abb8dd820be6p-1, -0x1.0a4af027ccc42p-1, -0x1.09d13071e8229p-1, -0x1.094e51e68e8d4p-1, -0x1.08c25a59ee81p-1, -0x1.082d52261f648p-1, -0x1.078f440d97182p-1, -0x1.06e83d1e4552dp-1, -0x1.06384c955a159p-1, -0x1.057f83c3ba47ep-1, -0x1.04bdf5f3271c6p-1, -0x1.03f3b84c19ff7p-1, -0x1.0320e1bc54d7ep-1, -0x1.02458ade29753p-1, -0x1.0161cde076694p-1, -0x1.0075c66f57c38p-1, -0x1.ff03233b1d117p-2, -0x1.fd0a9b9d2edd8p-2, -0x1.fb023542e76cbp-2, -0x1.f8ea31b83f7d1p-2, -0x1.f6c2d4af66b76p-2, -0x1.f48c63da5a173p-2, -0x1.f24726c5c119dp-2, -0x1.eff366b510d24p-2, -0x1.ed916e7fed683p-2, -0x1.eb218a70c0557p-2, -0x1.e8a4082480bd8p-2, -0x1.e619366ba2715p-2, -0x1.e381652c26c6cp-2, -0x1.e0dce544c8accp-2, -0x1.de2c08713a4e6p-2, -0x1.db6f212f6dabap-2, -0x1.d8a682a5e4339p-2, -0x1.d5d2808af7bc8p-2, -0x1.d2f36f0d1b894p-2, -0x1.d009a2bc0f32dp-2, -0x1.cd157072f24f4p-2, -0x1.ca172d434131fp-2, -0x1.c70f2e60a7da4p-2, -0x1.c3fdc90daaa1ep-2, -0x1.c0e352891c4dfp-2, -0x1.bdc01ffc5c3cep-2, -0x1.ba94866a55a77p-2, -0x1.b760da9f3aad6p-2, -0x1.b4257120f657bp-2, -0x1.b0e29e204b72dp-2, -0x1.ad98b56aa3c5p-2, -0x1.aa480a5c7e7afp-2, -0x1.a6f0efd483f1ap-2, -0x1.a393b82733dfap-2, -0x1.a030b51326d3ep-2, -0x1.9cc837b5e4cc6p-2, -0x1.995a908148fabp-2, -0x1.95e80f316d6e5p-2, -0x1.927102c31ab01p-2, -0x1.8ef5b96ab98c9p-2, -0x1.8b76808bc073cp-2, -0x1.87f3a4b09879dp-2, -0x1.846d7182fa685p-2, -0x1.80e431c4b8716p-2, -0x1.7d582f48f9cc1p-2, -0x1.79c9b2edddaacp-2, -0x1.7639049686de4p-2, -0x1.72a66b258b4efp-2, -0x1.6f122c77c194p-2, -0x1.6b7c8d5f710edp-2, -0x1.67e5d19fd6e85p-2, -0x1.644e3be908bbdp-2, -0x1.60b60dd4282efp-2, -0x1.5d1d87dfebdbp-2, -0x1.5984e96d759f6p-2, -0x1.55ec70bd796f1p-2, -0x1.52545aedad91p-2, -0x1.4ebce3f682908p-2, -0x1.4b2646a9226d8p-2, -0x1.4790bcadb5ba7p-2, -0x1.43fc7e81e87f6p-2, -0x1.4069c377ae72cp-2, -0x1.3cd8c1b446f72p-2, -0x1.3949ae2f7c083p-2, -0x1.35bcbcb31a548p-2, -0x1.32321fdaa1a2bp-2, -0x1.2eaa09132adeap-2, -0x1.2b24a89b843f4p-2, -0x1.27a22d847c0aap-2, -0x1.2422c5b15f404p-2, -0x1.20a69dd8a58f7p-2, -0x1.1d2de184ca9aep-2, -0x1.19b8bb155488cp-2, -0x1.164753c000d6ap-2, -0x1.12d9d3921e08cp-2, -0x1.0f7061720818ap-2, -0x1.0c0b2320ce3adp-2, -0x1.08aa3d3bf9305p-2, -0x1.054dd33f74c74p-2, -0x1.01f607879c8afp-2, -0x1.fd45f6a6cbd58p-3, -0x1.f6a99d8d5175ap-3, -0x1.f01741d90b37cp-3, -0x1.e98f1f73cf504p-3, -0x1.e31170204107p-3, -0x1.dc9e6b7f3938ap-3, -0x1.d6364715639e5p-3, -0x1.cfd9365102ca4p-3, -0x1.c9876a8fe3a2fp-3, -0x1.c34113257a36cp-3, -0x1.bd065d611ffbbp-3, -0x1.b6d774947a85bp-3, -0x1.b0b4821a056c6p-3, -0x1.aa9dad5bb693bp-3, -0x1.a4931bd9c4c31p-3, -0x1.9e94f13189809p-3, -0x1.98a34f247d505p-3, -0x1.92be559f43c8p-3, -0x1.8ce622c0de57ap-3, -0x1.871ad2e1e0d34p-3, -0x1.815c809bc4c75p-3, -0x1.7bab44d0475ap-3, -0x1.760736b0d9a66p-3, -0x1.70706bc619013p-3, -0x1.6ae6f7f75a989p-3, -0x1.656aed923712ep-3, -0x1.5ffc5d5227c5dp-3, -0x1.5a9b566823ed3p-3, -0x1.5547e6824950ep-3, -0x1.500219d38166cp-3, -0x1.4ac9fb1b2f3f6p-3, -0x1.459f93acdad05p-3, -0x1.4082eb77e1844p-3, -0x1.3b74090f1a7cp-3, -0x1.3672f1b0871ebp-3, -0x1.317fa94cf1323p-3, -0x1.2c9a328f8e39fp-3, -0x1.27c28ee595a4ap-3, -0x1.22f8be85d8bb8p-3, -0x1.1e3cc07845767p-3, -0x1.198e929d6db4ap-3, -0x1.14ee31b5fb1c8p-3, -0x1.105b996a1a2efp-3, -0x1.0bd6c450d90a7p-3, -0x1.075fabf780061p-3, -0x1.02f648e8cc63ep-3, -0x1.fd35256862583p-4, -0x1.f498ffe9f0bacp-4, -0x1.ec180cb2b6a34p-4, -0x1.e3b23553169abp-4, -0x1.db67619d49e57p-4, -0x1.d33777b32b43cp-4, -0x1.cb225c13d779ap-4, -0x1.c327f1a928e4ep-4, -0x1.bb4819d50fe45p-4, -0x1.b382b47eb9fcbp-4, -0x1.abd7a01f9e9a5p-4, -0x1.a446b9d051c4ap-4, -0x1.9ccfdd553c6e9p-4, -0x1.9572e52b14369p-4, -0x1.8e2faa934081p-4, -0x1.8706059ffdc6ep-4, -0x1.7ff5cd405f1dap-4, -0x1.78fed74c1bd99p-4, -0x1.7220f88f34e6dp-4, -0x1.6b5c04d564d45p-4, -0x1.64afcef5643e6p-4, -0x1.5e1c28dbfdaa9p-4, -0x1.57a0e396f18a4p-4, -0x1.513dcf5faa369p-4, -0x1.4af2bba5bf5d9p-4, -0x1.44bf7719485b6p-4, -0x1.3ea3cfb4ff12ep-4, -0x1.389f92c82fef5p-4, -0x1.32b28d007b1a7p-4, -0x1.2cdc8a73638ebp-4, -0x1.271d56a7ac8e8p-4, -0x1.2174bc9e87c78p-4, -0x1.1be286dc91538p-4, -0x1.16667f729bdf5p-4, -0x1.110070064b083p-4, -0x1.0bb021da7ddfep-4, -0x1.06755dd7893c5p-4, -0x1.014fec9342e26p-4, -0x1.f87f2cb1b40b1p-5, -0x1.ee88466107f4p-5, -0x1.e4bab5cdeb103p-5, -0x1.db160a29635a5p-5, -0x1.d199d24a49fbap-5, -0x1.c8459cbb2c90dp-5, -0x1.bf18f7c7d18c3p-5, -0x1.b613718a5df26p-5, -0x1.ad3497f824e35p-5, -0x1.a47bf8ee198c1p-5, -0x1.9be9223cef1e3p-5, -0x1.937ba1b4db2f7p-5, -0x1.8b33053102f46p-5, -0x1.830edaa293559p-5, -0x1.7b0eb01b8655dp-5, -0x1.733213d910283p-5, -0x1.6b78944dbd76p-5, -0x1.63e1c02b416c9p-5, -0x1.5c6d266beea56p-5, -0x1.551a565be1f1fp-5, -0x1.4de8dfa1e561cp-5, -0x1.46d85247faf77p-5, -0x1.3fe83ec3a6a11p-5, -0x1.391835fde2b0dp-5, -0x1.3267c95ad668fp-5, -0x1.2bd68ac1397edp-5, -0x1.25640ca1773aep-5, -0x1.1f0fe1fc875b3p-5, -0x1.18d99e6a86931p-5, -0x1.12c0d6210851ep-5, -0x1.0cc51df923943p-5, -0x1.06e60b7545a6ap-5, -0x1.012334c6bf3edp-5, -0x1.f6f861a628b7p-6, -0x1.ebe12e721a53cp-6, -0x1.e10000ab222c4p-6, -0x1.d6540a907592p-6, -0x1.cbdc7fef7cd0fp-6, -0x1.c198962c20521p-6, -0x1.b7878448ab7c8p-6, -0x1.ada882ed3fb3bp-6, -0x1.a3facc6edfe4cp-6, -0x1.9a7d9cd613edbp-6, -0x1.913031e525487p-6, -0x1.8811cb1dfb4dcp-6, -0x1.7f21a9c790bb4p-6, -0x1.765f10f3135f8p-6, -0x1.6dc945809e722p-6, -0x1.655f8e23a12dfp-6, -0x1.5d213366ed75bp-6, -0x1.550d7fb06feabp-6, -0x1.4d23bf448a6ccp-6, -0x1.4563404937023p-6, -0x1.3dcb52c8bf162p-6, -0x1.365b48b43a6b9p-6, -0x1.2f1275e5b781ep-6, -0x1.27f0302223f12p-6, -0x1.20f3cf1ae48d7p-6, -0x1.1a1cac6f375b8p-6, -0x1.136a23ad405f6p-6, -0x1.0cdb9252e7462p-6, -0x1.067057ce6d486p-6, -0x1.0027d57ec7f0ap-6, -0x1.f402dd677d537p-7, -0x1.e7f9115bb24e3p-7, -0x1.dc31153c15e69p-7, -0x1.d0a9bb4a62834p-7, -0x1.c561d9a6ae173p-7, -0x1.ba584a4da65d2p-7, -0x1.af8beb164fd2p-7, -0x1.a4fb9daf8288cp-7, -0x1.9aa6479cf0c6fp-7, -0x1.908ad233faf68p-7, -0x1.86a82a9817393p-7, -0x1.7cfd41b6eb94dp-7, -0x1.73890c442b9a5p-7, -0x1.6a4a82b5192a5p-7, -0x1.6140a13bccee3p-7, -0x1.586a67c232d15p-7, -0x1.4fc6d9e4c7255p-7, -0x1.4754feed25796p-7, -0x1.3f13e1cc3a45dp-7, -0x1.370291145e7f9p-7, -0x1.2f201ef329245p-7, -0x1.276ba12b1495cp-7, -0x1.1fe4310cf4f31p-7, -0x1.1888eb7138f78p-7, -0x1.1158f0b102bcep-7, -0x1.0a53649f1c0a6p-7, -0x1.03776e80aff39p-7, -0x1.f988720c07ce7p-8, -0x1.ec71e485c5445p-8, -0x1.dfa9974e0d23bp-8, -0x1.d32df3eca3f1fp-8, -0x1.c6fd6a81e86fep-8, -0x1.bb1671b6e1eebp-8, -0x1.af7786ad20c33p-8, -0x1.a41f2cee72d08p-8, -0x1.990bee5c4fbbap-8, -0x1.8e3c5b1f436ebp-8, -0x1.83af099630ec4p-8, -0x1.796296454bf34p-8, -0x1.6f55a3c539c3bp-8, -0x1.6586dab1cfa64p-8, -0x1.5bf4e998e3788p-8, -0x1.529e84e909ecdp-8, -0x1.498266e026e8cp-8, -0x1.409f4f7a0b672p-8, -0x1.37f4045ef6a2ep-8, -0x1.2f7f50d21a5bep-8, -0x1.274005a00baebp-8, -0x1.1f34f90d2d2bbp-8, -0x1.175d06c41d26bp-8, -0x1.0fb70fc42d085p-8, -0x1.0841fa4fbf02ap-8, -0x1.00fcb1dadc10cp-8, -0x1.f3cc4df31032bp-9, -0x1.e5fa9e9ca499fp-9, -0x1.d8824af1bd87bp-9, -0x1.cb615208f088dp-9, -0x1.be95bcad83b21p-9, -0x1.b21d9d3cb414ep-9, -0x1.a5f70f8359a7ap-9, -0x1.9a20389b7f5b8p-9, -0x1.8e9746ca244a7p-9, -0x1.835a715d51e6fp-9, -0x1.7867f88a442f3p-9, -0x1.6dbe254bb046ap-9, -0x1.635b494069128p-9, -0x1.593dbe89fec5bp-9, -0x1.4f63e7abb5ae3p-9, -0x1.45cc2f69cc62dp-9, -0x1.3c7508a8be907p-9, -0x1.335cee4cef5c2p-9, -0x1.2a82631aacb7ap-9, -0x1.21e3f19626536p-9, -0x1.19802be3dc78fp-9, -0x1.1155aba94f129p-9, -0x1.096311edd53b4p-9, -0x1.01a706fbc42e9p-9, -0x1.f4407483f83bfp-10, -0x1.e59ac46b5aa29p-10, -0x1.d75a786885fd6p-10, -0x1.c97d18cba05b8p-10, -0x1.bc003b3f11f98p-10, -0x1.aee1828d77605p-10, -0x1.a21e9e6843286p-10, -0x1.95b54b2e7d028p-10, -0x1.89a351b48836cp-10, -0x1.7de6870c617bcp-10, -0x1.727ccc4e84903p-10, -0x1.67640e6375162p-10, -0x1.5c9a45cdb6e47p-10, -0x1.521d7674cdceep-10, -0x1.47ebaf706054dp-10, -0x1.3e030ad4892ep-10, -0x1.3461ad7e6b455p-10, -0x1.2b05c6e193bdp-10, -0x1.21ed90d5a5226p-10, -0x1.19174f6556a72p-10, -0x1.1081509d54f4p-10, -0x1.0829ec5c661e1p-10, -0x1.000f8423db853p-10, -0x1.f06105d164dfcp-11, -0x1.e116b9caf1926p-11, -0x1.d23d1ed927316p-11, -0x1.c3d141771db4bp-11, -0x1.b5d03f9d13a5ap-11, -0x1.a837486988d0dp-11, -0x1.9b039bcb04c7cp-11, -0x1.8e328a2b3a6a6p-11, -0x1.81c1741b9aee9p-11, -0x1.75adca0329c95p-11, -0x1.69f50bccddc85p-11, -0x1.5e94c89882ce6p-11, -0x1.538a9e6b34e12p-11, -0x1.48d439e2d659cp-11, -0x1.3e6f55e916d7ep-11, -0x1.3459bb6907e7ap-11, -0x1.2a914104d53b6p-11, -0x1.2113cacd8b5e5p-11, -0x1.17df49fb358b9p-11, -0x1.0ef1bca6cfe6p-11, -0x1.06492d84ec403p-11, -0x1.fbc7674366f38p-12, -0x1.eb7ee43c3728dp-12, -0x1.dbb52fdc1e5ccp-12, -0x1.cc66bf2f33099p-12, -0x1.bd901de76ea5fp-12, -0x1.af2deddefcc67p-12, -0x1.a13ce69e0ef79p-12, -0x1.93b9d4e14dc4dp-12, -0x1.86a19a2432e63p-12, -0x1.79f12c2be848bp-12, -0x1.6da5949560996p-12, -0x1.61bbf0647e7b7p-12, -0x1.56316f95f80ccp-12, -0x1.4b0354b34308ep-12, -0x1.402ef467ea1c3p-12, -0x1.35b1b518f8572p-12, -0x1.2b890e7eef67p-12, -0x1.21b28940a8e56p-12, -0x1.182bbe90c02bbp-12, -0x1.0ef257cd2531fp-12, -0x1.06040e1f22b87p-12, -0x1.fabd543e79daap-13, -0x1.ea0006f1e3cd5p-13, -0x1.d9cc0123257b5p-13, -0x1.ca1d2c5f9983fp-13, -0x1.baef8e4ba19e1p-13, -0x1.ac3f47f890e4cp-13, -0x1.9e0895402546bp-13, -0x1.9047cc20a87e8p-13, -0x1.82f95c1dea3bdp-13, -0x1.7619cda600c5ep-13, -0x1.69a5c177a457fp-13, -0x1.5d99f00ca8563p-13, -0x1.51f32906c27a3p-13, -0x1.46ae529fef0a9p-13, -0x1.3bc8691c79b4cp-13, -0x1.313e7e42bc458p-13, -0x1.270db8d299d38p-13, -0x1.1d3354012b921p-13, -0x1.13ac9ef82219cp-13, -0x1.0a76fc56426aap-13, -0x1.018fe1b394b01p-13, -0x1.f1e9ae50641c2p-14, -0x1.e146eda7c6cb8p-14, -0x1.d132d8d5770b5p-14, -0x1.c1a8e98660503p-14, -0x1.b2a4bacd37dfap-14, -0x1.a422084737f27p-14, -0x1.961cad47d215ep-14, -0x1.8890a409bbb98p-14, -0x1.7b7a04e0c02dap-14, -0x1.6ed50573a3425p-14, -0x1.629df7f870236p-14, -0x1.56d14a75108f6p-14, -0x1.4b6b86058cf45p-14, -0x1.40694e264aafdp-14, -0x1.35c76000f4837p-14, -0x1.2b8291bef117fp-14, -0x1.2197d1deb6533p-14, -0x1.180426905976fp-14, -0x1.0ec4ad1027be4p-14, -0x1.05d69909e9743p-14, -0x1.fa6e67f9c4bf9p-15, -0x1.e9c7b946f5ddcp-15, -0x1.d9b40cc4e8b0ep-15, -0x1.ca2e716c4ece1p-15, -0x1.bb321d4d5a5b6p-15, -0x1.acba6c7b46bbbp-15, -0x1.9ec2e000b2cabp-15, -0x1.91471cdc0fdf6p-15, -0x1.8442eafe673e6p-15, -0x1.77b234504bc58p-15, -0x1.6b9103bf1df96p-15, -0x1.5fdb844e9b4ffp-15, -0x1.548e00326cff9p-15, -0x1.49a4dfeb4de5bp-15, -0x1.3f1ca96a5d5fep-15, -0x1.34f1ff3995e9fp-15, -0x1.2b219faaff5a1p-15, -0x1.21a8640d0d2c2p-15, -0x1.18833fe207be6p-15, -0x1.0faf401f72e89p-15, -0x1.07298a6d070c8p-15, -0x1.fddeb8dc24f4fp-16, -0x1.edfc16198d426p-16, -0x1.dea6039904dc1p-16, -0x1.cfd78438fd5ap-16, -0x1.c18bc56654eecp-16, -0x1.b3be1dd599f31p-16, -0x1.a66a0c496b9bp-16, -0x1.998b36603e2e6p-16, -0x1.8d1d67653fd06p-16, -0x1.811c8f2ebe99dp-16, -0x1.7584c0ff6c3fcp-16, -0x1.6a52327461368p-16, -0x1.5f813a7764f24p-16, -0x1.550e5037c96b4p-16, -0x1.4af60a2be67a9p-16, -0x1.41351d1a2f7d4p-16, -0x1.37c85b258d8e2p-16, -0x1.2eacb2e4f9e41p-16, -0x1.25df2e81f4f3ap-16, -0x1.1d5cf2d539c44p-16, -0x1.15233e8fad9c9p-16, -0x1.0d2f69684dfc9p-16, -0x1.057ee3513e5e9p-16, -0x1.fc1e675fa7e27p-17, -0x1.edbbf137c75dep-17, -0x1.dfd1cc4c325b2p-17, -0x1.d25b8b3cf717cp-17, -0x1.c554e9c940ddp-17, -0x1.b8b9cb77af71ap-17, -0x1.ac863a4952517p-17, -0x1.a0b66577cf24ap-17, -0x1.9546a02f241d8p-17, -0x1.8a33606411cc8p-17, -0x1.7f793da85b8ddp-17, -0x1.7514f008395d3p-17, -0x1.6b034ef34fb39p-17, -0x1.6141502c8cce2p-17, -0x1.57cc06c53b4a6p-17, -0x1.4ea0a213ca753p-17, -0x1.45bc6cc50134bp-17, -0x1.3d1ccbe54a93ep-17, -0x1.34bf3dfa45a61p-17, -0x1.2ca15a1f6e56bp-17, -0x1.24c0cf26260cp-17, -0x1.1d1b62c34c508p-17, -0x1.15aef0bf0d914p-17, -0x1.0e796a2e45d68p-17, -0x1.0778d4ad94683p-17, -0x1.00ab49a7e4e92p-17, -0x1.f41deb3e464bfp-18, -0x1.e7442ef56822bp-18, -0x1.dac5ffbbf49bbp-18, -0x1.cea02102dd3d8p-18, -0x1.c2cf77210e783p-18, -0x1.b7510624d48b7p-18, -0x1.ac21f09e0082p-18, -0x1.a13f767fffd6ap-18, -0x1.96a6f405a426dp-18, -0x1.8c55e0a701529p-18, -0x1.8249ce095eef9p-18, -0x1.78806703507d2p-18, -0x1.6ef76ea63c972p-18, -0x1.65acbf4ea9ddfp-18, -0x1.5c9e49be1efabp-18, -0x1.53ca1440f352bp-18, -0x1.4b2e39d2e4fb3p-18, -0x1.42c8e94a1f5a9p-18, -0x1.3a98649695363p-18, -0x1.329afffd07149p-18, -0x1.2acf21580ecacp-18, -0x1.23333f651030cp-18, -0x1.1bc5e1192bbb5p-18, -0x1.14859cf4e2292p-18, -0x1.0d7118616de2ap-18, -0x1.0687071633dd7p-18, -0x1.ff8c54ff6e9a2p-19, -0x1.f25aa254ea66fp-19, -0x1.e576ac7ae7348p-19, -0x1.d8de41d96cce4p-19, -0x1.cc8f47e2127f2p-19, -0x1.c087ba2a81124p-19, -0x1.b4c5a973e91efp-19, -0x1.a9473abf7a64ap-19, -0x1.9e0aa66282f37p-19, -0x1.930e3738116d9p-19, -0x1.885049d5d689ep-19, -0x1.7dcf4bb93e575p-19, -0x1.7389ba8bbe80ep-19, -0x1.697e23679d0d2p-19, -0x1.5fab2224bd9f1p-19, -0x1.560f60a5d14a1p-19, -0x1.4ca99645d6085p-19, -0x1.437887233a8ebp-19, -0x1.3a7b0391c1dbdp-19, -0x1.31afe793356cap-19, -0x1.29161a485e2d5p-19, -0x1.20ac8d5be98c8p-19, -0x1.18723c80ceb4dp-19, -0x1.10662d0adc855p-19, -0x1.08876d69859b7p-19, -0x1.00d514ba7585ap-19, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.a047b90ea45dbp-7, -0x1.9f8d6bf71b796p-6, -0x1.36c5201f1a8c2p-5, -0x1.9cbaac6940242p-5, -0x1.00aea231e89fap-4, -0x1.323611b8380f2p-4, -0x1.62d815ecd4206p-4, -0x1.927de9982e981p-4, -0x1.c11562f16cfa4p-4, -0x1.ee90ad12f5f69p-4, -0x1.0d72f9137c2edp-3, -0x1.23077e87a5595p-3, -0x1.38046bc3a63a6p-3, -0x1.4c69b430a5ec9p-3, -0x1.60388a39ca807p-3, -0x1.737331fd57275p-3, -0x1.861cd6cc1ad8bp-3, -0x1.983963cf33865p-3, -0x1.a9cd5fff5bd4bp-3, -0x1.baddcd780dc74p-3, -0x1.cb700c18fde84p-3, -0x1.db89bf57c779p-3, -0x1.eb30b71886702p-3, -0x1.fa6adb5d072bp-3, -0x1.049f0d4b3e6ecp-2, -0x1.0bd82d3200d3fp-2, -0x1.12e3b544353e4p-2, -0x1.19c47cf1a8759p-2, -0x1.207d469da64aep-2, -0x1.2710bbd5125cap-2, -0x1.2d816a3f52f85p-2, -0x1.33d1c13586707p-2, -0x1.3a040fecfcf05p-2, -0x1.401a84239a953p-2, -0x1.4617293e2ea61p-2, -0x1.4bfbe7ca4bd7fp-2, -0x1.51ca855685e75p-2, -0x1.5784a49532671p-2, -0x1.5d2bc5bf0519bp-2, -0x1.62c1472beb8f7p-2, -0x1.684666198bbd3p-2, -0x1.6dbc3f97b79eep-2, -0x1.7323d193fe26ep-2, -0x1.787dfbfe3c371p-2, -0x1.7dcb8200c988p-2, -0x1.830d0b4783a2p-2, -0x1.884325517c8bbp-2, -0x1.8d6e44c9a3853p-2, -0x1.928ec6e33402bp-2, -0x1.97a4f2b71e76bp-2, -0x1.9cb0faa009cap-2, -0x1.a1b2fd92d24e8p-2, -0x1.a6ab0871d253dp-2, -0x1.ab99175971c72p-2, -0x1.b07d16e4c1177p-2, -0x1.b556e56921982p-2, -0x1.ba26542823e2dp-2, -0x1.beeb2876fe52cp-2, -0x1.c3a51cdb12d3ap-2, -0x1.c853e21b3549fp-2, -0x1.ccf720456ae3bp-2, -0x1.d18e77a903fa6p-2, -0x1.d61981c502e2cp-2, -0x1.da97d22ad876cp-2, -0x1.df08f75589b2cp-2, -0x1.e36c7b756ec8bp-2, -0x1.e7c1e530b027fp-2, -0x1.ec08b858cc402p-2, -0x1.f0407695615ccp-2, -0x1.f468a0048b368p-2, -0x1.f880b3d124434p-2, -0x1.fc8830bf40196p-2, -0x1.003f4ad79b353p-1, -0x1.0231b10bcc26fp-1, -0x1.041b0b3b35e3ap-1, -0x1.05fb1a5d0481ap-1, -0x1.07d1a050f9104p-1, -0x1.099e600c0324bp-1, -0x1.0b611dc131653p-1, -0x1.0d199f072822ep-1, -0x1.0ec7aafa46affp-1, -0x1.106b0a5ba8bfbp-1, -0x1.120387ad2931ep-1, -0x1.1390ef4a920cap-1, -0x1.15130f801cd3ep-1, -0x1.1689b89e6b0bap-1, -0x1.17f4bd0c1af5bp-1, -0x1.1953f155186d8p-1, -0x1.1aa72c37ce2a8p-1, -0x1.1bee46b0582d9p-1, -0x1.1d291c01d0a2cp-1, -0x1.1e5789bddbb9p-1, -0x1.1f796fca88a5p-1, -0x1.208eb066a6608p-1, -0x1.2197302ca2945p-1, -0x1.2292d6140e9a1p-1, -0x1.23818b71dd7f7p-1, -0x1.24633bf774c52p-1, -0x1.2537d5b0a2fbap-1, -0x1.25ff49008f5eap-1, -0x1.26b9889db6ab7p-1, -0x1.2766898d07395p-1, -0x1.2806431c2b48dp-1, -0x1.2898aedb13cap-1, -0x1.291dc894d05abp-1, -0x1.29958e47c56bep-1, -0x1.2a00001d4bfd2p-1, -0x1.2a5d2060c9014p-1, -0x1.2aacf37646191p-1, -0x1.2aef7fd09c221p-1, -0x1.2b24cde73356cp-1, -0x1.2b4ce82b690d6p-1, -0x1.2b67dafda13dfp-1, -0x1.2b75b4a20e24dp-1, -0x1.2b768535365dcp-1, -0x1.2b6a5ea03fd75p-1, -0x1.2b51548d09f4fp-1, -0x1.2b2b7c5a1b7d9p-1, -0x1.2af8ed0e6b98fp-1, -0x1.2ab9bf4d0ce48p-1, -0x1.2a6e0d48be95fp-1, -0x1.2a15f2b76b94bp-1, -0x1.29b18cc59ad8cp-1, -0x1.2940fa09d61bcp-1, -0x1.28c45a780ccd3p-1, -0x1.283bcf54f4637p-1, -0x1.27a77b296ed45p-1, -0x1.270781b5f61d6p-1, -0x1.265c07e6133a9p-1, -0x1.25a533c3e2174p-1, -0x1.24e32c6ba8ap-1, -0x1.241619ff7efbfp-1, -0x1.233e259b0ff6ap-1, -0x1.225b794772429p-1, -0x1.216e3fef1c204p-1, -0x1.2076a551f63dbp-1, -0x1.1f74d5f98c0fp-1, -0x1.1e68ff2d5fc56p-1, -0x1.1d534ee75fb3fp-1, -0x1.1c33f3c88267ep-1, -0x1.1b0b1d0d86d14p-1, -0x1.19d8fa83df4d4p-1, -0x1.189dbc7ec32c4p-1, -0x1.175993cc6c325p-1, -0x1.160cb1ab7f326p-1, -0x1.14b747c0a1141p-1, -0x1.1359880c39d01p-1, -0x1.11f3a4e064f0ep-1, -0x1.1085d0d712ad1p-1, -0x1.0f103ec857d88p-1, -0x1.0d9321c0eededp-1, -0x1.0c0eacf8e957cp-1, -0x1.0a8313ca949f7p-1, -0x1.08f089a98f084p-1, -0x1.0757421a112ap-1, -0x1.05b770a86874p-1, -0x1.041148e0a72e2p-1, -0x1.0264fe4685bc6p-1, -0x1.00b2c44d78a8fp-1, -0x1.fdf59ca1f679fp-2, -0x1.fa7a9f1a18e9fp-2, -0x1.f6f4f62dc339ap-2, -0x1.f36507ab97001p-2, -0x1.efcb38f8a2839p-2, -0x1.ec27ef02fa3fbp-2, -0x1.e87b8e34be9ccp-2, -0x1.e4c67a67865dfp-2, -0x1.e10916d8314b8p-2, -0x1.dd43c61b2075p-2, -0x1.d976ea10d63f7p-2, -0x1.d5a2e3dafc7b5p-2, -0x1.d1c813d1ccff8p-2, -0x1.cde6d979e19efp-2, -0x1.c9ff937a6863dp-2, -0x1.c6129f93b5ea5p-2, -0x1.c2205a963ff67p-2, -0x1.be292059f7091p-2, -0x1.ba2d4bb5fd32ep-2, -0x1.b62d3678c3d09p-2, -0x1.b22939607f7b3p-2, -0x1.ae21ac13feed1p-2, -0x1.aa16e51bdb9efp-2, -0x1.a60939dc05e02p-2, -0x1.a1f8fe8dacd9ap-2, -0x1.9de686397be42p-2, -0x1.99d222b232773p-2, -0x1.95bc248f8f37dp-2, -0x1.91a4db2993defp-2, -0x1.8d8c949418b9dp-2, -0x1.89739d9ab3bafp-2, -0x1.855a41bcf158cp-2, -0x1.8140cb2adbb55p-2, -0x1.7d2782c1cf9e3p-2, -0x1.790eb0099da2bp-2, -0x1.74f69931f7b0bp-2, -0x1.70df831025f0cp-2, -0x1.6cc9b11d03531p-2, -0x1.68b56573446f5p-2, -0x1.64a2e0cdfd498p-2, -0x1.609262876f374p-2, -0x1.5c84289814c83p-2, -0x1.58786f95f1da6p-2, -0x1.546f72b41cda9p-2, -0x1.50696bc288abdp-2, -0x1.4c66932e0a5f4p-2, -0x1.4867200094231p-2, -0x1.446b47e1adc3fp-2, -0x1.40733f171fc2fp-2, -0x1.3c7f3885d3a22p-2, -0x1.388f65b2eb9c1p-2, -0x1.34a3f6c50503dp-2, -0x1.30bd1a85b0be7p-2, -0x1.2cdafe6317b6fp-2, -0x1.28fdce71cc2e3p-2, -0x1.2525b56ec695ep-2, -0x1.2152dcc18df55p-2, -0x1.1d856c7e85402p-2, -0x1.19bd8b6962047p-2, -0x1.15fb5ef7c80a1p-2, -0x1.123f0b540821cp-2, -0x1.0e88b3600141dp-2, -0x1.0ad878b8214d7p-2, -0x1.072e7bb6889a9p-2, -0x1.038adb76484bep-2, -0x1.ffdb6bad78bfap-3, -0x1.f8ae4efe09f31p-3, -0x1.f18e97c32a6dbp-3, -0x1.ea7c7a7fb8d2cp-3, -0x1.e378295c0c5d3p-3, -0x1.dc81d42d9e67p-3, -0x1.d599a87edf0a6p-3, -0x1.cebfd1972f957p-3, -0x1.c7f47882fd8a4p-3, -0x1.c137c41c0451cp-3, -0x1.ba89d911aa347p-3, -0x1.b3ead9f17a58cp-3, -0x1.ad5ae72fb844ep-3, -0x1.a6da1f300ce1cp-3, -0x1.a0689e4e489b4p-3, -0x1.9a067ee737f86p-3, -0x1.93b3d9618d504p-3, -0x1.8d70c436d34adp-3, -0x1.873d53fc71da7p-3, -0x1.81199b6cbdc32p-3, -0x1.7b05ab7011cf9p-3, -0x1.75019325ec6b4p-3, -0x1.6f0d5fee17cb5p-3, -0x1.69291d71d136p-3, -0x1.6354d5acf7539p-3, -0x1.5d9090f7387f2p-3, -0x1.57dc560d3aef5p-3, -0x1.52382a19c6a16p-3, -0x1.4ca410beee62fp-3, -0x1.47200c1f29e7dp-3, -0x1.41ac1ce67607ep-3, -0x1.3c4842535e1eap-3, -0x1.36f47a40080e2p-3, -0x1.31b0c12b314d8p-3, -0x1.2c7d12411b41bp-3, -0x1.27596764708c2p-3, -0x1.2245b9371b66p-3, -0x1.1d41ff230a633p-3, -0x1.184e2f62e2bd1p-3, -0x1.136a3f0aa9d13p-3, -0x1.0e9622104ef56p-3, -0x1.09d1cb5432a8bp-3, -0x1.051d2ca987f13p-3, -0x1.007836deaeb08p-3, -0x1.f7c5b38ae5681p-4, -0x1.eeba087666092p-4, -0x1.e5cd4861e8351p-4, -0x1.dcff4d66b828p-4, -0x1.d44fefe5290f5p-4, -0x1.cbbf06941cdf2p-4, -0x1.c34c669071c44p-4, -0x1.baf7e36c23f12p-4, -0x1.b2c14f3d45318p-4, -0x1.aaa87aacbdf58p-4, -0x1.a2ad3504db57fp-4, -0x1.9acf4c3f96c66p-4, -0x1.930e8d14bf39dp-4, -0x1.8b6ac307cd77p-4, -0x1.83e3b87596013p-4, -0x1.7c7936a1b39f7p-4, -0x1.752b05c3c1dbcp-4, -0x1.6df8ed1450155p-4, -0x1.66e2b2d9a9794p-4, -0x1.5fe81c74569c4p-4, -0x1.5908ee6b688bfp-4, -0x1.5244ec78856bdp-4, -0x1.4b9bd993bf978p-4, -0x1.450d77ff2a455p-4, -0x1.3e9989523718ep-4, -0x1.383fce84d6d67p-4, -0x1.320007fa5dc02p-4, -0x1.2bd9f58c2de41p-4, -0x1.25cd569425f4fp-4, -0x1.1fd9e9f6d5e8p-4, -0x1.19ff6e2d743d1p-4, -0x1.143da14f9f07fp-4, -0x1.0e94411cdf398p-4, -0x1.09030b05f1ae2p-4, -0x1.0389bc35d8779p-4, -0x1.fc5023355d29p-5, -0x1.f1bb8fdc9633cp-5, -0x1.e755377d4142cp-5, -0x1.dd1c92ebde4fep-5, -0x1.d3111ac571666p-5, -0x1.c932477efd743p-5, -0x1.bf7f917497a96p-5, -0x1.b5f870f80c034p-5, -0x1.ac9c5e5f15793p-5, -0x1.a36ad211312ecp-5, -0x1.9a6344950168dp-5, -0x1.91852e9d5346p-5, -0x1.88d00915b2773p-5, -0x1.80434d2ea2e6p-5, -0x1.77de746973f82p-5, -0x1.6fa0f8a3ac61ep-5, -0x1.678a54221da7fp-5, -0x1.5f9a019b8fd6bp-5, -0x1.57cf7c4311642p-5, -0x1.502a3fd1f67fcp-5, -0x1.48a9c89165ae9p-5, -0x1.414d9363a4042p-5, -0x1.3a151dccf178ep-5, -0x1.32ffe5fc22c08p-5, -0x1.2c0d6ad2d8424p-5, -0x1.253d2bed669b2p-5, -0x1.1e8ea9aa6ee8p-5, -0x1.180165321d56ap-5, -0x1.1194e07d21b33p-5, -0x1.0b489e5b5762cp-5, -0x1.051c227a1838ap-5, -0x1.fe1de2d4ac97ap-6, -0x1.f241214cbc616p-6, -0x1.e6a10d2e9e9f3p-6, -0x1.db3cb534b45afp-6, -0x1.d0132a0b5a278p-6, -0x1.c5237e5a50d9bp-6, -0x1.ba6cc6cd8e41fp-6, -0x1.afee1a1d9e036p-6, -0x1.a5a691177174cp-6, -0x1.9b9546a3bf9fp-6, -0x1.91b957cdf06b6p-6, -0x1.8811e3ca8b44ap-6, -0x1.7e9e0bfd28763p-6, -0x1.755cf3fe18a86p-6, -0x1.6c4dc19f664aap-6, -0x1.636f9cf19be16p-6, -0x1.5ac1b048114bdp-6, -0x1.5243283ccb424p-6, -0x1.49f333b40a9d2p-6, -0x1.41d103df68e77p-6, -0x1.39dbcc40affc1p-6, -0x1.3212c2ac3899cp-6, -0x1.2a751f4b08edfp-6, -0x1.23021c9c92042p-6, -0x1.1bb8f778229dcp-6, -0x1.1498ef0dfff77p-6, -0x1.0da144e83dd18p-6, -0x1.06d13ceb37785p-6, -0x1.00281d55ccfd5p-6, -0x1.f34a5d82b85a2p-7, -0x1.e68f7842d403fp-7, -0x1.da1e2586208c4p-7, -0x1.cdf50498646b4p-7, -0x1.c212b974b3beap-7, -0x1.b675ecc2ee85fp-7, -0x1.ab1d4bd4ade9bp-7, -0x1.a00788a1c253cp-7, -0x1.953359c443c0ep-7, -0x1.8a9f7a7446983p-7, -0x1.804aaa833236ap-7, -0x1.7633ae5694985p-7, -0x1.6c594ee2cd30cp-7, -0x1.62ba59a5299eep-7, -0x1.5955a09dd6bf9p-7, -0x1.5029fa497eb71p-7, -0x1.4736419a73ff7p-7, -0x1.3e7955f1c26d6p-7, -0x1.35f21b17d129ep-7, -0x1.2d9f7934e592ap-7, -0x1.25805cc94761bp-7, -0x1.1d93b6a53153ep-7, -0x1.15d87be093a49p-7, -0x1.0e4da5d2860a3p-7, -0x1.06f23208aedb4p-7, -0x1.ff8a447c8587p-8, -0x1.f18af8a616baap-8, -0x1.e3e494841e71p-8, -0x1.d69534307d9bdp-8, -0x1.c99afbd5a5457p-8, -0x1.bcf4179b5dd26p-8, -0x1.b09ebb92ec21p-8, -0x1.a49923a351f74p-8, -0x1.98e193750f7e1p-8, -0x1.8d76565dd2294p-8, -0x1.8255bf4bf8468p-8, -0x1.777e28b1afc77p-8, -0x1.6cedf47053d0ep-8, -0x1.62a38bc3211f8p-8, -0x1.589d5f2a3dbd1p-8, -0x1.4ed9e65574269p-8, -0x1.4557a00ebc0fep-8, -0x1.3c151224ce216p-8, -0x1.3310c955a491ep-8, -0x1.2a495938ceffcp-8, -0x1.21bd5c29f983ap-8, -0x1.196b7333044d4p-8, -0x1.115245f686c5dp-8, -0x1.09708299f6176p-8, -0x1.01c4ddb003ffdp-8, -0x1.f49c2445a5b6bp-9, -0x1.e615c23ccc65cp-9, -0x1.d7f423f5ca42cp-9, -0x1.ca34e44de0da2p-9, -0x1.bcd5aa246b6ap-9, -0x1.afd4282f9ad85p-9, -0x1.a32e1cd18b2a8p-9, -0x1.96e151edc9949p-9, -0x1.8aeb9cbe617f5p-9, -0x1.7f4adda9b678bp-9, -0x1.73fd00183e0d5p-9, -0x1.68fffa4a619a4p-9, -0x1.5e51cd2ec5739p-9, -0x1.53f08438bec46p-9, -0x1.49da3536f4c8p-9, -0x1.400d002a45908p-9, -0x1.36870f1d1773fp-9, -0x1.2d4695fabe2d3p-9, -0x1.2449d2672dad2p-9, -0x1.1b8f0b9739a83p-9, -0x1.13149228c9e1fp-9, -0x1.0ad8bffb721cbp-9, -0x1.02d9f809aa7a8p-9, -0x1.f62d4c83c68c4p-10, -0x1.e71a7ec0e0b07p-10, -0x1.d87881929127cp-10, -0x1.ca4460c5357cep-10, -0x1.bc7b38de619a9p-10, -0x1.af1a36d3b673cp-10, -0x1.a21e97c146f38p-10, -0x1.9585a8a158d4dp-10, -0x1.894cc60490703p-10, -0x1.7d715bcb2d00ep-10, -0x1.71f0e4ded5075p-10, -0x1.66c8eaed35376p-10, -0x1.5bf70623a91c6p-10, -0x1.5178dceafec29p-10, -0x1.474c23a4ce93ep-10, -0x1.3d6e9c68a1aa2p-10, -0x1.33de16c35bf7dp-10, -0x1.2a986f75f48cbp-10, -0x1.219b9035ba2b9p-10, -0x1.18e56f6d86906p-10, -0x1.10740fff0a7c3p-10, -0x1.08458105abb2ap-10, -0x1.0057dd9a3e4bp-10, -0x1.f152992c9b0e8p-11, -0x1.e27000b39f25bp-11, -0x1.d4046d210be1fp-11, -0x1.c60c6ff1897aep-11, -0x1.b884b05569fadp-11, -0x1.ab69eac1414ccp-11, -0x1.9eb8f07fc06c5p-11, -0x1.926ea7452d1d9p-11, -0x1.868808c492c57p-11, -0x1.7b022246a15ap-11, -0x1.6fda1441e178cp-11, -0x1.650d11f471337p-11, -0x1.5a9860ff4345dp-11, -0x1.507959037097ap-11, -0x1.46ad6340a4924p-11, -0x1.3d31fa347a679p-11, -0x1.3404a93deaadap-11, -0x1.2b230c3e1ca5p-11, -0x1.228acf3e6c562p-11, -0x1.1a39ae15c1441p-11, -0x1.122d74103dadep-11, -0x1.0a63fb98943fap-11, -0x1.02db2de2398a3p-11, -0x1.f722052aeb93fp-12, -0x1.e906fef8a067bp-12, -0x1.db617062e46cp-12, -0x1.ce2d9ba1433e2p-12, -0x1.c167dd5114215p-12, -0x1.b50cabd95edap-12, -0x1.a91896d56024dp-12, -0x1.9d88467e11f98p-12, -0x1.92587b19a6ec3p-12, -0x1.87860c6afcfffp-12, -0x1.7d0de925b4f91p-12, -0x1.72ed166373d37p-12, -0x1.6920af1c97d3ap-12, -0x1.5fa5e3a25d162p-12, -0x1.5679f91c9b8f1p-12, -0x1.4d9a490a96ea2p-12, -0x1.450440c43c4ddp-12, -0x1.3cb560fe552d5p-12, -0x1.34ab3d527a446p-12, -0x1.2ce37bc861ce5p-12, -0x1.255bd461062ap-12, -0x1.1e1210a55c05p-12, -0x1.17040b360e3p-12, -0x1.102faf5e9122p-12, -0x1.0992f8a929adp-12, -0x1.032bf2755fd8ap-12, -0x1.f9f16f2451ca3p-13, -0x1.edeee3b05ef6dp-13, -0x1.e24cb38f15ee5p-13, -0x1.d7076c4c3c732p-13, -0x1.cc1bb742cfadfp-13, -0x1.c18658e24a123p-13, -0x1.b7442ffa04029p-13, -0x1.ad52350569ed8p-13, -0x1.a3ad7980d77bfp-13, -0x1.9a53273e5a6ddp-13, -0x1.91407fbc6b2a4p-13, -0x1.8872db8529f43p-13, -0x1.7fe7a98de7c82p-13, -0x1.779c6e9b5e15ep-13, -0x1.6f8ec4a94d78bp-13, -0x1.67bc5a54920a9p-13, -0x1.6022f24a6f7b7p-13, -0x1.58c062b86611ap-13, -0x1.519294c120ceap-13, -0x1.4a9783f40b9f4p-13, -0x1.43cd3dc916b34p-13, -0x1.3d31e11e34fc5p-13, -0x1.36c39db71dd73p-13, -0x1.3080b3c24f7a7p-13, -0x1.2a67735f0665p-13, -0x1.24763c276a0ebp-13, -0x1.1eab7cbbaa176p-13, -0x1.1905b25219952p-13, -0x1.1383684999414p-13, -0x1.0e2337bbe7871p-13, -0x1.08e3c71644f74p-13, -0x1.03c3c9b147c3fp-13, -0x1.fd83fedca0c76p-14, -0x1.f3ba68ac4413p-14, -0x1.ea2880716cbb8p-14, -0x1.e0cc0ca0e59c9p-14, -0x1.d7a2e9d09f8b8p-14, -0x1.ceab0a06d95b2p-14, -0x1.c5e2740baff74p-14, -0x1.bd4742c41e3b5p-14, -0x1.b4d7a48d12671p-14, -0x1.ac91da9fa23d9p-14, -0x1.a47438708f626p-14, -0x1.9c7d231bc95d6p-14, -0x1.94ab10cf41c85p-14, -0x1.8cfc883dc1cdbp-14, -0x1.857020120cc14p-14, -0x1.7e047e66a2451p-14, -0x1.76b85842a62e9p-14, -0x1.6f8a7117b9744p-14, -0x1.68799a45fb304p-14, -0x1.6184b29f322e7p-14, -0x1.5aaaa5f187638p-14, -0x1.53ea6c93933d8p-14, -0x1.4d430af6ac9dcp-14, -0x1.46b391369bd8fp-14, -0x1.403b1ab0c7edcp-14, -0x1.39d8cd9b680d6p-14, -0x1.338bdaa357b89p-14, -0x1.2d537c88bf1a1p-14, -0x1.272ef7c10699ep-14, -0x1.211d9a19cbbp-14, -0x1.1b1eba624015fp-14, -0x1.1531b81219da7p-14, -0x1.0f55faf5777dap-14, -0x1.098af2daf16aep-14, -0x1.03d01743e70bp-14, -0x1.fc49ce30e4dbp-15, -0x1.f111d0b8e87dap-15, -0x1.e5f74fcd539bbp-15, -0x1.daf97231b9fc2p-15, -0x1.d0176b3d3be2ep-15, -0x1.c5507a52784ebp-15, -0x1.baa3ea5dfd955p-15, -0x1.b011115dcc0e1p-15, -0x1.a5974fe443a32p-15, -0x1.9b3610ab52b69p-15, -0x1.90ecc81c35b0ap-15, -0x1.86baf3e571105p-15, -0x1.7ca01a8e30f3ep-15, -0x1.729bcb11ea71p-15, -0x1.68ad9c7c7de7bp-15, -0x1.5ed52d8ce0b66p-15, -0x1.55122453d5c2dp-15, -0x1.4b642dde4882fp-15, -0x1.41cafddd971f9p-15, -0x1.38464e53877eep-15, -0x1.2ed5df411cbdep-15, -0x1.257976565229cp-15, -0x1.1c30deaa5c214p-15, -0x1.12fbe87141d11p-15, -0x1.09da68b7624fep-15, }}, 
      {{-0x1.3aa40bc16d025p-1, -0x1.3abce942348d1p-1, -0x1.3ae3e81697adap-1, -0x1.3b1614f9e9a53p-1, -0x1.3b501a80bde68p-1, -0x1.3b8e8a389b106p-1, -0x1.3bce0f622142bp-1, -0x1.3c0b90c70851ep-1, -0x1.3c4445e96e157p-1, -0x1.3c75c2d0e958ap-1, -0x1.3c9dfcf989852p-1, -0x1.3cbb4b53f3011p-1, -0x1.3ccc62d1fe453p-1, -0x1.3cd050a10df25p-1, -0x1.3cc672ed12892p-1, -0x1.3cae70d05d637p-1, -0x1.3c8831e9cab67p-1, -0x1.3c53d5f19b59bp-1, -0x1.3c11ac8bbed98p-1, -0x1.3bc22d828e94bp-1, -0x1.3b65f185e4f1p-1, -0x1.3afdab7f1365p-1, -0x1.3a8a2281ac12cp-1, -0x1.3a0c2c5acd154p-1, -0x1.3984a8bc0ded6p-1, -0x1.38f47cfc08e11p-1, -0x1.385c90645a178p-1, -0x1.37bdc903972dap-1, -0x1.371908f91134dp-1, -0x1.366f2c2feb92ap-1, -0x1.35c1067f1acd9p-1, -0x1.350f6224372ap-1, -0x1.345afe8f702c1p-1, -0x1.33a48f778b4fp-1, -0x1.32ecbc2d6ce9p-1, -0x1.32341f274f593p-1, -0x1.317b45bc757fp-1, -0x1.30c2b00ac987p-1, -0x1.300ad1006d87bp-1, -0x1.2f540e83e81dep-1, -0x1.2e9ec1b613e87p-1, -0x1.2deb374987411p-1, -0x1.2d39afeb9a979p-1, -0x1.2c8a60bba9b49p-1, -0x1.2bdd73cd8aee3p-1, -0x1.2b3308b49771fp-1, -0x1.2a8b3514f359ep-1, -0x1.29e605390e92dp-1, -0x1.29437ca99ca9p-1, -0x1.28a396c67b659p-1, -0x1.2806475f3f42ap-1, -0x1.276b7b4a41e6ep-1, -0x1.26d318f946b5p-1, -0x1.263d010ae60ecp-1, -0x1.25a90ed81ad1ap-1, -0x1.251718fd66673p-1, -0x1.2486f1df1f726p-1, -0x1.23f8682892797p-1, -0x1.236b4745b651fp-1, -0x1.22df57d743b4ep-1, -0x1.2254602112bc7p-1, -0x1.21ca2472ae3d4p-1, -0x1.2140678a18959p-1, -0x1.20b6eaf0ca152p-1, -0x1.202d6f52f46d3p-1, -0x1.1fa3b4d129814p-1, -0x1.1f197b4c7a446p-1, -0x1.1e8e82ad3b282p-1, -0x1.1e028b248a42fp-1, -0x1.1d755568cc9dp-1, -0x1.1ce6a2ed49c97p-1, -0x1.1c563615170ccp-1, -0x1.1bc3d26184dcbp-1, -0x1.1b2f3c9c4186bp-1, -0x1.1a983afd5f9a5p-1, -0x1.19fe954d79edep-1, -0x1.1962150421a89p-1, -0x1.18c28562ccdb8p-1, -0x1.181fb38c75d23p-1, -0x1.17796e9a1a99cp-1, -0x1.16cf87ac4f53ap-1, -0x1.1621d1fa0ea4dp-1, -0x1.157022dcf58f8p-1, -0x1.14ba51db17921p-1, -0x1.140038ae92d9fp-1, -0x1.1341b34b0e521p-1, -0x1.127e9fe1467dap-1, -0x1.11b6dee0cdd9fp-1, -0x1.10ea52f826d12p-1, -0x1.1018e113539c5p-1, -0x1.0f427058ffed2p-1, -0x1.0e66ea266165fp-1, -0x1.0d863a09e8d2fp-1, -0x1.0ca04dbce4b05p-1, -0x1.0bb5151c27055p-1, -0x1.0ac4821fcced2p-1, -0x1.09ce88d23ab6ep-1, -0x1.08d31f4661f1ap-1, -0x1.07d23d8d67996p-1, -0x1.06cbddabb8b15p-1, -0x1.05bffb8da29fp-1, -0x1.04ae94fb7e02fp-1, -0x1.0397a98d77b58p-1, -0x1.027b3a9f0d059p-1, -0x1.01594b4241d03p-1, -0x1.0031e0329d6c6p-1, -0x1.fe09ff8ffb2b8p-2, -0x1.fba563d28afffp-2, -0x1.f935fffde5ed3p-2, -0x1.f6bbe9cb49833p-2, -0x1.f43739c130ec9p-2, -0x1.f1a80b184decbp-2, -0x1.ef0e7ba08dbe4p-2, -0x1.ec6aaba639359p-2, -0x1.e9bcbdd7333c8p-2, -0x1.e704d7286d661p-2, -0x1.e4431ebb8ab0fp-2, -0x1.e177bdc4cb4bp-2, -0x1.dea2df71396cbp-2, -0x1.dbc4b0cd2a352p-2, -0x1.d8dd60ab0fe31p-2, -0x1.d5ed1f8aa9bb8p-2, -0x1.d2f41f809441fp-2, -0x1.cff2941e3951p-2, -0x1.cce8b25a2fe87p-2, -0x1.c9d6b07902759p-2, -0x1.c6bcc5f667744p-2, -0x1.c39b2b6eeb17fp-2, -0x1.c0721a8a0add9p-2, -0x1.bd41cde4ce048p-2, -0x1.ba0a80fccdbe1p-2, -0x1.b6cc701bbce79p-2, -0x1.b387d84367d5ep-2, -0x1.b03cf71a2e648p-2, -0x1.acec0ad7fe00ap-2, -0x1.a9955233c354ep-2, -0x1.a6390c515bf06p-2, -0x1.a2d778b002a27p-2, -0x1.9f70d7193af11p-2, -0x1.9c05679036d33p-2, -0x1.98956a41b9527p-2, -0x1.95211f7473e2p-2, -0x1.91a8c779e10cdp-2, -0x1.8e2ca29f95733p-2, -0x1.8aacf1210d3f3p-2, -0x1.8729f319f1391p-2, -0x1.83a3e878d29bdp-2, -0x1.801b10f25da82p-2, -0x1.7c8fabf501352p-2, -0x1.7901f89d097afp-2, -0x1.757235a92f6a1p-2, -0x1.71e0a16f97b8ap-2, -0x1.6e4d79d341349p-2, -0x1.6ab8fc39e33c7p-2, -0x1.6723658237f8fp-2, -0x1.638cf1fab1e62p-2, -0x1.5ff5dd589c3c5p-2, -0x1.5c5e62afa2428p-2, -0x1.58c6bc69bd1acp-2, -0x1.552f243f8878bp-2, -0x1.5197d330f8192p-2, -0x1.4e01017e6fbecp-2, -0x1.4a6ae6a23a9e2p-2, -0x1.46d5b94a61c96p-2, -0x1.4341af52dda64p-2, -0x1.3faefdc020ab9p-2, -0x1.3c1dd8b9fe7a8p-2, -0x1.388e7386e537p-2, -0x1.350100876ed4ep-2, -0x1.3175b13245151p-2, -0x1.2decb610551d2p-2, -0x1.2a663eb9546bap-2, -0x1.26e279d09101ep-2, -0x1.2361950210b7cp-2, -0x1.1fe3bcfff6eddp-2, -0x1.1c691d8032d0dp-2, -0x1.18f1e13a762e9p-2, -0x1.157e31e66eb3cp-2, -0x1.120e383a3eefbp-2, -0x1.0ea21be93db61p-2, -0x1.0b3a03a2ef1e3p-2, -0x1.07d615123d478p-2, -0x1.047674dceb2c8p-2, -0x1.011b46a33f504p-2, -0x1.fb8959ffd2b56p-3, -0x1.f4e5931033b1ap-3, -0x1.ee4b79979e676p-3, -0x1.e7bb4cacab58cp-3, -0x1.e135495df051bp-3, -0x1.dab9aab3b592fp-3, -0x1.d448a9b213a85p-3, -0x1.cde27d5b5f894p-3, -0x1.c7875ab2e5011p-3, -0x1.c13774bfff36cp-3, -0x1.baf2fc9170888p-3, -0x1.b4ba214107d01p-3, -0x1.ae8d0ff793ef9p-3, -0x1.a86bf3f10d06ap-3, -0x1.a256f68106a8fp-3, -0x1.9c4e3f175fa82p-3, -0x1.9651f34524e17p-3, -0x1.906236c1b360ap-3, -0x1.8a7f2b700ae4p-3, -0x1.84a8f1644efe8p-3, -0x1.7edfa6e97fa46p-3, -0x1.792368875324ep-3, -0x1.7374510841659p-3, -0x1.6dd2797fb40fep-3, -0x1.683df95056684p-3, -0x1.62b6e6328e7dap-3, -0x1.5d3d543b0ef94p-3, -0x1.57d155e1897acp-3, -0x1.5272fc077a75ep-3, -0x1.4d2255ff0db1cp-3, -0x1.47df719218c55p-3, -0x1.42aa5b09272b7p-3, -0x1.3d831d329e17p-3, -0x1.3869c169e8316p-3, -0x1.335e4f9eb5948p-3, -0x1.2e60ce5c47338p-3, -0x1.297142d0bdc8fp-3, -0x1.248fb0d476d76p-3, -0x1.1fbc1af174382p-3, -0x1.1af6826ab9fd3p-3, -0x1.163ee743beccp-3, -0x1.11954847d6f1p-3, -0x1.0cf9a3119b0d1p-3, -0x1.086bf4125870ap-3, -0x1.03ec369970bf8p-3, -0x1.fef4c9b78846bp-4, -0x1.f62ceff60b01bp-4, -0x1.ed80d01a3274ep-4, -0x1.e4f05846b6a52p-4, -0x1.dc7b74a3ce9fdp-4, -0x1.d4220f6da5e04p-4, -0x1.cbe41102ae85dp-4, -0x1.c3c15ff1f1c8p-4, -0x1.bbb9e1092d655p-4, -0x1.b3cd7762e13dep-4, -0x1.abfc04743f051p-4, -0x1.a445681aefbb2p-4, -0x1.9ca980aac40a2p-4, -0x1.95282afb2e73cp-4, -0x1.8dc14274b2c46p-4, -0x1.8674a11e12abfp-4, -0x1.7f421fa966fd4p-4, -0x1.7829958107aabp-4, -0x1.712ad8d4487cdp-4, -0x1.6a45bea40f6e6p-4, -0x1.637a1acf3cc47p-4, -0x1.5cc7c01ee4e1ap-4, -0x1.562e80525b20fp-4, -0x1.4fae2c2b15a2ap-4, -0x1.4946937856841p-4, -0x1.42f78522aeea9p-4, -0x1.3cc0cf374aa44p-4, -0x1.36a23ef31108cp-4, -0x1.309ba0cd8d34dp-4, -0x1.2aacc083aad1ap-4, -0x1.24d569223c52ep-4, -0x1.1f15651051b5cp-4, -0x1.196c7e195a1e5p-4, -0x1.13da7d77118f9p-4, -0x1.0e5f2bdb41137p-4, -0x1.08fa517945017p-4, -0x1.03abb60f636cp-4, -0x1.fce641dfdda9ap-5, -0x1.f2a0b2146d7c7p-5, -0x1.e88649e68366ap-5, -0x1.de9695dcad841p-5, -0x1.d4d121eaaa58cp-5, -0x1.cb357981aefeap-5, -0x1.c1c327a044d54p-5, -0x1.b879b6e1c9f38p-5, -0x1.af58b18d8beadp-5, -0x1.a65fa1a57956ep-5, -0x1.9d8e10f476e45p-5, -0x1.94e3891c52e1ap-5, -0x1.8c5f93a351b8dp-5, -0x1.8401ba015f484p-5, -0x1.7bc985acda8d4p-5, -0x1.73b680270ef95p-5, -0x1.6bc8330844ee1p-5, -0x1.63fe280b711d4p-5, -0x1.5c57e9199b6e6p-5, -0x1.54d50054d8d1p-5, -0x1.4d74f822f4d7fp-5, -0x1.46375b37c0329p-5, -0x1.3f1bb49f0731p-5, -0x1.38218fc6348aep-5, -0x1.314878859f5a9p-5, -0x1.2a8ffb29817cap-5, -0x1.23f7a47a9e111p-5, -0x1.1d7f01c69c57p-5, -0x1.1725a0e805ff3p-5, -0x1.10eb104e013cfp-5, -0x1.0acedf03bdc8ep-5, -0x1.04d09cb78e272p-5, -0x1.fddfb38377ed7p-6, -0x1.f2584e562137fp-6, -0x1.e70a2d663405dp-6, -0x1.dbf475ac47781p-6, -0x1.d1164da5da7fp-6, -0x1.c66edd603187dp-6, -0x1.bbfd4e82bdf13p-6, -0x1.b1c0cc58f105ep-6, -0x1.a7b883db9cf85p-6, -0x1.9de3a3b9d3afp-6, -0x1.94415c614633p-6, -0x1.8ad0e00630b73p-6, -0x1.819162aad49fbp-6, -0x1.78821a267c516p-6, -0x1.6fa23e2c1086cp-6, -0x1.66f108503c599p-6, -0x1.5e6db40f29272p-6, -0x1.56177ed1d5201p-6, -0x1.4deda7f2ff961p-6, -0x1.45ef70c3bb376p-6, -0x1.3e1c1c8f96087p-6, -0x1.3672f0a0625e7p-6, -0x1.2ef33441b108fp-6, -0x1.279c30c3ddb62p-6, -0x1.206d317ee526ep-6, -0x1.196583d4c693fp-6, -0x1.12847733a3a0dp-6, -0x1.0bc95d178dfa7p-6, -0x1.0533890c06d9cp-6, -0x1.fd84a15a650c7p-7, -0x1.f0ea1751a2e29p-7, -0x1.e496277dba443p-7, -0x1.d8878983d8447p-7, -0x1.ccbcf92ea788bp-7, -0x1.c135366e1965cp-7, -0x1.b5ef05569c9e3p-7, -0x1.aae92e200c5bp-7, -0x1.a0227d23fa799p-7, -0x1.9599c2db9485bp-7, -0x1.8b4dd3dd40ec7p-7, -0x1.813d88d99bbe8p-7, -0x1.7767be9849398p-7, -0x1.6dcb55f4429e7p-7, -0x1.646733d7df79fp-7, -0x1.5b3a41386e55ap-7, -0x1.52436b1180018p-7, -0x1.4981a25fef4fdp-7, -0x1.40f3dc1c8b157p-7, -0x1.389911367863bp-7, -0x1.30703e8d6bf1ep-7, -0x1.287864eb59524p-7, -0x1.20b088fe24d4p-7, -0x1.1917b350f401p-7, -0x1.11acf04549e4bp-7, -0x1.0a6f500bf505fp-7, -0x1.035de69db822ap-7, -0x1.f8ef9767ac69dp-8, -0x1.eb7835809b611p-8, -0x1.de53e5cbfa766p-8, -0x1.d180ede130ce8p-8, -0x1.c4fd9a98f5defp-8, -0x1.b8c83ffc8b877p-8, -0x1.acdf3934eaf0bp-8, -0x1.a140e87962b5cp-8, -0x1.95ebb6fe1d68ep-8, -0x1.8ade14e285c0ep-8, -0x1.8016791f45ba6p-8, -0x1.75936174351d2p-8, -0x1.6b53525626caep-8, -0x1.6154d6dc63955p-8, -0x1.579680ae18213p-8, -0x1.4e16e7efa80c1p-8, -0x1.44d4ab2fca2f1p-8, -0x1.3bce6f54951dep-8, -0x1.3302df88888dbp-8, -0x1.2a70ad27780d5p-8, -0x1.22168fab54874p-8, -0x1.19f34498fbf4p-8, -0x1.12058f6cdf1cap-8, -0x1.0a4c3987c21acp-8, -0x1.02c6121b80c88p-8, -0x1.f6e3dc2f30bb7p-9, -0x1.e89d502bd2af1p-9, -0x1.dab6408ed45afp-9, -0x1.cd2c78c1aefbdp-9, -0x1.bffdcf0ed8c83p-9, -0x1.b328247b44cf8p-9, -0x1.a6a964a01975p-9, -0x1.9a7f85844eb4bp-9, -0x1.8ea88776c0f11p-9, -0x1.832274e804236p-9, -0x1.77eb6244b646p-9, -0x1.6d016dcf96127p-9, -0x1.6262bf7c38803p-9, -0x1.580d88c97d85fp-9, -0x1.4e00049cae4ddp-9, -0x1.4438771c70a08p-9, -0x1.3ab52d8c23064p-9, -0x1.31747e278a87fp-9, -0x1.2874c7fe76deep-9, -0x1.1fb472d0fd831p-9, -0x1.1731eeeb8de17p-9, -0x1.0eebb503c6aa1p-9, -0x1.06e046152836cp-9, -0x1.fe1c567cabddcp-10, -0x1.eee7eb3d192d8p-10, -0x1.e0207c66de9f7p-10, -0x1.d1c34b6de71eap-10, -0x1.c3cda8fbd44cdp-10, -0x1.b63cf4aceb686p-10, -0x1.a90e9cceb82d2p-10, -0x1.9c401e1e20b6ep-10, -0x1.8fcf0387373f6p-10, -0x1.83b8e5e4ec566p-10, -0x1.77fb6bc22cc3ap-10, -0x1.6c94491accbe3p-10, -0x1.61813f1e1ddc2p-10, -0x1.56c01bf138714p-10, -0x1.4c4eba72a3167p-10, -0x1.422b01feb3f6cp-10, -0x1.3852e63448cdfp-10, -0x1.2ec466ba53b2cp-10, -0x1.257d8f069b408p-10, -0x1.1c7c762451172p-10, -0x1.13bf3e7c314cfp-10, -0x1.0b44159cd5a9bp-10, -0x1.03093403ef21cp-10, -0x1.f619b9d074e15p-11, -0x1.e69abc08b2117p-11, -0x1.d7921ec4153abp-11, -0x1.c8fca64c98442p-11, -0x1.bad72abd02cdap-11, -0x1.ad1e979b7d228p-11, -0x1.9fcfeb762f63bp-11, -0x1.92e83781b0912p-11, -0x1.86649f37f6273p-11, -0x1.7a4257f97554ep-11, -0x1.6e7ea8afb1e4p-11, -0x1.6316e97056b65p-11, -0x1.580883233f43fp-11, -0x1.4d50ef2851227p-11, -0x1.42edb6fff69c7p-11, -0x1.38dc73f3b9095p-11, -0x1.2f1acec197adap-11, -0x1.25a67f47aeff7p-11, -0x1.1c7d4c320e5cap-11, -0x1.139d0aa8f8b75p-11, -0x1.0b039e0128054p-11, -0x1.02aef76d914a8p-11, -0x1.f53a2b6395fdbp-12, -0x1.e59809ad252c4p-12, -0x1.d673bbbd25c3dp-12, -0x1.c7c98cfaa4492p-12, -0x1.b995e19d4496cp-12, -0x1.abd5362143922p-12, -0x1.9e841ebaee29bp-12, -0x1.919f46cde34dap-12, -0x1.85237067e07b3p-12, -0x1.790d73bbd9f18p-12, -0x1.6d5a3ea0af097p-12, -0x1.6206d41346e6ep-12, -0x1.57104bb77e852p-12, -0x1.4c73d15f54312p-12, -0x1.422ea4920f68ep-12, -0x1.383e1816a157p-12, -0x1.2e9f917f80825p-12, -0x1.255088b95e128p-12, -0x1.1c4e879c61595p-12, -0x1.1397297e0d24ap-12, -0x1.0b281ac6895cp-12, -0x1.02ff1887ed207p-12, -0x1.f633e02d868cap-13, -0x1.e6ecfd4af3035p-13, -0x1.d82561c22fc47p-13, -0x1.c9d905219baedp-13, -0x1.bc03fc6d47dffp-13, -0x1.aea279641b5e8p-13, -0x1.a1b0c9cd52e0ep-13, -0x1.952b56c13fb49p-13, -0x1.890ea3fcf6156p-13, -0x1.7d574f35cf622p-13, -0x1.72020f71f53f5p-13, -0x1.670bb46512acep-13, -0x1.5c7125ce8a386p-13, -0x1.522f62dce4dap-13, -0x1.48438192b5b7cp-13, -0x1.3eaaae307953ep-13, -0x1.35622aa1b418bp-13, -0x1.2c674ded38d68p-13, -0x1.23b783a600458p-13, -0x1.1b504b62b0cc6p-13, -0x1.132f3835ad62fp-13, -0x1.0b51f029eba1dp-13, -0x1.03b62bc126667p-13, -0x1.f8b36aec212a7p-14, -0x1.ea74d281f1eb6p-14, -0x1.dcac683e8645p-14, -0x1.cf56273a7b846p-14, -0x1.c26e2ac5c34adp-14, -0x1.b5f0ad8954771p-14, -0x1.a9da08a834866p-14, -0x1.9e26b2e8ddf83p-14, -0x1.92d33fe4bb238p-14, -0x1.87dc5f3b2791dp-14, -0x1.7d3edbc82cd5bp-14, -0x1.72f79ae29394cp-14, -0x1.69039b9c8335fp-14, -0x1.5f5ff60a3f5ffp-14, -0x1.5609da8b615fbp-14, -0x1.4cfe91188d13ep-14, -0x1.443b78990d382p-14, -0x1.3bbe06383edf9p-14, -0x1.3383c4c1922dbp-14, -0x1.2b8a53ff13386p-14, -0x1.23cf681d97d8cp-14, -0x1.1c50c912c151ep-14, -0x1.150c520930503p-14, -0x1.0dfff0cd1cb63p-14, -0x1.0729a5422f33cp-14, -0x1.008780d806651p-14, -0x1.f42f4c0323207p-15, -0x1.e7b08f679b457p-15, -0x1.db8f51cb8eb0dp-15, -0x1.cfc8382735a0bp-15, -0x1.c458058b19aa8p-15, -0x1.b93b9a33b92a5p-15, -0x1.ae6ff2a543137p-15, -0x1.a3f226c845399p-15, -0x1.99bf690fc773cp-15, -0x1.8fd505a5ebf5bp-15, -0x1.8630619e5366fp-15, -0x1.7ccefa2c36553p-15, -0x1.73ae63dc4e505p-15, -0x1.6acc49d8ff5bfp-15, -0x1.62266d2ff2516p-15, -0x1.59baa41d30569p-15, -0x1.5186d95b7e91fp-15, -0x1.49890b7ac0421p-15, -0x1.41bf4c3c1f18fp-15, -0x1.3a27bfec183d1p-15, -0x1.32c09cc8c0f32p-15, -0x1.2b882a6716a5bp-15, -0x1.247cc120ab65p-15, -0x1.1d9cc9846aacbp-15, -0x1.16e6bbc960a74p-15, -0x1.10591f468c5b6p-15, -0x1.09f289f00f9fbp-15, -0x1.03b19fd66ee19p-15, -0x1.fb2a255117c23p-16, -0x1.ef37427afd978p-16, -0x1.e3882e3b42829p-16, -0x1.d81a98286e0fbp-16, -0x1.ccec477702406p-16, -0x1.c1fb1a294c4ecp-16, -0x1.b745043acc4c3p-16, -0x1.acc80edb72b5bp-16, -0x1.a28257aada6e4p-16, -0x1.98720ff98808bp-16, -0x1.8e957c1191ap-16, -0x1.84eaf2849669bp-16, -0x1.7b70db7f38731p-16, -0x1.7225b01e8be3ap-16, -0x1.6907f9d01015bp-16, -0x1.601651b3b6b42p-16, -0x1.574f6007adcd7p-16, -0x1.4eb1db8f8c27ep-16, -0x1.463c890776ea6p-16, -0x1.3dee3a97c9b1fp-16, -0x1.35c5cf5332df1p-16, -0x1.2dc232b40a732p-16, -0x1.25e25c1dbfed2p-16, -0x1.1e254e6226385p-16, -0x1.168a1751be2d1p-16, -0x1.0f0fcf4726cbap-16, -0x1.07b598b8cafb3p-16, -0x1.007a9fd03633ap-16, -0x1.f2bc3405d2716p-17, -0x1.e4be8b6201f61p-17, -0x1.d6fad388ce37p-17, -0x1.c96faaaa1e48cp-17, -0x1.bc1bbe99951d5p-17, -0x1.aefdcc2e503e8p-17, -0x1.a2149e99372a4p-17, -0x1.955f0ec11b63ep-17, -0x1.88dc02a8cf5cap-17, -0x1.7c8a6cd87fc92p-17, -0x1.70694bdae7e8ap-17, -0x1.6477a9a482e43p-17, -0x1.58b49b15edf23p-17, -0x1.4d1f3f76f6868p-17, -0x1.41b6bffd79c72p-17, -0x1.367a4f52da218p-17, -0x1.2b6929264a8ep-17, -0x1.208291b832f9ap-17, -0x1.15c5d574e22b3p-17, -0x1.0b3248908bd7dp-17, -0x1.00c746a41e75bp-17, -0x1.ed086494e5acfp-18, -0x1.d8d0e983d9a88p-18, -0x1.c4e6fb3ed915bp-18, -0x1.b14984ecd269bp-18, -0x1.9df77d15bc3f5p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      30, 0x1.4666666666666p+2, 0x1.03da64eb24bc7p+1, 0x1.e6fb807f038fp+1, -0x1.061225823b222p-7, 
      {{
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.69d53e6127ffbp-6, -0x1.f44963b25210ap-5, 0x1.fbd10b9480fb6p-5, -0x1.8470ebfd376d7p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3a4b7ad69855bp-6, -0x1.c2f6303938416p-5, 0x1.deaef9e18339ap-5, -0x1.8435a5130bbadp-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.0f8b2736723e5p-6, -0x1.948c926a19936p-5, 0x1.c1915a4ce2584p-5, -0x1.84029946ef35bp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.d29373ed5a061p-7, -0x1.690c205bf51e6p-5, 0x1.a4778ecdf6cdfp-5, -0x1.83cfb5cace07bp-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.8e796738cf214p-7, -0x1.407478335254fp-5, 0x1.8761945ec0f4p-5, -0x1.8393f5f0c807dp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.52333d77d0ecfp-7, -0x1.1ac52fb9ca069p-5, 0x1.6a50151fe5266p-5, -0x1.837b7f3e49417p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.1d2c1ff13bd18p-7, -0x1.effbec2e4e73cp-6, 0x1.4d406b94d2db3p-5, -0x1.82dec04b99d37p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dd9e981476f6fp-8, -0x1.b03c3aaab56ecp-6, 0x1.303c838f27519p-5, -0x1.842fd93220307p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8d10268c95c0ep-8, -0x1.764ca52f180d4p-6, 0x1.131f5344fe813p-5, -0x1.78a0407dc3271p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4784709e154cp-8, -0x1.42198088a36a3p-6, 0x1.edc036771fbcep-6, -0x1.602ff3471aa5bp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0bdbdc94ef6a2p-8, -0x1.135dae311966dp-6, 0x1.b8ec385fa88a9p-6, -0x1.49ad869fd136ap-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b20f60c4872f3p-9, -0x1.d37e146881078p-7, 0x1.8778976149282p-6, -0x1.32a6b1c71bfacp-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5c15975807a5ap-9, -0x1.89cc4d4764bd1p-7, 0x1.59792fe9d1c2ap-6, -0x1.1bc39d24b88d8p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.13f34f99e92cdp-9, -0x1.48f5b7f92e321p-7, 0x1.2ee8a5244fad8p-6, -0x1.04d5efda751d1p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.afe95f52b3777p-10, -0x1.104a661013379p-7, 0x1.07c88df6be1cap-6, -0x1.dbddc9f2c9f74p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.4d12221e588f3p-10, -0x1.be34b3cf2cc7dp-8, 0x1.c82fd73c44544p-7, -0x1.adefd236c42d5p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f90c02f763134p-11, -0x1.696ae43c43552p-8, 0x1.87b24480da198p-7, -0x1.80741d900101cp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.7760fc45f09c1p-11, -0x1.20d856fa69a61p-8, 0x1.4e074011a6bf8p-7, -0x1.514f3e8dfc93cp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.1086ff3f61822p-11, -0x1.c632b77c43b28p-9, 0x1.1b6e904927435p-7, -0x1.2d3fe8786ff01p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.80d850191521p-12, -0x1.5ddce37718a1bp-9, 0x1.dc7d27a160257p-8, -0x1.1446156ed08d1p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.06dab30702007p-12, -0x1.06da70a9816b9p-9, 0x1.899b546687fb6p-8, -0x1.f34653574ebdep-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.58eadb0c3767dp-13, -0x1.7f3dfa6260b8fp-10, 0x1.3eb72e4ca290fp-8, -0x1.bee480aea0befp-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.aea914ef381cep-14, -0x1.0d29a40b85cccp-10, 0x1.f75d02cb481c6p-9, -0x1.8a44cc0276598p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.f8e3f9aaf3aafp-15, -0x1.68a2d8553d89cp-11, 0x1.81152bfdbe351p-9, -0x1.55b89a8697a0bp-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.1086ff3f6184ep-15, -0x1.c6366cd0eade7p-12, 0x1.1a90fda22a522p-9, -0x1.211c3e4d07479p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.06dab30702063p-16, -0x1.06da4d39b5689p-12, 0x1.87aaa2afb6ad5p-10, -0x1.d95a13b3e4052p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.aea914ef3838p-18, -0x1.0d2caa06ac585p-13, 0x1.f3526cc04aec7p-11, -0x1.6f32c215459fap-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.1086ff3f61a3fp-19, -0x1.c609b36c1d7dap-15, 0x1.1700c519edf3ep-11, -0x1.09d4c3cb7a1ffp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.aea914ef397ffp-22, -0x1.0e76cacdb6c75p-16, 0x1.de0471b292b8bp-13, -0x1.2534c1cdbdbd8p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.aea914ef54001p-26, -0x1.cca001240518fp-20, 0x1.f8ae248855c01p-15, -0x1.8864e7e15ae0ep-10}, 
      }}, 
      0x1.713b40855c669p-6, -0x1.1c8c4a8766273p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.7b154b57e367ap-6, -0x1.23e99d140f73p-7, 0x1.b3e02a686644bp-7, 0x1.566d7121b9ae9p-5, 0x1.32620e7467e59p-4, 0x1.c4f8731d56eep-4, 0x1.2e4f5d9a728bep-3, 0x1.79e94056fdeaep-3, 0x1.c2fcb13c1025cp-3, 0x1.03d744ba8c515p-2, 0x1.234719dbdd5dfp-2, 0x1.3f45a8b0f133bp-2, 0x1.5775101ce1be8p-2, 0x1.6b9bd5ccd7337p-2, 0x1.7b9f376d8358fp-2, 0x1.877de4f76e2e8p-2, 0x1.8f4b3cc71b305p-2, 0x1.932b11f819acfp-2, 0x1.934dfab42f5d5p-2, 0x1.8fee1e5dbe24p-2, 0x1.894c7999a4348p-2, 0x1.7fae8e14a2048p-2, 0x1.735c737f3501ap-2, 0x1.649f3e942c259p-2, 0x1.53bfb2c43192bp-2, 0x1.4105342e0e3dp-2, 0x1.2cb4f0d692b9cp-2, 0x1.1711399622f3cp-2, 0x1.005903fc4d2a3p-2, 0x1.d18f1e9356701p-3, 0x1.a1284e84cf8bfp-3, 0x1.6fe400429fca1p-3, 0x1.3e204f15a01c3p-3, 0x1.0c330d9df7d9fp-3, 0x1.b4d3cd3740982p-4, 0x1.521529e63b557p-4, 0x1.e14cb5370d9ccp-5, 0x1.21e9cf63120c8p-5, 0x1.9b03dfb8cb65dp-7, -0x1.3e222ccb38f7dp-7, -0x1.0065e75592908p-5, -0x1.ab60f90d21e0fp-5, -0x1.280c41379ce4ep-4, -0x1.771f4ae0925f5p-4, -0x1.c2cb67611e7cdp-4, -0x1.057d30d200393p-3, -0x1.27ce9edce460ep-3, -0x1.4855bd6732df7p-3, -0x1.6711338a16e5cp-3, -0x1.84023cf401712p-3, -0x1.9f2c5d57c5463p-3, -0x1.b895189941021p-3, -0x1.d043b066d517ap-3, -0x1.e640e6cc0d079p-3, -0x1.fa96c508de46cp-3, -0x1.06a8334328a44p-2, -0x1.0f3ce3f617409p-2, -0x1.170fcd531543cp-2, -0x1.1e278e6ebd97cp-2, -0x1.248afa9950ce6p-2, -0x1.2a4108f9025cep-2, -0x1.2f50c5cfa020ep-2, -0x1.33c1455c22562p-2, -0x1.3799987ceb54ap-2, -0x1.3ae0c2f26429cp-2, -0x1.3d9db30522538p-2, -0x1.3fd73a7318e5p-2, -0x1.41940848d1fdap-2, -0x1.42daa3b95e206p-2, -0x1.43b167df2bdcap-2, -0x1.441e805c09a5dp-2, -0x1.4427e6d8d2b75p-2, -0x1.43d36146ea552p-2, -0x1.432680b2198d4p-2, -0x1.4226a0a44f6c7p-2, -0x1.40d8e6df8cec2p-2, -0x1.3f424370f96aap-2, -0x1.3d6771102cdfcp-2, -0x1.3b4cf5c7e51e5p-2, -0x1.38f723dd089ap-2, -0x1.366a1af27176dp-2, -0x1.33a9c95c17547p-2, -0x1.30b9ed94541a2p-2, -0x1.2d9e17cb09fa4p-2, -0x1.2a59ab81ac6f2p-2, -0x1.26efe12c2178p-2, -0x1.2363c7d6d068p-2, -0x1.1fb846c63a9a2p-2, -0x1.1bf01f1835f5dp-2, -0x1.180ded5b57ba1p-2, -0x1.14142b25a9a5p-2, -0x1.100530a1f5db2p-2, -0x1.0be336141944dp-2, -0x1.07b05554d8d88p-2, -0x1.036e8b40092b8p-2, -0x1.fe3f722cba44ap-3, -0x1.f58b4ba38650dp-3, -0x1.ecc3fed132657p-3, -0x1.e3ecb812c74c1p-3, -0x1.db08767093c1ep-3, -0x1.d21a0de4b1e86p-3, -0x1.c924295d37ed1p-3, -0x1.c0294ccd49653p-3, -0x1.b72bd6fb15d03p-3, -0x1.ae2e035445ba3p-3, -0x1.a531eb9a024ep-3, -0x1.9c39897fe0502p-3, -0x1.9346b83a3ee6ep-3, -0x1.8a5b35e4afa66p-3, -0x1.8178a4e868493p-3, -0x1.78a08d4b65247p-3, -0x1.6fd45de9b772fp-3, -0x1.67156da52949ap-3, -0x1.5e64fc7b0ae1ep-3, -0x1.55c4349edd6b7p-3, -0x1.4d342b701fa86p-3, -0x1.44b5e273ef4d7p-3, -0x1.3c4a483c20027p-3, -0x1.33f2394150304p-3, -0x1.2bae80bf5e7e3p-3, -0x1.237fd97766cddp-3, -0x1.1b66ee71dd1e4p-3, -0x1.13645bb4a8d73p-3, -0x1.0b78af01e992cp-3, -0x1.03a46868b1237p-3, -0x1.f7cff5fc6ecc5p-4, -0x1.e8879ae23759fp-4, -0x1.d970753b20464p-4, -0x1.ca8b244adfe59p-4, -0x1.bbd831f2b8285p-4, -0x1.ad5813a1f5fa6p-4, -0x1.9f0b2b9559be5p-4, -0x1.90f1c99e07fa6p-4, -0x1.830c2c15d7da2p-4, -0x1.755a80ebee49fp-4, -0x1.67dce673cff85p-4, -0x1.5a936c1458cdp-4, -0x1.4d7e1360a3aa4p-4, -0x1.409cd0c1ea7c1p-4, -0x1.33ef8c29c25e7p-4, -0x1.277621df9c2bp-4, -0x1.1b306338b9dfbp-4, -0x1.0f1e174e8235bp-4, -0x1.033efb9084dbbp-4, -0x1.ef2588dbc136cp-5, -0x1.d8323c0b1bfbfp-5, -0x1.c1a35952b022dp-5, -0x1.ab781ae881d0cp-5, -0x1.95afadc22a7f7p-5, -0x1.80493256ea603p-5, -0x1.6b43bdf760409p-5, -0x1.569e5bc7ab56fp-5, -0x1.42580d5aa043dp-5, -0x1.2e6fcb9b0114dp-5, -0x1.1ae487ec81135p-5, -0x1.07b52d027809p-5, -0x1.e9c13ebdc8f52p-6, -0x1.c4cb7bafac5cbp-6, -0x1.a086c59948a6bp-6, -0x1.7cf0c9bf09711p-6, -0x1.5a072e32eaf49p-6, -0x1.37c7933fc862dp-6, -0x1.162f94be6ed87p-6, -0x1.ea799772d977p-7, -0x1.a9d99dc5c38cap-7, -0x1.6a7a665ffd421p-7, -0x1.2c571984d349fp-7, -0x1.ded5c325bd288p-8, -0x1.6761d656a8e2ap-8, -0x1.e4919930db5dap-9, -0x1.fe043f9fdf677p-10, -0x1.e022f10741a7bp-13, 0x1.7d0255f10dcbfp-10, 0x1.969abd039867fp-9, 0x1.352e979d453c3p-8, 0x1.9ced7ef7a8964p-8, 0x1.01499dab39e9cp-7, 0x1.33146d6aa8ff1p-7, 0x1.63dba8d69878dp-7, 0x1.93a3bb9aeb78dp-7, 0x1.c271036478bf4p-7, 0x1.f047ce12b90e4p-7, 0x1.0e962d7e73a81p-6, 0x1.24916cd558273p-6, 0x1.3a17b47c20382p-6, 0x1.4f2b0b53463bap-6, 0x1.63cd6fd357999p-6, 0x1.7800d8440c0e5p-6, 0x1.8bc7325a9a3efp-6, 0x1.9f22631e26713p-6, 0x1.b214463a22d4bp-6, 0x1.c49eaea02c258p-6, 0x1.d6c366a9d149dp-6, 0x1.e884302b40dfep-6, 0x1.f9e2c42f0747p-6, 0x1.0570694b50b46p-5, 0x1.0dc0012ca9822p-5, 0x1.15e0f8e0a566bp-5, 0x1.1dd41b5662802p-5, 0x1.259a2f548ea59p-5, 0x1.2d33f770dba3bp-5, 0x1.34a231cdef844p-5, 0x1.3be598630976fp-5, 0x1.42fee11a0615ap-5, 0x1.49eebddfb297bp-5, 0x1.50b5dcc28d529p-5, 0x1.5754e7e2a6998p-5, 0x1.5dcc85727ec0ep-5, 0x1.641d57cc4f793p-5, 0x1.6a47fd9370e89p-5, 0x1.704d11d783965p-5, 0x1.762d2c1734ae3p-5, 0x1.7be8e0682eee5p-5, 0x1.8180bf4e9f72ep-5, 0x1.86f556060cb98p-5, 0x1.8c472e7485bp-5, 0x1.9176cf5d25b87p-5, 0x1.9684bc6488a25p-5, 0x1.9b71762b9c8b6p-5, 0x1.a03d7a54ebc4fp-5, 0x1.a4e943a036e75p-5, 0x1.a97549fc8f4e8p-5, 0x1.ade202a09d5d6p-5, 0x1.b22fe01e7214p-5, 0x1.b65f527113e36p-5, 0x1.ba70c716760f8p-5, 0x1.be64a91f3a93p-5, 0x1.c23b614177f43p-5, 0x1.c5f555e5d527fp-5, 0x1.c992eb3ed6ba1p-5, 0x1.cd148361a0364p-5, 0x1.d07a7e4a470e8p-5, 0x1.d3c539f93f3a4p-5, 0x1.d6f51283891dfp-5, 0x1.da0a62218d53ap-5, 0x1.dd058141df552p-5, 0x1.dfe6c68fd169p-5, 0x1.e2ae86fd3a3e6p-5, 0x1.e55d15f0b639ap-5, 0x1.e7f2c5386375cp-5, 0x1.ea6fe52a39003p-5, 0x1.ecd4c4b2087cdp-5, 0x1.ef21b159e605fp-5, 0x1.f156f752b774ep-5, 0x1.f374e18a2e5cep-5, 0x1.f57bb9acddcabp-5, 0x1.f76bc834afa99p-5, 0x1.f945548d8c6f9p-5, 0x1.fb08a508ed0a5p-5, 0x1.fcb5fef073ab3p-5, 0x1.fe4da69b4cb52p-5, 0x1.ffcfdf66e1be3p-5, 0x1.009e75e4b987fp-4, 0x1.014a86ac2c186p-4, 0x1.01ec426c7a1e2p-4, 0x1.0283c92373d2ap-4, 0x1.03113a714e3d2p-4, 0x1.0394b5993157dp-4, 0x1.040e598c02bcdp-4, 0x1.047e44e7040c4p-4, 0x1.04e495f1ab3b1p-4, 0x1.05416ab0bc528p-4, 0x1.0594e0dce766ep-4, 0x1.05df15e7087ep-4, 0x1.06202708159a9p-4, 0x1.0658313783b34p-4, 0x1.06875134b61a8p-4, 0x1.06ada38873a06p-4, 0x1.06cb44821b9fdp-4, 0x1.06e0504f43e71p-4, 0x1.06ece2d597de6p-4, 0x1.06f117de9b3cp-4, 0x1.06ed0b02285ep-4, 0x1.06e0d7b4ff5eap-4, 0x1.06cc9942bf6bfp-4, 0x1.06b06ad18e81cp-4, 0x1.068c676cb9defp-4, 0x1.0660a9f67cc9ep-4, 0x1.062d4d2de680ap-4, 0x1.05f26bc1164f1p-4, 0x1.05b02036b63f3p-4, 0x1.056684fe0dbbfp-4, 0x1.0515b469a2903p-4, 0x1.04bdc8b645818p-4, 0x1.045edc0557207p-4, 0x1.03f90864c100bp-4, 0x1.038c67c9a0654p-4, 0x1.03191413ee818p-4, 0x1.029f270dc2a7cp-4, 0x1.021eba6c9p-4, 0x1.0197e7d166185p-4, 0x1.010ac8c9f1ea4p-4, 0x1.007776cf3e61bp-4, 0x1.ffbc1695dd32ep-5, 0x1.fe7d3f15da529p-5, 0x1.fd3299b2cb6bap-5, 0x1.fbdc58bff3fa6p-5, 0x1.fa7aae76c88f5p-5, 0x1.f90dccedb9cebp-5, 0x1.f795e60fc586dp-5, 0x1.f6132ba4e6a84p-5, 0x1.f485cf4ced817p-5, 0x1.f2ee02835c131p-5, 0x1.f14bf69c5a067p-5, 0x1.ef9fdcc1f6bffp-5, 0x1.ede9e5fab0fb1p-5, 0x1.ec2a43227a043p-5, 0x1.ea6124ea6b218p-5, 0x1.e88ebbd8d4b43p-5, 0x1.e6b33849c6bc1p-5, 0x1.e4ceca6ba7eb4p-5, 0x1.e2e1a23f81ffcp-5, 0x1.e0ebef97ccd7fp-5, 0x1.deede2168ee2dp-5, 0x1.dce7a92ccfafp-5, 0x1.dad9741c2634p-5, 0x1.d8c371ecc46afp-5, 0x1.d6a5d17821434p-5, 0x1.d480c1600ab4ap-5, 0x1.d254700ec2993p-5, 0x1.d0210bb68f24ap-5, 0x1.cde6c24d1dc07p-5, 0x1.cba5c1904797cp-5, 0x1.c95e36f9bd335p-5, 0x1.c7104fc9c3c86p-5, 0x1.c4bc38fed56fbp-5, 0x1.c2621f5a18498p-5, 0x1.c0022f591ea87p-5, 0x1.bd9c95369dac9p-5, 0x1.bb317ce3ad5bfp-5, 0x1.b8c1120f5a974p-5, 0x1.b64b801259502p-5, 0x1.b3d0f201c4093p-5, 0x1.b15192a69dcb7p-5, 0x1.aecd8c8295a37p-5, 0x1.ac4509c984a69p-5, 0x1.a9b83464b4befp-5, 0x1.a72735ea7ca95p-5, 0x1.a492379cbb862p-5, 0x1.a1f9625cfdd83p-5, 0x1.9f5cdeb39237ep-5, 0x1.9cbcd4cfa8a31p-5, 0x1.9a196c8a880bcp-5, 0x1.9772cd6e9cb55p-5, 0x1.94c91eb0b95b5p-5, 0x1.921c874f4a0bdp-5, 0x1.8f6d2dc2ea9f5p-5, 0x1.8cbb383a15897p-5, 0x1.8a06cc6b06152p-5, 0x1.87500f98d86aep-5, 0x1.8497269641ddap-5, 0x1.81dc35d5e2012p-5, 0x1.7f1f616c10489p-5, 0x1.7c60cd2fa7044p-5, 0x1.79a09ca868f79p-5, 0x1.76def30b69fabp-5, 0x1.741bf32a1afcdp-5, 0x1.7157bf56157aap-5, 0x1.6e92794ca9774p-5, 0x1.6bcc4238c1455p-5, 0x1.69053ab5991f5p-5, 0x1.663d82eddac91p-5, 0x1.63753abfa524ep-5, 0x1.60ac81c84a5adp-5, 0x1.5de377889fe8dp-5, 0x1.5b1a3b414f033p-5, 0x1.5850ebdb51f17p-5, 0x1.5587a7b400b6cp-5, 0x1.52be8c776f96ep-5, 0x1.4ff5b6ffe968bp-5, 0x1.4d2d4361facb1p-5, 0x1.4a654d0edfd41p-5, 0x1.479def0faab7ap-5, 0x1.44d74445944e5p-5, 0x1.4211679590b2p-5, 0x1.3f4c73f97a1f9p-5, 0x1.3c88845c19ea8p-5, 0x1.39c5b3598ddd7p-5, 0x1.37041ae8f4ec6p-5, 0x1.3443d40e3a3e1p-5, 0x1.3184f6ab50fc1p-5, 0x1.2ec7999502891p-5, 0x1.2c0bd2a987841p-5, 0x1.2951b756c786cp-5, 0x1.26995cf889597p-5, 0x1.23e2d936815f7p-5, 0x1.212e423086ff3p-5, 0x1.1e7bae67c0822p-5, 0x1.1bcb3469aab21p-5, 0x1.191cea4f1492ep-5, 0x1.1670e532bd167p-5, 0x1.13c738c34c43p-5, 0x1.111ff71c67b08p-5, 0x1.0e7b30dd55667p-5, 0x1.0bd8f59f3b15dp-5, 0x1.09395490c51a4p-5, 0x1.069c5d205b27cp-5, 0x1.04021f81d8934p-5, 0x1.016aacec54668p-5, 0x1.fdac2eedbb8a9p-6, 0x1.f888e3450b101p-6, 0x1.f36b9b431495p-6, 0x1.ee547918d6ccp-6, 0x1.e9439b897b01cp-6, 0x1.e4391d23435dp-6, 0x1.df35145ea517ep-6, 0x1.da37948240d19p-6, 0x1.d540af2e925c7p-6, 0x1.d05076331a1e1p-6, 0x1.cb66fd39dec01p-6, 0x1.c6845aee777b1p-6, 0x1.c1a8a936a93c2p-6, 0x1.bcd4048a2f155p-6, 0x1.b8068a78c6a02p-6, 0x1.b34057c137241p-6, 0x1.ae81865f58deap-6, 0x1.a9ca2bfde7a9ep-6, 0x1.a51a592262b92p-6, 0x1.a0721943290fp-6, 0x1.9bd173cf31f7bp-6, 0x1.97386dfd358dbp-6, 0x1.92a70d01d46a1p-6, 0x1.8e1d583cb7b74p-6, 0x1.899b5ac6fbc2dp-6, 0x1.8521241adfbdp-6, 0x1.80aec79693931p-6, 0x1.7c445b113c996p-6, 0x1.77e1f4de5a422p-6, 0x1.7387a99d37226p-6, 0x1.6f358a4c43f8bp-6, 0x1.6aeba2e798101p-6, 0x1.66a9f9c8010e2p-6, 0x1.62708fe200a69p-6, 0x1.5e3f61f141b8fp-6, 0x1.5a166a6b2bd93p-6, 0x1.55f5a3efcd055p-6, 0x1.51dd0badf865p-6, 0x1.4dcca32599fecp-6, 0x1.49c470d9f283bp-6, 0x1.45c47fcd70214p-6, 0x1.41ccddfe7afb5p-6, 0x1.3ddd9a5ca7568p-6, 0x1.39f6c2b705babp-6, 0x1.361861ff49b13p-6, 0x1.32427f053cb02p-6, 0x1.2e751ba716091p-6, 0x1.2ab03480e6506p-6, 0x1.26f3c139ac2a8p-6, 0x1.233fb59ff5058p-6, 0x1.1f9403acf5163p-6, 0x1.1bf09e15ab161p-6, 0x1.18557acf94862p-6, 0x1.14c294f192647p-6, 0x1.1137ed179ebb6p-6, 0x1.0db58882cdd83p-6, 0x1.0a3b6f24f379ap-6, 0x1.06c9a95e48dd5p-6, 0x1.03603e1ade4eap-6, 0x1.fffe6351061fep-7, 0x1.f94d0a4ba93d1p-7, 0x1.f2ac6c3e7a914p-7, 0x1.ec1c7c07384c7p-7, 0x1.e59d231b027fdp-7, 0x1.df2e41423dbd7p-7, 0x1.d8cfae7fd423cp-7, 0x1.d2813f845fbc8p-7, 0x1.cc42cbd54847cp-7, 0x1.c61433c745961p-7, 0x1.bff56445d55dcp-7, 0x1.b9e657238e623p-7, 0x1.b3e70ff7ae627p-7, 0x1.adf796d977ee5p-7, 0x1.a817f318209e7p-7, 0x1.a24827e035456p-7, 0x1.9c88338d22e4dp-7, 0x1.96d810c2fdad9p-7, 0x1.9137b74af8f3dp-7, 0x1.8ba71af30756p-7, 0x1.8626284c6712ep-7, 0x1.80b4c0c385cedp-7, 0x1.7b52b95e16551p-7, 0x1.75ffdcc7d427bp-7, 0x1.70bbf1a8c14f2p-7, 0x1.6b86c281418f2p-7, 0x1.666024899482dp-7, 0x1.6147fb5200ef9p-7, 0x1.5c3e38333519cp-7, 0x1.5742d602c69b5p-7, 0x1.5255d2d98f26ap-7, 0x1.4d772a990def4p-7, 0x1.48a6d4878f48ap-7, 0x1.43e4c4ef329d8p-7, 0x1.3f30f0d9bd477p-7, 0x1.3a8b5136e9968p-7, 0x1.35f3e224ca2f5p-7, 0x1.316a9ddd31ccep-7, 0x1.2cef7541c4dp-7, 0x1.288249f61b72cp-7, 0x1.2422ed66f5c3cp-7, 0x1.1fd12562b8445p-7, 0x1.1b8cb41bb9fabp-7, 0x1.1755601b61ccp-7, 0x1.132af9d2de296p-7, 0x1.0f0d5de43ddbfp-7, 0x1.0afc740f12b91p-7, 0x1.06f82b1719effp-7, 0x1.030072ffb6f3ap-7, 0x1.fe2a7051b3a87p-8, 0x1.f66cc3cac19a5p-8, 0x1.eec7aac694fdep-8, 0x1.e73af7832995bp-8, 0x1.dfc68ee782f84p-8, 0x1.d86a6ba074305p-8, 0x1.d126951e740cap-8, 0x1.c9fb0d579358p-8, 0x1.c2e7be1453834p-8, 0x1.bbec6fbff47b6p-8, 0x1.b508cde7318f5p-8, 0x1.ae3c74bf4285p-8, 0x1.a786fe55c7952p-8, 0x1.a0e80a3ab3935p-8, 0x1.9a5f41b0cd513p-8, 0x1.93ec5bca0679cp-8, 0x1.8d8f200336c1fp-8, 0x1.874762d0ce2c2p-8, 0x1.8114fb4e8680ap-8, 0x1.7af7b73a20a68p-8, 0x1.74ef546fe2c9p-8, 0x1.6efb8477355a3p-8, 0x1.691bf999c1432p-8, 0x1.6350778487d51p-8, 0x1.5d98de4790028p-8, 0x1.57f52846eebbfp-8, 0x1.52655ade3c7f9p-8, 0x1.4ce9716c1ebacp-8, 0x1.47814e7ba317bp-8, 0x1.422cbb22fc66p-8, 0x1.3ceb7266caedbp-8, 0x1.37bd2cced6f7fp-8, 0x1.32a1a1cc68099p-8, 0x1.2d98827efb41p-8, 0x1.28a17b84a2531p-8, 0x1.23bc434a1b4d2p-8, 0x1.1ee8a8e90f1e3p-8, 0x1.1a2694702956fp-8, 0x1.1575f5cdccd23p-8, 0x1.10d6af1b1d03p-8, 0x1.0c4887a01e274p-8, 0x1.07cb2e9c44c4bp-8, 0x1.035e4b302f747p-8, 0x1.fe031f82dd5acp-9, 0x1.f5698d26c76fp-9, 0x1.ecefa600d7904p-9, 0x1.e49552977486fp-9, 0x1.dc5a831932d07p-9, 0x1.d43f149614495p-9, 0x1.cc42c11222d12p-9, 0x1.c465256f4e3dp-9, 0x1.bca5d85121c41p-9, 0x1.b504762026744p-9, 0x1.ad808bd986aaap-9, 0x1.a61977fd2cb72p-9, 0x1.9ece76a4e88d1p-9, 0x1.979ee2c1fc36ep-9, 0x1.908a6ff4ad102p-9, 0x1.899120c8f1efcp-9, 0x1.82b3041af0087p-9, 0x1.7beff60bcf475p-9, 0x1.754791379d51ap-9, 0x1.6eb94d61b34d1p-9, 0x1.6844a7c172156p-9, 0x1.61e934e54c4d3p-9, 0x1.5ba699e75b34dp-9, 0x1.557c836384974p-9, 0x1.4f6aa8c7a2e5dp-9, 0x1.4970d726e588fp-9, 0x1.438ef2acf7019p-9, 0x1.3dc4e58b5e1d6p-9, 0x1.381286c0c9339p-9, 0x1.327792078c41cp-9, 0x1.2cf3bd41c2ffap-9, 0x1.2786cd0c5da67p-9, 0x1.22307c47e002ap-9, 0x1.1cf044443cf05p-9, 0x1.17c558dac6837p-9, 0x1.12af0011d8b4ep-9, 0x1.0daceb1df820cp-9, 0x1.08bf241ae1b49p-9, 0x1.03e5a99db4002p-9, 0x1.fe40599215eaap-10, 0x1.f4dc526edc2cbp-10, 0x1.eb9e5cc55fca5p-10, 0x1.e2860bd65bcdbp-10, 0x1.d99335a853664p-10, 0x1.d0c5923592f21p-10, 0x1.c81c92b09197ap-10, 0x1.bf9780fa6eb81p-10, 0x1.b735b6e93f0c7p-10, 0x1.aef6c3b125c4ap-10, 0x1.a6da716943a2ap-10, 0x1.9ee0a9a659101p-10, 0x1.970943466ed5fp-10, 0x1.8f53dd587da3cp-10, 0x1.87bff73477425p-10, 0x1.804d3bc061342p-10, 0x1.78fb98366ce1ep-10, 0x1.71cacffd3a663p-10, 0x1.6ab9fc5ff3035p-10, 0x1.63c7d07c5e497p-10, 0x1.5cf381b57fcabp-10, 0x1.563d0a3e2b83ap-10, 0x1.4fa459544f83fp-10, 0x1.49289ceaa5988p-10, 0x1.42c88ab0372d7p-10, 0x1.3c832fce98121p-10, 0x1.365847e6017cdp-10, 0x1.3047dc1f7b01cp-10, 0x1.2a51cb1caa7bdp-10, 0x1.2475b36375ae9p-10, 0x1.1eb31cc8083b2p-10, 0x1.19099ac5aa46bp-10, 0x1.1378d4ccf066ep-10, 0x1.0e008160e270bp-10, 0x1.08a0616fe741ep-10, 0x1.03583f3149e15p-10, 0x1.fc4fd1185944ep-11, 0x1.f21e36ec8d072p-11, 0x1.e81ae34c295bap-11, 0x1.de44e88de13bfp-11, 0x1.d49bbf5201c6cp-11, 0x1.cb1f93ace0d48p-11, 0x1.c1d0a8c759eap-11, 0x1.b8ae2fc7e7163p-11, 0x1.afb644692230ap-11, 0x1.a6e7a0772a661p-11, 0x1.9e424582b5212p-11, 0x1.95c5d580a6b9cp-11, 0x1.8d709f34344bap-11, 0x1.8540ec7051563p-11, 0x1.7d36445628009p-11, 0x1.7550c33fd64ffp-11, 0x1.6d8ff88b68d46p-11, 0x1.65f2dec29dcafp-11, 0x1.5e78682f108a4p-11, 0x1.571fcdce80bf8p-11, 0x1.4fe8923a9443ep-11, 0x1.48d2697b1cbfbp-11, 0x1.41dd1baaa9bf2p-11, 0x1.3b0867e64b626p-11, 0x1.3453f0a20a6bep-11, 0x1.2dbf3d7bee6f3p-11, 0x1.2749cfcab5b36p-11, 0x1.20f330c65c4e2p-11, 0x1.1abae084736ebp-11, 0x1.14a03fd308555p-11, 0x1.0ea2b67c3a597p-11, 0x1.08c212d83d014p-11, 0x1.02feb4cf7e8c6p-11, 0x1.fab1e36dc1befp-12, 0x1.ef9fc0da2f1d7p-12, 0x1.e4c33f85ebb8ep-12, 0x1.da1ab4e166157p-12, 0x1.cfa61c4e0c60dp-12, 0x1.c563d03aa416fp-12, 0x1.bb521914b922ap-12, 0x1.b171812d795e6p-12, 0x1.a7c2d363f2fp-12, 0x1.9e4544bc473fap-12, 0x1.94f74633c6f1dp-12, 0x1.8bd76eb37c5dcp-12, 0x1.82e488bb9054ap-12, 0x1.7a1d6a867c86p-12, 0x1.7180f9fa945dep-12, 0x1.690e53e86fd0fp-12, 0x1.60c4e7d922818p-12, 0x1.58a46826a7d7cp-12, 0x1.50ac8f5b31401p-12, 0x1.48dce397b72f7p-12, 0x1.4134a6964581p-12, 0x1.39b30018bfbffp-12, 0x1.32573d4e3ffa1p-12, 0x1.2b20e37ddc359p-12, 0x1.240f803e61156p-12, 0x1.1d227e9e11874p-12, 0x1.16594e08c672ap-12, 0x1.0fb3c80fcc64ep-12, 0x1.093246ac2c868p-12, 0x1.02d43d0932dcfp-12, 0x1.f92de0f0a3d8cp-13, 0x1.ecf0d6dbde25ap-13, 0x1.e0f1770c698d9p-13, 0x1.d52e31761013dp-13, 0x1.c9a687678a94bp-13, 0x1.be5c517e34ea8p-13, 0x1.b34f272f40b56p-13, 0x1.a87cf2c244998p-13, 0x1.9de43a29ccf0ep-13, 0x1.93843bf94ce59p-13, 0x1.895c55d52b6d3p-13, 0x1.7f6b9df673bcep-13, 0x1.75b0b87dcfa95p-13, 0x1.6c29ddc09501cp-13, 0x1.62d52fb087d17p-13, 0x1.59b132954f325p-13, 0x1.50bd20c7b05ffp-13, 0x1.47f8c0c97f645p-13, 0x1.3f63d41dab019p-13, 0x1.36fda01304024p-13, 0x1.2ec4eac1086ccp-13, 0x1.26b88474df5f8p-13, 0x1.1ed7f1abb1a91p-13, 0x1.17235c66861e6p-13, 0x1.0f9aa2d994dcfp-13, 0x1.083ca8fd4c1b3p-13, 0x1.0107bcd51e983p-13, 0x1.f3f4fbbb7c5ddp-14, 0x1.e629631da17e6p-14, 0x1.d8ad8dd0d7e48p-14, 0x1.cb7d904a0749p-14, 0x1.be94001a2ad5cp-14, 0x1.b1f024c609899p-14, 0x1.a59149003e82bp-14, 0x1.997993bdd33dfp-14, 0x1.8da8f57ca251ep-14, 0x1.821c21b593c27p-14, 0x1.76d0d32941cb2p-14, 0x1.6bc6005e010e4p-14, 0x1.60faf72131f24p-14, 0x1.566f152888157p-14, 0x1.4c21bb80b712cp-14, 0x1.42122b0455994p-14, 0x1.383f2a88a65fap-14, 0x1.2ea6a66c63c2p-14, 0x1.2545d5cbaf89bp-14, 0x1.1c1a48bd3e855p-14, 0x1.132312ee4d0b6p-14, 0x1.0a608ed549d59p-14, 0x1.01d2b4e84d902p-14, 0x1.f2f000b4d20dbp-15, 0x1.e29cfd58c3288p-15, 0x1.d2ab55f868854p-15, 0x1.c31c31d715737p-15, 0x1.b3eef9177de8p-15, 0x1.a5207f79ab00cp-15, 0x1.96acdf63e5334p-15, 0x1.8890f85c3ce3ep-15, 0x1.7aca58d0936f3p-15, 0x1.6d56fffeab225p-15, 0x1.6035dba49c4d1p-15, 0x1.5368998939bfdp-15, }}, 
      {{-0x1.b0b3f4ee615dcp-6, -0x1.6173273463148p-6, -0x1.c55f1867f93a6p-7, -0x1.d5dfc0acc742dp-9, 0x1.1eb9dc0384008p-7, 0x1.747186687495p-6, 0x1.36cce97f29e02p-5, 0x1.ba34a51405cb2p-5, 0x1.20c3c0b6b468p-4, 0x1.6519200d27ad6p-4, 0x1.a8fc3045ccef2p-4, 0x1.eb78eb91b326p-4, 0x1.15e198eb44502p-3, 0x1.3499e1d6eb14dp-3, 0x1.51a272e01e3e6p-3, 0x1.6cc773d79e232p-3, 0x1.85e25bd037e26p-3, 0x1.9cd84d4212f1cp-3, 0x1.b1988c97c1143p-3, 0x1.c41b150710aa8p-3, 0x1.d45f4d0d12b5bp-3, 0x1.e26adaf28f982p-3, 0x1.ee4897fb40438p-3, 0x1.f807a0baa2658p-3, 0x1.ffba80f6bc928p-3, 0x1.02bb3c6e3a8ep-2, 0x1.04a96ce2a1b65p-2, 0x1.05b43c250f892p-2, 0x1.05e898d88476cp-2, 0x1.0553c164f54eep-2, 0x1.0403172429de7p-2, 0x1.0203f893966adp-2, 0x1.fec74354a327ap-3, 0x1.f85e23367f6fdp-3, 0x1.f0e5eafab0869p-3, 0x1.e8772e44d6dd9p-3, 0x1.df299f4a159b2p-3, 0x1.d513fa5ea97a1p-3, 0x1.ca4bf715adbbbp-3, 0x1.bee63e1ce19c2p-3, 0x1.b2f6632c23e47p-3, 0x1.a68ee26aad74dp-3, 0x1.99c120a155f33p-3, 0x1.8c9d6ddfa653bp-3, 0x1.7f330a0758c93p-3, 0x1.71902b01cec1bp-3, 0x1.63c20436466ap-3, 0x1.55d4cee0d83b7p-3, 0x1.47d3d38dc2a98p-3, 0x1.39c97410f71e7p-3, 0x1.2bbf35c44bbcfp-3, 0x1.1dbdcbfb51975p-3, 0x1.0fcd22c8f6003p-3, 0x1.01f469f14832ap-3, 0x1.e8743f55dd941p-4, 0x1.cd4835f9ed99dp-4, 0x1.b26f2baa57711p-4, 0x1.97f26e19121a2p-4, 0x1.7dda38a73c1c4p-4, 0x1.642dc7a429d69p-4, 0x1.4af36a7580615p-4, 0x1.3230948acf4e9p-4, 0x1.19e9ed7b69924p-4, 0x1.0223609410f4p-4, 0x1.d5c057f0dabf7p-5, 0x1.a845de70b9e67p-5, 0x1.7bdb71d865da2p-5, 0x1.508426bbea3cfp-5, 0x1.2642202a359b6p-5, 0x1.fa2d4a267c524p-6, 0x1.aa046918b1742p-6, 0x1.5c09316565c21p-6, 0x1.1039f2617e41ap-6, 0x1.8d27b045ac7ffp-7, 0x1.fc4c2e99cff23p-8, 0x1.cd9677b188ce7p-9, -0x1.324d072d06f5dp-11, -0x1.2b0b6404edbdcp-8, -0x1.13cac38b49e9fp-7, -0x1.8e02d86151cp-7, -0x1.021edacbff28p-6, -0x1.3b45f7de5bd09p-6, -0x1.727f6585a3756p-6, -0x1.a7d40f47ea004p-6, -0x1.db4d1cc782223p-6, -0x1.0679f2f62a124p-5, -0x1.1e68f41ea242dp-5, -0x1.35785eb0d9e62p-5, -0x1.4bad095b6eea1p-5, -0x1.610bd0ce6c6b5p-5, -0x1.759994631be7p-5, -0x1.895b33048b944p-5, -0x1.9c55886e4319ap-5, -0x1.ae8d6ab10dd43p-5, -0x1.c007a7fdb99c6p-5, -0x1.d0c904a0ab9b5p-5, -0x1.e0d639493fe62p-5, -0x1.f033f18eec9abp-5, -0x1.fee6ca80cee76p-5, -0x1.0679a8c7826bcp-4, -0x1.0d2f01c6b5b77p-4, -0x1.1395a5ed111afp-4, -0x1.19afc1d798841p-4, -0x1.1f7f78c51b536p-4, -0x1.2506e459a4035p-4, -0x1.2a4814620d48ap-4, -0x1.2f450ec875b47p-4, -0x1.33ffcf590992cp-4, -0x1.387a47b96ad61p-4, -0x1.3cb65f598922bp-4, -0x1.40b5f36b2df7fp-4, -0x1.447ad6e0cefb6p-4, -0x1.4806d2720abdbp-4, -0x1.4b5ba4a13d916p-4, -0x1.4e7b01d008dafp-4, -0x1.5166944500883p-4, -0x1.541ffc53234fcp-4, -0x1.56a8d057ea97bp-4, -0x1.59029ce8112cdp-4, -0x1.5b2ee4eb5f1fdp-4, -0x1.5d2f21b398fc5p-4, -0x1.5f04c32256657p-4, -0x1.60b12fc98b478p-4, -0x1.6235c50c738ecp-4, -0x1.6393d74d28c13p-4, -0x1.64ccb203c5cfap-4, -0x1.65e197fbe89e3p-4, -0x1.66d3c34fd55f3p-4, -0x1.67a465c7ccbd5p-4, -0x1.6854a8d746e55p-4, -0x1.68e5add03b568p-4, -0x1.69588e1e0f6bp-4, -0x1.69ae5b4faa96cp-4, -0x1.69e81f52aac67p-4, -0x1.6a06dc9669e17p-4, -0x1.6a0b8e364019ep-4, -0x1.69f72819532c5p-4, -0x1.69ca972b4faaap-4, -0x1.6986c171fa783p-4, -0x1.692c863e9964ap-4, -0x1.68bcbe52d978fp-4, -0x1.68383c05cb6e9p-4, -0x1.679fcb6d71547p-4, -0x1.66f43281ebff5p-4, -0x1.66363143c80afp-4, -0x1.656681e2e6e6cp-4, -0x1.6485d8dc3c34p-4, -0x1.6394e529ce71cp-4, -0x1.6294505df649ep-4, -0x1.6184bec62f78cp-4, -0x1.6066cf91261fap-4, -0x1.5f3b1cef67e5fp-4, -0x1.5e023c34e673cp-4, -0x1.5cbcbdfc5d2dbp-4, -0x1.5b6b2e3e65b81p-4, -0x1.5a0e14815ae76p-4, -0x1.58a5f3eb4930ap-4, -0x1.57334b656cacdp-4, -0x1.55b695ba54265p-4, -0x1.543049b35a08fp-4, -0x1.52a0da333c8e9p-4, -0x1.5108b658583d9p-4, -0x1.4f684992899cbp-4, -0x1.4dbffbc0b9a9fp-4, -0x1.4c10314b6df01p-4, -0x1.4a594b4177daep-4, -0x1.489ba765401ap-4, -0x1.46d7a059ae3dbp-4, -0x1.450d8db72233bp-4, -0x1.433dc40130e2ap-4, -0x1.416894f153e13p-4, -0x1.3f8e4f6b4dca1p-4, -0x1.3daf3f9d95b3p-4, -0x1.3bcbaf16e95dp-4, -0x1.39e3e4da1fab7p-4, -0x1.37f825733a67cp-4, -0x1.3608b30aee7b9p-4, -0x1.3415cd7a10e64p-4, -0x1.321fb259fda42p-4, -0x1.30269d269ac1dp-4, -0x1.2e2ac72c80e72p-4, -0x1.2c2c67c418d71p-4, -0x1.2a2bb447dea04p-4, -0x1.2828e02deade4p-4, -0x1.26241d16657b6p-4, -0x1.241d9adb02cb4p-4, -0x1.2215879e47a54p-4, -0x1.200c0fda0410fp-4, -0x1.1e015e6f60cf1p-4, -0x1.1bf59cadb4307p-4, -0x1.19e8f26c4781bp-4, -0x1.17db860aff39bp-4, -0x1.15cd7c857e0c4p-4, -0x1.13bef97e1a83cp-4, -0x1.11b01f4674181p-4, -0x1.0fa10efc4eab2p-4, -0x1.0d91e86a1354cp-4, -0x1.0b82ca476acdp-4, -0x1.0973d21f9d78cp-4, -0x1.07651c674e972p-4, -0x1.0556c480de1bdp-4, -0x1.0348e4d32c18bp-4, -0x1.013b96b89b3fap-4, -0x1.fe5de560d2431p-5, -0x1.fa4620801c17ap-5, -0x1.f6300c05565dbp-5, -0x1.f21bd395a3c2ap-5, -0x1.ee09a11fc46a5p-5, -0x1.e9f99cfbe2315p-5, -0x1.e5ebedfb1b527p-5, -0x1.e1e0b973679c2p-5, -0x1.ddd823527fb28p-5, -0x1.d9d24e1873da3p-5, -0x1.d5cf5b04cc0dap-5, -0x1.d1cf69f9a54a6p-5, -0x1.cdd299b14252bp-5, -0x1.c9d907a74caa5p-5, -0x1.c5e2d034ee08p-5, -0x1.c1f00e969d1ddp-5, -0x1.be00dcf74961cp-5, -0x1.ba155478b643ep-5, -0x1.b62d8d3d63f91p-5, -0x1.b2499e71516e2p-5, -0x1.ae699e5292f33p-5, -0x1.aa8da23a359bcp-5, -0x1.a6b5bea3fc79cp-5, -0x1.a2e207316db59p-5, -0x1.9f128ebbe7c32p-5, -0x1.9b47674a94597p-5, -0x1.9780a243f35bcp-5, -0x1.93be501dd6281p-5, -0x1.900080c8059b8p-5, -0x1.8c474371e01a3p-5, -0x1.8892a6a61ee9dp-5, -0x1.84e2b84d8c07cp-5, -0x1.813785b380b07p-5, -0x1.7d911b89dbbcep-5, -0x1.79ef85f780e21p-5, -0x1.7652d08af291p-5, -0x1.72bb065013a6ap-5, -0x1.6f2831cd821eep-5, -0x1.6b9a5d0824f33p-5, -0x1.68119186fb0fbp-5, -0x1.648dd85e40c74p-5, -0x1.610f3a28a124fp-5, -0x1.5d95bf1161908p-5, -0x1.5a216ed68ae8p-5, -0x1.56b250cbced4fp-5, -0x1.53486bdd14d24p-5, -0x1.4fe3c6982d225p-5, -0x1.4c846721ac0f2p-5, -0x1.492a53460d683p-5, -0x1.45d5907554f14p-5, -0x1.428623c741445p-5, -0x1.3f3c11fda7ef6p-5, -0x1.3bf75f8730374p-5, -0x1.38b810817743cp-5, -0x1.357e28bbc541ap-5, -0x1.3249abb8b28aap-5, -0x1.2f1a9cac2b3b7p-5, -0x1.2bf0fe934c9dep-5, -0x1.28ccd408da0cp-5, -0x1.25ae1f7beee91p-5, -0x1.2294e3098301dp-5, -0x1.1f812094d0204p-5, -0x1.1c72d9c06a622p-5, -0x1.196a0ff14c9cbp-5, -0x1.1666c4502da62p-5, -0x1.1368f7cccd77p-5, -0x1.1070ab1b25a49p-5, -0x1.0d7ddeb006c9ep-5, -0x1.0a9092ec038d7p-5, -0x1.07a8c7c919ac9p-5, -0x1.04c67d2f43a0fp-5, -0x1.01e9b2c9c74e7p-5, -0x1.fe24d02874a5fp-6, -0x1.f88138afb80b6p-6, -0x1.f2e89d5ee5b2ep-6, -0x1.ed5afc20938b7p-6, -0x1.e7d85265eda42p-6, -0x1.e2609d5fb2516p-6, -0x1.dcf3d9dedfa7cp-6, -0x1.d792046669583p-6, -0x1.d23b19222955p-6, -0x1.ccef13f1073ep-6, -0x1.c7adf0608b709p-6, -0x1.c277a9b3366fep-6, -0x1.bd4c3adf85ad9p-6, -0x1.b82b9e926685ep-6, -0x1.b315cf308804cp-6, -0x1.ae0ac6d7e38e6p-6, -0x1.a90a7f614bdcbp-6, -0x1.a414f26128e1cp-6, -0x1.9f2a19347a558p-6, -0x1.9a49ecd1ab065p-6, -0x1.9574662a27dd2p-6, -0x1.90a97dd73464ep-6, -0x1.8be92c0d2c7fp-6, -0x1.873368ffc4929p-6, -0x1.82882c8c70b8cp-6, -0x1.7de76e5b4b2c1p-6, -0x1.795125dcfc12cp-6, -0x1.74c54a4b463b7p-6, -0x1.7043d2a9f4f61p-6, -0x1.6bccb5ca93763p-6, -0x1.675fea4af72aep-6, -0x1.62fd6689fed8ep-6, -0x1.5ea520cd0f7ecp-6, -0x1.5a570f19254dp-6, -0x1.56132747caac7p-6, -0x1.51d95f04da08dp-6, -0x1.4da9abcf308d4p-6, -0x1.498402f9b1194p-6, -0x1.456859ac505b6p-6, -0x1.4156a4e827af2p-6, -0x1.3d4ed978bc294p-6, -0x1.3950ec15602c8p-6, -0x1.355cd13fe859bp-6, -0x1.31727d5886ffep-6, -0x1.2d91e49ae0175p-6, -0x1.29bafb17ee5d6p-6, -0x1.25edb4d5f64aap-6, -0x1.222a0589b444ap-6, -0x1.1e6fe0f615d49p-6, -0x1.1abf3aa399868p-6, -0x1.1718060257f8dp-6, -0x1.137a366295165p-6, -0x1.0fe5bef6e5abp-6, -0x1.0c5a92d655ac9p-6, -0x1.08d8a4f8fcd73p-6, -0x1.055fe838fb4d8p-6, -0x1.01f04f5e110b8p-6, -0x1.fd139a20bf11cp-7, -0x1.f658a7c65ef2dp-7, -0x1.efafac8998167p-7, -0x1.e9188d4783bbdp-7, -0x1.e2932e8f8e553p-7, -0x1.dc1f74d3ce945p-7, -0x1.d5bd44449af6dp-7, -0x1.cf6c810c44e7p-7, -0x1.c92d0f1556da6p-7, -0x1.c2fed22c52c95p-7, -0x1.bce1adfe44443p-7, -0x1.b6d58615aae9ap-7, -0x1.b0da3df018331p-7, -0x1.aaefb8aeea845p-7, -0x1.a515d9b2a3f4ap-7, -0x1.9f4c83ff8de47p-7, -0x1.99939a8c34acap-7, -0x1.93eb00321f1ddp-7, -0x1.8e5297b3ded63p-7, -0x1.88ca43bfb96c9p-7, -0x1.8351e6f45ff7cp-7, -0x1.7de963e2fd6a2p-7, -0x1.78909d0fb53bbp-7, -0x1.734774f080163p-7, -0x1.6e0dcde9c6135p-7, -0x1.68e38a4c4ef8dp-7, -0x1.63c88c5508848p-7, -0x1.5ebcb62ebeee8p-7, -0x1.59bfe9f895641p-7, -0x1.54d209cc7bb22p-7, -0x1.4ff2f7b983445p-7, -0x1.4b2296003c1ebp-7, -0x1.4660c6ae8351dp-7, -0x1.41ad6bfa9e8edp-7, -0x1.3d0867fdc400ap-7, -0x1.38719ce9e551bp-7, -0x1.33e8ecc76e216p-7, -0x1.2f6e3999b7e56p-7, -0x1.2b01655c48657p-7, -0x1.26a2520601063p-7, -0x1.2250e1a44b4c8p-7, -0x1.1e0cf655fb298p-7, -0x1.19d6725a2533ap-7, -0x1.15ad380bcf212p-7, -0x1.119129db7c15dp-7, -0x1.0d822a42414e8p-7, -0x1.09801bbd08f8bp-7, -0x1.058ae09e40805p-7, -0x1.01a25b6c9d981p-7, -0x1.fb8cdc7b726afp-8, -0x1.f3edf7333b89ap-8, -0x1.ec67cbc73e36bp-8, -0x1.e4fa1f6e7af17p-8, -0x1.dda4b7cbebe92p-8, -0x1.d6675ae936defp-8, -0x1.cf41cf32ac949p-8, -0x1.c833db5a75ee2p-8, -0x1.c13d46216ae8fp-8, -0x1.ba5dd64223e31p-8, -0x1.b39552294a004p-8, -0x1.ace38094f0c4dp-8, -0x1.a64827c54efc5p-8, -0x1.9fc30e24fdbe6p-8, -0x1.9953fa9e37301p-8, -0x1.92fab47692102p-8, -0x1.8cb7039450355p-8, -0x1.8688b07b2d6f3p-8, -0x1.806f843c214b8p-8, -0x1.7a6b4849a833fp-8, -0x1.747bc640b56acp-8, -0x1.6ea0c7d798fa9p-8, -0x1.68da168046c94p-8, -0x1.63277b94c397p-8, -0x1.5d88c04ef7a9fp-8, -0x1.57fdadf30ffa2p-8, -0x1.52860e06a4fa4p-8, -0x1.4d21aa8a1724cp-8, -0x1.47d04e10ee27dp-8, -0x1.4291c41435103p-8, -0x1.3d65d8ad3e5ep-8, -0x1.384c58a75e85fp-8, -0x1.33451118dc2a4p-8, -0x1.2e4fcf84218dcp-8, -0x1.296c615a6ae78p-8, -0x1.249a93f77b398p-8, -0x1.1fda34968fc64p-8, -0x1.1b2b104d18b45p-8, -0x1.168cf43b9e3f4p-8, -0x1.11ffadc85f464p-8, -0x1.0d830abc09fcep-8, -0x1.0916d9854343dp-8, -0x1.04bae966973fep-8, -0x1.006f0a26c101ap-8, -0x1.f8661937e93bbp-9, -0x1.f00d8419e6b1bp-9, -0x1.e7d3f84baae6cp-9, -0x1.dfb919aa514ebp-9, -0x1.d7bc8c46ef3ffp-9, -0x1.cfddf4322589p-9, -0x1.c81cf56317415p-9, -0x1.c07933d89b838p-9, -0x1.b8f253832cca4p-9, -0x1.b187f8d4f6a97p-9, -0x1.aa39c91b8ac99p-9, -0x1.a3076a8ff772p-9, -0x1.9bf084dae8f2dp-9, -0x1.94f4c11226c08p-9, -0x1.8e13c9ab73352p-9, -0x1.874d4a552ec1dp-9, -0x1.80a0efc8eba4p-9, -0x1.7a0e67703aabdp-9, -0x1.73955f7060617p-9, -0x1.6d35869630664p-9, -0x1.66ee8b9a8ab66p-9, -0x1.60c01daf30a9cp-9, -0x1.5aa9ec12c16a8p-9, -0x1.54aba5f62bc59p-9, -0x1.4ec4facf231a1p-9, -0x1.48f59a8e52605p-9, -0x1.433d36819ea5ap-9, -0x1.3d9b8061d677ap-9, -0x1.38102bb45b716p-9, -0x1.329aed1a77658p-9, -0x1.2d3b7a55c875cp-9, -0x1.27f18a2a5fb5bp-9, -0x1.22bcd450d2512p-9, -0x1.1d9d11753cc84p-9, -0x1.1891fb460c36p-9, -0x1.139b4c10ab8dcp-9, -0x1.0eb8bebdebbecp-9, -0x1.09ea0e4822bep-9, -0x1.052ef58e9c781p-9, -0x1.00872f3862e6bp-9, -0x1.f7e4ebf56a77dp-10, -0x1.eee10a0cf06dp-10, -0x1.e60230fb70facp-10, -0x1.dd47db8682f1p-10, -0x1.d4b1871826472p-10, -0x1.cc3eb37f1f361p-10, -0x1.c3eee27f6e867p-10, -0x1.bbc197524a9dfp-10, -0x1.b3b6573c689fcp-10, -0x1.abcca924b5c2p-10, -0x1.a40416202e6aep-10, -0x1.9c5c2966bda97p-10, -0x1.94d46fc4b1ab8p-10, -0x1.8d6c75a510d6dp-10, -0x1.8623c92af55d5p-10, -0x1.7ef9f414ab69dp-10, -0x1.77ee81a4912efp-10, -0x1.7100fcc4dc356p-10, -0x1.6a30f21dc4a88p-10, -0x1.637df114ad8bfp-10, -0x1.5ce78c3725e06p-10, -0x1.566d58ff2168ap-10, -0x1.500eeee475fbep-10, -0x1.49cbe6b70416ap-10, -0x1.43a3dabe2248cp-10, -0x1.3d9664902e0bdp-10, -0x1.37a321d667dd9p-10, -0x1.31c9af62f357bp-10, -0x1.2c09ae4178ff6p-10, -0x1.2662c03ec1de5p-10, -0x1.20d48803d4ae7p-10, -0x1.1b5ea796ee1adp-10, -0x1.1600bfec8dab8p-10, -0x1.10ba6f7804368p-10, -0x1.0b8b5663b248ap-10, -0x1.06731520b3277p-10, -0x1.01714f21c51p-10, -0x1.f90b566793d92p-11, -0x1.ef5fa67471a95p-11, -0x1.e5dee6d10c157p-11, -0x1.dc8872b00bf6ap-11, -0x1.d35ba68a85503p-11, -0x1.ca57df58c1399p-11, -0x1.c17c79e8a1fd1p-11, -0x1.b8c8d7c61387cp-11, -0x1.b03c58c6db93p-11, -0x1.a7d663b585d7ap-11, -0x1.9f96627c94711p-11, -0x1.977bc15e832adp-11, -0x1.8f85ecac9957bp-11, -0x1.87b44ed53f433p-11, -0x1.80065056b4668p-11, -0x1.787b58164433bp-11, -0x1.7112cfa69a135p-11, -0x1.69cc2554a1e3fp-11, -0x1.62a6cc1f87bd5p-11, -0x1.5ba23c31a41b8p-11, -0x1.54bdf162ec2bfp-11, -0x1.4df96a0d245bap-11, -0x1.4754264549aedp-11, -0x1.40cda74643b3bp-11, -0x1.3a656edb7188p-11, -0x1.341afee7f091ep-11, -0x1.2dedd979c3cb5p-11, -0x1.27dd81c1d8db5p-11, -0x1.21e97cfa9ecafp-11, -0x1.1c1154c1750eep-11, -0x1.165495fc956f4p-11, -0x1.10b2d02a046cfp-11, -0x1.0b2b93512a4c2p-11, -0x1.05be6e98e6f8fp-11, -0x1.006af077d6c87p-11, -0x1.f6614f2287b45p-12, -0x1.ec1e4b8dc7172p-12, -0x1.e20bffa97a6c5p-12, -0x1.d8299a084d8dfp-12, -0x1.ce765278704c2p-12, -0x1.c4f15966ca09fp-12, -0x1.bb99f1b4a8598p-12, -0x1.b26f542053452p-12, -0x1.a970c7116a0c6p-12, -0x1.a09d90ecad658p-12, -0x1.97f4f760d9151p-12, -0x1.8f763d5aca712p-12, -0x1.8720a3a5b8e9fp-12, -0x1.7ef36c2efa264p-12, -0x1.76edde391d986p-12, -0x1.6f0f493f65405p-12, -0x1.675705262537cp-12, -0x1.5fc46fc795dddp-12, -0x1.5856e91fca287p-12, -0x1.510dd00e28b49p-12, -0x1.49e881890318fp-12, -0x1.42e65a9d59dd5p-12, -0x1.3c06bb398ed11p-12, -0x1.354907184cb5p-12, -0x1.2eaca47f5b447p-12, -0x1.2830fb3d96a8ap-12, -0x1.21d575dfe9181p-12, -0x1.1b99842d7026cp-12, -0x1.157c9c742be5dp-12, -0x1.0f7e39f727372p-12, -0x1.099dd9e60393dp-12, -0x1.03daf82ca002bp-12, -0x1.fc6a1c12836a6p-13, -0x1.f15721f160a6fp-13, -0x1.e67bf27dcdfd9p-13, -0x1.dbd7778ca7dabp-13, -0x1.d168ae40c391dp-13, -0x1.c72e9e1000918p-13, -0x1.bd285dfe841dbp-13, -0x1.b355108be23adp-13, -0x1.a9b3dc478bffdp-13, -0x1.a043de6150366p-13, -0x1.97043fc81f296p-13, -0x1.8df407b7d5356p-13, -0x1.851253d85b374p-13, -0x1.7c5e438fe7aacp-13, -0x1.73d6f9d9c3e43p-13, -0x1.6b7b9c45ec358p-13, -0x1.634b5584b9de2p-13, -0x1.5b45591e4135bp-13, -0x1.5368efb3d440dp-13, -0x1.4bb553280ca68p-13, -0x1.4429dbd1f26c1p-13, -0x1.3cc5bb8f0a3acp-13, -0x1.3588443a8c2bap-13, -0x1.2e70bbb4e554bp-13, -0x1.277e68c4e422ap-13, -0x1.20b094b231fp-13, -0x1.1a06890a2e0e1p-13, -0x1.137f93b796d61p-13, -0x1.0d1b0c18efc05p-13, -0x1.06d853fb57845p-13, -0x1.00b6d61e25769p-13, -0x1.f56c030c91c5fp-14, -0x1.e9aa85a3e1311p-14, -0x1.de27fe508d8d7p-14, -0x1.d2e32aacf606fp-14, -0x1.c7dac9dec2115p-14, -0x1.bd0da8652b366p-14, -0x1.b27a9dedb1dd8p-14, -0x1.a82085975a9ap-14, -0x1.9dfe3f920aad7p-14, -0x1.9412b9ef1c51fp-14, -0x1.8a5cf04aa175ap-14, -0x1.80dbe02dfa8b2p-14, -0x1.778e8188fab1ap-14, -0x1.6e73cbb81eaa3p-14, -0x1.658abfa6d8bc3p-14, -0x1.5cd26bbd0caa8p-14, -0x1.5449e6a2c6a86p-14, -0x1.4bf047783998ap-14, -0x1.43c4a4a2242b9p-14, -0x1.3bc61467e5dc1p-14, -0x1.33f3b00d85fbdp-14, -0x1.2c4c989f571dap-14, -0x1.24cff8b761f55p-14, -0x1.1d7d0451c2413p-14, -0x1.1652f70f57882p-14, -0x1.0f5110a4b6e01p-14, -0x1.08768eb808043p-14, -0x1.01c2a7722928dp-14, -0x1.f66913ce85718p-15, -0x1.e996d1dc72a8ep-15, -0x1.dd0d065d5a798p-15, -0x1.d0ca4339bd38ap-15, -0x1.c4cd219170d31p-15, -0x1.b9143dcbb0aeep-15, -0x1.ad9e3e0c4992dp-15, -0x1.a269d70c7b30ep-15, -0x1.97759ce77fc55p-15, -0x1.8cc042475233bp-15, -0x1.824869e559c91p-15, -0x1.780cd27ce24a5p-15, -0x1.6e0c4b5be4aebp-15, -0x1.6445a9443bc91p-15, -0x1.5ab7c3a393247p-15, -0x1.516175e16a28ap-15, -0x1.48419f6e20a9bp-15, -0x1.3f57242bdcf7ep-15, -0x1.36a0ec47d798ap-15, -0x1.2e1de4088409p-15, -0x1.25cd02a1d9fd1p-15, -0x1.1dad40ed0cca4p-15, -0x1.15bda02a4e8a3p-15, -0x1.0dfd2a4f3e979p-15, -0x1.066af097a9d9dp-15, -0x1.fe0c0717621d4p-16, -0x1.ef9ad607f9974p-16, -0x1.e18054dfbb4cep-16, -0x1.d3baa0294469ap-16, -0x1.c64824585804ep-16, -0x1.b926c58c564e1p-16, -0x1.ac5553b2b12fap-16, -0x1.9fd1f0e2703b1p-16, -0x1.939aeb2405edbp-16, -0x1.87aea1fb16f0fp-16, -0x1.7c0b70e506b9dp-16, -0x1.70afbed753971p-16, -0x1.659a0ffccd412p-16, -0x1.5ac8f3563530bp-16, -0x1.503af33d28435p-16, -0x1.45ee9c8866069p-16, -0x1.3be28601ce54fp-16, -0x1.321550c2c1eadp-16, -0x1.2885a6e1605d9p-16, -0x1.1f322e084d42bp-16, -0x1.1619a218f02f8p-16, -0x1.0d3ab9951c60ep-16, -0x1.0494358d02953p-16, -0x1.f849b7bb7276dp-17, -0x1.e7d6ec83e7242p-17, -0x1.d7cdac1b6e3f8p-17, -0x1.c82bb1f5a4d88p-17, -0x1.b8eed46918fd3p-17, -0x1.aa14f4618df52p-17, -0x1.9b9be3431e30ep-17, -0x1.8d8160e8b84bfp-17, -0x1.7fc33fb99e241p-17, -0x1.725f5bc9e12edp-17, -0x1.655444c0fd7d5p-17, -0x1.589fa166a73cbp-17, -0x1.4c3f9365b9405p-17, -0x1.403211960ae77p-17, -0x1.347547115880cp-17, -0x1.2907610127ad3p-17, -0x1.1de6a09b43544p-17, -0x1.13116358b7665p-17, -0x1.0885fb9e1cf7bp-17, -0x1.fc856b0d5fc8p-18, -0x1.e88bd6a2df5b4p-18, -0x1.d51c038ab9f92p-18, -0x1.c232f4b71650cp-18, -0x1.afcd579b2c18p-18, -0x1.9de87879d88ffp-18, -0x1.8c80ca29153a6p-18, -0x1.7b93f53c02623p-18, -0x1.6b1eefe3016e5p-18, -0x1.5b1edc50bf443p-18, -0x1.4b917da819d0fp-18, -0x1.3c7365266813ep-18, -0x1.2dc218ff6e5fap-18, -0x1.1f7b9bde2d8fp-18, -0x1.119d1a39b7714p-18, -0x1.042425ed71faep-18, -0x1.ee1d311a762fp-19, -0x1.d4b4135a1ffdp-19, -0x1.bc0832e615312p-19, -0x1.a414f27cfb602p-19, -0x1.8cd5fa735c57fp-19, -0x1.7647288bad068p-19, -0x1.60646b0beaeb9p-19, -0x1.4b296a9fadce2p-19, -0x1.3691d43ec26aap-19, -0x1.2299c19148f9fp-19, -0x1.0f3d6b56b5dbbp-19, -0x1.f8f288917f653p-20, -0x1.d493688fa7893p-20, -0x1.b155fa9cbbd18p-20, -0x1.8f330e57ca1cep-20, -0x1.6e23d378f00e1p-20, -0x1.4e2148631a118p-20, -0x1.2f2522cecc409p-20, -0x1.1128cfe92233cp-20, -0x1.e84beb7ec38adp-21, -0x1.b02caafbaf045p-21, -0x1.79e78c57b1122p-21, -0x1.457070eb75b87p-21, -0x1.12bb827401f73p-21, -0x1.c37a905439d2ap-22, -0x1.64d557008daa7p-22, -0x1.0971caf0038acp-22, -0x1.62757f349716cp-23, -0x1.706d3cebf006dp-24, -0x1.3fdec6f6a9e4p-27, 0x1.14ac1a20bc61bp-24, 0x1.22fd47e4df9eap-23, 0x1.b60c60b0890f4p-23, 0x1.21d69e07365a8p-22, 0x1.65fc041e7d21cp-22, 0x1.a79bc5158a134p-22, 0x1.e6b43c199fbedp-22, 0x1.11ae2c015af36p-21, 0x1.2ed229af40102p-21, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.640fbf2e4f00cp-9, -0x1.3f83f708caa85p-7, -0x1.77cb65aef7473p-6, -0x1.5b26d219bc2a8p-5, -0x1.13473fdfdbe3ap-4, -0x1.899605be25b64p-4, -0x1.053054cd29f43p-3, -0x1.47d2de7f87ba2p-3, -0x1.89f8285048694p-3, -0x1.c947c3abbfbecp-3, -0x1.01ead1df3c747p-2, -0x1.1c10e5d00b9ffp-2, -0x1.3288df7e9e2b5p-2, -0x1.44f349f7bae3bp-2, -0x1.5318bf2d07e1ep-2, -0x1.5ce3ffd55a03bp-2, -0x1.625c393886572p-2, -0x1.639fae5e313f9p-2, -0x1.60dee0507ba22p-2, -0x1.5a584069eca22p-2, -0x1.50546d89c3925p-2, -0x1.4322f7578291p-2, -0x1.33179f8846032p-2, -0x1.20880f1ab8f9p-2, -0x1.0bc9f437c5483p-2, -0x1.ea62fa0947411p-3, -0x1.ba20482765226p-3, -0x1.876787b290c3fp-3, -0x1.52cbcea642da4p-3, -0x1.1cd69dc486593p-3, -0x1.cc0e84ed76b1dp-4, -0x1.5da50409ddeadp-4, -0x1.de8a04c89d20dp-5, -0x1.035b722be50fdp-5, -0x1.589cdbf530611p-8, 0x1.523fcc8ab9cb8p-6, 0x1.78375e721bfe7p-5, 0x1.20a77b4476a0bp-4, 0x1.81d2404c05473p-4, 0x1.df4a8f99efc91p-4, 0x1.1c66bef8b51cp-3, 0x1.4712bb2837478p-3, 0x1.6f94868c4c979p-3, 0x1.95dcf7944c963p-3, 0x1.b9e1e33b9ac6p-3, 0x1.db9d9d16b54aap-3, 0x1.fb0e7d61c8809p-3, 0x1.0c1b36673f0b5p-2, 0x1.198d3daa788edp-2, 0x1.25e13e61f1003p-2, 0x1.311c56a82ab7ap-2, 0x1.3b44ae621ef53p-2, 0x1.4461506f352a7p-2, 0x1.4c7a07147ac25p-2, 0x1.53973b20e9402p-2, 0x1.59c1d582edf3ep-2, 0x1.5f03237082a2fp-2, 0x1.6364bd5384199p-2, 0x1.66f0705e4b1a1p-2, 0x1.69b02a64ee6f4p-2, 0x1.6bade79849367p-2, 0x1.6cf3a204cbab6p-2, 0x1.6d8b42f5e80d3p-2, 0x1.6d7e965b36568p-2, 0x1.6cd7401ffad9ap-2, 0x1.6b9eb32ce07a7p-2, 0x1.69de29ba9f32ap-2, 0x1.679e9eb6f06f1p-2, 0x1.64e8c822f006dp-2, 0x1.61c512768c96fp-2, 0x1.5e3b9d1411026p-2, 0x1.5a5437ca23f38p-2, 0x1.561661445dad2p-2, 0x1.518946414d16ap-2, 0x1.4cb3c15a1a2ecp-2, 0x1.479c5b3c21936p-2, 0x1.42494b3de8e34p-2, 0x1.3cc0784ba549cp-2, 0x1.37077a2a52eadp-2, 0x1.31239b1308acep-2, 0x1.2b19d99e8835p-2, 0x1.24eeeaf7187eep-2, 0x1.1ea73d4002b74p-2, 0x1.1846fa1fdca6cp-2, 0x1.11d20961eeec6p-2, 0x1.0b4c139c94747p-2, 0x1.04b884dbbba9cp-2, 0x1.fc351e88f91fbp-3, 0x1.eeea5b6b58a4fp-3, 0x1.e1964cc244b1cp-3, 0x1.d43e1abc7e394p-3, 0x1.c6e68e690e20cp-3, 0x1.b99416b57a10fp-3, 0x1.ac4acd52e8874p-3, 0x1.9f0e7b78fc299p-3, 0x1.91e29e84e5f81p-3, 0x1.84ca6c6b8e1f9p-3, 0x1.77c8d8020abd4p-3, 0x1.6ae0951132ce4p-3, 0x1.5e141c3f658eap-3, 0x1.5165aec260ec8p-3, 0x1.44d759e84a9f3p-3, 0x1.386afa6da5d9fp-3, 0x1.2c223fa8774dcp-3, 0x1.1ffeae8a9302bp-3, 0x1.1401a4752ea11p-3, 0x1.082c59eb901b3p-3, 0x1.f8ffca2fffb8cp-4, 0x1.e1fa78646586cp-4, 0x1.cb4a6f76e71afp-4, 0x1.b4f1293cb06e6p-4, 0x1.9eefec4cd7072p-4, 0x1.8947cfbb759b9p-4, 0x1.73f9be92f3a03p-4, 0x1.5f067b0ae3372p-4, 0x1.4a6ea19d18378p-4, 0x1.3632abc8d8a89p-4, 0x1.2252f2be684bep-4, 0x1.0ecfb1d1e9766p-4, 0x1.f752116888dffp-5, 0x1.d1bdfb45ce0aep-5, 0x1.ace2fea23ebc5p-5, 0x1.88c0cd7327349p-5, 0x1.6556f1b2cfb28p-5, 0x1.42a4d06a88f15p-5, 0x1.20a9aca729a04p-5, 0x1.fec9544e03a84p-6, 0x1.bda99f9b94e21p-6, 0x1.7df2141f30748p-6, 0x1.3fa059e3106cfp-6, 0x1.02b1ec108542dp-6, 0x1.8e4839ebcb922p-7, 0x1.19e83206d33c4p-7, 0x1.507ba752bdep-8, 0x1.ca179ad50b2abp-10, -0x1.9876a2781a23dp-10, -0x1.397c3ce461efcp-8, -0x1.03d1b631028cbp-7, -0x1.6850923aa15edp-7, -0x1.ca41d1d8f0711p-7, -0x1.14d65c6fc2e77p-6, -0x1.434c55ca4b225p-6, -0x1.708695fb3ab1bp-6, -0x1.9c88eb750696cp-6, -0x1.c7573094b5d02p-6, -0x1.f0f54a6045378p-6, -0x1.0cb3939e08365p-5, -0x1.20585ed763af5p-5, -0x1.336b05c7da875p-5, -0x1.45ed8a8800876p-5, -0x1.57e1f1adc4122p-5, -0x1.694a41d606cd7p-5, -0x1.7a28837e106b6p-5, -0x1.8a7ec09b7d0e8p-5, -0x1.9a4f03e6b787dp-5, -0x1.a99b587f30dcep-5, -0x1.b865c9ed4e9eep-5, -0x1.c6b063d2f5c6bp-5, -0x1.d47d31417286ep-5, -0x1.e1ce3c5c7c4f6p-5, -0x1.eea58e6733c78p-5, -0x1.fb052f9eb7dcap-5, -0x1.03779355f9a68p-4, -0x1.0932bc1d995e9p-4, -0x1.0eb5137c4922ep-4, -0x1.13ff99c44784cp-4, -0x1.19134e15ecb2fp-4, -0x1.1df12e2e6ebaep-4, -0x1.229a3655b21cdp-4, -0x1.270f615b9e847p-4, -0x1.2b51a8810badep-4, -0x1.2f620352c3e03p-4, -0x1.3341679369397p-4, -0x1.36f0c931f6446p-4, -0x1.3a711a3886c67p-4, -0x1.3dc34ab3b5208p-4, -0x1.40e848a2490afp-4, -0x1.43e0ffee5cf0dp-4, -0x1.46ae5a5ef0fc3p-4, -0x1.49513f7fe6f8p-4, -0x1.4bca948f6bcd9p-4, -0x1.4e1b3c7f87bd4p-4, -0x1.504417f4f6d26p-4, -0x1.52460536e0c4fp-4, -0x1.5421e013ea991p-4, -0x1.55d881d647bd3p-4, -0x1.576ac14c4b416p-4, -0x1.58d972d061106p-4, -0x1.5a25683cb3093p-4, -0x1.5b4f70cfcd051p-4, -0x1.5c58591f62b2ap-4, -0x1.5d40eb20cfea2p-4, -0x1.5e09ee39f8ca9p-4, -0x1.5eb4274151a41p-4, -0x1.5f40586a18a45p-4, -0x1.5faf413119c8cp-4, -0x1.60019e5bca591p-4, -0x1.60382a0942b35p-4, -0x1.60539bbfc68c9p-4, -0x1.6054a869f1e76p-4, -0x1.603c02478ac92p-4, -0x1.600a58e47f3e9p-4, -0x1.5fc0591c9dcc7p-4, -0x1.5f5ead29c71a3p-4, -0x1.5ee5fcaedb743p-4, -0x1.5e56ecb74f4eep-4, -0x1.5db21fb13824fp-4, -0x1.5cf8356acd84fp-4, -0x1.5c29cb17cc4bp-4, -0x1.5b477b5b8a59p-4, -0x1.5a51de508ad4bp-4, -0x1.5949898b38091p-4, -0x1.582f1019f774cp-4, -0x1.5703028924338p-4, -0x1.55c5eee8cc1d8p-4, -0x1.547860d5cb9fap-4, -0x1.531ae17f7b32fp-4, -0x1.51adf7ab32d9ap-4, -0x1.503227b7356ffp-4, -0x1.4ea7f3a06c098p-4, -0x1.4d0fdb0a2088fp-4, -0x1.4b6a5b4660c08p-4, -0x1.49b7ef5cc7255p-4, -0x1.47f9100f00331p-4, -0x1.462e33dcdc0e6p-4, -0x1.4457cf09e13e7p-4, -0x1.427653a4d9b4fp-4, -0x1.408a318fc0f0fp-4, -0x1.3e93d686cd15fp-4, -0x1.3c93ae265a4f9p-4, -0x1.3a8a21f016478p-4, -0x1.38779951597d3p-4, -0x1.365c79aa029ebp-4, -0x1.3439265401742p-4, -0x1.320e00aa24d9dp-4, -0x1.2fdb680ddd273p-4, -0x1.2da1b9ece83dcp-4, -0x1.2b6151c77a25dp-4, -0x1.291a89368393p-4, -0x1.26cdb7f3805d7p-4, -0x1.247b33df568c7p-4, -0x1.22235108c4437p-4, -0x1.1fc661b2073e2p-4, -0x1.1d64b6563f298p-4, -0x1.1afe9daedd5b7p-4, -0x1.189464ba26fb1p-4, -0x1.162656c1dbecap-4, -0x1.13b4bd6189203p-4, -0x1.113fe08d3e448p-4, -0x1.0ec806976cae3p-4, -0x1.0c4d743616249p-4, -0x1.09d06c8852f19p-4, -0x1.0751311b8c4b2p-4, -0x1.04d001f15132fp-4, -0x1.024d1d853afe1p-4, -0x1.ff9181a5e4d07p-5, -0x1.fa864eb7eaa41p-5, -0x1.f579165a9b716p-5, -0x1.f06a49c94481ep-5, -0x1.eb5a576a84051p-5, -0x1.e649aadab89d3p-5, -0x1.e138acf516009p-5, -0x1.dc27c3df978dep-5, -0x1.d717531584409p-5, -0x1.d207bb715f93bp-5, -0x1.ccf95b37e2a0fp-5, -0x1.c7ec8e2187ae3p-5, -0x1.c2e1ad640da44p-5, -0x1.bdd90fbc01803p-5, -0x1.b8d30974d4edp-5, -0x1.b3cfec74dd282p-5, -0x1.aed00844a7633p-5, -0x1.a9d3aa19cdffap-5, -0x1.a4db1cdfba814p-5, -0x1.9fe6a9413e7b2p-5, -0x1.9af695b18aa31p-5, -0x1.960b267476ad6p-5, -0x1.91249da80bccdp-5, -0x1.8c433b4cf125ap-5, -0x1.87673d4dd7684p-5, -0x1.8290df89d1d97p-5, -0x1.7dc05bdbfba0dp-5, -0x1.78f5ea246dcep-5, -0x1.7431c050575afp-5, -0x1.6f741262b436p-5, -0x1.6abd127c0f10bp-5, -0x1.660cf0e2dfbfcp-5, -0x1.6163dc0b4004dp-5, -0x1.5cc2009ee65ccp-5, -0x1.58278985060fbp-5, -0x1.53949fea445e2p-5, -0x1.4f096b4889ca8p-5, -0x1.4a86116ed8a98p-5, -0x1.460ab688a99bep-5, -0x1.41977d265b2c4p-5, -0x1.3d2c8642d35p-5, -0x1.38c9f14d39c11p-5, -0x1.346fdc2eddc08p-5, -0x1.301e63528a78dp-5, -0x1.2bd5a1ac3de3ap-5, -0x1.2795b0c0074dfp-5, -0x1.235ea8a953fc3p-5, -0x1.1f30a021f3addp-5, -0x1.1b0bac8933a5bp-5, -0x1.16efe1eae70c7p-5, -0x1.12dd53060bc03p-5, -0x1.0ed41153b1febp-5, -0x1.0ad42d0dcfa67p-5, -0x1.06ddb535c71eep-5, -0x1.02f0b79b176a6p-5, -0x1.fe1a81c41e132p-6, -0x1.f666b914a72dep-6, -0x1.eec629ea96f62p-6, -0x1.e738e6d8e508p-6, -0x1.dfbf004f3916ap-6, -0x1.d85884a62f7aep-6, -0x1.d105802ce7c93p-6, -0x1.c9c5fd34ac743p-6, -0x1.c29a041e0dfb6p-6, -0x1.bb819b64a8cfbp-6, -0x1.b47cc7aa847bp-6, -0x1.ad8b8bc35485ep-6, -0x1.a6ade8bf81c59p-6, -0x1.9fe3ddf86ab1ap-6, -0x1.992d691c1648fp-6, -0x1.928a863a201a7p-6, -0x1.8bfb2fcf59925p-6, -0x1.857f5ed114b99p-6, -0x1.7f170ab6b50bp-6, -0x1.78c22982e581dp-6, -0x1.7280afcc0dd8ap-6, -0x1.6c5290c7cb062p-6, -0x1.6637be557d666p-6, -0x1.6030290bf592ap-6, -0x1.5a3bc0462aefcp-6, -0x1.545a722f446c5p-6, -0x1.4e8c2bcade99fp-6, -0x1.48d0d8fb93a3ap-6, -0x1.432864878b6cap-6, -0x1.3d92b81ee97d3p-6, -0x1.380fbc6405bd6p-6, -0x1.329f58f849b6dp-6, -0x1.2d41748bfb43dp-6, -0x1.27f5f4ee13352p-6, -0x1.22bcbf19ca7fcp-6, -0x1.1d95b73bbe224p-6, -0x1.1880c0b852833p-6, -0x1.137dbe24d21dp-6, -0x1.0e8c914857d1cp-6, -0x1.09ad1b1eb1162p-6, -0x1.04df3be4020f8p-6, -0x1.0022d327b05a7p-6, -0x1.f6ef7fc8b7cd7p-7, -0x1.edbbc127c66f7p-7, -0x1.e4aa267b1122ap-7, -0x1.dbba6aee31a09p-7, -0x1.d2ec48b6a5af3p-7, -0x1.ca3f78f687733p-7, -0x1.c1b3b3a41265bp-7, -0x1.b948af859617dp-7, -0x1.b0fe224dec2dbp-7, -0x1.a8d3c0d47ab46p-7, -0x1.a0c93f5d42981p-7, -0x1.98de51de50317p-7, -0x1.9112ac253dcadp-7, -0x1.896601db4d869p-7, -0x1.81d8065c30e03p-7, -0x1.7a686c754192ep-7, -0x1.7316e621ee263p-7, -0x1.6be32464e16afp-7, -0x1.64ccd74eac385p-7, -0x1.5dd3ae3aa5488p-7, -0x1.56f7583453112p-7, -0x1.5037846a05e5dp-7, -0x1.4993e28b0014cp-7, -0x1.430c22f193187p-7, -0x1.3c9ff68c2b613p-7, -0x1.364f0e881fef3p-7, -0x1.30191bd9ab1adp-7, -0x1.29fdcec6de05cp-7, -0x1.23fcd69def4ecp-7, -0x1.1e15e1b190357p-7, -0x1.18489dacb4db2p-7, -0x1.1294b81c0946ep-7, -0x1.0cf9df1a3360cp-7, -0x1.0777c1e4b891p-7, -0x1.020e11309c34ep-7, -0x1.f978fe473767ep-8, -0x1.ef057de10476cp-8, -0x1.e4c10862754bdp-8, -0x1.daab04576425bp-8, -0x1.d0c2d671183p-8, -0x1.c707e0edd61a9p-8, -0x1.bd7983ddb4ff3p-8, -0x1.b4171e2ad0084p-8, -0x1.aae00f39b90efp-8, -0x1.a1d3b8b21779ep-8, -0x1.98f17ff8ba409p-8, -0x1.9038cef415787p-8, -0x1.87a913e44f7fcp-8, -0x1.7f41c052716bdp-8, -0x1.7702475c69c2cp-8, -0x1.6eea1bcb6a542p-8, -0x1.66f8ae6bc02f1p-8, -0x1.5f2d6d1b16d35p-8, -0x1.5787c2c649773p-8, -0x1.5007186611eb9p-8, -0x1.48aad6c4ae163p-8, -0x1.417268a5a2481p-8, -0x1.3a5d3cccac5c8p-8, -0x1.336ac75fa8f2cp-8, -0x1.2c9a825231133p-8, -0x1.25ebecb85b4c5p-8, -0x1.1f5e893359d9p-8, -0x1.18f1dbd2582e7p-8, -0x1.12a567e9e4b2bp-8, -0x1.0c78ae54ba2b1p-8, -0x1.066b2c7e4cab1p-8, -0x1.007c5c6b8f2fep-8, -0x1.f5576b8ecd2c6p-9, -0x1.e9f15f85d10c5p-9, -0x1.dec586d2117b9p-9, -0x1.d3d2dbc1e52f8p-9, -0x1.c91864350e71p-9, -0x1.be9532f969951p-9, -0x1.b44866ec2517p-9, -0x1.aa312823205abp-9, -0x1.a04ea3dd3e008p-9, -0x1.96a0082885fb7p-9, -0x1.8d24800f2ef1ap-9, -0x1.83db30e82210ap-9, -0x1.7ac339291ee9fp-9, -0x1.71dbb0e8d9c25p-9, -0x1.6923ac16fe1b6p-9, -0x1.609a3e200ee07p-9, -0x1.583e7e66a7dcbp-9, -0x1.500f8ca0d90cp-9, -0x1.480c9405a21e6p-9, -0x1.4034cc8631001p-9, -0x1.388779d0b68c6p-9, -0x1.3103e883b036fp-9, -0x1.29a96a6e798b8p-9, -0x1.227752d1b6d57p-9, -0x1.1b6cf35059ba1p-9, -0x1.148999d432383p-9, -0x1.0dcc8f5ff89f2p-9, -0x1.073517bdb4bc5p-9, -0x1.00c2722e19bd1p-9, -0x1.f4e7b6a55f73cp-10, -0x1.e89120b5ab421p-10, -0x1.dc7fa610e044ep-10, -0x1.d0b1db3762666p-10, -0x1.c5266af6a61ap-10, -0x1.b9dc17b733f46p-10, -0x1.aed1b847e2fa5p-10, -0x1.a406317e5b0cfp-10, -0x1.99786edbef576p-10, -0x1.8f275c754429cp-10, -0x1.8511e3505bf06p-10, -0x1.7b36e7f5b8032p-10, -0x1.719549ee65ae3p-10, -0x1.682be30809bc9p-10, -0x1.5ef9865cc0935p-10, -0x1.55fd00592a4e1p-10, -0x1.4d35195b2e3ebp-10, -0x1.44a09b82eab5fp-10, -0x1.3c3e5aa72ff55p-10, -0x1.340d3bfc7de5ep-10, -0x1.2c0c3ac9b4f7ep-10, -0x1.243a687c5a481p-10, -0x1.1c96e81fca1b6p-10, -0x1.1520e6f63ec14p-10, -0x1.0dd795068685ap-10, -0x1.06ba204672b73p-10, -0x1.ff8f670b3e82ap-11, -0x1.f1fef01840cbcp-11, -0x1.e4c12eba29a34p-11, -0x1.d7d47584a8859p-11, -0x1.cb371043cc128p-11, -0x1.bee73c096acbap-11, -0x1.b2e323414ced9p-11, -0x1.a728e2efbe45ep-11, -0x1.9bb6982f56f21p-11, -0x1.908a71c9f7898p-11, -0x1.85a2bf7d7f988p-11, -0x1.7afdf9ecfe2c8p-11, -0x1.709ac105313a4p-11, -0x1.6677d1d383bcap-11, -0x1.5c93f7d671eebp-11, -0x1.52edffcc35a4ep-11, -0x1.4984b194fa106p-11, -0x1.4056d2bda6fc3p-11, -0x1.37632ef8dee24p-11, -0x1.2ea89f2653c3fp-11, -0x1.2626093853c72p-11, -0x1.1dda56af91e63p-11, -0x1.15c465ebd933fp-11, -0x1.0de2fe24075d5p-11, -0x1.0634ccec66a2p-11, -0x1.fd70ddcde2a46p-12, -0x1.eed8fe72bf864p-12, -0x1.e09f4e55ad3c7p-12, -0x1.d2c152341a056p-12, -0x1.c53cca36a65d4p-12, -0x1.b80fae1e4ee81p-12, -0x1.ab381da30acd4p-12, -0x1.9eb44a1fb26abp-12, -0x1.92826336794e3p-12, -0x1.86a0902277f93p-12, -0x1.7b0cf96a54044p-12, -0x1.6fc5dd3fec7a1p-12, -0x1.64c9a339025fap-12, -0x1.5a16e1c81163ap-12, -0x1.4fac4f00c2691p-12, -0x1.4588a10ab41bap-12, -0x1.3baa6d6dad63bp-12, -0x1.3210187b239b2p-12, -0x1.28b7dc5802861p-12, -0x1.1f9fdf975268ep-12, -0x1.16c64bbd73d3bp-12, -0x1.0e295a89899d6p-12, -0x1.05c75d2d8d6f3p-12, -0x1.fb3d86eb77b5ep-13, -0x1.eb5c412fcee7cp-13, -0x1.dbe84c7c3ba88p-13, -0x1.ccdf28b94c3acp-13, -0x1.be3e4c1740a29p-13, -0x1.b0030d89268bp-13, -0x1.a22aadf9f5798p-13, -0x1.94b27e5147aa8p-13, -0x1.87981000c7b7ep-13, -0x1.7ad954669c8f7p-13, -0x1.6e7495a98e3ep-13, -0x1.62684892dc479p-13, -0x1.56b2cee395437p-13, -0x1.4b524c387c9bbp-13, -0x1.4044a45991a8cp-13, -0x1.35879c2ebe115p-13, -0x1.2b18fb49b5636p-13, -0x1.20f690bf869fbp-13, -0x1.171e24a1fcf06p-13, -0x1.0d8d7c531e5ecp-13, -0x1.0442817017309p-13, -0x1.f676d65751197p-14, -0x1.e4ed7da4f01c5p-14, -0x1.d3e646532946dp-14, -0x1.c35e4be7579cep-14, -0x1.b35233a0a4c22p-14, -0x1.a3be3bfc1e532p-14, -0x1.949e8fa33abdap-14, -0x1.85efa69bd1c56p-14, -0x1.77ae802ae5d2dp-14, -0x1.69d8a14de5f54p-14, -0x1.5c6be70f6d428p-14, -0x1.4f6646e05a087p-14, -0x1.42c592c21b4f3p-14, -0x1.3687588f55d8p-14, -0x1.2aa8f245cfdcdp-14, -0x1.1f27bb23d9289p-14, -0x1.14012b2b2aabap-14, -0x1.0932a77103621p-14, -0x1.fd72779986be1p-15, -0x1.e92369e27acb8p-15, -0x1.d5726316a560cp-15, -0x1.c25b4614de897p-15, -0x1.afdb6ecbd0211p-15, -0x1.9df087e1f00dfp-15, -0x1.8c9771cdee387p-15, -0x1.7bcc037ab2151p-15, -0x1.6b89971f85336p-15, -0x1.5bcbc05b3137cp-15, -0x1.4c8e964acdc09p-15, -0x1.3dce8cb9c210bp-15, -0x1.2f8839a17d5dep-15, -0x1.21b8596d9e34cp-15, -0x1.145bfa9489755p-15, -0x1.07708d2bcd9bdp-15, -0x1.f5e75935c5a6ep-16, -0x1.ddc58c875bd21p-16, -0x1.c675f468c4684p-16, -0x1.aff2c4d64194fp-16, -0x1.9a36b5bf3eebcp-16, -0x1.853c5433b59e7p-16, -0x1.70fc79d40ff19p-16, -0x1.5d6e35a4e1002p-16, -0x1.4a893e6e4af9dp-16, -0x1.38486d14dff9ap-16, -0x1.26a9397c7385p-16, -0x1.15a8f2e7ad888p-16, -0x1.0542dbe4a0f08p-16, -0x1.eae1bd71de05fp-17, -0x1.cc5b00e3c8734p-17, -0x1.aee9fd485a7c7p-17, -0x1.92893f2a5e8dep-17, -0x1.7732b3d41b4d9p-17, -0x1.5cde7af91dcd4p-17, -0x1.4383aaccd1c7ap-17, -0x1.2b19bb62a1acbp-17, -0x1.13997f329a9dbp-17, -0x1.f9faa09ec8688p-18, -0x1.ce80efc5e4883p-18, -0x1.a4bc22dbd83cp-18, -0x1.7ca065b1d9987p-18, -0x1.5620c4fb28441p-18, -0x1.31324e77b4af3p-18, -0x1.0dccff1e1d697p-18, -0x1.d7ce563c6ee84p-19, -0x1.96e02ed710a93p-19, -0x1.58a5e90000606p-19, -0x1.1d01b0427a2abp-19, -0x1.c7ce7e85013dcp-20, -0x1.5a946cd557357p-20, -0x1.e43a1cf432028p-21, -0x1.1c3a2ae8f4ea7p-21, -0x1.72c8aa19c36abp-23, 0x1.6a5f207dc20d4p-23, 0x1.09c1bdfbaef6ep-21, 0x1.b0f6c93f4ef1ep-21, 0x1.283b31e2cfc02p-20, 0x1.744354014bad1p-20, 0x1.bcb49671810d4p-20, 0x1.00d62b7700a57p-19, 0x1.21a2b8ec1131fp-19, 0x1.40cc83343051cp-19, 0x1.5e5f43ebd8da3p-19, 0x1.7a661dfdbf951p-19, 0x1.94ecc47b8ad28p-19, 0x1.ae00c357c8663p-19, 0x1.c5b05d7dd5537p-19, 0x1.dc0674337fdacp-19, 0x1.f108370d39a0dp-19, 0x1.025d054d1b734p-18, 0x1.0b945dcfa55e1p-18, 0x1.1434bc756b21cp-18, 0x1.1c460f23d74afp-18, 0x1.23caf17ebeadbp-18, 0x1.2ac74a8f2f97dp-18, 0x1.31442d906f0b5p-18, 0x1.374aa01349976p-18, 0x1.3cde9a9073c3dp-18, 0x1.4201a7e3d78cfp-18, 0x1.46b76a0c6e9cap-18, 0x1.4b05b42258428p-18, 0x1.4ef25570d5203p-18, 0x1.5281e2bda3385p-18, 0x1.55b7b8b5963a7p-18, 0x1.58966c94195fap-18, 0x1.5b2048f403e1ap-18, 0x1.5d57bc1f9433fp-18, 0x1.5f3f9728e4383p-18, 0x1.60db01928dc43p-18, 0x1.622d2c3d983fdp-18, 0x1.633915acdb626p-18, 0x1.6401aea667868p-18, 0x1.648a1c4a404afp-18, 0x1.64d55f4896a4fp-18, 0x1.64e55d9a51361p-18, 0x1.64ba7309bba6dp-18, 0x1.645509f0c7a78p-18, 0x1.63b8e8e367b49p-18, 0x1.62ec573e38a51p-18, 0x1.61f2a2df5e1c2p-18, 0x1.60ccc162070acp-18, 0x1.5f7dd2dda44bbp-18, 0x1.5e0907fbebf12p-18, 0x1.5c6e77e751d73p-18, 0x1.5aaddefb318fap-18, 0x1.58c920236bc7fp-18, 0x1.56c321f720bf6p-18, 0x1.549e87ec90746p-18, 0x1.525d9729b8d2ap-18, 0x1.5002678627741p-18, 0x1.4d8edfc80b722p-18, 0x1.4b0490bdbb939p-18, 0x1.48649d632a585p-18, 0x1.45afdb356e2f1p-18, 0x1.42e71a651498fp-18, 0x1.400b677c1db09p-18, 0x1.3d1e16db7424ep-18, 0x1.3a2092aa7f967p-18, 0x1.371415d1e398dp-18, 0x1.33f995143919bp-18, 0x1.30d1ec958a77ep-18, 0x1.2d9e11f8c3f03p-18, 0x1.2a5eff04222dbp-18, 0x1.2715588a67197p-18, 0x1.23c15af41fe8ep-18, 0x1.2063deb6660a2p-18, 0x1.1cff791b32aabp-18, 0x1.19960fff28f99p-18, 0x1.1627e16a52197p-18, 0x1.12b5d4c2960d5p-18, 0x1.0f405ff87fcdcp-18, 0x1.0bc7039b535c4p-18, 0x1.084a277dc9777p-18, 0x1.04cadf2345d0bp-18, 0x1.0149fd96d056ap-18, 0x1.fb90128a0c5eep-19, 0x1.f48af53e69146p-19, 0x1.ed85b8cd61a3dp-19, 0x1.e681bc21c7433p-19, 0x1.df80886d85f3dp-19, 0x1.d8839f43ee0c2p-19, 0x1.d18c23890a56cp-19, 0x1.ca9ab9caaaf33p-19, 0x1.c3afbebfe7dd1p-19, 0x1.bccb8361ad58cp-19, 0x1.b5eeb2934f2e3p-19, 0x1.af1a403a51608p-19, 0x1.a84efd359392fp-19, 0x1.a18d61ea3d3cdp-19, 0x1.9ad59f1ca62a4p-19, 0x1.94280540f7a6bp-19, 0x1.8d854accedad6p-19, 0x1.86ee563e7b9c3p-19, 0x1.8063e107231e7p-19, 0x1.79e631c66cedp-19, 0x1.73754c1620f82p-19, 0x1.6d11f26f4f35cp-19, 0x1.66bd21f223934p-19, 0x1.60771470a8bd2p-19, 0x1.5a40002f1d5c3p-19, 0x1.5417a1eb6378cp-19, 0x1.4dfe0d2426c4dp-19, 0x1.47f3d614671bep-19, 0x1.41f962ff48908p-19, 0x1.3c0ee4c4f7695p-19, 0x1.36347b62a174ap-19, 0x1.306a463e9c8cdp-19, 0x1.2ab06435bcf8cp-19, 0x1.2506f98dba6e6p-19, 0x1.1f6e368e201e3p-19, 0x1.19e659a71f124p-19, 0x1.146fa1e787611p-19, 0x1.0f0a344669a5cp-19, 0x1.09b60f9afc596p-19, 0x1.0473236ce3e3cp-19, 0x1.fe82e033f1b1cp-20, 0x1.f4421123098e7p-20, 0x1.ea23f2384d06p-20, 0x1.e0287bc72b85fp-20, 0x1.d64faf5be1655p-20, 0x1.cc9994e2877ap-20, 0x1.c306449e857b3p-20, 0x1.b995aeac01fa5p-20, 0x1.b047bad9bcad7p-20, 0x1.a71c2ed51544cp-20, 0x1.9e12f9b3989eap-20, 0x1.952bfc40415e2p-20, 0x1.8c674387a8dfcp-20, }}, 
      {{0x1.ff2111df3489bp-7, 0x1.8cd52d322a54ep-4, 0x1.905f350656191p-3, 0x1.2d2d71ea81ea5p-2, 0x1.8809686c412b6p-2, 0x1.d39cbd5c6d096p-2, 0x1.06fa8f774a771p-1, 0x1.1b8e27b7ede7p-1, 0x1.28232e1b4a3ecp-1, 0x1.2da386ae1c042p-1, 0x1.2d1bee0fdc8edp-1, 0x1.279f5bfdad8aap-1, 0x1.1e356fb03398p-1, 0x1.11d04154685c6p-1, 0x1.03471fb43aff9p-1, 0x1.e6a9170574d3fp-2, 0x1.c52c94bc50fe1p-2, 0x1.a31d9109f6178p-2, 0x1.814e7f7d2a02ap-2, 0x1.60648bae57f46p-2, 0x1.40dd0666d898ap-2, 0x1.2312cda546da3p-2, 0x1.074377f12fd3fp-2, 0x1.db2842b166d3dp-3, 0x1.ac2b908dec1d1p-3, 0x1.819265f724441p-3, 0x1.5b44ba269bf95p-3, 0x1.3916e1afb79afp-3, 0x1.1acea5bb333eap-3, 0x1.002790954dca1p-3, 0x1.d1ad04b88bd33p-4, 0x1.a91942e6dbb86p-4, 0x1.85f374d527c56p-4, 0x1.679c446b4210dp-4, 0x1.4d785911e4bc6p-4, 0x1.36f28d433f7ecp-4, 0x1.237d8a85942f3p-4, 0x1.1294e6bef268ap-4, 0x1.03bdd8fdeebacp-4, 0x1.ed0f32b374378p-5, 0x1.d51700cc8c3e8p-5, 0x1.bed9e052464c2p-5, 0x1.a9b228012917bp-5, 0x1.950d0f4bf6f84p-5, 0x1.8069c4beb13d9p-5, 0x1.6b5870e25e784p-5, 0x1.5579241645b32p-5, 0x1.3e7ab9d389341p-5, 0x1.2619be919e6cdp-5, 0x1.0c1f560f44619p-5, 0x1.e0c050c257dd9p-6, 0x1.a576ae76dc02ap-6, 0x1.6632ff4aa2689p-6, 0x1.22d790d5fa03fp-6, 0x1.b6abeef2254bbp-7, 0x1.1f5aadf99072bp-7, 0x1.ff46211ff2d03p-9, -0x1.3e23c935cdd56p-10, -0x1.ae546aec67454p-8, -0x1.8e13082b6591bp-7, -0x1.261298ba99755p-6, -0x1.887e09ce99268p-6, -0x1.ee1520aa4ed1ap-6, -0x1.2b4ed617c45efp-5, -0x1.60ed6a45d1a99p-5, -0x1.97c6ec314f78p-5, -0x1.cfbb5b7e8d53ep-5, -0x1.0455329c05a92p-4, -0x1.2139d49bc767p-4, -0x1.3e7b7bd5b6e9ap-4, -0x1.5c0a433dfc149p-4, -0x1.79d68f4b5125fp-4, -0x1.97d120f7749cp-4, -0x1.b5eb2595424a2p-4, -0x1.d416440e068b2p-4, -0x1.f244a7ebac7b5p-4, -0x1.0834853ba6abfp-3, -0x1.173b5cfe56df4p-3, -0x1.2630cfa0c9ae9p-3, -0x1.350f209f6fe22p-3, -0x1.43d0e39cd5961p-3, -0x1.5270fcb40119bp-3, -0x1.60eaa02df5e2dp-3, -0x1.6f3951b7457e1p-3, -0x1.7d58e32dd9a7fp-3, -0x1.8b457320c8f1cp-3, -0x1.98fb6b0aa2be9p-3, -0x1.a6777d586ced7p-3, -0x1.b3b6a33d78213p-3, -0x1.c0b61a5ff3606p-3, -0x1.cd73625fbb0aap-3, -0x1.d9ec3a40a8538p-3, -0x1.e61e9dbf2535cp-3, -0x1.f208c2957eefap-3, -0x1.fda915bad54d7p-3, -0x1.047f1c504ee5ep-2, -0x1.0a037f3b2469ep-2, -0x1.0f6134ba63139p-2, -0x1.1497d41d3edf2p-2, -0x1.19a7099ac8987p-2, -0x1.1e8e9510c1b18p-2, -0x1.234e48cc83ff1p-2, -0x1.27e6085d710c6p-2, -0x1.2c55c773c0791p-2, -0x1.309d88c8476f4p-2, -0x1.34bd5d11a3f0ap-2, -0x1.38b56201cad36p-2, -0x1.3c85c151c8bb2p-2, -0x1.402eafd70411bp-2, -0x1.43b06ca5102bfp-2, -0x1.470b40396c4d5p-2, -0x1.4a3f7bb418033p-2, -0x1.4d4d7819904f2p-2, -0x1.503595a08bc32p-2, -0x1.52f83b09ef03cp-2, -0x1.5595d501cb1ap-2, -0x1.580ed58c30442p-2, -0x1.5a63b379ac809p-2, -0x1.5c94e9e4b9857p-2, -0x1.5ea2f7b9a3542p-2, -0x1.608e5f43de576p-2, -0x1.6257a5c57014fp-2, -0x1.63ff53157ad18p-2, -0x1.6585f143a3a7cp-2, -0x1.66ec0c4590795p-2, -0x1.683231a771a64p-2, -0x1.6958f04479769p-2, -0x1.6a60d8053335cp-2, -0x1.6b4a799f331c5p-2, -0x1.6c16665fcd549p-2, -0x1.6cc52ff8926fdp-2, -0x1.6d57684af1466p-2, -0x1.6dcda1415a254p-2, -0x1.6e286ca851b62p-2, -0x1.6e685c0561aabp-2, -0x1.6e8e0077b34e8p-2, -0x1.6e99ea9e444ccp-2, -0x1.6e8caa77d004bp-2, -0x1.6e66cf49dd222p-2, -0x1.6e28e78d519fap-2, -0x1.6dd380d9dfacep-2, -0x1.6d6727d2096f6p-2, -0x1.6ce46812f4affp-2, -0x1.6c4bcc26aaa8dp-2, -0x1.6b9ddd7715617p-2, -0x1.6adb2441e37fap-2, -0x1.6a04278d528ep-2, -0x1.69196d1dd366cp-2, -0x1.681b796fe8faap-2, -0x1.670acfb2175dep-2, -0x1.65e7f1ba07c69p-2, -0x1.64b35ffe32fd8p-2, -0x1.636d999564061p-2, -0x1.62171c3286fe9p-2, -0x1.60b0641bf2e07p-2, -0x1.5f39ec269e01bp-2, -0x1.5db42db84527dp-2, -0x1.5c1fa0c66102dp-2, -0x1.5a7cbbce759bdp-2, -0x1.58cbf3d21de74p-2, -0x1.570dbc5a01fep-2, -0x1.55428775edfbep-2, -0x1.536ac5b90ade7p-2, -0x1.5186e63570435p-2, -0x1.4f97567d4cd5ep-2, -0x1.4d9c82a4c6936p-2, -0x1.4b96d5414d82ep-2, -0x1.4986b7653c672p-2, -0x1.476c90a055a6cp-2, -0x1.4548c70183045p-2, -0x1.431bbf15aa1cfp-2, -0x1.40e5dbe7df6c9p-2, -0x1.3ea77f00e48fep-2, -0x1.3c6108674a21ep-2, -0x1.3a12d69f74923p-2, -0x1.37bd46ab7c7abp-2, -0x1.3560b40c4c0e6p-2, -0x1.32fd78c2abd2p-2, -0x1.3093ed4f60134p-2, -0x1.2e2468b185c6ep-2, -0x1.2baf4068fce61p-2, -0x1.2934c8763569cp-2, -0x1.26b5535e0955ep-2, -0x1.24313228e689bp-2, -0x1.21a8b461ea7dap-2, -0x1.1f1c2817abb18p-2, -0x1.1c8bd9df3d178p-2, -0x1.19f814d745497p-2, -0x1.176122a83ac9ap-2, -0x1.14c74b84607e1p-2, -0x1.122ad62701fa1p-2, -0x1.0f8c07d88e2fap-2, -0x1.0ceb2471fabafp-2, -0x1.0a486e5f25741p-2, -0x1.07a4269f27ffp-2, -0x1.04fe8cc3bb39dp-2, -0x1.0257def4a202p-2, -0x1.ff60b3e3df035p-3, -0x1.fa107231779edp-3, -0x1.f4bf6cca97c5ep-3, -0x1.ef6e14e93d738p-3, -0x1.ea1cd908a343dp-3, -0x1.e4cc24ed53893p-3, -0x1.df7c61ab0e964p-3, -0x1.da2df5ad16ff6p-3, -0x1.d4e144bcbc61ap-3, -0x1.cf96b00467992p-3, -0x1.ca4e96151317ep-3, -0x1.c50952ec06f6ep-3, -0x1.bfc73ffa20dabp-3, -0x1.ba88b42b8d4ffp-3, -0x1.b54e03edf7176p-3, -0x1.b01781386c7d4p-3, -0x1.aae57b8f655f7p-3, -0x1.a5b8400e4cf8cp-3, -0x1.a090196ceb438p-3, -0x1.9b6d5008103abp-3, -0x1.965029e85c331p-3, -0x1.9138eac971c25p-3, -0x1.8c27d421c518ep-3, -0x1.871d252a85bfbp-3, -0x1.82191ae784d0bp-3, -0x1.7d1bf02ef55d1p-3, -0x1.7825ddb101b97p-3, -0x1.733719ffa566p-3, -0x1.6e4fd996674c8p-3, -0x1.69704ee34fc57p-3, -0x1.6498aa4ec3619p-3, -0x1.5fc91a438e144p-3, -0x1.5b01cb36ab844p-3, -0x1.5642e7b0cff5dp-3, -0x1.518c9854762a2p-3, -0x1.4cdf03e7f5069p-3, -0x1.483a4f5d7764cp-3, -0x1.439e9ddb736e7p-3, -0x1.3f0c10c4704a5p-3, -0x1.3a82c7bfe1be2p-3, -0x1.3602e0c0adae4p-3, -0x1.318c781019463p-3, -0x1.2d1fa85429864p-3, -0x1.28bc8a9911cbp-3, -0x1.246336595f83p-3, -0x1.2013c186385dbp-3, -0x1.1bce408e7c5d1p-3, -0x1.1792c667d0f73p-3, -0x1.1361649639064p-3, -0x1.0f3a2b3477e89p-3, -0x1.0b1d28fc52534p-3, -0x1.070a6b4ebae9p-3, -0x1.0301fe3afb559p-3, -0x1.fe07d9103b1afp-4, -0x1.f6207f75f35a6p-4, -0x1.ee4e003d5e2dfp-4, -0x1.e69069987a87dp-4, -0x1.dee7c764911f4p-4, -0x1.d75423398238dp-4, -0x1.cfd58478f3c3p-4, -0x1.c86bf05d23f8ep-4, -0x1.c1176a081076p-4, -0x1.b9d7f291696cdp-4, -0x1.b2ad891331561p-4, -0x1.ab982abccb41p-4, -0x1.a497d2db8c923p-4, -0x1.9dac7aec922fap-4, -0x1.96d61aa8d9416p-4, -0x1.9014a81398cb5p-4, -0x1.896817877bd1dp-4, -0x1.82d05bc3bc888p-4, -0x1.7c4d65f974a17p-4, -0x1.75df25d7cdfadp-4, -0x1.6f858999c8453p-4, -0x1.69407e1038536p-4, -0x1.630feeb2ac9d2p-4, -0x1.5cf3c5a74c6e8p-4, -0x1.56ebebd0f6658p-4, -0x1.50f848da7d1ebp-4, -0x1.4b18c3427233cp-4, -0x1.454d4066b07d5p-4, -0x1.3f95a48cd6c5bp-4, -0x1.39f1d2f326abp-4, -0x1.3461add54ef8cp-4, -0x1.2ee5167a2df6cp-4, -0x1.297bed3d4dd6p-4, -0x1.24261199b14d5p-4, -0x1.1ee3623365d6bp-4, -0x1.19b3bce198cf6p-4, -0x1.1496feb817f0cp-4, -0x1.0f8d0410c6599p-4, -0x1.0a95a894d1344p-4, -0x1.05b0c745c566bp-4, -0x1.00de3a8674873p-4, -0x1.f83bb84746909p-5, -0x1.eedf0ab947521p-5, -0x1.e5a61dd662a86p-5, -0x1.dc90a219138cbp-5, -0x1.d39e4711ccab3p-5, -0x1.cacebb734d7bp-5, -0x1.c221ad28806dep-5, -0x1.b996c95cf51c1p-5, -0x1.b12dbc8e69cb1p-5, -0x1.a8e6329a27593p-5, -0x1.a0bfd6caa4962p-5, -0x1.98ba53e520cf9p-5, -0x1.90d554368aecdp-5, -0x1.891081a00a3fap-5, -0x1.816b85a3831bcp-5, -0x1.79e6097117b46p-5, -0x1.727fb5ee253c2p-5, -0x1.6b3833c67cd93p-5, -0x1.640f2b73afefbp-5, -0x1.5d044548e4734p-5, -0x1.5617297d2ac45p-5, -0x1.4f4780358e97bp-5, -0x1.4894f18ece252p-5, -0x1.41ff25a63d2dp-5, -0x1.3b85c4a5fdea8p-5, -0x1.352876c7d03efp-5, -0x1.2ee6e4640aadap-5, -0x1.28c0b5f6a7bd1p-5, -0x1.22b59427f0566p-5, -0x1.1cc527d498007p-5, -0x1.16ef1a133be5bp-5, -0x1.1133143fdd6d4p-5, -0x1.0b90bffd6d001p-5, -0x1.0607c7407aac7p-5, -0x1.0097d454ab525p-5, -0x1.f68123c665c08p-6, -0x1.ec0355f139c52p-6, -0x1.e1b59614bdc62p-6, -0x1.d7973bf87259bp-6, -0x1.cda7a049fe6dbp-6, -0x1.c3e61ca718129p-6, -0x1.ba520ba8811edp-6, -0x1.b0eac8eb84505p-6, -0x1.a7afb11f242e9p-6, -0x1.9ea022053e5e8p-6, -0x1.95bb7a826680ep-6, -0x1.8d011a9e6860ep-6, -0x1.847063904de22p-6, -0x1.7c08b7b9438dp-6, -0x1.73c97ab62ca34p-6, -0x1.6bb21161868f5p-6, -0x1.63c1e1ddc3ae5p-6, -0x1.5bf8539bb0175p-6, -0x1.5454cf61e27ccp-6, -0x1.4cd6bf51e4ffp-6, -0x1.457d8ee5e6133p-6, -0x1.3e48aaf5473a1p-6, -0x1.373781b2ef0cp-6, -0x1.304982b07817bp-6, -0x1.297e1ee331982p-6, -0x1.22d4c8ac6d4bdp-6, -0x1.1c4cf3dfdde63p-6, -0x1.15e615ce29716p-6, -0x1.0f9fa54533318p-6, -0x1.09791a9047f99p-6, -0x1.0371ef73ee741p-6, -0x1.fb133e4dbe365p-7, -0x1.ef7f4c99a5e81p-7, -0x1.e42705ee08ab9p-7, -0x1.d909694eb8bf1p-7, -0x1.ce2578b51199dp-7, -0x1.c37a392adf9d3p-7, -0x1.b906b2c8bf7f7p-7, -0x1.aec9f0e477dfbp-7, -0x1.a4c301e4dde79p-7, -0x1.9af0f7424e53bp-7, -0x1.9152e55bd7304p-7, -0x1.87e7e36935daep-7, -0x1.7eaf0b613a0d3p-7, -0x1.75a779fe9550ap-7, -0x1.6cd04ed337c4ep-7, -0x1.6428ac65e0fc7p-7, -0x1.5bafb856944a2p-7, -0x1.53649b7440677p-7, -0x1.4b4681c352ad1p-7, -0x1.43549a68423adp-7, -0x1.3b8e1781791c8p-7, -0x1.33f22df43db1ep-7, -0x1.2c801543960d1p-7, -0x1.2537076ac5fep-7, -0x1.1e1640e85ae8fp-7, -0x1.171d00cb3851fp-7, -0x1.104a88e6f09bp-7, -0x1.099e1e04cdac8p-7, -0x1.0317080d26de2p-7, -0x1.f9692430f6e68p-8, -0x1.ecec14bb80cf6p-8, -0x1.e0b58404638fcp-8, -0x1.d4c419b3234aap-8, -0x1.c916823bc9b2fp-8, -0x1.bdab6e69b6711p-8, -0x1.b2819335e2584p-8, -0x1.a797a9c81a5fbp-8, -0x1.9cec6fe783878p-8, -0x1.927ea868aa368p-8, -0x1.884d1bc0d0d5fp-8, -0x1.7e56986a15f79p-8, -0x1.7499f30a148cfp-8, -0x1.6b16064342d4fp-8, -0x1.61c9b240f8f0dp-8, -0x1.58b3dc0bd36ecp-8, -0x1.4fd36cd7c8b25p-8, -0x1.472751710370cp-8, -0x1.3eae79e7ba98bp-8, -0x1.3667d98f8e58fp-8, -0x1.2e526752e85f9p-8, -0x1.266d1e42f6701p-8, -0x1.1eb6fe417f02fp-8, -0x1.172f0c936a91dp-8, -0x1.0fd4544299843p-8, -0x1.08a5e61a90b9p-8, -0x1.01a2d855b45f1p-8, -0x1.f5948bf85fdep-9, -0x1.e8369c4a2607cp-9, -0x1.db2a2660eeafap-9, -0x1.ce6d746364293p-9, -0x1.c1fed53b61bf1p-9, -0x1.b5dc9ca05562dp-9, -0x1.aa0523bf77a83p-9, -0x1.9e76ca6639b5bp-9, -0x1.932ff871d5c9ep-9, -0x1.882f1f1ecd20ep-9, -0x1.7d72b9ddeceafp-9, -0x1.72f94eccd7d6p-9, -0x1.68c16dbc03b64p-9, -0x1.5ec9af90ce65bp-9, -0x1.5510b497ae624p-9, -0x1.4b9523123e5b4p-9, -0x1.4255a5f09a4b2p-9, -0x1.3950ebee3aadfp-9, -0x1.3085a72ed8596p-9, -0x1.27f28d5ed89f6p-9, -0x1.1f965872f1447p-9, -0x1.176fc7b0ab7f1p-9, -0x1.0f7da105a002ep-9, -0x1.07beb257b95ebp-9, -0x1.0031d24bc4ad4p-9, -0x1.f1abc0fda6661p-10, -0x1.e3538a11b14dbp-10, -0x1.d558deed3b258p-10, -0x1.c7b9aaf6128f2p-10, -0x1.ba73e378ba6fdp-10, -0x1.ad8585896af56p-10, -0x1.a0ec949abe277p-10, -0x1.94a719d5bd2a1p-10, -0x1.88b323a35ede6p-10, -0x1.7d0ec61f3fdb6p-10, -0x1.71b81c3bc534ep-10, -0x1.66ad49a53273fp-10, -0x1.5bec7d1628044p-10, -0x1.5173f2876bbe5p-10, -0x1.4741f4a7ebb76p-10, -0x1.3d54dcd91341bp-10, -0x1.33ab11fa8bf99p-10, -0x1.2a43063bfd0bcp-10, -0x1.211b34b8d711p-10, -0x1.18321f85e5d1bp-10, -0x1.0f864e82dc22ep-10, -0x1.07164ebe7de34p-10, -0x1.fdc164afc7b5bp-11, -0x1.edc81fe4c9552p-11, -0x1.de3e04d76e2aap-11, -0x1.cf205186dd24ep-11, -0x1.c06c4dd625d6cp-11, -0x1.b21f4ef70b5cbp-11, -0x1.a436bc0a34bddp-11, -0x1.96b01262f53d4p-11, -0x1.8988e7e0db5e1p-11, -0x1.7cbeea7a9c4e2p-11, -0x1.704fdd136ae01p-11, -0x1.643992d8c17a8p-11, -0x1.5879eaa34d70fp-11, -0x1.4d0ecbfbacf12p-11, -0x1.41f626890ac95p-11, -0x1.372df2cc474dfp-11, -0x1.2cb432b6ebb5dp-11, -0x1.2286f0f709f8fp-11, -0x1.18a43f2c2d684p-11, -0x1.0f0a33184d79ap-11, -0x1.05b6e5cfa2e97p-11, -0x1.f950ea3d71498p-12, -0x1.e7ba0f8864053p-12, -0x1.d6a5a478af3a8p-12, -0x1.c61035c8d2c06p-12, -0x1.b5f677b3d95b7p-12, -0x1.a655441ecc42fp-12, -0x1.97299436703bdp-12, -0x1.887077830d291p-12, -0x1.7a270bf478db9p-12, -0x1.6c4a7b437ece7p-12, -0x1.5ed7fb01a614dp-12, -0x1.51ccd29eaa756p-12, -0x1.45265d800858cp-12, -0x1.38e20b08c5a16p-12, -0x1.2cfd584f37245p-12, -0x1.2175c7adf84aap-12, -0x1.1648d9b2442f6p-12, -0x1.0b740e331a0a5p-12, -0x1.00f4e55ce85b3p-12, -0x1.ed91d88da978ep-13, -0x1.d9db86d9c0d5ep-13, -0x1.c6c249057d584p-13, -0x1.b441c8cb07465p-13, -0x1.a255e2d588964p-13, -0x1.90fa9d22f83a1p-13, -0x1.802c1a0d0248ep-13, -0x1.6fe68d65bffa3p-13, -0x1.602639112db8dp-13, -0x1.50e771b32943bp-13, -0x1.4226aacc8ab5ap-13, -0x1.33e07f82cd208p-13, -0x1.2611b5179eadbp-13, -0x1.18b7316de5051p-13, -0x1.0bcde9596d24p-13, -0x1.fea59e164baedp-14, -0x1.e68593230d8cfp-14, -0x1.cf3573804ceaap-14, -0x1.b8af0b6d87319p-14, -0x1.a2ec494cce9eep-14, -0x1.8de74b8f3c8acp-14, -0x1.799a665c93f4bp-14, -0x1.66002a3df8368p-14, -0x1.531367d0e6e74p-14, -0x1.40cf28c62920dp-14, -0x1.2f2e9d5cbe48dp-14, -0x1.1e2d0794c420cp-14, -0x1.0dc5b01ebb415p-14, -0x1.fbe7d7955aa05p-15, -0x1.dd665f4055cb5p-15, -0x1.bffe548c7826fp-15, -0x1.a3a7a2f6f74bp-15, -0x1.885abbd6fd24bp-15, -0x1.6e1062510f58fp-15, -0x1.54c16af46eb6cp-15, -0x1.3c669015ac90cp-15, -0x1.24f8710fc7706p-15, -0x1.0e6fb6795675cp-15, -0x1.f18a5ed87c8d4p-16, -0x1.c7e3b18c99e4ep-16, -0x1.9fdd9cfee32bdp-16, -0x1.796a808789cadp-16, -0x1.547d77de4f27ep-16, -0x1.310a5eb3d849ep-16, -0x1.0f05f6e6ca7dp-16, -0x1.dccaeeb901cbep-17, -0x1.9e3c35b692b4fp-17, -0x1.6249bb314618bp-17, -0x1.28dd21186e256p-17, -0x1.e3c0b5d9c4ed1p-18, -0x1.7a7cd71144e7bp-18, -0x1.15c7a1c7c532ap-18, -0x1.6af9e743b4a35p-19, -0x1.65eb2ca3d1854p-20, -0x1.a04219523e36ep-26, 0x1.48cd9789fcdb5p-20, 0x1.44428afa35f8fp-19, 0x1.dc951a06a5f4dp-19, 0x1.36cfb49d89ee9p-18, 0x1.7bd019d03e789p-18, 0x1.bd6ac327123e6p-18, 0x1.fbbf6ef93cd41p-18, 0x1.1b771092c1d9cp-17, 0x1.378a77eb28c9ep-17, 0x1.5227148128737p-17, 0x1.6b586474cd205p-17, 0x1.832960d430167p-17, 0x1.99a587125cdd7p-17, 0x1.aed90bce8f479p-17, 0x1.c2d05128c0bdcp-17, 0x1.d59741ee3e96bp-17, 0x1.e73903c91b295p-17, 0x1.f7c03769a260ap-17, 0x1.039b88b868643p-16, 0x1.0ad3b44fbdd4ap-16, 0x1.118d45429693p-16, 0x1.17cc9a219ab53p-16, 0x1.1d95e5be4f0bp-16, 0x1.22ed58325748cp-16, 0x1.27d733399ae73p-16, 0x1.2c579949f135bp-16, 0x1.30727b20eb98ap-16, 0x1.342bbca29dbc5p-16, 0x1.37878ff373e6fp-16, 0x1.3a8a7a010b4c1p-16, 0x1.3d38bef4a517p-16, 0x1.3f95cf4aededp-16, 0x1.41a48c75cdb29p-16, 0x1.4367a7c2855ddp-16, 0x1.44e25db233b1p-16, 0x1.461807dc5b27ep-16, 0x1.470bdc8921eecp-16, 0x1.47c0946396affp-16, 0x1.48389e1c4004p-16, 0x1.48766da9ec523p-16, 0x1.487c98352e237p-16, 0x1.484dbdf6c0b4ap-16, 0x1.47ec63d9c7a4bp-16, 0x1.475ad909364f8p-16, 0x1.469b33c560b21p-16, 0x1.45af63cfa96ffp-16, 0x1.449952a5166aap-16, 0x1.435afac9c8412p-16, 0x1.41f6594e24cb8p-16, 0x1.406d413474bbcp-16, 0x1.3ec15007b3d0ep-16, 0x1.3cf430c297874p-16, 0x1.3b07e7684dae6p-16, 0x1.38fea4c41c9cap-16, 0x1.36da3a9b11f2p-16, 0x1.349bf6b00218bp-16, 0x1.32451fbda8981p-16, 0x1.2fd75fd4ffbd3p-16, 0x1.2d5497f8e0a46p-16, 0x1.2abe67ea0b88ep-16, 0x1.2815fea7c2921p-16, 0x1.255c54828510fp-16, 0x1.2292705673874p-16, 0x1.1fb973498a372p-16, 0x1.1cd281727f3e6p-16, 0x1.19deaf4bb56c1p-16, 0x1.16defe4decdb4p-16, 0x1.13d4606bd842dp-16, 0x1.10bfbaf70d0bdp-16, 0x1.0da1e73158187p-16, 0x1.0a7bb47487de8p-16, 0x1.074df08547735p-16, 0x1.04196f8156d6bp-16, 0x1.00df052bde4cp-16, 0x1.fb3ecf20d3df2p-17, 0x1.f4b641e3e500fp-17, 0x1.ee2563c59a54ap-17, 0x1.e78d9ee90d49ap-17, 0x1.e0f0c3a3914bfp-17, 0x1.da504f27533edp-17, 0x1.d3ad309a9cdc2p-17, 0x1.cd084eea5eae2p-17, 0x1.c6634501d2ae6p-17, 0x1.bfbf810ec03f9p-17, 0x1.b91deb90f2311p-17, 0x1.b27f2661f270bp-17, 0x1.abe403245d31ap-17, 0x1.a54d857eaba3p-17, 0x1.9ebca976a128ep-17, 0x1.98324432abadep-17, 0x1.91af0534055adp-17, 0x1.8b33811eb6c4ap-17, 0x1.84c03d546397fp-17, 0x1.7e55c123f9e14p-17, 0x1.77f495034001ap-17, 0x1.719d461b7d019p-17, 0x1.6b505d5ce6dedp-17, 0x1.650e59c1d0679p-17, 0x1.5ed7b4688bbb2p-17, 0x1.58ace778a566dp-17, 0x1.528e64f30e607p-17, 0x1.4c7c7d8633df7p-17, 0x1.467758a83735cp-17, 0x1.407f0f7fdff0bp-17, 0x1.3a9420cedab3ap-17, 0x1.34b73ea7ffaf4p-17, 0x1.2ee8cb25894dbp-17, 0x1.2928e8c42caf8p-17, 0x1.2377ef816f057p-17, 0x1.1dd636130ep-17, 0x1.1843bf6dce157p-17, 0x1.12c0823eea0a1p-17, 0x1.0d4caa8d55567p-17, 0x1.07e87c7f75f3bp-17, 0x1.0294331e1d337p-17, 0x1.fa9ffb609bfc1p-18, 0x1.f0380a75900d3p-18, 0x1.e5f0d27e92843p-18, 0x1.dbca834e5ca65p-18, 0x1.d1c52edb043fdp-18, 0x1.c7e0d3e061321p-18, 0x1.be1d6d9ddb946p-18, 0x1.b47afff8ed114p-18, 0x1.aaf99aafe9d04p-18, 0x1.a1994f146c0a3p-18, 0x1.985a21cbf1f36p-18, 0x1.8f3c06693d72bp-18, 0x1.863ee937f043fp-18, 0x1.7d62b9dd21c31p-18, 0x1.74a7672967d4dp-18, 0x1.6c0cc6997809p-18, 0x1.6392a9d68cc46p-18, 0x1.5b38e11399b9ep-18, 0x1.52ffae96e81a5p-18, 0x1.4ae727afb29d9p-18, 0x1.42ef08a749f11p-18, 0x1.3b17313fb85d3p-18, 0x1.335f67fd5b295p-18, 0x1.2bc73d5e1a2bbp-18, 0x1.244e70d02a37dp-18, 0x1.1cf4e5e8db24fp-18, 0x1.15ba72e643852p-18, 0x1.0e9edb7b1394ep-18, 0x1.07a1deb537d8ap-18, 0x1.00c346a74926ep-18, 0x1.f405bbf0cac36p-19, 0x1.e6c0d7a5a493ep-19, 0x1.d9b78be1cadffp-19, 0x1.cce95ba8c27f8p-19, 0x1.c055a89c458cap-19, 0x1.b3fc0dcce3ac2p-19, 0x1.a7db846ca9782p-19, 0x1.9bf388bb84fe8p-19, 0x1.9043e1ead0f85p-19, 0x1.84cbdc8fcf667p-19, 0x1.798ab9627d12ap-19, 0x1.6e7ff457108cap-19, 0x1.63aad6ee888f1p-19, 0x1.590ad42a29b7ap-19, 0x1.4e9f6740d2e26p-19, 0x1.4468022386891p-19, 0x1.3a63fe416741ap-19, 0x1.3092a685add46p-19, 0x1.26f370d6fd59ap-19, 0x1.1d85e2a9d87f2p-19, 0x1.144957b3627a5p-19, 0x1.0b3d28aa9a60bp-19, 0x1.02609669e82ffp-19, 0x1.f365e573ea7e7p-20, 0x1.e2676170fa6d3p-20, 0x1.d1c475c09a5a3p-20, 0x1.c17be323e66eep-20, 0x1.b18c55251c8dcp-20, 0x1.a1f491a51c528p-20, 0x1.92b35033030dep-20, 0x1.83c7525a051c7p-20, 0x1.752f62e946f0ep-20, 0x1.66ea56b3bafe4p-20, 0x1.58f705e5f6047p-20, 0x1.4b543ebccde02p-20, 0x1.3e00bf8adc278p-20, 0x1.30fb422ca59e3p-20, 0x1.24428c118d67fp-20, 0x1.17d56f23f1749p-20, 0x1.0bb2bd160d57fp-20, 0x1.ffb282ddfda57p-21, 0x1.e890291c3fbb7p-21, 0x1.d1fa94006d717p-21, 0x1.bbf0fd4d254e5p-21, 0x1.a670a18f5db5ap-21, 0x1.917748c5af88cp-21, 0x1.7d024b3c034d1p-21, 0x1.690fbe860b9a1p-21, 0x1.559d4db869cefp-21, 0x1.42a8d93bb185p-21, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.7f701d0d159ebp-5, -0x1.7f051817e4a43p-5, -0x1.7e3f2e5dd5a64p-5, -0x1.7d0319ab68127p-5, -0x1.7b2e14515836p-5, -0x1.789838114ab6bp-5, -0x1.7516bcb12ad19p-5, -0x1.707df7488c2aep-5, -0x1.6aa30eaacc59ep-5, -0x1.635d633843553p-5, -0x1.5a87aceff8282p-5, -0x1.5000d4a456999p-5, -0x1.43ac8e40436f1p-5, -0x1.3573babc82245p-5, -0x1.254498eab7da7p-5, -0x1.1312cc8d44acfp-5, -0x1.fdae8682fb81p-6, -0x1.d11ffd0bbb17p-6, -0x1.a07f9347bea38p-6, -0x1.6bdbc319265e2p-6, -0x1.334b27b60544p-6, -0x1.edd765137d5d3p-7, -0x1.6dc3bb6acebe2p-7, -0x1.cd5f8515b2b14p-8, -0x1.63e775deefe35p-9, 0x1.d7b8aaa359b9dp-10, 0x1.a96a3e16436b2p-8, 0x1.73cc7def03d62p-7, 0x1.0be26e4e33e58p-6, 0x1.601139c092d4ap-6, 0x1.b6338a9a19756p-6, 0x1.0704c9a32285p-5, 0x1.33a9a0d82b617p-5, 0x1.60e85432a7005p-5, 0x1.8ea12f6cb4a1bp-5, 0x1.bcb4ec91dd76ap-5, 0x1.eb04dbba73742p-5, 0x1.0cb98360d1bb6p-4, 0x1.23f12887e823bp-4, 0x1.3b1b49c8a23d1p-4, 0x1.522a5a78c7bfp-4, 0x1.69115f1aeef42p-4, 0x1.7fc3f5e9dd82bp-4, 0x1.96365db2dbff5p-4, 0x1.ac5d7b11ed3adp-4, 0x1.c22edc2530888p-4, 0x1.d7a0bacee2acap-4, 0x1.eca9fd9f4de2dp-4, 0x1.00a11bc0ea069p-3, 0x1.0ab0d324955e3p-3, 0x1.1480981c1115p-3, 0x1.1e0d305215076p-3, 0x1.2753b1e7aca2p-3, 0x1.3051810b5c62cp-3, 0x1.39044d489b939p-3, 0x1.416a0e9d188f5p-3, 0x1.49810260abdc4p-3, 0x1.5147a80be8fd7p-3, 0x1.58bcbde870adp-3, 0x1.5fdf3db527588p-3, 0x1.66ae594762098p-3, 0x1.6d29773128402p-3, 0x1.73502f73a5c67p-3, 0x1.79224843ce0bep-3, 0x1.7e9fb2e65cd9p-3, 0x1.83c888a755a4fp-3, 0x1.889d07f063167p-3, 0x1.8d1d91808e3f3p-3, 0x1.914aa5c71ee25p-3, 0x1.9524e262bf202p-3, 0x1.98acffc571066p-3, 0x1.9be3cefd4d39ap-3, 0x1.9eca37a1a2ecap-3, 0x1.a16135e39effap-3, 0x1.a3a9d8c158e5cp-3, 0x1.a5a54059dcaa8p-3, 0x1.a7549c6090481p-3, 0x1.a8b92aae446acp-3, 0x1.a9d435edf5fap-3, 0x1.aaa7146371b9ep-3, 0x1.ab3326c9d5b12p-3, 0x1.ab79d747faf27p-3, 0x1.ab7c9878ef6ffp-3, 0x1.ab3ce4868fbeap-3, 0x1.aabc3c548d62bp-3, 0x1.a9fc26ba1ca41p-3, 0x1.a8fe2fc8c7c5bp-3, 0x1.a7c3e81ee1137p-3, 0x1.a64ee4443935dp-3, 0x1.a4a0bc0fe50d9p-3, 0x1.a2bb0a15eaa8cp-3, 0x1.a09f6b1bdfe8cp-3, 0x1.9e4f7d938b985p-3, 0x1.9bcce11add6b1p-3, 0x1.9919360073786p-3, 0x1.96361ccc4100dp-3, 0x1.932535cbc71d6p-3, 0x1.8fe820a18e6c7p-3, 0x1.8c807bd795356p-3, 0x1.88efe4747b796p-3, 0x1.8537f59340169p-3, 0x1.815a47fd846dcp-3, 0x1.7d5871c8416f1p-3, 0x1.793405f2f97d9p-3, 0x1.74ee940968eb1p-3, 0x1.7089a7c7cbeaep-3, 0x1.6c06c8c1d37f5p-3, 0x1.67677a0c6acc4p-3, 0x1.62ad39ea63afdp-3, 0x1.5dd9817c3cc2cp-3, 0x1.58edc473133a5p-3, 0x1.53eb70c6ff1ebp-3, 0x1.4ed3ee70de3cdp-3, 0x1.49a89f27d26e4p-3, 0x1.446ade227419dp-3, 0x1.3f1bffdbf2f97p-3, 0x1.39bd51dd2607dp-3, 0x1.34501a89bcb7bp-3, 0x1.2ed598f18a6ccp-3, 0x1.294f04a60da15p-3, 0x1.23bd8d9438e33p-3, 0x1.1e225be2820b7p-3, 0x1.187e8fd33cf99p-3, 0x1.12d341ab3ba96p-3, 0x1.0d21819cbc6f8p-3, 0x1.076a57b6816a4p-3, 0x1.01aec3d72644ep-3, 0x1.f7df7b48fd457p-4, 0x1.ec5c690e1148bp-4, 0x1.e0d61f528646ep-4, 0x1.d54e5bf5b6adp-4, 0x1.c9c6cc6f164efp-4, 0x1.be410de31bb5p-4, 0x1.b2bead3f051c6p-4, 0x1.a741275b3814p-4, 0x1.9bc9e923ee4ccp-4, 0x1.905a4fc7cdce6p-4, 0x1.84f3a8ec40c27p-4, 0x1.799732e7077b7p-4, 0x1.6e461cfcd50d2p-4, 0x1.630187a48dc77p-4, 0x1.57ca84ced2ca2p-4, 0x1.4ca2183181acdp-4, 0x1.41893796d5048p-4, 0x1.3680cb2fc88a5p-4, 0x1.2b89ade97024p-4, 0x1.20a4adc4ebc6ep-4, 0x1.15d28c319d6efp-4, 0x1.0b13fe695df76p-4, 0x1.0069adce522d1p-4, 0x1.eba870943b3bp-5, 0x1.d6a8615c48a19p-5, 0x1.c1d43e2923cc2p-5, 0x1.ad2d0283c292dp-5, 0x1.98b3960d4a4d7p-5, 0x1.8468cd429cdadp-5, 0x1.704d6a3f6a82bp-5, 0x1.5c621d8056596p-5, 0x1.48a786a3c1d49p-5, 0x1.351e3528cf54ap-5, 0x1.21c6a92c4eefp-5, 0x1.0ea15423291aap-5, 0x1.f75d3323fef2p-6, 0x1.d1dd9f83637fcp-6, 0x1.acc480e104508p-6, 0x1.881252ff2af5p-6, 0x1.63c77b392d8d1p-6, 0x1.3fe449ce9ff77p-6, 0x1.1c68fb25f39dcp-6, 0x1.f2ab720c984ep-7, 0x1.ad55379067d9fp-7, 0x1.68cf56f9e48bdp-7, 0x1.2519c218b04fp-7, 0x1.c4689d231e1d8p-8, 0x1.403d6fe5c8f6ep-8, 0x1.7b6286d495926p-9, 0x1.e619927392126p-11, -0x1.0a3745c94f3cbp-10, -0x1.8085f5ed5ff6ep-9, -0x1.3c5d9f172f9dfp-8, -0x1.b6df312e1fbf9p-8, -0x1.17e4a0036ef82p-7, -0x1.538eb97a57cf7p-7, -0x1.8e6ec38845c83p-7, -0x1.c885a64e903d3p-7, -0x1.00ea292419271p-6, -0x1.1d2ddf90a1a94p-6, -0x1.390e755039368p-6, -0x1.548c6bd129018p-6, -0x1.6fa84692fd085p-6, -0x1.8a628ab54d4e6p-6, -0x1.a4bbbe8ec138bp-6, -0x1.beb4694c0c507p-6, -0x1.d84d1296a5ca3p-6, -0x1.f186424301d25p-6, -0x1.05304003037a2p-5, -0x1.116e2998bdadap-5, -0x1.1d7d213b95a55p-5, -0x1.295d69d942fa7p-5, -0x1.350f45dc314afp-5, -0x1.4092f7165b1b6p-5, -0x1.4be8beaef3e5p-5, -0x1.5710dd12c7449p-5, -0x1.620b91e7252fep-5, -0x1.6cd91bff3da1fp-5, -0x1.7779b953c9443p-5, -0x1.81eda6fcdd4d3p-5, -0x1.8c35212dcdbb1p-5, -0x1.96506332f7e99p-5, -0x1.a03fa7715d97dp-5, -0x1.aa032767ed2cfp-5, -0x1.b39b1bb25d8e7p-5, -0x1.bd07bc0d7c732p-5, -0x1.c6493f5cd0f2dp-5, -0x1.cf5fdbb181132p-5, -0x1.d84bc6525507ap-5, -0x1.e10d33c4c19f2p-5, -0x1.e9a457d6e3b49p-5, -0x1.f21165aa4f6f6p-5, -0x1.fa548fbfa26f8p-5, -0x1.013704015d7e9p-4, -0x1.052effebc17fbp-4, -0x1.091254139d54bp-4, -0x1.0ce118b71688ep-4, -0x1.109b65e4ddaa5p-4, -0x1.1441538357bfap-4, -0x1.17d2f957e13efp-4, -0x1.1b506f0e22f73p-4, -0x1.1eb9cc3f72ef6p-4, -0x1.220f287a34922p-4, -0x1.25509b49387fp-4, -0x1.287e3c3b0f83cp-4, -0x1.2b9822e94dee5p-4, -0x1.2e9e66ffb8863p-4, -0x1.3191204355bb1p-4, -0x1.347066995dbfdp-4, -0x1.373c520e07a41p-4, -0x1.39f4fadb2828fp-4, -0x1.3c9a796ea8796p-4, -0x1.3f2ce670c73b2p-4, -0x1.41ac5aca288a1p-4, -0x1.4418efa9abb8cp-4, -0x1.4672be8a09d41p-4, -0x1.48b9e1373639bp-4, -0x1.4aee71d3816f2p-4, -0x1.4d108adc7b95ap-4, -0x1.4f20472f94b88p-4, -0x1.511dc20e79069p-4, -0x1.530917232a5ebp-4, -0x1.54e26283d4059p-4, -0x1.56a9c0b6571b7p-4, -0x1.585f4eb393841p-4, -0x1.5a0329ea68db3p-4, -0x1.5b95704270566p-4, -0x1.5d16401e70cf6p-4, -0x1.5e85b85e8d248p-4, -0x1.5fe3f8622bb34p-4, -0x1.6131200997a1ep-4, -0x1.626d4fb760b74p-4, -0x1.6398a8517311fp-4, -0x1.64b34b41f1a74p-4, -0x1.65bd5a77c9283p-4, -0x1.66b6f8670715fp-4, -0x1.67a04808ee57ap-4, -0x1.68796cdbd0b3p-4, -0x1.69428ae2a91ddp-4, -0x1.69fbc6a47af2fp-4, -0x1.6aa5452b7a712p-4, -0x1.6b3f2c03faa53p-4, -0x1.6bc9a13b25ab8p-4, -0x1.6c44cb5d810cfp-4, -0x1.6cb0d1753f161p-4, -0x1.6d0ddb086055ep-4, -0x1.6d5c1016a3252p-4, -0x1.6d9b99174a041p-4, -0x1.6dcc9ef6b2d25p-4, -0x1.6def4b13c6713p-4, -0x1.6e03c73d404abp-4, -0x1.6e0a3daed031cp-4, -0x1.6e02d90e18333p-4, -0x1.6dedc4678844bp-4, -0x1.6dcb2b2b1b853p-4, -0x1.6d9b3928f5a5ap-4, -0x1.6d5e1a8de458cp-4, -0x1.6d13fbdfc8d65p-4, -0x1.6cbd09f9e348ep-4, -0x1.6c5972090ec0ap-4, -0x1.6be96187e23b9p-4, -0x1.6b6d063ac1516p-4, -0x1.6ae48e2bd9b27p-4, -0x1.6a5027a713fc3p-4, -0x1.69b00135f3aap-4, -0x1.6904499b6bf0ep-4, -0x1.684d2fcfaac1p-4, -0x1.678ae2fbd90c6p-4, -0x1.66bd9275d3a95p-4, -0x1.65e56dbbe1386p-4, -0x1.6502a4705ee34p-4, -0x1.641566556cc25p-4, -0x1.631de34897178p-4, -0x1.621c4b3e811e2p-4, -0x1.6110ce3e8e72ep-4, -0x1.5ffb9c5e90b41p-4, -0x1.5edce5be76e51p-4, -0x1.5db4da8403262p-4, -0x1.5c83aad684a6p-4, -0x1.5b4986da9a5e5p-4, -0x1.5a069eadfbcc5p-4, -0x1.58bb22634bafcp-4, -0x1.576741fdf476fp-4, -0x1.560b2d6e0e586p-4, -0x1.54a7148c545f8p-4, -0x1.533b271622733p-4, -0x1.51c794a9824f9p-4, -0x1.504c8cc146932p-4, -0x1.4eca3eb13519dp-4, -0x1.4d40d9a24100ap-4, -0x1.4bb08c8ed4d7fp-4, -0x1.4a19863f2c246p-4, -0x1.487bf545c0edep-4, -0x1.46d807fbc8f69p-4, -0x1.452dec7dc61fp-4, -0x1.437dd0a82ad8p-4, -0x1.41c7e214102cap-4, -0x1.400c4e13ffacep-4, -0x1.3e4b41b0d274dp-4, -0x1.3c84e9a6a2d96p-4, -0x1.3ab97261d5a87p-4, -0x1.38e907fc35b3cp-4, -0x1.3713d63a25009p-4, -0x1.353a0887e47a8p-4, -0x1.335bc9f6f0c3dp-4, -0x1.3179453b728c1p-4, -0x1.2f92a4a9c7e23p-4, -0x1.2da812342383dp-4, -0x1.2bb9b7683d3d3p-4, -0x1.29c7bd6d1d8ep-4, -0x1.27d24d00fbf34p-4, -0x1.25d98e77351eep-4, -0x1.23dda9b655f1p-4, -0x1.21dec6363d235p-4, -0x1.1fdd0afe51e33p-4, -0x1.1dd89ea3d0c3dp-4, -0x1.1bd1a7482d456p-4, -0x1.19c84a978a94fp-4, -0x1.17bcadc74887bp-4, -0x1.15aef594a4d11p-4, -0x1.139f46437425ap-4, -0x1.118dc39ceb61p-4, -0x1.0f7a90ee81a5ep-4, -0x1.0d65d108e3e95p-4, -0x1.0b4fa63efdf44p-4, -0x1.093832651718cp-4, -0x1.071f96d00214ap-4, -0x1.0505f4546020ep-4, -0x1.02eb6b45f5f25p-4, -0x1.00d01b771799bp-4, -0x1.fd6848704329ap-5, -0x1.f92f48ae0d9e9p-5, -0x1.f4f5743de1dddp-5, -0x1.f0bb06afe0eaep-5, -0x1.ec803a8d7c996p-5, -0x1.e84549591d20cp-5, -0x1.e40a6b8de7682p-5, -0x1.dfcfd89fa40bbp-5, -0x1.db95c6fac3951p-5, -0x1.d75c6c04847b6p-5, -0x1.d323fc1b3548cp-5, -0x1.ceecaa9693f3cp-5, -0x1.cab6a9c84a6cdp-5, -0x1.c6822afc896e3p-5, -0x1.c24f5e7aba841p-5, -0x1.be1e73864d2cap-5, -0x1.b9ef985fa3a2ap-5, -0x1.b5c2fa45108b4p-5, -0x1.b198c573efbb7p-5, -0x1.ad712529da15p-5, -0x1.a94c43a5ea46fp-5, -0x1.a52a4a2a1db3fp-5, -0x1.a10b60fcc41f3p-5, -0x1.9cefaf6a0a71ap-5, -0x1.98d75bc595537p-5, -0x1.94c28b6c2f208p-5, -0x1.90b162c58a9e5p-5, -0x1.8ca405461695dp-5, -0x1.889a9570de719p-5, -0x1.849534d9848bbp-5, -0x1.8094042644929p-5, -0x1.7c972312061e1p-5, -0x1.789eb06e7f72dp-5, -0x1.74aaca26681bbp-5, -0x1.70bb8d3fb28c5p-5, -0x1.6cd115ddd64cep-5, -0x1.68eb7f44250e5p-5, -0x1.650ae3d82edfdp-5, -0x1.612f5d2429345p-5, -0x1.5d5903d964afap-5, -0x1.5987efd2ce8f9p-5, -0x1.55bc381772c96p-5, -0x1.51f5f2dd0f649p-5, -0x1.4e35358aabb4bp-5, -0x1.4a7a14bb35e88p-5, -0x1.46c4a44027fcp-5, -0x1.4314f724340f1p-5, -0x1.3f6b1fadf54dfp-5, -0x1.3bc72f62a350ep-5, -0x1.38293708d009dp-5, -0x1.349146ab2179p-5, -0x1.30ff6d9b1a83p-5, -0x1.2d73ba73daa09p-5, -0x1.29ee3b1ce8d1p-5, -0x1.266efcccfc15ep-5, -0x1.22f60c0cc935fp-5, -0x1.1f8374b9ccfb4p-5, -0x1.1c1742091d7acp-5, -0x1.18b17e8a3560cp-5, -0x1.15523429c7aecp-5, -0x1.11f96c348aadfp-5, -0x1.0ea72f5a0af92p-5, -0x1.0b5b85af74acap-5, -0x1.081676b25f66cp-5, -0x1.04d8094b9c64ap-5, -0x1.01a043d1fb79bp-5, -0x1.fcde581a2d6b3p-6, -0x1.f6898e7026f98p-6, -0x1.f0423408c5d91p-6, -0x1.ea08513905e69p-6, -0x1.e3dbed4d738f6p-6, -0x1.ddbd0e8f98316p-6, -0x1.d7abba4b5a84bp-6, -0x1.d1a7f4d4682b3p-6, -0x1.cbb1c18b831a1p-6, -0x1.c5c922e3dbae7p-6, -0x1.bfee1a684b17p-6, -0x1.ba20a8c08ba1bp-6, -0x1.b460cdb66fa07p-6, -0x1.aeae883b0116p-6, -0x1.a909d66b9b0cbp-6, -0x1.a372b596fd4c9p-6, -0x1.9de922424d115p-6, -0x1.986d182e0861cp-6, -0x1.92fe925af966fp-6, -0x1.8d9d8b0f11d6bp-6, -0x1.8849fbda3a679p-6, -0x1.8303dd9b17b6bp-6, -0x1.7dcb2883c11aap-6, -0x1.789fd41e6c343p-6, -0x1.7381d75209039p-6, -0x1.6e712866d6407p-6, -0x1.696dbd0ad8d81p-6, -0x1.64778a564f322p-6, -0x1.5f8e84d01a9bfp-6, -0x1.5ab2a07212e31p-6, -0x1.55e3d0ad4a74ep-6, -0x1.5122086e4ac06p-6, -0x1.4c6d3a213ac77p-6, -0x1.47c557b5f4cd2p-6, -0x1.432a52a41b4f4p-6, -0x1.3e9c1bef1a4c2p-6, -0x1.3a1aa42a0775cp-6, -0x1.35a5db7b8806p-6, -0x1.313db1a19bd51p-6, -0x1.2ce215f56437ap-6, -0x1.2892f76ed3a3ap-6, -0x1.245044a84e8e9p-6, -0x1.2019ebe23ab3ep-6, -0x1.1befdb068ad6ap-6, -0x1.17d1ffac2da96p-6, -0x1.13c0471a74f88p-6, -0x1.0fba9e4c6ec17p-6, -0x1.0bc0f1f42b4a4p-6, -0x1.07d32e7def853p-6, -0x1.03f1401364a35p-6, -0x1.001b129eae527p-6, -0x1.f8a1239b04c5cp-7, -0x1.f123522826c91p-7, -0x1.e9bc876020bf5p-7, -0x1.e26c9956f0721p-7, -0x1.db335dbedb944p-7, -0x1.d410a9edfe9d4p-7, -0x1.cd0452e3b0033p-7, -0x1.c60e2d4dd2917p-7, -0x1.bf2e0d8df3ad1p-7, -0x1.b863c7be7a7c5p-7, -0x1.b1af2fb77fcbfp-7, -0x1.ab101913d2fe9p-7, -0x1.a4865735a4e92p-7, -0x1.9e11bd4b2d0dfp-7, -0x1.97b21e53422d8p-7, -0x1.91674d21b7bb8p-7, -0x1.8b311c63cd9eap-7, -0x1.850f5ea45dcc1p-7, -0x1.7f01e6500b4a1p-7, -0x1.790885b949cb7p-7, -0x1.73230f1c40b2dp-7, -0x1.6d5154a2b24f6p-7, -0x1.67932867ba48fp-7, -0x1.61e85c7b72b6bp-7, -0x1.5c50c2e68f5c4p-7, -0x1.56cc2dadbf32cp-7, -0x1.515a6ed5230e3p-7, -0x1.4bfb5863821d5p-7, -0x1.46aebc65921ddp-7, -0x1.41746cf108d0ap-7, -0x1.3c4c3c27ad92ep-7, -0x1.3735fc3a42926p-7, -0x1.32317f6b599ap-7, -0x1.2d3e981222f48p-7, -0x1.285d189d1ced9p-7, -0x1.238cd394b4671p-7, -0x1.1ecd9b9dd3b34p-7, -0x1.1a1f437c4a4eep-7, -0x1.15819e153061ep-7, -0x1.10f47e713b31fp-7, -0x1.0c77b7bef2c1dp-7, -0x1.080b1d54e3ecap-7, -0x1.03ae82b3aba8bp-7, -0x1.fec377101f9b4p-8, -0x1.f6493759a5377p-8, -0x1.ededee595a378p-8, -0x1.e5b14488206dap-8, -0x1.dd92e2c5dbefbp-8, -0x1.d592725cd7b93p-8, -0x1.cdaf9d04f8328p-8, -0x1.c5ea0ce6e19ep-8, -0x1.be416c9ee5a96p-8, -0x1.b6b5673ff21f6p-8, -0x1.af45a8564fbf6p-8, -0x1.a7f1dbea62c5cp-8, -0x1.a0b9ae830c089p-8, -0x1.999ccd283a7dbp-8, -0x1.929ae56522678p-8, -0x1.8bb3a54a711f9p-8, -0x1.84e6bb708cfcfp-8, -0x1.7e33d6f96e34ep-8, -0x1.779aa792b3afap-8, -0x1.711add7752d1p-8, -0x1.6ab429715e554p-8, -0x1.64663cdba6e6ap-8, -0x1.5e30c9a33299dp-8, -0x1.58138248c81f1p-8, -0x1.520e19e23b2e2p-8, -0x1.4c20441bce0eap-8, -0x1.4649b5394b119p-8, -0x1.408a221728bd3p-8, -0x1.3ae1402b9f9dcp-8, -0x1.354ec5877a005p-8, -0x1.2fd268d71da88p-8, -0x1.2a6be1635fc49p-8, -0x1.251ae7123490dp-8, -0x1.1fdf326758caap-8, -0x1.1ab87c84f0289p-8, -0x1.15a67f2c0915ap-8, -0x1.10a8f4bd27bd6p-8, -0x1.0bbf9838a1871p-8, -0x1.06ea253f02b22p-8, -0x1.02285811573dp-8, -0x1.faf3db22d8f6p-9, -0x1.f1bd4683e4052p-9, -0x1.e8ac6e8d461bfp-9, -0x1.dfc0d0c8a91c9p-9, -0x1.d6f9ec01fc59ep-9, -0x1.ce57404772578p-9, -0x1.c5d84ee967747p-9, -0x1.bd7c9a7a03e7dp-9, -0x1.b543a6cd0a36ep-9, -0x1.ad2cf8f724302p-9, -0x1.a538174db432p-9, -0x1.9d64896608d0ep-9, -0x1.95b1d814e96fbp-9, -0x1.8e1f8d6da66e9p-9, -0x1.86ad34c161a58p-9, -0x1.7f5a5a9e13e0fp-9, -0x1.78268ccdbae6fp-9, -0x1.71115a5516551p-9, -0x1.6a1a5372bbbfep-9, -0x1.6341099dfb897p-9, -0x1.5c850f85942ccp-9, -0x1.55e5f90e6d6bbp-9, -0x1.4f635b5243b8fp-9, -0x1.48fccc9e48607p-9, -0x1.42b1e471ab2a5p-9, -0x1.3c823b7c0c59fp-9, -0x1.366d6b9c1a04ep-9, -0x1.30730fde0181ap-9, -0x1.2a92c479ac7b5p-9, -0x1.24cc26d11eacp-9, -0x1.1f1ed56ed667fp-9, -0x1.198a7003d3a5cp-9, -0x1.140e976612ff6p-9, -0x1.0eaaed8e954aap-9, -0x1.095f1597b060dp-9, -0x1.042ab3badddc3p-9, -0x1.fe1ada9e6b0fep-10, -0x1.f40dd18e4fb3p-10, -0x1.ea2d9b5d5681cp-10, -0x1.e079895285425p-10, -0x1.d6f0eedfb0e0ep-10, -0x1.cd93219d6f5aap-10, -0x1.c45f7947713f1p-10, -0x1.bb554fb7c096cp-10, -0x1.b27400e2e458ep-10, -0x1.a9baead38ec96p-10, -0x1.a1296da61b6c9p-10, -0x1.98beeb84628c9p-10, -0x1.907ac8a1b1e63p-10, -0x1.885c6b35c6e2p-10, -0x1.80633b79563e9p-10, -0x1.788ea3a0c3dbap-10, -0x1.70de0fd843ef5p-10, -0x1.6950ee3f0fcb6p-10, -0x1.61e6aee3131a5p-10, -0x1.5a9ec3bca7c05p-10, -0x1.5378a0a98a728p-10, -0x1.4c73bb690f10cp-10, -0x1.458f8b971d1e7p-10, -0x1.3ecb8aa7ede3fp-10, -0x1.382733e37cdf6p-10, -0x1.31a20460d66fp-10, -0x1.2b3b7b01d8329p-10, -0x1.24f3186e7b34bp-10, -0x1.1ec85f103b5ap-10, -0x1.18bad30de785fp-10, -0x1.12c9fa46d0be3p-10, -0x1.0cf55c4e7be9ap-10, -0x1.073c8267ff1d3p-10, -0x1.019ef781b3772p-10, -0x1.f83890605d1cbp-11, -0x1.ed680555100abp-11, -0x1.e2cb6d8ad4c94p-11, -0x1.d861ebddb4b4fp-11, -0x1.ce2aa65306bc2p-11, -0x1.c424c6115ce56p-11, -0x1.ba4f775730f39p-11, -0x1.b0a9e971d5f2p-11, -0x1.a7334eb5a453ep-11, -0x1.9deadc743601ap-11, -0x1.94cfcaf4c43c5p-11, -0x1.8be1556a9eaap-11, -0x1.831eb9ecff305p-11, -0x1.7a87396eae11ap-11, -0x1.721a17b572797p-11, -0x1.69d69b510e2aap-11, -0x1.61bc0d93d661dp-11, -0x1.59c9ba894a68ap-11, -0x1.51fef0ee58ed8p-11, -0x1.4a5b02292f5d1p-11, -0x1.42dd42409e7f6p-11, -0x1.3b8507d47dc2bp-11, -0x1.3451ac1514cccp-11, -0x1.2d428abb90567p-11, -0x1.2657020133378p-11, -0x1.1f8e729869c8fp-11, -0x1.18e83fa4049fcp-11, -0x1.1263ceaff336ep-11, -0x1.0c0087a93668ep-11, -0x1.05bdd4d6b418ap-11, -0x1.ff3645a12ccd6p-12, -0x1.f32fc0f3de62p-12, -0x1.e766fdf011be5p-12, -0x1.dbdae357498ddp-12, -0x1.d08a5c5360692p-12, -0x1.c574586629c93p-12, -0x1.ba97cb5d1b342p-12, -0x1.aff3ad40b87f6p-12, -0x1.a586fa486751ep-12, -0x1.9b50b2ca40bbp-12, -0x1.914fdb2e4460dp-12, -0x1.87837be0d0c81p-12, -0x1.7deaa14340eeap-12, -0x1.74845b9f4cf5ep-12, -0x1.6b4fbf196a195p-12, -0x1.624be3a33a67fp-12, -0x1.5977e4eec4e6fp-12, -0x1.50d2e25ff28c7p-12, -0x1.485bff01af79ap-12, -0x1.40126177183fp-12, -0x1.37f533ef6bfe5p-12, -0x1.3003a419b84b8p-12, -0x1.283ce31767f95p-12, -0x1.20a025719df84p-12, -0x1.192ca30b052fbp-12, -0x1.11e197144a2eep-12, -0x1.0abe40018baa1p-12, -0x1.03c1df7c047eep-12, -0x1.f9d774b0ec497p-13, -0x1.ec7631145aefbp-13, -0x1.df5e8a306a20dp-13, -0x1.d28f1c23eb5d5p-13, -0x1.c606890782f8bp-13, -0x1.b9c378d67a289p-13, -0x1.adc4995b95b22p-13, -0x1.a2089e182a1dcp-13, -0x1.968e4030ffe78p-13, -0x1.8b543e57ee6a5p-13, -0x1.80595cb7b65a1p-13, -0x1.759c64dd41b57p-13, -0x1.6b1c25a6ff5e8p-13, -0x1.60d7732c7p-13, -0x1.56cd26abfc898p-13, -0x1.4cfc1e786348bp-13, -0x1.43633de313958p-13, -0x1.3a016d29b2568p-13, -0x1.30d599644e29ep-13, -0x1.27deb46ffbeb1p-13, -0x1.1f1bb4de419b6p-13, -0x1.168b95e1f35dap-13, -0x1.0e2d573da4de8p-13, -0x1.05fffd3082b68p-13, -0x1.fc0520cd21fa4p-14, -0x1.ec683bc9b30f6p-14, -0x1.dd276df449f85p-14, -0x1.ce40e2593db8ep-14, -0x1.bfb2cc54bf857p-14, -0x1.b17b676fc4c8dp-14, -0x1.a398f73e0a2f8p-14, -0x1.9609c741a9fb8p-14, -0x1.88cc2ac8660dbp-14, -0x1.7bde7ccaf835ep-14, -0x1.6f3f1fd191454p-14, -0x1.62ec7dd2a12dep-14, -0x1.56e50815628b3p-14, -0x1.4b273712ecf1bp-14, -0x1.3fb18a5be612p-14, -0x1.348288780cf11p-14, -0x1.2998beca79edbp-14, -0x1.1ef2c1758fdedp-14, -0x1.148f2b40e5997p-14, -0x1.0a6c9d7a0ec09p-14, -0x1.0089bfdc84e6bp-14, -0x1.edca80eb97aabp-15, -0x1.dafba715fa706p-15, -0x1.c8a4670048a8fp-15, -0x1.b6c24177311bbp-15, -0x1.a552c31db70dep-15, -0x1.9453843ce80fp-15, -0x1.83c2288f4573ep-15, -0x1.739c5f10cbec1p-15, -0x1.63dfe1cfecd85p-15, -0x1.548a75bf399cdp-15, -0x1.4599ea856c4b1p-15, -0x1.370c1a504532fp-15, -0x1.28dee9a65139cp-15, -0x1.1b10473ddc9d2p-15, -0x1.0d9e2bcdc7e5bp-15, -0x1.008699e3bc6e5p-15, -0x1.e78f3b7040eb2p-16, -0x1.cebe9a0e8a956p-16, -0x1.b6978dca132bfp-16, -0x1.9f16672ba0141p-16, }}, 
      {{-0x1.7f869dd314f1fp-5, -0x1.7f63f332a2dc1p-5, -0x1.7f26348d3eff6p-5, -0x1.7ec7bd35318fcp-5, -0x1.7e412dba92f6cp-5, -0x1.7d89cfa85f542p-5, -0x1.7c97f8b056c1cp-5, -0x1.7b6167870ae51p-5, -0x1.79db978b2eb87p-5, -0x1.77fc0a08da9fbp-5, -0x1.75b884da645a1p-5, -0x1.730746a74428dp-5, -0x1.6fdf314536cb1p-5, -0x1.6c37eae74757ep-5, -0x1.6809f6e0a8b52p-5, -0x1.634ec6d38bce9p-5, -0x1.5e00c52f7f366p-5, -0x1.581b59e793366p-5, -0x1.519aea4595e93p-5, -0x1.4a7cd4b680aa5p-5, -0x1.42bf695cf6725p-5, -0x1.3a61e02374e51p-5, -0x1.31644cf1d1cap-5, -0x1.27c79292b0d6p-5, -0x1.1d8d54beb0f02p-5, -0x1.12b7e9ada9e24p-5, -0x1.074a4b7aa6118p-5, -0x1.f690132c90eabp-6, -0x1.dd6a74e938d2fp-6, -0x1.c32cdb2ee8d3ap-6, -0x1.a7e13c198eb8dp-6, -0x1.8b924ae22a0a8p-6, -0x1.6e4b5f0065871p-6, -0x1.50185c75948f9p-6, -0x1.31059d47ba0a2p-6, -0x1.111fdc2f4b0b2p-6, -0x1.e0e840efb76eap-7, -0x1.9e1f5623f6178p-7, -0x1.59ffc9a752f99p-7, -0x1.14a49bc801b9bp-7, -0x1.9c51b938c83edp-8, -0x1.0d4f1eddd26eap-8, -0x1.f1dc833299a56p-10, 0x1.601074133223bp-12, 0x1.53c9944f068f4p-9, 0x1.3f006b28a76edp-8, 0x1.d52123ac7e772p-8, 0x1.360aa18707f9ap-7, 0x1.81d6254e11376p-7, 0x1.cddb82fa0b12bp-7, 0x1.0d01e7f842ab3p-6, 0x1.331c6cfb16201p-6, 0x1.5932973367636p-6, 0x1.7f3a0ffae8d5dp-6, 0x1.a528e587cd6bdp-6, 0x1.caf58c7ad878fp-6, 0x1.f096e0d74fb34p-6, 0x1.0b021338d111fp-5, 0x1.1d9a8470a06ecp-5, 0x1.3010cd80f8c62p-5, 0x1.42612b084471p-5, 0x1.54880c3743ba2p-5, 0x1.6682120bd7847p-5, 0x1.784c0e69f5328p-5, 0x1.89e30317b2935p-5, 0x1.9b4420a116cedp-5, 0x1.ac6cc527da669p-5, 0x1.bd5a7b2329832p-5, 0x1.ce0af812edfa3p-5, 0x1.de7c1b29fcf57p-5, 0x1.eeabebf20d8fep-5, 0x1.fe9898ec2ef3ap-5, 0x1.07203b18046c5p-4, 0x1.0ed0fe05fdb77p-4, 0x1.165de2d3f4ee1p-4, 0x1.1dc647d618494p-4, 0x1.25099b770bc13p-4, 0x1.2c275b91667acp-4, 0x1.331f14ccea0f3p-4, 0x1.39f061ffc4988p-4, 0x1.409aeb942578p-4, 0x1.471e66f25563fp-4, 0x1.4d7a95ef70861p-4, 0x1.53af4640d3e7dp-4, 0x1.59bc50f44347bp-4, 0x1.5fa199ecc4586p-4, 0x1.655f0f6419137p-4, 0x1.6af4a970ccfbap-4, 0x1.70626990ae6d7p-4, 0x1.75a85a3799145p-4, 0x1.7ac68e626a487p-4, 0x1.7fbd212df62bbp-4, 0x1.848c3571d676ep-4, 0x1.8933f55ee729ep-4, 0x1.8db49221468bep-4, 0x1.920e4385aaeb2p-4, 0x1.964147a1ed90dp-4, 0x1.9a4de28097037p-4, 0x1.9e345dcf4bb18p-4, 0x1.a1f5088ff8a6dp-4, 0x1.a59036cc917fdp-4, 0x1.a906414d4a7f6p-4, 0x1.ac578551297abp-4, 0x1.af846448d284fp-4, 0x1.b28d439377b7dp-4, 0x1.b5728c3dcff56p-4, 0x1.b834aac30f5a2p-4, 0x1.bad40ecfaad79p-4, 0x1.bd512b05ff976p-4, 0x1.bfac74c4b7741p-4, 0x1.c1e663eed3a7bp-4, 0x1.c3ff72b56a017p-4, 0x1.c5f81d62fc01ap-4, 0x1.c7d0e2285f0efp-4, 0x1.c98a40eb2975ep-4, 0x1.cb24bb15b2448p-4, 0x1.cca0d3687d4e7p-4, 0x1.cdff0dcd26b38p-4, 0x1.cf3fef2acc26ap-4, 0x1.d063fd3bd0c57p-4, 0x1.d16bbe65277bdp-4, 0x1.d257b98eed6a4p-4, 0x1.d32875fe820c4p-4, 0x1.d3de7b31f4a8bp-4, 0x1.d47a50bcd6e13p-4, 0x1.d4fc7e2677e52p-4, 0x1.d5658ac96c22dp-4, 0x1.d5b5fdb484a62p-4, 0x1.d5ee5d8d08668p-4, 0x1.d60f307250f23p-4, 0x1.d618fbe2b8de1p-4, 0x1.d60c44a1cfaaap-4, 0x1.d5e98e9fdf6dbp-4, 0x1.d5b15ce2befa2p-4, 0x1.d564316fd7e4ep-4, 0x1.d5028d3777456p-4, 0x1.d48cf001579ap-4, 0x1.d403d85a5780ap-4, 0x1.d367c383660dbp-4, 0x1.d2b92d6196b03p-4, 0x1.d1f8906f5ca28p-4, 0x1.d12665aed8caap-4, 0x1.d043249d44991p-4, 0x1.cf4f432772ddp-4, 0x1.ce4b359f517p-4, 0x1.cd376eb269f95p-4, 0x1.cc145f6160038p-4, 0x1.cae276f86aa4dp-4, 0x1.c9a22308a4c6ap-4, 0x1.c853cf6258fedp-4, 0x1.c6f7e6100b68p-4, 0x1.c58ecf52747c8p-4, 0x1.c418f19d2f63p-4, 0x1.c296b194344c3p-4, 0x1.c108720a10cf8p-4, 0x1.bf6e93fec7683p-4, 0x1.bdc9769f6262ep-4, 0x1.bc1977462a66ep-4, 0x1.ba5ef17b69bcp-4, 0x1.b89a3ef6d169ep-4, 0x1.b6cbb7a15b3e3p-4, 0x1.b4f3b197b6ce1p-4, 0x1.b312812d2e177p-4, 0x1.b12878eefc7c3p-4, 0x1.af35e9a81653dp-4, 0x1.ad3b226544ef2p-4, 0x1.ab387079b8792p-4, 0x1.a92e1f83daf01p-4, 0x1.a71c7972805b1p-4, 0x1.a503c68a5654ep-4, 0x1.a2e44d6b9d79dp-4, 0x1.a0be53182067fp-4, 0x1.9e921af953363p-4, 0x1.9c5fe6e6bb0b7p-4, 0x1.9a27f72c6c94fp-4, 0x1.97ea8a91bbebap-4, 0x1.95a7de600763bp-4, 0x1.93602e69a39c4p-4, 0x1.9113b510dae91p-4, 0x1.8ec2ab4f00f7p-4, 0x1.8c6d48bb9564fp-4, 0x1.8a13c39370366p-4, 0x1.87b650bff54fep-4, 0x1.855523de4a698p-4, 0x1.82f06f468d5bdp-4, 0x1.8088641306339p-4, 0x1.7e1d322751b57p-4, 0x1.7baf0837847d7p-4, 0x1.793e13cf3fb22p-4, 0x1.76ca8158b7779p-4, 0x1.74547c23a95fep-4, 0x1.71dc2e6c3decep-4, 0x1.6f61c161d4c8p-4, 0x1.6ce55d2dbb29fp-4, 0x1.6a6728f9c893p-4, 0x1.67e74af6e14d4p-4, 0x1.6565e8635dd6cp-4, 0x1.62e32591559f2p-4, 0x1.605f25ecc966ep-4, 0x1.5dda0c01b14bp-4, 0x1.5b53f981e8ddbp-4, 0x1.58cd0f4afd292p-4, 0x1.56456d6bd7836p-4, 0x1.53bd332a466e7p-4, 0x1.51347f0866cd7p-4, 0x1.4eab6ec9e9be2p-4, 0x1.4c221f79349f2p-4, 0x1.4998ad6c627a2p-4, 0x1.470f344a20a9ap-4, 0x1.4485cf0e698acp-4, 0x1.41fc980f1ba59p-4, 0x1.3f73a9006eb47p-4, 0x1.3ceb1af946b7fp-4, 0x1.3a63067765161p-4, 0x1.37db83637711dp-4, 0x1.3554a915027cp-4, 0x1.32ce8e5634d55p-4, 0x1.304949678e06ep-4, 0x1.2dc4f0036ef43p-4, 0x1.2b419761850b9p-4, 0x1.28bf543a19b06p-4, 0x1.263e3ac942dc2p-4, 0x1.23be5ed1f73fcp-4, 0x1.213fd3a102605p-4, 0x1.1ec2ac0fe09ap-4, 0x1.1c46fa877d677p-4, 0x1.19ccd102d7cd4p-4, 0x1.175441118c8f6p-4, 0x1.14dd5bda454e2p-4, 0x1.1268321d133bcp-4, 0x1.0ff4d435ae06p-4, 0x1.0d83521d9e2adp-4, 0x1.0b13bb6e4f8c6p-4, 0x1.08a61f630fcaep-4, 0x1.063a8cdaf88ffp-4, 0x1.03d1125ac165ap-4, 0x1.0169be0e83d53p-4, 0x1.fe093b96d2b5ap-5, 0x1.f9437e2291fb2p-5, 0x1.f4825e1866f85p-5, 0x1.efc5f52bde3bbp-5, 0x1.eb0e5c6ec53f3p-5, 0x1.e65bac53e8afep-5, 0x1.e1adfcb1afe0dp-5, 0x1.dd0564c49ccb6p-5, 0x1.d861fb31b74ecp-5, 0x1.d3c3d608d91d9p-5, 0x1.cf2b0ac6e5446p-5, 0x1.ca97ae57ec55dp-5, 0x1.c609d51934cadp-5, 0x1.c18192db34f67p-5, 0x1.bcfefae37728ep-5, 0x1.b8821fee6f0b4p-5, 0x1.b40b143137c32p-5, 0x1.af99e95b49fe3p-5, 0x1.ab2eb0981c2d4p-5, 0x1.a6c97a90bb01ep-5, 0x1.a26a576d50546p-5, 0x1.9e1156d6a1982p-5, 0x1.99be87f77fe2cp-5, 0x1.9571f97e31442p-5, 0x1.912bb99dcbb18p-5, 0x1.8cebd60f8cc58p-5, 0x1.88b25c1421518p-5, 0x1.847f5874f0731p-5, 0x1.8052d785545e5p-5, 0x1.7c2ce523d544p-5, 0x1.780d8cbb5b6c4p-5, 0x1.73f4d9445c645p-5, 0x1.6fe2d546033f2p-5, 0x1.6bd78ad7592fep-5, 0x1.67d303a06396ap-5, 0x1.63d548db42671p-5, 0x1.5fde63554e34ap-5, 0x1.5bee5b702f361p-5, 0x1.58053922f8db3p-5, 0x1.542303fb3b88fp-5, 0x1.5047c31e1f212p-5, 0x1.4c737d4972482p-5, 0x1.48a638d4c1c1dp-5, 0x1.44dffbb26bf03p-5, 0x1.4120cb70b3434p-5, 0x1.3d68ad3ad26bbp-5, 0x1.39b7a5da0fd94p-5, 0x1.360db9b6d2474p-5, 0x1.326aecd9b873cp-5, 0x1.2ecf42ecab901p-5, 0x1.2b3abf3bfa7c3p-5, 0x1.27ad64b76f07fp-5, 0x1.242735f3687aap-5, 0x1.20a83529f8372p-5, 0x1.1d30643bfa81bp-5, 0x1.19bfc4b2375cdp-5, 0x1.165657be80efdp-5, 0x1.12f41e3cd2a1ap-5, 0x1.0f9918b4735e5p-5, 0x1.0c4547591c6f4p-5, 0x1.08f8aa0c1b0c7p-5, 0x1.05b3405d78f71p-5, 0x1.0275098d229dep-5, 0x1.fe7c091827e19p-6, 0x1.f81c5ffb035ebp-6, 0x1.f1cb14700bc53p-6, 0x1.eb88228d9c317p-6, 0x1.e55385d5955e7p-6, 0x1.df2d3937bf0a4p-6, 0x1.d9153714268a4p-6, 0x1.d30b793d8b723p-6, 0x1.cd0ff8fbc1acep-6, 0x1.c722af0e1b52cp-6, 0x1.c14393add2802p-6, 0x1.bb729e907764cp-6, 0x1.b5afc6ea5e52bp-6, 0x1.affb03710d19ep-6, 0x1.aa544a5da6469p-6, 0x1.a4bb916f61becp-6, 0x1.9f30cdedf8011p-6, 0x1.99b3f4ac146cep-6, 0x1.9444fa09c4b9ap-6, 0x1.8ee3d1f6ebf37p-6, 0x1.89906ff5b08a4p-6, 0x1.844ac71cec7d8p-6, 0x1.7f12ca1a9ef04p-6, 0x1.79e86b3656b38p-6, 0x1.74cb9c53a3da9p-6, 0x1.6fbc4ef47b3bep-6, 0x1.6aba743ba4805p-6, 0x1.65c5fcef26166p-6, 0x1.60ded97aa311ap-6, 0x1.5c04f9f1c44d6p-6, 0x1.57384e1294301p-6, 0x1.5278c547e0c42p-6, 0x1.4dc64eab9342ap-6, 0x1.4920d90909065p-6, 0x1.448852df6de6dp-6, 0x1.3ffcaa64022b9p-6, 0x1.3b7dcd8472cbp-6, 0x1.370ba9e919bc1p-6, 0x1.32a62cf7498abp-6, 0x1.2e4d43d38da9cp-6, 0x1.2a00db63e5d7bp-6, 0x1.25c0e051fdffp-6, 0x1.218d3f0d63fa1p-6, 0x1.1d65e3cdb2c84p-6, 0x1.194aba94bc5bep-6, 0x1.153baf30b1fedp-6, 0x1.1138ad3e3f58ep-6, 0x1.0d41a02aa62a5p-6, 0x1.09567335cf78p-6, 0x1.057711745e202p-6, 0x1.01a365d1b13f6p-6, 0x1.fbb6b623d9d6cp-7, 0x1.f43db7a7e84cfp-7, 0x1.ecdba526b8fb6p-7, 0x1.e5905354c4b69p-7, 0x1.de5b96a79d241p-7, 0x1.d73d4359bc09fp-7, 0x1.d0352d6e35108p-7, 0x1.c94328b4607a3p-7, 0x1.c26708cb84738p-7, 0x1.bba0a12660d49p-7, 0x1.b4efc50eae388p-7, 0x1.ae5447a89a43cp-7, 0x1.a7cdfbf63036dp-7, 0x1.a15cb4daac648p-7, 0x1.9b00451dcfa7ep-7, 0x1.94b87f6f208f1p-7, 0x1.8e85366911c8p-7, 0x1.88663c9429f6p-7, 0x1.825b646a193afp-7, 0x1.7c648058bb0d2p-7, 0x1.768162c5126b8p-7, 0x1.70b1de0e2b547p-7, 0x1.6af5c4900075ep-7, 0x1.654ce8a641e64p-7, 0x1.5fb71caf109cp-7, 0x1.5a34330db2dbp-7, 0x1.54c3fe2d33861p-7, 0x1.4f665082f7965p-7, 0x1.4a1afc9144174p-7, 0x1.44e1d4e9b3879p-7, 0x1.3fbaac2f9a7a8p-7, 0x1.3aa5551a6c815p-7, 0x1.35a1a27802ae7p-7, 0x1.30af672eda36fp-7, 0x1.2bce764045d9ap-7, 0x1.26fea2ca944b8p-7, 0x1.223fc00b23807p-7, 0x1.1d91a16069f6p-7, 0x1.18f41a4befaabp-7, 0x1.1466fe743c87p-7, 0x1.0fea21a6b6739p-7, 0x1.0b7d57d97354p-7, 0x1.0720752d00e0bp-7, 0x1.02d34dee1e24dp-7, 0x1.fd2b6d2ec441bp-8, 0x1.f4cf07a5bdd0fp-8, 0x1.ec9114f766514p-8, 0x1.e4713f3f1a153p-8, 0x1.dc6f310048bb2p-8, 0x1.d48a952952b33p-8, 0x1.ccc317164b777p-8, 0x1.c5186293a1078p-8, 0x1.bd8a23e0af671p-8, 0x1.b61807b23f489p-8, 0x1.aec1bb34e2a94p-8, 0x1.a786ec0f462a2p-8, 0x1.a0674864632b7p-8, 0x1.99627ed5acd64p-8, 0x1.92783e8512edfp-8, 0x1.8ba83716f83f3p-8, 0x1.84f218b415125p-8, 0x1.7e55940b43a9ep-8, 0x1.77d25a532e125p-8, 0x1.71681d4bfc823p-8, 0x1.6b168f40db7a1p-8, 0x1.64dd630983946p-8, 0x1.5ebc4c0b96d55p-8, 0x1.58b2fe3bfd21cp-8, 0x1.52c12e202328dp-8, 0x1.4ce690cf2bca1p-8, 0x1.4722dbf30cf01p-8, 0x1.4175c5c9a0e02p-8, 0x1.3bdf05259c3cbp-8, 0x1.365e516f81372p-8, 0x1.30f362a678942p-8, 0x1.2b9df16119cc9p-8, 0x1.265db6ce2563cp-8, 0x1.21326cb52c19ap-8, 0x1.1c1bcd772ecb4p-8, 0x1.1719940f27cf6p-8, 0x1.122b7c12899fep-8, 0x1.0d5141b1b6c29p-8, 0x1.088aa1b85952fp-8, 0x1.03d7598db9241p-8, 0x1.fe6e4e6a09deap-9, 0x1.f553929b0dee2p-9, 0x1.ec5dfe25aa51dp-9, 0x1.e38d10b9d9f5fp-9, 0x1.dae04b4096b2p-9, 0x1.d2572fdbe6cbap-9, 0x1.c9f141e6e3275p-9, 0x1.c1ae05f58c806p-9, 0x1.b98d01d4931cep-9, 0x1.b18dbc891a917p-9, 0x1.a9afbe504e3b7p-9, 0x1.a1f2909ef9ab9p-9, 0x1.9a55be20ffdap-9, 0x1.92d8d2b8c4477p-9, 0x1.8b7b5b7e845b1p-9, 0x1.843ce6bf964bp-9, 0x1.7d1d03fd95711p-9, 0x1.761b43ed8aae7p-9, 0x1.6f373876f5497p-9, 0x1.687074b2cc793p-9, 0x1.61c68cea6e5dep-9, 0x1.5b39169687172p-9, 0x1.54c7a85dda94cp-9, 0x1.4e71da141eba9p-9, 0x1.483744b89c184p-9, 0x1.42178274e1c5dp-9, 0x1.3c122e9b5f59fp-9, 0x1.3626e5a5fdc0dp-9, 0x1.305545349acc7p-9, 0x1.2a9cec0b8b869p-9, 0x1.24fd7a120acebp-9, 0x1.1f7690509954cp-9, 0x1.1a07d0ef68466p-9, 0x1.14b0df34a1149p-9, 0x1.0f715f82a9d93p-9, 0x1.0a48f756707d7p-9, 0x1.05374d4593899p-9, 0x1.003c08fc9a274p-9, 0x1.f6ada67a41c4cp-10, 0x1.ed0eabb7e44a4p-10, 0x1.e39a777e4aeb1p-10, 0x1.da5061b85f002p-10, 0x1.d12fc46be203ep-10, 0x1.c837fbb574e25p-10, 0x1.bf6865c4a3c98p-10, 0x1.b6c062d7d5d52p-10, 0x1.ae3f5538425aap-10, 0x1.a5e4a135cd703p-10, 0x1.9dafad22e113cp-10, 0x1.959fe15053d3dp-10, 0x1.8db4a80925d08p-10, 0x1.85ed6d8e56813p-10, 0x1.7e49a0129432ep-10, 0x1.76c8afb5f246fp-10, 0x1.6f6a0e81a1b3bp-10, 0x1.682d3063ace47p-10, 0x1.61118b2a9d156p-10, 0x1.5a16968106eafp-10, 0x1.533bcbe952b45p-10, 0x1.4c80a6b952046p-10, 0x1.45e4a415c226bp-10, 0x1.3f6742ee0a3ffp-10, 0x1.390803f7d5684p-10, 0x1.32c669aa8f7e4p-10, 0x1.2ca1f83b1806p-10, 0x1.269a3597401dp-10, 0x1.20aea96173368p-10, 0x1.1adedcec4953bp-10, 0x1.152a5b3626be8p-10, 0x1.0f90b0e4d2c27p-10, 0x1.0a116c410684p-10, 0x1.04ac1d3210e5cp-10, 0x1.fec0aa72da494p-11, 0x1.f45b4edce99fdp-11, 0x1.ea2750f3ebe44p-11, 0x1.e023dd23b43a7p-11, 0x1.d65022e994662p-11, 0x1.ccab54cbba6cfp-11, 0x1.c334a8509a9b1p-11, 0x1.b9eb55f64496bp-11, 0x1.b0ce9929df2fp-11, 0x1.a7ddb03f29cbdp-11, 0x1.9f17dc67d2a14p-11, 0x1.967c61ab484a1p-11, 0x1.8e0a86ddec66dp-11, 0x1.85c19598f1d45p-11, 0x1.7da0da321cb4ep-11, 0x1.75a7a3b32c3b5p-11, 0x1.6dd543d1d867ap-11, 0x1.66290ee78453dp-11, 0x1.5ea25be91ca3cp-11, 0x1.5740845ecd6c6p-11, 0x1.5002e45c537b2p-11, 0x1.48e8da788ee28p-11, 0x1.41f1c7c5e8bf8p-11, 0x1.3b1d0fca22592p-11, 0x1.346a1876978adp-11, 0x1.2dd84a20870ap-11, 0x1.27670f7915fd3p-11, 0x1.2115d585f28dbp-11, 0x1.1ae40b998160ap-11, 0x1.14d1234b42e9p-11, 0x1.0edc907072983p-11, 0x1.0905c9146e702p-11, 0x1.034c4571595b3p-11, 0x1.fb5effd19d41cp-12, 0x1.f05de9f924dbp-12, 0x1.e594468eee886p-12, 0x1.db0116ebf0eacp-12, 0x1.d0a3607edfe8fp-12, 0x1.c67a2cbd81961p-12, 0x1.bc8489173796ap-12, 0x1.b2c186e6dc7c1p-12, 0x1.a9303b655952dp-12, 0x1.9fcfbf9bec606p-12, 0x1.969f3056b9499p-12, 0x1.8d9dae179605fp-12, 0x1.84ca5d08a23abp-12, 0x1.7c2464ef7a68ep-12, 0x1.73aaf1201a7efp-12, 0x1.6b5d30707a68ep-12, 0x1.633a552b41cb1p-12, 0x1.5b419503df127p-12, 0x1.537229099b8f9p-12, 0x1.4bcb4d9baadefp-12, 0x1.444c425cdbbdbp-12, 0x1.3cf44a278f933p-12, 0x1.35c2ab01ef3adp-12, 0x1.2eb6ae1239055p-12, 0x1.27cf9f92c8061p-12, 0x1.210ccec7075cdp-12, 0x1.1a6d8def8451dp-12, 0x1.13f1323f45274p-12, 0x1.0d9713d0017d1p-12, 0x1.075e8d97f6c91p-12, 0x1.0146fd5e20ba9p-12, 0x1.f69f87602d68fp-13, 0x1.eaf087ae77c7p-13, 0x1.df7fc79c5f776p-13, 0x1.d44c186caada9p-13, 0x1.c954509b9e301p-13, 0x1.be974bca5e44fp-13, 0x1.b413eaab2a682p-13, 0x1.a9c912ed77be8p-13, 0x1.9fb5af2a26b6ap-13, 0x1.95d8aed0a3924p-13, 0x1.8c3106136301ep-13, 0x1.82bdadd53605dp-13, 0x1.797da396e243ep-13, 0x1.706fe964a4beap-13, 0x1.679385c3face9p-13, 0x1.5ee783a1c27ap-13, 0x1.566af240c8afep-13, 0x1.4e1ce527a52b5p-13, 0x1.45fc7410766c4p-13, 0x1.3e08bad6ed57cp-13, 0x1.3640d968ad1f4p-13, 0x1.2ea3f3b36d655p-13, 0x1.27313195c2a0bp-13, 0x1.1fe7bece3d5b4p-13, 0x1.18c6caebd14ep-13, 0x1.11cd893e38e25p-13, 0x1.0afb30c62475bp-13, 0x1.044efc262fc5ap-13, 0x1.fb905327d9f42p-14, 0x1.eecbf591c4592p-14, 0x1.e24f69e794fafp-14, 0x1.d6194154e9931p-14, 0x1.ca2813b626507p-14, 0x1.be7a7f7c9489ep-14, 0x1.b30f29937a093p-14, 0x1.a7e4bd4368928p-14, 0x1.9cf9ec18ec502p-14, 0x1.924d6dc857786p-14, 0x1.87de0014bb1f2p-14, 0x1.7daa66b5825efp-14, 0x1.73b16b3d3184fp-14, 0x1.69f1dd0034031p-14, 0x1.606a90fc15068p-14, 0x1.571a61bf900d7p-14, 0x1.4e002f5218369p-14, 0x1.451adf1c7ba7ep-14, 0x1.3c695bd17661ep-14, 0x1.33ea9556b2f6fp-14, 0x1.2b9d80ae14ef8p-14, 0x1.238117dfcc95cp-14, 0x1.1b9459e3a522cp-14, 0x1.13d64a8c410ddp-14, 0x1.0c45f271400ap-14, 0x1.04e25eda7cc6ap-14, 0x1.fb55435668b2cp-15, 0x1.ed3ba29b98021p-15, 0x1.df76113f21351p-15, 0x1.d202cdba7370bp-15, 0x1.c4e01f1e59e9fp-15, 0x1.b80c54ed6c2cp-15, 0x1.ab85c6f568f28p-15, 0x1.9f4ad52b842d9p-15, 0x1.9359e78699501p-15, 0x1.87b16ddafed41p-15, 0x1.7c4fdfb8a0b2p-15, 0x1.7133bc4664ecep-15, 0x1.665b8a2080679p-15, 0x1.5bc5d7371ef3p-15, 0x1.517138acd0ff5p-15, 0x1.475c4ab557b1cp-15, 0x1.3d85b07692d0ep-15, 0x1.33ec13e750d15p-15, 0x1.2a8e25b156809p-15, 0x1.216a9d121adc8p-15, 0x1.188037bc79b78p-15, 0x1.0fcdb9bb4bdcfp-15, 0x1.0751ed53cbb04p-15, 0x1.fe1745d333244p-16, 0x1.edf361c381a71p-16, 0x1.de35e70dac174p-16, 0x1.cedc99dab9875p-16, 0x1.bfe549b408116p-16, 0x1.b14dd14bd69c3p-16, 0x1.a3141648c8ffdp-16, 0x1.9536091505c72p-16, 0x1.87b1a4aa9ec05p-16, 0x1.7a84ee609af5bp-16, 0x1.6dadf5bca7c3ap-16, 0x1.612ad441b6572p-16, 0x1.54f9ad3ffafa2p-16, 0x1.4918ada8e8b58p-16, 0x1.3d860bde731acp-16, 0x1.324007893b3ap-16, 0x1.2744e96a99594p-16, 0x1.1c930332a248fp-16, 0x1.1228af53b355bp-16, 0x1.080450d9943d9p-16, 0x1.fc48a6825b2bp-17, 0x1.e90e549c70bcdp-17, 0x1.d656a3c893f01p-17, 0x1.c41e9bbf5b472p-17, 0x1.b26353def6271p-17, 0x1.a121f2dd81451p-17, 0x1.9057ae7f62f19p-17, 0x1.8001cb4fe214cp-17, 0x1.701d9c57a9632p-17, 0x1.60a882d6281d3p-17, 0x1.519fedfd7872p-17, 0x1.43015aad6af91p-17, 0x1.34ca533231439p-17, 0x1.26f86eff89541p-17, 0x1.19895270d1eaap-17, 0x1.0c7aae8e5a82cp-17, 0x1.ff94818fa9c52p-18, 0x1.e6eba579b4879p-18, 0x1.cef673f9caca2p-18, 0x1.b7b0af9d1c375p-18, 0x1.a11631e9c3edap-18, 0x1.8b22eaea2e7eep-18, 0x1.75d2e0c03aedp-18, 0x1.61222f37171adp-18, 0x1.4d0d0753fcdebp-18, 0x1.398faeef67bb1p-18, 0x1.26a6804b776b1p-18, 0x1.144de9adb3fd6p-18, 0x1.02826cf986143p-18, 0x1.e2813ea17e87bp-19, 0x1.c10a515cb0265p-19, 0x1.a0998711ff7c8p-19, 0x1.812878ebd59dep-19, 0x1.62b0e399577dp-19, 0x1.452ca69a02399p-19, 0x1.2895c390275e1p-19, 0x1.0ce65d89cf15dp-19, 0x1.e43170c1e07ffp-20, 0x1.b04e701c5a7afp-20, 0x1.7e18c00a276e4p-20, 0x1.4d85a52670fd5p-20, 0x1.1e8aa08489bep-20, 0x1.e23adce504c86p-21, 0x1.8a680aa27990cp-21, 0x1.358928c428e97p-21, 0x1.c7160aa9f9d02p-22, 0x1.28b5b72852701p-22, 0x1.1f9946e01e2eap-23, -0x1.e4892ab0ed224p-29, -0x1.245cfd06f40a8p-23, -0x1.1b85ec5d026dap-22, -0x1.9ff0e1f33b47p-22, -0x1.0fc8121f6805fp-21, -0x1.4d41dd8e97c44p-21, -0x1.88757a9718a4ap-21, -0x1.c17235ba7f5d3p-21, -0x1.f84702ac9dcd5p-21, -0x1.16813f0c6b755p-20, -0x1.2fd977b510cb4p-20, -0x1.4833254710596p-20, -0x1.5f9518ddcd24p-20, -0x1.7605fb8ef08ap-20, -0x1.8b8c4f3a3f4a5p-20, -0x1.a02e6f60425dbp-20, -0x1.b3f291ea48353p-20, -0x1.c6dec7fb9963dp-20, -0x1.d8f8feaea63d5p-20, -0x1.ea46ffd90bbeep-20, -0x1.face72c9ddf39p-20, -0x1.054a6e8248405p-19, -0x1.0ccfd17a6ce52p-19, -0x1.13fa045178969p-19, -0x1.1acb9931dc55dp-19, -0x1.214712c00d7ap-19, -0x1.276ee471494bep-19, -0x1.2d4572dc8553ep-19, -0x1.32cd140dda57bp-19, -0x1.38080fd3201f3p-19, -0x1.3cf8a00ba0b53p-19, -0x1.41a0f0f33e0d4p-19, -0x1.46032170010d6p-19, -0x1.4a214356e6bcbp-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.0416206d5dd99p-9, -0x1.043807bd0adb9p-8, -0x1.86cfb4e26b32p-8, -0x1.0529d110361e8p-7, -0x1.47bf38b52d43fp-7, -0x1.8b9d2f851d79ap-7, -0x1.d149a48c201c4p-7, -0x1.0ca9e25729ed4p-6, -0x1.32265ec7bac87p-6, -0x1.5960a726c5f43p-6, -0x1.829a2d1a8a474p-6, -0x1.ae0d4640c94fdp-6, -0x1.dbeb843aa5f73p-6, -0x1.062e4594847ddp-5, -0x1.1fbeaddf4616bp-5, -0x1.3ab0020c3aea3p-5, -0x1.5705d4acd4f55p-5, -0x1.74be6db39988fp-5, -0x1.93d3120dcf8d8p-5, -0x1.b43861e278d95p-5, -0x1.d5dec6db4411bp-5, -0x1.f8b2ec8630129p-5, -0x1.0e4f1ed4454b5p-4, -0x1.20c3b11b334d9p-4, -0x1.33a95d3f36de6p-4, -0x1.46f16a7694a08p-4, -0x1.5a8c6e45ea78ap-4, -0x1.6e6a7f83e4bc7p-4, -0x1.827b64ceb0efap-4, -0x1.96aebe59c6684p-4, -0x1.aaf42b265fb94p-4, -0x1.bf3b69d8bb20dp-4, -0x1.d3747571656dbp-4, -0x1.e78f9e3e09fe1p-4, -0x1.fb7d9f5abe563p-4, -0x1.0797d88e3e62dp-3, -0x1.114bcc5cd4617p-3, -0x1.1ad3dabf7aec8p-3, -0x1.242985eb89873p-3, -0x1.2d46a7316301bp-3, -0x1.362572ab6c91bp-3, -0x1.3ec07a2660115p-3, -0x1.4712af560975dp-3, -0x1.4f176566226e4p-3, -0x1.56ca51f481618p-3, -0x1.5e278d7fafa7bp-3, -0x1.652b935369c24p-3, -0x1.6bd340fb4c25ap-3, -0x1.721bd5434e332p-3, -0x1.7802eecd130fdp-3, -0x1.7d868a4103cc4p-3, -0x1.82a5002204022p-3, -0x1.875d024acc1a5p-3, -0x1.8bad991c0b4d4p-3, -0x1.8f962062c29ap-3, -0x1.931643fe6dff3p-3, -0x1.962dfc4eddc97p-3, -0x1.98dd8a71ae1a6p-3, -0x1.9b2574576edc7p-3, -0x1.9d0680b8866bdp-3, -0x1.9e81b2f1cf918p-3, -0x1.9f9846d0c7714p-3, -0x1.a04bac56dc50cp-3, -0x1.a09d837b38768p-3, -0x1.a08f97f1ebddp-3, -0x1.a023dcfef9587p-3, -0x1.9f5c695b5b373p-3, -0x1.9e3b73317ebb5p-3, -0x1.9cc34c3640d25p-3, -0x1.9af65de2dabb5p-3, -0x1.98d725d3a87d4p-3, -0x1.9668324f21e8dp-3, -0x1.93ac1ef7c79a5p-3, -0x1.90a591ab4cea9p-3, -0x1.8d573790b2378p-3, -0x1.89c3c2568442dp-3, -0x1.85ede5a20f5c2p-3, -0x1.81d854afcf578p-3, -0x1.7d85c02501ee8p-3, -0x1.78f8d411ea124p-3, -0x1.7434362400e95p-3, -0x1.6f3a8406e5e3p-3, -0x1.6a0e51f2c94d2p-3, -0x1.64b22966af9b6p-3, -0x1.5f28880cc1576p-3, -0x1.5973dec6c4d16p-3, -0x1.539690e0a7401p-3, -0x1.4d92f366e41d5p-3, -0x1.476b4c9e9c349p-3, -0x1.4121d39d0b858p-3, -0x1.3ab8affc0fc4fp-3, -0x1.3431f9a96e9f2p-3, -0x1.2d8fb8ce9c791p-3, -0x1.26d3e5ceb3b61p-3, -0x1.200069587ce82p-3, -0x1.19171c8a5254dp-3, -0x1.1219c925d8b7dp-3, -0x1.0b0a29d1953dfp-3, -0x1.03e9ea667b2eep-3, -0x1.f975508f46f1cp-4, -0x1.eafbe585189c6p-4, -0x1.dc6a96ec753ccp-4, -0x1.cdc44d7fb5defp-4, -0x1.bf0bd856dcc9cp-4, -0x1.b043edcea8fb6p-4, -0x1.a16f2c7300ap-4, -0x1.92901beaabe5fp-4, -0x1.83a92de2771e3p-4, -0x1.74bcbef609a2fp-4, -0x1.65cd1794fe24dp-4, -0x1.56dc6ce2e552ep-4, -0x1.47ece19112878p-4, -0x1.390086b138aa2p-4, -0x1.2a195c8008bf6p-4, -0x1.1b39532728e89p-4, -0x1.0c624b75f2b26p-4, -0x1.fb2c2f2138a9ap-5, -0x1.ddacf72aed096p-5, -0x1.c04a5c7038035p-5, -0x1.a307b2a4dc91dp-5, -0x1.85e834d6dd75p-5, -0x1.68ef0667f676cp-5, -0x1.4c1f33f33d0fp-5, -0x1.2f7bb41f481bfp-5, -0x1.1307685d6f49cp-5, -0x1.ed8a3b2d7ee0ap-6, -0x1.b56f198eb2e74p-6, -0x1.7dc2b71208692p-6, -0x1.468a391b83b77p-6, -0x1.0fcaa0169d346p-6, -0x1.b3119061b91c6p-7, -0x1.4792d3f3d0a62p-7, -0x1.ba446babd78e5p-8, -0x1.cf226ebc4af73p-9, -0x1.71d4d25715d14p-12, 0x1.6e0d31b50f6fap-9, 0x1.82ca47a18374bp-8, 0x1.260f0957e0349p-7, 0x1.897969cc74dc8p-7, 0x1.eb9cf4e2dcde8p-7, 0x1.26394e976c0ecp-6, 0x1.55f9cc14aa374p-6, 0x1.850caf21e1aadp-6, 0x1.b36ed583411b2p-6, 0x1.e11d3e9b800d1p-6, 0x1.070a85c0e722ap-5, 0x1.1d29bf8c94b16p-5, 0x1.32eaff13fd1fcp-5, 0x1.484d07b789a4dp-5, 0x1.5d4eaddf69eedp-5, 0x1.71eed704e1c4ep-5, 0x1.862c79b9d7d0dp-5, 0x1.9a069dae49bcap-5, 0x1.ad7c5bb34addbp-5, 0x1.c08cddbb4ba11p-5, 0x1.d3375ed75ec8ap-5, 0x1.e57b2b3145ef6p-5, 0x1.f757a0020fda1p-5, 0x1.046615c28e1f7p-4, 0x1.0cec2673b46f5p-4, 0x1.153dca198531p-4, 0x1.1d5ad11b62272p-4, 0x1.25431434d332bp-4, 0x1.2cf6746557e4p-4, 0x1.3474dade3bc11p-4, 0x1.3bbe38ee6c8c7p-4, 0x1.42d287ec5bb29p-4, 0x1.49b1c91df024bp-4, 0x1.505c059e91401p-4, 0x1.56d14e43527fap-4, 0x1.5d11bb7d52f67p-4, 0x1.631d6d3a5af65p-4, 0x1.68f48ac3ca2c6p-4, 0x1.6e97429be4ce4p-4, 0x1.7405ca5997988p-4, 0x1.79405e82bca3fp-4, 0x1.7e474264fb763p-4, 0x1.831abfed59c3bp-4, 0x1.87bb277e8f021p-4, 0x1.8c28cfc631a89p-4, 0x1.90641590d5b2ap-4, 0x1.946d5b9d31ad9p-4, 0x1.98450a6e5e8bcp-4, 0x1.9beb901d4a855p-4, 0x1.9f6160297b58ap-4, 0x1.a2a6f3492234p-4, 0x1.a5bcc738beae7p-4, 0x1.a8a35e8a2d45bp-4, 0x1.ab5b4073751f8p-4, 0x1.ade4f89d3c125p-4, 0x1.b04116f107a92p-4, 0x1.b2702f675cbb6p-4, 0x1.b472d9d5db7f5p-4, 0x1.b649b1bd4d89dp-4, 0x1.b7f55617e894fp-4, 0x1.b97669279a12bp-4, 0x1.bacd9044aab4bp-4, 0x1.bbfb73aca14a5p-4, 0x1.bd00be517f55cp-4, 0x1.bdde1da968f22p-4, 0x1.be94417ed0a9ep-4, 0x1.bf23dbc115a6fp-4, 0x1.bf8da055d00c5p-4, 0x1.bfd244ea9f7ebp-4, 0x1.bff280c7c5be1p-4, 0x1.bfef0ca3588b4p-4, 0x1.bfc8a2754db15p-4, 0x1.bf7ffd4c3c426p-4, 0x1.bf15d923060bcp-4, 0x1.be8af2b740cbcp-4, 0x1.bde007609e7d2p-4, 0x1.bd15d4e92fc79p-4, 0x1.bc2d19668ce4ep-4, 0x1.bb26931409edcp-4, 0x1.ba03002dd19a9p-4, 0x1.b8c31eccff1b4p-4, 0x1.b767acc4c517dp-4, 0x1.b5f1678090427p-4, 0x1.b4610be331cbbp-4, 0x1.b2b756270ff61p-4, 0x1.b0f501bf6e613p-4, 0x1.af1ac93ab023bp-4, 0x1.ad296625b35eep-4, 0x1.ab2190f034b4ap-4, 0x1.a90400d23c612p-4, 0x1.a6d16bb2a14a2p-4, 0x1.a48a860e8ce5fp-4, 0x1.a23002e20542ep-4, 0x1.9fc293919087dp-4, 0x1.9d42e7d4cb3a9p-4, 0x1.9ab1ada20baf4p-4, 0x1.980f911b02cbbp-4, 0x1.955d3c7a5d761p-4, 0x1.929b58025e107p-4, 0x1.8fca89ec6ee27p-4, 0x1.8ceb7659a6c1p-4, 0x1.89febf443e8cep-4, 0x1.87050471f2f45p-4, 0x1.83fee3674ca9cp-4, 0x1.80ecf75bcd208p-4, 0x1.7dcfd92efa00dp-4, 0x1.7aa81f5e420cap-4, 0x1.77765dfbb9df3p-4, 0x1.743b26a5a7354p-4, 0x1.70f7087ed9af5p-4, 0x1.6daa9027c9a9fp-4, 0x1.6a5647b87a89bp-4, 0x1.66fab6bb1726ap-4, 0x1.6398622749937p-4, 0x1.602fcc5e42a39p-4, 0x1.5cc17527704eep-4, 0x1.594dd9addc16dp-4, 0x1.55d5747e2c25fp-4, 0x1.5258bd8542c3bp-4, 0x1.4ed82a0f759a8p-4, 0x1.4b542cc859a5p-4, 0x1.47cd35bb1c322p-4, 0x1.4443b253657bep-4, 0x1.40b80d5ec00f5p-4, 0x1.3d2aaf0e7da44p-4, 0x1.399bfcfa18dbap-4, 0x1.360c5a220849ep-4, 0x1.327c26f3048dep-4, 0x1.2eebc149b95efp-4, 0x1.2b5b8476dd56bp-4, 0x1.27cbc943a9422p-4, 0x1.243ce5f6b0bbcp-4, 0x1.20af2e59117fdp-4, 0x1.1d22f3bbf5ca2p-4, 0x1.199884fe69bc6p-4, 0x1.16102e937b023p-4, 0x1.128a3a889f2d4p-4, 0x1.0f06f08c5d9f4p-4, 0x1.0b8695f53ab86p-4, 0x1.08096dc8dcb9ap-4, 0x1.048fb8c3683e3p-4, 0x1.0119b55f0fb9bp-4, 0x1.fb4f3fb7af79bp-5, 0x1.f473648f00b22p-5, 0x1.eda0490b3cbb1p-5, 0x1.e6d658afa931fp-5, 0x1.e015facc6ea85p-5, 0x1.d95f928f8b394p-5, 0x1.d2b37f160c8c2p-5, 0x1.cc121b7d71f2dp-5, 0x1.c57bbef54679dp-5, 0x1.bef0bcd0d4a7ap-5, 0x1.b871649906eaep-5, 0x1.b1fe021e5b632p-5, 0x1.ab96dd8af5eafp-5, 0x1.a53c3b74c2521p-5, 0x1.9eee5cefa0716p-5, 0x1.98ad7f9f9d9d1p-5, 0x1.9279ddcb33b9p-5, 0x1.8c53ae6d82aaep-5, 0x1.863b254889cd2p-5, 0x1.803072f762157p-5, 0x1.7a33c5005a53bp-5, 0x1.744545e717a92p-5, 0x1.6e651d3e95a1bp-5, 0x1.68936fbb1e34bp-5, 0x1.62d05f441de33p-5, 0x1.5d1c0b05e3137p-5, 0x1.57768f833c599p-5, 0x1.51e006a6f6623p-5, 0x1.4c5887d53b9a4p-5, 0x1.46e027fcc5bfbp-5, 0x1.4176f9a7ef6d9p-5, 0x1.3c1d0d0d96824p-5, 0x1.36d27021d3999p-5, 0x1.31972ea684d6bp-5, 0x1.2c6b523baaf1cp-5, 0x1.274ee26f928c3p-5, 0x1.2241e4cec918bp-5, 0x1.1d445cf3e134ep-5, 0x1.18564c96fe5ep-5, 0x1.1377b39d2f62ap-5, 0x1.0ea890278cab2p-5, 0x1.09e8dea21ddbap-5, 0x1.053899d28676cp-5, 0x1.0097bae679dadp-5, 0x1.f80c7303dd03p-6, 0x1.ef08179a4163ap-6, 0x1.e6224d049b8acp-6, 0x1.dd5af9f66abfcp-6, 0x1.d4b2027cc07cap-6, 0x1.cc27481847a5dp-6, 0x1.c3baa9d6df635p-6, 0x1.bb6c046caf925p-6, 0x1.b33b324cc64a9p-6, 0x1.ab280bc12ac38p-6, 0x1.a3326702848f2p-6, 0x1.9b5a184f3b057p-6, 0x1.939ef20220939p-6, 0x1.8c00c4a89f617p-6, 0x1.847f5f186314bp-6, 0x1.7d1a8e848d0efp-6, 0x1.75d21e926cd3cp-6, 0x1.6ea5d96dbb2bdp-6, 0x1.679587dc67826p-6, 0x1.60a0f151db56ap-6, 0x1.59c7dc01d586dp-6, 0x1.530a0cf2c2b9cp-6, 0x1.4c67480fa0f7bp-6, 0x1.45df5039784d4p-6, 0x1.3f71e758562d6p-6, 0x1.391ece6bdb0c2p-6, 0x1.32e5c59b5ae78p-6, 0x1.2cc68c457a395p-6, 0x1.26c0e10f7677cp-6, 0x1.20d481f3ebb32p-6, 0x1.1b012c5139cbdp-6, 0x1.15469cf7801afp-6, 0x1.0fa490362aa02p-6, 0x1.0a1ac1e91655bp-6, 0x1.04a8ed8554699p-6, 0x1.fe9d9c4b0937fp-7, 0x1.f4183d2b9e6ep-7, 0x1.e9c132bef79b3p-7, 0x1.df97f1a86009p-7, 0x1.d59bee3188339p-7, 0x1.cbcc9c5f7d837p-7, 0x1.c2297006f0b43p-7, 0x1.b8b1dcdfc97d4p-7, 0x1.af65569803468p-7, 0x1.a64350e5e802ep-7, 0x1.9d4b3f99a661bp-7, 0x1.947c96ae25c7fp-7, 0x1.8bd6ca595496cp-7, 0x1.83594f1bd6005p-7, 0x1.7b0399cffbb88p-7, 0x1.72d51fb843cc1p-7, 0x1.6acd568d30657p-7, 0x1.62ebb48a9e17ap-7, 0x1.5b2fb07c7b203p-7, 0x1.5398c1cae8127p-7, 0x1.4c266085fd082p-7, 0x1.44d80570cf228p-7, 0x1.3dad2a0c33326p-7, 0x1.36a548a0c7958p-7, 0x1.2fbfdc48ab0bdp-7, 0x1.28fc60f8a3da8p-7, 0x1.225a5388e00ecp-7, 0x1.1bd931bd38121p-7, 0x1.15787a4d07b1bp-7, 0x1.0f37acea95da6p-7, 0x1.09164a4a1b383p-7, 0x1.0313d42864365p-7, 0x1.fa5f9aa1f11a4p-8, 0x1.eed37347f77c9p-8, 0x1.e3823c3741442p-8, 0x1.d86b01a28895dp-8, 0x1.cd8cd2045d64ap-8, 0x1.c2e6be2807c33p-8, 0x1.b877d931ba90ep-8, 0x1.ae3f38a61833ep-8, 0x1.a43bf47126a57p-8, 0x1.9a6d26eca8ae4p-8, 0x1.90d1ece5dffc2p-8, 0x1.876965a2bae17p-8, 0x1.7e32b2e6929d4p-8, 0x1.752cf8f63bb09p-8, 0x1.6c575e9bb8779p-8, 0x1.63b10d2956dd6p-8, 0x1.5b39307c6ea34p-8, 0x1.52eef6ff7bd72p-8, 0x1.4ad191ac02f66p-8, 0x1.42e0340bdd121p-8, 0x1.3b1a143a47b66p-8, 0x1.337e6ae454f1ap-8, 0x1.2c0c734937e3ep-8, 0x1.24c36b39fea8bp-8, 0x1.1da2931923282p-8, 0x1.16a92dd99fc71p-8, 0x1.0fd680fdcdc38p-8, 0x1.0929d495dbfc3p-8, 0x1.02a2733e0f1d2p-8, 0x1.f87f5439764afp-9, 0x1.ec0191bfc2551p-9, 0x1.dfca437527ee9p-9, 0x1.d3d812c46696bp-9, 0x1.c829ae16826a7p-9, 0x1.bcbdc8cc52228p-9, 0x1.b1931b378295bp-9, 0x1.a6a8629308fd3p-9, 0x1.9bfc60fb5fbdbp-9, 0x1.918ddd66595bap-9, 0x1.875ba39aac7fcp-9, 0x1.7d648426ffa2bp-9, 0x1.73a75458c83e7p-9, 0x1.6a22ee32dbc04p-9, 0x1.60d63063a6f84p-9, 0x1.57bffe3b5c872p-9, 0x1.4edf3fa19b0fep-9, 0x1.4632e10ae5402p-9, 0x1.3db9d36e263b3p-9, 0x1.35730c39a3a6ep-9, 0x1.2d5d85482773ep-9, 0x1.25783cd59c595p-9, 0x1.1dc23573db49ep-9, 0x1.163a75fee56bbp-9, 0x1.0ee009919717ap-9, 0x1.07b1ff79af26fp-9, 0x1.00af6b2c0a9a5p-9, 0x1.f3aec8711560cp-10, 0x1.e6520c7c5129ep-10, 0x1.d946e1bd94074p-10, 0x1.cc8b8f6635f6dp-10, 0x1.c01e647ccdc44p-10, 0x1.b3fdb7c4400e9p-10, 0x1.a827e7a378504p-10, 0x1.9c9b5a0c39f83p-10, 0x1.91567c6311bdap-10, 0x1.8657c36631fb3p-10, 0x1.7b9dab1499595p-10, 0x1.7126b6958de9fp-10, 0x1.66f1701f95a97p-10, 0x1.5cfc68dffdfcbp-10, 0x1.534638e28856fp-10, 0x1.49cd7ef81cec8p-10, 0x1.4090e09ed70c3p-10, 0x1.378f09e92aa92p-10, 0x1.2ec6ad65cb8cep-10, 0x1.2636840773e26p-10, 0x1.1ddd4d0cc3862p-10, 0x1.15b9cde806915p-10, 0x1.0dcad2278d227p-10, 0x1.060f2b5ddde1ep-10, 0x1.fd0b621421e3ap-11, 0x1.ee5a8101351c7p-11, 0x1.e00979a7bac3fp-11, 0x1.d2161d79c238fp-11, 0x1.c47e490934c41p-11, 0x1.b73fe3da6aa65p-11, 0x1.aa58e0367e2d8p-11, 0x1.9dc73affc679p-11, 0x1.9188fb83f0e8fp-11, 0x1.859c33513a63cp-11, 0x1.79fefe0a11b59p-11, 0x1.6eaf813a7da54p-11, 0x1.63abec2d7467p-11, 0x1.58f277c26e0dbp-11, 0x1.4e81664389cdcp-11, 0x1.4457033c08d17p-11, 0x1.3a71a34f7ab7fp-11, 0x1.30cfa41166d47p-11, 0x1.276f6bdd8877dp-11, 0x1.1e4f69af73e87p-11, 0x1.156e14fc5e89fp-11, 0x1.0cc9ed8b78a69p-11, 0x1.04617b50ced6fp-11, 0x1.f8669c8dc2258p-12, 0x1.e87bfc93dbdc9p-12, 0x1.d90055e5f3393p-12, 0x1.c9f0f6e6ed405p-12, 0x1.bb4b3ce297dcdp-12, 0x1.ad0c93c797956p-12, 0x1.9f3275e1ebaefp-12, 0x1.91ba6b966d9b5p-12, 0x1.84a20b1de36bbp-12, 0x1.77e6f842f54dp-12, 0x1.6b86e4202f2dep-12, 0x1.5f7f8cdeb855dp-12, 0x1.53cebd77003d3p-12, 0x1.48724d7174da3p-12, 0x1.3d6820a868ebap-12, 0x1.32ae270a6adb6p-12, 0x1.28425c5df2ccfp-12, 0x1.1e22c806a7cc4p-12, 0x1.144d7ccaafcbcp-12, 0x1.0ac09899988f4p-12, 0x1.017a4452d1cd7p-12, 0x1.f0f1671cfe647p-13, 0x1.df7448cc6c39ap-13, 0x1.ce79be7f43838p-13, 0x1.bdfe6d2d4b30dp-13, 0x1.adff0d942ab9cp-13, 0x1.9e786bd020972p-13, 0x1.8f6766f54aa44p-13, 0x1.80c8f0ae2ac66p-13, 0x1.729a0cd8c263cp-13, 0x1.64d7d1278570ap-13, 0x1.577f64c2dcb38p-13, 0x1.4a8dffec5bfbap-13, 0x1.3e00eba3579fep-13, 0x1.31d5814b343e7p-13, 0x1.26092a535951ep-13, 0x1.1a995fe123626p-13, 0x1.0f83aa7ae722p-13, 0x1.04c5a1b4cd69cp-13, 0x1.f4b9d7bcb2e53p-14, 0x1.e08e7b654b07bp-14, 0x1.cd04b41053448p-14, 0x1.ba18230964354p-14, 0x1.a7c484a056057p-14, 0x1.9605af95ad027p-14, 0x1.84d794882ff31p-14, 0x1.74363d62dbedep-14, 0x1.641dccd1b0439p-14, 0x1.548a7db516fd9p-14, 0x1.4578a29af9237p-14, 0x1.36e4a53a1ed08p-14, 0x1.28cb05efbdbb7p-14, 0x1.1b285b3df52b4p-14, 0x1.0df9514eeaea3p-14, 0x1.013aa978c3a1ep-14, 0x1.e9d27387b1984p-15, 0x1.d203d8eb180bep-15, 0x1.bb037f37cd562p-15, 0x1.a4cb8939af7cdp-15, 0x1.8f563f877a4e9p-15, 0x1.7a9e0faaf424ep-15, 0x1.669d8b4883b0bp-15, 0x1.534f674de2abbp-15, 0x1.40ae7b24129b4p-15, 0x1.2eb5bfe6766d2p-15, 0x1.1d604f9cb17cbp-15, 0x1.0ca96477b47bap-15, 0x1.f918b029e25a3p-16, 0x1.da094584aa02p-16, 0x1.bc1bb593014bap-16, 0x1.9f476779f2e4dp-16, 0x1.8383fb96c3215p-16, 0x1.68c94a26dd7f6p-16, 0x1.4f0f61f7151c9p-16, 0x1.364e871ca4854p-16, 0x1.1e7f31b143fd1p-16, 0x1.079a0c9b9c8c1p-16, 0x1.e32fe8b927c21p-17, 0x1.b8e3ebc1969a7p-17, 0x1.90429ab7e7717p-17, 0x1.693eca4bf8e6p-17, 0x1.43cba941f4dbfp-17, 0x1.1fdcbe496e5d2p-17, 0x1.facbcbbd01ad2p-18, 0x1.b8b6a07b671e5p-18, 0x1.7962feb9d922fp-18, 0x1.3cba89ec60ba6p-18, 0x1.02a781217259fp-18, 0x1.9629768328bbep-19, 0x1.2bdb46b344ae3p-19, 0x1.8c78d3c353b3ep-20, 0x1.9497c4775e313p-21, 0x1.0e400f1bc8a1cp-24, -0x1.4010de4d5572p-21, -0x1.48c10201c5c43p-20, -0x1.e98b4d16c1dc6p-20, -0x1.41557a1afa3efp-19, -0x1.8a30dafe8915fp-19, -0x1.cf77bbd919e2ap-19, -0x1.08a4944d2dbe7p-18, -0x1.27e1a61edf125p-18, -0x1.4581bb3aeae9cp-18, -0x1.61931091a1a53p-18, -0x1.7c237aeb019c3p-18, -0x1.9540697cfc8b9p-18, -0x1.acf6e882c9114p-18, -0x1.c353a3c4b6f99p-18, -0x1.d862e90a698e9p-18, -0x1.ec30aa78e4d15p-18, -0x1.fec880f2e136cp-18, -0x1.081ad730f24f9p-17, -0x1.10418ff7cc0a2p-17, -0x1.17ddb8218bec8p-17, -0x1.1ef474cdc077cp-17, -0x1.258ac3ecfc46cp-17, -0x1.2ba57d4f3a744p-17, -0x1.314953983150fp-17, -0x1.367ad54028a3ap-17, -0x1.3b3e6d81e1753p-17, -0x1.3f98654a0ac25p-17, -0x1.438ce420f6c1ep-17, -0x1.471ff10436552p-17, -0x1.4a55734cb748ap-17, -0x1.4d31337e65782p-17, -0x1.4fb6dc1ea8dafp-17, -0x1.51e9fa7d09e5cp-17, -0x1.53cdff7dc7fc9p-17, -0x1.5566405edcb84p-17, -0x1.56b5f7745e518p-17, -0x1.57c044e232e7ep-17, -0x1.58882f54589d3p-17, -0x1.5910a4aaab736p-17, -0x1.595c7aaae7f69p-17, -0x1.596e6fa451861p-17, -0x1.59492b16856c7p-17, -0x1.58ef3e515743ap-17, -0x1.5863251491f6bp-17, -0x1.57a7462459a3dp-17, -0x1.56bdf3de855e5p-17, -0x1.55a96cccc65e4p-17, -0x1.546bdc3195cc4p-17, -0x1.53075a8f562a6p-17, -0x1.517dee33658b4p-17, -0x1.4fd18bb79f457p-17, -0x1.4e04168169733p-17, -0x1.4c176140a103cp-17, -0x1.4a0d2e65c2c9dp-17, -0x1.47e7309cc830dp-17, -0x1.45a70b3d0fe55p-17, -0x1.434e52b90d21fp-17, -0x1.40de8d0f5a849p-17, -0x1.3e593233a71bep-17, -0x1.3bbfac776dfdbp-17, -0x1.391358f125018p-17, -0x1.365587dd8a574p-17, -0x1.33877cff80c0ap-17, -0x1.30aa6ffe4c28cp-17, -0x1.2dbf8cbf5c28ep-17, -0x1.2ac7f3c3aa667p-17, -0x1.27c4ba79b83b3p-17, -0x1.24b6eb97eeac4p-17, -0x1.219f8769d96e8p-17, -0x1.1e7f8423847cbp-17, -0x1.1b57ce2e02d2ap-17, -0x1.1829487403b61p-17, -0x1.14f4ccaa742b1p-17, -0x1.11bb2b9bcf423p-17, -0x1.0e7d2d6a119f8p-17, -0x1.0b3b91d842f4fp-17, -0x1.07f71088d0eddp-17, -0x1.04b059407c9a9p-17, -0x1.016814255f20cp-17, -0x1.fc3dc3f1c92c4p-18, -0x1.f5aab8af99c79p-18, -0x1.ef182be4dfe3p-18, -0x1.e887358bfc095p-18, -0x1.e1f8e0a516c51p-18, -0x1.db6e2ba1665abp-18, -0x1.d4e808ce62593p-18, -0x1.ce675eba03a31p-18, -0x1.c7ed08910f258p-18, -0x1.c179d6859cf84p-18, -0x1.bb0e8e25c0e13p-18, -0x1.b4abeabab627dp-18, -0x1.ae529d9e1e151p-18, -0x1.a8034e927198ep-18, -0x1.a1be9c15a4898p-18, -0x1.9b851bb1f3a48p-18, -0x1.95575a4a8cb96p-18, -0x1.8f35dc674875dp-18, -0x1.89211e84101d9p-18, -0x1.831995558667ep-18, -0x1.7d1fae109d791p-18, -0x1.7733ceae82f59p-18, -0x1.7156562f727afp-18, -0x1.6b879cd98d7dcp-18, -0x1.65c7f4784626ep-18, -0x1.6017a8991b562p-18, -0x1.5a76fec64efcp-18, -0x1.54e636c149267p-18, -0x1.4f658ab811817p-18, -0x1.49f52f7d02f61p-18, -0x1.449554bbbbf84p-18, -0x1.3f46252b060cep-18, -0x1.3a07c6bb94895p-18, -0x1.34da5acc76a2ap-18, -0x1.2fbdfe552ae28p-18, -0x1.2ab2ca168def6p-18, -0x1.25b8d2c3ab2fdp-18, -0x1.20d0292f1ec81p-18, -0x1.1bf8da723c3c8p-18, -0x1.1732f01508106p-18, -0x1.127e7033ec9b7p-18, -0x1.0ddb5da9e2d39p-18, -0x1.0949b82d7366ap-18, -0x1.04c97c78f81e9p-18, -0x1.005aa46b9b0bdp-18, -0x1.f7fa4e55e7479p-19, -0x1.ef61f27f0fc33p-19, -0x1.e6ec1971be59ep-19, -0x1.de98a2930017ep-19, -0x1.d66768c6ad7f7p-19, -0x1.ce5842a4d837ep-19, -0x1.c66b02b582376p-19, -0x1.be9f77a49c3d6p-19, -0x1.b6f56c6ec0a3cp-19, -0x1.af6ca89a260ffp-19, -0x1.a804f0661fe36p-19, -0x1.a0be04f58a2dap-19, -0x1.9997a47d06b74p-19, -0x1.92918a6b6a359p-19, -0x1.8bab6f9a86774p-19, -0x1.84e50a6cdc2ep-19, -0x1.7e3e0efab28fp-19, -0x1.77b62f39bb56cp-19, -0x1.714d1b1df7b97p-19, -0x1.6b0280ba256bdp-19, -0x1.64d60c66fd321p-19, -0x1.5ec768e168abcp-19, -0x1.58d63f6974a0fp-19, -0x1.530237dee4df3p-19, -0x1.4d4af8e0b29abp-19, -0x1.47b027ea6cf01p-19, -0x1.4231696cca145p-19, -0x1.3cce60e572374p-19, -0x1.3786b0fe5d9c6p-19, -0x1.3259fba34234ep-19, -0x1.2d47e2167524dp-19, -0x1.2850050908148p-19, -0x1.237204b28c949p-19, -0x1.1ead80e269b63p-19, -0x1.1a0219134f82cp-19, -0x1.156f6c7f947edp-19, -0x1.10f51a37eb45ap-19, -0x1.0c92c12b7d374p-19, -0x1.0848003e976ecp-19, -0x1.0414765a0e4a6p-19, -0x1.ffef84fa4642cp-20, -0x1.f7e3078a3ccb4p-20, }}, 
      {{-0x1.8e480de5453f7p-5, -0x1.8de3b4099841ep-5, -0x1.8ce550429188ep-5, -0x1.8af309f8158fbp-5, -0x1.87b825607c22fp-5, -0x1.82eeab0bd97efp-5, -0x1.7c633edb8dee5p-5, -0x1.73f5924d6e1dfp-5, -0x1.69970878024b7p-5, -0x1.5d487ec768ac8p-5, -0x1.4f17c23ac058ep-5, -0x1.3f1cf95c3ea15p-5, -0x1.2d7828a4797a5p-5, -0x1.1a4ee56ee9789p-5, -0x1.05ca42fc84013p-5, -0x1.e02a00cd4abcbp-6, -0x1.b2b3f6ad55a5ep-6, -0x1.8385d181d3f5cp-6, -0x1.52eea4e99fea4p-6, -0x1.2137ac33519aap-6, -0x1.dd46812e64e3fp-7, -0x1.76d8747aa094cp-7, -0x1.0f8b599750917p-7, -0x1.4f6bbdc78d245p-8, -0x1.fcfe08d76ccd3p-10, 0x1.43eaa1aeb5a68p-10, 0x1.20e9505d1318p-8, 0x1.f04a5f5b2788fp-8, 0x1.5f7835af14c37p-7, 0x1.c66000d32b1ddp-7, 0x1.166b41187ba89p-6, 0x1.496e0b20ed81fp-6, 0x1.7c3b2ee2c5d51p-6, 0x1.aed79907a86b9p-6, 0x1.e149db1b37551p-6, 0x1.09cce1484d5f3p-5, 0x1.22e7fed1e62d6p-5, 0x1.3bfae69287497p-5, 0x1.550a6101082e8p-5, 0x1.6e1b42a1f8bc5p-5, 0x1.87325499d07edp-5, 0x1.a0544130fadfcp-5, 0x1.b98583b3d4cbcp-5, 0x1.d2ca5b280902ap-5, 0x1.ec26bf61a163p-5, 0x1.02cf2c09d13bcp-4, 0x1.0f9a3ac47f8e7p-4, 0x1.1c7605612a574p-4, 0x1.2963d46171698p-4, 0x1.3664bd71a9b43p-4, 0x1.4379a2057a903p-4, 0x1.50a32e5c18615p-4, 0x1.5de1d8e3a90ccp-4, 0x1.6b35e1f5b8f74p-4, 0x1.789f53e83b808p-4, 0x1.861e036fa4902p-4, 0x1.93b1904f1d963p-4, 0x1.a15966540bc2cp-4, 0x1.af14be99e97c6p-4, 0x1.bce2a1132d2c2p-4, 0x1.cac1e6535c76ep-4, 0x1.d8b139961efe7p-4, 0x1.e6af1afe5296fp-4, 0x1.f4b9e207cdb9p-4, 0x1.0167e01305393p-3, 0x1.087761c4bb975p-3, 0x1.0f8a6d0286659p-3, 0x1.169fea06bfc19p-3, 0x1.1db6b3e5ae5ffp-3, 0x1.24cd9a1cc1fdcp-3, 0x1.2be36224b6367p-3, 0x1.32f6c90374414p-3, 0x1.3a0684dacc53bp-3, 0x1.411146711a1a6p-3, 0x1.4815bab15bd92p-3, 0x1.4f128c204665bp-3, 0x1.560664444a9dfp-3, 0x1.5cefecfea2694p-3, 0x1.63cdd1d3d5ecdp-3, 0x1.6a9ec122591b2p-3, 0x1.71616d46300fdp-3, 0x1.78148da8c63abp-3, 0x1.7eb6dfbc5ae81p-3, 0x1.854727e2a0a0ep-3, 0x1.8bc4323e709a4p-3, 0x1.922cd3708eaf1p-3, 0x1.987fe93fb8d3cp-3, 0x1.9ebc5b2c60209p-3, 0x1.a4e11af08a1e9p-3, 0x1.aaed24ec8175ep-3, 0x1.b0df80810a4fcp-3, 0x1.b6b74057fab9p-3, 0x1.bc73829c0e86ap-3, 0x1.c2137120f4f0dp-3, 0x1.c796417c8e2eep-3, 0x1.ccfb35126f099p-3, 0x1.d24199129c478p-3, 0x1.d768c66c9d966p-3, 0x1.dc7021b7ee0f7p-3, 0x1.e1571b12c427bp-3, 0x1.e61d2df840d77p-3, 0x1.eac1e10ef6fcep-3, 0x1.ef44c5f0b7974p-3, 0x1.f3a578ec959fdp-3, 0x1.f7e3a0c3ecb1fp-3, 0x1.fbfeee63403ffp-3, 0x1.fff71c97b85e3p-3, 0x1.01e5f7e0f5975p-2, 0x1.03be9ac3501aap-2, 0x1.0585623f13514p-2, 0x1.073a3df164c7ap-2, 0x1.08dd219f745eap-2, 0x1.0a6e050d94fcap-2, 0x1.0bece3d691efbp-2, 0x1.0d59bd4374765p-2, 0x1.0eb49423de608p-2, 0x1.0ffd6ea71e492p-2, 0x1.113456361ca2ep-2, 0x1.1259574e38764p-2, 0x1.136c815d2b20ap-2, 0x1.146de69e0208p-2, 0x1.155d9bf73e89dp-2, 0x1.163bb8da1fa8ap-2, 0x1.1708572320e92p-2, 0x1.17c392fbb333dp-2, 0x1.186d8abd259f3p-2, 0x1.19065ed4cdf5dp-2, 0x1.198e31a95afcbp-2, 0x1.1a0527815a25ap-2, 0x1.1a6b666adf168p-2, 0x1.1ac116244b42cp-2, 0x1.1b06600628d6cp-2, 0x1.1b3b6eee10989p-2, 0x1.1b606f2a8edfbp-2, 0x1.1b758e67f83d8p-2, 0x1.1b7afb9e2dd8p-2, 0x1.1b70e6ff33fe4p-2, 0x1.1b5781e69d9a3p-2, 0x1.1b2efec9b8452p-2, 0x1.1af791286ep-2, 0x1.1ab16d7ed2712p-2, 0x1.1a5cc9374fc93p-2, 0x1.19f9da9d60d43p-2, 0x1.1988d8d0db4d8p-2, 0x1.1909fbb9af2f6p-2, 0x1.187d7bfc1e853p-2, 0x1.17e392ed5d78fp-2, 0x1.173c7a888ebd1p-2, 0x1.16886d641c517p-2, 0x1.15c7a6a75beecp-2, 0x1.14fa62007ea64p-2, 0x1.1420db9abda37p-2, 0x1.133b5014c4808p-2, 0x1.1249fc774f103p-2, 0x1.114d1e2bf635cp-2, 0x1.1044f2f428488p-2, 0x1.0f31b8e047b9fp-2, 0x1.0e13ae46ec7abp-2, 0x1.0ceb11bc43479p-2, 0x1.0bb822098df2fp-2, 0x1.0a7b1e24b7081p-2, 0x1.0934452805189p-2, 0x1.07e3d649dfa23p-2, 0x1.068a10d4aad29p-2, 0x1.0527341eba29ep-2, 0x1.03bb7f8252829p-2, 0x1.02473255c2f6ep-2, 0x1.00ca8be39191fp-2, 0x1.fe8b96c575d2bp-3, 0x1.fb725fde077f4p-3, 0x1.f849f102c931dp-3, 0x1.f512c7d10a4aap-3, 0x1.f1cd6182a0987p-3, 0x1.ee7a3adf4372fp-3, 0x1.eb19d02e12d15p-3, 0x1.e7ac9d2751644p-3, 0x1.e4331ce656fbbp-3, 0x1.e0adc9dbba577p-3, 0x1.dd1d1dbfb7a88p-3, 0x1.d9819184d4a55p-3, 0x1.d5db9d4ac3f32p-3, 0x1.d22bb8518e0c4p-3, 0x1.ce7258ed02474p-3, 0x1.caaff4786b993p-3, 0x1.c6e4ff4a9aa99p-3, 0x1.c311ecaa33a26p-3, 0x1.bf372ec254d61p-3, 0x1.bb5536978e52dp-3, 0x1.b76c73fd316bcp-3, 0x1.b37d558af3d1ep-3, 0x1.af884892ee282p-3, 0x1.ab8db917fc3a2p-3, 0x1.a78e11c471a4ap-3, 0x1.a389bbe133a4dp-3, 0x1.9f811f4d3025cp-3, 0x1.9b74a27538328p-3, 0x1.9764aa4c3f8fep-3, 0x1.93519a43f7d16p-3, 0x1.8f3bd445d88p-3, 0x1.8b23b8ac87222p-3, 0x1.8709a63da54bbp-3, 0x1.82edfa2404b7bp-3, 0x1.7ed10fea3fa81p-3, 0x1.7ab34175b4ab1p-3, 0x1.7694e701f053cp-3, 0x1.7276571c6c454p-3, 0x1.6e57e6a0bfb65p-3, 0x1.6a39e8b52d318p-3, 0x1.661caec791f8ep-3, 0x1.6200888ab54a1p-3, 0x1.5de5c3f4004eap-3, 0x1.59ccad398b5fp-3, 0x1.55b58ed08b263p-3, 0x1.51a0b16c1da61p-3, 0x1.4d8e5bfc6c8d8p-3, 0x1.497ed3ae2daep-3, 0x1.45725bea761edp-3, 0x1.41693656e0f16p-3, 0x1.3d63a2d61240dp-3, 0x1.3961df888262cp-3, 0x1.356428cd9ae56p-3, 0x1.316ab94521d7p-3, 0x1.2d75c9d0f193fp-3, 0x1.29859196f44f5p-3, 0x1.259a46036d03ep-3, 0x1.21b41acb7c34ep-3, 0x1.1dd341efee91fp-3, 0x1.19f7ebc0484cep-3, 0x1.162246de0a7cbp-3, 0x1.1252804038b73p-3, 0x1.0e88c3371452ap-3, 0x1.0ac539700d4ecp-3, 0x1.07080af9e9c7cp-3, 0x1.03515e491ce87p-3, 0x1.ff42b07891ecap-4, 0x1.f7f03841efcdep-4, 0x1.f0ab9770eac46p-4, 0x1.e9750e79a97e2p-4, 0x1.e24cdacc37e58p-4, 0x1.db3336df1e157p-4, 0x1.d4285a3a4d82p-4, 0x1.cd2c79822dcbp-4, 0x1.c63fc682fe007p-4, 0x1.bf62703c5e5cap-4, 0x1.b894a2ed05f98p-4, 0x1.b1d6881eb99d9p-4, 0x1.ab2846b255e25p-4, 0x1.a48a02ec05562p-4, 0x1.9dfbde7f9f14p-4, 0x1.977df89d17d43p-4, 0x1.91106dfd146a1p-4, 0x1.8ab358ed8b087p-4, 0x1.8466d15e7c732p-4, 0x1.7e2aeceeb9ae1p-4, 0x1.77ffbef8b5485p-4, 0x1.71e5589f5d46fp-4, 0x1.6bdbc8dafadc8p-4, 0x1.65e31c86127c5p-4, 0x1.5ffb5e6a44a06p-4, 0x1.5a24974d29fd6p-4, 0x1.545ecdfd2b7d4p-4, 0x1.4eaa075e4e16ap-4, 0x1.49064676f49d1p-4, 0x1.43738c7c95409p-4, 0x1.3df1d8e05c67bp-4, 0x1.3881295bbf2cfp-4, 0x1.332179fcf649bp-4, 0x1.2dd2c5336687fp-4, 0x1.289503dbed95cp-4, 0x1.23682d4d15b04p-4, 0x1.1e4c37632ca21p-4, 0x1.1941168c3e41cp-4, 0x1.1446bdd3ed564p-4, 0x1.0f5d1eef2eed7p-4, 0x1.0a842a47e11b7p-4, 0x1.05bbcf083e8ap-4, 0x1.0103fb262dcb4p-4, 0x1.f8b936dcd991bp-5, 0x1.ef8b371f228bfp-5, 0x1.e67dcc49c93a8p-5, 0x1.dd90c9822a32p-5, 0x1.d4c3fff180d45p-5, 0x1.cc173ed9a06a5p-5, 0x1.c38a53a95c50ap-5, 0x1.bb1d0a10966c7p-5, 0x1.b2cf2c13f5aap-5, 0x1.aaa082204809ep-5, 0x1.a290d31d80c1cp-5, 0x1.9a9fe4816408dp-5, 0x1.92cd7a61d1c75p-5, 0x1.8b195786b95f8p-5, 0x1.83833d7bacb3ep-5, 0x1.7c0aeca118673p-5, 0x1.74b0243d1edf8p-5, 0x1.6d72a28c1666p-5, 0x1.665224d0a6df4p-5, 0x1.5f4e6763947a3p-5, 0x1.586725c321e05p-5, 0x1.519c1aa21b7d5p-5, 0x1.4aecfff683c7ep-5, 0x1.44598f07e9b0cp-5, 0x1.3de1807d5d418p-5, 0x1.37848c6b0c46p-5, 0x1.31426a5f80a99p-5, 0x1.2b1ad1708e42ap-5, 0x1.250d7847dbfd3p-5, 0x1.1f1a152f1e8f7p-5, 0x1.19405e1bf6ff9p-5, 0x1.138008bb7a9bbp-5, 0x1.0dd8ca7d66808p-5, 0x1.084a589efcec9p-5, 0x1.02d46835930f1p-5, 0x1.faed5c718dc15p-6, 0x1.f061bf18c9879p-6, 0x1.e6056213fd5e5p-6, 0x1.dbd7af145dcdcp-6, 0x1.d1d80fdb28adep-6, 0x1.c805ee4af9327p-6, 0x1.be60b4787e566p-6, 0x1.b4e7ccbaa75afp-6, 0x1.ab9aa1ba37939p-6, 0x1.a2789e80c5039p-6, 0x1.99812e8736e92p-6, 0x1.90b3bdc3a75c9p-6, 0x1.880fb8b6c916p-6, 0x1.7f948c78b750bp-6, 0x1.7741a6c5567f1p-6, 0x1.6f1676081fd0ep-6, 0x1.6712696779513p-6, 0x1.5f34f0cf922b8p-6, 0x1.577d7cfcb888dp-6, 0x1.4feb7f8548b07p-6, 0x1.487e6ae31890fp-6, 0x1.4135b27c7f5d6p-6, 0x1.3a10caace4d5ep-6, 0x1.330f28cce7b61p-6, 0x1.2c30433a1008bp-6, 0x1.2573915e28d04p-6, 0x1.1ed88bb629cd7p-6, 0x1.185eabd8c0dd6p-6, 0x1.12056c7c80917p-6, 0x1.0bcc497da6a1dp-6, 0x1.05b2bfe38f57p-6, 0x1.ff709bcb927f8p-7, 0x1.f3b8e5e1b2c58p-7, 0x1.e83d5f55505ccp-7, 0x1.dcfd0bed311e3p-7, 0x1.d1f6f1f2b5871p-7, 0x1.c72a1a38bd927p-7, 0x1.bc9590221e636p-7, 0x1.b23861a771dd6p-7, 0x1.a8119f5c58178p-7, 0x1.9e205c743cf6bp-7, 0x1.9463aec687308p-7, 0x1.8adaaed259883p-7, 0x1.818477c1c5e6p-7, 0x1.7860276c9578ep-7, 0x1.6f6cde5a8f5e1p-7, 0x1.66a9bfc56264dp-7, 0x1.5e15f19a0bf02p-7, 0x1.55b09c79ea66ep-7, 0x1.4d78ebbb569b1p-7, 0x1.456e0d69e8781p-7, 0x1.3d8f32465cb11p-7, 0x1.35db8dc61833cp-7, 0x1.2e525612614b6p-7, 0x1.26f2c4073e8ddp-7, 0x1.1fbc1331f6a4fp-7, 0x1.18ad81cf5db5ap-7, 0x1.11c650c9cb84ep-7, 0x1.0b05c3b6c1adp-7, 0x1.046b20d458f68p-7, 0x1.fbeb620cdf491p-8, 0x1.ef497fa72c57cp-8, 0x1.e2ef36c36fdfdp-8, 0x1.d6db28e52c846p-8, 0x1.cb0bfcc00a12cp-8, 0x1.bf805e2ffe4fbp-8, 0x1.b436fe3103358p-8, 0x1.a92e92d663ebep-8, 0x1.9e65d741d24d7p-8, 0x1.93db8b9a016bp-8, 0x1.898e75012359ep-8, 0x1.7f7d5d8adfe61p-8, 0x1.75a714323116fp-8, 0x1.6c0a6ccef00c6p-8, 0x1.62a6400b1e04fp-8, 0x1.59796b58083d5p-8, 0x1.5082d0e30a6bbp-8, 0x1.47c1578a52a2ep-8, 0x1.3f33ead14a938p-8, 0x1.36d97ad4f4b26p-8, 0x1.2eb0fc3ffc878p-8, 0x1.26b9683ede113p-8, 0x1.1ef1bc739df92p-8, 0x1.1758fae9ad69cp-8, 0x1.0fee2a096fe0dp-8, 0x1.08b0548bdd27bp-8, 0x1.019e896deea89p-8, 0x1.f56fb7c7f5807p-9, 0x1.e7f6c69a3463dp-9, 0x1.dad0764c9adbfp-9, 0x1.cdfb05fb8fb09p-9, 0x1.c174bccc3e62p-9, 0x1.b53be9d2ba4e7p-9, 0x1.a94ee3f84f706p-9, 0x1.9dac09e1bff99p-9, 0x1.9251c1d56026ap-9, 0x1.873e79a178713p-9, 0x1.7c70a68250806p-9, 0x1.71e6c50884681p-9, 0x1.679f58ff53277p-9, 0x1.5d98ed52f6287p-9, 0x1.53d213f6fdd16p-9, 0x1.4a4965ccf3e3ap-9, 0x1.40fd828adaf45p-9, 0x1.37ed10a1ddbe1p-9, 0x1.2f16bd253cef8p-9, 0x1.26793bb12164fp-9, 0x1.1e134651a8ecbp-9, 0x1.15e39d6a360aap-9, 0x1.0de9079ca0c41p-9, 0x1.062251b0e1054p-9, 0x1.fd1c9cf95166fp-10, 0x1.ee57ad9657d0dp-10, 0x1.dff3928a6dbacp-10, 0x1.d1ee14b2b036p-10, 0x1.c44508489a2c2p-10, 0x1.b6f64cb308623p-10, 0x1.a9ffcc57d57abp-10, 0x1.9d5f7c6dd90bcp-10, 0x1.91135ccf38e65p-10, 0x1.851977cc5c7e3p-10, 0x1.796fe1ff19be7p-10, 0x1.6e14ba1e20e9dp-10, 0x1.630628d191b8ep-10, 0x1.584260871c7fcp-10, 0x1.4dc79d476c179p-10, 0x1.4394248b661fp-10, 0x1.39a645124c696p-10, 0x1.2ffc56b7ee306p-10, 0x1.2694ba4bfaa18p-10, 0x1.1d6dd96923018p-10, 0x1.1486264d0f5a8p-10, 0x1.0bdc1bb09d79fp-10, 0x1.036e3ca0f4295p-10, 0x1.f67628b14f097p-11, 0x1.e6826c336558bp-11, 0x1.d6fe7a0fa57bp-11, 0x1.c7e7980661375p-11, 0x1.b93b1b07d388p-11, 0x1.aaf666eb15e23p-11, 0x1.9d16ee2782895p-11, 0x1.8f9a318dd4e83p-11, 0x1.827dc002bba93p-11, 0x1.75bf363a8dbcap-11, 0x1.695c3e7580671p-11, 0x1.5d52903d79299p-11, 0x1.519ff024a8138p-11, 0x1.46422f8466889p-11, 0x1.3b372c3e3db77p-11, 0x1.307cd07caf5dfp-11, 0x1.26111275e11c4p-11, 0x1.1bf1f42ec0edfp-11, 0x1.121d833f58f44p-11, 0x1.0891d8979e6cdp-11, 0x1.fe9a308b79123p-12, 0x1.ec9ae27a186c8p-12, 0x1.db223a3b9aa5bp-12, 0x1.ca2cbffcaa7bep-12, 0x1.b9b71068f54bp-12, 0x1.a9bddc3ffe391p-12, 0x1.9a3de7ec88c27p-12, 0x1.8b340b1d95e68p-12, 0x1.7c9d305fe37aep-12, 0x1.6e7654bbac046p-12, 0x1.60bc875076438p-12, 0x1.536ce8f65290ep-12, 0x1.4684abde0d9cbp-12, 0x1.3a011334a2fe7p-12, 0x1.2ddf72c76dd26p-12, 0x1.221d2eaa7c137p-12, 0x1.16b7bae0437d5p-12, 0x1.0bac9b0268b3cp-12, 0x1.00f961ed27b3ap-12, 0x1.ed3762d6776ebp-13, 0x1.d92273c8f3eb6p-13, 0x1.c5af7418c5d72p-13, 0x1.b2d9fd2772baep-13, 0x1.a09dc3b3f1d7ep-13, 0x1.8ef69744163e3p-13, 0x1.7de0618dc58bdp-13, 0x1.6d5725e4f23f3p-13, 0x1.5d5700ab3c796p-13, 0x1.4ddc26c2d9527p-13, 0x1.3ee2e502b9ef8p-13, 0x1.30679fb0047bap-13, 0x1.2266d1f8cce2cp-13, 0x1.14dd0d7119b7ep-13, 0x1.07c6f991fd6e9p-13, 0x1.f642a67913bc9p-14, 0x1.ddd1d87d3ce79p-14, 0x1.c63555b33d25fp-14, 0x1.af6712997d69fp-14, 0x1.99612ac1228efp-14, 0x1.841ddfeacfa1fp-14, 0x1.6f979926d4be7p-14, 0x1.5bc8e1fa7efddp-14, 0x1.48ac698bee26ep-14, 0x1.363d01cf37a28p-14, 0x1.24759eb9f4e3bp-14, 0x1.1351557842355p-14, 0x1.02cb5ba934daep-14, 0x1.e5be0d39ab88ap-15, 0x1.c70f95302ccb3p-15, 0x1.a98274349d436p-15, 0x1.8d0e0a53ceea2p-15, 0x1.71a9f14344b35p-15, 0x1.574dfb04f4e66p-15, 0x1.3df230948fba6p-15, 0x1.258ed099ec3e5p-15, 0x1.0e1c4e2452b5p-15, 0x1.ef269ed468d0ep-16, 0x1.c3d959246e3bap-16, 0x1.9a42dd01e7149p-16, 0x1.72559b5c322f6p-16, 0x1.4c0461fdf760ep-16, 0x1.27425955e2f1dp-16, 0x1.040302417a9e8p-16, 0x1.c47467d959d0bp-17, 0x1.83b833712a28dp-17, 0x1.45ba626426112p-17, 0x1.0a649019352a3p-17, 0x1.a341e8c53b43p-18, 0x1.36b4bf4e44466p-18, 0x1.9df0dc8b45d5bp-19, 0x1.af938a02ba249p-20, 0x1.aa648106c0a37p-23, -0x1.338ac3abf03cbp-20, -0x1.45c2e598a2fecp-19, -0x1.e999e2ce70379p-19, -0x1.42c7fc68a5039p-18, -0x1.8cf469b820316p-18, -0x1.d3731bc301bfbp-18, -0x1.0b3203c776993p-17, -0x1.2af31d5a7e536p-17, -0x1.490bf09dd1f67p-17, -0x1.658b25a263034p-17, -0x1.807ef948eec3p-17, -0x1.99f53ffae1359p-17, -0x1.b1fb6859cc843p-17, -0x1.c89e7dd1efeddp-17, -0x1.ddeb2b26893fdp-17, -0x1.f1edbce7ccf06p-17, -0x1.025911ef7d0edp-16, -0x1.0b21fbb3bf41fp-16, -0x1.13573bdf4b744p-16, -0x1.1afe48232bd45p-16, -0x1.221c6cd9de7efp-16, -0x1.28b6ce1db2226p-16, -0x1.2ed268d1d5301p-16, -0x1.347413a9d5dbfp-16, -0x1.39a0802764316p-16, -0x1.3e5c3b94fcf71p-16, -0x1.42abaffa9e653p-16, -0x1.46932509231a5p-16, -0x1.4a16c106a4cb7p-16, -0x1.4d3a89ad1b568p-16, -0x1.5002650848684p-16, -0x1.52721a4d97566p-16, -0x1.548d52af0e86p-16, -0x1.56579a27e50b1p-16, -0x1.57d460468d992p-16, -0x1.5906f8eef5755p-16, -0x1.59f29d1ac5f61p-16, -0x1.5a9a6b9188973p-16, -0x1.5b0169a09cefap-16, -0x1.5b2a83c98aaecp-16, -0x1.5b188e7055c2ep-16, -0x1.5ace468493583p-16, -0x1.5a4e52250df8ap-16, -0x1.599b41418ecf4p-16, -0x1.58b78e353446fp-16, -0x1.57a59e5fe2cc3p-16, -0x1.5667c2b96eac1p-16, -0x1.5500386531514p-16, -0x1.5371293de3cd4p-16, -0x1.51bcac5f07335p-16, -0x1.4fe4c6ada2e57p-16, -0x1.4deb6b57db90cp-16, -0x1.4bd27c57efe66p-16, -0x1.499bcaed4f106p-16, -0x1.47491818312f1p-16, -0x1.44dc150ecab01p-16, -0x1.425663b2bc2d4p-16, -0x1.3fb996fe7853fp-16, -0x1.3d07337384dadp-16, -0x1.3a40af86cafd7p-16, -0x1.376774073b496p-16, -0x1.347cdc8298005p-16, -0x1.318237a93595ep-16, -0x1.2e78c7ad07d08p-16, -0x1.2b61c29f8df7p-16, -0x1.283e52cdd6714p-16, -0x1.250f971a3d9ffp-16, -0x1.21d6a34ef01aep-16, -0x1.1e9480769927fp-16, -0x1.1b4a2d2baa795p-16, -0x1.17f89dead7367p-16, -0x1.14a0bd5e94b74p-16, -0x1.11436cabc41eep-16, -0x1.0de183bcac57p-16, -0x1.0a7bd186b9ef5p-16, -0x1.07131c52da3d2p-16, -0x1.03a822001b63fp-16, -0x1.003b9846d3d5ap-16, -0x1.f99c59ef69f9bp-17, -0x1.f2c10c77be4c7p-17, -0x1.ebe685a4e5519p-17, -0x1.e50df495f8584p-17, -0x1.de387a7f4a3fcp-17, -0x1.d7672b1de7941p-17, -0x1.d09b0d21be5b4p-17, -0x1.c9d51a9cb5c65p-17, -0x1.c3164164ca964p-17, -0x1.bc5f637d491fp-17, -0x1.b5b1577756269p-17, -0x1.af0ce8d430c2ap-17, -0x1.a872d85fcdaf5p-17, -0x1.a1e3dc8d0ed1dp-17, -0x1.9b60a1cc00395p-17, -0x1.94e9cae1045cp-17, -0x1.8e7ff13497c58p-17, -0x1.8823a528d14d5p-17, -0x1.81d56e6567683p-17, -0x1.7b95cc25151c2p-17, -0x1.75653580be7fep-17, -0x1.6f4419b5e62f5p-17, -0x1.6932e0706f44cp-17, -0x1.6331ea0b67901p-17, -0x1.5d418fd2ec45ep-17, -0x1.576224479de0dp-17, -0x1.5193f35be14eap-17, -0x1.4bd742b0a16c5p-17, -0x1.462c51d1e31ep-17, -0x1.40935a6fd1cbcp-17, -0x1.3b0c9094bae05p-17, -0x1.359822dbaddb7p-17, -0x1.30363aa54873ep-17, -0x1.2ae6fc4cb5e1cp-17, -0x1.25aa87563a2b9p-17, -0x1.2080f6a4022bbp-17, -0x1.1b6a609fa2707p-17, -0x1.1666d76c5bfffp-17, -0x1.117669107bcd5p-17, -0x1.0c991f9fbb47dp-17, -0x1.07cf0165205dp-17, -0x1.0318110d2b036p-17, -0x1.fce89b93bfd49p-18, -0x1.f3c766f7eb467p-18, -0x1.eacc75aa85256p-18, -0x1.e1f7b2fbd656ep-18, -0x1.d949046bc26f7p-18, -0x1.d0c049e732f4p-18, -0x1.c85d5e1338ad1p-18, -0x1.c0201686d91c2p-18, -0x1.b8084408e33b2p-18, -0x1.b015b2cbd5eb5p-18, -0x1.a8482aa5fac3ep-18, -0x1.a09f6f4a4aed6p-18, -0x1.991b407e8ef1ap-18, -0x1.91bb5a4afcdbcp-18, -0x1.8a7f75326170dp-18, -0x1.8367465f0e4ebp-18, -0x1.7c727fd31649cp-18, -0x1.75a0d096a5468p-18, -0x1.6ef1e4e434b9fp-18, -0x1.68656654051a2p-18, -0x1.61fafc052d573p-18, -0x1.5bb24abf9d251p-18, -0x1.558af5209f4dep-18, -0x1.4f849bc0b0d4dp-18, -0x1.499edd5515b83p-18, -0x1.43d956d590a93p-18, -0x1.3e33a39ba52fcp-18, -0x1.38ad5d858b7dap-18, -0x1.33461d11fcd66p-18, -0x1.2dfd79829ec3bp-18, -0x1.28d308f4b288bp-18, -0x1.23c6608039df5p-18, -0x1.1ed714538c9d8p-18, -0x1.1a04b7cb0bf4dp-18, -0x1.154edd8c9afb1p-18, -0x1.10b517a06c613p-18, -0x1.0c36f78884201p-18, -0x1.07d40e5313ee2p-18, -0x1.038becb31b6c5p-18, -0x1.febc462903da5p-19, -0x1.f6948364954a9p-19, -0x1.ee9fb14bccaacp-19, -0x1.e6dcefffe5c33p-19, -0x1.df4b5fab7e78bp-19, -0x1.d7ea20a49e467p-19, -0x1.d0b8538e35acp-19, -0x1.c9b5197ffbd68p-19, -0x1.c2df9414fa905p-19, -0x1.bc36e59117db1p-19, -0x1.b5ba30fe50656p-19, -0x1.af689a4690bc4p-19, -0x1.a9414644d701fp-19, -0x1.a3435ae96fe92p-19, -0x1.9d6dff4e05d22p-19, -0x1.97c05bc6dc723p-19, -0x1.923999f49c984p-19, -0x1.8cd8e4e0a934dp-19, -0x1.879d690f65e7bp-19, -0x1.828654897a8fap-19, -0x1.7d92d6f520671p-19, -0x1.78c221a9b5c4p-19, -0x1.741367b7b7eb1p-19, -0x1.6f85ddfa1f92bp-19, -0x1.6b18bb21a9883p-19, -0x1.66cb37c8ea68ep-19, -0x1.629c8e774541dp-19, -0x1.5e8bfbaf66c7ap-19, -0x1.5a98bdff912f2p-19, -0x1.56c2160603bc3p-19, -0x1.53074678d8558p-19, -0x1.4f679433db991p-19, -0x1.4be24642016b7p-19, -0x1.4876a5deaeb3fp-19, -0x1.4523fe7e06c5cp-19, -0x1.41e99dd556c32p-19, -0x1.3ec6d3e2b3c7bp-19, -0x1.3bbaf2ef73499p-19, -0x1.38c54f91f0323p-19, -0x1.35e540b9d409bp-19, -0x1.331a1fb15404fp-19, -0x1.3063481c143fap-19, -0x1.2dc017fe2b698p-19, -0x1.2b2fefbfb50a4p-19, -0x1.28b2322c5be8cp-19, -0x1.26464472bd3edp-19, -0x1.23eb8e2a5e9d6p-19, -0x1.21a179594a76fp-19, -0x1.1f677265f4052p-19, -0x1.1d3ce821b4701p-19, -0x1.1b214bc87a1a2p-19, -0x1.19141103332acp-19, -0x1.1714adda68c4ap-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      38, 0x1.851eb851eb852p+2, 0x1.a16432f56e29bp+0, 0x1.be80409f76b87p+1, -0x1.0ab55734ec1ep-7, 
      {{
        {0x1.0f5c28f5c28f6p+2, 0x1.1p+2, 0x1.9010342b02c3p-6, -0x1.b2d9ef372bbcap-5, 0x1.627f992ce31b6p-5, -0x1.02949a290974ep-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.876fd96632566p-6, -0x1.abccd4fb45717p-5, 0x1.5e9ea63912535p-5, -0x1.f840d6a002121p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.5e60e42697c5ep-6, -0x1.89af02339fc66p-5, 0x1.4bb5d15fdf0c6p-5, -0x1.e9f65ef18021ep-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.38a3570d30d2cp-6, -0x1.696e68a468e93p-5, 0x1.39562dd06a3e5p-5, -0x1.dc16f971d516ep-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.16082712a1f7ep-6, -0x1.4afd83918aaf3p-5, 0x1.277bb7a8f2405p-5, -0x1.ce1ae368ea99fp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.ecc34095836d1p-7, -0x1.2e4ef3de719e8p-5, 0x1.16278255030ddp-5, -0x1.c0267d56684ap-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b306cbc93122dp-7, -0x1.13555059c8debp-5, 0x1.055944082bf19p-5, -0x1.b23007f378ef1p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.7e84e454c21fap-7, -0x1.f406650b7cecfp-6, 0x1.ea222111486aep-6, -0x1.a43a1fdbb74b8p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.4eea2d030f796p-7, -0x1.c49666566c73cp-6, 0x1.ca9dc51401123p-6, -0x1.964411e7dde75p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.23e5f6d5564cfp-7, -0x1.983fd68973e4fp-6, 0x1.ac2576ef6a06bp-6, -0x1.884e0e1905f19p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.fa5482066f819p-8, -0x1.6ee7e77f0b8dep-6, 0x1.8eb935e0bcc8p-6, -0x1.7a58079255b5dp-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.b4d771f57201bp-8, -0x1.4873cb18ccd6bp-6, 0x1.7259021c298dap-6, -0x1.6c6201c60dfc5p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.76c374c086821p-8, -0x1.24c8b3366818ap-6, 0x1.5704db93b54e1p-6, -0x1.5e6bfbc7e098fp-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.3f8c9e1d477a7p-8, -0x1.03cbd1b810ba8p-6, 0x1.3cbcc24b1e0f6p-6, -0x1.5075f5d709809p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.0eac5e2e176f9p-8, -0x1.cac4b0fbae129p-7, 0x1.2380b64163bfp-6, -0x1.427fefe29dc42p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c743030441f17p-9, -0x1.92e2f2cfa9632p-7, 0x1.0b50b776cb1d2p-6, -0x1.3489e9ef2fa86p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.7be0622aad72fp-9, -0x1.5fbcccac41c36p-7, 0x1.e8598bd682479p-7, -0x1.2693e3fb745a5p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.3a43e4a0e6ca5p-9, -0x1.311ca251a6e35p-7, 0x1.bc29c33d973a6p-7, -0x1.189dde07d721p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.018b4e11f37d6p-9, -0x1.06ccd78008196p-7, 0x1.92121522d08f3p-7, -0x1.0aa7d8142e07fp-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a1be3604d25b3p-10, -0x1.c12f9fef29bb9p-8, 0x1.6a128186300d7p-7, -0x1.f963a4410032ap-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.4ee501a0db3a3p-10, -0x1.7c8fdef0f915bp-8, 0x1.442b0867b6701p-7, -0x1.dd779859c15e6p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0906db676d59p-10, -0x1.3f4f3385dd16ap-8, 0x1.205ba9c761892p-7, -0x1.c18b8c728a79cp-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.9d6a22f6295a4p-11, -0x1.0902652e34dc5p-8, 0x1.fd48cb4a61804p-8, -0x1.a59f808a9b81dp-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.3d2cc762fade4p-11, -0x1.b27c76d4bc652p-9, 0x1.be0a780263c6ap-8, -0x1.89b374a5ad3dap-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.dd9c0e4dd0518p-12, -0x1.5f2efb75768dbp-9, 0x1.82fc59b656961p-8, -0x1.6dc768b5b8caap-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.5fe251739524fp-12, -0x1.1745e73f3dc4ep-9, 0x1.4c1e7067e144bp-8, -0x1.51db5cee7f0cep-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.f99157e6efc3ep-13, -0x1.b3d5926653532p-10, 0x1.1970bc10e7cfcp-8, -0x1.35ef508f7203fp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.608270ac5a61ep-13, -0x1.4c8e60a14e805p-10, 0x1.d5e67990609ebp-9, -0x1.1a03466711f3ap-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.da4f5fc3aa9bfp-14, -0x1.ee12ae7572509p-11, 0x1.814be47174d5ep-9, -0x1.fc2e67f7fbb97p-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3178cb959ab8p-14, -0x1.6333281edd0b7p-11, 0x1.3511bb3f7578ep-9, -0x1.c45680c9085dbp-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.749dc10ec66ffp-15, -0x1.ea48d6a661bc8p-12, 0x1.e26fe975ced64p-10, -0x1.8c7db3837d2d5p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.a7d9d60f972p-16, -0x1.411960325913p-12, 0x1.6b7d66ce5c7c5p-10, -0x1.54a840f1ce6c9p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b75be54037c02p-17, -0x1.8849054d437e8p-13, 0x1.054aecec3828fp-10, -0x1.1cc649a580b76p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.9010342b008p-18, -0x1.b2d91c1518d3bp-14, 0x1.5fb87a752317ep-11, -0x1.ca261520ae0cfp-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.2c263a99ccp-19, -0x1.a0e61d24b29ep-15, 0x1.ac8d4ea37756dp-12, -0x1.5962deb42fc2ap-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.46a608a958p-21, -0x1.39e664cd8a05bp-16, 0x1.baa3f86eb55f4p-13, -0x1.db6a31c7119a6p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.76c374c0cp-24, -0x1.278c6a92fed78p-18, 0x1.3ac881ee88d49p-14, -0x1.bc39237f5864p-12}, 
        {0x1.8333333333333p+2, 0x1.851eb851eb852p+2, 0x1.da4f5f9fffffep-30, -0x1.47d6735625401p-24, 0x1.81fe984437ffdp-17, -0x1.4fb16bbba647p-10}, 
      }}, 
      0x1.869e3c7e3580ap-5, -0x1.23895d71a2526p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.46ec7c22d3634p-1, -0x1.3662fa1a7b3cfp-1, -0x1.1d0b39fb4a671p-1, -0x1.fa80245ca473ep-2, -0x1.b2af043556ed3p-2, -0x1.66d27f9289585p-2, -0x1.1a6b1126df2fcp-2, -0x1.a07b673de4f3fp-3, -0x1.14b8992b26686p-3, -0x1.28e3b2b51cf4fp-4, -0x1.0bd6a1dee0ee4p-6, 0x1.0cdee7f4d8965p-5, 0x1.32c47c96eaae6p-4, 0x1.c290a0ada1ffp-4, 0x1.1b91542d04653p-3, 0x1.492a890f0e45ep-3, 0x1.6b2ea6390a7eep-3, 0x1.82d23b44b2815p-3, 0x1.91543e7036b11p-3, 0x1.97f238eb54d86p-3, 0x1.97df8978e3a7bp-3, 0x1.923f3a28bfcc7p-3, 0x1.881fed858abb2p-3, 0x1.7a797395afd63p-3, 0x1.6a2ba5d8541e6p-3, 0x1.57fe38690f64ap-3, 0x1.44a13cd937db5p-3, 0x1.30ae2061acc14p-3, 0x1.1ca8fab520f0ep-3, 0x1.09020cc80b71ep-3, 0x1.ec2eae622781bp-4, 0x1.c86c6d087a9f5p-4, 0x1.a739f29ac8dcap-4, 0x1.88f8cec4006ddp-4, 0x1.6df26aafea06ep-4, 0x1.565ac2b05dbd4p-4, 0x1.4252f05cbb202p-4, 0x1.31eb853f37d74p-4, 0x1.2526b76cf850cp-4, 0x1.1bfa6202c114ap-4, 0x1.1651dba3f795ap-4, 0x1.140fa513a961ep-4, 0x1.150ef1de918b3p-4, 0x1.19250cf002fc7p-4, 0x1.20229ae15e091p-4, 0x1.29d4bbc1a92c8p-4, 0x1.36060dfe18d39p-4, 0x1.447f93fc603a3p-4, 0x1.55097e52e71eep-4, 0x1.676bdc5b715fdp-4, 0x1.7b6f34d546a3fp-4, 0x1.90dd07d09ae0ap-4, 0x1.a7803c045b079p-4, 0x1.bf2578d5ff12ap-4, 0x1.d79b712100b4ap-4, 0x1.f0b31c1f95fbbp-4, 0x1.051ff151abf3cp-3, 0x1.120bddf764fcfp-3, 0x1.1f09a1488a902p-3, 0x1.2c06e0ab6fa94p-3, 0x1.38f299759fe97p-3, 0x1.45bd21df303e2p-3, 0x1.52581f42b2382p-3, 0x1.5eb681994b29cp-3, 0x1.6acc76c5d8bf1p-3, 0x1.768f61ce75ep-3, 0x1.81f5cd6afa186p-3, 0x1.8cf7600f3305bp-3, 0x1.978ccc6556e26p-3, 0x1.a1afc3a77500dp-3, 0x1.ab5ae61cebc18p-3, 0x1.b489b53221a57p-3, 0x1.bd38854a05cd7p-3, 0x1.c564703fdb77bp-3, 0x1.cd0b47e479c47p-3, 0x1.d42b88bcf73d1p-3, 0x1.dac44ce71843bp-3, 0x1.e0d53f49a4147p-3, 0x1.e65e8f395897fp-3, 0x1.eb60e49d39dp-3, 0x1.efdd549f40d21p-3, 0x1.f3d556eeefdap-3, 0x1.f74abb8648037p-3, 0x1.fa3fa0f5cc0f2p-3, 0x1.fcb66b2e745afp-3, 0x1.feb1bac94f709p-3, 0x1.001a326c36201p-2, 0x1.00a0b59bc05aep-2, 0x1.00edfabdbbcc8p-2, 0x1.0103a52f6c65p-2, 0x1.00e364e347e28p-2, 0x1.008ef3a787998p-2, 0x1.000812abc1cb1p-2, 0x1.fea110872c12bp-3, 0x1.fcd43bc0ba108p-3, 0x1.faad3c80c25ecp-3, 0x1.f82fa78d0e959p-3, 0x1.f55f0dfd7bb9bp-3, 0x1.f23efab6ee8b2p-3, 0x1.eed2efe8443d9p-3, 0x1.eb1e65216adcfp-3, 0x1.e724c5683446p-3, 0x1.e2e96db65de05p-3, 0x1.de6fab885f7adp-3, 0x1.d9babbe050a2cp-3, 0x1.d4cdca23d39f9p-3, 0x1.cfabef620e85cp-3, 0x1.ca5831aae3ecdp-3, 0x1.c4d5838cfd78fp-3, 0x1.bf26c38cb5342p-3, 0x1.b94ebc18a474bp-3, 0x1.b350230f1c1e3p-3, 0x1.ad2d99cca9dbdp-3, 0x1.a6e9ad0c22e17p-3, 0x1.a086d4f6f6108p-3, 0x1.9a077544dc9b2p-3, 0x1.936ddd4771d15p-3, 0x1.8cbc484fb9d2cp-3, 0x1.85f4dda96e412p-3, 0x1.7f19b11570e2bp-3, 0x1.782cc30b0fd02p-3, 0x1.71300103253bbp-3, 0x1.6a2545c856b7cp-3, 0x1.630e5a000ed69p-3, 0x1.5becf44dad3ebp-3, 0x1.54c2b9e17acfdp-3, 0x1.4d913ecc444a7p-3, 0x1.465a065eebc38p-3, 0x1.3f1e839a5eb65p-3, 0x1.37e019a236a9fp-3, 0x1.30a01c04adf8p-3, 0x1.295fcf4b52c9ep-3, 0x1.2220694b61a31p-3, 0x1.1ae3118ca4012p-3, 0x1.13a8e1d420e85p-3, 0x1.0c72e662bae35p-3, 0x1.05421e6f8f4cbp-3, 0x1.fc2ef95baecefp-4, 0x1.ede7cf060aad3p-4, 0x1.dfb0730322b31p-4, 0x1.d18a839821b3ap-4, 0x1.c377890fd3126p-4, 0x1.b578f6451e88dp-4, 0x1.a790294d64f0bp-4, 0x1.99be6c9207eefp-4, 0x1.8c04f740f4526p-4, 0x1.7e64edc801547p-4, 0x1.70df62f31d256p-4, 0x1.6375586d71eadp-4, 0x1.5627bef94f74cp-4, 0x1.48f7779634829p-4, 0x1.3be553feeb97p-4, 0x1.2ef2170cb77bdp-4, 0x1.221e754b92008p-4, 0x1.156b1592c231ap-4, 0x1.08d891dba29d3p-4, 0x1.f8ceee97e0a75p-5, 0x1.e0308d7796fc3p-5, 0x1.c7d6eb4f37059p-5, 0x1.afc2dcb797d6cp-5, 0x1.97f520b366005p-5, 0x1.806e6162e96ccp-5, 0x1.692f358fac09ap-5, 0x1.5238218cae0b5p-5, 0x1.3b89973d2cde3p-5, 0x1.2523f6ff7ccc7p-5, 0x1.0f0790eddb2b1p-5, 0x1.f2694ba7d3053p-6, 0x1.c756cebc14e42p-6, 0x1.9cd7f0d49bc76p-6, 0x1.72ecdc4689b7fp-6, 0x1.4995a2ef42d6ep-6, 0x1.20d23d903d68bp-6, 0x1.f1451a5cd3e16p-7, 0x1.a20cb7d4a6a44p-7, 0x1.53fabdf997621p-7, 0x1.070e723747cafp-7, 0x1.768de725ff7d6p-8, 0x1.c28ceb8fcc31cp-9, 0x1.3910fa2bd3a4bp-10, -0x1.09ed2b041cbb6p-10, -0x1.a1f5d668af2c3p-9, -0x1.5d3da27c76627p-8, -0x1.e746a8a13e549p-8, -0x1.378cb244c9e24p-7, -0x1.7a5cb30f5c55p-7, -0x1.bc1532f63767ap-7, -0x1.fcb823d16f041p-7, -0x1.1e23c52a8f7ddp-6, -0x1.3d62bd9e76468p-6, -0x1.5c1a0c47c9acbp-6, -0x1.7a4ac8fec77ddp-6, -0x1.97f6129fe9588p-6, -0x1.b51d0e0ec2194p-6, -0x1.d1c0e50a685dap-6, -0x1.ede2c54619252p-6, -0x1.04c1f0429b6fdp-5, -0x1.1252b62ed1901p-5, -0x1.1fa450d7e24d1p-5, -0x1.2cb75dc868713p-5, -0x1.398c7b95411cp-5, -0x1.462449c11b686p-5, -0x1.527f68918dc07p-5, -0x1.5e9e78b05e346p-5, -0x1.6a821ae524143p-5, -0x1.762af029f67afp-5, -0x1.819999a8eca85p-5, -0x1.8cceb89c94f24p-5, -0x1.97caedc792434p-5, -0x1.a28ed9208beedp-5, -0x1.ad1b19f2acafbp-5, -0x1.b7704f2f0e3bp-5, -0x1.c18f178147c69p-5, -0x1.cb7810d7618b2p-5, -0x1.d52bd7b503957p-5, -0x1.deab071996515p-5, -0x1.e7f638e4c20dcp-5, -0x1.f10e065f6d02ep-5, -0x1.f9f30837a21f3p-5, -0x1.0152eaef11037p-4, -0x1.05938268ecf8dp-4, -0x1.09bb94440758dp-4, -0x1.0dcb69866afcep-4, -0x1.11c34ad716fdep-4, -0x1.15a38085688c4p-4, -0x1.196c52365d111p-4, -0x1.1d1e067a482b6p-4, -0x1.20b8e2b26be41p-4, -0x1.243d2b5dc9937p-4, -0x1.27ab24886e899p-4, -0x1.2b0311f53f722p-4, -0x1.2e4536de981d2p-4, -0x1.3171d584f9cddp-4, -0x1.34892ee733d48p-4, -0x1.378b82ef712bap-4, -0x1.3a7910e5f8407p-4, -0x1.3d5217cd9cd68p-4, -0x1.4016d6614d0b2p-4, -0x1.42c78ab0a5a9ep-4, -0x1.456471b67955bp-4, -0x1.47edc73328312p-4, -0x1.4a63c5fb805b7p-4, -0x1.4cc6a86fd4242p-4, -0x1.4f16a8c9017a2p-4, -0x1.51540101cbe33p-4, -0x1.537eea6e80fdcp-4, -0x1.55979d5ad89ecp-4, -0x1.579e50f1f952bp-4, -0x1.59933b88ab87p-4, -0x1.5b76931288cabp-4, -0x1.5d488d6f5aabep-4, -0x1.5f09605df0c26p-4, -0x1.60b94122d15a5p-4, -0x1.625864243ca5fp-4, -0x1.63e6fcc2711d4p-4, -0x1.65653d88a49p-4, -0x1.66d35894f69ep-4, -0x1.68317ff4728a6p-4, -0x1.697fe5b604eabp-4, -0x1.6abebbb1ce253p-4, -0x1.6bee332b8c859p-4, -0x1.6d0e7c8c5e8fap-4, -0x1.6e1fc763eef1bp-4, -0x1.6f2242aef592dp-4, -0x1.70161d37082e8p-4, -0x1.70fb85d0718a1p-4, -0x1.71d2ab578e17bp-4, -0x1.729bbc7273463p-4, -0x1.7356e73e6587fp-4, -0x1.7404591b22698p-4, -0x1.74a43eb38307p-4, -0x1.7536c43d5498ap-4, -0x1.75bc15ca0417p-4, -0x1.76345f7b61563p-4, -0x1.769fcd8427897p-4, -0x1.76fe8bf7eb004p-4, -0x1.7750c684ec2f8p-4, -0x1.7796a83f7fb05p-4, -0x1.77d05b9c49bd2p-4, -0x1.77fe0a9b6940ep-4, -0x1.781fdf08cda4fp-4, -0x1.783602b492b24p-4, -0x1.78409f8479e8cp-4, -0x1.783fdf5d0ea1dp-4, -0x1.7833ebed9bda7p-4, -0x1.781cee79275e6p-4, -0x1.77fb0fb8cc28fp-4, -0x1.77ce77e6634bap-4, -0x1.77974ee7c0c1cp-4, -0x1.7755bc82c2c09p-4, -0x1.7709e88243194p-4, -0x1.76b3fabd7e13ep-4, -0x1.76541b02e3d19p-4, -0x1.75ea70ec0cc37p-4, -0x1.757723b3a3823p-4, -0x1.74fa5a1ccc359p-4, -0x1.74743a7a30d59p-4, -0x1.73e4eacea249bp-4, -0x1.734c90f4b6d52p-4, -0x1.72ab52bcedd8ap-4, -0x1.720155f86e894p-4, -0x1.714ec06e0145cp-4, -0x1.7093b7bd4693p-4, -0x1.6fd0613c171c1p-4, -0x1.6f04e1da4007cp-4, -0x1.6e315e1d37a2ap-4, -0x1.6d55fa3019d77p-4, -0x1.6c72da0034dbap-4, -0x1.6b882157e86edp-4, -0x1.6a95f3ef2c999p-4, -0x1.699c756e20cf6p-4, -0x1.689bc9617205p-4, -0x1.67941323d69c3p-4, -0x1.668575c39b27ep-4, -0x1.657013efc0cb6p-4, -0x1.64540ff50c484p-4, -0x1.63318bcb0e5a2p-4, -0x1.6208a928c9fdp-4, -0x1.60d9899764cc8p-4, -0x1.5fa44e7dbefe3p-4, -0x1.5e691923aa2aap-4, -0x1.5d280aac6d457p-4, -0x1.5be14408f4686p-4, -0x1.5a94e5e4e7cf4p-4, -0x1.59431095c727ap-4, -0x1.57ebe41370f18p-4, -0x1.568f7ffd1ce07p-4, -0x1.552e03a6ab765p-4, -0x1.53c78e271ddf8p-4, -0x1.525c3e6241585p-4, -0x1.50ec330e53d89p-4, -0x1.4f778ab4a8634p-4, -0x1.4dfe63ac7c44cp-4, -0x1.4c80dc119ff1cp-4, -0x1.4aff11b704c3cp-4, -0x1.4979221aebd25p-4, -0x1.47ef2a62083ecp-4, -0x1.4661475b74b0ep-4, -0x1.44cf958a591b5p-4, -0x1.433a312f85f18p-4, -0x1.41a13650668cap-4, -0x1.4004c0b9ec7ccp-4, -0x1.3e64ec01d4a32p-4, -0x1.3cc1d3854d555p-4, -0x1.3b1b926448ddap-4, -0x1.3972437968a33p-4, -0x1.37c60150d0f5fp-4, -0x1.3616e621e3f22p-4, -0x1.34650bcef4182p-4, -0x1.32b08bea8aad3p-4, -0x1.30f97fbeb67c1p-4, -0x1.2f400052ca5cbp-4, -0x1.2d84266e7209fp-4, -0x1.2bc60a9b0efbdp-4, -0x1.2a05c5245174bp-4, -0x1.28436e17d32ccp-4, -0x1.267f1d4294da8p-4, -0x1.24b8ea2bfbba4p-4, -0x1.22f0ec0f8cf8ep-4, -0x1.212739d84a0dbp-4, -0x1.1f5bea201076fp-4, -0x1.1d8f13330739p-4, -0x1.1bc0cb14d5f0cp-4, -0x1.19f1278508167p-4, -0x1.18203e00ef8b4p-4, -0x1.164e23c4bfa86p-4, -0x1.147aedcbfcf4ep-4, -0x1.12a6b0d20224bp-4, -0x1.10d18151dce9cp-4, -0x1.0efb738488c7p-4, -0x1.0d249b5d6f454p-4, -0x1.0b4d0c8646d5cp-4, -0x1.0974da5c9fd5fp-4, -0x1.079c17f23f834p-4, -0x1.05c2d81025af1p-4, -0x1.03e92d3a51ad7p-4, -0x1.020f29b27e805p-4, -0x1.0034df7960074p-4, -0x1.fcb4c09dec6b5p-5, -0x1.f8ff7b65d6bc2p-5, -0x1.f54a11ca986b2p-5, -0x1.f194a5cde6482p-5, -0x1.eddf58f269c21p-5, -0x1.ea2a4c3860c65p-5, -0x1.e675a018705b6p-5, -0x1.e2c1747f42997p-5, -0x1.df0de8cc7f228p-5, -0x1.db5b1bd5dee94p-5, -0x1.d7a92becd67e3p-5, -0x1.d3f836e3c861bp-5, -0x1.d0485a11213cdp-5, -0x1.cc99b24e29ff9p-5, -0x1.c8ec5bfae7ba2p-5, -0x1.c54072fb737f4p-5, -0x1.c19612ba7b19cp-5, -0x1.bded562a3486p-5, -0x1.ba4657c4e567ep-5, -0x1.b6a1318b7ac1p-5, -0x1.b2fdfd02d915ep-5, -0x1.af5cd33180aa7p-5, -0x1.abbdcc9ecbfe8p-5, -0x1.a82101551ff05p-5, -0x1.a48688e5afc9bp-5, -0x1.a0ee7a6c01448p-5, -0x1.9d58ec9013e13p-5, -0x1.99c5f586fcc4ap-5, -0x1.9635ab1321208p-5, -0x1.92a822858ce4cp-5, -0x1.8f1d70bb5ceefp-5, -0x1.8b95aa23ea1c9p-5, -0x1.8810e2c2e1816p-5, -0x1.848f2e2d38b79p-5, -0x1.81109f8c1f2cp-5, -0x1.7d95499af3471p-5, -0x1.7a1d3ea512fe9p-5, -0x1.76a89085112bcp-5, -0x1.733750a59dc34p-5, -0x1.6fc99003c0dfcp-5, -0x1.6c5f5f31b6f1ep-5, -0x1.68f8ce5947969p-5, -0x1.6595ed3dbcba3p-5, -0x1.6236cb3d9f538p-5, -0x1.5edb77544444dp-5, -0x1.5b84001b3aa1p-5, -0x1.583073cb5fddep-5, -0x1.54e0e03d560c8p-5, -0x1.519552e92534p-5, -0x1.4e4dd8e4fc31bp-5, -0x1.4b0a7ee3599b7p-5, -0x1.47cb5131869b5p-5, -0x1.44905bb775836p-5, -0x1.4159a9f9e4911p-5, -0x1.3e27471e0d929p-5, -0x1.3af93df0fc651p-5, -0x1.37cf98eae649dp-5, -0x1.34aa6232b76a3p-5, -0x1.3189a3a137826p-5, -0x1.2e6d66bdca794p-5, -0x1.2b55b4bbb9221p-5, -0x1.284296757dee5p-5, -0x1.2534146832b22p-5, -0x1.222a36b05358ep-5, -0x1.1f2505091feaap-5, -0x1.1c2486cf17fa1p-5, -0x1.1928c3057a5efp-5, -0x1.1631c05e40038p-5, -0x1.133f8543af8abp-5, -0x1.105217e123214p-5, -0x1.0d697e2a68d65p-5, -0x1.0a85bddf45eb6p-5, -0x1.07a6dc89db864p-5, -0x1.04ccdf7795829p-5, -0x1.01f7cbad7625p-5, -0x1.fe4f4bb4494d8p-6, -0x1.f8b8e4917163fp-6, -0x1.f32c69aef9df1p-6, -0x1.eda9e1eaa1883p-6, -0x1.e831534e7a4ccp-6, -0x1.e2c2c32c683a9p-6, -0x1.dd5e3646e0f66p-6, -0x1.d803b100a9607p-6, -0x1.d2b3378aa1b7ap-6, -0x1.cd6cce0914bf9p-6, -0x1.c83078a3d35c8p-6, -0x1.c2fe3b82e7726p-6, -0x1.bdd61ab1685ccp-6, -0x1.b8b819ecfd2eep-6, -0x1.b3a43c6818d86p-6, -0x1.ae9a84898560cp-6, -0x1.a99af3b47c4f3p-6, -0x1.a4a58a244995dp-6, -0x1.9fba46e4246e6p-6, -0x1.9ad927e75a2c8p-6, -0x1.96022a4154cc1p-6, -0x1.91354a767b8ap-6, -0x1.8c7284d7f5629p-6, -0x1.87b9d5e0e408dp-6, -0x1.830b3a84462ebp-6, -0x1.7e66b05a2ba87p-6, -0x1.79cc35a579c2cp-6, -0x1.753bc92f0442p-6, -0x1.70b569f78e407p-6, -0x1.6c3916cb9d43ep-6, -0x1.67c6cdca08547p-6, -0x1.635e8bf08300dp-6, -0x1.5f004cc1be4e8p-6, -0x1.5aac0a143d2a4p-6, -0x1.5661bc138abbdp-6, -0x1.52215975673aep-6, -0x1.4dead7def813ep-6, -0x1.49be2c6921c08p-6, -0x1.459b4c3a17477p-6, -0x1.41822d1614c99p-6, -0x1.3d72c5d8d4a3fp-6, -0x1.396d0ebfd72edp-6, -0x1.35710179826dfp-6, -0x1.317e98f291bbap-6, -0x1.2d95d0e65613ap-6, -0x1.29b6a540306bp-6, -0x1.25e1116528fdcp-6, -0x1.22150f814aa8fp-6, -0x1.1e5297f40a6b8p-6, -0x1.1a99a0f2b965ap-6, -0x1.16ea1e6ef1bd6p-6, -0x1.134402458073ap-6, -0x1.0fa73cafa76d2p-6, -0x1.0c13bce8a905ep-6, -0x1.088971f3577d6p-6, -0x1.05084b67d8e55p-6, -0x1.01903a3071ca7p-6, -0x1.fc42623974f76p-7, -0x1.f5764a6b3ca42p-7, -0x1.eebc1b851e21fp-7, -0x1.e813c7f3c4bdfp-7, -0x1.e17d44c37bf1ep-7, -0x1.daf887e90d19ep-7, -0x1.d485864b7adeap-7, -0x1.ce2431d8ef72cp-7, -0x1.c7d477eedc9d9p-7, -0x1.c196404f2762p-7, -0x1.bb696cca1ffcap-7, -0x1.b54dd9a197012p-7, -0x1.af435e92bfa23p-7, -0x1.a949d05f4738p-7, -0x1.a36102a41afc1p-7, -0x1.9d88c9ca7edf7p-7, -0x1.97c0fce3473fbp-7, -0x1.920977405c42p-7, -0x1.8c6219a4d42c4p-7, -0x1.86cacae78bea3p-7, -0x1.814377ede9d2fp-7, -0x1.7bcc12ebc6933p-7, -0x1.766491f235e0dp-7, -0x1.710ceceb03637p-7, -0x1.6bc51b3b78cddp-7, -0x1.668d115e88041p-7, -0x1.6164becc073f5p-7, -0x1.5c4c0c7b08ddbp-7, -0x1.5742dc33b1bfbp-7, -0x1.524908c0c0526p-7, -0x1.4d5e66eb56548p-7, -0x1.4882c70d15dd8p-7, -0x1.43b5f6f66388fp-7, -0x1.3ef7c3e899bd8p-7, -0x1.3a47fc7361a19p-7, -0x1.35a672199a669p-7, -0x1.3112fab0ec50dp-7, -0x1.2c8d7175e011fp-7, -0x1.2815b7c83a431p-7, -0x1.23abb57a50a85p-7, -0x1.1f4f5897d59cbp-7, -0x1.1b00948c9ceacp-7, -0x1.16bf60a62de0ap-7, -0x1.128bb60764f0cp-7, -0x1.0e658d4653aedp-7, -0x1.0a4cdc06e61afp-7, -0x1.064192efeef12p-7, -0x1.02439c4d923d5p-7, -0x1.fca5b7289af29p-8, -0x1.f4de5b934f414p-8, -0x1.ed30d54d7f88ap-8, -0x1.e59ccc4a04f61p-8, -0x1.de21e434301d2p-8, -0x1.d6bfbf3257e26p-8, -0x1.cf75ffeedaf63p-8, -0x1.c8444aff637ffp-8, -0x1.c12a4805fdec6p-8, -0x1.ba27a2f715c1dp-8, -0x1.b33c0dc2549f3p-8, -0x1.ac67426770c97p-8, -0x1.a5a904b175774p-8, -0x1.9f0123fba02abp-8, -0x1.986f7acd5590fp-8, -0x1.91f3edbcac216p-8, -0x1.8b8e6845617bp-8, -0x1.853ed8a50e928p-8, -0x1.7f052b54551d9p-8, -0x1.78e147046fb4bp-8, -0x1.72d309e84a42ep-8, -0x1.6cda48ba91217p-8, -0x1.66f6cf7ee748ap-8, -0x1.612863865b54bp-8, -0x1.5b6ec5ecdae42p-8, -0x1.55c9b5b09b1d5p-8, -0x1.5038f0b3e34e1p-8, -0x1.4abc33735eb81p-8, -0x1.455337c213a37p-8, -0x1.3ffdb3581b774p-8, -0x1.3abb572bee0d6p-8, -0x1.358bd050a54cep-8, -0x1.306eca983706ep-8, -0x1.2b63f48fc1eb9p-8, -0x1.266b03dafd1e5p-8, -0x1.2183b8d22ca4ap-8, -0x1.1cade05e81cf5p-8, -0x1.17e9539172304p-8, -0x1.1335f51c2835fp-8, -0x1.0e93ad58b115bp-8, -0x1.0a0265f5defedp-8, -0x1.0582065265204p-8, -0x1.011271402772dp-8, -0x1.f96708da9cae3p-9, -0x1.f0ca326fa5ddep-9, -0x1.e84e0cbf7acf4p-9, -0x1.dff243cee1b16p-9, -0x1.d7b684e5f2abp-9, -0x1.cf9a7f2fdabb9p-9, -0x1.c79de1a589bafp-9, -0x1.bfc05679a4374p-9, -0x1.b8017d37edb8fp-9, -0x1.b060e592e1b9dp-9, -0x1.a8de0d0d7bdep-9, -0x1.a17861054294ep-9, -0x1.9a2f454431ae8p-9, -0x1.93021dbdaba3ap-9, -0x1.8bf0590565cb7p-9, -0x1.84f978d33f231p-9, -0x1.7e1d167f02f68p-9, -0x1.775ae28bdbf7fp-9, -0x1.70b29fc7eebedp-9, -0x1.6a241bc13663bp-9, -0x1.63af26f83c23fp-9, -0x1.5d538ef8cb85dp-9, -0x1.57111b75ab6f6p-9, -0x1.50e78e3c46e06p-9, -0x1.4ad6a4eb9b72p-9, -0x1.44de1b2eee0d2p-9, -0x1.3efdaca1ca835p-9, -0x1.3935160d23b1dp-9, -0x1.338415ef47e36p-9, -0x1.2dea6c390de3cp-9, -0x1.2867d905d512cp-9, -0x1.22fc1a2adb034p-9, -0x1.1da6e7d95a909p-9, -0x1.1867f1225a207p-9, -0x1.133ed99c2b3a9p-9, -0x1.0e2b3964a16dp-9, -0x1.092ca01f7c6dfp-9, -0x1.04429a7f275fp-9, -0x1.fed971e4ef087p-10, -0x1.f5552b68e5d09p-10, -0x1.ebf7b1afcf04ep-10, -0x1.e2c073408b2c7p-10, -0x1.d9aefa49f47ap-10, -0x1.d0c2e5850ba5ep-10, -0x1.c7fbdec90c8a4p-10, -0x1.bf59920ddef3dp-10, -0x1.b6dba73957f61p-10, -0x1.ae81bf89a1ec1p-10, -0x1.a64b75abfb9f7p-10, -0x1.9e385ed36b6fep-10, -0x1.96480b9ff0807p-10, -0x1.8e7a088e3ad47p-10, -0x1.86cdde196ff78p-10, -0x1.7f4310c3f90b6p-10, -0x1.77d92144b7e79p-10, -0x1.708f8d561d39p-10, -0x1.6965d18e32382p-10, -0x1.625b6bfdc29d4p-10, -0x1.5b6fde569c37bp-10, -0x1.54a2ae2caf40dp-10, -0x1.4df362ff7dc72p-10, -0x1.476183279c209p-10, -0x1.40ec91ab49c52p-10, -0x1.3a940e4d9147cp-10, -0x1.34577793a6b25p-10, -0x1.2e364d56dea74p-10, -0x1.283012f997b82p-10, -0x1.224451acd487p-10, -0x1.1c729b965456ep-10, -0x1.16ba8f48dc6d8p-10, -0x1.111bd9667fe94p-10, -0x1.0b9632bc96973p-10, -0x1.06295b003ab9dp-10, -0x1.00d5124de8e1ep-10, -0x1.f732277ec844bp-11, -0x1.ecea251d3b0d8p-11, -0x1.e2d17463bc393p-11, -0x1.d8e7612fe88dfp-11, -0x1.cf2b314372b1ap-11, -0x1.c59c2609acaa2p-11, -0x1.bc397a9cab475p-11, -0x1.b30261621b41ap-11, -0x1.a9f60598c864cp-11, -0x1.a113924b114efp-11, -0x1.985a3c4b5773dp-11, -0x1.8fc94a342958ap-11, -0x1.87601768d6515p-11, -0x1.7f1e10f9d0f4ap-11, -0x1.7702ae061d0b4p-11, -0x1.6f0d67173d4a3p-11, -0x1.673daf9213cc3p-11, -0x1.5f92f2f180b85p-11, -0x1.580c951cc88fep-11, -0x1.50a9f393d6f15p-11, -0x1.496a664328484p-11, -0x1.424d41e828f37p-11, -0x1.3b51df0e0e321p-11, -0x1.3477a5f314b13p-11, -0x1.2dbe13e7a217dp-11, -0x1.2724bc7feff8dp-11, -0x1.20ab3898547d7p-11, -0x1.1a511817a018p-11, -0x1.1415d9a6f97a5p-11, -0x1.0df8ef423591fp-11, -0x1.07f9cb35c577cp-11, -0x1.0217e8e220192p-11, -0x1.f8a59c9f89052p-12, -0x1.ed540956b396ep-12, -0x1.e23a16e12e435p-12, -0x1.d756be92e5ef9p-12, -0x1.cca8f8003ffb5p-12, -0x1.c22fd411af9c3p-12, -0x1.b7ea822062d74p-12, -0x1.add84c94d3f95p-12, -0x1.a3f88d9629e54p-12, -0x1.9a4aa1a72d414p-12, -0x1.90cddb0657023p-12, -0x1.878177541a8cdp-12, -0x1.7e6499775d165p-12, -0x1.75764a607f3ffp-12, -0x1.6cb5828fdd318p-12, -0x1.64213afea0d79p-12, -0x1.5bb87f037b9fbp-12, -0x1.537a75d8d8364p-12, -0x1.4b665f65cef7dp-12, -0x1.437b8c3c0c4f5p-12, -0x1.3bb95ef0332d9p-12, -0x1.341f55bbc959ep-12, -0x1.2cad04b7853cap-12, -0x1.2561ed77067e8p-12, -0x1.1e3d49e5eeec8p-12, -0x1.173dfe561c238p-12, -0x1.1062cda1d44afp-12, -0x1.09aaafead888cp-12, -0x1.031509aadd1bp-12, -0x1.f94329ed99447p-13, -0x1.eca01a8593b85p-13, -0x1.e03fc98a059a7p-13, -0x1.d42082b70c9aep-13, -0x1.c84071aff09fdp-13, -0x1.bc9e1f383e70bp-13, -0x1.b1389b4f85b59p-13, -0x1.a60f5e091fcf8p-13, -0x1.9b2214178a9f5p-13, -0x1.90707696427cp-13, -0x1.85fa2dff4ecbcp-13, -0x1.7bbeb69da3a39p-13, -0x1.71bd453f8e4e6p-13, -0x1.67f4b5e44c73bp-13, -0x1.5e639034ade71p-13, -0x1.55082469a937bp-13, -0x1.4be0b774e1dddp-13, -0x1.42ebad819ff03p-13, -0x1.3a27a859ea12fp-13, -0x1.3193952fb5172p-13, -0x1.292ea2baeb691p-13, -0x1.20f815c475536p-13, -0x1.18ef0ab227cc1p-13, -0x1.1112650b9926p-13, -0x1.09612b0c544b6p-13, -0x1.01db0c4d15301p-13, -0x1.f5009e61514b7p-14, -0x1.e6a1b42ddcbeap-14, -0x1.d896a24bfdcf9p-14, -0x1.cadaf28c5c5d2p-14, -0x1.bd6b3fbd8395dp-14, -0x1.b0471b1005deap-14, -0x1.a36ff9b10ebfdp-14, -0x1.96e62c8d0ce62p-14, -0x1.8aa705e8053f3p-14, -0x1.7eadfd0145a2fp-14, -0x1.72f72d723c506p-14, -0x1.6780935ffb584p-14, -0x1.5c4999722cef6p-14, -0x1.51523a0922862p-14, -0x1.469a93747505cp-14, -0x1.3c22e3584d30ap-14, -0x1.31eb854bccb43p-14, -0x1.27f4b50b36367p-14, -0x1.1e3e1f53be494p-14, -0x1.14c6826b56432p-14, -0x1.0b8bafee02d23p-14, -0x1.028b01db50df6p-14, -0x1.f384058fcff91p-15, -0x1.e25dd3fd294f1p-15, -0x1.d1a1632cad504p-15, -0x1.c14d886a98204p-15, -0x1.b160be001d4f4p-15, -0x1.a1d7e758a8bb3p-15, -0x1.92ae25fb8689ep-15, -0x1.83de55f164733p-15, -0x1.75650e63aa78ep-15, -0x1.6741194f8f0f1p-15, -0x1.5972161e2a12p-15, -0x1.4bf79b9a62d4p-15, -0x1.3ed2b5521f57p-15, -0x1.32071b1b5f73fp-15, -0x1.25978020d4f0ep-15, -0x1.197ffb6a33c42p-15, -0x1.0db7e475d22cbp-15, -0x1.023a9392d7cedp-15, -0x1.ee15f427b844ap-16, -0x1.d85911d55f4b9p-16, -0x1.c3365a13c6a6p-16, -0x1.ae9b10b597fd5p-16, -0x1.9a79b8c455147p-16, -0x1.86cf52249daacp-16, -0x1.739d6561c4988p-16, -0x1.60e4980eb4a18p-16, -0x1.4ea442159841dp-16, -0x1.3cdca949050b8p-16, -0x1.2b90dc4077e7p-16, -0x1.1ac633dfe0ec6p-16, -0x1.0a811bf6acf47p-16, -0x1.f581148ad8da1p-17, -0x1.d6f8806db22bfp-17, -0x1.b95060cec1d67p-17, -0x1.9c7547c90c6a1p-17, -0x1.8061d46b16f21p-17, -0x1.651c3382bcd6dp-17, -0x1.4aa8642ec9c74p-17, -0x1.30fcb7cc8556fp-17, -0x1.1805fd9370b0dp-17, -0x1.ff6bcb2c327b2p-18, -0x1.d014d454b27bap-18, -0x1.a21212c2a01a2p-18, -0x1.756d7cf14b15bp-18, -0x1.4a29684d5826cp-18, -0x1.2043c771604c1p-18, -0x1.ef74d921afd14p-19, -0x1.a10f1f55ca8bap-19, -0x1.552db4fdb6327p-19, -0x1.0b85064cd933dp-19, -0x1.87b6cab350f9ap-20, -0x1.f94bdbce89113p-21, -0x1.d9cee14333771p-22, 0x1.5ea47ec90e508p-25, 0x1.10194754bba79p-21, 0x1.00a4986632217p-20, 0x1.74771da630ee6p-20, 0x1.e4321468b3dadp-20, 0x1.2868bed91d1f9p-19, 0x1.5d5263613713dp-19, 0x1.90c3955fa863ep-19, 0x1.c2b197495468dp-19, 0x1.f31d5a8fbfbcfp-19, 0x1.10f954cff7646p-18, 0x1.277aeedc8674fp-18, 0x1.3cf32e49acf59p-18, 0x1.5162695c0dafbp-18, 0x1.64f36a5c37fd2p-18, 0x1.77d51dcf0814fp-18, 0x1.8a0de1f44bfd2p-18, 0x1.9b82695374c58p-18, 0x1.ac2ac1082736bp-18, 0x1.bc269235b6fc4p-18, 0x1.cb9c13bb6945p-18, 0x1.da91dcaecf456p-18, 0x1.e8f8038a0619p-18, 0x1.f6bf1eaf45531p-18, 0x1.01f1064c06be3p-17, 0x1.0831d21e963e7p-17, 0x1.0e24f29e45eccp-17, 0x1.13cd8104753fap-17, 0x1.192e3c60e7eb8p-17, 0x1.1e49ad38ebc9p-17, 0x1.23226dcec645dp-17, 0x1.27bb2b18013d1p-17, 0x1.2c1614911adefp-17, 0x1.3033f9584a076p-17, 0x1.341452d235d74p-17, 0x1.37b7abf9a6d2fp-17, 0x1.3b240f8ec7a39p-17, 0x1.3e66ba168f4ffp-17, 0x1.4188b4945e97cp-17, 0x1.447da63a0fc47p-17, 0x1.47333c59cf2fdp-17, 0x1.49a9aac4dac09p-17, 0x1.4be362fd698f6p-17, 0x1.4de8fb064234dp-17, 0x1.4fd2acfc94bf3p-17, 0x1.51ac1efec50bdp-17, 0x1.536edbe481dd9p-17, 0x1.550e6a9896959p-17, 0x1.567b428ea68c6p-17, 0x1.57ae48649fa1fp-17, 0x1.58b3b656c70edp-17, 0x1.5998c4a34f555p-17, 0x1.5a577aa889722p-17, 0x1.5ae8b782f8299p-17, 0x1.5b595ac438261p-17, 0x1.5bb87750a001ap-17, 0x1.5c04e2058d781p-17, 0x1.5c35eab2ee4e5p-17, 0x1.5c469c9c62d36p-17, 0x1.5c36dc930d382p-17, 0x1.5c08afa06401p-17, 0x1.5bbe5e6b9334ap-17, 0x1.5b59d628a894cp-17, }}, 
      {{-0x1.4ac4ba7aaeb1bp-1, -0x1.451dc84611075p-1, -0x1.3c2ec2d560a8ep-1, -0x1.3084bf7863f7ep-1, -0x1.22b59dee1907bp-1, -0x1.135267b6ee076p-1, -0x1.02dfb1c25be93p-1, -0x1.e3a3c45595c9ep-2, -0x1.c117d4dccd87bp-2, -0x1.9ebf0545f0b5bp-2, -0x1.7d1c8a84dbee5p-2, -0x1.5c96843d31bf7p-2, -0x1.3d79864f8d6a6p-2, -0x1.1ffc2e062c6d7p-2, -0x1.04428d9ec60b4p-2, -0x1.d4c2a4b38d023p-3, -0x1.a4c1339c7f2f3p-3, -0x1.787ce58fdd048p-3, -0x1.4fe2150de34f2p-3, -0x1.2ad1146130e51p-3, -0x1.0921548592589p-3, -0x1.d5480cb61a271p-4, -0x1.9e4c893ed9803p-4, -0x1.6ce5abdf3e027p-4, -0x1.40a7290eb1b35p-4, -0x1.192512a2256cap-4, -0x1.ebeb191b412f7p-5, -0x1.ad642bd7b2ff1p-5, -0x1.75f0f3410b5bp-5, -0x1.44d6ecfa9df98p-5, -0x1.19665b23b7e15p-5, -0x1.e5f588ea9833ep-6, -0x1.a1f6566639677p-6, -0x1.65b41777aa815p-6, -0x1.302a5f7211d7cp-6, -0x1.006ac15f893e5p-6, -0x1.ab380a82a3112p-7, -0x1.5df2765489754p-7, -0x1.17a16e438e7cap-7, -0x1.ae0bf95824c79p-8, -0x1.3606b110cf06cp-8, -0x1.8a72afaed7941p-9, -0x1.6796d74691928p-10, 0x1.af6acb00516a7p-13, 0x1.c8f856c6cf471p-10, 0x1.ab1030a76c883p-9, 0x1.385428b8d6caep-8, 0x1.9b7613b7c1b93p-8, 0x1.ff9e401820a1p-8, 0x1.32ae89159aac9p-7, 0x1.66930df7c91a3p-7, 0x1.9ba98e974d81dp-7, 0x1.d21369a9f2a76p-7, 0x1.04f3e501de6b1p-6, 0x1.219a6c2dbbf91p-6, 0x1.3f006acf67d3dp-6, 0x1.5d25911ed97a9p-6, 0x1.7c0699112f8ecp-6, 0x1.9b9db46f7cb11p-6, 0x1.bbe2ee5e709c1p-6, 0x1.dccc83551cb27p-6, 0x1.fe4f32295a6e9p-6, 0x1.102f43ed691dp-5, 0x1.2176919c593a5p-5, 0x1.32f677f9f78d2p-5, 0x1.44a7ac2f13279p-5, 0x1.5682b89939294p-5, 0x1.68801063c49a8p-5, 0x1.7a9821b0d5079p-5, 0x1.8cc365e54d441p-5, 0x1.9efa6fcf7ed1dp-5, 0x1.b135f6db06779p-5, 0x1.c36ee042eb115p-5, 0x1.d59e466f47261p-5, 0x1.e7bd7edf3fc36p-5, 0x1.f9c61f58520bcp-5, 0x1.05d9012d3dfbdp-4, 0x1.0ebda55fdafcfp-4, 0x1.178e3350ab347p-4, 0x1.2048089e2d1a2p-4, 0x1.28e8a9fbd1ebap-4, 0x1.316dc3505b4f1p-4, 0x1.39d5277b14605p-4, 0x1.421ccfe24b667p-4, 0x1.4a42dbd0b8404p-4, 0x1.52458fb59d13p-4, 0x1.5a23544f7ba9ap-4, 0x1.61dab5b64c8a7p-4, 0x1.696a626df0e37p-4, 0x1.70d12a4058981p-4, 0x1.780dfd1c026bap-4, 0x1.7f1fe9d9f2e1ep-4, 0x1.86061cf5834ecp-4, 0x1.8cbfdf3b824d8p-4, 0x1.934c94725257ap-4, 0x1.99abba1209ee8p-4, 0x1.9fdce5d6920ecp-4, 0x1.a5dfc48e6e51dp-4, 0x1.abb418ca2bdacp-4, 0x1.b159b99f9c387p-4, 0x1.b6d09177e339ep-4, 0x1.bc189ce3258eep-4, 0x1.c131e975a50eep-4, 0x1.c61c94a73beep-4, 0x1.cad8cad893d07p-4, 0x1.cf66c6269a5dbp-4, 0x1.d3c6cd8f0753cp-4, 0x1.d7f933efe4bb4p-4, 0x1.dbfe572576da4p-4, 0x1.dfd69f2728957p-4, 0x1.e3827d481ea53p-4, 0x1.e7026b6221bbfp-4, 0x1.ea56eb227b365p-4, 0x1.ed8085545a3cep-4, 0x1.f07fc939153cfp-4, 0x1.f3554bf020f53p-4, 0x1.f601a7c2a0a7cp-4, 0x1.f8857bb7bff1cp-4, 0x1.fae16ae48777p-4, 0x1.fd161c07207f8p-4, 0x1.ff243901f1326p-4, 0x1.0086372cd5c2bp-3, 0x1.0167b56c8b244p-3, 0x1.0236ef9caec29p-3, 0x1.02f43ed3d05ddp-3, 0x1.039ffcbc6e693p-3, 0x1.043a836f3ccfdp-3, 0x1.04c42d4dba02bp-3, 0x1.053d54d6dbfa5p-3, 0x1.05a654949f59cp-3, 0x1.05ff86f3c6cf4p-3, 0x1.064946295aa6cp-3, 0x1.0683ec1a6f8b5p-3, 0x1.06afd2438e48bp-3, 0x1.06cd51a1fe74fp-3, 0x1.06dcc29b6f492p-3, 0x1.06de7cf268a05p-3, 0x1.06d2d7ac55847p-3, 0x1.06ba290449af8p-3, 0x1.0694c65cacb1fp-3, 0x1.0663042fd46b1p-3, 0x1.0625360393f84p-3, 0x1.05dbae6082614p-3, 0x1.0586bec3b04c5p-3, 0x1.0526b796d8a45p-3, 0x1.04bbe82bbfc33p-3, 0x1.04469eb36dcd9p-3, 0x1.03c72833d7f42p-3, 0x1.033dd088ad668p-3, 0x1.02aae25aa427ap-3, 0x1.020ea72006abbp-3, 0x1.016967151a261p-3, 0x1.00bb693cde4a8p-3, 0x1.0004f35c7e0f3p-3, 0x1.fe8c93fd08b3fp-4, 0x1.fcff60d9758dcp-4, 0x1.fb62d166239d5p-4, 0x1.f9b7673d30073p-4, 0x1.f7fda1812a782p-4, 0x1.f635fcd1a5ce5p-4, 0x1.f460f35adc148p-4, 0x1.f27efcd2bbcdcp-4, 0x1.f0908e7ca336cp-4, 0x1.ee961b2e3c0a6p-4, 0x1.ec901351334fap-4, 0x1.ea7ee4e7c431bp-4, 0x1.e862fb9d1bbc5p-4, 0x1.e63cc0bc53012p-4, 0x1.e40c9b380fd38p-4, 0x1.e1d2efbcb027ep-4, 0x1.df9020ac665c5p-4, 0x1.dd448e28e6335p-4, 0x1.daf0961a27e5ep-4, 0x1.d8949436cde76p-4, 0x1.d630e20d2e452p-4, 0x1.d3c5d70864f3dp-4, 0x1.d153c878538a8p-4, 0x1.cedb099a990aap-4, 0x1.cc5beba5da82bp-4, 0x1.c9d6bdccd72fdp-4, 0x1.c74bcd49a14b7p-4, 0x1.c4bb6564bc984p-4, 0x1.c225cf7f51106p-4, 0x1.bf8b531c0d90ep-4, 0x1.bcec35e73222cp-4, 0x1.ba48bbbd28d4bp-4, 0x1.b7a126b56a176p-4, 0x1.b4f5b72881d12p-4, 0x1.b246abc09487p-4, 0x1.af94417816638p-4, 0x1.acdeb3a69dea6p-4, 0x1.aa263c092f591p-4, 0x1.a76b12cb88dfbp-4, 0x1.a4ad6e924032dp-4, 0x1.a1ed847cf1fa4p-4, 0x1.9f2b883319cb7p-4, 0x1.9c67abed30a56p-4, 0x1.99a2207a00558p-4, 0x1.96db154ab588dp-4, 0x1.9412b872b8be4p-4, 0x1.914936b934cf6p-4, 0x1.8e7ebb94558f7p-4, 0x1.8bb37148fdb56p-4, 0x1.88e780d43785p-4, 0x1.861b1204dec99p-4, 0x1.834e4b7e7d326p-4, 0x1.808152c1d805ep-4, 0x1.7db44c3287f5cp-4, 0x1.7ae75b1f345p-4, 0x1.781aa1c73804ap-4, 0x1.754e416055723p-4, 0x1.72825a20f23a4p-4, 0x1.6fb70b41ffc9dp-4, 0x1.6cec7309f2e34p-4, 0x1.6a22aed2d74b5p-4, 0x1.6759db0aae6ebp-4, 0x1.6492133dbb924p-4, 0x1.61cb721bde6e9p-4, 0x1.5f06117fc7336p-4, 0x1.5c420a7388efdp-4, 0x1.597f75355bd4bp-4, 0x1.56be693c2cccbp-4, 0x1.53fefd3d113fbp-4, 0x1.51414730c3481p-4, 0x1.4e855c5cb9d97p-4, 0x1.4bcb5153ae467p-4, 0x1.491339fb7201dp-4, 0x1.465d298e75572p-4, 0x1.43a932a67f725p-4, 0x1.40f767370d38dp-4, 0x1.3e47d89fa70efp-4, 0x1.3b9a97a7ff3cap-4, 0x1.38efb484920e9p-4, 0x1.36473edb020fep-4, 0x1.33a145c2f5b34p-4, 0x1.30fdd7cb25eefp-4, 0x1.2e5d0303be7b1p-4, 0x1.2bbed4fb65226p-4, 0x1.29235ac72ab5dp-4, 0x1.268aa0ff61751p-4, 0x1.23f4b3c85f014p-4, 0x1.21619ecfc14p-4, 0x1.1ed16d545b704p-4, 0x1.1c442a2a2d699p-4, 0x1.19b9dfbccd721p-4, 0x1.173298125f2bdp-4, 0x1.14ae5ccb3e428p-4, 0x1.122d37247a60ap-4, 0x1.0faf2ffadb7b4p-4, 0x1.0d344fcefb5eep-4, 0x1.0abc9ec9236cp-4, 0x1.084824bbde02dp-4, 0x1.05d6e925259fbp-4, 0x1.0368f32f00057p-4, 0x1.00fe49b0a6d7ep-4, 0x1.fd2de661d9645p-5, 0x1.f865ebd439ff8p-5, 0x1.f3a4af97ecee4p-5, 0x1.eeea3cff7ae01p-5, 0x1.ea369ed3696d2p-5, 0x1.e589df4fb0875p-5, 0x1.e0e40824ae4ddp-5, 0x1.dc45227e5ab6dp-5, 0x1.d7ad370711191p-5, 0x1.d31c4dea46b62p-5, 0x1.ce926ede46226p-5, 0x1.ca0fa125399d4p-5, 0x1.c593eb8eabfcp-5, 0x1.c11f5478ab495p-5, 0x1.bcb1e1ccce534p-5, 0x1.b84b990ac70cfp-5, 0x1.b3ec7f432d11cp-5, 0x1.af9499232439bp-5, 0x1.ab43eaf566f1cp-5, 0x1.a6fa78a635901p-5, 0x1.a2b845c32403bp-5, 0x1.9e7d557bb287cp-5, 0x1.9a49aaa2173ecp-5, 0x1.961d47ac86d1dp-5, 0x1.91f82eb6bf356p-5, 0x1.8dda618bbf325p-5, 0x1.89c3e1a2750c1p-5, 0x1.85b4b02435934p-5, 0x1.81accdecdb1c1p-5, 0x1.7dac3b8af33bcp-5, 0x1.79b2f93fdf26ep-5, 0x1.75c10700b80a7p-5, 0x1.71d664785af0ep-5, 0x1.6df3110a7092dp-5, 0x1.6a170bd677f86p-5, 0x1.664253ba9a376p-5, 0x1.6274e754b471ap-5, 0x1.5eaec5058112ap-5, 0x1.5aefeaea7f622p-5, 0x1.573856e5d9ea1p-5, 0x1.5388069dd68f2p-5, 0x1.4fdef77675a88p-5, 0x1.4c3d269e1da5dp-5, 0x1.48a2910aff9c3p-5, 0x1.450f337e03a5ep-5, 0x1.41830a844a80bp-5, 0x1.3dfe127802c5dp-5, 0x1.3a8047814a18p-5, 0x1.3709a592b8f48p-5, 0x1.339a28712b8acp-5, 0x1.3031cbae1d6b3p-5, 0x1.2cd08aac64ecbp-5, 0x1.297660a1fbde5p-5, 0x1.26234899b5ecep-5, 0x1.22d73d7474da3p-5, 0x1.1f9239ea4deccp-5, 0x1.1c54388b581e4p-5, 0x1.191d33bf6f973p-5, 0x1.15ed25c6dab25p-5, 0x1.12c408baeac7fp-5, 0x1.0fa1d68f0e9ddp-5, 0x1.0c86891248c3dp-5, 0x1.097219f0bb66fp-5, 0x1.066482b54f95fp-5, 0x1.035dbcca8f0bdp-5, 0x1.005dc17b06b41p-5, 0x1.fac913e539512p-6, 0x1.f4e41e7fb8ab2p-6, 0x1.ef0c94a396884p-6, 0x1.e94267f4daa7dp-6, 0x1.e38589de03333p-6, 0x1.ddd5eb92eea68p-6, 0x1.d8337e1397fbep-6, 0x1.d29e3225e1be5p-6, 0x1.cd15f86c20465p-6, 0x1.c79ac151df6eep-6, 0x1.c22c7d13266ddp-6, 0x1.bccb1bc54ee2fp-6, 0x1.b7768d4f43bdep-6, 0x1.b22ec16d32ffbp-6, 0x1.acf3a7b1d5a5bp-6, 0x1.a7c52f87bb198p-6, 0x1.a2a34832f9f59p-6, 0x1.9d8de0d302906p-6, 0x1.9884e86591576p-6, 0x1.93884dc596bcfp-6, 0x1.8e97ffaf6f62p-6, 0x1.89b3ecc095459p-6, 0x1.84dc0378f021bp-6, 0x1.8010323bca4d8p-6, 0x1.7b5067509f9f9p-6, 0x1.769c90e40d632p-6, 0x1.71f49d08e08f1p-6, 0x1.6d5879b96de0bp-6, 0x1.68c814d90b089p-6, 0x1.64435c35866fbp-6, 0x1.5fca3d8880bap-6, 0x1.5b5ca67895072p-6, 0x1.56fa849a6458fp-6, 0x1.52a3c5719cc1ap-6, 0x1.4e585671e7f03p-6, 0x1.4a1824ffbd97dp-6, 0x1.45e31e70f5cdcp-6, 0x1.41b9300dfdf44p-6, 0x1.3d9a471298d64p-6, 0x1.398650aea950ap-6, 0x1.357d3a07c588bp-6, 0x1.317ef03a3e1a2p-6, 0x1.2d8b6057bb6e8p-6, 0x1.29a2776e2f40ap-6, 0x1.25c42282e6e6ep-6, 0x1.21f04e956b615p-6, 0x1.1e26e8a09b87dp-6, 0x1.1a67dd9c12372p-6, 0x1.16b31a7ac0d7ep-6, 0x1.13088c2a76559p-6, 0x1.0f681f9d75953p-6, 0x1.0bd1c1bf440a8p-6, 0x1.08455f7c28acep-6, 0x1.04c2e5c0dd274p-6, 0x1.014a417b31196p-6, 0x1.fbb6bf35be9fp-7, 0x1.f4ec5a2613803p-7, 0x1.ee352db1551cap-7, 0x1.e79113c8b26d3p-7, 0x1.e0ffe66ce6794p-7, 0x1.da817fa3d89f2p-7, 0x1.d415b98015335p-7, 0x1.cdbc6e214c2acp-7, 0x1.c77577b4bd78bp-7, 0x1.c140b07641a51p-7, 0x1.bb1df2b33956p-7, 0x1.b50d18cf9ee98p-7, 0x1.af0dfd3f5b502p-7, 0x1.a9207a7118d7dp-7, 0x1.a3446b08fcbfcp-7, 0x1.9d79a9aeeeec1p-7, 0x1.97c0114296091p-7, 0x1.92177c7ed16c5p-7, 0x1.8c7fc6677449p-7, 0x1.86f8ca1a6c096p-7, 0x1.818262c157944p-7, 0x1.7c1c6b9eed12ep-7, 0x1.76c6c01568919p-7, 0x1.71813ba2a1f2ep-7, 0x1.6c4bb9e640746p-7, 0x1.6726169e2d849p-7, 0x1.62102da70dcbdp-7, 0x1.5d09dafeea57ap-7, 0x1.5812fac51474bp-7, 0x1.532b6938212d8p-7, 0x1.4e5302bdeea68p-7, 0x1.4989a41070d08p-7, 0x1.44cf299056842p-7, 0x1.4023700c7e7a1p-7, 0x1.3b8654c526293p-7, 0x1.36f7b4ae71063p-7, 0x1.32776d04827d5p-7, 0x1.2e055b3614a47p-7, 0x1.29a15cd677162p-7, 0x1.254b4fa1cf67ap-7, 0x1.210311800e0c6p-7, 0x1.1cc8807d3dd6dp-7, 0x1.189b7ad71fed5p-7, 0x1.147bdef5af5e5p-7, 0x1.10698b6849cb2p-7, 0x1.0c645ee9b47acp-7, 0x1.086c385efe3b4p-7, 0x1.0480f6d7d80bdp-7, 0x1.00a2798f7dc0ap-7, 0x1.f9a13fdc02e49p-8, 0x1.f21693139aca4p-8, 0x1.eaa4ac5233f31p-8, 0x1.e34b4b862b913p-8, 0x1.dc0a3101152bap-8, 0x1.d4e11d776554ep-8, 0x1.cdcfd1fd032f1p-8, 0x1.c6d6101ba707cp-8, 0x1.bff3998e54d2dp-8, 0x1.b92830856a9efp-8, 0x1.b27397a661894p-8, 0x1.abd591c1b44b6p-8, 0x1.a54de21a3d7e3p-8, 0x1.9edc4c4f05bf1p-8, 0x1.9880946022e7p-8, 0x1.923a7eb28b031p-8, 0x1.8c09d01be59f8p-8, 0x1.85ee4dddbfb4p-8, 0x1.7fe7bdaaeede9p-8, 0x1.79f5e5a29966cp-8, 0x1.74188c4bdbe1bp-8, 0x1.6e4f78a1577fcp-8, 0x1.689a71f5b8d5p-8, 0x1.62f93ffadb777p-8, 0x1.5d6baabce4deap-8, 0x1.57f17aa06e0b2p-8, 0x1.528a7863e50f3p-8, 0x1.4d366d234230cp-8, 0x1.47f5225dacb94p-8, 0x1.42c661fc72aa6p-8, 0x1.3da9f6599805bp-8, 0x1.389faa44c9b84p-8, 0x1.33a7490651ecbp-8, 0x1.2ec09e5f1f5d7p-8, 0x1.29eb7685bd055p-8, 0x1.25279e2011a85p-8, 0x1.2074e23ff19fep-8, 0x1.1bd3105128aep-8, 0x1.1741f62102a7fp-8, 0x1.12c161cd9b83fp-8, 0x1.0e5121c93b416p-8, 0x1.09f104da76477p-8, 0x1.05a0da2108ab1p-8, 0x1.0160711e7a4c3p-8, 0x1.fa5f3387b7b9fp-9, 0x1.f21c48e872e42p-9, 0x1.e9f7c3fa37f46p-9, 0x1.e1f1470fc88ddp-9, 0x1.da0875ad388cdp-9, 0x1.d23cf4c7b8143p-9, 0x1.ca8e69ae05fap-9, 0x1.c2fc7a412401ap-9, 0x1.bb86cde2e9dccp-9, 0x1.b42d0c9d312d9p-9, 0x1.aceedec209bccp-9, 0x1.a5cbed4dbcb79p-9, 0x1.9ec3e1efeceep-9, 0x1.97d666fcf1936p-9, 0x1.91032770b454cp-9, 0x1.8a49cef9e7d45p-9, 0x1.83aa0a078f7ddp-9, 0x1.7d2385e286d03p-9, 0x1.76b5f0b3468b8p-9, 0x1.7060f98262caep-9, 0x1.6a24506cd717fp-9, 0x1.63ffa6419f885p-9, 0x1.5df2aceb77e0cp-9, 0x1.57fd170fecbfcp-9, 0x1.521e982f0bb95p-9, 0x1.4c56e4824d31fp-9, 0x1.46a5b0f2d55ffp-9, 0x1.410ab30d15239p-9, 0x1.3b85a0f873523p-9, 0x1.361631728cbd4p-9, 0x1.30bc1bceff47ep-9, 0x1.2b7717fb7d0bep-9, 0x1.2646de87e4922p-9, 0x1.212b28b149242p-9, 0x1.1c23b06e825e4p-9, 0x1.1730307c5b7ddp-9, 0x1.12506467bd558p-9, 0x1.0d84089452f96p-9, 0x1.08cada3eef5c9p-9, 0x1.0424977bc8244p-9, 0x1.ff21fe6224db7p-10, 0x1.f61fa21de7302p-10, 0x1.ed419b0b7eea3p-10, 0x1.e4876b75f793dp-10, 0x1.dbf096fb835c7p-10, 0x1.d37ca275f9296p-10, 0x1.cb2b13ea3b705p-10, 0x1.c2fb725f5edbbp-10, 0x1.baed45df5f8fbp-10, 0x1.b300178b95b9cp-10, 0x1.ab33716ed54dap-10, 0x1.a386deafb66efp-10, 0x1.9bf9eba3f1a7dp-10, 0x1.948c25ee0358ep-10, 0x1.8d3d1c9b726b7p-10, 0x1.860c603d11a8p-10, 0x1.7ef982f6657cdp-10, 0x1.78041882d24d1p-10, 0x1.712bb634a39e4p-10, 0x1.6a6ff2e212f62p-10, 0x1.63d066ca8941ep-10, 0x1.5d4cabb09e07ep-10, 0x1.56e45c8fca73ap-10, 0x1.50971595bc382p-10, 0x1.4a64740504503p-10, 0x1.444c160d0bacep-10, 0x1.3e4d9ab057917p-10, 0x1.3868a1ab8334bp-10, 0x1.329ccb601a6d3p-10, 0x1.2ce9b8dbfd344p-10, 0x1.274f0bf0c8d07p-10, 0x1.21cc675acd0ep-10, 0x1.1c616ef1a9f1ap-10, 0x1.170dc7d93219p-10, 0x1.11d118a8c8a8dp-10, 0x1.0cab0982e8dd9p-10, 0x1.079b441a34d41p-10, 0x1.02a173a6be655p-10, 0x1.fb7a89a0e88bdp-11, 0x1.f1dccb2a8a568p-11, 0x1.e8690a5f13854p-11, 0x1.df1ea7fd9279fp-11, 0x1.d5fd06e3d30a6p-11, 0x1.cd038bdefa412p-11, 0x1.c4319d733c326p-11, 0x1.bb86a397e7ee3p-11, 0x1.b302076e44e9ap-11, 0x1.aaa332ff67d49p-11, 0x1.a26991142cafep-11, 0x1.9a548d362b1f1p-11, 0x1.926393e3986ccp-11, 0x1.8a9612f08fc56p-11, 0x1.82eb7a03f45e8p-11, 0x1.7b633b1525b5bp-11, 0x1.73fccace9f31fp-11, 0x1.6cb7a0c1ba2dep-11, 0x1.65933766ad847p-11, 0x1.5e8f0bf06b291p-11, 0x1.57aa9e0611581p-11, 0x1.50e56f1a57be6p-11, 0x1.4a3f04d076dc5p-11, 0x1.43b6e059f7a24p-11, 0x1.3d4c8e5d9b152p-11, 0x1.36ff948efb3c4p-11, 0x1.30cf7e5556828p-11, 0x1.2abbd7f4ff628p-11, 0x1.24c42efef007fp-11, 0x1.1ee8121de2eb3p-11, 0x1.192710cc0d85dp-11, 0x1.1380bb17ed085p-11, 0x1.0df4a18d282c5p-11, 0x1.0882554f2c065p-11, 0x1.03296864615cap-11, 0x1.fbd2dc4f93267p-12, 0x1.f183f7632263p-12, 0x1.e76550866a9fap-12, 0x1.dd761acd0c2cep-12, 0x1.d3b58dd262275p-12, 0x1.ca22e5318858bp-12, 0x1.c0bd608565931p-12, 0x1.b7844254b105fp-12, 0x1.ae76cfa1cd251p-12, 0x1.a594507e50327p-12, 0x1.9cdc0f7ee7c63p-12, 0x1.944d5a3647826p-12, 0x1.8be7815931598p-12, 0x1.83a9d853771c9p-12, 0x1.7b93b57d13b28p-12, 0x1.73a471bf033dcp-12, 0x1.6bdb6833fb9dbp-12, 0x1.6437f5c6efbcp-12, 0x1.5cb978de87c0bp-12, 0x1.555f5128ce03fp-12, 0x1.4e28df953ea3ap-12, 0x1.4715868262a5p-12, 0x1.4024aa18e9659p-12, 0x1.3955b0bf2bb0dp-12, 0x1.32a80383f98e1p-12, 0x1.2c1b0e6050ff7p-12, 0x1.25ae40380e19p-12, 0x1.1f610a9de191bp-12, 0x1.1932e17581515p-12, 0x1.13233aa1e5828p-12, 0x1.0d318de4e5726p-12, 0x1.075d54fd73e69p-12, 0x1.01a60bf04bef7p-12, 0x1.f81662a2c343fp-13, 0x1.ed188cc9d5012p-13, 0x1.e2519e070c2b4p-13, 0x1.d7c0a295fa77fp-13, 0x1.cd64aa76dab24p-13, 0x1.c33cc8cdde262p-13, 0x1.b948139a773fdp-13, 0x1.af85a3d054a8p-13, 0x1.a5f495aa63f3cp-13, 0x1.9c9408fd6108bp-13, 0x1.936321534d225p-13, 0x1.8a6105bde3e6ep-13, 0x1.818ce077225e1p-13, 0x1.78e5de85658abp-13, 0x1.706b2f93a594ap-13, 0x1.681c061008235p-13, 0x1.5ff797750488ap-13, 0x1.57fd1c897977p-13, 0x1.502bd1641ecfcp-13, 0x1.4882f52d3896ap-13, 0x1.4101c9cc9329fp-13, 0x1.39a793c8bb408p-13, 0x1.32739a8c4a7ep-13, 0x1.2b652905c9105p-13, 0x1.247b8e55f4253p-13, 0x1.1db61e278a7aap-13, 0x1.1714306dc810bp-13, 0x1.10952091aa71ap-13, 0x1.0a384c5f3b2f2p-13, 0x1.03fd131a46f1p-13, 0x1.fbc5aa721ff4cp-14, 0x1.efd1e96f67da6p-14, 0x1.e41dab6f8e4bcp-14, 0x1.d8a7beb2b7addp-14, 0x1.cd6ef89477478p-14, 0x1.c27235a3f0653p-14, 0x1.b7b058c83b02dp-14, 0x1.ad2849d7eb3d3p-14, 0x1.a2d8f43021ddep-14, 0x1.98c145cb48c99p-14, 0x1.8ee02f1ea6899p-14, 0x1.8534a3bb6c357p-14, 0x1.7bbd9ae0e37b3p-14, 0x1.727a10d5e458ep-14, 0x1.696907ff08232p-14, 0x1.608987bf5eac9p-14, 0x1.57da9c6766119p-14, 0x1.4f5b567e7caf9p-14, 0x1.470aca67d8191p-14, 0x1.3ee810a5f4484p-14, 0x1.36f2467a9cbp-14, 0x1.2f288e565a369p-14, 0x1.278a0fa511d0fp-14, 0x1.2015f5f13ae54p-14, 0x1.18cb6fd3ca9e8p-14, 0x1.11a9ae71e538fp-14, 0x1.0aafe472d072dp-14, 0x1.03dd484b4c25fp-14, 0x1.fa622850004bap-15, 0x1.ed550cb6d5c2ep-15, 0x1.e091c3fedc9cp-15, 0x1.d416dccaed03fp-15, 0x1.c7e2ecc9fd065p-15, 0x1.bbf48f619243cp-15, 0x1.b04a64bad9ae9p-15, 0x1.a4e3113f1bc96p-15, 0x1.99bd3d6c93575p-15, 0x1.8ed796081c9aep-15, 0x1.8430ccb44e36ap-15, 0x1.79c797a203ad6p-15, 0x1.6f9ab7cabc189p-15, 0x1.65a8f2e5b61efp-15, 0x1.5bf1166bd3223p-15, 0x1.5271f9c318df5p-15, 0x1.492a79b33cc54p-15, 0x1.4019780441787p-15, 0x1.373dda6fd4e38p-15, 0x1.2e968a41eec75p-15, 0x1.2622749f42f1dp-15, 0x1.1de08b079d47p-15, 0x1.15cfc39eda52bp-15, 0x1.0def197a7c286p-15, 0x1.063d85d29ae47p-15, 0x1.fd7452cbdac28p-16, 0x1.eec7b74ab57d6p-16, 0x1.e073b05b3a363p-16, 0x1.d2764e99ef954p-16, 0x1.c4cdccf2da3a6p-16, 0x1.b77868b34c677p-16, 0x1.aa745ccbf4bacp-16, 0x1.9dc032b09b9a8p-16, 0x1.9159e9a94fea3p-16, 0x1.853fcdd44852dp-16, 0x1.7970e2755c1e5p-16, 0x1.6deac783e87a3p-16, 0x1.62aca340266bap-16, 0x1.57b481c617bdep-16, 0x1.4d00ffb447e0cp-16, 0x1.4290a34cc5d45p-16, 0x1.3861fa85111a2p-16, 0x1.2e739cd2163a9p-16, 0x1.24c42b5ee2713p-16, 0x1.1b5250314ccb2p-16, 0x1.121cbc3a76d8dp-16, 0x1.092224ea94a77p-16, 0x1.00614239e6a04p-16, 0x1.efb19c3c57cf6p-17, 0x1.df0f0bb74b487p-17, 0x1.ced859674dfd7p-17, 0x1.bf0b1d28cb959p-17, 0x1.afa501d1fd0efp-17, 0x1.a0a3c1222d8e4p-17, 0x1.920528275d02fp-17, 0x1.83c7122e2ea3ap-17, 0x1.75e7684fd84f1p-17, 0x1.68641f8e645e5p-17, 0x1.5b3b3148542bbp-17, 0x1.4e6a9559dbc92p-17, 0x1.41f0436d2fb16p-17, 0x1.35ca3b949ec1ap-17, 0x1.29f68ff236d74p-17, 0x1.1e73686f16794p-17, 0x1.133efedb71be1p-17, 0x1.085797fb1ffc4p-17, 0x1.fb76fe15e52efp-18, 0x1.e6d20a76eb062p-18, 0x1.d2bd05a13f7b2p-18, 0x1.bf34af44ec22ep-18, 0x1.ac35d5b7a0e9p-18, 0x1.99bd55b65a70cp-18, 0x1.87c81b5965194p-18, 0x1.765323942d48dp-18, 0x1.655b7ceb1fdf3p-18, 0x1.54de464799a4cp-18, 0x1.44d8ac0100c6fp-18, 0x1.3547e58706c2bp-18, 0x1.2629249ff297p-18, 0x1.1779a65d0a736p-18, 0x1.0936a74c6ee0cp-18, 0x1.f6bad334361f6p-19, 0x1.dbd68d8c8db68p-19, 0x1.c1bb781ee531dp-19, 0x1.a864e19e37f0cp-19, 0x1.8fce5efef20e6p-19, 0x1.77f3ae6b72defp-19, 0x1.60d0a4ab5f36ep-19, 0x1.4a612988a19dp-19, 0x1.34a129197f05fp-19, 0x1.1f8c6d8632874p-19, 0x1.0b1e863695a0ep-19, 0x1.eea5ce91d2455p-20, 0x1.c84a68e73ca5ap-20, 0x1.a322e99c85e6ap-20, 0x1.7f28047e1b463p-20, 0x1.5c52a3c34a6d7p-20, 0x1.3a9b96fc08a37p-20, 0x1.19fb9eb490e43p-20, 0x1.f4d7582ead6fdp-21, 0x1.b7ca12a4585aap-21, 0x1.7cc2aeb956bdbp-21, 0x1.43b4f48973bbcp-21, 0x1.0c950b63f671fp-21, 0x1.aeae9fc711062p-22, 0x1.47e03dd8ff812p-22, 0x1.c94d8df241554p-23, 0x1.09d5ac47abf24p-23, 0x1.449d6713ef751p-25, -0x1.83b718d8d70b4p-25, -0x1.0c9652cf4686ep-23, -0x1.b1fced9cd8c41p-23, -0x1.28a54f95978f3p-22, -0x1.75543c985cf06p-22, -0x1.bf204a9ab1f4ap-22, -0x1.030f75208566p-21, -0x1.2532a5cb8de51p-21, -0x1.4603bc25c9399p-21, -0x1.658bbcedf7758p-21, -0x1.83d2820889be6p-21, -0x1.a0df0dde2d291p-21, -0x1.bcb83d32bb978p-21, -0x1.d7655bb6c9ebfp-21, -0x1.f0ee4dd00251p-21, -0x1.04ad8eb705f13p-20, -0x1.105a22e5e0123p-20, -0x1.1b8166a44bd6dp-20, -0x1.2627bcf37e7b9p-20, -0x1.3051024a6d75fp-20, -0x1.3a0065af46273p-20, -0x1.4338fe58f09c9p-20, -0x1.4bfe3ddfee32bp-20, -0x1.5453d0629c38bp-20, -0x1.5c3d2a4d55a89p-20, -0x1.63bd5c3cdf42bp-20, -0x1.6ad7347f41ff1p-20, -0x1.718d643193e64p-20, -0x1.77e28c47d3677p-20, -0x1.7dd9404eda18dp-20, -0x1.837408aa4059bp-20, -0x1.88b67634ac809p-20, -0x1.8da163b438e7ap-20, -0x1.9237288b71e76p-20, -0x1.967c7e3dc4be7p-20, -0x1.9a72f87047251p-20, -0x1.9e1d4f8d59a86p-20, -0x1.a17e27e1e365cp-20, -0x1.a497f97003b69p-20, -0x1.a76d09f927046p-20, -0x1.a9ff7d1d3ce06p-20, -0x1.ac51624b7611ep-20, -0x1.ae64b688b670ap-20, -0x1.b03b6928d589dp-20, -0x1.b1d769dd65851p-20, -0x1.b33ab1dbacd73p-20, -0x1.b467383aa3c2fp-20, -0x1.b55ecd78a0c8cp-20, -0x1.b622fa533911cp-20, -0x1.b6b53526b8fd4p-20, -0x1.b716ffa1d586dp-20, -0x1.b74a23574f4c4p-20, -0x1.b750a288fed42p-20, -0x1.b72c3e0b7b07bp-20, -0x1.b6de6d527537fp-20, -0x1.b668b3268aa6ap-20, -0x1.b5cc8cf539a1ep-20, -0x1.b50b24ef5d431p-20, -0x1.b4259d54ebf17p-20, -0x1.b31d7f43d7e5bp-20, -0x1.b1f4761e232bcp-20, -0x1.b0abe7724820ap-20, -0x1.af450137ac1d5p-20, -0x1.adc0e3174bf5ep-20, -0x1.ac209dcfd0ad6p-20, -0x1.aa65241fe88abp-20, -0x1.a88f4c0515413p-20, -0x1.a69fea12de738p-20, -0x1.a497fb587d09dp-20, -0x1.a278b5d8b7647p-20, -0x1.a0435fb7d4d0fp-20, -0x1.9df91b62c3a26p-20, -0x1.9b996b7a2e102p-20, -0x1.992aaf4aa26dbp-20, -0x1.96a582ddf1817p-20, -0x1.94105797e612bp-20, -0x1.916a97dba0e3ap-20, -0x1.8eb5197ca4a96p-20, -0x1.8bf0aa715f1a8p-20, -0x1.891e15b4a0042p-20, -0x1.863e1e8a5fa97p-20, -0x1.83517c2179703p-20, -0x1.8058d9249f235p-20, -0x1.7d54d6785084ep-20, -0x1.7a461a44889b4p-20, -0x1.772d5275a1572p-20, -0x1.740b2545b07d5p-20, -0x1.70e0401a924cbp-20, -0x1.6dad3c5bfafeap-20, -0x1.6a729ed39bd4bp-20, -0x1.6730f6e99c8acp-20, -0x1.63e8a3dc4c09ap-20, -0x1.609a9f279126fp-20, -0x1.5d47723753713p-20, -0x1.59ef68df5842p-20, -0x1.5692aef9cf2ccp-20, -0x1.5331ae01b0bcap-20, -0x1.4fccdfb782663p-20, -0x1.4c64d52bb817p-20, -0x1.48fa469722fc4p-20, -0x1.458dad073bd71p-20, -0x1.421f35223c7dep-20, -0x1.3eaefed08d78cp-20, -0x1.3b3d3d4567b12p-20, -0x1.37ca4d81dd99ep-20, -0x1.3456b9ef8ee4fp-20, -0x1.30e3040ecc92cp-20, -0x1.2d6f74afc1f23p-20, -0x1.29fc3f539ab0cp-20, -0x1.2689b4209285fp-20, -0x1.23182b293fb69p-20, -0x1.1fa7e3c305345p-20, -0x1.1c3911f5c9795p-20, -0x1.18cbf1d3668cfp-20, -0x1.1560c2085836p-20, -0x1.11f7c54a18fd3p-20, -0x1.0e913a21cb615p-20, -0x1.0b2d5d1c23447p-20, }}, 
      std::vector<double>(900, 0.0), 
      {{0x1.8b58b6c7b2c03p-4, 0x1.6d0396f083e09p-3, 0x1.e8b9f7dd3fff7p-3, 0x1.1b9184eb83172p-2, 0x1.2e6080398bfep-2, 0x1.306c47db876a7p-2, 0x1.25b668c2a5d51p-2, 0x1.1211a6eb4a70ep-2, 0x1.f1b7347246157p-3, 0x1.b9c1ae6722bbep-3, 0x1.80b3215671cc9p-3, 0x1.49e6d13cca1f1p-3, 0x1.17c395a4b23f7p-3, 0x1.d7c243a47dd6bp-4, 0x1.8e5aeb61892cfp-4, 0x1.541f62df2be4cp-4, 0x1.290e4404dc4bbp-4, 0x1.0c8c28b1ea5ddp-4, 0x1.fb21d1e125637p-5, 0x1.f599c31907747p-5, 0x1.02c6ebb6b29c6p-4, 0x1.13f3d357eb72cp-4, 0x1.2cc82dc0a2af7p-4, 0x1.4bc5732aa9a52p-4, 0x1.6f8330f3273fcp-4, 0x1.96b515f2b3fb1p-4, 0x1.c02e8347ee06cp-4, 0x1.eae433ed500c8p-4, 0x1.0af63af9473efp-3, 0x1.203f2d287654ep-3, 0x1.34f8162b28addp-3, 0x1.48dab83aa38ffp-3, 0x1.5bae4dcb0fe53p-3, 0x1.6d4653df6cb6ep-3, 0x1.7d81507d78dd2p-3, 0x1.8c479eb2497bfp-3, 0x1.998a46779fdcdp-3, 0x1.a541e46feef43p-3, 0x1.af6da3bd10614p-3, 0x1.b8124b09d8a62p-3, 0x1.bf395d16cabfcp-3, 0x1.c4f04c948faap-3, 0x1.c947c2ccfeac9p-3, 0x1.cc52f85a3c7ccp-3, 0x1.ce271f0bd12b1p-3, 0x1.cedadc11ab168p-3, 0x1.ce85d171df0dep-3, 0x1.cd4035e30cd51p-3, 0x1.cb2279f770779p-3, 0x1.c844f99bcb3fp-3, 0x1.c4bfb8f6bcc53p-3, 0x1.c0aa2bf92c007p-3, 0x1.bc1b078627e78p-3, 0x1.b7281b83063dep-3, 0x1.b1e634174705p-3, 0x1.ac69028c6689cp-3, 0x1.a6c30c47efcd9p-3, 0x1.a105a003bb9c8p-3, 0x1.9b40cfb1ff6ccp-3, 0x1.95836d30da6e2p-3, 0x1.8fdb0cc712563p-3, 0x1.8a540779a2de8p-3, 0x1.84f9851710e86p-3, 0x1.7fd583713ea09p-3, 0x1.7af0e3182383dp-3, 0x1.765371bfd6133p-3, 0x1.7203f7d8e9afp-3, 0x1.6e08454351fa1p-3, 0x1.6a654080d997cp-3, 0x1.671ef48b9bd86p-3, 0x1.64389fe35decep-3, 0x1.61b4c24b7ae32p-3, 0x1.5f952a8d5edf6p-3, 0x1.5ddb039bdd791p-3, 0x1.5c86e182b5d2ap-3, 0x1.5b98ce03c7a77p-3, 0x1.5b1054e9c6055p-3, 0x1.5aec8fefb555cp-3, 0x1.5b2c3229b791ap-3, 0x1.5bcd92db77572p-3, 0x1.5cceb7ba47f15p-3, 0x1.5e2d5e97ba343p-3, 0x1.5fe7067ecd6ccp-3, 0x1.61f8f847660e8p-3, 0x1.64604ea3a4d4ap-3, 0x1.6719fdab5e6a1p-3, 0x1.6a22d9debe631p-3, 0x1.6d779ea48d06bp-3, 0x1.7114f439dc6d9p-3, 0x1.74f7751d22c88p-3, 0x1.791bb2f23d0d6p-3, 0x1.7d7e3ae61b5b1p-3, 0x1.821b999d714e4p-3, 0x1.86f05eb4e5389p-3, 0x1.8bf91fdd5dfbbp-3, 0x1.91327b9baa396p-3, 0x1.96991bb9b98d9p-3, 0x1.9c29b76246a22p-3, 0x1.a1e114fe35f0cp-3, 0x1.a7bc0bc79d4bap-3, 0x1.adb78523e7b49p-3, 0x1.b3d07dbfdabf8p-3, 0x1.ba04067a4220bp-3, 0x1.c04f4517efc4cp-3, 0x1.c6af74d5f4779p-3, 0x1.cd21e6cbc8924p-3, 0x1.d3a40234d47fdp-3, 0x1.da334497dc7f2p-3, 0x1.e0cd41d8e21fap-3, 0x1.e76fa437a59fbp-3, 0x1.ee182c3379214p-3, 0x1.f4c4b06c99aafp-3, 0x1.fb731d63e3071p-3, 0x1.0110ba9de9d2bp-2, 0x1.0466e7b4d7779p-2, 0x1.07bb2c273aa7fp-2, 0x1.0b0ca86fbad6p-2, 0x1.0e5a8716b8ffep-2, 0x1.11a3fc7941559p-2, 0x1.14e8468fed097p-2, 0x1.1826acabdf4afp-2, 0x1.1b5e7f3d6e5b7p-2, 0x1.1e8f179219769p-2, 0x1.21b7d795e66cbp-2, 0x1.24d8299931e42p-2, 0x1.27ef800de03ap-2, 0x1.2afd554da3a1bp-2, 0x1.2e012b6115d06p-2, 0x1.30fa8bbe0b93ap-2, 0x1.33e90712e6a5bp-2, 0x1.36cc350d70044p-2, 0x1.39a3b41c00c3ap-2, 0x1.3c6f293ab9df3p-2, 0x1.3f2e3fbcf478p-2, 0x1.41e0a90f169eep-2, 0x1.44861c854f7d7p-2, 0x1.471e572983e97p-2, 0x1.49a91b7e84587p-2, 0x1.4c26314f23a2ap-2, 0x1.4e956582f991ap-2, 0x1.50f689e317753p-2, 0x1.534974eaff2acp-2, 0x1.558e01a295006p-2, 0x1.57c40f6933f6cp-2, 0x1.59eb81c50d861p-2, 0x1.5c044041c7c5ep-2, 0x1.5e0e36457dffp-2, 0x1.600952dfc3a38p-2, 0x1.61f588a60b1e1p-2, 0x1.63d2cd95064cep-2, 0x1.65a11ae57e9d8p-2, 0x1.67606ce13ebfap-2, 0x1.6910c2ca9e773p-2, 0x1.6ab21ebe25106p-2, 0x1.6c44858571d21p-2, 0x1.6dc7fe791e376p-2, 0x1.6f3c936ae40f8p-2, 0x1.70a2508683b4fp-2, 0x1.71f9442c0f38ep-2, 0x1.73417ed39faeap-2, 0x1.747b12fc5e8a7p-2, 0x1.75a6150fbd955p-2, 0x1.76c29b3f72cb3p-2, 0x1.77d0bd6cde5a2p-2, 0x1.78d095183026ap-2, 0x1.79c23d4b00451p-2, 0x1.7aa5d2795c556p-2, 0x1.7b7b72686f12fp-2, 0x1.7c433c203ed5p-2, 0x1.7cfd4fdc285c9p-2, 0x1.7da9cef19f056p-2, 0x1.7e48dbb5ec1e2p-2, 0x1.7eda996c8314p-2, 0x1.7f5f2c4130b58p-2, 0x1.7fd6b9353cd28p-2, 0x1.8041660340f52p-2, 0x1.809f590db387p-2, 0x1.80f0b9580c1ddp-2, 0x1.8135ae7e2ffa5p-2, 0x1.816e609f0d24dp-2, 0x1.819af84546522p-2, 0x1.81bb9e5d5749cp-2, 0x1.81d07c33b4a22p-2, 0x1.81d9bb68f49dep-2, 0x1.81d785dc6b9acp-2, 0x1.81ca059bcf5e9p-2, 0x1.81b164e0100c6p-2, 0x1.818dce0a2b624p-2, 0x1.815f6b96bf2d7p-2, 0x1.8126680b5c2c7p-2, 0x1.80e2ededd03f9p-2, 0x1.809527c2ebf38p-2, 0x1.803d4009c5155p-2, 0x1.7fdb612f4b593p-2, 0x1.7f6fb58176887p-2, 0x1.7efa672bb3453p-2, 0x1.7e7ba036016c2p-2, 0x1.7df38a7f3b879p-2, 0x1.7d624fb0a38bdp-2, 0x1.7cc81936cf495p-2, 0x1.7c2510410cbb4p-2, 0x1.7b795dc345d11p-2, 0x1.7ac52a6fad11bp-2, 0x1.7a089ea9b8546p-2, 0x1.7943e27fba7a9p-2, 0x1.78771dae8843cp-2, 0x1.77a277a7d404ap-2, 0x1.76c6178dfdd96p-2, 0x1.75e22426b4a5fp-2, 0x1.74f6c3d08726ep-2, 0x1.74041c8611243p-2, 0x1.730a53e99c0a9p-2, 0x1.72098f49a32a4p-2, 0x1.7101f396a0986p-2, 0x1.6ff3a553281c8p-2, 0x1.6edec88e120d6p-2, 0x1.6dc380ed80a9dp-2, 0x1.6ca1f1be0b925p-2, 0x1.6b7a3df58ae87p-2, 0x1.6a4c88255bf2dp-2, 0x1.6918f2691ed67p-2, 0x1.67df9e6393f1bp-2, 0x1.66a0ad4d315cap-2, 0x1.655c40068f608p-2, 0x1.6412771ca576dp-2, 0x1.62c372baa32d4p-2, 0x1.616f5296e71c7p-2, 0x1.601635ed6bbd9p-2, 0x1.5eb83b8dbe259p-2, 0x1.5d5581f0f2b99p-2, 0x1.5bee274365836p-2, 0x1.5a82495b2dc26p-2, 0x1.591205a368136p-2, 0x1.579d790fd99acp-2, 0x1.5624c024210a5p-2, 0x1.54a7f709ce84ap-2, 0x1.532739a322526p-2, 0x1.51a2a38bbb7c5p-2, 0x1.501a5007e636dp-2, 0x1.4e8e59f0b6103p-2, 0x1.4cfedbae78eeap-2, 0x1.4b6bef46435cep-2, 0x1.49d5ae7152b87p-2, 0x1.483c32ac464dbp-2, 0x1.469f9533c3f6cp-2, 0x1.44ffeef26f7adp-2, 0x1.435d586e785eep-2, 0x1.41b7e9c5aeb47p-2, 0x1.400fbabba0887p-2, 0x1.3e64e2cfff2edp-2, 0x1.3cb7794db843p-2, 0x1.3b07954932db5p-2, 0x1.39554d902f876p-2, 0x1.37a0b8976e519p-2, 0x1.35e9ec7386f61p-2, 0x1.3430fee26d673p-2, 0x1.3276055f7d00ep-2, 0x1.30b91534d6144p-2, 0x1.2efa437fc833ep-2, 0x1.2d39a5265fc04p-2, 0x1.2b774ec5dc60fp-2, 0x1.29b354a5dc1dfp-2, 0x1.27edcab906e5fp-2, 0x1.2626c4aa83fc2p-2, 0x1.245e55f074f3p-2, 0x1.229491d7fe80dp-2, 0x1.20c98b84e82ecp-2, 0x1.1efd55e5f2835p-2, 0x1.1d3003a5667c2p-2, 0x1.1b61a71f6189bp-2, 0x1.19925263af3a9p-2, 0x1.17c2174257538p-2, 0x1.15f1075b10882p-2, 0x1.141f34278e6ep-2, 0x1.124caefba43b4p-2, 0x1.107988fc046d3p-2, 0x1.0ea5d31113ecp-2, 0x1.0cd19ddd27f39p-2, 0x1.0afcf9bbb3687p-2, 0x1.0927f6c9b091ap-2, 0x1.0752a4f289c95p-2, 0x1.057d13fa7cfcfp-2, 0x1.03a75382342f8p-2, 0x1.01d1730243deap-2, 0x1.fff7038271f55p-3, 0x1.fc4b1d928a79p-3, 0x1.f89f51c5c7ab9p-3, 0x1.f4f3bd2e7c2dep-3, 0x1.f1487c7170afp-3, 0x1.ed9dabda17253p-3, 0x1.e9f36768a83d8p-3, 0x1.e649cad516f13p-3, 0x1.e2a0f18680894p-3, 0x1.def8f6829339fp-3, 0x1.db51f45dcee3p-3, 0x1.d7ac0532e7003p-3, 0x1.d40742a5fe5f9p-3, 0x1.d063c5f1edf11p-3, 0x1.ccc1a7f7a506ep-3, 0x1.c9210149cc921p-3, 0x1.c581ea30d978bp-3, 0x1.c1e47aa6bd8e7p-3, 0x1.be48ca4c06bc7p-3, 0x1.baaef05a9e5a5p-3, 0x1.b717039c68b9ep-3, 0x1.b3811a69b169ap-3, 0x1.afed4ab047ff3p-3, 0x1.ac5ba9fee5c19p-3, 0x1.a8cc4d8fb3e7p-3, 0x1.a53f4a4eafa82p-3, 0x1.a1b4b4dab92b4p-3, 0x1.9e2ca181455dcp-3, 0x1.9aa72435e3f53p-3, 0x1.97245088bf50cp-3, 0x1.93a439a01fc53p-3, 0x1.9026f2381e351p-3, 0x1.8cac8ca856755p-3, 0x1.89351aec4ed36p-3, 0x1.85c0aeaaf682ap-3, 0x1.824f593b58099p-3, 0x1.7ee12ba6056a6p-3, 0x1.7b7636a33459ap-3, 0x1.780e8a95c6548p-3, 0x1.74aa3784b50dcp-3, 0x1.71494d154aed8p-3, 0x1.6debda892ccfp-3, 0x1.6a91eec108facp-3, 0x1.673b984256bbfp-3, 0x1.63e8e53d3ae8ap-3, 0x1.6099e390f30f1p-3, 0x1.5d4ea0ce14b95p-3, 0x1.5a072a3717869p-3, 0x1.56c38cbf24d2ep-3, 0x1.5383d506bb751p-3, 0x1.50480f574d5d4p-3, 0x1.4d10479f95eacp-3, 0x1.49dc89729c985p-3, 0x1.46ace00a04156p-3, 0x1.4381564a63db5p-3, 0x1.4059f6c792cfep-3, 0x1.3d36cbc7b9a39p-3, 0x1.3a17df45128a9p-3, 0x1.36fd3aeed95eep-3, 0x1.33e6e82952a98p-3, 0x1.30d4f00c9a694p-3, 0x1.2dc75b624605bp-3, 0x1.2abe32a2af2d2p-3, 0x1.27b97df36d49p-3, 0x1.24b94528145d9p-3, 0x1.21bd8fc4fa016p-3, 0x1.1ec66502ab213p-3, 0x1.1bd3cbd0bfeb4p-3, 0x1.18e5cad7a534ep-3, 0x1.15fc6879c2449p-3, 0x1.1317aad4575c6p-3, 0x1.103797bffd455p-3, 0x1.0d5c34d05fd1fp-3, 0x1.0a8587530f485p-3, 0x1.07b3944df651cp-3, 0x1.04e6607e68f72p-3, 0x1.021df059bdae7p-3, 0x1.feb4901ecd971p-4, 0x1.f936d717548b9p-4, 0x1.f3c2bcf3c900bp-4, 0x1.ee58488c47e49p-4, 0x1.e8f7803c29c6p-4, 0x1.e3a069e3dc0f2p-4, 0x1.de530aeac149ap-4, 0x1.d90f68407855fp-4, 0x1.d3d5865cf8909p-4, 0x1.cea5693f6883cp-4, 0x1.c97f146cb5434p-4, 0x1.c4628aef2e262p-4, 0x1.bf4fcf587864cp-4, 0x1.ba46e3c561393p-4, 0x1.b547c9e2306b6p-4, 0x1.b05282ee1ef6ap-4, 0x1.ab670fbda622ap-4, 0x1.a68570bc3c989p-4, 0x1.a1ada5ee0565p-4, 0x1.9cdfaef1a229cp-4, 0x1.981b8b0237cc2p-4, 0x1.936138f876b16p-4, 0x1.8eb0b74ad282cp-4, 0x1.8a0a040d09ac5p-4, 0x1.856d1ceffa428p-4, 0x1.80d9ff42c14a9p-4, 0x1.7c50a7f5627d1p-4, 0x1.77d1139c437ecp-4, 0x1.735b3e73646bdp-4, 0x1.6eef24614939bp-4, 0x1.6a8cc0f71f5cdp-4, 0x1.66340f74abe13p-4, 0x1.61e50ac78472fp-4, 0x1.5d9fad8e4356fp-4, 0x1.5963f219e9b96p-4, 0x1.5531d26f6d9d2p-4, 0x1.5109484880d3bp-4, 0x1.4cea4d13d5c5dp-4, 0x1.48d4d9f56a383p-4, 0x1.44c8e7c7ab531p-4, 0x1.40c66f1d7b5f4p-4, 0x1.3ccd6844e3ea2p-4, 0x1.38ddcb49c3573p-4, 0x1.34f78ff7e5f6bp-4, 0x1.311aaddc8e813p-4, 0x1.2d471c47c809ap-4, 0x1.297cd24dff2eep-4, 0x1.25bbc6c8ad1afp-4, 0x1.2203f059305bp-4, 0x1.1e55456a9b5f3p-4, 0x1.1aafbc32237bfp-4, 0x1.17134ab0dda56p-4, 0x1.137fe6b42856dp-4, 0x1.0ff585d61a3a8p-4, 0x1.0c741d7e762a4p-4, 0x1.08fba2e44b98p-4, 0x1.058c0b0ffa884p-4, 0x1.02254add5e9aap-4, 0x1.fd8eadfb40b41p-5, 0x1.f6e447f1702dbp-5, 0x1.f04b4c5da06b2p-5, 0x1.e9c3a3b32c24fp-5, 0x1.e34d361b22761p-5, 0x1.dce7eb770c871p-5, 0x1.d693ab6389006p-5, 0x1.d0505d3a95dcap-5, 0x1.ca1de81543fd5p-5, 0x1.c3fc32cce61b1p-5, 0x1.bdeb23fc1f56fp-5, 0x1.b7eaa20065e78p-5, 0x1.b1fa92fc9f99bp-5, 0x1.ac1adcdcc0925p-5, 0x1.a64b655a55721p-5, 0x1.a08c120047bc9p-5, 0x1.9adcc82e0fe2p-5, 0x1.953d6d1a2d825p-5, 0x1.8fade5d3213c7p-5, 0x1.8a2e17402b615p-5, 0x1.84bde621a443cp-5, 0x1.7f5d37118de2ap-5, 0x1.7a0bee84c1703p-5, 0x1.74c9f0ccbdfeep-5, 0x1.6f97221a5b2cep-5, 0x1.6a7366813adcp-5, 0x1.655ea1fb8f01fp-5, 0x1.6058b86dc83e9p-5, 0x1.5b618daab6187p-5, 0x1.56790576c7cdp-5, 0x1.519f038a924cep-5, 0x1.4cd36b93e3603p-5, 0x1.481621352b0f8p-5, 0x1.4367080375061p-5, 0x1.3ec60383bb876p-5, 0x1.3a32f7288babbp-5, 0x1.35adc650f50c7p-5, 0x1.313654498e216p-5, 0x1.2ccc844fde957p-5, 0x1.2870399829983p-5, 0x1.24215754f59e2p-5, 0x1.1fdfc0bf47ec1p-5, 0x1.1bab591e44f87p-5, 0x1.178403ccf1f1p-5, 0x1.1369a43ceec98p-5, 0x1.0f5c1df5e4921p-5, 0x1.0b5b54919a5bcp-5, 0x1.07672bb57e25dp-5, 0x1.037f870ace4d9p-5, 0x1.ff48946d67b86p-6, 0x1.f7aab1a7d2053p-6, 0x1.f0252cdeae6bap-6, 0x1.e8b7cd11ad2d1p-6, 0x1.e1625930fdbe9p-6, 0x1.da2498308f69bp-6, 0x1.d2fe5121b27bp-6, 0x1.cbef4b4f0f92bp-6, 0x1.c4f74e57c4d12p-6, 0x1.be16224561ee8p-6, 0x1.b74b8f97d9cp-6, 0x1.b0975f45d97a3p-6, 0x1.a9f95ab0fd2aep-6, 0x1.a3714b8ed64dbp-6, 0x1.9cfefbca5962ep-6, 0x1.96a235629f89bp-6, 0x1.905ac24d01e6bp-6, 0x1.8a286c5f50eaap-6, 0x1.840afd46dce4dp-6, 0x1.7e023e8d619cdp-6, 0x1.780df9ac1665p-6, 0x1.722df82c7c9cfp-6, 0x1.6c6203cd638c6p-6, 0x1.66a9e6b0e2f7cp-6, 0x1.61056b820ee6dp-6, 0x1.5b745d959e0b3p-6, 0x1.55f688fb2e50ep-6, 0x1.508bba7df902bp-6, 0x1.4b33bf9398c89p-6, 0x1.45ee663a92f62p-6, 0x1.40bb7ccd53f5p-6, 0x1.3b9ad1d05b86dp-6, 0x1.368c33c30c918p-6, 0x1.318f70faac14cp-6, 0x1.2ca4578d31243p-6, 0x1.27cab54f56ea9p-6, 0x1.230257e6511cdp-6, 0x1.1e4b0ceb039f3p-6, 0x1.19a4a21a34f96p-6, 0x1.150ee58bcdc0fp-6, 0x1.1089a5ea8e3b5p-6, 0x1.0c14b2a54c38fp-6, 0x1.07afdc137575ep-6, 0x1.035af387647e3p-6, 0x1.fe2b9695f3068p-7, 0x1.f5c06d0ac3c58p-7, 0x1.ed741218fa422p-7, 0x1.e5462e4ec0415p-7, 0x1.dd366a9576b21p-7, 0x1.d5446fb07bec2p-7, 0x1.cd6fe5d622ab4p-7, 0x1.c5b8747254f0bp-7, 0x1.be1dc2193f20ep-7, 0x1.b69f74ab7b21fp-7, 0x1.af3d31a4b372fp-7, 0x1.a7f69e898cd12p-7, 0x1.a0cb6166fa6dcp-7, 0x1.99bb21553e44p-7, 0x1.92c586f2764c7p-7, 0x1.8bea3cc99ba83p-7, 0x1.8528ef9b6b3bfp-7, 0x1.7e814e81098e9p-7, 0x1.77f30ae1afbc2p-7, 0x1.717dd837e0fe6p-7, 0x1.6b216ba97808p-7, 0x1.64dd7b7baf409p-7, 0x1.5eb1be73a099fp-7, 0x1.589deb37e0474p-7, 0x1.52a1b7ca1daep-7, 0x1.4cbcd92b86e7ep-7, 0x1.46ef0337eb773p-7, 0x1.4137e8bac455p-7, 0x1.3b973bb6457f6p-7, 0x1.360cadce364e6p-7, 0x1.3097f0c59aaa7p-7, 0x1.2b38b6fe818e9p-7, 0x1.25eeb3f0ab902p-7, 0x1.20b99c90bcd7ep-7, 0x1.1b9927a568774p-7, 0x1.168d0e093fcffp-7, 0x1.11950ad6284c1p-7, 0x1.0cb0db7469e31p-7, 0x1.07e03f86ee66dp-7, 0x1.0322f8aeb4d42p-7, 0x1.fcf1944a45511p-8, 0x1.f3c2f06916b3bp-8, 0x1.eab98f3aa604dp-8, 0x1.e1d4f9fc233c6p-8, 0x1.d914b8a9c5051p-8, 0x1.d078515ced5e8p-8, 0x1.c7ff481aca427p-8, 0x1.bfa91f12830e2p-8, 0x1.b7755732a02c2p-8, 0x1.af6370eb45126p-8, 0x1.a772ecf2c8d41p-8, 0x1.9fa34ce996d9bp-8, 0x1.97f413d08337ap-8, 0x1.9064c65ab3705p-8, 0x1.88f4eb324578ap-8, 0x1.81a40b4a0fa9ep-8, 0x1.7a71b24749607p-8, 0x1.735d6f07a79cep-8, 0x1.6c66d3fe27882p-8, 0x1.658d77aba658bp-8, 0x1.5ed0f461ca4a7p-8, 0x1.5830e7ff3336cp-8, 0x1.51acf3196255ep-8, 0x1.4b44b7f7b2adbp-8, 0x1.44f7d97cc1c8fp-8, 0x1.3ec5fa370c239p-8, 0x1.38aebbc4bd5d4p-8, 0x1.32b1bea290349p-8, 0x1.2ccea2604a73bp-8, 0x1.2705061bdd125p-8, 0x1.21548911cc01bp-8, 0x1.1bbccb1041582p-8, 0x1.163d6ca74d48fp-8, 0x1.10d60f0ded8f3p-8, 0x1.0b8653d36a9eep-8, 0x1.064ddc8e8934p-8, 0x1.012c4ac483abep-8, 0x1.f84280539038ap-9, 0x1.ee58be932dcf6p-9, 0x1.e49a98f1b9ec5p-9, 0x1.db075d9f499fp-9, 0x1.d19e61de363fbp-9, 0x1.c85f02b0c6b77p-9, 0x1.bf48a480d66cdp-9, 0x1.b65ab1d27f0eep-9, 0x1.ad9499625df39p-9, 0x1.a4f5cc2af0ed7p-9, 0x1.9c7dbbc84b5f1p-9, 0x1.942bd983ad286p-9, 0x1.8bff961cd065bp-9, 0x1.83f8622dd2814p-9, 0x1.7c15aee89cc48p-9, 0x1.7456eedf45787p-9, 0x1.6cbb968bf3f3ap-9, 0x1.65431c5e77a24p-9, 0x1.5decf83637376p-9, 0x1.56b8a25976824p-9, 0x1.4fa592353dbf2p-9, 0x1.48b33d52b7e8cp-9, 0x1.41e116f987ddfp-9, 0x1.3b2e90c6535f1p-9, 0x1.349b1c321be1dp-9, 0x1.2e262cb496ebp-9, 0x1.27cf39f5f020ap-9, 0x1.2195c180ffb29p-9, 0x1.1b79478d10f3bp-9, 0x1.157956ba4f768p-9, 0x1.0f957ee876872p-9, 0x1.09cd538dff1ecp-9, 0x1.04206a10da27ep-9, 0x1.fd1cb122b3dfep-10, 0x1.f22d6aaee9017p-10, 0x1.e7722da5d19p-10, 0x1.dcea27e1d75ecp-10, 0x1.d294890b28fdp-10, 0x1.c870834098e4p-10, 0x1.be7d4b7e7d638p-10, 0x1.b4ba19c136f24p-10, 0x1.ab2628dcea50bp-10, 0x1.a1c0b5f30e549p-10, 0x1.9888ff79f6728p-10, 0x1.8f7e43efef60dp-10, 0x1.869fc091fed8fp-10, 0x1.7decb094c8f9cp-10, 0x1.75644d529c741p-10, 0x1.6d05cfa2c7ea9p-10, 0x1.64d07219e75d8p-10, 0x1.5cc3739c51844p-10, 0x1.54de19952c357p-10, 0x1.4d1fb15380348p-10, 0x1.45879059f922cp-10, 0x1.3e1513b00216bp-10, 0x1.36c79e6c5c341p-10, 0x1.2f9e97e0df7c8p-10, 0x1.289969e805eap-10, 0x1.21b77fbcbbb4p-10, 0x1.1af8457b29c87p-10, 0x1.145b2816147e8p-10, 0x1.0ddf95715d637p-10, 0x1.0784fc6f396e5p-10, 0x1.014acceaa1dd2p-10, 0x1.f660ef4f83765p-11, 0x1.ea6adc96d2095p-11, 0x1.deb246d048e8dp-11, 0x1.d336156f53344p-11, 0x1.c7f533198ffcp-11, 0x1.bcee8ec99b27dp-11, 0x1.b2211ca49748p-11, 0x1.a78bd604163c9p-11, 0x1.9d2db8ab3e336p-11, 0x1.9305c5a371c4cp-11, 0x1.8913007eb7c1cp-11, 0x1.7f546f6146db7p-11, 0x1.75c91ba280803p-11, 0x1.6c70127f738ecp-11, 0x1.634865abd359dp-11, 0x1.5a512c07a6cep-11, 0x1.518982c22a573p-11, 0x1.48f08e9d2a838p-11, 0x1.40857c7714f06p-11, 0x1.384780684721bp-11, 0x1.3035d3c09008ap-11, 0x1.284fb2a96c30bp-11, 0x1.20945a4e43dfp-11, 0x1.1903080c8cc32p-11, 0x1.119af9ac3bfdcp-11, 0x1.0a5b6e2760314p-11, 0x1.0343a6424b9e7p-11, 0x1.f8a5c8eed607fp-12, 0x1.eb10d8cb746dfp-12, 0x1.ddc70514b0e72p-12, 0x1.d0c6d9dcc084ep-12, 0x1.c40ee95bce409p-12, 0x1.b79dcf99e2176p-12, 0x1.ab723431df522p-12, 0x1.9f8aca3faab7cp-12, 0x1.93e64e5140166p-12, 0x1.8883832cd3e08p-12, 0x1.7d612f2697c82p-12, 0x1.727e1ab96591bp-12, 0x1.67d91087f560bp-12, 0x1.5d70de17bbda5p-12, 0x1.5344545496b02p-12, 0x1.495247c187992p-12, 0x1.3f999156e3e13p-12, 0x1.361910e32562ap-12, 0x1.2ccfb0cba08cbp-12, 0x1.23bc65219bd29p-12, 0x1.1ade2b6250ecfp-12, 0x1.123402291979ep-12, 0x1.09bce5d0a231ep-12, 0x1.0177d016dc04ep-12, 0x1.f2c77979272b4p-13, 0x1.e2ff5f57c7c28p-13, 0x1.d3956ebd4c3ep-13, 0x1.c487d56d97598p-13, 0x1.b5d4c7c9e3997p-13, 0x1.a77a75c809cf8p-13, 0x1.9977133245346p-13, 0x1.8bc8db8a38ccbp-13, 0x1.7e6e1e7461acep-13, 0x1.716540872d8b7p-13, 0x1.64acb7dd5bae4p-13, 0x1.5843056af46e4p-13, 0x1.4c26ade5cebe1p-13, 0x1.4056337d3d605p-13, 0x1.34d01123ccfcdp-13, 0x1.2992b8879effap-13, 0x1.1e9c93f7cf1e3p-13, 0x1.13ec0cc3de746p-13, 0x1.097f94b78e7ep-13, 0x1.feab5de68b0a1p-14, 0x1.ead9e736fef1ap-14, 0x1.d7881a43feb9cp-14, 0x1.c4b367af022d7p-14, 0x1.b2595c2b79d9ep-14, 0x1.a077a6153fc93p-14, 0x1.8f0c0934f468ep-14, 0x1.7e143411f6963p-14, 0x1.6d8d92159b042p-14, 0x1.5d754a315b2c1p-14, 0x1.4dc879cc0f9c6p-14, 0x1.3e84861f1b26ep-14, 0x1.2fa746b09a8afp-14, 0x1.212ee6514daa3p-14, 0x1.131991f53b3d8p-14, 0x1.0565381271fc3p-14, 0x1.f01f166614bcp-15, 0x1.d62c7405d0bap-15, 0x1.bcee49cdacc06p-15, 0x1.a460dabe30f81p-15, 0x1.8c80cd7d57e0ap-15, 0x1.754b001db2d0bp-15, 0x1.5ebc67a8c414dp-15, 0x1.48d1f921dba04p-15, 0x1.338892a23ae07p-15, 0x1.1edce37f0142ap-15, 0x1.0acb5c6d8337ap-15, 0x1.eea064e868acep-16, 0x1.c8cef030d8356p-16, 0x1.a41a86f6a0edcp-16, 0x1.807ba98433p-16, 0x1.5deb625e7c3dp-16, 0x1.3c635bf2522a1p-16, 0x1.1bddc9c36513bp-16, 0x1.f8aa2e263411p-17, 0x1.bb86f480cb0a5p-17, 0x1.8045bacbd5781p-17, 0x1.46dafa3ccb31p-17, 0x1.0f3d89dcc9fc2p-17, 0x1.b2cc91d1c2ffep-18, 0x1.4a99da3c4ad04p-18, 0x1.cb950f13b7b04p-19, 0x1.088284fb8b5dfp-19, 0x1.2f2698c284dd6p-21, -0x1.aad1b5e08e25p-21, -0x1.1b0ab4806cd31p-19, -0x1.c55384a583074p-19, -0x1.34ddba7e6089ap-18, -0x1.843cca6c66c7ep-18, -0x1.d0dff6a60744p-18, -0x1.0d6d168dde0d3p-17, -0x1.311cea09371e2p-17, -0x1.5385be76d9d5bp-17, -0x1.74ad8fe00c6b5p-17, -0x1.949a0d7f71664p-17, -0x1.b35097a5fd492p-17, -0x1.d0d69c3695a65p-17, -0x1.ed3238b9222f2p-17, -0x1.043567d365737p-16, -0x1.114481ec48fd7p-16, -0x1.1dcb04e79e42p-16, -0x1.29cd58ab98323p-16, -0x1.354f56d178a24p-16, -0x1.40543aa4b42afp-16, -0x1.4adeddecd4999p-16, -0x1.54f22d6ac161fp-16, -0x1.5e919d50749a8p-16, -0x1.67c1398e59145p-16, -0x1.70851b0f932ffp-16, -0x1.78e0ad852636ep-16, -0x1.80d6852b872fp-16, -0x1.8868dca8b60f4p-16, -0x1.8f99e030a9d07p-16, -0x1.966b207d9d243p-16, -0x1.9cdd2ba35ee75p-16, -0x1.a2f0eec15e2e7p-16, -0x1.a8a9b351723e5p-16, -0x1.ae0c6229ff86fp-16, -0x1.b31c64c8f7de3p-16, -0x1.b7da743d0f911p-16, -0x1.bc472279beep-16, -0x1.c06594b2800dp-16, -0x1.c43aa7a49bbc7p-16, -0x1.c7ca37150df34p-16, -0x1.cb164a20d101bp-16, -0x1.ce20220a4b582p-16, -0x1.d0e924d01529ap-16, -0x1.d372eaf521377p-16, -0x1.d5bedd0f29a1ep-16, -0x1.d7cde3dc1ed0fp-16, -0x1.d9a07ef2a85c8p-16, -0x1.db3748c3da645p-16, -0x1.dc93bd38c97f7p-16, -0x1.ddb8852e87ea2p-16, -0x1.dea8ded10ab2fp-16, -0x1.df679ea545f61p-16, -0x1.dff666e8608c8p-16, -0x1.e055dc9aedc35p-16, -0x1.e086cb69cce51p-16, -0x1.e08b1a7b135a8p-16, -0x1.e06574605e37ep-16, -0x1.e01815cc99a95p-16, -0x1.dfa43028a554ap-16, -0x1.df0a4ea9ae176p-16, -0x1.de4b0034df3e6p-16, -0x1.dd671da2e9344p-16, -0x1.dc5fa9417dcf3p-16, -0x1.db35a4d8f9ef8p-16, -0x1.d9ea3634304b7p-16, -0x1.d87f14e107b54p-16, -0x1.d6f69e27d029bp-16, -0x1.d552c0616048cp-16, -0x1.d3938e0e2856dp-16, -0x1.d1b843b2c7184p-16, -0x1.cfc1e263a701dp-16, -0x1.cdb259e2a9893p-16, -0x1.cb89fa00d8265p-16, -0x1.c948da1a662afp-16, -0x1.c6f1576e22e9cp-16, -0x1.c486745fc915cp-16, -0x1.c2098922005aep-16, -0x1.bf7adbb085d59p-16, -0x1.bcdada403a76ep-16, -0x1.ba2a2929fa076p-16, -0x1.b769058d31fcfp-16, -0x1.b496ef3e92f8ap-16, -0x1.b1b34a13b95b1p-16, -0x1.aebea5bb7f262p-16, -0x1.abbb19b04f3f5p-16, -0x1.a8aae07941b14p-16, -0x1.a58eb73fc6e6cp-16, -0x1.a2661cded490cp-16, -0x1.9f31442fd1711p-16, -0x1.9bf1c59e21108p-16, -0x1.98a97a819465fp-16, -0x1.95590e6431512p-16, -0x1.9200589e8f6d6p-16, -0x1.8e9f31e07dc36p-16, -0x1.8b35cf8459c0dp-16, -0x1.87c4ae530e9c5p-16, -0x1.844c65fdd6ae7p-16, -0x1.80cd8dc17e688p-16, -0x1.7d48b3fb9023dp-16, -0x1.79be6065bca67p-16, -0x1.762f18bc80ec3p-16, -0x1.729b6064cba98p-16, -0x1.6f03ae644995ep-16, -0x1.6b685edf677b1p-16, -0x1.67c9b5c07c895p-16, -0x1.64280976650bp-16, -0x1.60840adbc613dp-16, -0x1.5cdee1181fb25p-16, -0x1.59395e2e80a29p-16, -0x1.5592e9402c9d3p-16, -0x1.51ea91536ce7bp-16, -0x1.4e409ffef883ap-16, -0x1.4a958143e505bp-16, -0x1.46e9ff4e14f23p-16, -0x1.433fcf70a9705p-16, -0x1.3f97d26eb1764p-16, -0x1.3bf1d0927de64p-16, -0x1.384d3c7b83edfp-16, -0x1.34a95a93dc812p-16, -0x1.3105edea824cbp-16, -0x1.2d63dfed0f6c9p-16, -0x1.29c426e1ef7d4p-16, -0x1.26268fd4d5319p-16, -0x1.228ad450565e9p-16, -0x1.1ef1e01b14fc5p-16, -0x1.1b5cbf78ad456p-16, -0x1.17cb837384515p-16, -0x1.143dc8092c47fp-16, -0x1.10b3614114b2cp-16, -0x1.0d2c6c5e28157p-16, -0x1.09a925f2bd077p-16, -0x1.0629cd3b2b839p-16, -0x1.02ae9a8871dfap-16, }}, 
      {{-0x1.16eedc40ec85p+0, -0x1.ee5d2e3467f11p-1, -0x1.a3d7bbd2b7593p-1, -0x1.5b43adb64791p-1, -0x1.1af8f33e55742p-1, -0x1.cab86519d1946p-2, -0x1.75292d94323bep-2, -0x1.333ab0ae344bbp-2, -0x1.01d8957b73839p-2, -0x1.bb4f6755706bbp-3, -0x1.86e6e4b8ce76cp-3, -0x1.60ca67732534ep-3, -0x1.4435e48d6bb4bp-3, -0x1.2d5520f21c30bp-3, -0x1.1934dfda3121ap-3, -0x1.05a96028f89d4p-3, -0x1.e26164958676bp-4, -0x1.b5a976690aecep-4, -0x1.841e0399dc259p-4, -0x1.4d5eb8d21ef98p-4, -0x1.118bec83a0c2dp-4, -0x1.a2430c68cb54bp-5, -0x1.19b0ebf08f6c8p-5, -0x1.1638acbdbbd92p-6, 0x1.e753822043654p-11, 0x1.3932cb356aeb1p-6, 0x1.3205baa460335p-5, 0x1.c62fb84b3c85fp-5, 0x1.2bc73d2e34eeap-4, 0x1.7264613cf6bd5p-4, 0x1.b65bdebd74f78p-4, 0x1.f733afc57bbd3p-4, 0x1.1a453eff9a7a8p-3, 0x1.370b27de899e6p-3, 0x1.51d1660648fe2p-3, 0x1.6a879ff161ebap-3, 0x1.812642413585ap-3, 0x1.95ad6f7e2241cp-3, 0x1.a823f50614136p-3, 0x1.b8964b3353048p-3, 0x1.c715a4c57715ep-3, 0x1.d3b71011b58eap-3, 0x1.de92ab57dcbacp-3, 0x1.e7c2ecbc1b35bp-3, 0x1.ef63fdbd389dep-3, 0x1.f593298f8509p-3, 0x1.fa6e5d83e4a3cp-3, 0x1.fe13ba72e986cp-3, 0x1.00509aec5a3d7p-2, 0x1.011a24a95be6ep-2, 0x1.0174d7a437be2p-2, 0x1.016e95e87febfp-2, 0x1.0114b038f2b89p-2, 0x1.0073d4c0fb9bcp-2, 0x1.ff30035fb2bb1p-3, 0x1.fd18f7b5cfb0fp-3, 0x1.fab791709013fp-3, 0x1.f81f572cb376p-3, 0x1.f5624a14522fep-3, 0x1.f290e792787cep-3, 0x1.efba3028dc8fep-3, 0x1.ecebaf0ef933bp-3, 0x1.ea3188a413605p-3, 0x1.e79686c742fd7p-3, 0x1.e5242972a9915p-3, 0x1.e2e2b51c957p-3, 0x1.e0d943abaadc8p-3, 0x1.df0dd4d72e4cp-3, 0x1.dd8560c478ed7p-3, 0x1.dc43e97d076bcp-3, 0x1.db4c8d2743aa7p-3, 0x1.daa196bd68b4cp-3, 0x1.da448e60773ep-3, 0x1.da3648e141a5dp-3, 0x1.da76f6f2f52f6p-3, 0x1.db0634082bd13p-3, 0x1.dbe314dbf8efap-3, 0x1.dd0c357d5dbacp-3, 0x1.de7fc6bb70393p-3, 0x1.e03b9ad32d3f1p-3, 0x1.e23d3156f2f23p-3, 0x1.e481c254a8f84p-3, 0x1.e70648c64ea6fp-3, 0x1.e9c78c5f40699p-3, 0x1.ecc22abcddeb1p-3, 0x1.eff2a003fa451p-3, 0x1.f3554ee6e97a6p-3, 0x1.f6e6881209e0cp-3, 0x1.faa290fbd09dep-3, 0x1.fe85aa140325dp-3, 0x1.01460a2c8cfd4p-2, 0x1.03590b2afb698p-2, 0x1.057a0049ae508p-2, 0x1.07a718c3aa1bbp-2, 0x1.09de8c856d454p-2, 0x1.0c1e9db0b5178p-2, 0x1.0e6599ece2f1dp-2, 0x1.10b1db864a229p-2, 0x1.1301ca61c9902p-2, 0x1.1553dcc480d07p-2, 0x1.17a697f49a5b6p-2, 0x1.19f890b4a2702p-2, 0x1.1c486b9dff31cp-2, 0x1.1e94dd5a715b2p-2, 0x1.20dcaac64932p-2, 0x1.231ea8f5f7ef3p-2, 0x1.2559bd2aa700ap-2, 0x1.278cdcb2c417ap-2, 0x1.29b70cba04893p-2, 0x1.2bd7620e7e2ap-2, 0x1.2ded00d44fb47p-2, 0x1.2ff71c347fe3ep-2, 0x1.31f4f5fbf93f2p-2, 0x1.33e5de354a3e2p-2, 0x1.35c932bb88dacp-2, 0x1.379e5ec290397p-2, 0x1.3964da60648c1p-2, 0x1.3b1c2a0e3a6dbp-2, 0x1.3cc3de29c3bb1p-2, 0x1.3e5b9275f6479p-2, 0x1.3fe2ed992cd51p-2, 0x1.4159a0a16a962p-2, 0x1.42bf66852d525p-2, 0x1.441403a94acebp-2, 0x1.4557456c59e66p-2, 0x1.468901ae54f2fp-2, 0x1.47a91661ce5b4p-2, 0x1.48b769200aa4dp-2, 0x1.49b3e6b9e6ba2p-2, 0x1.4a9e82d482692p-2, 0x1.4b7737867b94p-2, 0x1.4c3e04f222021p-2, 0x1.4cf2f0ecb710cp-2, 0x1.4d9606a584ee6p-2, 0x1.4e275648fc905p-2, 0x1.4ea6f4b1d5638p-2, 0x1.4f14fb1b913a5p-2, 0x1.4f7186ceab8d2p-2, 0x1.4fbcb8da96ff4p-2, 0x1.4ff6b5d531789p-2, 0x1.501fa5912a092p-2, 0x1.5037b2ded9408p-2, 0x1.503f0b589df87p-2, 0x1.5035df2592dc4p-2, 0x1.501c60bf2ac5p-2, 0x1.4ff2c4c779632p-2, 0x1.4fb941dab30d5p-2, 0x1.4f7010599f294p-2, 0x1.4f176a43b67a8p-2, 0x1.4eaf8b1789ce6p-2, 0x1.4e38afa6bf12p-2, 0x1.4db315ee85753p-2, 0x1.4d1efcfffd234p-2, 0x1.4c7ca4e3f0144p-2, 0x1.4bcc4e74f6f41p-2, 0x1.4b0e3b448115p-2, 0x1.4a42ad8a8bf7cp-2, 0x1.4969e80cb468fp-2, 0x1.48842dffbe918p-2, 0x1.4791c2f473dc2p-2, 0x1.4692eacb88182p-2, 0x1.4587e9a1ef783p-2, 0x1.447103b89f2bap-2, 0x1.434e7d64b188p-2, 0x1.42209b06ec09fp-2, 0x1.40e7a0fec34a3p-2, 0x1.3fa3d396dc166p-2, 0x1.3e5576f58f0aep-2, 0x1.3cfccf16d961bp-2, 0x1.3b9a1fc6abe01p-2, 0x1.3a2dac925788dp-2, 0x1.38b7b8b8040d6p-2, 0x1.373887206309cp-2, 0x1.35b05a5ee61ddp-2, 0x1.341f74aa1b8d8p-2, 0x1.328617cb5350ap-2, 0x1.30e48514aad82p-2, 0x1.2f3afd634a1f2p-2, 0x1.2d89c11fccc79p-2, 0x1.2bd1103234dfdp-2, 0x1.2a1129f40b764p-2, 0x1.284a4d2ecd4c6p-2, 0x1.267cb82141c04p-2, 0x1.24a8a87c0ac04p-2, 0x1.22ce5b547b026p-2, 0x1.20ee0d1c79b3p-2, 0x1.1f07f9a5da50ep-2, 0x1.1d1c5c262bb93p-2, 0x1.1b2b6f30742fep-2, 0x1.19356caa96052p-2, 0x1.173a8dca4faefp-2, 0x1.153b0b19a05e3p-2, 0x1.13371c77b901ap-2, 0x1.112ef9121b4b7p-2, 0x1.0f22d75da40bap-2, 0x1.0d12ed1706c57p-2, 0x1.0aff6f46bcd69p-2, 0x1.08e8923f7e7abp-2, 0x1.06ce899749a09p-2, 0x1.04b188233d8bbp-2, 0x1.0291bffabd79p-2, 0x1.006f627bd0cdap-2, 0x1.fc954090ad4b1p-3, 0x1.f847527c33c6fp-3, 0x1.f3f558e5d1452p-3, 0x1.ef9fb0731921fp-3, 0x1.eb46b4516a4dfp-3, 0x1.e6eabe3402b87p-3, 0x1.e28c26416c24fp-3, 0x1.de2b430534831p-3, 0x1.d9c8697706531p-3, 0x1.d563ed0f2bea7p-3, 0x1.d0fe1fd09e11bp-3, 0x1.cc97523bb4694p-3, 0x1.c82fd336e5f96p-3, 0x1.c3c7f00770979p-3, 0x1.bf5ff462f94cp-3, 0x1.baf82a882570cp-3, 0x1.b690db44acf6fp-3, 0x1.b22a4de27c778p-3, 0x1.adc4c80f3676fp-3, 0x1.a9608dd823b2dp-3, 0x1.a4fde1c036c9cp-3, 0x1.a09d04dbad2b9p-3, 0x1.9c3e36d794909p-3, 0x1.97e1b5e751505p-3, 0x1.9387beaabe0bcp-3, 0x1.8f308c26e66bep-3, 0x1.8adc57da2eebcp-3, 0x1.868b59daf067bp-3, 0x1.823dc8e6bd195p-3, 0x1.7df3da56e7933p-3, 0x1.79adc206b8683p-3, 0x1.756bb243e8186p-3, 0x1.712ddbd91ac0ep-3, 0x1.6cf46e2b6cbfep-3, 0x1.68bf97540cacbp-3, 0x1.648f842353dedp-3, 0x1.6064600e08294p-3, 0x1.5c3e5516da699p-3, 0x1.581d8bc8c93fcp-3, 0x1.54022b495458bp-3, 0x1.4fec59762d224p-3, 0x1.4bdc3af9ba1p-3, 0x1.47d1f34a0cf67p-3, 0x1.43cda496ccc81p-3, 0x1.3fcf6fb6d56eap-3, 0x1.3bd77425fc0bdp-3, 0x1.37e5d0170917ap-3, 0x1.33faa08efeb66p-3, 0x1.30160178a30f9p-3, 0x1.2c380da6140b9p-3, 0x1.2860dec32eb65p-3, 0x1.24908d45a6a7dp-3, 0x1.20c73068af124p-3, 0x1.1d04de39a6c16p-3, 0x1.1949abaf7ab9cp-3, 0x1.1595acbf895d9p-3, 0x1.11e8f465c7faap-3, 0x1.0e43949eafa3fp-3, 0x1.0aa59e5a6fc56p-3, 0x1.070f217499f7p-3, 0x1.03802cb8399aep-3, 0x1.fff19be00e70ap-4, 0x1.f8f223f59d734p-4, 0x1.f20209b4b017fp-4, 0x1.eb21636e92299p-4, 0x1.e45045b6a9081p-4, 0x1.dd8ec3506630fp-4, 0x1.d6dced26ddf67p-4, 0x1.d03ad2581569ep-4, 0x1.c9a8805169356p-4, 0x1.c32602f108858p-4, 0x1.bcb3649ec917ep-4, 0x1.b650ae550f2d9p-4, 0x1.affde79b3205ap-4, 0x1.a9bb1679c464fp-4, 0x1.a3883f7422711p-4, 0x1.9d65658f6441cp-4, 0x1.97528a66f2905p-4, 0x1.914fae475c1cdp-4, 0x1.8b5cd045b8207p-4, 0x1.8579ee4cff3b6p-4, 0x1.7fa7052038c6dp-4, 0x1.79e41055230a5p-4, 0x1.74310a4e477d6p-4, 0x1.6e8dec3bb3527p-4, 0x1.68faae25e742bp-4, 0x1.63774700cdf14p-4, 0x1.5e03acc08a4e1p-4, 0x1.589fd46a38088p-4, 0x1.534bb21d76962p-4, 0x1.4e073916b4c7p-4, 0x1.48d25bad0a22fp-4, 0x1.43ad0b4fa090fp-4, 0x1.3e973887e9ee2p-4, 0x1.3990d302c7afp-4, 0x1.3499c99ef82d6p-4, 0x1.2fb20a7cffc6dp-4, 0x1.2ad9830c9118ap-4, 0x1.261020159226bp-4, 0x1.2155cdbc707dp-4, 0x1.1caa7782d7f83p-4, 0x1.180e08471e4afp-4, 0x1.13806a4573839p-4, 0x1.0f01871d43dddp-4, 0x1.0a9147dadc1ecp-4, 0x1.062f95032a5fcp-4, 0x1.01dc569edde1p-4, 0x1.fb2ee886860aep-5, 0x1.f2c1aa30b0d15p-5, 0x1.ea70bfb87916bp-5, 0x1.e23bf5c930cccp-5, 0x1.da23183eda241p-5, 0x1.d225f22a5df29p-5, 0x1.ca444ddb31ff1p-5, 0x1.c27df4ee3def4p-5, 0x1.bad2b05eefa4ap-5, 0x1.b342489730d84p-5, 0x1.abcc857c7ec4bp-5, 0x1.a4712e79ee629p-5, 0x1.9d300a8737f5cp-5, 0x1.9608e02d1b8b5p-5, 0x1.8efb75882cfa1p-5, 0x1.8807904c32411p-5, 0x1.812cf5ca40e1dp-5, 0x1.7a6b6afa6918ep-5, 0x1.73c2b48789212p-5, 0x1.6d3296db19c7fp-5, 0x1.66bad6275df0ap-5, 0x1.605b366fd0702p-5, 0x1.5a137b900b024p-5, 0x1.53e369411846cp-5, 0x1.4dcac31d506f5p-5, 0x1.47c94ca33f49ap-5, 0x1.41dec938d04d3p-5, 0x1.3c0afc302aba5p-5, 0x1.364da8ceaf6e1p-5, 0x1.30a69255227bfp-5, 0x1.2b157c07a8182p-5, 0x1.259a2934aa251p-5, 0x1.20345d3aa7717p-5, 0x1.1ae3db8d4443ap-5, 0x1.15a867b9adc9bp-5, 0x1.1081c56a15516p-5, 0x1.0b6fb8685b365p-5, 0x1.067204a05a1bbp-5, 0x1.01886e22c863ap-5, 0x1.f96572527e2b6p-6, 0x1.efe15436ac0dbp-6, 0x1.e6840b2815e4ap-6, 0x1.dd4d20cd2830bp-6, 0x1.d43c1f44f9eacp-6, 0x1.cb50912e56a95p-6, 0x1.c28a01ae474a5p-6, 0x1.b9e7fc75e7e15p-6, 0x1.b16a0dc74f17ep-6, 0x1.a90fc27949c94p-6, 0x1.a0d8a7fa7e9f2p-6, 0x1.98c44c54f64e1p-6, 0x1.90d23e32f42fep-6, 0x1.89020ce50f0abp-6, 0x1.81534868c5b1bp-6, 0x1.79c5816e5f812p-6, 0x1.7258495dd1a27p-6, 0x1.6b0b325af02c3p-6, 0x1.63ddcf493cbd4p-6, 0x1.5ccfb3cf826ddp-6, 0x1.55e0745b26755p-6, 0x1.4f0fa622be559p-6, 0x1.485cdf27efc54p-6, 0x1.41c7b63903e65p-6, 0x1.3b4fc2f2e1ed9p-6, 0x1.34f49dc3aaef7p-6, 0x1.2eb5dfee15c7ep-6, 0x1.2893238cd6448p-6, 0x1.228c03957b171p-6, 0x1.1ca01bdabcee1p-6, 0x1.16cf090e5268bp-6, 0x1.111868c299d1fp-6, 0x1.0b7bd96c4b4d5p-6, 0x1.05f8fa63d52a4p-6, 0x1.008f6be68c966p-6, 0x1.f67d9e2ea055ap-7, 0x1.ec0d8bfda2364p-7, 0x1.e1cde717e3013p-7, 0x1.d7bdf728cafe9p-7, 0x1.cddd05aba8fa1p-7, 0x1.c42a5dee54656p-7, 0x1.baa54d13a979ep-7, 0x1.b14d2214321b7p-7, 0x1.a8212dc03b3dap-7, 0x1.9f20c2be236abp-7, 0x1.964b358cc0618p-7, 0x1.8d9fdc81a52aep-7, 0x1.851e0fc9fda69p-7, 0x1.7cc5296a24fddp-7, 0x1.7494853cf17e2p-7, 0x1.6c8b80f283332p-7, 0x1.64a97c0f128p-7, 0x1.5cedd7e9fb3d4p-7, 0x1.5557f7ad0cccdp-7, 0x1.4de740541c539p-7, 0x1.469b18ac4359dp-7, 0x1.3f72e95294eb7p-7, 0x1.386e1cb29537cp-7, 0x1.318c1f045fd89p-7, 0x1.2acc5e4a67142p-7, 0x1.242e4a51a34adp-7, 0x1.1db154ae1b0d8p-7, 0x1.1754f0b959c11p-7, 0x1.111893926a212p-7, 0x1.0afbb41a05406p-7, 0x1.04fdcaeffa1c8p-7, 0x1.fe3ca4e08de48p-8, 0x1.f2b98d5fc6aa5p-8, 0x1.e7714af3dab78p-8, 0x1.dc62dc9a53f15p-8, 0x1.d18d44b3418aap-8, 0x1.c6ef88fcf4749p-8, 0x1.bc88b28fccb2cp-8, 0x1.b257cdd9d1343p-8, 0x1.a85bea9a3879bp-8, 0x1.9e941bdbf8689p-8, 0x1.94ff77efa0d91p-8, 0x1.8b9d18641a6a5p-8, 0x1.826c19fe595f3p-8, 0x1.796b9cb07d45ap-8, 0x1.709ac39111447p-8, 0x1.67f8b4d2ddee6p-8, 0x1.5f8499be3713fp-8, 0x1.573d9eabf20b1p-8, 0x1.4f22f301c4891p-8, 0x1.4733c93001ec8p-8, 0x1.3f6f56adf1a5p-8, 0x1.37d4d3f5ce11bp-8, 0x1.30637c7e60925p-8, 0x1.291a8eb20b39fp-8, 0x1.21f94be3a697cp-8, 0x1.1afef8423522ap-8, 0x1.142adacc009e6p-8, 0x1.0d7c3d4301f45p-8, 0x1.06f26c234834bp-8, 0x1.008cb69c8d561p-8, 0x1.f494dd1d7e007p-9, 0x1.e855d112e03dap-9, 0x1.dc5af79916abcp-9, 0x1.d0a30491b94bep-9, 0x1.c52cb13dde71ap-9, 0x1.b9f6bc34a3d32p-9, 0x1.aeffe9515ea42p-9, 0x1.a44701980560fp-9, 0x1.99cad3133bdbdp-9, 0x1.8f8a30ade5202p-9, 0x1.8583f20dfb47ep-9, 0x1.7bb6f3753fa39p-9, 0x1.722215ab5a806p-9, 0x1.68c43df4a074bp-9, 0x1.5f9c56149e455p-9, 0x1.56a94c5aa7e7bp-9, 0x1.4dea13b449676p-9, 0x1.455da3beaf366p-9, 0x1.3d02f8d2001f6p-9, 0x1.34d9140066b37p-9, 0x1.2cdefb0608d22p-9, 0x1.2513b8284e677p-9, 0x1.1d765a079a23ap-9, 0x1.1605f3679294cp-9, 0x1.0ec19af573697p-9, 0x1.07a86b140e7ccp-9, 0x1.00b981b46576fp-9, 0x1.f3e800812bda1p-10, 0x1.e6ae17368ce57p-10, 0x1.d9c398626ee57p-10, 0x1.cd26dc3408a4bp-10, 0x1.c0d64287d78dcp-10, 0x1.b4d03336eba51p-10, 0x1.a9131e5252712p-10, 0x1.9d9d7c401f0b3p-10, 0x1.926dcda99ebb6p-10, 0x1.87829b352e5cep-10, 0x1.7cda7514de4c7p-10, 0x1.7273f27559d7cp-10, 0x1.684db0dea0c67p-10, 0x1.5e66539ce96e5p-10, 0x1.54bc83452a706p-10, 0x1.4b4eed65f3e68p-10, 0x1.421c446db05f2p-10, 0x1.39233fc83f4bap-10, 0x1.30629c2953f82p-10, 0x1.27d91bff77d3dp-10, 0x1.1f8587ecb8024p-10, 0x1.1766af41ca8dcp-10, 0x1.0f7b68583e1bcp-10, 0x1.07c290c1a8941p-10, 0x1.003b0d3c14a93p-10, 0x1.f1c792d305b29p-11, 0x1.e3776e9f1a819p-11, 0x1.d5839d5baea45p-11, 0x1.c7ea188380a2bp-11, 0x1.baa8e2214f95dp-11, 0x1.adbe03a193613p-11, 0x1.a1278d06d0461p-11, 0x1.94e39498e05f5p-11, 0x1.88f0370fc5d83p-11, 0x1.7d4b982efaf34p-11, 0x1.71f3e3b3c3db1p-11, 0x1.66e74e72d3214p-11, 0x1.5c24177c88aacp-11, 0x1.51a8891d5ccdfp-11, 0x1.4772f9954ca71p-11, 0x1.3d81cb664557ap-11, 0x1.33d36d26168p-11, 0x1.2a6658cf79acp-11, 0x1.2139129fdc3e2p-11, 0x1.184a27a2f0345p-11, 0x1.0f982c1af1cdap-11, 0x1.0721b9fbd5a88p-11, 0x1.fdcadf5b43799p-12, 0x1.edc3de7874c4ap-12, 0x1.de2bbc1984177p-12, 0x1.ceffca2c00884p-12, 0x1.c03d6313124a5p-12, 0x1.b1e1eb9dbce69p-12, 0x1.a3ead552f6f6fp-12, 0x1.9655a0c9e5d1p-12, 0x1.891fdfcafc505p-12, 0x1.7c47370373975p-12, 0x1.6fc95f191263ap-12, 0x1.63a424fc90c33p-12, 0x1.57d56960033a4p-12, 0x1.4c5b1f4d93f11p-12, 0x1.413349f0cd181p-12, 0x1.365bf9c6fe108p-12, 0x1.2bd349861e4a9p-12, 0x1.21975b19ad2f5p-12, 0x1.17a6551ccc785p-12, 0x1.0dfe612384032p-12, 0x1.049dab03990acp-12, 0x1.f704c247c2ab7p-13, 0x1.e5556b5887546p-13, 0x1.d429c09f6888p-13, 0x1.c37e40c03822p-13, 0x1.b34f7dbce8198p-13, 0x1.a39a20a240634p-13, 0x1.945aec8347bffp-13, 0x1.858ec0af2d543p-13, 0x1.77329a1d00949p-13, 0x1.69439402f16bbp-13, 0x1.5bbee77c7cd91p-13, 0x1.4ea1ea1dcca1fp-13, 0x1.41ea0b5d51482p-13, 0x1.3594d0dbfb644p-13, 0x1.299fd1d122d14p-13, 0x1.1e08b20db86bdp-13, 0x1.12cd1d402874p-13, 0x1.07eac31bc2e3ep-13, 0x1.fabea9ef636f6p-14, 0x1.e6510a4da70bap-14, 0x1.d2880ff8ece42p-14, 0x1.bf5f2c2be299ap-14, 0x1.acd1de8cb9f0dp-14, 0x1.9adbbaf74eb61p-14, 0x1.89786e2c465bdp-14, 0x1.78a3c0f62d60ap-14, 0x1.685999f9b4ccdp-14, 0x1.5895fed5a889cp-14, 0x1.495515567c084p-14, 0x1.3a93252deb62fp-14, 0x1.2c4c99ddae17cp-14, 0x1.1e7e055415e6ap-14, 0x1.11241f808e66bp-14, 0x1.043bc6b9f69bcp-14, 0x1.ef83f68344843p-15, 0x1.d767b3daf79fap-15, 0x1.c01d29eb78979p-15, 0x1.a99ed92e59d2fp-15, 0x1.93e751bff4f37p-15, 0x1.7ef12b72e5683p-15, 0x1.6ab7036d8b12fp-15, 0x1.57337ef3eac03p-15, 0x1.446151ab9dbe5p-15, 0x1.323b44e928eb9p-15, 0x1.20bc3d76bed92p-15, 0x1.0fdf3e0d46143p-15, 0x1.ff3ecbfbf1a0bp-16, 0x1.dfefda6d75bbp-16, 0x1.c1c83fc0b218fp-16, 0x1.a4beb80f99e7ep-16, 0x1.88ca273720267p-16, 0x1.6de1a58be2112p-16, 0x1.53fc92b43a246p-16, 0x1.3b12aa2fe00d3p-16, 0x1.231c12f90ab6bp-16, 0x1.0c1165ae649a3p-16, 0x1.ebd74defdb8f8p-17, 0x1.c1486f3ca242ap-17, 0x1.98697c6d04e95p-17, 0x1.712e202122c9ap-17, 0x1.4b8a3d37c360bp-17, 0x1.2771d8f275a3ep-17, 0x1.04d915ffb5c9ep-17, 0x1.c7687a042d4f3p-18, 0x1.87ef98fb4c9c6p-18, 0x1.4b3112c296b6dp-18, 0x1.1117138569c91p-18, 0x1.b318d5aff2c35p-19, 0x1.48f8ea4e99c24p-19, 0x1.c74bc3490c6ap-20, 0x1.05ef2b5257d7fp-20, 0x1.362f3d14e69ebp-22, -0x1.88bb10c33d225p-22, -0x1.0990ead659a38p-20, -0x1.a8ea0dea9a4bp-20, -0x1.2043b72b299e7p-19, -0x1.6859739e10563p-19, -0x1.acd8fe4a7fb92p-19, -0x1.ede2b96580bf8p-19, -0x1.15ca612669069p-18, -0x1.3305a79a097d9p-18, -0x1.4eb09909c9cfp-18, -0x1.68d82d15c86efp-18, -0x1.818919bafea2p-18, -0x1.98cfea8fc2696p-18, -0x1.aeb9017b6fcdap-18, -0x1.c3508a0b34035p-18, -0x1.d6a269049bedap-18, -0x1.e8ba2f33b125p-18, -0x1.f9a311bc33e2ap-18, -0x1.04b3f4534327p-17, -0x1.0c0999d44323ep-17, -0x1.12d793008fd7ep-17, -0x1.1922dc7b81c37p-17, -0x1.1ef061498f55fp-17, -0x1.24450572ad4b9p-17, -0x1.2925ac36db86ep-17, -0x1.2d9736cacd318p-17, -0x1.319e7a69bbedp-17, -0x1.35402fee089e7p-17, -0x1.3880e14d6600dp-17, -0x1.3b64da0703367p-17, -0x1.3df01e09b2536p-17, -0x1.4026687ffcac1p-17, -0x1.420b31fb92504p-17, -0x1.43a1bc60db59ep-17, -0x1.44ed2187a7759p-17, -0x1.45f060d28ca5cp-17, -0x1.46ae68a78d929p-17, -0x1.472a1ac39efcbp-17, -0x1.47664cc4558edp-17, -0x1.4765c7051a284p-17, -0x1.472b435ebbc91p-17, -0x1.46b96c374f86bp-17, -0x1.4612dbf7da1cdp-17, -0x1.453a1cdeea7a6p-17, -0x1.4431a90387e04p-17, -0x1.42fbe9e321fb2p-17, -0x1.419b36d590366p-17, -0x1.4011d29edbaf8p-17, -0x1.3e61e987a58d5p-17, -0x1.3c8d916558bdbp-17, -0x1.3a96cc0af099p-17, -0x1.387f8ad825b13p-17, -0x1.3649b1530ec08p-17, -0x1.33f715b3367b5p-17, -0x1.31897fb57bdd9p-17, -0x1.2f02a72322f59p-17, -0x1.2c6432957bf06p-17, -0x1.29afb5cfbc8f8p-17, -0x1.26e6aeed63b16p-17, -0x1.240a834582df6p-17, -0x1.211c7e866ef34p-17, -0x1.1e1dd5723fce4p-17, -0x1.1b0fac01bcf39p-17, -0x1.17f31c5846e19p-17, -0x1.14c93c02422a4p-17, -0x1.11931e3b285bbp-17, -0x1.0e51d3160a6efp-17, -0x1.0b0664f4c4e51p-17, -0x1.07b1d67a214fap-17, -0x1.04552272619cbp-17, -0x1.00f13d61bf324p-17, -0x1.fb0e2d454c04ep-18, -0x1.f42f2e8907206p-18, -0x1.ed473d30879b8p-18, -0x1.e657fda2c55f9p-18, -0x1.df62f471242b1p-18, -0x1.d86987ac76357p-18, -0x1.d16d04cfdaa99p-18, -0x1.ca6ea78b4d72p-18, -0x1.c36fa072774c9p-18, -0x1.bc71188e3f15fp-18, -0x1.b57431d87df33p-18, -0x1.ae7a0610eefdp-18, -0x1.a783a5e755a32p-18, -0x1.a09218bf3a6e1p-18, -0x1.99a65b2a34165p-18, -0x1.92c15973da47ap-18, -0x1.8be3ed1f55604p-18, -0x1.850ed1697a5fep-18, -0x1.7e42b87382996p-18, -0x1.77804a280eb97p-18, -0x1.70c833f21c76p-18, -0x1.6a1b2781bacf5p-18, -0x1.6379d1cdb0a15p-18, -0x1.5ce4d0f4bb8e9p-18, -0x1.565ca9e7f5327p-18, -0x1.4fe1d200fd8b9p-18, -0x1.4974bd8e80992p-18, -0x1.4315d8f043d2ap-18, -0x1.3cc59b37eed9ep-18, -0x1.3684694827bddp-18, -0x1.30529aeb18582p-18, -0x1.2a307421d5617p-18, -0x1.241e2a64ee0a7p-18, -0x1.1e1beb9c70cc2p-18, -0x1.1829e4bc210c7p-18, -0x1.124846cb9ceefp-18, -0x1.0c7749d4889e8p-18, -0x1.06b72d4a3f2a8p-18, -0x1.01083589932bdp-18, -0x1.f6d54cefa693ep-19, -0x1.ebbd7928db238p-19, -0x1.e0c94e3abf866p-19, -0x1.d5f90c93c197fp-19, -0x1.cb4cdc0fc332ap-19, -0x1.c0c4d36013c32p-19, -0x1.b660f8591412ep-19, -0x1.ac213b8ab16e3p-19, -0x1.a2057f84dab41p-19, -0x1.980db51a4d5b7p-19, -0x1.8e39fa7bf989cp-19, -0x1.848a9cdc68769p-19, -0x1.7afff19524663p-19, -0x1.719a2001696b7p-19, -0x1.6859055ea0f26p-19, -0x1.5f3c4a126144fp-19, -0x1.56439883ac087p-19, -0x1.4d6ec8559a7d7p-19, -0x1.44bddbc801c2bp-19, -0x1.3c30d8e9a4879p-19, -0x1.33c7a50b3d459p-19, -0x1.2b81fb0415767p-19, -0x1.235f771697ae6p-19, -0x1.1b5fa7fc2f259p-19, -0x1.13821bc005a9fp-19, -0x1.0bc6685df5468p-19, -0x1.042c3280fcb8fp-19, -0x1.f966652c0e08bp-20, -0x1.eab66c04bcb7p-20, -0x1.dc48350ba72b5p-20, -0x1.ce1b89ab09b4bp-20, -0x1.c0302a36af5cp-20, -0x1.b285bd63c00c9p-20, -0x1.a51bc8a7cfb21p-20, -0x1.97f1b12c4752fp-20, -0x1.8b06c56eccefp-20, -0x1.7e5a50271227dp-20, -0x1.71ebadb624181p-20, -0x1.65ba4deffd4e4p-20, -0x1.59c59060bd24p-20, -0x1.4e0c95ed9a7d7p-20, -0x1.428e4b149d684p-20, -0x1.3749be9f387dcp-20, -0x1.2c3e6c51d25p-20, -0x1.216c18e407a21p-20, -0x1.16d25b612e556p-20, -0x1.0c7051ae407eep-20, -0x1.0244d04d89795p-20, -0x1.f09dbb7689f17p-21, -0x1.dd1bf144b13aep-21, -0x1.ca03caa67162p-21, -0x1.b7549330fd52ep-21, -0x1.a50cfdd611d7ep-21, -0x1.932b4f624cbf4p-21, -0x1.81ada7f2eddc6p-21, -0x1.709227bfc318ap-21, -0x1.5fd6f3f6ac4b6p-21, -0x1.4f7a38a26de44p-21, -0x1.3f7a3690c0f02p-21, -0x1.2fd561ae1487cp-21, -0x1.208a6a8be5089p-21, -0x1.11983a654fc45p-21, -0x1.02fdd43cdf2d2p-21, -0x1.e97452b970cbdp-22, -0x1.cd9800e8b3da5p-22, -0x1.b263e979b101dp-22, -0x1.97d5176be6c29p-22, -0x1.7de8af4b2c05dp-22, -0x1.649c28b50f922p-22, -0x1.4bed4cb498535p-22, -0x1.33d9ed81bd8e1p-22, -0x1.1c5f95b95e9bap-22, -0x1.057b7f45c4514p-22, -0x1.de55a12763dd1p-23, -0x1.b2d589b61831bp-23, -0x1.8871028c08947p-23, -0x1.5f21db63e391fp-23, -0x1.36e23c0faadb7p-23, -0x1.0fade07dc66eep-23, -0x1.d303383f826f8p-24, -0x1.88b2acddbb7c9p-24, -0x1.405e96952bc58p-24, -0x1.f3f6b0288a6c5p-25, -0x1.6b018cb93d923p-25, -0x1.cba44b459bdf2p-26, -0x1.916a6f09b0921p-27, 0x1.9775ad7e9f4e1p-29, 0x1.276f958693c1fp-26, 0x1.0a7a2ccf0bffap-25, 0x1.7dd1269315393p-25, 0x1.edcf3e6ec477bp-25, 0x1.2d439fc70a2d9p-24, 0x1.62061253b8985p-24, 0x1.95374c9a4286ap-24, 0x1.c6ded405772e1p-24, 0x1.f703be024a97ep-24, 0x1.12d638ee0f536p-23, 0x1.29701530c508p-23, 0x1.3f5368f9ef60ap-23, 0x1.54843649c8c22p-23, 0x1.69063caa2a62fp-23, 0x1.7cdcf9823c572p-23, 0x1.900be8da4c949p-23, 0x1.a296a97b57619p-23, 0x1.b480e16252bbbp-23, 0x1.c5ce167ef05acp-23, 0x1.d681a5a117759p-23, 0x1.e69ecd39c73f2p-23, 0x1.f628b600083edp-23, 0x1.02913c99ffe61p-22, 0x1.09c79740d2584p-22, 0x1.10b904c3442e8p-22, 0x1.17672e6cfb036p-22, 0x1.1dd3ac5b3c423p-22, 0x1.23ffdcba08a6bp-22, 0x1.29ed00a42b51bp-22, 0x1.2f9c86d059b56p-22, 0x1.350ff30b8b3cdp-22, 0x1.3a4893ff24a0dp-22, 0x1.3f47ab689ab06p-22, 0x1.440eb69a666d3p-22, 0x1.489f418ca6612p-22, 0x1.4cfaa733a0dd7p-22, 0x1.512224ef67cc7p-22, 0x1.5516fda43cd8dp-22, 0x1.58da75ffadc9ap-22, 0x1.5c6db5fe470a9p-22, 0x1.5fd1af3d5b728p-22, 0x1.6307319eb5c22p-22, 0x1.660f37202fe5dp-22, 0x1.68eb16eebbb63p-22, 0x1.6b9c492c77dbcp-22, 0x1.6e23f274a81afp-22, 0x1.7082c7afb0d28p-22, 0x1.72b9d15f24bccp-22, 0x1.74ca142a3c2afp-22, 0x1.76b52663ce58cp-22, 0x1.787c0cead69a8p-22, 0x1.7a1f86a67ff51p-22, 0x1.7ba043810ce33p-22, 0x1.7cff0a498930fp-22, 0x1.7e3cb783c88d9p-22, 0x1.7f5a2ffb95b57p-22, 0x1.80585705a6187p-22, 0x1.81380b0bc7502p-22, 0x1.81fa2659e0925p-22, 0x1.829f80d7408c5p-22, 0x1.8328ef3cb8d64p-22, 0x1.83973dec9f6cap-22, 0x1.83eb294782166p-22, 0x1.84255f5bebbefp-22, 0x1.844696460b935p-22, 0x1.844fa87715486p-22, 0x1.8441b3f36349bp-22, 0x1.841da195a26a1p-22, 0x1.83e3a39c8bed5p-22, 0x1.8393bd4a940a2p-22, 0x1.832e8d874dc4bp-22, 0x1.82b4c2d2db7b1p-22, 0x1.822739db1b272p-22, 0x1.81874471e2e84p-22, 0x1.80d5c8d45fa3dp-22, 0x1.80131fef252bdp-22, 0x1.7f3f73ddcd12ep-22, 0x1.7e5acb4f48391p-22, 0x1.7d6564a5ab707p-22, 0x1.7c601ff8b596ap-22, 0x1.7b4bec733e49cp-22, 0x1.7a290b20b8ed5p-22, 0x1.78f7a71d064e9p-22, 0x1.77b8a662478d1p-22, 0x1.766d0e4305a62p-22, 0x1.751547d15c0f3p-22, 0x1.73b168feda7fcp-22, 0x1.7241a50ce9953p-22, 0x1.70c65cae81b4ep-22, 0x1.6f40054acb38dp-22, 0x1.6daf15d1af618p-22, 0x1.6c13fff39d1d8p-22, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.86910d8b13e59p-3, -0x1.87b26a483602cp-3, -0x1.8989add35a302p-3, -0x1.8c07cb0752872p-3, -0x1.8f1a05c1241acp-3, -0x1.92ab6e0ef6065p-3, -0x1.96a629bdd271ap-3, -0x1.9af47e9e19cd4p-3, -0x1.9f819ecbf6c6ep-3, -0x1.a43a3e1deba3p-3, -0x1.a90cf8fa2032fp-3, -0x1.adea942378266p-3, -0x1.b2c61c0d24e9fp-3, -0x1.b794e97892f05p-3, -0x1.bc4e909e1721p-3, -0x1.c0ecbfc5b706ap-3, -0x1.c56b11dfcca38p-3, -0x1.c9c6d946d7065p-3, -0x1.cdfee6544d76ap-3, -0x1.d2134cdd9ada3p-3, -0x1.d6052b0e3db81p-3, -0x1.d9d67373e38bcp-3, -0x1.dd89bb7bd487dp-3, -0x1.e1220f1dac17p-3, -0x1.e4a2ca02a0ef4p-3, -0x1.e80f762439b2ap-3, -0x1.eb6bafa033a5fp-3, -0x1.eebb0d57401p-3, -0x1.f2010dd5ebc43p-3, -0x1.f54107fe656b7p-3, -0x1.f87e1eebd4678p-3, -0x1.fbbb3890ceb32p-3, -0x1.fefaf69fb85ffp-3, -0x1.011fd8ad8f799p-2, -0x1.02c5b9fde05b5p-2, -0x1.046ffd3466a12p-2, -0x1.061f58061705ap-2, -0x1.07d457cc05b89p-2, -0x1.098f61cdf421fp-2, -0x1.0b50b3e77125ap-2, -0x1.0d18657d04571p-2, -0x1.0ee668b8a430ap-2, -0x1.10ba8c05fdb74p-2, -0x1.12947bc7a9ec7p-2, -0x1.1473c43ed2283p-2, -0x1.1657d39ec6a7p-2, -0x1.183ffc45ef533p-2, -0x1.1a2b771573d2cp-2, -0x1.1c1965e0ba503p-2, -0x1.1e08d5eddf87fp-2, -0x1.1ff8c28044eep-2, -0x1.21e817667cd7fp-2, -0x1.23d5b385065fcp-2, -0x1.25c06b57ba6a2p-2, -0x1.27a70b6422c03p-2, -0x1.29885a978c585p-2, -0x1.2b631c8c2eb1ep-2, -0x1.2d3613b16a288p-2, -0x1.2f000353b9831p-2, -0x1.30bfb181afaf4p-2, -0x1.3273e8cbee60ep-2, -0x1.341b79deaf954p-2, -0x1.35b53cf40dfd7p-2, -0x1.3740131ecf2e5p-2, -0x1.38bae76de6ff9p-2, -0x1.3a24afe96e249p-2, -0x1.3b7c6e6a1cabep-2, -0x1.3cc1314cbb97cp-2, -0x1.3df214033d72fp-2, -0x1.3f0e3f856d8afp-2, -0x1.4014eaa35173p-2, -0x1.41055a3b71863p-2, -0x1.41dee15753fc5p-2, -0x1.42a0e1307cbeap-2, -0x1.434ac9204f28bp-2, -0x1.43dc167d0bb15p-2, -0x1.4454546632ddfp-2, -0x1.44b31b826d17fp-2, -0x1.44f811b10415ap-2, -0x1.4522e9b0dd7eep-2, -0x1.453362bec65abp-2, -0x1.4529482cba544p-2, -0x1.450470f3b237fp-2, -0x1.44c4bf41640ffp-2, -0x1.446a20032e03dp-2, -0x1.43f48a6f5fd81p-2, -0x1.4363ff8dcfab5p-2, -0x1.42b889c0a850dp-2, -0x1.41f23c4e2f46fp-2, -0x1.411132ec2574fp-2, -0x1.4015914d52f13p-2, -0x1.3eff82b1abc36p-2, -0x1.3dcf39796f45fp-2, -0x1.3c84eebb85001p-2, -0x1.3b20e1df52584p-2, -0x1.39a3583a2afc4p-2, -0x1.380c9cb07581cp-2, -0x1.365cff5a8f3cfp-2, -0x1.3494d52d6d1bep-2, -0x1.32b477a6f6e0fp-2, -0x1.30bc447e03ad5p-2, -0x1.2eac9d55e8743p-2, -0x1.2c85e775798fap-2, -0x1.2a488b815ee9dp-2, -0x1.27f4f5399bf29p-2, -0x1.258b933a21276p-2, -0x1.230cd6be48d68p-2, -0x1.2079336710ee1p-2, -0x1.1dd11f03f692ep-2, -0x1.1b15115e3f299p-2, -0x1.184584069be74p-2, -0x1.1562f224f5574p-2, -0x1.126dd84a48d74p-2, -0x1.0f66b4447156fp-2, -0x1.0c4e04f3c0862p-2, -0x1.09244a2250b2dp-2, -0x1.05ea045ceb451p-2, -0x1.029fb4cd7a9e6p-2, -0x1.fe8bba2dd040ep-3, -0x1.f7b9fe64ab4dep-3, -0x1.f0cb3a9b461c7p-3, -0x1.e9c07356660d4p-3, -0x1.e29aad05b26c9p-3, -0x1.db5aebc7e191fp-3, -0x1.d4023331148ccp-3, -0x1.cc91861356cffp-3, -0x1.c509e6492bdf7p-3, -0x1.bd6c54822cc18p-3, -0x1.b5b9d0119ad0ap-3, -0x1.adf356beeb72fp-3, -0x1.a619e4984228ap-3, -0x1.9e2e73c6ce633p-3, -0x1.9631fc65142fap-3, -0x1.8e257457119f6p-3, -0x1.8609cf2441d2cp-3, -0x1.7ddffdd37be16p-3, -0x1.75a8eec8abdebp-3, -0x1.6d658da45ef1p-3, -0x1.6516c32528a35p-3, -0x1.5cbd750ad7c55p-3, -0x1.545a85fb79166p-3, -0x1.4beed56a2d038p-3, -0x1.437b3f7fbdfeep-3, -0x1.3b009d05003d1p-3, -0x1.327fc34ef4afcp-3, -0x1.29f9842c9f67fp-3, -0x1.216eadd69bef2p-3, -0x1.18e00ae058b7bp-3, -0x1.104e622afc487p-3, -0x1.07ba76d9f09e8p-3, -0x1.fe4a1091f13ffp-4, -0x1.ed1da407bb63cp-4, -0x1.dbf1177f39a1cp-4, -0x1.cac5d2aa1845ap-4, -0x1.b99d3579e22d4p-4, -0x1.a878981aee7b3p-4, -0x1.97594af1fa451p-4, -0x1.8640969c5bc4dp-4, -0x1.752fbbf2a90ddp-4, -0x1.6427f40dc0da7p-4, -0x1.532a704e19a6dp-4, -0x1.42385a6538a9ep-4, -0x1.3152d46133a4fp-4, -0x1.207af8ba28c83p-4, -0x1.0fb1da618543ep-4, -0x1.fdf109a611dd5p-5, -0x1.dc9ff84ec857p-5, -0x1.bb727a50a93cep-5, -0x1.9a6a7acc4d4cp-5, -0x1.7989d69cfa54ep-5, -0x1.58d25c888e438p-5, -0x1.3845cd7190703p-5, -0x1.17e5dc8b2712ep-5, -0x1.ef685f1da3c7ep-6, -0x1.af64bde74c02p-6, -0x1.6fc3ec4dc325ep-6, -0x1.3088e78b501b9p-6, -0x1.e36d275edcc86p-7, -0x1.669f782b9daedp-7, -0x1.d55c4f7a98d48p-8, -0x1.be79b33ee7bc7p-9, 0x1.51560e43e372ep-12, 0x1.0790aaf357e12p-8, 0x1.f82ba8c069b4ap-8, 0x1.736eaaf2a616ep-7, 0x1.e9ce81be440b9p-7, 0x1.2f98958f57657p-6, 0x1.69c95126da0fep-6, 0x1.a377853aa3606p-6, 0x1.dca156e20655bp-6, 0x1.0aa27f2131a1p-5, 0x1.26b0630e4024cp-5, 0x1.427985add0b5ep-5, 0x1.5dfd1e53414a3p-5, 0x1.793a6cf92d8d4p-5, 0x1.9430ba0bf98fbp-5, 0x1.aedf56357ca09p-5, 0x1.c9459a29cdb6cp-5, 0x1.e362e67540e7ep-5, 0x1.fd36a34b99c97p-5, 0x1.0b60202c3d6aep-4, 0x1.17ff9a4889709p-4, 0x1.24797f038ad2cp-4, 0x1.30cd90de77c7p-4, 0x1.3cfb95bda70c5p-4, 0x1.490356d3f4b99p-4, 0x1.54e4a08ecbe33p-4, 0x1.609f4282d3dbap-4, 0x1.6c330f593f7a9p-4, 0x1.779fdcbdba311p-4, 0x1.82e5834cf5e8cp-4, 0x1.8e03de83d1963p-4, 0x1.98faccaf1c308p-4, 0x1.a3ca2edbe9524p-4, 0x1.ae71e8c87b636p-4, 0x1.b8f1e0d5bf12fp-4, 0x1.c349fff94ac16p-4, 0x1.cd7a31afe9c6cp-4, 0x1.d78263f0abd71p-4, 0x1.e162872074d2ap-4, 0x1.eb1a8e0600b23p-4, 0x1.f4aa6dbe5d516p-4, 0x1.fe121db1e82a3p-4, 0x1.03a8cbc4ccbbep-3, 0x1.08346b926b67ep-3, 0x1.0cabed47cd162p-3, 0x1.110f50fc7875fp-3, 0x1.155e97d4f310fp-3, 0x1.1999c3fe5ee9bp-3, 0x1.1dc0d8aa38a55p-3, 0x1.21d3da0a499b6p-3, 0x1.25d2cd4cb3677p-3, 0x1.29bdb898222f5p-3, 0x1.2d94a3081cd07p-3, 0x1.315794a97215p-3, 0x1.35069676c4b1dp-3, 0x1.38a1b2552a9ecp-3, 0x1.3c28f310ec18fp-3, 0x1.3f9c645a4d33ap-3, 0x1.42fc12c278d5ep-3, 0x1.46480bb870fefp-3, 0x1.49805d8615e9bp-3, 0x1.4ca5174d37be4p-3, 0x1.4fb64904b8f9ap-3, 0x1.52b40375ba82bp-3, 0x1.559e5838cde77p-3, 0x1.587559b333095p-3, 0x1.5b391b141f76ap-3, 0x1.5de9b05206a55p-3, 0x1.60872e27e937p-3, 0x1.6311aa12a35bep-3, 0x1.65893a4e44e28p-3, 0x1.67edf5d3631f7p-3, 0x1.6a3ff454701c2p-3, 0x1.6c7f4e3b0b9cfp-3, 0x1.6eac1ca5596f3p-3, 0x1.70c679634fcbap-3, 0x1.72ce7ef4085dp-3, 0x1.74c4488304f6p-3, 0x1.76a7f1e57a6f7p-3, 0x1.7879979790171p-3, 0x1.7a3956b999d75p-3, 0x1.7be74d0d509ccp-3, 0x1.7d8398f301ef7p-3, 0x1.7f0e5966ba45ep-3, 0x1.8087adfd684dbp-3, 0x1.81efb6e1f92b7p-3, 0x1.834694d27216bp-3, 0x1.848c691cfa20ep-3, 0x1.85c1559ce69fbp-3, 0x1.86e57cb7b8a37p-3, 0x1.87f9015a17c9ap-3, 0x1.88fc06f4c4448p-3, 0x1.89eeb179839a4p-3, 0x1.8ad125580033dp-3, 0x1.8ba3877aae31ep-3, 0x1.8c65fd439ce84p-3, 0x1.8d18ac894696dp-3, 0x1.8dbbbb936103fp-3, 0x1.8e4f511799db1p-3, 0x1.8ed394365af6bp-3, 0x1.8f48ac777ed4bp-3, 0x1.8faec1c706cdp-3, 0x1.9005fc71c79b6p-3, 0x1.904e852215081p-3, 0x1.908884dc67683p-3, 0x1.90b424fbff5b9p-3, 0x1.90d18f2f82818p-3, 0x1.90e0ed75966aap-3, 0x1.90e26a197e2edp-3, 0x1.90d62fafae561p-3, 0x1.90bc69125fdfcp-3, 0x1.9095415e27b05p-3, 0x1.9060e3ee8613ep-3, 0x1.901f7c5a7d4acp-3, 0x1.8fd136711ca66p-3, 0x1.8f763e3617f68p-3, 0x1.8f0ebfde5b724p-3, 0x1.8e9ae7cc9c1cp-3, 0x1.8e1ae28df1d23p-3, 0x1.8d8edcd66ddc1p-3, 0x1.8cf7037db418fp-3, 0x1.8c53837b9b3ap-3, 0x1.8ba489e4cddc5p-3, 0x1.8aea43e76ac23p-3, 0x1.8a24dec7b5c32p-3, 0x1.895487dcbc6aap-3, 0x1.88796c8d11762p-3, 0x1.8793ba4b7f873p-3, 0x1.86a39e93c825dp-3, 0x1.85a946e76c705p-3, 0x1.84a4e0ca7245cp-3, 0x1.839699c03b08ap-3, 0x1.827e9f485b424p-3, 0x1.815d1edb7b127p-3, 0x1.803245e842ef2p-3, 0x1.7efe41d048648p-3, 0x1.7dc13fe50b8b4p-3, 0x1.7c7b6d64fb886p-3, 0x1.7b2cf7788053ep-3, 0x1.79d60b2f14552p-3, 0x1.7876d57c6264ap-3, 0x1.770f83357484bp-3, 0x1.75a0410de37abp-3, 0x1.74293b951e28dp-3, 0x1.72aa9f33ad62ap-3, 0x1.712498289062dp-3, 0x1.6f97528699415p-3, 0x1.6e02fa31dda3ap-3, 0x1.6c67badd2e77bp-3, 0x1.6ac5c0079f835p-3, 0x1.691d34fa143aap-3, 0x1.676e44c4e375ep-3, 0x1.65b91a3d7b266p-3, 0x1.63fddffc1f508p-3, 0x1.623cc059a824dp-3, 0x1.6075e56d55349p-3, 0x1.5ea9790aab356p-3, 0x1.5cd7a4bf5e14dp-3, 0x1.5b0091d14ca3bp-3, 0x1.5924693c81889p-3, 0x1.574353b14a2fcp-3, 0x1.555d799254c48p-3, 0x1.537302f2dee1p-3, 0x1.51841794f332p-3, 0x1.4f90dee7af058p-3, 0x1.4d9980059b331p-3, 0x1.4b9e21b310738p-3, 0x1.499eea5ca9cbbp-3, 0x1.479c0015c428fp-3, 0x1.459588970a4dbp-3, 0x1.438ba93d1174cp-3, 0x1.417e8706ffa1fp-3, 0x1.3f6e4695446acp-3, 0x1.3d5b0c2859aa2p-3, 0x1.3b44fb9f94eabp-3, 0x1.392c387806026p-3, 0x1.3710e5cb62dfep-3, 0x1.34f3264efec7ap-3, 0x1.32d31c52d084ap-3, 0x1.30b0e9c084e9cp-3, 0x1.2e8cb01aa0476p-3, 0x1.2c66907ba98dcp-3, 0x1.2a3eab9563823p-3, 0x1.281521b012453p-3, 0x1.25ea12a9d0ad3p-3, 0x1.23bd9df5eae92p-3, 0x1.218fe29c4d5d6p-3, 0x1.1f60ff38f705fp-3, 0x1.1d3111fb82b71p-3, 0x1.1b0038a6b05e3p-3, 0x1.18ce9090043fdp-3, 0x1.169c369f67f83p-3, 0x1.1469474ee25acp-3, 0x1.1235deaa4f51p-3, 0x1.1002184f278f5p-3, 0x1.0dce0f6c581e8p-3, 0x1.0b99dec21ba7dp-3, 0x1.0965a0a1e1d41p-3, 0x1.07316eee47611p-3, 0x1.04fd631b0ab2p-3, 0x1.02c9962d1ac3cp-3, 0x1.009620ba9ff88p-3, 0x1.fcc635d63784dp-4, 0x1.f86138ef15e32p-4, 0x1.f3fd79551fd8fp-4, 0x1.ef9b24c157b9ep-4, 0x1.eb3a6810fa47ap-4, 0x1.e6db6f4607e9ep-4, 0x1.e27e6587ebcecp-4, 0x1.de2375242bd69p-4, 0x1.d9cac78f2692ep-4, 0x1.d5748564e661ap-4, 0x1.d120d66a061fcp-4, 0x1.cccfe18c99613p-4, 0x1.c881cce52f0b3p-4, 0x1.c436bdb7e0402p-4, 0x1.bfeed8756816cp-4, 0x1.bbaa40bc4eab1p-4, 0x1.b769195a1977p-4, 0x1.b32b844c944b7p-4, 0x1.aef1a2c31f90bp-4, 0x1.aabb952003cep-4, 0x1.a6897af9df947p-4, 0x1.a25b731d1ab0bp-4, 0x1.9e319b8d55d8ap-4, 0x1.9a0c11870490bp-4, 0x1.95eaf180f27dp-4, 0x1.91ce572ddd741p-4, 0x1.8db65d7e21564p-4, 0x1.89a31ea1616f1p-4, 0x1.8594b4083fe8dp-4, 0x1.818b36661bc2fp-4, 0x1.7d86bdb2d7673p-4, 0x1.7987612ca7bp-4, 0x1.758d3759e836dp-4, 0x1.7198560af97b8p-4, 0x1.6da8d25c20a1ap-4, 0x1.69bec0b774b98p-4, 0x1.65da34d6cc631p-4, 0x1.61fb41c5aef5dp-4, 0x1.5e21f9e355234p-4, 0x1.5a4e6ee4a0748p-4, 0x1.5680b1d626d4ep-4, 0x1.52b8d31e34ca8p-4, 0x1.4ef6e27ed95b5p-4, 0x1.4b3aef17f955cp-4, 0x1.4785076960233p-4, 0x1.43d53954d8b17p-4, 0x1.402b922040bbcp-4, 0x1.3c881e77ab348p-4, 0x1.38eaea6f79e34p-4, 0x1.355401867fa15p-4, 0x1.31c36ea82101ap-4, 0x1.2e393c2e78a97p-4, 0x1.2ab573e47ac8cp-4, 0x1.27381f081c70ep-4, 0x1.23c1464c762b5p-4, 0x1.2050f1dbef028p-4, 0x1.1ce7295a629d2p-4, 0x1.1983f3e74678bp-4, 0x1.1627581fd2215p-4, 0x1.12d15c212688dp-4, 0x1.0f82058a73c7fp-4, 0x1.0c39597f1dd1dp-4, 0x1.08f75ca8e1271p-4, 0x1.05bc1339f5c6dp-4, 0x1.028780ef30e47p-4, 0x1.feb352244bd1ep-5, 0x1.f8651cf686772p-5, 0x1.f2246727de6f4p-5, 0x1.ebf134b147cddp-5, 0x1.e5cb88b60a35cp-5, 0x1.dfb36587ed0c2p-5, 0x1.d9a8ccab5f71ap-5, 0x1.d3abbedb987efp-5, 0x1.cdbc3c0eabe44p-5, 0x1.c7da4379a809p-5, 0x1.c205d3949fc3ap-5, 0x1.bc3eea1eb031ep-5, 0x1.b685842203c15p-5, 0x1.b0d99df7cee2p-5, 0x1.ab3b334c3b7bdp-5, 0x1.a5aa3f225950ep-5, 0x1.a026bbd801b52p-5, 0x1.9ab0a329aa62dp-5, 0x1.9547ee36487ep-5, 0x1.8fec95830742ep-5, 0x1.8a9e90ff1b34ap-5, 0x1.855dd8076ef14p-5, 0x1.802a616a5d658p-5, 0x1.7b04236b519c3p-5, 0x1.75eb13c667f6bp-5, 0x1.70df27b402ba3p-5, 0x1.6be053ec5794p-5, 0x1.66ee8caae74d1p-5, 0x1.6209c5b206613p-5, 0x1.5d31f24e3a4f1p-5, 0x1.58670559a8807p-5, 0x1.53a8f13f6a19fp-5, 0x1.4ef7a7fede639p-5, 0x1.4a531b2ef194p-5, 0x1.45bb3c015312fp-5, 0x1.412ffb45ae8cp-5, 0x1.3cb1496cc5b1p-5, 0x1.383f168b9ca26p-5, 0x1.33d9525e7b103p-5, 0x1.2f7fec4bff4dbp-5, 0x1.2b32d368115f7p-5, 0x1.26f1f676da9ccp-5, 0x1.22bd43efa99d6p-5, 0x1.1e94a9ffcbf27p-5, 0x1.1a78168d65c3bp-5, 0x1.1667773a339b9p-5, 0x1.1262b96643681p-5, 0x1.0e69ca32add56p-5, 0x1.0a7c9684321a7p-5, 0x1.069b0b05d9293p-5, 0x1.02c5142b84d09p-5, 0x1.fdf53c68df7afp-6, 0x1.f6772a5b63692p-6, 0x1.ef0fc9e94de47p-6, 0x1.e7bef272bbbf9p-6, 0x1.e0847b01d79bp-6, 0x1.d9603a4f80891p-6, 0x1.d25206c7d75cp-6, 0x1.cb59b68eae66bp-6, 0x1.c4771f83f66c3p-6, 0x1.bdaa1748020b3p-6, 0x1.b6f2733fbc7ecp-6, 0x1.b0500898da09ap-6, 0x1.a9c2ac4dd9f05p-6, 0x1.a34a332a04ee4p-6, 0x1.9ce671cd568ebp-6, 0x1.96973cb04c7c3p-6, 0x1.905c6827a7bd5p-6, 0x1.8a35c8680efb4p-6, 0x1.84233189b9ed8p-6, 0x1.7e24778bd17b4p-6, 0x1.78396e58033a5p-6, 0x1.7261e9c5cc73bp-6, 0x1.6c9dbd9dc03b6p-6, 0x1.66ecbd9ccc1fp-6, 0x1.614ebd774cfbbp-6, 0x1.5bc390dc2b90fp-6, 0x1.564b0b77d313bp-6, 0x1.50e500f726597p-6, 0x1.4b91450a54a46p-6, 0x1.464fab67ae6fep-6, 0x1.412007ce3f20ap-6, 0x1.3c022e0898aaep-6, 0x1.36f5f1ef50691p-6, 0x1.31fb276b889c8p-6, 0x1.2d11a279690bp-6, 0x1.2839372a77f18p-6, 0x1.2371b9a7f45fbp-6, 0x1.1ebafe3513b91p-6, 0x1.1a14d9313123cp-6, 0x1.157f1f19fa25fp-6, 0x1.10f9a48d70575p-6, 0x1.0c843e4bff7a5p-6, 0x1.081ec13a5ece7p-6, 0x1.03c902638562fp-6, 0x1.ff05adf4e58f9p-7, 0x1.f69828b8049b9p-7, 0x1.ee49202144402p-7, 0x1.e6183f9be7b31p-7, 0x1.de0532f0e6de8p-7, 0x1.d60fa64a14ce2p-7, 0x1.ce3746350dd08p-7, 0x1.c67bbfa62e0a6p-7, 0x1.bedcbffb5b00ap-7, 0x1.b759f4febad6bp-7, 0x1.aff30ce961b28p-7, 0x1.a8a7b665aee89p-7, 0x1.a177a091dfa2ap-7, 0x1.9a627b0244a37p-7, 0x1.9367f5c38e8f3p-7, 0x1.8c87c15cf4341p-7, 0x1.85c18ed22d31dp-7, 0x1.7f150fa57eed6p-7, 0x1.7881f5d98a2f3p-7, 0x1.7207f3f32403ep-7, 0x1.6ba6bcfb0464bp-7, 0x1.655e047f699cdp-7, 0x1.5f2d7e95b4a65p-7, 0x1.5914dfdbc1f83p-7, 0x1.5313dd796b258p-7, 0x1.4d2a2d21c7bf4p-7, 0x1.475785147d68ap-7, 0x1.419b9c1edbd99p-7, 0x1.3bf6299d01e28p-7, 0x1.3666e57ae2c5fp-7, 0x1.30ed883544ac6p-7, 0x1.2b89cada9cc18p-7, 0x1.263b670bf01a2p-7, 0x1.210216fd931b7p-7, 0x1.1bdd9577e4f12p-7, 0x1.16cd9dd7f166dp-7, 0x1.11d1ec100345cp-7, 0x1.0cea3ca843c99p-7, 0x1.08164cbf1b503p-7, 0x1.0355da09afbb3p-7, 0x1.fd5145a866394p-8, 0x1.f41ccc04940eap-8, 0x1.eb0dc61e70e8ep-8, 0x1.e223b41c4aa23p-8, 0x1.d95e1754a5943p-8, 0x1.d0bc724e2a4bap-8, 0x1.c83e48c01f219p-8, 0x1.bfe31f924f2e4p-8, 0x1.b7aa7cdd0f121p-8, 0x1.af93e7e8f91f8p-8, 0x1.a79ee92f06687p-8, 0x1.9fcb0a57f6bf2p-8, 0x1.9817d63c279d8p-8, 0x1.9084d8e31b64dp-8, 0x1.89119f82e0cdfp-8, 0x1.81bdb87f9247cp-8, 0x1.7a88b36abdf74p-8, 0x1.73722102851a4p-8, 0x1.6c799330f00bdp-8, 0x1.659e9d0b239acp-8, 0x1.5ee0d2d03b75fp-8, 0x1.583fc9e89f99p-8, 0x1.51bb18e4c63b7p-8, 0x1.4b52577c1f68p-8, 0x1.45051e8c252b9p-8, 0x1.3ed30816f46bfp-8, 0x1.38bbaf4219888p-8, 0x1.32beb05563bd2p-8, 0x1.2cdba8b966e3ap-8, 0x1.271236f64c961p-8, 0x1.2161fab21a8c4p-8, 0x1.1bca94af8d079p-8, 0x1.164ba6cc679afp-8, 0x1.10e4d3ffe5c11p-8, 0x1.0b95c0595a743p-8, 0x1.065e10fe2a443p-8, 0x1.013d6c2895ff6p-8, 0x1.f866f24b97ba3p-9, 0x1.ee7fc0a85224ep-9, 0x1.e4c4964369155p-9, 0x1.db34c8141784cp-9, 0x1.d1cfad29b43ecp-9, 0x1.c8949ea784d62p-9, 0x1.bf82f7c1a0821p-9, 0x1.b69a15b88b57fp-9, 0x1.add957d604e41p-9, 0x1.a5401f68bcb8ap-9, 0x1.9ccdcfc0ca54ep-9, 0x1.9481ce2b4e9p-9, 0x1.8c5b81eefea44p-9, 0x1.845a5447eb51ep-9, 0x1.7c7db0635223bp-9, 0x1.74c5035c2bdaep-9, 0x1.6d2fbc36378b9p-9, 0x1.65bd4bdab5811p-9, 0x1.5e6d2513bca9ep-9, 0x1.573ebc8860ddep-9, 0x1.503188b86fdeep-9, 0x1.494501f871e77p-9, 0x1.4278a26d0667fp-9, 0x1.3bcbe60742083p-9, 0x1.353e4a801b27ap-9, 0x1.2ecf4f543731dp-9, 0x1.287e75bff54e9p-9, 0x1.224b40bab91bcp-9, 0x1.1c3534f3310ap-9, 0x1.163bd8cab8baep-9, 0x1.105eb451562efp-9, 0x1.0a9d514127661p-9, 0x1.04f73afa88a5ep-9, 0x1.fed7fcff3fe0dp-10, 0x1.f3f654e016c39p-10, 0x1.e9489e099af55p-10, 0x1.decdfc1819e34p-10, 0x1.d48595c932d0dp-10, 0x1.ca6e94f44d0dp-10, 0x1.c08826813d281p-10, 0x1.b6d17a6067d7fp-10, 0x1.ad49c382aa501p-10, 0x1.a3f037cfd4aeep-10, 0x1.9ac4101fc374p-10, 0x1.91c48830d56dp-10, 0x1.88f0dea0b65b7p-10, 0x1.804854e3198f6p-10, 0x1.77ca2f3a4fa3p-10, 0x1.6f75b4aee6c3fp-10, 0x1.674a2f072033ep-10, 0x1.5f46eabf30728p-10, 0x1.576b370138797p-10, 0x1.4fb6659cffea8p-10, 0x1.4827cb004dffp-10, 0x1.40bebe2e53c63p-10, 0x1.397a98b8cfbd8p-10, 0x1.325ab6b7173b9p-10, 0x1.2b5e76bed8146p-10, 0x1.248539dc9e91bp-10, 0x1.1dce638b13c88p-10, 0x1.173959acaa8dcp-10, 0x1.10c584830533ap-10, 0x1.0a724ea787e46p-10, 0x1.043f2504a10c3p-10, 0x1.fc56ed99af702p-11, 0x1.f06d6aea126f6p-11, 0x1.e4c0a9576243fp-11, 0x1.d94f94a4f0736p-11, 0x1.ce191ced3c471p-11, 0x1.c31c3693c7d27p-11, 0x1.b857da3635013p-11, 0x1.adcb049f6acf4p-11, 0x1.a374b6b812e93p-11, 0x1.9953f579ab13cp-11, 0x1.8f67c9e02a3c1p-11, 0x1.85af40dd3692dp-11, 0x1.7c296b48b1969p-11, 0x1.72d55dd60c6aep-11, 0x1.69b231041b762p-11, 0x1.60bf01119aa7dp-11, 0x1.57faedefcd627p-11, 0x1.4f651b354065ep-11, 0x1.46fcb01078227p-11, 0x1.3ec0d73d2bd7ep-11, 0x1.36b0bef4c048bp-11, 0x1.2ecb98e45817cp-11, 0x1.27109a1ee84f5p-11, 0x1.1f7efb120816ep-11, 0x1.1815f77881fa1p-11, 0x1.10d4ce502659cp-11, 0x1.09bac1cc183e9p-11, 0x1.02c7174a6eecdp-11, 0x1.f7f22e8eeef8ep-12, 0x1.eaa01aa66c728p-12, 0x1.dd96900ba362dp-12, 0x1.d0d431e605601p-12, 0x1.c457a941defcap-12, 0x1.b81fa4f84d284p-12, 0x1.ac2ad9984b24fp-12, 0x1.a07801540cb5cp-12, 0x1.9505dbe8d6adcp-12, 0x1.89d32e8c2a48fp-12, 0x1.7edec3d411ec3p-12, 0x1.74276ba714832p-12, 0x1.69abfb231c36dp-12, 0x1.5f6b4c8c425c2p-12, 0x1.55643f37b815dp-12, 0x1.4b95b779544eap-12, 0x1.41fe9e8e3773cp-12, 0x1.389de28b640bcp-12, 0x1.2f72764a0546dp-12, 0x1.267b51546bf4bp-12, 0x1.1db76fd53dfa2p-12, 0x1.1525d282b81f3p-12, 0x1.0cc57e8e1c91ep-12, 0x1.04957d91f5eb3p-12, 0x1.f929bb00bab72p-13, 0x1.e9856121bd52fp-13, 0x1.da3c1a6006268p-13, 0x1.cb4c1bdd2cc5bp-13, 0x1.bcb3a2e12eacfp-13, 0x1.ae70f4b9ebb3fp-13, 0x1.a0825e980aab1p-13, 0x1.92e635740df34p-13, 0x1.859ad5e9abcaap-13, 0x1.789ea41b186c9p-13, 0x1.6bf00b90582eep-13, 0x1.5f8d7f1b46c84p-13, 0x1.537578b786276p-13, 0x1.47a6796d2bd93p-13, 0x1.3c1f0934d31e8p-13, 0x1.30ddb6d922e31p-13, 0x1.25e117d9b215ap-13, 0x1.1b27c851ec1e2p-13, 0x1.10b06adb076bcp-13, 0x1.0679a87161349p-13, 0x1.f90460b20b138p-14, 0x1.e59170082099dp-14, 0x1.d297f5f020487p-14, 0x1.c0157569358e1p-14, 0x1.ae077d3254e33p-14, 0x1.9c6ba7975fb3dp-14, 0x1.8b3f9a43633b6p-14, 0x1.7a81060b7b6e1p-14, 0x1.6a2da6c363677p-14, 0x1.5a434309b8266p-14, 0x1.4abfac1c3a70ap-14, 0x1.3ba0bda6afdf8p-14, 0x1.2ce45d9b97a25p-14, 0x1.1e887c0156557p-14, 0x1.108b12c7b9a2ap-14, 0x1.02ea259fb4c6bp-14, 0x1.eb47839e0dap-15, 0x1.d16bfc0731f9dp-15, 0x1.b83df459f4be3p-15, 0x1.9fb9bea7b9f01p-15, 0x1.87dbbee085babp-15, 0x1.70a06a86290b7p-15, 0x1.5a04485e0ff81p-15, 0x1.4403f02139f86p-15, 0x1.2e9c0a362cedp-15, 0x1.19c94f6269737p-15, 0x1.05888884b2f4p-15, 0x1.e3ad1c922c69ep-16, 0x1.bd6091c7445bp-16, 0x1.98255f9aadb87p-16, 0x1.73f592f459157p-16, 0x1.50cb56306b8ap-16, 0x1.2ea0f0973c78ep-16, 0x1.0d70c5e319d3fp-16, 0x1.da6aab6b84d07p-17, 0x1.9bd27632b3e7p-17, 0x1.5f0e580b151f5p-17, 0x1.2413f1d4af401p-17, 0x1.d5b230b866c89p-18, 0x1.66a7a6ea83c14p-18, 0x1.f5e9741a10dc4p-19, 0x1.250c80da5d7adp-19, 0x1.6a4b876f50a93p-21, -0x1.a6a0f4f682008p-21, -0x1.27c8f685b362p-19, -0x1.dff2ad092ed32p-19, -0x1.492408214fd2fp-18, -0x1.9f758f8cc841bp-18, -0x1.f2fe95c28a857p-18, -0x1.21e7b7533073bp-17, -0x1.48fc0d5000c8cp-17, -0x1.6ec4241ff4181p-17, -0x1.9347aad17a9ebp-17, -0x1.b68e28f261a87p-17, -0x1.d89eff53b0d6ap-17, -0x1.f98168bbaf189p-17, -0x1.0c9e3d50406d3p-16, -0x1.1beb92eabaf1p-16, -0x1.2aac1b9755a26p-16, -0x1.38e32c19d0887p-16, -0x1.469407e8ba95fp-16, -0x1.53c1e176aab95p-16, -0x1.606fda892915ap-16, -0x1.6ca1048757817p-16, -0x1.785860c81ecd9p-16, -0x1.8398e0dcaef9p-16, -0x1.8e6566e09b80fp-16, -0x1.98c0c5c174abp-16, -0x1.a2adc188bd5fdp-16, -0x1.ac2f0fa302c12p-16, -0x1.b5475728ff9bap-16, -0x1.bdf9311ff4c4cp-16, -0x1.c64728c3b4937p-16, -0x1.ce33bbc5705d1p-16, -0x1.d5c15a8cf25e1p-16, -0x1.dcf2687c58393p-16, -0x1.e3c93c317d26cp-16, -0x1.ea481fbfa7ffap-16, -0x1.f07150ebec503p-16, -0x1.f647016e8f7c9p-16, -0x1.fbcb5729ab214p-16, -0x1.008036329f155p-15, -0x1.02f4280509cd7p-15, -0x1.054282ebcf048p-15, -0x1.076c434cf3a7ap-15, -0x1.097260305f5aep-15, -0x1.0b55cb5b537eap-15, -0x1.0d177169412fcp-15, -0x1.0eb839e5b6257p-15, -0x1.10390765b9ccbp-15, -0x1.119ab7a0ca8ecp-15, -0x1.12de23881b9c9p-15, -0x1.14041f5effedep-15, -0x1.150d7ad2f6dbp-15, -0x1.15fb01117e047p-15, -0x1.16cd78df17fecp-15, -0x1.1785a4adcd53ep-15, -0x1.182442b1b9138p-15, -0x1.18aa0cf7a02adp-15, -0x1.1917b978f33f2p-15, -0x1.196dfa3089b89p-15, -0x1.19ad7d2fff4a1p-15, -0x1.19d6ecb1d020fp-15, -0x1.19eaef2db4d21p-15, -0x1.19ea276b5ae68p-15, -0x1.19d534955e9fp-15, -0x1.19acb24bb046cp-15, -0x1.197138b51f8d5p-15, -0x1.19235c91850a4p-15, -0x1.18c3af4ae68c5p-15, -0x1.1852bf0703876p-15, -0x1.17d116b785d57p-15, -0x1.173f3e2a8bd0fp-15, -0x1.169dba1a38c1dp-15, -0x1.15ed0c3e0a2bfp-15, -0x1.152db358ae852p-15, -0x1.14602b48490e5p-15, -0x1.1384ed14f7a37p-15, -0x1.129c6effcf702p-15, -0x1.11a72490f4dc7p-15, -0x1.10a57ea535bb6p-15, -0x1.0f97eb7c8f776p-15, -0x1.0e7ed6c81d8f6p-15, -0x1.0d5aa9b6622f4p-15, -0x1.0c2bcb010b3e2p-15, -0x1.0af29ef9b96c8p-15, -0x1.09af8795eeb9bp-15, -0x1.0862e47c6a4e6p-15, -0x1.070d13105302ep-15, -0x1.05ae6e7db7cf4p-15, -0x1.04474fc4b8847p-15, -0x1.02d80dc5ab71bp-15, -0x1.0160fd4b6bc7fp-15, -0x1.ffc4e22d32c4p-16, -0x1.fcb973d159e8ap-16, -0x1.f9a04d1cebfeep-16, -0x1.f67a07d44dd11p-16, -0x1.f34739fbe1a65p-16, -0x1.f00875ea811efp-16, -0x1.ecbe4a5f0d893p-16, -0x1.e96942921aefap-16, -0x1.e609e648f0b4fp-16, -0x1.e2a0b9e89fcd5p-16, -0x1.df2e3e86a7829p-16, }}, 
      {{-0x1.865005e88046dp-3, -0x1.86b10c810f39ap-3, -0x1.875083de5a4ep-3, -0x1.882b4740511d1p-3, -0x1.893d4e34c0bfp-3, -0x1.8a81ed426544cp-3, -0x1.8bf4121257bb9p-3, -0x1.8d8e77c24d767p-3, -0x1.8f4bd26cc346p-3, -0x1.9126f2309ee65p-3, -0x1.931ade8536ee4p-3, -0x1.9522eac93d2ccp-3, -0x1.973ac4f343754p-3, -0x1.995e7f36dbaa2p-3, -0x1.9b8a955e9ad62p-3, -0x1.9dbbee8c0e79ep-3, -0x1.9fefdc02bf0a7p-3, -0x1.a2241598084dbp-3, -0x1.a456b455b213ep-3, -0x1.a6862bcfa23d7p-3, -0x1.a8b1429def009p-3, -0x1.aad70a5c4d4a7p-3, -0x1.acf6d77f35c6p-3, -0x1.af10393ecf174p-3, -0x1.b122f1c86fa95p-3, -0x1.b32eeed9dbb4p-3, -0x1.b53442dd9a2d2p-3, -0x1.b7331e95e96e1p-3, -0x1.b92bcb5c07b37p-3, -0x1.bb1ea5f37e8b2p-3, -0x1.bd0c19ece1f2cp-3, -0x1.bef49d9058bd3p-3, -0x1.c0d8ae46a2e87p-3, -0x1.c2b8cd7643a02p-3, -0x1.c4957dca5a454p-3, -0x1.c66f40d8e717dp-3, -0x1.c846951ecf67dp-3, -0x1.ca1bf448b3331p-3, -0x1.cbefd1c097f9bp-3, -0x1.cdc2997920e4cp-3, -0x1.cf94aef006299p-3, -0x1.d1666c622cap-3, -0x1.d338222c6d8b3p-3, -0x1.d50a1654a98ffp-3, -0x1.d6dc84375052fp-3, -0x1.d8af9c55d725p-3, -0x1.da838442f0389p-3, -0x1.dc5856a99bfdp-3, -0x1.de2e236c56b1dp-3, -0x1.e004efd9dd70dp-3, -0x1.e1dcb6f5034a8p-3, -0x1.e3b569cd6d2fap-3, -0x1.e58eefe6d5b7ep-3, -0x1.e76927accf2bbp-3, -0x1.e943e6f0f5ce7p-3, -0x1.eb1efb71a3319p-3, -0x1.ecfa2b674b16ep-3, -0x1.eed53616c14ap-3, -0x1.f0afd466d7555p-3, -0x1.f289b977b90e5p-3, -0x1.f462933abfe1dp-3, -0x1.f63a0b095c258p-3, -0x1.f80fc63a0f31ep-3, -0x1.f9e366b2523bcp-3, -0x1.fbb48b74a788cp-3, -0x1.fd82d129f4d16p-3, -0x1.ff4dd2a594cb9p-3, -0x1.008a94b1c4babp-2, -0x1.016c370038804p-2, -0x1.024b9c556ac9ap-2, -0x1.032890c6d825cp-2, -0x1.0402e099f4ec8p-2, -0x1.04da58726a969p-2, -0x1.05aec57cca348p-2, -0x1.067ff595c60d2p-2, -0x1.074db76df7ab3p-2, -0x1.0817daaa4bdb9p-2, -0x1.08de30013213dp-2, -0x1.09a08954a5affp-2, -0x1.0a5eb9c9382a6p-2, -0x1.0b1895da3e9d8p-2, -0x1.0bcdf36b4a93fp-2, -0x1.0c7ea9d710e62p-2, -0x1.0d2a91fbeaa04p-2, -0x1.0dd186461a29p-2, -0x1.0e7362b7f4c51p-2, -0x1.0f1004f022287p-2, -0x1.0fa74c2e0f8eep-2, -0x1.10391954c4f89p-2, -0x1.10c54eec367ecp-2, -0x1.114bd1213fedep-2, -0x1.11cc85c46031ep-2, -0x1.124754475faf9p-2, -0x1.12bc25b9f23fcp-2, -0x1.132ae4c57e257p-2, -0x1.13937da8159fep-2, -0x1.13f5de2ec4863p-2, -0x1.1451f5af41c19p-2, -0x1.14a7b5011d47p-2, -0x1.14f70e767bb78p-2, -0x1.153ff5d4705dap-2, -0x1.1582604b071f8p-2, -0x1.15be446d0b96cp-2, -0x1.15f39a2797ddep-2, -0x1.16225ab97bc76p-2, -0x1.164a80aa81572p-2, -0x1.166c07c29d70ep-2, -0x1.1686ed010d2cdp-2, -0x1.169b2e9370887p-2, -0x1.16a8cbcce1933p-2, -0x1.16afc51d0dcd6p-2, -0x1.16b01c075e7bap-2, -0x1.16a9d31a29c62p-2, -0x1.169cede5f4fe8p-2, -0x1.168970f4d0686p-2, -0x1.166f61c1c2d6dp-2, -0x1.164ec6b053322p-2, -0x1.1627a7042b7fdp-2, -0x1.15fa0ad8dab3bp-2, -0x1.15c5fb19af222p-2, -0x1.158b8179b654ap-2, -0x1.154aa86bda559p-2, -0x1.15037b1b1ce48p-2, -0x1.14b60562f72bp-2, -0x1.146253c7dbbfcp-2, -0x1.1408736fd7024p-2, -0x1.13a8721b53f7cp-2, -0x1.13425e1e03e65p-2, -0x1.12d64657e83e8p-2, -0x1.12643a2e7c2ecp-2, -0x1.11ec498605ccdp-2, -0x1.116e84bb0607bp-2, -0x1.10eafc9bcd1aep-2, -0x1.1061c26230dfp-2, -0x1.0fd2e7ad65d93p-2, -0x1.0f3e7e7bfbe9ep-2, -0x1.0ea49925fbf86p-2, -0x1.0e054a57285c7p-2, -0x1.0d60a5096158cp-2, -0x1.0cb6bc7f2b02p-2, -0x1.0c07a43e53412p-2, -0x1.0b53700abef9cp-2, -0x1.0a9a33e155193p-2, -0x1.09dc03f30e266p-2, -0x1.0918f4a0237bbp-2, -0x1.08511a7364546p-2, -0x1.07848a1da8c17p-2, -0x1.06b35871683e8p-2, -0x1.05dd9a5e72246p-2, -0x1.050364edc4e46p-2, -0x1.0424cd3d8b171p-2, -0x1.0341e87d34b01p-2, -0x1.025acbe9b2f0dp-2, -0x1.016f8cc9d71a4p-2, -0x1.0080406acc625p-2, -0x1.ff19f8396cd64p-3, -0x1.fd2baa5edc25p-3, -0x1.fb35c1deb5afcp-3, -0x1.f9386944dee32p-3, -0x1.f733cb0a842ep-3, -0x1.f52811908728ap-3, -0x1.f315671a2b3p-3, -0x1.f0fbf5c7f423fp-3, -0x1.eedbe792cb83cp-3, -0x1.ecb566475185ep-3, -0x1.ea889b816e66p-3, -0x1.e855b0a814f4ap-3, -0x1.e61ccee93f34fp-3, -0x1.e3de1f361a7a9p-3, -0x1.e199ca3f6cb34p-3, -0x1.df4ff8722228p-3, -0x1.dd00d1f419b0ap-3, -0x1.daac7ea111745p-3, -0x1.d8532607ce983p-3, -0x1.d5f4ef6769dfep-3, -0x1.d39201accd907p-3, -0x1.d12a83705762ep-3, -0x1.cebe9af3aad88p-3, -0x1.cc4e6e1fa9612p-3, -0x1.c9da22828b0dep-3, -0x1.c761dd4e25e16p-3, -0x1.c4e5c35653ea7p-3, -0x1.c265f90f7acacp-3, -0x1.bfe2a28d3bb44p-3, -0x1.bd5be3813b261p-3, -0x1.bad1df3a0a16ap-3, -0x1.b844b8a2324cap-3, -0x1.b5b4923f57d4ep-3, -0x1.b3218e317b02dp-3, -0x1.b08bce324f8e9p-3, -0x1.adf37394aef69p-3, -0x1.ab589f4426265p-3, -0x1.a8bb71c494b49p-3, -0x1.a61c0b31df7b7p-3, -0x1.a37a8b3fc118dp-3, -0x1.a0d71139a33a4p-3, -0x1.9e31bc02908a4p-3, -0x1.9b8aaa1533cfp-3, -0x1.98e1f983ec259p-3, -0x1.9637c7f8ee6e9p-3, -0x1.938c32b66ea6p-3, -0x1.90df5696e39dap-3, -0x1.8e31500d49d71p-3, -0x1.8b823b257e1dp-3, -0x1.88d2338499df7p-3, -0x1.862154695cc0ep-3, -0x1.836fb8aca5186p-3, -0x1.80bd7ac1e4ee2p-3, -0x1.7e0ab4b7add76p-3, -0x1.7b578038378acp-3, -0x1.78a3f689f487fp-3, -0x1.75f030902a436p-3, -0x1.733c46cb92ffdp-3, -0x1.7088515afa602p-3, -0x1.6dd467fbec724p-3, -0x1.6b20a20b5f72ap-3, -0x1.686d168661153p-3, -0x1.65b9dc0acf3c9p-3, -0x1.630708d808c7ap-3, -0x1.6054b2cfa8ecep-3, -0x1.5da2ef763f10cp-3, -0x1.5af1d3f40da5ep-3, -0x1.58417515c90d3p-3, -0x1.5591e74d4e8b2p-3, -0x1.52e33eb26db62p-3, -0x1.50358f03a2f09p-3, -0x1.4d88eba6d72a2p-3, -0x1.4add67aa24e81p-3, -0x1.483315c49562ep-3, -0x1.458a0856e128ep-3, -0x1.42e2516c32829p-3, -0x1.403c02bae0ce9p-3, -0x1.3d972da534a84p-3, -0x1.3af3e33a209fbp-3, -0x1.3852343602bd7p-3, -0x1.35b231035b77ap-3, -0x1.3313e9bb8f35fp-3, -0x1.30776e279aa34p-3, -0x1.2ddccdc0cd27bp-3, -0x1.2b4417b18282p-3, -0x1.28ad5ad5d556cp-3, -0x1.2618a5bc5625ep-3, -0x1.238606a6bdda2p-3, -0x1.20f58b8aa058ep-3, -0x1.1e6742121e302p-3, -0x1.1bdb379c8f3b9p-3, -0x1.1951793f38b91p-3, -0x1.16ca13c5f0e3ap-3, -0x1.144513b3cfc12p-3, -0x1.11c28543d8e5ap-3, -0x1.0f427469a0d18p-3, -0x1.0cc4ecd1f5d3cp-3, -0x1.0a49f9e3880b9p-3, -0x1.07d1a6bf897efp-3, -0x1.055bfe4256fd8p-3, -0x1.02e90b0415933p-3, -0x1.0078d7595705ap-3, -0x1.fc16daa7704fbp-4, -0x1.f741ad850567bp-4, -0x1.f2723a6690342p-4, -0x1.eda893e4ffabcp-4, -0x1.e8e4cc1847ff1p-4, -0x1.e426f4989d7fp-4, -0x1.df6f1e7f9fadep-4, -0x1.dabd5a6997aabp-4, -0x1.d611b876a17fep-4, -0x1.d16c484be385p-4, -0x1.cccd1914bcf4fp-4, -0x1.c8343983f0febp-4, -0x1.c3a1b7d4d3991p-4, -0x1.bf15a1cc7b9d8p-4, -0x1.ba9004bae891fp-4, -0x1.b610ed7c2dba2p-4, -0x1.b19868799d28cp-4, -0x1.ad2681aaf2d0dp-4, -0x1.a8bb449775086p-4, -0x1.a456bc5724e1p-4, -0x1.9ff8f393e06d4p-4, -0x1.9ba1f48a888a9p-4, -0x1.9751c90c2a8a4p-4, -0x1.93087a7f22fe2p-4, -0x1.8ec611e04436ap-4, -0x1.8a8a97c3fc94p-4, -0x1.86561457789edp-4, -0x1.82288f61cb1b6p-4, -0x1.7e0210450f7c6p-4, -0x1.79e29dff8ecb8p-4, -0x1.75ca3f2ce4bfbp-4, -0x1.71b8fa0722899p-4, -0x1.6daed467f49d8p-4, -0x1.69abd3c9c6e86p-4, -0x1.65affd48e79c2p-4, -0x1.61bb55a4acccep-4, -0x1.5dcde140976a7p-4, -0x1.59e7a42579376p-4, -0x1.5608a20296876p-4, -0x1.5230de2ecd44ap-4, -0x1.4e605ba9b7083p-4, -0x1.4a971d1cce5cfp-4, -0x1.46d524dc92402p-4, -0x1.431a74e9ab64ap-4, -0x1.3f670ef20f596p-4, -0x1.3bbaf4522491p-4, -0x1.38162615e7d23p-4, -0x1.3478a4fa0e4fbp-4, -0x1.30e2716d2abe6p-4, -0x1.2d538b90d0222p-4, -0x1.29cbf33ab601ep-4, -0x1.264ba7f5db07ep-4, -0x1.22d2a903a8dbdp-4, -0x1.1f60f55d15b46p-4, -0x1.1bf68bb3c804dp-4, -0x1.18936a7337b43p-4, -0x1.15378fc1d0089p-4, -0x1.11e2f98211389p-4, -0x1.0e95a553b1a2p-4, -0x1.0b4f9094bc312p-4, -0x1.0810b862b2ffap-4, -0x1.04d9199bac532p-4, -0x1.01a8b0df7211ep-4, -0x1.fcfef5213ddcep-5, -0x1.f6bae5ab799b8p-5, -0x1.f0852b34c0615p-5, -0x1.ea5dbd2088a15p-5, -0x1.e4449260c98d7p-5, -0x1.de39a17830804p-5, -0x1.d83ce07c522d9p-5, -0x1.d24e4517dac54p-5, -0x1.cc6dc48cb8cebp-5, -0x1.c69b53b64c974p-5, -0x1.c0d6e70b8d129p-5, -0x1.bb2072a1303fbp-5, -0x1.b577ea2bcefafp-5, -0x1.afdd410205ffbp-5, -0x1.aa506a1e94cd4p-5, -0x1.a4d158227a6fcp-5, -0x1.9f5ffd570c4d4p-5, -0x1.99fc4bb00c995p-5, -0x1.94a634cdbf06p-5, -0x1.8f5da9fef7799p-5, -0x1.8a229c43248b6p-5, -0x1.84f4fc4c5b0f2p-5, -0x1.7fd4ba815b4a8p-5, -0x1.7ac1c6ff91f26p-5, -0x1.75bc119d17653p-5, -0x1.70c389eaaa52ap-5, -0x1.6bd81f35a738fp-5, -0x1.66f9c089f9e65p-5, -0x1.62285cb40ea1p-5, -0x1.5d63e242bb36fp-5, -0x1.58ac3f89291cap-5, -0x1.540162a0b4fcap-5, -0x1.4f63396acfb06p-5, -0x1.4ad1b192d612bp-5, -0x1.464cb88feaee9p-5, -0x1.41d43ba6c551ep-5, -0x1.3d6827eb7d1dcp-5, -0x1.39086a4357968p-5, -0x1.34b4ef6685e14p-5, -0x1.306da3e1e9226p-5, -0x1.2c327418c889p-5, -0x1.28034c468b39ap-5, -0x1.23e018806533dp-5, -0x1.1fc8c4b707086p-5, -0x1.1bbd3cb8408b5p-5, -0x1.17bd6c30a709fp-5, -0x1.13c93ead2fe51p-5, -0x1.0fe09f9cca1cdp-5, -0x1.0c037a51ee024p-5, -0x1.0831ba042fb9ep-5, -0x1.046b49d1c5136p-5, -0x1.00b014c10890cp-5, -0x1.fa000b83f0696p-6, -0x1.f2b60f5f5f7bfp-6, -0x1.eb820aa3b6fe9p-6, -0x1.e463d2bc4a77fp-6, -0x1.dd5b3cf342bd7p-6, -0x1.d6681e745ceeep-6, -0x1.cf8a4c4fadab5p-6, -0x1.c8c19b7c4fddap-6, -0x1.c20de0db10043p-6, -0x1.bb6ef13903c4cp-6, -0x1.b4e4a15222e86p-6, -0x1.ae6ec5d3c86adp-6, -0x1.a80d335f365a2p-6, -0x1.a1bfbe8c00612p-6, -0x1.9b863bea7922dp-6, -0x1.956080060be15p-6, -0x1.8f4e5f678f1b6p-6, -0x1.894fae978be82p-6, -0x1.836442207ac3ep-6, -0x1.7d8bee90f4673p-6, -0x1.77c6887ddadfdp-6, -0x1.7213e48474974p-6, -0x1.6c73d74c7ee6fp-6, -0x1.66e6358a383b8p-6, -0x1.616ad40057375p-6, -0x1.5c01878203f24p-6, -0x1.56aa24f4bc1c7p-6, -0x1.5164815231805p-6, -0x1.4c3071aa1f5ecp-6, -0x1.470dcb24126c1p-6, -0x1.41fc630126f3bp-6, -0x1.3cfc0e9dc0a5dp-6, -0x1.380ca3733452bp-6, -0x1.332df71965af5p-6, -0x1.2e5fdf4863b1bp-6, -0x1.29a231d9f355ap-6, -0x1.24f4c4cb10878p-6, -0x1.20576e3d6cf2cp-6, -0x1.1bca0478d8ff8p-6, -0x1.174c5decb325dp-6, -0x1.12de51313debcp-6, -0x1.0e7fb508f3128p-6, -0x1.0a306061d33f9p-6, -0x1.05f02a56a1f0dp-6, -0x1.01beea301f552p-6, -0x1.fb38eecc6f2c9p-7, -0x1.f31153424dc19p-7, -0x1.eb06b1752b5bdp-7, -0x1.e318b97d6312ap-7, -0x1.db471bda61741p-7, -0x1.d3918974bcbadp-7, -0x1.cbf7b3a01620ap-7, -0x1.c4794c1d0c144p-7, -0x1.bd16051b0236dp-7, -0x1.b5cd9139f1cabp-7, -0x1.ae9fa38c0bb13p-7, -0x1.a78bef9769e33p-7, -0x1.a092295796b11p-7, -0x1.99b2053f156b5p-7, -0x1.92eb3838d5ee5p-7, -0x1.8c3d77a998b36p-7, -0x1.85a8797141fep-7, -0x1.7f2bf3ec232f4p-7, -0x1.78c79df431cdap-7, -0x1.727b2ee230798p-7, -0x1.6c465e8ece082p-7, -0x1.6628e553af81ep-7, -0x1.60227c0c7046ep-7, -0x1.5a32dc1799c16p-7, -0x1.5459bf57832bdp-7, -0x1.4e96e0332a4d1p-7, -0x1.48e9f99700f27p-7, -0x1.4352c6f5ac7afp-7, -0x1.3dd10448b84bcp-7, -0x1.38646e11358cep-7, -0x1.330cc1585fafp-7, -0x1.2dc9bbb0221e8p-7, -0x1.289b1b33a07fbp-7, -0x1.23809e87ab7e6p-7, -0x1.1e7a04db2fb4ep-7, -0x1.19870de794874p-7, -0x1.14a779f114a96p-7, -0x1.0fdb09c708924p-7, -0x1.0b217ec42a2ddp-7, -0x1.067a9acecc749p-7, -0x1.01e6205909dc8p-7, -0x1.fac7a4c1d0323p-8, -0x1.f1e6e8e0e36ffp-8, -0x1.e929953b9001ep-8, -0x1.e08f33165ef8fp-8, -0x1.d8174cce17754p-8, -0x1.cfc16dd7aa1aap-8, -0x1.c78d22c011896p-8, -0x1.bf79f92c262dfp-8, -0x1.b7877fd85168bp-8, -0x1.afb5469835bc1p-8, -0x1.a802de565a137p-8, -0x1.a06fd913abf11p-8, -0x1.98fbc9e708a61p-8, -0x1.91a644fca1aa7p-8, -0x1.8a6edf9567b67p-8, -0x1.8355300660c04p-8, -0x1.7c58cdb7f105fp-8, -0x1.7579512513c53p-8, -0x1.6eb653da8356dp-8, -0x1.680f7075eecdap-8, -0x1.618442a4ffbafp-8, -0x1.5b1467246d764p-8, -0x1.54bf7bbef79fcp-8, -0x1.4e851f4c63739p-8, -0x1.4864f1b06718cp-8, -0x1.425e93d97e245p-8, -0x1.3c71a7bfd3383p-8, -0x1.369dd063f7d02p-8, -0x1.30e2b1cdc2e63p-8, -0x1.2b3ff10af794ap-8, -0x1.25b5342dfce23p-8, -0x1.2042224c8c456p-8, -0x1.1ae6637e525c8p-8, -0x1.15a1a0db8d1d3p-8, -0x1.1073847b91cf4p-8, -0x1.0b5bb9736dc48p-8, -0x1.0659ebd460394p-8, -0x1.016dc8aa54343p-8, -0x1.f92dfbf4bcaf5p-9, -0x1.efaa758272942p-9, -0x1.e6505de33d4fp-9, -0x1.dd1f16e57d42cp-9, -0x1.d416043d269d9p-9, -0x1.cb348b809d745p-9, -0x1.c27a1425361b5p-9, -0x1.b9e6077c12623p-9, -0x1.b177d0ae9079p-9, -0x1.a92edcbaf3d14p-9, -0x1.a10a9a70f0b8ep-9, -0x1.990a7a6e3c763p-9, -0x1.912def1af32b7p-9, -0x1.89746ca62a32ep-9, -0x1.81dd69024acp-9, -0x1.7a685be196293p-9, -0x1.7314beb275d64p-9, -0x1.6be20c9bf2978p-9, -0x1.64cfc27a04948p-9, -0x1.5ddd5ed9e72bdp-9, -0x1.570a61f688683p-9, -0x1.50564db4b848cp-9, -0x1.49c0a59f9d474p-9, -0x1.4348eee4d7cdep-9, -0x1.3ceeb050ec9b7p-9, -0x1.36b1724b884fdp-9, -0x1.3090bed3ab532p-9, -0x1.2a8c217c11f9cp-9, -0x1.24a3276751c8bp-9, -0x1.1ed55f444a0b2p-9, -0x1.1922594a2a924p-9, -0x1.1389a734fd0fep-9, -0x1.0e0adc419e537p-9, -0x1.08a58d2a37515p-9, -0x1.035950225706ap-9, -0x1.fc4b79a68cb18p-10, -0x1.f214d8b0ce6ebp-10, -0x1.e80df2766ff72p-10, -0x1.de35fedfb3e3ep-10, -0x1.d48c38a273c25p-10, -0x1.cb0fdd3ab930cp-10, -0x1.c1c02ce3647d1p-10, -0x1.b89c6a8eba7ecp-10, -0x1.afa3dbdf07d59p-10, -0x1.a6d5c91f5cec8p-10, -0x1.9e317d3c1e149p-10, -0x1.95b645bbddee6p-10, -0x1.8d6372b7ca9d3p-10, -0x1.853856d4efc61p-10, -0x1.7d34473c5df4bp-10, -0x1.75569b94879fdp-10, -0x1.6d9eadf9d143ap-10, -0x1.660bdaf76f2c1p-10, -0x1.5e9d818073a94p-10, -0x1.575302e89654dp-10, -0x1.502bc2dd5209fp-10, -0x1.4927275ecdf15p-10, -0x1.424498b8fdb9ap-10, -0x1.3b83817c92859p-10, -0x1.34e34e786f94ep-10, -0x1.2e636eb24ea34p-10, -0x1.280353609c26ap-10, -0x1.21c26fe3160c6p-10, -0x1.1ba039bc8f32fp-10, -0x1.159c288c033f3p-10, -0x1.0fb5b6060904dp-10, -0x1.09ec5dee39ad4p-10, -0x1.043f9e10c7d47p-10, -0x1.fd5dec7791789p-11, -0x1.f273d0721fbcdp-11, -0x1.e7bfef8ee6562p-11, -0x1.dd415529af29ep-11, -0x1.d2f7106ec28b9p-11, -0x1.c8e0344fb3cb9p-11, -0x1.befbd775af63ep-11, -0x1.b5491435fa49fp-11, -0x1.abc70885a984ep-11, -0x1.a274d5ed4c414p-11, -0x1.9951a17cf597dp-11, -0x1.905c93c08a1c1p-11, -0x1.8794d8b3aa902p-11, -0x1.7ef99fb63cac1p-11, -0x1.768a1b80abd6ep-11, -0x1.6e45821875c15p-11, -0x1.662b0cc4dd836p-11, -0x1.5e39f80373431p-11, -0x1.5671837d1b15bp-11, -0x1.4ed0f1fabe897p-11, -0x1.4757895aa0892p-11, -0x1.4004928514c0cp-11, -0x1.38d759620ef41p-11, -0x1.31cf2cce8ec11p-11, -0x1.2aeb5e9180adp-11, -0x1.242b4352048dp-11, -0x1.1d8e328c88abdp-11, -0x1.17138688f7a71p-11, -0x1.10ba9c5008f2dp-11, -0x1.0a82d3a1e1c86p-11, -0x1.046b8eeb9dbbap-11, -0x1.fce8667b62933p-12, -0x1.f1385084968e9p-12, -0x1.e5c5b067033d7p-12, -0x1.da8f5fa3d204cp-12, -0x1.cf943cb688fd8p-12, -0x1.c4d32b02061d8p-12, -0x1.ba4b12be1cf45p-12, -0x1.affae0e62c8e3p-12, -0x1.a5e18725d3749p-12, -0x1.9bfdfbc8224abp-12, -0x1.924f39a5b5641p-12, -0x1.88d4401331e25p-12, -0x1.7f8c12d070a9ep-12, -0x1.7675b9f6f4be9p-12, -0x1.6d9041e97e40cp-12, -0x1.64dabb438672dp-12, -0x1.5c543ac893a91p-12, -0x1.53fbd9543f922p-12, -0x1.4bd0b3c9eeaeap-12, -0x1.43d1eb0564763p-12, -0x1.3bfea3cacfed5p-12, -0x1.345606b762f2p-12, -0x1.2cd740328e5cp-12, -0x1.2581805e234afp-12, -0x1.1e53fb0820be5p-12, -0x1.174de79be066ap-12, -0x1.106e8113428ffp-12, -0x1.09b505e903bc4p-12, -0x1.0320b809ed826p-12, -0x1.f961b98efd26p-13, -0x1.ecc97992ff23cp-13, -0x1.e07748026c892p-13, -0x1.d469c336be9a6p-13, -0x1.c89f8fe66c396p-13, -0x1.bd17590a92352p-13, -0x1.b1cfcfc5baed9p-13, -0x1.a6c7ab497aecfp-13, -0x1.9bfda8be56f9cp-13, -0x1.91708b2aadf46p-13, -0x1.871f1b5985e2ap-13, -0x1.7d0827c4577dep-13, -0x1.732a8479654p-13, -0x1.69850b0515743p-13, -0x1.60169a5af79ccp-13, -0x1.56de16bf3a704p-13, -0x1.4dda69aefee79p-13, -0x1.450a81cbfae04p-13, -0x1.3c6d52c50debp-13, -0x1.3401d5417d3f8p-13, -0x1.2bc706cbd4b6bp-13, -0x1.23bbe9bc87d1bp-13, -0x1.1bdf8525b5af9p-13, -0x1.1430e4be53e3bp-13, -0x1.0caf18ced64d1p-13, -0x1.0559361d0b5e3p-13, -0x1.fc5cabb0f997cp-14, -0x1.ee5b2b0e8aaa3p-14, -0x1.e0ac2de784a1p-14, -0x1.d34e003310276p-14, -0x1.c63ef625239a1p-14, -0x1.b97d6c0c4e3aap-14, -0x1.ad07c62cf576bp-14, -0x1.a0dc709d875c4p-14, -0x1.94f9df25b8b7cp-14, -0x1.895e8d1b3e197p-14, -0x1.7e08fd4050394p-14, -0x1.72f7b9a3c7a85p-14, -0x1.6829537e59581p-14, -0x1.5d9c6314ff5dcp-14, -0x1.534f8797dd89p-14, -0x1.494167045b6e1p-14, -0x1.3f70ae05052fdp-14, -0x1.35dc0fd4d28f9p-14, -0x1.2c82462145d56p-14, -0x1.236210ec7e1b8p-14, -0x1.1a7a36713450ep-14, -0x1.11c9830638b06p-14, -0x1.094ec902f9ee8p-14, -0x1.0108e0a3820dap-14, -0x1.f1ed4fdb6b4e1p-15, -0x1.e22e052e6d306p-15, -0x1.d2d1b3d547506p-15, -0x1.c3d6395c8a4bcp-15, -0x1.b5397e166f9c3p-15, -0x1.a6f974e6964c1p-15, -0x1.99141b136bfd3p-15, -0x1.8b8778154710cp-15, -0x1.7e519d65885f9p-15, -0x1.7170a653e8cf8p-15, -0x1.64e2b7d2c9c07p-15, -0x1.58a60050276a2p-15, -0x1.4cb8b7847e0e3p-15, -0x1.41191e49f6bbbp-15, -0x1.35c57e7101d4dp-15, -0x1.2abc2a942603ep-15, -0x1.1ffb7df1205b9p-15, -0x1.1581dc3eb3fc7p-15, -0x1.0b4db18486abcp-15, -0x1.015d71f3a0fb7p-15, -0x1.ef5f3380c4875p-16, -0x1.dc8559f735ff4p-16, -0x1.ca2a6ed8f042ap-16, -0x1.b84b98dac82ap-16, -0x1.a6e60d8b914cdp-16, -0x1.95f7110f89e4bp-16, -0x1.857bf5d859cp-16, -0x1.75721c61c2671p-16, -0x1.65d6f2eb14099p-16, -0x1.56a7f53ac0e3cp-16, -0x1.47e2ac549ee01p-16, -0x1.3984ae400ab5fp-16, -0x1.2b8b9dc5fcbecp-16, -0x1.1df52a32c519bp-16, -0x1.10bf0f19bf7e1p-16, -0x1.03e7141923e0cp-16, -0x1.eed6193e6a987p-17, -0x1.d691af603fa58p-17, -0x1.befcbf5897e8cp-17, -0x1.a81334350a90fp-17, -0x1.91d10ee062cabp-17, -0x1.7c3265b21e554p-17, -0x1.67336409c163bp-17, -0x1.52d049e7444d3p-17, -0x1.3f056b7ef1c2dp-17, -0x1.2bcf30dbf623bp-17, -0x1.192a15783dc82p-17, -0x1.0712a7df826f6p-17, -0x1.eb0b12926912bp-18, -0x1.c8feda8f427dcp-18, -0x1.a7fa32bb8a0b6p-18, -0x1.87f6c95d3731fp-18, -0x1.68ee6f436959ep-18, -0x1.4adb1717abaa7p-18, -0x1.2db6d4b35d85ep-18, -0x1.117bdc7845d11p-18, -0x1.ec490559e6969p-19, -0x1.b75675b0a6dabp-19, -0x1.84152e580fe5cp-19, -0x1.527a8fb36ed4dp-19, -0x1.227c350e78f2p-19, -0x1.e81fe6b9f452cp-20, -0x1.8e57b05243ec2p-20, -0x1.378c50bc603e9p-20, -0x1.c7557cd52da17p-21, -0x1.2540b48d09a34p-21, -0x1.116bb612be434p-22, 0x1.cdd61ce76383cp-26, 0x1.409f909ea6d7fp-22, 0x1.2d0f7fdee965fp-21, 0x1.b4cf2bfef4694p-21, 0x1.1bd7b267722bep-20, 0x1.5ae804eeb049ap-20, 0x1.97a822ed3722cp-20, 0x1.d227492fdc67p-20, 0x1.053a2edf3c819p-19, 0x1.204ef8ce75b3bp-19, 0x1.3a59214531d88p-19, 0x1.535f9e647dc18p-19, 0x1.6b693e55bb72ep-19, 0x1.827ca82387fdep-19, 0x1.98a05c87a842fp-19, 0x1.addab6b4017dcp-19, 0x1.c231ed19825a8p-19, 0x1.d5ac122af001p-19, 0x1.e84f151518924p-19, 0x1.fa20c282a8cb7p-19, 0x1.059362a7b36bdp-18, 0x1.0db3539d18e6fp-18, 0x1.1572e8cef1b64p-18, 0x1.1cd4c706849f6p-18, 0x1.23db8385a295p-18, 0x1.2a89a45754ba5p-18, 0x1.30e1a0a181b32p-18, 0x1.36e5e0f1f57fap-18, 0x1.3c98bf913aebp-18, 0x1.41fc88cf52fc7p-18, 0x1.47137b4a6fe28p-18, 0x1.4bdfc83a861cp-18, 0x1.506393bd0a4d6p-18, 0x1.54a0f519847fcp-18, 0x1.5899f70674f26p-18, 0x1.5c5097eed28c1p-18, 0x1.5fc6ca341fac6p-18, 0x1.62fe746ff332p-18, 0x1.65f971b60f9a8p-18, 0x1.68b991d07137ap-18, 0x1.6b40997f321aep-18, 0x1.6d9042b392de2p-18, 0x1.6faa3ccd7caa3p-18, 0x1.71902cd3b7676p-18, 0x1.7343adab6fd21p-18, 0x1.74c65054b2edbp-18, 0x1.76199c1db732cp-18, 0x1.773f0ed94705ap-18, 0x1.78381d121e5bdp-18, 0x1.7906323fba2ep-18, 0x1.79aab0f899eb9p-18, 0x1.7a26f324d561ep-18, 0x1.7a7c4a2b565f1p-18, 0x1.7aabff236dc98p-18, 0x1.7ab75303ea47ep-18, 0x1.7a9f7ed0c656ep-18, 0x1.7a65b3c56e2ecp-18, 0x1.7a0b1b8222548p-18, 0x1.7990d836bf33ap-18, 0x1.78f804cbd8b29p-18, 0x1.7841b50d9b73ap-18, 0x1.776ef5d18dc5fp-18, 0x1.7680cd1ea6f3fp-18, 0x1.75783a5655cd8p-18, 0x1.745636577b1bbp-18, 0x1.731bb3a4be6e6p-18, 0x1.71c99e88e397ep-18, 0x1.7060dd3993d75p-18, 0x1.6ee24ffa58966p-18, 0x1.6d4ed13fcfcc8p-18, 0x1.6ba735cf21ba9p-18, 0x1.69ec4ce0665b1p-18, 0x1.681ee03de1786p-18, 0x1.663fb4636bb9bp-18, 0x1.644f889c40f5ep-18, 0x1.624f172331925p-18, 0x1.603f153d962bap-18, 0x1.5e20335a69159p-18, 0x1.5bf31d2cc66edp-18, 0x1.59b879c7fad4ep-18, 0x1.5770ebba75e52p-18, 0x1.551d1128b992fp-18, 0x1.52bd83e730c1p-18, 0x1.5052d992fcf81p-18, 0x1.4ddda3aaae808p-18, 0x1.4b5e6fa801e7dp-18, 0x1.48d5c71645317p-18, 0x1.46442fa968d0ap-18, 0x1.43aa2b55c7154p-18, 0x1.41083866230a6p-18, 0x1.3e5ed190d12cap-18, 0x1.3bae6e0e4992p-18, 0x1.38f781ad3a321p-18, 0x1.363a7ce69448p-18, 0x1.3377ccf2685e3p-18, 0x1.30afdbdb09a4ep-18, 0x1.2de31090719p-18, 0x1.2b11cefba578ep-18, 0x1.283c780fe5e14p-18, 0x1.256369dcdf195p-18, 0x1.2286ffa0c088fp-18, 0x1.1fa791d95328dp-18, 0x1.1cc5765454eb5p-18, 0x1.19e1004067b8fp-18, 0x1.16fa803ce3a6ap-18, 0x1.141244696a57p-18, 0x1.11289875ba0e2p-18, 0x1.0e3dc5b100828p-18, 0x1.0b52131818668p-18, 0x1.0865c563c2e93p-18, 0x1.05791f1764ef7p-18, 0x1.028c608ea6f47p-18, 0x1.ff3f9014b7bccp-19, 0x1.f967237d2fd18p-19, 0x1.f38fefbe35eadp-19, 0x1.edba6557854b6p-19, 0x1.e7e6f0fa8da1ap-19, 0x1.e215fba21ff01p-19, 0x1.dc47eaaae81acp-19, 0x1.d67d1fe9182f5p-19, 0x1.d0b5f9c08804bp-19, 0x1.caf2d339ba7e1p-19, 0x1.c5340418014e1p-19, 0x1.bf79e0ee27b83p-19, 0x1.b9c4bb3351c81p-19, 0x1.b414e15724cb5p-19, 0x1.ae6a9ed5d017p-19, 0x1.a8c63c4b23b04p-19, 0x1.a327ff847601bp-19, 0x1.9d902b9503193p-19, 0x1.97ff00e62cf93p-19, 0x1.9274bd4a25e0fp-19, 0x1.8cf19c0d33728p-19, 0x1.8775d605eafb2p-19, 0x1.8201a1a62ed86p-19, 0x1.7c95330a45e93p-19, 0x1.7730bc0998f64p-19, 0x1.71d46c4660042p-19, 0x1.6c80713b67f55p-19, 0x1.6734f64b655b4p-19, 0x1.61f224cf0acccp-19, 0x1.5cb824231ea94p-19, 0x1.578719b67d422p-19, 0x1.525f29173220cp-19, 0x1.4d4074000dcfbp-19, 0x1.482b1a64b27f4p-19, 0x1.431f3a7e38d94p-19, 0x1.3e1cf0d7b801cp-19, 0x1.3924585940fd8p-19, 0x1.34358a546ec51p-19, 0x1.2f509e90291f3p-19, 0x1.2a75ab522e84ap-19, 0x1.25a4c56b5afcbp-19, 0x1.20de00413f436p-19, 0x1.1c216dd8bd114p-19, 0x1.176f1ee100c75p-19, 0x1.12c722bc47e68p-19, 0x1.0e298789b146ep-19, 0x1.09965a2f00a08p-19, }}, 
      std::vector<double>(900, 0.0), 
      {{-0x1.4209970192be2p-8, -0x1.408fbdaf25682p-7, -0x1.dd68481ec6593p-7, -0x1.3b5c5859e3b63p-6, -0x1.8608b1e9a6f1bp-6, -0x1.cead91a2d9684p-6, -0x1.0ab0b4f99d21ap-5, -0x1.2d2948c364ab5p-5, -0x1.4edf2f9925e65p-5, -0x1.6ff4f5f7fa595p-5, -0x1.908e3249b389dp-5, -0x1.b0cd58f2ad94ep-5, -0x1.d0d21f57dad37p-5, -0x1.f0b8574787ccap-5, -0x1.084b98acd16e3p-4, -0x1.18406bf26b0a8p-4, -0x1.28412aa595183p-4, -0x1.3851dc3ec11aap-4, -0x1.4874353b5657fp-4, -0x1.58a7d3ce76171p-4, -0x1.68ea885714d3p-4, -0x1.7938a40ccd1cfp-4, -0x1.898d4928210b3p-4, -0x1.99e2b8bb0d87dp-4, -0x1.aa329b6491df7p-4, -0x1.ba7642f1c6aa4p-4, -0x1.caa6e3cc792d4p-4, -0x1.dabdc5c140eddp-4, -0x1.eab46c2c809bp-4, -0x1.fa84b5fe6b617p-4, -0x1.05147b235c538p-3, -0x1.0cce030ed0dd7p-3, -0x1.146ca8676f04fp-3, -0x1.1bee6d950e615p-3, -0x1.2351a367f3be3p-3, -0x1.2a94e91efc018p-3, -0x1.31b72b2343b0ep-3, -0x1.38b7a0c2aea95p-3, -0x1.3f95c926b1607p-3, -0x1.465167b998746p-3, -0x1.4cea8022c7741p-3, -0x1.536151fa10fccp-3, -0x1.59b6544b6161p-3, -0x1.5fea30fe6dc72p-3, -0x1.65fdc031d0c9p-3, -0x1.6bf20395ba027p-3, -0x1.71c821cfe3afap-3, -0x1.778161f0cfdap-3, -0x1.7d1f270104b65p-3, -0x1.82a2ebac1ea82p-3, -0x1.880e3e0ef552bp-3, -0x1.8d62bbad71e9p-3, -0x1.92a20d9472153p-3, -0x1.97cde4ab72b8bp-3, -0x1.9ce7f6398ac27p-3, -0x1.a1f1f8a098f9bp-3, -0x1.a6eda0512d03fp-3, -0x1.abdc9cf917591p-3, -0x1.b0c096ee0a8b8p-3, -0x1.b59b2cd521009p-3, -0x1.ba6df187882f7p-3, -0x1.bf3a6a34015bbp-3, -0x1.c4020cbc577eep-3, -0x1.c8c63e4d797cp-3, -0x1.cd885230507p-3, -0x1.d24988d11e48dp-3, -0x1.d70b0efac3bd8p-3, -0x1.dbcdfd43049ffp-3, -0x1.e09357a49a409p-3, -0x1.e55c0d43ccbedp-3, -0x1.ea28f85a1131ap-3, -0x1.eefade452fd9fp-3, -0x1.f3d26fb65eb2dp-3, -0x1.f8b048fdde208p-3, -0x1.fd94f26f9d93p-3, -0x1.0140706ecba53p-2, -0x1.03ba3b125fa33p-2, -0x1.063800e4bbb38p-2, -0x1.08b9e0d05a6adp-2, -0x1.0b3ff1419d89bp-2, -0x1.0dca40843e155p-2, -0x1.1058d52371211p-2, -0x1.12ebae4bc5473p-2, -0x1.1582c42dd33dp-2, -0x1.181e0860f41e8p-2, -0x1.1abd664550293p-2, -0x1.1d60c364ab16cp-2, -0x1.2007ffd1704dfp-2, -0x1.22b2f6838c20dp-2, -0x1.25617db2c35e3p-2, -0x1.2813672e3d901p-2, -0x1.2ac880b10a7eap-2, -0x1.2d80943387406p-2, -0x1.303b68397ec8ap-2, -0x1.32f8c01cfd98dp-2, -0x1.35b85c55d8233p-2, -0x1.3879fabde21dep-2, -0x1.3b3d56d1eb70ep-2, -0x1.3e0229ef91b3cp-2, -0x1.40c82b8ffae68p-2, -0x1.438f117f9b42fp-2, -0x1.4656901321dc1p-2, -0x1.491e5a59a9827p-2, -0x1.4be6224c518e1p-2, -0x1.4ead98fb645fep-2, -0x1.51746eb927c0ep-2, -0x1.543a5342796dp-2, -0x1.56fef5e55f5e8p-2, -0x1.59c205a5a3297p-2, -0x1.5c83315f99d47p-2, -0x1.5f4227e936157p-2, -0x1.61fe98317fc86p-2, -0x1.64b8315e83879p-2, -0x1.676ea2e9dc444p-2, -0x1.6a219cbbdfaa4p-2, -0x1.6cd0cf4588237p-2, -0x1.6f7beb992f641p-2, -0x1.7222a3821bb33p-2, -0x1.74c4a99b01cbbp-2, -0x1.7761b16372fc4p-2, -0x1.79f96f544fb51p-2, -0x1.7c8b98f3427a1p-2, -0x1.7f17e4e5487f7p-2, -0x1.819e0b0054b2bp-2, -0x1.841dc45c0afc9p-2, -0x1.8696cb61a0ed9p-2, -0x1.8908dbdaddad4p-2, -0x1.8b73b300473efp-2, -0x1.8dd70f86744fcp-2, -0x1.9032b1aa8edefp-2, -0x1.92865b3e02797p-2, -0x1.94d1cfb15bbfbp-2, -0x1.9714d41e57037p-2, -0x1.994f2f5121f2dp-2, -0x1.9b80a9d0d3642p-2, -0x1.9da90de713fc5p-2, -0x1.9fc827a7007adp-2, -0x1.a1ddc4f34227p-2, -0x1.a3e9b58363f76p-2, -0x1.a5ebcae860ee7p-2, -0x1.a7e3d89074079p-2, -0x1.a9d1b3ca25bfdp-2, -0x1.abb533c6a156ap-2, -0x1.ad8e319b5076bp-2, -0x1.af5c8842c139ep-2, -0x1.b120149cdc423p-2, -0x1.b2d8b56e6d195p-2, -0x1.b4864b600532p-2, -0x1.b628b8fc383a6p-2, -0x1.b7bfe2ad3bdc1p-2, -0x1.b94baeb9f1f34p-2, -0x1.bacc054258d83p-2, -0x1.bc40d03b75f45p-2, -0x1.bda9fb6ab47c5p-2, -0x1.bf077460c50fep-2, -0x1.c0592a7403f5fp-2, -0x1.c19f0eba6a5ccp-2, -0x1.c2d9140311a5bp-2, -0x1.c4072ecf51fabp-2, -0x1.c529554b8091dp-2, -0x1.c63f7f4754a9bp-2, -0x1.c749a62dfb282p-2, -0x1.c847c4fdde237p-2, -0x1.c939d84027cecp-2, -0x1.ca1fde0009269p-2, -0x1.caf9d5c1c61dep-2, -0x1.cbc7c07995609p-2, -0x1.cc89a0825024ap-2, -0x1.cd3f79940332fp-2, -0x1.cde950ba5d30ap-2, -0x1.ce872c4b083d6p-2, -0x1.cf1913dbee752p-2, -0x1.cf9f10397220fp-2, -0x1.d0192b5c9e6e9p-2, -0x1.d08770615664fp-2, -0x1.d0e9eb7c82f8p-2, -0x1.d140a9f24cfc1p-2, -0x1.d18bba0c5cd12p-2, -0x1.d1cb2b102f9bp-2, -0x1.d1ff0d3579abp-2, -0x1.d227719ca6618p-2, -0x1.d2446a456d9c1p-2, -0x1.d2560a058c53p-2, -0x1.d25c647f987b2p-2, -0x1.d2578e19fd5eap-2, -0x1.d2479bf61e381p-2, -0x1.d22ca3e79bfdbp-2, -0x1.d206bc6bcf825p-2, -0x1.d1d5fca16655p-2, -0x1.d19a7c40370b2p-2, -0x1.d15453913e007p-2, -0x1.d1039b66cfbfcp-2, -0x1.d0a86d14fd8ep-2, -0x1.d042e26a2975cp-2, -0x1.cfd315a7d4604p-2, -0x1.cf59217b9a5c8p-2, -0x1.ced520f86883ap-2, -0x1.ce472f8fe41f5p-2, -0x1.cdaf690c0b6d8p-2, -0x1.cd0de98906c4fp-2, -0x1.cc62cd6f31247p-2, -0x1.cbae316d56d9fp-2, -0x1.caf0327325dd3p-2, -0x1.ca28edabd27fep-2, -0x1.c9588078ef227p-2, -0x1.c87f086d783f4p-2, -0x1.c79ca3490f145p-2, -0x1.c6b16ef365ff4p-2, -0x1.c5bd8977df6dap-2, -0x1.c4c1110157058p-2, -0x1.c3bc23d61b2f8p-2, -0x1.c2aee054130b8p-2, -0x1.c19964ed10614p-2, -0x1.c07bd0234925ap-2, -0x1.bf564085fddcp-2, -0x1.be28d4ae44087p-2, -0x1.bcf3ab3bfbbb2p-2, -0x1.bbb6e2d2e6187p-2, -0x1.ba729a17e0d29p-2, -0x1.b926efae46946p-2, -0x1.b7d402356f87dp-2, -0x1.b679f0464ee2dp-2, -0x1.b518d87137287p-2, -0x1.b3b0d93bb1c3bp-2, -0x1.b242111e7c757p-2, -0x1.b0cc9e839a8c7p-2, -0x1.af509fc48557cp-2, -0x1.adce332870d3cp-2, -0x1.ac4576e2aa4a7p-2, -0x1.aab689110d618p-2, -0x1.a92187ba8b30dp-2, -0x1.a78690cdcb4b7p-2, -0x1.a5e5c21fd9199p-2, -0x1.a43f396ae72f8p-2, -0x1.a293144d2209cp-2, -0x1.a0e17047922d4p-2, -0x1.9f2a6abd0fdfbp-2, -0x1.9d6e20f140fd3p-2, -0x1.9bacb007a5513p-2, -0x1.99e63502b2c53p-2, -0x1.981accc2f6d6p-2, -0x1.964a9406468cbp-2, -0x1.9475a766f8951p-2, -0x1.929c235b25ed4p-2, -0x1.90be2433f522fp-2, -0x1.8edbc61ced7b8p-2, -0x1.8cf5251b4fd41p-2, -0x1.8b0a5d0d77dc5p-2, -0x1.891b89aa4298ap-2, -0x1.8728c68079babp-2, -0x1.85322ef646e4bp-2, -0x1.8337de48a75dp-2, -0x1.8139ef8ae81d7p-2, -0x1.7f387da623a46p-2, -0x1.7d33a358c269bp-2, -0x1.7b2b7b36009afp-2, -0x1.79201fa575996p-2, -0x1.7711aae29efd5p-2, -0x1.750036fc6b288p-2, -0x1.72ebddd4cae1fp-2, -0x1.70d4b9203e1b6p-2, -0x1.6ebae2656911fp-2, -0x1.6c9e72fca65abp-2, -0x1.6a7f840f9c73cp-2, -0x1.685e2e98d2e5p-2, -0x1.663a8b634a74dp-2, -0x1.6414b30a155cbp-2, -0x1.61ecbdf7efef1p-2, -0x1.5fc2c466dafe5p-2, -0x1.5d96de5fb6b5cp-2, -0x1.5b6923b9de52ap-2, -0x1.5939ac1ac2fcap-2, -0x1.57088ef58b74ap-2, -0x1.54d5e38aae7c9p-2, -0x1.52a1c0e794484p-2, -0x1.506c3de6346a2p-2, -0x1.4e35712cb662fp-2, -0x1.4bfd712d10e05p-2, -0x1.49c45424aeb26p-2, -0x1.478a301c0e7a6p-2, -0x1.454f1ae66811bp-2, -0x1.43132a21509dfp-2, -0x1.40d673345f873p-2, -0x1.3e990b50d6f28p-2, -0x1.3c5b07714aeabp-2, -0x1.3a1c7c594b9d3p-2, -0x1.37dd7e950eb62p-2, -0x1.359e22791ee4p-2, -0x1.335e7c2206f6p-2, -0x1.311e9f7402b1fp-2, -0x1.2edea01ab16cp-2, -0x1.2c9e9188c74d9p-2, -0x1.2a5e86f7c3e28p-2, -0x1.281e9367a9172p-2, -0x1.25dec99eb4696p-2, -0x1.239f3c291abd6p-2, -0x1.215ffd58c5f42p-2, -0x1.1f211f4514b5ap-2, -0x1.1ce2b3ca9e2fep-2, -0x1.1aa4cc8af7988p-2, -0x1.18677aec79ae4p-2, -0x1.162ad01a0e95cp-2, -0x1.13eedd02fbc0ep-2, -0x1.11b3b25ab4316p-2, -0x1.0f796098aabbcp-2, -0x1.0d3ff7f8283efp-2, -0x1.0b078878239eap-2, -0x1.08d021db1e23ap-2, -0x1.0699d3a703d16p-2, -0x1.0464ad250c9c8p-2, -0x1.0230bd61a2782p-2, -0x1.fffc2658932bfp-3, -0x1.fb997a2f1af9ep-3, -0x1.f73992f1dfc47p-3, -0x1.f2dc8cd1b9928p-3, -0x1.ee8283853e28ep-3, -0x1.ea2b9248b83e7p-3, -0x1.e5d7d3de1dcf6p-3, -0x1.e187628d1644fp-3, -0x1.dd3a5823017f7p-3, -0x1.d8f0cdf304267p-3, -0x1.d4aadcd625911p-3, -0x1.d0689d2b64e21p-3, -0x1.cc2a26d7e887cp-3, -0x1.c7ef91471ec7bp-3, -0x1.c3b8f36afb512p-3, -0x1.bf8663bc29604p-3, -0x1.bb57f83a52fep-3, -0x1.b72dc66c659bdp-3, -0x1.b307e360e21f3p-3, -0x1.aee663ae33f69p-3, -0x1.aac95b730bb29p-3, -0x1.a6b0de56c7b2cp-3, -0x1.a29cff89d94d1p-3, -0x1.9e8dd1c63b8d4p-3, -0x1.9a83674fe66f7p-3, -0x1.967dd1f553b26p-3, -0x1.927d230ffbbebp-3, -0x1.8e816b84ec112p-3, -0x1.8a8abbc54f91p-3, -0x1.869923cf0ce4ep-3, -0x1.82acb32d60611p-3, -0x1.7ec578f986ac4p-3, -0x1.7ae383db605b5p-3, -0x1.7706e20a28058p-3, -0x1.732fa14d23116p-3, -0x1.6f5dcefc62579p-3, -0x1.6b91780181029p-3, -0x1.67caa8d86c3aap-3, -0x1.64096d902e569p-3, -0x1.604dd1cbbe71fp-3, -0x1.5c97e0c2dc543p-3, -0x1.58e7a542e46dp-3, -0x1.553d29afb5685p-3, -0x1.519878048f99ep-3, -0x1.4df999d5035d4p-3, -0x1.4a60984dd86cp-3, -0x1.46cd7c3606cbbp-3, -0x1.43404defa52d9p-3, -0x1.3fb91578e6428p-3, -0x1.3c37da6d160ecp-3, -0x1.38bca4059c85p-3, -0x1.3547791aff3fdp-3, -0x1.31d86025eb267p-3, -0x1.2e6f5f4040b42p-3, -0x1.2b0c7c262203p-3, -0x1.27afbc3703794p-3, -0x1.24592476c0dd7p-3, -0x1.2108b98eb50d2p-3, -0x1.1dbe7fced295cp-3, -0x1.1a7a7b2ec193fp-3, -0x1.173caf4ef92dp-3, -0x1.14051f79e7fcep-3, -0x1.10d3cea50d8f5p-3, -0x1.0da8bf722733ep-3, -0x1.0a83f4304ebe4p-3, -0x1.07656edd291c5p-3, -0x1.044d3126097cep-3, -0x1.013b3c6920c65p-3, -0x1.fc5f236d4884cp-4, -0x1.f65463a3fdae9p-4, -0x1.f0563a65fd794p-4, -0x1.ea64a80dff56cp-4, -0x1.e47fac643bb33p-4, -0x1.dea746a0cae34p-4, -0x1.d8db756e024ffp-4, -0x1.d31c36ead6e98p-4, -0x1.cd6988ad415ccp-4, -0x1.c7c367c49b3ebp-4, -0x1.c229d0bc05047p-4, -0x1.bc9cbf9cc16c6p-4, -0x1.b71c2ff09d387p-4, -0x1.b1a81cc44e1cp-4, -0x1.ac4080a9caa1p-4, -0x1.a6e555bab1e19p-4, -0x1.a196959aa36cep-4, -0x1.9c5439799c731p-4, -0x1.971e3a164e9bcp-4, -0x1.91f48fc077eabp-4, -0x1.8cd7325b3bb2cp-4, -0x1.87c6195f7209p-4, -0x1.82c13bddf9544p-4, -0x1.7dc89082042a7p-4, -0x1.78dc0d9364e51p-4, -0x1.73fba8f8d583dp-4, -0x1.6f27583a3bdcep-4, -0x1.6a5f1082ec38cp-4, -0x1.65a2c6a3e7006p-4, -0x1.60f26f1613f5p-4, -0x1.5c4dfdfc792f6p-4, -0x1.57b567266bf66p-4, -0x1.53289e11c32b1p-4, -0x1.4ea795ecffadfp-4, -0x1.4a324199732e4p-4, -0x1.45c893ad64838p-4, -0x1.416a7e7629788p-4, -0x1.3d17f3fa4366cp-4, -0x1.38d0e5fb72255p-4, -0x1.349545f8c1dd3p-4, -0x1.3065053098de4p-4, -0x1.2c4014a2ba8b2p-4, -0x1.2826651248b0ap-4, -0x1.2417e707c01cbp-4, -0x1.20148ad2eb2e5p-4, -0x1.1c1c408cd573fp-4, -0x1.182ef819b5c99p-4, -0x1.144ca12ad600ap-4, -0x1.10752b406f729p-4, -0x1.0ca885ab88476p-4, -0x1.08e69f8fc84a8p-4, -0x1.052f67e546898p-4, -0x1.0182cd7a547bdp-4, -0x1.fbc17dea82804p-5, -0x1.f49255ac2caebp-5, -0x1.ed77fef0a101dp-5, -0x1.e672562922c0dp-5, -0x1.df813784937fdp-5, -0x1.d8a47ef2c7a42p-5, -0x1.d1dc0827bb3e4p-5, -0x1.cb27ae9eccdf3p-5, -0x1.c4874d9de45f6p-5, -0x1.bdfac0388a2acp-5, -0x1.b781e152fc6ffp-5, -0x1.b11c8ba52d175p-5, -0x1.aaca99bdbb80bp-5, -0x1.a48be604dec61p-5, -0x1.9e604abf429fap-5, -0x1.9847a210dac78p-5, -0x1.9241c5ffa84b5p-5, -0x1.8c4e907673f4cp-5, -0x1.866ddb477af9ep-5, -0x1.809f802f122d1p-5, -0x1.7ae358d637efep-5, -0x1.75393ed51ec21p-5, -0x1.6fa10bb5ac8e4p-5, -0x1.6a1a98f5e5e8dp-5, -0x1.64a5c00a5a5cdp-5, -0x1.5f425a6077097p-5, -0x1.59f04160d6c98p-5, -0x1.54af4e71822b1p-5, -0x1.4f7f5af826416p-5, -0x1.4a60405c3d643p-5, -0x1.4551d8092fd71p-5, -0x1.4053fb7060088p-5, -0x1.3b66840b372bcp-5, -0x1.36894b5d23649p-5, -0x1.31bc2af57e614p-5, -0x1.2cfefc717bb1ap-5, -0x1.2851997dfd6fp-5, -0x1.23b3dbd966c77p-5, -0x1.1f259d555cf1fp-5, -0x1.1aa6b7d87efc2p-5, -0x1.16370560179d3p-5, -0x1.11d66001bdcb1p-5, -0x1.0d84a1ecee464p-5, -0x1.0941a56c9d68p-5, -0x1.050d44e8b04f8p-5, -0x1.00e75ae782059p-5, -0x1.f99f841e9d2dap-6, -0x1.f18caa4f2b78cp-6, -0x1.e995de34f296fp-6, -0x1.e1bad5ec16ebap-6, -0x1.d9fb47db3a143p-6, -0x1.d256eab5e139ap-6, -0x1.cacd757ef8f02p-6, -0x1.c35e9f8b0afaep-6, -0x1.bc0a2082a2819p-6, -0x1.b4cfb0646b4f5p-6, -0x1.adaf07874cd8ep-6, -0x1.a6a7de9c848f3p-6, -0x1.9fb9eeb19760ap-6, -0x1.98e4f13247743p-6, -0x1.92289fea57ed9p-6, -0x1.8b84b5076b6f4p-6, -0x1.84f8eb1ab7af8p-6, -0x1.7e84fd1a99633p-6, -0x1.7828a6643eacep-6, -0x1.71e3a2bd30797p-6, -0x1.6bb5ae54b3c04p-6, -0x1.659e85c5479d5p-6, -0x1.5f9de615edf0cp-6, -0x1.59b38cbb842d2p-6, -0x1.53df3799ec4c3p-6, -0x1.4e20a5054c487p-6, -0x1.487793c31c543p-6, -0x1.42e3c30b3c1aap-6, -0x1.3d64f288faa15p-6, -0x1.37fae25c04d58p-6, -0x1.32a553195093fp-6, -0x1.2d6405cbf6194p-6, -0x1.2836bbf5fb6p-6, -0x1.231d37911a90ep-6, -0x1.1e173b0f740b3p-6, -0x1.1924895c38afep-6, -0x1.1444e5dc4781bp-6, -0x1.0f78146eb629p-6, -0x1.0abdd96d6d2bfp-6, -0x1.0615f9ad84d16p-6, -0x1.01803a7fd832dp-6, -0x1.f9f8c3628a8b7p-7, -0x1.f1146b1648f81p-7, -0x1.e852f9a7254ep-7, -0x1.dfb3fd9b58272p-7, -0x1.d7370673b54c6p-7, -0x1.cedba4abef439p-7, -0x1.c6a169bb15f98p-7, -0x1.be87e8139dcb2p-7, -0x1.b68eb323e1006p-7, -0x1.aeb55f55e3477p-7, -0x1.a6fb820fad2fbp-7, -0x1.9f60b1b30e3dp-7, -0x1.97e4859da6c19p-7, -0x1.90869628d8632p-7, -0x1.89467ca956ebcp-7, -0x1.8223d36f284a3p-7, -0x1.7b1e35c52b89p-7, -0x1.74353ff0c18cap-7, -0x1.6d688f317198cp-7, -0x1.66b7c1c05421bp-7, -0x1.602276cfa5061p-7, -0x1.59a84e8a24864p-7, -0x1.5348ea1271322p-7, -0x1.4d03eb826a494p-7, -0x1.46d8f5ea5ce76p-7, -0x1.40c7ad506ff64p-7, -0x1.3acfb6af9a0b7p-7, -0x1.34f0b7f6fd723p-7, -0x1.2f2a5808e362ap-7, -0x1.297c3eb9d7bacp-7, -0x1.23e614cfba71dp-7, -0x1.1e678400aac36p-7, -0x1.190036f2161a5p-7, -0x1.13afd9378cdb7p-7, -0x1.0e761751c0d8cp-7, -0x1.09529ead43dfcp-7, -0x1.04451da185c0bp-7, -0x1.fe9a86dec91e5p-8, -0x1.f4d580807761fp-8, -0x1.eb3a8a48c59e8p-8, -0x1.e1c908241c9f6p-8, -0x1.d8805fc7e331dp-8, -0x1.cf5ff8afcd17fp-8, -0x1.c6673c1b2e7cfp-8, -0x1.bd95950a4ed87p-8, -0x1.b4ea703b6a32p-8, -0x1.ac653c2828e46p-8, -0x1.a40569025330ap-8, -0x1.9bca68b167f7dp-8, -0x1.93b3aecf19233p-8, -0x1.8bc0b0a4f2f8ep-8, -0x1.83f0e528b4c4fp-8, -0x1.7c43c4f9ad4ecp-8, -0x1.74b8ca5d95445p-8, -0x1.6d4f713d656cdp-8, -0x1.6607372229c1ep-8, -0x1.5edf9b31fda1cp-8, -0x1.57d81e2cc473dp-8, -0x1.50f0426902632p-8, -0x1.4a278bd0aa674p-8, -0x1.437d7fddbefb5p-8, -0x1.3cf1a5975000dp-8, -0x1.3683858dff50fp-8, -0x1.3032a9d8c8941p-8, -0x1.29fe9e11cbe9bp-8, -0x1.23e6ef52ef2fcp-8, -0x1.1deb2c327f4a7p-8, -0x1.180ae4bfebe0ap-8, -0x1.1245aa80987d9p-8, -0x1.0c9b106c1eb4ap-8, -0x1.070aaae974441p-8, -0x1.01940fcb2b88ap-8, -0x1.f86dac98dd1efp-9, -0x1.ede52e1a7b22bp-9, -0x1.e38dd81f1826ep-9, -0x1.d966e1670d686p-9, -0x1.cf6f8368b8458p-9, -0x1.c5a6fa49ee576p-9, -0x1.bc0c84d8f761dp-9, -0x1.b29f6485fe9bep-9, -0x1.a95edd5c86c9p-9, -0x1.a04a35fc831f8p-9, -0x1.9760b793bc2e5p-9, -0x1.8ea1add767fdap-9, -0x1.860c66fd0aa9cp-9, -0x1.7da033b4367bdp-9, -0x1.755c67200002bp-9, -0x1.6d4056cfe8d02p-9, -0x1.654b5aba06063p-9, -0x1.5d7ccd33c70d3p-9, -0x1.55d40aebe2b51p-9, -0x1.4e5072e39f65ep-9, -0x1.46f16668698fbp-9, -0x1.3fb6490d85207p-9, -0x1.389e80a556d3fp-9, -0x1.31a9753b3ec24p-9, -0x1.2ad6910d18db1p-9, -0x1.24254084f63d2p-9, -0x1.1d94f232f102dp-9, -0x1.172516c69488cp-9, -0x1.10d52108ea164p-9, -0x1.0aa485d63aa63p-9, -0x1.0492bc17ad38dp-9, -0x1.fd3e797b18af2p-10, -0x1.f193057188a0ap-10, -0x1.e62215ea30cbep-10, -0x1.daeaa8a5c2715p-10, -0x1.cfebbf42e5e11p-10, -0x1.c5245f3173bep-10, -0x1.ba9391a75c582p-10, -0x1.b038639466eb3p-10, -0x1.a611e59714782p-10, -0x1.9c1f2bf0487efp-10, -0x1.925f4e78c7382p-10, -0x1.88d168951e7b5p-10, -0x1.7f74992a462bdp-10, -0x1.764802934ffc2p-10, -0x1.6d4aca94e67f1p-10, -0x1.647c1a5342b9bp-10, -0x1.5bdb1e46e9d5ep-10, -0x1.53670631c7271p-10, -0x1.4b1f0514366c6p-10, -0x1.43025122d67b7p-10, -0x1.3b1023bb17a8fp-10, -0x1.3347b9598dadbp-10, -0x1.2ba8518f09abap-10, -0x1.24312ef64e729p-10, -0x1.1ce1972a04f1ep-10, -0x1.15b8d2ba30507p-10, -0x1.0eb62d2296559p-10, -0x1.07d8f4c08912bp-10, -0x1.01207ac8f8278p-10, -0x1.f518267ced155p-11, -0x1.e83629d070b6dp-11, -0x1.db99b28fc4cb4p-11, -0x1.cf41791fea7dep-11, -0x1.c32c3b35b784bp-11, -0x1.b758bbc2a3cc8p-11, -0x1.abc5c2e1ac894p-11, -0x1.a0721dc69d91p-11, -0x1.955c9eaa881cbp-11, -0x1.8a841cba3fe5fp-11, -0x1.7fe774057f5a4p-11, -0x1.7585856b871e2p-11, -0x1.6b5d368bb80c2p-11, -0x1.616d71b2e295dp-11, -0x1.57b525cbaaf1ap-11, -0x1.4e33464c2d263p-11, -0x1.44e6cb262e54bp-11, -0x1.3bceb0b73b529p-11, -0x1.32e9f7b71f064p-11, -0x1.2a37a5289c9a2p-11, -0x1.21b6c2494ecfep-11, -0x1.19665c8206c76p-11, -0x1.114585572ff34p-11, -0x1.09535258deefcp-11, -0x1.018edd14d8134p-11, -0x1.f3ee860c74943p-12, -0x1.e5174b0ea179p-12, -0x1.d69653864735p-12, -0x1.c869f14bdf4fbp-12, -0x1.ba907da04df34p-12, -0x1.ad08590e300b3p-12, -0x1.9fcfeb4e36c2bp-12, -0x1.92e5a32e0dc83p-12, -0x1.8647f670a3c34p-12, -0x1.79f561b764deep-12, -0x1.6dec68645ded7p-12, -0x1.622b9481d89e2p-12, -0x1.56b176a7af94cp-12, -0x1.4b7ca5e1625bep-12, -0x1.408bbf9464562p-12, -0x1.35dd6768a6be7p-12, -0x1.2b70472dbc8f1p-12, -0x1.21430ec3de1a9p-12, -0x1.175474030d75cp-12, -0x1.0da332a40c1a5p-12, -0x1.042e0c274f93cp-12, -0x1.f5e78f80bbbfep-13, -0x1.e3e6647826bd5p-13, -0x1.d2563bd734a15p-13, -0x1.c134c51c2209dp-13, -0x1.b07fba7426662p-13, -0x1.a034e08f7643ap-13, -0x1.90520679ac671p-13, -0x1.80d5056a57974p-13, -0x1.71bbc09fbd64ep-13, -0x1.630425331c6a7p-13, -0x1.54ac29f19b9aep-13, -0x1.46b1cf321c6cbp-13, -0x1.39131eb0ab78dp-13, -0x1.2bce2b6464a96p-13, -0x1.1ee1115bb69d5p-13, -0x1.1249f5941d041p-13, -0x1.060705d6ec037p-13, -0x1.f42cf12758a0bp-14, -0x1.dced197353d66p-14, -0x1.c64b132e6fa66p-14, -0x1.b0437d6aee3a3p-14, -0x1.9ad30766e79afp-14, -0x1.85f6704df45b9p-14, -0x1.71aa86f08e045p-14, -0x1.5dec298402bacp-14, -0x1.4ab8455d178fep-14, -0x1.380bd6b63f41cp-14, -0x1.25e3e8677b74cp-14, -0x1.143d93ac4dbep-14, -0x1.0315ffe3f32b2p-14, -0x1.e4d4c4ac324c2p-15, -0x1.c46ffbe65cd9ep-15, -0x1.a4f84636b5294p-15, -0x1.86685ec82abap-15, -0x1.68bb1aba55af4p-15, -0x1.4beb68b5e432bp-15, -0x1.2ff45073024c2p-15, -0x1.14d0f25142fb1p-15, -0x1.f4f90dd776eaep-16, -0x1.c1e4bd58b866ep-16, -0x1.905bc2c151175p-16, -0x1.60551ba825674p-16, -0x1.31c7f2d5cfbc1p-16, -0x1.04ab9f77a0314p-16, -0x1.b1ef48b8fdfcp-17, -0x1.5d475e4f48444p-17, -0x1.0b4f2f442a1ecp-17, -0x1.77ed7bbbbb1ep-18, -0x1.bcb976b87883ap-19, -0x1.273590bd86c29p-20, 0x1.177a982e1e9b3p-20, 0x1.a189cb0d73da8p-19, 0x1.57024517f29bdp-18, 0x1.d8b31ad67aaf9p-18, 0x1.2af995716db67p-17, 0x1.676ed4fd49768p-17, 0x1.a1c69ff7bfbacp-17, 0x1.da0e052145388p-17, 0x1.0828e7a75e7f9p-16, 0x1.224f435494ce5p-16, 0x1.3b8038eb715d4p-16, 0x1.53c1cb9796d3fp-16, 0x1.6b19def15b15ep-16, 0x1.818e37922fa0bp-16, 0x1.97247ba78b491p-16, 0x1.abe23379e79d1p-16, 0x1.bfccca003b771p-16, 0x1.d2e98d620b5d9p-16, 0x1.e53daf8533158p-16, 0x1.f6ce468f0102dp-16, 0x1.03d026b635c63p-15, 0x1.0bdc522451af8p-15, 0x1.138e088af631ap-15, 0x1.1ae7a003c1807p-15, 0x1.21eb62039d699p-15, 0x1.289b8b9891b35p-15, 0x1.2efa4da726123p-15, 0x1.3509cd225453fp-15, 0x1.3acc2343e024p-15, 0x1.40435dc7277b1p-15, 0x1.45717f1e97702p-15, 0x1.4a587eab26c6p-15, 0x1.4efa48f243cb3p-15, 0x1.5358bfd12d18bp-15, 0x1.5775bab0f9c76p-15, 0x1.5b5306b9ce271p-15, 0x1.5ef267058c993p-15, 0x1.625594cfe4ad9p-15, 0x1.657e3fa66ae55p-15, 0x1.686e0d9965aedp-15, 0x1.6b269b6a03d07p-15, 0x1.6da97cb7eaeddp-15, 0x1.6ff83c2dbb148p-15, 0x1.72145bade46d6p-15, 0x1.73ff547ebce59p-15, 0x1.75ba97752997ap-15, 0x1.77478d1d9274p-15, 0x1.78a795e611869p-15, 0x1.79dc0a470dfe4p-15, 0x1.7ae63aeb98833p-15, 0x1.7bc770d7510ccp-15, 0x1.7c80ed8e004d9p-15, 0x1.7d13eb384ba6ap-15, 0x1.7d819cca29a9ap-15, 0x1.7dcb2e266314fp-15, 0x1.7df1c443150eap-15, 0x1.7df67d4bdebc4p-15, 0x1.7dda70c68f725p-15, 0x1.7d9eafb2f254bp-15, 0x1.7d4444ac6d9ddp-15, 0x1.7ccc340cafc1cp-15, 0x1.7c377c0a19f9p-15, 0x1.7b8714d74d304p-15, 0x1.7abbf0c2e515cp-15, 0x1.79d6fc5598102p-15, 0x1.78d91e70a1111p-15, 0x1.77c3386b19bffp-15, 0x1.7696262e07037p-15, 0x1.7552be50f9fc5p-15, 0x1.73f9d236dfd62p-15, 0x1.728c2e27ccc63p-15, 0x1.710a996cda1bfp-15, 0x1.6f75d66a26367p-15, 0x1.6dcea2b8f4e75p-15, 0x1.6c15b73ff7db3p-15, 0x1.6a4bc84d71822p-15, 0x1.687185af0240ap-15, 0x1.66879ac9c87d8p-15, 0x1.648eaeb1f42dbp-15, 0x1.6287644265e6cp-15, 0x1.60725a322657dp-15, 0x1.5e502b2b8f2fbp-15, 0x1.5c216de1b87f5p-15, 0x1.59e6b525e7e95p-15, 0x1.57a08ffcd7d3ap-15, 0x1.554f89b3dff91p-15, 0x1.52f429f42c6cbp-15, 0x1.508ef4d694941p-15, 0x1.4e206af7d4222p-15, 0x1.4ba9098b0c83ep-15, 0x1.49294a6d09949p-15, 0x1.46a1a4369ab0ap-15, 0x1.44128a4e494b4p-15, 0x1.417c6cf9e55c9p-15, 0x1.3edfb970834ddp-15, 0x1.3c3cd9eb2b2fbp-15, 0x1.399435b5792bep-15, 0x1.36e6313e33834p-15, 0x1.34332e26fb0b5p-15, 0x1.317b8b5467c23p-15, 0x1.2ebfa4fd77b91p-15, 0x1.2bffd4bab4dc5p-15, 0x1.293c71952567fp-15, 0x1.2675d01482d07p-15, 0x1.23ac424dcf6cap-15, 0x1.20e017f149a2ap-15, 0x1.1e119e580fd0cp-15, 0x1.1b412091ccdc5p-15, 0x1.186ee771aad83p-15, 0x1.159b399b49a16p-15, 0x1.12c65b8fad325p-15, 0x1.0ff08fb977d1cp-15, 0x1.0d1a16793fff1p-15, 0x1.0a432e316e65p-15, 0x1.076c1351f4872p-15, 0x1.04950063be9e3p-15, 0x1.01be2e13cf592p-15, 0x1.fdcfa67d6cd0cp-16, 0x1.f82449f5e1cafp-16, 0x1.f27aad4735956p-16, 0x1.ecd333c612b78p-16, 0x1.e72e3d793e145p-16, 0x1.e18c272d71db6p-16, 0x1.dbed4a89dd7d4p-16, 0x1.d651fe225bcbdp-16, 0x1.d0ba958aa6bf3p-16, 0x1.cb27616861a1ap-16, 0x1.c598af8530339p-16, 0x1.c00ecae079815p-16, 0x1.ba89fbc010f9fp-16, 0x1.b50a87c1e96a2p-16, 0x1.af90b1ec7b102p-16, 0x1.aa1cbabe86d4cp-16, 0x1.a4aee03f16c54p-16, 0x1.9f475e0cfe496p-16, 0x1.99e66d6e434a7p-16, 0x1.948c455f21c0ep-16, 0x1.8f391aa0365cep-16, 0x1.89ed1fc5bb006p-16, 0x1.84a8854413cbbp-16, 0x1.7f6b797e5f5fep-16, 0x1.7a3628d43f87dp-16, 0x1.7508bdadfd105p-16, 0x1.6fe36089b413bp-16, 0x1.6ac63808cf88dp-16, 0x1.65b168faee9cbp-16, 0x1.60a5166aea14bp-16, 0x1.5ba161aa197e2p-16, 0x1.56a66a5c1b835p-16, 0x1.51b44e826b169p-16, 0x1.4ccb2a8706d3fp-16, 0x1.47eb1946ee972p-16, 0x1.4314341d7e491p-16, }}, 
      {{-0x1.08d464aca211ep-2, -0x1.095e54c3ae266p-2, -0x1.0a33bd1cae7bdp-2, -0x1.0b4448c05c2f9p-2, -0x1.0c811074aa7f5p-2, -0x1.0dde04a62b9bp-2, -0x1.0f52342aa963fp-2, -0x1.10d7827bfb192p-2, -0x1.126a255e56769p-2, -0x1.1408189369775p-2, -0x1.15b09cf6871abp-2, -0x1.1763caa40fc5p-2, -0x1.192237419b461p-2, -0x1.1aecaee364d41p-2, -0x1.1cc3fd590eafbp-2, -0x1.1ea8c5b8e6101p-2, -0x1.209b663d711d1p-2, -0x1.229be6bca48bap-2, -0x1.24a9f01e934ddp-2, -0x1.26c4cb48b88ecp-2, -0x1.28eb65fdad1abp-2, -0x1.2b1c5c3f7d1fep-2, -0x1.2d5604d9ea312p-2, -0x1.2f967fda5c6c5p-2, -0x1.31dbc5e40ea1p-2, -0x1.3423b77cf7d9cp-2, -0x1.366c2b9ff702p-2, -0x1.38b2fd0fb5bc3p-2, -0x1.3af6161130babp-2, -0x1.3d337a5af7295p-2, -0x1.3f694f2645dbcp-2, -0x1.4195e1689324bp-2, -0x1.43b7aa4f304d2p-2, -0x1.45cd5223fc469p-2, -0x1.47d5b1ca4229p-2, -0x1.49cfd306e5d5p-2, -0x1.4bbaefc78c7dap-2, -0x1.4d96709aab9fcp-2, -0x1.4f61ea86aefddp-2, -0x1.511d1c69b277fp-2, -0x1.52c7ec060745p-2, -0x1.546262da2b8c5p-2, -0x1.55ecaadd90c4bp-2, -0x1.57670b369716fp-2, -0x1.58d1e4f991afp-2, -0x1.5a2daffcd718dp-2, -0x1.5b7af7ca79862p-2, -0x1.5cba58b5921ccp-2, -0x1.5dec7d16ceaf6p-2, -0x1.5f121ab246a69p-2, -0x1.602bf0474e0e2p-2, -0x1.613ac34a10afbp-2, -0x1.623f5dc62e6efp-2, -0x1.633a8c691a0bdp-2, -0x1.642d1cb2dca63p-2, -0x1.6517db4bbd9ecp-2, -0x1.65fb927d53484p-2, -0x1.66d908cda016p-2, -0x1.67b0ffbae61bdp-2, -0x1.68843297040cfp-2, -0x1.6953558146a5cp-2, -0x1.6a1f147da9415p-2, -0x1.6ae812a89ba1ap-2, -0x1.6baee98664b33p-2, -0x1.6c74286d47b57p-2, -0x1.6d38540984735p-2, -0x1.6dfbe5fa531efp-2, -0x1.6ebf4c86e9eccp-2, -0x1.6f82ea6a89622p-2, -0x1.704716b68d9e1p-2, -0x1.710c1cc95ed19p-2, -0x1.71d23c5917283p-2, -0x1.7299a990a64f4p-2, -0x1.73628d3e21b68p-2, -0x1.742d0510f1889p-2, -0x1.74f923e67a12p-2, -0x1.75c6f223da458p-2, -0x1.76966e1b5799cp-2, -0x1.77678c7c0f0e9p-2, -0x1.783a38ca80822p-2, -0x1.790e55e096b18p-2, -0x1.79e3be73d1539p-2, -0x1.7aba45a03f885p-2, -0x1.7b91b7770d855p-2, -0x1.7c69d98f712edp-2, -0x1.7d426b98d279bp-2, -0x1.7e1b27ed226b3p-2, -0x1.7ef3c4226363dp-2, -0x1.7fcbf19a799bdp-2, -0x1.80a35e1074ac4p-2, -0x1.8179b4228d1b6p-2, -0x1.824e9bd833a3bp-2, -0x1.8321bb239764ep-2, -0x1.83f2b65e27699p-2, -0x1.84c130bf9e7a8p-2, -0x1.858ccccf43eb7p-2, -0x1.86552ccf162e8p-2, -0x1.8719f320ad7a2p-2, -0x1.87dac2a3a9a5dp-2, -0x1.88973f0d9a877p-2, -0x1.894f0d3b58b34p-2, -0x1.8a01d37bce2e6p-2, -0x1.8aaf39d4426dp-2, -0x1.8b56ea3e431f6p-2, -0x1.8bf890df4a59p-2, -0x1.8c93dc3a4e0c6p-2, -0x1.8d287d5b6d329p-2, -0x1.8db627fdef646p-2, -0x1.8e3c92acd63b3p-2, -0x1.8ebb76de41ffep-2, -0x1.8f329109ec833p-2, -0x1.8fa1a0bb000c2p-2, -0x1.9008689d99f79p-2, -0x1.9066ae8833f86p-2, -0x1.90bc3b8150c3dp-2, -0x1.9108dbc1a3254p-2, -0x1.914c5eb303e8ep-2, -0x1.918696ec7c1cp-2, -0x1.91b75a2b9fe2bp-2, -0x1.91de814b8f365p-2, -0x1.91fbe839cb2a6p-2, -0x1.920f6de9299b9p-2, -0x1.9218f44323fa5p-2, -0x1.92186017b0b02p-2, -0x1.920d990be6e5bp-2, -0x1.91f889879d0acp-2, -0x1.91d91ea22d391p-2, -0x1.91af480e91257p-2, -0x1.917af806fef65p-2, -0x1.913c233826aa9p-2, -0x1.90f2c0ac3c7b3p-2, -0x1.909ec9b5e718p-2, -0x1.904039db37204p-2, -0x1.8fd70ec0b7adp-2, -0x1.8f634814b9ca7p-2, -0x1.8ee4e77ae8f3ap-2, -0x1.8e5bf07839b66p-2, -0x1.8dc8685f46bbfp-2, -0x1.8d2a563d2571ap-2, -0x1.8c81c2c6c0d62p-2, -0x1.8bceb846becf8p-2, -0x1.8b11428bfb0b3p-2, -0x1.8a496ed89d1cep-2, -0x1.89774bd1c88dp-2, -0x1.889ae96ff1d3ep-2, -0x1.87b458efcf05cp-2, -0x1.86c3acc3ee4dap-2, -0x1.85c8f886e8f99p-2, -0x1.84c450ee338a1p-2, -0x1.83b5cbbd8a536p-2, -0x1.829d7fbaf336ap-2, -0x1.817b84a3507ep-2, -0x1.804ff31f82a84p-2, -0x1.7f1ae4ba0f06cp-2, -0x1.7ddc73d54abcep-2, -0x1.7c94bba200039p-2, -0x1.7b43d81687889p-2, -0x1.79e9e5e651836p-2, -0x1.78870279d6961p-2, -0x1.771b4be6e9df8p-2, -0x1.75a6e0e9676a4p-2, -0x1.7429e0dc32a68p-2, -0x1.72a46bb287932p-2, -0x1.7116a1f190829p-2, -0x1.6f80a4aa3dd84p-2, -0x1.6de2957358b54p-2, -0x1.6c3c9663cd0f1p-2, -0x1.6a8eca0d22652p-2, -0x1.68d953762071p-2, -0x1.671c561598c89p-2, -0x1.6557f5cd5501p-2, -0x1.638c56e51de3p-2, -0x1.61b99e05e1692p-2, -0x1.5fdff034e6d01p-2, -0x1.5dff72cf1d0b2p-2, -0x1.5c184b847122ep-2, -0x1.5a2aa05334d9dp-2, -0x1.583697838e1c8p-2, -0x1.563c57a2ec9abp-2, -0x1.543c077f84a68p-2, -0x1.5235ce23ceeb2p-2, -0x1.5029d2d20b36ep-2, -0x1.4e183cffbedfep-2, -0x1.4c01345139507p-2, -0x1.49e4e095150f8p-2, -0x1.47c369bfb4d2ep-2, -0x1.459cf7e6c3a65p-2, -0x1.4371b33cad27dp-2, -0x1.4141c40c1a296p-2, -0x1.3f0d52b36649dp-2, -0x1.3cd487a0151dp-2, -0x1.3a978b4a47c43p-2, -0x1.385686302f024p-2, -0x1.3611a0d180d42p-2, -0x1.33c903aaea84ep-2, -0x1.317cd73188089p-2, -0x1.2f2d43ce5bc82p-2, -0x1.2cda71d9c9f15p-2, -0x1.2a848997174c1p-2, -0x1.282bb32ff1bc6p-2, -0x1.25d016aff934fp-2, -0x1.2371dc0054fa5p-2, -0x1.21112ae350d0ap-2, -0x1.1eae2af00214p-2, -0x1.1c49038dfc357p-2, -0x1.19e1dbf10d22bp-2, -0x1.1778db150a642p-2, -0x1.150e27b9aafc1p-2, -0x1.12a1e85e734ep-2, -0x1.1034433eaffa2p-2, -0x1.0dc55e4d84128p-2, -0x1.0b555f320877dp-2, -0x1.08e46b4382142p-2, -0x1.0672a785ab702p-2, -0x1.040038a513d4dp-2, -0x1.018d42f3962d8p-2, -0x1.fe33d4c9d0345p-3, -0x1.f94ca5167ededp-3, -0x1.f4653d2826d8ap-3, -0x1.ef7de289eb5f6p-3, -0x1.ea96d9f10ce3ep-3, -0x1.e5b0673706453p-3, -0x1.e0cacd53e6bc4p-3, -0x1.dbe64e58d985ep-3, -0x1.d7032b6af308fp-3, -0x1.d221a4be29f88p-3, -0x1.cd41f99097b4bp-3, -0x1.c8646825e90d5p-3, -0x1.c3892dc30f39ap-3, -0x1.beb086aa2bc01p-3, -0x1.b9daae16b58a5p-3, -0x1.b507de39de2f4p-3, -0x1.b03850372dc68p-3, -0x1.ab6c3c215ef2p-3, -0x1.a6a3d8f7708f3p-3, -0x1.a1df5ca1f6bdbp-3, -0x1.9d1efbf0ab3aap-3, -0x1.9862ea9829b71p-3, -0x1.93ab5b2ff9963p-3, -0x1.8ef87f30bc9cfp-3, -0x1.8a4a86f2a947bp-3, -0x1.85a1a1ac2d956p-3, -0x1.80fdfd70d58e2p-3, -0x1.7c5fc7305ea5cp-3, -0x1.77c72ab6052c4p-3, -0x1.733452a80928cp-3, -0x1.6ea7688760f16p-3, -0x1.6a2094afa08a5p-3, -0x1.659ffe5716adp-3, -0x1.6125cb8f14e89p-3, -0x1.5cb221446c897p-3, -0x1.584523401235p-3, -0x1.53def427f80e1p-3, -0x1.4f7fb5800dac6p-3, -0x1.4b2787ab6c0ecp-3, -0x1.46d689edaae52p-3, -0x1.428cda6c60132p-3, -0x1.3e4a9630c504ep-3, -0x1.3a0fd9298015p-3, -0x1.35dcbe2c94a5dp-3, -0x1.31b15ef975893p-3, -0x1.2d8dd43b3a97p-3, -0x1.2972358af269ap-3, -0x1.255e99721aceap-3, -0x1.2153156d2d71fp-3, -0x1.1d4fbdee54fffp-3, -0x1.1954a660305ap-3, -0x1.1561e128bc7f5p-3, -0x1.11777fac50ee1p-3, -0x1.0d959250af5efp-3, -0x1.09bc288035ce7p-3, -0x1.05eb50ad19522p-3, -0x1.02231854bc325p-3, -0x1.fcc718062974cp-4, -0x1.f5596eac497e3p-4, -0x1.edfd4a0303b8p-4, -0x1.e6b2bda3de8f8p-4, -0x1.df79db62046dfp-4, -0x1.d852b351a51f6p-4, -0x1.d13d53cf7c2a6p-4, -0x1.ca39c9885e32p-4, -0x1.c3481f80def83p-4, -0x1.bc685f1d0aba9p-4, -0x1.b59a90282f64p-4, -0x1.aedeb8dcb04dp-4, -0x1.a834ddebe64bep-4, -0x1.a19d02860dd84p-4, -0x1.9b172862336c2p-4, -0x1.94a34fc633c61p-4, -0x1.8e41778eb65cdp-4, -0x1.87f19d372f0a3p-4, -0x1.81b3bce1df00cp-4, -0x1.7b87d15fd8c01p-4, -0x1.756dd438fe0d6p-4, -0x1.6f65bdb400bc5p-4, -0x1.696f84de57556p-4, -0x1.638b1f94326f1p-4, -0x1.5db8828869f09p-4, -0x1.57f7a14c5cc83p-4, -0x1.52486e57cdd0fp-4, -0x1.4caadb10b24bbp-4, -0x1.471ed7d2f4077p-4, -0x1.41a453f82a36fp-4, -0x1.3c3b3ddf3ebf2p-4, -0x1.36e382f40a8cap-4, -0x1.319d0fb6de08bp-4, -0x1.2c67cfc3f95e2p-4, -0x1.2743addaf67ecp-4, -0x1.223093e61bc34p-4, -0x1.1d2e6b01a01d5p-4, -0x1.183d1b82d83f1p-4, -0x1.135c8cff50949p-4, -0x1.0e8ca653d3e42p-4, -0x1.09cd4dab575dfp-4, -0x1.051e6885d7033p-4, -0x1.007fdbbf1533ep-4, -0x1.f7e3172a8cb5fp-5, -0x1.eee6b75f4a6a3p-5, -0x1.e60a5e49d74b6p-5, -0x1.dd4dd1037117dp-5, -0x1.d4b0d39dadf76p-5, -0x1.cc33292ede3dcp-5, -0x1.c3d493de3fbbcp-5, -0x1.bb94d4eff2157p-5, -0x1.b373acd0c4be6p-5, -0x1.ab70db21c384bp-5, -0x1.a38c1ec39affep-5, -0x1.9bc535e1be046p-5, -0x1.941bddfd5ae3fp-5, -0x1.8c8fd3f81cf4bp-5, -0x1.8520d41eb1eeap-5, -0x1.7dce9a3320d6cp-5, -0x1.7698e176ea61ep-5, -0x1.6f7f64b4eb105p-5, -0x1.6881de4b1587p-5, -0x1.61a00833eefd2p-5, -0x1.5ad99c0fd1405p-5, -0x1.542e532e06ba6p-5, -0x1.4d9de695a1da1p-5, -0x1.47280f0e28275p-5, -0x1.40cc852807824p-5, -0x1.3a8b0144d4d91p-5, -0x1.34633b9f58e7ap-5, -0x1.2e54ec5365b9fp-5, -0x1.285fcb657d62ep-5, -0x1.228390ca4716bp-5, -0x1.1cbff46dc4f1p-5, -0x1.1714ae3a6ac3bp-5, -0x1.1181761ff4298p-5, -0x1.0c06041a0c261p-5, -0x1.06a21036cec74p-5, -0x1.0155529d08fa3p-5, -0x1.f83f0724ae9bep-6, -0x1.ee00b70215505p-6, -0x1.e3ef25fbd666p-6, -0x1.da09c59b7ef51p-6, -0x1.d05007d55c7d8p-6, -0x1.c6c15f12debbp-6, -0x1.bd5d3e3caee16p-6, -0x1.b42318c45c978p-6, -0x1.ab1262adbef29p-6, -0x1.a22a9098031c7p-6, -0x1.996b17c660e7ep-6, -0x1.90d36e2881fc6p-6, -0x1.88630a6295458p-6, -0x1.801963d513919p-6, -0x1.77f5f2a43a4d9p-6, -0x1.6ff82fbf2d96bp-6, -0x1.681f94e6dc5f6p-6, -0x1.606b9cb493a7cp-6, -0x1.58dbc2a0493b2p-6, -0x1.516f83069c8a7p-6, -0x1.4a265b2e96159p-6, -0x1.42ffc94f2562ap-6, -0x1.3bfb4c944a84cp-6, -0x1.35186524161dcp-6, -0x1.2e56942350b5ep-6, -0x1.27b55bb9f3a25p-6, -0x1.21343f1762964p-6, -0x1.1ad2c2765934dp-6, -0x1.14906b20b356fp-6, -0x1.0e6cbf72e248dp-6, -0x1.086746df47fd8p-6, -0x1.027f89f13e859p-6, -0x1.f96a249fec02dp-7, -0x1.ee0ed58245732p-7, -0x1.e2ec3e56d38b6p-7, -0x1.d80179315941ap-7, -0x1.cd4da2701f8edp-7, -0x1.c2cfd8bfd1693p-7, -0x1.b8873d1ec6c86p-7, -0x1.ae72f2e02c7b2p-7, -0x1.a4921faea0a7bp-7, -0x1.9ae3eb8ea94d3p-7, -0x1.916780e0a2407p-7, -0x1.881c0c6291d3fp-7, -0x1.7f00bd31830ebp-7, -0x1.7614c4caad38bp-7, -0x1.6d57570c485e8p-7, -0x1.64c7aa361033dp-7, -0x1.5c64f6e9a3c73p-7, -0x1.542e782a67f4p-7, -0x1.4c236b5d5ffa7p-7, -0x1.44431048b49a7p-7, -0x1.3c8ca912e7de6p-7, -0x1.34ff7a41e8aa6p-7, -0x1.2d9acab9e6d3p-7, -0x1.265de3bbe7baep-7, -0x1.1f4810e43484ap-7, -0x1.1858a02878542p-7, -0x1.118ee1d5d4b6p-7, -0x1.0aea288ea712ep-7, -0x1.0469c9482aab5p-7, -0x1.fc1a368fdbed8p-8, -0x1.efa6f04242e51p-8, -0x1.e378776378b84p-8, -0x1.d78d883ed510dp-8, -0x1.cbe4e3a8e73abp-8, -0x1.c07d4ef8bf748p-8, -0x1.b5559401111fcp-8, -0x1.aa6c81092367p-8, -0x1.9fc0e8c556ee5p-8, -0x1.9551a24f9e48ep-8, -0x1.8b1d891f93a2p-8, -0x1.81237d0277e27p-8, -0x1.77626212ef671p-8, -0x1.6dd920b09c196p-8, -0x1.6486a5776a1f9p-8, -0x1.5b69e136d6a36p-8, -0x1.5281c8e8f5945p-8, -0x1.49cd55a95e13dp-8, -0x1.414b84abe3a77p-8, -0x1.38fb573338e66p-8, -0x1.30dbd2877841bp-8, -0x1.28ebffec7047fp-8, -0x1.212aec980745cp-8, -0x1.1997a9a84a2d4p-8, -0x1.12314c19a4ddap-8, -0x1.0af6ecbcbcafap-8, -0x1.03e7a82c7f5cfp-8, -0x1.fa053d87c23d3p-9, -0x1.ec8de92783d82p-9, -0x1.df67a2b130ebap-9, -0x1.d290c0e05155p-9, -0x1.c607a19e5070bp-9, -0x1.b9caa9edb92b1p-9, -0x1.add845d553a9dp-9, -0x1.a22ee84b546a3p-9, -0x1.96cd0b206366p-9, -0x1.8bb12eea94063p-9, -0x1.80d9daf0ab552p-9, -0x1.76459d14c49fep-9, -0x1.6bf309bfbfa0cp-9, -0x1.61e0bbcc01d69p-9, -0x1.580d54709dc07p-9, -0x1.4e777b2c7869bp-9, -0x1.451dddb1493dbp-9, -0x1.3bff2fcef08d8p-9, -0x1.331a2b5e9ecc1p-9, -0x1.2a6d902e08bcbp-9, -0x1.21f823eb00666p-9, -0x1.19b8b20eb875ap-9, -0x1.11ae0bc9593f1p-9, -0x1.09d707ed99b27p-9, -0x1.023282dc90096p-9, -0x1.f57ebce2c39f6p-10, -0x1.e6f903da9659bp-10, -0x1.d8d1b3c74a1b9p-10, -0x1.cb06b04bf623ap-10, -0x1.bd95e760ef31fp-10, -0x1.b07d512c6e1bp-10, -0x1.a3baefdb960e4p-10, -0x1.974ccf7c05587p-10, -0x1.8b3105d57dcbbp-10, -0x1.7f65b243625ep-10, -0x1.73e8fd8fe4004p-10, -0x1.68b919cd68b8ep-10, -0x1.5dd44232585afp-10, -0x1.5338baf3d0e54p-10, -0x1.48e4d1212108dp-10, -0x1.3ed6da7fd08d2p-10, -0x1.350d3567a432fp-10, -0x1.2b86489f43b8dp-10, -0x1.22408338c83a6p-10, -0x1.193a5c6f23dc1p-10, -0x1.10725383a47ccp-10, -0x1.07e6ef9bd1999p-10, -0x1.ff2d7f3ee7b54p-11, -0x1.ef00b42f2015fp-11, -0x1.df44ba19e8cdep-11, -0x1.cff6dbcfdc0dfp-11, -0x1.c114729f37c6dp-11, -0x1.b29ae61476e92p-11, -0x1.a487abbad7826p-11, -0x1.96d846de4d6a7p-11, -0x1.898a484d4f8fep-11, -0x1.7c9b4e1c31223p-11, -0x1.700903691a9cdp-11, -0x1.63d120204fd4bp-11, -0x1.57f168c16c5f2p-11, -0x1.4c67ae2583da5p-11, -0x1.4131cd463480cp-11, -0x1.364daf048833p-11, -0x1.2bb947f2030ccp-11, -0x1.21729818bda83p-11, -0x1.1777aac5e07dap-11, -0x1.0dc69653da5bbp-11, -0x1.045d7bf562362p-11, -0x1.f6750f038bfd2p-12, -0x1.e4b7de82a2b89p-12, -0x1.d37fe775bdf4ep-12, -0x1.c2c9bf039de2ep-12, -0x1.b2920e09d25acp-12, -0x1.a2d590bc036bap-12, -0x1.93911644aa4fcp-12, -0x1.84c1806613c9dp-12, -0x1.7663c31ec0f24p-12, -0x1.6874e44de8e52p-12, -0x1.5af1fb58f6307p-12, -0x1.4dd830d3e98cfp-12, -0x1.4124be299fc49p-12, -0x1.34d4ed46810a4p-12, -0x1.28e61843aa5e2p-12, -0x1.1d55a913fe3b8p-12, -0x1.122119324ab31p-12, -0x1.0745f1512fa0ap-12, -0x1.f9839216d46b8p-13, -0x1.e5248d2d81cecp-13, -0x1.d16a3ced38fbbp-13, -0x1.be502661f5a66p-13, -0x1.abd1ea08a9863p-13, -0x1.99eb433e4a471p-13, -0x1.889807afd9e11p-13, -0x1.77d426cd83114p-13, -0x1.679ba940bc70dp-13, -0x1.57eab063d770ep-13, -0x1.48bd75bcb012ep-13, -0x1.3a104a7890ad9p-13, -0x1.2bdf96ecb623cp-13, -0x1.1e27da1599c1dp-13, -0x1.10e5a91bc308dp-13, -0x1.0415aed9010fbp-13, -0x1.ef6956c057046p-14, -0x1.d77ee70e0aeb3p-14, -0x1.c065e0e656badp-14, -0x1.aa183e4ee895p-14, -0x1.94902029c2537p-14, -0x1.7fc7cd58f2565p-14, -0x1.6bb9b1e831645p-14, -0x1.58605e3aa2586p-14, -0x1.45b686388b256p-14, -0x1.33b7008787794p-14, -0x1.225cc5c09b856p-14, -0x1.11a2efae54587p-14, -0x1.0184b88a7fbc4p-14, -0x1.e3faf489a09b2p-15, -0x1.c6115b8de9d4ap-15, -0x1.a943d48472dfbp-15, -0x1.8d89c8f8f907ep-15, -0x1.72dadc455af53p-15, -0x1.592eea3b0d768p-15, -0x1.407e05d4c40dfp-15, -0x1.28c077ef14288p-15, -0x1.11eebe060780bp-15, -0x1.f80311f618d6p-16, -0x1.cde377beaa156p-16, -0x1.a570d589efcfep-16, -0x1.7e9db32e40e69p-16, -0x1.595cf5ee540a4p-16, -0x1.35a1de42badacp-16, -0x1.136005a91a474p-16, -0x1.e516b905c92bp-17, -0x1.a6305002869e4p-17, -0x1.69f6002e39abp-17, -0x1.30519af224c92p-17, -0x1.f25b1ea1f5804p-18, -0x1.88e9cc20805f5p-18, -0x1.24267be877b3bp-18, -0x1.87d3204c5c221p-19, -0x1.a03221c49ca2fp-20, -0x1.069fad430fb2fp-22, 0x1.0c89ccb9a76dcp-20, 0x1.2578269b7f4fap-19, 0x1.bd0a6a3b2a3c5p-19, 0x1.269f2c7221935p-18, 0x1.6b2a57ccb7d37p-18, 0x1.ac46267249926p-18, 0x1.ea111e75f7df6p-18, 0x1.1254715c34f7fp-17, 0x1.2e151c4b780e9p-17, 0x1.485886cea5f8p-17, 0x1.612c3e84b3e69p-17, 0x1.789d6a9d796b6p-17, 0x1.8eb8ce737e36fp-17, 0x1.a38acc2bab963p-17, 0x1.b71f6734c22f4p-17, 0x1.c98246bd11418p-17, 0x1.dabeb8212192fp-17, 0x1.eadfb142bb87p-17, 0x1.f9efd2d33e4b4p-17, 0x1.03fcb54cc46ap-16, 0x1.0a833acf307ebp-16, 0x1.10905127d2796p-16, 0x1.1628a950f3cfap-16, 0x1.1b50cf084abc6p-16, 0x1.200d29d21ecb5p-16, 0x1.2461fdf3cb62bp-16, 0x1.28536d63c627cp-16, 0x1.2be578bab4533p-16, 0x1.2f1c001b21f19p-16, 0x1.31fac413761f7p-16, 0x1.3485667c4fd07p-16, 0x1.36bf6b4f582a7p-16, 0x1.38ac397cf6cf1p-16, 0x1.3a4f1bb6d74c2p-16, 0x1.3bab413a52718p-16, 0x1.3cc3be941fa3ep-16, 0x1.3d9b8e5de9178p-16, 0x1.3e3591fd272f8p-16, 0x1.3e949253da92cp-16, 0x1.3ebb4074da1acp-16, 0x1.3eac3650d395ap-16, 0x1.3e69f75c4de75p-16, 0x1.3df6f137ab7e2p-16, 0x1.3d557c4ce81f2p-16, 0x1.3c87dc6e6c1d7p-16, 0x1.3b90416c3e7b4p-16, 0x1.3a70c7abefd68p-16, 0x1.392b78b676b75p-16, 0x1.37c24bc79a592p-16, 0x1.3637265598a98p-16, 0x1.348bdc995024cp-16, 0x1.32c2320ec9a7fp-16, 0x1.30dbd9f4f59e2p-16, 0x1.2eda77ca5ccbfp-16, 0x1.2cbf9fc37bcebp-16, 0x1.2a8cd744529fdp-16, 0x1.2843954f181cbp-16, 0x1.25e542f5d8133p-16, 0x1.23733bc5e2eb4p-16, 0x1.20eece31cba8dp-16, 0x1.1e593bf7db71cp-16, 0x1.1bb3ba87cbe3bp-16, 0x1.18ff73623bf83p-16, 0x1.163d84787c19dp-16, 0x1.136f008937802p-16, 0x1.1094ef78fa4cdp-16, 0x1.0db04eab6c85fp-16, 0x1.0ac211561d1b5p-16, 0x1.07cb20d5306d5p-16, 0x1.04cc5cfa9f656p-16, 0x1.01c69c5da61d3p-16, 0x1.fd75594b1f777p-17, 0x1.f752a5a7aac55p-17, 0x1.f126971913c22p-17, 0x1.eaf296b7dcacfp-17, 0x1.e4b7fdf59501ap-17, 0x1.de781721276cbp-17, 0x1.d8341de52d3dap-17, 0x1.d1ed3fc81d6e8p-17, 0x1.cba49ca2c71f5p-17, 0x1.c55b47154e29cp-17, 0x1.bf1244fe0d603p-17, 0x1.b8ca8fe4261ddp-17, 0x1.b285156633163p-17, 0x1.ac42b7a12c446p-17, 0x1.a6044d98cba2fp-17, 0x1.9fcaa3978a40fp-17, 0x1.99967b8fed203p-17, 0x1.93688d7a72d3fp-17, 0x1.8d4187af0d2bdp-17, 0x1.87220f3c23a56p-17, 0x1.810ac03dd0f3dp-17, 0x1.7afc2e2e5c444p-17, 0x1.74f6e437fc881p-17, 0x1.6efb658067988p-17, 0x1.690a2d771c507p-17, 0x1.6323b01cc2e98p-17, 0x1.5d485a4913c49p-17, 0x1.577891f2f1affp-17, 0x1.51b4b66ede0a7p-17, 0x1.4bfd20b2782d3p-17, 0x1.46522391ef975p-17, 0x1.40b40bfc9d111p-17, 0x1.3b232139357bbp-17, 0x1.359fa51be54e8p-17, 0x1.3029d4405e778p-17, 0x1.2ac1e63c9934ep-17, 0x1.25680dd6602ccp-17, 0x1.201c7934651bdp-17, 0x1.1adf520fa93f6p-17, 0x1.15b0bde0eafedp-17, 0x1.1090de0f53f43p-17, 0x1.0b7fd01c300aap-17, 0x1.067dadccc0ad3p-17, 0x1.018a8d52b1c25p-17, 0x1.f94d02ec6783cp-18, 0x1.efa33372a513dp-18, 0x1.e617c4ffbe8ffp-18, 0x1.dcaaca62cfe6bp-18, 0x1.d35c50b97f6a7p-18, 0x1.ca2c5fb269649p-18, 0x1.c11af9cf2bf7p-18, 0x1.b8281c9ee1cbfp-18, 0x1.af53c1003858p-18, 0x1.a69ddb56f0d9p-18, 0x1.9e065bc7904b2p-18, 0x1.958d2e6a81ae1p-18, 0x1.8d323b8413b76p-18, 0x1.84f567b2844adp-18, 0x1.7cd69422fd2ccp-18, 0x1.74d59ebdad6adp-18, 0x1.6cf2625510707p-18, 0x1.652cb6cff35cap-18, 0x1.5d84715374dd6p-18, 0x1.55f9646e6a29ap-18, 0x1.4e8b603c6e357p-18, 0x1.473a328db6227p-18, 0x1.4005a70b564d6p-18, 0x1.38ed875854352p-18, 0x1.31f19b35857fep-18, 0x1.2b11a89f60e5ap-18, 0x1.244d73ef80806p-18, 0x1.1da4bff67b912p-18, 0x1.17174e1d2077p-18, 0x1.10a4de7c90469p-18, 0x1.0a4d2ff9c1682p-18, 0x1.0410005e910b4p-18, 0x1.fbda18e68ea1ep-19, 0x1.efc82026dd743p-19, 0x1.e3e98c8c6afep-19, 0x1.d83dd2a6709e5p-19, 0x1.ccc465ac2a685p-19, 0x1.c17cb7a6b0a8bp-19, 0x1.b66639950911fp-19, 0x1.ab805b911544dp-19, 0x1.a0ca8cf09aea7p-19, 0x1.96443c67431bfp-19, 0x1.8becd825583a3p-19, 0x1.81c3cdf6829ep-19, 0x1.77c88b5ce8a4p-19, 0x1.6dfa7dacce1e9p-19, 0x1.645912291f8cfp-19, 0x1.5ae3b6179bbc9p-19, 0x1.5199d6dc953d9p-19, 0x1.487ae20e7fcb8p-19, 0x1.3f86458d34decp-19, 0x1.36bb6f94a8e94p-19, 0x1.2e19ced0e0821p-19, 0x1.25a0d26fd6af1p-19, 0x1.1d4fea3268ff1p-19, 0x1.1526867d145efp-19, 0x1.0d2418683ea41p-19, 0x1.054811cc4cfd6p-19, 0x1.fb23caa3b98cp-20, 0x1.ec020cfb2d085p-20, 0x1.dd29d377e060ap-20, 0x1.ce9a08d9e831fp-20, 0x1.c05199def63ccp-20, 0x1.b24f755497e14p-20, 0x1.a4928c2b63431p-20, 0x1.9719d1893813bp-20, 0x1.89e43ad819e87p-20, 0x1.7cf0bfd7fee1p-20, 0x1.703e5aa7a3618p-20, 0x1.63cc07d6c6408p-20, 0x1.5798c67024cd9p-20, 0x1.4ba3980323d5dp-20, 0x1.3feb80ad63e74p-20, 0x1.346f8725a9b16p-20, 0x1.292eb4c3a1a7dp-20, 0x1.1e2815859f231p-20, 0x1.135ab817a8b35p-20, 0x1.08c5addab1df5p-20, 0x1.fcd015cea4f0ap-21, 0x1.e881cc2698a0ep-21, 0x1.d49eb1e99a46p-21, 0x1.c124ffcb8f8e6p-21, 0x1.ae12f40b1ede3p-21, 0x1.9b66d274bdaf3p-21, 0x1.891ee4666b2efp-21, 0x1.773978d3dc8afp-21, 0x1.65b4e440046c1p-21, 0x1.548f80c220c5ap-21, 0x1.43c7ae025ec0fp-21, 0x1.335bd1340e78p-21, 0x1.234a5519c0ba9p-21, 0x1.1391a9fa544dcp-21, 0x1.043045a0a5ad8p-21, 0x1.ea4946a2b75ddp-22, 0x1.ccda8795c03dfp-22, 0x1.b0115a7518bc5p-22, 0x1.93ead66cefc22p-22, 0x1.78641d668842ap-22, 0x1.5d7a5c00ed7f5p-22, 0x1.432ac974531p-22, 0x1.2972a78a2920ap-22, 0x1.104f42805282p-22, 0x1.ef7be1f1d4e8fp-23, 0x1.bf7827cae404cp-23, 0x1.908e2cdfb96c8p-23, 0x1.62b8dbc4438cbp-23, 0x1.35f33329943f8p-23, 0x1.0a38459cf534dp-23, 0x1.bf0672d239755p-24, 0x1.6b9e90a97462ep-24, 0x1.1a2f7efb3c44cp-24, 0x1.955ffc962832bp-25, 0x1.f45bd3798d07ep-26, 0x1.8adb735509a16p-27, -0x1.88b64534de88ep-28, -0x1.8298b825800dbp-26, -0x1.4dfaea6fc1601p-25, -0x1.d733394965cdcp-25, -0x1.2e82e3d157968p-24, -0x1.6fc1674a847e3p-24, -0x1.af5d212f0ef09p-24, -0x1.ed5de99bf7cc2p-24, -0x1.14e5bb88d4dafp-23, -0x1.3256af76bfac9p-23, -0x1.4f058aedd925p-23, -0x1.6af5f822a2d7ap-23, -0x1.862b915c80a92p-23, -0x1.a0a9e12a27953p-23, -0x1.ba7462a1c1215p-23, -0x1.d38e8193bec59p-23, -0x1.ebfb9ac06202fp-23, -0x1.01df7e0c0e5acp-22, -0x1.0d6df2724ccap-22, -0x1.18aac302073bfp-22, -0x1.2397811389ae5p-22, -0x1.2e35b6ffe2319p-22, -0x1.3886e83d7c448p-22, -0x1.428c91770d335p-22, -0x1.4c4828a7c3fecp-22, -0x1.55bb1d38f71d6p-22, -0x1.5ee6d819d9ebep-22, -0x1.67ccbbd868f1ap-22, -0x1.706e24bc8a27cp-22, -0x1.78cc68debceddp-22, -0x1.80e8d8442bf8p-22, -0x1.88c4bcf7845cfp-22, -0x1.90615b1f9a79p-22, -0x1.97bff11a568f1p-22, -0x1.9ee1b79283b02p-22, -0x1.a5c7e197f5b3p-22, -0x1.ac739cb8954a7p-22, -0x1.b2e611187b60ep-22, -0x1.b92061869779p-22, -0x1.bf23ab979e9bdp-22, -0x1.c4f107b88765ep-22, -0x1.ca89894427976p-22, -0x1.cfee3e9cd6f7cp-22, -0x1.d5203143dcd53p-22, -0x1.da2065e82662p-22, -0x1.deefdc7f1e383p-22, -0x1.e38f905b3a2e6p-22, -0x1.e800783d6f9adp-22, -0x1.ec43866caf94fp-22, -0x1.f059a8c83a6dp-22, -0x1.f443c8dc8d117p-22, -0x1.f802cbf49e711p-22, -0x1.fb97932e359cfp-22, -0x1.ff02fb8c64733p-22, -0x1.0122ef0687101p-21, -0x1.02b087dca6915p-21, -0x1.042ab0db2d389p-21, -0x1.0591d0ac68606p-21, -0x1.06e64c1bf0bfbp-21, -0x1.0828861de2514p-21, -0x1.0958dfd76cb89p-21, -0x1.0a77b8a7c6931p-21, -0x1.0b856e3096aa1p-21, -0x1.0c825c5da1ae5p-21, -0x1.0d6edd6caf851p-21, -0x1.0e4b49f59ac7dp-21, -0x1.0f17f8f22029cp-21, -0x1.0fd53fc60541ap-21, -0x1.10837245773aep-21, -0x1.1122e2bd26c8dp-21, -0x1.11b3e1f875f5dp-21, -0x1.1236bf4971bafp-21, -0x1.12abc88fb5bd6p-21, -0x1.13134a3ff1748p-21, -0x1.136d8f69c87e8p-21, -0x1.13bae1bdfb983p-21, -0x1.13fb8995b5092p-21, -0x1.142fcdf8bcacfp-21, -0x1.1457f4a34011bp-21, -0x1.1474420cb9e6p-21, -0x1.1484f96e33261p-21, -0x1.148a5cc6cf548p-21, -0x1.1484ace29c62ap-21, -0x1.1474296045d3ep-21, -0x1.145910b63d873p-21, -0x1.1433a038f035ep-21, -0x1.1404141f87a0bp-21, -0x1.13caa789bfd39p-21, -0x1.1387948475363p-21, -0x1.133b1410114dep-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      49, 0x1.0147ae147ae14p+3, 0x1.400002394f123p+0, 0x1.b46cebf3b7398p+1, -0x1.adef43ce28b94p-8, 
      {{
        {0x1.68f5c28f5c28fp+2, 0x1.699999999999ap+2, 0x1.427384c7fa3eap-6, -0x1.0cb5977341a4ap-5, 0x1.4fe2ffa5a4aa9p-6, -0x1.77192797f440dp-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3d1c4d3197255p-6, -0x1.095d52934294ap-5, 0x1.4d12cf599fa24p-6, -0x1.6fe8e459d6ab7p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.2365316a59834p-6, -0x1.f21c8f904947dp-6, 0x1.3f46e0630dfbcp-6, -0x1.67f36c73cfbd6p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.0b46d2942deaep-6, -0x1.d2dbd97cff79p-6, 0x1.31c7591eb6318p-6, -0x1.603995cad4f7bp-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e95fd242d4f22p-7, -0x1.b4f0fb93bf40ap-6, 0x1.2491fd1a4e352p-6, -0x1.586fc4d2f8a76p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.bf1f1a1dd6e6ap-7, -0x1.9854836f97943p-6, 0x1.17a765b8cb489p-6, -0x1.50aa3bd9c5c06p-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.97aa6bc8268d9p-7, -0x1.7cfef90e522dfp-6, 0x1.0b0769e0a0aabp-6, -0x1.48e38d34cc70ap-8}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.72e175659513ep-7, -0x1.62e8e5eed6562p-6, 0x1.fd64292a18669p-7, -0x1.411d2d402fb29p-8}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.50a4a42efff5ap-7, -0x1.4a0ad328da53ap-6, 0x1.e54ec5c54806p-7, -0x1.3956b835ec9f5p-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.30d5247250fefp-7, -0x1.325d49efbad95p-6, 0x1.cdceab27a313cp-7, -0x1.319048d1f18b6p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.1354e1927e4ddp-7, -0x1.1bd8d36f6bf2dp-6, 0x1.b6e3d8e4b0f64p-7, -0x1.29c9d7ea6e19p-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.f00d0c0f149f4p-8, -0x1.0675f8d5dddd9p-6, 0x1.a08e4f19824dep-7, -0x1.2203676ac8085p-8}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.bd9af6bd07883p-8, -0x1.e45a86a0f15f1p-7, 0x1.8ace0dbe4ce6cp-7, -0x1.1a3cf6cf42e8ap-8}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.8f1bd4730b73bp-8, -0x1.bdee781991eebp-7, 0x1.75a314d527e25p-7, -0x1.1276863b4269fp-8}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.6459749f6f216p-8, -0x1.9998d870a2fe6p-7, 0x1.610d645d82e74p-7, -0x1.0ab015a52fc5bp-8}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.3d1f24da99f1bp-8, -0x1.774aba012f5cep-7, 0x1.4d0cfc5785b87p-7, -0x1.02e9a50fba96bp-8}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.1939b0e70be62p-8, -0x1.56f52f264072fp-7, 0x1.39a1dcc324866p-7, -0x1.f64668f40fc35p-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.f0eec562bb45bp-9, -0x1.38894a3ae006ep-7, 0x1.26cc05a063ef2p-7, -0x1.e6b987c9009fep-9}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.b55004a080d7cp-9, -0x1.1bf81d9a17cb8p-7, 0x1.148b76ef40b6p-7, -0x1.d72ca69da61f4p-9}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.7f39ac08fc4b9p-9, -0x1.0132bb9ef179cp-7, 0x1.02e030afbdae8p-7, -0x1.c79fc5727b744p-9}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.4e514471f2ae9p-9, -0x1.d0546d48ed7a9p-8, 0x1.e39465c3b21adp-8, -0x1.b812e447398f6p-9}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.223f53055a4fap-9, -0x1.a19f420b6299fp-8, 0x1.c292fb0b2762cp-8, -0x1.a886031c12c1p-9}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.f55eb282b5843p-10, -0x1.76281a3b55c61p-8, 0x1.a2bc2135d92dfp-8, -0x1.98f921f0b5ca5p-9}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.ae9fa9f099b04p-10, -0x1.4dd11a8eda569p-8, 0x1.840fd843cb8bcp-8, -0x1.896c40c5a855cp-9}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.6fa480a17553bp-10, -0x1.287c67bc03bc4p-8, 0x1.668e2034f8857p-8, -0x1.79df5f9a4bf6bp-9}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.37d6238abf1cap-10, -0x1.060c2678e5689p-8, 0x1.4a36f90966064p-8, -0x1.6a527e6f29755p-9}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.06a3784a50409p-10, -0x1.ccc4f6f725708p-9, 0x1.2f0a62c10fb6bp-8, -0x1.5ac59d43df4c6p-9}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.b702ba4cc8f72p-11, -0x1.92c316f43e366p-9, 0x1.15085d5bf891p-8, -0x1.4b38bc18ab2b6p-9}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.6bd5521b3419p-11, -0x1.5dd6f6553bdd1p-9, 0x1.f861d1b43ddbcp-9, -0x1.3babdaed81931p-9}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.2ac0572de36e8p-11, -0x1.2dc4de86455ecp-9, 0x1.c9080a770405cp-9, -0x1.2c1ef9c21a31bp-9}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.e5a2b4073b0bp-12, -0x1.025118f381534p-9, 0x1.9c0365004ce4ep-9, -0x1.1c92189739338p-9}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.8643b8d7dbfcfp-12, -0x1.b67fde122db97p-10, 0x1.7153e150044fdp-9, -0x1.0d05376b77ac6p-9}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.35aea30e4aep-12, -0x1.70ab546658e5fp-10, 0x1.48f97f664bf61p-9, -0x1.faf0ac81e8a57p-10}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.e48c77196667fp-13, -0x1.32ad27bbd27dfp-10, 0x1.22f43f42f41dp-9, -0x1.dbd6ea2991369p-10}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.750a5bad94681p-13, -0x1.f81bd5d5ce7a9p-11, 0x1.fe8841cc78d88p-10, -0x1.bcbd27d689ffbp-10}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.19fc10239f0ep-13, -0x1.98ac6197cf6bbp-11, 0x1.bbd2489f7dbf4p-10, -0x1.9da3657630fbbp-10}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a16cec1232ap-14, -0x1.461d186e2a339p-11, 0x1.7dc69300f6653p-10, -0x1.7e89a3433486cp-10}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.2d7c685d54f8p-14, -0x1.fefe4013b88adp-12, 0x1.446520ea14eacp-10, -0x1.5f6fe06863b8p-10}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.a71edaa038701p-15, -0x1.87c73c3419919p-12, 0x1.0fadf27405f5ep-10, -0x1.40562001f8cd3p-10}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.1edcbb304d7p-15, -0x1.24b770a996f84p-12, 0x1.bf420e810e15p-11, -0x1.213c566bf04c8p-10}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.750499a4f43ffp-16, -0x1.a7e251593bd8dp-13, 0x1.687cc160ac64dp-11, -0x1.0222af2815356p-10}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.cc79fbea6f7ffp-17, -0x1.272d606d4a132p-13, 0x1.1b0bf33b0c6d3p-11, -0x1.c6110f8630da9p-11}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.09fd58a392p-17, -0x1.872941c2c0579p-14, 0x1.addf95010a32ep-12, -0x1.87e07d2e2854ep-11}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.198f5f4e9b8p-18, -0x1.e572e823cf49ep-15, 0x1.384f6f73314d2p-12, -0x1.49a1f949b5685p-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.0826ed6395p-19, -0x1.1328134b61758p-15, 0x1.aad74953c28f9p-13, -0x1.0b977f2323228p-11}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.9f08a4ce38p-21, -0x1.110ff5f5c94e1p-16, 0x1.0a49303ead7b8p-13, -0x1.99959f2fe18b6p-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.e95fd243b0001p-23, -0x1.b4bc2db4eb6d9p-18, 0x1.1ed2342d6d394p-14, -0x1.21a5d7b31d349p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.4e51447880001p-25, -0x1.d368b51d53b9dp-20, 0x1.c421316e3b9ccp-16, -0x1.29283964f363cp-13}, 
        {0x1p+3, 0x1.0147ae147ae14p+3, 0x1.a16cec6fffffep-30, -0x1.d45bbd81b712fp-24, 0x1.7e2a18a12bp-18, -0x1.0bdbea28bc47fp-12}, 
      }}, 
      0x1.8593f5e47dbf8p-8, -0x1.9afaa8855d854p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.dadf5ca2de02p-10, -0x1.3ca9b8c6eeda5p-8, -0x1.4438b5b4fb5dap-7, -0x1.1c76c1614c5cbp-6, -0x1.bd8c63e7a3199p-6, -0x1.3ff3248447f28p-5, -0x1.ad8ce546ab2f4p-5, -0x1.1154d09a2e004p-4, -0x1.4d1ff6b14dea6p-4, -0x1.87c6879a9c277p-4, -0x1.bf2a471c0d204p-4, -0x1.f181329050cc8p-4, -0x1.0eadf28ebce58p-3, -0x1.20d264c3c50e8p-3, -0x1.2ecd69635ae09p-3, -0x1.3864ce5d281b3p-3, -0x1.3d801fd56b2f9p-3, -0x1.3e23d006dc781p-3, -0x1.3a6c7fd7e045ep-3, -0x1.328a5c646db8cp-3, -0x1.26bcfc41212d7p-3, -0x1.174f7446c08cep-3, -0x1.0494f44b3836dp-3, -0x1.ddcb9a58eba5dp-4, -0x1.ad39b8fc09fadp-4, -0x1.782ae8c1b9753p-4, -0x1.3f532ecf9553p-4, -0x1.0361317986718p-4, -0x1.89f82bf230fe3p-5, -0x1.0983d589e8a75p-5, -0x1.0d1a528031534p-6, -0x1.131bf70411f58p-12, 0x1.056ab32cc5f82p-6, 0x1.07207c044091bp-5, 0x1.8a4c662e5f9b3p-5, 0x1.05c004914b506p-4, 0x1.450b937e2e2bp-4, 0x1.82c0ae9d97f35p-4, 0x1.bea07c05dc39fp-4, 0x1.f874e647d2172p-4, 0x1.1808029e7055fp-3, 0x1.32a5c04b3881bp-3, 0x1.4c03fe7b6930dp-3, 0x1.641648c4065f2p-3, 0x1.7ad31fa485427p-3, 0x1.9033b62094f7p-3, 0x1.a433b79d9714dp-3, 0x1.b6d10a02a2197p-3, 0x1.c80b9a421b0acp-3, 0x1.d7e528303d618p-3, 0x1.e66111c2bc456p-3, 0x1.f3842b1585e66p-3, 0x1.ff5486ad9aa52p-3, 0x1.04ecabe58bd4ep-2, 0x1.098d638f1acc5p-2, 0x1.0d90e94cad534p-2, 0x1.10fc16c92e136p-2, 0x1.13d40edd638fdp-2, 0x1.161e329d6f222p-2, 0x1.17e011952576bp-2, 0x1.191f603fdf049p-2, 0x1.19e1eee61b4dep-2, 0x1.1a2d9daa9bdaap-2, 0x1.1a0853f6c666dp-2, 0x1.1977fb4abeb79p-2, 0x1.1882726ba701cp-2, 0x1.172d8bc345b23p-2, 0x1.157f045a52d24p-2, 0x1.137c80e1426fdp-2, 0x1.112b8722b10ccp-2, 0x1.0e917dffc16eep-2, 0x1.0bb3a70aa59e3p-2, 0x1.08971b9ceb0bdp-2, 0x1.0540ce30cf439p-2, 0x1.01b584013b88ep-2, 0x1.fbf3ad9b98f5dp-3, 0x1.f4246439c8e8cp-3, 0x1.ec05a37cf138ap-3, 0x1.e39f88e230deep-3, 0x1.daf9d65c36cbbp-3, 0x1.d21be9803287ep-3, 0x1.c90cc5c40de11p-3, 0x1.bfd318153d3c9p-3, 0x1.b6752ad97f0e8p-3, 0x1.acf8f752530b3p-3, 0x1.a3641f1d8b0f1p-3, 0x1.99bbebee51e91p-3, 0x1.900558e423cdp-3, 0x1.8645143fbb345p-3, 0x1.7c7f7939766a5p-3, 0x1.72b89d81e06dep-3, 0x1.68f44f46d9c72p-3, 0x1.5f3617b50faaap-3, 0x1.55813d224e774p-3, 0x1.4bd8c80cdfd5ep-3, 0x1.423f86a4f10dcp-3, 0x1.38b80973a7f9cp-3, 0x1.2f44ae608ba83p-3, 0x1.25e79b18cc628p-3, 0x1.1ca2c59ca02b9p-3, 0x1.1377f6fa3782dp-3, 0x1.0a68c749afa66p-3, 0x1.0176a60ea00c7p-3, 0x1.f145b4c780204p-4, 0x1.dfdd0a7b36489p-4, 0x1.ceb5475453b5fp-4, 0x1.bdd01fe0243ap-4, 0x1.ad2f09d10d798p-4, 0x1.9cd33cbd8ea4fp-4, 0x1.8cbdbada889fdp-4, 0x1.7cef4f2de2ec9p-4, 0x1.6d689276e4f2ap-4, 0x1.5e29ef822b668p-4, 0x1.4f33a7212deb7p-4, 0x1.4085d0e1109fcp-4, 0x1.32205f6ff62fap-4, 0x1.240323acf5f47p-4, 0x1.162dce2952b6ap-4, 0x1.089ff34496eacp-4, 0x1.f6b218a91cd4cp-5, 0x1.dcb0f7590e927p-5, 0x1.c33b1af3d5b9ap-5, 0x1.aa4ef21419db5p-5, 0x1.91eacc1bf4daap-5, 0x1.7a0cd70763515p-5, 0x1.62b323d262e12p-5, 0x1.4bdbb0d3dd511p-5, 0x1.3584600787802p-5, 0x1.1fab078e8696bp-5, 0x1.0a4d6a533d812p-5, 0x1.ead28230715dp-6, 0x1.c1f8706916fcfp-6, 0x1.9a07f053e689bp-6, 0x1.72fc40390dd9fp-6, 0x1.4cd09a84dd769p-6, 0x1.27803346d9cdcp-6, 0x1.030642b808424p-6, 0x1.bebc00448d2f2p-7, 0x1.790547b049b4cp-7, 0x1.34def38069072p-7, 0x1.e47f3cb0c58cdp-8, 0x1.623c18e4f4ab2p-8, 0x1.c5c404f2d764bp-9, 0x1.997c2b1d03785p-10, -0x1.35ea3e947c901p-12, -0x1.14d0eaff61a8cp-9, -0x1.fd9f899a4a444p-9, -0x1.70a53770bc18bp-8, -0x1.dff955e0a96bcp-8, -0x1.266e2439774cbp-7, -0x1.5baedfe1900abp-7, -0x1.8fc6878b997e2p-7, -0x1.c2bc9aad62a9bp-7, -0x1.f4985e6cb23b9p-7, -0x1.12b0786545e5fp-6, -0x1.2a8e90c1e0f6bp-6, -0x1.41e9d7349fccdp-6, -0x1.58c586915ea69p-6, -0x1.6f24c1f3d2dddp-6, -0x1.850a8d3f907cfp-6, -0x1.9a79de826e78dp-6, -0x1.af758a87b5095p-6, -0x1.c400521765b57p-6, -0x1.d81cd595f3546p-6, -0x1.ebcd9ec43ee0bp-6, -0x1.ff152820cab39p-6, -0x1.08fae721bbfecp-5, -0x1.1238ec97edb2ep-5, -0x1.1b45ba52ed0fdp-5, -0x1.24225dcf3139p-5, -0x1.2ccfda242d35cp-5, -0x1.354f280dfe54ep-5, -0x1.3da13494097e4p-5, -0x1.45c6e3d8dbe79p-5, -0x1.4dc10ee110afap-5, -0x1.559089cf990ep-5, -0x1.5d361b74b7e7ep-5, -0x1.64b283e81fc6ap-5, -0x1.6c0678d762961p-5, -0x1.7332b108ec1d4p-5, -0x1.7a37cb7451b6cp-5, -0x1.811668173f39dp-5, -0x1.87cf286684effp-5, -0x1.8e62987ee7421p-5, -0x1.94d146a76881p-5, -0x1.9b1bb7cc21748p-5, -0x1.a1426c993acabp-5, -0x1.a745ddbb06c0cp-5, -0x1.ad267ffffa577p-5, -0x1.b2e4c2ddcfbb7p-5, -0x1.b88112478f6a7p-5, -0x1.bdfbd3a4653ep-5, -0x1.c35566a8ef7cbp-5, -0x1.c88e2ad4a7af3p-5, -0x1.cda6781827aaap-5, -0x1.d29ea76b106a1p-5, -0x1.d7770aec0d97dp-5, -0x1.dc2fefb0809b9p-5, -0x1.e0c99f92bdbc8p-5, -0x1.e54466e02aa8ep-5, -0x1.e9a08dc174849p-5, -0x1.edde54de862f8p-5, -0x1.f1fe0078a72dap-5, -0x1.f5ffd1a1e1a1bp-5, -0x1.f9e4060feee1cp-5, -0x1.fdaad738a36c4p-5, -0x1.00aa41284f406p-4, -0x1.02709f8e9e624p-4, -0x1.0428a3d076298p-4, -0x1.05d2686fada75p-4, -0x1.076e07cd9e842p-4, -0x1.08fb9c80bd1f2p-4, -0x1.0a7b410c110efp-4, -0x1.0bed0f61be5f9p-4, -0x1.0d511fc691b5ap-4, -0x1.0ea78c0aebe5cp-4, -0x1.0ff06d100ca79p-4, -0x1.112bda45bb223p-4, -0x1.1259edcf2dc95p-4, -0x1.137abf7e05a1bp-4, -0x1.148e68bf6293cp-4, -0x1.1595018e812eep-4, -0x1.168ea1a0e5542p-4, -0x1.177b62a80b19ep-4, -0x1.185b5b848caf9p-4, -0x1.192ea7585ca82p-4, -0x1.19f55e269df8bp-4, -0x1.1aaf9993f7063p-4, -0x1.1b5d71c91d1fep-4, -0x1.1bff021a53d83p-4, -0x1.1c94610fa94f8p-4, -0x1.1d1dac24c5742p-4, -0x1.1d9afb12b78ecp-4, -0x1.1e0c6a65b367fp-4, -0x1.1e7213ef53ac6p-4, -0x1.1ecc12c10f45ap-4, -0x1.1f1a821432c6ep-4, -0x1.1f5d7e062a22bp-4, -0x1.1f9520f247779p-4, -0x1.1fc1894913ee2p-4, -0x1.1fe2d279126ecp-4, -0x1.1ff91a5d17bb3p-4, -0x1.20047d7b6f358p-4, -0x1.2005198be4c62p-4, -0x1.1ffb0c05e940bp-4, -0x1.1fe67272d5a4ap-4, -0x1.1fc76da7e3b12p-4, -0x1.1f9e1916d93b7p-4, -0x1.1f6a979fc8c02p-4, -0x1.1f2d06662ad46p-4, -0x1.1ee5856ca4128p-4, -0x1.1e943487ca187p-4, -0x1.1e39348ff4197p-4, -0x1.1dd4a418226d6p-4, -0x1.1d66a702e0e1p-4, -0x1.1cef5b9e3e6fep-4, -0x1.1c6ee5a0855bbp-4, -0x1.1be5647cc73e2p-4, -0x1.1b52fb70e3083p-4, -0x1.1ab7cbdf95016p-4, -0x1.1a13f75954b0dp-4, -0x1.1967a12279554p-4, -0x1.18b2eb0a874a7p-4, -0x1.17f5f8a3e0e74p-4, -0x1.1730ec5aa39a1p-4, -0x1.1663e908d26b3p-4, -0x1.158f133109eddp-4, -0x1.14b28c6560d5ep-4, -0x1.13ce78aea644ap-4, -0x1.12e2fbd96edc3p-4, -0x1.11f038f0f1d31p-4, -0x1.10f653feed5e4p-4, -0x1.0ff571889aebfp-4, -0x1.0eedb3e27d5a3p-4, -0x1.0ddf412255cb9p-4, -0x1.0cca3a443573bp-4, -0x1.0baec60f59da1p-4, -0x1.0a8d056c535bcp-4, -0x1.09651f5121397p-4, -0x1.0837349cb9d52p-4, -0x1.07036bcead01dp-4, -0x1.05c9e6e47549ap-4, -0x1.048aca8382441p-4, -0x1.034639f7d9d14p-4, -0x1.01fc591b6cd96p-4, -0x1.00ad4b84eacb6p-4, -0x1.feb266739a711p-5, -0x1.fc006b3ef7559p-5, -0x1.f944e6f727fb3p-5, -0x1.f680238b2edaap-5, -0x1.f3b263ef0fb3p-5, -0x1.f0dbf021accb4p-5, -0x1.edfd0951d45ccp-5, -0x1.eb15f9660b2f6p-5, -0x1.e826fef6370e8p-5, -0x1.e53062847aa01p-5, -0x1.e23262a49b194p-5, -0x1.df2d45846f814p-5, -0x1.dc214ef16e8b7p-5, -0x1.d90ebd8c97ec1p-5, -0x1.d5f5d5fa0679cp-5, -0x1.d2d6d3a40edp-5, -0x1.cfb1fe6a51947p-5, -0x1.cc8793acc131fp-5, -0x1.c957d05fc33fdp-5, -0x1.c622f483029cap-5, -0x1.c2e93fdede6cap-5, -0x1.bfaaea87658d3p-5, -0x1.bc683afe4a6a2p-5, -0x1.b92160af78101p-5, -0x1.b5d6a730a172dp-5, -0x1.b2883cc27a6dep-5, -0x1.af3661592ad4bp-5, -0x1.abe14d70e9feep-5, -0x1.a8893b4fd4edp-5, -0x1.a52e6217b975p-5, -0x1.a1d0f908fe2b6p-5, -0x1.9e713636c1fb3p-5, -0x1.9b0f517de15c9p-5, -0x1.97ab7c7ae8fd1p-5, -0x1.9445f124b0ed2p-5, -0x1.90dede44db38dp-5, -0x1.8d767b8697a84p-5, -0x1.8a0cfc7a3344ap-5, -0x1.86a290c7ea785p-5, -0x1.83376bac0aaa9p-5, -0x1.7fcbbbf30b67cp-5, -0x1.7c5fb0903dcd8p-5, -0x1.78f3756a4297bp-5, -0x1.758738d91f5d3p-5, -0x1.721b25dbe692bp-5, -0x1.6eaf693b80dafp-5, -0x1.6b442f1b37914p-5, -0x1.67d9a45f4767ep-5, -0x1.646ff434001d4p-5, -0x1.61074c9d13e92p-5, -0x1.5d9fd32ccf7c3p-5, -0x1.5a39b370ba3f4p-5, -0x1.56d50fdd5791bp-5, -0x1.53720e22b7514p-5, -0x1.5010ce13d01bep-5, -0x1.4cb17221e58eep-5, -0x1.49541b803f4efp-5, -0x1.45f8ece0ae5edp-5, -0x1.42a00a3d33cffp-5, -0x1.3f499939d60dap-5, -0x1.3bf5bf2664fdcp-5, -0x1.38a4a0a12c63dp-5, -0x1.355660cac5454p-5, -0x1.320b1f054dc51p-5, -0x1.2ec2f5751e422p-5, -0x1.2b7dfe26292d4p-5, -0x1.283c4e696a476p-5, -0x1.24fdfa8028fafp-5, -0x1.21c31962bac09p-5, -0x1.1e8bc159acf5p-5, -0x1.1b580e0e039c6p-5, -0x1.18281bd56b18cp-5, -0x1.14fc0982f061p-5, -0x1.11d3f646fffafp-5, -0x1.0eaffe422ccd4p-5, -0x1.0b903d93f5e63p-5, -0x1.0874c85d8419dp-5, -0x1.055db27cce3e7p-5, -0x1.024b0ae73c69fp-5, -0x1.fe79b86fa6ba2p-6, -0x1.f86667720e8ebp-6, -0x1.f25c3ae9a5aabp-6, -0x1.ec5b420530b0ep-6, -0x1.e663aa53dc2f7p-6, -0x1.e0758941e1721p-6, -0x1.da9106c9a2a0dp-6, -0x1.d4b64601d5976p-6, -0x1.cee5726b34abdp-6, -0x1.c91eb2262cb7cp-6, -0x1.c36230a7aa6efp-6, -0x1.bdb013773c7f8p-6, -0x1.b8088244151b1p-6, -0x1.b26b9ad4923c6p-6, -0x1.acd972e4df3adp-6, -0x1.a752149feb48p-6, -0x1.a1d580e5b479p-6, -0x1.9c63a8f7acccfp-6, -0x1.96fc79d39e6cbp-6, -0x1.919feeb7fc9f3p-6, -0x1.8c4de64ef5ea6p-6, -0x1.8706730c03c4fp-6, -0x1.81c9a8fb7530ap-6, -0x1.7c97b6c797f28p-6, -0x1.7770dddeee92fp-6, -0x1.72556be7a96ebp-6, -0x1.6d45aa4080543p-6, -0x1.6841d0fec35cbp-6, -0x1.6349fa7fbde61p-6, -0x1.5e5e1d54edd0fp-6, -0x1.597e0baef11fap-6, -0x1.54a97ce46917p-6, -0x1.4fe01c3aa02fdp-6, -0x1.4b2198a6db1dbp-6, -0x1.466db654d5dc2p-6, -0x1.41c4585d484dcp-6, -0x1.3d258d146bb5ap-6, -0x1.38918cfb91766p-6, -0x1.3408b79025172p-6, -0x1.2f8b7cde643a9p-6, -0x1.2b1a4aad00e14p-6, -0x1.26b56dad0b601p-6, -0x1.225d0d124e907p-6, -0x1.1e110d75ab943p-6, -0x1.19d12a2225e24p-6, -0x1.159cfe0cee951p-6, -0x1.11741d43140dap-6, -0x1.0d56277c6743dp-6, -0x1.0942d5ed3deb6p-6, -0x1.0539fc442a35fp-6, -0x1.013b88ecd805bp-6, -0x1.fa8f1567a4d86p-7, -0x1.f2bc53df347dap-7, -0x1.eaff558d9a7a1p-7, -0x1.e358c18c6c067p-7, -0x1.dbc9374b85bdap-7, -0x1.d45114c37b86cp-7, -0x1.ccf0638785401p-7, -0x1.c5a6ca3e27b7p-7, -0x1.be73bb6967baep-7, -0x1.b756984899818p-7, -0x1.b04f0e17d49d1p-7, -0x1.a95cfcc3203a5p-7, -0x1.a280782dc90b2p-7, -0x1.9bb98c5ad9fabp-7, -0x1.950809bbf5b9ep-7, -0x1.8e6b6da65f11cp-7, -0x1.87e31b58d8e5bp-7, -0x1.816e6ad983e85p-7, -0x1.7b0d2c014178fp-7, -0x1.74bf6ceb4c992p-7, -0x1.6e85865bc21b5p-7, -0x1.685fc01caf0cfp-7, -0x1.624e23dfe0867p-7, -0x1.5c5088c4cd53ep-7, -0x1.5666c665ea0cp-7, -0x1.5090f82307268p-7, -0x1.4acf8f9ea5decp-7, -0x1.4523319f02946p-7, -0x1.3f8c6ebaf7bbfp-7, -0x1.3a0b5fd5104fep-7, -0x1.349f6e8c0a091p-7, -0x1.2f475c61d05c4p-7, -0x1.2a018bc61ccbfp-7, -0x1.24cc78811da13p-7, -0x1.1fa72c194a1e5p-7, -0x1.1a91537e2f844p-7, -0x1.158b6e01c4dedp-7, -0x1.10960ed12a4d6p-7, -0x1.0bb1c30355ec4p-7, -0x1.06dedc2bc5076p-7, -0x1.021d9f3155449p-7, -0x1.fadcf886fe4fep-8, -0x1.f1a4317dc5056p-8, -0x1.e892370f187afp-8, -0x1.dfa7b31967b41p-8, -0x1.d6e424b55ddf1p-8, -0x1.ce45cee62771p-8, -0x1.c5ca28eda891ep-8, -0x1.bd6e826ee0ee5p-8, -0x1.b5308274a93a8p-8, -0x1.ad0e67fdaa587p-8, -0x1.a507239c67affp-8, -0x1.9d1a4eae58ae4p-8, -0x1.954820ef17515p-8, -0x1.8d91237dd61e7p-8, -0x1.85f679865acc7p-8, -0x1.7e799487bdc06p-8, -0x1.771c1fcbe0bbap-8, -0x1.6fdf8b928bdcfp-8, -0x1.68c4935a5979ep-8, -0x1.61cb1c6db9d0ep-8, -0x1.5af25c16ec82dp-8, -0x1.5438d39011e1dp-8, -0x1.4d9c3d8185d48p-8, -0x1.4719bafc019cfp-8, -0x1.40af24424cfaap-8, -0x1.3a5bba6079a95p-8, -0x1.342023b8fb411p-8, -0x1.2dfdaeb9d475dp-8, -0x1.27f4907300347p-8, -0x1.22040ed62b5a6p-8, -0x1.1c2abad2236acp-8, -0x1.16678176022cep-8, -0x1.10bac190f8598p-8, -0x1.0b267f537beap-8, -0x1.05ad3a91498c3p-8, -0x1.005029fff428fp-8, -0x1.f61ce556b906fp-9, -0x1.ebcc9e8346093p-9, -0x1.e1ad1654f798ep-9, -0x1.d7bd026da71f9p-9, -0x1.cdf9980014fefp-9, -0x1.c45ddae2d30a9p-9, -0x1.bae51ba1e8551p-9, -0x1.b18df28c6246cp-9, -0x1.a85adadfa2db1p-9, -0x1.9f500bbb65dc2p-9, -0x1.967090b7a2acfp-9, -0x1.8dbccdeacb3adp-9, -0x1.853371354d2p-9, -0x1.7cd26448be0c2p-9, -0x1.74971bf3620b7p-9, -0x1.6c7f86e2aa6cfp-9, -0x1.648c7feb29c8bp-9, -0x1.5cc15ec4c2778p-9, -0x1.551f944680cbap-9, -0x1.4da4881fb3b62p-9, -0x1.464d14c86a407p-9, -0x1.3f19a692fde7p-9, -0x1.380c06c813ac5p-9, -0x1.3122883dcac7fp-9, -0x1.2a584fcdecdcbp-9, -0x1.23a8e82c61b61p-9, -0x1.1d12ce898d59ap-9, -0x1.169740088ea44p-9, -0x1.10387a1bc191bp-9, -0x1.09f8c98577a2ep-9, -0x1.03d93ee74229bp-9, -0x1.fbb5a4da147a3p-10, -0x1.effcedfbe3d26p-10, -0x1.e489cd0a3499dp-10, -0x1.d956c948275b5p-10, -0x1.ce5636fdc9ee1p-10, -0x1.c380f9873420cp-10, -0x1.b8deb42e9b29bp-10, -0x1.ae75c2e6a7178p-10, -0x1.a440af554c31p-10, -0x1.9a3c7fb88315cp-10, -0x1.90703ed83d78fp-10, -0x1.86e0e1317061p-10, -0x1.7d8a0f18ce4ffp-10, -0x1.746347cf4c995p-10, -0x1.6b64f074dfccep-10, -0x1.628b1215bd387p-10, -0x1.59d6dd338b5afp-10, -0x1.514c9366bd925p-10, -0x1.48eececde38fp-10, -0x1.40bccedcac7cep-10, -0x1.38b6f4a8bbaa1p-10, -0x1.30e1b05122ac5p-10, -0x1.293fdb7f8290ep-10, -0x1.21ced7bb3571fp-10, -0x1.1a889186a18bdp-10, -0x1.136315c6241acp-10, -0x1.0c596d4251addp-10, -0x1.057353cfd99cp-10, -0x1.fd6967b76a5b8p-11, -0x1.f02c2e3088286p-11, -0x1.e33388b7aa345p-11, -0x1.d68fc40fcf264p-11, -0x1.ca4126cd21232p-11, -0x1.be40ce14ba3fbp-11, -0x1.b28882e3119dp-11, -0x1.a70dd660176a4p-11, -0x1.9bc48041339dfp-11, -0x1.90ac2c7999fb5p-11, -0x1.85d13c327ba62p-11, -0x1.7b383b264e72cp-11, -0x1.70d886eb2d6eep-11, -0x1.66b11fa7048e7p-11, -0x1.5ccbf15edb7c9p-11, -0x1.532a26ac7da58p-11, -0x1.49c213e880092p-11, -0x1.408d0dba9fd8ap-11, -0x1.378f34603a64fp-11, -0x1.2ec8a1336d749p-11, -0x1.262df600bc691p-11, -0x1.1dc2ae238104ap-11, -0x1.158522feeff06p-11, -0x1.0d6f7e3fa5375p-11, -0x1.058f59d6d20e4p-11, -0x1.fbcc808f134e7p-12, -0x1.ecd9be608b26p-12, -0x1.de458aa6488d1p-12, -0x1.d0152a73871b2p-12, -0x1.c244f0f96ca76p-12, -0x1.b4bf3f6d5576bp-12, -0x1.a77727fb88acp-12, -0x1.9a7e670e14f6cp-12, -0x1.8ddd21418d90dp-12, -0x1.818202ead9fd2p-12, -0x1.7572ef3aa7058p-12, -0x1.69bcf9221c36dp-12, -0x1.5e5696682f7d8p-12, -0x1.5333cfb9dc1cfp-12, -0x1.48502fb57cbe3p-12, -0x1.3da959d847cf3p-12, -0x1.334b1668035c2p-12, -0x1.29420dfcea369p-12, -0x1.1f77f535714c3p-12, -0x1.15e1470ace432p-12, -0x1.0c7c26e4a3331p-12, -0x1.0355938cbfd47p-12, -0x1.f4f0f695e6b68p-13, -0x1.e3aaad9c72ffbp-13, -0x1.d2ccabad0d725p-13, -0x1.c25aeeea9f2a1p-13, -0x1.b25b459122979p-13, -0x1.a2d46ab6c8d9p-13, -0x1.93c7494c44589p-13, -0x1.851b016fdac3dp-13, -0x1.76c38bc7fc39cp-13, -0x1.68cf7a1d9a412p-13, -0x1.5b2e195dc6fbfp-13, -0x1.4deb3d5850c06p-13, -0x1.411a478c470a1p-13, -0x1.34a6c5285e18bp-13, -0x1.28819b0a2939ap-13, -0x1.1caa7bdaa8a6bp-13, -0x1.11238c546d4b9p-13, -0x1.05ea2f35207a9p-13, -0x1.f6037435f6582p-14, -0x1.e0fd0820c7dc4p-14, -0x1.cc9d601d23c87p-14, -0x1.b8a62f30056ddp-14, -0x1.a529117107817p-14, -0x1.925f944384feap-14, -0x1.802c62e079a3dp-14, -0x1.6e761e8cdf02fp-14, -0x1.5d3df3009fd79p-14, -0x1.4c8529872c54fp-14, -0x1.3c49a1e23e1e1p-14, -0x1.2c886ce1681fep-14, -0x1.1d41c31b7ac11p-14, -0x1.0e87f0e5e84e8p-14, -0x1.0054e4998e044p-14, -0x1.e50b82736a129p-15, -0x1.ca21e194c91ccp-15, -0x1.aff18ed04dbf5p-15, -0x1.96c4ae9d33f5dp-15, -0x1.7e7d4cea3f88bp-15, -0x1.66ed32897037ap-15, -0x1.500c4080591bfp-15, -0x1.39e3183981666p-15, -0x1.2474749bdf748p-15, -0x1.0fbb9870e7d41p-15, -0x1.f7593cd3c7803p-16, -0x1.d0b0e602b4c7dp-16, -0x1.ab9eb6eb5e364p-16, -0x1.8778a7bb98d84p-16, -0x1.6489d6265d07dp-16, -0x1.4315409cf3665p-16, -0x1.22bbbf4ed7004p-16, -0x1.037a3c9c86373p-16, -0x1.caaaa6bc7ec4dp-17, -0x1.909515f77408fp-17, -0x1.58a63181a5a24p-17, -0x1.22c17e70b235ep-17, -0x1.ddbece4d38d9p-18, -0x1.79c79b68ba9ap-18, -0x1.197a58de53adap-18, -0x1.7b69ae206a3cfp-19, -0x1.98f88924dc1cp-20, -0x1.18813ddee225dp-22, 0x1.01f7bd673bdcdp-20, 0x1.1cc5f2de12848p-19, 0x1.b171075eb5143p-19, 0x1.202ffdd648056p-18, 0x1.64c1c6ef3e213p-18, 0x1.a6610a92b86ecp-18, 0x1.e50c5ff87f41bp-18, 0x1.10657499cbc97p-17, 0x1.2ceab6de5faacp-17, 0x1.48259af22fb1ep-17, 0x1.61e9ec6cf30ep-17, 0x1.7a81ea1560d4ap-17, 0x1.91dca4b2b3737p-17, 0x1.a7ed3cad650a8p-17, 0x1.bcfadc0cfb33fp-17, 0x1.d0c47184d5835p-17, 0x1.e3884db99361cp-17, 0x1.f53f3c79e7ed7p-17, 0x1.02f54316cbdf6p-16, 0x1.0ac9f0a98fba6p-16, 0x1.122026a9be24ap-16, 0x1.1908356c772ap-16, 0x1.1f77a088f9158p-16, 0x1.2571bd30e960cp-16, 0x1.2b08db13a7bafp-16, 0x1.3034d71c3c1fbp-16, 0x1.34e222ce871c5p-16, 0x1.39340f75d4e8bp-16, 0x1.3d36eaad295fdp-16, 0x1.40c5d2fc45761p-16, 0x1.44011f15909f6p-16, 0x1.46ea24f9598b7p-16, 0x1.498287bc99f4cp-16, 0x1.4bc58a24784a2p-16, 0x1.4db8df85e6181p-16, 0x1.4f5f178d9cd0dp-16, 0x1.50bd26ce39ae5p-16, 0x1.51d934737da96p-16, 0x1.52ab907dcd23ep-16, 0x1.5338c6508d3a1p-16, 0x1.538169e28d8a1p-16, 0x1.5391930ae1dccp-16, 0x1.5367415c8842p-16, 0x1.53032a3145428p-16, 0x1.5269c0be85043p-16, 0x1.5197a9179cb28p-16, 0x1.5093661ca9c5cp-16, 0x1.4f5d7bd6ab285p-16, 0x1.4df75f450d955p-16, 0x1.4c664680f179bp-16, 0x1.4aa6741418215p-16, 0x1.48c0a42a6ea0bp-16, 0x1.46b0bb0e3edc1p-16, 0x1.446f88b42b3b3p-16, 0x1.421d1210659dbp-16, 0x1.3fa1345fc9bfbp-16, 0x1.3d0aec45301e3p-16, 0x1.3a3d79e3d0369p-16, 0x1.3753d4f05d1cap-16, 0x1.344ca5fedf283p-16, 0x1.3136632491f1bp-16, 0x1.2e06b13398016p-16, 0x1.2ab774a7d5bf7p-16, 0x1.274f3cb8e8b93p-16, 0x1.23d0886067242p-16, 0x1.203952834734fp-16, 0x1.1c8eb50634cfdp-16, 0x1.18d76399b69efp-16, 0x1.150675025fcap-16, 0x1.1123722ecbe5bp-16, 0x1.0d31b95a75f21p-16, 0x1.092f1364325f3p-16, 0x1.0519de5dfb28cp-16, 0x1.00fd6def940bp-16, 0x1.f9a7bb447f17fp-17, 0x1.f141e7fe9f19fp-17, 0x1.e8bc3d6ea35d4p-17, 0x1.e02363eaaf65fp-17, 0x1.d77a40bfdda68p-17, 0x1.cebbff95b45bap-17, 0x1.c5f228fa1ca14p-17, 0x1.bd165b8611f6ap-17, 0x1.b436a411e412dp-17, 0x1.ab419adc9dc76p-17, 0x1.a246203bdd3e9p-17, 0x1.994158f91d6b4p-17, 0x1.90348ceafacbep-17, 0x1.8725752f6e34ep-17, 0x1.7e141a102e438p-17, 0x1.750691d8ff0b9p-17, 0x1.6bd0eb887b299p-17, 0x1.62ae0953ad8bp-17, 0x1.598d9369fd91p-17, 0x1.506d047f4948fp-17, 0x1.474dcf913ec63p-17, 0x1.3e1f8c14c7995p-17, 0x1.3511af2f93b4ap-17, 0x1.2bfb4baae9675p-17, 0x1.22e760898a511p-17, 0x1.19d4828052de6p-17, 0x1.10cd34a9e5423p-17, 0x1.07cb84a000446p-17, 0x1.fd841e6553c88p-18, 0x1.ebb7b5a817c08p-18, 0x1.d9f2649603f25p-18, 0x1.c82cefd5651f9p-18, 0x1.b677c7658759ap-18, 0x1.a4de9f16c036ap-18, 0x1.9366002b9f42ep-18, 0x1.81e7ecf2b3021p-18, 0x1.70a0767e11ca7p-18, 0x1.5f5be6e55d6d2p-18, 0x1.4e4c8c407d84ap-18, 0x1.3d5604526ff31p-18, 0x1.2c6d7f9b26d3p-18, 0x1.1b8f76b94e55ap-18, 0x1.0adfd79e64b5ep-18, 0x1.f4ad11a761f58p-19, 0x1.d3d1bf6d6c055p-19, 0x1.b32efc2739f51p-19, 0x1.92e558035308dp-19, 0x1.72b833cbad1e2p-19, 0x1.529f18615ec04p-19, 0x1.3344628c64bb3p-19, 0x1.13f100bc1ap-19, 0x1.e9cc7db33790cp-20, 0x1.ac4a5c963b006p-20, 0x1.6f51ee774f883p-20, 0x1.32d056b5fedcfp-20, 0x1.ede580d5b2162p-21, 0x1.77be57beb42ccp-21, 0x1.02a575250f8d2p-21, 0x1.1b0267d1f24b4p-22, 0x1.b1f87939a0f61p-25, -0x1.5a97874997999p-23, -0x1.8e7c384f76211p-22, -0x1.3692a1e29ecffp-21, -0x1.a4cc74947b27bp-21, -0x1.08ea4239ae962p-20, -0x1.3ecca026d512dp-20, -0x1.73c02c6d04069p-20, -0x1.a754a682a05e8p-20, -0x1.dc2b45ad753dfp-20, -0x1.07f1753c48667p-19, -0x1.2163356b296b9p-19, -0x1.3a6823139d078p-19, -0x1.52fdb821b5a5bp-19, -0x1.6b8581024d0ccp-19, -0x1.838d8d460b5d8p-19, -0x1.9b78d4c0614a9p-19, -0x1.b392bbf211fdap-19, -0x1.ca15b62141a6ap-19, -0x1.e0dc67dfff50dp-19, -0x1.f6ea9eefc33c9p-19, -0x1.06c874e92fee9p-18, -0x1.11e3fe09f503bp-18, -0x1.1ca4a1229096dp-18, -0x1.274b33f49d371p-18, -0x1.31cb0d93a0d6dp-18, -0x1.3c071c82bb88bp-18, -0x1.464c4f386dc8ap-18, -0x1.5057ce5a8a361p-18, -0x1.5a38e7b1c2d44p-18, -0x1.63ed6a812ef99p-18, -0x1.6d868f0a2c568p-18, -0x1.76dc40473e4abp-18, -0x1.8034eda72b453p-18, -0x1.89691f078dbe3p-18, -0x1.924f0b1f83c15p-18, -0x1.9b1f8d8bc616bp-18, -0x1.a3cf391607dfcp-18, -0x1.ac4b77462c566p-18, -0x1.b4bac9252fe3dp-18, -0x1.bcdf19c5f05b2p-18, -0x1.c5031a133a9a6p-18, -0x1.cceb58e03ed63p-18, -0x1.d4a66272ae6a9p-18, -0x1.dc785b4c18c06p-18, -0x1.e3e63a122ddb5p-18, -0x1.eb46ea273d594p-18, -0x1.f28ae3047f9eap-18, -0x1.f93f863f345a5p-18, -0x1.003dd5e9c9235p-17, -0x1.03ab5bfc3ea3ep-17, -0x1.0702f60361944p-17, -0x1.0a4fc8dbf3c17p-17, -0x1.0d7e41367c9d7p-17, -0x1.109ed7384d128p-17, -0x1.13b4292ae3a3cp-17, -0x1.16b2cc03c3f9ep-17, -0x1.19b9393e533a6p-17, -0x1.1c80850279637p-17, -0x1.1f4a1222e1a7fp-17, -0x1.2211e53e474fdp-17, -0x1.24c07103ec6aep-17, -0x1.27414bcbef492p-17, -0x1.29ea8f656e80ep-17, -0x1.2c6cb6dbed83cp-17, -0x1.2ed0f7e60ab42p-17, -0x1.3134026fd867fp-17, -0x1.337f9d9a23aa4p-17, -0x1.35c3258e50bd5p-17, -0x1.37fec5ff56d7fp-17, -0x1.3a192f51b1345p-17, -0x1.3c2b3ada42cf2p-17, -0x1.3e2db46ec2296p-17, -0x1.402070f50ee39p-17, -0x1.420ced69ff4efp-17, -0x1.43e55997db557p-17, -0x1.45abb2d8f0408p-17, -0x1.477f6e12eab47p-17, -0x1.491d082254c94p-17, -0x1.4abd47ff519eap-17, -0x1.4c54cfd2c7c2fp-17, -0x1.4dd096caab2cp-17, -0x1.4f419901ae904p-17, -0x1.50b65f35ed4ddp-17, -0x1.5214720951bf3p-17, -0x1.536f230724ff5p-17, -0x1.54aec2bb3f8a9p-17, -0x1.55e1a698d9605p-17, -0x1.570b9a56de2e3p-17, -0x1.582d264109cf7p-17, -0x1.59361038e13b9p-17, -0x1.5a479cc3e275fp-17, -0x1.5b46844ee314cp-17, -0x1.5c24aa08b0a67p-17, -0x1.5cea31f8e7b6dp-17, -0x1.5ddc68404b188p-17, -0x1.5eb3a14363789p-17, -0x1.5f731a0c3f9e6p-17, -0x1.60297e614e546p-17, -0x1.60c9b62986d38p-17, -0x1.6160427daf974p-17, -0x1.61f8e9f4841a6p-17, -0x1.628cb700dea3ep-17, -0x1.630aba5b5b644p-17, -0x1.6371d5407eb2bp-17, -0x1.6424ac77d8bb8p-17, -0x1.6437940e7dd24p-17, }}, 
      {{-0x1.82ae5e7449cdp-10, -0x1.c98ba2cd8d978p-9, -0x1.a7df7ea19b9c6p-8, -0x1.5d7502871dc1p-7, -0x1.092faa9f114dfp-6, -0x1.78fa75a7ddb9ep-6, -0x1.fc321544566fp-6, -0x1.47f11a18a04e7p-5, -0x1.983c44267d4d2p-5, -0x1.ed0debdae7522p-5, -0x1.223b4d9b9d23p-4, -0x1.4e4da54e6cdcap-4, -0x1.79e27f7ce11fap-4, -0x1.a43530ebba687p-4, -0x1.cc9a5e91fc953p-4, -0x1.f280d626000f1p-4, -0x1.0ab89b6626854p-3, -0x1.1a866813b8435p-3, -0x1.2885fc5d15b85p-3, -0x1.349e092b6e2dp-3, -0x1.3ebeb856539e7p-3, -0x1.46e08f0f1cbd1p-3, -0x1.4d035be04c9b7p-3, -0x1.512d2cc4244bdp-3, -0x1.53694adf63b72p-3, -0x1.53c75e5e0593fp-3, -0x1.525a8c1e239c3p-3, -0x1.4f38bdfdc590cp-3, -0x1.4a79ef970289fp-3, -0x1.4437a136e691p-3, -0x1.3c8c4df3550dcp-3, -0x1.3392fc056ce4dp-3, -0x1.2966e029988b9p-3, -0x1.1e230da3d9152p-3, -0x1.11e22e58b58ccp-3, -0x1.04be57b20cf26p-3, -0x1.eda1ae766665fp-4, -0x1.d06428219eee9p-4, -0x1.b1f2e987cbbeep-4, -0x1.927a9c75cf057p-4, -0x1.7225b027aaebdp-4, -0x1.511c44058dce6p-4, -0x1.2f84218294395p-4, -0x1.0d80b8595bbcap-4, -0x1.d6667b01e0f7cp-5, -0x1.9175171451047p-5, -0x1.4c668eb45deebp-5, -0x1.076fe716e5031p-5, -0x1.8583eed676bedp-6, -0x1.fa26401c46c9cp-7, -0x1.d77ca9332bb9cp-8, 0x1.f9b21258c26e9p-11, 0x1.275f2809171ecp-7, 0x1.158a21d3774f5p-6, 0x1.9526dce39a914p-6, 0x1.092abb9fc0ff3p-5, 0x1.4675af8b0a3d3p-5, 0x1.8261a90c2e88dp-5, 0x1.bcde7bd368cbep-5, 0x1.f5de5f658ae88p-5, 0x1.16aad70134afap-4, 0x1.319d705a2bc6ep-4, 0x1.4bc326d250861p-4, 0x1.65190905d60dfp-4, 0x1.7d9cf60686543p-4, 0x1.954d89f52c18bp-4, 0x1.ac2a148393d89p-4, 0x1.c23281cb2a166p-4, 0x1.d76756015d1bap-4, 0x1.ebc99646c3afdp-4, 0x1.ff5ac3d9ec9bcp-4, 0x1.090e6cc5cdaa9p-3, 0x1.12090d037d4dep-3, 0x1.1a9e9e4072aadp-3, 0x1.22d09bc1433afp-3, 0x1.2aa0a45e970cp-3, 0x1.321076cdcbe33p-3, 0x1.3921e9233bd95p-3, 0x1.3fd6ea120778ep-3, 0x1.46317ba49ec64p-3, 0x1.4c33aeef28598p-3, 0x1.51dfa273098c9p-3, 0x1.57377f20e5e72p-3, 0x1.5c3d754fe0e18p-3, 0x1.60f3bc5fb8cf5p-3, 0x1.655c8e782bc6dp-3, 0x1.697a260185f7cp-3, 0x1.6d4ebd52c9601p-3, 0x1.70dc93364315bp-3, 0x1.7425dabaf48f9p-3, 0x1.772cc5d477554p-3, 0x1.79f3848d4345p-3, 0x1.7c7c3c9b84d61p-3, 0x1.7ec90d442e969p-3, 0x1.80dc0d632d566p-3, 0x1.82b74c189d41bp-3, 0x1.845cce1f2111cp-3, 0x1.85ce8eb5df717p-3, 0x1.870e7f42b4c7p-3, 0x1.881e85f9e6d4cp-3, 0x1.89007e02e181bp-3, 0x1.89b636802a183p-3, 0x1.8a417484eaf6dp-3, 0x1.8aa3f084a9c9cp-3, 0x1.8adf5842673e7p-3, 0x1.8af54db7613b6p-3, 0x1.8ae764fb4c84dp-3, 0x1.8ab7288a65882p-3, 0x1.8a6616efb320dp-3, 0x1.89f5a01d13d45p-3, 0x1.8967306de8846p-3, 0x1.88bc1e9f8a22fp-3, 0x1.87f5bc388221ap-3, 0x1.87154fb3e0cfdp-3, 0x1.861c1336076a7p-3, 0x1.850b344a71287p-3, 0x1.83e3d97ef8bf8p-3, 0x1.82a71b95e0112p-3, 0x1.81560bf0b3324p-3, 0x1.7ff1b199a77b5p-3, 0x1.7e7b0871c6ac2p-3, 0x1.7cf30420955f3p-3, 0x1.7b5a8ebc5b522p-3, 0x1.79b289132e224p-3, 0x1.77fbc99033209p-3, 0x1.763723bfefa15p-3, 0x1.74655d0a39a21p-3, 0x1.728734d59d20cp-3, 0x1.709d62d75d788p-3, 0x1.6ea898481d904p-3, 0x1.6ca97dd4b78e9p-3, 0x1.6aa0b4cce8c13p-3, 0x1.688ed83669c59p-3, 0x1.66747d8d9c62dp-3, 0x1.6452326c0c03ap-3, 0x1.62287e6b2defep-3, 0x1.5ff7e53b1619fp-3, 0x1.5dc0e1334b62bp-3, 0x1.5b83e9d657fc3p-3, 0x1.594172dec62a5p-3, 0x1.56f9e58ce180cp-3, 0x1.54adaba516128p-3, 0x1.525d289600709p-3, 0x1.5008b9cdf789cp-3, 0x1.4db0ba0ea0cbbp-3, 0x1.4b557fc2d3635p-3, 0x1.48f75be158d54p-3, 0x1.46969d5dc05acp-3, 0x1.44338ed6f8989p-3, 0x1.41ce775aef4bep-3, 0x1.3f6799fbe40fap-3, 0x1.3cff37fa62e39p-3, 0x1.3a958fa3c6735p-3, 0x1.382ada3bf927fp-3, 0x1.35bf4f1738fa3p-3, 0x1.335324a47aad9p-3, 0x1.30e68d06c055dp-3, 0x1.2e79b78ddc41ep-3, 0x1.2c0cd2aa423b7p-3, 0x1.29a00a0c305c9p-3, 0x1.273386c47cb11p-3, 0x1.24c7700e05303p-3, 0x1.225beb1f0947cp-3, 0x1.1ff11ba831044p-3, 0x1.1d87243dbac95p-3, 0x1.1b1e24853af9ap-3, 0x1.18b63b87489e6p-3, 0x1.164f864e7cfbfp-3, 0x1.13ea20858fab6p-3, 0x1.118623206a13fp-3, 0x1.0f23a9397de49p-3, 0x1.0cc2c9ab6336fp-3, 0x1.0a639b343efa9p-3, 0x1.080632c19cdeap-3, 0x1.05aaa652decb2p-3, 0x1.0351080b82ab2p-3, 0x1.00f96ac7663f4p-3, 0x1.fd47c0c1cbafap-4, 0x1.f8a0f35364b06p-4, 0x1.f3fe899c3eafp-4, 0x1.ef60a65c86be3p-4, 0x1.eac767681073ep-4, 0x1.e632e30e55699p-4, 0x1.e1a3374e825b9p-4, 0x1.dd187b407738cp-4, 0x1.d892c79d8c777p-4, 0x1.d412327e3ae81p-4, 0x1.cf96d1458e398p-4, 0x1.cb20b8161ffb5p-4, 0x1.c6affbc22a169p-4, 0x1.c244addd6254cp-4, 0x1.bddedee7d6f62p-4, 0x1.b97ea134778abp-4, 0x1.b5240686977c4p-4, 0x1.b0cf1c0fba6bdp-4, 0x1.ac7feef27c3bfp-4, 0x1.a8368f4453ef5p-4, 0x1.a3f30b1a42538p-4, 0x1.9fb56d481d072p-4, 0x1.9b7dc2552545p-4, 0x1.974c1533ab285p-4, 0x1.9320718df7e54p-4, 0x1.8efae174f781bp-4, 0x1.8adb6f0e6ae8cp-4, 0x1.86c223575e1edp-4, 0x1.82af07d7653e7p-4, 0x1.7ea224ca0cbf3p-4, 0x1.7a9b8286ea011p-4, 0x1.769b28985ad88p-4, 0x1.72a11e00be2a5p-4, 0x1.6ead6a08a0e05p-4, 0x1.6ac012d12be18p-4, 0x1.66d920ed2893p-4, 0x1.62f898ffe041ap-4, 0x1.5f1e7bc9e4ce7p-4, 0x1.5b4ad7f8e639bp-4, 0x1.577da9231e1dp-4, 0x1.53b6fa28363bep-4, 0x1.4ff6cd1ef5549p-4, 0x1.4c3d260ed34dp-4, 0x1.488a09a2bcfe2p-4, 0x1.44dd7a68ab25dp-4, 0x1.41377b538b306p-4, 0x1.3d98102d1dd2ep-4, 0x1.39ff3c34700bp-4, 0x1.366d0168d59bcp-4, 0x1.32e161e12ae7p-4, 0x1.2f5c5f742bce7p-4, 0x1.2bddfc3d61d9dp-4, 0x1.2866397cb1e4bp-4, 0x1.24f5199423002p-4, 0x1.218a9c2133a76p-4, 0x1.1e26c364e6eep-4, 0x1.1ac98eab56f2ep-4, 0x1.1772ff2325c33p-4, 0x1.1423157716e5ep-4, 0x1.10d9d0a7f47ebp-4, 0x1.0d9730dd9de42p-4, 0x1.0a5b37bfe6e4ep-4, 0x1.0725e0bbe82e6p-4, 0x1.03f72e693c0ap-4, 0x1.00cf1d4cc9c6fp-4, 0x1.fb5b5c5008344p-5, 0x1.f525bf1d032c9p-5, 0x1.eefd5de39005ap-5, 0x1.e8e23725f5525p-5, 0x1.e2d4425ef5fap-5, 0x1.dcd384d04e1e5p-5, 0x1.d6dfef3a1db69p-5, 0x1.d0f982150ee14p-5, 0x1.cb203694ba659p-5, 0x1.c55407839fe4cp-5, 0x1.bf94ef9f4c47bp-5, 0x1.b9e2e72128d09p-5, 0x1.b43de5cb01cbcp-5, 0x1.aea5e9c8955d4p-5, 0x1.a91ae6b6eaf71p-5, 0x1.a39cd6887a064p-5, 0x1.9e2bb4720af36p-5, 0x1.98c76cb746696p-5, 0x1.9370052699b98p-5, 0x1.8e2569ff52908p-5, 0x1.88e7977104bap-5, 0x1.83b681e947969p-5, 0x1.7e921e8e2f36ap-5, 0x1.797a64cc2433ep-5, 0x1.746f4834762e6p-5, 0x1.6f70be90ecf78p-5, 0x1.6a7ebd1df1073p-5, 0x1.659939063c035p-5, 0x1.60c0252c22ea4p-5, 0x1.5bf3732ea9408p-5, 0x1.5733196d76b21p-5, 0x1.527f0b3d6327ap-5, 0x1.4dd73c3814e4p-5, 0x1.493b9e6011421p-5, 0x1.44ac22f5fd7b4p-5, 0x1.4028bf4c06e1cp-5, 0x1.3bb161f8aa54ap-5, 0x1.3745feb2cadc2p-5, 0x1.32e686218a287p-5, 0x1.2e92eafd1a64cp-5, 0x1.2a4b1d313cfe2p-5, 0x1.260f0e1bfee04p-5, 0x1.21dead8c82acfp-5, 0x1.1db9ed81eacdcp-5, 0x1.19a0bdb9abc66p-5, 0x1.15930d15b97ecp-5, 0x1.1190cd02e3afcp-5, 0x1.0d99ea8b6f3fdp-5, 0x1.09ae5846d92cep-5, 0x1.05ce030b5d35ap-5, 0x1.01f8dc0165384p-5, 0x1.fc5da175a1887p-6, 0x1.f4dfa1cfb7419p-6, 0x1.ed77921abc22cp-6, 0x1.e62555f7b89f3p-6, 0x1.dee8c5603471ap-6, 0x1.d7c1bb537632ep-6, 0x1.d0b0159b13843p-6, 0x1.c9b3ae569221cp-6, 0x1.c2cc693e7618ep-6, 0x1.bbfa166f5af06p-6, 0x1.b53c9509a48e5p-6, 0x1.ae93c11f64797p-6, 0x1.a7ff764ab3143p-6, 0x1.a17f81facbe0ap-6, 0x1.9b13dde05b89ap-6, 0x1.94bc3a235ce8cp-6, 0x1.8e7898f313893p-6, 0x1.8848aae007b91p-6, 0x1.822c6c76a4a93p-6, 0x1.7c23a68dc443p-6, 0x1.762e37310d487p-6, 0x1.704bf1ac1d2bdp-6, 0x1.6a7cb24f2415cp-6, 0x1.64c0539626d7bp-6, 0x1.5f16ace8a0261p-6, 0x1.597f94b44e97dp-6, 0x1.53fae77a65c91p-6, 0x1.4e88760ae1c8ep-6, 0x1.492824ab50242p-6, 0x1.43d9c4416573ap-6, 0x1.3e9d2a81637a2p-6, 0x1.397236fd3b71cp-6, 0x1.3458bafaf1c02p-6, 0x1.2f5092b070b5ep-6, 0x1.2a599464bca94p-6, 0x1.25739a2d63106p-6, 0x1.209e7ac8a6ebcp-6, 0x1.1bda0e797b741p-6, 0x1.17262d6fac96cp-6, 0x1.1282b00e7222bp-6, 0x1.0def6f3f06124p-6, 0x1.096c4463d610dp-6, 0x1.04f902c06463ep-6, 0x1.00958aae15d52p-6, 0x1.f8835df6d9d3p-7, 0x1.effa92a1004a6p-7, 0x1.e7905df8f0bebp-7, 0x1.df4480ff9a98bp-7, 0x1.d7169ff74d615p-7, 0x1.cf0672afaf9cap-7, 0x1.c713a5052de7fp-7, 0x1.bf3df66a3fbb9p-7, 0x1.b7850e1505573p-7, 0x1.afe8a6400e1a4p-7, 0x1.a86872f9de975p-7, 0x1.a1041c74f601bp-7, 0x1.99bb56c6e7fdap-7, 0x1.928de796243fap-7, 0x1.8b7b6f16d8addp-7, 0x1.8483a590e9e6bp-7, 0x1.7da6489e72ebap-7, 0x1.76e3022a2be35p-7, 0x1.70399a82ae564p-7, 0x1.69a9b30ee7765p-7, 0x1.63330f085f3c3p-7, 0x1.5cd56359d0093p-7, 0x1.56905cd206d2bp-7, 0x1.5063c32228816p-7, 0x1.4a4f4110e7eedp-7, 0x1.445290c8eea1dp-7, 0x1.3e6d6a799a381p-7, 0x1.389f82a9fc76ep-7, 0x1.32e89e075c2b3p-7, 0x1.2d486e35d0c19p-7, 0x1.27bea6e2b6d35p-7, 0x1.224b361265aa1p-7, 0x1.1ced8a8ac0b57p-7, 0x1.17a58f4d4580ep-7, 0x1.1272eefaf757fp-7, 0x1.0d557e15881f4p-7, 0x1.084cd4ad81a0ep-7, 0x1.0358c2561f9fep-7, 0x1.fcf1f651518cap-8, 0x1.f35aa384bf8b2p-8, 0x1.e9eae7883f5bdp-8, 0x1.e0a24e417b031p-8, 0x1.d7805e825b0ap-8, 0x1.ce8495049b06dp-8, 0x1.c5ae6437ed492p-8, 0x1.bcfd5b5a92daap-8, 0x1.b4711a267d7ebp-8, 0x1.ac08c1f844a5dp-8, 0x1.a3c45afabb288p-8, 0x1.9ba318b07933cp-8, 0x1.93a49ad4b9de4p-8, 0x1.8bc8632311475p-8, 0x1.840dfd5d542e2p-8, 0x1.7c74f296cc17ep-8, 0x1.74fccbf143c17p-8, 0x1.6da5340821887p-8, 0x1.666da547a10c3p-8, 0x1.5f55a3ec9ebb3p-8, 0x1.585cc8a6d7469p-8, 0x1.5182a4e9b463ep-8, 0x1.4ac6c104543c9p-8, 0x1.4428b48d74eadp-8, 0x1.3da7f89a872ap-8, 0x1.374441552b98cp-8, 0x1.30fd12a4dc24fp-8, 0x1.2ad224d7ec0e1p-8, 0x1.24c2e40345e69p-8, 0x1.1ecf27097a6cbp-8, 0x1.18f65f3c6e2d2p-8, 0x1.13384c5533d29p-8, 0x1.0d945f433d7dp-8, 0x1.080a5535629afp-8, 0x1.0299bb003923dp-8, 0x1.fa844700b7c9fp-9, 0x1.f00654b0cc693p-9, 0x1.e5b8f7612cb71p-9, 0x1.db9b62be73c13p-9, 0x1.d1acbd018c73dp-9, 0x1.c7eca9edacf66p-9, 0x1.be5a270a65189p-9, 0x1.b4f4aa04d6e12p-9, 0x1.abbb882852cdbp-9, 0x1.a2ae28248ce2cp-9, 0x1.99cbc836dfacap-9, 0x1.9113e848dd306p-9, 0x1.8885b6068fc42p-9, 0x1.802092c387999p-9, 0x1.77e3ab7b83e44p-9, 0x1.6fcef8fc09b47p-9, 0x1.67e1131909219p-9, 0x1.60198f23319ccp-9, 0x1.5877d70154f67p-9, 0x1.50fb4d6fd0d3dp-9, 0x1.49a33e5f00571p-9, 0x1.426f33d234fa8p-9, 0x1.3b5e57e6a6962p-9, 0x1.34707310dc75p-9, 0x1.2da4a7aa12398p-9, 0x1.26fac326d748ap-9, 0x1.20723ad00f062p-9, 0x1.1a0a5c4e2bc0ep-9, 0x1.13c2b1f5b5413p-9, 0x1.0d9aa2f0f01f9p-9, 0x1.0791cf9ddcb8fp-9, 0x1.01a782cc3dc29p-9, 0x1.f7b65cb916fbp-10, 0x1.ec58de1d5f919p-10, 0x1.e135366889fa8p-10, 0x1.d64a64fbc62ebp-10, 0x1.cb97559787642p-10, 0x1.c11af4fe417b1p-10, 0x1.b6d456096306ap-10, 0x1.acc28457525a2p-10, 0x1.a2e4688d53766p-10, 0x1.993aabbc12fcep-10, 0x1.8fc2b7641ab03p-10, 0x1.867cb4449b314p-10, 0x1.7d67ab88806f3p-10, 0x1.7482a8605963ap-10, 0x1.6bccb86916389p-10, 0x1.6344fa2e88d37p-10, 0x1.5aeabd3034667p-10, 0x1.52bd066775d5dp-10, 0x1.4abae3e8d4c42p-10, 0x1.42e39c55a1ff1p-10, 0x1.3b365a6b0a595p-10, 0x1.33b249c25b103p-10, 0x1.2c5693a09fc01p-10, 0x1.2522776a1d4d7p-10, 0x1.1e154cd356cfdp-10, 0x1.172e246c5752ap-10, 0x1.106ca3a12e5b9p-10, 0x1.09d032010d19bp-10, 0x1.03585a50453b5p-10, 0x1.fa08efa2257fap-11, 0x1.eda7bfbf69b7bp-11, 0x1.e18b62f9b5f68p-11, 0x1.d5b256831525p-11, 0x1.ca1b4b626ce7cp-11, 0x1.bec4f303e274ap-11, 0x1.b3ae047863a78p-11, 0x1.a8d58b09098c5p-11, 0x1.9e38cbd0f1f61p-11, 0x1.93d9aee689b72p-11, 0x1.89b47f9ec479dp-11, 0x1.7fc8a034f588cp-11, 0x1.7615db9e73bdap-11, 0x1.6c98e18737f04p-11, 0x1.6352ecbe14c77p-11, 0x1.5a422118c1679p-11, 0x1.5165de6830339p-11, 0x1.48bcb942ac842p-11, 0x1.40465bb34fb6ap-11, 0x1.3801f031d434cp-11, 0x1.2fedb20fd6a2fp-11, 0x1.28085a37e1326p-11, 0x1.205235b0c6bb5p-11, 0x1.18c86e12805b6p-11, 0x1.116b80241fbb8p-11, 0x1.0a39e2df318b7p-11, 0x1.03329d23658bbp-11, 0x1.f8ab64ec2dae7p-12, 0x1.eb42d410b2d62p-12, 0x1.de28dc0ee3f43p-12, 0x1.d15e5eab6c01ap-12, 0x1.c4e1336517af6p-12, 0x1.b8af033e1da3fp-12, 0x1.acc759de491fbp-12, 0x1.a127d02126857p-12, 0x1.95cfe72759f6dp-12, 0x1.8abd61d1ff3f9p-12, 0x1.7fefb54c00146p-12, 0x1.7563b3f9a19b4p-12, 0x1.6b1831d153fbp-12, 0x1.610e12ca2aa6dp-12, 0x1.57415b5f16b94p-12, 0x1.4db057d0cf50fp-12, 0x1.445be1b2ca7b6p-12, 0x1.3b426a55386bcp-12, 0x1.32623e1832acbp-12, 0x1.29b913e37b525p-12, 0x1.21469338b5a2fp-12, 0x1.190a092fff453p-12, 0x1.1101065bb5485p-12, 0x1.092c97a288cf9p-12, 0x1.0187d348bf3b7p-12, 0x1.f42c25c6877a8p-13, 0x1.e5a9992aff3ep-13, 0x1.d784a710c6b49p-13, 0x1.c9bdc270265bbp-13, 0x1.bc4f9c3483907p-13, 0x1.af375fe509e9ep-13, 0x1.a273e7e7640e5p-13, 0x1.9604f0ad479e3p-13, 0x1.89e4c05728806p-13, 0x1.7e1c5f54b6392p-13, 0x1.72a0eb2b85409p-13, 0x1.6770935274538p-13, 0x1.5c8b6d0eee8f7p-13, 0x1.51ef22ac46256p-13, 0x1.47994de1d130fp-13, 0x1.3d88d790c0c2dp-13, 0x1.33bc79b9b41f7p-13, 0x1.2a3361418c22fp-13, 0x1.20eb723d3830ep-13, 0x1.17e2d00916b93p-13, 0x1.0f18bfe5334dap-13, 0x1.068b292e602c4p-13, 0x1.fc714081c14fp-14, 0x1.ec46f032c549fp-14, 0x1.dc8a535f0191dp-14, 0x1.cd3a9808035bfp-14, 0x1.be560933f56a9p-14, 0x1.afd2406e9979ep-14, 0x1.a1c544fb295b6p-14, 0x1.9412e3a03dc8cp-14, 0x1.86c5ac4720882p-14, 0x1.79d8b2e6d462ap-14, 0x1.6d48174b37ad6p-14, 0x1.6111efab03674p-14, 0x1.55368d486242fp-14, 0x1.49b06f272a61ep-14, 0x1.3e7d6f2b57955p-14, 0x1.33a04f648dc8cp-14, 0x1.29109df6d0f38p-14, 0x1.1ece8a0b9b99bp-14, 0x1.14d85550a31ep-14, 0x1.0b2f0556fa029p-14, 0x1.01ce7088dc963p-14, 0x1.f16b14ad4713cp-15, 0x1.dfc3cc9085b32p-15, 0x1.ceab8d6aa4f2dp-15, 0x1.be0bd5d772427p-15, 0x1.ade5d1562d5edp-15, 0x1.9e41b48b7cd29p-15, 0x1.8f16f6a6f06e5p-15, 0x1.806693b0ffb2fp-15, 0x1.722cd43df01fbp-15, 0x1.645fd4551ac2cp-15, 0x1.56ffbcb1a05bbp-15, 0x1.4a0b83bb592c1p-15, 0x1.3d7fbd5ce6dc6p-15, 0x1.3158bdb7032d2p-15, 0x1.259b37719ca66p-15, 0x1.1a2791ef07b62p-15, 0x1.0f2f7c60479dcp-15, 0x1.0484ac73332fap-15, 0x1.f466613c978b6p-16, 0x1.e0718e5031599p-16, 0x1.cd215b49f3703p-16, 0x1.ba708249663bep-16, 0x1.a86877565ff19p-16, 0x1.96f8fffb28b96p-16, 0x1.860d1d715643bp-16, 0x1.75d41ac89805p-16, 0x1.66225106dbb07p-16, 0x1.56ef811f7883dp-16, 0x1.484067c63fdfep-16, 0x1.3a1f4a39af349p-16, 0x1.2c7eb465ff3adp-16, 0x1.1f51fd5581779p-16, 0x1.12a3caed4d6cdp-16, 0x1.0669b810ca278p-16, 0x1.f53613e18ca97p-17, 0x1.de7ffff176a0bp-17, 0x1.c8a791a0efa4fp-17, 0x1.b393ad9e4ef5dp-17, 0x1.9f5dd54df52fdp-17, 0x1.8bdf6d68f5149p-17, 0x1.791ec8b3f46bap-17, 0x1.6720efc914cdp-17, 0x1.55b7f13f6640ep-17, 0x1.451d4548ee87dp-17, 0x1.352256e60ef4fp-17, 0x1.25e1d90e6c62bp-17, 0x1.17484dd90e8edp-17, 0x1.08faea8eb8e39p-17, 0x1.f6f19b6f72611p-18, 0x1.dd06ea75e12ebp-18, 0x1.c43d6a8c21053p-18, 0x1.ac7c698039687p-18, 0x1.95c9a9d92461dp-18, 0x1.801b7007c367p-18, 0x1.6b64bcaf27b3fp-18, 0x1.5797b4b4ed1bp-18, 0x1.448961209e85ep-18, 0x1.32a4c674a217ep-18, 0x1.21a77d2c502f6p-18, 0x1.11428c69ffa97p-18, 0x1.01be868f11bf1p-18, 0x1.e62a9ae20f5f4p-19, 0x1.ca334a328d508p-19, 0x1.af2d08f373cf3p-19, 0x1.968333e6d6ef3p-19, 0x1.7ed00d4dcf24ep-19, 0x1.68a51e32d2adbp-19, 0x1.530329b7fa0eap-19, 0x1.3f54d4998f5bcp-19, 0x1.2c7cee0c06352p-19, 0x1.1ac62e7af3a0fp-19, 0x1.0a5b9c603c362p-19, 0x1.f5747da61521ap-20, 0x1.d8d759be826c6p-20, 0x1.be2018046f324p-20, 0x1.a5126f9c73427p-20, 0x1.8ddafb600f78ep-20, 0x1.7855efdacd4f3p-20, 0x1.643f7e839e962p-20, 0x1.5233f49520b7cp-20, 0x1.41a9a0447dc2fp-20, 0x1.321a42b97a009p-20, 0x1.25adc0be1d1e2p-20, 0x1.191aed934b71dp-20, 0x1.0e3feeb39623p-20, 0x1.0493fe8de9fdp-20, 0x1.f83ced2907245p-21, 0x1.eaa923eead28ep-21, 0x1.dec02f6c312d8p-21, 0x1.d4b0e9b0dd1d7p-21, 0x1.cd2d4385811c2p-21, 0x1.c727bc758f25p-21, 0x1.c3b1d7779f35dp-21, 0x1.c1e3155858212p-21, 0x1.bfe2a4a1238e1p-21, 0x1.c345a75c5178fp-21, 0x1.c61bee0b3b329p-21, 0x1.ca66cffc1afcp-21, 0x1.d042eb4b73515p-21, 0x1.d8194ed71f98ep-21, 0x1.e0ad25d8132fap-21, 0x1.ea3f64614a51ep-21, 0x1.f3aabcd9e4ce5p-21, 0x1.00f6283d7d518p-20, 0x1.0829f47b048p-20, 0x1.0ee526f950a9bp-20, 0x1.16af99df20f6ap-20, 0x1.1e78921fe0c3bp-20, 0x1.25b980233faecp-20, 0x1.2fb4e518a1585p-20, 0x1.39485bc7d0a99p-20, 0x1.42c4182fbea41p-20, 0x1.4cb14504c3027p-20, 0x1.57583aaf0acccp-20, 0x1.61d61deb90a0cp-20, 0x1.6cb1f8604fe0bp-20, 0x1.77001ef19d55dp-20, 0x1.82690797fb669p-20, 0x1.8deb934d05b41p-20, 0x1.999d017159a8p-20, 0x1.a5898bd4131aap-20, 0x1.b14d70708e627p-20, 0x1.bd6b8207277c8p-20, 0x1.c949fde5b073ep-20, 0x1.d56a83a13aebp-20, 0x1.e252fe964944ap-20, 0x1.ee4a7daa1ccb4p-20, 0x1.fb37a8b602084p-20, 0x1.03bd6d52d650ep-19, 0x1.0a2293f2eb32p-19, 0x1.1060b0649bf09p-19, 0x1.16994436b79c4p-19, 0x1.1cfe26bb927b9p-19, 0x1.23529556454d8p-19, 0x1.299de5f46edcp-19, 0x1.2fe0d6c75ef85p-19, 0x1.361ef38747142p-19, 0x1.3c5e17ae29b49p-19, 0x1.428b9a8a0c858p-19, 0x1.48c0dafb2e46cp-19, 0x1.4edf21a67237cp-19, 0x1.54f7ed68470f1p-19, 0x1.5b26eb3671ca3p-19, 0x1.60dee903b21a9p-19, 0x1.670bb55df09dp-19, 0x1.6cf5ba6dd72f6p-19, 0x1.72d1cff7bdd1ap-19, 0x1.78d982a7e8bbbp-19, 0x1.7e5bbe2aeddc2p-19, 0x1.8438dac1d9679p-19, 0x1.894b66143cc98p-19, 0x1.8f49be0021f1cp-19, 0x1.9500b57bc2fccp-19, 0x1.9ac0a46be40d2p-19, 0x1.9fa736ac5935fp-19, 0x1.a48e3158e2af9p-19, 0x1.a9c82512a925ep-19, 0x1.aeef064927ceep-19, 0x1.b3d91074067f6p-19, 0x1.b8d59126ca8d5p-19, 0x1.bdf1ad04e779p-19, 0x1.c265e4f3bdedp-19, 0x1.c6f8dbb4be1cep-19, 0x1.cba0082ea32f4p-19, 0x1.d0238378f5857p-19, 0x1.d4a391810ccf9p-19, 0x1.d935b34e40834p-19, 0x1.dd6db3362309ap-19, 0x1.e1965edaebbc3p-19, 0x1.e55bb04848eedp-19, 0x1.e958cfb4665f9p-19, 0x1.ed68370e6c37ep-19, 0x1.f11c0d993556fp-19, 0x1.f4c2017464793p-19, 0x1.f8642e67bf619p-19, 0x1.fbe5831b4641ep-19, 0x1.ff54a8c798399p-19, 0x1.01590207c6166p-18, 0x1.02f737d8d6ba9p-18, 0x1.048a27be1c55fp-18, 0x1.0612201eb1684p-18, 0x1.078f0cdd5bebp-18, 0x1.090045df4ca9bp-18, 0x1.0a5337e7c4185p-18, 0x1.0bb0cebb8c7bcp-18, 0x1.0d154c9502d9p-18, 0x1.0e4c0c616feb4p-18, 0x1.0f821e2931465p-18, 0x1.10a927818ad77p-18, 0x1.11e180ead8fecp-18, 0x1.12dbb16d70e5cp-18, 0x1.13dd74f15afc3p-18, 0x1.14d0a22f1ee8cp-18, 0x1.15da619e9970ep-18, 0x1.16bf040446764p-18, 0x1.177b0941b3208p-18, 0x1.189315a3ae694p-18, 0x1.191aca7432b4cp-18, 0x1.19e2a9df42fe2p-18, 0x1.1a9c27b18d634p-18, 0x1.1b261f497d81bp-18, 0x1.1bd610df38373p-18, 0x1.1c55db15a5b8p-18, 0x1.1cf06912c9bb8p-18, 0x1.1d6420bc93d66p-18, 0x1.1dda29785b21ep-18, 0x1.1e216aef58409p-18, 0x1.1e7db54d046fdp-18, 0x1.1ec125b606dcbp-18, 0x1.1f331bbf0b307p-18, 0x1.1f756f7940efp-18, 0x1.1f9d7e3e2a1f4p-18, 0x1.1fc3c6c338396p-18, 0x1.1ff39870e44eap-18, 0x1.1ff7b85c7dc8ap-18, 0x1.201c111f1c0a5p-18, 0x1.201a04296a199p-18, 0x1.200ec6335640bp-18, 0x1.1ffe0713abf42p-18, 0x1.1feb441ec8d4fp-18, 0x1.1fd08f0878f8dp-18, 0x1.1fac970d5bbep-18, 0x1.1f823241aa849p-18, 0x1.1f4bc40f3513dp-18, 0x1.1f13173c70724p-18, 0x1.1ead3f75629b7p-18, 0x1.1e8840c0e43c8p-18, 0x1.1e1dba8716027p-18, 0x1.1dbff2a70bba9p-18, 0x1.1d5b75f772322p-18, 0x1.1ceca3784afdep-18, 0x1.1c73b627c0a1ep-18, 0x1.1bf5d1cd557bp-18, 0x1.1b7f14728ebf5p-18, 0x1.1ae07f9b8649fp-18, 0x1.1a280fc564ebfp-18, 0x1.19c6b54dabc54p-18, 0x1.192bb18a976c5p-18, 0x1.188b8a470974ap-18, 0x1.17dee1becfc49p-18, 0x1.171da3831a62bp-18, 0x1.16659c51261fdp-18, 0x1.159fc6e806de2p-18, 0x1.14e6a60977641p-18, 0x1.145d3dc8a863p-18, 0x1.13400b9dc773fp-18, 0x1.12670112525dfp-18, 0x1.117b54e4febe2p-18, 0x1.109f410b5894fp-18, 0x1.0fdb6573da0bbp-18, 0x1.0ee7e2f39e8f6p-18, 0x1.0dedb6e45188cp-18, 0x1.0cfa97f82d50ep-18, 0x1.0be6c744114dap-18, 0x1.0af2a016589f2p-18, 0x1.09ef04e454a51p-18, 0x1.08dcc2437e9c2p-18, 0x1.07d9a7556897cp-18, 0x1.06d15d2737b18p-18, 0x1.0596911df201ap-18, 0x1.0498fc2a9cd05p-18, 0x1.0387388661d3cp-18, 0x1.025044e90112ep-18, 0x1.012526f91c089p-18, 0x1.ffe9cb937b8e1p-19, 0x1.fdaa89bf15837p-19, 0x1.fb371f5490b65p-19, 0x1.f892c1160257dp-19, 0x1.f63f91fd61aaap-19, 0x1.f3acb5d0dd84p-19, 0x1.f12726e17d2c1p-19, 0x1.eeb66e273ec31p-19, 0x1.ec1899457f81ap-19, 0x1.e9819f21bb754p-19, 0x1.e6f3146a89187p-19, 0x1.e426d34efbcb6p-19, 0x1.e17c7c791d03bp-19, 0x1.dee94d7ca2ce8p-19, 0x1.dc180847ba58dp-19, 0x1.d997ef73c9861p-19, 0x1.d6cc83cd9edfp-19, 0x1.d3d492ff4f5f5p-19, 0x1.d12577a122dbbp-19, 0x1.ce556b9c35814p-19, 0x1.cba4572e90bbep-19, 0x1.c8a29f1545902p-19, 0x1.c5b832fc35179p-19, 0x1.c2f08afacff5cp-19, 0x1.c014d09b03fccp-19, 0x1.bd0b39b136f49p-19, 0x1.ba4035da75f03p-19, 0x1.b7509e3a7e74dp-19, 0x1.b443c0064a7f4p-19, 0x1.b158175ab5deap-19, 0x1.ae595a9cf325ap-19, 0x1.ab6c764bfd71dp-19, 0x1.a8978cf4275cap-19, 0x1.a56be586003bdp-19, 0x1.a27b9e2322b0ep-19, 0x1.9f6c4c9148736p-19, 0x1.9c537242ceffbp-19, 0x1.9958f46ecac45p-19, 0x1.963cf3c0c1975p-19, 0x1.9332dca53d972p-19, 0x1.9056d167941a5p-19, 0x1.8d14302efb377p-19, 0x1.8a0d436d14e19p-19, 0x1.87032803907b7p-19, 0x1.83c0f10375621p-19, 0x1.80bd6fe623fbep-19, 0x1.7da849e1a32cfp-19, 0x1.7a982820d1d5dp-19, 0x1.779439bef2d83p-19, 0x1.7473dc7c92ae5p-19, 0x1.714b65bd5c743p-19, 0x1.6e285090f3b24p-19, 0x1.6b121d4e503aep-19, 0x1.67f2cb2260affp-19, 0x1.64d43ef53833ap-19, 0x1.61b61e2487224p-19, 0x1.5ea06064997a3p-19, 0x1.5b7b67501c264p-19, 0x1.5855157b87f04p-19, 0x1.555994c3bd0c6p-19, 0x1.5237a4fd0189fp-19, 0x1.4f0a5ab01665ep-19, 0x1.4be18ab0205dp-19, 0x1.48cd145549cbfp-19, 0x1.45b1f9ceac546p-19, 0x1.42a96961f2881p-19, 0x1.3f8d724bfa97ap-19, 0x1.3c626d33a48cep-19, 0x1.399557a4e0671p-19, 0x1.3637fde85cb9bp-19, }}, 
      {{0x1.8bb70abece04bp-4, 0x1.9afc79bc6cb5cp-4, 0x1.a9002c66be8cdp-4, 0x1.ae43443abd1bp-4, 0x1.a70d9f5c06361p-4, 0x1.931b37fbc99acp-4, 0x1.74a6c9f5df05bp-4, 0x1.4f664fee86e1dp-4, 0x1.27b2765295d71p-4, 0x1.01e756ddcadcp-4, 0x1.c3f59f3c624e9p-5, 0x1.967d5c0f02de4p-5, 0x1.808831b5a4714p-5, 0x1.85acae75f9ab9p-5, 0x1.a809a281b6ba9p-5, 0x1.e86c452793a6p-5, 0x1.233fd7341907p-4, 0x1.607fc3a9f2ad1p-4, 0x1.aaf5080f12fdp-4, 0x1.00abb8834d08p-3, 0x1.3116568f65258p-3, 0x1.65ed69adf2c16p-3, 0x1.9e5c22aaac504p-3, 0x1.d98c738a1dfc6p-3, 0x1.0b56330bde538p-2, 0x1.2a792b216b341p-2, 0x1.49d00e5104b7dp-2, 0x1.6902ad2d2fa9fp-2, 0x1.87c07ecc02511p-2, 0x1.a5c1125fd00cdp-2, 0x1.c2c43bdc11c68p-2, 0x1.de920b9e45a4dp-2, 0x1.f8fa9a0807f45p-2, 0x1.08eada99a315fp-1, 0x1.14813a4d713a9p-1, 0x1.1f33601de0c4ap-1, 0x1.28f764d5d3b84p-1, 0x1.31c64302e15c3p-1, 0x1.399b90ec1c9fap-1, 0x1.40753cf15d419p-1, 0x1.46534e1d88277p-1, 0x1.4b37a3ea79b57p-1, 0x1.4f25bc14fac05p-1, 0x1.52227ec61cc51p-1, 0x1.54340b1e6121p-1, 0x1.55618656b4a7p-1, 0x1.55b2f3a92b569p-1, 0x1.55310f93009ep-1, 0x1.53e52b0ab266fp-1, 0x1.51d908c0f0594p-1, 0x1.4f16c0386f2c8p-1, 0x1.4ba8a63e0cf04p-1, 0x1.4799352bcdc52p-1, 0x1.42f2f7080d296p-1, 0x1.3dc0706f7b58fp-1, 0x1.380c10392c2fap-1, 0x1.31e0222b7a38cp-1, 0x1.2b46c376d3696p-1, 0x1.2449d86247352p-1, 0x1.1cf302b1ba96p-1, 0x1.154b995554b9bp-1, 0x1.0d5ca18c21cfap-1, 0x1.052eca5451ebbp-1, 0x1.f994d15b4821bp-2, 0x1.e86ee9354833fp-2, 0x1.d6fb0ffa6b4a5p-2, 0x1.c547b95387d43p-2, 0x1.b362979dd3382p-2, 0x1.a1589be05096ep-2, 0x1.8f35f6e847a5ep-2, 0x1.7d061aaa8dac7p-2, 0x1.6ad3be75db279p-2, 0x1.58a8e2c48b2b9p-2, 0x1.468ed57004ca1p-2, 0x1.348e37261223cp-2, 0x1.22af01ace0764p-2, 0x1.10f88c4e0de63p-2, 0x1.fee327994852dp-3, 0x1.dc407e210e3c4p-3, 0x1.ba144ac60e428p-3, 0x1.9868af336b344p-3, 0x1.7746c661b95d1p-3, 0x1.56b6b5d0d7018p-3, 0x1.36bfbc0f24448p-3, 0x1.1768362e2e426p-3, 0x1.f16b6e8f7cb0bp-4, 0x1.b55a1625bac24p-4, 0x1.7aa4904d1e3d6p-4, 0x1.4151b39f1b7fdp-4, 0x1.096710fa6761cp-4, 0x1.a5d229ef163fcp-5, 0x1.3bb624a8b80abp-5, 0x1.a8fd5a7b7fa9ap-6, 0x1.c0ba32db77b2ep-7, 0x1.d8d8ec4132835p-10, -0x1.3ee4e9fdc339bp-7, -0x1.56a6f8b779c63p-6, -0x1.040b696cb5c04p-5, -0x1.59e5a1681b316p-5, -0x1.ace7e61fe9d67p-5, -0x1.fd190a5428eb5p-5, -0x1.254062c79121p-4, -0x1.4a93d6b47e7b6p-4, -0x1.6e8b8cdb22cd8p-4, -0x1.912c8965d70b1p-4, -0x1.b27c1ed13bedp-4, -0x1.d27fe2ae87085p-4, -0x1.f13da98ac2d3p-4, -0x1.075dbe1a9dc3p-3, -0x1.157fc80584c55p-3, -0x1.2308218c5068fp-3, -0x1.2ffa086c6c87ap-3, -0x1.3c58c8389e244p-3, -0x1.4827b6d01050fp-3, -0x1.536a30f10124fp-3, -0x1.5e2398cb3a424p-3, -0x1.68575377b3709p-3, -0x1.7208c6122dd4bp-3, -0x1.7b3b556c0ef34p-3, -0x1.83f262a91fc8fp-3, -0x1.8c314a092b0b4p-3, -0x1.93fb62514193dp-3, -0x1.9b53fa632e29bp-3, -0x1.a23e581f7abe6p-3, -0x1.a8bdb7d55841p-3, -0x1.aed54b8cdecdep-3, -0x1.b4883833431a6p-3, -0x1.b9d997c0a6e5ep-3, -0x1.becc7679e3394p-3, -0x1.c363d25f7f364p-3, -0x1.c7a29bf928ccp-3, -0x1.cb8bb5709da4cp-3, -0x1.cf21f0fb02bfap-3, -0x1.d26811e5d99dfp-3, -0x1.d560cd0aca376p-3, -0x1.d80ec65d6ff0ep-3, -0x1.da7492415c298p-3, -0x1.dc94b5d57f039p-3, -0x1.de71a6a240256p-3, -0x1.e00dc939c4a34p-3, -0x1.e16b7344b3f7bp-3, -0x1.e28ceb0dc60dfp-3, -0x1.e37466d49dfc2p-3, -0x1.e4240d006b0eap-3, -0x1.e49df5bf848ffp-3, -0x1.e4e429d4c50d5p-3, -0x1.e4f8a3496750bp-3, -0x1.e4dd4cc36dbdcp-3, -0x1.e494038ddc725p-3, -0x1.e41e96e6c9d3cp-3, -0x1.e37ec775a44cap-3, -0x1.e2b6486ae1592p-3, -0x1.e1c6c029096ccp-3, -0x1.e0b1c80743414p-3, -0x1.df78ec7b82cd5p-3, -0x1.de1dacf222d27p-3, -0x1.dca17de161779p-3, -0x1.db05c78bec4dfp-3, -0x1.d94be6693cb07p-3, -0x1.d7752b77b2073p-3, -0x1.d582dd7206084p-3, -0x1.d37638730dd8cp-3, -0x1.d1506e24810d2p-3, -0x1.cf12a5b2f68bdp-3, -0x1.ccbdfcb001e19p-3, -0x1.ca5387dce8af8p-3, -0x1.c7d45280ff7a7p-3, -0x1.c5415ed08bceep-3, -0x1.c29ba62c8ff5fp-3, -0x1.bfe419f6f6d4fp-3, -0x1.bd1ba39dca17fp-3, -0x1.ba432498cc39fp-3, -0x1.b75b767c6b908p-3, -0x1.b4656b9f1d7e5p-3, -0x1.b161cf520c7c8p-3, -0x1.ae51666d34cf5p-3, -0x1.ab34ee95238b6p-3, -0x1.a80d1f0ea2ea4p-3, -0x1.a4daa8dbaec22p-3, -0x1.a19e375f0e3d7p-3, -0x1.9e586ff857398p-3, -0x1.9b09f23abdcd8p-3, -0x1.97b358808615dp-3, -0x1.9455378275b17p-3, -0x1.90f01f7ac58d9p-3, -0x1.8d849b8ddc386p-3, -0x1.8a1331fe06a2bp-3, -0x1.869c6468e86bcp-3, -0x1.8320b00d4bc79p-3, -0x1.7fa08dfce07b3p-3, -0x1.7c1c735bcd832p-3, -0x1.7894d0fba2e32p-3, -0x1.750a13cf90accp-3, -0x1.717ca517fa33bp-3, -0x1.6decea903b546p-3, -0x1.6a5b46a11bc1cp-3, -0x1.66c818114cdc6p-3, -0x1.6333ba6d9af84p-3, -0x1.5f9e86183258ap-3, -0x1.5c08d05f59cdap-3, -0x1.5872ebc3759f7p-3, -0x1.54dd27defeb06p-3, -0x1.5147d179249c2p-3, -0x1.4db332a5fde58p-3, -0x1.4a1f92da75b28p-3, -0x1.468d36f7c3efp-3, -0x1.42fc61b17e186p-3, -0x1.3f6d532f272d3p-3, -0x1.3be0496c1e5eep-3, -0x1.38557ff95baadp-3, -0x1.34cd30457e23ep-3, -0x1.314791bda6c5bp-3, -0x1.2dc4d9d592928p-3, -0x1.2a453c134cc44p-3, -0x1.26c8e9e672269p-3, -0x1.235012f4c5d22p-3, -0x1.1fdae51d0c217p-3, -0x1.1c698c4fcd8d3p-3, -0x1.18fc331c76dddp-3, -0x1.1593023ce10d8p-3, -0x1.122e20e98881cp-3, -0x1.0ecdb4aa9af11p-3, -0x1.0b71e16c46c1ep-3, -0x1.081ac9ddb533ep-3, -0x1.04c88eefaa71bp-3, -0x1.017b509e5e374p-3, -0x1.fc665a62cc47dp-4, -0x1.f5e0837ca8274p-4, -0x1.ef6553d433c26p-4, -0x1.e8f500b349ab7p-4, -0x1.e28fbbfd76753p-4, -0x1.dc35b678b65dcp-4, -0x1.d5e71d756d60cp-4, -0x1.cfa41cf3c62fdp-4, -0x1.c96cde1629293p-4, -0x1.c34187ffc51e7p-4, -0x1.bd223fbe81ff5p-4, -0x1.b70f285f549e7p-4, -0x1.b10862972ba25p-4, -0x1.ab0e0df79a57cp-4, -0x1.a520477957a54p-4, -0x1.9f3f2aab79528p-4, -0x1.996ad0e2e906cp-4, -0x1.93a351e503ec6p-4, -0x1.8de8c3ba79e6ep-4, -0x1.883b3ab5f5e7ap-4, -0x1.829ac9e90ee77p-4, -0x1.7d0782165646ap-4, -0x1.778173677f671p-4, -0x1.7208abaa2a6f4p-4, -0x1.6c9d3796b5357p-4, -0x1.673f225846db4p-4, -0x1.61ee75d6bee27p-4, -0x1.5cab3a3b49c92p-4, -0x1.577577561793fp-4, -0x1.524d3252296cdp-4, -0x1.4d3270620a5abp-4, -0x1.4825347ba349ep-4, -0x1.4325810f507f5p-4, -0x1.3e33570baeccep-4, -0x1.394eb643ace3ep-4, -0x1.34779db239e05p-4, -0x1.2fae0af22bc8cp-4, -0x1.2af1fad9ba679p-4, -0x1.264369174189bp-4, -0x1.21a2504c1b23fp-4, -0x1.1d0eaa993ff99p-4, -0x1.188870679effcp-4, -0x1.140f99df97502p-4, -0x1.0fa41e18f5d76p-4, -0x1.0b45f332830e6p-4, -0x1.06f50ec465dffp-4, -0x1.02b165849e358p-4, -0x1.fcf5d622c487ep-5, -0x1.f4a325ec5c684p-5, -0x1.ec6a9e168c973p-5, -0x1.e44c236278c52p-5, -0x1.dc47969757744p-5, -0x1.d45cd9c1940f5p-5, -0x1.cc8bcb2fd9f2cp-5, -0x1.c4d44a4e6c32fp-5, -0x1.bd3633a0a568bp-5, -0x1.b5b16389f92dbp-5, -0x1.ae45b4e1b460ep-5, -0x1.a6f301dfdb4d6p-5, -0x1.9fb92345cf468p-5, -0x1.9897f09ee532dp-5, -0x1.918f41db63222p-5, -0x1.8a9eec367aafep-5, -0x1.83c6c5e9ec33bp-5, -0x1.7d06a2cd7cbd3p-5, -0x1.765e575903e51p-5, -0x1.6fcdb5c83e182p-5, -0x1.695491770de8fp-5, -0x1.62f2baed47f4fp-5, -0x1.5ca804381dd2fp-5, -0x1.56743cb9ac4f3p-5, -0x1.505735382b9f1p-5, -0x1.4a50bcad09ad4p-5, -0x1.4460a1fbe2df7p-5, -0x1.3e86b392d09ep-5, -0x1.38c2bf3ff2c38p-5, -0x1.331492e569324p-5, -0x1.2d7bfba1b09a9p-5, -0x1.27f8c5c143407p-5, -0x1.228abdd969453p-5, -0x1.1d31b09b77379p-5, -0x1.17ed68bb6c96ap-5, -0x1.12bdb32cf7e69p-5, -0x1.0da259ae950c3p-5, -0x1.089b29e47fafbp-5, -0x1.03a7ece17a98ap-5, -0x1.fd90dcea71b5dp-6, -0x1.f3f8f2a64af64p-6, -0x1.ea87b0963f6dp-6, -0x1.e13cab448cd06p-6, -0x1.d81777931a229p-6, -0x1.cf17a9da2019bp-6, -0x1.c63cd758f6deap-6, -0x1.bd869362438ddp-6, -0x1.b4f47584f31bep-6, -0x1.ac86102c2c336p-6, -0x1.a43afaea7a8a9p-6, -0x1.9c12cbfad7f3p-6, -0x1.940d17d6f04f2p-6, -0x1.8c29759655c3bp-6, -0x1.84677a28b850dp-6, -0x1.7cc6bb43b9335p-6, -0x1.7546cdabfb446p-6, -0x1.6de747f144634p-6, -0x1.66a7c020d48a8p-6, -0x1.5f87cdc978503p-6, -0x1.58870991cb731p-6, -0x1.51a50d573bdb5p-6, -0x1.4ae1734f1f5dcp-6, -0x1.443bd7dab0a1bp-6, -0x1.3db3d3e96dabbp-6, -0x1.374903f85d874p-6, -0x1.30fb00dc8c0bcp-6, -0x1.2ac96553da063p-6, -0x1.24b3c9d53890ap-6, -0x1.1eb9c9bb3e64fp-6, -0x1.18db007a393bep-6, -0x1.13170c0628f28p-6, -0x1.0d6d8c616648ap-6, -0x1.07de243614d2bp-6, -0x1.026876cd1b052p-6, -0x1.fa1850a948fc1p-7, -0x1.ef91ba492daa5p-7, -0x1.e53c7117feb27p-7, -0x1.db17b7e9f436p-7, -0x1.d122d251956f4p-7, -0x1.c75d010194b07p-7, -0x1.bdc584f7158f3p-7, -0x1.b45ba6452f6abp-7, -0x1.ab1eadcbef624p-7, -0x1.a20dee7c5c26cp-7, -0x1.9928be0b36d12p-7, -0x1.906e783757549p-7, -0x1.87de7c1fab328p-7, -0x1.7f78272a24c0dp-7, -0x1.773ad9d94d8c3p-7, -0x1.6f25ee68a34ddp-7, -0x1.6738c0044e655p-7, -0x1.5f72a76e31987p-7, -0x1.57d2f9f25d5c1p-7, -0x1.5059122296c0fp-7, -0x1.49044b199a2e1p-7, -0x1.41d3fdb395be6p-7, -0x1.3ac7955160e3dp-7, -0x1.33de73072422cp-7, -0x1.2d180533ff6c2p-7, -0x1.2673b9a1e30a3p-7, -0x1.1ff1074f1fadap-7, -0x1.198f6497d3f74p-7, -0x1.134e4d9d159d5p-7, -0x1.0d2d3eca715ebp-7, -0x1.072bb659f7f9ap-7, -0x1.01492f5328465p-7, -0x1.f70a42fe3e18bp-8, -0x1.ebbdfe9fc782dp-8, -0x1.e0ac6f7964944p-8, -0x1.d5d46712eabap-8, -0x1.cb34b8bcc80e7p-8, -0x1.c0cc48786093ep-8, -0x1.b699ead06ce3ap-8, -0x1.ac9caa7ec99ddp-8, -0x1.a2d3a0bf3ace4p-8, -0x1.993e04f6b30fcp-8, -0x1.8fdb267cf7628p-8, -0x1.86aa643ddcdb6p-8, -0x1.7dab1b71cf57bp-8, -0x1.74dc976acc4a4p-8, -0x1.6c3e05f2bc05cp-8, -0x1.63ce71dd990a4p-8, -0x1.5b8cc588b733dp-8, -0x1.5377d66796bd3p-8, -0x1.4b8e735f6407bp-8, -0x1.43cf77bc6bea9p-8, -0x1.3c39db22e4485p-8, -0x1.34ccbabb92408p-8, -0x1.2d8762de1e608p-8, -0x1.26694ba4c5ed6p-8, -0x1.1f7216ef139f4p-8, -0x1.18a16e0bd74e3p-8, -0x1.11f7025d6465dp-8, -0x1.0b7261cd12ee6p-8, -0x1.0512f6f9817c3p-8, -0x1.fdafe2c0378d2p-9, -0x1.f180baa3d74c7p-9, -0x1.e5965ed63015p-9, -0x1.d9eebb0974da1p-9, -0x1.ce87e29c1aeebp-9, -0x1.c3601eda0c13dp-9, -0x1.b875fa9e478d4p-9, -0x1.adc8300e065c9p-9, -0x1.a355b74df79dep-9, -0x1.991db413ec16dp-9, -0x1.8f1f802e04dffp-9, -0x1.855a929024bbdp-9, -0x1.7bce5df8fd63fp-9, -0x1.727a1c029a13ap-9, -0x1.695cc61aade96p-9, -0x1.607503ef80628p-9, -0x1.57c15c9124486p-9, -0x1.4f40452404bp-9, -0x1.46f09066395a8p-9, -0x1.3ed1353d80d16p-9, -0x1.36e167729a346p-9, -0x1.2f2052d36bf3fp-9, -0x1.278cf56f5128fp-9, -0x1.20260afca6795p-9, -0x1.18ea38a3abf26p-9, -0x1.11d826ffb712dp-9, -0x1.0aeedc6bf133ap-9, -0x1.042d9fe5b5f7cp-9, -0x1.fb27f06a99803p-10, -0x1.ee42ce35df7eap-10, -0x1.e1aa7b0c065aep-10, -0x1.d55d40b290277p-10, -0x1.c95980f2500c1p-10, -0x1.bd9e038548b1cp-10, -0x1.b22a1cc9011e8p-10, -0x1.a6fd70a3de1cbp-10, -0x1.9c17976709db7p-10, -0x1.91776c7354649p-10, -0x1.871ac973f40f5p-10, -0x1.7cfe9b4e44503p-10, -0x1.731f4ebcd9a6dp-10, -0x1.697989276cfdp-10, -0x1.600ad89131ad1p-10, -0x1.56d1ab48b3ef9p-10, -0x1.4dcdd166decep-10, -0x1.44ff2e0cd860ep-10, -0x1.3c659b9fb7986p-10, -0x1.34009dbc2252ep-10, -0x1.2bcfa1032c709p-10, -0x1.23d24bb163e05p-10, -0x1.1c088f4a284adp-10, -0x1.14725ebd5acep-10, -0x1.0d0f3a01e3b9bp-10, -0x1.05ddd9d6fa74dp-10, -0x1.fdb8567c4b78ep-11, -0x1.f00f3c4db3173p-11, -0x1.e2bb2d16c7371p-11, -0x1.d5b78c5f595dfp-11, -0x1.c900a16cb1e79p-11, -0x1.bc93b611e364ap-11, -0x1.b06f0279ff84dp-11, -0x1.a4917edee650bp-11, -0x1.98faa123c34a4p-11, -0x1.8daab0cec5bbep-11, -0x1.82a25ea5ac39p-11, -0x1.77e29404e55a2p-11, -0x1.6d6be53f64edbp-11, -0x1.633def9987f98p-11, -0x1.59573d97e15efp-11, -0x1.4fb58a4d65bc6p-11, -0x1.4655ba026656ep-11, -0x1.3d3406b074f06p-11, -0x1.344b6749ffd09p-11, -0x1.2b988f89b85f7p-11, -0x1.231996ca3c6a4p-11, -0x1.1ace5070f0d26p-11, -0x1.12b7ba0a4b387p-11, -0x1.0ad518627da04p-11, -0x1.0324bf912920dp-11, -0x1.f7482530f17bp-12, -0x1.e8a2259c4856bp-12, -0x1.da56df8bdcd9bp-12, -0x1.cc699542b460ap-12, -0x1.bede6e900512dp-12, -0x1.b1b6c846bca66p-12, -0x1.a4ef1a982f7fep-12, -0x1.9881bb1b2a02fp-12, -0x1.8c6a5caa01d3ep-12, -0x1.80a6375130a48p-12, -0x1.7530c8195f13dp-12, -0x1.6a03090b2ae86p-12, -0x1.5f168873bd7e3p-12, -0x1.5468cc6f65d24p-12, -0x1.49fb4dd8820efp-12, -0x1.3fd1d5902585ep-12, -0x1.35ee8d433a734p-12, -0x1.2c50f21d20714p-12, -0x1.22f67fce3e8b5p-12, -0x1.19dc21b59c5e5p-12, -0x1.10fe26c8f1852p-12, -0x1.08596fd94d59p-12, -0x1.ffdb89872401ep-13, -0x1.ef7ba4a183fd5p-13, -0x1.df9431f918369p-13, -0x1.d01f6100db315p-13, -0x1.c114e32fd5979p-13, -0x1.b273170cffc6p-13, -0x1.a43cd265fac75p-13, -0x1.966cd1785d629p-13, -0x1.88f741f6ccbabp-13, -0x1.7bd1d9b5d7396p-13, -0x1.6ef85a14dcec9p-13, -0x1.626c1531a2287p-13, -0x1.56303f96659eap-13, -0x1.4a48ed00ed841p-13, -0x1.3eb633fbba14p-13, -0x1.337946dd518a9p-13, -0x1.2892ac3642b39p-13, -0x1.1e02aed7594f5p-13, -0x1.13c2f4b0a3216p-13, -0x1.09c5434469b7ap-13, -0x1.0001ead184b13p-13, -0x1.ecff17b65fc49p-14, -0x1.da88088475f72p-14, -0x1.c88e5d43f03c7p-14, -0x1.b70f6c5eb1ae9p-14, -0x1.a614f269e5743p-14, -0x1.95a6b17518b8p-14, -0x1.85bab10eef488p-14, -0x1.763f1c01a0a44p-14, -0x1.67246034d2482p-14, -0x1.5862696b051dap-14, -0x1.49fa57b4da02ap-14, -0x1.3bf2ca8aa5cd7p-14, -0x1.2e4f7a9aef5d6p-14, -0x1.210d76daa08f6p-14, -0x1.142c021fd26fbp-14, -0x1.07b25559d5b3bp-14, -0x1.f744c32e6d0cep-15, -0x1.dfef8f8f1d7c8p-15, -0x1.c94d6c9abaf2fp-15, -0x1.b33b69a6849c5p-15, -0x1.9da926f53f3dcp-15, -0x1.88a7884b8ef1p-15, -0x1.744a9ab752682p-15, -0x1.6073b4b468aa5p-15, -0x1.4d2941f44fcb3p-15, -0x1.3a848ba14ae8fp-15, -0x1.288456d7d3138p-15, -0x1.171c0e3ca0552p-15, -0x1.063f0bf75ad37p-15, -0x1.ebb4bae159615p-16, -0x1.cbb3408602acap-16, -0x1.ac769caf003cap-16, -0x1.8e2477af1a8f4p-16, -0x1.70c9a2a2a95f7p-16, -0x1.5445eae4029aap-16, -0x1.38969391f9b56p-16, -0x1.1dd6b124dca0fp-16, -0x1.0406dffa5f165p-16, -0x1.d60a030a46847p-17, -0x1.a5794b6198f28p-17, -0x1.768169a8d357dp-17, -0x1.4908c00b8e6fp-17, -0x1.1ccf0bde27abfp-17, -0x1.e3d26ffb84df8p-18, -0x1.909240d08d968p-18, -0x1.3f8afd33ea7d9p-18, -0x1.e2b33c3492744p-19, -0x1.4c190f439611ap-19, -0x1.751c5d01f1525p-20, -0x1.6fc2fe0f88685p-22, 0x1.65b51d77aa4b8p-21, 0x1.b77fe9418fcbdp-20, 0x1.5a7e11c28d61ep-19, 0x1.d5b04c75e46ap-19, 0x1.2666061e225c2p-18, 0x1.5fbf801bcc46cp-18, 0x1.974aeae5944b1p-18, 0x1.ccebabb4fd02p-18, 0x1.002c8f20bff6dp-17, 0x1.18e8b90319252p-17, 0x1.30c7afb984addp-17, 0x1.47e67e1d579acp-17, 0x1.5e39c234828dp-17, 0x1.73aefc14eee26p-17, 0x1.8823da520244cp-17, 0x1.9bd574124b143p-17, 0x1.aee388502811ap-17, 0x1.c14e47fc29929p-17, 0x1.d2fd48f76afc8p-17, 0x1.e3d40b63d78c6p-17, 0x1.f3fc534f65f02p-17, 0x1.01c223646596cp-16, 0x1.0933b3c3485fp-16, 0x1.1051b2778246bp-16, 0x1.1716634c7393p-16, 0x1.1d84166c2a248p-16, 0x1.23a9cfe292ccfp-16, 0x1.298f38457c5dfp-16, 0x1.2f2d1c8986a92p-16, 0x1.348bece7b25dap-16, 0x1.39a6206096419p-16, 0x1.3e74c396da316p-16, 0x1.42ffd16476c87p-16, 0x1.4749de8cf57cdp-16, 0x1.4b600f50d7423p-16, 0x1.4f3c7036d1d0bp-16, 0x1.52e17aca0f6cep-16, 0x1.564d6172f5b08p-16, 0x1.5975955b2185ep-16, 0x1.5c64093f87db7p-16, 0x1.5f2a577dcdcefp-16, 0x1.61c4190c8d4b3p-16, 0x1.6420f054c8deep-16, 0x1.664f42efc5a05p-16, 0x1.684e1aeeb6098p-16, 0x1.6a2219bc51e77p-16, 0x1.6bca003204487p-16, 0x1.6d45f3efb1ecdp-16, 0x1.6e983d7b60a21p-16, 0x1.6fbc7fdbfbb7ep-16, 0x1.70bd71e924e64p-16, 0x1.718cc5f78d6f1p-16, 0x1.723901db39843p-16, 0x1.72c47be914153p-16, 0x1.7332fdadc046cp-16, 0x1.7378638814afap-16, 0x1.7395475853cdfp-16, 0x1.73959c3dcc66dp-16, 0x1.7377ea44c7a32p-16, 0x1.733a45827414dp-16, 0x1.72de5f0133841p-16, 0x1.72656241e0c45p-16, 0x1.71d05549048c1p-16, 0x1.711de587edec4p-16, 0x1.704d10f5f7815p-16, 0x1.6f65e02d2f5cdp-16, 0x1.6e6599d9c6dc7p-16, 0x1.6d47f8475d436p-16, 0x1.6c14ece96b91ep-16, 0x1.6ac9fc4453362p-16, 0x1.6969835e2f822p-16, 0x1.67f2ff6982e72p-16, 0x1.66663d0606146p-16, 0x1.64c4a71bc0d94p-16, 0x1.630f6206aeb38p-16, 0x1.61476c590716bp-16, 0x1.5f6dbfd0b9b3cp-16, 0x1.5d7d97e3cba1ep-16, 0x1.5b7a45120b8f1p-16, 0x1.5967de558543fp-16, 0x1.574383103742p-16, 0x1.551575756e10ap-16, 0x1.52d24626ee657p-16, 0x1.5081abe1e6c9ap-16, 0x1.4e22fd74fcfdep-16, 0x1.4bb5a72859653p-16, 0x1.493b6337e64f1p-16, 0x1.46b3adc5cd688p-16, 0x1.4416d6d7a6b35p-16, 0x1.417ed27eeb9f8p-16, 0x1.3ed26bafc9cbdp-16, 0x1.3c1abe8bd55d4p-16, 0x1.3958673b3b93ep-16, 0x1.368a163b7b4cbp-16, 0x1.33ae7d375197dp-16, 0x1.30d6388ac2aa8p-16, 0x1.2decfdff4e146p-16, 0x1.2afbb8b4be70ap-16, 0x1.28015448b3739p-16, 0x1.24fdc311ec3e3p-16, 0x1.21f37765f228ap-16, 0x1.1ee2e724a2c1cp-16, 0x1.1bccc483cc11ap-16, 0x1.18ad05414007fp-16, 0x1.1588577bde71cp-16, 0x1.125dac2de26dfp-16, 0x1.0f2bbc87362b4p-16, 0x1.0bf66f7e21b9ap-16, 0x1.08bbbc978df25p-16, 0x1.057b9306e2b4cp-16, 0x1.0238186247c1ap-16, 0x1.fddfaba8e53f9p-17, 0x1.f749c015ec7f4p-17, 0x1.f0aa13e88a136p-17, 0x1.ea055b5a47ee2p-17, 0x1.e359ea2f5deb1p-17, 0x1.dcaa4ded318e5p-17, 0x1.d5f5fa2ffa4cep-17, 0x1.cf3b858b872e9p-17, 0x1.c87d426c4c81cp-17, 0x1.c1bba6ee88e89p-17, 0x1.baf79f720202ap-17, 0x1.b431440439a6cp-17, 0x1.ad68d06388f78p-17, 0x1.a69d07de42bc7p-17, 0x1.9fd24d5a5a05bp-17, 0x1.9905de637ad2dp-17, 0x1.92391bc70fb06p-17, 0x1.8b6bcfc07dc5dp-17, 0x1.84a14e03223f7p-17, 0x1.7dd4ce62896adp-17, 0x1.770a29a6a2c24p-17, 0x1.7040e46f92f04p-17, 0x1.6983a285e49e6p-17, 0x1.62b7f7eabf6fep-17, 0x1.5bf808f0b475fp-17, 0x1.552a6f034736ep-17, 0x1.4e77bdab56541p-17, 0x1.47c9ee1dd968p-17, 0x1.412103805f15ep-17, 0x1.3a67d61fcf936p-17, 0x1.33b3ed1334af7p-17, 0x1.2d0de3d4103c6p-17, 0x1.266b9d5c1cfe2p-17, 0x1.1fd1b154de4d8p-17, 0x1.193ae7b3913a8p-17, 0x1.12a7a06e08a55p-17, 0x1.0c21de70041bap-17, 0x1.05a0534e840bfp-17, 0x1.fe46c13d52de6p-18, 0x1.f15c135b9094p-18, 0x1.e47d43098c913p-18, 0x1.d7a7a79435e62p-18, 0x1.caea1d347bb22p-18, 0x1.be3d96fbfc3ccp-18, 0x1.b1a1445029b47p-18, 0x1.a51571ea256f6p-18, 0x1.98956c7ef0466p-18, 0x1.8c2b11f1357c7p-18, 0x1.7fd1020c5e85cp-18, 0x1.738a252068453p-18, 0x1.6752dedf4d42bp-18, 0x1.5b2ee831f4d29p-18, 0x1.4f21db4de37afp-18, 0x1.43260c93d3e56p-18, 0x1.373de53339e67p-18, 0x1.2b69c1a0268b7p-18, 0x1.1faa05b2e258bp-18, 0x1.13fdcafda0071p-18, 0x1.0858744004eb1p-18, 0x1.f9d1dd1ddeadcp-19, 0x1.e2f7067e07dc2p-19, 0x1.cc4db69a861f9p-19, 0x1.b5ce7bc5da3d7p-19, 0x1.9f7b0a22d956cp-19, 0x1.896e3244890cap-19, 0x1.73613cc43f87ep-19, 0x1.5d9380dc65ccp-19, 0x1.47f82ea226ff9p-19, 0x1.32838dc659c06p-19, 0x1.1d45071b8f7e6p-19, 0x1.083ae4946115bp-19, 0x1.e714dd2704cf9p-20, 0x1.bd4f04dc4f754p-20, 0x1.943189d546b02p-20, 0x1.6ba16a791104ep-20, 0x1.435ed81658a3p-20, 0x1.1b76aa866c8b8p-20, 0x1.e80903846322ap-21, 0x1.99b245d3a7c46p-21, 0x1.4c5acb64653abp-21, 0x1.0084918c8fea2p-21, 0x1.681be9b5b93f8p-22, 0x1.a348671fb81c4p-23, 0x1.e6a519e2c7aecp-25, -0x1.58a8d6547786dp-24, -0x1.cf5fac96ec781p-23, -0x1.774ec779efd46p-22, -0x1.02bb3e51b98cep-21, -0x1.49218ed182635p-21, -0x1.8e93c2e5dbe11p-21, -0x1.d367cbc50d157p-21, -0x1.0b79ab7026c19p-20, -0x1.2d388a64a839ap-20, -0x1.4e5dfb9944a06p-20, -0x1.6f22fcb183bd2p-20, -0x1.8f81c199707e4p-20, -0x1.af7af7d7ea0cbp-20, -0x1.cf13139a7c7a5p-20, -0x1.ee3de2131407fp-20, -0x1.068ae3df20352p-19, -0x1.15aa2aa6b2648p-19, -0x1.24a0965085602p-19, -0x1.3373d3bbdec16p-19, -0x1.42077f68ab039p-19, -0x1.506a6ccb5c93ep-19, -0x1.5e98fe3cd83b6p-19, -0x1.6c951ee8dcb1fp-19, -0x1.7a5f792c0fa14p-19, -0x1.87fa30100e63bp-19, -0x1.95565ddecf71ap-19, -0x1.a2c7bacc3ecbfp-19, -0x1.af8be140da904p-19, -0x1.bc5deda7b17efp-19, -0x1.c8fd046d4663bp-19, -0x1.d56569bc12f1ap-19, -0x1.e191148fdaff8p-19, -0x1.ed9a39edf5c22p-19, -0x1.f96911e345c31p-19, -0x1.028bb43fbdcdap-18, -0x1.082d56569ab01p-18, -0x1.0de341d4a0839p-18, -0x1.1368f821e5494p-18, -0x1.18f0ed5a2e331p-18, -0x1.1e329dbbd3b3ap-18, -0x1.2376ee6547fd9p-18, -0x1.289b9ea0c20c4p-18, -0x1.2daa3297f0577p-18, -0x1.32a48ff59e18bp-18, -0x1.378c2a8f1255ap-18, -0x1.3c4b7635c592fp-18, -0x1.40fca82460757p-18, -0x1.4595ac46cd6eep-18, -0x1.4a188baa44a31p-18, -0x1.4e8a29de5aa7ap-18, -0x1.52ddef601d6a7p-18, -0x1.571c6265d4d8fp-18, -0x1.5b382416e1d1cp-18, -0x1.5f53c0fbfbaddp-18, -0x1.634e5884e280dp-18, -0x1.673418856b951p-18, -0x1.6afe919fdde2bp-18, -0x1.6ebc4efe76c1fp-18, -0x1.7258958a0890ep-18, -0x1.75e994cc10521p-18, -0x1.795d9e3e3fe68p-18, -0x1.7cc9f168aae7bp-18, -0x1.800d016330815p-18, -0x1.834b95f567ca3p-18, -0x1.866d6f3dd7044p-18, -0x1.897e56694fd37p-18, -0x1.8c8a05e69de8ap-18, -0x1.8f56428512b62p-18, -0x1.9227ffa60ea18p-18, -0x1.94e5680e54a14p-18, -0x1.979683b6a6076p-18, -0x1.9a293002343c7p-18, -0x1.9ca60ad275924p-18, -0x1.9f17ff68b0849p-18, -0x1.a174c15bb1d44p-18, -0x1.a39ec4c7ee413p-18, -0x1.a5ed3029fa285p-18, -0x1.a80aaeb8b3055p-18, -0x1.aa1e8d3638626p-18, -0x1.ac1e0f5b24bacp-18, -0x1.ae1632075b7b4p-18, -0x1.afe018dc40bb2p-18, -0x1.b1a5a0e8ae50cp-18, -0x1.b353ec4574a84p-18, -0x1.b4f8ce29736a3p-18, -0x1.b688882a65c93p-18, -0x1.b80bf8c7f4b2cp-18, -0x1.b97e1491deb7bp-18, -0x1.badba731a2c6dp-18, -0x1.bc2692f972f8bp-18, -0x1.bd64c6055cc1ep-18, -0x1.be86ef1acff32p-18, -0x1.bfa9dc895cb7dp-18, -0x1.c0b39e5aaf3bap-18, -0x1.c1b29a685dbddp-18, -0x1.c29629adcf3bp-18, -0x1.c3789250eb8afp-18, -0x1.c446c1b8f1755p-18, -0x1.c505e9abff3e8p-18, -0x1.c5afab326e06fp-18, -0x1.c654eb341402cp-18, -0x1.c6e080a06227bp-18, -0x1.c763db3169446p-18, -0x1.c7dd1b958198p-18, -0x1.c84147544bd9p-18, -0x1.c89661a2b3dd1p-18, -0x1.c8dfca1c53ae9p-18, -0x1.c919b4917d303p-18, -0x1.c94e83b6090e1p-18, -0x1.c96e77f525c5bp-18, -0x1.c974b1014fd1ap-18, -0x1.c985617912bdep-18, -0x1.c9933481bcd96p-18, -0x1.c96b639927b17p-18, -0x1.c9523794afddfp-18, -0x1.c925baad80115p-18, -0x1.c8ec3d1de99d6p-18, -0x1.c8a4049962c3ep-18, -0x1.c85a62c8f1ef4p-18, -0x1.c7f884e55d078p-18, -0x1.c7978161664e4p-18, -0x1.c724f24bae431p-18, -0x1.c6a1d81f58aep-18, -0x1.c5f9dfa821b62p-18, -0x1.c5843af36bc52p-18, }}, 
      {{0x1.87330821cc617p-4, 0x1.8d2079b585bd6p-4, 0x1.943c35e7115edp-4, 0x1.9a50335fec9efp-4, 0x1.9dcac61cc97cbp-4, 0x1.9dd3d852f7a42p-4, 0x1.9a35ef9216556p-4, 0x1.9337e7e1efeb2p-4, 0x1.8975746cbeae8p-4, 0x1.7dbc86f661031p-4, 0x1.70f1a384ea95ep-4, 0x1.63fb22803e922p-4, 0x1.57b297c4f8636p-4, 0x1.4cdb51259a7e9p-4, 0x1.441cd4a8d3bb8p-4, 0x1.3e005dbee4d86p-4, 0x1.3af0854ffbc54p-4, 0x1.3b3a65a4856c3p-4, 0x1.3f0fba5b5943cp-4, 0x1.46898fe9701f5p-4, 0x1.51ab44bf42d2ap-4, 0x1.60659bf66cfe5p-4, 0x1.7299c366a84acp-4, 0x1.881c380f60ac2p-4, 0x1.a0b7692214409p-4, 0x1.bc2e29fd97715p-4, 0x1.da3dd399c6d92p-4, 0x1.faa02a76e3eecp-4, 0x1.0e867ee2d677ep-3, 0x1.209dc3a949c0ap-3, 0x1.3371ca617a9e3p-3, 0x1.46df3c79ce903p-3, 0x1.5ac3e50612aa1p-3, 0x1.6efefecc58126p-3, 0x1.83716c40755cdp-3, 0x1.97fde1a2b04e3p-3, 0x1.ac89004c510b2p-3, 0x1.c0f966cdabbb2p-3, 0x1.d537b8aa4ca6ep-3, 0x1.e92e9d996d84dp-3, 0x1.fccab72740db1p-3, 0x1.07fd4c4ef924ap-2, 0x1.11575bce5acaep-2, 0x1.1a6ca8a49ce71p-2, 0x1.23372dde3b17dp-2, 0x1.2bb1b7f22fa3bp-2, 0x1.33d7d8a8caaffp-2, 0x1.3ba5d7bcf31a1p-2, 0x1.4318a85de2a3dp-2, 0x1.4a2de022021b5p-2, 0x1.50e3aa434e3a4p-2, 0x1.5738bab5a44b8p-2, 0x1.5d2c40d6b4212p-2, 0x1.62bddedfa9c7ap-2, 0x1.67eda09e9da66p-2, 0x1.6cbbf27ade089p-2, 0x1.71299764c2d8cp-2, 0x1.75379e6915a0cp-2, 0x1.78e75a82df95bp-2, 0x1.7c3a5a28c5624p-2, 0x1.7f32620d24295p-2, 0x1.81d1659a22d9ap-2, 0x1.8419817a1e7b5p-2, 0x1.860cf4f64c82ep-2, 0x1.87ae1bf10f513p-2, 0x1.88ff69f08d2f4p-2, 0x1.8a03653df8bb8p-2, 0x1.8abca2a6277bap-2, 0x1.8b2dc2014558cp-2, 0x1.8b596a9c07d19p-2, 0x1.8b42486352434p-2, 0x1.8aeb07cb3ae9p-2, 0x1.8a5655dea053ap-2, 0x1.8986da4b0d281p-2, 0x1.887f37d7f8484p-2, 0x1.8742098475e5cp-2, 0x1.85d1e0b69d5fbp-2, 0x1.8431446c93c18p-2, 0x1.8262af7ebbc5dp-2, 0x1.80688fb0d3002p-2, 0x1.7e4545105c09ap-2, 0x1.7bfb20eed18d5p-2, 0x1.798c65340c765p-2, 0x1.76fb4442066d5p-2, 0x1.7449e038f4699p-2, 0x1.717a4a78a20dp-2, 0x1.6e8e83e771e36p-2, 0x1.6b887d4af226cp-2, 0x1.686a14f041e36p-2, 0x1.653519e395c44p-2, 0x1.61eb495725944p-2, 0x1.5e8e5056f668bp-2, 0x1.5b1fcb60644f5p-2, 0x1.57a146d36c57dp-2, 0x1.54143ec33304p-2, 0x1.507a1f3a608c3p-2, 0x1.4cd4456895d5ap-2, 0x1.4923ff25a179bp-2, 0x1.456a8bdd1cc8cp-2, 0x1.41a91c2086cdcp-2, 0x1.3de0d250c4502p-2, 0x1.3a12c38055588p-2, 0x1.363ff756ff7dbp-2, 0x1.326968b995378p-2, 0x1.2e9005acac84fp-2, 0x1.2ab4b069c516fp-2, 0x1.26d83f8aaa428p-2, 0x1.22fb7e118929fp-2, 0x1.1f1f2c1a5220fp-2, 0x1.1b43ff9e8a0c1p-2, 0x1.176aa356ef4c9p-2, 0x1.1393b9e5bde6p-2, 0x1.0fbfdae5fda3dp-2, 0x1.0bef95a5b1d45p-2, 0x1.08237097c9d68p-2, 0x1.045be9fa2dfbp-2, 0x1.009977d94ad51p-2, 0x1.f9b91153bad7ep-3, 0x1.f24b06d50bc88p-3, 0x1.eae9906a4a434p-3, 0x1.e3956082c8564p-3, 0x1.dc4f1cd4a5b5cp-3, 0x1.d5175ec8d6a6fp-3, 0x1.cdeeb3b9bbd78p-3, 0x1.c6d59ec7f90e4p-3, 0x1.bfcc9720d961fp-3, 0x1.b8d40a8f66d3ap-3, 0x1.b1ec5d02dd3fbp-3, 0x1.ab15e8e2e982p-3, 0x1.a45100a27993ap-3, 0x1.9d9dedc6bb418p-3, 0x1.96fcf1f880edap-3, 0x1.906e478970f8fp-3, 0x1.89f221ed8a06fp-3, 0x1.8388ad3b5c146p-3, 0x1.7d320ff65564cp-3, 0x1.76ee69f483e1fp-3, 0x1.70bdd5fcd9d82p-3, 0x1.6aa0698246467p-3, 0x1.649633bb0cc44p-3, 0x1.5e9f40fa282bfp-3, 0x1.58bb96e58a135p-3, 0x1.52eb38f3ede39p-3, 0x1.4d2e25b83e7c3p-3, 0x1.478457ae8bc5dp-3, 0x1.41edc6a24eadbp-3, 0x1.3c6a66aa36f95p-3, 0x1.36fa2904bf8dap-3, 0x1.319cfbf6ad5dp-3, 0x1.2c52cad7c97a1p-3, 0x1.271b7ee85f9d8p-3, 0x1.21f6feb5693abp-3, 0x1.1ce52effe597dp-3, 0x1.17e5f288f6d2bp-3, 0x1.12f929d80c4bap-3, 0x1.0e1eb43a6427p-3, 0x1.09566ef5ee254p-3, 0x1.04a0362c1f0b2p-3, 0x1.fff7c9216e8ebp-4, 0x1.f6d2a74451b57p-4, 0x1.edd0b760952a2p-4, 0x1.e4f1a80fda182p-4, 0x1.dc35261d972e1p-4, 0x1.d39adcbed21e7p-4, 0x1.cb2275dd9ca41p-4, 0x1.c2cb99be49b5fp-4, 0x1.ba95efbb98742p-4, 0x1.b2811df4a5532p-4, 0x1.aa8cc95a88e17p-4, 0x1.a2b8971ec3133p-4, 0x1.9b042a9e1cd67p-4, 0x1.936f274a7bc54p-4, 0x1.8bf92ff21f9e7p-4, 0x1.84a1e7b6be30cp-4, 0x1.7d68f0048c49cp-4, 0x1.764deaf740fb8p-4, 0x1.6f507bb7c4dcap-4, 0x1.68704375857f3p-4, 0x1.61ace44d3d173p-4, 0x1.5b0602e465ef3p-4, 0x1.547b3e1078349p-4, 0x1.4e0c390293a38p-4, 0x1.47b899deb7515p-4, 0x1.4180020664973p-4, 0x1.3b62155882d7p-4, 0x1.355e780a3dcc7p-4, 0x1.2f74cf3edba98p-4, 0x1.29a4c0153d40ep-4, 0x1.23edf09440ae1p-4, 0x1.1e50071fae17dp-4, 0x1.18caaa30d3b1p-4, 0x1.135d822f8138cp-4, 0x1.0e08374fc20f6p-4, 0x1.08ca731806f5ep-4, 0x1.03a3dee0e53c3p-4, 0x1.fd284a554c278p-5, 0x1.f335e3c84ac2dp-5, 0x1.e96fe10d03a39p-5, 0x1.dfd59aa952c93p-5, 0x1.d6666d7d81084p-5, 0x1.cd21b6aec918cp-5, 0x1.c406d2064138ap-5, 0x1.bb15216734ec7p-5, 0x1.b24c076e1d62ap-5, 0x1.a9aae713bc55cp-5, 0x1.a13124d4aa47dp-5, 0x1.98de2752a1d53p-5, 0x1.90b1571d25e76p-5, 0x1.88aa1e4b61f59p-5, 0x1.80c7e88e945f2p-5, 0x1.790a23712cd8p-5, 0x1.71703ecae884ap-5, 0x1.69f9aacb8bc68p-5, 0x1.62a5d9675babfp-5, 0x1.5b74408213dbap-5, 0x1.546452666660fp-5, 0x1.4d758bdfb8393p-5, 0x1.46a7631d090fap-5, 0x1.3ff9537bc8ce5p-5, 0x1.396ad9803ce31p-5, 0x1.32fb73c3c8cd3p-5, 0x1.2caaa1e69836ep-5, 0x1.2677e58307e38p-5, 0x1.2062c16e2f645p-5, 0x1.1a6abb1addc16p-5, 0x1.148f58ba50c5ep-5, 0x1.0ed022127ad81p-5, 0x1.092ca0990d25cp-5, 0x1.03a45f9325a36p-5, 0x1.fc6dd7cff5c84p-6, 0x1.f1c7a65dc448ep-6, 0x1.e7554bfcc8bc1p-6, 0x1.dd15ea6f4d758p-6, 0x1.d308a6ee63478p-6, 0x1.c92caa8ac1918p-6, 0x1.bf81211268a92p-6, 0x1.b6053852cde71p-6, 0x1.acb821f3b7107p-6, 0x1.a39911e205a9dp-6, 0x1.9aa742a449ffcp-6, 0x1.91e1ea1c38089p-6, 0x1.8948459792865p-6, 0x1.80d99619a6055p-6, 0x1.78951ddd0c608p-6, 0x1.707a2173c587fp-6, 0x1.6887e6a8e1ca9p-6, 0x1.60bdbf859225ap-6, 0x1.591aee00a9a18p-6, 0x1.519ecbb9f4681p-6, 0x1.4a48a560b7fp-6, 0x1.4317d0959924cp-6, 0x1.3c0ba566e4c9p-6, 0x1.35237e0538cc5p-6, 0x1.2e5eb638437cep-6, 0x1.27bcac962adf5p-6, 0x1.213cc3cb1326cp-6, 0x1.1ade5e022ff48p-6, 0x1.14a0e1e502a03p-6, 0x1.0e83b691c25f3p-6, 0x1.08864b7055678p-6, 0x1.02a8053a6f8e2p-6, 0x1.f9d0b29e86f69p-7, 0x1.ee8d6f6b32775p-7, 0x1.e38527a680651p-7, 0x1.d8b6c564014c2p-7, 0x1.ce213bcf25ba2p-7, 0x1.c3c37dc47ea15p-7, 0x1.b99c85aaebd45p-7, 0x1.afab4b1d9fad6p-7, 0x1.a5eecf76cf8b6p-7, 0x1.9c661d24b203cp-7, 0x1.9310367bfce6ep-7, 0x1.89ec2b9485078p-7, 0x1.80f90ca8b66c1p-7, 0x1.7835ef2ea7d9p-7, 0x1.6fa1e9d182b03p-7, 0x1.673c18bbfebd9p-7, 0x1.5f039d304992p-7, 0x1.56f798a79b61dp-7, 0x1.4f1732f148699p-7, 0x1.476196529bb46p-7, 0x1.3fd5f1cdd2c54p-7, 0x1.387376282a874p-7, 0x1.313958b598dffp-7, 0x1.2a26d1c5463e6p-7, 0x1.233b1dbba02e5p-7, 0x1.1c757b63080f5p-7, 0x1.15d52c7c42c28p-7, 0x1.0f59773cd5b31p-7, 0x1.0901a2fedf6f3p-7, 0x1.02ccfd6955b7ep-7, 0x1.f975a8cf0179cp-8, 0x1.ed94f5ca171d3p-8, 0x1.e1f689ef6885dp-8, 0x1.d6991539b5bcp-8, 0x1.cb7b4b9c5a436p-8, 0x1.c09beb4a0c16cp-8, 0x1.b5f9b18b267dp-8, 0x1.ab9372595c12fp-8, 0x1.a167e72dfeedcp-8, 0x1.9775ee327d7f3p-8, 0x1.8dbc473351da3p-8, 0x1.8439f225b069p-8, 0x1.7aedbf1f28cd6p-8, 0x1.71d68f85c6a52p-8, 0x1.68f34f457c948p-8, 0x1.6043027f14878p-8, 0x1.57c474ae900dcp-8, 0x1.4f76df80c67b3p-8, 0x1.4758f04171e4ep-8, 0x1.3f69fd975cc1dp-8, 0x1.37a8e00df47fp-8, 0x1.3014a9b2375abp-8, 0x1.28ac7302b018ep-8, 0x1.216f4b595a1bcp-8, 0x1.1a5c4f5452d3bp-8, 0x1.1372a03970918p-8, 0x1.0cb15eacbb3a2p-8, 0x1.0617aec16e888p-8, 0x1.ff497c857e76ap-9, 0x1.f2af716d6bfdp-9, 0x1.e65fac420fc1cp-9, 0x1.da58928fc9d4ep-9, 0x1.ce98966c82eeap-9, 0x1.c31e3b51a3df6p-9, 0x1.b7e7fd89951dbp-9, 0x1.acf46c5591df3p-9, 0x1.a24218c7743adp-9, 0x1.97cf9c8fefc5bp-9, 0x1.8d9b95c1d6bf1p-9, 0x1.83a4ac52ba5a9p-9, 0x1.79e98dc40681cp-9, 0x1.7068eded588b1p-9, 0x1.6721884e8f361p-9, 0x1.5e1221db6f982p-9, 0x1.553979267f66ep-9, 0x1.4c96621ba353ep-9, 0x1.4427aeb7aa13ap-9, 0x1.3bec366baacddp-9, 0x1.33e2d565d0a1p-9, 0x1.2c0a79872d32fp-9, 0x1.2462068bc5242p-9, 0x1.1ce86f4d815bap-9, 0x1.159ca82a3d41cp-9, 0x1.0e7dabf99b539p-9, 0x1.078a7ff2fd565p-9, 0x1.00c228c5a163dp-9, 0x1.f447640691b2p-10, 0x1.e75c465677c92p-10, 0x1.dac1238985fedp-10, 0x1.ce7448e739431p-10, 0x1.c273d50882426p-10, 0x1.b6be14c4cf1efp-10, 0x1.ab51593c8bd0ep-10, 0x1.a02c08c243349p-10, 0x1.954c55b7b3ac8p-10, 0x1.8ab0e389bc7d3p-10, 0x1.805805a7d74f3p-10, 0x1.76403ef5d4069p-10, 0x1.6c68073e40ca6p-10, 0x1.62cdf78b59dffp-10, 0x1.597095b14ffep-10, 0x1.504e7c5b61ddap-10, 0x1.47664c69c2174p-10, 0x1.3eb6a97a59b83p-10, 0x1.363e500381beep-10, 0x1.2dfbef1670a29p-10, 0x1.25ee71cfe9dafp-10, 0x1.1e140c3a8a39cp-10, 0x1.166c5d07c9ccap-10, 0x1.0ef5ad52dd8d6p-10, 0x1.07aef1c83eea6p-10, 0x1.009714e8bd48cp-10, 0x1.f359d29c2d059p-11, 0x1.e5decdf5a6a3p-11, 0x1.d8bae0c0982b8p-11, 0x1.cbec3d5e0de39p-11, 0x1.bf70a92070e29p-11, 0x1.b3463b2830348p-11, 0x1.a76b0f9a751ecp-11, 0x1.9bdd3b305e863p-11, 0x1.909ad531224c5p-11, 0x1.85a21a0af4b73p-11, 0x1.7af10ed366621p-11, 0x1.7086fd75e1f5ep-11, 0x1.66608f0d48239p-11, 0x1.5c7d4016ba9e2p-11, 0x1.52db33cb4b5cap-11, 0x1.4978ca2381666p-11, 0x1.4054793257e4p-11, 0x1.376cbd6d7765cp-11, 0x1.2ec01c312b7a3p-11, 0x1.264d4c44d2dd1p-11, 0x1.1e12c9ed6ebd3p-11, 0x1.160f2119b9fcep-11, 0x1.0e410ba9b8747p-11, 0x1.06a73dbd486fep-11, 0x1.fe80c00afb14fp-12, 0x1.f01676041740dp-12, 0x1.e20cd509c02cfp-12, 0x1.d461cf63fb2e7p-12, 0x1.c712e02589354p-12, 0x1.ba1de06a77343p-12, 0x1.ad8130a4c7cdfp-12, 0x1.a1399668c3d2ep-12, 0x1.95459569dc6fep-12, 0x1.89a2bfe242134p-12, 0x1.7e4f8826232fdp-12, 0x1.7349e1cf04694p-12, 0x1.688f6c4af667p-12, 0x1.5e1e5f14aa6ebp-12, 0x1.53f4d587e3367p-12, 0x1.4a11271bf161ap-12, 0x1.40715f64063d1p-12, 0x1.3713bfa7c1c58p-12, 0x1.2df6fb8a31034p-12, 0x1.25190d76f06dap-12, 0x1.1c7884a9867c2p-12, 0x1.1413ddac8278fp-12, 0x1.0be9ad3b671a5p-12, 0x1.03f85cd9a829ep-12, 0x1.f87d3bdf0ce2fp-13, 0x1.e975bcb1a191dp-13, 0x1.dad77744a8735p-13, 0x1.cca08efe62fd9p-13, 0x1.becbd90eb99a9p-13, 0x1.b159c51bac4cep-13, 0x1.a445d7d5cd2dcp-13, 0x1.978e56cb0e30ep-13, 0x1.8b30764a2d03ap-13, 0x1.7f29f69e25a9dp-13, 0x1.737833278b248p-13, 0x1.681a0c1b38008p-13, 0x1.5d0be1434ed06p-13, 0x1.524d4253b662p-13, 0x1.47db28a43ca21p-13, 0x1.3db41cd8ccdf4p-13, 0x1.33d5d95206f41p-13, 0x1.2a3ebd9ffeafp-13, 0x1.20ec7e4f93c82p-13, 0x1.17ddf2ea82d56p-13, 0x1.0f10cf38c65eep-13, 0x1.06835ead0ef4fp-13, 0x1.fc682d4ebe1c5p-14, 0x1.ec42319e7ea45p-14, 0x1.dc91765fdf7f3p-14, 0x1.cd5295840e297p-14, 0x1.be827cc87292cp-14, 0x1.b01e41c7bd391p-14, 0x1.a222f6d14a2p-14, 0x1.948ff2cfcc78fp-14, 0x1.875ccac2c70d4p-14, 0x1.7a8da89a8ca53p-14, 0x1.6e1d1b316a8c5p-14, 0x1.62092546159c6p-14, 0x1.564f314711a1cp-14, 0x1.4aec7ee6b2808p-14, 0x1.3fde9d2703141p-14, 0x1.3523c1e9dbe5ap-14, 0x1.2ab949c4fa66cp-14, 0x1.209c9d2a8554dp-14, 0x1.16cbdfbadef0fp-14, 0x1.0d44ffb00d80ep-14, 0x1.0405d3ae0320ep-14, 0x1.f6185ba299644p-15, 0x1.e4ac512891c74p-15, 0x1.d3c411ea56375p-15, 0x1.c35af7ec5f59p-15, 0x1.b36e7f9f0d4c6p-15, 0x1.a3fe264a84db8p-15, 0x1.95023a28de2bcp-15, 0x1.867bcd0622cf5p-15, 0x1.786689d2e3719p-15, 0x1.6abdf22cfb2d5p-15, 0x1.5d7f14880a32ep-15, 0x1.50a721646844fp-15, 0x1.44332e693a11cp-15, 0x1.38205c5211039p-15, 0x1.2c6ac4f169338p-15, 0x1.2115d3f1b35fap-15, 0x1.1612706aa9134p-15, 0x1.0b691f660b7e3p-15, 0x1.011523cbe4993p-15, 0x1.ee1b1011e20bcp-16, 0x1.dab832369afd3p-16, 0x1.c7eadb2c63abp-16, 0x1.b5b4f9e876a0ap-16, 0x1.a40f4ba10d15dp-16, 0x1.92f7f7c8caf13p-16, 0x1.826cc684bd2eep-16, 0x1.726b17766bcf1p-16, 0x1.62ead36760ed4p-16, 0x1.53e7a06a09fccp-16, 0x1.4563f77935cccp-16, 0x1.3753a3f3675c9p-16, 0x1.29b911a9f26fap-16, 0x1.1c8e581408157p-16, 0x1.0fcfef2567aa9p-16, 0x1.037ca7e282965p-16, 0x1.ef1dde833e6e2p-17, 0x1.d80fd1c3a09d6p-17, 0x1.c1c15a4658b96p-17, 0x1.ac347b1026449p-17, 0x1.975b61e1702f1p-17, 0x1.8338ee160009p-17, 0x1.6fbfe7564b3f5p-17, 0x1.5cf347e557f9ep-17, 0x1.4ac9d5510140ap-17, 0x1.3945f24c9dd88p-17, 0x1.2856e66567859p-17, 0x1.17fb02dcceb22p-17, 0x1.082224b91dc8fp-17, 0x1.f1d1e67cd3f16p-18, 0x1.d489edeb77149p-18, 0x1.b82c52359a33cp-18, 0x1.9cd628c099eafp-18, 0x1.827cf3ecc81dfp-18, 0x1.690e5d63007f8p-18, 0x1.508ba65a0532bp-18, 0x1.38f41d001f6fp-18, 0x1.2232e44618374p-18, 0x1.0c3c979bb51dcp-18, 0x1.ee70ad2c1d2ecp-19, 0x1.c5c7fad6196b3p-19, 0x1.9ec5a9f588b1dp-19, 0x1.7934ccf864d9bp-19, 0x1.552700c5ed43ap-19, 0x1.327e4435b4788p-19, 0x1.112561e514df5p-19, 0x1.e23315f18bb19p-20, 0x1.a4c0c9b65d33fp-20, 0x1.6a3812167d11p-20, 0x1.3120ce823f17dp-20, 0x1.f60d8f58685f3p-21, 0x1.8e159cfba00dcp-21, 0x1.2a92f580723a9p-21, 0x1.969dd378afcb5p-22, 0x1.c0226e659466fp-23, 0x1.8b44554f2815bp-25, -0x1.d5d5c99b7ab04p-24, -0x1.149f744a4e875p-22, -0x1.ac83013534934p-22, -0x1.1eb47f3922a4dp-21, -0x1.63b99bf22c90ep-21, -0x1.a58887db2163fp-21, -0x1.e3ce306912fb1p-21, -0x1.0fb7834e5055fp-20, -0x1.2bedeaf3a39d2p-20, -0x1.46b0eb939062ap-20, -0x1.600086c50f8e1p-20, -0x1.779d4e3d54c83p-20, -0x1.8ed3c77c95fb6p-20, -0x1.a42da360737afp-20, -0x1.b8576fcd9bef7p-20, -0x1.cb46d675916e3p-20, -0x1.dd1837ddaaf7dp-20, -0x1.edd5111ce11ffp-20, -0x1.fd68d16157ee1p-20, -0x1.05fe428b0b0e9p-19, -0x1.0ccd14dc97d77p-19, -0x1.130cc2cdc587cp-19, -0x1.18df7261c5e98p-19, -0x1.1e44192c96f39p-19, -0x1.23332a3b72626p-19, -0x1.27bab0151eabdp-19, -0x1.2bd06e9724fb9p-19, -0x1.2f7e292ce3468p-19, -0x1.32c958480a95dp-19, -0x1.35c67abd7c8a1p-19, -0x1.387c42d930b37p-19, -0x1.3a90a84164a84p-19, -0x1.3c7bd04b9c31fp-19, -0x1.3e18c288ca1dp-19, -0x1.3f5d14e137568p-19, -0x1.404dd78a524f6p-19, -0x1.40ff678b9cecfp-19, -0x1.416d33346071dp-19, -0x1.41954007776b5p-19, -0x1.417beae4c2369p-19, -0x1.4126c28a7653fp-19, -0x1.407c9938df6bbp-19, -0x1.3f89f54b67a4ep-19, -0x1.3eaf7f281bddp-19, -0x1.3d680be8bced1p-19, -0x1.3bf86492c3f47p-19, -0x1.3a4fe799b5659p-19, -0x1.387d200bff4e6p-19, -0x1.36829dc8ee94fp-19, -0x1.344f37144b3d6p-19, -0x1.31f2e6fd26e2ep-19, -0x1.2f668328ccbfdp-19, -0x1.2cd397768b30fp-19, -0x1.29fd87947a145p-19, -0x1.27175167ba26dp-19, -0x1.240cd05787539p-19, -0x1.20dd8a9964283p-19, -0x1.1d9d5f35afa45p-19, -0x1.1a1fa55a47855p-19, -0x1.1694ff74eb8c7p-19, -0x1.12f234f1e7e62p-19, -0x1.0f3d1cef114bep-19, -0x1.0b6c17815d85bp-19, -0x1.077dcc40a3e8bp-19, -0x1.03824a0832869p-19, -0x1.fec8d8a99a309p-20, -0x1.f67f1fa14ae2p-20, -0x1.ee0cc1a71c933p-20, -0x1.e5724cb9d3f7bp-20, -0x1.dcde7b0d3b2e7p-20, -0x1.d405e01b83088p-20, -0x1.cb19b8dd9646dp-20, -0x1.c24b64d67e563p-20, -0x1.b947d67fde42ep-20, -0x1.afc924cf98fe7p-20, -0x1.a6846cf64bc49p-20, -0x1.9d2d8aafe4acfp-20, -0x1.93c3cc2f147dbp-20, -0x1.8a4a7f5c16d63p-20, -0x1.80c4efff524c9p-20, -0x1.7732655219d3bp-20, -0x1.6d9244560b3b2p-20, -0x1.63e4b180b3fa1p-20, -0x1.5a20ef3982889p-20, -0x1.508e144f50174p-20, -0x1.46c1f2f5a1771p-20, -0x1.3d1072be52a87p-20, -0x1.334f2d995cc8fp-20, -0x1.297b02f216027p-20, -0x1.1fad15c13b659p-20, -0x1.15b0ccd8eaefcp-20, -0x1.0c2b003850ec4p-20, -0x1.0262de9dc3b73p-20, -0x1.f115105943bf5p-21, -0x1.dda3373c4e8c5p-21, -0x1.ca45899980c16p-21, -0x1.b7060532d5344p-21, -0x1.a38ba4019f13bp-21, -0x1.904972449b292p-21, -0x1.7d24c00648cp-21, -0x1.69e0bbf99156bp-21, -0x1.56b2c14b38057p-21, -0x1.43ae165736273p-21, -0x1.30c3eb166492ap-21, -0x1.1df821e2f9bdep-21, -0x1.0b579503bcea1p-21, -0x1.f15ce18e98ecdp-22, -0x1.cc45aa49dd3edp-22, -0x1.a7350190821fep-22, -0x1.82a50f8c3985dp-22, -0x1.5e44f7cebc909p-22, -0x1.3a289b825396ep-22, -0x1.16626849c6c0ap-22, -0x1.e5c87bbd0d8b7p-23, -0x1.9e842c3b43bf6p-23, -0x1.586946061736ep-23, -0x1.12fc0d973a75fp-23, -0x1.9cecdf45d15cdp-24, -0x1.122ed8073fcedp-24, -0x1.155005f73620dp-25, -0x1.d6a74bdcf6c3ep-31, 0x1.09e62caa71d5ap-25, 0x1.0563482c5cbb3p-24, 0x1.881cc52a9c464p-24, 0x1.048c4e49eb334p-23, 0x1.448e8cdc978fap-23, 0x1.84615ef6e5c11p-23, 0x1.c33a95b545ce9p-23, 0x1.00aa34d3ebd02p-22, 0x1.210505c77c0c4p-22, 0x1.3df2a30fe2dadp-22, 0x1.5c30806d9d82p-22, 0x1.79d1484fe1561p-22, 0x1.974168c95e93p-22, 0x1.b4556e5040bcfp-22, 0x1.d1978f6153971p-22, 0x1.eced161eb84fp-22, 0x1.04807e665d8ddp-21, 0x1.1244e92661c99p-21, 0x1.1fdf6e949c999p-21, 0x1.2d73d919d2a1bp-21, 0x1.3abf6d5da7caep-21, 0x1.47ba2a2d1c38cp-21, 0x1.545cab24368bp-21, 0x1.6148823f0bce5p-21, 0x1.6dc6ebf9710ap-21, 0x1.7a21880a0384p-21, 0x1.8654c275a4a11p-21, 0x1.923f8a2c6c538p-21, 0x1.9e0d8e4d69effp-21, 0x1.a9b98458a8d0bp-21, 0x1.b51e121a755c1p-21, 0x1.c058c780e12b7p-21, 0x1.cb4246039206p-21, 0x1.d63c17e8d33bep-21, 0x1.e0d558a96eba5p-21, 0x1.eb6abb291dc9ep-21, 0x1.f5b3af69c2fb3p-21, 0x1.ffc6f48424ba1p-21, 0x1.04e59a032cb24p-20, 0x1.09ca8ea342319p-20, 0x1.0e942b358f16cp-20, 0x1.1344e22bd6497p-20, 0x1.17dea5f136d73p-20, 0x1.1c63122bc0401p-20, 0x1.20d5cba5f331fp-20, 0x1.252ab4370852dp-20, 0x1.296909867115fp-20, 0x1.2d90d0131607dp-20, 0x1.31aa98c3b73b9p-20, 0x1.359205a3233c5p-20, 0x1.39881464e857cp-20, 0x1.3d604ba3ce552p-20, 0x1.411dab01e151bp-20, 0x1.449f444922ec4p-20, 0x1.483e85abe56dbp-20, 0x1.4bb05d62f5191p-20, 0x1.4f4ea9f588e31p-20, 0x1.52820e873fc19p-20, 0x1.5589748d6cbf8p-20, 0x1.58792def848a3p-20, 0x1.5ba89111c3d4fp-20, 0x1.5ec26c145af69p-20, 0x1.61a63158d0339p-20, 0x1.64783db469944p-20, 0x1.6726b774bb8b8p-20, 0x1.69cc85493a734p-20, 0x1.6c70cd09f470cp-20, 0x1.6ed560f293e93p-20, 0x1.7135d9802390cp-20, 0x1.738f685880891p-20, 0x1.75d08982e1ffdp-20, 0x1.7802ef2f71bf2p-20, 0x1.7a2c98caa7f29p-20, 0x1.7c3124c57f4d3p-20, 0x1.7e2280701ab7ep-20, 0x1.7ff0356a22fe1p-20, 0x1.81b846a86824ap-20, 0x1.837cc4660cffep-20, 0x1.851a284a01866p-20, 0x1.86aec02174b43p-20, 0x1.882eb7bfc44a1p-20, 0x1.89a89dc3de1a3p-20, 0x1.8b0680edf467ep-20, 0x1.8c512cb63bfe7p-20, 0x1.8d8c0e94d0e3dp-20, 0x1.8eb6cecfaf553p-20, 0x1.8fd2157b0c0e5p-20, 0x1.90ddbfbe9ad2dp-20, 0x1.91db198e9b97ap-20, 0x1.92dc764dd5884p-20, 0x1.9394fdd67884cp-20, 0x1.9468599d16509p-20, 0x1.9518620d04663p-20, 0x1.95c0e172bf18bp-20, 0x1.9658604952e51p-20, 0x1.96d0965cb6323p-20, 0x1.975568e5678c5p-20, 0x1.97be8eb6f6be1p-20, 0x1.98118663b3fcap-20, 0x1.986cad9d4c90ap-20, 0x1.98a8cef14c409p-20, 0x1.98cbc6869d1b9p-20, 0x1.98c3e2787da8ep-20, 0x1.98fee9efa8a5ep-20, 0x1.99166a15c15d6p-20, 0x1.990fb35d8f92p-20, 0x1.98e9cc19c72fcp-20, 0x1.98d440653f32p-20, 0x1.989e14b524e6ap-20, 0x1.986a07258d855p-20, 0x1.981dd01c45cd9p-20, 0x1.9799e9bb801e6p-20, 0x1.975330e3e7866p-20, 0x1.96ea82567b0f4p-20, 0x1.967805eb10b27p-20, 0x1.95f210a98512p-20, 0x1.9561dc5d3da73p-20, 0x1.94bb3b556dbb9p-20, 0x1.940e924975581p-20, 0x1.93629763b1533p-20, 0x1.929871aaab6cp-20, 0x1.91d950780f65dp-20, 0x1.90ed77511a1e4p-20, 0x1.901a8e27c9da3p-20, 0x1.8f2ade4bfb131p-20, 0x1.8e36ddd11b989p-20, 0x1.8d3adac346bfdp-20, 0x1.8c35398daf07ap-20, 0x1.8b25cf3cb1385p-20, 0x1.8a0954bdecbc7p-20, 0x1.88eb3d2f426d6p-20, 0x1.87ab3d6762397p-20, 0x1.867d5a2e81c56p-20, 0x1.853fd3a04b6a3p-20, 0x1.83f801eced1bcp-20, 0x1.82a868312b562p-20, 0x1.814e056626dc6p-20, 0x1.7fe91d372099fp-20, 0x1.7e7e31e77c744p-20, 0x1.7d150e5fdb2fap-20, 0x1.7b93df41abda9p-20, 0x1.7a3aba405127p-20, 0x1.789209c73ea43p-20, 0x1.770a4b41f5c9p-20, 0x1.75743bc17452ap-20, 0x1.73d7c40021ef8p-20, 0x1.722d0882fc1acp-20, 0x1.7080d511be031p-20, 0x1.6ecd001fb7044p-20, 0x1.6d1cfe2d8d5bep-20, 0x1.6b49da6384807p-20, 0x1.6997c388a60bap-20, 0x1.67cd10a37cf5bp-20, 0x1.6612898ed19bcp-20, 0x1.6427165a4b6d7p-20, 0x1.625ceded12059p-20, 0x1.607ad0785e9ecp-20, 0x1.5e90b97a2eb5bp-20, 0x1.5ca9dcf1e1b26p-20, 0x1.5ac208c06441fp-20, 0x1.58bef4afb25c9p-20, 0x1.56c4d865e6ea2p-20, 0x1.54c3eebf75d6ep-20, 0x1.52cbd5d83a68fp-20, 0x1.50ce882ca5d1dp-20, 0x1.4eb75e53090e4p-20, 0x1.4cb6c0ffd7ed2p-20, 0x1.4a94b2556966dp-20, 0x1.488bc03ebb6bfp-20, 0x1.4671790f240a2p-20, 0x1.4458112cf9374p-20, 0x1.422999af6fd8p-20, 0x1.401371fd782bfp-20, 0x1.3ddea5861ee21p-20, 0x1.3bbcdc84bb617p-20, 0x1.398a23fb8a68ap-20, 0x1.37604e5c33796p-20, 0x1.35294b118d805p-20, 0x1.32fb83128b1cbp-20, 0x1.30c1d5ed8ea22p-20, 0x1.2e8d5a47f05p-20, 0x1.2c574df7f4c07p-20, 0x1.2a0928ea2beddp-20, 0x1.27ca68d7f2a2fp-20, 0x1.258448ed9c8ccp-20, 0x1.23528ecf5b3fap-20, 0x1.210854ef37266p-20, 0x1.1eaeaf2aeea28p-20, 0x1.1c6e6b3185625p-20, 0x1.1a2628e36ee41p-20, 0x1.17bea40fd491ap-20, 0x1.1585d028aefa8p-20, 0x1.133202af7c69fp-20, 0x1.10e8a81daeeabp-20, 0x1.0e9be9e2a3f55p-20, 0x1.0c51e5617817ap-20, 0x1.09f63e6e2fc68p-20, 0x1.079f08a5528b5p-20, 0x1.0543f927019e6p-20, 0x1.02f10bcefc23p-20, 0x1.009b3b92be43bp-20, 0x1.fc9553fded1f3p-21, 0x1.f7f706dbbdf73p-21, 0x1.f33bde7dead05p-21, 0x1.ee920a078a518p-21, 0x1.e9def694272ebp-21, 0x1.e52383436c483p-21, 0x1.e0809efae9421p-21, 0x1.dbc7250fb8366p-21, 0x1.d723f7800863fp-21, 0x1.d275fe660edc2p-21, 0x1.cdc42c180bfccp-21, 0x1.c9202c722d4a3p-21, 0x1.c478af516c7c9p-21, 0x1.bfbb5f1e83c47p-21, 0x1.bb28f50644e2cp-21, 0x1.b67734a6e6082p-21, 0x1.b1d793b021f9dp-21, 0x1.ad3f280d43b25p-21, 0x1.a89a4b9d63ccbp-21, 0x1.a3f0905318f09p-21, 0x1.9f4f0d0e880ap-21, 0x1.9ab44982b2db6p-21, 0x1.961d75e76a37fp-21, 0x1.9183a319c14e9p-21, 0x1.8cca7c17ffef1p-21, 0x1.885f5fbfe9b97p-21, 0x1.83dce15bf573cp-21, 0x1.7f3a91b4244aap-21, 0x1.7ac0f195d2efdp-21, 0x1.763491c200356p-21, 0x1.71a3c963c2864p-21, 0x1.6d1baa402b8d1p-21, 0x1.68a23aba655eep-21, 0x1.6426ad2398403p-21, 0x1.5fb7565b2a6c4p-21, 0x1.5b42c1f9813d2p-21, 0x1.56cc6e9e7e7e9p-21, 0x1.524b73b23a616p-21, 0x1.4df4be9222c73p-21, }}, 
      {{-0x1.4c1aee615380ep-7, -0x1.2debaf82ef7cfp-5, -0x1.29e6ddc25a3b3p-4, -0x1.c4a46ad701562p-4, -0x1.280b5caafa737p-3, -0x1.5e6f5961b9b69p-3, -0x1.8146090d4da6dp-3, -0x1.8f156343d7494p-3, -0x1.885ef2308a56cp-3, -0x1.6ef42b2aca059p-3, -0x1.456b95d29b7a3p-3, -0x1.0eb8d233fb0e6p-3, -0x1.9bc77a42fef3bp-4, -0x1.0bb02f9eee4d3p-4, -0x1.ca3c08100c5c3p-6, 0x1.56766f2f25a9dp-7, 0x1.9082e3ccad15bp-5, 0x1.6249c322f6731p-4, 0x1.f60c572296fa1p-4, 0x1.40a3ce4bb69e5p-3, 0x1.812350d34f204p-3, 0x1.bbe9319739699p-3, 0x1.f09120c48bf76p-3, 0x1.0f73238795df7p-2, 0x1.236dea552aff3p-2, 0x1.3442fd51b49c6p-2, 0x1.4209c0d7605ffp-2, 0x1.4ce3fdde91aa3p-2, 0x1.54fb52f867d6ep-2, 0x1.5a7ef7a715b69p-2, 0x1.5da1d66cd78e1p-2, 0x1.5e98f1e7046e8p-2, 0x1.5d9a10bb8842bp-2, 0x1.5adaacf92a0c9p-2, 0x1.568f199a9bb7ap-2, 0x1.50e9dcd3a1fb3p-2, 0x1.4a1b320a9974bp-2, 0x1.4250b2e778036p-2, 0x1.39b51a7bcab31p-2, 0x1.307027b1337d7p-2, 0x1.26a68c5ae55b4p-2, 0x1.1c79edbbf9e9fp-2, 0x1.1208f3d31e4bbp-2, 0x1.076f5f6c5a7d3p-2, 0x1.f98c50971cda2p-3, 0x1.e447328237ca1p-3, 0x1.cf36f23d9815ap-3, 0x1.ba7e61312e449p-3, 0x1.a63be080c6f7dp-3, 0x1.9289ad8119389p-3, 0x1.7f7e3017bb6f5p-3, 0x1.6d2c4f20c1383p-3, 0x1.5ba3b224e0e4bp-3, 0x1.4af10d9cf7952p-3, 0x1.3b1e65fa43e2cp-3, 0x1.2c334d2c81c2bp-3, 0x1.1e352228f985cp-3, 0x1.11274a80a5f22p-3, 0x1.050b644e00b58p-3, 0x1.f3c2f16759dc5p-4, 0x1.df50577021b98p-4, 0x1.ccb9c088a68bep-4, 0x1.bbf7cb535f23fp-4, 0x1.ad013212a97c9p-4, 0x1.9fcb0a016b91ep-4, 0x1.94490cc489745p-4, 0x1.8a6dc805e89cap-4, 0x1.822ad5bbb3132p-4, 0x1.7b71097cec30fp-4, 0x1.76309e7a65b66p-4, 0x1.725958f068eb2p-4, 0x1.6fdaa43f7dacfp-4, 0x1.6ea3cb1481c69p-4, 0x1.6ea3ef3b758a9p-4, 0x1.6fca3d18a3a37p-4, 0x1.7205facd39e42p-4, 0x1.75469764f68ddp-4, 0x1.797bc1e99cb6ep-4, 0x1.7e9573d1cb618p-4, 0x1.8483fd9cf3f12p-4, 0x1.8b3812ca4d365p-4, 0x1.92a2d32ec3a51p-4, 0x1.9ab5ce8c3ce25p-4, 0x1.a3630f0181a4cp-4, 0x1.ac9d18a37b0e2p-4, 0x1.b656efcd3429bp-4, 0x1.c0841a2d9bb2dp-4, 0x1.cb18a78037f72p-4, 0x1.d6091c07bd4d6p-4, 0x1.e14a8ee75e7d7p-4, 0x1.ecd28f530960ap-4, 0x1.f897326cd15cdp-4, 0x1.0247865e580d2p-3, 0x1.085897667ab85p-3, 0x1.0e7a91ad190c5p-3, 0x1.14a9750d348eap-3, 0x1.1ae17c8260196p-3, 0x1.211f1c2082369p-3, 0x1.275efe9373f0dp-3, 0x1.2d9e02185b264p-3, 0x1.33d938afcb277p-3, 0x1.3a0de5a0eae3cp-3, 0x1.40397b5304623p-3, 0x1.46599a740115fp-3, 0x1.4c6c0e9197ee3p-3, 0x1.526ecd8b65786p-3, 0x1.585ff595b6a88p-3, 0x1.5e3dca92b93bcp-3, 0x1.6406b4a591b21p-3, 0x1.69b941fe2d04ap-3, 0x1.6f541b098b452p-3, 0x1.74d6115459995p-3, 0x1.7a3e0a274837ep-3, 0x1.7f8b0eb467fbp-3, 0x1.84bc3f909c96bp-3, 0x1.89d0d72097813p-3, 0x1.8ec8284006c27p-3, 0x1.93a19b4117892p-3, 0x1.985cae591eee6p-3, 0x1.9cf8f341e24f6p-3, 0x1.a1760e3ae8051p-3, 0x1.a5d3b5678bce1p-3, 0x1.aa11ae28f6ddp-3, 0x1.ae2fcd7fb9261p-3, 0x1.b22df6a281f8cp-3, 0x1.b60c1960dc1c2p-3, 0x1.b9ca321f4d9c4p-3, 0x1.bd6848abcc543p-3, 0x1.c0e66e03ab5p-3, 0x1.c444bda364609p-3, 0x1.c7835b7cf71a3p-3, 0x1.caa273a7d669fp-3, 0x1.cda2392471ee5p-3, 0x1.d082e69cdda85p-3, 0x1.d344bb7332a2cp-3, 0x1.d5e7fdc9419dp-3, 0x1.d86cf7d1b7621p-3, 0x1.dad3f798133c7p-3, 0x1.dd1d52f3b9ac9p-3, 0x1.df495d1d313dcp-3, 0x1.e15872f33ca32p-3, 0x1.e34aee5098e7ep-3, 0x1.e5212f445b342p-3, 0x1.e6db96615db46p-3, 0x1.e87a8611c7f36p-3, 0x1.e9fe6319ed69dp-3, 0x1.eb67928596cc3p-3, 0x1.ecb67a944a231p-3, 0x1.edeb830efd209p-3, 0x1.ef0712b7332e5p-3, 0x1.f0099193f7a79p-3, 0x1.f0f367d035e7dp-3, 0x1.f1c4fda75d92cp-3, 0x1.f27ebafced939p-3, 0x1.f32107bfc6faep-3, 0x1.f3ac4b045e15ap-3, 0x1.f420ebbf56e38p-3, 0x1.f47f4ffba6488p-3, 0x1.f4c7dd9838f7p-3, 0x1.f4faf8fc05a93p-3, 0x1.f51906a3f7cd2p-3, 0x1.f522698c222d4p-3, 0x1.f51784257128fp-3, 0x1.f4f8b7601c8c5p-3, 0x1.f4c6638606407p-3, 0x1.f480e7dfce13p-3, 0x1.f428a26d34e4bp-3, 0x1.f3bdf09c47c15p-3, 0x1.f3412e16616bbp-3, 0x1.f2b2b54965f63p-3, 0x1.f212e0e798cbap-3, 0x1.f16208c075e77p-3, 0x1.f0a0849987ae5p-3, 0x1.efceab4ca3522p-3, 0x1.eeecd0b65b6f5p-3, 0x1.edfb49959219dp-3, 0x1.ecfa69598aeb5p-3, 0x1.ebea817a34674p-3, 0x1.eacbe25149213p-3, 0x1.e99eddf871f14p-3, 0x1.e863bfefaf699p-3, 0x1.e71ad5d1438bfp-3, 0x1.e5c46f2f8d1c7p-3, 0x1.e460d574f3fdap-3, 0x1.e2f0538d2b0f6p-3, 0x1.e173330968831p-3, 0x1.dfe9bca07cd02p-3, 0x1.de543805c27dfp-3, 0x1.dcb2ebb69e85dp-3, 0x1.db061d90475fap-3, 0x1.d94e12e7a1e48p-3, 0x1.d78b0f85f4b69p-3, 0x1.d5bd567060366p-3, 0x1.d3e529e667cc4p-3, 0x1.d202cbb59d45fp-3, 0x1.d0167cbfea701p-3, 0x1.ce207d3a6e6b5p-3, 0x1.cc210b31af6b8p-3, 0x1.ca1865eade544p-3, 0x1.c806ca53a8ecfp-3, 0x1.c5ec76153aa11p-3, 0x1.c3c9a481cdc3ap-3, 0x1.c19e91998c3c8p-3, 0x1.bf6b787c7aa3ap-3, 0x1.bd3092e7e6386p-3, 0x1.baee1a046b227p-3, 0x1.b8a446c4d4376p-3, 0x1.b653514d4b3c4p-3, 0x1.b3fb7126a81a4p-3, 0x1.b19cdd0ae3365p-3, 0x1.af37cb15353fbp-3, 0x1.accc70cdf7ff9p-3, 0x1.aa5b0357925bcp-3, 0x1.a7e3b6ebf704cp-3, 0x1.a566c0bcfeb88p-3, 0x1.a2e450a5db5d9p-3, 0x1.a05c9d42bb227p-3, 0x1.9dcfd5ccf269fp-3, 0x1.9b3e2cbc68aabp-3, 0x1.98a7d30daebbp-3, 0x1.960cf8fe076f6p-3, 0x1.936dce7cf0889p-3, 0x1.90ca82a5ab311p-3, 0x1.8e23441d08718p-3, 0x1.8b7841052dc7ap-3, 0x1.88c9a701319edp-3, 0x1.8617a34ad6d74p-3, 0x1.8362627c38641p-3, 0x1.80aa107f01487p-3, 0x1.7deed9038bc43p-3, 0x1.7b30e571a147dp-3, 0x1.787062827299bp-3, 0x1.75ad78af53666p-3, 0x1.72e851c7b52c1p-3, 0x1.702116a0b4982p-3, 0x1.6d57ef6adf371p-3, 0x1.6a8d03fa18669p-3, 0x1.67c07b6d24abep-3, 0x1.64f27cadc8931p-3, 0x1.62232d890fd51p-3, 0x1.5f52b442abf4bp-3, 0x1.5c8135e63244p-3, 0x1.59aed70da8febp-3, 0x1.56dbbbb23711ap-3, 0x1.5408079577a65p-3, 0x1.5133dd3f00a52p-3, 0x1.4e5f60f0bc778p-3, 0x1.4b8ab2399e64dp-3, 0x1.48b5f4f4ed26p-3, 0x1.45e14906b1c65p-3, 0x1.430ccf1df03c4p-3, 0x1.4038a73593c5dp-3, 0x1.3d64f0a8f30dbp-3, 0x1.3a91caaad4f51p-3, 0x1.37bf537880476p-3, 0x1.34eda9172cfccp-3, 0x1.321ce8ef1d9e7p-3, 0x1.2f4d301c6440fp-3, 0x1.2c7e9a1f245f1p-3, 0x1.29b14533e5031p-3, 0x1.26e549663f6f3p-3, 0x1.241ac3fa9e175p-3, 0x1.2151ce4f18125p-3, 0x1.1e8a827fe220dp-3, 0x1.1bc4f9a6c051fp-3, 0x1.19014d49e3a83p-3, 0x1.163f9569dc17dp-3, 0x1.137fe95b95943p-3, 0x1.10c2610086b9ap-3, 0x1.0e071304db3b1p-3, 0x1.0b4e158bd33e7p-3, 0x1.08977ed5e0f4p-3, 0x1.05e363e60a7afp-3, 0x1.0331d9ee33d16p-3, 0x1.0082f4de51f71p-3, 0x1.fbad923568433p-4, 0x1.f65ad343c4e4fp-4, 0x1.f10dd35fd86a6p-4, 0x1.ebc6b6b01300ap-4, 0x1.e685a220a5dd7p-4, 0x1.e14ab7db44778p-4, 0x1.dc161a91c626cp-4, 0x1.d6e7eb177950bp-4, 0x1.d1c049d92d9c1p-4, 0x1.cc9f5617a7aefp-4, 0x1.c7852dcf5111p-4, 0x1.c271ef226b4e6p-4, 0x1.bd65b5df666b5p-4, 0x1.b8609e856fc3ep-4, 0x1.b362c35d02bep-4, 0x1.ae6c3e9c72e45p-4, 0x1.a97d28fc55676p-4, 0x1.a4959b754b628p-4, 0x1.9fb5ac2d7374ep-4, 0x1.9add72cfffae2p-4, 0x1.960d042d69b7bp-4, 0x1.914475a2c9108p-4, 0x1.8c83da803f2a8p-4, 0x1.87cb473c41adep-4, 0x1.831accf07fc53p-4, 0x1.7e727e57d6316p-4, 0x1.79d26a9f979e6p-4, 0x1.753aa3ab360c5p-4, 0x1.70ab38a8deffep-4, 0x1.6c243670bd181p-4, 0x1.67a5ab96664aep-4, 0x1.632fa7234f8d7p-4, 0x1.5ec230050961bp-4, 0x1.5a5d5912b59b8p-4, 0x1.560125caf1fe1p-4, 0x1.51ada71a0ac49p-4, 0x1.4d62e25bacf07p-4, 0x1.4920e1798a61cp-4, 0x1.44e7aca97cfecp-4, 0x1.40b74b8e9131ap-4, 0x1.3c8fc4e0c1465p-4, 0x1.38711e57d0a7p-4, 0x1.345b5dbe5f44bp-4, 0x1.304e879e52a34p-4, 0x1.2c4aa102fece6p-4, 0x1.284fac77a7623p-4, 0x1.245dae969409dp-4, 0x1.2074a954f6bd8p-4, 0x1.1c949f0f2862ep-4, 0x1.18bd918ccfb9ap-4, 0x1.14ef81a098c52p-4, 0x1.112a6f3b0c933p-4, 0x1.0d6e5a3be3902p-4, 0x1.09bb41aa7e158p-4, 0x1.06112390b4c1dp-4, 0x1.026ffe876cccbp-4, 0x1.fdafa05f8a15bp-5, 0x1.f6912c79aac0fp-5, 0x1.ef849bad3dde3p-5, 0x1.e889e8d53d4fcp-5, 0x1.e1a10b5df6f1ep-5, 0x1.dac9fd44e5decp-5, 0x1.d404b28b88408p-5, 0x1.cd5121a8d724bp-5, 0x1.c6af3cadae553p-5, 0x1.c01ef6323b7p-5, 0x1.b9a03fa85eb96p-5, 0x1.b3330a74a9e86p-5, 0x1.acd74905238f1p-5, 0x1.a68cea16cb35cp-5, 0x1.a053e36788bfbp-5, 0x1.9a2c2530c7f01p-5, 0x1.9415a115cac9ep-5, 0x1.8e104721c5f78p-5, 0x1.881c052ead201p-5, 0x1.8238c6fd59808p-5, 0x1.7c66768cb6a9dp-5, 0x1.76a4fcd4bc612p-5, 0x1.70f4426c4c882p-5, 0x1.6b542fa0eca3cp-5, 0x1.65c4aba6ea6c5p-5, 0x1.6045a4157af2cp-5, 0x1.5ad702a6b02bap-5, 0x1.5578b40b74edp-5, 0x1.502aa46d86761p-5, 0x1.4aecbf4c45f05p-5, 0x1.45beed34a9a1ep-5, 0x1.40a11783e0d7cp-5, 0x1.3b93225a6d866p-5, 0x1.3694f1ae5b11cp-5, 0x1.31a66953f774dp-5, 0x1.2cc76a22d85b1p-5, 0x1.27f7d8d7590a9p-5, 0x1.233792811021ep-5, 0x1.1e86840974b91p-5, 0x1.19e48c9c692e3p-5, 0x1.155192e4cf6d4p-5, 0x1.10cd7d6e3845dp-5, 0x1.0c583298219adp-5, 0x1.07f1992885f1ap-5, 0x1.039997ee0fd08p-5, 0x1.fea02a8bfdca1p-6, 0x1.f629edf21eaa5p-6, 0x1.edd043af27459p-6, 0x1.e592f09e9a4aap-6, 0x1.dd71b56333c3bp-6, 0x1.d56c4bc1c989bp-6, 0x1.cd826c840dc27p-6, 0x1.c5b3c6c0ed149p-6, 0x1.be00190e096cbp-6, 0x1.b6670de3c42ep-6, 0x1.aee86a91247e5p-6, 0x1.a783f754f9eafp-6, 0x1.a0398694b268dp-6, 0x1.9908f4fc1882dp-6, 0x1.91f2234e35203p-6, 0x1.8af4f2f4713f3p-6, 0x1.84113b502f80fp-6, 0x1.7d46c80816cf2p-6, 0x1.769553a7760fp-6, 0x1.6ffc88e988517p-6, 0x1.697c069767861p-6, 0x1.631366e8a215fp-6, 0x1.5cc2456c7a15ep-6, 0x1.5688486fb439ep-6, 0x1.506524f73f242p-6, 0x1.4a58a4a8b32fap-6, 0x1.4462a253e76c4p-6, 0x1.3e83117f5ad1bp-6, 0x1.38b9e317203f5p-6, 0x1.33071143c6ffap-6, 0x1.2d6a82fa2668ep-6, 0x1.27e40cc9b428ap-6, 0x1.227369e276342p-6, 0x1.1d183e87c4aaap-6, 0x1.17d22451c502fp-6, 0x1.12a0b107d0722p-6, 0x1.0d838010168d5p-6, 0x1.087a3978c83a3p-6, 0x1.03849099f99acp-6, 0x1.fd4490a07242bp-7, 0x1.f3a65d84f286ap-7, 0x1.ea2e43a94f8bbp-7, 0x1.e0dc15d130463p-7, 0x1.d7afb52b09044p-7, 0x1.cea8fcdb2655dp-7, 0x1.c5c7b3c6be915p-7, 0x1.bd0b70f8051f2p-7, 0x1.b473a845893c8p-7, 0x1.abffb65c4ff8ep-7, 0x1.a3aee8688b468p-7, 0x1.9b80c01415e44p-7, 0x1.9374c58781785p-7, 0x1.8b8aa1ddad8a5p-7, 0x1.83c1f4d2fd4d6p-7, 0x1.7c1a4cd60e16fp-7, 0x1.74931269d8977p-7, 0x1.6d2b9f8d4542dp-7, 0x1.65e356cddaa07p-7, 0x1.5eb9c349bd698p-7, 0x1.57ae98134fc15p-7, 0x1.50c1a01b4075cp-7, 0x1.49f2a0e8a4f8fp-7, 0x1.4341459843b15p-7, 0x1.3cad2956c15a1p-7, 0x1.3635e37300653p-7, 0x1.2fdb2b7391468p-7, 0x1.299cdc2dd1776p-7, 0x1.237aeee791813p-7, 0x1.1d75495a5adap-7, 0x1.178ba4e12ff34p-7, 0x1.11bd716c47278p-7, 0x1.0c09d5c2a806ep-7, 0x1.066fd4929dd65p-7, 0x1.00ee7c582c39p-7, 0x1.f70a36fe9ed89p-8, 0x1.ec6684bfc7b1fp-8, 0x1.e1f1c238ab274p-8, 0x1.d7abdac91cc13p-8, 0x1.cd94b24e54536p-8, 0x1.c3abfd68830f1p-8, 0x1.b9f169d069986p-8, 0x1.b064cbdbe54p-8, 0x1.a70624b5a10abp-8, 0x1.9dd57a1873638p-8, 0x1.94d28b7b7bcebp-8, 0x1.8bfc9b6976e48p-8, 0x1.83526e5c3f807p-8, 0x1.7ad274c5d55f2p-8, 0x1.727b0fde8d57ap-8, 0x1.6a4ac6e14a45dp-8, 0x1.6240670a70107p-8, 0x1.5a5b09101f2b1p-8, 0x1.529a0baccac7dp-8, 0x1.4afd0801d4489p-8, 0x1.4383d9b979858p-8, 0x1.3c2e75030ad92p-8, 0x1.34fd04e06d0dep-8, 0x1.2defc84025f0ap-8, 0x1.2706e46f60e1p-8, 0x1.2042391905907p-8, 0x1.19a1501d3fd86p-8, 0x1.13236c117bf8dp-8, 0x1.0cc786f7764abp-8, 0x1.068c52a7be4a9p-8, 0x1.007037c31ccabp-8, 0x1.f4e3fb12d268dp-9, 0x1.e921e828e798cp-9, 0x1.dd99fe853123fp-9, 0x1.d24c81a149db5p-9, 0x1.c738e87caea11p-9, 0x1.bc5de492c3096p-9, 0x1.b1b996bf414e9p-9, 0x1.a74a762dbe405p-9, 0x1.9d102027063ffp-9, 0x1.930b828ed9e01p-9, 0x1.893df0ee360ap-9, 0x1.7fa7ac1caf344p-9, 0x1.76476bb66bd1p-9, 0x1.6d1b0e8cf4674p-9, 0x1.64210defd475ep-9, 0x1.5b584034e06efp-9, 0x1.52bef1c0fd35p-9, 0x1.4a5295f80edeap-9, 0x1.4210c220573a4p-9, 0x1.39f85d70de58fp-9, 0x1.3209cd6864f19p-9, 0x1.2a462c8b904b8p-9, 0x1.22ae2191def58p-9, 0x1.1b4141c250956p-9, 0x1.13fe7dbe461dap-9, 0x1.0ce47af461f27p-9, 0x1.05f1bb2fc599ap-9, 0x1.fe49d14369c21p-10, 0x1.f0fbd0ccbbap-10, 0x1.e3fb0299e5a7dp-10, 0x1.d747767c2a43bp-10, 0x1.cade3b83d248fp-10, 0x1.bebbfe0e17872p-10, 0x1.b2e00b5678623p-10, 0x1.a74ae864a6294p-10, 0x1.9bfa66fb64b85p-10, 0x1.90e9f277bfe1bp-10, 0x1.8615584f17144p-10, 0x1.7b7a7bf853e49p-10, 0x1.7119abacf9183p-10, 0x1.66f3bc0d05ab6p-10, 0x1.5d098b0ce32efp-10, 0x1.535b4fbecaf89p-10, 0x1.49e8e881177e5p-10, 0x1.40b240b6b0fa4p-10, 0x1.37b72e1d34d19p-10, 0x1.2ef4d6254574ep-10, 0x1.26654dfbe90c6p-10, 0x1.1e0537981e8c4p-10, 0x1.15d6cc2460f46p-10, 0x1.0ddbc1f15d3c7p-10, 0x1.0611503909a9ap-10, 0x1.fceb8ab7ba2cfp-11, 0x1.ee162c5194a93p-11, 0x1.dfa4f459ff7b8p-11, 0x1.d19361a5affe9p-11, 0x1.c3d9e012c67bfp-11, 0x1.b67191498f40dp-11, 0x1.a9565c8db13aep-11, 0x1.9c87f797468c8p-11, 0x1.90087154b77fp-11, 0x1.83d8a41f7c2a1p-11, 0x1.77f6ef45c2c6ep-11, 0x1.6c62984e72f39p-11, 0x1.611dd2e0b58f9p-11, 0x1.5629d02e47a7ep-11, 0x1.4b8381519f6fp-11, 0x1.4125558138518p-11, 0x1.3706e894b8e6fp-11, 0x1.2d238a92e3cdp-11, 0x1.23804a2939bdbp-11, 0x1.1a1efa38023adp-11, 0x1.10f93f3e1802fp-11, 0x1.080fe89d8a974p-11, 0x1.fed059a666fedp-12, 0x1.ee02a1e4053e6p-12, 0x1.ddafe567d7668p-12, 0x1.cdd1b4f559e6p-12, 0x1.be5ed8fba765ap-12, 0x1.af4cd05a6a0cfp-12, 0x1.a099a426d891ap-12, 0x1.924d1e291e08cp-12, 0x1.8469440b0174dp-12, 0x1.76e616cf487a9p-12, 0x1.69c1aaf49ec93p-12, 0x1.5d01e93f13149p-12, 0x1.50a65c4eb5cccp-12, 0x1.44a682b9df029p-12, 0x1.38fbff5a969fap-12, 0x1.2da8cd4de870bp-12, 0x1.22abaaf645b8p-12, 0x1.17fb006f952cp-12, 0x1.0d984e1cdd58fp-12, 0x1.038133b97f51bp-12, 0x1.f360368fa786p-13, 0x1.e05c30ea6f042p-13, 0x1.cdf69dde59ecbp-13, 0x1.bc228229b02b5p-13, 0x1.aadd15ecbbd94p-13, 0x1.9a27f277808e9p-13, 0x1.89ff2b2005d14p-13, 0x1.7a4fc3066caadp-13, 0x1.6b0eb7fb4368cp-13, 0x1.5c472e012ba42p-13, 0x1.4dfdf0d7c80a8p-13, 0x1.402400da77c04p-13, 0x1.32bc134fb2266p-13, 0x1.25ce3bf3ff849p-13, 0x1.1951bbafb1fe2p-13, 0x1.0d3bf09a54864p-13, 0x1.0188a2f3621c9p-13, 0x1.ec6763bc9afb9p-14, 0x1.d689466d4c726p-14, 0x1.c18722340c46bp-14, 0x1.ad3d9a1960bfp-14, 0x1.99969d661c709p-14, 0x1.868f025777f39p-14, 0x1.7435dd5518c59p-14, 0x1.629a1e19b960ap-14, 0x1.51a1aead4331dp-14, 0x1.41410395ec6edp-14, 0x1.3179210e1df25p-14, 0x1.224bd85cd6ba2p-14, 0x1.13bca66573026p-14, 0x1.05c9afa77a81cp-14, 0x1.f0bb21a3aa175p-15, 0x1.d6d99e524a156p-15, 0x1.be01fe157413bp-15, 0x1.a61620dc541dp-15, 0x1.8f24681795f77p-15, 0x1.7948646e1d9d2p-15, 0x1.645e0d47f824bp-15, 0x1.50493e1df0151p-15, 0x1.3d081a54b4fd9p-15, 0x1.2a98d267d280fp-15, 0x1.18f490137a2bdp-15, 0x1.081d0f68f81b3p-15, 0x1.f05f5a640336dp-16, 0x1.d21eb21ca9ba7p-16, 0x1.b509b8edb2edfp-16, 0x1.9936c40311e33p-16, 0x1.7f0075c17eeecp-16, 0x1.662f7494ff2f3p-16, 0x1.4e95ec6388ae6p-16, 0x1.3832ba2e414a1p-16, 0x1.2301c806cb46fp-16, 0x1.0efa9235e3c22p-16, 0x1.f829026b289bap-17, 0x1.d494c595eb53ep-17, 0x1.b375d7c0c0cd6p-17, 0x1.94a7f3053dac7p-17, 0x1.77b194c0e9d1bp-17, 0x1.5c63e4ea815dep-17, 0x1.42c861498a714p-17, 0x1.2b5d54aa15c52p-17, 0x1.15cbf4183c4a6p-17, 0x1.01d5cc65e154bp-17, 0x1.dec90bc2ccb15p-18, 0x1.bcf951c64410cp-18, 0x1.9e3bb464953b8p-18, 0x1.8275aafb9f7bdp-18, 0x1.6972080c7e0c4p-18, 0x1.53623bc12f82fp-18, 0x1.4079cdec2f74dp-18, 0x1.2f793216bda2ep-18, 0x1.20daa28b1204fp-18, 0x1.1515b4e2840adp-18, 0x1.0b86d2ac51c85p-18, 0x1.040043c9ca31p-18, 0x1.fd109a253646ap-19, 0x1.f63729b27fe98p-19, 0x1.f357dc6ba5b12p-19, 0x1.f415c18c84c5fp-19, 0x1.f86dfbeed432fp-19, 0x1.00013bdad96c7p-18, 0x1.055b5b931e894p-18, 0x1.0cb5f720ba784p-18, 0x1.15e499c7dc3b3p-18, 0x1.2021b218ca66bp-18, 0x1.2b54f4b94046cp-18, 0x1.3846b9d423af5p-18, 0x1.469f7c1b5827cp-18, 0x1.55fd47da26e88p-18, 0x1.6664b2cf4e685p-18, 0x1.77da0a011276dp-18, 0x1.8a5a60345d026p-18, 0x1.9ddf882bc276cp-18, 0x1.b24e4f47623d8p-18, 0x1.c782aca1c4302p-18, 0x1.ddbb923fed801p-18, 0x1.f4a6dc92966cap-18, 0x1.062106afe6deep-17, 0x1.124e31955a98p-17, 0x1.1ec8a962261dcp-17, 0x1.2ba3c5820e86cp-17, 0x1.38b654e0ec153p-17, 0x1.4609c9a859442p-17, 0x1.539c790e3ac67p-17, 0x1.6169763257673p-17, 0x1.6f6cdee9e8d06p-17, 0x1.7d99984a144b8p-17, 0x1.8bf2f49d4d54dp-17, 0x1.9a7501e6794efp-17, 0x1.a9129560d6e2cp-17, 0x1.b7cffbbb3c7f3p-17, 0x1.c6c55cfc61bddp-17, 0x1.d5c9e5ba5a7fap-17, 0x1.e4cd3a6b9db8cp-17, 0x1.f4008abab4f19p-17, 0x1.019b32f16ee8cp-16, 0x1.093795e8c4bebp-16, 0x1.10d3b9843f085p-16, 0x1.1875c08a9c11bp-16, 0x1.201a0f3352674p-16, 0x1.27bff2ea9b936p-16, 0x1.2f62cc9e7bfc3p-16, 0x1.36fc30b472236p-16, 0x1.3e95103f1b089p-16, 0x1.462aa964fafe3p-16, 0x1.4dbc65296e61cp-16, 0x1.5543042fa0bcp-16, 0x1.5cbfda6cf8766p-16, 0x1.64327b48dd8b4p-16, 0x1.6b9b89d6c36b4p-16, 0x1.72f736c851e1ap-16, 0x1.7a47845940e84p-16, 0x1.8189f47e3d99ap-16, 0x1.88bf6f8d13c6ep-16, 0x1.8fe3ef40357d4p-16, 0x1.96f87f1c41bap-16, 0x1.9dfc0f0d04d5ap-16, 0x1.a4ee2e93023e2p-16, 0x1.abd7cdfe9c53ep-16, 0x1.b29c96e80067cp-16, 0x1.b9550a707fa1p-16, 0x1.bff5592389c1bp-16, 0x1.c68dd578d6c1ap-16, 0x1.cd0fd44918e09p-16, 0x1.d37b347a3a317p-16, 0x1.d9cc655bc20d8p-16, 0x1.e0067b101a93ep-16, 0x1.e62baba9b70e9p-16, 0x1.ec39a8218f66cp-16, 0x1.f231608e5391p-16, 0x1.f81205a1d3a11p-16, 0x1.fdd833e8c48adp-16, 0x1.01c0f4e6c4d6cp-15, 0x1.048bd9c205519p-15, 0x1.074ae70208abfp-15, 0x1.09fcdd83aadb9p-15, 0x1.0ca27dd1f6545p-15, 0x1.0f3c72a6ac772p-15, 0x1.11c713afcc6dap-15, 0x1.144492a0f1412p-15, 0x1.16b6295e6804bp-15, 0x1.1919df406333fp-15, 0x1.1b70d48ce61e3p-15, 0x1.1dba92310c39p-15, 0x1.1ff77010cc4f5p-15, 0x1.222692c3a0d9bp-15, 0x1.244884ad2c83ap-15, 0x1.26583cda9c5c2p-15, 0x1.2863eea79530dp-15, 0x1.2a5dced5552fdp-15, 0x1.2c4a35c2b783cp-15, 0x1.2e293c16e0d98p-15, 0x1.2ffa0cca755a3p-15, 0x1.31bdabda463bfp-15, 0x1.337144cff4b05p-15, 0x1.351f447a17cbdp-15, 0x1.36bc10d2b785ap-15, 0x1.384a72d711e44p-15, 0x1.39cc24410c5f3p-15, 0x1.3b40b81d6fff7p-15, 0x1.3caa492933f28p-15, 0x1.3e03003bf4413p-15, 0x1.3f4fa63dfcf92p-15, 0x1.408f4c9acc15ep-15, 0x1.41c36bc03fa04p-15, 0x1.42eab5420d43ep-15, 0x1.4403f5d540ac7p-15, 0x1.4511b5196e097p-15, 0x1.46111a1354cafp-15, 0x1.4705f6ad30207p-15, 0x1.47ebf5b3a7f5fp-15, 0x1.48c7ef39d7e8fp-15, 0x1.4995a2671c2a2p-15, 0x1.4a57dd4c43f1p-15, 0x1.4b0fae82033e4p-15, 0x1.4bb904feede8dp-15, 0x1.4c5722c215565p-15, 0x1.4cea0f268be95p-15, 0x1.4d6b6cb57855ep-15, 0x1.4deba828053f4p-15, 0x1.4e5b48ddd92a6p-15, 0x1.4ebf9f157314dp-15, 0x1.4f183c37bc13ap-15, 0x1.4f65bd942dbecp-15, 0x1.4fa8373e1357fp-15, 0x1.4fdf45e002ab5p-15, 0x1.500bdf9308026p-15, 0x1.5030d9488189ap-15, 0x1.5044e52cbf40fp-15, 0x1.50516fe0d807dp-15, 0x1.5053a27d27f64p-15, 0x1.504b96ea4edcfp-15, 0x1.503928379057bp-15, 0x1.501c1d873de1p-15, 0x1.4ff5727a4158dp-15, 0x1.4fc662953cedep-15, 0x1.4f8aad793196p-15, 0x1.4f4966b05c9c2p-15, 0x1.4efae0accd159p-15, 0x1.4ea3140072edp-15, 0x1.4e43b0057f157p-15, 0x1.4dda3729210a3p-15, 0x1.4d69b6f4bfeb2p-15, 0x1.4cef55bc8e793p-15, 0x1.4c6bb5742334p-15, 0x1.4bdd108e932fdp-15, 0x1.4b4601dbf2e6cp-15, 0x1.4aabaa2e0365dp-15, 0x1.4a070f90f88aep-15, 0x1.495a76ae9c696p-15, 0x1.48a4515e4b6c7p-15, 0x1.47e544336e0fcp-15, 0x1.4720b506d5263p-15, 0x1.4652ea06018d6p-15, 0x1.457f4819363bbp-15, 0x1.44a5aa7df29eep-15, 0x1.43bf81d752efap-15, 0x1.42d454d5d0b98p-15, 0x1.41db6156ffcd4p-15, 0x1.40eb262a6863cp-15, 0x1.3fec206c76244p-15, 0x1.3ee57e1a06ec2p-15, 0x1.3dd82d75e9ac2p-15, 0x1.3cc4f3839ce5ap-15, 0x1.3bab615640534p-15, 0x1.3a8c40419c9ep-15, 0x1.3965fc51f99c4p-15, 0x1.3839bea8c299ap-15, 0x1.3708ab015703bp-15, 0x1.35d087e194012p-15, 0x1.34914a4bbb98ap-15, 0x1.334f9d955f098p-15, 0x1.320851f05f0d5p-15, 0x1.30b9d82655809p-15, 0x1.2f67025c2870ep-15, 0x1.2e0ee1ad29afbp-15, 0x1.2cb1af530996p-15, 0x1.2b504b082a43fp-15, 0x1.29e77d1478e8ap-15, 0x1.287cc0f4f79ebp-15, 0x1.270b25cfb74e4p-15, 0x1.2599ac9e0b198p-15, 0x1.24201ecdd2e34p-15, 0x1.22a1c2d0dc451p-15, 0x1.21206265f8fb9p-15, 0x1.1f9b152dc9cf9p-15, 0x1.1e08e328a1478p-15, 0x1.1c82bd5ef6d25p-15, 0x1.1af225ed64699p-15, 0x1.195c9b17c5492p-15, 0x1.17c51a12578edp-15, 0x1.16291a75ebc3p-15, 0x1.1489b420174eap-15, 0x1.12e6f30ce60afp-15, 0x1.1140b9cad6d76p-15, 0x1.0f9a76f933f2dp-15, 0x1.0deb5fe4487b2p-15, 0x1.0c3c558bb191p-15, 0x1.0a8b014162df1p-15, 0x1.08d61e29eeb35p-15, 0x1.071a852de186ep-15, 0x1.0564c382978a3p-15, 0x1.03a9691ac7bfep-15, 0x1.01e989c140288p-15, 0x1.00289800fcdcep-15, 0x1.fcc9ded683555p-16, 0x1.f93f13c050806p-16, 0x1.f5b1f847e9be8p-16, 0x1.f21ebc1dc71c7p-16, 0x1.ee83db2cb6f98p-16, 0x1.eaea10c35b748p-16, 0x1.e74dcc4b67d0cp-16, 0x1.e3ad29ed4cfa9p-16, 0x1.e007041cbb80ep-16, 0x1.dc5d7a7edf493p-16, 0x1.d8b9052388fe7p-16, 0x1.d50533ba5212bp-16, 0x1.d1565c410737ep-16, 0x1.cda52107d2f9dp-16, 0x1.c9ede5c3a32f5p-16, 0x1.c636d05585ca6p-16, 0x1.c27d72dfd7e89p-16, 0x1.bec15fb1c66aep-16, 0x1.bb075766849fcp-16, 0x1.b748aaad264f9p-16, 0x1.b3857868a5ecfp-16, 0x1.afc3884ebe734p-16, 0x1.ac017a30b0339p-16, 0x1.a84057f75ae0fp-16, 0x1.a478e4ab3d5a2p-16, 0x1.a0b3dcd02ad8dp-16, 0x1.9cea28c236baep-16, 0x1.9916b84426909p-16, 0x1.9559f555d30eap-16, 0x1.9194cf9155cf1p-16, 0x1.8dccb19a7db2cp-16, 0x1.8a02cbfc06851p-16, 0x1.86366a8e68f5dp-16, 0x1.82719818c306cp-16, 0x1.7ea5589a8b852p-16, 0x1.7adf9ecbaea6cp-16, 0x1.7716c6224a92dp-16, 0x1.734cd86c25048p-16, 0x1.6f90ebd2310c9p-16, 0x1.6bbe1bc8c562ep-16, }}, 
      {{0x1.10adc9576132ep-4, 0x1.7084823c0ecap-4, 0x1.177f4e6686307p-4, 0x1.035caafd2aaacp-6, -0x1.9b66f1a40f509p-5, -0x1.d99fc29432d7ap-4, -0x1.5ce9946aae576p-3, -0x1.aaf96764bca23p-3, -0x1.d1a19224fe506p-3, -0x1.d08608692d5aap-3, -0x1.aaa73f3a4e774p-3, -0x1.650a273ea0e3fp-3, -0x1.05b44915d0baap-3, -0x1.25e5749ffac18p-4, -0x1.2dddbe31bf4aap-7, 0x1.d3d0b88ee2f34p-5, 0x1.ff355cd88ce6cp-4, 0x1.88ed4e4e9ce7dp-3, 0x1.06c3457ef73dp-2, 0x1.455db44c29573p-2, 0x1.7f464c2b2741ep-2, 0x1.b3c9fa8f88684p-2, 0x1.e2783b19befap-2, 0x1.058c7ed6838eap-1, 0x1.16d177da8dc24p-1, 0x1.25193d1f557e7p-1, 0x1.3080cbc6a8b67p-1, 0x1.39304e4153b0bp-1, 0x1.3f57fa2645b6bp-1, 0x1.432d65e35814bp-1, 0x1.44e94d13070b9p-1, 0x1.44c5bc0e6419bp-1, 0x1.42fc969793e43p-1, 0x1.3fc670728df72p-1, 0x1.3b59aacdf9f79p-1, 0x1.35e9cf35529f6p-1, 0x1.2fa71b37ddf4dp-1, 0x1.28be36e9f8742p-1, 0x1.21580cf7814bbp-1, 0x1.1999bdbb03914p-1, 0x1.11a4a6fd2f75bp-1, 0x1.09967daaa3d9p-1, 0x1.01897291b70ebp-1, 0x1.f328baa2f766p-2, 0x1.e395e159aa143p-2, 0x1.d47be3dfeb6cp-2, 0x1.c5f6e049e74aap-2, 0x1.b81df4a01386dp-2, 0x1.ab03b10d92553p-2, 0x1.9eb688d82d354p-2, 0x1.934139ca79618p-2, 0x1.88ab2dd65d9ccp-2, 0x1.7ef8d88f8fdep-2, 0x1.762c13205bf09p-2, 0x1.6e446fe8acb37p-2, 0x1.673f8903aa064p-2, 0x1.6119452e0a7cdp-2, 0x1.5bcc16069ae68p-2, 0x1.57513492d6fe4p-2, 0x1.53a0d55d194d9p-2, 0x1.50b25b47e52a6p-2, 0x1.4e7c8343bbf0ep-2, 0x1.4cf58bb3fdf6bp-2, 0x1.4c1356b0cfc5fp-2, 0x1.4bcb89399cd34p-2, 0x1.4c13a5c48823dp-2, 0x1.4ce12554e6933p-2, 0x1.4e298c4b3cfdap-2, 0x1.4fe27d6bae9ap-2, 0x1.5201c93e97fe7p-2, 0x1.547d7c60cc646p-2, 0x1.574be98d84fefp-2, 0x1.5a63b39cbcea4p-2, 0x1.5dbbd47e2a9dbp-2, 0x1.614ba308c3e62p-2, 0x1.650ad74c5e945p-2, 0x1.68f18e42359bep-2, 0x1.6cf84b0d6a973p-2, 0x1.7117f8f663168p-2, 0x1.7549eb1926ddfp-2, 0x1.7987dc6b0fa64p-2, 0x1.7dcbee64ea2fdp-2, 0x1.8210a715390aap-2, 0x1.8650ef0152c21p-2, 0x1.8a880f5b7fceap-2, 0x1.8eb1adb2130fep-2, 0x1.92c9c9fc0ca95p-2, 0x1.96ccbb5f10e52p-2, 0x1.9ab72af8f5806p-2, 0x1.9e8613321b182p-2, 0x1.a236b91658414p-2, 0x1.a5c6aadce76a8p-2, 0x1.a933bbbcbd6c1p-2, 0x1.ac7bff518fd48p-2, 0x1.af9dc775ee79ap-2, 0x1.b2979fec2d884p-2, 0x1.b5684b0a8a93dp-2, 0x1.b80ebea75292dp-2, 0x1.ba8a20fbfbd8p-2, 0x1.bcd9c4bfe607p-2, 0x1.befd27045308ap-2, 0x1.c0f3ebe9b04eap-2, 0x1.c2bddbe3396c3p-2, 0x1.c45ae12e067a2p-2, 0x1.c5cb051f88ee8p-2, 0x1.c70e6dd7583e1p-2, 0x1.c8255bc33693bp-2, 0x1.c91027a3a963bp-2, 0x1.c9cf40606c78fp-2, 0x1.ca6329164e65ep-2, 0x1.cacc76ea63d4cp-2, 0x1.cb0bd026fa113p-2, 0x1.cb21e8a86a36ep-2, 0x1.cb0f82eb381eap-2, 0x1.cad56c48882b6p-2, 0x1.ca747c785a12ap-2, 0x1.c9ed9476b8a84p-2, 0x1.c9419c9051bcdp-2, 0x1.c87183f8e0999p-2, 0x1.c77e3f43b65afp-2, 0x1.c668c742def1ep-2, 0x1.c532189a59266p-2, 0x1.c3db32583fbf2p-2, 0x1.c265154da63b9p-2, 0x1.c0d0c379b5281p-2, 0x1.bf1f3f6e3a5a2p-2, 0x1.bd518b135f247p-2, 0x1.bb68a7f17c818p-2, 0x1.b96595d2d49fep-2, 0x1.b74952ef40eaep-2, 0x1.b514db2dbe2d6p-2, 0x1.b2c927e1d3fb6p-2, 0x1.b0672f2902dc5p-2, 0x1.adefe4116fdb4p-2, 0x1.ab64360a0a5d2p-2, 0x1.a8c5109bb457ep-2, 0x1.a6135b415e0f1p-2, 0x1.a34ff92516d8fp-2, 0x1.a07bc99a6087bp-2, 0x1.9d97a699147f1p-2, 0x1.9aa4661e4323ep-2, 0x1.97a2d93319811p-2, 0x1.9493cc22cebf9p-2, 0x1.9178061afb62fp-2, 0x1.8e5049be8642bp-2, 0x1.8b1d54ccd9adp-2, 0x1.87dfdfb0cfe68p-2, 0x1.84989e22247c6p-2, 0x1.81483f28b9a8p-2, 0x1.7def6c98baa9bp-2, 0x1.7a8ecb7376a67p-2, 0x1.7726fbf0ab8f1p-2, 0x1.73b899b085529p-2, 0x1.70443b6c7c06p-2, 0x1.6cca73369f2d7p-2, 0x1.694bce8dcab7p-2, 0x1.65c8d675f2423p-2, 0x1.62420f82695aep-2, 0x1.5eb7f9e9b9e5fp-2, 0x1.5b2b1171be502p-2, 0x1.579bcdde57015p-2, 0x1.540aa2c85e1c3p-2, 0x1.5077ffbd8ce7ep-2, 0x1.4ce4503d04496p-2, 0x1.494ffc06042c4p-2, 0x1.45bb671716a53p-2, 0x1.4226f1c3e176ep-2, 0x1.3e92f8c6b7f3bp-2, 0x1.3affd537490d3p-2, 0x1.376ddcbe145b6p-2, 0x1.33dd62230256bp-2, 0x1.304eb474ef987p-2, 0x1.2cc21fd2b88e1p-2, 0x1.2937ed3e605f8p-2, 0x1.25b062b0c26a1p-2, 0x1.222bc35e5108fp-2, 0x1.1eaa4fb111d3dp-2, 0x1.1b2c45350a0bbp-2, 0x1.17b1decf37ea3p-2, 0x1.143b54ed3d735p-2, 0x1.10c8dd6fcc12ap-2, 0x1.0d5aabcf48c2ap-2, 0x1.09f0f12ae3bbbp-2, 0x1.068bdc3f8d526p-2, 0x1.032b99b6c20c1p-2, 0x1.ffa0a8118c401p-3, 0x1.f8f467478a47p-3, 0x1.f252bdc593168p-3, 0x1.ebbbf4418eee8p-3, 0x1.e5304fef7fea8p-3, 0x1.deb0124e3d5b6p-3, 0x1.d83b79235b48bp-3, 0x1.d1d2bee5914dp-3, 0x1.cb761ac2f38f3p-3, 0x1.c525c0a0b0c9bp-3, 0x1.bee1e13198215p-3, 0x1.b8aaaa7f4bf1ep-3, 0x1.b2804741aa044p-3, 0x1.ac62dfbde5776p-3, 0x1.a65298e465e7cp-3, 0x1.a04f95a0a45d2p-3, 0x1.9a59f61ea4d21p-3, 0x1.9471d818464aep-3, 0x1.8e9756d58933cp-3, 0x1.88ca8b4e15ba4p-3, 0x1.830b8c361d748p-3, 0x1.7d5a6e3e87d83p-3, 0x1.77b743ee06e4bp-3, 0x1.72221ddf17afdp-3, 0x1.6c9b0a8adc9ap-3, 0x1.6722169b1462ap-3, 0x1.61b74cf85c88fp-3, 0x1.5c5ab6e266252p-3, 0x1.570c5baf1eccep-3, 0x1.51cc4146faaecp-3, 0x1.4c9a6b9911eadp-3, 0x1.4776ddd8d3e33p-3, 0x1.426198d38c5ecp-3, 0x1.3d5a9c8619293p-3, 0x1.3861e76f1b0a5p-3, 0x1.337776b3fe334p-3, 0x1.2e9b46374ed3cp-3, 0x1.29cd508b8847bp-3, 0x1.250d8f230c701p-3, 0x1.205bfa63c4e7fp-3, 0x1.1bb8898a1eb79p-3, 0x1.172332ca2b85dp-3, 0x1.129beb5d09d48p-3, 0x1.0e22a7677d2b7p-3, 0x1.09b75a476786dp-3, 0x1.0559f5cfa4d7fp-3, 0x1.010a6c59ae655p-3, 0x1.f9915c1079164p-4, 0x1.f12955ba188dep-4, 0x1.e8dca40e8db3ep-4, 0x1.e0ab23ba73b8p-4, 0x1.d894b012ffe04p-4, 0x1.d0992306be4f8p-4, 0x1.c8b855906852cp-4, 0x1.c0f21ec754427p-4, 0x1.b946557fb161ap-4, 0x1.b1b4ce9326f25p-4, 0x1.aa3d5e8eccc25p-4, 0x1.a2dfd86699c8ap-4, 0x1.9b9c0e49429d8p-4, 0x1.9471d1503901ep-4, 0x1.8d60f26801787p-4, 0x1.8669407fb6defp-4, 0x1.7f8a8ae6aef0fp-4, 0x1.78c49f68b6642p-4, 0x1.72174b82fe3adp-4, 0x1.6b825bdeea0fbp-4, 0x1.65059ca52c6d6p-4, 0x1.5ea0d94b33a94p-4, 0x1.5853dcc7073d3p-4, 0x1.521e71ce446dp-4, 0x1.4c0062358dc7ap-4, 0x1.45f977c40afap-4, 0x1.40097b71f5eccp-4, 0x1.3a3036cbd4a5bp-4, 0x1.346d711714d4p-4, 0x1.2ec0f37a1b28cp-4, 0x1.292a8593d8e81p-4, 0x1.23a9ef422b451p-4, 0x1.1e3ef7a63df1fp-4, 0x1.18e966a83d4fbp-4, 0x1.13a9034b55e63p-4, 0x1.0e7d93fff3121p-4, 0x1.0966e02a10e03p-4, 0x1.0464ae8d023dcp-4, 0x1.feed8b803673p-5, 0x1.f539d93c34b1p-5, 0x1.ebadd3a02880bp-5, 0x1.e249083adfedcp-5, 0x1.d90b0489a46a7p-5, 0x1.cff35614f9f91p-5, 0x1.c7018a94bc37dp-5, 0x1.be35300feaa26p-5, 0x1.b58dd43d55704p-5, 0x1.ad0b05df86f2ep-5, 0x1.a4ac53584cf66p-5, 0x1.9c714bf005866p-5, 0x1.94597e8ec8073p-5, 0x1.8c647b2b76edcp-5, 0x1.8491d1cc968dep-5, 0x1.7ce112c722577p-5, 0x1.7551cf55467bcp-5, 0x1.6de39887da871p-5, 0x1.669600bd0e8cep-5, 0x1.5f689a718e855p-5, 0x1.585af89feecfep-5, 0x1.516caefc06925p-5, 0x1.4a9d5205a8894p-5, 0x1.43ec762a27fa4p-5, 0x1.3d59b16a0df7ep-5, 0x1.36e499b2d4901p-5, 0x1.308cc63e0ededp-5, 0x1.2a51ce5cf0e5ap-5, 0x1.24334aab47233p-5, 0x1.1e30d3e973d07p-5, 0x1.184a044619df5p-5, 0x1.127e7630526e6p-5, 0x1.0ccdc5051f76p-5, 0x1.07378dd4811e6p-5, 0x1.01bb6ba9ee7cbp-5, 0x1.f8b1fb0972c54p-6, 0x1.ee1fc5f10f52dp-6, 0x1.e3bf7211928a3p-6, 0x1.d9904525dcb66p-6, 0x1.cf917c74cff93p-6, 0x1.c5c2609e2f9a7p-6, 0x1.bc223641b9fa3p-6, 0x1.b2b04412a98c8p-6, 0x1.a96bd45333effp-6, 0x1.a05431ef3caf3p-6, 0x1.9768a989de079p-6, 0x1.8ea889c1918b4p-6, 0x1.861323412a1abp-6, 0x1.7da7c7e9864edp-6, 0x1.7565cc9e17907p-6, 0x1.6d4c867c54039p-6, 0x1.655b4ec69542fp-6, 0x1.5d917eecc6a46p-6, 0x1.55ee73033727ep-6, 0x1.4e7188df4faa2p-6, 0x1.471a1fe307e81p-6, 0x1.3fe798ce19836p-6, 0x1.38d9566d36748p-6, 0x1.31eebd84d6344p-6, 0x1.2b273382d4444p-6, 0x1.24822133eb60ap-6, 0x1.1dfef0f11655dp-6, 0x1.179d0f8141aa8p-6, 0x1.115beb9314ad5p-6, 0x1.0b3af636c4e27p-6, 0x1.0539a189c05c3p-6, 0x1.feaec6057a34ep-7, 0x1.f3275d6384b1bp-7, 0x1.e7dbf8c9db2a1p-7, 0x1.dccb872afa7dep-7, 0x1.d1f4fc1b59b82p-7, 0x1.c7574f2015c68p-7, 0x1.bcf17be850d64p-7, 0x1.b2c28384199ap-7, 0x1.a8c965def9c1bp-7, 0x1.9f053561d1488p-7, 0x1.9574fbe561df3p-7, 0x1.8c17cc642e459p-7, 0x1.82ecbb5c86dd2p-7, 0x1.79f2de1c6905ap-7, 0x1.71294da70bb0cp-7, 0x1.688f20fd23014p-7, 0x1.602374da0259ep-7, 0x1.57e567df9545ap-7, 0x1.4fd41e13315f8p-7, 0x1.47eebb620e1bp-7, 0x1.403472b3044bp-7, 0x1.38a472f137cc7p-7, 0x1.313df40638e8bp-7, 0x1.2a0031d3c59e2p-7, 0x1.22ea696ac3129p-7, 0x1.1bfbd91f330cfp-7, 0x1.1533c3440b7c2p-7, 0x1.0e9167e28e8efp-7, 0x1.081409df654c2p-7, 0x1.01baef4be4ef7p-7, 0x1.f70abbb72d8ebp-8, 0x1.eae544ff35e85p-8, 0x1.df040b8175843p-8, 0x1.d365c88199054p-8, 0x1.c8091b622f9d7p-8, 0x1.bcecbe3036e0fp-8, 0x1.b20f7198b2044p-8, 0x1.a76ff6dff7ea8p-8, 0x1.9d0d1ae263e3fp-8, 0x1.92e5afe13315ap-8, 0x1.88f893cacafcdp-8, 0x1.7f449d026a525p-8, 0x1.75c8ab52e2cf6p-8, 0x1.6c839da5ae294p-8, 0x1.63744fe7bb955p-8, 0x1.5a999bd06fa95p-8, 0x1.51f260326133ap-8, 0x1.497d784c8f7abp-8, 0x1.4139d13039b63p-8, 0x1.39264f98949ddp-8, 0x1.3141edf92db43p-8, 0x1.298bc10ba9beap-8, 0x1.2202e142b152ap-8, 0x1.1aa677cabad5p-8, 0x1.1375b8480a0e8p-8, 0x1.0c6fdad3b3157p-8, 0x1.05940ea4ce7d7p-8, 0x1.fdc2f3272b73cp-9, 0x1.f0ae644569b79p-9, 0x1.e3e888abd2658p-9, 0x1.d76f6b634c71cp-9, 0x1.cb411559b525p-9, 0x1.bf5ba1e0c6046p-9, 0x1.b3bd41b1e6aeep-9, 0x1.a86459b55c80ap-9, 0x1.9d4f7a46f26p-9, 0x1.927d598701f8ep-9, 0x1.87eced6621eb2p-9, 0x1.7d9d103efb4c9p-9, 0x1.738ccddc32fe1p-9, 0x1.69bb04983eb19p-9, 0x1.6026754f6908p-9, 0x1.56cdb5a8c647dp-9, 0x1.4daf3cd14a888p-9, 0x1.44c96ccb609abp-9, 0x1.3c1ab1237e8dp-9, 0x1.33a18d080705dp-9, 0x1.2b5c9c6ad8d32p-9, 0x1.234a969ff7f4ap-9, 0x1.1b6a5bf7dfa5p-9, 0x1.13badbabc8e53p-9, 0x1.0c3b27468500bp-9, 0x1.04ea67a7e81e1p-9, 0x1.fb8facd11f1bbp-10, 0x1.eda554bf318a9p-10, 0x1.e0141f01dcf86p-10, 0x1.d2da0f4d0f8aep-10, 0x1.c5f5024c7c97fp-10, 0x1.b962b025244ap-10, 0x1.ad20b4fc2a448p-10, 0x1.a12d3c8f0f44dp-10, 0x1.958659bcbbd4ap-10, 0x1.8a2a8edf4acaep-10, 0x1.7f181884b868p-10, 0x1.744d5fe022ff4p-10, 0x1.69c86ae8c95fbp-10, 0x1.5f8738f1e3de9p-10, 0x1.5587d8b4a2e72p-10, 0x1.4bc8ab3cdc95cp-10, 0x1.42485ce0b7d7ep-10, 0x1.3905bfc8dd2aep-10, 0x1.2fffaf02b7481p-10, 0x1.2734de4a417e6p-10, 0x1.1ea3de4ec4c9ep-10, 0x1.164b55969d0b1p-10, 0x1.0e2a1238d99efp-10, 0x1.063f2439ac337p-10, 0x1.fd139d9e8b25cp-11, 0x1.ee1273c470b84p-11, 0x1.df789ca6ecec8p-11, 0x1.d1431805c792dp-11, 0x1.c36e184d3c15fp-11, 0x1.b5f575c58e95ep-11, 0x1.a8d53cb79a1afp-11, 0x1.9c0a5da8fd3c8p-11, 0x1.8f927f30e837cp-11, 0x1.836c487a87cdp-11, 0x1.7796e6e7deb96p-11, 0x1.6c11253e23c8dp-11, 0x1.60d9a84b212fep-11, 0x1.55ef02039615ep-11, 0x1.4b5003014b80fp-11, 0x1.40fbcf0408d3ep-11, 0x1.36f16a6a664e7p-11, 0x1.2d2f8c7b3adbp-11, 0x1.23b468d880c8dp-11, 0x1.1a7d65690d353p-11, 0x1.11879b4e3e9e9p-11, 0x1.08d01a8aff0c7p-11, 0x1.00542bb6c55b8p-11, 0x1.f02332f475fc8p-12, 0x1.e00d1b4844607p-12, 0x1.d06335fc53553p-12, 0x1.c12347e838b6fp-12, 0x1.b24bbbf2c5ec6p-12, 0x1.a3db68c9f0f99p-12, 0x1.95d1b24a2b158p-12, 0x1.882e0372e1be9p-12, 0x1.7aef9c99f6492p-12, 0x1.6e15082965f96p-12, 0x1.619bf6141b19dp-12, 0x1.55816a402f2bep-12, 0x1.49c1ba29570bap-12, 0x1.3e58ff1d4320dp-12, 0x1.3341ae6c3de3cp-12, 0x1.287879ef67a65p-12, 0x1.1dfac5d33c163p-12, 0x1.13c785945a3bep-12, 0x1.09de7877c9b87p-12, 0x1.003e2ae83d9efp-12, 0x1.edc8b86f9bd8bp-13, 0x1.db9c71cc4806ap-13, 0x1.c9f23c593ddedp-13, 0x1.b8c83279a3ac1p-13, 0x1.a81f61e010307p-13, 0x1.97f95e70ea63ap-13, 0x1.8855986b5127ep-13, 0x1.79302afc0a85cp-13, 0x1.6a827712986b3p-13, 0x1.5c48117e4b3cdp-13, 0x1.4e7d3c5949fadp-13, 0x1.411d1e6a125eep-13, 0x1.3420cc4b08d52p-13, 0x1.2781fa1854b15p-13, 0x1.1b3dfab809233p-13, 0x1.0f5412fcd75c7p-13, 0x1.03c65cacc9d63p-13, 0x1.f12b10c128b24p-14, 0x1.db7f7a4f0cc8cp-14, 0x1.c68382f8f1044p-14, 0x1.b23145b0a2725p-14, 0x1.9e802b589779p-14, 0x1.8b6977fab4cdp-14, 0x1.78eb07d1e461p-14, 0x1.6706d411469c9p-14, 0x1.55bb7e2a8c7c4p-14, 0x1.45034e3ed852fp-14, 0x1.34d4e3c4ebdf4p-14, 0x1.252f4e6dd5ec7p-14, 0x1.161133364f7a1p-14, 0x1.0775633729417p-14, 0x1.f2a26541c59ap-15, 0x1.d736864ef694dp-15, 0x1.bc9d6531c1d6cp-15, 0x1.a2d6b19b0758cp-15, 0x1.89e4d1bdf13cep-15, 0x1.71c969440f5d2p-15, 0x1.5a83e38bb8f2fp-15, 0x1.441233edde475p-15, 0x1.2e72dab9612afp-15, 0x1.19a41776d5d76p-15, 0x1.0598e63d96a6fp-15, 0x1.e472a2532f604p-16, 0x1.beef4dc793c01p-16, 0x1.9ab8a888c1bb7p-16, 0x1.77dc9d44d9c14p-16, 0x1.56376f3d68572p-16, 0x1.35c94b32c4d44p-16, 0x1.1698df90c0e16p-16, 0x1.f15be6fb936aap-17, 0x1.b7ebc77748828p-17, 0x1.80a4389eead08p-17, 0x1.4b4f3e49d9dcap-17, 0x1.17d00fae199a3p-17, 0x1.cc40d9e013559p-18, 0x1.6c99bf7d77b9bp-18, 0x1.10b712eef85aap-18, 0x1.70f1fed9d2e15p-19, 0x1.8f4f47a3c0212p-20, 0x1.2e72b6e7f2f5p-22, -0x1.d2f8d4a4f46b3p-21, -0x1.0820064a4c979p-19, -0x1.95057b503cc0cp-19, -0x1.0e3067f8ac355p-18, -0x1.4f5600ea7afeep-18, -0x1.8dba53bd9ec15p-18, -0x1.c93bb19aebf92p-18, -0x1.011ccbd41bb59p-17, -0x1.1c550089b9d0dp-17, -0x1.3624e1c7a8933p-17, -0x1.4e94f03392b46p-17, -0x1.65b87fae0835ap-17, -0x1.7ba93addaee2bp-17, -0x1.90889e87301bp-17, -0x1.a475803ec3e0ep-17, -0x1.b7773c1a4372fp-17, -0x1.c976d60df3d56p-17, -0x1.da6f9102ba0efp-17, -0x1.ea76cc6cec00cp-17, -0x1.f996f94fa6c79p-17, -0x1.03dec5c81f401p-16, -0x1.0a76da8496b9ep-16, -0x1.10a1a6dae61bep-16, -0x1.1669791af7c11p-16, -0x1.1bc6f86408e7ap-16, -0x1.20c19fbdc3689p-16, -0x1.25662c0569bcep-16, -0x1.29b1e6944e7c8p-16, -0x1.2da8890906d89p-16, -0x1.3153f895e6be6p-16, -0x1.34a654596ebacp-16, -0x1.379f24e9c1e83p-16, -0x1.3a4822fe935ep-16, -0x1.3ca3da22e792ep-16, -0x1.3eb0cb6b96728p-16, -0x1.406f017dab2c6p-16, -0x1.41f7c02bcf5bcp-16, -0x1.4346579cf452dp-16, -0x1.4456441a7e061p-16, -0x1.4525cb5e2ac0ap-16, -0x1.45bf5c86c9538p-16, -0x1.462089b22b216p-16, -0x1.46435b31fb441p-16, -0x1.462eaa119689fp-16, -0x1.45e64a606925cp-16, -0x1.457766b98ca12p-16, -0x1.44d9454d7a4b5p-16, -0x1.440c2e8c60cd4p-16, -0x1.430a90feb603cp-16, -0x1.41de1e2471d47p-16, -0x1.408ca5b6b2412p-16, -0x1.3f21b2a969835p-16, -0x1.3d8c419d070f3p-16, -0x1.3bcc42b837fbdp-16, -0x1.39eabdfdf69e9p-16, -0x1.37e9ce4bc6e26p-16, -0x1.35c98ef712277p-16, -0x1.338a63ab10ab4p-16, -0x1.3129971f5190fp-16, -0x1.2ea8f8a19cbe1p-16, -0x1.2c0f568e375cdp-16, -0x1.295f9e61d66d1p-16, -0x1.2697042fb9b29p-16, -0x1.23b9ed983c6ccp-16, -0x1.20c707cb219f1p-16, -0x1.1dba423259ee8p-16, -0x1.1a96814a47a7ep-16, -0x1.1760cfd3d1a4dp-16, -0x1.141b43845cfap-16, -0x1.10c4b2752c2f1p-16, -0x1.0d5e88f8772f6p-16, -0x1.09e8ef7630fdp-16, -0x1.065fa9188334p-16, -0x1.02c599a90ba1cp-16, -0x1.fe471213d438bp-17, -0x1.f6ee15d20ed21p-17, -0x1.ef72a2d107a8p-17, -0x1.e7e43ea39ac4cp-17, -0x1.e041f3f97a43cp-17, -0x1.d88c83d2c608dp-17, -0x1.d0c5096bf6e35p-17, -0x1.c8ec481596e46p-17, -0x1.c1044c82d2c28p-17, -0x1.b9083579132ap-17, -0x1.b106e38ce6591p-17, -0x1.a8ec86631d10ep-17, -0x1.a0c8ced108b81p-17, -0x1.989e47a342cf1p-17, -0x1.9073913afeae4p-17, -0x1.88406ba3b904p-17, -0x1.7ff47013dce7fp-17, -0x1.77a98a2c62329p-17, -0x1.6f5d0b68eceadp-17, -0x1.670aa36b70842p-17, -0x1.5eb463eddcff9p-17, -0x1.565bbe98801ffp-17, -0x1.4e01c515d9157p-17, -0x1.45a596e283303p-17, -0x1.3d46af9f09bc7p-17, -0x1.34e9600e29498p-17, -0x1.2c8e61183de16p-17, -0x1.24321301cd735p-17, -0x1.1bd394f067ee8p-17, -0x1.137c6be119db4p-17, -0x1.0b2a630dfb3a5p-17, -0x1.02dc0eca0952ap-17, -0x1.f521c9ee7142cp-18, -0x1.e495ca367d8a3p-18, -0x1.d4131a59b979fp-18, -0x1.c3a09ab925556p-18, -0x1.b33c250527a77p-18, -0x1.a2dc66e6a28p-18, -0x1.928b1281a9cbap-18, -0x1.824bac8132c21p-18, -0x1.722325fde73cap-18, -0x1.6208902ca01d4p-18, -0x1.51fd47f3f995ap-18, -0x1.4207d0cd25107p-18, -0x1.32268b7fede4dp-18, -0x1.22590bfd25458p-18, -0x1.12a10b580cd6bp-18, -0x1.02ffad504820dp-18, -0x1.e6d1c762400d6p-19, -0x1.c7fc352441b02p-19, -0x1.a93dd17f4aff3p-19, -0x1.8ab0255bba7e1p-19, -0x1.6c53c0e39ca37p-19, -0x1.4e0cc9109563fp-19, -0x1.3007d2fcc3bdcp-19, -0x1.1274f6ec03519p-19, -0x1.e9d57c0980234p-20, -0x1.af2b5d1dd080dp-20, -0x1.74ecac5a816p-20, -0x1.3b18c108d2c6cp-20, -0x1.01b906b1fde9p-20, -0x1.919bba8eeff63p-21, -0x1.20c1befed2bb6p-21, -0x1.615205996130dp-22, -0x1.062fddf012a51p-23, 0x1.652c8f4956ap-24, 0x1.33f2c2c873b16p-22, 0x1.063eaee54f009p-21, 0x1.719dbfa482429p-21, 0x1.dc23de634bc9p-21, 0x1.22c4edc07993ap-20, 0x1.56fdfb1df684dp-20, 0x1.8aa78c22c15bbp-20, 0x1.bde5a8dc66937p-20, 0x1.f0a3f719bae17p-20, 0x1.117a0c5b94abbp-19, 0x1.2a623adaaf304p-19, 0x1.42fb9e735d8a9p-19, 0x1.5b5bf5e7d1d7dp-19, 0x1.737e25fe7db37p-19, 0x1.8b5e680e357c6p-19, 0x1.a2fa809a73b09p-19, 0x1.ba55f9569e49p-19, 0x1.d1724e0238656p-19, 0x1.e84a4491c3b16p-19, 0x1.fee62a44547abp-19, 0x1.0a9ee625a81bbp-18, 0x1.15a972b624fe9p-18, 0x1.2092a15b4a3a1p-18, 0x1.2b593cc8040c1p-18, 0x1.36077a90d12dep-18, 0x1.408f6d79e849dp-18, 0x1.4af735f292e71p-18, 0x1.552d7ee8a7d96p-18, 0x1.5f63cd4e9f94bp-18, 0x1.696ab73e0cd39p-18, 0x1.73572882e9b52p-18, 0x1.7d0f98de64e63p-18, 0x1.86adf464e30c8p-18, 0x1.902c85a88a9eep-18, 0x1.9991c1d0f9244p-18, 0x1.a2d7adb9b8e0dp-18, 0x1.abf9d5ce918c8p-18, 0x1.b4fae8f70fa55p-18, 0x1.bddade12ff3a2p-18, 0x1.c69f7746542dep-18, 0x1.cf437ab7e1c3bp-18, 0x1.d7be0dc76899fp-18, 0x1.e01c83d2e0b41p-18, 0x1.e85f5b99e5f35p-18, 0x1.f082cf7526a85p-18, 0x1.f887bf9fd34c2p-18, 0x1.00387348dfe77p-17, 0x1.041a3118a99e3p-17, 0x1.07ec4b5f9c549p-17, 0x1.0bae5ed23823bp-17, 0x1.0f62b5720ab6bp-17, 0x1.13074be0efa0cp-17, 0x1.169c5ea8f5403p-17, 0x1.1a2297591db26p-17, 0x1.1d99c5df8a4b9p-17, 0x1.2102de1fa63a8p-17, 0x1.2462621614906p-17, 0x1.27a6824fbcc35p-17, 0x1.2ae1fa4074c24p-17, 0x1.2e0f0f4f887ffp-17, 0x1.312d9306aff6dp-17, 0x1.343d1135c8f8dp-17, 0x1.3740a5550623ep-17, 0x1.3a39b95f0f616p-17, 0x1.3d173dafed2c3p-17, 0x1.3fee993cedf9dp-17, 0x1.42b7a2223089ep-17, 0x1.457269e91d829p-17, 0x1.481f5080e8f86p-17, 0x1.4abb9e6819d93p-17, 0x1.4d501f0cddf56p-17, 0x1.4fd3a86d1e154p-17, 0x1.5248b7b26abf9p-17, 0x1.54b374c03fe4fp-17, 0x1.570feaf0a1072p-17, 0x1.595ca245e91dfp-17, 0x1.5b994144b2b8dp-17, 0x1.5dd3bdbb91ac3p-17, 0x1.5ffa5dbd055a2p-17, 0x1.6215441075965p-17, 0x1.6423e3ba688e5p-17, 0x1.6623b22f7df17p-17, 0x1.68186bde37ed9p-17, 0x1.6a02f12128408p-17, 0x1.6bddc3b7168p-17, 0x1.6dadacf66e89ep-17, 0x1.6f72691bcd3bp-17, 0x1.712e57fae63fp-17, 0x1.72d45fa793ca3p-17, 0x1.7478600598dadp-17, 0x1.760a5324c4ad1p-17, 0x1.7792eb7e3dd73p-17, 0x1.79101d35c6d05p-17, 0x1.7a8230924fa82p-17, 0x1.7be8ebcda1447p-17, 0x1.7d44ae0587e72p-17, 0x1.7e9046dabdcb3p-17, 0x1.7fdb42e81d348p-17, 0x1.8114fed176e76p-17, 0x1.8245239486d05p-17, 0x1.836ade52c34a7p-17, 0x1.8485bbfe00493p-17, 0x1.859596616fb2dp-17, 0x1.869b66cb57403p-17, 0x1.879657a66f4dfp-17, 0x1.88891c1f693dep-17, 0x1.896fd67cfde02p-17, 0x1.8a4f04cfec202p-17, 0x1.8b219ee6b234ap-17, 0x1.8bec5f159e25bp-17, 0x1.8cac138d1a4afp-17, 0x1.8d640ac5cc223p-17, 0x1.8e125798cc71ap-17, 0x1.8eb70ce3db4dbp-17, 0x1.8f501950a8c5dp-17, 0x1.8fe8fa611d05ep-17, 0x1.906aa6e16bc0bp-17, 0x1.90ed6656d5a36p-17, 0x1.9165a1eaf9208p-17, 0x1.91d3fb30988bap-17, 0x1.92387129654c4p-17, 0x1.9296bfbcf4093p-17, 0x1.92eb0788a8c88p-17, 0x1.93393c6ad994ep-17, 0x1.937bef04b5d7bp-17, 0x1.93ba5b4982918p-17, 0x1.93eebfd1bcfd6p-17, 0x1.9424a38beb6a9p-17, 0x1.9440d2721da8dp-17, 0x1.9460255c3f406p-17, 0x1.94749b5cb1f9bp-17, 0x1.9481d38ab3bb5p-17, 0x1.9488c58d70263p-17, 0x1.948851b0c9881p-17, 0x1.94805f7e92b3cp-17, 0x1.947104a50b018p-17, 0x1.945ab6221a539p-17, 0x1.94400f82c232ap-17, 0x1.941c9c4278244p-17, 0x1.93f11dc631f5dp-17, 0x1.93bffca6795f3p-17, 0x1.9386b44d67f4ep-17, 0x1.934a671042fa1p-17, 0x1.9305479208987p-17, 0x1.92ba8525fe30ep-17, 0x1.926931de7f49fp-17, 0x1.9212cdfb075d5p-17, 0x1.91b35fa2042e8p-17, 0x1.91522e548c1dep-17, 0x1.90e8ffac6d8d7p-17, 0x1.90780e6328691p-17, 0x1.90046b838276dp-17, 0x1.8f8b30e4ee48ap-17, 0x1.8f0ae8da9ba8dp-17, 0x1.8e8717c1aabb5p-17, 0x1.8e04b156d70b1p-17, 0x1.8d6abc4595fbbp-17, 0x1.8cd635dc52a9cp-17, 0x1.8c3be72a1426ap-17, 0x1.8b9eaa3112d0dp-17, 0x1.8afa8f829abe5p-17, 0x1.8a51051ddf3aap-17, 0x1.89a3e18a7ce9cp-17, 0x1.88f1c8a9bc992p-17, 0x1.8835585767491p-17, 0x1.877f34f383749p-17, 0x1.86be17d6bd1e7p-17, 0x1.85fb15ec3b931p-17, 0x1.8532e6340c18p-17, 0x1.846857a214e13p-17, 0x1.83945bd5ddbbfp-17, 0x1.82bf11ad4609p-17, 0x1.81e4bcd0b5177p-17, 0x1.8107aa8049ab9p-17, 0x1.8026ba6681b0fp-17, 0x1.7f42967f4f935p-17, 0x1.7e5aa3a56bed5p-17, 0x1.7d6ea57ae0a1ap-17, 0x1.7c7cc6de131a2p-17, 0x1.7b8adf5fe653ap-17, 0x1.7a91739d28c4dp-17, 0x1.7999f5cc48493p-17, 0x1.789b853ab2462p-17, 0x1.779b78240175cp-17, 0x1.769424e4b98f2p-17, 0x1.758fe4cff19dp-17, 0x1.7485bf461663ep-17, 0x1.737986eccc768p-17, 0x1.72683d8849784p-17, 0x1.7154c3952210bp-17, 0x1.703ffe8c65bcdp-17, 0x1.6f270b76b78bbp-17, 0x1.6e0d65123e635p-17, 0x1.6cefc5a9c3f93p-17, 0x1.6bce40e997207p-17, 0x1.6aab77a3f522cp-17, 0x1.69858edc715f6p-17, 0x1.685dc7312c05ep-17, 0x1.6734bf6b183cdp-17, 0x1.6605bf334d7e9p-17, 0x1.64d9c3a29bc24p-17, 0x1.63b13719c2c86p-17, 0x1.627624bbc38d8p-17, 0x1.61429b2278b0bp-17, 0x1.600c27fbf604p-17, 0x1.5ed29a4a3f7d2p-17, 0x1.5d96827c00ed5p-17, 0x1.5c5a0de4bbbcap-17, 0x1.5b1cbf1775efap-17, 0x1.59de17c64851ap-17, 0x1.589c27ea59dfcp-17, 0x1.57581e7443ffp-17, 0x1.560eba87814c6p-17, 0x1.54cb1b65de419p-17, }}, 
      {{0x1.f984763cb10d5p-2, 0x1.0cf9f1c073a0cp-1, 0x1.0d1c46867bd0cp-1, 0x1.fc4f4f9ffa86ep-2, 0x1.ccb1b2b010064p-2, 0x1.98829a0cd0b35p-2, 0x1.6a02446c37c4ap-2, 0x1.47c8b9581819fp-2, 0x1.3526619e3ba34p-2, 0x1.32e48dba8edep-2, 0x1.400dc14ab2ddep-2, 0x1.5a99edf42320cp-2, 0x1.7ff37c22586bdp-2, 0x1.ad56c060fda47p-2, 0x1.e01219615e51dp-2, 0x1.0ad6e5b9a3b85p-1, 0x1.260107f31b3e5p-1, 0x1.40a0531ed1168p-1, 0x1.59fafe68462a6p-1, 0x1.718278cf433eap-1, 0x1.86cfaaf20e1cbp-1, 0x1.999e5b3baf876p-1, 0x1.a9c83b9a805b2p-1, 0x1.b73ffab7ff5fap-1, 0x1.c20c92ab5c381p-1, 0x1.ca44fa20c8159p-1, 0x1.d00c49c55f282p-1, 0x1.d38e5f5b4399ep-1, 0x1.d4fcfd762c896p-1, 0x1.d48d6320dfd5p-1, 0x1.d276524ab7eecp-1, 0x1.ceee7ac2cbfa9p-1, 0x1.ca2b3d8392a37p-1, 0x1.c45fbdc3f3adcp-1, 0x1.bdbc32cbee5d2p-1, 0x1.b66d71f34e27ap-1, 0x1.ae9ca503cb607p-1, 0x1.a66f25f3651c4p-1, 0x1.9e0677bc58c51p-1, 0x1.9580559e9c84ap-1, 0x1.8cf6d270cc474p-1, 0x1.8480865c08febp-1, 0x1.7c30c3b5ac516p-1, 0x1.7417cef1b2828p-1, 0x1.6c431d26b6aefp-1, 0x1.64bd93820fa31p-1, 0x1.5d8fc33957811p-1, 0x1.56c02333b34c2p-1, 0x1.50534b359d437p-1, 0x1.4a4c2cfc32176p-1, 0x1.44ac4713f5ba8p-1, 0x1.3f73d2e0f835bp-1, 0x1.3aa1f05b55c3ep-1, 0x1.3634d0aeb1939p-1, 0x1.3229dd1b3048ep-1, 0x1.2e7dd96a935c2p-1, 0x1.2b2d017ab6f6ap-1, 0x1.283323674db93p-1, 0x1.258bb811cb235p-1, 0x1.2331f9189f0c3p-1, 0x1.2120f5468e5ecp-1, 0x1.1f53a1ceb70f1p-1, 0x1.1dc4e92d2b40cp-1, 0x1.1c6fb78020b4dp-1, 0x1.1b4f052d2e067p-1, 0x1.1a5ddfef10cc9p-1, 0x1.199772dcb196ep-1, 0x1.18f70d19d6336p-1, 0x1.1878278a3674p-1, 0x1.1816693651384p-1, 0x1.17cdaaea660a5p-1, 0x1.1799f958c5e73p-1, 0x1.1777973cc0d04p-1, 0x1.1762fdd314c29p-1, 0x1.1758dda012cdbp-1, 0x1.17561e25e7f09p-1, 0x1.1757dd98a9feap-1, 0x1.175b6ff73e6c5p-1, 0x1.175e5dfb210fcp-1, 0x1.175e63e26bef8p-1, 0x1.17596fad4b63ap-1, 0x1.174d9facec9cbp-1, 0x1.1739405eae0b1p-1, 0x1.171aca73cf5ffp-1, 0x1.16f0e130e72d7p-1, 0x1.16ba4f91dc56p-1, 0x1.167606d7716f3p-1, 0x1.16231c4c490a6p-1, 0x1.15c0c6767a656p-1, 0x1.154e5c3f08a8ap-1, 0x1.14cb51b4884e7p-1, 0x1.143736c69e31dp-1, 0x1.1391b5552846p-1, 0x1.12da8edf2f7b1p-1, 0x1.12119b390bb5ep-1, 0x1.1136c696b528ap-1, 0x1.104a0fe672a14p-1, 0x1.0f4b87627660fp-1, 0x1.0e3b4d16014f2p-1, 0x1.0d198f2dc9b63p-1, 0x1.0be688f855407p-1, 0x1.0aa28173286f4p-1, 0x1.094dca233978dp-1, 0x1.07e8be03f157fp-1, 0x1.0673c0628d693p-1, 0x1.04ef3bf6cbf0bp-1, 0x1.035ba1ddf8a25p-1, 0x1.01b968d5ef17dp-1, 0x1.00090c5eb3ae9p-1, 0x1.fc96180719a87p-2, 0x1.f8ffd507d13fcp-2, 0x1.f5505b0f9795cp-2, 0x1.f188b8caac431p-2, 0x1.edaa00a023b41p-2, 0x1.e9b54671f70ccp-2, 0x1.e5ab9f3ff30fap-2, 0x1.e18e203b141a9p-2, 0x1.dd5dddb3ba7c2p-2, 0x1.d91beac1e2314p-2, 0x1.d4c9584e0ff36p-2, 0x1.d0673478ca0bp-2, 0x1.cbf68a5b27a54p-2, 0x1.c778612ba925ep-2, 0x1.c2edbbefd59ffp-2, 0x1.be5799461e4f6p-2, 0x1.b9b6f2eaa67c9p-2, 0x1.b50cbd338ac91p-2, 0x1.b059e761af657p-2, 0x1.ab9f5ac03447ep-2, 0x1.a6ddfaecf55e7p-2, 0x1.a216a58ab05eep-2, 0x1.9d4a3235a382cp-2, 0x1.98797222de33ap-2, 0x1.93a53070fcc8dp-2, 0x1.8ece31fd89dadp-2, 0x1.89f53537bc0c6p-2, 0x1.851af23284d43p-2, 0x1.80401abfbe326p-2, 0x1.7b655aaa2e73dp-2, 0x1.768b56f34a1fcp-2, 0x1.71b2aee8d9acfp-2, 0x1.6cdbfb8501899p-2, 0x1.6807cfcea558ap-2, 0x1.6336b8ad18f14p-2, 0x1.5e693d56d0fc3p-2, 0x1.599fdf539b2dcp-2, 0x1.54db1a4b00466p-2, 0x1.501b646fcfd83p-2, 0x1.4b612eb3b1e49p-2, 0x1.46ace48c8c3e7p-2, 0x1.41feec4590158p-2, 0x1.3d57a71fa583ep-2, 0x1.38b7718e6c238p-2, 0x1.341ea32785f48p-2, 0x1.2f8d8ec40acdp-2, 0x1.2b0482bc9be03p-2, 0x1.2683c90ce28c8p-2, 0x1.220ba76ee3028p-2, 0x1.1d9c5f6d435a1p-2, 0x1.19362e7696234p-2, 0x1.14d94e32e0c12p-2, 0x1.1085f48904cc6p-2, 0x1.0c3c53b0e8cfap-2, 0x1.07fc9a4662f77p-2, 0x1.03c6f393cec09p-2, 0x1.ff370f4195dccp-3, 0x1.f6f4f68f1e134p-3, 0x1.eec7e091bbe52p-3, 0x1.e6b00ad658d5ap-3, 0x1.deadad35a7cdfp-3, 0x1.d6c0fa8138cb1p-3, 0x1.ceea1fcb6e5aap-3, 0x1.c72945477c36ep-3, 0x1.bf7e8e425267p-3, 0x1.b7ea195000013p-3, 0x1.b06c00aca8dccp-3, 0x1.a9045a59356dbp-3, 0x1.a1b337ea029dbp-3, 0x1.9a78a71c2e949p-3, 0x1.9354b22c5adacp-3, 0x1.8c475f3ae49f8p-3, 0x1.8550b13425087p-3, 0x1.7e70a7e88ac5ep-3, 0x1.77a73f88993e5p-3, 0x1.70f47179f9215p-3, 0x1.6a583445516d4p-3, 0x1.63d27baeb2d1ep-3, 0x1.5d6338c45ee3p-3, 0x1.570a5a0a97fecp-3, 0x1.50c7cbc5e9938p-3, 0x1.4a9b77e827e28p-3, 0x1.448546318ccb6p-3, 0x1.3e851c5e6a99fp-3, 0x1.389ade35a6b2ap-3, 0x1.32c66da265222p-3, 0x1.2d07aad459571p-3, 0x1.275e746dbf4e1p-3, 0x1.21caa74b20c3cp-3, 0x1.1c4c1f114b245p-3, 0x1.16e2b5afbffbdp-3, 0x1.118e441233d19p-3, 0x1.0c4ea1baadbdbp-3, 0x1.0723a527c34e4p-3, 0x1.020d23bb3d031p-3, 0x1.fa15e3849ca82p-4, 0x1.f039c52ab6e1ap-4, 0x1.e685917ee62a4p-4, 0x1.dcf8ebe8f9398p-4, 0x1.d39376569dc5ep-4, 0x1.ca54d13b2f42fp-4, 0x1.c13c9bc3697b2p-4, 0x1.b84a73ed75d3dp-4, 0x1.af7df6e09e72fp-4, 0x1.a6d6c06e78598p-4, 0x1.9e546bc54c388p-4, 0x1.95f692d2e8e3fp-4, 0x1.8dbccfecf760fp-4, 0x1.85a6bb7bf1a1cp-4, 0x1.7db3ee290c615p-4, 0x1.75e3ffec83b98p-4, 0x1.6e36886874e33p-4, 0x1.66ab1ef0e0eebp-4, 0x1.5f415a88342eep-4, 0x1.57f8d20ff12fap-4, 0x1.50d11c4f75307p-4, 0x1.49c9cffd3893ap-4, 0x1.42e283d3914b2p-4, 0x1.3c1ace9d02a94p-4, 0x1.357247365d26ep-4, 0x1.2ee884cfed1b1p-4, 0x1.287d1e0bb4214p-4, 0x1.222fab5e98226p-4, 0x1.1bffc3f91d0cep-4, 0x1.15ed002f249f3p-4, 0x1.0ff6f895a5ccfp-4, 0x1.0a1d4619de1bfp-4, 0x1.045f8226bc68cp-4, 0x1.fd7a8d3c59ebep-5, 0x1.f26c5c1fafc4dp-5, 0x1.e793a68853013p-5, 0x1.dcefa4137c438p-5, 0x1.d27f8cc29867p-5, 0x1.c8429ab4bd0dep-5, 0x1.be3808ad54662p-5, 0x1.b45f1327d5f07p-5, 0x1.aab6f7a68fc55p-5, 0x1.a13ef65f14b6cp-5, 0x1.97f64ee69b851p-5, 0x1.8edc44a58d2a5p-5, 0x1.85f01b059652ap-5, 0x1.7d3117b543997p-5, 0x1.749e81e93eaeap-5, 0x1.6c37a2a580211p-5, 0x1.63fbc45d8d5c5p-5, 0x1.5bea335e6cfeep-5, 0x1.54023df3ecda9p-5, 0x1.4c4333c8da02fp-5, 0x1.44ac66b085e32p-5, 0x1.3d3d29d2e92e4p-5, 0x1.35f4d363abc67p-5, 0x1.2ed2b9044a456p-5, 0x1.27d634d46b71dp-5, 0x1.20fea1508cc3cp-5, 0x1.1a4b5b55b6f38p-5, 0x1.13bbc1260142bp-5, 0x1.0d4f33ea5f2edp-5, 0x1.070515dc85b4fp-5, 0x1.00dccacb690d7p-5, 0x1.f5ab72d1ddd76p-6, 0x1.e9de9386e63bfp-6, 0x1.de51cba34bf8p-6, 0x1.d303f319b2914p-6, 0x1.c7f3e5c199523p-6, 0x1.bd2083112013ap-6, 0x1.b288aea8074d4p-6, 0x1.a82b4f8d62884p-6, 0x1.9e0750d86d8e9p-6, 0x1.941ba14695f8dp-6, 0x1.8a67332913fdfp-6, 0x1.80e8fd52f5148p-6, 0x1.779ff98efea63p-6, 0x1.6e8b25de73498p-6, 0x1.65a98387c2bd7p-6, 0x1.5cfa1827dbaa9p-6, 0x1.547bec8936dfbp-6, 0x1.4c2e0d2672535p-6, 0x1.440f8a69bc9dep-6, 0x1.3c1f77fb7f485p-6, 0x1.345ced8b53fabp-6, 0x1.2cc7060545343p-6, 0x1.255ce0052aa5ap-6, 0x1.1e1d9d8d9cb3p-6, 0x1.17086476e1c24p-6, 0x1.101c5d565ef72p-6, 0x1.0958b50b8f388p-6, 0x1.02bc9b2f00572p-6, 0x1.f88e868de8bfep-7, 0x1.ebefc740180c2p-7, 0x1.df9b6d32f9c97p-7, 0x1.d38ff19e78d8ep-7, 0x1.c7cbd677d33e1p-7, 0x1.bc4da1f580c3dp-7, 0x1.b113e2be12f21p-7, 0x1.a61d2e410e00ep-7, 0x1.9b681aba83c2ep-7, 0x1.90f34b038ef07p-7, 0x1.86bd67e1db81ep-7, 0x1.7cc517d8cfe4ep-7, 0x1.730914c40e446p-7, 0x1.69880f5557a29p-7, 0x1.6040cc931ccfp-7, 0x1.57320de92c802p-7, 0x1.4e5a9c5457e4p-7, 0x1.45b94845d0501p-7, 0x1.3d4ce5e3f4d93p-7, 0x1.35144fb1ee4aap-7, 0x1.2d0e65818d63ep-7, 0x1.253a0c3cfec4ep-7, 0x1.1d962da65e52fp-7, 0x1.1621b9fc000c5p-7, 0x1.0edba5141a7c1p-7, 0x1.07c2e9bc7a9c3p-7, 0x1.00d6864133d63p-7, 0x1.f42afd2404711p-8, 0x1.e6fdb6ca67835p-8, 0x1.da235410f208dp-8, 0x1.cd99f814c5694p-8, 0x1.c15fcf99df776p-8, 0x1.b573113c83a5cp-8, 0x1.a9d1f9c1351dp-8, 0x1.9e7ad1acd113bp-8, 0x1.936bea0dd7bf3p-8, 0x1.88a39c7c2a2e7p-8, 0x1.7e204bb3c32ap-8, 0x1.73e0637313c27p-8, 0x1.69e25608510dp-8, 0x1.6024a118d615fp-8, 0x1.56a5c4b7f6655p-8, 0x1.4d644bee352f2p-8, 0x1.445ec61bdd53dp-8, 0x1.3b93cc477a2f6p-8, 0x1.3301fd6823de6p-8, 0x1.2aa800ed62176p-8, 0x1.22848760db9ffp-8, 0x1.1a964234efacp-8, 0x1.12dbf859400bap-8, 0x1.0b546bd2af3fbp-8, 0x1.03fe6a80868bap-8, 0x1.f9b18f433c414p-9, 0x1.ebc4b59ff10b9p-9, 0x1.de34075c823a4p-9, 0x1.d0fd43d913cd5p-9, 0x1.c41e3f500fef5p-9, 0x1.b794d572a8f47p-9, 0x1.ab5ef2bc0e4fcp-9, 0x1.9f7a84b75ef8fp-9, 0x1.93e59cbc2d76ep-9, 0x1.889e44e47cac5p-9, 0x1.7da29de638975p-9, 0x1.72f0d51cff912p-9, 0x1.68871de753246p-9, 0x1.5e63b44287081p-9, 0x1.5484e0da5185bp-9, 0x1.4ae8ee739bf2p-9, 0x1.418e31e422a3bp-9, 0x1.38730b1c7f32bp-9, 0x1.2f95dd340558cp-9, 0x1.26f51d566c091p-9, 0x1.1e8f35e607f1cp-9, 0x1.1662c221ad0e5p-9, 0x1.0e6e4052d7084p-9, 0x1.06b04d339563ep-9, 0x1.fe4f1b222597p-10, 0x1.efa5543ae751p-10, 0x1.e160aff0b49fp-10, 0x1.d37ea4289867dp-10, 0x1.c5fccb70c86b6p-10, 0x1.b8d8b0e5a926bp-10, 0x1.ac0ff9de07f57p-10, 0x1.9fa051fc653a9p-10, 0x1.93876a2cbdaa7p-10, 0x1.87c2f6ec647b9p-10, 0x1.7c50bdcfa7742p-10, 0x1.712e8126a582p-10, 0x1.665a31e4f131p-10, 0x1.5bd1a1ddde808p-10, 0x1.5192d9616a4b6p-10, 0x1.479c0290d1b3fp-10, 0x1.3deb4f270cfcdp-10, 0x1.347f081ada49bp-10, 0x1.2b558957bcb16p-10, 0x1.226d3c15d3cd8p-10, 0x1.19c481edf6143p-10, 0x1.1159b8f4366c6p-10, 0x1.092b33e093137p-10, 0x1.013740da6ed95p-10, 0x1.f2f85878a7647p-11, 0x1.e3f08f0d1b48cp-11, 0x1.d553f0c46d945p-11, 0x1.c71f5930dcf78p-11, 0x1.b94ff89f354cep-11, 0x1.abe32e1615473p-11, 0x1.9ed68c8a5a60bp-11, 0x1.9227fdad8c6fdp-11, 0x1.85d53095af9f5p-11, 0x1.79dc3ae67a8dfp-11, 0x1.6e3af096f43fap-11, 0x1.62ef182a15ea2p-11, 0x1.57f64f3012741p-11, 0x1.4d4e1efddfd0ap-11, 0x1.42f3ff1a147cdp-11, 0x1.38e57d276fb6ap-11, 0x1.2f204a66901d5p-11, 0x1.25a239457963ep-11, 0x1.1c693a04f43a7p-11, 0x1.1373768d8bc9bp-11, 0x1.0abf24caa1bc4p-11, 0x1.024aa8ef7f4c5p-11, 0x1.f428fd2db7e1bp-12, 0x1.e43674e21e879p-12, 0x1.d4bae02a9a979p-12, 0x1.c5b368bb1ba81p-12, 0x1.b71cdbde5d56bp-12, 0x1.a8f404726e677p-12, 0x1.9b35841cf0e23p-12, 0x1.8dddc2392a777p-12, 0x1.80ea2cab5b444p-12, 0x1.7457bb9fb30d5p-12, 0x1.68241a497aad7p-12, 0x1.5c4c86e13cf16p-12, 0x1.50ceab99390f3p-12, 0x1.45a7b1239677bp-12, 0x1.3ad4d4a35c95ap-12, 0x1.30535a3c39e15p-12, 0x1.2620e9c852c66p-12, 0x1.1c3b7727fb58dp-12, 0x1.12a1255807e29p-12, 0x1.095026177017ap-12, 0x1.0046904daf832p-12, 0x1.ef049c3feeb27p-13, 0x1.de02f9d200ed3p-13, 0x1.cd849b7733c45p-13, 0x1.bd8691371ab35p-13, 0x1.ae064cf67bc62p-13, 0x1.9f00fdd78d0bbp-13, 0x1.9073827ee38dp-13, 0x1.8259fe7a30e7ep-13, 0x1.74afd6a98839p-13, 0x1.677034736586ep-13, 0x1.5a9677037535bp-13, 0x1.4e1ef2c03a435p-13, 0x1.42067469c4ad9p-13, 0x1.364af7d812a1p-13, 0x1.2aeaf6dc49daep-13, 0x1.1fe484958b0f3p-13, 0x1.1535a644a84c9p-13, 0x1.0adc3d21fc43ep-13, 0x1.00d67511aaba7p-13, 0x1.ee45ced17daeap-14, 0x1.db7f9e7675fb3p-14, 0x1.c95699cdacb1p-14, 0x1.b7c6960d72e57p-14, 0x1.a6c953f16da27p-14, 0x1.96588008247c2p-14, 0x1.866dc5b64184ap-14, 0x1.770313d156015p-14, 0x1.6813a64b08b6dp-14, 0x1.599b32f0d20c8p-14, 0x1.4b96373151804p-14, 0x1.3e01b45fb8dd5p-14, 0x1.30db8d35db00cp-14, 0x1.2421b35866dbap-14, 0x1.17d2d56792a72p-14, 0x1.0bed84872ae48p-14, 0x1.00704af5ee5d9p-14, 0x1.eab216441828p-15, 0x1.d549de4379bcfp-15, 0x1.c0a12fc346baep-15, 0x1.acb019cf0513bp-15, 0x1.996f54d611386p-15, 0x1.86d26a40ba252p-15, 0x1.74d3d67ce02cbp-15, 0x1.636d9f5ba377p-15, 0x1.529c7409a98fbp-15, 0x1.425f87f8f4f35p-15, 0x1.32b2ac1776198p-15, 0x1.239128c18e4aep-15, 0x1.14f55d73a47b8p-15, 0x1.06d9c145159f8p-15, 0x1.f277b0461a2bap-16, 0x1.d837016c5cbadp-16, 0x1.bef2499ab2bb7p-16, 0x1.a6a64f75fc2d9p-16, 0x1.8f4ba6a2b5f1ep-16, 0x1.78d49b2a4878fp-16, 0x1.633929b71414cp-16, 0x1.4e711403f5515p-16, 0x1.3a730171af84ap-16, 0x1.2731f72a5d583p-16, 0x1.14a256bd9789fp-16, 0x1.02bfa0c3762a7p-16, 0x1.e30b67d4d0b8p-17, 0x1.c1ef2516b0bbcp-17, 0x1.a22a67b514047p-17, 0x1.83b3c7cd4f1b6p-17, 0x1.667d539f689b2p-17, 0x1.4a7fa736dbbap-17, 0x1.2fa7324ec2ad6p-17, 0x1.15e9e1d559cp-17, 0x1.fa7f417b0010bp-18, 0x1.cb541dc9e511cp-18, 0x1.9e49576e4cf4fp-18, 0x1.734fbc9a1ac68p-18, 0x1.4a41102a4dfe9p-18, 0x1.23195b5883d0fp-18, 0x1.fb9adce6ed319p-19, 0x1.b496502b537fbp-19, 0x1.70dca750224eap-19, 0x1.302f7c95fba3p-19, 0x1.e4ca873298cb1p-20, 0x1.6efb5fdd656c2p-20, 0x1.fdd7c6feef06ep-21, 0x1.294344b58f5f1p-21, 0x1.805a87eb1e06cp-23, -0x1.7764a8f943696p-23, -0x1.10ba4c29e3615p-21, -0x1.b8a9c03f5b3bcp-21, -0x1.2b32861e926cfp-20, -0x1.758e4a2ae0236p-20, -0x1.bbc088370146dp-20, -0x1.fd9ed6a0cf8fbp-20, -0x1.1d7cc3925ca23p-19, -0x1.3a3a9503830d6p-19, -0x1.54f2159f5e4ep-19, -0x1.6da74bec294dp-19, -0x1.8451c3b4ce75p-19, -0x1.9911569ede14fp-19, -0x1.ac1760580c014p-19, -0x1.bd8f91b8948dbp-19, -0x1.cd8f2aa48e60fp-19, -0x1.dc21259fef3cp-19, -0x1.e93f5aa60baf5p-19, -0x1.f4e5505481b19p-19, -0x1.ff24295adb1dcp-19, -0x1.04015ba8bfbf4p-18, -0x1.07ba6d216f71cp-18, -0x1.0ac8675050698p-18, -0x1.0d2a2cd9a457cp-18, -0x1.0eef8c2bb2016p-18, -0x1.1032acb1d9e78p-18, -0x1.10fe361113491p-18, -0x1.114b120976d79p-18, -0x1.11113c261f0eep-18, -0x1.1064868847928p-18, -0x1.0f43f5ba86b9p-18, -0x1.0da4fc5a90a9ep-18, -0x1.0b8c8ff778ce8p-18, -0x1.0901c1c7fa10fp-18, -0x1.060d8e3ed0fc5p-18, -0x1.02bf0fbe933a7p-18, -0x1.fe41af6f6cc0cp-19, -0x1.f669f8bc462fdp-19, -0x1.edebe19177c98p-19, -0x1.e4c687bc08663p-19, -0x1.db078a97c1a35p-19, -0x1.d0b9ca968708cp-19, -0x1.c5d222337cd69p-19, -0x1.ba55959b4704cp-19, -0x1.ae5748f6434e3p-19, -0x1.a1e883ba84475p-19, -0x1.94f7f1d0f4239p-19, -0x1.879fb2b86b964p-19, -0x1.79e753fa76647p-19, -0x1.6bd1042332913p-19, -0x1.5d62072fc7524p-19, -0x1.4ea9133620013p-19, -0x1.3f953d7511b39p-19, -0x1.302728608e8abp-19, -0x1.206d20f5ff14p-19, -0x1.106c5124b6594p-19, -0x1.001ee126abbd5p-19, -0x1.df0a46b4ae37ep-20, -0x1.bdb38044cad36p-20, -0x1.9bef83fa15638p-20, -0x1.79d21abb3943fp-20, -0x1.5752a763f61dcp-20, -0x1.3490101b41a59p-20, -0x1.118581451413bp-20, -0x1.dc4b1dc3249cep-21, -0x1.95080d027da05p-21, -0x1.4d468ae598649p-21, -0x1.058abafbb71bfp-21, -0x1.7ac0126c54d8ep-22, -0x1.d3d3c0430619ap-23, -0x1.615654ac2a1d5p-24, 0x1.cdf8c2225fb36p-25, 0x1.9805031f6a403p-23, 0x1.5d9343158939p-22, 0x1.efafbcad84bb2p-22, 0x1.410367946cb76p-21, 0x1.8a1fd63191638p-21, 0x1.d323d3a98e03p-21, 0x1.0e05d2d8e3c14p-20, 0x1.3268ab001d25p-20, 0x1.56c1e8e9ecca1p-20, 0x1.7b0951f3903ebp-20, 0x1.9f2ee94b0dacbp-20, 0x1.c32a964809466p-20, 0x1.e7010bbb98097p-20, 0x1.055493909ed42p-19, 0x1.17113b7a674a1p-19, 0x1.28b875aac95fdp-19, 0x1.3a4ef22784a29p-19, 0x1.4bca6479fb8f4p-19, 0x1.5d20cecc984cep-19, 0x1.6e5b5cf4d342bp-19, 0x1.7f76800d3216ep-19, 0x1.906fa0910109bp-19, 0x1.a14d35ba38d74p-19, 0x1.b20acaa72ee8ap-19, 0x1.c29df67ae65b9p-19, 0x1.d30a916e70d38p-19, 0x1.e358cc3e54d6dp-19, 0x1.f3799c78c30c7p-19, 0x1.01b9656add5e8p-18, 0x1.09a218558d3c9p-18, 0x1.1175865f73f13p-18, 0x1.19334c7806c46p-18, 0x1.20db924b3700cp-18, 0x1.28712a06d76edp-18, 0x1.2fe80145a53a5p-18, 0x1.375041363c2cp-18, 0x1.3ea078fb487ap-18, 0x1.45d6816a4d879p-18, 0x1.4cf240da1cefep-18, 0x1.53f3c0268afc9p-18, 0x1.5ae657e6ca928p-18, 0x1.61bc4ac572fabp-18, 0x1.6877e66035836p-18, 0x1.6f1b265607461p-18, 0x1.75a52be757001p-18, 0x1.7c1560e6bc741p-18, 0x1.826b7ca14f6e7p-18, 0x1.88a7906f1e015p-18, 0x1.8ec97716ebfb1p-18, 0x1.94d296f9c3fd6p-18, 0x1.9abfde6fcfe1dp-18, 0x1.a09338edaca55p-18, 0x1.a64f6fc19d948p-18, 0x1.abedf2859038fp-18, 0x1.b17141f327ea4p-18, 0x1.b6d9e2a905adbp-18, 0x1.bc27444ea457p-18, 0x1.c15baac2c1115p-18, 0x1.c673ed62fd399p-18, 0x1.cb709d711a59p-18, 0x1.d051c5a11ac77p-18, 0x1.d51be565b397dp-18, 0x1.d9c889c61b86dp-18, 0x1.de5aab67015dp-18, 0x1.e2d14c0c065a5p-18, 0x1.e72cacafdc17bp-18, 0x1.eb6da8c25db77p-18, 0x1.ef937a90a52a7p-18, 0x1.f39eae36bd3b6p-18, 0x1.f78f6bcc69e06p-18, 0x1.fb6522f6f26fdp-18, 0x1.ff1f539ce87f2p-18, 0x1.016255b5e6217p-17, 0x1.03236a1104234p-17, 0x1.04d95077f4991p-17, 0x1.06826ad365007p-17, 0x1.081e182f6764cp-17, 0x1.09aeec449fa5fp-17, 0x1.0b31ec4ef2241p-17, 0x1.0ca32315577dbp-17, 0x1.0e0ae59e3b69dp-17, 0x1.0f65f54ca1d6p-17, 0x1.10b4328959262p-17, 0x1.11f6245e9844ep-17, 0x1.132b5385e4a8fp-17, 0x1.1453d60a5f85p-17, 0x1.156f61e92212bp-17, 0x1.167fc5920a029p-17, 0x1.17834a244ba43p-17, 0x1.187ac143ec9bap-17, 0x1.1965f7fb3bee9p-17, 0x1.1a451e918d9b6p-17, 0x1.1b186b51b5498p-17, 0x1.1be0ce55720ccp-17, 0x1.1c9c730d168f4p-17, 0x1.1d4bd1a9540b6p-17, 0x1.1defd4db10617p-17, 0x1.1e88c3811fe1bp-17, 0x1.1f15fdf060a72p-17, 0x1.1f98f55020e47p-17, 0x1.2010f1010c7afp-17, 0x1.207c42f74aa39p-17, 0x1.20ddb5e384f1bp-17, 0x1.2134456c25a87p-17, 0x1.217fcf20b5704p-17, 0x1.21c083679ab78p-17, 0x1.21f6b249539abp-17, 0x1.222297dcfa4afp-17, 0x1.2243f7e6447c4p-17, 0x1.225b7eb96501fp-17, 0x1.2268baffa506bp-17, 0x1.226bd6db0f833p-17, 0x1.22651513a0a4dp-17, 0x1.2253f61ce75d5p-17, 0x1.223ad9c36e584p-17, 0x1.221730338d46ap-17, 0x1.21ea2b24a61c1p-17, 0x1.21b15377c6bfdp-17, 0x1.21741ce9365adp-17, 0x1.212bc9c251198p-17, 0x1.20db1f0eea02dp-17, 0x1.207ea7bbd6551p-17, 0x1.201a893a9cddep-17, 0x1.1fada7b80987cp-17, 0x1.1f399d23e00f7p-17, 0x1.1ebd56ef26addp-17, 0x1.1e383755550eap-17, 0x1.1daa972e36748p-17, 0x1.1d14a5a4280bfp-17, 0x1.1c77f66f7e6afp-17, 0x1.1bd32f573098cp-17, 0x1.1b24ed46ff6bp-17, 0x1.1a6ffd63da0dp-17, 0x1.19b409e299308p-17, 0x1.18f0c1d7a989cp-17, 0x1.18262e6a70413p-17, 0x1.1754b8ee44767p-17, 0x1.167bb5f2fb7fcp-17, 0x1.159bd44ab47e8p-17, 0x1.14b4db4210d7p-17, 0x1.13c79c277cbe1p-17, 0x1.12d3a9123bb43p-17, 0x1.11d920be21ae4p-17, 0x1.10d87547b5472p-17, 0x1.0fd17a0e5393ep-17, 0x1.0ec4c96c98c78p-17, 0x1.0db352699eea6p-17, 0x1.0c98a6099e2acp-17, 0x1.0b79d8c8660d8p-17, 0x1.0a5576c4fc42dp-17, 0x1.092b8488cb652p-17, 0x1.07fbced01efe9p-17, 0x1.06c81f7f530bbp-17, 0x1.058f851f0b9b8p-17, 0x1.044e27a236cbdp-17, 0x1.030a5066bbcebp-17, 0x1.01c161a6927bdp-17, 0x1.007382918f0a7p-17, 0x1.fe41ebd4553fbp-18, 0x1.fb91f7a07f83ap-18, 0x1.f8dc6b72d39eep-18, 0x1.f61c409914926p-18, 0x1.f352739ea6f5p-18, 0x1.f08394aba6248p-18, 0x1.edaab0d39b26ep-18, 0x1.eac7f9c553bdap-18, 0x1.e7dc07e089104p-18, 0x1.e4ef7bf932204p-18, 0x1.e1f7c5661d831p-18, 0x1.def8fc23fab5bp-18, 0x1.dbf2d3a478eb7p-18, 0x1.d8e58964fbb97p-18, 0x1.d5d29b6eefe5p-18, 0x1.d2b9c5f88d6e9p-18, 0x1.cf99966e0694bp-18, 0x1.cc74275ef951ep-18, 0x1.c9487abad8d31p-18, 0x1.c61924ef923d4p-18, 0x1.c2df2a61371a5p-18, 0x1.bfa5b13a662b9p-18, 0x1.bc62a7caecb7dp-18, 0x1.b91c723efbc83p-18, 0x1.b5d1791ca727bp-18, 0x1.b28214cdc9441p-18, 0x1.af2e224fd2499p-18, 0x1.abd61a58aec18p-18, 0x1.a876aae2cbae1p-18, 0x1.a51a3d185eccbp-18, 0x1.a1b56423054dcp-18, 0x1.9e4e2cdfdf78p-18, 0x1.9ae3b01798cc2p-18, 0x1.9775a53a8b05dp-18, 0x1.940449428769ep-18, 0x1.908ffe762c968p-18, 0x1.8d18ab80f6363p-18, 0x1.899efe19414a4p-18, 0x1.8622d27def4acp-18, 0x1.82a536ab40e16p-18, 0x1.7f2466e4905fp-18, 0x1.7ba21483c5fa7p-18, 0x1.781d0e5169756p-18, 0x1.74968353c58aap-18, 0x1.710ee9dbeea5bp-18, 0x1.6d86187c3bap-18, 0x1.69fa8e6ce1866p-18, 0x1.6672adf040c64p-18, 0x1.62e13d5683addp-18, 0x1.5f54de00888fcp-18, 0x1.5bc666f9bc68bp-18, 0x1.5836f5e4e722fp-18, 0x1.54a69b9ffcce8p-18, 0x1.5116748e760bfp-18, 0x1.4d8585f5d8a92p-18, 0x1.49f513d5a82d9p-18, 0x1.4662ddeacbd05p-18, 0x1.42d3601691231p-18, 0x1.3f42df7d1d38bp-18, 0x1.3bb71d859ca7bp-18, 0x1.382332188a354p-18, 0x1.34945d8c52b4p-18, 0x1.3104efefe6824p-18, 0x1.2d76abda263d5p-18, 0x1.29e9991243676p-18, 0x1.265d6d7ecf72ep-18, 0x1.22d204a959c87p-18, 0x1.1f47c78ea8efep-18, 0x1.1bbe589d54317p-18, 0x1.18392bb407545p-18, 0x1.14b32ccedf658p-18, 0x1.112de73024493p-18, 0x1.0dab78488365ep-18, 0x1.0a29fbe779262p-18, 0x1.06ab5ce4edc23p-18, 0x1.032dd38caf33bp-18, 0x1.ff655f6b833d6p-19, 0x1.f871edbec5511p-19, 0x1.f185536000028p-19, 0x1.ea99b46fa4b98p-19, 0x1.e3b74cd57e8e7p-19, 0x1.dcd779fa93cdp-19, 0x1.d5f95029740ep-19, 0x1.cf240c118c3a4p-19, 0x1.c854d00a93216p-19, 0x1.c18882bd0e052p-19, 0x1.bac47ff132e09p-19, 0x1.b40d650016dd5p-19, 0x1.ad47bb1adeac5p-19, 0x1.a694d1d66ee54p-19, 0x1.9fe6bb8b2126cp-19, 0x1.994183f4e3ad8p-19, 0x1.92a00b734e705p-19, 0x1.8c0364e2b45ap-19, 0x1.85704f8d36066p-19, 0x1.7ee357f8fa6c1p-19, 0x1.78578e47ac23bp-19, 0x1.71dced955c1d6p-19, 0x1.6b62dc93fc305p-19, 0x1.64f496eaed954p-19, 0x1.5e8b0d8cee894p-19, 0x1.582a445bca4d3p-19, 0x1.51cc97ba8a95ep-19, 0x1.4b77f2586c899p-19, 0x1.452bbb3a23e82p-19, 0x1.3ee7a6661bfdap-19, 0x1.38ac60809053bp-19, 0x1.32798ccc57f28p-19, 0x1.2c4d29fa7f6aep-19, 0x1.262a4af61cfb4p-19, 0x1.200c9772924cfp-19, 0x1.19fac5f87f6f9p-19, 0x1.13ed6984cb787p-19, 0x1.0decd5332f1b4p-19, 0x1.07f1ceaa97bdp-19, 0x1.0202cfb39b46dp-19, 0x1.f82e5dd748cd8p-20, 0x1.ec704639aafap-20, 0x1.e0c38501477a3p-20, 0x1.d5293bb613cb3p-20, 0x1.c99be239253e4p-20, 0x1.be2440a7424dbp-20, 0x1.b2bf3aa6d0ecap-20, 0x1.a76a9276b3d71p-20, 0x1.9c2a1af59e465p-20, 0x1.90fb7a2bcbf24p-20, 0x1.85dc5923f13b4p-20, 0x1.7ad1734ef7e6ap-20, 0x1.6fd898c6d3bc7p-20, 0x1.64f2aba20ae3p-20, 0x1.5a21b48baaafap-20, 0x1.4f5b25d7d932cp-20, 0x1.44b8575bc6187p-20, 0x1.3a2d08a675839p-20, 0x1.2f95decd0479dp-20, 0x1.25251d2377544p-20, 0x1.1ac5984a9db3ap-20, 0x1.1077acd5b3708p-20, 0x1.063c8077c272p-20, 0x1.f82bc75b11f17p-21, 0x1.e40a96a924a49p-21, 0x1.d00fa30ecada9p-21, 0x1.bc364128c76b3p-21, 0x1.a885a12957bfdp-21, 0x1.94ede6a4d9af1p-21, 0x1.818f730f68febp-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.9e63f5adada88p-8, -0x1.9e6579e045cd9p-7, -0x1.36d153cb50876p-6, -0x1.9e7e8555af665p-6, -0x1.03256ca95f795p-5, -0x1.3726c98fb4e52p-5, -0x1.6b51e8e9ece3bp-5, -0x1.9fb792c0cd3cap-5, -0x1.d469ee8cff681p-5, -0x1.04bdd07aba02cp-4, -0x1.1f7f79812fe85p-4, -0x1.3a828756e8145p-4, -0x1.55ceabc7a1fddp-4, -0x1.716a715865a8dp-4, -0x1.8d5b070ba325dp-4, -0x1.a9a41b6c9f76cp-4, -0x1.c647c5c408491p-4, -0x1.e3467c0108d7bp-4, -0x1.004f89d9245edp-3, -0x1.0f27662bd8b07p-3, -0x1.1e28b0ac30c31p-3, -0x1.2d5090fe053e5p-3, -0x1.3c9b86f2891b1p-3, -0x1.4c057a57e8d4dp-3, -0x1.5b89cbc2b452dp-3, -0x1.6b2365ce977cfp-3, -0x1.7accce697a467p-3, -0x1.8a8037d0f4457p-3, -0x1.9a3790fcd3517p-3, -0x1.a9ec954291165p-3, -0x1.b998db0c4059cp-3, -0x1.c935e18a41f41p-3, -0x1.d8bd1d515a2aep-3, -0x1.e82803df786e9p-3, -0x1.f770160820bb7p-3, -0x1.034774a74f70ep-2, -0x1.0abf181bff7bbp-2, -0x1.121be0d0bfdfep-2, -0x1.195acf94f7238p-2, -0x1.2078fd5eb70f2p-2, -0x1.27739da9cf5f5p-2, -0x1.2e48007803c37p-2, -0x1.34f393fa31e27p-2, -0x1.3b73e5e9e8752p-2, -0x1.41c6a49a9a549p-2, -0x1.47e99fc921999p-2, -0x1.4ddac92fe2354p-2, -0x1.539834e5651adp-2, -0x1.5920198ad55ccp-2, -0x1.5e70d04f5dc03p-2, -0x1.6388d4ccf98a8p-2, -0x1.6866c4c2f2726p-2, -0x1.6d095fb1e9b65p-2, -0x1.716f865cedfb6p-2, -0x1.75983a32e58bcp-2, -0x1.79829ca33d048p-2, -0x1.7d2dee6099429p-2, -0x1.80998e94033cbp-2, -0x1.83c4fa02dc725p-2, -0x1.86afca29b0faap-2, -0x1.8959b44dd358bp-2, -0x1.8bc2888783febp-2, -0x1.8dea30c6410b9p-2, -0x1.8fd0afd0b649ep-2, -0x1.91762041a790ep-2, -0x1.92dab38310df8p-2, -0x1.93feb0c8984ccp-2, -0x1.94e2740a5940ap-2, -0x1.95866d00eef91p-2, -0x1.95eb1e239c046p-2, -0x1.96111ba943e5p-2, -0x1.95f90a8ce8fc7p-2, -0x1.95a39f9642845p-2, -0x1.95119e66f0b96p-2, -0x1.9443d88cc82acp-2, -0x1.933b2c99916a3p-2, -0x1.91f885409e4fdp-2, -0x1.907cd87a7497ap-2, -0x1.8ec926aed121bp-2, -0x1.8cde79e52f60bp-2, -0x1.8abde4fbfb397p-2, -0x1.886882e68ec04p-2, -0x1.85df75f205f24p-2, -0x1.8323e710f3d94p-2, -0x1.8037052e01058p-2, -0x1.7d1a0485677c8p-2, -0x1.79ce1e05418ffp-2, -0x1.76548eb49d88ap-2, -0x1.72ae97213e667p-2, -0x1.6edd7ad3ecae1p-2, -0x1.6ae27fcb3b1e5p-2, -0x1.66beedfc9b3dcp-2, -0x1.62740edba0528p-2, -0x1.5e032ce742269p-2, -0x1.596d933cfc695p-2, -0x1.54b48d319c0f3p-2, -0x1.4fd965ef8f963p-2, -0x1.4add681a887cap-2, -0x1.45c1dd784816ep-2, -0x1.40880e9e5bf43p-2, -0x1.3b3142a4a947p-2, -0x1.35bebedc8e24p-2, -0x1.3031c68c6c9cap-2, -0x1.2a8b9aaf773f3p-2, -0x1.24cd79b986404p-2, -0x1.1ef89f5ed5a2ap-2, -0x1.190e445f76b6ap-2, -0x1.130f9e564eac4p-2, -0x1.0cfddf8b78e24p-2, -0x1.06da36c9e2b78p-2, -0x1.00a5cf37fa2dp-2, -0x1.f4c3a06695ab3p-3, -0x1.e81eba5dc4c11p-3, -0x1.db5f2b28b6a43p-3, -0x1.ce87294ed736fp-3, -0x1.c198e2d7a8a82p-3, -0x1.b4967d1b30612p-3, -0x1.a7821496a94e6p-3, -0x1.9a5dbcc54ea6cp-3, -0x1.8d2b7ffd0361p-3, -0x1.7fed5f4e9d2b1p-3, -0x1.72a55269adf0ep-3, -0x1.655547839104ep-3, -0x1.57ff2341999b1p-3, -0x1.4aa4c0a62f926p-3, -0x1.3d47f100b83f4p-3, -0x1.2fea7be028e7dp-3, -0x1.228e1f080fef1p-3, -0x1.15348e68085cap-3, -0x1.07df74156761bp-3, -0x1.f520e08e1835cp-4, -0x1.da9232a66e55dp-4, -0x1.c015f75e91848p-4, -0x1.a5af33e2aa7bbp-4, -0x1.8b60d9a6dd2cap-4, -0x1.712dc6712be9ep-4, -0x1.5718c4667074dp-4, -0x1.3d248a1a4c255p-4, -0x1.2353baa1e9e0cp-4, -0x1.09a8e5a96778fp-4, -0x1.e04d0f17a3c06p-5, -0x1.ad9e12db0635dp-5, -0x1.7b4982b1ad02ep-5, -0x1.4953e4ba16c3ap-5, -0x1.17c1995e784b2p-5, -0x1.cd2db73567e47p-6, -0x1.6baf828c14cb2p-6, -0x1.0b1076c0f9027p-6, -0x1.56b0598e4bb76p-7, -0x1.3237d4b3aca45p-8, 0x1.1472735b7a09dp-10, 0x1.b8819a2adfcb2p-8, 0x1.93ee9a87b9c99p-7, 0x1.24c5a55b3fc3p-6, 0x1.7e857d8eac075p-6, 0x1.d7312895ff97dp-6, 0x1.17619e2a7f088p-5, 0x1.429b4884574e3p-5, 0x1.6d43203840cf3p-5, 0x1.9756d279bfd62p-5, 0x1.c0d42c60dd654p-5, 0x1.e9b91a791a4e7p-5, 0x1.0901d42759d1bp-4, 0x1.1cd8fffd2bba2p-4, 0x1.306134d5afd61p-4, 0x1.4399a598557d3p-4, 0x1.568193c016e7bp-4, 0x1.69184f1ead05ep-4, 0x1.7b5d359f2edd1p-4, 0x1.8d4fb30833fcep-4, 0x1.9eef40bd81f7dp-4, 0x1.b03b65814daa9p-4, 0x1.c133b535180fdp-4, 0x1.d1d7d09a3837dp-4, 0x1.e22765121fc37p-4, 0x1.f2222c5e527d8p-4, 0x1.00e3f63016598p-3, 0x1.088c3b6c408a4p-3, 0x1.1009d49387f1bp-3, 0x1.175cb604ef3aep-3, 0x1.1e84d9ae467b1p-3, 0x1.25823eebcb846p-3, 0x1.2c54ea67ce9dcp-3, 0x1.32fce5fa60e7fp-3, 0x1.397a408903a4p-3, 0x1.3fcd0de672bep-3, 0x1.45f566b2749eep-3, 0x1.4bf36839ca8a4p-3, 0x1.51c73456399cfp-3, 0x1.5770f14eb294ep-3, 0x1.5cf0c9b799437p-3, 0x1.6246ec5339bd9p-3, 0x1.67738bf2627c9p-3, 0x1.6c76df552dffap-3, 0x1.7151210bfe8fep-3, 0x1.76028f58b08ep-3, 0x1.7a8b6c0ffee2bp-3, 0x1.7eebfc7b2c0bep-3, 0x1.83248939e3748p-3, 0x1.87355e245be46p-3, 0x1.8b1eca2dc5957p-3, 0x1.8ee11f46f6bc4p-3, 0x1.927cb24168fd8p-3, 0x1.95f1dab27f048p-3, 0x1.9940f2d71cc7ep-3, 0x1.9c6a57778c558p-3, 0x1.9f6e67cbbefa1p-3, 0x1.a24d855fdd933p-3, 0x1.a50813f930d6dp-3, 0x1.a79e797b67b9dp-3, 0x1.aa111dce378dfp-3, 0x1.ac606ac35a3fp-3, 0x1.ae8ccbfceaad9p-3, 0x1.b096aed4246f7p-3, 0x1.b27e82408532cp-3, 0x1.b444b6bf5186dp-3, 0x1.b5e9be3b7d09fp-3, 0x1.b76e0bf5fde79p-3, 0x1.b8d2146e80367p-3, 0x1.ba164d4c8bb0fp-3, 0x1.bb3b2d49086c4p-3, 0x1.bc412c183426ep-3, 0x1.bd28c253fd9fep-3, 0x1.bdf26966d409ep-3, 0x1.be9e9b76d65eep-3, 0x1.bf2dd35177b0cp-3, 0x1.bfa08c578fab1p-3, 0x1.bff74269d03c8p-3, 0x1.c03271d5b827cp-3, 0x1.c0529742de6cp-3, 0x1.c0582fa0bd37cp-3, 0x1.c043b814e2044p-3, 0x1.c015ade9873ddp-3, 0x1.bfce8e7ca58cep-3, 0x1.bf6ed72f68847p-3, 0x1.bef7055614c8dp-3, 0x1.be6796285a67p-3, 0x1.bdc106b210ba7p-3, 0x1.bd03d3c45cc0ep-3, 0x1.bc3079e747247p-3, 0x1.bb47754bbaf1fp-3, 0x1.ba4941bde6d39p-3, 0x1.b9365a9810a4dp-3, 0x1.b80f3ab5cb8a6p-3, 0x1.b6d45c6796b7p-3, 0x1.b5863966e3fb1p-3, 0x1.b4254aca80d86p-3, 0x1.b2b208fb659f6p-3, 0x1.b12ceba9e7f0ep-3, 0x1.af9669c350a5ap-3, 0x1.adeef967d196bp-3, 0x1.ac370fe0dc26dp-3, 0x1.aa6f2197d6cc5p-3, 0x1.a897a20d30b85p-3, 0x1.a6b103cfd47ddp-3, 0x1.a4bbb874f2aefp-3, 0x1.a2b8309027f44p-3, 0x1.a0a6dbabff80fp-3, 0x1.9e882842c753ap-3, 0x1.9c5c83b7be30ap-3, 0x1.9a245a509a727p-3, 0x1.97e0172f59dcfp-3, 0x1.9590244c7231cp-3, 0x1.9334ea71458p-3, 0x1.90ced132ef4acp-3, 0x1.8e5e3eed580e5p-3, 0x1.8be398be9fda1p-3, 0x1.895f4282c75e1p-3, 0x1.86d19ecfad6a3p-3, 0x1.843b0ef15027bp-3, 0x1.819bf2e65592ep-3, 0x1.7ef4a95cd6cep-3, 0x1.7c458faf77fb2p-3, 0x1.798f01e2b9426p-3, 0x1.76d15aa28d55cp-3, 0x1.740cf3402d877p-3, 0x1.714223b02fd84p-3, 0x1.6e714288d5525p-3, 0x1.6b9aa50095146p-3, 0x1.68be9eece24cdp-3, 0x1.65dd82c128bd6p-3, 0x1.62f7a18dffc85p-3, 0x1.600d4b00978b8p-3, 0x1.5d1ecd6251f6p-3, 0x1.5a2c7598950aep-3, 0x1.57368f24cbc2ap-3, 0x1.543d6424966bbp-3, 0x1.51413d5229aa1p-3, 0x1.4e426204dc154p-3, 0x1.4b411831d9a93p-3, 0x1.483da46d0a3aep-3, 0x1.453849ea1b1d6p-3, 0x1.42314a7dadb74p-3, 0x1.3f28e69eb3d61p-3, 0x1.3c1f5d67ed6e5p-3, 0x1.3914ec9986e77p-3, 0x1.3609d09adb77dp-3, 0x1.32fe447c5ff74p-3, 0x1.2ff281f99f48fp-3, 0x1.2ce6c17b6482dp-3, 0x1.29db3a19f5cb9p-3, 0x1.26d0219f7348bp-3, 0x1.23c5ac8a506ffp-3, 0x1.20bc0e0fe356cp-3, 0x1.1db3781f12ca4p-3, 0x1.1aac1b63127aep-3, 0x1.17a627464418dp-3, 0x1.14a1c9f51db84p-3, 0x1.119f30613526cp-3, 0x1.0e9e86444de41p-3, 0x1.0b9ff6238a4a9p-3, 0x1.08a3a952a03c2p-3, 0x1.05a9c7f723cc5p-3, 0x1.02b2790be7079p-3, 0x1.ff7bc4c8ba7c6p-4, 0x1.f9985160289b4p-4, 0x1.f3badefc6d6a5p-4, 0x1.ede3b2823affap-4, 0x1.e8130ea3cd28ap-4, 0x1.e24933e835b49p-4, 0x1.dc8660b2b893cp-4, 0x1.d6cad14a3b516p-4, 0x1.d116bfe0b8116p-4, 0x1.cb6a649ad3bep-4, 0x1.c5c5f59767e4bp-4, 0x1.c029a6f72dffcp-4, 0x1.ba95aae46579p-4, 0x1.b50a319a8d068p-4, 0x1.af87696e14fd7p-4, 0x1.aa0d7ed4233d1p-4, 0x1.a49c9c6a5c60ap-4, 0x1.9f34eafea0a07p-4, 0x1.99d69196e4d91p-4, 0x1.9481b578ead9ep-4, 0x1.8f367a321a11dp-4, 0x1.89f5019f4130cp-4, 0x1.84bd6bf45ea54p-4, 0x1.7f8fd7c462c4dp-4, 0x1.7a6c6208ecad7p-4, 0x1.7553262a07daep-4, 0x1.70443e05d8519p-4, 0x1.6b3fc1f84b029p-4, 0x1.6645c8e2b73afp-4, 0x1.6156683377a21p-4, 0x1.5c71b3ed7f2b7p-4, 0x1.5797beafdccbbp-4, 0x1.52c899bd376f5p-4, 0x1.4e0455033ad0bp-4, 0x1.494aff21fe25dp-4, 0x1.449ca57359636p-4, 0x1.3ff954122ad7ap-4, 0x1.3b6115e194adcp-4, 0x1.36d3f49423654p-4, 0x1.3251f8b2eaf6dp-4, 0x1.2ddb29a492341p-4, 0x1.296f8db44e526p-4, 0x1.250f2a18ccb13p-4, 0x1.20ba02fb09ap-4, 0x1.1c701b7d1a7a1p-4, 0x1.183175c0e0897p-4, 0x1.13fe12eeaaac3p-4, 0x1.0fd5f33bc6ca7p-4, 0x1.0bb915f0fe032p-4, 0x1.07a77970fa542p-4, 0x1.03a11b3ea12d1p-4, 0x1.ff4bf006a5d4cp-5, 0x1.f76c172a29b54p-5, 0x1.efa2a1f959abfp-5, 0x1.e7ef84f747b6bp-5, 0x1.e052b3246dd0ep-5, 0x1.d8cc1e0a5f161p-5, 0x1.d15bb5c75939bp-5, 0x1.ca01691999d53p-5, 0x1.c2bd256a9b6ep-5, 0x1.bb8ed6da1a8b9p-5, 0x1.b4766848fa134p-5, 0x1.ad73c363f4a0bp-5, 0x1.a686d0ae2567bp-5, 0x1.9faf778b68f9cp-5, 0x1.98ed9e4a8b073p-5, 0x1.92412a2f503d2p-5, 0x1.8ba9ff7c4e2cep-5, 0x1.8528017c9d8e1p-5, 0x1.7ebb128d5f1d3p-5, 0x1.78631427174fdp-5, 0x1.721fe6e6d5f5fp-5, 0x1.6bf16a97404ddp-5, 0x1.65d77e3968c6fp-5, 0x1.5fd2000d75dd3p-5, 0x1.59e0cd9b2949cp-5, 0x1.5403c3ba3ebd7p-5, 0x1.4e3abe9a8f24dp-5, 0x1.488599cc1fdebp-5, 0x1.42e43046f9a68p-5, 0x1.3d565c72d871p-5, 0x1.37dbf82eb5fd5p-5, 0x1.3274dcd8286b2p-5, 0x1.2d20e3529da12p-5, 0x1.27dfe40e6409fp-5, 0x1.22b1b70f95c2p-5, 0x1.1d9633f4daf63p-5, 0x1.188d31fdfcc1ap-5, 0x1.139688125ad89p-5, 0x1.0eb20cc736f9ap-5, 0x1.09df9665d6815p-5, 0x1.051efaf1866edp-5, 0x1.0070102d71ac3p-5, 0x1.f7a55744bc00fp-6, 0x1.ee8d45486e189p-6, 0x1.e59794aef7703p-6, 0x1.dcc3ef6d1a0c7p-6, 0x1.d411ff2d9e4fp-6, 0x1.cb816d5b5d88ap-6, 0x1.c311e32b062cbp-6, 0x1.bac309a49c77p-6, 0x1.b29489acbb085p-6, 0x1.aa860c0d8296ap-6, 0x1.a297397f62e91p-6, 0x1.9ac7bab189c22p-6, 0x1.931738522573bp-6, 0x1.8b855b165d913p-6, 0x1.8411cbc211ecfp-6, 0x1.7cbc332f5d11dp-6, 0x1.75843a55ec83ap-6, 0x1.6e698a51fab4ep-6, 0x1.676bcc6b2fa7p-6, 0x1.608aaa1b390f6p-6, 0x1.59c5cd143357bp-6, 0x1.531cdf46d564bp-6, 0x1.4c8f8ae864c66p-6, 0x1.461d7a788333cp-6, 0x1.3fc658c6b223dp-6, 0x1.3989d0f7bdc54p-6, 0x1.33678e8ae684dp-6, 0x1.2d5f3d5ed2fc7p-6, 0x1.277089b663a01p-6, 0x1.219b203d49e61p-6, 0x1.1bdeae0c769f5p-6, 0x1.163ae0ae54f0ep-6, 0x1.10af6622eb443p-6, 0x1.0b3bece3aecf9p-6, 0x1.05e023e757d29p-6, 0x1.009bbaa56a879p-6, 0x1.f6dcc233423c4p-7, 0x1.ecaf8f8e623d5p-7, 0x1.e2af3f77ce922p-7, 0x1.d8db3526310ep-7, 0x1.cf32d4f0f0409p-7, 0x1.c5b584558ba6dp-7, 0x1.bc62a9fc911ebp-7, 0x1.b339adbe8cb9bp-7, 0x1.aa39f8a86631bp-7, 0x1.a162f4ffcb07fp-7, 0x1.98b40e471b62dp-7, 0x1.902cb1412879fp-7, 0x1.87cc4bf4d13b4p-7, 0x1.7f924db01c0d9p-7, 0x1.777e270b6f895p-7, 0x1.6f8f49ec630bdp-7, 0x1.67c52988407aep-7, 0x1.601f3a668e798p-7, 0x1.589cf26322fcbp-7, 0x1.513dc8b02664ep-7, 0x1.4a0135d7eaf61p-7, 0x1.42e6b3be89e8dp-7, 0x1.3bedbda32b9dp-7, 0x1.3515d0216f77ap-7, 0x1.2e5e69325cd43p-7, 0x1.27c7082d5341bp-7, 0x1.214f2dc8cff7p-7, 0x1.1af65c1af6c32p-7, 0x1.14bc1699e8e2dp-7, 0x1.0e9fe21c22738p-7, 0x1.08a144d8911c7p-7, 0x1.02bfc66677103p-7, 0x1.f9f5df7addb38p-8, 0x1.eea49669dd9e2p-8, 0x1.e38ac907fb42dp-8, 0x1.d8a7918123d98p-8, 0x1.cdfa0cbdef17ep-8, 0x1.c3815a6202452p-8, 0x1.b93c9cca4be56p-8, 0x1.af2af90afc1f3p-8, 0x1.a54b96ed55294p-8, 0x1.9b9da0ed227d9p-8, 0x1.9220443657bccp-8, 0x1.88d2b0a22a262p-8, 0x1.7fb418b3f765ap-8, 0x1.76c3b1966df68p-8, 0x1.6e00b317ee863p-8, 0x1.656a57a766ef2p-8, 0x1.5cffdc506e5d7p-8, 0x1.54c080b7bd7dbp-8, 0x1.4cab8717365dp-8, 0x1.44c03439d84d3p-8, 0x1.3cfdcf778cf0bp-8, 0x1.3563a2b0e733ep-8, 0x1.2df0fa4ae246p-8, 0x1.26a5252a6215cp-8, 0x1.1f7f74af5d63ep-8, 0x1.187f3cb06fb34p-8, 0x1.11a3d375f788fp-8, 0x1.0aec91b52651bp-8, 0x1.0458d28b299cap-8, 0x1.fbcfe6f01bedfp-9, 0x1.ef32a8b372dacp-9, 0x1.e2d8aecd377bp-9, 0x1.d6c0c250e2c76p-9, 0x1.cae9b0ee31e8bp-9, 0x1.bf524ce649ceep-9, 0x1.b3f96d00fadecp-9, 0x1.a8ddec81ac3d8p-9, 0x1.9dfeab1c82c87p-9, 0x1.935a8ceb2bbap-9, 0x1.88f07a61da892p-9, 0x1.7ebf6043cf6fep-9, 0x1.74c62f986c601p-9, 0x1.6b03dd9fd32e9p-9, 0x1.617763c704855p-9, 0x1.581fbf9d10fd3p-9, 0x1.4efbf2c755558p-9, 0x1.460b02f6114e9p-9, 0x1.3d4bf9d906659p-9, 0x1.34bde513cfa1ap-9, 0x1.2c5fd6327bcf5p-9, 0x1.2430e29dd6aa8p-9, 0x1.1c30239005ea6p-9, 0x1.145cb608f5e2cp-9, 0x1.0cb5bac2f8d03p-9, 0x1.053a562713f37p-9, 0x1.fbd360833ffa6p-10, 0x1.ed85e96dacaddp-10, 0x1.df8aa56e920cfp-10, 0x1.d1dff9e952c4cp-10, 0x1.c484532c5642ap-10, 0x1.b776245adf4bfp-10, 0x1.aab3e7567e603p-10, 0x1.9e3c1ca810242p-10, 0x1.920d4b69f82d5p-10, 0x1.86260131262ebp-10, 0x1.7a84d1f76086fp-10, 0x1.6f2858055323ap-10, 0x1.640f33dc5ad59p-10, 0x1.59380c209d35ep-10, 0x1.4ea18d83d6ef4p-10, 0x1.444a6aaf7823bp-10, 0x1.3a315c2edcf7ap-10, 0x1.3055205a8c72bp-10, 0x1.26b47b42ebc43p-10, 0x1.1d4e369bd194ep-10, 0x1.142121a6c3139p-10, 0x1.0b2c111ee4bap-10, 0x1.026ddf241baep-10, 0x1.f3cad64e4b31ap-11, 0x1.e32333aa374abp-11, 0x1.d2e2aa074cfa2p-11, 0x1.c307173a4bfddp-11, 0x1.b38e631a37742p-11, 0x1.a4767f592a989p-11, 0x1.95bd675d6fed8p-11, 0x1.8761201bd48d1p-11, 0x1.795fb7f14b62ep-11, 0x1.6bb7467e8b80ep-11, 0x1.5e65ec820a0a7p-11, 0x1.5169d3b3840bcp-11, 0x1.44c12e9f7d47bp-11, 0x1.386a3883673bbp-11, 0x1.2c633529fdf54p-11, 0x1.20aa70c80b5bdp-11, 0x1.153e3fd9ca226p-11, 0x1.0a1cff00b421dp-11, 0x1.fe8a25c2187dap-12, 0x1.e969d000beac2p-12, 0x1.d4d5e54843f4ap-12, 0x1.c0cb5d60f26b3p-12, 0x1.ad473f110430cp-12, 0x1.9a469fdc436d3p-12, 0x1.87c6a3c486f75p-12, 0x1.75c47d0a48a78p-12, 0x1.643d6bef7ac74p-12, 0x1.532ebe7af9538p-12, 0x1.4295d03a4bccbp-12, 0x1.32700a07f5e9ap-12, 0x1.22bae1cfe2cc9p-12, 0x1.1373da574a957p-12, 0x1.0498830104d22p-12, 0x1.ec4cef2d49a08p-13, 0x1.d036c01fc6ab1p-13, 0x1.b4e9e0b66fc78p-13, 0x1.9a61d052b5c29p-13, 0x1.809a256ecc739p-13, 0x1.678e8d332f58cp-13, 0x1.4f3acb0e3a87ap-13, 0x1.379ab85100c8dp-13, 0x1.20aa43c74067cp-13, 0x1.0a657154e7259p-13, 0x1.e990b327a8a45p-14, 0x1.bf9e52e50bf8p-14, 0x1.96ec43abf24bdp-14, 0x1.6f732e7c9d87bp-14, 0x1.492be2cc97baep-14, 0x1.240f55d51c5a2p-14, 0x1.0016a1e0f7804p-14, 0x1.ba760b2c08a6dp-15, 0x1.76ebc69e2b45fp-15, 0x1.358180dcc10cep-15, 0x1.ec5512c0d1cd1p-16, 0x1.71b4e636f3ee4p-16, 0x1.f6144cbaab683p-17, 0x1.1079fe88deae6p-17, 0x1.9361c59721f2fp-20, -0x1.48856846cd255p-18, -0x1.73bf8221cb4dcp-17, -0x1.1e1afd900036ap-16, -0x1.7ee87e8c1ab71p-16, -0x1.dc5d3f6b45ba8p-16, -0x1.1b46e519cd4d4p-15, -0x1.46c71cd7d270bp-15, -0x1.70b91dd88d12ap-15, -0x1.9926898dce0eap-15, -0x1.c018cd04fa963p-15, -0x1.e59921f243b54p-15, -0x1.04d847d12cba3p-14, -0x1.1633f601a9bf3p-14, -0x1.26e3ee4eab51ep-14, -0x1.36ec6bc3aeb12p-14, -0x1.4651922b956a3p-14, -0x1.55176e8b810b9p-14, -0x1.6341f7918793ap-14, -0x1.70d50e06f22d1p-14, -0x1.7dd47d44b4fe8p-14, -0x1.8a43fb9f8dbfcp-14, -0x1.96272ad108c65p-14, -0x1.a181986463c7ap-14, -0x1.ac56be218e00dp-14, -0x1.b6aa026f5ee8bp-14, -0x1.c07eb8bfa4604p-14, -0x1.c9d821e872648p-14, -0x1.d2b96c8b471f2p-14, -0x1.db25b5704691p-14, -0x1.e32007e6b61d5p-14, -0x1.eaab5e1eb87f2p-14, -0x1.f1caa18651387p-14, -0x1.f880ab1e9a345p-14, -0x1.fed043d62578ep-14, -0x1.025e126c56541p-13, -0x1.05237bf440a68p-13, -0x1.07b9abd5be001p-13, -0x1.0a21e7fd79fb8p-13, -0x1.0c5d6f1b2159dp-13, -0x1.0e6d78c673fe7p-13, -0x1.105335a6b0999p-13, -0x1.120fcf97b25a1p-13, -0x1.13a469cd099bfp-13, -0x1.151220f66adcap-13, -0x1.165a0b6205c1ep-13, -0x1.177d391f87437p-13, -0x1.187cb4225bfa9p-13, -0x1.19598060b146bp-13, -0x1.1a149bf661d95p-13, -0x1.1aaeff432a644p-13, -0x1.1b299d0984034p-13, -0x1.1b85628f0daa9p-13, -0x1.1bc337b76a0cfp-13, -0x1.1be3ff23c0a72p-13, -0x1.1be8964d963e2p-13, -0x1.1bd1d5a53ecd7p-13, -0x1.1ba090ab7810bp-13, -0x1.1b55960c72a59p-13, -0x1.1af1afbcd0e11p-13, -0x1.1a75a310cca56p-13, -0x1.19e230d5cc84bp-13, -0x1.1938156ca7a0bp-13, -0x1.187808e087f32p-13, -0x1.17a2beffa910fp-13, -0x1.16b8e771e146cp-13, -0x1.15bb2dcfe274dp-13, -0x1.14aa39baa4591p-13, -0x1.1386aeef5fbfbp-13, -0x1.12512d5f502c5p-13, -0x1.110a5141b956ap-13, -0x1.0fb2b32bb823bp-13, -0x1.0e4ae821ac4f6p-13, -0x1.0cd381abf544ap-13, -0x1.0b4d0debb0c23p-13, -0x1.09b817ab692aep-13, -0x1.08152672a920bp-13, -0x1.0664be982b56ep-13, -0x1.04a76153a582fp-13, -0x1.02dd8ccea49cap-13, -0x1.0107bc35f5a0dp-13, -0x1.fe4ccf938ebd5p-14, -0x1.fa7409dcde992p-14, -0x1.f6860c783916p-14, -0x1.f283b71cdc2a4p-14, -0x1.ee6de426922dcp-14, -0x1.ea4568b531181p-14, -0x1.e60b14c8d97bdp-14, -0x1.e1bfb35f3e50dp-14, -0x1.dd640a8ea179cp-14, -0x1.d8f8dba124f4ep-14, -0x1.d47ee32f60b2bp-14, -0x1.cff6d93df43cbp-14, -0x1.cb617150a19dep-14, -0x1.c6bf5a895cf14p-14, -0x1.c2113fbd66e61p-14, -0x1.bd57c78fdefcep-14, -0x1.b893948690959p-14, -0x1.b3c545230e795p-14, -0x1.aeed73f6fa9ap-14, -0x1.aa0cb7bc5f0e1p-14, -0x1.a523a3685b15ap-14, -0x1.a032c64374852p-14, -0x1.9b3aabfb53c26p-14, -0x1.963bdcb6d0ca5p-14, -0x1.9136dd2c8d3cbp-14, -0x1.8c2c2eb3ec599p-14, -0x1.871c4f581d57cp-14, -0x1.8207b9ead13dep-14, -0x1.7ceee615cd427p-14, -0x1.77d2486d6928ep-14, -0x1.72b252808b68ap-14, -0x1.6d8f72eb03826p-14, -0x1.686a15625d205p-14, -0x1.6342a2cb86371p-14, -0x1.5e198146bfb4ap-14, -0x1.58ef144065ef8p-14, -0x1.53c3bc7e54122p-14, -0x1.4e97d831c5ec8p-14, -0x1.496bc30286cd3p-14, -0x1.443fd61dcae79p-14, -0x1.3f14684565239p-14, -0x1.39e9cddb5260cp-14, -0x1.34c058f0916b8p-14, -0x1.2f9859512076p-14, -0x1.2a721c9110881p-14, -0x1.254dee18502aep-14, -0x1.202c172f04c25p-14, -0x1.1b0cdf095e96dp-14, -0x1.15f08ad35e768p-14, -0x1.10d75dbb37031p-14, -0x1.0bc198fc6ac9ep-14, -0x1.06af7bec8a7e5p-14, -0x1.01a14402ee3c7p-14, -0x1.f92e59ca0d307p-15, -0x1.ef22e0deae81ep-15, -0x1.e5208d805b647p-15, -0x1.db27cc81e838dp-15, -0x1.d139075ecccb5p-15, -0x1.c754a44e59e5dp-15, -0x1.bd7b06554d4fp-15, -0x1.b3ac8d56223f8p-15, -0x1.a9e9962641e0ep-15, -0x1.a0327a9a6b3ep-15, -0x1.9687919b41a08p-15, -0x1.8ce92f32605cbp-15, -0x1.8357a49b93a9ap-15, -0x1.79d34054e8f49p-15, -0x1.705c4e2e70aap-15, -0x1.66f317555e48ep-15, -0x1.5d97e265aa6f4p-15, -0x1.544af37861e64p-15, -0x1.4b0c8c31511c6p-15, -0x1.41dcebcaec8acp-15, -0x1.38bc4f25e8b3p-15, -0x1.2faaf0d4a1e56p-15, -0x1.26a9092863edcp-15, -0x1.1db6ce3fb07abp-15, -0x1.14d4740e906a7p-15, -0x1.0c022c6e9611ap-15, -0x1.034027281ae1dp-15, -0x1.f51d23fba084bp-16, -0x1.e3db3173e620dp-16, -0x1.d2baca6f9abc1p-16, -0x1.c1bc3edf09cd2p-16, -0x1.b0dfdafa5e9d2p-16, -0x1.a025e75cd228ap-16, -0x1.8f8ea91d3b976p-16, -0x1.7f1a61d89959bp-16, -0x1.6ec94fc6ca0ap-16, -0x1.5e9badd06588fp-16, -0x1.4e91b3a65c102p-16, -0x1.3eab95cd75bfep-16, -0x1.2ee985ace8a5p-16, -0x1.1f4bb1a7ce556p-16, -0x1.0fd2452877889p-16, -0x1.007d68b623562p-16, -0x1.e29a840554a7ap-17, -0x1.c483e7f4cbac5p-17, -0x1.a6b73daa05a59p-17, -0x1.8934c0462a6d3p-17, -0x1.6bfca5bf5c1cep-17, -0x1.4f0f1f0186aa7p-17, -0x1.326c5802fdd5cp-17, -0x1.161477e4d97a2p-17, -0x1.f40f421e98574p-18, -0x1.bc8be29348492p-18, -0x1.859f03b87ad57p-18, -0x1.4f48cf4f8b513p-18, -0x1.19896676663d5p-18, -0x1.c8c1c3b5aaaep-19, -0x1.5f9ea3ea8f0c4p-19, -0x1.ef52fd2a0d953p-20, -0x1.21c4a9f2c8cc7p-20, -0x1.5a48c7e373d19p-22, 0x1.c9129325e1b5ap-22, 0x1.38c031bac68d2p-20, 0x1.fce0e892e4dc8p-20, 0x1.5f53ac79684ecp-19, 0x1.bf0a16ce716p-19, 0x1.0eca0af4cab82p-18, 0x1.3d790cbb2f10fp-18, 0x1.6b924ed83fe77p-18, 0x1.991615863b1f3p-18, 0x1.c604ab002092ap-18, 0x1.f25e5f666edd1p-18, 0x1.0f11c4459858cp-17, 0x1.24aa40e9b84bp-17, 0x1.39f8d607f78bfp-17, 0x1.4efdb6af25cb1p-17, 0x1.63b9187e389bbp-17, 0x1.782b339a97eb8p-17, 0x1.8c54429daaec2p-17, 0x1.a034827862c3ap-17, 0x1.b3cc326df93bcp-17, 0x1.c71b9405b8689p-17, 0x1.da22eaf9cad1ep-17, 0x1.ece27d283c394p-17, 0x1.ff5a9280829fp-17, 0x1.08c5ba7afb962p-16, 0x1.11bab83a66c52p-16, 0x1.1a8c6964aa4a4p-16, 0x1.233af5cfe646fp-16, 0x1.2bc6863c764f5p-16, 0x1.342f44468c636p-16, 0x1.3c755a6169659p-16, 0x1.4498f3d11a8b1p-16, 0x1.4c9a3caafbc85p-16, 0x1.547961c6c9e21p-16, 0x1.5c3690bd6b22ep-16, 0x1.63d1f7e0428afp-16, 0x1.6b4bc636aa2d3p-16, 0x1.72a42b743bc16p-16, 0x1.79db57f5721cdp-16, 0x1.80f17cbbc615p-16, 0x1.87e6cb61abcc8p-16, 0x1.8ebb7616de6c7p-16, 0x1.956fafa2210f3p-16, 0x1.9c03ab554342dp-16, 0x1.a2779d0af296bp-16, 0x1.a8cbb92236152p-16, 0x1.af0034759636fp-16, 0x1.b515445969a9p-16, 0x1.bb0b1e956dfc9p-16, 0x1.c0e1f960c58e1p-16, 0x1.c69a0b5ebdbd2p-16, 0x1.cc338b9bafce5p-16, 0x1.d1aeb1839f3d2p-16, 0x1.d70bb4df0da4fp-16, 0x1.dc4acdcc8cf5fp-16, 0x1.e16c34c50a556p-16, 0x1.e67022905e6aap-16, 0x1.eb56d04435c9fp-16, 0x1.f020773e3bebbp-16, 0x1.f4cd51229d44bp-16, 0x1.f95d97d62998p-16, 0x1.fdd1857a5f8e6p-16, 0x1.0114aa36aa775p-15, 0x1.03329fa01e942p-15, 0x1.0542c059ea044p-15, 0x1.074529dd5bb45p-15, 0x1.0939f9b97fef2p-15, 0x1.0b214d919dc71p-15, 0x1.0cfb431b8fbf7p-15, 0x1.0ec7f81d7fbc1p-15, 0x1.10878a6d4b002p-15, 0x1.123a17ed0395fp-15, 0x1.13dfbe8b7d2e3p-15, 0x1.15789c4239571p-15, 0x1.1704cf13ac54cp-15, 0x1.1884750ad672dp-15, 0x1.19f7ac38d73d8p-15, 0x1.1b5e92b1f8e6fp-15, 0x1.1cb9468ce909dp-15, 0x1.1e07e5e49eb0ep-15, 0x1.1f4a8ed427997p-15, 0x1.20815f760b1dcp-15, 0x1.21ac75e2ab83cp-15, 0x1.22cbf0302d7d7p-15, 0x1.23dfec6fe025ep-15, 0x1.24e888add652cp-15, 0x1.25e5e2eff0dcdp-15, 0x1.26d8193376888p-15, 0x1.27bf496c5e138p-15, 0x1.289b918402be2p-15, 0x1.296d0f59a7cc6p-15, 0x1.2a33e0c06a248p-15, 0x1.2af0237e48ca8p-15, 0x1.2ba1f54ae661ap-15, 0x1.2c4973ce862p-15, }}, 
      {{-0x1.66df5fe0e2e7ap-8, -0x1.66dfc67586328p-7, -0x1.0d2951fdaf31ap-6, -0x1.66e713cdd6213p-6, -0x1.c0ae494af2a0cp-6, -0x1.0d4334c32553bp-5, -0x1.3a3c947bfe7c8p-5, -0x1.67491933fc932p-5, -0x1.946f60ca31ab6p-5, -0x1.c1b6969c75595p-5, -0x1.ef2635a373342p-5, -0x1.0e62e5d260421p-4, -0x1.254e601eb0e02p-4, -0x1.3c5910c58dc0fp-4, -0x1.53863bbda0a6cp-4, -0x1.6ad8cf1c32db3p-4, -0x1.825353e504a92p-4, -0x1.99f7e25865894p-4, -0x1.b1c8198ba628dp-4, -0x1.c9c51a0765465p-4, -0x1.e1ef831cf7fb9p-4, -0x1.fa47729f3d565p-4, -0x1.09664354f4cebp-3, -0x1.15bef09211449p-3, -0x1.222d16579af61p-3, -0x1.2eafd15be7e79p-3, -0x1.3b4609332f581p-3, -0x1.47ee741945e3fp-3, -0x1.54a79af264fdep-3, -0x1.616fdd6c1d4f7p-3, -0x1.6e45762ae6258p-3, -0x1.7b267ef413e87p-3, -0x1.8810f4c6c65c3p-3, -0x1.9502bbd925389p-3, -0x1.a1f9a3718395ep-3, -0x1.aef369950fc5dp-3, -0x1.bbedbe878846fp-3, -0x1.c8e64818c206bp-3, -0x1.d5daa4be4038dp-3, -0x1.e2c86e77f66e7p-3, -0x1.efad3d80332a2p-3, -0x1.fc86aac769052p-3, -0x1.04a9291e74dbdp-2, -0x1.0b06ea731bbbdp-2, -0x1.115b6d635e1dcp-2, -0x1.17a58a4cf60c6p-2, -0x1.1de41eb107ad8p-2, -0x1.24160de6f416p-2, -0x1.2a3a41bbc2524p-2, -0x1.304faaff3f979p-2, -0x1.365541fff9c4bp-2, -0x1.3c4a06f727838p-2, -0x1.422d026595512p-2, -0x1.47fd45629532cp-2, -0x1.4db9e9ddf501dp-2, -0x1.536212d5e62c8p-2, -0x1.58f4ec81b9d9bp-2, -0x1.5e71ac72529edp-2, -0x1.63d791a90d4b6p-2, -0x1.6925e4a5ee2ddp-2, -0x1.6e5bf76dc089ep-2, -0x1.73792588dfa7cp-2, -0x1.787cd3fb3f039p-2, -0x1.7d667136576c4p-2, -0x1.823575057e544p-2, -0x1.86e9607539c89p-2, -0x1.8b81bdb5ffe34p-2, -0x1.8ffe1ffaeaf07p-2, -0x1.945e2354c227fp-2, -0x1.98a16c89c5ce6p-2, -0x1.9cc7a8eaa295ap-2, -0x1.a0d08e24dd982p-2, -0x1.a4bbda131b743p-2, -0x1.a889528b808a4p-2, -0x1.ac38c52c8415ep-2, -0x1.afca07286e6e3p-2, -0x1.b33cf50fc6982p-2, -0x1.b691729aea8a9p-2, -0x1.b9c76a7302f5dp-2, -0x1.bcdecdfa8d0d1p-2, -0x1.bfd795159c9f6p-2, -0x1.c2b1bdf20ad72p-2, -0x1.c56d4ccfb29b3p-2, -0x1.c80a4bc8ddc23p-2, -0x1.ca88ca9b0646p-2, -0x1.cce8de700489ep-2, -0x1.cf2aa1a7c434dp-2, -0x1.d14e33a29e6a2p-2, -0x1.d353b88c630c5p-2, -0x1.d53b59282da1bp-2, -0x1.d705429d0f163p-2, -0x1.d8b1a643a095ep-2, -0x1.da40b97486194p-2, -0x1.dbb2b557ef96bp-2, -0x1.dd07d6b62216bp-2, -0x1.de405dc90adcp-2, -0x1.df5c8e0ee9d34p-2, -0x1.e05cae1e13b9ap-2, -0x1.e1410779cfef8p-2, -0x1.e209e668557d5p-2, -0x1.e2b799c9e89acp-2, -0x1.e34a72f11aec1p-2, -0x1.e3c2c57c276c2p-2, -0x1.e420e72f76536p-2, -0x1.e4652fd134503p-2, -0x1.e48ff906106a5p-2, -0x1.e4a19e2f0c56fp-2, -0x1.e49a7c486331bp-2, -0x1.e47af1c984689p-2, -0x1.e4435e86199dap-2, -0x1.e3f423901a22bp-2, -0x1.e38da31addfbap-2, -0x1.e310405f353dfp-2, -0x1.e27c5f8075baap-2, -0x1.e1d2657282e83p-2, -0x1.e112b7e0c1886p-2, -0x1.e03dbd15f7eb6p-2, -0x1.df53dbe510b36p-2, -0x1.de557b92c088p-2, -0x1.dd4303c00036cp-2, -0x1.dc1cdc555f364p-2, -0x1.dae36d6f20782p-2, -0x1.d9971f4a22dcbp-2, -0x1.d8385a3188f6fp-2, -0x1.d6c7866d21029p-2, -0x1.d5450c3082eddp-2, -0x1.d3b1538ae3269p-2, -0x1.d20cc4578cf76p-2, -0x1.d057c62f0d41bp-2, -0x1.ce92c058f7266p-2, -0x1.ccbe19be4e0cp-2, -0x1.cada38dc828a6p-2, -0x1.c8e783b90781ep-2, -0x1.c6e65fd57541bp-2, -0x1.c4d732243819p-2, -0x1.c2ba5efdc3ba4p-2, -0x1.c0904a164b70bp-2, -0x1.be595673f7addp-2, -0x1.bc15e6659337ep-2, -0x1.b9c65b79b37cbp-2, -0x1.b76b16764d874p-2, -0x1.b5047750bd4dap-2, -0x1.b292dd2636fep-2, -0x1.b016a6349fa5dp-2, -0x1.ad902fd3cb00ap-2, -0x1.aaffd66f17d62p-2, -0x1.a865f57f6d199p-2, -0x1.a5c2e7858eff9p-2, -0x1.a3170604cf1ddp-2, -0x1.a062a97e0d773p-2, -0x1.9da6296b102c9p-2, -0x1.9ae1dc3a26623p-2, -0x1.9816174a1abf9p-2, -0x1.95432ee66fd36p-2, -0x1.92697643e496ep-2, -0x1.8f893f7d3d1e2p-2, -0x1.8ca2db9051a56p-2, -0x1.89b69a5b5c13p-2, -0x1.86c4ca9a84ce5p-2, -0x1.83cdb9e5af5b8p-2, -0x1.80d1b4ae7ed3p-2, -0x1.7dd1063e95b82p-2, -0x1.7acbf8b60a96ep-2, -0x1.77c2d50a147c4p-2, -0x1.74b5e303ea736p-2, -0x1.71a5693fd5258p-2, -0x1.6e91ad2c6f191p-2, -0x1.6b7af30a16327p-2, -0x1.68617dea892fap-2, -0x1.65458fb0afcd7p-2, -0x1.622769108ee78p-2, -0x1.5f07498f650eep-2, -0x1.5be56f83ed635p-2, -0x1.58c21816c7cf6p-2, -0x1.559d7f430a9bap-2, -0x1.5277dfd6efb72p-2, -0x1.4f517374ab574p-2, -0x1.4c2a72935f2e3p-2, -0x1.490314802feedp-2, -0x1.45db8f5f76869p-2, -0x1.42b4182e1253p-2, -0x1.3f8ce2c2d3f86p-2, -0x1.3c6621d00620dp-2, -0x1.394006e50edbdp-2, -0x1.361ac2702d246p-2, -0x1.32f683c048dfp-2, -0x1.2fd37906dfdf6p-2, -0x1.2cb1cf5a06b82p-2, -0x1.2991b2b67d557p-2, -0x1.26734e01da058p-2, -0x1.2356cb0cc76a8p-2, -0x1.203c529556373p-2, -0x1.1d240c495d6e9p-2, -0x1.1a0e1ec8eedf5p-2, -0x1.16faafa8da222p-2, -0x1.13e9e3753efd3p-2, -0x1.10dbddb42dd9ep-2, -0x1.0dd0c0e8572f4p-2, -0x1.0ac8ae93c6cbfp-2, -0x1.07c3c73aacc2bp-2, -0x1.04c22a662f931p-2, -0x1.01c3f6a74b133p-2, -0x1.fd92933373cfdp-3, -0x1.f7a47fcdca4a3p-3, -0x1.f1bdea91c3207p-3, -0x1.ebdf091ae0cf3p-3, -0x1.e6080f3217321p-3, -0x1.e0392ed3ed9e2p-3, -0x1.da729836ad4c8p-3, -0x1.d4b479d09dd81p-3, -0x1.ceff005e4b682p-3, -0x1.c95256e8d4c5ap-3, -0x1.c3aea6cc431d8p-3, -0x1.be1417bde7eb2p-3, -0x1.b882cfd2c2cd5p-3, -0x1.b2faf385e91e1p-3, -0x1.ad7ca5bef736cp-3, -0x1.a80807d880d3cp-3, -0x1.a29d39a682587p-3, -0x1.9d3c597cdadfep-3, -0x1.97e58435bd811p-3, -0x1.9298d53827da9p-3, -0x1.8d56667e5a606p-3, -0x1.881e509c44593p-3, -0x1.82f0aac5fa6a5p-3, -0x1.7dcd8ad61e2ebp-3, -0x1.78b505544b15dp-3, -0x1.73a72d7b76f18p-3, -0x1.6ea4154052844p-3, -0x1.69abcd579e9fbp-3, -0x1.64be653c80623p-3, -0x1.5fdbeb36cbc75p-3, -0x1.5b046c614106fp-3, -0x1.5637f4afcbb63p-3, -0x1.51768ef5af6ffp-3, -0x1.4cc044ebae55p-3, -0x1.48151f3629641p-3, -0x1.4375256b2f39ep-3, -0x1.3ee05e1883c86p-3, -0x1.3a56cec99bbcap-3, -0x1.35d87c0d8c765p-3, -0x1.3165697cedeb5p-3, -0x1.2cfd99bfb11d2p-3, -0x1.28a10e92ea3c8p-3, -0x1.244fc8ce8bda3p-3, -0x1.2009c86b14e5p-3, -0x1.1bcf0c872df26p-3, -0x1.179f936d3e9b5p-3, -0x1.137b5a98ebfb9p-3, -0x1.0f625ebc8e647p-3, -0x1.0b549bc693b6p-3, -0x1.07520ce6d729cp-3, -0x1.035aac93e07c8p-3, -0x1.fedce9203d64ap-4, -0x1.f71abbde0f2c2p-4, -0x1.ef6ec23463e2ap-4, -0x1.e7d8ebaca1f74p-4, -0x1.e059269063177p-4, -0x1.d8ef5ff328337p-4, -0x1.d19b83bc04b66p-4, -0x1.ca5d7caf1a3f9p-4, -0x1.c3353476ff3e8p-4, -0x1.bc2293adf0c8bp-4, -0x1.b52581e6f1153p-4, -0x1.ae3de5b6c106dp-4, -0x1.a76ba4bcabf9p-4, -0x1.a0aea3ab3cadap-4, -0x1.9a06c650cf0cp-4, -0x1.9373ef9feeae4p-4, -0x1.8cf601b7ad573p-4, -0x1.868cddebbb7b4p-4, -0x1.803864cc6e7dcp-4, -0x1.79f8762e9e1e1p-4, -0x1.73ccf1335e883p-4, -0x1.6db5b44f9871bp-4, -0x1.67b29d537f6f7p-4, -0x1.61c38971e2d31p-4, -0x1.5be855475dfcp-4, -0x1.5620dce1643f6p-4, -0x1.506cfbc52daafp-4, -0x1.4acc8cf67d428p-4, -0x1.453f6afe48cd4p-4, -0x1.3fc56ff13b84ep-4, -0x1.3a5e757619ce5p-4, -0x1.350a54cc02a44p-4, -0x1.2fc8e6d08d4bcp-4, -0x1.2a9a0405ca887p-4, -0x1.257d8498210cfp-4, -0x1.207340640a6d1p-4, -0x1.1b7b0efbb0933p-4, -0x1.1694c7ac6b5dcp-4, -0x1.11c041841b94bp-4, -0x1.0cfd53566b21cp-4, -0x1.084bd3c1e883bp-4, -0x1.03ab99350947p-4, -0x1.fe38f3e60f191p-5, -0x1.f53c98314f471p-5, -0x1.ec61cb41b5f71p-5, -0x1.e3a838d28cd29p-5, -0x1.db0f8c6d5aa8bp-5, -0x1.d29771727acddp-5, -0x1.ca3f93217d3eap-5, -0x1.c2079ca14dc3p-5, -0x1.b9ef390823d3ep-5, -0x1.b1f613633ae99p-5, -0x1.aa1bd6be5332cp-5, -0x1.a2602e2afe38cp-5, -0x1.9ac2c4c7b7719p-5, -0x1.934345c6c3d17p-5, -0x1.8be15c74e291cp-5, -0x1.849cb43fc9e46p-5, -0x1.7d74f8bc6f3b5p-5, -0x1.7669d5ad23944p-5, -0x1.6f7af707771f4p-5, -0x1.68a808f9f5d77p-5, -0x1.61f0b7f1ae461p-5, -0x1.5b54b09f8cff9p-5, -0x1.54d39ffd8bcadp-5, -0x1.4e6d3353adc47p-5, -0x1.4821183cd906cp-5, -0x1.41eefcab7cf34p-5, -0x1.3bd68eee0fac1p-5, -0x1.35d77db365e73p-5, -0x1.2ff1780edae86p-5, -0x1.2a242d7c58762p-5, -0x1.246f4de42cd8dp-5, -0x1.1ed2899ec2f14p-5, -0x1.194d917831d97p-5, -0x1.13e016b3a1f26p-5, -0x1.0e89cb0e978e4p-5, -0x1.094a60c40cb32p-5, -0x1.04218a8f73a49p-5, -0x1.fe1df75f1f1cep-6, -0x1.f424cfd256d31p-6, -0x1.ea5707136f148p-6, -0x1.e0b406d37b56ap-6, -0x1.d73b39de6d6bbp-6, -0x1.cdec0c1f8f1d9p-6, -0x1.c4c5eaa5af146p-6, -0x1.bbc843a723846p-6, -0x1.b2f286858190ep-6, -0x1.aa4423d12a762p-6, -0x1.a1bc8d4c968dcp-6, -0x1.995b35ef6da91p-6, -0x1.911f91e96edd2p-6, -0x1.890916a522d41p-6, -0x1.81173aca53b64p-6, -0x1.7949764065694p-6, -0x1.719f4230698c9p-6, -0x1.6a18190711afdp-6, -0x1.62b37676774fbp-6, -0x1.5b70d777a8b76p-6, -0x1.544fba4c1907ep-6, -0x1.4d4f9e7edd94cp-6, -0x1.467004e5cc4b1p-6, -0x1.3fb06fa26604dp-6, -0x1.39106222a1331p-6, -0x1.328f61218c6aap-6, -0x1.2c2cf2a7d57ffp-6, -0x1.25e89e0c1eac8p-6, -0x1.1fc1ebf33de3fp-6, -0x1.19b8665053583p-6, -0x1.13cb9864bfa02p-6, -0x1.0dfb0ec002a42p-6, -0x1.0846573f7323cp-6, -0x1.02ad010ddac92p-6, -0x1.fa5d3945fd109p-7, -0x1.ef957785faf4ep-7, -0x1.e501e2fb3ada7p-7, -0x1.daa1a45afda1ap-7, -0x1.d073e6ee636p-7, -0x1.c677d8907220ap-7, -0x1.bcaca9abe5c1dp-7, -0x1.b3118d38dca31p-7, -0x1.a9a5b8ba4c07cp-7, -0x1.a068643b55839p-7, -0x1.9758ca4c6b24cp-7, -0x1.8e7628005bb15p-7, -0x1.85bfbce92da29p-7, -0x1.7d34cb14ddfa5p-7, -0x1.74d49709f6487p-7, -0x1.6c9e67c400e8cp-7, -0x1.649186aff1ff4p-7, -0x1.5cad3fa85c612p-7, -0x1.54f0e0f18a58ap-7, -0x1.4d5bbb3589bdep-7, -0x1.45ed218014bc8p-7, -0x1.3ea4693a6bd26p-7, -0x1.3780ea270505ap-7, -0x1.3081fe5d3cefp-7, -0x1.29a70244d5cdbp-7, -0x1.22ef549181de2p-7, -0x1.1c5a563e3faaap-7, -0x1.15e76a88bf3a6p-7, -0x1.0f95f6ec9bc32p-7, -0x1.0965631e9a006p-7, -0x1.03551907c8d7dp-7, -0x1.fac909813d3b3p-8, -0x1.ef2629180e028p-8, -0x1.e3c071a4b5c4p-8, -0x1.d896c838cf85p-8, -0x1.cda8161c926ep-8, -0x1.c2f348c4a7461p-8, -0x1.b87751c7e138bp-8, -0x1.ae3326d4dd45ep-8, -0x1.a425c1a787859p-8, -0x1.9a4e1ffebe88ap-8, -0x1.90ab4391bac5fp-8, -0x1.873c3205a118p-8, -0x1.7dfff4e2cffcep-8, -0x1.74f5998a61783p-8, -0x1.6c1c312b7a036p-8, -0x1.6372d0b8b1f2dp-8, -0x1.5af890dd5deccp-8, -0x1.52ac8df2f9b6ap-8, -0x1.4a8de7f67d9e8p-8, -0x1.429bc27da97a7p-8, -0x1.3ad544ac6f2dap-8, -0x1.3339992a485a2p-8, -0x1.2bc7ee178f72bp-8, -0x1.247f7502f101cp-8, -0x1.1d5f62dec7443p-8, -0x1.1666eff69edbep-8, -0x1.0f9557e4953b4p-8, -0x1.08e9d986f033ep-8, -0x1.0263b6f59de05p-8, -0x1.f8046aef9355ap-9, -0x1.eb893af2e1862p-9, -0x1.df5475022694fp-9, -0x1.d364b64ac79fdp-9, -0x1.c7b8a2061b2fep-9, -0x1.bc4ee164f53a9p-9, -0x1.b126237b82822p-9, -0x1.a63d1d2cf6edep-9, -0x1.9b928917808f3p-9, -0x1.9125278083d6dp-9, -0x1.86f3be408b398p-9, -0x1.7cfd18afcff49p-9, -0x1.734007928a86ap-9, -0x1.69bb6105a90d6p-9, -0x1.606e006b697d5p-9, -0x1.5756c6585adfp-9, -0x1.4e74988043867p-9, -0x1.45c661a3546a3p-9, -0x1.3d4b117b77807p-9, -0x1.35019ca9bec22p-9, -0x1.2ce8fca406695p-9, -0x1.25002fa2cb895p-9, -0x1.1d46388f0608ap-9, -0x1.15ba1ef04b38ap-9, -0x1.0e5aeedb1fb7ep-9, -0x1.0727b8df308e9p-9, -0x1.001f91f624dafp-9, -0x1.f28326e46d42dp-10, -0x1.e519b5da4fdfbp-10, -0x1.d801146ec233p-10, -0x1.cb378e8e4d2ebp-10, -0x1.bebb78502f0f2p-10, -0x1.b28b2dd5b92dap-10, -0x1.a6a5132976a7cp-10, -0x1.9b07941f595c9p-10, -0x1.8fb12434e929ap-10, -0x1.84a03e71e720ap-10, -0x1.79d3654913a38p-10, -0x1.6f492279a3046p-10, -0x1.650006f0fa34bp-10, -0x1.5af6aaac7a169p-10, -0x1.512bac9c18d9p-10, -0x1.479db284e82fcp-10, -0x1.3e4b68e423c78p-10, -0x1.353382d2a3eddp-10, -0x1.2c54b9e89067p-10, -0x1.23adce2182ba6p-10, -0x1.1b3d85c0fe101p-10, -0x1.1302ad3712f7ep-10, -0x1.0afc1705debcep-10, -0x1.03289ba6a190ep-10, -0x1.f70e32dfe6497p-11, -0x1.e82ce8f750e2cp-11, -0x1.d9ab2d1a9014fp-11, -0x1.cb86ddf24fc77p-11, -0x1.bdbde516c722bp-11, -0x1.b04e36defe446p-11, -0x1.a335d23041aa7p-11, -0x1.9672c04ec2e76p-11, -0x1.8a0314ae919dp-11, -0x1.7de4ecc594f17p-11, -0x1.72166fdd81ddp-11, -0x1.6695cee6d2668p-11, -0x1.5b61444c69965p-11, -0x1.507713c8089ap-11, -0x1.45d58a372c9dcp-11, -0x1.3b7afd7056088p-11, -0x1.3165cc1976405p-11, -0x1.27945d7ea0c3bp-11, -0x1.1e052169376efp-11, -0x1.14b68ff82c2d7p-11, -0x1.0ba72978f2fc2p-11, -0x1.02d5763fdacc2p-11, -0x1.f4800d04a8e2dp-12, -0x1.e3cae462100dfp-12, -0x1.d388b1a689c0fp-12, -0x1.c3b6c2c3d5339p-12, -0x1.b4527447ebc5ap-12, -0x1.a5593115e3a58p-12, -0x1.96c872206f70bp-12, -0x1.889dbe25abfffp-12, -0x1.7ad6a96b67586p-12, -0x1.6d70d57d45e56p-12, -0x1.6069f0ead5ae5p-12, -0x1.53bfb707bfc86p-12, -0x1.476fefacd6021p-12, -0x1.3b786ef9a7375p-12, -0x1.2fd71517a2368p-12, -0x1.2489cdfdfa4e2p-12, -0x1.198e913664ec5p-12, -0x1.0ee361a37a87dp-12, -0x1.04864d478078p-12, -0x1.f4eada18a7dcfp-13, -0x1.e15dc9177e72ep-13, -0x1.ce61c3b2e1eabp-13, -0x1.bbf33a9c1df12p-13, -0x1.aa0eb2a4aacfap-13, -0x1.98b0c457d548ap-13, -0x1.87d61b955f0c3p-13, -0x1.777b772dc2033p-13, -0x1.679da880350f7p-13, -0x1.5839931c3a058p-13, -0x1.494c2c615cadfp-13, -0x1.3ad27b24ecffcp-13, -0x1.2cc997548eb53p-13, -0x1.1f2ea99dfdf16p-13, -0x1.11feeb17584d8p-13, -0x1.0537a4e88286dp-13, -0x1.f1ac5fee589f1p-14, -0x1.d9afe9267034dp-14, -0x1.c274d44b2297bp-14, -0x1.abf62dbed969p-14, -0x1.962f1ed925178p-14, -0x1.811aed4a552bap-14, -0x1.6cb4fa862e8d5p-14, -0x1.58f8c32e087cep-14, -0x1.45e1de7f4e008p-14, -0x1.336bfdc2294c1p-14, -0x1.2192ebc0d57c3p-14, -0x1.10528c3b0f303p-14, -0x1.ff4db6bf44d0cp-15, -0x1.df17da8dc35d8p-15, -0x1.bffbdae2da558p-15, -0x1.a1f23c91276f9p-15, -0x1.84f3b141e266ap-15, -0x1.68f9167e239c6p-15, -0x1.4dfb74bdd14acp-15, -0x1.33f3fe7dc4a02p-15, -0x1.1adc0f52d0d1ap-15, -0x1.02ad2b0da725ep-15, -0x1.d6c1f9a73c552p-16, -0x1.a9e2ac9d04eedp-16, -0x1.7eb05d99e9d83p-16, -0x1.551f44e910529p-16, -0x1.2d23e2e72297dp-16, -0x1.06b2fe6d9384bp-16, -0x1.c3834691a0835p-17, -0x1.7c8a417076bc3p-17, -0x1.38660fd3916f6p-17, -0x1.ee04aa31b9a18p-18, -0x1.709665717f4cep-18, -0x1.f0b5163e39bbcp-19, -0x1.0a568c15dd431p-19, -0x1.6e3acff721dd4p-22, 0x1.4a810ac4c9f76p-20, 0x1.6f07546f88e6ep-19, 0x1.17e8ce5e2e055p-18, 0x1.73f11c771890dp-18, 0x1.cbbd2f33cbe78p-18, 0x1.0fb669ae15ecdp-17, 0x1.378f863b9941dp-17, 0x1.5d790ca56736bp-17, 0x1.8181bc337f9bep-17, 0x1.a3b7f6382399fp-17, 0x1.c429c02f082aep-17, 0x1.e2e4c5dc3da2fp-17, 0x1.fff65b55b28f5p-17, 0x1.0db5bf80d866fp-16, 0x1.1aa86dc39e1e5p-16, 0x1.26d964e2445e4p-16, 0x1.324ea9525c1d5p-16, 0x1.3d0e187d73ddcp-16, 0x1.471d69aaad644p-16, 0x1.50822edb58238p-16, 0x1.5941d5aaf66e9p-16, 0x1.6161a823690bdp-16, 0x1.68e6cd9570776p-16, 0x1.6fd64b60efb45p-16, 0x1.763505c226362p-16, 0x1.7c07c0998ba6cp-16, 0x1.8153202c1500ep-16, 0x1.861ba9e037f4ap-16, 0x1.8a65c4f6f1f71p-16, 0x1.8e35bb3fa2e64p-16, 0x1.918fb9cb21848p-16, 0x1.9477d19a32ee3p-16, 0x1.96f1f8423cf01p-16, 0x1.9902089cf29ddp-16, 0x1.9aabc360ed9f5p-16, 0x1.9bf2cfc42e7b7p-16, 0x1.9cdabc19bfba1p-16, 0x1.9d66fe63ee5f3p-16, 0x1.9d9af4eb56e75p-16, 0x1.9d79e6d002929p-16, 0x1.9d070497e3aaep-16, 0x1.9c4568b99ccadp-16, 0x1.9b381821cc759p-16, 0x1.99e202ba5b2cep-16, 0x1.984603e9e16dfp-16, 0x1.9666e3134a356p-16, 0x1.94475411cd7c4p-16, 0x1.91e9f7b05b5fap-16, 0x1.8f515c2420a2fp-16, 0x1.8c7ffd7b8e869p-16, 0x1.8978461154ddep-16, 0x1.863c8efcb9afep-16, 0x1.82cf20794406cp-16, 0x1.7f323251c8296p-16, 0x1.7b67ec4764c26p-16, 0x1.7772667759502p-16, 0x1.7353a9bd14209p-16, 0x1.6f0db0102160bp-16, 0x1.6aa264e5d6602p-16, 0x1.6613a58a4bb17p-16, 0x1.6163417abd6adp-16, 0x1.5c92fabc68d7bp-16, 0x1.57a486339a71cp-16, 0x1.52998bf6acc7ep-16, 0x1.4d73a79f4e671p-16, 0x1.4834689863781p-16, 0x1.42dd5270ce9b3p-16, 0x1.3d6fdd238623p-16, 0x1.37ed756253b1ep-16, 0x1.32577cdd28573p-16, 0x1.2caf4a8d44a88p-16, 0x1.26f62af3fb703p-16, 0x1.212d6064d93ffp-16, 0x1.1b5623434120fp-16, 0x1.1571a245005bdp-16, 0x1.0f8102af428b7p-16, 0x1.09856095974ebp-16, 0x1.037fcf170dfcap-16, 0x1.fae2b12c9ee23p-17, 0x1.eeb5fde4ef0b8p-17, 0x1.e27b77809cc1ap-17, 0x1.d63500ffd8f2cp-17, 0x1.c9e46da894144p-17, 0x1.bd8b816655beep-17, 0x1.b12bf13500211p-17, 0x1.a4c76380cd134p-17, 0x1.985f708a6455ap-17, 0x1.8bf5a2c045606p-17, 0x1.7f8b771dbe2e6p-17, 0x1.73225d84afd9p-17, 0x1.66bbb91424f32p-17, 0x1.5a58e07c81f6cp-17, 0x1.4dfb1e584a5cp-17, 0x1.41a3b17976916p-17, 0x1.3553cd3a2ed22p-17, 0x1.290c99c711468p-17, 0x1.1ccf346f77664p-17, 0x1.109cafeae6b94p-17, 0x1.047614a258e47p-17, 0x1.f0b8c1f610c8dp-18, 0x1.d8a11326f5595p-18, 0x1.c0a6f317fb286p-18, 0x1.a8cc258c5e54cp-18, 0x1.91125c48e478p-18, 0x1.797b378e6a3d5p-18, 0x1.620846976bap-18, 0x1.4abb0806bc7f4p-18, 0x1.3394ea636288cp-18, 0x1.1c974c7f8790ep-18, 0x1.05c37df9d3358p-18, 0x1.de357f24aafa9p-19, 0x1.b13c8738dd113p-19, 0x1.849e5ccaa59ep-19, 0x1.585d2d28af828p-19, 0x1.2c7b0b20991c3p-19, 0x1.00f9efa2261b8p-19, 0x1.abb775379e8a4p-20, 0x1.56446727e4fc9p-20, 0x1.019e14d0bdb6fp-20, 0x1.5b8f5fd3cd48dp-21, 0x1.6b10f57e192b2p-22, 0x1.12d2d64edb033p-25, -0x1.22fa5357112fdp-22, -0x1.32717e00ead18p-21, -0x1.d1ab12cf4c13dp-21, -0x1.3792bc50d98b2p-20, -0x1.856e458cae25dp-20, -0x1.d2663767e53a3p-20, -0x1.0f3c63d0ef161p-19, -0x1.34d227248b4f5p-19, -0x1.59f3a2643bc1bp-19, -0x1.7ea02280d5ef8p-19, -0x1.a2d704133439ap-19, -0x1.c697b2ff0fff8p-19, -0x1.e9e1a9eb28e57p-19, -0x1.065a38e858ea1p-18, -0x1.1787d0c672d24p-18, -0x1.28796ebfcc68dp-18, -0x1.392eeb8a1d339p-18, -0x1.49a8262f9cf8dp-18, -0x1.59e503def04f1p-18, -0x1.69e56fba2685cp-18, -0x1.79a95a9f154cdp-18, -0x1.8930bb003b017p-18, -0x1.987b8cb94e771p-18, -0x1.a789d0dfff608p-18, -0x1.b65b8d9596648p-18, -0x1.c4f0cde0e12a1p-18, -0x1.d349a18388b84p-18, -0x1.e1661cd824815p-18, -0x1.ef4658a3d66d8p-18, -0x1.fcea71f2aaf5cp-18, -0x1.052944faa35c9p-17, -0x1.0bbf62ed22137p-17, -0x1.1237a7545ebeep-17, -0x1.18922893762ffp-17, -0x1.1ecefed8aab7ap-17, -0x1.24ee440d1f5e3p-17, -0x1.2af013c74cc38p-17, -0x1.30d48b3b0e567p-17, -0x1.369bc928a55e7p-17, -0x1.3c45edcef83fp-17, -0x1.41d31ade962a4p-17, -0x1.4743736c4b21fp-17, -0x1.4c971be2173a2p-17, -0x1.51ce39f1a2c1p-17, -0x1.56e8f488e327dp-17, -0x1.5be773c5c5722p-17, -0x1.60c9e0e8ecbb2p-17, -0x1.659066495d13ep-17, -0x1.6a3b2f4b657e6p-17, -0x1.6eca6854f46bap-17, -0x1.733e3ebe1c90dp-17, -0x1.7796e0cb9c1a5p-17, -0x1.7bd47da57e984p-17, -0x1.7ff74547936a3p-17, -0x1.83ff687b5c2f6p-17, -0x1.87ed18cd57b48p-17, -0x1.8bc0888517b15p-17, -0x1.8f79ea995a303p-17, -0x1.931972a9d2865p-17, -0x1.969f54f567cf2p-17, -0x1.9a0bc651d19b9p-17, -0x1.9d5efc2572354p-17, -0x1.a0992c5c9322dp-17, -0x1.a3ba8d6352273p-17, -0x1.a6c3561e56f73p-17, -0x1.a9b3bde250338p-17, -0x1.ac8bfc6cba69cp-17, -0x1.af4c49debc4e8p-17, -0x1.b1f4deb66e016p-17, -0x1.b485f3c67e617p-17, -0x1.b6ffc22fab50dp-17, -0x1.b962835e026c8p-17, -0x1.bbae70fee5e2cp-17, -0x1.bde3c4fd7f155p-17, -0x1.c002b97c64fabp-17, -0x1.c20b88cf87ac8p-17, -0x1.c3fe6d78e9a7ap-17, -0x1.c5dba22145a6dp-17, -0x1.c7a36192ae566p-17, -0x1.c955e6b4f8502p-17, -0x1.caf36c89cf114p-17, -0x1.cc7c2e2792a55p-17, -0x1.cdf066b15c18ap-17, -0x1.cf5051580c684p-17, -0x1.d09c2952d4192p-17, -0x1.d1d429dab981p-17, -0x1.d2f88e27edab5p-17, -0x1.d409916ddcfbap-17, -0x1.d5076ed77522cp-17, -0x1.d5f26182973a6p-17, -0x1.d6caa47caa1bfp-17, -0x1.d79072c154ad1p-17, -0x1.d8440733c6948p-17, -0x1.d8e59c9d331d8p-17, -0x1.d9756daa17b36p-17, -0x1.d9f3b4e60e8cp-17, -0x1.da60acba7eddcp-17, -0x1.dabc8f6add11p-17, -0x1.db079711782d1p-17, -0x1.db41fd9b77be8p-17, -0x1.db6bfcc995bfep-17, -0x1.db85ce2d65154p-17, -0x1.db8fab2382472p-17, -0x1.db89ccd347214p-17, -0x1.db746c2d7806bp-17, -0x1.db4fc1e83c149p-17, -0x1.db1c067dcec91p-17, -0x1.dad9722ae5492p-17, -0x1.da883cebe390ap-17, -0x1.da289e7c1b551p-17, -0x1.d9bace52756b8p-17, -0x1.d93f03a0d794p-17, -0x1.d8b57552dd55ep-17, -0x1.d81e5a0a30b0bp-17, -0x1.d779e81e19b38p-17, -0x1.d6c8559a6cab1p-17, -0x1.d609d83d8ed8ep-17, -0x1.d53ea5776eb82p-17, -0x1.d466f2687c425p-17, -0x1.d382f3dfa953ep-17, -0x1.d292de57e9ccbp-17, -0x1.d196e5f8c51e9p-17, -0x1.d08f3e96b9bdep-17, -0x1.cf7c1baf05b55p-17, -0x1.ce5db06799ad6p-17, -0x1.cd342f8ea8837p-17, -0x1.cbffcb9947a5ep-17, -0x1.cac0b6a23d8d7p-17, -0x1.c977226a28a7p-17, -0x1.c8234055caa7ep-17, -0x1.c6c5416d45ffep-17, -0x1.c55d565c5049dp-17, -0x1.c3ebaf700d37ap-17, -0x1.c2707c97f3b69p-17, -0x1.c0ebed644d261p-17, -0x1.bf5e3105a539ep-17, -0x1.bdc7764b0f8b4p-17, -0x1.bc27eba42a16cp-17, -0x1.ba7fbf1f57459p-17, -0x1.b8cf1e69718c2p-17, -0x1.b71636cd05f9dp-17, -0x1.b55535327840bp-17, -0x1.b38c461eb2eb5p-17, -0x1.b1bb95b301e4ap-17, -0x1.afe34faf2a93dp-17, -0x1.ae039f6eb81b2p-17, -0x1.ac1cafe879a45p-17, -0x1.aa2eabaf75ee5p-17, -0x1.a839bcf273af8p-17, -0x1.a63e0d7b5269cp-17, -0x1.a43bc6afb0255p-17, -0x1.a2331190d5445p-17, -0x1.a02416ba9cecep-17, -0x1.9e0efe6421f9dp-17, -0x1.9bf3f06002b61p-17, -0x1.99d3141be37bbp-17, -0x1.97ac90a0a5776p-17, -0x1.95808c9268193p-17, -0x1.934f2e2fc9687p-17, -0x1.91189b52edbeap-17, -0x1.8edcf9714be5dp-17, -0x1.8c9c6d9cd4885p-17, -0x1.8a571c8299c14p-17, -0x1.880d2a6a7cf74p-17, -0x1.85bebb3948692p-17, -0x1.836bf26f2cf36p-17, -0x1.8114f3287a87dp-17, -0x1.7eb9e01f33b37p-17, -0x1.7c5adba9dd88fp-17, -0x1.79f807bb03b09p-17, -0x1.779185e2c4b91p-17, -0x1.7527774ecdc4ep-17, -0x1.72b9fcca1b211p-17, -0x1.704936be8043ap-17, -0x1.6dd5453384ae8p-17, -0x1.6b5e47cf82b9cp-17, -0x1.68e45dd7b31bp-17, -0x1.6667a631a67a5p-17, -0x1.63e83f61f4379p-17, -0x1.6166478d324b1p-17, -0x1.5ee1dc792e00bp-17, -0x1.5c5b1b8be15a9p-17, -0x1.59d221ccbff95p-17, -0x1.57470be4ce2afp-17, -0x1.54b9f61fe69e1p-17, -0x1.522afc6c822d9p-17, -0x1.4f9a3a5bac58ep-17, -0x1.4d07cb2166fe9p-17, -0x1.4a73c9965a45fp-17, -0x1.47de503700ea8p-17, -0x1.45477924dca43p-17, -0x1.42af5e27ea1d5p-17, -0x1.401618ad68817p-17, -0x1.3d7bc1c80a337p-17, -0x1.3ae07232205e2p-17, -0x1.3844424d3bd6p-17, -0x1.35a74a225bcb6p-17, -0x1.3309a163ba618p-17, -0x1.306b5f6ba3846p-17, -0x1.2dcc9b3e41368p-17, -0x1.2b2d6b8925645p-17, -0x1.288de6a605483p-17, -0x1.25ee2298ac1dap-17, -0x1.234e35100d86bp-17, -0x1.20ae336849c43p-17, -0x1.1e0e32a9f8d88p-17, -0x1.1b6e478af44a7p-17, -0x1.18ce866ef46p-17, }}, 
      {{-0x1.374daf3180b2cp-1, -0x1.374cf23796c66p-1, -0x1.374b76f07b728p-1, -0x1.374912d785bf8p-1, -0x1.3745c974a9b0ep-1, -0x1.3741db5e3e823p-1, -0x1.373dc4ad65ef9p-1, -0x1.373a2f95e5e9cp-1, -0x1.3737e02829e63p-1, -0x1.37379d6a75bdap-1, -0x1.373a1ad60bb69p-1, -0x1.373fe43ceadf5p-1, -0x1.37494d4735031p-1, -0x1.375665152a819p-1, -0x1.3766ee1d4674ep-1, -0x1.377a5a0d8a0a5p-1, -0x1.378fc9440f97p-1, -0x1.37a60d56d0418p-1, -0x1.37bbae177458cp-1, -0x1.37cef080f265p-1, -0x1.37dddf05da6adp-1, -0x1.37e652c41269fp-1, -0x1.37e5fd333dc9fp-1, -0x1.37da71f449edfp-1, -0x1.37c1307965aefp-1, -0x1.3797ad4d5bc3p-1, -0x1.375b5acf5703dp-1, -0x1.3709b144644e9p-1, -0x1.36a0362a79ee3p-1, -0x1.361c82c17f029p-1, -0x1.357c49c5de7afp-1, -0x1.34bd5c5dcfd3fp-1, -0x1.33ddae3ed3df5p-1, -0x1.32db59142744cp-1, -0x1.31b49f3136ad8p-1, -0x1.3067ed9cbae26p-1, -0x1.2ef3dd820c761p-1, -0x1.2d573516b3c97p-1, -0x1.2b90e8024a7e3p-1, -0x1.29a01756828cep-1, -0x1.27841124af938p-1, -0x1.253c4fbd8f827p-1, -0x1.22c878a750465p-1, -0x1.20285b55018fep-1, -0x1.1d5befa9c62afp-1, -0x1.1a6354513ce11p-1, -0x1.173eccf5bddep-1, -0x1.13eec05c300efp-1, -0x1.1073b66c7284bp-1, -0x1.0cce562c8d892p-1, -0x1.08ff63b426d4p-1, -0x1.0507be1d0eb25p-1, -0x1.00e85d75149ddp-1, -0x1.f944a1698a745p-2, -0x1.f06d777c5a39bp-2, -0x1.e74daacc7cd24p-2, -0x1.dde7cb161daf8p-2, -0x1.d43e867170e0ep-2, -0x1.ca54a5bcb1e6fp-2, -0x1.c02d0928a4711p-2, -0x1.b5caa4e95c053p-2, -0x1.ab307e0c90773p-2, -0x1.a061a776540d1p-2, -0x1.95613f04a7c77p-2, -0x1.8a326ada11dd9p-2, -0x1.7ed856cf17a57p-2, -0x1.7356320a3c575p-2, -0x1.67af2cbdf157fp-2, -0x1.5be6760bc3b7dp-2, -0x1.4fff3a0bd9d83p-2, -0x1.43fc9ff7d115cp-2, -0x1.37e1c877de07ep-2, -0x1.2bb1cc110758fp-2, -0x1.1f6fb9b34c308p-2, -0x1.131e95666f694p-2, -0x1.06c157142a089p-2, -0x1.f4b5d2dce11e1p-3, -0x1.dbdc51e11a4f4p-3, -0x1.c2fbc5f3757a5p-3, -0x1.aa19aa000516p-3, -0x1.913b57b42f2bap-3, -0x1.7866063dea4abp-3, -0x1.5f9ec93419a75p-3, -0x1.46ea8fa5b07d3p-3, -0x1.2e4e234d4f62p-3, -0x1.15ce27e73a2a1p-3, -0x1.fade354ecc779p-4, -0x1.ca6aa39b74073p-4, -0x1.9a49f8acc82e1p-4, -0x1.6a844388f46cap-4, -0x1.3b21440a17e91p-4, -0x1.0c286ad1d599fp-4, -0x1.bb41b2ce17537p-5, -0x1.5f22c4f515306p-5, -0x1.0401149f9a839p-5, -0x1.53d21d1b6dacep-6, -0x1.439a142571b1p-7, 0x1.bed3a442d0d98p-11, 0x1.76c7285be2919p-7, 0x1.6665c14b37451p-6, 0x1.0775188d92f3cp-5, 0x1.5a6f89186e29cp-5, 0x1.ac19d82be8cc4p-5, 0x1.fc6c37ce65cf2p-5, 0x1.25afb1c805dbep-4, 0x1.4c764eedd3ee5p-4, 0x1.7286d6992dd26p-4, 0x1.97de6caa64197p-4, 0x1.bc7a742e2c9bep-4, 0x1.e0588de38d6e5p-4, 0x1.01bb4b5e18454p-3, 0x1.12e9532c15f5ep-3, 0x1.23b586bf163f9p-3, 0x1.341f2a488a4abp-3, 0x1.44259d01d6dfep-3, 0x1.53c85865b4d4bp-3, 0x1.6306ef696ba62p-3, 0x1.71e10db6364acp-3, 0x1.805676e333005p-3, 0x1.8e6705b013bb3p-3, 0x1.9c12ab40e64cfp-3, 0x1.a9596e5b211f1p-3, 0x1.b63b6aa43bbf9p-3, 0x1.c2b8cfe2001dep-3, 0x1.ced1e13cc4d6ep-3, 0x1.da86f483c4778p-3, 0x1.e5d87173a973ep-3, 0x1.f0c6d0ff8801cp-3, 0x1.fb529c9c4f816p-3, 0x1.02be36c775e0bp-2, 0x1.07a2761e8b0ecp-2, 0x1.0c5667c07fe7ep-2, 0x1.10da6dfff2337p-2, 0x1.152ef1c1cbdf1p-2, 0x1.1954622b91678p-2, 0x1.1d4b34533c14p-2, 0x1.2113e2f0a69e6p-2, 0x1.24aeee1095f31p-2, 0x1.281cdac95d99ep-2, 0x1.2b5e32f121f9ep-2, 0x1.2e7384d5c2257p-2, 0x1.315d62f6661a2p-2, 0x1.341c63beb255dp-2, 0x1.36b12143a4b6ep-2, 0x1.391c39021b169p-2, 0x1.3b5e4b9efd068p-2, 0x1.3d77fca9125ccp-2, 0x1.3f69f25c7b205p-2, 0x1.4134d567cf6e2p-2, 0x1.42d950b2dd39p-2, 0x1.445811270a7e5p-2, 0x1.45b1c579515fap-2, 0x1.46e71df5d623p-2, 0x1.47f8cc4d14e5dp-2, 0x1.48e78362a22bdp-2, 0x1.49b3f71d7974fp-2, 0x1.4a5edc39d490fp-2, 0x1.4ae8e81c8de58p-2, 0x1.4b52d0a800747p-2, 0x1.4b9d4c1263df3p-2, 0x1.4bc910bda4d96p-2, 0x1.4bd6d510a9c31p-2, 0x1.4bc74f520ae62p-2, 0x1.4b9b35842e80dp-2, 0x1.4b533d42c5897p-2, 0x1.4af01ba1abce9p-2, 0x1.4a72850d15e76p-2, 0x1.49db2d2b17f28p-2, 0x1.492ac6be71c91p-2, 0x1.4862038aa1f8ap-2, 0x1.4781943937988p-2, 0x1.468a28405db41p-2, 0x1.457c6dca954a8p-2, 0x1.4459119f9fa75p-2, 0x1.4320bf0e8da35p-2, 0x1.41d41fd8ea92bp-2, 0x1.4073dc1f0663fp-2, 0x1.3f009a4d4c773p-2, 0x1.3d7aff0aadc76p-2, 0x1.3be3ad280a999p-2, 0x1.3a3b45909fa91p-2, 0x1.3882673b6cb14p-2, 0x1.36b9af1d8c6c1p-2, 0x1.34e1b81d7c419p-2, 0x1.32fb1b074839dp-2, 0x1.31066e8197ac9p-2, 0x1.2f04470395d72p-2, 0x1.2cf536cbae6fbp-2, 0x1.2ad9cdd715686p-2, 0x1.28b299da1ac44p-2, 0x1.268026393dbd5p-2, 0x1.2442fc02fde92p-2, 0x1.21fba1ea611f9p-2, 0x1.1faa9c422a2f8p-2, 0x1.1d506cf8bcdb7p-2, 0x1.1aed9394a10bbp-2, 0x1.18828d31ae024p-2, 0x1.160fd47ec721bp-2, 0x1.1395e1bc31c15p-2, 0x1.11152aba7c249p-2, 0x1.0e8e22d9e7f2p-2, 0x1.0c013b0a60868p-2, 0x1.096ee1cbeaab3p-2, 0x1.06d7832f9527fp-2, 0x1.043b88d8d90c5p-2, 0x1.019b59ff6da2dp-2, 0x1.fdeeb6e315928p-3, 0x1.f89fdf2d1c79dp-3, 0x1.f34aece40a5bep-3, 0x1.edf09b4e2eea7p-3, 0x1.e891a0f88d96ap-3, 0x1.e32eafbf13d4dp-3, 0x1.ddc874d5686e3p-3, 0x1.d85f98d05bca5p-3, 0x1.d2f4bfafe879cp-3, 0x1.cd8888e9bcf94p-3, 0x1.c81b8f744cea9p-3, 0x1.c2ae69d25ace9p-3, 0x1.bd41aa1ef6bccp-3, 0x1.b7d5de19edb1ap-3, 0x1.b26b8f3498bd7p-3, 0x1.ad03429f1079ep-3, 0x1.a79d7955bdbccp-3, 0x1.a23ab02f326adp-3, 0x1.9cdb5fea5a41cp-3, 0x1.977ffd3ce933ap-3, 0x1.9228f8e212c4ep-3, 0x1.8cd6bfa9754fcp-3, 0x1.8789ba8642da8p-3, 0x1.82424e9e9345p-3, 0x1.7d00dd5ae4333p-3, 0x1.77c5c475c3313p-3, 0x1.72915e0b931afp-3, 0x1.6d6400aa75952p-3, 0x1.683dff6248c04p-3, 0x1.631fa9d4b5a36p-3, 0x1.5e094c455abb6p-3, 0x1.58fb2fa9f68afp-3, 0x1.53f599baa03d6p-3, 0x1.4ef8cd02020b8p-3, 0x1.4a0508ed9c6c8p-3, 0x1.451a89ddf890ap-3, 0x1.40398936e80cep-3, 0x1.3b623d6fa7809p-3, 0x1.3694da230924ep-3, 0x1.31d1901f8093ap-3, 0x1.2d188d7727844p-3, 0x1.2869fd8faac8cp-3, 0x1.23c6093223103p-3, 0x1.1f2cd69ad0a19p-3, 0x1.1a9e8988c0386p-3, 0x1.161b434d52dap-3, 0x1.11a322dba35d5p-3, 0x1.0d3644d7ceeb5p-3, 0x1.08d4c3a615093p-3, 0x1.047eb779dc5e2p-3, 0x1.003436648637p-3, 0x1.f7eaa8c846815p-4, 0x1.ef8446e3f3471p-4, 0x1.e7356721cc5c3p-4, 0x1.defe25b71879cp-4, 0x1.d6de9b24ba58dp-4, 0x1.ced6dc52db4f7p-4, 0x1.c6e6faac45018p-4, 0x1.bf0f04395346p-4, 0x1.b74f03ba81c61p-4, 0x1.afa700c2a1a5dp-4, 0x1.a816ffd0a761ep-4, 0x1.a09f026908166p-4, 0x1.993f072ecc00bp-4, 0x1.91f709fc17f76p-4, 0x1.8ac703fa6c1cbp-4, 0x1.83aeebba6af12p-4, 0x1.7caeb54b3a8a6p-4, 0x1.75c652517cf06p-4, 0x1.6ef5b21dde65ap-4, 0x1.683cc1c33bb7bp-4, 0x1.619b6c2c59069p-4, 0x1.5b119a3131fcp-4, 0x1.549f32abe1298p-4, 0x1.4e441a8d1a53fp-4, 0x1.480034f039427p-4, 0x1.41d3632eeb65p-4, 0x1.3bbd84f46cc39p-4, 0x1.35be78505e5c5p-4, 0x1.2fd619c92f709p-4, 0x1.2a04446e236b9p-4, 0x1.2448d1e8ef773p-4, 0x1.1ea39a8ef126bp-4, 0x1.19147571fc48p-4, 0x1.139b3870c799p-4, 0x1.0e37b846f455p-4, 0x1.08e9c89caed8bp-4, 0x1.03b13c15f2e99p-4, 0x1.fd1bc8c2ccdffp-5, 0x1.f2ff248db6008p-5, 0x1.e90c2b6ada727p-5, 0x1.df427ba28397ep-5, 0x1.d5a1b201d3b25p-5, 0x1.cc2969f4d531cp-5, 0x1.c2d93d9fd03dap-5, 0x1.b9b0c5f7ed818p-5, 0x1.b0af9adb2696bp-5, 0x1.a7d55327889efp-5, 0x1.9f2184d1cd482p-5, 0x1.9693c4fb40b9p-5, 0x1.8e2ba8070e175p-5, 0x1.85e8c1aed7341p-5, 0x1.7dcaa516b4ed8p-5, 0x1.75d0e4e0944f5p-5, 0x1.6dfb133ef8892p-5, 0x1.6648c2071f44ep-5, 0x1.5eb982c28e0c4p-5, 0x1.574ce6c00daa3p-5, 0x1.50027f241112p-5, 0x1.48d9dcf88af6ep-5, 0x1.41d2913c364c6p-5, 0x1.3aec2cf15cf27p-5, 0x1.3426412c0a9b3p-5, 0x1.2d805f1fc1baep-5, 0x1.26fa182cab78ap-5, 0x1.2092fdec48f54p-5, 0x1.1a4aa23dae5a1p-5, 0x1.1420975133471p-5, 0x1.0e146fb3bcde5p-5, 0x1.0825be5989d95p-5, 0x1.025416a88866ep-5, 0x1.f93e1904919f6p-6, 0x1.ee0c689aed71bp-6, 0x1.e31245fddda75p-6, 0x1.d84edc44d1c6dp-6, 0x1.cdc157c57287fp-6, 0x1.c368e6236deadp-6, 0x1.b944b65f719ccp-6, 0x1.af53f8e575709p-6, 0x1.a595df9a47247p-6, 0x1.9c099de85af8dp-6, 0x1.92ae68cbf9bacp-6, 0x1.898376dec31aap-6, 0x1.80880062817f4p-6, 0x1.77bb3f4b62554p-6, 0x1.6f1c6f499cb4ap-6, 0x1.66aacdd265fdep-6, 0x1.5e659a28600f7p-6, 0x1.564c15638498cp-6, 0x1.4e5d82786b0f1p-6, 0x1.4699263f164dep-6, 0x1.3efe477947c62p-6, 0x1.378c2ed82eb84p-6, 0x1.30422701cc222p-6, 0x1.291f7c95b4208p-6, 0x1.22237e317759ep-6, 0x1.1b4d7c7488d2fp-6, 0x1.149cca03c62b3p-6, 0x1.0e10bb8c8ff77p-6, 0x1.07a8a7c775bd9p-6, 0x1.0163e77a8aaebp-6, 0x1.f683aaf69a9dbp-7, 0x1.ea839d60890b5p-7, 0x1.dec664246d4bdp-7, 0x1.d34ac15a2bbbdp-7, 0x1.c80f7b411b50cp-7, 0x1.bd135c4084433p-7, 0x1.b25532e7a8801p-7, 0x1.a7d3d1ed087abp-7, 0x1.9d8e102d3e70ep-7, 0x1.9382c8a94a216p-7, 0x1.89b0da844cf59p-7, 0x1.80172900ca515p-7, 0x1.76b49b7d8dd07p-7, 0x1.6d881d71efab9p-7, 0x1.64909e69c8e3bp-7, 0x1.5bcd1200fb107p-7, 0x1.533c6fde9e1b4p-7, 0x1.4addb3afa40eep-7, 0x1.42afdd215a6b6p-7, 0x1.3ab1efdb62ae3p-7, 0x1.32e2f3796a897p-7, 0x1.2b41f384b0bc5p-7, 0x1.23cdff6d05c48p-7, 0x1.1c862a81bb402p-7, 0x1.15698bea30839p-7, 0x1.0e773e9e2c188p-7, 0x1.07ae615df750bp-7, 0x1.010e16aa39637p-7, 0x1.f52b0977517c6p-8, 0x1.e887aaf4f5803p-8, 0x1.dc306ceb93c71p-8, 0x1.d023b1b5330edp-8, 0x1.c45fe2d5c6dccp-8, 0x1.b8e370e8bc9fbp-8, 0x1.adacd38e53566p-8, 0x1.a2ba8958c7956p-8, 0x1.980b17b93224dp-8, 0x1.8d9d0aec33ac2p-8, 0x1.836ef5e665896p-8, 0x1.797f7240c78ffp-8, 0x1.6fcd2024cd3cp-8, 0x1.6656a6386f66p-8, 0x1.5d1ab189fb417p-8, 0x1.5417f57bfd38ap-8, 0x1.4b4d2bb0d1fe9p-8, 0x1.42b913f6692aap-8, 0x1.3a5a7431c1bep-8, 0x1.3230184a835f2p-8, 0x1.2a38d2166d145p-8, 0x1.22737944cc27fp-8, 0x1.1adeeb49ff6fap-8, 0x1.137a0b4af5c9bp-8, 0x1.0c43c2088ec54p-8, 0x1.053afdcb48f99p-8, 0x1.fcbd649d55afap-9, 0x1.ef5bb15a141f6p-9, 0x1.e24ede960e797p-9, 0x1.d594f386f5757p-9, 0x1.c92c01a63c68ep-9, 0x1.bd122488f7714p-9, 0x1.b14581b8059cfp-9, 0x1.a5c448880d7bap-9, 0x1.9a8cb1f1e263ap-9, 0x1.8f9d006b82d69p-9, 0x1.84f37fc08e1a8p-9, 0x1.7a8e84eb9a706p-9, 0x1.706c6defc1e6p-9, 0x1.668ba1b211522p-9, 0x1.5cea8fd39df1fp-9, 0x1.5387b08beca84p-9, 0x1.4a6184836fc04p-9, 0x1.417694ae69757p-9, 0x1.38c57228709d1p-9, 0x1.304cb60fc604ep-9, 0x1.280b01614b64p-9, 0x1.1ffefcd4fd75fp-9, 0x1.182758ba57916p-9, 0x1.1082ccd57bb6fp-9, 0x1.0910183c949bdp-9, 0x1.01ce01358294p-9, 0x1.f576aa283fd64p-10, 0x1.e7add0314aa85p-10, 0x1.da3f2a9d885c3p-10, 0x1.cd287cd93982ep-10, 0x1.c067976575a68p-10, 0x1.b3fa5798084adp-10, 0x1.a7dea75c86ed9p-10, 0x1.9c127cf5ed028p-10, 0x1.9093dac14bc7ap-10, 0x1.8560cef942827p-10, 0x1.7a77737a00199p-10, 0x1.6fd5ed868fb1dp-10, 0x1.657a6d8e42916p-10, 0x1.5b632ef393301p-10, 0x1.518e77d33430cp-10, 0x1.47fa98ccd4341p-10, 0x1.3ea5eccbe3eb7p-10, 0x1.358ed8d14d1ddp-10, 0x1.2cb3cbbe87d36p-10, 0x1.24133e20b5234p-10, 0x1.1babb1fcda3b7p-10, 0x1.137bb29dbbfe7p-10, 0x1.0b81d4609704fp-10, 0x1.03bcb48481eb8p-10, 0x1.f855f1f33f8bap-11, 0x1.e996a062fd067p-11, 0x1.db38e1dff9c36p-11, 0x1.cd3a343a44e52p-11, 0x1.bf98252fb07a4p-11, 0x1.b2505211ff76p-11, 0x1.a560676f04db5p-11, 0x1.98c620bb0a92fp-11, 0x1.8c7f47faf84dap-11, 0x1.8089b571a6663p-11, 0x1.74e34f4d5e403p-11, 0x1.698a09584ecdfp-11, 0x1.5e7be4a8b941bp-11, 0x1.53b6ef5330b82p-11, 0x1.493944201a267p-11, 0x1.3f010a3f08df6p-11, 0x1.350c74fe3fb1p-11, 0x1.2b59c382775d3p-11, 0x1.21e740801f99dp-11, 0x1.18b341f640df3p-11, 0x1.0fbc28ea4a6d8p-11, 0x1.07006125b271cp-11, 0x1.fcfcc1e849dc5p-12, 0x1.ec6951c6c3422p-12, 0x1.dc4387097a6a1p-12, 0x1.cc888a5fb8aeep-12, 0x1.bd35978a814b3p-12, 0x1.ae47fce7763d4p-12, 0x1.9fbd1afc84392p-12, 0x1.919264067780cp-12, 0x1.83c55b8941872p-12, 0x1.765395e3693a1p-12, 0x1.693ab7e351787p-12, 0x1.5c78765e7f97bp-12, 0x1.500a95cae3c5ep-12, 0x1.43eee9dae408dp-12, 0x1.3823551c76ddep-12, 0x1.2ca5c897a6877p-12, 0x1.21744370d738fp-12, 0x1.168cd28d809cfp-12, 0x1.0bed9039de9aap-12, 0x1.0194a3d130078p-12, 0x1.ef0082cf1f3ffp-13, 0x1.db5d52ec53abdp-13, 0x1.c83c5112ef439p-13, 0x1.b59a2ddfddbf8p-13, 0x1.a373b0d72e214p-13, 0x1.91c5b7cc07e48p-13, 0x1.808d364985de9p-13, 0x1.6fc734ffbb91ap-13, 0x1.5f70d1354721fp-13, 0x1.4f873c3af96bp-13, 0x1.4007bae2f8e4fp-13, 0x1.30efa4fbae9d1p-13, 0x1.223c64cb9c77ep-13, 0x1.13eb7695e3534p-13, 0x1.05fa681bb33b1p-13, 0x1.f0cdb044cf89bp-14, 0x1.d65cebfa4eae4p-14, 0x1.bc9e02366f35p-14, 0x1.a38c9129fcb07p-14, 0x1.8b24557fcf563p-14, 0x1.7361298251127p-14, 0x1.5c3f044f5e9ffp-14, 0x1.45b9f90743b91p-14, 0x1.2fce3606d5058p-14, 0x1.1a780424fcbbcp-14, 0x1.05b3c5f95d1a2p-14, 0x1.e2fbee41b7b03p-15, 0x1.bba657116e9fep-15, 0x1.95601d7e9a66cp-15, 0x1.7022c69978663p-15, 0x1.4be80411d2a11p-15, 0x1.28a9b2f57fe8ep-15, 0x1.0661da71a23ebp-15, 0x1.ca155553784c6p-16, 0x1.893cf7009f503p-16, 0x1.4a2f96f00033ep-16, 0x1.0ce27d27fa789p-16, 0x1.a296752300fap-17, 0x1.2ebf4dc4d247cp-17, 0x1.7c577a0bd5047p-18, 0x1.4322048386e9dp-19, -0x1.97d260022ce64p-21, -0x1.016ef54ed88ap-18, -0x1.c9f08a011a846p-18, -0x1.4650d6a11289bp-17, -0x1.a4d20e0254d6bp-17, -0x1.00462cdf1173dp-16, -0x1.2cc7de05f6511p-16, -0x1.57f5e6eb6e029p-16, -0x1.81d7e0ef8b983p-16, -0x1.aa7533d52bd4fp-16, -0x1.d1d5173e2e05ep-16, -0x1.f7fe941d034e4p-16, -0x1.0e7c43076794p-15, -0x1.2064ce571b8f2p-15, -0x1.31bc2e7427d69p-15, -0x1.42859121317ffp-15, -0x1.52c4100a4073ap-15, -0x1.627ab15b44956p-15, -0x1.71ac684f52136p-15, -0x1.805c15c9b2adap-15, -0x1.8e8c88dc66129p-15, -0x1.9c407f52f9b87p-15, -0x1.a97aa6312e194p-15, -0x1.b63d9a34abeaep-15, -0x1.c28be85473d67p-15, -0x1.ce680e33e8686p-15, -0x1.d9d47a977937bp-15, -0x1.e4d38dd4e6592p-15, -0x1.ef679a441560fp-15, -0x1.f992e4a8b1b87p-15, -0x1.01abd24bc86bcp-14, -0x1.065c026c72ae6p-14, -0x1.0adb11e48f8e8p-14, -0x1.0f2a09dc40f3p-14, -0x1.1349eda3069b8p-14, -0x1.173bbada161bfp-14, -0x1.1b00699ecbb51p-14, -0x1.1e98ecb649182p-14, -0x1.220631b36a022p-14, -0x1.2549211e5fa36p-14, -0x1.28629e979de39p-14, -0x1.2b5388fd9b35p-14, -0x1.2e1cba905d74p-14, -0x1.30bf09134b154p-14, -0x1.333b45ed88823p-14, -0x1.35923e49431a1p-14, -0x1.37c4bb32700bap-14, -0x1.39d381b52877p-14, -0x1.3bbf52fa684f8p-14, -0x1.3d88ec62227e3p-14, -0x1.3f31079eda4fbp-14, -0x1.40b85ad09c5fp-14, -0x1.421f989ddc553p-14, -0x1.4367704b3974ap-14, -0x1.44908dd2bd4adp-14, -0x1.459b99f8c591ep-14, -0x1.46893a652bf9ep-14, -0x1.475a11b6b5eaap-14, -0x1.480ebf973fcd1p-14, -0x1.48a7e0d0fab0ep-14, -0x1.49260f5f409f4p-14, -0x1.4989e28295327p-14, -0x1.49d3eed28bba8p-14, -0x1.4a04c64db751ep-14, -0x1.4a1cf8699ac41p-14, -0x1.4a1d122499532p-14, -0x1.4a059e14c6bf4p-14, -0x1.49d724771fcaep-14, -0x1.49922b3d5f7fap-14, -0x1.4937361b2a09p-14, -0x1.48c6c6940d35ep-14, -0x1.48415c091cfecp-14, -0x1.47a773c4bfd0fp-14, -0x1.46f98906fb4b8p-14, -0x1.46381511188c4p-14, -0x1.45638f307165bp-14, -0x1.447c6cca021e6p-14, -0x1.43832164daf52p-14, -0x1.42781eb35212p-14, -0x1.415bd49c29effp-14, -0x1.402eb145e976dp-14, -0x1.3ef1211ee4af2p-14, -0x1.3da38ee614cf5p-14, -0x1.3c4663b41678bp-14, -0x1.3ada07024612cp-14, -0x1.395edeb2a3ed4p-14, -0x1.37d54f18847d8p-14, -0x1.363dbafed4e8ep-14, -0x1.349883b092df4p-14, -0x1.32e608fd84d4dp-14, -0x1.3126a942bf5f1p-14, -0x1.2f5ac16febbefp-14, -0x1.2d82ad0e49eecp-14, -0x1.2b9ec6465225p-14, -0x1.29af65e4b913bp-14, -0x1.27b4e35fedee9p-14, -0x1.25af94dfa2ad8p-14, -0x1.239fcf3f52685p-14, -0x1.2185e614fe377p-14, -0x1.1f622bb57a9a6p-14, -0x1.1d34f13974133p-14, -0x1.1afe8680e48ebp-14, -0x1.18bf3a38fcc87p-14, -0x1.167759e03ee3dp-14, -0x1.142731c9a630ap-14, -0x1.11cf0d212a6e1p-14, -0x1.0f6f35f000c34p-14, -0x1.0d07f51f89ddep-14, -0x1.0a99927e5cdbcp-14, -0x1.082454c334decp-14, -0x1.05a8818f77c49p-14, -0x1.03265d739b82bp-14, -0x1.009e2bf2c9227p-14, -0x1.fc205f09d6fccp-15, -0x1.f6f9533514e5fp-15, -0x1.f1c7b53f4d96ap-15, -0x1.ec8c03fe3ee6p-15, -0x1.e746bc48ab795p-15, -0x1.e1f858fee83c6p-15, -0x1.dca1531014544p-15, -0x1.d742217d65ff3p-15, -0x1.d1db39604e847p-15, -0x1.cc6d0df10e309p-15, -0x1.c6f810892b8efp-15, -0x1.c17cb0a95c9f9p-15, -0x1.bbfb5c00fee31p-15, -0x1.b6747e6f50ce7p-15, -0x1.b0e882090fb38p-15, -0x1.ab57cf1e5627ap-15, -0x1.a5c2cc3de3202p-15, -0x1.a029de38c30e1p-15, -0x1.9a8d6828e6bcap-15, -0x1.94edcb73521f8p-15, -0x1.8f4b67cdfe541p-15, -0x1.89a69b41e3536p-15, -0x1.83ffc232962fep-15, -0x1.7e57375f0359cp-15, -0x1.78ad53e6b2d1bp-15, -0x1.73026f4e147abp-15, -0x1.6d56df8150514p-15, -0x1.67aaf8d8cd775p-15, -0x1.61ff0e1ca5a11p-15, -0x1.5c53708991029p-15, -0x1.56a86fd34b295p-15, -0x1.50fe5a29dcf24p-15, -0x1.4b557c3b52a66p-15, -0x1.45ae21391f29p-15, -0x1.400892d9d3856p-15, -0x1.3a65195eee32ep-15, -0x1.34c3fb974dfc6p-15, -0x1.2f257ee201dabp-15, -0x1.2989e733adf09p-15, -0x1.23f17718a120ep-15, -0x1.1e5c6fb8ce82cp-15, -0x1.18cb10db91defp-15, -0x1.133d98eac9c35p-15, -0x1.0db444f6653c9p-15, -0x1.082f50b696f8p-15, -0x1.02aef691c045fp-15, -0x1.fa66df3b1a042p-16, -0x1.ef79e745d674ap-16, -0x1.e497724674f79p-16, -0x1.d9bfeab43c127p-16, -0x1.cef3b87f0af1ap-16, -0x1.c433411b36a27p-16, -0x1.b97ee7843dd3ep-16, -0x1.aed70c474fcb2p-16, -0x1.a43c0d850bdd8p-16, -0x1.99ae46fc0bff3p-16, -0x1.8f2e12101ae0ep-16, -0x1.84bbc5cb059f9p-16, -0x1.7a57b6e8f4ef7p-16, -0x1.700237de5e3eap-16, -0x1.65bb98dbf5f47p-16, -0x1.5b8427d60ea19p-16, -0x1.515c308bf1b44p-16, -0x1.4743fc8e99a56p-16, -0x1.3d3bd34514a0ep-16, -0x1.3343f9f352273p-16, -0x1.295cb3c36acaep-16, -0x1.1f8641cc434e8p-16, -0x1.15c0e3125d9c4p-16, -0x1.0c0cd4919820ep-16, -0x1.026a5145b1898p-16, -0x1.f1b3245c801c6p-17, -0x1.deb59caa34653p-17, -0x1.cbdc75a738d26p-17, -0x1.b92815baf47fap-17, -0x1.a698df82eaccap-17, -0x1.942f31e1923d8p-17, -0x1.81eb681253739p-17, -0x1.6fcdd9b02dbc4p-17, -0x1.5dd6dac019fe5p-17, -0x1.4c06bbbf94113p-17, -0x1.3a5dc9b630e5cp-17, -0x1.28dc4e3c478cfp-17, -0x1.17828f8101a0dp-17, -0x1.0650d05f6e12ep-17, -0x1.ea8ea0dd40669p-18, -0x1.c8cc980dc1273p-18, -0x1.a75bf89256f9bp-18, -0x1.863d2e614b07ep-18, -0x1.65709f44997f4p-18, -0x1.44f6aaebbfa46p-18, -0x1.24cfaaf5d2a7dp-18, -0x1.04fbf31f7b442p-18, -0x1.caf7a299a4b3ep-19, -0x1.8c9f1b4131127p-19, -0x1.4eeed52bbe808p-19, -0x1.11e74a2f59698p-19, -0x1.ab11d26ad582ep-20, -0x1.33a82cae6757cp-20, -0x1.7b24ac5587716p-21, -0x1.2343b476eb745p-22, 0x1.54dc2510e0026p-23, 0x1.39651325be66dp-21, 0x1.0d73c007de399p-20, 0x1.7cded9acae557p-20, 0x1.eaf39b308cc6ep-20, 0x1.2bd8ee159de01p-19, 0x1.618cc34f987fap-19, 0x1.96954b5f33a1fp-19, 0x1.caf28d2cf6545p-19, 0x1.fea4985c3a745p-19, 0x1.18d5c299798ffp-18, 0x1.3203ba1ffaf75p-18, 0x1.4adc472e4c22ap-18, 0x1.635f823ce2c6dp-18, 0x1.7b8d87b546bfdp-18, 0x1.936677e7529d7p-18, 0x1.aaea76e77e4fap-18, 0x1.c219ac8c49a94p-18, 0x1.d8f4444e50776p-18, 0x1.ef7a6d330d9ep-18, 0x1.02d62ce062c23p-17, 0x1.0dc51ff626d2fp-17, 0x1.188a2c82e29a2p-17, 0x1.232570d02a042p-17, 0x1.2d970cbd98369p-17, 0x1.37df21c01bdap-17, 0x1.41fdd2cfe2691p-17, 0x1.4bf3446653d31p-17, 0x1.55bf9c70c6a07p-17, 0x1.5f6302477f1d9p-17, 0x1.68dd9ea7a9088p-17, 0x1.722f9ba796ba8p-17, 0x1.7b5924b1357abp-17, 0x1.845a6675e60b6p-17, 0x1.8d338eea5adbep-17, 0x1.95e4cd3bb367bp-17, 0x1.9e6e51c7db736p-17, 0x1.a6d04e1329911p-17, 0x1.af0af4c4c7abbp-17, 0x1.b71e7999b086bp-17, 0x1.bf0b115dda2edp-17, 0x1.c6d0f1e8918d8p-17, 0x1.ce70521198a9ap-17, 0x1.d5e969aae417fp-17, 0x1.dd3c7175545a8p-17, 0x1.e469a31d12e4ap-17, 0x1.eb7139323dba1p-17, 0x1.f2536f1f2e8fep-17, 0x1.f9108122facb8p-17, 0x1.ffa8ac49d9f49p-17, 0x1.030e1734082c4p-16, 0x1.0635a307847c8p-16, 0x1.094b1944274c5p-16, 0x1.0c4e99e96edf2p-16, 0x1.0f40454a88317p-16, 0x1.12203c0d5b6abp-16, 0x1.14ee9f287a3dcp-16, 0x1.17ab8fddad989p-16, 0x1.1a572fb78efd3p-16, 0x1.1cf1a085f1c5fp-16, 0x1.1f7b045baa9c9p-16, 0x1.21f37d8af2faap-16, 0x1.245b2ea266dd7p-16, 0x1.26b23a6b948fbp-16, 0x1.28f8c3e6cd2ap-16, 0x1.2b2eee48603fap-16, 0x1.2d54dcf550131p-16, 0x1.2f6ab3823e534p-16, 0x1.317095ae8c125p-16, 0x1.3366a7647698p-16, 0x1.354d0cb2fd2c8p-16, 0x1.3723e9ce31cc8p-16, 0x1.38eb630c7928dp-16, 0x1.3aa39ce1fd7a4p-16, 0x1.3c4cbbdf56126p-16, 0x1.3de6e4b068916p-16, 0x1.3f723c184b6aap-16, 0x1.40eee6ef03fep-16, 0x1.425d0a21226e9p-16, 0x1.43bccaaca33d1p-16, 0x1.450e4d9d325acp-16, 0x1.4651b80b34015p-16, 0x1.47872f1942aa5p-16, 0x1.48aed7f29736bp-16, 0x1.49c8d7c8f74efp-16, 0x1.4ad553d22f083p-16, 0x1.4bd471473d0a7p-16, 0x1.4cc6556142943p-16, 0x1.4dab2557b9312p-16, 0x1.4e83065fbc6bcp-16, 0x1.4f4e1da7b646fp-16, 0x1.500c90586f9edp-16, 0x1.50be8391bc701p-16, 0x1.51641c68fea8ap-16, 0x1.51fd7fe7c0c01p-16, 0x1.528ad30a23a26p-16, 0x1.530c3abcb3d87p-16, 0x1.5381dbdb105ffp-16, 0x1.53ebdb2e7d565p-16, 0x1.544a5d6c4fba9p-16, 0x1.549d87349fccfp-16, 0x1.54e57d114940fp-16, 0x1.552263749d9cap-16, 0x1.55545eb638225p-16, 0x1.557b9312bc3dap-16, 0x1.559824aaf9bd1p-16, 0x1.55aa378204fdbp-16, 0x1.55b1ef7c8b6b9p-16, 0x1.55af705ebb663p-16, 0x1.55a2ddccc765ap-16, 0x1.558c5b4780f69p-16, 0x1.556c0c2d7eb94p-16, 0x1.554213b8aa331p-16, 0x1.550e94fc57fa4p-16, 0x1.54d1b2e650296p-16, 0x1.548b903c9465bp-16, 0x1.543c4f9c0deb9p-16, 0x1.53e413788fb87p-16, 0x1.5382fe1ba89e6p-16, 0x1.531931a3ddd49p-16, 0x1.52a6d003028b8p-16, 0x1.522bfafd7ebdp-16, 0x1.51a8d429f51a2p-16, 0x1.511d7cf109652p-16, 0x1.508a168ae42d4p-16, 0x1.4feec2011d84fp-16, 0x1.4f4ba02c2b1edp-16, 0x1.4ea0d1b1ca9ecp-16, 0x1.4dee7705faebap-16, 0x1.4d34b069a6a19p-16, 0x1.4c739dea6bddap-16, 0x1.4bab5f61b20ddp-16, 0x1.4adc1473b09f7p-16, 0x1.4a05dc9038096p-16, 0x1.4928d6f038696p-16, 0x1.48452297ed144p-16, 0x1.475ade541f774p-16, 0x1.466a28b918283p-16, 0x1.45732024ab79cp-16, 0x1.4475e2bcaa48ap-16, 0x1.43728e6d3a489p-16, 0x1.426940ea1d287p-16, }}, 
      {{-0x1.374dd3b672bf8p-1, -0x1.374d98eb22f16p-1, -0x1.374d282efae4ep-1, -0x1.374c74649d005p-1, -0x1.374b769eeb481p-1, -0x1.374a3226a912ep-1, -0x1.3748b5f81fe1bp-1, -0x1.37471c256f3e4p-1, -0x1.374587b843133p-1, -0x1.374421a8f6351p-1, -0x1.37431568288e5p-1, -0x1.37428d5a3884ep-1, -0x1.3742af887ebe2p-1, -0x1.37439ab4fae8fp-1, -0x1.374563ea8592cp-1, -0x1.374814955fb33p-1, -0x1.374ba925683f2p-1, -0x1.37501033d0616p-1, -0x1.37552a213b96cp-1, -0x1.375ac91e43ca9p-1, -0x1.3760b18eeef31p-1, -0x1.37669ab950c55p-1, -0x1.376c2fb011199p-1, -0x1.3771106a8e06fp-1, -0x1.3774d2fda399ep-1, -0x1.377704e9a79dp-1, -0x1.37772c73adcc5p-1, -0x1.3774ca01b26c4p-1, -0x1.376f5972b6481p-1, -0x1.3766536d3333ep-1, -0x1.37592e9f76342p-1, -0x1.374760ee884ebp-1, -0x1.373060912f57dp-1, -0x1.3713a51561656p-1, -0x1.36f0a84f2bd2bp-1, -0x1.36c6e7309ad2cp-1, -0x1.3695e28aa69e9p-1, -0x1.365d1fb783b66p-1, -0x1.361c292efcac4p-1, -0x1.35d28f05b9119p-1, -0x1.357fe75875e48p-1, -0x1.3523cea45a8f3p-1, -0x1.34bde80d9e8d1p-1, -0x1.344ddd95c807bp-1, -0x1.33d36042c71ccp-1, -0x1.334e2838353c7p-1, -0x1.32bdf4c3f85d8p-1, -0x1.32228c5f7d026p-1, -0x1.317bbca6b3ab4p-1, -0x1.30c95a45ecb7bp-1, -0x1.300b40df9e1fep-1, -0x1.2f4152eb10905p-1, -0x1.2e6b798ce0868p-1, -0x1.2d89a46a2f1c2p-1, -0x1.2c9bc9774c28bp-1, -0x1.2ba1e4c298983p-1, -0x1.2a9bf83c4931bp-1, -0x1.298a0b7ba9731p-1, -0x1.286c2b826d725p-1, -0x1.27426a7e91a66p-1, -0x1.260cdf8b3f569p-1, -0x1.24cba6711f3ebp-1, -0x1.237edf667501p-1, -0x1.2226aecf59291p-1, -0x1.20c33cfe58c7p-1, -0x1.1f54b5f5c058bp-1, -0x1.1ddb4929c2614p-1, -0x1.1c572943b2a44p-1, -0x1.1ac88be67b2d2p-1, -0x1.192fa9746fa53p-1, -0x1.178cbcd69ff37p-1, -0x1.15e00345bd809p-1, -0x1.1429bc14ad4a6p-1, -0x1.126a287cd1fd4p-1, -0x1.10a18b6c1de95p-1, -0x1.0ed02954f1a97p-1, -0x1.0cf647ffd1298p-1, -0x1.0b142e5eef7cp-1, -0x1.092a246392d13p-1, -0x1.073872d54e94ap-1, -0x1.053f632b126p-1, -0x1.033f3f6605ap-1, -0x1.013851ee2b84cp-1, -0x1.fe55cae1922d9p-2, -0x1.fa2e8981000aap-2, -0x1.f5fb756e35546p-2, -0x1.f1bd2431f42c5p-2, -0x1.ed742af4406c5p-2, -0x1.e9211e4988129p-2, -0x1.e4c49202d935dp-2, -0x1.e05f1900ffaf1p-2, -0x1.dbf1450a79526p-2, -0x1.d77ba6a42733cp-2, -0x1.d2fecceca3c83p-2, -0x1.ce7b457a1ffa9p-2, -0x1.c9f19c3aba029p-2, -0x1.c5625b5729edep-2, -0x1.c0ce0b17b242ep-2, -0x1.bc3531cb3c8dap-2, -0x1.b79853b089a5fp-2, -0x1.b2f7f2e15c9d3p-2, -0x1.ae548f3f90ef1p-2, -0x1.a9aea663fbda4p-2, -0x1.a506b38f0fa4ep-2, -0x1.a05d2f9b1fdp-2, -0x1.9bb290f03c1d1p-2, -0x1.97074b7988017p-2, -0x1.925bd09c01c7ap-2, -0x1.8db08f2e9da8p-2, -0x1.8905f373b0036p-2, -0x1.845c671389b86p-2, -0x1.7fb451183c75bp-2, -0x1.7b0e15ea75e21p-2, -0x1.766a174f6003ap-2, -0x1.71c8b4677da82p-2, -0x1.6d2a49ae6d437p-2, -0x1.688f30fb8905ep-2, -0x1.63f7c183599e1p-2, -0x1.5f644fd9c6176p-2, -0x1.5ad52df4fff62p-2, -0x1.564aab311672dp-2, -0x1.51c514542dc26p-2, -0x1.4d44b393462ebp-2, -0x1.48c9d09795335p-2, -0x1.4454b0845c62dp-2, -0x1.3fe595fd385d5p-2, -0x1.3b7cc12ce290cp-2, -0x1.371a6fcc56cf8p-2, -0x1.32bedd2a5c4bcp-2, -0x1.2e6a42335f0f8p-2, -0x1.2a1cd579a39cep-2, -0x1.25d6cb3dba549p-2, -0x1.219855773a8bdp-2, -0x1.1d61a3ddbac54p-2, -0x1.1932e3f1fc5ddp-2, -0x1.150c410748ecep-2, -0x1.10ede44cfb9f8p-2, -0x1.0cd7f4d831b7dp-2, -0x1.08ca97ad98138p-2, -0x1.04c5efcb59aeap-2, -0x1.00ca1e332656cp-2, -0x1.f9ae83e89347ap-3, -0x1.f1daf06ba9b5bp-3, -0x1.ea19b881adc5fp-3, -0x1.e26b0f1531415p-3, -0x1.dacf237dc5fbcp-3, -0x1.d346219489e46p-3, -0x1.cbd031c8b5b97p-3, -0x1.c46d79341f6b8p-3, -0x1.bd1e19afb739dp-3, -0x1.b5e231e7f0936p-3, -0x1.aeb9dd711338p-3, -0x1.a7a534db781eap-3, -0x1.a0a44dc7a0888p-3, -0x1.99b73afa33928p-3, -0x1.92de0c6fcfcaep-3, -0x1.8c18cf70b532fp-3, -0x1.85678ea447aa3p-3, -0x1.7eca522459f0cp-3, -0x1.78411f904d8e5p-3, -0x1.71cbfa1ffed51p-3, -0x1.6b6ae2b6726f8p-3, -0x1.651dd7f4536f6p-3, -0x1.5ee4d64a33c9ap-3, -0x1.58bfd80a89179p-3, -0x1.52aed57b77352p-3, -0x1.4cb1c4e850fb4p-3, -0x1.46c89ab2d9a6p-3, -0x1.40f349644d0dap-3, -0x1.3b31c1be136ebp-3, -0x1.3583f2ca406acp-3, -0x1.2fe9c9ebc2dfap-3, -0x1.2a6332ee52c59p-3, -0x1.24f01816152acp-3, -0x1.1f90622efe35bp-3, -0x1.1a43f89be3fe3p-3, -0x1.150ac1654daafp-3, -0x1.0fe4a147f98d2p-3, -0x1.0ad17bc31b1bbp-3, -0x1.05d1332649c4p-3, -0x1.00e3a89f32285p-3, -0x1.f811788de79afp-4, -0x1.ee809a5e7b644p-4, -0x1.e51472de35b4p-4, -0x1.dbccbc5efb83ep-4, -0x1.d2a92f6efcd8ap-4, -0x1.c9a982f0a5dffp-4, -0x1.c0cd6c320351fp-4, -0x1.b8149f039149cp-4, -0x1.af7ecdce862d6p-4, -0x1.a70ba9aa880cap-4, -0x1.9ebae272e1941p-4, -0x1.968c26db24cf2p-4, -0x1.8e7f24834646dp-4, -0x1.8693880b38966p-4, -0x1.7ec8fd25f952bp-4, -0x1.771f2eac1fa2ap-4, -0x1.6f95c6ade49c7p-4, -0x1.682c6e84ac186p-4, -0x1.60e2cee40df8p-4, -0x1.59b88fea60f0bp-4, -0x1.52ad5930c922bp-4, -0x1.4bc0d1dacd4d7p-4, -0x1.44f2a0a57165ep-4, -0x1.3e426bf5dba81p-4, -0x1.37afd9e784acep-4, -0x1.313a9059f1cep-4, -0x1.2ae234fe01964p-4, -0x1.24a66d62c49dcp-4, -0x1.1e86df01ecd86p-4, -0x1.18832f4bcd2ep-4, -0x1.129b03b2f11aep-4, -0x1.0cce01b74d65bp-4, -0x1.071bcef107fc9p-4, -0x1.0184111add2p-4, -0x1.f80cdc3843bbdp-5, -0x1.ed451824cebdbp-5, -0x1.e2b022b57ae4cp-5, -0x1.d84d493536c5ap-5, -0x1.ce1bd990d7cb4p-5, -0x1.c41b226782e11p-5, -0x1.ba4a731a66f24p-5, -0x1.b0a91bdbce879p-5, -0x1.a7366dbd8bac9p-5, -0x1.9df1babebd68ep-5, -0x1.94da55d8fdeebp-5, -0x1.8bef930cee961p-5, -0x1.8330c76e33968p-5, -0x1.7a9d492ed4f11p-5, -0x1.72346faa16224p-5, -0x1.69f5936ebc2a2p-5, -0x1.61e00e48cfa3ap-5, -0x1.59f33b4ad4ef5p-5, -0x1.522e76d685b47p-5, -0x1.4a911ea509417p-5, -0x1.431a91ceb4f25p-5, -0x1.3bca30d2527f4p-5, -0x1.349f5d9bf121ep-5, -0x1.2d997b8b478bcp-5, -0x1.26b7ef79a8ca2p-5, -0x1.1ffa1fbf89475p-5, -0x1.195f7439a0391p-5, -0x1.12e7564da4c95p-5, -0x1.0c9130eea69d5p-5, -0x1.065c70a1086c8p-5, -0x1.0048837e1fdp-5, -0x1.f4a9b26ef8d0ep-6, -0x1.e901c633a92e5p-6, -0x1.dd98281f48eb2p-6, -0x1.d26bc146f43aep-6, -0x1.c77b7e03e58ep-6, -0x1.bcc64df6d2e2ap-6, -0x1.b24b240acdd28p-6, -0x1.a808f6777e443p-6, -0x1.9dfebec2e6e3cp-6, -0x1.942b79c299594p-6, -0x1.8a8e279c7d6e3p-6, -0x1.8125cbc708a46p-6, -0x1.77f16d0914b1bp-6, -0x1.6ef01579396dfp-6, -0x1.6620d27cbd338p-6, -0x1.5d82b4c622071p-6, -0x1.5514d05342dd7p-6, -0x1.4cd63c6b20a7bp-6, -0x1.44c6139b47ef6p-6, -0x1.3ce373b4dfe41p-6, -0x1.352d7dc969e53p-6, -0x1.2da3562730d36p-6, -0x1.264424555f033p-6, -0x1.1f0f130fda7c8p-6, -0x1.18035042d539ep-6, -0x1.11200d06170a1p-6, -0x1.0a647d980a386p-6, -0x1.03cfd9588dcdbp-6, -0x1.fac2b5871c3a8p-7, -0x1.ee307ed6c46aep-7, -0x1.e1e78fe5f5be5p-7, -0x1.d5e6700fc386dp-7, -0x1.ca2bacb80d354p-7, -0x1.beb5d93ec5aecp-7, -0x1.b3838ef2e4c8fp-7, -0x1.a8936d05207a7p-7, -0x1.9de4187a44efap-7, -0x1.93743c1d4be1fp-7, -0x1.8942887156617p-7, -0x1.7f4db3a341496p-7, -0x1.7594797b1d8eep-7, -0x1.6c159b4d78b68p-7, -0x1.62cfdfec6cfd6p-7, -0x1.59c213988cebap-7, -0x1.50eb07f1ae87ap-7, -0x1.484993e789806p-7, -0x1.3fdc93aa427bdp-7, -0x1.37a2e89ada87bp-7, -0x1.2f9b793b7edfap-7, -0x1.27c5311fc61f7p-7, -0x1.201f00dce9a91p-7, -0x1.18a7ddf9de876p-7, -0x1.115ec2df6d31p-7, -0x1.0a42aec83c7c5p-7, -0x1.0352a5b0de201p-7, -0x1.f91b608f9a89ep-8, -0x1.ebe5b7bae768ep-8, -0x1.df0274a851655p-8, -0x1.d26fc4207a251p-8, -0x1.c62bdbd0108dp-8, -0x1.ba34fa27f15b7p-8, -0x1.ae89663d6e526p-8, -0x1.a3276faa9c237p-8, -0x1.980d6e6ebf51ap-8, -0x1.8d39c2cee033bp-8, -0x1.82aad536760aep-8, -0x1.785f16183f6afp-8, -0x1.6e54fdcf3a288p-8, -0x1.648b0c7fca49ap-8, -0x1.5affc9f90e46cp-8, -0x1.51b1c59661be1p-8, -0x1.489f96211d3a7p-8, -0x1.3fc7d9b27bfbp-8, -0x1.37293595b6a51p-8, -0x1.2ec2562a6de66p-8, -0x1.2691eec72c2c4p-8, -0x1.1e96b99c57f1dp-8, -0x1.16cf77972d179p-8, -0x1.0f3af0451a6f6p-8, -0x1.07d7f1b75282fp-8, -0x1.00a55066a2b92p-8, -0x1.f343ce2f1ee11p-9, -0x1.e5992d7d7c25fp-9, -0x1.d8488ccb38795p-9, -0x1.cb4fc61e8a316p-9, -0x1.beacbf3b858fep-9, -0x1.b25d696f354f3p-9, -0x1.a65fc15b0c215p-9, -0x1.9ab1cec158036p-9, -0x1.8f51a451d7e8cp-9, -0x1.843d5f7731736p-9, -0x1.79732824fcfb9p-9, -0x1.6ef130a648ef3p-9, -0x1.64b5b56cddb99p-9, -0x1.5abefce10ef72p-9, -0x1.510b5732358c1p-9, -0x1.47991e27b3a7ap-9, -0x1.3e66b4f295d6cp-9, -0x1.357287ffe05a7p-9, -0x1.2cbb0ccb7e9f6p-9, -0x1.243ec1b3b8206p-9, -0x1.1bfc2dcd7bc56p-9, -0x1.13f1e0b8efefep-9, -0x1.0c1e7276e6864p-9, -0x1.0480833ed1599p-9, -0x1.fa2d76aaaf17fp-10, -0x1.ebbf95c72b147p-10, -0x1.ddb4d39dc05fdp-10, -0x1.d00aaf2283639p-10, -0x1.c2beb624d3df5p-10, -0x1.b5ce85028bf13p-10, -0x1.a937c65c89e4dp-10, -0x1.9cf832cc483a1p-10, -0x1.910d909a9ca7ap-10, -0x1.8575b377cb23bp-10, -0x1.7a2e7c34831cp-10, -0x1.6f35d87c190f7p-10, -0x1.6489c29019cd3p-10, -0x1.5a284104af1ffp-10, -0x1.500f667e4c1b4p-10, -0x1.463d5170ac4ebp-10, -0x1.3cb02bde8eff7p-10, -0x1.33662b1ab7c45p-10, -0x1.2a5d8f8a107cfp-10, -0x1.2194a466bc3aap-10, -0x1.1909bf844a63ap-10, -0x1.10bb41150e92dp-10, -0x1.08a79370846e1p-10, -0x1.00cd2ada8847ep-10, -0x1.f2550a979b6bp-11, -0x1.e37c54762d593p-11, -0x1.d50d54cf3eb2dp-11, -0x1.c7053f493a7abp-11, -0x1.b961594ac644fp-11, -0x1.ac1ef995838cbp-11, -0x1.9f3b87e2a2086p-11, -0x1.92b47c8113b41p-11, -0x1.86875ff5d39bp-11, -0x1.7ab1ca9db799p-11, -0x1.6f31645187f8dp-11, -0x1.6403e40b450a3p-11, -0x1.59270f8dde7e1p-11, -0x1.4e98bb0e287dap-11, -0x1.4456c8ddc6016p-11, -0x1.3a5f29173530cp-11, -0x1.30afd94c747c1p-11, -0x1.2746e43643175p-11, -0x1.1e226165d9c27p-11, -0x1.154074f7c4065p-11, -0x1.0c9f4f4849972p-11, -0x1.043d2ca9ca42dp-11, -0x1.f830aa37c6d2p-12, -0x1.e85e3809c0889p-12, -0x1.d8ffbfd7a713bp-12, -0x1.ca121469925fdp-12, -0x1.bb921dbc41156p-12, -0x1.ad7cd87e6f761p-12, -0x1.9fcf5591491d1p-12, -0x1.9286b98bcd196p-12, -0x1.85a03c3f8c5bbp-12, -0x1.79192841e48fcp-12, -0x1.6ceeda75a4579p-12, -0x1.611ec1997fb64p-12, -0x1.55a65dd6fe137p-12, -0x1.4a8340556128ep-12, -0x1.3fb30acdc6495p-12, -0x1.35336f22d96fcp-12, -0x1.2b022ef966c89p-12, -0x1.211d1b5472c07p-12, -0x1.178214327d1cfp-12, -0x1.0e2f082dcb274p-12, -0x1.0521f41e9178cp-12, -0x1.f8b1c57e28c3ap-13, -0x1.e7a3d8a384232p-13, -0x1.d7166c945dc33p-13, -0x1.c705e5ed84583p-13, -0x1.b76ec25aebd2fp-13, -0x1.a84d97f2dc0d9p-13, -0x1.999f14970fe2fp-13, -0x1.8b5ffd57d2fb1p-13, -0x1.7d8d2ddc2b39fp-13, -0x1.702397cbfd48bp-13, -0x1.6320423ef765fp-13, -0x1.5680492ef19ecp-13, -0x1.4a40dcec650e4p-13, -0x1.3e5f4196ddd44p-13, -0x1.32d8ce990db07p-13, -0x1.27aaee26ef564p-13, -0x1.1cd31cc01a82fp-13, -0x1.124ee8b4e258dp-13, -0x1.081bf1ad1a2a8p-13, -0x1.fc6fd068d66dbp-14, -0x1.e9411a8d73687p-14, -0x1.d6a763c26307p-14, -0x1.c49e6d293e803p-14, -0x1.b322163724fa1p-14, -0x1.a22e5be43c7f3p-14, -0x1.91bf57e334458p-14, -0x1.81d13fda14393p-14, -0x1.726064a1fbd99p-14, -0x1.6369318d3660fp-14, -0x1.54e82baec2629p-14, -0x1.46d9f128947b3p-14, -0x1.393b387cfe2c5p-14, -0x1.2c08cfe51c8ffp-14, -0x1.1f3f9caaa2569p-14, -0x1.12dc9a8882acep-14, -0x1.06dcdb0c5ebp-14, -0x1.f67b09fa4dbb5p-15, -0x1.dff7a78ea729ap-15, -0x1.ca2a2dd5d12fap-15, -0x1.b50d62dafd9a4p-15, -0x1.a09c32a2874f2p-15, -0x1.8cd1ae18b0111p-15, -0x1.79a90a0e2eda7p-15, -0x1.671d9e38e11adp-15, -0x1.552ae43b69a71p-15, -0x1.43cc76b15a4f7p-15, -0x1.32fe10443ff5dp-15, -0x1.22bb8ac9406e3p-15, -0x1.1300de5db0485p-15, -0x1.03ca208f03675p-15, -0x1.ea27070df1f66p-16, -0x1.cdb2aa767e766p-16, -0x1.b22ffd4ce7847p-16, -0x1.97980608e9848p-16, -0x1.7de3fe27b49fbp-16, -0x1.650d50b8f52ebp-16, -0x1.4d0d98f5eda39p-16, -0x1.35dea0ea6494fp-16, -0x1.1f7a6016dda71p-16, -0x1.09dafa2896ab4p-16, -0x1.e9f57b6b86c15p-17, -0x1.c1a845ff9febcp-17, -0x1.9ac395913e34fp-17, -0x1.753cfa47270d3p-17, -0x1.510a50afc9752p-17, -0x1.2e21bf89b56a4p-17, -0x1.0c79b5a46d77p-17, -0x1.d811cfa5cf45dp-18, -0x1.998c9dc521367p-18, -0x1.5d524b40bdff6p-18, -0x1.2351cde7a9ab7p-18, -0x1.d6f53006df2ep-19, -0x1.6b792985a7462p-19, -0x1.0410496c2a7d8p-19, -0x1.41386993c226dp-20, -0x1.03fdb80ed4038p-21, 0x1.ae2b19dcb4dcap-23, 0x1.cc980078da324p-21, 0x1.8fcb11da5f1bcp-20, 0x1.193b92bf13a9dp-19, 0x1.6741a5688385ep-19, 0x1.b2108f5806fa9p-19, 0x1.f9c06b0a8df37p-19, 0x1.1f34521f9fc48p-18, 0x1.400ffe92f6d9dp-18, 0x1.5f7e49a13fcc3p-18, 0x1.7d89f223a784bp-18, 0x1.9a3d695b71bbp-18, 0x1.b5a2d5343f403p-18, 0x1.cfc4127f4a8f1p-18, 0x1.e8aab71452bp-18, 0x1.003009f47499dp-17, 0x1.0b769b894a945p-17, 0x1.162d76dbf7b9ap-17, 0x1.2058e2ff331d9p-17, 0x1.29fd086eec616p-17, 0x1.331df1f5323bfp-17, 0x1.3bbf8d8a9db5p-17, 0x1.43e5ad2b38ecep-17, 0x1.4b9407a5685bbp-17, 0x1.52ce39699271fp-17, 0x1.5997c55056d73p-17, 0x1.5ff4155724dbep-17, 0x1.65e67b5a00e89p-17, 0x1.6b7231c925879p-17, 0x1.709a5c568dc81p-17, 0x1.7562089e1f557p-17, 0x1.79cc2ecd4a33bp-17, 0x1.7ddbb2409eea2p-17, 0x1.8193621e2dc75p-17, 0x1.84f5f9ea9a05ep-17, 0x1.88062218d549bp-17, 0x1.8ac6709da502bp-17, 0x1.8d3969741185ep-17, 0x1.8f617f21ab5b1p-17, 0x1.9141133ab247bp-17, 0x1.92da76db5364dp-17, 0x1.942feb22978e9p-17, 0x1.9543a1a4cbeb8p-17, 0x1.9617bce2dd3a2p-17, 0x1.96ae50b300451p-17, 0x1.970962aeb9336p-17, 0x1.972aea98b7bcap-17, 0x1.9714d2c16955fp-17, 0x1.96c8f86a65618p-17, 0x1.96492c2407369p-17, 0x1.95973228121ep-17, 0x1.94b4c2b41ba97p-17, 0x1.93a38a5e57c56p-17, 0x1.92652a69574c9p-17, 0x1.90fb391528787p-17, 0x1.8f6741ed8faf7p-17, 0x1.8daac615d8f3fp-17, 0x1.8bc73c9268dd3p-17, 0x1.89be12919f2f5p-17, 0x1.8790abae997a3p-17, 0x1.85406236b0ad5p-17, 0x1.82ce876903602p-17, 0x1.803c63b805798p-17, 0x1.7d8b37022ad22p-17, 0x1.7abc38d1f1c01p-17, 0x1.77d098943d68ap-17, 0x1.74c97dd187db2p-17, 0x1.71a8086390e3ap-17, 0x1.6e6d50aa3ec88p-17, 0x1.6b1a67bc6ba2dp-17, 0x1.67b0579b736fep-17, 0x1.6430236333544p-17, 0x1.609ac776def11p-17, 0x1.5cf139ad32dfap-17, 0x1.5934697f08c8dp-17, 0x1.5565402f1d22p-17, 0x1.5184a0f3f5ab4p-17, 0x1.4d93691f06325p-17, 0x1.49927043a32e9p-17, 0x1.4582885c6aa42p-17, 0x1.41647def55749p-17, 0x1.3d391832102bp-17, 0x1.3901192a0d3a2p-17, 0x1.34bd3dcf27d11p-17, 0x1.306e3e2d4d147p-17, 0x1.2c14cd80f3bc8p-17, 0x1.27b19a552fb93p-17, 0x1.23454ea254f21p-17, 0x1.1ed08fec92627p-17, 0x1.1a53ff5cf0ab7p-17, 0x1.15d039dc3f403p-17, 0x1.1145d82e1f8c9p-17, 0x1.0cb56f09d115ep-17, 0x1.081f8f32dc771p-17, 0x1.0384c591fb9c1p-17, 0x1.fdcb36995b2d9p-18, 0x1.f4852bb394105p-18, 0x1.eb386e34595f2p-18, 0x1.e1e5fada943f6p-18, 0x1.d88ec78702cb5p-18, 0x1.cf33c366bdf47p-18, 0x1.c5d5d71e0d827p-18, 0x1.bc75e4efccf78p-18, 0x1.b314c8dc46ce7p-18, 0x1.a9b358c9799d4p-18, 0x1.a05264a465effp-18, 0x1.96f2b682c9f42p-18, 0x1.8d9512c6ee0bdp-18, 0x1.843a383d7c0f6p-18, 0x1.7ae2e0434b323p-18, 0x1.718fbedb730e6p-18, 0x1.684182d5448p-18, 0x1.5ef8d5e53f234p-18, 0x1.55b65cbf0e42fp-18, 0x1.4c7ab7339b7aep-18, 0x1.4346804c90799p-18, 0x1.3a1a4e69f60d8p-18, 0x1.30f6b356d68b7p-18, 0x1.27dc3c63c10dbp-18, 0x1.1ecb727fed59ep-18, 0x1.15c4da4f23b02p-18, 0x1.0cc8f442cd173p-18, 0x1.03d83cafd3634p-18, 0x1.f5e657cf1dd73p-19, 0x1.e4346c9798dc9p-19, 0x1.d29b98c68c7c8p-19, 0x1.c11cb5dfc88bbp-19, 0x1.afb895ff7b7dap-19, 0x1.9e700405ef916p-19, 0x1.8d43c3b8dcb57p-19, 0x1.7c3491f3e4e1ep-19, 0x1.6b4324c81e94bp-19, 0x1.5a702b9e05d02p-19, 0x1.49bc4f59d2739p-19, 0x1.3928327f015bdp-19, 0x1.28b4714f151cep-19, 0x1.1861a1ee631aep-19, 0x1.08305480b415fp-19, 0x1.f04226a8704ddp-20, 0x1.d068c5e90a644p-20, 0x1.b0d5849e411c2p-20, 0x1.9189559a012b4p-20, 0x1.728520e28bc63p-20, 0x1.53c9c3ee21aefp-20, 0x1.355811d19da35p-20, 0x1.1730d385e41bbp-20, 0x1.f2a9904302d88p-21, 0x1.b78949ef3139ap-21, 0x1.7d022bb970665p-21, 0x1.43157aabadf33p-21, 0x1.09c4698d00e14p-21, 0x1.a22032940f4bfp-22, 0x1.31f3329f5fadbp-22, 0x1.8607a02eec55p-23, 0x1.554f99791318bp-24, -0x1.71ad0037dbd4cp-26, -0x1.048d70f4a1122p-23, -0x1.d85cafe0d4ea5p-23, -0x1.54d051ee0f921p-22, -0x1.bc2b681759d0ep-22, -0x1.111f3cbae2e22p-21, -0x1.438440d1d1499p-21, -0x1.75444c3088474p-21, -0x1.a65ef87d4ae2ap-21, -0x1.d6d3ecc69dc1bp-21, -0x1.03516e9f37ea9p-20, -0x1.1ae5c578ebdc3p-20, -0x1.3226e1bf8ce6fp-20, -0x1.4914b062db7bfp-20, -0x1.5faf24436c2fap-20, -0x1.75f63622075edp-20, -0x1.8be9e476ebdaap-20, -0x1.a18a334c116d4p-20, -0x1.b6d72c245967ep-20, -0x1.cbd0ddd543583p-20, -0x1.e0775c64172f6p-20, -0x1.f4cac0ec86d9fp-20, -0x1.046594b9a4665p-19, -0x1.0e3c5c68fa13bp-19, -0x1.17e9cb4d5de8cp-19, -0x1.216df7790c678p-19, -0x1.2ac8f93b497f2p-19, -0x1.33faeb114760ap-19, -0x1.3d03e99948993p-19, -0x1.45e413832cf95p-19, -0x1.4e9b897d11b6cp-19, -0x1.572a6e2bcb778p-19, -0x1.5f90e61d69525p-19, -0x1.67cf17b8b2c59p-19, -0x1.6fe52b348be88p-19, -0x1.77d34a8878854p-19, -0x1.7f99a1623445bp-19, -0x1.87385d14726f7p-19, -0x1.8eafac918bb6bp-19, -0x1.95ffc0568b6d6p-19, -0x1.9d28ca6552692p-19, -0x1.a42afe3a04871p-19, -0x1.ab0690bb3f1b1p-19, -0x1.b1bbb8314005cp-19, -0x1.b84aac3b3d50dp-19, -0x1.beb3a5c51f5edp-19, -0x1.c4f6def952f1dp-19, -0x1.cb14933619497p-19, -0x1.d10cff0630e01p-19, -0x1.d6e06015e58bap-19, -0x1.dc8ef525b20b9p-19, -0x1.e218fe0679e29p-19, -0x1.e77ebb8c03b11p-19, -0x1.ecc06f838130dp-19, -0x1.f1de5ca9b939dp-19, -0x1.f6d8c6a568563p-19, -0x1.fbaff1f7890ffp-19, -0x1.003211fb2c1dep-18, -0x1.027ad16289d59p-18, -0x1.04b25aa5a688ep-18, -0x1.06d8d1943d66fp-18, -0x1.08ee5a5895af4p-18, -0x1.0af319721e5bap-18, -0x1.0ce733b12800dp-18, -0x1.0ecace3247ed9p-18, -0x1.109e0e5b3b352p-18, -0x1.126119d82844ep-18, -0x1.14141695c1c97p-18, -0x1.15b72abe671e8p-18, -0x1.174a7cb7c9e7ep-18, -0x1.18ce331ddf0cdp-18, -0x1.1a4274c009d18p-18, -0x1.1ba7689ce1893p-18, -0x1.1cfd35e05fce5p-18, -0x1.1e4403dead2cap-18, -0x1.1f7bfa11c4ff6p-18, -0x1.20a54016f9e54p-18, -0x1.21bffdaae17e4p-18, -0x1.22cc5aa5f8572p-18, -0x1.23ca7efaae689p-18, -0x1.24ba92b2b47dep-18, -0x1.259cbdea43143p-18, -0x1.267128ced53b4p-18, -0x1.2737fb9b6ba82p-18, -0x1.27f15e9717bd5p-18, -0x1.289d7a11a7882p-18, -0x1.293c76606f6eap-18, -0x1.29ce7bdc9788cp-18, -0x1.2a53b2e0d0807p-18, -0x1.2acc43c5c3519p-18, -0x1.2b3856e0ab04fp-18, -0x1.2b981480ea6f3p-18, -0x1.2beba4ed81f14p-18, -0x1.2c3330626c25ap-18, -0x1.2c6edf0f0b81bp-18, -0x1.2c9ed915375b5p-18, -0x1.2cc34683c0cddp-18, -0x1.2cdc4f576366p-18, -0x1.2cea1b77fae65p-18, -0x1.2cecd2b7247fbp-18, -0x1.2ce49ccbfb949p-18, -0x1.2cd1a1549cd03p-18, -0x1.2cb407d14b4dbp-18, -0x1.2c8bf7a533261p-18, -0x1.2c599813c948fp-18, -0x1.2c1d103eb7201p-18, -0x1.2bd687243aee9p-18, -0x1.2b86239e038cbp-18, -0x1.2b2c0c5f4abd3p-18, -0x1.2ac867f3b8675p-18, -0x1.2a5b5cbdcd56ap-18, -0x1.29e510f579ca2p-18, -0x1.2965aaa6a55p-18, -0x1.28dd4fafd8114p-18, -0x1.284c25c1cfe26p-18, -0x1.27b2525cde181p-18, -0x1.270ffacf92d67p-18, -0x1.26654436c0871p-18, -0x1.25b2537c86d98p-18, -0x1.24f74d5618a52p-18, -0x1.2434564238872p-18, -0x1.2369928a0ec08p-18, -0x1.2297263e6225cp-18, -0x1.21bd3538baa7ep-18, -0x1.20dbe318ef951p-18, -0x1.1ff35344104d1p-18, -0x1.1f03a8e3fd117p-18, -0x1.1e0d06e627f35p-18, -0x1.1d0f8ffb6ec7ap-18, -0x1.1c0b66969eb02p-18, -0x1.1b00acecbb96cp-18, -0x1.19ef84f373dc9p-18, -0x1.18d81060ed0b5p-18, -0x1.17ba70aae4bebp-18, -0x1.1696c70612672p-18, -0x1.156d3465b167p-18, -0x1.143dd97a0b3ccp-18, -0x1.1308d6b0e06d8p-18, -0x1.11ce4c353ab0fp-18, -0x1.108e59ee84571p-18, -0x1.0f491f7f1913cp-18, -0x1.0dfebc44e2cadp-18, -0x1.0caf4f5840d37p-18, -0x1.0b5af78d6bef3p-18, -0x1.0a01d37345eacp-18, -0x1.08a401518e77ap-18, -0x1.07419f29d6264p-18, -0x1.05dacab6ab206p-18, -0x1.046fa16b8b9ccp-18, -0x1.03004074b08cep-18, -0x1.018cc4b6beed1p-18, -0x1.00154ace9e8ccp-18, -0x1.fd33de243f00bp-19, -0x1.fa359b1dace1cp-19, -0x1.f730041492919p-19, -0x1.f4235002aa003p-19, -0x1.f10fb5512ec81p-19, -0x1.edf569d7d3db3p-19, -0x1.ead4a2dd22a0dp-19, -0x1.e7ad95176beb1p-19, -0x1.e48074abf05eap-19, -0x1.e14d752db9e01p-19, -0x1.de14c99d9e764p-19, -0x1.dad6a46ab8312p-19, -0x1.d7933774af6cdp-19, -0x1.d44ab40c8b7f6p-19, -0x1.d0fd4af014666p-19, -0x1.cdab2c4b8e139p-19, -0x1.ca5487bb78559p-19, -0x1.c6f98c4afa2b1p-19, -0x1.c39a6874a1b92p-19, -0x1.c0374a23d8afbp-19, -0x1.bcd05eb4139bep-19, -0x1.b965d2f097af2p-19, -0x1.b5f7d3195d16ep-19, -0x1.b2868add53e54p-19, -0x1.af12255e58e7fp-19, -0x1.ab9acd2efa63p-19, -0x1.a820ac55a5734p-19, -0x1.a4a3ec4ab243ep-19, -0x1.a124b5fb4fb9cp-19, -0x1.9da331c90534ep-19, -0x1.9a1f878a27021p-19, -0x1.9699de899785cp-19, -0x1.93125d87293b3p-19, -0x1.8f892ab87b7d7p-19, -0x1.8bfe6bcb88dp-19, -0x1.887245e9b6475p-19, -0x1.84e4ddb15f667p-19, -0x1.8156573a0d40ep-19, -0x1.7dc6d613d19cfp-19, -0x1.7a367d4a639eap-19, -0x1.76a56f62e35adp-19, -0x1.7313ce5f3027cp-19, -0x1.6f81bbbd2658ep-19, -0x1.6bef58771ea46p-19, -0x1.685cc5072b16bp-19, -0x1.64ca2167350c4p-19, -0x1.61378d0efb916p-19, -0x1.5da526f651897p-19, -0x1.5a130d96db49fp-19, -0x1.56815eeb12b0ap-19, -0x1.52f038707d38fp-19, -0x1.4f5fb7293f81dp-19, -0x1.4bcff79c5b8ffp-19, -0x1.484115d5108bdp-19, -0x1.44b32d6476ed6p-19, -0x1.412659623f4afp-19, -0x1.3d9ab46db52dep-19, -0x1.3a1058afb52b6p-19, -0x1.36875fdeb7108p-19, -0x1.32ffe338e9dc4p-19, -0x1.2f79fb876f8c2p-19, -0x1.2bf5c11f9d9f2p-19, -0x1.28734be4a9f8bp-19, -0x1.24f2b347a23b4p-19, -0x1.21740e4943e71p-19, -0x1.1df77379e269ap-19, -0x1.1a7cf8fac507p-19, -0x1.1704b47f6d209p-19, -0x1.138ebb515ea95p-19, -0x1.101b224bf6d93p-19, -0x1.0ca9fddec445bp-19, -0x1.093b620fff424p-19, -0x1.05cf627c9ce67p-19, -0x1.02661258ac70bp-19, -0x1.fdff08e34560dp-20, -0x1.f737965fea14p-20, -0x1.f075f12c0aae2p-20, -0x1.e9ba3c8307b18p-20, -0x1.e3049ad8d3f4dp-20, -0x1.dc552ddc6b494p-20, -0x1.d5ac1679582a4p-20, -0x1.cf0974dc50553p-20, -0x1.c86d6879ddf4dp-20, -0x1.c1d81003c6ceap-20, -0x1.bb49896f6f1a5p-20, -0x1.b4c1f1faab22p-20, -0x1.ae41662c0ff6dp-20, -0x1.a7c801d4b3ed5p-20, -0x1.a155e0131e51ep-20, -0x1.9aeb1b53553e8p-20, -0x1.9487cd53e7b95p-20, -0x1.8e2c0f238aa84p-20, -0x1.87d7f92bd5618p-20, -0x1.818ba32a92bc3p-20, -0x1.7b47243367086p-20, -0x1.750a92b684c27p-20, -0x1.6ed604802dc0bp-20, -0x1.68a98eb9670e5p-20, -0x1.628545eccbb33p-20, }}, 
      {{-0x1.c8f09d03e0b88p-15, -0x1.d798a3c3625d2p-13, -0x1.15cd41b45338ap-11, -0x1.04cbb3b13b3a5p-10, -0x1.afcb3bbe01717p-10, -0x1.4946468adc15bp-9, -0x1.d942fff13698fp-9, -0x1.44e65eee3508fp-8, -0x1.adfbadf0e4381p-8, -0x1.13ff449f17e21p-7, -0x1.59541aaa2bc75p-7, -0x1.a6ada0bed6733p-7, -0x1.fb994f2a4b38ap-7, -0x1.2bc44b4700752p-6, -0x1.5cec34e3d398ap-6, -0x1.90ec1effa4ad4p-6, -0x1.c76829e82d83ap-6, -0x1.0001cc6dfb493p-5, -0x1.1d3191b6631e6p-5, -0x1.3b176df93aa39p-5, -0x1.5989d7e8bd2fp-5, -0x1.78624488192e9p-5, -0x1.977d8d3f3a2b1p-5, -0x1.b6bc305ae5351p-5, -0x1.d602714c854fep-5, -0x1.f5385ded6e1ebp-5, -0x1.0a24dee47fd52p-4, -0x1.1992f8077cae3p-4, -0x1.28dfde2bc2445p-4, -0x1.38068ceff734cp-4, -0x1.47037830e4666p-4, -0x1.55d46a92579ebp-4, -0x1.64786338d2d53p-4, -0x1.72ef73905e9ffp-4, -0x1.813a9dcbfe419p-4, -0x1.8f5bb49ee9a2fp-4, -0x1.9d553c8ce50a5p-4, -0x1.ab2a4f112da5fp-4, -0x1.b8de7fc337b46p-4, -0x1.c675c38d10c07p-4, -0x1.d3f459f838098p-4, -0x1.e15eb88a2815ep-4, -0x1.eeb9782161091p-4, -0x1.fc09443dde75p-4, -0x1.04a9660dda00ap-3, -0x1.0b4d5ac221383p-3, -0x1.11f2c89c9507p-3, -0x1.189be86de8332p-3, -0x1.1f4adf1a50098p-3, -0x1.2601b9df07f06p-3, -0x1.2cc26b2c4175dp-3, -0x1.338ec806c96a5p-3, -0x1.3a6885e54e34ap-3, -0x1.415138fe1052fp-3, -0x1.484a52fa63715p-3, -0x1.4f55220646c9bp-3, -0x1.5672d032f10bap-3, -0x1.5da46323ed8b3p-3, -0x1.64eabbfef454fp-3, -0x1.6c469797578fcp-3, -0x1.73b88ece57556p-3, -0x1.7b41172236636p-3, -0x1.82e0836667cdbp-3, -0x1.8a97049f9f54dp-3, -0x1.9264aafeeec3ap-3, -0x1.9a4966f77d3c6p-3, -0x1.a2450a6acd28dp-3, -0x1.aa5749e7ca1b6p-3, -0x1.b27fbdf929bf8p-3, -0x1.babde47ffda4ap-3, -0x1.c311221790609p-3, -0x1.cb78c37fe8bddp-3, -0x1.d3f3ff0c8ebf1p-3, -0x1.dc81f61563ec4p-3, -0x1.e521b667943fep-3, -0x1.edd23bb4dc78ap-3, -0x1.f69270ff8daafp-3, -0x1.ff613201dbc1ep-3, -0x1.041ea6479d237p-2, -0x1.0892c0f75538ep-2, -0x1.0d0c44167e25fp-2, -0x1.118a85b319379p-2, -0x1.160cd782a44f8p-2, -0x1.1a92877ce60d2p-2, -0x1.1f1ae0715c029p-2, -0x1.23a52a971daa2p-2, -0x1.2830ac17042bep-2, -0x1.2cbca9900479bp-2, -0x1.3148669596d11p-2, -0x1.35d3262831cabp-2, -0x1.3a5c2b27c52cdp-2, -0x1.3ee2b8c04618dp-2, -0x1.436612d049efdp-2, -0x1.47e57e49c81efp-2, -0x1.4c60418d154bep-2, -0x1.50d5a4be2ddfbp-2, -0x1.5544f214723dbp-2, -0x1.59ad7624f2fe3p-2, -0x1.5e0e80276f7d3p-2, -0x1.626762362fa17p-2, -0x1.66b77188dd5eep-2, -0x1.6afe06aa8f354p-2, -0x1.6f3a7dab22e57p-2, -0x1.736c364c20382p-2, -0x1.779294294c4c1p-2, -0x1.7bacfedd16535p-2, -0x1.7fbae22112855p-2, -0x1.83bbadeaac2ddp-2, -0x1.87aed6843de68p-2, -0x1.8b93d4a2ba357p-2, -0x1.8f6a2578132d4p-2, -0x1.93314ac28bb9ap-2, -0x1.96e8cad91db17p-2, -0x1.9a9030b51af15p-2, -0x1.9e270bf935eb7p-2, -0x1.a1acf0f618cfap-2, -0x1.a52178acae7c5p-2, -0x1.a88440ce437aap-2, -0x1.abd4ebbaa62acp-2, -0x1.af13207c60f47p-2, -0x1.b23e8ac33a059p-2, -0x1.b556dadd0c6a5p-2, -0x1.b85bc5ad23d56p-2, -0x1.bb4d04a231f76p-2, -0x1.be2a55aaf91aep-2, -0x1.c0f37b29ca5d2p-2, -0x1.c3a83be6ed818p-2, -0x1.c64863020cc2dp-2, -0x1.c8d3bfe2b6aadp-2, -0x1.cb4a262812f6dp-2, -0x1.cdab6d97d90c8p-2, -0x1.cff7720c9bca5p-2, -0x1.d22e136381913p-2, -0x1.d44f356972355p-2, -0x1.d65abfc7d1b44p-2, -0x1.d8509df0d4e2p-2, -0x1.da30bf0b7a2afp-2, -0x1.dbfb15df3a34fp-2, -0x1.ddaf98bf784a6p-2, -0x1.df4e4176bf504p-2, -0x1.e0d70d31d807ep-2, -0x1.e249fc6abd73dp-2, -0x1.e3a712d380f66p-2, -0x1.e4ee57411f0c3p-2, -0x1.e61fd39650812p-2, -0x1.e73b94ae5eba2p-2, -0x1.e841aa4803deap-2, -0x1.e93226f05914dp-2, -0x1.ea0d1fedddcfep-2, -0x1.ead2ad2b982f5p-2, -0x1.eb82e92459df8p-2, -0x1.ec1df0ce2515dp-2, -0x1.eca3e385c02a3p-2, -0x1.ed14e2fa74bc2p-2, -0x1.ed711319fc241p-2, -0x1.edb899fca5f24p-2, -0x1.edeb9fd1adee3p-2, -0x1.ee0a4ecbd32cap-2, -0x1.ee14d30e21b9dp-2, -0x1.ee0b5a9901502p-2, -0x1.edee15377e8d9p-2, -0x1.edbd346cd691cp-2, -0x1.ed78eb6245762p-2, -0x1.ed216ed5172efp-2, -0x1.ecb6f504fde9bp-2, -0x1.ec39b5a2ac264p-2, -0x1.eba9e9beb9238p-2, -0x1.eb07cbb8c5f34p-2, -0x1.ea53972ef0d6dp-2, -0x1.e98d88ed8be5ap-2, -0x1.e8b5dedf1e083p-2, -0x1.e7ccd7fcac132p-2, -0x1.e6d2b43e4a03ap-2, -0x1.e5c7b48bf6ff8p-2, -0x1.e4ac1aaec024dp-2, -0x1.e38029422beaap-2, -0x1.e24423a5f126fp-2, -0x1.e0f84deff473ep-2, -0x1.df9cecde8cd36p-2, -0x1.de3245cb154abp-2, -0x1.dcb89e9cbeb47p-2, -0x1.db303dbbb27e3p-2, -0x1.d9996a0474bbdp-2, -0x1.d7f46abb908e8p-2, -0x1.d64187818bcabp-2, -0x1.d48108471f3aep-2, -0x1.d2b33541b4cfep-2, -0x1.d0d856e02add5p-2, -0x1.cef0b5bfdc63ap-2, -0x1.ccfc9aa1ed848p-2, -0x1.cafc4e60db429p-2, -0x1.c8f019e64da95p-2, -0x1.c6d846212e212p-2, -0x1.c4b51bfbffbb7p-2, -0x1.c286e45376d3dp-2, -0x1.c04de7ed531a6p-2, -0x1.be0a6f6f78f34p-2, -0x1.bbbcc3574ccddp-2, -0x1.b9652bf1496c1p-2, -0x1.b703f150d8923p-2, -0x1.b4995b486634fp-2, -0x1.b225b161b3de7p-2, -0x1.afa93ad6653fp-2, -0x1.ad243e88cba2fp-2, -0x1.aa9702fce8d29p-2, -0x1.a801ce51aff4ep-2, -0x1.a564e63a7fap-2, -0x1.a2c08ff8d201p-2, -0x1.a015105629b5fp-2, -0x1.9d62ab9e32fdep-2, -0x1.9aa9a5991cc3bp-2, -0x1.97ea418629137p-2, -0x1.9524c21672567p-2, -0x1.92596967e4044p-2, -0x1.8f8879006b2edp-2, -0x1.8cb231c9553c6p-2, -0x1.89d6d40ae6ed2p-2, -0x1.86f69f681fcbfp-2, -0x1.8411d2dab3b85p-2, -0x1.8128acaf30dbap-2, -0x1.7e3b6a8158a2ap-2, -0x1.7b4a4938a522dp-2, -0x1.78558504fd1e5p-2, -0x1.755d595b97873p-2, -0x1.726200f4085aap-2, -0x1.6f63b5c57cfbap-2, -0x1.6c62b1041f419p-2, -0x1.695f2b1ea8066p-2, -0x1.66595bbc17178p-2, -0x1.635179b9955e9p-2, -0x1.6047bb2881434p-2, -0x1.5d3c554c9dcbfp-2, -0x1.5a2f7c9a6bf66p-2, -0x1.572164b5a9028p-2, -0x1.5412406ff05cbp-2, -0x1.510241c78279ap-2, -0x1.4df199e630a42p-2, -0x1.4ae0792068749p-2, -0x1.47cf0ef462e91p-2, -0x1.44bd8a0975cb3p-2, -0x1.41ac182f81abdp-2, -0x1.3e9ae65e84608p-2, -0x1.3b8a20b64502dp-2, -0x1.3879f27e223d5p-2, -0x1.356a8624fafcdp-2, -0x1.325c0541373bbp-2, -0x1.2f4e9890e6cb7p-2, -0x1.2c4267fa02dc7p-2, -0x1.29379a8ac18e6p-2, -0x1.262e567a099afp-2, -0x1.2326c127fb8e3p-2, -0x1.2020ff1e932f1p-2, -0x1.1d1d341262dacp-2, -0x1.1a1b82e361589p-2, -0x1.171c0d9dd04f6p-2, -0x1.141ef57b3a7a8p-2, -0x1.11245ae37f81p-2, -0x1.0e2c5d6dfaa1p-2, -0x1.0b371be2b8bfbp-2, -0x1.0844b43bc0f1fp-2, -0x1.055543a671b0bp-2, -0x1.0268e684ebb01p-2, -0x1.feff70df21004p-3, -0x1.f933a86d1afe4p-3, -0x1.f36ea7c6f287cp-3, -0x1.edb0a175ff17dp-3, -0x1.e7f9c67d30507p-3, -0x1.e24a465c9b7eap-3, -0x1.dca24f1521bfbp-3, -0x1.d7020d2c3089ap-3, -0x1.d169abaf958dcp-3, -0x1.cbd9543966d64p-3, -0x1.c6512ef40b6f9p-3, -0x1.c0d1629e49589p-3, -0x1.bb5a148f6f99p-3, -0x1.b5eb68bb8d89p-3, -0x1.b08581b7c016bp-3, -0x1.ab2880be84528p-3, -0x1.a5d485b427027p-3, -0x1.a089af2b33547p-3, -0x1.9b481a68f78ddp-3, -0x1.960fe36a1286fp-3, -0x1.90e124e70ad3bp-3, -0x1.8bbbf858f079dp-3, -0x1.86a075fe09362p-3, -0x1.818eb4de80459p-3, -0x1.7c86cad12360bp-3, -0x1.7788cc8021791p-3, -0x1.7294cd6dcf9f3p-3, -0x1.6daadff9724e1p-3, -0x1.68cb15640f83p-3, -0x1.63f57dd53b8dbp-3, -0x1.5f2a285fef8dcp-3, -0x1.5a6923075aa94p-3, -0x1.55b27ac3bcefdp-3, -0x1.51063b873c159p-3, -0x1.4c647042b74d7p-3, -0x1.47cd22eaa069bp-3, -0x1.43405c7bca6ecp-3, -0x1.3ebe250040111p-3, -0x1.3a4683940b3dep-3, -0x1.35d97e6a0733p-3, -0x1.31771ad0a0fedp-3, -0x1.2d1f5d369e286p-3, -0x1.28d2492fd707p-3, -0x1.248fe179f038bp-3, -0x1.205828010b4d2p-3, -0x1.1c2b1de47309fp-3, -0x1.1808c37b3fc57p-3, -0x1.13f11858f2135p-3, -0x1.0fe41b520c90cp-3, -0x1.0be1ca809b37fp-3, -0x1.07ea2348bf18cp-3, -0x1.03fd225d208ffp-3, -0x1.001ac3c36c0c1p-3, -0x1.f88605b1671bfp-4, -0x1.f0ebb4aba052bp-4, -0x1.e96688a7702b8p-4, -0x1.e1f6749f8813p-4, -0x1.da9b6a5ff031bp-4, -0x1.d3555a8e5813fp-4, -0x1.cc2434b281b4dp-4, -0x1.c507e73e6d33fp-4, -0x1.be005f967d825p-4, -0x1.b70d8a198efbbp-4, -0x1.b02f5228e0431p-4, -0x1.a965a22ff95ccp-4, -0x1.a2b063ac63483p-4, -0x1.9c0f7f3556cfp-4, -0x1.9582dc834c2f7p-4, -0x1.8f0a627771cccp-4, -0x1.88a5f723084ebp-4, -0x1.82557fcea3d62p-4, -0x1.7c18e10153b07p-4, -0x1.75effe87afd37p-4, -0x1.6fdabb7accd7cp-4, -0x1.69d8fa470f3a9p-4, -0x1.63ea9cb2ed072p-4, -0x1.5e0f83e58a625p-4, -0x1.5847906d43162p-4, -0x1.5292a24613eb5p-4, -0x1.4cf098dfeaae3p-4, -0x1.47615324d9b38p-4, -0x1.41e4af7f3153bp-4, -0x1.3c7a8bdf7e4f3p-4, -0x1.3722c5c26ced9p-4, -0x1.31dd3a368b914p-4, -0x1.2ca9c5e1fc0dep-4, -0x1.2788450800c0fp-4, -0x1.2278938e7217bp-4, -0x1.1d7a8d031d90dp-4, -0x1.188e0ca0ffcbbp-4, -0x1.13b2ed556ca6fp-4, -0x1.0ee909c516d2cp-4, -0x1.0a303c510247p-4, -0x1.05885f1b5796p-4, -0x1.00f14c0c20baap-4, -0x1.f8d5b9abcd2c6p-5, -0x1.efe9d5f4789ecp-5, -0x1.e71e9f9c5289p-5, -0x1.de73c8fcfb68cp-5, -0x1.d5e904281b158p-5, -0x1.cd7e02efa2a17p-5, -0x1.c53276eddc9dbp-5, -0x1.bd06118d4eed2p-5, -0x1.b4f88410671c9p-5, -0x1.ad097f98f7eebp-5, -0x1.a538b52f86b5p-5, -0x1.9d85d5ca6c53p-5, -0x1.95f09254c22efp-5, -0x1.8e789bb526525p-5, -0x1.871da2d44c85fp-5, -0x1.7fdf58a362647p-5, -0x1.78bd6e224cb97p-5, -0x1.71b79465ad48bp-5, -0x1.6acd7c9ccb07cp-5, -0x1.63fed8173fef7p-5, -0x1.5d4b584a8c0f9p-5, -0x1.56b2aed7710c1p-5, -0x1.50348d8f2ac3ep-5, -0x1.49d0a6787e1a6p-5, -0x1.4386abd49b10fp-5, -0x1.3d565023e3152p-5, -0x1.373f462a78116p-5, -0x1.314140f4b1cebp-5, -0x1.2b5bf3db68693p-5, -0x1.258f1288175d1p-5, -0x1.1fda50f8e0e8ap-5, -0x1.1a3d63846627cp-5, -0x1.14b7fedd84cbdp-5, -0x1.0f49d816e7162p-5, -0x1.09f2a4a67f10ap-5, -0x1.04b21a68d084p-5, -0x1.ff0fdf48557dp-6, -0x1.f4e7b61757a4p-6, -0x1.eaeb27847d14fp-6, -0x1.e119a2babcae4p-6, -0x1.d77297cfa582ap-6, -0x1.cdf577c87d1d3p-6, -0x1.c4a1b49f2a674p-6, -0x1.bb76c146f5a1p-6, -0x1.b27411b0eac34p-6, -0x1.a9991ad029954p-6, -0x1.a0e5529df7d5dp-6, -0x1.9858301d81c44p-6, -0x1.8ff12b5f89c52p-6, -0x1.87afbd85d4797p-6, -0x1.7f9360c660c3bp-6, -0x1.779b906e7b347p-6, -0x1.6fc7c8e58deap-6, -0x1.681787afd449dp-6, -0x1.608a4b70daa77p-6, -0x1.591f93edc8705p-6, -0x1.51d6e20f8aad5p-6, -0x1.4aafb7e4d4ffep-6, -0x1.43a998a3eff43p-6, -0x1.3cc408ac5c677p-6, -0x1.35fe8d8863edap-6, -0x1.2f58adee6879fp-6, -0x1.28d1f1c21eeb9p-6, -0x1.2269e215a44e2p-6, -0x1.1c20092a6340cp-6, -0x1.15f3f271eb4ap-6, -0x1.0fe52a8e94cd9p-6, -0x1.09f33f5404a32p-6, -0x1.041dbfc7a24e9p-6, -0x1.fcc87841b883cp-7, -0x1.f18c8b92a15b1p-7, -0x1.e686deb9c3d18p-7, -0x1.dbb699534dec6p-7, -0x1.d11ae55f8b089p-7, -0x1.c6b2ef4252e4cp-7, -0x1.bc7de5c26227p-7, -0x1.b27afa0866e35p-7, -0x1.a8a95f9dd36dap-7, -0x1.9f084c6bafc41p-7, -0x1.9596f8b905a47p-7, -0x1.8c549f295ab41p-7, -0x1.83407cbac553dp-7, -0x1.7a59d0c404439p-7, -0x1.719fdcf252b91p-7, -0x1.6911e5473b0d8p-7, -0x1.60af30161ed45p-7, -0x1.58770601a59cbp-7, -0x1.5068b1f9125dep-7, -0x1.488381357e265p-7, -0x1.40c6c336d399p-7, -0x1.3931c9c0d00d4p-7, -0x1.31c3e8d7e2564p-7, -0x1.2a7c76bdcb0e8p-7, -0x1.235acbee5bd97p-7, -0x1.1c5e431bdb065p-7, -0x1.1586392b967cbp-7, -0x1.0ed20d321ff74p-7, -0x1.0841206f9829bp-7, -0x1.01d2d64bda84p-7, -0x1.f70d28a51567dp-8, -0x1.eab7845e4c75bp-8, -0x1.dea39351f17bep-8, -0x1.d2d02d3dd4ad2p-8, -0x1.c73c2e06df0a7p-8, -0x1.bbe675b05e3bdp-8, -0x1.b0cde8538b83ep-8, -0x1.a5f16e16ca157p-8, -0x1.9b4ff324f333bp-8, -0x1.90e867a45ad3bp-8, -0x1.86b9bfadd7e67p-8, -0x1.7cc2f343c088fp-8, -0x1.7302fe48bbb31p-8, -0x1.6978e076b89e9p-8, -0x1.60239d5585eap-8, -0x1.57023c317b4fbp-8, -0x1.4e13c81235f09p-8, -0x1.45574fb13710ap-8, -0x1.3ccbe5703d4dap-8, -0x1.34709f5034b4p-8, -0x1.2c4496e72427cp-8, -0x1.2446e95712c72p-8, -0x1.1c76b74446f3fp-8, -0x1.14d324cbbc87fp-8, -0x1.0d5b597992df5p-8, -0x1.060e803f6b207p-8, -0x1.fdd78ed5caf3p-9, -0x1.efe4c137a6fe2p-9, -0x1.e2430175a28f1p-9, -0x1.d4f0bfdf06a82p-9, -0x1.c7ec732e739c5p-9, -0x1.bb34987638495p-9, -0x1.aec7b30d95c26p-9, -0x1.a2a44c7d5b387p-9, -0x1.96c8f46d3a884p-9, -0x1.8b3440908dcafp-9, -0x1.7fe4cc9388fd5p-9, -0x1.74d93a0861846p-9, -0x1.6a1030549bfa4p-9, -0x1.5f885c9dea83bp-9, -0x1.554071b7ece48p-9, -0x1.4b372811bf095p-9, -0x1.416b3da347644p-9, -0x1.37db75dac7b78p-9, -0x1.2e86998ab79ecp-9, -0x1.256b76d7b08c1p-9, -0x1.1c88e1261366ap-9, -0x1.13ddb108675f7p-9, -0x1.0b68c42d3f2ccp-9, -0x1.0328fd4da9522p-9, -0x1.f63a8836e6bf2p-10, -0x1.e6890a5f13cc7p-10, -0x1.d73b63f1c6f2dp-10, -0x1.c84f81562f9dep-10, -0x1.b9c3585a8ebeep-10, -0x1.ab94e8122233bp-10, -0x1.9dc238b381e5p-10, -0x1.90495b7717e9ap-10, -0x1.83286a7615a3fp-10, -0x1.765d88892431p-10, -0x1.69e6e1289ee82p-10, -0x1.5dc2a84b83f75p-10, -0x1.51ef1a47a5e13p-10, -0x1.466a7bb1aa506p-10, -0x1.3b33193de7d8ep-10, -0x1.304747a140587p-10, -0x1.25a56371f7f64p-10, -0x1.1b4bd1096b108p-10, -0x1.1138fc65a0227p-10, -0x1.076b590b762a4p-10, -0x1.fbc2c3d10abe6p-11, -0x1.e933326d1b25fp-11, -0x1.d72510bb7c868p-11, -0x1.c5957fb0f5ff2p-11, -0x1.b481ae2ce223fp-11, -0x1.a3e6d8c1acc8dp-11, -0x1.93c2497cf8fa2p-11, -0x1.841157b04e4b1p-11, -0x1.74d167bb40e4p-11, -0x1.65ffead576376p-11, -0x1.579a5ed9b3a5cp-11, -0x1.499e4e111944ep-11, -0x1.3c094eff600efp-11, -0x1.2ed9042f399f4p-11, -0x1.220b1c00291bep-11, -0x1.159d50745ccc6p-11, -0x1.098d66ff51399p-11, -0x1.fbb260a8deb28p-12, -0x1.e4fd106fffcf1p-12, -0x1.cef6aa9cf09f2p-12, -0x1.b99b11dbb7cffp-12, -0x1.a4e63dde9725p-12, -0x1.90d43b030c25dp-12, -0x1.7d6129f82c79fp-12, -0x1.6a893f6364631p-12, -0x1.5848c38a3db25p-12, -0x1.469c11fa3431p-12, -0x1.357f99349e6b9p-12, -0x1.24efda58c0c35p-12, -0x1.14e968d210ce5p-12, -0x1.0568ea0476682p-12, -0x1.ecd629fa245dfp-13, -0x1.cfd96441dbc0cp-13, -0x1.b3d535bcdf8dep-13, -0x1.98c372c055779p-13, -0x1.7e9e107f86a5bp-13, -0x1.655f24775350dp-13, -0x1.4d00e3d8b15ep-13, -0x1.357da2f4dd204p-13, -0x1.1ecfd4af6c1afp-13, -0x1.08f209ec71a9dp-13, -0x1.e7bde210f5f1cp-14, -0x1.bf22aa95b1717p-14, -0x1.98083cc433277p-14, -0x1.72649fb4f51b5p-14, -0x1.4e2e11385641dp-14, -0x1.2b5b04d16b86ep-14, -0x1.09e222b6985cep-14, -0x1.d3748da5b90bap-15, -0x1.95b4ffa6f3e44p-15, -0x1.5a741c641745ep-15, -0x1.21a0c68b13686p-15, -0x1.d6548151266acp-16, -0x1.6e0056ab4231fp-16, -0x1.0a2506ebcb8fap-16, -0x1.554681a30c0bbp-17, -0x1.3d7192bbca137p-18, 0x1.f35fc01dea9d3p-22, 0x1.6bdec39bf8c8dp-18, 0x1.547da06932ac6p-17, 0x1.eb7daf9ff18cep-17, 0x1.3d9321844afd5p-16, 0x1.81d6693cf0659p-16, 0x1.c2a2cff506c93p-16, 0x1.0008ef6b7c6bap-15, 0x1.1d1e4514f2dc3p-15, 0x1.389d9a2a292cdp-15, 0x1.5292d84f1c11cp-15, 0x1.6b09a311ba787p-15, 0x1.820d594722a15p-15, 0x1.97a9166b371a6p-15, 0x1.abe7b3fab6f69p-15, 0x1.bed3cac40ea3fp-15, 0x1.d077b42def448p-15, 0x1.e0dd8b858ce92p-15, 0x1.f00f2f3c89198p-15, 0x1.fe164221a4545p-15, 0x1.057e164fb30d3p-14, 0x1.0b650ef1ad9c8p-14, 0x1.10c486847b882p-14, 0x1.15a0dd24a05b4p-14, 0x1.19fe5805a332bp-14, 0x1.1de1220599871p-14, 0x1.214d4c35cb2c8p-14, 0x1.2446ce64aa9dp-14, 0x1.26d187a4518c7p-14, 0x1.28f13eca9431fp-14, 0x1.2aa9a2f6def87p-14, 0x1.2bfe4c0cf1c4fp-14, 0x1.2cf2bb34450c5p-14, 0x1.2d8a5b50a6ddcp-14, 0x1.2dc88179ab157p-14, 0x1.2db06d72d4639p-14, 0x1.2d454a1d9a49cp-14, 0x1.2c8a2deae99c5p-14, 0x1.2b821b4c6b2fcp-14, 0x1.2a30011da4a35p-14, 0x1.2896bb120236ap-14, 0x1.26b9121d49bdbp-14, 0x1.2499bcdae8aa5p-14, 0x1.223b5ff24b239p-14, 0x1.1fa08e7da7a2bp-14, 0x1.1ccbca6711277p-14, 0x1.19bf84c99bea6p-14, 0x1.167e1e4f0c4acp-14, 0x1.1309e78ccb496p-14, 0x1.0f65215ac186ap-14, 0x1.0b91fd2e27335p-14, 0x1.07929d71b526bp-14, 0x1.036915d675dd8p-14, 0x1.fe2ed758b5714p-15, 0x1.f53f2c5e37ffbp-15, 0x1.ec06fdb19d84fp-15, 0x1.e28a035ea0348p-15, 0x1.d8cbdb2342f52p-15, 0x1.ced0090608b6cp-15, 0x1.c499f7ec75487p-15, 0x1.ba2cfa28a8149p-15, 0x1.af8c4a0ab930bp-15, 0x1.a4bb0a68be7a9p-15, 0x1.99bc4729d97c5p-15, 0x1.8e92f5cab0403p-15, 0x1.8341f5dd1c706p-15, 0x1.77cc118e1743ap-15, 0x1.6c33fe1f8e895p-15, 0x1.607c5c6755eafp-15, 0x1.54a7b945a1c37p-15, 0x1.48b88e1afd051p-15, 0x1.3cb1413cf17e4p-15, 0x1.30942666b6aacp-15, 0x1.24637f27f79b9p-15, 0x1.18217b54e1d01p-15, 0x1.0bd0396a60334p-15, 0x1.fee38dfb78dc3p-16, 0x1.e610423de41f8p-16, 0x1.cd2a6978477dap-16, 0x1.b435be1156f13p-16, 0x1.9b35dbabc8d46p-16, 0x1.822e3fecc4523p-16, 0x1.69224b2d09ba6p-16, 0x1.5015413629c8ap-16, 0x1.370a49e9a8b85p-16, 0x1.1e0471ef62fe1p-16, 0x1.0506ab667ed84p-16, 0x1.d8279d068ddb7p-17, 0x1.a65d34666af01p-17, 0x1.74b3697a8ac66p-17, 0x1.432f58af4f957p-17, 0x1.11d5ef8d01dabp-17, 0x1.c157dba28efe1p-18, 0x1.5f6bcd4027718p-18, 0x1.fbe106783923ep-19, 0x1.39dceffc05923p-19, 0x1.e36e9a6620e1ep-21, -0x1.1c4c9e8c038p-21, -0x1.05e069aa546bap-19, -0x1.c37da7ac2cf97p-19, -0x1.3fee7fa29e18bp-18, -0x1.9d788faedf924p-18, -0x1.fa56a2627d8f2p-18, -0x1.2b414d964fcfep-17, -0x1.58fb50610ce87p-17, -0x1.86568da9f6923p-17, -0x1.b3505974f5aeap-17, -0x1.dfe626d6559cbp-17, -0x1.060ac39480741p-16, -0x1.1bee149cddc13p-16, -0x1.319bec40f3483p-16, -0x1.47133e33f8733p-16, -0x1.5c530bbf9ddc6p-16, -0x1.715a636264ec7p-16, -0x1.8628607b040f7p-16, -0x1.9abc2ae9961b7p-16, -0x1.af14f6ba31e08p-16, -0x1.c33203d184376p-16, -0x1.d7129d997b5a8p-16, -0x1.eab61aaa50b4bp-16, -0x1.fe1bdc8583a2dp-16, -0x1.08a1a79e5cedcp-15, -0x1.1215f496477a5p-15, -0x1.1b6a955703472p-15, -0x1.249f4ee92d76fp-15, -0x1.2db3eb0c2a942p-15, -0x1.36a83815ccfccp-15, -0x1.3f7c08cd97edp-15, -0x1.482f344e69218p-15, -0x1.50c195e362243p-15, -0x1.59330ceac8233p-15, -0x1.61837cb6b6c6fp-15, -0x1.69b2cc6d39302p-15, -0x1.71c0e6ed0fd6p-15, -0x1.79adbaafa0c63p-15, -0x1.817939ad5225cp-15, -0x1.89235942aed08p-15, -0x1.90ac1214d9b6ap-15, -0x1.98135ff86a656p-15, -0x1.9f5941d631d14p-15, -0x1.a67db9950dff6p-15, -0x1.ad80cbfe7a359p-15, -0x1.b46280a8d817ap-15, -0x1.bb22e1df418c8p-15, -0x1.c1c1fc8cd996cp-15, -0x1.c83fe023b23c2p-15, -0x1.ce9c9e8a0d204p-15, -0x1.d4d84c03f86abp-15, -0x1.daf2ff1e62605p-15, -0x1.e0ecd09d149efp-15, -0x1.e6c5db6466fdbp-15, -0x1.ec7e3c6811e09p-15, -0x1.f2161298168d5p-15, -0x1.f78d7ecef0165p-15, -0x1.fce4a3bf51b28p-15, -0x1.010dd2f1a6afcp-14, -0x1.039955b5d7045p-14, -0x1.0614ee17b48cfp-14, -0x1.0880b0cdbe704p-14, -0x1.0adcb350d925dp-14, -0x1.0d290bd68a5cdp-14, -0x1.0f65d1481114bp-14, -0x1.11931b3bc16a8p-14, -0x1.13b101edc99ep-14, -0x1.15bf9e398facp-14, -0x1.17bf0992b789fp-14, -0x1.19af5dfe6d4b7p-14, -0x1.1b90b60d820cap-14, -0x1.1d632cd64df45p-14, -0x1.1f26ddedf3dd8p-14, -0x1.20dbe563253fep-14, -0x1.22825fb7d8f62p-14, -0x1.241a69dc86f2p-14, -0x1.25a4212a0a9bp-14, -0x1.271fa35c6adb9p-14, -0x1.288d0e8dcb413p-14, -0x1.29ec8131cde18p-14, -0x1.2b3e1a102f451p-14, -0x1.2c81f83fba0cdp-14, -0x1.2db83b2231642p-14, -0x1.2ee1025fe60f1p-14, -0x1.2ffc6de2f757fp-14, -0x1.310a9dd318efap-14, -0x1.320bb291be674p-14, -0x1.32ffccb5a2bcp-14, -0x1.33e70d0734d92p-14, -0x1.34c1947c5ac42p-14, -0x1.358f84353918p-14, -0x1.3650fd7860a89p-14, -0x1.370621aef82f4p-14, -0x1.37af12619936p-14, -0x1.384bf134f2767p-14, -0x1.38dcdfe717e19p-14, -0x1.3962004bda6a7p-14, -0x1.39db744959a46p-14, -0x1.3a495dd5c68afp-14, -0x1.3aabdef46923bp-14, -0x1.3b0319b2b0922p-14, -0x1.3b4f3024dc215p-14, -0x1.3b9044643e4f1p-14, -0x1.3bc6788ca8073p-14, -0x1.3bf1eeb993bdbp-14, -0x1.3c12c903ef6b1p-14, -0x1.3c29297f9ea8ep-14, -0x1.3c3532396ed5bp-14, -0x1.3c370534a0c25p-14, -0x1.3c2ec4692b60fp-14, -0x1.3c1c91c153ad7p-14, -0x1.3c008f1805b2cp-14, -0x1.3bdade366d2c4p-14, -0x1.3baba0d27b099p-14, -0x1.3b72f88d02499p-14, -0x1.3b3106eff2ea7p-14, -0x1.3ae5ed6cd69a4p-14, -0x1.3a91cd5b07b0bp-14, -0x1.3a34c7f610dedp-14, -0x1.39cefe5c2b7fp-14, -0x1.3960918d02b53p-14, -0x1.38e9a268059c5p-14, -0x1.386a51aab1582p-14, -0x1.37e2bff002c4bp-14, -0x1.37530daec95c5p-14, -0x1.36bb5b38548bbp-14, -0x1.361bc8b7aaa75p-14, -0x1.3574762fe58bep-14, -0x1.34c5837b55f0bp-14, -0x1.340f104a63e57p-14, -0x1.33513c22cde2dp-14, -0x1.328c265e6345ap-14, -0x1.31bfee2a2cdaap-14, -0x1.30ecb2857e5c4p-14, -0x1.30129240f5ebep-14, -0x1.2f31abfddb8ffp-14, -0x1.2e4a1e2d62ca1p-14, -0x1.2d5c070fd71a4p-14, -0x1.2c6784b3d3dafp-14, -0x1.2b6cb4f5c936fp-14, -0x1.2a6bb57ef3883p-14, -0x1.2964a3c500e8bp-14, -0x1.28579d097cc27p-14, -0x1.2744be58d6abdp-14, -0x1.262c248a525f2p-14, -0x1.250dec3f315b6p-14, -0x1.23ea31e2a5be3p-14, -0x1.22c111a905fabp-14, -0x1.2192a78f4ac9cp-14, -0x1.205f0f5ac605fp-14, -0x1.1f266498acad9p-14, -0x1.1de8c29dc9c82p-14, -0x1.1ca64486607f4p-14, -0x1.1b5f0535b9e8ap-14, -0x1.1a131f559290cp-14, -0x1.18c2ad562c509p-14, -0x1.176dc96d8f59ep-14, -0x1.16148d97f6a95p-14, -0x1.14b7139746935p-14, -0x1.135574f2dcd92p-14, -0x1.11efcaf775d15p-14, -0x1.10862eb7275c8p-14, -0x1.0f18b908e9d2p-14, -0x1.0da7828889c5p-14, -0x1.0c32a396ef5a2p-14, -0x1.0aba345976635p-14, -0x1.093e4cba2c296p-14, -0x1.07bf0467d9548p-14, -0x1.063c72d5b7b45p-14, -0x1.04b6af3bbf87cp-14, -0x1.032dd09691831p-14, -0x1.01a1eda71a93cp-14, -0x1.00131cf2c4562p-14, -0x1.fd02e987672fdp-15, -0x1.f9da165178e8ap-15, -0x1.f6abebea9dbf3p-15, -0x1.f3789583774bap-15, -0x1.f0403dd67571cp-15, -0x1.ed030f27d26a5p-15, -0x1.e9c133452f52fp-15, -0x1.e67ad38714f75p-15, -0x1.e33018d07446bp-15, -0x1.dfe12b8f338f5p-15, -0x1.dc8e33bc3d446p-15, -0x1.d93758dc52c23p-15, -0x1.d5dcc1ff8929bp-15, -0x1.d27e95c1ed4e4p-15, -0x1.cf1cfa4c00bb4p-15, -0x1.cbb8155336005p-15, -0x1.c8500c1a3978fp-15, -0x1.c4e50371286bbp-15, -0x1.c1771fb616b59p-15, -0x1.be0684d5c7f9ap-15, -0x1.ba93564bca4a6p-15, -0x1.b71db7232bbffp-15, -0x1.b3a5c9f6dc1adp-15, -0x1.b02bb0f189194p-15, -0x1.acaf8dcf54ef4p-15, -0x1.a93181dd8c0edp-15, -0x1.a5b1adfb3039ep-15, -0x1.a2303299e3c72p-15, -0x1.9ead2fbe7906cp-15, -0x1.9b28c501055b4p-15, -0x1.97a3118d3dd1p-15, -0x1.941c3423d3288p-15, -0x1.90944b1aa1089p-15, -0x1.8d0b745d9eaadp-15, -0x1.8981cd6f1bbfp-15, -0x1.85f77368a0e08p-15, -0x1.826c82faf8f49p-15, -0x1.7ee1186f5da56p-15, -0x1.7b554fa8032c5p-15, -0x1.77c944208353cp-15, -0x1.743d10eee3088p-15, -0x1.70b0d0c3b09d9p-15, -0x1.6d249deb424adp-15, -0x1.6998924e0d5d5p-15, -0x1.660cc7712a152p-15, -0x1.6281567761dc5p-15, -0x1.5ef65821ae75dp-15, }}, 
      {{-0x1.66d80db14be1bp-7, -0x1.665d865a3ea93p-6, -0x1.0c5c81e9c0e9fp-5, -0x1.65630e3834da6p-5, -0x1.be856ea2c92a1p-5, -0x1.0c08841bddcbcp-4, -0x1.3926697f41d47p-4, -0x1.66b72841a2ecep-4, -0x1.94c9e4366b80fp-4, -0x1.c3614b9901a3ap-4, -0x1.f27428768f88ap-4, -0x1.10f76b1715d8p-3, -0x1.28da99c32ad32p-3, -0x1.40d262b9c50d6p-3, -0x1.58cb6ac356a1ap-3, -0x1.70b134947b725p-3, -0x1.886efe6bbd325p-3, -0x1.9ff07c895d4b1p-3, -0x1.b7226f21f11dbp-3, -0x1.cdf314ffd532dp-3, -0x1.e4527da8cbfe1p-3, -0x1.fa32bec7777bcp-3, -0x1.07c4087ec2514p-2, -0x1.12246c25ee22p-2, -0x1.1c36ce0552bc7p-2, -0x1.25f8790956de5p-2, -0x1.2f67b027aaf5bp-2, -0x1.38839bbf7d255p-2, -0x1.414c34bc6197fp-2, -0x1.49c22e73374bcp-2, -0x1.51e6e001135p-2, -0x1.59bc2dca76232p-2, -0x1.61447394fc4cdp-2, -0x1.68826f97039aap-2, -0x1.6f792ebf08461p-2, -0x1.762bfa5f632f2p-2, -0x1.7c9e4759c3bbdp-2, -0x1.82d3a6d7fd192p-2, -0x1.88cfb894db8f5p-2, -0x1.8e961eaf41009p-2, -0x1.942a72fb6478fp-2, -0x1.99903dc16472p-2, -0x1.9ecaedd4f42a4p-2, -0x1.a3ddd1efcfec8p-2, -0x1.a8cc13373c60ep-2, -0x1.ad98b0d449249p-2, -0x1.b2467c8681b4ap-2, -0x1.b6d81819117p-2, -0x1.bb4ff3a3240ccp-2, -0x1.bfb04c7d32c2cp-2, -0x1.c3fb2cd61a5f1p-2, -0x1.c8326bd4089p-2, -0x1.cc57ae2ea6a4ep-2, -0x1.d06c67314370bp-2, -0x1.d471da1505a4dp-2, -0x1.d8691ba4a39c5p-2, -0x1.dc53141c47c0cp-2, -0x1.e0308139aebp-2, -0x1.e401f8719ba89p-2, -0x1.e7c7e94101b0fp-2, -0x1.eb829f913b7f5p-2, -0x1.ef324627bb13cp-2, -0x1.f2d6e91a7f194p-2, -0x1.f67078437f83cp-2, -0x1.f9fec9ae0afcdp-2, -0x1.fd819bf9c4562p-2, -0x1.007c4c57d1c42p-1, -0x1.0231ab42f8558p-1, -0x1.03e0adc85af51p-1, -0x1.05890fae56e61p-1, -0x1.072a86798db0ep-1, -0x1.08c4c262ad598p-1, -0x1.0a576f3faeabap-1, -0x1.0be23560409b8p-1, -0x1.0d64ba5d42613p-1, -0x1.0edea1db465fep-1, -0x1.104f8e4032bc3p-1, -0x1.11b7215c2b64ap-1, -0x1.1314fd0601243p-1, -0x1.1468c3ab72b5fp-1, -0x1.15b218d59a73bp-1, -0x1.16f0a1a1e7d72p-1, -0x1.1824053015643p-1, -0x1.194bed058999ep-1, -0x1.1a68056697adap-1, -0x1.1b77fda61c879p-1, -0x1.1c7b886bf0f3ap-1, -0x1.1d725bf2ab113p-1, -0x1.1e5c323d2d74cp-1, -0x1.1f38c9447ab93p-1, -0x1.2007e31e45cbdp-1, -0x1.20c9461cb6594p-1, -0x1.217cbce7d30e2p-1, -0x1.22221690fdda3p-1, -0x1.22b926a0f377ep-1, -0x1.2341c520b12bdp-1, -0x1.23bbce9da573bp-1, -0x1.242724298c2e7p-1, -0x1.2483ab56510e8p-1, -0x1.24d14e2e4d398p-1, -0x1.250ffb293647bp-1, -0x1.253fa51e084eap-1, -0x1.2560433239782p-1, -0x1.2571d0c67a37ep-1, -0x1.25744d6144f8ep-1, -0x1.2567bc977b7e9p-1, -0x1.254c25f34a7d1p-1, -0x1.252194d98d3e9p-1, -0x1.24e8186de09d3p-1, -0x1.249fc3759692ep-1, -0x1.2448ac39b7acfp-1, -0x1.23e2ec6838de3p-1, -0x1.236ea0f48e96cp-1, -0x1.22ebe9f7bec6fp-1, -0x1.225aea9013399p-1, -0x1.21bbc8c08a2e1p-1, -0x1.210ead5022399p-1, -0x1.2053c3a916c34p-1, -0x1.1f8b39b82b747p-1, -0x1.1eb53fcc14b01p-1, -0x1.1dd2087515ea3p-1, -0x1.1ce1c864e3824p-1, -0x1.1be4b64edc92ep-1, -0x1.1adb0ac8a5842p-1, -0x1.19c5002b359f8p-1, -0x1.18a2d274611b3p-1, -0x1.1774bf28e82fbp-1, -0x1.163b053717c0cp-1, -0x1.14f5e4da00a87p-1, -0x1.13a59f7d4fc19p-1, -0x1.124a77a1c98e1p-1, -0x1.10e4b0c26f686p-1, -0x1.0f748f3a562b2p-1, -0x1.0dfa582b2be3bp-1, -0x1.0c76516474ea5p-1, -0x1.0ae8c14b7ed7p-1, -0x1.0951eec40e27fp-1, -0x1.07b22119c4684p-1, -0x1.06099fea4292ap-1, -0x1.0458b31005ee8p-1, -0x1.029fa28dffd7ep-1, -0x1.00deb67be71ffp-1, -0x1.fe2c6de688b16p-2, -0x1.fa8cd7fa67886p-2, -0x1.f6df3b01be346p-2, -0x1.f324266556cf7p-2, -0x1.ef5c2908321a9p-2, -0x1.eb87d128a9f61p-2, -0x1.e7a7ac42eb568p-2, -0x1.e3bc46f4c8275p-2, -0x1.dfc62ce2dcb45p-2, -0x1.dbc5e89ef7e4cp-2, -0x1.d7bc038fd065p-2, -0x1.d3a905d9f212ap-2, -0x1.cf8d7649e56e9p-2, -0x1.cb69da3f86f5ep-2, -0x1.c73eb59a8adecp-2, -0x1.c30c8aa82075fp-2, -0x1.bed3da11b6e1ep-2, -0x1.ba9522ccd221cp-2, -0x1.b650e20bf35ebp-2, -0x1.b207933084482p-2, -0x1.adb9afbdc65cfp-2, -0x1.a967af4cb80e5p-2, -0x1.a5120780f02d3p-2, -0x1.a0b92bfe5f5bfp-2, -0x1.9c5d8e5ff8d6fp-2, -0x1.97ff9e2f39565p-2, -0x1.939fc8dc7ed89p-2, -0x1.8f3e79b8370d2p-2, -0x1.8adc19ecced11p-2, -0x1.8679107968e87p-2, -0x1.8215c22d4c1c5p-2, -0x1.7db291a409a0ep-2, -0x1.794fdf424d3f1p-2, -0x1.74ee093356d11p-2, -0x1.708d6b6717cb3p-2, -0x1.6c2e5f90e79f2p-2, -0x1.67d13d26ce88cp-2, -0x1.63765961617dbp-2, -0x1.5f1e073c2592dp-2, -0x1.5ac897767600cp-2, -0x1.56765894e942cp-2, -0x1.522796e32eb7ep-2, -0x1.4ddc9c765dbb8p-2, -0x1.4995b12fb3931p-2, -0x1.45531abfb997bp-2, -0x1.41151ca9cde3ap-2, -0x1.3cdbf84809ad8p-2, -0x1.38a7eccf838f2p-2, -0x1.34793754e55bep-2, -0x1.305012d15040cp-2, -0x1.2c2cb827900ddp-2, -0x1.280f5e29938d3p-2, -0x1.23f8399e27426p-2, -0x1.1fe77d46f3745p-2, -0x1.1bdd59e6ae1cdp-2, -0x1.17d9fe478b4bcp-2, -0x1.13dd9741dad74p-2, -0x1.0fe84fc2d9103p-2, -0x1.0bfa50d3abe23p-2, -0x1.0813c1a085c67p-2, -0x1.0434c77fee18dp-2, -0x1.005d85fa30209p-2, -0x1.f91c3da1c3b26p-3, -0x1.f18d640d19311p-3, -0x1.ea0ebbccd683fp-3, -0x1.e2a07e187eb06p-3, -0x1.db42e0d871f03p-3, -0x1.d3f616b5e37b5p-3, -0x1.ccba4f2ae54ddp-3, -0x1.c58fb6928c8f9p-3, -0x1.be7676392f7e4p-3, -0x1.b76eb46ca97f1p-3, -0x1.b078948ca9bfp-3, -0x1.a994371b0fe62p-3, -0x1.a2c1b9cc3e3c4p-3, -0x1.9c0137977499cp-3, -0x1.9552c8c71fe8fp-3, -0x1.8eb6830920db8p-3, -0x1.882c797f0730fp-3, -0x1.81b4bcce3d279p-3, -0x1.7b4f5b3020745p-3, -0x1.74fc6082037bbp-3, -0x1.6ebbd6551b2fbp-3, -0x1.688dc3fe4b81bp-3, -0x1.62722ea5d7adep-3, -0x1.5c691956fba8cp-3, -0x1.5672850f5368cp-3, -0x1.508e70ce2d13dp-3, -0x1.4abcd9a3ae50bp-3, -0x1.44fdbabfce7edp-3, -0x1.3f510d8130619p-3, -0x1.39b6c983c8c86p-3, -0x1.342ee4af593abp-3, -0x1.2eb95345c3f0cp-3, -0x1.295607f1231a8p-3, -0x1.2404f3d1bcf7bp-3, -0x1.1ec6068bbfa43p-3, -0x1.19992e54c81d8p-3, -0x1.147e580138065p-3, -0x1.0f756f115a27fp-3, -0x1.0a7e5dbe4c04dp-3, -0x1.05990d06b4661p-3, -0x1.00c564bb427f8p-3, -0x1.f8069715eb516p-4, -0x1.eea54e1e5edc7p-4, -0x1.e566b7af1567ep-4, -0x1.dc4a9aeafa5e6p-4, -0x1.d350bd0f785f4p-4, -0x1.ca78e18ae20e5p-4, -0x1.c1c2ca1255305p-4, -0x1.b92e36b737beap-4, -0x1.b0bae5fc3f1c7p-4, -0x1.a86894ea08782p-4, -0x1.a036ff233d0fap-4, -0x1.9825def8433b9p-4, -0x1.9034ed7a801d6p-4, -0x1.8863e28f2c692p-4, -0x1.80b27501aff8dp-4, -0x1.79205a9596493p-4, -0x1.71ad48180fe87p-4, -0x1.6a58f17103a85p-4, -0x1.632309b3b66f9p-4, -0x1.5c0b432f05f91p-4, -0x1.55114f7d33831p-4, -0x1.4e34df9347c13p-4, -0x1.4775a3d00c601p-4, -0x1.40d34c0a9aecbp-4, -0x1.3a4d87a08748ap-4, -0x1.33e405839ea0ep-4, -0x1.2d9674474765bp-4, -0x1.2764822d78ef8p-4, -0x1.214ddd3350cd6p-4, -0x1.1b52331d47d86p-4, -0x1.1571318305d0cp-4, -0x1.0faa85dad9814p-4, -0x1.09fddd84cd7c1p-4, -0x1.046ae5d5664adp-4, -0x1.fde2984007d0bp-5, -0x1.f3217b81d2a9dp-5, -0x1.e891d04ddb93ep-5, -0x1.de32f1b9af746p-5, -0x1.d4043b24c179cp-5, -0x1.ca050849d76e1p-5, -0x1.c034b54fbf141p-5, -0x1.b6929ed97b5afp-5, -0x1.ad1e2215c03cdp-5, -0x1.a3d69ccddf6b3p-5, -0x1.9abb6d7415977p-5, -0x1.91cbf3314a4b7p-5, -0x1.89078df23ba16p-5, -0x1.806d9e741905ep-5, -0x1.77fd865098473p-5, -0x1.6fb6a8097a081p-5, -0x1.6798671391a5dp-5, -0x1.5fa227e146b6cp-5, -0x1.57d34fec94b3ap-5, -0x1.502b45c0908a9p-5, -0x1.48a9710275831p-5, -0x1.414d3a7a3b36p-5, -0x1.3a160c1ab600dp-5, -0x1.330351094796dp-5, -0x1.2c1475a51e467p-5, -0x1.2548e78e13233p-5, -0x1.1ea015ab0ecc9p-5, -0x1.181970301ad1bp-5, -0x1.11b468a4027e5p-5, -0x1.0b7071e597d2ep-5, -0x1.054d00309ae54p-5, -0x1.fe931244907a9p-6, -0x1.f2cb077b12813p-6, -0x1.e740d0dda8ca8p-6, -0x1.dbf3621f68c16p-6, -0x1.d0e1b1d4097ecp-6, -0x1.c60ab975ac582p-6, -0x1.bb6d756a21d7fp-6, -0x1.b108e5079331ap-6, -0x1.a6dc0a9897ef7p-6, -0x1.9ce5eb5fc31cep-6, -0x1.93258f9ab05e2p-6, -0x1.899a028480125p-6, -0x1.80425257f692ep-6, -0x1.771d9050f6147p-6, -0x1.6e2ad0adab20ep-6, -0x1.65692aaf2b9f5p-6, -0x1.5cd7b899bd32ep-6, -0x1.547597b4a77d4p-6, -0x1.4c41e849a5454p-6, -0x1.443bcda3f8baep-6, -0x1.3c626e0f1795ap-6, -0x1.34b4f2d501597p-6, -0x1.2d32883c4bb85p-6, -0x1.25da5d85c4b29p-6, -0x1.1eaba4e9ddd36p-6, -0x1.17a59395c02c1p-6, -0x1.10c761a8090cep-6, -0x1.0a104a2d61727p-6, -0x1.037f8b1cb2ef7p-6, -0x1.fa28caa661e8fp-7, -0x1.ed9c39203d15fp-7, -0x1.e157eee0bffa1p-7, -0x1.d55a7ed390765p-7, -0x1.c9a2818c797bep-7, -0x1.be2e953d504a8p-7, -0x1.b2fd5dab75c2ep-7, -0x1.a80d8424ef93bp-7, -0x1.9d5db77569797p-7, -0x1.92ecabda7f892p-7, -0x1.88b91af826094p-7, -0x1.7ec1c3cc8a2e6p-7, -0x1.75056aa3ccd89p-7, -0x1.6b82d90b71514p-7, -0x1.6238ddc5a1d01p-7, -0x1.59264cbc377b8p-7, -0x1.5049fef38b86ap-7, -0x1.47a2d27d1cd16p-7, -0x1.3f2faa6a0d00ep-7, -0x1.36ef6ebd82b63p-7, -0x1.2ee10c5ed2c59p-7, -0x1.2703750ba167ap-7, -0x1.1f559f49d0e4ap-7, -0x1.17d686595b477p-7, -0x1.10852a2628433p-7, -0x1.09608f39b808dp-7, -0x1.0267beacc90b4p-7, -0x1.f7338c31f164dp-8, -0x1.e9eb6f147ab51p-8, -0x1.dcf552e0e225bp-8, -0x1.d04f6d21a083ap-8, -0x1.c3f7fbeed34c6p-8, -0x1.b7ed45d1244a3p-8, -0x1.ac2d99a4bb9a3p-8, -0x1.a0b74e7c3e5ccp-8, -0x1.9588c383a9ef3p-8, -0x1.8aa05fe375839p-8, -0x1.7ffc92a38666ep-8, -0x1.759bd28e6625bp-8, -0x1.6b7c9e149835ep-8, -0x1.619d7b2fc9a2p-8, -0x1.57fcf74664e7fp-8, -0x1.4e99a70f1c8e9p-8, -0x1.45722674ae067p-8, -0x1.3c851879b9a6cp-8, -0x1.33d1271cc3333p-8, -0x1.2b55033c6f754p-8, -0x1.230f647bd1e22p-8, -0x1.1aff092719aaep-8, -0x1.1322b6182da1ep-8, -0x1.0b79369bbd803p-8, -0x1.04015c564e196p-8, -0x1.f973fe535028bp-9, -0x1.eb43fa34bc903p-9, -0x1.dd70746b65e92p-9, -0x1.cff740ef197cep-9, -0x1.c2d63f619aaddp-9, -0x1.b60b5adba9c95p-9, -0x1.a99489ba8592cp-9, -0x1.9d6fcd6e05edfp-9, -0x1.919b3246fe083p-9, -0x1.8614cf4692431p-9, -0x1.7adac5ed7dccp-9, -0x1.6feb420c6dbccp-9, -0x1.654479949f393p-9, -0x1.5ae4ac6904a93p-9, -0x1.50ca243002613p-9, -0x1.46f33425bfe95p-9, -0x1.3d5e38eeeafbdp-9, -0x1.3409986c4e2eap-9, -0x1.2af3c18e7eb1ap-9, -0x1.221b2c2a9cc5ap-9, -0x1.197e58cf3ddb1p-9, -0x1.111bd09a347ecp-9, -0x1.08f2250e9633p-9, -0x1.00ffefebb8fb5p-9, -0x1.f287a608a79fap-10, -0x1.e378f02cd5b2dp-10, -0x1.d4d12147d7c5dp-10, -0x1.c68dab97170dep-10, -0x1.b8ac1044aac4fp-10, -0x1.ab29df1c15c3bp-10, -0x1.9e04b63f2040ep-10, -0x1.913a41dcae795p-10, -0x1.84c83be87524ap-10, -0x1.78ac6bd3644fep-10, -0x1.6ce4a645ac0bcp-10, -0x1.616eccd9b8cd8p-10, -0x1.5648cdd821e16p-10, -0x1.4b70a3f4b276fp-10, -0x1.40e4560cd435bp-10, -0x1.36a1f6e698924p-10, -0x1.2ca7a4f0efe11p-10, -0x1.22f38a0563b8cp-10, -0x1.1983db2a1ba31p-10, -0x1.1056d85563fd9p-10, -0x1.076acc323e902p-10, -0x1.fd7c17cb65fc2p-11, -0x1.ec9dedab08b45p-11, -0x1.dc37ecdee8819p-11, -0x1.cc46fbe3f7b7ap-11, -0x1.bcc8146ab4427p-11, -0x1.adb842ecd2514p-11, -0x1.9f14a643913dcp-11, -0x1.90da6f40806cep-11, -0x1.8306e047d7081p-11, -0x1.75974ced13617p-11, -0x1.688919911e1a7p-11, -0x1.5bd9bb024784fp-11, -0x1.4f86b61e85074p-11, -0x1.438d9f7664abbp-11, -0x1.37ec1af2e260bp-11, -0x1.2c9fdb7be85bep-11, -0x1.21a6a2a1e0b12p-11, -0x1.16fe4047a2c95p-11, -0x1.0ca4924e884fcp-11, -0x1.0297844495539p-11, -0x1.f1aa1e26a74d4p-12, -0x1.deb67161d8716p-12, -0x1.cc5027a6eb4c4p-12, -0x1.ba737f476c136p-12, -0x1.a91ccee7400a9p-12, -0x1.984884ea05cffp-12, -0x1.87f326e4a91e5p-12, -0x1.781951112e033p-12, -0x1.68b7b5c5cd762p-12, -0x1.59cb1ceef0ec9p-12, -0x1.4b50638b303d8p-12, -0x1.3d447b2ab59d8p-12, -0x1.2fa46971c33edp-12, -0x1.226d479cc869bp-12, -0x1.159c4207c69b8p-12, -0x1.092e97b7a9a5dp-12, -0x1.fa4333cedaf6ap-13, -0x1.e2e5572c96e4p-13, -0x1.cc3e8230f8673p-13, -0x1.b649bf59dbc8cp-13, -0x1.a1023a21b39b6p-13, -0x1.8c633e3298807p-13, -0x1.7868369a9d2e4p-13, -0x1.650cad059a2efp-13, -0x1.524c48fb8ac15p-13, -0x1.4022cf2259ba9p-13, -0x1.2e8c20850b1aep-13, -0x1.1d8439dd6ff39p-13, -0x1.0d0732e344824p-13, -0x1.fa227b3e37f4cp-14, -0x1.db3d4b85ade04p-14, -0x1.bd57a002137f3p-14, -0x1.a06a72da4361ap-14, -0x1.846eedb9983bbp-14, -0x1.695e689cb48e1p-14, -0x1.4f3268a27747cp-14, -0x1.35e49ee69a533p-14, -0x1.1d6ee7623a866p-14, -0x1.05cb47d2d747cp-14, -0x1.dde7dd4beab14p-15, -0x1.b1c663dd9a005p-15, -0x1.87271cc71dc44p-15, -0x1.5dff4cb519d3cp-15, -0x1.364481a1f5804p-15, -0x1.0fec90f2c775cp-15, -0x1.d5db2b366f2d3p-16, -0x1.8e7bdc997d0ecp-16, -0x1.49a8776799be4p-16, -0x1.074ebd7e8fe0bp-16, -0x1.8eb9dbcd0258ep-17, -0x1.1383830359b36p-17, -0x1.39b19f63f8264p-18, -0x1.54c8406abba09p-20, 0x1.0d6eb2e21df5fp-19, 0x1.5a4898bfa0e39p-18, 0x1.12deff63ee3cbp-17, 0x1.74a91e9f4d6fep-17, 0x1.d29f38d5d7dccp-17, 0x1.166e8c058b9f9p-16, 0x1.41bee3676a8abp-16, 0x1.6b4dca9aea7d4p-16, 0x1.93280ef507fafp-16, 0x1.b95a2584b21b1p-16, 0x1.ddf02d6d20bdbp-16, 0x1.007af9172a976p-15, 0x1.113b76f4d8f41p-15, 0x1.213f25c665a5cp-15, 0x1.308b747b5f6abp-15, 0x1.3f25ac8276713p-15, 0x1.4d12f2d01be0ap-15, 0x1.5a5848da2a624p-15, 0x1.66fa8d8c44bafp-15, 0x1.72fe7e34e22d9p-15, 0x1.7e68b76fcf76bp-15, 0x1.893db60acb9dbp-15, 0x1.9381d7e0cefcp-15, 0x1.9d395cb014316p-15, 0x1.a66866ed8800fp-15, 0x1.af12fc8f9788fp-15, 0x1.b73d07d4af463p-15, 0x1.beea58013827bp-15, 0x1.c61ea2208cd67p-15, 0x1.ccdd81b95a60dp-15, 0x1.d32a7981ebffap-15, 0x1.d908f40b1a956p-15, 0x1.de7c4467ed7ffp-15, 0x1.e387a6d433af2p-15, 0x1.e82e415441c4fp-15, 0x1.ec73244d594eep-15, 0x1.f0594b1f7b874p-15, 0x1.f3e39cb8ebd59p-15, 0x1.f714ec237f9a4p-15, 0x1.f9eff91116e27p-15, 0x1.fc77705e6d885p-15, 0x1.feadec9d1e7aep-15, 0x1.004afb4819277p-14, 0x1.011902d564c2fp-14, 0x1.01c240433b4e3p-14, 0x1.0247dead24dc2p-14, 0x1.02ab0136b1213p-14, 0x1.02ecc3431ff06p-14, 0x1.030e38aadd138p-14, 0x1.03106df089eccp-14, 0x1.02f46874c55bep-14, 0x1.02bb26a765893p-14, 0x1.0265a0381b72ep-14, 0x1.01f4c643d1876p-14, 0x1.0169838412af8p-14, 0x1.00c4bc7af62c5p-14, 0x1.00074f9eb38c2p-14, 0x1.fe642b0584ebcp-15, 0x1.fc8bc201c2d4ap-15, 0x1.fa86fec2896a5p-15, 0x1.f8577100e0be4p-15, 0x1.f5fe9de8f200bp-15, 0x1.f37e0062ba2dcp-15, 0x1.f0d70959deca5p-15, 0x1.ee0b2002194ap-15, 0x1.eb1ba21a5eecp-15, 0x1.e809e42c36c51p-15, 0x1.e4d731cadca05p-15, 0x1.e184cdd114168p-15, 0x1.de13f29dd82bep-15, 0x1.da85d24b90b0bp-15, 0x1.d6db96e958e4fp-15, 0x1.d31662b2c71f7p-15, 0x1.cf375043849a1p-15, 0x1.cb3f72cc068d2p-15, 0x1.c72fd64081c0bp-15, 0x1.c3097f8c6b497p-15, 0x1.becd6cc091c45p-15, 0x1.ba7c9541c87c9p-15, 0x1.b617e9f5c5c32p-15, 0x1.b1a0556d2248fp-15, 0x1.ad16bc0d788a3p-15, 0x1.a87bfc3b9246dp-15, 0x1.a3d0ee8271189p-15, 0x1.9f1665b8d2a59p-15, 0x1.9a4d2f27d05e1p-15, 0x1.957612af2e328p-15, 0x1.9091d2e99b97bp-15, 0x1.8ba12d4e02769p-15, 0x1.86a4da50fc4c5p-15, 0x1.819d8d8481b06p-15, 0x1.7c8bf5b903f13p-15, 0x1.7770bd1b78de3p-15, 0x1.724c8953020bdp-15, 0x1.6d1ffb9f32fbbp-15, 0x1.67ebb0f21cf57p-15, 0x1.62b0420d38c8dp-15, 0x1.5d6e439be19ecp-15, 0x1.5826464c27035p-15, 0x1.52d8d6e83af11p-15, 0x1.4d867e6f4889ap-15, 0x1.482fc22da9c26p-15, 0x1.42d523d3f544fp-15, 0x1.3d77218c632cp-15, 0x1.38163611ae932p-15, 0x1.32b2d8c34532fp-15, 0x1.2d4d7dbad530bp-15, 0x1.27e695e0688d4p-15, 0x1.227e8efd62df2p-15, 0x1.1d15d3d032d4cp-15, 0x1.17accc1e5f423p-15, 0x1.1243dcc6c3056p-15, 0x1.0cdb67d321052p-15, 0x1.0773cc88e456fp-15, 0x1.020d67790a059p-15, 0x1.f9512522c51ddp-16, 0x1.ee8b4a58a3061p-16, 0x1.e3c9e83e6b921p-16, 0x1.d90da394ef924p-16, 0x1.ce571c4ead89dp-16, 0x1.c3a6edab37c47p-16, 0x1.b8fdae5407092p-16, 0x1.ae5bf0774a168p-16, 0x1.a3c241e1dc3a8p-16, 0x1.99312c176e066p-16, 0x1.8ea9346e1af3ap-16, 0x1.842adc237c57dp-16, 0x1.79b6a076b1ffcp-16, 0x1.6f4cfabe9d4b8p-16, 0x1.64ee607f10f4bp-16, 0x1.5a9b437e666fp-16, 0x1.505411de2ca3p-16, 0x1.4619362be75b7p-16, 0x1.3beb1776fa655p-16, 0x1.31ca1965724b5p-16, 0x1.27b69c4698232p-16, 0x1.1db0fd23ff855p-16, 0x1.13b995d65db2bp-16, 0x1.09d0bd16ff4f7p-16, 0x1.ffed8d1e6a4a2p-17, 0x1.ec5805d8219f7p-17, 0x1.d8e17fdbbb7ffp-17, 0x1.c58a90eed2792p-17, 0x1.b253c9417ba21p-17, 0x1.9f3db389c531ap-17, 0x1.8c48d5200bcfcp-17, 0x1.7975ae1fd2439p-17, 0x1.66c4b985dcbbp-17, 0x1.54366d489f643p-17, 0x1.41cb3a757f16p-17, 0x1.2f838d4eea492p-17, 0x1.1d5fcd64623cep-17, 0x1.0b605dab747d8p-17, 0x1.f30b3937529fap-18, 0x1.cf9fc88ec361fp-18, 0x1.ac7f14e0a153ep-18, 0x1.89a9c147654dbp-18, 0x1.672068a322e9fp-18, 0x1.44e39dbd50324p-18, 0x1.22f3eb7e7c83cp-18, 0x1.0151d51d3c8ffp-18, 0x1.bffbac8020cd3p-19, 0x1.7df0c65538777p-19, 0x1.3c83d1d7af3abp-19, 0x1.f76b36039e7dep-20, 0x1.770dbfe67bffcp-20, 0x1.efe1454b46786p-21, 0x1.e854945ad6abcp-22, -0x1.41c5e1ed6b875p-27, -0x1.f76170db3d983p-22, -0x1.efd0a26d31f63p-21, -0x1.70b287ef1d01dp-20, -0x1.e836352dd5585p-20, -0x1.2f3952659ab07p-19, -0x1.69b39c9d73e61p-19, -0x1.a389b58394be7p-19, -0x1.dcbb642188b29p-19, -0x1.0aa43d04b0ea6p-18, -0x1.2698698efb88cp-18, -0x1.423a2aa472447p-18, -0x1.5d89782590827p-18, -0x1.78864ebdd31edp-18, -0x1.9330afcc19edp-18, -0x1.ad88a13feaa8bp-18, -0x1.c78e2d7f083aap-18, -0x1.e141634f83208p-18, -0x1.faa255b536038p-18, -0x1.09d88def25aaap-17, -0x1.1636e882b5c41p-17, -0x1.226c4a2d2b86dp-17, -0x1.2e78c473c54a3p-17, -0x1.3a5c6abc6afa9p-17, -0x1.4617524469d1dp-17, -0x1.51a99210908bcp-17, -0x1.5d1342e4f5bb5p-17, -0x1.68547f38841b8p-17, -0x1.736d6328e5b44p-17, -0x1.7e5e0c6ec59c3p-17, -0x1.89269a563f106p-17, -0x1.93c72db096b12p-17, -0x1.9e3fe8cd3b284p-17, -0x1.a890ef6b46319p-17, -0x1.b2ba66b360f47p-17, -0x1.bcbc752b06b09p-17, -0x1.c69742ab0e2ap-17, -0x1.d04af858cb74cp-17, -0x1.d9d7c0992a471p-17, -0x1.e33dc708ed81fp-17, -0x1.ec7d38734e3bcp-17, -0x1.f59642c8c495cp-17, -0x1.fe89151670897p-17, -0x1.03aaefbe3fa6ep-16, -0x1.07fe6993dec5bp-16, -0x1.0c3f1123d495cp-16, -0x1.106d000363f7ep-16, -0x1.148850400d5cdp-16, -0x1.18911c5d909acp-16, -0x1.1c877f50ac54bp-16, -0x1.206b947b9b6bap-16, -0x1.243d77aa2aac7p-16, -0x1.27fd450e0994p-16, -0x1.2bab193b6ea96p-16, -0x1.2f471124b364ep-16, -0x1.32d14a17a06fp-16, -0x1.3649e1ba0220cp-16, -0x1.39b0f6055ac0cp-16, -0x1.3d06a54423f39p-16, -0x1.404b0e0e8d06fp-16, -0x1.437e4f46e09b5p-16, -0x1.46a088161c05ep-16, -0x1.49b1d7e9604f9p-16, -0x1.4cb25e6f1c969p-16, -0x1.4fa23b93d8991p-16, -0x1.52818f7e22c1ap-16, -0x1.55507a8cd4ffcp-16, -0x1.580f1d541a691p-16, -0x1.5abd989a621ebp-16, -0x1.5d5c0d55729fdp-16, -0x1.5fea9ca7e4dfp-16, -0x1.626967debe543p-16, -0x1.64d8906e3acf3p-16, -0x1.673837efaf50ap-16, -0x1.6988801ee1185p-16, -0x1.6bc98ad7ddaf3p-16, -0x1.6dfb7a145b53ap-16, -0x1.701e6fe8d88b8p-16, -0x1.72328e832ecf9p-16, -0x1.7437f82790f82p-16, -0x1.762ecf2e5706cp-16, -0x1.78173601e8343p-16, -0x1.79f14f1d25414p-16, -0x1.7bbd3d08f871bp-16, -0x1.7d7b2259ef9e3p-16, -0x1.7f2b21ae24d12p-16, -0x1.80cd5dabffc79p-16, -0x1.8261f8ff61c3fp-16, -0x1.83e91658969ep-16, -0x1.8562d869ab18dp-16, -0x1.86cf61e513bacp-16, -0x1.882ed57c1b70fp-16, -0x1.898155dc674afp-16, -0x1.8ac705aed07bbp-16, -0x1.8c000795869bbp-16, -0x1.8d2c7e2ae49fp-16, -0x1.8e4c8bff5f35cp-16, -0x1.8f605397a59d3p-16, -0x1.9067f76bcae48p-16, -0x1.916399e573b63p-16, -0x1.92535d5de0d2fp-16, -0x1.9337641d8f3b6p-16, -0x1.940fd05a0288fp-16, -0x1.94dcc4353e2eep-16, -0x1.959e61bb7753p-16, -0x1.9654cae2356dp-16, -0x1.970021876e92cp-16, -0x1.97a0876f7d0d3p-16, -0x1.98361e44d0154p-16, -0x1.98c107961ea87p-16, -0x1.994164d568735p-16, -0x1.99b7575708079p-16, -0x1.9a230050c0be9p-16, -0x1.9a8480d821d5bp-16, -0x1.9adbf9e180dcdp-16, -0x1.9b298c401688bp-16, -0x1.9b6d58a417972p-16, -0x1.9ba77f99ea53bp-16, -0x1.9bd82188fa1cap-16, -0x1.9bff5eb332cdp-16, -0x1.9c1d57342e541p-16, -0x1.9c322b00083a8p-16, -0x1.9c3df9e2ff3dp-16, -0x1.9c40e3802a8dfp-16, -0x1.9c3b0751b1511p-16, -0x1.9c2c84a6da21cp-16, -0x1.9c157aa412ffep-16, -0x1.9bf60841c86f7p-16, -0x1.9bce4c4c56569p-16, -0x1.9b9e6562e9ec1p-16, -0x1.9b6671f72a86ep-16, -0x1.9b26904c4104bp-16, -0x1.9adede768c20fp-16, -0x1.9a8f7a5b7dde6p-16, -0x1.9a3881b043d01p-16, -0x1.99da11f93d781p-16, -0x1.9974488a9228dp-16, -0x1.990742871f335p-16, -0x1.98931cdfc0e08p-16, -0x1.9817f4531c663p-16, -0x1.9795e56cd0606p-16, -0x1.970d0c85dd4d3p-16, -0x1.967d85c3ac3adp-16, -0x1.95e76d1806daep-16, -0x1.954ade403c73cp-16, -0x1.94a7f4c5acf33p-16, -0x1.93fecbfcda6b9p-16, -0x1.934f7f058af19p-16, -0x1.929a28c9ddb41p-16, -0x1.91dee3fe1943ep-16, -0x1.911dcb21a6563p-16, -0x1.9056f87d53e4fp-16, -0x1.8f8a862428de9p-16, -0x1.8eb88df23bfep-16, -0x1.8de1298d9d423p-16, -0x1.8d047265a5636p-16, -0x1.8c2281b284b2p-16, -0x1.8b3b707543ceep-16, -0x1.8a4f57788075dp-16, -0x1.895e4f4f48efdp-16, -0x1.88687055a66cdp-16, -0x1.876dd2b002173p-16, -0x1.866e8e4b15f2p-16, -0x1.856abadc99108p-16, -0x1.84626fe273aa3p-16, -0x1.8355c4a331acbp-16, -0x1.8244d02d64eddp-16, -0x1.812fa9587288ap-16, -0x1.801666c3ef4b3p-16, -0x1.7ef91ed877e2fp-16, -0x1.7dd7e7c6c53bfp-16, -0x1.7cb2d78788792p-16, -0x1.7b8a03dcccc26p-16, -0x1.7a5d8250cb817p-16, -0x1.792d6836c3d65p-16, -0x1.77f9caaa5d80dp-16, -0x1.76c2be9060a02p-16, -0x1.75885896ab9c1p-16, -0x1.744aad33bacf2p-16, -0x1.7309d0a735099p-16, -0x1.71c5d6fa42098p-16, -0x1.707ed3ffbfcd9p-16, -0x1.6f34db53b1beep-16, -0x1.6de8005c5be0dp-16, -0x1.6c9856492cac8p-16, -0x1.6b45f013cf9afp-16, -0x1.69f0e0805a8a8p-16, -0x1.68993a1d31a49p-16, -0x1.673f0f4359831p-16, -0x1.65e272160c8bp-16, -0x1.64837483e6af1p-16, -0x1.632228468ef7ap-16, -0x1.61be9ee375055p-16, -0x1.6058e9ab41ac8p-16, -0x1.5ef119ba05cb5p-16, -0x1.5d873ff8677d2p-16, -0x1.5c1b6d1b20668p-16, -0x1.5aadb1a33c65bp-16, -0x1.593e1dde91307p-16, -0x1.57ccc1e7ea486p-16, -0x1.5659ada7c0019p-16, -0x1.54e4f0d3aaffep-16, -0x1.536e9aee8f726p-16, -0x1.51f6bb4999478p-16, -0x1.507d6104d37eep-16, -0x1.4f029b0e27a2fp-16, -0x1.4d86782293a23p-16, -0x1.4c0906ce71dd8p-16, -0x1.4a8a556cdc12dp-16, -0x1.490a7228fd4fap-16, -0x1.47896afe29b91p-16, -0x1.46074db7b9cbdp-16, -0x1.448427f1b2f95p-16, -0x1.43000718c40dbp-16, -0x1.417af86ad6bep-16, -0x1.3ff508f73ae48p-16, -0x1.3e6e459fac121p-16, -0x1.3ce6bb177b8b7p-16, -0x1.3b5e75e4211f5p-16, -0x1.39d5825e45c32p-16, -0x1.384becb18aa63p-16, -0x1.36c1c0dcd140ap-16, -0x1.35370ab2aa4aep-16, }}, 
      {{-0x1.713e24ba9f011p-1, -0x1.71405ea8292b4p-1, -0x1.714245ef1edabp-1, -0x1.7144a8f0c66ebp-1, -0x1.714a1ff9b0182p-1, -0x1.715612a0ad30dp-1, -0x1.716bc7a606f1ap-1, -0x1.718db9adefeaap-1, -0x1.71bd392d9e2bfp-1, -0x1.71fa4e9319ec9p-1, -0x1.7243c9d541ap-1, -0x1.72976df16c4c6p-1, -0x1.72f22aa51695p-1, -0x1.73505aaaad75bp-1, -0x1.73ae00147fe2fp-1, -0x1.7406fae691c6dp-1, -0x1.745737de8f0b1p-1, -0x1.749ad6976c279p-1, -0x1.74ce470921b8ep-1, -0x1.74ee5ee9fd4d2p-1, -0x1.74f867c496b92p-1, -0x1.74ea26bc3a9e2p-1, -0x1.74c1df05a6069p-1, -0x1.747e5014304d4p-1, -0x1.741eb06a8c12ep-1, -0x1.73a2a5e6c1c6ep-1, -0x1.730a3c464b24fp-1, -0x1.7255da83b58afp-1, -0x1.7186379461e2ep-1, -0x1.709c4ef3f0092p-1, -0x1.6f995554334cfp-1, -0x1.6e7eadb47c88bp-1, -0x1.6d4ddf11a7373p-1, -0x1.6c088ad19f8eap-1, -0x1.6ab06400c806ap-1, -0x1.6947276da7a63p-1, -0x1.67ce94a731ad4p-1, -0x1.664867dbbbc58p-1, -0x1.64b65491dccdfp-1, -0x1.631a0130edc79p-1, -0x1.6175034c6842ap-1, -0x1.5fc8dca3c0797p-1, -0x1.5e16f8c76728bp-1, -0x1.5c60ab534dd87p-1, -0x1.5aa72eaf4685ep-1, -0x1.58eba3460a695p-1, -0x1.572f0f244a342p-1, -0x1.55725df1fa2adp-1, -0x1.53b66138f2f45p-1, -0x1.51fbd0ecfdf38p-1, -0x1.50434c2a5c0ddp-1, -0x1.4e8d5a20e127ap-1, -0x1.4cda6b22b604p-1, -0x1.4b2ad9cec1e5p-1, -0x1.497eec4fac1d5p-1, -0x1.47d6d5a93a64ep-1, -0x1.4632b70e9a357p-1, -0x1.4492a13ce217p-1, -0x1.42f695d5c0e22p-1, -0x1.415e88b6e999cp-1, -0x1.3fca614b5eb47p-1, -0x1.3e39fbd4366dbp-1, -0x1.3cad2aa6e4f0cp-1, -0x1.3b23b75f82853p-1, -0x1.399d6405d29e7p-1, -0x1.3819ec24278bep-1, -0x1.369905cf7da44p-1, -0x1.351a62a0622b4p-1, -0x1.339db09c73968p-1, -0x1.32229b106a0abp-1, -0x1.30a8cb5ac54f7p-1, -0x1.2f2fe9a75490ep-1, -0x1.2db79d9bec98ap-1, -0x1.2c3f8ef6ad3eep-1, -0x1.2ac7661e51729p-1, -0x1.294ecca50b24ap-1, -0x1.27d56dbe7996dp-1, -0x1.265af6a94c817p-1, -0x1.24df170d329d8p-1, -0x1.2361814dad815p-1, -0x1.21e1ead265d79p-1, -0x1.20600c45a5bfep-1, -0x1.1edba1c98c044p-1, -0x1.1d546b2498ac7p-1, -0x1.1bca2be626b46p-1, -0x1.1a3cab83627e4p-1, -0x1.18abb56d50ffbp-1, -0x1.17171920684d7p-1, -0x1.157eaa2e42f6dp-1, -0x1.13e24041e83c7p-1, -0x1.1241b71f22848p-1, -0x1.109cee9d55153p-1, -0x1.0ef3ca9e3ecf9p-1, -0x1.0d4633010dc18p-1, -0x1.0b94139228452p-1, -0x1.09dd5bf8021a9p-1, -0x1.0821ff9d568a9p-1, -0x1.0661f5991613cp-1, -0x1.049d389454d25p-1, -0x1.02d3c6ae7a808p-1, -0x1.0105a15ffc698p-1, -0x1.fe659ab7b1e24p-2, -0x1.fab6a4e018a6p-2, -0x1.f6fe76ca6f1b7p-2, -0x1.f33d2bbb46f41p-2, -0x1.ef72e4679ffd6p-2, -0x1.eb9fc6b16c299p-2, -0x1.e7c3fd63c4de4p-2, -0x1.e3dfb7ef13f35p-2, -0x1.dff32a256df2fp-2, -0x1.dbfe8bf757aaap-2, -0x1.d802193123062p-2, -0x1.d3fe11391a2ffp-2, -0x1.cff2b6ce98a07p-2, -0x1.cbe04fca377edp-2, -0x1.c7c724df35c8fp-2, -0x1.c3a7815e2ac71p-2, -0x1.bf81b2f927bbcp-2, -0x1.bb56098953cf2p-2, -0x1.b724d6d61e5bap-2, -0x1.b2ee6e5e0aafbp-2, -0x1.aeb32521316acp-2, -0x1.aa73516d6ea93p-2, -0x1.a62f4aac59259p-2, -0x1.a1e76932f51cfp-2, -0x1.9d9c061336c13p-2, -0x1.994d7aef4afcep-2, -0x1.94fc21ceaee36p-2, -0x1.90a854f50fa5cp-2, -0x1.8c526ebaf37cap-2, -0x1.87fac9682a355p-2, -0x1.83a1bf0ffc961p-2, -0x1.7f47a96f18d7ap-2, -0x1.7aece1cb32872p-2, -0x1.7691c0d455cf8p-2, -0x1.72369e87dfa7dp-2, -0x1.6ddbd21512fcp-2, -0x1.6981b1c3489bbp-2, -0x1.652892d9ac4edp-2, -0x1.60d0c98879dcap-2, -0x1.5c7aa8d3ba768p-2, -0x1.5826827f6ebc1p-2, -0x1.53d4a6fd1ebf5p-2, -0x1.4f85655ac9e0ep-2, -0x1.4b390b332249p-2, -0x1.46efe49f146e3p-2, -0x1.42aa3c28858ccp-2, -0x1.3e685abe4a613p-2, -0x1.3a2a87a93b52p-2, -0x1.35f108826ed37p-2, -0x1.31bc212a7cff9p-2, -0x1.2d8c13c1cfe6bp-2, -0x1.296120a1ef008p-2, -0x1.253b8657ba4fp-2, -0x1.211b819e94518p-2, -0x1.1d014d5c6308ap-2, -0x1.18ed229e6ce0ap-2, -0x1.14df3896fbf66p-2, -0x1.10d7c49bc5f3dp-2, -0x1.0cd6fa2509901p-2, -0x1.08dd0acd5f805p-2, -0x1.04ea265230c67p-2, -0x1.00fe7a94c9217p-2, -0x1.fa34673805f63p-3, -0x1.f27af72cfca1bp-3, -0x1.ead0f5babd426p-3, -0x1.e336afef10c8ep-3, -0x1.dbac6f3aa4614p-3, -0x1.d43279794dca3p-3, -0x1.ccc910fb256a7p-3, -0x1.c570748e575c8p-3, -0x1.be28df89b8a07p-3, -0x1.b6f289d7fc654p-3, -0x1.afcda8038887bp-3, -0x1.a8ba6b42dcf5ap-3, -0x1.a1b9018580c59p-3, -0x1.9ac9958167ceep-3, -0x1.93ec4ec0c8da2p-3, -0x1.8d2151b05f208p-3, -0x1.8668bfadfd994p-3, -0x1.7fc2b71783092p-3, -0x1.792f535a073e7p-3, -0x1.72aead015afb9p-3, -0x1.6c40d9c7b139cp-3, -0x1.65e5eca585fdcp-3, -0x1.5f9df5e1a4d78p-3, -0x1.5969032157d79p-3, -0x1.53471f78b0e89p-3, -0x1.4d38537ae3de5p-3, -0x1.473ca54ab4c0fp-3, -0x1.415418aae99bep-3, -0x1.3b7eaf0ec5fa7p-3, -0x1.35bc67aa7a13dp-3, -0x1.300d3f83949ap-3, -0x1.2a713181612fbp-3, -0x1.24e8367d3a8dp-3, -0x1.1f724552c5c5bp-3, -0x1.1a0f52f0124acp-3, -0x1.14bf5265a22c7p-3, -0x1.0f8234f6500dcp-3, -0x1.0a57ea270bc0fp-3, -0x1.05405fce78fbcp-3, -0x1.003b8224604ep-3, -0x1.f69277a1e4b68p-4, -0x1.ecd2ebf7b7293p-4, -0x1.e33830b659b0fp-4, -0x1.d9c212841409ap-4, -0x1.d0705b5e47848p-4, -0x1.c742d2b601dd2p-4, -0x1.be393d8c0c1ccp-4, -0x1.b5535e8c8e2e8p-4, -0x1.ac90f62a40198p-4, -0x1.a3f1c2b9174a3p-4, -0x1.9b7580887dfdep-4, -0x1.931be9fd0dc61p-4, -0x1.8ae4b7a9c4591p-4, -0x1.82cfa068c175fp-4, -0x1.7adc597379a11p-4, -0x1.730a967a6cad1p-4, -0x1.6b5a09bc54ce7p-4, -0x1.63ca641cd3806p-4, -0x1.5c5b553a982ecp-4, -0x1.550c8b8504851p-4, -0x1.4dddb45149743p-4, -0x1.46ce7bef01dccp-4, -0x1.3fde8dbc464aep-4, -0x1.390d94393e28fp-4, -0x1.325b391b2fa52p-4, -0x1.2bc7255f065f1p-4, -0x1.2551015b6058p-4, -0x1.1ef874d211d89p-4, -0x1.18bd27012fc64p-4, -0x1.129ebeb396e92p-4, -0x1.0c9ce250f50efp-4, -0x1.06b737ed59d96p-4, -0x1.00ed65584612p-4, -0x1.f67e20568d106p-5, -0x1.eb57bbb025d1bp-5, -0x1.e066e76c70407p-5, -0x1.d5aaee2099613p-5, -0x1.cb231a616126p-5, -0x1.c0ceb6dbb5d7bp-5, -0x1.b6ad0e6c76c27p-5, -0x1.acbd6c3750c6fp-5, -0x1.a2ff1bbcc3f26p-5, -0x1.997168ef5a336p-5, -0x1.9013a04804f8ep-5, -0x1.86e50ed9acfccp-5, -0x1.7de502640030ep-5, -0x1.7512c9657015ap-5, -0x1.6c6db32c753c2p-5, -0x1.63f50fe809877p-5, -0x1.5ba830b77c019p-5, -0x1.538667b976dc9p-5, -0x1.4b8f081a64a86p-5, -0x1.43c166221c1cep-5, -0x1.3c1cd740ecdbfp-5, -0x1.34a0b21bf5f11p-5, -0x1.2d4c4e98e9f43p-5, -0x1.261f05e92886dp-5, -0x1.1f18329445cdbp-5, -0x1.18373081f3961p-5, -0x1.117b5d035a92fp-5, -0x1.0ae416dbe7ecap-5, -0x1.0470be498c50ap-5, -0x1.fc416a18db20dp-6, -0x1.efe6bcdc435ccp-6, -0x1.e3d03e90bffcbp-6, -0x1.d7fcbc166a08ep-6, -0x1.cc6b058587f54p-6, -0x1.c119ee391c7e3p-6, -0x1.b6084cd899f93p-6, -0x1.ab34fb60ab508p-6, -0x1.a09ed72b34728p-6, -0x1.9644c0f681c23p-6, -0x1.8c259ceba6889p-6, -0x1.824052a420ec3p-6, -0x1.7893cd2ec63f1p-6, -0x1.6f1efb13f0998p-6, -0x1.65e0ce59000ddp-6, -0x1.5cd83c833731dp-6, -0x1.54043e99f7386p-6, -0x1.4b63d12858c8cp-6, -0x1.42f5f43e289e6p-6, -0x1.3ab9ab7061f9ep-6, -0x1.32adfdd9154c1p-6, -0x1.2ad1f616c4401p-6, -0x1.2324a24b44092p-6, -0x1.1ba5141a1d817p-6, -0x1.145260a67d662p-6, -0x1.0d2ba090ac3ebp-6, -0x1.062feff31e1efp-6, -0x1.febcdcbe250cep-7, -0x1.f16c7db1bf9c6p-7, -0x1.e46d0fa7965e1p-7, -0x1.d7bce65b2c613p-7, -0x1.cb5a5c5369ad3p-7, -0x1.bf43d2d846cc6p-7, -0x1.b377b1e7fde5dp-7, -0x1.a7f4682b8beb5p-7, -0x1.9cb86aeac400ap-7, -0x1.91c235ffc3da8p-7, -0x1.87104bc9f34d8p-7, -0x1.7ca13520896bdp-7, -0x1.72738144af1f5p-7, -0x1.6885c5d324814p-7, -0x1.5ed69eb59e6c1p-7, -0x1.5564ae13b0a4ep-7, -0x1.4c2e9c436664ep-7, -0x1.433317b9918f4p-7, -0x1.3a70d4f9d0943p-7, -0x1.31e68e864daddp-7, -0x1.299304cf3baf1p-7, -0x1.2174fe221c138p-7, -0x1.198b4698c9cf2p-7, -0x1.11d4b0085dfa5p-7, -0x1.0a5011efe022fp-7, -0x1.02fc4966e499fp-7, -0x1.f7b07217dc79p-8, -0x1.e9c591e562459p-8, -0x1.dc35cd24b42f6p-8, -0x1.ceff09672fb7dp-8, -0x1.c21f36bd847ep-8, -0x1.b5944f939029fp-8, -0x1.a95c588c3f1ffp-8, -0x1.9d75605d6d7d1p-8, -0x1.91dd7fabab14ap-8, -0x1.8692d8e6011efp-8, -0x1.7b939821e0279p-8, -0x1.70ddf2f6e3c36p-8, -0x1.6670285aa9faap-8, -0x1.5c48807cdc3cdp-8, -0x1.52654ca3419eep-8, -0x1.48c4e705d7927p-8, -0x1.3f65b2ab554bp-8, -0x1.36461b45872acp-8, -0x1.2d64950de2335p-8, -0x1.24bf9ca27849cp-8, -0x1.1c55b6e2d9e6fp-8, -0x1.142570cd62765p-8, -0x1.0c2d5f5caf7c2p-8, -0x1.046c1f655c6b6p-8, -0x1.f9c0aae7b2ff7p-9, -0x1.eb115b5547f8ep-9, -0x1.dcc7b741766e7p-9, -0x1.cee13480c856ap-9, -0x1.c15b574c55f26p-9, -0x1.b433b200b6ed2p-9, -0x1.a767e4dcdea8fp-9, -0x1.9af59dc2441e3p-9, -0x1.8eda97f547a7dp-9, -0x1.83149bde706bfp-9, -0x1.77a17ecc46d4cp-9, -0x1.6c7f22b5e7aeap-9, -0x1.61ab75fe519cdp-9, -0x1.572473381b43bp-9, -0x1.4ce820ea21b51p-9, -0x1.42f49154dbcf3p-9, -0x1.3947e23870f32p-9, -0x1.2fe03c9b672a2p-9, -0x1.26bbd4925e627p-9, -0x1.1dd8e9081efc9p-9, -0x1.1535c3867c94dp-9, -0x1.0cd0b80034ff7p-9, -0x1.04a8249b472e3p-9, -0x1.f974e2f85f889p-10, -0x1.ea0c2123d2051p-10, -0x1.db12fac548f36p-10, -0x1.cc8679b2493a6p-10, -0x1.be63ba25ea875p-10, -0x1.b0a7ea5eac178p-10, -0x1.a3504a3dc4effp-10, -0x1.965a2ae80f08ap-10, -0x1.89c2ee6871469p-10, -0x1.7d880753bf41cp-10, -0x1.71a6f86dee31cp-10, -0x1.661d5450ab61cp-10, -0x1.5ae8bd139b1cp-10, -0x1.5006e3f64fcf5p-10, -0x1.4575890afafa4p-10, -0x1.3b327ae32d029p-10, -0x1.313b963e01d6bp-10, -0x1.278ec5b744229p-10, -0x1.1e2a017840dbfp-10, -0x1.150b4ee9d8504p-10, -0x1.0c30c06832085p-10, -0x1.039874f7878dep-10, -0x1.f6812ff51ca1cp-11, -0x1.e64ec1d41e591p-11, -0x1.d696261bf2ef2p-11, -0x1.c753fa6eee04cp-11, -0x1.b884f2f933d21p-11, -0x1.aa25d9ea1586cp-11, -0x1.9c338ef0dbde3p-11, -0x1.8eab06bb468c5p-11, -0x1.81894a76bef8ap-11, -0x1.74cb7754c11adp-11, -0x1.686ebe106ce6fp-11, -0x1.5c70627781331p-11, -0x1.50cdbaf4c7755p-11, -0x1.4584301dd971p-11, -0x1.3a913c428ca72p-11, -0x1.2ff26afedf8a4p-11, -0x1.25a558cf243afp-11, -0x1.1ba7b2a6b1fb6p-11, -0x1.11f7358801674p-11, -0x1.0891ae1fae2fep-11, -0x1.fee9f0c17f2a2p-12, -0x1.ed3dfe486c9eap-12, -0x1.dc1b77932e429p-12, -0x1.cb7e6bb438a8p-12, -0x1.bb63055b14f85p-12, -0x1.abc58a2358545p-12, -0x1.9ca259e51b5d1p-12, -0x1.8df5ee0bf4f79p-12, -0x1.7fbcd8ee9eda5p-12, -0x1.71f3c52cd4607p-12, -0x1.6497751053e7ep-12, -0x1.57a4c1f0801f5p-12, -0x1.4b189b99d1422p-12, -0x1.3ef007ba4ac18p-12, -0x1.3328214e8a0d2p-12, -0x1.27be18147d441p-12, -0x1.1caf300025aa2p-12, -0x1.11f8c0b35b548p-12, -0x1.079834f9a5ac6p-12, -0x1.fb16148e309ddp-13, -0x1.e79da0725d46bp-13, -0x1.d4c25036c8e86p-13, -0x1.c27f88df154cap-13, -0x1.b0d0d0ee0509dp-13, -0x1.9fb1cf7fecf19p-13, -0x1.8f1e4b6b42f19p-13, -0x1.7f122a63dfcf7p-13, -0x1.6f897026db26ep-13, -0x1.60803da9b27a7p-13, -0x1.51f2d04dca75dp-13, -0x1.43dd811bd2b2cp-13, -0x1.363cc400e58c7p-13, -0x1.290d2712c9b56p-13, -0x1.1c4b51d630b52p-13, -0x1.0ff4048c3de37p-13, -0x1.04041782d7a95p-13, -0x1.f0f0f4d5bcb97p-14, -0x1.da9c676180ca7p-14, -0x1.c504bfb4fa2ddp-14, -0x1.b02461d52aeb6p-14, -0x1.9bf5db89d211bp-14, -0x1.8873e333a7106p-14, -0x1.759956a582a6ap-14, -0x1.63613a07b9ec6p-14, -0x1.51c6b6c252e1cp-14, -0x1.40c51a708f80ep-14, -0x1.3057d5d84afe2p-14, -0x1.207a7be893a26p-14, -0x1.1128c0c2befd5p-14, -0x1.025e78c5a91d9p-14, -0x1.e82f2f3fd04bfp-15, -0x1.cca05edc5808bp-15, -0x1.b208dfa97b27ep-15, -0x1.98614a522b49dp-15, -0x1.7fa26f384ba1cp-15, -0x1.67c554da02c4cp-15, -0x1.50c3363ce7fddp-15, -0x1.3a95816755e25p-15, -0x1.2535d5e8ea9bbp-15, -0x1.109e0361e2eacp-15, -0x1.f9901039b94efp-16, -0x1.d35c1f69280b7p-16, -0x1.ae94e3745f0e6p-16, -0x1.8b2f60db87b4ep-16, -0x1.6920eef2ee9b4p-16, -0x1.485f357abe8e5p-16, -0x1.28e02a360022fp-16, -0x1.0a9a0e9c4f91ap-16, -0x1.db06db5211ad6p-17, -0x1.a3263339dae97p-17, -0x1.6d8053cb72d4cp-17, -0x1.3a03f21e7d2cap-17, -0x1.08a045864acf7p-17, -0x1.b28a07630517ap-18, -0x1.57c4b9bae9c68p-18, -0x1.00d1f06d7372p-18, -0x1.5b27c0fae117dp-19, -0x1.77b67ad8cc9ffp-20, -0x1.1c318f89bef1fp-22, 0x1.b83781b979e0ep-21, 0x1.f22bc0a2d01a2p-20, 0x1.7dc52831bc99p-19, 0x1.fc4d9239066b3p-19, 0x1.3a6fc1f378b07p-18, 0x1.73d4fca3ebefdp-18, 0x1.aa6d47f3c4008p-18, 0x1.de4ec8a1496dap-18, 0x1.07c77f48e42e2p-17, 0x1.1f2164e6f1646p-17, 0x1.353f37abe3cecp-17, 0x1.4a2acedf96734p-17, 0x1.5dedb8e70d05bp-17, 0x1.70913d74c510fp-17, 0x1.821e5fa64b1e1p-17, 0x1.929de01a81623p-17, 0x1.a2183ef5b50e8p-17, 0x1.b095bdd373b22p-17, 0x1.be1e61a6af12ap-17, 0x1.cab9f48e932e7p-17, 0x1.d67007a1c5f7dp-17, 0x1.e147f4a94830bp-17, 0x1.eb48dfc1416bap-17, 0x1.f479b8fd9bb54p-17, 0x1.fce13dfe44b26p-17, 0x1.0242fdb6b5eb2p-16, 0x1.05b7273cecf09p-16, 0x1.08d03323569eep-16, 0x1.0b9122a5bf304p-16, 0x1.0dfce1585f4adp-16, 0x1.101645c677bbcp-16, 0x1.11e01218acf2ap-16, 0x1.135cf4b0eb61dp-16, 0x1.148f88c18173ap-16, 0x1.157a56db265cap-16, 0x1.161fd5801e36ep-16, 0x1.168269aa3795bp-16, 0x1.16a4674fd4d2ap-16, 0x1.168811e2eaffap-16, 0x1.162f9cd08bebp-16, 0x1.159d2bfa7fb9ap-16, 0x1.14d2d4293a239p-16, 0x1.13d29b7c2b983p-16, 0x1.129e79d8eaf34p-16, 0x1.113859560c632p-16, 0x1.0fa216a0ff0ddp-16, 0x1.0ddd815fbca73p-16, 0x1.0bec5c9524db5p-16, 0x1.09d05efac1317p-16, 0x1.078b335c0be26p-16, 0x1.051e78eb08c16p-16, 0x1.028bc398da7aap-16, 0x1.ffa938ce25269p-17, 0x1.f9f5036c99de5p-17, 0x1.f3fdcf24e7a49p-17, 0x1.edc66ff88d86ap-17, 0x1.e751a664ae28bp-17, 0x1.e0a21feedafafp-17, 0x1.d9ba77a7a4dcbp-17, 0x1.d29d36b1cbeep-17, 0x1.cb4cd4bfac6d9p-17, 0x1.c3cbb88aab50cp-17, 0x1.bc1c384caf709p-17, 0x1.b4409a2bcd027p-17, 0x1.ac3b14b5c7065p-17, 0x1.a40dcf42fca38p-17, 0x1.9bbae263cc2e5p-17, 0x1.934458403e174p-17, 0x1.8aac2cfb79bffp-17, 0x1.81f44f12a6a74p-17, 0x1.791e9fbba81dbp-17, 0x1.702cf338c358dp-17, 0x1.6721113240075p-17, 0x1.5dfcb509220b3p-17, 0x1.54c18e2774a02p-17, 0x1.4b71404e92dedp-17, 0x1.420d63e0f3a77p-17, 0x1.3897863105b86p-17, 0x1.2f1129c50b094p-17, 0x1.257bc69e33fbap-17, 0x1.1bd8ca78f9bd1p-17, 0x1.1229990d14805p-17, 0x1.086f8c50dff3ap-17, 0x1.fd57e96ac9b2bp-18, 0x1.e9c032bf2de75p-18, 0x1.d61a70c346724p-18, 0x1.c2690dea20e3dp-18, 0x1.aeae635e52698p-18, 0x1.9aecb96cb532ap-18, 0x1.872647e9dd748p-18, 0x1.735d36984eadep-18, 0x1.5f939d84ef674p-18, 0x1.4bcb8569f9274p-18, 0x1.3806e801e3767p-18, 0x1.2447b060867eap-18, 0x1.108fbb4cefcaap-18, 0x1.f9c1af316f74ap-19, 0x1.d2798cd9e6ecfp-19, 0x1.ab4a77242c49ap-19, 0x1.8437bb8ad2adcp-19, 0x1.5d448dfe911f7p-19, 0x1.36740979275f1p-19, 0x1.0fc9308d3f708p-19, 0x1.d28ddbed4eaedp-20, 0x1.85e02a2bc3983p-20, 0x1.398ec4ef7705cp-20, 0x1.db3df154293cep-21, 0x1.442bcc07400e8p-21, 0x1.5be20b6e6b712p-22, 0x1.89736798fdb14p-25, -0x1.ef616d4829e3cp-23, -0x1.0f54b99013becp-21, -0x1.a1d53c970477p-21, -0x1.19a8c4cd34918p-20, -0x1.61e0c877de2dfp-20, -0x1.a98ec6447a8b8p-20, -0x1.f0aeff382ba29p-20, -0x1.1b9eebbc7326ep-19, -0x1.3e9beae0bb976p-19, -0x1.614cd1481d359p-19, -0x1.83b003bce303fp-19, -0x1.a5c3f742bb771p-19, -0x1.c78730bad4401p-19, -0x1.e8f8448f5a9bap-19, -0x1.050aeb2afe55fp-18, -0x1.156f4c44efe7bp-18, -0x1.25a8a61f9e636p-18, -0x1.35b660674a3fcp-18, -0x1.4597e9c8890eep-18, -0x1.554cb7c6e5069p-18, -0x1.64d4469cda9cdp-18, -0x1.742e191081adap-18, -0x1.8359b8549a50dp-18, -0x1.9256b3e6bc23fp-18, -0x1.a124a16d372e6p-18, -0x1.afc31c977d938p-18, -0x1.be31c6fc7495dp-18, -0x1.cc7047fc6ce88p-18, -0x1.da7e4c9e1b8d5p-18, -0x1.e85b876f6d046p-18, -0x1.f607b06c1753fp-18, -0x1.01c1426e65a4dp-17, -0x1.0865e39d62525p-17, -0x1.0ef19f8a7d84p-17, -0x1.15645c78db245p-17, -0x1.1bbe031b01808p-17, -0x1.21fe7e818c0bfp-17, -0x1.2825bc122aafep-17, -0x1.2e33ab776e725p-17, -0x1.34283e95fb06ap-17, -0x1.3a03697f89a26p-17, -0x1.3fc52265ca871p-17, -0x1.456d618eacad1p-17, -0x1.4afc21486167ep-17, -0x1.50715ddb72293p-17, -0x1.55cd15820a2d6p-17, -0x1.5b0f485b80ec7p-17, -0x1.6037f85fc1ab4p-17, -0x1.65472955abb0dp-17, -0x1.6a3ce0c7abf09p-17, -0x1.6f1925f9263c4p-17, -0x1.73dc01dabcc97p-17, -0x1.78857f005678cp-17, -0x1.7d15a998030d7p-17, -0x1.818c8f5e27511p-17, -0x1.85ea3f94e5e0ep-17, -0x1.8a2ecaf9bc411p-17, -0x1.8e5a43bb5de7fp-17, -0x1.926cbd716dbfbp-17, -0x1.96664d11263adp-17, -0x1.9a4708e5d110ep-17, -0x1.9e0f0886c08dep-17, -0x1.a1be64cf8f1aap-17, -0x1.a55537d55d324p-17, -0x1.a8d39cdf5bdb9p-17, -0x1.ac39b05ece399p-17, -0x1.af878fe46a171p-17, -0x1.b2bd5a1a56318p-17, -0x1.b5db2eba6d075p-17, -0x1.b8e12e8727ep-17, -0x1.bbcf7b430d5d4p-17, -0x1.bea637a972b7cp-17, -0x1.c1658766a438cp-17, -0x1.c40d8f0f2fc3fp-17, -0x1.c69e741a9a28bp-17, -0x1.c9185cda54a46p-17, -0x1.cb7b70720db6cp-17, -0x1.cdc7d6d2e3d4p-17, -0x1.cffdb8b221422p-17, -0x1.d21d3f84254bdp-17, -0x1.d426957313256p-17, -0x1.d619e55b758e3p-17, -0x1.d7f75ac271c58p-17, -0x1.d9bf21d08f97ap-17, -0x1.db71674d89264p-17, -0x1.dd0e58962bb7dp-17, -0x1.de9623989dac7p-17, -0x1.e008f6ce472a5p-17, -0x1.e1670134dcda5p-17, -0x1.e2b07248a9232p-17, -0x1.e3e579ff14cd6p-17, -0x1.e50648c23a44dp-17, -0x1.e6130f694082dp-17, -0x1.e70bff32f66ebp-17, -0x1.e7f149c269874p-17, -0x1.e8c32117f3811p-17, -0x1.e981b78cfba58p-17, -0x1.ea2d3fcd34003p-17, -0x1.eac5ecd3c4787p-17, -0x1.eb4bf1e4dd06p-17, -0x1.ebbf8287f7b71p-17, -0x1.ec20d287896d1p-17, -0x1.ec7015e7a2583p-17, -0x1.ecad80e236ce2p-17, -0x1.ecd947e4dd636p-17, -0x1.ecf39f8a6b361p-17, -0x1.ecfcbc964c18cp-17, -0x1.ecf4d3f18f68bp-17, -0x1.ecdc1aa6bf0adp-17, -0x1.ecb2c5ddea4abp-17, -0x1.ec790ad72d0d9p-17, -0x1.ec2f1ee73983ap-17, -0x1.ebd537750f0c4p-17, -0x1.eb6b89f4f1d28p-17, -0x1.eaf24be4d1e77p-17, -0x1.ea69b2c8648a8p-17, -0x1.e9d1f42639a4ep-17, -0x1.e92b45834f0b4p-17, -0x1.e875dc60e4344p-17, -0x1.e7b1ee3a482c9p-17, -0x1.e6dfb07ee3684p-17, -0x1.e5ff588faf3e7p-17, -0x1.e5111bbd4beb7p-17, -0x1.e4152f4416f6dp-17, -0x1.e30bc848eba83p-17, -0x1.e1f51bd6d4279p-17, -0x1.e0d15edca0adcp-17, -0x1.dfa0c62a71bb5p-17, -0x1.de63866d80acbp-17, -0x1.dd19d42dfef89p-17, -0x1.dbc3e3cc4e423p-17, -0x1.da61e980f642cp-17, -0x1.d8f41956c1579p-17, -0x1.d77aa72a85be8p-17, -0x1.d5f5c6a7547c2p-17, -0x1.d465ab45507b3p-17, -0x1.d2ca8846dc881p-17, -0x1.d12490b8c7fep-17, -0x1.cf73f76dddb54p-17, -0x1.cdb8eefcd31c3p-17, -0x1.cbf3a9bec038dp-17, -0x1.ca2459cd991b8p-17, -0x1.c84b3101b252dp-17, -0x1.c66860f072925p-17, -0x1.c47c1aea81351p-17, -0x1.c2868ffae84d2p-17, -0x1.c087f0e4b026ap-17, -0x1.be806e20dcc9dp-17, -0x1.bc7037dd607c6p-17, -0x1.ba577dfa7669dp-17, -0x1.b836700cc4d62p-17, -0x1.b60d3d58408c8p-17, -0x1.b3dc14d056aacp-17, -0x1.b1a32515b7b2cp-17, -0x1.af629c765d4e2p-17, -0x1.ad1aa8eaf4d14p-17, -0x1.aacb78196c128p-17, -0x1.a875374fbdcacp-17, -0x1.a61813845505cp-17, -0x1.a3b4395463fe3p-17, -0x1.a149d503e870cp-17, -0x1.9ed9127bc02d1p-17, -0x1.9c621d49cd1d4p-17, -0x1.99e5209f70299p-17, -0x1.976247516c658p-17, -0x1.94d9bbd7822e6p-17, -0x1.924ba84a1edb4p-17, -0x1.8fb83662aa8f5p-17, -0x1.8d1f8f7a2724dp-17, -0x1.8a81dc8924a5ap-17, -0x1.87df4628d76fcp-17, -0x1.8537f48fc75e6p-17, -0x1.828c0f924bbabp-17, -0x1.7fdbbea1f3e96p-17, -0x1.7d2728cd43aefp-17, -0x1.7a6e74bf5b468p-17, -0x1.77b1c8c227fd7p-17, -0x1.74f14ab9ac842p-17, -0x1.722d2025ff18dp-17, -0x1.6f656e21f6dbdp-17, -0x1.6c9a5963f7038p-17, -0x1.69cc063cf6fb6p-17, -0x1.66fa9898c4af2p-17, -0x1.642633fdbb0afp-17, -0x1.614efb8d228a2p-17, -0x1.5e75120300377p-17, -0x1.5b9899b58fa5fp-17, -0x1.58b9b494a74c1p-17, -0x1.55d8842a5cce8p-17, -0x1.52f5299a76534p-17, -0x1.500fc5a4bf24cp-17, -0x1.4d2878a29fe43p-17, -0x1.4a3f62875b10ap-17, -0x1.4754a2e0af71fp-17, -0x1.446858d6d6831p-17, -0x1.417aa32b937c1p-17, -0x1.3e8ba03e6be57p-17, -0x1.3b9b6e096146dp-17, -0x1.38aa2a20d633dp-17, -0x1.35b7f1b4c4001p-17, -0x1.32c4e190a2ae2p-17, -0x1.2fd1161c054cfp-17, -0x1.2cdcab5ac9f53p-17, -0x1.29e7bced1f436p-17, -0x1.26f2660fd710cp-17, -0x1.23fcc19e17f2cp-17, -0x1.2106ea1014374p-17, -0x1.1e10f97c76376p-17, -0x1.1b1b0996f4e2p-17, -0x1.182533b274335p-17, -0x1.152f90c023aadp-17, -0x1.123a39525f712p-17, -0x1.0f45459ad6349p-17, -0x1.0c50cd6b2d73cp-17, -0x1.095ce835ff224p-17, -0x1.0669ad0ed85c4p-17, -0x1.037732aa28407p-17, -0x1.00858f6089dbcp-17, -0x1.fb29b25bc61b5p-18, -0x1.f54a4b60a56d6p-18, -0x1.ef6d145360ff2p-18, -0x1.e992370020908p-18, -0x1.e3b9dc7d60c19p-18, -0x1.dde42d2c363b3p-18, -0x1.d81150ba56839p-18, -0x1.d2416e21818a2p-18, -0x1.cc74abaaef502p-18, -0x1.c6ab2ef06204cp-18, -0x1.c0e51cdc13924p-18, -0x1.bb2299aa5417dp-18, -0x1.b563c8e946c14p-18, -0x1.afa8cd7d3b36p-18, -0x1.a9f1c99d958a8p-18, -0x1.a43ededca2074p-18, -0x1.9e902e235a911p-18, -0x1.98e5d7b48fb8ep-18, -0x1.933ffb2da1c74p-18, -0x1.8d9eb7879807bp-18, -0x1.88022b1806cadp-18, -0x1.826a73962197p-18, -0x1.7cd7ae1a35211p-18, -0x1.7749f71cf16d2p-18, -0x1.71c16a79b5381p-18, -0x1.6c3e236f79bdap-18, -0x1.66c03ca3f5271p-18, -0x1.6147d023a04f2p-18, -0x1.5bd4f764160f1p-18, -0x1.5667cb4364001p-18, -0x1.5100640c2f756p-18, -0x1.4b9ed975bf48ep-18, -0x1.464342a66c737p-18, -0x1.40edb63394375p-18, -0x1.3b9e4a224ad3fp-18, -0x1.365513ebc07c6p-18, -0x1.3112287ba1234p-18, -0x1.2bd59c32e0715p-18, -0x1.269f82ea2f445p-18, -0x1.216feff23ace5p-18, -0x1.1c46f61556e0ap-18, -0x1.1724a797d1cbfp-18, -0x1.12091639af18fp-18, -0x1.0cf453396156ap-18, -0x1.07e66f55ace39p-18, -0x1.02df7ace2ac92p-18, -0x1.fbbf0ac91f2cp-19, -0x1.f1cd3cb99ecabp-19, -0x1.e7e9a8fffe545p-19, -0x1.de146c3c0aa29p-19, -0x1.d44da21c8ba8fp-19, -0x1.ca9565635b4e8p-19, -0x1.c0ebcfe5a31cdp-19, -0x1.b750fa9267718p-19, -0x1.adc4fd71fbfd9p-19, -0x1.a447efadb6b07p-19, -0x1.9ad9e78dd5e1fp-19, -0x1.917afa7b3fa72p-19, -0x1.882b3d07cfcf9p-19, -0x1.7eeac2ece1c56p-19, -0x1.75b99f0ec4d81p-19, -0x1.6c97e38076da8p-19, -0x1.6385a186d4685p-19, -0x1.5a82e99b14bb4p-19, -0x1.518fcb6bc0f9p-19, -0x1.48ac55df647ep-19, -0x1.3fd8971832bb9p-19, -0x1.37149c7944a48p-19, -0x1.2e6072a521f9ap-19, -0x1.25bc2584b3acp-19, -0x1.1d27c045fb474p-19, -0x1.14a34d5e62f85p-19, -0x1.0c2ed691197a4p-19, -0x1.03ca64eebb0a7p-19, -0x1.f6ec01b2fa079p-20, -0x1.e663640c97961p-20, -0x1.d5fafefe89d5p-20, -0x1.c5b2df52620b6p-20, -0x1.b58b1084be03ap-20, -0x1.a5839cd10dc8p-20, -0x1.959c8d31cc215p-20, -0x1.85d5e9632232fp-20, -0x1.762fb7ef26469p-20, -0x1.66a9fe2f4de25p-20, -0x1.5744c04c3e83ep-20, -0x1.4800014b0a101p-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      36, 0x1.5ae147ae147aep+2, 0x1.90346624eee5bp+1, 0x1.05e85d12fb3bap+3, 0x1.2c37e36df79cp-9, 
      {{
        {0x1.d5c28f5c28f5cp+1, 0x1.d99999999999ap+1, 0x1.43f22aefd9ac3p-5, -0x1.dd176520bcafp-4, 0x1.74eb1a8fec227p-3, -0x1.230071d8c773fp-3}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.28a1ae130971ep-5, -0x1.b1e99f95e91a2p-4, 0x1.5aba6c79da2edp-3, -0x1.188cff3a4aec9p-3}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.00913b3ba29d9p-5, -0x1.70c6741e6a1c7p-4, 0x1.30a546311bbecp-3, -0x1.0c8eda7ff504ep-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.bd3434e85051cp-6, -0x1.37dfdc8ed509cp-4, 0x1.085ca56ab6fe1p-3, -0x1.00e9b38343b6fp-3}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.83dbff61765bdp-6, -0x1.06db13ed60d07p-4, 0x1.c3a661c7a6782p-4, -0x1.ea8886fe0986ap-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.538f37b293812p-6, -0x1.babd53c36fd6cp-5, 0x1.7a11e7218b71p-4, -0x1.d28df3b6b5d87p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.2ad539931dd9p-6, -0x1.761fb745de5b5p-5, 0x1.341635c6235cfp-4, -0x1.bd52bf79d252fp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.08475aa2256ddp-6, -0x1.3f2fb711fcfffp-5, 0x1.e2939881546e6p-5, -0x1.9b4e1912fc4afp-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.d52277875856bp-7, -0x1.15192ac180057p-5, 0x1.672f5dc86f253p-5, -0x1.388a1e11695bcp-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a0fe897c3b639p-7, -0x1.ebbc5d41d5ef7p-6, 0x1.096c54c335f07p-5, -0x1.a9fe933cbf99ep-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.72430e8066f2cp-7, -0x1.bd0a8445f1dcp-6, 0x1.930c4a2765972p-6, -0x1.b8a2fdf779d55p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.47a9b4a74d834p-7, -0x1.980a829a42dacp-6, 0x1.50f3d74246843p-6, -0x1.808e875b6e07ep-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.2085003ebf0fbp-7, -0x1.77111d02af5eap-6, 0x1.428818953f30dp-6, -0x1.631806891ea2bp-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.f934e5af6418p-8, -0x1.577abfaf37ab2p-6, 0x1.353731f01ad78p-6, -0x1.6a1fec7eacf7cp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.b78ec05caf49bp-8, -0x1.393ca62c90824p-6, 0x1.27a2cc44f45b2p-6, -0x1.6a1fe80793cfp-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.7bd242f705394p-8, -0x1.1c5a306c154f1p-6, 0x1.1a0e66c4ab9cap-6, -0x1.6c022cc563f71p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.45b9d6e91b151p-8, -0x1.00d445e8c94b9p-6, 0x1.0c67eb7d44a9dp-6, -0x1.6d63371c1d2ffp-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.14ff9c96b5aedp-8, -0x1.cd58ef2add49ep-7, 0x1.fd68660ba0bd3p-7, -0x1.6ee6e1da5f583p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.d2bad6b952ff3p-9, -0x1.9bc851f847d01p-7, 0x1.e1e3e1e80cc9dp-7, -0x1.706145618c25ep-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8519a321b54dfp-9, -0x1.6cf993a3ae6b8p-7, 0x1.c642fcb3ef13bp-7, -0x1.71de255d7acf1p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.408e290479d52p-9, -0x1.40ef8d11b7ee3p-7, 0x1.aa8586b352aa6p-7, -0x1.735a5abd92b97p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.048a60f1a76fep-9, -0x1.17ad18e641d09p-7, 0x1.8eab8cb1e7a93p-7, -0x1.74d6be18225e2p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.a0ff62d6c886ap-10, -0x1.e26a229b08c1ap-8, 0x1.72b50b3ce515bp-7, -0x1.76531424c8befp-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.47bdddcbeb836p-10, -0x1.9b14a1262bce5p-8, 0x1.56a20353bc6d9p-7, -0x1.77cf716e83cf2p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.f8616f1f02abcp-11, -0x1.595f61f973e8fp-8, 0x1.3a72746b728bp-7, -0x1.794bbf11e1ddap-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.7a6ea1a5242dp-11, -0x1.1d50199041e46p-8, 0x1.1e265fb0819ap-7, -0x1.7ac84411a269ap-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.135fcc54c8f44p-11, -0x1.cdd8f9646ab37p-9, 0x1.01bdc0fbfbd23p-7, -0x1.7c43fb462d322p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.81de4041f7308p-12, -0x1.6c747e0c322cp-9, 0x1.ca714f7a3da9dp-8, -0x1.7dc2b24b29e03p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.01a90b8a87cf4p-12, -0x1.167e30d398636p-9, 0x1.912db4bbc42eep-8, -0x1.7f3637d9a2483p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.431677169b8a5p-13, -0x1.9802c3fec5e5p-10, 0x1.57b25f8e523dfp-8, -0x1.80d38371b6e9dp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.73ae037535dacp-14, -0x1.1a13ae8422cc4p-10, 0x1.1df90bd6dd338p-8, -0x1.81d4e859d8237p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.795fdd542da2ap-15, -0x1.66868038cfaf7p-11, 0x1.c832385f9329bp-9, -0x1.851c21f81b176p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.3aa3badefbab1p-16, -0x1.8ec97b42ef74ap-12, 0x1.5376949524a31p-9, -0x1.7fe7ef6df2688p-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.6fd00cdfc8fep-18, -0x1.5a9204d0595b2p-13, 0x1.c095331b84a21p-10, -0x1.9a5b98cf4119ep-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.7ef03043e2bp-21, -0x1.58c291c4c84efp-15, 0x1.94bc7ba4bb26cp-11, -0x1.31eb79f687d83p-8}, 
        {0x1.599999999999ap+2, 0x1.5ae147ae147aep+2, 0x1.48d666bb1bea3p-28, 0x1.245178d84037ep-20, 0x1.2d0f4a4d8db9ap-14, -0x1.0f03ae08d5db9p-5}, 
      }}, 
      0x1.09b7c7d350d3ep+1, -0x1.32e6ea87c1477p+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.b2a46fdb2becap-5, -0x1.3b15e1fccdc0ap-5, -0x1.aec6ec275d871p-6, -0x1.90357b4ac9fe8p-6, -0x1.2d021f22de102p-5, -0x1.044dec55d1efap-4, -0x1.a466b42fb4049p-4, -0x1.33e99d675c6a6p-3, -0x1.9e9ea5ffbe59cp-3, -0x1.04de2ace2a961p-2, -0x1.36c7e965b61e1p-2, -0x1.61dd24b67ffb4p-2, -0x1.83aef794f6dfap-2, -0x1.9a8ed9a58b256p-2, -0x1.a580818cd6c5ap-2, -0x1.a4241f66d9156p-2, -0x1.969d3dd1d9faep-2, -0x1.7d791210db2d9p-2, -0x1.5995f0050cbddp-2, -0x1.2c0ce04af3d1dp-2, -0x1.ec3bbe5a4ad1ap-3, -0x1.723def4058c21p-3, -0x1.d9b8cc419e14cp-4, -0x1.7b31b4c76c90dp-5, 0x1.aaaace30843ffp-6, 0x1.9a24e9ef0ba5dp-4, 0x1.66243b3591abp-3, 0x1.fe7a33e75d40bp-3, 0x1.4a1edb8f4e6fap-2, 0x1.92e9a6750d6f8p-2, 0x1.d8ed1dee2b50fp-2, 0x1.0dcaaf1785f56p-1, 0x1.2d34c85abdd1p-1, 0x1.4a850d0d22dccp-1, 0x1.659752058dfdp-1, 0x1.7e51f545d8a98p-1, 0x1.94a4c8598e923p-1, 0x1.a887ff37c2addp-1, 0x1.b9fb1e474cbd2p-1, 0x1.c904051413ea7p-1, 0x1.d5adfed3d1f35p-1, 0x1.e008e82e1e759p-1, 0x1.e82869e41a9fp-1, 0x1.ee2345d4c85c3p-1, 0x1.f212aff97cea2p-1, 0x1.f411ba427926dp-1, 0x1.f43cd4a69136ap-1, 0x1.f2b1593f8b00ap-1, 0x1.ef8d228b65619p-1, 0x1.eaee2ff160cbcp-1, 0x1.e4f25a6572f44p-1, 0x1.ddb714fb8a4aap-1, 0x1.d55935f91677bp-1, 0x1.cbf4c7c06d05fp-1, 0x1.c1a4e30c2e331p-1, 0x1.b683927de4168p-1, 0x1.aaa9bde421da2p-1, 0x1.9e2f1b5256939p-1, 0x1.912a244e44946p-1, 0x1.83b00f0d36adcp-1, 0x1.75d4cb9089ee7p-1, 0x1.67ab04497ec51p-1, 0x1.5944221f21122p-1, 0x1.4ab052de39c0ap-1, 0x1.3bfe9160e7a83p-1, 0x1.2d3caf4c77b88p-1, 0x1.1e775f5827d0dp-1, 0x1.0fba40de32414p-1, 0x1.010feb972549bp-1, 0x1.e503f862d3711p-2, 0x1.c83241ec9fcb8p-2, 0x1.abba4d9b0a87dp-2, 0x1.8faa0c4887b6dp-2, 0x1.740ddf421fa4ep-2, 0x1.58f0b16ff4646p-2, 0x1.3e5c0fa636db3p-2, 0x1.2458402d77e86p-2, 0x1.0aec59b04e5d3p-2, 0x1.e43cb1b1e6594p-3, 0x1.b3e66b75df412p-3, 0x1.84ddef30ac6b9p-3, 0x1.5729902a6c15cp-3, 0x1.2ace0b483d61bp-3, 0x1.ff9d522f50914p-4, 0x1.ac5abcc1d1d58p-4, 0x1.5bd5d7437da92p-4, 0x1.0e0df20bf8d05p-4, 0x1.8600c717fc903p-5, 0x1.eaa2ed816189bp-6, 0x1.a8078864dcd5ep-7, -0x1.bfce10d10d887p-9, -0x1.397883997850bp-6, -0x1.184feb04903p-5, -0x1.8ecd7baabb423p-5, -0x1.00262323cb598p-4, -0x1.36728a323f344p-4, -0x1.6a58f8102e1e9p-4, -0x1.9be6f7e51778fp-4, -0x1.cb2a84f5adacfp-4, -0x1.f831f2b1dea08p-4, -0x1.1185eda1fc9aap-3, -0x1.25e38664d2d45p-3, -0x1.39393c40166b3p-3, -0x1.4b8e928242a29p-3, -0x1.5ceb0f83ce848p-3, -0x1.6d56379ea3149p-3, -0x1.7cd786c82e6fcp-3, -0x1.8b766c3d6895ep-3, -0x1.993a45fdaebf9p-3, -0x1.a62a5c79a6a0fp-3, -0x1.b24de0077e99fp-3, -0x1.bdabe4d57799ep-3, -0x1.c84b60ddbbd7bp-3, -0x1.d23329ed4840ep-3, -0x1.db69f2c72a1d9p-3, -0x1.e3f64a5dab978p-3, -0x1.ebde9a39c4063p-3, -0x1.f32924f2e8729p-3, -0x1.f9dc06139dab4p-3, -0x1.fffd3111cb0cbp-3, -0x1.02c938325a98fp-2, -0x1.0550b31ec00c1p-2, -0x1.0797c5d9caa1ap-2, -0x1.09a1185645146p-2, -0x1.0b6f3e5f1d709p-2, -0x1.0d04b764d28c2p-2, -0x1.0e63eeac8f07cp-2, -0x1.0f8f3bdbcadeep-2, -0x1.1088e2f2a391ap-2, -0x1.1153148272ef8p-2, -0x1.11efee59bddccp-2, -0x1.12617bcfb8d04p-2, -0x1.12a9b5b44a90ep-2, -0x1.12ca8335863bfp-2, -0x1.12c5ba3bb47c8p-2, -0x1.129d1f860d844p-2, -0x1.1252674094c42p-2, -0x1.11e735b879551p-2, -0x1.115d1f7a9642ap-2, -0x1.10b5a9af69497p-2, -0x1.0ff24ae4f1349p-2, -0x1.0f146b73e01e7p-2, -0x1.0e1d65ae7b83p-2, -0x1.0d0e8652aa701p-2, -0x1.0be90d636aad3p-2, -0x1.0aae2e4cee4dep-2, -0x1.095f1028d4569p-2, -0x1.07fcce598a6d7p-2, -0x1.0688790e8e55dp-2, -0x1.050315996f086p-2, -0x1.036d9e891a132p-2, -0x1.01c90450639f9p-2, -0x1.00162dbb34a4fp-2, -0x1.fcabf05f4b7ccp-3, -0x1.f9126fc957e6bp-3, -0x1.f561707f279ddp-3, -0x1.f19a78d553349p-3, -0x1.edbeff1e9f323p-3, -0x1.e9d069dfe535bp-3, -0x1.e5d0108ffa24p-3, -0x1.e1bf3c8d532f1p-3, -0x1.dd9f2981aa816p-3, -0x1.d97105c7a215dp-3, -0x1.d535f2dea80f3p-3, -0x1.d0ef061ad2e21p-3, -0x1.cc9d493ff2198p-3, -0x1.c841bae202bb2p-3, -0x1.c3dd4e8a54bc3p-3, -0x1.bf70ed6faaa13p-3, -0x1.bafd76f11af57p-3, -0x1.b683c0e8f3fd1p-3, -0x1.b2049802b9b05p-3, -0x1.ad80c011bda57p-3, -0x1.a8f8f47032bcp-3, -0x1.a46de8720df88p-3, -0x1.9fe047b103135p-3, -0x1.9b50b6474cd42p-3, -0x1.96bfd1258e065p-3, -0x1.922e2e4ca62d2p-3, -0x1.8d9c5d407f055p-3, -0x1.890ae72586b02p-3, -0x1.847a4f1ad6029p-3, -0x1.7feb125504829p-3, -0x1.7b5da870b888dp-3, -0x1.76d283aaf2c5bp-3, -0x1.724a1119e5a17p-3, -0x1.6dc4b8df34a46p-3, -0x1.6942de50e8874p-3, -0x1.64c4e024d3c8ep-3, -0x1.604b18b850ec6p-3, -0x1.5bd5de16c5553p-3, -0x1.5765824df6689p-3, -0x1.52fa53720342ap-3, -0x1.4e949bd0c2df8p-3, -0x1.4a34a2254b9afp-3, -0x1.45daa98fd66efp-3, -0x1.4186f1ea00bacp-3, -0x1.3d39b7c8bd3ep-3, -0x1.38f334a27b46fp-3, -0x1.34b39eee8d725p-3, -0x1.307b2a38aebaep-3, -0x1.2c4a07516c2b6p-3, -0x1.28206443567f7p-3, -0x1.23fe6c92a8e6ep-3, -0x1.1fe4493a751a4p-3, -0x1.1bd220d3b2c13p-3, -0x1.17c817a0f1a2fp-3, -0x1.13c64fa876ae5p-3, -0x1.0fcce8c3a4247p-3, -0x1.0bdc00bb6e85cp-3, -0x1.07f3b34caab84p-3, -0x1.04141a4a48b2ap-3, -0x1.003d4da36b082p-3, -0x1.f8dec6f8bfd21p-4, -0x1.f154e06e7597ap-4, -0x1.e9dd0d026ec4fp-4, -0x1.e2776eda1a574p-4, -0x1.db2424fbe6f2dp-4, -0x1.d3e34b45f86c7p-4, -0x1.ccb4fac87228dp-4, -0x1.c59949af6642fp-4, -0x1.be904b6f89437p-4, -0x1.b79a10e2a1c65p-4, -0x1.b0b6a83fa6a7cp-4, -0x1.a9e61d5b24a7dp-4, -0x1.a328799e9b136p-4, -0x1.9c7dc437a386bp-4, -0x1.95e602155e382p-4, -0x1.8f6135face6d2p-4, -0x1.88ef60b7ff423p-4, -0x1.8290810a3decp-4, -0x1.7c4493c5f08aap-4, -0x1.760b93f4f4daap-4, -0x1.6fe57ace8cc5ep-4, -0x1.69d23fe1c686fp-4, -0x1.63d1d90bd8d41p-4, -0x1.5de43a95c8512p-4, -0x1.5809574cf75c5p-4, -0x1.52412072dbd3bp-4, -0x1.4c8b85ec35172p-4, -0x1.46e8764427065p-4, -0x1.4157deb180339p-4, -0x1.3bd9ab364ebb5p-4, -0x1.366dc69ab8805p-4, -0x1.31141a7905abdp-4, -0x1.2bcc8f5c32095p-4, -0x1.26970cb198e0ap-4, -0x1.217378f1eea76p-4, -0x1.1c61b995fee03p-4, -0x1.1761b33c7c078p-4, -0x1.12734996006dp-4, -0x1.0d965f70069e4p-4, -0x1.08cad6de142d2p-4, -0x1.0410911c8bb14p-4, -0x1.fecedd67d746fp-5, -0x1.f59e9f1cced3ap-5, -0x1.ec9025c559878p-5, -0x1.e3a32ea15941fp-5, -0x1.dad775bbfb8fap-5, -0x1.d22cb60ed4dp-5, -0x1.c9a2a9652a31p-5, -0x1.c13908a09f50bp-5, -0x1.b8ef8bbeb1643p-5, -0x1.b0c5e9fa21983p-5, -0x1.a8bbd9ba287afp-5, -0x1.a0d110b3de9a4p-5, -0x1.990543f7618c1p-5, -0x1.915827bad58a6p-5, -0x1.89c96fb052046p-5, -0x1.8258cee51429fp-5, -0x1.7b05f81823803p-5, -0x1.73d09d8f10a7ep-5, -0x1.6cb87166617fbp-5, -0x1.65bd255a456a5p-5, -0x1.5ede6aca8ed61p-5, -0x1.581bf2b99530bp-5, -0x1.51756dbeed09bp-5, -0x1.4aea8c4fccbc3p-5, -0x1.447afebda154fp-5, -0x1.3e267573df72p-5, -0x1.37eca101a663cp-5, -0x1.31cd3209e0076p-5, -0x1.2bc7d920acbd5p-5, -0x1.25dc46b5a214p-5, -0x1.200a2b084816cp-5, -0x1.1a513637d0fd2p-5, -0x1.14b118840f0fap-5, -0x1.0f29827fa32c5p-5, -0x1.09ba25533c234p-5, -0x1.0462b2aa90d84p-5, -0x1.fe45b94af540dp-6, -0x1.f3f4ab04521fap-6, -0x1.e9d19eca77934p-6, -0x1.dfdbf8889567p-6, -0x1.d6131bf03171bp-6, -0x1.cc766d59bb8d3p-6, -0x1.c305524edc539p-6, -0x1.b9bf329c01fb9p-6, -0x1.b0a3782665a22p-6, -0x1.a7b18ecbf8aap-6, -0x1.9ee8e2ff75a7bp-6, -0x1.9648e17797018p-6, -0x1.8dd0f597f5ad9p-6, -0x1.85808a30478bap-6, -0x1.7d5709bf1a1c1p-6, -0x1.7553dfeeb0069p-6, -0x1.6d767b299d13ep-6, -0x1.65be4d76a78b9p-6, -0x1.5e2acc802fefep-6, -0x1.56bb70e60b93dp-6, -0x1.4f6fb4233c4fp-6, -0x1.48470f19769eep-6, -0x1.4140f87f97b16p-6, -0x1.3a5ce4aa4e0e7p-6, -0x1.339a46e82ab7bp-6, -0x1.2cf8934b0990cp-6, -0x1.26774113e48e3p-6, -0x1.2015ccc45cdf6p-6, -0x1.19d3b89b486b1p-6, -0x1.13b08c12dd3e6p-6, -0x1.0dabd167d7971p-6, -0x1.07c512f63a417p-6, -0x1.01fbd8191e40cp-6, -0x1.f89f487138b55p-7, -0x1.ed7fed5b652dfp-7, -0x1.e29899802bb97p-7, -0x1.d7e849dd62514p-7, -0x1.cd6e03a1ee4e1p-7, -0x1.c328da0dade0ap-7, -0x1.b917f093e618cp-7, -0x1.af3a798d67d58p-7, -0x1.a58fb08e17632p-7, -0x1.9c16d24fe8216p-7, -0x1.92cf14d7d5266p-7, -0x1.89b7a234c804ap-7, -0x1.80cf974202276p-7, -0x1.781608d7e92ecp-7, -0x1.6f8a083f206bap-7, -0x1.672aabbddf085p-7, -0x1.5ef715262383p-7, -0x1.56ee78a7d1de6p-7, -0x1.4f101ed483fc5p-7, -0x1.475b63ad76d2p-7, -0x1.3fcfae6d48143p-7, -0x1.386c668322b4ap-7, -0x1.3130e8aac8eeap-7, -0x1.2a1c80de03ae5p-7, -0x1.232e6ac0a97b7p-7, -0x1.1c65d6a675534p-7, -0x1.15c1efc075aa8p-7, -0x1.0f41e2b7a8c6p-7, -0x1.08e4e4c73da58p-7, -0x1.02aa3bbe43554p-7, -0x1.f9228b0ba5022p-8, -0x1.ed32f736868ep-8, -0x1.e184d916fe0eap-8, -0x1.d6175c013c5d2p-8, -0x1.cae996fd89894p-8, -0x1.bffa77b93f7bbp-8, -0x1.b548bd3bb0281p-8, -0x1.aad30d07b8864p-8, -0x1.a097fe5cca134p-8, -0x1.969627f595927p-8, -0x1.8ccc20cea0878p-8, -0x1.83388a7a96d7bp-8, -0x1.79da22a1e3b1dp-8, -0x1.70afdf42f21a5p-8, -0x1.67b8f6f654f27p-8, -0x1.5ef4d48b122dfp-8, -0x1.5662ebbd083cp-8, -0x1.4e028d87d314bp-8, -0x1.45d2d0f28b599p-8, -0x1.3dd2a0d9fb2b6p-8, -0x1.3600d7e2e5115p-8, -0x1.2e5c5e713c971p-8, -0x1.26e42c4c6d938p-8, -0x1.1f9738427aa5p-8, -0x1.187468ba6d3d9p-8, -0x1.117a9cd9604dfp-8, -0x1.0aa8d0028d433p-8, -0x1.03fe38d372084p-8, -0x1.faf4985eb87f6p-9, -0x1.ee393f6141a8ap-9, -0x1.e1c96d62d1b37p-9, -0x1.d5a3c785e52f6p-9, -0x1.c9c697ec7fcc6p-9, -0x1.be30100d3cd03p-9, -0x1.b2de997d2d78ap-9, -0x1.a7d0f72af54b4p-9, -0x1.9d061cb7ec3d9p-9, -0x1.927ccfee8b93ap-9, -0x1.883363c35c1e1p-9, -0x1.7e27cad2c1551p-9, -0x1.7457eb0988bfcp-9, -0x1.6ac2067ec3735p-9, -0x1.6164dbdb710ecp-9, -0x1.583f86a28090fp-9, -0x1.4f5136fb3449ep-9, -0x1.4699010422d4ap-9, -0x1.3e15d430203bdp-9, -0x1.35c69da57bee8p-9, -0x1.2daa7e8517057p-9, -0x1.25c0eb50912eap-9, -0x1.1e09924a8422cp-9, -0x1.1683f13bd8349p-9, -0x1.0f2ee721003b5p-9, -0x1.080896573c036p-9, -0x1.010eb766f61eep-9, -0x1.f47e3a9a592acp-10, -0x1.e73025311cc62p-10, -0x1.da30d7fcfa27dp-10, -0x1.cd7efef89fc5dp-10, -0x1.c119f0a9c162p-10, -0x1.b5014429c7c16p-10, -0x1.a93473ba46b0ep-10, -0x1.9db2deede6e81p-10, -0x1.927c1785f65c9p-10, -0x1.878ff150af565p-10, -0x1.7cee013c09536p-10, -0x1.7294e6d36a10cp-10, -0x1.6881ed35af22fp-10, -0x1.5eb148c2a0d8ap-10, -0x1.551ee2f3328abp-10, -0x1.4bc735e1e98fap-10, -0x1.42a782ca1afebp-10, -0x1.39bdb0c49dd33p-10, -0x1.31087f1293acep-10, -0x1.2887eff4de95dp-10, -0x1.203ccd59b058p-10, -0x1.18279f0f3141fp-10, -0x1.1048612c4add3p-10, -0x1.089f40bb438e8p-10, -0x1.012cc2096a3fp-10, -0x1.f3e13a52cd842p-11, -0x1.e5d180c301e93p-11, -0x1.d823ab56dec62p-11, -0x1.cad0df6e25fd6p-11, -0x1.bdd38a4a9f54fp-11, -0x1.b127a15ea7da1p-11, -0x1.a4caa16baa2ecp-11, -0x1.98ba73b961837p-11, -0x1.8cf3f2b2ab11ap-11, -0x1.8173f55f49ed1p-11, -0x1.763abc2881099p-11, -0x1.6b4b37e776205p-11, -0x1.60a6e3188cfdep-11, -0x1.564d1ed1c4ce2p-11, -0x1.4c3e945530c18p-11, -0x1.427d58cff213dp-11, -0x1.3908922f583c1p-11, -0x1.2fdad0c7e7a3p-11, -0x1.26eccd004dedcp-11, -0x1.1e38b907c407cp-11, -0x1.15bb8deea4456p-11, -0x1.0d7418ea4f5c7p-11, -0x1.0561dabf156a5p-11, -0x1.fb09f1269d49fp-12, -0x1.ebba6ed8b87cp-12, -0x1.dccea1babaf69p-12, -0x1.ce3e3db6bd0bdp-12, -0x1.c00b378e60e3dp-12, -0x1.b23d54a6cd57p-12, -0x1.a4d513511db51p-12, -0x1.97ced7c56a7d6p-12, -0x1.8b2c812e90bbbp-12, -0x1.7eefcdab32978p-12, -0x1.731356d5fc704p-12, -0x1.678e2588726b6p-12, -0x1.5c58caf762729p-12, -0x1.516e3a05fc7bcp-12, -0x1.46cb25c4ce453p-12, -0x1.3c6dafd2488d4p-12, -0x1.32551dd85b6a3p-12, -0x1.28818172d0abbp-12, -0x1.1ef4589a6b761p-12, -0x1.15ada9f3d01d1p-12, -0x1.0ca5cec8e8325p-12, -0x1.03d6e3faeb887p-12, -0x1.f68f54f407b27p-13, -0x1.e5f93b88825f2p-13, -0x1.d5e026fb8eedbp-13, -0x1.c6400ef2b045cp-13, -0x1.b71bbe8cc3928p-13, -0x1.a86ba69ef3505p-13, -0x1.9a25eb8d1763fp-13, -0x1.8c473271dec6fp-13, -0x1.7ecf8c8f0c1d6p-13, -0x1.71bd7541abf32p-13, -0x1.650b81eecbf4fp-13, -0x1.58b2b7b91a242p-13, -0x1.4cae59fe9b6a1p-13, -0x1.40fd490b9cb98p-13, -0x1.35a02bde19c3fp-13, -0x1.2a9a6857623cep-13, -0x1.1fec404454db8p-13, -0x1.158a0c37d42a6p-13, -0x1.0b73ecdc59737p-13, -0x1.01b3ebab82p-13, -0x1.f07d7b198b502p-14, -0x1.de1e1688df767p-14, -0x1.cc51a9b066d62p-14, -0x1.bb0affe8c8d1p-14, -0x1.aa3d3f4741b43p-14, -0x1.99e855d28a07p-14, -0x1.8a11a5231ab65p-14, -0x1.7abd9569a18p-14, -0x1.6bed00066044p-14, -0x1.5d9a1bc538582p-14, -0x1.4fb748ef10a31p-14, -0x1.4235a8bb1381bp-14, -0x1.3510179454627p-14, -0x1.2849f9036836dp-14, -0x1.1be71f41d38b5p-14, -0x1.0fefea43d8fd5p-14, -0x1.0463c8a4b0feep-14, -0x1.f269b737f3593p-15, -0x1.dccd35894e1d3p-15, -0x1.c7cdfe697ec08p-15, -0x1.b36cf8825ae93p-15, -0x1.9fbc6aa5435c6p-15, -0x1.8ca38f12766ddp-15, -0x1.7a15068e586b4p-15, -0x1.681275c553de4p-15, -0x1.569fbf82181ccp-15, -0x1.45becd229dffep-15, -0x1.35737a2485de4p-15, -0x1.25c10b2b63945p-15, -0x1.16a79656a2accp-15, -0x1.08172e8aa5293p-15, -0x1.f3e1a4466d4e1p-16, -0x1.d850d8d1b658dp-16, -0x1.bd9f5714c254ap-16, -0x1.a3cdcef5ad93cp-16, -0x1.8ad41d3b07913p-16, -0x1.72f3870ca3973p-16, -0x1.5c04b808391d2p-16, -0x1.45c6de472b195p-16, -0x1.301cb887299c7p-16, -0x1.1b384631efcap-16, -0x1.071cb6c727ef7p-16, -0x1.e74d045cfd477p-17, -0x1.c19e1917e1b57p-17, -0x1.9d3355dcc0711p-17, -0x1.7a0ab6c2a03abp-17, -0x1.581da171e64c6p-17, -0x1.3766bb48a4bdp-17, -0x1.17e3d913e1295p-17, -0x1.f33d6fd747788p-18, -0x1.b94afbae83b91p-18, -0x1.81d545b39934dp-18, -0x1.4c3a5ff65125ep-18, -0x1.1825d4207ecefp-18, -0x1.cc15bfeb1ed41p-19, -0x1.6b6260b6c38dfp-19, -0x1.0def56cf49aefp-19, -0x1.6b1fc1f7afb11p-20, -0x1.862b9ad959102p-21, -0x1.f55e20c8c9fbp-24, 0x1.fe5cd497b7de4p-22, 0x1.16eb5df770eddp-20, 0x1.a8033e0da5ebfp-20, 0x1.19dc8cb19410ap-19, 0x1.5cf5f904b71e2p-19, 0x1.9d5147459dda2p-19, 0x1.daf0cb42457d3p-19, 0x1.0afe48969229fp-18, 0x1.2742b421d9f4ap-18, 0x1.4250742446accp-18, 0x1.5c2f4e164ff9ep-18, 0x1.74e89d26d4675p-18, 0x1.8c6f3a1dd1b63p-18, 0x1.a2aa7a3a25a76p-18, 0x1.b7bf395e4a67p-18, 0x1.cc05dea75c746p-18, 0x1.df62eff0ccb3ap-18, 0x1.f1f8195123fb5p-18, 0x1.01c9e55df4a4ap-17, 0x1.0a091e2a6a14fp-17, 0x1.11c20e337fec4p-17, 0x1.1938efe8dbba1p-17, 0x1.20598c51b371p-17, 0x1.26fe99e87dd26p-17, 0x1.2d49823a32282p-17, 0x1.333d8816c19f5p-17, 0x1.38d8311ba8209p-17, 0x1.3e1b68e877833p-17, 0x1.430a49682e088p-17, 0x1.47a7e8f56fef5p-17, 0x1.4bf7882751905p-17, 0x1.4ffbe80cf6b31p-17, 0x1.53b6f7237643ep-17, 0x1.572d8e0844415p-17, 0x1.5a61c304117d6p-17, 0x1.5d56a5efbef55p-17, 0x1.60090c8934b45p-17, 0x1.626bba3d5e72p-17, 0x1.648fc0aa99cc2p-17, 0x1.668c8b818158p-17, 0x1.685e130ea8835p-17, 0x1.69ea2244e6ea4p-17, 0x1.6b41a7daa7d11p-17, 0x1.6c68ed3e8667ap-17, 0x1.6d6514828961fp-17, 0x1.6e3a73ef344d4p-17, 0x1.6ed76a69b1d8ep-17, 0x1.6f534d9f4ee49p-17, 0x1.6fa58124b6a1ep-17, 0x1.6fd0fd03169f5p-17, 0x1.6fd63b6083463p-17, 0x1.6fb75046fa893p-17, 0x1.6f75c51d33d2cp-17, 0x1.6f1281a8ade83p-17, 0x1.6e8f486361162p-17, 0x1.6dee49821a6e2p-17, 0x1.6d2f211b72039p-17, 0x1.6c53e87a220f1p-17, 0x1.6b5e1d4f12a9dp-17, 0x1.6a4f9a281d59bp-17, 0x1.692a51873fa69p-17, 0x1.67ebe4e240309p-17, 0x1.668cfab7c3bfdp-17, 0x1.651bc0cf3355dp-17, 0x1.639ec6116cf24p-17, 0x1.6205d216585eap-17, 0x1.6059829e9a028p-17, 0x1.5e9fd3d0992ep-17, 0x1.5cd3f79794951p-17, 0x1.5af806d3536f4p-17, 0x1.590aa4726746bp-17, 0x1.570fe849d00d4p-17, 0x1.55073556e4af8p-17, 0x1.52f17167d5c3bp-17, 0x1.50ce84a186a41p-17, 0x1.4e9f96e51b5f5p-17, 0x1.4c66255a7b086p-17, 0x1.4a22f358ad314p-17, 0x1.47cf452c6462p-17, 0x1.4579303c3a097p-17, 0x1.43180b26eba65p-17, 0x1.40ae774fd88eap-17, 0x1.3e3cef40a2a51p-17, 0x1.3bc402967be43p-17, 0x1.39446741738d3p-17, 0x1.36bebbf95dcccp-17, 0x1.3433b91875318p-17, 0x1.31a365e86b5a7p-17, 0x1.2f0b5c69186c8p-17, 0x1.2c70e9a0d31ebp-17, 0x1.29d14236fcf4cp-17, 0x1.272cfd6f870d7p-17, 0x1.24868c8afb737p-17, 0x1.21dde548b7351p-17, 0x1.1f32133097824p-17, 0x1.1c832538557e9p-17, 0x1.19d24f75368bdp-17, 0x1.17201dd8f85a5p-17, 0x1.146c44f132b7dp-17, 0x1.11b743fadfd47p-17, 0x1.0f018c678fcebp-17, 0x1.0c4ae2cc92795p-17, 0x1.09949d0c96744p-17, 0x1.06dd3db757632p-17, 0x1.0426d902160a7p-17, 0x1.016fc66b364f9p-17, 0x1.fd7363efab343p-18, 0x1.f80be1aef85f4p-18, 0x1.f2a007e3f92b9p-18, 0x1.ed3a3c2bbb9ddp-18, 0x1.e7dc0213be5f6p-18, 0x1.e276ac815bc95p-18, 0x1.dd19d5eb0eff6p-18, 0x1.d7be9c253c97dp-18, 0x1.d26bf399a3f38p-18, 0x1.cd18690135abbp-18, 0x1.c7ce87f2e359bp-18, 0x1.c286c53193ac6p-18, 0x1.bd44a101fa1cdp-18, 0x1.b807d54c510d7p-18, 0x1.b2d0f7053d816p-18, 0x1.ada05b3c59a6p-18, 0x1.a875330e52148p-18, 0x1.a35047d928f3cp-18, 0x1.9e31ba3c4aa4dp-18, 0x1.991a50fff798fp-18, 0x1.9409ad3c2080ep-18, 0x1.8effe3f13d803p-18, 0x1.89fd9a45eec7bp-18, 0x1.85025c8bfef02p-18, 0x1.800e8307eeefep-18, 0x1.7b22241ee1f9ep-18, 0x1.763dc09864255p-18, 0x1.71617a94e71a4p-18, 0x1.6c8e39542b4ecp-18, 0x1.67c164f636769p-18, 0x1.62fa93a64c481p-18, 0x1.5e40dd0b0cdc9p-18, 0x1.598c8a332da52p-18, 0x1.54e1df79acaa6p-18, 0x1.503f81051afb9p-18, 0x1.4ba5877b850a1p-18, 0x1.47143551a4607p-18, 0x1.428ba78759688p-18, 0x1.3e0bb58150bdap-18, 0x1.39945cbe5d843p-18, 0x1.3523a5e91bb1bp-18, 0x1.30c0a7e90f25fp-18, 0x1.2c6435d93b546p-18, 0x1.2810aca5ed766p-18, 0x1.23c63f4261bfep-18, 0x1.1f8510d850622p-18, 0x1.1b4bbe2575ca5p-18, 0x1.171c529fac1f8p-18, 0x1.12f5bd0db4b5dp-18, 0x1.0ed8f6aad1103p-18, 0x1.0ac47eba1e9b9p-18, 0x1.06b781a4c7452p-18, 0x1.02b63713cc80fp-18, 0x1.fd79ea36ae792p-19, 0x1.f5973fdd95b58p-19, 0x1.edc5cd4fe70bp-19, 0x1.e60b8c79b0ed6p-19, 0x1.de60893087302p-19, 0x1.d6c9cc753289p-19, 0x1.cf441d6b471e4p-19, 0x1.c7cdc569005cfp-19, 0x1.c06bfbb4bb4fp-19, 0x1.b91a2c99ae36p-19, 0x1.b1d9ec8be3919p-19, 0x1.aaa326a897b6ap-19, 0x1.a3901ce885bc3p-19, 0x1.9c851bace0a1dp-19, 0x1.958bee7d4232ap-19, 0x1.8ea3fc9baea16p-19, 0x1.87cd73bf3aab7p-19, 0x1.8107ecb5ef648p-19, 0x1.7a52af64cd1d9p-19, 0x1.73b02295caf8cp-19, 0x1.6d1f6fbff9f6bp-19, 0x1.669c5ca71fbc1p-19, 0x1.602bf9b43dfb8p-19, 0x1.59cbef51143efp-19, 0x1.537c7e27afe8fp-19, 0x1.4d3da284fac55p-19, 0x1.470f42b6b70b6p-19, 0x1.40f1c3288bb8bp-19, 0x1.3ae3a5c6c4331p-19, 0x1.34e54c279ef18p-19, 0x1.2ef7ad4126e44p-19, 0x1.291b1ff05cc26p-19, 0x1.234a43314640bp-19, 0x1.1d8eea12c546dp-19, 0x1.17df3dfdc6b91p-19, 0x1.1240504a5a843p-19, 0x1.0cb17453c807p-19, 0x1.073055115c74fp-19, 0x1.01baa08fa7139p-19, 0x1.f8b7b7b3b8335p-20, 0x1.ee140636b6896p-20, 0x1.e389dff0ba31dp-20, 0x1.d91b44fad4f64p-20, 0x1.cecfd00275bap-20, 0x1.c49f15dae1436p-20, 0x1.ba87ec3f77258p-20, 0x1.b0920c36325b1p-20, 0x1.a6a68b4c35abap-20, 0x1.9cf85a8a431aap-20, 0x1.93533ce92551dp-20, 0x1.89ccc50cb0338p-20, 0x1.805fa90e4cb0bp-20, 0x1.7717506676243p-20, 0x1.6dd7a53f695acp-20, 0x1.64b4b4702e303p-20, 0x1.5bb6ede02a887p-20, 0x1.52c6e38ba2fe8p-20, 0x1.4a069663c766cp-20, 0x1.4152467a3427cp-20, 0x1.38ba074fc1a25p-20, 0x1.30391dd887ca6p-20, 0x1.27cfacef41704p-20, 0x1.1f83a793970abp-20, 0x1.1753276f49a77p-20, 0x1.0f317c02b23eep-20, 0x1.072c6c4c2b835p-20, 0x1.fe7de189e3f5ap-21, 0x1.eed0df1c4929ep-21, 0x1.df53920166234p-21, 0x1.d0087962998f3p-21, 0x1.c0ee078faaa21p-21, 0x1.b1fe5f12776ecp-21, 0x1.a33c9171443b2p-21, 0x1.94bfdc966f0f3p-21, 0x1.8636a8930039ep-21, 0x1.77ff26359d563p-21, 0x1.69f0844c72c95p-21, 0x1.5c0c0774ccc47p-21, 0x1.4e4e99ee0d269p-21, 0x1.40bfd00203a3dp-21, 0x1.3356aadb9d00bp-21, 0x1.26199543bd69ap-21, 0x1.19074a8868d94p-21, 0x1.0c21fb3df55c3p-21, 0x1.fec6f34246e1cp-22, 0x1.e5804289bc5ecp-22, 0x1.cca137020a2cfp-22, 0x1.b40f7a8ce18d1p-22, 0x1.9bcabf5a704d5p-22, 0x1.83cdbc2f09e4ep-22, 0x1.6c204b4d04f7p-22, 0x1.54c7331a267cdp-22, 0x1.3d7384505012fp-22, 0x1.26cfd7f9a3714p-22, 0x1.105566fbd8c84p-22, 0x1.f411edb153777p-23, 0x1.c83b1ab6e074ep-23, 0x1.9cf447700558p-23, 0x1.723d23a3cbdf3p-23, 0x1.480dbf0ff98d5p-23, 0x1.1e40ac8d3c1e2p-23, 0x1.ea41f3ffa104ap-24, 0x1.9907e38388508p-24, 0x1.48b53448cb0f1p-24, 0x1.f2be16781c6b4p-25, 0x1.5817e60aa2099p-25, 0x1.77cc2018ced5fp-26, 0x1.1f45cc513e297p-28, -0x1.cbb78f946d37ep-27, -0x1.06c79c3425e61p-25, -0x1.99a661255d7d1p-25, -0x1.14ee02df2c913p-24, -0x1.5c2ca3012d574p-24, -0x1.a28536f7de8ccp-24, -0x1.e80a0e31090dbp-24, -0x1.16455ec96341ep-23, -0x1.37fcb1f69f6e9p-23, -0x1.595fe9780b86dp-23, -0x1.7a3a250581daap-23, -0x1.9a981d6f9c1cap-23, -0x1.bac451821cfe5p-23, -0x1.da48fb292e66fp-23, -0x1.f97293d992b4fp-23, -0x1.0be215eb1692fp-22, -0x1.1b490845b44afp-22, -0x1.2a28ecf83689p-22, -0x1.38df98ae51c68p-22, -0x1.4773a216b811ep-22, -0x1.55b3c89471422p-22, -0x1.63df5c15097afp-22, -0x1.71cccb82f4598p-22, -0x1.7f8bd56f02471p-22, -0x1.8d1316a0fa1a4p-22, }}, 
      {{-0x1.d704bd0178f7p-5, -0x1.a7d1f64e9c5d4p-5, -0x1.7156512cee629p-5, -0x1.46b66c49100b6p-5, -0x1.357112b745514p-5, -0x1.44c707164d6c1p-5, -0x1.769a7466cfa61p-5, -0x1.c8c5ea9915064p-5, -0x1.1b395ff7347c3p-4, -0x1.5c9ebcbe265p-4, -0x1.a50d3111e0d1fp-4, -0x1.f0fe307da03fbp-4, -0x1.1e91a21994904p-3, -0x1.4344bb18d245bp-3, -0x1.65564060df001p-3, -0x1.83bf18d658a76p-3, -0x1.9db2cc6b60d34p-3, -0x1.b29c6553edb27p-3, -0x1.c219a5d69450bp-3, -0x1.cbf554080e9a5p-3, -0x1.d0212451eca9ap-3, -0x1.ceafa0c3f58bdp-3, -0x1.c7ce4e6e11001p-3, -0x1.bbc038b7cb102p-3, -0x1.aad8fc0f076dfp-3, -0x1.95785bdb65f0dp-3, -0x1.7c0666b41a531p-3, -0x1.5ef0256800645p-3, -0x1.3ea4cedbe39dap-3, -0x1.1b9376b13bb58p-3, -0x1.ec525746d27cp-4, -0x1.9d9ef38e0c327p-4, -0x1.4bd689d78a091p-4, -0x1.ef6fbb28acb18p-5, -0x1.43eafc611d06bp-5, -0x1.2cd40ba7eb027p-6, 0x1.7e2bbde9f4cf8p-9, 0x1.8bcba9d80ad38p-6, 0x1.72a49d6a00defp-5, 0x1.0e9f499bb75bfp-4, 0x1.62763a67bc0d2p-4, 0x1.b47fa033844f7p-4, 0x1.0237b8499c723p-3, 0x1.2902308aedd23p-3, 0x1.4e83a03c6b1a7p-3, 0x1.72a521817fd36p-3, 0x1.95541d9ac44c6p-3, 0x1.b681ee9328a7fp-3, 0x1.d6238c34791cap-3, 0x1.f4313a69386e2p-3, 0x1.085319f4b884p-2, 0x1.15c02b8514e3cp-2, 0x1.225fed870b8f6p-2, 0x1.2e338713bc003p-2, 0x1.393d0bdc79feap-2, 0x1.437f5e09fc342p-2, 0x1.4cfe1142a076dp-2, 0x1.55bd50113435bp-2, 0x1.5dc1c43af331dp-2, 0x1.651081df671fbp-2, 0x1.6baef4dcfa886p-2, 0x1.71a2cf771895cp-2, 0x1.76f1faa78073ap-2, 0x1.7ba2877f6e8b2p-2, 0x1.7fbaa233f6af5p-2, 0x1.834086bbaf56cp-2, 0x1.863a76bfc5f46p-2, 0x1.88aeb13b4347fp-2, 0x1.8aa36ad09765p-2, 0x1.8c1ec76d653cbp-2, 0x1.8d26d49600cf3p-2, 0x1.8dc18487fd6d4p-2, 0x1.8df4aa1575883p-2, 0x1.8dc5f521b8d5bp-2, 0x1.8d3aefbbda4dp-2, 0x1.8c58fbd9ef444p-2, 0x1.8b2551758fe62p-2, 0x1.89a4fd47eae81p-2, 0x1.87dcdfc558df2p-2, 0x1.85d1ac943402p-2, 0x1.8387ea2310111p-2, 0x1.8103f1adbb0cap-2, 0x1.7e49ef639caeep-2, 0x1.7b5de2bf9a636p-2, 0x1.78439f0412384p-2, 0x1.74fecc09f2adcp-2, 0x1.7192e6e6fccf2p-2, 0x1.6e0342ece3a08p-2, 0x1.6a530a85b5bccp-2, 0x1.6685407b5b899p-2, 0x1.629cc0da5907dp-2, 0x1.5e9c423e2e64dp-2, 0x1.5a8656f6c003bp-2, 0x1.565d6e3fd1b63p-2, 0x1.5223d57e4d6bep-2, 0x1.4ddbb978f0149p-2, 0x1.4987279e0f95dp-2, 0x1.45280f238d20fp-2, 0x1.40c04255f8181p-2, 0x1.3c5177ce25edfp-2, 0x1.37dd4b7f0ffcp-2, 0x1.33653ffc398dap-2, 0x1.2eeabf8e3c1cbp-2, 0x1.2a6f1d4484e8cp-2, 0x1.25f3961cea3cfp-2, 0x1.217951f99dde5p-2, 0x1.1d0164ade3c5fp-2, 0x1.188ccef4cedf5p-2, 0x1.141c7f656b634p-2, 0x1.0fb15360cf03fp-2, 0x1.0b4c17dd72d78p-2, 0x1.06ed8a71b55c2p-2, 0x1.029659e785e0cp-2, 0x1.fc8e4e4fe98c9p-3, 0x1.f4010bec89e4ap-3, 0x1.eb85fb6509d85p-3, 0x1.e31e13dd110b7p-3, 0x1.daca365cc680ep-3, 0x1.d28b2f06ff555p-3, 0x1.ca61b640cddbcp-3, 0x1.c24e71ee87a63p-3, 0x1.ba51f67aa2454p-3, 0x1.b26cc7e2659c5p-3, 0x1.aa9f5ab8663f9p-3, 0x1.a2ea1520393bfp-3, 0x1.9b4d4f9e04685p-3, 0x1.93c955f2f8498p-3, 0x1.8c5e681fd7a27p-3, 0x1.850cbacc04b2p-3, 0x1.7dd47851606bep-3, 0x1.76b5c15041f6fp-3, 0x1.6fb0ad4aceb17p-3, 0x1.68c54b45d438ep-3, 0x1.61f3a287c038p-3, 0x1.5b3bb2f29b9c4p-3, 0x1.549d759df4aedp-3, 0x1.4e18dd40e6f2p-3, 0x1.47add6df7fbb8p-3, 0x1.415c4a0ffa556p-3, 0x1.3b24194f4ac71p-3, 0x1.350522a4cca9ap-3, 0x1.2eff3fce1773ap-3, 0x1.291246a674633p-3, 0x1.233e097d36325p-3, 0x1.1d825761dc599p-3, 0x1.17defc74192a2p-3, 0x1.1253c21ffae1ep-3, 0x1.0ce06f2af94e7p-3, 0x1.0784c89143ad4p-3, 0x1.024090f9abe0cp-3, 0x1.fa2712de03bp-4, 0x1.effae2880b179p-4, 0x1.e5fc0d28b5774p-4, 0x1.dc2a0c54ceff8p-4, 0x1.d284573bd6e55p-4, 0x1.c90a63a99ebabp-4, 0x1.bfbba5b2ba559p-4, 0x1.b6978feeab98dp-4, 0x1.ad9d940ae56afp-4, 0x1.a4cd22e2d1f0cp-4, 0x1.9c25ac99649a5p-4, 0x1.93a6a0f606d1ep-4, 0x1.8b4f6f717e096p-4, 0x1.831f876e5e204p-4, 0x1.7b1658618c555p-4, 0x1.733351f102115p-4, 0x1.6b75e3f49ef3dp-4, 0x1.63dd7f21f929p-4, 0x1.5c69946dd51e7p-4, 0x1.5519956bcc6ddp-4, 0x1.4decf4ae3fb84p-4, 0x1.46e3253f0f067p-4, 0x1.3ffb9b935a258p-4, 0x1.3935cce6b25e6p-4, 0x1.32912f669265bp-4, 0x1.2c0d3aa5c8153p-4, 0x1.25a96730848d2p-4, 0x1.1f652ee299573p-4, 0x1.19400ceca084cp-4, 0x1.13397da21e8ffp-4, 0x1.0d50fef9b629ep-4, 0x1.07861005805fbp-4, 0x1.01d8316109133p-4, 0x1.f88dca2f49a5fp-5, 0x1.eda35d497dedcp-5, 0x1.e2f0260375155p-5, 0x1.d873313d0a966p-5, 0x1.ce2b8ecb880bfp-5, 0x1.c41851f83a00dp-5, 0x1.ba388ff4cee8p-5, 0x1.b08b6280683c7p-5, 0x1.a70fe559323a4p-5, 0x1.9dc537ad30e9p-5, 0x1.94aa7bbe8013bp-5, 0x1.8bbed67bc652cp-5, 0x1.830170857f1c8p-5, 0x1.7a71751c2e938p-5, 0x1.720e12baf0d07p-5, 0x1.69d67a7374dabp-5, 0x1.61c9e131eb0e2p-5, 0x1.59e77e30ae868p-5, 0x1.522e8b6557cabp-5, 0x1.4a9e46b8827p-5, 0x1.4335f040870adp-5, 0x1.3bf4cb2e513e7p-5, 0x1.34da1d9f479adp-5, 0x1.2de53086e8138p-5, 0x1.27154fb6d8f85p-5, 0x1.2069c9d745695p-5, 0x1.19e1f0493811ap-5, 0x1.137d174e2fe72p-5, 0x1.0d3a95cf7d096p-5, 0x1.0719c545811b7p-5, 0x1.011a022cf7252p-5, 0x1.f6755708f12cbp-6, 0x1.eaf6458afd7d2p-6, 0x1.dfb59895e42a8p-6, 0x1.d4b21d17e9bf4p-6, 0x1.c9eaa61117baap-6, 0x1.bf5e0af6de14p-6, 0x1.b50b289a33f19p-6, 0x1.aaf0df6a374a8p-6, 0x1.a10e16868a665p-6, 0x1.9761b8a726111p-6, 0x1.8deab56e33209p-6, 0x1.84a801339c52p-6, 0x1.7b9894bff5b28p-6, 0x1.72bb6d6e7c883p-6, 0x1.6a0f8dbe83e7bp-6, 0x1.6193fb2e0be12p-6, 0x1.5947c08612513p-6, 0x1.5129ece539252p-6, 0x1.49399330a1d4dp-6, 0x1.4175caa4fe7d7p-6, 0x1.39ddaea52594fp-6, 0x1.32705ea78a5bp-6, 0x1.2b2cfe082b0c4p-6, 0x1.2412b3a6e4c1dp-6, 0x1.1d20ab7383a7ap-6, 0x1.1656145e07715p-6, 0x1.0fb2206cbb973p-6, 0x1.0934067d92a49p-6, 0x1.02db00982e051p-6, 0x1.f94c993be2d78p-7, 0x1.ed2a568e03c0ap-7, 0x1.e14dc3633549p-7, 0x1.d5b56fcb47932p-7, 0x1.ca5ff27dd8614p-7, 0x1.bf4bea49a205ap-7, 0x1.b477f9f0dae96p-7, 0x1.a9e2cca25c8d9p-7, 0x1.9f8b13e55eea2p-7, 0x1.956f86626f614p-7, 0x1.8b8ee1a611dc3p-7, 0x1.81e7e95518974p-7, 0x1.787966a9ac3d8p-7, 0x1.6f4228f95ef81p-7, 0x1.664105463fd34p-7, 0x1.5d74d6360ef23p-7, 0x1.54dc7cf13ce7bp-7, 0x1.4c76ddda0de87p-7, 0x1.4442e530626d4p-7, 0x1.3c3f82f5ed5c4p-7, 0x1.346bad0fe579bp-7, 0x1.2cc65ed939505p-7, 0x1.254e96bb84b47p-7, 0x1.1e035bc9e78f6p-7, 0x1.16e3b672c39c1p-7, 0x1.0feeb60143c8bp-7, 0x1.09236ccb65df4p-7, 0x1.0280f2c58ffb9p-7, 0x1.f80ccb350e058p-8, 0x1.eb65cba3e637p-8, 0x1.df0b31a9d15e6p-8, 0x1.d2fb50a476feap-8, 0x1.c73484fb6c198p-8, 0x1.bbb5331014a9fp-8, 0x1.b07bc75d0f117p-8, 0x1.a586b6b0bf3aep-8, 0x1.9ad47da0af5c8p-8, 0x1.9063a0b0c7561p-8, 0x1.8632ac13837bcp-8, 0x1.7c4033ac0ad35p-8, 0x1.728ad292cc853p-8, 0x1.69112b3d98209p-8, 0x1.5fd1e7316381cp-8, 0x1.56cbb6e8e6b83p-8, 0x1.4dfd51df46e54p-8, 0x1.456575ca48e33p-8, 0x1.3d02e7ab1c0e1p-8, 0x1.34d472ae58b5ep-8, 0x1.2cd8e861795f6p-8, 0x1.250f21726abe9p-8, 0x1.1d75fbc6de711p-8, 0x1.160c5b71ee78cp-8, 0x1.0ed12af25827ep-8, 0x1.07c35a7a151d8p-8, 0x1.00e1df84fcf64p-8, 0x1.f457691e9927bp-9, 0x1.e73fb956fc35cp-9, 0x1.da7ab1aa2662fp-9, 0x1.ce067505bf47fp-9, 0x1.c1e11ba80147cp-9, 0x1.b608d7d271ddp-9, 0x1.aa7bddba838d3p-9, 0x1.9f386aef59f6dp-9, 0x1.943cccd0c7a48p-9, 0x1.89875244a2ce5p-9, 0x1.7f165898c3cbap-9, 0x1.74e846192bd26p-9, 0x1.6afb855ef224fp-9, 0x1.614e8da580403p-9, 0x1.57dfdd6edfc04p-9, 0x1.4eadfc7b46088p-9, 0x1.45b77a342979fp-9, 0x1.3cfaeedf6adc4p-9, 0x1.3476fbb61485dp-9, 0x1.2c2a480ba1bfdp-9, 0x1.241384c410b43p-9, 0x1.1c31675f4ebb7p-9, 0x1.1482b1f9e95e6p-9, 0x1.0d0624a7ca1dcp-9, 0x1.05ba8b20050f8p-9, 0x1.fd3d6d5b829c8p-10, 0x1.ef62fef872efdp-10, 0x1.e1e38b78d109ep-10, 0x1.d4bce04a8422cp-10, 0x1.c7ecda29128d3p-10, 0x1.bb71645b57f5dp-10, 0x1.af487585077a8p-10, 0x1.a3700f8f0d957p-10, 0x1.97e63dcb688f7p-10, 0x1.8ca9138eeb72ep-10, 0x1.81b6ada2d62b9p-10, 0x1.770d379228c16p-10, 0x1.6caad2562ffbdp-10, 0x1.628dc97ea18e6p-10, 0x1.58b463ea6599p-10, 0x1.4f1cf7e959f16p-10, 0x1.45c5e94b13e4ap-10, 0x1.3cada8ac39096p-10, 0x1.33d2ac3c90799p-10, 0x1.2b3374dbcededp-10, 0x1.22ce87c23bc95p-10, 0x1.1aa26ec97eb4bp-10, 0x1.12adbb2eade0bp-10, 0x1.0aef01de4235p-10, 0x1.0364de87a6435p-10, 0x1.f81c09e5c71e4p-11, 0x1.e9d24a80c2edp-11, 0x1.dbe9fc7122355p-11, 0x1.ce60ba8a58a84p-11, 0x1.c1342e4db1206p-11, 0x1.b4620b09b846ap-11, 0x1.a7e8161f391d7p-11, 0x1.9bc4161148c6bp-11, 0x1.8ff3dde598feap-11, 0x1.8475411d89295p-11, 0x1.794626e5f4e7bp-11, 0x1.6e645fb267fe3p-11, 0x1.63cdfd2423f12p-11, 0x1.5981092b26ad6p-11, 0x1.4f7ba19b902d5p-11, 0x1.45bbfbbbb4a92p-11, 0x1.3c4056d4aa46dp-11, 0x1.3306f84d9ed84p-11, 0x1.2a0e3d3584fc8p-11, 0x1.21547603d0f2ap-11, 0x1.18d809d8d9261p-11, 0x1.10975fbeb07a6p-11, 0x1.0890ee3712817p-11, 0x1.00c30ea8a458dp-11, 0x1.f258ab3f8c7p-12, 0x1.e3968536483f2p-12, 0x1.d53cd7e098f28p-12, 0x1.c748f262441fep-12, 0x1.b9b83b269ee13p-12, 0x1.ac882f6d61aap-12, 0x1.9fb62531072f2p-12, 0x1.933fca31bfbd1p-12, 0x1.8722a850915c7p-12, 0x1.7b5c682e5c496p-12, 0x1.6feac3257fdbap-12, 0x1.64cb80073224bp-12, 0x1.59fc615da9689p-12, 0x1.4f7b4e319079dp-12, 0x1.454620c3b3cb7p-12, 0x1.3b5ad6602cc71p-12, 0x1.31b7797052badp-12, 0x1.285a24192206p-12, 0x1.1f40f8e66cb98p-12, 0x1.166a106ceb0ep-12, 0x1.0dd3c437f383p-12, 0x1.057c263e6b95fp-12, 0x1.fac32a5171daep-13, 0x1.eb04d69cb1ea6p-13, 0x1.dbba20281523p-13, 0x1.ccdff6ca7aba8p-13, 0x1.be735d059638ep-13, 0x1.b0716c527edc7p-13, 0x1.a2d7507c3369cp-13, 0x1.95a254a3bc13bp-13, 0x1.88cf9f9538a51p-13, 0x1.7c5c8af44bfabp-13, 0x1.7046534a00237p-13, 0x1.648a5b4132cc1p-13, 0x1.5925fef902591p-13, 0x1.4e16be47c8b9fp-13, 0x1.435a291f1d0b9p-13, 0x1.38ee46f9abc3p-13, 0x1.2ed0b3c21757fp-13, 0x1.24ff5f6105e51p-13, 0x1.1b782d91034f3p-13, 0x1.123937055368bp-13, 0x1.094095bc1f1f3p-13, 0x1.008c870f0571p-13, 0x1.f03676f864f67p-14, 0x1.dfd577a7c5938p-14, 0x1.cff22375a02c3p-14, 0x1.c0888b62a8271p-14, 0x1.b194edbdac10ap-14, 0x1.a313d43f9ded2p-14, 0x1.9501ec0a1e5d4p-14, 0x1.875c5c0ca939ep-14, 0x1.7a2015c743222p-14, 0x1.6d4a546e9aa44p-14, 0x1.60d81fa349b12p-14, 0x1.54c69cf61969dp-14, 0x1.4913360ee0d51p-14, 0x1.3dbb8bfd62613p-14, 0x1.32bd6e091b6ffp-14, 0x1.281689ad6dea5p-14, 0x1.1dc435d2f84e8p-14, 0x1.13c3dddd132fap-14, 0x1.0a127d551a14ap-14, 0x1.00ad97ad4314fp-14, 0x1.ef258858b5d0ep-15, 0x1.dd7fd56f84b9bp-15, 0x1.cc66593b02d06p-15, 0x1.bbd54077187cep-15, 0x1.abc86e898c66cp-15, 0x1.9c3d1248333e9p-15, 0x1.8d2e76bfe95fep-15, 0x1.7e9905efa3e81p-15, 0x1.7079926452f5dp-15, 0x1.62cd42f5eaba6p-15, 0x1.5591008d72e2bp-15, 0x1.48c1ad434d911p-15, 0x1.3c5cdcc6afba4p-15, 0x1.305de0669f5ap-15, 0x1.24c17b2df5bd1p-15, 0x1.19849127ab856p-15, 0x1.0ea3228ede352p-15, 0x1.041b9a891c62dp-15, 0x1.f3d6c33836b75p-16, 0x1.e02004af8d5e3p-16, 0x1.cd0e5e289846ap-16, 0x1.ba9c759c32003p-16, 0x1.a8c5114ba5cffp-16, 0x1.978384fd6c192p-16, 0x1.86d3f42c7d626p-16, 0x1.76b202368d0eep-16, 0x1.671c44bab3ffdp-16, 0x1.580c069493dbbp-16, 0x1.497da43d96d36p-16, 0x1.3b6d1798d582dp-16, 0x1.2dd672c4a2ad9p-16, 0x1.20b5d65ab48ecp-16, 0x1.1406eda0d288ep-16, 0x1.07c5bc277152fp-16, 0x1.f7df039c15592p-17, 0x1.e101b19461401p-17, 0x1.caf0769d12f93p-17, 0x1.b5a4321ab1f0cp-17, 0x1.a111a3e4aa687p-17, 0x1.8d376fb282b6ep-17, 0x1.7a0e4b9d1db97p-17, 0x1.679182cd1beaap-17, 0x1.55bd644479869p-17, 0x1.448d0ae0fa92p-17, 0x1.33fa925d6d709p-17, 0x1.23ffd0d6e37a7p-17, 0x1.149842deb698ep-17, 0x1.05c0163d89f4ep-17, 0x1.eee411dd2a642p-18, 0x1.d352ce52fd339p-18, 0x1.b8c68e06aaaf4p-18, 0x1.9f38d82687015p-18, 0x1.869ac94fca4dbp-18, 0x1.6ee8197f1646ep-18, 0x1.58199adfdb467p-18, 0x1.42285bfaf646fp-18, 0x1.2d0c1de3bfe7bp-18, 0x1.18bd6b1d467dbp-18, 0x1.05357fdee896fp-18, 0x1.e4de52acf821p-19, 0x1.c0ccfa7725fdep-19, 0x1.9e2fcda670b6bp-19, 0x1.7ce47664c1b67p-19, 0x1.5cf01406cbd67p-19, 0x1.3e47d84cb9a8bp-19, 0x1.20d966c3dfa82p-19, 0x1.049c92ddc0449p-19, 0x1.d31b041fc786ep-20, 0x1.9f39676ad1292p-20, 0x1.6d8a31eeb01adp-20, 0x1.3df76e76a25d4p-20, 0x1.106db40da4486p-20, 0x1.c9ac139ce8531p-21, 0x1.76453f91ade57p-21, 0x1.2688e1660716p-21, 0x1.b4b7e16370b42p-22, 0x1.230f44663df0ep-22, 0x1.2fcf0f01aed46p-23, 0x1.34fc2446d3784p-26, -0x1.ac5846c7eb92fp-24, -0x1.c715c44e504f4p-23, -0x1.56427b0439048p-22, -0x1.c375337990933p-22, -0x1.15af4b2f9a765p-21, -0x1.470e3dc9e153fp-21, -0x1.75e2657170019p-21, -0x1.a2690f8e7582dp-21, -0x1.cc83e67c15997p-21, -0x1.f47ad25acd757p-21, -0x1.0d0b92e0b9b8cp-20, -0x1.1ed8327582bedp-20, -0x1.2fa0c8254c2fp-20, -0x1.3f7303745e7d4p-20, -0x1.4e5a1e4f9282dp-20, -0x1.5c5c93c72a6c1p-20, -0x1.698466a61a7d7p-20, -0x1.75d27aedabdfap-20, -0x1.815556ede100ap-20, -0x1.8c10bc0746c14p-20, -0x1.960b3a88f2cb6p-20, -0x1.9f51ccc204462p-20, -0x1.a7e8904c5e738p-20, -0x1.afd56b6a3df15p-20, -0x1.b725f7174eba6p-20, -0x1.bdcd79df5e8b5p-20, -0x1.c3e40c2ff2acap-20, -0x1.c96bf8b48c274p-20, -0x1.ce6814f83d92cp-20, -0x1.d2dd0064ce29ep-20, -0x1.d6cea1f402ecbp-20, -0x1.da463bcec7a58p-20, -0x1.dd453a9a11007p-20, -0x1.dfd27318e4e8ap-20, -0x1.e1f399aee3ad9p-20, -0x1.e3b4b07de975dp-20, -0x1.e503c97e3ff57p-20, -0x1.e5fcf6e99141dp-20, -0x1.e697e92000015p-20, -0x1.e6dd9ddd82c44p-20, -0x1.e6c4b6df93142p-20, -0x1.e66bcef6eafcp-20, -0x1.e5c0f0375d8dep-20, -0x1.e4c9c6537a16cp-20, -0x1.e38f040035af2p-20, -0x1.e2122198fc147p-20, -0x1.e0542ec76fc7ep-20, -0x1.de5aa98f4ca74p-20, -0x1.dc309a44ab5bbp-20, -0x1.d9bd30c2ed08dp-20, -0x1.d71f71f1e935fp-20, -0x1.d44f7840402d8p-20, -0x1.d14dff31aed17p-20, -0x1.ce1c05264c916p-20, -0x1.cac602aeee39cp-20, -0x1.c74c213de9f65p-20, -0x1.c3a63ace5db73p-20, -0x1.bfdc27a6d5eadp-20, -0x1.bbf2d01d8561ep-20, -0x1.b7e76eff19629p-20, -0x1.b3c0f02e80b71p-20, -0x1.af7b1f803f901p-20, -0x1.ab1cf4482725bp-20, -0x1.a6a398d1ee7e1p-20, -0x1.a2143ed7ab8cp-20, -0x1.9d715c545a177p-20, -0x1.98b856a1fe01ep-20, -0x1.93ed591fa17bbp-20, -0x1.8f120be7f1bdp-20, -0x1.8a2467fd38e7ap-20, -0x1.8529959392677p-20, -0x1.8021a9e341eb6p-20, -0x1.7b0ca2fbb08fdp-20, -0x1.75ede6a42bbafp-20, -0x1.70c54ab937161p-20, -0x1.6b8f7526b9951p-20, -0x1.66575211a917p-20, -0x1.61186ae8741e2p-20, -0x1.5bcc0db1add9p-20, -0x1.56809eea737fp-20, -0x1.512f3a8a47a82p-20, -0x1.4bd6fc7c1614bp-20, -0x1.4685ba669d78ep-20, -0x1.412dcadc319b1p-20, -0x1.3bd1f6b82fdefp-20, -0x1.36777931147acp-20, -0x1.311ee8350572bp-20, -0x1.2bc59b8622962p-20, -0x1.267515631f6fap-20, -0x1.211202abbf4e3p-20, -0x1.1bc7101b2844bp-20, -0x1.1677dfc84b09dp-20, -0x1.112c12e3700bdp-20, -0x1.0be23a1b5d922p-20, -0x1.069f8a79a52d5p-20, -0x1.016249b73027fp-20, -0x1.f84eb5d81137dp-21, -0x1.ede48df674e11p-21, -0x1.e3952e0505bd5p-21, -0x1.d9479795fd6b7p-21, -0x1.cf0938659bc79p-21, -0x1.c4d7c7aaafe9ap-21, -0x1.bab95a4483443p-21, -0x1.b0aa92776ee02p-21, -0x1.a6a7cda9ee931p-21, -0x1.9cb90d5fa3707p-21, -0x1.92db27247d9e6p-21, -0x1.890c3bcd61d96p-21, -0x1.7f500efe8c39p-21, -0x1.75ad54498d11cp-21, -0x1.6c151ed068b68p-21, -0x1.6293da0526055p-21, -0x1.5926547ed4169p-21, -0x1.4fcdb955b1bcep-21, -0x1.46889e556b6fep-21, -0x1.3d54ec5569512p-21, -0x1.343c183c77c9cp-21, -0x1.2b32e0d9bee24p-21, -0x1.223fd7edac0d5p-21, -0x1.19694c788d644p-21, -0x1.10aef11de8694p-21, -0x1.07d9ae976016cp-21, -0x1.fea21288b92f7p-22, -0x1.ed9a35fc0daecp-22, -0x1.dcbe25bc2357fp-22, -0x1.cc0e541092aep-22, -0x1.bb8a4c6f8aaa5p-22, -0x1.ab33001f46f16p-22, -0x1.9b05861b17619p-22, -0x1.8b0bbc8ce1ca3p-22, -0x1.7b3761f5fbd14p-22, -0x1.6b96f2bb9e23ep-22, -0x1.5c287c0e14b3bp-22, -0x1.4cd5a524df4dap-22, -0x1.3db84749eb9cp-22, -0x1.2ece1919b6b4ap-22, -0x1.200a34b37196p-22, -0x1.1173ed5a47e2bp-22, -0x1.0311377c9bc68p-22, -0x1.e9a304570cd93p-23, -0x1.cd8c2d02b8687p-23, -0x1.b1bd08b66056dp-23, -0x1.965b73519725cp-23, -0x1.7b512e1734f81p-23, -0x1.608d2786bbcddp-23, -0x1.464ba70d93c1dp-23, -0x1.2c2924f498fe3p-23, -0x1.1284cfb0f9a65p-23, -0x1.f23855a1105d4p-24, -0x1.c02216568341cp-24, -0x1.8f00533f93058p-24, -0x1.5e045a9b38d28p-24, -0x1.2e0bc9be47415p-24, -0x1.fea59eee2be38p-25, -0x1.9ff5b541783adp-25, -0x1.43e4f19e1767dp-25, -0x1.d1245b7b65594p-26, -0x1.1eee819602301p-26, -0x1.b36c77437fddfp-28, 0x1.00b4d0d67f2e3p-28, 0x1.d738ce008ef7bp-27, 0x1.9474af59b8ba4p-26, 0x1.1d89df21b839cp-25, 0x1.6f86895398094p-25, 0x1.c0438aaffbbe8p-25, 0x1.07ede717eb413p-24, 0x1.2f1f687c2b3e7p-24, 0x1.55d0069921b8ep-24, 0x1.7bcbe46aa458bp-24, 0x1.a13984b45a59bp-24, 0x1.c6215c1cf8133p-24, 0x1.ea57314b60c23p-24, 0x1.07074a14e4c64p-23, 0x1.189d1e35daafdp-23, 0x1.29f199c69a8edp-23, 0x1.3af0183fda3cp-23, 0x1.4bad96aac9bf1p-23, 0x1.5c12fedfce9c3p-23, 0x1.6c4602370e0cep-23, 0x1.7c5034312616cp-23, 0x1.8be670eac4ffdp-23, 0x1.9b5d02a24affdp-23, 0x1.aa7a72bdc30e2p-23, 0x1.b9597769f7017p-23, 0x1.c800b9942d0d5p-23, 0x1.d65ba5c5a4e4p-23, 0x1.e4843796228afp-23, 0x1.f264acbcd0cb6p-23, 0x1.00059c925e416p-22, 0x1.06c55ca02fa3p-22, 0x1.0d4dd26ff7ef4p-22, 0x1.13c58b15c6557p-22, 0x1.1a1f46f984db1p-22, 0x1.205ab19e9fd45p-22, 0x1.26783e8a2df71p-22, 0x1.2c7ee22a0696fp-22, 0x1.326117e2ff795p-22, 0x1.382c232f471c3p-22, 0x1.3dd577440d6f8p-22, 0x1.436bbbcb686fep-22, 0x1.48eaa2e2cc341p-22, 0x1.4e3b4a7e8e4e7p-22, 0x1.53797609677a1p-22, 0x1.58aa08b3659f8p-22, 0x1.5dc3118ba36a3p-22, 0x1.62ae77837183fp-22, 0x1.67849fc0492bbp-22, 0x1.6c45b8464e117p-22, 0x1.70ea434ff72cep-22, 0x1.757d3b78fe71ap-22, 0x1.79f3b24458bfp-22, 0x1.7e52f09db4e2bp-22, 0x1.829cdf690721fp-22, 0x1.86dfa8be58df4p-22, 0x1.8ae3cd9ebfe82p-22, 0x1.8eea9ff2a5efdp-22, 0x1.92d4a7d44ebbep-22, 0x1.96aabae44435bp-22, 0x1.9a6b5b4482c6cp-22, 0x1.9e16eeb08a96p-22, 0x1.a1b3987f6d7efp-22, 0x1.a52e87f4e832ap-22, 0x1.a899b0a6d827ap-22, 0x1.abf52058aa44ap-22, 0x1.af37e6e5947fcp-22, 0x1.b267562c0bc94p-22, 0x1.b5821d0292acap-22, 0x1.b88b4940aec38p-22, 0x1.bb8193dadad7ep-22, 0x1.be623cd73435bp-22, 0x1.c133a540d20c2p-22, 0x1.c3f1ca8e64e07p-22, 0x1.c69bbfc46266ap-22, 0x1.c9323aada4f4bp-22, 0x1.cbc09d3d25a57p-22, 0x1.ce2f89f176352p-22, 0x1.d095e2131771ep-22, 0x1.d2e8ea22f2d91p-22, 0x1.d52a2c6bb9957p-22, 0x1.d75bc53ead5f3p-22, 0x1.d984ef7696921p-22, 0x1.db93720516a7p-22, 0x1.dd92a776e2903p-22, 0x1.df892e89c2ef2p-22, 0x1.e16909eb8b42ap-22, 0x1.e33e649643f9ep-22, 0x1.e5035f0bc2d94p-22, 0x1.e6bcb209f4e6cp-22, 0x1.e8615a2f837adp-22, 0x1.ea052d792697ep-22, 0x1.eb7ceabceb4adp-22, 0x1.ed02025ba801dp-22, 0x1.ee6a107322546p-22, 0x1.efcd0dc043f08p-22, 0x1.f11c4fbc7b15ap-22, 0x1.f26800e2472d4p-22, 0x1.f3aefdc4af4eap-22, 0x1.f4d5b453aa857p-22, 0x1.f5fb674da40acp-22, 0x1.f702d9dc99e8ap-22, 0x1.f80ee54b7a5d2p-22, 0x1.f9076c6fc88cp-22, 0x1.f9f92ed2ae97ep-22, 0x1.faddaa5790f0ap-22, 0x1.fbb48900382b8p-22, 0x1.fc801419e9262p-22, 0x1.fd41512cd6283p-22, 0x1.fdfac99318f4dp-22, 0x1.fea8d1f9dc732p-22, 0x1.ff4a1986a7e1cp-22, 0x1.ffe3f16fd303cp-22, 0x1.003724f452cfbp-21, 0x1.0076edb6e3d59p-21, 0x1.00b361cff0bdcp-21, 0x1.00e95cc1ff7bcp-21, 0x1.01199c6016157p-21, 0x1.014b6f2fa723cp-21, 0x1.01727cd276b11p-21, 0x1.019578aeba1fcp-21, 0x1.01b5b7e12b6d1p-21, 0x1.01d0877d6674ap-21, 0x1.01e64e035630ep-21, 0x1.01f9a2eeae7fap-21, 0x1.0207e71a565ddp-21, 0x1.02117b0a9f13fp-21, 0x1.021626fdf2934p-21, 0x1.02154357abe28p-21, 0x1.0213738c1e0f9p-21, 0x1.020d083379c8fp-21, 0x1.020215d12d40dp-21, 0x1.01f317eb3f0a6p-21, 0x1.01e16043f8003p-21, 0x1.01cbd81979731p-21, 0x1.01b0d82e207a4p-21, 0x1.0195b531fea2fp-21, 0x1.01747160d0a92p-21, 0x1.014faf1966e07p-21, 0x1.0127befb200ddp-21, 0x1.00fc5c37d974cp-21, 0x1.00ce187822033p-21, 0x1.009a8645c7e3bp-21, 0x1.006368e5d154bp-21, 0x1.002dff77a6a96p-21, 0x1.ffe32ada019f3p-22, 0x1.ff655da442abbp-22, 0x1.fee2c0a82dc4dp-22, 0x1.fe5e4f82b3b45p-22, 0x1.fdc8f7c088b98p-22, 0x1.fd3d43aef1927p-22, 0x1.fc9fe101613f7p-22, 0x1.fc03579791992p-22, 0x1.fb5b339ee6d62p-22, 0x1.fab64bfc851bfp-22, 0x1.fa02f30880859p-22, 0x1.f94ec7258f18ep-22, 0x1.f895286c38074p-22, 0x1.f7d989058ffe6p-22, 0x1.f71682baeec0ap-22, 0x1.f64e92c13b322p-22, 0x1.f581f86167abp-22, 0x1.f4b11c3af39ecp-22, 0x1.f3db2266e4654p-22, 0x1.f302c1a38b336p-22, 0x1.f2241115ab6dp-22, 0x1.f1413754f72ffp-22, 0x1.f055b73f3b82ep-22, 0x1.ef710d18849f4p-22, 0x1.ee7f4c37331a8p-22, 0x1.ed8c3226bd9e1p-22, 0x1.ec972dd1360dap-22, 0x1.eb98e69459686p-22, 0x1.ea9c3378bc114p-22, 0x1.e99e88bc9286cp-22, 0x1.e897f3ef4e016p-22, 0x1.e78dc55bd04d6p-22, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.93caad0200c4bp-13, -0x1.82c886e90f988p-8, -0x1.b2755e00abeb1p-7, -0x1.f6086702f6b75p-7, -0x1.07138b5769a06p-7, 0x1.3bdccde9036f1p-7, 0x1.298f3ff9f7509p-5, 0x1.1b7adf44525c4p-4, 0x1.ad797d28e5982p-4, 0x1.1e4911d2c54c3p-3, 0x1.5e0cf2189f4bdp-3, 0x1.90e61e0625ee5p-3, 0x1.b310dd86edeecp-3, 0x1.c225aae51d176p-3, 0x1.bcfb4f7ab8194p-3, 0x1.a37a843fa9e98p-3, 0x1.766be37d7fac5p-3, 0x1.3745bd0008d2dp-3, 0x1.cffa2ff0794b3p-4, 0x1.15b75cd56b5a2p-4, 0x1.12ddc6fd2ba38p-6, -0x1.3bd8fc52b7bb9p-5, -0x1.8d277b63fcb1p-4, -0x1.420f54a1ad77bp-3, -0x1.bf22d6cdae9d6p-3, -0x1.1ddcaf214f2b1p-2, -0x1.5afadf6531249p-2, -0x1.961aff2b5595ep-2, -0x1.ce8a31e8ed5a8p-2, -0x1.01d9a767c3efep-1, -0x1.1a8edbe9e9bbcp-1, -0x1.3135d5fefe64p-1, -0x1.45ac1dc77afbfp-1, -0x1.57da7dde4bd6dp-1, -0x1.67b3d89c6b7d3p-1, -0x1.7533efe6d6796p-1, -0x1.805e3b17bc6ecp-1, -0x1.893ccac97e464p-1, -0x1.8fdf365492501p-1, -0x1.9459aa5a9411ap-1, -0x1.96c40421afa86p-1, -0x1.9739051c111a8p-1, -0x1.95d5a0863dcfcp-1, -0x1.92b85d264b9d7p-1, -0x1.8e00c3d3ee60ap-1, -0x1.87cee3cc75542p-1, -0x1.8042ed28e0c81p-1, -0x1.777cd6c95e3cep-1, -0x1.6d9c0d154f311p-1, -0x1.62bf2f862ee57p-1, -0x1.5703deefb871p-1, -0x1.4a869711092c5p-1, -0x1.3d628e549c49ap-1, -0x1.2fb19b73528b4p-1, -0x1.218c23477bec4p-1, -0x1.13090f6d6f143p-1, -0x1.043dcbc54c275p-1, -0x1.ea7c904d9e282p-2, -0x1.cc39f8e112bbep-2, -0x1.add5dd78021bp-2, -0x1.8f6f78349b23p-2, -0x1.712347d2ecd54p-2, -0x1.530b2b0e38781p-2, -0x1.353e7f24b35e8p-2, -0x1.17d23fd866836p-2, -0x1.f5b2504e1376ep-3, -0x1.bcc7a50ba13adp-3, -0x1.8501b2781f535p-3, -0x1.4e79ec33c3644p-3, -0x1.1946445b1a28cp-3, -0x1.caf2d33c6c664p-4, -0x1.6646089beec44p-4, -0x1.049fe2d4a0948p-4, -0x1.4c29ed9780339p-5, -0x1.2ad483b3fa28fp-6, 0x1.ae827bcd4efc8p-9, 0x1.897c33e94ee2dp-6, 0x1.680f883f4a492p-5, 0x1.026d715b0e50ap-4, 0x1.4d92397c91aaap-4, 0x1.957ae248bd58ap-4, 0x1.da2e8b1b7235ep-4, 0x1.0ddb3510400bbp-3, 0x1.2d0ec73d3c69cp-3, 0x1.4ab853677cb6fp-3, 0x1.66dee5b2ba46ap-3, 0x1.818a26cbc0087p-3, 0x1.9ac2451105594p-3, 0x1.b28fdfd2648acp-3, 0x1.c8fbf436d227p-3, 0x1.de0fcc0505b0bp-3, 0x1.f1d4ed83a3158p-3, 0x1.022a86af80e06p-2, 0x1.0acd00ad54fa2p-2, 0x1.12d6da5c781dbp-2, 0x1.1a4d0ea9b4bd6p-2, 0x1.21349924123f7p-2, 0x1.27927189efeebp-2, 0x1.2d6b88232bed1p-2, 0x1.32c4c21001f32p-2, 0x1.37a2f683d55b1p-2, 0x1.3c0aebf586851p-2, 0x1.400155cb2153cp-2, 0x1.438ad2722cf26p-2, 0x1.46abe9621174fp-2, 0x1.496909f22648ap-2, 0x1.4bc689cc4e1bdp-2, 0x1.4dc8a41b7916bp-2, 0x1.4f7378aa3772dp-2, 0x1.50cb0b187bad9p-2, 0x1.51d342aac0afep-2, 0x1.528fe99ef922ep-2, 0x1.5304ad2b3944fp-2, 0x1.53351d7984e9p-2, 0x1.5324ad660c9edp-2, 0x1.52d6b2ecf99d5p-2, 0x1.524e674241d9cp-2, 0x1.518ee6f3686e9p-2, 0x1.509b3292fdfcap-2, 0x1.4f762ee75c3cp-2, 0x1.4e22a54ea06a5p-2, 0x1.4ca344939ae17p-2, 0x1.4afaa12b92f2bp-2, 0x1.492b35c9fe2f6p-2, 0x1.47376443722a1p-2, 0x1.452175e02f513p-2, 0x1.42eb9c00290acp-2, 0x1.4097f10994198p-2, 0x1.3e2878d10417cp-2, 0x1.3b9f212b99204p-2, 0x1.38fdc2eb9452fp-2, 0x1.36462267405f5p-2, 0x1.3379efe16b5bap-2, 0x1.309ac88507321p-2, 0x1.2daa370e1d56bp-2, 0x1.2aa9b41f5c9c1p-2, 0x1.279aa70c836cap-2, 0x1.247e66ae45bcdp-2, 0x1.215639bd346d1p-2, 0x1.1e23575354319p-2, 0x1.1ae6e7c926d66p-2, 0x1.17a20542a60edp-2, 0x1.1455bbfb5c9aap-2, 0x1.11030ae2dbb9cp-2, 0x1.0daae4648640ap-2, 0x1.0a4e2ebf16719p-2, 0x1.06edc458293f8p-2, 0x1.038a746128082p-2, 0x1.00250369f2b39p-2, 0x1.f97c576e305c5p-3, 0x1.f2ad3b0fdb1e1p-3, 0x1.ebddff597f267p-3, 0x1.e50fe00a76e2ep-3, 0x1.de44078cf8a69p-3, 0x1.d77b8f82d7dcdp-3, 0x1.d0b781a40c0d4p-3, 0x1.c9f8d8b41146cp-3, 0x1.c3408105df475p-3, 0x1.bc8f58ddc2ff9p-3, 0x1.b5e6312f9e8a1p-3, 0x1.af45ce7020949p-3, 0x1.a8aee90fd719bp-3, 0x1.a2222ddc11b8fp-3, 0x1.9ba03e833d24bp-3, 0x1.9529b23b6b287p-3, 0x1.8ebf164b9d351p-3, 0x1.8860ee674e0d2p-3, 0x1.820fb4fa70162p-3, 0x1.7bcbdbbc0b27cp-3, 0x1.7595cc24d361ap-3, 0x1.6f6de7c9f4d84p-3, 0x1.695488a71f29ep-3, 0x1.634a0176fccb2p-3, 0x1.5d4e9e1633361p-3, 0x1.5762a3e3e1dccp-3, 0x1.5186520ae36e4p-3, 0x1.4bb9e1bdaeca7p-3, 0x1.45fd86808a2bap-3, 0x1.40516e751e28p-3, 0x1.3ab5c2aa5517dp-3, 0x1.352aa74fd3a16p-3, 0x1.2fb03bf203e52p-3, 0x1.2a469ba9ed2bep-3, 0x1.24eddd61e50cdp-3, 0x1.1fa6140cc9637p-3, 0x1.1a6f4ed745e8ap-3, 0x1.15499952adcdep-3, 0x1.1034fba1ba035p-3, 0x1.0b317aa56aac5p-3, 0x1.063f1832e21efp-3, 0x1.015dd32dc302bp-3, 0x1.f91b4f780df63p-4, 0x1.ef9d1ebca4941p-4, 0x1.e641022ac108p-4, 0x1.dd06e31cceb62p-4, 0x1.d3eea669b7ebap-4, 0x1.caf82cc00faap-4, 0x1.c22352cfa4ecap-4, 0x1.b96ff17fd3862p-4, 0x1.b0ddde2bf2b1ep-4, 0x1.a86cead497281p-4, 0x1.a01ce661d742fp-4, 0x1.97ed9cb1a27cp-4, 0x1.8fded6e415f13p-4, 0x1.87f05b73ffb44p-4, 0x1.8021ee69e4fcfp-4, 0x1.7873517f1f10cp-4, 0x1.70e44449e2c02p-4, 0x1.6974845c69ed7p-4, 0x1.6223cd6b18728p-4, 0x1.5af1d968bcfa5p-4, 0x1.53de60ab43954p-4, 0x1.4ce91a09b510ap-4, 0x1.4611bafbaa8dcp-4, 0x1.3f57f7b572eacp-4, 0x1.38bb83393bp-4, 0x1.323c0f7fecc11p-4, 0x1.2bd94d8925e6ep-4, 0x1.2592ed6bd6f59p-4, 0x1.1f689e809c3e7p-4, 0x1.195a0f660dc91p-4, 0x1.1366ee202d766p-4, 0x1.0d8ee82619a79p-4, 0x1.07d1aa72417a8p-4, 0x1.022ee19edd685p-4, 0x1.f94c73d83943cp-5, 0x1.ee6ebeb7c7766p-5, 0x1.e3c3fb7417d08p-5, 0x1.d94b815337199p-5, 0x1.cf04a77fa3fb6p-5, 0x1.c4eec506ff59ep-5, 0x1.bb0930fa47691p-5, 0x1.b153429ac1ee1p-5, 0x1.a7cc515b7896bp-5, 0x1.9e73b509dc4a3p-5, 0x1.9548c5d56530cp-5, 0x1.8c4adc6addf72p-5, 0x1.8379520db3b66p-5, 0x1.7ad38098abdb8p-5, 0x1.7258c2a2fe867p-5, 0x1.6a08738abda56p-5, 0x1.61e1ef8458371p-5, 0x1.59e493adec291p-5, 0x1.520fbe19cd1cep-5, 0x1.4a62cdd4b51c7p-5, 0x1.42dd2303d8b37p-5, 0x1.3b7e1edf08ea4p-5, 0x1.344523ca5744cp-5, 0x1.2d31955a86eb4p-5, 0x1.2642d86d2fbe9p-5, 0x1.1f78531d76697p-5, 0x1.18d16ccf4a1bp-5, 0x1.124d8e487574p-5, 0x1.0bec21a110b61p-5, 0x1.05ac925b0737bp-5, 0x1.ff1c9aea7ec73p-6, 0x1.f32182ae2947ep-6, 0x1.e766bbd410179p-6, 0x1.dbeb2921d4ac7p-6, 0x1.d0adb076569c1p-6, 0x1.c5ad3a8e81b29p-6, 0x1.bae8b360ed41ap-6, 0x1.b05f09fd26f3cp-6, 0x1.a60f30add47b9p-6, 0x1.9bf81ce9aded8p-6, 0x1.9218c75b35b39p-6, 0x1.88702bf39cff5p-6, 0x1.7efd49ab7529ap-6, 0x1.75bf22c2412c8p-6, 0x1.6cb4bca703e2fp-6, 0x1.63dd202773c19p-6, 0x1.5b3759495a9f5p-6, 0x1.52c27784bc376p-6, 0x1.4a7d8d8da38e6p-6, 0x1.4267b14e64f16p-6, 0x1.3a7ffbe4ca922p-6, 0x1.32c5897e2daa4p-6, 0x1.2b377996eeap-6, 0x1.23d4eee027705p-6, 0x1.1c9d0f6f8e9f6p-6, 0x1.158f04b6753cap-6, 0x1.0ea9fb7141056p-6, 0x1.07ed238425f8ep-6, 0x1.0157afd7a6ed1p-6, 0x1.f5d1aca4bba1ep-7, 0x1.e93f9fa4fb204p-7, 0x1.dcf7b0a3e98p-7, 0x1.d0f85e0373e34p-7, 0x1.c5402ce85612p-7, 0x1.b9cda8fe8f33dp-7, 0x1.ae9f64604a8cep-7, 0x1.a3b3f6ece93c2p-7, 0x1.9909fdfb74645p-7, 0x1.8ea01c19b0137p-7, 0x1.8474f903a6b7cp-7, 0x1.7a87424927547p-7, 0x1.70d5ab8421a13p-7, 0x1.675eef122e207p-7, 0x1.5e21cdce73478p-7, 0x1.551d0f23ce0d6p-7, 0x1.4c4f7f96b1d5ap-7, 0x1.43b7f0fbf27a8p-7, 0x1.3b5538a3a8dc2p-7, 0x1.3326306f5000cp-7, 0x1.2b29b67732dc7p-7, 0x1.235eae1d6fd26p-7, 0x1.1bc40126854d2p-7, 0x1.1458a022011d7p-7, 0x1.0d1b825f85f3bp-7, 0x1.060ba58e4738p-7, 0x1.fe5017ddb779bp-8, 0x1.f0df772488251p-8, 0x1.e3c379f740857p-8, 0x1.d6fa35ff1634ap-8, 0x1.ca81c7291aa1p-8, 0x1.be5851e11ccd1p-8, 0x1.b27c06338b433p-8, 0x1.a6eb225b49b68p-8, 0x1.9ba3f3553e1bcp-8, 0x1.90a4d40cbf3f3p-8, 0x1.85ec29d4a54b3p-8, 0x1.7b786110a5d16p-8, 0x1.7147e89c3e30ep-8, 0x1.675930c5dc27p-8, 0x1.5daaaad43aefdp-8, 0x1.543acb83dfee2p-8, 0x1.4b080f5634f1ep-8, 0x1.4210fdf2fc35ep-8, 0x1.39542de674248p-8, 0x1.30d045c42d221p-8, 0x1.2883fb26fad04p-8, 0x1.206e0eeec30cdp-8, 0x1.188d47f25633dp-8, 0x1.10e06e0d7bdf1p-8, 0x1.0966469e17b2ap-8, 0x1.021d93a91771dp-8, 0x1.f60a2eebe269fp-9, 0x1.e8372dbd14cc6p-9, 0x1.dabfbdb9d10f5p-9, 0x1.cda1907b5a1bap-9, 0x1.c0da778ab03b6p-9, 0x1.b46865ab9f872p-9, 0x1.a8496dc1159b3p-9, 0x1.9c7bb80d2ef09p-9, 0x1.90fd74c1d19c3p-9, 0x1.85ccceb317697p-9, 0x1.7ae7e437fe267p-9, 0x1.704cc7e7a44c8p-9, 0x1.65f986dc55f25p-9, 0x1.5bec307331be2p-9, 0x1.5222ddf667c72p-9, 0x1.489bbaab323e5p-9, 0x1.3f550c6c55693p-9, 0x1.364d3b7bd9b67p-9, 0x1.2d82d60487f24p-9, 0x1.24f487d18157dp-9, 0x1.1ca10a3584278p-9, 0x1.148710132d363p-9, 0x1.0ca53a4d60298p-9, 0x1.04fa143f23c77p-9, 0x1.fb084413f72bep-10, 0x1.ec83cb7907929p-10, 0x1.de63d0f23e1abp-10, 0x1.d0a5737647f6ap-10, 0x1.c345ea0b5faf6p-10, 0x1.b64293ca80263p-10, 0x1.a999174db079ep-10, 0x1.9d4768df036e5p-10, 0x1.914bbe55bff77p-10, 0x1.85a45e18f9f04p-10, 0x1.7a4f70619ef0bp-10, 0x1.6f4ae5bfa7434p-10, 0x1.649488b7e52b8p-10, 0x1.5a2a1aefafc57p-10, 0x1.500978611e0f8p-10, 0x1.463097d1992d8p-10, 0x1.3c9d78c796307p-10, 0x1.334e10cdd91a9p-10, 0x1.2a405348cd921p-10, 0x1.2172571b87e1ep-10, 0x1.18e276ec0fc7ap-10, 0x1.108f53edb2dd2p-10, 0x1.0877b896972d8p-10, 0x1.009a6194ddf44p-10, 0x1.f1ebbc7ed3c41p-11, 0x1.e3112c0b4c27ap-11, 0x1.d4a1d24ab3122p-11, 0x1.c69ab9c9a5fadp-11, 0x1.b8f95709a969ep-11, 0x1.abbb5db26369bp-11, 0x1.9ede5b38a2f87p-11, 0x1.925f6eb05c664p-11, 0x1.863b5d827a3d4p-11, 0x1.7a6ee6097ed63p-11, 0x1.6ef7302a9577p-11, 0x1.63d1ec4ac048fp-11, 0x1.58fd33fbcf3afp-11, 0x1.4e773d22d700ep-11, 0x1.443e2a3394046p-11, 0x1.3a50009d1e5f1p-11, 0x1.30aacbb601a82p-11, 0x1.274cd36574c11p-11, 0x1.1e34b8366ec51p-11, 0x1.15615a71fc295p-11, 0x1.0cd16c800e9c5p-11, 0x1.048309dedce75p-11, 0x1.f8e736a30654ap-12, 0x1.e94055c98325cp-12, 0x1.da0bd1e577ecep-12, 0x1.cb450cd547a2ep-12, 0x1.bce882b695f83p-12, 0x1.aef3b5a095e49p-12, 0x1.a164d09a69ce4p-12, 0x1.943a45c35961cp-12, 0x1.877271b654418p-12, 0x1.7b0b9f8941a7dp-12, 0x1.6f04522a5b9a8p-12, 0x1.635b4fd5d2a21p-12, 0x1.580f23a5b88a1p-12, 0x1.4d1d72e11ad53p-12, 0x1.4282a9900ce32p-12, 0x1.383a3e823c938p-12, 0x1.2e3f7a7041b39p-12, 0x1.248e4561362edp-12, 0x1.1b234ebb29c8cp-12, 0x1.11fbeba8638f6p-12, 0x1.09163719514f8p-12, 0x1.0071793feb84fp-12, 0x1.f01b689693786p-13, 0x1.dfd561cec142bp-13, 0x1.d00f72cbc5962p-13, 0x1.c0c89386feaecp-13, 0x1.b20056be61dbp-13, 0x1.a3b4ecedd727ap-13, 0x1.95e13ca02b7a7p-13, 0x1.887dfb23159e6p-13, 0x1.7b83c2fe11ca1p-13, 0x1.6eec7dc993782p-13, 0x1.62b390d6e7d67p-13, 0x1.56d5ddf04f483p-13, 0x1.4b50ab254f029p-13, 0x1.40205bde5621p-13, 0x1.35413f21732fbp-13, 0x1.2ab2ad1476eedp-13, 0x1.2076605f725e3p-13, 0x1.168cd2561479p-13, 0x1.0cf4a160c6f87p-13, 0x1.03ad874dc0f8bp-13, 0x1.f5710dcac02fcp-14, 0x1.e428277778966p-14, 0x1.d3757295692f6p-14, 0x1.c34aff523405fp-14, 0x1.b39d632c3f85ap-14, 0x1.a4662d441db28p-14, 0x1.95a22424f6a5ap-14, 0x1.874f5deb44b76p-14, 0x1.796d16a8904dfp-14, 0x1.6bf9e8347ebf3p-14, 0x1.5eef4a2e6539p-14, 0x1.524541323f32cp-14, 0x1.45fc6c0e0b74dp-14, 0x1.3a1a50cc8f0adp-14, 0x1.2e9e75d1e1b79p-14, 0x1.2384ca36cb37ep-14, 0x1.18cde421b2583p-14, 0x1.0e7a5138780b6p-14, 0x1.0484cbc1ebd6dp-14, 0x1.f5ca4a4af6f9bp-15, 0x1.e3290fb4e1b9p-15, 0x1.d11c15d0e8f3ep-15, 0x1.bf9c99ad45a5bp-15, 0x1.aea618df4c336p-15, 0x1.9e363c093771bp-15, 0x1.8e4bef54fbc19p-15, 0x1.7ee85487c2af3p-15, 0x1.700a5e4778577p-15, 0x1.61a4b3ff4ae32p-15, 0x1.53ace797fe98cp-15, 0x1.462c9696fdf8dp-15, 0x1.3929bd3bb133fp-15, 0x1.2c9a4a2eb78e7p-15, 0x1.2079fd15ecfc8p-15, 0x1.14ca239d5f5e3p-15, 0x1.09840e4e9aaf5p-15, 0x1.fd3e179d0a7afp-16, 0x1.e82f7069c97b2p-16, 0x1.d3da8e837ab4dp-16, 0x1.c03b9a7808a03p-16, 0x1.ad485e45c6874p-16, 0x1.9af4a3f2fe047p-16, 0x1.8937c5f69fbb1p-16, 0x1.780ed59d2db77p-16, 0x1.6779aa7a9a5e1p-16, 0x1.577c09bc34feap-16, 0x1.481501d833784p-16, 0x1.3932007efa9ffp-16, 0x1.2ad20c6e0f3adp-16, 0x1.1d02f33ae4e3p-16, 0x1.0fb25bc892dd5p-16, 0x1.02d7978853eb4p-16, 0x1.ecef8f6e6ff45p-17, 0x1.d51063b84177ap-17, 0x1.bdfcf49f7ef17p-17, 0x1.a7b331e35b77p-17, 0x1.923952bd11066p-17, 0x1.7d93f0f69d4e6p-17, 0x1.69c2a990044e7p-17, 0x1.56bb3cc79bb78p-17, 0x1.4468417588eebp-17, 0x1.32b2ede920f6ep-17, 0x1.2192b9e220644p-17, 0x1.110b7c16fe77bp-17, 0x1.012134baeaf71p-17, 0x1.e3bc1c95d111ap-18, 0x1.c680958af21b6p-18, 0x1.aa66600cb4ef2p-18, 0x1.8f74485e9e5cp-18, 0x1.7575a7bd96de3p-18, 0x1.5c6a22d205fb7p-18, 0x1.4469456efa3eep-18, 0x1.2d4f4cd67a8c7p-18, 0x1.1707489dc2fa6p-18, 0x1.019141f5bd643p-18, 0x1.d9e37c7d31c2ep-19, 0x1.b2517a8f8411dp-19, 0x1.8c761c0942e02p-19, 0x1.6854cb4bf80e4p-19, 0x1.45eab2e9644aep-19, 0x1.250967f798b28p-19, 0x1.055a9213f28f1p-19, 0x1.cd772f09ec1c9p-20, 0x1.92b40ec15501cp-20, 0x1.5a68c7e2b875cp-20, 0x1.24797c3b125a4p-20, 0x1.e31757107364fp-21, 0x1.8268360c2c44ep-21, 0x1.2588d1112e76dp-21, 0x1.97b16a1fa2ca5p-22, 0x1.d95afcbc3ad35p-23, 0x1.2846e51bb48d7p-24, -0x1.463cfa79a01eap-24, -0x1.cd3e774556e74p-23, -0x1.74fd742bee85cp-22, -0x1.fcc4446d97503p-22, -0x1.3f11f1ef8500ap-21, -0x1.7c9ee274f549ep-21, -0x1.b71828e376d1bp-21, -0x1.ee692aaf39759p-21, -0x1.113a1e3c52548p-20, -0x1.29b18854c83cfp-20, -0x1.4103c847dd7a5p-20, -0x1.576257693d2c5p-20, -0x1.6c8d25010df98p-20, -0x1.80a71df31e8dfp-20, -0x1.93c6140f503a1p-20, -0x1.a55d7478e013ap-20, -0x1.b5ad8d7a206ffp-20, -0x1.c55d398d65dc7p-20, -0x1.d45ae5f13ca57p-20, -0x1.e23d6e401e8ccp-20, -0x1.ef3ab6ed278c8p-20, -0x1.fb75a5b93cca3p-20, -0x1.037587dcf5536p-19, -0x1.08cf2abed8ff7p-19, -0x1.0dc64c6645eb6p-19, -0x1.12644ab5cd411p-19, -0x1.16ab461694ffap-19, -0x1.1a9f0ae2cd67cp-19, -0x1.1e419eb6a2464p-19, -0x1.2198640f6ca6bp-19, -0x1.249eb2ac417f5p-19, -0x1.274deb35ddc52p-19, -0x1.29b1724d88dbdp-19, -0x1.2be3178faeb59p-19, -0x1.2ddb6227c0266p-19, -0x1.2fa429de18cd5p-19, -0x1.312f5e6117451p-19, -0x1.32745006e9e9cp-19, -0x1.337821a64b02cp-19, -0x1.346042378e0cfp-19, -0x1.35224040638bcp-19, -0x1.35a9aa58d711cp-19, -0x1.3609097688df7p-19, -0x1.3642e509db884p-19, -0x1.3655ee9ec0b8ap-19, -0x1.36435ae952563p-19, -0x1.360d218bb71ap-19, -0x1.35b51afcbd6ddp-19, -0x1.353d4d1513c59p-19, -0x1.34a75e9c9f67bp-19, -0x1.33f41fb13c0e9p-19, -0x1.33275d92551bcp-19, -0x1.324179d7914ffp-19, -0x1.31440cadf5649p-19, -0x1.302e126fe868bp-19, -0x1.2ef8865883381p-19, -0x1.2dac2452b61a1p-19, -0x1.2c56ef16d98d9p-19, -0x1.2af45217d3478p-19, -0x1.297841f18dbb1p-19, -0x1.27eb6d18189b5p-19, -0x1.264fe02530a1bp-19, -0x1.24a8480a275fcp-19, -0x1.22f7a4ba58f24p-19, -0x1.2131a63dc9428p-19, -0x1.1f680634f4d21p-19, -0x1.1d91a171c0d7cp-19, -0x1.1bb1eb90d9e79p-19, -0x1.19c88934213bcp-19, -0x1.17d701aa493d6p-19, -0x1.15ddd43777215p-19, -0x1.13dd049ef1dc9p-19, -0x1.11d5e6d386527p-19, -0x1.0fca78300f519p-19, -0x1.0db8d845d6114p-19, -0x1.0ba2c34bfc163p-19, -0x1.0988b0864b547p-19, -0x1.076b9d911ef57p-19, -0x1.054c433f0601fp-19, -0x1.0329a275c8863p-19, -0x1.0100b5346f6f7p-19, -0x1.fdaefd301a8f6p-20, -0x1.f9613067a3944p-20, -0x1.f50a5ebab36d4p-20, -0x1.f0b26b2342b5ep-20, -0x1.ec5d1ff457329p-20, -0x1.e8075322e88cfp-20, -0x1.e3b281be97e24p-20, -0x1.df5d52748a552p-20, -0x1.db0b332173931p-20, -0x1.d6babf4d3505p-20, -0x1.d26e10072dabep-20, -0x1.ce23d447b80cap-20, -0x1.c9dcf5ba5bf13p-20, -0x1.c59c06e13dc59p-20, -0x1.c16255d0189a6p-20, -0x1.bd1e2e1b9cf12p-20, -0x1.b8efad7b9061p-20, -0x1.b4c1b284ae30ap-20, -0x1.b09951b9afa0ep-20, -0x1.ac76d1b30ff12p-20, -0x1.a85a7dfc93923p-20, -0x1.a444da6f794adp-20, -0x1.a0363cd89da83p-20, -0x1.9c2f0783c4352p-20, -0x1.982ed3c132c8p-20, -0x1.943485b7df409p-20, -0x1.9043cab492c2ep-20, -0x1.8c582039983b4p-20, -0x1.887506119cba3p-20, -0x1.849aaaff20508p-20, -0x1.80c85a7fb489p-20, -0x1.7cfdd10ecefbcp-20, -0x1.793bab794c82bp-20, -0x1.7581523123695p-20, -0x1.71cf79cfd48f6p-20, -0x1.6e25b356325b6p-20, -0x1.6a84bffbd5cd9p-20, -0x1.66ec255d082ddp-20, -0x1.635ba0db11d0ep-20, -0x1.5fd5b1781ed2dp-20, -0x1.5c54717a0742ep-20, -0x1.58de827625b01p-20, -0x1.556ebfec3e122p-20, -0x1.520859282bcabp-20, -0x1.4eadd9cfea24cp-20, -0x1.4b54a63d8b201p-20, -0x1.4807bf87b602ep-20, -0x1.44c917d902733p-20, -0x1.418637e867763p-20, -0x1.3e51e3c74e008p-20, -0x1.3b22e401e3579p-20, -0x1.3800e7d1fc436p-20, -0x1.34e11e1df622bp-20, -0x1.31cf7e83803bbp-20, -0x1.2ec327dd5d213p-20, -0x1.2bbe7b1807f6cp-20, -0x1.28c12a6ddbe9ep-20, -0x1.25cb91f9941a8p-20, -0x1.22dddbe40c4edp-20, -0x1.1ff780213d088p-20, -0x1.1d181acaf0eep-20, -0x1.1a3f9cb7ffc6p-20, -0x1.176f5cc5d5d0ap-20, -0x1.14a5b889f08e9p-20, -0x1.11e2d51ba7049p-20, -0x1.0f2746f165474p-20, -0x1.0c7232a3c6418p-20, -0x1.09c3c959b3bdbp-20, -0x1.071bcad7f865dp-20, -0x1.047ab09c173f4p-20, -0x1.01dff825555b2p-20, -0x1.fe985172389b9p-21, -0x1.f97ba6b2d5b8bp-21, -0x1.f46583190d225p-21, -0x1.ef66810ac5d18p-21, -0x1.ea6cba741e1c2p-21, -0x1.e58073b9db6c8p-21, -0x1.e09f23405c4c6p-21, -0x1.dbc8a0da404e2p-21, -0x1.d6fd5a05dc713p-21, -0x1.d23c7aa71bc7ep-21, -0x1.cd86dd0980c42p-21, -0x1.c8daf1387b101p-21, -0x1.c43412b775692p-21, -0x1.bfa1d90a6eeebp-21, -0x1.bb142766d8a81p-21, -0x1.b6900c58791bep-21, -0x1.b215774b7a602p-21, -0x1.ada49b0be3181p-21, -0x1.a93aa9309cb26p-21, -0x1.a4dbb6f2e1001p-21, -0x1.a08435783cd03p-21, -0x1.9c37229cac65fp-21, -0x1.97eff9e24c5fep-21, -0x1.93adf63979027p-21, -0x1.8f7ad8b662477p-21, -0x1.8b4c54ca4a78ap-21, -0x1.87226c6ac14d2p-21, -0x1.82ff532507e65p-21, -0x1.7ee97e26508d6p-21, -0x1.7ad89d8ec9804p-21, -0x1.76cf901052b6bp-21, -0x1.72cc688791deap-21, -0x1.6ece9a246d0ccp-21, -0x1.6ad8214859f53p-21, -0x1.66e7c5bf80b86p-21, -0x1.62fcb2ec03fa4p-21, -0x1.5f0e42fb3511cp-21, -0x1.5b39d2b56bc1ep-21, -0x1.5760aad83f2dep-21, -0x1.538dc396bef92p-21, -0x1.4fbfe07c9934bp-21, -0x1.4bf765cdb3741p-21, -0x1.4833fa4939804p-21, -0x1.4473fb9131a9cp-21, -0x1.40bb9bf30e6f6p-21, -0x1.3d0876c68d386p-21, -0x1.3956a17d43c19p-21, -0x1.35ab6916c399ap-21, -0x1.3204108beac7ap-21, -0x1.2e614e1ac848fp-21, -0x1.2ac29caca90e3p-21, -0x1.2727f5d49d34p-21, -0x1.2392140788736p-21, -0x1.1fff322e8e80fp-21, -0x1.1c7020347a58p-21, -0x1.18e58a2595521p-21, -0x1.155ea99e3b6e6p-21, -0x1.11d7e6e31c499p-21, -0x1.0e5a7e9c7cbdap-21, -0x1.0add47b2871a5p-21, -0x1.076397299924fp-21, -0x1.03ed6fc8f4e95p-21, -0x1.0079f7738ee18p-21, -0x1.fa0a5d2b76315p-22, -0x1.f3382929c0ab7p-22, -0x1.ec659d5e88a4bp-22, -0x1.e594fd4eeae04p-22, -0x1.dec99d734fcbfp-22, -0x1.d808e22c5f5ffp-22, -0x1.d14ace2f05e9dp-22, -0x1.ca8e50ae7b11ap-22, -0x1.c3dcba89c3c92p-22, -0x1.bd1e751d3ffbdp-22, -0x1.b6883cf83a9a6p-22, -0x1.afdf575292fcap-22, -0x1.a941cd0e2126p-22, -0x1.a2a55d77d6a5ep-22, -0x1.9c171668d50afp-22, -0x1.957ba49a04012p-22, -0x1.8ee5c3e35e258p-22, -0x1.8861768d28a7ep-22, -0x1.81d2eccc8c7d6p-22, -0x1.7b5fb74d6319p-22, -0x1.74df0386a9b85p-22, -0x1.6e68c5162d882p-22, -0x1.67f3449a8694p-22, -0x1.6181ca7ed90b1p-22, -0x1.5b178ce9ca7cdp-22, -0x1.54b35533e56c8p-22, -0x1.4e49f01b10f84p-22, -0x1.47e8e0f4a08fap-22, -0x1.4189f36ffe399p-22, -0x1.3b30a70c15bbbp-22, -0x1.34d9aa005d1ebp-22, -0x1.2e88f663982c2p-22, -0x1.283c2b3cf4bf3p-22, -0x1.21f17d8df04bcp-22, -0x1.1bac3ff090b2cp-22, -0x1.157522c66b84ep-22, -0x1.0f270f9950408p-22, -0x1.08ee72d23b3e9p-22, -0x1.02b80ae80e256p-22, -0x1.f905bb964910bp-23, -0x1.eca46f3e8427fp-23, -0x1.e04c255e21037p-23, -0x1.d3f827b8d8dfcp-23, -0x1.c7adad7d83c27p-23, -0x1.bb6afeae67162p-23, -0x1.af31077a3d0c7p-23, -0x1.a3039e6cdacbep-23, -0x1.96cbce3b55123p-23, -0x1.8aab589cd7861p-23, -0x1.7e8f3203204ccp-23, -0x1.727a7fe119222p-23, -0x1.666b688c216d5p-23, -0x1.5a64b950c7c84p-23, -0x1.4e69c57e2f82p-23, -0x1.4257d623beecp-23, -0x1.367a3a9bdd0f2p-23, -0x1.2a9a57638be0ap-23, -0x1.1eb4f3fef181cp-23, -0x1.12e1d6ed2a04dp-23, -0x1.0715f60825097p-23, -0x1.f6aa29ebea8d4p-24, -0x1.df39ae11a9943p-24, -0x1.c7c299bbfcd5bp-24, -0x1.b06eb42b8ad5ap-24, -0x1.992e6cdc382c4p-24, -0x1.81f48dc958fa8p-24, -0x1.6ac10933b6319p-24, -0x1.53e682401a438p-24, -0x1.3ca912f3ee20ap-24, -0x1.25c3434c8c6b4p-24, -0x1.0ed187258fe1ep-24, -0x1.f03cd7024a7bdp-25, -0x1.c2a45ca653afep-25, -0x1.95731d5cb483ep-25, -0x1.6851f9b0d8bp-25, -0x1.3b54e142411ffp-25, -0x1.0e6a7d881dda2p-25, -0x1.c3734936035aap-26, -0x1.6a6b5254a0003p-26, -0x1.11a4daa31af57p-26, -0x1.7252916b51d51p-27, -0x1.850dad5e522fp-28, -0x1.23e38755159d2p-31, 0x1.392474fecb657p-28, 0x1.4b04714795f62p-27, 0x1.f7284066225d2p-27, 0x1.530cb4cee840bp-26, 0x1.a8ed16f39b9c9p-26, 0x1.febbff3df96eep-26, 0x1.2a30a87a4e771p-25, 0x1.549f2a5b722bdp-25, 0x1.7f0ad84f3d10bp-25, 0x1.a954b6cdc2116p-25, 0x1.d35b93724af2cp-25, 0x1.fd2f88bc228b2p-25, }}, 
      {{0x1.cd12616c5c29ep-4, 0x1.98929db6684fp-3, 0x1.9eee7f0005c28p-3, 0x1.03b4168841169p-3, 0x1.f216a94bad1fdp-9, -0x1.116b85a3899e2p-3, -0x1.0a117dd6837b9p-2, -0x1.6fd851208e28ap-2, -0x1.b20b38312f649p-2, -0x1.ceeacf4d1f2afp-2, -0x1.c8e19c712ba3bp-2, -0x1.a4ca459a03b39p-2, -0x1.68a585c9b44a5p-2, -0x1.1ab6132ba8ba3p-2, -0x1.81dd50c1579f1p-3, -0x1.8275926b1e1ep-4, 0x1.bd873ace07336p-10, 0x1.89f04b752e8cbp-4, 0x1.7d9819ebceaf8p-3, 0x1.149dc4e75c10bp-2, 0x1.628ce50a46e85p-2, 0x1.a7c6f902e4ef3p-2, 0x1.e3f1df4a463ep-2, 0x1.0b89c6a7d0166p-1, 0x1.20bdfca0d03fbp-1, 0x1.31d8cb6e55256p-1, 0x1.3f30482e1cfd8p-1, 0x1.49265a223724fp-1, 0x1.5022f93806635p-1, 0x1.548f980a87d85p-1, 0x1.56d398389bca6p-1, 0x1.5751a6d1f7b86p-1, 0x1.5665ddb487fbcp-1, 0x1.5464883ef9537p-1, 0x1.51996e1bf8cd8p-1, 0x1.4e47884a485a9p-1, 0x1.4aa9076f28283p-1, 0x1.46ef9802283cbp-1, 0x1.4344d3fd16279p-1, 0x1.3fcacee29c995p-1, 0x1.3c9cb6352eec7p-1, 0x1.39cf7cdd99a4cp-1, 0x1.37728485ff2f4p-1, 0x1.359044df3faf8p-1, 0x1.342ef216fc065p-1, 0x1.3351181893414p-1, 0x1.32f62740452dcp-1, 0x1.331af89496c83p-1, 0x1.33ba4a6ccaeadp-1, 0x1.34cd2fd6f981dp-1, 0x1.364b706788466p-1, 0x1.382bdbc6e7291p-1, 0x1.3a6494de4dfa5p-1, 0x1.3ceb548b77117p-1, 0x1.3fb5a259e5092p-1, 0x1.42b902c2784a4p-1, 0x1.45eb1c827430ep-1, 0x1.4941d752e522dp-1, 0x1.4cb375623ca93p-1, 0x1.5036a83555a0ep-1, 0x1.53c2a0b1aa852p-1, 0x1.574f1a98a8b5bp-1, 0x1.5ad463f6f5634p-1, 0x1.5e4b61313c53ep-1, 0x1.61ad8e91b3dd6p-1, 0x1.64f4ffe5d64fbp-1, 0x1.681c5e8361e2dp-1, 0x1.6b1ee61c7e68dp-1, 0x1.6df8604c42b5dp-1, 0x1.70a51f4c534f8p-1, 0x1.7321f7c32c17dp-1, 0x1.756c3a1d32c22p-1, 0x1.7781ab7434ea5p-1, 0x1.79607e4743b5fp-1, 0x1.7b074b20dc26p-1, 0x1.7c75094bb9248p-1, 0x1.7da9079e43d21p-1, 0x1.7ea2e57e23ccfp-1, 0x1.7f628c039732ep-1, 0x1.7fe8277eecefdp-1, 0x1.80342112f2772p-1, 0x1.804718b2e3a2bp-1, 0x1.8021df6bdd85dp-1, 0x1.7fc571e9141b9p-1, 0x1.7f32f354a6b56p-1, 0x1.7e6ba89959647p-1, 0x1.7d70f3d342784p-1, 0x1.7c44501c3e5a7p-1, 0x1.7ae74dc2ed3ddp-1, 0x1.795b8e9c29887p-1, 0x1.77a2c2bd77675p-1, 0x1.75bea579236fbp-1, 0x1.73b0fa9321c1bp-1, 0x1.717b8bb2cfa01p-1, 0x1.6f202622ff96cp-1, 0x1.6ca098ac7d0a5p-1, 0x1.69feb1be58989p-1, 0x1.673c3daf68d86p-1, 0x1.645b053ce6bb8p-1, 0x1.615ccc3e2d514p-1, 0x1.5e4350607e8a9p-1, 0x1.5b1048170755dp-1, 0x1.57c561b9f5efp-1, 0x1.546442b032cc9p-1, 0x1.50ee86c4b4abbp-1, 0x1.4d65bf92de638p-1, 0x1.49cb7400a2a36p-1, 0x1.46211fe197221p-1, 0x1.426833a73e575p-1, 0x1.3ea2141594956p-1, 0x1.3ad01a29b3a34p-1, 0x1.36f392ebc209p-1, 0x1.330dbf6ac2613p-1, 0x1.2f1fd4b49283cp-1, 0x1.2b2afbd8f6332p-1, 0x1.2730520f1486dp-1, 0x1.2330e8c05d999p-1, 0x1.1f2dc5a9d18dcp-1, 0x1.1b27e31ed0fe9p-1, 0x1.1720301bb3afap-1, 0x1.1317908c65d79p-1, 0x1.0f0edd903bd5p-1, 0x1.0b06e5a1773a8p-1, 0x1.07006cdfa977fp-1, 0x1.02fc2d65231e5p-1, 0x1.fdf5aeef66398p-2, 0x1.f5fa23981a555p-2, 0x1.ee06f3dbf4593p-2, 0x1.e61d48dd6c2ecp-2, 0x1.de3e3a5af4f03p-2, 0x1.d66acf726a01ep-2, 0x1.cea3ff0f35252p-2, 0x1.c6eab07cac81fp-2, 0x1.bf3fbc05b0765p-2, 0x1.b7a3eb9f92798p-2, 0x1.b017fb391ec2ep-2, 0x1.a89c99616e336p-2, 0x1.a13267fabf514p-2, 0x1.99d9fc8e2a012p-2, 0x1.9293e0ce21b8ep-2, 0x1.8b609333a5ddfp-2, 0x1.8440878116367p-2, 0x1.7d342716ed328p-2, 0x1.763bd170e49cfp-2, 0x1.6f57dcbbc5e45p-2, 0x1.68889636fdb07p-2, 0x1.61ce42817e05cp-2, 0x1.5b291e069bcffp-2, 0x1.54995da928c93p-2, 0x1.4e1f2ed5435f9p-2, 0x1.47bab7f71f3d5p-2, 0x1.416c18d0915b7p-2, 0x1.3b336aefd88a6p-2, 0x1.3510c1e7c5c7ap-2, 0x1.2f042b8d483ep-2, 0x1.290db07049171p-2, 0x1.232d541ce89f3p-2, 0x1.1d631544a94fep-2, 0x1.17aeee22470ecp-2, 0x1.1210d4af879e8p-2, 0x1.0c88bae066d01p-2, 0x1.07168ef29d81ap-2, 0x1.01ba3b947ee1ap-2, 0x1.f8e7503a7730cp-3, 0x1.ee85718ff0d7fp-3, 0x1.e44e9dd896efdp-3, 0x1.da42923c4cdaep-3, 0x1.d06106f74d4bap-3, 0x1.c6a9af5ed0618p-3, 0x1.bd1c3a55ec72cp-3, 0x1.b3b852c0b8e09p-3, 0x1.aa7d9faef3cd3p-3, 0x1.a16bc4ae5e57dp-3, 0x1.98826201be471p-3, 0x1.8fc1150173da1p-3, 0x1.8727783d25136p-3, 0x1.7eb523cb23bbep-3, 0x1.7669ad734c453p-3, 0x1.6e44a8fac3045p-3, 0x1.6645a82414bd3p-3, 0x1.5e6c3b40c829bp-3, 0x1.56b7f0f5d0964p-3, 0x1.4f28569b0bfbfp-3, 0x1.47bcf872209a6p-3, 0x1.407561b631a97p-3, 0x1.39511cc759ecap-3, 0x1.324fb34f0fa48p-3, 0x1.2b70ae5f15703p-3, 0x1.24b396a8ffe8cp-3, 0x1.1e17f4536693ep-3, 0x1.179d4f9bde6e8p-3, 0x1.1143305fad02bp-3, 0x1.0b091e905cab2p-3, 0x1.04eea2385821cp-3, 0x1.fde686d5c9c22p-4, 0x1.f22d155f106c2p-4, 0x1.e6b00179d3d16p-4, 0x1.db6e5d7fb5469p-4, 0x1.d0673ca3c20bp-4, 0x1.c599b340affd5p-4, 0x1.bb04d6e87c4f3p-4, 0x1.b0a7be3dd3c02p-4, 0x1.a68181bc2f0f4p-4, 0x1.9c913b0fc1c61p-4, 0x1.92d6059926c86p-4, 0x1.894efe724024ep-4, 0x1.7ffb447b5bc38p-4, 0x1.76d9f86f1584fp-4, 0x1.6dea3cf9a2d5fp-4, 0x1.652b36bcd71fap-4, 0x1.5c9c0c78ded81p-4, 0x1.543be6f4b4f45p-4, 0x1.4c09f12135f58p-4, 0x1.440558417caep-4, 0x1.3c2d4bbeed6a1p-4, 0x1.3480fd5205689p-4, 0x1.2cffa10823f1p-4, 0x1.25a86d2745f4bp-4, 0x1.1e7a9a98276e3p-4, 0x1.1775647c2667fp-4, 0x1.1098087c61eccp-4, 0x1.09e1c67558687p-4, 0x1.0351e10f6c1b9p-4, 0x1.f9cf3a7df697dp-5, 0x1.ed4484dd008edp-5, 0x1.e102352b6799cp-5, 0x1.d506e43be31fdp-5, 0x1.c9512fe88c14fp-5, 0x1.bddfbb6a82675p-5, 0x1.b2b12e4068246p-5, 0x1.a7c4356a43d3dp-5, 0x1.9d1782dddd24fp-5, 0x1.92a9cd6a96d2p-5, 0x1.8879d0d3d7a81p-5, 0x1.7e864df7515f8p-5, 0x1.74ce0a8c57c55p-5, 0x1.6b4fd1373ab0ep-5, 0x1.620a714eb64ep-5, 0x1.58fcbf6e7006bp-5, 0x1.502594cbb93efp-5, 0x1.4783cf2a48746p-5, 0x1.3f16517868c33p-5, 0x1.36dc032b359c2p-5, 0x1.2ed3d0875493bp-5, 0x1.26fcaa3ec92fdp-5, 0x1.1f5585fc8378p-5, 0x1.17dd5d9bb720bp-5, 0x1.10932fd759697p-5, 0x1.0975ffeb21ad3p-5, 0x1.0284d518534bdp-5, 0x1.f77d76e769eedp-6, 0x1.ea4586f752c51p-6, 0x1.dd600316b50efp-6, 0x1.d0cb1d5218df5p-6, 0x1.c4850fef4cfaap-6, 0x1.b88c1d51cb009p-6, 0x1.acde9074dd2e4p-6, 0x1.a17abc49fa078p-6, 0x1.965efbf3a0659p-6, 0x1.8b89b23524061p-6, 0x1.80f94a16170e8p-6, 0x1.76ac3603802e7p-6, 0x1.6ca0f01be56e6p-6, 0x1.62d5fa17935dcp-6, 0x1.5949dd589091ep-6, 0x1.4ffb2a1bd28a2p-6, 0x1.46e8786e0020bp-6, 0x1.3e1066fa53883p-6, 0x1.35719bca3b297p-6, 0x1.2d0ac361a0a6bp-6, 0x1.24da90bb019fcp-6, 0x1.1cdfbf53b27bp-6, 0x1.15190fa34a1e8p-6, 0x1.0d85492506c75p-6, 0x1.062339bd97c3ap-6, 0x1.fde36b0fd3b96p-7, 0x1.efdf2dcad8ee5p-7, 0x1.e2377c43bb92ep-7, 0x1.d4ea237f59d91p-7, 0x1.c7f4fc24af712p-7, 0x1.bb55eabe3e7b9p-7, 0x1.af0adf4a9902cp-7, 0x1.a311d50d0b7b2p-7, 0x1.9768d225ef14ep-7, 0x1.8c0de75637a53p-7, 0x1.80ff2ffd8e1b5p-7, 0x1.763ad1d2c654fp-7, 0x1.6bbefd3d3bff6p-7, 0x1.6189ec9fd4fedp-7, 0x1.5799e4d16dfa5p-7, 0x1.4ded34365f931p-7, 0x1.448232d28d323p-7, 0x1.3b574273c21fep-7, 0x1.326acc5615196p-7, 0x1.29bb43c467d73p-7, 0x1.214724692b04bp-7, 0x1.190cf3258882cp-7, 0x1.110b3d88feffp-7, 0x1.0940998eaa318p-7, 0x1.01aba718a14c4p-7, 0x1.f49616caab966p-8, 0x1.e63aedfb0ba0dp-8, 0x1.d8433bdbc53d3p-8, 0x1.caac7c12128dbp-8, 0x1.bd7435ed99bdap-8, 0x1.b0980019685dp-8, 0x1.a415808f44d85p-8, 0x1.97ea6ce0c6152p-8, 0x1.8c14886b34144p-8, 0x1.8091a8285c397p-8, 0x1.755fa95419319p-8, 0x1.6a7c78fbe38e7p-8, 0x1.5fe60db7d0157p-8, 0x1.559a6878894cbp-8, 0x1.4b9795a9aa442p-8, 0x1.41dbac8288b43p-8, 0x1.3864d201aa847p-8, 0x1.2f31379c836dfp-8, 0x1.263f1d47c9eb4p-8, 0x1.1d8ccdfd0865fp-8, 0x1.1518a4037044p-8, 0x1.0ce0fde12e7d1p-8, 0x1.04e4462472605p-8, 0x1.fa41d97814b4cp-9, 0x1.eb2ad34b10e4ep-9, 0x1.dc8079eba0e51p-9, 0x1.ce3fde975f03bp-9, 0x1.c066297cdd922p-9, 0x1.b2f099730026bp-9, 0x1.a5dc857b640d9p-9, 0x1.99275b2840fe1p-9, 0x1.8cce9bd663d25p-9, 0x1.80cfd76bfe38ap-9, 0x1.7528a9eb5d039p-9, 0x1.69d6b928727ap-9, 0x1.5ed7ad5e4afedp-9, 0x1.54294041ce902p-9, 0x1.49c93484dcec4p-9, 0x1.3fb55b482f47p-9, 0x1.35eb98a611d33p-9, 0x1.2c69e628e9462p-9, 0x1.232e51cccfaa7p-9, 0x1.1a36fd8743b1dp-9, 0x1.11821be4e6f55p-9, 0x1.090de9be0068ep-9, 0x1.00d8aabc6eed3p-9, 0x1.f1c1492428d43p-10, 0x1.e2483e2886f6p-10, 0x1.d342dd5de403ap-10, 0x1.c4adce5b020a3p-10, 0x1.b685d30668742p-10, 0x1.a8c7cb8293224p-10, 0x1.9b70b7ca0c5e1p-10, 0x1.8e7db99505b6p-10, 0x1.81ec1fa05cb7fp-10, 0x1.75b957260ddd5p-10, 0x1.69e2e3a255924p-10, 0x1.5e664fb6b58fp-10, 0x1.534125b7282e8p-10, 0x1.4870e32aa5053p-10, 0x1.3df31861e66dbp-10, 0x1.33c5590da6ec7p-10, 0x1.29e5430aea262p-10, 0x1.205088fa8cf35p-10, 0x1.1704ea7f1cfadp-10, 0x1.0e0041c7bad1dp-10, 0x1.054090a1d6dc9p-10, 0x1.f987e37c11d64p-11, 0x1.e9115bb679bdap-11, 0x1.d91a169c685f6p-11, 0x1.c99ec0694c20fp-11, 0x1.ba9bc584713dcp-11, 0x1.ac0dad53d3797p-11, 0x1.9df0f7c7721a9p-11, 0x1.9042400af770ap-11, 0x1.82fe48496e2afp-11, 0x1.7621de5a0717bp-11, 0x1.69a9e57b2832dp-11, 0x1.5d9333702ea2dp-11, 0x1.51dae960a556dp-11, 0x1.467e4b8886b2fp-11, 0x1.3b7ae24100ec7p-11, 0x1.30ce5c68978c2p-11, 0x1.2676690ed15c1p-11, 0x1.1c709bb7f120dp-11, 0x1.12ba8f064751p-11, 0x1.0951c892e1c8p-11, 0x1.0033ff690fedp-11, 0x1.eebe288838b4p-12, 0x1.dda2007f1d10ap-12, 0x1.cd0f7e9076c36p-12, 0x1.bd025a2d77557p-12, 0x1.ad76494a99e9cp-12, 0x1.9e66dfefac78bp-12, 0x1.8fd032720ae05p-12, 0x1.81aea6ab19b5ep-12, 0x1.73fef9b8a0bcfp-12, 0x1.66be0ff4fb721p-12, 0x1.59e8cb3d50e34p-12, 0x1.4d7c0a2b014e9p-12, 0x1.4174bb0c08928p-12, 0x1.35d00230037c8p-12, 0x1.2a8b49352a81cp-12, 0x1.1fa42797a3f7fp-12, 0x1.15182c3bcc589p-12, 0x1.0ae49ca67677ap-12, 0x1.010648fa2db84p-12, 0x1.eef3c5061307fp-13, 0x1.dc7855ea6d3c4p-13, 0x1.ca94e0a95f8cap-13, 0x1.b944461572424p-13, 0x1.a88270e4060e9p-13, 0x1.984bb007d6bcbp-13, 0x1.889c9f4118874p-13, 0x1.7971bf984a59ep-13, 0x1.6ac7b446564dap-13, 0x1.5c9b4a5e9e532p-13, 0x1.4ee98adf175c2p-13, 0x1.41af6ed333e91p-13, 0x1.34e976bb520aep-13, 0x1.289369af0635bp-13, 0x1.1ca8af3d9fbep-13, 0x1.1124732c38b05p-13, 0x1.060294327a3b4p-13, 0x1.f67e319c50546p-14, 0x1.e1ad6b6f42b3dp-14, 0x1.cd8d42df99ca2p-14, 0x1.ba19a1ed9538dp-14, 0x1.a74f6499207abp-14, 0x1.952b21d3d53ffp-14, 0x1.83a91e6c943c8p-14, 0x1.72c5b0055f15ep-14, 0x1.627db1381e528p-14, 0x1.52cd731cec266p-14, 0x1.43af384047b12p-14, 0x1.351c44481c0eep-14, 0x1.270ddf69c80e5p-14, 0x1.197e0dd25d697p-14, 0x1.0c67f2096a96ap-14, 0x1.ff8e91f56de21p-15, 0x1.e7304f9af4ff9p-15, 0x1.cfada5a8e868ep-15, 0x1.b8fd448542dfap-15, 0x1.a31ac523f1667p-15, 0x1.8e042a020759dp-15, 0x1.79b60f2c553adp-15, 0x1.662b498c25d2ap-15, 0x1.535fc43fcd93bp-15, 0x1.4151a8fd21aa1p-15, 0x1.2ffafcbfc0c15p-15, 0x1.1f52810789d4p-15, 0x1.0f4e061f6673bp-15, 0x1.ffc60aa95bf78p-16, 0x1.e218b8f3756a8p-16, 0x1.c588e58c3d92cp-16, 0x1.aa0f66f9e4accp-16, 0x1.8fa6098aa84fdp-16, 0x1.7645a6e7e34d1p-16, 0x1.5de1eb2470b1ap-16, 0x1.466d4d0211caep-16, 0x1.2fe41a3580cd5p-16, 0x1.1a466dc547d72p-16, 0x1.059169a2b64d1p-16, 0x1.e374d379c595ep-17, 0x1.bd7c4d2166ca6p-17, 0x1.99324bed23134p-17, 0x1.768204472bc5p-17, 0x1.5554779e1a6a9p-17, 0x1.359205c2788bp-17, 0x1.17292999759d9p-17, 0x1.f419f2ec80c5ep-18, 0x1.bc61a70da92acp-18, 0x1.87196bd577755p-18, 0x1.5435000913891p-18, 0x1.239dc6551bacap-18, 0x1.eaa2d66da3e8cp-19, 0x1.924997e454feep-19, 0x1.3dee201e74ffbp-19, 0x1.db464036357bcp-20, 0x1.42cdbc68825a8p-20, 0x1.640b7d747d1bfp-21, 0x1.44bc3d0f3b3eep-23, -0x1.665f2e24fc1bp-22, -0x1.a9c0bec943347p-21, -0x1.49b0b600fc08dp-20, -0x1.b851bb9bb507fp-20, -0x1.106ed220fc516p-19, -0x1.41c15332622d6p-19, -0x1.704bea24d3dfp-19, -0x1.9c303c075f721p-19, -0x1.c5938cdd54f3fp-19, -0x1.ec8485e569b07p-19, -0x1.088b39b65360bp-18, -0x1.19a5fbbd34b26p-18, -0x1.299acb0df149ep-18, -0x1.3883a7e3e7e69p-18, -0x1.466588145faf7p-18, -0x1.5337a6965a13bp-18, -0x1.5f19e0e5a346cp-18, -0x1.6a115acb4b1dap-18, -0x1.7421b1fd5e341p-18, -0x1.7d5aace837b43p-18, -0x1.85cd40f645b7bp-18, -0x1.8d7ab07627ce7p-18, -0x1.9469f51547e2ap-18, -0x1.9a9940a66f80dp-18, -0x1.a0107568c610bp-18, -0x1.a4d723419e0d3p-18, -0x1.a8fc6d97aa023p-18, -0x1.ac8e2cd90f948p-18, -0x1.af9310d48dbcap-18, -0x1.b20e22aba6445p-18, -0x1.b40345fed333fp-18, -0x1.b571ac5c9e2b7p-18, -0x1.b658b9b1d3cbp-18, -0x1.b6c83a78fdc58p-18, -0x1.b6c1fb820110cp-18, -0x1.b654cb6365cedp-18, -0x1.b584535c6c864p-18, -0x1.b44d1b5f97de3p-18, -0x1.b2bc1eccbf4e3p-18, -0x1.b0d3ac7e94451p-18, -0x1.ae9db6da36d74p-18, -0x1.ac152aac808a5p-18, -0x1.a9426f5f71b77p-18, -0x1.a61ea98ec4667p-18, -0x1.a2b36d3b5c3d4p-18, -0x1.9eff20d2fb107p-18, -0x1.9b0a8cc229042p-18, -0x1.96e110bb893dap-18, -0x1.928839bf6705dp-18, -0x1.8dfe1be62619ap-18, -0x1.894014641fb8ep-18, -0x1.8456f43016d26p-18, -0x1.7f3877f4a2ee6p-18, -0x1.79ecc0a1846dp-18, -0x1.747ef6fdba908p-18, -0x1.6ef44f5a2f1ccp-18, -0x1.6947fa66624f5p-18, -0x1.637cf1deb9bdep-18, -0x1.5d93dd1eed4a1p-18, -0x1.5793e66f3870dp-18, -0x1.517e01fa8fd0fp-18, -0x1.4b51abba468b4p-18, -0x1.45127452f87adp-18, -0x1.3ebee4ebb266fp-18, -0x1.385b5a7aff541p-18, -0x1.31e75f2e41bd5p-18, -0x1.2b63817f1ea58p-18, -0x1.24d069377d4ecp-18, -0x1.1e3804542dcp-18, -0x1.1795bfeb7041p-18, -0x1.10efaab675d5bp-18, -0x1.0a444a2ce068ap-18, -0x1.039674597685bp-18, -0x1.f9bcc26f2874dp-19, -0x1.ec43a69db60dp-19, -0x1.ded28fc591eb1p-19, -0x1.d16580bda3411p-19, -0x1.c3f7bca84535fp-19, -0x1.b68d3614bd0bdp-19, -0x1.a92b1022a7584p-19, -0x1.9bd08ac18aa1p-19, -0x1.8e83e750faaa2p-19, -0x1.813b45e53eeb4p-19, -0x1.74034bf0aa798p-19, -0x1.66d985a285e7ep-19, -0x1.59be7dad1212ap-19, -0x1.4cb3b5c6ca7a4p-19, -0x1.3fbbb143ef99p-19, -0x1.32daea67aaef6p-19, -0x1.260821933f668p-19, -0x1.19484ce9c1272p-19, -0x1.0ca3848c8ade4p-19, -0x1.00165db99a83bp-19, -0x1.e74d561144cf6p-20, -0x1.ce978a00b8d3p-20, -0x1.b613fc40bd011p-20, -0x1.9dbe4ed68e872p-20, -0x1.85a9ad8efc672p-20, -0x1.6dd40e40e496ap-20, -0x1.563492bbed1adp-20, -0x1.3ec9fcba95246p-20, -0x1.27a18af977f8cp-20, -0x1.10b2e9713f7f5p-20, -0x1.f409f59cf3bccp-21, -0x1.c72abe9795183p-21, -0x1.9ac89fcbc8b5cp-21, -0x1.6ee7a9403096ep-21, -0x1.438bf5b7744d2p-21, -0x1.18b1304c9d6ddp-21, -0x1.dcaab692a2fa9p-22, -0x1.891c51acb1678p-22, -0x1.3667b6aee076ap-22, -0x1.c9cc139dfe84p-23, -0x1.28ac11dc43668p-23, -0x1.131f7a03662bdp-24, 0x1.318fa57595e64p-27, 0x1.5b541a02cda0ap-24, 0x1.463fc87b40117p-23, 0x1.dcc0d88d9903dp-23, 0x1.387f6fea2637ep-22, 0x1.81988f1e1e74ap-22, 0x1.c97b4ef9ec29ap-22, 0x1.085e78f7741bap-21, 0x1.2b30651979defp-21, 0x1.4d9c12d4fe0f4p-21, 0x1.6f814325792d4p-21, 0x1.90e4ad35a92dfp-21, 0x1.b1b9644a6441p-21, 0x1.d20c1ef34f53p-21, 0x1.f1e2d4229ec2bp-21, 0x1.0898b1c7d517ap-20, 0x1.17f3d8e9dbf03p-20, 0x1.2717a827fe132p-20, 0x1.35f74f33ee133p-20, 0x1.449a9223ad76fp-20, 0x1.52fa4e85d57edp-20, 0x1.61194cab4cfc5p-20, 0x1.6efce6b4722acp-20, 0x1.7ca15559b89edp-20, 0x1.8a0705669dad6p-20, 0x1.972d46f6ac486p-20, 0x1.a41a388e30bb7p-20, 0x1.b0c7b140d8c44p-20, 0x1.bd3c3ddd81845p-20, 0x1.c9733744596f6p-20, 0x1.d56f6e052490ep-20, 0x1.e131f045caf17p-20, 0x1.ecb8b1cdd6f25p-20, 0x1.f80e34a697f85p-20, 0x1.0191fc3580459p-19, 0x1.0701d6eb712eap-19, 0x1.0c568a908903ep-19, 0x1.118d49b936095p-19, 0x1.16a8d12f2ff17p-19, 0x1.1bb85ed6638b3p-19, 0x1.209beacba44bbp-19, 0x1.256b5e1f1cc95p-19, 0x1.2a21463ac8801p-19, 0x1.2ebde50421b71p-19, 0x1.3341b4a38a8fcp-19, 0x1.37acd843a74aep-19, 0x1.3c0081352a3dap-19, 0x1.403b3362b468fp-19, 0x1.445f5c87ce798p-19, 0x1.486b1509d8965p-19, 0x1.4c5fd97c13a12p-19, 0x1.503e054147124p-19, 0x1.540824b95db9p-19, 0x1.57b9543d37d04p-19, 0x1.5b576725b2309p-19, 0x1.5edfb3da3827p-19, 0x1.62513015a687fp-19, 0x1.65b043f5e0246p-19, 0x1.68f9d43a37df7p-19, 0x1.6c315c25c367fp-19, 0x1.6f51da7cc4bb3p-19, 0x1.7260b15d0ad11p-19, 0x1.755d161381984p-19, 0x1.7843fbbc68ea7p-19, 0x1.7b1d8dba1a777p-19, 0x1.7ddfda88ff08dp-19, 0x1.8095131a92f98p-19, 0x1.8336e21097119p-19, 0x1.85c4285eb2405p-19, 0x1.8847d47b69fd3p-19, 0x1.8ab69f59316e5p-19, 0x1.8d0d086524a85p-19, 0x1.8f64945b97f73p-19, 0x1.91a30316005bcp-19, 0x1.93d5512ba13fap-19, 0x1.95f442186b353p-19, 0x1.9808a0512ec98p-19, 0x1.9a09fbd5f60ffp-19, 0x1.9c015f2cc033bp-19, 0x1.9de8d19b2f9b7p-19, 0x1.9fc2afd07f4f7p-19, 0x1.a18fc63d8b959p-19, 0x1.a34e6ff332834p-19, 0x1.a5017d222ce29p-19, 0x1.a6a73925419ccp-19, 0x1.a8425974c54acp-19, 0x1.a9cfaa67e9058p-19, 0x1.ab514852dd4d7p-19, 0x1.acc91798154fep-19, 0x1.ae32e053581eap-19, 0x1.af93444005328p-19, 0x1.b0e8b88165a09p-19, 0x1.b2335f2100231p-19, 0x1.b373582bdc3d6p-19, 0x1.b4a9a0f849b55p-19, 0x1.b5d59413b1bccp-19, 0x1.b6f7b10467b7p-19, 0x1.b814df15ec2c6p-19, 0x1.b920fe1f44452p-19, 0x1.ba2815becbfcp-19, 0x1.bb2598f88159bp-19, 0x1.bc19f605afbfdp-19, 0x1.bd07a5a655b35p-19, 0x1.bdeb20a3572b8p-19, 0x1.bec8f23cbba9fp-19, 0x1.bf9d63d49beep-19, 0x1.c06a712ee5665p-19, 0x1.c131baca49c73p-19, 0x1.c1edf62732617p-19, 0x1.c2a53007aa1a5p-19, 0x1.c355826847aecp-19, 0x1.c3ff13e03ed3ap-19, 0x1.c4a22ce1b9561p-19, 0x1.c53e8ccc30413p-19, 0x1.c5d4d091a245ap-19, 0x1.c664c2c5bfdbp-19, 0x1.c6f02a89f9ee2p-19, 0x1.c7726ac98b6c6p-19, 0x1.c7f3e8a6db59ap-19, 0x1.c86a97d624bd7p-19, 0x1.c8df0dba105fp-19, 0x1.c950193f98981p-19, 0x1.c9bc36ac45f62p-19, 0x1.ca1fd36d32deap-19, 0x1.ca7f5c23a8b94p-19, 0x1.cada4e898753bp-19, 0x1.cb318a06cf345p-19, 0x1.cb83e22a59f64p-19, 0x1.cbd2580c64741p-19, 0x1.cc1bbbc046dc8p-19, 0x1.cc62d6232fc79p-19, 0x1.ccaa60a7053b4p-19, 0x1.cce369631dba1p-19, 0x1.cd1ed0bde87d8p-19, 0x1.cd557063d5a84p-19, 0x1.cd88d63e4faa2p-19, 0x1.cdb8f56853e86p-19, 0x1.cde6d4336ce7ap-19, 0x1.ce1203d83087fp-19, 0x1.ce37acc9a60cfp-19, 0x1.ce5ac528b7983p-19, 0x1.ce7d8ca983dc6p-19, 0x1.ce9b92aa8a4eap-19, 0x1.ceb73982baec9p-19, 0x1.cecfdbdb5c082p-19, 0x1.cee68e8597cb6p-19, 0x1.cefa4485fc97bp-19, 0x1.cf0be88bb141dp-19, 0x1.cf1b2834593abp-19, 0x1.cf28b97647306p-19, 0x1.cf3354e685367p-19, 0x1.cf3ad832d177cp-19, 0x1.cf419c3435c23p-19, 0x1.cf46c48ee7fcfp-19, 0x1.cf492e67b9bcap-19, 0x1.cf4a289dcd31ap-19, 0x1.cf48db9fae842p-19, 0x1.cf462c8dca418p-19, 0x1.cf4479cf2b73fp-19, 0x1.cf3c7faafa5c7p-19, 0x1.cf34c159e55f5p-19, 0x1.cf2cde1cd0816p-19, 0x1.cf227b442d542p-19, 0x1.cf14d6b1b75aep-19, 0x1.cf0877b3fd0a8p-19, 0x1.cefaf24c8aa37p-19, 0x1.cee971a63c202p-19, 0x1.ceda2e7e61e92p-19, 0x1.cec34a4f8d48dp-19, 0x1.ceb1f651ce66p-19, 0x1.ce9bf28370666p-19, 0x1.ce86371bb82ecp-19, 0x1.ce6c306c7ffc3p-19, 0x1.ce5744b286aafp-19, 0x1.ce3f9ffd074abp-19, 0x1.ce2485c117b37p-19, 0x1.ce0a4556ee2a1p-19, 0x1.cdec7f66c198ap-19, 0x1.cdcfe60fea5d4p-19, 0x1.cdb2008602cd9p-19, 0x1.cd934bf498fb1p-19, 0x1.cd746d45e2efp-19, 0x1.cd5239ca4f7d6p-19, 0x1.cd3151fd16158p-19, 0x1.cd0fc6d3eaf3p-19, 0x1.ccee50d06021ep-19, 0x1.ccca8cf752b36p-19, 0x1.cca69cbf0c648p-19, 0x1.cc820d82ef553p-19, 0x1.cc5c02d41da6p-19, 0x1.cc35463fc60e3p-19, 0x1.cc0e90ff6756cp-19, 0x1.cbe67f3a79d5ap-19, 0x1.cbbb5d2ae27dap-19, 0x1.cb968e21eef92p-19, 0x1.cb6b849080ef7p-19, 0x1.cb411e37c1d3dp-19, 0x1.cb1735f22402fp-19, 0x1.caeb762eb0be2p-19, 0x1.cabf69601b2a8p-19, 0x1.ca9345d7ced03p-19, 0x1.ca65d9566a3dcp-19, 0x1.ca38414659b47p-19, 0x1.ca09fff30295p-19, 0x1.c9d837f633f5bp-19, 0x1.c9ab588417c22p-19, 0x1.c97a0334dfa16p-19, 0x1.c948ed098aafcp-19, 0x1.c91744128b59cp-19, 0x1.c8e61dbc6b945p-19, 0x1.c8b3762637c4p-19, 0x1.c87f68adfd2a8p-19, 0x1.c84efdcb825p-19, 0x1.c818bb4c9eb8ep-19, 0x1.c7e24781a647bp-19, 0x1.c7ae61c9cc10ap-19, 0x1.c77597462b82dp-19, 0x1.c73fe101b6ea5p-19, 0x1.c7077570664bep-19, 0x1.c6cebf39c96b1p-19, 0x1.c696e1816613ep-19, 0x1.c65d48aa845e9p-19, 0x1.c622c9d5b0c87p-19, 0x1.c5e81e1229f85p-19, 0x1.c5adde4d7034fp-19, 0x1.c56f00a684026p-19, 0x1.c53544a783af3p-19, 0x1.c4f74505353f1p-19, 0x1.c4bb5652e381bp-19, 0x1.c47a232504a97p-19, 0x1.c43bf328e6355p-19, 0x1.c3faf3076eab2p-19, 0x1.c3ba0182f4f9fp-19, 0x1.c3787c80db32ep-19, 0x1.c336baaaf3192p-19, 0x1.c2f3ef2a99873p-19, 0x1.c2b0a6f9dad5ap-19, 0x1.c26b67bab1473p-19, 0x1.c2265ad58eb03p-19, 0x1.c1df1c931782p-19, 0x1.c19a4753b18a1p-19, 0x1.c1528109de71dp-19, 0x1.c10a6f27a3cfcp-19, 0x1.c0bdb2ac610b3p-19, 0x1.c075c1d09c7b2p-19, 0x1.c02b3f8a57dap-19, 0x1.bfdffda4d47f3p-19, 0x1.bf93e7e257c1cp-19, 0x1.bf44fe5c8e632p-19, 0x1.bef78e232617cp-19, 0x1.bea93b3971b88p-19, 0x1.be591cfcd7d1bp-19, 0x1.be08251321387p-19, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.557cff53d2c3ap-2, -0x1.55b1a2e6796cfp-2, -0x1.5606fbd6c6622p-2, -0x1.567b6e793586p-2, -0x1.570f077b56664p-2, -0x1.57c40c2d3dd46p-2, -0x1.589ef6e4ea8d4p-2, -0x1.59a60c3ca3a95p-2, -0x1.5ae0b75c837cbp-2, -0x1.5c56d25da94b6p-2, -0x1.5e0ff4b696cf2p-2, -0x1.6012d7df6aab4p-2, -0x1.6264dace2658dp-2, -0x1.6509a773489b8p-2, -0x1.6802f9a31cf38p-2, -0x1.6b5084795c1e8p-2, -0x1.6eeff1ef48bafp-2, -0x1.72dcf7c959508p-2, -0x1.77117cf5c7512p-2, -0x1.7b85cac238672p-2, -0x1.8030c5cf81579p-2, -0x1.85082b44839ap-2, -0x1.8a00cf6141edp-2, -0x1.8f0edb2d2204ep-2, -0x1.942607877057ap-2, -0x1.9939d45baa282p-2, -0x1.9e3dbb22ad40cp-2, -0x1.a3255c2ef39b3p-2, -0x1.a7e4a686003b6p-2, -0x1.ac6ffa3ddde18p-2, -0x1.b0bc457d6c1d7p-2, -0x1.b4bf1c5afe0b1p-2, -0x1.b86ecbe8e0a8cp-2, -0x1.bbc268cc3809fp-2, -0x1.beb1d9c1e622bp-2, -0x1.c135de783e878p-2, -0x1.c34813240813cp-2, -0x1.c4e2f134cfbp-2, -0x1.c601cd8846239p-2, -0x1.c6a0d477210d7p-2, -0x1.c6bd040fd5e8ap-2, -0x1.c65424cd2b9a3p-2, -0x1.c564c10ff9dcdp-2, -0x1.c3ee1b9cea201p-2, -0x1.c1f025589adcdp-2, -0x1.bf6b727660bf9p-2, -0x1.bc612f47fdd49p-2, -0x1.b8d314d720e82p-2, -0x1.b4c35d6c4c757p-2, -0x1.b034b921fc824p-2, -0x1.ab2a429e71018p-2, -0x1.a5a7740a6e3d4p-2, -0x1.9fb01c5794f65p-2, -0x1.994854e594915p-2, -0x1.927477926c227p-2, -0x1.8b39153f409d6p-2, -0x1.839aecd0de5bep-2, -0x1.7b9ee2b0ca1aap-2, -0x1.7349f8d1ffabp-2, -0x1.6aa1473ab2c28p-2, -0x1.61a9f5131b245p-2, -0x1.58693238039cp-2, -0x1.4ee4314edc15bp-2, -0x1.452022582b4ccp-2, -0x1.3b222dbc7fdf5p-2, -0x1.30ef6fcf84fc3p-2, -0x1.268cf4c44c6fcp-2, -0x1.1bffb50dab0a3p-2, -0x1.114c92252cd64p-2, -0x1.067853b312cccp-2, -0x1.f70f4a234c9c3p-3, -0x1.e0fe264c76d9fp-3, -0x1.cac6151478ce3p-3, -0x1.b46fabfd539f1p-3, -0x1.9e033a495941cp-3, -0x1.8788c6ebd671p-3, -0x1.71080eef17b19p-3, -0x1.5a88844609f1dp-3, -0x1.44114d00148cbp-3, -0x1.2da942d64f4d4p-3, -0x1.1756f309a17bep-3, -0x1.01209e89d306cp-3, -0x1.d61874bc53f14p-4, -0x1.aa3ee090e0d4cp-4, -0x1.7ebf3f37e78d9p-4, -0x1.53a3bc84c00d3p-4, -0x1.28f5f3d180e8ep-4, -0x1.fd7de53e07401p-5, -0x1.aa0e76e24bafap-5, -0x1.57ad91bcf5bcp-5, -0x1.066a21968b38ap-5, -0x1.6ca41f213e38ep-6, -0x1.9dc92476c1f6ep-7, -0x1.9d6c726eddcadp-9, 0x1.93ab555a4135ep-8, 0x1.f5a09a409caf2p-7, 0x1.8df04a5b253a3p-6, 0x1.0f1cf61fa7708p-5, 0x1.55cef87feec7ap-5, 0x1.9b075372a485ep-5, 0x1.debfeebfc8e52p-5, 0x1.1079b5be7c7fap-4, 0x1.30ce8e6639ec7p-4, 0x1.505c805a8fbaap-4, 0x1.6f21dc8b6c7c7p-4, 0x1.8d1d425eefdc4p-4, 0x1.aa4d9c4be773bp-4, 0x1.c6b21c8608b3ep-4, 0x1.e24a39bcd2bcp-4, 0x1.fd15abed9cc17p-4, 0x1.0b8a34a4c9039p-3, 0x1.18235197e4368p-3, 0x1.2456619df34a3p-3, 0x1.3023b434be641p-3, 0x1.3b8bb2260f5e7p-3, 0x1.468edc2e2c459p-3, 0x1.512dc9acb4e36p-3, 0x1.5b69275fd5489p-3, 0x1.6541b629b5908p-3, 0x1.6eb849e0170dcp-3, 0x1.77cdc825f11f1p-3, 0x1.8083274ef6d06p-3, 0x1.88d96d4cd5c6ap-3, 0x1.90d1aea6019aep-3, 0x1.986d0d75ecdb6p-3, 0x1.9facb8766a353p-3, 0x1.a691ea12161c1p-3, 0x1.ad1de77f94298p-3, 0x1.b351ffe560deap-3, 0x1.b92f8b861114p-3, 0x1.beb7eaf4c6ccfp-3, 0x1.c3ec8651a07e5p-3, 0x1.c8cecc8df42b3p-3, 0x1.cd6032b825142p-3, 0x1.d1a2334ecf5e9p-3, 0x1.d5964d9b2d8cdp-3, 0x1.d93e05126d042p-3, 0x1.dc9ae0bdcf512p-3, 0x1.dfae6aa95eff7p-3, 0x1.e27a2f5904fedp-3, 0x1.e4ffbd43d6206p-3, 0x1.e740a4555bfap-3, 0x1.e93e7574b8a49p-3, 0x1.eafac211708dfp-3, 0x1.ec771bb5abc06p-3, 0x1.edb5139dc2a45p-3, 0x1.eeb63a54f22cp-3, 0x1.ef7c1f570a8dp-3, 0x1.f00850b6e745bp-3, 0x1.f05c5ac99447fp-3, 0x1.f079c7d5f6122p-3, 0x1.f0621fc8c3728p-3, 0x1.f016e7ecc3c4ap-3, 0x1.ef99a2a712533p-3, 0x1.eeebcf3757ea5p-3, 0x1.ee0ee97bce9fbp-3, 0x1.ed0469b8f1063p-3, 0x1.ebcdc464b19f8p-3, 0x1.ea6c69f5248c8p-3, 0x1.e8e1c6b26bfdcp-3, 0x1.e72f428bda322p-3, 0x1.e55640f0216e3p-3, 0x1.e35820a876a88p-3, 0x1.e1363bb6938fbp-3, 0x1.def1e7356e94p-3, 0x1.dc8c733c9bc26p-3, 0x1.da072ac63c0cap-3, 0x1.d763539751a8ep-3, 0x1.d4a22e2a7c2a8p-3, 0x1.d1c4f59cee97fp-3, 0x1.ceccdf9d940dcp-3, 0x1.cbbb1c5e47aa1p-3, 0x1.c890d6870f0afp-3, 0x1.c54f332b3ebd5p-3, 0x1.c1f751c073819p-3, 0x1.be8a4c17508eep-3, 0x1.bb093655ebf8cp-3, 0x1.b7751ef3da403p-3, 0x1.b3cf0eb7c1532p-3, 0x1.b01808b66789p-3, 0x1.ac510a532b43p-3, 0x1.a87b0b41ca8fap-3, 0x1.a496fd897d73fp-3, 0x1.a0a5cd893fac5p-3, 0x1.9ca861fd43bbfp-3, 0x1.989f9c0581382p-3, 0x1.948c572d4f5bap-3, 0x1.906f6973f887cp-3, 0x1.8c49a3563de82p-3, 0x1.881bcfd8c5f08p-3, 0x1.83e6b4935287cp-3, 0x1.7fab11bccf93cp-3, 0x1.7b69a23811726p-3, 0x1.77231ba15170dp-3, 0x1.72d82e5c49788p-3, 0x1.6e8985a2eef1ap-3, 0x1.6a37c794bb43fp-3, 0x1.65e3954683b79p-3, 0x1.618d8ad2c733cp-3, 0x1.5d363f6a747ffp-3, 0x1.58de456619309p-3, 0x1.54862a5773186p-3, 0x1.502e771b5e15ap-3, 0x1.4bd7afec11097p-3, 0x1.47825473a20e9p-3, 0x1.432edfded1f01p-3, 0x1.3eddc8f00f0ap-3, 0x1.3a8f8212a96c8p-3, 0x1.3644796e3840ap-3, 0x1.31fd18fa233ddp-3, 0x1.2db9c6914844fp-3, 0x1.297ae405c349ap-3, 0x1.2540cf34c1aa7p-3, 0x1.210be21a67216p-3, 0x1.1cdc72e5bc60ap-3, 0x1.18b2d40ca2f6dp-3, 0x1.148f545fc3ec1p-3, 0x1.10723f1e7bbbcp-3, 0x1.0c5bdc0abd81cp-3, 0x1.084c6f7ce5724p-3, 0x1.04443a7778d7fp-3, 0x1.00437abad47b1p-3, 0x1.f894d5b171752p-4, 0x1.f0b2848f86576p-4, 0x1.e8e06aed7dc64p-4, 0x1.e11eebbfa863ep-4, 0x1.d96e64372debp-4, 0x1.d1cf2be7be7ffp-4, 0x1.ca4194ed0bb53p-4, 0x1.c2c5ec0fc9effp-4, 0x1.bb5c78ea5f1d6p-4, 0x1.b4057e0d2b5f7p-4, 0x1.acc1392262e4dp-4, 0x1.a58fe3117aae5p-4, 0x1.9e71b0222bc6fp-4, 0x1.9766d01efeaecp-4, 0x1.906f6e7759831p-4, 0x1.898bb26120617p-4, 0x1.82bbbef9d205fp-4, 0x1.7bffb367289p-4, 0x1.7557aaf739dbbp-4, 0x1.6ec3bd401632ap-4, 0x1.6843fe3ee3c0ap-4, 0x1.61d87e7673cdap-4, 0x1.5b814b0d52444p-4, 0x1.553e6deb4fb23p-4, 0x1.4f0fedd680212p-4, 0x1.48f5ce8fb35abp-4, 0x1.42f010ee63c7fp-4, 0x1.3cfeb2fc1974fp-4, 0x1.3721b00f45cb5p-4, 0x1.315900e5939eep-4, 0x1.2ba49bbdad4d9p-4, 0x1.260474707a2eap-4, 0x1.20787c89d0ad1p-4, 0x1.1b00a360a0ecap-4, 0x1.159cd62e94745p-4, 0x1.104d002727cb4p-4, 0x1.0b110a8e3ddb5p-4, 0x1.05e8dcce27781p-4, 0x1.00d45c8d2c3bbp-4, 0x1.f7a6db8511e1dp-5, 0x1.edcbe595dc885p-5, 0x1.e41798f8f3844p-5, 0x1.da89b47463826p-5, 0x1.d121f40df83dbp-5, 0x1.c7e0113036802p-5, 0x1.bec3c2ce543ccp-5, 0x1.b5ccbd873d304p-5, 0x1.acfab3c7a29ecp-5, 0x1.a44d55eb14c8p-5, 0x1.9bc4525c363fcp-5, 0x1.935f55b3fd354p-5, 0x1.8b1e0ad810bb9p-5, 0x1.83001b183d266p-5, 0x1.7b052e4b0d8e7p-5, 0x1.732ceae984814p-5, 0x1.6b76f629f9248p-5, 0x1.63e2f41a2089bp-5, 0x1.5c7087b84332ep-5, 0x1.551f530ba35a8p-5, 0x1.4deef73c18ec2p-5, 0x1.46df14a8e32e1p-5, 0x1.3fef4afeba4ebp-5, 0x1.391f394d1b36bp-5, 0x1.326e7e1adafc6p-5, 0x1.2bdcb77a0091bp-5, 0x1.2569831ae88aap-5, 0x1.1f147e5eb78fap-5, 0x1.18dd46691d3ep-5, 0x1.12c3783170f62p-5, 0x1.0cc6b093272fcp-5, 0x1.06e68c5d9f539p-5, 0x1.0122a8635a4a7p-5, 0x1.f6f543111b954p-6, 0x1.ebdc29a24b42fp-6, 0x1.e0f93edc675aap-6, 0x1.d64bbd9580e94p-6, 0x1.cbd2e13041e4bp-6, 0x1.c18de5b36a2dbp-6, 0x1.b77c07e0520f2p-6, 0x1.ad9c85485f3a2p-6, 0x1.a3ee9c6176ccbp-6, 0x1.9a718c998017fp-6, 0x1.91249668efb37p-6, 0x1.8806fb64683c6p-6, 0x1.7f17fe4d830dp-6, 0x1.7656e322a4117p-6, 0x1.6dc2ef2e050ffp-6, 0x1.655b6913edd58p-6, 0x1.5d1f98e019fbfp-6, 0x1.550ec81264e95p-6, 0x1.4d2841aaa9be3p-6, 0x1.456b5233efd2dp-6, 0x1.3dd747ceded6cp-6, 0x1.366b723b87f1ap-6, 0x1.2f2722e28113bp-6, 0x1.2809acdd69b07p-6, 0x1.211264febcbc5p-6, 0x1.1a40a1d913d0ap-6, 0x1.1393bbc5d95acp-6, 0x1.0d0b0ceb5e92cp-6, 0x1.06a5f14280271p-6, 0x1.0063c69ba36dap-6, 0x1.f487d946a0ba6p-7, 0x1.e88b89cc70e7dp-7, 0x1.dcd165a9a8222p-7, 0x1.d158378d105b6p-7, 0x1.c61ecdf8bb35cp-7, 0x1.bb23fb46965b6p-7, 0x1.b06695ac2f8bcp-7, 0x1.a5e5773db7d97p-7, 0x1.9b9f7df046185p-7, 0x1.91938b9b6256dp-7, 0x1.87c085f9ee151p-7, 0x1.7e2556aa514e5p-7, 0x1.74c0eb2e09e1fp-7, 0x1.6b9234e8b11p-7, 0x1.6298291e53dabp-7, 0x1.59d1c0f15da12p-7, 0x1.513df95fdca87p-7, 0x1.48dbd34066f0cp-7, 0x1.40aa533e655b2p-7, 0x1.38a881d5f325ap-7, 0x1.30d56b4f5f1b8p-7, 0x1.29301fba2fcc6p-7, 0x1.21b7b2e7cd448p-7, 0x1.1a6b3c65d8049p-7, 0x1.1349d777f9fd5p-7, 0x1.0c52a3119caabp-7, 0x1.0584c1cf1fcffp-7, 0x1.fdbeb3ddc3859p-8, 0x1.f0c32a93e401dp-8, 0x1.e41542991543bp-8, 0x1.d7b35ddc88cccp-8, 0x1.cb9be554169ecp-8, 0x1.bfcd48ebce967p-8, 0x1.b445ff751196ap-8, 0x1.a904869560f36p-8, 0x1.9e0762b4c0179p-8, 0x1.934d1eebdddep-8, 0x1.88d44cf1d7be7p-8, 0x1.7e9b8509bc85p-8, 0x1.74a165efeef31p-8, 0x1.6ae494c726242p-8, 0x1.6163bd0565c8fp-8, 0x1.581d9060ae53ep-8, 0x1.4f10c6bb86059p-8, 0x1.463c1e1161e29p-8, 0x1.3d9e5a63082fcp-8, 0x1.353645a2ad68ep-8, 0x1.2d02afa01d515p-8, 0x1.25026df4c676ap-8, 0x1.1d345befd3362p-8, 0x1.15975a820eafbp-8, 0x1.0e2a5029e1157p-8, 0x1.06ec28df465a5p-8, 0x1.ffb7abff706b1p-9, 0x1.f1f09c74a2052p-9, 0x1.e4811af74b72fp-9, 0x1.d76729b3e3a08p-9, 0x1.caa0d5026b332p-9, 0x1.be2c333ecc2d8p-9, 0x1.b20764a163cccp-9, 0x1.a6309317ba8ecp-9, 0x1.9aa5f21d6821bp-9, 0x1.8f65be9545032p-9, 0x1.846e3ea2cbf93p-9, 0x1.79bdc18390efep-9, 0x1.6f529f694012bp-9, 0x1.652b3953ac18bp-9, 0x1.5b45f8eb3a045p-9, 0x1.51a1505b90708p-9, 0x1.483bba2e9fd09p-9, 0x1.3f13b927fe90cp-9, 0x1.3627d82086845p-9, 0x1.2d76a9e25c296p-9, 0x1.24fec90544bcbp-9, 0x1.1cbed7cb54afbp-9, 0x1.14b57ffdf8c0fp-9, 0x1.0ce172cb808f5p-9, 0x1.054168a4baa04p-9, 0x1.fba8423694593p-10, 0x1.ed30c5805aae1p-10, 0x1.df19f6056eb47p-10, 0x1.d1617c1fb66f5p-10, 0x1.c4050d63e59f2p-10, 0x1.b7026c61b0546p-10, 0x1.aa5768653d425p-10, 0x1.9e01dd38a595ap-10, 0x1.91ffb2e6ef177p-10, 0x1.864edd7f7c898p-10, 0x1.7aed5cda8e798p-10, 0x1.6fd93c5e50d12p-10, 0x1.651092c525e79p-10, 0x1.5a9181e41e9bep-10, 0x1.505a3672d878cp-10, 0x1.4668e7d430a37p-10, 0x1.3cbbd7df543ebp-10, 0x1.335152a9eb667p-10, 0x1.2a27ae5350231p-10, 0x1.213d4ad004696p-10, 0x1.189091b678bf2p-10, 0x1.101ff60cb76f1p-10, 0x1.07e9f41626409p-10, 0x1.ffda224596c56p-11, 0x1.f04fb6be414dcp-11, 0x1.e131d3498f273p-11, 0x1.d27db6977cc23p-11, 0x1.c430aff99324ep-11, 0x1.b6481f088aba6p-11, 0x1.a8c1734b92c4cp-11, 0x1.9b9a2be23031p-11, 0x1.8ecfd72dfe043p-11, 0x1.8260127ec8d11p-11, 0x1.764889c055cbcp-11, 0x1.6a86f72913d33p-11, 0x1.5f1922eaeec46p-11, 0x1.53fce2e4dff43p-11, 0x1.49301a5691a2cp-11, 0x1.3eb0b9946ab0bp-11, 0x1.347cbdbe6aae6p-11, 0x1.2a9230777e2a4p-11, 0x1.20ef279e3b822p-11, 0x1.1791c506e3f78p-11, 0x1.0e78363743f1dp-11, 0x1.05a0b4234e27ep-11, 0x1.fa1305d6a62d9p-12, 0x1.e961e337b7101p-12, 0x1.d92ab3db1ef4ep-12, 0x1.c96a400f4f2d6p-12, 0x1.ba1d648547fcfp-12, 0x1.ab4111da9673bp-12, 0x1.9cd24c23a6f3fp-12, 0x1.8ece2a78ea184p-12, 0x1.8131d6875abdep-12, 0x1.73fa8c2188036p-12, 0x1.672598d44b2e7p-12, 0x1.5ab05b7e98745p-12, 0x1.4e9843e7ecdf5p-12, 0x1.42dad25c8c32dp-12, 0x1.37759749a595ap-12, 0x1.2c6632dca60a4p-12, 0x1.21aa54a44f0ffp-12, 0x1.173fbb33bee99p-12, 0x1.0d2433c7323f5p-12, 0x1.035599eae5552p-12, 0x1.f3a3ae4797c4ep-13, 0x1.e12dc535427b3p-13, 0x1.cf458191259d7p-13, 0x1.bde7064a50edap-13, 0x1.ad0e8fac4f3d3p-13, 0x1.9cb872c3da72dp-13, 0x1.8ce11cc57b5bep-13, 0x1.7d851277516f9p-13, 0x1.6ea0efa1cd7e3p-13, 0x1.6031667cd03cfp-13, 0x1.52333f261f547p-13, 0x1.44a35717680bp-13, 0x1.377ea0a1c729cp-13, 0x1.2ac2226af91ebp-13, 0x1.1e6af6ed322a8p-13, 0x1.12764bfa9bb3p-13, 0x1.06e16242c0fb5p-13, 0x1.f75319b725305p-14, 0x1.e1986199d834ap-14, 0x1.cc8d8940e6078p-14, 0x1.b82d9fded8703p-14, 0x1.a473d5f05ef88p-14, 0x1.915b7c64f8864p-14, 0x1.7ee003d2cdf7p-14, 0x1.6cfcfba96e1fdp-14, 0x1.5bae116e1adbfp-14, 0x1.4aef0ff9db598p-14, 0x1.3abbdebc737adp-14, 0x1.2b108102dfc26p-14, 0x1.1be91544a1c1ep-14, 0x1.0d41d475866f1p-14, 0x1.fe2e22b2b1f7fp-15, 0x1.e2ca6fb560f55p-15, 0x1.c85198d2350fap-15, 0x1.aebcd6b27a8fep-15, 0x1.960590908f0e9p-15, 0x1.7e255b0a419d7p-15, 0x1.6715f6f8ad8b4p-15, 0x1.50d1504dea2fep-15, 0x1.3b517cf863701p-15, 0x1.2690bbce8671p-15, 0x1.1289738555718p-15, 0x1.fe6c635170792p-16, 0x1.d92353381c1ccp-16, 0x1.b52d673bcf335p-16, 0x1.928097ae0826dp-16, 0x1.711322d203b9cp-16, 0x1.50db8b13f3152p-16, 0x1.31d0953d480a4p-16, 0x1.13e946c6d48e2p-16, 0x1.ee39c8467d44bp-17, 0x1.b6c5de2e27aa6p-17, 0x1.81664a4aebdb6p-17, 0x1.4e0afbfc2f578p-17, 0x1.1ca453f395509p-17, 0x1.da46427dd0ca5p-18, 0x1.7ef13cc711e01p-18, 0x1.272cdd189a8c2p-18, 0x1.a5ba6b1a62173p-19, 0x1.03ce3d4c1812cp-19, 0x1.a18190d606c1ep-21, -0x1.6613a3925baafp-22, -0x1.779865394ea7ep-20, -0x1.44ed57a904e2cp-19, -0x1.c85509b8a7264p-19, -0x1.23188e7f21adp-18, -0x1.5f570e4bc0df9p-18, -0x1.98fba9b0dadc4p-18, -0x1.d01b6a2d0e86bp-18, -0x1.026560b9f0df6p-17, -0x1.1b8ec6c692849p-17, -0x1.33938e592ab71p-17, -0x1.4a7d189af68d9p-17, -0x1.6054829ae87d4p-17, -0x1.7522a71cc446dp-17, -0x1.88f02060e22fep-17, -0x1.9bc549e0cc2dcp-17, -0x1.adaa41fc88addp-17, -0x1.bea6eba0734d4p-17, -0x1.cec2efe1ff8b2p-17, -0x1.de05bf86e338ep-17, -0x1.ec76948d260efp-17, -0x1.fa1c739d7abc1p-17, -0x1.037f16c42f28cp-16, -0x1.09913052456cdp-16, -0x1.0f47bd190547p-16, -0x1.14a5dbd5a6917p-16, -0x1.19ae94086ac81p-16, -0x1.1e64d694f9afap-16, -0x1.22cb7e6043294p-16, -0x1.26e550ea38babp-16, -0x1.2ab4fee1e2568p-16, -0x1.2e3d24b8effe1p-16, -0x1.31804b2f11de9p-16, -0x1.3480e7dcfc1edp-16, -0x1.37415db7a248cp-16, -0x1.39c3fd943b04fp-16, -0x1.3c0b06a82d8f3p-16, -0x1.3e18a704616cbp-16, -0x1.3feefc0e8751cp-16, -0x1.419012f5d8757p-16, -0x1.42fde9242ddeep-16, -0x1.443a6cae856afp-16, -0x1.45477cbf6e0d8p-16, -0x1.4626ea02324efp-16, -0x1.46da77092658fp-16, -0x1.4763d8b15729bp-16, -0x1.47c4b684da21ap-16, -0x1.47feab180c40ep-16, -0x1.4813446576cc3p-16, -0x1.480404275e959p-16, -0x1.47d2603089826p-16, -0x1.477fc2bfa8d07p-16, -0x1.470d8ad35882cp-16, -0x1.467d0c7ade8b8p-16, -0x1.45cf912315411p-16, -0x1.450657e419d26p-16, -0x1.442295c88168ap-16, -0x1.43257619827ecp-16, -0x1.42101aa262477p-16, -0x1.40e39bf672842p-16, -0x1.3fa109b44c7a4p-16, -0x1.3e496ac5040a4p-16, -0x1.3cddbd9b544b1p-16, -0x1.3b5ef871c240dp-16, -0x1.39ce0985730fdp-16, -0x1.382bd7509f774p-16, -0x1.367940c3e14d9p-16, -0x1.34b71d7c324f3p-16, -0x1.32e63df984691p-16, -0x1.31076bd2064acp-16, -0x1.2f1b69e536f87p-16, -0x1.2d22f48ccba35p-16, -0x1.2b1ec1cc97dd8p-16, -0x1.290f8181b4b0cp-16, -0x1.26f5dd8f76608p-16, -0x1.24d27a0cfdd1ap-16, -0x1.22a5f56f1b6e4p-16, -0x1.2070e8b1c764ap-16, -0x1.1e33e781aca1fp-16, -0x1.1bef806299ba8p-16, -0x1.19a43cd78104p-16, -0x1.1752a186b2661p-16, -0x1.14fb2e5f453f1p-16, -0x1.129e5ebca0f12p-16, -0x1.103ca9879117dp-16, -0x1.0dd68159ea2efp-16, -0x1.0b6c549d61a5p-16, -0x1.08fe8dac0fc98p-16, -0x1.068d92ef24908p-16, -0x1.0419c6fcd8568p-16, -0x1.01a388b6154ebp-16, -0x1.fe5666c612b5ep-17, -0x1.f9623d9c0c36fp-17, -0x1.f46b3ebdd0eb3p-17, -0x1.ef720c69dd7c8p-17, -0x1.ea774280ee3b1p-17, -0x1.e57b76b6d238fp-17, -0x1.e07f38c28bb2dp-17, -0x1.db83128d51ae1p-17, -0x1.d6878860ebdb8p-17, -0x1.d18d191338232p-17, -0x1.cc943e3092d65p-17, -0x1.c79d6c262d973p-17, -0x1.c2a9126aabd1p-17, -0x1.bdb79ba4a7146p-17, -0x1.b8c96dd2d6d3ep-17, -0x1.b3deea7109e05p-17, -0x1.aef86e9baaa2fp-17, -0x1.aa165333cacf9p-17, -0x1.a538ed00e1a8p-17, -0x1.a0608cd2f0927p-17, -0x1.9b8d7fa298391p-17, -0x1.96c00eaf8a4ap-17, -0x1.91f87fa11eda6p-17, -0x1.8d3714a21b0b3p-17, -0x1.887c0c7f9331dp-17, -0x1.83c7a2c4668c5p-17, -0x1.7f1a0fd45bd79p-17, -0x1.7a738906ac578p-17, -0x1.75d440bf603abp-17, -0x1.713c6688a81cp-17, -0x1.6cac272c68f51p-17, -0x1.6823acca20c25p-17, -0x1.63a31eefa17d7p-17, -0x1.5f2aa2ae740dap-17, -0x1.5aba5ab174dbep-17, -0x1.565267528777ap-17, -0x1.51f2e6aef61d8p-17, -0x1.4d9bf4ba722eap-17, -0x1.494dab53d344p-17, -0x1.450822564e5e5p-17, -0x1.40cb6fada8e56p-17, -0x1.3c97a7662a93p-17, -0x1.386cdbbf2ea86p-17, -0x1.344b1d3aee124p-17, -0x1.30327aae5b6c8p-17, -0x1.2c230151b399p-17, -0x1.281cbccfe3ep-17, -0x1.241fb754e6e4dp-17, -0x1.202bf99c26367p-17, -0x1.1c418afec847ap-17, -0x1.18607180d4833p-17, -0x1.1488b1def85acp-17, -0x1.10ba4f9ac277cp-17, -0x1.0cf54d0775d1fp-17, -0x1.0939ab554d49p-17, -0x1.05876a9e03373p-17, -0x1.01de89ef6008bp-17, -0x1.fc7e0eadef82dp-18, -0x1.f551bfd875894p-18, -0x1.ee381fb6edfd6p-18, -0x1.e73124dd7410ep-18, -0x1.e03cc43004b79p-18, -0x1.d95af0f61b56ap-18, -0x1.d28b9cec19856p-18, -0x1.cbceb855715ccp-18, -0x1.c524320d6af19p-18, -0x1.be8bf798506cp-18, -0x1.b805f53227377p-18, -0x1.b19215df54a1dp-18, -0x1.ab30437b4fd75p-18, -0x1.a4e066c7d9e48p-18, -0x1.9ea2677a17d9fp-18, -0x1.98762c493b8e1p-18, -0x1.925b9afaa7e47p-18, -0x1.8c5298701a73bp-18, -0x1.865b08b359562p-18, -0x1.8074cf017fd7bp-18, -0x1.7a9fcdd7fe149p-18, -0x1.74dbe6fed13ddp-18, -0x1.6f28fb9365ebap-18, -0x1.6986ec1399db4p-18, -0x1.63f59867da8c1p-18, -0x1.5e74dfed0755dp-18, -0x1.5904a17d35db9p-18, -0x1.53a4bb793470cp-18, -0x1.4e550bd28791p-18, -0x1.4915701138daep-18, -0x1.43e5c55e6009p-18, -0x1.3ec5e88c1468ep-18, -0x1.39b5b61c07e73p-18, -0x1.34b50a472c6f2p-18, -0x1.2fc3c104be387p-18, -0x1.2ae1b61253384p-18, -0x1.260ec4f959b19p-18, -0x1.214ac914c2df4p-18, -0x1.1c959d996a97ap-18, -0x1.17ef1d9a3682ap-18, -0x1.1357240d6c067p-18, -0x1.0ecd8bd3dce1dp-18, -0x1.0a522fbd9d212p-18, -0x1.05e4ea8ea52f7p-18, -0x1.01859703aaabcp-18, -0x1.fa681fae2b8d5p-19, -0x1.f1e05f8d26d89p-19, -0x1.e973a329b4277p-19, -0x1.e121a01e05ae5p-19, -0x1.d8ea0c23b61bp-19, -0x1.d0cc9d19d6af2p-19, -0x1.c8c9090961c2ep-19, -0x1.c0df062f0cb6ap-19, -0x1.b90e4b018fb32p-19, -0x1.b1568e392cc4ep-19, -0x1.a9b786d1953dap-19, -0x1.a230ec1481f3ap-19, -0x1.9ac2759e70b5p-19, -0x1.936bdb60c59c9p-19, -0x1.8c2cd5a8f4cabp-19, -0x1.85051d26b2824p-19, -0x1.7df46aefa0854p-19, -0x1.76fa7881560c6p-19, -0x1.7016ffc71d2cfp-19, -0x1.6949bb2117616p-19, -0x1.62926563d3781p-19, -0x1.5bf0b9db7dd77p-19, -0x1.556474501b165p-19, -0x1.4eed510bce00ep-19, -0x1.488b0cdad704dp-19, -0x1.423d650d4ae17p-19, -0x1.3c04177a453a8p-19, -0x1.35dee285c9bbdp-19, -0x1.2fcd851e4f2e4p-19, -0x1.29cfbec125dedp-19, -0x1.23e54f7cdfdbbp-19, -0x1.1e0df7f2381d1p-19, -0x1.18497955aaa7bp-19, -0x1.129795710127ap-19, -0x1.0cf80ea59d32ep-19, -0x1.076aa7ed7f277p-19, -0x1.01ef24db3606fp-19, -0x1.f90a933573e24p-20, -0x1.ee59b5eaf0152p-20, -0x1.e3cb3ca30cd67p-20, -0x1.d95eb36102032p-20, -0x1.cf13a760f2c34p-20, -0x1.c4e9a71eb8244p-20, -0x1.bae042528d177p-20, -0x1.b0f709f3fcfeap-20, -0x1.a72d9034b25afp-20, -0x1.9d836885a81e5p-20, -0x1.93f8279a260e8p-20, -0x1.8a8b635e6f602p-20, -0x1.813cb300718bap-20, -0x1.780baeed1d3b8p-20, -0x1.6ef7f0cc8db3bp-20, -0x1.6601138611d64p-20, -0x1.5d26b33b3a3adp-20, -0x1.54686d4c2f725p-20, -0x1.4bc5e0521a18ep-20, -0x1.433eac1e3d67dp-20, -0x1.3ad271ba7bcb4p-20, -0x1.3280d36a4b4dcp-20, -0x1.2a4974a6b5ccep-20, -0x1.222bfa1c61257p-20, -0x1.1a2809a7eba45p-20, -0x1.123d4a5bd81dap-20, -0x1.0a6b647729644p-20, -0x1.02b201684dbaap-20, -0x1.f62197918f0a3p-21, -0x1.e70edeb6a330ep-21, -0x1.d82b3217ed7cep-21, -0x1.c975edd43f3fdp-21, -0x1.baee7057c3de9p-21, -0x1.ac941a4e36923p-21, -0x1.9e664ea28154dp-21, -0x1.9064727a4e2ccp-21, -0x1.828ded315b223p-21, -0x1.74e2285260c83p-21, -0x1.67608f97e7fcdp-21, -0x1.5a0890de4fef6p-21, -0x1.4cd99c22b96cbp-21, -0x1.3fd3238300e08p-21, -0x1.32f49b364f526p-21, -0x1.263d7985f98d7p-21, -0x1.19ad36c497a5ep-21, -0x1.0d434d4e18928p-21, -0x1.00ff39855b6fep-21, -0x1.e9c0f38e76038p-22, -0x1.d1cd1cd3dc458p-22, -0x1.ba21f36964571p-22, -0x1.a2be7fc0f19e6p-22, -0x1.8ba1ce1450793p-22, -0x1.74caee5cc4479p-22, -0x1.5e38f45b20d5fp-22, -0x1.47eaf7760bc0dp-22, -0x1.31e012b4da202p-22, -0x1.1c1764bfbf915p-22, -0x1.06900fc97f1aap-22, -0x1.e292730e0b531p-23, -0x1.b8841648eb695p-23, -0x1.8ef3626f418fcp-23, -0x1.65deb76b1f54ap-23, -0x1.3d447bce59648p-23, -0x1.15231cd5dcb39p-23, -0x1.daf21c69670b4p-24, -0x1.8c8994084407fp-24, -0x1.3f09a1490f795p-24, -0x1.e4dea321e97a6p-25, -0x1.4d6f7cf2fd28dp-25, -0x1.6f80376555d9fp-26, -0x1.1e5715cd61338p-28, 0x1.b9d6cbb7ba892p-27, 0x1.fe0e2563966cdp-26, 0x1.8dee9367786fcp-25, 0x1.0d98baa96b585p-24, 0x1.536a7111ea211p-24, 0x1.986ef6e372ccfp-24, 0x1.dca8cb5f4d5b9p-24, 0x1.100d317bde079p-23, 0x1.316313cfb3876p-23, 0x1.52573c8593f79p-23, 0x1.72ead65e11c8ap-23, 0x1.931f0721f887ap-23, 0x1.b2f4efaa1081bp-23, 0x1.d26dabf5822bp-23, 0x1.f18a53398a96ap-23, 0x1.0825fbfa0ee54p-22, 0x1.1759d404ff84p-22, 0x1.2661366e3054dp-22, 0x1.353ca5a23886bp-22, 0x1.43eca1e2392c6p-22, 0x1.5271a94095e8cp-22, }}, 
      {{-0x1.557118fc8b5a5p-2, -0x1.5582cc8bb62b2p-2, -0x1.559fc17c46d4fp-2, -0x1.55c77a6e21209p-2, -0x1.55f9b29a126a4p-2, -0x1.563683b1bc9afp-2, -0x1.567e74e2ee616p-2, -0x1.56d2773109816p-2, -0x1.5733d4d204b62p-2, -0x1.57a418e60daap-2, -0x1.5824f3dadf68bp-2, -0x1.58b81fa8ce72dp-2, -0x1.595f461332bcfp-2, -0x1.5a1bea424894ep-2, -0x1.5aef5669fc38cp-2, -0x1.5bda8db99e1ap-2, -0x1.5cde427cabb5fp-2, -0x1.5dfad01dc2958p-2, -0x1.5f30389bd3436p-2, -0x1.607e24f15bd71p-2, -0x1.61e3e7e91031fp-2, -0x1.636082df6783ap-2, -0x1.64f2abf9bdc34p-2, -0x1.6698d5681e51fp-2, -0x1.68513554ac649p-2, -0x1.6a19ce31a696ep-2, -0x1.6bf077249ebc2p-2, -0x1.6dd2e45a1b2acp-2, -0x1.6fbeaf1818cc6p-2, -0x1.71b15d6fde4a5p-2, -0x1.73a8697811b9cp-2, -0x1.75a147ff347edp-2, -0x1.77996eaca95edp-2, -0x1.798e598b3c1f3p-2, -0x1.7b7d8ffc0fe6dp-2, -0x1.7d64a913efea1p-2, -0x1.7f414f6745899p-2, -0x1.8111444ad6df5p-2, -0x1.82d2629099224p-2, -0x1.8482a0c8d03a6p-2, -0x1.8620131036293p-2, -0x1.87a8ec742c2d3p-2, -0x1.891b7ff604b6ep-2, -0x1.8a7641365fb93p-2, -0x1.8bb7c4d152a9ep-2, -0x1.8cdec073cd64bp-2, -0x1.8dea0ab23d6ecp-2, -0x1.8ed89aa8144bp-2, -0x1.8fa987674a25bp-2, -0x1.905c073e90842p-2, -0x1.90ef6edc5ccb4p-2, -0x1.916330547c901p-2, -0x1.91b6da0d6fc85p-2, -0x1.91ea159a4c6eep-2, -0x1.91fca685740b5p-2, -0x1.91ee6910106b6p-2, -0x1.91bf50e9c1e37p-2, -0x1.916f67e3b190bp-2, -0x1.90fecca1b5b3cp-2, -0x1.906db14c079f9p-2, -0x1.8fbc5a439c508p-2, -0x1.8eeb1cdaff102p-2, -0x1.8dfa5e153d0c4p-2, -0x1.8cea916c387c4p-2, -0x1.8bbc379f83d91p-2, -0x1.8a6fdd8cad5e2p-2, -0x1.89061b11b7f16p-2, -0x1.877f91fa5b612p-2, -0x1.85dcecf874a3dp-2, -0x1.841edea7f695ap-2, -0x1.8246209e8f8abp-2, -0x1.80537287177f7p-2, -0x1.7e479948c83a2p-2, -0x1.7c235e3a30685p-2, -0x1.79e78e5fb942ap-2, -0x1.7794f9b594ef1p-2, -0x1.752c7284ce611p-2, -0x1.72aeccc33af36p-2, -0x1.701cdd7df9493p-2, -0x1.6d777a4e2b38bp-2, -0x1.6abf78d7891c4p-2, -0x1.67f5ae507460cp-2, -0x1.651aef1325ec8p-2, -0x1.62300e3791032p-2, -0x1.5f35dd359c891p-2, -0x1.5c2d2b8f46046p-2, -0x1.5916c682511e1p-2, -0x1.55f378c11e7bfp-2, -0x1.52c40a3245ad1p-2, -0x1.4f893fb696ad3p-2, -0x1.4c43daf528667p-2, -0x1.48f49a2d0f79fp-2, -0x1.459c380c752e2p-2, -0x1.423b6b8cadc1ep-2, -0x1.3ed2e7d3035fp-2, -0x1.3b635c15e5316p-2, -0x1.37ed738633d28p-2, -0x1.3471d53c5cc1bp-2, -0x1.30f1242909f8cp-2, -0x1.2d6bff091c9bbp-2, -0x1.29e3005cba784p-2, -0x1.2656be613213ep-2, -0x1.22c7cb0d7c8cp-2, -0x1.1f36b4112dc9ep-2, -0x1.1ba402d59c7f4p-2, -0x1.18103c8113bf7p-2, -0x1.147be1fbe62ddp-2, -0x1.10e76ff73819dp-2, -0x1.0d535ef5548c4p-2, -0x1.09c023536fcf1p-2, -0x1.062e2d54b3cf5p-2, -0x1.029de92e71d96p-2, -0x1.fe1f7e2ac0578p-3, -0x1.f708269792ddp-3, -0x1.eff68c61131d3p-3, -0x1.e8eb689d9e61p-3, -0x1.e1e76cdcfc363p-3, -0x1.daeb434a42052p-3, -0x1.d3f78eceba236p-3, -0x1.cd0ceb35999b1p-3, -0x1.c62bed506b258p-3, -0x1.bf55231c0fae8p-3, -0x1.b88913e637591p-3, -0x1.b1c8407335ff5p-3, -0x1.ab1323241d2efp-3, -0x1.a46a301d04c4dp-3, -0x1.9dcdd56b6d0a5p-3, -0x1.973e7b2c9ff2p-3, -0x1.90bc83b41334fp-3, -0x1.8a484bb1a1192p-3, -0x1.83e22a57a18cbp-3, -0x1.7d8a7180c1495p-3, -0x1.77416dd59e086p-3, -0x1.710766f20c831p-3, -0x1.6adc9f8a075e7p-3, -0x1.64c1558e39dp-3, -0x1.5eb5c25025fcdp-3, -0x1.58ba1aa5ce704p-3, -0x1.52ce8f0cee1aap-3, -0x1.4cf34bcdb1a69p-3, -0x1.4728791cecdc8p-3, -0x1.416e3b3dc0a66p-3, -0x1.3bc4b2a2c34a6p-3, -0x1.362bfc0e8a519p-3, -0x1.30a430b3acf86p-3, -0x1.2b2d6654292c3p-3, -0x1.25c7af603a09bp-3, -0x1.20731b149006ap-3, -0x1.1b2fb597f00ebp-3, -0x1.15fd88183d178p-3, -0x1.10dc98e6dd37bp-3, -0x1.0bcceb948cbabp-3, -0x1.06ce810c903c4p-3, -0x1.01e157af4cd55p-3, -0x1.fa0ad6d88af32p-4, -0x1.f0756bb6f7858p-4, -0x1.e7025cac79eb5p-4, -0x1.ddb1941e9de16p-4, -0x1.d482f855162c4p-4, -0x1.cb766ba7c3d76p-4, -0x1.c28bccab8b59ap-4, -0x1.b9c2f65e13c4ep-4, -0x1.b11bc05052181p-4, -0x1.a895fecffb18dp-4, -0x1.a031830fd9efdp-4, -0x1.97ee1b4f0fc3p-4, -0x1.8fcb92ff34bbep-4, -0x1.87c9b2e97239cp-4, -0x1.7fe841528b756p-4, -0x1.7827021ddd616p-4, -0x1.7085b6ef5ab42p-4, -0x1.69041f4c860b8p-4, -0x1.61a1f8bc71b99p-4, -0x1.5a5efee6c7859p-4, -0x1.533aebb1dc6afp-4, -0x1.4c35775fd59f4p-4, -0x1.454e58aae4abep-4, -0x1.3e8544e09a6f9p-4, -0x1.37d9effc5c1c4p-4, -0x1.314c0cc0f9aa4p-4, -0x1.2adb4cd16b8f5p-4, -0x1.248760c8bd875p-4, -0x1.1e4ff85128049p-4, -0x1.1834c23a61126p-4, -0x1.12356c8f2424p-4, -0x1.0c51a4a9f805ep-4, -0x1.06891749380bp-4, -0x1.00db70a261df1p-4, -0x1.f690b8e95e0dcp-5, -0x1.eb9f0c35fa18ap-5, -0x1.e0e1313a0f011p-5, -0x1.d6567d7ff724fp-5, -0x1.cbfe462cc6931p-5, -0x1.c1d7e01ee6f4dp-5, -0x1.b7e2a00b75c04p-5, -0x1.ae1dda9a72124p-5, -0x1.a488e481c2a23p-5, -0x1.9b23129f16451p-5, -0x1.91ebba10ac05ep-5, -0x1.88e2304d08738p-5, -0x1.8005cb399cb7p-5, -0x1.7755e1406d2c3p-5, -0x1.6ed1c964b82edp-5, -0x1.6678db56a5903p-5, -0x1.5e4a6f860a4fep-5, -0x1.5645df34414c9p-5, -0x1.4e6a8485215e8p-5, -0x1.46b7ba8f194d6p-5, -0x1.3f2cdd6a768e7p-5, -0x1.37c94a3fdd7a8p-5, -0x1.308c5f55f9abp-5, -0x1.29757c1e6a02bp-5, -0x1.22840141f2f0ep-5, -0x1.1bb750abf693bp-5, -0x1.150ecd9541825p-5, -0x1.0e89dc8e24d9cp-5, -0x1.0827e387f1f5dp-5, -0x1.01e849ddd18p-5, -0x1.f794f0ba00121p-6, -0x1.eb9bb298ed041p-6, -0x1.dfe3b0e7fbc24p-6, -0x1.d46bc64578bd8p-6, -0x1.c932d06a6c9fep-6, -0x1.be37b0359f45ep-6, -0x1.b37949b59ecb5p-6, -0x1.a8f68431cee6p-6, -0x1.9eae4a32965e6p-6, -0x1.949f8988a66c4p-6, -0x1.8ac9335365d39p-6, -0x1.812a3c06958f8p-6, -0x1.77c19b6f1e2a8p-6, -0x1.6e8e4cb72bc12p-6, -0x1.658f4e6987198p-6, -0x1.5cc3a2743cb2ap-6, -0x1.542a4e2a9e74ep-6, -0x1.4bc25a469b18ep-6, -0x1.438ad2e97c25fp-6, -0x1.3b82c79c0f76cp-6, -0x1.33a94b4e3adb2p-6, -0x1.2bfd74560c23p-6, -0x1.247e5c6e42c1bp-6, -0x1.1d2b20b45a138p-6, -0x1.1602e1a620ef3p-6, -0x1.0f04c31edbb43p-6, -0x1.082fec53f50cfp-6, -0x1.018387d15336fp-6, -0x1.f5fd86ea80711p-7, -0x1.e941a0d7e795bp-7, -0x1.dcd1c655a55a4p-7, -0x1.d0ac66d68fddap-7, -0x1.c4cff84ab990bp-7, -0x1.b93af713f8054p-7, -0x1.adebe5f9f04cp-7, -0x1.a2e14e1d8b538p-7, -0x1.9819beebf8479p-7, -0x1.8d93ce11347fdp-7, -0x1.834e176a2cb12p-7, -0x1.79473cf66d87ep-7, -0x1.6f7de6c978c7fp-7, -0x1.65f0c2fbc7634p-7, -0x1.5c9e859b6ead5p-7, -0x1.5385e89c82016p-7, -0x1.4aa5abc9242fcp-7, -0x1.41fc94b163947p-7, -0x1.39896e9ad6246p-7, -0x1.314b0a6ffc7b7p-7, -0x1.29403eaf7b41bp-7, -0x1.2167e75b2a9fep-7, -0x1.19c0e5e6f2e5ep-7, -0x1.124a21279631p-7, -0x1.0b028541562f2p-7, -0x1.03e903968284fp-7, -0x1.f9f9256bd9356p-8, -0x1.ec785c92a9977p-8, -0x1.df4dae07865bbp-8, -0x1.d277251fad8d2p-8, -0x1.c5f2d6fc246fcp-8, -0x1.b9bee2664dc1fp-8, -0x1.add96fac74babp-8, -0x1.a240b07e65436p-8, -0x1.96f2dfca116bbp-8, -0x1.8bee4198534bap-8, -0x1.813122e9b4869p-8, -0x1.76b9d99351ac2p-8, -0x1.6c86c41bf704ap-8, -0x1.62964999480fep-8, -0x1.58e6d98d24184p-8, -0x1.4f76ebc32d1d4p-8, -0x1.4645002e82d03p-8, -0x1.3d4f9ec7b6b4bp-8, -0x1.3495576afbedcp-8, -0x1.2c14c1b68a8dp-8, -0x1.23cc7ce94597ap-8, -0x1.1bbb2fc1ab5abp-8, -0x1.13df885cfa19fp-8, -0x1.0c383c16a6177p-8, -0x1.04c407682bedfp-8, -0x1.fb035b9208d4dp-9, -0x1.ecdff31e1047cp-9, -0x1.df1b779e23214p-9, -0x1.d1b3987c0b203p-9, -0x1.c4a6122438d3bp-9, -0x1.b7f0adc9002cap-9, -0x1.ab91412689c35p-9, -0x1.9f85ae477f946p-9, -0x1.93cbe34a548c9p-9, -0x1.8861da27574eap-9, -0x1.7d45987762995p-9, -0x1.72752f3b4da46p-9, -0x1.67eebaa40b92p-9, -0x1.5db061db9348ap-9, -0x1.53b856ce82336p-9, -0x1.4a04d5f66f363p-9, -0x1.40942624f0a76p-9, -0x1.3764984f6bd14p-9, -0x1.2e74875b96e93p-9, -0x1.25c257ecc7605p-9, -0x1.1d4c7832041bdp-9, -0x1.15115fb4a3da8p-9, -0x1.0d0f8f27d389bp-9, -0x1.05459038cb1d6p-9, -0x1.fb63eabf5d58bp-10, -0x1.eca6b362ba38ap-10, -0x1.de50c1637e512p-10, -0x1.d05f6c4dcd66bp-10, -0x1.c2d01bd9c8f86p-10, -0x1.b5a04794a3f72p-10, -0x1.a8cd768b366afp-10, -0x1.9c553ef60b658p-10, -0x1.903545e6b337ep-10, -0x1.846b3ef65f8a8p-10, -0x1.78f4ebf627ed5p-10, -0x1.6dd01ca08646ap-10, -0x1.62faae4c21a72p-10, -0x1.58728ba051579p-10, -0x1.4e35ac4a8235p-10, -0x1.444214b504567p-10, -0x1.3a95d5bf6f262p-10, -0x1.312f0c7802ce5p-10, -0x1.280be1d689948p-10, -0x1.1f2a8a7877d63p-10, -0x1.1689465e4ce72p-10, -0x1.0e2660aa0226ep-10, -0x1.06002f5ee994cp-10, -0x1.fc2a26457cd14p-11, -0x1.ecc6edffb3e9ap-11, -0x1.ddd3a0514a09dp-11, -0x1.cf4d3b78b38a5p-11, -0x1.c130d118e97abp-11, -0x1.b37b85c79f72ep-11, -0x1.a62a909d27ef8p-11, -0x1.993b3ac6a2997p-11, -0x1.8caadf1a9af9fp-11, -0x1.8076e9af9eaf3p-11, -0x1.749cd77502c04p-11, -0x1.691a35cd80b1ap-11, -0x1.5deca22c45d34p-11, -0x1.5311c9b3b8c21p-11, -0x1.488768d68f5c1p-11, -0x1.3e4b4afaa98b3p-11, -0x1.345b4a1e12664p-11, -0x1.2ab54e7d7a0dp-11, -0x1.21574e3ce7a41p-11, -0x1.183f4d124cfaap-11, -0x1.0f6b5bf1ad7bdp-11, -0x1.06d998bb47364p-11, -0x1.fd105bd7233acp-12, -0x1.eceaa4993de63p-12, -0x1.dd3e9152c5035p-12, -0x1.ce08bf0577576p-12, -0x1.bf45e18bccb13p-12, -0x1.b0f2c3096154dp-12, -0x1.a30c435e9a76fp-12, -0x1.958f579f7f45dp-12, -0x1.8879098d2c082p-12, -0x1.7bc677127c7d2p-12, -0x1.6f74d1c3c410cp-12, -0x1.63815e612925cp-12, -0x1.57e9745c3d7d8p-12, -0x1.4caa7d5feb598p-12, -0x1.41c1f4db7df2cp-12, -0x1.372d6790127c5p-12, -0x1.2cea7320c6ceep-12, -0x1.22f6c5a56de55p-12, -0x1.19501d3fac712p-12, -0x1.0ff447b2c92f1p-12, -0x1.06e121fdcba85p-12, -0x1.fc292ff057272p-13, -0x1.eb1947e0c2633p-13, -0x1.da8e9c9aa04cdp-13, -0x1.ca855a62a31acp-13, -0x1.baf9c83fe81cfp-13, -0x1.abe8474ad330fp-13, -0x1.9d4d52014b69bp-13, -0x1.8f257b9dfe555p-13, -0x1.816d6f742515bp-13, -0x1.7421f04f4d321p-13, -0x1.673fd7d6b1d5ep-13, -0x1.5ac415f49e305p-13, -0x1.4eabb0410294cp-13, -0x1.42f3c170a0251p-13, -0x1.379978c6b3ff1p-13, -0x1.2c9a198acdc44p-13, -0x1.21f2fa81b1408p-13, -0x1.17a18569e638dp-13, -0x1.0da3367aabdp-13, -0x1.03f59be7419bbp-13, -0x1.f52caac8420a4p-14, -0x1.e3062760ff7b6p-14, -0x1.d1733042ebdf2p-14, -0x1.c06f68625eb83p-14, -0x1.aff6921ff583ep-14, -0x1.a0048e725e192p-14, -0x1.90955c12e35f2p-14, -0x1.81a516b1fbdfep-14, -0x1.732ff62ed56d1p-14, -0x1.65324dd5301edp-14, -0x1.57a88b9febc86p-14, -0x1.4a8f37802e209p-14, -0x1.3de2f2a8e8afbp-14, -0x1.31a076e032565p-14, -0x1.25c495d387eafp-14, -0x1.1a4c3871cde22p-14, -0x1.0f345e48b8f4ep-14, -0x1.047a1ce6aae94p-14, -0x1.f4353e8180393p-15, -0x1.e0264a39aa7dcp-15, -0x1.ccc204fe6972ap-15, -0x1.ba033e384c3afp-15, -0x1.a7e4eb9b1c8bap-15, -0x1.966228175c14p-15, -0x1.857632d3083aep-15, -0x1.751c6e2a9a9f6p-15, -0x1.65505eb6421abp-15, -0x1.560daa5777823p-15, -0x1.4750174ce194fp-15, -0x1.39138b4b3fdc3p-15, -0x1.2b540a9e4e943p-15, -0x1.1e0db74db7d91p-15, -0x1.113cd04970a16p-15, -0x1.04ddb099eebe4p-15, -0x1.f1d99d3083d4fp-16, -0x1.dacd7651f685bp-16, -0x1.c49041fc5931bp-16, -0x1.af1b87baefd81p-16, -0x1.9a68ffd6b08d8p-16, -0x1.867291f7bcb98p-16, -0x1.733253ceefd1p-16, -0x1.60a287c9c6e82p-16, -0x1.4ebd9bcd8aa12p-16, -0x1.3d7e27fd17d73p-16, -0x1.2cdeed8500765p-16, -0x1.1cdad57397f7ap-16, -0x1.0d6cef94e2fa7p-16, -0x1.fd20e2b1ec159p-17, -0x1.e08169836b821p-17, -0x1.c4f26eaedd345p-17, -0x1.aa6b324a36873p-17, -0x1.90e3377b66763p-17, -0x1.78524286edc22p-17, -0x1.60b056f6513ecp-17, -0x1.49f5b5c4ae8d2p-17, -0x1.341adb9cc2d1dp-17, -0x1.1f187f20b4aa5p-17, -0x1.0ae78f3e67944p-17, -0x1.ef026322940c9p-18, -0x1.c9bd819803174p-18, -0x1.a5f3966559037p-18, -0x1.83982235f0952p-18, -0x1.629f06f3eafdp-18, -0x1.42fc84f600cf7p-18, -0x1.24a5383eb6b3cp-18, -0x1.078e15d5a456ep-18, -0x1.d758d2610c2b3p-19, -0x1.a1eba356a3d61p-19, -0x1.6ec080379e8e6p-19, -0x1.3dc3e8d6ca218p-19, -0x1.0ee2f69409425p-19, -0x1.c416afb7fc2cfp-20, -0x1.6e569794f865cp-20, -0x1.1c633be11d5a4p-20, -0x1.9c3688c254187p-21, -0x1.06bcc2f869fb5p-21, -0x1.e06a2360dbab3p-23, 0x1.fd9a126867821p-26, 0x1.232820e52e26ep-22, 0x1.0d14283e2a7e8p-21, 0x1.82a441ce0f071p-21, 0x1.f279ccc048157p-21, 0x1.2e6445ce98d95p-20, 0x1.60e15041042b2p-20, 0x1.90cc4cc191814p-20, 0x1.be3cbe56ee7fbp-20, 0x1.e94969d9a4a14p-20, 0x1.09042dcdcf2a2p-19, 0x1.1c47767ad21a4p-19, 0x1.2e78e4cad8461p-19, 0x1.3fa27a5312d9ep-19, 0x1.4fcde6f21d2e9p-19, 0x1.5f048b428e248p-19, 0x1.6d4f7afb1f33cp-19, 0x1.7ab77f3c097e3p-19, 0x1.874518cf1f87dp-19, 0x1.9300825301f42p-19, 0x1.9df1b25905613p-19, 0x1.a8205d723a92p-19, 0x1.b193f8314da8ap-19, 0x1.ba53b919f1472p-19, 0x1.c2669a7b3c5c4p-19, 0x1.c9d35c48f1819p-19, 0x1.d0a085dd89d9fp-19, 0x1.d6d467b4c3c89p-19, 0x1.dc751d1510846p-19, 0x1.e1888db1417e7p-19, 0x1.e6146f38ae9c7p-19, 0x1.ea1e46e09c386p-19, 0x1.edab6adc5836cp-19, 0x1.f0c103cffd713p-19, 0x1.f3640e38ad4a9p-19, 0x1.f5995bc36138dp-19, 0x1.f765949fe571p-19, 0x1.f8cd38c6e86b8p-19, 0x1.f9d4a137c7f37p-19, 0x1.fa80012bf8b08p-19, 0x1.fad36741502ddp-19, 0x1.fad2be9eb6f31p-19, 0x1.fa81d00cfd3e6p-19, 0x1.f9e443061368ap-19, 0x1.f8fd9ec1095f8p-19, 0x1.f7d14b30b5705p-19, 0x1.f66291fefa62bp-19, 0x1.f4b49f7cf30b4p-19, 0x1.f2ca83911c3eap-19, 0x1.f0a73298eb3b2p-19, 0x1.ee4d86471f0e1p-19, 0x1.ebc03e791df61p-19, 0x1.e902020710bccp-19, 0x1.e6155f8f081efp-19, 0x1.e2fcce39126cdp-19, 0x1.dfbaae75dcf9fp-19, 0x1.dc514ab70ef4ep-19, 0x1.d8c2d8216a54cp-19, 0x1.d511773886796p-19, 0x1.d13f3489ea8a5p-19, 0x1.cd4e094ed1403p-19, 0x1.c93fdc0b25545p-19, 0x1.c5168127b86acp-19, 0x1.c0d3bb8635b1fp-19, 0x1.bc793d11c9262p-19, 0x1.b808a749b41d8p-19, 0x1.b3838bcb4bf2dp-19, 0x1.aeeb6cd5b7dc2p-19, 0x1.aa41bdc9c8521p-19, 0x1.a587e3a564081p-19, 0x1.a0bf357b32c63p-19, 0x1.9be8fce68d125p-19, 0x1.9706767d495c2p-19, 0x1.9218d23d6197bp-19, 0x1.8d2133f60e1f6p-19, 0x1.8820b3b0caadap-19, 0x1.83185e13127dap-19, 0x1.7e0934c0a7ebep-19, 0x1.78f42eb75179bp-19, 0x1.73da38ab0cfc1p-19, 0x1.6ebc355e9b331p-19, 0x1.699afdf8000ddp-19, 0x1.64776254556aep-19, 0x1.5f522956b2db2p-19, 0x1.5a2c1136c6feap-19, 0x1.5505cfcbb5af5p-19, 0x1.4fe012d537fdap-19, 0x1.4abb8041c7486p-19, 0x1.4598b67452281p-19, 0x1.40784c864ae8ap-19, 0x1.3b5ad2884f74bp-19, 0x1.3640d1bf5cf5bp-19, 0x1.312acce2ed7f7p-19, 0x1.2c1940559fd0dp-19, 0x1.270ca25f2e01p-19, 0x1.22056362da8d9p-19, 0x1.1d03ee150f09ep-19, 0x1.1808a7af28724p-19, 0x1.1313f02049fedp-19, 0x1.0e26223eef584p-19, 0x1.093f93f6430dep-19, 0x1.04609674e5faep-19, 0x1.ff12ecafa765dp-20, 0x1.f574f7abe7be1p-20, 0x1.ebe7d5d16c44ap-20, 0x1.e26c06e6fc664p-20, 0x1.d90202d6ebf95p-20, 0x1.cfaa39f69fa34p-20, 0x1.c66515509242ep-20, 0x1.bd32f6ea1c4eap-20, 0x1.b4143a085126bp-20, 0x1.ab0933700ac79p-20, 0x1.a21231a575831p-20, 0x1.992f7d2af9294p-20, 0x1.906158bb22739p-20, 0x1.87a80182cbd8ap-20, 0x1.7f03af5875cdp-20, 0x1.767494f274687p-20, 0x1.6dfae01a8e2f2p-20, 0x1.6596b9e018a0ap-20, 0x1.5d4846cabe411p-20, 0x1.550fa706328c9p-20, 0x1.4cecf6924a03ep-20, 0x1.44e04d6e41bf6p-20, 0x1.3ce9bfc3c0aebp-20, 0x1.35095e0f7a684p-20, 0x1.2d3f3547f81edp-20, 0x1.258b4f068e741p-20, 0x1.1dedb1aa9550bp-20, 0x1.1666607eba27ap-20, 0x1.0ef55bda8d399p-20, 0x1.079aa14508749p-20, 0x1.00562b9400b08p-20, 0x1.f24fe6159153cp-21, 0x1.e41fdaf4d066ap-21, 0x1.d61c1cbaed5d8p-21, 0x1.c8448de850475p-21, 0x1.ba990cc2683d9p-21, 0x1.ad197384c8b14p-21, 0x1.9fc598977d571p-21, 0x1.929d4eb9d65ep-21, 0x1.85a06535c3a8ep-21, 0x1.78cea80e0865cp-21, 0x1.6c27e028bedd2p-21, 0x1.5fabd37aff7bap-21, 0x1.535a4530db4dcp-21, 0x1.4732f5d5af42ap-21, 0x1.3b35a3795a87ap-21, 0x1.2f6209d12d285p-21, 0x1.23b7e260dc433p-21, 0x1.1836e499b5047p-21, 0x1.0cdec5fc80d7dp-21, 0x1.01af3a3992fbbp-21, 0x1.ed4fe69b827dfp-22, 0x1.d7914344f2d69p-22, 0x1.c221e84b31356p-22, 0x1.ad0130caeceb7p-22, 0x1.982e755b036c2p-22, 0x1.83a90c3ae78b2p-22, 0x1.6f704984e7514p-22, 0x1.5b837f5c08e0ep-22, 0x1.47e1fe197835dp-22, 0x1.348b1476e8993p-22, 0x1.217e0fb103681p-22, 0x1.0eba3bb44bfp-22, 0x1.f87dc68b206a1p-23, 0x1.d416a042c8a72p-23, 0x1.b03d9649b847bp-23, 0x1.8cf138d3dacc8p-23, 0x1.6a3016d857d33p-23, 0x1.47f8be4a47c08p-23, 0x1.2649bc496523bp-23, 0x1.05219d65e18e3p-23, 0x1.c8fddbb12900ep-24, 0x1.88c0735a389bbp-24, 0x1.498819f8de24cp-24, 0x1.0b51e82d23384p-24, 0x1.9c35eed77bcfap-25, 0x1.23c0c49057168p-25, 0x1.5a7d12bf44e9dp-26, 0x1.c54bc5ca90a07p-28, -0x1.d0216ec54e165p-28, -0x1.55a04c5bcc2d9p-26, -0x1.19c026e8d81dbp-25, -0x1.86d9e0fff574ap-25, -0x1.f222ff3ce6e73p-25, -0x1.2dd092e274c16p-24, -0x1.61acf8ed115bep-24, -0x1.94a97c9f8af3cp-24, -0x1.c6c8e4ef15bd9p-24, -0x1.f80df4bcfdebp-24, -0x1.143db552adc1cp-23, -0x1.2c0a006ba9accp-23, -0x1.436d3673d6663p-23, -0x1.5a68afd76a3ap-23, -0x1.70fdc29cfe5bfp-23, -0x1.872dc24e45d72p-23, -0x1.9cf9ffe465485p-23, -0x1.b263c9c1479efp-23, -0x1.c76c6b9a5a7abp-23, -0x1.dc152e70c413cp-23, -0x1.f05f588371c8fp-23, -0x1.022616a4ad6b9p-22, -0x1.0bee76b0ebef9p-22, -0x1.15896b4b51657p-22, -0x1.1ef791e47a6b3p-22, -0x1.28398675b1e86p-22, -0x1.314fe37fad515p-22, -0x1.3a3b4206c51e5p-22, -0x1.42fc398ede67ep-22, -0x1.4b9360195fef8p-22, -0x1.54014a257a10bp-22, -0x1.5c468aadf070cp-22, -0x1.6463b326e8c04p-22, -0x1.6c59537b9f34p-22, -0x1.7427fa1045acap-22, -0x1.7bd033bcc2057p-22, -0x1.83528bce8915fp-22, -0x1.8aaf8c08999ecp-22, -0x1.91e7bca3e235p-22, -0x1.98fba44c38304p-22, -0x1.9febc82788a73p-22, -0x1.a6b8abd0cfedep-22, -0x1.ad62d15935aa5p-22, -0x1.b3eab9493648dp-22, -0x1.ba50e2a4b1fefp-22, -0x1.c095cae7b6888p-22, -0x1.c6b9ee09a033ap-22, -0x1.ccbdc67f032e5p-22, -0x1.d2a1cd3c953b7p-22, -0x1.d86679b748e8ap-22, -0x1.de0c41e548e48p-22, -0x1.e3939a42ef6f7p-22, -0x1.e8fcf5d2e542p-22, -0x1.ee48c61e3c4c1p-22, -0x1.f3777b398de2fp-22, -0x1.f88983c63c30ap-22, -0x1.fd7f4cf644577p-22, -0x1.012ca145cd226p-21, -0x1.038be77028e48p-21, -0x1.05ddad7289398p-21, -0x1.08222711c5604p-21, -0x1.0a59876152efp-21, -0x1.0c8400c560029p-21, -0x1.0ea1c4f3080c4p-21, -0x1.10b304f1f918ap-21, -0x1.12b7f11eef4d2p-21, -0x1.14b0b92cbf3b6p-21, -0x1.169d8c25b9abap-21, -0x1.187e986d44705p-21, -0x1.1a540bc18697fp-21, -0x1.1c1e133d915e1p-21, -0x1.1ddcdb59ec5d5p-21, -0x1.1f908fee54e49p-21, -0x1.21395c34516fep-21, -0x1.22d76ac834d56p-21, -0x1.246ae5aa6a8b4p-21, -0x1.25f3f64206349p-21, -0x1.2772c55e90cc9p-21, -0x1.28e77b38da7b6p-21, -0x1.2a523f73f3637p-21, -0x1.2bb3392144c97p-21, -0x1.2d0a8ec083f01p-21, -0x1.2e586641a24fbp-21, -0x1.2f9ce50618797p-21, -0x1.30d82fe46a1p-21, -0x1.320a6b2769da6p-21, -0x1.3333ba91c4314p-21, -0x1.3454415ea2f0fp-21, -0x1.356c2243878e1p-21, -0x1.367b7f7255d2p-21, -0x1.37827a9ac3ddcp-21, -0x1.388134ebc606cp-21, -0x1.3977cf15af3fcp-21, -0x1.3a66694b84fa5p-21, -0x1.3b4d23448c72dp-21, -0x1.3c2c1c3e0bde1p-21, -0x1.3d0372fd81e15p-21, -0x1.3dd345d186d9bp-21, -0x1.3e9bb292dcf3ap-21, -0x1.3f5cd6a73d487p-21, -0x1.4016cf02dfa1ep-21, -0x1.40c9b82953eadp-21, -0x1.4175ae2eed96p-21, -0x1.421accbb13c21p-21, -0x1.42b92f0a10b2bp-21, -0x1.4350efed35189p-21, -0x1.43e229cdaa419p-21, -0x1.446cf6acdfdb4p-21, -0x1.44f17026a05dep-21, -0x1.456faf72c9012p-21, -0x1.45e7cd6634edfp-21, -0x1.4659e274c3d44p-21, -0x1.46c606b23b32dp-21, -0x1.472c51d4412a6p-21, -0x1.478cdb32d6ee1p-21, -0x1.47e7b9ca9d254p-21, -0x1.483d043e0b351p-21, -0x1.488cd0d69bef7p-21, -0x1.48d73585d00ecp-21, -0x1.491c47e70e0edp-21, -0x1.495c1d4146fd8p-21, -0x1.4996ca87b1b73p-21, -0x1.49cc645acf75cp-21, -0x1.49fcff09ffcccp-21, -0x1.4a28ae95813fdp-21, -0x1.4a4f86aeaa374p-21, -0x1.4a719ab9cffe9p-21, -0x1.4a8efdce9c8b2p-21, -0x1.4aa7c2b985a5ap-21, -0x1.4abbfbfde4197p-21, -0x1.4acbbbd64042dp-21, -0x1.4ad71435d4fa2p-21, -0x1.4ade16c9d2dbbp-21, -0x1.4ae0d4fa342fbp-21, -0x1.4adf5feb0843dp-21, -0x1.4ad9c87d2e311p-21, -0x1.4ad01f4fa070bp-21, -0x1.4ac274c0b9fb4p-21, -0x1.4ab0d8eefb349p-21, -0x1.4a9b5bba249d8p-21, -0x1.4a820cc47b7ddp-21, -0x1.4a64fb73ad044p-21, -0x1.4a4436f1ead12p-21, -0x1.4a1fce2e506b2p-21, -0x1.49f7cfde345cdp-21, -0x1.49cc4a7e98e8cp-21, -0x1.499d4c54b9d8dp-21, -0x1.496ae36f25932p-21, -0x1.49351da609e3p-21, -0x1.48fc089bd13b3p-21, -0x1.48bfb1bf51a54p-21, -0x1.4880264c47e3dp-21, -0x1.483d734b9bb3p-21, -0x1.47f7a59503374p-21, -0x1.47aec9cf7f469p-21, -0x1.4762ec720431cp-21, -0x1.471419c432b27p-21, -0x1.46c25ddfbd8ddp-21, -0x1.466dc4afd4299p-21, -0x1.461659f3a82e8p-21, -0x1.45bc293dc8aacp-21, -0x1.455f3df603871p-21, -0x1.44ffa359619bep-21, -0x1.449d647b4e4cap-21, -0x1.44388c45e202cp-21, -0x1.43d1257a94e17p-21, -0x1.43673ab33b432p-21, -0x1.42fad662ca2e7p-21, -0x1.428c02d5f5fafp-21, -0x1.421aca33ec659p-21, -0x1.41a7367e72c5ep-21, -0x1.41315191ad8fap-21, -0x1.40b92526ed35cp-21, -0x1.403ebad4286d3p-21, -0x1.3fc21c0cec71dp-21, -0x1.3f4352227029bp-21, -0x1.3ec26644e5078p-21, -0x1.3e3f61835910ap-21, -0x1.3dba4ccc6e68ap-21, -0x1.3d3330ef5a58p-21, -0x1.3caa169b84e9ep-21, -0x1.3c1f06616d333p-21, -0x1.3b9208b3bd905p-21, -0x1.3b0325e76cd9p-21, -0x1.3a7266343b95dp-21, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.0ea3a3ae56963p-8, 0x1.0e95a5065e189p-7, 0x1.95a7483b82753p-7, 0x1.0e317da4c1c5cp-6, 0x1.5161d0dee4b8dp-6, 0x1.947a2197fa808p-6, 0x1.d7a9246384f1bp-6, 0x1.0d98fda106ba2p-5, 0x1.2fb205241518fp-5, 0x1.5248cb9edba5fp-5, 0x1.758364d2bd9f2p-5, 0x1.998101322fcebp-5, 0x1.be5701fe10d0fp-5, 0x1.e40f05c3d5e7p-5, 0x1.0552f084479acp-4, 0x1.1905b36163e6ep-4, 0x1.2d116e4bbe13bp-4, 0x1.4161fa5fba294p-4, 0x1.55de1478a9ccdp-4, 0x1.6a682a97b0a93p-4, 0x1.7edf3af16ee01p-4, 0x1.931fb8ca4b49bp-4, 0x1.a7046db1b53fep-4, 0x1.ba674fe8b949p-4, 0x1.cd2248bd0e944p-4, 0x1.df0fe7571bc43p-4, 0x1.f00bfde607a06p-4, 0x1.fff4283c70101p-4, 0x1.07541dec3a136p-3, 0x1.0e0551010e1b5p-3, 0x1.14004e95e18e4p-3, 0x1.19393d8c2f4bfp-3, 0x1.1da5dac19a9adp-3, 0x1.213d8190f87dp-3, 0x1.23f92d7174b96p-3, 0x1.25d375a16c74cp-3, 0x1.26c883c1b3caep-3, 0x1.26d60638f45b1p-3, 0x1.25fb1f274cab1p-3, 0x1.243850a13a098p-3, 0x1.218f66d712265p-3, 0x1.1e0360bc7b889p-3, 0x1.199857b1ef73dp-3, 0x1.145366a1917a7p-3, 0x1.0e3a90f1258a3p-3, 0x1.0754a99c27ce2p-3, 0x1.ff527577bff6ap-4, 0x1.ee80db6df3ee6p-4, 0x1.dc45e88ea7f2dp-4, 0x1.c8b3e4f5e5afp-4, 0x1.b3ddd398aeb15p-4, 0x1.9dd74acdc5e04p-4, 0x1.86b44f4ac9cf6p-4, 0x1.6e8931a638a4ap-4, 0x1.556a6e656fcaep-4, 0x1.3b6c90953b1b1p-4, 0x1.20a416e4bfafdp-4, 0x1.05255b34c9302p-4, 0x1.d208f911af405p-5, 0x1.98aa968756ddp-5, 0x1.5e566f2c3ce5fp-5, 0x1.2332840a1d933p-5, 0x1.cec7b7a62eaa5p-6, 0x1.561cd7367158dp-6, 0x1.b9540c3b59a33p-7, 0x1.8ac9df4964587p-8, -0x1.7892721692846p-10, -0x1.23958d2e92eaep-7, -0x1.0bd7032476cbfp-6, -0x1.857531c0ab7dap-6, -0x1.fe6f67277b61ep-6, -0x1.3b493dacfdc32p-5, -0x1.76d704d10cafep-5, -0x1.b1ca36b9ac26p-5, -0x1.ec0d5e3fe8018p-5, -0x1.12c62f94a1be7p-4, -0x1.2f1a386ecefd9p-4, -0x1.4afa0c148cad4p-4, -0x1.665d9015671bbp-4, -0x1.813d49474e7c9p-4, -0x1.9b925796f75f1p-4, -0x1.b55671988214ap-4, -0x1.ce83dfe422ca2p-4, -0x1.e715784954f7bp-4, -0x1.ff0698e26f97fp-4, -0x1.0b29918899779p-3, -0x1.167bbb361f8a1p-3, -0x1.217835d248025p-3, -0x1.2c1da7b4982a8p-3, -0x1.366aeea7733aep-3, -0x1.405f1d60519bbp-3, -0x1.49f978fea6febp-3, -0x1.533976933b6d9p-3, -0x1.5c1eb8b1c0b4p-3, -0x1.64a90d0dfc122p-3, -0x1.6cd86a25c383ep-3, -0x1.74acecf8d2fa6p-3, -0x1.7c26d6cf58f34p-3, -0x1.83468b0fe3509p-3, -0x1.8a0c8d254036fp-3, -0x1.90797e74c0052p-3, -0x1.968e1c6526ad4p-3, -0x1.9c4b3e7683daap-3, -0x1.a1b1d46b09a38p-3, -0x1.a6c2e480fb496p-3, -0x1.ab7f89bd9c47ep-3, -0x1.afe8f24908d38p-3, -0x1.b4005ddae0e94p-3, -0x1.b7c71c3781541p-3, -0x1.bb3e8bbd9179dp-3, -0x1.be681803ada65p-3, -0x1.c1453885ca6cdp-3, -0x1.c3d76f620ba4ap-3, -0x1.c6204824b3854p-3, -0x1.c82156a2c4ba4p-3, -0x1.c9dc35e2fb133p-3, -0x1.cb528714b5a89p-3, -0x1.cc85f09469c7ap-3, -0x1.cd781cfd397f5p-3, -0x1.ce2aba473fd99p-3, -0x1.ce9f78f2303d6p-3, -0x1.ced80b3bd9435p-3, -0x1.ced624622250dp-3, -0x1.ce9b77f025db2p-3, -0x1.ce29b915efd0bp-3, -0x1.cd829a0a8d7a4p-3, -0x1.cca7cb77f7331p-3, -0x1.cb9afbf081486p-3, -0x1.ca5dd76d6eda8p-3, -0x1.c8f206d641959p-3, -0x1.c7592f906d6c8p-3, -0x1.c594f3171e871p-3, -0x1.c3a6ee9aa9995p-3, -0x1.c190baa75e82p-3, -0x1.bf53ead35c6f6p-3, -0x1.bcf20d7329167p-3, -0x1.ba6cab54a7964p-3, -0x1.b7c547802fb41p-3, -0x1.b4fd5eff78e84p-3, -0x1.b21668aa103a4p-3, -0x1.af11d4f71531cp-3, -0x1.abf10dd3f85e4p-3, -0x1.a8b5767fffa66p-3, -0x1.a5606b6c4d83ep-3, -0x1.a1f3422034a42p-3, -0x1.9e6f49219350cp-3, -0x1.9ad5c7e10f0b4p-3, -0x1.9727fea9f0253p-3, -0x1.9367269566cc9p-3, -0x1.8f94718111f69p-3, -0x1.8bb10a0895249p-3, -0x1.87be13820ca25p-3, -0x1.83bca9fd36e61p-3, -0x1.7fade2452474p-3, -0x1.7b92c9e453002p-3, -0x1.776c672afc64ep-3, -0x1.733bb9378532fp-3, -0x1.6f01b800d28e2p-3, -0x1.6abf546283d46p-3, -0x1.6675782acef55p-3, -0x1.62250629f6b07p-3, -0x1.5dceda433bef7p-3, -0x1.5973c97f1f23ap-3, -0x1.5514a21ee7f8cp-3, -0x1.50b22bb151f12p-3, -0x1.4c4d2728462a8p-3, -0x1.47e64eef89ab2p-3, -0x1.437e57044f80ap-3, -0x1.3f15ed0d944cap-3, -0x1.3aadb875344bfp-3, -0x1.36465a81a2559p-3, -0x1.31e06e70329fep-3, -0x1.2d7c898fe976ap-3, -0x1.291b3b5cbc4bp-3, -0x1.24bd0d9b2e3dap-3, -0x1.2062847449e5fp-3, -0x1.1c0c1e91d98dap-3, -0x1.17ba553adb3bdp-3, -0x1.136d9c70219cdp-3, -0x1.0f2663091818fp-3, -0x1.0ae512d096c06p-3, -0x1.06aa10a1c7cfp-3, -0x1.0275bc850e114p-3, -0x1.fc90e399c3373p-4, -0x1.f4450e653ea26p-4, -0x1.ec089de67f916p-4, -0x1.e3dc2dd7e254bp-4, -0x1.dbc0516d04dfdp-4, -0x1.d3b5938b5c309p-4, -0x1.cbbc77024b0dap-4, -0x1.c3d576c2d64p-4, -0x1.bc010616d860cp-4, -0x1.b43f90d7a3a2fp-4, -0x1.ac917ba428779p-4, -0x1.a4f72416718dcp-4, -0x1.9d70e0f8833fep-4, -0x1.95ff02789b9ecp-4, -0x1.8ea1d25cb64p-4, -0x1.8759943568922p-4, -0x1.8026858ffb71ep-4, -0x1.7908de27c8561p-4, -0x1.7200d016d3bc6p-4, -0x1.6b0e88059edc3p-4, -0x1.64322d5a2e55fp-4, -0x1.5d6be266430e8p-4, -0x1.56bbc494c1dep-4, -0x1.5021ec964824bp-4, -0x1.499e6e8ce8dd8p-4, -0x1.43315a3716f04p-4, -0x1.3cdabb19b3c9ap-4, -0x1.369a98a945be1p-4, -0x1.3070f6725609fp-4, -0x1.2a5dd440f2374p-4, -0x1.24612e4755d49p-4, -0x1.1e7afd43b7915p-4, -0x1.18ab36a53d435p-4, -0x1.12f1ccb018c5ap-4, -0x1.0d4eaea0c8efep-4, -0x1.07c1c8ce8637ap-4, -0x1.024b04ccd7d08p-4, -0x1.f9d49318a61b2p-5, -0x1.ef3ef6f51495fp-5, -0x1.e4d4f9424ea85p-5, -0x1.da9659886f37ep-5, -0x1.d082d2ff55f53p-5, -0x1.c69a1cc809e33p-5, -0x1.bcdbea248ea44p-5, -0x1.b347eaae26903p-5, -0x1.a9ddca8a0bc7cp-5, -0x1.a09d329caad45p-5, -0x1.9785c8bb5444dp-5, -0x1.8e972fdc7c814p-5, -0x1.85d1084685412p-5, -0x1.7d32efbd142adp-5, -0x1.74bc81ad07d7ap-5, -0x1.6c6d575700b03p-5, -0x1.644507f893ca5p-5, -0x1.5c4328f4249e6p-5, -0x1.54674df768befp-5, -0x1.4cb10920a837fp-5, -0x1.451feb22b17p-5, -0x1.3db3836791c8fp-5, -0x1.366b603218478p-5, -0x1.2f470ebe1f164p-5, -0x1.28461b5fadd69p-5, -0x1.216811a0f5194p-5, -0x1.1aac7c5f2b702p-5, -0x1.1412e5e64ab19p-5, -0x1.0d9ad80bc4feep-5, -0x1.0743dc48237ccp-5, -0x1.010d7bcfa3246p-5, -0x1.f5ee7f5399ba7p-6, -0x1.ea01619035a2dp-6, -0x1.de52b03743ac9p-6, -0x1.d2e17d539e31dp-6, -0x1.c7acdb407eaacp-6, -0x1.bcb3dccf636aap-6, -0x1.b1f5956c3abe3p-6, -0x1.a771193fe93cap-6, -0x1.9d257d51243fdp-6, -0x1.9311d7a3be144p-6, -0x1.89353f565fa5ep-6, -0x1.7f8eccbec9p-6, -0x1.761d99849a086p-6, -0x1.6ce0c0bab187fp-6, -0x1.63d75ef7249e7p-6, -0x1.5b009269f6bc7p-6, -0x1.525b7af26e40bp-6, -0x1.49e73a333375dp-6, -0x1.41a2f3a53b599p-6, -0x1.398dcca980fd2p-6, -0x1.31a6ec99a29b3p-6, -0x1.29ed7cd755b9cp-6, -0x1.2260a8dadf5fcp-6, -0x1.1aff9e4072d18p-6, -0x1.13c98cd49e3bcp-6, -0x1.0cbda69fbd8fp-6, -0x1.05db1ff07d663p-6, -0x1.fe425ecafdb81p-7, -0x1.f11e1bec32fa6p-7, -0x1.e447edf499e17p-7, -0x1.d7be5063cfed8p-7, -0x1.cb7fc395cae34p-7, -0x1.bf8accce1578bp-7, -0x1.b3ddf641ac29ap-7, -0x1.a877cf1f86deep-7, -0x1.9d56eb97ada15p-7, -0x1.9279e4e12f9a2p-7, -0x1.87df593ed0c03p-7, -0x1.7d85ec029e0bp-7, -0x1.736c45905a1a4p-7, -0x1.6991135eeb206p-7, -0x1.5ff307f8a9b2bp-7, -0x1.5690dafadf4fp-7, -0x1.4d6949142fa06p-7, -0x1.447b140242389p-7, -0x1.3bc5028e9a97p-7, -0x1.3345e08a70becp-7, -0x1.2afc7eca01d98p-7, -0x1.22e7b31f078dbp-7, -0x1.1b06585298755p-7, -0x1.13574e1e57d1ap-7, -0x1.0bd97924f9428p-7, -0x1.048bc2ea49c5bp-7, -0x1.fada33954094p-8, -0x1.ecf8e1e39d824p-8, -0x1.df7180a3502e2p-8, -0x1.d242092fdb351p-8, -0x1.c5687e47d9323p-8, -0x1.b8e2ebf756c83p-8, -0x1.acaf678179a6dp-8, -0x1.a0cc0f498fd93p-8, -0x1.95370abb472ffp-8, -0x1.89ee8a3272641p-8, -0x1.7ef0c6e22ab04p-8, -0x1.743c02bb8ceddp-8, -0x1.69ce8853ee753p-8, -0x1.5fa6aacad84b8p-8, -0x1.55c2c5af50b3p-8, -0x1.4c213ce4f8d3p-8, -0x1.42c07c88ee231p-8, -0x1.399ef8d63ea08p-8, -0x1.30bb2e0a66051p-8, -0x1.2813a0495d7f6p-8, -0x1.1fa6db817cfa3p-8, -0x1.1773734f5e13bp-8, -0x1.0f7802e181283p-8, -0x1.07b32cdbf2ecfp-8, -0x1.00239b3bfd4d3p-8, -0x1.f18ffe773ae6ep-9, -0x1.e33e2269f9461p-9, -0x1.d54f210c1911fp-9, -0x1.c7c086e826736p-9, -0x1.ba8fee1e8f03ap-9, -0x1.adbafe2d5d992p-9, -0x1.a13f6bb7ad757p-9, -0x1.951af84d537ddp-9, -0x1.894b72333447fp-9, -0x1.7dceb42b746dep-9, -0x1.72a2a53e40521p-9, -0x1.67c53882e8e3ep-9, -0x1.5d346ce965b99p-9, -0x1.52ee4d03e14bcp-9, -0x1.48f0eed10f4a7p-9, -0x1.3f3a7386d1327p-9, -0x1.35c9075d511a3p-9, -0x1.2c9ae15aa8ac2p-9, -0x1.23ae431f2e323p-9, -0x1.1b0178b1ac3dcp-9, -0x1.1292d84ccd3ep-9, -0x1.0a60c22c9d9bp-9, -0x1.0269a05cd90abp-9, -0x1.f557cd0f5d5b7p-10, -0x1.e64c238a8da8bp-10, -0x1.d7ad50d758ce8p-10, -0x1.c97873be7537ap-10, -0x1.bbaabcc7b7061p-10, -0x1.ae416ddd8843fp-10, -0x1.a139d9f1bbdbcp-10, -0x1.949164a380cb2p-10, -0x1.884581e70b501p-10, -0x1.7c53b5adbe6f2p-10, -0x1.70b9938fde6b7p-10, -0x1.6574be77e6134p-10, -0x1.5a82e84e9933ep-10, -0x1.4fe1d1a8d3c86p-10, -0x1.458f49767181cp-10, -0x1.3b892cb28b94fp-10, -0x1.31cd6614c03f3p-10, -0x1.2859edc3ffdacp-10, -0x1.1f2cc90a832f4p-10, -0x1.16440a0b0184cp-10, -0x1.0d9dcf77429dp-10, -0x1.053844480e618p-10, -0x1.fa233eec646e8p-11, -0x1.ea5047695535bp-11, -0x1.daf43e586c4d3p-11, -0x1.cc0bd66fe0572p-11, -0x1.bd93d84740811p-11, -0x1.af8921d51bfedp-11, -0x1.a1e8a5f02dca3p-11, -0x1.94af6bd2c1a3ep-11, -0x1.87da8e9fea13bp-11, -0x1.7b673ceb69b6p-11, -0x1.6f52b843bac52p-11, -0x1.639a54be9d94p-11, -0x1.583b7887ebc58p-11, -0x1.4d339b728b8dap-11, -0x1.4280468b8aa29p-11, -0x1.381f13afc2d37p-11, -0x1.2e0dad2326a22p-11, -0x1.2449cd2a73ee6p-11, -0x1.1ad13da6d7994p-11, -0x1.11a1d7b3ff1b9p-11, -0x1.08b98347fae1bp-11, -0x1.001636d5041cfp-11, -0x1.ef6beddb75551p-12, -0x1.df2dabd5afbebp-12, -0x1.cf6de725f61ecp-12, -0x1.c028f988938f2p-12, -0x1.b15b5640962c8p-12, -0x1.a30189721fbc6p-12, -0x1.951837815a5fcp-12, -0x1.879c1c7469fbfp-12, -0x1.7a8a0b59888a4p-12, -0x1.6ddeedaf79d5cp-12, -0x1.6197c2d26b6d8p-12, -0x1.55b19f6b3d94ep-12, -0x1.4a29ace37b832p-12, -0x1.3efd28db06aebp-12, -0x1.342964a1dff0cp-12, -0x1.29abc4b49432cp-12, -0x1.1f81c03c93288p-12, -0x1.15a8e091f9973p-12, -0x1.0c1ec0c247b73p-12, -0x1.02e10d17a8269p-12, -0x1.f3db0549cc56dp-13, -0x1.e283dda7bd071p-13, -0x1.d1b85debec3eep-13, -0x1.c1745faee6006p-13, -0x1.b1b3daacd7a35p-13, -0x1.a272e3f54e386p-13, -0x1.93adad2267bf6p-13, -0x1.85608395396e2p-13, -0x1.7787cfb3f2059p-13, -0x1.6a20143002b18p-13, -0x1.5d25ed4fdf8afp-13, -0x1.5096103cea8e6p-13, -0x1.446d4a5586521p-13, -0x1.38a8808537c65p-13, -0x1.2d44ae9e9a88bp-13, -0x1.223ee6baac82p-13, -0x1.1794509db376ap-13, -0x1.0d42291ccea04p-13, -0x1.0345c18a0f1ddp-13, -0x1.f338fe4702c6fp-14, -0x1.e087b50b4288fp-14, -0x1.ce72be44b8d63p-14, -0x1.bcf55575577e5p-14, -0x1.ac0ad9b8f4c19p-14, -0x1.9baeccc4ac968p-14, -0x1.8bdcd1f17d64cp-14, -0x1.7c90ad4acc023p-14, -0x1.6dc642a2ffbbfp-14, -0x1.5f7994ae5a72ep-14, -0x1.51a6c42553c1dp-14, -0x1.444a0eeb4a2f2p-14, -0x1.375fcf3b71875p-14, -0x1.2ae47add3747dp-14, -0x1.1ed4a259c011p-14, -0x1.132cf03aad8ccp-14, -0x1.07ea284c4d225p-14, -0x1.fa124dcd28399p-15, -0x1.e50dc071e7919p-15, -0x1.d0c0bf375561dp-15, -0x1.bd258dcead967p-15, -0x1.aa369b9caf0a6p-15, -0x1.97ee8278ebf45p-15, -0x1.8648057b69023p-15, -0x1.753e0fc47298cp-15, -0x1.64cbb35a4288ep-15, -0x1.54ec2807a369bp-15, -0x1.459aca457f6c4p-15, -0x1.36d31a2b4238bp-15, -0x1.2890ba6693224p-15, -0x1.1acf6f3b3bea4p-15, -0x1.0d8b1d87c1c98p-15, -0x1.00bfc9d3136adp-15, -0x1.e8d32ec4b4e1ep-16, -0x1.d1098ea60254dp-16, -0x1.ba1b6f76a40b7p-16, -0x1.a401c5a1ee72bp-16, -0x1.8eb5bc30b1306p-16, -0x1.7a30b32cf28aap-16, -0x1.666c3e13e60aap-16, -0x1.5362225a7f924p-16, -0x1.410c55ed5990cp-16, -0x1.2f64fdc7bc311p-16, -0x1.1e666c8ee3288p-16, -0x1.0e0b213dd9e07p-16, -0x1.fc9b8ba9e27b2p-17, -0x1.de525c2933264p-17, -0x1.c130ac84a07ebp-17, -0x1.a52cc3e934a6p-17, -0x1.8a3d35d4043b1p-17, -0x1.7058dfcc1a214p-17, -0x1.5776e74098c47p-17, -0x1.3f8eb754084c7p-17, -0x1.2897fed1a3a8dp-17, -0x1.128aae2ab6a41p-17, -0x1.fabdeb0af217bp-18, -0x1.d21a85a8db77ep-18, -0x1.ab1c8004833b7p-18, -0x1.85b5a24f7ef05p-18, -0x1.61d8259fb835ep-18, -0x1.3f76b0856583dp-18, -0x1.1e8453cd0d5c6p-18, -0x1.fde90ec6746c3p-19, -0x1.c1764e5e00e8fp-19, -0x1.8798e022356cbp-19, -0x1.5039fa0ad4d9dp-19, -0x1.1b43889d0d451p-19, -0x1.d14052dcfbd69p-20, -0x1.70764bab849ddp-20, -0x1.1400db9df79f6p-20, -0x1.77724bdc1ae31p-21, -0x1.9de61ce0a4d9ep-22, -0x1.71d8c174ede28p-24, 0x1.abf0be97a599dp-23, 0x1.f9ee4b84aedffp-22, 0x1.87f7fbfd8e763p-21, 0x1.061f6511e3484p-20, 0x1.4504cefbc23f8p-20, 0x1.80ca45a1ecd2fp-20, 0x1.b98cdd769fabep-20, 0x1.ef68bd07b1b1dp-20, 0x1.113c91f20c4c2p-19, 0x1.296c38ebe88e2p-19, 0x1.405016d9dd637p-19, 0x1.55f485e35de28p-19, 0x1.6a657a2535002p-19, 0x1.7dae84cb6b244p-19, 0x1.8fdad70a45a64p-19, 0x1.a0f5450d3c6d8p-19, 0x1.b10848c461b9dp-19, 0x1.c01e04ac0acbcp-19, 0x1.ce40467b096c7p-19, 0x1.db7889ae9bb14p-19, 0x1.e7cffa0622596p-19, 0x1.f34f75f7b4f07p-19, 0x1.fdff910d6b9c6p-19, 0x1.03f44b153967ep-18, 0x1.088944e6240f4p-18, 0x1.0cc29613738dep-18, 0x1.10a3fda32431ap-18, 0x1.14311a8541b72p-18, 0x1.176d6c8dad2d8p-18, 0x1.1a5c556efc74cp-18, 0x1.1d0119a533a51p-18, 0x1.1f5ee15da1344p-18, 0x1.2178b9530ee2cp-18, 0x1.235193a48033cp-18, 0x1.24ec48a78b10ap-18, 0x1.264b97b55df61p-18, 0x1.277227f057cebp-18, 0x1.28628901a6d85p-18, 0x1.291f33d7ed896p-18, 0x1.29aa8b56f782dp-18, 0x1.2a06dd079d7cep-18, 0x1.2a3661bc85bdfp-18, 0x1.2a3b3e4017b1ep-18, 0x1.2a1783ef4462fp-18, 0x1.29cd3155ca8bdp-18, 0x1.295e32c439d47p-18, 0x1.28cc62e08f21ap-18, 0x1.28198b331b75cp-18, 0x1.274764b0b06fep-18, 0x1.265798406740dp-18, 0x1.254bbf39e3f99p-18, 0x1.242563e855703p-18, 0x1.22e601ffd8259p-18, 0x1.218f071489842p-18, 0x1.2021d3098ad04p-18, 0x1.1e9fb883b85fap-18, 0x1.1d09fd550e2a3p-18, 0x1.1b61dae3900bbp-18, 0x1.19a87e90ac3b4p-18, 0x1.17df0a1a94449p-18, 0x1.160693f9b0273p-18, 0x1.142027bff5afbp-18, 0x1.122cc66f5678ap-18, 0x1.102d66d24326p-18, 0x1.0e22f5d1e6184p-18, 0x1.0c0e56c6e679ep-18, 0x1.09f063c8f2dbep-18, 0x1.07c9edfb120acp-18, 0x1.059bbdd663892p-18, 0x1.036693732ed49p-18, 0x1.012b26ceff36dp-18, 0x1.fdd4502153001p-19, 0x1.f9487f987159bp-19, 0x1.f4b41e846ea94p-19, 0x1.f018613896c83p-19, 0x1.eb766e59e10f6p-19, 0x1.e6cf5f49df4f3p-19, 0x1.e22440a2da98fp-19, 0x1.dd7612a13bf35p-19, 0x1.d8c5c990716afp-19, 0x1.d4144e33588e9p-19, 0x1.cf627e254abd9p-19, 0x1.cab12c3ea25cdp-19, 0x1.c60120f2f8ep-19, 0x1.c1531aaa3c26cp-19, 0x1.bca7ce1e4713bp-19, 0x1.b7ffe6b0829f9p-19, 0x1.b35c06ba5069fp-19, 0x1.aebcc7e173ee8p-19, 0x1.aa22bb667b757p-19, 0x1.a58e6a6f057bap-19, 0x1.a1005651dac36p-19, 0x1.9c78f8df21f7fp-19, 0x1.97f8c4a4d00cap-19, 0x1.9380253270dbep-19, 0x1.8f0f7f5a3a4bp-19, 0x1.8aa73172bfaf2p-19, 0x1.86479391b2d13p-19, 0x1.81f0f7c8582b9p-19, 0x1.7da3aa5e46c67p-19, 0x1.795ff20a8873bp-19, 0x1.75261026c6743p-19, 0x1.70f640e412dccp-19, 0x1.6cd0bb830e0ebp-19, 0x1.68b5b27e3b9aep-19, 0x1.64a553c01280bp-19, 0x1.609fc8ce75c1p-19, 0x1.5ca536f8de63fp-19, 0x1.58b5bf830d2b1p-19, 0x1.54d17fcd1d433p-19, 0x1.50f8917fb394ep-19, 0x1.4d2b0ab3e9af8p-19, 0x1.4968fe17152bfp-19, 0x1.45b27b1274e9cp-19, 0x1.42078dee6169p-19, 0x1.3e683ff5fb637p-19, 0x1.3ad497951d92ep-19, 0x1.374c987b9f7d7p-19, 0x1.33d043bebaf34p-19, 0x1.305f97f462dd7p-19, 0x1.2cfa91544b58ap-19, 0x1.29a129d2852adp-19, 0x1.2653593c4bd93p-19, 0x1.23111551b39d9p-19, 0x1.1fda51dc96ecap-19, 0x1.1caf00ced7c8fp-19, 0x1.198f125875b1p-19, 0x1.167a74ffb79ecp-19, 0x1.137115b7713a5p-19, 0x1.1072dff5526c9p-19, 0x1.0d7fbdc7c843ap-19, 0x1.0a9797e7299d9p-19, 0x1.07ba55ca863b3p-19, 0x1.04e7ddbe51675p-19, 0x1.022014f1c0fd4p-19, 0x1.fec5bf18c7dfap-20, 0x1.f960417defd15p-20, 0x1.f40f75a61d0fap-20, 0x1.eed31e78a9255p-20, 0x1.e9aafd45469e7p-20, 0x1.e496d1eae6d06p-20, 0x1.df965af5b3b28p-20, 0x1.daa955b5dacddp-20, 0x1.d5cf7e5ebf864p-20, 0x1.d108901e97df8p-20, 0x1.cc54453783699p-20, 0x1.c7b25716e89c5p-20, 0x1.c3227e6755f0cp-20, 0x1.bea4732d7cedap-20, 0x1.ba37ecdc4ccbbp-20, 0x1.b5dca26464fb1p-20, 0x1.b1924a4df8219p-20, 0x1.ad589ac88ab75p-20, 0x1.a92f49bf8b56bp-20, 0x1.a5160ce9984a5p-20, 0x1.a10c99d1c7b97p-20, 0x1.9d12a5f057f84p-20, 0x1.9927e6b99b295p-20, 0x1.954c11aa1dd22p-20, 0x1.917edc55f47c5p-20, 0x1.8dbffc762891p-20, 0x1.8a0f27f4c342ap-20, 0x1.866c14fb4ccddp-20, 0x1.82d679f5dd9d7p-20, 0x1.7f4e0da822f97p-20, 0x1.7bd287350f10cp-20, 0x1.78639e264f5d2p-20, 0x1.75010a779cc69p-20, 0x1.71aa84a140dd2p-20, 0x1.6e5fc5a09c53cp-20, 0x1.6b208700d5d57p-20, 0x1.67ec82dd994d7p-20, 0x1.64c373ec55b2cp-20, 0x1.61a51585b351fp-20, 0x1.5e9123ab3d06p-20, 0x1.5b875b0ff7fe9p-20, 0x1.5887791a18b51p-20, 0x1.55913bebaf736p-20, 0x1.52a462655f8a2p-20, 0x1.4fc0ac2e22f3dp-20, 0x1.4ce5d9b0aecap-20, 0x1.4a13ac2792ef5p-20, 0x1.4749e59fc0dap-20, 0x1.448848f8d683dp-20, 0x1.41ce99e947b73p-20, 0x1.3f1c9d040e32fp-20, 0x1.3c7217bb1f28dp-20, 0x1.39ced05fde888p-20, 0x1.37328e24c3d0ap-20, 0x1.349d19204774bp-20, 0x1.320e3a4ec153ap-20, 0x1.2f85bb93bf22ap-20, 0x1.2d0367bf60674p-20, 0x1.2a870a8b6474ap-20, 0x1.2810709c21252p-20, 0x1.259f6781e9695p-20, 0x1.2333bdbd83d39p-20, 0x1.20cd42b7cd9e7p-20, 0x1.1e6bc6c944aa3p-20, 0x1.1c0f1b37e99d6p-20, 0x1.19b7123a81748p-20, 0x1.17637ef11ba9p-20, 0x1.1514356a63ca7p-20, 0x1.12c90aa33f7f2p-20, 0x1.1081d4853c25ap-20, 0x1.0e3e69e4399dcp-20, 0x1.0bfea27e4cc55p-20, 0x1.09c256fb8f9f1p-20, 0x1.078960eb79372p-20, 0x1.05539ac59868ep-20, 0x1.0320dfe98d87ap-20, 0x1.00f10c9b9228fp-20, 0x1.fd87fc05149d5p-21, 0x1.f933244c521bcp-21, 0x1.f4e34fe3f0f28p-21, 0x1.f0983e5824c29p-21, 0x1.ec51b0f1c2597p-21, 0x1.e80f6aae65eb1p-21, 0x1.e3d1304119c82p-21, 0x1.df96c8094ad76p-21, 0x1.db5ffa0ccabc7p-21, 0x1.d72c8ffc5175p-21, 0x1.d2fc5529dfdc3p-21, 0x1.cecf1681203adp-21, 0x1.caa4a28a35b41p-21, 0x1.c67cc95e7b94dp-21, 0x1.c2575ca65e75dp-21, 0x1.be342f94c7407p-21, 0x1.ba1316e3cc79ep-21, 0x1.b5f3e8d00a9a7p-21, 0x1.b1d67d10150a4p-21, 0x1.adbaacd028a14p-21, 0x1.a9a052b23a2dap-21, 0x1.a5874ac27af73p-21, 0x1.a16f72742c2acp-21, 0x1.9d58a89cdd5e4p-21, 0x1.9942cd7291196p-21, 0x1.952dc27f80943p-21, 0x1.91196aa3785b8p-21, 0x1.8d05aa0861ab8p-21, 0x1.88f26624cad6fp-21, 0x1.84df85adebeb1p-21, 0x1.80ccf09791029p-21, 0x1.7cba900ebe86fp-21, 0x1.78a84e7305f13p-21, 0x1.7496174f51ce5p-21, 0x1.7083d7588c903p-21, 0x1.6c717c6526fc2p-21, 0x1.685ef56a9b862p-21, 0x1.644c3273a53f9p-21, 0x1.6039249eb3edap-21, 0x1.5c25be1939ffap-21, 0x1.5811f21771f13p-21, 0x1.53fdb4cfb6a14p-21, 0x1.4fe8fb751596ap-21, 0x1.4bd3bc35c828fp-21, 0x1.47bdee321ad53p-21, 0x1.43a7897558279p-21, 0x1.3f9086f6418f7p-21, 0x1.3b78e08f98851p-21, 0x1.376090fa712a1p-21, 0x1.334793c4f77d6p-21, 0x1.2f2de555db93dp-21, 0x1.2b1382e2dbc3fp-21, 0x1.26f86a6caf698p-21, 0x1.22dc9ab7e3beap-21, 0x1.1ec0134b2ef91p-21, 0x1.1aa2d46906876p-21, 0x1.1684df0a23bb1p-21, 0x1.126634d9209b6p-21, 0x1.0e46d82c5ab0ap-21, 0x1.0a26cc08c782ep-21, 0x1.06061414078ap-21, 0x1.01e4b493b815ep-21, 0x1.fb8564d0bbc79p-22, 0x1.f3402615495ep-22, 0x1.eaf9b90c88fp-22, 0x1.e2b22ae28850ep-22, 0x1.da6989dc2622bp-22, 0x1.d21fe54b91bbfp-22, 0x1.c9d54d85be178p-22, 0x1.c189d3ce66163p-22, 0x1.b93d8a64535bep-22, 0x1.b0f0846cb0185p-22, 0x1.a8a2d5f262645p-22, 0x1.a05493dc4fa37p-22, 0x1.9805d3de1d2fcp-22, 0x1.8fb6ac79808abp-22, 0x1.876734f131466p-22, 0x1.7f1785412f11ep-22, 0x1.76c7b61a4ccadp-22, 0x1.6e77e0d879686p-22, 0x1.66281f82dd7eep-22, 0x1.5dd88cbef2842p-22, 0x1.558943c5a06dep-22, 0x1.4d3a60639bc5bp-22, 0x1.44ebfeef92e87p-22, 0x1.3c9e3c42eb0e1p-22, 0x1.345135b19a6b9p-22, 0x1.2c050909dd7dbp-22, 0x1.23b9d48dc5e56p-22, 0x1.1b6fb6e7947d1p-22, 0x1.1326cf1fc6c61p-22, 0x1.0adf3c9febddbp-22, 0x1.02991f2896b4ep-22, 0x1.f4a92da29bd86p-23, 0x1.e4238806618bep-23, 0x1.d3a18ed66ff18p-23, 0x1.c32383ea8c2adp-23, 0x1.b2a9a99ec87e5p-23, 0x1.a23442b305c86p-23, 0x1.91c3924d12bcfp-23, 0x1.8157dbf1d0b23p-23, 0x1.70f1637a02d91p-23, 0x1.60906d030a4c3p-23, 0x1.50353cf3e0bb1p-23, 0x1.3fe017d9cd331p-23, 0x1.2f91427d60bcdp-23, 0x1.1f4901bed385ap-23, 0x1.0f079a9d0a825p-23, 0x1.fd9aa43e5cfe3p-24, 0x1.dd34dad41502cp-24, 0x1.bcde6348dfd24p-24, 0x1.9c97c7c6f391dp-24, 0x1.7c61925fc67f9p-24, 0x1.5c3c4d00ec5f2p-24, 0x1.3c288147ad314p-24, 0x1.1c26b8a35383cp-24, 0x1.f86ef8aa7beedp-25, 0x1.b8b6aa2e1f904p-25, 0x1.7925967395fp-25, 0x1.39bccd113f7p-25, 0x1.f4fab93f6b307p-26, 0x1.76d0a4ed0be5bp-26, 0x1.f1faeae14c026p-27, 0x1.ee0d01d9ab9f9p-28, -0x1.9be7352d1a3b8p-34, -0x1.f977c6e597064p-28, -0x1.f581a4c226e4ep-27, -0x1.76c27fdba8e65p-26, -0x1.f260f4681e885p-26, -0x1.36cd16e8adf07p-25, }}, 
      {{-0x1.7782803960506p-2, -0x1.77b20c2932727p-2, -0x1.77f755652f207p-2, -0x1.78566822727dp-2, -0x1.78dcec1e83e6cp-2, -0x1.799d0fadd3c83p-2, -0x1.7aa8bc1c171ddp-2, -0x1.7c0e3b935c1d9p-2, -0x1.7dd670098ea5p-2, -0x1.80044e4ad5bbep-2, -0x1.8295361d2248bp-2, -0x1.8581cb6a24f18p-2, -0x1.88bf0ad0b1819p-2, -0x1.8c3f6a32fff2fp-2, -0x1.8ff3e7bf1f76dp-2, -0x1.93ccf703389f9p-2, -0x1.97bb449a9f272p-2, -0x1.9bb04edfd4ba1p-2, -0x1.9f9ed5b1cfc4ap-2, -0x1.a37b256e703e6p-2, -0x1.a73b424865523p-2, -0x1.aad6f96f73f87p-2, -0x1.ae47dd5fcc056p-2, -0x1.b189324561babp-2, -0x1.b497ced2c9531p-2, -0x1.b771f54d76c19p-2, -0x1.ba1727f21b7dp-2, -0x1.bc87fb3c32abep-2, -0x1.bec5e8116245ep-2, -0x1.c0d31f56bc397p-2, -0x1.c2b2600c574fap-2, -0x1.c466d0b2e5a41p-2, -0x1.c5f3dc75d0e1bp-2, -0x1.c75d1459a2b06p-2, -0x1.c8a6148060c3dp-2, -0x1.c9d26d725bcf8p-2, -0x1.cae5913ff49a3p-2, -0x1.cbe2c43eb684ap-2, -0x1.cccd1118265cfp-2, -0x1.cda73fd9b3fb3p-2, -0x1.ce73cfb25419ep-2, -0x1.cf34f30a40641p-2, -0x1.cfec8da3b86f2p-2, -0x1.d09c34777b72ap-2, -0x1.d1452f04bf99fp-2, -0x1.d1e879d21ffp-2, -0x1.d286c9e309882p-2, -0x1.d32090eb690f4p-2, -0x1.d3b60211709b2p-2, -0x1.d44717133d84ap-2, -0x1.d4d395abc6e71p-2, -0x1.d55b1517ad93cp-2, -0x1.d5dd039f6b4a9p-2, -0x1.d658ac10bfa77p-2, -0x1.d6cd3b1533ca2p-2, -0x1.d739c4572560ep-2, -0x1.d79d4769e396cp-2, -0x1.d7f6b46c3c509p-2, -0x1.d844f05f3632bp-2, -0x1.d886d92ccf8b5p-2, -0x1.d8bb495c5ad8cp-2, -0x1.d8e11b73966b1p-2, -0x1.d8f72d04e053fp-2, -0x1.d8fc616be368ep-2, -0x1.d8efa43afecd9p-2, -0x1.d8cfeb5c4b56fp-2, -0x1.d89c38e9a3d48p-2, -0x1.d8539cbf7ca82p-2, -0x1.d7f535ce974b7p-2, -0x1.d7803330c7481p-2, -0x1.d6f3d50523194p-2, -0x1.d64f6d17e8859p-2, -0x1.d5925f5a6ee68p-2, -0x1.d4bc222f579ep-2, -0x1.d3cc3e8f14c59p-2, -0x1.d2c25008c1911p-2, -0x1.d19e04a30c0a7p-2, -0x1.d05f1ca0cc2f9p-2, -0x1.cf056a2cad7ecp-2, -0x1.cd90d0ef18969p-2, -0x1.cc0145915f715p-2, -0x1.ca56cd30e787ap-2, -0x1.c8917cc4ed78cp-2, -0x1.c6b1787937eaep-2, -0x1.c4b6f2ffe58dp-2, -0x1.c2a22cdc55482p-2, -0x1.c07373a8ebdcbp-2, -0x1.be2b21595fc6ap-2, -0x1.bbc99b7af7909p-2, -0x1.b94f52740f6eep-2, -0x1.b6bcc0c40c5dcp-2, -0x1.b4126a44c352ap-2, -0x1.b150db6e3a851p-2, -0x1.ae78a89d8d5c5p-2, -0x1.ab8a6d5fa19c2p-2, -0x1.a886cbc03f63ap-2, -0x1.a56e6b9e0b18cp-2, -0x1.a241fa03c3c52p-2, -0x1.9f02288724721p-2, -0x1.9bafacad9dbc5p-2, -0x1.984b3f572b595p-2, -0x1.94d59c2f59595p-2, -0x1.914f8124a43fbp-2, -0x1.8db9ade62ffc8p-2, -0x1.8a14e367ea024p-2, -0x1.8661e36d02acfp-2, -0x1.82a17018bfbdap-2, -0x1.7ed44b85852b3p-2, -0x1.7afb37620bed2p-2, -0x1.7716f4949892cp-2, -0x1.732842e41ddc5p-2, -0x1.6f2fe0a71a83ep-2, -0x1.6b2e8a7810c9cp-2, -0x1.6724faef6996bp-2, -0x1.6313ea629656ap-2, -0x1.5efc0ea84835ep-2, -0x1.5ade1ae18393p-2, -0x1.56babf476c76bp-2, -0x1.5292a8fd91934p-2, -0x1.4e6681e88b925p-2, -0x1.4a36f088bbeb4p-2, -0x1.460497d9033b5p-2, -0x1.41d0173135127p-2, -0x1.3d9a0a2c26052p-2, -0x1.396308911d7aap-2, -0x1.352ba6408482fp-2, -0x1.30f47323a1c4fp-2, -0x1.2cbdfb1f3aeecp-2, -0x1.2888c608f2c2bp-2, -0x1.2455579f36729p-2, -0x1.20242f839aa03p-2, -0x1.1bf5c9377ce83p-2, -0x1.17ca9c1ac9dcfp-2, -0x1.13a31b6cbd383p-2, -0x1.0f7fb64e85d6p-2, -0x1.0b60d7c7a2cf7p-2, -0x1.0746e6cbddff8p-2, -0x1.03324642c98f8p-2, -0x1.fe46aa213e3cp-3, -0x1.f634dc40cdfbp-3, -0x1.ee2fd0de9c125p-3, -0x1.e6382e32211abp-3, -0x1.de4e92cac2642p-3, -0x1.d67395ac75815p-3, -0x1.cea7c66dfa339p-3, -0x1.c6ebad5894bb1p-3, -0x1.bf3fcb891d707p-3, -0x1.b7a49b123628fp-3, -0x1.b01a8f1f8e856p-3, -0x1.a8a2141a13fep-3, -0x1.a13b8fcce7d75p-3, -0x1.99e7618b05038p-3, -0x1.92a5e2557725ap-3, -0x1.8b77650204d09p-3, -0x1.845c36623d2a3p-3, -0x1.7d549d6ac94a3p-3, -0x1.7660db5af09cfp-3, -0x1.6f812be4388afp-3, -0x1.68b5c55210713p-3, -0x1.61fed8b175ae2p-3, -0x1.5b5c91f878e67p-3, -0x1.54cf182da8e51p-3, -0x1.4e568d8f38e0ap-3, -0x1.47f30fb9ee74p-3, -0x1.41a4b7cfb7a1fp-3, -0x1.3b6b9a9dee293p-3, -0x1.3547c8c32c04p-3, -0x1.2f394ed4bba15p-3, -0x1.2940358386d06p-3, -0x1.235c81c08d2abp-3, -0x1.1d8e34e0cbfecp-3, -0x1.17d54cc0a5cebp-3, -0x1.1231c3e6a6334p-3, -0x1.0ca391a5bac47p-3, -0x1.072aaa3ec8669p-3, -0x1.01c6ff01a3245p-3, -0x1.f8f0fcdab505p-4, -0x1.ee7e289fd446p-4, -0x1.e43553ca66e4cp-4, -0x1.da164beaa3eeep-4, -0x1.d020d9e489fc4p-4, -0x1.c654c229c115p-4, -0x1.bcb1c4f22c94ap-4, -0x1.b3379e730f223p-4, -0x1.a9e60714db21ap-4, -0x1.a0bcb3a791b47p-4, -0x1.97bb5595cd52dp-4, -0x1.8ee19b166176dp-4, -0x1.862f2f5ca30e7p-4, -0x1.7da3bac75115bp-4, -0x1.753ee30e2543cp-4, -0x1.6d004b6e0b8eap-4, -0x1.64e794d406dc3p-4, -0x1.5cf45e06c5dd7p-4, -0x1.552643ceeb3e4p-4, -0x1.4d7ce11e0c281p-4, -0x1.45f7cf346e0fdp-4, -0x1.3e96a5c581b2ep-4, -0x1.3758fb1b26b24p-4, -0x1.303e6437b7f9p-4, -0x1.294674f6e8249p-4, -0x1.2270c02d73362p-4, -0x1.1bbcd7c7ab2d8p-4, -0x1.152a4ce6e39a7p-4, -0x1.0eb8affdc3b42p-4, -0x1.086790eb8302cp-4, -0x1.02367f16182c1p-4, -0x1.f84a1306b8b24p-5, -0x1.ec657de25d49cp-5, -0x1.e0be5bd92e17ap-5, -0x1.d553c9cfe6d78p-5, -0x1.ca24e4a064e3ap-5, -0x1.bf30c9424701p-5, -0x1.b47694f1bd703p-5, -0x1.a9f565549e51ep-5, -0x1.9fac589dc3a55p-5, -0x1.959a8daebf8bbp-5, -0x1.8bbf2437f2c72p-5, -0x1.82193cd715fe4p-5, -0x1.78a7f93434b5ep-5, -0x1.6f6a7c1d3249p-5, -0x1.665fe99fdb53fp-5, -0x1.5d876722941d2p-5, -0x1.54e01b7ba7807p-5, -0x1.4c692f074b781p-5, -0x1.4421cbbc5a363p-5, -0x1.3c091d3fd21aap-5, -0x1.341e50f7249b7p-5, -0x1.2c6096195a1dp-5, -0x1.24cf1dbf1ec6dp-5, -0x1.1d691af1b1a57p-5, -0x1.162dc2b8d07ep-5, -0x1.0f1c4c27a0ac8p-5, -0x1.0833f06898915p-5, -0x1.0173eac8855b1p-5, -0x1.f5b6f181388f6p-6, -0x1.e8d3b3ff6ec4dp-6, -0x1.dc3ca0e56f85ap-6, -0x1.cff040982d9aap-6, -0x1.c3ed20156eb07p-6, -0x1.b831d0ffe4f93p-6, -0x1.acbce9a9df1c8p-6, -0x1.a18d051e96e6dp-6, -0x1.96a0c32a3104ap-6, -0x1.8bf6c860741e1p-6, -0x1.818dbe22515cbp-6, -0x1.776452a23b8b1p-6, -0x1.6d7938e7683f1p-6, -0x1.63cb28d00164dp-6, -0x1.5a58df12504ffp-6, -0x1.51211d3cf3ea8p-6, -0x1.4822a9b6241ebp-6, -0x1.3f5c4fba24411p-6, -0x1.36ccdf58cdf84p-6, -0x1.2e732d7259381p-6, -0x1.264e13b35fe8dp-6, -0x1.1e5c70902f861p-6, -0x1.169d273f61abap-6, -0x1.0f0f1fb3dca36p-6, -0x1.07b146962c78cp-6, -0x1.00828d3d53885p-6, -0x1.f303d34e08f1bp-7, -0x1.e55cacdec4eddp-7, -0x1.d80da5908425ap-7, -0x1.cb14c4dff8b02p-7, -0x1.be701b4f8c16dp-7, -0x1.b21dc25375d23p-7, -0x1.a61bdc3ce11e2p-7, -0x1.9a68942486104p-7, -0x1.8f021dd4915bp-7, -0x1.83e6b5b1ee6fcp-7, -0x1.7914a0a522729p-7, -0x1.6e8a2c027b7aap-7, -0x1.6445ad71f26b3p-7, -0x1.5a4582d68e22p-7, -0x1.508812355e80cp-7, -0x1.470bc99c37fdep-7, -0x1.3dcf1f080a4c2p-7, -0x1.34d0904afe029p-7, -0x1.2c0ea2f24a5a6p-7, -0x1.2387e42be0234p-7, -0x1.1b3ae8abe83f2p-7, -0x1.13264c9212d4p-7, -0x1.0b48b34ec8a7cp-7, -0x1.03a0c7884c4ccp-7, -0x1.f85a75ff8992cp-8, -0x1.e9d98cec7ec54p-8, -0x1.dbbc53234e3f3p-8, -0x1.ce00558377c35p-8, -0x1.c0a32e4a2a552p-8, -0x1.b3a284dc57906p-8, -0x1.a6fc0d90e90f8p-8, -0x1.9aad897b0d767p-8, -0x1.8eb4c634ce651p-8, -0x1.830f9da9bd7dfp-8, -0x1.77bbf5e20bd2bp-8, -0x1.6cb7c0cdd4d35p-8, -0x1.6200fc109fd86p-8, -0x1.5795b0cd579d6p-8, -0x1.4d73f3728861dp-8, -0x1.4399e38714421p-8, -0x1.3a05ab774593dp-8, -0x1.30b58062317abp-8, -0x1.27a7a1e7a97a4p-8, -0x1.1eda59f69de71p-8, -0x1.164bfc9be36c2p-8, -0x1.0dfae7d19fc22p-8, -0x1.05e5834f03874p-8, -0x1.fc1480b13f7c1p-9, -0x1.eccf3322831fep-9, -0x1.ddf82596a2766p-9, -0x1.cf8c71b59b903p-9, -0x1.c18942cf757bfp-9, -0x1.b3ebd58254b04p-9, -0x1.a6b17761b2812p-9, -0x1.99d7869eae9fp-9, -0x1.8d5b71b19484dp-9, -0x1.813ab704b60bfp-9, -0x1.7572e4a0152acp-9, -0x1.6a0197d670eb2p-9, -0x1.5ee47cf38da25p-9, -0x1.54194eeb8da03p-9, -0x1.499dd70bb107ap-9, -0x1.3f6fecac10bb2p-9, -0x1.358d74e2a29bfp-9, -0x1.2bf4623766764p-9, -0x1.22a2b459cebe5p-9, -0x1.199677d758bb2p-9, -0x1.10cdc5d374c61p-9, -0x1.0846c3c06eafp-9, -0x1.ffff463311defp-10, -0x1.efed423cd103cp-10, -0x1.e0540d1f26e3cp-10, -0x1.d1304ed828502p-10, -0x1.c27ec560f019dp-10, -0x1.b43c442d927e2p-10, -0x1.a665b3af179d9p-10, -0x1.98f810d8684cep-10, -0x1.8bf06ca4e6bep-10, -0x1.7f4beba19aef6p-10, -0x1.7307c5787eeb6p-10, -0x1.6721447e0ffdbp-10, -0x1.5b95c540ce2eap-10, -0x1.5062b61b04159p-10, -0x1.458596c6cce0ep-10, -0x1.3afbf7f411a51p-10, -0x1.30c37ae0af7dp-10, -0x1.26d9d0f2dbdf4p-10, -0x1.1d3cbb54f13d9p-10, -0x1.13ea0a93fd94cp-10, -0x1.0adf9e3fd56bdp-10, -0x1.021b648d35123p-10, -0x1.f336b3f3cca21p-11, -0x1.e2bb11e5b1c5ap-11, -0x1.d2c012f804765p-11, -0x1.c34201b3dd55p-11, -0x1.b43d427aebd6ap-11, -0x1.a5ae52e20d9f9p-11, -0x1.9791c90fab706p-11, -0x1.89e4531d5fcc3p-11, -0x1.7ca2b67d7f90dp-11, -0x1.6fc9cf636f147p-11, -0x1.6356902f69f83p-11, -0x1.574600ddf71aep-11, -0x1.4b953e7a0cb24p-11, -0x1.40417a92e41eep-11, -0x1.3547fab4a66ecp-11, -0x1.2aa617e418102p-11, -0x1.20593e1d62547p-11, -0x1.165eebd5e150ep-11, -0x1.0cb4b180a052ap-11, -0x1.03583115d13b2p-11, -0x1.f48e3b3a3c3e3p-12, -0x1.e2fe7575b99f5p-12, -0x1.d1fcb87f4f1b4p-12, -0x1.c184cb7560f12p-12, -0x1.b192941d73c44p-12, -0x1.a222161323098p-12, -0x1.932f71fc9d961p-12, -0x1.84b6e4c2db98p-12, -0x1.76b4c6cfd5a28p-12, -0x1.69258b50f57e4p-12, -0x1.5c05bf7e2f13dp-12, -0x1.4f5209e551c05p-12, -0x1.430729ba126d7p-12, -0x1.3721f62a6fdb6p-12, -0x1.2b9f5db768188p-12, -0x1.207c6591b8742p-12, -0x1.15b628fa76606p-12, -0x1.0b49d8a84853cp-12, -0x1.0134ba2fdeee4p-12, -0x1.eee84ee118d34p-13, -0x1.dc0b1c08b4e6cp-13, -0x1.c9ccdd689edfp-13, -0x1.b828b9df7f816p-13, -0x1.a719fc8ee5322p-13, -0x1.969c13d806e95p-13, -0x1.86aa905f83154p-13, -0x1.7741241736892p-13, -0x1.685ba14ec57d6p-13, -0x1.59f5f9cad13a9p-13, -0x1.4c0c3de0fa597p-13, -0x1.3e9a9b9b6f0dfp-13, -0x1.319d5de16bdc3p-13, -0x1.2510eba5bdd45p-13, -0x1.18f1c71a540b1p-13, -0x1.0d3c8ce9cfe5bp-13, -0x1.01edf375d9dfcp-13, -0x1.ee0594375492p-14, -0x1.d8eff0f87e874p-14, -0x1.c494fb94eb552p-14, -0x1.b0eee03b04ec6p-14, -0x1.9df7f7917af48p-14, -0x1.8baac56dc8521p-14, -0x1.7a01f7969fa11p-14, -0x1.68f8648babbcdp-14, -0x1.58890a582c145p-14, -0x1.48af0d6e1123p-14, -0x1.3965b787c7eb1p-14, -0x1.2aa87691f5d23p-14, -0x1.1c72db9ed8494p-14, -0x1.0ec099de59fa1p-14, -0x1.018d859f9aee6p-14, -0x1.e9ab26b35e048p-15, -0x1.d129ad71473a9p-15, -0x1.b98f03688fadp-15, -0x1.a2d3c7589fb37p-15, -0x1.8cf0d1165bf24p-15, -0x1.77df2fdcb1501p-15, -0x1.639828ac26a1ap-15, -0x1.501534b35ff6fp-15, -0x1.3d4fffc4689adp-15, -0x1.2b4266d7e3a1cp-15, -0x1.19e67695f229fp-15, -0x1.093669ed1510ep-15, -0x1.f25951674dd11p-16, -0x1.d3878ca338d57p-16, -0x1.b5ed00ec6a7e8p-16, -0x1.997f7bab278c4p-16, -0x1.7e3519e152cb6p-16, -0x1.640445c7fd0ebp-16, -0x1.4ae3b486ba083p-16, -0x1.32ca63f65ce84p-16, -0x1.1baf98741f62dp-16, -0x1.058adac5e00b3p-16, -0x1.e0a7ec21b2354p-17, -0x1.b805ebb60d0bcp-17, -0x1.9120483e84ebfp-17, -0x1.6be80ee065bb7p-17, -0x1.484ec2474e424p-17, -0x1.26465724ffd9cp-17, -0x1.05c130c2a5478p-17, -0x1.cd643b6758f6cp-18, -0x1.9218a933ec5e7p-18, -0x1.5986e20c98ddep-18, -0x1.2396e0e48b05ep-18, -0x1.e062bd27c36abp-19, -0x1.7e7f985054859p-19, -0x1.21589acf33811p-19, -0x1.9186cd6d59492p-20, -0x1.d25bb94733513p-21, -0x1.255b4fae45e5dp-22, 0x1.392d8e4a1653ap-22, 0x1.bc06f65c3542dp-21, 0x1.6619d13971f4cp-20, 0x1.e6d482f698f5ap-20, 0x1.303bbefb0341dp-19, 0x1.69a248770866fp-19, 0x1.9fbdbe096073ep-19, 0x1.d2ad006ac6512p-19, 0x1.0146fc5828b9ep-18, 0x1.17becfe1b46d7p-18, 0x1.2ccc02cae4d83p-18, 0x1.407c2c1273bd1p-18, 0x1.52dc75273efdbp-18, 0x1.63f99d2b4449p-18, 0x1.73dffc31ee09ep-18, 0x1.829b8651cddecp-18, 0x1.9037ceaf97b47p-18, 0x1.9cc00a5c4b003p-18, 0x1.a83f1330b532p-18, 0x1.b2bf6a8840ca1p-18, 0x1.bc4b3bed28a38p-18, 0x1.c4ec5facddc5ap-18, 0x1.ccac5d5639033p-18, 0x1.d3946e2dbe697p-18, 0x1.d9ad7f76fdfcap-18, 0x1.df0034cb79d0ap-18, 0x1.e394ea4df2492p-18, 0x1.e773b6ce12942p-18, 0x1.eaa46dd9fc587p-18, 0x1.ed2ea1c6342c6p-18, 0x1.ef19a59f8e50dp-18, 0x1.f06c8f142bbd4p-18, 0x1.f12e3846503cep-18, 0x1.f165419e3dc9p-18, 0x1.f118137fe2ec6p-18, 0x1.f04cdff0cdb56p-18, 0x1.ef09a44146da4p-18, 0x1.ed542aa1b2c89p-18, 0x1.eb320ba5fc46bp-18, 0x1.e8a8afc233092p-18, 0x1.e5bd50bc87154p-18, 0x1.e274fb1396093p-18, 0x1.ded48f579551bp-18, 0x1.dae0c379c133p-18, 0x1.d69e24199bc9bp-18, 0x1.d21115be02b41p-18, 0x1.cd3dd603621f3p-18, 0x1.c8287ccc29babp-18, 0x1.c2d4fd5ddbc0ap-18, 0x1.bd47277d4b4ffp-18, 0x1.b782a879d068cp-18, 0x1.b18b0c39dbd6ap-18, 0x1.ab63be396d45ap-18, 0x1.a5100a8681162p-18, 0x1.9e931eaa396a1p-18, 0x1.97f00a9a8ed47p-18, 0x1.9129c19d27906p-18, 0x1.8a431b1ea13p-18, 0x1.833ed38e5b81p-18, 0x1.7c1f8d2bcb64dp-18, 0x1.74e7d0cf2992cp-18, 0x1.6d9a0eae674f8p-18, 0x1.66389f19ffd01p-18, 0x1.5ec5c336b8c3p-18, 0x1.5743a5b355cbep-18, 0x1.4fb45b7389f48p-18, 0x1.4819e438f3985p-18, 0x1.40762b48da35fp-18, 0x1.38cb0808de4d7p-18, 0x1.311a3e99eda84p-18, 0x1.29658073816b2p-18, 0x1.21ae6cedee9cap-18, 0x1.19f691d6060bap-18, 0x1.123f6bf324311p-18, 0x1.0a8a678caf384p-18, 0x1.02d8e0ed5f3cp-18, 0x1.f65849c4f6f5bp-19, 0x1.e70ae26c29d54p-19, 0x1.d7cbea4ac8ea3p-19, 0x1.c89da3a91d0e1p-19, 0x1.b982357a9cc25p-19, 0x1.aa7bac3abff77p-19, 0x1.9b8bfac64222bp-19, 0x1.8cb4fb1fb0599p-19, 0x1.7df86f4168e57p-19, 0x1.6f5801dcd4e2ep-19, 0x1.60d54714879f2p-19, 0x1.5271bd33d6975p-19, 0x1.442ecd683fca7p-19, 0x1.360dcc6d0256bp-19, 0x1.280ffb317f6e3p-19, 0x1.1a368781b6dcep-19, 0x1.0c828ca25208ap-19, 0x1.fdea27d5ed0ddp-20, 0x1.e31e2abe228fcp-20, 0x1.c8a2f086fea4cp-20, 0x1.ae7a274a5e66bp-20, 0x1.94a55ddd6fb63p-20, 0x1.7b2604d113e5ep-20, 0x1.61fd6f79ae69p-20, 0x1.492cd4eb97d77p-20, 0x1.30b550f9a5979p-20, 0x1.1897e5259b323p-20, 0x1.00d579835e2c7p-20, 0x1.d2ddbb504db02p-21, 0x1.a4c993097a944p-21, 0x1.776fbc6589de9p-21, 0x1.4ad14daa01288p-21, 0x1.1eef32b07d1d4p-21, 0x1.e7945cf006edap-22, 0x1.92c5b96a9c3ap-22, 0x1.3f736683cea07p-22, 0x1.db3c0e086bc2ep-23, 0x1.3a8bef2fb0692p-23, 0x1.39ad46037b0fep-24, 0x1.0ded3bd90118ep-30, -0x1.2b4a6c3721afcp-24, -0x1.2a6dd1df212b1p-23, -0x1.bc3fae8c55c6p-23, -0x1.258e77fb6c984p-22, -0x1.6b8411ce950a4p-22, -0x1.b0021deed305fp-22, -0x1.f30a460c5c6ccp-22, -0x1.1a4f3108b32f6p-21, -0x1.3a603b1401304p-21, -0x1.59b9586142a52p-21, -0x1.785bb45897fap-21, -0x1.96488dab85a99p-21, -0x1.b381355c8c50fp-21, -0x1.d0070de8b9f16p-21, -0x1.ebdb8a7468edbp-21, -0x1.038016ef17d12p-20, -0x1.10bb44fce4332p-20, -0x1.1da01f6b478c6p-20, -0x1.2a2f7cfa91ep-20, -0x1.366a3abfba86ep-20, -0x1.42513bd1574fcp-20, -0x1.4de568e662131p-20, -0x1.5927b0007b60fp-20, -0x1.6419041c4516cp-20, -0x1.6eba5cdcd6937p-20, -0x1.790cb644e9df6p-20, -0x1.8311105d15565p-20, -0x1.8cc86ef2d5e9ap-20, -0x1.9633d94f98a57p-20, -0x1.9f5459ec715a3p-20, -0x1.a82afe2fe5831p-20, -0x1.b0b8d631e9987p-20, -0x1.b8fef4803e132p-20, -0x1.c0fe6dd1af55dp-20, -0x1.c8b858d9cf4e2p-20, -0x1.d02dce045415ap-20, -0x1.d75fe73fc8cfep-20, -0x1.de4fbfc75ede5p-20, -0x1.e4fe73f07f75ep-20, -0x1.eb6d20fe707f1p-20, -0x1.f19ce4e9035afp-20, -0x1.f78ede2de9293p-20, -0x1.fd442ba7137b1p-20, -0x1.015ef62ca9d8fp-19, -0x1.03fe9fa5ababap-19, -0x1.0681a1acd3754p-19, -0x1.08e88b8df356bp-19, -0x1.0b33ec5aec879p-19, -0x1.0d6452d6c2494p-19, -0x1.0f7a4d698f913p-19, -0x1.11766a09cfb2cp-19, -0x1.1359362e23b75p-19, -0x1.15233ebcd585fp-19, -0x1.16d50ffdd5b9ep-19, -0x1.186f3590bde0bp-19, -0x1.19f23a57432c2p-19, -0x1.1b5ea86beed9fp-19, -0x1.1cb509128b662p-19, -0x1.1df5e4ad5d06dp-19, -0x1.1f21c2b069d23p-19, -0x1.20392995157b5p-19, -0x1.213c9ed43661bp-19, -0x1.222ca6da45745p-19, -0x1.2309c4f857789p-19, -0x1.23d47b613d7a1p-19, -0x1.248d4b1cd3483p-19, -0x1.2534b3fefa28bp-19, -0x1.25cb34a0a26d6p-19, -0x1.26514a568ff68p-19, -0x1.26c77131dff03p-19, -0x1.272e23f260965p-19, -0x1.2785dbffc2908p-19, -0x1.27cf11663d715p-19, -0x1.280a3ace204a4p-19, -0x1.2837cd77e2047p-19, -0x1.28583d364c582p-19, -0x1.286bfc6a97acdp-19, -0x1.28737c042e924p-19, -0x1.286f2b7646806p-19, -0x1.285f78b62ae2bp-19, -0x1.2844d03a38886p-19, -0x1.281f9cf39ba8cp-19, -0x1.27f0484c834b4p-19, -0x1.27b73a24310cfp-19, -0x1.2774d8ce1d7e9p-19, -0x1.2729891546634p-19, -0x1.26d5ae33feadcp-19, -0x1.2679a9d2b6a28p-19, -0x1.2615dc089937dp-19, -0x1.25aaa35909e82p-19, -0x1.25385cb3226a8p-19, -0x1.24bf6371ba311p-19, -0x1.244011591a6b6p-19, -0x1.23babe9dc1234p-19, -0x1.232fc1dca35d7p-19, -0x1.229f701cde993p-19, -0x1.220a1cd34550cp-19, -0x1.217019e0b86dep-19, -0x1.20d1b792b7fa9p-19, -0x1.202f44a394215p-19, -0x1.1f890e3beffaap-19, -0x1.1edf5ff77c1efp-19, -0x1.1e3283e4a1551p-19, -0x1.1d82c284e2927p-19, -0x1.1cd062cebc981p-19, -0x1.1c1baa2d7e2c1p-19, -0x1.1b64dc86f8d16p-19, -0x1.1aac3c3ac0d14p-19, -0x1.19f20a26363fdp-19, -0x1.193685a47d7dep-19, -0x1.1879ec9711ceap-19, -0x1.17bc7b61c58c9p-19, -0x1.16fe6cede24ap-19, -0x1.163ffab05578dp-19, -0x1.15815cab39902p-19, -0x1.14c2c96f4f0d4p-19, -0x1.1404761ea2f29p-19, -0x1.1346967162229p-19, -0x1.12895cba56d5dp-19, -0x1.11ccf9e852a01p-19, -0x1.11119d8a14ddcp-19, -0x1.105775d2198p-19, -0x1.0f9eaf96416d1p-19, -0x1.0ee776571a33p-19, -0x1.0e31f4436c433p-19, -0x1.0d7e523b18c78p-19, -0x1.0cccb7d0276b6p-19, -0x1.0c1d4b5101cb8p-19, -0x1.0b7031c6f0146p-19, -0x1.0ac58efbb9958p-19, -0x1.0a1d857a344b5p-19, -0x1.09783698a12adp-19, -0x1.08d5c277a2624p-19, -0x1.08364806a37b3p-19, -0x1.0799e5083bb8dp-19, -0x1.0700b6175bf47p-19, -0x1.066ad6ab6b3b2p-19, -0x1.05d8611ad9b3p-19, -0x1.05496ea0cf97dp-19, -0x1.04be17601eaap-19, -0x1.04367265dbfecp-19, -0x1.03b295af4cabp-19, -0x1.0332962e6b4bfp-19, -0x1.02b687ce5bb0bp-19, -0x1.023e7d73daafcp-19, -0x1.01ca89070a551p-19, -0x1.015abb73522dbp-19, -0x1.00ef24adab108p-19, -0x1.0087d3b69818cp-19, -0x1.0024d69fbb1eap-19, -0x1.ff8c752352584p-20, -0x1.fed81797ab78ap-20, -0x1.fe2cab5706c48p-20, -0x1.fd8a45609866fp-20, -0x1.fcf0f8fbd8225p-20, -0x1.fc60d7c5bdc01p-20, -0x1.fbd9f1b5fcc2cp-20, -0x1.fb5c5527d81f9p-20, -0x1.fae80ee1165bp-20, -0x1.fa7d2a1960dddp-20, -0x1.fa1bb084e4da5p-20, -0x1.f9c3aa5bf20a5p-20, -0x1.f9751e5f6dc56p-20, -0x1.f93011e4e4d55p-20, -0x1.f8f488dcc4cc7p-20, -0x1.f8c285d9ba33bp-20, -0x1.f89a0a167c59cp-20, -0x1.f87b158333445p-20, -0x1.f865a6c5a6f5p-20, -0x1.f859bb4776084p-20, -0x1.f8574f3743c6p-20, -0x1.f85e5d96eb4bp-20, -0x1.f86ee03df755ep-20, -0x1.f888cfe1e3956p-20, -0x1.f8ac241d2b48fp-20, -0x1.f8d8d378f808ep-20, -0x1.f90ed370622f1p-20, -0x1.f94e187ac6cb4p-20, -0x1.f996960fb2ae1p-20, -0x1.f9e83eb1c62c5p-20, -0x1.fa4303f1bd09dp-20, -0x1.faa6d675bb5bcp-20, -0x1.fb13a6020597ap-20, -0x1.fb89617e63778p-20, -0x1.fc07f6fd500a7p-20, -0x1.fc8f53bfa42eep-20, -0x1.fd1f643e083fcp-20, -0x1.fdb814317a8f4p-20, -0x1.fe594e929f019p-20, -0x1.ff02fda3e6e32p-20, -0x1.ffb50af84ffc7p-20, -0x1.0037afbdee9b8p-19, -0x1.0098f1b96f12dp-19, -0x1.00fe3f41d664ep-19, -0x1.01678bdd26431p-19, -0x1.01d4cac90ec19p-19, -0x1.0245eefbb9419p-19, -0x1.02baeb27bafa8p-19, -0x1.0333b1beab544p-19, -0x1.03b034f3b638bp-19, -0x1.043066bf21a99p-19, -0x1.04b438dd799cfp-19, -0x1.053b9cd642625p-19, -0x1.05c683fca592fp-19, -0x1.0654df7224ab2p-19, -0x1.06e6a028f52bep-19, -0x1.077bb6e5f4659p-19, -0x1.081414459e906p-19, -0x1.08afa8babfe02p-19, -0x1.094e6491dd46bp-19, -0x1.09f037f426774p-19, -0x1.0a9512ec0f082p-19, -0x1.0b3ce563104bp-19, -0x1.0be79f268f1a7p-19, -0x1.0c952fe7b1c4fp-19, -0x1.0d45873e7afd4p-19, -0x1.0df894adb981fp-19, -0x1.0eae47a284ae5p-19, -0x1.0f668f77d1a0ap-19, -0x1.10215b78090e3p-19, -0x1.10de9ade60902p-19, -0x1.119e3cd97ffacp-19, -0x1.1260308b80ca1p-19, -0x1.1324650cda60ap-19, -0x1.13eac96f16ef9p-19, -0x1.14b34cbcde6a7p-19, -0x1.157dddfcdb47cp-19, -0x1.164a6c32ee557p-19, -0x1.1718e6628ee37p-19, -0x1.17e93b8e5248ap-19, -0x1.18bb5aba11d4ap-19, -0x1.198f32ed77f0ap-19, -0x1.1a64b336706e8p-19, -0x1.1b3bcaa8b4aap-19, -0x1.1c1468600a447p-19, -0x1.1cee7b7fcfd96p-19, -0x1.1dc9f33495b5p-19, -0x1.1ea6beb79c7eap-19, -0x1.1f84cd4fe79ep-19, -0x1.20640e514681cp-19, -0x1.214471202dcb1p-19, -0x1.2225e5316f3fp-19, -0x1.23085a0aeec8dp-19, -0x1.23ebbf4540f3ap-19, -0x1.24d0048d0718fp-19, -0x1.25b519a2185bbp-19, -0x1.269aee5c0327ap-19, -0x1.278172a7633d7p-19, -0x1.2868968a1cde2p-19, -0x1.29504a22629cp-19, -0x1.2a387da9545a9p-19, -0x1.2b21216fd96a7p-19, -0x1.2c0a25e262a5ep-19, -0x1.2cf37b8afa7bp-19, -0x1.2ddd13108461bp-19, -0x1.2ec6dd377f202p-19, -0x1.2fb0cae44fa13p-19, -0x1.309acd18c1153p-19, -0x1.3184d4f40a224p-19, -0x1.326ed3b8807d6p-19, -0x1.3358bac9382c5p-19, -0x1.34427babcef64p-19, -0x1.352c080790c2p-19, -0x1.361551a7826f5p-19, -0x1.36fe4a79c06ebp-19, -0x1.37e6e4905250bp-19, -0x1.38cf1221d7227p-19, -0x1.39b6c5897952fp-19, -0x1.3a9df1479a7bcp-19, -0x1.3b848802d50eep-19, -0x1.3c6a7c8844652p-19, -0x1.3d4fc1cb62bbbp-19, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      31, 0x1.45c28f5c28f5cp+2, 0x1.f5f5ae12b4156p+0, 0x1.b87e9a1a377f9p+1, -0x1.dbd470b8a1a84p-8, 
      {{
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.64ddbbac9b77p-6, -0x1.d27e2261e3fb9p-5, 0x1.c958449a259fbp-5, -0x1.8aada7b6c161dp-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.40fc271e45141p-6, -0x1.aeda34078f1b8p-5, 0x1.b1aa02382442cp-5, -0x1.7da6dcd3aec5cp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.180535acbe83p-6, -0x1.84eac9c1756acp-5, 0x1.950a4b41dd8dap-5, -0x1.7097f1d22d244p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.e6372cb6ec391p-7, -0x1.5dcb9bc6dc3afp-5, 0x1.79654c521a2acp-5, -0x1.6393e7ec9b8bep-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.a3f1076a99bebp-7, -0x1.3963a2226ad65p-5, 0x1.5eba3486c1b39p-5, -0x1.568cf3c27c9f3p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.68af70ed041b9p-7, -0x1.1799dc84122cdp-5, 0x1.45093bd82b8e2p-5, -0x1.4986c78e9dfa6p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.33eedf19665f2p-7, -0x1.f0aa911e9e1a4p-6, 0x1.2c52534712e8p-5, -0x1.3c8065c658725p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.0530c82db8231p-7, -0x1.b6f9c8e84a585p-6, 0x1.14957ed832ac5p-5, -0x1.2f7a1259608d7p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.b7f745955b128p-8, -0x1.81ef5c79e192ep-6, 0x1.fba57aefca0fep-6, -0x1.2273bb139ffbfp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6fb5cbe76e7dcp-8, -0x1.515947fc4a168p-6, 0x1.d0141ee00baa6p-6, -0x1.156d64d5b944p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.30be121e04f25p-8, -0x1.2505879301fdep-6, 0x1.a676e9599646cp-6, -0x1.08670e5125ecbp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.f4760f95e3df9p-9, -0x1.f9842ec5f493ep-7, 0x1.7ecdda6703c9dp-6, -0x1.f6c16fbef68b5p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.96c33a8b040e9p-9, -0x1.b0b9e721812f7p-7, 0x1.5918f2057e186p-6, -0x1.dcb4c2d193854p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.46e18754f5c1dp-9, -0x1.6f483081fa5a9p-7, 0x1.35583035c63b3p-6, -0x1.c2a815e6bf38cp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0362d9b836679p-9, -0x1.34cb0330a238ep-7, 0x1.138b94f7ab173p-6, -0x1.a89b68fb87c7dp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.95da2e086b34bp-10, -0x1.00de5776bf1a8p-7, 0x1.e766409668371p-7, -0x1.8e8ebc0f975ddp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.38744c26aa2bap-10, -0x1.a63c4b3b2a5b1p-8, 0x1.ab9da460de4fbp-7, -0x1.74820f26876f5p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d85fbd2ba30d4p-11, -0x1.564ccbdcd9854p-8, 0x1.73bd554e49fe1p-7, -0x1.5a75623326601p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5da1726cdab44p-11, -0x1.11262164ffc75p-8, 0x1.3fc55360376fbp-7, -0x1.4068b565d02abp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.f90acbfbb82a7p-12, -0x1.ac0078ccf74f4p-9, 0x1.0fb59e90f1cffp-7, -0x1.265c080ac2ba4p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.626697eea1277p-12, -0x1.48261ae53b25ep-9, 0x1.c71c6deb7601fp-8, -0x1.0c4f5cc070c49p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.e08b7a76a8d81p-13, -0x1.ea5a1482106bcp-10, 0x1.769e387e8760fp-8, -0x1.e485538252827p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.386f79848e0c1p-13, -0x1.630a4fc68ff02p-10, 0x1.2df09f2afaff6p-8, -0x1.b06c2708e75e2p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.81b08eedfe5cp-14, -0x1.ee7955c2507b7p-11, 0x1.da2732a016fc9p-9, -0x1.7c5223e64b7c4p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.bd945db4ac6p-15, -0x1.47a1c8c86a89fp-11, 0x1.680e8e4166be3p-9, -0x1.483b41e21742cp-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.d7a9a9ab1c3ffp-16, -0x1.969b31e8483cep-12, 0x1.059660e3f95ddp-9, -0x1.1418b20e28f5fp-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ba8054d1c6403p-17, -0x1.ccef8d1f86346p-13, 0x1.658456f2a6f57p-10, -0x1.c04370b487dep-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.5ba09c1d867ffp-18, -0x1.c96d76fa9cbep-14, 0x1.be136a45c92e3p-11, -0x1.571027ec7a58bp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.99e4e645ec002p-20, -0x1.6dcddc34843f6p-15, 0x1.e079d7d632c08p-12, -0x1.e53610cb26ef2p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.180535acep-22, -0x1.877f0bb475404p-17, 0x1.7ab2ceb89d30dp-13, -0x1.f1ca64e55a236p-11}, 
        {0x1.4333333333333p+2, 0x1.45c28f5c28f5cp+2, 0x1.5da17277fffffp-27, -0x1.884a9b37c0ddp-21, 0x1.4018af22694p-15, -0x1.c0b60d846760ap-10}, 
      }}, 
      0x1.464e501bc5f3ap-5, -0x1.583b349515ac8p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.1f6484d3ad35dp-5, -0x1.0c3575540e27fp-5, -0x1.daabe3552bb2ep-6, -0x1.887700b4cb6acp-6, -0x1.255022cacb8cdp-6, -0x1.6a070aedf9132p-7, -0x1.db26c8cb79d85p-9, 0x1.0f87a570284f9p-8, 0x1.8ae63564f186fp-7, 0x1.46533525bf9b6p-6, 0x1.c3f40ace42d6cp-6, 0x1.1e1bdb565e3dap-5, 0x1.56b6be4ead3f5p-5, 0x1.8b2545f4d19cap-5, 0x1.baf01f9c369d5p-5, 0x1.e5c88f335a654p-5, 0x1.05c16206bddebp-4, 0x1.16082c114f921p-4, 0x1.23bd949c32127p-4, 0x1.2ef055b58c37dp-4, 0x1.37b6e0ccbac47p-4, 0x1.3e2d8d4f46dep-4, 0x1.427505de1776ep-4, 0x1.44b0ef57269b5p-4, 0x1.4506c61c03ac9p-4, 0x1.439cec942b382p-4, 0x1.4099e7f2045a4p-4, 0x1.3c23c5de44d13p-4, 0x1.365fa73be85e1p-4, 0x1.2f71697fe0addp-4, 0x1.277b6a62eb415p-4, 0x1.1e9e611f90123p-4, 0x1.14f94605cf7d2p-4, 0x1.0aa94a872488ap-4, 0x1.ff93aed5d9695p-5, 0x1.e8e929416665cp-5, 0x1.d182e92e24957p-5, 0x1.b98d86c78329p-5, 0x1.a1326f002e62p-5, 0x1.8898074ba6c87p-5, 0x1.6fe1d33049f3cp-5, 0x1.573096684de86p-5, 0x1.3ea276a306c4fp-5, 0x1.26531e6c9eb9ap-5, 0x1.0e5bd78bec073p-5, 0x1.eda757201ce7p-6, 0x1.bf9efa13ed9d4p-6, 0x1.92c4414c43041p-6, 0x1.6738ec35a55abp-6, 0x1.3d1afb812471p-6, 0x1.1484de3bfba88p-6, 0x1.db1b3833e654p-7, 0x1.9091fdeb1bb77p-7, 0x1.498f77e0e88edp-7, 0x1.062f36c4ba267p-7, 0x1.8d0e846dc7c79p-8, 0x1.1550cdbfd2d57p-8, 0x1.4a7a0dbccdc45p-9, 0x1.e70d660ded9a7p-11, -0x1.1ddb725d12d51p-11, -0x1.f2723367b6e8dp-10, -0x1.9b96e72269771p-9, -0x1.1758d8b6f8995p-8, -0x1.595bd7019b641p-8, -0x1.93f164b594428p-8, -0x1.c73bc0b238e3dp-8, -0x1.f36212529b31bp-8, -0x1.0c47dcdf868d5p-7, -0x1.1b79fd544b177p-7, -0x1.2760c1bd75c08p-7, -0x1.3016f46e98213p-7, -0x1.35b8abf26f7a1p-7, -0x1.386301eacc05bp-7, -0x1.38340e63641e6p-7, -0x1.354a7b3c6c71ap-7, -0x1.2fc5a1b1cda24p-7, -0x1.27c52a65034eap-7, -0x1.1d68fe886c88dp-7, -0x1.10d1380d5b9c7p-7, -0x1.021ddf6dec086p-7, -0x1.e2ddd5fdc5b3ep-8, -0x1.bdc847db9983p-8, -0x1.9539fe922c5b7p-8, -0x1.697133da7d08bp-8, -0x1.3aab3e2c8cf1cp-8, -0x1.09247c25f6242p-8, -0x1.aa305c74f927fp-9, -0x1.3d80c67a74a88p-9, -0x1.99578dbe8ad98p-10, -0x1.60816467b08e8p-11, 0x1.fb566865e85c6p-13, 0x1.34d874d5c6933p-10, 0x1.179dbd91f3dd6p-9, 0x1.96e69aeaf321bp-9, 0x1.0bf343dab8f5dp-8, 0x1.4d201a27c6581p-8, 0x1.8eccbdfef6ffap-8, 0x1.d0cda7633d3e4p-8, 0x1.097c6b59a5ea8p-7, 0x1.2a92e97537933p-7, 0x1.4b96dbbb3f40fp-7, 0x1.6c75953d5d395p-7, 0x1.8d1d23a9d50b1p-7, 0x1.ad7c6949c4ef7p-7, 0x1.cd82e9f6c3ea5p-7, 0x1.ed2112b3703ecp-7, 0x1.0623f091d4467p-6, 0x1.15749811619e4p-6, 0x1.247bc9a1c21b5p-6, 0x1.33331ed1a1eb5p-6, 0x1.41949daf700f4p-6, 0x1.4f9aa038a98fap-6, 0x1.5d3fd4fbab90fp-6, 0x1.6a7f4e52fdf65p-6, 0x1.775470f028f7fp-6, 0x1.83bafa9c57dfbp-6, 0x1.8faef93dc4ee1p-6, 0x1.9b2cd8068c6c8p-6, 0x1.a6314cba0c43dp-6, 0x1.b0b9626d1838bp-6, 0x1.bac27084d1301p-6, 0x1.c44a1cf089e2ep-6, 0x1.cd4e59cc7d7c6p-6, 0x1.d5cd61040d8c4p-6, 0x1.ddc5b563c954cp-6, 0x1.e5361d2d140aap-6, 0x1.ec1da2b97016fp-6, 0x1.f27b936f73dacp-6, 0x1.f84f778825424p-6, 0x1.fd99180520129p-6, 0x1.012c397347ca9p-5, 0x1.0346e27689e3cp-5, 0x1.051cbb542313ep-5, 0x1.06ae185e23daep-5, 0x1.07fb5fad11fc4p-5, 0x1.0905122f1f891p-5, 0x1.09cbc8228a5b9p-5, 0x1.0a50297d30d56p-5, 0x1.0a92f78227f82p-5, 0x1.0a9503a3179d9p-5, 0x1.0a57304b39c8fp-5, 0x1.09da71337a4d3p-5, 0x1.091fcabef8876p-5, 0x1.08284ee2a0392p-5, 0x1.06f51c9f8ba3cp-5, 0x1.058760f95b4bfp-5, 0x1.03e054fcb3be9p-5, 0x1.02013bef22462p-5, 0x1.ffd6c8ff6d43dp-6, 0x1.fb404a7bcc766p-6, 0x1.f641bf9cef642p-6, 0x1.f0ddf8a322722p-6, 0x1.eb17d555e9e93p-6, 0x1.e4f243a30f15ep-6, 0x1.de703c28fbb57p-6, 0x1.d794c3dd6e4f7p-6, 0x1.d062e8a5c5549p-6, 0x1.c8ddc036dc7ddp-6, 0x1.c10867ed3b2e9p-6, 0x1.b8e603b66cd83p-6, 0x1.b079bbd93e563p-6, 0x1.a7c6bc92ec5d9p-6, 0x1.9ed035509d124p-6, 0x1.95995745685a2p-6, 0x1.8c2554dd9ffe9p-6, 0x1.827760759ca83p-6, 0x1.7892abe1d6522p-6, 0x1.6e7a673aa84c3p-6, 0x1.6431c038a158fp-6, 0x1.59bbe1abcaf7bp-6, 0x1.4f1bf265b3d0fp-6, 0x1.445514b9c4f2ap-6, 0x1.396a658ec8b4dp-6, 0x1.2e5efbeca88c9p-6, 0x1.2335e889a3c35p-6, 0x1.17f234e7d48b6p-6, 0x1.0c96e299abd9cp-6, 0x1.0126eaee3443cp-6, 0x1.eb4a7cccb7a19p-7, 0x1.d429887f99a44p-7, 0x1.bcf0b35c087ebp-7, 0x1.a5a5a2fb485f5p-7, 0x1.8e4de76c6098fp-7, 0x1.76eefa32f5ac8p-7, 0x1.5f8e3d424fcbp-7, 0x1.4830fa385dc7p-7, 0x1.30dc61d966a25p-7, 0x1.19958b2ed5251p-7, 0x1.026172a465d4fp-7, 0x1.d689f2d2e20eep-8, 0x1.a889ca21e8e68p-8, 0x1.7acbbe1260184p-8, 0x1.4d58e7ae93a27p-8, 0x1.203a24f6989abp-8, 0x1.e6f0309295af2p-9, 0x1.8e364ff4cccb3p-9, 0x1.3656fae4495bp-9, 0x1.bec40ff63f856p-10, 0x1.12cda0e7900dfp-10, 0x1.a3a17fdb3e89ap-12, -0x1.f677bc7d4db5fp-13, -0x1.c879520d02949p-11, -0x1.8745f8da38297p-10, -0x1.13e89688f129ap-9, -0x1.62e2c64318417p-9, -0x1.b085af5a66f03p-9, -0x1.fcc5f672d610cp-9, -0x1.23cc60c5055e6p-8, -0x1.4879dbcf2abb6p-8, -0x1.6c667fec6f4ccp-8, -0x1.8f8da065ff141p-8, -0x1.b1ead00a9e892p-8, -0x1.d379e0f9486dcp-8, -0x1.f436e4a2466f4p-8, -0x1.0a0f15983f184p-7, -0x1.1996214442f02p-7, -0x1.28aefb0385263p-7, -0x1.375826ed18818p-7, -0x1.459047406e556p-7, -0x1.53561c417f2p-7, -0x1.60a883dd84515p-7, -0x1.6d86791ed1a9ep-7, -0x1.79ef139cfb4b8p-7, -0x1.85e1871d577b5p-7, -0x1.915d2364536d3p-7, -0x1.9c61540599793p-7, -0x1.a6ed9fec422fcp-7, -0x1.b101a897236f6p-7, -0x1.ba9d29549c97p-7, -0x1.c3bff6cd85e2p-7, -0x1.cc69fee9f1753p-7, -0x1.d49b48a7f447ap-7, -0x1.dc53f39d3a24bp-7, -0x1.e39436fb9b9a8p-7, -0x1.ea5c609b71353p-7, -0x1.f0acd4647f6d1p-7, -0x1.f6860c39fc404p-7, -0x1.fbe897fbb6bf3p-7, -0x1.006a8e8ace145p-6, -0x1.02a62abd176fp-6, -0x1.04a78734ecf8bp-6, -0x1.066f13cea1a64p-6, -0x1.07fd498a89192p-6, -0x1.0952aaa087107p-6, -0x1.0a6fc26f8fe05p-6, -0x1.0b552514d823cp-6, -0x1.0c036ec0a1ad2p-6, -0x1.0c7b4318223c5p-6, -0x1.0cbd4ceaa4755p-6, -0x1.0cca3e3cd8f4cp-6, -0x1.0ca2d06750183p-6, -0x1.0c47c3f408ca3p-6, -0x1.0bb9e01993129p-6, -0x1.0af9f1fff090ap-6, -0x1.0a08cc261aa75p-6, -0x1.08e74626ca3f9p-6, -0x1.07963cd35a8c3p-6, -0x1.0616925bfb0fcp-6, -0x1.04692e32bfe4ap-6, -0x1.028efc89a5c42p-6, -0x1.0088ed9564256p-6, -0x1.fcafe9d47daacp-7, -0x1.f7fa12690f84p-7, -0x1.f2f2489c9b543p-7, -0x1.ed9a86ec47cd3p-7, -0x1.e7f4cea85454ap-7, -0x1.e203272f2fa8dp-7, -0x1.dbc79ca431295p-7, -0x1.d5443e7f9188ap-7, -0x1.ce7b1eb8cb069p-7, -0x1.c76e51adf15c8p-7, -0x1.c01fee8941956p-7, -0x1.b8920f9e72d5bp-7, -0x1.b0c6d2390d8a8p-7, -0x1.a8c055b53138fp-7, -0x1.a080ba2e486a9p-7, -0x1.980a1f4d70ed9p-7, -0x1.8f5ea3aacd5d2p-7, -0x1.868064dc343a5p-7, -0x1.7d717fe7b92bep-7, -0x1.7434119c73483p-7, -0x1.6aca3666cb44bp-7, -0x1.613609858d07dp-7, -0x1.5779a3e0bc02dp-7, -0x1.4d971af6ce992p-7, -0x1.439080441cf0bp-7, -0x1.3967e142f048ep-7, -0x1.2f1f47d1681cp-7, -0x1.24b8ba993509p-7, -0x1.1a363d1b266c8p-7, -0x1.0f99cf3355f65p-7, -0x1.04e56c34bf996p-7, -0x1.f43613e08e736p-8, -0x1.de793003bc881p-8, -0x1.c897ff30832dap-8, -0x1.b296475a32cc2p-8, -0x1.9c77c2dfdbb3fp-8, -0x1.86402126145c5p-8, -0x1.6ff3067a929c4p-8, -0x1.59940b258855bp-8, -0x1.4326b9f1e2cb6p-8, -0x1.2cae8eb336ecbp-8, -0x1.162ef54adb46fp-8, -0x1.ff5692e130d88p-9, -0x1.d24dae4e54148p-9, -0x1.a549b702bdbf6p-9, -0x1.78510a75194c5p-9, -0x1.4b69e97ebbae9p-9, -0x1.1e9a773bf1bbap-9, -0x1.e3d16dee0778ep-10, -0x1.8ab513fa3911ap-10, -0x1.31eb5bfd633cp-10, -0x1.b2fef24f368d2p-11, -0x1.02f8af5e85a23p-11, -0x1.4f64fb0343967p-13, 0x1.692a4e8e252d7p-13, 0x1.075e7ce02a0c7p-11, 0x1.b34eb3ef18896p-11, 0x1.2f03faf39da3bp-10, 0x1.83bbc5e83a871p-10, 0x1.d7c5a7eef8f85p-10, 0x1.158c6c0ea0953p-9, 0x1.3ed66ba14abedp-9, 0x1.67bcb719c6099p-9, 0x1.903b55ac57628p-9, 0x1.b84e7036ea639p-9, 0x1.dff250a9d1116p-9, 0x1.0391b10964ae4p-8, 0x1.16ef18a2fbf23p-8, 0x1.2a0fb6d3995cp-8, 0x1.3cf1f4eac51f5p-8, 0x1.4f944e08d9be5p-8, 0x1.61f54eff18d1bp-8, 0x1.741395d46a88dp-8, 0x1.85edd12cd06a7p-8, 0x1.9782bfc198a3bp-8, 0x1.a8d12ff880a2cp-8, 0x1.b9d7ffb5700f7p-8, 0x1.ca961c6dd0807p-8, 0x1.db0a8362f3be1p-8, 0x1.eb3441df29623p-8, 0x1.fb127554cd63p-8, 0x1.055225a4359cfp-7, 0x1.0cf4807f3c8aep-7, 0x1.146ff17a927efp-7, 0x1.1bc4262160c11p-7, 0x1.22f0d2fcd2486p-7, 0x1.29f5b3582df5bp-7, 0x1.30d289204d973p-7, 0x1.37871cde97915p-7, 0x1.3e133dc796bf2p-7, 0x1.4476c1d1db60bp-7, 0x1.4ab185c7e6b9fp-7, 0x1.50c36d42fb12bp-7, 0x1.56ac629bca588p-7, 0x1.5c6c56b9470a3p-7, 0x1.620340ba5b0c2p-7, 0x1.67711dacf96c2p-7, 0x1.6cb5f021472bfp-7, 0x1.71d1bfdaa7f1fp-7, 0x1.76c49994fed3dp-7, 0x1.7b8e8ee452879p-7, 0x1.802fb63505afp-7, 0x1.84a82ae8510b9p-7, 0x1.88f80d83a878ap-7, 0x1.8d1f83e48735p-7, 0x1.911eb96567135p-7, 0x1.94f5dedfe6c24p-7, 0x1.98a52a7cab0c4p-7, 0x1.9c2cd74b52dd6p-7, 0x1.9f8d24aa8d45ap-7, 0x1.a2c65595dcf8fp-7, 0x1.a5d8aff8d85dfp-7, 0x1.a8c47c2b81be2p-7, 0x1.ab8a04b7d2a74p-7, 0x1.ae29967b65474p-7, 0x1.b0a381258a904p-7, 0x1.b2f817f96a097p-7, 0x1.b527b2a5de621p-7, 0x1.b732adf5d9112p-7, 0x1.b9196c19c1285p-7, 0x1.badc546131141p-7, 0x1.bc7bd24f3d2fcp-7, 0x1.bdf8542dd50a9p-7, 0x1.bf52495a6962fp-7, 0x1.c08a20b0695d7p-7, 0x1.c1a04777a849p-7, 0x1.c295292413c75p-7, 0x1.c3693014c7ee2p-7, 0x1.c41cc73cd2b09p-7, 0x1.c4b05c6664722p-7, 0x1.c524628d74763p-7, 0x1.c57953b69d1fep-7, 0x1.c5afb1afb8bbfp-7, 0x1.c5c80558d58bfp-7, 0x1.c5c2dc66480f8p-7, 0x1.c5a0c5df76072p-7, 0x1.c5624e244b4b4p-7, 0x1.c507fb33e653bp-7, 0x1.c4924a5710a45p-7, 0x1.c401afc8bc34fp-7, 0x1.c35698bd60f69p-7, 0x1.c2916f8b6b57dp-7, 0x1.c1b2a13476416p-7, 0x1.c0baa3296a477p-7, 0x1.bfa9f7fa3644cp-7, 0x1.be8131bc4f7f6p-7, 0x1.bd40f150550e4p-7, 0x1.bbe9e2426ff2ap-7, 0x1.ba7cb3b6d5cf1p-7, 0x1.b8fa0f8e4fba5p-7, 0x1.b76291846bc58p-7, 0x1.b5b6c04e90bccp-7, 0x1.b3f70a901bf3bp-7, 0x1.b223c8c6559e7p-7, 0x1.b03d443c74e1fp-7, 0x1.ae43c1eab549bp-7, 0x1.ac378f2db500ap-7, 0x1.aa190dc634b82p-7, 0x1.a7e8bca548552p-7, 0x1.a5a73b98ed851p-7, 0x1.a35548cdcbbddp-7, 0x1.a0f3b81fdd77cp-7, 0x1.9e8365411456dp-7, 0x1.9c0522bf6b2cp-7, 0x1.9979a8cf99b99p-7, 0x1.96e187419160ep-7, 0x1.943d1de09ff0bp-7, 0x1.918c9d8849a32p-7, 0x1.8ed0127b23d3dp-7, 0x1.8c07766e24ee4p-7, 0x1.8932c6e8b95b1p-7, 0x1.86521b9ef95a2p-7, 0x1.8365b8847fa2bp-7, 0x1.806e1853e2eccp-7, 0x1.7d6bedc1fc585p-7, 0x1.7a601b24b0972p-7, 0x1.774ba1bfc9e1dp-7, 0x1.742f8b1833922p-7, 0x1.710ccf9c452ebp-7, 0x1.6de43ea87a13p-7, 0x1.6ab66c02fb2e6p-7, 0x1.6783a689c4d62p-7, 0x1.644bfa6074a7ap-7, 0x1.610f3e806f5cfp-7, 0x1.5dcd2b4b8c63dp-7, 0x1.5a8575c743967p-7, 0x1.5737eaab62b2ap-7, 0x1.53e4850aa6f59p-7, 0x1.508b7d6940684p-7, 0x1.4d2d4f119ae8dp-7, 0x1.49cab27e9cc5dp-7, 0x1.46648d46e5487p-7, 0x1.42fbda2d96404p-7, 0x1.3f918e1ff2b9bp-7, 0x1.3c267fc82db2ap-7, 0x1.38bb56744ba66p-7, 0x1.355082c20e722p-7, 0x1.31e640de23c99p-7, 0x1.2e7ca205c8b8bp-7, 0x1.2b1399d97e156p-7, 0x1.27ab0c2a9bc53p-7, 0x1.2442d944c0643p-7, 0x1.20dae898db88cp-7, 0x1.1d7332baadb52p-7, 0x1.1a0bca9b071d3p-7, 0x1.16a4e375f73b8p-7, 0x1.133ecf2059302p-7, 0x1.0fd9f1f17d824p-7, 0x1.0c76aef44e0dap-7, 0x1.091554accc163p-7, 0x1.05b614d11253ep-7, 0x1.02590ca8cd3d4p-7, 0x1.fdfcb59a428b9p-8, 0x1.f74c6e990e60ap-8, 0x1.f0a203c488a79p-8, 0x1.e9fe7fb4a9f18p-8, 0x1.e363191be06abp-8, 0x1.dcd10c89e92fcp-8, 0x1.d64982e4f8cddp-8, 0x1.cfcd8b680bb7ap-8, 0x1.c95e1e6639f0ap-8, 0x1.c2fc146d4d59ep-8, 0x1.bca8025686cc9p-8, 0x1.b661fb377f83ap-8, 0x1.b0294c5ce6bf5p-8, 0x1.a9fc55b7f7a8ap-8, 0x1.a3d8a3b4225aep-8, 0x1.9dbb5f7107ba4p-8, 0x1.97a2065bcee2dp-8, 0x1.918b2e7a20dd6p-8, 0x1.8b770352c855bp-8, 0x1.8567394bd03f6p-8, 0x1.7f5e75bb619d5p-8, 0x1.795f79be78bep-8, 0x1.736c879433b15p-8, 0x1.6d87573cba185p-8, 0x1.67b18e3050888p-8, 0x1.61ed5212e5b27p-8, 0x1.5c3d7ab6a73c4p-8, 0x1.56a52654996acp-8, 0x1.5126cf89d365p-8, 0x1.4bc342762f699p-8, 0x1.4678d7c8abe05p-8, 0x1.4143429968d0bp-8, 0x1.3c1c19cb63dc2p-8, 0x1.36fc1e47fb1f8p-8, 0x1.31dd06a708a16p-8, 0x1.2cbb49aaaa44dp-8, 0x1.2797242c44887p-8, 0x1.227437c580b09p-8, 0x1.1d57c3523ba99p-8, 0x1.184654583c452p-8, 0x1.134241abaec41p-8, 0x1.0e4bc99f541bdp-8, 0x1.096294ee4eacfp-8, 0x1.0487826f6589cp-8, 0x1.ff7b33819a1a6p-9, 0x1.f6134dff27483p-9, 0x1.ece186c1bb20ap-9, 0x1.e3ed25e97ff92p-9, 0x1.db381f944fe9dp-9, 0x1.d2be7c81e83adp-9, 0x1.ca7704e1711c1p-9, 0x1.c2545bfb6eefbp-9, 0x1.ba46a3c8054f8p-9, 0x1.b23e69b5c4b1fp-9, 0x1.aa30d06dea767p-9, 0x1.a21b3b3c70244p-9, 0x1.9a03f87c0c4d4p-9, 0x1.91f6c43074352p-9, 0x1.89fedb68f8dd2p-9, 0x1.82224ffc7c2a4p-9, 0x1.7a614698c847ap-9, 0x1.72b8cb724d7b5p-9, 0x1.6b26f83bcc21cp-9, 0x1.63ae2226a0218p-9, 0x1.5c5555926517dp-9, 0x1.55258da57fa11p-9, 0x1.4e256d23e0924p-9, 0x1.4756a5eb9c09cp-9, 0x1.40b69e8e8f409p-9, 0x1.3a40fb3ec9dbdp-9, 0x1.33f183dc429p-9, 0x1.2dc42092afd66p-9, 0x1.27b3b30b252b2p-9, 0x1.21b970d56807fp-9, 0x1.1bcd9a80891b5p-9, 0x1.15e95b004b824p-9, 0x1.10092296d3ee7p-9, 0x1.0a2e42c61c66ap-9, 0x1.045e60af2094ap-9, 0x1.fd4117ff63f7p-10, 0x1.f1f30ffb6a782p-10, 0x1.e6d42589cd7c1p-10, 0x1.dbe21f4228b7bp-10, 0x1.d11e5705bd5dfp-10, 0x1.c68eee7c2f63cp-10, 0x1.bc3a2bed69052p-10, 0x1.b22331ab3d911p-10, 0x1.a8499685caad5p-10, 0x1.9ea980d1c4cd2p-10, 0x1.953cfa58e034p-10, 0x1.8bff4d9079974p-10, 0x1.82efc5854f668p-10, 0x1.7a1111e3dd1efp-10, 0x1.7166234edbea4p-10, 0x1.68ef0838290c2p-10, 0x1.60a68773db20fp-10, 0x1.5881ce35511c5p-10, 0x1.50762820a1d3ep-10, 0x1.4881e6df540d8p-10, 0x1.40ac7e6452355p-10, 0x1.38faf26bee418p-10, 0x1.31674e09c6b71p-10, 0x1.29e92b7bc9577p-10, 0x1.2284edbcbd75ep-10, 0x1.1b49bf60da465p-10, 0x1.1440767072009p-10, 0x1.0d63affdf4dd9p-10, 0x1.06a895f429b16p-10, 0x1.000ae631e547ap-10, 0x1.f31d2f40469f5p-11, 0x1.e66f5a601f0ccp-11, 0x1.da093e94a4125p-11, 0x1.cde3399e92c56p-11, 0x1.c1fc8023d13f9p-11, 0x1.b65cd2dd73908p-11, 0x1.ab0d0f0d27e5p-11, 0x1.a00f066150ee1p-11, 0x1.955592a8653fcp-11, 0x1.8ac16972b8ceep-11, 0x1.803a41002a8e6p-11, 0x1.75d4339d6315ep-11, 0x1.6bbe5111fca91p-11, 0x1.6207c9152d605p-11, 0x1.5897d3caf8978p-11, 0x1.4f5cfa0e313cbp-11, 0x1.4658509672044p-11, 0x1.3d8106a674467p-11, 0x1.34ca28131b7abp-11, 0x1.2c38ccf975837p-11, 0x1.23d97d8d84221p-11, 0x1.1ba962c7b1b48p-11, 0x1.139c2cdbad5acp-11, 0x1.0bb409c31a974p-11, 0x1.03fff33368127p-11, 0x1.f90ae7b2000edp-12, 0x1.ea7b2dced501ep-12, 0x1.dc45ad22d34f8p-12, 0x1.ce6d6e4733e45p-12, 0x1.c0f932ae7fc09p-12, 0x1.b3ed1281b2a92p-12, 0x1.a7424acb95252p-12, 0x1.9ace72551296fp-12, 0x1.8e67c42aa8442p-12, 0x1.8235d0aba2069p-12, 0x1.766ac2945d6dap-12, 0x1.6ae2288e297bp-12, 0x1.5f830d9bbe696p-12, 0x1.548454cd184f7p-12, 0x1.4a08fc6e099eep-12, 0x1.3ffedeebd994ep-12, 0x1.3649ad6fa0df4p-12, 0x1.2cc84dc88b813p-12, 0x1.2356434a5e7c9p-12, 0x1.19f472aa55205p-12, 0x1.10cea0ef9b638p-12, 0x1.07f5fd5416378p-12, 0x1.fe9750fc9740dp-13, 0x1.ed8f3b5d4ac52p-13, 0x1.dd12d3d6b36e4p-13, 0x1.cd389859efb54p-13, 0x1.bddfaeacf5a4fp-13, 0x1.aeed3ddc480a1p-13, 0x1.a0580fe3cd249p-13, 0x1.92244ff4243cp-13, 0x1.846f5b3982fcdp-13, 0x1.7736826e4b962p-13, 0x1.6a33c6116bebp-13, 0x1.5d776cd4b37aap-13, 0x1.51173a89159b2p-13, 0x1.44d4cc08a8a5ap-13, 0x1.38ea8a015976cp-13, 0x1.2d917071f26dap-13, 0x1.229ac8df6d6bbp-13, 0x1.17e193785e5dcp-13, 0x1.0d6618c86c349p-13, 0x1.033418dae31e5p-13, 0x1.f2ab1b1fa781p-14, 0x1.dfa92e487ced8p-14, 0x1.cd737b4882234p-14, 0x1.bbdbd7b08af24p-14, 0x1.aa8be86a265a3p-14, 0x1.99a48fe00519bp-14, 0x1.89479612f13ecp-14, 0x1.792630193f41bp-14, 0x1.696f82931b6fep-14, 0x1.5a8067f6e04d1p-14, 0x1.4c30f03759555p-14, 0x1.3e3f28f0f6e2ep-14, 0x1.309066db8226dp-14, 0x1.234ae5dd82bfep-14, 0x1.16c9edc80e961p-14, 0x1.0acf50a10c5f4p-14, 0x1.fdf2dfd1b045fp-15, 0x1.e690092d5c901p-15, 0x1.cf877f0be56c7p-15, 0x1.b9da39e7cee6bp-15, 0x1.a53e8f97eea59p-15, 0x1.912b00ec64f08p-15, 0x1.7d95f210fcf54p-15, 0x1.6a94b8837d2dcp-15, 0x1.58318a84865aap-15, 0x1.466b4e24f6f5dp-15, 0x1.353b53c4d7912p-15, 0x1.249a41f4ced73p-15, 0x1.148226adba8f9p-15, 0x1.04ecdec65c3c4p-15, 0x1.ebbf5085cc848p-16, 0x1.cf230cba2e7bdp-16, 0x1.b4662836e1b64p-16, 0x1.9aa9e06fa64dbp-16, 0x1.814dafdc3a9d6p-16, 0x1.6827b4ae467fdp-16, 0x1.4f94bfa071eeep-16, 0x1.38a2cb229013cp-16, 0x1.22cf6083674b8p-16, 0x1.0d722294334c3p-16, 0x1.f1d76556ac00dp-17, 0x1.cc0ac092e29cp-17, 0x1.a755577a0f109p-17, 0x1.822e69f541c29p-17, 0x1.5e03ca798b5fdp-17, 0x1.3cd1e031d5c6ap-17, 0x1.1d225fe7f6dcfp-17, 0x1.fc9adb00ee987p-18, 0x1.c107d92af9975p-18, 0x1.87cd95e758e79p-18, 0x1.50f243897ced8p-18, 0x1.1c6547dcfafd7p-18, 0x1.d4235803ee77cp-19, 0x1.73c80e0d93031p-19, 0x1.179497b946b4cp-19, 0x1.7ec1fcfd6d1bap-20, 0x1.abefaa685c648p-21, 0x1.a2f16f04aa2f4p-23, -0x1.998cc6692d86cp-22, -0x1.f5184cf03837ep-21, -0x1.889383823010dp-20, -0x1.0876b3fbbc6dap-19, -0x1.4897dbaa5c758p-19, -0x1.82afad16f0253p-19, -0x1.ba637e020e4p-19, -0x1.f30172ac67985p-19, -0x1.14bda15ef9dccp-18, -0x1.2d6dffa3b4227p-18, -0x1.44c91857d82dap-18, -0x1.5a19b6a913404p-18, -0x1.6eddbfaea07e9p-18, -0x1.83f8ac545c985p-18, -0x1.96dab8b38bef6p-18, -0x1.a873aad3a090cp-18, -0x1.b96aabbfb2ed4p-18, -0x1.c98b62f5dafb2p-18, -0x1.d8bf47a74b6cbp-18, -0x1.e70912973bea3p-18, -0x1.f472429651c4fp-18, -0x1.0082ae12bca66p-17, -0x1.06664dd16d141p-17, -0x1.0be8e4d7dd793p-17, -0x1.110f0a4692767p-17, -0x1.15dd0034860a4p-17, -0x1.1a565f09edf8cp-17, -0x1.1e7e7cfcfb445p-17, -0x1.225806cbd706cp-17, -0x1.25e57191b3c92p-17, -0x1.292a208c78feep-17, -0x1.2c2a83d76df55p-17, -0x1.2eebc078a9d6dp-17, -0x1.3172256f2298fp-17, -0x1.33c0ae4c22d14p-17, -0x1.35dc3d90c65d7p-17, -0x1.37cb1b8a20e21p-17, -0x1.3974b4e298222p-17, -0x1.3ac0d82ea61efp-17, -0x1.3c1a694729bc7p-17, -0x1.3d48cea02e807p-17, -0x1.3e113d1ebfa22p-17, -0x1.3edee6272b9f5p-17, -0x1.3f716dafe36c1p-17, -0x1.3fea220bad58ep-17, -0x1.404a56e70704cp-17, -0x1.408aa54951ebap-17, -0x1.40ab1c160641ep-17, -0x1.40adb2f04b221p-17, -0x1.40946f6e469aap-17, -0x1.406123904ce72p-17, -0x1.4015759468aa9p-17, -0x1.3fb2ec6f596f7p-17, -0x1.3f3af7fbf626p-17, -0x1.3eaef5c840f2cp-17, -0x1.3e1033b90c36bp-17, -0x1.3d5ff0c4621fdp-17, -0x1.3c9f5bb55e25cp-17, -0x1.3bcf8fed79edep-17, -0x1.3af19256271f3p-17, -0x1.3a06540966783p-17, -0x1.390ebe627f469p-17, -0x1.380bb69dae89p-17, -0x1.36fdf0c51345bp-17, -0x1.35e683c7c8075p-17, -0x1.34c6f3fd7e2eap-17, -0x1.339f8219ec6c8p-17, -0x1.327142d81a74p-17, -0x1.313b6a4eb754bp-17, -0x1.2ffe8c99733a8p-17, -0x1.2ebe095531a27p-17, -0x1.2d7cfa30bfdd1p-17, -0x1.2c3385a33b251p-17, -0x1.2ae332ee0eee9p-17, -0x1.298e5a235dd1ap-17, -0x1.2838a6573a04dp-17, -0x1.26e289b98d9bbp-17, -0x1.258a94ea3e5ccp-17, -0x1.2430cc47e3773p-17, -0x1.22d59d134cb86p-17, -0x1.217971285f8f1p-17, -0x1.201ca3bef3c91p-17, -0x1.1ebf8496ea181p-17, -0x1.1d625ad159bb4p-17, -0x1.1c0566ca2b2a8p-17, -0x1.1aa8e34b8c98ap-17, -0x1.194d065618857p-17, -0x1.17f2018d98f04p-17, -0x1.16980274027p-17, -0x1.153f32978e83p-17, -0x1.13e7b8311da5bp-17, -0x1.1291b6f3ad5f1p-17, -0x1.113d4fcc36f09p-17, -0x1.0fea9f05cb46p-17, -0x1.0e99ba17b60e8p-17, -0x1.0d4ab040aeb15p-17, -0x1.0bfd8db422817p-17, -0x1.0ab25c4b3ea99p-17, -0x1.096923b0ef59dp-17, -0x1.0821f608ea0a2p-17, -0x1.06dcfe2e7a67fp-17, -0x1.059a6c498026dp-17, -0x1.045a0b5032edbp-17, -0x1.031b214bee41fp-17, -0x1.01dceda5e39b6p-17, -0x1.00a2eda150e8fp-17, -0x1.fed8a3326b53fp-18, -0x1.fc6c33773d68dp-18, -0x1.fa0068522c72ap-18, -0x1.f79a590fcfdc8p-18, -0x1.f53d75c1fffd4p-18, -0x1.f2e2c935f557bp-18, -0x1.f08978ac0e517p-18, -0x1.ee3389ec66e81p-18, -0x1.ebe14a68ec459p-18, -0x1.e9929223afe6p-18, -0x1.e74735a1fafe8p-18, -0x1.e4ff0bc5b47fp-18, -0x1.e2b9bd58b8c74p-18, -0x1.e076f06af5165p-18, -0x1.de37827878df7p-18, -0x1.dbfa77482dc35p-18, -0x1.d9bfb706cd31bp-18, -0x1.d78729e9510acp-18, -0x1.d55002ddf36fcp-18, -0x1.d31ac1fb2d9cdp-18, -0x1.d0e7f9a968b9ap-18, -0x1.ceb67af312d79p-18, -0x1.cc874f4eb8519p-18, -0x1.ca58b2ee16aebp-18, -0x1.c82aafee9446cp-18, -0x1.c5fda04ab8fp-18, -0x1.c3d154be8b8c6p-18, -0x1.c1a58a321814cp-18, -0x1.bf7a2878c006dp-18, -0x1.bd4f4d7ac2835p-18, -0x1.bb24de5a3c1fcp-18, -0x1.b8fa6402ed6fp-18, -0x1.b6cdf04438453p-18, -0x1.b49edcd2b3dd3p-18, -0x1.b2761d064e4dbp-18, -0x1.b04a311e20ca8p-18, -0x1.ae1be7868d34ep-18, -0x1.abece0665df4bp-18, -0x1.a9bd4766f4fafp-18, -0x1.a78caead14ccap-18, -0x1.a558e46fa11afp-18, -0x1.a320d31268039p-18, -0x1.a0ee077ae4208p-18, -0x1.9eb8e175a29a6p-18, -0x1.9c7f227aa7c1bp-18, -0x1.9a43354d85151p-18, -0x1.98055191d0f81p-18, -0x1.95c5482a2d6e6p-18, -0x1.9382ee1b5351bp-18, -0x1.913e223f2993cp-18, -0x1.8ef6c97a1a0d8p-18, -0x1.8cacd0a814f7ap-18, -0x1.8a602560bc904p-18, -0x1.8810a06ab67cp-18, -0x1.85be1bc30158ep-18, -0x1.83689ccb7691ap-18, -0x1.81101f3074e32p-18, -0x1.7eb476a331926p-18, -0x1.7c558da49bdc2p-18, -0x1.79f36aa05c097p-18, -0x1.778e02472595bp-18, -0x1.75253dff8a71ep-18, -0x1.72b90a338cce9p-18, -0x1.704954e1b72b7p-18, -0x1.6dd612733e63p-18, -0x1.6b5f514cf9aep-18, -0x1.68e524644833cp-18, -0x1.6667786e9133ep-18, -0x1.63e62a91d6a88p-18, -0x1.6160218e4145cp-18, -0x1.5ed6312ca160bp-18, -0x1.5c4b7f140f9cp-18, -0x1.59bb649b9bccep-18, -0x1.57277f5aa8441p-18, -0x1.5490559716be1p-18, -0x1.51f47b95b2ee3p-18, -0x1.4f54fa9c0d6f3p-18, -0x1.4cb23dded42fcp-18, -0x1.4a0cdce483bb3p-18, -0x1.47635b09d765ep-18, -0x1.44b5b7486b62cp-18, -0x1.42039742a2b83p-18, -0x1.3f4da06669c72p-18, -0x1.3c97380a57cb6p-18, -0x1.39dbb26ae99bdp-18, -0x1.371c3f23d5de4p-18, -0x1.34596d63db26fp-18, }}, 
      {{-0x1.20919546d7e6bp-5, -0x1.10c26103cddf5p-5, -0x1.ee125a561e233p-6, -0x1.a881008479395p-6, -0x1.52f0ca3dce196p-6, -0x1.df87f2372053cp-7, -0x1.02f7b08de2da4p-7, -0x1.53820d826fa38p-11, 0x1.c9aecb116c82fp-8, 0x1.e6a088dc7ff2fp-7, 0x1.75f64a284ee85p-6, 0x1.f879292cbd704p-6, 0x1.3c972c57122bcp-5, 0x1.7b52fad413993p-5, 0x1.b7d4a0060e1ecp-5, 0x1.f19bd5c77182bp-5, 0x1.1420be9dea763p-4, 0x1.2dbab4df4e6b5p-4, 0x1.457e058378839p-4, 0x1.5b560b96ad41bp-4, 0x1.6f36220f9db7ap-4, 0x1.81188ff04b3p-4, 0x1.90fd865bb738bp-4, 0x1.9eea32bd74b51p-4, 0x1.aae7e76b39fd2p-4, 0x1.b50359e20bfcap-4, 0x1.bd4bf73e24033p-4, 0x1.c3d34d3f77e27p-4, 0x1.c8ac8787c9f21p-4, 0x1.cbebfe4b80b03p-4, 0x1.cda6d63ea0afap-4, 0x1.cdf2af7028b0ap-4, 0x1.cce56147a8d9bp-4, 0x1.ca94c241800fep-4, 0x1.c7167a903599dp-4, 0x1.c27fdf4fe0cd7p-4, 0x1.bce5d50e0dc47p-4, 0x1.b65cb92fc7972p-4, 0x1.aef850450cc22p-4, 0x1.a6cbb90c7da1bp-4, 0x1.9de9639159e5dp-4, 0x1.94630ad033457p-4, 0x1.8a49afde07d3dp-4, 0x1.7fad9a323d388p-4, 0x1.749e53c955d0fp-4, 0x1.692aadc70a2bep-4, 0x1.5d60bfba7dd0bp-4, 0x1.514deaa5f8f1dp-4, 0x1.44feddaf93a0dp-4, 0x1.387f978bfa404p-4, 0x1.2bdb6afdf6a84p-4, 0x1.1f1d03fd8553cp-4, 0x1.124e6bb1305e2p-4, 0x1.05790c5b8a92cp-4, 0x1.f14b6c007cdb6p-5, 0x1.d7b948547e5bp-5, 0x1.be4b0494b494fp-5, 0x1.a50edfc10c36p-5, 0x1.8c120bc4a43dbp-5, 0x1.7360b69cfa5edp-5, 0x1.5b06156794177p-5, 0x1.430c6ccb6f0b3p-5, 0x1.2b7d1a443174ap-5, 0x1.14609f3455a35p-5, 0x1.fb7d519ef5ce4p-6, 0x1.cf3c342de35c3p-6, 0x1.a40a2bebae0a4p-6, 0x1.79f20f515dc49p-6, 0x1.50fd56257e01ep-6, 0x1.29342cc2af9bcp-6, 0x1.029d86eb3a7aap-6, 0x1.ba7e59c045d0ap-7, 0x1.723ba1f188e8ep-7, 0x1.2c7a2fe56081fp-7, 0x1.d27ed99d5ce02p-8, 0x1.511db84044604p-8, 0x1.a9a959d61fe4bp-9, 0x1.7691044aee849p-10, -0x1.4761c59ac1bd8p-12, -0x1.02ff3d8237a5ep-9, -0x1.d30023ce03654p-9, -0x1.4c81bb08f871ep-8, -0x1.aa90f38799724p-8, -0x1.01de10434a256p-7, -0x1.2c09be88aafb4p-7, -0x1.53d486f081848p-7, -0x1.79481e0f2efd7p-7, -0x1.9c6ef81241ea3p-7, -0x1.bd54211b135b6p-7, -0x1.dc03409211cdep-7, -0x1.f8887657b2549p-7, -0x1.0978294b199a7p-6, -0x1.15a3e8fa3b6bfp-6, -0x1.20ce207afbde8p-6, -0x1.2afd9fe9bbce4p-6, -0x1.34395575729ecp-6, -0x1.3c884673be4e3p-6, -0x1.43f19293a318cp-6, -0x1.4a7c67c130ffap-6, -0x1.502ffe60ec9ap-6, -0x1.551399b525397p-6, -0x1.592e7fb914491p-6, -0x1.5c87f49ff47e3p-6, -0x1.5f273bdf7cd31p-6, -0x1.611394a4711e3p-6, -0x1.625430d675d3bp-6, -0x1.62f03b6b5308dp-6, -0x1.62eececebdfbbp-6, -0x1.6256f5357b663p-6, -0x1.612fa7e2b6e47p-6, -0x1.5f7fc85fda3a2p-6, -0x1.5d4e2271fd64bp-6, -0x1.5aa16d3de96f5p-6, -0x1.57804001fb5fep-6, -0x1.53f1198685e96p-6, -0x1.4ffa5906efc9dp-6, -0x1.4ba2481bb9676p-6, -0x1.46ef05d3079f7p-6, -0x1.41e69966ed107p-6, -0x1.3c8ee5b1ad82ep-6, -0x1.36edafe805044p-6, -0x1.3108983d15c0fp-6, -0x1.2ae51b8a2cb1ep-6, -0x1.248896b68f1eap-6, -0x1.1df83f4fd26c3p-6, -0x1.1739298b7e6cap-6, -0x1.105046369fcbp-6, -0x1.09425c2908d14p-6, -0x1.021412775f262p-6, -0x1.f593d33e51eb5p-7, -0x1.e6d077ac42b83p-7, -0x1.d7e680d26624ap-7, -0x1.c8de13be719d6p-7, -0x1.b9bf0465c8ef2p-7, -0x1.aa90e8f91799p-7, -0x1.9b5b09a9e4b5dp-7, -0x1.8c2465d1a17a5p-7, -0x1.7cf3b9474afacp-7, -0x1.6dcf7b191e3f2p-7, -0x1.5ebdd935e6af7p-7, -0x1.4fc4bedbfd4bep-7, -0x1.40e9d7532ff5cp-7, -0x1.323287d09c339p-7, -0x1.23a3f58d4429bp-7, -0x1.154307b677a1p-7, -0x1.0714621f08536p-7, -0x1.f238de90b90e4p-8, -0x1.d6beb5b6b987fp-8, -0x1.bbc22275c6cfp-8, -0x1.a14a9a4bd794ap-8, -0x1.875f0d5db9574p-8, -0x1.6e0606beadcfp-8, -0x1.5545a2012eca4p-8, -0x1.3d238bd9e2757p-8, -0x1.25a50da8ac013p-8, -0x1.0ecf0755b197fp-8, -0x1.f14bf269002dfp-9, -0x1.c65bfca0c7971p-9, -0x1.9cd5b195048fbp-9, -0x1.74bfd68035b74p-9, -0x1.4e20868928dc2p-9, -0x1.28fd2cb0dbac8p-9, -0x1.055a8a67f5259p-9, -0x1.c6798b2f65bdep-10, -0x1.854ec6020dad1p-10, -0x1.473a9b32fc7d8p-10, -0x1.0c41c02fc6a7ep-10, -0x1.a8cf9b21066b2p-11, -0x1.3f5e847219daep-11, -0x1.b86654bd00ff7p-12, -0x1.fd3a105354f0cp-13, -0x1.457c4d77a10c8p-14, 0x1.3d65431433e7ep-14, 0x1.c72b000fb55d7p-13, 0x1.6b625c5976f86p-12, 0x1.e6d00e365707cp-12, 0x1.2af8f4d20cfe8p-11, 0x1.5c6f41c7f510dp-11, 0x1.87d797d2e8794p-11, 0x1.ad400fc051869p-11, 0x1.ccb823d5b8fe5p-11, 0x1.e6508fc40b3fcp-11, 0x1.fa1b4745f7b4ep-11, 0x1.0415b6f9cdb31p-10, 0x1.084aa25a56a53p-10, 0x1.09b707b49802dp-10, 0x1.08660da17a218p-10, 0x1.04634e5dfd38cp-10, 0x1.fb75ad4115699p-11, 0x1.e8f23d20983d4p-11, 0x1.d156027edc1cdp-11, 0x1.b4bb6e365efe7p-11, 0x1.933da0cc60f7ap-11, 0x1.6cf858dec4b49p-11, 0x1.4207edb917ac8p-11, 0x1.1289405facb53p-11, 0x1.bd33553a23823p-12, 0x1.4cadfa16d9a75p-12, 0x1.a77db70e7fb1cp-13, 0x1.4a8c8d7b4fd3bp-14, -0x1.b33af96270e05p-15, -0x1.8e44992c6c6e9p-13, -0x1.5f4ec7f3a2551p-12, -0x1.fead8a6df6ff5p-12, -0x1.527f7b4de8028p-11, -0x1.a9019539acb82p-11, -0x1.015e834c85f4p-10, -0x1.2fc8d8b2ae0bdp-10, -0x1.5fafb7a06e4cep-10, -0x1.91030c2128013p-10, -0x1.c3b2c6e63c96dp-10, -0x1.f7aedf38d7b4ep-10, -0x1.1673aa309a6f6p-9, -0x1.31a61b55eb69ep-9, -0x1.4d66d47048c67p-9, -0x1.69adef6d2f75p-9, -0x1.8673937f9351fp-9, -0x1.a3aff5981e604p-9, -0x1.c15b58d7271b7p-9, -0x1.df6e10e0a197fp-9, -0x1.fde082f94d1cbp-9, -0x1.0e55939572366p-8, -0x1.1de344dba62d4p-8, -0x1.2d95a620f466ep-8, -0x1.3d69138e35169p-8, -0x1.4d59f503d018fp-8, -0x1.5d64be8474ea4p-8, -0x1.6d85f0b1b31cbp-8, -0x1.7dba194b763e3p-8, -0x1.8dfdd3c32d0cbp-8, -0x1.9e4dc95f325cdp-8, -0x1.aea6b2259473fp-8, -0x1.bf055469304ep-8, -0x1.cf6685d541b4ap-8, -0x1.dfc72b175ca53p-8, -0x1.f0243898f7efbp-8, -0x1.003d595a654dp-7, -0x1.0863d6f259062p-7, -0x1.108427787f6b2p-7, -0x1.189ce58cebb3ep-7, -0x1.20acb428caf09p-7, -0x1.28b23eb8b07fap-7, -0x1.30ac3933c3437p-7, -0x1.3899602950dd9p-7, -0x1.407878c1d5d8dp-7, -0x1.484850c08a668p-7, -0x1.5007be8ed4cdcp-7, -0x1.57b5a14fb5652p-7, -0x1.5f50e0f0606c3p-7, -0x1.66d86e2bd45b4p-7, -0x1.6e4b42801be0cp-7, -0x1.75a8601e6d61cp-7, -0x1.7ceed1e24a109p-7, -0x1.841dab55a47e6p-7, -0x1.8b3408b687635p-7, -0x1.92310ef9a2a3ep-7, -0x1.9913ebc06a43ap-7, -0x1.9fdbd54497b39p-7, -0x1.a6880a3d3f503p-7, -0x1.ad17d1c8f7793p-7, -0x1.b38a7b62d9d18p-7, -0x1.b9df5edf2486ap-7, -0x1.c015dc66a5f9p-7, -0x1.c62d5c7050eb7p-7, -0x1.cc254f8e4625cp-7, -0x1.d1fd2e27e6a5cp-7, -0x1.d7b478e4caea4p-7, -0x1.dd4ab7d89989cp-7, -0x1.e2bf7b2036dc1p-7, -0x1.e8125a7c56e95p-7, -0x1.ed42f53029e83p-7, -0x1.f250f20c1066bp-7, -0x1.f73bff39a35fdp-7, -0x1.fc03d212842e6p-7, -0x1.00541380395e8p-6, -0x1.029460afaaf64p-6, -0x1.04c2b5b7d2461p-6, -0x1.06defb20e5413p-6, -0x1.08e91cca6c0dap-6, -0x1.0ae109dad800fp-6, -0x1.0cc6b4a9937efp-6, -0x1.0e9a12a9a0b1ap-6, -0x1.105b1c57f274dp-6, -0x1.1209cd2d15e6ep-6, -0x1.13a62390cf97fp-6, -0x1.153020cd69e92p-6, -0x1.16a7c9005ba88p-6, -0x1.180d2306c8cfap-6, -0x1.1960386914017p-6, -0x1.1aa115447f3a7p-6, -0x1.1bcfc83867bd9p-6, -0x1.1cec625617789p-6, -0x1.1df6f712ef5b6p-6, -0x1.1eef9c3b0ef12p-6, -0x1.1fd669e220479p-6, -0x1.20ab7a518adaep-6, -0x1.216ee9f411099p-6, -0x1.2220d740bf054p-6, -0x1.22c162a71edd9p-6, -0x1.2350ae7df557fp-6, -0x1.23cedef4943eap-6, -0x1.243c1a057ba4ap-6, -0x1.2498876875758p-6, -0x1.24e45082954bep-6, -0x1.251fa055e489ap-6, -0x1.254aa36c07658p-6, -0x1.256587c067878p-6, -0x1.25707cb777b7p-6, -0x1.256bb3064a688p-6, -0x1.25575caa60c01p-6, -0x1.2533acd496b17p-6, -0x1.2500d7e333bd7p-6, -0x1.24bf13518f4c8p-6, -0x1.246e95a8b25e6p-6, -0x1.240f966f02ee1p-6, -0x1.23a24e17656aap-6, -0x1.2326f5f0d51bap-6, -0x1.229dc81727974p-6, -0x1.2206ff658ad68p-6, -0x1.2162d76a1451bp-6, -0x1.20b18c5a2824fp-6, -0x1.1ff35b06f334ap-6, -0x1.1f2880d143788p-6, -0x1.1e513b9c959ddp-6, -0x1.1d6dc9c225797p-6, -0x1.1c7e6a02b03a2p-6, -0x1.1b835b7db0591p-6, -0x1.1a7cdd9a9bc62p-6, -0x1.196b2ff5bd507p-6, -0x1.184e92678ce77p-6, -0x1.1727450ca08e7p-6, -0x1.15f5881b86053p-6, -0x1.14b99bcd5323dp-6, -0x1.1373c075f8155p-6, -0x1.122436810048fp-6, -0x1.10cb3e4d54544p-6, -0x1.0f691821af2a4p-6, -0x1.0dfe042c9d674p-6, -0x1.0c8a427cb25cep-6, -0x1.0b0e12f63889ap-6, -0x1.0989b549deb0ep-6, -0x1.07fd68ec8b165p-6, -0x1.06696d0f85fbdp-6, -0x1.04ce009929d25p-6, -0x1.032b621e3db5dp-6, -0x1.0181cfdb57a6ap-6, -0x1.ffa30f5be2b6p-7, -0x1.fc358e1cb6dc8p-7, -0x1.f8bb96124bdf1p-7, -0x1.f535a07093371p-7, -0x1.f1a42578b5e08p-7, -0x1.ee079c6e60315p-7, -0x1.ea607b8ee0f08p-7, -0x1.e6af37e793f3ap-7, -0x1.e2f4457073f6bp-7, -0x1.df301706f987bp-7, -0x1.db631e3132b7dp-7, -0x1.d78dcb6b8d766p-7, -0x1.d3b08dde0699fp-7, -0x1.cfcbd36958c2bp-7, -0x1.cbe008a829885p-7, -0x1.c7ed98dec3a55p-7, -0x1.c3f4edeeb9c77p-7, -0x1.bff6704c52c5dp-7, -0x1.bbf286f61d878p-7, -0x1.b7e99770056a1p-7, -0x1.b3dc05c22d857p-7, -0x1.afca347ada702p-7, -0x1.abb484b189314p-7, -0x1.a79b5608b8a6p-7, -0x1.a37f06abf8b3ep-7, -0x1.9f5ff349056ffp-7, -0x1.9b3e7703b31dap-7, -0x1.971aeb66af88bp-7, -0x1.92f5a8543c54ep-7, -0x1.8ecf03fb24fbep-7, -0x1.8aa752d373c8cp-7, -0x1.867ee7a4c5bb7p-7, -0x1.825613960d7a4p-7, -0x1.7e2d2643f626ap-7, -0x1.7a046dcfa4c1fp-7, -0x1.75dc36f8416f4p-7, -0x1.71b4cd10f1ce3p-7, -0x1.6d8e7a00aec25p-7, -0x1.6969861e1ef5ep-7, -0x1.6546380e7a3b3p-7, -0x1.6124d4a76a8afp-7, -0x1.5d059ecf3b89dp-7, -0x1.58e8d777a9f85p-7, -0x1.54cebdacda92ep-7, -0x1.50b78ebb84112p-7, -0x1.4ca386671b6afp-7, -0x1.4892df2440057p-7, -0x1.4485d2492a1b4p-7, -0x1.407c982610ab1p-7, -0x1.3c776804a6044p-7, -0x1.387677ed9732dp-7, -0x1.3479fc86d58d2p-7, -0x1.308228a51b412p-7, -0x1.2c8f2d1bb72efp-7, -0x1.28a138897bce1p-7, -0x1.24b87755df42fp-7, -0x1.20d513da93d98p-7, -0x1.1cf736b4a7f2fp-7, -0x1.191f072e0fadbp-7, -0x1.154caba929c57p-7, -0x1.118049f5984b9p-7, -0x1.0dba07795326cp-7, -0x1.09fa092178331p-7, -0x1.0640731aeae38p-7, -0x1.028d686075713p-7, -0x1.fdc2146e3b9cap-8, -0x1.f676ef71ab126p-8, -0x1.ef399b165c81fp-8, -0x1.e80a4bb04898p-8, -0x1.e0e9311d41b5cp-8, -0x1.d9d677c008b9p-8, -0x1.d2d249c0cef0ap-8, -0x1.cbdcd04f34575p-8, -0x1.c4f634a090931p-8, -0x1.be1ea0754fe74p-8, -0x1.b7563e078e8d6p-8, -0x1.b09d376185aa7p-8, -0x1.a9f3b536445c4p-8, -0x1.a359dd71a161ap-8, -0x1.9ccfd1c8d2d55p-8, -0x1.9655aea0caed8p-8, -0x1.8feb8a97dce3ep-8, -0x1.899176e286ea4p-8, -0x1.8347807841377p-8, -0x1.7d0db1d421f35p-8, -0x1.76e414e14f626p-8, -0x1.70cab4a0d6ddfp-8, -0x1.6ac19e2f98641p-8, -0x1.64c8e10286938p-8, -0x1.5ee08e6063c2dp-8, -0x1.5908b83f81f4ep-8, -0x1.53416fbd171ffp-8, -0x1.4d8ac35c4dd1dp-8, -0x1.47e4bd36889cep-8, -0x1.424f61b2e0b03p-8, -0x1.3ccaaea604db5p-8, -0x1.37569b6b105bcp-8, -0x1.31f31a55ec85bp-8, -0x1.2ca01ab2d3b5dp-8, -0x1.275d8b6fb154fp-8, -0x1.222b5d72a11dfp-8, -0x1.1d09850e35322p-8, -0x1.17f7fa602cea8p-8, -0x1.12f6b8c04da45p-8, -0x1.0e05bda286134p-8, -0x1.0925074c79cbep-8, -0x1.0454938dc6dc8p-8, -0x1.ff28bcd5631bfp-9, -0x1.f5c8c15ad934fp-9, -0x1.ec891cc7b3aaap-9, -0x1.e369ab59af132p-9, -0x1.da6a3ca31dfdfp-9, -0x1.d18a953ecc541p-9, -0x1.c8ca730294285p-9, -0x1.c029928dc0622p-9, -0x1.b7a7b443cdc2ap-9, -0x1.af449ee60d98p-9, -0x1.a7001f2423ac6p-9, -0x1.9eda05204fa24p-9, -0x1.96d221a677027p-9, -0x1.8ee845143fd6ep-9, -0x1.871c4037e7c34p-9, -0x1.7f6de5b6b68cfp-9, -0x1.77dd0b013ea57p-9, -0x1.706986eafaacap-9, -0x1.69132e6386e0ep-9, -0x1.61d9d0bb179a2p-9, -0x1.5abd3578c0cd8p-9, -0x1.53bd1d19bae05p-9, -0x1.4cd9447d07a33p-9, -0x1.4611691dab63p-9, -0x1.3f654b9a4acbbp-9, -0x1.38d4aeddf26eap-9, -0x1.325f54270a688p-9, -0x1.2c04f5fb27fa9p-9, -0x1.25c544d42bf06p-9, -0x1.1f9fe79c4b41p-9, -0x1.19948050e556fp-9, -0x1.13a2b30d1cc74p-9, -0x1.0dca2c4b1103bp-9, -0x1.080aa35a1fc0ap-9, -0x1.0263d8305ddc7p-9, -0x1.f9ab1d814c665p-10, -0x1.eebf17589046p-10, -0x1.e40329ee84ba6p-10, -0x1.d976ec09417c2p-10, -0x1.cf1a06423a7f9p-10, -0x1.c4ec31686ca7bp-10, -0x1.baed2a3667701p-10, -0x1.b11c9fc94a081p-10, -0x1.a77a255f5e99ep-10, -0x1.9e052c63081d3p-10, -0x1.94bd05cd5b25ap-10, -0x1.8ba0e776d1ce3p-10, -0x1.82aff44a9ea71p-10, -0x1.79e9489494fa5p-10, -0x1.714c08fbf4f43p-10, -0x1.68d76d75e410ep-10, -0x1.608ac10d2a993p-10, -0x1.5865579d7f838p-10, -0x1.5066855f423bbp-10, -0x1.488da5e2c5383p-10, -0x1.40da33f11d3fep-10, -0x1.394be259a6df7p-10, -0x1.31e29efda62f2p-10, -0x1.2a9e760582e76p-10, -0x1.237f62e42ec4cp-10, -0x1.1c852bdcf10b6p-10, -0x1.15af5ceb79f92p-10, -0x1.0efd5e4c68599p-10, -0x1.086e8fc2bde8bp-10, -0x1.02025468b4cdp-10, -0x1.f7701abdad0eap-11, -0x1.eb1e209c1dcc9p-11, -0x1.df0d4b6c5e53dp-11, -0x1.d33c2077d7226p-11, -0x1.c7a926dba93d6p-11, -0x1.bc52e0727a3a9p-11, -0x1.b137b71b66c4dp-11, -0x1.a655fcdeb1f7ap-11, -0x1.9bac21b220f15p-11, -0x1.91390e3224044p-11, -0x1.86fc621be35dbp-11, -0x1.7cf656a0b3e77p-11, -0x1.732747e98d9bdp-11, -0x1.698f32c9262b2p-11, -0x1.602d7d54b79aep-11, -0x1.57012063d63edp-11, -0x1.4e08fbfcc0cdap-11, -0x1.4544111f5c683p-11, -0x1.3cb18946923d4p-11, -0x1.3450a0b9ae6b8p-11, -0x1.2c208d6b90417p-11, -0x1.24206d0eae518p-11, -0x1.1c4f3ddaeadf8p-11, -0x1.14abe38076c6ap-11, -0x1.0d353217941fdp-11, -0x1.05e9f235a77dfp-11, -0x1.fd91b8996c124p-12, -0x1.efa14119f2a5cp-12, -0x1.e2001ef175d82p-12, -0x1.d4ac9d57e9283p-12, -0x1.c7a5cd57b34abp-12, -0x1.baeb2df4b0a1p-12, -0x1.ae7c33c006b61p-12, -0x1.a258153a84c9ap-12, -0x1.967ddd8b211ebp-12, -0x1.8aec77ff170afp-12, -0x1.7fa2986d26512p-12, -0x1.749ebfb6b994ap-12, -0x1.69df7b24658f1p-12, -0x1.5f63996e3e62ep-12, -0x1.552a19d51f8b9p-12, -0x1.4b31ed26c4924p-12, -0x1.4179bbdc5bc89p-12, -0x1.37ffd5d2437ebp-12, -0x1.2ec25f01ddabbp-12, -0x1.25bfa2ce0f8bp-12, -0x1.1cf64a89083bap-12, -0x1.146548dcf72a6p-12, -0x1.0c0b9d75ec4fp-12, -0x1.03e836d5c10eep-12, -0x1.f7f3debbaedffp-13, -0x1.e87ed7587cf84p-13, -0x1.d96df5e71fc0ep-13, -0x1.cabdcbb2a6abap-13, -0x1.bc6c1d0baf838p-13, -0x1.ae783b3b9455ap-13, -0x1.a0e1c7e584487p-13, -0x1.93a7595693097p-13, -0x1.86c67dcbd04ap-13, -0x1.7a3cabadf6694p-13, -0x1.6e07ef8fb2adfp-13, -0x1.6226ed5f40016p-13, -0x1.569871e4333bap-13, -0x1.4b5afebaed74bp-13, -0x1.406c86948a422p-13, -0x1.35ca6bb88113dp-13, -0x1.2b71ebe0b7bfep-13, -0x1.2160e36ced519p-13, -0x1.17964c207cee4p-13, -0x1.0e11de490b34ep-13, -0x1.04d308ef3765ap-13, -0x1.f7b0783099312p-14, -0x1.e63e02420b898p-14, -0x1.d548c771fa246p-14, -0x1.c4cb5c26e9e68p-14, -0x1.b4c30a2d3b4e9p-14, -0x1.a52fc3c935caep-14, -0x1.9610ef6d6520bp-14, -0x1.87637ede15201p-14, -0x1.79237c7d0b89bp-14, -0x1.6b4d546182544p-14, -0x1.5ddd711317d65p-14, -0x1.50d0bc6915c9ep-14, -0x1.442555d47a03cp-14, -0x1.37da2793d5cf1p-14, -0x1.2bee1179b3ce2p-14, -0x1.205e91720efb7p-14, -0x1.152885ddea68dp-14, -0x1.0a49007c91f16p-14, -0x1.ff7a79dd0a84ep-15, -0x1.eb067e88bb55cp-15, -0x1.d734a3b4a00d4p-15, -0x1.c4044627772c7p-15, -0x1.b17218f6c38edp-15, -0x1.9f772d37806cbp-15, -0x1.8e0b834f3b046p-15, -0x1.7d2854b3dde37p-15, -0x1.6cc9f68bb4d5p-15, -0x1.5cf0df070f1b4p-15, -0x1.4d9ca6b00d19fp-15, -0x1.3ec828215cc41p-15, -0x1.306e87ec32613p-15, -0x1.228e8484434ddp-15, -0x1.1526674a989b8p-15, -0x1.083241c025a73p-15, -0x1.f75a977ab40bap-16, -0x1.df240baeac64fp-16, -0x1.c7b61d9bf3372p-16, -0x1.b10b9f112efa6p-16, -0x1.9b24f5577fe4fp-16, -0x1.8600db4a4d9ep-16, -0x1.7198c272a82e2p-16, -0x1.5de540507f1acp-16, -0x1.4ae13f83971fdp-16, -0x1.38889317e216fp-16, -0x1.26d7a954ba6a3p-16, -0x1.15cb744576592p-16, -0x1.055eeadfad3ep-16, -0x1.eb13e1e27885dp-17, -0x1.cc8a41db5d661p-17, -0x1.af18ace98528cp-17, -0x1.92ba117857cp-17, -0x1.776c206c3eb76p-17, -0x1.5d262c0e8c261p-17, -0x1.43d8e009ff83ap-17, -0x1.2b7ea34c38ddfp-17, -0x1.14146817c6dbbp-17, -0x1.fb248a55a979p-18, -0x1.cfe2721d63fdfp-18, -0x1.a658f53c76617p-18, -0x1.7e7e5d958f29dp-18, -0x1.58441ce2aa5c3p-18, -0x1.3395d0cb33de1p-18, -0x1.105e49276febfp-18, -0x1.dd199d4c1dc0dp-19, -0x1.9c313c1debdc4p-19, -0x1.5e037f07da0f8p-19, -0x1.2284b0b38bbafp-19, -0x1.d322ac72c90fap-20, -0x1.6621b15e66578p-20, -0x1.fbd2838625973p-21, -0x1.349eb94615f2bp-21, -0x1.d9396f4854d8bp-23, 0x1.fc3aa4291444dp-24, 0x1.da6e025f8293ap-22, 0x1.92c81ea3b4165p-21, 0x1.183a79be99a3fp-20, 0x1.635842575dd8bp-20, 0x1.aaeb15aacd6d5p-20, 0x1.ef17529cd3e6cp-20, 0x1.17ee50af99de7p-19, 0x1.36aec3f0f0063p-19, 0x1.53e15aa12bfbdp-19, 0x1.6f92a1ed5858ap-19, 0x1.89cd3c7d5419ap-19, 0x1.a29ce1c24e47ep-19, 0x1.ba0ed2fea9e1p-19, 0x1.d03146f8b8018p-19, 0x1.e51216825b7b4p-19, 0x1.f8bd97f775e86p-19, 0x1.059f9ceef7c9cp-18, 0x1.0e513a2ff5739p-18, 0x1.1677c14672a86p-18, 0x1.1e15b05d84461p-18, 0x1.25314266742f7p-18, 0x1.2bd2391368945p-18, 0x1.32005a2f7dcbbp-18, 0x1.37c04ea2cec72p-18, 0x1.3d120f6e2c204p-18, 0x1.41fa1157fcee5p-18, 0x1.467e3a9ecb42bp-18, 0x1.4aa0ba7569f4fp-18, 0x1.4e6287a5700bep-18, 0x1.51ccab9ee3c9fp-18, 0x1.54e67fb8ae1dep-18, 0x1.57b09e8f8867bp-18, 0x1.5a2a161d6cc0bp-18, 0x1.5c585e9cb63fep-18, 0x1.5e3f854c8d0dcp-18, 0x1.5fe21992f9ec4p-18, 0x1.6142d4c792127p-18, 0x1.6264a88faa83fp-18, 0x1.634a8c489d656p-18, 0x1.63f756c8cdb49p-18, 0x1.646da94f6627bp-18, 0x1.64aff50534756p-18, 0x1.64c0993a637c2p-18, 0x1.64a1fea77c75cp-18, 0x1.645688e0851e8p-18, 0x1.63e05a2b0f90cp-18, 0x1.6341313b25c84p-18, 0x1.627abda13ad41p-18, 0x1.618f0268d8882p-18, 0x1.607fb52eff20bp-18, 0x1.5f4e443d31b18p-18, 0x1.5dfe42d7b4c7cp-18, 0x1.5c9283f0d9b6bp-18, 0x1.5b0abedfafb51p-18, 0x1.5966dddae534ap-18, 0x1.57a94aa04fa6ep-18, 0x1.55d2b7d79b66ap-18, 0x1.53e5bf67293dp-18, 0x1.51e6f76d78c1dp-18, 0x1.4fd99d33773b6p-18, 0x1.4db69e2e924acp-18, 0x1.4b7d8ea6b37cp-18, 0x1.4930f57f7a893p-18, 0x1.46daf261e2316p-18, 0x1.4478606df2884p-18, 0x1.42077ea66b7dep-18, 0x1.3f89a1aec14e1p-18, 0x1.3d001ea01c62cp-18, 0x1.3a6c10fab45dap-18, 0x1.37ce5ef8b64bbp-18, 0x1.3527cc56eb496p-18, 0x1.32797f3379679p-18, 0x1.2fc39d4133214p-18, 0x1.2d06c0f4dbad2p-18, 0x1.2a43f38cb59c1p-18, 0x1.277b726afeb38p-18, 0x1.24adf7939117dp-18, 0x1.21dc355d4c497p-18, 0x1.1f06d1c1fdd3bp-18, 0x1.1c2e4c7505c68p-18, 0x1.195309e12ce5ap-18, 0x1.167566ff322d2p-18, 0x1.139590883ce43p-18, 0x1.10b3cef34e85cp-18, 0x1.0dd15c4cf110ep-18, 0x1.0aee53bcb9312p-18, 0x1.080aa54e71c52p-18, 0x1.0527506d9f946p-18, 0x1.02441d08747ecp-18, 0x1.fec31fa6ebc6bp-19, 0x1.f8ffdd079e0b4p-19, 0x1.f33ed627e283dp-19, 0x1.ed80837c0681bp-19, 0x1.e7c55cb6c2bc5p-19, 0x1.e20dd23681b9dp-19, 0x1.dc5a4cd51ed4cp-19, 0x1.d6ab2edf08cd8p-19, 0x1.d100d4db88c94p-19, 0x1.cb5b95e50decp-19, 0x1.c5bbc411a6d1fp-19, 0x1.c021acb3762c1p-19, 0x1.ba8d971e930d9p-19, 0x1.b4ffc1ac28c46p-19, 0x1.af7859ac6f539p-19, 0x1.a9f763db94c72p-19, 0x1.a47c7e494027dp-19, 0x1.9f068c56e1595p-19, 0x1.9995ee1ef9a27p-19, 0x1.943801c77967fp-19, 0x1.8ee828ee37b1ap-19, 0x1.898b74a433ad1p-19, 0x1.84459e1f1f146p-19, 0x1.7ef066e1d2f67p-19, 0x1.79af2c1f605cfp-19, 0x1.747e981e5dd5cp-19, 0x1.6f539dc6dc20ap-19, 0x1.6a2ee4b7f5222p-19, 0x1.651195caddb33p-19, 0x1.5ffc3b553317ap-19, 0x1.5aef09f21cdcbp-19, 0x1.55ea1ca001f13p-19, 0x1.50ed77c85ddb9p-19, 0x1.4bf916ec269fep-19, 0x1.470cf879c7f63p-19, 0x1.42291aba09784p-19, 0x1.3d4d7aabbccd9p-19, 0x1.387a13eb20603p-19, 0x1.33aee0c583d49p-19, 0x1.2eebda4d8c2eep-19, 0x1.2a30f883b097p-19, 0x1.257e328437faap-19, 0x1.20d37ea8114f2p-19, 0x1.1c30d28ae6487p-19, 0x1.1796230c300c7p-19, 0x1.1303644383557p-19, 0x1.0e788a920de8bp-19, 0x1.09f58ac4f6d67p-19, 0x1.057a56c765aa8p-19, 0x1.0106e2388e1b3p-19, 0x1.f93645d9ab943p-20, 0x1.f06e14b786012p-20, 0x1.e7b515f8f8dd4p-20, 0x1.df0b312cb9536p-20, 0x1.d67051dbba57ep-20, 0x1.cde44403da554p-20, 0x1.c5675baae7329p-20, 0x1.bcf8523d6364p-20, 0x1.b498622522dp-20, 0x1.ac46b9c0edcdbp-20, 0x1.a4035a3fc988ep-20, 0x1.9bce43a39a3b9p-20, 0x1.93a759c675235p-20, 0x1.8b8e6b5ea74b6p-20, 0x1.83835bbb0c87p-20, 0x1.7b8621e63b16ep-20, 0x1.7396b3132d998p-20, 0x1.6bb4e4e03a7c1p-20, 0x1.63e09fcd76e4bp-20, 0x1.5c19cdefd1da2p-20, 0x1.54602a06baf7p-20, 0x1.4cb2bc880ce4bp-20, 0x1.450e839d80e7ap-20, 0x1.3d717390cc451p-20, 0x1.35f7aa7a32f9ap-20, 0x1.2e9aae51731b3p-20, 0x1.27206b1b615p-20, 0x1.1fa5a775fd291p-20, 0x1.18569521532cap-20, 0x1.1113eed2bb5a5p-20, 0x1.09e5bc5460d9ap-20, 0x1.02c2ffd1c155bp-20, 0x1.f73d8ea140a42p-21, 0x1.e918ad6cc5566p-21, 0x1.dae96bd286ba7p-21, 0x1.ccea83f8bf538p-21, 0x1.bf13caef2bb68p-21, 0x1.b1519969b6891p-21, 0x1.a3a3cbae0b598p-21, 0x1.960c711eeb06dp-21, 0x1.888c8e1f29d91p-21, 0x1.7b24613316258p-21, 0x1.6dd3da68cf99fp-21, 0x1.609af30ac9c56p-21, 0x1.53799bd5d415cp-21, 0x1.466fd1917f1e5p-21, 0x1.397dd3eaeef3cp-21, 0x1.2ca34c8018829p-21, 0x1.1fe0312234d85p-21, 0x1.13348074d91b6p-21, 0x1.06a02ee37a088p-21, 0x1.f446443e33e46p-22, 0x1.db7a519bc2b72p-22, 0x1.c2dc2796f4458p-22, 0x1.aa6bf8b577b7bp-22, 0x1.922972854a17ap-22, 0x1.7a15227653951p-22, 0x1.622ff825fd34cp-22, 0x1.4a7a2a08d365fp-22, 0x1.32f3219c8ca24p-22, 0x1.1b99e414a8f4bp-22, 0x1.046dffe3aedebp-22, 0x1.dadf27da8ae3cp-23, 0x1.ad3e4562491a9p-23, 0x1.7ffa2996d322cp-23, 0x1.5311a7cf40f66p-23, 0x1.2683804de6642p-23, 0x1.f4a398907d5b3p-24, 0x1.9cfb322be6cdcp-24, 0x1.4609495d7930ap-24, 0x1.df9a7d61b373ep-25, 0x1.349600d838d12p-25, 0x1.160d7d3fc593fp-26, -0x1.d159c9b849facp-29, -0x1.877ff352982c1p-26, -0x1.68f80f81422d3p-25, -0x1.065e81b2e924ap-24, -0x1.5786e401ec17ap-24, -0x1.a7f4acafd2effp-24, -0x1.f7a792b36abd6p-24, -0x1.234fa454ad846p-23, -0x1.4a6dcf3796b57p-23, -0x1.712e1d93fdcf5p-23, -0x1.979135a227806p-23, -0x1.bd9df7e2b3b06p-23, -0x1.e36f35339d929p-23, -0x1.04a05c6f66b3p-22, -0x1.16cc6025a2b93p-22, -0x1.28acc1522bp-22, -0x1.3ab6efee351e3p-22, -0x1.4d354ab24da46p-22, -0x1.5f10fe200c728p-22, -0x1.7060a3807a90cp-22, -0x1.81ab128ff2567p-22, -0x1.92d578acede2cp-22, -0x1.a3d372ff62dc6p-22, -0x1.b4a25f0c3049bp-22, -0x1.c541a4a9f86ddp-22, -0x1.d5b131ab827fbp-22, }}, 
      {{-0x1.241f8fa2f7d8cp-5, -0x1.1ed2349e9f532p-5, -0x1.161ca26c64b91p-5, -0x1.0a2c9128f1287p-5, -0x1.f67933d649e21p-6, -0x1.d3215756a98d5p-6, -0x1.aae5a024840d4p-6, -0x1.7e60ba74b2dd9p-6, -0x1.4e2f360d17e36p-6, -0x1.1aebb2bcf7e5cp-6, -0x1.ca57bffa6a609p-7, -0x1.5afc75cb24461p-7, -0x1.d1a1d58fd39e7p-8, -0x1.d333451996135p-9, 0x1.6802e5b4151b1p-18, 0x1.d53c11a9f398dp-9, 0x1.d3c1c798173dap-8, 0x1.5d3eed7b5bc51p-7, 0x1.ced937b8f107fp-7, 0x1.1f1949d8fcb36p-6, 0x1.556fab876b1fdp-6, 0x1.8a420d0c6a433p-6, 0x1.bd6a36573e119p-6, 0x1.eec8c2a7a318ep-6, 0x1.0f224098fef21p-5, 0x1.25e4eb19054d3p-5, 0x1.3ba514099ead6p-5, 0x1.505da7e51eb65p-5, 0x1.640b8c99d35d8p-5, 0x1.76ad642ebe0fep-5, 0x1.884355a53abf5p-5, 0x1.98ced9f5467adp-5, 0x1.a8528f14f9dfdp-5, 0x1.b6d20d079fb1p-5, 0x1.c451c232226f8p-5, 0x1.d0d6d0ddd0e27p-5, 0x1.dc66f20063d2fp-5, 0x1.e7085afa25b39p-5, 0x1.f0c1a6260cdd6p-5, 0x1.f999be1c7e4dap-5, 0x1.00cbe5c4ea6e1p-4, 0x1.046192eff3c7ap-4, 0x1.0791a20861c46p-4, 0x1.0a5fd935312c3p-4, 0x1.0cd002fa297bfp-4, 0x1.0ee5ea7364ad9p-4, 0x1.10a556bfdb66ap-4, 0x1.121207bbeaef2p-4, 0x1.132fb36ac4053p-4, 0x1.140202e5a8ac8p-4, 0x1.148c903c6d83fp-4, 0x1.14d2e5055bf34p-4, 0x1.14d878b0d086cp-4, 0x1.14a0aef084e19p-4, 0x1.142ed69eba74fp-4, 0x1.1386295f44363p-4, 0x1.12a9cabdaa07ap-4, 0x1.119cc738e8d09p-4, 0x1.106214452996dp-4, 0x1.0efc8fc254779p-4, 0x1.0d6f003931f51p-4, 0x1.0bbc1477f2a08p-4, 0x1.09e663648e6aep-4, 0x1.07f06c9d05453p-4, 0x1.05dc98061bafap-4, 0x1.03ad363c78b1dp-4, 0x1.016481298b321p-4, 0x1.fe09381184ep-5, 0x1.f91f26eec2a4fp-5, 0x1.f40ebc876eee2p-5, 0x1.eedbbb9fe14c4p-5, 0x1.e989bca67b1d9p-5, 0x1.e41c2e4330b49p-5, 0x1.de96571714ebp-5, 0x1.d8fb571f68167p-5, 0x1.d34e27134ead6p-5, 0x1.cd919a9852c1p-5, 0x1.c7c86152677d9p-5, 0x1.c1f507438a198p-5, 0x1.bc19f6be12843p-5, 0x1.b639791bfeaebp-5, 0x1.b055b6bd0a306p-5, 0x1.aa70b9ab63916p-5, 0x1.a48c6e55e669ep-5, 0x1.9eaaa4498806ap-5, 0x1.98cd0e5ba6eb5p-5, 0x1.92f5458246bc8p-5, 0x1.8d24c84d45e14p-5, 0x1.875cfcd4a966ep-5, 0x1.819f30a815bb6p-5, 0x1.7bec9acdfcf7bp-5, 0x1.76465c718d0c7p-5, 0x1.70ad812c5601ep-5, 0x1.6b23008eda08dp-5, 0x1.65a7be3b64fcbp-5, 0x1.603c8bca865b3p-5, 0x1.5ae22973c2366p-5, 0x1.55994578657f3p-5, 0x1.50627e271ec8dp-5, 0x1.4b3e628f78da5p-5, 0x1.462d72609161p-5, 0x1.41301f4460cf6p-5, 0x1.3c46cdf6a0405p-5, 0x1.3771d5b6163c5p-5, 0x1.32b181d330caap-5, 0x1.2e06121ea1d37p-5, 0x1.296fbb9e4e4b3p-5, 0x1.24eea8c2afcf4p-5, 0x1.2082f9e18f962p-5, 0x1.1c2cc68db8b33p-5, 0x1.17ec1d0031c6dp-5, 0x1.13c1036c069cbp-5, 0x1.0fab77e505a31p-5, 0x1.0bab7122c68a3p-5, 0x1.07c0ded7f9d8p-5, 0x1.03ebaa5221042p-5, 0x1.002bb5d57e887p-5, 0x1.f901be29e93e6p-6, 0x1.f1d5fb62ce682p-6, 0x1.ead3c8cde8256p-6, 0x1.e3fac2520178p-6, 0x1.dd4a7b8de455p-6, 0x1.d6c2802d9b366p-6, 0x1.d06254013d7dp-6, 0x1.ca2974b36c5dbp-6, 0x1.c4175935d9582p-6, 0x1.be2b72025cd41p-6, 0x1.b8652bf189049p-6, 0x1.b2c3ede5db667p-6, 0x1.ad471a51aa551p-6, 0x1.a7ee103d20c96p-6, 0x1.a2b82ad11e3b2p-6, 0x1.9da4c26bcc5c4p-6, 0x1.98b32d02545f6p-6, 0x1.93e2bd6482c8fp-6, 0x1.8f32c4f5c8effp-6, 0x1.8aa293898b9c4p-6, 0x1.863177bd1ab73p-6, 0x1.81debe49d3a82p-6, 0x1.7da9b4730ed63p-6, 0x1.7991a6dba729bp-6, 0x1.7595e1600df9ep-6, 0x1.71b5b064b008ep-6, 0x1.6df060941388cp-6, 0x1.6a453f095939fp-6, 0x1.66b399f9b6f8bp-6, 0x1.633abfc7181b5p-6, 0x1.5fda006a79bedp-6, 0x1.5c90ad45907f5p-6, 0x1.595e1867a404cp-6, 0x1.5641960ebebc1p-6, 0x1.533a7bde1e8cbp-6, 0x1.5048211912505p-6, 0x1.4d69df204f27fp-6, 0x1.4a9f116a6c9a2p-6, 0x1.47e7154983a95p-6, 0x1.45414a11321e8p-6, 0x1.42ad11f93cdd5p-6, 0x1.4029d10c58e02p-6, 0x1.3db6ee10a0a8ap-6, 0x1.3b53d2262dca1p-6, 0x1.38ffe90ba62c1p-6, 0x1.36baa129e0dc6p-6, 0x1.34836b7412c3ep-6, 0x1.3259bbaa75aa1p-6, 0x1.303d086c45d74p-6, 0x1.2e2ccad5c39f9p-6, 0x1.2c287ef97039ap-6, 0x1.2a2fa3e257ea6p-6, 0x1.2841bb32b839dp-6, 0x1.265e4969a1c24p-6, 0x1.2484d60808b62p-6, 0x1.22b4eb58a7181p-6, 0x1.20ee167955f92p-6, 0x1.1f2fe776e5d2ep-6, 0x1.1d79f12674767p-6, 0x1.1bcbc92bfedc8p-6, 0x1.1a25084ebb33bp-6, 0x1.188549ce084c2p-6, 0x1.16ec2bd1534c9p-6, 0x1.15594f60a8394p-6, 0x1.13cc5831a18cap-6, 0x1.1244ecb8cddb1p-6, 0x1.10c2b634ddb82p-6, 0x1.0f45609afdc19p-6, 0x1.0dcc9a767da0fp-6, 0x1.0c58151240d61p-6, 0x1.0ae78444e23eap-6, 0x1.097a9e82f97f6p-6, 0x1.08111cd3a4a38p-6, 0x1.06aababc0f0c3p-6, 0x1.0547364498daep-6, 0x1.03e64ff9d0c02p-6, 0x1.0287cabb57331p-6, 0x1.012b6bd67a235p-6, 0x1.ffa1f5fa6058bp-7, 0x1.fcf0842b6c8e9p-7, 0x1.fa421ab2c3124p-7, 0x1.f79656709e4f6p-7, 0x1.f4ecd8b1babc3p-7, 0x1.f245470fc0128p-7, 0x1.ef9f4b584362fp-7, 0x1.ecfa937991b68p-7, 0x1.ea56d16d93bcep-7, 0x1.e7b3bb231ef85p-7, 0x1.e5110a682db88p-7, 0x1.e26e7cdea80f7p-7, 0x1.dfcbd3dfaa487p-7, 0x1.dd28d46538984p-7, 0x1.da8546fcc9dc4p-7, 0x1.d7e0f77d9cc78p-7, 0x1.d53bb5293578ap-7, 0x1.d29552fb23e49p-7, 0x1.cfeda6ac96d04p-7, 0x1.cd4488ec90d0bp-7, 0x1.ca99d6259c4fp-7, 0x1.c7ed6d2f8f5cap-7, 0x1.c53f2fa66568cp-7, 0x1.c28f024378f23p-7, 0x1.bfdccc6acd3e4p-7, 0x1.bd28781968acbp-7, 0x1.ba71f1db66ff6p-7, 0x1.b7b928b1f5a7ep-7, 0x1.b4fe0e0309bap-7, 0x1.b24095817e48fp-7, 0x1.af80b52120c53p-7, 0x1.acbe6503d4489p-7, 0x1.a9f99f6498739p-7, 0x1.a7326088127b5p-7, 0x1.a468a6a449027p-7, 0x1.a19c71dc8a324p-7, 0x1.9ecdc406c1a1ep-7, 0x1.9bfca0cc0c70dp-7, 0x1.99290d5fa0d1cp-7, 0x1.965310a6e6073p-7, 0x1.937ab3106784dp-7, 0x1.909ffe86a8ddep-7, 0x1.8dc2fe5d24792p-7, 0x1.8ae3bf3a9a112p-7, 0x1.88024f099a925p-7, 0x1.851ebcea94304p-7, 0x1.8239192a050c4p-7, 0x1.7f517533048c3p-7, 0x1.7c67e37e3e1eap-7, 0x1.797c7781f1c53p-7, 0x1.768f45a2d5cc7p-7, 0x1.73a06325ab40bp-7, 0x1.70afe621ebdcp-7, 0x1.6dbde574deb1cp-7, 0x1.6aca78b5db6f8p-7, 0x1.67d5b82bd150bp-7, 0x1.64dfbcc3298cbp-7, 0x1.61e8a000cc86dp-7, 0x1.5ef07bf1c9ae4p-7, 0x1.5bf76b20764c3p-7, 0x1.58fd8889e4fbfp-7, 0x1.5602ef920cc6bp-7, 0x1.5307bbfac7db5p-7, 0x1.500c09da820ecp-7, 0x1.4d0ff59309228p-7, 0x1.4a139bc901b52p-7, 0x1.47171959fd0f2p-7, 0x1.441a8b516f8c8p-7, 0x1.411e0ed52fcf6p-7, 0x1.3e21c12f4269p-7, 0x1.3b25bfe4e3e07p-7, 0x1.382a2836e2286p-7, 0x1.352f17c0fb4aep-7, 0x1.3234abdcd9cccp-7, 0x1.2f3b01e7b027fp-7, 0x1.2c4237464cc8ep-7, 0x1.294a6938cdfe3p-7, 0x1.2653b4df819c2p-7, 0x1.235e3736da248p-7, 0x1.206a0d1150a6cp-7, 0x1.1d77531429361p-7, 0x1.1a8625b07112ap-7, 0x1.1796a11d730b2p-7, 0x1.14a8e1552e67ap-7, 0x1.11bd020cccd65p-7, 0x1.0ed31eaf12047p-7, 0x1.0beb5257a4ef3p-7, 0x1.0905b7cee7c61p-7, 0x1.06226987bf0e7p-7, 0x1.0341819dd35c1p-7, 0x1.006319d206affp-7, 0x1.fb0e970c19c27p-8, 0x1.f55c5f7189647p-8, 0x1.efafbe03f6948p-8, 0x1.ea08e31ff152bp-8, 0x1.e467fe486c603p-8, 0x1.decd3e2146e11p-8, 0x1.d938d06a41842p-8, 0x1.d3aae1fb2eeb6p-8, 0x1.ce239ec295cc7p-8, 0x1.c8a331c74be4ap-8, 0x1.c329c52b3a71dp-8, 0x1.bdb7822a86065p-8, 0x1.b84c9112e1fa7p-8, 0x1.b2e919343fc26p-8, 0x1.ad8d40d1c3ca1p-8, 0x1.a8392d1b76a2fp-8, 0x1.a2ed0234b434cp-8, 0x1.9da8e342c76bp-8, 0x1.986cf2767be1ep-8, 0x1.93395113d39a9p-8, 0x1.8e0e1f70e707cp-8, 0x1.88eb7cd884e37p-8, 0x1.83d18790b5139p-8, 0x1.7ec05cc922312p-8, 0x1.79b818aa6f43p-8, 0x1.74b8d64bca844p-8, 0x1.6fc2afbe649c6p-8, 0x1.6ad5be148a636p-8, 0x1.65f21965bbf8p-8, 0x1.6117d8cf1cc6bp-8, 0x1.5c4712718b75bp-8, 0x1.577fdb7074ff6p-8, 0x1.52c247f0f9b5ap-8, 0x1.4e0e6b1bd8b65p-8, 0x1.4964571feffe4p-8, 0x1.44c41d348598fp-8, 0x1.402dcd9bcc7c6p-8, 0x1.3ba177a4c2332p-8, 0x1.371f29aa0ee93p-8, 0x1.32a6f10fdbc29p-8, 0x1.2e38da35dc682p-8, 0x1.29d4f0ae04f18p-8, 0x1.257b3f8133293p-8, 0x1.212bd0af41382p-8, 0x1.1ce6acaf8a97ap-8, 0x1.18abdb5c561dp-8, 0x1.147b645dace5bp-8, 0x1.10554e33e2359p-8, 0x1.0c399e034d94ap-8, 0x1.082858569b995p-8, 0x1.0421812dc871ap-8, 0x1.00251bb8d50cep-8, 0x1.f866549be8436p-9, 0x1.f0975cee1291p-9, 0x1.e8dd51f656ebdp-9, 0x1.e13833c7a0f3p-9, 0x1.d9a801021a58bp-9, 0x1.d22cb6da88342p-9, 0x1.cac6511fb10c5p-9, 0x1.c374ca3eeb467p-9, 0x1.bc381b4a33652p-9, 0x1.b5103bff1cb3bp-9, 0x1.adfd22d122128p-9, 0x1.a6fec4f4302f6p-9, 0x1.a015166418cb5p-9, 0x1.994009e0dbe86p-9, 0x1.927f90e666792p-9, 0x1.8bd39c1483554p-9, 0x1.853c1abf673b6p-9, 0x1.7eb8faed9a03cp-9, 0x1.784a2a13dc72bp-9, 0x1.71ef940a30f82p-9, 0x1.6ba923f672104p-9, 0x1.6576c41056acep-9, 0x1.5f585d8717d19p-9, 0x1.594dd89b6ab41p-9, 0x1.53571ca9f34fap-9, 0x1.4d7410316044dp-9, 0x1.47a498d81a13cp-9, 0x1.41e89b72b12c7p-9, 0x1.3c3ffc0b0da76p-9, 0x1.36aa9de896b0bp-9, 0x1.312863985f045p-9, 0x1.2bb92ef4fd89p-9, 0x1.265ce12d68973p-9, 0x1.21135acb0de8bp-9, 0x1.1bdc7bb69d434p-9, 0x1.16b8233bc57c9p-9, 0x1.11a6300c49bbcp-9, 0x1.0ca68043be7d2p-9, 0x1.07b8f16cdfd9fp-9, 0x1.02dd6089b231cp-9, 0x1.fc27543a728f7p-10, 0x1.f2b7546a05cc4p-10, 0x1.e96a78ff53937p-10, 0x1.e04078899a59bp-10, 0x1.d73909038f8f4p-10, 0x1.ce53dfada9085p-10, 0x1.c590b12a59445p-10, 0x1.bcef316f97379p-10, 0x1.b46f13a6f2838p-10, 0x1.ac100a419acfdp-10, 0x1.a3d1c6f2f38e2p-10, 0x1.9bb3fac0f3b42p-10, 0x1.93b6561d3cfd5p-10, 0x1.8bd88907500b3p-10, 0x1.841a4332e63dbp-10, 0x1.7c7b342de0967p-10, 0x1.74fb0b8523e37p-10, 0x1.6d997892cd4edp-10, 0x1.66562b3f13d62p-10, 0x1.5f30d29b6ba56p-10, 0x1.58291e2082e7cp-10, 0x1.513ebca7d3552p-10, 0x1.4a715c9e3bac5p-10, 0x1.43c0abee4380fp-10, 0x1.3d2c5809f9bffp-10, 0x1.36b40e0da3889p-10, 0x1.30577af60e29dp-10, 0x1.2a164be0e28bep-10, 0x1.23f02e4ac906dp-10, 0x1.1de4d03ea34cep-10, 0x1.17f3e06b964c8p-10, 0x1.121d0e1d57dd4p-10, 0x1.0c600917a7066p-10, 0x1.06bc815f18d36p-10, 0x1.013226fb9c95cp-10, 0x1.f781538bef2a7p-11, 0x1.eccf729986b8dp-11, 0x1.e24e09b0e5232p-11, 0x1.d7fc771590346p-11, 0x1.cdda191e17bcdp-11, 0x1.c3e64e9e0f7aap-11, 0x1.ba20774b8649fp-11, 0x1.b087f42330839p-11, 0x1.a71c27d0c18ap-11, 0x1.9ddc771097ff6p-11, 0x1.94c848e9dabcfp-11, 0x1.8bdf0694b0cc2p-11, 0x1.83201aed40d37p-11, 0x1.7a8af17f8680ap-11, 0x1.721ef56f0a0ebp-11, 0x1.69db90ab81fcep-11, 0x1.61c02bd7c9885p-11, 0x1.59cc2ef6ca1a8p-11, 0x1.51ff0288414ep-11, 0x1.4a581097efeb8p-11, 0x1.42d6c56ffd16fp-11, 0x1.3b7a8fea73e21p-11, 0x1.3442e180b94a1p-11, 0x1.2d2f2e2c0cf89p-11, 0x1.263eec0df3de2p-11, 0x1.1f7192ff4669dp-11, 0x1.18c69c796898ep-11, 0x1.123d8217b3081p-11, 0x1.0bd5bd9dd54eep-11, 0x1.058ec90a8ced5p-11, 0x1.fed03b03feebap-12, 0x1.f2c2696a413b8p-12, 0x1.e6f31204d651cp-12, 0x1.db612bfba0e7p-12, 0x1.d00bb2312e4a9p-12, 0x1.c4f1a41ecfd25p-12, 0x1.ba12063fc3a12p-12, 0x1.af6be2144a221p-12, 0x1.a4fe45cc6a8b3p-12, 0x1.9ac8439b75121p-12, 0x1.90c8f0e735b25p-12, 0x1.86ff6529371bbp-12, 0x1.7d6ab8ea23aaep-12, 0x1.740a04cf98dc3p-12, 0x1.6adc614d6b6f8p-12, 0x1.61e0e7214ec1fp-12, 0x1.5916b09e9f985p-12, 0x1.507cdb104ea33p-12, 0x1.4812874a4eda5p-12, 0x1.3fd6d994aec2fp-12, 0x1.37c8fa02781c6p-12, 0x1.2fe814f36e5f8p-12, 0x1.28335c9cb717p-12, 0x1.20aa081a0573fp-12, 0x1.194b5149572cp-12, 0x1.1216759c1082fp-12, 0x1.0b0ab35e85ef3p-12, 0x1.04274a146d2a8p-12, 0x1.fad6f4e68f816p-13, 0x1.edad0c9ca64ffp-13, 0x1.e0cf60b426773p-13, 0x1.d43c78685f96p-13, 0x1.c7f2de0d14a43p-13, 0x1.bbf121411a77fp-13, 0x1.b035d915d71d8p-13, 0x1.a4bfa54a8e0ebp-13, 0x1.998d2e4510809p-13, 0x1.8e9d2417f914cp-13, 0x1.83ee3d3929a11p-13, 0x1.797f3599a2fafp-13, 0x1.6f4ece5e30ac9p-13, 0x1.655bce089ffccp-13, 0x1.5ba50080adf66p-13, 0x1.5229367450206p-13, 0x1.48e74400e9268p-13, 0x1.3fddff36b4ad4p-13, 0x1.370c3f5c2986dp-13, 0x1.2e70dd8cef53p-13, 0x1.260ab68fe85fcp-13, 0x1.1dd8acfeac80bp-13, 0x1.15d9aaa62acfep-13, 0x1.0e0ca0759e977p-13, 0x1.0670853a6e4c5p-13, 0x1.fe08a7d31c038p-14, 0x1.ef8e14b894c23p-14, 0x1.e16f51eb416d2p-14, 0x1.d3aa666c86a89p-14, 0x1.c63d61f6d5031p-14, 0x1.b9265fedc10c4p-14, 0x1.ac63896564016p-14, 0x1.9ff314c1b30b1p-14, 0x1.93d3423dc7d5ap-14, 0x1.880256983c5d8p-14, 0x1.7c7e96e66cef2p-14, 0x1.7146489c08b3p-14, 0x1.6657b682f31b1p-14, 0x1.5bb137fbe279ep-14, 0x1.515136017b467p-14, 0x1.47362a9fa881ep-14, 0x1.3d5e9b1e93e66p-14, 0x1.33c9106dac5fp-14, 0x1.2a741205af07fp-14, 0x1.215e2541f736fp-14, 0x1.1885d045ec7d4p-14, 0x1.0fe99e1c5fc26p-14, 0x1.0788220e22681p-14, 0x1.febff2543e1f3p-15, 0x1.eedf98b3f6911p-15, 0x1.df6c9ec936664p-15, 0x1.d0647b9dd47f6p-15, 0x1.c1c4b82713fedp-15, 0x1.b38ada4698777p-15, 0x1.a5b46d81a731dp-15, 0x1.983f027fa578fp-15, 0x1.8b283cf70027ep-15, 0x1.7e6dde84ea959p-15, 0x1.720dc8a3860c3p-15, 0x1.6605f346228b5p-15, 0x1.5a545e0f19992p-15, 0x1.4ef7050dad883p-15, 0x1.43ebde012bdbdp-15, 0x1.3930dcc980154p-15, 0x1.2ec3fa77cf3fbp-15, 0x1.24a33b7cb7da1p-15, 0x1.1accb381c828ep-15, 0x1.113e86611d708p-15, 0x1.07f6e609f6434p-15, 0x1.fde81cd38cd15p-16, 0x1.ec688353beb5fp-16, 0x1.db6b8d3751285p-16, 0x1.caedd297c7746p-16, 0x1.baebf9d690a29p-16, 0x1.ab62be5c62831p-16, 0x1.9c4efa99905cbp-16, 0x1.8dadb057d6505p-16, 0x1.7f7c077f8d937p-16, 0x1.71b74225f0c76p-16, 0x1.645cae9ee21c4p-16, 0x1.5769a047bc3e6p-16, 0x1.4adb6f13de793p-16, 0x1.3eaf78480f9e7p-16, 0x1.32e31e92e793fp-16, 0x1.2773cd8d27da8p-16, 0x1.1c5f0228dd813p-16, 0x1.11a25247bed2fp-16, 0x1.073b6c5e956f1p-16, 0x1.fa501c9765807p-17, 0x1.e6cbf258ae822p-17, 0x1.d3e5d52fa1e69p-17, 0x1.c199417f0a1c6p-17, 0x1.afe1ce3d40e1dp-17, 0x1.9ebb44e5e1d17p-17, 0x1.8e21a7c96dc41p-17, 0x1.7e11272a09767p-17, 0x1.6e8610825fcb3p-17, 0x1.5f7cbef1f2a7p-17, 0x1.50f18e5a0b42fp-17, 0x1.42e0d9877fc45p-17, 0x1.35470b2c764cfp-17, 0x1.2820c23ca7c9p-17, 0x1.1b6ad52c6c3fep-17, 0x1.0f22410e27014p-17, 0x1.03440353d6034p-17, 0x1.ef9a1eb40671bp-18, 0x1.d974bb3933c58p-18, 0x1.c412007e7cc91p-18, 0x1.af6c54f6a0a73p-18, 0x1.9b7e52eb31ecp-18, 0x1.8842a8bcf9703p-18, 0x1.75b3f76c81c3ap-18, 0x1.63ccd0c2a479p-18, 0x1.5287e25829744p-18, 0x1.41e02a5a203dcp-18, 0x1.31d111567f07bp-18, 0x1.225658d43f838p-18, 0x1.136be4cfe9d17p-18, 0x1.050d8565a9335p-18, 0x1.ee6dca8eaf383p-19, 0x1.d3c735d1bb242p-19, 0x1.ba1e85e763b1bp-19, 0x1.a16b72abcf9bp-19, 0x1.89a69c12602b6p-19, 0x1.72c92fb1c94f5p-19, 0x1.5ccce915495ep-19, 0x1.47aaa808329eep-19, 0x1.3357bfdf43e0ep-19, 0x1.1fc7f8e552e34p-19, 0x1.0cfd18c48df71p-19, 0x1.f5f2386eb742dp-20, 0x1.d3600b6f5adafp-20, 0x1.b243638eecd78p-20, 0x1.927f5e216039fp-20, 0x1.73f88e9b81d28p-20, 0x1.56af2745f651cp-20, 0x1.3a9fd801be61dp-20, 0x1.1fc0f0cd4f73bp-20, 0x1.0608175e89928p-20, 0x1.dad76b0fa7b63p-21, 0x1.abc4e4471e21ep-21, 0x1.7ec5b3d007456p-21, 0x1.53c76ee016405p-21, 0x1.2ab8b500ff9f2p-21, 0x1.03880df5a206p-21, 0x1.bc3f5bf10de69p-22, 0x1.74c25f1cbb082p-22, 0x1.306b6d9ec40adp-22, 0x1.dec34a35e42ddp-23, 0x1.63947ca353b79p-23, 0x1.dcc98bfbef5b9p-24, 0x1.f9de3feedc621p-25, 0x1.464ff41196dd8p-27, -0x1.3e7bd4281d253p-25, -0x1.5d0c4914a3537p-24, -0x1.08dedb92a8756p-23, -0x1.5e9c7a7ddfb3p-23, -0x1.afbad2bb4ff0ap-23, -0x1.fc5d36fb6c05fp-23, -0x1.22592c3eadc62p-22, -0x1.447099b7bb22cp-22, -0x1.6482ef92bb861p-22, -0x1.829dad1eeb3fep-22, -0x1.9ed4813a63893p-22, -0x1.b9428c41e125ap-22, -0x1.d2038032a51eap-22, -0x1.e92a5a3fdcedcp-22, -0x1.febf114d953f1p-22, -0x1.0963543fa8c6bp-21, -0x1.12a707ab1bd48p-21, -0x1.1b362211990cp-21, -0x1.231cf1515cf5ep-21, -0x1.2a6478643f65fp-21, -0x1.31126aac4169p-21, -0x1.372b3ee4489e1p-21, -0x1.3cb39d3ce0f54p-21, -0x1.41b0c2ebe2a7bp-21, -0x1.46286912e8c5dp-21, -0x1.4a2097cf191c2p-21, -0x1.4d9f6fa0b849p-21, -0x1.50aad563ad54fp-21, -0x1.534821c40d25dp-21, -0x1.557c100e75a5fp-21, -0x1.574afc3ec7dabp-21, -0x1.58b93fc926646p-21, -0x1.59cb4e0accf2bp-21, -0x1.5a858d3db8bap-21, -0x1.5aec41a2888acp-21, -0x1.5b0386325c166p-21, -0x1.5acf2e39637ep-21, -0x1.5a529c609b72p-21, -0x1.5992d478e1e96p-21, -0x1.589227469dd66p-21, -0x1.57543db3ee3f2p-21, -0x1.55dc36260361bp-21, -0x1.542cd20491ea8p-21, -0x1.524964703ea09p-21, -0x1.5034b7e0e073p-21, -0x1.4df17fc8a298bp-21, -0x1.4b82551f1b3f3p-21, -0x1.48e9b04ce82aep-21, -0x1.4629f1296cb23p-21, -0x1.434567103a8ep-21, -0x1.403e53fb765e1p-21, -0x1.3d16e8ac4bfabp-21, -0x1.39d13e7483d5cp-21, -0x1.366f59f988d2p-21, -0x1.32f33eb8c470ap-21, -0x1.2f5ef80d6f469p-21, -0x1.2bb46b8cc75cap-21, -0x1.27f53685cc917p-21, -0x1.2422e026a5d52p-21, -0x1.203ee45e6ae53p-21, -0x1.1c4a9af52be89p-21, -0x1.184749c849455p-21, -0x1.143637de636dap-21, -0x1.1018b6bfac646p-21, -0x1.0bf01789f27a6p-21, -0x1.07bd95e323fe7p-21, -0x1.03825bfcb1eb3p-21, -0x1.fe7f28a378d26p-22, -0x1.f5eca92da3d21p-22, -0x1.ed4f282c85e01p-22, -0x1.e4a86fd60ff19p-22, -0x1.dbfa43cb0ca8fp-22, -0x1.d34652816dfd1p-22, -0x1.ca8e37b8b747ep-22, -0x1.c1d381fcb7f06p-22, -0x1.b917b357610f9p-22, -0x1.b05c4090e65e7p-22, -0x1.a7a28e2081f1fp-22, -0x1.9eebead7001cep-22, -0x1.96398ef29b9d2p-22, -0x1.8d8c9febfbfddp-22, -0x1.84e6348fe0b27p-22, -0x1.7c47557a1713p-22, -0x1.73b0fa22b9a07p-22, -0x1.6b24085f5cd4p-22, -0x1.62a15beac72e3p-22, -0x1.5a29cf066f6bfp-22, -0x1.51be372e23932p-22, -0x1.495f5e02b6f01p-22, -0x1.410dffc6db6b4p-22, -0x1.38cab722d631fp-22, -0x1.3095dd4679969p-22, -0x1.286f34a4a2224p-22, -0x1.2054da5e6217ap-22, -0x1.18411dd7dc88dp-22, -0x1.102e5a056d389p-22, -0x1.0842b3b4c0831p-22, -0x1.00c1b8c825ae9p-22, -0x1.f24d0e827b453p-23, -0x1.e2a68c339009cp-23, -0x1.d2c2f552cc425p-23, -0x1.c3aedebe4ef36p-23, -0x1.b4f2121fe8e95p-23, -0x1.a63e1eaeec555p-23, -0x1.979de1db02763p-23, -0x1.891e08bac9f4ep-23, -0x1.7ac37a77c699p-23, -0x1.6c9028dc5da14p-23, -0x1.5e809950e78fp-23, -0x1.50a46e679ca77p-23, -0x1.42e86cd391c4bp-23, -0x1.354cfaf9915f7p-23, -0x1.27e38c4e1fcb2p-23, -0x1.1a9fa9f8e8de2p-23, -0x1.0d840a1df32c3p-23, -0x1.0090a6f3fb726p-23, -0x1.e78b537ee0bap-24, -0x1.ce45f9164947dp-24, -0x1.b550cc048c7b4p-24, -0x1.9cabc1da20005p-24, -0x1.8456b6bf576bcp-24, -0x1.6c517d1e94f22p-24, -0x1.549beedf8c253p-24, -0x1.3d35d1ad4a958p-24, -0x1.261ed79e7fcb4p-24, -0x1.0f56af0e42269p-24, -0x1.f1b9e69a983f6p-25, -0x1.c56284a2abd9fp-25, -0x1.99a665a50cd9p-25, -0x1.6e84ab3fb72dp-25, -0x1.43fc6d36df3d2p-25, -0x1.1a0cb98208918p-25, -0x1.e1692eebbd235p-26, -0x1.8fe61c2178cb3p-26, -0x1.3f8e5717b4dd3p-26, -0x1.e0c028fad0f75p-27, -0x1.44b341f8c7f85p-27, -0x1.55e5961bb1c27p-28, -0x1.37bba67dff372p-31, 0x1.036b5ada8f059p-28, 0x1.14a82396f8218p-27, 0x1.a56bfc7cffa4ap-27, 0x1.1a17c7f754b6ap-26, 0x1.60bb36b8dd439p-26, 0x1.a73227871eccdp-26, 0x1.ed62dcc8657cbp-26, 0x1.16bc31c588127p-25, 0x1.34cf97a87b5bfp-25, 0x1.56e032c19f6cep-25, 0x1.751e24e4192fdp-25, 0x1.97e77d239dc6dp-25, 0x1.b78719baa6c8cp-25, 0x1.d4bf53985b55dp-25, 0x1.f1fd0a625e6a4p-25, 0x1.0791994cc8b5ap-24, 0x1.15f7d926cdf9cp-24, 0x1.2424328f3a151p-24, 0x1.3212d70096073p-24, 0x1.3fc31c6475493p-24, 0x1.4d3552a40057cp-24, 0x1.5a6a114a3cc51p-24, 0x1.67620093f4a53p-24, 0x1.741dc9c6b7514p-24, 0x1.809e134b2865cp-24, 0x1.8ce3801d5502cp-24, 0x1.98eeaffe57f12p-24, 0x1.a4c03fcffd488p-24, 0x1.b058ca0adfc88p-24, 0x1.bbb8e7652a4d3p-24, 0x1.c6e12fbf8778ap-24, 0x1.d1d23b078ad81p-24, 0x1.dc8ca156d4775p-24, 0x1.e710f93a2e799p-24, 0x1.f15fdb370c9fep-24, 0x1.fb79dd6cb3d8ap-24, 0x1.02afbc41e14cep-23, 0x1.0788940f26bc7p-23, 0x1.0c47ba2bce90cp-23, 0x1.10ed62865340fp-23, 0x1.1579c0e0b7c7fp-23, 0x1.19ed05a8a183ap-23, 0x1.1e474cdcb15b3p-23, 0x1.228953102324p-23, 0x1.26b151591589p-23, 0x1.2ac53d88c9b28p-23, 0x1.2ebeb522d8446p-23, 0x1.32a124aadcb2dp-23, 0x1.366c1d45c9e5dp-23, 0x1.3a1fedb95b434p-23, 0x1.3dbcce5167b23p-23, 0x1.4142f1ecff3c3p-23, 0x1.44b288c829bdbp-23, 0x1.480bbf3ffe872p-23, 0x1.4b4ebc54f3098p-23, 0x1.4e7ba1dcf12bap-23, 0x1.51929363ef5a3p-23, 0x1.5493dbb66b5f5p-23, 0x1.57809bbc1bb27p-23, 0x1.5a5d6d144c8b6p-23, 0x1.5d391e9a74604p-23, 0x1.601d85a11b8c3p-23, 0x1.627e0d9deb7efp-23, 0x1.64790790832b5p-23, 0x1.6736bb4a7aafbp-23, 0x1.6a2075779f4bp-23, 0x1.6c610546359afp-23, 0x1.6e8f18d8639b8p-23, 0x1.706d2a1886804p-23, 0x1.723d6332df829p-23, 0x1.74564785e4931p-23, 0x1.7638132b288f1p-23, 0x1.7878bb66a89a5p-23, 0x1.7a56fc4adfc93p-23, 0x1.7bee751951779p-23, 0x1.7d8018df9f149p-23, 0x1.7f0ced4db4228p-23, 0x1.808e11a947a3fp-23, 0x1.81ff8bde5a2a3p-23, 0x1.835f97e916f28p-23, 0x1.84ada6e66079fp-23, 0x1.85e9c8cc6244cp-23, 0x1.87149760209fp-23, 0x1.882ec5dcb00bfp-23, 0x1.8938d6c2c949cp-23, 0x1.8a330b80dddefp-23, 0x1.8b1d7947e3ab8p-23, 0x1.8bf82723699f2p-23, 0x1.8cc323cada39ap-23, 0x1.8d7e922e303d2p-23, 0x1.8e2ab1c3f8075p-23, 0x1.8ec7e134f2496p-23, 0x1.8f568467f8c4ep-23, 0x1.8fd6ae7951cbdp-23, 0x1.9047d6fdb8cffp-23, 0x1.90a94eddec043p-23, 0x1.90fb03b525913p-23, 0x1.913dafe6efe71p-23, 0x1.9172526504f15p-23, 0x1.9199889c3e622p-23, 0x1.91b38290b87d8p-23, 0x1.91c09fef3643ap-23, 0x1.91c13e00ef088p-23, 0x1.91b45abfbdd3fp-23, 0x1.9198febde3dcfp-23, 0x1.9170ef1c26c86p-23, 0x1.913d249f316d4p-23, 0x1.90fbe4221c796p-23, 0x1.90acffaccc61fp-23, 0x1.90522a83eb0cbp-23, 0x1.8febdb1510ca3p-23, 0x1.8f79b1cd7858p-23, 0x1.8efb88079011fp-23, 0x1.8e716f8d18684p-23, 0x1.8ddb8b0f993e3p-23, 0x1.8d39fd6cd33b4p-23, 0x1.8c8ce5dbd251dp-23, 0x1.8bd45fd23114ep-23, 0x1.8b108255a43aep-23, 0x1.8a4162817217cp-23, 0x1.89672e0823e17p-23, 0x1.8882b36db4525p-23, 0x1.8797c34b87e98p-23, 0x1.86b5edeb47e78p-23, 0x1.85fe99f569f3p-23, 0x1.849ddf1c8de38p-23, 0x1.831190f268bd3p-23, 0x1.81e0c6d0306b4p-23, 0x1.815da32e327f2p-23, 0x1.804ed091fcbedp-23, 0x1.7eced68109202p-23, 0x1.7d74abbc5b6ffp-23, 0x1.7c226412d6012p-23, 0x1.7aca88862792cp-23, 0x1.796a17e2a541ap-23, 0x1.7800a7beaa481p-23, 0x1.768e58d4c1ce6p-23, }}, 
      {{0x1.61eebbb4c73a3p-4, 0x1.5796b6aec5692p-3, 0x1.eb7e2a71b3dc2p-3, 0x1.33879d37a094bp-2, 0x1.63a8be4703898p-2, 0x1.85c015330b1ap-2, 0x1.9a435478809d5p-2, 0x1.a2422b8dcb71p-2, 0x1.9f2fc41659f42p-2, 0x1.92b5578047c3cp-2, 0x1.7e8e50237ba9ap-2, 0x1.646d941d08373p-2, 0x1.45eb02e74962dp-2, 0x1.2477db29b587ap-2, 0x1.0158943c85bd2p-2, 0x1.bb4585ade52c2p-3, 0x1.747b9b7d9f253p-3, 0x1.2fcb0e61b2068p-3, 0x1.dcb773f2e755ap-4, 0x1.621c6925aed6bp-4, 0x1.e212cd922313ap-5, 0x1.14af0340f79e2p-5, 0x1.74272c10f477cp-7, -0x1.11e0779fe6af8p-7, -0x1.9fdc74a799dd3p-6, -0x1.45d3cd41409bfp-5, -0x1.a6f219b3454d8p-5, -0x1.f44d48e9f9707p-5, -0x1.1789f0cfc8fa5p-4, -0x1.2c485ac884fap-4, -0x1.390f907c86d11p-4, -0x1.3e90b7946f864p-4, -0x1.3d7c93a3ac655p-4, -0x1.368088469cd72p-4, -0x1.2a445168f1bc1p-4, -0x1.19685c4ae08e8p-4, -0x1.0484a242240ebp-4, -0x1.d84fdf71357f2p-5, -0x1.a1af01fbb00f8p-5, -0x1.661dc76c727d5p-5, -0x1.26801a5418d43p-5, -0x1.c74e60b3b040dp-6, -0x1.3ca47443e448bp-6, -0x1.5cbcfd5c003ebp-7, -0x1.db816a1f82044p-10, 0x1.d0c69e8884b6ep-8, 0x1.065e207d4ba05p-6, 0x1.97e740b597e5ep-6, 0x1.13ffcb505b596p-5, 0x1.5af84213b7c0dp-5, 0x1.a08c446e96738p-5, 0x1.e474d36c0b351p-5, 0x1.1339f91a18775p-4, 0x1.3329fa4a162f1p-4, 0x1.51f36cb3e7d57p-4, 0x1.6f82d8c388268p-4, 0x1.8bc808be3396bp-4, 0x1.a6b5c6ba3bba6p-4, 0x1.c0419ef4546d5p-4, 0x1.d863a662481a3p-4, 0x1.ef1644fa21c6cp-4, 0x1.022b01a4d4b12p-3, 0x1.0c10ad9382c94p-3, 0x1.153c459bdbb1cp-3, 0x1.1daeb6780bfbbp-3, 0x1.2569a67825f6ap-3, 0x1.2c6f630c932edp-3, 0x1.32c2cee7d8cb2p-3, 0x1.38675186d128dp-3, 0x1.3d60c793a94efp-3, 0x1.41b374055879p-3, 0x1.4563f26f6fe74p-3, 0x1.487729b615ef5p-3, 0x1.4af2405615bdep-3, 0x1.4cda90a3735fep-3, 0x1.4e359e6d4c9b3p-3, 0x1.4f090d1f4b1a4p-3, 0x1.4f5a967984c45p-3, 0x1.4f3002d4675e9p-3, 0x1.4e8f20b82b4fap-3, 0x1.4d7dbe73dd2c7p-3, 0x1.4c01a39d69cddp-3, 0x1.4a208b38326c8p-3, 0x1.47e01ed3bd537p-3, 0x1.4545f1e44330ep-3, 0x1.42577dbf9dcb3p-3, 0x1.3f1a1e33f06ddp-3, 0x1.3b930e63e9b41p-3, 0x1.37c76643d1489p-3, 0x1.33bc18a47597bp-3, 0x1.2f75f11176803p-3, 0x1.2af992869191ap-3, 0x1.264b769f6f00cp-3, 0x1.216fec6bbab72p-3, 0x1.1c6b17f108061p-3, 0x1.1740f26ac8757p-3, 0x1.11f5499b59938p-3, 0x1.0c8bc03c1d54fp-3, 0x1.0707ce9dc136fp-3, 0x1.016cc28c8670fp-3, 0x1.f77b80c5f4786p-4, 0x1.ebfb876839ec6p-4, 0x1.e05f3f78c7314p-4, 0x1.d4ac019ab897cp-4, 0x1.c8e6d97aae214p-4, 0x1.bd1488a27e547p-4, 0x1.b13987ef0f3fcp-4, 0x1.a55a0a3aff406p-4, 0x1.9979fe698901cp-4, 0x1.8d9d117ad6b8ap-4, 0x1.81c6b13d3a709p-4, 0x1.75fa0e53c73cap-4, 0x1.6a3a1e88c969cp-4, 0x1.5e899f2f8db3fp-4, 0x1.52eb1746b7b9dp-4, 0x1.4760d9fac2f25p-4, 0x1.3bed084896163p-4, 0x1.309193db4843dp-4, 0x1.255040d3a1bf6p-4, 0x1.1a2aa7fae5173p-4, 0x1.0f2238b91c2afp-4, 0x1.04383b9151e87p-4, 0x1.f2dba7d50b11ep-5, 0x1.dd8803d4a7af8p-5, 0x1.c87749b303927p-5, 0x1.b3aaf9bfff46ep-5, 0x1.9f24599c4751cp-5, 0x1.8ae4785b34c38p-5, 0x1.76ec31cb9f1dcp-5, 0x1.633c326475ad6p-5, 0x1.4fd4f9327dfdep-5, 0x1.3cb6dd334416ep-5, 0x1.29e20e0c47293p-5, 0x1.175699ab96845p-5, 0x1.05146b7579aa4p-5, 0x1.e636a4834cc6bp-6, 0x1.c2d6041509756p-6, 0x1.a006280eae906p-6, 0x1.7dc618e4afb4cp-6, 0x1.5c14b4fbd4a4fp-6, 0x1.3af0b592c55d4p-6, 0x1.1a58b31cf9717p-6, 0x1.f49652ca5f223p-7, 0x1.b58cf46c43f77p-7, 0x1.7791e14fa8ee7p-7, 0x1.3aa18a0b41d6p-7, 0x1.fd707c1d4519fp-8, 0x1.87a461e36778bp-8, 0x1.13d703e5cfe3dp-8, 0x1.4400ece9bc8a8p-9, 0x1.90c5d25a1defep-11, -0x1.df4239d118635p-11, -0x1.50155dbfc8839p-9, -0x1.1256a0d06f961p-8, -0x1.7ad442ed4ad78p-8, -0x1.e18bb25fb42ffp-8, -0x1.234280c344cfep-7, -0x1.54e4190be7001p-7, -0x1.85ae98c15905ap-7, -0x1.b5a5ead272038p-7, -0x1.e4cdecff37bafp-7, -0x1.09953695ad877p-6, -0x1.205f9464a198cp-6, -0x1.36c7e6470ec96p-6, -0x1.4ccff90cde4e3p-6, -0x1.62798fa8febdfp-6, -0x1.77c662e9ed99fp-6, -0x1.8cb8214582df6p-6, -0x1.a1506e3ca3f47p-6, -0x1.b590e22a0fa67p-6, -0x1.c97b0a749a0d8p-6, -0x1.dd1068fcde14ap-6, -0x1.f05273f7bfe22p-6, -0x1.01a14b072e241p-5, -0x1.0af1173552a4bp-5, -0x1.1419484e4112bp-5, -0x1.1d1a823a55357p-5, -0x1.25f56309c2756p-5, -0x1.2eaa8337a08e2p-5, -0x1.373a7586d2e02p-5, -0x1.3fa5c7115962ep-5, -0x1.47ecff61a7966p-5, -0x1.5010a09bc2f8ep-5, -0x1.581127884bfbp-5, -0x1.5fef0b9d0800dp-5, -0x1.67aabf281759cp-5, -0x1.6f44af718546p-5, -0x1.76bd44df94289p-5, -0x1.7e14e2fb2f094p-5, -0x1.854be89244f92p-5, -0x1.8c62afee99a71p-5, -0x1.93598efa61c9fp-5, -0x1.9a30d74f6ae88p-5, -0x1.a0e8d6502596bp-5, -0x1.a781d557c7bb2p-5, -0x1.adfc19ef0873ap-5, -0x1.b457e5e78e87bp-5, -0x1.ba95776c43f5ep-5, -0x1.c0b5092845af9p-5, -0x1.c6b6d2788ee04p-5, -0x1.cc9b079845e88p-5, -0x1.d261d9b97d6c7p-5, -0x1.d80b771c5d3edp-5, -0x1.dd980b36af62dp-5, -0x1.e307bee50a8d9p-5, -0x1.e85ab892b398dp-5, -0x1.ed911c53109a6p-5, -0x1.f2ab0bfb46e7ep-5, -0x1.f7a8a7470b931p-5, -0x1.fc8a0c03107a2p-5, -0x1.00a7ab1acf937p-4, -0x1.02fc501d494afp-4, -0x1.0543016bfc049p-4, -0x1.077bcab48a0bcp-4, -0x1.09a6b6fd76e1fp-4, -0x1.0bc3d0b0187b5p-4, -0x1.0dd321b59238fp-4, -0x1.0fd4b3836a90dp-4, -0x1.11c88f23c531p-4, -0x1.13aebd41de175p-4, -0x1.158746355bp-4, -0x1.17523213c1ecep-4, -0x1.190f88c6022eep-4, -0x1.1abf5218a3e36p-4, -0x1.1c6195c1a4eafp-4, -0x1.1df65b6131ce4p-4, -0x1.1f7daa89c7c75p-4, -0x1.20f78ad53f214p-4, -0x1.226403fe14f85p-4, -0x1.23c31dee1cc94p-4, -0x1.2514e0bc1c0f1p-4, -0x1.265954a4f404p-4, -0x1.2790820f1f234p-4, -0x1.28ba71a2af1edp-4, -0x1.29d72c65d1744p-4, -0x1.2ae6bbccba4d5p-4, -0x1.2be929b2b5a01p-4, -0x1.2cde80496bd62p-4, -0x1.2dc6ca14ff50ap-4, -0x1.2ea212003e657p-4, -0x1.2f70637df5d34p-4, -0x1.3031ca9f3fb4dp-4, -0x1.30e6540f56131p-4, -0x1.318e0cfc293cep-4, -0x1.32290304194fcp-4, -0x1.32b7443d58527p-4, -0x1.3338df557d1d2p-4, -0x1.33ade3b2c6245p-4, -0x1.3416617e5fae2p-4, -0x1.3472699140932p-4, -0x1.34c20d54dd874p-4, -0x1.35055eb2ead69p-4, -0x1.353c702366d44p-4, -0x1.356754d018383p-4, -0x1.358620b384ce8p-4, -0x1.3598e89cbc8eap-4, -0x1.359fc21593d5p-4, -0x1.359ac33ee14b5p-4, -0x1.358a02bd73fdep-4, -0x1.356d97c61023cp-4, -0x1.35459a3fd80e4p-4, -0x1.351222e43f1e5p-4, -0x1.34d34b45b3dbbp-4, -0x1.34892db812c32p-4, -0x1.3433e5299ef86p-4, -0x1.33d38d063e89p-4, -0x1.3368413a9ade6p-4, -0x1.32f21e4b48c7dp-4, -0x1.3271417a85ee1p-4, -0x1.31e5c8d80d2fdp-4, -0x1.314fd33544c68p-4, -0x1.30af80036d28ap-4, -0x1.3004ef2dccb7cp-4, -0x1.2f504106a57bap-4, -0x1.2e9196503bde4p-4, -0x1.2dc91059bdf1ep-4, -0x1.2cf6d11c018c9p-4, -0x1.2c1afb42e814p-4, -0x1.2b35b21c263d9p-4, -0x1.2a471973d3c3dp-4, -0x1.294f55711a3fep-4, -0x1.284e8a84b27efp-4, -0x1.2744dd701eadep-4, -0x1.2632735e6cfd5p-4, -0x1.251771fdb3de8p-4, -0x1.23f3ff88eaf94p-4, -0x1.22c842bacd86cp-4, -0x1.219462af1949cp-4, -0x1.205886c061154p-4, -0x1.1f14d671bd51ep-4, -0x1.1dc9796cf61a9p-4, -0x1.1c769792c55f9p-4, -0x1.1b1c5911a4296p-4, -0x1.19bae674e2049p-4, -0x1.185268a24f0c6p-4, -0x1.16e308c5e9bb4p-4, -0x1.156cf033aa188p-4, -0x1.13f0484be6c36p-4, -0x1.126d3a6cf55e4p-4, -0x1.10e3eff5c92bap-4, -0x1.0f549255269fbp-4, -0x1.0dbf4b1b5afep-4, -0x1.0c244403e954cp-4, -0x1.0a83a6f0f813ep-4, -0x1.08dd9dd90a961p-4, -0x1.073252adab107p-4, -0x1.0581ef445edb8p-4, -0x1.03cc9d49a2504p-4, -0x1.02128640e0567p-4, -0x1.0053d38e9e367p-4, -0x1.fd215d0c0ebd6p-5, -0x1.f99280e43330ap-5, -0x1.f5fb6529fa0b5p-5, -0x1.f25c5c390bae6p-5, -0x1.eeb5b81ebfb8ap-5, -0x1.eb07ca7278721p-5, -0x1.e752e43887cdp-5, -0x1.e39755d741e45p-5, -0x1.dfd56f1e0dcedp-5, -0x1.dc0d7f5751aa9p-5, -0x1.d83fd55abe00fp-5, -0x1.d46cbf9630182p-5, -0x1.d0948c0772d19p-5, -0x1.ccb788276ceffp-5, -0x1.c8d600ccd2059p-5, -0x1.c4f0420f4e886p-5, -0x1.c10697342f9edp-5, -0x1.bd194aa60cd6ep-5, -0x1.b928a5f8ee5dap-5, -0x1.b534f1fa575d8p-5, -0x1.b13e76c1a9ba8p-5, -0x1.ad457bb146efbp-5, -0x1.a94a4770b317cp-5, -0x1.a54d1fe50515p-5, -0x1.a14e4a1db5c64p-5, -0x1.9d4e0a3a586c3p-5, -0x1.994ca35a0c5ap-5, -0x1.954a579631a84p-5, -0x1.9147680556481p-5, -0x1.8d4414c44611fp-5, -0x1.89409d014b50fp-5, -0x1.853d3f04bb3abp-5, -0x1.813a38333370cp-5, -0x1.7d37c507f608ep-5, -0x1.7936210836de4p-5, -0x1.753586b2a967bp-5, -0x1.71362f6fe7a4ep-5, -0x1.6d385388169fbp-5, -0x1.693c2a2088e62p-5, -0x1.6541e9415307p-5, -0x1.6149c5e049436p-5, -0x1.5d53f3eda1b46p-5, -0x1.5960a65e3d7ep-5, -0x1.55700f307fa69p-5, -0x1.51825f6a3e06ep-5, -0x1.4d97c70f9eeffp-5, -0x1.49b07514c96afp-5, -0x1.45cc974e7dc2cp-5, -0x1.41ec5a65297abp-5, -0x1.3e0fe9cecfefcp-5, -0x1.3a376fd176ff7p-5, -0x1.3663158db3c86p-5, -0x1.3293030eec45fp-5, -0x1.2ec75f5d9dc76p-5, -0x1.2b00508f92952p-5, -0x1.273dfbd24f60cp-5, -0x1.2380856d008e1p-5, -0x1.1fc810b8c23edp-5, -0x1.1c14c01068911p-5, -0x1.1866b4bb2e86ap-5, -0x1.14be0ed77a08dp-5, -0x1.111aed4b665ebp-5, -0x1.0d7d6dbfe3d59p-5, -0x1.09e5aca8f676ep-5, -0x1.0653c55ad2p-5, -0x1.02c7d228a2209p-5, -0x1.fe83d90ed2ea9p-6, -0x1.f7845a5bdfd45p-6, -0x1.f0915854da637p-6, -0x1.e9ab01cfbc8c9p-6, -0x1.e2d184410eba7p-6, -0x1.dc050b7afab4fp-6, -0x1.d545c156924a6p-6, -0x1.ce93cd557759cp-6, -0x1.c7ef54584dd9cp-6, -0x1.c158787aad94p-6, -0x1.bacf5926e92d4p-6, -0x1.b4541362a4fd1p-6, -0x1.ade6c24c0d6cbp-6, -0x1.a7877fb13b414p-6, -0x1.a13664a3b5965p-6, -0x1.9af389e6e9a85p-6, -0x1.94bf081d0e0cp-6, -0x1.8e98f7a112048p-6, -0x1.8881700d11dc6p-6, -0x1.82788782b7df8p-6, -0x1.7c7e51cf1ba88p-6, -0x1.7692dfb2c14a1p-6, -0x1.70b63e576af11p-6, -0x1.6ae877428d1f2p-6, -0x1.652990ba0f9fdp-6, -0x1.5f798e9f1ffb4p-6, -0x1.59d8739843eb9p-6, -0x1.5446425252f1ap-6, -0x1.4ec2fe9675c38p-6, -0x1.494eadf74fcaap-6, -0x1.43e957e875d0dp-6, -0x1.3e93052ebcbdbp-6, -0x1.394bbeb833607p-6, -0x1.34138c0b8ca83p-6, -0x1.2eea71998ebfp-6, -0x1.29d06f49b628dp-6, -0x1.24c57f98ad9ddp-6, -0x1.1fc99788689ep-6, -0x1.1adca77947ef6p-6, -0x1.15fe9cd1c1717p-6, -0x1.112f642ae4ac9p-6, -0x1.0c6eeb980c08cp-6, -0x1.07bd24972d33p-6, -0x1.031a0546af5b5p-6, -0x1.fd0b113fd8fa8p-7, -0x1.f3ff5b43d31f6p-7, -0x1.eb10eb0d5bdfep-7, -0x1.e23fc2907c6cbp-7, -0x1.d98bddba68466p-7, -0x1.d0f52d565f911p-7, -0x1.c87b9361b1e62p-7, -0x1.c01ee1a60fb48p-7, -0x1.b7dedb0daf59ep-7, -0x1.afbb37981c671p-7, -0x1.a7b3aa42fdc99p-7, -0x1.9fc7e7cba7c8cp-7, -0x1.97f7ad0371797p-7, -0x1.9042c3908a81bp-7, -0x1.88a9044e49206p-7, -0x1.812a56f36ac84p-7, -0x1.79c6af18455f5p-7, -0x1.727e0719d9234p-7, -0x1.6b5059a59e108p-7, -0x1.643d9af2224dp-7, -0x1.5d45b2a871862p-7, -0x1.566877abab2f5p-7, -0x1.4fa5ae7db8922p-7, -0x1.48fd0a94b9d29p-7, -0x1.426e328d6b999p-7, -0x1.3bf8c64147862p-7, -0x1.359c65a5f4271p-7, -0x1.2f58b7405b256p-7, -0x1.292d6d33a3994p-7, -0x1.231a484b5b731p-7, -0x1.1d1f18a5a922ap-7, -0x1.173bbbe29b8ap-7, -0x1.1170191a1597p-7, -0x1.0bbc1b4b9e8a2p-7, -0x1.061fab6d6bcc5p-7, -0x1.009aab4f011c3p-7, -0x1.f659e48ecee19p-8, -0x1.ebac981eb4d5ep-8, -0x1.e12cf34239832p-8, -0x1.d6da671327336p-8, -0x1.ccb459ce706p-8, -0x1.c2ba2cbf199bp-8, -0x1.b8eb413673304p-8, -0x1.af46fc7458d8p-8, -0x1.a5cccad469643p-8, -0x1.9c7c223c2c45ap-8, -0x1.9354830bb6d92p-8, -0x1.8a557648c52dfp-8, -0x1.817e8879a1663p-8, -0x1.78cf42d948869p-8, -0x1.70472628862dep-8, -0x1.67e5aaacda8b6p-8, -0x1.5faa467e7214ap-8, -0x1.579477ac9ec4bp-8, -0x1.4fa3cd42faa82p-8, -0x1.47d7eaa963cd9p-8, -0x1.403084056ac6cp-8, -0x1.38ad562264addp-8, -0x1.314e1e7518b8dp-8, -0x1.2a1296c98c31p-8, -0x1.22fa74c2e6ac6p-8, -0x1.1c0569e6ab59ap-8, -0x1.15331fe4bb858p-8, -0x1.0e832ee302f5fp-8, -0x1.07f50f784b041p-8, -0x1.01880da818a61p-8, -0x1.f676884f2ac08p-9, -0x1.ea1b4cfdb22b9p-9, -0x1.ddfc38b447375p-9, -0x1.d21751a616361p-9, -0x1.c66b21058389ep-9, -0x1.baf6dbb1b609fp-9, -0x1.afba5164e81fdp-9, -0x1.a4b5a7cc43e78p-9, -0x1.99e904c40d503p-9, -0x1.8f54568c1119dp-9, -0x1.84f75650a1708p-9, -0x1.7ad1ba642485cp-9, -0x1.70e36d156333fp-9, -0x1.672c9a897eccfp-9, -0x1.5dad831b351bfp-9, -0x1.546622a2a4a16p-9, -0x1.4b55d1851ad12p-9, -0x1.427b04a2d35cdp-9, -0x1.39d34540f3b4ep-9, -0x1.315b6bdde3ebep-9, -0x1.29101aa10e8e4p-9, -0x1.20ee606bfcb08p-9, -0x1.18f4534bb360cp-9, -0x1.11215f5ca15b3p-9, -0x1.097617555b3d8p-9, -0x1.01f38f1d0e8ccp-9, -0x1.f535250aee06fp-10, -0x1.e6d652e596deep-10, -0x1.d8c956f38aee3p-10, -0x1.cb0c8b051576bp-10, -0x1.bd9f1eda4d6c1p-10, -0x1.b081a930ea988p-10, -0x1.a3b5d7ac40ee4p-10, -0x1.973d75134098dp-10, -0x1.8b194c97faa72p-10, -0x1.7f4873ccc1044p-10, -0x1.73c82c6806183p-10, -0x1.689428ce5f95ep-10, -0x1.5da6f009ba93dp-10, -0x1.52fa670a7fc39p-10, -0x1.4888b7ac9636fp-10, -0x1.3e4d8bf24ed8p-10, -0x1.3447166bc545dp-10, -0x1.2a762f727c171p-10, -0x1.20dd3d49cfcd7p-10, -0x1.177e73559f3d3p-10, -0x1.0e5a7c69acf46p-10, -0x1.05704d1ff9b69p-10, -0x1.f97bf85c50aaep-11, -0x1.e883e919e5fd3p-11, -0x1.d7f7b0577b4d5p-11, -0x1.c7d930eba71bep-11, -0x1.b82b4d2deea5p-11, -0x1.a8ef89662c5f4p-11, -0x1.9a24afff58f94p-11, -0x1.8bc73dd45188p-11, -0x1.7dd2c909cad7bp-11, -0x1.7043048c4a987p-11, -0x1.6313bcb8c224bp-11, -0x1.56404209dc84fp-11, -0x1.49c31f1e5d15cp-11, -0x1.3d96831ed0869p-11, -0x1.31b53fc564b27p-11, -0x1.261bff846a033p-11, -0x1.1aca09d002631p-11, -0x1.0fc0daef9349fp-11, -0x1.05028b53211b8p-11, -0x1.f51fd8450fe73p-12, -0x1.e0cf8aa38662bp-12, -0x1.cd10087ca9f48p-12, -0x1.b9df05086bebcp-12, -0x1.a73c76f8a8cfcp-12, -0x1.95285b2955dbbp-12, -0x1.83a14fcba555dp-12, -0x1.72a479bc9452cp-12, -0x1.622d7a00d082fp-12, -0x1.5236f15bd1308p-12, -0x1.42bc0b87aap-12, -0x1.33b9c4d3727aep-12, -0x1.252e98c3b140dp-12, -0x1.17190acca85dfp-12, -0x1.097640b28e69cp-12, -0x1.f88213c20111ap-13, -0x1.dee3f4dce3daap-13, -0x1.c6048420ae99cp-13, -0x1.addf1738bd83p-13, -0x1.9676fc24baa4fp-13, -0x1.7fcc81a08965fp-13, -0x1.69d5f67d9aeap-13, -0x1.5487e6d76755ep-13, -0x1.3fe2243169bc7p-13, -0x1.2bed6fcd7bdeap-13, -0x1.18acfe600ec3bp-13, -0x1.0618561546283p-13, -0x1.e845af1d8fcf2p-14, -0x1.c58b3b59cd741p-14, -0x1.a40161913a903p-14, -0x1.83a84c93ad914p-14, -0x1.6476f0b3a288ap-14, -0x1.466061f60b0afp-14, -0x1.295d0f7f4bf31p-14, -0x1.0d6c055c7486ep-14, -0x1.e51a1ca2cf1d2p-15, -0x1.b1750aa67b47fp-15, -0x1.7fc6c1e3a376p-15, -0x1.4fd2b269f9515p-15, -0x1.216a1e4372b5fp-15, -0x1.e946463b8d28ep-16, -0x1.93733e646f4b2p-16, -0x1.416e894d60e34p-16, -0x1.e5b1d19d43bdbp-17, -0x1.4edb77561edf7p-17, -0x1.7c7489bd4bb5cp-18, -0x1.9b8422c68b6dfp-20, 0x1.47d594ac4dfe5p-19, 0x1.a3fd8087dedabp-18, 0x1.4c851e44b098ap-17, 0x1.c1ba7cfe6bebap-17, 0x1.1903422c2b901p-16, 0x1.4ebf838ed26f4p-16, 0x1.81f89ce122e78p-16, 0x1.b2aeec01265c6p-16, 0x1.e105b626ee82bp-16, 0x1.068e64a97292ap-15, 0x1.1b80688665e65p-15, 0x1.2f5c57c3d90e7p-15, 0x1.4226c3cb5538p-15, 0x1.53eb39ae6f993p-15, 0x1.64cc927396beep-15, 0x1.74ebef468b3d8p-15, 0x1.843562d149459p-15, 0x1.928fa398f23a8p-15, 0x1.a018242f3cbeap-15, 0x1.ace3dbbfd609ep-15, 0x1.b8d6fd097b61p-15, 0x1.c3e2df5c8f633p-15, 0x1.ce1899f125b85p-15, 0x1.d78ea5c883c47p-15, 0x1.e05dcd8d5f33dp-15, 0x1.e8a08a4924978p-15, 0x1.f05b3680d011p-15, 0x1.f778d12bebadap-15, 0x1.fdf3fbe804949p-15, 0x1.01f1d79eed62bp-14, 0x1.04a8a0f89d657p-14, 0x1.07173a3ca0b4p-14, 0x1.093c6d7a6e558p-14, 0x1.0b1f29bf06951p-14, 0x1.0cc5791b80dcap-14, 0x1.0e32b1c01dcd8p-14, 0x1.0f6807ccd0fa1p-14, 0x1.106315484b824p-14, 0x1.112636798b983p-14, 0x1.11bd1776b27b3p-14, 0x1.1227098ba6b3ap-14, 0x1.12629bfce606fp-14, 0x1.1279beeb8ab24p-14, 0x1.126604c7bd9d9p-14, 0x1.1221748deed31p-14, 0x1.11b3da57eb242p-14, 0x1.11238102e9e67p-14, 0x1.1071b35ae2431p-14, 0x1.0f9e370dd834ap-14, 0x1.0ea90aa5b0b41p-14, 0x1.0d92237c3c044p-14, 0x1.0c59a35f286b5p-14, 0x1.0b03bca5b2ec3p-14, 0x1.09973060813d3p-14, 0x1.0812eef6d2036p-14, 0x1.0675d407ecaa2p-14, 0x1.04c60b0c43103p-14, 0x1.03018003bcfc6p-14, 0x1.012319c3aebd9p-14, 0x1.fe5cbda2dcf4ap-15, 0x1.fa510055528ecp-15, 0x1.f6282d50cb22dp-15, 0x1.f1defbd05be1ap-15, 0x1.ed6b472b5e1a7p-15, 0x1.e8d69d659dd1dp-15, 0x1.e42f07ba0865fp-15, 0x1.df760a4f614d5p-15, 0x1.daac03b634d89p-15, 0x1.d5c1a2ddc96a2p-15, 0x1.d0bcdbdb28eacp-15, 0x1.cba7dd46931a4p-15, 0x1.c684815b6b23fp-15, 0x1.c1528841c3373p-15, 0x1.bc125bf3aa4fp-15, 0x1.b6c51acd7522p-15, 0x1.b16c39ee0ef19p-15, 0x1.ac093103aa846p-15, 0x1.a69d55a8b6039p-15, 0x1.a129f6c980473p-15, 0x1.9baf90c1b69c5p-15, 0x1.962b2881c4147p-15, 0x1.909a236be9e88p-15, 0x1.8b04d50b2adb6p-15, 0x1.85716ec81f005p-15, 0x1.7fe2149d34edcp-15, 0x1.7a54483684f8cp-15, 0x1.74bf666d03b4ap-15, 0x1.6f2876bc76923p-15, 0x1.6995d326d768p-15, 0x1.6404a4250acbdp-15, 0x1.5e6e171cfc5ccp-15, 0x1.58dc5841792c9p-15, 0x1.53575482bf745p-15, 0x1.4dd90c455fb81p-15, 0x1.485809b12b119p-15, 0x1.42db915d68d6p-15, 0x1.3d67546347109p-15, 0x1.37fabec97ee99p-15, 0x1.3295721b3349ep-15, 0x1.2d379d2df79a1p-15, 0x1.27e1a5082d681p-15, 0x1.2293f66a8f6adp-15, 0x1.1d4ef650005b2p-15, 0x1.18130307cc81bp-15, 0x1.12e07e76e7143p-15, 0x1.0db7d678c05a8p-15, 0x1.08997cf17808ep-15, 0x1.0385ce498b286p-15, 0x1.fcfa195e1b0e2p-16, 0x1.f2ff3ea3c6dfp-16, 0x1.e91bd51cea08ap-16, 0x1.df4c3856099fp-16, 0x1.d58a5d7395c08p-16, 0x1.cbe1b9086f1dbp-16, 0x1.c25c9a0c06968p-16, 0x1.b8f1696e78b8dp-16, 0x1.af96e13b017b3p-16, 0x1.a654acb9e890dp-16, 0x1.9d25fd7d8a549p-16, 0x1.94145a2078fe3p-16, 0x1.8b264950ad0c7p-16, 0x1.8249803476245p-16, 0x1.7984aaf2f159cp-16, 0x1.70dcbe08a86c9p-16, 0x1.6850078099409p-16, 0x1.5fdd15b5475fp-16, 0x1.578401cf8b3c2p-16, 0x1.4f4502e9073adp-16, 0x1.47202972aef89p-16, 0x1.3f1583433daccp-16, 0x1.37251f08c1e59p-16, 0x1.2f4f06bf2088p-16, 0x1.27934017876b5p-16, 0x1.1ff1b894c2f4cp-16, 0x1.186a684a6ae61p-16, 0x1.10fd2e9c290d3p-16, 0x1.09a9dc681625fp-16, 0x1.027062eaaa5cp-16, 0x1.f6a18437ecc35p-17, 0x1.e896179a9c05cp-17, 0x1.dabe8283152d4p-17, 0x1.cd1a91fbd1794p-17, 0x1.bfaa6d075877ep-17, 0x1.b26e77d287686p-17, 0x1.a561af35228cfp-17, 0x1.987f019bb6659p-17, 0x1.8bd80d551faebp-17, 0x1.7f62b4ceba0dp-17, 0x1.7313e8b579ae7p-17, 0x1.66fdbf895bf08p-17, 0x1.5b138d92ad007p-17, 0x1.4f5adf37421dbp-17, 0x1.43d379eb35b32p-17, 0x1.387b2e1d6876ap-17, 0x1.2d5133050813ep-17, 0x1.225525e31a62ap-17, 0x1.1786ab6ee9e41p-17, 0x1.0ce5610ce907bp-17, 0x1.0270ddaa35947p-17, 0x1.f0516818ebc8fp-18, 0x1.dc18e8d427819p-18, 0x1.c8375abaf55b5p-18, 0x1.b4abd8c909a5p-18, 0x1.a1757bf2b1f3bp-18, 0x1.8e935a6c1724ap-18, 0x1.7c0486219f586p-18, 0x1.69c80c22db619p-18, 0x1.57dcfa22fe53p-18, 0x1.46426b9ac631ep-18, 0x1.34f763545bc8bp-18, 0x1.23f9de68bc08cp-18, 0x1.13496aff99f2fp-18, 0x1.02e771c95dfe6p-18, 0x1.e5a056161384cp-19, 0x1.c60b233b87741p-19, 0x1.a706a09140db7p-19, 0x1.88913af5b5b1ap-19, 0x1.6aadd1fbc8a82p-19, 0x1.4d5d98fae9093p-19, 0x1.3094a6c2d0cap-19, 0x1.1451fb435f914p-19, 0x1.f12ba726ace5ap-20, 0x1.bac4c0f20599fp-20, 0x1.856b82f25f453p-20, 0x1.5117ba3772f88p-20, 0x1.1dc4d746088d3p-20, 0x1.d6debff594596p-21, 0x1.7427cdeee106cp-21, 0x1.135ddf06bd619p-21, 0x1.68f3d253d329cp-22, 0x1.5dd37b584171p-23, -0x1.dc243185875dap-28, -0x1.745227aef282ep-23, -0x1.694da8a9b3ceap-22, -0x1.0a7605af1163dp-21, -0x1.5e88eb45fb101p-21, -0x1.b0e6414fecc93p-21, -0x1.00ca57ffc194cp-20, -0x1.284d63710e0b6p-20, -0x1.4eff7f6eae891p-20, -0x1.74e3e37775873p-20, -0x1.99fdc9f383beap-20, -0x1.be506efd54934p-20, -0x1.e1df063b19131p-20, -0x1.02565c6934ff5p-19, -0x1.135e532de1171p-19, -0x1.2408dbc1786dap-19, -0x1.345745cdc3c93p-19, -0x1.444aac01cb51fp-19, -0x1.53e4f8c4c4d4bp-19, -0x1.6328b4394926bp-19, -0x1.721881dee9ab5p-19, -0x1.80b0467e61fd3p-19, -0x1.8ef294d1878f6p-19, -0x1.9ce58ae463a38p-19, -0x1.aa8a98bce193ep-19, -0x1.b7def2d6ca77bp-19, -0x1.c4e1192c14a2ap-19, -0x1.d197d4ed201dep-19, -0x1.de0507f36b8fp-19, -0x1.ea28409407a18p-19, -0x1.f602645c29b45p-19, -0x1.00ca52e775465p-18, -0x1.06700a40e1855p-18, -0x1.0bf2e4fc67a9cp-18, -0x1.1154733adf54bp-18, -0x1.169504b30bfep-18, -0x1.1bb35552785a7p-18, -0x1.20b0dd8e1f45ap-18, -0x1.258fb353cc70fp-18, -0x1.2a4f41e9f580bp-18, -0x1.2eefea73d834ep-18, -0x1.337249360314fp-18, -0x1.37d6eb85ff35dp-18, -0x1.3c1e66c1ffc71p-18, -0x1.40492a0177306p-18, -0x1.4457d241e4685p-18, -0x1.484ad943b4636p-18, -0x1.4c22acd90762fp-18, -0x1.4fdfc3077bc2p-18, -0x1.5382961feeabp-18, -0x1.570b94a54c091p-18, -0x1.5a7b19102bb32p-18, -0x1.5dd19192cd021p-18, -0x1.610f8b7784491p-18, -0x1.6436200ff4e2ap-18, -0x1.6745e20cb61fep-18, -0x1.6a3bc014897c7p-18, -0x1.6d1bb68a20f87p-18, -0x1.6fe5c93a4edd2p-18, -0x1.7299b2c752af7p-18, -0x1.7537b969fe303p-18, -0x1.77c059b72aa6dp-18, -0x1.7a34b34c25effp-18, -0x1.7c957c4b7739dp-18, -0x1.7edf889706408p-18, -0x1.8115ee63bd61cp-18, -0x1.8339ccf1514f5p-18, -0x1.854a8f4c05565p-18, -0x1.87486c0333f8dp-18, -0x1.8933bd2fe37bap-18, -0x1.8b0cda3a8bf86p-18, -0x1.8cd41620ccf63p-18, -0x1.8e89c0aee7611p-18, -0x1.902e247b8eddp-18, -0x1.91c18b077fdffp-18, -0x1.93444a3b47b3fp-18, -0x1.94b6b6a068ddp-18, -0x1.961909070e087p-18, -0x1.976b803f0714ap-18, -0x1.98ae73dd5a88fp-18, -0x1.99e22be386685p-18, -0x1.9b06dd729f40cp-18, -0x1.9c1cc846f44eap-18, -0x1.9d2432e4f402bp-18, -0x1.9e1d60eaaa572p-18, -0x1.9f0893476400ep-18, -0x1.9fe607a2a82e3p-18, -0x1.a0b5f36596228p-18, -0x1.a1788a9f03442p-18, -0x1.a22e0b89ab25cp-18, -0x1.a2d6b7e59583cp-18, -0x1.a37316be6ef9cp-18, -0x1.a4031db569e29p-18, -0x1.a4862775723e6p-18, -0x1.a4fdae24ed7b1p-18, -0x1.a56965338bc39p-18, -0x1.a5c94055465e1p-18, -0x1.a61e87f34c313p-18, -0x1.a668b9ec43cc8p-18, -0x1.a6a77b8eafa04p-18, -0x1.a6da93a9e9621p-18, -0x1.a7039cd8c5171p-18, -0x1.a722ae289582cp-18, -0x1.a7378ab7b6426p-18, -0x1.a742537aaab9cp-18, -0x1.a74272b844675p-18, -0x1.a7393502b1532p-18, -0x1.a7267f0b7879ep-18, -0x1.a70a5ac51dcb4p-18, }}, 
      {{0x1.3411b8d3a485fp-4, 0x1.2f80dac258b96p-3, 0x1.bc73e03adefcbp-3, 0x1.1eec08984e8aep-2, 0x1.58cbc6b65b561p-2, 0x1.8b3cc17e2bec2p-2, 0x1.b5ffd02f8df4fp-2, 0x1.d920bb96023b8p-2, 0x1.f4e4da90c6537p-2, 0x1.04ddb711420cfp-1, 0x1.0c180e4793a96p-1, 0x1.106fd557fc836p-1, 0x1.1237745fb2d8p-1, 0x1.11c1d5c16e7c5p-1, 0x1.0f5fcacd01077p-1, 0x1.0b5e3473c8d9dp-1, 0x1.0604cb9606aaep-1, 0x1.ff2acec1eaad3p-2, 0x1.f097483fd46f4p-2, 0x1.e0b9a2d0b64f6p-2, 0x1.cff026285799ep-2, 0x1.be8d498e3edb4p-2, 0x1.acd86764c2a3cp-2, 0x1.9b0e8b70362cp-2, 0x1.89634f4d6e4c6p-2, 0x1.7801bbee494e5p-2, 0x1.670d291f90b2ap-2, 0x1.56a2160bbdb95p-2, 0x1.46d6f727c5a8ep-2, 0x1.37bcf72308442p-2, 0x1.2960a992e6a1ep-2, 0x1.1bcaae807893p-2, 0x1.0f0046ac2e9d2p-2, 0x1.0303d8ca0dccdp-2, 0x1.efaad089ec067p-3, 0x1.dae5fc60f8ff8p-3, 0x1.c7b20addc6da3p-3, 0x1.b60535e742ab7p-3, 0x1.a5d3a6aa409e6p-3, 0x1.970fed2ba9405p-3, 0x1.89ab66464e492p-3, 0x1.7d969247f15b3p-3, 0x1.72c15e43610f5p-3, 0x1.691b6090ad812p-3, 0x1.60940c8d45cf6p-3, 0x1.591adb543ffc8p-3, 0x1.529f6ec35a567p-3, 0x1.4d11acc5be37p-3, 0x1.4861d509ae4cbp-3, 0x1.448092e895ec1p-3, 0x1.415f0aca33ec9p-3, 0x1.3eeee3c495ec8p-3, 0x1.3d224f0c0cf0fp-3, 0x1.3bec0d5f98909p-3, 0x1.3b3f71ef3942fp-3, 0x1.3b1063aa658c7p-3, 0x1.3b535d983767bp-3, 0x1.3bfd6e4f672ep-3, 0x1.3d04361fc5035p-3, 0x1.3e5de4c76b66ap-3, 0x1.4001364c969f7p-3, 0x1.41e56fbcd88e5p-3, 0x1.44025bbbf9aa9p-3, 0x1.46504608d4023p-3, 0x1.48c7f7b5f0becp-3, 0x1.4b62b2a17289ap-3, 0x1.4e1a2cd1e04dp-3, 0x1.50e88c0a32b71p-3, 0x1.53c86176eef8p-3, 0x1.56b4a4c933f3p-3, 0x1.59a8afb07cfb9p-3, 0x1.5ca03968fcf46p-3, 0x1.5f9752633ef47p-3, 0x1.628a5fa32e89dp-3, 0x1.65761645f716ap-3, 0x1.685777ce83a2ap-3, 0x1.6b2bcda52702p-3, 0x1.6df0a510d651ap-3, 0x1.70a3cb850b447p-3, 0x1.73434a9309732p-3, 0x1.75cd6464af4ffp-3, 0x1.7840906c97ffep-3, 0x1.7a9b77ab9a87bp-3, 0x1.7cdcf1796ec6fp-3, 0x1.7f04007caefcdp-3, 0x1.810fcfd6cebf8p-3, 0x1.82ffafe2c210bp-3, 0x1.84d313c120991p-3, 0x1.86898e910d3bep-3, 0x1.8822d11ea5957p-3, 0x1.899ea762bc10cp-3, 0x1.8afcf655f8be4p-3, 0x1.8c3db9eff6edbp-3, 0x1.8d61031ce0053p-3, 0x1.8e66f5ee34bc1p-3, 0x1.8f4fc7aa09d53p-3, 0x1.901bbd2d2cf03p-3, 0x1.90cb2986671a1p-3, 0x1.915e6c48a68eap-3, 0x1.91d5f0302af56p-3, 0x1.923229f17e104p-3, 0x1.927396f9f3812p-3, 0x1.929abc4a44b54p-3, 0x1.92a8259a01e55p-3, 0x1.929c6445078a6p-3, 0x1.92780e809dd5fp-3, 0x1.923bbe719d9b5p-3, 0x1.91e81184d0921p-3, 0x1.917da7b917228p-3, 0x1.90fd22d424782p-3, 0x1.906725f503843p-3, 0x1.8fbc54dde696p-3, 0x1.8efd537fc2974p-3, 0x1.8e2ac5986a195p-3, 0x1.8d454e309d259p-3, 0x1.8c4d8f4b77483p-3, 0x1.8b44299300e3ep-3, 0x1.8a29bc0cf88cp-3, 0x1.88fee3d7b3d9ap-3, 0x1.87c43bff1028p-3, 0x1.867a5d33b37e4p-3, 0x1.8521ddad173eap-3, 0x1.83bb50fc8ef21p-3, 0x1.824747e0109fbp-3, 0x1.80c6502b5e094p-3, 0x1.7f38f4a0f382cp-3, 0x1.7d9fbce46223ep-3, 0x1.7bfb2d5c2f5d8p-3, 0x1.7a4bc71fe3a8p-3, 0x1.789207f974e9ap-3, 0x1.76ce6a526cecap-3, 0x1.7501652b2d683p-3, 0x1.732b6c1baa7a8p-3, 0x1.714cef6c61e65p-3, 0x1.6f665bfb6d938p-3, 0x1.6d781b5b110b9p-3, 0x1.6b8293d8fdd94p-3, 0x1.6986287d2f80bp-3, 0x1.6783392adc501p-3, 0x1.657a229df6c6bp-3, 0x1.636b3e7f17cc7p-3, 0x1.6156e37373997p-3, 0x1.5f3d6530bea62p-3, 0x1.5d1f148437fd4p-3, 0x1.5afc3f600a6e7p-3, 0x1.58d530f95c42p-3, 0x1.56aa31c9c26aep-3, 0x1.547b87a423abbp-3, 0x1.524975cfdadd2p-3, 0x1.50143cfb47a84p-3, 0x1.4ddc1b78d7e78p-3, 0x1.4ba14d29578edp-3, 0x1.49640ba2f3c11p-3, 0x1.47248e4244cbcp-3, 0x1.44e30a2daa68ap-3, 0x1.429fb27c614c8p-3, 0x1.405ab83b29435p-3, 0x1.3e144a8256eb7p-3, 0x1.3bcc96859051ep-3, 0x1.3983c7ac1ed23p-3, 0x1.373a079882a04p-3, 0x1.34ef7e4227241p-3, 0x1.32a45204d6938p-3, 0x1.3058a7a98782p-3, 0x1.2e0ca27daec8fp-3, 0x1.2bc0645fb882bp-3, 0x1.29740dcdc4affp-3, 0x1.2727bdf06dabep-3, 0x1.24db92abf8dbbp-3, 0x1.228fa8ae2412bp-3, 0x1.20441b750af25p-3, 0x1.1df9056069314p-3, 0x1.1bae7fbb13b0bp-3, 0x1.1964a2c6636d8p-3, 0x1.171b85c6bc8e2p-3, 0x1.14d33f0ae379p-3, 0x1.128be3f683f3ep-3, 0x1.1045890faaf79p-3, 0x1.0e00420514c58p-3, 0x1.0bbc21b60eba7p-3, 0x1.09793a415e2bfp-3, 0x1.07379d07bf015p-3, 0x1.04f75ab65bdedp-3, 0x1.02b883507f865p-3, 0x1.007b26362322ep-3, 0x1.fc7ea45216494p-4, 0x1.f80a2ab2be0a2p-4, 0x1.f398faceb79c8p-4, 0x1.ef2b2ed8a79a5p-4, 0x1.eac0e0026ba6fp-4, 0x1.e65a26894b4a2p-4, 0x1.e1f719c17fe7bp-4, 0x1.dd97d0208393cp-4, 0x1.d93c5f4700e7p-4, 0x1.d4e4dc0e180cp-4, 0x1.d0915a8f013cep-4, 0x1.cc41ee2ad97a1p-4, 0x1.c7f6a995d0c9ep-4, 0x1.c3af9edc7bdb2p-4, 0x1.bf6cdf6f00828p-4, 0x1.bb2e7c27acd1ap-4, 0x1.b6f485511a129p-4, 0x1.b2bf0aacb409ep-4, 0x1.ae8e1b796367ap-4, 0x1.aa61c679bd139p-4, 0x1.a63a19f9abc58p-4, 0x1.a21723d3f8314p-4, 0x1.9df8f176c246bp-4, 0x1.99df8fe7ab487p-4, 0x1.95cb0bca7c5dap-4, 0x1.91bb71633439dp-4, 0x1.8db0cc9abefe1p-4, 0x1.89ab28ffd3e25p-4, 0x1.85aa91d0b2054p-4, 0x1.81af11fd0d888p-4, 0x1.7db8b4216d25dp-4, 0x1.79c78293f98acp-4, 0x1.75db87639ba3fp-4, 0x1.71f4cc5759e28p-4, 0x1.6e135af43c96ep-4, 0x1.6a373c7f789fp-4, 0x1.666079ff28a59p-4, 0x1.628f1c3b9dabcp-4, 0x1.5ec32bc230aacp-4, 0x1.5afcb0e715d38p-4, 0x1.573bb3c7180e9p-4, 0x1.53803c4820177p-4, 0x1.4fca5219b840dp-4, 0x1.4c19fcb6bf827p-4, 0x1.486f436788e56p-4, 0x1.44ca2d41ebe05p-4, 0x1.412ac12b4b4fdp-4, 0x1.3d9105d643059p-4, 0x1.39fd01c4ee42bp-4, 0x1.366ebb487ede3p-4, 0x1.32e63883e7abbp-4, 0x1.2f637f6c91ae7p-4, 0x1.2be695c9ca6f8p-4, 0x1.286f81338782p-4, 0x1.24fe471216feep-4, 0x1.2192ec9efd2e3p-4, 0x1.1e2d76e696b1dp-4, 0x1.1acdeac8e1f38p-4, 0x1.17744cf8dc108p-4, 0x1.1420a1fb40252p-4, 0x1.10d2ee25a5c48p-4, 0x1.0d8b359eabe52p-4, 0x1.0a497c5efa141p-4, 0x1.070dc6322f5b1p-4, 0x1.03d816b6df9dcp-4, 0x1.00a8715d86ca3p-4, 0x1.fafdb2ce61d7p-5, 0x1.f4b6a3c97a731p-5, 0x1.ee7bbb6e51b9bp-5, 0x1.e84cff214263cp-5, 0x1.e22a73ea89312p-5, 0x1.dc141e7571cd1p-5, 0x1.d60a030dd781cp-5, 0x1.d00c259d858c9p-5, 0x1.ca1a89ab1fc13p-5, 0x1.c435325af0036p-5, 0x1.be5c227090b68p-5, 0x1.b88f5c5051282p-5, 0x1.b2cee1ffad8bp-5, 0x1.ad1ab522726ccp-5, 0x1.a772d6f69624cp-5, 0x1.a1d748591fdacp-5, 0x1.9c4809bd263f3p-5, 0x1.96c51b358cb5ap-5, 0x1.914e7c72b3871p-5, 0x1.8be42cc2ba624p-5, 0x1.86862b12bbf5ap-5, 0x1.813475ec43069p-5, 0x1.7bef0b734dad1p-5, 0x1.76b5e965bb5p-5, 0x1.71890d1c526aap-5, 0x1.6c68738cbdaaap-5, 0x1.6754194b2ea2p-5, 0x1.624bfa8aebec1p-5, 0x1.5d50131daf543p-5, 0x1.58605e72665cbp-5, 0x1.537cd79417b6ep-5, 0x1.4ea57929b8b04p-5, 0x1.49da3d77578fep-5, 0x1.451b1e6030fbp-5, 0x1.40681568b0f29p-5, 0x1.3bc11bb7a0b4ap-5, 0x1.37262a161903ap-5, 0x1.329738eee3781p-5, 0x1.2e14404d90e08p-5, 0x1.299d37de89cbp-5, 0x1.253216f029c12p-5, 0x1.20d2d474cc3b6p-5, 0x1.1c7f67051564cp-5, 0x1.1837c4e1c17bap-5, 0x1.13fbe3f47ef65p-5, 0x1.0fcbb9cff3703p-5, 0x1.0ba73baf7a925p-5, 0x1.078e5e77488e6p-5, 0x1.038116b573c36p-5, 0x1.fefeb14773d3bp-6, 0x1.f71230534b51bp-6, 0x1.ef3c91bd47f56p-6, 0x1.e77dbc17898dep-6, 0x1.dfd59559ce03ap-6, 0x1.d84402e2a1564p-6, 0x1.d0c8e977fca58p-6, 0x1.c9642d489ac6ep-6, 0x1.c215b1ee3eec9p-6, 0x1.badd5a7176968p-6, 0x1.b3bb094df9d79p-6, 0x1.acaea0774e747p-6, 0x1.a5b8015cc4f0bp-6, 0x1.9ed70cec8ecc1p-6, 0x1.980ba395e2af3p-6, 0x1.9155a54a8cd11p-6, 0x1.8ab4f1808b539p-6, 0x1.8429673449a8ap-6, 0x1.7db2e4ec021adp-6, 0x1.775148bbd43p-6, 0x1.7104704a6a985p-6, 0x1.6acc38d5757d2p-6, 0x1.64a87f35a6d9bp-6, 0x1.5e991fe1ccf17p-6, 0x1.589df6f188da8p-6, 0x1.52b6e01f3841cp-6, 0x1.4ce3b6cb942c5p-6, 0x1.472455fde01d6p-6, 0x1.41789865b7b4ap-6, 0x1.3be05862874d6p-6, 0x1.365b700b8618ep-6, 0x1.30e9b92d5404fp-6, 0x1.2b8b0d4b198b4p-6, 0x1.263f45a9065efp-6, 0x1.21063b50a9f41p-6, 0x1.1bdfc70e1eb3bp-6, 0x1.16cbc1724d1dfp-6, 0x1.11ca02d7b4e91p-6, 0x1.0cda6365c835p-6, 0x1.07fcbb13f0e5bp-6, 0x1.0330e1acebd6fp-6, 0x1.fced5da4be585p-7, 0x1.f39bf40098121p-7, 0x1.ea6d3521b788bp-7, 0x1.e160cf7e311dap-7, 0x1.d876715424ef2p-7, 0x1.cfadc8af99b35p-7, 0x1.c706836fb88a3p-7, 0x1.be804f4c54cf4p-7, 0x1.b61ad9db798c7p-7, 0x1.add5d096ea426p-7, 0x1.a5b0e0e1ac227p-7, 0x1.9dabb80da1945p-7, 0x1.95c60360f5e1fp-7, 0x1.8dff701c4b1b7p-7, 0x1.8657ab80b5503p-7, 0x1.7ece62d51c60ep-7, 0x1.7763436cc3f55p-7, 0x1.7015faabede7cp-7, 0x1.68e6360cf44f9p-7, 0x1.61d3a324df41cp-7, 0x1.5addefa7953c4p-7, 0x1.5404c96bc2625p-7, 0x1.4d47de6ecafb9p-7, 0x1.46a6dcd8dcc4ap-7, 0x1.402173019ac84p-7, 0x1.39b74f7560cadp-7, 0x1.336820fae93ap-7, 0x1.2d33969902743p-7, 0x1.27195f9bd9194p-7, 0x1.21192b994b395p-7, 0x1.1b32aa74297fp-7, 0x1.15658c5e5a17ap-7, 0x1.0fb181da6a391p-7, 0x1.0a163bbcde5acp-7, 0x1.04936b2e585a3p-7, 0x1.fe51835db9746p-8, 0x1.f3abe2356ef6cp-8, 0x1.e935576124b5cp-8, 0x1.deed482f9d863p-8, 0x1.d4d31ad29cb78p-8, 0x1.cae63660e41c5p-8, 0x1.c12602e526f93p-8, 0x1.b791e9550123ap-8, 0x1.ae29539631b3fp-8, 0x1.a4ebac723b04fp-8, 0x1.9bd85f93ed9b4p-8, 0x1.92eed98407bc6p-8, 0x1.8a2e87ae04e2fp-8, 0x1.8196d86b12143p-8, 0x1.79273b131e5dfp-8, 0x1.70df2011679b1p-8, 0x1.68bdf8f83975cp-8, 0x1.60c3388fd0037p-8, 0x1.58ee52dc61a0bp-8, 0x1.513ebd1ebd21fp-8, 0x1.49b3edbb3170fp-8, 0x1.424d5c3b71676p-8, 0x1.3b0a8124dca65p-8, 0x1.33ead5f734da3p-8, 0x1.2cedd522737e4p-8, 0x1.2612fa0e79efap-8, 0x1.1f59c12effb8fp-8, 0x1.18c1a8209b7b9p-8, 0x1.124a2dc9269fep-8, 0x1.0bf2d27472a54p-8, 0x1.05bb17e67f7c1p-8, 0x1.ff4502bc99524p-9, 0x1.f351270f454a7p-9, 0x1.e799a8bc7f6e7p-9, 0x1.dc1d9612748c4p-9, 0x1.d0dbff6ad780bp-9, 0x1.c5d3f6f5880d3p-9, 0x1.bb0490a2a87b9p-9, 0x1.b06ce2395724ap-9, 0x1.a60c039315678p-9, 0x1.9be10ef3ade62p-9, 0x1.91eb21686bb0cp-9, 0x1.88295b1a03988p-9, 0x1.7e9adf7e9cfc2p-9, 0x1.753ed5611895ap-9, 0x1.6c1466baa2eccp-9, 0x1.631ac064934aep-9, 0x1.5a5111af9757dp-9, 0x1.51b68bf378f31p-9, 0x1.494a622d2f39fp-9, 0x1.410bc8c25a25cp-9, 0x1.38f9f57a9a7eep-9, 0x1.31141fb6901dbp-9, 0x1.295980db8872ep-9, 0x1.21c954dd516abp-9, 0x1.1a62dac4b4a1cp-9, 0x1.13255513282abp-9, 0x1.0c1009ee9533p-9, 0x1.0522431041e47p-9, 0x1.fcb69afe6a6d2p-10, 0x1.ef74f2488f51bp-10, 0x1.e27e308e508bdp-10, 0x1.d5d0fe1043387p-10, 0x1.c96c05ee9297ap-10, 0x1.bd4df537b5cd6p-10, 0x1.b1757acd78fd3p-10, 0x1.a5e147c5b8553p-10, 0x1.9a900ffd53bf4p-10, 0x1.8f808ba2f5e87p-10, 0x1.84b1786de93a9p-10, 0x1.7a219aa16fed3p-10, 0x1.6fcfbd92ddd5dp-10, 0x1.65bab397d605fp-10, 0x1.5be1558979c0bp-10, 0x1.52428217909d2p-10, 0x1.48dd1d15d3d56p-10, 0x1.3fb00ee41b15fp-10, 0x1.36ba43a6a9e11p-10, 0x1.2dfaaa9cca659p-10, 0x1.2570353e96d59p-10, 0x1.1d19d6bdbe3dep-10, 0x1.14f683d590d64p-10, 0x1.0d053352c909cp-10, 0x1.0544df298a5c5p-10, 0x1.fb690b823f306p-11, 0x1.eca655e8955ap-11, 0x1.de3fb0c67a6bp-11, 0x1.d0333a1829ac2p-11, 0x1.c27f190957a57p-11, 0x1.b5217c93c4202p-11, 0x1.a8189b3f0fb9p-11, 0x1.9b62b3eff4002p-11, 0x1.8efe0ece6efe9p-11, 0x1.82e8fdcfa8e7p-11, 0x1.7721dbe4eabd2p-11, 0x1.6ba70b4431656p-11, 0x1.6076f38952c9bp-11, 0x1.5590009dc96aap-11, 0x1.4af0a2f43c1a4p-11, 0x1.409750e8b7b4ap-11, 0x1.3682885bbd552p-11, 0x1.2cb0cf6ad774fp-11, 0x1.2320b39a02c8ap-11, 0x1.19d0c7ae445b7p-11, 0x1.10bfa13e0f89ap-11, 0x1.07ebd742308a2p-11, 0x1.fea8050bc1482p-12, 0x1.eded800b91b87p-12, 0x1.dda568aa33601p-12, 0x1.cdcd1d0b368f7p-12, 0x1.be6212792e18bp-12, 0x1.af61d352628c2p-12, 0x1.a0c9facdc951p-12, 0x1.929831edaa9e4p-12, 0x1.84ca2fb26ef9ap-12, 0x1.775dbbabf677ep-12, 0x1.6a50afbd8301dp-12, 0x1.5da0f62af906ep-12, 0x1.514c83aa9b145p-12, 0x1.45515021a4925p-12, 0x1.39ad5163a3d4dp-12, 0x1.2e5e797b03ef9p-12, 0x1.2362b78c59ebep-12, 0x1.18b7f9d5c945bp-12, 0x1.0e5c30a211f74p-12, 0x1.044d52fee30e1p-12, 0x1.f512c96fa0d9dp-13, 0x1.e21cf5b29156p-13, 0x1.cfb577bf3a01p-13, 0x1.bdd8b82dfb476p-13, 0x1.ac83357c408fap-13, 0x1.9bb1899e93864p-13, 0x1.8b607adf6d9c9p-13, 0x1.7b8d0b5b1719ep-13, 0x1.6c3476eefe568p-13, 0x1.5d541a4bb2c5fp-13, 0x1.4ee94f66bb86ap-13, 0x1.40f154de5f433p-13, 0x1.33694ddf5cb81p-13, 0x1.264e552c20534p-13, 0x1.199d91192ecccp-13, 0x1.0d543a2e723ebp-13, 0x1.016f9518115abp-13, 0x1.ebd9d6b1a4ed2p-14, 0x1.d5930f9c34a93p-14, 0x1.c0057c0ca45fcp-14, 0x1.ab2bdfe4ccec3p-14, 0x1.970116a7b7ccdp-14, 0x1.83800c78b274ap-14, 0x1.70a3be4e609afp-14, 0x1.5e675e0c7efe9p-14, 0x1.4cc68b996ab06p-14, 0x1.3bbd76f1b95f7p-14, 0x1.2b48c47d53e6dp-14, 0x1.1b653b44f681ep-14, 0x1.0c0f71f2c0369p-14, 0x1.fa87613faf9b7p-15, 0x1.ddfc217d5c20bp-15, 0x1.c2756a67ee10bp-15, 0x1.a7ebdc6f729b8p-15, 0x1.8e58773b8d79dp-15, 0x1.75b477f9dec1fp-15, 0x1.5df933b815997p-15, 0x1.471ffdc2b17a3p-15, 0x1.3122207c22343p-15, 0x1.1bf8e935417f4p-15, 0x1.079dbb5f36282p-15, 0x1.e814302c4996p-16, 0x1.c26f2fce7d483p-16, 0x1.9e3fe48f45c0fp-16, 0x1.7b7a54dfe3c7bp-16, 0x1.5a138e98ba4a3p-16, 0x1.3a01b72f53475p-16, 0x1.1b3b9dc612faap-16, 0x1.fb706e572cfedp-17, 0x1.c2dcdede049f2p-17, 0x1.8caa8454e0802p-17, 0x1.58c77cbaaad47p-17, 0x1.2721c7f8f1dd5p-17, 0x1.ef4eb1da22caep-18, 0x1.948d6267143a3p-18, 0x1.3ddea9ae7035ep-18, 0x1.d64647d41bec5p-19, 0x1.3877932e89deap-19, 0x1.4423bb89fb3b7p-20, 0x1.2d4336ba1aeb3p-23, -0x1.d608bd12a7fcdp-21, -0x1.ee5decd0e840cp-20, -0x1.726b16591142ep-19, -0x1.e76bd114071fap-19, -0x1.2b3275575442p-18, -0x1.5fc4d191082f2p-18, -0x1.918656f7dca5fp-18, -0x1.c09090fa1fa8ep-18, -0x1.ecfda9256f48cp-18, -0x1.0b7392ba7fc7bp-17, -0x1.1f31c2008ca2ap-17, -0x1.31c2e7a3d60d5p-17, -0x1.43300ee562e06p-17, -0x1.53831090f1f6cp-17, -0x1.62c67d4ce402ep-17, -0x1.7104b336b1d83p-17, -0x1.7e473cd56fc74p-17, -0x1.8a96d6b6f8736p-17, -0x1.95fbdeed519f6p-17, -0x1.a07ec64f35737p-17, -0x1.aa284ea274174p-17, -0x1.b301843753b29p-17, -0x1.bb1351ab52b26p-17, -0x1.c265d16fbfc42p-17, -0x1.c8ffeec92aec2p-17, -0x1.cee7cff26b0adp-17, -0x1.d423c311a34e5p-17, -0x1.d8bac9c7bab23p-17, -0x1.dcb46d9bc43b2p-17, -0x1.e0185f285da54p-17, -0x1.e2edd450aa31p-17, -0x1.e53aa7e18244fp-17, -0x1.e70382ae8555cp-17, -0x1.e84d2cedee5dfp-17, -0x1.e91d5dd9f3b0dp-17, -0x1.e97a024fc7eb3p-17, -0x1.e968ee245c097p-17, -0x1.e8efee461be52p-17, -0x1.e813a2099ecdbp-17, -0x1.e6d8004f89617p-17, -0x1.e54162d0d7a7ep-17, -0x1.e353510a796c3p-17, -0x1.e112a421f39aep-17, -0x1.de845000a4a3ap-17, -0x1.dbac3cff91552p-17, -0x1.d88e41dc314c6p-17, -0x1.d52e047e910d1p-17, -0x1.d18ea3d008e97p-17, -0x1.cdb3047ab5a85p-17, -0x1.c99e73283609ap-17, -0x1.c554c7e132128p-17, -0x1.c0d9e5390a23fp-17, -0x1.bc3152db16e43p-17, -0x1.b75def63c07d5p-17, -0x1.b261cf162892fp-17, -0x1.ad3f2fdb75982p-17, -0x1.a7f90c3252b61p-17, -0x1.a291fcf3fdd53p-17, -0x1.9d0be466153bep-17, -0x1.97691759d57c3p-17, -0x1.91ac2ce8c7208p-17, -0x1.8bd750a4eecb5p-17, -0x1.85ecdcf7ab36bp-17, -0x1.7fef81709f5ddp-17, -0x1.79e13e998481fp-17, -0x1.73c351621b705p-17, -0x1.6d970f340abd8p-17, -0x1.675e421fefb9cp-17, -0x1.611abf0517183p-17, -0x1.5ace1a532b922p-17, -0x1.5479c6a700c9bp-17, -0x1.4e1f1c8907442p-17, -0x1.47bf5c64b566bp-17, -0x1.415be22bf4fb9p-17, -0x1.3af63a735cef1p-17, -0x1.348fd4840b1c9p-17, -0x1.2e29d32242dc7p-17, -0x1.27c5305b6a2ap-17, -0x1.2162bf218f236p-17, -0x1.1b0386fc34b7cp-17, -0x1.14a8c68d50e74p-17, -0x1.0e5351f7c7087p-17, -0x1.0803dd0ed4ebp-17, -0x1.01bb42e215bdep-17, -0x1.f6f49830576ffp-18, -0x1.ea83455a21d0cp-18, -0x1.de23d1793bb0cp-18, -0x1.d1d79f8a9c0e4p-18, -0x1.c5a03bdc2ae01p-18, -0x1.b97f2c4c97009p-18, -0x1.ad75bdbbba9dep-18, -0x1.a184e2def7366p-18, -0x1.95ad2ccd9a996p-18, -0x1.89ef58c5aced9p-18, -0x1.7e4c89fbb0d0dp-18, -0x1.72c5a2f5ea1fap-18, -0x1.675b4a9465cbep-18, -0x1.5c0e3c5ee8deap-18, -0x1.50df32fa9bacep-18, -0x1.45cee9d6a1a21p-18, -0x1.3ade06cc540cp-18, -0x1.300cbf1cab4efp-18, -0x1.255b810173a36p-18, -0x1.1acaf8ae5796dp-18, -0x1.105ba56052a56p-18, -0x1.060df1496d4e7p-18, -0x1.f7c3ca1c1edc3p-19, -0x1.e3afa8ea3b851p-19, -0x1.cfe03644b844ep-19, -0x1.bc55d0b6f82cep-19, -0x1.a910b700cbee2p-19, -0x1.961126b64a6a9p-19, -0x1.8357624884235p-19, -0x1.70e3ac0a45f77p-19, -0x1.5eb6396ea31f3p-19, -0x1.4ccf296ad26p-19, -0x1.3b2e8e6253c05p-19, -0x1.29d478703f921p-19, -0x1.18c0cbb18b619p-19, -0x1.07f339f17735ep-19, -0x1.eed76c62e7dc7p-20, -0x1.ce54941ce22bfp-20, -0x1.ae5dec970c2a8p-20, -0x1.8ef2f541a2fep-20, -0x1.7012708e4a8bep-20, -0x1.51bbd05a8aeb3p-20, -0x1.33eeb8abbc176p-20, -0x1.16aa294e84b76p-20, -0x1.f3d9bf8b6f8aap-21, -0x1.bb6dd30be35e1p-21, -0x1.841026857ac1bp-21, -0x1.4dbdf9bb2c7bfp-21, -0x1.1873d6e2480a5p-21, -0x1.c860f2e2956aep-22, -0x1.61e4407ec40dbp-22, -0x1.fad9e02141f82p-23, -0x1.35eccd6cb9085p-23, -0x1.d3e1394aff734p-25, 0x1.20327679ccf3cp-25, 0x1.012b321cceec1p-23, 0x1.b66d05a50ee9ep-23, 0x1.33edff955d671p-22, 0x1.8ac110abfaa5bp-22, 0x1.dfb4addcc0b94p-22, 0x1.1966ea78e60eap-21, 0x1.4208e25d6aca6p-21, 0x1.69c30f96d5afep-21, 0x1.90984c03db00fp-21, 0x1.b68b469ebc5a9p-21, 0x1.db9ec56e16b28p-21, 0x1.ffd5a2cb6c27bp-21, 0x1.1198dea5f8d86p-20, 0x1.22daa7234294dp-20, 0x1.33b2022ab4d0ap-20, 0x1.4420c78826c0bp-20, 0x1.54285d7d28ae4p-20, 0x1.63cadd3cf89f7p-20, 0x1.7309e90b244ep-20, 0x1.81e2cb4d8825bp-20, 0x1.90508d17bbc9ap-20, 0x1.9e6233960e38ap-20, 0x1.ac1c342138181p-20, 0x1.b97d7191fa20ap-20, 0x1.c6794271cf7edp-20, 0x1.d31756076ae01p-20, 0x1.df5d36a68e5d8p-20, 0x1.eb4bb14332aa8p-20, 0x1.f6e384a1a9425p-20, 0x1.0112e064ddd02p-19, 0x1.0689d6fa06cedp-19, 0x1.0bd7515b1f399p-19, 0x1.10fbd838cb918p-19, 0x1.15f8431623973p-19, 0x1.1acd3d56310b2p-19, 0x1.1f7b49dc8dc0fp-19, 0x1.24032d8731132p-19, 0x1.2865842d1d4c3p-19, 0x1.2ca2eab51dcbap-19, 0x1.30bbfa8b86d8p-19, 0x1.34b154083e913p-19, 0x1.38839b38f9156p-19, 0x1.3c3370a5c796ep-19, 0x1.3fc17d3d2cf5ap-19, 0x1.432e633716ea8p-19, 0x1.467a913b561c4p-19, 0x1.49a6aa0e200a5p-19, 0x1.4cb357949186ep-19, 0x1.4fa10a8d1fb8ap-19, 0x1.527071e9e6aacp-19, 0x1.5522117bc4b4ep-19, 0x1.57b6778b1fa7ap-19, 0x1.5a2e34b059f9dp-19, 0x1.5c89d4afffca8p-19, 0x1.5ec9e0be88c5p-19, 0x1.60eee0501865dp-19, 0x1.62f9592e29d68p-19, 0x1.64e9cf663f854p-19, 0x1.66c0c537433cep-19, 0x1.687ebb06d7fdap-19, 0x1.6a242f5775053p-19, 0x1.6bb19ecc0bac5p-19, 0x1.6d278464de384p-19, 0x1.6e865a2714a38p-19, 0x1.6fce9adeb34f8p-19, 0x1.7100c6fe40e5cp-19, 0x1.721d70ffbdddbp-19, 0x1.73254db8ce0d1p-19, 0x1.7418c6d005bc5p-19, 0x1.74f5c44c4322ep-19, 0x1.75bd94653dbcap-19, 0x1.7675c3f1be583p-19, 0x1.7717eabe9e931p-19, 0x1.77abc6cd867dep-19, 0x1.782b0aa2dce23p-19, 0x1.7896cc2be2c78p-19, 0x1.78f1929097458p-19, 0x1.793ba152f5e84p-19, 0x1.79751f636931p-19, 0x1.799e51789c376p-19, 0x1.79b78bb11545ap-19, 0x1.79c125d24dba8p-19, 0x1.79bb7a6241597p-19, 0x1.79a6e3dd08152p-19, 0x1.7983ba85308a4p-19, 0x1.795254e5f66bp-19, 0x1.7913080abcc26p-19, 0x1.78c6278acc327p-19, 0x1.786c059224f38p-19, 0x1.7804f2e72b828p-19, 0x1.77913eed352ebp-19, 0x1.771137a2d3b8p-19, 0x1.768529a2d3876p-19, 0x1.75ed602aff5fp-19, 0x1.754a2527e334ap-19, 0x1.749bc1438dbe3p-19, 0x1.73e27bb56d711p-19, 0x1.731e9a41bbc83p-19, 0x1.725061fb15536p-19, 0x1.7178163384c53p-19, 0x1.7095f820ba68cp-19, 0x1.6faa4824d5bdep-19, 0x1.6eb544d3676ep-19, 0x1.6db72b4f08285p-19, 0x1.6cb037887f79ap-19, 0x1.6ba0a9de931bfp-19, 0x1.6a88ad740f182p-19, 0x1.6968aa7ca9c7fp-19, 0x1.6840a5f84b6dp-19, 0x1.6710f2d5896p-19, 0x1.65d9c2f9b40eep-19, 0x1.649b48d734ef5p-19, 0x1.6355b8ee6cdccp-19, 0x1.620949408e617p-19, 0x1.60b62c7fe7729p-19, 0x1.5f5c922aade59p-19, 0x1.5dfca90b9388cp-19, 0x1.5c96a2a203f0ap-19, 0x1.5b2aad6280e2ap-19, 0x1.59b8f7412814p-19, 0x1.5841b576af73cp-19, 0x1.56c53b8817eebp-19, 0x1.554437a38fb65p-19, 0x1.53bf2b7bf9f2cp-19, 0x1.523140fa456f3p-19, 0x1.509bf6f6b16b9p-19, 0x1.4f0912a723697p-19, 0x1.4d74217c19c13p-19, 0x1.4bd5008ca1a98p-19, 0x1.4a31c8334e345p-19, 0x1.488b6e7eaa1e5p-19, 0x1.46e1858b789fdp-19, 0x1.453404bf8e2a1p-19, 0x1.4382ea6b89936p-19, 0x1.41ce70b185982p-19, 0x1.4016989b2f5d8p-19, 0x1.3e5b873e9d651p-19, 0x1.3c9d6602bc59ep-19, 0x1.3adc530813b5ep-19, 0x1.39186d0e6b67fp-19, 0x1.3751cfa0c809fp-19, 0x1.358899eec528fp-19, 0x1.33bcec14dfaf7p-19, 0x1.31eee1587c0ccp-19, 0x1.301e94c4024c4p-19, 0x1.2e4c201c6324dp-19, 0x1.2c77992e426c4p-19, 0x1.2aa11dceaa573p-19, 0x1.28c8c749bb56cp-19, 0x1.26eeae1b72705p-19, 0x1.2512eb01de052p-19, 0x1.2335977c0c564p-19, 0x1.2156ceb8c90a5p-19, 0x1.1f76ac9f0ecfdp-19, 0x1.1d954901084efp-19, 0x1.1bb2baa7fccdap-19, 0x1.19cf0a2ca2e23p-19, 0x1.17ea3b0313fe5p-19, 0x1.16045cc2a6012p-19, 0x1.141d8e785313dp-19, 0x1.1235f5f3936d3p-19, 0x1.104daf0e65dc5p-19, 0x1.0e64ca95bb91cp-19, 0x1.0c7b53e6c5d57p-19, 0x1.0a91578f64886p-19, 0x1.08a6eb7f8940fp-19, 0x1.06bc26376dbaep-19, 0x1.04d10f52fd55cp-19, 0x1.02e5b2dcf5c1bp-19, 0x1.00fa2b5ea68b7p-19, 0x1.fe1d150953b4dp-20, 0x1.fa45af20e6568p-20, 0x1.f66e4083511b3p-20, 0x1.f296ecb56c211p-20, 0x1.eebfd343a4ab7p-20, 0x1.eae90fb618455p-20, 0x1.e712bb168d61bp-20, 0x1.e33ced6dbe4d9p-20, 0x1.df67bf5b20775p-20, 0x1.db934b2f6bcf4p-20, 0x1.d7bfabb86fd1cp-20, 0x1.d3ecfb8aa4fc4p-20, 0x1.d01b539ad899dp-20, 0x1.cc4ad07ac65ddp-20, 0x1.c87bb07a160a4p-20, 0x1.c4aea2c4744edp-20, 0x1.c0e509b4913b2p-20, 0x1.bd16b9344ba64p-20, 0x1.b9489fd64973ap-20, 0x1.b580210815992p-20, 0x1.b1c094dd7153cp-20, 0x1.adfdb8c9229e2p-20, 0x1.aa38a09cc7fc6p-20, 0x1.a6775765a033p-20, 0x1.a2b8c0c1d0878p-20, 0x1.9efc63bd523a7p-20, 0x1.9b423448c1cb1p-20, 0x1.978a3d8bb7028p-20, 0x1.93d48fcaf5071p-20, }}, 
      {{0x1.e7bef19c791d8p-1, 0x1.04dbb6e7913a9p+0, 0x1.1c317134be16ap+0, 0x1.357690c7bebe1p+0, 0x1.4d0ab2a88866ep+0, 0x1.605c52acb3c75p+0, 0x1.6ddf28388eaafp+0, 0x1.74e1b15a7c4dfp+0, 0x1.7559dcf23d19ep+0, 0x1.6fb42768a643cp+0, 0x1.64a9b218f5fefp+0, 0x1.551e8b5f5be88p+0, 0x1.4207e49a6c733p+0, 0x1.2c594c8d4a032p+0, 0x1.14f7c5a432ecep+0, 0x1.f9632ac096776p-1, 0x1.c87389fe3785p-1, 0x1.984ccf6737e2p-1, 0x1.69e1bdf8be4c6p-1, 0x1.3deeee90b3482p-1, 0x1.14ffb3c77e9bcp-1, 0x1.dee7be947a9e1p-2, 0x1.9b0baa1e22108p-2, 0x1.5ea10d9fc12a6p-2, 0x1.29aa2eb10c31fp-2, 0x1.f80003ffc8634p-3, 0x1.aab6ba5e93928p-3, 0x1.6aba062ce5f8cp-3, 0x1.37291d71d67d1p-3, 0x1.0f0c941941d05p-3, 0x1.e2c00fab69decp-4, 0x1.ba33f49f5cd0bp-4, 0x1.a2641eb4aabe8p-4, 0x1.994bc72d4dd3bp-4, 0x1.9cf96573f333cp-4, 0x1.ab93fa438d5cp-4, 0x1.c35eb51424833p-4, 0x1.e2bb4120c6d0cp-4, 0x1.04157fe3b9a5ap-3, 0x1.1927b50342275p-3, 0x1.2ff4e5e086655p-3, 0x1.47ed3e3df7fc8p-3, 0x1.608fe082015fap-3, 0x1.796a33aef4ed3p-3, 0x1.92171bb0c4fd2p-3, 0x1.aa3e25e62ce1ep-3, 0x1.c192ae85f370fp-3, 0x1.d7d30449857a1p-3, 0x1.ecc79062875cep-3, 0x1.0021013ff39c3p-2, 0x1.090e42ea19ba5p-2, 0x1.111c7efff1e2ep-2, 0x1.18402710da1a6p-2, 0x1.1e70d568d0fdap-2, 0x1.23a8fa8ed3efap-2, 0x1.27e5909ab74fbp-2, 0x1.2b25d340b976dp-2, 0x1.2d6afd0391beep-2, 0x1.2eb8092665f5ep-2, 0x1.2f117a3a23126p-2, 0x1.2e7d252c7a3f1p-2, 0x1.2d02005c3f9cfp-2, 0x1.2aa7f715c4703p-2, 0x1.2777c0769a893p-2, 0x1.237aba276292bp-2, 0x1.1ebac6612fa65p-2, 0x1.19422d3640a84p-2, 0x1.131b80b2bf03bp-2, 0x1.0c51840486ea4p-2, 0x1.04ef151388b6ap-2, 0x1.f9fe312e2b745p-3, 0x1.e918d0f276ef7p-3, 0x1.d74388a4840c7p-3, 0x1.c49387a1c4d9ap-3, 0x1.b11d960b289cp-3, 0x1.9cf600520d515p-3, 0x1.8830867256fa9p-3, 0x1.72e04d0afc7f9p-3, 0x1.5d17d26563afdp-3, 0x1.46e8e413dfc2bp-3, 0x1.3064984ec21f8p-3, 0x1.199b484b298d1p-3, 0x1.029c8c3d72e99p-3, 0x1.d6ee73122b914p-4, 0x1.a872c38b1fc23p-4, 0x1.79e0a5c8a34dap-4, 0x1.4b51329b77705p-4, 0x1.1cdc03472edc7p-4, 0x1.dd2e6fc8d5e7ep-5, 0x1.812f01c6bc39cp-5, 0x1.25e04bb49065p-5, 0x1.96cc3e97d46eep-6, 0x1.c786a7cf47b16p-7, 0x1.9718729264d96p-9, -0x1.ee7141cd64cdfp-8, -0x1.27874152f4282p-6, -0x1.d0aed12f18271p-6, -0x1.3b7435eb143f9p-5, -0x1.8d06d1b19ad08p-5, -0x1.dcfe03df05b6ep-5, -0x1.15a53c0be497cp-4, -0x1.3bef525b4036dp-4, -0x1.61575aeb84beep-4, -0x1.85d839b1917dep-4, -0x1.a96d95fc756bcp-4, -0x1.cc13cf4eb7c9ap-4, -0x1.edc7f29f6688dp-4, -0x1.0743d806550e2p-3, -0x1.1728a87684c77p-3, -0x1.2691d710aa3a2p-3, -0x1.357f136eb4252p-3, -0x1.43f04beaa1b4ep-3, -0x1.51e5a946f805dp-3, -0x1.5f5f8ab76228ep-3, -0x1.6c5e81f6e9c49p-3, -0x1.78e34f65ebb6bp-3, -0x1.84eedec3cf288p-3, -0x1.9082438fac493p-3, -0x1.9b9eb5c729ea9p-3, -0x1.a6458edc9271p-3, -0x1.b07846d1d0a5p-3, -0x1.ba387122a3d36p-3, -0x1.c387ba3134b3ep-3, -0x1.cc67e4d2e7bp-3, -0x1.d4dac7a46b22bp-3, -0x1.dce24ac480277p-3, -0x1.e48065bd2fd04p-3, -0x1.ebb71d5e34c23p-3, -0x1.f28881c012842p-3, -0x1.f8f6ac67fb5p-3, -0x1.ff03becd660f7p-3, -0x1.0258f035db2a6p-2, -0x1.05019ec18d8f9p-2, -0x1.077d02b4ee5acp-2, -0x1.09cc34e041982p-2, -0x1.0bf04e5dd1a16p-2, -0x1.0dea681267899p-2, -0x1.0fbb9a576ccc4p-2, -0x1.1164fc4639873p-2, -0x1.12e7a368f8cb6p-2, -0x1.1444a34eaee3dp-2, -0x1.157d0d2f4d25cp-2, -0x1.1691ef9360e6dp-2, -0x1.17845609d635fp-2, -0x1.185548e306ef7p-2, -0x1.1905ccf022156p-2, -0x1.1996e3540bf86p-2, -0x1.1a09894cc3771p-2, -0x1.1a5eb7fe25536p-2, -0x1.1a97646c81ef7p-2, -0x1.1ab47f38965bp-2, -0x1.1ab6f4a15234dp-2, -0x1.1a9fac5e98b37p-2, -0x1.1a6f8990080b2p-2, -0x1.1a276abc2d5c5p-2, -0x1.19c829b9b72c6p-2, -0x1.19529baf83e93p-2, -0x1.18c7910b61902p-2, -0x1.1827d5859dd5bp-2, -0x1.1774302477131p-2, -0x1.16ad6340392aep-2, -0x1.15d42c80b5434p-2, -0x1.14e944eab571ap-2, -0x1.13ed60f046844p-2, -0x1.12e130737742p-2, -0x1.11c55ed333e94p-2, -0x1.109a92faffb89p-2, -0x1.0f616f73bcf1ap-2, -0x1.0e1a926f97c5cp-2, -0x1.0cc695db3a19dp-2, -0x1.0b660f73d404ap-2, -0x1.09f990d3eef34p-2, -0x1.0881a7855239fp-2, -0x1.06fedd16c5a4bp-2, -0x1.0571b730cc264p-2, -0x1.03dab7a82c044p-2, -0x1.023a5c8f521acp-2, -0x1.0091204a1017fp-2, -0x1.fdbef34feff08p-3, -0x1.fa4bb7e8e9fc8p-3, -0x1.f6c96e1471239p-3, -0x1.f338eed0311d6p-3, -0x1.ef9b0c8dcb3fep-3, -0x1.ebf0935924623p-3, -0x1.e83a48fdae617p-3, -0x1.e478ed3065d57p-3, -0x1.e0ad39b60d7a6p-3, -0x1.dcd7e28c0b622p-3, -0x1.d8f996097b32p-3, -0x1.d512fd04a9ca9p-3, -0x1.d124bafb5c0ffp-3, -0x1.cd2f6e373d68ep-3, -0x1.c933afee3a257p-3, -0x1.c5321463945fep-3, -0x1.c12b2b0b3e499p-3, -0x1.bd1f7eae00899p-3, -0x1.b90f95893c771p-3, -0x1.b4fbf16b4f6e8p-3, -0x1.b0e50fd307a44p-3, -0x1.accb6a0f3983p-3, -0x1.a8af755db08d9p-3, -0x1.a491a306b6ccbp-3, -0x1.a072607783a5p-3, -0x1.9c52175dd1578p-3, -0x1.98312dc4072a3p-3, -0x1.9410062bbe3bp-3, -0x1.8feeffa5b4604p-3, -0x1.8bce75e951f6fp-3, -0x1.87aec16cf83dbp-3, -0x1.8390377e00861p-3, -0x1.7f732a582b23cp-3, -0x1.7b57e93ada87ep-3, -0x1.773ec07d2a542p-3, -0x1.7327f9a3994adp-3, -0x1.6f13db73e1ee4p-3, -0x1.6b02aa07be0c9p-3, -0x1.66f4a6e257832p-3, -0x1.62ea110270191p-3, -0x1.5ee324f344c77p-3, -0x1.5ae01cdd69f6ep-3, -0x1.56e1309710733p-3, -0x1.52e695b54c18p-3, -0x1.4ef07f9deba0dp-3, -0x1.4aff1f97cf333p-3, -0x1.4712a4d8d8117p-3, -0x1.432b3c9232f6fp-3, -0x1.3f4911fdce677p-3, -0x1.3b6c4e6e14a8p-3, -0x1.3795195e4f7b2p-3, -0x1.33c39880c2ed1p-3, -0x1.2ff7efc93f01p-3, -0x1.2c3241769623p-3, -0x1.2872ae1d10ed7p-3, -0x1.24b954b54fbf5p-3, -0x1.210652ab23876p-3, -0x1.1d59c3ea8568fp-3, -0x1.19b3c2e7f110ap-3, -0x1.161468a6abc04p-3, -0x1.127bccc10c2a4p-3, -0x1.0eea0574bb221p-3, -0x1.0b5f27b13a987p-3, -0x1.07db472473b3bp-3, -0x1.045e7642951d6p-3, -0x1.00e8c64a66702p-3, -0x1.faf48e9442b15p-4, -0x1.f4261050bbdcp-4, -0x1.ed662d61dc623p-4, -0x1.e6b4ff4414f1bp-4, -0x1.e0129d6b5e856p-4, -0x1.d97f1d4c1445p-4, -0x1.d2fa925f4d1aep-4, -0x1.cc850e2b7d482p-4, -0x1.c61ea0565b65cp-4, -0x1.bfc756bd7facfp-4, -0x1.b97f3d8da1a3cp-4, -0x1.b3465f51505cdp-4, -0x1.ad1cc4f65af8p-4, -0x1.a70275cfb46c1p-4, -0x1.a0f7779be064bp-4, -0x1.9afbce94740ebp-4, -0x1.950f7d83fe4ebp-4, -0x1.8f3285dbc537ep-4, -0x1.8964e7c18f09dp-4, -0x1.83a6a2149b836p-4, -0x1.7df7b26dab19p-4, -0x1.785815216c7cbp-4, -0x1.72c7c54c974e9p-4, -0x1.6d46bce3fb94ap-4, -0x1.67d4f4ca739e7p-4, -0x1.627264df6aa83p-4, -0x1.5d1f0405f977fp-4, -0x1.57dac825f43afp-4, -0x1.52a5a62b479e7p-4, -0x1.4d7f920a2eaf2p-4, -0x1.48687ecacf0c1p-4, -0x1.43605e9a0efd1p-4, -0x1.3e6722da64abdp-4, -0x1.397cbc2f7cb84p-4, -0x1.34a11a82bdad2p-4, -0x1.2fd42d02ca372p-4, -0x1.2b15e222c0827p-4, -0x1.2666279dd51dap-4, -0x1.21c4ea811ddccp-4, -0x1.1d321739b705ep-4, -0x1.18ad99a30df74p-4, -0x1.14375d112e929p-4, -0x1.0fcf4c5520deap-4, -0x1.0b7551bd26c76p-4, -0x1.07295712e17a3p-4, -0x1.02eb459d826a5p-4, -0x1.fd760c4f96ed3p-5, -0x1.f53102157b3cfp-5, -0x1.ed073c735d2f9p-5, -0x1.e4f88a98f4dd6p-5, -0x1.dd04bb0af187cp-5, -0x1.d52b9ba624f32p-5, -0x1.cd6cf99db67c6p-5, -0x1.c5c8a17a261f8p-5, -0x1.be3e5f1e18668p-5, -0x1.b6cdfdd2ab81ap-5, -0x1.af7748595a864p-5, -0x1.a83a08fef04d5p-5, -0x1.a11609aab20cp-5, -0x1.9a0b13e6f3e3p-5, -0x1.9318f0e34251fp-5, -0x1.8c3f697314aaep-5, -0x1.857e460d3134bp-5, -0x1.7ed54ecf38ec7p-5, -0x1.78444b8695199p-5, -0x1.71cb03bdb2808p-5, -0x1.6b693eca80fc4p-5, -0x1.651ec3daeb118p-5, -0x1.5eeb59fce79b6p-5, -0x1.58cec821c9bcbp-5, -0x1.52c8d51deb608p-5, -0x1.4cd947a827e13p-5, -0x1.46ffe65b14d1ep-5, -0x1.413c77ba05dfap-5, -0x1.3b8ec238fc02cp-5, -0x1.35f68c474160bp-5, -0x1.30739c59ae45ep-5, -0x1.2b05b8f2b47dp-5, -0x1.25aca8a740b4ep-5, -0x1.2068322074c4dp-5, -0x1.1b381c1b1a95cp-5, -0x1.161c2d69b92d5p-5, -0x1.11142cf193e69p-5, -0x1.0c1fe1b336358p-5, -0x1.073f12cd6e737p-5, -0x1.0271878646009p-5, -0x1.fb6e0ea590b2ap-6, -0x1.f21eb3b70badfp-6, -0x1.e8f48dff4e38ep-6, -0x1.dfef2daf5608p-6, -0x1.d70e236b5e348p-6, -0x1.ce5100484d493p-6, -0x1.c5b755ccd9febp-6, -0x1.bd40b5f6defa6p-6, -0x1.b4ecb343797f9p-6, -0x1.acbae0b924312p-6, -0x1.a4aad1f251307p-6, -0x1.9cbc1b26a2fcep-6, -0x1.94ee5131e500bp-6, -0x1.8d410996a811bp-6, -0x1.85b3da7f57b26p-6, -0x1.7e465abc894cfp-6, -0x1.76f821c3d3f31p-6, -0x1.6fc8c7afeb1afp-6, -0x1.68b7e5436a463p-6, -0x1.61c513ee67615p-6, -0x1.5aefedd5dc9c3p-6, -0x1.54380ddbce24ep-6, -0x1.4d9d0fa6c15ecp-6, -0x1.471e8fa75ebd3p-6, -0x1.40bc2b1bccf7dp-6, -0x1.3a7580102471cp-6, -0x1.344a2d5c6e3cfp-6, -0x1.2e39d2a17fc95p-6, -0x1.28441045708b9p-6, -0x1.226887717ef6ap-6, -0x1.1ca6da12448eap-6, -0x1.16feaada9a301p-6, -0x1.116f9d48fcb26p-6, -0x1.0bf955aee3c0ap-6, -0x1.069b7938c464bp-6, -0x1.0155adf57cfc5p-6, -0x1.f84f35b73cd3ap-7, -0x1.ee21cf96779e6p-7, -0x1.e4227b1732b0dp-7, -0x1.da508b89d10f2p-7, -0x1.d0ab55ee7fc73p-7, -0x1.c73230e1ea0dep-7, -0x1.bde4748d9543cp-7, -0x1.b4c17aa077d0ep-7, -0x1.abc89e52d24e8p-7, -0x1.a2f93c7659358p-7, -0x1.9a52b3905e90fp-7, -0x1.91d463f95949cp-7, -0x1.897daffa7d0c6p-7, -0x1.814dfbe131cd2p-7, -0x1.7944ae0447281p-7, -0x1.71612eb0dc913p-7, -0x1.69a2e80a967aep-7, -0x1.620945d94b3a1p-7, -0x1.5a93b5587516bp-7, -0x1.5341a5136c82p-7, -0x1.4c1284cb50afcp-7, -0x1.4505c5877f60dp-7, -0x1.3e1ad9b996115p-7, -0x1.3751357bb140fp-7, -0x1.30a84ed8454abp-7, -0x1.2a1f9e0b683cap-7, -0x1.23b69dac3c055p-7, -0x1.1d6ccab0e9d04p-7, -0x1.1741a4481bd81p-7, -0x1.1134ab796d00cp-7, -0x1.0b4562e6a7f05p-7, -0x1.05734e1501314p-7, -0x1.ff7be2b733d4p-8, -0x1.f449a318cbad7p-8, -0x1.e94ee82930cf7p-8, -0x1.de8abe952f491p-8, -0x1.d3fc35de4e4bdp-8, -0x1.c9a2618d0ff5ap-8, -0x1.bf7c5a50c1e4ap-8, -0x1.b5893ec9edd3ap-8, -0x1.abc833c9380fp-8, -0x1.a23863e639b93p-8, -0x1.98d8fe71c0908p-8, -0x1.8fa935eadadefp-8, -0x1.86a83e3ec04aap-8, -0x1.7dd54b2cd8d2p-8, -0x1.752f8f301f09bp-8, -0x1.6cb63b35b0ad7p-8, -0x1.64687f4567b7ep-8, -0x1.5c458c06f8f11p-8, -0x1.544c94de9184cp-8, -0x1.4c7cd2347996p-8, -0x1.44d5836fedbcap-8, -0x1.3d55f03c0f0a4p-8, -0x1.35fd68d0057c4p-8, -0x1.2ecb4520a08a4p-8, -0x1.27bee3120e1e9p-8, -0x1.20d7a3ebcb8a5p-8, -0x1.1a14e976afae7p-8, -0x1.13761346b0ceap-8, -0x1.0cfa7cb9a965bp-8, -0x1.06a17c205ac7fp-8, -0x1.006a63549fbfp-8, -0x1.f4a90368d26ccp-9, -0x1.e8be4e5094deep-9, -0x1.dd134f3d1509cp-9, -0x1.d1a6bc9761f9bp-9, -0x1.c67760271e049p-9, -0x1.bb84195f9021dp-9, -0x1.b0cbdcd0144afp-9, -0x1.a64db0da3d689p-9, -0x1.9c08a8357da9bp-9, -0x1.91fbdb1837be9p-9, -0x1.88266018c817bp-9, -0x1.7e8745c40af69p-9, -0x1.751d8e395c70fp-9, -0x1.6be82d853377bp-9, -0x1.62e60b06c0b38p-9, -0x1.5a1605e64461dp-9, -0x1.5176fb760876fp-9, -0x1.4907ce5f57acbp-9, -0x1.40c76d5151325p-9, -0x1.38b4d828aef7ep-9, -0x1.30cf22ea816fbp-9, -0x1.2915763326928p-9, -0x1.21870d020c3cp-9, -0x1.1a233035d158ap-9, -0x1.12e9306944d1bp-9, -0x1.0bd85f8b712ebp-9, -0x1.04f00b5b20e0fp-9, -0x1.fc5ef3dbf0c3ap-10, -0x1.ef2bd1118fe5ap-10, -0x1.e2451956c3962p-10, -0x1.d5a92d40acc76p-10, -0x1.c956697263e0bp-10, -0x1.bd4b2ce3b6e1dp-10, -0x1.b185de15276ecp-10, -0x1.a604ef2ceb65ap-10, -0x1.9ac6e14744d4p-10, -0x1.8fca47786f20ep-10, -0x1.850dc7cccb576p-10, -0x1.7a90195276f9dp-10, -0x1.704fff0421647p-10, -0x1.664c3fa88dfa9p-10, -0x1.5c839f674c08dp-10, -0x1.52f4de3af5822p-10, -0x1.499ebcec27c0dp-10, -0x1.4080066df29f3p-10, -0x1.379798d5f92a1p-10, -0x1.2ee469575fddfp-10, -0x1.266581895db29p-10, -0x1.1e19f805702c1p-10, -0x1.1600e89b96de6p-10, -0x1.0e196fbabee24p-10, -0x1.0662a9a39d3b3p-10, -0x1.fdb765673f74bp-11, -0x1.ef07499dafd07p-11, -0x1.e0b31f2b1721bp-11, -0x1.d2b8d8f8303fap-11, -0x1.c51626842be08p-11, -0x1.b7c86a7e77b36p-11, -0x1.aacccb27943e4p-11, -0x1.9e20613f8f35fp-11, -0x1.91c07cc76e629p-11, -0x1.85aae86316833p-11, -0x1.79de0dd42c81bp-11, -0x1.6e58e78888cc2p-11, -0x1.631ac37c1ce73p-11, -0x1.5822f6834fcbcp-11, -0x1.4d70a977b9c6bp-11, -0x1.4302d9ff9d362p-11, -0x1.38d885e6d723ap-11, -0x1.2ef0db3b41af4p-11, -0x1.254b44ed8a12ap-11, -0x1.1be7439e120abp-11, -0x1.12c42101c77a6p-11, -0x1.09e09e387ba09p-11, -0x1.013abd7219b18p-11, -0x1.f19f78f04f385p-12, -0x1.e138921ab0372p-12, -0x1.d139d7112f997p-12, -0x1.c19d266c5d871p-12, -0x1.b25e33b56ec6p-12, -0x1.a37b0a4a77d1ap-12, -0x1.94f3b6b47c209p-12, -0x1.86c926f8fd372p-12, -0x1.78fbd0379ad61p-12, -0x1.6b8adb9472501p-12, -0x1.5e744989aee0fp-12, -0x1.51b5d70221609p-12, -0x1.454dfb7d051f7p-12, -0x1.393c621834b3p-12, -0x1.2d81a3889126ap-12, -0x1.221e728df3159p-12, -0x1.1712ad0578d79p-12, -0x1.0c5cc65222a31p-12, -0x1.01f9b237dd7a7p-12, -0x1.efca448383069p-13, -0x1.dc33ba43ce8b3p-13, -0x1.c92465f3efa34p-13, -0x1.b6917abcacc7cp-13, -0x1.a472c43359da3p-13, -0x1.92c450c66a2abp-13, -0x1.8186930a27c0fp-13, -0x1.70bc8791ad8edp-13, -0x1.6068ce720c09fp-13, -0x1.508b8056545adp-13, -0x1.4121eed04cf65p-13, -0x1.32280dd61e711p-13, -0x1.239a669e9bd87p-13, -0x1.1577819c3b0f6p-13, -0x1.07c006cd9c178p-13, -0x1.f4ead36646acdp-14, -0x1.db3003b346331p-14, -0x1.c24bf1cc3989p-14, -0x1.aa3752d8c12e7p-14, -0x1.92e9884935fa1p-14, -0x1.7c5a428c6cfc6p-14, -0x1.66817aa70e604p-14, -0x1.5156820d1fb6cp-14, -0x1.3ccf8c36a0b81p-14, -0x1.28e255981e8cep-14, -0x1.1585afd9de0e8p-14, -0x1.02b35e16a90c3p-14, -0x1.e0d27756622ap-15, -0x1.bd5126f0fcf0dp-15, -0x1.9ae74a93f209dp-15, -0x1.7995769def0c3p-15, -0x1.5955fefd0ab9bp-15, -0x1.3a209ef89129dp-15, -0x1.1beff7ca8ad4fp-15, -0x1.fd846cb6faeaep-16, -0x1.c52b2d3212ffdp-16, -0x1.8ecc6132ec292p-16, -0x1.5a5ba7805b7f9p-16, -0x1.27c82411bb9bep-16, -0x1.edfc83fa4fcap-17, -0x1.8fd8cfe0f4e85p-17, -0x1.350d73c68c91ap-17, -0x1.bb1833a6ef164p-18, -0x1.128dd233f0626p-18, -0x1.c14150765e859p-20, 0x1.5f37af69a9644p-21, 0x1.84f1edf2471bbp-19, 0x1.53bfd4d474337p-18, 0x1.dfe14b1dc475fp-18, 0x1.3369ff10c3edap-17, 0x1.744f5e5d9bc43p-17, 0x1.b2c0e74a5dd1cp-17, 0x1.eee399da0c022p-17, 0x1.145dc48e246cap-16, 0x1.30196b5557a2p-16, 0x1.4aa1f9cbafe84p-16, 0x1.64059e5524afbp-16, 0x1.7c58660521a45p-16, 0x1.93a5fab9c98f8p-16, 0x1.a9f010eccd1adp-16, 0x1.bf384d7616978p-16, 0x1.d386ccf36197dp-16, 0x1.e6e640a2cbde3p-16, 0x1.f95d6a149e2f7p-16, 0x1.0577260acbbcfp-15, 0x1.0dcd2ee9d9c7cp-15, 0x1.15b37275eca7cp-15, 0x1.1d3085d79a873p-15, 0x1.244f8c9b07177p-15, 0x1.2b193e310e953p-15, 0x1.318a63145586p-15, 0x1.3799382f445b3p-15, 0x1.3d44a60c412fep-15, 0x1.429586232688ep-15, 0x1.479266796777p-15, 0x1.4c3d3a1d96acap-15, 0x1.509a8357dd25ap-15, 0x1.54af8a3cdcef7p-15, 0x1.587d00f7a8ep-15, 0x1.5c01d7712d9aap-15, 0x1.5f409f6ac4457p-15, 0x1.623e37d103337p-15, 0x1.64fc03cb4d799p-15, 0x1.67784b4928c0fp-15, 0x1.69b38a7f5e23fp-15, 0x1.6bb122ee37e62p-15, 0x1.6d741f4ce374ap-15, 0x1.6efded8b0184ep-15, 0x1.704f818d8a992p-15, 0x1.716a029836e24p-15, 0x1.724fba0586a7bp-15, 0x1.7306b06d10ec4p-15, 0x1.73949ec9c1e7cp-15, 0x1.73f6a36ff4e57p-15, 0x1.7428ffae0d24bp-15, 0x1.7430d0dddfdadp-15, 0x1.7411c5f9c0703p-15, 0x1.73c7abee1a2ap-15, 0x1.735086b182f55p-15, 0x1.72af7ae526fb9p-15, 0x1.71e86eaf83952p-15, 0x1.70ffa109014ep-15, 0x1.6ff9970ab8cecp-15, 0x1.6ed740352259cp-15, 0x1.6d958b528bee4p-15, 0x1.6c33eb9a2b7f4p-15, 0x1.6ab63c14806bfp-15, 0x1.691e2d162dfaap-15, 0x1.6769d1f86378cp-15, 0x1.65991b3ead649p-15, 0x1.63ae721a32ba7p-15, 0x1.61abee8665ef9p-15, 0x1.5f92d1d42a423p-15, 0x1.5d63baabeb82dp-15, 0x1.5b1e34208d7c5p-15, 0x1.58c331f5168bbp-15, 0x1.56566d0aefc65p-15, 0x1.53d7ebe5c1293p-15, 0x1.51477c47ca5afp-15, 0x1.4ea8528ea8f5dp-15, 0x1.4bf8bba9de6b9p-15, 0x1.49372502104b5p-15, 0x1.4666186c7fd55p-15, 0x1.4387ab2d14db3p-15, 0x1.409c7328cb9ddp-15, 0x1.3da491ecba404p-15, 0x1.3aa0398b92757p-15, 0x1.378f99322e2f9p-15, 0x1.3472ee86cfebfp-15, 0x1.314ba578be9ecp-15, 0x1.2e1bdfcea2e99p-15, 0x1.2ae37d293dfb9p-15, 0x1.27a25956a6868p-15, 0x1.245a5b24fed59p-15, 0x1.210b16c6fdba2p-15, 0x1.1db3551f31c8p-15, 0x1.1a544402179e5p-15, 0x1.16ef7cf83d66dp-15, 0x1.1385e0fc4ff3fp-15, 0x1.1017239f9a77dp-15, 0x1.0ca216c82b08ap-15, 0x1.09282a1a6a736p-15, 0x1.05ab6a38b1d46p-15, 0x1.022c389fed559p-15, 0x1.fd558fd605f21p-16, 0x1.f64a5f886b34ep-16, 0x1.ef38c58032afep-16, 0x1.e823c80e6e798p-16, 0x1.e10c2ec11ae51p-16, 0x1.d9f22f15b6e25p-16, 0x1.d2d62a8b18991p-16, 0x1.cbb8b0f881e96p-16, 0x1.c49a670ff4b0ap-16, 0x1.bd7bf0300ea1ep-16, 0x1.b65de57fc6b79p-16, 0x1.af40dd2393a04p-16, 0x1.a825359ffb5fbp-16, 0x1.a10a6f879720ep-16, 0x1.99f02e8e3dbbp-16, 0x1.92d8caaf5949p-16, 0x1.8bc5fe73ecad9p-16, 0x1.84b87a46b0b99p-16, 0x1.7dafd4838e46bp-16, 0x1.76aa43879318ep-16, 0x1.6fa938a4bb0bfp-16, 0x1.68ae628ef4d09p-16, 0x1.61b94f0a00e7dp-16, 0x1.5ac8a5ad0c2ap-16, 0x1.53dee89a15cfep-16, 0x1.4cfe16ebadbc8p-16, 0x1.462506e0b5af6p-16, 0x1.3f51c485f188cp-16, 0x1.388624720c3ddp-16, 0x1.31c32aa31aeadp-16, 0x1.2b08e22af01fep-16, 0x1.245760b44c40bp-16, 0x1.1daeda52eba81p-16, 0x1.170f8de074c3p-16, 0x1.1079babd37c9cp-16, 0x1.09ed9daa626e8p-16, 0x1.036b7135c48dep-16, 0x1.f9e6df7af928dp-17, 0x1.ed0ba9702cf13p-17, 0x1.e045b55a18261p-17, 0x1.d3956c6ab39e6p-17, 0x1.c6fb2b55be6d2p-17, 0x1.ba775a941e1a2p-17, 0x1.ae0a5b6d8799dp-17, 0x1.a1b3b8b546be6p-17, 0x1.9572a24b27fecp-17, 0x1.8949770316d97p-17, 0x1.7d3a2816bb188p-17, 0x1.71432aea5c7dcp-17, 0x1.656334f3377a2p-17, 0x1.599bc7090a5cdp-17, 0x1.4dec44816e73ap-17, 0x1.425646fc52a6bp-17, 0x1.36db3554fa4cp-17, 0x1.2b78c62ca6b27p-17, 0x1.202f672aba732p-17, 0x1.14ffd6a008139p-17, 0x1.09ea1a7ea372fp-17, 0x1.fdddc79dc6a91p-18, 0x1.e81bfc86e144fp-18, 0x1.d28ead64bcabfp-18, 0x1.bd3629960af4ap-18, 0x1.a812ba449ea36p-18, 0x1.93249c3022773p-18, 0x1.7e6bfee2e0fbdp-18, 0x1.69e925d4886e7p-18, 0x1.559bd4142b1e8p-18, 0x1.4184a29e4d29bp-18, 0x1.2da3c311b6ccep-18, 0x1.19f8b9ed24095p-18, 0x1.06840dd40ce49p-18, 0x1.e68b79867088bp-19, 0x1.c07baf1468162p-19, 0x1.9ad8b7dc8743cp-19, 0x1.75a29500b715ap-19, 0x1.50d975be9ed37p-19, 0x1.2c7d70cf8f3b8p-19, 0x1.088e123c12581p-19, 0x1.ca1668f96aef5p-20, 0x1.83eb20109667cp-20, 0x1.3e98f08f359acp-20, 0x1.f44093eaf7aaep-21, 0x1.6d011491cb4aep-21, 0x1.cee5410866bebp-22, 0x1.8e514b14ddffep-23, -0x1.e9a772af9a638p-25, -0x1.3e34e79dd2619p-22, -0x1.1dec89b282e6p-21, -0x1.9b11ba1a4ab69p-21, -0x1.0b458c74003a2p-20, -0x1.482ce5b8f83e9p-20, -0x1.843f849939f6ep-20, -0x1.bf7e0ddd4c9bdp-20, -0x1.f9e92edfc0e5p-20, -0x1.19c0ceaaa728cp-19, -0x1.36240c03f1737p-19, -0x1.521eb39d66154p-19, -0x1.6db12da9ed088p-19, -0x1.88dbe5262b959p-19, -0x1.a39f4779b9a23p-19, -0x1.bdfbc9629c4cp-19, -0x1.d7f1f1b8decd2p-19, -0x1.f1822df1f89e7p-19, -0x1.0555ecc81a868p-18, -0x1.11b7f0713bff5p-18, -0x1.1de8910411894p-18, -0x1.29e6974183e1fp-18, -0x1.35b3d9672c909p-18, -0x1.414eee165c838p-18, -0x1.4cb82b66c6607p-18, -0x1.57f0d017f2864p-18, -0x1.62f9c58c6d139p-18, -0x1.6dd185b0f1178p-18, -0x1.7878662ba0929p-18, -0x1.82eef59744977p-18, -0x1.8d363ab67f8b2p-18, -0x1.974ee01982474p-18, -0x1.a138a9b633858p-18, -0x1.aaf3b4df6f213p-18, -0x1.b4804cc2a2b88p-18, -0x1.bddec416df4a2p-18, -0x1.c70f6d615660dp-18, -0x1.d0129a9ca7dd1p-18, -0x1.d8e89dc35c469p-18, -0x1.e191c91b02167p-18, -0x1.ea0e6f3aadab7p-18, -0x1.f25ee300337ffp-18, -0x1.fa837798b0601p-18, -0x1.013e404cafe2fp-17, -0x1.0525290417cbap-17, -0x1.08f6a0022097bp-17, -0x1.0cb2cf2e59694p-17, -0x1.1059e07b32b2bp-17, -0x1.13ebfe216adebp-17, -0x1.17695357844cap-17, -0x1.1ad20c9ec5d2cp-17, -0x1.1e2656ac230b3p-17, -0x1.21665e88c9eefp-17, -0x1.249252af8043dp-17, -0x1.27aa58b0aaddcp-17, -0x1.2aaead5c68f86p-17, -0x1.2d9f1ceb7dbf4p-17, -0x1.307c472102cbap-17, -0x1.3346572432563p-17, -0x1.35fdbf714567ap-17, -0x1.38a1a7e91c211p-17, -0x1.3b327873168d6p-17, -0x1.3db13ca717242p-17, -0x1.401e14620a557p-17, -0x1.427872b96876ap-17, -0x1.44c024e09c908p-17, -0x1.46f63528669d5p-17, -0x1.491add1406598p-17, -0x1.4b2e08254346p-17, -0x1.4d2fd8bcbb055p-17, -0x1.4f2081b58fcabp-17, -0x1.510040e297429p-17, -0x1.52cf4e09665adp-17, -0x1.548d3f2cba5e4p-17, -0x1.563a6bfa645fdp-17, -0x1.57d81c5bdf9bbp-17, -0x1.5965f953a339ep-17, -0x1.5ae330aa9734cp-17, -0x1.5c50a3844f0fp-17, -0x1.5dae98f3e738p-17, -0x1.5efd2973370d7p-17, -0x1.603c77522365bp-17, -0x1.616caac06732cp-17, -0x1.628df90c7668p-17, -0x1.63a0864e88307p-17, -0x1.64a47e34d2ff3p-17, -0x1.659a0e262678dp-17, -0x1.668161b03c2d6p-17, -0x1.675aa1fa6209p-17, -0x1.6825fca5e3d0dp-17, -0x1.68e39851cb98bp-17, -0x1.699397ebff067p-17, -0x1.6a362e382e55fp-17, -0x1.6acba7c2eb487p-17, -0x1.6b54370c5f7c1p-17, -0x1.6bcf5d1a7338fp-17, -0x1.6c3df23f2812ep-17, -0x1.6ca00d5022f24p-17, -0x1.6cf5b77bbd659p-17, -0x1.6d3f14ffbb138p-17, -0x1.6d7c547742661p-17, -0x1.6dadc1f85222ep-17, -0x1.6dd39571934dbp-17, -0x1.6ded572db4866p-17, -0x1.6dfbad9b1c31cp-17, -0x1.6dfee0ce11726p-17, -0x1.6df6ecd842dadp-17, -0x1.6de3f3f6c7cefp-17, -0x1.6dc62143c594ap-17, -0x1.6d9d9d8552d7ap-17, -0x1.6d6a926ee5dfep-17, -0x1.6d2d269e21e87p-17, -0x1.6ce57fecc94b6p-17, -0x1.6c93c41a302d5p-17, -0x1.6c381a76fa17cp-17, -0x1.6bd2aa2f66f94p-17, -0x1.6b6397419c035p-17, -0x1.6aeb06668943cp-17, -0x1.6a691f024854p-17, -0x1.69de06846b1b7p-17, -0x1.6949e03ce0e8ap-17, -0x1.68acd0ae50c26p-17, -0x1.6806fce91098ap-17, -0x1.6758896c56e6ep-17, -0x1.66a19a6d6e64cp-17, -0x1.65e2539291cbdp-17, -0x1.651ad719e31cep-17, -0x1.644b46fe1d6f8p-17, -0x1.6373c6cfe4abdp-17, -0x1.62947aa32b985p-17, -0x1.61ad91069d962p-17, -0x1.60bf224b5b99fp-17, -0x1.5fc92f8b8f0dfp-17, -0x1.5ecc0f82365fbp-17, -0x1.5dc7dea046dfbp-17, -0x1.5cbca5930d254p-17, -0x1.5baaaee38fb23p-17, -0x1.5a9140c26d5cp-17, -0x1.5971b1122d20fp-17, -0x1.584c1e60e87bfp-17, -0x1.571fd5e9ea796p-17, -0x1.55ed093b1a2fbp-17, -0x1.54b446d0fbe86p-17, -0x1.537592b2a6228p-17, -0x1.5230e43a9281ap-17, -0x1.50e681acb311ap-17, -0x1.4f967eb67e152p-17, -0x1.4e40f4d823794p-17, }}, 
      {{0x1.df584a17c6a97p-1, 0x1.eb53766c53959p-1, 0x1.fd0594637c464p-1, 0x1.0918fbbbfb0d7p+0, 0x1.1462f9072b718p+0, 0x1.1f83ea344b951p+0, 0x1.29d24e19ab527p+0, 0x1.32d613fd7eaffp+0, 0x1.3a429ae41eff9p+0, 0x1.3fef386a5c41bp+0, 0x1.43cfaf275360cp+0, 0x1.45ed44740f615p+0, 0x1.4660be5f271f5p+0, 0x1.454d5d9baf57dp+0, 0x1.42dccc2c949e4p+0, 0x1.3f3beb655a0b8p+0, 0x1.3a9864cfe6fc1p+0, 0x1.351ee02b39266p+0, 0x1.2ef9c15aff593p+0, 0x1.285053f204e9ap+0, 0x1.21464c855eb81p+0, 0x1.19fb8bb8bac0ap+0, 0x1.128c120bc6783p+0, 0x1.0b1016aad192bp+0, 0x1.039c36a5e6361p+0, 0x1.f88367b3fe558p-1, 0x1.ea1d7a61bd105p-1, 0x1.dc1d762a1e253p-1, 0x1.ce95397ed60bfp-1, 0x1.c1924716644cap-1, 0x1.b51e5587cdcf2p-1, 0x1.a93fd5628f123p-1, 0x1.9dfa6c92e92b1p-1, 0x1.934f663831749p-1, 0x1.893e174b62f3ep-1, 0x1.7fc437ddb58bcp-1, 0x1.76de31cffa3c4p-1, 0x1.6e87659301b04p-1, 0x1.66ba65c8f5fcbp-1, 0x1.5f712a9160c5ap-1, 0x1.58a53d5862245p-1, 0x1.524fde086b9ep-1, 0x1.4c6a223f20052p-1, 0x1.46ed0f75072e3p-1, 0x1.41d1b087f3c8bp-1, 0x1.3d1127526a84ep-1, 0x1.38a4baf588067p-1, 0x1.3485e3181b798p-1, 0x1.30ae50be21c72p-1, 0x1.2d17f4f53e27bp-1, 0x1.29bd05c22ae6dp-1, 0x1.2698016dc3d6fp-1, 0x1.23a3b0982b67p-1, 0x1.20db2751ed964p-1, 0x1.1e39c5238cad2p-1, 0x1.1bbb348367fb1p-1, 0x1.195b699d7b95dp-1, 0x1.1716a0abc5ef6p-1, 0x1.14e95bf2340f1p-1, 0x1.12d061608ff15p-1, 0x1.10c8b80560e04p-1, 0x1.0ecfa547f5147p-1, 0x1.0ce2aa2b0d5aap-1, 0x1.0aff804e1ba49p-1, 0x1.092417096bcd1p-1, 0x1.074e907956635p-1, 0x1.057d3e8fe7265p-1, 0x1.03aea030e68e8p-1, 0x1.01e15e6da71cfp-1, 0x1.001449b972249p-1, 0x1.fc8cae890db37p-2, 0x1.f8ed3ccbd7272p-2, 0x1.f548ac6039ad5p-2, 0x1.f19da606cc7a3p-2, 0x1.edeb0893598e1p-2, 0x1.ea2fe4bc9bcafp-2, 0x1.e66b78eb8ce3bp-2, 0x1.e29d2d5ae39d7p-2, 0x1.dec49076cecdap-2, 0x1.dae153562b867p-2, 0x1.d6f3468492b62p-2, 0x1.d2fa56ffc0892p-2, 0x1.cef68b4ba30f9p-2, 0x1.cae800c41ce91p-2, 0x1.c6cee928a5709p-2, 0x1.c2ab88563a0a7p-2, 0x1.be7e32075a3d2p-2, 0x1.ba4747e2c1cc3p-2, 0x1.b607379a6dee1p-2, 0x1.b1be793f3f86bp-2, 0x1.ad6d8da8670d9p-2, 0x1.a914fd07186adp-2, 0x1.a4b555984ef89p-2, 0x1.a04f2a73c4e05p-2, 0x1.9be3126e2cadfp-2, 0x1.9771a70f7f52ep-2, 0x1.92fb83b14940bp-2, 0x1.8e8144b048ad6p-2, 0x1.8a0386a0d0cedp-2, 0x1.8582e5a637c88p-2, 0x1.80fffcddf614p-2, 0x1.7c7b65d56cb38p-2, 0x1.77f5b810fbbe2p-2, 0x1.736f88aa8295p-2, 0x1.6ee969efd89ep-2, 0x1.6a63eb16186d5p-2, 0x1.65df97efe9126p-2, 0x1.615cf8b4280e1p-2, 0x1.5cdc91cb62aabp-2, 0x1.585ee3a13bd7fp-2, 0x1.53e46a7fec84bp-2, 0x1.4f6d9e70d2c16p-2, 0x1.4afaf32bec96fp-2, 0x1.468cd809a50a3p-2, 0x1.4223b7f44e004p-2, 0x1.3dbff9666e98fp-2, 0x1.3961fe6c3ebb9p-2, 0x1.350a24a5ec12ap-2, 0x1.30b8c550f68a8p-2, 0x1.2c6e3554ceaf1p-2, 0x1.282ac54c19896p-2, 0x1.23eec196f6d37p-2, 0x1.1fba726ad635ap-2, 0x1.1b8e1be28c499p-2, 0x1.1769fe16c9dc2p-2, 0x1.134e552f369f6p-2, 0x1.0f3b597adb3bp-2, 0x1.0b313f85d012ap-2, 0x1.073038323f822p-2, 0x1.033870d44a184p-2, 0x1.fe942692977c1p-3, 0x1.f6ca8c2371f26p-3, 0x1.ef1458dcf1f7bp-3, 0x1.e771ccfd33bb9p-3, 0x1.dfe322ab26517p-3, 0x1.d8688e388c1b3p-3, 0x1.d1023e544e6c3p-3, 0x1.c9b05c3e2595p-3, 0x1.c2730c059b2a5p-3, 0x1.bb4a6cb909502p-3, 0x1.b436989a8f443p-3, 0x1.ad37a5541daffp-3, 0x1.a64da42984cedp-3, 0x1.9f78a227ace65p-3, 0x1.98b8a8558bd4p-3, 0x1.920dbbe478c1cp-3, 0x1.8b77de5904f14p-3, 0x1.84f70db9de01p-3, 0x1.7e8b44bdc9bbfp-3, 0x1.78347aebdb8eap-3, 0x1.71f2a4d249557p-3, 0x1.6bc5b421ad4d2p-3, 0x1.65ad97da9e7d8p-3, 0x1.5faa3c722d4b6p-3, 0x1.59bb8bf1cc673p-3, 0x1.53e16e22379a4p-3, 0x1.4e1bc8a77abfep-3, 0x1.486a7f23ba0e1p-3, 0x1.42cd7354fa8a1p-3, 0x1.3d448537592e5p-3, 0x1.37cf931e39926p-3, 0x1.326e79d33f98ep-3, 0x1.2d2114b0cc57cp-3, 0x1.27e73db960b72p-3, 0x1.22c0cdb2e4a96p-3, 0x1.1dad9c3d8b1ffp-3, 0x1.18ad7fea0dff5p-3, 0x1.13c04e4dcfc02p-3, 0x1.0ee5dc19db8a5p-3, 0x1.0a1dfd2ea29p-3, 0x1.056884abdbd8dp-3, 0x1.00c5450478265p-3, 0x1.f868201e9498cp-4, 0x1.ef696e2e53adp-4, 0x1.e68e15d5d5261p-4, 0x1.ddd5b7d523966p-4, 0x1.d53ff42b8071dp-4, 0x1.cccc6a38523aep-4, 0x1.c47ab8c8d4dfbp-4, 0x1.bc4a7e3ae82b2p-4, 0x1.b43b588cbac99p-4, 0x1.ac4ce5760622cp-4, 0x1.a47ec27c248bep-4, 0x1.9cd08d05529c3p-4, 0x1.9541e26ae40ccp-4, 0x1.8dd26008e4b6p-4, 0x1.8681a35270baap-4, 0x1.7f4f49dd4d35ap-4, 0x1.783af1722fd19p-4, 0x1.7144381abed67p-4, 0x1.6a6abc2e88753p-4, 0x1.63ae1c5f0698ep-4, 0x1.5d0df7c2cccc6p-4, 0x1.5689eddfb845p-4, 0x1.50219eb647798p-4, 0x1.49d4aaca37237p-4, 0x1.43a2b32a2922ep-4, 0x1.3d8b597872679p-4, 0x1.378e3ff22e0e9p-4, 0x1.31ab09780e761p-4, 0x1.2be15993abe26p-4, 0x1.2630d47d44413p-4, 0x1.20991f218a679p-4, 0x1.1b19df26da26fp-4, 0x1.15b2baf1f3859p-4, 0x1.106359aa3e842p-4, 0x1.0b2b633dfc976p-4, 0x1.060a8065a2469p-4, 0x1.01005aa6f093bp-4, 0x1.f81938b0805a8p-5, 0x1.ee5de143d4d7ep-5, 0x1.e4ce07040fd7cp-5, 0x1.db6903a393d97p-5, 0x1.d22e328034845p-5, 0x1.c91cf0aa872bp-5, 0x1.c0349cf7e4a67p-5, 0x1.b77497ef3a4d4p-5, 0x1.aedc43d28c5bap-5, 0x1.a66b04a89c992p-5, 0x1.9e20403770f3ap-5, 0x1.95fb5e04cc884p-5, 0x1.8dfbc7572c9d3p-5, 0x1.8620e735cb722p-5, 0x1.7e6a2a692c48fp-5, 0x1.76d6ff7ac8b6ep-5, 0x1.6f66d6b4d47a4p-5, 0x1.6819222101dfap-5, 0x1.60ed5586fb903p-5, 0x1.59e2e66b6a688p-5, 0x1.52f94c0ed8d47p-5, 0x1.4c2fff6c415f3p-5, 0x1.45867b35c3af1p-5, 0x1.3efc3bd4b947ep-5, 0x1.3890bf644c55p-5, 0x1.324385b1eb118p-5, 0x1.2c14103abc84ap-5, 0x1.2601e2293f774p-5, 0x1.200c8051e7dc8p-5, 0x1.1a33712fb5e52p-5, 0x1.14763ce126cb7p-5, 0x1.0ed46d2574c91p-5, 0x1.094d8d5a3d6fcp-5, 0x1.03e12a78a958bp-5, 0x1.fd1da623cb53p-6, 0x1.f2ac2e96a117fp-6, 0x1.e86d11b59c37fp-6, 0x1.de5f7606d7964p-6, 0x1.d48285249446dp-6, 0x1.cad56bb6f0388p-6, 0x1.c157596ce0fdap-6, 0x1.b80780f457f46p-6, 0x1.aee517f220c48p-6, 0x1.a5ef56fa1c0cbp-6, 0x1.9d2579880bb92p-6, 0x1.9486bdf9164fcp-6, 0x1.8c1265850329dp-6, 0x1.83c7b4366a92ep-6, 0x1.7ba5f0e25bfb1p-6, 0x1.73ac65200be79p-6, 0x1.6bda5d40dbf5p-6, 0x1.642f284a269e8p-6, 0x1.5caa17ed07373p-6, 0x1.554a807f615d3p-6, 0x1.4e0fb8f4430e4p-6, 0x1.46f91ad492bccp-6, 0x1.400602399d4e4p-6, 0x1.3935cdbadf797p-6, 0x1.3287de74a879cp-6, 0x1.2bfb97f45d959p-6, 0x1.2590603814c97p-6, 0x1.1f459fa84e437p-6, 0x1.191ac10d18d25p-6, 0x1.130f31870b459p-6, 0x1.0d2260877811p-6, 0x1.0753bfc8cead5p-6, 0x1.01a2c347619ap-6, 0x1.f81dc2753b533p-7, 0x1.ed2f241d09b8cp-7, 0x1.e278a0b90651ap-7, 0x1.d7f931c71a054p-7, 0x1.cdafd501233eap-7, 0x1.c39b8c4e6a021p-7, 0x1.b9bb5db54816p-7, 0x1.b00e534d7faf7p-7, 0x1.a6937b33501cfp-7, 0x1.9d49e77a5a986p-7, 0x1.9430ae20c39cdp-7, 0x1.8b46e8ff3207fp-7, 0x1.828bb5beaa7f3p-7, 0x1.79fe35c6359ep-7, 0x1.719d8e2f1efe9p-7, 0x1.6968e7b77d281p-7, 0x1.615f6eb5c64c3p-7, 0x1.5980530cbf173p-7, 0x1.51cac81f8f7f5p-7, 0x1.4a3e04c5b2fd1p-7, 0x1.42d9433ec9f15p-7, 0x1.3b9bc125da153p-7, 0x1.3484bf63d1e7ep-7, 0x1.2d938221a2d69p-7, 0x1.26c750bab2162p-7, 0x1.201f75b0d8569p-7, 0x1.199b3ea23c739p-7, 0x1.1339fc4008497p-7, 0x1.0cfb02449c7c7p-7, 0x1.06dda7685046dp-7, 0x1.00e14554dbdap-7, 0x1.f60a71307a605p-8, 0x1.ea91c1306fa1ep-8, 0x1.df573f0dc8b56p-8, 0x1.d459b4b0f2ee6p-8, 0x1.c997f173563edp-8, 0x1.bf10ca0c4f223p-8, 0x1.b4c3187c9b185p-8, 0x1.aaadbbfdda3ccp-8, 0x1.a0cf98e92f66p-8, 0x1.972798a20eb76p-8, 0x1.8db4a97dd842ep-8, 0x1.8475beb89c7d2p-8, 0x1.7b69d05c99512p-8, 0x1.728fdb3015ca3p-8, 0x1.69e6e0a3c839dp-8, 0x1.616de6c0b5d24p-8, 0x1.5923f81525d0bp-8, 0x1.510823a6a0578p-8, 0x1.49197cc92a772p-8, 0x1.41571b371d1eap-8, 0x1.39c01ad61cffap-8, 0x1.32539bcc2be5ep-8, 0x1.2b10c2526f5e4p-8, 0x1.23f6b69187eafp-8, 0x1.1d04a4b564da2p-8, 0x1.1639bced3eec9p-8, 0x1.0f953334cc2fcp-8, 0x1.09163f3b886e9p-8, 0x1.02bc1c724728cp-8, 0x1.f90c13fa310efp-9, 0x1.ece69530ebe1p-9, 0x1.e106490fbb4e1p-9, 0x1.d569c310d6ab3p-9, 0x1.ca0f9d861957p-9, 0x1.bef6797d46ccfp-9, 0x1.b41cfea18c37cp-9, 0x1.a981db233e8b3p-9, 0x1.9f23c398aac21p-9, 0x1.950172e45f4b9p-9, 0x1.8b19aa18c34b1p-9, 0x1.816b305dc3857p-9, 0x1.77f4d2d63bbfcp-9, 0x1.6eb564859d7bcp-9, 0x1.65abbe360509dp-9, 0x1.5cd6be5e6b517p-9, 0x1.5435490957636p-9, 0x1.4bc647bd24cf5p-9, 0x1.4388a9630886ep-9, 0x1.3b7b622f894d9p-9, 0x1.339d6b8d380d9p-9, 0x1.2bedc4036a6c7p-9, 0x1.246b6f219a528p-9, 0x1.1d157567f95fdp-9, 0x1.15eae430a441fp-9, 0x1.0eeacd99a2638p-9, 0x1.0814486ee23bp-9, 0x1.0166701487ca8p-9, 0x1.f5c0c8e34c2a9p-10, 0x1.e90293b769374p-10, 0x1.dc9092064d84dp-10, 0x1.d0691dc176ap-10, 0x1.c48a99460cea9p-10, 0x1.b8f36f377ab3cp-10, 0x1.ada212598536ep-10, 0x1.a294fd69b4d5bp-10, 0x1.97cab2f7b93dcp-10, 0x1.8d41bd3db167ep-10, 0x1.82f8adf863d45p-10, 0x1.78ee1e4204ecdp-10, 0x1.6f20ae704f74dp-10, 0x1.658f05f62bd3bp-10, 0x1.5c37d346b106p-10, 0x1.5319cbbb0ee71p-10, 0x1.4a33ab6c7c66cp-10, 0x1.4184352ac1ba3p-10, 0x1.390a3246de10bp-10, 0x1.30c47283b4f19p-10, 0x1.28b1cbec2c49ep-10, 0x1.20d11a8bef18fp-10, 0x1.192140888b742p-10, 0x1.11a125ca79dbp-10, 0x1.0a4fb7f716bbbp-10, 0x1.032bea5611003p-10, 0x1.f8696b7ec0947p-11, 0x1.ead23118ae63cp-11, 0x1.dd902d109bdefp-11, 0x1.d0a171b340a6p-11, 0x1.c4041b8c8e0cbp-11, 0x1.b7b6539c14efdp-11, 0x1.abb647d6f5d81p-11, 0x1.a0023692f64f2p-11, 0x1.9498627e5e54bp-11, 0x1.8977198888de9p-11, 0x1.7e9cb23177dc3p-11, 0x1.74078baefd9ddp-11, 0x1.69b60ddfcd558p-11, 0x1.5fa6a9443e15ap-11, 0x1.55d7d6fcbb1ecp-11, 0x1.4c4818c4c54dbp-11, 0x1.42f5f8e0e8707p-11, 0x1.39e009f8d8191p-11, 0x1.3104e6db495b9p-11, 0x1.2863322fa461dp-11, 0x1.1ff9961a54c9p-11, 0x1.17c6c3e6875afp-11, 0x1.0fc973b94dd46p-11, 0x1.08006461c3c06p-11, 0x1.006a5b4235dedp-11, 0x1.f20c48b06856ap-12, 0x1.e3a524a2d3751p-12, 0x1.d59cfd418334ep-12, 0x1.c7f1930912e78p-12, 0x1.baa0b3eb8f758p-12, 0x1.ada83b0542ee4p-12, 0x1.a10610343b746p-12, 0x1.94b8279ed33c9p-12, 0x1.88bc812af9478p-12, 0x1.7d1127e3be077p-12, 0x1.71b4314c9ffd1p-12, 0x1.66a3bcb4ec989p-12, 0x1.5bddf2af03ff5p-12, 0x1.516104ddc618fp-12, 0x1.472b2e357856ep-12, 0x1.3d3ab39ed8b8cp-12, 0x1.338de4b2326ddp-12, 0x1.2a231c3106794p-12, 0x1.20f8c00ac8f75p-12, 0x1.180d40f76f8efp-12, 0x1.0f5f19d11e294p-12, 0x1.06ecced12009cp-12, 0x1.fd69d9a354a92p-13, 0x1.ed6c110a9421ap-13, 0x1.dddd7ab002849p-13, 0x1.cebb5b705472fp-13, 0x1.c0030498b8d89p-13, 0x1.b1b1d36158e8p-13, 0x1.a3c53396a4ceep-13, 0x1.963a9ed53afc5p-13, 0x1.890f9e907a893p-13, 0x1.7c41cd36b802bp-13, 0x1.6fced65f27cf3p-13, 0x1.63b47667de6dbp-13, 0x1.57f0798eb75fdp-13, 0x1.4c80bad664deep-13, 0x1.416322f93a2c4p-13, 0x1.3695a71c9283cp-13, 0x1.2c16483e157bfp-13, 0x1.21e311b13e25p-13, 0x1.17fa188ab81f7p-13, 0x1.0e597a5cf9091p-13, 0x1.04ff5d2cc1d66p-13, 0x1.f7d3df8a6a40fp-14, 0x1.e62ed57ff061bp-14, 0x1.d50c239daee89p-14, 0x1.c468695ec6dadp-14, 0x1.b4405eb071f13p-14, 0x1.a490d22cccdc3p-14, 0x1.9556aaa3a1a81p-14, 0x1.868edc5d848dap-14, 0x1.78366fd71c7f5p-14, 0x1.6a4a87bf9b79bp-14, 0x1.5cc851c004f75p-14, 0x1.4fad132099b96p-14, 0x1.42f6228867dep-14, 0x1.36a0e698a8a4cp-14, 0x1.2aaad42f98fcap-14, 0x1.1f116d46699fbp-14, 0x1.13d240d5ab0d9p-14, 0x1.08eaebdbc067bp-14, 0x1.fcb2358cc6aaep-15, 0x1.e835140a74572p-15, 0x1.d45a09fb61fd9p-15, 0x1.c11cc72a37511p-15, 0x1.ae790ee6cb32cp-15, 0x1.9c6ab494d2528p-15, 0x1.8aed9c4d5dde8p-15, 0x1.79fdbf6c92131p-15, 0x1.69973332a4c79p-15, 0x1.59b62e481aeb1p-15, 0x1.4a570a67d05e1p-15, 0x1.3b7641a8d8d78p-15, 0x1.2d1069a57b0a2p-15, 0x1.1f222febbfabap-15, 0x1.11a859d24bbedp-15, 0x1.049fc6d507756p-15, 0x1.f00ae44177b5fp-16, 0x1.d7ace11afb0e3p-16, 0x1.c01fd3895145cp-16, 0x1.a95e21b71d181p-16, 0x1.93623ccf556f9p-16, 0x1.7e269d24a1d89p-16, 0x1.69a5c3ebe202ep-16, 0x1.55da3f60593edp-16, 0x1.42beb0b9befcp-16, 0x1.304dd55a8149p-16, 0x1.1e829244ebcb1p-16, 0x1.0d57fc5741a6dp-16, 0x1.f992afcbdb18ep-17, 0x1.d9a42178e751cp-17, 0x1.badb6764a23ccp-17, 0x1.9d2fe73edb9ap-17, 0x1.809973501e7dfp-17, 0x1.651068502fa17p-17, 0x1.4a8da8626dd1fp-17, 0x1.310a68d3fa2a8p-17, 0x1.187feb097d536p-17, 0x1.00e74b48718efp-17, 0x1.d4730017a377ep-18, 0x1.a8defe200dfdp-18, 0x1.7f04c91082971p-18, 0x1.56d70435f5bafp-18, 0x1.3048a537a3383p-18, 0x1.0b4cb9214c7fap-18, 0x1.cfad260d0badcp-19, 0x1.8bb36cac506cbp-19, 0x1.4a93e15a0a13bp-19, 0x1.0c36e82b5073ep-19, 0x1.a10a52cdbca07p-20, 0x1.2ecf7fc56a5abp-20, 0x1.83231762ab5f3p-21, 0x1.64a12e2921155p-22, -0x1.51fa5492a76f5p-25, -0x1.a6da84a2a1d6bp-22, -0x1.88d54b916bb06p-21, -0x1.1acb9160d240ap-20, -0x1.6cfb229cae7ccp-20, -0x1.bb1c31d002823p-20, -0x1.02a8850fdfc33p-19, -0x1.25dd3039e171ep-19, -0x1.473ba442f5644p-19, -0x1.66d2dad939dc8p-19, -0x1.84b1829220bbep-19, -0x1.a0e62cbde8d7dp-19, -0x1.bb7f5a66708dp-19, -0x1.d48b688476e72p-19, -0x1.ec186feed4e27p-19, -0x1.011a1d14e0507p-18, -0x1.0b76275c327a5p-18, -0x1.1526f17e7e991p-18, -0x1.1e32c78f8f87bp-18, -0x1.269f716e43e7fp-18, -0x1.2e722d91e507ap-18, -0x1.35afe3603c75dp-18, -0x1.3c5d60200078cp-18, -0x1.427f6d6726ec8p-18, -0x1.481ac66a48cc4p-18, -0x1.4d34150f413f2p-18, -0x1.51d0004fb7f61p-18, -0x1.55f3290d0a5dbp-18, -0x1.59a20938da562p-18, -0x1.5ce0db72de8dap-18, -0x1.5fb3a76451f33p-18, -0x1.621e62f94ca46p-18, -0x1.64250d88a8ba3p-18, -0x1.65cbb456eca54p-18, -0x1.67165a663f025p-18, -0x1.6808d1832329bp-18, -0x1.68a6a4ae5c58ap-18, -0x1.68f32677c8e38p-18, -0x1.68f18f3e13534p-18, -0x1.68a50a95b6632p-18, -0x1.6810b6fd77a93p-18, -0x1.6737b2d3165c1p-18, -0x1.661d23401c3e5p-18, -0x1.64c42f49c2ad8p-18, -0x1.632f75b4d672p-18, -0x1.616167f3bee1p-18, -0x1.5f5c3987b2a8ap-18, -0x1.5d224e77617a4p-18, -0x1.5ab62c7040c83p-18, -0x1.581a4c0802da2p-18, -0x1.5550f80c307c8p-18, -0x1.525c4e5d7760cp-18, -0x1.4f3e53b52c1cbp-18, -0x1.4bf9093ccbd54p-18, -0x1.488e7d981665bp-18, -0x1.4500cdc4770fap-18, -0x1.41520acb0984cp-18, -0x1.3d8414f73e4c1p-18, -0x1.39988c208d1b8p-18, -0x1.3590e76ef6672p-18, -0x1.316ea4eb06b5fp-18, -0x1.2d3364c89d18ep-18, -0x1.28e0def1a427ep-18, -0x1.2478cca9e441cp-18, -0x1.1ffcd12e1ad99p-18, -0x1.1b6e483d03344p-18, -0x1.16ce3ca443452p-18, -0x1.121dc9a668038p-18, -0x1.0d5e1e8b1e913p-18, -0x1.08909ed2360a7p-18, -0x1.03b71bbb82c48p-18, -0x1.fda72834b253ep-19, -0x1.f3cc0d862c61fp-19, -0x1.e9dc9e8708db4p-19, -0x1.dfdc4b9d7b75ep-19, -0x1.d5cb3df6fa296p-19, -0x1.cbadbc7ec700ep-19, -0x1.c187e6259882fp-19, -0x1.b759fc8cf51bbp-19, -0x1.ad24b9ec621d9p-19, -0x1.a2e9aade1d845p-19, -0x1.98aa5867c3b91p-19, -0x1.8e682a1e54b6dp-19, -0x1.8424955530414p-19, -0x1.79e12633f7a12p-19, -0x1.6f9f77f4c5145p-19, -0x1.65611314792a7p-19, -0x1.5b2738f0d8eb8p-19, -0x1.50f3051a41c62p-19, -0x1.46c5fb7e31c69p-19, -0x1.3ca1893f5b2a9p-19, -0x1.328596fa3158bp-19, -0x1.2871be344a703p-19, -0x1.1e6893714f95fp-19, -0x1.146c5fc6a6479p-19, -0x1.0a7c2bcd2888fp-19, -0x1.0097f5c16988fp-19, -0x1.ed8501aee9b96p-20, -0x1.d9fad9611ac07p-20, -0x1.c691603bafa18p-20, -0x1.b348be499db3ep-20, -0x1.a022248a8da16p-20, -0x1.8d1f0e1c863b7p-20, -0x1.7a40ca4d87bdbp-20, -0x1.678884577d9adp-20, -0x1.54f74b8a43fdap-20, -0x1.428e1a1c651b6p-20, -0x1.304dfb87923cp-20, -0x1.1e3818e104a12p-20, -0x1.0c4d7ea3fdf5fp-20, -0x1.f51df5ee151f9p-21, -0x1.d1fa761c0e1dbp-21, -0x1.af31a560dd48p-21, -0x1.8cc4fa035cc78p-21, -0x1.6ab6339db63afp-21, -0x1.490673ff241b2p-21, -0x1.27b6a59bb6cacp-21, -0x1.06c7e1ddd4dddp-21, -0x1.cc7646f972138p-22, -0x1.8c226b1141e12p-22, -0x1.4c95a4ef39074p-22, -0x1.0dd187d2b2215p-22, -0x1.9fafa79be0e8ep-23, -0x1.25546df16d60ep-23, -0x1.59283302052e6p-24, -0x1.ab833de72ad57p-26, 0x1.0057dc3d1b509p-25, 0x1.67fbdff48b2f3p-24, 0x1.264580651c454p-23, 0x1.96eb676ca524p-23, 0x1.02f78aa0c48cdp-22, 0x1.39a7f4030c643p-22, 0x1.6f8690ff3453ap-22, 0x1.a48f300987da2p-22, 0x1.d8c9bd7089546p-22, 0x1.06180df8468c4p-21, 0x1.1f62d1c72aed1p-21, 0x1.3846054cc6163p-21, 0x1.50be888d6ba0ep-21, 0x1.68ce350f9e68fp-21, 0x1.807575407393p-21, 0x1.97b470bcf07efp-21, 0x1.ae8b5217c5737p-21, 0x1.c4fa6585cf9ffp-21, 0x1.db0205c595b5cp-21, 0x1.f0a29285defc4p-21, 0x1.02ee37a997083p-20, 0x1.0d5802fb618ep-20, 0x1.178ee48ed1acbp-20, 0x1.2193186298c6fp-20, 0x1.2b64d60135761p-20, 0x1.35044d8b6d6a5p-20, 0x1.3e71b7c3452p-20, 0x1.47ad5e8007567p-20, 0x1.50b785fa895dbp-20, 0x1.599075d72076dp-20, 0x1.62388328a29b5p-20, 0x1.6ab00b9c7917p-20, 0x1.72f76cfaedd82p-20, 0x1.7b0ef2f7d6da8p-20, 0x1.82f6e8bf0eca1p-20, 0x1.8aafa794bb56bp-20, 0x1.92398f088f021p-20, 0x1.9994ea0c9907p-20, 0x1.a0c208ce8120ep-20, 0x1.a7c14fe3f9667p-20, 0x1.ae932a65394fcp-20, 0x1.b537f197822afp-20, 0x1.bbb00352c574ap-20, 0x1.c1fbc2c32fa49p-20, 0x1.c81b9376d367ep-20, 0x1.ce0fd8fb7ac96p-20, 0x1.d3d8f77135909p-20, 0x1.d97754349b745p-20, 0x1.deeb55ee7bbb3p-20, 0x1.e4356415e3b5ep-20, 0x1.e955e685d4a5dp-20, 0x1.ee4d454aae1fap-20, 0x1.f31be8ed0b0fp-20, 0x1.f7c23b3ab6396p-20, 0x1.fc40a7a0d3baap-20, 0x1.004bccfba289bp-19, 0x1.0263be91ae488p-19, 0x1.04685e6d007b3p-19, 0x1.0659e2a6c1ca8p-19, 0x1.08387e306f152p-19, 0x1.0a04657e11a18p-19, 0x1.0bbdd4b1176bap-19, 0x1.0d650a758734dp-19, 0x1.0efa53645546cp-19, 0x1.107e224911652p-19, 0x1.11f0e69fbe6a6p-19, 0x1.13516950f29b2p-19, 0x1.149d5c650d65p-19, 0x1.15d9fc65243e5p-19, 0x1.1708a15b04629p-19, 0x1.18288d4a52a1p-19, 0x1.1934e9ecbb02bp-19, 0x1.1a3033190ec26p-19, 0x1.1b1c1a92ed7afp-19, 0x1.1bf8a4a82b2f4p-19, 0x1.1cc5cc1b381ebp-19, 0x1.1d83b3b0d7b9bp-19, 0x1.1e32874045d61p-19, 0x1.1ed2121a53dcp-19, 0x1.1f64487a4f8b8p-19, 0x1.1fe72d657bbc8p-19, 0x1.205a9eba671ddp-19, 0x1.20c182b433c8p-19, 0x1.211a1db17070fp-19, 0x1.21651183ebbf4p-19, 0x1.21a28ad5c281cp-19, 0x1.21d2d1b6a9eddp-19, 0x1.21f61f912e8cfp-19, 0x1.220c8bbba5258p-19, 0x1.22164e17f1e91p-19, 0x1.22139de0a0c76p-19, 0x1.2204ade6f980dp-19, 0x1.21e9afd847e6p-19, 0x1.21c2d56838e4dp-19, 0x1.21904fb7bf3cp-19, 0x1.21524fcc18e4ap-19, 0x1.2109065e1d1b3p-19, 0x1.20b4a3dff36ep-19, 0x1.20555869660cdp-19, 0x1.1feb53b829d77p-19, 0x1.1f76c52db214bp-19, 0x1.1ef7dbcb3013ep-19, 0x1.1e6ec632e2ac5p-19, 0x1.1ddbb2ad4e7a3p-19, 0x1.1d3ecf2ede71cp-19, 0x1.1c98495515067p-19, 0x1.1be84e53e8cd6p-19, 0x1.1b2f0aea90059p-19, 0x1.1a6cab8c29be5p-19, 0x1.19a15c89b4306p-19, 0x1.18cd4a5112b94p-19, 0x1.17f0a29b13a7ep-19, 0x1.170b9812b6e78p-19, 0x1.161e6bf518c6ep-19, 0x1.15297aee4ae7bp-19, 0x1.142ce6f2ef096p-19, 0x1.1326dd790ecadp-19, 0x1.12183fd63106p-19, 0x1.11053af49e9dep-19, 0x1.0fe8a74f2df69p-19, 0x1.0ec859e517c5p-19, 0x1.0d9f4400db939p-19, 0x1.0c6e155c3c2aep-19, 0x1.0b369c8db3843p-19, 0x1.09f8ebe3dcab6p-19, 0x1.08b4f82d3d2dbp-19, 0x1.076ad34e1263ep-19, 0x1.061a9cbfaa433p-19, 0x1.04c47867ad444p-19, 0x1.03688ae4275ccp-19, 0x1.0206f86fc54bep-19, 0x1.009fe5346c07bp-19, 0x1.fe66ea2ab1d4bp-20, 0x1.fb8397246c6bap-20, 0x1.f89617861ae5ap-20, 0x1.f59eb0b686806p-20, 0x1.f29da7584c5e1p-20, 0x1.ef933f4a9e0eep-20, 0x1.ec7fbba5fc8bdp-20, 0x1.e9635eb9f1fcep-20, 0x1.e63e6a0d11b9p-20, 0x1.e3111e5bb574ep-20, 0x1.dfdbbb933cedbp-20, 0x1.dc9e811bef969p-20, 0x1.d959ae0448c8ap-20, 0x1.d60d7ff7c15dep-20, 0x1.d2ba339c7d9cdp-20, 0x1.cf600506dae17p-20, 0x1.cbff2ec92fddp-20, 0x1.c897eb7020ceap-20, 0x1.c52a77b377227p-20, 0x1.c1b71b4469745p-20, 0x1.be3de37a6987bp-20, 0x1.bac01765cd0bbp-20, 0x1.b73ab0b34fdd1p-20, 0x1.b3b1ce6dd5ddbp-20, 0x1.b0238e9974a07p-20, 0x1.ac90b65e901abp-20, 0x1.a8f9656da74f5p-20, 0x1.a55dca65ce94fp-20, 0x1.a1be18a5aec27p-20, 0x1.9e1a819b0916cp-20, 0x1.9a7334ac43e85p-20, 0x1.96c86127c6c98p-20, 0x1.931a3822c8899p-20, 0x1.8f68e84bb20a4p-20, 0x1.8bb4a0b4ddcfep-20, 0x1.87fd9977c1f22p-20, 0x1.84442ee59ffc9p-20, 0x1.80892826a832fp-20, 0x1.7ccd159019deap-20, 0x1.790a3576bf838p-20, 0x1.7542736b1ec62p-20, 0x1.7180f13acaac2p-20, 0x1.6dc0c83b49f61p-20, 0x1.69f8543a06bc7p-20, 0x1.662ebc818d62p-20, 0x1.6264c0d5f0a45p-20, 0x1.5e9a216206e17p-20, 0x1.5acf4388575d1p-20, 0x1.5703f0f664bdcp-20, 0x1.5337be620c8ffp-20, 0x1.4f6afbd3232bdp-20, 0x1.4b9df322541bfp-20, 0x1.47d0ddc13e93bp-20, 0x1.4403e19a2fe5p-20, 0x1.40370c2373569p-20, 0x1.3c6a98e72f1b1p-20, 0x1.389ea81d8f1f4p-20, 0x1.34d32340c6566p-20, 0x1.31083ce6304e4p-20, 0x1.2d3e217cd4a89p-20, 0x1.2974f89d3d9cep-20, 0x1.25ace43d5fe03p-20, 0x1.21e6053e8ccc4p-20, 0x1.1e20774aa438cp-20, 0x1.1a5c546c236d9p-20, 0x1.1699b6ee991b6p-20, 0x1.12d8ba4eac9ddp-20, 0x1.0f197c03c531fp-20, 0x1.0b5c1b2b5aa81p-20, 0x1.07a0b54baa316p-20, 0x1.03e7636cfe98ap-20, 0x1.003030f07d871p-20, 0x1.f8f64a558d9dp-21, 0x1.f190ad54e1e59p-21, 0x1.ea2fcdf7ee79ep-21, 0x1.e2d403bc54bdcp-21, 0x1.db7d808a7d104p-21, 0x1.d42c767033233p-21, 0x1.cce1159b7bdaep-21, 0x1.c59b8d5002ea4p-21, 0x1.be5be5a849c73p-21, 0x1.b7222778ed3bcp-21, 0x1.afeea8f669dd3p-21, 0x1.a8c1a9b78b6a5p-21, 0x1.a19b1b57d5fap-21, 0x1.9a7b19c01003cp-21, 0x1.9361f5feb1b8p-21, 0x1.8c4fddb98ec18p-21, 0x1.8544e57e43d8ap-21, 0x1.7e412695ffa6cp-21, 0x1.7744bff28a2f6p-21, 0x1.704fd19f6f12bp-21, 0x1.69627a4808b65p-21, 0x1.627cd81ec167ep-21, 0x1.5b9f09f387596p-21, 0x1.54c92e98db842p-21, 0x1.4dfb643754ff4p-21, 0x1.4735c8829796p-21, 0x1.40787fc9bca4ep-21, 0x1.39c3d7663ed1p-21, 0x1.3318bdb5c2b2ap-21, 0x1.2c760c5e4c9f5p-21, 0x1.25dd860d93706p-21, 0x1.1f41dc09b5bdfp-21, 0x1.18b7867a6da5bp-21, 0x1.123edd92ec934p-21, 0x1.0bc936264c62ap-21, 0x1.0557d80b56b57p-21, 0x1.fde3cdeb808c6p-22, 0x1.f12c1aad68e2ap-22, 0x1.e48775c75afd6p-22, 0x1.d7f5badce22a6p-22, 0x1.cb77007214a95p-22, 0x1.bf0b683b05535p-22, }}, 
      {{-0x1.4407e2d8abc53p-7, -0x1.2e01e7f062f4cp-5, -0x1.330aff81ad27ep-4, -0x1.e2c1ef1c6602cp-4, -0x1.48420ec319261p-3, -0x1.96296620a495fp-3, -0x1.d5cca2f1850dap-3, -0x1.021c7df8fd62ep-2, -0x1.10310449a5b85p-2, -0x1.1556aa7bc828dp-2, -0x1.1242553919341p-2, -0x1.07fb197010732p-2, -0x1.ef6644b57a154p-3, -0x1.c5539f7620a17p-3, -0x1.942cd7944c2eep-3, -0x1.5e3462c2dc5c7p-3, -0x1.257029664be8ap-3, -0x1.d7433f49bca06p-4, -0x1.6487bc8e145b1p-4, -0x1.ea36c184b5709p-5, -0x1.15d8571fc9725p-5, -0x1.3ba23d4ec91fdp-7, 0x1.a1c7d359e2f83p-7, 0x1.0ec3dc9ff48acp-5, 0x1.a3336e9f04dabp-5, 0x1.12b42e478ef98p-4, 0x1.4abaaf280d2fep-4, 0x1.79e1e4238d26bp-4, 0x1.a080998cf855cp-4, 0x1.bf079e37325c5p-4, 0x1.d5faaddbe6965p-4, 0x1.e5ea5d6cad65p-4, 0x1.ef6efbba2b86ap-4, 0x1.f324530cca29ap-4, 0x1.f1a6370e4451p-4, 0x1.eb8dc7955b297p-4, 0x1.e16f51dd5ed9p-4, 0x1.d3d8b9bdfa7fp-4, 0x1.c350567207193p-4, 0x1.b0542fda2ecd1p-4, 0x1.9b598b07fc01dp-4, 0x1.84ccb6bef0bf6p-4, 0x1.6d110ae2cfdb4p-4, 0x1.54810eae1c148p-4, 0x1.3b6ebcdfb1e4ep-4, 0x1.2223dcafba637p-4, 0x1.08e269afb16dep-4, 0x1.dfca090332451p-5, 0x1.aebed0bbbccf4p-5, 0x1.7efdc466d73f3p-5, 0x1.50d58d7d8eeb3p-5, 0x1.2489cbb7395f7p-5, 0x1.f4a7e791a3d85p-6, 0x1.a4c84901cd09bp-6, 0x1.59c3e20879b3fp-6, 0x1.13da3fbc45ebep-6, 0x1.a6797a631bc66p-7, 0x1.301fa81318e41p-7, 0x1.89b15acb7c1a6p-8, 0x1.9304ab9045452p-9, 0x1.fc5bc12679f08p-12, -0x1.ce4b22366e687p-10, -0x1.e16766b3ca386p-9, -0x1.57e43d241c0bcp-8, -0x1.a98335eb7e89ep-8, -0x1.e6041a8c9cc14p-8, -0x1.06f6312b416d4p-7, -0x1.10e881f050e1cp-7, -0x1.112a14b8f6dd1p-7, -0x1.08118a84f55c2p-7, -0x1.ebf4303b95ceap-8, -0x1.b685440f11ecfp-8, -0x1.7099d9fb90d34p-8, -0x1.1af9bc01efa7bp-8, -0x1.6cdf397e6168cp-9, -0x1.0f1f6a95959c7p-10, 0x1.e184dc4d78b61p-11, 0x1.915a8f336f4eap-9, 0x1.60e303122219dp-8, 0x1.020465d808502p-7, 0x1.58ac3c79795bfp-7, 0x1.b407af3e74e2cp-7, 0x1.09dbb5be7ce39p-6, 0x1.3baf2f5da92e1p-6, 0x1.6f50f53c72de1p-6, 0x1.a49508bcc97bdp-6, 0x1.db50cba8b35aep-6, 0x1.09ad88ae36529p-5, 0x1.26461454cef79p-5, 0x1.435ef1fd39b9dp-5, 0x1.60e5d02cb84e8p-5, 0x1.7ec9245fa778bp-5, 0x1.9cf82b09ef464p-5, 0x1.bb62e7ebf0e48p-5, 0x1.d9fa251ceb732p-5, 0x1.f8af6f952d923p-5, 0x1.0bba8af217fdep-4, 0x1.1b1f1234935c2p-4, 0x1.2a7f304880251p-4, 0x1.39d52301c29fdp-4, 0x1.491b809e6fa4dp-4, 0x1.584d35564bc16p-4, 0x1.6765812c11116p-4, 0x1.765ff5065ab82p-4, 0x1.8538702431c42p-4, 0x1.93eb1d7f78e7ap-4, 0x1.a27470bd8fc1p-4, 0x1.b0d123b15a19ep-4, 0x1.befe335d6281dp-4, 0x1.ccf8dd074d9d6p-4, 0x1.dabe9bb9a50ddp-4, 0x1.e84d2543c5568p-4, 0x1.f5a26780fd433p-4, 0x1.015e42f6e44b1p-3, 0x1.07cceb701e3b6p-3, 0x1.0e1c70841e55fp-3, 0x1.144c2c9102addp-3, 0x1.1a5b8fc0cba88p-3, 0x1.204a1ed16a05ep-3, 0x1.2617720b8250bp-3, 0x1.2bc3341baab4ep-3, 0x1.314d20efa7d1cp-3, 0x1.36b504b511fd7p-3, 0x1.3bfabad2ef444p-3, 0x1.411e2cd7cd5a2p-3, 0x1.461f518151747p-3, 0x1.4afe2bd8cf58cp-3, 0x1.4fbaca417d7f2p-3, 0x1.5455458d46742p-3, 0x1.58cdc03a2a041p-3, 0x1.5d2465a3d4763p-3, 0x1.615969461ad17p-3, 0x1.656d05f64e17dp-3, 0x1.695f7d5d4f9f3p-3, 0x1.6d3117390e403p-3, 0x1.70e220d2d4df9p-3, 0x1.7472ec722a3ccp-3, 0x1.77e3d0cdeca24p-3, 0x1.7b3528a358129p-3, 0x1.7e6752281761ap-3, 0x1.817aaea00168ap-3, 0x1.846fa1fb92318p-3, 0x1.87469274de77bp-3, 0x1.89ffe826285dp-3, 0x1.8c9c0cb3236f4p-3, 0x1.8f1b6b04c14bp-3, 0x1.917e6ef72b931p-3, 0x1.93c5850a9f049p-3, 0x1.95f11a2d55893p-3, 0x1.98019b7b3d9a8p-3, 0x1.99f77613a73b7p-3, 0x1.9bd316dae005bp-3, 0x1.9d94ea58fdbdap-3, 0x1.9f3d5c927ee09p-3, 0x1.a0ccd8e2f854p-3, 0x1.a243c9e96b647p-3, 0x1.a3a299678555fp-3, 0x1.a4e9b028646b8p-3, 0x1.a61975f4394efp-3, 0x1.a7325184049f2p-3, 0x1.a834a86af4f2ep-3, 0x1.a920df0aaafbdp-3, 0x1.a9f7588fcc8dbp-3, 0x1.aab876e96f5adp-3, 0x1.ab649abe84a3p-3, 0x1.abfc236851e8cp-3, 0x1.ac7f6ef3be50cp-3, 0x1.aceeda1b5d638p-3, 0x1.ad4ac042a31e6p-3, 0x1.ad937b787cef7p-3, 0x1.adc9647944726p-3, 0x1.adecd2ace1d05p-3, 0x1.adfe1c24ca0e2p-3, 0x1.adfd95a2e2aa9p-3, 0x1.adeb92a0063cap-3, 0x1.adc8654b08e22p-3, 0x1.ad945e8a1d5edp-3, 0x1.ad4fce041a4bdp-3, 0x1.acfb02286e635p-3, 0x1.ac964831e577cp-3, 0x1.ac21ec2a1d56cp-3, 0x1.ab9e38f28e476p-3, 0x1.ab0b784e82c94p-3, 0x1.aa69f2e7c135bp-3, 0x1.a9b9f0529387fp-3, 0x1.a8fbb716c2a99p-3, 0x1.a82f8cbae29a6p-3, 0x1.a755b5c998a37p-3, 0x1.a66e75d596ceep-3, 0x1.a57a0f81697fap-3, 0x1.a478c48a4e9c2p-3, 0x1.a36ad5cfb943p-3, 0x1.a2508356a4604p-3, 0x1.a12a0c4eaea79p-3, 0x1.9ff7af1b7b08ep-3, 0x1.9eb9a95d9de9ap-3, 0x1.9d7037f718279p-3, 0x1.9c1b970e2f69ep-3, 0x1.9abc021335a1ep-3, 0x1.9951b3c94c0bcp-3, 0x1.97dce64ce8ae8p-3, 0x1.965dd316ab28p-3, 0x1.94d4b2fdfcb29p-3, 0x1.9341be3e9cb6bp-3, 0x1.91a52c7f9a665p-3, 0x1.8fff34d853b08p-3, 0x1.8e500dd2dddcdp-3, 0x1.8c97ed6e4d9a8p-3, 0x1.8ad70922cbfa9p-3, 0x1.890d95e6b973dp-3, 0x1.873bc832c6613p-3, 0x1.8561d404a2dcdp-3, 0x1.837fece0d8dbbp-3, 0x1.819645d5a6416p-3, 0x1.7fa5117d77129p-3, 0x1.7dac820141bfdp-3, 0x1.7bacc91ccf23bp-3, 0x1.79a61821472e7p-3, 0x1.77989ff6248cep-3, 0x1.7584911958b8ap-3, 0x1.736a1b9fc2b77p-3, 0x1.71496f380a0fep-3, 0x1.6f22bb2f1c6f7p-3, 0x1.6cf62e72e8f4ap-3, 0x1.6ac3f7911f207p-3, 0x1.688c44b3e1883p-3, 0x1.664f43a0fe29ap-3, 0x1.640d21be16bf1p-3, 0x1.61c60c1698a09p-3, 0x1.5f7a2f5df179cp-3, 0x1.5d29b7eb85bf4p-3, 0x1.5ad4d1b466ff8p-3, 0x1.587ba8495f62ep-3, 0x1.561e66dc23a46p-3, 0x1.53bd38470645ap-3, 0x1.5158470fbf29ap-3, 0x1.4eefbd61eed82p-3, 0x1.4c83c505dbf1dp-3, 0x1.4a14875bddca3p-3, 0x1.47a22d60d84b5p-3, 0x1.452cdfb7c15b7p-3, 0x1.42b4c6af5dcffp-3, 0x1.403a0a3e353f1p-3, 0x1.3dbcd1f77476bp-3, 0x1.3b3d4501aa0fp-3, 0x1.38bb8a170b06dp-3, 0x1.3637c78ecfb2ep-3, 0x1.33b223675bddbp-3, 0x1.312ac3482290ep-3, 0x1.2ea1cc78c2884p-3, 0x1.2c1763d3bbddfp-3, 0x1.298badbeafa3fp-3, 0x1.26fece2de57e2p-3, 0x1.2470e8afcacdfp-3, 0x1.21e22077006f6p-3, 0x1.1f52985a8dbd4p-3, 0x1.1cc272cb5972p-3, 0x1.1a31d1c60a756p-3, 0x1.17a0d6cb17f77p-3, 0x1.150fa2e25d1c4p-3, 0x1.127e56a6f646ep-3, 0x1.0fed125263e95p-3, 0x1.0d5bf5be8b549p-3, 0x1.0acb205cb8c8dp-3, 0x1.083ab12745545p-3, 0x1.05aac69728552p-3, 0x1.031b7ea436ce3p-3, 0x1.008cf6ced76b5p-3, 0x1.fbfe9859cbd73p-4, 0x1.f6e536e0ab4f5p-4, 0x1.f1ce01c6c7af7p-4, 0x1.ecb930b902386p-4, 0x1.e7a6fa62680b7p-4, 0x1.e297945fb76cfp-4, 0x1.dd8b33477ba4cp-4, 0x1.d8820ac0df5bep-4, 0x1.d37c4d9a95d85p-4, 0x1.ce7a2dd3e0d8p-4, 0x1.c97bdc9248c64p-4, 0x1.c4818a0a4bb42p-4, 0x1.bf8b6568368a1p-4, 0x1.ba999cc631ae8p-4, 0x1.b5ac5d346e7e2p-4, 0x1.b0c3d2ce4aa75p-4, 0x1.abe028d031844p-4, 0x1.a70189a2233a3p-4, 0x1.a2281ed1b32bp-4, 0x1.9d5410ff3abc4p-4, 0x1.988587c8a0dfcp-4, 0x1.93bca9bcff2d4p-4, 0x1.8ef99c5f4a59cp-4, 0x1.8a3c84364e82bp-4, 0x1.858584e192da7p-4, 0x1.80d4c128af2d5p-4, 0x1.7c2a5afe0758cp-4, 0x1.778673747080ep-4, 0x1.72e92aadbae3ep-4, 0x1.6e529fcb3465bp-4, 0x1.69c2f0e7d4379p-4, 0x1.653a3b1ee2d29p-4, 0x1.60b89a9bdda24p-4, 0x1.5c3e2aac6098ap-4, 0x1.57cb05cc459e4p-4, 0x1.535f45a767fcap-4, 0x1.4efb03115d63bp-4, 0x1.4a9e55f7fb079p-4, 0x1.46495557882b7p-4, 0x1.41fc17364c179p-4, 0x1.3db6b0a9b177bp-4, 0x1.397935e2f71a6p-4, 0x1.3543ba3e6cd5ap-4, 0x1.3116504f772aep-4, 0x1.2cf109e55b636p-4, 0x1.28d3f80800825p-4, 0x1.24bf2aef4c754p-4, 0x1.20b2b1f9bf0cfp-4, 0x1.1cae9ba6f97a2p-4, 0x1.18b2f598f3bf6p-4, 0x1.14bfcc9bd0cbbp-4, 0x1.10d52cb1b7318p-4, 0x1.0cf3211ec6e59p-4, 0x1.0919b4718b533p-4, 0x1.0548f085d0dc8p-4, 0x1.0180de8205e3ap-4, 0x1.fb830da2d4475p-5, 0x1.f415e23cba01p-5, 0x1.ecba489fdc791p-5, 0x1.e5704d1833147p-5, 0x1.de37fa7d20f62p-5, 0x1.d7115a44f76aap-5, 0x1.cffc7498adcf1p-5, 0x1.c8f95061dd39ap-5, 0x1.c207f3519c86cp-5, 0x1.bb2861e0abfa4p-5, 0x1.b45a9f49d5807p-5, 0x1.ad9ead827b189p-5, 0x1.a6f48d373fd9ap-5, 0x1.a05c3dcf5e392p-5, 0x1.99d5bd76972bbp-5, 0x1.9361092be6852p-5, 0x1.8cfe1cd1c32bbp-5, 0x1.86acf33c83f41p-5, 0x1.806d863c51384p-5, 0x1.7a3fcea17f7bap-5, 0x1.7423c43bcd8d5p-5, 0x1.6e195dd6c4042p-5, 0x1.682091364dba4p-5, 0x1.62395316aac8bp-5, 0x1.5c63973172ff7p-5, 0x1.569f5047c34cfp-5, 0x1.50ec702fe38cap-5, 0x1.4b4ae7e3cf468p-5, 0x1.45baa78e372e2p-5, 0x1.403b9e93fabf5p-5, 0x1.3acdbb990c74p-5, 0x1.3570ec80df30cp-5, 0x1.30251e6bb9eefp-5, 0x1.2aea3db3021cp-5, 0x1.25c035e78263ap-5, 0x1.20a6f1d3958afp-5, 0x1.1b9e5b825cea9p-5, 0x1.16a65c4b7d2d3p-5, 0x1.11bedce1b2518p-5, 0x1.0ce7c561e5801p-5, 0x1.0820fd607b3e9p-5, 0x1.036a6bf2e173fp-5, 0x1.fd87ef6856489p-6, 0x1.f45b0d88ca2e7p-6, 0x1.eb4dfd874c0b8p-6, 0x1.e2608995f96f6p-6, 0x1.d9927acc54665p-6, 0x1.d0e3992236ccbp-6, 0x1.c853ab768531ep-6, 0x1.bfe277a33805bp-6, 0x1.b78fc29cf1abp-6, 0x1.af5b509a056c1p-6, 0x1.a744e53aadb8dp-6, 0x1.9f4c43abc19cfp-6, 0x1.97712ebd703ebp-6, 0x1.8fb368e972fb8p-6, 0x1.8812b4476ab24p-6, 0x1.808ed271acc6dp-6, 0x1.79278461c957ap-6, 0x1.71dc8a4da80a4p-6, 0x1.6aada3905438p-6, 0x1.639a8ea689cd4p-6, 0x1.5ca309442dca4p-6, 0x1.55c6d081e4eacp-6, 0x1.4f05a11cc4ca9p-6, 0x1.485f37bd6d79fp-6, 0x1.41d35138f74a7p-6, 0x1.3b61aabe47517p-6, 0x1.350a01e4e318dp-6, 0x1.2ecc149806f7ap-6, 0x1.28a7a0e00718bp-6, 0x1.229c649474f0ep-6, 0x1.1caa1d05f846p-6, 0x1.16d086b74cd35p-6, 0x1.110f5d336efadp-6, 0x1.0b665b13e5ce9p-6, 0x1.05d53a3855839p-6, 0x1.005bb42a69137p-6, 0x1.f5f3053a977b3p-7, 0x1.eb5cbfe1666f1p-7, 0x1.e0f40f3a1224ap-7, 0x1.d6b86ce2c821cp-7, 0x1.cca955272f467p-7, 0x1.c2c6467c6cf3ap-7, 0x1.b90ec08a7f2b3p-7, 0x1.af8242ed33c8bp-7, 0x1.a6204be9f3f09p-7, 0x1.9ce8575fab736p-7, 0x1.93d9de310d8aap-7, 0x1.8af456550d579p-7, 0x1.82373398f2719p-7, 0x1.79a1e8f970a22p-7, 0x1.7133ea55e18b1p-7, 0x1.68ecae2b948bbp-7, 0x1.60cbaf02bc4c2p-7, 0x1.58d06c458be9ap-7, 0x1.50fa6a5569ccbp-7, 0x1.494931d495092p-7, 0x1.41bc4e3dec653p-7, 0x1.3a534c030f8c8p-7, 0x1.330db6815e6c5p-7, 0x1.2beb162b9c514p-7, 0x1.24eaef4566c39p-7, 0x1.1e0cc17a2c5d7p-7, 0x1.175008733ee3cp-7, 0x1.10b43d5ce1814p-7, 0x1.0a38d916578b8p-7, 0x1.03dd56a3b8205p-7, 0x1.fb426ad87b129p-8, 0x1.ef07f5bc2151bp-8, 0x1.e30a66652cca7p-8, 0x1.d748e270e0477p-8, 0x1.cbc29a622d733p-8, 0x1.c076c5e5ca7f8p-8, 0x1.b5649f34b9767p-8, 0x1.aa8b5e4eb0858p-8, 0x1.9fea34cbda307p-8, 0x1.95804b076699fp-8, 0x1.8b4cbf27e777cp-8, 0x1.814ea639adf1dp-8, 0x1.77850f311b7p-8, 0x1.6def072fd802dp-8, 0x1.648b9e3d23d85p-8, 0x1.5b59eb9d7db25p-8, 0x1.525911262df36p-8, 0x1.49883d2785d6bp-8, 0x1.40e6aab9e8234p-8, 0x1.3873a064a8257p-8, 0x1.302e6d521b797p-8, 0x1.2816658e1d775p-8, 0x1.202ade1090dadp-8, 0x1.186b296082a5bp-8, 0x1.10d6956c13e8fp-8, 0x1.096c6ad2bd551p-8, 0x1.022bed831f547p-8, 0x1.f628bc92f9992p-9, 0x1.e849f999c9a8cp-9, 0x1.daba130078a02p-9, 0x1.cd778e75fe286p-9, 0x1.c080f8da7d55cp-9, 0x1.b3d4e812baddfp-9, 0x1.a771fc4f86269p-9, 0x1.9b56e059540d1p-9, 0x1.8f8248282f2a9p-9, 0x1.83f2ed902a85fp-9, 0x1.78a78c11c39f3p-9, 0x1.6d9eddee9216p-9, 0x1.62d79ca4d8624p-9, 0x1.5850855c59bf9p-9, 0x1.4e085f822faa2p-9, 0x1.43fe02563175ep-9, 0x1.3a30569d5df1ep-9, 0x1.309e53cf6223cp-9, 0x1.2746fa9278369p-9, 0x1.1e294f8743b75p-9, 0x1.154458959c565p-9, 0x1.0c971ca2b72bap-9, 0x1.0420a36fd0f4bp-9, 0x1.f7bfe5bdbb9acp-10, 0x1.e7a810b0f520bp-10, 0x1.d7f79f3c5816dp-10, 0x1.c8ac353492973p-10, 0x1.b9c33db5f1a51p-10, 0x1.ab39f98d4d7cp-10, 0x1.9d0da380e5741p-10, 0x1.8f3ba32f7f1c3p-10, 0x1.81c1bd49ef8f3p-10, 0x1.749e2c1e749f6p-10, 0x1.67cf92fe133e5p-10, 0x1.5b54d0cb1959bp-10, 0x1.4f2cc8cc59b72p-10, 0x1.43563f9a14922p-10, 0x1.37cfdd8d9f983p-10, 0x1.2c984f1b794c2p-10, 0x1.21ae67528947fp-10, 0x1.171127d89d722p-10, 0x1.0cbfa35ea5149p-10, 0x1.02b8c58c5d135p-10, 0x1.f1f62fc282874p-11, 0x1.df093550bbc0bp-11, 0x1.cca5827f769a1p-11, 0x1.bac5300c36aacp-11, 0x1.a96222e35a9d8p-11, 0x1.9876d752c2c47p-11, 0x1.87ff1f831b31fp-11, 0x1.77f882381dd7ep-11, 0x1.6861fc06fee8bp-11, 0x1.593b2f7ea6d97p-11, 0x1.4a836b7bc3177p-11, 0x1.3c3913a78975fp-11, 0x1.2e59baf39f0ccp-11, 0x1.20e2c9758e581p-11, 0x1.13d233e134f47p-11, 0x1.0726d2b4b139p-11, 0x1.f5c05e3272ab5p-12, 0x1.ddfbd20675c0bp-12, 0x1.c6fe1411a6ae3p-12, 0x1.b0c33042bb5d6p-12, 0x1.9b450abc3130ap-12, 0x1.867bb68cf827bp-12, 0x1.725df0de491fbp-12, 0x1.5ee1c91f0208cp-12, 0x1.4bfdb977e2b1dp-12, 0x1.39aa227c2b402p-12, 0x1.27e285f631fa8p-12, 0x1.16a5a3ef09b6dp-12, 0x1.05f4247caabd7p-12, 0x1.eb9cf49ad46e2p-13, 0x1.cc66940c7afaep-13, 0x1.ae3e6d52f2b03p-13, 0x1.911bce2aca18fp-13, 0x1.74f6e93efbcf8p-13, 0x1.59caf02292ec3p-13, 0x1.3f9647e02aeb4p-13, 0x1.2658967406339p-13, 0x1.0e0ff3dc087aep-13, 0x1.ed6ea248f9ed2p-14, 0x1.c08df79bb4b5ap-14, 0x1.956c8e095ec36p-14, 0x1.6bf97a55ede7fp-14, 0x1.442436c362d0bp-14, 0x1.1ddb47306c39p-14, 0x1.f2172685fcb1dp-15, 0x1.ab42ced006c6bp-15, 0x1.67159488043p-15, 0x1.25749c49f334p-15, 0x1.cca340c81a04dp-16, 0x1.5351d2c7038bfp-16, 0x1.bde702ec20f3ap-17, 0x1.bdecf83c9144ap-18, 0x1.325bf03b20e01p-22, -0x1.85238adb3a832p-18, -0x1.85b322bdd5056p-17, -0x1.1ffb7f9074948p-16, -0x1.78c1002be81d6p-16, -0x1.cd423025f58c8p-16, -0x1.0eceb5f41c01dp-15, -0x1.34fbcce044daap-15, -0x1.593cee2f848bap-15, -0x1.7ba537b75f08cp-15, -0x1.9c43653ade148p-15, -0x1.bb2291ece58acp-15, -0x1.d84d9bf01929fp-15, -0x1.f3d2573f3aecdp-15, -0x1.06e1def7fdbf9p-14, -0x1.131ccf50bb29cp-14, -0x1.1ea503d84fd04p-14, -0x1.298039d05070ep-14, -0x1.33af8b4b77b18p-14, -0x1.3d35c160787c1p-14, -0x1.461b4be6d6e45p-14, -0x1.4e6982e147733p-14, -0x1.56233facc3ad3p-14, -0x1.5d463b3b45905p-14, -0x1.63d34350f2b54p-14, -0x1.69d1a9b93c411p-14, -0x1.6f4afe3359122p-14, -0x1.74457d6b1c3eep-14, -0x1.78c367ee6d33bp-14, -0x1.7cc6e7f30e6a8p-14, -0x1.8054b2f3f54d1p-14, -0x1.837285fe2f07cp-14, -0x1.86248ae13515ap-14, -0x1.886d00a1423c4p-14, -0x1.8a4de4aaffb9fp-14, -0x1.8bcaae736faf6p-14, -0x1.8ce9f7c28bb22p-14, -0x1.8db5f99912345p-14, -0x1.8e36df8bc58c4p-14, -0x1.8e6b21450f939p-14, -0x1.8e4bf31bc4b1fp-14, -0x1.8dd988210aaaep-14, -0x1.8d1bf7a1ac9dbp-14, -0x1.8c19686866854p-14, -0x1.8ad4520322c9ep-14, -0x1.89514d1448003p-14, -0x1.8795a1880a65cp-14, -0x1.85a2c5d2fffcp-14, -0x1.837890c4ead4ap-14, -0x1.8119da6b6aacdp-14, -0x1.7e8b51d0a055fp-14, -0x1.7bcecb069f802p-14, -0x1.78e38ae2fed6p-14, -0x1.75ca92396963cp-14, -0x1.72874094c117p-14, -0x1.6f1cb06dc5831p-14, -0x1.6b8ca44ad068cp-14, -0x1.67d87127f0043p-14, -0x1.640189fb3c501p-14, -0x1.600a4d1a7dcdap-14, -0x1.5bf83c7a44d2dp-14, -0x1.57d08d44534dp-14, -0x1.53913371da401p-14, -0x1.4f376d5781acbp-14, -0x1.4ac7dd47ca19cp-14, -0x1.4645edb97cc8p-14, -0x1.41ae73c7d8effp-14, -0x1.3d0010a795e6p-14, -0x1.383d9fa8d6234p-14, -0x1.336aa390dfc86p-14, -0x1.2e8ae7182c3f6p-14, -0x1.29a26c3a859f2p-14, -0x1.24b239881076ep-14, -0x1.1fb7ead475e6ep-14, -0x1.1ab32d43f782dp-14, -0x1.15a772d0a8849p-14, -0x1.1096577fc4aep-14, -0x1.0b7e4bf3310dcp-14, -0x1.065f4f1dcc4ffp-14, -0x1.013b87d92862p-14, -0x1.f829b8c7e391fp-15, -0x1.edd8eb924047dp-15, -0x1.e385ca98b2352p-15, -0x1.d92f885077097p-15, -0x1.ced7db8fdb809p-15, -0x1.c485573145916p-15, -0x1.ba37ffd0f2542p-15, -0x1.afef6f7e9edabp-15, -0x1.a5b11fb00f2a2p-15, -0x1.9b7a059e805d4p-15, -0x1.914761b1e94a2p-15, -0x1.871d85baf400dp-15, -0x1.7cffea756f1efp-15, -0x1.72ef702c14fb9p-15, -0x1.68ec2d199d46ap-15, -0x1.5ef65114c8454p-15, -0x1.550e03624ddd8p-15, -0x1.4b337c7e0f733p-15, -0x1.4168fc8f683fp-15, -0x1.37b20889d2514p-15, -0x1.2e0e2d501f24cp-15, -0x1.247cea3083ad5p-15, -0x1.1b016d35ef8dep-15, -0x1.119ab37b9ee7fp-15, -0x1.08462d7b68e5bp-15, -0x1.fe0b47b820f66p-16, -0x1.ebb76730497fdp-16, -0x1.d99346d0418a3p-16, -0x1.c79d279ac70c1p-16, -0x1.b5cfee5062215p-16, -0x1.a43057d0133e4p-16, -0x1.92c52ca24889ap-16, -0x1.818eeadc2b211p-16, -0x1.708d7ec3e0c7fp-16, -0x1.5fb951f51610fp-16, -0x1.4f1524c774992p-16, -0x1.3ea5a18627133p-16, -0x1.2e6b6676ea476p-16, -0x1.1e6610e968583p-16, -0x1.0e958d6a1cc99p-16, -0x1.fdf433d980b15p-17, -0x1.df283103d5859p-17, -0x1.c0c7cf8d8ed12p-17, -0x1.a2d3a3fde9ab2p-17, -0x1.854c34a3565dp-17, -0x1.68313f7f072b3p-17, -0x1.4b7f4acb37b0ap-17, -0x1.2f332f8b89c83p-17, -0x1.1353d4e1927d6p-17, -0x1.efcc46a3ed208p-18, -0x1.b9d67be194dd5p-18, -0x1.84bff33fb71a3p-18, -0x1.5076fb7b2cf0ap-18, -0x1.1d0314e5c056dp-18, -0x1.d4dc379cdc4f3p-19, -0x1.71620701c9698p-19, -0x1.0f7b6dcebfd5p-19, -0x1.5e936102837b1p-20, -0x1.43938ac770b38p-21, 0x1.7995dfc44850ap-24, 0x1.9bbffb8395d4dp-21, 0x1.80de42c2d6042p-20, 0x1.184142ef3b648p-19, 0x1.6e6c78f5cb02fp-19, 0x1.c2f60e97e5457p-19, 0x1.0af0b3b050697p-18, 0x1.339899f610ea7p-18, 0x1.5b74096de2f2p-18, 0x1.828462aedf164p-18, 0x1.a8cb15767cc8p-18, 0x1.ce498f0e57cc8p-18, 0x1.f3012bc895fd2p-18, 0x1.0b79a1b7b2eb3p-17, 0x1.1d10a968f3ba1p-17, 0x1.2e46818924069p-17, 0x1.3f1be08a7497cp-17, 0x1.4f917fa55cea2p-17, 0x1.5fa9ebcd0ce9p-17, 0x1.6f68b03e7ba46p-17, 0x1.7eca23b3098a2p-17, 0x1.8dcb14f1c3498p-17, 0x1.9c7082bc11e6bp-17, 0x1.aabf4ac27e322p-17, 0x1.b8b5543d71957p-17, 0x1.c6559db5bdb53p-17, 0x1.d39d4ce12419fp-17, 0x1.e08ad270c6a8fp-17, 0x1.ed268f5e1103fp-17, 0x1.f96ee5cee0d37p-17, 0x1.02b174deaeb6cp-16, 0x1.08822735dc1cep-16, 0x1.0e2a4f91f11d8p-16, 0x1.13aa6e33000f4p-16, 0x1.1902fbdddaea5p-16, 0x1.1e34764ce9fcdp-16, 0x1.233f5b0bc8911p-16, 0x1.28242719c86ffp-16, 0x1.2ce357b12acd8p-16, 0x1.317d6a868c4dcp-16, 0x1.35f2e001be87fp-16, 0x1.3a4437dc1dc79p-16, 0x1.3e71f4941195bp-16, 0x1.427c99965b21ep-16, 0x1.4664a501043cp-16, 0x1.4a2a90501525cp-16, 0x1.4dced0d99e31cp-16, 0x1.5151de3c27b02p-16, 0x1.54b43461c701bp-16, 0x1.57f645e2eb3a8p-16, 0x1.5b187e9b38d54p-16, 0x1.5e1bcc39545d3p-16, 0x1.61011c658dca2p-16, 0x1.63c735c96535ap-16, 0x1.666f7fa69943ep-16, 0x1.68fb75d71c026p-16, 0x1.6b69d1bb19e62p-16, 0x1.6dbc329f261d1p-16, 0x1.6ff2804ad9f51p-16, 0x1.720d2ce83beacp-16, 0x1.740cd7e4b71dap-16, 0x1.75f1fde3f30fdp-16, 0x1.77bd10f4f8a3cp-16, 0x1.796e8166ae8efp-16, 0x1.7b06bf243f5c3p-16, 0x1.7c86399d7494ep-16, 0x1.7ded5f8e5204p-16, 0x1.7f3c9ed7f8964p-16, 0x1.807464697a92ap-16, 0x1.81951c335c3e5p-16, 0x1.829f31255701bp-16, 0x1.83930d379aa8ep-16, 0x1.8471197ef4b6bp-16, 0x1.8539be3bc35f4p-16, 0x1.85ed62ae78a23p-16, 0x1.868c6c99f3c7cp-16, 0x1.87174141e9ea4p-16, 0x1.878e4c5657627p-16, 0x1.87f1ec5fb80dep-16, 0x1.884270a139ce5p-16, 0x1.88804eb15d1b7p-16, 0x1.88abd0a170edap-16, 0x1.88c5707e3c6c5p-16, 0x1.88cd8ad60aaefp-16, 0x1.88c463d472914p-16, 0x1.88aa449810d3ap-16, 0x1.887fc0d55dd32p-16, 0x1.88452c26b029ep-16, 0x1.87fad21e6e3fdp-16, 0x1.87a0f229d5e83p-16, 0x1.8737e214d42b2p-16, 0x1.86c0037a74149p-16, 0x1.8639ac6fd3cf8p-16, 0x1.85a52ee51cffdp-16, 0x1.8502dba3054ffp-16, 0x1.8453029d7b32bp-16, 0x1.8395f2e11d9d8p-16, 0x1.82cbfa8207271p-16, 0x1.81f566917e8eep-16, 0x1.8112831728634p-16, 0x1.80239b0d83b9dp-16, 0x1.7f28f8614ba88p-16, 0x1.7e22e3f381b0ep-16, 0x1.7d11a59ac7a01p-16, 0x1.7bf5842169513p-16, 0x1.7acec540eae34p-16, 0x1.799dada5e3e97p-16, 0x1.786281061fdddp-16, 0x1.771d82398fdf9p-16, 0x1.75cef33601436p-16, 0x1.747714f5fcfe5p-16, 0x1.73162774d9011p-16, 0x1.71ac69b23ac68p-16, 0x1.703a193cbff56p-16, 0x1.6ebf71d962a52p-16, 0x1.6d3cadae301b2p-16, 0x1.6bb20a048fc03p-16, 0x1.6a1fc742ce203p-16, 0x1.6886255c3a168p-16, 0x1.66e53d97f57d4p-16, 0x1.653d4e0d31c42p-16, 0x1.638ea7cee842cp-16, 0x1.61d980e63e905p-16, 0x1.601df6ec69e3p-16, 0x1.5e5c2df4b23a5p-16, 0x1.5c9477b121655p-16, 0x1.5ac709a0a3a8ap-16, 0x1.58f40b7f6d5d1p-16, 0x1.571babd28af64p-16, 0x1.553e1a222cbacp-16, 0x1.535b84a419898p-16, 0x1.517418fad97cep-16, 0x1.4f880d1bb0062p-16, 0x1.4d978ae1c8976p-16, 0x1.4ba2ae1f10af4p-16, 0x1.49a9a9573814fp-16, 0x1.47acb4b629b12p-16, 0x1.45abef542cc9dp-16, 0x1.43a77f3fa67e1p-16, 0x1.419f8e4c0bdf2p-16, 0x1.3f944526d8528p-16, 0x1.3d85c8fd1d6bap-16, 0x1.3b744122c4bbcp-16, 0x1.395fd0cfa11d6p-16, 0x1.37489cb7aacd6p-16, 0x1.352ec92489e15p-16, 0x1.331279215f2d4p-16, 0x1.30f3cf14da088p-16, 0x1.2ed2ec3b11a75p-16, 0x1.2caff0632028ep-16, 0x1.2a8afbbd5070ap-16, 0x1.28642f618c22dp-16, 0x1.263bb1f447b6bp-16, 0x1.2411a3c720f5cp-16, 0x1.21e5fcc083d45p-16, 0x1.1fb9017f4e5e7p-16, 0x1.1d8aca86fbeabp-16, 0x1.1b5b6cbe78f4p-16, 0x1.192b0285d4694p-16, 0x1.16f9a81405943p-16, 0x1.14c780190ca39p-16, 0x1.1294a84e620b3p-16, 0x1.1061139fdd1c2p-16, 0x1.0e2cf8bdd0985p-16, 0x1.0bf8787927c62p-16, 0x1.09c3a09d19445p-16, 0x1.078e872ea03ecp-16, 0x1.05594347e7511p-16, 0x1.0323eb74b608ep-16, 0x1.00ee95a85326p-16, 0x1.fd72ae9a5bc61p-17, 0x1.f9088a7fdd942p-17, 0x1.f49ee7cce4f9cp-17, 0x1.f035eee877e76p-17, 0x1.ebcdc751afba1p-17, 0x1.e766969f82167p-17, 0x1.e30081ccd9574p-17, 0x1.de9badf86aafp-17, 0x1.da383ee488305p-17, 0x1.d5d656d93f2b5p-17, 0x1.d17617c0b7f73p-17, 0x1.cd17a303c7563p-17, 0x1.c8bb19353f361p-17, 0x1.c4609a1c68abfp-17, 0x1.c008449692346p-17, 0x1.bbb236268b662p-17, 0x1.b75e8b8b44679p-17, 0x1.b30d61bb23999p-17, 0x1.aebed55643f23p-17, 0x1.aa73082e2e2f9p-17, 0x1.a62a0f4209843p-17, 0x1.a1e3f208b7f93p-17, 0x1.9da0e508a961ap-17, 0x1.9960f67d2bdbp-17, 0x1.95243a4b9969ap-17, 0x1.90ead6bd84902p-17, 0x1.8cb4d91bed5cbp-17, 0x1.88824f70867eep-17, 0x1.8453494272c6ap-17, 0x1.8027ef1da78a2p-17, 0x1.7c005440dcb54p-17, 0x1.77dc887afea9ap-17, 0x1.73bc9ce219ae2p-17, 0x1.6fa0935fe953bp-17, 0x1.6b8895fdfe4d6p-17, 0x1.6774b059a3b4fp-17, 0x1.6364f0ba070b9p-17, }}, 
      {{0x1.83b707a7f1d14p-2, 0x1.5832a93e1f3c2p-1, 0x1.b7108c770791fp-1, 0x1.e3377c99e3f3fp-1, 0x1.e7baf3976f908p-1, 0x1.d0d1aff690374p-1, 0x1.a96ef107371b7p-1, 0x1.7a5bd50ad6ebap-1, 0x1.4a15d1561ab63p-1, 0x1.1d08c6aa8b721p-1, 0x1.ebd709244d3f6p-2, 0x1.ac434f0934c6ap-2, 0x1.7c2a62e057376p-2, 0x1.5b05251720af2p-2, 0x1.476c34143ecabp-2, 0x1.3f7757bb74b2dp-2, 0x1.4104c52ee3122p-2, 0x1.49ec16e3c7ca8p-2, 0x1.5820d5181e444p-2, 0x1.69c81c30fa38cp-2, 0x1.7d447de83e0f8p-2, 0x1.913abcefd6e1ap-2, 0x1.a49187b9e59abp-2, 0x1.b66de4442858bp-2, 0x1.c62d980ebd48bp-2, 0x1.d3607f58e16b2p-2, 0x1.ddc17ef756c7fp-2, 0x1.e52f85ee7376ep-2, 0x1.e9a6ebfab0686p-2, 0x1.eb3b5cfd3f98ap-2, 0x1.ea126c4d7b3bap-2, 0x1.e65eda8264b19p-2, 0x1.e05c8cf238eacp-2, 0x1.d84d2e497b771p-2, 0x1.ce756a9f5a3c6p-2, 0x1.c31ab6706e625p-2, 0x1.b6818f666e66ap-2, 0x1.a8ec25e7269bep-2, 0x1.9a995f5343c64p-2, 0x1.8bc42229e6a56p-2, 0x1.7ca2def9cf7bap-2, 0x1.6d674a7884ca4p-2, 0x1.5e3e3f0b31a96p-2, 0x1.4f4fbcf0d28bbp-2, 0x1.40bf02018104fp-2, 0x1.32aab322cca3ap-2, 0x1.252d127aebc85p-2, 0x1.185c3e6aed4d9p-2, 0x1.0c4a764e5a457p-2, 0x1.010662491f01ap-2, 0x1.ed36b8c4ec274p-3, 0x1.da23728338d68p-3, 0x1.c8de1f147e23fp-3, 0x1.b96cfa1a4d789p-3, 0x1.abd1d214cff11p-3, 0x1.a00a86a8f84cap-3, 0x1.96117fcce5cc3p-3, 0x1.8dde1db6ccc89p-3, 0x1.876521576de3bp-3, 0x1.82990d60168e1p-3, 0x1.7f6a7ff5eb464p-3, 0x1.7dc885241e9ccp-3, 0x1.7da0e283a2242p-3, 0x1.7ee05c0b50dcbp-3, 0x1.8172f29aa6d17p-3, 0x1.85441c6eb984p-3, 0x1.8a3ef7e115141p-3, 0x1.904e78bab22dap-3, 0x1.975d909243952p-3, 0x1.9f5752598e74fp-3, 0x1.a8271197970b6p-3, 0x1.b1b87d8bd2b6ep-3, 0x1.bbf7b8946d0f2p-3, 0x1.c6d16c1729c73p-3, 0x1.d232d9418b297p-3, 0x1.de09e6dd4d96dp-3, 0x1.ea452c8150016p-3, 0x1.f6d3fb559f653p-3, 0x1.01d33250c4114p-2, 0x1.08569f44031a5p-2, 0x1.0eed136387222p-2, 0x1.158fc211ab95ap-2, 0x1.1c384337e8ac4p-2, 0x1.22e09287c2f8dp-2, 0x1.29830e5b46254p-2, 0x1.301a763a6a1e5p-2, 0x1.36a1e874589d7p-2, 0x1.3d14e0143636dp-2, 0x1.436f322ed7f5bp-2, 0x1.49ad0ac002ebap-2, 0x1.4fcae9eb522dcp-2, 0x1.55c5a0cdd559dp-2, 0x1.5b9a4ddfcf789p-2, 0x1.614659ec51272p-2, 0x1.66c774b4ac3ddp-2, 0x1.6c1b91106d36ep-2, 0x1.7140e1f0b6ed5p-2, 0x1.7635d6e7a993p-2, 0x1.7af9187fa6c3ap-2, 0x1.7f898557f4fd4p-2, 0x1.83e62ec985ed5p-2, 0x1.880e55b7edd64p-2, 0x1.8c0167c79e5c2p-2, 0x1.8fbefc54d5997p-2, 0x1.9346d1b103c92p-2, 0x1.9698ca84e32bbp-2, 0x1.99b4eb1ebfa78p-2, 0x1.9c9b570e58d3dp-2, 0x1.9f4c4ebde205ap-2, 0x1.a1c82d1ef39d4p-2, 0x1.a40f65980b4e4p-2, 0x1.a62281e7a8e84p-2, 0x1.a802202ce1103p-2, 0x1.a9aef122e10fcp-2, 0x1.ab29b6560e21dp-2, 0x1.ac73407ae2f2dp-2, 0x1.ad8c6def5e2b2p-2, 0x1.ae76293d0c3ap-2, 0x1.af3167ac2062dp-2, 0x1.afbf28024904dp-2, 0x1.b0207142de02dp-2, 0x1.b0565177df5e1p-2, 0x1.b061dc9e70dc1p-2, 0x1.b0442ba1b585p-2, 0x1.affe5b55d86f2p-2, 0x1.af918b8c09431p-2, 0x1.aefede420655fp-2, 0x1.ae4776d1cf3aep-2, 0x1.ad6c792cd6efdp-2, 0x1.ac6f0935f5ab8p-2, 0x1.ab504a23c706fp-2, 0x1.aa115de9eae47p-2, 0x1.a8b364acaffe1p-2, 0x1.a7377c558ba4fp-2, 0x1.a59ec01d3499ap-2, 0x1.a3ea482710e26p-2, 0x1.a21b2927921aep-2, 0x1.a03274141486ap-2, 0x1.9e3135df5f94ep-2, 0x1.9c1877303a629p-2, 0x1.99e93c29a9de6p-2, 0x1.97a4843ce04d3p-2, 0x1.954b49fdcdb57p-2, 0x1.92de82f72b783p-2, 0x1.905f1f8a0e1fcp-2, 0x1.8dce0ada1044fp-2, 0x1.8b2c2ab5b7a4cp-2, 0x1.887a5f80a0f7ap-2, 0x1.85b9842ae1e24p-2, 0x1.82ea6e29239dfp-2, 0x1.800ded73c5bfcp-2, 0x1.7d24cc811a3ccp-2, 0x1.7a2fd04bf111ap-2, 0x1.772fb85923121p-2, 0x1.74253ebf94475p-2, 0x1.71111837853c7p-2, 0x1.6df3f424ef74dp-2, 0x1.6ace7ca4f8363p-2, 0x1.67a156a23d448p-2, 0x1.646d21ea0963ap-2, 0x1.6132793bfe7b3p-2, 0x1.5df1f25e09eb5p-2, 0x1.5aac1e353272dp-2, 0x1.576188dcbd3bbp-2, 0x1.5412b9bb51361p-2, 0x1.50c0339a0384p-2, 0x1.4d6a74bea8666p-2, 0x1.4a11f7035fa46p-2, 0x1.46b72fee1583p-2, 0x1.435a90ca8f87p-2, 0x1.3ffc86c4365d4p-2, 0x1.3c9d7afe15edp-2, 0x1.393dd2aa6396bp-2, 0x1.35ddef254651p-2, 0x1.327e2e0f54025p-2, 0x1.2f1ee96487ee3p-2, 0x1.2bc0779388be4p-2, 0x1.28632b97af8c5p-2, 0x1.2507551256a5ap-2, 0x1.21ad4061ecffcp-2, 0x1.1e5536b8628cfp-2, 0x1.1aff7e3308a3dp-2, 0x1.17ac59f2b9364p-2, 0x1.145c0a31d05bbp-2, 0x1.110ecc5940b8ap-2, 0x1.0dc4db169e2fdp-2, 0x1.0a7e6e72c5264p-2, 0x1.073bbbe608046p-2, 0x1.03fcf66b950bcp-2, 0x1.00c24e95784e1p-2, 0x1.fb17e5426f255p-3, 0x1.f4b41d15f1ae7p-3, 0x1.ee59983de3c7p-3, 0x1.e808a615c3146p-3, 0x1.e1c191e0debd7p-3, 0x1.db84a2ee02a47p-3, 0x1.d5521cb7f41b4p-3, 0x1.cf2a3f0409ee3p-3, 0x1.c90d460161e1ap-3, 0x1.c2fb6a693cdb4p-3, 0x1.bcf4e19d5bfd7p-3, 0x1.b6f9ddc3bdbd3p-3, 0x1.b10a8de16f3bfp-3, 0x1.ab271df61030fp-3, 0x1.a54fb7176241bp-3, 0x1.9f847f8b4ba6ap-3, 0x1.99c59adfe1cb5p-3, 0x1.94132a02ab61bp-3, 0x1.8e6d4b582c58ap-3, 0x1.88d41ad358501p-3, 0x1.8347b20bccca4p-3, 0x1.7dc82852f3a5dp-3, 0x1.785592c82bc8cp-3, 0x1.72f0046cbfa85p-3, 0x1.6d978e373d7bdp-3, 0x1.684c3f2647fabp-3, 0x1.630e24538b2a3p-3, 0x1.5ddd490597b1ep-3, 0x1.58b9b6c0a83bp-3, 0x1.53a375567e989p-3, 0x1.4e9a8af5dd89fp-3, 0x1.499efc3a9b8aap-3, 0x1.44b0cc3df091cp-3, 0x1.3fcffca5cae29p-3, 0x1.3afc8db21b236p-3, 0x1.36367e48d314bp-3, 0x1.317dcc02764c7p-3, 0x1.2cd27338325e5p-3, 0x1.28346f1274ccap-3, 0x1.23a3b995cf53dp-3, 0x1.1f204bad19e21p-3, 0x1.1aaa1d325461ap-3, 0x1.164124f8a824dp-3, 0x1.11e558d8e9ad6p-3, 0x1.0d96adbebb6b4p-3, 0x1.095517b3d037ap-3, 0x1.052089e7d34fep-3, 0x1.00f8f6b696c08p-3, 0x1.f9bc9f5f077f9p-4, 0x1.f1a10b400282dp-4, 0x1.e99f113efa786p-4, 0x1.e1b69034073d3p-4, 0x1.d9e765ae8f7edp-4, 0x1.d2316dfdc7205p-4, 0x1.ca948439d681dp-4, 0x1.c3108252c5c3ep-4, 0x1.bba541253857bp-4, 0x1.b452988f7d001p-4, 0x1.ad185f80e6277p-4, 0x1.a5f66c01d0a45p-4, 0x1.9eec93381ebbcp-4, 0x1.97faa96eb2dd9p-4, 0x1.91208223b33ffp-4, 0x1.8a5df01b8800cp-4, 0x1.83b2c572dbf28p-4, 0x1.7d1ed3aa44c5bp-4, 0x1.76a1ebaae8cb9p-4, 0x1.703bddc87158dp-4, 0x1.69ec79c64bdf2p-4, 0x1.63b38ee375cccp-4, 0x1.5d90ebeb0b632p-4, 0x1.57845f444ab15p-4, 0x1.518db6fcfbbd7p-4, 0x1.4bacc0cd25709p-4, 0x1.45e14a1742e4cp-4, 0x1.402b1fea4922p-4, 0x1.3a8a0f098dde1p-4, 0x1.34fde3f9a6269p-4, 0x1.2f866b0f2143ep-4, 0x1.2a2370797c363p-4, 0x1.24d4c0481b089p-4, 0x1.1f9a266a6d684p-4, 0x1.1a736eaf25bd8p-4, 0x1.156064c6e067ap-4, 0x1.1060d44c220fcp-4, 0x1.0b7488cf1cac2p-4, 0x1.069b4de15da53p-4, 0x1.01d4ef1da5475p-4, 0x1.fa427054fa904p-5, 0x1.f0ffe9723de61p-5, 0x1.e7e1e1085c1d6p-5, 0x1.dee7eea32f17ep-5, 0x1.d611a9f1d5baap-5, 0x1.cd5eaad9a7dafp-5, 0x1.c4ce89895842cp-5, 0x1.bc60de8619b8bp-5, 0x1.b41542b02bf52p-5, 0x1.abeb4f40c6965p-5, 0x1.a3e29dc634012p-5, 0x1.9bfac82428fc8p-5, 0x1.9433689ae82b5p-5, 0x1.8c8c19d4b09e8p-5, 0x1.850476f5438d8p-5, 0x1.7d9c1ba68ffc5p-5, 0x1.7652a41f1bbb5p-5, 0x1.6f27ad21f4ap-5, 0x1.681ad3fb03568p-5, 0x1.612bb67bf3bbcp-5, 0x1.5a59f2fd5830dp-5, 0x1.53a528655737p-5, 0x1.4d0cf63256cc8p-5, 0x1.4690fc86694cfp-5, 0x1.4030dc2fe4d18p-5, 0x1.39ec36ad22ab2p-5, 0x1.33c2ae2b81b49p-5, 0x1.2db3e583db451p-5, 0x1.27bf80377d218p-5, 0x1.21e5227029d7p-5, 0x1.1c2471041cd0dp-5, 0x1.167d117d35ea6p-5, 0x1.10eeaa21127efp-5, 0x1.0b78e1f79452p-5, 0x1.061b60ce2b853p-5, 0x1.00d5cf3789e4dp-5, 0x1.f74fad11ae827p-6, 0x1.ed2241acf92a2p-6, 0x1.e322b1e4d164fp-6, 0x1.d95054da0d1acp-6, 0x1.cfaa83316a92cp-6, 0x1.c630971dbaafbp-6, 0x1.bce1ec69cf5c3p-6, 0x1.b3bde07f2ae8ep-6, 0x1.aac3d267f72f5p-6, 0x1.a1f322cc3b541p-6, 0x1.994b33ec56c53p-6, 0x1.90cb699bfc4bap-6, 0x1.8873293e05246p-6, 0x1.8041d9c6102d9p-6, 0x1.7836e3bb9f2d5p-6, 0x1.7051b1404130fp-6, 0x1.6891ae1546b3bp-6, 0x1.60f6479ef8ef2p-6, 0x1.597eece4dc00bp-6, 0x1.522b0e8f315f4p-6, 0x1.4afa1ee22bebep-6, 0x1.43eb91b855d46p-6, 0x1.3cfedc7e7a314p-6, 0x1.363376321f2dcp-6, 0x1.2f88d76257bafp-6, 0x1.28fe7a323d958p-6, 0x1.2293da5bcfebcp-6, 0x1.1c487531e8648p-6, 0x1.161bc9a05f023p-6, 0x1.100d5829cd55bp-6, 0x1.0a1ca2e3781c6p-6, 0x1.04492d6ff9648p-6, 0x1.fd24f9f3f0209p-7, 0x1.f1f030602e2aep-7, 0x1.e6f30e85634cp-7, 0x1.dc2ca7c70c16ap-7, 0x1.d19c128d296eep-7, 0x1.c7406846b873cp-7, 0x1.bd18c56ae54dep-7, 0x1.b3244977bf0bap-7, 0x1.a96216ed5ceabp-7, 0x1.9fd153458a2c1p-7, 0x1.967126e8e3797p-7, 0x1.8d40bd229b7cfp-7, 0x1.843f441551e84p-7, 0x1.7b6becb233f3fp-7, 0x1.72c5eab39ec66p-7, 0x1.6a4c749b387ffp-7, 0x1.61fec3b28c736p-7, 0x1.59dc140ce135ap-7, 0x1.51e3a4888e9bdp-7, 0x1.4a14b6ce56414p-7, 0x1.426e8f4d70e45p-7, 0x1.3af0753373162p-7, 0x1.3399b260462c3p-7, 0x1.2c6993572a337p-7, 0x1.255f672ead0bfp-7, 0x1.1e7a7f82093eep-7, 0x1.17ba306614629p-7, 0x1.111dd0634aa2bp-7, 0x1.0aa4b87542033p-7, 0x1.044e440f0601p-7, 0x1.fc33a24459a98p-8, 0x1.f00d804c58155p-8, 0x1.e428e83911dcbp-8, 0x1.d884a51dae42dp-8, 0x1.cd1f870a1aa24p-8, 0x1.c1f862e5e1b29p-8, 0x1.b70e123fac3b8p-8, 0x1.ac5f731595b98p-8, 0x1.a1eb67a2c97e1p-8, 0x1.97b0d63b6cad9p-8, 0x1.8daea93be8ac1p-8, 0x1.83e3cf13c22dp-8, 0x1.7a4f3a64a9feap-8, 0x1.70efe230bac01p-8, 0x1.67c4c20a8f304p-8, 0x1.5eccda396c743p-8, 0x1.56072fc4524abp-8, 0x1.4d72cc5b589a7p-8, 0x1.450ebe1dba0e6p-8, 0x1.3cda173e79741p-8, 0x1.34d3eda930c36p-8, 0x1.2cfb5a8d64aeap-8, 0x1.254f7a27fe92bp-8, 0x1.1dcf6b9914f38p-8, 0x1.167a50fbd9c9dp-8, 0x1.0f4f4faa5a27cp-8, 0x1.084d90a4792b3p-8, 0x1.01744102ae701p-8, 0x1.f58524b3211d9p-9, 0x1.e86f75e990c77p-9, 0x1.dba5ebacdd4cap-9, 0x1.cf2704e6a69b3p-9, 0x1.c2f14862d018bp-9, 0x1.b70343768bcd2p-9, 0x1.ab5b888df0d81p-9, 0x1.9ff8ade703421p-9, 0x1.94d94cc11ccecp-9, 0x1.89fc013303291p-9, 0x1.7f5f6aba8f283p-9, 0x1.75022d6ecd12dp-9, 0x1.6ae2f398e259cp-9, 0x1.61006f5ef3118p-9, 0x1.57595c262591fp-9, 0x1.4dec7f5fcff1cp-9, 0x1.44b8a891d60d2p-9, 0x1.3bbcb08d79caap-9, 0x1.32f777ecd5f57p-9, 0x1.2a67e50e580c8p-9, 0x1.220ce1dfb9a5fp-9, 0x1.19e559d957e79p-9, 0x1.11f0388c712eap-9, 0x1.0a2c69141e3b6p-9, 0x1.0298d691ea6p-9, 0x1.f668db4f65239p-10, 0x1.e7fc3d4f95ad2p-10, 0x1.d9e9c016d2a5bp-10, 0x1.cc2f61639bb27p-10, 0x1.becb32f546259p-10, 0x1.b1bb5be7d46a8p-10, 0x1.a4fe180329f92p-10, 0x1.9891b5205eec7p-10, 0x1.8c748f0f3cafp-10, 0x1.80a50a9a33a24p-10, 0x1.7521906b1a427p-10, 0x1.69e88891b124cp-10, 0x1.5ef8577b8488dp-10, 0x1.544f5ce105f91p-10, 0x1.49ebf4dc330f1p-10, 0x1.3fcc7b01602afp-10, 0x1.35ef4ec33e116p-10, 0x1.2c52d8494f741p-10, 0x1.22f58cd80b46dp-10, 0x1.19d5f21e0d6fcp-10, 0x1.10f29ffd3f929p-10, 0x1.084a409b73558p-10, 0x1.ffb71d680cbf6p-11, 0x1.ef4aa4cddecd1p-11, 0x1.df4cba12f5b66p-11, 0x1.cfbb099e9e495p-11, 0x1.c093423fab127p-11, 0x1.b1d31087ad729p-11, 0x1.a3781d4856e92p-11, 0x1.95800eed896a2p-11, 0x1.87e88cd00734bp-11, 0x1.7aaf43619befap-11, 0x1.6dd1e82af31eep-11, 0x1.614e3d03609f6p-11, 0x1.5522127a0480cp-11, 0x1.494b49af76373p-11, 0x1.3dc7d5c5a15a8p-11, 0x1.3295bc3753d67p-11, 0x1.27b31357d17bep-11, 0x1.1d1dfebe7d2e5p-11, 0x1.12d4aa5077203p-11, 0x1.08d54661d41eap-11, 0x1.fe3c0e36eb4cap-12, 0x1.eb5a4fee848dep-12, 0x1.d901e39166a63p-12, 0x1.c72f8066e1686p-12, 0x1.b5e0076935cecp-12, 0x1.a5107eab9cf34p-12, 0x1.94be071973a17p-12, 0x1.84e5d22494eabp-12, 0x1.75851bdc518f7p-12, 0x1.669929d384029p-12, 0x1.581f4b13bdbd4p-12, 0x1.4a14d40914097p-12, 0x1.3c7713b21a139p-12, 0x1.2f4343e4ea972p-12, 0x1.22767ab515da5p-12, 0x1.160da547a3df7p-12, 0x1.0a05938cd271bp-12, 0x1.fcb62ed652793p-13, 0x1.e616626c1f977p-13, 0x1.d026748395fdp-13, 0x1.bae1f58f39d7dp-13, 0x1.a6453dba82e44p-13, 0x1.924d1c057813bp-13, 0x1.7ef6734eef613p-13, 0x1.6c3dfa4ada6b4p-13, 0x1.5a203dda4f3acp-13, 0x1.4899d8d590c7ep-13, 0x1.37a7b078ba19cp-13, 0x1.274702dbf8b79p-13, 0x1.1775340021137p-13, 0x1.082f6cd064308p-13, 0x1.f2e46aa91f034p-14, 0x1.d67264c58d3d5p-14, 0x1.bafe4202330ddp-14, 0x1.a07c337981133p-14, 0x1.86e02d7db5a66p-14, 0x1.6e1f452442c5ap-14, 0x1.5630f4560aa88p-14, 0x1.3f0fb68ab5125p-14, 0x1.28b8963cb4401p-14, 0x1.1329c3480c49ep-14, 0x1.fcc1ca219b6ebp-15, 0x1.d4b4302a73a3fp-15, 0x1.ae203aaf6f829p-15, 0x1.88faed36e94a4p-15, 0x1.653b3bbc558f8p-15, 0x1.42db2d48c7633p-15, 0x1.21d72914f4f56p-15, 0x1.022becb4066a3p-15, 0x1.c7a88e8b3bb44p-16, 0x1.8d8f63de1089ap-16, 0x1.55f446c5f8595p-16, 0x1.20b9557df5304p-16, 0x1.db791854ee42fp-17, 0x1.79b3fa5de2af3p-17, 0x1.1bdee99969d2bp-17, 0x1.83855b4aa2372p-18, 0x1.acf4a7ebb124bp-19, 0x1.841d4c4cf32ffp-21, -0x1.b97abbd38d75ap-20, -0x1.062fb695308e9p-18, -0x1.970a2200d41c2p-18, -0x1.10914a0c75b3bp-17, -0x1.525cfc45a5b66p-17, -0x1.91056d49b86e7p-17, -0x1.cc9dfd6ce7986p-17, -0x1.0297d0b1205e3p-16, -0x1.1d5fa1520fa3dp-16, -0x1.36ab655501564p-16, -0x1.4e8515a7f51d4p-16, -0x1.64fac9d6ebbffp-16, -0x1.7a1c016781672p-16, -0x1.8df7b72e05ebap-16, -0x1.a09c6a347ead5p-16, -0x1.b21935eac45a1p-16, -0x1.c27e57ddf332cp-16, -0x1.d1dc663f1cbfap-16, -0x1.e0427e9963b55p-16, -0x1.edbc1c51d92f3p-16, -0x1.fa4fc9510e53ap-16, -0x1.02fff7ed835c7p-15, -0x1.0866e4973c578p-15, -0x1.0d5e62a5f7ba9p-15, -0x1.11e9efc256f61p-15, -0x1.160dbb2e1f558p-15, -0x1.19cd0d78ef8cep-15, -0x1.1d2a1b576f7c4p-15, -0x1.2027089f25891p-15, -0x1.22c688ac22603p-15, -0x1.250be876b7569p-15, -0x1.26fb0e18ed383p-15, -0x1.2898399951d7bp-15, -0x1.29e756a10325ep-15, -0x1.2aeb723de3963p-15, -0x1.2ba6e2f5cc963p-15, -0x1.2c1bed31208f8p-15, -0x1.2c4d5c4d25776p-15, -0x1.2c3eea7bd9c72p-15, -0x1.2bf533f2bb755p-15, -0x1.2b7484e56fdaap-15, -0x1.2abf39f0b4f79p-15, -0x1.29d5f78590b97p-15, -0x1.28b9f3348940cp-15, -0x1.276e68d96e9b8p-15, -0x1.25f6e351a275cp-15, -0x1.24548d86cb046p-15, -0x1.2286b5527c8e4p-15, -0x1.208dc9b7d66afp-15, -0x1.1e6c967a16ddbp-15, -0x1.1c26b1965fe7bp-15, -0x1.19be78ec6eb4dp-15, -0x1.1734db21d6239p-15, -0x1.148abeb205e0fp-15, -0x1.11c1ee0a6fd57p-15, -0x1.0edc8a5e5a32bp-15, -0x1.0bdc205087c73p-15, -0x1.08c18beb40e1cp-15, -0x1.058d90d6a2227p-15, -0x1.0241768bcd57dp-15, -0x1.fdbf33ccee24bp-16, -0x1.f6d72c4ccd04dp-16, -0x1.efd09c265b27ep-16, -0x1.e8aa8e2f8ee45p-16, -0x1.e16065b0ee115p-16, -0x1.d9f25b92b5b99p-16, -0x1.d2662106af605p-16, -0x1.cac00ffa53a16p-16, -0x1.c301ed2ec808ap-16, -0x1.bb2ee40a11a29p-16, -0x1.b34a86b3e458p-16, -0x1.ab55d09516002p-16, -0x1.a350b50f9214fp-16, -0x1.9b3d25f6e18bp-16, -0x1.931e50de3decdp-16, -0x1.8af5714c47943p-16, -0x1.82c208991b34cp-16, -0x1.7a84c6b6cd049p-16, -0x1.723fec05fba1bp-16, -0x1.69f582edadfa1p-16, -0x1.61a6ada589964p-16, -0x1.595445e95bfd2p-16, -0x1.50ff3b198063dp-16, -0x1.48a914d351fbcp-16, -0x1.40555f1fbae4p-16, -0x1.38076f533fcd1p-16, -0x1.2fbde553bdceep-16, -0x1.2776eb1ac7d35p-16, -0x1.1f35735cf2084p-16, -0x1.16fba2eb6d28bp-16, -0x1.0ec75bbe2679ap-16, -0x1.0697af6c1b626p-16, -0x1.fcdcd648bdf45p-17, -0x1.ec9b7f4a7a08p-17, -0x1.dc700c62904bp-17, -0x1.cc5f6ba40c9d5p-17, -0x1.bc6ab1523f04p-17, -0x1.ac8ea71a0c1efp-17, -0x1.9ccabff274763p-17, -0x1.8d231cc8346edp-17, -0x1.7d99882647aa9p-17, -0x1.6e2be9ecf6b93p-17, -0x1.5eda2044792edp-17, -0x1.4fa6a6fbe874ap-17, -0x1.40939e9d75aabp-17, -0x1.31a23cb18e0fep-17, -0x1.22d3019df8abcp-17, -0x1.1425453a94176p-17, -0x1.0599dd088a94ep-17, -0x1.ee69054603e27p-18, -0x1.d1ea064b088c2p-18, -0x1.b5b5da0d2fc05p-18, -0x1.99d2a2ade40bbp-18, -0x1.7e3c4d6038da8p-18, -0x1.62ef1cbb3c562p-18, -0x1.47efc46b17a4p-18, -0x1.2d41f1decef9ap-18, -0x1.12e636d15b9f8p-18, -0x1.f1b86757360e4p-19, -0x1.be474dd0cea6fp-19, -0x1.8b7889c965372p-19, -0x1.594bb2ec0924p-19, -0x1.27c519664fcfep-19, -0x1.edd7bebf5b2aap-20, -0x1.8d7bf60ad1e24p-20, -0x1.2e7299f320e89p-20, -0x1.a18fc7c83dap-21, -0x1.d1d4b46b9624bp-22, -0x1.96d4ae6b313f2p-24, 0x1.01267a0f42745p-22, 0x1.314c237dc9acap-21, 0x1.df491074d9e5ep-21, 0x1.454ae4622067dp-20, 0x1.99a617dae099fp-20, 0x1.ecae079b48d09p-20, 0x1.1f2b1258d8eafp-19, 0x1.474faa69c1b7bp-19, 0x1.6ec5ec9baad8ep-19, 0x1.95970c3b72775p-19, 0x1.bbc120f2ee316p-19, 0x1.e140355d948f9p-19, 0x1.030a57a1f4a8dp-18, 0x1.152004cc933f8p-18, 0x1.26e1b5a74ab62p-18, 0x1.384fd2e8f87ep-18, 0x1.496ab32176e54p-18, 0x1.5a32af8b6f8e2p-18, 0x1.6aa82c3e8ae64p-18, 0x1.7acb913f2a5cap-18, 0x1.8a9d7a85b729dp-18, 0x1.9a1f511b109b4p-18, 0x1.a9525e1ac7f2ep-18, 0x1.b8356cb5cabbfp-18, 0x1.c6c7d9e387d8bp-18, 0x1.d509f8f0a56a2p-18, 0x1.e2fd2224738fcp-18, 0x1.f0a3f222a206ep-18, 0x1.fdfe0a42dd5bdp-18, 0x1.05856a34ae597p-17, 0x1.0be5d7402cc7p-17, 0x1.122160479ace1p-17, 0x1.18375af4055bdp-17, 0x1.1e275f478a3dp-17, 0x1.23f26e1d3e7dp-17, 0x1.2999da1754ec4p-17, 0x1.2f1d4af782506p-17, 0x1.347cc751ad2a4p-17, 0x1.39b8c1bef2efp-17, 0x1.3ed1a72377c18p-17, 0x1.43c7d69f40478p-17, 0x1.489baa3e634b3p-17, 0x1.4d4d7b6678f22p-17, 0x1.51dda429b68eep-17, 0x1.564c7f13fb7bap-17, 0x1.5a9a664aa5237p-17, 0x1.5ec7b2fa5d039p-17, 0x1.62d4be23ead1fp-17, 0x1.66c1e2a484648p-17, 0x1.6a8f7d4ef4c21p-17, 0x1.6e3de7e4bd765p-17, 0x1.71cd7cfb7d364p-17, 0x1.753ec2b5521aep-17, 0x1.7892515440ea1p-17, 0x1.7bc81898bc21dp-17, 0x1.7ee01e062feabp-17, 0x1.81db1dfe2e078p-17, 0x1.84b9c6c588b02p-17, 0x1.877c32d89c378p-17, 0x1.8a22ea341c242p-17, 0x1.8cae0093a0036p-17, 0x1.8f1d980ca4b84p-17, 0x1.9172912791dc7p-17, 0x1.93ad3222c3dc3p-17, 0x1.95cdb7d4024edp-17, 0x1.97d486683bbedp-17, 0x1.99c1e5d909b07p-17, 0x1.9b963eb68ebe8p-17, 0x1.9d51f36a513f3p-17, 0x1.9ef55caf72fa2p-17, 0x1.a080d2df4fc9cp-17, 0x1.a1f4aea6ff3a2p-17, 0x1.a35148d4046f3p-17, 0x1.a496f8a7875ebp-17, 0x1.a5c61b45271e9p-17, 0x1.a6df02300f2e7p-17, 0x1.a7e20372af235p-17, 0x1.a8cf7d2027e1ap-17, 0x1.a9a7bf453cc7fp-17, 0x1.aa6b202f412f8p-17, 0x1.ab19f49b43a99p-17, 0x1.abb491f16e973p-17, 0x1.ac3b4c8e1c6e5p-17, 0x1.acae7600a8c68p-17, 0x1.ad0e5fcda7694p-17, 0x1.ad5b61233aa54p-17, 0x1.ad95cc9a4aa58p-17, 0x1.adbde960ddffp-17, 0x1.add40ea3f8368p-17, 0x1.add887d7bc122p-17, 0x1.adcba5ff0efb3p-17, 0x1.adadb7b013facp-17, 0x1.ad7f0afc18ae5p-17, 0x1.ad3fec43dfcbcp-17, 0x1.acf0a73f0b827p-17, 0x1.ac91874f789dbp-17, 0x1.ac22d741b43d1p-17, 0x1.aba4e1353b9cp-17, 0x1.ab17ee99b9e7bp-17, 0x1.aa7c48319c4b5p-17, 0x1.a9d23612b63a8p-17, 0x1.a919ffa45a55ap-17, 0x1.a853eb9ef6f8ep-17, 0x1.a7804010d520ap-17, 0x1.a69f42611439p-17, 0x1.a5b1374848c41p-17, 0x1.a4b662bfaff42p-17, 0x1.a3af07f5e1d6ap-17, 0x1.a29b6973f8ee5p-17, 0x1.a17bc97eb0f3cp-17, 0x1.a05068e140897p-17, 0x1.9f197f9c0f35dp-17, 0x1.9dd750d61ce93p-17, 0x1.9c8a2dce77333p-17, 0x1.9b323ef2e1132p-17, 0x1.99cfd95f827b6p-17, 0x1.98631f4036012p-17, 0x1.96ec4d442c232p-17, 0x1.956bb1b255ca6p-17, 0x1.93e19633f23e2p-17, 0x1.924e0b8cad65p-17, 0x1.90b14c9e03ab5p-17, 0x1.8f0b98786edeep-17, 0x1.8d5d381839c47p-17, 0x1.8ba66b7808515p-17, 0x1.89e75cfe63d7ep-17, 0x1.88203e5ffe68ep-17, 0x1.865144b5e0e09p-17, 0x1.847aa50a0c3b1p-17, 0x1.829c93a6731e4p-17, 0x1.80b7440e9ec9dp-17, 0x1.7ecae90db9535p-17, 0x1.7cd7b4bef549ep-17, 0x1.7addd88fbb6fbp-17, 0x1.78dd854054c8ap-17, 0x1.76d6eae63c5b5p-17, 0x1.74ca38f03577fp-17, 0x1.72b79e2859bd4p-17, 0x1.709f48af79e96p-17, 0x1.6e8165f4f70fbp-17, 0x1.6c5e22bb1c9bfp-17, 0x1.6a35ab2d37664p-17, 0x1.68082b039d12bp-17, 0x1.65d5cd8546cbcp-17, 0x1.639ebd5fc7c92p-17, 0x1.616324ab81da6p-17, 0x1.5f232d119b16dp-17, 0x1.5cdefe5f500bap-17, 0x1.5a96c20fe28bp-17, 0x1.584a93881489ap-17, 0x1.55faa851d0de3p-17, 0x1.53a729aab9108p-17, 0x1.515048cd59143p-17, 0x1.4ef5fd405e9e9p-17, 0x1.4c987638c5042p-17, 0x1.4a37fee107968p-17, 0x1.47d4b881766c6p-17, 0x1.456ea5a7e63cp-17, 0x1.4305d81989478p-17, 0x1.409a988a0871p-17, 0x1.3e2d0a9e89be6p-17, 0x1.3bbd43cf098e7p-17, 0x1.394b629ef2575p-17, 0x1.36d787ce34486p-17, 0x1.3461d52283412p-17, 0x1.31ea6b028fb5p-17, 0x1.2f7153165221bp-17, 0x1.2cf6aff2a170dp-17, 0x1.2a7ac92c0ff37p-17, 0x1.27fda5be74272p-17, 0x1.257f40c69af1cp-17, 0x1.22ffcef0ae076p-17, 0x1.207f70602b8c4p-17, 0x1.1dfe3c4b28a33p-17, 0x1.1b7c4abd95331p-17, 0x1.18f9b6cbdcf1ap-17, 0x1.16769901fe601p-17, 0x1.13f30c353bc48p-17, 0x1.116f28ca3007ap-17, 0x1.0eeb0669bf014p-17, 0x1.0c66bcf0ff544p-17, 0x1.09e263975dff3p-17, 0x1.075e11925cdbep-17, 0x1.04d9dc962bd19p-17, 0x1.0255d9a68f192p-17, 0x1.ffa43f8c99c5ep-18, 0x1.fa9d942bf9544p-18, 0x1.f597ddbe61c5ep-18, 0x1.f0930b61047b2p-18, 0x1.eb8f810065c1fp-18, 0x1.e68d5f7b265f1p-18, 0x1.e18cc25b2afb2p-18, 0x1.dc8dcdb891f75p-18, 0x1.d790a8850b884p-18, 0x1.d295830fcf727p-18, 0x1.cd9c861ca0522p-18, 0x1.c8a59df1161bbp-18, 0x1.c3b117ada9a8ap-18, 0x1.bebf1fba7723bp-18, 0x1.b9cfc7fd6ed64p-18, 0x1.b4e32eaed264cp-18, 0x1.aff9743bce77cp-18, 0x1.ab12b80d8aa41p-18, 0x1.a62f18d3abedep-18, 0x1.a14eb3f54d6f9p-18, 0x1.9c71a607a6a58p-18, 0x1.97980b0297b74p-18, 0x1.92c1fe88bc893p-18, 0x1.8def9ba446ad2p-18, 0x1.8920fc5018419p-18, 0x1.84563a120fe66p-18, 0x1.7f8f6e465877bp-18, 0x1.7accb16f43fcfp-18, 0x1.760e1b3653f76p-18, 0x1.7153c2eb6ba27p-18, 0x1.6c9dbf6859332p-18, 0x1.67ec26ea59439p-18, 0x1.633f0f25a3f21p-18, 0x1.5e968d2b841f4p-18, 0x1.59f2b51fdcb3bp-18, 0x1.55539a9d6e6bep-18, 0x1.50b95156caf47p-18, 0x1.4c23ecbb32f85p-18, 0x1.479383509a6d9p-18, 0x1.430823b5db0b8p-18, 0x1.3e81d44e980a7p-18, 0x1.3a00b78686fc1p-18, 0x1.3584dac028ed4p-18, 0x1.310e4957146b9p-18, 0x1.2c9d17a169365p-18, 0x1.28312c44ea786p-18, 0x1.23cad44079b0cp-18, 0x1.1f6a1eaa7283ap-18, 0x1.1b0eeb12111dcp-18, 0x1.16b94ae3ce565p-18, 0x1.1269647d3fb19p-18, 0x1.0e1f3d953e442p-18, 0x1.09dad60fc9306p-18, 0x1.059c4707cef72p-18, 0x1.0163983011b9p-18, 0x1.fa61a5a5deaf4p-19, }}, 
      {{0x1.dc0c2534f8b5ap+0, 0x1.098ff37c1ea83p+1, 0x1.21744b7d7643dp+1, 0x1.305dbe59508aep+1, 0x1.35cf96e6db217p+1, 0x1.335c0ca3849eep+1, 0x1.2b374693be924p+1, 0x1.1f86deaee5bfp+1, 0x1.1217134bcd9fap+1, 0x1.0445276be33a5p+1, 0x1.ee07afb76a58p+0, 0x1.d5d616619d15ap+0, 0x1.c095b733a9b04p+0, 0x1.ae7c18d181ee2p+0, 0x1.9f7459b99533p+0, 0x1.9339a0218a631p+0, 0x1.896bb1e541fp+0, 0x1.819e465e242f6p+0, 0x1.7b63e133f6b4p+0, 0x1.765510e9cd6c5p+0, 0x1.7214df2bd8e03p+0, 0x1.6e53276fbda08p+0, 0x1.6acd6afb3df51p+0, 0x1.674e9beada994p+0, 0x1.63ae3d8519a37p+0, 0x1.5fcf204896381p+0, 0x1.5b9dec598bbd9p+0, 0x1.570f9daaf4c6ep+0, 0x1.522009bc1a6d9p+0, 0x1.4cd07e36d4198p+0, 0x1.472681ab1e22fp+0, 0x1.412abad9adf08p+0, 0x1.3ae7ffb585eb3p+0, 0x1.346a8b0b2edadp+0, 0x1.2dbf56383714bp+0, 0x1.26f3936d65b1cp+0, 0x1.201444b184e91p+0, 0x1.192debc6ba08fp+0, 0x1.124c4f32ad7b4p+0, 0x1.0b7a50ec1d6c9p+0, 0x1.04c1d38fe184cp+0, 0x1.fc5756b051463p-1, 0x1.ef7f30ec2af87p-1, 0x1.e308917007029p-1, 0x1.d6febd733d49p-1, 0x1.cb6afa6c4c2a4p-1, 0x1.c054aa86d5c7cp-1, 0x1.b5c16d065ea37p-1, 0x1.abb541153838dp-1, 0x1.a232a9b2b65b9p-1, 0x1.993ad1e16baaap-1, 0x1.90cdb04c98969p-1, 0x1.88ea29e27966bp-1, 0x1.818e330422373p-1, 0x1.7ab6eef89da2cp-1, 0x1.7460cd898f2e8p-1, 0x1.6e87a69d925d9p-1, 0x1.6926d3ccad33ap-1, 0x1.643947ec4075ep-1, 0x1.5fb9a495d144bp-1, 0x1.5ba24dba9f91cp-1, 0x1.57ed7b4edae6dp-1, 0x1.5495492e32967p-1, 0x1.5193c54370f66p-1, 0x1.4ee2fc1640573p-1, 0x1.4c7d03d61b5f7p-1, 0x1.4a5c05fcb7834p-1, 0x1.487a47a0d3de4p-1, 0x1.46d23097bb3edp-1, 0x1.455e5178104bcp-1, 0x1.4419689b9faefp-1, 0x1.42fe6632b6fcbp-1, 0x1.42086f8414fbfp-1, 0x1.4132e167cacc7p-1, 0x1.40795217e13f4p-1, 0x1.3fd79261866b2p-1, 0x1.3f49ae4e83c89p-1, 0x1.3ecbed5431d65p-1, 0x1.3e5ad21089bfbp-1, 0x1.3df319b7614a6p-1, 0x1.3d91bb1d318fcp-1, 0x1.3d33e589600dep-1, 0x1.3cd6ff52265dfp-1, 0x1.3c78a4326dc22p-1, 0x1.3c16a389ea8eap-1, 0x1.3baefe89c4fb5p-1, 0x1.3b3fe61009513p-1, 0x1.3ac7b8b723f8cp-1, 0x1.3a4500b96ed9ep-1, 0x1.39b671ac9fc0dp-1, 0x1.391ae67f7b919p-1, 0x1.38715f586442fp-1, 0x1.37b8ff50df3c1p-1, 0x1.36f10a83c2b25p-1, 0x1.3618e405b78cep-1, 0x1.35300bb50d26bp-1, 0x1.34361c749c96bp-1, 0x1.332aca4221c38p-1, 0x1.320de0435d92dp-1, 0x1.30df3f2ef7dd8p-1, 0x1.2f9edb915ce1dp-1, 0x1.2e4cbc2ae3fa8p-1, 0x1.2ce8f881f1f08p-1, 0x1.2b73b763ecd17p-1, 0x1.29ed2d8aa1c95p-1, 0x1.28559c58011b2p-1, 0x1.26ad50929fcb3p-1, 0x1.24f4a1452c3adp-1, 0x1.232beea5f1ac2p-1, 0x1.2153a10b3e4e4p-1, 0x1.1f6c27fcbca7fp-1, 0x1.1d75f948fd79p-1, 0x1.1b71902bc2cd9p-1, 0x1.195f6c8c480efp-1, 0x1.1740123eb0e7bp-1, 0x1.15140853dfb1ap-1, 0x1.12dbd87dde1cfp-1, 0x1.10980e77d4accp-1, 0x1.0e493776e9ee5p-1, 0x1.0befe1adcb49p-1, 0x1.098c9bd5037fep-1, 0x1.071ff4b7910eep-1, 0x1.04aa7acef79c2p-1, 0x1.022cbbe7c73adp-1, 0x1.ff4e898f3fc8p-2, 0x1.fa3541bb1c32fp-2, 0x1.f50eb3fcc1f0dp-2, 0x1.efdbf045f111fp-2, 0x1.ea9e02569b08p-2, 0x1.e555f159f0fabp-2, 0x1.e004bf8eaedfap-2, 0x1.daab69f269fcep-2, 0x1.d54ae7f88da71p-2, 0x1.cfe42b54f9a51p-2, 0x1.ca781fc80fd08p-2, 0x1.c507aaf02bf9fp-2, 0x1.bf93ac26bb84ap-2, 0x1.ba1cfc6721a81p-2, 0x1.b4a46e39ab63cp-2, 0x1.af2acd9fd305cp-2, 0x1.a9b0e00a4fe51p-2, 0x1.a4376456e5316p-2, 0x1.9ebf12d01a426p-2, 0x1.99489d2d58805p-2, 0x1.93d4ae9a42acap-2, 0x1.8e63ebc5c2034p-2, 0x1.88f6f2f00dac2p-2, 0x1.838e5bf8d3298p-2, 0x1.7e2ab87480672p-2, 0x1.78cc93c49052fp-2, 0x1.73747330b914bp-2, 0x1.6e22d5ff9aba3p-2, 0x1.68d835940c15ep-2, 0x1.6395058adb47ep-2, 0x1.5e59b3da32bbfp-2, 0x1.5926a8f314f3ep-2, 0x1.53fc47e0bd1fap-2, 0x1.4edaee69016e3p-2, 0x1.49c2f5303af8bp-2, 0x1.44b4afdd4177ap-2, 0x1.3fb06d39f91e9p-2, 0x1.3ab6775517d9cp-2, 0x1.35c713a6862afp-2, 0x1.30e28332d7cf2p-2, 0x1.2c0902aca5abep-2, 0x1.273aca964337ap-2, 0x1.22780f64ae57dp-2, 0x1.1dc101a0ef766p-2, 0x1.1915ce08d66cep-2, 0x1.14769db030617p-2, 0x1.0fe396216030dp-2, 0x1.0b5cd97c88ed3p-2, 0x1.06e28696113d2p-2, 0x1.0274b91629c5fp-2, 0x1.fc27132f209fdp-3, 0x1.f37e1b8848bb2p-3, 0x1.eaeeb0e1f5cbap-3, 0x1.e278f37668049p-3, 0x1.da1cfe482d286p-3, 0x1.d1dae757724fdp-3, 0x1.c9b2bfd4e3688p-3, 0x1.c1a494555340ep-3, 0x1.b9b06d047d1fp-3, 0x1.b1d64dd5007ecp-3, 0x1.aa1636aea5026p-3, 0x1.a270239c482f8p-3, 0x1.9ae40cf936843p-3, 0x1.9371e79bd6743p-3, 0x1.8c19a4fe99d56p-3, 0x1.84db33688f6c3p-3, 0x1.7db67e159577ap-3, 0x1.76ab6d5c7ab83p-3, 0x1.6fb9e6d2e3b69p-3, 0x1.68e1cd70588a3p-3, 0x1.622301b141078p-3, 0x1.5b7d61b8c9379p-3, 0x1.54f0c970b1a56p-3, 0x1.4e7d12a7991f6p-3, 0x1.4822152ecb53dp-3, 0x1.41dfa6f7c4a8dp-3, 0x1.3bb59c3050145p-3, 0x1.35a3c75cfc197p-3, 0x1.2fa9f972a1672p-3, 0x1.29c801ef62e17p-3, 0x1.23fdaef31d698p-3, 0x1.1e4acd56b2bccp-3, 0x1.18af28c20c3bep-3, 0x1.132a8bc146308p-3, 0x1.0dbcbfd96291cp-3, 0x1.08658d9c6aa55p-3, 0x1.0324bcbc950fep-3, 0x1.fbf4283d1ffcp-4, 0x1.f1cab3d626ecfp-4, 0x1.e7cca73f42e58p-4, 0x1.ddf98c3da1f53p-4, 0x1.d450eb8051509p-4, 0x1.cad24cbe20291p-4, 0x1.c17d36d2bbb98p-4, 0x1.b8512fda4f553p-4, 0x1.af4dbd4b5245dp-4, 0x1.a672640f8d1bep-4, 0x1.9dbea89cb02a9p-4, 0x1.95320f0c72907p-4, 0x1.8ccc1b33521c1p-4, 0x1.848c50b56dd22p-4, 0x1.7c723319dbaa9p-4, 0x1.747d45ddaa35fp-4, 0x1.6cad0c8744401p-4, 0x1.65010ab98656dp-4, 0x1.5d78c44555282p-4, 0x1.5613bd38e3e67p-4, 0x1.4ed179edb483cp-4, 0x1.47b17f16c8d55p-4, 0x1.40b351cf95678p-4, 0x1.39d677ab1f6bap-4, 0x1.331a76c177c72p-4, 0x1.2c7ed5bad2a1ap-4, 0x1.26031bd91f166p-4, 0x1.1fa6d101ed88dp-4, 0x1.19697dc990b27p-4, 0x1.134aab7ed196p-4, 0x1.0d49e4357f97ap-4, 0x1.0766b2cea937bp-4, 0x1.01a0a2fee7843p-4, 0x1.f7ee82a8d3b7bp-5, 0x1.ecd4367c8d963p-5, 0x1.e1f17e2a1215fp-5, 0x1.d74578462bf26p-5, 0x1.cccf455692decp-5, 0x1.c28e07da94238p-5, 0x1.b880e451478b5p-5, 0x1.aea70140aa119p-5, 0x1.a4ff873fc5a8p-5, 0x1.9b89a102d99fap-5, 0x1.92447b669eb8ep-5, 0x1.892f4577dc9cfp-5, 0x1.80493076f3ddp-5, 0x1.77916fd98482cp-5, 0x1.6f07394d476fap-5, 0x1.66a9c4bdbf591p-5, 0x1.5e784c5c1445dp-5, 0x1.56720ca624bc5p-5, 0x1.4e96446ab24f6p-5, 0x1.46e434c9ee5adp-5, 0x1.3f5b2133dd4d1p-5, 0x1.37fa4f675de66p-5, 0x1.30c1077354a3fp-5, 0x1.29ae93ba98439p-5, 0x1.22c240f7da685p-5, 0x1.1bfb5e400d38p-5, 0x1.15593d019c36bp-5, 0x1.0edb31010738bp-5, 0x1.08809054dfb47p-5, 0x1.0248b3631833bp-5, 0x1.f865e9c129959p-6, 0x1.ec7d63a47ffe4p-6, 0x1.e0d6931c00071p-6, 0x1.d5703b739b98bp-6, 0x1.ca49249083de2p-6, 0x1.bf601ae69bcf3p-6, 0x1.b4b3ef6d62ec9p-6, 0x1.aa437797648eep-6, 0x1.a00d8d4d475fdp-6, 0x1.96110eeb578dbp-6, 0x1.8c4cdf3f1482dp-6, 0x1.82bfe581e7b4ep-6, 0x1.79690d5022a93p-6, 0x1.7047469cafd7bp-6, 0x1.675985a45c1d1p-6, 0x1.5e9ec2e1ecf2fp-6, 0x1.5615fb057aa28p-6, 0x1.4dbe2eee133bap-6, 0x1.459663a42a511p-6, 0x1.3d9da252dda41p-6, 0x1.35d2f83e83458p-6, 0x1.2e3576b8a24p-6, 0x1.26c43312450b3p-6, 0x1.1f7e468e78547p-6, 0x1.1862ce5656a8bp-6, 0x1.1170eb6f42248p-6, 0x1.0aa7c2b29c3ep-6, 0x1.04067cc5d855ep-6, 0x1.fb188c22fbe8ap-7, 0x1.ee709d6c9bd88p-7, 0x1.e2139501406bbp-7, 0x1.d5ffe1b552067p-7, 0x1.ca33f97dfd24dp-7, 0x1.beae595868805p-7, 0x1.b36d8533ea3a8p-7, 0x1.a87007ded6b78p-7, 0x1.9db472f3f4228p-7, 0x1.93395ec70cc41p-7, 0x1.88fd6a4f2594fp-7, 0x1.7eff3b0e42889p-7, 0x1.753d7cf7c28ep-7, 0x1.6bb6e255fac18p-7, 0x1.626a23b14529ep-7, 0x1.5955ffb8d7736p-7, 0x1.50793b2e6605p-7, 0x1.47d2a0d1f9c01p-7, 0x1.3f61014e51a4dp-7, 0x1.3723332452652p-7, 0x1.2f1812950bb53p-7, 0x1.273e818a29217p-7, 0x1.1f95677e445a5p-7, 0x1.181bb16350442p-7, 0x1.10d0518edf71ep-7, 0x1.09b23fa13396fp-7, 0x1.02c07873398f8p-7, 0x1.f7f3fc046fb7bp-8, 0x1.eabbaeb87c681p-8, 0x1.ddd62119eef5ep-8, 0x1.d1417512cfb26p-8, 0x1.c4fbd633c7ae1p-8, 0x1.b903798873b09p-8, 0x1.ad569d6d06b5ep-8, 0x1.a1f389644eef1p-8, 0x1.96d88def7adf1p-8, 0x1.8c040467fa0dcp-8, 0x1.81744edb2720cp-8, 0x1.7727d7e67d485p-8, 0x1.6d1d1293da9fap-8, 0x1.63527a34bd56dp-8, 0x1.59c6923d287b8p-8, 0x1.5077e61d2ed23p-8, 0x1.4765091ab4932p-8, 0x1.3e8c962b540e3p-8, 0x1.35ed2fcfa5cf8p-8, 0x1.2d857fefcf46ep-8, 0x1.255437b9e5cf3p-8, 0x1.1d580f817749ap-8, 0x1.158fc69ff66fcp-8, 0x1.0dfa23557c26dp-8, 0x1.0695f2a955508p-8, 0x1.fec41094e73cp-9, 0x1.f0ba7cde2b63p-9, 0x1.e30ceb67d0496p-9, 0x1.d5b929f687a95p-9, 0x1.c8bd1298be774p-9, 0x1.bc168b66ab6c1p-9, 0x1.afc3864501aa3p-9, 0x1.a3c200aa5c511p-9, 0x1.98100367b800bp-9, 0x1.8caba273dbe6bp-9, 0x1.8192fcb8bf23fp-9, 0x1.76c43be22220ap-9, 0x1.6c3d942c14bccp-9, 0x1.61fd442fe96dep-9, 0x1.580194aee6c7p-9, 0x1.4e48d85a47f35p-9, 0x1.44d16b9917c07p-9, 0x1.3b99b44d9d522p-9, 0x1.32a0219c2aee8p-9, 0x1.29e32bb57723bp-9, 0x1.216153a5fd65p-9, 0x1.1919232bb7e45p-9, 0x1.11092c913ca63p-9, 0x1.09300a8d2a875p-9, 0x1.018c60229a57bp-9, 0x1.f439b0feaa412p-10, 0x1.e5c04da9c7fap-10, 0x1.d7aa0c5674a5cp-10, 0x1.c9f4725674a38p-10, 0x1.bc9d13ca10ebp-10, 0x1.afa1932a358e4p-10, 0x1.a2ffa0d33ebe4p-10, 0x1.96b4faad8d481p-10, 0x1.8abf6bdd602e2p-10, 0x1.7f1ccc9492714p-10, 0x1.73cb01f5ead21p-10, 0x1.68c7fe03fa6f7p-10, 0x1.5e11bf8f17f6ep-10, 0x1.53a65214de1d8p-10, 0x1.4983cd857efeep-10, 0x1.3fa855e5ede9cp-10, 0x1.36121b022d39ep-10, 0x1.2cbf576ac571dp-10, 0x1.23ae50aadcac7p-10, 0x1.1add5605646efp-10, 0x1.124ac08fc51dcp-10, 0x1.09f4f2d7272cfp-10, 0x1.01da58e1b913p-10, 0x1.f3f2d0a1dbc17p-11, 0x1.e4a1412c48623p-11, 0x1.d5bd164597731p-11, 0x1.c74376f9d3ac8p-11, 0x1.b9319e489bfdap-11, 0x1.ab84da7db5364p-11, 0x1.9e3a8c199c344p-11, 0x1.915024658bc2fp-11, 0x1.84c323e52d081p-11, 0x1.789118e430398p-11, 0x1.6cb79e60ed7c1p-11, 0x1.61345b86a271bp-11, 0x1.560503ccde545p-11, 0x1.4b2757ad99d1fp-11, 0x1.409925bfbdf4fp-11, 0x1.36584bec21243p-11, 0x1.2c62b86b99ec7p-11, 0x1.22b66a49aa299p-11, 0x1.1951713ed57eep-11, 0x1.1031ecd4f7248p-11, 0x1.07560ae85ea27p-11, 0x1.fd780b6634b96p-12, 0x1.ecc44350d6f8p-12, 0x1.dc8d56ea30838p-12, 0x1.cccfecfa6b298p-12, 0x1.bd88b84348957p-12, 0x1.aeb477ea77df8p-12, 0x1.a04ff9afdf851p-12, 0x1.92581d72fe251p-12, 0x1.84c9d93cadb95p-12, 0x1.77a23ce7ee85p-12, 0x1.6ade74a3378d8p-12, 0x1.5e7bc9ca0fa0dp-12, 0x1.5277a1ec48d4fp-12, 0x1.46cf7c258457dp-12, 0x1.3b80ed26532d6p-12, 0x1.30899a7b21708p-12, 0x1.25e735b70f2edp-12, 0x1.1b97784bccd28p-12, 0x1.11982092c783bp-12, 0x1.07e6f09fc3b05p-12, 0x1.fd035e2ab38dp-13, 0x1.eacc5346380f9p-13, 0x1.d924718823021p-13, 0x1.c80787bacbb18p-13, 0x1.b77189ea59ffbp-13, 0x1.a75e96d50f2b7p-13, 0x1.97cafa98fdd2ep-13, 0x1.88b32e42f4cfep-13, 0x1.7a13d4350be06p-13, 0x1.6be9b1d0d29a3p-13, 0x1.5e31a77287fc7p-13, 0x1.50e8a8275ccc2p-13, 0x1.440bb2ca1944ap-13, 0x1.3797cd907b035p-13, 0x1.2b8a048c4ac71p-13, 0x1.1fdf6abc23742p-13, 0x1.14951cdaec7ecp-13, 0x1.09a844e626a46p-13, 0x1.fe2c3ae325906p-14, 0x1.e9b7e89877c32p-14, 0x1.d5ee58e71c37p-14, 0x1.c2ca7fbe6d0d9p-14, 0x1.b047805afb895p-14, 0x1.9e60aeb709075p-14, 0x1.8d118d42e9856p-14, 0x1.7c55c3c81eb9cp-14, 0x1.6c291722938b8p-14, 0x1.5c87603dd988ap-14, 0x1.4d6c8956aacc1p-14, 0x1.3ed4927915e5p-14, 0x1.30bb9aec16f2dp-14, 0x1.231dea4d085f8p-14, 0x1.15f7f45a5454cp-14, 0x1.094655884edep-14, 0x1.fa0b952957369p-15, 0x1.e2664f3e9125fp-15, 0x1.cb96a564d385cp-15, 0x1.b59684ea8b793p-15, 0x1.a05ffc8af28cap-15, 0x1.8bed373e2fc43p-15, 0x1.78386cafaa79cp-15, 0x1.653bc96e884a5p-15, 0x1.52f157cd6b831p-15, 0x1.4152f6544b546p-15, 0x1.305a67b56e636p-15, 0x1.200180b3fb929p-15, 0x1.10426ae52a5a8p-15, 0x1.0117e52803fc7p-15, 0x1.e4fac9dcb993dp-16, 0x1.c8de0aba1137fp-16, 0x1.add292c49defp-16, 0x1.93d19ed30c237p-16, 0x1.7ad43eddefb2fp-16, 0x1.62d35691e83c5p-16, 0x1.4bc7efc3a28a3p-16, 0x1.35ab9504be17cp-16, 0x1.207867bcef8fbp-16, 0x1.0c28d436f9bd8p-16, 0x1.f16e01abec5cep-17, 0x1.cc386d8277a57p-17, 0x1.a8a1017d862f6p-17, 0x1.86954e7e0bdbcp-17, 0x1.66012f2db181cp-17, 0x1.46d058cc5e587p-17, 0x1.28f05d2444ec2p-17, 0x1.0c527f051925fp-17, 0x1.e1d917658c395p-18, 0x1.ad704d6514c1fp-18, 0x1.7b616236796ecp-18, 0x1.4ba1a8fdd8631p-18, 0x1.1e221aaf89fbep-18, 0x1.e59fcfd7aa7abp-19, 0x1.932f6a18969fdp-19, 0x1.44d237248bc7ap-19, 0x1.f4e11097cb2bfp-20, 0x1.67f36c8fd6848p-20, 0x1.c578e5e4f82d8p-21, 0x1.9449a9c39c5f1p-22, -0x1.146fb2b6e3226p-24, -0x1.013ecb10e31c4p-21, -0x1.d2ac02364f93ep-21, -0x1.4bd49fdf4e917p-20, -0x1.a88934bf02f42p-20, -0x1.ffdbafa15dedp-20, -0x1.29104b55ace1fp-19, -0x1.4fc72da463e68p-19, -0x1.741e9320678d5p-19, -0x1.9619e073b0bep-19, -0x1.b5bd87b0c6fa4p-19, -0x1.d3161cb841844p-19, -0x1.ee38f59b480c3p-19, -0x1.039fb11724309p-18, -0x1.0f20251b6d059p-18, -0x1.19a5d7f60efb1p-18, -0x1.233537f17b4bdp-18, -0x1.2bd153b347aa3p-18, -0x1.337ee992a6aafp-18, -0x1.3a460f191d7c8p-18, -0x1.403185e87bdeep-18, -0x1.454cdd1047c21p-18, -0x1.49a322f05b7efp-18, -0x1.4d3eec8dd6e2bp-18, -0x1.502b13f9dcaeep-18, -0x1.527317af965d9p-18, -0x1.54229a5e170b3p-18, -0x1.554436ba47d1cp-18, -0x1.55e01c7b989c5p-18, -0x1.55fb3e205a3d6p-18, -0x1.5597de287b57bp-18, -0x1.54b7743664c75p-18, -0x1.535cdb035434cp-18, -0x1.518d2822bcec3p-18, -0x1.4f4e4aba120c4p-18, -0x1.4ca50375ac594p-18, -0x1.4994ad0667303p-18, -0x1.46208a98e4e26p-18, -0x1.424c986408aeap-18, -0x1.3e1d93a3dc603p-18, -0x1.3998eaf6382c7p-18, -0x1.34c463f8bafe7p-18, -0x1.2fa54431031a5p-18, -0x1.2a3faec09e8bcp-18, -0x1.2496db68ab348p-18, -0x1.1eade07219e99p-18, -0x1.18886bde1eb58p-18, -0x1.122b4039eb36fp-18, -0x1.0b9c28758bdf8p-18, -0x1.04e092523589cp-18, -0x1.fbf7563aceb63p-19, -0x1.eddd1794eebcep-19, -0x1.df75e6a7dc7b4p-19, -0x1.d0c9ce90ed92bp-19, -0x1.c1e177f302ec1p-19, -0x1.b2bfeed456331p-19, -0x1.a363eb7201894p-19, -0x1.93ced80e2dc75p-19, -0x1.84079e84a21dp-19, -0x1.7416e86ec2ea3p-19, -0x1.64027d0adedb9p-19, -0x1.53ccd7edab6fep-19, -0x1.43785dbbf6d7fp-19, -0x1.3309629ad86d1p-19, -0x1.2284e82b3fc3bp-19, -0x1.11ee9a95e676cp-19, -0x1.01489a3900ebbp-19, -0x1.e12994a783739p-20, -0x1.bfac4431d4cd9p-20, -0x1.9e23bc5a08165p-20, -0x1.7c9fa4972247ep-20, -0x1.5b2c88123e246p-20, -0x1.39c8b313271c9p-20, -0x1.186ab68d8c94fp-20, -0x1.ee26c14f81538p-21, -0x1.ab9e1873b1e4ep-21, -0x1.694e77e4b2446p-21, -0x1.273fb9737bbe1p-21, -0x1.cafe27d4b2108p-22, -0x1.48357721a7b7ep-22, -0x1.8c59c900b994ep-23, -0x1.1394a50ec8d67p-24, 0x1.dc8dce741ebf8p-25, 0x1.763bae19aa241p-23, 0x1.39b55eda408d4p-22, 0x1.b75cac78af427p-22, 0x1.1a0724d947764p-21, 0x1.57dc45ed9a168p-21, 0x1.9525e49d1706bp-21, 0x1.d1dfcec9e8b2bp-21, 0x1.070382637f5b2p-20, 0x1.24cc23ba5f34ap-20, 0x1.42471351ca501p-20, 0x1.5f6deb842db86p-20, 0x1.7c3ab80a2dc8ap-20, 0x1.98b0288bcc84ep-20, 0x1.b4d1c5490ba68p-20, 0x1.d09a6c6544e67p-20, 0x1.ec0680dc51ca1p-20, 0x1.038d1ad54d8f9p-19, 0x1.10ebb030ecbb8p-19, 0x1.1e1d714cc12bap-19, 0x1.2b20934720acap-19, 0x1.37f331a6a02adp-19, 0x1.449350e04d8e7p-19, 0x1.5100b4e57829fp-19, 0x1.5d3cf3c5f2b67p-19, 0x1.694870cb00643p-19, 0x1.7521a5ffc4356p-19, 0x1.80c815620b47dp-19, 0x1.8c3cc9b23e8b9p-19, 0x1.977ff57430a84p-19, 0x1.a290c925e8898p-19, 0x1.ad6ea768d570bp-19, 0x1.b81955c885c46p-19, 0x1.c290ded77f9ap-19, 0x1.ccd5b9917581ap-19, 0x1.d6e7d22810076p-19, 0x1.e0c607e0157dep-19, 0x1.ea70ac0639628p-19, 0x1.f3e828c057dbdp-19, 0x1.fd2ba0f359042p-19, 0x1.031e0bd883beep-18, 0x1.078d411c8da09p-18, 0x1.0be32608ec202p-18, 0x1.101f8937cf2bfp-18, 0x1.144282797f808p-18, 0x1.184c3fe0f85f4p-18, 0x1.1c3ced87d156dp-18, 0x1.2014b92476d0ep-18, 0x1.23d3cda15f84fp-18, 0x1.277a230e5bc2dp-18, 0x1.2b0797a2ad97p-18, 0x1.2e7c68c5bc9ap-18, 0x1.31d8d3ffea5f3p-18, 0x1.351ccca2cc963p-18, 0x1.38489ec29ae73p-18, 0x1.3b5cabd19e48cp-18, 0x1.3e58ffa1e8ebp-18, 0x1.413d9db862164p-18, 0x1.440a9e10f5c27p-18, 0x1.46c055904afd6p-18, 0x1.495f14eeef567p-18, 0x1.4be6f1afc869dp-18, 0x1.4e57edbc9587dp-18, 0x1.50b22da3fa377p-18, 0x1.52f5ef7a25e69p-18, 0x1.5523a7b3963cep-18, 0x1.573b774221c84p-18, 0x1.593d701275975p-18, 0x1.5b29c5244a579p-18, 0x1.5d00b1d8df1cbp-18, 0x1.5ec26f679e74ep-18, 0x1.606f34f9a4c69p-18, 0x1.6207392cc815dp-18, 0x1.638ab3186a993p-18, 0x1.64f9da6f5ecp-18, 0x1.6654e729516a4p-18, 0x1.679c13c79c2d9p-18, 0x1.68cfa1ba2dc72p-18, 0x1.69efcd6f92d3ap-18, 0x1.6afcbecc20589p-18, 0x1.6bf6a92ec9405p-18, 0x1.6cddca8a63e05p-18, 0x1.6db2650e77694p-18, 0x1.6e74b91170ee2p-18, 0x1.6f24fa3e13a11p-18, 0x1.6fc361188dcep-18, 0x1.70502a253ed6bp-18, 0x1.70cb91787adddp-18, 0x1.7135d1c512962p-18, 0x1.718f259fa6a9cp-18, 0x1.71d7c81ebea11p-18, 0x1.720ff4738260bp-18, 0x1.7237e5212fb85p-18, 0x1.724fd4c5e034p-18, 0x1.7257fe24ed79dp-18, 0x1.72509c0245568p-18, 0x1.7239e91f40f6ep-18, 0x1.72142032edaap-18, 0x1.71df7bd2b1d3ep-18, 0x1.719c3652439f2p-18, 0x1.714a89b37073ap-18, 0x1.70eaafbf1ed97p-18, 0x1.707ce23532599p-18, 0x1.70015adb2e32fp-18, 0x1.6f785338ccb68p-18, 0x1.6ee20458c7244p-18, 0x1.6e3ea7726d85ep-18, 0x1.6d8e7618d05d4p-18, 0x1.6cd1a3454613ep-18, 0x1.6c085a7297098p-18, 0x1.6b32e34bacea5p-18, 0x1.6a518af0e5c18p-18, 0x1.69647873347bp-18, 0x1.686bcb6b28e62p-18, 0x1.6767c96c842c9p-18, 0x1.66589d7e01e92p-18, 0x1.653e97a05560ap-18, 0x1.6419f635fd948p-18, 0x1.62eab2bc1c135p-18, 0x1.61b12b0e53752p-18, 0x1.606da4fbe46c4p-18, 0x1.5f204b0defe24p-18, 0x1.5dc93473b8bb8p-18, 0x1.5c689f56910f3p-18, 0x1.5afec5f4f9ec3p-18, 0x1.598bd9cd71fa4p-18, 0x1.58100be9c3124p-18, 0x1.568b8ddd53b84p-18, 0x1.54fe90e9999c1p-18, 0x1.53693fb3143edp-18, 0x1.51cbe564bdc47p-18, 0x1.50269022dd672p-18, 0x1.4e7969fb3d4abp-18, 0x1.4cc4c9f686dbbp-18, 0x1.4b08c122ed1fep-18, 0x1.4945849deb2c6p-18, 0x1.477b42f183662p-18, 0x1.45aa2c44e4ac6p-18, 0x1.43d26e54b0b64p-18, 0x1.41f4345ab0ed1p-18, 0x1.400fac5d943b1p-18, 0x1.3e24f41da9ef3p-18, 0x1.3c342604910ep-18, 0x1.3a3da8e453dd1p-18, 0x1.3841874ffc2a7p-18, 0x1.363fc0ef93acdp-18, 0x1.3438c483f2677p-18, 0x1.322c8e051c231p-18, 0x1.301b5bf24fd77p-18, 0x1.2e05567790b9fp-18, 0x1.2bea9e485b6fbp-18, 0x1.29cb5908ecb71p-18, 0x1.27a7ad746e0f2p-18, 0x1.257fc1f531726p-18, 0x1.2353bc6ddfb0dp-18, 0x1.2123c23ef904ep-18, 0x1.1eeff84fdefd1p-18, 0x1.1cb8831304fd9p-18, 0x1.1a7d8688e1f93p-18, 0x1.183f26469f16dp-18, 0x1.15fd8579198eap-18, 0x1.13b8c6dd1053ep-18, 0x1.11710cb2c0652p-18, 0x1.0f2678b8b457ep-18, 0x1.0cd92c55c19c4p-18, 0x1.0a8948f84551ap-18, 0x1.0836eec45a439p-18, 0x1.05e234ea67e42p-18, 0x1.038b3ec306938p-18, 0x1.01323e6972ad7p-18, 0x1.fdae770f18f1fp-19, 0x1.f8f4d9b651d09p-19, 0x1.f437aab46b81dp-19, 0x1.ef772718d34cp-19, 0x1.eab3abb6eaaacp-19, 0x1.e5ed89d669f9dp-19, 0x1.e124b3bdb7892p-19, 0x1.dc596449337dep-19, 0x1.d78bddf895f48p-19, 0x1.d2bc732e69064p-19, 0x1.cdeb63b20934ap-19, 0x1.c918d0793a1cbp-19, 0x1.c444e6e4a357fp-19, 0x1.bf6fd98cbbf86p-19, 0x1.ba99db077b30ep-19, 0x1.b5c31cf30f9dcp-19, 0x1.b0ebcff459013p-19, 0x1.ac1423ce6fb35p-19, 0x1.a73c477138a45p-19, 0x1.a26468ff2eddp-19, 0x1.9d8cb5cfa23a9p-19, 0x1.98b55a7225f4fp-19, 0x1.93de82b33b0cp-19, 0x1.8f08599ed42ffp-19, 0x1.8a33098041007p-19, 0x1.855ebbde6b5c1p-19, 0x1.808b9972d33a7p-19, 0x1.7bb9ca408c56p-19, 0x1.76e975c1e8387p-19, 0x1.721ac2e541593p-19, 0x1.6d4dd7f73148p-19, 0x1.6882dac4ab2c5p-19, 0x1.63b9f145f0186p-19, 0x1.5ef33bdaa70fp-19, 0x1.5a2eefd9d6e36p-19, 0x1.556cf10b06c9bp-19, 0x1.50adacfeddd71p-19, 0x1.4bf12748f3de9p-19, 0x1.4737949efbbfp-19, 0x1.4280e643ba6f4p-19, 0x1.3dcd460917ad4p-19, 0x1.391cf9acf6cadp-19, 0x1.34701c45d1146p-19, 0x1.2fc6ab32f5891p-19, 0x1.2b20b43ab801p-19, 0x1.267e78d789dacp-19, 0x1.21e0163fade47p-19, 0x1.1d459cbf5e3cp-19, 0x1.18af2540c995dp-19, 0x1.141ccaf58010dp-19, 0x1.0f8eaad30615p-19, 0x1.0b04dfdcd7a37p-19, 0x1.067f62c60f193p-19, 0x1.01fe4bce5d98p-19, 0x1.fb040adbf20b1p-20, 0x1.f214dd631affp-20, 0x1.e92eef8086a9ep-20, 0x1.e052b34adc876p-20, 0x1.d78054490eb83p-20, 0x1.ceb7f7b045bf2p-20, 0x1.c5f9ce072afebp-20, 0x1.bd45fe603883ap-20, 0x1.b49c8d19be021p-20, 0x1.abfdb6ef56937p-20, 0x1.a369a20d6c6cfp-20, 0x1.9ae06d576d70dp-20, 0x1.926239df0ccebp-20, 0x1.89ef258dfa4cep-20, 0x1.818755747f767p-20, 0x1.792ae837d4df8p-20, 0x1.70d9f31c9c234p-20, 0x1.689497a6906a5p-20, 0x1.605afbbaf7366p-20, 0x1.582d3d0c35e3p-20, 0x1.500b4ad5ec1adp-20, 0x1.47f56b559f8eep-20, 0x1.3febb23442fep-20, 0x1.37ee2eda5fb1ep-20, 0x1.2ffcf6eb464b1p-20, 0x1.281821e6b5d42p-20, 0x1.203fcdb59202p-20, 0x1.1874124d1d0d9p-20, 0x1.10b4dcf2a2eb4p-20, 0x1.09025f3c1b849p-20, 0x1.015cb241a8951p-20, 0x1.f387b9168634ap-21, 0x1.e46fdbc8259fbp-21, 0x1.d571edeaf6c83p-21, 0x1.c68e1127f3801p-21, 0x1.b7c4616e4fb1cp-21, 0x1.a914fb556923ap-21, 0x1.9a7ff95938a98p-21, 0x1.8c0574875628ap-21, 0x1.7da5830074be8p-21, 0x1.6f6039a041a67p-21, 0x1.6135af37b76a3p-21, 0x1.5325f8883f336p-21, 0x1.453125c5bcda1p-21, 0x1.3757478607555p-21, 0x1.29986f811195ap-21, 0x1.1bf4ace774399p-21, 0x1.0e6c0ca0f0908p-21, 0x1.00fe9a90c98cfp-21, 0x1.e758c3c347ea1p-22, 0x1.ccead95f4e57cp-22, 0x1.b2b386e3b6641p-22, 0x1.98b2daf676c1dp-22, 0x1.7ee8e394ceee9p-22, 0x1.6555ad42a3933p-22, 0x1.4bf94ab82f15ep-22, 0x1.32d3bbae7d6a6p-22, 0x1.19e4ec9d18c3ep-22, 0x1.012d0c66ee771p-22, 0x1.d15849a5b05eep-23, 0x1.a0c333e66fb54p-23, 0x1.709f3a8528ac8p-23, 0x1.40e35c2b70a28p-23, 0x1.1197bcc034ec8p-23, 0x1.c5761647e7c3cp-24, 0x1.6895ca364b3f1p-24, 0x1.0c8ec597d7a6dp-24, 0x1.62c63804e69ecp-25, 0x1.5c4833e056076p-26, -0x1.3297ef25995bep-31, -0x1.6c09e513a1affp-26, -0x1.658c79ee9600ep-25, -0x1.09b0dc2c33a91p-24, }}, 
      {{-0x1.cb99ae3b1b172p-1, -0x1.cb6bb416cf908p-1, -0x1.cb1edde0169cbp-1, -0x1.cab2df057328dp-1, -0x1.ca2752914d3cfp-1, -0x1.c97bc0593f51bp-1, -0x1.c8afa29a46affp-1, -0x1.c7c26ba406e1ap-1, -0x1.c6b38b4a60e3ep-1, -0x1.c58273e84316ap-1, -0x1.c42e9ed197903p-1, -0x1.c2b7902358aadp-1, -0x1.c11cd9ee978ebp-1, -0x1.bf5e1ec4b288bp-1, -0x1.bd7b13b0742f1p-1, -0x1.bb7381aa3bd7ep-1, -0x1.b9474695c438bp-1, -0x1.b6f655d787461p-1, -0x1.b480b88ed89d6p-1, -0x1.b1e68d80e7535p-1, -0x1.af2808c00ad6dp-1, -0x1.ac45731a1f297p-1, -0x1.a93f2958145fcp-1, -0x1.a6159b583f9b8p-1, -0x1.a2c94b0c4991fp-1, -0x1.9f5acb62d67eep-1, -0x1.9bcabf2427463p-1, -0x1.9819d7c80a34bp-1, -0x1.9448d44a7df02p-1, -0x1.90588003754aep-1, -0x1.8c49b18545f82p-1, -0x1.881d498470e42p-1, -0x1.83d431cab053p-1, -0x1.7f6f5c36936e8p-1, -0x1.7aefc1c8579f5p-1, -0x1.765661bc460fdp-1, -0x1.71a440b27a4c7p-1, -0x1.6cda67e3b3abp-1, -0x1.67f9e462a67e8p-1, -0x1.6303c66923c43p-1, -0x1.5df920b05b45ap-1, -0x1.58db07d37bf39p-1, -0x1.53aa91bbf7c7p-1, -0x1.4e68d516bfa1ep-1, -0x1.4916e8d1d19a5p-1, -0x1.43b5e3a191582p-1, -0x1.3e46db8d65b4p-1, -0x1.38cae58336dfap-1, -0x1.334314f16b048p-1, -0x1.2db07b67188f2p-1, -0x1.2814283a29fb3p-1, -0x1.226f28333f02fp-1, -0x1.1cc2853f1bea7p-1, -0x1.170f46257e701p-1, -0x1.11566e453685p-1, -0x1.0b98fd555f9f1p-1, -0x1.05d7ef2b9c822p-1, -0x1.00143b8734867p-1, -0x1.f49dabc1e6b22p-2, -0x1.e9115a7f5242dp-2, -0x1.dd8558224ed74p-2, -0x1.d1fb700f2a7bap-2, -0x1.c67563f5e6d6dp-2, -0x1.baf4eb9d4f2efp-2, -0x1.af7bb4b5c130fp-2, -0x1.a40b62b3532a9p-2, -0x1.98a58eaef4bfap-2, -0x1.8d4bc74e31457p-2, -0x1.81ff90b12873cp-2, -0x1.76c2646662d0bp-2, -0x1.6b95b1641e744p-2, -0x1.607adc06aa943p-2, -0x1.55733e13765dfp-2, -0x1.4a8026c073af6p-2, -0x1.3fa2dabf65009p-2, -0x1.34dc944cc988cp-2, -0x1.2a2e8341fe0fcp-2, -0x1.1f99cd2a46c7p-2, -0x1.151f8d5a6d482p-2, -0x1.0ac0d50a9c153p-2, -0x1.007eab7237635p-2, -0x1.ecb41bcac2c79p-3, -0x1.d8a7dfe7d64b3p-3, -0x1.c4da7712ef237p-3, -0x1.b14da21d0f00dp-3, -0x1.9e030f14968ddp-3, -0x1.8afc5989f06d4p-3, -0x1.783b0ad4f6b21p-3, -0x1.65c09a5ac104p-3, -0x1.538e6dd387e05p-3, -0x1.41a5d99063ca4p-3, -0x1.300820c0a8351p-3, -0x1.1eb675b6ac69ep-3, -0x1.0db1fa2bccc1fp-3, -0x1.f9f77f071c6f6p-4, -0x1.d9298e1b72681p-4, -0x1.b8fc048eb402fp-4, -0x1.9970a63532b0ep-4, -0x1.7a89183aa1be9p-4, -0x1.5c46e19cd5ab1p-4, -0x1.3eab6ba3ea28cp-4, -0x1.21b80257ec828p-4, -0x1.056dd4f408a3ep-4, -0x1.d39becae95109p-5, -0x1.9db2bae620151p-5, -0x1.6921cb6e8877fp-5, -0x1.35ea9ef900d33p-5, -0x1.040e80d8838fdp-5, -0x1.a71d0f9d29262p-6, -0x1.48d72da9b410dp-6, -0x1.da99778ed2f8dp-7, -0x1.28fd6ad92adabp-7, -0x1.f36d98c6403b4p-9, 0x1.4e6142b3f4405p-10, 0x1.95f32542a956ep-8, 0x1.66ade78fc71fcp-7, 0x1.fceaf00f51d05p-7, 0x1.46d99614f7a42p-6, 0x1.8c84e80b5e8aap-6, 0x1.cf7960a50b9d3p-6, 0x1.07dca4e0f5754p-5, 0x1.26a3a176ae8b8p-5, 0x1.44131ff107b22p-5, 0x1.602cc385a7ebcp-5, 0x1.7af25801d6d3cp-5, 0x1.9465d10818e5dp-5, 0x1.ac89494c16c82p-5, 0x1.c35f01cc81224p-5, 0x1.d8e9610ae1dedp-5, 0x1.ed2af241401c2p-5, 0x1.0013324ab4b35p-4, 0x1.08ef4524f4b23p-4, 0x1.112b2bf64525ap-4, 0x1.18c871c12dd5ap-4, 0x1.1fc8b1d8a5c1fp-4, 0x1.262d977395ff8p-4, 0x1.2bf8dd3f269bcp-4, 0x1.312c4cefd202ap-4, 0x1.35c9bed14892fp-4, 0x1.39d3195523806p-4, 0x1.3d4a50a07cd3ep-4, 0x1.403166186d6bp-4, 0x1.428a67ed8ad33p-4, 0x1.445770a661a8dp-4, 0x1.459aa6a911c5ap-4, 0x1.46563bc404db5p-4, 0x1.468c6cb5ee9fep-4, 0x1.463f80b50d92cp-4, 0x1.4571c8f5d6933p-4, 0x1.4425a03117f31p-4, 0x1.425d6a29a2457p-4, 0x1.401b9331a09acp-4, 0x1.3d628fafaab88p-4, 0x1.3a34dba3a479ap-4, 0x1.3694fa2b9544ap-4, 0x1.328575087c293p-4, 0x1.2e08dc2349d16p-4, 0x1.2921c5120f0cp-4, 0x1.23d2ca9d7c442p-4, 0x1.1e1e8c46d1bbcp-4, 0x1.1807adce4abfcp-4, 0x1.1190d6ba31636p-4, 0x1.0abcb1dea309ap-4, 0x1.038dece627af2p-4, 0x1.f80e6fb65e451p-5, 0x1.e85689652533fp-5, 0x1.d7f98dae58d5p-5, 0x1.c6fce56d4bcbdp-5, 0x1.b565fa9f0c8edp-5, 0x1.a33a378146cedp-5, 0x1.907f05b40db99p-5, 0x1.7d39cd5eb89b2p-5, 0x1.696ff457f3fe8p-5, 0x1.5526dd5146fe2p-5, 0x1.4063e706196d4p-5, 0x1.2b2c6b6e6a5a9p-5, 0x1.1585bef55696ep-5, 0x1.feea5f67404e1p-6, 0x1.d200095c86999p-6, 0x1.a456fa327d95dp-6, 0x1.75f99f3d71d4dp-6, 0x1.46f25355049c8p-6, 0x1.174b5d744e474p-6, 0x1.ce1ddec67b79ap-7, 0x1.6c8e48d2cc89bp-7, 0x1.09fc00149fcbap-7, 0x1.4cf5b32e2573fp-8, 0x1.0879d8243a5c6p-9, -0x1.182e04773963bp-10, -0x1.11bd3215efec7p-8, -0x1.deb23a93794b9p-8, -0x1.5662943d947fcp-7, -0x1.bde883e79b60ep-7, -0x1.12ec599ed3f7bp-6, -0x1.471095fdda4adp-6, -0x1.7b581e3040a86p-6, -0x1.afba3c6a9a977p-6, -0x1.e42e5ec025d0ap-6, -0x1.0c560bf0eed57p-5, -0x1.26958fe98ef6bp-5, -0x1.40d1aa49ff9fcp-5, -0x1.5b065d60b2083p-5, -0x1.752fbf156204ap-5, -0x1.8f49f92ee269p-5, -0x1.a9514993ea1cep-5, -0x1.c3420286cc6bap-5, -0x1.dd188adc5ad75p-5, -0x1.f6d15e2db7c87p-5, -0x1.08348682bd6e5p-4, -0x1.14ee1e83fa41dp-4, -0x1.2193d48b5b1b3p-4, -0x1.2e2410b7be6b8p-4, -0x1.3a9d45e3481bbp-4, -0x1.46fdf1ae43ap-4, -0x1.53449c87dbb6ap-4, -0x1.5f6fd9b4a28a9p-4, -0x1.6b7e4752f2262p-4, -0x1.776e8e5d401edp-4, -0x1.833f62aa5d9e3p-4, -0x1.8eef82ebbe591p-4, -0x1.9a7db8a9c457p-4, -0x1.a5e8d83e2b765p-4, -0x1.b12fc0cc9ad3bp-4, -0x1.bc515c3952c31p-4, -0x1.c74c9f1e40011p-4, -0x1.d22088be2ac21p-4, -0x1.dccc22f65f34cp-4, -0x1.e74e822eac49ap-4, -0x1.f1a6c547d3234p-4, -0x1.fbd41588737ecp-4, -0x1.02ead3444a6p-3, -0x1.07d55b0dcfd2ep-3, -0x1.0ca9461c991a1p-3, -0x1.11663d723d92bp-3, -0x1.160bef0931a08p-3, -0x1.1a9a0dc747929p-3, -0x1.1f10516f9071ep-3, -0x1.236e7693bfe7cp-3, -0x1.27b43e84fc5ebp-3, -0x1.2be16f4438631p-3, -0x1.2ff5d3720813ep-3, -0x1.33f13a3e140e4p-3, -0x1.37d377560db01p-3, -0x1.3b9c62d441b68p-3, -0x1.3f4bd92dd58b5p-3, -0x1.42e1bb20969d9p-3, -0x1.465deda0835c9p-3, -0x1.49c059c4fd1ep-3, -0x1.4d08ecb5b729fp-3, -0x1.50379797577e2p-3, -0x1.534c4f77e56e5p-3, -0x1.56470d3af8eedp-3, -0x1.5927cd85afd21p-3, -0x1.5bee90aa85fecp-3, -0x1.5e9b5a94f3981p-3, -0x1.612e32b4ee1f2p-3, -0x1.63a723ea4bac7p-3, -0x1.66063c70067e8p-3, -0x1.684b8dc77194bp-3, -0x1.6a772ca353c7bp-3, -0x1.6c8930d2ff5d7p-3, -0x1.6e81b52d539f6p-3, -0x1.7060d77bcd64bp-3, -0x1.7226b8658443p-3, -0x1.73d37b5a3793cp-3, -0x1.7567467d5e1dap-3, -0x1.76e2429143d06p-3, -0x1.78449ae233d1bp-3, -0x1.798e7d31b887p-3, -0x1.7ac019a1eb75p-3, -0x1.7bd9a2a0e84e5p-3, -0x1.7cdb4cd450b7fp-3, -0x1.7dc54f04fb28bp-3, -0x1.7e97e20ab9873p-3, -0x1.7f5340b84f48cp-3, -0x1.7ff7a7c786589p-3, -0x1.808555c5737f8p-3, -0x1.80fc8afee969ap-3, -0x1.815d896d16c64p-3, -0x1.81a894a2592e2p-3, -0x1.81ddf1b745b26p-3, -0x1.81fde737e0091p-3, -0x1.8208bd1113b31p-3, -0x1.81febc7e5f44bp-3, -0x1.81e02ff7c1a74p-3, -0x1.81ad631fdfa56p-3, -0x1.8166a2b26b70dp-3, -0x1.810c3c72c9ba4p-3, -0x1.809e7f1afe088p-3, -0x1.801dba4ad5841p-3, -0x1.7f8a3e77573fbp-3, -0x1.7ee45cda7adefp-3, -0x1.7e2c6763283f4p-3, -0x1.7d62b0a57675ap-3, -0x1.7c878bcb3d7b9p-3, -0x1.7b9b4c84ee39bp-3, -0x1.7a9e46faad6dp-3, -0x1.7990cfbdc13a6p-3, -0x1.78733bba4c2a1p-3, -0x1.7745e02946972p-3, -0x1.76091282d63cdp-3, -0x1.74bd2870dfd25p-3, -0x1.736277c1f7a55p-3, -0x1.71f9565c8fc7dp-3, -0x1.70821a327e335p-3, -0x1.6efd1934ca2c2p-3, -0x1.6d6aa947c9af9p-3, -0x1.6bcb20378a884p-3, -0x1.6a1ed3ac8a8bcp-3, -0x1.68661920be221p-3, -0x1.66a145d4db68cp-3, -0x1.64d0aec603745p-3, -0x1.62f4a8a39f772p-3, -0x1.610d87c5a4d2dp-3, -0x1.5f1ba0230d0ecp-3, -0x1.5d1f4548acce8p-3, -0x1.5b18ca5045b6ap-3, -0x1.590881d7ef672p-3, -0x1.56eebdf9bfca5p-3, -0x1.54cbd043c6f3dp-3, -0x1.52a009b048926p-3, -0x1.506bba9e4ab42p-3, -0x1.4e2f32ca5b13ap-3, -0x1.4beac147ac5b6p-3, -0x1.499eb4796e582p-3, -0x1.474b5a0c6e4c3p-3, -0x1.44f0fef0fa1bdp-3, -0x1.428fef550c7c9p-3, -0x1.4028769eb4f3bp-3, -0x1.3dbadf66c2af3p-3, -0x1.3b477373b9418p-3, -0x1.38ce7bb4f4ddp-3, -0x1.3650403e1cd86p-3, -0x1.33cd0842cf602p-3, -0x1.31451a1285732p-3, -0x1.2eb8bb14b7159p-3, -0x1.2c282fc53ed8cp-3, -0x1.2993bbb0eea51p-3, -0x1.26fba172675d9p-3, -0x1.246022af1d5fap-3, -0x1.21c180149efb7p-3, -0x1.1f1ff956098abp-3, -0x1.1c7bcd29ba579p-3, -0x1.19d539472a9dep-3, -0x1.172c7a65075bcp-3, -0x1.1481cc3770b84p-3, -0x1.11d5696e799f7p-3, -0x1.0f278bb4c5471p-3, -0x1.0c786bae5ddf8p-3, -0x1.09c840f7b9e3bp-3, -0x1.07174224e497dp-3, -0x1.0465a4c0dd119p-3, -0x1.01b39d4d15cbcp-3, -0x1.fe02be824cba7p-4, -0x1.f89e3a1537f2bp-4, -0x1.f33a1019f11d6p-4, -0x1.edd6a143a4e2dp-4, -0x1.e8744c324386cp-4, -0x1.e3136d7340a9p-4, -0x1.ddb45f82c8e51p-4, -0x1.d8577acd0acb8p-4, -0x1.d2fd15afe421bp-4, -0x1.cda5847cc063cp-4, -0x1.c851197ab1543p-4, -0x1.c30024e8cc27fp-4, -0x1.bdb2f500b9b69p-4, -0x1.b869d5f985ff6p-4, -0x1.b325120a92de1p-4, -0x1.ade4f16ed826bp-4, -0x1.a8a9ba683e25ap-4, -0x1.a373b1433773fp-4, -0x1.9e43185a7dfb6p-4, -0x1.9918301b07377p-4, -0x1.93f3370813bbp-4, -0x1.8ed469bf783cep-4, -0x1.89bc02fdfb399p-4, -0x1.84aa3ba3e9ff1p-4, -0x1.7f9f4ab9bfd7cp-4, -0x1.7a9b6574fb79bp-4, -0x1.759ebf3d0a18fp-4, -0x1.70a989b05bd2p-4, -0x1.6bbbf4a98ab95p-4, -0x1.66d62e449ec57p-4, -0x1.61f862e47054fp-4, -0x1.5d22bd381d5a6p-4, -0x1.5855664097dd2p-4, -0x1.5390855646124p-4, -0x1.4ed4402ebae94p-4, -0x1.4a20bae27b161p-4, -0x1.457617f2d5a27p-4, -0x1.40d4784fd006p-4, -0x1.3c3bfb5e150f3p-4, -0x1.37acbefcfeb6ap-4, -0x1.3326df8c9c136p-4, -0x1.2eaa77f3d3756p-4, -0x1.2a37a1a677a8p-4, -0x1.25ce74ab7dedap-4, -0x1.216f07a324d96p-4, -0x1.1d196fcd2c949p-4, -0x1.18cdc10f143cep-4, -0x1.148c0dfa4fb34p-4, -0x1.105467d2903ccp-4, -0x1.0c26de94023b5p-4, -0x1.080380f98ca96p-4, -0x1.03ea5c8317176p-4, -0x1.ffb6faf794c43p-5, -0x1.f7adde008e10ap-5, -0x1.efb97609d6aabp-5, -0x1.e7d9d4b803f19p-5, -0x1.e00f0977ede79p-5, -0x1.d859218b0b535p-5, -0x1.d0b82813bae16p-5, -0x1.c92c262186a4bp-5, -0x1.c1b522bd4ef5bp-5, -0x1.ba5322f571193p-5, -0x1.b30629e9ca5d4p-5, -0x1.abce38d7bbeabp-5, -0x1.a4ab4f2610542p-5, -0x1.9d9d6a70c17afp-5, -0x1.96a48694bbfd2p-5, -0x1.8fc09dbb8136fp-5, -0x1.88f1a866ac6ap-5, -0x1.82379d7b61ba8p-5, -0x1.7b92724daa864p-5, -0x1.75021aaba9f97p-5, -0x1.6e8688e8b902cp-5, -0x1.681fade86b0e6p-5, -0x1.61cd792971aeap-5, -0x1.5b8fd8d05881fp-5, -0x1.5566b9b2384d8p-5, -0x1.4f52075f32263p-5, -0x1.4951ac2cd68bap-5, -0x1.436591406cd85p-5, -0x1.3d8d9e9912f04p-5, -0x1.37c9bb19c44e2p-5, -0x1.3219cc932e65ep-5, -0x1.2c7db7cd774f5p-5, -0x1.26f56091d32dbp-5, -0x1.2180a9b3f6c2dp-5, -0x1.1c1f751b6f9e5p-5, -0x1.16d1a3cccb0b6p-5, -0x1.119715f2a6d33p-5, -0x1.0c6faae692808p-5, -0x1.075b4139d2ba3p-5, -0x1.0259b6bdf795ap-5, -0x1.fad5d11ab1bd3p-6, -0x1.f11d6626d1b76p-6, -0x1.e789e429b9b2fp-6, -0x1.de1b016f6ee75p-6, -0x1.d4d0731650973p-6, -0x1.cba9ed1ea2b68p-6, -0x1.c2a72279a1a44p-6, -0x1.b9c7c5187bdb2p-6, -0x1.b10b85faf8988p-6, -0x1.a872153da57b8p-6, -0x1.9ffb2227fe827p-6, -0x1.97a65b3a197aap-6, -0x1.8f736e3a20e2ep-6, -0x1.8762084184ea1p-6, -0x1.7f71d5c9d0f3cp-6, -0x1.77a282b94e71ep-6, -0x1.6ff3ba6f58ee8p-6, -0x1.686527d05b881p-6, -0x1.60f67551a434ap-6, -0x1.59a74d04df0f7p-6, -0x1.527758a339b04p-6, -0x1.4b6641986de1bp-6, -0x1.4473b10d62ca3p-6, -0x1.3d9f4ff292448p-6, -0x1.36e8c70a2aaa2p-6, -0x1.304fbef1fdf45p-6, -0x1.29d3e02d0da36p-6, -0x1.2374d32cfb35cp-6, -0x1.1d32405b13495p-6, -0x1.170bd0212125ep-6, -0x1.11012af232185p-6, -0x1.0b11f952bdfdap-6, -0x1.053de3e0eb403p-6, -0x1.ff0926b8bd717p-7, -0x1.f3cb615bbba4cp-7, -0x1.e8c1c9dd83115p-7, -0x1.ddebb2e0325b1p-7, -0x1.d3486f8344845p-7, -0x1.c8d75370fc54dp-7, -0x1.be97b2eb5988ep-7, -0x1.b488e2d8ceaa8p-7, -0x1.aaaa38d048683p-7, -0x1.a0fb0b24c4534p-7, -0x1.977ab0f0e907dp-7, -0x1.8e2882219725dp-7, -0x1.8503d780b6cfp-7, -0x1.7c0c0abeed13ap-7, -0x1.7340767dab714p-7, -0x1.6aa076583282fp-7, -0x1.622b66ecb677cp-7, -0x1.59e0a5e4d5067p-7, -0x1.51bf91fdd1ac8p-7, -0x1.49c78b1054abfp-7, -0x1.41f7f21808ae6p-7, -0x1.3a50293abeceep-7, -0x1.32cf93cf22c14p-7, -0x1.2b75966354cbcp-7, -0x1.244196c2f8fcbp-7, -0x1.1d32fbfd3022dp-7, -0x1.16492e69e06ecp-7, -0x1.0f8397af380efp-7, -0x1.08e1a2c68419ap-7, -0x1.0262bc00afc85p-7, -0x1.f80ca2159969ep-8, -0x1.eb97a1e41eaep-8, -0x1.df65584f5522cp-8, -0x1.d374a90894d97p-8, -0x1.c7c47a96d4bc9p-8, -0x1.bc53b65c93c53p-8, -0x1.b121489dbdf7cp-8, -0x1.a62c208449bep-8, -0x1.9b73302526514p-8, -0x1.90f56c847647ap-8, -0x1.86b1cd98b6d98p-8, -0x1.7ca74e4ee4326p-8, -0x1.72d4ec8c927eep-8, -0x1.6939a932c348ep-8, -0x1.5fd4881feec27p-8, -0x1.56a490316a173p-8, -0x1.4da8cb44f17c9p-8, -0x1.44e0463971737p-8, -0x1.3c4a10ef97756p-8, -0x1.33e53e4a23ddap-8, -0x1.2bb0e42da7336p-8, -0x1.23ac1b801102ap-8, -0x1.1bd60027f53ddp-8, -0x1.142db10b9b4dp-8, -0x1.0cb2500f65119p-8, -0x1.056302143f7cfp-8, -0x1.fc7dddeb9b411p-9, -0x1.ee8a83101d34ep-9, -0x1.e0ea4f2a75eb4p-9, -0x1.d39ba3b4ceb3bp-9, -0x1.c69ce80b33dep-9, -0x1.b9ec89634ca9p-9, -0x1.ad88fac685c08p-9, -0x1.a170b50afe3bp-9, -0x1.95a236cb68a03p-9, -0x1.8a1c045f54a5p-9, -0x1.7edca7d2d365ep-9, -0x1.73e2b0dda8393p-9, -0x1.692cb4da30e3p-9, -0x1.5eb94ebbf0559p-9, -0x1.54871f05b9be8p-9, -0x1.4a94cbc043b8ep-9, -0x1.40e1006e852bep-9, -0x1.376a6e049a1d9p-9, -0x1.2e2fcadbeb167p-9, -0x1.252fd2a887e3fp-9, -0x1.1c69466d483a6p-9, -0x1.13daec7103905p-9, -0x1.0b839031f88abp-9, -0x1.0362025a4f02bp-9, -0x1.f6ea31678960dp-10, -0x1.e7775c36ed16p-10, -0x1.d86944ea43d9ep-10, -0x1.c9bdb53d8536fp-10, -0x1.bb7280c729bc2p-10, -0x1.ad8584de2509dp-10, -0x1.9ff4a880cc4efp-10, -0x1.92bddc38b5077p-10, -0x1.85df1a026ce47p-10, -0x1.795665306afa5p-10, -0x1.6d21ca524f2fep-10, -0x1.613f5f1827dd9p-10, -0x1.55ad4238a5464p-10, -0x1.4a699b54b3a7bp-10, -0x1.3f729adcdf887p-10, -0x1.34c679f552dcfp-10, -0x1.2a637a5aede63p-10, -0x1.2047e646e2625p-10, -0x1.16721054147a5p-10, -0x1.0ce053627da72p-10, -0x1.0391127c558d2p-10, -0x1.f50571736f853p-11, -0x1.e367724b9100ep-11, -0x1.d2451d4412b01p-11, -0x1.c19b77989a57p-11, -0x1.b16795c286ed6p-11, -0x1.a1a69b4624404p-11, -0x1.9255ba78785c6p-11, -0x1.8372344ae41d7p-11, -0x1.74f9581428147p-11, -0x1.66e88359963dap-11, -0x1.593d219985f22p-11, -0x1.4bf4ac15f10ebp-11, -0x1.3f0ca99e46e41p-11, -0x1.3282ae5ac9389p-11, -0x1.26545b9778b1fp-11, -0x1.1a7f5f8f4a6eap-11, -0x1.0f017537e854fp-11, -0x1.03d8640e87417p-11, -0x1.f203ffc5da394p-12, -0x1.dcf85149b74fdp-12, -0x1.c88994638ba65p-12, -0x1.b4b3b842d64b1p-12, -0x1.a172c327bb60bp-12, -0x1.8ec2d2012ce61p-12, -0x1.7ca018079da23p-12, -0x1.6b06de5e62fb6p-12, -0x1.59f383b0582f3p-12, -0x1.49627bd0d56d4p-12, -0x1.39504f5cf3819p-12, -0x1.29b99b5d6b521p-12, -0x1.1a9b10e73ccf5p-12, -0x1.0bf174c233d8ap-12, -0x1.fb733e184b4f1p-13, -0x1.dfe0f5bb159eap-13, -0x1.c5260be4cda2ap-13, -0x1.ab3ca09e6573ap-13, -0x1.921ef7d746dfcp-13, -0x1.79c778b3bc7a5p-13, -0x1.6230ace6b718dp-13, -0x1.4b5540032d4b1p-13, -0x1.352ffed99c815p-13, -0x1.1fbbd6d171c35p-13, -0x1.0af3d5448886fp-13, -0x1.eda64dc4334d6p-14, -0x1.c6aa2e17d6efp-14, -0x1.a0ea1e748e9cfp-14, -0x1.7c5d2cc3a2002p-14, -0x1.58faa0b6bc243p-14, -0x1.36b9fa97e389ep-14, -0x1.1592f222edd7ep-14, -0x1.eafaeabfa129fp-15, -0x1.ace34ef6eecep-15, -0x1.70cfbf6a6dd4cp-15, -0x1.36b1507b37a57p-15, -0x1.fcf2f4932082ep-16, -0x1.90342d29c7aa4p-16, -0x1.270abd4ae84c4p-16, -0x1.82b7a4cb0157p-17, -0x1.7c3542d934829p-18, -0x1.73d5a89caedf1p-30, 0x1.6f4daf284460cp-18, 0x1.692cdf64e4aap-17, 0x1.0a5aa4441f1a1p-16, 0x1.5d36cdf51e748p-16, 0x1.ad4111840e8a4p-16, 0x1.fa8ef79c35f55p-16, 0x1.229ab838069fdp-15, 0x1.46a46b971e4e1p-15, 0x1.696e7ac59bebfp-15, 0x1.8b0283846bac3p-15, 0x1.ab69de37fe78bp-15, 0x1.caad9f8111bffp-15, 0x1.e8d699e14c8fap-15, 0x1.02f6afa47b665p-14, 0x1.10fd21549fb1fp-14, 0x1.1e82acbc38b3cp-14, 0x1.2b8b3e9a0e4bdp-14, 0x1.381aa66fc5b84p-14, 0x1.44349734d31e5p-14, 0x1.4fdca81040a24p-14, 0x1.5b1655097f2e6p-14, 0x1.65e4ffb70b206p-14, 0x1.704befe7423aep-14, 0x1.7a4e544deb841p-14, 0x1.83ef43255faa7p-14, 0x1.8d31bacf1cf9dp-14, 0x1.9618a2756395ep-14, 0x1.9ea6caa4331edp-14, 0x1.a6deeddfed655p-14, 0x1.aec3b13d0c048p-14, 0x1.b657a4f130588p-14, 0x1.bd9d44e20a69ap-14, 0x1.c496f92fc5965p-14, 0x1.cb4716c1d3c8dp-14, 0x1.d1afdfc8812d8p-14, 0x1.d7d384438a89bp-14, 0x1.ddb4227fc7588p-14, 0x1.e353c797de20ap-14, 0x1.e8b46fedf4c0fp-14, 0x1.edd807a3eda45p-14, 0x1.f2c06b127bb8ep-14, 0x1.f76f6739342afp-14, 0x1.fbe6ba2ffbcep-14, 0x1.001409cb91d34p-13, 0x1.021a8a804f1efp-13, 0x1.0407a92d2617dp-13, 0x1.05dc292a0284bp-13, 0x1.0798c76248fa9p-13, 0x1.093e3a852b265p-13, 0x1.0acd333575e1bp-13, 0x1.0c465c38c70f6p-13, 0x1.0daa5aa4ec63bp-13, 0x1.0ef9ce0c3876ap-13, 0x1.103550a8a67e3p-13, 0x1.115d778707f0bp-13, 0x1.1272d2af4ea9ap-13, 0x1.1375ed4d3dbd3p-13, 0x1.14674dd78c2d9p-13, 0x1.1547763673017p-13, 0x1.1616e3e90835bp-13, 0x1.16d61029556c7p-13, 0x1.178570100c6ebp-13, 0x1.182574b6ec9c6p-13, 0x1.18b68b5a240dbp-13, 0x1.19391d791b2f3p-13, 0x1.19ad90f67ce95p-13, 0x1.1a144837973f7p-13, 0x1.1a6da242204d5p-13, 0x1.1ab9fad99cb1bp-13, 0x1.1af9aa9c99d5ep-13, 0x1.1b2d071f41f7ep-13, 0x1.1b5463073e5ebp-13, 0x1.1b700e25fa53dp-13, 0x1.1b80559234aafp-13, 0x1.1b8583c0e45a5p-13, 0x1.1b7fe09ce652dp-13, 0x1.1b6fb19f4f46dp-13, 0x1.1b5539e4f4f89p-13, 0x1.1b30ba455d1eap-13, 0x1.1b027167f2ee3p-13, 0x1.1aca9bd8f3afdp-13, 0x1.1a89741de8098p-13, 0x1.1a3f32c8d0eb2p-13, 0x1.19ec0e8ba1f12p-13, 0x1.19903c4a45142p-13, 0x1.192bef2c59e43p-13, 0x1.18bf58aec4206p-13, 0x1.184aa8b4b24c4p-13, 0x1.17ce0d9750b31p-13, 0x1.1749b435f51d3p-13, 0x1.16bdc8050baa9p-13, 0x1.162a731d20804p-13, 0x1.158fde4938eb2p-13, 0x1.14ee3113cc53fp-13, 0x1.144591d4c51d5p-13, 0x1.139625be63131p-13, 0x1.12e010e9be601p-13, 0x1.122376627257fp-13, 0x1.1160783260923p-13, 0x1.1097376d35df5p-13, 0x1.0fc7d43af3f0bp-13, 0x1.0ef26de1e748fp-13, 0x1.0e1722d10b0f1p-13, 0x1.0d3610aa38a44p-13, 0x1.0c4f544b481b5p-13, 0x1.0b6309d6a9951p-13, 0x1.0a714cbc654a9p-13, 0x1.097a37c27a5d9p-13, 0x1.087de50cc4f5dp-13, 0x1.077c6e2457dc1p-13, 0x1.0675ebff83eb6p-13, 0x1.056a7708aff74p-13, 0x1.045a272564f07p-13, 0x1.034513bc7e428p-13, 0x1.022b53bc53e36p-13, 0x1.010cfda18684ap-13, 0x1.ffd44ef899ebp-14, 0x1.fd85cdeb0157ap-14, 0x1.fb2ea2a95601ap-14, 0x1.f8cef709a8f38p-14, 0x1.f666f43334a4ep-14, 0x1.f3f6c2a674a22p-14, 0x1.f17e8a46f85bdp-14, 0x1.eefe7263c4aa9p-14, 0x1.ec76a1bef0f74p-14, 0x1.e9e73e950556cp-14, 0x1.e7506ea4907dcp-14, 0x1.e4b2573585dbfp-14, 0x1.e20d1d1f37089p-14, 0x1.df60e4ce9aa48p-14, 0x1.dcadd24ccce23p-14, 0x1.d9f40944689ddp-14, 0x1.d733ad066ef7ap-14, 0x1.d46ce08f03b2ap-14, 0x1.d19fc68b42994p-14, 0x1.cecc815caafd5p-14, 0x1.cbf3331daf0d2p-14, 0x1.c913fda60983cp-14, 0x1.c62f028e258e1p-14, 0x1.c3446331ef5e9p-14, 0x1.c05440b4f76c9p-14, 0x1.bd5ebc04a9e7fp-14, 0x1.ba63f5db58f25p-14, 0x1.b7640ec32d9f5p-14, 0x1.b45f271878a13p-14, 0x1.b1555f0bd7b92p-14, 0x1.ae46d6a3d5d96p-14, 0x1.ab33adbf8ce1ep-14, 0x1.a81c0417cb436p-14, 0x1.a4fff940b420ep-14, 0x1.a1dfacaadfb8dp-14, 0x1.9ebb3da5109afp-14, 0x1.9b92cb5d5b73dp-14, 0x1.986674e1ba3aap-14, 0x1.95365920f012ep-14, 0x1.920296eb2a58dp-14, 0x1.8ecb4cf31808bp-14, 0x1.8b9099ce8c6a6p-14, 0x1.88529bf60bf4ap-14, 0x1.851171c554ab9p-14, 0x1.81cd397c1f0fdp-14, 0x1.7e86113d94d96p-14, 0x1.7b3c1710da0edp-14, 0x1.77ef68e0f0eabp-14, 0x1.74a0247c83467p-14, 0x1.714e67955dd6p-14, 0x1.6dfa4fc0a0134p-14, 0x1.6aa3fa760c3d5p-14, 0x1.674b850fe68fcp-14, 0x1.63f10cca3c6e9p-14, 0x1.6094aec2c5f44p-14, 0x1.5d3687f85010cp-14, 0x1.59d6b549dc13dp-14, 0x1.5675537641d21p-14, 0x1.53127f1b89e98p-14, 0x1.4fae54b617628p-14, 0x1.4c48f09fac90ep-14, 0x1.48e26f0f0f344p-14, 0x1.457aec177717bp-14, 0x1.421283a6f0196p-14, 0x1.3ea951862ec04p-14, 0x1.3b3f71579fbep-14, 0x1.37d4fe9657043p-14, 0x1.346a14950b18ep-14, 0x1.30fece7dda8bp-14, 0x1.2d93475071fc9p-14, 0x1.2a2799e1e9305p-14, 0x1.26bbe0db81a8ep-14, 0x1.235036b99e358p-14, 0x1.1fe4b5cb5b8afp-14, 0x1.1c7978311174fp-14, 0x1.190e97db99783p-14, 0x1.15a42e8b6cbdap-14, 0x1.123a55cf9f0afp-14, 0x1.0ed1270501b98p-14, 0x1.0b68bb5521becp-14, 0x1.08012bb5b8ffap-14, 0x1.049a90e74f652p-14, 0x1.013503746d50ep-14, 0x1.fba137623c1b3p-15, 0x1.f4dae3739ad5cp-15, 0x1.ee173ae46898cp-15, 0x1.e7566d0a6157cp-15, 0x1.e098a8c675cebp-15, 0x1.d9de1c832e419p-15, 0x1.d326f63499e9fp-15, 0x1.cc73635551b64p-15, 0x1.c5c390e548ed2p-15, 0x1.bf17ab68fc923p-15, 0x1.b86fdee7058a7p-15, 0x1.b1cc56e70e5bap-15, 0x1.ab2d3e70f87a9p-15, 0x1.a492c00b578aap-15, 0x1.9dfd05b906081p-15, 0x1.976c38f9b6d6ap-15, 0x1.90e082c7a0fa9p-15, 0x1.8a5a0b961581ep-15, 0x1.83d8fb50f5869p-15, 0x1.7d5d795c7a56bp-15, 0x1.76e7ac9305ed3p-15, 0x1.7077bb43f6d35p-15, 0x1.6a0dcb330e48dp-15, 0x1.63aa0198134f8p-15, 0x1.5d4c831dcf434p-15, 0x1.56f573e0145ddp-15, 0x1.50a4f76d58715p-15, 0x1.4a5b30c3a8862p-15, 0x1.44184250ecf31p-15, 0x1.3ddc4df2b0703p-15, 0x1.37a774f5ae99ap-15, 0x1.3179d8143652bp-15, 0x1.2b5397771b2b2p-15, 0x1.2534d2b352ae4p-15, 0x1.1f1da8cb0d69fp-15, 0x1.190e382e149aep-15, 0x1.13069eb83369p-15, 0x1.0d06f9b0f3e3cp-15, 0x1.070f65cc0c2d4p-15, 0x1.011fff28d92b9p-15, 0x1.f671c2a3f6e8ap-16, 0x1.eab44e7cbbe6ep-16, 0x1.df07d6a0d56e4p-16, 0x1.d36c8eaae964bp-16, 0x1.c7e2a90db0a85p-16, 0x1.bc6a5714dfce3p-16, 0x1.b103c8e19e178p-16, 0x1.a5af2d6df48bap-16, 0x1.9a6cb28d1eac7p-16, 0x1.8f3c84eb2089dp-16, 0x1.841ed00dd7222p-16, 0x1.7913be549f087p-16, 0x1.6e1b78fa06e63p-16, 0x1.6336281609751p-16, 0x1.5863f29c80759p-16, 0x1.4da4fe5eb1b82p-16, 0x1.42f9700d05f26p-16, 0x1.38616b37a181cp-16, 0x1.2ddd124fbab1cp-16, 0x1.236c86a8d04d6p-16, 0x1.190fe87a0438p-16, 0x1.0ec756dfbbeb7p-16, }}, 
      {{-0x1.cb9c76f1bedadp-1, -0x1.cb76de297eb1fp-1, -0x1.cb381703cf1fcp-1, -0x1.cadff62a28a38p-1, -0x1.ca6e4199ce683p-1, -0x1.c9e2b2ed84a5dp-1, -0x1.c93cf9e9cfc3cp-1, -0x1.c87cbf2592dafp-1, -0x1.c7a1a6b029e77p-1, -0x1.c6ab529ccad1p-1, -0x1.c599656149627p-1, -0x1.c46b83fc5d603p-1, -0x1.c32157dcea4e7p-1, -0x1.c1ba90880d266p-1, -0x1.c036e4fedd7a4p-1, -0x1.be9614e6d60dfp-1, -0x1.bcd7e979054d4p-1, -0x1.bafc363ca8702p-1, -0x1.b902d99200c0cp-1, -0x1.b6ebbd1218847p-1, -0x1.b4b6d5c806551p-1, -0x1.b26424480f89cp-1, -0x1.aff3b4a8cac15p-1, -0x1.ad659e6241fb5p-1, -0x1.aaba0416cca4ap-1, -0x1.a7f11349349c8p-1, -0x1.a50b04036ea81p-1, -0x1.a2081870fc388p-1, -0x1.9ee89c6fba9a2p-1, -0x1.9bace519a7995p-1, -0x1.98555049d1dcbp-1, -0x1.94e2441e649e1p-1, -0x1.91542e7977634p-1, -0x1.8dab848202a8cp-1, -0x1.89e8c22621426p-1, -0x1.860c699f8395ep-1, -0x1.821702facbdcep-1, -0x1.7e091ba25dbfcp-1, -0x1.79e345ecfc54p-1, -0x1.75a618b07c6aep-1, -0x1.71522ed8ad7fbp-1, -0x1.6ce8270286764p-1, -0x1.6868a31b9824ep-1, -0x1.63d44805b5d46p-1, -0x1.5f2bbd3eb8e2p-1, -0x1.5a6fac8c47fc7p-1, -0x1.55a0c1ab79139p-1, -0x1.50bfaa042fa3cp-1, -0x1.4bcd146010a86p-1, -0x1.46c9b0a4e8cd2p-1, -0x1.41b62f9264c44p-1, -0x1.3c934282f65f2p-1, -0x1.37619b2fcf8a6p-1, -0x1.3221eb77ce3bep-1, -0x1.2cd4e529474aep-1, -0x1.277b39ce92ba3p-1, -0x1.22159a7d43b01p-1, -0x1.1ca4b7a7fa4a9p-1, -0x1.172940f2b8029p-1, -0x1.11a3e509a5754p-1, -0x1.0c15517a378ccp-1, -0x1.067e328ea4daep-1, -0x1.00df332b960a7p-1, -0x1.f671f9600a2abp-2, -0x1.eb186dae70afbp-2, -0x1.dfb30f3993c4ap-2, -0x1.d443264557bccp-2, -0x1.c8c9f7322c788p-2, -0x1.bd48c250a2afap-2, -0x1.b1c0c3b89011cp-2, -0x1.a6333323a99b5p-2, -0x1.9aa143cb6cfafp-2, -0x1.8f0c244a3415ap-2, -0x1.8374fe7f59278p-2, -0x1.77dcf7763e345p-2, -0x1.6c452f501f26ap-2, -0x1.60aec13084d5bp-2, -0x1.551ac32c3a28cp-2, -0x1.498a463aa48e8p-2, -0x1.3dfe56295671p-2, -0x1.3277f991c5383p-2, -0x1.26f831d0f750cp-2, -0x1.1b7ffb01166c3p-2, -0x1.10104bf4bd13dp-2, -0x1.04aa1633e9205p-2, -0x1.f29c8bf4e1906p-3, -0x1.dbfb846fc5088p-3, -0x1.c572d92164a85p-3, -0x1.af0442c13158cp-3, -0x1.98b16f7c212b7p-3, -0x1.827c02fdab884p-3, -0x1.6c65967aa0584p-3, -0x1.566fb8bdab8f2p-3, -0x1.409bee356568fp-3, -0x1.2aebb103b62f1p-3, -0x1.1560710e80535p-3, -0x1.fff72822b4aebp-4, -0x1.d57ceb6098608p-4, -0x1.ab54cf16b33a8p-4, -0x1.818162a5c8dfap-4, -0x1.580521b93bb45p-4, -0x1.2ee2747238a22p-4, -0x1.061baf93c4bcfp-4, -0x1.bb66295f4ceb7p-5, -0x1.6b55a4a7f6c29p-5, -0x1.1c0a0872be9d7p-5, -0x1.9b0ecdc61bcb5p-6, -0x1.ff46b4b1ba47fp-7, -0x1.97651f882c2dap-8, 0x1.924105f852f31p-9, 0x1.9173bca366a67p-7, 0x1.5d75368541c9cp-6, 0x1.f073b53215b33p-6, 0x1.40d795cd675d3p-5, 0x1.8890d7d6b56fcp-5, 0x1.cf62cda25e219p-5, 0x1.0aa562da7ec5dp-4, 0x1.2d2317e5ab008p-4, 0x1.4f294e3db1cefp-4, 0x1.70b6de6ad1145p-4, 0x1.91cab103348dep-4, 0x1.b263be7bb5c9fp-4, 0x1.d2810ef8ab6d1p-4, 0x1.f221ba1ec19cfp-4, 0x1.08a27371eb95bp-3, 0x1.17f4e5afeef6p-3, 0x1.2707d64edcfdcp-3, 0x1.35daef360cfecp-3, 0x1.446de1971e005p-3, 0x1.52c065d655ac8p-3, 0x1.60d23b72ef685p-3, 0x1.6ea328ef61be7p-3, 0x1.7c32fbb98eae4p-3, 0x1.89818812e5064p-3, 0x1.968ea8f86bc17p-3, 0x1.a35a400ab4c35p-3, 0x1.afe43575b6f31p-3, 0x1.bc2c77d88c30dp-3, 0x1.c832fc2d16a9fp-3, 0x1.d3f7bdaf7cd5fp-3, 0x1.df7abdc592fa6p-3, 0x1.eabc03e618b41p-3, 0x1.f5bb9d7fd6d5bp-3, 0x1.003ccef04fafp-2, 0x1.057b0f0e0ef76p-2, 0x1.0a989e7947d14p-2, 0x1.0f958f5ba8c55p-2, 0x1.1471f69ba2ebp-2, 0x1.192debcf8e693p-2, 0x1.1dc98930babb9p-2, 0x1.2244eb8e6c0e5p-2, 0x1.26a03240c8c55p-2, 0x1.2adb7f1bb6bccp-2, 0x1.2ef6f661a5a0cp-2, 0x1.32f2beb64c136p-2, 0x1.36cf011153ab5p-2, 0x1.3a8be8b0f6dffp-2, 0x1.3e29a30c95b8dp-2, 0x1.41a85fc736425p-2, 0x1.450850a2017d1p-2, 0x1.4849a96eb159dp-2, 0x1.4b6ca001f7abcp-2, 0x1.4e716c25db6d6p-2, 0x1.5158478c11a04p-2, 0x1.54216dc04eb22p-2, 0x1.56cd1c1a97719p-2, 0x1.595b91b18937p-2, 0x1.5bcd0f4ca836p-2, 0x1.5e21d756a9d9p-2, 0x1.605a2dcfc1c0ap-2, 0x1.6276583ff3296p-2, 0x1.64769da96645dp-2, 0x1.665b467ac5841p-2, 0x1.68249c81a16bfp-2, 0x1.69d2eadcdf0aep-2, 0x1.6b667def3240ap-2, 0x1.6cdfa351a53cap-2, 0x1.6e3ea9c62b6b9p-2, 0x1.6f83e12a4ad2ap-2, 0x1.70af9a69cf884p-2, 0x1.71c227719a011p-2, 0x1.72bbdb227cc18p-2, 0x1.739d094433916p-2, 0x1.7466067871ff1p-2, 0x1.7517282e0af4p-2, 0x1.75b0c49432acdp-2, 0x1.7633328de0cc6p-2, 0x1.769ec9a54c61cp-2, 0x1.76f3e1ff88093p-2, 0x1.7732d450413c4p-2, 0x1.775bf9cd9edbfp-2, 0x1.776fac24451cfp-2, 0x1.776e456b7bc1ep-2, 0x1.775820197dacep-2, 0x1.772d96f7eba0bp-2, 0x1.76ef05186afc7p-2, 0x1.769cc5c96a4a2p-2, 0x1.7637348b10e7ap-2, 0x1.75bead045dbd8p-2, 0x1.75338af86c3abp-2, 0x1.74962a3bea90ep-2, 0x1.73e6e6aabe907p-2, 0x1.73261c1dd3db5p-2, 0x1.7254266122d4p-2, 0x1.71716129ddd03p-2, 0x1.707e280cd7e83p-2, 0x1.6f7ad67517c21p-2, 0x1.6e67c79aa003fp-2, 0x1.6d45567967b74p-2, 0x1.6c13ddc88934dp-2, 0x1.6ad3b7f1a0203p-2, 0x1.69853f0861e15p-2, 0x1.6828ccc262faap-2, 0x1.66beba6f189fcp-2, 0x1.654760f008097p-2, 0x1.63c318b13129ep-2, 0x1.623239a1aa314p-2, 0x1.60951b2c719cep-2, 0x1.5eec143178909p-2, 0x1.5d377afedd91dp-2, 0x1.5b77a54a61c11p-2, 0x1.59ace82b0e034p-2, 0x1.57d79813146c4p-2, 0x1.55f808c9e047fp-2, 0x1.540e8d665d8d9p-2, 0x1.521b7849774ccp-2, 0x1.501f1b18c7cd2p-2, 0x1.4e19c6b97b423p-2, 0x1.4c0bcb4b6d6dcp-2, 0x1.49f5782471ecp-2, 0x1.47d71bcbd76e3p-2, 0x1.45b103f61842bp-2, 0x1.43837d80bfa33p-2, 0x1.414ed46e80b6p-2, 0x1.3f1353e380232p-2, 0x1.3cd14621cb66ap-2, 0x1.3a88f48601d5bp-2, 0x1.383aa78430a8p-2, 0x1.35e6a6a4d8c98p-2, 0x1.338d388227b04p-2, 0x1.312ea2c55a6bp-2, 0x1.2ecb2a2451f2p-2, 0x1.2c63125f50cf2p-2, 0x1.29f69e3ee612dp-2, 0x1.27860f920595cp-2, 0x1.2511a72c452c1p-2, 0x1.2299a4e44b1aep-2, 0x1.201e47925f4cp-2, 0x1.1d9fcd0f28ed9p-2, 0x1.1b1e72329092bp-2, 0x1.189a72d2cd6d8p-2, 0x1.161409c394672p-2, 0x1.138b70d56e5bdp-2, 0x1.1100e0d532d85p-2, 0x1.0e74918ba676cp-2, 0x1.0be6b9bd3dbcdp-2, 0x1.09578f29fd70ep-2, 0x1.06c7468d82853p-2, 0x1.0436139f25469p-2, 0x1.01a429123fbbp-2, 0x1.fe23712d22ef9p-3, 0x1.f8fde5b181ddp-3, 0x1.f3d80f05f7087p-3, 0x1.eeb24a7b655dep-3, 0x1.e98cf360e1a68p-3, 0x1.e46863059c79dp-3, 0x1.df44f0baf82a1p-3, 0x1.da22f1d6d8be2p-3, 0x1.d502b9b61b80fp-3, 0x1.cfe499bf46dc1p-3, 0x1.cac8e165662dap-3, 0x1.c5afde2b08cd2p-3, 0x1.c099dba57bff8p-3, 0x1.bb8723802110dp-3, 0x1.b677fd7fef691p-3, 0x1.b16caf871f176p-3, 0x1.ac657d98f3e86p-3, 0x1.a762a9ddae4fdp-3, 0x1.a26474a69f816p-3, 0x1.9d6b1c725a8fdp-3, 0x1.9876ddf10618ap-3, 0x1.9387f408caf61p-3, 0x1.8e9e97da637cep-3, 0x1.89bb00c5bd33p-3, 0x1.84dd646eba30cp-3, 0x1.8005f6c209606p-3, 0x1.7b34e9fa167ep-3, 0x1.766a6ea40bae7p-3, 0x1.71a6b3a4ec991p-3, 0x1.6ce9e63ec2378p-3, 0x1.68343215d67abp-3, 0x1.6385c13606ceap-3, 0x1.5edebc181be58p-3, 0x1.5a3f49a73cc6fp-3, 0x1.55a78f4661df6p-3, 0x1.5117b0d5e2733p-3, 0x1.4c8fd0b8fdab5p-3, 0x1.48100fdb78beep-3, 0x1.43988db74506bp-3, 0x1.3f29685a26f2bp-3, 0x1.3ac2bc6b6db52p-3, 0x1.3664a531a7698p-3, 0x1.320f3c98618bfp-3, 0x1.2dc29b35eb328p-3, 0x1.297ed85118286p-3, 0x1.254409e70b12p-3, 0x1.211244b0fc0c8p-3, 0x1.1ce99c2a04948p-3, 0x1.18ca2294e8c92p-3, 0x1.14b3e901dfcep-3, 0x1.10a6ff545a6a9p-3, 0x1.0ca37448c9a9fp-3, 0x1.08a9557a60332p-3, 0x1.04b8af68ce5a8p-3, 0x1.00d18d7dfe334p-3, 0x1.f9e7f4278f6c3p-4, 0x1.f23ffcf339fafp-4, 0x1.eaab45f46d032p-4, 0x1.e329ddc26445cp-4, 0x1.dbbbd10159db3p-4, 0x1.d4612a6dad695p-4, 0x1.cd19f2e6f2b8bp-4, 0x1.c5e6317afb02ap-4, 0x1.bec5eb70b406dp-4, 0x1.b7b9245313711p-4, 0x1.b0bfddfbc9f41p-4, 0x1.a9da189e02b41p-4, 0x1.a307d2d0edeb3p-4, 0x1.9c49099a4808fp-4, 0x1.959db878c7d68p-4, 0x1.8f05d96e61545p-4, 0x1.8881650a87b62p-4, 0x1.821052744527p-4, 0x1.7bb297743d169p-4, 0x1.7568287e917fp-4, 0x1.6f30f8bcaf30cp-4, 0x1.690cfa16fa72fp-4, 0x1.62fc1d3e5e164p-4, 0x1.5cfe51b5c45d1p-4, 0x1.571385db695ccp-4, 0x1.513ba6f21139p-4, 0x1.4b76a12a2618ep-4, 0x1.45c45faaafc0fp-4, 0x1.4024cc9a2e547p-4, 0x1.3a97d127572dfp-4, 0x1.351d5591b20d9p-4, 0x1.2fb5413213cbfp-4, 0x1.2a5f7a82fa174p-4, 0x1.251be728c8edcp-4, 0x1.1fea6bf9e4e95p-4, 0x1.1acaed06ade04p-4, 0x1.15bd4da15a35fp-4, 0x1.10c17065acdfap-4, 0x1.0bd737408ff7fp-4, 0x1.06fe83778ca9ep-4, 0x1.023735b020ce2p-4, 0x1.fb025bede4ce6p-5, 0x1.f1b8978dce49dp-5, 0x1.e890dc202ac24p-5, 0x1.df8ae67d30de8p-5, 0x1.d6a672827ff53p-5, 0x1.cde33b204b6a7p-5, 0x1.c540fa662c553p-5, 0x1.bcbf698fce339p-5, 0x1.b45e41114787p-5, 0x1.ac1d38a338097p-5, 0x1.a3fc074eaa5d8p-5, 0x1.9bfa6378a9bf8p-5, 0x1.941802eda3a35p-5, 0x1.8c549aec8cce7p-5, 0x1.84afe031b7a18p-5, 0x1.7d2987017b3c5p-5, 0x1.75c1433291cd1p-5, 0x1.6e76c8384b3e7p-5, 0x1.6749c92c635cbp-5, 0x1.6039f8d8bf003p-5, 0x1.594709c0d3039p-5, 0x1.5270ae2adc6ebp-5, 0x1.4bb69828dbc36p-5, 0x1.451879a1541f4p-5, 0x1.3e960457d15e7p-5, 0x1.382ee9f533d61p-5, 0x1.31e2dc0fc639ap-5, 0x1.2bb18c331c9dbp-5, 0x1.259aabe7b74f7p-5, 0x1.1f9decba724e6p-5, 0x1.19bb0043bc203p-5, 0x1.13f1982ea04fap-5, 0x1.0e41663f8f118p-5, 0x1.08aa1c5b00526p-5, 0x1.032b6c8bd390ap-5, 0x1.fb8a1213190dfp-6, 0x1.f0ed487ca489p-6, 0x1.e67fe1998f225p-6, 0x1.dc41432b4f02cp-6, 0x1.d230d37a76acbp-6, 0x1.c84df9613eebbp-6, 0x1.be981c55b05dp-6, 0x1.b50ea47375b62p-6, 0x1.abb0fa85496a4p-6, 0x1.a27e880e2d219p-6, 0x1.9976b75213bedp-6, 0x1.9098f35e68ea1p-6, 0x1.87e4a81236178p-6, 0x1.7f594225e3a16p-6, 0x1.76f62f32b708bp-6, 0x1.6ebaddba0752ap-6, 0x1.66a6bd2c23fddp-6, 0x1.5eb93deede613p-6, 0x1.56f1d163d7edbp-6, 0x1.4f4fe9ee87422p-6, 0x1.47d2faf9e818dp-6, 0x1.407a78fdfaa7ap-6, 0x1.3945d984e6d1p-6, 0x1.3234932febf6bp-6, 0x1.2b461dbc06e93p-6, 0x1.2479f2065d6f3p-6, 0x1.1dcf8a105dcd8p-6, 0x1.17466103b6333p-6, 0x1.10ddf335f42edp-6, 0x1.0a95be2c01a99p-6, 0x1.046d409d5b836p-6, 0x1.fcc7f4ee28398p-7, 0x1.f0f2d9bd21d43p-7, 0x1.e55a346868a6bp-7, 0x1.d9fd0c2b41ad3p-7, 0x1.ceda6ac00aa08p-7, 0x1.c3f15c63ebb7ep-7, 0x1.b940efdaa6f85p-7, 0x1.aec8367195d1ap-7, 0x1.a4864402b4cd7p-7, 0x1.9a7a2ef6fb1a7p-7, 0x1.90a310488ee74p-7, 0x1.87000384a3e4ep-7, 0x1.7d9026cce0bf8p-7, 0x1.74529ad8ab42bp-7, 0x1.6b4682f5e0b6ep-7, 0x1.626b0509ad359p-7, 0x1.59bf499081cf4p-7, 0x1.51427b9e6d35cp-7, 0x1.48f3c8de9ba9bp-7, 0x1.40d26192f2c63p-7, 0x1.38dd78934ce4ap-7, 0x1.3114434c68c8ep-7, 0x1.2975f9beb95b1p-7, 0x1.2201d67cd48d9p-7, 0x1.1ab716a9cdb67p-7, 0x1.1394f9f761c04p-7, 0x1.0c9ac2a3a99cdp-7, 0x1.05c7b576e049p-7, 0x1.fe363381de808p-8, 0x1.f12872ad2aa68p-8, 0x1.e464c11d5b72cp-8, 0x1.d7e9bc7e1588p-8, 0x1.cbb60772807cbp-8, 0x1.bfc8498ea7cfdp-8, 0x1.b41f2f5048188p-8, 0x1.a8b96a1791ca1p-8, 0x1.9d95b01f958fap-8, 0x1.92b2bc76304dp-8, 0x1.880f4ef42740fp-8, 0x1.7daa2c349fc6ap-8, 0x1.73821d8c867b5p-8, 0x1.6995f101be183p-8, 0x1.5fe47942206b8p-8, 0x1.566c8d9a2a97ap-8, 0x1.4d2d09eb96bf2p-8, 0x1.4424cea3d5996p-8, 0x1.3b52c0b21650bp-8, 0x1.32b5c97d9867p-8, 0x1.2a4cd6db5157dp-8, 0x1.2216db03dfa19p-8, 0x1.1a12cc8927ad8p-8, 0x1.123fa64bce18bp-8, 0x1.0a9c67708fa59p-8, 0x1.03281355cfc95p-8, 0x1.f7c36310cb213p-9, 0x1.e9909b7237a47p-9, 0x1.dbb5ef6305ba1p-9, 0x1.ce318691b6671p-9, 0x1.c10190b2546ffp-9, 0x1.b424456796cabp-9, 0x1.a797e42d0cc78p-9, 0x1.9b5ab44000563p-9, 0x1.8f6b04890d901p-9, 0x1.83c72b8593fa7p-9, 0x1.786d8730e0dacp-9, 0x1.6d5c7ced1b9d5p-9, 0x1.6292796ce9328p-9, 0x1.580df09c4d333p-9, 0x1.4dcd5d89ca12fp-9, 0x1.43cf424f93553p-9, 0x1.3a1227fcfadf3p-9, 0x1.30949e7f04fcbp-9, 0x1.27553c8a2bd3ap-9, 0x1.1e529f834b3afp-9, 0x1.158b6b690239bp-9, 0x1.0cfe4abd22997p-9, 0x1.04a9ee6df48fp-9, 0x1.f91a1b7fb42e8p-10, 0x1.e94ccc6d17bd8p-10, 0x1.d9e976fe82f34p-10, 0x1.caedaeb3ddb6bp-10, 0x1.bc571307248c9p-10, 0x1.ae234f3f52fdfp-10, 0x1.a0501a452b6p-10, 0x1.92db3677d6145p-10, 0x1.85c271808fd6dp-10, 0x1.7903a4284531bp-10, 0x1.6c9cb22ca1338p-10, 0x1.608b8a153f0d7p-10, 0x1.54ce250993364p-10, 0x1.496286a6ef933p-10, 0x1.3e46bcd688c12p-10, 0x1.3378dfa4daa57p-10, 0x1.28f711179a93p-10, 0x1.1ebf7d05cc9fcp-10, 0x1.14d058ef59bf2p-10, 0x1.0b27e3d465b08p-10, 0x1.01c4660e84acp-10, 0x1.f1486251d36c2p-11, 0x1.df8b3f72d632p-11, 0x1.ce4e2a74abd73p-11, 0x1.bd8dfbc742fb5p-11, 0x1.ad479d0b53226p-11, 0x1.9d7808c73abb7p-11, 0x1.8e1c4a1c261d2p-11, 0x1.7f317c7db87e8p-11, 0x1.70b4cb691f6b6p-11, 0x1.62a3721ccbf3bp-11, 0x1.54fabb51b1de8p-11, 0x1.47b800f5c3eap-11, 0x1.3ad8abe63c415p-11, 0x1.2e5a33aa3388fp-11, 0x1.223a1e303a7b9p-11, 0x1.1675ff89ccf67p-11, 0x1.0b0b79ab4b597p-11, 0x1.fff0785016673p-12, 0x1.ea7407e8dc639p-12, 0x1.d59d3648190c4p-12, 0x1.c167b1581313ap-12, 0x1.adcf4049da649p-12, 0x1.9acfc319bc412p-12, 0x1.88653216f0e45p-12, 0x1.768b9d6cc3e3bp-12, 0x1.653f2cabcfef8p-12, 0x1.547c1e57474c6p-12, 0x1.443ec771f6f2dp-12, 0x1.3483930d739f8p-12, 0x1.254701db1e6adp-12, 0x1.1685a9be475acp-12, 0x1.083c356077a5ap-12, 0x1.f4cec78d90be2p-13, 0x1.da080fd3bc12p-13, 0x1.c01e109962e57p-13, 0x1.a70abd3376cd1p-13, 0x1.8ec82e788de7dp-13, 0x1.7750a1fec45a6p-13, 0x1.609e7957e1bbdp-13, 0x1.4aac3953aee04p-13, 0x1.357489431bb49p-13, 0x1.20f2323e24906p-13, 0x1.0d201e6fc12abp-13, 0x1.f3f2b0c22ccf9p-14, 0x1.cef214966c63cp-14, 0x1.ab34facf2981dp-14, 0x1.88b2328f378b8p-14, 0x1.6760c6566e95ap-14, 0x1.4737fabb9afd2p-14, 0x1.282f4d26036cp-14, 0x1.0a3e729049b3p-14, 0x1.dabaac9fb143dp-15, 0x1.a30831c29c623p-15, 0x1.6d561d7462256p-15, 0x1.39957e4310dddp-15, 0x1.07b7c6143d21ep-15, 0x1.af5d8fdc6f81cp-16, 0x1.52d96b80a6c99p-16, 0x1.f39078ff0d86dp-17, 0x1.481fab1f4a1c1p-17, 0x1.465aea2a04df5p-18, 0x1.220e2e7153a2p-23, -0x1.2800abd0964e9p-18, -0x1.269b389118ca2p-17, -0x1.b3762e60e7d18p-17, -0x1.1d5eddbeaf7f6p-16, -0x1.5e4e9834e3295p-16, -0x1.9c9f58a5c8cb6p-16, -0x1.d8659e914af4bp-16, -0x1.08daad2c4b7b6p-15, -0x1.2450f8557597bp-15, -0x1.3e9f1ef36a3ccp-15, -0x1.57ce4cb20a4cfp-15, -0x1.6fe76c55e065dp-15, -0x1.86f3295129973p-15, -0x1.9cf9f1522449cp-15, -0x1.b203f5c473579p-15, -0x1.c6192d5120c7dp-15, -0x1.d9415550b9fadp-15, -0x1.eb83f338b53a8p-15, -0x1.fce856013f8a5p-15, -0x1.06bacbc26536cp-14, -0x1.0e994eea08eadp-14, -0x1.16130e4465e61p-14, -0x1.1d2b4b04910e9p-14, -0x1.23e52e679f575p-14, -0x1.2a43ca4fdd31p-14, -0x1.304a19ddf2033p-14, -0x1.35fb020815b1ap-14, -0x1.3b59522f85c05p-14, -0x1.4067c4abf760ep-14, -0x1.4528ff5c3c0b5p-14, -0x1.499f942e3e7f6p-14, -0x1.4dce01a5ee223p-14, -0x1.51b6b360c611p-14, -0x1.555c0295e742fp-14, -0x1.58c03694e0893p-14, -0x1.5be5853f5187p-14, -0x1.5ece13822e01cp-14, -0x1.617bf5c9d7d58p-14, -0x1.63f1307597816p-14, -0x1.662fb847631fdp-14, -0x1.683972cfebdf1p-14, -0x1.6a1036db42129p-14, -0x1.6bb5ccd822b2cp-14, -0x1.6d2bef3dab647p-14, -0x1.6e744aeea0a51p-14, -0x1.6f907f9a9bad5p-14, -0x1.7082201c684a2p-14, -0x1.714ab2d61dbf6p-14, -0x1.71ebb20c8580bp-14, -0x1.72668c3d93772p-14, -0x1.72bca476edf38p-14, -0x1.72ef52a94d23fp-14, -0x1.72ffe3fa14c0ep-14, -0x1.72ef9b120f763p-14, -0x1.72bfb06c9eab9p-14, -0x1.727152a23cb3fp-14, -0x1.7205a6b22e61ap-14, -0x1.717dc84b2cb18p-14, -0x1.70daca100b477p-14, -0x1.701db5dce9a12p-14, -0x1.6f478d0944cdcp-14, -0x1.6e5948a92b367p-14, -0x1.6d53d9cbb1d66p-14, -0x1.6c3829b8bdc57p-14, -0x1.6b071a2c4991cp-14, -0x1.69c18591c70e9p-14, -0x1.68683f3acc84dp-14, -0x1.66fc13983c5a7p-14, -0x1.657dc86f16adfp-14, -0x1.63ee1d0d469f4p-14, -0x1.624dca7ba9d3dp-14, -0x1.609d83afb065fp-14, -0x1.5eddf5bbaf332p-14, -0x1.5d0fc7fddaa23p-14, -0x1.5b339c4ddb48bp-14, -0x1.594a0f287eb27p-14, -0x1.5753b7db0fb5dp-14, -0x1.555128ada11b3p-14, -0x1.5342ef0ad3e3dp-14, -0x1.512993a7b7545p-14, -0x1.4f059aaa56dd1p-14, -0x1.4cd783cf2f58cp-14, -0x1.4a9fca8ccfeb4p-14, -0x1.485ee637ad7f3p-14, -0x1.46154a23c9702p-14, -0x1.43c365c5f8311p-14, -0x1.4169a4d483d58p-14, -0x1.3f086f65f6a15p-14, -0x1.3ca02a0fbf959p-14, -0x1.3a313603b0fe2p-14, -0x1.37bbf12c9728p-14, -0x1.3540b6496108ep-14, -0x1.32bfdd089fea7p-14, -0x1.3039ba2268074p-14, -0x1.2dae9f71d2f16p-14, -0x1.2b1edc0d4098p-14, -0x1.288abc5e03dd2p-14, -0x1.25f28a381f055p-14, -0x1.23568cefcd907p-14, -0x1.20b7096f2d3dp-14, -0x1.1e14424bdf1dcp-14, -0x1.1b6e77daaa28cp-14, -0x1.18c5e843d1bcbp-14, -0x1.161acf9575e87p-14, -0x1.136d67d66bacep-14, -0x1.10bde917b81fep-14, -0x1.0e0c89860cd1dp-14, -0x1.0b597d7abe893p-14, -0x1.08a4f78b591b4p-14, -0x1.05ef2899cc927p-14, -0x1.03383fe379617p-14, -0x1.00806b0fdd4a2p-14, -0x1.fb8fac7c7b865p-15, -0x1.f61d5827531bap-15, -0x1.f0aa2b906fd81p-15, -0x1.eb367667acb1p-15, -0x1.e5c285b4fd7dcp-15, -0x1.e04ea3f01aa61p-15, -0x1.dadb191815663p-15, -0x1.d5682ac991d5dp-15, -0x1.cff61c5334d8fp-15, -0x1.ca852ecb40586p-15, -0x1.c515a1238a4ddp-15, -0x1.bfa7b03c95827p-15, -0x1.ba3b96f860732p-15, -0x1.b4d18e4bf2d2cp-15, -0x1.af69cd51504b7p-15, -0x1.aa0489571f413p-15, -0x1.a4a1f5f17b57fp-15, -0x1.9f4245095e9a9p-15, -0x1.99e5a6eb8d9d3p-15, -0x1.948c4a57018eep-15, -0x1.8f365c8a5f19bp-15, -0x1.89e409525dee8p-15, -0x1.84957b155d38ap-15, -0x1.7f4adae05810cp-15, -0x1.7a045072c5993p-15, -0x1.74c2024a0bef3p-15, -0x1.6f8415ac911cdp-15, -0x1.6a4aaeb4110d3p-15, -0x1.6515f0583e157p-15, -0x1.5fe5fc7830afdp-15, -0x1.5abaf3e407da4p-15, -0x1.5594f665595fap-15, -0x1.507422c8b6d5p-15, -0x1.4b5896e57ea38p-15, -0x1.46426fa6a044p-15, -0x1.4131c9117db22p-15, -0x1.3c26be4daaceap-15, -0x1.372169abf391fp-15, -0x1.3221e4ace1fb7p-15, -0x1.2d284807ab0bdp-15, -0x1.2834abb02fc1dp-15, -0x1.234726dd5c7cap-15, -0x1.1e5fd00e8ce32p-15, -0x1.197ebd1131b9bp-15, -0x1.14a4030675a38p-15, -0x1.0fcfb667a479cp-15, -0x1.0b01eb0b44424p-15, -0x1.063ab429e2d92p-15, -0x1.017a2462cc8b9p-15, -0x1.f9809b7fba62ep-16, -0x1.f01a8372f28afp-16, -0x1.e6c22275d875p-16, -0x1.dd77994c26c9p-16, -0x1.d43b07ad825e7p-16, -0x1.cb0c8c4c23d6dp-16, -0x1.c1ec44db98ffap-16, -0x1.b8da4e17a811bp-16, -0x1.afd6c3c939198p-16, -0x1.a6e1c0cdaf633p-16, -0x1.9dfb5f1b3ad7ep-16, -0x1.9523b7c631158p-16, -0x1.8c5ae3065312ep-16, -0x1.83a0f83b31f0cp-16, -0x1.7af60df17bd26p-16, -0x1.725a39e6cb865p-16, -0x1.69cd910e0d583p-16, -0x1.61502793bb88p-16, -0x1.58e210e14d64ap-16, -0x1.50835fa1c0dd2p-16, -0x1.483425c4780ccp-16, -0x1.3ff4747ff7124p-16, -0x1.37c45c55e9c3bp-16, -0x1.2fa3ed16f3576p-16, -0x1.279335e4feb45p-16, -0x1.1f924535a96b9p-16, -0x1.17a128d540403p-16, -0x1.0fbfede9ff6b2p-16, -0x1.07eea0f60de47p-16, -0x1.002d4dd93ab4p-16, -0x1.f0f7ffa8d0e33p-17, -0x1.e1b583170875ep-17, -0x1.d2933a0faa97ap-17, -0x1.c3913772d052ap-17, -0x1.b4af8cf32b6bdp-17, -0x1.a5ee4b1a3dce7p-17, -0x1.974d814bca18p-17, -0x1.88cd3dc8bb39fp-17, -0x1.7a6d8db347b96p-17, -0x1.6c2e7d1294aabp-17, -0x1.5e1016d52163ap-17, -0x1.501264d469063p-17, -0x1.42356fd86b8cp-17, -0x1.34793f9a1320bp-17, -0x1.26dddac6f81ebp-17, -0x1.19634703faba1p-17, -0x1.0c0988ee42a9ap-17, -0x1.fda14841143f3p-18, -0x1.e3713669017c3p-18, -0x1.c982df8d0afa8p-18, -0x1.afd644ed64015p-18, -0x1.966b65d93079p-18, -0x1.7d423fb3f760bp-18, -0x1.645acdf96c698p-18, -0x1.4bb50a3fadd47p-18, -0x1.3350ec40ec997p-18, -0x1.1b2e69dd5d99bp-18, -0x1.034d7720ba7eap-18, -0x1.d75c0c8dfb77ap-19, -0x1.a8a00f83526a4p-19, -0x1.7a66d4743b86ap-19, -0x1.4cb03533de7cep-19, -0x1.1f7c081682071p-19, -0x1.e5944002ff1d7p-20, -0x1.8d3498e74e238p-20, -0x1.35d8b316c897p-20, -0x1.bf0040447414cp-21, -0x1.1454d5fecb95cp-21, -0x1.aeb8c0eddc65ep-23, 0x1.d7a5a87514f3p-24, 0x1.bf29d556c45a1p-22, 0x1.82338e0f0abbp-21, 0x1.1168e493e6b03p-20, 0x1.60b8691fb06cap-20, 0x1.af08f5e42e75bp-20, 0x1.fc5b3228c9936p-20, 0x1.2457e591f84cfp-19, 0x1.4a03b9f8192bbp-19, 0x1.6f3172ba3146ep-19, 0x1.93e16f2a1c5c6p-19, 0x1.b814116ee3505p-19, 0x1.dbc9be7a1ebdcp-19, 0x1.ff02ddffe6148p-19, 0x1.10dfed37ad2e4p-18, 0x1.22009071a3a4ep-18, 0x1.32e3908ccb7eep-18, 0x1.438926b7e4347p-18, 0x1.53f18d6adfc47p-18, 0x1.641d005ff7d1ap-18, 0x1.740bbc9178b3cp-18, 0x1.83be003406603p-18, 0x1.93340ab1f041dp-18, 0x1.a26e1ca53c7bfp-18, 0x1.b16c77d3a6aep-18, 0x1.c02f5f2aa0283p-18, 0x1.ceb716b868342p-18, 0x1.dd03e3a64c16ap-18, 0x1.eb160c36dc7c7p-18, 0x1.f8edd7bf1227fp-18, 0x1.0345c750e2e82p-17, 0x1.09f7bd24c5eacp-17, 0x1.108cf29290d95p-17, 0x1.17058d50a726fp-17, 0x1.1d61b391e3db5p-17, 0x1.23a18c039004ep-17, 0x1.29c53dcaa370fp-17, 0x1.2fccf081143b2p-17, 0x1.35b8cc33030eap-17, 0x1.3b88f95cad8f5p-17, 0x1.413da0e83f544p-17, 0x1.46d6ec29d0cfep-17, 0x1.4c5504dece1ecp-17, 0x1.51b8152a1e24fp-17, 0x1.57004791dc0afp-17, 0x1.5c2dc6fc6c6f6p-17, 0x1.6140beaef58ddp-17, 0x1.66395a4a26c2cp-17, 0x1.6b17c5c810961p-17, 0x1.6fdc2d78c6eb8p-17, 0x1.7486be00b38c6p-17, 0x1.7917a4564a29fp-17, 0x1.7d8f0dbe4ce1bp-17, 0x1.81ed27cb0b202p-17, 0x1.8632205845961p-17, 0x1.8a5e25899d95p-17, 0x1.8e7165c7b7832p-17, 0x1.926c0fbdc3a1dp-17, 0x1.964e52579862ap-17, 0x1.9a185cbf42628p-17, 0x1.9dca5e5968a2ap-17, 0x1.a16486c3cea06p-17, 0x1.a4e705d320d8p-17, 0x1.a8520b900a406p-17, 0x1.aba5c834ce5cbp-17, 0x1.aee26c2b93202p-17, 0x1.b208280bd6f88p-17, 0x1.b5172c975def7p-17, 0x1.b80faab82dbc2p-17, 0x1.baf1d37ebf26ep-17, 0x1.bdbdd81fb37cbp-17, 0x1.c073e9f10b30bp-17, 0x1.c3143a682d74bp-17, 0x1.c59efb18492cp-17, 0x1.c8145dae80efcp-17, 0x1.ca7493f085a71p-17, 0x1.ccbfcfbb98e27p-17, 0x1.cef64300efa3ap-17, 0x1.d1181fc3a2e76p-17, 0x1.d3259817bd888p-17, 0x1.d51ede1e80c3ep-17, 0x1.d70424057da32p-17, 0x1.d8d59c0455f75p-17, 0x1.da93785a141fdp-17, 0x1.dc3deb4c0db14p-17, 0x1.ddd527239d3bbp-17, 0x1.df595e2b124e4p-17, 0x1.e0cac2adc9f6bp-17, }}, 
      {{-0x1.cba4cfde50921p-1, -0x1.cb98491e618a4p-1, -0x1.cb836287913b6p-1, -0x1.cb66134c91a01p-1, -0x1.cb404f7f38436p-1, -0x1.cb1208696eb85p-1, -0x1.cadb2cf2d2256p-1, -0x1.ca9baa0dc71fcp-1, -0x1.ca536b2790b99p-1, -0x1.ca025a97ce118p-1, -0x1.c9a8620c74446p-1, -0x1.c9456af0107a7p-1, -0x1.c8d95ec8c8004p-1, -0x1.c864278f1a313p-1, -0x1.c7e5affbebe95p-1, -0x1.c75de3cdb9504p-1, -0x1.c6ccb00516e34p-1, -0x1.c6320318d7f33p-1, -0x1.c58dcd2244cafp-1, -0x1.c4e00001e89f8p-1, -0x1.c4288f7d7a8f1p-1, -0x1.c36771576e6e8p-1, -0x1.c29c9d60b5f21p-1, -0x1.c1c80d853afbp-1, -0x1.c0e9bdd3956fp-1, -0x1.c001ac807a9c5p-1, -0x1.bf0fd9e663106p-1, -0x1.be144881d6d0ap-1, -0x1.bd0efcead2be9p-1, -0x1.bbfffdcba8ca4p-1, -0x1.bae753d5c16cdp-1, -0x1.b9c509b49119ep-1, -0x1.b8992bff17a33p-1, -0x1.b763c9282f43cp-1, -0x1.b624f16df1794p-1, -0x1.b4dcb6c86671ap-1, -0x1.b38b2cd7b91b7p-1, -0x1.b23068d216fd2p-1, -0x1.b0cc817167258p-1, -0x1.af5f8ee0f3b23p-1, -0x1.ade9aaab2801ap-1, -0x1.ac6aefa77528ep-1, -0x1.aae379e87200dp-1, -0x1.a95366aa45f7fp-1, -0x1.a7bad4416a885p-1, -0x1.a619e209cc56p-1, -0x1.a470b05654186p-1, -0x1.a2bf6060da2aep-1, -0x1.a106143a8d1ffp-1, -0x1.9f44eebcc7609p-1, -0x1.9d7c137a5a725p-1, -0x1.9baba6b14d3f4p-1, -0x1.99d3cd3d10038p-1, -0x1.97f4ac891f481p-1, -0x1.960e6a841e0ddp-1, -0x1.94212d935d422p-1, -0x1.922d1c86d1285p-1, -0x1.90325e8d7801bp-1, -0x1.8e311b2a2849bp-1, -0x1.8c297a28c9983p-1, -0x1.8a1ba393f5177p-1, -0x1.8807bfaafb91cp-1, -0x1.85edf6d84e03bp-1, -0x1.83ce71a84798ep-1, -0x1.81a958c0586a7p-1, -0x1.7f7ed4d68a9efp-1, -0x1.7d4f0ea965e09p-1, -0x1.7b1a2ef829b05p-1, -0x1.78e05e7b5fae8p-1, -0x1.76a1c5ddc3a6fp-1, -0x1.745e8db57cc1ap-1, -0x1.7216de7daa0b6p-1, -0x1.6fcae0903b85p-1, -0x1.6d7abc2019436p-1, -0x1.6b26993395c42p-1, -0x1.68ce9f9f27baap-1, -0x1.6672f7006a732p-1, -0x1.6413c6b9630abp-1, -0x1.61b135ec08b8dp-1, -0x1.5f4b6b760b54cp-1, -0x1.5ce28decda493p-1, -0x1.5a76c399e4b45p-1, -0x1.5808327716aa8p-1, -0x1.5597002b8baffp-1, -0x1.53235208782cp-1, -0x1.50ad4d0646faep-1, -0x1.4e3515c1e797fp-1, -0x1.4bbad07a4d19fp-1, -0x1.493ea10e1a0b5p-1, -0x1.46c0aaf979c79p-1, -0x1.4441115421353p-1, -0x1.41bff6cf7a617p-1, -0x1.3f3d7db4f4d56p-1, -0x1.3cb9c7e47b147p-1, -0x1.3a34f6d30a697p-1, -0x1.37af2b896c584p-1, -0x1.352886a3109bcp-1, -0x1.32a1284d022f4p-1, -0x1.30193044fc035p-1, -0x1.2d90bdd897a49p-1, -0x1.2b07efe493325p-1, -0x1.287ee4d433b2ep-1, -0x1.25f5baa0bac25p-1, -0x1.236c8ed0f31f3p-1, -0x1.20e37e78d1e3cp-1, -0x1.1e5aa6392ae05p-1, -0x1.1bd2223f7654fp-1, -0x1.194a0e45a8b3cp-1, -0x1.16c2859219c77p-1, -0x1.143ba2f77be76p-1, -0x1.11b580d4df7c9p-1, -0x1.0f303915c623p-1, -0x1.0cabe532413bp-1, -0x1.0a289e2f1bb1p-1, -0x1.07a67c9e104eap-1, -0x1.0525989e090f5p-1, -0x1.02a609db68936p-1, -0x1.0027e7905de7ep-1, -0x1.fb56910a7c7e5p-2, -0x1.f6608621d5835p-2, -0x1.f16dda327192cp-2, -0x1.ec7eb826cc6c6p-2, -0x1.e7934a0923deap-2, -0x1.e2abb904751afp-2, -0x1.ddc82d6585e8ep-2, -0x1.d8e8ce9bff018p-2, -0x1.d40dc33b85f94p-2, -0x1.cf3730fced984p-2, -0x1.ca653cbf65516p-2, -0x1.c5980a89b81e2p-2, -0x1.c0cfbd8b91829p-2, -0x1.bc0c781ecbcd9p-2, -0x1.b74e5bc8c4f24p-2, -0x1.b295893bbb4bfp-2, -0x1.ade2205832bcdp-2, -0x1.a934402e5f851p-2, -0x1.a48c06ff96d12p-2, -0x1.9fe9923fc8848p-2, -0x1.9b4cfe96fb379p-2, -0x1.96b667e2d333ep-2, -0x1.9225e93819006p-2, -0x1.8d9b9ce44bcd2p-2, -0x1.89179c6f34c01p-2, -0x1.849a009c822d2p-2, -0x1.8022e16d65e19p-2, -0x1.7bb256223b5abp-2, -0x1.7748753c2edd3p-2, -0x1.72e5547eedc94p-2, -0x1.6e8908f259216p-2, -0x1.6a33a6e43b256p-2, -0x1.65e541ea069abp-2, -0x1.619dece29532cp-2, -0x1.5d5db9f7ecfbcp-2, -0x1.5924baa10874p-2, -0x1.54f2ffa3a6184p-2, -0x1.50c899161861cp-2, -0x1.4ca596611a2acp-2, -0x1.488a0641aa1c4p-2, -0x1.4475f6cae61bep-2, -0x1.40697567ec711p-2, -0x1.3c648eddc06fap-2, -0x1.38674f4d3235cp-2, -0x1.3471c234c9efp-2, -0x1.3083f272b70cfp-2, -0x1.2c9dea46c0d0ep-2, -0x1.28bfb3543cfe7p-2, -0x1.24e956a4068dfp-2, -0x1.211adca679a5bp-2, -0x1.1d544d356f939p-2, -0x1.1995af9640ee9p-2, -0x1.15df0a7bc7482p-2, -0x1.1230640863b36p-2, -0x1.0e89c1d0031a5p-2, -0x1.0aeb28da2bce5p-2, -0x1.07549da407242p-2, -0x1.03c624226e944p-2, -0x1.003fbfc3fb0e9p-2, -0x1.f982e6e62d006p-3, -0x1.f29683301c77p-3, -0x1.ebba583648fc5p-3, -0x1.e4ee68cd4cbb2p-3, -0x1.de32b6d20365fp-3, -0x1.d787432db52e7p-3, -0x1.d0ec0dda437f1p-3, -0x1.ca6115e65bddp-3, -0x1.c3e65979a3c0bp-3, -0x1.bd7bd5d8eb77ap-3, -0x1.b721876a591cp-3, -0x1.b0d769b99efb1p-3, -0x1.aa9d777c268c6p-3, -0x1.a473aa953e0dp-3, -0x1.9e59fc1a461a2p-3, -0x1.98506456e02d2p-3, -0x1.9256dad110c72p-3, -0x1.8c6d564d6ded2p-3, -0x1.8693ccd33c0c1p-3, -0x1.80ca33b0972e5p-3, -0x1.7b107f7e8a98ap-3, -0x1.7566a42530524p-3, -0x1.6fcc94dfc53dbp-3, -0x1.6a424440ba8dap-3, -0x1.64c7a435c81b2p-3, -0x1.5f5ca60bf26bbp-3, -0x1.5a013a739197fp-3, -0x1.54b551844be23p-3, -0x1.4f78dac113d18p-3, -0x1.4a4bc51c19fc5p-3, -0x1.452dfefab6e86p-3, -0x1.401f7639586fbp-3, -0x1.3b20182f5a08ap-3, -0x1.362fd1b2e336cp-3, -0x1.314e8f1cb5452p-3, -0x1.2c7c3c4bf81f2p-3, -0x1.27b8c4a9fbba6p-3, -0x1.2304132deef24p-3, -0x1.1e5e126097449p-3, -0x1.19c6ac5ff615ap-3, -0x1.153dcae2e8adp-3, -0x1.10c3573cc3ccap-3, -0x1.0c573a60e0539p-3, -0x1.07f95ce61e342p-3, -0x1.03a9a70a66889p-3, -0x1.fed0016c2f545p-4, -0x1.f668a2fedd4a8p-4, -0x1.ee1d015bd1844p-4, -0x1.e5ecea7b2c344p-4, -0x1.ddd82bc4c33d1p-4, -0x1.d5de9216a5ee7p-4, -0x1.cdffe9cb849c7p-4, -0x1.c63bfec1031b4p-4, -0x1.be929c5dfb648p-4, -0x1.b7038d98a093p-4, -0x1.af8e9cfc99125p-4, -0x1.a83394b0f3ddp-4, -0x1.a0f23e7e0c22ep-4, -0x1.99ca63d36423cp-4, -0x1.92bbcdcd51c5cp-4, -0x1.8bc6453aa2e6dp-4, -0x1.84e992a229ee5p-4, -0x1.7e257e482e661p-4, -0x1.7779d033ca394p-4, -0x1.70e650342b54dp-4, -0x1.6a6ac5e5c3bp-4, -0x1.6406f8b75d89ep-4, -0x1.5dbaafef1813p-4, -0x1.5785b2af4efbbp-4, -0x1.5167c7fb68acap-4, -0x1.4b60b6bc8f361p-4, -0x1.457045c64c0bbp-4, -0x1.3f963bdb14714p-4, -0x1.39d25fb0b7d34p-4, -0x1.342477f4b79ap-4, -0x1.2e8c4b508bfd8p-4, -0x1.2909a06dcc2cp-4, -0x1.239c3dfa4181bp-4, -0x1.1e43eaabe387p-4, -0x1.19006d44bdf27p-4, -0x1.13d18c96bc18ap-4, -0x1.0eb70f876211ep-4, -0x1.09b0bd136ac78p-4, -0x1.04be5c5252a75p-4, -0x1.ffbf68f39696bp-5, -0x1.f62919c22a8b3p-5, -0x1.ecb95a0894866p-5, -0x1.e36fb90f1505ap-5, -0x1.da4bc67432cfap-5, -0x1.d14d1232c0077p-5, -0x1.c8732ca7be2d5p-5, -0x1.bfbda6980ec09p-5, -0x1.b72c1135fd87dp-5, -0x1.aebdfe26a2631p-5, -0x1.a672ff87156p-5, -0x1.9e4aa7f17d831p-5, -0x1.96448a81f666p-5, -0x1.8e603adb4d6p-5, -0x1.869d4d2b93672p-5, -0x1.7efb56309163bp-5, -0x1.7779eb3c07088p-5, -0x1.7018a237d5f75p-5, -0x1.68d711a9f3e58p-5, -0x1.61b4d0b8463c2p-5, -0x1.5ab1772c4fa0bp-5, -0x1.53cc9d76c1b1ep-5, -0x1.4d05dcb2dff92p-5, -0x1.465ccea9cd0b9p-5, -0x1.3fd10dd5a5b4ap-5, -0x1.39623564886ccp-5, -0x1.330fe13b70d5p-5, -0x1.2cd9adf8f70d2p-5, -0x1.26bf38f7ebda2p-5, -0x1.20c02051d9015p-5, -0x1.1adc02e15aef9p-5, -0x1.1512804463277p-5, -0x1.0f6338de52ed7p-5, -0x1.09cdcdda0402ep-5, -0x1.0451e12ba7817p-5, -0x1.fdde2b2522068p-6, -0x1.f34a1d35c65d9p-6, -0x1.e8e6e13e32264p-6, -0x1.deb3c193022f1p-6, -0x1.d4b00a2b26a72p-6, -0x1.cadb08a260a88p-6, -0x1.c1340c3b92053p-6, -0x1.b7ba65e2d1f88p-6, -0x1.ae6d682f53661p-6, -0x1.a54c676523b19p-6, -0x1.9c56b976a6bc7p-6, -0x1.938bb60602002p-6, -0x1.8aeab6663607cp-6, -0x1.8273159c2f77dp-6, -0x1.7a24305f904f8p-6, -0x1.71fd651b67925p-6, -0x1.69fe13eeabb91p-6, -0x1.62259eac962c8p-6, -0x1.5a7368dcdc451p-6, -0x1.52e6d7bbb7bcbp-6, -0x1.4b7f5239d2faap-6, -0x1.443c40fc0a72ap-6, -0x1.3d1d0e5b11de9p-6, -0x1.36212662ef3fp-6, -0x1.2f47f6d25f577p-6, -0x1.2890ef1a0b04fp-6, -0x1.21fb805bafe9fp-6, -0x1.1b871d691507ap-6, -0x1.15333ac2f7999p-6, -0x1.0eff4e97ca341p-6, -0x1.08ead0c25e122p-6, -0x1.02f53ac87acbap-6, -0x1.fa3c0fb289933p-7, -0x1.eec96997541f5p-7, -0x1.e391803925025p-7, -0x1.d89353da32985p-7, -0x1.cdcde80140a94p-7, -0x1.c34043758d8bap-7, -0x1.b8e9703aae637p-7, -0x1.aec87b8c499aap-7, -0x1.a4dc75d978af2p-7, -0x1.9b2472c0397c1p-7, -0x1.919f8908a467p-7, -0x1.884cd2a00396dp-7, -0x1.7f2b6c93bbb8dp-7, -0x1.763a770c2f256p-7, -0x1.6d79154761aebp-7, -0x1.64e66d939f40dp-7, -0x1.5c81a949e8cdbp-7, -0x1.5449f4c866da3p-7, -0x1.4c3e7f6c987d8p-7, -0x1.445e7b8d980cep-7, -0x1.3ca91e76253b6p-7, -0x1.351da05ea7102p-7, -0x1.2dbb3c6724023p-7, -0x1.268130910f703p-7, -0x1.1f6ebdb91031fp-7, -0x1.18832790bc9cbp-7, -0x1.11bdb4983f05ap-7, -0x1.0b1dae17eb5a4p-7, -0x1.04a26019c2002p-7, -0x1.fc9632c5de614p-8, -0x1.f02e56da76d1ep-8, -0x1.e40bd4c0d4cdfp-8, -0x1.d82d5a172e632p-8, -0x1.cc9199bd0ecd9p-8, -0x1.c1374bc5d3b43p-8, -0x1.b61d2d6b42e21p-8, -0x1.ab4200ffed0d2p-8, -0x1.a0a48de199e72p-8, -0x1.9643a06bacdcdp-8, -0x1.8c1e09e975d91p-8, -0x1.8232a08870048p-8, -0x1.78803f4aa9e56p-8, -0x1.6f05c5f8f023p-8, -0x1.65c219151ce0bp-8, -0x1.5cb421cc43e95p-8, -0x1.53dacde922b12p-8, -0x1.4b350fc627118p-8, -0x1.42c1de3fe7746p-8, -0x1.3a8034a751d0ap-8, -0x1.326f12b3ffcd8p-8, -0x1.2a8d7c768b774p-8, -0x1.22da7a4af5661p-8, -0x1.1b5518cafe838p-8, -0x1.13fc68c0965bap-8, -0x1.0ccf7f186113p-8, -0x1.05cd74d430fa5p-8, -0x1.fdeacdfb3fe0bp-9, -0x1.f08ced314eb79p-9, -0x1.e37f912c9d531p-9, -0x1.d6c10b8edb8e8p-9, -0x1.ca4fb59eea7dcp-9, -0x1.be29f02ea2af9p-9, -0x1.b24e238091fe2p-9, -0x1.a6babf2e2726p-9, -0x1.9b6e3a0dba762p-9, -0x1.90671218f1b22p-9, -0x1.85a3cc5326c5ap-9, -0x1.7b22f4b01c271p-9, -0x1.70e31dfab40b4p-9, -0x1.66e2e1bbf9ca2p-9, -0x1.5d20e02246d82p-9, -0x1.539bbfe87663dp-9, -0x1.4a522e3da9103p-9, -0x1.4142deacad7c5p-9, -0x1.386c8b0411aep-9, -0x1.2fcdf33e398d5p-9, -0x1.2765dd699335bp-9, -0x1.1f3315910ae52p-9, -0x1.17346da4cb79cp-9, -0x1.0f68bd6329b95p-9, -0x1.07cee2419b6a7p-9, -0x1.0065bf562b678p-9, -0x1.f2587a81bbdcfp-10, -0x1.e442942ae8281p-10, -0x1.d687b28adec86p-10, -0x1.c925c71443c99p-10, -0x1.bc1acd9e3b98ap-10, -0x1.af64cc3998201p-10, -0x1.a301d30682deep-10, -0x1.96effc0a6cccbp-10, -0x1.8b2d6b06d78b7p-10, -0x1.7fb84d501fb83p-10, -0x1.748ed9a4f2602p-10, -0x1.69af5006354bdp-10, -0x1.5f17f98f6c454p-10, -0x1.54c7284f45c4ep-10, -0x1.4abb37213155fp-10, -0x1.40f28986aa8aap-10, -0x1.376b8b81c0514p-10, -0x1.2e24b16f567b8p-10, -0x1.251c77e27c3dap-10, -0x1.1c51637fa448p-10, -0x1.13c200d8d5b37p-10, -0x1.0b6ce449edd0ep-10, -0x1.0350a9d5890e4p-10, -0x1.f6d7ea04b6dfap-11, -0x1.e77ae17191f79p-11, -0x1.d8879e42a2f78p-11, -0x1.c9fb9305da4eep-11, -0x1.bbd4404508f2ap-11, -0x1.ae0f3443f9a7cp-11, -0x1.a0aa0ac155edp-11, -0x1.93a26cb6ccd6fp-11, -0x1.86f6101af3ba3p-11, -0x1.7aa2b7a3f4df6p-11, -0x1.6ea6328ac024fp-11, -0x1.62fe5c4fa017p-11, -0x1.57a91c7ee998ep-11, -0x1.4ca466773df4ep-11, -0x1.41ee39308abeep-11, -0x1.37849f032c9edp-11, -0x1.2d65ad70be2c1p-11, -0x1.238f84ed75c5dp-11, -0x1.1a0050aa08f41p-11, -0x1.10b6465ed59e1p-11, -0x1.07afa6177cbeap-11, -0x1.fdd573feb4e51p-12, -0x1.eccbac5e2bd98p-12, -0x1.dc3eb0f500e98p-12, -0x1.cc2b507f46f88p-12, -0x1.bc8e6c6ceebbdp-12, -0x1.ad64f882147f8p-12, -0x1.9eabfa7a13afdp-12, -0x1.906089ab02de2p-12, -0x1.827fceab3215dp-12, -0x1.750702f7e5581p-12, -0x1.67f3709dcb25ap-12, -0x1.5b4271e2b57dfp-12, -0x1.4ef170f0a3499p-12, -0x1.42fde78281c4cp-12, -0x1.37655e91f96dep-12, -0x1.2c256e0725d7dp-12, -0x1.213bbc68d08b3p-12, -0x1.16a5fe8efa52ap-12, -0x1.0c61f755fa0ccp-12, -0x1.026d77537b934p-12, -0x1.f18cb918a8356p-13, -0x1.ded5245831dcp-13, -0x1.ccb0207a7ff4p-13, -0x1.bb19b6c775cdep-13, -0x1.aa0e092f15fbcp-13, -0x1.998951c251f49p-13, -0x1.8987e22e9f7bep-13, -0x1.7a06233aa375dp-13, -0x1.6b00944775f87p-13, -0x1.5c73cad173f92p-13, -0x1.4e5c71f54e57cp-13, -0x1.40b749f6fd808p-13, -0x1.338127cab028bp-13, -0x1.26b6f49fb8c07p-13, -0x1.1a55ad6e2f8c2p-13, -0x1.0e5a6286c2498p-13, -0x1.02c23723ac2aap-13, -0x1.ef14c1fa46737p-14, -0x1.d9604fbe83aep-14, -0x1.c461ca82431ebp-14, -0x1.b01407beaf135p-14, -0x1.9c71feaef77fep-14, -0x1.8976c78be8be8p-14, -0x1.771d9acbe8087p-14, -0x1.6561d0655328ep-14, -0x1.543edf15a8fcbp-14, -0x1.43b05bab63e59p-14, -0x1.33b1f8556d773p-14, -0x1.243f83f30de62p-14, -0x1.1554e96ad569ep-14, -0x1.06ee2f0178a61p-14, -0x1.f20eeb6ceccdfp-15, -0x1.d739f147fe80fp-15, -0x1.bd5618c058da2p-15, -0x1.a45c3cc6a9b8ep-15, -0x1.8c4568e2abec7p-15, -0x1.750ad809c77p-15, -0x1.5ea5f37dd1973p-15, -0x1.491051b1d1d25p-15, -0x1.3443b53269129p-15, -0x1.203a0b97bd723p-15, -0x1.0ced6c78d784ap-15, -0x1.f4b030d0b94b6p-16, -0x1.d0e8efeaf7534p-16, -0x1.ae7a3561bf3abp-16, -0x1.8d596c72b7928p-16, -0x1.6d7c4a984dbecp-16, -0x1.4ed8cdb465747p-16, -0x1.31653a4849684p-16, -0x1.151819b23dddp-16, -0x1.f3d070f2409e6p-17, -0x1.bf9949404d6cp-17, -0x1.8d7957fef7d72p-17, -0x1.5d5fb55d5d8aep-17, -0x1.2f3bf2e30b794p-17, -0x1.02fe185d44044p-17, -0x1.b12d41c180b36p-18, -0x1.5fecefbec01fbp-18, -0x1.121dec98d7ce5p-18, -0x1.8f477f1f1ddd9p-19, -0x1.00c57fa820f13p-19, -0x1.e20078fcb0b08p-21, 0x1.379adc1ff6de4p-24, 0x1.0c48223477e89p-20, 0x1.f9cd96874540cp-20, 0x1.6e34d381da661p-19, 0x1.da3c94b6444cfp-19, 0x1.20958fea31b31p-18, 0x1.51961a804852bp-18, 0x1.803526359f618p-18, 0x1.ac874f7a74164p-18, 0x1.d6a0975ab8decp-18, 0x1.fe9467964bda7p-18, 0x1.123acb57420a5p-17, 0x1.242b35e906b9dp-17, 0x1.3524515e973c9p-17, 0x1.452eb7b8f72c8p-17, 0x1.5452c0f2f594bp-17, 0x1.629884cba9aecp-17, 0x1.7007dc8192b9ap-17, 0x1.7ca8648b550d5p-17, 0x1.88817e3a6df06p-17, 0x1.939a515e4742fp-17, 0x1.9df9cdd63c79cp-17, 0x1.a7a6ad1e9452ep-17, 0x1.b0a773ce65b28p-17, 0x1.b9027310c640ap-17, 0x1.c0bdca14a0b76p-17, 0x1.c7df676e2066ep-17, 0x1.ce6d0a742ecc5p-17, 0x1.d46c4491a891bp-17, 0x1.d9e27a926ddccp-17, 0x1.ded4e5e4fc6f5p-17, 0x1.e34895d4748b8p-17, 0x1.e74270baf7523p-17, 0x1.eac7352bf1134p-17, 0x1.eddb7b173a796p-17, 0x1.f083b4e3b9915p-17, 0x1.f2c430831ed9bp-17, 0x1.f4a1187ec2acap-17, 0x1.f61e74fde0fcbp-17, 0x1.f7402cc4b03f1p-17, 0x1.f80a062cbe288p-17, 0x1.f87fa81726adbp-17, 0x1.f8a49ad7a6312p-17, 0x1.f87c491a104dcp-17, 0x1.f80a00c2877a5p-17, 0x1.f750f3c453b75p-17, 0x1.f65438f68fd5ep-17, 0x1.f516cce380885p-17, 0x1.f39b928f6e31p-17, 0x1.f1e5543cf62cap-17, 0x1.eff6c429ab7eep-17, 0x1.edd27d46a58c2p-17, 0x1.eb7b03edf7a0dp-17, 0x1.e8f2c68f06ed5p-17, 0x1.e63c1e58ae74dp-17, 0x1.e3594fdfca16bp-17, 0x1.e04c8bbf9053ep-17, 0x1.dd17ef35f9d47p-17, 0x1.d9bd84bb03b72p-17, 0x1.d63f4495f9797p-17, 0x1.d29f156ba705cp-17, 0x1.cedecccad8f8p-17, 0x1.cb002fb330345p-17, 0x1.c704f3199834ap-17, 0x1.c2eebc683254p-17, 0x1.bebf21fb9ea46p-17, 0x1.ba77ab9b57c28p-17, 0x1.b619d2efbe594p-17, 0x1.b1a703f35baacp-17, 0x1.ad209d63a264dp-17, 0x1.a887f12b5d0c1p-17, 0x1.a3de44cad1da3p-17, 0x1.9f24d1be0f5abp-17, 0x1.9a5cc5e06e37bp-17, 0x1.958743ca46a42p-17, 0x1.90a5633003f8fp-17, 0x1.8bb8313b536f7p-17, 0x1.86c0b0e38354fp-17, 0x1.81bfdb419534ap-17, 0x1.7cb69fe327201p-17, 0x1.77a5e51ad020fp-17, 0x1.728e884cf0bd7p-17, 0x1.6d715e3bcc75fp-17, 0x1.684f33502a11ep-17, 0x1.6328cbe0f1f56p-17, 0x1.5dfee4778164p-17, 0x1.58d232118dbe7p-17, 0x1.53a362632d38ap-17, 0x1.4e731c14ad541p-17, 0x1.4941feff5d4bdp-17, 0x1.4410a4684dcc4p-17, 0x1.3edf9f39e3e5ap-17, 0x1.39af7c3ad6135p-17, 0x1.3480c2437856ap-17, 0x1.2f53f27244091p-17, 0x1.2a29885de2facp-17, 0x1.2501fa460facp-17, 0x1.1fddb9428af5bp-17, 0x1.1abd31710b1d1p-17, 0x1.15a0ca20d8ddp-17, 0x1.1088e5ff01299p-17, 0x1.0b75e33e83d71p-17, 0x1.06681bc102f3bp-17, 0x1.015fe53e0719bp-17, 0x1.f8bb22d08ce97p-18, 0x1.eec2dc23e9d03p-18, 0x1.e4d78aa0a42bap-18, 0x1.daf9bb3b5706p-18, 0x1.d129f3f4a7f53p-18, 0x1.c768b4194c2c1p-18, 0x1.bdb6747f2f6c4p-18, 0x1.b413a7c1fcbacp-18, 0x1.aa80ba7be94afp-18, 0x1.a0fe137f1063ap-18, 0x1.978c140a4ea2fp-18, 0x1.8e2b17fe6472cp-18, 0x1.84db760f03142p-18, 0x1.7b9d7ff453e0ap-18, 0x1.7271829a76227p-18, 0x1.6957c64eaeeb2p-18, 0x1.60508eeb1d9a6p-18, 0x1.575c1c01d59d5p-18, 0x1.4e7aa90583427p-18, 0x1.45ac6d71f575cp-18, 0x1.3cf19cf1002e4p-18, 0x1.344a67805423bp-18, 0x1.2bb6f9951a61bp-18, 0x1.23377c3ef7ab4p-18, 0x1.1acc154858141p-18, 0x1.1274e756c5447p-18, 0x1.0a32120a52b21p-18, 0x1.0203b21b916aep-18, 0x1.f3d3c2efddd27p-19, 0x1.e3c96ebb9d76bp-19, 0x1.d3e890ef768dap-19, 0x1.c4314decfc326p-19, 0x1.b4a3c55283ac6p-19, 0x1.a540122bf741cp-19, 0x1.96064b216ae2p-19, 0x1.86f682a4b2054p-19, 0x1.7810c71c4667p-19, 0x1.6955230c5e20ap-19, 0x1.5ac39d3e36e6dp-19, 0x1.4c5c38e910786p-19, 0x1.3e1ef5d6a58d7p-19, 0x1.300bd085ed839p-19, 0x1.2222c24fa0d47p-19, 0x1.1463c185ae3dfp-19, 0x1.06cec1953e32dp-19, 0x1.f2c76647e5019p-20, 0x1.d845085cc16b6p-20, 0x1.be164048c1a03p-20, 0x1.a43ae00a25726p-20, 0x1.8ab2b4f433f8bp-20, 0x1.717d87deebd74p-20, 0x1.589b1d5bd140fp-20, 0x1.400b35e4ca1d3p-20, 0x1.27cd8e0a2cf59p-20, 0x1.0fe1de9b8c1fap-20, 0x1.f08fb9a71ec74p-21, 0x1.c1fe7505a2fbcp-21, 0x1.940f4c692618fp-21, 0x1.66c196aa955bdp-21, 0x1.3a14a4ac0641ap-21, 0x1.0e07c19fd8b1cp-21, 0x1.c534669f73981p-22, 0x1.6f9674a949e5fp-22, 0x1.1b3424b35bb41p-22, 0x1.9017c96c9101dp-23, 0x1.d87066d31584ap-24, 0x1.2b1901806af4fp-25, -0x1.51059b86fe128p-25, -0x1.e1c451f00e18ap-24, -0x1.8b1f7b212baa1p-23, -0x1.117e7041ec3f3p-22, -0x1.5c3ef4bd5d3a8p-22, -0x1.a5d3196f43b4ep-22, -0x1.ee3cb2b537343p-22, -0x1.1abecd45789a5p-21, -0x1.3dcbd818fdb95p-21, -0x1.60466bfb3c30bp-21, -0x1.822f7d71a49a4p-21, -0x1.a388033ab6579p-21, -0x1.c450f6334b34cp-21, -0x1.e48b5132280b4p-21, -0x1.021c0876507e8p-20, -0x1.11ac19eaed2abp-20, -0x1.20f65d023ba91p-20, -0x1.2ffb528aa645ap-20, -0x1.3ebb7c0b3bedp-20, -0x1.4d375bb4390b2p-20, -0x1.5b6f74541966dp-20, -0x1.6964494a3a434p-20, -0x1.77165e7dbbb4fp-20, -0x1.8486385217216p-20, -0x1.91b45b9d2210cp-20, -0x1.9ea14d9cd75aap-20, -0x1.ab4d93ed530cep-20, -0x1.b7b9b48041905p-20, -0x1.c3e63592b20ecp-20, -0x1.cfd39da5743fp-20, -0x1.db827374f2c25p-20, -0x1.e6f33df0bdf4dp-20, -0x1.f22684341d9b5p-20, -0x1.fd1ccd7df6c84p-20, -0x1.03eb5094e9915p-19, -0x1.092a4354bd4c9p-19, -0x1.0e4b82bec7249p-19, -0x1.134f529857f99p-19, -0x1.1835f6a7fa445p-19, -0x1.1cffb2b281cd8p-19, -0x1.21acca784735ep-19, -0x1.263d81b25e4d6p-19, -0x1.2ab21c103837p-19, -0x1.2f0add34797b6p-19, -0x1.334808b314a78p-19, -0x1.3769e20d62242p-19, -0x1.3b70acb11e87cp-19, -0x1.3f5cabf597b57p-19, -0x1.432e2319bb5ffp-19, -0x1.46e555423b75ap-19, -0x1.4a82857703e0fp-19, -0x1.4e05f6a0fcf42p-19, -0x1.516feb8901166p-19, -0x1.54c0a6d52be49p-19, -0x1.57f86b0706af5p-19, -0x1.5b177a79efc48p-19, -0x1.5e1e1761c122cp-19, -0x1.610c83c8e9f12p-19, -0x1.63e3018e59d87p-19, -0x1.66a1d2640365ap-19, -0x1.694937cd4c8cep-19, -0x1.6bd9731de12c7p-19, -0x1.6e52c57851addp-19, -0x1.70b56fcc79bc3p-19, -0x1.7301b2d616d39p-19, -0x1.7537cf1b80d31p-19, -0x1.775804ec1df51p-19, -0x1.7962945f9a33fp-19, -0x1.7b57bd542075fp-19, -0x1.7d37bf6d894c1p-19, -0x1.7f02da13da72p-19, -0x1.80b94c727d9efp-19, -0x1.825b5576a5817p-19, -0x1.83e933ce15e1bp-19, -0x1.856325e687fccp-19, -0x1.86c969ecbebeap-19, -0x1.881c3dcb32a5ep-19, -0x1.895bdf292442ep-19, -0x1.8a888b69efdb6p-19, -0x1.8ba27fab96b77p-19, -0x1.8ca9f8c5ecb8cp-19, -0x1.8d9f3349bc25bp-19, -0x1.8e826b804d2e1p-19, -0x1.8f53dd6a141dp-19, -0x1.9013c4be5a4d1p-19, -0x1.90c25ce970fd6p-19, -0x1.915fe10c51a01p-19, -0x1.91ec8bfc227d9p-19, -0x1.9268984139a3bp-19, -0x1.92d44016903d8p-19, -0x1.932fbd68eb8e3p-19, -0x1.937b49d63dd6fp-19, -0x1.93b71eacb4397p-19, -0x1.93e374e9e60a7p-19, -0x1.9400853ae0593p-19, -0x1.940e87fadb0bdp-19, -0x1.940db53333af4p-19, -0x1.93fe4499f7eb9p-19, -0x1.93e06d920819dp-19, -0x1.93b46729e9c78p-19, -0x1.937a681bb2f57p-19, -0x1.9332a6cc21344p-19, -0x1.92dd594a404a1p-19, -0x1.927ab54f26c09p-19, -0x1.920af03d0582ap-19, -0x1.918e3f1ed9763p-19, -0x1.9104d6a843223p-19, -0x1.906eeb3459c4ep-19, -0x1.8fccb0c5a0f37p-19, -0x1.8f1e5b061cc75p-19, -0x1.8e641d4624f42p-19, -0x1.8d9e2a7bebb9dp-19, -0x1.8cccb54392a4bp-19, -0x1.8befefdf01a01p-19, -0x1.8b080c351c0bfp-19, -0x1.8a153bd0eee87p-19, -0x1.8917afe1e9e73p-19, -0x1.880f993bdbf65p-19, -0x1.86fd28569cc81p-19, -0x1.85e08d4cf6f83p-19, -0x1.84b9f7dd0b32dp-19, -0x1.83899768661c2p-19, -0x1.824f9af28c7f1p-19, -0x1.810c312186ceap-19, -0x1.7fbf883e10fep-19, -0x1.7e69ce32d0bdfp-19, -0x1.7d0b308bd617p-19, -0x1.7ba3dc76e659fp-19, -0x1.7a33fec3c274p-19, -0x1.78bbc3e310805p-19, -0x1.773b57e6401ccp-19, -0x1.75b2e6805a83ep-19, -0x1.74229b0512be4p-19, -0x1.728aa068e96p-19, -0x1.70eb21412ffe5p-19, -0x1.6f4447c3ee177p-19, -0x1.6d963dc781615p-19, -0x1.6be12cc2e0a86p-19, -0x1.6a253dcd585dp-19, -0x1.6862999ecfc1p-19, -0x1.6699688fd0f8fp-19, -0x1.64c9d298df91fp-19, -0x1.62f3ff5328539p-19, -0x1.611815f835bb8p-19, -0x1.5f363d61da15fp-19, -0x1.5d4e9c0a7d4ffp-19, -0x1.5b61580d7496cp-19, -0x1.596e9726661f2p-19, -0x1.57767eb1888ebp-19, -0x1.557933abfe107p-19, -0x1.5376dab3c39d2p-19, -0x1.516f9807fc7f8p-19, -0x1.4f638f8881eb6p-19, -0x1.4d52e4b6f689ep-19, -0x1.4b3dbab603a1bp-19, -0x1.49243449ceafdp-19, -0x1.470673d80d015p-19, -0x1.44e49b68ee52p-19, -0x1.42becca633e82p-19, -0x1.409528dc0672ep-19, -0x1.3e67d0f8cd1c2p-19, -0x1.3c36e58de4d96p-19, -0x1.3a0286cf78113p-19, -0x1.37cad494dbfe8p-19, -0x1.358fee587e3e2p-19, -0x1.3351f338a14f3p-19, -0x1.311101f7755d6p-19, -0x1.2ecd38fb4b8e7p-19, -0x1.2c86b64ebd359p-19, -0x1.2a3d97a128eacp-19, -0x1.27f1fa472b06p-19, -0x1.25a3fb3a5ec96p-19, -0x1.2353b71a458a8p-19, -0x1.21014a2c30cabp-19, -0x1.1eacd05bb3334p-19, -0x1.1c56653b0f43dp-19, -0x1.19fe2403d2f76p-19, -0x1.17a42796af6ap-19, -0x1.15488a7bfcdb5p-19, -0x1.12eb66e402299p-19, -0x1.108cd6a7dad3ep-19, -0x1.0e2cf34922d03p-19, -0x1.0bcbd5f2e6edcp-19, -0x1.09699779babcdp-19, -0x1.0706505c465ep-19, -0x1.04a218c3c67b9p-19, -0x1.023d08840d709p-19, -0x1.ffae6e389c65ep-20, -0x1.fae1776f6c7b7p-20, -0x1.f6135a5abc014p-20, -0x1.f1444402176fcp-20, -0x1.ec7460c73c232p-20, -0x1.e7a3dc670a781p-20, }}, 
      {{-0x1.ad1c5324854b6p-7, -0x1.ac07b3793ea0cp-6, -0x1.3fb34a9e0e0c8p-5, -0x1.a7dfaa706164bp-5, -0x1.07123e07a1e5ap-4, -0x1.39184c53e08ebp-4, -0x1.69e36347c99c6p-4, -0x1.995e930165b7fp-4, -0x1.c77ddeb435cdp-4, -0x1.f43d36ad15d87p-4, -0x1.0fcfa48b23b0ap-3, -0x1.24d623bcf2381p-3, -0x1.39385ba030836p-3, -0x1.4cfe2d805b06bp-3, -0x1.60309da16cac1p-3, -0x1.72d9681b375d4p-3, -0x1.8502a56ef4a8cp-3, -0x1.96b67d6c7c601p-3, -0x1.a7fee6dbfefe7p-3, -0x1.b8e57287ed535p-3, -0x1.c9732080175f6p-3, -0x1.d9b03ea6c4f6ap-3, -0x1.e9a44fbe47753p-3, -0x1.f955fa3f2a669p-3, -0x1.04657f20a4babp-2, -0x1.0c0418dd29acdp-2, -0x1.1388c12492d87p-2, -0x1.1af4fddde3df9p-2, -0x1.2249e93c666ffp-2, -0x1.2988387b19183p-2, -0x1.30b043b7ee255p-2, -0x1.37c20e8ee701p-2, -0x1.3ebd511e9756ap-2, -0x1.45a1812aae3e9p-2, -0x1.4c6ddb1d3ccbap-2, -0x1.53216ab3c47d5p-2, -0x1.59bb1331076edp-2, -0x1.603996f7ca41fp-2, -0x1.669b9e7cbeeadp-2, -0x1.6cdfbe868efd8p-2, -0x1.73047dba3e4a8p-2, -0x1.7908597813d53p-2, -0x1.7ee9ca11ac7b8p-2, -0x1.84a746651e45fp-2, -0x1.8a3f46eb42c52p-2, -0x1.8fb0484867522p-2, -0x1.94f8cd6f03a66p-2, -0x1.9a176163e3cd9p-2, -0x1.9f0a98b269e62p-2, -0x1.a3d1129e7c57fp-2, -0x1.a8697a206363cp-2, -0x1.acd286b55a4d2p-2, -0x1.b10afd0e22fbfp-2, -0x1.b511afa35b283p-2, -0x1.b8e57f35eec9ep-2, -0x1.bc855b40a79f6p-2, -0x1.bff0425ea7f75p-2, -0x1.c32542a988118p-2, -0x1.c6237a10ea7b4p-2, -0x1.c8ea16ac902adp-2, -0x1.cb7857095576bp-2, -0x1.cdcd8a710813ap-2, -0x1.cfe9112ca2de5p-2, -0x1.d1ca5cc0395d2p-2, -0x1.d370f01fb9b64p-2, -0x1.d4dc5fdb93a6p-2, -0x1.d60c52444cd9ap-2, -0x1.d7007f841d1a4p-2, -0x1.d7b8b1adc4741p-2, -0x1.d834c4bfdf8ddp-2, -0x1.d874a69c39534p-2, -0x1.d87856f2a80adp-2, -0x1.d83fe71f4422ep-2, -0x1.d7cb79fbe71efp-2, -0x1.d71b43a502ebbp-2, -0x1.d62f89321d3e2p-2, -0x1.d508a0624a088p-2, -0x1.d3a6ef3d25717p-2, -0x1.d20aeba8fcc86p-2, -0x1.d0351af6c76f5p-2, -0x1.ce261164d2aa7p-2, -0x1.cbde7198eb861p-2, -0x1.c95eec12f846ep-2, -0x1.c6a83e98eb5e4p-2, -0x1.c3bb339d08604p-2, -0x1.c098a19f69cb3p-2, -0x1.bd416a8bc1707p-2, -0x1.b9b67b143ad44p-2, -0x1.b5f8ca0a69efdp-2, -0x1.b20957b7254fap-2, -0x1.ade92d3217307p-2, -0x1.a9995bb9d9963p-2, -0x1.a51afc0d46b0fp-2, -0x1.a06f2dc6ba3c4p-2, -0x1.9b9716b9d2c92p-2, -0x1.9693e2544bff5p-2, -0x1.9166c10268968p-2, -0x1.8c10e797679b5p-2, -0x1.86938eba5d68ap-2, -0x1.80eff257c7689p-2, -0x1.7b2751182805cp-2, -0x1.753aebdbd6c7dp-2, -0x1.6f2c053c422d4p-2, -0x1.68fbe112b3891p-2, -0x1.62abc404b9d53p-2, -0x1.5c3cf3163dad7p-2, -0x1.55b0b341481eep-2, -0x1.4f084913714dcp-2, -0x1.4844f850f058dp-2, -0x1.4168039d2bee4p-2, -0x1.3a72ac28c4187p-2, -0x1.33663164e23e3p-2, -0x1.2c43d0bbb8062p-2, -0x1.250cc54dfd2f2p-2, -0x1.1dc247b54769ap-2, -0x1.16658dcb061b3p-2, -0x1.0ef7ca73f6f19p-2, -0x1.077a2d6fe1227p-2, -0x1.ffdbc65ac0bb8p-3, -0x1.f0a829431a9edp-3, -0x1.e15bce46a3fc4p-3, -0x1.d1f8f89462953p-3, -0x1.c281e3a0a5011p-3, -0x1.b2f8c2ef33feep-3, -0x1.a35fc1e33ef69p-3, -0x1.93b90394a2086p-3, -0x1.8406a2aa25c81p-3, -0x1.744ab1385a86ep-3, -0x1.648738a4c001dp-3, -0x1.54be398cd993p-3, -0x1.44f1abb0e6c62p-3, -0x1.35237de1ee81cp-3, -0x1.255595f2d90b3p-3, -0x1.1589d0ac4fe22p-3, -0x1.05c201c325e22p-3, -0x1.ebffe7a210a9dp-4, -0x1.cc8ad09e8be14p-4, -0x1.ad282f26d8dbap-4, -0x1.8ddb619b422bp-4, -0x1.6ea7b410d4ca9p-4, -0x1.4f906053bf66ap-4, -0x1.30988dec03347p-4, -0x1.11c35224532a2p-4, -0x1.e6276025a3174p-5, -0x1.a9193146f1e9bp-5, -0x1.6c61d5480fc85p-5, -0x1.3006e5a26a22p-5, -0x1.e81baf945287fp-6, -0x1.70f7fa9a0b39cp-6, -0x1.f55a0fcbcda7dp-7, -0x1.0a89d781f5e35p-7, -0x1.0c97375307ba5p-10, 0x1.8aef69a11d668p-8, 0x1.aa837b541a17bp-7, 0x1.46bf3c3b434c8p-6, 0x1.b72ba1cdf35e2p-6, 0x1.133f3fc3abf2dp-5, 0x1.4a57d5d4f9afdp-5, 0x1.80dba09ec5ad7p-5, 0x1.b6c6cfda80d09p-5, 0x1.ec15b548f958p-5, 0x1.1062624186067p-4, 0x1.2a68496495037p-4, 0x1.441aeb68d387dp-4, 0x1.5d78b44ae0c11p-4, 0x1.7680208eaf8b2p-4, 0x1.8f2fbd24ab961p-4, 0x1.a786274e2e46ep-4, 0x1.bf820c8126775p-4, 0x1.d7222a4b06435p-4, 0x1.ee654e32ca611p-4, 0x1.02a52acd20aedp-3, 0x1.0de816cf2987dp-3, 0x1.18fae97b3dfbap-3, 0x1.23dd28e9a2215p-3, 0x1.2e8e62dde82dap-3, 0x1.390e2cb534c93p-3, 0x1.435c23540922bp-3, 0x1.4d77eb1384aa4p-3, 0x1.57612fae28222p-3, 0x1.6117a42c0cd52p-3, 0x1.6a9b02ce9b5f5p-3, 0x1.73eb0cfbb5bb3p-3, 0x1.7d078b285b9a8p-3, 0x1.85f04cc2c587ap-3, 0x1.8ea5281bf6ce7p-3, 0x1.9725fa50cc55fp-3, 0x1.9f72a7327ebc5p-3, 0x1.a78b192ea78c2p-3, 0x1.af6f4136befb7p-3, 0x1.b71f16a714d8cp-3, 0x1.be9a972d555c5p-3, 0x1.c5e1c6ae8846p-3, 0x1.ccf4af2c9cc0cp-3, 0x1.d3d360ab7e867p-3, 0x1.da7df115bdf1bp-3, 0x1.e0f47c20bf8ddp-3, 0x1.e73723308e69ep-3, 0x1.ed460d3b423aap-3, 0x1.f32166ac067cap-3, 0x1.f8c96145c61c2p-3, 0x1.fe3e3405838cap-3, 0x1.01c00d822ce5dp-2, 0x1.0447abac9bf31p-2, 0x1.06b6177d271a9p-2, 0x1.090b764f21a77p-2, 0x1.0b47efce930eep-2, 0x1.0d6bade896ea7p-2, 0x1.0f76dcbba764ep-2, 0x1.1169aa87cd444p-2, 0x1.1344479ec483dp-2, 0x1.1506e6540d246p-2, 0x1.16b1baecf1de2p-2, 0x1.1844fb908678p-2, 0x1.19c0e037a1482p-2, 0x1.1b25a29ccefcap-2, 0x1.1c737e2c48271p-2, 0x1.1daaaff3eabcfp-2, 0x1.1ecb7693394fbp-2, 0x1.1fd6122b606dcp-2, 0x1.20cac44f4b671p-2, 0x1.21a9cff3c7961p-2, 0x1.2273795fb4dap-2, 0x1.2328061c4f22bp-2, 0x1.23c7bce58d18fp-2, 0x1.2452e59a94c43p-2, 0x1.24c9c92e535fbp-2, 0x1.252cb19828f9bp-2, 0x1.257be9c4c1d0ap-2, 0x1.25b7bd8706ff1p-2, 0x1.25e079893a41bp-2, 0x1.25f66b3e3a33ap-2, 0x1.25f9e0d2edaf3p-2, 0x1.25eb291fda485p-2, 0x1.25ca939aeb282p-2, 0x1.2598704965a5ep-2, 0x1.25550fb20e405p-2, 0x1.2500c2cf85022p-2, 0x1.249bdb02cec21p-2, 0x1.2426aa061d478p-2, 0x1.23a181dfc921ap-2, 0x1.230cb4d586debp-2, 0x1.2268955fd4fe9p-2, 0x1.21b5761da7e99p-2, 0x1.20f3a9c850648p-2, 0x1.202383279f28p-2, 0x1.1f4555064a6f3p-2, 0x1.1e5972269038bp-2, 0x1.1d602d37192dbp-2, 0x1.1c59d8c81ca0ep-2, 0x1.1b46c740c847ap-2, 0x1.1a274ad4e6d87p-2, 0x1.18fbb57acc256p-2, 0x1.17c458e183303p-2, 0x1.168186673e364p-2, 0x1.15338f10102f2p-2, 0x1.13dac37ce2fcdp-2, 0x1.127773e2b5bc6p-2, 0x1.1109f0021fb2fp-2, 0x1.0f92871f1765ep-2, 0x1.0e1187f8f9e96p-2, 0x1.0c8740c2dc11dp-2, 0x1.0af3ff1c1c4c4p-2, 0x1.0958100937c1p-2, 0x1.07b3bfece411fp-2, 0x1.06075a816b829p-2, 0x1.04532ad24d4acp-2, 0x1.02977b361e208p-2, 0x1.00d49548a9d81p-2, 0x1.fe1583cab503cp-3, 0x1.fa749243b4ef7p-3, 0x1.f6c6e491f6ebap-3, 0x1.f30d07abaf85p-3, 0x1.ef4786de71a53p-3, 0x1.eb76ebc6680d8p-3, 0x1.e79bbe4618ea4p-3, 0x1.e3b6847e9212fp-3, 0x1.dfc7c2c81cbfdp-3, 0x1.dbcffbab56676p-3, 0x1.d7cfafdacbca6p-3, 0x1.d3c75e2cfaea1p-3, 0x1.cfb78396c9fb1p-3, 0x1.cba09b266b6adp-3, 0x1.c7831dfeaef74p-3, 0x1.c35f8352b7ee5p-3, 0x1.bf36406224041p-3, 0x1.bb07c8758e856p-3, 0x1.b6d48cdb809c4p-3, 0x1.b29cfce5ba6bep-3, 0x1.ae6185e6e3164p-3, 0x1.aa229330935bep-3, 0x1.a5e08e11b9f35p-3, 0x1.a19bddd55a7a9p-3, 0x1.9d54e7c1a702p-3, 0x1.990c0f1766fecp-3, 0x1.94c1b511b633dp-3, 0x1.907638e612c4ap-3, 0x1.8c29f7c4b8afep-3, 0x1.87dd4cd949d0dp-3, 0x1.8390914bbfc3ep-3, 0x1.7f441c41a7ae3p-3, 0x1.7af842df99d58p-3, 0x1.76ad584b0305cp-3, 0x1.7263adac239e9p-3, 0x1.6e1b923050996p-3, 0x1.69d5530c74c5ap-3, 0x1.65913b7fc88e3p-3, 0x1.614f94d6bf66ap-3, 0x1.5d10a66e37311p-3, 0x1.58d4b5b6cd76dp-3, 0x1.549c063870712p-3, 0x1.5066d9961f91cp-3, 0x1.4c356f91d1de5p-3, 0x1.48080610981b9p-3, 0x1.43ded91ed5d7fp-3, 0x1.3fba22f4b5648p-3, 0x1.3b9a1bfab550bp-3, 0x1.377eface5c997p-3, 0x1.3368f4471bb4fp-3, 0x1.2f583b7b3bb1p-3, 0x1.2b4d01c502188p-3, 0x1.274776c7dda4p-3, 0x1.2347c875bfc77p-3, 0x1.1f4e231484522p-3, 0x1.1b5ab14375345p-3, 0x1.176d9c00e7c7ap-3, 0x1.13870aafeacd9p-3, 0x1.0fa7231e098a1p-3, 0x1.0bce098921576p-3, 0x1.07fbe0a5454c7p-3, 0x1.0430c9a2b6ff9p-3, 0x1.006ce433e2ce3p-3, 0x1.f9609d26e2818p-4, 0x1.f1f64b14c273fp-4, 0x1.ea9b08ec4d19bp-4, 0x1.e34f0a9dad498p-4, 0x1.dc12815ab4ea3p-4, 0x1.d4e59ba34618bp-4, 0x1.cdc88551cfa82p-4, 0x1.c6bb67a7cd268p-4, 0x1.bfbe695a419a6p-4, 0x1.b8d1ae9e3ccefp-4, 0x1.b1f559356b2dcp-4, 0x1.ab29887a8b357p-4, 0x1.a46e596df2c5ap-4, 0x1.9dc3e6c20d616p-4, 0x1.972a48e7c392ap-4, 0x1.90a1961aeb745p-4, 0x1.8a29e26ea310dp-4, 0x1.83c33fd9a43f5p-4, 0x1.7d6dbe4281743p-4, 0x1.77296b8bdf3b1p-4, 0x1.70f653a0907b6p-4, 0x1.6ad4807fa7223p-4, 0x1.64c3fa486eccep-4, 0x1.5ec4c74651a4dp-4, 0x1.58d6ebfca6b56p-4, 0x1.52fa6b326882bp-4, 0x1.4d2f45fdd4676p-4, 0x1.47757bcfec644p-4, 0x1.41cd0a7fe1305p-4, 0x1.3c35ee565f41cp-4, 0x1.36b02218bd0d7p-4, 0x1.313b9f140eb64p-4, 0x1.2bd85d28195dbp-4, 0x1.268652d228053p-4, 0x1.21457537bd407p-4, 0x1.1c15b83128ee9p-4, 0x1.16f70e53f712ep-4, 0x1.11e968fd441cdp-4, 0x1.0cecb85be5bc3p-4, 0x1.0800eb7a77bc7p-4, 0x1.0325f04940f12p-4, 0x1.fcb7674fef2d3p-5, 0x1.f34442deb969bp-5, 0x1.e9f248f57335fp-5, 0x1.e0c14d6261561p-5, 0x1.d7b1221dda267p-5, 0x1.cec1975c5fbe1p-5, 0x1.c5f27ba05f49fp-5, 0x1.bd439bcbafabcp-5, 0x1.b4b4c330c0eddp-5, 0x1.ac45bba37f03ep-5, 0x1.a3f64d89e88bbp-5, 0x1.9bc63fec5934bp-5, 0x1.93b558858448cp-5, 0x1.8bc35bd222db9p-5, 0x1.83f00d205e124p-5, 0x1.7c3b2e9edc2dbp-5, 0x1.74a4816b90b66p-5, 0x1.6d2bc5a238372p-5, 0x1.65d0ba6a8635dp-5, 0x1.5e931e060d82p-5, 0x1.5772adddda674p-5, 0x1.506f268fbdb57p-5, 0x1.498843fb50b6ap-5, 0x1.42bdc14eb1044p-5, 0x1.3c0f5912eabafp-5, 0x1.357cc53823b46p-5, 0x1.2f05bf2170e7p-5, 0x1.28a9ffb0715dep-5, 0x1.22693f5092a2fp-5, 0x1.1c4336021c298p-5, 0x1.16379b64eb8eap-5, 0x1.104626c2ea20ep-5, 0x1.0a6e8f1a42b97p-5, 0x1.04b08b274ca32p-5, 0x1.fe17a2dc76187p-6, 0x1.f300308905ddp-6, 0x1.e81a2bb3ef91p-6, 0x1.dd6500837b88ap-6, 0x1.d2e01af5bf5e3p-6, 0x1.c88ae6f16db33p-6, 0x1.be64d0561d6cap-6, 0x1.b46d430c1029ap-6, 0x1.aaa3ab1388227p-6, 0x1.a1077493941bdp-6, 0x1.97980be878d59p-6, 0x1.8e54ddb1908dbp-6, 0x1.853d56dec25d7p-6, 0x1.7c50e4bd8d388p-6, 0x1.738ef5058bd0ep-6, 0x1.6af6f5e4a0841p-6, 0x1.6288560aad2d2p-6, 0x1.5a4284b4dc7bdp-6, 0x1.5224f1b88055fp-6, 0x1.4a2f0d8d93559p-6, 0x1.42604958cc80ep-6, 0x1.3ab816f54cf95p-6, 0x1.3335e8fdf71c9p-6, 0x1.2bd932d65ccccp-6, 0x1.24a168b349cb6p-6, 0x1.1d8dffa302c98p-6, 0x1.169e6d951c526p-6, 0x1.0fd22961f90cp-6, 0x1.0928aad1fcacp-6, 0x1.02a16aa45bb4ap-6, 0x1.f877c52b44053p-7, 0x1.ebef1acbba57cp-7, 0x1.dfa7cdbd17855p-7, 0x1.d3a0d7b0369a1p-7, 0x1.c7d9347e8a53dp-7, 0x1.bc4fe233fb5efp-7, 0x1.b103e1185493dp-7, 0x1.a5f433b81fa72p-7, 0x1.9b1fdeece872cp-7, 0x1.9085e9e50cd6fp-7, 0x1.86255e2b02af1p-7, 0x1.7bfd47ac110a4p-7, 0x1.720cb4be8518p-7, 0x1.6852b627a7c0ep-7, 0x1.5ece5f20cdd72p-7, 0x1.557ec55c72228p-7, 0x1.4c63010a8629fp-7, 0x1.437a2cdc68c74p-7, 0x1.3ac366088deaap-7, 0x1.323dcc4d90e78p-7, 0x1.29e881f5145f4p-7, 0x1.21c2abd61d505p-7, 0x1.19cb71570768dp-7, 0x1.1201fc6f4c07ap-7, 0x1.0a6579a8ba1cp-7, 0x1.02f518206fd0fp-7, 0x1.f760130f09f7cp-8, 0x1.e92b0446cb7e6p-8, 0x1.db49719b73428p-8, 0x1.cdb9cde875c01p-8, 0x1.c07a91302bb88p-8, 0x1.b38a389a032bep-8, 0x1.a6e746706fdd5p-8, 0x1.9a90421e11bd3p-8, 0x1.8e83b82a5e12bp-8, 0x1.82c03a360d407p-8, 0x1.77445ef6d65d2p-8, 0x1.6c0ec23275cfp-8, 0x1.611e04ba47f57p-8, 0x1.5670cc64fc4f1p-8, 0x1.4c05c4094e651p-8, 0x1.41db9b776ab1bp-8, 0x1.37f1077247231p-8, 0x1.2e44c1a8d23e9p-8, 0x1.24d588ae77b0dp-8, 0x1.1ba21ff38e591p-8, 0x1.12a94fbd4b0b6p-8, 0x1.09e9e51d790f5p-8, 0x1.0162b1ea35b66p-8, 0x1.f2251969bbd24p-9, 0x1.e1f0a181d8718p-9, 0x1.d225bbf6358dp-9, 0x1.c2c231dec43f6p-9, 0x1.b3c3d57f5fce8p-9, 0x1.a52882332310ep-9, 0x1.96ee1c58d8fd4p-9, 0x1.8912913ddb478p-9, 0x1.7b93d709898d1p-9, 0x1.6e6feca7c05d3p-9, 0x1.61a4d9b369058p-9, 0x1.5530ae60a13a3p-9, 0x1.49118366d149bp-9, 0x1.3d4579ea0acbdp-9, 0x1.31cabb64bbc12p-9, 0x1.269f79911643bp-9, 0x1.1bc1ee51bc30fp-9, 0x1.11305b9b45405p-9, 0x1.06e90b5c533e6p-9, 0x1.f9d49ecdd2d39p-10, 0x1.e66502b16470cp-10, 0x1.d38005068a38ep-10, 0x1.c12277a9a9fe4p-10, 0x1.af493b809559bp-10, 0x1.9df1404b54415p-10, 0x1.8d17847423d64p-10, 0x1.7cb914e021754p-10, 0x1.6cd30cbf6c6b3p-10, 0x1.5d62955e0a71cp-10, 0x1.4e64e5f330173p-10, 0x1.3fd7437256c53p-10, 0x1.31b7005bf313ep-10, 0x1.24017c8cad6e8p-10, 0x1.16b4250faa58dp-10, 0x1.09cc73ededdcbp-10, 0x1.fa8fdffffc9b1p-11, 0x1.e248597d5df86p-11, 0x1.cabd9428425f6p-11, 0x1.b3eae85abe478p-11, 0x1.9dcbc697e1ac5p-11, 0x1.885bb72f581ap-11, 0x1.739659e1c4f9dp-11, 0x1.5f7765850c477p-11, 0x1.4bfaa7a932d29p-11, 0x1.391c043e72feap-11, 0x1.26d7753c203abp-11, 0x1.15290a46583ap-11, 0x1.040ce85656d04p-11, 0x1.e6fe92c48e671p-12, 0x1.c6f8f80c338cbp-12, 0x1.a801c65b4871p-12, 0x1.8a11eb7a5f6bfp-12, 0x1.6d227c7e40749p-12, 0x1.512cb519ba899p-12, 0x1.3629f6f93980ap-12, 0x1.1c13c91d841cp-12, 0x1.02e3d735f62c4p-12, 0x1.d527e1fdd8b39p-13, 0x1.a63c13425af8dp-13, 0x1.78f86e2489c7ap-13, 0x1.4d5162edada97p-13, 0x1.233ba50cd5a4ap-13, 0x1.f55853c4a7381p-14, 0x1.a7304f2394a6fp-14, 0x1.5bea279986a1ap-14, 0x1.137145611790ep-14, 0x1.9b6316696f482p-15, 0x1.152ea8191d41p-15, 0x1.283dc36424fc4p-16, 0x1.80e4ca4abdd32p-19, -0x1.7c9eaa15dff3dp-17, -0x1.a34d70e7155dep-16, -0x1.3f91b745634ap-15, -0x1.a90aaace233edp-15, -0x1.071962618fe4ap-14, -0x1.3795346a49d1bp-14, -0x1.6608985e29e0bp-14, -0x1.9282f821ae029p-14, -0x1.bd135c93adadbp-14, -0x1.e5c86f884d606p-14, -0x1.06583ed59998fp-13, -0x1.18ecbc35f450bp-13, -0x1.2aa87be98148p-13, -0x1.3b921e2f1ad57p-13, -0x1.4bb01864c4c87p-13, -0x1.5b08b5ef185d7p-13, -0x1.69a219166afdfp-13, -0x1.77823be67d858p-13, -0x1.84aef1065dbabp-13, -0x1.912de49007d47p-13, -0x1.9d049ce1d4ee3p-13, -0x1.a8387b6f68aep-13, -0x1.b2cebd8d29e6fp-13, -0x1.bccc7d3a0cafbp-13, -0x1.c636b1e2ff129p-13, -0x1.cf123127ea298p-13, -0x1.d763af982761p-13, -0x1.df2fc1712e16p-13, -0x1.e67adb538a4fdp-13, -0x1.ed4952fcd2807p-13, -0x1.f39f5ff6510e6p-13, -0x1.f9811c4547b26p-13, -0x1.fef2851866c29p-13, -0x1.01fbbdb7e495bp-12, -0x1.0449e2614ae9cp-12, -0x1.066585d1b185dp-12, -0x1.0850702fdc58cp-12, -0x1.0a0c5cce64072p-12, -0x1.0b9afa796a517p-12, -0x1.0cfdebc21bfa3p-12, -0x1.0e36c748a7b59p-12, -0x1.0f471805f3cafp-12, -0x1.10305d929b01cp-12, -0x1.10f40c6d036c2p-12, -0x1.11938e3ebb31bp-12, -0x1.1210421f8c564p-12, -0x1.126b7cd786c97p-12, -0x1.12a68920e515dp-12, -0x1.12c2a7e6252fp-12, -0x1.12c110819dcep-12, -0x1.12a2f0fa61666p-12, -0x1.12696e3f953e1p-12, -0x1.1215a4636162ap-12, -0x1.11a8a6d4c471dp-12, -0x1.1123809749993p-12, -0x1.1087347a7f893p-12, -0x1.0fd4bd4fcbabdp-12, -0x1.0f0d0e1f972c3p-12, -0x1.0e31125cae604p-12, -0x1.0d41ae16fa03p-12, -0x1.0c3fbe2d41302p-12, -0x1.0b2c187d13d7ep-12, -0x1.0a078c13637d9p-12, -0x1.08d2e159b81e2p-12, -0x1.078eda445848p-12, -0x1.063c327e9bed2p-12, -0x1.04db9f95b7d79p-12, -0x1.036dd12446b87p-12, -0x1.01f370fb15744p-12, -0x1.006d234a1c786p-12, -0x1.fdb70d8fae426p-13, -0x1.fa7e69b0bca89p-13, -0x1.f7318365b6a09p-13, -0x1.f3d1790dd1d92p-13, -0x1.f05f5f419ad23p-13, -0x1.ecdc41194ec26p-13, -0x1.e9492071f5ba2p-13, -0x1.e5a6f63092ca1p-13, -0x1.e1f6b284171abp-13, -0x1.de393d2507f2ap-13, -0x1.da6f7595c25ccp-13, -0x1.d69a335e0e25cp-13, -0x1.d2ba4647a88bfp-13, -0x1.ced076983d69p-13, -0x1.cadd8549fc92bp-13, -0x1.c6e22c439a9cfp-13, -0x1.c2df1e8e3d492p-13, -0x1.bed5088a0a7a4p-13, -0x1.bac4902198bb5p-13, -0x1.b6ae54fc5e2aep-13, -0x1.b292f0af02112p-13, -0x1.ae72f6ebd27d8p-13, -0x1.aa4ef5afd7663p-13, -0x1.a627757146dc9p-13, -0x1.a1fcf94b2e15fp-13, -0x1.9dcfff287a1ffp-13, -0x1.99a0ffedaa4f4p-13, -0x1.95706fa10ce1ap-13, -0x1.913ebd92f6385p-13, -0x1.8d0c54842e81fp-13, -0x1.88d99acbde96ap-13, -0x1.84a6f27b63198p-13, -0x1.8074b982361e5p-13, -0x1.7c4349d0e76b3p-13, -0x1.7812f97a17d18p-13, -0x1.73e41ad34b188p-13, -0x1.6fb6fc957f5bcp-13, -0x1.6b8be9fb83f32p-13, -0x1.67632ae009339p-13, -0x1.633d03db4b4dap-13, -0x1.5f19b65f5b30cp-13, -0x1.5af980d33ffeep-13, -0x1.56dc9eae9218bp-13, -0x1.52c3489326c4dp-13, -0x1.4eadb4668c19fp-13, -0x1.4a9c156a418d1p-13, -0x1.468e9c54826a7p-13, -0x1.42857766675cep-13, -0x1.3e80d2830e113p-13, -0x1.3a80d744ff63ap-13, -0x1.3685ad13fef02p-13, -0x1.328f7939317e9p-13, -0x1.2e9e5ef2e95c9p-13, -0x1.2ab27f88a6f57p-13, -0x1.26cbfa5cf312cp-13, -0x1.22eaed0017975p-13, -0x1.1f0f7341858eep-13, -0x1.1b39a7414e275p-13, -0x1.1769a18042b0ep-13, -0x1.139f78f0071b3p-13, -0x1.0fdb4303079f6p-13, -0x1.0c1d13baa8745p-13, -0x1.0864fdb6c012bp-13, -0x1.04b31242d49e1p-13, -0x1.010761647a6ecp-13, -0x1.fac3f3d02a5c3p-14, -0x1.f385d2db18adp-14, -0x1.ec5478e9f2ca4p-14, -0x1.e52ffcd4b9179p-14, -0x1.de187361c6ff9p-14, -0x1.d70def5d36f03p-14, -0x1.d01081ad6cc19p-14, -0x1.c9203968c0589p-14, -0x1.c23d23e8be63fp-14, -0x1.bb674cde5c4b3p-14, -0x1.b49ebe63fdabap-14, -0x1.ade3811026c53p-14, -0x1.a7359c05f20bdp-14, -0x1.a09515070ca27p-14, -0x1.9a01f08310043p-14, -0x1.937c31a821049p-14, -0x1.8d03da70969a7p-14, -0x1.8698ebb3186f6p-14, -0x1.803b652f1423ep-14, -0x1.79eb459b73671p-14, -0x1.73a88ab2bf723p-14, -0x1.6d7331402e585p-14, -0x1.674b352b6afe8p-14, -0x1.6130918402d44p-14, -0x1.5b23408ceb242p-14, -0x1.55233bc678ffcp-14, -0x1.4f307bf970c03p-14, -0x1.494af94045a82p-14, -0x1.4372ab10c73acp-14, -0x1.3da78845bd47cp-14, -0x1.37e9872692c47p-14, -0x1.32389d70d8714p-14, -0x1.2c94c05f2819ap-14, -0x1.26fde4b1fa771p-14, -0x1.2173feb601b69p-14, -0x1.1bf7024bbaeb3p-14, -0x1.1686e2ee5544ap-14, -0x1.112393b9ee228p-14, -0x1.0bcd077168465p-14, -0x1.068330850f1fep-14, -0x1.01460117ac578p-14, -0x1.f82ad608c9e3ap-15, -0x1.ede2bfc679dfp-15, -0x1.e3b3a21cf1014p-15, -0x1.d99d5f4ea0339p-15, -0x1.cf9fd93474805p-15, -0x1.c5baf14651732p-15, -0x1.bbee88a367153p-15, -0x1.b23a8019fdecp-15, -0x1.a89eb82e8b392p-15, -0x1.9f1b1121f2189p-15, -0x1.95af6af9e8fb7p-15, -0x1.8c5ba585596e4p-15, -0x1.831fa063ec525p-15, -0x1.79fb3b0a425ecp-15, -0x1.70ee54c83c179p-15, -0x1.67f8cccdb62bfp-15, -0x1.5f1a822f1e335p-15, -0x1.565353ea16e8p-15, -0x1.4da320e9d7914p-15, -0x1.4509c80afe8e4p-15, -0x1.3c87281f5911fp-15, -0x1.341b1ff0db57dp-15, -0x1.2bc58e4642b5ap-15, -0x1.238651e4fd13bp-15, -0x1.1b5d499452d9ep-15, -0x1.134a54201fbc1p-15, -0x1.0b4d505c026bp-15, -0x1.03661d24c1a01p-15, -0x1.f72932c598b11p-16, -0x1.e7b14818c3976p-16, -0x1.d864384e8d9cep-16, -0x1.c941c19622e94p-16, -0x1.ba49a242c56cdp-16, -0x1.ab7b98d218159p-16, -0x1.9cd763ec6625bp-16, -0x1.8e5cc267ddb38p-16, -0x1.800b734a95c1bp-16, -0x1.71e335cc95c84p-16, -0x1.63e3c95a4b7d1p-16, -0x1.560ced9513042p-16, -0x1.485e62554b714p-16, -0x1.3ad7e7ab08c36p-16, -0x1.2d793ddf62f5cp-16, -0x1.2042257587196p-16, -0x1.13325f2b9ea3p-16, -0x1.0649abfb49ea7p-16, -0x1.f30f9a33a3c5cp-17, -0x1.d9d907f1f7e8dp-17, -0x1.c0ef248d4e87ep-17, -0x1.a85173dd1407fp-17, -0x1.8fff7a2fcf416p-17, -0x1.77f8bc4ee9f41p-17, -0x1.603cbf7d80b24p-17, -0x1.48cb097657732p-17, -0x1.31a3206ec7432p-17, -0x1.1ac48b11fba02p-17, -0x1.042ed08300358p-17, -0x1.dbc2f0b45c806p-18, -0x1.afb8154d202fp-18, -0x1.843c1fd47499ap-18, -0x1.594e2235e720dp-18, -0x1.2eed2f3dd05bap-18, -0x1.05185a9c98d3p-18, -0x1.b79d71b8148dcp-19, -0x1.661ebec8d59ccp-19, -0x1.15b2c8e9c7ba1p-19, -0x1.8caf7c85c8e48p-20, -0x1.e02f3a82a3164p-21, -0x1.56695b61477c5p-22, 0x1.0b2fc2f40e49dp-22, 0x1.b23da0a7aa17dp-21, 0x1.6d61dbbff3442p-20, 0x1.ff98a3c823cdcp-20, 0x1.47e35b1ed297dp-19, 0x1.8ef7cf02e7b06p-19, 0x1.d50b718b69489p-19, 0x1.0d1002a8f46e4p-18, 0x1.2f1ba5c6eedcdp-18, 0x1.50a9820bad3dp-18, 0x1.71ba76b9757b9p-18, 0x1.924f626ab9093p-18, 0x1.b2692312d2cc3p-18, 0x1.d2089606c45eep-18, 0x1.f12e97fa8d8cbp-18, 0x1.07ee0282c8359p-17, 0x1.1708dc537f317p-17, 0x1.25e846e37d126p-17, 0x1.348caf5dd075cp-17, 0x1.42f682a2ab3f1p-17, 0x1.51262d4c2d287p-17, 0x1.5f1c1bad47ff6p-17, 0x1.6cd8b9d3a1da6p-17, 0x1.7a5c7389054fbp-17, 0x1.87a7b4548ba22p-17, 0x1.94bae77a56231p-17, 0x1.a19677fe1debep-17, 0x1.ae3ad0a1e2a36p-17, 0x1.baa85be8d0aeep-17, 0x1.c6df84186e65ep-17, 0x1.d2e0b336b2145p-17, 0x1.deac530d85416p-17, 0x1.ea42cd29e26d7p-17, 0x1.f5a48adca6092p-17, 0x1.0068fa9d24a45p-16, 0x1.05e5ba8e373a5p-16, 0x1.0b48b9914f93p-16, 0x1.10922bd8f523p-16, 0x1.15c2457aa759cp-16, 0x1.1ad93a6fb8afap-16, 0x1.1fd73e9415329p-16, 0x1.24bc85a74ddb8p-16, 0x1.2989434c6c99fp-16, 0x1.2e3dab0a14c0cp-16, 0x1.32d9f04a9b866p-16, 0x1.375e465bb808bp-16, 0x1.3bcae06ef2fd9p-16, 0x1.401ff19928991p-16, 0x1.445dacd322c19p-16, 0x1.488444f8e2c13p-16, 0x1.4c93ecc9467b4p-16, 0x1.508cd6e67afe7p-16, 0x1.546f35d5f832p-16, 0x1.583b3bffc070ep-16, 0x1.5bf11baef66b2p-16, 0x1.5f910711a20f6p-16, 0x1.631b30372cdf7p-16, 0x1.668fc911437abp-16, 0x1.69ef03740ffbdp-16, 0x1.6d391114ddefp-16, 0x1.706e238a6bbefp-16, 0x1.738e6c4c69b9p-16, 0x1.769a1cb36c5c7p-16, 0x1.799165f7eb1b6p-16, 0x1.7c7479330e70cp-16, 0x1.7f43875d41d29p-16, 0x1.81fec14e98937p-16, 0x1.84a657bd83dccp-16, 0x1.873a7b3f688f6p-16, 0x1.89bb5c47fc6a8p-16, 0x1.8c292b28df00ap-16, 0x1.8e8418112b77fp-16, 0x1.90cc530c4fa9dp-16, 0x1.93020c027c8bcp-16, 0x1.952572b83cfb3p-16, 0x1.9736b6cda354ep-16, 0x1.993607bdf18bdp-16, 0x1.9b2394df4cc8p-16, 0x1.9cff8d62037d8p-16, 0x1.9eca2050209dep-16, 0x1.a0837c8d2e58ep-16, 0x1.a22bd0d51dcdfp-16, 0x1.a3c34bbc4090ap-16, 0x1.a54a1baf05a4cp-16, 0x1.a6c06ef0f4a53p-16, 0x1.a826739cc0805p-16, 0x1.a97c57a363c3ep-16, 0x1.aac248cba283ap-16, 0x1.abf874b1dcf39p-16, 0x1.ad1f08c6f4f0bp-16, 0x1.ae36325006ab1p-16, 0x1.af3e1e664b1a3p-16, 0x1.b036f9f65850fp-16, 0x1.b120f1bf9218bp-16, 0x1.b1fc32539e263p-16, 0x1.b2c8e81602d2dp-16, 0x1.b3873f3b838a5p-16, 0x1.b43763c9e0a94p-16, 0x1.b4d98196f763bp-16, }}, 
      {{-0x1.73c73b744b63ap-7, -0x1.734ee7e71db66p-6, -0x1.15e6e926fe482p-5, -0x1.717a24c7d8acep-5, -0x1.cc3075eb50b44p-5, -0x1.12efb10aa68b4p-4, -0x1.3f318bd996bf6p-4, -0x1.6acf44dd77fc2p-4, -0x1.95bda2e3dc2f9p-4, -0x1.bff48a5e0641cp-4, -0x1.e96ebac52f03ep-4, -0x1.0914c0334b6a7p-3, -0x1.1d1230749f2d7p-3, -0x1.30b063be4e71dp-3, -0x1.43f0da13fe0cbp-3, -0x1.56d5b830e66efp-3, -0x1.6961a50751bb7p-3, -0x1.7b97aaa7e0564p-3, -0x1.8d7b1a8b29a8cp-3, -0x1.9f0f7519cdac1p-3, -0x1.b0585441aefbfp-3, -0x1.c15958e42b38fp-3, -0x1.d2161aeab5f56p-3, -0x1.e2921bd26649ep-3, -0x1.f2d0bb8191378p-3, -0x1.016a979e0691p-2, -0x1.09513d45855cap-2, -0x1.111db4f68b682p-2, -0x1.18d1479100206p-2, -0x1.206d1f72eeb5fp-2, -0x1.27f247f708b74p-2, -0x1.2f61ad7dead01p-2, -0x1.36bc1dec7475cp-2, -0x1.3e02498a78b3ap-2, -0x1.4534c42e6cdp-2, -0x1.4c5406a42c43p-2, -0x1.5360703ed0c7fp-2, -0x1.5a5a4887527aap-2, -0x1.6141c0fbaf50fp-2, -0x1.6816f6d42316fp-2, -0x1.6ed9f4c5db8bbp-2, -0x1.758ab4bc34bap-2, -0x1.7c2921832866fp-2, -0x1.82b5185eeb005p-2, -0x1.892e6a8df96eep-2, -0x1.8f94deb3d33e4p-2, -0x1.95e8322b89283p-2, -0x1.9c281a41f407bp-2, -0x1.a2544557f72ap-2, -0x1.a86c5beda57dap-2, -0x1.ae70019769411p-2, -0x1.b45ed5de853e8p-2, -0x1.ba38750e68eddp-2, -0x1.bffc78f05c461p-2, -0x1.c5aa79770dc17p-2, -0x1.cb420d5b72af1p-2, -0x1.d0c2caac732f4p-2, -0x1.d62c4752a1247p-2, -0x1.db7e198937342p-2, -0x1.e0b7d84d6cffp-2, -0x1.e5d91bc520895p-2, -0x1.eae17d9d9ceedp-2, -0x1.efd09963467efp-2, -0x1.f4a60cd2c23b4p-2, -0x1.f96178241e69fp-2, -0x1.fe027e5071ab6p-2, -0x1.014462a92211p-1, -0x1.0379fb308aadep-1, -0x1.05a1df1419e1dp-1, -0x1.07bbe67c8e833p-1, -0x1.09c7eb7cc62d3p-1, -0x1.0bc5ca26aa4a6p-1, -0x1.0db5609e1269fp-1, -0x1.0f968f29a5fd1p-1, -0x1.11693841c80b1p-1, -0x1.132d409d96c14p-1, -0x1.14e28f3e08536p-1, -0x1.16890d772f11ap-1, -0x1.1820a6f7b05c2p-1, -0x1.19a949ce765e9p-1, -0x1.1b22e66eadf3p-1, -0x1.1c8d6fb219073p-1, -0x1.1de8dad9c8359p-1, -0x1.1f351f8d47015p-1, -0x1.207237d84eb7cp-1, -0x1.21a020270e7bap-1, -0x1.22bed7411e3e6p-1, -0x1.23ce5e432a121p-1, -0x1.24ceb897706f6p-1, -0x1.25bfebed20a19p-1, -0x1.26a2002eb269ap-1, -0x1.2774ff774838ep-1, -0x1.2838f6073431dp-1, -0x1.28edf237ae041p-1, -0x1.2994046dd556dp-1, -0x1.2a2b3f0d0ed6p-1, -0x1.2ab3b668d287dp-1, -0x1.2b2d80b5fc594p-1, -0x1.2b98b5fbb1cbbp-1, -0x1.2bf57003ef73dp-1, -0x1.2c43ca4bce585p-1, -0x1.2c83e1f38f7a2p-1, -0x1.2cb5d5ae80717p-1, -0x1.2cd9c5b2c4c56p-1, -0x1.2cefd3a912f39p-1, -0x1.2cf8229c6fed6p-1, -0x1.2cf2d6e9f837ep-1, -0x1.2ce01630bdb6dp-1, -0x1.2cc00741c755fp-1, -0x1.2c92d21039d08p-1, -0x1.2c589fa1b2648p-1, -0x1.2c1199fedb5b3p-1, -0x1.2bbdec244170ap-1, -0x1.2b5dc1f36d2e5p-1, -0x1.2af148244aff9p-1, -0x1.2a78ac36e0e6p-1, -0x1.29f41c6557be1p-1, -0x1.2963c7965e03bp-1, -0x1.28c7dd4fe102dp-1, -0x1.28208daa24cfp-1, -0x1.276e094337b6p-1, -0x1.26b08132c4b19p-1, -0x1.25e826fe4510ep-1, -0x1.25152c8d923b4p-1, -0x1.2437c41fd4e7ep-1, -0x1.23502040d6695p-1, -0x1.225e73beabb15p-1, -0x1.2162f19fc2d8bp-1, -0x1.205dcd1947bc2p-1, -0x1.1f4f3985e5d61p-1, -0x1.1e376a5ce3603p-1, -0x1.1d169329911efp-1, -0x1.1bece7831108cp-1, -0x1.1aba9b0470eefp-1, -0x1.197fe14513366p-1, -0x1.183cedd1695edp-1, -0x1.16f1f423f9154p-1, -0x1.159f279ead252p-1, -0x1.1444bb846c1ep-1, -0x1.12e2e2f2f6aa2p-1, -0x1.1179d0dd07dd2p-1, -0x1.1009b804b70aep-1, -0x1.0e92caf618121p-1, -0x1.0d153c021706p-1, -0x1.0b913d39901ap-1, -0x1.0a0700689d6c5p-1, -0x1.0876b7121b934p-1, -0x1.06e0926b612dep-1, -0x1.0544c35829419p-1, -0x1.03a37a66aca66p-1, -0x1.01fce7cbe8c06p-1, -0x1.00513b6012dc7p-1, -0x1.fd4149366c6d7p-2, -0x1.f9d6a523f40d7p-2, -0x1.f662e7e51b2c8p-2, -0x1.f2e66e03784b9p-2, -0x1.ef619330440bp-2, -0x1.ebd4b23f0d3fap-2, -0x1.e8402520ab7bap-2, -0x1.e4a444de7470ep-2, -0x1.e1016995acb35p-2, -0x1.dd57ea73352c7p-2, -0x1.d9a81daf70da4p-2, -0x1.d5f2588a60a75p-2, -0x1.d236ef47f7fe2p-2, -0x1.ce76352c9e394p-2, -0x1.cab07c79e9401p-2, -0x1.c6e6166b817adp-2, -0x1.c317533438cafp-2, -0x1.bf4481fb4c9dep-2, -0x1.bb6df0d9d2a84p-2, -0x1.b793ecd854407p-2, -0x1.b3b6c1ec8dc8ap-2, -0x1.afd6baf75a14ap-2, -0x1.abf421c2c412cp-2, -0x1.a80f3f003dd6ap-2, -0x1.a4285a46fde7ap-2, -0x1.a03fba1281105p-2, -0x1.9c55a3c12fcd1p-2, -0x1.986a5b9325994p-2, -0x1.947e24a91bdbp-2, -0x1.90914103771dap-2, -0x1.8ca3f18172a5p-2, -0x1.88b675e06c8bdp-2, -0x1.84c90cbb55824p-2, -0x1.80dbf38a3bd12p-2, -0x1.7cef66a1f3d46p-2, -0x1.7903a133e4f69p-2, -0x1.7518dd4dec398p-2, -0x1.712f53da61eddp-2, -0x1.6d473ca0395d6p-2, -0x1.6960ce433d0c6p-2, -0x1.657c3e44663e6p-2, -0x1.6199c10250a1ep-2, -0x1.5db989b9c93f9p-2, -0x1.59dbca86752a7p-2, -0x1.5600b46394c57p-2, -0x1.5228772cdfaaap-2, -0x1.4e53419f7932fp-2, -0x1.4a81415afd2fp-2, -0x1.46b2a2e2a702ep-2, -0x1.42e7919e8c8c8p-2, -0x1.3f2037dcf44e9p-2, -0x1.3b5cbed3bef5bp-2, -0x1.379d4ea1eb40cp-2, -0x1.33e20e51294dep-2, -0x1.302b23d78a7dcp-2, -0x1.2c78b41940bbap-2, -0x1.28cae2ea74a45p-2, -0x1.2521d3112fe79p-2, -0x1.217da64757f02p-2, -0x1.1dde7d3cc12c3p-2, -0x1.1a4477994ce47p-2, -0x1.16afb3ff20248p-2, -0x1.1320500ce7d51p-2, -0x1.0f9668602ede5p-2, -0x1.0c121897c41f9p-2, -0x1.08937b5630acdp-2, -0x1.051aaa443d001p-2, -0x1.01a7be1382ec1p-2, -0x1.fc759d0226b2fp-3, -0x1.f5a7e4b041b51p-3, -0x1.eee67ee97eb62p-3, -0x1.e831958d58573p-3, -0x1.e18950a844ba4p-3, -0x1.daedd67973561p-3, -0x1.d45f4b78a60e6p-3, -0x1.cdddd25c1be3cp-3, -0x1.c7698c1e87f44p-3, -0x1.c102980529e8bp-3, -0x1.baa913a5e661ap-3, -0x1.b45d1aed7f0f8p-3, -0x1.ae1ec825cc8c8p-3, -0x1.a7ee33fc10d8p-3, -0x1.a1cb75874f187p-3, -0x1.9bb6a24eb3332p-3, -0x1.95afce50014e3p-3, -0x1.8fb70c0611a34p-3, -0x1.89cc6c6f55fefp-3, -0x1.83efff1461031p-3, -0x1.7e21d20e79b8ep-3, -0x1.7861f20e30e6p-3, -0x1.72b06a6201d0ap-3, -0x1.6d0d44fce956cp-3, -0x1.67788a7d1221bp-3, -0x1.61f242327023p-3, -0x1.5c7a722568625p-3, -0x1.57111f1d7708bp-3, -0x1.51b64ca7d105bp-3, -0x1.4c69fd1e07774p-3, -0x1.472c31aca6ab7p-3, -0x1.41fcea59cefa5p-3, -0x1.3cdc260bd123cp-3, -0x1.37c9e28fbc9b2p-3, -0x1.32c61c9fedd2cp-3, -0x1.2dd0cfea9117bp-3, -0x1.28e9f71827308p-3, -0x1.24118bd1f3fdep-3, -0x1.1f4786c87181cp-3, -0x1.1a8bdfb9b06d1p-3, -0x1.15de8d77b5294p-3, -0x1.113f85eec349fp-3, -0x1.0caebe2ba57ap-3, -0x1.082c2a61e12d4p-3, -0x1.03b7bdf1e50b7p-3, -0x1.fea2d6de4b869p-4, -0x1.f5f2494c5d1a9p-4, -0x1.ed5db54548f92p-4, -0x1.e4e4fb6a793c5p-4, -0x1.dc87faf334b0fp-4, -0x1.d44691b859d2ep-4, -0x1.cc209c3fe17e2p-4, -0x1.c415f5c84ac12p-4, -0x1.bc267853e1bd3p-4, -0x1.b451fcb3ede67p-4, -0x1.ac985a93b0c38p-4, -0x1.a4f968834c0cap-4, -0x1.9d74fc0274c62p-4, -0x1.960ae98b1b456p-4, -0x1.8ebb049bcfa86p-4, -0x1.87851fc21a56ap-4, -0x1.80690ca49edap-4, -0x1.79669c0d1f947p-4, -0x1.727d9df256b5bp-4, -0x1.6bade181ac2fp-4, -0x1.64f73528be708p-4, -0x1.5e59669ec9b9ep-4, -0x1.57d442ede39ccp-4, -0x1.5167967c0e097p-4, -0x1.4b132d14234cbp-4, -0x1.44d6d1ee9a798p-4, -0x1.3eb24fba20311p-4, -0x1.38a570a409987p-4, -0x1.32affe609af94p-4, -0x1.2cd1c2332b8ccp-4, -0x1.270a84f617511p-4, -0x1.215a0f229134p-4, -0x1.1bc028d848347p-4, -0x1.163c99e4e001ap-4, -0x1.10cf29cb4996p-4, -0x1.0b779fcaeaeap-4, -0x1.0635c2e6a3a4cp-4, -0x1.010959eba6dfdp-4, -0x1.f7e456f05b5ffp-5, -0x1.eddffc0400ad9p-5, -0x1.e4052fb9b66cap-5, -0x1.da537e814e2c4p-5, -0x1.d0ca749f21b88p-5, -0x1.c7699e37e4f5bp-5, -0x1.be30875c380c8p-5, -0x1.b51ebc13e5d8fp-5, -0x1.ac33c868d5a59p-5, -0x1.a36f3871b6885p-5, -0x1.9ad0985c5a874p-5, -0x1.92577477cb5e3p-5, -0x1.8a03593e12eb8p-5, -0x1.81d3d35dbf007p-5, -0x1.79c86fc3187dbp-5, -0x1.71e0bba116e27p-5, -0x1.6a1c447a0e30fp-5, -0x1.627a982814b25p-5, -0x1.5afb44e523105p-5, -0x1.539dd952fa611p-5, -0x1.4c61e482b7ddbp-5, -0x1.4546f5fc37b18p-5, -0x1.3e4c9dc527366p-5, -0x1.37726c67e31e5p-5, -0x1.30b7f2fa11b57p-5, -0x1.2a1cc322fc668p-5, -0x1.23a06f21b41eep-5, -0x1.1d4289d2ee9f4p-5, -0x1.1702a6b6b28b6p-5, -0x1.10e059f5c69a1p-5, -0x1.0adb3866dea0ep-5, -0x1.04f2d793a190fp-5, -0x1.fe4d9b7ad393ep-6, -0x1.f2ed63c3a098p-6, -0x1.e7c4377e1c16ap-6, -0x1.dcd147b0341f6p-6, -0x1.d213c6f141c0cp-6, -0x1.c78ae97181a77p-6, -0x1.bd35e50134139p-6, -0x1.b313f11758e19p-6, -0x1.a92446d8090e7p-6, -0x1.9f66211a7b175p-6, -0x1.95d8bc6eb0cacp-6, -0x1.8c7b5722b1b2ap-6, -0x1.834d314796584p-6, -0x1.7a4d8cb61f6d1p-6, -0x1.717bad13030fbp-6, -0x1.68d6d7d2f737bp-6, -0x1.605e543e51dfcp-6, -0x1.58116b7477edp-6, -0x1.4fef686ee55a5p-6, -0x1.47f798040c926p-6, -0x1.402948e9d12ap-6, -0x1.3883cbb7c77d8p-6, -0x1.310672e930c0cp-6, -0x1.29b092debf78p-6, -0x1.228181e003fa3p-6, -0x1.1b78981cac9e8p-6, -0x1.14952fad87493p-6, -0x1.0dd6a4953e021p-6, -0x1.073c54c0e519ap-6, -0x1.00c5a0084d7dep-6, -0x1.f4e3d05c3ab6cp-7, -0x1.e88121bf74999p-7, -0x1.dc61ff69f67dbp-7, -0x1.d085385f592e2p-7, -0x1.c4e99f75c9014p-7, -0x1.b98e0b5450271p-7, -0x1.ae715670c6e55p-7, -0x1.a3925f0d65884p-7, -0x1.98f0073625111p-7, -0x1.8e8934bd90575p-7, -0x1.845cd13993c21p-7, -0x1.7a69c9ffbedb7p-7, -0x1.70af102168568p-7, -0x1.672b98677f0c8p-7, -0x1.5dde5b4e11ca5p-7, -0x1.54c654ffa5dc7p-7, -0x1.4be2855034f09p-7, -0x1.4331efb81d74ap-7, -0x1.3ab39b4eaaac4p-7, -0x1.326692c48154bp-7, -0x1.2a49e45dd24cdp-7, -0x1.225ca1ec59bafp-7, -0x1.1a9de0c935f1ep-7, -0x1.130cb9ce81d1cp-7, -0x1.0ba84950e0f26p-7, -0x1.046faf18b51b4p-7, -0x1.fac41cb6c54dep-8, -0x1.ecfd1b688883dp-8, -0x1.df88ae3b3c328p-8, -0x1.d2652fd29555ep-8, -0x1.c5910172e911cp-8, -0x1.b90a8af21843ap-8, -0x1.acd03aa8725b5p-8, -0x1.a0e0856160bfbp-8, -0x1.9539e64bbee29p-8, -0x1.89dadeea5463dp-8, -0x1.7ec1f703b65cep-8, -0x1.73edbc92613fdp-8, -0x1.695cc3b4a3fd2p-8, -0x1.5f0da69c31a6fp-8, -0x1.54ff057dbfbfp-8, -0x1.4b2f86809ceb1p-8, -0x1.419dd5ae0df52p-8, -0x1.3848a4e0a5bb8p-8, -0x1.2f2eabb379606p-8, -0x1.264ea7716c1f5p-8, -0x1.1da75b0445a74p-8, -0x1.15378ee3d7a77p-8, -0x1.0cfe11050a97ep-8, -0x1.04f9b4c8ef024p-8, -0x1.fa52a5d7b41a6p-9, -0x1.eb1792e89017ep-9, -0x1.dc3ff744158a7p-9, -0x1.cdc9a3ba8e10ap-9, -0x1.bfb2734afc28fp-9, -0x1.b1f84b01613b3p-9, -0x1.a49919d4ed1d2p-9, -0x1.9792d8865c51p-9, -0x1.8ae3897e38fdcp-9, -0x1.7e8938ab7ddb5p-9, -0x1.7281fb6217584p-9, -0x1.66cbf039cce44p-9, -0x1.5b653eecd5c9ep-9, -0x1.504c18371b6b7p-9, -0x1.457eb5b536d1dp-9, -0x1.3afb59c3e984cp-9, -0x1.30c04f5f788cdp-9, -0x1.26cbea03741b8p-9, -0x1.1d1c858a92e7ep-9, -0x1.13b0860ea9b05p-9, -0x1.0a8657c923171p-9, -0x1.019c6ef342034p-9, -0x1.f1e28f4e286ddp-10, -0x1.e106cb80460c9p-10, -0x1.d0a2a979b84bcp-10, -0x1.c0b34f3f8f9b1p-10, -0x1.b135f1a2a1534p-10, -0x1.a227d40341407p-10, -0x1.938648157ee85p-10, -0x1.854eada63e5c2p-10, -0x1.777e72603f081p-10, -0x1.6a1311922c383p-10, -0x1.5d0a13f54c5e5p-10, -0x1.50610f7420947p-10, -0x1.4415a6f217f7ep-10, -0x1.38258a13e9a61p-10, -0x1.2c8e7507e497bp-10, -0x1.214e304fa464bp-10, -0x1.16629089923dap-10, -0x1.0bc9763b84ffdp-10, -0x1.0180cd9dce7fdp-10, -0x1.ef0d1ccd795e1p-11, -0x1.dbb1772df9e4bp-11, -0x1.c8eac68cba4bdp-11, -0x1.b6b53ce2307abp-11, -0x1.a50d218c43234p-11, -0x1.93eed0eb30c1fp-11, -0x1.8356bc0015651p-11, -0x1.7341680c9a247p-11, -0x1.63ab6e33feb34p-11, -0x1.54917b1d2b87ep-11, -0x1.45f04e95e72c4p-11, -0x1.37c4bb379f137p-11, -0x1.2a0ba60cd08a9p-11, -0x1.1cc206388a7dp-11, -0x1.0fe4e49e10c64p-11, -0x1.03715b8a78d1fp-11, -0x1.eec92cbea37d6p-12, -0x1.d777a27ce03a1p-12, -0x1.c0e8b16cfba04p-12, -0x1.ab1712e40ed49p-12, -0x1.95fd9fcb65e2p-12, -0x1.819750037a658p-12, -0x1.6ddf39c68f333p-12, -0x1.5ad0910def12bp-12, -0x1.4866a6fafcc2ep-12, -0x1.369ce940a0aafp-12, -0x1.256ee190dfa53p-12, -0x1.14d8350ac1806p-12, -0x1.04d4a3ac10711p-12, -0x1.eac00f898b69dp-13, -0x1.ccecaad98ea97p-13, -0x1.b02733f61279ap-13, -0x1.9467f700f29e3p-13, -0x1.79a7708742cdep-13, -0x1.5fde4c7e81577p-13, -0x1.4705654582bd5p-13, -0x1.2f15c2aa0243fp-13, -0x1.180898f10a48ep-13, -0x1.01d747e5f9f38p-13, -0x1.d8f6b3d552a91p-14, -0x1.afdd061b84c7p-14, -0x1.8855404b74dep-14, -0x1.62536bd9b6c6p-14, -0x1.3dcbe0478d4f5p-14, -0x1.1ab3416cc67d9p-14, -0x1.f1fcfb9c4df02p-15, -0x1.b14599e61f004p-15, -0x1.732b5b99b02c9p-15, -0x1.3799ca36c777ep-15, -0x1.fcf9ef84fc304p-16, -0x1.8f82f76f50d18p-16, -0x1.26a8e00367c2cp-16, -0x1.848db836ec767p-17, -0x1.88e45f176afc1p-18, -0x1.972ca65e662ebp-22, 0x1.45c11774280efp-18, 0x1.4a9db72a44879p-17, 0x1.eabe6acce0454p-17, 0x1.41c09c477c13dp-16, 0x1.8a91808121768p-16, 0x1.cfef7eb45b83p-16, 0x1.08fbb268cf92p-15, 0x1.28629b7f97e39p-15, 0x1.463a1a296be2fp-15, 0x1.628f6dc2676cp-15, 0x1.7d6f77c1a5e6bp-15, 0x1.96e6bdf80f72cp-15, 0x1.af016cc50e183p-15, 0x1.c5cb593cf21dbp-15, 0x1.db500344bbf68p-15, 0x1.ef9a97a76ab3dp-15, 0x1.015af90bae926p-14, 0x1.0a564f978a65dp-14, 0x1.12c46f30fe289p-14, 0x1.1aaa51f1ce8acp-14, 0x1.220ccd4166549p-14, 0x1.28f092beb0bfdp-14, 0x1.2f5a3126488bfp-14, 0x1.354e153036f73p-14, 0x1.3ad08a6c7ae36p-14, 0x1.3fe5bc17b086fp-14, 0x1.4491b5ef046f2p-14, 0x1.48d864fa993bcp-14, 0x1.4cbd98594964dp-14, 0x1.50450202a0a36p-14, 0x1.53723787c1035p-14, 0x1.5648b2cf38b8fp-14, 0x1.58cbd2cd60365p-14, 0x1.5afedc362277bp-14, 0x1.5ce4fa2e699d9p-14, 0x1.5e813ef6cab01p-14, 0x1.5fd6a49360a06p-14, 0x1.60e80d70661fap-14, 0x1.61b84501673bfp-14, 0x1.624a005f11021p-14, 0x1.629fdedfa2429p-14, 0x1.62bc6aac5a0cp-14, 0x1.62a219533295dp-14, 0x1.62534c575dad3p-14, 0x1.61d251b9a15e1p-14, 0x1.61216483872b9p-14, 0x1.6042ad49f32edp-14, 0x1.5f3842b017438p-14, 0x1.5e0429e590fa2p-14, 0x1.5ca857229eceap-14, 0x1.5b26ae20bed1fp-14, 0x1.598102901d173p-14, 0x1.57b9188addf4p-14, 0x1.55d0a5053ff23p-14, 0x1.53c94e3aede64p-14, 0x1.51a4ac1a75439p-14, 0x1.4f6448ac889e9p-14, 0x1.4d09a07a96253p-14, 0x1.4a9622f0fce07p-14, 0x1.480b32c092ad9p-14, 0x1.456a263c6811bp-14, 0x1.42b447b5cc085p-14, 0x1.3fead5d5f70abp-14, 0x1.3d0f03f561738p-14, 0x1.3a21fa70bc3e2p-14, 0x1.3724d6fc55b58p-14, 0x1.3418acf4629f3p-14, 0x1.30fe85ac85062p-14, 0x1.2dd760bc131dep-14, 0x1.2aa43448cf7d1p-14, 0x1.2765ed502905fp-14, 0x1.241d6fed9ff6ap-14, 0x1.20cb97a0a0439p-14, 0x1.1d71378f08677p-14, 0x1.1a0f1ac782fbep-14, 0x1.16a60480a1ad1p-14, 0x1.1336b056ea80cp-14, 0x1.0fc1d28a1e3bfp-14, 0x1.0c4818372e208p-14, 0x1.08ca2791dbea6p-14, 0x1.0548a01c5e286p-14, 0x1.01c41addbee11p-14, 0x1.fc7a552c8797fp-15, 0x1.f568b7e5f2a64p-15, 0x1.ee546b7f1be9ep-15, 0x1.e73e722d2e7c2p-15, 0x1.e027c3224de2ep-15, 0x1.d9114ae873b26p-15, 0x1.d1fbebbb09a56p-15, 0x1.cae87dde07143p-15, 0x1.c3d7cff186191p-15, 0x1.bccaa74337f35p-15, 0x1.b5c1c01fa4179p-15, 0x1.aebdce1d35fc1p-15, 0x1.a7bf7c694fe8p-15, 0x1.a0c76e10602e1p-15, 0x1.99d63e448010cp-15, 0x1.92ec80a266fc5p-15, 0x1.8c0ac174c759cp-15, 0x1.853185f421fa4p-15, 0x1.7e614c8677a4cp-15, 0x1.779a8cfc1e885p-15, 0x1.70ddb8cbdfefbp-15, 0x1.6a2b3b4b02ebfp-15, 0x1.638379e5ff406p-15, 0x1.5ce6d456de30fp-15, 0x1.5655a4d8c1032p-15, 0x1.4fd0405cb013dp-15, 0x1.4956f6b8fed13p-15, 0x1.42ea12da79fe5p-15, 0x1.3c89daf299122p-15, 0x1.363690a3d8b14p-15, 0x1.2ff0712e8eeeap-15, 0x1.29b7b599eece9p-15, 0x1.238c92de2f9f5p-15, 0x1.1d6f3a0b6c7c5p-15, 0x1.175fd8707736p-15, 0x1.115e97bfd2865p-15, 0x1.0b6b9e343c38dp-15, 0x1.05870eb2e3c49p-15, 0x1.ff6211dbbd036p-16, 0x1.f3d353097cfadp-16, 0x1.e862144728aedp-16, 0x1.dd0e8345314fep-16, 0x1.d1d8c8455919ep-16, 0x1.c6c10656aecd7p-16, 0x1.bbc75b8aa530ep-16, 0x1.b0ebe12c43651p-16, 0x1.a62eabf2d730bp-16, 0x1.9b8fcc34d1168p-16, 0x1.910f4e179579ep-16, 0x1.86ad39bf1700ap-16, 0x1.7c69937ac3af6p-16, 0x1.72445bf07a58p-16, 0x1.683d904810dd7p-16, 0x1.5e552a5279407p-16, 0x1.548b20b26776p-16, 0x1.4adf67015389p-16, 0x1.4151edf4cafffp-16, 0x1.37e2a381b4f51p-16, 0x1.2e9172fdcc9e7p-16, 0x1.255e4541beaf2p-16, 0x1.1c4900c6fe013p-16, 0x1.135189c7d462ep-16, 0x1.0a77c25c3b0ccp-16, 0x1.01bb8a967f36ap-16, 0x1.f239813cf13cfp-17, 0x1.e1368197d1384p-17, 0x1.d06dcb8034819p-17, 0x1.bfdf10fb63621p-17, 0x1.af8a0100ad7e5p-17, 0x1.9f6e47a78ef58p-17, 0x1.8f8b8e523b2a4p-17, 0x1.7fe17bd7dc9afp-17, 0x1.706fb4ad0ec37p-17, 0x1.6135db0a44364p-17, 0x1.52338f0fb40a6p-17, 0x1.43686eebd28bdp-17, 0x1.34d416faff759p-17, 0x1.267621e9e8a45p-17, 0x1.184e28d400984p-17, 0x1.0a5bc363bf644p-17, 0x1.f93d0fdab2c19p-18, 0x1.de2c17176325ep-18, 0x1.c383c47651be3p-18, 0x1.a9433de698d9ap-18, 0x1.8f69a77ebaf19p-18, 0x1.75f623a9f9693p-18, 0x1.5ce7d358b337ap-18, 0x1.443dd62680edep-18, 0x1.2bf74a87256dap-18, 0x1.14134deca0223p-18, 0x1.f921f9d8b677fp-19, 0x1.cadee6cb090ddp-19, 0x1.9d5b993d2d209p-19, 0x1.709646d6239e9p-19, 0x1.448d248c30361p-19, 0x1.193e66e6c09b9p-19, 0x1.dd50846691e97p-20, 0x1.8991d578e0924p-20, 0x1.373d29fee306p-20, 0x1.cc9dd762e3dcfp-21, 0x1.2d870adaed86fp-21, 0x1.225d8e0ec9a69p-22, -0x1.0e42fd0548197p-26, -0x1.3ec5631193eacp-22, -0x1.33aa20ad5d36ap-21, -0x1.c54f7acb91e8cp-21, -0x1.2a2ce7c1f8f5p-20, -0x1.70681409d0165p-20, -0x1.b55cc3764b297p-20, -0x1.f90e739864fb3p-20, -0x1.1dc04f197d70fp-19, -0x1.3e5b5c7ca2ddbp-19, -0x1.5e5a1ab510808p-19, -0x1.7dbe404e6f11p-19, -0x1.9c89818f390ffp-19, -0x1.babd90620b833p-19, -0x1.d85c1c473f7e5p-19, -0x1.f566d24260225p-19, -0x1.08efae64d4943p-18, -0x1.16e3b1dbde0b1p-18, -0x1.2490461fc8ef5p-18, -0x1.31f63c6fb76f9p-18, -0x1.3f1664aa22c4ap-18, -0x1.4bf18d4878d34p-18, -0x1.58888359e969ap-18, -0x1.64dc127e8a887p-18, -0x1.70ed04e4710a7p-18, -0x1.7cbc2342be723p-18, -0x1.884a34d87ef44p-18, -0x1.9397ff666af0cp-18, -0x1.9ea647306b7c3p-18, -0x1.a975cef8dc0efp-18, -0x1.b40757fea8e32p-18, -0x1.be5ba1fd28e8dp-18, -0x1.c8736b2983628p-18, -0x1.d24f7031cc316p-18, -0x1.dbf06c3d0d585p-18, -0x1.e55718e92761bp-18, -0x1.ee842e4c395f5p-18, -0x1.f77862f314e2ep-18, -0x1.001a35f139c6cp-17, -0x1.045c7e4b4aacfp-17, -0x1.088363818d482p-17, -0x1.0c8f3dca75028p-17, -0x1.10806498ed9a4p-17, -0x1.14572e9d152edp-17, -0x1.1813f1c492dep-17, -0x1.1bb7033b68056p-17, -0x1.1f40b76cd0ef2p-17, -0x1.22b16202e13c8p-17, -0x1.260955e88b6f5p-17, -0x1.2948e549fab21p-17, -0x1.2c70619521ceap-17, -0x1.2f801b7ad1776p-17, -0x1.327862efee204p-17, -0x1.3559872e33209p-17, -0x1.3823d6b52a93ep-17, -0x1.3ad79f4b4582cp-17, -0x1.3d752dff1478cp-17, -0x1.3ffccf280e65bp-17, -0x1.426ece683670ap-17, -0x1.44cb76aca1dap-17, -0x1.4713122f1bca5p-17, -0x1.4945ea7719e28p-17, -0x1.4b64485b25f69p-17, -0x1.4d6e7401c887p-17, -0x1.4f64b4e325367p-17, -0x1.514751c9cbc0cp-17, -0x1.531690d476e22p-17, -0x1.54d2b776fb6d1p-17, -0x1.567c0a7b3639bp-17, -0x1.5812ce0365d4p-17, -0x1.5997458a6b561p-17, -0x1.5b09b3e5484fap-17, -0x1.5c6a5b44af6ap-17, -0x1.5db97d3635ee6p-17, -0x1.5ef75aa580f91p-17, -0x1.602433dd741dfp-17, -0x1.61404889c4ee3p-17, -0x1.624bd7b813feap-17, -0x1.63471fd93cb15p-17, -0x1.64325ec24ff8ap-17, -0x1.650dd1ae5d2f4p-17, -0x1.65d9b53f4e976p-17, -0x1.6696457f617ecp-17, -0x1.6743bde21408cp-17, -0x1.67e25945de2cap-17, -0x1.687251f512876p-17, -0x1.68f3e1a6ea696p-17, -0x1.696741813ed4cp-17, -0x1.69ccaa193f83fp-17, -0x1.6a245374e99ccp-17, -0x1.6a6e750c2f202p-17, -0x1.6aab45ca05d9dp-17, -0x1.6adafc0d9775bp-17, -0x1.6afdcdab6eb31p-17, -0x1.6b13efeeba361p-17, -0x1.6b1d979a2d59cp-17, -0x1.6b1af8e93045p-17, -0x1.6b0c47911e696p-17, -0x1.6af1b6c289547p-17, -0x1.6acb7929a4c5ep-17, -0x1.6a99c0efefd34p-17, -0x1.6a5cbfbd02fddp-17, -0x1.6a14a6b7d303dp-17, -0x1.69c1a687879bdp-17, -0x1.6963ef548d465p-17, -0x1.68fbb0c990107p-17, -0x1.68891a14b2ddep-17, -0x1.680c59e8299cfp-17, -0x1.67859e7bae889p-17, -0x1.66f5158d1aeb9p-17, -0x1.665aec618479ap-17, -0x1.65b74fc64db03p-17, -0x1.650a6c11c2ecp-17, -0x1.64546d245d3aep-17, -0x1.63957e698378ep-17, -0x1.62cdcad88f295p-17, -0x1.61fd7cf573a38p-17, -0x1.6124bed1e4115p-17, -0x1.6043ba0e176e5p-17, -0x1.5f5a97d9da597p-17, -0x1.5e6980f4f9ba2p-17, -0x1.5d709db07446ap-17, -0x1.5c7015ef4cec5p-17, -0x1.5b68112734de2p-17, -0x1.5a58b661a1b9p-17, -0x1.59422c3c6646fp-17, -0x1.582498ea8efep-17, -0x1.570022353ff06p-17, -0x1.55d4ed7c68f12p-17, -0x1.54a31fb790c82p-17, -0x1.536add768da9ap-17, -0x1.522c4ae282dadp-17, -0x1.50e78bbe78043p-17, -0x1.4f9cc367e94e9p-17, -0x1.4e4c14d7de655p-17, -0x1.4cf5a2a3928p-17, -0x1.4b998efcfd951p-17, -0x1.4a37fbb3c121ap-17, -0x1.48d10a35c53fap-17, -0x1.4764db8feaa11p-17, -0x1.45f3906ed478p-17, -0x1.447d491f9a032p-17, -0x1.43022590845abp-17, -0x1.4182455195798p-17, -0x1.3ffdc7952e673p-17, -0x1.3e74cb30e91f3p-17, -0x1.3ce76e9e4862ep-17, -0x1.3b55cffb3f563p-17, -0x1.39c00d0ace959p-17, -0x1.38264335d9a53p-17, -0x1.36888f8ba8369p-17, -0x1.34e70ec29823dp-17, -0x1.3341dd38d2721p-17, -0x1.319916f4d8d6bp-17, -0x1.2fecd7a632a7ap-17, -0x1.2e3d3aa6006e3p-17, -0x1.2c8a5af7a133fp-17, -0x1.2ad4534967aap-17, -0x1.291b3df51f772p-17, -0x1.275f3500a7474p-17, -0x1.25a0521e80c3dp-17, -0x1.23deaeae95705p-17, -0x1.221a63be9f94fp-17, -0x1.20538a0aea596p-17, -0x1.1e8a39fef9f39p-17, -0x1.1cbe8bb5dc373p-17, -0x1.1af096faf3ee7p-17, -0x1.1920734a7b906p-17, -0x1.174e37d21cdccp-17, -0x1.1579fb719a56ep-17, -0x1.13a3d4bb55966p-17, -0x1.11cbd9f4d495ap-17, -0x1.0ff221176abdcp-17, -0x1.0e16bfd0cc2fdp-17, -0x1.0c39cb837b024p-17, -0x1.0a5b59477557dp-17, -0x1.087b7deacdfe3p-17, -0x1.069a4df20a893p-17, -0x1.04b7dd98ea58ap-17, -0x1.02d440d2df13bp-17, -0x1.00ef8b4b92f8fp-17, -0x1.fe13a0cefa0b4p-18, -0x1.fa464688edf65p-18, -0x1.f6772d74958p-18, -0x1.f2a67ab63eefcp-18, -0x1.eed452e825fedp-18, -0x1.eb00da1baa44bp-18, -0x1.e72c33da5d499p-18, -0x1.e35683271612dp-18, -0x1.df7fea7ef3f75p-18, -0x1.dba88bda7c42fp-18, -0x1.d7d088ae8a04bp-18, -0x1.d3f801ed64c72p-18, -0x1.d01f180816fb3p-18, -0x1.cc45eaef1a0aep-18, -0x1.c86c9a139974ap-18, -0x1.c4934468a32a6p-18, -0x1.c0ba0863d88a8p-18, -0x1.bce103fece4e3p-18, -0x1.b90854b7bc112p-18, -0x1.b5301792e85aep-18, -0x1.b158691b848a4p-18, -0x1.ad816564aac39p-18, -0x1.a9ab280a6adbep-18, -0x1.a5d5cc331c713p-18, }}, 
      {{-0x1.f3d7dbe60a3c2p-1, -0x1.f3813a12be6c6p-1, -0x1.f2eb438cf141fp-1, -0x1.f20f409185a65p-1, -0x1.f0e616cd45a9bp-1, -0x1.ef6966378f23dp-1, -0x1.ed944c510bf23p-1, -0x1.eb63d1a002255p-1, -0x1.e8d7107fd936ap-1, -0x1.e5ef277708df7p-1, -0x1.e2af0832f804ep-1, -0x1.df1b316ea31c3p-1, -0x1.db395ec47492bp-1, -0x1.d7103667cbe0cp-1, -0x1.d2a6fa3f62a08p-1, -0x1.ce053fe077309p-1, -0x1.c932b16d178a4p-1, -0x1.c436d840a0bd8p-1, -0x1.bf18f18f3398dp-1, -0x1.b9dfcc9555f0cp-1, -0x1.b491b19d3ab72p-1, -0x1.af3450eb82ce2p-1, -0x1.a9ccb88c4171cp-1, -0x1.a45f4ff375132p-1, -0x1.9eefd86bffa66p-1, -0x1.998171611b9a9p-1, -0x1.94169fa4b69b7p-1, -0x1.8eb156ee6e625p-1, -0x1.895304e92f297p-1, -0x1.83fc9d3f30eacp-1, -0x1.7eaea62c76af8p-1, -0x1.796945364df2bp-1, -0x1.742c4bba523c2p-1, -0x1.6ef7431913914p-1, -0x1.69c9784fa36f7p-1, -0x1.64a206e01d9f9p-1, -0x1.5f7fe2f3f746dp-1, -0x1.5a61e2ab99073p-1, -0x1.5546c695d351bp-1, -0x1.502d414f49826p-1, -0x1.4b13fe4e306edp-1, -0x1.45f9a7e1f7e6dp-1, -0x1.40dcec70b7746p-1, -0x1.3bbc82fdd5d44p-1, -0x1.36972f064fe7fp-1, -0x1.316bc3bf8dc22p-1, -0x1.2c3926c5d05b5p-1, -0x1.26fe524721122p-1, -0x1.21ba56b74d88ap-1, -0x1.1c6c5c18f610cp-1, -0x1.1713a2e71bcbcp-1, -0x1.11af84a9e3214p-1, -0x1.0c3f74409108ap-1, -0x1.06c2fdea03eeap-1, -0x1.0139c71432b4p-1, -0x1.f7471bf4fe4a9p-2, -0x1.ec00523404539p-2, -0x1.e09f0d0484feap-2, -0x1.d523561060d5fp-2, -0x1.c98d62c158b6ep-2, -0x1.bddd924e95613p-2, -0x1.b2146bab20ad2p-2, -0x1.a6329b5ccfb7p-2, -0x1.9a38f14241d89p-2, -0x1.8e285e4ddc0cp-2, -0x1.8201f23ae5ef5p-2, -0x1.75c6d9414f4b2p-2, -0x1.697859cc12fb5p-2, -0x1.5d17d23597e1bp-2, -0x1.50a6b68d061bap-2, -0x1.44268e670bff1p-2, -0x1.3798f2bc3045bp-2, -0x1.2aff8bd677b74p-2, -0x1.1e5c0f4fd1853p-2, -0x1.11b03e22787cap-2, -0x1.04fde2cc35accp-2, -0x1.f08d9f0a7d151p-3, -0x1.d719b91656f3p-3, -0x1.bda3cd00cc538p-3, -0x1.a42f99c0794eap-3, -0x1.8ac0e10f48335p-3, -0x1.715b64a54d9a2p-3, -0x1.5802e39c8b578p-3, -0x1.3ebb17fd3523ap-3, -0x1.2587b471be428p-3, -0x1.0c6c6221f068cp-3, -0x1.e6d97d684e582p-4, -0x1.b518b4e76e21p-4, -0x1.839d6d36cd182p-4, -0x1.526e8785dcf69p-4, -0x1.2192c0dc889f2p-4, -0x1.e2215ef61b6eep-5, -0x1.81dd80f13c3e5p-5, -0x1.22666b3c90133p-5, -0x1.87908deea041fp-6, -0x1.983b7d96fa1dap-7, -0x1.28b3de52e35c6p-10, 0x1.4a21cdabd943p-7, 0x1.5aa16cd35dce5p-6, 0x1.0708f04de781cp-5, 0x1.5fa7507329459p-5, 0x1.b72270846c4bfp-5, 0x1.06b8aab3ca9f1p-4, 0x1.3145b7f048046p-4, 0x1.5b344e782e828p-4, 0x1.848092fa23518p-4, 0x1.ad26e044a3f33p-4, 0x1.d523c71bc9834p-4, 0x1.fc740df4f582dp-4, 0x1.118a584d2690dp-3, 0x1.24816fdbd91b1p-3, 0x1.371e002977433p-3, 0x1.495ed59857aap-3, 0x1.5b42d613e937ep-3, 0x1.6cc900b24bd8fp-3, 0x1.7df06d4e77fd3p-3, 0x1.8eb84c1bbf2bfp-3, 0x1.9f1fe5332ee3dp-3, 0x1.af26981b7f88cp-3, 0x1.becbdb4c1fa44p-3, 0x1.ce0f3babe8321p-3, 0x1.dcf05c0bfc2a8p-3, 0x1.eb6ef49f56578p-3, 0x1.f98ad26f78b1bp-3, 0x1.03a1eb67559b6p-2, 0x1.0a4cfb641d68ap-2, 0x1.10c69d478975ep-2, 0x1.170ede758e7f1p-2, 0x1.1d25d552d558bp-2, 0x1.230ba0faa68ffp-2, 0x1.28c068f4b1f95p-2, 0x1.2e445ceacec63p-2, 0x1.3397b45ee4104p-2, 0x1.38baae61077d5p-2, 0x1.3dad9145ff491p-2, 0x1.4270aa5e37f94p-2, 0x1.47044dad4a54p-2, 0x1.4b68d5a22aa8dp-2, 0x1.4f9ea2d01223ap-2, 0x1.53a61ba83ac9ep-2, 0x1.577fac347ae3dp-2, 0x1.5b2bc5d2d39bbp-2, 0x1.5eaadef201572p-2, 0x1.61fd72cf1a1a3p-2, 0x1.6524013444f3dp-2, 0x1.681f0e3898f6bp-2, 0x1.6aef22012b38ap-2, 0x1.6d94c88352009p-2, 0x1.701091482a552p-2, 0x1.72630f315f0a8p-2, 0x1.748cd83f41957p-2, 0x1.768e855828c33p-2, 0x1.7868b2112df83p-2, 0x1.7a1bfc78391f2p-2, 0x1.7ba904df687b2p-2, 0x1.7d106da9d3ebbp-2, 0x1.7e52db19ab328p-2, 0x1.7f70f31faf3a9p-2, 0x1.806b5d2c08938p-2, 0x1.8142c200780dep-2, 0x1.81f7cb83e3a9ep-2, 0x1.828b24973a229p-2, 0x1.82fd78ebac32bp-2, 0x1.834f74da3b94ap-2, 0x1.8381c53c9b564p-2, 0x1.839517475d8c7p-2, 0x1.838a18656bc21p-2, 0x1.83617614c62d6p-2, 0x1.831bddc4885ap-2, 0x1.82b9fcb42929fp-2, 0x1.823c7fd3f8d12p-2, 0x1.81a413a6d23d8p-2, 0x1.80f16425005bdp-2, 0x1.80251ca04d1c1p-2, 0x1.7f3fe7a939c4ep-2, 0x1.7e426ef558aabp-2, 0x1.7d2d5b46c3753p-2, 0x1.7c015454a98c1p-2, 0x1.7abf00b4f164ep-2, 0x1.796705c6e4564p-2, 0x1.77fa079ee2bdcp-2, 0x1.7678a8f31a501p-2, 0x1.74e38b0937199p-2, 0x1.733b4da50a585p-2, 0x1.71808ef8233b2p-2, 0x1.6fb3eb924fd7bp-2, 0x1.6dd5fe5306c9p-2, 0x1.6be7605bad96p-2, 0x1.69e8a902b7eadp-2, 0x1.67da6dc79f349p-2, 0x1.65bd4247a33adp-2, 0x1.6391b83357abbp-2, 0x1.61585f44f40cfp-2, 0x1.5f11c5375f084p-2, 0x1.5cbe75bdf583ep-2, 0x1.5a5efa7d02f83p-2, 0x1.57f3db02e7efep-2, 0x1.557d9cc1e7a78p-2, 0x1.52fcc30a9b7c1p-2, 0x1.5071cf06ffd71p-2, 0x1.4ddd3fb61e8e1p-2, 0x1.4b3f91e84b46p-2, 0x1.4899403bede5p-2, 0x1.45eac31ad86f8p-2, 0x1.433490b81ff4cp-2, 0x1.40771d0e79dd4p-2, 0x1.3db2d9df114a4p-2, 0x1.3ae836b0d4f69p-2, 0x1.3817a0d038527p-2, 0x1.3541834f64c58p-2, 0x1.32664706cfa7fp-2, 0x1.2f8652963dbecp-2, 0x1.2ca20a66206ffp-2, 0x1.29b9d0a957ae6p-2, 0x1.26ce055f49377p-2, 0x1.23df06564ee64p-2, 0x1.20ed2f2e77b52p-2, 0x1.1df8d95c96981p-2, 0x1.1b025c2d9a588p-2, 0x1.180a0cca31173p-2, 0x1.15103e3aaa417p-2, 0x1.1215416b1aefap-2, 0x1.0f19652fc1282p-2, 0x1.0c1cf6499d3a7p-2, 0x1.09203f6b460a1p-2, 0x1.0623893deb15ep-2, 0x1.03271a668e5b5p-2, 0x1.002b378b64ecbp-2, 0x1.fa6046b2cfd1fp-3, 0x1.f46c3d1413e85p-3, 0x1.ee7acfd227a93p-3, 0x1.e88c78b54a402p-3, 0x1.e2a1adc2a2ffbp-3, 0x1.dcbae148c084ap-3, 0x1.d6d881ec4ade3p-3, 0x1.d0fafab4e8ba8p-3, 0x1.cb22b31a516fp-3, 0x1.c5500f118cbeep-3, 0x1.bf836f1a55cffp-3, 0x1.b9bd304c9eab8p-3, 0x1.b3fdac6636eeap-3, 0x1.ae4539d886b54p-3, 0x1.a8942bd661454p-3, 0x1.a2ead261f13b9p-3, 0x1.9d497a5aa91fap-3, 0x1.97b06d8b4c979p-3, 0x1.921ff2b7f6f8ap-3, 0x1.8c984dac336fep-3, 0x1.8719bf490fe2ep-3, 0x1.81a4859335f9bp-3, 0x1.7c38dbc0ffc21p-3, 0x1.76d6fa4887ed5p-3, 0x1.717f16edb2232p-3, 0x1.6c3164d02e0dep-3, 0x1.66ee147967ed7p-3, 0x1.61b553ea72214p-3, 0x1.5c874ea9dc39p-3, 0x1.57642dd173271p-3, 0x1.524c181bfa696p-3, 0x1.4d3f31f2c2031p-3, 0x1.483d9d7b2ca0bp-3, 0x1.43477aa41c3abp-3, 0x1.3e5ce7334372dp-3, 0x1.397dfed25c8e6p-3, 0x1.34aadb1c3fe4dp-3, 0x1.2fe393a9dfeaep-3, 0x1.2b283e1f25932p-3, 0x1.2678ee37a6dc2p-3, 0x1.21d5b5d342fabp-3, 0x1.1d3ea502944c2p-3, 0x1.18b3ca13445fbp-3, 0x1.1435319c394c9p-3, 0x1.0fc2e6899a915p-3, 0x1.0b5cf228b5683p-3, 0x1.07035c33b6e1dp-3, 0x1.02b62add3ca99p-3, 0x1.fceac5b78533bp-4, 0x1.f4820ee9c3646p-4, 0x1.ec323510d97fp-4, 0x1.e3fb3936bccadp-4, 0x1.dbdd19c5381c1p-4, 0x1.d3d7d29b2d174p-4, 0x1.cbeb5d216a24dp-4, 0x1.c417b05f3d8a6p-4, 0x1.bc5cc10ea7c34p-4, 0x1.b4ba81b03eadbp-4, 0x1.ad30e29eaff7p-4, 0x1.a5bfd221f45d6p-4, 0x1.9e673c8230429p-4, 0x1.97270c1a335p-4, 0x1.8fff2969a241p-4, 0x1.88ef7b26d2be8p-4, 0x1.81f7e650461e7p-4, 0x1.7b184e3dd5da6p-4, 0x1.745094b1826f3p-4, 0x1.6da099e7f230bp-4, 0x1.67083ca898dc2p-4, 0x1.60875a5585721p-4, 0x1.5a1dcefae32f3p-4, 0x1.53cb755e20463p-4, 0x1.4d90270cc4342p-4, 0x1.476bbc6aefe07p-4, 0x1.415e0cc18e93dp-4, 0x1.3b66ee4c327d3p-4, 0x1.35863646a1df5p-4, 0x1.2fbbb8fa1108ep-4, 0x1.2a0749ca1269p-4, 0x1.2468bb412f623p-4, 0x1.1edfdf1d3956ap-4, 0x1.196c865b4bb6dp-4, 0x1.140e814381032p-4, 0x1.0ec59f745bfa6p-4, 0x1.0991afede6046p-4, 0x1.0472811c86899p-4, 0x1.fecfc1c719127p-5, 0x1.f4e3394ee942fp-5, 0x1.eb1f02afc8a67p-5, 0x1.e182b6f2c69aep-5, 0x1.d80dee5d9af1cp-5, 0x1.cec04084fc3dp-5, 0x1.c599445e7af6p-5, 0x1.bc989051d0f66p-5, 0x1.b3bdba49b5179p-5, 0x1.ab0857c421612p-5, 0x1.a277fde22de74p-5, 0x1.9a0c41776109p-5, 0x1.91c4b71889763p-5, 0x1.89a0f32a27443p-5, 0x1.81a089ee527a3p-5, 0x1.79c30f923977dp-5, 0x1.7208183b2815ep-5, 0x1.6a6f38131d211p-5, 0x1.62f80354fa80ep-5, 0x1.5ba20e583dbd4p-5, 0x1.546ced9c5bfb9p-5, 0x1.4d5835d3ac56bp-5, 0x1.46637bedf11a9p-5, 0x1.3f8e55227e22p-5, 0x1.38d856f9fecccp-5, 0x1.32411757d7aeap-5, 0x1.2bc82c832c104p-5, 0x1.256d2d2f9066cp-5, 0x1.1f2fb0855aa1p-5, 0x1.190f4e2996a04p-5, 0x1.130b9e45b452ep-5, 0x1.0d24398ed6cecp-5, 0x1.0758b94cd1177p-5, 0x1.01a8b760dc85dp-5, 0x1.f8279c97e3e57p-6, 0x1.ed333269d52b5p-6, 0x1.e27367dc847d7p-6, 0x1.d7e775f743f1bp-6, 0x1.cd8e972e2e91bp-6, 0x1.c368076c14aaep-6, 0x1.b973041bf1321p-6, 0x1.afaecc31c2ee8p-6, 0x1.a61aa032f5c2fp-6, 0x1.9cb5c23e485fp-6, 0x1.937f76134159fp-6, 0x1.8a770119243b1p-6, 0x1.819baa6578bb9p-6, 0x1.78ecbac227c6ep-6, 0x1.70697cb319d11p-6, 0x1.68113c7b84405p-6, 0x1.5fe34822c2bb2p-6, 0x1.57deef78c850fp-6, 0x1.5003841a406a5p-6, 0x1.485059743d05fp-6, 0x1.40c4c4c79b121p-6, 0x1.39601d2c0e1c4p-6, 0x1.3221bb92c76p-6, 0x1.2b08fac8dccd1p-6, 0x1.241537794fa53p-6, 0x1.1d45d02ed695fp-6, 0x1.169a2555476adp-6, 0x1.1011993ad301cp-6, 0x1.09ab9010df6fdp-6, 0x1.03676fecad5f2p-6, 0x1.fa89418f92b3dp-7, 0x1.ee85190032529p-7, 0x1.e2c13daf9b84dp-7, 0x1.d73c8aea1ad9cp-7, 0x1.cbf5dfc2c9d2ep-7, 0x1.c0ec1f120d458p-7, 0x1.b61e2f739d832p-7, 0x1.ab8afb443b79bp-7, 0x1.a131709ee9fa2p-7, 0x1.97108159f725p-7, 0x1.8d27230372113p-7, 0x1.83744edd7eab6p-7, 0x1.79f701da3bcf8p-7, 0x1.70ae3c975eca5p-7, 0x1.679903598714ep-7, 0x1.5eb65e07558b3p-7, 0x1.560558241fb6ep-7, 0x1.4d8500ca7bb14p-7, 0x1.45346aa69786ep-7, 0x1.3d12abf02b6aep-7, 0x1.351ede6466481p-7, 0x1.2d581f3f761ebp-7, 0x1.25bd8f360957fp-7, 0x1.1e4e526e723aap-7, 0x1.17099079c93f8p-7, 0x1.0fee744cce605p-7, 0x1.08fc2c389900ep-7, 0x1.0231e9e33a791p-7, 0x1.f71dc4803ea36p-8, 0x1.ea249b10f0364p-8, 0x1.dd76ce66bd233p-8, 0x1.d112dbdbbdc85p-8, 0x1.c4f74726151afp-8, 0x1.b9229a478f857p-8, 0x1.ad93657d4b0fbp-8, 0x1.a2483f2f196fep-8, 0x1.973fc3ded5ba6p-8, 0x1.8c7896177cfb8p-8, 0x1.81f15e5c2d7d9p-8, 0x1.77a8cb172e377p-8, 0x1.6d9d90889d49ap-8, 0x1.63ce68b53aa0cp-8, 0x1.5a3a1355294e5p-8, 0x1.50df55c2676a5p-8, 0x1.47bcfae772b62p-8, 0x1.3ed1d32dce48fp-8, 0x1.361cb46c8132bp-8, 0x1.2d9c79d684841p-8, 0x1.255003e951b45p-8, 0x1.1d36385b50a95p-8, 0x1.154e020a4bf01p-8, 0x1.0d9650ea086d5p-8, 0x1.060e19f2c0578p-8, 0x1.fd68ae1f5b58bp-9, 0x1.ef100e1b6fab2p-9, 0x1.e1105b1425e4fp-9, 0x1.d367a5c1f0eep-9, 0x1.c6140838e15c3p-9, 0x1.b913a5c65f4fbp-9, 0x1.ac64aacf0c485p-9, 0x1.a0054cacaa9b5p-9, 0x1.93f3c98c86f3dp-9, 0x1.882e684d9ff65p-9, 0x1.7cb3785f6a63ap-9, 0x1.718151a089f9ap-9, 0x1.6696543dd1d33p-9, 0x1.5bf0e89184f43p-9, 0x1.518f7f02b9bdcp-9, 0x1.47708fe52c48ap-9, 0x1.3d929b5923532p-9, 0x1.33f4292ba880cp-9, 0x1.2a93c8b6e6513p-9, 0x1.217010c327a84p-9, 0x1.18879f677952cp-9, 0x1.0fd919eb47bf1p-9, 0x1.07632ca7d4bd2p-9, 0x1.fe4915d3f15d4p-10, 0x1.ee37dda8f409ap-10, 0x1.de9032849fd6ap-10, 0x1.cf4fa35308851p-10, 0x1.c073cbfc8c08ep-10, 0x1.b1fa552c341f4p-10, 0x1.a3e0f417772bfp-10, 0x1.96256a45fd983p-10, 0x1.88c5855a2d59dp-10, 0x1.7bbf1eda7de37p-10, 0x1.6f101bfb7a985p-10, 0x1.62b66d69edc8ap-10, 0x1.56b00f1656b14p-10, 0x1.4afb0800b08c8p-10, 0x1.3f956a04c0be3p-10, 0x1.347d51a74bcefp-10, 0x1.29b0e5e3e4a71p-10, 0x1.1f2e57fb1ffe6p-10, 0x1.14f3e341f588fp-10, 0x1.0affccf13f8acp-10, 0x1.015063f5daf8ep-10, 0x1.efc80184dcfadp-11, 0x1.dd720a404f527p-11, 0x1.cb9bb8037e0b4p-11, 0x1.ba41f2ac2c4ap-11, 0x1.a961b3b7852d8p-11, 0x1.98f805eb1e686p-11, 0x1.890204fe5d422p-11, 0x1.797cdd45b60cbp-11, 0x1.6a65cb5ec1853p-11, 0x1.5bba1bddb5fe4p-11, 0x1.4d772afcd22f9p-11, 0x1.3f9a644be6324p-11, 0x1.3221426160796p-11, 0x1.25094e8db4b26p-11, 0x1.1850208e3ce3dp-11, 0x1.0bf35e42fa35ep-11, 0x1.ffe176c7c5c69p-12, 0x1.e88bf27247495p-12, 0x1.d1e1cca5c02a2p-12, 0x1.bbdebc8729333p-12, 0x1.a67e92b53c3b5p-12, 0x1.91bd38c0be7b1p-12, 0x1.7d96b0a6c348bp-12, 0x1.6a07144da37b9p-12, 0x1.570a95039df3bp-12, 0x1.449d7afff7303p-12, 0x1.32bc24e6970f7p-12, 0x1.2163074d20dbfp-12, 0x1.108eac43549f8p-12, 0x1.003bb2db923cfp-12, 0x1.e0cd9d7022812p-13, 0x1.c2198f30e9201p-13, 0x1.a454f1d2752aap-13, 0x1.8779a2ad5b42bp-13, 0x1.6b81a4c0e20fdp-13, 0x1.50671fdffe78ap-13, 0x1.36245fe06fe4cp-13, 0x1.1cb3d3cf878e4p-13, 0x1.04100d294e025p-13, 0x1.d8677e2abecccp-14, 0x1.aa337b483e399p-14, 0x1.7d79fa269841dp-14, 0x1.52312229fb249p-14, 0x1.284f582e9326cp-14, 0x1.ff967a564814ap-15, 0x1.b137599aeacd5p-15, 0x1.656f784c7d586p-15, 0x1.1c2d70b37bbe7p-15, 0x1.aac09550722aep-16, 0x1.21eef222885c8p-16, 0x1.3b8b5da7218d2p-17, 0x1.e254ea93a6b7ap-20, -0x1.74438e00fe176p-18, -0x1.a7f5b3c110843p-17, -0x1.46b5c852d474fp-16, -0x1.b55e28c8980b2p-16, -0x1.1007dfd13cb5cp-15, -0x1.4372cfff9157bp-15, -0x1.74fd17f373d8bp-15, -0x1.a4b396334e0e1p-15, -0x1.d2a2d6c9a6c56p-15, -0x1.fed71539b38d4p-15, -0x1.14ae1f38f3d22p-14, -0x1.291ef95141d9p-14, -0x1.3cc3c3906ba66p-14, -0x1.4fa2041691a4bp-14, -0x1.61bf1d5ba14bap-14, -0x1.73204f0cc6a33p-14, -0x1.83cab6e3d0e57p-14, -0x1.93c3517a185ep-14, -0x1.a30efb178f954p-14, -0x1.b1b2707c70f1p-14, -0x1.bfb24fa703451p-14, -0x1.cd1318946b70bp-14, -0x1.d9d92dfc4f0a9p-14, -0x1.e608d60ce041ap-14, -0x1.f1a63b1b22213p-14, -0x1.fcb56c55e4306p-14, -0x1.039d2f383915ep-13, -0x1.089c7626571d1p-13, -0x1.0d5a6bced1cb1p-13, -0x1.11d8e4c4f44aep-13, -0x1.1619a9a3f36b8p-13, -0x1.1a1e775b7f17ep-13, -0x1.1de8ff7acf983p-13, -0x1.217ae87a06fc9p-13, -0x1.24d5ce01727dcp-13, -0x1.27fb412f42418p-13, -0x1.2aecc8dc02439p-13, -0x1.2dabe1dc6798fp-13, -0x1.3039ff432fb7ap-13, -0x1.32988a9faf435p-13, -0x1.34c8e43c917dap-13, -0x1.36cc635b65dc4p-13, -0x1.38a4567022cfcp-13, -0x1.3a52035a303c1p-13, -0x1.3bd6a79d37658p-13, -0x1.3d3378973d4f5p-13, -0x1.3e69a3b687f63p-13, -0x1.3f7a4ead629acp-13, -0x1.406697a5399dbp-13, -0x1.412f956fee96fp-13, -0x1.41d657b889667p-13, -0x1.425be732371e5p-13, -0x1.42c145c6633e9p-13, -0x1.43076ec13802fp-13, -0x1.432f56fdf1a89p-13, -0x1.4339ed10c519cp-13, -0x1.43281971626dfp-13, -0x1.42fabea26b632p-13, -0x1.42b2b959e18ap-13, -0x1.4250e0a6ff514p-13, -0x1.41d60617cd832p-13, -0x1.4142f5de27befp-13, -0x1.409876f2e72aep-13, -0x1.3fd74b38b6ae6p-13, -0x1.3f002f9dfcfbfp-13, -0x1.3e13dc3dacae6p-13, -0x1.3d13047f53a51p-13, -0x1.3bfe57369cf62p-13, -0x1.3ad67ec19a546p-13, -0x1.399c2126457fp-13, -0x1.384fe02fafbaap-13, -0x1.36f25989f6094p-13, -0x1.358426dd8cf3ap-13, -0x1.3405ddea3a5aap-13, -0x1.327810a0ddf19p-13, -0x1.30db4d3c93157p-13, -0x1.2f301e5bb5d1ep-13, -0x1.2d770b174ef93p-13, -0x1.2bb0971adc1b6p-13, -0x1.29dd42baf0f46p-13, -0x1.27fd8b0b12b1dp-13, -0x1.2611e9f373b22p-13, -0x1.241ad645ea021p-13, -0x1.2218c3d20845dp-13, -0x1.200c237934d5dp-13, -0x1.1df56341dec62p-13, -0x1.1bd4ee6a56281p-13, -0x1.19ab2d7af2da9p-13, -0x1.17788657d02b4p-13, -0x1.153d5c5246b64p-13, -0x1.12fa10396a135p-13, -0x1.10af006af1b19p-13, -0x1.0e5c88e2a1fefp-13, -0x1.0c03034a03059p-13, -0x1.09a2c70779691p-13, -0x1.073c294ca323dp-13, -0x1.04cf7d24f6eafp-13, -0x1.025d1383675f6p-13, -0x1.ffca76a019193p-14, -0x1.fad082ea0cb0ap-14, -0x1.f5cce1d6e1ebcp-14, -0x1.f0c0258f3698dp-14, -0x1.ebaadc8a81ee9p-14, -0x1.e68d91a66bec5p-14, -0x1.e168cc3dc5405p-14, -0x1.dc3d103e84c7dp-14, -0x1.d70ade3f555e4p-14, -0x1.d1d2b394c0989p-14, -0x1.cc950a652ca91p-14, -0x1.c75259bd75301p-14, -0x1.c20b15a39f75ep-14, -0x1.bcbfaf29e3502p-14, -0x1.b7709480dbda5p-14, -0x1.b21e31092d78bp-14, -0x1.acc8ed64c6f9fp-14, -0x1.a7712f87fb169p-14, -0x1.a2175ac983421p-14, -0x1.9cbbcff275b15p-14, -0x1.975eed4dea22ap-14, -0x1.92010eb7a668bp-14, -0x1.8ca28dab13bc8p-14, -0x1.8743c1510ef78p-14, -0x1.81e4fe8e31dbfp-14, -0x1.7c86981003b36p-14, -0x1.7728de5a30f39p-14, -0x1.71cc1fd3306e9p-14, -0x1.6c70a8d07ddd9p-14, -0x1.6716c3a2eaf02p-14, -0x1.61beb8a21b113p-14, -0x1.5c68ce38316fp-14, -0x1.571548ecdeae8p-14, -0x1.51c46b6fdc865p-14, -0x1.4c7676a3fdf7ep-14, -0x1.472ba9a8f60d3p-14, -0x1.41e441e53a826p-14, -0x1.3ca07b1065136p-14, -0x1.37608f3beda16p-14, -0x1.3224b6dcbc845p-14, -0x1.2ced28d3ed83fp-14, -0x1.27ba1a77d5a61p-14, -0x1.228bbf9c15cb6p-14, -0x1.1d624a9a2855ap-14, -0x1.183dec59716d1p-14, -0x1.131ed45710f0cp-14, -0x1.0e0530ad70ab8p-14, -0x1.08f12e1bf9ap-14, -0x1.03e2f80e02176p-14, -0x1.fdb571446c038p-15, -0x1.f3b13162368c8p-15, -0x1.e9b97fa889fd7p-15, -0x1.dfcea8d9649f9p-15, -0x1.d5f0f7520c529p-15, -0x1.cc20b3189b0adp-15, -0x1.c25e21e6cc634p-15, -0x1.b8a98736f663cp-15, -0x1.af03244f45aeap-15, -0x1.a56b384cfa674p-15, -0x1.9be2003024468p-15, -0x1.9267b6e54a8a8p-15, -0x1.88fc955132da6p-15, -0x1.7fa0d25a4dc32p-15, -0x1.7654a2f31a5d2p-15, -0x1.6d183a240f158p-15, -0x1.63ebc91558adp-15, -0x1.5acf7f17cd49ep-15, -0x1.51c389aebaf4bp-15, -0x1.48c81498aeb5cp-15, -0x1.3fdd49d7f45cep-15, -0x1.370351bb4466ap-15, -0x1.2e3a52e6d4999p-15, -0x1.2582725b8b422p-15, -0x1.1cdbd38004488p-15, -0x1.14469827f56cp-15, -0x1.0bc2e09bfd241p-15, -0x1.0350cba147593p-15, -0x1.f5e0ed026a00bp-16, -0x1.e543fa1f95f6dp-16, -0x1.d4caf3681d23p-16, -0x1.c4760adbf0bep-16, -0x1.b4456fbbe44b4p-16, -0x1.a4394e962c3cp-16, -0x1.9451d154dc2dfp-16, -0x1.848f1f48fc8c1p-16, -0x1.74f15d38a9afcp-16, -0x1.6578ad6aed80fp-16, -0x1.56252fb4a6949p-16, -0x1.46f701836c155p-16, -0x1.37ee3de9f3e68p-16, -0x1.290afdac4374dp-16, -0x1.1a4d5749a0c9p-16, -0x1.0bb55f08c6f3p-16, -0x1.fa864e062ca79p-17, -0x1.dded7e5c55cb2p-17, -0x1.c1a06acf99d57p-17, -0x1.a59f2afe4337cp-17, -0x1.89e9d281098fdp-17, -0x1.6e8070fafbcadp-17, -0x1.53631231a25dp-17, -0x1.3891be1dab847p-17, -0x1.1e0c78feae4dbp-17, -0x1.03d3436e98dbdp-17, -0x1.d3cc34ea91d2ap-18, -0x1.a089ef302c2acp-18, -0x1.6ddfa1dd11ca8p-18, -0x1.3bcd3265eeecap-18, -0x1.0a527fa742e1bp-18, -0x1.b2dec4130d211p-19, -0x1.52475743c724cp-19, -0x1.e5bca1543aa1dp-20, -0x1.294677d86829ap-20, -0x1.bcacc69f5bc71p-22, 0x1.225923a335b6dp-22, 0x1.fbfe4c968a717p-21, 0x1.b110ab3419d12p-20, 0x1.30e619117e0acp-19, 0x1.8819956e6276cp-19, 0x1.de238d079d30ap-19, 0x1.19826630867cep-18, 0x1.435f14fbe3bdbp-18, 0x1.6ca84302c2606p-18, 0x1.955e65263f131p-18, 0x1.bd81f4eddf56cp-18, 0x1.e513706c9000ep-18, 0x1.0609ad1375958p-17, 0x1.19411c7b37cb5p-17, 0x1.2c304bf7573a1p-17, 0x1.3ed783236b2bap-17, 0x1.51370b9e765p-17, 0x1.634f30fef196ap-17, 0x1.752040c57a45ap-17, 0x1.86aa8a50ffd84p-17, 0x1.97ee5ed27e6ddp-17, 0x1.a8ec11418b7c2p-17, 0x1.b9a3f64fc3b7ep-17, 0x1.ca16645d140b2p-17, 0x1.da43b36c5be5ep-17, 0x1.ea2c3d17755a6p-17, 0x1.f9d05c8610af1p-17, 0x1.0498372fd458ep-16, 0x1.0c2668612ad21p-16, 0x1.1392f19bd26f4p-16, 0x1.1ade0354f34fdp-16, 0x1.2207ceacae141p-16, 0x1.29108568cf04dp-16, 0x1.2ff859f014f33p-16, 0x1.36bf7f451618bp-16, 0x1.3d662900f3f74p-16, 0x1.43ec8b4e6ce69p-16, 0x1.4a52dae51ea0fp-16, 0x1.50994d04b4a2ap-16, 0x1.56c0177050e7dp-16, 0x1.5cc7706996fd7p-16, 0x1.62af8eac5427bp-16, 0x1.6878a969e0eb3p-16, 0x1.6e22f8445306ep-16, 0x1.73aeb34aa18b5p-16, 0x1.791c12f3a7fe3p-16, 0x1.7e6b501a576a2p-16, 0x1.839ca3f9792e7p-16, 0x1.88b04826eeaa5p-16, 0x1.8da6769032482p-16, 0x1.927f6975dae47p-16, 0x1.973b5b6831065p-16, 0x1.9bda874249cabp-16, 0x1.a05d2826b8ef9p-16, 0x1.a4c3797bcf943p-16, 0x1.a90db6e7f65bap-16, 0x1.ad3c1c4d254bdp-16, 0x1.b14ee5c61845bp-16, 0x1.b5464fa201facp-16, 0x1.b92296618eaccp-16, 0x1.bce3f6b30562ep-16, 0x1.c08aad6f0129cp-16, 0x1.c416f794f5009p-16, 0x1.c7891247db02bp-16, 0x1.cae13aca944d6p-16, 0x1.ce1fae7d71c66p-16, 0x1.d144aada3936fp-16, 0x1.d4506d717ba1dp-16, 0x1.d74333e75cec2p-16, 0x1.da1d3bf0304aep-16, 0x1.dcdec34e08f6ap-16, 0x1.df8807cd8e145p-16, 0x1.e21947430bdecp-16, 0x1.e492bf8798fc1p-16, 0x1.e6f4ae764e905p-16, 0x1.e93f51e96ab16p-16, 0x1.eb72e7b80016dp-16, 0x1.ed8fadb31d994p-16, 0x1.ef95e1a2e013dp-16, 0x1.f185c14435888p-16, 0x1.f35f8a464cae4p-16, 0x1.f5237a483f95ap-16, 0x1.f6d1ced66ce03p-16, 0x1.f86ac56836928p-16, 0x1.f9ee9b5dae293p-16, 0x1.fb5d8dfd3a323p-16, 0x1.fcb7da71523ccp-16, 0x1.fdfdbdc668e6cp-16, 0x1.ff2f74e8b9d04p-16, 0x1.00269e5122d66p-15, 0x1.00aba8cc2f52p-15, 0x1.0126f824ff973p-15, 0x1.0198aa86f90d4p-15, 0x1.0200de0829573p-15, 0x1.025fb0a894582p-15, 0x1.02b54051184b4p-15, 0x1.0301aad2afe48p-15, 0x1.03450de564196p-15, 0x1.037f872783169p-15, 0x1.03b1341cde6a1p-15, 0x1.03da322dcdbafp-15, 0x1.03fa9ea655887p-15, 0x1.041296b582df7p-15, 0x1.0422376c9eb58p-15, 0x1.04299dbe56756p-15, 0x1.0428e67e18105p-15, 0x1.04202e5f3e251p-15, 0x1.040f91f47178cp-15, 0x1.03f72daeed411p-15, 0x1.03d71dddebc8fp-15, 0x1.03af7eadf0da7p-15, 0x1.03806c281de3ap-15, 0x1.034a0231a234ep-15, 0x1.030c5c8b2cb1p-15, 0x1.02c796d0466dap-15, 0x1.027bcc76c7a13p-15, 0x1.022918ce41c19p-15, 0x1.01cf96ff87e6ap-15, 0x1.016f620c33923p-15, 0x1.010894cdf81c1p-15, 0x1.009b49f65f526p-15, 0x1.00279c0e425ep-15, 0x1.ff5b4aea78554p-16, 0x1.fe5b00c2a242ep-16, 0x1.fd4e8dbce4483p-16, 0x1.fc36259c6561cp-16, 0x1.fb11fbce75dcep-16, 0x1.f9e2436a22896p-16, 0x1.f8a72f2f4354bp-16, 0x1.f760f185f037ep-16, 0x1.f60fbc7dc3b48p-16, 0x1.f4b3c1cd0fa11p-16, 0x1.f34d32d071129p-16, 0x1.f1dc408a4603p-16, 0x1.f0611ba1e0ac8p-16, 0x1.eedbf4632589cp-16, 0x1.ed4cfabe08312p-16, 0x1.ebb45e4616989p-16, 0x1.ea124e31e7878p-16, 0x1.e866f95aadc82p-16, 0x1.e6b28e3c066f3p-16, 0x1.e4f53af356bacp-16, 0x1.e32f2d3f6e657p-16, 0x1.e16092805535dp-16, 0x1.df8997b6d9dcep-16, 0x1.ddaa698470d0ap-16, 0x1.dbc3342ac2723p-16, 0x1.d9d4238b8aa0cp-16, 0x1.d7dd63282beb1p-16, 0x1.d5df1e21b834ep-16, 0x1.d3d97f389a3f1p-16, 0x1.d1ccb0cc6d4d4p-16, 0x1.cfb8dcdbec935p-16, 0x1.cd9e2d049d756p-16, 0x1.cb7cca830d807p-16, 0x1.c954de3279101p-16, 0x1.c726908c98dddp-16, 0x1.c4f209a9f144cp-16, 0x1.c2b771418dccdp-16, 0x1.c076eea8ffba1p-16, 0x1.be30a8d459b9ep-16, 0x1.bbe4c65674571p-16, }}, 
      {{-0x1.f3eab820747fep-1, -0x1.f3ce25c8ce33bp-1, -0x1.f39d5c58e4e31p-1, -0x1.f356de8b78f96p-1, -0x1.f2f8f8e0cb1d5p-1, -0x1.f281f74dbde7fp-1, -0x1.f1f04f43275f8p-1, -0x1.f142bd1cddd4dp-1, -0x1.f07856048f137p-1, -0x1.ef9090346635ap-1, -0x1.ee8b43c01fb2ap-1, -0x1.ed68a5ec8cd36p-1, -0x1.ec2940d65b466p-1, -0x1.eacde8d565746p-1, -0x1.e957b0b91c9ap-1, -0x1.e7c7ddb3663c1p-1, -0x1.e61fdb8bcf252p-1, -0x1.e4613184f7b7ep-1, -0x1.e28d78385bcebp-1, -0x1.e0a6508f939f1p-1, -0x1.dead5bec4b136p-1, -0x1.dca4358028f63p-1, -0x1.da8c6cca710e7p-1, -0x1.d867812972eeap-1, -0x1.d636de68f2001p-1, -0x1.d3fbda33faad2p-1, -0x1.d1b7b24f8d96p-1, -0x1.cf6b8b83a3782p-1, -0x1.cd18711911e4dp-1, -0x1.cabf54d4608aep-1, -0x1.c8610f57938dep-1, -0x1.c5fe60d6fd673p-1, -0x1.c397f20f6abap-1, -0x1.c12e556e0fc6bp-1, -0x1.bec2085cbe1a5p-1, -0x1.bc5374a6d2cfbp-1, -0x1.b9e2f1ed18368p-1, -0x1.b770c720743a7p-1, -0x1.b4fd2bfcaec1ap-1, -0x1.b2884a7de2738p-1, -0x1.b012404c46e5ap-1, -0x1.ad9b201afcfa9p-1, -0x1.ab22f2f756b81p-1, -0x1.a8a9b986c9ec4p-1, -0x1.a62f6d32540ebp-1, -0x1.a3b4013e8f299p-1, -0x1.a13763d0258ep-1, -0x1.9eb97edc9dbacp-1, -0x1.9c3a3907c2d7bp-1, -0x1.99b9766e1cc9fp-1, -0x1.9737195d14394p-1, -0x1.94b302f982b95p-1, -0x1.922d13d57b27fp-1, -0x1.8fa52c76307d7p-1, -0x1.8d1b2dcadd1ecp-1, -0x1.8a8ef9959fe15p-1, -0x1.880072c733acap-1, -0x1.856f7dce747f2p-1, -0x1.82dc00dc90985p-1, -0x1.8045e41ec7d8cp-1, -0x1.7dad11ee8f85dp-1, -0x1.7b1176f8e6847p-1, -0x1.7873025d9df86p-1, -0x1.75d1a5c74e578p-1, -0x1.732d557ca8349p-1, -0x1.7086086bc656bp-1, -0x1.6ddbb83016a73p-1, -0x1.6b2e61136dbb1p-1, -0x1.687e020ac95a4p-1, -0x1.65ca9caf3cf17p-1, -0x1.631435337ceb8p-1, -0x1.605ad25673611p-1, -0x1.5d9e7d533d56p-1, -0x1.5adf41ceefbcbp-1, -0x1.581d2dc472f8dp-1, -0x1.5558516ec32a8p-1, -0x1.5290bf31d9dd4p-1, -0x1.4fc68b828038fp-1, -0x1.4cf9cccd44a21p-1, -0x1.4a2a9b5cc65e8p-1, -0x1.4759113f86f5ep-1, -0x1.44854a2d6e9bp-1, -0x1.41af636d2461ep-1, -0x1.3ed77bb962b88p-1, -0x1.3bfdb32663d84p-1, -0x1.39222b07805ap-1, -0x1.364505d51bdbap-1, -0x1.33666712f1854p-1, -0x1.30867336d5541p-1, -0x1.2da54f8ff91d4p-1, -0x1.2ac3222ec43ddp-1, -0x1.27e011cd49666p-1, -0x1.24fc45b864a13p-1, -0x1.2217e5b98a951p-1, -0x1.1f331a014f678p-1, -0x1.1c4e0b12a931ap-1, -0x1.1968e1aef6d55p-1, -0x1.1683c6c2c7742p-1, -0x1.139ee3536b54ep-1, -0x1.10ba606d4a41dp-1, -0x1.0dd667130192cp-1, -0x1.0af3202d49e35p-1, -0x1.0810b47ba1607p-1, -0x1.052f4c85bae64p-1, -0x1.024f108daea16p-1, -0x1.fee05105d00cbp-2, -0x1.f92577eba1cd5p-2, -0x1.f36de41865a47p-2, -0x1.edb9e2ec9d8b8p-2, -0x1.e809c0c9420f6p-2, -0x1.e25dc8fca891p-2, -0x1.dcb645b0b2efep-2, -0x1.d7137fda43572p-2, -0x1.d175bf29f0386p-2, -0x1.cbdd49fde0b3fp-2, -0x1.c64a6554da3acp-2, -0x1.c0bd54c26344p-2, -0x1.bb365a63fd49p-2, -0x1.b5b5b6d769474p-2, -0x1.b03ba931e762bp-2, -0x1.aac86ef87057cp-2, -0x1.a55c4418d8055p-2, -0x1.9ff762e3d2e81p-2, -0x1.9a9a0407d3869p-2, -0x1.95445e8cb7e5p-2, -0x1.8ff6a7d03b1ffp-2, -0x1.8ab113832738ep-2, -0x1.8573d3a732d98p-2, -0x1.803f188d967cbp-2, -0x1.7b1310d63801ep-2, -0x1.75efe96f7737ep-2, -0x1.70d5cd968e2e1p-2, -0x1.6bc4e6d875e75p-2, -0x1.66bd5d1354449p-2, -0x1.61bf567861909p-2, -0x1.5ccaf78e43e91p-2, -0x1.57e06333d89bdp-2, -0x1.52ffbaa3638c9p-2, -0x1.4e291d761f5c8p-2, -0x1.495ca9a8274a7p-2, -0x1.449a7b9cb5f48p-2, -0x1.3fe2ae22b3445p-2, -0x1.3b355a798767ap-2, -0x1.36929856365a6p-2, -0x1.31fa7de8b42cfp-2, -0x1.2d6d1fe1790fbp-2, -0x1.28ea9177431c2p-2, -0x1.2472e46d0d553p-2, -0x1.200629182e3d1p-2, -0x1.1ba46e66a1f5p-2, -0x1.174dc1e573267p-2, -0x1.13022fc7486d7p-2, -0x1.0ec1c2eb08a18p-2, -0x1.0a8c84e29d06ap-2, -0x1.06627df9c1911p-2, -0x1.0243b53cf06ep-2, -0x1.fc606100a3e3cp-3, -0x1.f44fe8cd85086p-3, -0x1.ec5608d1b3ba9p-3, -0x1.e472c5b7fd28ap-3, -0x1.dca621f2f6e01p-3, -0x1.d4f01dcb2eb55p-3, -0x1.cd50b76d57276p-3, -0x1.c5c7eaf875859p-3, -0x1.be55b28c05871p-3, -0x1.b6fa06560988bp-3, -0x1.afb4dca116647p-3, -0x1.a88629e245c77p-3, -0x1.a16de0c7136acp-3, -0x1.9a6bf243228dp-3, -0x1.93804d9de5837p-3, -0x1.8caae0802f4dep-3, -0x1.85eb970195aa9p-3, -0x1.7f425bb5c0b1ap-3, -0x1.78af17b98e74fp-3, -0x1.7231b2c00aa5cp-3, -0x1.6bca131f4cb7cp-3, -0x1.65781ddd1bf5bp-3, -0x1.5f3bb6bb75af2p-3, -0x1.5914c044ddbcep-3, -0x1.53031bd885afp-3, -0x1.4d06a9b6463cep-3, -0x1.471f490a614bp-3, -0x1.414cd7f91fe0dp-3, -0x1.3b8f33aa328b4p-3, -0x1.35e63853e5c5p-3, -0x1.3051c1462359ap-3, -0x1.2ad1a8f53e217p-3, -0x1.2565c90488f5fp-3, -0x1.200dfa50c1abap-3, -0x1.1aca14fa3cb6ap-3, -0x1.1599f06ee15p-3, -0x1.107d6373f5399p-3, -0x1.0b74442fa92d2p-3, -0x1.067e68327cd59p-3, -0x1.019ba48061b03p-3, -0x1.f9979b3363e6bp-4, -0x1.f01d6f07e39a2p-4, -0x1.e6c86ba4ab655p-4, -0x1.dd98375c40739p-4, -0x1.d48c77bd76abap-4, -0x1.cba4d1a365977p-4, -0x1.c2e0e944ceccdp-4, -0x1.ba40624338b09p-4, -0x1.b1c2dfb99c276p-4, -0x1.a968044aaa7bap-4, -0x1.a12f722eb7c82p-4, -0x1.9918cb413d97ep-4, -0x1.9123b10dfbb5cp-4, -0x1.894fc4ddbfcaep-4, -0x1.819ca7c2c85c8p-4, -0x1.7a09faa4ca5fcp-4, -0x1.72975e4c9dc9p-4, -0x1.6b44736f8b491p-4, -0x1.6410daba42147p-4, -0x1.5cfc34db741ecp-4, -0x1.5606228e1c7d6p-4, -0x1.4f2e44a36d1f1p-4, -0x1.48743c0c6b3dep-4, -0x1.41d7a9e334615p-4, -0x1.3b582f73f6264p-4, -0x1.34f56e4591687p-4, -0x1.2eaf0821f0311p-4, -0x1.28849f1e0ef1ap-4, -0x1.2275d5a1b6eeep-4, -0x1.1c824e6ef030bp-4, -0x1.16a9aca927ccap-4, -0x1.10eb93dc113a7p-4, -0x1.0b47a8023d3dep-4, -0x1.05bd8d8b6ed8dp-4, -0x1.004ce962aa656p-4, -0x1.f5eac1e8094e7p-5, -0x1.eb6d34645be9ep-5, -0x1.e120773783228p-5, -0x1.d703d880a454ep-5, -0x1.cd16a78a7ddeep-5, -0x1.c35834d492fa4p-5, -0x1.b9c7d21be5977p-5, -0x1.b064d2634326ap-5, -0x1.a72e89fb1bdc6p-5, -0x1.9e244e88f3932p-5, -0x1.9545770e67037p-5, -0x1.8c915befcd0edp-5, -0x1.840756fa71a85p-5, -0x1.7ba6c36a6e38ap-5, -0x1.736efdf028a4p-5, -0x1.6b5f64b570801p-5, -0x1.6377576243f9ep-5, -0x1.5bb637213ff01p-5, -0x1.541b66a3b8178p-5, -0x1.4ca64a257f9b6p-5, -0x1.455647705a7bbp-5, -0x1.3e2ac5df2cc5ep-5, -0x1.37232e60d3401p-5, -0x1.303eeb7ab8865p-5, -0x1.297d694b1feaap-5, -0x1.22de158b304bep-5, -0x1.1c605f90b4afdp-5, -0x1.1603b84fa2cedp-5, -0x1.0fc7925b5e6c2p-5, -0x1.09ab61e7c3543p-5, -0x1.03ae9cc9f330dp-5, -0x1.fba174f1cc49ap-6, -0x1.f022681b9d70bp-6, -0x1.e4df08888065cp-6, -0x1.d9d64ef44a365p-6, -0x1.cf07375f04b19p-6, -0x1.c470c10c1e1dcp-6, -0x1.ba11ee81344d3p-6, -0x1.afe9c5848a8d3p-6, -0x1.a5f74f1b2df51p-6, -0x1.9c399786c3271p-6, -0x1.92afae4308119p-6, -0x1.8958a6030b199p-6, -0x1.803394ae17ad3p-6, -0x1.773f935c5c787p-6, -0x1.6e7bbe5355c93p-6, -0x1.65e73501f02d1p-6, -0x1.5d8119fc74dfap-6, -0x1.554892f834139p-6, -0x1.4d3cc8c7017dfp-6, -0x1.455ce75273a98p-6, -0x1.3da81d96f9c54p-6, -0x1.361d9d9eb21ddp-6, -0x1.2ebc9c7c2a12bp-6, -0x1.27845244d7acap-6, -0x1.2073fa0b80e89p-6, -0x1.198ad1da71c07p-6, -0x1.12c81aad8fb8ep-6, -0x1.0c2b186c43ea4p-6, -0x1.05b311e354daep-6, -0x1.febea17d20fdep-7, -0x1.f25e4304c509p-7, -0x1.e643a70a9cf42p-7, -0x1.da6d71d2a2a76p-7, -0x1.ceda4d2a51cddp-7, -0x1.c388e85b12364p-7, -0x1.b877f81c7acb3p-7, -0x1.ada6368661e12p-7, -0x1.a3126302e3aa8p-7, -0x1.98bb42403a39dp-7, -0x1.8e9f9e22768e6p-7, -0x1.84be45b53566fp-7, -0x1.7b160d1d22d38p-7, -0x1.71a5cd897dc6p-7, -0x1.686c6525851f4p-7, -0x1.5f68b709d6a87p-7, -0x1.5699ab2dc59b4p-7, -0x1.4dfe2e58993cdp-7, -0x1.45953212d967dp-7, -0x1.3d5dac9784fddp-7, -0x1.355698c54d69ap-7, -0x1.2d7ef60fce313p-7, -0x1.25d5c870c5a73p-7, -0x1.1e5a185952d22p-7, -0x1.170af2a32f629p-7, -0x1.0fe76881f9484p-7, -0x1.08ee8f7481e8bp-7, -0x1.021f8136218e9p-7, -0x1.f6f2b7603388p-8, -0x1.e9f681d606b71p-8, -0x1.dd48ae008c5d6p-8, -0x1.d0e790176036cp-8, -0x1.c4d18439f6caep-8, -0x1.b904ee5319fp-8, -0x1.ad8039fc4ec8bp-8, -0x1.a241da6183d06p-8, -0x1.97484a24e066ap-8, -0x1.8c920b42b4296p-8, -0x1.821da6f5abd4ap-8, -0x1.77e9ad9b1aaf5p-8, -0x1.6df4b69784242p-8, -0x1.643d603b64b0bp-8, -0x1.5ac24fa800bc8p-8, -0x1.518230b4a720cp-8, -0x1.487bb5d3fdd18p-8, -0x1.3fad97f98cbbbp-8, -0x1.3716967f972bbp-8, -0x1.2eb5770d1b32dp-8, -0x1.2689057c1723ep-8, -0x1.1e9013c00249fp-8, -0x1.16c979cc919eap-8, -0x1.0f34157cb1234p-8, -0x1.07ceca79b1dcap-8, -0x1.00988222d1996p-8, -0x1.f32056e9ed056p-9, -0x1.e56975e5350e2p-9, -0x1.d80a551832921p-9, -0x1.cb00f3104d2c8p-9, -0x1.be4b58d9263d5p-9, -0x1.b1e799ceabb2fp-9, -0x1.a5d3d36f9e3cap-9, -0x1.9a0e2d30ab8a6p-9, -0x1.8e94d85006a73p-9, -0x1.83660fa9aa55bp-9, -0x1.7880178bf9703p-9, -0x1.6de13d8cf1a6ap-9, -0x1.6387d85ff2dbp-9, -0x1.597247ac1bac8p-9, -0x1.4f9ef3e30b56bp-9, -0x1.460c4e183ef15p-9, -0x1.3cb8cfd90c4ffp-9, -0x1.33a2fb04f3932p-9, -0x1.2ac959a6a8cfep-9, -0x1.222a7dcd97dfap-9, -0x1.19c50167d716dp-9, -0x1.1197861ccc708p-9, -0x1.09a0b5282b1b8p-9, -0x1.01df3f3598ca3p-9, -0x1.f4a3b879a6b93p-10, -0x1.e5ee96bc91a2fp-10, -0x1.d79ca580940f5p-10, -0x1.c9ab7ed94a282p-10, -0x1.bc18ca5dee3b1p-10, -0x1.aee23ce65683bp-10, -0x1.a2059849b551bp-10, -0x1.9580ab1db5819p-10, -0x1.89515076fabedp-10, -0x1.7d756faa8bf58p-10, -0x1.71eafc1002cc7p-10, -0x1.66aff4c4fc00bp-10, -0x1.5bc264714728bp-10, -0x1.5120610c2c8ffp-10, -0x1.46c80ba2a0a34p-10, -0x1.3cb7901e4c291p-10, -0x1.32ed250da611p-10, -0x1.29670b6cd5acep-10, -0x1.20238e6fb4048p-10, -0x1.1721034c62e7ep-10, -0x1.0e5dc9072843fp-10, -0x1.05d8483ec5a6fp-10, -0x1.fb1de5f422e0ap-11, -0x1.eb0088ec3ea9p-11, -0x1.db5581eb02e69p-11, -0x1.cc19eb2044e26p-11, -0x1.bd4af00860839p-11, -0x1.aee5cd0f774ecp-11, -0x1.a0e7cf3653946p-11, -0x1.934e53b906c6ep-11, -0x1.8616c7b6da42dp-11, -0x1.793ea7dc57caep-11, -0x1.6cc3800e2ce42p-11, -0x1.60a2eb1622f8cp-11, -0x1.54da925192751p-11, -0x1.49682d60eeeacp-11, -0x1.3e4981d91ba52p-11, -0x1.337c62f63a8a5p-11, -0x1.28feb14fd7572p-11, -0x1.1ece5a8e7429bp-11, -0x1.14e9592267974p-11, -0x1.0b4db3fc65b39p-11, -0x1.01f97e471220cp-11, -0x1.f1d5ae444bbf2p-12, -0x1.e03fd2bd654c7p-12, -0x1.cf2dd679be55dp-12, -0x1.be9c3c55b7f6bp-12, -0x1.ae879d09f3d17p-12, -0x1.9eeca6ae87868p-12, -0x1.8fc81c401c696p-12, -0x1.8116d527a4ca2p-12, -0x1.72d5bcc4b695dp-12, -0x1.6501d1f9c2e62p-12, -0x1.579826bb0150bp-12, -0x1.4a95df9f3d8d2p-12, -0x1.3df833734e7fep-12, -0x1.31bc6acf3f6a5p-12, -0x1.25dfdfae45a14p-12, -0x1.1a5ffd07faf8cp-12, -0x1.0f3a3e6c8e249p-12, -0x1.046c2fa24b9f5p-12, -0x1.f3e6d88b62ad1p-13, -0x1.df9b3ed6281f3p-13, -0x1.cbf10685051d9p-13, -0x1.b8e3c17ae3b72p-13, -0x1.a66f1e6c82ff3p-13, -0x1.948ee83373f33p-13, -0x1.833f052458722p-13, -0x1.727b766983994p-13, -0x1.6240575fa48b7p-13, -0x1.5289dcf7bb016p-13, -0x1.4354551abc315p-13, -0x1.349c2611b16efp-13, -0x1.265dcdf0b3fa7p-13, -0x1.1895e204f3082p-13, -0x1.0b410e463cb3ep-13, -0x1.fcb829965896fp-14, -0x1.e3c79a818831ap-14, -0x1.cbaa48ca369bfp-14, -0x1.b45a3708a1cecp-14, -0x1.9dd18ff1e53a2p-14, -0x1.880aa55e92f56p-14, -0x1.72ffef554cb1bp-14, -0x1.5eac0b1ceab32p-14, -0x1.4b09ba51f681fp-14, -0x1.3813e2027d118p-14, -0x1.25c589cf13fc6p-14, -0x1.1419db0ff7bafp-14, -0x1.030c20000bacdp-14, -0x1.e52f85d88ae0ep-15, -0x1.c5709ace64eecp-15, -0x1.a6d2cf0542016p-15, -0x1.894dae18f016bp-15, -0x1.6cd8fda0c1769p-15, -0x1.516cbbbbf862ep-15, -0x1.37011da70f27dp-15, -0x1.1d8e8e58140efp-15, -0x1.050dad24136a7p-15, -0x1.daee98dabd6ffp-16, -0x1.ad88e0af1b8e2p-16, -0x1.81dc9b0b787d6p-16, -0x1.57dc8fbbbb28bp-16, -0x1.2f7be2aa743ffp-16, -0x1.08ae118744cd7p-16, -0x1.c6cde2f5e2b47p-17, -0x1.7f3559d1cff78p-17, -0x1.3a7b828579c2bp-17, -0x1.f113f37fdfd48p-18, -0x1.7295f3b47df5dp-18, -0x1.f2a55b04dded7p-19, -0x1.0a41e7e901e34p-19, -0x1.5d8bd906c5b68p-22, 0x1.52b38d0e48fe4p-20, 0x1.752b8f3767cdfp-19, 0x1.1c06bb43c2fe9p-18, 0x1.792383c237721p-18, 0x1.d20ee73594a57p-18, 0x1.13755982007e3p-17, 0x1.3bebe1355eccp-17, 0x1.627b0268cd698p-17, 0x1.873242049a168p-17, 0x1.aa20b52c54097p-17, 0x1.cb550433b56f7p-17, 0x1.eadd6d7efcaebp-17, 0x1.0463e42b14087p-16, 0x1.1290c3cf08851p-16, 0x1.1ffbde43fac5ap-16, 0x1.2cab8c9608d77p-16, 0x1.38a5f9890e9b9p-16, 0x1.43f122d727447p-16, 0x1.4e92da649b9fap-16, 0x1.5890c76ee6f79p-16, 0x1.61f067afd7865p-16, 0x1.6ab7107e5c6f3p-16, 0x1.72e9efe2f63a6p-16, 0x1.7a8e0daa981dfp-16, 0x1.81a84c6d7a53dp-16, 0x1.883d6a9190449p-16, 0x1.8e52034769ca6p-16, 0x1.93ea8f7e2dfe8p-16, 0x1.990b66d294d76p-16, 0x1.9db8c077e1f35p-16, 0x1.a1f6b41a79844p-16, 0x1.a5c93abcf5f34p-16, 0x1.a9342f8f2cabfp-16, 0x1.ac3b50beeee81p-16, 0x1.aee24045f2b27p-16, 0x1.b12c84aeba129p-16, 0x1.b31d89d6716fbp-16, 0x1.b4b8a1aaa1577p-16, 0x1.b60104df5dc4ap-16, 0x1.b6f9d3a2ae313p-16, 0x1.b7a6164a77175p-16, 0x1.b808bdfdc94eap-16, 0x1.b824a55a3b8f6p-16, 0x1.b7fc91140f9d9p-16, 0x1.b793309216a9cp-16, 0x1.b6eb1e8739d9fp-16, 0x1.b606e184d3e9ap-16, 0x1.b4e8ec8c340efp-16, 0x1.b3939f9a8b3fdp-16, 0x1.b2094831b82f7p-16, 0x1.b04c21dc6abedp-16, 0x1.ae5e56af6364p-16, 0x1.ac41ffc89ec9bp-16, 0x1.a9f925c83e25cp-16, 0x1.a785c148ce27ap-16, 0x1.a4e9bb5218b42p-16, 0x1.a226edcb34cb7p-16, 0x1.9f3f23e6c5b9bp-16, 0x1.9c341a8f1869p-16, 0x1.990780ccc16b8p-16, 0x1.95baf82c3290cp-16, 0x1.9250151fd521cp-16, 0x1.8ec85f5fcf798p-16, 0x1.8b2552462e1e1p-16, 0x1.87685d2a7b4adp-16, 0x1.8392e3b85eaa5p-16, 0x1.7fa63e45a2db6p-16, 0x1.7ba3ba2570dfap-16, 0x1.778c99f88b674p-16, 0x1.736215fcb41a1p-16, 0x1.6f255c58561d6p-16, 0x1.6ad791651c9e9p-16, 0x1.6679cff7e7a0fp-16, 0x1.620d29a7d2487p-16, 0x1.5d92a71108ed2p-16, 0x1.590b48188e69ep-16, 0x1.5478042b7b738p-16, 0x1.4fd9ca7ec4afbp-16, 0x1.4b31824b3857ap-16, 0x1.46800b0966f51p-16, 0x1.41c63cab1aa94p-16, 0x1.3d04e7d2e8112p-16, 0x1.383cd60ad15e7p-16, 0x1.336ec9f921519p-16, 0x1.2e9b7f9388e24p-16, 0x1.29c3ac5182ff9p-16, 0x1.24e7ff5c3cc3dp-16, 0x1.200921be5777cp-16, 0x1.1b27b690cd097p-16, 0x1.16445b2873c35p-16, 0x1.115fa7409f6bp-16, 0x1.0c7a2d252321dp-16, 0x1.079479db5205ap-16, 0x1.02af1549aafd5p-16, 0x1.fb9504bc2e5f6p-17, 0x1.f1ce7e6743766p-17, 0x1.e80b8a6d47aa2p-17, 0x1.de4d1290abf7cp-17, 0x1.d493f7c1b3c87p-17, 0x1.cae11261361fap-17, 0x1.c1353281bcd94p-17, 0x1.b791202602e44p-17, 0x1.adf59b7e86231p-17, 0x1.a4635d245ce67p-17, 0x1.9adb16537868p-17, 0x1.915d71221f581p-17, 0x1.87eb10b72ccdbp-17, 0x1.7e8491800fce8p-17, 0x1.752a8962a7969p-17, 0x1.6bdd87f024b9ep-17, 0x1.629e1694fe50ep-17, 0x1.596cb8c851436p-17, 0x1.5049ec3914bb8p-17, 0x1.473628faeb4d3p-17, 0x1.3e31e1b138f69p-17, 0x1.353d83b855c2ap-17, 0x1.2c59774f11214p-17, 0x1.23861fbdb63d2p-17, 0x1.1ac3db7c5745ep-17, 0x1.1213045891d7p-17, 0x1.0973ef99760eap-17, 0x1.00e6ee220b43ap-17, 0x1.f0d8992913c57p-18, 0x1.e008a6e521acfp-18, 0x1.cf5e8e7bb990dp-18, 0x1.bedad12ed03a4p-18, 0x1.ae7de8bb54d05p-18, 0x1.9e484794b5914p-18, 0x1.8e3a591e45ce1p-18, 0x1.7e5481e1eb89dp-18, 0x1.6e971fc715ba1p-18, 0x1.5f028a471e7c3p-18, 0x1.4f9712a0703c6p-18, 0x1.4055040737ac5p-18, 0x1.313ca3d62ff48p-18, 0x1.224e31bd79aa5p-18, 0x1.1389e7ef30bbep-18, 0x1.04effb4d52704p-18, 0x1.ed013725f84b2p-19, 0x1.d077e6fd035p-19, 0x1.b44451f4a9357p-19, 0x1.9866ba86ae81cp-19, 0x1.7cdf5a1fd5408p-19, 0x1.61ae6168863f1p-19, 0x1.46d3f88f1a7cfp-19, 0x1.2c503f8b262p-19, 0x1.12234e6373b3cp-19, 0x1.f09a6adfa0b08p-20, 0x1.bd9bfb332c8d4p-20, 0x1.8b4b5130356f7p-20, 0x1.59a8626102308p-20, 0x1.28b316dca671dp-20, 0x1.f0d6937264f3fp-21, 0x1.91a192fe50275p-21, 0x1.33c6b11e898afp-21, 0x1.ae8ab64b1676cp-22, 0x1.f0739eeaba8e2p-23, 0x1.1264bd2634f6ep-24, -0x1.b1634bbb88ffap-24, -0x1.1a9e08b23a88p-22, -0x1.c6386ae68219bp-22, -0x1.37950c308d85ap-21, -0x1.8abaaa4f0e4bbp-21, -0x1.dc8e4339c27dep-21, -0x1.16888daf3b90cp-20, -0x1.3e2243caded42p-20, -0x1.6514f6429434p-20, -0x1.8b615f05f8504p-20, -0x1.b1083f56e1e75p-20, -0x1.d60a5f83dfa55p-20, -0x1.fa688ea3237a7p-20, -0x1.0f11d1278c43p-19, -0x1.209e3b33d653cp-19, -0x1.31d9f66787f5cp-19, -0x1.42c5769860598p-19, -0x1.5361326113968p-19, -0x1.63ada303e4664p-19, -0x1.73ab44501b205p-19, -0x1.835a94846e754p-19, -0x1.92bc143535c4ap-19, -0x1.a1d046338aae5p-19, -0x1.b097af711204dp-19, -0x1.bf12d6e9efaccp-19, -0x1.cd42458b7d88ep-19, -0x1.db26861da1665p-19, -0x1.e8c0252b294d4p-19, -0x1.f60fb0ed0b6adp-19, -0x1.018adc99dd6bp-18, -0x1.07e967a957c48p-18, -0x1.0e23c3059e663p-18, -0x1.143a38bd124efp-18, -0x1.1a2d1381d8c03p-18, -0x1.1ffc9ea0600e6p-18, -0x1.25a925f665472p-18, -0x1.2b32f5ea31c2ep-18, -0x1.309a5b61cbbd9p-18, -0x1.35dfa3ba8f46ap-18, -0x1.3b031cc154b6p-18, -0x1.400514a9da0d6p-18, -0x1.44e5da07beb76p-18, -0x1.49a5bbc6561cep-18, -0x1.4e450921aeec5p-18, -0x1.52c4119fc1dd3p-18, -0x1.5723250883aeap-18, -0x1.5b629360746c7p-18, -0x1.5f82ace10da99p-18, -0x1.6383c1f3043ccp-18, -0x1.67662327d9e0fp-18, -0x1.6b2a2133a0fd7p-18, -0x1.6ed00ce76b0f3p-18, -0x1.7258372b6d92ep-18, -0x1.75c2f0f96b3e9p-18, -0x1.79108b571246cp-18, -0x1.7c41575167d97p-18, -0x1.7f55a5f74e73bp-18, -0x1.824dc85447981p-18, -0x1.852a0f6c2b16dp-18, -0x1.87eacc360ccb6p-18, -0x1.8a904f97de474p-18, -0x1.8d1aea6200a1bp-18, -0x1.8f8aed4af7243p-18, -0x1.91e0a8eae29eep-18, -0x1.941c6db852dfp-18, -0x1.963e8c030d013p-18, -0x1.984753f12d087p-18, -0x1.9a37157b2c69ep-18, -0x1.9c0e20684363fp-18, -0x1.9dccc44ab5946p-18, -0x1.9f73507cc36cap-18, -0x1.a102141d2bd0ep-18, -0x1.a2795e0bfe21bp-18, -0x1.a3d97ce752e81p-18, -0x1.a522bf089e22ap-18, -0x1.a6557281993b3p-18, -0x1.a771e51928aa1p-18, -0x1.a8786448e9ec9p-18, -0x1.a9693d3ab560dp-18, -0x1.aa44bcc57f95ep-18, -0x1.ab0b2f6b673cp-18, -0x1.abbce156ed808p-18, -0x1.ac5a1e58efd0cp-18, -0x1.ace331e5cf34dp-18, -0x1.ad58671429bebp-18, -0x1.adba089a03e95p-18, -0x1.ae0860cada482p-18, -0x1.ae43b995f7cf6p-18, -0x1.ae6c5c8451e76p-18, -0x1.ae8292b68edep-18, -0x1.ae86a4e39b986p-18, -0x1.ae78db56b2e21p-18, -0x1.ae597dedcf177p-18, -0x1.ae28d4183a5d6p-18, -0x1.ade724d4cfdf7p-18, -0x1.ad94b6b0a6428p-18, -0x1.ad31cfc578a97p-18, -0x1.acbeb5b8a5514p-18, -0x1.ac3badb9992e1p-18, -0x1.aba8fc80c0b17p-18, -0x1.ab06e64e184c5p-18, -0x1.aa55aee858953p-18, -0x1.a995999bca3cp-18, -0x1.a8c6e938fc97cp-18, -0x1.a7e9e0141feaep-18, -0x1.a6fec0040492fp-18, -0x1.a605ca6110224p-18, -0x1.a4ff4004714e4p-18, -0x1.a3eb614782902p-18, -0x1.a2ca6e02c74ffp-18, -0x1.a19ca58d6da62p-18, -0x1.a06246bc8aefap-18, -0x1.9f1b8fe270052p-18, -0x1.9dc8bece0584p-18, -0x1.9c6a10ca82983p-18, -0x1.9affc29e92383p-18, -0x1.998a108c18ebfp-18, -0x1.9809364fa6b3ep-18, -0x1.967d6f203a81ap-18, -0x1.94e6f5aeb6b72p-18, -0x1.934604259edb9p-18, -0x1.919ad428b70dp-18, -0x1.8fe59ed4ee183p-18, -0x1.8e269cc0005f9p-18, -0x1.8c5e05f83d0edp-18, -0x1.8a8c12049c96p-18, -0x1.88b0f7e4528f2p-18, -0x1.86ccee0eb339cp-18, -0x1.84e02a735986bp-18, -0x1.82eae279f6f5cp-18, -0x1.80ed4b024f8cbp-18, -0x1.7ee798644685dp-18, -0x1.7cd9fe6ff437cp-18, -0x1.7ac4b06d8583ap-18, -0x1.78a7e11d6ed94p-18, -0x1.7683c2b88671cp-18, -0x1.745886f03e889p-18, -0x1.72265eee9eba8p-18, -0x1.6fed7b5682475p-18, -0x1.6dae0c43f4e1ap-18, -0x1.6b68414c5be6p-18, -0x1.691c497e98144p-18, -0x1.66ca5363441b6p-18, -0x1.64728cfd26293p-18, -0x1.621523c9661a9p-18, -0x1.5fb244bff4f52p-18, -0x1.5d4a1c53e8d8dp-18, -0x1.5adcd673d0968p-18, -0x1.586a9e89fb74ep-18, -0x1.55f39f7cf5fep-18, -0x1.537803b01ab0bp-18, -0x1.50f7f503d2da5p-18, -0x1.4e739cd611a9ep-18, -0x1.4beb2402e72fbp-18, -0x1.495eb2e4f9feep-18, -0x1.46ce7155e89ap-18, -0x1.443a86aee07b1p-18, -0x1.41a319c91e0cfp-18, -0x1.3f0850fe8695dp-18, -0x1.3c6a522a3e61fp-18, -0x1.39c942a92f5e8p-18, -0x1.3725475a7d415p-18, -0x1.347e84a059ac9p-18, -0x1.31d51e6076082p-18, -0x1.2f293804bfb8ep-18, -0x1.2c7af47bdd81cp-18, -0x1.29ca7639f8699p-18, -0x1.2717df3959642p-18, -0x1.246350fb1e9e9p-18, -0x1.21acec87de58cp-18, -0x1.1ef4d270338d6p-18, -0x1.1c3b22cda51b6p-18, -0x1.197ffd43244ep-18, -0x1.16c380fdf60abp-18, -0x1.1405ccb66de0dp-18, -0x1.1146feb083a14p-18, -0x1.0e8734bc7dffep-18, -0x1.0bc68c37efeedp-18, -0x1.0905220e5d7c2p-18, -0x1.064312b9cdf43p-18, -0x1.03807a43c2e4fp-18, -0x1.00bd74461cf8ap-18, -0x1.fbf437d76fc9cp-19, -0x1.f66d17e26e1e6p-19, -0x1.f0e5bd4b686fdp-19, -0x1.eb5e5bd76aad4p-19, -0x1.e5d726739a4aap-19, -0x1.e0504f3723b45p-19, -0x1.daca0765024ap-19, -0x1.d5447f6d302a2p-19, -0x1.cfbfe6ee2e302p-19, -0x1.ca3c6cb7046dep-19, -0x1.c4ba3ec8f43e9p-19, -0x1.bf398a58ed3f6p-19, -0x1.b9ba7bd10aed4p-19, -0x1.b43d3ed24d0f5p-19, -0x1.aec1fe36ef3cp-19, -0x1.a948e41381959p-19, -0x1.a3d219b875649p-19, -0x1.9e5dc7b41988cp-19, -0x1.98ec15d3fcfe5p-19, -0x1.937d2b26b2d08p-19, -0x1.8e112dfdeff8cp-19, -0x1.88a843efd07e8p-19, -0x1.834291d8a5c99p-19, -0x1.7de03bdcaf0c8p-19, -0x1.788165698d16p-19, -0x1.732631385d4e5p-19, -0x1.6dcec14f3acacp-19, -0x1.687b3702e3b25p-19, -0x1.632bb2f898479p-19, -0x1.5de05527a6effp-19, -0x1.58993cdb40dd7p-19, -0x1.535688b41b69fp-19, -0x1.4e1856aa5a156p-19, -0x1.48dec40ec945p-19, -0x1.43a9ed8ca35c7p-19, -0x1.3e79ef2b77d99p-19, -0x1.394ee45124e34p-19, -0x1.3428e7c32ad21p-19, -0x1.2f0813a840dd6p-19, -0x1.29ec818a4d825p-19, -0x1.24d64a57b979bp-19, -0x1.1fc586657cdf7p-19, -0x1.1aba4d7059f24p-19, -0x1.15b4b69f43954p-19, -0x1.10b4d88450946p-19, -0x1.0bbac91eac8cep-19, -0x1.06c69ddc276a7p-19, -0x1.01d86b9b64917p-19, -0x1.f9e08d59673e8p-20, -0x1.f01c85a802a52p-20, -0x1.e664e694b701ep-20, -0x1.dcb9d57f7c83ap-20, -0x1.d31b76b9f1789p-20, -0x1.c989ed89a1afp-20, -0x1.c0055c2b5a778p-20, -0x1.b68de3d6a4b36p-20, -0x1.ad23a4c10c281p-20, -0x1.a3c6be2114f78p-20, -0x1.9a774e3167483p-20, -0x1.91357233d72fap-20, -0x1.88014674905a9p-20, -0x1.7edae64d8493cp-20, -0x1.75c26c29ecbcdp-20, -0x1.6cb7f1882744ep-20, -0x1.63bb8efd6ab4bp-20, -0x1.5acd5c38c8fdp-20, -0x1.51ed70062e276p-20, -0x1.491be0516a8f8p-20, -0x1.4058c228db1c4p-20, -0x1.37a429c1544a7p-20, -0x1.2efe2a788afcbp-20, -0x1.2666d6d786852p-20, -0x1.1dde40965458dp-20, -0x1.1564789e57826p-20, -0x1.0cf98f0d8c80bp-20, -0x1.049d93395647p-20, -0x1.f8a12762a48bfp-21, -0x1.e8253c83dbeeep-21, -0x1.d7c77ff05094cp-21, }}, 
      {{0x1.8126de0d7afaep-16, 0x1.649e8fc9edab5p-14, 0x1.5ee6b88b65763p-13, 0x1.fd731e4c163e3p-13, 0x1.26ed98caf1216p-12, 0x1.07d358373fbcep-12, 0x1.073d5c2e9634p-13, -0x1.fcc982aeac7c7p-14, -0x1.0a54f27329616p-11, -0x1.12b41b9feadc6p-10, -0x1.ca6d63e03e79p-10, -0x1.567d1671b58e3p-9, -0x1.dce71905459d4p-9, -0x1.3bd93ac9eb2a3p-8, -0x1.92de769ea7202p-8, -0x1.f2cf22fa824dfp-8, -0x1.2d6fbe41f5b8fp-7, -0x1.651ad19a3b91bp-7, -0x1.9ff8b9bc01292p-7, -0x1.dd9974ad5f981p-7, -0x1.0ec7d361cc2eap-6, -0x1.2fb958f668a0ep-6, -0x1.5170319b7dcd5p-6, -0x1.73bf22d880d1fp-6, -0x1.967d5265e2423p-6, -0x1.b986a294dc6dp-6, -0x1.dcbbec96fce02p-6, -0x1.00018d8d78e25p-5, -0x1.11a393f139b55p-5, -0x1.233bffa8ff28fp-5, -0x1.34c526aef92a3p-5, -0x1.463b9bc3674e8p-5, -0x1.579e03e0c477cp-5, -0x1.68ece615a9c06p-5, -0x1.7a2a77a1e8b17p-5, -0x1.8b5a66118311cp-5, -0x1.9c81a0e0f5b5p-5, -0x1.ada623fe971c5p-5, -0x1.becec4414462fp-5, -0x1.d002feb06ebbp-5, -0x1.e14acb3fd7c34p-5, -0x1.f2ae736c21ac9p-5, -0x1.021b367b139f1p-4, -0x1.0af59c6958b6dp-4, -0x1.13eaa32173097p-4, -0x1.1cfe6cf7bd6c9p-4, -0x1.2634fc668abccp-4, -0x1.2f922b413c4b8p-4, -0x1.3919a3804e0a3p-4, -0x1.42ced97c4d321p-4, -0x1.4cb5076d6471dp-4, -0x1.56cf2a06492e7p-4, -0x1.611ffe037dc81p-4, -0x1.6ba9fe8abd114p-4, -0x1.766f6439cd1f8p-4, -0x1.817224c77f543p-4, -0x1.8cb3f31d66d48p-4, -0x1.98363fd447963p-4, -0x1.a3fa3a00b484p-4, -0x1.b000d0406ebfbp-4, -0x1.bc4ab1fbe4367p-4, -0x1.c8d850d1a6cf9p-4, -0x1.d5a9e223dbf3ep-4, -0x1.e2bf60c15e9cep-4, -0x1.f0188ea5fa1f8p-4, -0x1.fdb4f6cdf0dap-4, -0x1.05c9f78d37eb1p-3, -0x1.0cda4d2269a5ap-3, -0x1.140af4efa2a57p-3, -0x1.1b5b5030d9fd2p-3, -0x1.22caa9a104b32p-3, -0x1.2a58368b6c6fdp-3, -0x1.320317e1d1394p-3, -0x1.39ca5b56d6b24p-3, -0x1.41acfc7c3ff48p-3, -0x1.49a9e5e45e55cp-3, -0x1.51bff2460bf6fp-3, -0x1.59ededa2806f8p-3, -0x1.6232966c29d5ep-3, -0x1.6a8c9eadc9831p-3, -0x1.72faad30df279p-3, -0x1.7b7b5ea281e54p-3, -0x1.840d46b5c63fdp-3, -0x1.8caef142b1cddp-3, -0x1.955ee360e447ap-3, -0x1.9e1b9c7cfde86p-3, -0x1.a6e39767fe178p-3, -0x1.afb54b5fb76b2p-3, -0x1.b88f2d0f9a236p-3, -0x1.c16faf8928b6ap-3, -0x1.ca55453367649p-3, -0x1.d33e60b0bbd55p-3, -0x1.dc2975babefbfp-3, -0x1.e514f9f38ee2fp-3, -0x1.edff65ac4f761p-3, -0x1.f6e734a08ce1cp-3, -0x1.ffcae6a659b58p-3, -0x1.045480297df67p-2, -0x1.08c005ca0f991p-2, -0x1.0d274c1ecbe4dp-2, -0x1.11899e45df08dp-2, -0x1.15e64acd41904p-2, -0x1.1a3ca3e8bfcd2p-2, -0x1.1e8bffa28ea3ep-2, -0x1.22d3b8069e194p-2, -0x1.27132b48c86b8p-2, -0x1.2b49bbe6120cdp-2, -0x1.2f76d0c122f63p-2, -0x1.3399d53a34b12p-2, -0x1.37b23942a6cbep-2, -0x1.3bbf716c70b15p-2, -0x1.3fc0f6f5b0aabp-2, -0x1.43b647d08a9e2p-2, -0x1.479ee6a796c0dp-2, -0x1.4b7a5adf1c7d8p-2, -0x1.4f4830934f373p-2, -0x1.5307f893cb5bdp-2, -0x1.56b9485c8cf39p-2, -0x1.5a5bba0c9554fp-2, -0x1.5deeec5a78bap-2, -0x1.6172828709cep-2, -0x1.64e6244e50f3p-2, -0x1.68497dd706a79p-2, -0x1.6b9c3fa0bd08fp-2, -0x1.6ede1e70e31a9p-2, -0x1.720ed33ed1528p-2, -0x1.752e1b1efff67p-2, -0x1.783bb72d96c96p-2, -0x1.7b376c786b963p-2, -0x1.7e2103e8a0697p-2, -0x1.80f84a2bf06ddp-2, -0x1.83bd0f9dd13e1p-2, -0x1.866f28307ffbep-2, -0x1.890e6b560d153p-2, -0x1.8b9ab3e983be6p-2, -0x1.8e13e01836cedp-2, -0x1.9079d14b4f24ep-2, -0x1.92cc6c119e366p-2, -0x1.950b9809ca581p-2, -0x1.97373fccdfbd7p-2, -0x1.994f50d94b75ep-2, -0x1.9b53bb7e4b672p-2, -0x1.9d4472c7db2f5p-2, -0x1.9f216c6b1f405p-2, -0x1.a0eaa0b357e11p-2, -0x1.a2a00a6f56cebp-2, -0x1.a441a6df843d6p-2, -0x1.a5cf75a4683b5p-2, -0x1.a74978adc0d05p-2, -0x1.a8afb42a20036p-2, -0x1.aa022e771237bp-2, -0x1.ab40f011c7286p-2, -0x1.ac6c03883df49p-2, -0x1.ad83756af0458p-2, -0x1.ae87543ef585cp-2, -0x1.af77b0709e2a3p-2, -0x1.b0549c4680e28p-2, -0x1.b11e2bd4f239dp-2, -0x1.b1d474f1e5538p-2, -0x1.b2778f29307dfp-2, -0x1.b30793b12beecp-2, -0x1.b3849d5faa36ep-2, -0x1.b3eec89f4446fp-2, -0x1.b4463364eee61p-2, -0x1.b48afd25dbce8p-2, -0x1.b4bd46cd9a1ebp-2, -0x1.b4dd32b478c33p-2, -0x1.b4eae4961a229p-2, -0x1.b4e6818843998p-2, -0x1.b4d02ff1d48c1p-2, -0x1.b4a81781ec158p-2, -0x1.b46e6127341a3p-2, -0x1.b42337074ce51p-2, -0x1.b3c6c476586fep-2, -0x1.b35935ee9ddbbp-2, -0x1.b2dab908466b7p-2, -0x1.b24b7c712b355p-2, -0x1.b1abafe4b77f6p-2, -0x1.b0fb8423d4592p-2, -0x1.b03b2aece2b82p-2, -0x1.af6ad6f3bdefep-2, -0x1.ae8abbd9c3e17p-2, -0x1.ad9b0e25e5867p-2, -0x1.ac9c033cb85cep-2, -0x1.ab8dd15889253p-2, -0x1.aa70af8173e6ap-2, -0x1.a944d585763d1p-2, -0x1.a80a7bf086ecbp-2, -0x1.a6c1dc04a51b8p-2, -0x1.a56b2fb1edb27p-2, -0x1.a406b18ea7824p-2, -0x1.a2949ccf50ba6p-2, -0x1.a1152d3ea86a5p-2, -0x1.9f889f35b9c51p-2, -0x1.9def2f93df7acp-2, -0x1.9c491bb6cbe7fp-2, -0x1.9a96a1728cdf6p-2, -0x1.98d7ff0991362p-2, -0x1.970d7324acfdfp-2, -0x1.95373ccb21b4bp-2, -0x1.93559b5aa836bp-2, -0x1.9168ce7f7dc46p-2, -0x1.8f71162c76c07p-2, -0x1.8d6eb2931644p-2, -0x1.8b61e41bacbc2p-2, -0x1.894aeb5d7f53ap-2, -0x1.872a0916f898ep-2, -0x1.84ff7e25e493p-2, -0x1.82cb8b7fb7653p-2, -0x1.808e7229e4382p-2, -0x1.7e4873323e40cp-2, -0x1.7bf9cfa77186bp-2, -0x1.79a2c89182b4dp-2, -0x1.77439eea6d417p-2, -0x1.74dc9396cc25ep-2, -0x1.726de75e9e4a4p-2, -0x1.6ff7dae61f2ccp-2, -0x1.6d7aaea6b82a4p-2, -0x1.6af6a2e80b488p-2, -0x1.686bf7b917831p-2, -0x1.65daece9793dbp-2, -0x1.6343c202ca61ap-2, -0x1.60a6b6421b1b5p-2, -0x1.5e0408918f199p-2, -0x1.5b5bf7821681ap-2, -0x1.58aec1454af3ep-2, -0x1.55fca3a76cab5p-2, -0x1.5345dc09833d3p-2, -0x1.508aa75ba1f7cp-2, -0x1.4dcb421750c31p-2, -0x1.4b07e83a19817p-2, -0x1.4840d5403c95cp-2, -0x1.4576441f8a5a1p-2, -0x1.42a86f42642c7p-2, -0x1.3fd79082e6d26p-2, -0x1.3d03e12638ecfp-2, -0x1.3a2d99d804f7bp-2, -0x1.3754f2a61c9e1p-2, -0x1.347a22fc4103cp-2, -0x1.319d61a019396p-2, -0x1.2ebee4ad4e858p-2, -0x1.2bdee191d669ap-2, -0x1.28fd8d0a5fd79p-2, -0x1.261b1b1ef1a7cp-2, -0x1.2337bf1fae72fp-2, -0x1.2053aba1c232cp-2, -0x1.1d6f127c7c4eap-2, -0x1.1a8a24c6905c7p-2, -0x1.17a512d381199p-2, -0x1.14c00c31375f6p-2, -0x1.11db3fa5bcb71p-2, -0x1.0ef6db2d22c9fp-2, -0x1.0c130bf79266bp-2, -0x1.092ffe67813abp-2, -0x1.064dde100f204p-2, -0x1.036cd5b38c54p-2, -0x1.008d0f42249b4p-2, -0x1.fb5d67b16400ap-3, -0x1.f5a3d77f665bap-3, -0x1.efedbcd4d0fcep-3, -0x1.ea3b64ec2cdd1p-3, -0x1.e48d1b52d1331p-3, -0x1.dee329e7f898fp-3, -0x1.d93dd8dc14a48p-3, -0x1.d39d6eb068bfdp-3, -0x1.ce023036e7dafp-3, -0x1.c86c60925091dp-3, -0x1.c2dc41368fb08p-3, -0x1.bd5211e9577e1p-3, -0x1.b7ce10c2fe46fp-3, -0x1.b2507a2f8d48cp-3, -0x1.acd988f016dcep-3, -0x1.a769761c36dc8p-3, -0x1.a2007923d5ddap-3, -0x1.9c9ec7d1186bap-3, -0x1.9744964a8a0fbp-3, -0x1.91f2171572923p-3, -0x1.8ca77b1862a5ep-3, -0x1.8764f19dec8edp-3, -0x1.822aa85786203p-3, -0x1.7cf8cb60a0627p-3, -0x1.77cf8541dfc48p-3, -0x1.72aefef4812a4p-3, -0x1.6d975fe5e4cc9p-3, -0x1.6888cdfb41903p-3, -0x1.63836d9576453p-3, -0x1.5e87619500b7fp-3, -0x1.5994cb5e19b4fp-3, -0x1.54abcadce7095p-3, -0x1.4fcc7e89cfd1ap-3, -0x1.4af7036df316cp-3, -0x1.462b7527aabb1p-3, -0x1.4169edef35fcfp-3, -0x1.3cb2869b720c1p-3, -0x1.380556a6ade34p-3, -0x1.33627433925d7p-3, -0x1.2ec9f412193eep-3, -0x1.2a3be9c49ea17p-3, -0x1.25b86784fcef6p-3, -0x1.213f7e49b60fbp-3, -0x1.1cd13dcb34522p-3, -0x1.186db4890ee05p-3, -0x1.1414efcf5ee4dp-3, -0x1.0fc6fbbc1bbc5p-3, -0x1.0b83e34483768p-3, -0x1.074bb03a897fcp-3, -0x1.031e6b524c546p-3, -0x1.fdf8384f20f45p-4, -0x1.f5c992868508dp-4, -0x1.edb0f041f5b3p-4, -0x1.e5ae5a6902f1bp-4, -0x1.ddc1d7deb1947p-4, -0x1.d5eb6d8c8f17bp-4, -0x1.ce2b1e6db5abep-4, -0x1.c680eb99e8dd6p-4, -0x1.beecd45096171p-4, -0x1.b76ed603da6b5p-4, -0x1.b006ec637dcf9p-4, -0x1.a8b51167e206dp-4, -0x1.a1793d5cf18c6p-4, -0x1.9a5366ecf5ddap-4, -0x1.9343832b5f838p-4, -0x1.8c49859f8af2p-4, -0x1.8565604f69141p-4, -0x1.7e9703ca1d1cfp-4, -0x1.77de5f327e608p-4, -0x1.713b6049934f3p-4, -0x1.6aadf378e7da9p-4, -0x1.643603dcd86a7p-4, -0x1.5dd37b4ec0d95p-4, -0x1.5786426f10591p-4, -0x1.514e40af49fe6p-4, -0x1.4b2b5c5be681bp-4, -0x1.451d7aa618467p-4, -0x1.3f247fad7af8cp-4, -0x1.39404e89a10b7p-4, -0x1.3370c9537ff52p-4, -0x1.2db5d12eca4f6p-4, -0x1.280f46531c38p-4, -0x1.227d081513d1dp-4, -0x1.1cfef4ef45875p-4, -0x1.1794ea8b0eb43p-4, -0x1.123ec5c9481c8p-4, -0x1.0cfc62cad8ba2p-4, -0x1.07cd9cf924793p-4, -0x1.02b24f0e5d0cep-4, -0x1.fb54a63b4debfp-5, -0x1.f16b0536565efp-5, -0x1.e7a76cc7ecbcp-5, -0x1.de098d8b780ccp-5, -0x1.d491170cf86c7p-5, -0x1.cb3db7d7ef7abp-5, -0x1.c20f1d861e96p-5, -0x1.b904f4cde6705p-5, -0x1.b01ee9907345cp-5, -0x1.a75ca6e7922aep-5, -0x1.9ebdd73347baep-5, -0x1.9642242716e69p-5, -0x1.8de936d710e1p-5, -0x1.85b2b7c487ce6p-5, -0x1.7d9e4eea8e14cp-5, -0x1.75aba3ca20873p-5, -0x1.6dda5d7613589p-5, -0x1.662a229eb41cbp-5, -0x1.5e9a999d2a589p-5, -0x1.572b687e8a501p-5, -0x1.4fdc350eae20ap-5, -0x1.48aca4e2bd3a4p-5, -0x1.419c5d637d505p-5, -0x1.3aab03d754d3cp-5, -0x1.33d83d6c108edp-5, -0x1.2d23af4062889p-5, -0x1.268cfe6d22478p-5, -0x1.2013d00e4c56ep-5, -0x1.19b7c94bba5f4p-5, -0x1.13788f61a83bp-5, -0x1.0d55c7a8e769cp-5, -0x1.074f179ee62f1p-5, -0x1.016424ed726ebp-5, -0x1.f7292ae46ba1ap-6, -0x1.ebc01e8c0a6e4p-6, -0x1.e08c7187cb346p-6, -0x1.d58d711fce117p-6, -0x1.cac26b3b6ad3p-6, -0x1.c02aae6df0aa6p-6, -0x1.b5c58a02f6b1cp-6, -0x1.ab924e0a30981p-6, -0x1.a1904b62eaa27p-6, -0x1.97bed3c6ff46p-6, -0x1.8e1d39d585b01p-6, -0x1.84aad11ce9b6p-6, -0x1.7b66ee24cefffp-6, -0x1.7250e6776a46p-6, -0x1.696810aa942f9p-6, -0x1.60abc46855cb6p-6, -0x1.581b5a7745e17p-6, -0x1.4fb62cc25ba4fp-6, -0x1.477b9660815ccp-6, -0x1.3f6af39bca296p-6, -0x1.3783a1f83b6c1p-6, -0x1.2fc5003a64ecap-6, -0x1.282e6e6d72973p-6, -0x1.20bf4de917862p-6, -0x1.197701571d916p-6, -0x1.1254ecb88cb87p-6, -0x1.0b58756a9d119p-6, -0x1.0481022b5f897p-6, -0x1.fb9bf63c083edp-7, -0x1.ee7d939df7138p-7, -0x1.e1a5b26f410afp-7, -0x1.d5132b83aa5f6p-7, -0x1.c8c4da965e276p-7, -0x1.bcb99e4ff098fp-7, -0x1.b0f0584bd0565p-7, -0x1.a567ed1d45bbcp-7, -0x1.9a1f4453fec5dp-7, -0x1.8f15487ff0acap-7, -0x1.8448e7351bf11p-7, -0x1.79b9110e926b4p-7, -0x1.6f64b9b131595p-7, -0x1.654ad7ce02c42p-7, -0x1.5b6a652410becp-7, -0x1.51c25e81ef775p-7, -0x1.4851c3c6d9811p-7, -0x1.3f1797e36d672p-7, -0x1.3612e0da227c7p-7, -0x1.2d42a7bf4f552p-7, -0x1.24a5f8b8da1e2p-7, -0x1.1c3be2fda24e5p-7, -0x1.140378d4986f7p-7, -0x1.0bfbcf93848d5p-7, -0x1.0423ff9d7835p-7, -0x1.f8f648c20d365p-8, -0x1.ea00b8ac69681p-8, -0x1.db6591f819f18p-8, -0x1.cd231dac4a32ep-8, -0x1.bf37aad34ed3cp-8, -0x1.b1a18e74b223ap-8, -0x1.a45f238e6384ep-8, -0x1.976ecb0dd12bp-8, -0x1.8aceebc84ae46p-8, -0x1.7e7df2734e5e6p-8, -0x1.727a519c19ecp-8, -0x1.66c2819f1995p-8, -0x1.5b55009eeffp-8, -0x1.5030527b171fcp-8, -0x1.455300c638595p-8, -0x1.3abb9abc4895ep-8, -0x1.3068b5383df7dp-8, -0x1.2658eaa96ccd9p-8, -0x1.1c8adb08ff51ep-8, -0x1.12fd2bce884d3p-8, -0x1.09ae87e51f135p-8, -0x1.009d9f9f93013p-8, -0x1.ef925159a19a5p-9, -0x1.de5fbc17efcdbp-9, -0x1.cda10000471e4p-9, -0x1.bd53a8089339dp-9, -0x1.ad75497d5305cp-9, -0x1.9e0383e84e221p-9, -0x1.8efc00f77264fp-9, -0x1.805c7462b8832p-9, -0x1.72229bd24464cp-9, -0x1.644c3ec41c345p-9, -0x1.56d72e71e08e4p-9, -0x1.49c145b5feb4bp-9, -0x1.3d0868f10fccep-9, -0x1.30aa85eee55b5p-9, -0x1.24a593cb4c911p-9, -0x1.18f792d7365d8p-9, -0x1.0d9e8c7d318cfp-9, -0x1.02989326128p-9, -0x1.efc7843b5f6efp-10, -0x1.dafc7aeeecd0bp-10, -0x1.c6cc63e4cbdfdp-10, -0x1.b333a9bd130cdp-10, -0x1.a02ec800815dcp-10, -0x1.8dba4aeb63308p-10, -0x1.7bd2cf359585ep-10, -0x1.6a7501db84606p-10, -0x1.599d9fe7bdc16p-10, -0x1.4949763bdaa35p-10, -0x1.3975615a251acp-10, -0x1.2a1e4d2e9c564p-10, -0x1.1b4134d8ecf03p-10, -0x1.0cdb227676c35p-10, -0x1.fdd25dd845579p-11, -0x1.e2d103609fdbp-11, -0x1.c8aca12c5feffp-11, -0x1.af5fbf2f2b05fp-11, -0x1.96e50141ecc97p-11, -0x1.7f3726b7d4de9p-11, -0x1.685109f6ba7a7p-11, -0x1.522da00e52b25p-11, -0x1.3cc7f8519048cp-11, -0x1.281b3beec7539p-11, -0x1.1422ad8a46091p-11, -0x1.00d9a8d959699p-11, -0x1.dc77447a86ff5p-12, -0x1.b8884cbe306c8p-12, -0x1.95ddb39a742d1p-12, -0x1.746ef13341925p-12, -0x1.5433abee28272p-12, -0x1.3523b7b4cb344p-12, -0x1.17371531a7f48p-12, -0x1.f4cbe22bc6f68p-13, -0x1.bd5146b7de9eep-13, -0x1.87ef5d19bff4p-13, -0x1.54977e13b3878p-13, -0x1.233b54a863128p-13, -0x1.e799b9680210fp-14, -0x1.8c7cc309f200cp-14, -0x1.3504f8f64b60bp-14, -0x1.c2304eab9daa8p-15, -0x1.21396210078a6p-15, -0x1.0de633bede3c6p-16, 0x1.9a6f2a69eea4fp-20, 0x1.349452c402fd5p-16, 0x1.219fafcac7406p-15, 0x1.a301b2b5d2bdp-15, 0x1.0f4e6506e6cc8p-14, 0x1.4a4e423739efap-14, 0x1.8295b60be8b09p-14, 0x1.b83985e20d0f1p-14, 0x1.eb4df9ba2fa82p-14, 0x1.0df36f494a018p-13, 0x1.250bc46013834p-13, 0x1.3af96b1b289dep-13, 0x1.4fc598692997ep-13, 0x1.6379484b95227p-13, 0x1.761d3ef101ccp-13, 0x1.87ba09cb1afb7p-13, 0x1.985800a3672b3p-13, 0x1.a7ff46a9642e6p-13, 0x1.b6b7cb7df09b2p-13, 0x1.c4894c3a4bb4bp-13, 0x1.d17b5473647a6p-13, 0x1.dd953f3b19ca9p-13, 0x1.e8de381801c94p-13, 0x1.f35d3c025285ep-13, 0x1.fd191a54bdaa4p-13, 0x1.030c3adef8f29p-12, 0x1.0730e296c031bp-12, 0x1.0afdaa5eb0cbap-12, 0x1.0e75a34acdcd5p-12, 0x1.119bc9e7a5781p-12, 0x1.147306a92bc99p-12, 0x1.16fe2e58545c5p-12, 0x1.1940027e3a47ep-12, 0x1.1b3b31cd2e463p-12, 0x1.1cf2588a8118ep-12, 0x1.1e6800f2c098dp-12, 0x1.1f9ea39f94e79p-12, 0x1.2098a7e98bf1fp-12, 0x1.2158644a7f6bfp-12, 0x1.21e01ebb62e89p-12, 0x1.22320d13da9c8p-12, 0x1.2250556520909p-12, 0x1.223d0e54f2d6ap-12, 0x1.21fa3f768308cp-12, 0x1.2189e1a2226d3p-12, 0x1.20eddf4ac91c7p-12, 0x1.202814d24e89dp-12, 0x1.1f3a50dc73dafp-12, 0x1.1e26549fa0b9ap-12, 0x1.1cedd43515e32p-12, 0x1.1b9276e6fc874p-12, 0x1.1a15d77d60af5p-12, 0x1.18798489445a9p-12, 0x1.16bf00aeca37cp-12, 0x1.14e7c2ed9e031p-12, 0x1.12f536e871cdp-12, 0x1.10e8bd2a55d1p-12, 0x1.0ec3ab6b8be4bp-12, 0x1.0c874cd47b44p-12, 0x1.0a34e23f85f07p-12, 0x1.07cda2797f3b1p-12, 0x1.0552ba810694dp-12, 0x1.02c54dc49a0efp-12, 0x1.0026765f7628ep-12, 0x1.faee8aa8fe09ap-13, 0x1.f5718592bd80bp-13, 0x1.efd7dc7e28276p-13, 0x1.ea237d94f379p-13, 0x1.e4564694bc51cp-13, 0x1.de72053c910bap-13, 0x1.d87877b45c5afp-13, 0x1.d26b4cf43b733p-13, 0x1.cc4c252a3d0bbp-13, 0x1.c61c921c324a2p-13, 0x1.bfde17887174fp-13, 0x1.b9922b84dacb7p-13, 0x1.b33a36db55befp-13, 0x1.acd79563ad55ep-13, 0x1.a66b965d2d822p-13, 0x1.9ff77cc49b51bp-13, 0x1.997c7fa9189a1p-13, 0x1.92fbca7fabf64p-13, 0x1.8c767d73cb281p-13, 0x1.85edadb68e4c5p-13, 0x1.7f6265ccfb93ep-13, 0x1.78d5a5db09b5fp-13, 0x1.724863edc5b5bp-13, 0x1.6bbb8c44e23c5p-13, 0x1.65300197ce228p-13, 0x1.5ea69d5c462d5p-13, 0x1.582030099651ap-13, 0x1.519d815a3005bp-13, 0x1.4b1f508c604bdp-13, 0x1.44a654a1bb2c4p-13, 0x1.3e333c9c16fc6p-13, 0x1.37c6afb9fceffp-13, 0x1.31614db105567p-13, 0x1.2b03aee7dc7aep-13, 0x1.24ae64ad5681bp-13, 0x1.1e61f96f66756p-13, 0x1.181ef0f06d14bp-13, 0x1.11e5c87ab174dp-13, 0x1.0bb6f71463722p-13, 0x1.0592edaf79fbep-13, 0x1.fef42eb6325f8p-14, 0x1.f2d9b2e4e1ae3p-14, 0x1.e6d727940cf0bp-14, 0x1.daed41baeacd1p-14, 0x1.cf1cabf4930c2p-14, 0x1.c36606d661136p-14, 0x1.b7c9e941c8d68p-14, 0x1.ac48e0b66ad6p-14, 0x1.a0e3719f7ed7cp-14, 0x1.959a17a1c8f91p-14, 0x1.8a6d45e5cfaafp-14, 0x1.7f5d6761341a5p-14, 0x1.746adf1d7434dp-14, 0x1.6996087cd0321p-14, 0x1.5edf377e08dcp-14, 0x1.5446b8fd404acp-14, 0x1.49ccd2f53f827p-14, 0x1.3f71c4bbcbd09p-14, 0x1.3535c73f7fd5p-14, 0x1.2b190d41d033p-14, 0x1.211bc39053779p-14, 0x1.173e113cd0bb2p-14, 0x1.0d8017d37d7dp-14, 0x1.03e1f38f3a165p-14, 0x1.f4c7771a008a6p-15, 0x1.e20b03fbdd4f4p-15, 0x1.cf8ea8ae09996p-15, 0x1.bd527702856c5p-15, 0x1.ab56780c04d78p-15, 0x1.999aac7942b01p-15, 0x1.881f0cea1340ap-15, 0x1.76e38a43ca658p-15, 0x1.65e80e02fd65cp-15, 0x1.552c7a89436b7p-15, 0x1.44b0ab6abd6bp-15, 0x1.347475b90b6f8p-15, 0x1.2477a84b8e25fp-15, 0x1.14ba0c04f8427p-15, 0x1.053b6417b7047p-15, 0x1.ebf6dc91b60d5p-16, 0x1.cdf3c65d75b8ap-16, 0x1.b06cecdec7edfp-16, 0x1.9361adfbc49ep-16, 0x1.76d15ea741f09p-16, 0x1.5abb4b5288a6bp-16, 0x1.3f1eb85b7d497p-16, 0x1.23fae276c232dp-16, 0x1.094eff142fcafp-16, 0x1.de34798d29eb2p-17, 0x1.aab7874210a6fp-17, 0x1.78256b2add478p-17, 0x1.467c5d9a7cb05p-17, 0x1.15ba8c08a5f6ep-17, 0x1.cbbc336649a81p-18, 0x1.6dca408aaf4fdp-18, 0x1.119b60e852f17p-18, 0x1.6e574a66e69d5p-19, 0x1.79dc3a34bd158p-20, 0x1.de63e74bcc682p-24, -0x1.3743c94214a5ep-20, -0x1.42d93c9c3370fp-19, -0x1.e6bb4d88cc0d4p-19, -0x1.43a84881b022fp-18, -0x1.9250c9bee627p-18, -0x1.df5b7945f17b5p-18, -0x1.156656c77beb6p-17, -0x1.3a5461f44aaabp-17, -0x1.5e7a0fd94fd92p-17, -0x1.81d994c55ae23p-17, -0x1.a475274dd7e48p-17, -0x1.c64effed7ae61p-17, -0x1.e76958ade2d44p-17, -0x1.03e3366a3f9ddp-16, -0x1.13b43c46c3d6ep-16, -0x1.2328dc4fe147fp-16, -0x1.32423511b3b5fp-16, -0x1.4101651a9479ep-16, -0x1.4f678ada2d34ep-16, -0x1.5d75c47f63cc7p-16, -0x1.6b2d2fd9a09c7p-16, -0x1.788eea38f9786p-16, -0x1.859c105223b09p-16, -0x1.9255be217a764p-16, -0x1.9ebd0ed1dd8e8p-16, -0x1.aad31ca1bdce2p-16, -0x1.b69900cc0b42cp-16, -0x1.c20fd36f40927p-16, -0x1.cd38ab7970fb8p-16, -0x1.d8149e9144e68p-16, -0x1.e2a4c103b55cap-16, -0x1.ecea25af59a2dp-16, -0x1.f6e5ddf364102p-16, -0x1.004c7ccefa0f2p-15, -0x1.0502436df8f43p-15, -0x1.0994c914db279p-15, -0x1.0e0493222593dp-15, -0x1.1252260e26ac4p-15, -0x1.167e0563c4464p-15, -0x1.1a88b3bb2bdf2p-15, -0x1.1e72b2b3a662fp-15, -0x1.223c82edf7059p-15, -0x1.25e6a40802b12p-15, -0x1.2971949777a64p-15, -0x1.2cddd225dbf54p-15, -0x1.302bd92bed95ep-15, -0x1.335c250e70e96p-15, -0x1.366f301a5b4dap-15, -0x1.396573817fc0bp-15, -0x1.3c3f6757c4cap-15, -0x1.3efd8290b418fp-15, -0x1.41a03afc6e22cp-15, -0x1.44280545fa267p-15, -0x1.469554f0b5023p-15, -0x1.48e89c575a678p-15, -0x1.4b224ca9e757cp-15, -0x1.4d42d5ec4b6f3p-15, -0x1.4f4aa6f55aad9p-15, -0x1.513a2d6e00d16p-15, -0x1.5311d5d053e9fp-15, -0x1.54d20b66bf0cfp-15, -0x1.567b384be63c3p-15, -0x1.580dc56a8316dp-15, -0x1.598a1a7cd96a9p-15, -0x1.5af09e0d1428ap-15, -0x1.5c41b57522724p-15, -0x1.5d7dc4df6aa9ap-15, -0x1.5ea52f470cbc4p-15, -0x1.5fb8567844db7p-15, -0x1.60b79b115df56p-15, -0x1.61a35c836ae54p-15, -0x1.627bf91307edp-15, -0x1.6341cdd9b26bep-15, -0x1.63f536c69ba3ap-15, -0x1.64968ea00914ap-15, -0x1.65262f044a35ap-15, -0x1.65a4706b83191p-15, -0x1.6611aa290aa08p-15, -0x1.666e326cdc24p-15, -0x1.66ba5e450bfc3p-15, -0x1.66f6819fc26eep-15, -0x1.6722ef4cdb18ap-15, -0x1.673ff8ffc6a14p-15, -0x1.674def513bccbp-15, -0x1.674d21c1337c9p-15, -0x1.673ddeb90800ap-15, -0x1.6720738d2a1e5p-15, -0x1.66f52c7f6cb1ep-15, -0x1.66bc54c133d93p-15, -0x1.6676367558d18p-15, -0x1.66231ab2954d7p-15, -0x1.65c3498599672p-15, -0x1.655709f34bba1p-15, -0x1.64dea1faf43aep-15, -0x1.645a5698e18f1p-15, -0x1.63ca6bc87f5b3p-15, -0x1.632f2486a29ccp-15, -0x1.6288c2d419bffp-15, -0x1.61d787b7d88bep-15, -0x1.611bb3418abe4p-15, -0x1.6055848bfd377p-15, -0x1.5f8539bf91f5fp-15, -0x1.5eab1014652aap-15, -0x1.5dc743d52ac48p-15, -0x1.5cda106176d3ep-15, -0x1.5be3b0302deb5p-15, -0x1.5ae45cd2113edp-15, -0x1.59dc4ef4190a6p-15, -0x1.58cbbe62279a9p-15, -0x1.57b2e209509a9p-15, -0x1.5691effa675cfp-15, -0x1.55691d6c61e7dp-15, -0x1.54389ebef65f2p-15, -0x1.5300a77cfa76cp-15, -0x1.51c16a5ef440cp-15, -0x1.507b194d49b3dp-15, -0x1.4f2de5631a413p-15, -0x1.4dd9fef0775dp-15, -0x1.4c7f957cd4835p-15, -0x1.4b1ed7c9756fbp-15, -0x1.49b7f3d3cbc2p-15, -0x1.484b16d7ff835p-15, -0x1.46d86d5357999p-15, -0x1.456023065e7fap-15, -0x1.43e262f77d2ap-15, -0x1.425f57754536fp-15, -0x1.40d72a18c4d92p-15, -0x1.3f4a03c7c7a9bp-15, -0x1.3db80cb732802p-15, -0x1.3c216c6d60028p-15, -0x1.3a8649c4519d1p-15, -0x1.38e6caebf5bc4p-15, -0x1.3743156c65bcdp-15, -0x1.359b4e2832a1dp-15, -0x1.33ef995e885bap-15, -0x1.32401aad6e9a1p-15, -0x1.308cf513c35d1p-15, -0x1.2ed64af39da4dp-15, -0x1.2d1c3e145eb52p-15, -0x1.2b5eefa4be4d5p-15, -0x1.299e803cfc58fp-15, -0x1.27db0fe0dc94cp-15, -0x1.2614be01c0d4p-15, -0x1.244ba980af18ap-15, -0x1.227ff0b05edfdp-15, -0x1.20b1b1572cda6p-15, -0x1.1ee108b11edb6p-15, -0x1.1d0e1371e092p-15, -0x1.1b38edc6a9ed4p-15, -0x1.1961b358131f9p-15, -0x1.17887f4c11b4dp-15, -0x1.15ad6c47e90ccp-15, -0x1.13d09471e525ep-15, -0x1.11f21173569f3p-15, -0x1.1011fc7a481cp-15, -0x1.0e306e3b3adc2p-15, -0x1.0c4d7ef30a99dp-15, -0x1.0a6946689d864p-15, -0x1.0883dbeea9873p-15, -0x1.069d566575226p-15, -0x1.04b5cc3c75d26p-15, -0x1.02cd537406db1p-15, -0x1.00e4019f10443p-15, -0x1.fdf3d7c943dffp-16, -0x1.fa1e4e0320fddp-16, -0x1.f6478e944d7a1p-16, -0x1.f26fc15722534p-16, -0x1.ee970d5b01f65p-16, -0x1.eabd98e781734p-16, -0x1.e6e3897f4a5c1p-16, -0x1.e30903e34be69p-16, -0x1.df2e2c1578c3cp-16, -0x1.db53255bab28p-16, -0x1.d7781242a20b5p-16, -0x1.d39d14a0fb88p-16, -0x1.cfc24d99c322ep-16, -0x1.cbe7dd9f55d3cp-16, -0x1.c80de47632988p-16, -0x1.c43481377ea7p-16, -0x1.c05bd253c7977p-16, -0x1.bc83f595bfca7p-16, -0x1.b8ad0824a004bp-16, -0x1.b4d72686d6242p-16, -0x1.b1026ca48da51p-16, -0x1.ad2ef5ca01631p-16, -0x1.a95cdcaa3183p-16, -0x1.a58c3b6124a1dp-16, -0x1.a1bd2b763b067p-16, -0x1.9defc5deaf392p-16, -0x1.9a2422ffddaeap-16, -0x1.965a5ab1825b9p-16, -0x1.9292844010f29p-16, -0x1.8eccb66ed37bap-16, -0x1.8b09077a32b78p-16, -0x1.87478d19c64e5p-16, -0x1.83885c828623cp-16, -0x1.7fcb8a68eeb27p-16, -0x1.7c112b02fb9d2p-16, -0x1.7859520a4c09ep-16, -0x1.74a412be1c7a9p-16, -0x1.70f17fe54215bp-16, -0x1.6d41abd0155cfp-16, -0x1.6994a85a5d9bep-16, -0x1.65ea86ed3dc79p-16, -0x1.6243588124f8dp-16, -0x1.5e9f2d9f83177p-16, -0x1.5afe1664c9e6fp-16, -0x1.5760228227759p-16, -0x1.53c5613f297c6p-16, -0x1.502de17bac688p-16, -0x1.4c99b1b15e4dfp-16, -0x1.4908dff587bffp-16, -0x1.457b79fae0e99p-16, -0x1.41f18d12e2c83p-16, -0x1.3e6b262fa93c2p-16, -0x1.3ae851e56e0fp-16, -0x1.37691c6c13d35p-16, -0x1.33ed91a0ce501p-16, -0x1.3075bd078dac7p-16, -0x1.2d01a9cc7f393p-16, -0x1.299162c5a772ap-16, }}, 
      {{-0x1.6eedaab18ad65p-7, -0x1.6bf59ce5b003fp-6, -0x1.0da28f9a66a49p-5, -0x1.621273cef664ap-5, -0x1.b317eb4dc5792p-5, -0x1.0069206a92fa9p-4, -0x1.25ca86a700759p-4, -0x1.49e7492622ee5p-4, -0x1.6cfa0223f025cp-4, -0x1.8f39ef1ba7dc7p-4, -0x1.b0d6b77b11387p-4, -0x1.d1f64157a1763p-4, -0x1.f2b407092e938p-4, -0x1.0990ba17bdf59p-3, -0x1.19a374a8952bdp-3, -0x1.29928e63dae4fp-3, -0x1.395b51d79b5bbp-3, -0x1.48f8bece07909p-3, -0x1.58644522a9201p-3, -0x1.67966cdc8de3bp-3, -0x1.76876754ed077p-3, -0x1.852f87ba1bd67p-3, -0x1.9387a308958dfp-3, -0x1.a18958c9dd275p-3, -0x1.af2f46adb4ca1p-3, -0x1.bc752980de3e6p-3, -0x1.c957ee334c3e6p-3, -0x1.d5d5b5a094bep-3, -0x1.e1edcdae4db5bp-3, -0x1.eda0a2203e31ep-3, -0x1.f8efa7428375ep-3, -0x1.01eea02235c98p-2, -0x1.0736516c48e2ap-2, -0x1.0c50dcb590b2fp-2, -0x1.1140828018e95p-2, -0x1.1607bfc982ad9p-2, -0x1.1aa93fce592ccp-2, -0x1.1f27ce9e84ed8p-2, -0x1.23864cadc4492p-2, -0x1.27c7a37ba1f3dp-2, -0x1.2beebb61caba4p-2, -0x1.2ffe728d85973p-2, -0x1.33f9952137ce3p-2, -0x1.37e2d674d37a7p-2, -0x1.3bbccb67abbfap-2, -0x1.3f89e5b3199ep-2, -0x1.434c702b502c7p-2, -0x1.47068bdab6365p-2, -0x1.4aba2de39437fp-2, -0x1.4e691e1415334p-2, -0x1.5214f6190f23bp-2, -0x1.55bf213cd4ce7p-2, -0x1.5968dca05c4cdp-2, -0x1.5d1337de1f2afp-2, -0x1.60bf160751a73p-2, -0x1.646d2eed53a28p-2, -0x1.681e10aa7686cp-2, -0x1.6bd2215e62dd6p-2, -0x1.6f89a113a72d4p-2, -0x1.7344abc4fef67p-2, -0x1.77033b79fb6aep-2, -0x1.7ac52a73a8895p-2, -0x1.7e8a3562b3381p-2, -0x1.8251fda162d1cp-2, -0x1.861c0b6c7c4c3p-2, -0x1.89e7d016dba7bp-2, -0x1.8db4a8341a6d1p-2, -0x1.9181ddb745165p-2, -0x1.954eaa0307b85p-2, -0x1.991a37e93c716p-2, -0x1.9ce3a59827537p-2, -0x1.a0aa067404585p-2, -0x1.a46c64dbe3725p-2, -0x1.a829c3d90b7f4p-2, -0x1.abe120b86420ep-2, -0x1.af91748d96703p-2, -0x1.b339b59fcb7ap-2, -0x1.b6d8d8c00c08cp-2, -0x1.ba6dd2897ae92p-2, -0x1.bdf7988bae45p-2, -0x1.c175225f93d57p-2, -0x1.c4e56aa7594e8p-2, -0x1.c8476ff9ef6eap-2, -0x1.cb9a35bab863fp-2, -0x1.cedcc4de1aafbp-2, -0x1.d20e2c9ba0183p-2, -0x1.d52d830e5dc7dp-2, -0x1.d839e5c4694f1p-2, -0x1.db327a3e19da3p-2, -0x1.de166e5dd6adfp-2, -0x1.e0e4f8c9404e7p-2, -0x1.e39d593c716e1p-2, -0x1.e63ed8d01d1d6p-2, -0x1.e8c8ca334b4efp-2, -0x1.eb3a89d96b85cp-2, -0x1.ed937e1d7ddfep-2, -0x1.efd3175afc415p-2, -0x1.f1f8cffd3d382p-2, -0x1.f4042c85f2727p-2, -0x1.f5f4bb8b6ac82p-2, -0x1.f7ca15af31566p-2, -0x1.f983dd8da8e19p-2, -0x1.fb21bfa72ee9fp-2, -0x1.fca372435480cp-2, -0x1.fe08b54eb1afep-2, -0x1.ff515233d4c24p-2, -0x1.003e8dd7e215dp-1, -0x1.00c5f6d1427c5p-1, -0x1.013ed66e0bd82p-1, -0x1.01a9237326344p-1, -0x1.0204d8e5ea0b1p-1, -0x1.0251f5ee7511ep-1, -0x1.02907db8f3d53p-1, -0x1.02c077560ccb6p-1, -0x1.02e1ed9a8f623p-1, -0x1.02f4eefe8ca37p-1, -0x1.02f98d7bf8386p-1, -0x1.02efde6cf2c95p-1, -0x1.02d7fa69dabfcp-1, -0x1.02b1fd273abacp-1, -0x1.027e0553b1dacp-1, -0x1.023c3475ea90ep-1, -0x1.01ecaecab5468p-1, -0x1.018f9b2359febp-1, -0x1.012522c432c0ap-1, -0x1.00ad71439d884p-1, -0x1.0028b46956726p-1, -0x1.ff2e381c87a2ap-2, -0x1.fdf1b3f988005p-2, -0x1.fc9c43a308db5p-2, -0x1.fb2e51b9d718bp-2, -0x1.f9a84c0a40dc6p-2, -0x1.f80aa35167916p-2, -0x1.f655cb03e73bfp-2, -0x1.f48a3915da1edp-2, -0x1.f2a865c44494p-2, -0x1.f0b0cb5fee5fap-2, -0x1.eea3e619b0f6ep-2, -0x1.ec8233d041c52p-2, -0x1.ea4c33df74797p-2, -0x1.e80266f1036fp-2, -0x1.e5a54eced3a3p-2, -0x1.e3356e36be557p-2, -0x1.e0b348afd7887p-2, -0x1.de1f626139497p-2, -0x1.db7a3fea46218p-2, -0x1.d8c4663c6dab8p-2, -0x1.d5fe5a766229ep-2, -0x1.d328a1c0c4619p-2, -0x1.d043c12c40043p-2, -0x1.cd503d910efb3p-2, -0x1.ca4e9b6fe3241p-2, -0x1.c73f5ed42e928p-2, -0x1.c4230b37c582ap-2, -0x1.c0fa2367d12f1p-2, -0x1.bdc5296b10e71p-2, -0x1.ba849e695f481p-2, -0x1.b7390294741f5p-2, -0x1.b3e2d511e051ap-2, -0x1.b08293e638583p-2, -0x1.ad18bbe165691p-2, -0x1.a9a5c88c1aa7ap-2, -0x1.a62a3416635dap-2, -0x1.a2a677473f3ecp-2, -0x1.9f1b096d4ee94p-2, -0x1.9b886050805e4p-2, -0x1.97eef024b5b9p-2, -0x1.944f2b7d606f4p-2, -0x1.90a983420d238p-2, -0x1.8cfe66a3cbcf1p-2, -0x1.894e43137e618p-2, -0x1.85998438f7d79p-2, -0x1.81e093eaed1b6p-2, -0x1.7e23da27ad90ap-2, -0x1.7a63bd0e9a109p-2, -0x1.76a0a0da5b35fp-2, -0x1.72dae7dbc643dp-2, -0x1.6f12f27570a64p-2, -0x1.6b491f17e8d0dp-2, -0x1.677dca3e90155p-2, -0x1.63b14e6d0c35cp-2, -0x1.5fe4042d4bdb8p-2, -0x1.5c16420e1bc0bp-2, -0x1.58485ca23d26ap-2, -0x1.547aa680018fbp-2, -0x1.50ad7041627ecp-2, -0x1.4ce108848c72p-2, -0x1.4915bbecdca72p-2, -0x1.454bd5244b10fp-2, -0x1.41839cdd3822dp-2, -0x1.3dbd59d49d911p-2, -0x1.39f950d49c4e3p-2, -0x1.3637c4b7612c6p-2, -0x1.3278f66a5bbd7p-2, -0x1.2ebd24f1c61f2p-2, -0x1.2b048d6c76aadp-2, -0x1.274f6b17f5d07p-2, -0x1.239df754d96ecp-2, -0x1.1ff069ab5aaap-2, -0x1.1c46f7d029552p-2, -0x1.18a1d5a973b14p-2, -0x1.1501355421a27p-2, -0x1.1165472941969p-2, -0x1.0dce39c39e53ap-2, -0x1.0a3c3a057f6eep-2, -0x1.06af731e90782p-2, -0x1.03280e91e9211p-2, -0x1.ff4c6878693dbp-3, -0x1.f85414b3f5d13p-3, -0x1.f1676b1bf9bf6p-3, -0x1.ea86b1cf6045p-3, -0x1.e3b22bd39102p-3, -0x1.dcea1921b5074p-3, -0x1.d62eb6b415658p-3, -0x1.cf803e9397a4dp-3, -0x1.c8dee7e5549f9p-3, -0x1.c24ae6f843984p-3, -0x1.bbc46d52ed3a2p-3, -0x1.b54ba9c13abf9p-3, -0x1.aee0c8623d2ddp-3, -0x1.a883f2b60465dp-3, -0x1.a2354fab75544p-3, -0x1.9bf503ae1d7d8p-3, -0x1.95c330b403055p-3, -0x1.8f9ff64b7131bp-3, -0x1.898b71a8b5f97p-3, -0x1.8385bdb3d2616p-3, -0x1.7d8ef31625922p-3, -0x1.77a72847fa064p-3, -0x1.71ce719e07486p-3, -0x1.6c04e156dbf25p-3, -0x1.664a87a82feb5p-3, -0x1.609f72cc1fc89p-3, -0x1.5b03af0e44fdfp-3, -0x1.557746d8be39cp-3, -0x1.4ffa42c10ae43p-3, -0x1.4a8ca994d2639p-3, -0x1.452e806682098p-3, -0x1.3fdfca99cdf89p-3, -0x1.3aa089f00a753p-3, -0x1.3570be9462079p-3, -0x1.30506727e4e92p-3, -0x1.2b3f80cd71be6p-3, -0x1.263e0735787e2p-3, -0x1.214bf4a98f9b1p-3, -0x1.1c694217e43bep-3, -0x1.1795e71e81fd6p-3, -0x1.12d1da1667afcp-3, -0x1.0e1d101e7b883p-3, -0x1.09777d264b6d8p-3, -0x1.04e113f8a771p-3, -0x1.0059c6460781ap-3, -0x1.f7c3095da124ep-4, -0x1.eef07d9abf684p-4, -0x1.e63bc67fe3fd5p-4, -0x1.dda4bf64b12b1p-4, -0x1.d52b41cf04e71p-4, -0x1.cccf2585b0f1dp-4, -0x1.c49040a2d93b1p-4, -0x1.bc6e67a5e8b82p-4, -0x1.b4696d8548a84p-4, -0x1.ac8123bf9cb31p-4, -0x1.a4b55a6cb6e6ep-4, -0x1.9d05e04e2af49p-4, -0x1.957282df9214fp-4, -0x1.8dfb0e666073p-4, -0x1.869f4e017437cp-4, -0x1.7f5f0bb844b5dp-4, -0x1.783a1089b7825p-4, -0x1.7130247aa2b1cp-4, -0x1.6a410ea3f4a8ap-4, -0x1.636c9540874d9p-4, -0x1.5cb27dba9e701p-4, -0x1.56128cb90fceep-4, -0x1.4f8c862c1923p-4, -0x1.49202d59e18d3p-4, -0x1.42cd44eaab7e4p-4, -0x1.3c938ef4b22f1p-4, -0x1.3672cd07ba641p-4, -0x1.306ac03850dc4p-4, -0x1.2a7b292abc93bp-4, -0x1.24a3c81da316dp-4, -0x1.1ee45cf461309p-4, -0x1.193ca74116306p-4, -0x1.13ac664e69b2fp-4, -0x1.0e33592901602p-4, -0x1.08d13ea8b6721p-4, -0x1.0385d5797ee2ep-4, -0x1.fca1b84827822p-5, -0x1.f264222ca0e14p-5, -0x1.e8526556a0431p-5, -0x1.de6bfe6692401p-5, -0x1.d4b069f649892p-5, -0x1.cb1f24a7b563dp-5, -0x1.c1b7ab331165dp-5, -0x1.b8797a74a005fp-5, -0x1.af640f79ea081p-5, -0x1.a676e78e86a2cp-5, -0x1.9db180486a41bp-5, -0x1.95135793cc154p-5, -0x1.8c9bebbe918a4p-5, -0x1.844abb83519d4p-5, -0x1.7c1f4613eb1abp-5, -0x1.74190b23ac652p-5, -0x1.6c378af11da42p-5, -0x1.647a464f583f2p-5, -0x1.5ce0beaf08d9ep-5, -0x1.556a762707c23p-5, -0x1.4e16ef7c9204fp-5, -0x1.46e5ae2b2d034p-5, -0x1.3fd6366c2945ep-5, -0x1.38e80d3dce68fp-5, -0x1.321ab86a301fap-5, -0x1.2b6dbe8db24bdp-5, -0x1.24e0a71d362d6p-5, -0x1.1e72fa6bf975bp-5, -0x1.182441b1268b5p-5, -0x1.11f4070d1a35ep-5, -0x1.0be1d58e5e591p-5, -0x1.05ed393657fbcp-5, -0x1.0015befdb5a02p-5, -0x1.f4b5e9b125545p-6, -0x1.e978d374c009cp-6, -0x1.de735b32fca15p-6, -0x1.d3a4a2e553f52p-6, -0x1.c90bce98326f8p-6, -0x1.bea80470d7d26p-6, -0x1.b4786cb2af2f5p-6, -0x1.aa7c31c4423edp-6, -0x1.a0b28033ba043p-6, -0x1.971a86baf47b8p-6, -0x1.8db37643370f2p-6, -0x1.847c81e87e897p-6, -0x1.7b74defc62a81p-6, -0x1.729bc508ac476p-6, -0x1.69f06dd188558p-6, -0x1.617215575d2eap-6, -0x1.591ff9d85bb71p-6, -0x1.50f95bd1a9b81p-6, -0x1.48fd7e00506cbp-6, -0x1.412ba561cd77dp-6, -0x1.398319346a258p-6, -0x1.320322f73eeffp-6, -0x1.2aab0e69eff1cp-6, -0x1.237a298c36ad8p-6, -0x1.1c6fc49d213e8p-6, -0x1.158b321a0a76dp-6, -0x1.0ecbc6bd73bacp-6, -0x1.0830d97d7f298p-6, -0x1.01b9c38a56112p-6, -0x1.f6cbc0988f385p-7, -0x1.ea691ac374eb7p-7, -0x1.de4a5539d61f2p-7, -0x1.d26e3402f9bcfp-7, -0x1.c6d37f83cb2e4p-7, -0x1.bb7904794e51ap-7, -0x1.b05d93f2bd96bp-7, -0x1.a580034b648c2p-7, -0x1.9adf2c2439b0cp-7, -0x1.9079ec5d1b60fp-7, -0x1.864f260dda1a2p-7, -0x1.7c5dbf7f0099p-7, -0x1.72a4a32257011p-7, -0x1.6922bf8b3a635p-7, -0x1.5fd70766b658cp-7, -0x1.56c071736bf23p-7, -0x1.4dddf8794b9e9p-7, -0x1.452e9b4116ea3p-7, -0x1.3cb15c8bc6848p-7, -0x1.34654309c5343p-7, -0x1.2c495951fc128p-7, -0x1.245cadd8c1807p-7, -0x1.1c9e52e6a8293p-7, -0x1.150d5e8f37a3fp-7, -0x1.0da8eaa76f531p-7, -0x1.067014bc59727p-7, -0x1.fec3fc12a95c9p-8, -0x1.f0fb96dce63ebp-8, -0x1.e3854acd749f9p-8, -0x1.d65f6ffc7378p-8, -0x1.c98865906816fp-8, -0x1.bcfe91aa43baap-8, -0x1.b0c0615175d4cp-8, -0x1.a4cc485fcd9cbp-8, -0x1.9920c16d56488p-8, -0x1.8dbc4dbc2c3cbp-8, -0x1.829d752429fb3p-8, -0x1.77c2c5fec7757p-8, -0x1.6d2ad512a72d3p-8, -0x1.62d43d7f6c843p-8, -0x1.58bda0a9538f3p-8, -0x1.4ee5a624f9e34p-8, -0x1.454afba310de4p-8, -0x1.3bec54dc32d61p-8, -0x1.32c86b7c90508p-8, -0x1.29ddff0fe789ap-8, -0x1.212bd4ed61cd1p-8, -0x1.18b0b823870c2p-8, -0x1.106b7964584b1p-8, -0x1.085aeef1553b3p-8, -0x1.007df487d44cbp-8, -0x1.f1a6d69a457c1p-9, -0x1.e2b47376136e8p-9, -0x1.d42297189ee9bp-9, -0x1.c5ef235273b6p-9, -0x1.b8180428b8efep-9, -0x1.aa9b2faec6db9p-9, -0x1.9d76a5e02cc04p-9, -0x1.90a8707ae72c5p-9, -0x1.842ea2d9a20c4p-9, -0x1.780759cebab97p-9, -0x1.6c30bb7f1a0fep-9, -0x1.60a8f73d923f5p-9, -0x1.556e456676085p-9, -0x1.4a7ee73b8d6bep-9, -0x1.3fd926c0541abp-9, -0x1.357b569663cd4p-9, -0x1.2b63d1da853dcp-9, -0x1.2190fc01b7002p-9, -0x1.180140b6bc964p-9, -0x1.0eb313b81999bp-9, -0x1.05a4f0b61f79bp-9, -0x1.f9aab66320cf4p-10, -0x1.e885bcb4f09c4p-10, -0x1.d7d819dee4de1p-10, -0x1.c79f023a705fcp-10, -0x1.b7d7b8bd4d5dcp-10, -0x1.a87f8eb9f3a59p-10, -0x1.9993e3a0efe38p-10, -0x1.8b1224c3167dcp-10, -0x1.7cf7cd1430079p-10, -0x1.6f4264ee6cfe2p-10, -0x1.61ef81d6be136p-10, -0x1.54fcc641bb769p-10, -0x1.4867e15943a25p-10, -0x1.3c2e8ec30d5c5p-10, -0x1.304e9667a14a4p-10, -0x1.24c5cc3a6d005p-10, -0x1.1992100223bfbp-10, -0x1.0eb14d2250537p-10, -0x1.04217a65293ep-10, -0x1.f3c1338d2789fp-11, -0x1.dfd9707efe108p-11, -0x1.cc87db245953bp-11, -0x1.b9c8b82e4d3fp-11, -0x1.a7986115aef84p-11, -0x1.95f343b7f6b11p-11, -0x1.84d5e1f573775p-11, -0x1.743cd150cf70cp-11, -0x1.6424ba8fd20b2p-11, -0x1.548a595e5f7a9p-11, -0x1.456a7bf154319p-11, -0x1.36c202ac884a3p-11, -0x1.288ddfc8d0758p-11, -0x1.1acb16fbe5153p-11, -0x1.0d76bd21d4f8dp-11, -0x1.008df7e7345b8p-11, -0x1.e81bfaeabbe9p-12, -0x1.cfe8283ef786ep-12, -0x1.b87b2421a1f0fp-12, -0x1.a1cfb9f9e3cefp-12, -0x1.8be0d3a11831bp-12, -0x1.76a978c78927ep-12, -0x1.6224ce5bb6a46p-12, -0x1.4e4e15f459412p-12, -0x1.3b20ad3bf813dp-12, -0x1.28980d6001e18p-12, -0x1.16afca81d2904p-12, -0x1.05639329bc42cp-12, -0x1.e95e5f7aa7bcp-13, -0x1.c91d03eeafae5p-13, -0x1.a9fb08c3ea5f9p-13, -0x1.8bf093a80f9dbp-13, -0x1.6ef5f9dfe5c06p-13, -0x1.5303bf48235bbp-13, -0x1.3812956036adp-13, -0x1.1e1b5a510219ep-13, -0x1.0517180023c0ap-13, -0x1.d9fe06442b313p-14, -0x1.ab98f4a42ae9cp-14, -0x1.7ef20a5f11f57p-14, -0x1.53fca6fb1f89bp-14, -0x1.2aac78901f2cep-14, -0x1.02f57a1696a6bp-14, -0x1.b997e3823b838p-15, -0x1.7048debcb3018p-15, -0x1.29e7957f8f603p-15, -0x1.ccbc88a07e155p-16, -0x1.4b2f6317fd5c4p-16, -0x1.9dfca9775e0fdp-17, -0x1.6003fe88cc5f3p-18, 0x1.9eff8375051fdp-20, 0x1.0df5e5225ac65p-17, 0x1.de8ab10dac547p-17, 0x1.52f3a1febae78p-16, 0x1.b2295b104c562p-16, 0x1.068494a1d8b81p-15, 0x1.31da685cae6d9p-15, 0x1.5b269c9dc2fe6p-15, 0x1.8279399ad0b15p-15, 0x1.a7e1de4827857p-15, 0x1.cb6fc2b95f8b7p-15, 0x1.ed31ba7b3df98p-15, 0x1.069b1b6c78c9fp-14, 0x1.15c5a490a89fbp-14, 0x1.241f5269fd70ap-14, 0x1.31aed0e5c4962p-14, 0x1.3e7a9f2dfc678p-14, 0x1.4a8910b077a0ep-14, 0x1.55e04e23c9565p-14, 0x1.608656846e73ap-14, 0x1.6a81000eb6cadp-14, 0x1.73d5f93220d04p-14, 0x1.7c8ac9803b43p-14, 0x1.84a4d295ce71dp-14, 0x1.8c295101c98a9p-14, 0x1.931d5d23ce665p-14, 0x1.9985ec07b430fp-14, 0x1.9f67d03e80d39p-14, 0x1.a4c7baadff123p-14, 0x1.a9aa3b60ff13dp-14, 0x1.ae13c24fb71abp-14, 0x1.b208a0256e24cp-14, 0x1.b58d0701ee66ap-14, 0x1.b8a50b363a826p-14, 0x1.bb54a3fd2c1aep-14, 0x1.bd9fac310f62fp-14, 0x1.bf89e2fb861adp-14, 0x1.c116ec83cfd28p-14, 0x1.c24a52982a928p-14, 0x1.c3278553297cdp-14, 0x1.c3b1dbbd4976dp-14, 0x1.c3ec946c7432cp-14, 0x1.c3dad61e75cadp-14, 0x1.c37fb050d9a08p-14, 0x1.c2de1bd50aabfp-14, 0x1.c1f8fb6114e7p-14, 0x1.c0d31c1e55192p-14, 0x1.bf6f3631f75ebp-14, 0x1.bdcfed46ec635p-14, 0x1.bbf7d11099b98p-14, 0x1.b9e95dccd60c9p-14, 0x1.b7a6fcc266029p-14, 0x1.b53304bcc1c2cp-14, 0x1.b28fba845ec5bp-14, 0x1.afbf515525458p-14, 0x1.acc3eb51ae6bep-14, 0x1.a99f99f431d42p-14, 0x1.a6545e7c5335bp-14, 0x1.a2e42a5a426eap-14, 0x1.9f50df99549fcp-14, 0x1.9b9c5144f1539p-14, 0x1.97c843cdf460ap-14, 0x1.93d66d6bbde49p-14, 0x1.8fc8767ce407ep-14, 0x1.8b9ff9e35175ep-14, 0x1.875e8560ab2b6p-14, 0x1.830599ee93ec1p-14, 0x1.7e96ac15ad9f9p-14, 0x1.7a13244296635p-14, 0x1.757c5f18f6ef8p-14, 0x1.70d3adc4265edp-14, 0x1.6c1a56460b0fap-14, 0x1.675193c476f33p-14, 0x1.627a96d3d7228p-14, 0x1.5d9685c121cbdp-14, 0x1.58a67cd918a86p-14, 0x1.53ab8eae8a058p-14, 0x1.4ea6c45e08beap-14, 0x1.49991dd0c9b32p-14, 0x1.448391fd41233p-14, 0x1.3f670f26e0d92p-14, 0x1.3a447b1b7b624p-14, 0x1.351cb36fc0553p-14, 0x1.2ff08db9cad2ap-14, 0x1.2ac0d7ca8b77dp-14, 0x1.258e57e594588p-14, 0x1.2059ccf7bcff5p-14, 0x1.1b23eecc493e5p-14, 0x1.15ed6e40b92f6p-14, 0x1.10b6f576f7a2p-14, 0x1.0b81280722364p-14, 0x1.064ca32f057a8p-14, 0x1.0119fe0185c2bp-14, 0x1.f7d39326f482cp-15, 0x1.ed792251f9b9bp-15, 0x1.e325b4c029589p-15, 0x1.d8da4ab6203a8p-15, 0x1.ce97d9d403c32p-15, 0x1.c45f4d650a768p-15, 0x1.ba3186adb6946p-15, 0x1.b00f5d38477f1p-15, 0x1.a5f99f1e9bc51p-15, 0x1.9bf111523e126p-15, 0x1.91f66fe35dca6p-15, 0x1.880a6e44cd9fdp-15, 0x1.7e2db78ed0a63p-15, 0x1.7460eec084dd6p-15, 0x1.6aa4aefec7bdfp-15, 0x1.60f98bd1d3458p-15, 0x1.57601161d17a5p-15, 0x1.4dd8c4b0aa86dp-15, 0x1.446423d2f541ap-15, 0x1.3b02a6280401bp-15, 0x1.31b4bc8eacdbbp-15, 0x1.287ad19ad525fp-15, 0x1.1f5549c8166f5p-15, 0x1.164483ab42de1p-15, 0x1.0d48d822d8d23p-15, 0x1.04629a865e39fp-15, 0x1.f72431a755fe7p-16, 0x1.e5af37b793105p-16, 0x1.d466cedc57d51p-16, 0x1.c34b7506565a9p-16, 0x1.b25d9ec905eebp-16, 0x1.a19db7aac198ep-16, 0x1.910c2272a78e1p-16, 0x1.80a939731fe14p-16, 0x1.70754ed53d897p-16, 0x1.6070acdd912f3p-16, 0x1.509b9633353b5p-16, 0x1.40f64622c738dp-16, 0x1.3180f0df29674p-16, 0x1.223bc3c278e6bp-16, 0x1.1326e58ae7d91p-16, 0x1.04427697bb8b8p-16, 0x1.eb1d22463017dp-17, 0x1.ce1692f6cdbbbp-17, 0x1.b1715c73685d1p-17, 0x1.952d90f044bedp-17, 0x1.794b380ae6193p-17, 0x1.5dca4f302f7a7p-17, 0x1.42aac9fe47d27p-17, 0x1.27ec92a34e03ap-17, 0x1.0d8f8a3afc6e4p-17, 0x1.e727124f3c9e6p-18, 0x1.b3f0bed6b290ap-18, 0x1.817ba9f54ecfdp-18, 0x1.4fc75421529d9p-18, 0x1.1ed32efbd82a6p-18, 0x1.dd3d3bd725f85p-19, 0x1.7e51ed68f401cp-19, 0x1.20e30414ae29ap-19, 0x1.89ddf074d22cep-20, 0x1.a9d0a918d398p-21, 0x1.170e3bd5c035ap-23, -0x1.18729f1099ef7p-21, -0x1.386cb315a9d53p-20, -0x1.e1bc4dbdfb926p-20, -0x1.441618127902dp-19, -0x1.95e047a0667d1p-19, -0x1.e63ee14dedb37p-19, -0x1.1a9a10a8a1d7dp-18, -0x1.416129c365faap-18, -0x1.6775e95290a2dp-18, -0x1.8cd983bc3105bp-18, -0x1.b18d34128a038p-18, -0x1.d5923bb91a016p-18, -0x1.f8e9e20bc5d24p-18, -0x1.0dcaba03aa48dp-17, -0x1.1ecb21fc67711p-17, -0x1.2f76d496189e7p-17, -0x1.3fce7fce5b7b1p-17, -0x1.4fd2d3d5aa8aap-17, -0x1.5f8482ea7f7ecp-17, -0x1.6ee44135de432p-17, -0x1.7df2c4a943dcbp-17, -0x1.8cb0c4dea70c2p-17, -0x1.9b1efaf69602fp-17, -0x1.a93e217adc394p-17, -0x1.b70ef4400f3cap-17, -0x1.c49230494204bp-17, -0x1.d1c893aaeba2bp-17, -0x1.deb2dd7194f44p-17, -0x1.eb51cd86ea2b3p-17, -0x1.f7a624991e15dp-17, -0x1.01d852010cc33p-16, -0x1.07b906d82fb29p-16, -0x1.0d759208814a1p-16, -0x1.130e54fc5b57ap-16, -0x1.1883b1481818p-16, -0x1.1dd6089f86f06p-16, -0x1.2305bccc8c30dp-16, -0x1.28132fa509d0ap-16, -0x1.2cfec30274309p-16, -0x1.31c8d8b8f449ep-16, -0x1.3671d28ecc294p-16, -0x1.3afa1234a9ebep-16, -0x1.3f61f93d62b25p-16, -0x1.43a9e91700f72p-16, -0x1.47d2430326ae1p-16, -0x1.4bdb681044adap-16, -0x1.4fc5b9131adf9p-16, -0x1.539196a00deep-16, -0x1.573f61054ea0cp-16, -0x1.5acf784513f67p-16, -0x1.5e423c0f83d0ep-16, -0x1.61980bbdb10ddp-16, -0x1.64d1464c3ed4p-16, -0x1.67ee4a5694b71p-16, -0x1.6aef7611fb137p-16, -0x1.6dd5274929fc9p-16, -0x1.709fbb57c3fe7p-16, -0x1.734f8f2695968p-16, -0x1.75e4ff27328b1p-16, -0x1.7860675084a8p-16, -0x1.7ac2231ae16c5p-16, -0x1.7d0a8d7cf5026p-16, -0x1.7f3a00e8295a7p-16, -0x1.8150d745ee174p-16, -0x1.834f69f46e338p-16, -0x1.853611c3efb5bp-16, -0x1.870526f418025p-16, -0x1.88bd013185351p-16, -0x1.8a5df7935910dp-16, -0x1.8be86098f9faap-16, -0x1.8d5c92282ebf8p-16, -0x1.8ebae18abfdafp-16, -0x1.9003a36ce3388p-16, -0x1.91372bdb6c273p-16, -0x1.9255ce4201c81p-16, -0x1.935fdd69e371ep-16, -0x1.9455ab78287e6p-16, -0x1.953789ecb2cb4p-16, -0x1.9605c9a0b8bf7p-16, -0x1.96c0bac5d2762p-16, -0x1.9768ace4e67b9p-16, -0x1.97fdeedd1b963p-16, -0x1.9880cee3065dfp-16, -0x1.98f19a8019d75p-16, -0x1.99509e918f259p-16, -0x1.999e27480fcafp-16, -0x1.99da8026f6b4fp-16, -0x1.9a05f40413b4fp-16, -0x1.9a20cd0712bd4p-16, -0x1.9a2b54a924b07p-16, -0x1.9a25d3b4cfd28p-16, -0x1.9a109245a92b1p-16, -0x1.99ebd7c835893p-16, -0x1.99b7eaf9bb65ap-16, -0x1.997511e8542ep-16, -0x1.992391f2edb5ap-16, -0x1.98c3afc939a2dp-16, -0x1.9855af6bfbf9fp-16, -0x1.97d9d42cfcb3cp-16, -0x1.975060af6ec8dp-16, -0x1.96b996e824127p-16, -0x1.9615b81dbe4b2p-16, -0x1.956504e92258ep-16, -0x1.94a7bd35cc9c2p-16, -0x1.93de20423c4d5p-16, -0x1.93086ca07a3c7p-16, -0x1.9226e036750cap-16, -0x1.9139b83eab42ap-16, -0x1.9041314886c83p-16, -0x1.8f3d873923cdp-16, -0x1.8e2ef54bdc916p-16, -0x1.8d15b612eb877p-16, -0x1.8bf203780a928p-16, -0x1.8ac416bd3ef34p-16, -0x1.898c287d83563p-16, -0x1.884a70ad95e91p-16, -0x1.86ff269ca492ep-16, -0x1.85aa80f51ea3cp-16, -0x1.844cb5bda357cp-16, -0x1.82e5fa599eecbp-16, -0x1.8176838a4a701p-16, -0x1.7ffe856f97601p-16, -0x1.7e7e3388e993fp-16, -0x1.7cf5c0b61fafbp-16, -0x1.7b655f386eeabp-16, -0x1.79cd40b353033p-16, -0x1.782d962d72aabp-16, -0x1.76869011b9fcep-16, -0x1.74d85e303a997p-16, -0x1.73232fbf1feap-16, -0x1.7167335bc31dap-16, -0x1.6fa4970b9781ep-16, -0x1.6ddb883d3dc57p-16, -0x1.6c0c33c993a05p-16, -0x1.6a36c5f4b2e96p-16, -0x1.685b6a6ed320ap-16, -0x1.667a4c55970f8p-16, -0x1.64939634f86a1p-16, -0x1.62a772085c822p-16, -0x1.60b6093bb1a09p-16, -0x1.5ebf84ac690f7p-16, -0x1.5cc40caaaac9bp-16, -0x1.5ac3c8fa503dap-16, -0x1.58bee0d40f573p-16, -0x1.56b57ae6776bbp-16, -0x1.54a7bd571c441p-16, -0x1.5295cdc3b657bp-16, -0x1.507fd1433b1a7p-16, -0x1.4e65ec66cfd1dp-16, -0x1.4c48433b1e6a8p-16, -0x1.4a26f9494e115p-16, -0x1.4802319827c11p-16, -0x1.45da0ead2f49p-16, -0x1.43aeb28db23c3p-16, -0x1.41803ebffd12ap-16, -0x1.3f4ed44c72be2p-16, -0x1.3d1a93be89967p-16, -0x1.3ae39d260a90ap-16, -0x1.38aa10181e052p-16, -0x1.366e0bb06beadp-16, -0x1.342fae922ac6fp-16, -0x1.31ef16e942c98p-16, -0x1.2fac626b68452p-16, -0x1.2d67ae592c0f3p-16, -0x1.2b21177f1e9d1p-16, -0x1.28d8ba36d8775p-16, -0x1.268eb268276d8p-16, -0x1.24431b8a1aa3ap-16, -0x1.21f610a41ae06p-16, -0x1.1fa7ac4ee9a25p-16, -0x1.1d5808b5cfc44p-16, -0x1.1b073f97aafc4p-16, -0x1.18b56a47f2b4ap-16, -0x1.1662a1afdc99cp-16, -0x1.140efe4f61737p-16, -0x1.11ba983e47c1bp-16, -0x1.0f65872d3d7b9p-16, -0x1.0d0fe266de597p-16, -0x1.0ab9c0d0bb8fdp-16, -0x1.086338ec666c7p-16, -0x1.060c60d88b862p-16, -0x1.03b54e51efa8ap-16, -0x1.015e16b464d38p-16, -0x1.fe0d9df7b5365p-17, -0x1.f95f178aefce9p-17, -0x1.f4b0c2a0fd4d6p-17, -0x1.f002c6fed9858p-17, -0x1.eb554bb1c84bep-17, -0x1.e6a8771155136p-17, -0x1.e1fc6ec163d42p-17, -0x1.dd5157b419982p-17, -0x1.d8a7562be06a5p-17, -0x1.d3fe8dbd5717dp-17, -0x1.cf5721512e35bp-17, -0x1.cab133261ac4p-17, -0x1.c60ce4d2e2c2bp-17, -0x1.c16a57480aa79p-17, -0x1.bcc9aad1dda03p-17, -0x1.b82aff1a533cdp-17, -0x1.b38e732acb507p-17, -0x1.aef4256dfad02p-17, -0x1.aa5c33b1d4609p-17, -0x1.a5c6bb2947175p-17, -0x1.a133d86e21446p-17, -0x1.9ca3a782cc51ep-17, -0x1.981643d419ef6p-17, -0x1.938bc83b0a085p-17, -0x1.8f044efea4e7ap-17, -0x1.8a7ff1d5a0089p-17, -0x1.85fec9e81cd8ep-17, -0x1.8180efd182dbep-17, -0x1.7d067ba214a19p-17, -0x1.788f84e0b89edp-17, -0x1.741c228cb67e5p-17, -0x1.6fac6b1f35081p-17, -0x1.6b40748d14457p-17, -0x1.66d854487e24ap-17, -0x1.62741f4284152p-17, -0x1.5e13e9ecdf3a8p-17, -0x1.59b7c83b6ce32p-17, -0x1.555fcda5cd95ap-17, -0x1.510c0d290e346p-17, -0x1.4cbc99493ccf8p-17, -0x1.48718412e33bfp-17, -0x1.442adf1ca3f78p-17, -0x1.3fe8bb88bc196p-17, -0x1.3bab2a068849ep-17, -0x1.37723ad416b23p-17, -0x1.333dfdbf97a21p-17, -0x1.2f0e8228ed563p-17, -0x1.2ae3d7030c302p-17, -0x1.26be0ad583db8p-17, -0x1.229d2bbdfac2bp-17, -0x1.1e814771914d2p-17, -0x1.1a6a6b3e476c5p-17, -0x1.1658a40c6b3cap-17, -0x1.124bfe60083ap-17, -0x1.0e44865a526b6p-17, -0x1.0a4247bae0d8ap-17, -0x1.06454de145d18p-17, -0x1.024da3ce4098dp-17, -0x1.fcb6a84a2224fp-18, -0x1.f4dcd259df84dp-18, -0x1.ed0dd9a44defep-18, -0x1.e549d14f0d87ap-18, -0x1.dd90cbcf8caep-18, -0x1.d5e2daed28335p-18, -0x1.ce400fc40c578p-18, -0x1.c6a87ac778ff3p-18, -0x1.bf1c2bc460b4p-18, -0x1.b79b31e3f454cp-18, -0x1.b0259bade5462p-18, -0x1.a8bb770acfb3ep-18, -0x1.a15cd146fb939p-18, }}, 
      {{-0x1.fa621fd662704p-1, -0x1.fa24f4bda0c9p-1, -0x1.f9b120ae31e34p-1, -0x1.f8fdb1cab5477p-1, -0x1.f806d15fabb1fp-1, -0x1.f6cd86c30e86ep-1, -0x1.f5568394753c1p-1, -0x1.f3a8bcd1cdeap-1, -0x1.f1cc2a6eab4d7p-1, -0x1.efc8cfa9a4fc1p-1, -0x1.eda611422fc3ap-1, -0x1.eb6a50a839395p-1, -0x1.e91abde39dd78p-1, -0x1.e6bb515248c2p-1, -0x1.e44ee00805c5dp-1, -0x1.e1d74022d8397p-1, -0x1.df557502f44c4p-1, -0x1.dcc9dda77065bp-1, -0x1.da3461568e068p-1, -0x1.d794982fc32aep-1, -0x1.d4e9ee5b0b34ep-1, -0x1.d233c14dd66adp-1, -0x1.cf717723d1b7ap-1, -0x1.cca2906007922p-1, -0x1.c9c6b49e4648fp-1, -0x1.c6ddbad73389p-1, -0x1.c3e7ade2a6c93p-1, -0x1.c0e4cde170e4dp-1, -0x1.bdd58f2dd3e1dp-1, -0x1.baba9763a9be3p-1, -0x1.b794b900a142fp-1, -0x1.b464ee0ba946ep-1, -0x1.b12c52218a485p-1, -0x1.adec1c348624cp-1, -0x1.aaa5983defb5p-1, -0x1.a75a21135c7c5p-1, -0x1.a40b1a854fe79p-1, -0x1.a0b9ebe320b87p-1, -0x1.9d67faf73a7e6p-1, -0x1.9a16a787b687dp-1, -0x1.96c747615f3adp-1, -0x1.937b22ee7f6e1p-1, -0x1.9033725721b1p-1, -0x1.8cf15b259bd53p-1, -0x1.89b5ee6823e48p-1, -0x1.86822746bff4fp-1, -0x1.8356ea03f30dap-1, -0x1.8035035e078e8p-1, -0x1.7d1d2846ad56fp-1, -0x1.7a0ff5e6c1c87p-1, -0x1.770df1e458d9fp-1, -0x1.74178ae1a5063p-1, -0x1.712d192bda16bp-1, -0x1.6e4edf91d5dap-1, -0x1.6b7d0c5afb029p-1, -0x1.68b7ba5766384p-1, -0x1.65fef2034695fp-1, -0x1.6352aab7dc673p-1, -0x1.60b2cbe53a3d4p-1, -0x1.5e1f2e5086f77p-1, -0x1.5b979d531124p-1, -0x1.591bd817041bap-1, -0x1.56ab92cf14ed1p-1, -0x1.544677e6e8b5dp-1, -0x1.51ec292a596b9p-1, -0x1.4f9c40e2202bap-1, -0x1.4d5652e4b6ec1p-1, -0x1.4b19ed9a8e64ep-1, -0x1.48e69af4f4264p-1, -0x1.46bbe15739957p-1, -0x1.44994471dcb48p-1, -0x1.427e460f9cef4p-1, -0x1.406a66d488ae9p-1, -0x1.3e5d26ef2a2ep-1, -0x1.3c5606bc18677p-1, -0x1.3a54875c3de32p-1, -0x1.38582b3e3badp-1, -0x1.3660769b59afp-1, -0x1.346cefe880776p-1, -0x1.327d203bbc65dp-1, -0x1.309093a6d3787p-1, -0x1.2ea6d98778092p-1, -0x1.2cbf84cda3066p-1, -0x1.2ada2c38a2d35p-1, -0x1.28f66a8b68b1ep-1, -0x1.2713deb89e964p-1, -0x1.25322c070bc11p-1, -0x1.2350fa2ecb67ep-1, -0x1.216ff56fd21b6p-1, -0x1.1f8ecea241763p-1, -0x1.1dad3b40fd87dp-1, -0x1.1bcaf56ef5ab2p-1, -0x1.19e7bbf790b7ep-1, -0x1.1803524aa1b57p-1, -0x1.161d80744956dp-1, -0x1.1436131124c84p-1, -0x1.124cdb3f1ee95p-1, -0x1.1061ae8b3cc9fp-1, -0x1.0e7466dcb4254p-1, -0x1.0c84e25d95834p-1, -0x1.0a93036153759p-1, -0x1.089eb04967951p-1, -0x1.06a7d36857009p-1, -0x1.04ae5ae34ab33p-1, -0x1.02b2389279b58p-1, -0x1.00b361e092055p-1, -0x1.fd639f52a753p-2, -0x1.f95afc2f0c5fp-2, -0x1.f54cd904eade3p-2, -0x1.f1393a963035p-2, -0x1.ed202b7206939p-2, -0x1.e901bbae98de3p-2, -0x1.e4de00a2ec21cp-2, -0x1.e0b514a1035cep-2, -0x1.dc8716b080a02p-2, -0x1.d8542a49ef11dp-2, -0x1.d41c7712dcf81p-2, -0x1.cfe0289aec0ddp-2, -0x1.cb9f6e19fb511p-2, -0x1.c75a7a2f7da4cp-2, -0x1.c31182a3246afp-2, -0x1.bec4c026ec29ap-2, -0x1.ba746e1a9e24p-2, -0x1.b620ca50e30dbp-2, -0x1.b1ca14d5e5f73p-2, -0x1.ad708fb7a2b75p-2, -0x1.a9147ecfdef15p-2, -0x1.a4b6278fdcab2p-2, -0x1.a055d0cdcad9fp-2, -0x1.9bf3c293f6f95p-2, -0x1.979045f1c6451p-2, -0x1.932ba4ce72311p-2, -0x1.8ec629bd91caep-2, -0x1.8a601fd564262p-2, -0x1.85f9d286e0a95p-2, -0x1.81938d778a281p-2, -0x1.7d2d9c5cfb1c3p-2, -0x1.78c84ada2c513p-2, -0x1.7463e45e6a917p-2, -0x1.7000b405fca76p-2, -0x1.6b9f047c6506fp-2, -0x1.673f1fe04a1e5p-2, -0x1.62e14fa8ea089p-2, -0x1.5e85dc8d1e796p-2, -0x1.5a2d0e6be25e9p-2, -0x1.55d72c3650dbp-2, -0x1.51847bdb129ddp-2, -0x1.4d35423332fbep-2, -0x1.48e9c2f04eb8ap-2, -0x1.44a2408c16c7fp-2, -0x1.405efc391812ep-2, -0x1.3c2035d4c2898p-2, -0x1.37e62bdaa08cdp-2, -0x1.33b11b58b7a75p-2, -0x1.2f813fe508069p-2, -0x1.2b56d3941d12dp-2, -0x1.27320ef0ab2fep-2, -0x1.231328f425fb6p-2, -0x1.1efa5700536e3p-2, -0x1.1ae7ccd9c2cf6p-2, -0x1.16dbbca328cabp-2, -0x1.12d656d99145cp-2, -0x1.0ed7ca515feabp-2, -0x1.0ae044341235cp-2, -0x1.06efeffec1b5ap-2, -0x1.0306f7815241dp-2, -0x1.fe4b05bc9cb5fp-3, -0x1.f6977116c3beap-3, -0x1.eef37aa4d814bp-3, -0x1.e75f68a647d1bp-3, -0x1.dfdb7e0a833e1p-3, -0x1.d867fa76565eap-3, -0x1.d1051a4a2d5c7p-3, -0x1.c9b316a93cbf2p-3, -0x1.c272258181279p-3, -0x1.bb4279948250fp-3, -0x1.b4244280cb44fp-3, -0x1.ad17accc17c2ap-3, -0x1.a61ce1ee172e2p-3, -0x1.9f34085bc96f2p-3, -0x1.985d43935dfd5p-3, -0x1.9198b4289359cp-3, -0x1.8ae677d188e17p-3, -0x1.8446a973f1615p-3, -0x1.7db96132a9103p-3, -0x1.773eb47b9c74dp-3, -0x1.70d6b615fbd2ep-3, -0x1.6a817630a986bp-3, -0x1.643f0270ec1c3p-3, -0x1.5e0f660146385p-3, -0x1.57f2a9a081872p-3, -0x1.51e8d3b0d40dp-3, -0x1.4bf1e8472603bp-3, -0x1.460de93a686ddp-3, -0x1.403cd632fc60ap-3, -0x1.3a7eacba1f951p-3, -0x1.34d3684960021p-3, -0x1.2f3b025a04e8dp-3, -0x1.29b5727478c1fp-3, -0x1.2442ae3f9d2ddp-3, -0x1.1ee2a99018bbep-3, -0x1.199556777edf7p-3, -0x1.145aa55371bcdp-3, -0x1.0f3284dc93947p-3, -0x1.0a1ce2356778bp-3, -0x1.0519a8f900c0dp-3, -0x1.0028c34994944p-3, -0x1.f69433bdb6295p-4, -0x1.ecfb28288e61dp-4, -0x1.e3862fee1defdp-4, -0x1.da3514a803911p-4, -0x1.d1079d8a4ff05p-4, -0x1.c7fd8f7e6ebf2p-4, -0x1.bf16ad3d86974p-4, -0x1.b652b76a79dcbp-4, -0x1.adb16cab6e3d3p-4, -0x1.a53289c2e1d5dp-4, -0x1.9cd5c9a83c682p-4, -0x1.949ae59ffa85dp-4, -0x1.8c819553419f2p-4, -0x1.84898ee71213ap-4, -0x1.7cb28712e65e5p-4, -0x1.74fc3136ddcb8p-4, -0x1.6d663f7163115p-4, -0x1.65f062b4524e2p-4, -0x1.5e9a4ad99f227p-4, -0x1.5763a6b777ba6p-4, -0x1.504c2433ea0f1p-4, -0x1.4953705803a12p-4, -0x1.4279376275876p-4, -0x1.3bbd24d9b2f69p-4, -0x1.351ee39d971b1p-4, -0x1.2e9e1df885121p-4, -0x1.283a7db00fba7p-4, -0x1.21f3ac152255dp-4, -0x1.1bc95213ac40fp-4, -0x1.15bb1841d4582p-4, -0x1.0fc8a6eeb244bp-4, -0x1.09f1a6308fcf3p-4, -0x1.0435bdf2b3cd6p-4, -0x1.fd292c057024dp-5, -0x1.f21bac3ad5d38p-5, -0x1.e7424bf6842e8p-5, -0x1.dc9c5ab8b5ed6p-5, -0x1.d22928281571p-5, -0x1.c7e8042810772p-5, -0x1.bdd83eee47cf5p-5, -0x1.b3f929173736dp-5, -0x1.aa4a13ba0c35ap-5, -0x1.a0ca507bb252bp-5, -0x1.977931a11b4dp-5, -0x1.8e560a20bcac3p-5, -0x1.85602db35fdafp-5, -0x1.7c96f0e4246dep-5, -0x1.73f9a91fda956p-5, -0x1.6b87acc39f914p-5, -0x1.6340532ada0d3p-5, -0x1.5b22f4bc7932ap-5, -0x1.532eeaf7a0a8cp-5, -0x1.4b63907fa123p-5, -0x1.43c0412761638p-5, -0x1.3c4459fc1fc1dp-5, -0x1.34ef394fa317p-5, -0x1.2dc03ec1db684p-5, -0x1.26b6cb49eeca6p-5, -0x1.1fd2413ebbfffp-5, -0x1.1912045ed926p-5, -0x1.127579d80b9f6p-5, -0x1.0bfc084e40a19p-5, -0x1.05a517e20c052p-5, -0x1.fee0246d55c54p-6, -0x1.f2b8c4ef2c98bp-6, -0x1.e6d2eabb41087p-6, -0x1.db2d72674ba76p-6, -0x1.cfc73bb5a913ap-6, -0x1.c49f299d1623bp-6, -0x1.b9b4224fabf8ap-6, -0x1.af050f4116531p-6, -0x1.a490dd2c12f39p-6, -0x1.9a567c173ab9p-6, -0x1.9054df591da3fp-6, -0x1.868afd9bbb987p-6, -0x1.7cf7d0df58764p-6, -0x1.739a567cae57fp-6, -0x1.6a718f269da32p-6, -0x1.617c7eeb30b1bp-6, -0x1.58ba2d342f982p-6, -0x1.5029a4c71e08dp-6, -0x1.47c9f3c4c4682p-6, -0x1.3f9a2ba8332c4p-6, -0x1.37996145592b9p-6, -0x1.2fc6acc724666p-6, -0x1.282129ad3cc81p-6, -0x1.20a7f6c9506d7p-6, -0x1.195a363c03bcap-6, -0x1.12370d717c278p-6, -0x1.0b3da51d9b6acp-6, -0x1.046d2937dc80cp-6, -0x1.fb8991edc38a4p-7, -0x1.ee876d976b5f6p-7, -0x1.e1d250b98e9c6p-7, -0x1.d568ad012ba1dp-7, -0x1.c948fa704ea17p-7, -0x1.bd71b75269fbap-7, -0x1.b1e168305051cp-7, -0x1.a69697c3a77cap-7, -0x1.9b8fd6ea0711ep-7, -0x1.90cbbc97aec3cp-7, -0x1.8648e5c9d6044p-7, -0x1.7c05f578b81a4p-7, -0x1.7201948943537p-7, -0x1.683a71be84a8dp-7, -0x1.5eaf41aac05ap-7, -0x1.555ebea064889p-7, -0x1.4c47a8a2aa333p-7, -0x1.4368c55606c28p-7, -0x1.3ac0dff06b0ffp-7, -0x1.324ec929615ap-7, -0x1.2a115729f88d9p-7, -0x1.2207657c8382cp-7, -0x1.1a2fd4fc4d3f5p-7, -0x1.12898bc51c3edp-7, -0x1.0b137522b6db8p-7, -0x1.03cc81802edb4p-7, -0x1.f9674cae85e16p-8, -0x1.eb8fbc3f2f69dp-8, -0x1.de10507be3c8dp-8, -0x1.d0e711e6cd3dap-8, -0x1.c41212990eda5p-8, -0x1.b78f6e211bb92p-8, -0x1.ab5d49610d10ap-8, -0x1.9f79d26cfe31fp-8, -0x1.93e340698bb5bp-8, -0x1.8897d36a363b2p-8, -0x1.7d95d4500fbeap-8, -0x1.72db94a8619efp-8, -0x1.68676e8b73d8bp-8, -0x1.5e37c47b8e865p-8, -0x1.544b014404616p-8, -0x1.4a9f97d87aa1p-8, -0x1.4134033450162p-8, -0x1.3806c63a4b7ebp-8, -0x1.2f166b9468cfp-8, -0x1.26618593d69d1p-8, -0x1.1de6ae114a3d8p-8, -0x1.15a4864d7f39ap-8, -0x1.0d99b6d1e3862p-8, -0x1.05c4ef51af407p-8, -0x1.fc49cd16107cp-9, -0x1.ed70b451437a3p-9, -0x1.defc1d46f7c8cp-9, -0x1.d0e99e49f7d86p-9, -0x1.c336dad28dfbap-9, -0x1.b5e18343ce338p-9, -0x1.a8e754b1a5043p-9, -0x1.9c4618a7444d8p-9, -0x1.8ffba4ee4dd9ap-9, -0x1.8405db5694cbp-9, -0x1.7862a97ea4a2ap-9, -0x1.6d10089cad0afp-9, -0x1.620bfd4846ef1p-9, -0x1.57549744d0714p-9, -0x1.4ce7f14c598e5p-9, -0x1.42c430db6c4efp-9, -0x1.38e785fd57026p-9, -0x1.2f502b1924fe2p-9, -0x1.25fc64bf59943p-9, -0x1.1cea817833d66p-9, -0x1.1418d992bf428p-9, -0x1.0b85cef489f18p-9, -0x1.032fcce9f2349p-9, -0x1.f62a8fee6613dp-10, -0x1.e6697b5438897p-10, -0x1.d71968d8f4b11p-10, -0x1.c83776ae0de23p-10, -0x1.b9c0d40a9075ap-10, -0x1.abb2c0d38eda7p-10, -0x1.9e0a8d466f6cep-10, -0x1.90c599a4638a5p-10, -0x1.83e155dee4fb1p-10, -0x1.775b4145e8353p-10, -0x1.6b30ea3723984p-10, -0x1.5f5fedceb9518p-10, -0x1.53e5f7991b609p-10, -0x1.48c0c14634fe5p-10, -0x1.3dee125defeb5p-10, -0x1.336bbff5bef36p-10, -0x1.2937ac67dd4bp-10, -0x1.1f4fc70b300d5p-10, -0x1.15b20bece7d65p-10, -0x1.0c5c838b05cb1p-10, -0x1.034d42903a0fdp-10, -0x1.f504d321de9bap-11, -0x1.e3f449930bc3cp-11, -0x1.d36557bb287f9p-11, -0x1.c35483310d3b5p-11, -0x1.b3be675e9c9b4p-11, -0x1.a49fb50637681p-11, -0x1.95f531cacb779p-11, -0x1.87bbb7b98c65ep-11, -0x1.79f034d69125fp-11, -0x1.6c8faaaac4eb6p-11, -0x1.5f972dd4c1df7p-11, -0x1.5303e59b6977ep-11, -0x1.46d30b8255018p-11, -0x1.3b01eae0ce3c5p-11, -0x1.2f8de07a5b0a2p-11, -0x1.24745a19b70f4p-11, -0x1.19b2d62d7f3f9p-11, -0x1.0f46e36697e62p-11, -0x1.052e205915901p-11, -0x1.f6cc763ce99eep-12, -0x1.e3d9e1f3fe2c7p-12, -0x1.d1801bfdc6958p-12, -0x1.bfbad9707534ap-12, -0x1.ae85eba557411p-12, -0x1.9ddd3f8f9fd5ap-12, -0x1.8dbcdd1728badp-12, -0x1.7e20e675c0a91p-12, -0x1.6f0597986edafp-12, -0x1.6067458413b5ap-12, -0x1.52425dbc86b3fp-12, -0x1.449365afaf08p-12, -0x1.3756fa2348c94p-12, -0x1.2a89cea5ed8d4p-12, -0x1.1e28ad02fce3ap-12, -0x1.123074b9acc4cp-12, -0x1.069e1a76d39b6p-12, -0x1.f6dd4f232ab16p-13, -0x1.e13e73165a71bp-13, -0x1.cc5a03223e563p-13, -0x1.b82a8804876c3p-13, -0x1.a4aaafed2b267p-13, -0x1.91d54d9302198p-13, -0x1.7fa5574da5b23p-13, -0x1.6e15e6345a73ep-13, -0x1.5d22354218c32p-13, -0x1.4cc5a07e66c67p-13, -0x1.3cfba42a89c3ep-13, -0x1.2dbfdbf44cefbp-13, -0x1.1f0e022c68dffp-13, -0x1.10e1ef025534ep-13, -0x1.033797c3f2be2p-13, -0x1.ec161c43ba8dep-14, -0x1.d2b0feef8403bp-14, -0x1.ba386831fe0fp-14, -0x1.a2a51d433220bp-14, -0x1.8bf01695e508fp-14, -0x1.76127e892be0fp-14, -0x1.6105b0212d582p-14, -0x1.4cc335c91d3b3p-14, -0x1.3944c8199a47ep-14, -0x1.26844caa0610fp-14, -0x1.147bd4e6409fcp-14, -0x1.03259cec25cf9p-14, -0x1.e4f814e1ce74fp-15, -0x1.c4f357564f7cfp-15, -0x1.a6326c8b145aap-15, -0x1.88ab0cad844f7p-15, -0x1.6c533abed055fp-15, -0x1.5121429f20231p-15, -0x1.370bb72217d32p-15, -0x1.1e09702faa257p-15, -0x1.061188f123d1fp-15, -0x1.de36bc13e5e5fp-16, -0x1.b23d17b2a1267p-16, -0x1.8825d992796e7p-16, -0x1.5fe12f4ebd04p-16, -0x1.395fbc0e4d5e2p-16, -0x1.1492955ea8d61p-16, -0x1.e2d6804426702p-17, -0x1.9fb75b1fa80e6p-17, -0x1.5fac709586a38p-17, -0x1.229b430e1fa8cp-17, -0x1.d0d4390509b23p-18, -0x1.6200123f5c194p-18, -0x1.f11347b7ae4edp-19, -0x1.2883dee2caabfp-19, -0x1.a7dae03e132e2p-21, 0x1.2bb29d950da3fp-21, 0x1.ecf82b9ddb287p-20, 0x1.990ad7d2a672fp-19, 0x1.1974d93ecb439p-18, 0x1.62337e7a7041dp-18, 0x1.a6e758d328fbfp-18, 0x1.e7b53f7eb6afbp-18, 0x1.126075f0bdb6bp-17, 0x1.2f1680c3d0566p-17, 0x1.4a0d8aeb588fbp-17, 0x1.6355dbd3b464fp-17, 0x1.7aff3b4a3f954p-17, 0x1.9118f5187445cp-17, 0x1.a5b1dc7a0c219p-17, 0x1.b8d84f8875568p-17, 0x1.ca9a3a83f1685p-17, 0x1.db051b0fbe7c9p-17, 0x1.ea26035377a51p-17, 0x1.f8099d098ae6bp-17, 0x1.025e163b9df72p-16, 0x1.0824c9a8ed62ap-16, 0x1.0d5ea9c854f7p-16, 0x1.12114914b7fdp-16, 0x1.16420cde805cep-16, 0x1.19f62e96f47ebp-16, 0x1.1d32bd161c4bp-16, 0x1.1ffc9dd345fe4p-16, 0x1.22588e1869608p-16, 0x1.244b242d430dp-16, 0x1.25d8d077bfb4p-16, 0x1.2705de976573ep-16, 0x1.27d6767755c18p-16, 0x1.284e9d5a16d6fp-16, 0x1.287236dcf57ecp-16, 0x1.284505f52e65dp-16, 0x1.27caade4b928p-16, 0x1.2706b32b54462p-16, 0x1.25fc7c6d62c9cp-16, 0x1.24af53562f0bap-16, 0x1.23226575619e2p-16, 0x1.2158c5126f5cfp-16, 0x1.1f5569fe9d09fp-16, 0x1.1d1b325e125dp-16, 0x1.1aace36c4b03p-16, 0x1.180d2a3bbb075p-16, 0x1.153e9c6f126a5p-16, 0x1.1243b8ed8f63p-16, 0x1.0f1ee89314e1fp-16, 0x1.0bd27ed9adcf6p-16, 0x1.0860ba8002775p-16, 0x1.04cbc62a6e605p-16, 0x1.0115b8ff59681p-16, 0x1.fa812e7d12693p-17, 0x1.f29ca5abb31bep-17, 0x1.ea8197e07ec77p-17, 0x1.e233a302b68fdp-17, 0x1.d9b6439a1962ep-17, 0x1.d10cd5d533e21p-17, 0x1.c83a968af72bfp-17, 0x1.bf42a42f64341p-17, 0x1.b627ffc8f555fp-17, 0x1.aced8dd7f6784p-17, 0x1.a396173af13a7p-17, 0x1.9a244a0b86c91p-17, 0x1.909aba74b66e5p-17, 0x1.86fbe382ffd65p-17, 0x1.7d4a27ef06c33p-17, 0x1.7387d2e16866bp-17, 0x1.69b718b1bc39ep-17, 0x1.5fda179f3e182p-17, 0x1.55f2d88375336p-17, 0x1.4c034f833bb1ap-17, 0x1.420d5cb4dabeap-17, 0x1.3812ccc6169e3p-17, 0x1.2e15599a6ee46p-17, 0x1.2416aae6f696bp-17, 0x1.1a1856c70dd1ap-17, 0x1.101be24f1a3ccp-17, 0x1.0622c2194f5dfp-17, 0x1.f85cb59d0304fp-18, 0x1.e48003569087cp-18, 0x1.d0b1fa02cb6ddp-18, 0x1.bcf5096911038p-18, 0x1.a94b856746e97p-18, 0x1.95b7a6de1c308p-18, 0x1.823b8c9403276p-18, 0x1.6ed93c14589d2p-18, 0x1.5b92a28505937p-18, 0x1.4869957840908p-18, 0x1.355fd3b4993dap-18, 0x1.227705fa46789p-18, 0x1.0fb0bfbfd23e3p-18, 0x1.fa1cffd832a6cp-19, 0x1.d523630e8d8dap-19, 0x1.b07758d20de4cp-19, 0x1.8c1b6bbe1a152p-19, 0x1.681202a11fcc9p-19, 0x1.445d61b6a38bfp-19, 0x1.20ffabda5092cp-19, 0x1.fbf5c75ebfbf1p-20, 0x1.b6a1d97f1c14ep-20, 0x1.720719207ae52p-20, 0x1.2e28d76427074p-20, 0x1.d6145b0de4172p-21, 0x1.515bfdc55dd77p-21, 0x1.9c5beb42125edp-22, 0x1.323cf4514ddd8p-23, -0x1.9bdc90f02c19dp-24, -0x1.63dc76cc8b561p-22, -0x1.2ec4dc00af3c5p-21, -0x1.a9fbe7b92d605p-21, -0x1.11c812de665bfp-20, -0x1.4dbf56c435f4fp-20, -0x1.88e271fc134eep-20, -0x1.c3303c2fd7014p-20, -0x1.fca7b0e1dcbb8p-20, -0x1.1aa3f70a7a56bp-19, -0x1.3688197fb5236p-19, -0x1.51ffef628674ep-19, -0x1.6d0b379ff9e83p-19, -0x1.87a9bfe8ebb61p-19, -0x1.a1db641dba6a7p-19, -0x1.bba00dc2354e2p-19, -0x1.d4f7b3736b94dp-19, -0x1.ede258627f528p-19, -0x1.033005eab56fbp-18, -0x1.0f3874544a03fp-18, -0x1.1b0a8a6b8f284p-18, -0x1.26a6608324e02p-18, -0x1.320c140a66235p-18, -0x1.3d3bc75670e2p-18, -0x1.4835a16e1e9aep-18, -0x1.52f9cdd671f6bp-18, -0x1.5d887c60cc5eep-18, -0x1.67e1e0fbd2b81p-18, -0x1.7206338514f5p-18, -0x1.7bf5af9c89bfp-18, -0x1.85b09478f9eddp-18, -0x1.8f3724be91f07p-18, -0x1.9889a655c1e62p-18, -0x1.a1a86244fa65ap-18, -0x1.aa93a48a9a449p-18, -0x1.b34bbbf8591f3p-18, -0x1.bbd0fa1056674p-18, -0x1.c423b2e2c461cp-18, -0x1.cc443ced00e87p-18, -0x1.d432f0f9c046ap-18, -0x1.dbf02a020d166p-18, -0x1.e37c450fdb5a2p-18, -0x1.ead7a1214c8f3p-18, -0x1.f2029f0c96066p-18, -0x1.f8fda165cd7b4p-18, -0x1.ffc90c6448b7fp-18, -0x1.0332a2e4fefep-17, -0x1.06695a65d096ep-17, -0x1.0988e0fc82f73p-17, -0x1.0c916b936eeecp-17, -0x1.0f832fac498d8p-17, -0x1.125e6355c7fc8p-17, -0x1.15233d2175598p-17, -0x1.17d1f419e1ebcp-17, -0x1.1a6abfb975eb7p-17, -0x1.1cedd7e11dce4p-17, -0x1.1f5b74cf7c763p-17, -0x1.21b3cf189d59ap-17, -0x1.23f71f9dc4ef5p-17, -0x1.26259f856ec93p-17, -0x1.283f8833eac9dp-17, -0x1.2a451343d80d6p-17, -0x1.2c367a7f47dcp-17, -0x1.2e13f7d8bc4b7p-17, -0x1.2fddc564cd9e2p-17, -0x1.31941d53c3874p-17, -0x1.333739eb6353p-17, -0x1.34c755815414ap-17, -0x1.3644aa7568504p-17, -0x1.37af732c2eb13p-17, -0x1.3907ea099c67p-17, -0x1.3a4e496c1bf6p-17, -0x1.3b82cba7c8b3dp-17, -0x1.3ca5ab0190c2bp-17, -0x1.3db721aaf6707p-17, -0x1.3eb769bdc7a3bp-17, -0x1.3fa6bd37c3fe7p-17, -0x1.408555f6c48f6p-17, -0x1.41536db4f5187p-17, -0x1.42113e0510121p-17, -0x1.42bf004eeb3e6p-17, -0x1.435cedcc40549p-17, -0x1.43eb3f85148ap-17, -0x1.446a2e4ce1146p-17, -0x1.44d9f2bf77118p-17, -0x1.453ac53e3f187p-17, -0x1.458cdded6759ap-17, -0x1.45d074b15ad0bp-17, -0x1.4605c12c318afp-17, -0x1.462cfabb561b9p-17, -0x1.464658753b346p-17, -0x1.4652112711d17p-17, -0x1.46505b52def19p-17, -0x1.46416d2d4ededp-17, -0x1.46257c9be444p-17, -0x1.45fcbf332f2f9p-17, -0x1.45c76a35291fdp-17, -0x1.4585b28f3f58cp-17, -0x1.4537ccd91260fp-17, -0x1.44dded52da69cp-17, -0x1.447847e403c72p-17, -0x1.44071019ddb4cp-17, -0x1.438a79264e01bp-17, -0x1.4302b5deaff82p-17, -0x1.426ff8ba9d81fp-17, -0x1.41d273d2e792bp-17, -0x1.412a58e09ad15p-17, -0x1.4077d93bf66c2p-17, -0x1.3fbb25dbb434ap-17, -0x1.3ef46f54183d5p-17, -0x1.3e23e5d62cda7p-17, -0x1.3d49b92f066bp-17, -0x1.3c6618c726b1fp-17, -0x1.3b7933a1ccb9dp-17, -0x1.3a83385c76717p-17, -0x1.3984552e44299p-17, -0x1.387cb7e77c5abp-17, -0x1.376c8df13acbap-17, -0x1.3654044ce5c97p-17, -0x1.35334793d71b7p-17, -0x1.340a83f718b61p-17, -0x1.32d9e53f22262p-17, -0x1.31a196cb7a753p-17, -0x1.3061c392a92cfp-17, -0x1.2f1a9621ed20fp-17, -0x1.2dcc389d1ebefp-17, -0x1.2c76d4be92cd3p-17, -0x1.2b1a93d70bdc6p-17, -0x1.29b79ecda2116p-17, -0x1.284e1e1fc4e02p-17, -0x1.26de39e145471p-17, -0x1.256819bc4a913p-17, -0x1.23ebe4f16bd8ap-17, -0x1.2269c257c4ebdp-17, -0x1.20e1d85d0c7f2p-17, -0x1.1f544d05c123fp-17, -0x1.1dc145ed3f302p-17, -0x1.1c28e845ff4a2p-17, -0x1.1a8b58d9b78ep-17, -0x1.18e8bc09950e6p-17, -0x1.174135ce985ap-17, -0x1.1594e9b9a49d4p-17, -0x1.13e3faf3dde2cp-17, -0x1.122e8c3f0ac92p-17, -0x1.1074bff5b3106p-17, -0x1.0eb6b80b8bd4dp-17, -0x1.0cf4960dd3379p-17, -0x1.0b2e7b23a9249p-17, -0x1.0964880e66a87p-17, -0x1.0796dd29fd7c9p-17, -0x1.05c59a6d6a4fdp-17, -0x1.03f0df6b11df9p-17, -0x1.0218cb51384bbp-17, -0x1.003d7cea6384bp-17, -0x1.fcbe253bc4f3ap-18, -0x1.f8fb54e055d59p-18, -0x1.f532c406bb1ep-18, -0x1.f164ad2f76365p-18, -0x1.ed914a184fa9dp-18, -0x1.e9b8d3bd673cep-18, -0x1.e5db825a1756bp-18, -0x1.e1f98d6a0561ep-18, -0x1.de132baa2d472p-18, -0x1.da28931a097p-18, -0x1.d639f8fc88101p-18, -0x1.d24791d93eaf3p-18, -0x1.ce51917d88f3ep-18, -0x1.ca582afdaa057p-18, -0x1.c65b90b5c99c9p-18, -0x1.c25bf44b371fp-18, -0x1.be5986ad9920ep-18, -0x1.ba54781827da8p-18, -0x1.b64cf812c06adp-18, -0x1.b24335731c6b4p-18, -0x1.ae375e5e0d428p-18, -0x1.aa29a048bd3b5p-18, -0x1.a61a27f9d20dcp-18, -0x1.a209218ab1fefp-18, -0x1.9df6b868cec46p-18, -0x1.99e31756e933p-18, -0x1.95ce686e2c936p-18, -0x1.91b8d51fa836fp-18, -0x1.8da2863559815p-18, -0x1.898ba3d396804p-18, -0x1.8574557a5ad3cp-18, -0x1.815cc20688c47p-18, -0x1.7d450fb311472p-18, -0x1.792d641a72781p-18, -0x1.7515e437ec966p-18, -0x1.70feb468c6468p-18, -0x1.6ce7f86d9dcd4p-18, -0x1.68d1d36bb0337p-18, -0x1.64bc67ee59c64p-18, -0x1.60a7d7e83cf33p-18, -0x1.5c9444b49741bp-18, -0x1.5881cf1869a0cp-18, -0x1.547097440064ap-18, -0x1.5060bcd4320fdp-18, -0x1.4c525ed3beacbp-18, -0x1.48459bbc94a43p-18, -0x1.443a917915493p-18, -0x1.40315d65739fep-18, -0x1.3c2a1c50fe19dp-18, -0x1.3824ea7f8695ap-18, -0x1.3421e3aa8206dp-18, -0x1.302123027964fp-18, -0x1.2c22c330731c4p-18, -0x1.2826de5733915p-18, -0x1.242d8e145cc7dp-18, -0x1.2036eb81ef2cap-18, -0x1.1c430f37829a4p-18, -0x1.1852114b9b9cbp-18, -0x1.1464095507e9ep-18, -0x1.10790e6c11a27p-18, -0x1.0c91372bd2916p-18, -0x1.08ac99b37b05fp-18, -0x1.04cb4ba7a30eep-18, -0x1.00ed62338f064p-18, -0x1.fa25e414f04d9p-19, -0x1.f2781ed1a19c3p-19, -0x1.ead19c2b46872p-19, -0x1.e33282c787a3dp-19, -0x1.db9af8661d64dp-19, -0x1.d40b21e34504ep-19, -0x1.cc83233a6ba1ep-19, -0x1.c5031f887e43bp-19, -0x1.bd8b390ec68a2p-19, -0x1.b61b91353a207p-19, -0x1.aeb4488cd6de3p-19, -0x1.a7557ed209dd3p-19, -0x1.9fff52ef5bbb7p-19, -0x1.98b1e2ffd2808p-19, -0x1.916d4c513fe94p-19, -0x1.8a31ab66be65p-19, -0x1.82ff1bfb4d33ep-19, -0x1.7bd5b9040a852p-19, -0x1.74b59cb2a6a82p-19, -0x1.6d9ee077917bbp-19, -0x1.66919d047d2fcp-19, -0x1.5f8dea4e98f7p-19, -0x1.5893df9138195p-19, -0x1.51a393500dcdp-19, -0x1.4abd1b5934077p-19, -0x1.43e08cc79607dp-19, -0x1.3d0dfc0570c9ep-19, -0x1.36457cce537f3p-19, -0x1.2f872231a531ep-19, -0x1.28d2fe94ab953p-19, -0x1.222923b4c3697p-19, -0x1.1b89a2a9cfa3bp-19, -0x1.14f48be8692b7p-19, -0x1.0e69ef43e63f8p-19, -0x1.07e9dbf09dcd5p-19, -0x1.01746085f371dp-19, -0x1.f6131600f19ccp-20, -0x1.e952d188f3063p-20, -0x1.dca80d3f58353p-20, -0x1.d012e19701d3p-20, -0x1.c39365de49abdp-20, -0x1.b729b0430153p-20, -0x1.aad5d5d6c3c9fp-20, -0x1.9e97ea933ded8p-20, -0x1.9270015e095d2p-20, -0x1.865e2c0c9afa5p-20, -0x1.7a627b685c11ep-20, -0x1.6e7cff3326aa9p-20, -0x1.62adc62a647f3p-20, -0x1.56f4de0b6668ep-20, -0x1.4b5253971a60ep-20, -0x1.3fc63295e1cadp-20, -0x1.345085db8dca8p-20, -0x1.28f1574b49276p-20, -0x1.1da8afdb3bdcp-20, -0x1.127697983c7b9p-20, -0x1.075b15a94636cp-20, -0x1.f8ac60a6fe738p-21, -0x1.e2cfd9fb97b89p-21, -0x1.cd20a068667cap-21, -0x1.b79ebb579ecacp-21, -0x1.a24a308ba961cp-21, -0x1.8d23042716d79p-21, -0x1.782938b3eb54ap-21, -0x1.635ccf299a59cp-21, -0x1.4ebdc6f3b44dp-21, -0x1.3a4c1df9a1cfep-21, -0x1.2607d0a476ef9p-21, -0x1.11f0d9e5cff76p-21, -0x1.fc0e667ef2d01p-22, -0x1.d495a9916529p-22, -0x1.ad776a6a412e7p-22, -0x1.86b393b5da485p-22, -0x1.604a0d72dd90ap-22, -0x1.3a3abcff36692p-22, -0x1.148585244d813p-22, -0x1.de548c4490bf7p-23, -0x1.9451bb795d93ap-23, -0x1.4b024e8fab17fp-23, -0x1.0265f7692824cp-23, -0x1.74f8c667fa53cp-24, -0x1.cd14ea2110a76p-25, -0x1.66010bd21d466p-26, 0x1.913484ed60615p-27, 0x1.78d59df01246ap-25, 0x1.454d49ecc64a8p-24, 0x1.cccedb9dc814bp-24, 0x1.297833254916fp-23, 0x1.6bd96a17622a3p-23, 0x1.ad8b8ba82cb6p-23, 0x1.ee8f14abfbf99p-23, 0x1.177242d9d27c9p-22, 0x1.3746317a6c98ep-22, 0x1.56c39a1c886ffp-22, 0x1.75eac264d363p-22, 0x1.94bbf1aa7febdp-22, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      28, 0x1.61eb851eb851fp+2, 0x1.cd93029a49e63p+0, 0x1.e542b4445a0d2p+1, -0x1.ba53284abb94cp-8, 
      {{
        {0x1.0b851eb851eb8p+2, 0x1.0cccccccccccdp+2, 0x1.14744e30ce0cap-6, -0x1.5cead16ce6117p-5, 0x1.3a8d9cc1bdb98p-5, -0x1.ad4ca5e8c58c5p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.06bf5fa40987ep-6, -0x1.5076c3865ef26p-5, 0x1.341d1a44a647ep-5, -0x1.aefc82482e428p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.cd3ac61e74295p-7, -0x1.3275ed4d66b9ep-5, 0x1.23f3a22ebe258p-5, -0x1.b10e6f7dda4eep-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.92cd86ec21133p-7, -0x1.1613d4a733f6p-5, 0x1.13b64acd3929p-5, -0x1.b31bddeeec014p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.5de3dc3f7eb7p-7, -0x1.f6a4e84c5655fp-6, 0x1.03653f4776b5cp-5, -0x1.b4d9843f597d6p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.2e2a3e2db01e2p-7, -0x1.c4673bd17b682p-6, 0x1.e606fb0a2d1b2p-6, -0x1.aa4bcfa1709b9p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.034d3164d59fp-7, -0x1.95662e0d8cc24p-6, 0x1.c60e184477dc7p-6, -0x1.9d4b1de8de5a9p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b9f5e14ce5bd1p-8, -0x1.698b21d17f0c1p-6, 0x1.a70edc6c9a629p-6, -0x1.90d1f75f31a69p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.75c83ad2b765cp-8, -0x1.40bda224c0c16p-6, 0x1.88ff1d1243763p-6, -0x1.84347f373f59dp-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.397787740bf02p-8, -0x1.1ae5995040f7ap-6, 0x1.6be19387b84f8p-6, -0x1.77a0c2597136bp-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.046eb475131fdp-8, -0x1.efd5b02db6e0bp-7, 0x1.4fb584f43637ep-6, -0x1.6b0a69f15f926p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.ac3b088a818f1p-9, -0x1.af6a6c24713b5p-7, 0x1.347b236882402p-6, -0x1.5e74c46835476p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.5bf11cfe99862p-9, -0x1.7459120dc31a4p-7, 0x1.1a32617a4b0e2p-6, -0x1.51deeeedafe4p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.16f27fd265f72p-9, -0x1.3e714e6e204aap-7, 0x1.00db42c211103p-6, -0x1.45492659b124cp-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.b87769d0cd99fp-10, -0x1.0d82cd86b49bbp-7, 0x1.d0eb8c90478e7p-7, -0x1.38b35a1cef9c4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.55a5d4f34814ap-10, -0x1.c2ba7754d441p-8, 0x1.a203d8a58a02dp-7, -0x1.2c1d8f9cbb758p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.038ff22b5b987p-10, -0x1.73a08a50f3c8ep-8, 0x1.74ff69813ab17p-7, -0x1.1f87c1d3012ddp-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.80d18e8a711ccp-11, -0x1.2d572c9a45813p-8, 0x1.49de3fa1941e4p-7, -0x1.12f1ff72f5bedp-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.14ed5d743f18ep-11, -0x1.defb6dd0f5db3p-9, 0x1.20a0595055a8p-7, -0x1.065c12b58739dp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.804d5ec1857e6p-12, -0x1.736702f8d5179p-9, 0x1.f28b79d09c589p-8, -0x1.f38d88082eaf2p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.fd5e2fdaf815bp-13, -0x1.172fcca645e0dp-9, 0x1.a79ca568fbbd2p-8, -0x1.da5e4f0020722p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.3e0290dc4d06dp-13, -0x1.9328e3beb7656p-10, 0x1.6074e65c2a12bp-8, -0x1.c14048748cb8fp-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.6e4a93e6299ep-14, -0x1.13a79403bf453p-10, 0x1.1d11a84aae90dp-8, -0x1.a7e2139c9518bp-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.77f9a7cf6f421p-15, -0x1.5cafe0033946cp-11, 0x1.baf9177ffd345p-9, -0x1.8f7365797d81fp-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.430528dd8004p-16, -0x1.86ee011508f96p-12, 0x1.432345db8ac11p-9, -0x1.7386cacf45eb9p-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.972aa2041d6p-18, -0x1.62015caaa0dc9p-13, 0x1.a75c120785246p-10, -0x1.64a25b8cb38e2p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.083c6f9fd78p-20, -0x1.93a3a556f66a2p-15, 0x1.a2c21c9966064p-11, -0x1.2336bdeca2351p-8}, 
        {0x1.6p+2, 0x1.61eb851eb851fp+2, 0x1.54a1a6d26505ap-26, -0x1.a61f56aaa97bfp-20, 0x1.1534e2c28d866p-13, -0x1.4a3ded66a72b7p-7}, 
      }}, 
      0x1.5e0d20a00ba7bp-2, -0x1.fbca3b5651dccp+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.c2b69dc2f8c3dp+0, -0x1.c0d6f72c58dcp+0, -0x1.bdc1a21d597ebp+0, -0x1.b983bc6401aecp+0, -0x1.b42d50f805107p+0, -0x1.add0694645702p+0, -0x1.a68056348f53fp+0, -0x1.9e5123bba3dfp+0, -0x1.95572cc2e05a4p+0, -0x1.8ba6c7781d49cp+0, -0x1.8154046e9203ep+0, -0x1.76727c588da56p+0, -0x1.6b152948db4aep+0, -0x1.5f4e492e191edp+0, -0x1.532f47c617fcbp+0, -0x1.46c8aeabf57cap+0, -0x1.3a2a1a6d0246ep+0, -0x1.2d6233c784b43p+0, -0x1.207eac5fe6244p+0, -0x1.138c3e58abb8p+0, -0x1.0696ae526235bp+0, -0x1.f3519ed7dc345p-1, -0x1.d99911d66cc32p-1, -0x1.c015ba84262b3p-1, -0x1.a6d7e45b58248p-1, -0x1.8dee336f37e63p-1, -0x1.7565b7cea7fc1p-1, -0x1.5d4a01e342298p-1, -0x1.45a5376d30e95p-1, -0x1.2e8029073d13ep-1, -0x1.17e26822d34cep-1, -0x1.01d25c5c6da95p-1, -0x1.d8aaafe584bc3p-2, -0x1.aedf5bc2a1041p-2, -0x1.86498d6a8eccdp-2, -0x1.5eee632b620c7p-2, -0x1.38d173e923048p-2, -0x1.13f4ef6221ea4p-2, -0x1.e0b3748158b15p-3, -0x1.9bff473e75a13p-3, -0x1.59cace5dc6061p-3, -0x1.1a11a5a218d53p-3, -0x1.b99bdf11b5dddp-4, -0x1.43f0678fc60dp-4, -0x1.a61f415253d37p-5, -0x1.9b985bdbc8e59p-6, 0x1.4332d5bf959ddp-13, 0x1.8e79785e1950bp-6, 0x1.8450fd00cddd1p-5, 0x1.1c595ffcdd772p-4, 0x1.724b4c9a9dd5ep-4, 0x1.c41949b53f5b4p-4, 0x1.08ef7782ee199p-3, 0x1.2ddc2244679f5p-3, 0x1.50e0d2692b4c6p-3, 0x1.720bd13a6bf26p-3, 0x1.916b785d98b5fp-3, 0x1.af0e2769a7154p-3, 0x1.cb023a7228aa4p-3, 0x1.e556013989ea6p-3, 0x1.fe17b6d16410bp-3, 0x1.0aaabcca77974p-2, 0x1.158ea1c1de52dp-2, 0x1.1fbe7187dd954p-2, 0x1.2940fa39268c6p-2, 0x1.321cedca9b4ddp-2, 0x1.3a58df49d08dap-2, 0x1.41fb4069a1e16p-2, 0x1.490a5f59e397ap-2, 0x1.4f8c64e90a975p-2, 0x1.558752eeeb4bp-2, 0x1.5b0102ff3d63dp-2, 0x1.5fff2561bf21cp-2, 0x1.6487404c99ad3p-2, 0x1.689eaf5c69a15p-2, 0x1.6c4aa34452e53p-2, 0x1.6f9021b03918cp-2, 0x1.72740552ee9bdp-2, 0x1.74fafe1aab4f5p-2, 0x1.77299187151eap-2, 0x1.79041b1bdd911p-2, 0x1.7a8ecced2158ap-2, 0x1.7bcdb0427238ep-2, 0x1.7cc4a64d9972p-2, 0x1.7d7768f30c28fp-2, 0x1.7de98ba17d366p-2, 0x1.7e1e7c368bfcep-2, 0x1.7e1983f2ca431p-2, 0x1.7dddc86e9367p-2, 0x1.7d6e4ca01a68cp-2, 0x1.7ccdf1de9c1fbp-2, 0x1.7bff78ee65974p-2, 0x1.7b05830cd8394p-2, 0x1.79e292fcf4fdp-2, 0x1.78990e12d9fcfp-2, 0x1.772b3d420a4a4p-2, 0x1.759b4e20497dap-2, 0x1.73eb53ef14173p-2, 0x1.721d489c6d0dap-2, 0x1.70330dbf1c1f7p-2, 0x1.6e2e6d8ef664ap-2, 0x1.6c111bd9b743fp-2, 0x1.69dcb6f2d760cp-2, 0x1.6792c89891a4cp-2, 0x1.6534c6d9104fap-2, 0x1.62c414ef77fd9p-2, 0x1.6042041902578p-2, 0x1.5dafd4676ff21p-2, 0x1.5b0eb58759271p-2, 0x1.585fc78438317p-2, 0x1.55a41b86e6b74p-2, 0x1.52dcb486e76ep-2, 0x1.500a87fcb48c8p-2, 0x1.4d2e7e89c6017p-2, 0x1.4a4974962688ep-2, 0x1.475c3af18eca9p-2, 0x1.44679765ddc75p-2, 0x1.416c4542f1d31p-2, 0x1.3e6af5edd02f3p-2, 0x1.3b64515f44672p-2, 0x1.3858f69f3f205p-2, 0x1.35497c42cde5dp-2, 0x1.323670d933a23p-2, 0x1.2f205b57ec75ep-2, 0x1.2c07bb883dd11p-2, 0x1.28ed0a64f4d59p-2, 0x1.25d0ba77b09cp-2, 0x1.22b3383789ae3p-2, 0x1.1f94ea59ac57ep-2, 0x1.1c76322087afap-2, 0x1.19576baced9bp-2, 0x1.1638ee43a604p-2, 0x1.131b0c8f9d715p-2, 0x1.0ffe14e69be3fp-2, 0x1.0ce2518530c9cp-2, 0x1.09c808c5ae0eep-2, 0x1.06af7d59da134p-2, 0x1.0398ee7e72c5p-2, 0x1.008498281d284p-2, 0x1.fae566664705dp-3, 0x1.f4c6eb217d39ap-3, 0x1.eeae24d77bb8ep-3, 0x1.e89b749b56d3cp-3, 0x1.e28f368d9d961p-3, 0x1.dc89c21dd640ep-3, 0x1.d68b6a40b05ep-3, 0x1.d0947daf0c4ddp-3, 0x1.caa54725bb8c8p-3, 0x1.c4be0d9425645p-3, 0x1.bedf14452c09dp-3, 0x1.b9089b13220f7p-3, 0x1.b33ade9aaf2b6p-3, 0x1.ad76185cfdb11p-3, 0x1.a7ba7edd31372p-3, 0x1.a20845c958046p-3, 0x1.9c5f9e24c19b8p-3, 0x1.96c0b66312ee3p-3, 0x1.912bba7b9402dp-3, 0x1.8ba0d406acc26p-3, 0x1.86202a624f12ap-3, 0x1.80a9e2cb032fap-3, 0x1.7b3e2067ee4dcp-3, 0x1.75dd045bdd76ap-3, 0x1.7086ade2f55c2p-3, 0x1.6b3b3a6d6f76ap-3, 0x1.65fac5aa65c11p-3, 0x1.60c5698d87c06p-3, 0x1.5b9b3e6188bd6p-3, 0x1.567c5ae37893bp-3, 0x1.5168d45383cacp-3, 0x1.4c60be767cc4ep-3, 0x1.47642b99efd7ep-3, 0x1.42732ca7be5a5p-3, 0x1.3d8dd13dc6bf7p-3, 0x1.38b427b6f5e15p-3, 0x1.33e63d27e9dd5p-3, 0x1.2f241d6283feap-3, 0x1.2a6dd3091bff8p-3, 0x1.25c367a2d590bp-3, 0x1.2124e3a0b54a7p-3, 0x1.1c924e57fd3c5p-3, 0x1.180bae0450ec4p-3, 0x1.139107d8b929dp-3, 0x1.0f22601215cc4p-3, 0x1.0abfb9fbce5d5p-3, 0x1.066917e9bd30cp-3, 0x1.021e7b37778d6p-3, 0x1.fbbfc8aabf6c4p-4, 0x1.f35aa5b3ffa37p-4, 0x1.eb0d8b1259bbcp-4, 0x1.e2d8749f4fa44p-4, 0x1.dabb5c7ea5127p-4, 0x1.d2b63b2cf2cf8p-4, 0x1.cac9079e09fc7p-4, 0x1.c2f3b7526859ap-4, 0x1.bb363e573d8ddp-4, 0x1.b3908f3ce6a1cp-4, 0x1.ac029b18efb16p-4, 0x1.a48c519a5d221p-4, 0x1.9d2da12291493p-4, 0x1.95e676d137421p-4, 0x1.8eb6be80ec7a5p-4, 0x1.879e62c1fcc7ep-4, 0x1.809d4ce0e2fbdp-4, 0x1.79b364f9467bep-4, 0x1.72e0920968653p-4, 0x1.6c24b9fab9841p-4, 0x1.657fc1a01e79ep-4, 0x1.5ef18cb3d896p-4, 0x1.5879fdde29c44p-4, 0x1.5218f6c4caf8p-4, 0x1.4bce581afb4a9p-4, 0x1.459a01aa45452p-4, 0x1.3f7bd253b5bbfp-4, 0x1.3973a80fb2d07p-4, 0x1.33815ff2f327ap-4, 0x1.2da4d639ffb9dp-4, 0x1.27dde656ccc9dp-4, 0x1.222c6afaa5536p-4, 0x1.1c903e1a90c5p-4, 0x1.170938f1017a9p-4, 0x1.1197340147b13p-4, 0x1.0c3a071f489a4p-4, 0x1.06f1897a47a0ap-4, 0x1.01bd91a72d24bp-4, 0x1.f93beb4f392f6p-5, 0x1.ef2515dbfe82cp-5, 0x1.e5364cc18ad54p-5, 0x1.db6f38bebf5f8p-5, 0x1.d1cf81938f9edp-5, 0x1.c856ce12ea8efp-5, 0x1.bf04c43341f06p-5, 0x1.b5d9091b09988p-5, 0x1.acd34129c6182p-5, 0x1.a3f31000440e3p-5, 0x1.9b38188aae55bp-5, 0x1.92a1fd0d9364p-5, 0x1.8a305f34a10c7p-5, 0x1.81e2e020a0831p-5, 0x1.79b920739437p-5, 0x1.71b2c05a29578p-5, 0x1.69cf5f949c417p-5, 0x1.620e9d7ff4e32p-5, 0x1.5a701920cd30ep-5, 0x1.52f3712f6525ap-5, 0x1.4b984423d3f78p-5, 0x1.445e304127368p-5, 0x1.3d44d39eff3ddp-5, 0x1.364bcc320c8a9p-5, 0x1.2f72b7d450e84p-5, 0x1.28b9344e0b42p-5, 0x1.221edf5f99644p-5, 0x1.1ba356cbf6506p-5, 0x1.15463862ea1a2p-5, 0x1.0f07220a17da4p-5, 0x1.08e5b1c49bf35p-5, 0x1.02e185b9c6583p-5, 0x1.f9f47877c0298p-6, 0x1.ee5ee79fda383p-6, 0x1.e301966d74762p-6, 0x1.d7dbc2ed73251p-6, 0x1.ccecabcab58e2p-6, 0x1.c233905d0efdfp-6, 0x1.b7afb0b365bedp-6, 0x1.ad604d9a68182p-6, 0x1.a344a8a3441e3p-6, 0x1.995c042e877bbp-6, 0x1.8fa5a37d4c15bp-6, 0x1.8620cac78e353p-6, 0x1.7cccbf52eda77p-6, 0x1.73a8c7838addp-6, 0x1.6ab42ae2758adp-6, 0x1.61ee3219de0ecp-6, 0x1.595626ecb81d7p-6, 0x1.50eb5433360a1p-6, 0x1.48ad05e471884p-6, 0x1.409a893022aaep-6, 0x1.38b32ca2f4878p-6, 0x1.30f64049431dep-6, 0x1.296315c20c746p-6, 0x1.21f900392808cp-6, 0x1.1ab7544aa047bp-6, 0x1.139d67dd00e22p-6, 0x1.0caa92072a4a7p-6, 0x1.05de2b14383c9p-6, 0x1.fe6f1958aca16p-7, 0x1.f16c2430c46cbp-7, 0x1.e4b2310ec9665p-7, 0x1.d83ffe6f07879p-7, 0x1.cc144ed9098d7p-7, 0x1.c02de86395688p-7, 0x1.b48b93fbaf7b2p-7, 0x1.a92c1cbd248d9p-7, 0x1.9e0e4faf32de8p-7, 0x1.9330fc16442c2p-7, 0x1.8892f45058fe2p-7, 0x1.7e330ef1e3c68p-7, 0x1.741027b22426bp-7, 0x1.6a291fbb990d1p-7, 0x1.607cdd29c5678p-7, 0x1.570a49d094947p-7, 0x1.4dd051ba9142ap-7, 0x1.44cde1f6fd9dcp-7, 0x1.3c01e841e4a02p-7, 0x1.336b53c57be47p-7, 0x1.2b0916c7f2e3ap-7, 0x1.22da28b3795cep-7, 0x1.1add87b245dbep-7, 0x1.1312392f7a308p-7, 0x1.0b7748ec82ec9p-7, 0x1.040bc6e1cd89ep-7, 0x1.f99d893d88592p-8, 0x1.eb7ea63cb3184p-8, 0x1.ddb903da5e5f4p-8, 0x1.d04ac01ea9c91p-8, 0x1.c331fce5ba9f8p-8, 0x1.b66ce648f5555p-8, 0x1.a9f9b8475780bp-8, 0x1.9dd6c18b9f7a4p-8, 0x1.92026227933bcp-8, 0x1.867b06683f6bcp-8, 0x1.7b3f1f6ee96bfp-8, 0x1.704d1bf484a23p-8, 0x1.65a363d7369d4p-8, 0x1.5b40580a0fd7ep-8, 0x1.5122571acef64p-8, 0x1.4747c4e816aa2p-8, 0x1.3daf12fb21828p-8, 0x1.3456c6b0c97b3p-8, 0x1.2b3d7b12f9fc5p-8, 0x1.2261ddb330f92p-8, 0x1.19c2a78094f96p-8, 0x1.115e93e429ff5p-8, 0x1.093458f937451p-8, 0x1.0142a35aaad2bp-8, 0x1.f3102db04e447p-9, 0x1.e406a7a34a5f2p-9, 0x1.d565fee7d57ap-9, 0x1.c72b983bdf3f7p-9, 0x1.b954fe68ec475p-9, 0x1.abdfe537fb122p-9, 0x1.9eca23309d173p-9, 0x1.9211a4a115487p-9, 0x1.85b45c4921aa2p-9, 0x1.79b036486463cp-9, 0x1.6e0310e5724dcp-9, 0x1.62aabcecacaa1p-9, 0x1.57a505376245cp-9, 0x1.4cefbac6ba9fp-9, 0x1.4288c15b1923p-9, 0x1.386e1840707a2p-9, 0x1.2e9ddc882392bp-9, 0x1.2516448b81bcp-9, 0x1.1bd59714f584bp-9, 0x1.12da21c0f43f6p-9, 0x1.0a2231b8fcc8fp-9, 0x1.01ac10800da7bp-9, 0x1.f2ec0a20ce87ap-10, 0x1.e2fcb0f2645fdp-10, 0x1.d386b8c188b58p-10, 0x1.c486e26d52acp-10, 0x1.b5fa13b432356p-10, 0x1.a7dd56ce762f4p-10, 0x1.9a2dd2f0ef503p-10, 0x1.8ce8c0feb1934p-10, 0x1.800b6053de422p-10, 0x1.7392ee7603dd4p-10, 0x1.677ca3498221ep-10, 0x1.5bc5b349fdba3p-10, 0x1.506b58fc2cf58p-10, 0x1.456ae43c79d7dp-10, 0x1.3ac1c9c97d689p-10, 0x1.306da8471ebe8p-10, 0x1.266c42d031816p-10, 0x1.1cbb6f16e0ce7p-10, 0x1.135909091ba75p-10, 0x1.0a42f03a00bf5p-10, 0x1.01770ed2b763bp-10, 0x1.f1e6be4a74272p-11, 0x1.e16bcbe19668fp-11, 0x1.d1794512bdd0dp-11, 0x1.c20b041e2556dp-11, 0x1.b31cc855b6579p-11, 0x1.a4aa650df9a7p-11, 0x1.96aff53ff309dp-11, 0x1.8929e939b772dp-11, 0x1.7c14e21cec34fp-11, 0x1.6f6d7d25ce8d7p-11, 0x1.633042d2b4837p-11, 0x1.5759cfd5efc8ap-11, 0x1.4be718dccb6c3p-11, 0x1.40d58ee035183p-11, 0x1.362301039d45p-11, 0x1.2bcd4e419d571p-11, 0x1.21d21c71122afp-11, 0x1.182ebe3ba3c6cp-11, 0x1.0ee04767d28f5p-11, 0x1.05e3aedd5fcdap-11, 0x1.fa6bbd9b7c45bp-12, 0x1.e9a75d9cfe80dp-12, 0x1.d973c35718336p-12, 0x1.c9ca8cd3802d6p-12, 0x1.baa5ff42e2b8dp-12, 0x1.ac0195e625b35p-12, 0x1.9dda2532f9968p-12, 0x1.902d6b35e327cp-12, 0x1.82f962fae9645p-12, 0x1.763be24fccd4ap-12, 0x1.69f2a7ee94584p-12, 0x1.5e1b797fc0bddp-12, 0x1.52b3e314cd154p-12, 0x1.47b89239fb091p-12, 0x1.3d24b31217b82p-12, 0x1.32f1dadf1e6d2p-12, 0x1.2918ce3ab8c3p-12, 0x1.1f92e9d8e04c4p-12, 0x1.165b79575a717p-12, 0x1.0d702e997875bp-12, 0x1.04d05fa7d8291p-12, 0x1.f8f71c1b450bbp-13, 0x1.e8e0bb94050c4p-13, 0x1.d959885438937p-13, 0x1.ca5e11007dc14p-13, 0x1.bbecece188261p-13, 0x1.ae061ad54dcfbp-13, 0x1.a0a8cb4bd584cp-13, 0x1.93d13591b8325p-13, 0x1.8777d7a4571ebp-13, 0x1.7b9232c075ce1p-13, 0x1.7014761abef99p-13, 0x1.64f3edf2eed61p-13, 0x1.5a29b2f95084ap-13, 0x1.4fb3dc5bbb42bp-13, 0x1.4593b83b807e2p-13, 0x1.3bca31d9af128p-13, 0x1.325595c93f265p-13, 0x1.29324bb17e858p-13, 0x1.205d3416a45cfp-13, 0x1.17d5736cb2166p-13, 0x1.0f9be04fffd1ep-13, 0x1.07b05ab81d205p-13, 0x1.00101476974e4p-13, 0x1.f16d00933ef48p-14, 0x1.e33dfde762251p-14, 0x1.d58a701ab70e4p-14, 0x1.c848fbee91098p-14, 0x1.bb6f6ac459122p-14, 0x1.aef4b24ec8d15p-14, 0x1.a2d3ca36ea25ep-14, 0x1.970c4f4e78cf2p-14, 0x1.8b9f9e11065b7p-14, 0x1.808d02bb3a37fp-14, 0x1.75d1209074b0ep-14, 0x1.6b68ff983687fp-14, 0x1.6153b15ebfc8cp-14, 0x1.57904b5fe4bddp-14, 0x1.4e1bd9c66604ap-14, 0x1.44f18a3334a57p-14, 0x1.3c0c799909a0ap-14, 0x1.33694f4a70b5dp-14, 0x1.2b06120ce6b2dp-14, 0x1.22e0af234b274p-14, 0x1.1af5945371ed3p-14, 0x1.133fc7ecf00bbp-14, 0x1.0bbb814b7400fp-14, 0x1.0467bfb44c103p-14, 0x1.fa868b5650c32p-15, 0x1.ec94cc8b6bc66p-15, 0x1.def602763831p-15, 0x1.d1ae3505b7bbfp-15, 0x1.c4bf248e16c42p-15, 0x1.b821c8477be79p-15, 0x1.abce87f3e8d7cp-15, 0x1.9fc3032566628p-15, 0x1.93fe0eaacc179p-15, 0x1.887cf24bfba82p-15, 0x1.7d3d5f4c9d792p-15, 0x1.723e109146459p-15, 0x1.677ca69515c03p-15, 0x1.5cf31eba9fa27p-15, 0x1.529a050161359p-15, 0x1.4871509715d6ep-15, 0x1.3e7f3ef9d3747p-15, 0x1.34c36ec7b7625p-15, 0x1.2b3765cfcae33p-15, 0x1.21d7b90c3bbeep-15, 0x1.18a2226d71599p-15, 0x1.0f94cab9f51c1p-15, 0x1.06afb95f8f702p-15, 0x1.fbe20081d4a67p-16, 0x1.eaab338243d25p-16, 0x1.d9bbc6d4f7edep-16, 0x1.c916751545d3p-16, 0x1.b8b988e6df469p-16, 0x1.a8a1eef2fc3a7p-16, 0x1.98cd981a88a5ap-16, 0x1.893941d09b26bp-16, 0x1.79dcc9fc78b1fp-16, 0x1.6ab40cc25fb1bp-16, 0x1.5bc54b7d9da5cp-16, 0x1.4d0f858910ca3p-16, 0x1.3e8e3c1f6435fp-16, 0x1.30466763f3bcep-16, 0x1.223963b6094d3p-16, 0x1.14623764239b5p-16, 0x1.06bae751d5717p-16, 0x1.f27dfb07089e2p-17, 0x1.d7e07b0ff3169p-17, 0x1.bda2bd8e4d7b3p-17, 0x1.a3bee881f571ap-17, 0x1.8a3390ac5292dp-17, 0x1.71067245cd0dcp-17, 0x1.583665b96fca6p-17, 0x1.3fbef61b3352bp-17, 0x1.279f08a92cdc8p-17, 0x1.0fd313ed9e378p-17, 0x1.f0ac30b4b871p-18, 0x1.c2584f907557fp-18, 0x1.94a3dd99404c7p-18, 0x1.678f7b0bc2462p-18, 0x1.3b252ccbb5f22p-18, 0x1.0f5d128419417p-18, 0x1.c8621efead0b4p-19, 0x1.7342e760d1da7p-19, 0x1.1f5fdaadd6aecp-19, 0x1.99796f9cc3fdp-20, 0x1.ed5cf3214a7dfp-21, 0x1.590c2b739cfafp-22, -0x1.1f29e79f8a243p-22, -0x1.c6ea5d4fefc78p-21, -0x1.7cc9c66e3f197p-20, -0x1.09d8f0637e9e1p-19, -0x1.54154512becp-19, -0x1.9d1d1bbba43dcp-19, -0x1.e4f25ed920fe2p-19, -0x1.15d0396cf1158p-18, -0x1.38932fa2d405dp-18, -0x1.5ac2acb2a6c27p-18, -0x1.7c5822eef3001p-18, -0x1.9d55d344a2bdcp-18, -0x1.bdbf0e47b19b5p-18, -0x1.dd93baa5915cp-18, -0x1.fcd3732e7a246p-18, -0x1.0dbf1e7776776p-17, -0x1.1cca24048cb7fp-17, -0x1.2b8ae000beb85p-17, -0x1.3a0165206b821p-17, -0x1.482d865a56fc9p-17, -0x1.560ea46072d5ap-17, -0x1.63a5813ab58cep-17, -0x1.70f369c47436cp-17, -0x1.7df8a518cb231p-17, -0x1.8ab4ca11e49a7p-17, -0x1.9725ce32a85e3p-17, -0x1.a34c939d9cd4p-17, -0x1.af2ba30dea086p-17, -0x1.bac31311de9cep-17, -0x1.c6113943c29b9p-17, -0x1.d11678750240bp-17, -0x1.dbd3cde03f2d6p-17, -0x1.e64951176fb38p-17, -0x1.f0771c1ae8b0ep-17, -0x1.fa5d67bc7df66p-17, -0x1.01fe3c70facbbp-16, -0x1.06aa4b6cb4ebep-16, -0x1.0b3304b64bc7bp-16, -0x1.0f988dd835a85p-16, -0x1.13db10901f15ap-16, -0x1.17fabc43af97p-16, -0x1.1bf7c62a7f53dp-16, -0x1.1fd26456dbebfp-16, -0x1.238aa3b48577ep-16, -0x1.2720780c9d85cp-16, -0x1.2a947b74946b1p-16, -0x1.2de6daaf01f4ep-16, -0x1.31178565a6a05p-16, -0x1.342719d7e1fcbp-16, -0x1.37158a86bba9p-16, -0x1.39e31392d0ce8p-16, -0x1.3c9026ea39693p-16, -0x1.3f1cec883d34cp-16, -0x1.41899862b407bp-16, -0x1.43d66a64fd6fep-16, -0x1.4603a6dd448fbp-16, -0x1.4811941895ca8p-16, -0x1.4a0079948f6f4p-16, -0x1.4bd09f5b43d19p-16, -0x1.4d824d80d3e34p-16, -0x1.4f15cc9af89f9p-16, -0x1.508b67b1b9a39p-16, -0x1.51e36e3e5cd86p-16, -0x1.531e33c1b7b4bp-16, -0x1.543c0b12aa96ap-16, -0x1.553d4151905ddp-16, -0x1.56222adcf2aafp-16, -0x1.56eb286458825p-16, -0x1.579836641886ap-16, -0x1.5829da24c3809p-16, -0x1.58a0bed58d354p-16, -0x1.58fcdec7bfbf7p-16, -0x1.593e9358554bfp-16, -0x1.5966675444d65p-16, -0x1.5974a7e0af56fp-16, -0x1.5969a30f4f39ep-16, -0x1.5945b13eb1d03p-16, -0x1.59092e56aa9c3p-16, -0x1.58b4773ef673p-16, -0x1.5847e93f0fd53p-16, -0x1.57c3e1c8c1ae9p-16, -0x1.5728be5316ca8p-16, -0x1.5676dc83768fbp-16, -0x1.55ae9af2c5184p-16, -0x1.54d059d3d168dp-16, -0x1.53dc7a87d0285p-16, -0x1.52d35e1a4f961p-16, -0x1.51b562076c3f7p-16, -0x1.5082e08c16623p-16, -0x1.4f3c41bfb20d9p-16, -0x1.4de1f49ee378dp-16, -0x1.4c742e4babfa1p-16, -0x1.4af37c1d189b5p-16, -0x1.49601612e058ap-16, -0x1.47ba8ee554ecap-16, -0x1.460316ef92f99p-16, -0x1.443a36e333ff6p-16, -0x1.42602539d713ep-16, -0x1.40755bfbf42adp-16, -0x1.3e7a46f4d5334p-16, -0x1.3c6f3a3aa0c0ap-16, -0x1.3a5492d563de3p-16, -0x1.382ab07c11575p-16, -0x1.35f1f2cb16b2ep-16, -0x1.33aab8b360c6dp-16, -0x1.3155606616214p-16, -0x1.2ef247b29d272p-16, -0x1.2c81cc8d82669p-16, -0x1.2a044d1e2dcb8p-16, -0x1.277a27703d02bp-16, -0x1.24e3b8684ae12p-16, -0x1.224158ecbddfcp-16, -0x1.1f93605d954e3p-16, -0x1.1cda3309edabp-16, -0x1.1a1636ac8f4f1p-16, -0x1.1747a25cf7891p-16, -0x1.146ecef7f8b37p-16, -0x1.118c37b796b78p-16, -0x1.0ea02abf6af14p-16, -0x1.0baaf69957beep-16, -0x1.08acef4d9a9dcp-16, -0x1.05a67172f56acp-16, }}, 
      {{-0x1.c3215f1a4adcdp+0, -0x1.c27f5d115389cp+0, -0x1.c173812289df7p+0, -0x1.c000aacbc3752p+0, -0x1.be2a729a6de5dp+0, -0x1.bbf4faa5ae45cp+0, -0x1.b964c83872a7ep+0, -0x1.b67ea50a6c39cp+0, -0x1.b3478698aeb7bp+0, -0x1.afc47a66df994p+0, -0x1.abfa962af4f0ap+0, -0x1.a7eeeb196b929p+0, -0x1.a3a67bb386d5fp+0, -0x1.9f26339c2f74cp+0, -0x1.9a72e112dcd5fp+0, -0x1.95912fc8c4448p+0, -0x1.9085a4d45d4a9p+0, -0x1.8b549b9368212p+0, -0x1.860243550013dp+0, -0x1.80929dac85e48p+0, -0x1.7b097d53c04d3p+0, -0x1.756a85870a6d4p+0, -0x1.6fb929c9bf5c9p+0, -0x1.69f8ae03f0979p+0, -0x1.642c26ec83a14p+0, -0x1.5e567ab4b4cf9p+0, -0x1.587a61eb42aap+0, -0x1.529a688ed5b57p+0, -0x1.4cb8ef482ed4bp+0, -0x1.46d82cc560332p+0, -0x1.40fa2f2fb9d9dp+0, -0x1.3b20ddb7133cfp+0, -0x1.354dfa2e7f4e5p+0, -0x1.2f8322b452ep+0, -0x1.29c1d3604e3a7p+0, -0x1.240b67f85e73p+0, -0x1.1e611da40003dp+0, -0x1.18c41499f954fp+0, -0x1.133551cfb2b0ap+0, -0x1.0db5c0941823ep+0, -0x1.084634239c284p+0, -0x1.02e769383aa75p+0, -0x1.fb340ee2b8b72p-1, -0x1.f0bd45830b4eap-1, -0x1.e66b797c812fep-1, -0x1.dc3f8ba93d32ep-1, -0x1.d23a3cee208a5p-1, -0x1.c85c305ffe6a6p-1, -0x1.bea5ed4bb67e8p-1, -0x1.b517e114c912dp-1, -0x1.abb260f55332ep-1, -0x1.a275aba89567ap-1, -0x1.9961eb0657c69p-1, -0x1.90773589acd56p-1, -0x1.87b58fc13090ep-1, -0x1.7f1ceda8ed276p-1, -0x1.76ad33f361eb8p-1, -0x1.6e663945243cfp-1, -0x1.6647c7636841p-1, -0x1.5e519c527cba7p-1, -0x1.56836b61a0249p-1, -0x1.4edcde237ba05p-1, -0x1.475d9554f0826p-1, -0x1.400529b520a94p-1, -0x1.38d32cd138563p-1, -0x1.31c729c57353ep-1, -0x1.2ae0a5f3aec8ep-1, -0x1.241f21af2ae7dp-1, -0x1.1d8218dd04358p-1, -0x1.1709038955e0ap-1, -0x1.10b356717518dp-1, -0x1.0a808384164fp-1, -0x1.046ffa586476fp-1, -0x1.fd02513a07c64p-2, -0x1.f166f4ff8aa1fp-2, -0x1.e60cb61d1e947p-2, -0x1.daf269237de53p-2, -0x1.d016e1c0443e5p-2, -0x1.c578f3592bdcbp-2, -0x1.bb17719ab52e8p-2, -0x1.b0f130fa8b1e5p-2, -0x1.a705072e21d37p-2, -0x1.9d51cb963545ep-2, -0x1.93d6579ffc82cp-2, -0x1.8a91871ce67efp-2, -0x1.81823891aac7ep-2, -0x1.78a74d7d987c3p-2, -0x1.6fffaa9a5690fp-2, -0x1.678a38156ff4fp-2, -0x1.5f45e1c2ff296p-2, -0x1.5731974b098abp-2, -0x1.4f4c4c50cfcd8p-2, -0x1.4794f894edd6p-2, -0x1.400a9812b1b35p-2, -0x1.38ac2b18488e5p-2, -0x1.3178b65a8e0c9p-2, -0x1.2a6f430531992p-2, -0x1.238edec677f9dp-2, -0x1.1cd69bd74527cp-2, -0x1.16459100fd527p-2, -0x1.0fdad99fd073dp-2, -0x1.099595a2349d1p-2, -0x1.0374e98656a76p-2, -0x1.faeffcabcdc2fp-3, -0x1.ef3c033f03f12p-3, -0x1.e3cc4adc88558p-3, -0x1.d89f40805680ep-3, -0x1.cdb359f5d5e07p-3, -0x1.c30715c010349p-3, -0x1.b898fafe4f147p-3, -0x1.ae67994f2afb2p-3, -0x1.a47188b2748a8p-3, -0x1.9ab5696890414p-3, -0x1.9131e3d1afe34p-3, -0x1.87e5a84b508edp-3, -0x1.7ecf6f0c33279p-3, -0x1.75edf80057649p-3, -0x1.6d400aa3f7c87p-3, -0x1.64c475de09933p-3, -0x1.5c7a0fda418e6p-3, -0x1.545fb5e345b61p-3, -0x1.4c744c3c78d88p-3, -0x1.44b6bdfb5ae5dp-3, -0x1.3d25fce16708dp-3, -0x1.35c1013662569p-3, -0x1.2e86c9a258bp-3, -0x1.27765b07b5c9fp-3, -0x1.208ec05e87832p-3, -0x1.19cf0a8fcf2f1p-3, -0x1.13365050ac2c9p-3, -0x1.0cc3adfeb896dp-3, -0x1.0676457cc799cp-3, -0x1.004d3e0fe4dd8p-3, -0x1.f48f887a90f42p-4, -0x1.e8ca13516ab2fp-4, -0x1.dd4889e66d337p-4, -0x1.d2096335c7debp-4, -0x1.c70b1fb6c1043p-4, -0x1.bc4c491cf9f1dp-4, -0x1.b1cb721b7aaf3p-4, -0x1.a787362996f33p-4, -0x1.9d7e3948a9ba5p-4, -0x1.93af27cb12ccp-4, -0x1.8a18b61ce74ebp-4, -0x1.80b9a08de3102p-4, -0x1.7790ab1c558c4p-4, -0x1.6e9ca14190edp-4, -0x1.65dc55c01b0c7p-4, -0x1.5d4ea272bf778p-4, -0x1.54f2681c99ab1p-4, -0x1.4cc68e3ad17d5p-4, -0x1.44ca02d7bab74p-4, -0x1.3cfbba5ed8d99p-4, -0x1.355aaf71f9038p-4, -0x1.2de5e2bfc1af5p-4, -0x1.269c5adb82f64p-4, -0x1.1f7d2415e315ap-4, -0x1.1887505682d35p-4, -0x1.11b9f6f6f212cp-4, -0x1.0b14349ee0b7ep-4, -0x1.04952b212927ep-4, -0x1.fc7802b3302a1p-5, -0x1.f00fc617a99a2p-5, -0x1.e3f00186fe4e1p-5, -0x1.d8171f6a4a99p-5, -0x1.cc83933fc1f9dp-5, -0x1.c133d95fa2d7ep-5, -0x1.b62676c34fd4cp-5, -0x1.ab59f8ce47456p-5, -0x1.a0ccf5185eb79p-5, -0x1.967e09392b4b3p-5, -0x1.8c6bda951bde2p-5, -0x1.8295162c77b55p-5, -0x1.78f8706be2a36p-5, -0x1.6f94a4fdd888p-5, -0x1.6668769d31656p-5, -0x1.5d72aee93148ep-5, -0x1.54b21e3b4cd68p-5, -0x1.4c259b7e31876p-5, -0x1.43cc04058428ap-5, -0x1.3ba43b667492bp-5, -0x1.33ad2b51b89bap-5, -0x1.2be5c36f17c9bp-5, -0x1.244cf93a07594p-5, -0x1.1ce1c7decec76p-5, -0x1.15a330184f9dp-5, -0x1.0e90380efefb1p-5, -0x1.07a7eb39449fep-5, -0x1.00e95a3cdb1eep-5, -0x1.f4a735a14d55cp-6, -0x1.e7cb8f3df6d1ap-6, -0x1.db3e005187113p-6, -0x1.cefcd153bf206p-6, -0x1.c30653fd11cebp-6, -0x1.b758e31272c5ap-6, -0x1.abf2e231b0f2fp-6, -0x1.a0d2bd9ef9e8bp-6, -0x1.95f6ea1435689p-6, -0x1.8b5de4925d008p-6, -0x1.810632341f161p-6, -0x1.76ee60011c0e1p-6, -0x1.6d1502c1c1141p-6, -0x1.6378b6d44f5b5p-6, -0x1.5a1820037f085p-6, -0x1.50f1e95ea5d54p-6, -0x1.4804c512c3d21p-6, -0x1.3f4f6c44168b1p-6, -0x1.36d09ee83e8eep-6, -0x1.2e8723a16e3d3p-6, -0x1.2671c79ae4babp-6, -0x1.1e8f5e669611fp-6, -0x1.16dec1db92bb8p-6, -0x1.0f5ed1f4ee845p-6, -0x1.080e74b126d21p-6, -0x1.00ec95f257159p-6, -0x1.f3f04ebed95b7p-7, -0x1.e660408cac032p-7, -0x1.d926fafdbc03cp-7, -0x1.cc42829c0f797p-7, -0x1.bfb0e693b3a83p-7, -0x1.b370407b773cap-7, -0x1.a77eb41f262b9p-7, -0x1.9bda6f4b53db2p-7, -0x1.9081a99a79e1ep-7, -0x1.8572a4430ba74p-7, -0x1.7aaba9e668628p-7, -0x1.702b0e6097c24p-7, -0x1.65ef2e9924471p-7, -0x1.5bf6705514b88p-7, -0x1.523f420a2ab4cp-7, -0x1.48c81ab30c484p-7, -0x1.3f8f79a44c734p-7, -0x1.3693e662278bdp-7, -0x1.2dd3f0770267dp-7, -0x1.254e2f4acb8d3p-7, -0x1.1d0141fb48d28p-7, -0x1.14ebcf3550e02p-7, -0x1.0d0c850ed6f3cp-7, -0x1.056218e1ae722p-7, -0x1.fbd68e4de68cap-8, -0x1.ed4da6a631c5dp-8, -0x1.df270f6552a7p-8, -0x1.d1606a8f90243p-8, -0x1.c3f76750d5635p-8, -0x1.b6e9c1ba87b29p-8, -0x1.aa354282acdb7p-8, -0x1.9dd7bec433a92p-8, -0x1.91cf17c05f7a7p-8, -0x1.86193aa154e73p-8, -0x1.7ab4203dcc891p-8, -0x1.6f9dccddfda53p-8, -0x1.64d45001a326cp-8, -0x1.5a55c42743741p-8, -0x1.50204e94607afp-8, -0x1.46321f1ec8d08p-8, -0x1.3c896ff6d420bp-8, -0x1.332485729e5a7p-8, -0x1.2a01adda2210fp-8, -0x1.211f41345d6cp-8, -0x1.187ba1155b169p-8, -0x1.1015386d38398p-8, -0x1.07ea7b5810fd1p-8, -0x1.fff3cddda0629p-9, -0x1.f0840231dc6ddp-9, -0x1.e182b0bdf1337p-9, -0x1.d2ed077bc0369p-9, -0x1.c4c044f6259f3p-9, -0x1.b6f9b7f2a48p-9, -0x1.a996bf1c8cd9cp-9, -0x1.9c94c8b1ce068p-9, -0x1.8ff1523154e56p-9, -0x1.83a9e80b11ed5p-9, -0x1.77bc25519492fp-9, -0x1.6c25b36d269c7p-9, -0x1.60e449d03c9bep-9, -0x1.55f5adad0102fp-9, -0x1.4b57b1ac17169p-9, -0x1.410835a489fp-9, -0x1.37052654eb7c1p-9, -0x1.2d4c7d1dd6231p-9, -0x1.23dc3fbddd7bap-9, -0x1.1ab2800f13305p-9, -0x1.11cd5bc5fd31p-9, -0x1.092afc31d0261p-9, -0x1.00c995fe01dabp-9, -0x1.f14ed1e95361ap-10, -0x1.e1857f839449ap-10, -0x1.d233df6e9089dp-10, -0x1.c356b1231034cp-10, -0x1.b4eac879d0005p-10, -0x1.a6ed0d388c806p-10, -0x1.995a7aa24c4bp-10, -0x1.8c301f0b68412p-10, -0x1.7f6b1b71c0519p-10, -0x1.7308a31865315p-10, -0x1.6705fb258b8b7p-10, -0x1.5b607a40d2822p-10, -0x1.5015882ff3bccp-10, -0x1.45229d7113791p-10, -0x1.3a8542d38b0d3p-10, -0x1.303b1111e2471p-10, -0x1.2641b0705cdc8p-10, -0x1.1c96d863bba7dp-10, -0x1.13384f4121843p-10, -0x1.0a23e9f5d0c44p-10, -0x1.01578bc1aad37p-10, -0x1.f1a24bdd2159ap-11, -0x1.e11d6efe7cae7p-11, -0x1.d11c99a6e36ddp-11, -0x1.c19bfe887fb7fp-11, -0x1.b297e97f7b6e8p-11, -0x1.a40cbeda8eb21p-11, -0x1.95f6fac4a9ebap-11, -0x1.885330d571424p-11, -0x1.7b1e0bc07c67bp-11, -0x1.6e544d0f39805p-11, -0x1.61f2cccb5b2d5p-11, -0x1.55f679044b92fp-11, -0x1.4a5c5526c449bp-11, -0x1.3f2179300fac8p-11, -0x1.344310d68425ep-11, -0x1.29be5ac750f3ep-11, -0x1.1f90a817253f8p-11, -0x1.15b75bf10cd66p-11, -0x1.0c2feb7b570bdp-11, -0x1.02f7ddd5df653p-11, -0x1.f41998152638cp-12, -0x1.e2d8c19aa3745p-12, -0x1.d228aff289414p-12, -0x1.c204fba3446d9p-12, -0x1.b2695c4644f1bp-12, -0x1.a351a6dfde753p-12, -0x1.94b9cc98954f2p-12, -0x1.869dda0528626p-12, -0x1.78f9f6fca663p-12, -0x1.6bca66cc01f12p-12, -0x1.5f0b887bd1eb8p-12, -0x1.52b9d6d67e32ap-12, -0x1.46d1e7eff732dp-12, -0x1.3b506c1f50736p-12, -0x1.30322c8d5e81dp-12, -0x1.257409a6ef272p-12, -0x1.1b12f9c8924abp-12, -0x1.110c085ebb63fp-12, -0x1.075c55813b754p-12, -0x1.fc022bcdc8bc7p-13, -0x1.e9ef25fdca7ecp-13, -0x1.d87a560951aedp-13, -0x1.c79ea1d3199bap-13, -0x1.b75717e9ad7e4p-13, -0x1.a79eee027bcbap-13, -0x1.98717ec458b2bp-13, -0x1.89ca475fd2894p-13, -0x1.7ba4e5af2ac65p-13, -0x1.6dfd17608e442p-13, -0x1.60ceba05e348dp-13, -0x1.5415cb58326b1p-13, -0x1.47ce68f3eacfbp-13, -0x1.3bf4cf62d2509p-13, -0x1.308558e73c813p-13, -0x1.257c7c8d1f4bcp-13, -0x1.1ad6cd80e76d7p-13, -0x1.1090fa2b0203dp-13, -0x1.06a7caace1f81p-13, -0x1.fa303e209e6d3p-14, -0x1.e7bddc3292eefp-14, -0x1.d5f28add19de4p-14, -0x1.c4c8958a656dep-14, -0x1.b43a79a79d7e6p-14, -0x1.a442e5d3e9dccp-14, -0x1.94dcb6445bbc4p-14, -0x1.8602f078e117ap-14, -0x1.77b0c0aec718ap-14, -0x1.69e179941a094p-14, -0x1.5c9094b415b1fp-14, -0x1.4fb9b16c47b99p-14, -0x1.435891fcdaa2dp-14, -0x1.376918624850bp-14, -0x1.2be7451ec12c8p-14, -0x1.20cf3864431edp-14, -0x1.161d33f15721p-14, -0x1.0bcd9b73051a4p-14, -0x1.01dcf2c3ba2ep-14, -0x1.f08fb68904c62p-15, -0x1.de162446ac1f4p-15, -0x1.cc46e0c4dd89dp-15, -0x1.bb1bd7a78769cp-15, -0x1.aa8f2ee36583dp-15, -0x1.9a9b4440ce178p-15, -0x1.8b3aa8b23d4f5p-15, -0x1.7c681be2f3a66p-15, -0x1.6e1e88d2d0785p-15, -0x1.60590254a55e7p-15, -0x1.5312bee1e8982p-15, -0x1.4647156782102p-15, -0x1.39f17cff2c1c1p-15, -0x1.2e0d8f50907b4p-15, -0x1.22970bf26330fp-15, -0x1.1789dbcaeeb26p-15, -0x1.0ce213b942295p-15, -0x1.029bf5b9eb8cap-15, -0x1.f167e0c7e53c8p-16, -0x1.de4d3b3121424p-16, -0x1.cbe180b151874p-16, -0x1.ba1e7f5959491p-16, -0x1.a8fe3a575eef9p-16, -0x1.987ad4349d966p-16, -0x1.888e82ca38d3bp-16, -0x1.7933934289b6p-16, -0x1.6a6476010d614p-16, -0x1.5c1bc6527597ep-16, -0x1.4e544b5773927p-16, -0x1.4108f7dcfa2fbp-16, -0x1.3434edf55db64p-16, -0x1.27d38899b471bp-16, -0x1.1be06bb0751d5p-16, -0x1.105793924458dp-16, -0x1.0535534cac6d5p-16, -0x1.f4ec6de6a6ddcp-17, -0x1.e02db10e162f3p-17, -0x1.cc278e750312fp-17, -0x1.b8d321ad575f5p-17, -0x1.a629b6c250366p-17, -0x1.9424e429ec291p-17, -0x1.82be7d6b55867p-17, -0x1.71f07b1b05368p-17, -0x1.61b4ef4bcfae8p-17, -0x1.520603f5800d8p-17, -0x1.42ddff328fd52p-17, -0x1.34375da34f336p-17, -0x1.260d1019017bcp-17, -0x1.185ab584c3e46p-17, -0x1.0b1c874d1e509p-17, -0x1.fc9dde12b4aaep-18, -0x1.e3dc48c67f4ccp-18, -0x1.cbec5a5595b46p-18, -0x1.b4c64709e3697p-18, -0x1.9e62c7b0891f1p-18, -0x1.88bb06fb9a38cp-18, -0x1.73c86d236a585p-18, -0x1.5f8480ccbed2p-18, -0x1.4be8de448da47p-18, -0x1.38ef3bf79767bp-18, -0x1.26916f68b664ep-18, -0x1.14c973c83a88bp-18, -0x1.0391910d93802p-18, -0x1.e5c946c1a507cp-19, -0x1.c57c683121a6ep-19, -0x1.a6345fba26bfap-19, -0x1.87e90b6a0ac6ap-19, -0x1.6a9226a608ca5p-19, -0x1.4e279a7b8ec24p-19, -0x1.32a1affe9b5d4p-19, -0x1.17f90dbab2ba2p-19, -0x1.fc4d487b05e6ep-20, -0x1.ca4726863444bp-20, -0x1.99d231e8a64e6p-20, -0x1.6ae134e82d481p-20, -0x1.3d678904e84d1p-20, -0x1.1159420a9e818p-20, -0x1.cd560e98640b3p-21, -0x1.7aa3d125d41d7p-21, -0x1.2a86d73a0f926p-21, -0x1.b9d5c1df1fe5cp-22, -0x1.23784b27a5969p-22, -0x1.23a11a168e6fdp-23, -0x1.2f79bffb47876p-28, 0x1.07be03050a6e5p-23, 0x1.08266868ca6dp-22, 0x1.88376d871f3c2p-22, 0x1.02175f643d79bp-21, 0x1.3e13ef65314c6p-21, 0x1.781f16e17b94ep-21, 0x1.b0466fa4a5a09p-21, 0x1.e697336d1cd37p-21, 0x1.0d8eceb69f00fp-20, 0x1.26f2507f934bcp-20, 0x1.3f7b5aaab67cp-20, 0x1.572f67893c9dep-20, 0x1.6e142fafc2b48p-20, 0x1.842f454c3df9p-20, 0x1.998574c24ca07p-20, 0x1.ae1ab18090cc2p-20, 0x1.c1f30b714117fp-20, 0x1.d51320049e759p-20, 0x1.e77f8b2c80f79p-20, 0x1.f93c98f07d469p-20, 0x1.0527131e39eb8p-19, 0x1.0d5bcee16b62cp-19, 0x1.153e30750cc26p-19, 0x1.1cd000e2f2f62p-19, 0x1.24130280f2627p-19, 0x1.2b08d762b89f5p-19, 0x1.31b2ffb6437dcp-19, 0x1.3812efad60c9p-19, 0x1.3e2a3386802edp-19, 0x1.43fa6c20abd69p-19, 0x1.49852bec58e9cp-19, 0x1.4ecbcd3ed1855p-19, 0x1.53cf74cf176cep-19, 0x1.589160c955ad1p-19, 0x1.5d12e28c9ffeep-19, 0x1.61552cab3da74p-19, 0x1.6559749aa4a79p-19, 0x1.6921017d46948p-19, 0x1.6cad16029d6efp-19, 0x1.6ffedc558cb16p-19, 0x1.73175ac1038a7p-19, 0x1.75f7902aa907bp-19, 0x1.78a090d4f6bc7p-19, 0x1.7b136bceb1137p-19, 0x1.7d511ac460b5p-19, 0x1.7f5a97de20b96p-19, 0x1.8130ea28e4be8p-19, 0x1.82d51ad1f316dp-19, 0x1.8448258931429p-19, 0x1.858af2910dcc9p-19, 0x1.869e5ebdcd2fp-19, 0x1.878359662f708p-19, 0x1.883acc0702381p-19, 0x1.88c5925e7648bp-19, 0x1.89248ceb5bccdp-19, 0x1.895897ff37a0bp-19, 0x1.89628b0b71feep-19, 0x1.89433e44bf933p-19, 0x1.88fb8af94c52ep-19, 0x1.888c471ee01b3p-19, 0x1.87f642cb7ffd8p-19, 0x1.873a462eb9efcp-19, 0x1.86591ae725479p-19, 0x1.85538db8556ccp-19, 0x1.842a63d88b062p-19, 0x1.82de64f6ad1afp-19, 0x1.81705881a690bp-19, 0x1.7fe0fe5dbc616p-19, 0x1.7e31162e606p-19, 0x1.7c615eb4745a2p-19, 0x1.7a7296d77b4c2p-19, 0x1.786575c5f6ae4p-19, 0x1.763ab558742b1p-19, 0x1.73f30e8ad976p-19, 0x1.718f3739d19f1p-19, 0x1.6f0fe402f2a59p-19, 0x1.6c75c86fe9f3cp-19, 0x1.69c1964dacd5cp-19, 0x1.66f3fd42e080fp-19, 0x1.640dab5bff436p-19, 0x1.610f4dd5b677dp-19, 0x1.5df9905e5cb7cp-19, 0x1.5acd1def3d2b1p-19, 0x1.578aa05c0238ep-19, 0x1.5432bf6423d1ap-19, 0x1.50c621232a4efp-19, 0x1.4d4567aa9b4c6p-19, 0x1.49b136266f058p-19, 0x1.460a312987ca5p-19, 0x1.4250f8fa6d7cep-19, 0x1.3e862994de357p-19, 0x1.3aaa5fac855c9p-19, 0x1.36be375321101p-19, 0x1.32c24a52d3cap-19, 0x1.2eb7313739ea4p-19, 0x1.2a9d834703692p-19, 0x1.2675d6331bbf7p-19, 0x1.2240bddf148aep-19, 0x1.1dfecc51a8154p-19, 0x1.19b091dd6e022p-19, 0x1.15569d705208cp-19, 0x1.10f17cca19cbap-19, 0x1.0c81bc54bb114p-19, 0x1.0807e6c852a94p-19, 0x1.038484662fb56p-19, 0x1.fdf036731f825p-20, 0x1.f4c66339ed4a6p-20, 0x1.eb8c976fc8a48p-20, 0x1.e243d757352c9p-20, 0x1.d8ed26426572fp-20, 0x1.cf897fedc2efep-20, 0x1.c619de172d9ebp-20, 0x1.bc9f383f5a5p-20, 0x1.b31a813370c7fp-20, 0x1.a98ca8aab831fp-20, 0x1.9ff69b4a68cdep-20, 0x1.96594273ba0a3p-20, 0x1.8cb5842d3d9fep-20, 0x1.830c42fb3f044p-20, 0x1.795e5db2d140dp-20, 0x1.6facaf53b78a4p-20, 0x1.65f80f22c4c2ap-20, 0x1.5c415116954dfp-20, 0x1.5289463997de1p-20, 0x1.48d0bc929da4bp-20, 0x1.3f187e705eff2p-20, 0x1.35615190c293p-20, 0x1.2babf7b064e9bp-20, 0x1.21f92ff2c5565p-20, 0x1.1849b51296506p-20, 0x1.0e9e40f49b148p-20, 0x1.04f789f6d1a56p-20, 0x1.f6ac7ec120936p-21, 0x1.e3761d4468a6p-21, 0x1.d04d44f7e56adp-21, 0x1.bd334274ef8e9p-21, 0x1.aa295ba1515acp-21, 0x1.9730cfe8eea3cp-21, 0x1.844ad7f484843p-21, 0x1.7178a57e9c203p-21, 0x1.5ebb634341387p-21, 0x1.4c1434fbd268bp-21, 0x1.3984375f44063p-21, 0x1.270c80478424p-21, 0x1.14ae1f06967bcp-21, 0x1.026a1cc218f26p-21, 0x1.e082f8567ee9ep-22, 0x1.bc6a71ec8ec8bp-22, 0x1.988c8e84bf28p-22, 0x1.74eb2769a1461p-22, 0x1.51880c1a2ee9ep-22, 0x1.2e650309af734p-22, 0x1.0b83c01a0d927p-22, 0x1.d1cbdc36e0b26p-23, 0x1.8d1a47f4f954ap-23, 0x1.48f5e996bec25p-23, 0x1.0561c2811e104p-23, 0x1.84c18ca086059p-24, 0x1.ffd70c0cf598dp-25, 0x1.f11bbc4f749f2p-26, -0x1.89bb36500cc3fp-30, -0x1.0eb1ef7b468b9p-25, -0x1.074a483c22d85p-24, -0x1.85f6231d66d25p-24, -0x1.01abfdfdc1e62p-23, -0x1.3fb5ba85ee0c8p-23, -0x1.7d162f97c1a68p-23, -0x1.b9cb5bee845c8p-23, -0x1.f5d35352237a7p-23, -0x1.18961f2d8ad4ep-22, -0x1.35ea2d7ebee13p-22, -0x1.52e4fea71c8d9p-22, -0x1.6f85c8a633917p-22, -0x1.8bcbcc82e3844p-22, -0x1.a7b652a4c171ap-22, -0x1.c344acd70e6d6p-22, -0x1.de763b8f8f9d9p-22, -0x1.f94a669ea9524p-22, -0x1.09e04e3d28dep-21, -0x1.16ec2c4a0cdeap-21, -0x1.23c8902171d18p-21, -0x1.3075412a95245p-21, -0x1.3cf20ab474641p-21, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.0b5be2da222a4p-4, 0x1.07b2ad04216eap-3, 0x1.834a0669fa91p-3, 0x1.f67b5a1f9c7f2p-3, 0x1.2ff75ef32e13dp-2, 0x1.5f6522b0e320dp-2, 0x1.894b13fdd0ceap-2, 0x1.ad9349b6126f7p-2, 0x1.cc450a1536f8bp-2, 0x1.e57dd2dadfc16p-2, 0x1.f96bd36c2128p-2, 0x1.0424c53e24894p-1, 0x1.092d24bb3afbdp-1, 0x1.0bf3b6bb20e96p-1, 0x1.0c9f142a602f7p-1, 0x1.0b56de4f64204p-1, 0x1.08430ad80ee4cp-1, 0x1.038b550d665fap-1, 0x1.faad9a4b76f5ep-2, 0x1.eb9700470d664p-2, 0x1.da1c67a0930b2p-2, 0x1.c6846685e96f3p-2, 0x1.b11252200899fp-2, 0x1.9a0609945f17ep-2, 0x1.819bd3cb58ab5p-2, 0x1.680c4cc6d9057p-2, 0x1.4d8c5fda7c271p-2, 0x1.324d4c9103039p-2, 0x1.167cb462e985cp-2, 0x1.f4895ee63b5a3p-3, 0x1.bb97cda8955a4p-3, 0x1.826b67665b73bp-3, 0x1.494484707964fp-3, 0x1.105d6beb6e2a7p-3, 0x1.afd5416a55062p-4, 0x1.40366634e032p-4, 0x1.a464456c1df0dp-5, 0x1.984ab47a2f1f2p-6, -0x1.f365198a83919p-11, -0x1.ae05d3a87d503p-6, -0x1.a118af32424acp-5, -0x1.32ddb47458a2ap-4, -0x1.9252705e541ccp-4, -0x1.eecd9dd043eeap-4, -0x1.241bf5557d46ap-3, -0x1.4f3f943723214p-3, -0x1.78caebbfc88dp-3, -0x1.a0b95ac96b5d9p-3, -0x1.c70829a1d33ffp-3, -0x1.ebb65a752ed9ap-3, -0x1.07623d0452444p-2, -0x1.181a3b31cac8fp-2, -0x1.2804bc072b02bp-2, -0x1.3723df67b57f7p-2, -0x1.457a40cf92db8p-2, -0x1.530ae8a02113fp-2, -0x1.5fd93ec4e80ecp-2, -0x1.6be8fe876f428p-2, -0x1.773e2b72184e6p-2, -0x1.81dd071918872p-2, -0x1.8bca07a65babep-2, -0x1.9509cf105d534p-2, -0x1.9da122ef3f6ebp-2, -0x1.a594e4ead0a7bp-2, -0x1.acea0bbefcf43p-2, -0x1.b3a59cd31fb4dp-2, -0x1.b9cca65edd5f4p-2, -0x1.bf643a15a49b8p-2, -0x1.c47168518937bp-2, -0x1.c8f93bb6b09a2p-2, -0x1.cd00b5494d401p-2, -0x1.d08cc8f0d10fcp-2, -0x1.d3a25a632ff39p-2, -0x1.d6463a72c7997p-2, -0x1.d87d24b8e11c6p-2, -0x1.da4bbd962538ep-2, -0x1.dbb69081e7958p-2, -0x1.dcc20ea0e5849p-2, -0x1.dd728d9c4dd32p-2, -0x1.ddcc46b273f4bp-2, -0x1.ddd355fad5e7cp-2, -0x1.dd8bb9d83af1ep-2, -0x1.dcf9529516debp-2, -0x1.dc1fe224e7295p-2, -0x1.db030c084200fp-2, -0x1.d9a6554f4ac3dp-2, -0x1.d80d24b818571p-2, -0x1.d63ac2eaa42d4p-2, -0x1.d4325ac26f618p-2, -0x1.d1f6f9b67d73fp-2, -0x1.cf8b9049d2b27p-2, -0x1.ccf2f2902b91fp-2, -0x1.ca2fd8bd647eap-2, -0x1.c744dfbde5543p-2, -0x1.c43489d8dec1fp-2, -0x1.c1013f5b2e19bp-2, -0x1.bdad4f40c35fp-2, -0x1.ba3aefe9456a9p-2, -0x1.b6ac3fcd76b07p-2, -0x1.b3034632d9dd2p-2, -0x1.af41f3e365442p-2, -0x1.ab6a23e684ff3p-2, -0x1.a77d9c3942084p-2, -0x1.a37e0e8186f5bp-2, -0x1.9f6d18c44b1aap-2, -0x1.9b4c4619623dbp-2, -0x1.971d0f5a7794ap-2, -0x1.92e0dbd228db5p-2, -0x1.8e9901e3b2619p-2, -0x1.8a46c7b271c17p-2, -0x1.85eb63c68a8d5p-2, -0x1.8187fda888a77p-2, -0x1.7d1dae7e312ffp-2, -0x1.78ad81a06cc04p-2, -0x1.74387529ef7aap-2, -0x1.6fbf7a8847f19p-2, -0x1.6b437703151a2p-2, -0x1.66c5443d9315ep-2, -0x1.6245b0ba424fp-2, -0x1.5dc58053a723dp-2, -0x1.59456cb0c97ebp-2, -0x1.54c625bbace29p-2, -0x1.5048520c92bdep-2, -0x1.4bcc8f5238e1fp-2, -0x1.475372bb29fa1p-2, -0x1.42dd89547a92ap-2, -0x1.3e6b586643576p-2, -0x1.39fd5dd0aa424p-2, -0x1.3594105f8d179p-2, -0x1.312fe01b660a7p-2, -0x1.2cd1369b13518p-2, -0x1.2878774e08feep-2, -0x1.2425ffc250d77p-2, -0x1.1fda27eb919bp-2, -0x1.1b954264cbb45p-2, -0x1.17579cad25e83p-2, -0x1.13217f6516d25p-2, -0x1.0ef32e8834521p-2, -0x1.0acce9a1e2977p-2, -0x1.06aeec01ddcd3p-2, -0x1.02996cef44416p-2, -0x1.fd193fac8614cp-3, -0x1.f51168e88f2p-3, -0x1.ed1bae09f5e6bp-3, -0x1.e53860d64f369p-3, -0x1.dd67ccab17f4ep-3, -0x1.d5aa36c957f56p-3, -0x1.cdffdea0b3ae7p-3, -0x1.c668fe10d3962p-3, -0x1.bee5c9a5c11bep-3, -0x1.b77670d7f374bp-3, -0x1.b01b1e4afd707p-3, -0x1.a8d3f802cf6b6p-3, -0x1.a1a11f94e8ac2p-3, -0x1.9a82b25d9e9c3p-3, -0x1.9378c9b538063p-3, -0x1.8c837b1cbc118p-3, -0x1.85a2d86591ea2p-3, -0x1.7ed6efdc954b4p-3, -0x1.781fcc7786734p-3, -0x1.717d75fc92ec9p-3, -0x1.6aeff122a809cp-3, -0x1.64773fb2987cfp-3, -0x1.5e1360ad22fa8p-3, -0x1.57c4506f6c27bp-3, -0x1.518a08cf88a3ep-3, -0x1.4b6481351ef38p-3, -0x1.4553aeb67f27p-3, -0x1.3f578439c087dp-3, -0x1.396ff2911fa5dp-3, -0x1.339ce88f5763ap-3, -0x1.2dde531b54a45p-3, -0x1.28341d4a3ff95p-3, -0x1.229e307bef0a8p-3, -0x1.1d1c7470b99fcp-3, -0x1.17aecf581072dp-3, -0x1.125525e092a36p-3, -0x1.0d0f5b4f220c7p-3, -0x1.07dd519745db1p-3, -0x1.02bee96c6a31ap-3, -0x1.fb68049942aa8p-4, -0x1.f178f51ad969p-4, -0x1.e7b05eded4da4p-4, -0x1.de0dfa66ff61ap-4, -0x1.d4917e5341b2dp-4, -0x1.cb3a9f725233cp-4, -0x1.c20910d49ad6ap-4, -0x1.b8fc83eb89dc4p-4, -0x1.b014a8ae93385p-4, -0x1.a7512db6f04b1p-4, -0x1.9eb1c04eae54p-4, -0x1.96360c7d81254p-4, -0x1.8dddbd1f16aaap-4, -0x1.85a87c01cfac3p-4, -0x1.7d95f2022e6eep-4, -0x1.75a5c71b3c05bp-4, -0x1.6dd7a2703e72ep-4, -0x1.662b2a5a4602ap-4, -0x1.5ea0047e76707p-4, -0x1.5735d5e75e327p-4, -0x1.4fec431846ef4p-4, -0x1.48c2f0180bc79p-4, -0x1.41b9807954e17p-4, -0x1.3acf97679183dp-4, -0x1.3404d7ba1f8f5p-4, -0x1.2d58e4082badep-4, -0x1.26cb5eb736e7bp-4, -0x1.205bea03a0fe7p-4, -0x1.1a0a2807db8f9p-4, -0x1.13d5bac72f206p-4, -0x1.0dbe443cd41eap-4, -0x1.07c3666b92a35p-4, -0x1.01e4c369b4253p-4, -0x1.f843fad13784dp-5, -0x1.ecf56d75b10b9p-5, -0x1.e1dd23b859647p-5, -0x1.d6fa62f9422fep-5, -0x1.cc4c71196203ep-5, -0x1.c1d2948f234d1p-5, -0x1.b78c1474c004cp-5, -0x1.ad783892c8762p-5, -0x1.a396496b71dcep-5, -0x1.99e590498bdc7p-5, -0x1.906557525822dp-5, -0x1.8714e996b7664p-5, -0x1.7df39320ccbd7p-5, -0x1.7500a0fde55c9p-5, -0x1.6c3b6146d7a9bp-5, -0x1.63a3232978a05p-5, -0x1.5b3736f44806cp-5, -0x1.52f6ee23437bdp-5, -0x1.4ae19b6bcf30bp-5, -0x1.42f692c63ac7cp-5, -0x1.3b35297507fd5p-5, -0x1.339cb60b480b5p-5, -0x1.2c2c90737b955p-5, -0x1.24e411f79be38p-5, -0x1.1dc29549c4e86p-5, -0x1.16c7768c42b4cp-5, -0x1.0ff2135852137p-5, -0x1.0941cac34630ap-5, -0x1.02b5fd62f4d5dp-5, -0x1.f89c1aa42870cp-6, -0x1.ec12bc6a2cc83p-6, -0x1.dfceaa7ef1829p-6, -0x1.d3ceb271d6fd7p-6, -0x1.c811a5036a032p-6, -0x1.bc96562c21fp-6, -0x1.b15b9d2181c6fp-6, -0x1.a660545a8ac26p-6, -0x1.9ba3599471bf3p-6, -0x1.91238dd805fb4p-6, -0x1.86dfd57f653c7p-6, -0x1.7cd7183afbd26p-6, -0x1.730841151d03p-6, -0x1.69723e73bfc57p-6, -0x1.60140219030cfp-6, -0x1.56ec812377ac2p-6, -0x1.4dfab40f261acp-6, -0x1.453d96b7bb132p-6, -0x1.3cb4285b4f001p-6, -0x1.345d6b9c6158bp-6, -0x1.2c386681d0e29p-6, -0x1.2444227414447p-6, -0x1.1c7fac3889885p-6, -0x1.14ea13ec95104p-6, -0x1.0d826d02bbe63p-6, -0x1.0647ce42cdf4ep-6, -0x1.fe72a39918c52p-7, -0x1.f0ac2a34d3ea6p-7, -0x1.e33a720270129p-7, -0x1.d61bc354e63eep-7, -0x1.c94e6d128dd9ep-7, -0x1.bcd0c49a7cccdp-7, -0x1.b0a125ae9109p-7, -0x1.a4bdf26aa082cp-7, -0x1.9925934b9d5ecp-7, -0x1.8dd677414410bp-7, -0x1.82cf13be071dp-7, -0x1.780de4b716226p-7, -0x1.6d916c8bb9fefp-7, -0x1.635833d607c2ep-7, -0x1.5960c9329acc5p-7, -0x1.4fa9c113de99ap-7, -0x1.4631b5b343666p-7, -0x1.3cf74726f1c81p-7, -0x1.33f91b91acea4p-7, -0x1.2b35df54683cp-7, -0x1.22ac45237d3aep-7, -0x1.1a5b05ea5fd4dp-7, -0x1.1240e07c08f75p-7, -0x1.0a5c9925ff67bp-7, -0x1.02acf94c89934p-7, -0x1.f6619e708dc63p-8, -0x1.e7cddc59023a3p-8, -0x1.d99c5d8179d71p-8, -0x1.cbcadeb1e074p-8, -0x1.be57290adeb44p-8, -0x1.b13f122df6844p-8, -0x1.a4807b9a48736p-8, -0x1.9819515b33ebep-8, -0x1.8c07887320691p-8, -0x1.80491d9614b21p-8, -0x1.74dc14b7829b8p-8, -0x1.69be79a5c610ap-8, -0x1.5eee6185ef515p-8, -0x1.5469eca24f872p-8, -0x1.4a2f47ce6c127p-8, -0x1.403cacbb8b1f2p-8, -0x1.369060f46ce33p-8, -0x1.2d28b3b7e2cbbp-8, -0x1.2403fb5f2d11ep-8, -0x1.1b2093384678ep-8, -0x1.127cdaa2c44c8p-8, -0x1.0a1735d2d297p-8, -0x1.01ee1005771dbp-8, -0x1.f3ffbcbe6785p-9, -0x1.e49644e4e9613p-9, -0x1.d59cd6ea97b9bp-9, -0x1.c710aacde3813p-9, -0x1.b8ef0d2b10566p-9, -0x1.ab3557e94c51cp-9, -0x1.9de0ebb716ce6p-9, -0x1.90ef2b9d9c984p-9, -0x1.845d7cd8c5604p-9, -0x1.78294aef381c5p-9, -0x1.6c500ea3d88b7p-9, -0x1.60cf5567ec1cp-9, -0x1.55a4c6b7b6376p-9, -0x1.4ace257942086p-9, -0x1.40494cccbe273p-9, -0x1.36142942954f2p-9, -0x1.2c2cb096ea4c5p-9, -0x1.2290da87a30adp-9, -0x1.193e9cfbda619p-9, -0x1.1033eca175113p-9, -0x1.076ec1b70f9bbp-9, -0x1.fdda3eb807cp-10, -0x1.ed5a35d946287p-10, -0x1.dd59c1f22a601p-10, -0x1.cdd56c91f2187p-10, -0x1.bec9e985a74d9p-10, -0x1.b0340ac877fe6p-10, -0x1.a210b28a25a6p-10, -0x1.945cc76852822p-10, -0x1.87152df8d734dp-10, -0x1.7a36c91a98cf8p-10, -0x1.6dbe8093cfbf5p-10, -0x1.61a94ba2e401cp-10, -0x1.55f43bda02636p-10, -0x1.4a9c847c58dfp-10, -0x1.3f9f7bf7093f4p-10, -0x1.34fa976e0c89bp-10, -0x1.2aab628d8083ep-10, -0x1.20af76d08424p-10, -0x1.170474fa578e3p-10, -0x1.0da80232cf81cp-10, -0x1.0497c8ec27ec5p-10, -0x1.f7a2f9a1c8bd5p-11, -0x1.e6a5c0a0c5031p-11, -0x1.d63393bb42cd5p-11, -0x1.c6484ddbb4c88p-11, -0x1.b6dff72bdf802p-11, -0x1.a7f6be1bc604bp-11, -0x1.9988ed15a125ep-11, -0x1.8b92e04aa6c6ap-11, -0x1.7e10fe01756f3p-11, -0x1.70ffb2c5aa5ccp-11, -0x1.645b72c2f578cp-11, -0x1.5820c16974dfap-11, -0x1.4c4c3e3ddc729p-11, -0x1.40dab186f3f7cp-11, -0x1.35c911abdc336p-11, -0x1.2b147cc060fedp-11, -0x1.20ba2b30717a6p-11, -0x1.16b764509fa45p-11, -0x1.0d097c8fc15d2p-11, -0x1.03addb47a9eb4p-11, -0x1.f543fdb6f25e9p-12, -0x1.e3c6edb7ebad9p-12, -0x1.d2dfaaf4c16b1p-12, -0x1.c28947849e766p-12, -0x1.b2bec9fc9c9f8p-12, -0x1.a37b54844a945p-12, -0x1.94ba504ce32cdp-12, -0x1.8677797b16594p-12, -0x1.78aec16f6b73ap-12, -0x1.6b5c241e561e2p-12, -0x1.5e7b9bbd953a3p-12, -0x1.5209440f9be3dp-12, -0x1.4601925d871edp-12, -0x1.3a61715a06913p-12, -0x1.2f2624e8c41ap-12, -0x1.244d068055c4cp-12, -0x1.19d3474315f7fp-12, -0x1.0fb5d9c3fcb66p-12, -0x1.05f18217ff2ddp-12, -0x1.f905e22e98ba8p-13, -0x1.e6cda2ff41edap-13, -0x1.d53388ebe75cbp-13, -0x1.c430c5a99591cp-13, -0x1.b3beb8060e02bp-13, -0x1.a3d7658d79d4ap-13, -0x1.9475eded87cfp-13, -0x1.8596a00373707p-13, -0x1.7736957887d42p-13, -0x1.695320c340ee3p-13, -0x1.5be97d9896cf3p-13, -0x1.4ef6df135bbdp-13, -0x1.42788800e1a29p-13, -0x1.366b929b8d4b9p-13, -0x1.2acc663c791d5p-13, -0x1.1f96321ae9f27p-13, -0x1.14c2dfa69321ep-13, -0x1.0a4bba8aaad0bp-13, -0x1.002a9c9df385p-13, -0x1.ecb60eb4a205ep-14, -0x1.d9b502baff6cdp-14, -0x1.c74fe0a5fb4fep-14, -0x1.b584bf01a237fp-14, -0x1.a4504ded8eec3p-14, -0x1.93ae29f32f598p-14, -0x1.839a829930701p-14, -0x1.741339fc8ebd7p-14, -0x1.65175beb6a2cp-14, -0x1.56a54ff9786f6p-14, -0x1.48b91c7855a62p-14, -0x1.3b4bd332f6168p-14, -0x1.2e542fa33a22bp-14, -0x1.21c7f0c64915bp-14, -0x1.159dcdc561f9bp-14, -0x1.09cf9af1ff3b9p-14, -0x1.fcb67104af6adp-15, -0x1.e6823b6ee7402p-15, -0x1.d102e73c00836p-15, -0x1.bc349d18ceadfp-15, -0x1.a8108d8117a0bp-15, -0x1.9490b8a98d09bp-15, -0x1.81b2c2ca59a22p-15, -0x1.6f7704d14f536p-15, -0x1.5ddc550317ecep-15, -0x1.4cdd56e2e245dp-15, -0x1.3c71fababe7bcp-15, -0x1.2c92222709fdbp-15, -0x1.1d3629efe74e7p-15, -0x1.0e55f63c47a93p-15, -0x1.ffd1a11f3a695p-16, -0x1.e3ce021fcbee3p-16, -0x1.c89802b511b83p-16, -0x1.ae2de19e8a6b3p-16, -0x1.949092ebb2d63p-16, -0x1.7bbdd344ada46p-16, -0x1.63af49b486671p-16, -0x1.4c5f4857c837bp-16, -0x1.35cb4e7c4e7e9p-16, -0x1.1ff0e8565809cp-16, -0x1.0aca8c8ee6e72p-16, -0x1.ec9fbb87ae788p-17, -0x1.c4f0d96039564p-17, -0x1.9e7c5b9a284fcp-17, -0x1.793a6950176bcp-17, -0x1.5522dffb059dbp-17, -0x1.32291339c04bdp-17, -0x1.103c2cc1b063cp-17, -0x1.de9e5a52db137p-18, -0x1.9ebb60cf0daf2p-18, -0x1.60c51f4347fe7p-18, -0x1.24a25a906b3a4p-18, -0x1.d486beaae861p-19, -0x1.6363806f6f149p-19, -0x1.ebc08cabec72ap-20, -0x1.179a4eef9fd32p-20, -0x1.27b8ba734dcc1p-22, 0x1.f5a9074f66c2ep-22, 0x1.3e86b5dfffa8ep-20, 0x1.f991b51f8f736p-20, 0x1.5758632347fcbp-19, 0x1.aefe6f44fce34p-19, 0x1.01e711aee59bcp-18, 0x1.2af841bc5e14fp-18, 0x1.52cb814b1cb12p-18, 0x1.79630fe1af2a2p-18, 0x1.9eae56385ed77p-18, 0x1.c2b0b4a7c13b7p-18, 0x1.e57fcb9b75a0fp-18, 0x1.0394047ebe665p-17, 0x1.13d93a5b83136p-17, 0x1.23935f82baaf2p-17, 0x1.32c376caa6f4fp-17, 0x1.416d704abecdap-17, 0x1.4f96e21dc1752p-17, 0x1.5d4053101f117p-17, 0x1.6a68c9a14e4cdp-17, 0x1.77129bedc637ep-17, 0x1.83412671953b7p-17, 0x1.8ef705607496ep-17, 0x1.9a37baf49df73p-17, 0x1.a50a67559f2ep-17, 0x1.af732b68e8e4cp-17, 0x1.b96e6c7dbc584p-17, 0x1.c2fdf8a27508p-17, 0x1.cc26366bb4a9dp-17, 0x1.d4e486765777ap-17, 0x1.dd38f83510e01p-17, 0x1.e5284eb8e10f6p-17, 0x1.ecb80be4843afp-17, 0x1.f3ec90125ba5cp-17, 0x1.fac59c7980502p-17, 0x1.00a11ec39f5b1p-16, 0x1.03b2d8269ede3p-16, 0x1.0698c6c70805p-16, 0x1.09526305ba1cbp-16, 0x1.0be06c291b9c8p-16, 0x1.0e443eea5e5d1p-16, 0x1.107e99984548cp-16, 0x1.1290ad68be513p-16, 0x1.147beff553e37p-16, 0x1.1640280bcd568p-16, 0x1.17de7cc9839aep-16, 0x1.19576898dceb9p-16, 0x1.1aaa84d7b0272p-16, 0x1.1bd914b987dd5p-16, 0x1.1ce431fb4bfb6p-16, 0x1.1dcc5d0183be4p-16, 0x1.1e91f5406e745p-16, 0x1.1f3555521be41p-16, 0x1.1fb71f3f1a7b8p-16, 0x1.20187fbd0a12dp-16, 0x1.205a0631cd2e9p-16, 0x1.207c1ad50c8cbp-16, 0x1.207f8f0e08df1p-16, 0x1.2064618ed780ap-16, 0x1.202b053398a7p-16, 0x1.1fd4249b5fb86p-16, 0x1.1f6058f530882p-16, 0x1.1ed0ad58d21ffp-16, 0x1.1e2598905c107p-16, 0x1.1d5fab7bdf4a3p-16, 0x1.1c7ec6ce353acp-16, 0x1.1b83a0232786bp-16, 0x1.1a6f0768e5cd1p-16, 0x1.1941785fc8bb8p-16, 0x1.17fb666f3e8d8p-16, 0x1.169d4e40dc4dep-16, 0x1.1527afb1f6856p-16, 0x1.139b09285db38p-16, 0x1.11f7d7623b048p-16, 0x1.103e8995f3769p-16, 0x1.0e6f7794ec311p-16, 0x1.0c8b3d5bb74a7p-16, 0x1.0a929110156f1p-16, 0x1.0885f46d90afp-16, 0x1.0665c5b1449a2p-16, 0x1.04320ff5cf8d6p-16, 0x1.01eb6e9deeb4bp-16, 0x1.ff25a0f1eb30ap-17, 0x1.fa5151eed6b57p-17, 0x1.f55a1e10fecb4p-17, 0x1.f0410116daa5dp-17, 0x1.eb07349c93b42p-17, 0x1.e5ad9297b5623p-17, 0x1.e034f2b36e2bap-17, 0x1.da9e364dcad1cp-17, 0x1.d4ea40e548c43p-17, 0x1.cf19f40b1830cp-17, 0x1.c92e2e8290c9ep-17, 0x1.c327cd5c37afcp-17, 0x1.bd07ae178fc29p-17, 0x1.b6ceaff5255d8p-17, 0x1.b07db44bdaabdp-17, 0x1.aa159a565fcb5p-17, 0x1.a3971a65ade4ep-17, 0x1.9d02d34c00948p-17, 0x1.9659f1800e1aap-17, 0x1.8f9d3fb3db4f1p-17, 0x1.88cd4e22e0bc4p-17, 0x1.81eb45cc754e2p-17, 0x1.7af7b31d7905cp-17, 0x1.73f35ed114659p-17, 0x1.6cdf4193faa68p-17, 0x1.65bc0db4b1313p-17, 0x1.5e8a7c4f97709p-17, 0x1.574b4e0cc1aadp-17, 0x1.4fff4462e711fp-17, 0x1.48a71f6584932p-17, 0x1.41439cfc47718p-17, 0x1.39d57831a213dp-17, 0x1.325d689a41fcfp-17, 0x1.2adc22beaf68ap-17, 0x1.23525a23b1cebp-17, 0x1.1bc0c38967c8bp-17, 0x1.142814bb1e03dp-17, 0x1.0c88ffc0c3295p-17, 0x1.04e42d31fb403p-17, 0x1.fa7491daa6f8p-18, 0x1.eb1811c08e233p-18, 0x1.dbb37351faf82p-18, 0x1.cc485d252603dp-18, 0x1.bcd8c650633e6p-18, 0x1.ad65286935b5cp-18, 0x1.9deec3121ddb9p-18, 0x1.8e7733f326154p-18, 0x1.7eff9113464fp-18, 0x1.6f88eccfa78f6p-18, 0x1.60146932df3dp-18, 0x1.50a329c5336f5p-18, 0x1.41364e3b3ae76p-18, 0x1.31cef12da46ep-18, 0x1.226e27b328c2ep-18, 0x1.1315010932908p-18, 0x1.03c487022729ep-18, 0x1.e8fb7fef59d2fp-19, 0x1.ca83613eb9325p-19, 0x1.ac22b676e8efcp-19, 0x1.8ddb78002e839p-19, 0x1.6faf8237c0161p-19, 0x1.51a095a6628dbp-19, 0x1.33b0ab32ea35ap-19, 0x1.15e1d82d973f5p-19, 0x1.f06a168326c48p-20, 0x1.b559af5036212p-20, 0x1.7a944068ae444p-20, 0x1.401f1036a97a1p-20, 0x1.05fb6fbf7669dp-20, 0x1.985c3c025c5bdp-21, 0x1.25710682d4c33p-21, 0x1.667a9c1ad6c1dp-22, 0x1.071f7a45f17d4p-23, -0x1.7753f9b191dd1p-24, -0x1.3da8d85effa65p-22, -0x1.0df071c4846dap-21, -0x1.7c3939cfd44ecp-21, -0x1.e9a9999da85fdp-21, -0x1.2b1e4971773c1p-20, -0x1.60f6a56566295p-20, -0x1.965b7ef64c03cp-20, -0x1.cb4a7f283aeaep-20, -0x1.ffc15cbcd4194p-20, -0x1.19def38cbda1p-19, -0x1.339f12436952fp-19, -0x1.4d201b86438c5p-19, -0x1.6660e04e5a65dp-19, -0x1.7f602f6051818p-19, -0x1.981dd6a49fa3ap-19, -0x1.b098f3946f177p-19, -0x1.c8cff177cd09ap-19, -0x1.e0c23153c8527p-19, -0x1.f86f15d26d29ap-19, -0x1.07eaf450fc44dp-18, -0x1.137ae54855958p-18, }}, 
      {{-0x1.653d63a2c148ap+1, -0x1.5f83b1f77f904p+1, -0x1.5725a05f7911ep+1, -0x1.4ce352a5b54afp+1, -0x1.415672865967fp+1, -0x1.34f91cee49e08p+1, -0x1.282bb0695e225p+1, -0x1.1b399c52c486cp+1, -0x1.0e5d54627bd4ap+1, -0x1.01c38b776614cp+1, -0x1.eb1baac4f85fbp+0, -0x1.d3a996ac1d85cp+0, -0x1.bd53948f7ab5ap+0, -0x1.a830bd0c5da52p+0, -0x1.944ed86bafe4ep+0, -0x1.81b442d30684ep+0, -0x1.70617828ae186p+0, -0x1.60525826111eap+0, -0x1.517f2fdb043aep+0, -0x1.43dd934fac62fp+0, -0x1.37610fe1ff7eap+0, -0x1.2bfbbe55ceedcp+0, -0x1.219eba3d22aa3p+0, -0x1.183a835148287p+0, -0x1.0fbf4c7d40061p+0, -0x1.081d3bad51da4p+0, -0x1.01449cecd7a69p+0, -0x1.f64c15d85dc73p-1, -0x1.eb651d5776715p-1, -0x1.e1b76f7c5e548p-1, -0x1.d9275cbc6c0ffp-1, -0x1.d19a80c204f25p-1, -0x1.caf7d3b24d408p-1, -0x1.c527b4592d7e3p-1, -0x1.c013ec9123682p-1, -0x1.bba7b0c738b79p-1, -0x1.b7cf9ba2ade59p-1, -0x1.b479a6b56965bp-1, -0x1.b19520a413d2cp-1, -0x1.af12a13d5f36ep-1, -0x1.ace3fc9994424p-1, -0x1.aafc35001f87dp-1, -0x1.a94f6b98ac32dp-1, -0x1.a7d2d1f7492b9p-1, -0x1.a67c9a1858a44p-1, -0x1.a543e71b2ab51p-1, -0x1.a420be26d61b2p-1, -0x1.a30bf734cad0cp-1, -0x1.a1ff2e8e36cffp-1, -0x1.a0f4b6b671b73p-1, -0x1.9fe78ac00b533p-1, -0x1.9ed3416f343a4p-1, -0x1.9db400fcf17bcp-1, -0x1.9c8673941a52bp-1, -0x1.9b47bc8136bf2p-1, -0x1.99f56e0b2763ep-1, -0x1.988d7ff825b7p-1, -0x1.970e46b8a0b23p-1, -0x1.95766b2f52e57p-1, -0x1.93c4e308231e9p-1, -0x1.91f8e98f498a9p-1, -0x1.9011f8fd786p-1, -0x1.8e0fc4320420cp-1, -0x1.8bf230d74d8e8p-1, -0x1.89b951ee71d19p-1, -0x1.876562beed945p-1, -0x1.84f6c2259b79ep-1, -0x1.826dee3dd679p-1, -0x1.7fcb805f53a3dp-1, -0x1.7d10296bf85d1p-1, -0x1.7a3cae695b4e2p-1, -0x1.7751e562a3096p-1, -0x1.7450b28f5e641p-1, -0x1.713a05bc36866p-1, -0x1.6e0ed7f1ee7fap-1, -0x1.6ad02956eb37ap-1, -0x1.677eff4730156p-1, -0x1.641c629e8cfadp-1, -0x1.60a95e30e23bap-1, -0x1.5d26fd6c903dfp-1, -0x1.59964b235865p-1, -0x1.55f8507623bc8p-1, -0x1.524e13e223916p-1, -0x1.4e98986a9b14ep-1, -0x1.4ad8dcdeeb207p-1, -0x1.470fdb38e826dp-1, -0x1.433e8812703e1p-1, -0x1.3f65d234b1c8p-1, -0x1.3b86a23171fc7p-1, -0x1.37a1da194ddb6p-1, -0x1.33b855387994fp-1, -0x1.2fcae7e7856dep-1, -0x1.2bda5f67c41d5p-1, -0x1.27e781c8501bap-1, -0x1.23f30dd8b292cp-1, -0x1.1ffdbb24a1174p-1, -0x1.1c0839f21a18p-1, -0x1.1813334ca91aep-1, -0x1.141f491704b74p-1, -0x1.102d161b5c1c9p-1, -0x1.0c3d2e251ec7ap-1, -0x1.08501e209a748p-1, -0x1.04666c3bc3b14p-1, -0x1.00809807736d2p-1, -0x1.f93e353cb9b8ep-2, -0x1.f184cd9e312e3p-2, -0x1.e9d5d28acd734p-2, -0x1.e232116c69568p-2, -0x1.da9a4c14410bdp-2, -0x1.d30f39171cd03p-2, -0x1.cb91842a96c98p-2, -0x1.c421ce7d3191dp-2, -0x1.bcc0af145187cp-2, -0x1.b56eb325d2dc4p-2, -0x1.ae2c5e6f9bbcp-2, -0x1.a6fa2b94bdae8p-2, -0x1.9fd88c743514bp-2, -0x1.98c7ea7cfd339p-2, -0x1.91c8a705c981cp-2, -0x1.8adb1b9f85134p-2, -0x1.83ff9a637246ap-2, -0x1.7d366e454f96ap-2, -0x1.767fdb605886fp-2, -0x1.6fdc1f409b245p-2, -0x1.694b712d6e085p-2, -0x1.62ce026f4de2p-2, -0x1.5c63fe947c23cp-2, -0x1.560d8bb4415d1p-2, -0x1.4fcacaad7f5bp-2, -0x1.499bd765182dep-2, -0x1.4380c90325b8ep-2, -0x1.3d79b22bb086cp-2, -0x1.3786a13584271p-2, -0x1.31a7a060e371p-2, -0x1.2bdcb60b010f5p-2, -0x1.2625e4dee92e1p-2, -0x1.20832c05ae0a7p-2, -0x1.1af4875427f25p-2, -0x1.1579ef764842ap-2, -0x1.10135a19c15p-2, -0x1.0ac0ba1748c06p-2, -0x1.0581ff987b6efp-2, -0x1.0057183c82043p-2, -0x1.f67fde79fee2p-3, -0x1.ec78db210df1fp-3, -0x1.e298f4144fc86p-3, -0x1.d8dff2f1f5e59p-3, -0x1.cf4d9d8eb9628p-3, -0x1.c5e1b62efdf6cp-3, -0x1.bc9bfbbbb085p-3, -0x1.b37c29f7de5fp-3, -0x1.aa81f9b5ee6b9p-3, -0x1.a1ad210763b88p-3, -0x1.98fd53688408bp-3, -0x1.907241ed3f71bp-3, -0x1.880b9b6e8dd6bp-3, -0x1.7fc90cb319f7p-3, -0x1.77aa409359b9bp-3, -0x1.6faee01e503cfp-3, -0x1.67d692bfef128p-3, -0x1.6020fe646b457p-3, -0x1.588dc79680f39p-3, -0x1.511c919c96636p-3, -0x1.49ccfe986137dp-3, -0x1.429eafa648ca5p-3, -0x1.3b9144f7dead6p-3, -0x1.34a45deaaa005p-3, -0x1.2dd79920a8cf3p-3, -0x1.272a949b4e489p-3, -0x1.209cedd4282dap-3, -0x1.1a2e41d02b95ep-3, -0x1.13de2d3174ff6p-3, -0x1.0dac4c4c21c66p-3, -0x1.07983b3cd359p-3, -0x1.01a195fb7e322p-3, -0x1.f78ff0d2f5f0bp-4, -0x1.ec15fcbee3943p-4, -0x1.e0d4877d99cb4p-4, -0x1.d5cac90815793p-4, -0x1.caf7f9aa7a0cep-4, -0x1.c05b5218b7f45p-4, -0x1.b5f40b83c8993p-4, -0x1.abc15fb57c2d1p-4, -0x1.a1c2892e32483p-4, -0x1.97f6c33bef7aep-4, -0x1.8e5d4a09cd901p-4, -0x1.84f55aaf1b108p-4, -0x1.7bbe334413d53p-4, -0x1.72b712f98ec48p-4, -0x1.69df3a2c3f813p-4, -0x1.6135ea70f638fp-4, -0x1.58ba669ea4efp-4, -0x1.506bf2dc23e7ap-4, -0x1.4849d4b1e919p-4, -0x1.4053531a63d02p-4, -0x1.3887b68cd056dp-4, -0x1.30e6490400201p-4, -0x1.296e56060b0cfp-4, -0x1.221f2aafb056cp-4, -0x1.1af815c136743p-4, -0x1.13f867a88fb4cp-4, -0x1.0d1f72872d5ep-4, -0x1.066c8a35e5255p-4, -0x1.ffbe0894b57f8p-5, -0x1.f2ec703dff39ap-5, -0x1.e662fdb6e77adp-5, -0x1.da2066f4fd477p-5, -0x1.ce23659a024c9p-5, -0x1.c26ab6f776483p-5, -0x1.b6f51c1456cbep-5, -0x1.abc159b64d33ep-5, -0x1.a0ce386b61f71p-5, -0x1.961a8490800a5p-5, -0x1.8ba50e53b69a9p-5, -0x1.816ca9b4585d5p-5, -0x1.77702e83fdd16p-5, -0x1.6dae7869c33ecp-5, -0x1.642666e66ab52p-5, -0x1.5ad6dd56efc0dp-5, -0x1.51bec2f441c0ap-5, -0x1.48dd02d0e8d65p-5, -0x1.40308bd65b52ep-5, -0x1.37b850c36fc77p-5, -0x1.2f73482bd8b9dp-5, -0x1.27606c7768c24p-5, -0x1.1f7ebbdfd01d2p-5, -0x1.17cd386ca2c88p-5, -0x1.104ae7ee5b52fp-5, -0x1.08f6d3f967841p-5, -0x1.01d009e1e16cap-5, -0x1.f5ab356f58c5bp-6, -0x1.e80d368479b2fp-6, -0x1.dac447f6cab2ap-6, -0x1.cdcea21233ad4p-6, -0x1.c12a846d39935p-6, -0x1.b4d635db38e3cp-6, -0x1.a8d0045f51875p-6, -0x1.9d16451fad717p-6, -0x1.91a754586e981p-6, -0x1.8681954d99f5fp-6, -0x1.7ba3723ba4d12p-6, -0x1.710b5c473add7p-6, -0x1.66b7cb6cb58e2p-6, -0x1.5ca73e6fcf383p-6, -0x1.52d83acb9b2a7p-6, -0x1.49494ca27f2e5p-6, -0x1.3ff906ada5389p-6, -0x1.36e6022ba6a96p-6, -0x1.2e0edece971bcp-6, -0x1.257242a9b0e9ap-6, -0x1.1d0eda1f215a4p-6, -0x1.14e357ce0dd09p-6, -0x1.0cee7480e7c96p-6, -0x1.052eef1b80d09p-6, -0x1.fb4719115d273p-7, -0x1.ec962f4e79d65p-7, -0x1.de48c26cde9c9p-7, -0x1.d05c7f84f7df5p-7, -0x1.c2cf1f2322f77p-7, -0x1.b59e6522ede42p-7, -0x1.a8c8208b463edp-7, -0x1.9c4a2b6a3797cp-7, -0x1.90226aaf066d9p-7, -0x1.844ece020a1d9p-7, -0x1.78cd4f9aff953p-7, -0x1.6d9bf417b3446p-7, -0x1.62b8ca55083c7p-7, -0x1.5821eb4b75f3dp-7, -0x1.4dd579ee47227p-7, -0x1.43d1a30b4fae8p-7, -0x1.3a149d27d24d8p-7, -0x1.309ca8587c844p-7, -0x1.27680e14a265fp-7, -0x1.1e752107c69a2p-7, -0x1.15c23ce61a39ep-7, -0x1.0d4dc648068a2p-7, -0x1.05162a8e0b95fp-7, -0x1.fa33bf9412f19p-8, -0x1.eaaec94fa1762p-8, -0x1.db9a809c2625ep-8, -0x1.ccf4046731e61p-8, -0x1.beb883d40562ap-8, -0x1.b0e53dc9f9e04p-8, -0x1.a377808fdf3ccp-8, -0x1.966ca9862c86dp-8, -0x1.89c2250559bafp-8, -0x1.7d756e55dbcfcp-8, -0x1.71840fa971673p-8, -0x1.65eba1f8b4b2cp-8, -0x1.5aa9ccb15a19p-8, -0x1.4fbc45344d4a5p-8, -0x1.4520ce39aa437p-8, -0x1.3ad53740344aep-8, -0x1.30d75c2e51b7bp-8, -0x1.27252539dc9e9p-8, -0x1.1dbc87103a3ep-8, -0x1.149b831a79c69p-8, -0x1.0bc027a910dd9p-8, -0x1.03288fd6a4431p-8, -0x1.f5a5c61623d02p-9, -0x1.e57aa85cbd813p-9, -0x1.d5cc417ddcdbap-9, -0x1.c69720224b035p-9, -0x1.b7d7e5ea51ce6p-9, -0x1.a98b47b8b2bc5p-9, -0x1.9bae0ecdb790ep-9, -0x1.8e3d1a2ad719ap-9, -0x1.81355f8ce12ep-9, -0x1.7493eb65c739fp-9, -0x1.6855df9636246p-9, -0x1.5c78712057ee1p-9, -0x1.50f8e57856658p-9, -0x1.45d4904a4a427p-9, -0x1.3b08d27249f3fp-9, -0x1.30931a7c8dd8bp-9, -0x1.2670e676c615ep-9, -0x1.1c9fc657636cfp-9, -0x1.131d5e09d1ff2p-9, -0x1.09e7663ce299fp-9, -0x1.00fbab5473e64p-9, -0x1.f0b015ba65e4ep-10, -0x1.dff4dffb4a7a7p-10, -0x1.cfc1a08cfc5f5p-10, -0x1.c01253187c9f4p-10, -0x1.b0e30363d170ap-10, -0x1.a22fd0bd5e101p-10, -0x1.93f4f3ec0d8d6p-10, -0x1.862ec57ee01c4p-10, -0x1.78d9c229842d7p-10, -0x1.6bf28b7f7cd9ep-10, -0x1.5f75e49a8006dp-10, -0x1.5360ab965cd41p-10, -0x1.47afd1d02a9c7p-10, -0x1.3c60553b03007p-10, -0x1.316f3cbcbad87p-10, -0x1.26d99889abbc9p-10, -0x1.1c9c862e43002p-10, -0x1.12b536c68717cp-10, -0x1.0920f52c7a815p-10, -0x1.ffba53f776031p-11, -0x1.edceb829372f3p-11, -0x1.dc7a5b0cc715ep-11, -0x1.cbb8abe168716p-11, -0x1.bb85383dab847p-11, -0x1.abdba15207e88p-11, -0x1.9cb795e915b61p-11, -0x1.8e14d258a6f7fp-11, -0x1.7fef25e534c55p-11, -0x1.72427b799d3b1p-11, -0x1.650ae28777428p-11, -0x1.584494d6da03fp-11, -0x1.4bebf74521092p-11, -0x1.3ffd957de41a5p-11, -0x1.34761a94146cp-11, -0x1.29524937ed349p-11, -0x1.1e8ef5d6702d5p-11, -0x1.142903d9121b5p-11, -0x1.0a1d6618c7732p-11, -0x1.006921d476e9fp-11, -0x1.ee12a5e5b97aap-12, -0x1.dbf65fe533e1bp-12, -0x1.ca7817de2513dp-12, -0x1.b992abab28b6p-12, -0x1.a9412a2e47a36p-12, -0x1.997eca25b9cbbp-12, -0x1.8a46e1578d996p-12, -0x1.7b94de1601746p-12, -0x1.6d64442b6772ap-12, -0x1.5fb0ae0b3ed2dp-12, -0x1.5275d2edeccbcp-12, -0x1.45af90bd77f88p-12, -0x1.3959f57a580eap-12, -0x1.2d714270f34e1p-12, -0x1.21f1e5db20bbep-12, -0x1.16d86f0b83a03p-12, -0x1.0c2184436db13p-12, -0x1.01c9e06e361d2p-12, -0x1.ef9cae888711dp-13, -0x1.dc57b1057d68ap-13, -0x1.c9bed751683c5p-13, -0x1.b7cc4a4ddb532p-13, -0x1.a67a3b9c41a7bp-13, -0x1.95c2ebd11694bp-13, -0x1.85a0c8fd5919ap-13, -0x1.760e8f5e93616p-13, -0x1.6707503a51a7p-13, -0x1.588657c9ed5bap-13, -0x1.4a8709686ab3ap-13, -0x1.3d04d3c86fd0bp-13, -0x1.2ffb4a68c5eecp-13, -0x1.23664fbb4ee25p-13, -0x1.17422ad442436p-13, -0x1.0b8b72dfd84aep-13, -0x1.003edc72e6904p-13, -0x1.eab2162a1a5bbp-14, -0x1.d5ad029f88767p-14, -0x1.c1675c63d7f5bp-14, -0x1.adda06219b823p-14, -0x1.9afdfb09ad8a2p-14, -0x1.88cc4638c8594p-14, -0x1.773dfe11a7bb6p-14, -0x1.664c6a73301p-14, -0x1.55f1595994591p-14, -0x1.462772e500605p-14, -0x1.36ea4b44900f7p-14, -0x1.28361be115c3bp-14, -0x1.1a0758cf1782dp-14, -0x1.0c5a7448e168ap-14, -0x1.fe57cd0ac703fp-15, -0x1.e4f07ef0e18fep-15, -0x1.cc7801faf9f2bp-15, -0x1.b4e67dca27847p-15, -0x1.9e3283b8539c8p-15, -0x1.8850fc602db3p-15, -0x1.733613d566b66p-15, -0x1.5ed6dc551c8e7p-15, -0x1.4b2ad3c82a543p-15, -0x1.382c613f2636bp-15, -0x1.25d7e9d6de34bp-15, -0x1.142a1aa3ba352p-15, -0x1.031eba180674p-15, -0x1.e561c093d0eddp-16, -0x1.c5b835bc4aadap-16, -0x1.a73a661c214f8p-16, -0x1.89e39c5b208b3p-16, -0x1.6dae5cfaf5677p-16, -0x1.529200e809009p-16, -0x1.3881ed198b675p-16, -0x1.1f6e729fb0126p-16, -0x1.0746b1559624p-16, -0x1.dff6929ed4d85p-17, -0x1.b3028913e0f8p-17, -0x1.87a6a013e6b84p-17, -0x1.5ddf6403b76cfp-17, -0x1.35a8a50584aa1p-17, -0x1.0ef8a8adabb6cp-17, -0x1.d383a8073d52bp-18, -0x1.8bef9ecce7f35p-18, -0x1.4726a8f8a66b4p-18, -0x1.0521c3cfd99b3p-18, -0x1.8bac193dcf087p-19, -0x1.125b0e9ca6fadp-19, -0x1.3c2cd1bfa3a11p-20, -0x1.752351c6d9d95p-22, 0x1.e18c2c7fad938p-22, 0x1.4547ed8acb306p-20, 0x1.04ee240a18d16p-19, 0x1.63456a97a0fb1p-19, 0x1.bdcda6c7e7ff6p-19, 0x1.0a4b7440b9b0cp-18, 0x1.33d4e04c90305p-18, 0x1.5b8b8683ac5d4p-18, 0x1.817d2281eff2cp-18, 0x1.a5b6657df5639p-18, 0x1.c83fa02f79c45p-18, 0x1.e920f24e7060ep-18, 0x1.04333c30ef114p-17, 0x1.130ff788037c5p-17, 0x1.212e82ddc5f2ap-17, 0x1.2e950f4c42ee1p-17, 0x1.3b48582b8a3cdp-17, 0x1.474d25aff29f4p-17, 0x1.52a9b5a98e037p-17, 0x1.5d659b31d5236p-17, 0x1.678715faea7ffp-17, 0x1.71117b0f497a8p-17, 0x1.7a085198fb774p-17, 0x1.82719382714d8p-17, 0x1.8a51a2215381cp-17, 0x1.91a8a2d33eb5p-17, 0x1.9877d211019b9p-17, 0x1.9ec4cdaf221c1p-17, 0x1.a495716d5dfe5p-17, 0x1.a9ecea2cbe051p-17, 0x1.aecdbcf3bcc3bp-17, 0x1.b33b304ebac8bp-17, 0x1.b7384ede401c8p-17, 0x1.bac798222725fp-17, 0x1.bdec1b9e7d9b7p-17, 0x1.c0aac5a481e33p-17, 0x1.c3093656227dfp-17, 0x1.c50927db8b9c8p-17, 0x1.c6a90b0235e64p-17, 0x1.c7eab49c363b2p-17, 0x1.c8d3178a9e672p-17, 0x1.c965956d43dp-17, 0x1.c9a50436760c6p-17, 0x1.c993f8569809bp-17, 0x1.c933f2bbdfba6p-17, 0x1.c88772efab112p-17, 0x1.c7919b29ee532p-17, 0x1.c653bf23a6e97p-17, 0x1.c4ce91fc98696p-17, 0x1.c303ee91c743fp-17, 0x1.c0f615805e665p-17, 0x1.bea7071fd8c9fp-17, 0x1.bc191bdb2c3ddp-17, 0x1.b95008b05b2aep-17, 0x1.b64e56808bf35p-17, 0x1.b313941ea14aep-17, 0x1.afa160c962d4ap-17, 0x1.abfa56291eebfp-17, 0x1.a81e55bddbef9p-17, 0x1.a40e4245c53cdp-17, 0x1.9fcccb2698c1ap-17, 0x1.9b5cf29157b16p-17, 0x1.96c159616af8ap-17, 0x1.91fac164d72b8p-17, 0x1.8d098b3ac0d54p-17, 0x1.87efda4637c6ap-17, 0x1.82af263003aa5p-17, 0x1.7d47a45cdc353p-17, 0x1.77baa01aaa7e1p-17, 0x1.720a01bd1ac21p-17, 0x1.6c3725372391ep-17, 0x1.6643d39fb898dp-17, 0x1.603211d307bb2p-17, 0x1.5a023f210020bp-17, 0x1.53b60dc373d12p-17, 0x1.4d4e8650068acp-17, 0x1.46cbd560ca42bp-17, 0x1.402fc2896038ep-17, 0x1.397bea60fffd9p-17, 0x1.32b150b10b304p-17, 0x1.2bd0d6018f0e7p-17, 0x1.24db50f71ca14p-17, 0x1.1dd1db85c034fp-17, 0x1.16b62a1723ebfp-17, 0x1.0f894585bee57p-17, 0x1.084c06032fc31p-17, 0x1.00ffc92379817p-17, 0x1.f349a83e25699p-18, 0x1.e477debab1853p-18, 0x1.d58c656d7b9efp-18, 0x1.c689518d3d26p-18, 0x1.b771f7f652204p-18, 0x1.a847f850da772p-18, 0x1.990d36f9642b7p-18, 0x1.89c199cf61381p-18, 0x1.7a676702870e7p-18, 0x1.6b012c79fc834p-18, 0x1.5b9081f34eed8p-18, 0x1.4c16e3257eb17p-18, 0x1.3c95e276221b4p-18, 0x1.2d0f16471d947p-18, 0x1.1d8409addb065p-18, 0x1.0df63dfca2978p-18, 0x1.fcce06e329b23p-19, 0x1.ddae8d9d397ebp-19, 0x1.be91bda9207a6p-19, 0x1.9f7c31852ab1dp-19, 0x1.8071100a45f32p-19, 0x1.617249e8d827ep-19, 0x1.427ecd653b82fp-19, 0x1.239a549927aacp-19, 0x1.04cb845b47213p-19, 0x1.cc298dc136c01p-20, 0x1.8eeaabd655f33p-20, 0x1.51dfc29178b0dp-20, 0x1.15103f6c83a71p-20, 0x1.b1008d21a43ecp-21, 0x1.3867b903e00e7p-21, 0x1.80bd34f7daab6p-22, 0x1.23b74afd514b3p-23, -0x1.6f11d1206df9p-24, -0x1.4812e466c03a8p-22, -0x1.197fedb1af48bp-21, -0x1.8e3dcf203824ap-21, -0x1.011d96f78d413p-20, -0x1.3ab808208dfedp-20, -0x1.73ea5b44cf933p-20, -0x1.acb22c187a624p-20, -0x1.e50e0c7f16007p-20, -0x1.0e7ba729e0b8fp-19, -0x1.2a357a3252e99p-19, -0x1.45b41c5f7438cp-19, -0x1.60f457a51cb08p-19, -0x1.7bf5d9e8c56e3p-19, -0x1.96b73f10abddap-19, -0x1.b136427d6a933p-19, -0x1.cb71e7769e214p-19, -0x1.e56914d7319bp-19, -0x1.ff1a91856953ep-19, -0x1.0c4291b06d022p-18, -0x1.18d3cc7f2e8ap-18, -0x1.25406661ab7d4p-18, -0x1.3187d3a471ab3p-18, -0x1.3da99093dfca1p-18, -0x1.49a52085d90dap-18, -0x1.557a09f9cf3cep-18, -0x1.6127d279dc6a6p-18, -0x1.6cadff140e96ep-18, -0x1.780c1d28a9a6ap-18, -0x1.8341cc577c97dp-18, -0x1.8e4ea76e6853cp-18, -0x1.993238218dc98p-18, -0x1.a3ecc2234c5f9p-18, -0x1.ae7d9d400e155p-18, -0x1.b8e3dc96ee75p-18, -0x1.c31fe378e06e8p-18, -0x1.cd315e3516a1fp-18, -0x1.d717b76a40572p-18, -0x1.e0d2ca3bab4dep-18, -0x1.ea62726675ddap-18, -0x1.f3c67f58a83b5p-18, -0x1.fcfec020f6b7dp-18, -0x1.030583beb9e92p-17, -0x1.07759655496a3p-17, -0x1.0bcf85c3be5d8p-17, -0x1.1013425b8adc1p-17, -0x1.1440bea5b869cp-17, -0x1.1857eec72572bp-17, -0x1.1c58c7e78a478p-17, -0x1.2043406390572p-17, -0x1.241750d26e873p-17, -0x1.27d4f654dbacp-17, -0x1.2b7c328a78978p-17, -0x1.2f0cff1f931f1p-17, -0x1.328751f893624p-17, -0x1.35eb4cf3c0065p-17, -0x1.3938d3c7ffa97p-17, -0x1.3c700a2424818p-17, -0x1.3f90d23ebdfcfp-17, -0x1.429b584810318p-17, -0x1.458f89f579f6p-17, -0x1.486d904d99741p-17, -0x1.4b35669c91a35p-17, -0x1.4de7147d2245ep-17, -0x1.5082b2201aa93p-17, -0x1.530852c4df15bp-17, -0x1.5578091f80c26p-17, -0x1.57d1e91ba095fp-17, -0x1.5a160824e0c23p-17, -0x1.5c447d2433e51p-17, -0x1.5e5d603d063cep-17, -0x1.6060ca77094c7p-17, -0x1.624ed5abe81cap-17, -0x1.64279ca992bcp-17, -0x1.65eb3bb944457p-17, -0x1.6799d220be575p-17, -0x1.693380bc7805ap-17, -0x1.6ab8621ca894ap-17, -0x1.6c2890b6c12a7p-17, -0x1.6d8440c776d5fp-17, -0x1.6ecb94ef62c8p-17, -0x1.6ffe9e0564ac2p-17, -0x1.711d85ae3469dp-17, -0x1.722875ab3441p-17, -0x1.731f950d43cdcp-17, -0x1.74030727dcdaep-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.f98221dafd3c8p-1, 0x1.f8ca47ac8170bp-1, 0x1.f7988dda4c34p-1, 0x1.f5edfb7662e1ep-1, 0x1.f3cbfa1ae859dp-1, 0x1.f134503008e72p-1, 0x1.ee291a6dde77cp-1, 0x1.eaacc4e2d30cbp-1, 0x1.e6c203b924249p-1, 0x1.e26bcbea22cd6p-1, 0x1.ddad4c0381d82p-1, 0x1.d889e51a4af9p-1, 0x1.d30523ffdc04ep-1, 0x1.cd22bac74de62p-1, 0x1.c6e67aa4da837p-1, 0x1.c0544e2cf587fp-1, 0x1.b97033f5c50adp-1, 0x1.b23e399b520c8p-1, 0x1.aac27724ffcb5p-1, 0x1.a3010ac994234p-1, 0x1.9afe150e30c5p-1, 0x1.92bdb53bfc87dp-1, 0x1.8a440627e7365p-1, 0x1.81951b47bd72fp-1, 0x1.78b4fe0fb74ecp-1, 0x1.6fa7ab93c2d5cp-1, 0x1.66711267e2b13p-1, 0x1.5d1510bb365c5p-1, 0x1.539772a96cb81p-1, 0x1.49fbf0bea434ap-1, 0x1.40462ea9fbc6p-1, 0x1.3679ba1b4d7eep-1, 0x1.2c9a09c8d19d5p-1, 0x1.22aa7c999af58p-1, 0x1.18ae58f219413p-1, 0x1.0ea8cc1ffdc8ep-1, 0x1.049ce9e30fae3p-1, 0x1.f51b582155b81p-2, 0x1.e0fbe49f9082ap-2, 0x1.cce103d7345a6p-2, 0x1.b8d00b75c3a0ap-2, 0x1.a4ce1c34987a5p-2, 0x1.90e021f06d419p-2, 0x1.7d0ad3e0bf627p-2, 0x1.6952b4ec36f52p-2, 0x1.55bc141779a92p-2, 0x1.424b0d0bf0204p-2, 0x1.2f0388b432255p-2, 0x1.1be93debf1592p-2, 0x1.08ffb2415c3ffp-2, 0x1.ec94758c31f0fp-3, 0x1.c797f9dc180c6p-3, 0x1.a30fdef49aa42p-3, 0x1.7f01b6dd675f3p-3, 0x1.5b72ba2121cb5p-3, 0x1.3867c9da7da7ap-3, 0x1.15e571ce82f8p-3, 0x1.e7dfd52340edep-4, 0x1.a516376ae7aecp-4, 0x1.63753bfa753c4p-4, 0x1.23037b2e33796p-4, 0x1.c78df1623f47ep-5, 0x1.4b8a4ff1eadeap-5, 0x1.a40bc30a306abp-6, 0x1.6c259c5f6f6fep-7, -0x1.96363ec7c858fp-9, -0x1.167381a87be6fp-6, -0x1.f4e7c9ab666efp-6, -0x1.670cf05aa22f4p-5, -0x1.d100e66207ce1p-5, -0x1.1c2651fe77611p-4, -0x1.4e76ebf46e6b5p-4, -0x1.7f717d2509a3ap-4, -0x1.af15a243ceafep-4, -0x1.dd6354a564b5cp-4, -0x1.052d7328eadeap-3, -0x1.1afe7f14efb8cp-3, -0x1.30254a0ff2755p-3, -0x1.44a276c27d2dp-3, -0x1.5876ccb52beb5p-3, -0x1.6ba3368bbbf2p-3, -0x1.7e28c04a94e9bp-3, -0x1.900895a6d933p-3, -0x1.a144006107032p-3, -0x1.b1dc66aa2f946p-3, -0x1.c1d34993ce177p-3, -0x1.d12a438a2785fp-3, -0x1.dfe306d932761p-3, -0x1.edff5c3bf9bcep-3, -0x1.fb8121765dba1p-3, -0x1.043523fc93fep-2, -0x1.0a5e69c82706fp-2, -0x1.103d6c8da80a2p-2, -0x1.15d33ea7c7247p-2, -0x1.1b20f9c23de8cp-2, -0x1.2027be44c3ae8p-2, -0x1.24e8b2c2c888ep-2, -0x1.2965036fee19ep-2, -0x1.2d9de199213b7p-2, -0x1.3194832243c6dp-2, -0x1.354a220856a65p-2, -0x1.38bffbe80e332p-2, -0x1.3bf75188b75d1p-2, -0x1.3ef1666b61bccp-2, -0x1.41af805e36cfcp-2, -0x1.4432e713e2396p-2, -0x1.467ce3bf06319p-2, -0x1.488ec0b195de4p-2, -0x1.4a69c9000f6f4p-2, -0x1.4c0f482876526p-2, -0x1.4d8089bd012e5p-2, -0x1.4ebed9125ff0bp-2, -0x1.4fcb80f18e0d8p-2, -0x1.50a7cb4d1298cp-2, -0x1.515500f9a33bp-2, -0x1.51d4696a0d6a2p-2, -0x1.52274a6e5bc91p-2, -0x1.524ee7f61aa7fp-2, -0x1.524c83d5acafbp-2, -0x1.52215d8e9db1bp-2, -0x1.51ceb21ada898p-2, -0x1.5155bbbac311dp-2, -0x1.50b7b1c5fb595p-2, -0x1.4ff5c87ef0363p-2, -0x1.4f1130e8f6285p-2, -0x1.4e0b18a0f6381p-2, -0x1.4ce4a9b893461p-2, -0x1.4b9f0a93b8d6dp-2, -0x1.4a3b5dc879d8fp-2, -0x1.48bac2013cc1cp-2, -0x1.471e51e1107f1p-2, -0x1.456723ea2dc45p-2, -0x1.43964a667fbf7p-2, -0x1.41acd35236dabp-2, -0x1.3fabc848425b5p-2, -0x1.3d942e70b3f1bp-2, -0x1.3b670670eaec7p-2, -0x1.39254c5d83facp-2, -0x1.36cff7adfc56fp-2, -0x1.3467fb31f099p-2, -0x1.31ee4507f5dfbp-2, -0x1.2f63be95efd8cp-2, -0x1.2cc94c82e4184p-2, -0x1.2a1fceb22e298p-2, -0x1.276820401226p-2, -0x1.24a3177f99978p-2, -0x1.21d185f9ac218p-2, -0x1.1ef4386d5f8cep-2, -0x1.1c0bf6d16693bp-2, -0x1.191984569846p-2, -0x1.161d9f6b85e8ap-2, -0x1.131901c10b857p-2, -0x1.100c604fd6542p-2, -0x1.0cf86b5ed1993p-2, -0x1.09ddce8a6fdbdp-2, -0x1.06bd30ccc5754p-2, -0x1.0397348667466p-2, -0x1.006c778806fc9p-2, -0x1.fa7b263982087p-3, -0x1.f416382a1c2e6p-3, -0x1.edab45a4ad47cp-3, -0x1.e73b66a62a492p-3, -0x1.e0c7aa7f0deb3p-3, -0x1.da5117edb96d6p-3, -0x1.d3d8ad39c499cp-3, -0x1.cd5f6050319a1p-3, -0x1.c6e61ee07063bp-3, -0x1.c06dce7a19f9fp-3, -0x1.b9f74cab6a907p-3, -0x1.b3836f204a2cdp-3, -0x1.ad1303c1f8e3dp-3, -0x1.a6a6d0d73397cp-3, -0x1.a03f9524d1394p-3, -0x1.99de080ecedc1p-3, -0x1.9382d9b9b584ap-3, -0x1.8d2eb32c49d86p-3, -0x1.86e236718cbb4p-3, -0x1.809dfebaed2e5p-3, -0x1.7a62a082a7ecep-3, -0x1.7430a9ae50601p-3, -0x1.6e08a1b16eaf5p-3, -0x1.67eb09b0312a8p-3, -0x1.61d85ca222fb8p-3, -0x1.5bd10f74e033ep-3, -0x1.55d5912ec2d14p-3, -0x1.4fe64b1178e3p-3, -0x1.4a03a0bc8593bp-3, -0x1.442df04f9b7e6p-3, -0x1.3e65928cd3d5p-3, -0x1.38aadafab1a12p-3, -0x1.32fe1805f3c23p-3, -0x1.2d5f93232a3aep-3, -0x1.27cf90f007c35p-3, -0x1.224e515473254p-3, -0x1.1cdc0fa34508p-3, -0x1.177902bac1209p-3, -0x1.12255d24ae9ffp-3, -0x1.0ce14d361fb45p-3, -0x1.07acfd2edd90ap-3, -0x1.028893586ca7cp-3, -0x1.fae8644970226p-4, -0x1.f0dff0989a6f9p-4, -0x1.e6f801d86683ap-4, -0x1.dd30c746aacdap-4, -0x1.d38a695f0066p-4, -0x1.ca050a13d1d9ap-4, -0x1.c0a0c5069a5ddp-4, -0x1.b75dafbf2269ep-4, -0x1.ae3bd9e1e0697p-4, -0x1.a53b4d6571377p-4, -0x1.9c5c0ec708b6bp-4, -0x1.939e1d3e05d01p-4, -0x1.8b0172ee89d01p-4, -0x1.8286051b148ddp-4, -0x1.7a2bc45530f69p-4, -0x1.71f29cad26bcp-4, -0x1.69da75e0b125p-4, -0x1.61e33388c3466p-4, -0x1.5a0cb5464c434p-4, -0x1.5256d6ee078dbp-4, -0x1.4ac170b355197p-4, -0x1.434c575216852p-4, -0x1.3bf75c379a5e7p-4, -0x1.34c24daa8fb43p-4, -0x1.2dacf6f2054c9p-4, -0x1.26b7207b769dbp-4, -0x1.1fe08fffea92bp-4, -0x1.192908a81c613p-4, -0x1.12904b2fbfab3p-4, -0x1.0c161607d4ac7p-4, -0x1.05ba2578115fap-4, -0x1.fef8677ed7236p-5, -0x1.f2b7f2676ecc6p-5, -0x1.e6b258c0d280bp-5, -0x1.dae70448edb07p-5, -0x1.cf555b9eb8d18p-5, -0x1.c3fcc27a929d5p-5, -0x1.b8dc99e4edd0fp-5, -0x1.adf4406b56407p-5, -0x1.a3431253d8d96p-5, -0x1.98c869ceccd2ep-5, -0x1.8e839f270e39cp-5, -0x1.847408f0ab9bep-5, -0x1.7a98fc360785dp-5, -0x1.70f1cca3812e1p-5, -0x1.677dccb19fb9bp-5, -0x1.5e3c4dcdcb03ap-5, -0x1.552ca0819c73ep-5, -0x1.4c4e1498c89b9p-5, -0x1.439ff945a844ap-5, -0x1.3b219d447016bp-5, -0x1.32d24efd14b41p-5, -0x1.2ab15ca3e6382p-5, -0x1.22be1458e85cfp-5, -0x1.1af7c445f3996p-5, -0x1.135dbabb9b595p-5, -0x1.0bef464ce9d7ep-5, -0x1.04abb5e9f5225p-5, -0x1.fb24b1f2af9fbp-6, -0x1.ed44fee107ep-6, -0x1.dfb6f3d626075p-6, -0x1.d2793381fe9aap-6, -0x1.c58a6237b7dcbp-6, -0x1.b8e92616141f8p-6, -0x1.ac94272dfc2adp-6, -0x1.a08a0fa713343p-6, -0x1.94c98be27c849p-6, -0x1.89514a9bd703bp-6, -0x1.7e1ffd0877d02p-6, -0x1.733456f4f4127p-6, -0x1.688d0ee101c9ap-6, -0x1.5e28de19c4ac8p-6, -0x1.540680d28b59cp-6, -0x1.4a24b63c032b5p-6, -0x1.40824099f931cp-6, -0x1.371de557b66afp-6, -0x1.2df66d1af3aebp-6, -0x1.250aa3d571484p-6, -0x1.1c5958d554039p-6, -0x1.13e15ed431296p-6, -0x1.0ba18c04f673ap-6, -0x1.0398ba208d9b8p-6, -0x1.f78b8ce2ebd25p-7, -0x1.e84f23bc6c6d8p-7, -0x1.d97a01e593c43p-7, -0x1.cb09f7d1f96d9p-7, -0x1.bcfcdd5fa98c7p-7, -0x1.af5091e4172dcp-7, -0x1.a202fc372211dp-7, -0x1.95120abc6c659p-7, -0x1.887bb36afac98p-7, -0x1.7c3df3d333c43p-7, -0x1.7056d12344406p-7, -0x1.64c4582a16201p-7, -0x1.59849d58b9ee7p-7, -0x1.4e95bcc28a0f6p-7, -0x1.43f5da1beeee8p-7, -0x1.39a320b7d18dcp-7, -0x1.2f9bc383de5d3p-7, -0x1.25ddfd03aa854p-7, -0x1.1c680f4aae8abp-7, -0x1.133843f53a0ep-7, -0x1.0a4cec2051dd1p-7, -0x1.01a46060b0c81p-7, -0x1.f27a01719cbddp-8, -0x1.e22a691c04c8ep-8, -0x1.d256d539eac18p-8, -0x1.c2fc31da22aecp-8, -0x1.b4177986c2c77p-8, -0x1.a5a5b52956e9bp-8, -0x1.97a3fbedc5aecp-8, -0x1.8a0f732408088p-8, -0x1.7ce54e208db1dp-8, -0x1.7022ce1ba9141p-8, -0x1.63c5420fe31b7p-8, -0x1.57ca069752d73p-8, -0x1.4c2e85c81bce4p-8, -0x1.40f037102ca3ap-8, -0x1.360c9f0ff29cep-8, -0x1.2b814f749b291p-8, -0x1.214be6d174c9ap-8, -0x1.176a1078db737p-8, -0x1.0dd98454a3bd9p-8, -0x1.049806bdd1eb2p-8, -0x1.f746d0a8101c1p-9, -0x1.e5f30ba8ecb08p-9, -0x1.d5308fe0dd13ep-9, -0x1.c4fb4647938c6p-9, -0x1.b54f2f15c5c3fp-9, -0x1.a6286170e5293p-9, -0x1.97830b163ec2p-9, -0x1.895b7005ca7c9p-9, -0x1.7badea2d16a74p-9, -0x1.6e76e9119ad88p-9, -0x1.61b2f17b5eb83p-9, -0x1.555e9d1f5eeb9p-9, -0x1.49769a49c7c83p-9, -0x1.3df7ab88a09e9p-9, -0x1.32dea7567f75cp-9, -0x1.282877c54809fp-9, -0x1.1dd21a297035cp-9, -0x1.13d89ec58eab4p-9, -0x1.0a392875d688ap-9, -0x1.00f0ec5c57f56p-9, -0x1.effa631b75d17p-10, -0x1.deb6a17c42afp-10, -0x1.ce1167dda3976p-10, -0x1.be05ac393c03ep-10, -0x1.ae8e85dc41fe3p-10, -0x1.9fa72cc6b9fb3p-10, -0x1.914af90b3670ap-10, -0x1.8375623023bc2p-10, -0x1.7621fe923c269p-10, -0x1.694c82c92dba8p-10, -0x1.5cf0c10cefbebp-10, -0x1.510aa89cb3244p-10, -0x1.45964527c13a8p-10, -0x1.3a8fbe37d26f7p-10, -0x1.2ff3569ce61eep-10, -0x1.25bd6bdb0d28p-10, -0x1.1bea7599fb5fep-10, -0x1.12770515f3caap-10, -0x1.095fc4925329dp-10, -0x1.00a176cec1589p-10, -0x1.f071ecfa7dc39p-11, -0x1.e0466b74f6fc2p-11, -0x1.d0ba7b1093934p-11, -0x1.c1c85a92850b3p-11, -0x1.b36a747da5826p-11, -0x1.a59b5e115fa54p-11, -0x1.9855d64d44cf1p-11, -0x1.8b94c4f7b1371p-11, -0x1.7f5339a8793e6p-11, -0x1.738c6ad82c272p-11, -0x1.683bb4f1bdc32p-11, -0x1.5d5c996924934p-11, -0x1.52eabdd4c926ap-11, -0x1.48e1eb0b2675bp-11, -0x1.3f3e0c450c7dp-11, -0x1.35fb2e41f14ffp-11, -0x1.2d157e71b395dp-11, -0x1.24894a213cb0cp-11, -0x1.1c52fdab1ae74p-11, -0x1.146f23ab8c757p-11, -0x1.0cda643830aa8p-11, -0x1.0591841bff9f1p-11, -0x1.fd22c82ca1bf2p-12, -0x1.efae003be5bdp-12, -0x1.e2bedd4ea15a6p-12, -0x1.d64fbfde27cbbp-12, -0x1.ca5b3a8e8415cp-12, -0x1.bedc10d072bbfp-12, -0x1.b3cd358a8dda5p-12, -0x1.a929c9c9ababep-12, -0x1.9eed1b7789ce4p-12, -0x1.9512a41809438p-12, -0x1.8b96078e49d04p-12, -0x1.827312e727743p-12, -0x1.79a5bb2a600b8p-12, -0x1.712a1c321fccdp-12, -0x1.68fc7789d1c3bp-12, -0x1.6119335236ec2p-12, -0x1.597cd92c53dadp-12, -0x1.5224152a45cdbp-12, -0x1.4b0bb4c6dfdfep-12, -0x1.4430a5e1b2a4dp-12, -0x1.3d8ff5c280bbbp-12, -0x1.3726d020c0906p-12, -0x1.30f27e33483bdp-12, -0x1.2af065c3ac0bdp-12, -0x1.251e084791f69p-12, -0x1.1f7902000c704p-12, -0x1.19ff091ed5e79p-12, -0x1.14adecee4d85dp-12, -0x1.0f839502c50a8p-12, -0x1.0a7e006bf06d4p-12, -0x1.059b44ef5bd94p-12, -0x1.00d98e46e72ddp-12, -0x1.f86e3ac66581bp-13, -0x1.ef648f65fd16dp-13, -0x1.e692ece28e39dp-13, -0x1.ddf64be98747fp-13, -0x1.d58bca0c26aa4p-13, -0x1.cd50a8761823bp-13, -0x1.c5424aa5a770cp-13, -0x1.bd5e353501995p-13, -0x1.b5a20ca7ef11fp-13, -0x1.ae0b944168461p-13, -0x1.a698ace1e3eadp-13, -0x1.9f4753f02b5fcp-13, -0x1.9815a244fdd5fp-13, -0x1.9101cb212dce8p-13, -0x1.8a0a1b2da53a4p-13, -0x1.832cf77be6cbcp-13, -0x1.7c68dc95b87ddp-13, -0x1.75bc5d8e29c6cp-13, -0x1.6f26231c320fep-13, -0x1.68a4eabb5c696p-13, -0x1.623785d2f7609p-13, -0x1.5bdcd8e4acda1p-13, -0x1.5593dabe43ab3p-13, -0x1.4f5b93b583465p-13, -0x1.49331ce7dcf95p-13, -0x1.43199f812a527p-13, -0x1.3d0e5406663cp-13, -0x1.371081a8aac92p-13, -0x1.311f7d9b94345p-13, -0x1.2b3aaa715aa2ep-13, -0x1.2561777e075dp-13, -0x1.1f93603d1b1ecp-13, -0x1.19cfebbc42bf2p-13, -0x1.1416ac0df2db7p-13, -0x1.0e673dbe4144ap-13, -0x1.08c1474d31a3fp-13, -0x1.032478accep-13, -0x1.fb21158b4085ep-14, -0x1.f00a7dfa0b10ep-14, -0x1.e504bd7ef676cp-14, -0x1.da0f762a74d2dp-14, -0x1.cf2a586084bp-14, -0x1.c455220d1f2e5p-14, -0x1.b98f9dda34469p-14, -0x1.aed9a26f60a57p-14, -0x1.a43311b4f967dp-14, -0x1.999bd820e3728p-14, -0x1.8f13ec0cb0b94p-14, -0x1.849b4d0b6909dp-14, -0x1.7a320348a7b9cp-14, -0x1.6fd81ef628fc4p-14, -0x1.658db7b035212p-14, -0x1.5b52ebf3bcd3ap-14, -0x1.5127e094c4406p-14, -0x1.470cc03f8e4b2p-14, -0x1.3d01baf7220ffp-14, -0x1.3307059f56f99p-14, -0x1.291cd98cb3598p-14, -0x1.1f4374146ab5dp-14, -0x1.157b1621b5p-14, -0x1.0bc403d4e2174p-14, -0x1.021e842291adep-14, -0x1.f115c0ed9282cp-15, -0x1.de12c8bf4573dp-15, -0x1.cb34ba73d596p-15, -0x1.b87c33c5280a2p-15, -0x1.a5e9d4d27097ep-15, -0x1.937e3f9572546p-15, -0x1.813a175db0566p-15, -0x1.6f1e004a11056p-15, -0x1.5d2a9ecd688ebp-15, -0x1.4b6097435cd22p-15, -0x1.39c08d79b98a4p-15, -0x1.284b244fe881fp-15, -0x1.1700fd51454b8p-15, -0x1.05e2b85eed37dp-15, -0x1.e9e1e6aba4c0fp-16, -0x1.c8589379ed20ep-16, -0x1.a72aa8f52ef31p-16, -0x1.865953245107cp-16, -0x1.65e5b7b8376adp-16, -0x1.45d0f592b7051p-16, -0x1.261c245b8739ep-16, -0x1.06c8540c14217p-16, -0x1.cfad1930f0fap-17, -0x1.928f9b12f9863p-17, -0x1.563a1b6f88a4ep-17, -0x1.1aae75f7a1d19p-17, -0x1.bfdce78d489eap-18, -0x1.4bf795e1c322dp-18, -0x1.b3607865a1d7ap-19, -0x1.a427e086d3511p-20, 0x1.7e1048e847ca7p-24, 0x1.cd4e8d3dcdc18p-20, 0x1.be0b171c2908cp-19, 0x1.490b80e4b7df7p-18, 0x1.b16334966fbb3p-18, 0x1.0c05413c8d6bbp-17, 0x1.3e7fb876a1265p-17, 0x1.7020189fce721p-17, 0x1.a0e58fcbacc2bp-17, 0x1.d0cf6195cfab5p-17, 0x1.ffdce6f2c214ep-17, 0x1.1706c726458fp-16, 0x1.2db06daa8f6eap-16, 0x1.43eb337f579a7p-16, 0x1.59b6efa43c46p-16, 0x1.6f13839301f8fp-16, 0x1.8400db2ee6ddep-16, 0x1.987eeca6eaeb2p-16, 0x1.ac8db857a4c0ap-16, 0x1.c02d48b6da33bp-16, 0x1.d35db231b5cafp-16, 0x1.e61f131285ef1p-16, 0x1.f8719350d4b68p-16, 0x1.052ab23df8083p-15, 0x1.0de560c6ea26dp-15, 0x1.1668f764b7a73p-15, 0x1.1eb59cc533142p-15, 0x1.26cb7c0fa726dp-15, 0x1.2eaac4d311c79p-15, 0x1.3653aaec3058p-15, 0x1.3dc6667024b0fp-15, 0x1.45033394bcd6dp-15, 0x1.4c0a529b1515bp-15, 0x1.52dc07b94d67p-15, 0x1.59789afdc80abp-15, 0x1.5fe0583b8f6f6p-15, 0x1.66138ef0e827bp-15, 0x1.6c12922e590bap-15, 0x1.71ddb87ef2352p-15, 0x1.77755bcb68498p-15, 0x1.7cd9d9470a23cp-15, 0x1.820b9153efbcfp-15, 0x1.870ae76a306bap-15, 0x1.8bd841fe4ab18p-15, 0x1.90740a674b8b2p-15, 0x1.94deacc917eap-15, 0x1.991897f8d59eep-15, 0x1.9d223d63c4488p-15, 0x1.a0fc10f76f6abp-15, 0x1.a4a689090a25dp-15, 0x1.a8221e3d4fe14p-15, 0x1.ab6f4b6f84dbap-15, 0x1.ae8e8d96f98c6p-15, 0x1.b18063b405594p-15, 0x1.b4454eb43d6b7p-15, 0x1.b6ddd15d36242p-15, 0x1.b94a70333b41bp-15, 0x1.bb8bb16254034p-15, 0x1.bda21ca9d537ap-15, 0x1.bf8e3b439271bp-15, 0x1.c15097ce38cddp-15, 0x1.c2e9be364a132p-15, 0x1.c45a3ba20f513p-15, 0x1.c5a29e5b5a2a5p-15, 0x1.c6c375bb07082p-15, 0x1.c7bd5212ce9c3p-15, 0x1.c890c49a1b791p-15, 0x1.c93e5f59d9616p-15, 0x1.c9c6b518a6f2bp-15, 0x1.ca2a5946e8b08p-15, 0x1.ca69dfeb0692ep-15, 0x1.ca85dd909e2f9p-15, 0x1.ca7ee7353bdd1p-15, 0x1.ca559236938ap-15, 0x1.ca0a74400f86dp-15, 0x1.c99e233977f89p-15, 0x1.c91135373563ap-15, 0x1.c8644068f3136p-15, 0x1.c797db09f8b37p-15, 0x1.c6ac9b50b1804p-15, 0x1.c5a3175fb9a88p-15, 0x1.c47be5364e992p-15, 0x1.c3379aa2d8794p-15, 0x1.c1d6cd32634e1p-15, 0x1.c05a1223c759bp-15, 0x1.bec1fe5a81dafp-15, 0x1.bd0f265166e3ep-15, 0x1.bb421e0d3d35ep-15, 0x1.b95b79107e4f4p-15, 0x1.b75bca4dcde3fp-15, 0x1.b543a41e5cbcbp-15, 0x1.b3139834c8abep-15, 0x1.b0cc3793009a1p-15, 0x1.ae6e127f61b2cp-15, 0x1.abf9b8796c70bp-15, 0x1.a96fb830754fbp-15, 0x1.a6d09f79fd39dp-15, 0x1.a41cfb47872aap-15, 0x1.a155579d6b1bcp-15, 0x1.9e7a3f8ab7e09p-15, 0x1.9b8c3d21345a8p-15, 0x1.988bd96c28aaep-15, 0x1.95799c69322bdp-15, 0x1.92560d004f73ap-15, 0x1.8f21b0fc8d644p-15, 0x1.8bdd0d058cc3dp-15, 0x1.8888a498af33p-15, 0x1.8524fa03a02dbp-15, 0x1.81b28e5cf355p-15, 0x1.7e31e17f1985fp-15, 0x1.7aa37202c9109p-15, 0x1.7707bd39dd309p-15, 0x1.735f3f2a5aa1dp-15, 0x1.6faa72890e9b4p-15, 0x1.6be9d0b64a944p-15, 0x1.681dd1b9ead0ap-15, 0x1.6446ec3dca1f6p-15, 0x1.6065958bf5c43p-15, 0x1.5c7a4189deb91p-15, 0x1.588562b5dcb11p-15, 0x1.54876a236aaf5p-15, 0x1.5080c779c02e5p-15, 0x1.4c71e8f10764fp-15, 0x1.485b3b4ec7fb4p-15, 0x1.443d29e5a85ap-15, 0x1.40181e91b1d25p-15, 0x1.3bec81b7fa824p-15, 0x1.37baba450e908p-15, 0x1.33832daac77e2p-15, 0x1.2f463fdfa1bbep-15, 0x1.2b04535f3c914p-15, 0x1.26bdc927289e2p-15, 0x1.227300b8248c5p-15, 0x1.1e245814e6da1p-15, 0x1.19d22bc2baf04p-15, 0x1.157cd6c7f136cp-15, 0x1.1124b2ad09663p-15, 0x1.0cca177e0e915p-15, 0x1.086d5bc8690f7p-15, 0x1.040ed49dc4517p-15, }}, 
      {{0x1.f9ab0856693e8p-1, 0x1.f96db6ab989c4p-1, 0x1.f907a78d6c5f6p-1, 0x1.f8790ff0a528cp-1, 0x1.f7c238fa9730bp-1, 0x1.f6e37f2327a43p-1, 0x1.f5dd5134b0fc4p-1, 0x1.f4b02f33d25f6p-1, 0x1.f35ca9378cf46p-1, 0x1.f1e35e389a77cp-1, 0x1.f044fadda4079p-1, 0x1.ee823848e1233p-1, 0x1.ec9bdaeab2199p-1, 0x1.ea92b15bfcap-1, 0x1.e8679342600d2p-1, 0x1.e61b603fc43eap-1, 0x1.e3aefeee4e215p-1, 0x1.e1235be96678ep-1, 0x1.de7968e42955dp-1, 0x1.dbb21bcd5a5ccp-1, 0x1.d8ce6e00c96e2p-1, 0x1.d5cf5b85e7e69p-1, 0x1.d2b5e25b3a78cp-1, 0x1.cf8301ce349ep-1, 0x1.cc37b9df0786dp-1, 0x1.c8d50aafdc6d5p-1, 0x1.c55bf3fef02fdp-1, 0x1.c1cd74ab06537p-1, 0x1.be2a8a41a5975p-1, 0x1.ba743096938f2p-1, 0x1.b6ab61640df82p-1, 0x1.b2d113f33a89dp-1, 0x1.aee63ccc53e0fp-1, 0x1.aaebcd6e1c8bep-1, 0x1.a6e2b40c26f9ap-1, 0x1.a2cbdb5383ae6p-1, 0x1.9ea82a35764d6p-1, 0x1.9a7883b7ca1eap-1, 0x1.963dc6ca6f322p-1, 0x1.91f8ce220b087p-1, 0x1.8daa7017276c6p-1, 0x1.89537e89b75e5p-1, 0x1.84f4c6c8a8658p-1, 0x1.808f117d3c1c8p-1, 0x1.7c232299e989cp-1, 0x1.77b1b94c8aad1p-1, 0x1.733b8ff39d4cbp-1, 0x1.6ec15c1660092p-1, 0x1.6a43ce5f9842p-1, 0x1.65c3929ad30eep-1, 0x1.61414fb3f1945p-1, 0x1.5cbda7b8d6b41p-1, 0x1.583937dd0c899p-1, 0x1.53b4987f3d30cp-1, 0x1.4f305d3057434p-1, 0x1.4aad14bc3fb22p-1, 0x1.462b4933ee3e5p-1, 0x1.41ab7ff8d43c2p-1, 0x1.3d2e39c976528p-1, 0x1.38b3f2cf17c95p-1, 0x1.343d22ac61a17p-1, 0x1.2fca3c8ceb838p-1, 0x1.2b5baf359169dp-1, 0x1.26f1e5157dd42p-1, 0x1.228d4457d83f9p-1, 0x1.1e2e2ef600ccap-1, 0x1.19d502ca4afedp-1, 0x1.158219a3243dap-1, 0x1.1135c95698732p-1, 0x1.0cf063d625d57p-1, 0x1.08b23742d03c8p-1, 0x1.047b8e016b3a8p-1, 0x1.004caecf0c712p-1, 0x1.f84bb9ab348b6p-2, 0x1.f00eaf80e124cp-2, 0x1.e7e2b7a21cb74p-2, 0x1.dfc843e789aebp-2, 0x1.d7bfbfa8c1086p-2, 0x1.cfc98fe587eb2p-2, 0x1.c7e6136edc589p-2, 0x1.c015a30fc9221p-2, 0x1.b85891b5fa18ap-2, 0x1.b0af2c9a03b58p-2, 0x1.a919bb67517bap-2, 0x1.a1988063b94e6p-2, 0x1.9a2bb896a45a2p-2, 0x1.92d39befcae9cp-2, 0x1.8b905d6d7acf9p-2, 0x1.84622b4263892p-2, 0x1.7d492efae2687p-2, 0x1.76458da1c6d61p-2, 0x1.6f5767e492a2ap-2, 0x1.687eda3729354p-2, 0x1.61bbfcf6f11cep-2, 0x1.5b0ee48d640cfp-2, 0x1.5477a192047c5p-2, 0x1.4df640ebc453ap-2, 0x1.478acbf1cc665p-2, 0x1.4135488bad116p-2, 0x1.3af5b950f328fp-2, 0x1.34cc1da821a61p-2, 0x1.2eb871e50f32dp-2, 0x1.28baaf66a5d24p-2, 0x1.22d2ccb407b96p-2, 0x1.1d00bd9918e72p-2, 0x1.1744734268a65p-2, 0x1.119ddc5884a53p-2, 0x1.0c0ce51aad486p-2, 0x1.06917778f160cp-2, 0x1.012b7b2db3781p-2, 0x1.f7b5abad2353bp-3, 0x1.ed3ed61976f12p-3, 0x1.e2f238f95eeddp-3, 0x1.d8cf93faccf87p-3, 0x1.ced6a34dd3828p-3, 0x1.c5071fd0b4fafp-3, 0x1.bb60bf3acf017p-3, 0x1.b1e334466a5dap-3, 0x1.a88e2ed975e28p-3, 0x1.9f615c2d26161p-3, 0x1.965c66f487afbp-3, 0x1.8d7ef782040c5p-3, 0x1.84c8b3ebd6b79p-3, 0x1.7c39402f8059p-3, 0x1.73d03e5439ab5p-3, 0x1.6b8d4e8c5e904p-3, 0x1.63700f55e57e8p-3, 0x1.5b781d99e2676p-3, 0x1.53a514cb0c487p-3, 0x1.4bf68f035e0aap-3, 0x1.446c2520c65dbp-3, 0x1.3d056ee0f4a3ap-3, 0x1.35c202fc3f66cp-3, 0x1.2ea1773fafc9ep-3, 0x1.27a360a631117p-3, 0x1.20c75370e5275p-3, 0x1.1a0ce33eb090fp-3, 0x1.1373a322ed225p-3, 0x1.0cfb25bb596b1p-3, 0x1.06a2fd453f966p-3, 0x1.006abbb1dac76p-3, 0x1.f4a3e573f5e3ap-4, 0x1.e8b067e1e8c26p-4, 0x1.dcfa21ada4434p-4, 0x1.d18035d3b803fp-4, 0x1.c641c76ed0878p-4, 0x1.bb3df9d81521cp-4, 0x1.b073f0c624486p-4, 0x1.a5e2d06addc95p-4, 0x1.9b89bd8fdb3c2p-4, 0x1.9167ddb1c958ap-4, 0x1.877c571a78db2p-4, 0x1.7dc650f9da554p-4, 0x1.7444f37dceed6p-4, 0x1.6af767e8e4375p-4, 0x1.61dcd8a7fc35p-4, 0x1.58f47166eb2b3p-4, 0x1.503d5f240f83dp-4, 0x1.47b6d042ed97bp-4, 0x1.3f5ff49dd3f2ep-4, 0x1.3737fd968ffd5p-4, 0x1.2f3e1e263a99ep-4, 0x1.27718aec1ed67p-4, 0x1.1fd17a3bc6ff5p-4, 0x1.185d242a32e51p-4, 0x1.1113c29a3dab1p-4, 0x1.09f4914839737p-4, 0x1.02fecdd4c8d35p-4, 0x1.f8636f9df3dccp-5, 0x1.eb19217b520ebp-5, 0x1.de1d3850615c3p-5, 0x1.d16e3f3cdddd9p-5, 0x1.c50ac5804396dp-5, 0x1.b8f15e874520dp-5, 0x1.ad20a1f80b4b3p-5, 0x1.a1972bbd440b4p-5, 0x1.96539c1010e85p-5, 0x1.8b549780d7b5ap-5, 0x1.8098c6ff0622cp-5, 0x1.761ed7dfce1eap-5, 0x1.6be57be3e703p-5, 0x1.61eb693c57c13p-5, 0x1.582f5a8e59e5cp-5, 0x1.4eb00ef65a5fcp-5, 0x1.456c4a0a1ebb4p-5, 0x1.3c62d3da1defcp-5, 0x1.339278f20dd11p-5, 0x1.2afa0a58b281ap-5, 0x1.22985d8ef41e5p-5, 0x1.1a6c4c8e447ebp-5, 0x1.1274b5c65d207p-5, 0x1.0ab07c1a591dep-5, 0x1.031e86dd36cabp-5, 0x1.f77b839b89ad8p-6, 0x1.e91a3a2404b34p-6, 0x1.db171a63f30a8p-6, 0x1.cd70162435405p-6, 0x1.c02327da3b39fp-6, 0x1.b32e529addc3ep-6, 0x1.a68fa20c6235bp-6, 0x1.9a452a57aaf9ap-6, 0x1.8e4d0818a4755p-6, 0x1.82a5604dfa48p-6, 0x1.774c60481f6ep-6, 0x1.6c403d97a9fc7p-6, 0x1.617f35fb1e9bbp-6, 0x1.57078f4c24028p-6, 0x1.4cd7976c3226ap-6, 0x1.42eda430bd218p-6, 0x1.3948134ef51fcp-6, 0x1.2fe54a470dfbfp-6, 0x1.26c3b64f26711p-6, 0x1.1de1cc3dd3d35p-6, 0x1.153e0874524dp-6, 0x1.0cd6eec86ca1ap-6, 0x1.04ab0a6e18a4fp-6, 0x1.f971dbc1ae5b9p-7, 0x1.e9fe6599a6977p-7, 0x1.daf8f3efb5919p-7, 0x1.cc5ed654317cfp-7, 0x1.be2d6a2d734c2p-7, 0x1.b0621a88c0873p-7, 0x1.a2fa5feb0db8dp-7, 0x1.95f3c02191022p-7, 0x1.894bce12290d8p-7, 0x1.7d00298bb04d1p-7, 0x1.710e7f1640be8p-7, 0x1.657487c3720d6p-7, 0x1.5a3008fe8b0aep-7, 0x1.4f3ed45cd0b3cp-7, 0x1.449ec76dd67a6p-7, 0x1.3a4dcb8bed3f3p-7, 0x1.3049d5acb40ffp-7, 0x1.2690e631c8498p-7, 0x1.1d2108b9ac78dp-7, 0x1.13f853f0d733cp-7, 0x1.0b14e96303acp-7, 0x1.0274f54cbccd8p-7, 0x1.f42d5cda5c0e3p-8, 0x1.e3f0abb07694p-8, 0x1.d4306d91cf229p-8, 0x1.c4e94ce81472bp-8, 0x1.b61807b6c8161p-8, 0x1.a7b96f4208269p-8, 0x1.99ca67b6173b9p-8, 0x1.8c47e7cfba4c1p-8, 0x1.7f2ef8854b8dp-8, 0x1.727cb4b0a143bp-8, 0x1.662e48b9d4ed6p-8, 0x1.5a40f242dab1ep-8, 0x1.4eb1ffd3fe858p-8, 0x1.437ed08934654p-8, 0x1.38a4d3c077136p-8, 0x1.2e2188c8e832dp-8, 0x1.23f27e92fe0a1p-8, 0x1.1a15536190c3cp-8, 0x1.1087b47bf4365p-8, 0x1.07475de0ecf04p-8, 0x1.fca433f5798bp-9, 0x1.eb4b82a82e99fp-9, 0x1.da80749c48087p-9, 0x1.ca3ef1aee86bfp-9, 0x1.ba82fc47f839cp-9, 0x1.ab48b0cc374d2p-9, 0x1.9c8c4511368p-9, 0x1.8e4a07d3545e1p-9, 0x1.807e602de7293p-9, 0x1.7325cd1555237p-9, 0x1.663ce4d3214f6p-9, 0x1.59c0548428e2ep-9, 0x1.4dacdf98d4a09p-9, 0x1.41ff5f5751cb3p-9, 0x1.36b4c25fc0b01p-9, 0x1.2bca0c327f0fbp-9, 0x1.213c54b8678cep-9, 0x1.1708c7cd0863p-9, 0x1.0d2ca4caddc5cp-9, 0x1.03a53e198d198p-9, 0x1.f4dff17c089ebp-10, 0x1.e31497d926b05p-10, 0x1.d1e38139e9fa6p-10, 0x1.c147e240adc2ap-10, 0x1.b13d117251deep-10, 0x1.a1be8669a0b7ap-10, 0x1.92c7d90ebdbdfp-10, 0x1.8454c0d222bbdp-10, 0x1.766113eb21dccp-10, 0x1.68e8c69a46812p-10, 0x1.5be7ea6f3648ep-10, 0x1.4f5aad922c3aep-10, 0x1.433d5a10ff66p-10, 0x1.378c552f9d57p-10, 0x1.2c441ebbe7802p-10, 0x1.2161506535fedp-10, 0x1.16e09d16e6a24p-10, 0x1.0cbed05684ed5p-10, 0x1.02f8cda53b7bdp-10, 0x1.f3171fc85ff9ap-11, 0x1.e0e85178e8e52p-11, 0x1.cf5f8013b732cp-11, 0x1.be7726927043bp-11, 0x1.ae29ea12dd43bp-11, 0x1.9e7298bf1a41bp-11, 0x1.8f4c28bbf5df6p-11, 0x1.80b1b71d1c441p-11, 0x1.729e86df281dbp-11, 0x1.650dffe77488bp-11, 0x1.57fbae0924097p-11, 0x1.4b63401024fe5p-11, 0x1.3f4086d14922fp-11, 0x1.338f744010ea4p-11, 0x1.284c1a89b72c5p-11, 0x1.1d72ab351f065p-11, 0x1.12ff76480b839p-11, 0x1.08eee97137abep-11, 0x1.fe7b1e6f0dap-12, 0x1.ebd01c5be4aa1p-12, 0x1.d9d650593a0d9p-12, 0x1.c887731ba1d53p-12, 0x1.b7dd70dfe0c43p-12, 0x1.a7d267f84e8e4p-12, 0x1.9860a761fe324p-12, 0x1.8982ad642862ap-12, 0x1.7b332636f5629p-12, 0x1.6d6ceab216091p-12, 0x1.602aff0515019p-12, 0x1.536891765e2b3p-12, 0x1.4720f92ac7ea3p-12, 0x1.3b4fb4f5964dap-12, 0x1.2ff06a2ecc4d1p-12, 0x1.24fee390ec3e4p-12, 0x1.1a77101f129aap-12, 0x1.10550211493dp-12, 0x1.0694edc7f1938p-12, 0x1.fa66518e908b8p-13, 0x1.e858516fcfc3p-13, 0x1.d6f904dc72fcep-13, 0x1.c641d1f29e67p-13, 0x1.b62c596d786fap-13, 0x1.a6b274dafd1f6p-13, 0x1.97ce34ddf1541p-13, 0x1.8979df7b5bd8p-13, 0x1.7bafee71ec4d8p-13, 0x1.6e6b0d9e92e71p-13, 0x1.61a6196b4d1cfp-13, 0x1.555c1d48f93d8p-13, 0x1.49885234059dp-13, 0x1.3e261d443ef23p-13, 0x1.33310e43d1927p-13, 0x1.28a4de52bba02p-13, 0x1.1e7d6e92cb11dp-13, 0x1.14b6c6dd6bd5cp-13, 0x1.0b4d14828ab6cp-13, 0x1.023ca9110f9e7p-13, 0x1.f303f24f91556p-14, 0x1.e233369ab466bp-14, 0x1.d2008da49a8fdp-14, 0x1.c265a5762ad08p-14, 0x1.b35c6962e34a8p-14, 0x1.a4defffbf273ap-14, 0x1.96e7c91496d1ap-14, 0x1.89715bd13f7dp-14, 0x1.7c7684c5e2a24p-14, 0x1.6ff2442513cccp-14, 0x1.63dfcbfa4851dp-14, 0x1.583a7e728543cp-14, 0x1.4cfdec32eda6ep-14, 0x1.4225d2bbf3511p-14, 0x1.37ae1ad6c8d81p-14, 0x1.2d92d710167e4p-14, 0x1.23d0423f11a84p-14, 0x1.1a62be1775b5p-14, 0x1.1146d1c6f194cp-14, 0x1.0879289dd6c71p-14, 0x1.ffed2185c5addp-15, 0x1.ef77f3df2cf98p-15, 0x1.df8ce86d7628p-15, 0x1.d0265daab6c2bp-15, 0x1.c13eee1dcd63bp-15, 0x1.b2d16e1eb574bp-15, 0x1.a4d8e9b1b37c6p-15, 0x1.9750a275f9a51p-15, 0x1.8a340d9f01553p-15, 0x1.7d7ed201a7f1dp-15, 0x1.712cc6303e9c1p-15, 0x1.6539eea9d42f1p-15, 0x1.59a27c14a8b01p-15, 0x1.4e62c989de454p-15, 0x1.43775af0a49fp-15, 0x1.38dcdb657ff04p-15, 0x1.2e901bae9dee9p-15, 0x1.248e10be40951p-15, 0x1.1ad3d2406515ap-15, 0x1.115e9939c0d0ap-15, 0x1.082bbeae0a64dp-15, 0x1.fe7174a596388p-16, 0x1.ed0642a6df5b9p-16, 0x1.dc114a2de547bp-16, 0x1.cb8e243044433p-16, 0x1.bb789d830acbbp-16, 0x1.abccb4b193714p-16, 0x1.9c8697e852dbfp-16, 0x1.8da2a2ea5748bp-16, 0x1.7f1d5d1f52b99p-16, 0x1.70f377b9a3577p-16, 0x1.6321cbde05aeap-16, 0x1.55a558eb97db6p-16, 0x1.487b42c42b40bp-16, 0x1.3ba0d03536714p-16, 0x1.2f136967979c6p-16, 0x1.22d0965d8e9b8p-16, 0x1.16d5fd80d72e4p-16, 0x1.0b216245d6e23p-16, 0x1.ff614799decc6p-17, 0x1.e9037742365c6p-17, 0x1.d32578e2eae63p-17, 0x1.bdc3a1cec7caap-17, 0x1.a8da7505d08bcp-17, 0x1.9466a0ff223e4p-17, 0x1.8064fd8be9501p-17, 0x1.6cd289dea3da7p-17, 0x1.59ac6a8c4b309p-17, 0x1.46efe7babd67cp-17, 0x1.349a6b4d54166p-17, 0x1.22a97f2e5081dp-17, 0x1.111acbae2dbc8p-17, 0x1.ffd82be8d06b7p-18, 0x1.de367ce825db9p-18, 0x1.bd4c7f0152d72p-18, 0x1.9d1657e3d1fep-18, 0x1.7d905b8dfb974p-18, 0x1.5eb709d2a3069p-18, 0x1.40870be1d821cp-18, 0x1.22fd31f4d92a2p-18, 0x1.0616712a4b842p-18, 0x1.d39fc2bf8fc42p-19, 0x1.9c4d764a89a3p-19, 0x1.6630abcf73a7bp-19, 0x1.31444c1850ea7p-19, 0x1.fb06ecdce9c8bp-20, 0x1.95d2fa796b0e1p-20, 0x1.32e3c5b2db785p-20, 0x1.a46159fced2f7p-21, 0x1.cec58c64a0d7p-22, 0x1.75de95ba43d12p-24, -0x1.0b45d60f54dccp-22, -0x1.35c8541b68004p-21, -0x1.e1c2c9f43fb07p-21, -0x1.44d01b8177a56p-20, -0x1.96b70b9104258p-20, -0x1.e69cbff3bad2bp-20, -0x1.1a43c9fe28424p-19, -0x1.403edb7ff5265p-19, -0x1.654297de577a2p-19, -0x1.8951efd2a7beap-19, -0x1.ac6fc2d79c56fp-19, -0x1.ce9ee091d7d9fp-19, -0x1.efe20a3eb5eaap-19, -0x1.081df9e5a9f71p-18, -0x1.17d7a2952cfe5p-18, -0x1.271f4dade83dcp-18, -0x1.35f644bc6523p-18, -0x1.445dcccc6789bp-18, -0x1.525726e58f64bp-18, -0x1.5fe39076e1ea2p-18, -0x1.6d0443a97fd7cp-18, -0x1.79ba77cfc9893p-18, -0x1.860761b6f594bp-18, -0x1.91ec33ed00834p-18, -0x1.9d6a1f1a63e02p-18, -0x1.a882523ab3e31p-18, -0x1.b335fae00c1d3p-18, -0x1.bd864562ef9afp-18, -0x1.c7745d1fbe85bp-18, -0x1.d1016ca293987p-18, -0x1.da2e9dc66114fp-18, -0x1.e2fd19e8f8779p-18, -0x1.eb6e0a09b3448p-18, -0x1.f38296e262c19p-18, -0x1.fb3be908f8525p-18, -0x1.014d948130a9cp-17, -0x1.04d0bfacfee9fp-17, -0x1.08280a554e0a9p-17, -0x1.0b5408da3b8fcp-17, -0x1.0e554fb20f61fp-17, -0x1.112c736be193fp-17, -0x1.13da08b491c5p-17, -0x1.165ea45981145p-17, -0x1.18badb4845bf3p-17, -0x1.1aef428e5e075p-17, -0x1.1cfc6f5a0c1ep-17, -0x1.1ee2f6f68b17ep-17, -0x1.20a36ecb24734p-17, -0x1.223e6c550069ap-17, -0x1.23b48525fda28p-17, -0x1.25064edd8acb7p-17, -0x1.26345f24d9abdp-17, -0x1.273f4ba847fd1p-17, -0x1.2827aa12a46a7p-17, -0x1.28ee100500b7bp-17, -0x1.299313100a2b1p-17, -0x1.2a1748ad4a301p-17, -0x1.2a7b46370fb19p-17, -0x1.2abfa0dfe16a7p-17, -0x1.2ae4edaa6cde9p-17, -0x1.2aebc160c2ea1p-17, -0x1.2ad4b08b85534p-17, -0x1.2aa04f69fb3c6p-17, -0x1.2a4f31e88aff6p-17, -0x1.29e1eb977e1d2p-17, -0x1.29590fa2e0819p-17, -0x1.28b530c7e0c54p-17, -0x1.27f6e14cff48bp-17, -0x1.271eb2f7c7863p-17, -0x1.262d3704566adp-17, -0x1.2522fe1c2bac4p-17, -0x1.2400984c04d47p-17, -0x1.22c694fb2baf7p-17, -0x1.217582e2e9542p-17, -0x1.200df0066d0b5p-17, -0x1.1e9069a7f7d3p-17, -0x1.1cfd7c41f5f2ep-17, -0x1.1b55b37e24eaep-17, -0x1.19999a2c89f85p-17, -0x1.17c9ba3b186c9p-17, -0x1.15e69cae74ee7p-17, -0x1.13f0c99a09ebep-17, -0x1.11e8c817918c7p-17, -0x1.0fcf1e3f7e96cp-17, -0x1.0da45121c8c6p-17, -0x1.0b68e4bf5455cp-17, -0x1.091d5c02b0cbbp-17, -0x1.06c238b83837fp-17, -0x1.0457fb89e5305p-17, -0x1.01df23f69649dp-17, -0x1.feb0609a4e92cp-18, -0x1.f9873b4ab08f1p-18, -0x1.f443cfb720236p-18, -0x1.eee71315fe695p-18, -0x1.e971f80f76333p-18, -0x1.e3e56eb4106cap-18, -0x1.de4264730f1f8p-18, -0x1.d889c410c3dbbp-18, -0x1.d2bc759edd15dp-18, -0x1.ccdb5e72a40f6p-18, -0x1.c6e7611f877f9p-18, -0x1.c0e15d6d1d3e2p-18, -0x1.baca3050a7c8fp-18, -0x1.b4a2b3e6d3b48p-18, -0x1.ae6bbf6cf56cbp-18, -0x1.a826273de477bp-18, -0x1.a1d2bcc98bbfep-18, -0x1.9b724e925e2d7p-18, -0x1.9505a82762332p-18, -0x1.8e8d9220206dcp-18, -0x1.880ad218db2ffp-18, -0x1.817e2ab207e7dp-18, -0x1.7ae85b89cb6b6p-18, -0x1.744a213cafd8p-18, -0x1.6da4356072f77p-18, -0x1.66f74e83fcbc8p-18, -0x1.6044202d2cecep-18, -0x1.598b5ad97d673p-18, -0x1.52cdabfcc88abp-18, -0x1.4c0bbe0070776p-18, -0x1.45463844340edp-18, -0x1.3e7dbf1dfdf41p-18, -0x1.37b2f3d8a9ccbp-18, -0x1.30e674b86d899p-18, -0x1.2a18dcfb429bcp-18, -0x1.234ac4d9edaf1p-18, -0x1.1c7cc18a1b18fp-18, -0x1.15af653fde311p-18, -0x1.0ee33f304ee07p-18, -0x1.0818db94754cep-18, -0x1.0150c3ad6ba73p-18, -0x1.f516fb8f527c3p-19, -0x1.e7931a79c1557p-19, -0x1.da16e4f326d76p-19, -0x1.cca355ff433c8p-19, -0x1.bf3962d360e67p-19, -0x1.b1d9fae11f576p-19, -0x1.a48607e5252e1p-19, -0x1.973e6de9f14c8p-19, -0x1.8a040b53d06dap-19, -0x1.7cd7b8ebdd27ap-19, -0x1.6fba49e8943dp-19, -0x1.62ac8bf95e654p-19, -0x1.55af475410c2ap-19, -0x1.48c33ec3d75bbp-19, -0x1.3be92fafb7141p-19, -0x1.2f21d228e5275p-19, -0x1.226dd8f8d84ecp-19, -0x1.15cdf1a9b01c2p-19, -0x1.0942c495a77e7p-19, -0x1.f999e9eb6896dp-20, -0x1.e0da41e60003ap-20, -0x1.c847c359616dap-20, -0x1.afe396979551p-20, -0x1.97aeda1c38271p-20, -0x1.7faaa2a8dc1c5p-20, -0x1.67d7fb64d5d7ep-20, -0x1.5037e5f8eb7dap-20, -0x1.38cb5abb18c58p-20, -0x1.219348b9e2949p-20, -0x1.0a9095e335296p-20, -0x1.e7883e43d9b56p-21, -0x1.ba5d70eeeef69p-21, -0x1.8da25a3d3d1cbp-21, -0x1.61587f53fe821p-21, -0x1.3581545abcdc5p-21, -0x1.0a1e3c9b15b6fp-21, -0x1.be61159de8ee7p-22, -0x1.697302c034c95p-22, -0x1.1574a5365aaap-22, -0x1.84d083e17306fp-23, -0x1.c13ffa9bb710fp-24, -0x1.f2de28b9e874ap-26, 0x1.87e14b044fb56p-25, 0x1.0058b3a572bc8p-23, 0x1.9cc2015015ad1p-23, 0x1.1b988c7982a8cp-22, 0x1.67d1881170aa2p-22, 0x1.b30a99fb60808p-22, 0x1.fd4283e00cdb4p-22, 0x1.233c110989d79p-21, 0x1.4755359f37a13p-21, 0x1.6aec37da07c2cp-21, 0x1.8e00ac86b2a16p-21, 0x1.b09234d83b23fp-21, 0x1.d2a07e282142ap-21, 0x1.f42b41ba6c42ap-21, 0x1.0a992234ef441p-20, 0x1.1adaab43ab07p-20, 0x1.2ada29c8cdc37p-20, 0x1.3a9790ff857ddp-20, 0x1.4a12d981058bfp-20, 0x1.594c0124e11e5p-20, 0x1.68430ae72842p-20, 0x1.76f7fec43f11ep-20, 0x1.856ae99bb5b36p-20, 0x1.939bdd1ee7369p-20, 0x1.a18aefa9c4407p-20, 0x1.af383c28f5d0bp-20, 0x1.bca3e202835b9p-20, 0x1.c9ce04f5d3484p-20, 0x1.d6b6cd0474c85p-20, 0x1.e35e664bdeedcp-20, 0x1.efc500f1e623dp-20, 0x1.fbead10d0982fp-20, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.80d5358135749p-9, 0x1.83048fe734f09p-8, 0x1.24f5eb67d8d32p-7, 0x1.8b8fb7d6546ebp-7, 0x1.f63ad7cf397cfp-7, 0x1.32e56e54cb875p-6, 0x1.6d7ce1077107fp-6, 0x1.ab337abc07281p-6, 0x1.ec4b9473c70ebp-6, 0x1.187d30631e2cfp-5, 0x1.3cb42ecc3eabdp-5, 0x1.62d8f81bd6fc5p-5, 0x1.8af40f6f476bcp-5, 0x1.b508aea0ab2dcp-5, 0x1.e11531f2a092p-5, 0x1.0789c2f5b9837p-4, 0x1.1f7cca73dcdf1p-4, 0x1.385cd944442e4p-4, 0x1.522181cfe9dd4p-4, 0x1.6cc0f0d1b8dc3p-4, 0x1.88301c800217ep-4, 0x1.a462f0f260007p-4, 0x1.c14c79a9393bcp-4, 0x1.dedf082f06aaep-4, 0x1.fd0c57d9a50acp-4, 0x1.0de2d75e321a3p-3, 0x1.1d7dfdf190ff5p-3, 0x1.2d4ff979c06bbp-3, 0x1.3d5112aa6baaap-3, 0x1.4d798c8078ff6p-3, 0x1.5dc1ae906cffbp-3, 0x1.6e21ce4c35dcp-3, 0x1.7e9257519f18bp-3, 0x1.8f0bd2d20b845p-3, 0x1.9f86ee237dab7p-3, 0x1.affc808a42babp-3, 0x1.c0659049b8b8ap-3, 0x1.d0bb5709f9f6ep-3, 0x1.e0f7459f54a9cp-3, 0x1.f113073fc6898p-3, 0x1.00844218f5095p-2, 0x1.0868f20002edfp-2, 0x1.1034c79cb0ddep-2, 0x1.17e51865999f1p-2, 0x1.1f775b7d058f9p-2, 0x1.26e92a01f9f2bp-2, 0x1.2e383f398253fp-2, 0x1.35627893cf95cp-2, 0x1.3c65d5908ff7bp-2, 0x1.43407785a8005p-2, 0x1.49f0a14b40505p-2, 0x1.5074b6cfeffa1p-2, 0x1.56cb3c978f27bp-2, 0x1.5cf2d72721438p-2, 0x1.62ea4a600f4e1p-2, 0x1.68b078ccccb3dp-2, 0x1.6e4462e0cf417p-2, 0x1.73a5262db2918p-2, 0x1.78d1fc8f24cd9p-2, 0x1.7dca3b4f33241p-2, 0x1.828d52445c64fp-2, 0x1.871acaeab9556p-2, 0x1.8b7247797683ap-2, 0x1.8f9381f5af676p-2, 0x1.937e4b43bbebfp-2, 0x1.97328a37ce0f6p-2, 0x1.9ab03aa6c447dp-2, 0x1.9df76c77e5724p-2, 0x1.a10842b841354p-2, 0x1.a3e2f2b04b41ep-2, 0x1.a687c2fc3f0fbp-2, 0x1.a8f70aa7cdd35p-2, 0x1.ab31304d7e79bp-2, 0x1.ad36a93a24cffp-2, 0x1.af07f894c449cp-2, 0x1.b0a5ae8b24532p-2, 0x1.b210678358978p-2, 0x1.b348cb526a8a5p-2, 0x1.b44f8c7856548p-2, 0x1.b525676179f08p-2, 0x1.b5cb21ad8dc39p-2, 0x1.b641897c434b4p-2, 0x1.b68974bf8f256p-2, 0x1.b6a3c093a73f7p-2, 0x1.b691509cbd16bp-2, 0x1.b6530e6a69ec9p-2, 0x1.b5e9e8e0cc0dap-2, 0x1.b556d3a747f95p-2, 0x1.b49ac69ce038fp-2, 0x1.b3b6bd521562ap-2, 0x1.b2abb68834551p-2, 0x1.b17ab3b605eb3p-2, 0x1.b024b891c3916p-2, 0x1.aeaacaa036589p-2, 0x1.ad0df0c8e9387p-2, 0x1.ab4f32ef525a7p-2, 0x1.a96f9990d03f2p-2, 0x1.a7702d6769252p-2, 0x1.a551f71120b7ep-2, 0x1.a315febbd11c1p-2, 0x1.a0bd4bd55ee3fp-2, 0x1.9e48e4c02f499p-2, 0x1.9bb9ce8bbd817p-2, 0x1.99110cb130cadp-2, 0x1.964fa0d3d5575p-2, 0x1.93768a85554a2p-2, 0x1.9086c70d999eap-2, 0x1.8d8151362b61ep-2, 0x1.8a672118ff404p-2, 0x1.87392bf289fc2p-2, 0x1.83f863f6ff72cp-2, 0x1.80a5b82aa3202p-2, 0x1.7d42143d0a74ep-2, 0x1.79ce6067362c6p-2, 0x1.764b814c691f2p-2, 0x1.72ba57dd9f8c1p-2, 0x1.6f1bc13f8f174p-2, 0x1.6b7096b313598p-2, 0x1.67b9ad7ff2c59p-2, 0x1.63f7d6e1dc377p-2, 0x1.602bdff78ffd9p-2, 0x1.5c5691b4120cep-2, 0x1.5878b0d1d6dc7p-2, 0x1.5492fdc7d4eb4p-2, 0x1.50a634c05d791p-2, 0x1.4cb30d91b567cp-2, 0x1.48ba3bb84a362p-2, 0x1.44bc6e528232p-2, 0x1.40ba501dfefb4p-2, 0x1.3cb48776572ep-2, 0x1.38abb65521d1dp-2, 0x1.34a07a534eb7fp-2, 0x1.30936cabb4786p-2, 0x1.2c85223ec91p-2, 0x1.28762b976f216p-2, 0x1.246714f0ccda5p-2, 0x1.2058663d202dp-2, 0x1.1c4aa32d782c9p-2, 0x1.183e4b3a53fdcp-2, 0x1.1433d9ad0ac5p-2, 0x1.102bc5a9fe54dp-2, 0x1.0c26823b7dc7bp-2, 0x1.08247e5d5b8b3p-2, 0x1.042625091a452p-2, 0x1.002bdd42b488bp-2, 0x1.f86c144bd63f2p-3, 0x1.f08a15e823fb6p-3, 0x1.e8b27644a8c89p-3, 0x1.e0e5e4d0c444ap-3, 0x1.d925099efdd08p-3, 0x1.d1708583db0e7p-3, 0x1.c9c8f2354cca4p-3, 0x1.c22ee26ab6b13p-3, 0x1.baa2e1fd706c3p-3, 0x1.b3257609b9f56p-3, 0x1.abb71d1013529p-3, 0x1.a4584f16e45b2p-3, 0x1.9d097dcc73a82p-3, 0x1.95cb14a90d043p-3, 0x1.8e9d79115d831p-3, 0x1.87810a78ebbfcp-3, 0x1.80762284afc3fp-3, 0x1.797d152daa0f4p-3, 0x1.729630e3852c3p-3, 0x1.6bc1beaf303bap-3, 0x1.6500025561c0cp-3, 0x1.5e513a79038dfp-3, 0x1.57b5a0bd7e262p-3, 0x1.512d69e8d904ap-3, 0x1.4ab8c605a7dffp-3, 0x1.4457e084bddf5p-3, 0x1.3e0ae05ea5e0bp-3, 0x1.37d1e834d29e4p-3, 0x1.31ad1672816c3p-3, 0x1.2b9c856d4eacep-3, 0x1.25a04b8574124p-3, 0x1.1fb87b45a9a17p-3, 0x1.19e52382a7b74p-3, 0x1.14264f7a492bfp-3, 0x1.0e7c06f23dc13p-3, 0x1.08e64e56592adp-3, 0x1.036526d6709fp-3, 0x1.fbf11d078a587p-4, 0x1.f14100dbfe74cp-4, 0x1.e6b9e97f517dp-4, 0x1.dc5bc1b4783cbp-4, 0x1.d2266ee35ac1fp-4, 0x1.c819d14ef77dp-4, 0x1.be35c44a85877p-4, 0x1.b47a1e6d9997bp-4, 0x1.aae6b1c74a1bep-4, 0x1.a17b4c104b72ap-4, 0x1.9837b6dc0ecffp-4, 0x1.8f1bb7c8cedf8p-4, 0x1.862710aea3d22p-4, 0x1.7d597fcd8448p-4, 0x1.74b2bffa44537p-4, 0x1.6c3288ca89c93p-4, 0x1.63d88ebfbbacbp-4, 0x1.5ba48370e905ap-4, 0x1.539615b3aa4abp-4, 0x1.4bacf1c3fec86p-4, 0x1.43e8c16b25512p-4, 0x1.3c492c2575229p-4, 0x1.34cdd747345d4p-4, 0x1.2d76662070fbap-4, 0x1.26427a1fe0da5p-4, 0x1.1f31b2f4c2513p-4, 0x1.1843aeafca05fp-4, 0x1.117809e31c09ep-4, 0x1.0ace5fc15015dp-4, 0x1.04464a3b88fb3p-4, 0x1.fbbec43d3ffdcp-5, 0x1.ef327e5ecddd6p-5, 0x1.e2e6f08c07822p-5, 0x1.d6db46d0d4a68p-5, 0x1.cb0eabc7ef38ap-5, 0x1.bf8048cc608aep-5, 0x1.b42f46294e73cp-5, 0x1.a91acb4821291p-5, 0x1.9e41fedd044d3p-5, 0x1.93a40711ceca9p-5, 0x1.894009af5886dp-5, 0x1.7f152c4543349p-5, 0x1.752294503fc4ap-5, 0x1.6b67675ed616p-5, 0x1.61e2cb34ba292p-5, 0x1.5893e5ecb14bp-5, 0x1.4f79de1913302p-5, 0x1.4693dae2f0d7fp-5, 0x1.3de10427dca75p-5, 0x1.356082966e1bap-5, 0x1.2d117fc978a6bp-5, 0x1.24f326620310cp-5, 0x1.1d04a2200f367p-5, 0x1.15451ffa24c42p-5, 0x1.0db3ce33c05aep-5, 0x1.064fdc729c91ap-5, 0x1.fe30f7a5be0b5p-6, 0x1.f019bdf47139bp-6, 0x1.e2587453f13c6p-6, 0x1.d4eb86a034be4p-6, 0x1.c7d1642eb5c86p-6, 0x1.bb087fecb06dfp-6, 0x1.ae8f507b7a852p-6, 0x1.a264504b1ea4ap-6, 0x1.9685fdb328cebp-6, 0x1.8af2db09c1a38p-6, 0x1.7fa96eb92bceep-6, 0x1.74a843539ca7ap-6, 0x1.69ede7a5927c6p-6, 0x1.5f78eec6a0cf7p-6, 0x1.5547f028d8817p-6, 0x1.4b5987a6ba547p-6, 0x1.41ac558fd6f4fp-6, 0x1.383efeb41ea67p-6, 0x1.2f102c6deb216p-6, 0x1.261e8caad5edcp-6, 0x1.1d68d1f360289p-6, 0x1.14edb371758c8p-6, 0x1.0cabecf5de736p-6, 0x1.04a23efca01b7p-6, 0x1.f99edd60b98ffp-7, 0x1.ea648bd979c73p-7, 0x1.db93267fd764cp-7, 0x1.cd2853d646b48p-7, 0x1.bf21c3c4e65ebp-7, 0x1.b17d2f9746d37p-7, 0x1.a43859f8a09c9p-7, 0x1.97510eee9b5bbp-7, 0x1.8ac523d298cb4p-7, 0x1.7e927749af62p-7, 0x1.72b6f13b3cad8p-7, 0x1.673082c654587p-7, 0x1.5bfd2635ece72p-7, 0x1.511adef3f7339p-7, 0x1.4687b97b6355p-7, 0x1.3c41cb491a20cp-7, 0x1.324732cc09aaep-7, 0x1.289617543fd9p-7, 0x1.1f2ca90137e76p-7, 0x1.160920af50e1ep-7, 0x1.0d29bfe47fecbp-7, 0x1.048cd0bc45f6cp-7, 0x1.f8614ba618514p-8, 0x1.e8273461b7536p-8, 0x1.d8682266db8e1p-8, 0x1.c920ecef94c62p-8, 0x1.ba4e7b86a2258p-8, 0x1.abedc5d8b6fbp-8, 0x1.9dfbd384dc0c2p-8, 0x1.9075bbec036cbp-8, 0x1.8358a5ffd1f4cp-8, 0x1.76a1c810f8b01p-8, 0x1.6a4e679cb07fbp-8, 0x1.5e5bd91a0359dp-8, 0x1.52c77fc6698dcp-8, 0x1.478ecd71f3e91p-8, 0x1.3caf424b3e68dp-8, 0x1.32266cab065p-8, 0x1.27f1e8df9c7efp-8, 0x1.1e0f60f80821fp-8, 0x1.147c8c8ef8664p-8, 0x1.0b373095b9d7ep-8, 0x1.023d1f1f0a3fcp-8, 0x1.f3186e53d9969p-9, 0x1.e244c8d94fb63p-9, 0x1.d1fb3e3ef3475p-9, 0x1.c237d78f62045p-9, 0x1.b2f6b60585e12p-9, 0x1.a43412a32f6aap-9, 0x1.95ec3dc84313ap-9, 0x1.881b9ec9e4d1fp-9, 0x1.7abeb38a77665p-9, 0x1.6dd21011fb588p-9, 0x1.61525e272ba9ap-9, 0x1.553c5ce92b348p-9, 0x1.498ce06a45e5fp-9, 0x1.3e40d14ab676ep-9, 0x1.33552c54ac76ep-9, 0x1.28c7021923324p-9, 0x1.1e93768d52476p-9, 0x1.14b7c0a98b068p-9, 0x1.0b312a0888a9p-9, 0x1.01fd0e879af5ep-9, 0x1.f231b7d087c2cp-10, 0x1.e10422e4c6148p-10, 0x1.d06c7f2f4e52fp-10, 0x1.c0660f3080c71p-10, 0x1.b0ec3650835b7p-10, 0x1.a1fa782c2af76p-10, 0x1.938c77e4b56d5p-10, 0x1.859df7715588ep-10, 0x1.782ad6f2f4502p-10, 0x1.6b2f140b04264p-10, 0x1.5ea6c933dcde4p-10, 0x1.528e2d1b0a937p-10, 0x1.46e191ff291cap-10, 0x1.3b9d650f06015p-10, 0x1.30be2dcbb82a5p-10, 0x1.26408d6d1aefbp-10, 0x1.1c213e48d62bbp-10, 0x1.125d133ace97ep-10, 0x1.08f0f710fb5c1p-10, 0x1.ffb3d7f28cbcfp-11, 0x1.ee2a15e3746c7p-11, 0x1.dd3f0676b3ec3p-11, 0x1.cced339f559c3p-11, 0x1.bd2f51aee010fp-11, 0x1.ae003e49a2931p-11, 0x1.9f5aff5f087f3p-11, 0x1.913ac226b0e55p-11, 0x1.839ada220e82dp-11, 0x1.7676c02386e29p-11, 0x1.69ca1159acdaap-11, 0x1.5d908e5dec64bp-11, 0x1.51c61a4945ba7p-11, 0x1.4666b9cd44af8p-11, 0x1.3b6e92510ce19p-11, 0x1.30d9e91302865p-11, 0x1.26a5224fe0dp-11, 0x1.1cccc06ccc20fp-11, 0x1.134d63256303ap-11, 0x1.0a23c6bfdea08p-11, 0x1.014cc3440be22p-11, 0x1.f18a976dd80e2p-12, 0x1.e114dab55a476p-12, 0x1.d1329de5aee7ep-12, 0x1.c1de60180a7fcp-12, 0x1.b312d08e8f1b3p-12, 0x1.a4cacd551a737p-12, 0x1.970161e8863dbp-12, 0x1.89b1c5e57c2dap-12, 0x1.7cd75bc035be6p-12, 0x1.706daf82fc037p-12, 0x1.64707593a8cefp-12, 0x1.58db897fe685ep-12, 0x1.4daaecd11bf9bp-12, 0x1.42dac5e95b003p-12, 0x1.38675ee39beb2p-12, 0x1.2e4d247d7c193p-12, 0x1.2488a5080991p-12, 0x1.1b168f5d2b751p-12, 0x1.11f3b1dc7207ep-12, 0x1.091cf96da10f2p-12, 0x1.008f708b4d5e3p-12, 0x1.f0907ca4440f8p-13, 0x1.e0894b2cb3f4ap-13, 0x1.d10408005d938p-13, 0x1.c1fba25ad170cp-13, 0x1.b36b3bb16b774p-13, 0x1.a54e260c13c43p-13, 0x1.979fe269bc406p-13, 0x1.8a5c1f329d567p-13, 0x1.7d7eb6b14d436p-13, 0x1.7103ad970b4b1p-13, 0x1.64e7318dd78d3p-13, 0x1.592597cfb51bp-13, 0x1.4dbb5bca9fa71p-13, 0x1.42a51dcb56678p-13, 0x1.37dfa1b50b354p-13, 0x1.2d67cdc139893p-13, 0x1.233aa946c7c4cp-13, 0x1.19555b8c0fcedp-13, 0x1.0fb52aa24c9c9p-13, 0x1.06577a463be4ep-13, 0x1.fa7395991613fp-14, 0x1.e8b37022a3ad3p-14, 0x1.d769f0ec3c6bbp-14, 0x1.c692b7c7e8a7dp-14, 0x1.b62995a7ef9dep-14, 0x1.a62a8ac40011ep-14, 0x1.9691c4cd8faa1p-14, 0x1.875b9d2a0173p-14, 0x1.78849747ba233p-14, 0x1.6a095eeec62fbp-14, 0x1.5be6c6aea2608p-14, 0x1.4e19c654ab721p-14, 0x1.409f796ad887fp-14, 0x1.33751dc41efp-14, 0x1.2698121bad40cp-14, 0x1.1a05d4b42fd5ap-14, 0x1.0dbc020b9d89p-14, 0x1.01b85397589d8p-14, 0x1.ebf13d095071cp-15, 0x1.d4f5a51d5bb18p-15, 0x1.be79f1b35617fp-15, 0x1.a87a65a9c066ep-15, 0x1.92f372541d9ffp-15, 0x1.7de1b571fb387p-15, 0x1.6941f7288db55p-15, 0x1.5511281957d25p-15, 0x1.414c5f8b55f7dp-15, 0x1.2df0d9973bd6fp-15, 0x1.1afbf57a20c41p-15, 0x1.086b33e62e9e9p-15, 0x1.ec786ad069ac7p-16, 0x1.c8d971c295f7fp-16, 0x1.a5f534109abd4p-16, 0x1.83c79ffe6fadbp-16, 0x1.624cd7dbd817p-16, 0x1.41812f63d6a1ep-16, 0x1.2161293016ac6p-16, 0x1.01e9744f1243cp-16, 0x1.c62dd3c1b67aep-17, 0x1.89cd15b640d6ap-17, 0x1.4eaafbc2ada48p-17, 0x1.14c21a5622476p-17, 0x1.b81a923b33586p-18, 0x1.490f3e4d305dbp-18, 0x1.b8b1bc95d7886p-19, 0x1.c7ba203bbfc05p-20, 0x1.38f76500cb57ap-23, -0x1.708e964973dfp-20, -0x1.7fb6b47d0f0ccp-19, -0x1.2166cba8a6d14p-18, -0x1.80cd10fe0b461p-18, -0x1.de14f54e983aap-18, -0x1.1ca27e21b27f9p-17, -0x1.4931b3ba325fdp-17, -0x1.74bb1d6db1359p-17, -0x1.9f41a0a78d3a3p-17, -0x1.c8c8084fda452p-17, -0x1.f15106deca114p-17, -0x1.0c6f9c20f947p-16, -0x1.1fba91cacab93p-16, -0x1.328a9e7cb1091p-16, -0x1.44e0f398e8be4p-16, -0x1.56beba8972fe9p-16, -0x1.6825158dce49ap-16, -0x1.79152063069f2p-16, -0x1.898ff0f03998p-16, -0x1.999697d90fbb4p-16, -0x1.a92a211f970cdp-16, -0x1.b84b94ab05587p-16, -0x1.c6fbf6c386ba7p-16, -0x1.d53c489649481p-16, -0x1.e30d88ab37263p-16, -0x1.f070b34ab75b6p-16, -0x1.fd66c2e3d88e8p-16, -0x1.04f8583715345p-15, -0x1.0b07b9e002565p-15, -0x1.10e201ee34c6cp-15, -0x1.1687aba09ba3ep-15, -0x1.1bf9321743872p-15, -0x1.2137107232e9bp-15, -0x1.2641c1ec6f504p-15, -0x1.2b19c1fa671d3p-15, -0x1.2fbf8c635e2b2p-15, -0x1.34339d5284c6bp-15, -0x1.3876716fdd2d6p-15, -0x1.3c8885ef23b8ap-15, -0x1.406a58a26812fp-15, -0x1.441c680402f9bp-15, -0x1.479f3345bf9edp-15, -0x1.4af33a5b3b57fp-15, -0x1.4e18fe0323fd3p-15, -0x1.5110ffcacc7bdp-15, -0x1.53dbc21879c9p-15, -0x1.5679c82f06f21p-15, -0x1.58eb962ee7ccdp-15, -0x1.5b31b11a472adp-15, -0x1.5d4c9ed49447bp-15, -0x1.5f3ce6242966cp-15, -0x1.61030eadd6cb2p-15, -0x1.629fa0f3f4ed5p-15, -0x1.64132654262eep-15, -0x1.655e29037af14p-15, -0x1.668134075e6b2p-15, -0x1.677cd330ec4d7p-15, -0x1.6851931915ef6p-15, -0x1.6900011676dd7p-15, -0x1.6988ab36c86dfp-15, -0x1.69ec2037300f4p-15, -0x1.6a2aef7c2a81fp-15, -0x1.6a45a90969bdcp-15, -0x1.6a3cdd745175cp-15, -0x1.6a111dde32fe9p-15, -0x1.69c2fbe84cc57p-15, -0x1.695309abc2826p-15, -0x1.68c1d9aa3243ep-15, -0x1.680ffec7b4e2cp-15, -0x1.673e0c3d6049dp-15, -0x1.664c958dd9337p-15, -0x1.653c2e790300dp-15, -0x1.640d6af1a73fep-15, -0x1.62c0df134e30fp-15, -0x1.61571f13e2c23p-15, -0x1.5fd0bf3794d78p-15, -0x1.5e2e53c65f4e9p-15, -0x1.5c7070ffdb25p-15, -0x1.5a97ab0ff1ff9p-15, -0x1.58a496006949p-15, -0x1.5697c5b0d106ap-15, -0x1.5471cdc8444ap-15, -0x1.523341aa47acap-15, -0x1.4fdcb46a11639p-15, -0x1.4d6eb8c04c275p-15, -0x1.4ae9e1012d556p-15, -0x1.484ebf0ee7016p-15, -0x1.459de44f23e29p-15, -0x1.42d7e19fc1c82p-15, -0x1.3ffd474c98d3ap-15, -0x1.3d0ea5056b0d8p-15, -0x1.3a0c89d1ca47ap-15, -0x1.36f784087562dp-15, -0x1.33d021453cb89p-15, -0x1.3096ee5d98e3ep-15, -0x1.2d4c77587083p-15, -0x1.29f14762c66bap-15, -0x1.2685e8ca103a8p-15, -0x1.230ae4f046b98p-15, -0x1.1f80c444ab6fp-15, -0x1.1be80e39d3f08p-15, -0x1.1841493df6c05p-15, -0x1.148cfab329089p-15, -0x1.10cba6e846094p-15, -0x1.0cfdd10f68aa1p-15, -0x1.0923fb388e0f9p-15, -0x1.053ea64962919p-15, -0x1.014e51f64ea11p-15, -0x1.faa6f978566d6p-16, -0x1.f29d47b359834p-16, -0x1.ea8086953a1dbp-16, -0x1.e251ab80c4505p-16, -0x1.da11a93abfb9ep-16, -0x1.d1c16fdd557fep-16, -0x1.c961eccda069p-16, -0x1.c0f40ab476075p-16, -0x1.b878b1744ebcp-16, -0x1.aff0c61ecd2c6p-16, -0x1.a75d2aedf1587p-16, -0x1.9ebebf3ba064ap-16, -0x1.96165f791bd06p-16, -0x1.8d64e52975ed6p-16, -0x1.84ab26db26f57p-16, -0x1.7be9f822896f7p-16, -0x1.7322299298898p-16, -0x1.6a5488b95f215p-16, -0x1.6181e0194d712p-16, -0x1.58aaf725531p-16, -0x1.4fd0923d82942p-16, -0x1.46f372ad9dc17p-16, -0x1.3e1456a6fc0c8p-16, -0x1.3533f93e97f77p-16, -0x1.2c53126b96351p-16, -0x1.23725703f86cdp-16, -0x1.1a9278baf416ep-16, -0x1.11b426215f4adp-16, -0x1.08d80aa5b006ep-16, -0x1.fffd9d2231c1dp-17, -0x1.ee522e10a2af7p-17, -0x1.dcaf0c190e703p-17, -0x1.cb1574f34f8fdp-17, -0x1.b986a0119cb42p-17, -0x1.a803bea33699fp-17, -0x1.968dfb9add159p-17, -0x1.85267baa9bf9p-17, -0x1.73ce5d4e9b886p-17, -0x1.6286b8cd740fap-17, -0x1.5150a03eeaf1fp-17, -0x1.402d1f905858ap-17, -0x1.2f1d3c8d4959cp-17, -0x1.1e21f6ea41251p-17, -0x1.0d3c48445ced8p-17, -0x1.f8da4859f2ba8p-18, -0x1.d76af063aaf74p-18, -0x1.b62c57c6ad10ep-18, -0x1.952041bffe5cp-18, -0x1.744865b93258cp-18, -0x1.53a66f6792528p-18, -0x1.333bfed0af4d5p-18, -0x1.130aa868b863cp-18, -0x1.e627ea522bbbbp-19, -0x1.a6b2c5429f0fap-19, -0x1.67b8c622a2cb9p-19, -0x1.293cbb00c32b6p-19, -0x1.d682b784068a8p-20, -0x1.5b92947793a9p-20, -0x1.c35c49c34dedbp-21, -0x1.a369560dc151bp-22, 0x1.dc82f73ff1ce2p-25, 0x1.0b11169f1d604p-21, 0x1.f61d2f7161809p-21, 0x1.6f71f8e90ad6ep-20, 0x1.e2ae93d2ac925p-20, 0x1.2a603b13aa7a6p-19, 0x1.62d1ead2aba3ap-19, 0x1.9aaa87e17791fp-19, 0x1.d1e854977157cp-19, 0x1.0444d3593d21ep-18, 0x1.1f4673865f2c2p-18, 0x1.39f848ac1591p-18, 0x1.545999fafaa18p-18, 0x1.6e69b7d19c34bp-18, 0x1.8827fba686028p-18, 0x1.a193c7e2d36bap-18, 0x1.baac87c1ea811p-18, 0x1.d371af3469e87p-18, 0x1.ebe2babd2c637p-18, 0x1.01ff97a6322efp-17, 0x1.0de34d157365ep-17, 0x1.199c48683eb98p-17, 0x1.252a586298244p-17, 0x1.308d4fc0c5fc1p-17, 0x1.3bc50528487fp-17, 0x1.46d15316bfe49p-17, 0x1.51b217cda42f6p-17, 0x1.5c67354724734p-17, 0x1.66f091235bfb2p-17, }}, 
      {{0x1.f5549fa002ffdp-1, 0x1.f4dedc4c11f8ep-1, 0x1.f41db80267ab9p-1, 0x1.f3153c398b42p-1, 0x1.f1ca4ae384efep-1, 0x1.f0424c4754542p-1, 0x1.ee82eebda8b1dp-1, 0x1.ec91f5063cacdp-1, 0x1.ea75107ba98cp-1, 0x1.e831c4e41c8f4p-1, 0x1.e5cd5401d77fep-1, 0x1.e34caf5a1bfd5p-1, 0x1.e0b46eeeccdfbp-1, 0x1.de08cbe0fcd43p-1, 0x1.db4d9e22c07e2p-1, 0x1.d8865c86814d5p-1, 0x1.d5b61e9b22e3cp-1, 0x1.d2df9fdfa890dp-1, 0x1.d00543efaa2a2p-1, 0x1.cd291b5c850d2p-1, 0x1.ca4ce8f69bd3bp-1, 0x1.c7722756879p-1, 0x1.c49a0e808511cp-1, 0x1.c1c59984ca4d2p-1, 0x1.bef58c066255cp-1, 0x1.bc2a7797bdcc1p-1, 0x1.b964c0e0ae7afp-1, 0x1.b6a4a4852a95ep-1, 0x1.b3ea3bc71bf76p-1, 0x1.b13580dfd09a3p-1, 0x1.ae86530f79385p-1, 0x1.abdc7a628cf0bp-1, 0x1.a937ab2dff724p-1, 0x1.a697894417076p-1, 0x1.a3fbaae43db2bp-1, 0x1.a1639b68ab65dp-1, 0x1.9eceddb50720dp-1, 0x1.9c3cee69569d7p-1, 0x1.99ad45dcaa281p-1, 0x1.971f59e2fd7eap-1, 0x1.94929f61c1b73p-1, 0x1.92068bb67146bp-1, 0x1.8f7a95f27de17p-1, 0x1.8cee37efc28bcp-1, 0x1.8a60ef408cab3p-1, 0x1.87d23dfe20807p-1, 0x1.8541ab787fc47p-1, 0x1.82aec4ca0d96cp-1, 0x1.80191d5186a49p-1, 0x1.7d804f149d48fp-1, 0x1.7ae3fb0d619c1p-1, 0x1.7843c9647ed3ap-1, 0x1.759f699a2c776p-1, 0x1.72f6929f95c54p-1, 0x1.704902e256724p-1, 0x1.6d96804b8eb63p-1, 0x1.6aded833f26eap-1, 0x1.6821df4e1cc41p-1, 0x1.655f718856055p-1, 0x1.629771e6e21ebp-1, 0x1.5fc9ca57d99f7p-1, 0x1.5cf66b8173fa4p-1, 0x1.5a1d4c8b9c7cfp-1, 0x1.573e6ae593128p-1, 0x1.5459ca084c076p-1, 0x1.516f73363233cp-1, 0x1.4e7f7538db5c7p-1, 0x1.4b89e41d36785p-1, 0x1.488ed8eeab42ap-1, 0x1.458e7171966a8p-1, 0x1.4288cfdd8401bp-1, 0x1.3f7e1a977fe9p-1, 0x1.3c6e7becc6c6bp-1, 0x1.395a21ce1f35ap-1, 0x1.36413d8c15ad9p-1, 0x1.33240394528d4p-1, 0x1.3002ab30340f2p-1, 0x1.2cdd6e44db705p-1, 0x1.29b48914c8fe7p-1, 0x1.26883a0328412p-1, 0x1.2358c158e46fcp-1, 0x1.2026610b9773bp-1, 0x1.1cf15c8665f01p-1, 0x1.19b9f874d42eap-1, 0x1.16807a8f9d2e6p-1, 0x1.1345296b918bap-1, 0x1.10084c4a84a23p-1, 0x1.0cca2aee4707ap-1, 0x1.098b0d6dadeeap-1, 0x1.064b3c0ba5e77p-1, 0x1.030aff104cd1dp-1, 0x1.ff953d481708ep-2, 0x1.f914c55952e7cp-2, 0x1.f2952558a54b5p-2, 0x1.ec16eb450900dp-2, 0x1.e59aa3ddb1cbcp-2, 0x1.df20da6b4af16p-2, 0x1.d8aa188cc1868p-2, 0x1.d236e60785625p-2, 0x1.cbc7c89b2d5dp-2, 0x1.c55d43d856d3bp-2, 0x1.bef7d8fab5e47p-2, 0x1.b89806c6308f1p-2, 0x1.b23e4966f1607p-2, 0x1.abeb1a544e7a1p-2, 0x1.a59ef03672ecfp-2, 0x1.9f5a3ecea6575p-2, 0x1.991d76e2212e8p-2, 0x1.92e906274a84ap-2, 0x1.8cbd5735494d6p-2, 0x1.869ad175cd6c7p-2, 0x1.8081d918fb00cp-2, 0x1.7a72cf0b567f8p-2, 0x1.746e10eda0783p-2, 0x1.6e73f90e854c7p-2, 0x1.6884de6609fdp-2, 0x1.62a114929e4b6p-2, 0x1.5cc8ebd7bdc3ap-2, 0x1.56fcb11e0a8fbp-2, 0x1.513cadf4cb382p-2, 0x1.4b892894b8d72p-2, 0x1.45e263e405ff9p-2, 0x1.40489f7b91969p-2, 0x1.3abc17ad29085p-2, 0x1.353d058acfbc7p-2, 0x1.2fcb9eeef9bf9p-2, 0x1.2a681685a173ap-2, 0x1.25129bd632fep-2, 0x1.1fcb5b4e3230bp-2, 0x1.1a927e4c96169p-2, 0x1.15682b2dc5072p-2, 0x1.104c85582561ap-2, 0x1.0b3fad49369f8p-2, 0x1.0641c0a3258b3p-2, 0x1.0152da3acd196p-2, 0x1.f8e6244c3a963p-3, 0x1.ef44fb95ab3e7p-3, 0x1.e5c25fdb2548fp-3, 0x1.dc5e718231591p-3, 0x1.d3194bebb9e74p-3, 0x1.c9f3059376666p-3, 0x1.c0ebb02fae5fap-3, 0x1.b80358d133178p-3, 0x1.af3a0803925f5p-3, 0x1.a68fc1ed60458p-3, 0x1.9e0486709c0a6p-3, 0x1.9598514b15154p-3, 0x1.8d4b1a36cd459p-3, 0x1.851cd50a47091p-3, 0x1.7d0d71d8b74c6p-3, 0x1.751cdd120e13cp-3, 0x1.6d4affa2d156ep-3, 0x1.6597bf13ba49dp-3, 0x1.5e02fda91350fp-3, 0x1.568c9a81c7ac5p-3, 0x1.4f3471b6285dep-3, 0x1.47fa5c764dab5p-3, 0x1.40de312829751p-3, 0x1.39dfc3852490ap-3, 0x1.32fee4b7626a6p-3, 0x1.2c3b637687bffp-3, 0x1.25950c241c33p-3, 0x1.1f0ba8e769adp-3, 0x1.189f01c8ec0d9p-3, 0x1.124edccd37a08p-3, 0x1.0c1afe0f6e1b9p-3, 0x1.060327db1ef5p-3, 0x1.00071ac5b47f6p-3, 0x1.f44d2b8e98bbep-4, 0x1.e8c2aca624612p-4, 0x1.dd6e30de0b2f7p-4, 0x1.d24f2d967dd72p-4, 0x1.c76515b14924ap-4, 0x1.bcaf59be23af5p-4, 0x1.b22d6825eada4p-4, 0x1.a7dead54bd8fap-4, 0x1.9dc293e308112p-4, 0x1.93d884bd6a2abp-4, 0x1.8a1fe74b90f06p-4, 0x1.80982195f2163p-4, 0x1.7740986a74d73p-4, 0x1.6e18af8005c92p-4, 0x1.651fc9991a021p-4, 0x1.5c5548a521bdcp-4, 0x1.53b88de0ed254p-4, 0x1.4b48f9f608daap-4, 0x1.4305ed191248dp-4, 0x1.3aeec72705d3bp-4, 0x1.3302e7c18e4bdp-4, 0x1.2b41ae6a54984p-4, 0x1.23aa7a9d57ad3p-4, 0x1.1c3cabea4b956p-4, 0x1.14f7a20d06963p-4, 0x1.0ddabd04fff48p-4, 0x1.06e55d2be519cp-4, 0x1.0016e34b44be9p-4, 0x1.f2dd6162b6095p-5, 0x1.e5d84e89fb3a1p-5, 0x1.d91d53315cfc4p-5, 0x1.ccab35f9b1027p-5, 0x1.c080bf2276b5cp-5, 0x1.b49cb8ab15414p-5, 0x1.a8fdee7288293p-5, 0x1.9da32e5585bp-5, 0x1.928b484b24514p-5, 0x1.87b50e8009df2p-5, 0x1.7d1f55703473ap-5, 0x1.72c8f3ff51f11p-5, 0x1.68b0c38fcaab6p-5, 0x1.5ed5a0187017dp-5, 0x1.55366838e7705p-5, 0x1.4bd1fd4ccee27p-5, 0x1.42a7437dafef6p-5, 0x1.39b521d3bea35p-5, 0x1.30fa8245746a8p-5, 0x1.287651c60955fp-5, 0x1.20278052dd656p-5, 0x1.180d00ffcd9f9p-5, 0x1.1025ca02895ffp-5, 0x1.0870d4bce7258p-5, 0x1.00ed1dc645348p-5, 0x1.f33349e7fa25p-6, 0x1.e4eadac1e556p-6, 0x1.d6fefae886a5fp-6, 0x1.c96dbdce4147dp-6, 0x1.bc353d93b6178p-6, 0x1.af539b104df52p-6, 0x1.a2c6fdd940653p-6, 0x1.968d9447204f2p-6, 0x1.8aa5937a1a7bep-6, 0x1.7f0d375cc1f02p-6, 0x1.73c2c2a5a26efp-6, 0x1.68c47ed796534p-6, 0x1.5e10bc40e128cp-6, 0x1.53a5d1f939f18p-6, 0x1.49821ddea3508p-6, 0x1.3fa4049151a2dp-6, 0x1.3609f16e871a8p-6, 0x1.2cb2568a73ed7p-6, 0x1.239baca93e7cep-6, 0x1.1ac473371da34p-6, 0x1.122b303fa2b84p-6, 0x1.09ce706446498p-6, 0x1.01acc6d22320fp-6, 0x1.f3899a6e0dff9p-7, 0x1.e42a476bac7dp-7, 0x1.d538e1b496eep-7, 0x1.c6b2c31831b5p-7, 0x1.b8955203063fep-7, 0x1.aade0162d6f93p-7, 0x1.9d8a5089b5e5cp-7, 0x1.9097cb1027c89p-7, 0x1.840408b67b349p-7, 0x1.77ccad4531c63p-7, 0x1.6bef686cb69ffp-7, 0x1.6069f5a45df1cp-7, 0x1.553a1c08ba358p-7, 0x1.4a5dae395ad4ap-7, 0x1.3fd28a35fd14cp-7, 0x1.3596993b3baep-7, 0x1.2ba7cf9ecb89ap-7, 0x1.22042cab48c1bp-7, 0x1.18a9ba7bb0083p-7, 0x1.0f968dd681137p-7, 0x1.06c8c60895541p-7, 0x1.fc7d197f5d7e8p-8, 0x1.ebec2bc9e6ebcp-8, 0x1.dbdb3eee2f04cp-8, 0x1.cc46e2c8debc6p-8, 0x1.bd2bbac9dea5dp-8, 0x1.ae867da82d779p-8, 0x1.a053f5159e109p-8, 0x1.9290fd727d01p-8, 0x1.853a85815aaa2p-8, 0x1.784d8e1ad996fp-8, 0x1.6bc729e1a9069p-8, 0x1.5fa47cf6af977p-8, 0x1.53e2bcad680dap-8, 0x1.487f2f408b80bp-8, 0x1.3d772b8706f8ap-8, 0x1.32c818a95d69cp-8, 0x1.286f6dd76c33dp-8, 0x1.1e6ab1fe8e358p-8, 0x1.14b77b8035a71p-8, 0x1.0b536fe91c8cfp-8, 0x1.023c43a90bc03p-8, 0x1.f2df7395ec421p-9, 0x1.e1d7475bc3a55p-9, 0x1.d15bc17c96b19p-9, 0x1.c168bc6090378p-9, 0x1.b1fa2d749fae7p-9, 0x1.a30c24a140004p-9, 0x1.949acbc2a8df6p-9, 0x1.86a26622af55bp-9, 0x1.791f4ff3b99aep-9, 0x1.6c0dfdcdc0b71p-9, 0x1.5f6afc2c6c2ebp-9, 0x1.5332eeeebd608p-9, 0x1.476290d881c06p-9, 0x1.3bf6b3153c8f4p-9, 0x1.30ec3cbcf7865p-9, 0x1.26402a5a6db96p-9, 0x1.1bef8d72d4cdcp-9, 0x1.11f78c0f8302fp-9, 0x1.08556049269d7p-9, 0x1.fe0cafa98f1dcp-10, 0x1.ec0fa72541beep-10, 0x1.daae8e3c54295p-10, 0x1.c9e470c0ab992p-10, 0x1.b9ac7e467da6cp-10, 0x1.aa02094f6d17bp-10, 0x1.9ae0867963b31p-10, 0x1.8c438baffebcbp-10, 0x1.7e26cf6206242p-10, 0x1.708627b9f6b4bp-10, 0x1.635d89da43a8p-10, 0x1.56a9091ccf411p-10, 0x1.4a64d6566e1b2p-10, 0x1.3e8d3f1c8266p-10, 0x1.331ead0ebdfcp-10, 0x1.2815a52453cbep-10, 0x1.1d6ec6fbe231p-10, 0x1.1326cc2fa94d2p-10, 0x1.093a87ac5528bp-10, 0x1.ff4dca1503c4bp-11, 0x1.ecd1cfd94a68fp-11, 0x1.dafb56be5a5cap-11, 0x1.c9c4c27857486p-11, 0x1.b928a3257d0cap-11, 0x1.a921b42150081p-11, 0x1.99aadaddc44fbp-11, 0x1.8abf25c44fbfap-11, 0x1.7c59cb1b367c5p-11, 0x1.6e7627f16eb9ep-11, 0x1.610fbf1187a61p-11, 0x1.542237f8f29ep-11, 0x1.47a95dd42d76fp-11, 0x1.3ba11e832107bp-11, 0x1.300589a0a3d0dp-11, 0x1.24d2cf90e5342p-11, 0x1.1a05409527dcbp-11, 0x1.0f994be518ccap-11, 0x1.058b7ecb9b992p-11, 0x1.f7b10795746dep-12, 0x1.e4fa4387c5284p-12, 0x1.d2ec764a234f9p-12, 0x1.c1819a370451ap-12, 0x1.b0b3dd972e2dap-12, 0x1.a07da1178e0d5p-12, 0x1.90d9764b3e0fcp-12, 0x1.81c21e36a8d7dp-12, 0x1.733287e2e7e39p-12, 0x1.6525cefa93defp-12, 0x1.57973a704759p-12, 0x1.4a823b2d86973p-12, 0x1.3de26ac749e98p-12, 0x1.31b38a3e1835ap-12, 0x1.25f180c5b85ccp-12, 0x1.1a985a93dbdb8p-12, 0x1.0fa447b7387p-12, 0x1.05119af810219p-12, 0x1.f5b9917be7819p-13, 0x1.e204cbf854d2ap-13, 0x1.cefe4e50d4c22p-13, 0x1.bc9fbe6d62d32p-13, 0x1.aae2fd38e6235p-13, 0x1.99c224b5fbe8dp-13, 0x1.893786225b064p-13, 0x1.793da824d17d7p-13, 0x1.69cf4506d372bp-13, 0x1.5ae748fecd385p-13, 0x1.4c80d08480019p-13, 0x1.3e9726b097e19p-13, 0x1.3125c3aa88022p-13, 0x1.24284b211ad94p-13, 0x1.179a8acd45c3ap-13, 0x1.0b7878fecf6fap-13, 0x1.ff7c666a3c88cp-14, 0x1.e8cff98b114cbp-14, 0x1.d2e47b0bd7374p-14, 0x1.bdb3010ae07bp-14, 0x1.a934e5a00fb7p-14, 0x1.9563c4706af9cp-14, 0x1.823978561f683p-14, 0x1.6fb0191930bp-14, 0x1.5dc1f94076d3cp-14, 0x1.4c69a3ee1c3d8p-14, 0x1.3ba1dacd02276p-14, 0x1.2b6594132e9a4p-14, 0x1.1baff890824bbp-14, 0x1.0c7c61cef63b3p-14, 0x1.fb8cb07ba09ffp-15, 0x1.df1322dcc927ep-15, 0x1.c383dcc8869b6p-15, 0x1.a8d6f3d79efe5p-15, 0x1.8f04ce025e12dp-15, 0x1.76061e92af14bp-15, 0x1.5dd3e3228c049p-15, 0x1.466760bb857c3p-15, 0x1.2fba2105e89f8p-15, 0x1.19c5ef9b7a372p-15, 0x1.0484d76edc9f2p-15, 0x1.dfe24084048a1p-16, 0x1.b80a98747935dp-16, 0x1.91782b186fe04p-16, 0x1.6c20d86537929p-16, 0x1.47fae78695739p-16, 0x1.24fd029160753p-16, 0x1.031e32845e763p-16, 0x1.c4abb6b6ee708p-17, 0x1.853770764b51ep-17, 0x1.47cfafa150ca8p-17, 0x1.0c6531aea84e2p-17, 0x1.a5d29a955ab53p-18, 0x1.369bd7f902e15p-18, 0x1.96160e893ff21p-19, 0x1.8c18841b8deeep-20, -0x1.8be0e9f8da25ep-26, -0x1.8b0c3b1d6d4b3p-20, -0x1.816d1b616475cp-19, -0x1.1b7ca1c8c2acbp-18, -0x1.732ab86bfbd9bp-18, -0x1.c7d57198fa457p-18, -0x1.0cc8549455e3ep-17, -0x1.3437bfeead931p-17, -0x1.5a4231d2766bfp-17, -0x1.7ef08bdbdf175p-17, -0x1.a24b5e48321a8p-17, -0x1.c45aebae513e9p-17, -0x1.e5272c844b838p-17, -0x1.025be954f3cap-16, -0x1.118a26551032cp-16, -0x1.2021e47126c96p-16, -0x1.2e269c502155bp-16, -0x1.3b9ba974a575cp-16, -0x1.48844ba81387bp-16, -0x1.54e3a850498ddp-16, -0x1.60bccbadf182fp-16, -0x1.6c12aa16123bcp-16, -0x1.76e82117ddd6dp-16, -0x1.813ff89c935c6p-16, -0x1.8b1ce3f482595p-16, -0x1.948182d9c29bep-16, -0x1.9d706260a81f1p-16, -0x1.a5ebfde85310cp-16, -0x1.adf6bff7980f5p-16, -0x1.b593030fdbf24p-16, -0x1.bcc3127a6bf7dp-16, -0x1.c3892b04b3143p-16, -0x1.c9e77bb9a8c4p-16, -0x1.cfe026948fc85p-16, -0x1.d5754120aff4p-16, -0x1.daa8d516ada54p-16, -0x1.df7ce0f089a76p-16, -0x1.e3f3587a8eef3p-16, -0x1.e80e2552f1849p-16, -0x1.ebcf276af3f9ap-16, -0x1.ef383583d34c1p-16, -0x1.f24b1d911cf02p-16, -0x1.f509a5337aa87p-16, -0x1.f7758a159640dp-16, -0x1.f990824da96f9p-16, -0x1.fb5c3cb28445ep-16, -0x1.fcda6134bd5bp-16, -0x1.fe0c912cde5a8p-16, -0x1.fef4679ffe9d3p-16, -0x1.ff93798d3a218p-16, -0x1.ffeb562e82f7ep-16, -0x1.fffd872e72acp-16, -0x1.ffcb90e9bdd28p-16, -0x1.ff56f2a0d258ap-16, -0x1.fea126ace09c2p-16, -0x1.fdaba2a83ef65p-16, -0x1.fc77d7a081d33p-16, -0x1.fb07323bc0d6dp-16, -0x1.f95b1ada62d1fp-16, -0x1.f774f5bde5da5p-16, -0x1.f5562328ec7d6p-16, -0x1.f2ffff7adcc38p-16, -0x1.f073e349a0bc5p-16, -0x1.edb3237cb1ca1p-16, -0x1.eabf116328815p-16, -0x1.e798fac6b49f1p-16, -0x1.e44229fff3eaap-16, -0x1.e0bbe607186a3p-16, -0x1.dd0772840f0d5p-16, -0x1.d9260fd7ef0bap-16, -0x1.d518fb2d3f8b2p-16, -0x1.d0e16e84c63f3p-16, -0x1.cc80a0b971ba9p-16, -0x1.c7f7c58cc5563p-16, -0x1.c3480dabd60dbp-16, -0x1.be72a6b87ec7cp-16, -0x1.b978bb4af041ap-16, -0x1.b45b72f7f1754p-16, -0x1.af1bf2553490dp-16, -0x1.a9bb5afca8858p-16, -0x1.a43acb897d386p-16, -0x1.9e9b5f9f63b66p-16, -0x1.98de2fea70a92p-16, -0x1.9304521d26d1ap-16, -0x1.8d0ed8f15b746p-16, -0x1.86fed42766d2dp-16, -0x1.80d550877be25p-16, -0x1.7a9357dd540d3p-16, -0x1.7439f0f711d98p-16, -0x1.6dca1fa5143c6p-16, -0x1.6744e4b8176aep-16, -0x1.60ab3dfbd03a7p-16, -0x1.59fe2636da1d5p-16, -0x1.533e9529b69cp-16, -0x1.4c6d7f89abb93p-16, -0x1.458bd6fd81848p-16, -0x1.3e9a8a1be75ffp-16, -0x1.379a8469eee39p-16, -0x1.308cae59022afp-16, -0x1.2971ed3f4f527p-16, -0x1.224b2359b5571p-16, -0x1.1b192fc7879eap-16, -0x1.13dcee8932a6dp-16, -0x1.0c97387b183f4p-16, -0x1.0548e356aab9bp-16, -0x1.fbe5835eedbb8p-17, -0x1.ed2b45de6a888p-17, -0x1.de64a6a7f7762p-17, -0x1.cf9337df548b1p-17, -0x1.c0b88552c9638p-17, -0x1.b1d6146fac1f5p-17, -0x1.a2ed6441934c9p-17, -0x1.93ffed732e13cp-17, -0x1.850f224aec2c7p-17, -0x1.761c6eab9dd51p-17, -0x1.6729381122fc6p-17, -0x1.5836dd9440addp-17, -0x1.4946b7e8f5e98p-17, -0x1.3a5a195d31c2fp-17, -0x1.2b724dd93a6bdp-17, -0x1.1c909ae40f929p-17, -0x1.0db63fa9db7e8p-17, -0x1.fdc8e9ef34b26p-18, -0x1.e038da7f9c872p-18, -0x1.c2bea93d052d6p-18, -0x1.a55ca1b86ba91p-18, -0x1.881502e900771p-18, -0x1.6ae9ff32f7ecp-18, -0x1.4dddbc71488cep-18, -0x1.30f25407d3a36p-18, -0x1.1429d2e52ef37p-18, -0x1.ef0c7327e91ffp-19, -0x1.b612f88a08b0ep-19, -0x1.7d6b05de02f92p-19, -0x1.4518529bc9eb4p-19, -0x1.0d1e7df37136dp-19, -0x1.ab021dd1b96e9p-20, -0x1.3c86e8f77391ep-20, -0x1.9da41729f117cp-21, -0x1.87a8124e5bc7fp-22, 0x1.455b8a57c725dp-25, 0x1.d599d86b92daap-22, 0x1.bf85ac5f09fefp-21, 0x1.493a381a1ab65p-20, 0x1.b1c70522f57f7p-20, 0x1.0cb1e9f12bbe7p-19, 0x1.4005b3e86522cp-19, 0x1.72dc5880f6795p-19, 0x1.a53365da02b82p-19, 0x1.d7087ff25f41bp-19, 0x1.042cb03c90ee9p-18, 0x1.1c91eb47536b2p-18, 0x1.34b2e343d5977p-18, 0x1.4c8e94e27982fp-18, 0x1.64240736616bp-18, 0x1.7b724b9a60676p-18, 0x1.92787d966ba28p-18, 0x1.a935c2c070221p-18, 0x1.bfa94a9973feep-18, 0x1.d5d24e6ece2c9p-18, 0x1.ebb0113fd27f3p-18, 0x1.00a0efce63328p-17, 0x1.0b4387c3db7c9p-17, 0x1.15bf802a4e9f6p-17, 0x1.20148d44dd24p-17, 0x1.2a4267dc825cep-17, 0x1.3448cd334455fp-17, 0x1.3e277ef31ff3ep-17, 0x1.47de431c13adep-17, 0x1.516ce3f542c48p-17, 0x1.5ad32ffd0e25bp-17, 0x1.6410f9d64b033p-17, 0x1.6d261835ec204p-17, 0x1.761265d4fa9dp-17, 0x1.7ed5c15f64afp-17, 0x1.87700d62b6bc6p-17, 0x1.8fe1303de4d73p-17, 0x1.9829140fa62b9p-17, 0x1.a047a6a5f38acp-17, 0x1.a83cd96a605b2p-17, 0x1.b008a155bf448p-17, 0x1.b7aaf6dbbce4cp-17, 0x1.bf23d5dbd960ep-17, 0x1.c6733d8fc261ep-17, 0x1.cd99307c17533p-17, 0x1.d495b45dd4248p-17, 0x1.db68d217e1842p-17, 0x1.e21295a5cd317p-17, 0x1.e8930e097ccdfp-17, 0x1.eeea4d3bae5efp-17, 0x1.f518681b31ac4p-17, 0x1.fb1d765bb9da8p-17, 0x1.007cc93b7594ap-16, 0x1.03566cccc1b4dp-16, 0x1.061bb5caec55fp-16, 0x1.08ccb569aec72p-16, 0x1.0b697e1ea8d8ap-16, 0x1.0df2239a576bep-16, 0x1.1066babfc7788p-16, 0x1.12c7599d7d7a2p-16, 0x1.15141763df283p-16, 0x1.174d0c5f46a61p-16, 0x1.197251ef8bbd7p-16, 0x1.1b8402810e9abp-16, 0x1.1d8239852d60dp-16, 0x1.1f6d136a54db9p-16, 0x1.2144ad951bceap-16, 0x1.23092658ec6b4p-16, 0x1.24ba9cf02fabap-16, 0x1.265931763999ap-16, 0x1.27e504df9d04dp-16, 0x1.295e38f338681p-16, 0x1.2ac4f0436a717p-16, 0x1.2c194e2769d85p-16, 0x1.2d5b76b477bcp-16, 0x1.2e8b8eb6765cbp-16, 0x1.2fa9bbaa92e53p-16, 0x1.30b623b7a6194p-16, 0x1.31b0eda87cd81p-16, 0x1.329a40e5a5672p-16, 0x1.3372456e8a08cp-16, 0x1.343923d38e42dp-16, 0x1.34ef05303ee18p-16, 0x1.35941324ce8d9p-16, 0x1.362877d077876p-16, 0x1.36ac5dcbec83cp-16, 0x1.371ff02325f68p-16, 0x1.37835a4fd3a7fp-16, 0x1.37d6c833dd6bdp-16, 0x1.381a6613f2fa2p-16, 0x1.384e609226974p-16, 0x1.3872e4a874473p-16, 0x1.38881fa3ce4f2p-16, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      44, 0x1.0cccccccccccdp+2, 0x1.058d371857f3ep+1, 0x1.b1b9a4b2ddf31p+1, -0x1.dffe1948de154p-4, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.85633a8986f94p-2, -0x1.043755d274f92p+0, 0x1.09dbf4fa78334p+0, -0x1.812680b488cfdp-2}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.53f46fb5e2d01p-2, -0x1.d4b46c6941c76p-1, 0x1.f6d506b432f09p-1, -0x1.8413d3dcd777cp-2}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.278cccf8f00bbp-2, -0x1.a3e079a7bec59p-1, 0x1.d9b9f06a092dep-1, -0x1.8690d68989817p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ffc3a644ae27dp-3, -0x1.75f80642232b9p-1, 0x1.bc6f13861eddep-1, -0x1.892c2c494a482p-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.b9510845d4e9fp-3, -0x1.4afff6645c338p-1, 0x1.9ef229cd6c7ebp-1, -0x1.8bbe863868da7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.7b2ac6194dc6p-3, -0x1.22fd42b711bedp-1, 0x1.8143dfbc64a1ap-1, -0x1.8e567c5707005p-2}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.44b8e825666dfp-3, -0x1.fbe9c14bac37ep-2, 0x1.6363c99c441b5p-1, -0x1.90e0fd88441d2p-2}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.15627912c0e1p-3, -0x1.b7d77c27ae775p-2, 0x1.4552e9cba565cp-1, -0x1.939bb63f8c2c7p-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.d91b0b98a6d6fp-4, -0x1.79cdd485d432fp-2, 0x1.270da286e148fp-1, -0x1.952325ff5f255p-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.933e4b5cfff5ep-4, -0x1.41d4f7809bb1dp-2, 0x1.08aaffad53bf9p-1, -0x1.95c8e44c5dfe2p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.57f7a91a299e5p-4, -0x1.0ff112e113549p-2, 0x1.d477dd1bffcc7p-2, -0x1.95aa1391674ecp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.260f99729a4ebp-4, -0x1.c846536e179c9p-3, 0x1.979e5a2c96b42p-2, -0x1.98ff509c7f2c9p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.f89c3cc3a264cp-5, -0x1.7ce2ce1fd7899p-3, 0x1.5a44dae1ea06ap-2, -0x1.84fc871ce2d49p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.b2f83161c15f7p-5, -0x1.3d778ac64adadp-3, 0x1.1febc69d94cd5p-2, -0x1.599dbabeee56ap-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.78e38ff0c5029p-5, -0x1.09112721f5ca1p-3, 0x1.d8283b9b7bb37p-3, -0x1.31bef12201babp-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.484a9544d7a6p-5, -0x1.bcdffcc71fb0ap-4, 0x1.7c6ef3447b2eep-3, -0x1.08efc0e4d5356p-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.1f57debe2f9c5p-5, -0x1.78bc828d17b0ep-4, 0x1.2cf3d2ffd4d26p-3, -0x1.c0c450cf45955p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.f8e8d4921e698p-6, -0x1.43470285fecf3p-4, 0x1.d3465a8e47f78p-4, -0x1.6f7d2f158a202p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.bc8f2cbb89791p-6, -0x1.1a0feea77349p-4, 0x1.650732d49e87bp-4, -0x1.1e62a0d939f66p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.876e440154f74p-6, -0x1.f54f76b0037b6p-5, 0x1.0f1ccf604056ep-4, -0x1.99836acd22678p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.57ce59844d6fep-6, -0x1.c53b086a14922p-5, 0x1.a35efeb6298f3p-5, -0x1.f436ad3f70e72p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.2c746d7d57665p-6, -0x1.9f0b8b1f6143p-5, 0x1.5856cb1fd8ap-5, -0x1.3163c7fdbd033p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.04a2413d6f572p-6, -0x1.7dc1a3666d449p-5, 0x1.416f4f53373fbp-5, 0x1.9c1c3630c02c4p-12}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.c021de036e4b3p-7, -0x1.5d96b9c3b1407p-5, 0x1.41eaf1637912ep-5, -0x1.03c0d1a9c6e28p-8}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7d6ae02013939p-7, -0x1.3da3f8dcb44a5p-5, 0x1.3d0c20a84a251p-5, -0x1.3ba42a5448f5ep-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.410a45a71e04p-7, -0x1.1e3b503231bebp-5, 0x1.37210ca9e8c6dp-5, -0x1.b10e719304f9p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ae0c561917bap-7, -0x1.ff0caf08484dep-6, 0x1.2f0260ef27156p-5, -0x1.0afe1d7176e12p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.b58a20164c7cap-8, -0x1.c372ebc18473cp-6, 0x1.24ff3fd47f6cep-5, -0x1.3faa86ad1d139p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6107a0a491ea3p-8, -0x1.8a0c59bc25a31p-6, 0x1.1902746134bc3p-5, -0x1.73bf1c914523ap-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.17bf55b03557ep-8, -0x1.533d89494025fp-6, 0x1.0b11b01bc2246p-5, -0x1.a7fd7b3fc3efbp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.b244f8c1c3523p-9, -0x1.1f6aa1162d933p-6, 0x1.f656c3c5ef309p-6, -0x1.dc2c8a1c578d5p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.491c8b8755107p-9, -0x1.ddefc274577d8p-7, 0x1.d2a0396a356c7p-6, -0x1.083787bb2b8cap-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.e52f5b2c31a07p-10, -0x1.84931b91447f6p-7, 0x1.aafe4b74887d9p-6, -0x1.223985563fe6ep-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5a41213bb216dp-10, -0x1.338782f4dacc9p-7, 0x1.7f75aaa798816p-6, -0x1.3caedbfa4fcd2p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dbe53864c7293p-11, -0x1.d72ce1d9b34e6p-8, 0x1.4ff509a872ef3p-6, -0x1.5576138c5ebe8p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.38ef9d36429fcp-11, -0x1.5b094a17f8d0fp-8, 0x1.1cbced203186p-6, -0x1.74826e5d6a631p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.86d22a59a68cfp-12, -0x1.e8a1fbd41d334p-9, 0x1.c9b91f8ac322p-7, -0x1.69b476072d337p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ca2f23e65a607p-13, -0x1.473eec0dae043p-9, 0x1.5d362f5568c52p-7, -0x1.350fcd6b6b78ap-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.eea1fd9976c9cp-14, -0x1.9c35ac2b9a3c6p-10, 0x1.007e3e81fbbadp-7, -0x1.06a55f697291fp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dd138cb26fcc2p-15, -0x1.dd10b94e9e798p-11, 0x1.636610917f838p-8, -0x1.ad69a410dcc09p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.86d22a59a68bdp-16, -0x1.e88d420a68792p-12, 0x1.c526584c142e2p-9, -0x1.4d450f139d1ffp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.eea1fd9976d47p-18, -0x1.9c088d6710906p-13, 0x1.fa60381a389e3p-10, -0x1.e2754382a2edp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.86d22a59a6a81p-20, -0x1.eae400551f41dp-15, 0x1.b1cd52647a88cp-11, -0x1.0a161ffcd844ap-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.86d22a59a9p-24, -0x1.a200b0bdd159p-18, 0x1.c9fe49a10f2c2p-13, -0x1.641eb8838c97dp-8}, 
      }}, 
      0x1.4f1df1fa990e2p-4, -0x1.0243c85e06bdep-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.8b4fb68e3ba18p-8, 0x1.284b8edf8d9e4p-6, 0x1.2f3d4aef21972p-5, 0x1.f8107f099b8e7p-5, 0x1.719d87169f10ap-4, 0x1.f2c54f72d6e83p-4, 0x1.3d26550305329p-3, 0x1.81ca1efed4b2dp-3, 0x1.c5530645a4bd4p-3, 0x1.030e6a6b4a379p-2, 0x1.216b38582cc26p-2, 0x1.3d3d6ee9a3859p-2, 0x1.56245b0c72bp-2, 0x1.6bdca21ef42d2p-2, 0x1.7e3bfb8df78fp-2, 0x1.8d2d45931d051p-2, 0x1.98ad076364199p-2, 0x1.a0c6612f97c74p-2, 0x1.a59060f91f15bp-2, 0x1.a72bafa6bbc92p-2, 0x1.a5c089d55c4aap-2, 0x1.a17cfa340ad82p-2, 0x1.9a934ddd16a45p-2, 0x1.9138bcd8c3901p-2, 0x1.85a441948aa73p-2, 0x1.780d9a4d669ecp-2, 0x1.68ac6ff65f97ep-2, 0x1.57b79ee703bfap-2, 0x1.45649e563eefbp-2, 0x1.31e703f9348dfp-2, 0x1.1d70214b85114p-2, 0x1.082eb80abbfe9p-2, 0x1.e49d86d8e866fp-3, 0x1.b7f2a74915498p-3, 0x1.8aa8f2ca5c70dp-3, 0x1.5d067e568ce67p-3, 0x1.2f4b5c34f763dp-3, 0x1.01b1b84e444ap-3, 0x1.a8dc09f877addp-4, 0x1.4f5e6909922d8p-4, 0x1.ee7be306e167bp-5, 0x1.4188350d66872p-5, 0x1.30c434aaf1c63p-6, -0x1.90f325d78859p-10, -0x1.59ac516a32ae9p-6, -0x1.4839c7c5c4d2fp-5, -0x1.de706faa04d1p-5, -0x1.37a242cd03b13p-4, -0x1.7d45fd1df0c86p-4, -0x1.c0137f5067375p-4, -0x1.ffff991af56d8p-4, -0x1.1e81a6291b8a8p-3, -0x1.3b8db38ba117dp-3, -0x1.57240ddc0acdep-3, -0x1.714652e7b5482p-3, -0x1.89f77a49fa89bp-3, -0x1.a13baebdcb552p-3, -0x1.b7182abb4add6p-3, -0x1.cb9317f97ca1ep-3, -0x1.deb37115c802fp-3, -0x1.f080e53138c8cp-3, -0x1.0081ded1721f1p-2, -0x1.082262f0d3b11p-2, -0x1.0f269abade5aap-2, -0x1.15934dcc08b37p-2, -0x1.1b6d66136104dp-2, -0x1.20b9e6f9c169fp-2, -0x1.257de54383cf7p-2, -0x1.29be7fc80f12fp-2, -0x1.2d80d8fe5b32fp-2, -0x1.30ca11484a8e2p-2, -0x1.339f41dacec98p-2, -0x1.360578236d567p-2, -0x1.3801b19ec733p-2, -0x1.3998d81dfc61cp-2, -0x1.3acfbe841654dp-2, -0x1.3bab1dfdaf545p-2, -0x1.3c2f93afb6de5p-2, -0x1.3c619ed030b24p-2, -0x1.3c459f16ca319p-2, -0x1.3bdfd376afb36p-2, -0x1.3b345911b53f8p-2, -0x1.3a472a630bed8p-2, -0x1.391c1e9b11533p-2, -0x1.37b6e93102bd2p-2, -0x1.361b19a87509ap-2, -0x1.344c1b898d397p-2, -0x1.324d3689ec956p-2, -0x1.30218edd275edp-2, -0x1.2dcc25aa5acd5p-2, -0x1.2b4fd99c6bef4p-2, -0x1.28af678b18d6ep-2, -0x1.25ed6b3358701p-2, -0x1.230c6002315b8p-2, -0x1.200ea1ec39447p-2, -0x1.1cf66e4f24269p-2, -0x1.19c5e4e124edp-2, -0x1.167f08a6f25ap-2, -0x1.1323c0f554576p-2, -0x1.0fb5da74ad408p-2, -0x1.0c37082d978a6p-2, -0x1.08a8e493779cbp-2, -0x1.050cf2928532p-2, -0x1.01649e9a4fff2p-2, -0x1.fb627f4e64b6ap-3, -0x1.f3e83089b6e82p-3, -0x1.ec5caf1e80167p-3, -0x1.e4c234537292ap-3, -0x1.dd1ad663edab7p-3, -0x1.d5688a57c2ac9p-3, -0x1.cdad25c790f3ap-3, -0x1.c5ea6099b610ep-3, -0x1.be21d6a73a50ep-3, -0x1.b655095972bdfp-3, -0x1.ae856130004cfp-3, -0x1.a6b42f3c7f54cp-3, -0x1.9ee2ae8c74526p-3, -0x1.9712057ed6d56p-3, -0x1.8f43471254885p-3, -0x1.87777419d54edp-3, -0x1.7faf7c6779fedp-3, -0x1.77ec3fe7aa97p-3, -0x1.702e8fa7ef7a9p-3, -0x1.68772ed77046bp-3, -0x1.60c6d3b0fe68dp-3, -0x1.591e285ade133p-3, -0x1.517dcbbd3e91cp-3, -0x1.49e65241e2047p-3, -0x1.425846923a27bp-3, -0x1.3ad42a44a012cp-3, -0x1.335a767b6073ap-3, -0x1.2beb9c81985d4p-3, -0x1.24880656e2467p-3, -0x1.1d30172fcb1cep-3, -0x1.15e42bfa06ff4p-3, -0x1.0ea49bc87f315p-3, -0x1.0771b83919e55p-3, -0x1.004bcde3fcdcep-3, -0x1.f26649627f7dfp-4, -0x1.e4500048c263p-4, -0x1.d6553f6877ef3p-4, -0x1.c8767e330ec18p-4, -0x1.bab42cff9ef3ap-4, -0x1.ad0eb59150e63p-4, -0x1.9f867b966468ap-4, -0x1.921bdd05f1912p-4, -0x1.84cf326da6c72p-4, -0x1.77a0cf570b8d1p-4, -0x1.6a91029219e04p-4, -0x1.5da0167ca832bp-4, -0x1.50ce5144aecb5p-4, -0x1.441bf5150d9c6p-4, -0x1.3789404b36b46p-4, -0x1.2b166dbb5767ap-4, -0x1.1ec3b4d8a5c71p-4, -0x1.129149bc73eb5p-4, -0x1.067f5d4be225dp-4, -0x1.f51c3b015fb89p-5, -0x1.dd7b6af3b089ap-5, -0x1.c61c9adf46ad8p-5, -0x1.af00158b9e1c3p-5, -0x1.9826209a97274p-5, -0x1.818efcbc2e5b2p-5, -0x1.6b3ae5736dc5cp-5, -0x1.552a1116bbc63p-5, -0x1.3f5cb1292d05fp-5, -0x1.29d2f2b0cac1bp-5, -0x1.148cfe0f8a6cfp-5, -0x1.ff15edb4bc0f7p-6, -0x1.d599f8081dea6p-6, -0x1.aca650509eac1p-6, -0x1.843b233be4d97p-6, -0x1.5c5894b7de37ap-6, -0x1.34febfd937f26p-6, -0x1.0e2db7316fc48p-6, -0x1.cfcb0a006e3ep-7, -0x1.844c56c6bfe66p-7, -0x1.39df48bffc221p-7, -0x1.e1078788200f5p-8, -0x1.507336e438efep-8, -0x1.84024dc1aab08p-9, -0x1.ad8601607667fp-11, 0x1.51fac7ed9c4f1p-10, 0x1.b91c03c96d9cep-9, 0x1.627e2059d0334p-8, 0x1.e6501c97fe3dcp-8, 0x1.3402913ed8047p-7, 0x1.73cf3c38097a5p-7, 0x1.b28ebf90dc08dp-7, 0x1.f041d978fee4ap-7, 0x1.1674ab2707efcp-6, 0x1.344307e923674p-6, 0x1.518c75ec5a2e6p-6, 0x1.6e516dd06095ap-6, 0x1.8a926e2de8d83p-6, 0x1.a64ffbe25fcf5p-6, 0x1.c18aa20c5973p-6, 0x1.dc42f15d16feep-6, 0x1.f6797f901d0c2p-6, 0x1.081773a70cd0dp-5, 0x1.14b1e43ca051ep-5, 0x1.210c64319fe73p-5, 0x1.2d2748c93c951p-5, 0x1.3902e99a322f7p-5, 0x1.449fa0544f36bp-5, 0x1.4ffdc8b73657dp-5, 0x1.5b1dc0ad4785cp-5, 0x1.65ffe85db90d9p-5, 0x1.70a4a210f510ep-5, 0x1.7b0c52050b3e2p-5, 0x1.85375e328ebd8p-5, 0x1.8f262e3ecb7p-5, 0x1.98d92b8469a08p-5, 0x1.a250c1203fa8cp-5, 0x1.ab8d5be941534p-5, 0x1.b48f6a51b9b92p-5, 0x1.bd575c407b31p-5, 0x1.c5e5a2f47d087p-5, 0x1.ce3ab0fc8d52ap-5, 0x1.d656fa3b91dd6p-5, 0x1.de3af3ea259b9p-5, 0x1.e5e7148b7986cp-5, 0x1.ed5bd3d864483p-5, 0x1.f499aaa428e6ep-5, 0x1.fba112c8c6446p-5, 0x1.0139438ed1bfep-4, 0x1.048741bbdd178p-4, 0x1.07bac25428fbdp-4, 0x1.0ad4043b13a9ap-4, 0x1.0dd346c7cce21p-4, 0x1.10b8c9bc1fafep-4, 0x1.1384cd3c3e3fp-4, 0x1.163791ca25406p-4, 0x1.18d1584420464p-4, 0x1.1b5261e3dbbe6p-4, 0x1.1dbaf03c4ce94p-4, 0x1.200b4535b00d7p-4, 0x1.2243a307a7478p-4, 0x1.24644c331517ep-4, 0x1.266d837bf06efp-4, 0x1.285f8be82618fp-4, 0x1.2a3aa8bb281cep-4, 0x1.2bff1d7667791p-4, 0x1.2dad2dd471826p-4, 0x1.2f451dcd0ee53p-4, 0x1.30c7318b4f3dap-4, 0x1.3233ad6d45302p-4, 0x1.338ad5fbe83efp-4, 0x1.34ccefe5371ebp-4, 0x1.35fa3ff7f3f18p-4, 0x1.37130b2257f57p-4, 0x1.38179674c1ca6p-4, 0x1.39082725d3be7p-4, 0x1.39e50292b83d1p-4, 0x1.3aae6e39be67ep-4, 0x1.3b64afaeb2ce2p-4, 0x1.3c080c8e1a17cp-4, 0x1.3c98ca73fed5dp-4, 0x1.3d172efbaf2fcp-4, 0x1.3d837fc72d6b2p-4, 0x1.3dde028ad571dp-4, 0x1.3e26fd14d2466p-4, 0x1.3e5eb549033c9p-4, 0x1.3e857111f8f58p-4, 0x1.3e9b764a70c47p-4, 0x1.3ea10aaec5c71p-4, 0x1.3e9673d3771c3p-4, 0x1.3e7bf72e140f1p-4, 0x1.3e51da25212ap-4, 0x1.3e186220bcdd6p-4, 0x1.3dcfd490d331p-4, 0x1.3d7876e3eeecap-4, 0x1.3d128e7160af4p-4, 0x1.3c9e605f7198bp-4, 0x1.3c1c31901e9d3p-4, 0x1.3b8c469b5597bp-4, 0x1.3aeee3d7d5d8dp-4, 0x1.3a444d6d6f67ap-4, 0x1.398cc76736d35p-4, 0x1.38c895bc45ea4p-4, 0x1.37f7fc49b53efp-4, 0x1.371b3ebf3bdc8p-4, 0x1.3632a08550b2fp-4, 0x1.353e64a616414p-4, 0x1.343ecdc0a650ap-4, 0x1.33341e0a33b31p-4, 0x1.321e975b4d60ep-4, 0x1.30fe7b42e4846p-4, 0x1.2fd40b166e6aap-4, 0x1.2e9f87f759af9p-4, 0x1.2d6132c8eddb8p-4, 0x1.2c194c1d55e0ep-4, 0x1.2ac81418356cap-4, 0x1.296dca58c8c71p-4, 0x1.280aadedc942fp-4, 0x1.269efd58ab3cfp-4, 0x1.252af69dd0966p-4, 0x1.23aed75a2d5dcp-4, 0x1.222adcd58303dp-4, 0x1.209f4406a66a5p-4, 0x1.1f0c49887dccap-4, 0x1.1d722981bc114p-4, 0x1.1bd11f86453a9p-4, 0x1.1a2966806ced3p-4, 0x1.187b38a8bd2dcp-4, 0x1.16c6cf8cff1dap-4, 0x1.150c6424c7ec6p-4, 0x1.134c2eeb15fa7p-4, 0x1.118667edd7a04p-4, 0x1.0fbb46d07d4e2p-4, 0x1.0deb02bbe8249p-4, 0x1.0c15d243b7eacp-4, 0x1.0a3beb4974d94p-4, 0x1.085d82e8e62p-4, 0x1.067acd74d9b47p-4, 0x1.0493fe8404be7p-4, 0x1.02a949085ba8dp-4, 0x1.00badf65faa94p-4, 0x1.fd91e700ca591p-5, 0x1.f9a76d7262dbp-5, 0x1.f5b6b3b8784cbp-5, 0x1.f1c01a109129ep-5, 0x1.edc3ff2b96a14p-5, 0x1.e9c2c012be174p-5, 0x1.e5bcb82aa0cc2p-5, 0x1.e1b24151a13c3p-5, 0x1.dda3b40b59bcdp-5, 0x1.d99167a68834cp-5, 0x1.d57bb24e0b402p-5, 0x1.d162e8fe1d7e3p-5, 0x1.cd475f631f9dep-5, 0x1.c92967b01e13p-5, 0x1.c509527dd4228p-5, 0x1.c0e76ebf054dfp-5, 0x1.bcc409cd2790ep-5, 0x1.b89f6f8697255p-5, 0x1.b479ea711a02fp-5, 0x1.b053c3d065e39p-5, 0x1.ac2d43a8f07c1p-5, 0x1.a806b0aeca3c6p-5, 0x1.a3e0502849f77p-5, 0x1.9fba65d348babp-5, 0x1.9b9533d856242p-5, 0x1.9770fad1f6f3cp-5, 0x1.934df9e40fc2p-5, 0x1.8f2c6ed7c5cc5p-5, 0x1.8b0c96308e9c1p-5, 0x1.86eeab3122aap-5, 0x1.82d2e7cf1329cp-5, 0x1.7eb9849c391dbp-5, 0x1.7aa2b8b0f56a1p-5, 0x1.768eb9a3390cdp-5, 0x1.727dbb8ef3535p-5, 0x1.6e6ff12bf8d5bp-5, 0x1.6a658be9d19d7p-5, 0x1.665ebc0234091p-5, 0x1.625bb07da7373p-5, 0x1.5e5c9727468f5p-5, 0x1.5a619c776729ap-5, 0x1.566aeb80a1c58p-5, 0x1.5278ade9a8c4bp-5, 0x1.4e8b0bf8a9155p-5, 0x1.4aa22cace99e3p-5, 0x1.46be35db478ebp-5, 0x1.42df4c42f4657p-5, 0x1.3f05939026253p-5, 0x1.3b312e4d634e5p-5, 0x1.37623dcaef8ep-5, 0x1.3398e20952e3p-5, 0x1.2fd539b32aac1p-5, 0x1.2c17622bb2674p-5, 0x1.285f77ae233b1p-5, 0x1.24ad9571e7e13p-5, 0x1.2101d5c4c4f03p-5, 0x1.1d5c520ff93c6p-5, 0x1.19bd22c6235b9p-5, 0x1.16245f42aef29p-5, 0x1.12921da9f2a34p-5, 0x1.0f0672dac1b0bp-5, 0x1.0b81727abac1dp-5, 0x1.08032f1bcf532p-5, 0x1.048bba6e75c02p-5, 0x1.011b256cd9f3cp-5, 0x1.fb6300dbdba98p-6, 0x1.f49db62f457cbp-6, 0x1.ede6886b30bfbp-6, 0x1.e73d9309bfb8bp-6, 0x1.e0a2ef17bf2bcp-6, 0x1.da16b3236602ap-6, 0x1.d398f37954202p-6, 0x1.cd29c2a15bacbp-6, 0x1.c6c931f0d6973p-6, 0x1.c07751fd2492bp-6, 0x1.ba3432c0705p-6, 0x1.b3ffe3665c3dcp-6, 0x1.adda71c143341p-6, 0x1.a7c3e9ae55a38p-6, 0x1.a1bc54948a0c3p-6, 0x1.9bc3b93d32d1bp-6, 0x1.95da1c1b891a3p-6, 0x1.8fff7ff49912bp-6, 0x1.8a33e6b3f0575p-6, 0x1.8477522662b3p-6, 0x1.7ec9c459114cdp-6, 0x1.792b3f777330cp-6, 0x1.739bc52eeaaeap-6, 0x1.6e1b55c8cb576p-6, 0x1.68a9ef47c4545p-6, 0x1.63478cd86e793p-6, 0x1.5df426cc62c6fp-6, 0x1.58afb32cb4846p-6, 0x1.537a26be94e2ep-6, 0x1.4e53762e177c2p-6, 0x1.493b9702b83edp-6, 0x1.4432800e875dbp-6, 0x1.3f38293064c08p-6, 0x1.3a4c8a76c8a7dp-6, 0x1.356f9ae2ba7aap-6, 0x1.30a14f29a006fp-6, 0x1.2be198d7da854p-6, 0x1.2730661c5caeep-6, 0x1.228da25648b85p-6, 0x1.1df93745c95d7p-6, 0x1.19730e8fbf24ap-6, 0x1.14fb1328565f9p-6, 0x1.1091323c0c292p-6, 0x1.0c355b51fd1e9p-6, 0x1.07e77f9ab2dd8p-6, 0x1.03a7909a21d0fp-6, 0x1.feeafd12514afp-7, 0x1.f6a26db9085ccp-7, 0x1.ee7546ae5e0dbp-7, 0x1.e66353d4dea0fp-7, 0x1.de6c5ae9d9e12p-7, 0x1.d6901e71d5f55p-7, 0x1.cece615ee8979p-7, 0x1.c726ea80c50f6p-7, 0x1.bf9986d40ed84p-7, 0x1.b8260a172f7d9p-7, 0x1.b0cc4d7d993dbp-7, 0x1.a98c2ce3d76bap-7, 0x1.a26583393a501p-7, 0x1.9b5826f837c42p-7, 0x1.9463e77641a23p-7, 0x1.8d888ba21974bp-7, 0x1.86c5d2835a264p-7, 0x1.801b7576e6eacp-7, 0x1.79892bbde71e3p-7, 0x1.730eae92f6f8fp-7, 0x1.6cabbcc27a9p-7, 0x1.66601cd9bd7c7p-7, 0x1.602b9d672796fp-7, 0x1.5a0e1356a5e4ap-7, 0x1.540756f2af7ffp-7, 0x1.4e17404f90a5cp-7, 0x1.483da3dd4ab83p-7, 0x1.427a4fae38b5ep-7, 0x1.3ccd09d6fb533p-7, 0x1.3735903701b11p-7, 0x1.31b399deac183p-7, 0x1.2c46da05f5b57p-7, 0x1.26ef04142049fp-7, 0x1.21abcfc74211dp-7, 0x1.1c7cfc5eb6dc2p-7, 0x1.176251f05a652p-7, 0x1.125ba0ad56847p-7, 0x1.0d68be860bc23p-7, 0x1.08898402cff59p-7, 0x1.03bdc92166631p-7, 0x1.fe0ac55d2276bp-8, 0x1.f4c04064b5f67p-8, 0x1.eb9b94d20c6e8p-8, 0x1.e29c44f1aa4e4p-8, 0x1.d9c1c4b6fc63p-8, 0x1.d10b7dd1628cep-8, 0x1.c878d6db6ffdbp-8, 0x1.c0093c0632819p-8, 0x1.b7bc26affa6d4p-8, 0x1.af91218cdeceap-8, 0x1.a787c856cfe1fp-8, 0x1.9f9fc3afc2d11p-8, 0x1.97d8c32a9009cp-8, 0x1.903277baf86f9p-8, 0x1.88ac8feba6ba4p-8, 0x1.8146b5d51def5p-8, 0x1.7a008d6dc6cfep-8, 0x1.72d9b2342f21bp-8, 0x1.6bd1b45855052p-8, 0x1.64e81734decf7p-8, 0x1.5e1c5334b5975p-8, 0x1.576ddbe4f2fa5p-8, 0x1.50dc28a604f07p-8, 0x1.4a66bcf5ef2b7p-8, 0x1.440d2d613f9adp-8, 0x1.3dcf1f9fc6d44p-8, 0x1.37ac464305543p-8, 0x1.31a459f38cf93p-8, 0x1.2bb713125e6d2p-8, 0x1.25e42632f78fep-8, 0x1.202b441dd53acp-8, 0x1.1a8c1bb0453e2p-8, 0x1.15065a9d67ef5p-8, 0x1.0f99ab002cb2cp-8, 0x1.0a45ae6661af1p-8, 0x1.0509f98a8882bp-8, 0x1.ffcc2890ebb08p-9, 0x1.f5b2fe18c3f0bp-9, 0x1.ebc7777de5e62p-9, 0x1.e208acddd1598p-9, 0x1.d875d5466fe6ap-9, 0x1.cf0e48487b326p-9, 0x1.c5d1771c47c67p-9, 0x1.bcbedff03117cp-9, 0x1.b3d6000a5846bp-9, 0x1.ab164ade2135ep-9, 0x1.a27f2a80afb03p-9, 0x1.9a10088846fa7p-9, 0x1.91c8589479c19p-9, 0x1.89a79c00ee94p-9, 0x1.81ad5a6c4ed03p-9, 0x1.79d9125fc06ecp-9, 0x1.722a2b69a694ap-9, 0x1.6a9ff2d30ecbdp-9, 0x1.6339a5419e747p-9, 0x1.5bf67f1d52f0cp-9, 0x1.54d5ca8cab93dp-9, 0x1.4dd6e64b04576p-9, 0x1.46f9468df69bp-9, 0x1.403c7220d71f7p-9, 0x1.399ffb4934c9ep-9, 0x1.332374490a042p-9, 0x1.2cc66397e9eb9p-9, 0x1.26883eb9b1a5p-9, 0x1.20686fc6b1e1cp-9, 0x1.1a666313d6fcdp-9, 0x1.148194e7dec52p-9, 0x1.0eb99675e6481p-9, 0x1.090e06125e8a9p-9, 0x1.037e7e659c24fp-9, 0x1.fc150d918c593p-10, 0x1.f1631e7853e5bp-10, 0x1.e6e5f51e5e441p-10, 0x1.dc9c5ca2f9dc3p-10, 0x1.d285396df6154p-10, 0x1.c89f88ef558d6p-10, 0x1.beea5e92daa86p-10, 0x1.b564ea2650a7fp-10, 0x1.ac0e8137c8622p-10, 0x1.a2e698b9fcd9bp-10, 0x1.99ecaafa7f0fap-10, 0x1.9120198bf09d3p-10, 0x1.88801eef902c6p-10, 0x1.800bd8eb54c6cp-10, 0x1.77c2654abef8p-10, 0x1.6fa2ffcf6fd83p-10, 0x1.67ad0ef5cd3c6p-10, 0x1.5fe016fd1b29p-10, 0x1.583b99ad771ep-10, 0x1.50bef5468bb5ep-10, 0x1.496957cf62254p-10, 0x1.4239d06f23c02p-10, 0x1.3b2f7055f4942p-10, 0x1.34495c0ce6e0dp-10, 0x1.2d86be97274b8p-10, 0x1.26e6b68d3a32dp-10, 0x1.206860c52607ep-10, 0x1.1a0afe272470fp-10, 0x1.13ce0c28fb6ep-10, 0x1.0db134240af89p-10, 0x1.07b41fc33d393p-10, 0x1.01d654a8d5047p-10, 0x1.f82e5a77408d4p-11, 0x1.ecebdbe5b1b49p-11, 0x1.e1e3cc395e2d4p-11, 0x1.d7150fa1b9dcbp-11, 0x1.cc7ed922fb059p-11, 0x1.c22092c7465c2p-11, 0x1.b7f9b47d42859p-11, 0x1.ae0996125fbfcp-11, 0x1.a44f4992fbf5p-11, 0x1.9ac99b18aa6f6p-11, 0x1.91774103aec51p-11, 0x1.885715125cb2p-11, 0x1.7f680efc42b47p-11, 0x1.76a8fd97b3125p-11, 0x1.6e1862d1d52aap-11, 0x1.65b4c22553b2dp-11, 0x1.5d7d1a4b7dea2p-11, 0x1.5570fd32fd2e2p-11, 0x1.4d902e9f99f5fp-11, 0x1.45da330468467p-11, 0x1.3e4e2bee6ddc5p-11, 0x1.36eb03470d0a5p-11, 0x1.2fafaa5f838efp-11, 0x1.289b3870dafa3p-11, 0x1.21ace3694311ep-11, 0x1.1ae3f0db08e2dp-11, 0x1.143fb639f602ep-11, 0x1.0dbfa3af2a40bp-11, 0x1.076344a3f533ap-11, 0x1.012a2780f5ed6p-11, 0x1.f6276f2692bccp-12, 0x1.ea3e601f64fe3p-12, 0x1.de978aa62f72dp-12, 0x1.d331bcf19cdbfp-12, 0x1.c80c15b59d949p-12, 0x1.bd254fb05b1cap-12, 0x1.b27b5697d584fp-12, 0x1.a80bf749ff10dp-12, 0x1.9dd5ee71dda5dp-12, 0x1.93d8e43c0a124p-12, 0x1.8a14643506f46p-12, 0x1.8087282bad148p-12, 0x1.772f5eb15dba8p-12, 0x1.6e0b61f9de364p-12, 0x1.651a0d2ac7006p-12, 0x1.5c5a7e74e86c1p-12, 0x1.53cbbb03984aap-12, 0x1.4b6c9cb4239b6p-12, 0x1.433bfd8b2cf6cp-12, 0x1.3b38e4cb5eb77p-12, 0x1.336297fd3474bp-12, 0x1.2bb8900bba322p-12, 0x1.243a542e16e9dp-12, 0x1.1ce73e1a39adcp-12, 0x1.15be4adc56d69p-12, 0x1.0ebe3928bbccdp-12, 0x1.07e5f83223da5p-12, 0x1.0134ee615c7e7p-12, 0x1.f5554bbe77d4bp-13, 0x1.e88c592523982p-13, 0x1.dc0c35d981518p-13, 0x1.cfd2fcc8cb25ep-13, 0x1.c3e09295337d6p-13, 0x1.b834fdc567b08p-13, 0x1.accece9734e93p-13, 0x1.a1abb12f2bc72p-13, 0x1.96c9e5a08a6dcp-13, 0x1.8c288a529c62dp-13, 0x1.81c6b8be4f794p-13, 0x1.77a2ea47e8a71p-13, 0x1.6dbb2a76b4ca2p-13, 0x1.640d84559e803p-13, 0x1.5a983bb0ec20fp-13, 0x1.5159d2bbd66e7p-13, 0x1.4850fe83ca4ap-13, 0x1.3f7ca1590f39fp-13, 0x1.36dbccf612848p-13, 0x1.2e6db62d905cap-13, 0x1.26318053295d7p-13, 0x1.1e25fc9aea643p-13, 0x1.1649bcf9b8a67p-13, 0x1.0e9b96f9b13dap-13, 0x1.071b111c18dfcp-13, 0x1.ff90415735dd7p-14, 0x1.f14449062498dp-14, 0x1.e34e9e2dff8a4p-14, 0x1.d5abebdd4b782p-14, 0x1.c85b4af7ef50ap-14, 0x1.bb5bb3d52236ep-14, 0x1.aeaa4bde3a107p-14, 0x1.a244a9bd9b28dp-14, 0x1.962a50c0db4a8p-14, 0x1.8a5b199c0aa4dp-14, 0x1.7ed5d9a639979p-14, 0x1.7398c174b566fp-14, 0x1.68a1f3a719c9ep-14, 0x1.5defa4254adc5p-14, 0x1.538007280941p-14, 0x1.49515a82d5149p-14, 0x1.3f61e6eea79eep-14, 0x1.35b00f711da7ap-14, 0x1.2c3a5c22dceedp-14, 0x1.22ff885d4db0bp-14, 0x1.19fe8bc86c826p-14, 0x1.11367ab1759b3p-14, 0x1.08a639d09fd0dp-14, 0x1.004c38999965bp-14, 0x1.f04d536817f45p-15, 0x1.e068400fa56f8p-15, 0x1.d0e80e857790dp-15, 0x1.c1cca6d2e39e9p-15, 0x1.b313c7a09704fp-15, 0x1.a4b7eb36f8a87p-15, 0x1.96b5d6749d615p-15, 0x1.890d4d4aa7f9ep-15, 0x1.7bbc3cfd091aep-15, 0x1.6ec07e94b8924p-15, 0x1.6219e80d5f6cbp-15, 0x1.55c774d642e8ap-15, 0x1.49c67aba831ecp-15, 0x1.3e1443dd62927p-15, 0x1.32aec5a1482b4p-15, 0x1.27947edc80f39p-15, 0x1.1cc43682d89f3p-15, 0x1.123cbf3a13b19p-15, 0x1.07fcc12e18cdcp-15, 0x1.fc0537467ad6ep-16, 0x1.e898d95ee5c39p-16, 0x1.d5b06db0b9169p-16, }}, 
      {{0x1.ac4c61b51b9c8p-9, 0x1.e24929f233074p-8, 0x1.c85f2c6d18cbep-7, 0x1.738b478c67cc3p-6, 0x1.109c15c7934dbp-5, 0x1.73cddc4171efep-5, 0x1.e09af22e8fc87p-5, 0x1.2a342faf01e4fp-4, 0x1.6667a153be671p-4, 0x1.a3d2a98e90a5ep-4, 0x1.e180318ddb1ddp-4, 0x1.0f4d926a3e746p-3, 0x1.2d36997b52078p-3, 0x1.4a2e6b7b3f4b1p-3, 0x1.65f57e4c2ebf7p-3, 0x1.80584063bf892p-3, 0x1.992dda555e5cbp-3, 0x1.b056fd8c9519ep-3, 0x1.c5bcc681b09dcp-3, 0x1.d94fb50e7c9b5p-3, 0x1.eb06bb5ad4bfcp-3, 0x1.fade628fe007fp-3, 0x1.046c01f7a4bf2p-2, 0x1.0a7c8a62fa1a8p-2, 0x1.0fa541ddd4defp-2, 0x1.13ec13175301dp-2, 0x1.17581a38be047p-2, 0x1.19f169eafafbp-2, 0x1.1bc0d6bffca12p-2, 0x1.1ccfc885b3b1fp-2, 0x1.1d2811107c84ap-2, 0x1.1cd3c810f32dp-2, 0x1.1bdd2b8e9e3b4p-2, 0x1.1a4e84a5ad047p-2, 0x1.1832102befbd1p-2, 0x1.1591eae516eabp-2, 0x1.127800eea6b18p-2, 0x1.0eee001666173p-2, 0x1.0afd4cceb742p-2, 0x1.06aef9734948ep-2, 0x1.020bbf9efccc6p-2, 0x1.fa37f69e12261p-3, 0x1.efcf4f297e85p-3, 0x1.e4ecb94ae37cep-3, 0x1.d99e9e1c38112p-3, 0x1.cdf29fa69054ep-3, 0x1.c1f59ada9d92bp-3, 0x1.b5b3aa9d03ba2p-3, 0x1.a9382c179080ep-3, 0x1.9c8dc3c56289ap-3, 0x1.8fbe6312f12aep-3, 0x1.82d34e7469f47p-3, 0x1.75d523e6d876ap-3, 0x1.68cbe1d39ba91p-3, 0x1.5bbeedf0efa5fp-3, 0x1.4eb51c176b744p-3, 0x1.41b4b52df857dp-3, 0x1.34c37e3ccdf95p-3, 0x1.27e6bf6d4f87ep-3, 0x1.1b234abe77458p-3, 0x1.0e7d82541ec74p-3, 0x1.01f95e9f5697fp-3, 0x1.eb34e904fd526p-4, 0x1.d2c7f6dbc9789p-4, 0x1.bab1a68a06056p-4, 0x1.a2f713c809a83p-4, 0x1.8b9cc0770261dp-4, 0x1.74a69e4f9471dp-4, 0x1.5e18184571f18p-4, 0x1.47f41bd06d416p-4, 0x1.323d21ff8530bp-4, 0x1.1cf538254e561p-4, 0x1.081e07ed0a3c4p-4, 0x1.e771bd9651246p-5, 0x1.bf8d69bac206ep-5, 0x1.989066c40e477p-5, 0x1.727b75d6a632ap-5, 0x1.4d4ed2bbd6caap-5, 0x1.290a3f810fa88p-5, 0x1.05ad0f7cbe2adp-5, 0x1.c66c6362e8efap-6, 0x1.834874c2bbc1p-6, 0x1.41ead7afcc19p-6, 0x1.024f7cf53fd19p-6, 0x1.88e3a0f91797fp-7, 0x1.10998e74c47e1p-7, 0x1.376bb142e3b37p-8, 0x1.5166d78a8a6acp-10, -0x1.1036ca04087b4p-9, -0x1.5e0d49c8f138dp-8, -0x1.16cb4a28c388cp-7, -0x1.7b6955ffc5188p-7, -0x1.dceed09f340cep-7, -0x1.1db50360d4703p-6, -0x1.4b74bdc79693dp-6, -0x1.77bdedba83fb2p-6, -0x1.a297f82e57444p-6, -0x1.cc0a4b7485b9ap-6, -0x1.f41c5a4b5f5a1p-6, -0x1.0d6acbaf1641ep-5, -0x1.201eb893cc71fp-5, -0x1.322da71a3ed73p-5, -0x1.439b44dfb5e5ap-5, -0x1.546b38527776ep-5, -0x1.64a11f5507db1p-5, -0x1.74408e09fca17p-5, -0x1.834d0dc4c2b36p-5, -0x1.91ca1c1ea55e6p-5, -0x1.9fbb2a2bcb7dcp-5, -0x1.ad239bcecba11p-5, -0x1.ba06c7273704ep-5, -0x1.c667f41964f83p-5, -0x1.d24a5be828e46p-5, -0x1.ddb128ef589ap-5, -0x1.e89f76564962bp-5, -0x1.f3184ff57782fp-5, -0x1.fd1eb22964bc5p-5, -0x1.035ac4e3b9c6dp-4, -0x1.07efda0b0af4cp-4, -0x1.0c4fff690348dp-4, -0x1.107c941e7c727p-4, -0x1.1476ef99ceb3fp-4, -0x1.184061a6e51afp-4, -0x1.1bda32815cbc8p-4, -0x1.1f45a2eaf5c9dp-4, -0x1.2283ec43f4be3p-4, -0x1.259640a5b2474p-4, -0x1.287dcb000e39cp-4, -0x1.2b3baf378ffb9p-4, -0x1.2dd10a453e619p-4, -0x1.303ef25873f7fp-4, -0x1.328676f81224ep-4, -0x1.34a8a12591387p-4, -0x1.36a67380b3eacp-4, -0x1.3880ea6a6e40bp-4, -0x1.3a38fc28feb99p-4, -0x1.3bcf990b9007cp-4, -0x1.3d45ab8ec659fp-4, -0x1.3e9c187ed5144p-4, -0x1.3fd3bf1c670c8p-4, -0x1.40ed793e1f154p-4, -0x1.41ea1b75159ep-4, -0x1.42ca752947d1fp-4, -0x1.438f50c7c1249p-4, -0x1.443973d1f8c2p-4, -0x1.44c99f0d7ea9ep-4, -0x1.45408e9ad59dcp-4, -0x1.459efa17ca789p-4, -0x1.45e594bcc47b8p-4, -0x1.46150d7acbdb6p-4, -0x1.462e0f184c6f9p-4, -0x1.4631404cbc43p-4, -0x1.461f43dcafbf4p-4, -0x1.45f8b8b42b21p-4, -0x1.45be3a00594ap-4, -0x1.45705f49071cfp-4, -0x1.450fbc8901dacp-4, -0x1.449ce2469dc94p-4, -0x1.44185da84bf0ep-4, -0x1.4382b88db61e4p-4, -0x1.42dc79a464486p-4, -0x1.4226247c69591p-4, -0x1.4160399c8a15bp-4, -0x1.408b36963d813p-4, -0x1.3fa7961a34ep-4, -0x1.3eb5d007e6b8ap-4, -0x1.3db6598185884p-4, -0x1.3ca9a4fc6e0d7p-4, -0x1.3b902252a74eap-4, -0x1.3a6a3ed2e0d51p-4, -0x1.3938654f971dp-4, -0x1.37fafe2e66fe7p-4, -0x1.36b26f776b1cdp-4, -0x1.355f1ce25d6b1p-4, -0x1.340167e6b45c8p-4, -0x1.3299afc613d9ep-4, -0x1.3128519abfd61p-4, -0x1.2fada8643f824p-4, -0x1.2e2a0d1385895p-4, -0x1.2c9dd6967dd69p-4, -0x1.2b0959e3874d5p-4, -0x1.296cea04a4527p-4, -0x1.27c8d82258d37p-4, -0x1.261d738eaba9dp-4, -0x1.246b09cb17468p-4, -0x1.22b1e69ef037fp-4, -0x1.20f2540dec151p-4, -0x1.1f2c9a7236c77p-4, -0x1.1d61007ce80f7p-4, -0x1.1b8fcb4177412p-4, -0x1.19b93e3e37b99p-4, -0x1.17dd9b64ad0b6p-4, -0x1.15fd23217b6b5p-4, -0x1.1418146450b9fp-4, -0x1.122eaca760a76p-4, -0x1.104127f9978edp-4, -0x1.0e4fc10190825p-4, -0x1.0c5ab108fcb78p-4, -0x1.0a62300138c06p-4, -0x1.0866748ab636bp-4, -0x1.0667b3fc09656p-4, -0x1.04662268bea69p-4, -0x1.0261f2a7b4424p-4, -0x1.005b56591b48bp-4, -0x1.fca4fbd8e4e35p-5, -0x1.f88f314d57d12p-5, -0x1.f475a950ae485p-5, -0x1.f058bde649b32p-5, -0x1.ec38c6e368199p-5, -0x1.e81619f0bdad9p-5, -0x1.e3f10a9e13022p-5, -0x1.dfc9ea683f90fp-5, -0x1.dba108c500282p-5, -0x1.d776b32d69fbcp-5, -0x1.d34b3527d9c62p-5, -0x1.cf1ed8516222p-5, -0x1.caf1e4670d8f4p-5, -0x1.c6c49f4f1cf33p-5, -0x1.c2974d2260d65p-5, -0x1.be6a30357026fp-5, -0x1.ba3d89219680ep-5, -0x1.b61196cd62c1ep-5, -0x1.b1e69674e781bp-5, -0x1.adbcc3b1e8e49p-5, -0x1.a99458835adbdp-5, -0x1.a56d8d5692a13p-5, -0x1.a148990e31315p-5, -0x1.9d25b10a39e55p-5, -0x1.9905092f9ae76p-5, -0x1.94e6d3ef629e8p-5, -0x1.90cb424dcc497p-5, -0x1.8cb283e9399a5p-5, -0x1.889cc70116dbap-5, -0x1.848a387caaaccp-5, -0x1.807b03f1cf948p-5, -0x1.7c6f53ab78187p-5, -0x1.786750b000297p-5, -0x1.746322c748621p-5, -0x1.7062f080ab9e7p-5, -0x1.6c66df39e4e3ap-5, -0x1.686f131f1e269p-5, -0x1.647baf3f8df43p-5, -0x1.608cd579da47dp-5, -0x1.5ca2a6a1fdee4p-5, -0x1.58bd426787acep-5, -0x1.54dcc76efe919p-5, -0x1.5101534f42a17p-5, -0x1.4d2b0297d6883p-5, -0x1.4959f0d5d50bdp-5, -0x1.458e3898d921ap-5, -0x1.41c7f377dbcf3p-5, -0x1.3e073a160019bp-5, -0x1.3a4c24272e671p-5, -0x1.3696c874c3ed8p-5, -0x1.32e73ce1a645p-5, -0x1.2f3d966ecef35p-5, -0x1.2b99e93f6e1efp-5, -0x1.27fc489d2c379p-5, -0x1.2464c6fc60b73p-5, -0x1.20d376003d465p-5, -0x1.1d48667ee30ffp-5, -0x1.19c3a88544028p-5, -0x1.16454b5ae6ddbp-5, -0x1.12cd5d8442f56p-5, -0x1.0f5beccc2d23cp-5, -0x1.0bf1063bdca1p-5, -0x1.088cb629e1897p-5, -0x1.052f08384498cp-5, -0x1.01d80759228bcp-5, -0x1.fd0f7ba46da76p-6, -0x1.f67c6a8059e03p-6, -0x1.eff6ed337cd3fp-6, -0x1.e97f14655b403p-6, -0x1.e314ef7d93715p-6, -0x1.dcb88caa04d17p-6, -0x1.d669f8e5442a4p-6, -0x1.d0293ffd3532dp-6, -0x1.c9f66c99b3985p-6, -0x1.c3d18842f8795p-6, -0x1.bdba9b6786d7bp-6, -0x1.b7b1ad619b7dep-6, -0x1.b1b6c47c4168cp-6, -0x1.abc9e5f862accp-6, -0x1.a5eb161221d6ap-6, -0x1.a01a58069c248p-6, -0x1.9a57ae1a127cfp-6, -0x1.94a3199e1da7cp-6, -0x1.8efc9af7bc874p-6, -0x1.896431a47a19fp-6, -0x1.83d9dc3d153d7p-6, -0x1.7e5d98866f65cp-6, -0x1.78ef635b3185fp-6, -0x1.738f38cb69e07p-6, -0x1.6e3d1413f885cp-6, -0x1.68f8efa7a44ffp-6, -0x1.63c2c5335ac9dp-6, -0x1.5e9a8d887a751p-6, -0x1.5980411b5e735p-6, -0x1.5473d738690eep-6, -0x1.4f7546a9d87cep-6, -0x1.4a848595565d9p-6, -0x1.45a1896a94357p-6, -0x1.40cc472626831p-6, -0x1.3c04b255ee58dp-6, -0x1.374abf1feb8d3p-6, -0x1.329e6045d1ff8p-6, -0x1.2dff882a88151p-6, -0x1.296e28a2b18f5p-6, -0x1.24ea32f82ea33p-6, -0x1.207397e80d9d4p-6, -0x1.1c0a47a22f66ep-6, -0x1.17ae3214ef1d5p-6, -0x1.135f4657e62cap-6, -0x1.0f1d73369cdc4p-6, -0x1.0ae8a713137bdp-6, -0x1.06c0cfd46699ep-6, -0x1.02a5daf89676fp-6, -0x1.fd2f6b2cf10f8p-7, -0x1.f52c98c7be063p-7, -0x1.ed43174ec70c2p-7, -0x1.e572bebf1ccd3p-7, -0x1.ddbb6646397bap-7, -0x1.d61ce46c7fd1fp-7, -0x1.ce970f1618082p-7, -0x1.c729bb89dd1e6p-7, -0x1.bfd4be77d828ep-7, -0x1.b897ebffc13c2p-7, -0x1.b17317b76f768p-7, -0x1.aa6614b144d04p-7, -0x1.a370b582a696dp-7, -0x1.9c92cc4a2e20cp-7, -0x1.95cc2ab58d82ap-7, -0x1.8f1ca2074301ap-7, -0x1.8884031c31c88p-7, -0x1.82021e718c3dep-7, -0x1.7b96c42aeb62cp-7, -0x1.7541c418ab282p-7, -0x1.6f02edbe18528p-7, -0x1.68da105718aa3p-7, -0x1.62c6fadd0178ep-7, -0x1.5cc97c0b1c66p-7, -0x1.56e16262c6ff2p-7, -0x1.510e7c3023356p-7, -0x1.4b50978f56001p-7, -0x1.45a782724e5fap-7, -0x1.40130aa6cb48cp-7, -0x1.3a92fddbd4f77p-7, -0x1.352729a636d13p-7, -0x1.2fcf5b83ede1p-7, -0x1.2a8b60df1be5cp-7, -0x1.255b071152329p-7, -0x1.203e1b6783318p-7, -0x1.1b346b24820a9p-7, -0x1.163dc391f6234p-7, -0x1.1159f1f04d4ep-7, -0x1.0c88c390329bcp-7, -0x1.07ca05cb845b8p-7, -0x1.031d8608f7c8cp-7, -0x1.fd06237b640e7p-8, -0x1.f3f4ecdecda3cp-8, -0x1.eb07036fdcbdbp-8, -0x1.e23c028e0c5e5p-8, -0x1.d99385f147b04p-8, -0x1.d10d29729363dp-8, -0x1.c8a88954f76a9p-8, -0x1.c0654227a18aap-8, -0x1.b842f0cc3118ep-8, -0x1.b0413275bd055p-8, -0x1.a85fa4aaa0a1dp-8, -0x1.a09de54af0bbep-8, -0x1.98fb929b78f4fp-8, -0x1.91784b530b02dp-8, -0x1.8a13aea6338d7p-8, -0x1.82cd5c4e14e5bp-8, -0x1.7ba4f4882527fp-8, -0x1.749a181140f2p-8, -0x1.6dac681eb0dd8p-8, -0x1.66db865b03a32p-8, -0x1.602714e9ec551p-8, -0x1.598eb673edaa7p-8, -0x1.53120e373fb45p-8, -0x1.4cb0c0186afb7p-8, -0x1.466a70acf11ecp-8, -0x1.403ec53be6cadp-8, -0x1.3a2d63b4a6728p-8, -0x1.3435f29fe150dp-8, -0x1.2e581911f2b4bp-8, -0x1.28937ea5af70ep-8, -0x1.22e7cb834eee3p-8, -0x1.1d54a873838b9p-8, -0x1.17d9bef87181fp-8, -0x1.1276b96097b28p-8, -0x1.0d2b42e34751fp-8, -0x1.07f707754490bp-8, -0x1.02d9b4017ad51p-8, -0x1.fba5ebb30e91p-9, -0x1.f1c4f625fc2bp-9, -0x1.e80fe46bc9726p-9, -0x1.de8614ae628ebp-9, -0x1.d526e65dcb80cp-9, -0x1.cbf1ba77775b7p-9, -0x1.c2e5f3cc9fe89p-9, -0x1.ba02f72ef43d2p-9, -0x1.b1482b7253c44p-9, -0x1.a8b4f94134a31p-9, -0x1.a048cacf198b4p-9, -0x1.98030b83d5045p-9, -0x1.8fe327bb4925fp-9, -0x1.87e88cb1b780fp-9, -0x1.8012a8a5b1b0cp-9, -0x1.7860eb280c87bp-9, -0x1.70d2c5820875dp-9, -0x1.6967ab11f18cfp-9, -0x1.621f117f8debp-9, -0x1.5af870b5fcc9p-9, -0x1.53f342a2126cbp-9, -0x1.4d0f02c7419f4p-9, -0x1.464b2dca6310cp-9, -0x1.3fa741159eb0ep-9, -0x1.3922bab22a0a9p-9, -0x1.32bd196490edbp-9, -0x1.2c75dd05de3dbp-9, -0x1.264c8700a3964p-9, -0x1.20409ace57129p-9, -0x1.1a519e508bdeep-9, -0x1.147f19ea69be2p-9, -0x1.0ec89851dbd62p-9, -0x1.092da623f42a2p-9, -0x1.03add1577358dp-9, -0x1.fc915180cf326p-10, -0x1.f1fb773e72bb7p-10, -0x1.e79933316e481p-10, -0x1.dd69a5b30f4aep-10, -0x1.d36bf105c66c3p-10, -0x1.c99f3a6f5ae86p-10, -0x1.c002ab4e56131p-10, -0x1.b69571b77f90cp-10, -0x1.ad56c16d8703cp-10, -0x1.a445d22cb7662p-10, -0x1.9b61e025a3c37p-10, -0x1.92aa2a4828aeap-10, -0x1.8a1df13bdc73fp-10, -0x1.81bc768695999p-10, -0x1.7984fc1d97524p-10, -0x1.7176c47ab3705p-10, -0x1.6991132e4d25cp-10, -0x1.61d32dcd8e021p-10, -0x1.5a3c5d063b02cp-10, -0x1.52cbed958cd54p-10, -0x1.4b8130e43be4fp-10, -0x1.445b7d2078cbbp-10, -0x1.3d5a2cd29c5c8p-10, -0x1.367c9e0df43e1p-10, -0x1.2fc231744aa21p-10, -0x1.292a4946c837ep-10, -0x1.22b448afc725cp-10, -0x1.1c5f935d8cf03p-10, -0x1.162b8d772f942p-10, -0x1.10179be99b697p-10, -0x1.0a232502facf6p-10, -0x1.044d9144efbd5p-10, -0x1.fd2c988367f5ep-11, -0x1.f1f98a9bdd54bp-11, -0x1.e700dfacf7702p-11, -0x1.dc4186884aaacp-11, -0x1.d1ba74f88ebe6p-11, -0x1.c76aa6568e58dp-11, -0x1.bd511a1b827ep-11, -0x1.b36cd2baf8eep-11, -0x1.a9bcd4d9c64e2p-11, -0x1.a04026d090bd5p-11, -0x1.96f5d066d7041p-11, -0x1.8ddcdad2b02d9p-11, -0x1.84f45121c3625p-11, -0x1.7c3b4126e2df9p-11, -0x1.73b0bcd1028adp-11, -0x1.6b53db9019c49p-11, -0x1.6323bb50fd9d8p-11, -0x1.5b1f80b8d366ep-11, -0x1.53465699e8c62p-11, -0x1.4b976cec5f935p-11, -0x1.4411f7bb133b7p-11, -0x1.3cb52eaab79e9p-11, -0x1.35804b3a2edc6p-11, -0x1.2e728b3c5d4bep-11, -0x1.278b2dfb2f3a4p-11, -0x1.20c974b768785p-11, -0x1.1a2ca2217678p-11, -0x1.13b3fa138363fp-11, -0x1.0d5ec075bdde9p-11, -0x1.072c3c6f77141p-11, -0x1.011bb8b2f9befp-11, -0x1.f6590a313dc9ap-12, -0x1.eabbee69c658cp-12, -0x1.df5ed411e59cep-12, -0x1.d4407a1b529c6p-12, -0x1.c95fa633c2c51p-12, -0x1.bebb23436ccc6p-12, -0x1.b451c1156e1b7p-12, -0x1.aa2254e12bdf1p-12, -0x1.a02bb9ccfedd8p-12, -0x1.966cd077c9bc4p-12, -0x1.8ce47d369ea69p-12, -0x1.8391a5ae01843p-12, -0x1.7a732f2b46d95p-12, -0x1.7187fee500685p-12, -0x1.68cefc63408a5p-12, -0x1.604715135902ep-12, -0x1.57ef3f7270a8p-12, -0x1.4fc67c83aca4dp-12, -0x1.47cbd7338b859p-12, -0x1.3ffe62357a1p-12, -0x1.385d35690f6fp-12, -0x1.30e76bd9ef28bp-12, -0x1.299c2312d6aedp-12, -0x1.227a7bdb92564p-12, -0x1.1b819bb9ec278p-12, -0x1.14b0ae0705d1ap-12, -0x1.0e06e38854fp-12, -0x1.0783705739fb9p-12, -0x1.0125890843a17p-12, -0x1.f5d8c1665aacp-13, -0x1.e9ae5257b5e1p-13, -0x1.ddca2b16d3c1bp-13, -0x1.d22abb9e202ccp-13, -0x1.c6ce838bc16d1p-13, -0x1.bbb4143309dbfp-13, -0x1.b0da0ecab2931p-13, -0x1.a63f20441e433p-13, -0x1.9be1fcaabab68p-13, -0x1.91c15b650bcc2p-13, -0x1.87dbf541417b6p-13, -0x1.7e3084d51c0c6p-13, -0x1.74bdc91aa6865p-13, -0x1.6b82891daf204p-13, -0x1.627d96a3407bdp-13, -0x1.59adcde243717p-13, -0x1.511211f028457p-13, -0x1.48a9479942236p-13, -0x1.4072519768de7p-13, -0x1.386c109b969cap-13, -0x1.3095676dde9aap-13, -0x1.28ed3f27c4a2ap-13, -0x1.217292e6e3b31p-13, -0x1.1a24619069ab7p-13, -0x1.1301ba59c20adp-13, -0x1.0c09b2388ebfep-13, -0x1.053b63236506ap-13, -0x1.fd2bd4e5a063ap-14, -0x1.f030ceea82f34p-14, -0x1.e383f4649f8a6p-14, -0x1.d7238640c0b65p-14, -0x1.cb0dc939e95b3p-14, -0x1.bf410be0ce52bp-14, -0x1.b3bbaca0bcb66p-14, -0x1.a87c1beb64ff9p-14, -0x1.9d80d8c7b87e8p-14, -0x1.92c86977a36ebp-14, -0x1.8851542cdc9bdp-14, -0x1.7e1a1c1f26bb4p-14, -0x1.7421450907f2p-14, -0x1.6a655ad8cadcp-14, -0x1.60e4f7fee9053p-14, -0x1.579ec60ea55aep-14, -0x1.4e9179dee6496p-14, -0x1.45bbcffb369c5p-14, -0x1.3d1c8c61a7588p-14, -0x1.34b27c1a07cc6p-14, -0x1.2c7c754ebe43ep-14, -0x1.2479544978927p-14, -0x1.1ca7f6a6d0035p-14, -0x1.150738021c484p-14, -0x1.0d95f2d17dc6fp-14, -0x1.06530575a1d52p-14, -0x1.fe7ab1342d848p-15, -0x1.f0a7c68715871p-15, -0x1.e32b568707d1bp-15, -0x1.d60379f8a9972p-15, -0x1.c92e67c91e877p-15, -0x1.bcaa37aa71e2cp-15, -0x1.b0750ae86ec38p-15, -0x1.a48cfd5e0e64fp-15, -0x1.98f036d92a94cp-15, -0x1.8d9cf233bc562p-15, -0x1.8291798b10734p-15, -0x1.77cc1f4c94853p-15, -0x1.6d4b3e693caafp-15, -0x1.630d4110711d9p-15, -0x1.5910a50df8a63p-15, -0x1.4f53f8283be67p-15, -0x1.45d5cf60b040ap-15, -0x1.3c94bf10afc5cp-15, -0x1.338f5782ccb27p-15, -0x1.2ac4269f11758p-15, -0x1.2231bd5cab17bp-15, -0x1.19d6b6f928209p-15, -0x1.11b1bf3d81ec7p-15, -0x1.09c195c8d5818p-15, -0x1.02050d5bd4c71p-15, -0x1.f4f60d87824e7p-16, -0x1.e644cf10ff71dp-16, -0x1.d7f41ed5c63p-16, -0x1.ca01a3db4b6d4p-16, -0x1.bc6b0525c2ad4p-16, -0x1.af2e00f4d44ffp-16, -0x1.a24859580075bp-16, -0x1.95b7f8fb14f76p-16, -0x1.897ac9e397a7fp-16, -0x1.7d8ec2266fd67p-16, -0x1.71f1f16b161b3p-16, -0x1.66a28137bb86bp-16, -0x1.5b9ea7acc1d95p-16, -0x1.50e49d416f0c5p-16, -0x1.46729d62c705dp-16, -0x1.3c46eb4dc6a84p-16, -0x1.325fd2bf036f5p-16, -0x1.28bba4ca60b0bp-16, -0x1.1f58b74830ad8p-16, -0x1.16356a1007a25p-16, -0x1.0d502e2dfb6cbp-16, -0x1.04a789fb05fa7p-16, -0x1.f87430e4e918ep-17, -0x1.e80d091574eb3p-17, -0x1.d81701b480de9p-17, -0x1.c88f78490eeb9p-17, -0x1.b973b120bfecbp-17, -0x1.aac0dfb1c7d52p-17, -0x1.9c74490f0241p-17, -0x1.8e8b5d871b99bp-17, -0x1.8103af5d9ad03p-17, -0x1.73dadca729809p-17, -0x1.670e8d1b7c78cp-17, -0x1.5a9c805a1cbc4p-17, -0x1.4e828de0c41ecp-17, -0x1.42be917b0615bp-17, -0x1.374e61204dcb3p-17, -0x1.2c2fd946ea644p-17, -0x1.2160ed6f4572fp-17, -0x1.16dfa9030b84cp-17, -0x1.0caa22b4c445dp-17, -0x1.02be729296a83p-17, -0x1.f235658f6e998p-18, -0x1.df7a0dadb9dffp-18, -0x1.cd4744f0f0469p-18, -0x1.bb99983e3bf39p-18, -0x1.aa6db745f892ep-18, -0x1.99c070c7d5394p-18, -0x1.898eb17befb5ap-18, -0x1.79d57f56ac933p-18, -0x1.6a91e70e66153p-18, -0x1.5bc0e455cd058p-18, -0x1.4d5f64ace918ep-18, -0x1.3f6a6c4ee4405p-18, -0x1.31df334362adbp-18, -0x1.24bb1e3febd1bp-18, -0x1.17fba2e8054e5p-18, -0x1.0b9e32d9d78e4p-18, -0x1.ff408bc462706p-19, -0x1.e7fed1c8e3cb4p-19, -0x1.d1725ff7bb324p-19, -0x1.bb966212934ddp-19, -0x1.a66634348a8e8p-19, -0x1.91dd780926c86p-19, -0x1.7df7f53fc9f6p-19, -0x1.6ab17d584fa5dp-19, -0x1.5805ebf326438p-19, -0x1.45f12d947f45cp-19, -0x1.346fa7114e05cp-19, -0x1.237c2c436266p-19, -0x1.13142aba62986p-19, -0x1.033386245391ap-19, -0x1.e7ad3e710e726p-20, -0x1.c9f3e3bd6d69ap-20, -0x1.ad33f91347897p-20, -0x1.9167d96b4f12cp-20, -0x1.768849a75b44p-20, -0x1.5c8f81207efabp-20, -0x1.43770983fecf9p-20, -0x1.2b387adb6ef2p-20, -0x1.13cdbe4f80088p-20, -0x1.fa62744953c1cp-21, -0x1.cebb4e76e6fedp-21, -0x1.a49b5715fe21p-21, -0x1.7bf7676887859p-21, -0x1.54c4c4a54bc8ep-21, -0x1.2ef960fbd42cbp-21, -0x1.0a8b429e47976p-21, -0x1.cee1743091989p-22, -0x1.8b413f2a1a54cp-22, -0x1.4a23dd1d67e4ep-22, -0x1.0b77567c79e9p-22, -0x1.9e5458486cbc7p-23, -0x1.2a56eb9538118p-23, -0x1.75aaff190efcap-24, -0x1.3ebf441435961p-25, 0x1.739dc728f038bp-27, 0x1.e81adde8e7fb4p-25, 0x1.b1aa9c225fd1cp-24, 0x1.33c375a544d2ap-23, 0x1.8aee3c58f2576p-23, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.009cb29229bap-8, -0x1.5602d388cfd46p-7, -0x1.53ac8f899b0a8p-6, -0x1.1e37d78a822afp-5, -0x1.aee954456744bp-5, -0x1.2ad61bdd80bc3p-4, -0x1.85a1b0b59f32fp-4, -0x1.e4315b662d737p-4, -0x1.218f0fe03603fp-3, -0x1.4fb3211b9d20ep-3, -0x1.7b3f470a56d61p-3, -0x1.a32b380edcf9cp-3, -0x1.c6aa0156ca6a2p-3, -0x1.e525b2b8b9065p-3, -0x1.fe39c978d65c8p-3, -0x1.08d688d073681p-2, -0x1.0fb5ba897957ep-2, -0x1.13c001d09c548p-2, -0x1.1507b0a9dc3c6p-2, -0x1.13a959b18da6p-2, -0x1.0fc98b240e32p-2, -0x1.0992cf2ec030fp-2, -0x1.0133ef8c02009p-2, -0x1.edbcf177ed119p-3, -0x1.d58af03c89355p-3, -0x1.ba38defba8f5dp-3, -0x1.9c2cf0a81152ep-3, -0x1.7bcb225ca788ap-3, -0x1.59741fe28cff6p-3, -0x1.35846844d275p-3, -0x1.1053a992d232p-3, -0x1.d46897a44e30ap-4, -0x1.86e647d0c094fp-4, -0x1.38ae902afa5ecp-4, -0x1.d488012798972p-5, -0x1.383b35e7c32ap-5, -0x1.3a9c1ccb501b1p-6, -0x1.2071a02c5eb25p-11, 0x1.22fb548240e13p-6, 0x1.24189b481d6a7p-5, 0x1.b2caae2545e57p-5, 0x1.1e90d8ecbd226p-4, 0x1.615e3b1db02ep-4, 0x1.a1a4dab7f4f35p-4, 0x1.df436b72173b1p-4, 0x1.0d0fb52503534p-3, 0x1.291249bd7f8f4p-3, 0x1.43a2250a10655p-3, 0x1.5cba92ca47bdap-3, 0x1.745930fe90975p-3, 0x1.8a7dba4e91362p-3, 0x1.9f29c95571b9dp-3, 0x1.b260a5f700ed5p-3, 0x1.c427133e45f12p-3, 0x1.d48321f4b8c81p-3, 0x1.e37c05c63aab2p-3, 0x1.f119ee060f9c2p-3, 0x1.fd65e1b33e273p-3, 0x1.0434cf28b542cp-2, 0x1.0917bc7a9fe03p-2, 0x1.0d6120abdadfbp-2, 0x1.1116939f24407p-2, 0x1.143dd1370e032p-2, 0x1.16dcae81984ap-2, 0x1.18f90fdc7cb61p-2, 0x1.1a98dfdce74eep-2, 0x1.1bc206f233aabp-2, 0x1.1c7a63dad3d58p-2, 0x1.1cc7c50b5e903p-2, 0x1.1cafe30cc36acp-2, 0x1.1c385bb83d56ap-2, 0x1.1b66ae236d781p-2, 0x1.1a4037151e3adp-2, 0x1.18ca2ded125bfp-2, 0x1.1709a1ffa1dd3p-2, 0x1.1503786f73454p-2, 0x1.12bc6a8f005a9p-2, 0x1.103904c63686ap-2, 0x1.0d7da5ef9332bp-2, 0x1.0a8e7f12acb81p-2, 0x1.076f93681a0d2p-2, 0x1.0424b8901eaccp-2, 0x1.00b196f5444b6p-2, 0x1.fa3354a8b2acap-3, 0x1.f2c084da76191p-3, 0x1.eb1107b9f19f9p-3, 0x1.e32ad240ea6d9p-3, 0x1.db13877bb64c3p-3, 0x1.d2d07b173ab35p-3, 0x1.ca66b41f65646p-3, 0x1.c1daefd93fcc5p-3, 0x1.b931a4aa8b2e8p-3, 0x1.b06f05050bbfbp-3, 0x1.a797024aceb6dp-3, 0x1.9ead4faad326bp-3, 0x1.95b564f1803bp-3, 0x1.8cb2815079e0dp-3, 0x1.83a7ae18df75ep-3, 0x1.7a97c16defe46p-3, 0x1.718560e65d64cp-3, 0x1.68730423c05f2p-3, 0x1.5f62f753c66e6p-3, 0x1.56575da26e356p-3, 0x1.4d52339127f71p-3, 0x1.4455513b8d3c4p-3, 0x1.3b626c7ced89bp-3, 0x1.327b1b00de6f6p-3, 0x1.29a0d436b22ddp-3, 0x1.20d4f32aafe71p-3, 0x1.1818b8486293ap-3, 0x1.0f6d4b0151951p-3, 0x1.06d3bb5ed623dp-3, 0x1.fc9a06f6833f2p-4, 0x1.ebb411d236b47p-4, 0x1.daf73c0238c04p-4, 0x1.ca650642b4c17p-4, 0x1.b9fecfb184db6p-4, 0x1.a9c5d7f8210d7p-4, 0x1.99bb41654bfbfp-4, 0x1.89e012d43ad24p-4, 0x1.7a35397d0856fp-4, 0x1.6abb8aaa3782p-4, 0x1.5b73c547d016dp-4, 0x1.4c5e936277358p-4, 0x1.3d7c8b84e64e2p-4, 0x1.2ece3201b1bep-4, 0x1.2053fa27a0122p-4, 0x1.120e47590eee1p-4, 0x1.03fd6e1a9c55ap-4, 0x1.ec436a10e2359p-5, 0x1.d0f6ab6ae2967p-5, 0x1.b614fb1768056p-5, 0x1.9b9e9d12fd44p-5, 0x1.8193bfede60f4p-5, 0x1.67f47e3f1bf27p-5, 0x1.4ec0dfcbb0881p-5, 0x1.35f8daa118103p-5, 0x1.1d9c545206a8ap-5, 0x1.05ab22e84af19p-5, 0x1.dc4a1b5e857cap-6, 0x1.ae139c7d15adep-6, 0x1.80b2229d1cd4cp-6, 0x1.5424eeb4599b9p-6, 0x1.286b2aa20fddp-6, 0x1.fb07d5a3814acp-7, 0x1.a6dc5ea1be11ep-7, 0x1.5451c9c63258dp-7, 0x1.0365cc2ae4963p-7, 0x1.682bf18d1945bp-8, 0x1.997f09b329918p-9, 0x1.a407d7e9d19edp-11, -0x1.8254f56f8baf5p-10, -0x1.e511d8649e235p-9, -0x1.81600be83349cp-8, -0x1.069063542213dp-7, -0x1.4ae8baa0e920dp-7, -0x1.8dbc4e1723819p-7, -0x1.cf0e739a5448fp-7, -0x1.077149b8d432p-6, -0x1.269e143258c59p-6, -0x1.450f5f4df1aedp-6, -0x1.62c6f8b518ff2p-6, -0x1.7fc6b5012429bp-6, -0x1.9c106fc68ca7p-6, -0x1.b7a60b65113cdp-6, -0x1.d289701001e7ap-6, -0x1.ecbc8b0f2b052p-6, -0x1.0320a7488bfc5p-5, -0x1.0f8cd8d606d7p-5, -0x1.1ba3d7eec76bep-5, -0x1.2766a42277d8cp-5, -0x1.32d63e9689fafp-5, -0x1.3df3a9f88e1b7p-5, -0x1.48bfea6379af3p-5, -0x1.533c052f55ec2p-5, -0x1.5d6900a866a92p-5, -0x1.6747e3e0e3705p-5, -0x1.70d9b68eff534p-5, -0x1.7a1f80f454e5ep-5, -0x1.831a4bc21a342p-5, -0x1.8bcb1fef130b5p-5, -0x1.9433067e4f2bp-5, -0x1.9c53084cd23b8p-5, -0x1.a42c2dfe738cbp-5, -0x1.abbf7ffd4c115p-5, -0x1.b30e066419a1cp-5, -0x1.ba18c8c1a7997p-5, -0x1.c0e0cdda49d27p-5, -0x1.c7671b90f098ap-5, -0x1.cdacb6f6934b2p-5, -0x1.d3b2a44c56a51p-5, -0x1.d979e6d693b5cp-5, -0x1.df03809784e16p-5, -0x1.e4507228db24cp-5, -0x1.e961bac607a1fp-5, -0x1.ee3858682c9c4p-5, -0x1.f2d547af90c4ap-5, -0x1.f73983b5822a9p-5, -0x1.fb6605d166d29p-5, -0x1.ff5bc58bfdb7p-5, -0x1.018ddc5af4dc3p-4, -0x1.035369bca4419p-4, -0x1.04ff042390395p-4, -0x1.069123d4da668p-4, -0x1.080a400f50b7p-4, -0x1.096acf08cef3ap-4, -0x1.0ab345f7ec41bp-4, -0x1.0be4191ad86bdp-4, -0x1.0cfdbbb3ed813p-4, -0x1.0e009ff75fb14p-4, -0x1.0eed3701a64e4p-4, -0x1.0fc3f0d1e85f7p-4, -0x1.10853c4fe5bb7p-4, -0x1.11318752668a6p-4, -0x1.11c93e9f8fb75p-4, -0x1.124ccde6c9fbdp-4, -0x1.12bc9fb8ba942p-4, -0x1.13191d8281847p-4, -0x1.1362af8ea30b5p-4, -0x1.1399bd093022cp-4, -0x1.13beac02f2bb1p-4, -0x1.13d1e1719d681p-4, -0x1.13d3c12d66a44p-4, -0x1.13c4adee3c497p-4, -0x1.13a5094a5410bp-4, -0x1.137533b7fb79ep-4, -0x1.13358c8ff9b7cp-4, -0x1.12e6720fe4f1p-4, -0x1.1288415b388f6p-4, -0x1.121b567b7f1e1p-4, -0x1.11a00c603407ap-4, -0x1.1116bcdf5fa0fp-4, -0x1.107fc0b759b22p-4, -0x1.0fdb6f90f8b86p-4, -0x1.0f2a20013f7fap-4, -0x1.0e6c278a8a231p-4, -0x1.0da1da9dc78bap-4, -0x1.0ccb8c9c0244dp-4, -0x1.0be98fd82a3dp-4, -0x1.0afc3598d2e84p-4, -0x1.0a03ce19d0d82p-4, -0x1.0900a88cb15c1p-4, -0x1.07f31319bf0bep-4, -0x1.06db5ae374613p-4, -0x1.05b9cc06d8c77p-4, -0x1.048eb1a256542p-4, -0x1.035a55d5f0a9dp-4, -0x1.021d01c2fb421p-4, -0x1.00d6fd8a0a5dcp-4, -0x1.ff1120932bfbp-5, -0x1.fc64003fa25a7p-5, -0x1.f9a724618596bp-5, -0x1.f6db155d141ap-5, -0x1.f40059becc69cp-5, -0x1.f117763c04714p-5, -0x1.ee20eda77ebddp-5, -0x1.eb1d40e157aedp-5, -0x1.e80ceecd2846ep-5, -0x1.e4f07456d491cp-5, -0x1.e1c84c87b2de6p-5, -0x1.de94f0a326512p-5, -0x1.db56d83c34985p-5, -0x1.d80e79388f7fap-5, -0x1.d4bc47be80c8dp-5, -0x1.d160b61b7a997p-5, -0x1.cdfc34a7ca509p-5, -0x1.ca8f31c74f21ep-5, -0x1.c71a19f9be81ep-5, -0x1.c39d57fdc1674p-5, -0x1.c01954f4026b1p-5, -0x1.bc8e78722dac1p-5, -0x1.b8fd287d754d7p-5, -0x1.b565c97068d29p-5, -0x1.b1c8bdd9af563p-5, -0x1.ae266663d9e7ep-5, -0x1.aa7f21d1e853cp-5, -0x1.a6d34d129f936p-5, -0x1.a323436317279p-5, -0x1.9f6f5e7282c11p-5, -0x1.9bb7f6792c605p-5, -0x1.97fd623a4e9e1p-5, -0x1.943ff6f1aaab5p-5, -0x1.908008358e9aap-5, -0x1.8cbde7da4610cp-5, -0x1.88f9e5e2b75ffp-5, -0x1.85345084d3a32p-5, -0x1.816d74411365bp-5, -0x1.7da59c055a313p-5, -0x1.79dd114ee2684p-5, -0x1.76141c3eb169dp-5, -0x1.724b039c4b4acp-5, -0x1.6e820cbcf05f2p-5, -0x1.6ab97b68d47ecp-5, -0x1.66f191ba0eb7ap-5, -0x1.632a900ce46f2p-5, -0x1.5f64b505d1f9fp-5, -0x1.5ba03dace5b53p-5, -0x1.57dd6597e49bbp-5, -0x1.541c670caa96fp-5, -0x1.505d7b18f5432p-5, -0x1.4ca0d98e88a93p-5, -0x1.48e6b8e94fc9ap-5, -0x1.452f4e2b37d32p-5, -0x1.417accbc7e449p-5, -0x1.3dc966617d303p-5, -0x1.3a1b4b46e42e5p-5, -0x1.3670aa257398bp-5, -0x1.32c9b06caccecp-5, -0x1.2f268a6685596p-5, -0x1.2b876344efe04p-5, -0x1.27ec65171b564p-5, -0x1.2455b8adea236p-5, -0x1.20c38573a3f95p-5, -0x1.1d35f15a73566p-5, -0x1.19ad20d63d9dp-5, -0x1.162936f371386p-5, -0x1.12aa557c632fap-5, -0x1.0f309d206cf8ep-5, -0x1.0bbc2d8fb287fp-5, -0x1.084d257e50d32p-5, -0x1.04e3a299d767ep-5, -0x1.017fc1682d349p-5, -0x1.fc433a5c705dbp-6, -0x1.f5929fc234594p-6, -0x1.eeede457b2dc5p-6, -0x1.e855370f62dfbp-6, -0x1.e1c8c4bc2bfbep-6, -0x1.db48b850284cp-6, -0x1.d4d53b005abcfp-6, -0x1.ce6e74443a3cfp-6, -0x1.c81489b68da8ep-6, -0x1.c1c79ee96b2adp-6, -0x1.bb87d543a3d73p-6, -0x1.b5554bf8746d5p-6, -0x1.af30201edc59dp-6, -0x1.a9186ce02cc5bp-6, -0x1.a30e4bacd39b9p-6, -0x1.9d11d46402ecfp-6, -0x1.97231d6225a32p-6, -0x1.91423b754dadap-6, -0x1.8b6f41c1d4affp-6, -0x1.85aa41a833037p-6, -0x1.7ff34abb222ebp-6, -0x1.7a4a6acd71d9ep-6, -0x1.74afae13d0203p-6, -0x1.6f231f4e1ccdp-6, -0x1.69a4c7e8f9617p-6, -0x1.6434b00c89113p-6, -0x1.5ed2de961d933p-6, -0x1.597f5904999e4p-6, -0x1.543a2364d3656p-6, -0x1.4f03404b32a18p-6, -0x1.49dab0e0a01f5p-6, -0x1.44c075019ddb9p-6, -0x1.3fb48b6017c6cp-6, -0x1.3ab6f1a28f95cp-6, -0x1.35c7a46edd954p-6, -0x1.30e69f6361a0cp-6, -0x1.2c13dd04d0b9bp-6, -0x1.274f56acd88ap-6, -0x1.22990485ee447p-6, -0x1.1df0dd99d4ed6p-6, -0x1.1956d7f040a7dp-6, -0x1.14cae8b220a5bp-6, -0x1.104d0444d4f56p-6, -0x1.0bdd1e535514cp-6, -0x1.077b29c415303p-6, -0x1.032718a31c567p-6, -0x1.fdc1b81bb0386p-7, -0x1.f550c85b228afp-7, -0x1.ecfb408e035c1p-7, -0x1.e4c0fdb7c2fdfp-7, -0x1.dca1dba5a4431p-7, -0x1.d49db52cd6338p-7, -0x1.ccb4643f5c4b9p-7, -0x1.c4e5c1d1b4efep-7, -0x1.bd31a5a03bff2p-7, -0x1.b597e5f3078bap-7, -0x1.ae1857803f12p-7, -0x1.a6b2cd81ea877p-7, -0x1.9f6719fe6a5ddp-7, -0x1.98350e2b55be4p-7, -0x1.911c7ac7e000bp-7, -0x1.8a1d304a976fcp-7, -0x1.8336fed16facbp-7, -0x1.7c69b5da75712p-7, -0x1.75b523e4d3575p-7, -0x1.6f191623b8d3fp-7, -0x1.68955868f8eep-7, -0x1.6229b55836179p-7, -0x1.5bd5f6d6cd83ep-7, -0x1.5599e693b5048p-7, -0x1.4f754e765f31dp-7, -0x1.4967f8d070e71p-7, -0x1.4371b026541acp-7, -0x1.3d923ed40a46dp-7, -0x1.37c96e6e3088bp-7, -0x1.321707542bf09p-7, -0x1.2c7ad082d2764p-7, -0x1.26f48fcab929dp-7, -0x1.21840a5d3d234p-7, -0x1.1c2905854c9dcp-7, -0x1.16e3474ea0eb5p-7, -0x1.11b296e146676p-7, -0x1.0c96bc6f6a0d5p-7, -0x1.078f80b7b6dfep-7, -0x1.029cac44a10ebp-7, -0x1.fb7c0d51a3833p-8, -0x1.f1e6abfa721d9p-8, -0x1.e878bda2c67c3p-8, -0x1.df31c936942c6p-8, -0x1.d6115514000f6p-8, -0x1.cd16e8fae9bf6p-8, -0x1.c4420faca4af8p-8, -0x1.bb9257b732516p-8, -0x1.b3075325b28d6p-8, -0x1.aaa09627aa51cp-8, -0x1.a25db512e4698p-8, -0x1.9a3e4258e2d8p-8, -0x1.9241cd0eb2a8cp-8, -0x1.8a67e07f9df1ap-8, -0x1.82b004f6c5ab3p-8, -0x1.7b19c192c2afap-8, -0x1.73a49ea627455p-8, -0x1.6c5027fa992d1p-8, -0x1.651bee4f6d4b8p-8, -0x1.5e0787a3b938fp-8, -0x1.57128e335c94cp-8, -0x1.503c9e6d2835fp-8, -0x1.4985546f2c056p-8, -0x1.42ec49b4c6b6dp-8, -0x1.3c7113946e09ep-8, -0x1.361342f68b5bp-8, -0x1.2fd265621d0acp-8, -0x1.29ae0725894bbp-8, -0x1.23a5b6141d238p-8, -0x1.1db9042206f0dp-8, -0x1.17e7892fdea23p-8, -0x1.1230e3854264bp-8, -0x1.0c94b6ea74e83p-8, -0x1.0712aa9927874p-8, -0x1.01aa6693450c7p-8, -0x1.f8b721feb47bfp-9, -0x1.ee4b983fc9c61p-9, -0x1.e4116aab5278bp-9, -0x1.da07cad52b1ep-9, -0x1.d02de4458c849p-9, -0x1.c682e18e26993p-9, -0x1.bd05f22c201d3p-9, -0x1.b3b64fbf2181ep-9, -0x1.aa93413e84ffdp-9, -0x1.a19c1b6796a5bp-9, -0x1.98d03e72b1724p-9, -0x1.902f11d079847p-9, -0x1.87b7ff0d41084p-9, -0x1.7f6a6ce9fb397p-9, -0x1.7745bb759e1ebp-9, -0x1.6f4941b408babp-9, -0x1.67744d3e10faap-9, -0x1.5fc624205ce0ep-9, -0x1.583e08e6bf1ecp-9, -0x1.50db4023aa33ep-9, -0x1.499d162807443p-9, -0x1.4282e3622e9d6p-9, -0x1.3b8c0e3850491p-9, -0x1.34b80a0a4d1bdp-9, -0x1.2e0653f2e605fp-9, -0x1.27766e6f2addbp-9, -0x1.2107dd0e1f372p-9, -0x1.1aba20d13cbd2p-9, -0x1.148cb55f25fcp-9, -0x1.0e7f0efc71646p-9, -0x1.08909982343a9p-9, -0x1.02c0b8e818776p-9, -0x1.fa1d97de81e67p-10, -0x1.eef461aa125f4p-10, -0x1.e40495fe16e52p-10, -0x1.d94d0fe6d4554p-10, -0x1.ceccc42294031p-10, -0x1.c482c0b26d16bp-10, -0x1.ba6e27669e3adp-10, -0x1.b08e25f4327d2p-10, -0x1.a6e1ee828014dp-10, -0x1.9d68b2cffbe35p-10, -0x1.9421a12601af4p-10, -0x1.8b0be2a6f4fddp-10, -0x1.822698540bdcep-10, -0x1.7970d79cdbdcp-10, -0x1.70e9a879e9b86p-10, -0x1.689007c62b50cp-10, -0x1.6062eeaeec15ep-10, -0x1.58615d7de5b57p-10, -0x1.508a65dcdabfcp-10, -0x1.48dd30f0ad1c8p-10, -0x1.4158ff708046ap-10, -0x1.39fd243523babp-10, -0x1.32c8fbb7aacfp-10, -0x1.2bbbe4044b16dp-10, -0x1.24d53834422acp-10, -0x1.1e145057ab203p-10, -0x1.177883cf9f3d4p-10, -0x1.11012a707d9e3p-10, -0x1.0aad99d54f60cp-10, -0x1.047d1f95f6768p-10, -0x1.fcddf85ae0312p-11, -0x1.f104c5a718fd8p-11, -0x1.e56cffa6afd6cp-11, -0x1.da15061261f07p-11, -0x1.cefb542bc3778p-11, -0x1.c41e8d3988012p-11, -0x1.b97d7e496d6d5p-11, -0x1.af1715fe4da85p-11, -0x1.a4ea557855077p-11, -0x1.9af63fcf22fcdp-11, -0x1.9139cf4f729ccp-11, -0x1.87b3f5b4b1267p-11, -0x1.7e63a657b6703p-11, -0x1.7547e281db7cp-11, -0x1.6c5fbe05a5c7cp-11, -0x1.63aa5701de233p-11, -0x1.5b26c47978407p-11, -0x1.52d4065ea6d13p-11, -0x1.4ab1018cfe866p-11, -0x1.42bc8a6c877ebp-11, -0x1.3af5774eb8b7ap-11, -0x1.335ab01d37c19p-11, -0x1.2beb35f9ea125p-11, -0x1.24a62432696f4p-11, -0x1.1d8aad038320cp-11, -0x1.169811b8f07c1p-11, -0x1.0fcd95eba8a7ep-11, -0x1.092a7261a2da7p-11, -0x1.02adcf3248debp-11, -0x1.f8ad937120bf2p-12, -0x1.ec4907098c3dep-12, -0x1.e02c62e7c0824p-12, -0x1.d456429c13f22p-12, -0x1.c8c562ef1e199p-12, -0x1.bd787d7fbe6ffp-12, -0x1.b26e26a256abp-12, -0x1.a7a4c42b58136p-12, -0x1.9d1aa2dfd1025p-12, -0x1.92ce18656605cp-12, -0x1.88bd98e0fee79p-12, -0x1.7ee7b5676bd03p-12, -0x1.754b19794521p-12, -0x1.6be6911949d2p-12, -0x1.62b912f06bfc1p-12, -0x1.59c1b9cd3dccfp-12, -0x1.50ffa93d835edp-12, -0x1.4871edba7aac3p-12, -0x1.40176d4e055aap-12, -0x1.37eef21468cafp-12, -0x1.2ff74810eeab1p-12, -0x1.282f5c59506bcp-12, -0x1.20964a7d316fp-12, -0x1.192b4f49e7a72p-12, -0x1.11eda7aa81db4p-12, -0x1.0adc6eaf05ddap-12, -0x1.03f6907da41bcp-12, -0x1.fa75b7f929853p-13, -0x1.ed5048c6aae79p-13, -0x1.e07aa5db22869p-13, -0x1.d3f2b381328f5p-13, -0x1.c7b64106b56e6p-13, -0x1.bbc31dab5c2a7p-13, -0x1.b01764d7445a7p-13, -0x1.a4b1afb4a92fbp-13, -0x1.9990f3da438d3p-13, -0x1.8eb42ba672835p-13, -0x1.841a0d17dc4f1p-13, -0x1.79c0fb350fd52p-13, -0x1.6fa730691832dp-13, -0x1.65caff6d843dep-13, -0x1.5c2b02236ef93p-13, -0x1.52c621d8048dap-13, -0x1.499b7f140b9e4p-13, -0x1.40aa4a2c2c3e7p-13, -0x1.37f194603db8bp-13, -0x1.2f703106685b4p-13, -0x1.2724b17f0075ap-13, -0x1.1f0d95bc64db1p-13, -0x1.1729829b61c59p-13, -0x1.0f773cd722dc3p-13, -0x1.07f5653d58079p-13, -0x1.00a255e61e083p-13, -0x1.f2f8d93f0b63cp-14, -0x1.e504fd7599c33p-14, -0x1.d767df9e78828p-14, -0x1.ca20a9cf14617p-14, -0x1.bd2e11754e973p-14, -0x1.b08e13e8a5fbfp-14, -0x1.a43e4974512a1p-14, -0x1.983c5db643642p-14, -0x1.8c8649063ddfep-14, -0x1.811a4115dbbd7p-14, -0x1.75f69a413a2f7p-14, -0x1.6b19c67ecfa1fp-14, -0x1.6082698b4fbd5p-14, -0x1.562f5b38a924fp-14, -0x1.4c1f7c9ba73d2p-14, -0x1.4251738df4732p-14, -0x1.38c3930d73f43p-14, -0x1.2f742413d9936p-14, -0x1.2661ccb985fe7p-14, -0x1.1d8b7f53c695dp-14, -0x1.14efd6106cf01p-14, -0x1.0c8cb4d85fee2p-14, -0x1.045fe680f0db6p-14, -0x1.f8d01de69611ap-15, -0x1.e9494ed63c835p-15, -0x1.da2a2484eb8ccp-15, -0x1.cb6ff1d98191ap-15, -0x1.bd17160b8cca1p-15, -0x1.af1c4416d7ce6p-15, -0x1.a17d1bd8bc983p-15, -0x1.9437bb5b0e0ep-15, -0x1.874a190633bdcp-15, -0x1.7ab1e0a968c1ep-15, -0x1.6e6cbec0c88a3p-15, -0x1.6278af4f1bd1ap-15, -0x1.56d41b92691b3p-15, -0x1.4b7dc7453b866p-15, -0x1.407491996ee94p-15, -0x1.35b71070cffe2p-15, -0x1.2b43413381a8cp-15, -0x1.2116bba0048fcp-15, -0x1.172f6b86885f9p-15, -0x1.0d8c0762e9cafp-15, -0x1.042b851359abap-15, -0x1.f6181d01c53b8p-16, -0x1.e4561900900ep-16, -0x1.d30d5a78104e1p-16, -0x1.c23d3c0a024ffp-16, -0x1.b1e5532081214p-16, -0x1.a202c7807dd78p-16, -0x1.929147ed9ef9p-16, -0x1.838d7e6e35284p-16, -0x1.74f58dd1b924bp-16, -0x1.66c79825a877cp-16, -0x1.5900bcb8e2c3ap-16, -0x1.4b9d6b464f30fp-16, -0x1.3e9a1883b0e23p-16, -0x1.31f39b72f5b46p-16, -0x1.25a7354b59e6cp-16, -0x1.19b27d5000009p-16, -0x1.0e1356680155ep-16, -0x1.02c7f193f5001p-16, -0x1.ef9d74e90b8cdp-17, -0x1.da4c0b05259aap-17, -0x1.c59756fd7e7d6p-17, -0x1.b17a4c4dbdc9p-17, -0x1.9df0b48ec7f74p-17, -0x1.8af8814d7cfbp-17, -0x1.7890ff14f3d3p-17, -0x1.66b7ae9cef3c3p-17, -0x1.556675e0b6632p-17, -0x1.4497abba03186p-17, -0x1.34496bcbadbaep-17, -0x1.2479a54193d61p-17, -0x1.15237c43816bcp-17, -0x1.0642c80a1fec1p-17, -0x1.efacb53e5c3a2p-18, -0x1.d3bb169ea210ap-18, -0x1.b8ac461839bf6p-18, -0x1.9e79e0d1f2f6ep-18, -0x1.851d657e22081p-18, -0x1.6c90874f8884p-18, -0x1.54cd4fcadf6aep-18, -0x1.3dcd89da7cfa2p-18, -0x1.278b70da96009p-18, -0x1.12018718303d2p-18, -0x1.fa55861608efep-19, -0x1.d20579a733da5p-19, -0x1.ab0b3e011069fp-19, -0x1.856044c193ebcp-19, -0x1.60fca716e028ap-19, -0x1.3dd60f3f482f2p-19, -0x1.1be0d538fe1d4p-19, -0x1.f626fd6b2b762p-20, -0x1.b6d2d587bff1ep-20, -0x1.79c217e77f889p-20, -0x1.3ee595b844401p-20, -0x1.061bcac974b7fp-20, -0x1.9ea0798ca6998p-21, -0x1.34fee1bc6291fp-21, -0x1.9e6e60b1dc5fp-22, -0x1.b4b3e321c8943p-23, -0x1.db4b7bebd2f69p-26, 0x1.2f4013e0dc104p-23, 0x1.45e7e88ac7adep-22, 0x1.ed6726d3e44fp-22, 0x1.472954ace946bp-21, 0x1.9469896868351p-21, 0x1.de854e61a9fbp-21, 0x1.12c69868cbf79p-20, 0x1.34c9bd5900ccep-20, 0x1.5556b70aadcdap-20, 0x1.7479701a43676p-20, 0x1.923e4d9a98388p-20, }}, 
      {{0x1.44ea90a0877c9p-4, 0x1.16222d9bdf1a3p-3, 0x1.a48e6b9dbc5f2p-3, 0x1.1aab4c804cbb6p-2, 0x1.5d01b54a15f3dp-2, 0x1.956447967c377p-2, 0x1.c21d4346c3fadp-2, 0x1.e2dcfd3a581ebp-2, 0x1.f82f5eb383778p-2, 0x1.018f50d108a8ep-1, 0x1.027aab4a02b1dp-1, 0x1.ff15c57e1fac1p-2, 0x1.f2dfd882042fbp-2, 0x1.e1a0ebd9dfabfp-2, 0x1.cc8a592834bccp-2, 0x1.b4ac947d9c1f7p-2, 0x1.9af55de6fafddp-2, 0x1.802ffea1e0e96p-2, 0x1.6506d88bfc8d2p-2, 0x1.4a05c57381e64p-2, 0x1.2f9cea7bfdc56p-2, 0x1.1623befa36cdfp-2, 0x1.fbb8332442f99p-3, 0x1.cdea49707cfc8p-3, 0x1.a31c4d461ed97p-3, 0x1.7b7221fabd7c7p-3, 0x1.56f9a519770f1p-3, 0x1.35aed1f1a8349p-3, 0x1.177f66e5d1a71p-3, 0x1.f89c2321e25bbp-4, 0x1.c7ea525f1043ap-4, 0x1.9c92008c48c56p-4, 0x1.7633aea6c8f68p-4, 0x1.546af54cd0dbep-4, 0x1.36d12a92f2edfp-4, 0x1.1cff8529d231ep-4, 0x1.0690ced1c1165p-4, 0x1.e6456cca8ac84p-5, 0x1.c4ada08aa0f67p-5, 0x1.a7a6a4eb6faacp-5, 0x1.8e8730c344632p-5, 0x1.78b0eef294cb6p-5, 0x1.6590dbb11286fp-5, 0x1.549f68b5b652p-5, 0x1.4560699762f25p-5, 0x1.3762e1f1493e9p-5, 0x1.2a40b3efee879p-5, 0x1.1d9e3259c8c51p-5, 0x1.1129b20d31991p-5, 0x1.049afd6edce8dp-5, 0x1.ef65a655936fp-6, 0x1.d474a539be52p-6, 0x1.b804e3ce5420ap-6, 0x1.99c6dfeb95cbdp-6, 0x1.79789737a615dp-6, 0x1.56e478d935cbdp-6, 0x1.31e062aa9a495p-6, 0x1.0a4caa58171d1p-6, 0x1.c02663566910ep-7, 0x1.664d0580eee74p-7, 0x1.0701ea02957f4p-7, 0x1.448f72ef571e7p-8, 0x1.c16c80a37aa5fp-10, -0x1.b99375d824f91p-10, -0x1.5768deab57a4ep-8, -0x1.252c33d812a24p-7, -0x1.a3664909e4d4cp-7, -0x1.131493ced21c9p-6, -0x1.569b1ec077a21p-6, -0x1.9c256f4a14e6dp-6, -0x1.e3908f1795b92p-6, -0x1.165c255373105p-5, -0x1.3bbbc6262877p-5, -0x1.61d457fdf56f5p-5, -0x1.8892e7d986c23p-5, -0x1.afe483fc3fd17p-5, -0x1.d7b65a011c6aap-5, -0x1.fff5d0cae9799p-5, -0x1.14484f5bdaafcp-4, -0x1.28ba6e42f592ap-4, -0x1.3d488ac6bdf77p-4, -0x1.51ea2ad4f7905p-4, -0x1.66971a947151bp-4, -0x1.7b47716040854p-4, -0x1.8ff395d8a2fe6p-4, -0x1.a49440fbb80cep-4, -0x1.b922805a5d716p-4, -0x1.cd97b77520166p-4, -0x1.e1eda0567ce43p-4, -0x1.f61e4b8f1a977p-4, -0x1.05120fd2a554ep-3, -0x1.0efcec11cab55p-3, -0x1.18cd421ee50aep-3, -0x1.2280c2a607494p-3, -0x1.2c15467211e0cp-3, -0x1.3588cd6e1189ap-3, -0x1.3ed97d8774e1dp-3, -0x1.4805a17b109cfp-3, -0x1.510ba792bfee9p-3, -0x1.59ea2053049dep-3, -0x1.629fbd1d86ec2p-3, -0x1.6b2b4ecbd7b93p-3, -0x1.738bc447f7c97p-3, -0x1.7bc0292445ffp-3, -0x1.83c7a4340a24ep-3, -0x1.8ba1762c01374p-3, -0x1.934cf846e19eep-3, -0x1.9ac99af3df161p-3, -0x1.a216e48e427b5p-3, -0x1.a934701e2100bp-3, -0x1.b021ec250ccb7p-3, -0x1.b6df19739869dp-3, -0x1.bd6bca0e1679p-3, -0x1.c3c7e0136c93dp-3, -0x1.c9f34cbdc1506p-3, -0x1.cfee0f5d95c1ep-3, -0x1.d5b8346d38c5p-3, -0x1.db51d4aa98363p-3, -0x1.e0bb143a45c0bp-3, -0x1.e5f421d9be054p-3, -0x1.eafd361a3c393p-3, -0x1.efd692a5bf91dp-3, -0x1.f4808190f961bp-3, -0x1.f8fb54b458e13p-3, -0x1.fd4765112e4f8p-3, -0x1.00b2891f97486p-2, -0x1.02aa60f1300a1p-2, -0x1.048b6f95fdf62p-2, -0x1.0655ed301160bp-2, -0x1.080a14330f858p-2, -0x1.09a8213030534p-2, -0x1.0b3052a3786efp-2, -0x1.0ca2e8c76cd6fp-2, -0x1.0e00256abda91p-2, -0x1.0f484bc65995p-2, -0x1.107ba05a0dd7fp-2, -0x1.119a68cb71ccp-2, -0x1.12a4ebc312bfdp-2, -0x1.139b70cf74f02p-2, -0x1.147e404c080f5p-2, -0x1.154da3455c8d1p-2, -0x1.1609e36058c3fp-2, -0x1.16b34ac78b6b5p-2, -0x1.174a24137f152p-2, -0x1.17ceba3b52e41p-2, -0x1.1841587eecfc1p-2, -0x1.18a24a598ddffp-2, -0x1.18f1db730d33ep-2, -0x1.19305791217e1p-2, -0x1.195e0a89447ap-2, -0x1.197b40350da8bp-2, -0x1.19884468a5e1bp-2, -0x1.198562e8c7388p-2, -0x1.1972e75da76f9p-2, -0x1.19511d4a06588p-2, -0x1.1920500691d53p-2, -0x1.18e0caba0789bp-2, -0x1.1892d84de610fp-2, -0x1.1836c365f36e4p-2, -0x1.17ccd65f42cd9p-2, -0x1.17555b4ac8ee4p-2, -0x1.16d09be347cd6p-2, -0x1.163ee185c306ap-2, -0x1.15a0752fea544p-2, -0x1.14f59f7e88047p-2, -0x1.143ea8a52f70bp-2, -0x1.137bd86783984p-2, -0x1.12ad761597944p-2, -0x1.11d3c88b25294p-2, -0x1.10ef162bf6776p-2, -0x1.0fffa4ddc764bp-2, -0x1.0f05ba034d428p-2, -0x1.0e019a79ed6c1p-2, -0x1.0cf38a97a7caep-2, -0x1.0bdbce290fde6p-2, -0x1.0abaa86c5d9dbp-2, -0x1.09905c0dab2cbp-2, -0x1.085d2b23bfbe5p-2, -0x1.0721572e66baep-2, -0x1.05dd2115354a1p-2, -0x1.0490c924f9418p-2, -0x1.033c8f0b77bf7p-2, -0x1.01e0b1d397f66p-2, -0x1.007d6fe380b5dp-2, -0x1.fe260dfcfe8f5p-3, -0x1.fb43687ef1565p-3, -0x1.f8536836eba06p-3, -0x1.f55684af0dcd1p-3, -0x1.f24d341384e7dp-3, -0x1.ef37eb3281dc8p-3, -0x1.ec171d7d163f4p-3, -0x1.e8eb3d020ce2ep-3, -0x1.e5b4ba6526d7ap-3, -0x1.e27404d955acep-3, -0x1.df298a20e92eap-3, -0x1.dbd5b6919489ep-3, -0x1.d878f5110b015p-3, -0x1.d513af1160d18p-3, -0x1.d1a64c88f2d5p-3, -0x1.ce3133f003302p-3, -0x1.cab4ca42af92cp-3, -0x1.c73173036624p-3, -0x1.c3a79039b60b5p-3, -0x1.c017826dc1f4ap-3, -0x1.bc81a8a3958e5p-3, -0x1.b8e66059b9608p-3, -0x1.b546058b4e005p-3, -0x1.b1a0f2b2168dp-3, -0x1.adf780c7b9be7p-3, -0x1.aa4a07414a675p-3, -0x1.a698dc0ec384p-3, -0x1.a2e45398dc50cp-3, -0x1.9f2cc0c29c07ap-3, -0x1.9b7274ebbfd7bp-3, -0x1.97b5bff264a08p-3, -0x1.93f6f0334565ap-3, -0x1.90365289053a8p-3, -0x1.8c74324bab517p-3, -0x1.88b0d9516aa78p-3, -0x1.84ec8ff0a81b7p-3, -0x1.81279d02703a9p-3, -0x1.7d6245e493555p-3, -0x1.799cce7b0e22fp-3, -0x1.75d77930f1f94p-3, -0x1.721286f945fa7p-3, -0x1.6e4e375109a77p-3, -0x1.6a8ac8416d1a4p-3, -0x1.66c87662b0606p-3, -0x1.63077cded89cbp-3, -0x1.5f4815742330ap-3, -0x1.5b8a787745e14p-3, -0x1.57cedcd575cf5p-3, -0x1.541578172c6e5p-3, -0x1.505e7e62f2a3fp-3, -0x1.4caa22808058ap-3, -0x1.48f895dbddca7p-3, -0x1.454a088895967p-3, -0x1.419ea944f3f41p-3, -0x1.3df6a57d2aab1p-3, -0x1.3a52294e37782p-3, -0x1.36b15f8aecacep-3, -0x1.331471ba6800ep-3, -0x1.2f7b882313f4fp-3, -0x1.2be6c9c74568bp-3, -0x1.28565c6cdefa1p-3, -0x1.24ca64a1b1a43p-3, -0x1.214305be3f133p-3, -0x1.1dc061e92da5fp-3, -0x1.1a429a1a35db7p-3, -0x1.16c9ce1d537bp-3, -0x1.13561c96d9acfp-3, -0x1.0fe7a308a3304p-3, -0x1.0c7e7dd7bb121p-3, -0x1.091ac8517def8p-3, -0x1.05bc9caf50d11p-3, -0x1.02641418e14f9p-3, -0x1.fe228d4bfd9ep-4, -0x1.f78896c273458p-4, -0x1.f0fa7098d4c21p-4, -0x1.ea7844ce3d827p-4, -0x1.e4023b6bcf515p-4, -0x1.dd987a91a9fa6p-4, -0x1.d73b267f00219p-4, -0x1.d0ea619516485p-4, -0x1.caa64c5abb352p-4, -0x1.c46f0579d3e8ep-4, -0x1.be44a9cb24aeap-4, -0x1.b82754609aa82p-4, -0x1.b2171e95ed1dp-4, -0x1.ac142020bc9b4p-4, -0x1.a61e6f1c9d1dep-4, -0x1.a03620112af59p-4, -0x1.9a5b45f33ce32p-4, -0x1.948df2249de64p-4, -0x1.8ece34763de74p-4, -0x1.891c1b2f87db4p-4, -0x1.8377b31b18525p-4, -0x1.7de10796d0ce3p-4, -0x1.785822a3c21c6p-4, -0x1.72dd0cf29ac2ep-4, -0x1.6d6fcdeacd1ep-4, -0x1.68106bace8ad4p-4, -0x1.62beeb128e4ap-4, -0x1.5d7b4faf3c392p-4, -0x1.58459bd4a2a6dp-4, -0x1.531dd09bb73a4p-4, -0x1.4e03edf1f0755p-4, -0x1.48f7f2a8780b1p-4, -0x1.43f9dc825ce3fp-4, -0x1.3f09a83eb75f1p-4, -0x1.3a2751a0f8beep-4, -0x1.3552d36cd19bdp-4, -0x1.308c276afff08p-4, -0x1.2bd34666b5965p-4, -0x1.272828320d7ap-4, -0x1.228ac3aec4686p-4, -0x1.1dfb0eda78833p-4, -0x1.1978fee13c11ap-4, -0x1.15048824f3bcap-4, -0x1.109d9e4ba0533p-4, -0x1.0c44344240142p-4, -0x1.07f83c3bab2d9p-4, -0x1.03b9a7adf65aep-4, -0x1.ff10ceac3db05p-5, -0x1.f6c8d667ace3ap-5, -0x1.ee9b4535dac1fp-5, -0x1.e687f8788bb48p-5, -0x1.de8ecc6a28ed4p-5, -0x1.d6af9c34980b8p-5, -0x1.ceea41ff58e56p-5, -0x1.c73e96f0643f4p-5, -0x1.bfac7339615dcp-5, -0x1.b833ade85b6eap-5, -0x1.b0d41d1f117bep-5, -0x1.a98d95f34d59ap-5, -0x1.a25fec93930f8p-5, -0x1.9b4af45b7ba7p-5, -0x1.944e7fec763a1p-5, -0x1.8d6a614109fbcp-5, -0x1.869e69aee8731p-5, -0x1.7fea69f51031p-5, -0x1.794e3229502a5p-5, -0x1.72c991bb90f9dp-5, -0x1.6c5c577685da6p-5, -0x1.66065189f6e8p-5, -0x1.5fc74d9c1c351p-5, -0x1.599f18de27bdfp-5, -0x1.538d801ed45b3p-5, -0x1.4d924fd707338p-5, -0x1.47ad542ebfe7cp-5, -0x1.41de58fc00282p-5, -0x1.3c2529bf8c4bep-5, -0x1.368191a3d886fp-5, -0x1.30f35b8159b42p-5, -0x1.2b7a51e8f7585p-5, -0x1.26163f32a6ad6p-5, -0x1.20c6ed8c86cdbp-5, -0x1.1b8c2706e101p-5, -0x1.1665b59accd7fp-5, -0x1.1153632b99de3p-5, -0x1.0c54f9855d76ep-5, -0x1.076a425bfeae6p-5, -0x1.0293074da60c3p-5, -0x1.fb9e23d360495p-6, -0x1.f23c57766ad95p-6, -0x1.e9003ca9619bep-6, -0x1.dfe966b267321p-6, -0x1.d6f769041b6b9p-6, -0x1.ce29d73fede4p-6, -0x1.c5804533c7e0bp-6, -0x1.bcfa46d8466fcp-6, -0x1.b497705470629p-6, -0x1.ac575607d7643p-6, -0x1.a4398c9fbf8dap-6, -0x1.9c3da921ded0bp-6, -0x1.946341024e819p-6, -0x1.8ca9ea277e899p-6, -0x1.85113aeb6bbabp-6, -0x1.7d98ca179347cp-6, -0x1.76402ee218567p-6, -0x1.6f0700f049fbep-6, -0x1.67ecd86093c55p-6, -0x1.60f14dd8e4562p-6, -0x1.5a13fa97c9dc6p-6, -0x1.5354787f79f6bp-6, -0x1.4cb2621ad4866p-6, -0x1.462d529a63f6dp-6, -0x1.3fc4e5cd8b63ep-6, -0x1.3978b81d11141p-6, -0x1.3348668bcfccfp-6, -0x1.2d338ebf42969p-6, -0x1.2739cf0e5162cp-6, -0x1.215ac69185fe4p-6, -0x1.1b96152ebcd8cp-6, -0x1.15eb5b9c6ea15p-6, -0x1.105a3b5bf89adp-6, -0x1.0ae256ae51dc7p-6, -0x1.05835089b8451p-6, -0x1.003ccc95a993ep-6, -0x1.f61cde61e3442p-7, -0x1.ebefbb01ee381p-7, -0x1.e1f17b0899d3cp-7, -0x1.d8216c45d27ap-7, -0x1.ce7ede68e2037p-7, -0x1.c50922f5c4077p-7, -0x1.bbbf8d25f73b2p-7, -0x1.b2a171c3d510ep-7, -0x1.a9ae270eaf83cp-7, -0x1.a0e504b5d8d36p-7, -0x1.984563ef1e454p-7, -0x1.8fce9fa1e797bp-7, -0x1.87801496d00efp-7, -0x1.7f592199448e6p-7, -0x1.775927a778203p-7, -0x1.6f7f896a7f0f4p-7, -0x1.67cbaba55eb09p-7, -0x1.603cf47e13babp-7, -0x1.58d2cb8c6a2f9p-7, -0x1.518c99bf19e3cp-7, -0x1.4a69c974b21fdp-7, -0x1.4369c6b21396p-7, -0x1.3c8bff64def63p-7, -0x1.35cfe39accb05p-7, -0x1.2f34e5996eed7p-7, -0x1.28ba79cc2c0b5p-7, -0x1.2260168bc9032p-7, -0x1.1c2533d0ea122p-7, -0x1.16094aea501ddp-7, -0x1.100bd64f96e98p-7, -0x1.0a2c51a07176p-7, -0x1.046a39d206f63p-7, -0x1.fd8a1afaf2a7dp-8, -0x1.f2789a6e02ee6p-8, -0x1.e79ef7a1e7793p-8, -0x1.dcfc3ce848661p-8, -0x1.d28f7906be124p-8, -0x1.c857bea0d4424p-8, -0x1.be54236ea263ap-8, -0x1.b483bf7a7719ep-8, -0x1.aae5ac9d57462p-8, -0x1.a17906634bacp-8, -0x1.983cea6090c84p-8, -0x1.8f3078e15ad78p-8, -0x1.8652d5c200a93p-8, -0x1.7da329308be2ep-8, -0x1.7520a01d34bc7p-8, -0x1.6cca6c3640c78p-8, -0x1.649fc36ce9d78p-8, -0x1.5c9fdf23290e9p-8, -0x1.54c9fb37a9d63p-8, -0x1.4d1d5530b6d59p-8, -0x1.45992bba00549p-8, -0x1.3e3cbe986c5d5p-8, -0x1.37074f16e266dp-8, -0x1.2ff820d216285p-8, -0x1.290e7aaece552p-8, -0x1.2249a7b099ebep-8, -0x1.1ba8f7a4d6ccap-8, -0x1.152bbeef6f5c3p-8, -0x1.0ed15657dd64ep-8, -0x1.08991a1a57312p-8, -0x1.028268ec02ad4p-8, -0x1.f9194611bf4dfp-9, -0x1.ed6e5301d0a78p-9, -0x1.e202bbd3602e6p-9, -0x1.d6d5450b743efp-9, -0x1.cbe4b5b72630bp-9, -0x1.c12fd93a48d0ap-9, -0x1.b6b58150dcb08p-9, -0x1.ac7487bec67cbp-9, -0x1.a26bcf3b8bc88p-9, -0x1.989a435f1b6f5p-9, -0x1.8efed7a0db21cp-9, -0x1.859885b2f7b11p-9, -0x1.7c664ba393c63p-9, -0x1.73672a20a3c1p-9, -0x1.6a9a2321b802bp-9, -0x1.61fe39250b6a9p-9, -0x1.59926f21057ecp-9, -0x1.5155c93b2499ap-9, -0x1.49474e37868dfp-9, -0x1.4166095d9a237p-9, -0x1.39b10c5978e5p-9, -0x1.3227709585687p-9, -0x1.2ac857ad14a4cp-9, -0x1.2392eae5d7b85p-9, -0x1.1c8659ed99484p-9, -0x1.15a1d944c0e8ap-9, -0x1.0ee4a0b83a9a8p-9, -0x1.084dea1ff422cp-9, -0x1.01dcf06917805p-9, -0x1.f721ddcf2bb3cp-10, -0x1.ead24205d9ebfp-10, -0x1.dec984e0342d6p-10, -0x1.d3062047365c4p-10, -0x1.c78693d6bdbf1p-10, -0x1.bc49689a1c396p-10, -0x1.b14d342ebd07ap-10, -0x1.a6909a4ad6f02p-10, -0x1.9c124c47112bap-10, -0x1.91d107086c5ccp-10, -0x1.87cb903161b83p-10, -0x1.7e00b3640527dp-10, -0x1.746f417b69e76p-10, -0x1.6b160dc7f677bp-10, -0x1.61f3ef1304bep-10, -0x1.5907bdb7325a8p-10, -0x1.505052b7761fap-10, -0x1.47cc8736e4321p-10, -0x1.3f7b34c73f1c2p-10, -0x1.375b38bf587f6p-10, -0x1.2f6b774ba13d3p-10, -0x1.27aadec8003d6p-10, -0x1.2018698579e1cp-10, -0x1.18b31d8decf11p-10, -0x1.117a0aa231116p-10, -0x1.0a6c474ffede8p-10, -0x1.0388ee47aa62ep-10, -0x1.f99e39cedb35dp-11, -0x1.ec7be668bb1b6p-11, -0x1.dfa92916cca0dp-11, -0x1.d3244fb48beb3p-11, -0x1.c6ebad31427b5p-11, -0x1.bafd95a40a13p-11, -0x1.af585b0c9aa15p-11, -0x1.a3fa4d7348bbbp-11, -0x1.98e1bf372887ap-11, -0x1.8e0d0bdd5b491p-11, -0x1.837a9e74c7a0bp-11, -0x1.7928f5408c0abp-11, -0x1.6f16a1e012bfp-11, -0x1.6542465019cf2p-11, -0x1.5baa8fd771669p-11, -0x1.524e31ab3d306p-11, -0x1.492be190682c7p-11, -0x1.40425805d2114p-11, -0x1.3790537e85b9bp-11, -0x1.2f149c17c2634p-11, -0x1.26ce04b47e56fp-11, -0x1.1ebb6809a939cp-11, -0x1.16dba2f0e6699p-11, -0x1.0f2d8f6f7bc05p-11, -0x1.07b003aaf36b8p-11, -0x1.0061d578fd881p-11, -0x1.f283c067cbfb4p-12, -0x1.e49e1314e5f48p-12, -0x1.d710875a6d10bp-12, -0x1.c9d91ab7dcd69p-12, -0x1.bcf5e1455ae17p-12, -0x1.b065004bd82bp-12, -0x1.a424a5f8d3e4cp-12, -0x1.9833011f68c95p-12, -0x1.8c8e3dbcbc7bcp-12, -0x1.813488dd64e9ap-12, -0x1.762419e43cf7ep-12, -0x1.6b5b3b91981e4p-12, -0x1.60d84eebe076cp-12, -0x1.5699c58a66424p-12, -0x1.4c9e160c23a1ep-12, -0x1.42e3b1a84b6bdp-12, -0x1.396901b09957p-12, -0x1.302c6e77e8f3bp-12, -0x1.272c6a3a08f7fp-12, -0x1.1e67751fa0129p-12, -0x1.15dc217a8f3f9p-12, -0x1.0d890de9a8f3cp-12, -0x1.056ce961ddea4p-12, -0x1.fb0cead04b021p-13, -0x1.eba9073822777p-13, -0x1.dcabda303efaap-13, -0x1.ce1311921f458p-13, -0x1.bfdc4df929b4fp-13, -0x1.b205298caa337p-13, -0x1.a48b4a1deb8cfp-13, -0x1.976c739309db3p-13, -0x1.8aa68f4018086p-13, -0x1.7e37a32c152fep-13, -0x1.721dbdb0eebefp-13, -0x1.6656e0efff623p-13, -0x1.5ae0fb41c73a6p-13, -0x1.4fb9f23145b4fp-13, -0x1.44dfb6af36429p-13, -0x1.3a504f41cf531p-13, -0x1.3009cffc49f3p-13, -0x1.260a4ee80e099p-13, -0x1.1c4fea3b08a73p-13, -0x1.12d8de9ad8dc1p-13, -0x1.09a395204176ep-13, -0x1.00ae98d9f596p-13, -0x1.eff0f953a209dp-14, -0x1.deff8b76c2655p-14, -0x1.ce85ce9ec4724p-14, -0x1.be809e6cfae9fp-14, -0x1.aeecf1c0e3be2p-14, -0x1.9fc7f632e2b09p-14, -0x1.910f14d49e786p-14, -0x1.82bfe2e13759ep-14, -0x1.74d80fb4c1666p-14, -0x1.675534ebe8b56p-14, -0x1.5a34e521f3d02p-14, -0x1.4d748ab9c6887p-14, -0x1.4111934759133p-14, -0x1.35098c691f65cp-14, -0x1.295a20b806df2p-14, -0x1.1e00efc77bb9bp-14, -0x1.12fb79ac614a7p-14, -0x1.08474a6de7369p-14, -0x1.fbc47af47d05ep-15, -0x1.e7951570dcb05p-15, -0x1.d3fd20765cc5dp-15, -0x1.c0f9260b42c6p-15, -0x1.ae85554e7628p-15, -0x1.9c9db15197345p-15, -0x1.8b3e56b23f2dbp-15, -0x1.7a639da6f7a8cp-15, -0x1.6a0a11f803e69p-15, -0x1.5a2e6183a057cp-15, -0x1.4acd5b6258dd7p-15, -0x1.3be3fb38c6e8ap-15, -0x1.2d6f69fd9debdp-15, -0x1.1f6ce4389e1dcp-15, -0x1.11d990d37d70ap-15, -0x1.04b27067a808cp-15, -0x1.efe9173135fbep-16, -0x1.d73a5f3d60554p-16, -0x1.bf53b09769315p-16, -0x1.a82fc7b7dd3eap-16, -0x1.91c89c749c50fp-16, -0x1.7c181e08d840ap-16, -0x1.6719513e74531p-16, -0x1.52c8500b2fa51p-16, -0x1.3f2133ad77a7ep-16, -0x1.2c1f500e246b2p-16, -0x1.19bd78565b4d3p-16, -0x1.07f6c0729a4c4p-16, -0x1.ed8db858ed4eap-17, -0x1.cc53c03484186p-17, -0x1.ac37b9bae1581p-17, -0x1.8d318d651f432p-17, -0x1.6f394282d54f7p-17, -0x1.5247603877453p-17, -0x1.365514a1c992cp-17, -0x1.1b5c20225d116p-17, -0x1.01568927393e2p-17, -0x1.d07c3f3fb6a13p-18, -0x1.a0182d576c3d9p-18, -0x1.71727441aa18p-18, -0x1.447d9b7d60e5bp-18, -0x1.192e499f009bfp-18, -0x1.def40b696f7aap-19, -0x1.8ea95e632cb48p-19, -0x1.4161095f64f52p-19, -0x1.ee073a2e6d60cp-20, -0x1.5f02d4fb28d55p-20, -0x1.ab2f42bd2f379p-21, -0x1.4673c7d84f0d1p-22, 0x1.68e835866ea06p-23, 0x1.4d815e536a95ep-21, 0x1.1b6fea30e8a18p-20, 0x1.8b4b70ce9e506p-20, 0x1.f67871921373ap-20, 0x1.2e8fa85c43e05p-19, 0x1.5fb40747ef6b6p-19, 0x1.8ebc1d60b559ap-19, 0x1.bbb95447bdf86p-19, 0x1.e6bbe7bc529f1p-19, 0x1.07e982754306ep-18, 0x1.1b8662dfefbabp-18, 0x1.2e3b2e2917d84p-18, 0x1.400e7160d2d7cp-18, 0x1.51073a727ef2p-18, 0x1.612d0671c3438p-18, 0x1.7086c049bff25p-18, 0x1.7f19d181633eep-18, 0x1.8cea8a72fe3ap-18, 0x1.99fe25c25c6e4p-18, 0x1.a65c1dec1610cp-18, 0x1.b20badeff1206p-18, 0x1.bd1180cdcab15p-18, 0x1.c7723f45f27e4p-18, 0x1.d1347bf383fb6p-18, 0x1.da5e4cc9a2511p-18, 0x1.e2f37656454b3p-18, 0x1.eaf71b685031bp-18, 0x1.f26d6abbb7b34p-18, 0x1.f95b4d7cc9612p-18, 0x1.ffc5ae7c52811p-18, 0x1.02d8906fa74cp-17, 0x1.05915c53cbe1fp-17, 0x1.080f37f614504p-17, 0x1.0a545eed74e1cp-17, 0x1.0c62e276cc879p-17, 0x1.0e3cb85e3a034p-17, 0x1.0fe3a8ca1ca76p-17, 0x1.1159866905a26p-17, 0x1.129faf6269952p-17, 0x1.13b7d4fc56ec4p-17, 0x1.14a3cb41c23ffp-17, 0x1.1565904aa978bp-17, 0x1.15feeedf3e271p-17, 0x1.16712d23b4dcap-17, 0x1.16bd27c61172dp-17, 0x1.16e43aa6d5ce4p-17, 0x1.16e8b7a3e93f4p-17, 0x1.16cc5cc6f244ap-17, 0x1.168ffa3a7e3ffp-17, 0x1.1634e5e72498p-17, 0x1.15bc7d5219c51p-17, 0x1.152760dabd51fp-17, 0x1.147660d6b3a28p-17, 0x1.13aae0cc489b9p-17, 0x1.12c6507e913a4p-17, 0x1.11c9e14211378p-17, 0x1.10b68d6595238p-17, 0x1.0f8d307b10e56p-17, 0x1.0e4e9dae72a7fp-17, 0x1.0cfbb21c8488fp-17, 0x1.0b955e673bb8bp-17, 0x1.0a1ca41614ae2p-17, 0x1.089289b13461dp-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.c266b4d90aaecp-4, -0x1.c1fc098d122bcp-4, -0x1.c141ea2007c8bp-4, -0x1.c02ca3f91068p-4, -0x1.bead24996e445p-4, -0x1.bcb1e2c52b4cep-4, -0x1.ba27c7a1c91fp-4, -0x1.b6fb09f23865fp-4, -0x1.b317f0ef66cbdp-4, -0x1.ae6b7876a894cp-4, -0x1.a8e3d4782f8bdp-4, -0x1.a270d4e5863d5p-4, -0x1.9b042d82dc49fp-4, -0x1.9291a5fab7303p-4, -0x1.890f36afa677ep-4, -0x1.7e7516554b7d7p-4, -0x1.72bdbba528c4ap-4, -0x1.65e5d5c258736p-4, -0x1.57ec3d346c8cbp-4, -0x1.48d1dedd06e38p-4, -0x1.3899a1f08a4ffp-4, -0x1.274849c3d51a5p-4, -0x1.14e45426877c9p-4, -0x1.0175d4f931708p-4, -0x1.da0c9f6070452p-5, -0x1.af411ef03e032p-5, -0x1.82a0fd63343f3p-5, -0x1.5445fcf0bcd19p-5, -0x1.244b7dbc0989bp-5, -0x1.e59c61caf6e72p-6, -0x1.7fd79e83531dcp-6, -0x1.1785a91f646b4p-6, -0x1.59c8ff5092015p-7, -0x1.00caca465c871p-8, 0x1.72881e146c2eep-9, 0x1.3cd0377b3d365p-7, 0x1.0fd491c17fe08p-6, 0x1.82592c4084b7cp-6, 0x1.f5b9b76ed238p-6, 0x1.34dd9bb140e5ap-5, 0x1.6f1208c8a55a8p-5, 0x1.a95e1753f0df3p-5, 0x1.e3a68adca2184p-5, 0x1.0ee8806f8187dp-4, 0x1.2be1fc936eddp-4, 0x1.48b36e1a7d179p-4, 0x1.65510006e7819p-4, 0x1.81af55e2bf975p-4, 0x1.9dc38d08474edp-4, 0x1.b9833d8a1135cp-4, 0x1.d4e47ad239032p-4, 0x1.efddd40a93fb6p-4, 0x1.05332a2d42942p-3, 0x1.123ac1816ad9dp-3, 0x1.1f01b1ae11e68p-3, 0x1.2b843a5cae87ap-3, 0x1.37bed916a9b15p-3, 0x1.43ae49184f4c4p-3, 0x1.4f4f8311cf739p-3, 0x1.5a9fbcd3f9205p-3, 0x1.659c68e5f75d2p-3, 0x1.704336019b362p-3, 0x1.7a920e73b1287p-3, 0x1.8487175e508aap-3, 0x1.8e20afdb70a61p-3, 0x1.975d6ffe737c7p-3, 0x1.a03c27b3e3d6dp-3, 0x1.a8bbdd7f2747dp-3, 0x1.b0dbcd165d4ddp-3, 0x1.b89b65dd3260ap-3, 0x1.bffa493fe0efp-3, 0x1.c6f848f009266p-3, 0x1.cd9565056d864p-3, 0x1.d3d1ca04fcdaep-3, 0x1.d9adced0dcfdap-3, 0x1.df29f28464abp-3, 0x1.e446da3f17ad2p-3, 0x1.e9054ee1ef24ep-3, 0x1.ed663ac237ba1p-3, 0x1.f16aa75563b7cp-3, 0x1.f513bad91596ap-3, 0x1.f862b5fac0f9ap-3, 0x1.fb58f181f55cep-3, 0x1.fdf7dc0072085p-3, 0x1.00207bc56ffdep-2, 0x1.011aebbe729a4p-2, 0x1.01ec0f258f6cep-2, 0x1.0294bdb2a8b38p-2, 0x1.0315d4956bc8cp-2, 0x1.037035799dcdp-2, 0x1.03a4c59648b6bp-2, 0x1.03b46cc879267p-2, 0x1.03a014ba244ap-2, 0x1.0368a815aacabp-2, 0x1.030f11c653615p-2, 0x1.02943c45f78ddp-2, 0x1.01f910f812d34p-2, 0x1.013e779230837p-2, 0x1.00655591beb28p-2, 0x1.fedd1b7e2cc4fp-3, 0x1.fcb5ff7b20e04p-3, 0x1.fa570f50bb9ebp-3, 0x1.f7c1fb7797216p-3, 0x1.f4f86c151b122p-3, 0x1.f1fc007d54e76p-3, 0x1.eece4ecaf45bbp-3, 0x1.eb70e38c8847bp-3, 0x1.e7e54185cfeb5p-3, 0x1.e42ce1840024cp-3, 0x1.e0493243cede4p-3, 0x1.dc3b9868161f3p-3, 0x1.d8056e7fd0533p-3, 0x1.d3a8051a3acd2p-3, 0x1.cf24a2e7e0199p-3, 0x1.ca7c84e75f10ap-3, 0x1.c5b0de9cb1fdp-3, 0x1.c0c2da51d8dbdp-3, 0x1.bbb3995fb73cp-3, 0x1.b684347e1cfbdp-3, 0x1.b135bc19d2573p-3, 0x1.abc938afc293ep-3, 0x1.a63fab2c3038dp-3, 0x1.a09a0d4d1525bp-3, 0x1.9ad95206d467fp-3, 0x1.94fe65ea5d7e6p-3, 0x1.8f0a2f8c05b23p-3, 0x1.88fd8fea65d48p-3, 0x1.82d962d4864fp-3, 0x1.7c9e7f4eccc84p-3, 0x1.764db7f613314p-3, 0x1.6fe7db606991dp-3, 0x1.696db47b16628p-3, 0x1.62e00ae56780ap-3, 0x1.5c3fa347f760ap-3, 0x1.558d3fa81e5dfp-3, 0x1.4ec99fb74d4eap-3, 0x1.47f5811e0da01p-3, 0x1.41119fc2858fbp-3, 0x1.3a1eb60a5566p-3, 0x1.331d7d17b3509p-3, 0x1.2c0ead01b280fp-3, 0x1.24f2fd07b2ed1p-3, 0x1.1dcb23bfe2d22p-3, 0x1.1697d740f0c3ep-3, 0x1.0f59cd46e49a7p-3, 0x1.0811bb5331b8ap-3, 0x1.00c056c82b1fap-3, 0x1.f2cca9ffa49p-4, 0x1.e408d6bc87315p-4, 0x1.d5369ebf8f0b3p-4, 0x1.c6576d457dbfap-4, 0x1.b76caddb1e8fp-4, 0x1.a877cc61625b9p-4, 0x1.997a350a47a94p-4, 0x1.8a75544eb84bcp-4, 0x1.7b6a96dded31ap-4, 0x1.6c5b69869c33bp-4, 0x1.5d49391a67e43p-4, 0x1.4e35724bed5e3p-4, 0x1.3f218187de647p-4, 0x1.300ed2c98a7f6p-4, 0x1.20fed16b3c9d3p-4, 0x1.11f2e7f2d9372p-4, 0x1.02ec7fdb16011p-4, 0x1.e7da02b36bd72p-5, 0x1.c9eba6464a415p-5, 0x1.ac10b457ab1f3p-5, 0x1.8e4bf2cf6639cp-5, 0x1.70a023101d9fbp-5, 0x1.5310017096dp-5, 0x1.359e44b35188dp-5, 0x1.184d9d7ce9507p-5, 0x1.f6416b93c2ec7p-6, 0x1.bc3460c8cd0a4p-6, 0x1.827950b53831ep-6, 0x1.491560ebb8d62p-6, 0x1.100da566fab9dp-6, 0x1.aece3efe19403p-7, 0x1.3e4d79c6f743ep-7, 0x1.9d455a6bd0e49p-8, 0x1.7f5d8048bb01dp-9, -0x1.c162812b8c1eep-12, -0x1.ebee1216e4fap-9, -0x1.cde1ef2e33eaep-8, -0x1.51e2a5f2bafedp-7, -0x1.bbc7fc72c9fc9p-7, -0x1.124c4ed39d32fp-6, -0x1.462631a972abap-6, -0x1.796dafea23e95p-6, -0x1.ac1eefbcb1713p-6, -0x1.de3634df19b5cp-6, -0x1.07d7f09d5fe22p-5, -0x1.20443ab6e1db7p-5, -0x1.385e48a49592ap-5, -0x1.50247a21f53b2p-5, -0x1.67953ef14d802p-5, -0x1.7eaf1709f605fp-5, -0x1.957092c0f4065p-5, -0x1.abd852ebfc204p-5, -0x1.c1e508feeba1cp-5, -0x1.d7957723beed3p-5, -0x1.ece8704d16eb8p-5, -0x1.00ee6c21b180cp-4, -0x1.0b38d1d66225ap-4, -0x1.1552ec07e34e5p-4, -0x1.1f3c45e880f68p-4, -0x1.28f47315e5cb8p-4, -0x1.327b0f9306706p-4, -0x1.3bcfbfbfb1e05p-4, -0x1.44f2304ddafc5p-4, -0x1.4de21634a4c4ep-4, -0x1.569f2ea14d91dp-4, -0x1.5f293ee60701fp-4, -0x1.67801466ca1c6p-4, -0x1.6fa3848445ba6p-4, -0x1.77936c84f3886p-4, -0x1.7f4fb17c688f9p-4, -0x1.86d84030f79d2p-4, -0x1.8e2d0cffbc958p-4, -0x1.954e13bf1e0fep-4, -0x1.9c3b579fe3517p-4, -0x1.a2f4e30ced132p-4, -0x1.a97ac789a061cp-4, -0x1.afcd1d8f2f659p-4, -0x1.b5ec0468af5acp-4, -0x1.bbd7a20e3c1fp-4, -0x1.c19022ff0e956p-4, -0x1.c715ba1ac373bp-4, -0x1.cc68a079c629bp-4, -0x1.d18915450d9d7p-4, -0x1.d6775d8d23b5ap-4, -0x1.db33c4209adf7p-4, -0x1.dfbe996203283p-4, -0x1.e418331d65f49p-4, -0x1.e840ec5d62b7bp-4, -0x1.ec39254001c7ep-4, -0x1.f00142cb39cadp-4, -0x1.f399aec145a28p-4, -0x1.f702d774ee099p-4, -0x1.fa3d2f9d9e68bp-4, -0x1.fd492e2b8b43bp-4, -0x1.0013a70df19a6p-3, -0x1.016c07268459cp-3, -0x1.02adf8a97beb8p-3, -0x1.03d9bea5eeacep-3, -0x1.04ef9dda7213bp-3, -0x1.05efdc9fa909dp-3, -0x1.06dac2d2f1126p-3, -0x1.07b099c14c1ffp-3, -0x1.0871ac126f5d1p-3, -0x1.091e45b41148bp-3, -0x1.09b6b3c571e15p-3, -0x1.0a3b44832305fp-3, -0x1.0aac473313b0bp-3, -0x1.0b0a0c10dfcd8p-3, -0x1.0b54e43a74823p-3, -0x1.0b8d219cfad4cp-3, -0x1.0bb316e2109adp-3, -0x1.0bc7175d6149bp-3, -0x1.0bc976fa898a9p-3, -0x1.0bba8a2b59ce6p-3, -0x1.0b9aa5d670d79p-3, -0x1.0b6a1f463a8a4p-3, -0x1.0b294c183fa92p-3, -0x1.0ad8822ce70a9p-3, -0x1.0a7817978a5dap-3, -0x1.0a08628ef47cfp-3, -0x1.0989b95e42458p-3, -0x1.08fc72562cfb3p-3, -0x1.0860e3beb0282p-3, -0x1.07b763c92012cp-3, -0x1.070048829f337p-3, -0x1.063be7c703608p-3, -0x1.056a97341592bp-3, -0x1.048cac1d45c66p-3, -0x1.03a27b7fbb386p-3, -0x1.02ac59f6d5398p-3, -0x1.01aa9bb1077d2p-3, -0x1.009d9465261d9p-3, -0x1.ff0b2e901f7d8p-4, -0x1.fcc5ee05843f3p-4, -0x1.fa6c0b519d17dp-4, -0x1.f7fe295e66ec8p-4, -0x1.f57ce9c72a21fp-4, -0x1.f2e8ecc7bd278p-4, -0x1.f042d12c71a7bp-4, -0x1.ed8b3442d3107p-4, -0x1.eac2b1cb1183ap-4, -0x1.e7e9e3ea35546p-4, -0x1.e501631cf0d83p-4, -0x1.e209c62b4391ep-4, -0x1.df03a21cb4a69p-4, -0x1.dbef8a2d460b4p-4, -0x1.d8ce0fc30ed1bp-4, -0x1.d59fc26481dd8p-4, -0x1.d2652faf54af5p-4, -0x1.cf1ee35001p-4, -0x1.cbcd66f9ed7bdp-4, -0x1.c8714260330fep-4, -0x1.c50afb2ee465ep-4, -0x1.c19b1505038a1p-4, -0x1.be22116ef0f34p-4, -0x1.baa06fe178ep-4, -0x1.b716adb558539p-4, -0x1.b3854623579c2p-4, -0x1.afecb240d3ad4p-4, -0x1.ac4d68fcdb409p-4, -0x1.a8a7df1db746cp-4, -0x1.a4fc873eeaf8cp-4, -0x1.a14bd1cfb4551p-4, -0x1.9d962d11e8185p-4, -0x1.99dc051948da9p-4, -0x1.961dc3cb4a5dcp-4, -0x1.925bd0df2a01fp-4, -0x1.8e9691de77a33p-4, -0x1.8ace6a25f69aap-4, -0x1.8703bae6ddebep-4, -0x1.8336e3286c02cp-4, -0x1.7f683fc9d2c11p-4, -0x1.7b982b84722f1p-4, -0x1.77c6feee63ec2p-4, -0x1.73f5107d5054cp-4, -0x1.7022b4898bc9fp-4, -0x1.6c503d51780d5p-4, -0x1.687dfafd28a39p-4, -0x1.64ac3ba245ab6p-4, -0x1.60db4b4827e09p-4, -0x1.5d0b73ec344e3p-4, -0x1.593cfd8666459p-4, -0x1.55702e0e12549p-4, -0x1.51a5497ed7ad8p-4, -0x1.4ddc91ddc02dbp-4, -0x1.4a16473e89342p-4, -0x1.4652a7c91bcb3p-4, -0x1.4291efbf25306p-4, -0x1.3ed45981d47b9p-4, -0x1.3b1a1d97bc28ap-4, -0x1.376372b2cfc75p-4, -0x1.33b08db680a1ap-4, -0x1.3001a1bdf70e9p-4, -0x1.2c56e0225f4c6p-4, -0x1.28b0788151ccp-4, -0x1.250e98c34d9b8p-4, -0x1.21716d2244c21p-4, -0x1.1dd920303d312p-4, -0x1.1a45daddfb8fep-4, -0x1.16b7c481bf9dap-4, -0x1.132f02de0771ap-4, -0x1.0fabba2860729p-4, -0x1.0c2e0d103e1d4p-4, -0x1.08b61cc5d5b79p-4, -0x1.054409010329ap-4, -0x1.01d7f0082e041p-4, -0x1.fce3dd6e63077p-5, -0x1.f624410c87c24p-5, -0x1.ef713f21bec57p-5, -0x1.e8cb09394f79dp-5, -0x1.e231ce409a51cp-5, -0x1.dba5ba94d576bp-5, -0x1.d526f810bee8ap-5, -0x1.ceb5ae1a41f2dp-5, -0x1.c85201b00b634p-5, -0x1.c1fc157710bcfp-5, -0x1.bbb409c800e65p-5, -0x1.b579fcbc9fbacp-5, -0x1.af4e0a3d127bp-5, -0x1.a9304c0d085aep-5, -0x1.a320d9d8d392cp-5, -0x1.9d1fc94260ab5p-5, -0x1.972d2dee17f8p-5, -0x1.9149198f996bfp-5, -0x1.8b739bf66352cp-5, -0x1.85acc31a4c002p-5, -0x1.7ff49b27ea9bap-5, -0x1.7a4b2e8ccce87p-5, -0x1.74b0860394c5ep-5, -0x1.6f24a89ff1189p-5, -0x1.69a79bda69aa5p-5, -0x1.6439639c1100dp-5, -0x1.5eda024a04f2p-5, -0x1.598978d0ceda1p-5, -0x1.5447c6af99987p-5, -0x1.4f14ea03418dbp-5, -0x1.49f0df9138439p-5, -0x1.44dba2d24215bp-5, -0x1.3fd52dfd06d11p-5, -0x1.3add7a107e161p-5, -0x1.35f47ede2da2cp-5, -0x1.311a33143d0b1p-5, -0x1.2c4e8c475e83dp-5, -0x1.27917efc91539p-5, -0x1.22e2feb2b3024p-5, -0x1.1e42fdebe5f54p-5, -0x1.19b16e36d4dcdp-5, -0x1.152e4037c376fp-5, -0x1.10b963b176278p-5, -0x1.0c52c78deb1fbp-5, -0x1.07fa59e6f1bdap-5, -0x1.03b0080e8b095p-5, -0x1.fee77d2e50d4ep-6, -0x1.f68ad2b779425p-6, -0x1.ee49e70f4457p-6, -0x1.e6248f3caf99fp-6, -0x1.de1a9f0622e96p-6, -0x1.d62be90049cc9p-6, -0x1.ce583e9c811bdp-6, -0x1.c69f7037141ap-6, -0x1.bf014d2508f7bp-6, -0x1.b77da3c1b4561p-6, -0x1.b014417bea46p-6, -0x1.a8c4f2e2eb04fp-6, -0x1.a18f83b2f9e0bp-6, -0x1.9a73bee1a8cefp-6, -0x1.93716ea9d8066p-6, -0x1.8c885c9764aap-6, -0x1.85b851928d928p-6, -0x1.7f0115eb13d4bp-6, -0x1.786271630a5bfp-6, -0x1.71dc2b395fda7p-6, -0x1.6b6e0a3415afcp-6, -0x1.6517d4aa42099p-6, -0x1.5ed9508dbe469p-6, -0x1.58b243749334p-6, -0x1.52a272a22e68p-6, -0x1.4ca9a3103ab94p-6, -0x1.46c799774d14ep-6, -0x1.40fc1a57411cep-6, -0x1.3b46e9ff67548p-6, -0x1.35a7cc9661abfp-6, -0x1.301e8621c2d3ap-6, -0x1.2aaada8d84bf6p-6, -0x1.254c8db32c2p-6, -0x1.20036360c3c14p-6, -0x1.1acf1f5f923d2p-6, -0x1.15af857a8d89fp-6, -0x1.10a45984b5e74p-6, -0x1.0bad5f5f1603ep-6, -0x1.06ca5afea9cf8p-6, -0x1.01fb1071fe38cp-6, -0x1.fa7e87cd55d92p-7, -0x1.f12d735d0b6c2p-7, -0x1.e8026c89888f8p-7, -0x1.defcfca59b97ap-7, -0x1.d61cad69ddccep-7, -0x1.cd6108fda267bp-7, -0x1.c4c999ffaea91p-7, -0x1.bc55eb8e761a5p-7, -0x1.b405895022b98p-7, -0x1.abd7ff7a28564p-7, -0x1.a3ccdad890283p-7, -0x1.9be3a8d4f9cd6p-7, -0x1.941bf77d358c9p-7, -0x1.8c755589bb679p-7, -0x1.84ef5263b1971p-7, -0x1.7d897e2aaca7bp-7, -0x1.764369ba374bcp-7, -0x1.6f1ca6aef9113p-7, -0x1.6814c76bc7faep-7, -0x1.612b5f1e5e9fap-7, -0x1.5a6001c3a319fp-7, -0x1.53b2442c01ac6p-7, -0x1.4d21bbff4049fp-7, -0x1.46adffc048f87p-7, -0x1.4056a6d0a63b3p-7, -0x1.3a1b4973c65a1p-7, -0x1.33fb80d1f35ccp-7, -0x1.2df6e6fb4a9a6p-7, -0x1.280d16ea4a733p-7, -0x1.223dac8642583p-7, -0x1.1c8844a59eef8p-7, -0x1.16ec7d0ff2ab1p-7, -0x1.1169f47fc4abp-7, -0x1.0c004aa4528a1p-7, -0x1.06af20231e3aap-7, -0x1.017616993b273p-7, -0x1.f8a9a13933441p-8, -0x1.ee95e379f355bp-8, -0x1.e4b03d09ced51p-8, -0x1.daf7f8f4cab3fp-8, -0x1.d16c643f35d35p-8, -0x1.c80ccde69a851p-8, -0x1.bed886e27340fp-8, -0x1.b5cee22483968p-8, -0x1.acef349920cc5p-8, -0x1.a438d5270cb8p-8, -0x1.9bab1caf6fd57p-8, -0x1.9345660d31ccp-8, -0x1.8b070e1441596p-8, -0x1.82ef7390d96b1p-8, -0x1.7afdf7461d9d8p-8, -0x1.7331fbed2eec5p-8, -0x1.6b8ae63379612p-8, -0x1.64081cb93304cp-8, -0x1.5ca9080f8fa97p-8, -0x1.556d12b6b1fe7p-8, -0x1.4e53a91ba28dep-8, -0x1.475c399612a75p-8, -0x1.40863465fea3dp-8, -0x1.39d10bb1383d3p-8, -0x1.333c338088bfap-8, -0x1.2cc721bd20139p-8, -0x1.26714e2d9e724p-8, -0x1.203a327312d89p-8, -0x1.1a214a05f348p-8, -0x1.14261232eda01p-8, -0x1.0e480a179818dp-8, -0x1.0886b29f027f2p-8, -0x1.02e18e7e4890ep-8, -0x1.fab0446222fb7p-9, -0x1.efd3e7ebe293p-9, -0x1.e52d17959f9f6p-9, -0x1.dabae6d2066e8p-9, -0x1.d07c6c831f1cap-9, -0x1.c670c2f2a5f2fp-9, -0x1.bc9707ca374dfp-9, -0x1.b2ee5c0b4de98p-9, -0x1.a975e40751814p-9, -0x1.a02cc757ae723p-9, -0x1.971230d531e61p-9, -0x1.8e254e903138ap-9, -0x1.856551c7f8b66p-9, -0x1.7cd16ee2a311cp-9, -0x1.7468dd64a5f83p-9, -0x1.6c2ad7e85d872p-9, -0x1.64169c15852d8p-9, -0x1.5c2b6a98a15ap-9, -0x1.5468871a8dc08p-9, -0x1.4ccd3837d3544p-9, -0x1.4558c77838ce4p-9, -0x1.3e0a814607c3cp-9, -0x1.36e1b4e57c85cp-9, -0x1.2fddb46c26cd6p-9, -0x1.28fdd4b82c921p-9, -0x1.22416d67f1146p-9, -0x1.1ba7d8d1394e1p-9, -0x1.153073f8d65d4p-9, -0x1.0eda9e89f9ceap-9, -0x1.08a5bacd91c89p-9, -0x1.02912da1ec254p-9, -0x1.f938bce40d96ep-10, -0x1.ed8d6e5a78b58p-10, -0x1.e21f487d975f5p-10, -0x1.d6ed290b16a18p-10, -0x1.cbf5f296db252p-10, -0x1.c1388c7a830efp-10, -0x1.b6b3e2c4deddap-10, -0x1.ac66e62927da7p-10, -0x1.a2508bef0253bp-10, -0x1.986fcde23d698p-10, -0x1.8ec3aa42c103ep-10, -0x1.854b23b43299ep-10, -0x1.7c05412e3559p-10, -0x1.72f10dec7440cp-10, -0x1.6a0d995f23974p-10, -0x1.6159f71b4fb33p-10, -0x1.58d53ecb8ffa4p-10, -0x1.507e8c2099393p-10, -0x1.4854fec226ad3p-10, -0x1.4057ba3fdb2cp-10, -0x1.3885e602368fep-10, -0x1.30dead3be6567p-10, -0x1.29613edb0afd3p-10, -0x1.220ccd7af6f6dp-10, -0x1.1ae08f55c1b78p-10, -0x1.13dbbe35e8443p-10, -0x1.0cfd976850d5ep-10, -0x1.06455bae1cf2fp-10, -0x1.ff649e5e86c27p-11, -0x1.f28772d9466c8p-11, -0x1.e5f1ca6595a54p-11, -0x1.d9a24119045b9p-11, -0x1.cd97796b2eab3p-11, -0x1.c1d01c1ba4394p-11, -0x1.b64ad8182ff0cp-11, -0x1.ab066262ffff9p-11, -0x1.a00175f9f0149p-11, -0x1.953ad3bdb5e4ep-11, -0x1.8ab1425951ec1p-11, -0x1.80638e2957dd2p-11, -0x1.765089247d969p-11, -0x1.6c770ac3cb103p-11, -0x1.62d5efeae3f3cp-11, -0x1.596c1ad130975p-11, -0x1.503872eb451d8p-11, -0x1.4739e4d4f13eap-11, -0x1.3e6f623a2e7d2p-11, -0x1.35d7e1c1bbfeap-11, -0x1.2d725ef78914dp-11, -0x1.253dda36de783p-11, -0x1.1d3958964238p-11, -0x1.1563e3d25cfb8p-11, -0x1.0dbc8a39bffedp-11, -0x1.06425e9879852p-11, -0x1.fde8f049f6209p-12, -0x1.efa3e4d783478p-12, -0x1.e1b3da78f852fp-12, -0x1.d417192e3b24ap-12, -0x1.c6cbf131ca1bep-12, -0x1.b9d0bad426d99p-12, -0x1.ad23d658ac74ap-12, -0x1.a0c3abd0818b8p-12, -0x1.94aeaaf7ff093p-12, -0x1.88e34b1431f05p-12, -0x1.7d600acf9363p-12, -0x1.7223701966e89p-12, -0x1.672c08053753ap-12, -0x1.5c7866a886092p-12, -0x1.520726fd47c36p-12, -0x1.47d6eac01673fp-12, -0x1.3de65a5295b4fp-12, -0x1.3434249c06e7fp-12, -0x1.2abefeeb12ba3p-12, -0x1.2185a4d9a8ca5p-12, -0x1.1886d82dec7f5p-12, -0x1.0fc160bf730f1p-12, -0x1.07340c59be742p-12, -0x1.fdbb5d42ec195p-13, -0x1.ed7a41f215355p-13, -0x1.dda284c9f4aeep-13, -0x1.ce31eee552823p-13, -0x1.bf26543ba06f7p-13, -0x1.b07d936ddfec7p-13, -0x1.a23595960c1a1p-13, -0x1.944c4e14a3a43p-13, -0x1.86bfba6177667p-13, -0x1.798de1dadd6ffp-13, -0x1.6cb4d59814fafp-13, -0x1.6032b038f4d6ep-13, -0x1.540595bb8fa3bp-13, -0x1.482bb34ec21f1p-13, -0x1.3ca33f268be92p-13, -0x1.316a78511b873p-13, -0x1.267fa68db6e1bp-13, -0x1.1be11a224c959p-13, -0x1.118d2bb27945p-13, -0x1.07823c1976b39p-13, -0x1.fb7d6880a3d9cp-14, -0x1.e88209f418daap-14, -0x1.d60f4db73d1a1p-14, -0x1.c422343134ba5p-14, -0x1.b2b7ccbba16c4p-14, -0x1.a1cd355c8c74ap-14, -0x1.915f9a7cdf111p-14, -0x1.816c36a6e3ed6p-14, -0x1.71f0523eea327p-14, -0x1.62e94343272a6p-14, -0x1.54546d0a2aeb8p-14, -0x1.462f400114e1dp-14, -0x1.3877396f7eefbp-14, -0x1.2b29e336e3d99p-14, -0x1.1e44d3980c16bp-14, -0x1.11c5acf47a552p-14, -0x1.05aa1d96bc525p-14, -0x1.f3dfbeee0013dp-15, -0x1.dd29700837e27p-15, -0x1.c72cefd6fb44ap-15, -0x1.b1e5f5c855595p-15, -0x1.9d504eedc0dc6p-15, -0x1.8967dd9bdfc4fp-15, -0x1.762898f82feccp-15, -0x1.638e8c9eff1e2p-15, -0x1.5195d83b30832p-15, -0x1.403aaf237cae2p-15, -0x1.2f795801852a9p-15, -0x1.1f4e2c6e081b6p-15, -0x1.0fb5989bb1712p-15, -0x1.00ac1af4a6f7ep-15, -0x1.e45c8794f9349p-16, -0x1.c87169ff1b9eep-16, -0x1.ad904352308cp-16, -0x1.93b29b868d93dp-16, -0x1.7ad21bbe34c7fp-16, -0x1.62e88d9bf5074p-16, -0x1.4befdab423f49p-16, -0x1.35e20be3763b6p-16, -0x1.20b948c3c4fe7p-16, -0x1.0c6fd71160c0dp-16, -0x1.f200342cbabe2p-17, -0x1.ccc92441eff7fp-17, -0x1.a92fb7dcafcebp-17, -0x1.8729606878f99p-17, -0x1.66abc60c7ef4p-17, -0x1.47acc6ad804a4p-17, -0x1.2a2274f8e2797p-17, -0x1.0e031750a7eb1p-17, -0x1.e68a4dcfd54d3p-18, -0x1.b3be9d724fa55p-18, -0x1.8390d54af313ep-18, -0x1.55ef0cef52667p-18, -0x1.2ac7ba176ceadp-18, -0x1.0209aec232b65p-18, -0x1.b7482f2e3a448p-19, -0x1.6f0cf416837ecp-19, -0x1.2b4165a1f5a38p-19, -0x1.d78bd09f4b7e6p-20, -0x1.60f7110d03cdcp-20, -0x1.e50fdceda4349p-21, -0x1.18061d30c73b5p-21, -0x1.6972a0bc1326fp-23, 0x1.51793b0493d15p-23, }}, 
      {{-0x1.c27ddd70a6c08p-4, -0x1.c25abcee65e2ap-4, -0x1.c21e802f18cc4p-4, -0x1.c1c6bd5f66f88p-4, -0x1.c15047d1d552cp-4, -0x1.c0b755b62d47p-4, -0x1.bff7a6f956c04p-4, -0x1.bf0cab640d8e5p-4, -0x1.bdf1a664fe78bp-4, -0x1.bca1cf5de1dc6p-4, -0x1.bb186dc272362p-4, -0x1.b950f0c73d4dep-4, -0x1.b74702b6a73b3p-4, -0x1.b4f6983e18faep-4, -0x1.b25bfc2665aa8p-4, -0x1.af73d7f560673p-4, -0x1.ac3b39f32468cp-4, -0x1.a8af9900ff51dp-4, -0x1.a4ced69fb5efep-4, -0x1.a0973f722c40ep-4, -0x1.9c078a7b0431ap-4, -0x1.971ed7474fd3dp-4, -0x1.91dcab2fc88b2p-4, -0x1.8c40edd370ae4p-4, -0x1.864be4ea720e4p-4, -0x1.7ffe2f8d6cb29p-4, -0x1.7958c10bc3c23p-4, -0x1.725cdb6a655eep-4, -0x1.6b0c09a3792dfp-4, -0x1.636819be5422p-4, -0x1.5b7316d59f8a2p-4, -0x1.532f431ff0d43p-4, -0x1.4a9f120d1710dp-4, -0x1.41c5228814e36p-4, -0x1.38a4396b5fa8p-4, -0x1.2f3f3c326fef4p-4, -0x1.25992bf145efdp-4, -0x1.1bb520980fd46p-4, -0x1.11964486f166fp-4, -0x1.073fd073e4982p-4, -0x1.f96a0f45d003fp-5, -0x1.e3f268de4c3c3p-5, -0x1.ce1f4a452e37bp-5, -0x1.b7f752311a065p-5, -0x1.a1811c4dfbe18p-5, -0x1.8ac33c9393f95p-5, -0x1.73c43b16063d2p-5, -0x1.5c8a904631f14p-5, -0x1.451ca197b3dap-5, -0x1.2d80be82bb14bp-5, -0x1.15bd1dd869528p-5, -0x1.fbafb6c215de2p-6, -0x1.cbadeb788ad55p-6, -0x1.9b8098f805459p-6, -0x1.6b333ce7bffb9p-6, -0x1.3ad1106ede49ep-6, -0x1.0a6505855f77fp-6, -0x1.b3f389224ae51p-7, -0x1.53335490e1ed2p-7, -0x1.e53b1750fed6fp-8, -0x1.248b5cb81e64cp-8, -0x1.91f4db547989bp-10, 0x1.6b2b905f52531p-10, 0x1.1929c916dbf58p-8, 0x1.d67d9bbe2a076p-8, 0x1.4952e85c5af03p-7, 0x1.a6c197c8729f2p-7, 0x1.01bdf4f0ded5fp-6, 0x1.2fb9cb4745757p-6, 0x1.5d4d7fd957505p-6, 0x1.8a729856a7d29p-6, 0x1.b722eec05be44p-6, 0x1.e358b0d2e56ddp-6, 0x1.07872fa35d926p-5, 0x1.1d1f66749f5d3p-5, 0x1.32728ec7a113cp-5, 0x1.477e62715248p-5, 0x1.5c40c2866d57fp-5, 0x1.70b7b6a020aacp-5, 0x1.84e16c111c09dp-5, 0x1.98bc350c1973fp-5, 0x1.ac4687bd08f5ap-5, 0x1.bf7efd56076f3p-5, 0x1.d26451115f656p-5, 0x1.e4f55f29c5458p-5, 0x1.f73123ca27358p-5, 0x1.048b5cfb1c58ep-4, 0x1.0d52ad368bd9fp-4, 0x1.15ee2d4399777p-4, 0x1.1e5d95885a0f3p-4, 0x1.26a0ab90d1239p-4, 0x1.2eb7417a6dae2p-4, 0x1.36a1355f81513p-4, 0x1.3e5e70c33bd46p-4, 0x1.45eee7fea8b51p-4, 0x1.4d5299af247bdp-4, 0x1.54898e26c6ebp-4, 0x1.5b93d6df18efp-4, 0x1.62718dee87138p-4, 0x1.6922d580dd8bfp-4, 0x1.6fa7d7531fca2p-4, 0x1.7600c4330774cp-4, 0x1.7c2dd3825ed15p-4, 0x1.822f42be74badp-4, 0x1.8805550bd2f51p-4, 0x1.8db052c660bc7p-4, 0x1.9330891607e84p-4, 0x1.98864987fd595p-4, 0x1.9db1e9acb5ad4p-4, 0x1.a2b3c2ba8e4e4p-4, 0x1.a78c31353c49dp-4, 0x1.ac3b9499da947p-4, 0x1.b0c24f0fca656p-4, 0x1.b520c51e19228p-4, 0x1.b9575d6582bc5p-4, 0x1.bd66805ef615dp-4, 0x1.c14e981e713fep-4, 0x1.c510101a2cbc5p-4, 0x1.c8ab54f5e6492p-4, 0x1.cc20d45236172p-4, 0x1.cf70fc9fcb3d1p-4, 0x1.d29c3cf64c8dcp-4, 0x1.d5a304eeeda61p-4, 0x1.d885c4825067bp-4, 0x1.db44ebe9c4782p-4, 0x1.dde0eb8387879p-4, 0x1.e05a33b9ff54dp-4, 0x1.e2b134edbc2d8p-4, 0x1.e4e65f62081ap-4, 0x1.e6fa232bed98p-4, 0x1.e8ecf023811ep-4, 0x1.eabf35d74bfa3p-4, 0x1.ec716381aacfap-4, 0x1.ee03e7fff031bp-4, 0x1.ef7731cb499c2p-4, 0x1.f0cbaef300be1p-4, 0x1.f201cd184a5a3p-4, 0x1.f319f96b25d57p-4, 0x1.f414a0a88076fp-4, 0x1.f4f22f1938148p-4, 0x1.f5b310921246bp-4, 0x1.f657b0746a92ap-4, 0x1.f6e079af87b38p-4, 0x1.f74dd6c28d76cp-4, 0x1.f7a031bed2de5p-4, 0x1.f7d7f44aa1d09p-4, 0x1.f7f587a444305p-4, 0x1.f7f954a53cef6p-4, 0x1.f7e3c3c5bb2f9p-4, 0x1.f7b53d2002d4fp-4, 0x1.f76e2873fd8efp-4, 0x1.f70eed2aa36a9p-4, 0x1.f697f25968ac5p-4, 0x1.f6099ec576e2dp-4, 0x1.f56458e6c2ca9p-4, 0x1.f4a886eaf0ef7p-4, 0x1.f3d68eb7f5b22p-4, 0x1.f2eed5ee7d023p-4, 0x1.f1f1c1ebfa221p-4, 0x1.f0dfb7cc7b9abp-4, 0x1.efb91c6c15a1dp-4, 0x1.ee7e54680d2b3p-4, 0x1.ed2fc41f9b2e7p-4, 0x1.ebcdcfb45d3dfp-4, 0x1.ea58db0a6aa3ap-4, 0x1.e8d149c805364p-4, 0x1.e7377f54f7809p-4, 0x1.e58bded9992fep-4, 0x1.e3cecb3d70fe2p-4, 0x1.e200a72583eddp-4, 0x1.e021d4f24c8efp-4, 0x1.de32b6bd61583p-4, 0x1.dc33ae56c309dp-4, 0x1.da251d41e4b2p-4, 0x1.d80764b269ce7p-4, 0x1.d5dae5888e39ep-4, 0x1.d3a0004d5e9a4p-4, 0x1.d157152ea6eb7p-4, 0x1.cf0083fa9ff32p-4, 0x1.cc9cac1b743dep-4, 0x1.ca2bec928242cp-4, 0x1.c7aea3f379959p-4, 0x1.c525305f4de01p-4, 0x1.c28fef7ef8998p-4, 0x1.bfef3e7e2763fp-4, 0x1.bd437a05c030ep-4, 0x1.ba8cfe3653cebp-4, 0x1.b7cc26a27b591p-4, 0x1.b5014e491ecb9p-4, 0x1.b22ccf8fb2c7bp-4, 0x1.af4f043c6d8f8p-4, 0x1.ac6845707c005p-4, 0x1.a978eba224f56p-4, 0x1.a6814e9701c76p-4, 0x1.a381c55e35095p-4, 0x1.a07aa64aabd36p-4, 0x1.9d6c46ed67da3p-4, 0x1.9a56fc0fe2265p-4, 0x1.973b19ae77796p-4, 0x1.9418f2f2f34f3p-4, 0x1.90f0da2f2d57bp-4, 0x1.8dc320d7c6141p-4, 0x1.8a90177eff132p-4, 0x1.87580dcfb4999p-4, 0x1.841b52887b019p-4, 0x1.80da3376dd594p-4, 0x1.7d94fd72c3f14p-4, 0x1.7a4bfc5a02ac5p-4, 0x1.76ff7b0c107a9p-4, 0x1.73afc365eaa1bp-4, 0x1.705d1e3e2487dp-4, 0x1.6d07d361234c1p-4, 0x1.69b0298d8a474p-4, 0x1.66566670d4c31p-4, 0x1.62facea421d3cp-4, 0x1.5f9da5a92df04p-4, 0x1.5c3f2de781d71p-4, 0x1.58dfa8a9d17bp-4, 0x1.557f561b8d99ap-4, 0x1.521e7546a6c0dp-4, 0x1.4ebd441182a56p-4, 0x1.4b5bff3d26c66p-4, 0x1.47fae26393185p-4, 0x1.449a27f64ed31p-4, 0x1.413a093d28446p-4, 0x1.3ddabe552698ap-4, 0x1.3a7c7e2fad999p-4, 0x1.371f7e91cea3bp-4, 0x1.33c3f413cddb3p-4, 0x1.306a1220d5ff1p-4, 0x1.2d120af6da813p-4, 0x1.29bc0fa6a7b5dp-4, 0x1.2668501422822p-4, 0x1.2316faf6b2445p-4, 0x1.1fc83dd9d8d29p-4, 0x1.1c7c451df23c4p-4, 0x1.19333bf921c17p-4, 0x1.15ed4c78657e3p-4, 0x1.12aa9f80d2e6ap-4, 0x1.0f6b5cd0f9f65p-4, 0x1.0c2fab026e05bp-4, 0x1.08f7af8b73911p-4, 0x1.05c38ec0d101dp-4, 0x1.02936bd7c32d8p-4, 0x1.feced1d02197fp-5, 0x1.f87f4ddc7fc18p-5, 0x1.f2388b9bd2742p-5, 0x1.ebfac8a851391p-5, 0x1.e5c640745b4fp-5, 0x1.df9b2c4fc514p-5, 0x1.d979c36d5fd71p-5, 0x1.d3623ae8b5629p-5, 0x1.cd54c5cbef274p-5, 0x1.c7519515eb7fp-5, 0x1.c158d7c07eea9p-5, 0x1.bb6abac6dcb72p-5, 0x1.b587692c26b1ep-5, 0x1.afaf0c0221198p-5, 0x1.a9e1ca7007a1bp-5, 0x1.a41fc9b982d5bp-5, 0x1.9e692d45bbbd6p-5, 0x1.98be16a686bap-5, 0x1.931ea59fadb4cp-5, 0x1.8d8af82e49132p-5, 0x1.88032a9035e01p-5, 0x1.8287574b9a619p-5, 0x1.7d1797367addep-5, 0x1.77b4017e61609p-5, 0x1.725cabb00f597p-5, 0x1.6d11a9bf3ad7dp-5, 0x1.67d30e0e5870ep-5, 0x1.62a0e97668aap-5, 0x1.5d7b4b4eccc71p-5, 0x1.5862417520dfep-5, 0x1.5355d8551811ep-5, 0x1.4e561af05b822p-5, 0x1.496312e665274p-5, 0x1.447cc87c5e174p-5, 0x1.3fa342a4f4bep-5, 0x1.3ad6870831abbp-5, 0x1.36169a0b45b36p-5, 0x1.31637ed85100cp-5, 0x1.2cbd376620532p-5, 0x1.2823c47fe2d5ap-5, 0x1.239725ccd2983p-5, 0x1.1f1759d7d4f1p-5, 0x1.1aa45e170aaeep-5, 0x1.163e2ef35509p-5, 0x1.11e4c7cfc7e8dp-5, 0x1.0d982311114c2p-5, 0x1.09583a24ce012p-5, 0x1.05250588caaep-5, 0x1.00fe7cd236c67p-5, 0x1.f9c92d6986e4cp-6, 0x1.f1ae921357e11p-6, 0x1.e9ad11ad553d5p-6, 0x1.e1c494a9bfdeap-6, 0x1.d9f501ef33697p-6, 0x1.d23e3ee6152d7p-6, 0x1.caa02f85cfb2ap-6, 0x1.c31ab661ebcb4p-6, 0x1.bbadb4b6ebb9ap-6, 0x1.b4590a770271cp-6, 0x1.ad1c965693445p-6, 0x1.a5f835d88317bp-6, 0x1.9eebc55a5f68bp-6, 0x1.97f720203fa0bp-6, 0x1.911a20608c62dp-6, 0x1.8a549f4f83ff1p-6, 0x1.83a6752a8cef4p-6, 0x1.7d0f794357c69p-6, 0x1.768f820acfde5p-6, 0x1.7026651bd6881p-6, 0x1.69d3f745c1bb8p-6, 0x1.63980c96af231p-6, 0x1.5d727865a47eap-6, 0x1.57630d5c74357p-6, 0x1.51699d81742b3p-6, 0x1.4b85fa40f6a8p-6, 0x1.45b7f4769d40fp-6, 0x1.3fff5c7668e6cp-6, 0x1.3a5c0215a06ffp-6, 0x1.34cdb4b380f42p-6, 0x1.2f544341b743cp-6, 0x1.29ef7c4caba2ap-6, 0x1.249f2e03931adp-6, 0x1.1f632640552ddp-6, 0x1.1a3b328f40f8dp-6, 0x1.15272036873cp-6, 0x1.1026bc3d8cfa2p-6, 0x1.0b39d37402fc4p-6, 0x1.06603278d8095p-6, 0x1.0199a5c0f16a5p-6, 0x1.f9cbf33b76a45p-7, 0x1.f089f48712d73p-7, 0x1.e76ce79f7fa01p-7, 0x1.de74649db8a75p-7, 0x1.d5a003848ad34p-7, 0x1.ccef5c4bed1aap-7, 0x1.c46206ebf83b4p-7, 0x1.bbf79b67818d1p-7, 0x1.b3afb1d66f77dp-7, 0x1.ab89e26fa892ep-7, 0x1.a385c592b82eap-7, 0x1.9ba2f3d1213dp-7, 0x1.93e105f75f98cp-7, 0x1.8c3f951594dc3p-7, 0x1.84be3a87f74aep-7, 0x1.7d5c8ffed9fe4p-7, 0x1.761a2f867cc7p-7, 0x1.6ef6b38e92df1p-7, 0x1.67f1b6f170f2p-7, 0x1.610ad4fb09e2cp-7, 0x1.5a41a96f8d467p-7, 0x1.5395d091d8d5fp-7, 0x1.4d06e7298fccep-7, 0x1.46948a89041f3p-7, 0x1.403e5892d2473p-7, 0x1.3a03efbf4287p-7, 0x1.33e4ef216dca4p-7, 0x1.2de0f66c266f3p-7, 0x1.27f7a5f69828dp-7, 0x1.22289ec0c0c16p-7, 0x1.1c738277abc7bp-7, 0x1.16d7f3796bcfdp-7, 0x1.115594d8e6f18p-7, 0x1.0bec0a6172959p-7, 0x1.069af89a2cb14p-7, 0x1.016204c932ce9p-7, 0x1.f881a9ed4149fp-8, 0x1.ee6e1fdeb7808p-8, 0x1.e488ba8f6ab3fp-8, 0x1.dad0cabbc0051p-8, 0x1.d145a2b873521p-8, 0x1.c7e69676c759ep-8, 0x1.beb2fb886997fp-8, 0x1.b5aa292308283p-8, 0x1.accb78239ad2cp-8, 0x1.a41643115e209p-8, 0x1.9b89e6207ad6p-8, 0x1.9325bf347059bp-8, 0x1.8ae92de22700dp-8, 0x1.82d39371e2d56p-8, 0x1.7ae452e0cda69p-8, 0x1.731ad0e25067cp-8, 0x1.6b7673e130e2bp-8, 0x1.63f6a40073bdbp-8, 0x1.5c9acb1c031e2p-8, 0x1.556254c919e6p-8, 0x1.4e4cae567ff06p-8, 0x1.475946cc810f8p-8, 0x1.40878eeccb462p-8, 0x1.39d6f931ffe06p-8, 0x1.3346f9cf355a8p-8, 0x1.2cd706af33783p-8, 0x1.268697738b9dbp-8, 0x1.2055257382267p-8, 0x1.1a422bbadb066p-8, 0x1.144d270873308p-8, 0x1.0e7595ccb8368p-8, 0x1.08baf82808d3fp-8, 0x1.031ccfe8dd2d9p-8, 0x1.fb354113bf2b3p-9, 0x1.f067de5fbe10bp-9, 0x1.e5d0854f4684bp-9, 0x1.db6e46c73d8f6p-9, 0x1.d14036f32eb2cp-9, 0x1.c7456d402f0e8p-9, 0x1.bd7d0457e00b2p-9, 0x1.b3e61a1aeae8ap-9, 0x1.aa7fcf9b8b808p-9, 0x1.a1494917d89aap-9, 0x1.9841adf3e9ea6p-9, 0x1.8f6828b3be6f6p-9, 0x1.86bbe6f533293p-9, 0x1.7e3c1969ac1bp-9, 0x1.75e7f3cfaf3d3p-9, 0x1.6dbeacec5c86ap-9, 0x1.65bf7e84cee25p-9, 0x1.5de9a5574efadp-9, 0x1.563c61148cc78p-9, 0x1.4eb6f458a42ecp-9, 0x1.4758a4a42bca6p-9, 0x1.4020ba55037edp-9, 0x1.390e809f47a9dp-9, 0x1.3221458612c6fp-9, 0x1.2b5859d43341fp-9, 0x1.24b31114d7b6bp-9, 0x1.1e30c18c22fcap-9, 0x1.17d0c42fce44ap-9, 0x1.1192749fabb11p-9, 0x1.0b75311e273ccp-9, 0x1.05785a88dc76cp-9, 0x1.ff36a8a1eea5ep-10, 0x1.f3bb08e7407abp-10, 0x1.e87ca6e50d267p-10, 0x1.dd7a58985a5f4p-10, 0x1.d2b2f8e8cb63ap-10, 0x1.c8256799671c8p-10, 0x1.bdd089398487ap-10, 0x1.b3b3471590da1p-10, 0x1.a9cc8f281b70ep-10, 0x1.a01b540a8b101p-10, 0x1.969e8ce61b307p-10, 0x1.8d553564ccea8p-10, 0x1.843e4da269e5bp-10, 0x1.7b58da1d970a5p-10, 0x1.72a3e3a8f5d68p-10, 0x1.6a1e775c5456bp-10, 0x1.61c7a685ee00bp-10, 0x1.599e869bb7d1fp-10, 0x1.51a2312cb20e4p-10, 0x1.49d1c3d27b4c6p-10, 0x1.422c6022bc1a1p-10, 0x1.3ab12ba0e050ap-10, 0x1.335f4fafc4061p-10, 0x1.2c35f98383669p-10, 0x1.25345a136e93fp-10, 0x1.1e59a60c22aep-10, 0x1.17a515c179319p-10, 0x1.1115e520da6bfp-10, 0x1.0aab53a38a4d6p-10, 0x1.0464a44129062p-10, 0x1.fc823ac4408b4p-11, 0x1.f08011a4cde47p-11, 0x1.e4c167689bfeap-11, 0x1.d944dce6a2686p-11, 0x1.ce09196e8e66ep-11, 0x1.c30ccaaed841dp-11, 0x1.b84ea49b4de1p-11, 0x1.adcd6153f2fbcp-11, 0x1.a387c10bea498p-11, 0x1.997c89f0ded3ep-11, 0x1.8faa8812b10f4p-11, 0x1.86108d4b075b5p-11, 0x1.7cad7125af409p-11, 0x1.738010c8c45c3p-11, 0x1.6a874edd838eep-11, 0x1.61c21378eee1ep-11, 0x1.592f4c04fe9c7p-11, 0x1.50cdeb2a3f8f4p-11, 0x1.489ce8b9553a7p-11, 0x1.409b4194e99dp-11, 0x1.38c7f79bda0a6p-11, 0x1.31221193dfd98p-11, 0x1.29a89b14394d1p-11, 0x1.225aa470ccc24p-11, 0x1.1b3742a5522cfp-11, 0x1.143d8f40d71a4p-11, 0x1.0d6ca851a0256p-11, 0x1.06c3b05153291p-11, 0x1.0041ce115213cp-11, 0x1.f3cc594e3561ap-12, 0x1.e75ff6b2d84c1p-12, 0x1.db3cdb1ac66d5p-12, 0x1.cf6175675f087p-12, 0x1.c3cc3c6cf4828p-12, 0x1.b87baeceb7f34p-12, 0x1.ad6e52da91cc9p-12, 0x1.a2a2b6666a72ep-12, 0x1.98176ead1f11cp-12, 0x1.8dcb182cdb92cp-12, 0x1.83bc568505577p-12, 0x1.79e9d45587eecp-12, 0x1.7052431e1f16fp-12, 0x1.66f45b1dfad18p-12, 0x1.5dcedb343cfddp-12, 0x1.54e088c0b6733p-12, 0x1.4c282f8575137p-12, 0x1.43a4a1882fa23p-12, 0x1.3b54b6f4e0416p-12, 0x1.33374e001a78fp-12, 0x1.2b4b4aca675a8p-12, 0x1.238f9743f4f67p-12, 0x1.1c032310a0564p-12, 0x1.14a4e36c55088p-12, 0x1.0d73d3104b27bp-12, 0x1.066ef218406bdp-12, 0x1.ff2a8bd0d92d5p-13, 0x1.f1cbb226f03f1p-13, 0x1.e4bf7682d8bf1p-13, 0x1.d804022e130b1p-13, 0x1.cb978839639bdp-13, 0x1.bf78454dac793p-13, 0x1.b3a47f7c806c3p-13, 0x1.a81a861136181p-13, 0x1.9cd8b162def56p-13, 0x1.91dd62a8aae5dp-13, 0x1.872703cc024f9p-13, 0x1.7cb4073e93bbap-13, 0x1.7282e7ce8892dp-13, 0x1.6892287d2a0e1p-13, 0x1.5ee0545590f56p-13, 0x1.556bfe43b3f27p-13, 0x1.4c33c0ed73b1cp-13, 0x1.43363e8b17cd2p-13, 0x1.3a7220c0b6cc1p-13, 0x1.31e61878e99c1p-13, 0x1.2990ddbf96736p-13, 0x1.21712f9d53eccp-13, 0x1.1985d3f40f7f2p-13, 0x1.11cd975b90d43p-13, 0x1.0a474cffc062p-13, 0x1.02f1ce7e0a228p-13, 0x1.f797f789acd7ap-14, 0x1.e9a975e4dfee2p-14, 0x1.dc15f06aa62efp-14, 0x1.cedb4b5943bf5p-14, 0x1.c1f776931e25dp-14, 0x1.b5686d6215adep-14, 0x1.a92c363be79bcp-14, 0x1.9d40e28852318p-14, 0x1.91a48e66aaeefp-14, 0x1.8655607740b12p-14, 0x1.7b5189a38c1ep-14, 0x1.709744e963429p-14, 0x1.6624d72418247p-14, 0x1.5bf88eda638d4p-14, 0x1.5210c40a0b689p-14, 0x1.486bd7f6aaf44p-14, 0x1.3f0834f86abaep-14, 0x1.35e44e4b8a3d3p-14, 0x1.2cfe9fe1e0365p-14, 0x1.2455ae34b3253p-14, 0x1.1be806161c8f4p-14, 0x1.13b43c861a6b6p-14, 0x1.0bb8ee853cf5p-14, 0x1.03f4c0ebe9993p-14, 0x1.f8ccc07d2d17bp-15, 0x1.ea19010cf55adp-15, 0x1.dbcbba4ee5f93p-15, 0x1.cde27173f792dp-15, 0x1.c05ab9c70e252p-15, 0x1.b33234620f45dp-15, 0x1.a6668fe247d4p-15, 0x1.99f5882150c7ap-15, 0x1.8ddce5ebcaf6p-15, 0x1.821a7ebcffebep-15, 0x1.76ac3477f5ef2p-15, 0x1.6b8ff525a9f01p-15, 0x1.60c3bab4415b4p-15, 0x1.56458ab4954d5p-15, 0x1.4c13761ae5e6dp-15, 0x1.422b9901d03f7p-15, 0x1.388c1a6da0f1ap-15, 0x1.2f332c0fe2d1p-15, 0x1.261f0a0df0a49p-15, 0x1.1d4dfac7eb66ep-15, 0x1.14be4e9ef7b1dp-15, 0x1.0c6e5fc08c33bp-15, 0x1.045c91ee73fd2p-15, 0x1.f90ea499877d6p-16, 0x1.e9da2e57ae063p-16, 0x1.db18bfb1099cdp-16, 0x1.ccc768d26d1e9p-16, 0x1.bee34b19487b3p-16, 0x1.b16998b7a2eadp-16, 0x1.a4579455a3ae4p-16, 0x1.97aa90b7b2119p-16, 0x1.8b5ff0647a0cfp-16, 0x1.7f75254f27994p-16, 0x1.73e7b07ff1ac4p-16, 0x1.68b521c2ff8bcp-16, 0x1.5ddb17527df17p-16, 0x1.53573d88d5ed2p-16, 0x1.49274e92861a4p-16, 0x1.3f49121fc683p-16, 0x1.35ba5d1d0ab75p-16, 0x1.2c791164474b2p-16, 0x1.23831d7893c45p-16, 0x1.1ad67c3d75687p-16, 0x1.127134b26ad45p-16, 0x1.0a5159af0e2dfp-16, 0x1.0275099fb628p-16, 0x1.f5b4dc8fd258ep-17, 0x1.e6ff78feed6ccp-17, 0x1.d8c667ec4ac19p-17, 0x1.cb063dedf6b68p-17, 0x1.bdbba451b4a6p-17, 0x1.b0e358b1508acp-17, 0x1.a47a2c7f14ccap-17, 0x1.987d04928afdbp-17, 0x1.8ce8d8bf75b8dp-17, 0x1.81bab366d5c3bp-17, 0x1.76efb11250ac7p-17, 0x1.6c85000a245e4p-17, 0x1.6277dfefe23fep-17, 0x1.58c5a1621f316p-17, 0x1.4f6ba5972220cp-17, 0x1.46675dff8e764p-17, 0x1.3db64beb9491ep-17, 0x1.355600313b745p-17, 0x1.2d441ad358a3dp-17, 0x1.257e4aa94807bp-17, 0x1.1e024d0daa2cfp-17, 0x1.16cded8c69ef1p-17, 0x1.0fdf058ecc078p-17, 0x1.09337c0d243bcp-17, 0x1.02c94542e439cp-17, 0x1.f93cc4c550dfep-18, 0x1.ed61c2925d818p-18, 0x1.e1fdb87789f6ap-18, 0x1.d70cf33470851p-18, 0x1.cc8bd7396bb76p-18, 0x1.c276e01db2c98p-18, 0x1.b8caa018e9395p-18, 0x1.af83bf87d41bdp-18, 0x1.a69efc6443219p-18, 0x1.9e1929cbfb243p-18, 0x1.95ef2f8ae492p-18, 0x1.8e1e099f5c2bbp-18, 0x1.86a2c7c5ba72ap-18, 0x1.7f7a8d0958375p-18, 0x1.78a28f5302471p-18, 0x1.721816f691c19p-18, 0x1.6bd87e4f70a34p-18, 0x1.65e1315a6f2bdp-18, 0x1.602fad481bf4ep-18, 0x1.5ac1801d2441p-18, 0x1.55944849b06dp-18, 0x1.50a5b45293a5cp-18, 0x1.4bf3826e7550cp-18, 0x1.477b802d5ccd8p-18, 0x1.433b8a1844423p-18, 0x1.3f318b5ed4308p-18, 0x1.3b5b7d835881p-18, 0x1.37b76800e6497p-18, 0x1.34435ffdafa6bp-18, 0x1.30fd87fc8c18dp-18, 0x1.2de40f842e16bp-18, 0x1.2af532dabb9e4p-18, 0x1.282f3abd2f588p-18, 0x1.25907c1028346p-18, 0x1.2317579870d32p-18, 0x1.20c239b28e808p-18, 0x1.1e8f9a112c118p-18, 0x1.1c7dfb7b33309p-18, 0x1.1a8beb87d22b8p-18, 0x1.18b8025d993bbp-18, 0x1.1700e26f0e6dp-18, 0x1.156538449df1fp-18, 0x1.13e3ba3d8c161p-18, 0x1.127b2850cb849p-18, 0x1.112a4bd7b91a7p-18, 0x1.0feff754391c8p-18, 0x1.0ecb063b4f027p-18, 0x1.0dba5cb6928dep-18, 0x1.0cbce77ebf8dfp-18, 0x1.0bd19b9b60f6ep-18, 0x1.0af77631f3f92p-18, 0x1.0a2d7c561162bp-18, 0x1.0972bad8b87c7p-18, 0x1.08c6461901543p-18, 0x1.082739d7a9faap-18, 0x1.0794b906ba70dp-18, 0x1.070ded9e72b16p-18, 0x1.0692086f74d4dp-18, 0x1.062040fc39c9cp-18, 0x1.05b7d54e62853p-18, 0x1.055809ca0fa37p-18, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.0fa223266ec7p-9, -0x1.0fca438a601e1p-8, -0x1.982b52b2553cap-8, -0x1.10ab7a51a39ffp-7, -0x1.55e9e631266fbp-7, -0x1.9c23a6953e4aap-7, -0x1.e3b6d739fcfdp-7, -0x1.16843a9cb9644p-6, -0x1.3c3ff9e705ccbp-6, -0x1.634198f1c5535p-6, -0x1.8bb979e528a3fp-6, -0x1.b5d3f766c017cp-6, -0x1.e1b834993857bp-6, -0x1.07c39ac793d6ep-5, -0x1.1fad9e49da942p-5, -0x1.38a3b3a67dafap-5, -0x1.52abc2ceeab77p-5, -0x1.6dc811a46147p-5, -0x1.89f75e5c0664ap-5, -0x1.a7350b81e1e2cp-5, -0x1.c57959abe8ef3p-5, -0x1.e4b9ab1b087b3p-5, -0x1.027466eb09157p-4, -0x1.12fba49880cf3p-4, -0x1.23e9d6144f418p-4, -0x1.35356d3b12bc1p-4, -0x1.46d42b5c51266p-4, -0x1.58bb4442055f1p-4, -0x1.6adf7ec62c0fap-4, -0x1.7d3552bd62964p-4, -0x1.8fb1042193a0ep-4, -0x1.a246bb83f0651p-4, -0x1.b4ea9be23a9d4p-4, -0x1.c790d60994973p-4, -0x1.da2db9b9bd279p-4, -0x1.ecb5c4bf54ba1p-4, -0x1.ff1db03c5a03fp-4, -0x1.08ad3e29a518ep-3, -0x1.11b0bd32af0c5p-3, -0x1.1a942b07683ebp-3, -0x1.23528e830331p-3, -0x1.2be722fe5724cp-3, -0x1.344d5b4dfdb75p-3, -0x1.3c80e457ed699p-3, -0x1.447da74856c17p-3, -0x1.4c3fcb6b7c918p-3, -0x1.53c3b7b0d58d9p-3, -0x1.5b0613da9c03ap-3, -0x1.6203c95c29c63p-3, -0x1.68ba03e8f8a25p-3, -0x1.6f2631b604751p-3, -0x1.7546036f2e0ecp-3, -0x1.7b176be29443dp-3, -0x1.80989f63fbbaep-3, -0x1.85c812eaf3915p-3, -0x1.8aa47aeeab4c3p-3, -0x1.8f2cca030252ep-3, -0x1.93602f3abf39ap-3, -0x1.973e145345cdcp-3, -0x1.9ac61bae8e264p-3, -0x1.9df81e205c8d8p-3, -0x1.a0d428940861ep-3, -0x1.a35a79903b5p-3, -0x1.a58b7e9e3abefp-3, -0x1.a767d19a40f71p-3, -0x1.a8f035f26f102p-3, -0x1.aa2595d9c0285p-3, -0x1.ab08ff742c573p-3, -0x1.ab9ba2010cc91p-3, -0x1.abdecb0878b74p-3, -0x1.abd3e39005897p-3, -0x1.ab7c6d5b16d95p-3, -0x1.aada003a6fed8p-3, -0x1.a9ee476e71e1dp-3, -0x1.a8baff1f0c8aep-3, -0x1.a741f1ebfcd3ep-3, -0x1.a584f6979b5ebp-3, -0x1.a385edce1ac9ap-3, -0x1.a146c00abecap-3, -0x1.9ec95b9c31e61p-3, -0x1.9c0fb2c8d22fdp-3, -0x1.991bba1379d4p-3, -0x1.95ef66a10574ap-3, -0x1.928cacbe85d6fp-3, -0x1.8ef57e87df521p-3, -0x1.8b2bcaae530d7p-3, -0x1.87317b5e3956dp-3, -0x1.830875431832cp-3, -0x1.7eb296a9073c1p-3, -0x1.7a31b6ba37835p-3, -0x1.7587a4d768ed7p-3, -0x1.70b62809dd655p-3, -0x1.6bbefe8d74953p-3, -0x1.66a3dd71699cfp-3, -0x1.6166704e318p-3, -0x1.5c08590efd6c1p-3, -0x1.568b2fcd5261dp-3, -0x1.50f082bd2ed35p-3, -0x1.4b39d62844dccp-3, -0x1.4568a476cfbe2p-3, -0x1.3f7e5e448cfe3p-3, -0x1.397c6a8082297p-3, -0x1.3364269631f9ap-3, -0x1.2d36e69ef9aecp-3, -0x1.26f5f59a62bcp-3, -0x1.20a295ac44c17p-3, -0x1.1a3e005f99f26p-3, -0x1.13c966ed0cfbap-3, -0x1.0d45f2844698ap-3, -0x1.06b4c49722776p-3, -0x1.0016f725fbd2bp-3, -0x1.f2db3a18acd24p-4, -0x1.e573849a795e1p-4, -0x1.d7f8d8bd64893p-4, -0x1.ca6d34e7861e7p-4, -0x1.bcd28b894d3e8p-4, -0x1.af2ac3a93002ap-4, -0x1.a177b96a097d6p-4, -0x1.93bb3e8b9ba4cp-4, -0x1.85f71ae498eedp-4, -0x1.782d0cd5f23f7p-4, -0x1.6a5ec9b7034bbp-4, -0x1.5c8dfe3a6fb51p-4, -0x1.4ebc4ecb834cep-4, -0x1.40eb57e408a75p-4, -0x1.331cae5a90b81p-4, -0x1.2551dfa933626p-4, -0x1.178c722ceb4aep-4, -0x1.09cde55da7a87p-4, -0x1.f82f63fea0d7fp-5, -0x1.dcd69497d65f8p-5, -0x1.c194342e5767p-5, -0x1.a66b0dd760e9cp-5, -0x1.8b5de04489df5p-5, -0x1.706f5de6e1e52p-5, -0x1.55a22d076e65bp-5, -0x1.3af8e7d5a2cdfp-5, -0x1.20761c6cab26ep-5, -0x1.061c4cd024959p-5, -0x1.d7dbddc22d071p-6, -0x1.a3dad897b8b6cp-6, -0x1.703a44df76c4p-6, -0x1.3cfec481ce7bep-6, -0x1.0a2ce04b32f9cp-6, -0x1.af920f3c0044ep-7, -0x1.4baf203a4d8d1p-7, -0x1.d172d544b4876p-8, -0x1.0d726122af092p-8, -0x1.2db3f35636896p-10, 0x1.d236af8bf3f63p-10, 0x1.326e5be733785p-8, 0x1.ee2646502e228p-8, 0x1.53d3880279fb5p-7, 0x1.af7168a427125p-7, 0x1.04f305cf069a6p-6, 0x1.31957955b0eacp-6, 0x1.5d9cedb20e0e4p-6, 0x1.89065ff2d8bb2p-6, 0x1.b3ceebb87f811p-6, 0x1.ddf3cb7e1251fp-6, 0x1.03b92c6de3defp-5, 0x1.1824066150c7bp-5, 0x1.2c393fd85c938p-5, 0x1.3ff7b4ef001bep-5, 0x1.535e51b08cda5p-5, 0x1.666c12260a06fp-5, 0x1.79200260717aap-5, 0x1.8b793e7eb7ed4p-5, 0x1.9d76f2af938a3p-5, 0x1.af185b2ef2701p-5, 0x1.c05cc43f2c01ap-5, 0x1.d1438a1de498p-5, 0x1.e1cc18f4b3c4bp-5, 0x1.f1f5ecc58c14fp-5, 0x1.00e048a981a6dp-4, 0x1.0895d1023a64ap-4, 0x1.101b64e3111b7p-4, 0x1.1770e172b5acbp-4, 0x1.1e962b7497b75p-4, 0x1.258b2f333b3f6p-4, 0x1.2c4fe068c2b54p-4, 0x1.32e43a25bad9ap-4, 0x1.39483eb63d401p-4, 0x1.3f7bf78574b3p-4, 0x1.457f74ff9ebddp-4, 0x1.4b52ce7297e8p-4, 0x1.50f621ed0277ep-4, 0x1.5669941c243b6p-4, 0x1.5bad502888898p-4, 0x1.60c187917b6b7p-4, 0x1.65a672077471fp-4, 0x1.6a5c4d4581c04p-4, 0x1.6ee35ce9c9febp-4, 0x1.733bea4d39c91p-4, 0x1.7766445a6ff47p-4, 0x1.7b62bf63f7cbdp-4, 0x1.7f31b4f9f00dcp-4, 0x1.82d383bf255adp-4, 0x1.86488f3db8b46p-4, 0x1.89913fbb650d5p-4, 0x1.8cae020d7393dp-4, 0x1.8f9f476c75663p-4, 0x1.92658547cd40dp-4, 0x1.950135191cd97p-4, 0x1.9772d437abb8p-4, 0x1.99bae3abcb99p-4, 0x1.9bd9e8025435bp-4, 0x1.9dd069203915ap-4, 0x1.9f9ef2165d79ap-4, 0x1.a14610f598d54p-4, 0x1.a2c656a30cbb5p-4, 0x1.a42056acd2c0cp-4, 0x1.a554a71f0417dp-4, 0x1.a663e0593e12dp-4, 0x1.a74e9ce490346p-4, 0x1.a8157949f8bedp-4, 0x1.a8b913e966f74p-4, 0x1.a93a0cd15bbc6p-4, 0x1.a999059716daep-4, 0x1.a9d6a12f84228p-4, 0x1.a9f383c8b8bcfp-4, 0x1.a9f052a4439f8p-4, 0x1.a9cdb3f218cd3p-4, 0x1.a98c4eac56bcbp-4, 0x1.a92cca73c4765p-4, 0x1.a8afcf6d1a01fp-4, 0x1.a816061f21366p-4, 0x1.a76017519b915p-4, 0x1.a68eabed05b95p-4, 0x1.a5a26cdb35233p-4, 0x1.a49c02e8d19f8p-4, 0x1.a37c16a7a5875p-4, 0x1.a2435051d29c1p-4, 0x1.a0f257ade9d79p-4, 0x1.9f89d3f3e0e5ep-4, 0x1.9e0a6bb2ec514p-4, 0x1.9c74c4b83595ep-4, 0x1.9ac983f683fa7p-4, 0x1.99094d6eb44cp-4, 0x1.9734c4191e717p-4, 0x1.954c89cfda98cp-4, 0x1.93513f39e1963p-4, 0x1.914383b70e184p-4, 0x1.8f23f54cfc0b8p-4, 0x1.8cf33094bd638p-4, 0x1.8ab1d0a96bd8ap-4, 0x1.88606f178f298p-4, 0x1.85ffa3cd54b57p-4, 0x1.8390050b9bf42p-4, 0x1.81122757cd96fp-4, 0x1.7e869d6e7e34fp-4, 0x1.7bedf836d8cfap-4, 0x1.7948c6b6ce331p-4, 0x1.7697960804447p-4, 0x1.73daf14d834fp-4, 0x1.711361aa1c36ap-4, 0x1.6e416e378544bp-4, 0x1.6b659bfe292b8p-4, 0x1.68806deda2ca5p-4, 0x1.659264d5e5b31p-4, 0x1.629bff610b2c7p-4, 0x1.5f9dba0dc13abp-4, 0x1.5c980f2a57fcp-4, 0x1.598b76d06a5c8p-4, 0x1.567866e11a62ep-4, 0x1.535f5301df80fp-4, 0x1.5040ac99e336ep-4, 0x1.4d1ce2cfe6ed8p-4, 0x1.49f46288ad0eap-4, 0x1.46c79665e44bp-4, 0x1.4396e6c590d6bp-4, 0x1.4062b9c1eacf1p-4, 0x1.3d2b7331b1cbp-4, 0x1.39f174a8f3ffap-4, 0x1.36b51d7a3d033p-4, 0x1.3376cab82fdffp-4, 0x1.3036d7378134fp-4, 0x1.2cf59b91594e8p-4, 0x1.29b36e260759p-4, 0x1.2670a32016ea4p-4, 0x1.232d8c77b23e9p-4, 0x1.1fea79f65e01dp-4, 0x1.1ca7b93af8783p-4, 0x1.196595be08597p-4, 0x1.162458d64edecp-4, 0x1.12e449bd9e9abp-4, 0x1.0fa5ad95edf39p-4, 0x1.0c68c76ea78aep-4, 0x1.092dd84a315afp-4, 0x1.05f51f23a8f56p-4, 0x1.02bed8f4d23eap-4, 0x1.ff1681786936dp-5, 0x1.f8b51f06c39edp-5, 0x1.f259f8cad3caap-5, 0x1.ec05792add82bp-5, 0x1.e5b806cabc753p-5, 0x1.df720499a02f6p-5, 0x1.d933d1dff0334p-5, 0x1.d2fdca4d77d41p-5, 0x1.ccd04607b48d6p-5, 0x1.c6ab99b8602acp-5, 0x1.c090169c1336ap-5, 0x1.ba7e0a9112af6p-5, 0x1.b475c026376c1p-5, 0x1.ae777ea9ef8abp-5, 0x1.a8838a395e7a4p-5, 0x1.a29a23cf7f217p-5, 0x1.9cbb8954611d1p-5, 0x1.96e7f5ac6a911p-5, 0x1.911fa0c79f40fp-5, 0x1.8b62bfb0e9102p-5, 0x1.85b1849d6b10fp-5, 0x1.800c1efbc5ccp-5, 0x1.7a72bb835532ep-5, 0x1.74e584436b0d9p-5, 0x1.6f64a0b2782adp-5, 0x1.69f035bd2aa7ep-5, 0x1.648865d578debp-5, 0x1.5f2d51019466bp-5, 0x1.59df14eaca702p-5, 0x1.549dccec4c8cbp-5, 0x1.4f699221d918fp-5, 0x1.4a427b76504c9p-5, 0x1.45289db21fc57p-5, 0x1.401c0b8995cbfp-5, 0x1.3b1cd5ab0d2fbp-5, 0x1.362b0accf37dap-5, 0x1.3146b7bbb52dap-5, 0x1.2c6fe76777258p-5, 0x1.27a6a2f1ae749p-5, 0x1.22eaf1ba899eap-5, 0x1.1e3cd96e34408p-5, 0x1.199c5e11ed51ap-5, 0x1.15098210f21e9p-5, 0x1.108446493be0cp-5, 0x1.0c0caa180bb95p-5, 0x1.07a2ab664bbf9p-5, 0x1.034646b4bcb15p-5, 0x1.fdeeee4fee9a3p-6, 0x1.f56c6d287a3f7p-6, 0x1.ed04fb122426dp-6, 0x1.e4b886b956dap-6, 0x1.dc86fc6e5403cp-6, 0x1.d470463b3a61bp-6, 0x1.cc744bf9ba154p-6, 0x1.c492f36852bc5p-6, 0x1.bccc203f360f3p-6, 0x1.b51fb444c3c19p-6, 0x1.ad8d8f6191fc1p-6, 0x1.a6158fb423808p-6, 0x1.9eb791a426e24p-6, 0x1.97736ff55dc85p-6, 0x1.904903da1501p-6, 0x1.893825053d957p-6, 0x1.8240a9bc1b9c6p-6, 0x1.7b6266e795588p-6, 0x1.749d302517617p-6, 0x1.6df0d7d7223e8p-6, 0x1.675d2f35681f6p-6, 0x1.60e2065c94ba5p-6, 0x1.5a7f2c5dae6dep-6, 0x1.54346f4d0ff18p-6, 0x1.4e019c510e488p-6, 0x1.47e67fb03e4dep-6, 0x1.41e2e4df52ceap-6, 0x1.3bf6968eadf09p-6, 0x1.36215eb78d442p-6, 0x1.306306a8da5bcp-6, 0x1.2abb5713a1509p-6, 0x1.252a18173e187p-6, 0x1.1faf114d1944dp-6, 0x1.1a4a09d424b8p-6, 0x1.14fac85bf8a7fp-6, 0x1.0fc1132fa8d92p-6, 0x1.0a9cb04033d17p-6, 0x1.058d652eafe52p-6, 0x1.0092f75625eefp-6, 0x1.f75a57aa2c5d9p-7, 0x1.edb78f2d89b9cp-7, 0x1.e43d1eb8378dcp-7, 0x1.daea8f88b98fp-7, 0x1.d1bf6aaaed4dep-7, 0x1.c8bb39084a68ep-7, 0x1.bfdd83776d32cp-7, 0x1.b725d2cb37cb3p-7, 0x1.ae93afe152c6p-7, 0x1.a626a3b03bd4p-7, 0x1.9dde3754cbe71p-7, 0x1.95b9f41f3099ep-7, 0x1.8db9639f7668bp-7, 0x1.85dc0fb194408p-7, 0x1.7e218288f9cc1p-7, 0x1.768946bbaa59cp-7, 0x1.6f12e74ce9fabp-7, 0x1.67bdefb778a3p-7, 0x1.6089ebf75710fp-7, 0x1.5976689326608p-7, 0x1.5282f2a51b3fdp-7, 0x1.4baf17e392d8dp-7, 0x1.44fa66a930ce7p-7, 0x1.3e646dfcb93fdp-7, 0x1.37ecbd986ab99p-7, 0x1.3192e5f1142c9p-7, 0x1.2b56783cc0c7fp-7, 0x1.253706791ddfbp-7, 0x1.1f34237166cf1p-7, 0x1.194d62c42c677p-7, 0x1.138258e89f654p-7, 0x1.0dd29b33b749ep-7, 0x1.083dbfdcdb3fcp-7, 0x1.02c35e026b54p-7, 0x1.fac61b5bc62e1p-8, 0x1.f038cfaf96ce4p-8, 0x1.e5de0cd6a649bp-8, 0x1.dbb508936f433p-8, 0x1.d1bcfa9ab722cp-8, 0x1.c7f51c9959bd4p-8, 0x1.be5caa3999229p-8, 0x1.b4f2e127e848dp-8, 0x1.abb701173e169p-8, 0x1.a2a84bc51dd66p-8, 0x1.99c604fd04da3p-8, 0x1.910f729ba13b9p-8, 0x1.8883dc9182a11p-8, 0x1.80228ce572e8bp-8, 0x1.77eacfb66ed75p-8, 0x1.6fdbf33d53109p-8, 0x1.67f547ce2efbfp-8, 0x1.60361fd929e4p-8, 0x1.589dcfeb33ba3p-8, 0x1.512baeae6001bp-8, 0x1.49df14e9e8e8p-8, 0x1.42b75d8213af3p-8, 0x1.3bb3e5779ce7bp-8, 0x1.34d40be6eceeep-8, 0x1.2e1732073798ep-8, 0x1.277cbb29139edp-8, 0x1.21040cb529fa3p-8, 0x1.1aac8e2a67b61p-8, 0x1.1475a91c3128ep-8, 0x1.0e5ec930205e2p-8, 0x1.08675c1be817fp-8, 0x1.028ed1a2ba66ap-8, 0x1.f9a9372567838p-9, 0x1.ee705b83d27b1p-9, 0x1.e371fc170136p-9, 0x1.d8ad08991dd77p-9, 0x1.ce2074c1a38cdp-9, 0x1.c3cb383ea23c8p-9, 0x1.b9ac4ead72182p-9, 0x1.afc2b7938fb61p-9, 0x1.a60d7656cb583p-9, 0x1.9c8b9235e3b8ap-9, 0x1.933c16404308ep-9, 0x1.8a1e114dd5465p-9, 0x1.813095f6cecb5p-9, 0x1.7872ba8af676ep-9, 0x1.6fe39909254f9p-9, 0x1.67824f16937bdp-9, 0x1.5f4dfdf57b372p-9, 0x1.5745ca7c5b188p-9, 0x1.4f68dd0c8af51p-9, 0x1.47b661890b4e9p-9, 0x1.402d874d19a61p-9, 0x1.38cd8122bb3c4p-9, 0x1.319585391407dp-9, 0x1.2a84cd1adca17p-9, 0x1.239a95a4a615ep-9, 0x1.1cd61efb13062p-9, 0x1.1636ac811d297p-9, 0x1.0fbb84ce3f3a6p-9, 0x1.0963f1a46cc92p-9, 0x1.032f3fe64acb8p-9, 0x1.fa397f1aa6b04p-10, 0x1.ee57873f74aa9p-10, 0x1.e2b7444db3a64p-10, 0x1.d7576849b19b7p-10, 0x1.cc36ab1623cc5p-10, 0x1.c153ca5fb6b69p-10, 0x1.b6ad8989a45aap-10, 0x1.ac42b19a00337p-10, 0x1.a2121125d7457p-10, 0x1.981a7c3d7795bp-10, 0x1.8e5acc58d9679p-10, 0x1.84d1e0441cbeep-10, 0x1.7b7e9c0c5371dp-10, 0x1.725fe8ec22b1ep-10, 0x1.6974b5382c4a4p-10, 0x1.60bbf44c590bap-10, 0x1.58349e78456abp-10, 0x1.4fddb0ecf922ap-10, 0x1.47b62da9acc5bp-10, 0x1.3fbd1b694fd5ap-10, 0x1.37f1859005d9fp-10, 0x1.30527c18a135bp-10, 0x1.28df1382618b6p-10, 0x1.219664beeb8c2p-10, 0x1.1a778d207fd47p-10, 0x1.1381ae481361fp-10, 0x1.0cb3ee1378ed2p-10, 0x1.060d768c17398p-10, 0x1.ff1aebab3a4a3p-11, 0x1.f2663c393fc09p-11, 0x1.e5fb4b0bf06cdp-11, 0x1.d9d88c3bb7712p-11, 0x1.cdfc7b8e70e53p-11, 0x1.c2659c563cb91p-11, 0x1.b71279510bd1bp-11, 0x1.ac01a488b9a83p-11, 0x1.a131b73301a84p-11, 0x1.96a151927a71p-11, 0x1.8c4f1ad6d01b4p-11, 0x1.8239c0fe68cfep-11, 0x1.785ff8b7f46d7p-11, 0x1.6ec07d44be0f6p-11, 0x1.655a105a87cf5p-11, 0x1.5c2b7a06f2657p-11, 0x1.53338892a340dp-11, 0x1.4a7110640c469p-11, 0x1.41e2ebe40f98dp-11, 0x1.3987fb61e05bap-11, 0x1.315f24f805494p-11, 0x1.2967547122fa6p-11, 0x1.219f7b2da795dp-11, 0x1.1a06900978c16p-11, 0x1.129b8f41e9a1p-11, 0x1.0b5d7a5c5824ep-11, 0x1.044b580d53071p-11, 0x1.fac8683f52fbbp-12, 0x1.ed4e3eb86968bp-12, 0x1.e0265ee351625p-12, 0x1.d34efdba715dfp-12, 0x1.c6c659a5cb53ap-12, 0x1.ba8aba4dfb2f1p-12, 0x1.ae9a706e87ddp-12, 0x1.a2f3d5aa1d6ffp-12, 0x1.97954c5eb9c23p-12, 0x1.8c7d3f7a2941ap-12, 0x1.81aa225057a87p-12, 0x1.771a7070f6ec1p-12, 0x1.6cccad7ec88fap-12, 0x1.62bf650780fadp-12, 0x1.58f12a5c90f49p-12, 0x1.4f60986baeb5bp-12, 0x1.460c5198ba36cp-12, 0x1.3cf2ff980e069p-12, 0x1.34135348f9902p-12, 0x1.2b6c04921c5c5p-12, 0x1.22fbd23d8a61ep-12, 0x1.1ac181d60d69bp-12, 0x1.12bbdf83badc4p-12, 0x1.0ae9bdea9313cp-12, 0x1.0349f60892d14p-12, 0x1.f7b6ce2b249fbp-13, 0x1.e939ecc64b649p-13, 0x1.db1b1e7a3f22ap-13, 0x1.cd584594c9358p-13, 0x1.bfef4fdd59f5ep-13, 0x1.b2de3658e4b8p-13, 0x1.a622fd0f1042ep-13, 0x1.99bbb2d11c216p-13, 0x1.8da67100dd5dep-13, 0x1.81e15b5a5cfbap-13, 0x1.766a9fbd1d43cp-13, 0x1.6b4075f59f061p-13, 0x1.60611f89d7da1p-13, 0x1.55cae7850471fp-13, 0x1.4b7c2246b0621p-13, 0x1.41732d505dba7p-13, 0x1.37ae6f1542c05p-13, 0x1.2e2c56cada6cap-13, 0x1.24eb5c3a5f1a7p-13, 0x1.1be9ff926207fp-13, 0x1.1326c93ab1b6ep-13, 0x1.0aa049a77a246p-13, 0x1.0255192f3daf6p-13, 0x1.f487afbfb9358p-14, 0x1.e4d65aabc6a63p-14, 0x1.d5939124ced26p-14, 0x1.c6bcbfa97bdf6p-14, 0x1.b84f60e76b184p-14, 0x1.aa48fd6c983ffp-14, 0x1.9ca72b5c555acp-14, 0x1.8f678e272c43fp-14, 0x1.8287d64522c5p-14, 0x1.7605c0eb38c23p-14, 0x1.69df17c96c7d1p-14, 0x1.5e11b0c5e2317p-14, 0x1.529b6db9bbae5p-14, 0x1.477a3c31f0982p-14, 0x1.3cac152ea441fp-14, 0x1.322efce564f5fp-14, 0x1.28010283749cdp-14, 0x1.1e203ff554b06p-14, 0x1.148ad9a9e6b25p-14, 0x1.0b3efe58b9fd1p-14, 0x1.023ae6ca8f974p-14, 0x1.f2f9ab45a15ddp-15, 0x1.e2062e53fd289p-15, 0x1.d198023320703p-15, 0x1.c1abe4d11438dp-15, 0x1.b23ea6308c619p-15, 0x1.a34d2809a025ap-15, 0x1.94d45d626d1f1p-15, 0x1.86d14a3564ae9p-15, 0x1.794103151c0a6p-15, 0x1.6c20accf3c8fap-15, 0x1.5f6d7c1b02c31p-15, 0x1.5324b53bb6a8ep-15, 0x1.4743abaf364cbp-15, 0x1.3bc7c1d7fbc4p-15, 0x1.30ae68acc22d3p-15, 0x1.25f51f6d34841p-15, 0x1.1b99734d699e6p-15, 0x1.1198ff3185059p-15, 0x1.07f16b5d15b49p-15, 0x1.fd40da5ce8943p-16, 0x1.eb478daca54e4p-16, 0x1.d9f28e1a134bep-16, 0x1.c93d91a9df9c8p-16, 0x1.b924666a18109p-16, 0x1.a9a2f1eff10fp-16, 0x1.9ab530dd05fcap-16, 0x1.8c57365c0eb0cp-16, 0x1.7e852baae3138p-16, 0x1.713b4f9f6b895p-16, 0x1.6475f63510c9ap-16, 0x1.5831881938279p-16, 0x1.4c6a823b4c804p-16, 0x1.411d7562bd56ap-16, 0x1.364705be9af36p-16, 0x1.2be3ea824ccc3p-16, 0x1.21f0ed7b21a81p-16, 0x1.186aeaabafc0cp-16, 0x1.0f4ecfeade5c4p-16, 0x1.06999c86b15ecp-16, 0x1.fc90c1c47c60ap-17, 0x1.ecb07c3e55ff8p-17, 0x1.dd8ccb7d44b44p-17, 0x1.cf20329b121f8p-17, 0x1.c1655415a5a25p-17, 0x1.b456f132eefd4p-17, 0x1.a7efe953774f1p-17, 0x1.9c2b3951267d1p-17, 0x1.9103fae3e369p-17, 0x1.867564067da58p-17, 0x1.7c7ac66638106p-17, 0x1.730f8ec778e23p-17, 0x1.6a2f447855db5p-17, 0x1.61d588c6e8e57p-17, 0x1.59fe1675d78a2p-17, 0x1.52a4c1322ff65p-17, 0x1.4bc575147b2eep-17, 0x1.455c361cbcef9p-17, 0x1.3f651fb3e6241p-17, 0x1.39dc642f43f65p-17, 0x1.34be4c6000d61p-17, 0x1.300737112c998p-17, 0x1.2bb398a0eb6f1p-17, 0x1.27bffa7b24384p-17, 0x1.2428fac0d4cfp-17, 0x1.20eb4bcce0dd4p-17, 0x1.1e03b3cff7bb6p-17, 0x1.1b6f0c64aab5ep-17, 0x1.192a422c4a5ep-17, 0x1.1732546ec7e0dp-17, 0x1.158454afd1e0dp-17, 0x1.141d665ab34f2p-17, 0x1.12fabe6329785p-17, 0x1.1219a2dd19aafp-17, 0x1.11776ab0766e3p-17, 0x1.11117d413bd14p-17, 0x1.10e5520fef246p-17, 0x1.10f070737fd75p-17, 0x1.11306f38c9d76p-17, 0x1.11a2f45c48501p-17, 0x1.1245b4b6dc66p-17, 0x1.131673b3f9ce1p-17, 0x1.1413030104c08p-17, 0x1.153942412190ep-17, 0x1.16871ed0c8cc6p-17, 0x1.17fa9374cefe2p-17, 0x1.1991a81552e7bp-17, 0x1.1b4a717df385dp-17, 0x1.1d23111863a2dp-17, 0x1.1f19b4ac337bbp-17, 0x1.212c9617f362dp-17, 0x1.2359fb24a0b5bp-17, 0x1.25a03533e44d8p-17, 0x1.27fda10b23c6dp-17, 0x1.2a70a69c65102p-17, 0x1.2cf7b8c71b772p-17, 0x1.2f915522361bfp-17, 0x1.323c03c3c1d51p-17, 0x1.34f6570d073dfp-17, 0x1.37beeb720b067p-17, 0x1.3a9467404b20dp-17, 0x1.3d757a7772823p-17, 0x1.4060de9058c03p-17, 0x1.43555647bb951p-17, }}, 
      {{-0x1.20f4d6c3c0735p-4, -0x1.20a173d9210ccp-4, -0x1.1ff7c3e12e6aep-4, -0x1.1ed7992ec5035p-4, -0x1.1d2212268bc0cp-4, -0x1.1abd1c84e0f84p-4, -0x1.1794f72ecad6cp-4, -0x1.139c8353f9adap-4, -0x1.0eccf0a79454cp-4, -0x1.092518e7f5ff9p-4, -0x1.02a8b962c0793p-4, -0x1.f6bf45572b9d4p-5, -0x1.e6a9d55b5bff8p-5, -0x1.d52c4ef355d71p-5, -0x1.c2656d745c812p-5, -0x1.ae762971426afp-5, -0x1.99808a9cfb379p-5, -0x1.83a6a124f459p-5, -0x1.6d09a8c51f938p-5, -0x1.55c95646915b8p-5, -0x1.3e034e7fed64cp-5, -0x1.25d2c479ea3afp-5, -0x1.0d503b2b0c727p-5, -0x1.e922cccd1cd3fp-6, -0x1.b7524c3d93dd9p-6, -0x1.854f2dea47a41p-6, -0x1.53346665af185p-6, -0x1.2117ff3d5b4c7p-6, -0x1.de1700897d15dp-7, -0x1.7a38c31db1d03p-7, -0x1.16a900c327437p-7, -0x1.66ea4a91b5534p-8, -0x1.4294ab7a7aac7p-9, 0x1.1c3973af3d153p-11, 0x1.cf16bd79b6186p-9, 0x1.aac9ce0affcp-8, 0x1.36a7ab7bacb65p-7, 0x1.97968938b31adp-7, 0x1.f83bb8bdef581p-7, 0x1.2c515db5c661ap-6, 0x1.5c6c0344aefd4p-6, 0x1.8c745d55d6625p-6, 0x1.bc7132d17d9fbp-6, 0x1.ec6966a15ecbep-6, 0x1.0e31f05cdf36ep-5, 0x1.2633bd0db974dp-5, 0x1.3e3d759e3176cp-5, 0x1.56525e2f4513fp-5, 0x1.6e759bbb556dcp-5, 0x1.86aa2dad82a48p-5, 0x1.9ef2e8034d22fp-5, 0x1.b7526de771a41p-5, 0x1.cfcb2cbc0eb68p-5, 0x1.e85f578fc0d68p-5, 0x1.0088717ebe96bp-4, 0x1.0cf0c0bd03392p-4, 0x1.19695009b08f3p-4, 0x1.25f2b1d3dc206p-4, 0x1.328d534c87bf8p-4, 0x1.3f397b8147446p-4, 0x1.4bf74ab996426p-4, 0x1.58c6ba1809535p-4, 0x1.65a79b7fc9442p-4, 0x1.729999bdda2e9p-4, 0x1.7f9c38f4e8af5p-4, 0x1.8caed7497cc08p-4, 0x1.99d0adcba79a2p-4, 0x1.a700d19aa0a9fp-4, 0x1.b43e353e1f488p-4, 0x1.c187aa30b7b4cp-4, 0x1.cedbe2964a1a8p-4, 0x1.dc397318fa6acp-4, 0x1.e99ed4e7506fp-4, 0x1.f70a67cdb6d4p-4, 0x1.023d3a32eea88p-3, 0x1.08f6972b2a298p-3, 0x1.0fb05b4e82fd9p-3, 0x1.16698eefb8ab5p-3, 0x1.1d21335dcba25p-3, 0x1.23d6440a9992bp-3, 0x1.2a87b7ad6f583p-3, 0x1.3134815fa689p-3, 0x1.37db91b190b1p-3, 0x1.3e7bd7b627ecp-3, 0x1.451442042505ep-3, 0x1.4ba3bfab60c78p-3, 0x1.5229411d84ddp-3, 0x1.58a3b9094bb48p-3, 0x1.5f121d27b8eaep-3, 0x1.657366fadc534p-3, 0x1.6bc6947de4a9cp-3, 0x1.720aa8c65ec3p-3, 0x1.783eac96a056bp-3, 0x1.7e61aee1924acp-3, 0x1.8472c5400ca3p-3, 0x1.8a710c581a484p-3, 0x1.905ba836a351p-3, 0x1.9631c49be3d4fp-3, 0x1.9bf2953b54a85p-3, 0x1.a19d55ef90198p-3, 0x1.a7314ae2e0d94p-3, 0x1.acadc0ad24d26p-3, 0x1.b2120c67b219bp-3, 0x1.b75d8bb7f4ec4p-3, 0x1.bc8fa4d17b0d4p-3, 0x1.c1a7c6701e32bp-3, 0x1.c6a567cb0637cp-3, 0x1.cb88088129545p-3, 0x1.d04f307ffc082p-3, 0x1.d4fa6fe4f373bp-3, 0x1.d9895eda74ee6p-3, 0x1.ddfb9d70d04dap-3, 0x1.e250d373cfd6cp-3, 0x1.e688b03d67f59p-3, 0x1.eaa2ea86047fap-3, 0x1.ee9f4032f3f16p-3, 0x1.f27d7623497b6p-3, 0x1.f63d57fbb9d17p-3, 0x1.f9deb7f1b5947p-3, 0x1.fd616e962ae5fp-3, 0x1.0062ad501418ap-2, 0x1.0205305bde441p-2, 0x1.039835a09f74ap-2, 0x1.051bb5149d015p-2, 0x1.068fa9589c212p-2, 0x1.07f40f9ebf22bp-2, 0x1.0948e791f90dep-2, 0x1.0a8e333e200aap-2, 0x1.0bc3f6f8a757fp-2, 0x1.0cea394a10393p-2, 0x1.0e0102d815cd6p-2, 0x1.0f085e5097c6bp-2, 0x1.100058554949cp-2, 0x1.10e8ff6823f2fp-2, 0x1.11c263d89e934p-2, 0x1.128c97b1a48efp-2, 0x1.1347aea84f30dp-2, 0x1.13f3be0b55f26p-2, 0x1.1490dcb3393ecp-2, 0x1.151f22f3192cp-2, 0x1.159eaa8a37ba6p-2, 0x1.160f8e961eaf6p-2, 0x1.1671eb855cbb8p-2, 0x1.16c5df0adb3dp-2, 0x1.170b8811b9b5bp-2, 0x1.174306b1b0461p-2, 0x1.176c7c23edbep-2, 0x1.17880ab862c05p-2, 0x1.1795d5cb7ece7p-2, 0x1.179601bc4a917p-2, 0x1.1788b3e2df606p-2, 0x1.176e128730943p-2, 0x1.174644d822b3bp-2, 0x1.171172e2e5ea9p-2, 0x1.16cfc58a8c4fep-2, 0x1.1681667fddbf8p-2, 0x1.1626803956cdap-2, 0x1.15bf3deb588b3p-2, 0x1.154bcb807c5bp-2, 0x1.14cc55920934p-2, 0x1.1441096088fdcp-2, 0x1.13aa14cc72291p-2, 0x1.1307a64eec1bdp-2, 0x1.1259ecf2a1b04p-2, 0x1.11a1184ca388ep-2, 0x1.10dd58755796ep-2, 0x1.100ede016fa9p-2, 0x1.0f35d9faec4bep-2, 0x1.0e527dda232e9p-2, 0x1.0d64fb7ec9ecfp-2, 0x1.0c6d852905b0fp-2, 0x1.0b6c4d727de76p-2, 0x1.0a61874771993p-2, 0x1.094d65dfce155p-2, 0x1.08301cb848afbp-2, 0x1.0709df8b79d18p-2, 0x1.05dae24afc6f5p-2, 0x1.04a359188c9e7p-2, 0x1.0363783f2f661p-2, 0x1.021b742c5a913p-2, 0x1.00cb816924dacp-2, 0x1.fee7a926f5016p-3, 0x1.fc2944aeb8c8ep-3, 0x1.f95c3ed04804ap-3, 0x1.f68100f3acb93p-3, 0x1.f397f474fda36p-3, 0x1.f0a1829732ad1p-3, 0x1.ed9e147712036p-3, 0x1.ea8e12fe42ffdp-3, 0x1.e771e6d680bb8p-3, 0x1.e449f85ceef07p-3, 0x1.e116af95a0fe8p-3, 0x1.ddd8741f45004p-3, 0x1.da8fad26fe5fcp-3, 0x1.d73cc15c78b6ep-3, 0x1.d3e016e6278bdp-3, 0x1.d07a1355c1dd9p-3, 0x1.cd0b1b9cf6ddap-3, 0x1.c99394025d986p-3, 0x1.c613e016a8584p-3, 0x1.c28c62aa0db11p-3, 0x1.befd7dc208a06p-3, 0x1.bb67928f474bcp-3, 0x1.b7cb0163f61bbp-3, 0x1.b42829aa45c4fp-3, 0x1.b07f69db43201p-3, 0x1.acd11f75f8e3ep-3, 0x1.a91da6f6e16bp-3, 0x1.a5655bcfa8859p-3, 0x1.a1a8985f364c1p-3, 0x1.9de7b5ea164e7p-3, 0x1.9a230c9328a65p-3, 0x1.965af354a85b9p-3, 0x1.928fbff9863a8p-3, 0x1.8ec1c71717397p-3, 0x1.8af15c0712ea6p-3, 0x1.871ed0e1eba4dp-3, 0x1.834a7679795e4p-3, 0x1.7f749c53f3acfp-3, 0x1.7b9d90a749084p-3, 0x1.77c5a054be28fp-3, 0x1.73ed16e4eb886p-3, 0x1.70143e8404c28p-3, 0x1.6c3b5ffe762bap-3, 0x1.6862c2bdd0af1p-3, 0x1.648aacc60a1f5p-3, 0x1.60b362b3084a2p-3, 0x1.5cdd27b677b28p-3, 0x1.59083d95fb21bp-3, 0x1.5534e4a997081p-3, 0x1.51635bda73f3bp-3, 0x1.4d93e0a1e21d2p-3, 0x1.49c6af08ab3e1p-3, 0x1.45fc01a6a3bcdp-3, 0x1.423411a285ba4p-3, 0x1.3e6f16b20a94ap-3, 0x1.3aad471a4e4c5p-3, 0x1.36eed7b067b08p-3, 0x1.3333fbda4526fp-3, 0x1.2f7ce58fc625dp-3, 0x1.2bc9c55c0dd9ep-3, 0x1.281aca5f0c55fp-3, 0x1.2470224f43929p-3, 0x1.20c9f97bbdafep-3, 0x1.1d287ace38df4p-3, 0x1.198bcfcd86519p-3, 0x1.15f420a010ba7p-3, 0x1.1261940e9dc28p-3, 0x1.0ed44f872f248p-3, 0x1.0b4c772017af5p-3, 0x1.07ca2d9b30d46p-3, 0x1.044d94693c30dp-3, 0x1.00d6cbad68457p-3, 0x1.facbe481e9b3bp-4, 0x1.f3f64b6dffaa7p-4, 0x1.ed2d04c0d3aefp-4, 0x1.e670469fb87dap-4, 0x1.dfc044bbd8695p-4, 0x1.d91d305aa5accp-4, 0x1.d287385e8a122p-4, 0x1.cbfe894fb8067p-4, 0x1.c5834d652eb23p-4, 0x1.bf15ac8dddbbcp-4, 0x1.b8b5cc79f180bp-4, 0x1.b263d0a440bb7p-4, 0x1.ac1fda5bdb963p-4, 0x1.a5ea08cdaa929p-4, 0x1.9fc2790e32638p-4, 0x1.99a946236416ep-4, 0x1.939e890e844b9p-4, 0x1.8da258d626753p-4, 0x1.87b4ca902a694p-4, 0x1.81d5f16bce27fp-4, 0x1.7c05debbc6adbp-4, 0x1.7644a2005beffp-4, 0x1.709248f18b01cp-4, 0x1.6aeedf8928cp-4, 0x1.655a700d06996p-4, 0x1.5fd50319107a8p-4, 0x1.5a5e9fa968ca8p-4, 0x1.54f74b247d5e2p-4, 0x1.4f9f096515bb3p-4, 0x1.4a55dcc452efep-4, 0x1.451bc623a8328p-4, 0x1.3ff0c4f6c2f8cp-4, 0x1.3ad4d74d64a1ap-4, 0x1.35c7f9dd2e669p-4, 0x1.30ca280b5640dp-4, 0x1.2bdb5bf64c26ep-4, 0x1.26fb8e7f483dap-4, 0x1.222ab753c691cp-4, 0x1.1d68ccf6e7b82p-4, 0x1.18b5c4cabbcc6p-4, 0x1.141193197391bp-4, 0x1.0f7c2b1e77b88p-4, 0x1.0af57f0f61e15p-4, 0x1.067d8024e1eb8p-4, 0x1.02141ea37cbdep-4, 0x1.fb7293c865343p-5, 0x1.f2d9e0ba0c41fp-5, 0x1.ea5dff52cc439p-5, 0x1.e1fec924ebfabp-5, 0x1.d9bc162e6c087p-5, 0x1.d195bce91692ap-5, 0x1.c98b925a5156cp-5, 0x1.c19d6a22a6e7cp-5, 0x1.b9cb168d11a4cp-5, 0x1.b214689dfff8p-5, 0x1.aa79302214537p-5, 0x1.a2f93bbc9fddp-5, 0x1.9b9458f5d6bcap-5, 0x1.944a5448c3535p-5, 0x1.8d1af930f0428p-5, 0x1.86061237c7dccp-5, 0x1.7f0b6901b54f6p-5, 0x1.782ac65af9189p-5, 0x1.7163f2443cc06p-5, 0x1.6ab6b3feddbc2p-5, 0x1.6422d218ef7dfp-5, 0x1.5da81278fd204p-5, 0x1.57463a69812eap-5, 0x1.50fd0ea418784p-5, 0x1.4acc535c758dcp-5, 0x1.44b3cc4b07e5p-5, 0x1.3eb33cb765c4dp-5, 0x1.38ca678269228p-5, 0x1.32f90f30148e3p-5, 0x1.2d3ef5f12ef02p-5, 0x1.279bddac9f971p-5, 0x1.220f88088820dp-5, 0x1.1c99b6731c979p-5, 0x1.173a2a2b3da29p-5, 0x1.11f0a448d0eb3p-5, 0x1.0cbce5c4dec02p-5, 0x1.079eaf8170094p-5, 0x1.0295c2512ea98p-5, 0x1.fb43bdfd8d161p-6, 0x1.f1858ca825e6bp-6, 0x1.e7f0724212af2p-6, 0x1.de83f084df884p-6, 0x1.d53f8950b4895p-6, 0x1.cc22beb8d8f74p-6, 0x1.c32d130fcb7e9p-6, 0x1.ba5e08f2f0dfp-6, 0x1.b1b52355d5853p-6, 0x1.a931e58d0bec1p-6, 0x1.a0d3d3589411cp-6, 0x1.989a70edfbdap-6, 0x1.90854301f41c3p-6, 0x1.8893ced1a5a83p-6, 0x1.80c59a2b9c096p-6, 0x1.791a2b784a40bp-6, 0x1.719109c23ffafp-6, 0x1.6a29bcbe007b2p-6, 0x1.62e3ccd17f72dp-6, 0x1.5bbec31b46988p-6, 0x1.54ba29794ff27p-6, 0x1.4dd58a8f7fb9fp-6, 0x1.471071cddc194p-6, 0x1.406a6b766e5b2p-6, 0x1.39e304a2daec4p-6, 0x1.3379cb49a4eacp-6, 0x1.2d2e4e4333c95p-6, 0x1.27001d4e90776p-6, 0x1.20eec915d3b94p-6, 0x1.1af9e3325a187p-6, 0x1.1520fe30b4f9bp-6, 0x1.0f63ad94511cbp-6, 0x1.09c185daeb24dp-6, 0x1.043a1c7fc1486p-6, 0x1.fd9a0ffd10f75p-7, 0x1.f2f3bfac4a2fp-7, 0x1.e8807916728e5p-7, 0x1.de3f6f54dfd09p-7, 0x1.d42fd795210ffp-7, 0x1.ca50e91cd7eebp-7, 0x1.c0a1dd4d147f7p-7, 0x1.b721efa569663p-7, 0x1.add05dc69503ep-7, 0x1.a4ac6774c54cep-7, 0x1.9bb54e999db3p-7, 0x1.92ea5745cb104p-7, 0x1.8a4ac7b264e7p-7, 0x1.81d5e841df739p-7, 0x1.798b0380c6da6p-7, 0x1.716966262314cp-7, 0x1.69705f13a4f9bp-7, 0x1.619f3f557ed61p-7, 0x1.59f55a21f80e9p-7, 0x1.527204d8d5204p-7, 0x1.4b149702685fcp-7, 0x1.43dc6a4e7db4fp-7, 0x1.3cc8da92f4fd7p-7, 0x1.35d945ca4afcp-7, 0x1.2f0d0c11bfc3dp-7, 0x1.28638fa775d1cp-7, 0x1.21dc34e83834p-7, 0x1.1b76624d37676p-7, 0x1.15318069813fp-7, 0x1.0f0cf9e753a3ep-7, 0x1.09083b855743cp-7, 0x1.0322b41393758p-7, 0x1.fab7a8e0ba616p-8, 0x1.ef661f0a3166dp-8, 0x1.e44fb48596555p-8, 0x1.d973573d3adf4p-8, 0x1.cecff91c80752p-8, 0x1.c46490084c3a7p-8, 0x1.ba3015d77bd26p-8, 0x1.b031884ae3ac9p-8, 0x1.a667e9054b591p-8, 0x1.9cd23d83353ap-8, 0x1.936f8f1272b26p-8, 0x1.8a3eeac98b4b9p-8, 0x1.813f617f2152dp-8, 0x1.787007c10b96ep-8, 0x1.6fcff5cb5ff2ap-8, 0x1.675e477f724dap-8, 0x1.5f1a1c5a9a78dp-8, 0x1.5702976ce84f4p-8, 0x1.4f16df4fd987fp-8, 0x1.47561e1cd3da8p-8, 0x1.3fbf8163b9524p-8, 0x1.38523a2147fd8p-8, 0x1.310d7cb573245p-8, 0x1.29f080d9c0b79p-8, 0x1.22fa819789c28p-8, 0x1.1c2abd3e3eccep-8, 0x1.158075598fcf4p-8, 0x1.0efaeea7a432ap-8, 0x1.0899710f45dd9p-8, 0x1.025b4796057fap-8, 0x1.f87f80ace3721p-9, 0x1.ec8c58ec63a85p-9, 0x1.e0dbc0383ebep-9, 0x1.d56c64cd220d7p-9, 0x1.ca3cfac2ca8cp-9, 0x1.bf4c3bf8ad14dp-9, 0x1.b498e80235fe5p-9, 0x1.aa21c41366b2bp-9, 0x1.9fe59aed3f7dfp-9, 0x1.95e33ccaa0b46p-9, 0x1.8c197f4cd6479p-9, 0x1.82873d6869b99p-9, 0x1.792b5751f650dp-9, 0x1.7004b26b40499p-9, 0x1.6712393033d27p-9, 0x1.5e52db242706bp-9, 0x1.55c58cbf341d6p-9, 0x1.4d69475b8a96cp-9, 0x1.453d09231efd1p-9, 0x1.3d3fd4fd2bebap-9, 0x1.3570b27c4213p-9, 0x1.2dceadcc15d05p-9, 0x1.2658d79f9dd45p-9, 0x1.1f0e451f5d23ap-9, 0x1.17ee0fd7b3d89p-9, 0x1.10f755a783c5fp-9, 0x1.0a2938aef0af7p-9, 0x1.0382df3e102edp-9, 0x1.fa06e7884b8b2p-10, 0x1.ed54497d3d83bp-10, 0x1.e0ec4951271c7p-10, 0x1.d4cd53d47a5ebp-10, 0x1.c8f5dd916b419p-10, 0x1.bd6462ab7ba62p-10, 0x1.b21766bf9d11fp-10, 0x1.a70d74c4b9ff4p-10, 0x1.9c451eec4a6edp-10, 0x1.91bcfe83bf865p-10, 0x1.8773b3d5c8e6bp-10, 0x1.7d67e60c0bb9cp-10, 0x1.7398431178804p-10, 0x1.6a037f74fd33p-10, 0x1.60a8564c111bep-10, 0x1.5785891692743p-10, 0x1.4e99dfa1a22e6p-10, 0x1.45e427ec457c1p-10, 0x1.3d63360b5b115p-10, 0x1.3515e40e8edbfp-10, 0x1.2cfb11e54dba9p-10, 0x1.2511a5444a718p-10, 0x1.1d58898b41ac9p-10, 0x1.15ceafaaec2a9p-10, 0x1.0e730e0bceb57p-10, 0x1.0744a074cb0eap-10, 0x1.004267f2b11b6p-10, 0x1.f2d6d57ee7f2p-11, 0x1.e57d6854a9054p-11, 0x1.d876a8ffbb5b1p-11, 0x1.cbc0c1e59cb37p-11, 0x1.bf59e709bea88p-11, 0x1.b34055e042ebcp-11, 0x1.a772552136f6bp-11, 0x1.9bee349c9dc54p-11, 0x1.90b24d0e77fdbp-11, 0x1.85bcfff4b1944p-11, 0x1.7b0cb7650b622p-11, 0x1.709fe5e389d0cp-11, 0x1.667506398f1b8p-11, 0x1.5c8a9b4ddb406p-11, 0x1.52df2ffd2c0b5p-11, 0x1.497156f3227c1p-11, 0x1.403faa846693ep-11, 0x1.3748cc88dbccdp-11, 0x1.2e8b6636a93cfp-11, 0x1.260627fdb89d9p-11, 0x1.1db7c963d97b9p-11, 0x1.159f08e1f638dp-11, 0x1.0dbaabc1389d5p-11, 0x1.06097df93c2ccp-11, 0x1.fd14a41c770fp-12, 0x1.ee7801e1041c2p-12, 0x1.e03ad3b7d034p-12, 0x1.d25ae4708e45ep-12, 0x1.c4d60af3e3e31p-12, 0x1.b7aa2a06fa077p-12, 0x1.aad5300e8739fp-12, 0x1.9e5516d3af66ap-12, 0x1.9227e349c7277p-12, 0x1.864ba55562f6fp-12, 0x1.7abe779455fb1p-12, 0x1.6f7e7f262827ap-12, 0x1.6489eb76645b4p-12, 0x1.59def6072e184p-12, 0x1.4f7be23d1209cp-12, 0x1.455efd2b6466bp-12, 0x1.3b869d62d7af1p-12, 0x1.31f122bf139b7p-12, 0x1.289cf636de795p-12, 0x1.1f8889ac1ca5ep-12, 0x1.16b257bd822d8p-12, 0x1.0e18e3983a83dp-12, 0x1.05bab8cb22da3p-12, 0x1.fb2cd6359f26fp-13, 0x1.eb552cabe6e33p-13, 0x1.dbebbc560155p-13, 0x1.cceddbfd157afp-13, 0x1.be58f18439db1p-13, 0x1.b02a719813907p-13, 0x1.a25fdf60341abp-13, 0x1.94f6cc31cba64p-13, 0x1.87ecd744b41c6p-13, 0x1.7b3fad682ebd2p-13, 0x1.6eed08bab6c0cp-13, 0x1.62f2b061f8e79p-13, 0x1.574e7844b8a19p-13, 0x1.4bfe40c6306a5p-13, 0x1.40fff6836b729p-13, 0x1.36519210fddd1p-13, 0x1.2bf117b98156fp-13, 0x1.21dc973ebf22cp-13, 0x1.18122b9abc6a1p-13, 0x1.0e8ffac38f074p-13, 0x1.0554356f35037p-13, 0x1.f8ba2db309dp-14, 0x1.e751c914a49d1p-14, 0x1.d66bdc3a53214p-14, 0x1.c6051a14c37b9p-14, 0x1.b61a48e125186p-14, 0x1.a6a841c078ac2p-14, 0x1.97abf04edcefcp-14, 0x1.8922523ef0ebfp-14, 0x1.7b0876f5fe394p-14, 0x1.6d5b7f2918ca5p-14, 0x1.60189c7f93a8fp-14, 0x1.533d11329378bp-14, 0x1.46c62fb440a74p-14, 0x1.3ab15a5465065p-14, 0x1.2efc02e9583d4p-14, 0x1.23a3aa788953ep-14, 0x1.18a5e0e383946p-14, 0x1.0e004493df436p-14, 0x1.03b0822b690c3p-14, 0x1.f368a86736cfep-15, 0x1.e01305a2f5b68p-15, 0x1.cd5bc6efb683cp-15, 0x1.bb3eb13d66839p-15, 0x1.a9b7a2f1d1a97p-15, 0x1.98c2935a0806ap-15, 0x1.885b9220b8e7cp-15, 0x1.787ec6c25903ep-15, 0x1.692870086c0d5p-15, 0x1.5a54e38705b64p-15, 0x1.4c008d1ce7678p-15, 0x1.3e27ee736f205p-15, 0x1.30c79e850ad52p-15, 0x1.23dc4925bc58ep-15, 0x1.1762ae8940b63p-15, 0x1.0b57a2d4aca34p-15, 0x1.ff701b510165ep-16, 0x1.e901d36d35801p-16, 0x1.d35e88a42dbaep-16, 0x1.be807a1262675p-16, 0x1.aa620a7404974p-16, 0x1.96fdbf5dd0b84p-16, 0x1.844e4076ba133p-16, 0x1.724e56b1f4b15p-16, 0x1.60f8eb93840bep-16, 0x1.5049087646eb1p-16, 0x1.4039d5d5156b1p-16, 0x1.30c69a98c9212p-16, 0x1.21eabb6ae246ep-16, 0x1.13a1ba06e4506p-16, 0x1.05e73493079cp-16, 0x1.f16dca0838492p-17, 0x1.d81940e8bf39dp-17, 0x1.bfc8ad21007adp-17, 0x1.a87421eae472fp-17, 0x1.9213e541f2dddp-17, 0x1.7ca06eb6bdefp-17, 0x1.68126650b27b5p-17, 0x1.5462a37bd30d6p-17, 0x1.418a2bebaea16p-17, 0x1.2f823298cc812p-17, 0x1.1e4416b1b1b2cp-17, 0x1.0dc962a37658cp-17, 0x1.fc17962e3ff23p-18, 0x1.de0a5bee5f558p-18, 0x1.c15f2310f62f8p-18, 0x1.a60a46f72e593p-18, 0x1.8c007002cbdf2p-18, 0x1.733691e799ed1p-18, 0x1.5ba1e9d9ac467p-18, 0x1.4537fcf540f3ap-18, 0x1.2fee9689277c7p-18, 0x1.1bbbc682be9ffp-18, 0x1.0895dfd2adcf1p-18, 0x1.ece6edd0174p-19, 0x1.ca96c05201477p-19, 0x1.aa295cfd1b243p-19, 0x1.8b8d63bc60424p-19, 0x1.6eb1ebd4abef6p-19, 0x1.5386810179e6bp-19, 0x1.39fb20d504d69p-19, 0x1.220038182a1a4p-19, 0x1.0b86a02098e75p-19, 0x1.ecff38c7309fp-20, 0x1.c5b9afbd8b3e4p-20, 0x1.a120c581eaf87p-20, 0x1.7f19601ad9e92p-20, 0x1.5f892694825a8p-20, 0x1.42567c670142p-20, 0x1.27687d1ed59fdp-20, 0x1.0ea6f7f18bb1ep-20, 0x1.eff4d6f3c9f0ep-21, 0x1.c6980393a2c0cp-21, 0x1.a10b186a81ebfp-21, 0x1.7f22fecc41c1p-21, 0x1.60b5deec0e7a7p-21, 0x1.459b186ce1fc4p-21, 0x1.2dab3a8a3591bp-21, 0x1.18bffd92a370cp-21, 0x1.06b43b1aa1a3cp-21, 0x1.eec7ceacba8e8p-22, 0x1.d55814da1ba13p-22, 0x1.c0d573da8480ap-22, 0x1.b0fe23b086d1dp-22, 0x1.a5925de225896p-22, 0x1.9e544fab1ce69p-22, 0x1.9b080ee7728d8p-22, 0x1.9b738dc0d3861p-22, 0x1.9f5e8f36b3516p-22, 0x1.a6929c3fdb07bp-22, 0x1.b0daf7cc211ap-22, 0x1.be0494af36f76p-22, 0x1.cdde0a71bd76p-22, 0x1.e0378b426d79fp-22, 0x1.f4e2da0d775fcp-22, 0x1.05d99fee830d7p-21, 0x1.123ec14f93ef4p-21, 0x1.1f8bee0075d3cp-21, 0x1.2dacf7b39d899p-21, 0x1.3c8e60d0822fbp-21, 0x1.4c1d57a8d6154p-21, 0x1.5c47b26d461f2p-21, 0x1.6cfbeabce90e6p-21, 0x1.7e2919a1b8d9fp-21, 0x1.8fbef361366ap-21, 0x1.a1adc3ce4108bp-21, 0x1.b3e66a4cb56aap-21, 0x1.c65a55dc00d5p-21, 0x1.d8fb818016ba9p-21, 0x1.ebbc70b1291cep-21, 0x1.fe902bb643929p-21, 0x1.08b51e1b83602p-20, 0x1.121f54e8f4374p-20, 0x1.1b80fb86d65ebp-20, 0x1.24d48ef020e2cp-20, 0x1.2e14c644e7b3p-20, 0x1.373c91470d895p-20, 0x1.404716d8d6961p-20, 0x1.492fb37d1a394p-20, 0x1.51f1f7e57d3c9p-20, 0x1.5a89a788316eap-20, 0x1.62f2b75972d3ap-20, 0x1.6b294c4ee7555p-20, 0x1.7329ba37f0dap-20, 0x1.7af0824dc031cp-20, 0x1.827a5205c7c48p-20, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      63, 0x1.c99999999999ap+2, 0x1.e56b53e41a34fp-4, -0x1.52431dc9c7a23p+0, -0x1.185bd71283e54p-3, 
      {{
        {0x1.01eb851eb851fp+2, 0x1.0333333333333p+2, 0x1.d4466b0da3cb1p-6, -0x1.414ca01781821p-6, 0x1.309e6fcec99c7p-10, 0x1.64bf6656cf8e1p-10}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.cddb5c6391ff9p-6, -0x1.4082d1d8a2347p-6, 0x1.460614ab09435p-10, 0x1.6468a11887c55p-10}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.bde292dc72924p-6, -0x1.3e4e69a43baeep-6, 0x1.7b7c2cd51da07p-10, 0x1.63f81e0ca6374p-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.ae0824f658645p-6, -0x1.3bc4852fef6b9p-6, 0x1.b0e1648a36902p-10, 0x1.639bb927702dfp-10}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.9e50584523f2ep-6, -0x1.38e53d1273f26p-6, 0x1.e638c05020fd3p-10, 0x1.62ecc552ee3ep-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8ebf710c4e111p-6, -0x1.35b0b160ac594p-6, 0x1.0dbaeef4af298p-9, 0x1.56889c2a9e9b9p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.7f59aba18e5b6p-6, -0x1.322873c1ea2a2p-6, 0x1.276b9444ae41ep-9, 0x1.47ce8d9848266p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.702323162e562p-6, -0x1.2e4fc5471ad55p-6, 0x1.4001787ce6de5p-9, 0x1.3995c65edbb11p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.611fc6b22a601p-6, -0x1.2a2a1f3d195d3p-6, 0x1.57864dc404257p-9, 0x1.2b3a5b4600937p-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.525359b9192f6p-6, -0x1.25baef9574c08p-6, 0x1.6df77b02ddca1p-9, 0x1.1ce838511d1b8p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.43c1736a2bcd8p-6, -0x1.2105a74cbe017p-6, 0x1.8355b26f59927p-9, 0x1.0e9398accc8ddp-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.356d7f002d9adp-6, -0x1.1c0db68eca11fp-6, 0x1.97a0c4491c1dp-9, 0x1.003fa3a1d0f6bp-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.275abbb1844c2p-6, -0x1.16d68dbf5c0f9p-6, 0x1.aad8bd5ba562bp-9, 0x1.e3d701c1738e3p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.198c3cb02fec4p-6, -0x1.11639d333a8bdp-6, 0x1.bcfd9a394ceb7p-9, 0x1.c72ed4be611e2p-11}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0c04e929cadbbp-6, -0x1.0bb8554330151p-6, 0x1.ce0f5bcd3d5c7p-9, 0x1.aa86a12ab5b85p-11}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.fd8ef88f139ffp-7, -0x1.05d82646f3caep-6, 0x1.de0e01d870f9bp-9, 0x1.8dde6f59a3ea9p-11}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.e3ad0a5c77a7fp-7, -0x1.ff8d012d0d343p-7, 0x1.ecf98c6bcd85ap-9, 0x1.71363d0fab95cp-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ca68cdfc94901p-7, -0x1.f30da913ab4e8p-7, 0x1.fad1fb82ca5b5p-9, 0x1.548e0ae6545cp-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b1c6b1a771c4ap-7, -0x1.e63924f1a6c43p-7, 0x1.03cba78f505c4p-8, 0x1.37e5d8b3c3229p-11}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.99cacb8c4b5c7p-7, -0x1.d9165576e1a85p-7, 0x1.09a4c39f7c04ep-8, 0x1.1b3da68467a7cp-11}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.8278d9d192195p-7, -0x1.cbac1b533ec4cp-7, 0x1.0ef451f1f79p-8, 0x1.fd2ae8a6878ap-12}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.6bd44294eb679p-7, -0x1.be015736a0b8p-7, 0x1.13ba5286ba6eep-8, 0x1.c3da844729286p-12}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.55e013eb315e7p-7, -0x1.b01ce9d0ea2aep-7, 0x1.17f6c55dcb9e7p-8, 0x1.8a8a1fe533988p-12}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.409f03e072c06p-7, -0x1.a205b3d1fdc12p-7, 0x1.1ba9aa7724e72p-8, 0x1.5139bb8582395p-12}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.2c137077f2facp-7, -0x1.93c295e9be233p-7, 0x1.1ed301d2cbb94p-8, 0x1.17e95723eb892p-12}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.183f5fac2a25dp-7, -0x1.855a70c80df5p-7, 0x1.2172cb70bb881p-8, 0x1.bd31e5879879ep-13}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.05247f6ec5043p-7, -0x1.76d4251ccfdf4p-7, 0x1.23890750f7d8bp-8, 0x1.4a911cc52704p-13}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.e5884b514a07ep-8, -0x1.68369397e6869p-7, 0x1.2515b5737e078p-8, 0x1.afe0a808bafe8p-14}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.c23ea073c07acp-8, -0x1.59889ce93492ap-7, 0x1.2618d5d850115p-8, 0x1.953e2d09c26c4p-15}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.a06d49f382e9dp-8, -0x1.4ad121c09ca8p-7, 0x1.2692687f6c987p-8, -0x1.aa27afd93a01bp-18}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.8014e36d90316p-8, -0x1.3c1702ce016e3p-7, 0x1.26826d68d4731p-8, -0x1.ffc819013e974p-15}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6135586d50846p-8, -0x1.2d6120c14589ap-7, 0x1.25e8e4948746bp-8, -0x1.e5259e04106c6p-14}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.43cde46c956b8p-8, -0x1.1eb65c4a4ba29p-7, 0x1.24c5ce0284d67p-8, -0x1.653397c348052p-13}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.27dd12d399c48p-8, -0x1.101d9618f65eep-7, 0x1.231929b2cdb34p-8, -0x1.d7d46084dcc72p-13}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.0d60bef901c4bp-8, -0x1.019daedd28644p-7, 0x1.20e2f7a561771p-8, -0x1.253a94a318192p-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.e8ac2843b5eafp-9, -0x1.e67b0e8d88b04p-8, 0x1.1e2337da40707p-8, -0x1.5e8af90412256p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b9731b03386d8p-9, -0x1.ca08000b59c61p-8, 0x1.1ad9ea5169de8p-8, -0x1.97db5d648d29ap-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.8d0dec744b7b7p-9, -0x1.adeff39389555p-8, 0x1.17070f0adef22p-8, -0x1.d12bc1c5599a1p-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.6372d2b7822aep-9, -0x1.9240aa85dca39p-8, 0x1.12aaa6069ee7dp-8, -0x1.053e13131d4a6p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.3c96a3ca42401p-9, -0x1.7707e64219043p-8, 0x1.0dc4af44a98e7p-8, -0x1.21e645435c347p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.186cd586c4275p-9, -0x1.5c53682803bf5p-8, 0x1.08552ac4ffd3fp-8, -0x1.3e8e7773fd9f4p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.edcefb4825f54p-10, -0x1.4230f1976229bp-8, 0x1.025c18879fdf5p-8, -0x1.5b36a9a3e9c36p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.afeea36c18fb6p-10, -0x1.28ae43eff983ep-8, 0x1.f7b2f1191a2ddp-9, -0x1.77dedbd4e4ce7p-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.77174e5ac243bp-10, -0x1.0fd920918f23bp-8, 0x1.e99a95a784cc3p-9, -0x1.94870e04b72b4p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.4324e6af2804ap-10, -0x1.ef7e91b7d0b4p-9, 0x1.da6f1eba8aba9p-9, -0x1.b12f40355e7dbp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.13f096bdf5cdep-10, -0x1.c0dcfc5d94c4ap-9, 0x1.ca308c5223fc7p-9, -0x1.cdd77265af4f2p-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.d2a1912af90a8p-11, -0x1.93e903d3f52dbp-9, 0x1.b8dede6e53cffp-9, -0x1.ea7fa495f03aap-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.86324bfb64d08p-11, -0x1.68be2ada7c72fp-9, 0x1.a67a150f1acdbp-9, -0x1.0393eb637ae9ep-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.423530f06614p-11, -0x1.3f77f430b56d4p-9, 0x1.9302303471958p-9, -0x1.11e8047a5f585p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.064692807eae8p-11, -0x1.1831e29629c97p-9, 0x1.7e772fde773bdp-9, -0x1.203c1d973438p-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.a3fa852af64ep-12, -0x1.e60ef194ceadep-10, 0x1.68d9140cb9b7ap-9, -0x1.2e90369ea914fp-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.49d52518e555fp-12, -0x1.a0287319da2a3p-10, 0x1.5227dcc0d36fcp-9, -0x1.3ce44ff475f2fp-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.fa694cd71c841p-13, -0x1.5ee74f3ae1672p-10, 0x1.3a6389f4e430dp-9, -0x1.4b3868275b327p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.7a4b53549458p-13, -0x1.22828b75b7a53p-10, 0x1.218c1bbebd596p-9, -0x1.598c8497273a7p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.11539c860f17fp-13, -0x1.d6625a9c4942dp-11, 0x1.07a191cd00cebp-9, -0x1.67e09135b7597p-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.7adeca2929081p-14, -0x1.7254746369213p-11, 0x1.d947da9ebfb6bp-10, -0x1.7634d8dd346fp-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.f1d79dd95bfp-15, -0x1.19496fc1dbe5p-11, 0x1.a12653b0c4a66p-10, -0x1.84884431832c2p-10}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.30a16fbacebp-15, -0x1.975eab9aa7f26p-12, 0x1.66deafdc8a92fp-10, -0x1.92dee5ca867d3p-10}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.518fc471927ffp-16, -0x1.13e87145f48b6p-12, 0x1.2a7073caf665ap-10, -0x1.a1298aa249423p-10}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.427f13285ap-17, -0x1.521822b5d6733p-13, 0x1.d7bad798706b5p-11, -0x1.afa0ec3bffdb8p-10}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.e25de1a2b8p-19, -0x1.5e99a0cff6ca6p-14, 0x1.563dc3ecd6dd3p-11, -0x1.bd71578e96acbp-10}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.bfbb024a08p-21, -0x1.04853be0ce721p-15, 0x1.a137868420209p-12, -0x1.cdb0df3b410ep-10}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.de8eaf5e1dc0fp-25, -0x1.2c6c05c43759dp-18, 0x1.18679ac12565ap-13, -0x1.c6eeacbdd833ep-10}, 
      }}, 
      0x1.f57366f748c2p-8, 0x1.3638a6e5a3001p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.80b10787ef868p-5, -0x1.302a1df4c3024p-5, -0x1.d82fac65bc221p-6, -0x1.bf0981ba64c2ep-6, -0x1.1face394a49bdp-5, -0x1.ae2a3ba95dc2ap-5, -0x1.3f51cad1fddd5p-4, -0x1.be52909bdf819p-4, -0x1.2419f3d2e49cdp-3, -0x1.6890a8ca3009p-3, -0x1.a7390ab610111p-3, -0x1.dba43c126ef43p-3, -0x1.01352e2846cf9p-2, -0x1.0c965fcbd6921p-2, -0x1.0f4245768e3e5p-2, -0x1.08f31f958f004p-2, -0x1.f3801b6b153bep-3, -0x1.c4173d72ba68ap-3, -0x1.84e5ee4dcec96p-3, -0x1.377ca63b86cf7p-3, -0x1.bb4cd4fe612b2p-4, -0x1.e54440f6a0b07p-5, -0x1.8f26b15559869p-8, 0x1.9b98739c4a4b6p-5, 0x1.bdc0f244397bbp-4, 0x1.59a20ffdc4356p-3, 0x1.d5770795e3787p-3, 0x1.28684333cc001p-2, 0x1.6523e5358dfc4p-2, 0x1.a04fd50b07e75p-2, 0x1.d9625ebeffcb7p-2, 0x1.07f321b8366cp-1, 0x1.21bcf5db359f4p-1, 0x1.39e723a105203p-1, 0x1.5052c5c5b6fa6p-1, 0x1.64e8dfbd99d8fp-1, 0x1.7799a527874ccp-1, 0x1.885bbaf1414f6p-1, 0x1.972b7d0c076b6p-1, 0x1.a40a4cb064b12p-1, 0x1.aefde8fd71bdbp-1, 0x1.b80fcf5a94b19p-1, 0x1.bf4caba1f6938p-1, 0x1.c4c3d4e92bbd2p-1, 0x1.c886d256b924bp-1, 0x1.caa8eabdcd33fp-1, 0x1.cb3ec4becb1bfp-1, 0x1.ca5e0df358497p-1, 0x1.c81d288a767dep-1, 0x1.c492e1ca6d4d9p-1, 0x1.bfd633ea4abc1p-1, 0x1.b9fe1185b7b72p-1, 0x1.b321364b40747p-1, 0x1.ab55fd4ea831p-1, 0x1.a2b23c133f1e7p-1, 0x1.994b27ab1c819p-1, 0x1.8f353ea1bb1cdp-1, 0x1.8484374da70bep-1, 0x1.794af280f9d3ep-1, 0x1.6d9b702bdc8a4p-1, 0x1.6186c73f0e0e7p-1, 0x1.551d21b21ed8ep-1, 0x1.486dba787b202p-1, 0x1.3b86dee504085p-1, 0x1.2e75f0b3b81ecp-1, 0x1.21476a51f4addp-1, 0x1.1406e43bec677p-1, 0x1.06bf1a0ab3362p-1, 0x1.f2f3e4ec9f9e4p-2, 0x1.d8810bdd5e6bp-2, 0x1.be364facc036ap-2, 0x1.a422dcc2ae4p-2, 0x1.8a547706591a2p-2, 0x1.70d78db8f8481p-2, 0x1.57b74b67d63cep-2, 0x1.3efda997756bap-2, 0x1.26b381415f445p-2, 0x1.0ee09cf3f8e52p-2, 0x1.ef179392f8631p-3, 0x1.c175cddd41e69p-3, 0x1.94e5edb7e108ep-3, 0x1.69705b34d3081p-3, 0x1.3f1bffb0b0b17p-3, 0x1.15ee627323a37p-3, 0x1.dbd788adce047p-4, 0x1.8e2e6da08a35dp-4, 0x1.42e56f4bc9b73p-4, 0x1.f3fd19f71ca7p-5, 0x1.66f3ecb81f256p-5, 0x1.bd58d58410b5dp-6, 0x1.6c829e35e0fa6p-7, -0x1.1dbfcc8637f57p-8, -0x1.3bd10af9e8971p-6, -0x1.137e385154fccp-5, -0x1.84883d5ecdd67p-5, -0x1.f1177b0b2236fp-5, -0x1.2c9f2bb893b5p-4, -0x1.5e88477060a28p-4, -0x1.8e5180b82c574p-4, -0x1.bc05c565df2b7p-4, -0x1.e7b06e0861e39p-4, -0x1.08ae95b3a00ddp-3, -0x1.1c8bfac5156bap-3, -0x1.2f767eb149d7bp-3, -0x1.417450489d302p-3, -0x1.528bac7236017p-3, -0x1.62c2d9d19b336p-3, -0x1.722023b903b2dp-3, -0x1.80a9d45586133p-3, -0x1.8e6630b1ca5ep-3, -0x1.9b5b760bbcc7p-3, -0x1.a78fd36ec3fb4p-3, -0x1.b3096aea0dc44p-3, -0x1.bdce4ab559926p-3, -0x1.c7e46ba7ba154p-3, -0x1.d151b17a33fa6p-3, -0x1.da1be601c4cb6p-3, -0x1.e248b8817196bp-3, -0x1.e9ddbcf19e17cp-3, -0x1.f0e069250bd6p-3, -0x1.f75615e207364p-3, -0x1.fd43fc8ba500ep-3, -0x1.01579b49b4158p-2, -0x1.03ce5ed4f48d9p-2, -0x1.0608b5ce72003p-2, -0x1.0808fc25f6296p-2, -0x1.09d17dc70390bp-2, -0x1.0b64763016a52p-2, -0x1.0cc4107cc03b5p-2, -0x1.0df2676f4db18p-2, -0x1.0ef185da51b23p-2, -0x1.0fc36672cff99p-2, -0x1.1069f442382c8p-2, -0x1.10e70a4f7bb03p-2, -0x1.113c75233c67ep-2, -0x1.116bf1a2fe29p-2, -0x1.11772dd62a35dp-2, -0x1.115fc9cc989ffp-2, -0x1.1127573ef8ac6p-2, -0x1.10cf59a800cd5p-2, -0x1.1059478a61027p-2, -0x1.0fc68a05ef5b1p-2, -0x1.0f187d49c74dep-2, -0x1.0e507126a6e12p-2, -0x1.0d6fa93e683a9p-2, -0x1.0c775d5c620dbp-2, -0x1.0b68b9e310c77p-2, -0x1.0a44e005df627p-2, -0x1.090ce6318d033p-2, -0x1.07c1d883e5a28p-2, -0x1.0664b8c412cebp-2, -0x1.04f67f0c67c3p-2, -0x1.037819e011801p-2, -0x1.01ea6eeedcbbfp-2, -0x1.004e5ac4afcccp-2, -0x1.fd49627637e46p-3, -0x1.f9dc7ccba9d97p-3, -0x1.f6578c3c4a2bp-3, -0x1.f2bc09132ee91p-3, -0x1.ef0b5cd5ff28dp-3, -0x1.eb46e2c369096p-3, -0x1.e76fe8a12fdfbp-3, -0x1.e387aeb923846p-3, -0x1.df8f685db6b0cp-3, -0x1.db883cc68dff6p-3, -0x1.d773478f85514p-3, -0x1.d35198cd43c8ep-3, -0x1.cf2435728cd45p-3, -0x1.caec17bcab5e7p-3, -0x1.c6aa3062776e9p-3, -0x1.c25f65e72b9bcp-3, -0x1.be0c957ec5296p-3, -0x1.b9b293500e1e9p-3, -0x1.b5522ab6f5a66p-3, -0x1.b0ec1ef5208b6p-3, -0x1.ac812b3ebcccbp-3, -0x1.a81202dbf3bbdp-3, -0x1.a39f51b039e18p-3, -0x1.9f29bc74dd4b1p-3, -0x1.9ab1e14428707p-3, -0x1.9638577f62335p-3, -0x1.91bdaff9021cep-3, -0x1.8d4275a3c5bcdp-3, -0x1.88c72d67158a7p-3, -0x1.844c569fb789cp-3, -0x1.7fd26b41f236cp-3, -0x1.7b59dffdd28e6p-3, -0x1.76e3246a2b7dp-3, -0x1.726ea34cb862bp-3, -0x1.6dfcc2ca43ebbp-3, -0x1.698de480a64eep-3, -0x1.652265df42c2fp-3, -0x1.60baa010836a1p-3, -0x1.5c56e821345d8p-3, -0x1.57f78f660fa68p-3, -0x1.539ce384e0202p-3, -0x1.4f472e679703ap-3, -0x1.4af6b6b0141a1p-3, -0x1.46abbfa5ffa42p-3, -0x1.4266894f82425p-3, -0x1.3e275083f5276p-3, -0x1.39ee4f4bd28b8p-3, -0x1.35bbbcbf16b22p-3, -0x1.318fcd2d65452p-3, -0x1.2d6ab23b5b095p-3, -0x1.294c9af8d7e5p-3, -0x1.2535b3f4814c4p-3, -0x1.2126274874687p-3, -0x1.1d1e1ce3553a9p-3, -0x1.191dba548b4abp-3, -0x1.1525231655273p-3, -0x1.11347873beb6bp-3, -0x1.0d4bd9bf1625dp-3, -0x1.096b645683f0ep-3, -0x1.059333c143f75p-3, -0x1.01c36173a4dddp-3, -0x1.fbf80b41850eep-4, -0x1.f47a6ca482bf4p-4, -0x1.ed0e101b6bbb4p-4, -0x1.e5b31ba5db2f5p-4, -0x1.de69b1f6e51c1p-4, -0x1.d731f2e63a1dp-4, -0x1.d00bfb7cd1a6p-4, -0x1.c8f7e5faac3c8p-4, -0x1.c1f5c9d5a866ep-4, -0x1.bb05bbe3f1d8dp-4, -0x1.b427ce8474363p-4, -0x1.ad5c11993883fp-4, -0x1.a6a292d00d5fdp-4, -0x1.9ffb5da64e92ap-4, -0x1.99667ad14170dp-4, -0x1.92e3f1aa89034p-4, -0x1.8c73c6f745825p-4, -0x1.8615fdcfd3df2p-4, -0x1.7fca971d4c71ap-4, -0x1.7991920c5485bp-4, -0x1.736aec1eebc9fp-4, -0x1.6d56a0faca2dap-4, -0x1.6754aaa90676ep-4, -0x1.616501936478ap-4, -0x1.5b879c8c84a74p-4, -0x1.55bc710f1557ap-4, -0x1.500372db05c22p-4, -0x1.4a5c94919b242p-4, -0x1.44c7c75cd3cd6p-4, -0x1.3f44fb0d8c1d3p-4, -0x1.39d41ea1a2fbfp-4, -0x1.34751f1516892p-4, -0x1.2f27e9203a37ep-4, -0x1.29ec67d9fb3f7p-4, -0x1.24c285602967dp-4, -0x1.1faa2ad170619p-4, -0x1.1aa3406f6f142p-4, -0x1.15adad65dbd7ep-4, -0x1.10c9580f05c24p-4, -0x1.0bf625f39009cp-4, -0x1.0733fb9ae4c23p-4, -0x1.0282bd0493d44p-4, -0x1.fbc49a2f670fep-5, -0x1.f2a51d10715bbp-5, -0x1.e9a6c5d415d85p-5, -0x1.e0c9569c42762p-5, -0x1.d80c9089ee55bp-5, -0x1.cf703345301dfp-5, -0x1.c6f3fd1b1158dp-5, -0x1.be97ac692cb02p-5, -0x1.b65afdb3b3e1cp-5, -0x1.ae3dac1682fcbp-5, -0x1.a63f72e2806a3p-5, -0x1.9e600c05fec47p-5, -0x1.969f30d5d58ddp-5, -0x1.8efc99d1bf0bap-5, -0x1.8777fec4231f4p-5, -0x1.801117467e239p-5, -0x1.78c7999eb7f5ap-5, -0x1.719b3c2c3c132p-5, -0x1.6a8bb4d841a7fp-5, -0x1.6398b8a9d0f44p-5, -0x1.5cc1fcb4f19adp-5, -0x1.560735bffaed4p-5, -0x1.4f68175a4293fp-5, -0x1.48e45620cec03p-5, -0x1.427ba58d471eep-5, -0x1.3c2db90f37335p-5, -0x1.35fa4492e6c89p-5, -0x1.2fe0fb0548231p-5, -0x1.29e19007dfcfcp-5, -0x1.23fbb6660d966p-5, -0x1.1e2f21ab67a53p-5, -0x1.187b847620a99p-5, -0x1.12e09231a3909p-5, -0x1.0d5dfe18c1bbap-5, -0x1.07f37b73abfcap-5, -0x1.02a0be5ffcbc4p-5, -0x1.facaf45d5e61dp-6, -0x1.f082c6d5c2bf8p-6, -0x1.e6685b3d34f2cp-6, -0x1.dc7b1a8b1c771p-6, -0x1.d2ba6db21eb2cp-6, -0x1.c925bc7dc529ep-6, -0x1.bfbc728ca8c52p-6, -0x1.b67df9d62a7c6p-6, -0x1.ad69bef401fe6p-6, -0x1.a47f2f83e5409p-6, -0x1.9bbdb8e1bb3d8p-6, -0x1.9324c8cf5be35p-6, -0x1.8ab3d0466ef4dp-6, -0x1.826a3b9282c67p-6, -0x1.7a477c4b293ebp-6, -0x1.724afee1202ep-6, -0x1.6a7438a1b80bdp-6, -0x1.62c29a74b2e56p-6, -0x1.5b3599d12aa71p-6, -0x1.53ccae8836325p-6, -0x1.4c8751a750f1bp-6, -0x1.4564fc1fed672p-6, -0x1.3e6527e1be5acp-6, -0x1.37874d37004bdp-6, -0x1.30cae4eab997cp-6, -0x1.2a2f677fa7096p-6, -0x1.23b44f1063444p-6, -0x1.1d5917b816002p-6, -0x1.171d40b270aap-6, -0x1.11004e36a6a7fp-6, -0x1.0b01c5af7a426p-6, -0x1.05213040a4574p-6, -0x1.febc2c25a99e1p-7, -0x1.f36ffe10aaddp-7, -0x1.e85ce25b6008ap-7, -0x1.dd81e06b7f0c2p-7, -0x1.d2ddff6abf241p-7, -0x1.c87046fe9bc8p-7, -0x1.be37c62c5ee5cp-7, -0x1.b4339477265f4p-7, -0x1.aa62d5e1eaa3ap-7, -0x1.a0c4b67ae4fcap-7, -0x1.97586c11b7561p-7, -0x1.8e1d2c11159cdp-7, -0x1.85122bdf71069p-7, -0x1.7c36982cad897p-7, -0x1.73899570e0e33p-7, -0x1.6b0a42defbc34p-7, -0x1.62b7bcdbabe9bp-7, -0x1.5a912661af1cbp-7, -0x1.5295a53cba801p-7, -0x1.4ac478031d13ap-7, -0x1.431ce335a1fa5p-7, -0x1.3b9e3bee64484p-7, -0x1.3447dde66e08ap-7, -0x1.2d1926318d46ep-7, -0x1.26116c4924152p-7, -0x1.1f2ffbd2d7c84p-7, -0x1.187416a1bc606p-7, -0x1.11dcf357c76a7p-7, -0x1.0b69cae84162ap-7, -0x1.0519d402fa6b9p-7, -0x1.fdd8b7ae5dc5ep-8, -0x1.f1c16d6f093ap-8, -0x1.e5ec977b06e31p-8, -0x1.da5919f960777p-8, -0x1.cf05ea5defd12p-8, -0x1.c3f1feef4657ep-8, -0x1.b91c43b198067p-8, -0x1.ae8390cafc25cp-8, -0x1.a426a6fe66777p-8, -0x1.9a04370fedde3p-8, -0x1.901aeb579c5fp-8, -0x1.86698038e4fa6p-8, -0x1.7ceec028d519ep-8, -0x1.73a9a7f50c09bp-8, -0x1.6a99314eb9472p-8, -0x1.61bc78c33f0e7p-8, -0x1.59128f2db4c63p-8, -0x1.509a82a6ca0a9p-8, -0x1.48535c00e89e5p-8, -0x1.403c1bf3a3813p-8, -0x1.3853bc448a7c1p-8, -0x1.309930276b02ap-8, -0x1.290b6ce390b91p-8, -0x1.21a972a33ee5p-8, -0x1.1a725a947ada5p-8, -0x1.13655dd30a661p-8, -0x1.0c81d0ee9ae95p-8, -0x1.05c70d22d5a47p-8, -0x1.fe68d0f83cbd9p-9, -0x1.f19205dc1d575p-9, -0x1.e507d28a456cp-9, -0x1.d8c8307611ea9p-9, -0x1.ccd10bbdf97d5p-9, -0x1.c1207ec198df3p-9, -0x1.b5b4d7261e0bdp-9, -0x1.aa8c963c27779p-9, -0x1.9fa6665b64ccep-9, -0x1.95011e005b98ap-9, -0x1.8a9bc16e4aebbp-9, -0x1.8075862176b3p-9, -0x1.768db98e668dfp-9, -0x1.6ce38f7777edep-9, -0x1.6375ea7eba01fp-9, -0x1.5a4338895d83bp-9, -0x1.51497fa755703p-9, -0x1.4886930bd2d5fp-9, -0x1.3ff867d31e8cp-9, -0x1.379d622802c93p-9, -0x1.2f742df420563p-9, -0x1.277bfe84a2c9bp-9, -0x1.1fb4167b4e826p-9, -0x1.181bce17288f1p-9, -0x1.10b27fbd1c12ep-9, -0x1.09778289d7443p-9, -0x1.026a58048f0adp-9, -0x1.f714eb9f12093p-10, -0x1.e9ae723d68276p-10, -0x1.dc9f598dfa23cp-10, -0x1.cfe4e4b7bc6d5p-10, -0x1.c37b9bc26fdaep-10, -0x1.b75fe228bf493p-10, -0x1.ab8e9233ae918p-10, -0x1.a005729bf0ae2p-10, -0x1.94c3276b05901p-10, -0x1.89c6c52bc1587p-10, -0x1.7f0f55140d95dp-10, -0x1.749b943c899afp-10, -0x1.6a6a0af3be0a6p-10, -0x1.607968f8753fbp-10, -0x1.56c867043711dp-10, -0x1.4d56788bbad8ep-10, -0x1.4422cc5d919d2p-10, -0x1.3b2c9f7375b2fp-10, -0x1.32725f61faa55p-10, -0x1.29f24919dc893p-10, -0x1.21aa1fc240abdp-10, -0x1.1997d3aec6deap-10, -0x1.11b9b44154bc3p-10, -0x1.0a0e7a1044089p-10, -0x1.0294ee4b68dd1p-10, -0x1.f69761be788d7p-11, -0x1.e86261e9abd8p-11, -0x1.da87b0f0a5eecp-11, -0x1.cd048bdbef96cp-11, -0x1.bfd721d5146dep-11, -0x1.b2fe9034b9727p-11, -0x1.a67a82f16e247p-11, -0x1.9a4a8d7297573p-11, -0x1.8e6d7f15f1c5ep-11, -0x1.82e1817b56d2bp-11, -0x1.77a4b76e08898p-11, -0x1.6cb5b267377cbp-11, -0x1.621361d6eb142p-11, -0x1.57bc1e91c2f94p-11, -0x1.4dad8c1b9b0fcp-11, -0x1.43e3b27fc582p-11, -0x1.3a5a06196600ap-11, -0x1.310cc8c005fd8p-11, -0x1.27f96fc2ac272p-11, -0x1.1f1eea411eecdp-11, -0x1.167cb8d8d064dp-11, -0x1.0e128cd921f0dp-11, -0x1.05e07b3e7a0a2p-11, -0x1.fbcd3e344cc32p-12, -0x1.ec488888547c8p-12, -0x1.dd2f81a97a729p-12, -0x1.ce7ef5e483657p-12, -0x1.c035b18e13e8ap-12, -0x1.b2543f6ed0e1fp-12, -0x1.a4dae39a6121p-12, -0x1.97c7844f29151p-12, -0x1.8b1579798d43fp-12, -0x1.7ebdd9e1ced9p-12, -0x1.72b80b0be7262p-12, -0x1.66fc6a6422335p-12, -0x1.5b87c674aaa0dp-12, -0x1.505b9c358b721p-12, -0x1.4579df1494204p-12, -0x1.3ae2583fa960fp-12, -0x1.3093afcce218fp-12, -0x1.268d45e3620ep-12, -0x1.1cce67248e5c2p-12, -0x1.135542bb76638p-12, -0x1.0a2053805bb77p-12, -0x1.012d4e21df1e7p-12, -0x1.f0f81c578cdcap-13, -0x1.e0168d5929156p-13, -0x1.cfb34a5280c7p-13, -0x1.bfcc6ddd3b49bp-13, -0x1.b05d6387b9e19p-13, -0x1.a160d052f7c25p-13, -0x1.92ce6f2908424p-13, -0x1.8498e5e5bc9abp-13, -0x1.76b9bf9522168p-13, -0x1.6935566397d94p-13, -0x1.5c123dfb93621p-13, -0x1.4f4f10a25fb3ep-13, -0x1.42e61754d6919p-13, -0x1.36d5918722c51p-13, -0x1.2b1e3046d49a1p-13, -0x1.1fbf2fb5dc574p-13, -0x1.14b690de7ea7bp-13, -0x1.0a012f01cff9dp-13, -0x1.ff357f4b551b3p-14, -0x1.eafeb21cd914ep-14, -0x1.d75826b5bdd86p-14, -0x1.c442df0c4b073p-14, -0x1.b1c0a6ddee15ep-14, -0x1.9fd07ef2786d3p-14, -0x1.8e6ce9ae17f06p-14, -0x1.7d8e34afa6aa2p-14, -0x1.6d274a6ae0f3cp-14, -0x1.5d2b2e3173a36p-14, -0x1.4d9cbb61ccd22p-14, -0x1.3e863c6ea6da6p-14, -0x1.2fe2019a7ee04p-14, -0x1.21a84f28065c5p-14, -0x1.13d97fe213f19p-14, -0x1.067b4f98d9062p-14, -0x1.f31370a6c217ep-15, -0x1.d9fc7f7e1fbc2p-15, -0x1.c1a34aee2b9ccp-15, -0x1.a9fe2840b2482p-15, -0x1.9306d4ee3d1b4p-15, -0x1.7cbbb2a8804cp-15, -0x1.671a4bf67342dp-15, -0x1.522480e864e2p-15, -0x1.3ddad6ef234cbp-15, -0x1.2a3a53ecc4c9fp-15, -0x1.1740a9c934c13p-15, -0x1.04dfced12bcddp-15, -0x1.e620235f4b00bp-16, -0x1.c38a8fd699978p-16, -0x1.a1f735c1c75c1p-16, -0x1.817b53988cb08p-16, -0x1.6207666679c2bp-16, -0x1.437972067c421p-16, -0x1.25fe23915d45dp-16, -0x1.098fd3cf1ea32p-16, -0x1.dc272dbca728fp-17, -0x1.a6e6da727e219p-17, -0x1.734c8a5f82d68p-17, -0x1.4153fc3fcf6b8p-17, -0x1.10fcc84224921p-17, -0x1.c47d4da44da6ap-18, -0x1.6a20793ac68b7p-18, -0x1.12d1894c5d4f3p-18, -0x1.7d049d0a5f90dp-19, -0x1.b4dca6b0746d1p-20, -0x1.efd2130a06e84p-22, 0x1.640e4e002baf4p-21, 0x1.d557720c5c798p-20, 0x1.776188fa93973p-19, 0x1.fee4e512fe5fbp-19, 0x1.40b5674bc4fe7p-18, 0x1.7fc489af1532fp-18, 0x1.bc9eb8061ccfdp-18, 0x1.f726b29ad30bbp-18, 0x1.179a89420dd72p-17, 0x1.328805ffb7764p-17, 0x1.4c8187024c019p-17, 0x1.657f2a485e4c4p-17, 0x1.7d86f7e1a558ap-17, 0x1.949dead0a491fp-17, 0x1.aac5a3ae9f9f7p-17, 0x1.c004e1d98eef4p-17, 0x1.d4634c6df8c44p-17, 0x1.e7ed0bc50ddebp-17, 0x1.fa9347271f62cp-17, 0x1.063893172b323p-16, 0x1.0ebfe9b9451c4p-16, 0x1.16dfc8312e5a3p-16, 0x1.1e9d3c7c6bcccp-16, 0x1.26047850451ecp-16, 0x1.2d1129f214988p-16, 0x1.33c09484df571p-16, 0x1.3a1aa8cdc699dp-16, 0x1.4028d2b8ad17fp-16, 0x1.45e56cdb00aa2p-16, 0x1.4b4ebae320702p-16, 0x1.5069b32c077fdp-16, 0x1.553d580e988ecp-16, 0x1.59cb199f4d107p-16, 0x1.5e13c6f36d0edp-16, 0x1.62187bf4ea71cp-16, 0x1.65d79372a2cf6p-16, 0x1.695d40143e9ep-16, 0x1.6ca020cf6b703p-16, 0x1.6fa607b0fc881p-16, 0x1.7270f28f8554fp-16, 0x1.750361eaf9d7bp-16, 0x1.775e60734603p-16, 0x1.7982c3c1e493cp-16, 0x1.7b72c5dd3aafcp-16, 0x1.7d295c7df3e2bp-16, 0x1.7eb65bbd2c515p-16, 0x1.800e476cd344dp-16, 0x1.8139ab1bfcdaep-16, 0x1.8237fb4399efbp-16, 0x1.8308ce5953e98p-16, 0x1.83ab0f7313328p-16, 0x1.842cd9d0b7f56p-16, 0x1.8480d3479d848p-16, 0x1.84ade828e4ec9p-16, 0x1.84b3ae758819fp-16, 0x1.849b29a52d823p-16, 0x1.845b7ca3a4556p-16, 0x1.83fabad928daap-16, 0x1.837579e28d87ap-16, 0x1.82d149938c09cp-16, 0x1.820ddad4b94a9p-16, 0x1.812bec23100fbp-16, 0x1.802c7695fda61p-16, 0x1.7f105eb96235ap-16, 0x1.7dd99d01960d5p-16, 0x1.7c894fc6e82fcp-16, 0x1.7b1defd61f74cp-16, 0x1.79972412c8e38p-16, 0x1.77f9e567f69dcp-16, 0x1.7644450225df8p-16, 0x1.7478157588e89p-16, 0x1.72973d9bf79cbp-16, 0x1.70a31738355cfp-16, 0x1.6e984de668e08p-16, 0x1.6c79d7b983586p-16, 0x1.6a4899646bb5cp-16, 0x1.68026b5040fcdp-16, 0x1.65b073c123e2ep-16, 0x1.634bd07c874fcp-16, 0x1.60d650f840f49p-16, 0x1.5e514e03c9efep-16, 0x1.5bbc4797c6cd6p-16, 0x1.591911212d5a8p-16, 0x1.56650ae2b10cbp-16, 0x1.53ab9f870f68ap-16, 0x1.50e09fb86801cp-16, 0x1.4e08db86678b9p-16, 0x1.4b2212817dde5p-16, 0x1.48389f2376835p-16, 0x1.454687cecdfa6p-16, 0x1.423f5ef2c5d2cp-16, 0x1.3f3173c9abdf2p-16, 0x1.3c1cb6c984ceep-16, 0x1.38fdd45fafc1dp-16, 0x1.35d6b3da1c0afp-16, 0x1.32a779102a5d9p-16, 0x1.2f70a9a18da89p-16, 0x1.2c33c2508e796p-16, 0x1.28f0e9c4b707bp-16, 0x1.25a5caac925c1p-16, 0x1.22556edfd13d9p-16, 0x1.1efff2bbf5ceap-16, 0x1.1ba2acfd70eeep-16, 0x1.184286acaaf83p-16, 0x1.14ded40da9fb6p-16, 0x1.1177079511bf6p-16, 0x1.0e0a38cd6d695p-16, 0x1.0a9a4c40293ebp-16, 0x1.072652ee71ff1p-16, 0x1.03b0c227f2502p-16, 0x1.0038f317c7a19p-16, 0x1.f979ca6688d78p-17, 0x1.f281f516c14b2p-17, 0x1.eb8347b6f6edep-17, 0x1.e481962bb622ap-17, 0x1.dd81e2d0fda9ap-17, 0x1.d67c369f71b42p-17, 0x1.cf76e773ccfd5p-17, 0x1.c870d84ccd6c5p-17, 0x1.c169c1e9f853ap-17, 0x1.ba63d735b2c4ap-17, 0x1.b35e0c3d3493dp-17, 0x1.ac523abbb73ebp-17, 0x1.a553923b02eefp-17, 0x1.9e51f83158261p-17, 0x1.9748de41e3e68p-17, 0x1.9052754ae3efp-17, 0x1.894c34428df7bp-17, 0x1.825244f978a31p-17, 0x1.7b71bb661d67p-17, 0x1.74841a9c3740ep-17, 0x1.6d9ab299a2adbp-17, 0x1.66b570f417104p-17, 0x1.5fd48bfabfc46p-17, 0x1.58f9e09a1313p-17, 0x1.52261e32e9a37p-17, 0x1.4b5a27700e86p-17, 0x1.4490b0158684p-17, 0x1.3dcf705db9088p-17, 0x1.3714f61c370ap-17, 0x1.3060d0bd984d8p-17, 0x1.29b74213d1b85p-17, 0x1.2312501641d71p-17, 0x1.1c74b12442acfp-17, 0x1.15e23e6247e1fp-17, 0x1.0f57ece9d43c1p-17, 0x1.08d9ff29087c8p-17, 0x1.02605920eee1cp-17, 0x1.f7e10545af5ccp-18, 0x1.eb10beba5ebb3p-18, 0x1.de524c392e862p-18, 0x1.d1b0379dfc76ap-18, 0x1.c51ec04bea7ccp-18, 0x1.b89b75c522607p-18, 0x1.ac3696b2f009ep-18, 0x1.9fe36fa85fab2p-18, 0x1.93a5175906b42p-18, 0x1.877a836527f46p-18, 0x1.7b55319071f05p-18, 0x1.6f6975a5fea9p-18, 0x1.6383133de30a1p-18, 0x1.57b35b0121c07p-18, 0x1.4bfc820026becp-18, 0x1.405e931976805p-18, 0x1.34cc9c9ba8327p-18, 0x1.2959aa90b4d82p-18, 0x1.1dfe0a25987c6p-18, 0x1.12d3d02c9ddap-18, 0x1.0790b4c0ac8f9p-18, 0x1.f8f8c1db8d2d6p-19, 0x1.e2e162b0ca6cep-19, 0x1.cd4a050b76d5fp-19, 0x1.b7cf30ef3383cp-19, 0x1.a2822208adab6p-19, 0x1.8d4a9f0e05c31p-19, 0x1.78401bdb14e63p-19, 0x1.637bce7315ecbp-19, 0x1.4eea3da330f48p-19, 0x1.3a8f73d14fe9p-19, 0x1.26619bff05796p-19, 0x1.1261bd2517996p-19, 0x1.fd5e9e1f61d53p-20, 0x1.d660b90445884p-20, 0x1.afa39c6d1e899p-20, 0x1.8959b0f43dba4p-20, 0x1.636eaa9ebdd3p-20, 0x1.3dd9cd2c93ca9p-20, 0x1.18d45b1146c2ep-20, 0x1.e874175caa958p-21, 0x1.9f89f546cb008p-21, 0x1.587e5f87f62a3p-21, 0x1.11b50ca7d73c8p-21, 0x1.978dbe68fec57p-22, 0x1.0d4ee816bf966p-22, 0x1.09875aebabff4p-23, -0x1.29456246ea10dp-29, -0x1.11c91111cd5adp-23, -0x1.0b2661198f04p-22, -0x1.8d0b1fd917cd1p-22, -0x1.06a977f175d14p-21, -0x1.4604272b4789ap-21, -0x1.8473e5965235ap-21, -0x1.c23fd64285efcp-21, -0x1.ff652f2bd6c7dp-21, -0x1.1d85fc6f90aa7p-20, -0x1.3b2384043ad74p-20, -0x1.5857d5280f417p-20, -0x1.751e83e4e09b1p-20, -0x1.918376cf26463p-20, -0x1.ad3e38264ddbp-20, -0x1.c915ffe5cb034p-20, -0x1.e433dc16b8123p-20, -0x1.fef150ac22d36p-20, -0x1.0cad0096a5745p-19, -0x1.19ada539009f7p-19, -0x1.26701c748a9a1p-19, -0x1.32e05d2c633f6p-19, -0x1.3f6e3d842d119p-19, -0x1.4b9a484a346f1p-19, -0x1.579d54c1e8cb5p-19, -0x1.636d28183a929p-19, -0x1.6f02b4b85f994p-19, -0x1.7a6b0936a40a8p-19, -0x1.85b0b1ba00cb1p-19, -0x1.90ae7bd229a24p-19, -0x1.9b7fb233e4a55p-19, -0x1.a632a841f3b62p-19, -0x1.b0cddb5f47ad5p-19, -0x1.bae8862378ab7p-19, -0x1.c51476d1243ecp-19, -0x1.ceee5579897aap-19, -0x1.d8a43303d42bbp-19, -0x1.e22c8b6fa90f7p-19, -0x1.eb886bd8ef732p-19, -0x1.f4b489f4eb643p-19, -0x1.fdb49e316e014p-19, -0x1.03304ea73f28fp-18, -0x1.0796245c5d308p-18, -0x1.0bcf785deeed2p-18, -0x1.0ff5487de879p-18, -0x1.14058db22e8b6p-18, -0x1.17fd2770ee195p-18, -0x1.1bddeef75ceddp-18, -0x1.1fabe10333989p-18, -0x1.235c8b392be11p-18, -0x1.27099a4aabedep-18, -0x1.2a86d6509637fp-18, -0x1.2e0d4cb478ad6p-18, -0x1.316a8e4a7e1b6p-18, -0x1.34baeb0fdefa7p-18, -0x1.37f1d46fac242p-18, -0x1.3b1aa5f79cb78p-18, -0x1.3e2cf51092658p-18, -0x1.412a0789f7b1fp-18, -0x1.440d1e1fe9f42p-18, -0x1.46fb367454835p-18, -0x1.49a4c2719bad7p-18, -0x1.4c564e4b9faa9p-18, -0x1.4ef3970263502p-18, -0x1.517a7f91233c1p-18, -0x1.53e98b2d8648bp-18, -0x1.564d93c8815aep-18, -0x1.589981004b605p-18, -0x1.5add09156a5c1p-18, -0x1.5cfd1bb23f62bp-18, -0x1.5f1fed2d9acbp-18, -0x1.61250f0747a75p-18, -0x1.633c0ea097affp-18, -0x1.64ffa661f1c9bp-18, -0x1.66d91b2f7538bp-18, -0x1.6894e6816589ep-18, -0x1.6a43b8aa3f81cp-18, -0x1.6be3b2f10f7b8p-18, -0x1.6d75627430f3fp-18, -0x1.6ef3cd45de843p-18, -0x1.70615d9b697cfp-18, -0x1.71c3507287ac8p-18, -0x1.73137f7c5486ap-18, -0x1.7454424f21ccbp-18, -0x1.7589d4e4313b4p-18, -0x1.76a067f1143fbp-18, -0x1.77a88b0b96faep-18, -0x1.78b523b2daec8p-18, -0x1.79a66991d8767p-18, -0x1.7a8bb8582e02cp-18, -0x1.7b61130c28af9p-18, -0x1.7c2cc375f26f1p-18, -0x1.7cdeed57f0d0ep-18, -0x1.7d908c908de19p-18, -0x1.7e2ee9ba12e94p-18, -0x1.7ed0efec2fbf4p-18, -0x1.7f43b977370a2p-18, -0x1.7fb8b03bfe77fp-18, -0x1.8021d29f5cdap-18, -0x1.807dacd114b5ap-18, -0x1.80e45dcc0205bp-18, -0x1.810b8b280d6d1p-18, -0x1.813ffe4f8df02p-18, -0x1.8169fd02ee825p-18, -0x1.818d564cc8175p-18, -0x1.81a1c1c67be8cp-18, -0x1.81a5aa1aa9535p-18, -0x1.81a10954385abp-18, -0x1.81923ff5562fdp-18, -0x1.815de2a9b2f62p-18, -0x1.814e3beda5855p-18, -0x1.8116723fe45e9p-18, -0x1.80de6a0b7a8a9p-18, -0x1.809ac35902a97p-18, -0x1.8059265f924d2p-18, -0x1.7feb67e42349fp-18, -0x1.7f858bf1bcc85p-18, -0x1.7f113744859bp-18, -0x1.7e9934c969e9p-18, -0x1.7e14936c8218fp-18, -0x1.7d89b6d57b5a3p-18, -0x1.7cf606f32bbe9p-18, -0x1.7c573cc731f9bp-18, -0x1.7ba805b3e974ap-18, -0x1.7afb818055fd5p-18, -0x1.7a3adc021d4c8p-18, -0x1.797f37cafa8a1p-18, -0x1.78b0b989b7a27p-18, -0x1.77df1b97735d1p-18, -0x1.76f9e18525fe8p-18, -0x1.7620c8727ae0ap-18, -0x1.7534b5ffeccd5p-18, -0x1.7443ed11b9b92p-18, -0x1.7345bc2475e91p-18, -0x1.72407f5b411b9p-18, -0x1.713b3349c07e8p-18, -0x1.70278552f795p-18, -0x1.6f157ff4564cbp-18, -0x1.6df6ee3678ap-18, -0x1.6ccd7a8a3ee1dp-18, -0x1.6ba238d7f34e2p-18, -0x1.6a6e48648ab1dp-18, -0x1.6938b0e7fe259p-18, -0x1.67faa2a3e35cbp-18, -0x1.66ab458dfb36cp-18, -0x1.65678c89ef072p-18, -0x1.642e3d341949bp-18, -0x1.62bf622dcf98p-18, -0x1.6167ce9da0b3p-18, -0x1.6004136ed11d5p-18, -0x1.5e9c07f236299p-18, -0x1.5d28ee4254311p-18, -0x1.5bbca69db90afp-18, -0x1.5a452c5481688p-18, -0x1.58ce43ad2cfefp-18, -0x1.574d29d7bb4f7p-18, -0x1.55c436891271dp-18, -0x1.5424c0c59ed66p-18, -0x1.52a8d285d5224p-18, }}, 
      {{-0x1.9917447bb5d8cp-5, -0x1.79615745e91adp-5, -0x1.5493e51434a12p-5, -0x1.376ca5dc3f76ep-5, -0x1.2aebecc46fdd1p-5, -0x1.33e7f37961907p-5, -0x1.539c0e45848b7p-5, -0x1.888a7901f532cp-5, -0x1.cf604d9f838bap-5, -0x1.11dce9587616ap-4, -0x1.405e8e8ecf791p-4, -0x1.70c5fda86accp-4, -0x1.a0c92f8e6b128p-4, -0x1.ce5bff7177e1dp-4, -0x1.f7bdef140bf49p-4, -0x1.0dbfe79835107p-3, -0x1.1c41d9eddf27dp-3, -0x1.26fc8b99b12c4p-3, -0x1.2dab48eac24dbp-3, -0x1.30291f4d3c5a2p-3, -0x1.2e6cba553ecdp-3, -0x1.28843afd1c5e2p-3, -0x1.1e912ce8750d4p-3, -0x1.10c4bc3999094p-3, -0x1.feb88008be21bp-4, -0x1.d53c3a318d58p-4, -0x1.a5ae14efc04f9p-4, -0x1.70af64b442ed2p-4, -0x1.36e55dbe7da1ap-4, -0x1.f1eb611e007ebp-5, -0x1.6f078e8f7c2e7p-5, -0x1.ccba27b13029fp-6, -0x1.6475038b8866p-7, 0x1.bcae06db13636p-8, 0x1.9555b30fb8c6cp-6, 0x1.5f234dd8d3173p-5, 0x1.f4138963cd16p-5, 0x1.4451b8c967a3bp-4, 0x1.8e073835d6651p-4, 0x1.d6d193479b025p-4, 0x1.0f30b7a3acdbp-3, 0x1.32383ec67b352p-3, 0x1.5460887d67e1cp-3, 0x1.758ecbcbfb95bp-3, 0x1.95ac1e67a864p-3, 0x1.b4a5309ebefb4p-3, 0x1.d26a0d1c2f352p-3, 0x1.eeedd12f6524ap-3, 0x1.051339efc60ffp-2, 0x1.120647516beebp-2, 0x1.1e4d8ec57dfefp-2, 0x1.29e7a147c0d48p-2, 0x1.34d405b0b4e7ep-2, 0x1.3f13221af5bbdp-2, 0x1.48a6235e4d99cp-2, 0x1.518ee7d6da2b7p-2, 0x1.59cfe860844ebp-2, 0x1.616c22474a463p-2, 0x1.686706acca8e3p-2, 0x1.6ec4674adae16p-2, 0x1.74886ad4882ecp-2, 0x1.79b77c00418adp-2, 0x1.7e563ea0a5165p-2, 0x1.826982a66665cp-2, 0x1.85f639014c5a4p-2, 0x1.89016a047ba92p-2, 0x1.8b902cefe37eep-2, 0x1.8da79fd9fbc7fp-2, 0x1.8f4ce1b2875f8p-2, 0x1.90850bb73c3d4p-2, 0x1.91552d5ff2f32p-2, 0x1.91c2451ff02c2p-2, 0x1.91d140b70e5d3p-2, 0x1.9186f5465a0fap-2, 0x1.90e81edb57ca9p-2, 0x1.8ff95d6b3dc96p-2, 0x1.8ebf3270e7fcep-2, 0x1.8d3dffad70e29p-2, 0x1.8b7a05e7653c1p-2, 0x1.897762ea224f2p-2, 0x1.873a131c3468ep-2, 0x1.84c5ee7f38e35p-2, 0x1.821ea9da76d52p-2, 0x1.7f47d644921f2p-2, 0x1.7c44e1a539a2cp-2, 0x1.791915ead3069p-2, 0x1.75c79a432aad3p-2, 0x1.72537479facf7p-2, 0x1.6ebf863a11afap-2, 0x1.6b0e92697d177p-2, 0x1.674339151bf23p-2, 0x1.635ffc0cffc25p-2, 0x1.5f673d8ff1f25p-2, 0x1.5b5b421476e7fp-2, 0x1.573e30b1550cap-2, 0x1.531213f4200c3p-2, 0x1.4ed8db593809fp-2, 0x1.4a945b7275a0cp-2, 0x1.464650741c3eap-2, 0x1.41f05ce5901bp-2, 0x1.3d940bc6ee5cfp-2, 0x1.3932d19bf1326p-2, 0x1.34ce0d021a421p-2, 0x1.306707d630425p-2, 0x1.2bfef7385cbe4p-2, 0x1.2796fe0608a6bp-2, 0x1.23302c2ad6c82p-2, 0x1.1ecb8019ccbefp-2, 0x1.1a69e77f5472p-2, 0x1.160c40a8e841bp-2, 0x1.11b358d658164p-2, 0x1.0d5ff1dfc7b69p-2, 0x1.0912bc756f598p-2, 0x1.04cc5e433177p-2, 0x1.008d702483236p-2, 0x1.f8acfd5f966cdp-3, 0x1.f0501747a6ae1p-3, 0x1.e8051ba536c7cp-3, 0x1.dfcce453ebd7cp-3, 0x1.d7a8383aa08bap-3, 0x1.cf97cbc07d553p-3, 0x1.c79c42a609065p-3, 0x1.bfb6307145b93p-3, 0x1.b7e619a22d03fp-3, 0x1.b02c7365afedap-3, 0x1.a889a74747e41p-3, 0x1.a0fe1068f2938p-3, 0x1.9989ff99204p-3, 0x1.922db79b2140ep-3, 0x1.8ae974332f967p-3, 0x1.83bd64e71676ep-3, 0x1.7ca9b0b14ff89p-3, 0x1.75ae75747987ep-3, 0x1.6ecbc9b55f668p-3, 0x1.6801bb93a3e4ap-3, 0x1.6150523f1391ap-3, 0x1.5ab78f13df656p-3, 0x1.54376c11fbcb7p-3, 0x1.4dcfdef65d005p-3, 0x1.4780d5612ac2bp-3, 0x1.414a3bde4a786p-3, 0x1.3b2bf6f406666p-3, 0x1.3525e936ba7a3p-3, 0x1.2f37eff58bce8p-3, 0x1.2961e54e6af9cp-3, 0x1.23a3a06e27e34p-3, 0x1.1dfcf4dc298bp-3, 0x1.186db351688dap-3, 0x1.12f5ab77d18cbp-3, 0x1.0d94a7fa6725ap-3, 0x1.084a7364b39e3p-3, 0x1.0316d54f85c63p-3, 0x1.fbf329ce567ep-4, 0x1.f1e4ecbfea8f1p-4, 0x1.e8027a0e861f4p-4, 0x1.de4b56e640725p-4, 0x1.d4bf04cece043p-4, 0x1.cb5d04506e1fbp-4, 0x1.c224d40392328p-4, 0x1.b915f12902e73p-4, 0x1.b02fd7e4524c2p-4, 0x1.a7720332e0879p-4, 0x1.9edbed61aa202p-4, 0x1.966d105200e0bp-4, 0x1.8e24e58544044p-4, 0x1.8602e5e4d48d4p-4, 0x1.7e068a9d6dc51p-4, 0x1.762f4c64f0be7p-4, 0x1.6e7ca59895fa6p-4, 0x1.66ee0d9688f0bp-4, 0x1.5f8300750f6c5p-4, 0x1.583af6b8a9fc9p-4, 0x1.51156c72a3848p-4, 0x1.4a11dcd565767p-4, 0x1.432fc529e7e49p-4, 0x1.3c6e9f70affb1p-4, 0x1.35cded49e41a7p-4, 0x1.2f4d2c03e90fp-4, 0x1.28ebdb57b8f05p-4, 0x1.22a97e9cfdb24p-4, 0x1.1c85940eb87d3p-4, 0x1.167fa08381436p-4, 0x1.109729fb7f5cbp-4, 0x1.0acbb4a902531p-4, 0x1.051cc761cd659p-4, 0x1.ff13d490197ebp-5, 0x1.f4254dc4ecdf3p-5, 0x1.e96d0faad4b7fp-5, 0x1.deea329015fe8p-5, 0x1.d49bd04c6903cp-5, 0x1.ca8106e85ef41p-5, 0x1.c098f607cf0ccp-5, 0x1.b6e2c0c12d4dep-5, 0x1.ad5d8dc59a044p-5, 0x1.a4088408485ffp-5, 0x1.9ae2ceeb8c388p-5, 0x1.91eb9dd73fc9ap-5, 0x1.89221f29f1443p-5, 0x1.8085892768301p-5, 0x1.78150f3ea2976p-5, 0x1.6fcfeca6ce743p-5, 0x1.67b55a953d5dap-5, 0x1.5fc49904292f2p-5, 0x1.57fcea5db7cc2p-5, 0x1.505d920b7b235p-5, 0x1.48e5d65768307p-5, 0x1.4195009566636p-5, 0x1.3a6a5d1207e4dp-5, 0x1.33653a91654b8p-5, 0x1.2c84ea7faf10bp-5, 0x1.25c8c0765f9f1p-5, 0x1.1f30146b6589p-5, 0x1.18ba3cfd2647cp-5, 0x1.126698973d418p-5, 0x1.0c348599978abp-5, 0x1.06235eff6b4dp-5, 0x1.003290adf2b0dp-5, 0x1.f4c2f60a24ac4p-6, 0x1.e95f0e91e6fa2p-6, 0x1.de383fff6b354p-6, 0x1.d34d645024d5p-6, 0x1.c89d5a9fd273dp-6, 0x1.be27053a892d3p-6, 0x1.b3e94b8cb79b5p-6, 0x1.a9e31af6f1a96p-6, 0x1.a013642c77863p-6, 0x1.96791bd78542dp-6, 0x1.8d133c69f2685p-6, 0x1.83e0c2de341b5p-6, 0x1.7ae0b544977b5p-6, 0x1.72120d9905101p-6, 0x1.6973e825c5cacp-6, 0x1.610548b5b315ep-6, 0x1.58c543eb2cffcp-6, 0x1.50b2f1d17caf2p-6, 0x1.48cd6d21d487fp-6, 0x1.4113d3b162a09p-6, 0x1.3985477990583p-6, 0x1.3220f301882c6p-6, 0x1.2ae5fa61b56bbp-6, 0x1.23d38ee33444dp-6, 0x1.1ce8e03ad524cp-6, 0x1.16252585ea1a5p-6, 0x1.0f87975709087p-6, 0x1.090f6f422e853p-6, 0x1.02bbed548858cp-6, 0x1.f918b752ecdf1p-7, 0x1.ecffe74bb1bf9p-7, 0x1.e12c0feb22311p-7, 0x1.d59bc65a02e9ap-7, 0x1.ca4da920d304ap-7, 0x1.bf406082da5c5p-7, 0x1.b47298c8d15e9p-7, 0x1.a9e30318097b1p-7, 0x1.9f9059b3fe2c8p-7, 0x1.95795c5cf83f2p-7, 0x1.8b9cccf177112p-7, 0x1.81f977740729bp-7, 0x1.788e28e4a0d29p-7, 0x1.6f59c26e06881p-7, 0x1.665b0b842a3cep-7, 0x1.5d90f505d5d46p-7, 0x1.54fa5d199919fp-7, 0x1.4c96325bb640ap-7, 0x1.44635dc3e4884p-7, 0x1.3c60dff36d711p-7, 0x1.348db3cba007p-7, 0x1.2ce8d15037741p-7, 0x1.2571332c8a00fp-7, 0x1.1e25f49dc069fp-7, 0x1.17061bdeddd7ep-7, 0x1.1010b9c336e6ep-7, 0x1.0944e77b44bf7p-7, 0x1.02a1bed565307p-7, 0x1.f84cc2d185a59p-8, 0x1.eba3e21c8afdap-8, 0x1.df472f90ee1dcp-8, 0x1.d335045ee96f6p-8, 0x1.c76bbe450097ap-8, 0x1.bbe9c698f4181p-8, 0x1.b0ad921a02d22p-8, 0x1.a5b59989b976dp-8, 0x1.9b005a5a12072p-8, 0x1.908c603c41937p-8, 0x1.86583a105526cp-8, 0x1.7c627e4693da9p-8, 0x1.72a9cc45cd0f5p-8, 0x1.692cc7e7f4e38p-8, 0x1.5fea1d626e985p-8, 0x1.56e082a025028p-8, 0x1.4e0eb0a5430ebp-8, 0x1.4573655fe0fd6p-8, 0x1.3d0d6bee2dd3bp-8, 0x1.34db8f8211f7ep-8, 0x1.2cdca2727595dp-8, 0x1.250f7e445dc48p-8, 0x1.1d73055fc3183p-8, 0x1.160619c9d7473p-8, 0x1.0ec7af6832d64p-8, 0x1.07b6a73a024e9p-8, 0x1.00d20a75b1499p-8, 0x1.f431962d9b6dfp-9, 0x1.e713d251cf088p-9, 0x1.da49057f339bdp-9, 0x1.cdcef0ea6ad43p-9, 0x1.c1a3eedcd99adp-9, 0x1.b5c647d55229cp-9, 0x1.aa33da634e03bp-9, 0x1.9eeb6468bb2c1p-9, 0x1.93ea880cb5b75p-9, 0x1.89303fc1567bfp-9, 0x1.7eba9206f325fp-9, 0x1.7487ef5b3e56bp-9, 0x1.6a96ca5dcfa27p-9, 0x1.60e597222a573p-9, 0x1.5772d5925028ap-9, 0x1.4e3d0cfd371e3p-9, 0x1.4542cd4563fddp-9, 0x1.3c82acb383feap-9, 0x1.33fb4c6d9891ep-9, 0x1.2bab5398543e2p-9, 0x1.23917105e514fp-9, 0x1.1bac5be3a1ec1p-9, 0x1.13facf99d7d08p-9, 0x1.0c7b91dcca3abp-9, 0x1.052d6eacf9069p-9, 0x1.fc1e72bc7f53dp-10, 0x1.ee3f8a1103eacp-10, 0x1.e0bbf2dd5db4ap-10, 0x1.d3916c4755b08p-10, 0x1.c6bdcfbd6d69fp-10, 0x1.ba3f05d9cbf3ap-10, 0x1.ae12faa1fa5ep-10, 0x1.a237ad1a5e9d6p-10, 0x1.96ab367444c13p-10, 0x1.8b6b7b506a0e7p-10, 0x1.8076cbca5f1d2p-10, 0x1.75cb4c08648c7p-10, 0x1.6b671dacb8551p-10, 0x1.61488cb383bb9p-10, 0x1.576ddfb87fa09p-10, 0x1.4dd565dfaa93fp-10, 0x1.447d7f8808758p-10, 0x1.3b64a97eb1d9bp-10, 0x1.3288e73334885p-10, 0x1.29e94038bc01fp-10, 0x1.2183efa1bf3f1p-10, 0x1.1957925c2a60ap-10, 0x1.1162bab2e47bbp-10, 0x1.09a4029cdee4ap-10, 0x1.021a1e92d7fa1p-10, 0x1.f5875d9ace5f1p-11, 0x1.e73ed21a96882p-11, 0x1.d95802f057457p-11, 0x1.cbd0d12766cb9p-11, 0x1.bea5d1cf43fc5p-11, 0x1.b1d5daec8c155p-11, 0x1.a55df68c2bd9fp-11, 0x1.993c16cab327bp-11, 0x1.8d6df689eee11p-11, 0x1.81f198830eea5p-11, 0x1.76c4d6e4ecb08p-11, 0x1.6be5af4f650dcp-11, 0x1.6152325c78c26p-11, 0x1.570860562e7d3p-11, 0x1.4d06568f33623p-11, 0x1.434a424e6351cp-11, 0x1.39d2553b9149fp-11, 0x1.309c321acce98p-11, 0x1.27a75d3193213p-11, 0x1.1ef0fdf6eb875p-11, 0x1.1678218320017p-11, 0x1.0e3b1ba2d2949p-11, 0x1.06381d2b9c748p-11, 0x1.fcdb7f39e0f7ep-12, 0x1.edb507a4bc90ap-12, 0x1.defa6ebfb2ec5p-12, 0x1.d0a8748fab0f7p-12, 0x1.c2bc7e6ebdf85p-12, 0x1.b533dd62258p-12, 0x1.a80bd638b6bdap-12, 0x1.9b41c228e4f6cp-12, 0x1.8ed329fb4e6dap-12, 0x1.82bd7c6c9e145p-12, 0x1.76ffb9f703361p-12, 0x1.6b958c11bca84p-12, 0x1.607d585589a31p-12, 0x1.55b5a8dbadbfcp-12, 0x1.4b3be9a0ab41ep-12, 0x1.410df0408dc62p-12, 0x1.3729bf2f50eep-12, 0x1.2d8d795f30f23p-12, 0x1.243759111e059p-12, 0x1.1b256406def33p-12, 0x1.12559839f1f8fp-12, 0x1.09c640c29c0d3p-12, 0x1.0175a609b3f1p-12, 0x1.f2c416f3cfa15p-13, 0x1.e313c91e71b3dp-13, 0x1.d3d6aaabc0bd8p-13, 0x1.c509cf9396a2ap-13, 0x1.b6aa46e20be9ep-13, 0x1.a8b4bae649e53p-13, 0x1.9b284775a0786p-13, 0x1.8dfe738e5efe3p-13, 0x1.813741e228dfcp-13, 0x1.74cf008be424ep-13, 0x1.68c3cdc6f1fbdp-13, 0x1.5d1358934adfbp-13, 0x1.51b93abac6b1fp-13, 0x1.46b4cb5f22c84p-13, 0x1.3c032a689acf1p-13, 0x1.31a2709c0216fp-13, 0x1.278ff73c1eabp-13, 0x1.1dc97fb558e1p-13, 0x1.144d5f0b8db97p-13, 0x1.0b18e99b192cep-13, 0x1.022a5e241d151p-13, 0x1.f2ff8a8222612p-14, 0x1.e22e9f6fbe94bp-14, 0x1.d1de1a26708acp-14, 0x1.c20a8f1cbcbe6p-14, 0x1.b2b0680fdc549p-14, 0x1.a3cc30f6f9df9p-14, 0x1.955cbf3d507e4p-14, 0x1.87588dcdfadddp-14, 0x1.79c48e7bcb649p-14, 0x1.6c987121e9f0bp-14, 0x1.5fd553ab7a295p-14, 0x1.5372c8c0f3599p-14, 0x1.47722db0b555fp-14, 0x1.3bcf3105fcdc5p-14, 0x1.3087c12a5384ep-14, 0x1.25983c42ed88cp-14, 0x1.1aff16656c7d3p-14, 0x1.10b9d3376133ep-14, 0x1.06c5615593fa6p-14, 0x1.fa3f71a4c74c2p-15, 0x1.e78dbb21cc571p-15, 0x1.d56f077e65b36p-15, 0x1.c3e1eb4a52375p-15, 0x1.b2e15feb049bfp-15, 0x1.a26a440448557p-15, 0x1.927831ce24093p-15, 0x1.8307d6390140dp-15, 0x1.7414c2896a7aap-15, 0x1.659abe4cc3df5p-15, 0x1.5795e5b3295efp-15, 0x1.4a058681cc7acp-15, 0x1.3ce29eedf9a9ap-15, 0x1.302e335825145p-15, 0x1.23dffa3e335d4p-15, 0x1.17f4a7a4dbb86p-15, 0x1.0c6ea36c434bdp-15, 0x1.014711aa4f2fbp-15, 0x1.ecf8235a00ed4p-16, 0x1.d81695dbb7c63p-16, 0x1.c3e36cc2bc711p-16, 0x1.b05cfab3a82cep-16, 0x1.9d7b826e94c38p-16, 0x1.8b39aded487b5p-16, 0x1.7995cbbc7bd8p-16, 0x1.68894361109cep-16, 0x1.58106e1470d1fp-16, 0x1.4825971d3f449p-16, 0x1.38c363ff21bcp-16, 0x1.29e7836ce1f7bp-16, 0x1.1b8b9825ea4b6p-16, 0x1.0dae57f890444p-16, 0x1.0049277a4adbp-16, 0x1.e6b4eea2582f8p-17, 0x1.cdbc6518bbecep-17, 0x1.b5a51a3ea5cc6p-17, 0x1.9e6339b1faa1fp-17, 0x1.87f14280b46efp-17, 0x1.724aa2a9b30c3p-17, 0x1.5d6a5257c05fcp-17, 0x1.494a46ee2893bp-17, 0x1.35e1701a0722ap-17, 0x1.233f9b1e18916p-17, 0x1.112f98b065a06p-17, 0x1.ffab374faf124p-18, 0x1.de42f7139768dp-18, 0x1.be0611b7074d2p-18, 0x1.9f15dee20e584p-18, 0x1.813f7644d3ed4p-18, 0x1.6486211c7b3b3p-18, 0x1.48fbce348b4bp-18, 0x1.2e66388c6329p-18, 0x1.14dd156749191p-18, 0x1.f8b007798b209p-19, 0x1.c981abbb68e47p-19, 0x1.9c395a88f60bcp-19, 0x1.70d06ceb9356cp-19, 0x1.471884b651eeep-19, 0x1.1f16032b4b351p-19, 0x1.f16b9558de1eap-20, 0x1.a7dde680b2cfap-20, 0x1.6157f96dcad1ep-20, 0x1.1dc28b4b008efp-20, 0x1.baa61fe60053p-21, 0x1.3efb936e0a817p-21, 0x1.91df4c5fe2ddfp-22, 0x1.60da175dc0d0ap-23, -0x1.37e3e6b90cad5p-25, -0x1.eae8878eed0abp-23, -0x1.b9a2f8a0eb109p-22, -0x1.3a6b5cb452bbbp-21, -0x1.93764f3e3815bp-21, -0x1.e842ffb6e990ep-21, -0x1.1c74f0abc30abp-20, -0x1.432f075ff3266p-20, -0x1.678473d088b72p-20, -0x1.8a0f632bc55fep-20, -0x1.aa8fabb443ec6p-20, -0x1.c96bfdbd5e9e3p-20, -0x1.e6987d08cd51p-20, -0x1.0117c02c73779p-19, -0x1.0e11243f0af77p-19, -0x1.1a57493f68529p-19, -0x1.25cb2578a2813p-19, -0x1.30a116857af99p-19, -0x1.3ab176ea5b485p-19, -0x1.4418f8b58ad23p-19, -0x1.4cf574e69117bp-19, -0x1.5506cde3c6727p-19, -0x1.5c8a6adf72042p-19, -0x1.6380a21e8d57fp-19, -0x1.69f05ae33c169p-19, -0x1.6fd810f2e756ap-19, -0x1.752c8cf25f5f8p-19, -0x1.79d8ba90c96a5p-19, -0x1.7e6eb7dd86cc8p-19, -0x1.82496e565ead7p-19, -0x1.85bf0200c21bp-19, -0x1.88c7aee155f84p-19, -0x1.8b668409cf983p-19, -0x1.8da3073cf4c06p-19, -0x1.8f7fd0ad95b62p-19, -0x1.90eedca6c5878p-19, -0x1.9205a18495b34p-19, -0x1.92c990f1fa00cp-19, -0x1.933627df134b2p-19, -0x1.935610d67ec7p-19, -0x1.9320b890217d4p-19, -0x1.928213c248121p-19, -0x1.91e5516484b01p-19, -0x1.90dead5dee91bp-19, -0x1.8f910d2fddfc3p-19, -0x1.8e09252ca6c2fp-19, -0x1.8c30fadfbb4d4p-19, -0x1.8a4e11891fa94p-19, -0x1.881087297454bp-19, -0x1.85a4ff55a2dd5p-19, -0x1.830750a0eea62p-19, -0x1.802e74a3b8c4ep-19, -0x1.7d461731341e6p-19, -0x1.7a1bc32248197p-19, -0x1.76c04c1fd8f56p-19, -0x1.734b35c2d8585p-19, -0x1.6fa8b76a664d2p-19, -0x1.6bdf9aef9189cp-19, -0x1.67fb9133018c7p-19, -0x1.640d5030bd028p-19, -0x1.5fcfa2cf0c1d5p-19, -0x1.5b8c83aa9f704p-19, -0x1.572a81ddea23p-19, -0x1.52ae970335543p-19, -0x1.4e23b0ea6992fp-19, -0x1.498eb8b9d59cfp-19, -0x1.44b8db62d2a9p-19, -0x1.3fe9d810680ddp-19, -0x1.3b058bff44e5dp-19, -0x1.360af0288d7a4p-19, -0x1.30f9a2e369c32p-19, -0x1.2be24414822adp-19, -0x1.26befd296201ap-19, -0x1.218cfc131b3fdp-19, -0x1.1c4dd32aa1f62p-19, -0x1.170648ee2169fp-19, -0x1.11acac39a6a24p-19, -0x1.0c331c7138d46p-19, -0x1.06efa8f90519ap-19, -0x1.017d0c04c9cdfp-19, -0x1.f80fa1360dbf8p-20, -0x1.ed18c87e3b439p-20, -0x1.e2280721b9695p-20, -0x1.d73141eea67d5p-20, -0x1.cc25ed1f255fep-20, -0x1.c11d2f1cc8a85p-20, -0x1.b5d4e491f79a8p-20, -0x1.ab08bb2994792p-20, -0x1.9fe9200a81696p-20, -0x1.94dc5b09879dcp-20, -0x1.89d9e1d3004bdp-20, -0x1.7ec580e78553bp-20, -0x1.73938148d3ecbp-20, -0x1.68c83bd0e8f1cp-20, -0x1.5dc5baac5c7ddp-20, -0x1.52cea0506495bp-20, -0x1.47cee71de5452p-20, -0x1.3d130542a1a29p-20, -0x1.323a5a5d86637p-20, -0x1.278064962e089p-20, -0x1.1caae9999a006p-20, -0x1.11f6ed1096ba5p-20, -0x1.0753bcca7687p-20, -0x1.f97dd576b597dp-21, -0x1.e477a3966854dp-21, -0x1.cf84c26bcff03p-21, -0x1.bad5890d324ccp-21, -0x1.a66c4e2506188p-21, -0x1.91db6546da0e3p-21, -0x1.7d3ef57d47c69p-21, -0x1.690c0abd0b2bep-21, -0x1.54e3a9e1dcc4dp-21, -0x1.40f9ed9aa9765p-21, -0x1.2d402e77378a2p-21, -0x1.19bfd29869325p-21, -0x1.064958d20b295p-21, -0x1.e616a0f70c828p-22, -0x1.bfcb3e3bfc38p-22, -0x1.99644c1b3a925p-22, -0x1.7472838b6fadp-22, -0x1.4f7f3515e76a1p-22, -0x1.2ac6dc8fef1f3p-22, -0x1.066d2d946630dp-22, -0x1.c47c4369d6d8ep-23, -0x1.7d152084f5f2p-23, -0x1.359815d91589dp-23, -0x1.e3671496ca1d2p-24, -0x1.58e7d98dd92c1p-24, -0x1.9f5f7e67c7f67p-25, -0x1.1d981d0a7f57p-26, 0x1.dac9aedaefa7p-27, 0x1.7612bdbd3ef89p-25, 0x1.3f7d4d739115fp-24, 0x1.c06d4a0fec028p-24, 0x1.1f2479c9eaebdp-23, 0x1.5de656e47787ap-23, 0x1.9bd09f3f192f4p-23, 0x1.d8b07c7105142p-23, 0x1.0a553dc8b45f6p-22, 0x1.27cd5c9402bf7p-22, 0x1.44a651b437a81p-22, 0x1.6189511f400acp-22, 0x1.7dd6c44d315afp-22, 0x1.99a6ccceb7b28p-22, 0x1.b5a762455a7b4p-22, 0x1.d0c4bea6877efp-22, 0x1.eb543d861850ap-22, 0x1.02b2583049c27p-21, 0x1.0f97faedd00bdp-21, 0x1.1c599b0cdf797p-21, 0x1.28e9c6d5ba936p-21, 0x1.352aa87034ef1p-21, 0x1.412115ce16d55p-21, 0x1.4d3ba73ecd718p-21, 0x1.58cf1decc7679p-21, 0x1.6459b70fa83ap-21, 0x1.6fb3106347937p-21, 0x1.7aa225e8c88e7p-21, 0x1.8588a726e922bp-21, 0x1.902b67ef0f3b5p-21, 0x1.9a9eb4f64b217p-21, 0x1.a4e92091ea682p-21, 0x1.aef74fa383e7dp-21, 0x1.b8c92f65c8aecp-21, 0x1.c2d8e91864b41p-21, 0x1.cc0230a65d902p-21, 0x1.d5488aa38e53p-21, 0x1.dea2724b9602fp-21, 0x1.e756c86a44d6bp-21, 0x1.f06222803b71dp-21, 0x1.f9065d81c4fb8p-21, 0x1.00636bded79efp-20, 0x1.0472d6cdc0fc5p-20, 0x1.0869ff5d36707p-20, 0x1.0c4a48bd2243bp-20, 0x1.101aee563174fp-20, 0x1.13cff41cf38e3p-20, 0x1.1763d313420d3p-20, 0x1.1ad3c45202137p-20, 0x1.1e51fb896916bp-20, 0x1.21a5a6d841535p-20, 0x1.24e4bdefbb095p-20, 0x1.2812da890a13bp-20, 0x1.2b1a440a0254bp-20, 0x1.2e1be29383914p-20, 0x1.31134ba1abfe9p-20, 0x1.33e064e6949a8p-20, 0x1.368fe9059e557p-20, 0x1.3921ff84aad93p-20, 0x1.3bb683e002639p-20, 0x1.3e2b74a79068ap-20, 0x1.40a23327e33aep-20, 0x1.430497a4e6f59p-20, 0x1.453221d513c1cp-20, 0x1.475ef3f176b2ep-20, 0x1.497f0b8e84af8p-20, 0x1.4b7b8eaef1db8p-20, 0x1.4d6437a996c4ap-20, 0x1.4f3b5b63c8e66p-20, 0x1.51047635f2d79p-20, 0x1.52d22de58c7c9p-20, 0x1.545ea36ea9d3dp-20, 0x1.55ee46097176cp-20, 0x1.57696d0e59205p-20, 0x1.58d3461bdca8dp-20, 0x1.5a213c591311dp-20, 0x1.5b7d495047828p-20, 0x1.5cb85fd04e96bp-20, 0x1.5ddfe4c2e519ap-20, 0x1.5ecf1a6bf291ap-20, 0x1.5ff8b669086fap-20, 0x1.60f2567449b95p-20, 0x1.61f0b3ddbb1f4p-20, 0x1.62a04bfedd975p-20, 0x1.634fb05d0ba87p-20, 0x1.63ede06b086a9p-20, 0x1.649e29bd43e04p-20, 0x1.65453fc790339p-20, 0x1.65cc3a99d6e5p-20, 0x1.6643ab8763f19p-20, 0x1.66a16c41a8045p-20, 0x1.670457a64c92p-20, 0x1.675c4df59cc7p-20, 0x1.678141f4956c5p-20, 0x1.67a3d5d6d8f6cp-20, 0x1.67c916e09a90fp-20, 0x1.67de610ff815p-20, 0x1.67ea0b6e648f2p-20, 0x1.67f202176ebb5p-20, 0x1.67da93e901a42p-20, 0x1.67b56b4294d0ap-20, 0x1.67913f2f18dfdp-20, 0x1.6743a51095efp-20, 0x1.66fd2d033e1d3p-20, 0x1.66a5c90ec79d9p-20, 0x1.664662110346fp-20, 0x1.65d9897830328p-20, 0x1.656b55ae017edp-20, 0x1.64fed0b7b0b4ap-20, 0x1.645abf89667c6p-20, 0x1.63c295f8d9082p-20, 0x1.63210c3a34e2cp-20, 0x1.6275c9271a531p-20, 0x1.61ba3b39558fcp-20, 0x1.6106f3895740dp-20, 0x1.60462ff2e4358p-20, 0x1.5f5d6f316b2a4p-20, 0x1.5e84dc9df59c5p-20, 0x1.5d9ec2651cc2cp-20, 0x1.5cad9be69c4b6p-20, 0x1.5bb4c77924bb3p-20, 0x1.5aa2b0c96f40fp-20, 0x1.59ab18d684935p-20, 0x1.588fc34049afap-20, 0x1.576af79abf6b1p-20, 0x1.5654fb7583ff6p-20, 0x1.552a9a9e5dc87p-20, 0x1.53ebb9632cc78p-20, 0x1.528e061d78a3cp-20, 0x1.51708908f90dp-20, 0x1.5029c845a6b1ap-20, 0x1.4ed848c9073a9p-20, 0x1.4d7b0ed352ccep-20, 0x1.4c166cefb6fecp-20, 0x1.4ab04826fac97p-20, 0x1.494eafd39b13p-20, 0x1.47d3c547531c1p-20, 0x1.46563e0034cfep-20, 0x1.44dbf4e23c00ep-20, 0x1.435f8e874ccafp-20, 0x1.41c20dd31d79ap-20, 0x1.4047e6023b6dcp-20, 0x1.3ea2875552c13p-20, 0x1.3d032036de99fp-20, 0x1.3b5fb08c2cc6fp-20, 0x1.39ba2cad69d6p-20, 0x1.380cdf62a549fp-20, 0x1.365d58931e26bp-20, 0x1.348f7ba0819bcp-20, 0x1.32ef79b2d6f72p-20, 0x1.312932b896932p-20, 0x1.2f675e6e7955p-20, 0x1.2da44729eb219p-20, 0x1.2bd94251971e5p-20, 0x1.2a087586cb891p-20, 0x1.2835029344ea9p-20, 0x1.265922587e7b8p-20, 0x1.247ff713e1c1ap-20, 0x1.2298f3fe3d5bep-20, 0x1.20c6d049ab0ffp-20, 0x1.1eddf9a52cb22p-20, 0x1.1cf94efdf6b8cp-20, 0x1.1b09cc559018cp-20, 0x1.191dde9bc9641p-20, 0x1.172f75ce6ee87p-20, 0x1.1542191ae010fp-20, 0x1.13451f13cff8p-20, 0x1.116b50e9e8622p-20, 0x1.0f52dc15c9c59p-20, 0x1.0d60e77b0d597p-20, 0x1.0b651263df42fp-20, 0x1.0964a34ba4555p-20, 0x1.075b4f18580ddp-20, 0x1.0557d8d7c794ap-20, 0x1.034e20b5e4b5ep-20, 0x1.014d90e9e26d9p-20, 0x1.fe77d5856e903p-21, 0x1.fa7296cd9ca42p-21, 0x1.f65a57ce75866p-21, 0x1.f27090d24125dp-21, 0x1.ee2d94e5e3822p-21, 0x1.ea20ae050e1f7p-21, 0x1.e5f2fd2cee648p-21, 0x1.e1ca162e1c284p-21, 0x1.dda8e7e9ffa98p-21, 0x1.d98642254df56p-21, 0x1.d55871ed16c92p-21, 0x1.d12ec91239152p-21, 0x1.cd05ae022636ap-21, 0x1.c8fc5d9beae8bp-21, 0x1.c4d495d654723p-21, 0x1.c0a3eff6c3f2dp-21, 0x1.bc76677f9e973p-21, 0x1.b844b4135dd51p-21, 0x1.b42156e77973fp-21, 0x1.aff5906bc69f1p-21, 0x1.abd17c204f2b3p-21, 0x1.a79aefd65c738p-21, 0x1.a3859c034d41ap-21, 0x1.9f49e558ffb5p-21, 0x1.9b34ac2758314p-21, 0x1.970dcc5b7283cp-21, 0x1.92ee0499fb67cp-21, 0x1.8ec09ebbe9923p-21, 0x1.8a9f33af4b8c6p-21, 0x1.867c47aee1176p-21, 0x1.826397c9ef702p-21, 0x1.7e5fe1680d574p-21, 0x1.7a1a389d62ebap-21, 0x1.7603d1059e679p-21, 0x1.71ec7e2c9604bp-21, 0x1.6df073a2c2d78p-21, 0x1.69de06967726ep-21, 0x1.65ba3317c4f4ep-21, 0x1.61b65b99a4ea3p-21, 0x1.5dacf78c225e4p-21, 0x1.5980d11cbd198p-21, 0x1.5595ada7990c8p-21, 0x1.51872266acd6fp-21, 0x1.4d99fe26b8a5fp-21, 0x1.49a1c8adb5e6dp-21, 0x1.45b5ae9de7931p-21, 0x1.41ac3ef943fdp-21, 0x1.3db1ce2285387p-21, 0x1.39b8ca7aa20afp-21, 0x1.35cc07705d556p-21, 0x1.31e60850966cbp-21, 0x1.2e08d9bc7b20cp-21, 0x1.2a2ac805647ep-21, 0x1.264e05e600ba5p-21, 0x1.22638526ab21cp-21, 0x1.1e931c208b773p-21, 0x1.1ab5c279caa02p-21, 0x1.16ef2d31ddcacp-21, 0x1.1319cb50e4202p-21, 0x1.0f5eb29726cf5p-21, 0x1.0b96ea3c211dep-21, 0x1.07d0364f996c8p-21, 0x1.041d35121fe8ep-21, 0x1.00704bf0529c5p-21, 0x1.f96bdc9c9df07p-22, 0x1.f2156ac0e1853p-22, 0x1.eacdb36a8e6f6p-22, 0x1.e37e995cd70e8p-22, 0x1.dc50de040db68p-22, 0x1.d524f151ab12dp-22, 0x1.cdea3c10d62efp-22, 0x1.c6c045d2a938bp-22, 0x1.bfac8c7b90f18p-22, 0x1.b89b46a802b4cp-22, 0x1.b192dcee834cbp-22, 0x1.aa6e1b1b7da86p-22, 0x1.a3bb1d683ee98p-22, 0x1.9d05bfe1c6d2p-22, 0x1.95e33317b945ap-22, 0x1.8f2c95faa1bd5p-22, 0x1.8861ba68bd938p-22, 0x1.81959a7366ba6p-22, 0x1.7ad2e202a05b7p-22, 0x1.7438c76a5d09ep-22, 0x1.6d9a912934e23p-22, 0x1.671466036a785p-22, 0x1.6085033cf0278p-22, 0x1.59f9e4a4989ap-22, 0x1.5373c87b3173p-22, 0x1.4d00e13c52641p-22, }}, 
      std::vector<double>(900, 0.0), 
      {{-0x1.1c274727bb659p-9, -0x1.152de23b43668p-7, -0x1.fd38bc0b40a29p-7, -0x1.386c1220bdab6p-6, -0x1.0c0ad671d38ebp-6, -0x1.bafa87c8919ccp-8, 0x1.1ffb0b6f3becp-7, 0x1.d08b8c3e9e4fep-6, 0x1.961bd272ae71cp-5, 0x1.1efec267cb25fp-4, 0x1.6738f268b261cp-4, 0x1.9ca15845f894bp-4, 0x1.b9fd33d9aa43ap-4, 0x1.bbf28057d24fep-4, 0x1.a0e1e340c14ecp-4, 0x1.68abd83de1f0dp-4, 0x1.146d2468165fap-4, 0x1.4c74a09272de4p-5, 0x1.06f6cd5a08f22p-7, -0x1.e174cd774b146p-6, -0x1.21e803c77a4bdp-4, -0x1.d810a53d62037p-4, -0x1.4b94eecbf1c0bp-3, -0x1.add2d3149b0c1p-3, -0x1.088a82967c32cp-2, -0x1.39e80df4490d7p-2, -0x1.6a4fa26a67c03p-2, -0x1.992397743ec75p-2, -0x1.c5db9d4ae16aap-2, -0x1.f004a5cc0a751p-2, -0x1.0ba020a59650cp-1, -0x1.1da1cb3792da9p-1, -0x1.2deb099cfde8cp-1, -0x1.3c67f39c95a53p-1, -0x1.490c380d19e32p-1, -0x1.53d246333f4ecp-1, -0x1.5cba7fda7b5fdp-1, -0x1.63ca6e1a7eb8dp-1, -0x1.690c004179ab8p-1, -0x1.6c8cda1e6405bp-1, -0x1.6e5daf9869e05p-1, -0x1.6e91ab9eb8524p-1, -0x1.6d3deb0db4d55p-1, -0x1.6a7906a019cd1p-1, -0x1.665aa4182bdddp-1, -0x1.60fb156614b8dp-1, -0x1.5a730a82d6625p-1, -0x1.52db4ac29cd9ap-1, -0x1.4a4c72844a37cp-1, -0x1.40debac163b4ep-1, -0x1.36a9cdfa174eap-1, -0x1.2bc4a64b7f907p-1, -0x1.20456f1a41e23p-1, -0x1.14416a75d89c4p-1, -0x1.07ccdc115f4ddp-1, -0x1.f5f5f91a76aeep-2, -0x1.dbbbe4dc4ab9ap-2, -0x1.c10d9d1f500d9p-2, -0x1.a60b157208716p-2, -0x1.8ad212bf3dcf7p-2, -0x1.6f7e2fdf938a5p-2, -0x1.5428e747b6f02p-2, -0x1.38e9a155426fdp-2, -0x1.1dd5c68beb796p-2, -0x1.0300d338890ap-2, -0x1.d0f8d9228c3bdp-3, -0x1.9cb0ec9b1a7adp-3, -0x1.69464f5c44771p-3, -0x1.36d244c2b6d53p-3, -0x1.056b106132623p-3, -0x1.aa484a54c49b4p-4, -0x1.4c1ca29183d88p-4, -0x1.e0dfb077d4b4ep-5, -0x1.2eb4084e14522p-5, -0x1.03bbf689f395ep-6, 0x1.2c152f156fc46p-8, 0x1.8eaa9cd8b99c1p-6, 0x1.63881e7858d71p-5, 0x1.fa0f56f04cda6p-5, 0x1.45726a3809b09p-4, 0x1.8b03c6a099d92p-4, 0x1.cdbd8de9f0803p-4, 0x1.06d1d3169197bp-3, 0x1.255dec437bc4ep-3, 0x1.4286cf6c9e61ap-3, 0x1.5e50fb0a5e2dcp-3, 0x1.78c1986a6b677p-3, 0x1.91de6757a3707p-3, 0x1.a9adab8c7b30bp-3, 0x1.c0361a63edf6dp-3, 0x1.d57ecb42ea6e3p-3, 0x1.e98f27b8be856p-3, 0x1.fc6ede32d8712p-3, 0x1.0712ea929a499p-2, 0x1.0f5e0f90b9a47p-2, 0x1.171cf8323d966p-2, 0x1.1e53ca6086d43p-2, 0x1.2506b3a5d6226p-2, 0x1.2b39e4e517fb5p-2, 0x1.30f18eea50efp-2, 0x1.3631df1d28884p-2, 0x1.3afefc7e78b47p-2, 0x1.3f5d051ce9df5p-2, 0x1.43500bbf7c15cp-2, 0x1.46dc15f48e17cp-2, 0x1.4a051a0c9900dp-2, 0x1.4ccefda5a11f8p-2, 0x1.4f3d945d7d06cp-2, 0x1.51549e9146677p-2, 0x1.5317c83f30aedp-2, 0x1.548aa895e1b72p-2, 0x1.55b0c09ea5c39p-2, 0x1.568d7b76be10fp-2, 0x1.57242d58fdcf4p-2, 0x1.57781335c314cp-2, 0x1.578c5314a1c2dp-2, 0x1.5763fb737a19cp-2, 0x1.5702034a6e081p-2, 0x1.56694a669192ep-2, 0x1.559c9925894a8p-2, 0x1.549ea0d32eb95p-2, 0x1.5371fbf62e5b2p-2, 0x1.52192e60241a8p-2, 0x1.5096a589338p-2, 0x1.4eecb93e451f6p-2, 0x1.4d1dab7a47aep-2, 0x1.4b2ba91a9d2c8p-2, 0x1.4918ca6639fa2p-2, 0x1.46e713696eb6ep-2, 0x1.449874251e893p-2, 0x1.422ec9949e89ep-2, 0x1.3fabddcf0d7edp-2, 0x1.3d116889ddf8fp-2, 0x1.3a610f99d50f8p-2, 0x1.379c67d75bf95p-2, 0x1.34c4f50980c1fp-2, 0x1.31dc2a97b4ea8p-2, 0x1.2ee36c6dc0e5p-2, 0x1.2bdc0f1f054f1p-2, 0x1.28c7582d02afcp-2, 0x1.25a67f0f1d1d2p-2, 0x1.227aad6a1f347p-2, 0x1.1f44ff72679dep-2, 0x1.1c0684704e27fp-2, 0x1.18c03f56c95e6p-2, 0x1.157327273bacp-2, 0x1.1220273b86d9cp-2, 0x1.0ec81fcd927cfp-2, 0x1.0b6be66c4e2e3p-2, 0x1.080c467166c0bp-2, 0x1.04aa011acce03p-2, 0x1.0145ce2dadd0fp-2, 0x1.fbc0b89c2bbd5p-3, 0x1.f4f4a2c693961p-3, 0x1.ee289578c998dp-3, 0x1.e75dbaebde2a4p-3, 0x1.e0952e33217f2p-3, 0x1.d9cffb405f496p-3, 0x1.d30f1f7174c7fp-3, 0x1.cc538a6a2d48ap-3, 0x1.c59e1ea9ff87ap-3, 0x1.beefb228b231cp-3, 0x1.b8490e7ecea71p-3, 0x1.b1aaf19bf10dp-3, 0x1.ab160e4b39b96p-3, 0x1.a48b0cd795145p-3, 0x1.9e0a8b3f06666p-3, 0x1.97951d8ef5ac2p-3, 0x1.912b4e64f7576p-3, 0x1.8acd9fa97de1fp-3, 0x1.847c8a903fd5fp-3, 0x1.7e38800a128a5p-3, 0x1.7801e92495f9ap-3, 0x1.71d927680ca63p-3, 0x1.6bbe953b7a892p-3, 0x1.65b2862bc6bebp-3, 0x1.5fb5472ef97a6p-3, 0x1.59c71ed31ba81p-3, 0x1.53e84dbbea8cdp-3, 0x1.4e190ef98af4fp-3, 0x1.485997e004d9fp-3, 0x1.42aa18aafe86fp-3, 0x1.3d0abcaf2feedp-3, 0x1.377baa4a23e16p-3, 0x1.31fd037119b7dp-3, 0x1.2c8ee5cbd951cp-3, 0x1.27316ad15b067p-3, 0x1.21e4a806a6bbfp-3, 0x1.1ca8af30c4255p-3, 0x1.177d8e867b802p-3, 0x1.126350d7b2631p-3, 0x1.0d59fdbf72d9ep-3, 0x1.086199b7fef43p-3, 0x1.037a26421dbe3p-3, 0x1.fd47444708f3dp-4, 0x1.f3bc12fcd8849p-4, 0x1.ea52abd0e172ep-4, 0x1.e10afd257fe33p-4, 0x1.d7e4f0d7120c9p-4, 0x1.cee06c7c3ff3dp-4, 0x1.c5fd518d0ad1bp-4, 0x1.bd3b7d96aba7ap-4, 0x1.b49aca95dbddp-4, 0x1.ac1b0f2af8706p-4, 0x1.a3bc1e8604661p-4, 0x1.9b7dc8c7ad6e4p-4, 0x1.935fdb29fa4b1p-4, 0x1.8b62202d07809p-4, 0x1.83845fcb17b36p-4, 0x1.7bc65f83cb951p-4, 0x1.7427e29afcc2ap-4, 0x1.6ca8aa2698002p-4, 0x1.65487536bbe44p-4, 0x1.5e070113911bdp-4, 0x1.56e4095c8f087p-4, 0x1.4fdf479cec49dp-4, 0x1.48f874aa78865p-4, 0x1.422f47560ba9fp-4, 0x1.3b837554645cfp-4, 0x1.34f4b33b817c8p-4, 0x1.2e82b48383fc9p-4, 0x1.282d2ba28f872p-4, 0x1.21f3ca3a6ad17p-4, 0x1.1bd641187b08dp-4, 0x1.15d4404af8f2ap-4, 0x1.0fed773b588b9p-4, 0x1.0a2194c00dd7p-4, 0x1.047047347b87p-4, 0x1.fdb2791558052p-5, 0x1.f2b844d60c287p-5, 0x1.e7f14be516f5cp-5, 0x1.dd5ce8abe62c9p-5, 0x1.d2fa74cfa0bfp-5, 0x1.c8c949eb3cb39p-5, 0x1.bec8c14eb865ap-5, 0x1.b4f83467868dap-5, 0x1.ab56fcb9a2041p-5, 0x1.a1e473e67bc0dp-5, 0x1.989ff3dc5817fp-5, 0x1.8f88d6d3165bp-5, 0x1.869e7783d75a6p-5, 0x1.7de0313a72dd5p-5, 0x1.754d5f8debb4bp-5, 0x1.6ce55f18c886fp-5, 0x1.64a78ce913bdap-5, 0x1.5c9346de4f342p-5, 0x1.54a7ec4790ac7p-5, 0x1.4ce4dbf5a13a8p-5, 0x1.454977453941cp-5, 0x1.3dd51fa7c2db9p-5, 0x1.368737c7b88p-5, 0x1.2f5f237fabd5fp-5, 0x1.285c47c878446p-5, 0x1.217e0ace80571p-5, 0x1.1ac3d3fc8bc5ep-5, 0x1.142d0bf2c578bp-5, 0x1.0db91c90c294fp-5, 0x1.0767713983038p-5, 0x1.01377659cff98p-5, 0x1.f65134a135c88p-6, 0x1.ea74987789755p-6, 0x1.ded7fa2c36c73p-6, 0x1.d37a3e71ee6f9p-6, 0x1.c85a4cce8a084p-6, 0x1.bd770f7bae4bep-6, 0x1.b2cf74bdbbd65p-6, 0x1.a8626d34b235cp-6, 0x1.9e2eebf9c5009p-6, 0x1.9433e8472a5cfp-6, 0x1.8a705c1ae0378p-6, 0x1.80e344937cf95p-6, 0x1.778ba1e93c9bfp-6, 0x1.6e6877824d648p-6, 0x1.6578cc4784b8ep-6, 0x1.5cbba9a6adb3p-6, 0x1.54301cd4708e9p-6, 0x1.4bd5363b42f65p-6, 0x1.43aa09190f7cdp-6, 0x1.3badac3a362bfp-6, 0x1.33df39a215e31p-6, 0x1.2c3dcdd326f2ap-6, 0x1.24c889a71621ap-6, 0x1.1d7e90594a0d6p-6, 0x1.165f085ed1544p-6, 0x1.0f691c01ee259p-6, 0x1.089bf7ebd5192p-6, 0x1.01f6cca23500fp-6, 0x1.f6f19a22fc894p-7, 0x1.ea425fefbc6e8p-7, 0x1.ddde5ce046be8p-7, 0x1.d1c40a7e2004ep-7, 0x1.c5f1e7e754599p-7, 0x1.ba667aa449d15p-7, 0x1.af204ef9b9dbcp-7, 0x1.a41df5ccaad3bp-7, 0x1.995e07e2d9aa8p-7, 0x1.8edf21a531e23p-7, 0x1.849fe6c38fe44p-7, 0x1.7a9f00d721983p-7, 0x1.70db1c997191ap-7, 0x1.6752f07336c2dp-7, 0x1.5e0535031782ap-7, 0x1.54f0ac3298f8ap-7, 0x1.4c141c26fd843p-7, 0x1.436e4fb985efcp-7, 0x1.3afe176cc07a6p-7, 0x1.32c24b9a3cf8dp-7, 0x1.2ab9c3d8ac509p-7, 0x1.22e363fc59ad9p-7, 0x1.1b3e0abc6c812p-7, 0x1.13c8a8f31d4b7p-7, 0x1.0c822ab8105d8p-7, 0x1.0569865e8a043p-7, 0x1.fcfb6f7e0fa65p-8, 0x1.ef7b7f6ec42dbp-8, 0x1.e251460a4b352p-8, 0x1.d57ad6eba9b3fp-8, 0x1.c8f64ad911874p-8, 0x1.bcc1c33d02701p-8, 0x1.b0db68e50fc09p-8, 0x1.a5416e671f572p-8, 0x1.99f20fd228e6fp-8, 0x1.8eeb94d12cca8p-8, 0x1.842c532697e6bp-8, 0x1.79b2a8650694dp-8, 0x1.6f7cfe822c10cp-8, 0x1.6589c47967a7bp-8, 0x1.5bd76fb5dbc6ep-8, 0x1.526479a412b41p-8, 0x1.492f5f13f03dep-8, 0x1.4036a2b8d8683p-8, 0x1.3778cde02288dp-8, 0x1.2ef474074fd92p-8, 0x1.26a8343c173ebp-8, 0x1.1e92bb3411a66p-8, 0x1.16b2bfd698e4p-8, 0x1.0f0705463813bp-8, 0x1.078e52c95285dp-8, 0x1.004776059fbe5p-8, 0x1.f26276f22f1a5p-9, 0x1.e494df3f84ba2p-9, 0x1.d723c227550fcp-9, 0x1.ca0cc2794addp-9, 0x1.bd4d963176c8cp-9, 0x1.b0e3fb3664b02p-9, 0x1.a4cdde20620b5p-9, 0x1.9909358a667fp-9, 0x1.8d94169795fe3p-9, 0x1.826ca60c858d8p-9, 0x1.7791127cb2c6ap-9, 0x1.6cff8bc4ebd53p-9, 0x1.62b63aa00214ep-9, 0x1.58b34588d2f82p-9, 0x1.4ef4cb2dd1f27p-9, 0x1.4578f892dd689p-9, 0x1.3c3df8436507ap-9, 0x1.334220952b5a1p-9, 0x1.2a83cf4c83e58p-9, 0x1.2201817d8975cp-9, 0x1.19b9c5bebf31dp-9, 0x1.11ab3b4834295p-9, 0x1.09d4871818de6p-9, 0x1.02344deb735dcp-9, 0x1.f5925e5e72141p-10, 0x1.e7238575e3adap-10, 0x1.d9193cb5340f7p-10, 0x1.cb70b0f40e8afp-10, 0x1.be27350493ae4p-10, 0x1.b13a29538a81ep-10, 0x1.a4a74beb608a6p-10, 0x1.986c414fdb154p-10, 0x1.8c86f44e8cddep-10, 0x1.80f53fbfff039p-10, 0x1.75b5044d583d3p-10, 0x1.6ac427c8fc7a4p-10, 0x1.60208c4afbc53p-10, 0x1.55c81835b262ep-10, 0x1.4bb8b23f2c37ap-10, 0x1.41f04d494e74cp-10, 0x1.386cf0da480a2p-10, 0x1.2f2cc85f6b6d3p-10, 0x1.262e298a5531fp-10, 0x1.1d6f8f4c76b95p-10, 0x1.14ef7ab3b17fdp-10, 0x1.0cac83924c96p-10, 0x1.04a4e89587e54p-10, 0x1.f9adf0f6df094p-11, 0x1.ea81dae4cc503p-11, 0x1.dbc1fabf80074p-11, 0x1.cd6affaa54befp-11, 0x1.bf79dac472729p-11, 0x1.b1ebc28886dd5p-11, 0x1.a4be233f55569p-11, 0x1.97eea595bc34ep-11, 0x1.8b7b2872fa73cp-11, 0x1.7f61c98a1bb5ap-11, 0x1.73a0c7ce7b691p-11, 0x1.6836511289e43p-11, 0x1.5d20489438b9bp-11, 0x1.525c1fda26048p-11, 0x1.47e6e80ff0621p-11, 0x1.3dbd810f43f9ep-11, 0x1.33dcfab32cfe5p-11, 0x1.2a42e7e79cafep-11, 0x1.20ed0b6e77e3ep-11, 0x1.17d9e2ee902e7p-11, 0x1.0f07e79e6053fp-11, 0x1.0675beb2b883cp-11, 0x1.fc441ab23bebcp-12, 0x1.ec16f12e7b5c5p-12, 0x1.dc61c5e6d904dp-12, 0x1.cd223fa53641ep-12, 0x1.be55ed38b49b3p-12, 0x1.aff9ba6d43365p-12, 0x1.a209dbcfebe47p-12, 0x1.9481c7cce036dp-12, 0x1.875ce6c40cfe5p-12, 0x1.7a9717b707fd2p-12, 0x1.6e2d2e239a4cep-12, 0x1.621cdead38048p-12, 0x1.56645450c17dbp-12, 0x1.4b01b6f51a3a3p-12, 0x1.3ff2ee6960ce3p-12, 0x1.3535baf72de82p-12, 0x1.2ac81f5965d22p-12, 0x1.20a7ea6014d48p-12, 0x1.16d4228dcfd5ep-12, 0x1.0d4b2735ad907p-12, 0x1.040ba606e6265p-12, 0x1.f626a56ede2c2p-13, 0x1.e4bff1b5ae781p-13, 0x1.d3dd9c68753a8p-13, 0x1.c37a968bf9b8dp-13, 0x1.b3926d2205b7dp-13, 0x1.a421a46030e8dp-13, 0x1.9524c2ce2d26ap-13, 0x1.869829f8d509ep-13, 0x1.7877ecc0ea331p-13, 0x1.6ac03322c9387p-13, 0x1.5d6d75f70fac7p-13, 0x1.507d404d0fa5bp-13, 0x1.43ede9082c5c8p-13, 0x1.37be5e06a6e34p-13, 0x1.2bed6bded1172p-13, 0x1.2079315298948p-13, 0x1.155f3d9e40f7cp-13, 0x1.0a9d17c4d266fp-13, 0x1.0030b1f17274ep-13, 0x1.ec30db3f51316p-14, 0x1.d8a405030c976p-14, 0x1.c5b586c6f2c99p-14, 0x1.b35c9c27b309p-14, 0x1.a1904e8a8181p-14, 0x1.9048ec3de614dp-14, 0x1.7f80d51c1adbcp-14, 0x1.6f3547429247fp-14, 0x1.5f6464d2438dp-14, 0x1.500cb56af066ap-14, 0x1.412d79084aba6p-14, 0x1.32c5e242c4a45p-14, 0x1.24d3d3007184fp-14, 0x1.1753935103bb2p-14, 0x1.0a417b85501e2p-14, 0x1.fb373dad2fe5dp-15, 0x1.e2c31f0ff0267p-15, 0x1.cb2563b10b25fp-15, 0x1.b458bcdff4353p-15, 0x1.9e53e6bc3535ap-15, 0x1.8909dac6f45e8p-15, 0x1.746a9cfcacf13p-15, 0x1.60686a553fa8cp-15, 0x1.4cfc8b5915945p-15, 0x1.3a289c43c8628p-15, 0x1.27ee9c27e0e14p-15, 0x1.164d3035d5b0bp-15, 0x1.0540ffa234a5cp-15, 0x1.e98fda7ffdc6dp-16, 0x1.c9bf9f153d8ap-16, 0x1.ab090f6f8d7d9p-16, 0x1.8d66e1bf0970dp-16, 0x1.70cba06fc411dp-16, 0x1.55384c8bb7fp-16, 0x1.3aa5f1dda8bbp-16, 0x1.210d4f6a1774cp-16, 0x1.086be1b00a1ep-16, 0x1.e16d64026ae0dp-17, 0x1.b3c7f73c1ba7ep-17, 0x1.87cc090d64d43p-17, 0x1.5d49b971274e1p-17, 0x1.342ae608dcb86p-17, 0x1.0c7ab026e8cfcp-17, 0x1.cc9668e79b3d7p-18, 0x1.832af439ca83bp-18, 0x1.3c89cc8556079p-18, 0x1.f146284ba0135p-19, 0x1.6eeb8373693bp-19, 0x1.e3e1b2e08800ep-20, 0x1.e8cb2a1d7e4bp-21, 0x1.dfac7a7e692c4p-25, -0x1.999ec3e929e11p-21, -0x1.9f688348c23c8p-20, -0x1.349b32382dfe4p-19, -0x1.951859ceceec3p-19, -0x1.f12c90243b53fp-19, -0x1.247215330987dp-18, -0x1.4e36692ea342fp-18, -0x1.75fbc5bd700d7p-18, -0x1.9bef15f211464p-18, -0x1.c03875fb4541fp-18, -0x1.e2d5e4b44c988p-18, -0x1.01d536ae0edcdp-17, -0x1.1167478c7306p-17, -0x1.2029cd903c2c2p-17, -0x1.2e20a34e561cdp-17, -0x1.3b437781fc757p-17, -0x1.479c4463e150ep-17, -0x1.533559b3de47p-17, -0x1.5e1a96186b36bp-17, -0x1.6853f3436fd0ep-17, -0x1.71e92f450d101p-17, -0x1.7ada2d5742288p-17, -0x1.832d32dcb4abap-17, -0x1.8adef95c99cf3p-17, -0x1.91f2d1b037c2fp-17, -0x1.986cc62ddf972p-17, -0x1.9e4ca57a9f841p-17, -0x1.a3a0cd58a9a07p-17, -0x1.a86f6379fd47bp-17, -0x1.acc1f4387b1acp-17, -0x1.b09c57f1916d2p-17, -0x1.b3f8310dc6649p-17, -0x1.b6d9f8af251dap-17, -0x1.b9565a50f9317p-17, -0x1.bb56ceb42c015p-17, -0x1.bce1be66d08e9p-17, -0x1.be01428893ea9p-17, -0x1.bebe1d2228903p-17, -0x1.bf1c8cf48ba03p-17, -0x1.bf1e569e6d5bep-17, -0x1.bec45aa5d250ap-17, -0x1.be116127ceeeap-17, -0x1.bd080adbd77f5p-17, -0x1.bbaac0bb84a1p-17, -0x1.b9fbd017d439ep-17, -0x1.b7fbb1eeddd11p-17, -0x1.b5a89664bd10dp-17, -0x1.b3109f4229116p-17, -0x1.b030446a020dap-17, -0x1.ad0e0f69c7a85p-17, -0x1.a9a8b5c06ade2p-17, -0x1.a601d16b6b416p-17, -0x1.a22516383db0ap-17, -0x1.9e0dcf44c4eeap-17, -0x1.99bd209e986eep-17, -0x1.95304a0fac6aep-17, -0x1.906d76719b36bp-17, -0x1.8b7d50ef52d01p-17, -0x1.865d8f6b2ae23p-17, -0x1.810ffa712042dp-17, -0x1.7b971129d705ap-17, -0x1.75f3c3dc5b563p-17, -0x1.7027537b2349cp-17, -0x1.6a34546ae92d9p-17, -0x1.641e5d8cad3c9p-17, -0x1.5de04ba334fadp-17, -0x1.5782d10ce533p-17, -0x1.5104493230443p-17, -0x1.4a6593eed10abp-17, -0x1.43a95fe7fe346p-17, -0x1.3cd404accdae1p-17, -0x1.35e22428ecd52p-17, -0x1.2ed81057838a2p-17, -0x1.27b61808b403dp-17, -0x1.208091c603395p-17, -0x1.19362c758725cp-17, -0x1.11d73c9583065p-17, -0x1.0a65ca036be1ap-17, -0x1.02e47cff7c73ep-17, -0x1.f6a8d28e092d1p-18, -0x1.e76d077ede585p-18, -0x1.d8153a900088ep-18, -0x1.c8a09fd52fd26p-18, -0x1.b923b1f663a92p-18, -0x1.a989d712510aap-18, -0x1.99e0c4c1a8003p-18, -0x1.8a273c4926009p-18, -0x1.7a60e5e32a937p-18, -0x1.6a8f1bc3fe12cp-18, -0x1.5ab319da6da5fp-18, -0x1.4acf64bb38dc7p-18, -0x1.3ade67876f14bp-18, -0x1.2af653979f02fp-18, -0x1.1b039ff17d15fp-18, -0x1.0b128d8759534p-18, -0x1.f643d3793a455p-19, -0x1.d665e891ec91fp-19, -0x1.b68598b2fb91fp-19, -0x1.96c72b5c4a408p-19, -0x1.7709601106a37p-19, -0x1.575c709f4de1p-19, -0x1.37bd63e5ea9f1p-19, -0x1.1844f502271cep-19, -0x1.f1b9bb0bae829p-20, -0x1.b325daf020f98p-20, -0x1.74bf908b59f78p-20, -0x1.36a27d7e3e10dp-20, -0x1.f193da437a648p-21, -0x1.7678db6be682fp-21, -0x1.f7f62b50d0902p-22, -0x1.043d1e253e34fp-22, -0x1.1eddde50ee5d4p-26, 0x1.bd97c19cff37dp-23, 0x1.ce3380849dc61p-22, 0x1.5e2a94f45614dp-21, 0x1.d44a8db950426p-21, 0x1.24d1852be89edp-20, 0x1.5f0eaea514184p-20, 0x1.98d8cccc2dbbp-20, 0x1.d22b3db639f21p-20, 0x1.0585cd7699d7ep-19, 0x1.21b89e07fe36bp-19, 0x1.3dadbfd86b23bp-19, 0x1.5969b4508845dp-19, 0x1.74d5663c352dfp-19, 0x1.9004369af8433p-19, 0x1.aaefaa6eb8812p-19, 0x1.c5968d6ec2e17p-19, 0x1.dff7cb11809bap-19, 0x1.fa1211c307e38p-19, 0x1.09f63d6bc4adbp-18, 0x1.16b36e7f1d13dp-18, 0x1.2352e62dd82fbp-18, 0x1.2fcc8e0a77129p-18, 0x1.3c2357fc4222p-18, 0x1.484a087d9457bp-18, 0x1.544753b964d7fp-18, 0x1.602a4f95c17e5p-18, 0x1.6be1b3e161a14p-18, 0x1.776e5e2a0bb85p-18, 0x1.82d3e153d19fcp-18, 0x1.8e109b4f253f6p-18, 0x1.992437d680004p-18, 0x1.a40e7eeede1e3p-18, 0x1.aece8a55ffa5ep-18, 0x1.b963f3978ad57p-18, 0x1.c3d144617e1dep-18, 0x1.ce136d909d4a6p-18, 0x1.d82a88531ac4bp-18, 0x1.e21a76e39aa0fp-18, 0x1.ebdced5120f25p-18, 0x1.f5742df5ad4ccp-18, 0x1.fee01f86ae287p-18, 0x1.0410aaed84d73p-17, 0x1.089c3aa60651cp-17, 0x1.0d11d1334a45cp-17, 0x1.117146f327d7ap-17, 0x1.15ba30bf7a01ap-17, 0x1.19f027ce9bc86p-17, 0x1.1e0df4196c10bp-17, 0x1.2216f1d9f6bfep-17, 0x1.260a92c159869p-17, 0x1.29e6da34feaffp-17, 0x1.2dae7a4a2ea32p-17, 0x1.31600a72b987p-17, 0x1.34fbe08019cc4p-17, 0x1.388233ec19b7bp-17, 0x1.3bf28da9040bep-17, 0x1.3f4d3af4332cfp-17, 0x1.42955eb42795fp-17, 0x1.45c2e01851a1cp-17, 0x1.48dcfe9b305c9p-17, 0x1.4be4a3e047f0ap-17, 0x1.4ed2353485e07p-17, 0x1.51affab56be49p-17, 0x1.547635dd7f558p-17, 0x1.5720750a253e2p-17, 0x1.59bad916310b6p-17, 0x1.5c406aa0ddc46p-17, 0x1.5eb116b1a9894p-17, 0x1.610d6f129fe2ep-17, 0x1.6354f2b531bfap-17, 0x1.65871871c9f64p-17, 0x1.67a43e1821111p-17, 0x1.69aeebef4d713p-17, 0x1.6ba427130ce6bp-17, 0x1.6d8564478367ap-17, 0x1.6f52c0222c76p-17, 0x1.710b99e41c49cp-17, 0x1.72b12e51c4e86p-17, 0x1.74442207f4ce6p-17, 0x1.75c22c94426eep-17, 0x1.772bc27dbef4bp-17, 0x1.78826d2757e54p-17, 0x1.79c6c4b1650dbp-17, 0x1.7af7a2a1d619ep-17, 0x1.7c169c3d0198ep-17, 0x1.7d22c5839af03p-17, 0x1.7e1ae253b1d59p-17, 0x1.7f0196608cf11p-17, 0x1.7fd69cf91a3fcp-17, 0x1.80981baff75b7p-17, 0x1.814805f94d44cp-17, 0x1.81e63345c8d68p-17, 0x1.8272faa6f3525p-17, 0x1.82f08ceda9667p-17, 0x1.8357e522d2e91p-17, 0x1.83b0713c253a1p-17, 0x1.83f7f0b45b1cbp-17, 0x1.842e6ccff7f04p-17, 0x1.8453b84a3f5aep-17, 0x1.846a7779fa466p-17, 0x1.846fdc6f9e542p-17, 0x1.8464fcbfa5011p-17, 0x1.84465ee9bed69p-17, 0x1.841f33bdb8a5ap-17, 0x1.83e54ee2896b1p-17, 0x1.839e104ecc9dcp-17, 0x1.8341b93a35fa9p-17, 0x1.82d7e1d0b71e9p-17, 0x1.825f57cfbce2cp-17, 0x1.81da744fe16a9p-17, 0x1.8147642ae7612p-17, 0x1.80a46b7af126p-17, 0x1.7ff3484d0e69bp-17, 0x1.7f33a53910786p-17, 0x1.7e6720fff1894p-17, 0x1.7d8d0a8f2f434p-17, 0x1.7ca3b489106bdp-17, 0x1.7bad6b8500c7bp-17, 0x1.7aab12a5f0529p-17, 0x1.799b94e3a94cfp-17, 0x1.787f6a6a3fa15p-17, 0x1.7757153c778c7p-17, 0x1.76219ca45b23ap-17, 0x1.74dff7c3dbbafp-17, 0x1.73945112a4fbfp-17, 0x1.72387875a3824p-17, 0x1.70d35a2051ce5p-17, 0x1.6f628fa33c729p-17, 0x1.6de6bbea30d73p-17, 0x1.6c5f786afc1e1p-17, 0x1.6ace022de79edp-17, 0x1.6933e34bc8cf9p-17, 0x1.67899f73ed656p-17, 0x1.65d7c0d2d2f02p-17, 0x1.641bc33e5fa25p-17, 0x1.6255e33685d52p-17, 0x1.60859fd77f37fp-17, 0x1.5eaced961696p-17, 0x1.5ccb134d7c3afp-17, 0x1.5adcd4e56f2b6p-17, 0x1.58e78f0ac4de3p-17, 0x1.56e910d9333aep-17, 0x1.54e1afa411d04p-17, 0x1.52d1d57165539p-17, 0x1.50b732cf64655p-17, 0x1.4e98d1e7ab1bep-17, 0x1.4c6fc1c63e669p-17, 0x1.4a3e85c95b7f2p-17, 0x1.4806ec48461bcp-17, 0x1.45c6f03334021p-17, 0x1.437ec83909532p-17, 0x1.412cae5e884ebp-17, 0x1.3eda26a8353a2p-17, 0x1.3c7d561d4ab53p-17, 0x1.3a1a0f861f494p-17, 0x1.37af7a5256e5ep-17, 0x1.353ea35e2a63ep-17, 0x1.32c7bef955ea3p-17, 0x1.304b358e80997p-17, 0x1.2dc7b0ea5e3c7p-17, 0x1.2b3ec2c3e2931p-17, 0x1.28b0d53da69e1p-17, 0x1.261f2951f132ep-17, 0x1.2382ec46d39d7p-17, 0x1.20e6160c46687p-17, 0x1.1e41352615cb8p-17, 0x1.1b98acdbe36b2p-17, 0x1.18eb7d208c9d1p-17, 0x1.1639d4276e6e2p-17, 0x1.138383456244bp-17, 0x1.10c933fff744dp-17, 0x1.0e07cf6baee83p-17, 0x1.0b4842767281ap-17, 0x1.08813765faf73p-17, 0x1.05b718464ca3cp-17, 0x1.02e990bc1d285p-17, 0x1.00184df057d66p-17, 0x1.fa874adaf2f24p-18, 0x1.f4d807be0215ep-18, 0x1.ef21119cb873fp-18, 0x1.e967ce523bd8fp-18, 0x1.e3a339d80b6d8p-18, 0x1.dde13d59d90dcp-18, 0x1.d8157050d7d3bp-18, 0x1.d2462891b75c6p-18, 0x1.cc7161f8ba82dp-18, 0x1.c698f414be80dp-18, 0x1.c0bc91e52c4e9p-18, 0x1.badcfb66a39c5p-18, 0x1.b4f856fea74f8p-18, 0x1.af183474264f9p-18, 0x1.a92709a8bdf69p-18, 0x1.a33b6a291f22ep-18, 0x1.9d4c43ead28cap-18, 0x1.975a70467f4c4p-18, 0x1.9165acd6ac35ap-18, 0x1.8b700bd3248b8p-18, 0x1.8578327b8601ap-18, 0x1.7f8085ceb821cp-18, 0x1.798326f057b41p-18, 0x1.738b022190344p-18, 0x1.6d8efd18b1c23p-18, 0x1.679af4889f601p-18, 0x1.619607e7debfap-18, 0x1.5b99f1622726fp-18, 0x1.559bd81381263p-18, 0x1.4f9ea75688c8bp-18, 0x1.49a2431260c05p-18, 0x1.43a6ea7fc68ccp-18, 0x1.3dab61e79b758p-18, 0x1.37b113b0d6dd4p-18, 0x1.31b86d466e78ap-18, 0x1.2bc25d7a4111cp-18, 0x1.25cc4a793de36p-18, 0x1.1fd90e476a772p-18, 0x1.19e47ba0244aap-18, 0x1.13f225ed0c444p-18, 0x1.0e05d4a1b1bc7p-18, 0x1.08196a8389e49p-18, 0x1.023063d01c626p-18, 0x1.f891044a79c16p-19, 0x1.eccc6fbf79cafp-19, 0x1.e1078e181338bp-19, 0x1.d54f99af21ee2p-19, 0x1.c99ba567a5caep-19, 0x1.bdf468dc0d169p-19, 0x1.b245bedc2baadp-19, 0x1.a6a6b34cedd83p-19, 0x1.9b0f1682d33b5p-19, 0x1.8f7fa569757bp-19, 0x1.8405373c7333cp-19, 0x1.7878544702618p-19, 0x1.6d02b9d0abfd7p-19, 0x1.619620dd55cf5p-19, 0x1.563735a3ee129p-19, 0x1.4ade6cbe675ebp-19, 0x1.3f8bd1664d9bdp-19, 0x1.34479442515fep-19, 0x1.290d97736bc21p-19, 0x1.1dd127c776134p-19, 0x1.12b63e19f305cp-19, 0x1.07982a4bcda4cp-19, 0x1.f918a2c55aa19p-20, 0x1.e312fea4d0c52p-20, 0x1.cd31ad6a830f7p-20, 0x1.b745dc6c09cb8p-20, 0x1.a181e2b128c5ep-20, 0x1.8bd6b189fcfa9p-20, 0x1.764734aa8d6ccp-20, 0x1.60d044f5ee12ap-20, 0x1.4b75717f1c1f1p-20, 0x1.36328f2ac703cp-20, 0x1.210a980acd58ep-20, 0x1.0bf6549b5a9c7p-20, 0x1.ee0ccc880dcap-21, 0x1.c44fef43fc945p-21, 0x1.9adedb2d9a01ep-21, 0x1.719701487f191p-21, 0x1.4895351ef32eep-21, 0x1.1fb383067f87bp-21, 0x1.ee4bcb4d1d4fcp-22, 0x1.9d966ba891cd3p-22, 0x1.4d5ab3b6775e4p-22, 0x1.faf5582375b6dp-23, 0x1.5c4319b2c9ecdp-23, 0x1.7d2f90f0a5591p-24, 0x1.0dc595874735dp-26, -0x1.e82d2f36aa3bep-25, -0x1.14e888e51ab1p-23, -0x1.aeedfd3ac9defp-23, -0x1.23f1b92c0057p-22, -0x1.6ff1966356b2p-22, -0x1.bb6944f348418p-22, -0x1.0333cd0dcf9bap-21, -0x1.288b86c438902p-21, -0x1.4d7032a9479fep-21, -0x1.72068f8f34db6p-21, -0x1.96b649cd8e042p-21, -0x1.baeca49f19c5cp-21, -0x1.deeb1d75177d1p-21, -0x1.0153ceca8a0c7p-20, -0x1.1313c97c5f978p-20, -0x1.24abad7453828p-20, -0x1.3625ba9bddfa6p-20, -0x1.477b97b6f4feap-20, -0x1.58b3cdd36a01ap-20, -0x1.69cb532dcd5b2p-20, -0x1.7ad2ea8618baap-20, -0x1.8b96dec76719cp-20, }}, 
      {{0x1.64128b80b4763p-3, 0x1.e9de62d4aab05p-3, 0x1.ed804f981913p-3, 0x1.76b7d6517e1ccp-3, 0x1.6e4d2ebed7d72p-4, -0x1.d6422242f3d6cp-7, -0x1.bdc93e72f98ddp-4, -0x1.73ebb62a427e9p-3, -0x1.cfe641d5ceb1cp-3, -0x1.effc5d959c434p-3, -0x1.d7e658f12a8dp-3, -0x1.8f454559d2863p-3, -0x1.1fa1d222a263dp-3, -0x1.2609f90c6679bp-4, 0x1.9e3a86dc988b2p-8, 0x1.6f2fcc5d1a62fp-4, 0x1.657e77e0fc97fp-3, 0x1.0845e5864caaap-2, 0x1.59fb111e2a096p-2, 0x1.a6162f95e9444p-2, 0x1.eb5a38b263d99p-2, 0x1.14814712792c8p-1, 0x1.2f57b13c2561cp-1, 0x1.46296895a59a5p-1, 0x1.590fb095a32f7p-1, 0x1.683c2c82ad2b4p-1, 0x1.73f2096b3f8b5p-1, 0x1.7c802bb3eecd6p-1, 0x1.823c56677d644p-1, 0x1.857f3b20591acp-1, 0x1.86a15b2d1a0a7p-1, 0x1.85f8a22065aadp-1, 0x1.83d6a0baddd6cp-1, 0x1.80874ddc4af51p-1, 0x1.7c50395af7b57p-1, 0x1.777018fca5267p-1, 0x1.721e9e9baf5f7p-1, 0x1.6c8c8633754ddp-1, 0x1.66e3cefaa3873p-1, 0x1.614811b274338p-1, 0x1.5bd6eb03907cep-1, 0x1.56a876415f77p-1, 0x1.51cfcaa6cf4acp-1, 0x1.4d5b7939ea5bdp-1, 0x1.49560f01d570bp-1, 0x1.45c6912951aaep-1, 0x1.42b0eefadd5p-1, 0x1.40166e100da4fp-1, 0x1.3df613b9e8c5bp-1, 0x1.3c4d05a5afd1fp-1, 0x1.3b16de12d0d57p-1, 0x1.3a4df69bc974bp-1, 0x1.39ebad2640df9p-1, 0x1.39e8a33791ec5p-1, 0x1.3a3cf4fe7adc6p-1, 0x1.3ae068122aa6fp-1, 0x1.3bca92234459fp-1, 0x1.3cf2f9f7c56cdp-1, 0x1.3e51347fe6ce8p-1, 0x1.3fdcfd83ba602p-1, 0x1.418e4c7666cfap-1, 0x1.435d64ceef07fp-1, 0x1.4542e289cab41p-1, 0x1.4737c3752769cp-1, 0x1.49356da1cbb5dp-1, 0x1.4b35b41161508p-1, 0x1.4d32d9a6cbedbp-1, 0x1.4f27925a67a5ep-1, 0x1.510f0378831e2p-1, 0x1.52e4c2367c797p-1, 0x1.54a4d1a8497eep-1, 0x1.564b9f469b4ddp-1, 0x1.57d5ff5df7313p-1, 0x1.594128ae4cfb5p-1, 0x1.5a8aafaa45313p-1, 0x1.5bb081bc7151ap-1, 0x1.5cb0e024eb264p-1, 0x1.5d8a5b006e806p-1, 0x1.5e3bcc54733bcp-1, 0x1.5ec452b0cc62p-1, 0x1.5f234cb63f5e1p-1, 0x1.5f5853d31932dp-1, 0x1.5f6337b5915bfp-1, 0x1.5f43f9b3fae27p-1, 0x1.5efac88c1dd46p-1, 0x1.5e87fbc50ca15p-1, 0x1.5dec101d43ffdp-1, 0x1.5d27a389fd666p-1, 0x1.5c3b718b28747p-1, 0x1.5b28500513f8fp-1, 0x1.59ef2bbf77479p-1, 0x1.589105acbdd2bp-1, 0x1.570ef003d60f8p-1, 0x1.556a0bac8e4a3p-1, 0x1.53a385dcd7696p-1, 0x1.51bc95d355723p-1, 0x1.4fb67aec26d8ap-1, 0x1.4d927a7335c0ep-1, 0x1.4b51de6bc67b7p-1, 0x1.48f5f356a7509p-1, 0x1.468007405a13fp-1, 0x1.43f168509c9a5p-1, 0x1.414b6375dd8bap-1, 0x1.3e8f43b15a33dp-1, 0x1.3bbe5083ca3b5p-1, 0x1.38d9cddda819bp-1, 0x1.35e2fabcb58d3p-1, 0x1.32db10d84cb88p-1, 0x1.2fc343e3823e8p-1, 0x1.2c9cc1220ceffp-1, 0x1.2968aeec27aadp-1, 0x1.26282c768dbe1p-1, 0x1.22dc512e88cb5p-1, 0x1.1f862cd1cde25p-1, 0x1.1c26c71d4b03fp-1, 0x1.18bf1f9612c7p-1, 0x1.15502d8d89f31p-1, 0x1.11dadfc7d1abp-1, 0x1.0e601cd3a09ep-1, 0x1.0ae0c2c1ac2edp-1, 0x1.075da7471ba2bp-1, 0x1.03d797c96aeb3p-1, 0x1.004f5957bd594p-1, 0x1.f98b51edd94ap-2, 0x1.f27676cfc3ee6p-2, 0x1.eb617b5d321dbp-2, 0x1.e44da9c6cb93fp-2, 0x1.dd3c3d29a25b4p-2, 0x1.d62e614a343e1p-2, 0x1.cf25339ffc97bp-2, 0x1.c821c33437de9p-2, 0x1.c125113bc7245p-2, 0x1.ba30111f87c7p-2, 0x1.b343a962c351ep-2, 0x1.ac60b3af702cdp-2, 0x1.a587fd244022cp-2, 0x1.9eba47175615p-2, 0x1.97f8472073621p-2, 0x1.9142a7ae5dc02p-2, 0x1.8a9a08089a8f6p-2, 0x1.83fefd8afa36bp-2, 0x1.7d72131d8abp-2, 0x1.76f3ca2cdbb43p-2, 0x1.70849a86126a4p-2, 0x1.6a24f338476adp-2, 0x1.63d53ab790912p-2, 0x1.5d95cefe63b44p-2, 0x1.576706470c013p-2, 0x1.51492f38fb25bp-2, 0x1.4b3c91005a1dp-2, 0x1.45416bf8d9348p-2, 0x1.3f57f9abb08d6p-2, 0x1.39806d95f399dp-2, 0x1.33baf4e0d7b56p-2, 0x1.2e07b6d101544p-2, 0x1.2866d56ef5199p-2, 0x1.22d86d52f5874p-2, 0x1.1d5c95ffb67adp-2, 0x1.17f3626a01f4p-2, 0x1.129ce0c5b252ap-2, 0x1.0d591b1791459p-2, 0x1.0828174d5f56ep-2, 0x1.0309d76c4d846p-2, 0x1.fbfcb382f577cp-3, 0x1.f20b3264faeb4p-3, 0x1.e83f1aa8bc2e8p-3, 0x1.de985542ab9a4p-3, 0x1.d516c537e73f8p-3, 0x1.cbba48473f866p-3, 0x1.c282b6517113fp-3, 0x1.b96fe331291e5p-3, 0x1.b0819d72eaa6dp-3, 0x1.a7b7afa1d11eap-3, 0x1.9f11e01191575p-3, 0x1.968ff1770acd8p-3, 0x1.8e31a2a5b6fd4p-3, 0x1.85f6af939fbep-3, 0x1.7dded0cacf645p-3, 0x1.75e9bbf652299p-3, 0x1.6e17243752f99p-3, 0x1.6666ba453e6edp-3, 0x1.5ed82c5653e3p-3, 0x1.576b26beb6f24p-3, 0x1.501f53be6b024p-3, 0x1.48f45bf053094p-3, 0x1.41e9e635f2e61p-3, 0x1.3aff981df98ddp-3, 0x1.343515d8cb8cfp-3, 0x1.2d8a026c16d7ep-3, 0x1.26fdffaf98d7p-3, 0x1.2090aec879413p-3, 0x1.1a41afeee8aa8p-3, 0x1.1410a2a873e3p-3, 0x1.0dfd25deb0809p-3, 0x1.0806d82a7d329p-3, 0x1.022d577a425cp-3, 0x1.f8e0833c88e27p-4, 0x1.ed9e681c12b4p-4, 0x1.e29398f875a7dp-4, 0x1.d7bf4fec3efeap-4, 0x1.cd20c836b8ed5p-4, 0x1.c2b73bfb29276p-4, 0x1.b881e74910722p-4, 0x1.ae80057007a29p-4, 0x1.a4b0d2c8c6351p-4, 0x1.9b138c125669dp-4, 0x1.91a76eec101a5p-4, 0x1.886bb9e352967p-4, 0x1.7f5fac62cf472p-4, 0x1.768286cb80381p-4, 0x1.6dd38afd16901p-4, 0x1.6551fba53d665p-4, 0x1.5cfd1c66c95ap-4, 0x1.54d433538987cp-4, 0x1.4cd686eb9448dp-4, 0x1.45035f3431a8fp-4, 0x1.3d5a0683c7dc4p-4, 0x1.35d9c7bb536d7p-4, 0x1.2e81f01b15778p-4, 0x1.2751ce13688dep-4, 0x1.2048b1d12b8d5p-4, 0x1.1965edeff2acep-4, 0x1.12a8d5e6f9469p-4, 0x1.0c10bf459851bp-4, 0x1.059d018f2dbd9p-4, 0x1.fe99ec34fb90ap-5, 0x1.f23ff02d91a37p-5, 0x1.e62ac925fd543p-5, 0x1.da59353cbfbd4p-5, 0x1.cec9f6bc06232p-5, 0x1.c37bd189ccb99p-5, 0x1.b86d9223e64d2p-5, 0x1.ad9e0447b8068p-5, 0x1.a30bfa0a1806ep-5, 0x1.98b6491929985p-5, 0x1.8e9bcaf0962fap-5, 0x1.84bb5d131b3b1p-5, 0x1.7b13e0ce7dbacp-5, 0x1.71a43caf2bbd5p-5, 0x1.686b58c3d73cap-5, 0x1.5f68236a61fe6p-5, 0x1.56998dd78f214p-5, 0x1.4dfe8dcdb14bcp-5, 0x1.45961ccb08a76p-5, 0x1.3d5f3755d75dfp-5, 0x1.3558df8498d24p-5, 0x1.2d821aca7f3c8p-5, 0x1.25d9f160b2a1dp-5, 0x1.1e5f70f0397f4p-5, 0x1.1711aa13e13ffp-5, 0x1.0fefb1701144ap-5, 0x1.08f89f8d3afffp-5, 0x1.022b90d48d2fcp-5, 0x1.f70f49ce8304fp-6, 0x1.ea17ff800fae8p-6, 0x1.dd6f9154883f4p-6, 0x1.d114559451817p-6, 0x1.c504a985a7fddp-6, 0x1.b93ef1adfcf7cp-6, 0x1.adc19a7162e3bp-6, 0x1.a28b152d104f3p-6, 0x1.9799dcea578ap-6, 0x1.8cec7160032d1p-6, 0x1.82815aa592e85p-6, 0x1.785726175b416p-6, 0x1.6e6c69d04b174p-6, 0x1.64bfc1ac5062bp-6, 0x1.5b4fcecfd95e6p-6, 0x1.521b3724af997p-6, 0x1.4920adbe25d06p-6, 0x1.405ee7718eb73p-6, 0x1.37d49d9ed163bp-6, 0x1.2f8092bfda818p-6, 0x1.27618e1bb05a5p-6, 0x1.1f765de640234p-6, 0x1.17bdd51a80599p-6, 0x1.1036cd85d9683p-6, 0x1.08e025c535c5fp-6, 0x1.01b8c2d6a5f4bp-6, 0x1.f57f1de4c5c15p-7, 0x1.e7e6f46326998p-7, 0x1.daa6f2dabfdffp-7, 0x1.cdbd0e135d09fp-7, 0x1.c12746b23fa7ap-7, 0x1.b4e3a6cc9195bp-7, 0x1.a8f041631883cp-7, 0x1.9d4b35d6d40dcp-7, 0x1.91f2ac01e7465p-7, 0x1.86e4d55ada071p-7, 0x1.7c1fee2668fbap-7, 0x1.71a23a4beae0ap-7, 0x1.676a0827956cfp-7, 0x1.5d75af42bb098p-7, 0x1.53c38f777d157p-7, 0x1.4a5212230df02p-7, 0x1.411fa9fbd4188p-7, 0x1.382acfe25c936p-7, 0x1.2f720622ee635p-7, 0x1.26f3d8305d651p-7, 0x1.1eaed7363deb7p-7, 0x1.16a1a044100ep-7, 0x1.0ecad6b9f802ap-7, 0x1.072920c06e5fep-7, 0x1.ff766b04120edp-8, 0x1.f0ff90e497185p-8, 0x1.e2eb3d103c1fep-8, 0x1.d536ff15eeb8ap-8, 0x1.c7e06d842979fp-8, 0x1.bae538509c2aap-8, 0x1.ae4311358292ap-8, 0x1.a1f7c080ecbdep-8, 0x1.960117892f303p-8, 0x1.8a5cf6b35b6a6p-8, 0x1.7f0949627ef5ep-8, 0x1.740409405641bp-8, 0x1.694b3b600ca1ep-8, 0x1.5edcee9e8136ep-8, 0x1.54b73db2e8b81p-8, 0x1.4ad84d655d726p-8, 0x1.413e4c87b6095p-8, 0x1.37e7760bbd262p-8, 0x1.2ed20e032c197p-8, 0x1.25fc67966b693p-8, 0x1.1d64dd8348e04p-8, 0x1.1509d72104bb5p-8, 0x1.0ce9c8250de06p-8, 0x1.05032b3d3e03cp-8, 0x1.faa8fe127b61ep-9, 0x1.ebb8a75b44c52p-9, 0x1.dd326e358ea04p-9, 0x1.cf1385c6427ccp-9, 0x1.c15933b900e29p-9, 0x1.b400cc497c4b5p-9, 0x1.a707bab78cbp-9, 0x1.9a6b82025f862p-9, 0x1.8e29a951c83afp-9, 0x1.823fe174d798p-9, 0x1.76abda76addf3p-9, 0x1.6b6b53510dcdap-9, 0x1.607c11d12c0e4p-9, 0x1.55dbe90ea0a9fp-9, 0x1.4b88b40cbc60cp-9, 0x1.418057dab8c32p-9, 0x1.37c0cbd0af188p-9, 0x1.2e48042fceb34p-9, 0x1.25142deb0f22cp-9, 0x1.1c2365b6daef9p-9, 0x1.1373e9566fb18p-9, 0x1.0b0401e25395bp-9, 0x1.02d20133eb1d5p-9, 0x1.f5b883b782e14p-10, 0x1.e6423f2e98b48p-10, 0x1.d73dfe5818d2p-10, 0x1.c8a8890be32e9p-10, 0x1.ba7ecaf0c0af5p-10, 0x1.acbda10bbd8a4p-10, 0x1.9f623cb6e4847p-10, 0x1.9269bb149dffep-10, 0x1.85d179a5bf1a7p-10, 0x1.7996d2cfd0776p-10, 0x1.6db75cb1224a7p-10, 0x1.6230a3b69c2bbp-10, 0x1.57003f4f5f1ap-10, 0x1.4c23d25f75924p-10, 0x1.4198fe99033ap-10, 0x1.375d6e6db9f5ep-10, 0x1.2d6ed7d6086e8p-10, 0x1.23cb015a8445fp-10, 0x1.1a6fc6d4c774dp-10, 0x1.115b2f2910287p-10, 0x1.088b379f341e5p-10, 0x1.fffc3431066a4p-11, 0x1.ef63e22884fdfp-11, 0x1.df49eee5e1a2dp-11, 0x1.cfaac2074c60fp-11, 0x1.c082e4ff9e1a9p-11, 0x1.b1cf01b8696b6p-11, 0x1.a38baaced54cap-11, 0x1.95b599b1f1164p-11, 0x1.8849ab20996ebp-11, 0x1.7b44d0f9dc7bap-11, 0x1.6ea4383be5af4p-11, 0x1.6265306d6215cp-11, 0x1.56851bdbf4c2p-11, 0x1.4b016a46ad11fp-11, 0x1.3fd78288e4916p-11, 0x1.3504890a810c5p-11, 0x1.2a85fb5eeb42cp-11, 0x1.205934d1568fbp-11, 0x1.167bac50c3456p-11, 0x1.0ceb077d8310ep-11, 0x1.03a5101fdee85p-11, 0x1.f54f5a029a2bdp-12, 0x1.e3e1dc15f2232p-12, 0x1.d2fdac2c059dap-12, 0x1.c29f5b8e0c12cp-12, 0x1.b2c385eca1bf7p-12, 0x1.a366c9f5ff885p-12, 0x1.9485ba1ba4b7ep-12, 0x1.861c6601909bp-12, 0x1.7826ce9562a34p-12, 0x1.6aa0fb43da35ap-12, 0x1.5d86f583f2c57p-12, 0x1.50d566e4a8524p-12, 0x1.4488d9124b339p-12, 0x1.389ecc63e2ed6p-12, 0x1.2d149a862791dp-12, 0x1.21e7b8d2d1ffap-12, 0x1.1715cf4c8e071p-12, 0x1.0c9c14fa5b72dp-12, 0x1.0278cf6a4fcacp-12, 0x1.f153209a12adep-13, 0x1.de584fabe4dfbp-13, 0x1.cbfc6db6a5fcfp-13, 0x1.ba3a2d434ae7dp-13, 0x1.a90bd8cc45de5p-13, 0x1.986bf03742136p-13, 0x1.88554f364e0fbp-13, 0x1.78c37bffaddc9p-13, 0x1.69b2be72dac27p-13, 0x1.5b1fb9efac6b2p-13, 0x1.4d0727d76c16cp-13, 0x1.3f6590ad99d4ap-13, 0x1.3237a0f53354fp-13, 0x1.2579e789ddfap-13, 0x1.1928fe7db8b13p-13, 0x1.0d42c55de440cp-13, 0x1.01c3ac41d8dbbp-13, 0x1.ed53aaf6c59a3p-14, 0x1.d7e2e13a1f576p-14, 0x1.c32f742d7624dp-14, 0x1.af325bc094716p-14, 0x1.9be510cc7a994p-14, 0x1.8941f938fa7dfp-14, 0x1.774390fc7fec9p-14, 0x1.65e50fe5968dcp-14, 0x1.552147d20567ep-14, 0x1.44f31a87d2e8cp-14, 0x1.355589d725bb6p-14, 0x1.26439bc4167efp-14, 0x1.17b93a7637a35p-14, 0x1.09b3011dd3f5ep-14, 0x1.f85c4f2941e14p-15, 0x1.de4eb03f7a7bep-15, 0x1.c5369aef7c298p-15, 0x1.ad0cbe8a6ea9ap-15, 0x1.95c9b77bf81b2p-15, 0x1.7f66aef19084ap-15, 0x1.69df2476181ep-15, 0x1.552ab7eb27491p-15, 0x1.4142edb481081p-15, 0x1.2e1ff091f9d02p-15, 0x1.1bb57519e97a4p-15, 0x1.09fe2d0e96842p-15, 0x1.f1e4790d272b6p-16, 0x1.d11a092732749p-16, 0x1.b1946f2c9e144p-16, 0x1.934b8692e945bp-16, 0x1.763a0025f51cp-16, 0x1.5a5754a695452p-16, 0x1.3f9b69cd67559p-16, 0x1.25fdceed3714ep-16, 0x1.0d74660243cf9p-16, 0x1.ebf1e6bf26664p-17, 0x1.bf0937dbac8cdp-17, 0x1.942232dc01ddp-17, 0x1.6b2fd3bae7a3ep-17, 0x1.441d1ccb65868p-17, 0x1.1ed224f935777p-17, 0x1.f65eb335b9fb1p-18, 0x1.b24428eb67c76p-18, 0x1.712ae0b544ac3p-18, 0x1.330be8171ed0fp-18, 0x1.efb493ca6bfcbp-19, 0x1.7f0f1e40de371p-19, 0x1.13f7b05e814e3p-19, 0x1.5c9367c1f3305p-20, 0x1.3782e77e6851p-21, -0x1.ae1e7405a09e9p-24, -0x1.8f3e8685a61c4p-21, -0x1.6ae9e9f4b1aa2p-20, -0x1.0274f1143ffc2p-19, -0x1.4afa209b5e259p-19, -0x1.8f1cfe48c313p-19, -0x1.cf14df1a8aed9p-19, -0x1.05810a2e4ef6ep-18, -0x1.218a3ca5d5de3p-18, -0x1.3baf12a3bb9b5p-18, -0x1.542ce47c589ffp-18, -0x1.6b0f92826e9ebp-18, -0x1.805acc63cbbb2p-18, -0x1.940cae2a532c5p-18, -0x1.a6307f3eb5784p-18, -0x1.b6db4009bb043p-18, -0x1.c617df1d62ad7p-18, -0x1.d3f1ac4498627p-18, -0x1.e06dfc56ac12fp-18, -0x1.eb9c5b1ce88e3p-18, -0x1.f58e1dd84a371p-18, -0x1.fe4d4c33b6b77p-18, -0x1.02f2ec5ef11ffp-17, -0x1.063701810125dp-17, -0x1.08f2a9aeb063p-17, -0x1.0b276350ba508p-17, -0x1.0cdd89c66d68cp-17, -0x1.0e1af6e7f8bedp-17, -0x1.0ee077b8c843ep-17, -0x1.0f3b92ecb9f51p-17, -0x1.0f33d7ee459cap-17, -0x1.0ecaea859f579p-17, -0x1.0dfefa81b834p-17, -0x1.0cd5424cf2de7p-17, -0x1.0b5351076a9dbp-17, -0x1.098045541a79bp-17, -0x1.0751dbce3346ap-17, -0x1.04d48a231c1a2p-17, -0x1.020bd83d9a0d7p-17, -0x1.fdf8a278db1abp-18, -0x1.f7530608f5612p-18, -0x1.f03502409a063p-18, -0x1.e898d79f1c822p-18, -0x1.e0891afd18947p-18, -0x1.d80fa147e6861p-18, -0x1.cf20d3b345b54p-18, -0x1.c5d36dc7ed412p-18, -0x1.bc1206d99728p-18, -0x1.b1fcf7beded01p-18, -0x1.a7957f73570e4p-18, -0x1.9ce1e402a9bb8p-18, -0x1.91e70eb224472p-18, -0x1.86a3bd154c202p-18, -0x1.7b19ff8033414p-18, -0x1.6f5b3283dd8b9p-18, -0x1.635d23ef5a2cp-18, -0x1.5721e8817bc37p-18, -0x1.4ab34483a74e6p-18, -0x1.3e181a6edd751p-18, -0x1.315452e0b4d49p-18, -0x1.246bd042426e1p-18, -0x1.175bb5257935p-18, -0x1.0a2d83438ca69p-18, -0x1.f9c5beabfc877p-19, -0x1.def5eb6bd1502p-19, -0x1.c3f6ba9b2a491p-19, -0x1.a8c738a04a7dap-19, -0x1.8d669b62acf9ap-19, -0x1.71f3956abbd62p-19, -0x1.56619e004a964p-19, -0x1.3ab5da0513208p-19, -0x1.1efe346c76821p-19, -0x1.0343e3d02a514p-19, -0x1.cedf072f3eff5p-20, -0x1.974de7188d56p-20, -0x1.5fb9ba589917dp-20, -0x1.2820162444308p-20, -0x1.e1140717501fp-21, -0x1.725263b65210cp-21, -0x1.03ccf48f9c552p-21, -0x1.2aeb71b9f275bp-22, -0x1.3c91101ba6c6ep-24, 0x1.173d88b2a9d09p-23, 0x1.65c12ea3920e7p-22, 0x1.1f6430e0a535ep-21, 0x1.8b20729f674b7p-21, 0x1.f6c8ebc75e779p-21, 0x1.30c58187719a7p-20, 0x1.65d7655778d72p-20, 0x1.9a92bbefa1bd2p-20, 0x1.cf076397241fcp-20, 0x1.017ba1dcd4144p-19, 0x1.1b3cb26abe915p-19, 0x1.34d066941cb6ap-19, 0x1.4e2e4c5009025p-19, 0x1.67516be73c97p-19, 0x1.80364e735675ep-19, 0x1.98e1189f8b845p-19, 0x1.b14f66e90f5f6p-19, 0x1.c97c50438b08p-19, 0x1.e1668d0808c6p-19, 0x1.f90cafe6feb8p-19, 0x1.0836b3c069b3fp-18, 0x1.13c99ead6310ap-18, 0x1.1f309d31ab85dp-18, 0x1.2a79772e6cbeap-18, 0x1.359c9e6488e9ap-18, 0x1.409ac935a489bp-18, 0x1.4b73478b1f4ecp-18, 0x1.56267be0ce2f1p-18, 0x1.60b326030a101p-18, 0x1.6b1901bbc622fp-18, 0x1.755d53703263fp-18, 0x1.7f72b96a72d08p-18, 0x1.8964bdeaa85c2p-18, 0x1.932ec7c0243b7p-18, 0x1.9cd02c49a7c18p-18, 0x1.a64b9f21b8e6p-18, 0x1.afa4a628f497p-18, 0x1.b8c2762dbd648p-18, 0x1.c1c3c117a96cep-18, 0x1.ca9bff8dcf773p-18, 0x1.d34fdcdca6ec5p-18, 0x1.dbcd195e728e4p-18, 0x1.e427d6082ebbap-18, 0x1.ec55c7fcfd55dp-18, 0x1.f461008f2cb0dp-18, 0x1.fc413581a4596p-18, 0x1.01fb1597cee05p-17, 0x1.05c09ab39a77fp-17, 0x1.0972e7294a7a1p-17, 0x1.0d0f2050c568p-17, 0x1.109733fed0e43p-17, 0x1.140ad51e3c01cp-17, 0x1.176ba77f205eap-17, 0x1.1ab47b1f92417p-17, 0x1.1de92a8ab70d5p-17, 0x1.210b24145fdd3p-17, 0x1.2418d4c79ce6dp-17, 0x1.271154efc2b59p-17, 0x1.29f55cef4ebbfp-17, 0x1.2cc6003fe4298p-17, 0x1.2f825b5cba597p-17, 0x1.322ae003d4b0bp-17, 0x1.34c0185e66566p-17, 0x1.3740b783d74a5p-17, 0x1.39ac73260db91p-17, 0x1.3c06a2c4b81ccp-17, 0x1.3e4c6ce3e4967p-17, 0x1.407f6acbd4676p-17, 0x1.429ec0c327209p-17, 0x1.44ab3c335c193p-17, 0x1.46a32aff68999p-17, 0x1.488af7f2903aep-17, 0x1.4a5e9fc7e977fp-17, 0x1.4c20a964c360ep-17, 0x1.4dce762ed2983p-17, 0x1.4f67c434c35b9p-17, 0x1.50f4a93e8d8cp-17, 0x1.526d671dddb37p-17, 0x1.53d351e6a12a6p-17, 0x1.5527f1474f83fp-17, 0x1.566b22e742ebep-17, 0x1.579d34d05c1ebp-17, 0x1.58bdfb73b459p-17, 0x1.59cd1c41e27cfp-17, 0x1.5acadbe62384fp-17, 0x1.5bb98349aabccp-17, 0x1.5c9671abf399ep-17, 0x1.5d62241d91068p-17, 0x1.5e20fabf40519p-17, 0x1.5ecdc217fabccp-17, 0x1.5f69f4b0fe51dp-17, 0x1.5ff74e9daf498p-17, 0x1.6074c9bc33685p-17, 0x1.60e303e85abfbp-17, 0x1.61421c66ec2b6p-17, 0x1.6191f8f12a511p-17, 0x1.61d2c90e2bb89p-17, 0x1.62063f3fa0282p-17, 0x1.6229c3d3404f5p-17, 0x1.623fcaee3e654p-17, 0x1.6245a2c2bd9dep-17, 0x1.624111e5307cp-17, 0x1.622d32f8c5619p-17, 0x1.620bc45db6222p-17, 0x1.61dd5829ca178p-17, 0x1.61a0e56186362p-17, 0x1.6158080e24bf3p-17, 0x1.610164b09cc61p-17, 0x1.609c47cb2d3ccp-17, 0x1.6030f14883c3cp-17, 0x1.5fb4df212e458p-17, 0x1.5f31eee1e234fp-17, 0x1.5e9a9ccc97931p-17, 0x1.5dff194eafa81p-17, 0x1.5d54262c62437p-17, 0x1.5c9c14a1a6ad9p-17, 0x1.5bdac565e9a7p-17, 0x1.5b0ec686d7b85p-17, 0x1.5a37dfe9b5168p-17, 0x1.5956394ddc6d7p-17, 0x1.586a52d54f9b2p-17, 0x1.57743db5b133fp-17, 0x1.56740ad1efd5dp-17, 0x1.5569c7be58682p-17, 0x1.5455dcead7407p-17, 0x1.53385ecda4fd5p-17, 0x1.5211617225801p-17, 0x1.50e11f352f587p-17, 0x1.4fa808430fea2p-17, 0x1.4e671745080e5p-17, 0x1.4d1c3c0d5c9c5p-17, 0x1.4bc882a5d728ep-17, 0x1.4a6c549451462p-17, 0x1.490766a3515a5p-17, 0x1.479b4889eacedp-17, 0x1.462844fd2fb7dp-17, 0x1.44ae4ba421b8ep-17, 0x1.432a42793617ep-17, 0x1.41a02bd7748b4p-17, 0x1.401141e47cd7fp-17, 0x1.3e766fc2dcf2cp-17, 0x1.3cd6b49996ae6p-17, 0x1.3b3063a499a16p-17, 0x1.3983cc75641e3p-17, 0x1.37d3b5236f95bp-17, 0x1.3617686781277p-17, 0x1.34580d37946c1p-17, 0x1.329290e2faf3bp-17, 0x1.30c6d72059116p-17, 0x1.2ef667d32fb98p-17, 0x1.2d209930f9ab9p-17, 0x1.2b44ee2f46fd4p-17, 0x1.296434e9068b5p-17, 0x1.277cf66dcdd0bp-17, 0x1.2594745d980a9p-17, 0x1.23a603fd3af3ap-17, 0x1.21b0809ef5e47p-17, 0x1.1fb6c97d7f5edp-17, 0x1.1dbb0e9fa5f4bp-17, 0x1.1bba87af63d07p-17, 0x1.19b4deda3d1ddp-17, 0x1.17aafdd37231p-17, 0x1.159e6977f29bdp-17, 0x1.138d7e136206fp-17, 0x1.11791bb531ba7p-17, 0x1.0f6278518bb9p-17, 0x1.0d480954c0946p-17, 0x1.0b2959a4f8445p-17, 0x1.09076fe0b247fp-17, 0x1.06e442008d654p-17, 0x1.04bdaa33669f1p-17, 0x1.02946df914ea2p-17, 0x1.0068c0d6fa38ep-17, 0x1.fc74d269fd06p-18, 0x1.f81300321c645p-18, 0x1.f3b539305cb33p-18, 0x1.ef452709eb9bep-18, 0x1.ead68c76c427dp-18, 0x1.e665905dd1cf3p-18, 0x1.e1f0c00e30abdp-18, 0x1.dd78917ba0041p-18, 0x1.d8fdd6e040a59p-18, 0x1.d483b81f3b52dp-18, 0x1.cffefe572470dp-18, 0x1.cb7bcc018710ap-18, 0x1.c6f6ae9c7e8f3p-18, 0x1.c26e9ed51d801p-18, 0x1.bde4d07e55c34p-18, 0x1.b95c7bd59d644p-18, 0x1.b4cef3a0842c5p-18, 0x1.b0408b5345137p-18, 0x1.abb18fd4df13bp-18, 0x1.a7237fbdd1d28p-18, 0x1.a292675347c01p-18, 0x1.9e01de5f84f2ep-18, 0x1.996c2c070159cp-18, 0x1.94e00ca89abc9p-18, 0x1.904dcd0b31e9dp-18, 0x1.8bbba458831c8p-18, 0x1.872c205d629f7p-18, 0x1.829be37a3c907p-18, 0x1.7e0b0955b7495p-18, 0x1.797af96589b65p-18, 0x1.74eeba74a727dp-18, 0x1.70601259633f4p-18, 0x1.6bd43b7e723adp-18, 0x1.674ae23afc848p-18, 0x1.62bf5380760c1p-18, 0x1.5e394b4c432afp-18, 0x1.59b3f01e7e206p-18, 0x1.55302ba651688p-18, 0x1.50b3459d6f8ffp-18, 0x1.4c311cb0442afp-18, 0x1.47b629f40ff33p-18, 0x1.43367aa432809p-18, 0x1.3ec30b8efd83ap-18, 0x1.3a4a943911091p-18, 0x1.35d893b22d2bap-18, 0x1.31692d372a2e3p-18, 0x1.2cfc7e563db2dp-18, 0x1.2893f251b3d41p-18, 0x1.242c1f316071ep-18, 0x1.1fc778b8a97f3p-18, 0x1.1b6c146649238p-18, 0x1.170fb976aadc5p-18, 0x1.12b83dfa3ff23p-18, 0x1.0e647e3c11dcfp-18, 0x1.0a13d352d7e3dp-18, 0x1.05c716decdf1cp-18, 0x1.017f1af753722p-18, 0x1.fa7083f6111f3p-19, 0x1.f1f7efb184082p-19, 0x1.e97cb91b86721p-19, 0x1.e1118003adbb9p-19, 0x1.d8ac00659ebfap-19, 0x1.d050ea9411a02p-19, 0x1.c7fcd85169b73p-19, 0x1.bfb36b02999d5p-19, 0x1.b77516af42d8bp-19, 0x1.af3f707932676p-19, 0x1.a712fcf5604a6p-19, 0x1.9ef29942941e9p-19, 0x1.96ddf7cc81a13p-19, 0x1.8eccf4a0f0a7p-19, 0x1.86ca787a2174bp-19, 0x1.7ed1dc3431fb1p-19, 0x1.76e3edb4572afp-19, 0x1.6f01e9286d60dp-19, 0x1.6728d09c876b2p-19, 0x1.5f5a78ad523e7p-19, 0x1.579cb9dc21976p-19, 0x1.4fe437d8e855fp-19, 0x1.48396869a5222p-19, 0x1.409e47b8f0915p-19, 0x1.3907ac5fec656p-19, 0x1.317d0822fa6bp-19, 0x1.29fdf6ca3752ap-19, 0x1.228d1d3fafb11p-19, 0x1.1b275e8232622p-19, 0x1.13cc2446bf05bp-19, 0x1.0c80d31a2fc5fp-19, 0x1.053f580149f57p-19, 0x1.fc1d1931c09dcp-20, 0x1.edc961e25e271p-20, 0x1.df8e7ba933066p-20, 0x1.d16ae21e8b81ap-20, 0x1.c35e396395c97p-20, 0x1.b575cd86e619fp-20, 0x1.a79b7b81e8d21p-20, 0x1.99dcf94710923p-20, 0x1.8c38faba5b67ep-20, 0x1.7eae9e2676adfp-20, 0x1.713d6fc9430f1p-20, 0x1.63e54245fda52p-20, 0x1.56a97382bb4edp-20, 0x1.498801f67080cp-20, 0x1.3c88a4aa52aa8p-20, 0x1.2f85aa9e7cfdfp-20, 0x1.22aca5eec094ep-20, 0x1.15ea9b8cfbd94p-20, 0x1.0946854c0dbadp-20, 0x1.f99780da41d88p-21, 0x1.e097bcc6042c8p-21, 0x1.c7eb89cff4966p-21, 0x1.af79a91a900a7p-21, 0x1.9734afe574eb3p-21, 0x1.7f2662fe9c243p-21, 0x1.674a4984da24ap-21, 0x1.4fa1fa52287d4p-21, 0x1.382cb1e7eea57p-21, 0x1.20edd5cded996p-21, 0x1.09e16a7895f27p-21, 0x1.e6092b0eb8f35p-22, 0x1.b8db1e6354d03p-22, 0x1.8bfe4e814b883p-22, 0x1.5f69eb5759e6bp-22, 0x1.33683657e6faep-22, 0x1.07b2c988986d8p-22, 0x1.b8e882571508cp-23, 0x1.6325ef14cb929p-23, 0x1.0e6e53898d72bp-23, 0x1.74ce21eb56f4p-24, 0x1.9c5ab93728e6ap-25, 0x1.4c883c6626a5cp-27, -0x1.e90cb08527e79p-26, -0x1.1b9b375814e3cp-24, -0x1.bbd4dfccf6183p-24, -0x1.2d4b513b14615p-23, -0x1.7bb5607b9d60ap-23, -0x1.c90297a478009p-23, -0x1.0b02d384f3a9fp-22, -0x1.3119ec69afc9ep-22, -0x1.56b6ce11d9768p-22, -0x1.7bed428cfb3f4p-22, -0x1.a0bb913335a51p-22, -0x1.c545a549a0bfbp-22, -0x1.e93048b0d99e5p-22, -0x1.067609d6f8031p-21, -0x1.181b839e9d013p-21, -0x1.29882864ddfb6p-21, -0x1.3ac96c572284ap-21, -0x1.4bd82cb312de2p-21, -0x1.5cb55f1f99bc8p-21, -0x1.6d62d252d3e91p-21, -0x1.7de1f80949447p-21, -0x1.8e2b77fe7c3e7p-21, -0x1.9e3c6589a0153p-21, -0x1.ae1215d2600acp-21, -0x1.bde67f44394b8p-21, -0x1.cd6e5741a88dcp-21, -0x1.dcc9487dbae19p-21, -0x1.ebf29c2d67fa3p-21, -0x1.faf15e375bc86p-21, -0x1.04dc92760eb19p-20, -0x1.0c2ad0de9141cp-20, -0x1.136156deefb09p-20, -0x1.1a83a000ab8ffp-20, -0x1.218cfc0ae85b1p-20, -0x1.287a6ea670e8ep-20, -0x1.2f61544a0ad76p-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.88da977f95022p-2, -0x1.890ac036dee59p-2, -0x1.89597780c504ap-2, -0x1.89c5b3d33e052p-2, -0x1.8a4f82b6785b9p-2, -0x1.8af866d293a97p-2, -0x1.8bc35416022c9p-2, -0x1.8cb466e521d3cp-2, -0x1.8dd07497ec977p-2, -0x1.8f1c8ddc0a548p-2, -0x1.909d8473dac05p-2, -0x1.92577f749f57cp-2, -0x1.944da42986912p-2, -0x1.9681d61599d5cp-2, -0x1.98f48dfeeb5aap-2, -0x1.9ba4c6413dacbp-2, -0x1.9e8ff9aa62692p-2, -0x1.a1b231aa21f19p-2, -0x1.a506208548b23p-2, -0x1.a8854460c1d85p-2, -0x1.ac2810461bf85p-2, -0x1.afe618a4312cfp-2, -0x1.b3b64137aca7dp-2, -0x1.b78eeaae9b60dp-2, -0x1.bb661eba92a7bp-2, -0x1.bf31b99ad0d5fp-2, -0x1.c2e79071bba25p-2, -0x1.c67d93f714457p-2, -0x1.c9e9ef4a9ae3p-2, -0x1.cd2322d2e28f5p-2, -0x1.d0201b32e3395p-2, -0x1.d2d84477cef01p-2, -0x1.d54399b12e8d1p-2, -0x1.d75ab1305f6a1p-2, -0x1.d916c5b376e0dp-2, -0x1.da71bcc308bc2p-2, -0x1.db662a8b50cc3p-2, -0x1.dbef53784671dp-2, -0x1.dc092bd9cd048p-2, -0x1.dbb055d1e1637p-2, -0x1.dae21dcaae5e2p-2, -0x1.d99c75ae27732p-2, -0x1.d7ddef14281a5p-2, -0x1.d5a5b497a4ed7p-2, -0x1.d2f3827ed8167p-2, -0x1.cfc79ede10258p-2, -0x1.cc22d15885488p-2, -0x1.c8065a9eb6e86p-2, -0x1.c373ebc60ec23p-2, -0x1.be6d9d92273c2p-2, -0x1.b8f5e7c4d0664p-2, -0x1.b30f98870bc95p-2, -0x1.acbdcbfa8433cp-2, -0x1.a603e40094703p-2, -0x1.9ee58041b804ep-2, -0x1.9766767e4675p-2, -0x1.8f8acb2f7e0ddp-2, -0x1.8756aa7e5a8c1p-2, -0x1.7ece619438c93p-2, -0x1.75f65847ffa58p-2, -0x1.6cd30b2979adp-2, -0x1.636905eb7ceb1p-2, -0x1.59bcde2cb0faap-2, -0x1.4fd32e9e04853p-2, -0x1.45b09285465adp-2, -0x1.3b59a199c6819p-2, -0x1.30d2ec387edffp-2, -0x1.2620f7ece2d6bp-2, -0x1.1b483c4b2512p-2, -0x1.104d201899835p-2, -0x1.0533f6be9ef66p-2, -0x1.f401fc08cd2dcp-3, -0x1.dd70b817c6da9p-3, -0x1.c6bc3b1c2ad38p-3, -0x1.afec68a5e7b54p-3, -0x1.9908ebc27f23cp-3, -0x1.821934c50adadp-3, -0x1.6b24776f9e5a2p-3, -0x1.5431a976e23acp-3, -0x1.3d47815945c63p-3, -0x1.266c758335df7p-3, -0x1.0fa6bbba21272p-3, -0x1.f1f891909be7bp-4, -0x1.c4e5a0c7b10cap-4, -0x1.981f8a96def1dp-4, -0x1.6bb0b327864e3p-4, -0x1.3fa2fe418bb71p-4, -0x1.13ffd08c9f247p-4, -0x1.d1a0222f6f449p-5, -0x1.7c38563dd66d4p-5, -0x1.27d8201089da7p-5, -0x1.a91ce64309bd7p-6, -0x1.04d2b08c97e43p-6, -0x1.8baf952c5282ap-8, 0x1.e3f7b16256daep-9, 0x1.b2ae256097a6ep-7, 0x1.73874c2308e45p-6, 0x1.057e0f06c473p-5, 0x1.4fd1cc0342c0cp-5, 0x1.98b6a8f9118a4p-5, 0x1.e025301391e1p-5, 0x1.130b51e128032p-4, 0x1.35427c60a0333p-4, 0x1.56b568117088fp-4, 0x1.7761b8b02211ap-4, 0x1.9745623952acep-4, 0x1.b65ea5fcdd3cfp-4, 0x1.d4ac0fb8c2c47p-4, 0x1.f22c72bd19e5ep-4, 0x1.076f738d08592p-3, 0x1.1561636c76151p-3, 0x1.22ebd5a0726dcp-3, 0x1.300eb51439d7cp-3, 0x1.3cca09a9e20d6p-3, 0x1.491df6f051d2ep-3, 0x1.550abae034fa3p-3, 0x1.6090aca01358cp-3, 0x1.6bb03b4fa5f52p-3, 0x1.7669ecda822bep-3, 0x1.80be5cd22fe8p-3, 0x1.8aae3b4fa84b4p-3, 0x1.943a4bdc54867p-3, 0x1.9d63646270bc3p-3, 0x1.a62a6c24eb8e2p-3, 0x1.ae905abe9ac1p-3, 0x1.b6963728d5acep-3, 0x1.be3d16c9497eap-3, 0x1.c5861c87082cap-3, 0x1.cc7277e6bb3edp-3, 0x1.d303642ddd64bp-3, 0x1.d93a278ce073fp-3, 0x1.df18125038c81p-3, 0x1.e49e7e181afdap-3, 0x1.e9cecd16e33cfp-3, 0x1.eeaa695602057p-3, 0x1.f332c40152519p-3, 0x1.f76954b8bb2dcp-3, 0x1.fb4f98e8033dap-3, 0x1.fee71324b4c4ep-3, 0x1.0118a548f7f23p-2, 0x1.0297e5250c498p-2, 0x1.03f210671a2bcp-2, 0x1.0527efbd7315ep-2, 0x1.063a4d016e47p-2, 0x1.0729f2f751d7p-2, 0x1.07f7ad10d5395p-2, 0x1.08a4473237754p-2, 0x1.09308d79d4d79p-2, 0x1.099d4c0a2e0bap-2, 0x1.09eb4ed651a7p-2, 0x1.0a1b61709d294p-2, 0x1.0a2e4edbbe91bp-2, 0x1.0a24e15df5382p-2, 0x1.09ffe25674727p-2, 0x1.09c01a14e7952p-2, 0x1.09664fb2ff1f9p-2, 0x1.08f348f0007a3p-2, 0x1.0867ca0e44ed6p-2, 0x1.07c495b2a136fp-2, 0x1.070a6cc59d1f7p-2, 0x1.063a0e567e20cp-2, 0x1.0554378005758p-2, 0x1.0459a34ee5859p-2, 0x1.034b0aa9d4bd7p-2, 0x1.0229243b3c7e1p-2, 0x1.00f4a45c6b84cp-2, 0x1.ff5c7a049b1a4p-3, 0x1.fcad3b571d55bp-3, 0x1.f9dce6a04f703p-3, 0x1.f6ecd0a48aa92p-3, 0x1.f3de48e0f6c56p-3, 0x1.f0b29972794f7p-3, 0x1.ed6b06ff19c2ep-3, 0x1.ea08d0a1ba188p-3, 0x1.e68d2fd817615p-3, 0x1.e2f95872f72cbp-3, 0x1.df4e788871e47p-3, 0x1.db8db86845e31p-3, 0x1.d7b83a92155cdp-3, 0x1.d3cf1bad89d38p-3, 0x1.cfd3728440f0dp-3, 0x1.cbc64ffd6e8a1p-3, 0x1.c7a8bf1b269d9p-3, 0x1.c37bc4f93b0cfp-3, 0x1.bf4060cda0c53p-3, 0x1.baf78bea34bddp-3, 0x1.b6a239bff891p-3, 0x1.b24157e38836dp-3, 0x1.add5ce12dd201p-3, 0x1.a9607e3c371b7p-3, 0x1.a4e24486304b8p-3, 0x1.a05bf758d73c8p-3, 0x1.9bce6767ce389p-3, 0x1.973a5fbd654c3p-3, 0x1.92a0a5c692d57p-3, 0x1.8e01f95fc8db1p-3, 0x1.895f14e296757p-3, 0x1.84b8ad340817cp-3, 0x1.800f71d3ba687p-3, 0x1.7b640ceb989ffp-3, 0x1.76b723602dcc7p-3, 0x1.720954e192a79p-3, 0x1.6d5b3bfcd5b04p-3, 0x1.68ad6e2de816ap-3, 0x1.64007bf1f5f81p-3, 0x1.5f54f0da29eadp-3, 0x1.5aab539eca429p-3, 0x1.56042632b2b05p-3, 0x1.515fe5d7127e9p-3, 0x1.4cbf0b2f73cfbp-3, 0x1.48220a55feabfp-3, 0x1.438952efe9cd7p-3, 0x1.3ef5504225798p-3, 0x1.3a66694619b48p-3, 0x1.35dd00be94d5fp-3, 0x1.3159754cc4ab6p-3, 0x1.2cdc218549fe6p-3, 0x1.28655c0552429p-3, 0x1.23f57787b84d8p-3, 0x1.1f8cc2fa28933p-3, 0x1.1b2b89923bb55p-3, 0x1.16d212e28a096p-3, 0x1.1280a2efaf497p-3, 0x1.0e377a453d8e8p-3, 0x1.09f6d60a9343dp-3, 0x1.05bef01798795p-3, 0x1.018fff0961d29p-3, 0x1.fad46cad47ec2p-4, 0x1.f29b8cc81cb6cp-4, 0x1.ea75b930e62a1p-4, 0x1.e26346e1853e2p-4, 0x1.da648527b765fp-4, 0x1.d279bdcc502e3p-4, 0x1.caa33539fcfd5p-4, 0x1.c2e12aa3a9d53p-4, 0x1.bb33d82a6cb0fp-4, 0x1.b39b7302f5be4p-4, 0x1.ac182b9a90c1cp-4, 0x1.a4aa2dbb9639ep-4, 0x1.9d51a0b172f41p-4, 0x1.960ea76c12892p-4, 0x1.8ee160a2d99c1p-4, 0x1.87c9e6f7070c5p-4, 0x1.80c8511592cbap-4, 0x1.79dcb1d87cfa1p-4, 0x1.730718678f63ap-4, 0x1.6c4790588ebc9p-4, 0x1.659e21ceda341p-4, 0x1.5f0ad19a7b79p-4, 0x1.588da1569fa17p-4, 0x1.52268f8780844p-4, 0x1.4bd597b7b8b77p-4, 0x1.459ab2950232bp-4, 0x1.3f75d60c62947p-4, 0x1.3966f565c237cp-4, 0x1.336e015eef2a6p-4, 0x1.2d8ae8460ac71p-4, 0x1.27bd9613662d3p-4, 0x1.2205f482cc879p-4, 0x1.1c63eb2c36625p-4, 0x1.16d75f9bf1d9p-4, 0x1.1160356a350fap-4, 0x1.0bfe4e522475ap-4, 0x1.06b18a48478c3p-4, 0x1.0179c79075dc9p-4, 0x1.f8adc5a65ff72p-5, 0x1.ee916e64e9eb3p-5, 0x1.e49e3cbc14948p-5, 0x1.dad3e14e79f1cp-5, 0x1.d1320a283c2acp-5, 0x1.c7b862e46ca33p-5, 0x1.be6694d175608p-5, 0x1.b53c47147db75p-5, 0x1.ac391ecbc9e84p-5, 0x1.a35cbf3024721p-5, 0x1.9aa6c9b54d3a7p-5, 0x1.9216de2975f16p-5, 0x1.89ac9ad3c8de5p-5, 0x1.81679c9206673p-5, 0x1.79477ef5378fdp-5, 0x1.714bdc5d7b6c2p-5, 0x1.69744e14f472dp-5, 0x1.61c06c69d555ap-5, 0x1.5a2fcec7951ddp-5, 0x1.52c20bcf4fd2ep-5, 0x1.4b76b96f50dbbp-5, 0x1.444d6cf9d41e9p-5, 0x1.3d45bb3afbc35p-5, 0x1.365f388dff2b2p-5, 0x1.2f9978f198644p-5, 0x1.28f4101bb39f8p-5, 0x1.226e918c6ada7p-5, 0x1.1c0890a03f51fp-5, 0x1.15c1a0a1aea57p-5, 0x1.0f9954da0d7f6p-5, 0x1.098f40a1c336p-5, 0x1.03a2f76fdce2ap-5, 0x1.fba819d1e98ddp-6, 0x1.f04429db0df2p-6, 0x1.e519474f4b3f8p-6, 0x1.da269b302fff8p-6, 0x1.cf6b4f45cfbe2p-6, 0x1.c4e68e36b4284p-6, 0x1.ba97839ebf3e7p-6, 0x1.b07d5c24fe9bcp-6, 0x1.a6974590697cdp-6, 0x1.9ce46edbb471fp-6, 0x1.936408480c4c7p-6, 0x1.8a15436eef298p-6, 0x1.80f7535312b78p-6, 0x1.78096c706026ep-6, 0x1.6f4ac4cb1db5p-6, 0x1.66ba93fe2840bp-6, 0x1.5e58134869f3cp-6, 0x1.56227d997b008p-6, 0x1.4e190f9d7ebfp-6, 0x1.463b07c839a5dp-6, 0x1.3e87a65f7cf81p-6, 0x1.36fe2d84c87dap-6, 0x1.2f9de13e3f206p-6, 0x1.2866077f00059p-6, 0x1.2155e82ec7fd8p-6, 0x1.1a6ccd310a6f1p-6, 0x1.13aa026b556adp-6, 0x1.0d0cd5cb37c7dp-6, 0x1.0694974b89a06p-6, 0x1.004098f92a2e8p-6, 0x1.f4205dee8505ap-7, 0x1.e8055f0603a95p-7, 0x1.dc2ee5edb0adep-7, 0x1.d09ba79a7d4bcp-7, 0x1.c54a5d460b27dp-7, 0x1.ba39c47282accp-7, 0x1.af689eed75ea3p-7, 0x1.a4d5b2d210b71p-7, 0x1.9a7fca8a7e2bp-7, 0x1.9065b4d076c34p-7, 0x1.868644ad3ac1cp-7, 0x1.7ce05178cd247p-7, 0x1.7372b6d88e2cap-7, 0x1.6a3c54bd28c9fp-7, 0x1.613c0f6006fd3p-7, 0x1.5870cf4010ae1p-7, 0x1.4fd9811de6353p-7, 0x1.477515f7aa2bfp-7, 0x1.3f4283043a21dp-7, 0x1.3740c1adf577p-7, 0x1.2f6ecf8d1e75fp-7, 0x1.27cbae61a0c11p-7, 0x1.2056640caf80fp-7, 0x1.190dfa89cdaedp-7, 0x1.11f17fe7972eep-7, 0x1.0b0006402501fp-7, 0x1.0438a3b12a1bdp-7, 0x1.fb34e4a771a9bp-8, 0x1.ee492067759cfp-8, 0x1.e1ac3e8e5d719p-8, 0x1.d55c8aca42d33p-8, 0x1.c9585878dc2fcp-8, 0x1.bd9e02947c446p-8, 0x1.b22beba0c5f25p-8, 0x1.a7007d96e3aafp-8, 0x1.9c1a29d15e4f7p-8, 0x1.917768f7d0e1cp-8, 0x1.8716baea15f1cp-8, 0x1.7cf6a6ab673fbp-8, 0x1.7315ba4d1f5b9p-8, 0x1.69728ad93e2fcp-8, 0x1.600bb43cc743dp-8, 0x1.56dfd9320b2b4p-8, 0x1.4deda32a94a14p-8, 0x1.4533c23919dd4p-8, 0x1.3cb0ecfb45a75p-8, 0x1.3463e08385356p-8, 0x1.2c4b60428f628p-8, 0x1.246635f10269cp-8, 0x1.1cb33178ebadfp-8, 0x1.153128df4004ep-8, 0x1.0ddef82d86f5ep-8, 0x1.06bb815b29ed3p-8, 0x1.ff8b586e3d443p-9, 0x1.f1f8cca2f0dfcp-9, 0x1.e4bd45ca0f831p-9, 0x1.d7d6b582046f3p-9, 0x1.cb43186590b77p-9, 0x1.bf0075df747ecp-9, 0x1.b30cdffe5fb41p-9, 0x1.a766734911878p-9, 0x1.9c0b569289e45p-9, 0x1.90f9bacebea49p-9, 0x1.862fdae766ba7p-9, 0x1.7babfb9112786p-9, 0x1.716c6b20957aap-9, 0x1.676f8160c8f29p-9, 0x1.5db39f68a4a39p-9, 0x1.54372f719c8e7p-9, 0x1.4af8a4ae6b42bp-9, 0x1.41f67b2229dfap-9, 0x1.392f3777d1eb9p-9, 0x1.30a166da19cd2p-9, 0x1.284b9ecbd61ffp-9, 0x1.202c7d00769efp-9, 0x1.1842a7354c97fp-9, 0x1.108ccb0afdd83p-9, 0x1.09099ddf86063p-9, 0x1.01b7dca877989p-9, 0x1.f52c979bb4d9ep-10, 0x1.e7476e0abda11p-10, 0x1.d9bde25c7e17ep-10, 0x1.cc8da85a5863p-10, 0x1.bfb48192178d3p-10, 0x1.b3303d0fea12fp-10, 0x1.a6feb719a6527p-10, 0x1.9b1dd8ea8773ep-10, 0x1.8f8b987066df8p-10, 0x1.8445f809285e8p-10, 0x1.794b0641b82d5p-10, 0x1.6e98dd95f21ebp-10, 0x1.642da43105b75p-10, 0x1.5a078baf05c77p-10, 0x1.5024d0dfc5484p-10, 0x1.4683bb89df024p-10, 0x1.3d229e2f55e72p-10, 0x1.33ffd5d32d1e8p-10, 0x1.2b19c9bf1c38p-10, 0x1.226eeb4b0d9bbp-10, 0x1.19fdb5a52d179p-10, 0x1.11c4ad9b06e4ep-10, 0x1.09c2616350b05p-10, 0x1.01f56868e1804p-10, 0x1.f4b8c62cb6175p-11, 0x1.e5ebf5455e5d9p-11, 0x1.d781c1be289acp-11, 0x1.c977a00a1003ep-11, 0x1.bbcb150b51f2ap-11, 0x1.ae79b5b3f55p-11, 0x1.a18126a7aabe3p-11, 0x1.94df1bdfd8bbbp-11, 0x1.88915850c37fap-11, 0x1.7c95ad91013bdp-11, 0x1.70e9fb818dcbcp-11, 0x1.658c2ff8fbc0ep-11, 0x1.5a7a466f4a435p-11, 0x1.4fb247ab7bf54p-11, 0x1.45324972990d2p-11, 0x1.3af86e38e8e45p-11, 0x1.3102e4d412546p-11, 0x1.274fe82f0ea7bp-11, 0x1.1dddbf000687dp-11, 0x1.14aabb7e8a1ddp-11, 0x1.0bb53b1c5bda5p-11, 0x1.02fba63eef286p-11, 0x1.f4f8dff695e0ap-12, 0x1.e46c2ba4dec5fp-12, 0x1.d44e3ede84e8dp-12, 0x1.c49c3cccdeacdp-12, 0x1.b5535bed86bfdp-12, 0x1.a670e5970d056p-12, 0x1.97f23581ac945p-12, 0x1.89d4b94e373dap-12, 0x1.7c15f013dd069p-12, 0x1.6eb369ee1df8ep-12, 0x1.61aac78e63cbfp-12, 0x1.54f9b9cf971cp-12, 0x1.489e014c1c46p-12, 0x1.3c956df61ce1fp-12, 0x1.30dddeb21ec33p-12, 0x1.257540f3ca511p-12, 0x1.1a59905dd283ap-12, 0x1.0f88d662f7412p-12, 0x1.050129e99bf4ep-12, 0x1.f5815de228b47p-13, 0x1.e18b2c74480fdp-13, 0x1.ce1c39e0d95ap-13, 0x1.bb3118abfd2d4p-13, 0x1.a8c672e57c308p-13, 0x1.96d90984a5687p-13, 0x1.8565b3cd9ef71p-13, 0x1.74695eb79f3e9p-13, 0x1.63e10c58ad0b9p-13, 0x1.53c9d353b7a09p-13, 0x1.4420de4a9eaap-13, 0x1.34e36b538aab9p-13, 0x1.260ecb7167123p-13, 0x1.17a0621005ec6p-13, 0x1.0995a483b1d62p-13, 0x1.f7d8331b42618p-14, 0x1.dd42b1bd6002cp-14, 0x1.c3661543c4661p-14, 0x1.aa3dce0eb97cbp-14, 0x1.91c56ba83912fp-14, 0x1.79f89be58e3b7p-14, 0x1.62d32a11868acp-14, 0x1.4c50fe1adf6dcp-14, 0x1.366e1bc7823ebp-14, 0x1.2126a1ec2b79dp-14, 0x1.0c76c9ac37793p-14, 0x1.f0b5cb7df5ce1p-15, 0x1.c99ec36bf6f05p-15, 0x1.a3a18291f36f6p-15, 0x1.7eb73f5404897p-15, 0x1.5ad95db56bfabp-15, 0x1.38016e0ecfd5bp-15, 0x1.16292bcd4fd92p-15, 0x1.ea94f87912fb6p-16, 0x1.aabedaab969fdp-16, 0x1.6cc46928bc075p-16, 0x1.309a5baec6c59p-16, 0x1.ec6b69344bcefp-17, 0x1.7b177d81e6f43p-17, 0x1.0d2416c6ec778p-17, 0x1.44f9c09aa3109p-18, 0x1.d8705232486ep-20, -0x1.49ddd05bcda83p-20, -0x1.14e67bfb80499p-18, -0x1.d155b24481f1ap-18, -0x1.43f46ca91d9b7p-17, -0x1.9c6166d7a691cp-17, -0x1.f202c658d24b1p-17, -0x1.22748eb4b83bdp-16, -0x1.4a924a78250abp-16, -0x1.716277c53bb66p-16, -0x1.96ecc6383171bp-16, -0x1.bb38b52b1aa27p-16, -0x1.de4d9513d546dp-16, -0x1.001944708ab6p-15, -0x1.107743a3ad0d9p-15, -0x1.20442e01f38ecp-15, -0x1.2f835489074bfp-15, -0x1.3e37f3f039b7fp-15, -0x1.4c65353d24dc5p-15, -0x1.5a0e2e526d84fp-15, -0x1.6735e27b5b222p-15, -0x1.73df42f2bed36p-15, -0x1.800d2f66ed68ep-15, -0x1.8bc27677b35c1p-15, -0x1.9701d630269e1p-15, -0x1.a1cdfc8191c8ap-15, -0x1.ac2987b64d6acp-15, -0x1.b61706e325845p-15, -0x1.bf98fa53440bbp-15, -0x1.c8b1d3f0f352ap-15, -0x1.d163f7ad3a6dp-15, -0x1.d9b1bbe3715d9p-15, -0x1.e19d69b88fc99p-15, -0x1.e9293d793cd15p-15, -0x1.f05766f548574p-15, -0x1.f72a09d562b2fp-15, -0x1.fda33df15168ep-15, -0x1.01e287cf664fep-14, -0x1.04c8c002fd9b4p-14, -0x1.078542b61e3c2p-14, -0x1.0a1905c03103bp-14, -0x1.0c84f9d0cd34fp-14, -0x1.0eca0a92d219dp-14, -0x1.10e91ece8ea96p-14, -0x1.12e3188aacd86p-14, -0x1.14b8d52bf06f7p-14, -0x1.166b2d93b6d7cp-14, -0x1.17faf63ee0d4ep-14, -0x1.1968ff621d071p-14, -0x1.1ab6150645b3fp-14, -0x1.1be2ff223046ap-14, -0x1.1cf081b62c706p-14, -0x1.1ddf5ce54ba69p-14, -0x1.1eb04d0e26903p-14, -0x1.1f640ae246f47p-14, -0x1.1ffb4b7d34e29p-14, -0x1.2076c07b0f1e8p-14, -0x1.20d7180e22aa7p-14, -0x1.211cfd136d40dp-14, -0x1.21491726ddb19p-14, -0x1.215c0ab77543p-14, -0x1.2156791a21c09p-14, -0x1.2139009c6b951p-14, -0x1.21043c95a5166p-14, -0x1.20b8c5783a9abp-14, -0x1.205730e26ea78p-14, -0x1.1fe011af54d1bp-14, -0x1.1f53f805098c6p-14, -0x1.1eb37164cdd67p-14, -0x1.1dff08b9b4ab5p-14, -0x1.1d37466697451p-14, -0x1.1c5cb0545ec07p-14, -0x1.1b6fc9fdcf25ep-14, -0x1.1a71147e00caep-14, -0x1.19610e9c2c9d5p-14, -0x1.184034d833f68p-14, -0x1.170f0176aed53p-14, -0x1.15cdec8baa1f9p-14, -0x1.147d6c05a57cbp-14, -0x1.131df3b908131p-14, -0x1.11aff569f1004p-14, -0x1.1033e0d613589p-14, -0x1.0eaa23bf0bbedp-14, -0x1.0d1329f3606f5p-14, -0x1.0b6f5d588e10cp-14, -0x1.09bf25f33ba48p-14, -0x1.0802e9efe757p-14, -0x1.063b0dab457e5p-14, -0x1.0467f3bab2826p-14, -0x1.0289fcf404433p-14, -0x1.00a1887559842p-14, -0x1.fd5de75a2d785p-15, -0x1.f96534c07b164p-15, -0x1.f559ad6470b8cp-15, -0x1.f13c0257224f2p-15, -0x1.ed0ce180a6551p-15, -0x1.e8ccf5ade7218p-15, -0x1.e47ce69ca08d8p-15, -0x1.e01d59090ab64p-15, -0x1.dbaeeeb9ae919p-15, -0x1.d732468986ec2p-15, -0x1.d2a7fc75cd08dp-15, -0x1.ce10a9a71e24p-15, -0x1.c96ce47d665e7p-15, -0x1.c4bd409ab809ap-15, -0x1.c0024eed3aeep-15, -0x1.bb3c9db9eaba8p-15, -0x1.b66cb8a6135c8p-15, -0x1.b19328c11f1fbp-15, -0x1.acb0748dee45dp-15, -0x1.a7c5200c96bd5p-15, -0x1.a2d1acc264bacp-15, -0x1.9dd699c3542d9p-15, -0x1.98d463bbf0889p-15, -0x1.93cb84f7a89c1p-15, -0x1.8ebc756b0a9a2p-15, -0x1.89a7aabb6eef5p-15, -0x1.848d984664c7ep-15, -0x1.7f6eaf29a15d8p-15, -0x1.7a4b5e4bc48f4p-15, -0x1.752412631e39ep-15, -0x1.6ff935fcec42fp-15, -0x1.6acb318609927p-15, -0x1.659a6b502d96ap-15, -0x1.6067479a77ef2p-15, -0x1.5b32289860a4fp-15, -0x1.55fb6e77b2abbp-15, -0x1.50c3776728834p-15, -0x1.4b8a9f9f12e8ap-15, -0x1.465141657d862p-15, -0x1.4117b5157d90ap-15, -0x1.3bde5126845b9p-15, -0x1.36a56a3203be4p-15, -0x1.316d52f8c27cbp-15, -0x1.2c365c69fd7fcp-15, -0x1.2700d5a9ccfbp-15, -0x1.21cd0c155ceep-15, -0x1.1c9b4b4ae2edcp-15, -0x1.176bdd2e4efc1p-15, -0x1.123f09ee675fcp-15, -0x1.0d15180c2c27ep-15, -0x1.07ee4c5f949eap-15, -0x1.02caea1c480dap-15, -0x1.fb5665b0785a6p-16, -0x1.f11ecd22c686ep-16, -0x1.e6ef87635bc3bp-16, -0x1.dcc90e298b414p-16, -0x1.d2abd81d67aeap-16, -0x1.c89858df83b0fp-16, -0x1.be8f011330104p-16, -0x1.b4903e6a08f64p-16, -0x1.aa9c7bae048bdp-16, -0x1.a0b420c91a38cp-16, -0x1.96d792d29e7d8p-16, -0x1.8d073418510b8p-16, -0x1.83436424bb6ecp-16, -0x1.798c7fcca2863p-16, -0x1.6fe2e138936e1p-16, -0x1.6646dfec0ca4bp-16, -0x1.5cb8d0cffba0fp-16, -0x1.5339063dac422p-16, -0x1.49c7d00611a99p-16, -0x1.40657b79b7b2p-16, -0x1.37125375b7bf3p-16, -0x1.2dcea06a510ccp-16, -0x1.249aa8645c604p-16, -0x1.1b76af15c8928p-16, -0x1.1262f5dfb84f3p-16, -0x1.095fbbd95a861p-16, -0x1.006d3dd930b6fp-16, -0x1.ef176cffc48f7p-17, -0x1.dd76bc7bfc2fep-17, -0x1.cbf8d6b962d0ap-17, -0x1.ba9e240fa72dap-17, -0x1.a96708ab00ca9p-17, -0x1.9853e499fac59p-17, -0x1.876513e379ap-17, -0x1.769aee925404cp-17, -0x1.65f5c8c83e7e2p-17, -0x1.5575f2c94e9dbp-17, -0x1.451bb91196b42p-17, -0x1.34e76463c4a1bp-17, -0x1.24d939d4a9e4cp-17, -0x1.14f17ae077313p-17, -0x1.0530657531f4dp-17, -0x1.eb2c680887294p-18, -0x1.cc463b222e2ep-18, -0x1.adaeab8144919p-18, -0x1.8f6619d37d1d6p-18, -0x1.716ce03dede62p-18, -0x1.53c35285d8002p-18, -0x1.3669be255e126p-18, -0x1.19606a6ad7c56p-18, -0x1.f94f312ca51adp-19, -0x1.c07f07f1f695bp-19, -0x1.8850c40e5f9f5p-19, -0x1.50c4c4ff1e0d5p-19, -0x1.19db5ef41b045p-19, -0x1.c729b647bd27ep-20, -0x1.5be2efd0d86dp-20, -0x1.e3c5a40c75755p-21, -0x1.12535f3f90aafp-21, -0x1.0dbe36aea24dap-23, 0x1.11caf844fdb55p-22, 0x1.52ab90e03702fp-21, 0x1.0cf154d3fe4e2p-20, 0x1.6f45729520a7cp-20, 0x1.d052437bd6e65p-20, 0x1.180bfda7b0a9ep-19, 0x1.474b6fc88f6ffp-19, 0x1.75e7a3823e1ebp-19, 0x1.a3e0ccac781dcp-19, 0x1.d1372758bfd56p-19, 0x1.fdeaf7ba7f0b3p-19, 0x1.14fe44f45530ap-18, 0x1.2ab618da2efe5p-18, 0x1.401d253dabe56p-18, 0x1.55339b7c7fd7dp-18, 0x1.69f9b08fb14e2p-18, 0x1.7e6f9cf188befp-18, 0x1.92959c8c4d2f4p-18, 0x1.a66beea5a0a57p-18, 0x1.b9f2d5c3e4b34p-18, 0x1.cd2a979d9d557p-18, 0x1.e0137d041f98ep-18, 0x1.f2add1cd74c2ap-18, 0x1.027cf25f82075p-17, 0x1.0b7c03bec2fb6p-17, 0x1.1454473d05c1fp-17, 0x1.1d05e86f0def2p-17, 0x1.25911438a2c25p-17, 0x1.2df5f8c719852p-17, 0x1.3634c5874096p-17, 0x1.3e4dab1bea8f2p-17, 0x1.4640db53eae64p-17, 0x1.4e0e892208802p-17, 0x1.55b6e8947a176p-17, 0x1.5d3a2ecad79e4p-17, 0x1.649891ee9673ap-17, 0x1.6bd2492a071c7p-17, 0x1.72e78ca144e82p-17, 0x1.79d89568f902ap-17, 0x1.80a59d7cef682p-17, 0x1.874edfbac954ap-17, 0x1.8dd497d7bb7c7p-17, 0x1.94370258fa41ep-17, 0x1.9a765c8c585b9p-17, 0x1.a092e482876a1p-17, 0x1.a68cd906aee32p-17, 0x1.ac647995fbc82p-17, 0x1.b21a0658255bdp-17, 0x1.b7adc01a6ed4fp-17, 0x1.bd1fe846817f4p-17, 0x1.c270c0ddd34f8p-17, 0x1.c7a08c706fb91p-17, 0x1.ccaf8e1786161p-17, 0x1.d19e096fc9f14p-17, 0x1.d66c4290cd6a3p-17, 0x1.db1a7e080458bp-17, 0x1.dfa900d24ddbfp-17, 0x1.e41810573e1bcp-17, 0x1.e867f26198e77p-17, 0x1.ec98ed181b98bp-17, 0x1.f0ab46fa2507bp-17, 0x1.f49f46d8f147ep-17, 0x1.f87533d09bbe9p-17, 0x1.fc2d55458834ep-17, 0x1.ffc7f2dc364a6p-17, 0x1.01a2aa3b95652p-16, 0x1.0352e11750fc4p-16, 0x1.04f4c226264edp-16, 0x1.068871a3a9d8dp-16, 0x1.080e13dea26a1p-16, 0x1.0985cd380c3a4p-16, 0x1.0aefc21fbb19fp-16, 0x1.0c4c17120d041p-16, 0x1.0d9af0960249bp-16, 0x1.0edc733b64dfp-16, 0x1.1010c39769d45p-16, 0x1.11380642c022fp-16, 0x1.12525fd94222bp-16, 0x1.135ff4f63f192p-16, 0x1.1460ea32cdc3p-16, 0x1.15556423551acp-16, 0x1.163d8756522ccp-16, 0x1.171978527bca5p-16, 0x1.17e95b94561f2p-16, 0x1.18ad558d26a3ap-16, 0x1.19658aa041146p-16, 0x1.1a121f22f1d44p-16, 0x1.1ab3375904bbbp-16, 0x1.1b48f77435b37p-16, 0x1.1bd38391aa597p-16, 0x1.1c52ffb980df5p-16, 0x1.1cc78fdc7e496p-16, 0x1.1d3157d322cdap-16, 0x1.1d907b5b6b873p-16, 0x1.1de51e17e564ap-16, 0x1.1e2f638f03d2p-16, 0x1.1e6f6f2884073p-16, 0x1.1ea5642bea14cp-16, 0x1.1ed165c111b9fp-16, 0x1.1ef396ee0da36p-16, 0x1.1f0c1a955d21bp-16, 0x1.1f1b13752d358p-16, 0x1.1f20a4257c42ep-16, 0x1.1f1cef186cee8p-16, 0x1.1f10169832554p-16, 0x1.1efa3cc665451p-16, 0x1.1edb839a4bf76p-16, 0x1.1eb40ce13423dp-16, 0x1.1e83fa3c926p-16, 0x1.1e4b6d21af422p-16, 0x1.1e0a86d7be1b6p-16, 0x1.1dc1687714a62p-16, 0x1.1d7032ea393d2p-16, 0x1.1d1706eaae1f2p-16, 0x1.1cb60501f13cbp-16, 0x1.1c4d4d8717bb1p-16, 0x1.1bdd009fbea06p-16, 0x1.1b653e3e7d113p-16, 0x1.1ae62621d78a9p-16, 0x1.1a5fd7d3e17cap-16, 0x1.19d272aace20ap-16, 0x1.193e15c6c882dp-16, 0x1.18a2e01266cd2p-16, 0x1.1800f04132dbep-16, 0x1.175864cf312f2p-16, 0x1.16a95c01819adp-16, 0x1.15f3f3e4c76e4p-16, 0x1.15384a4d66b41p-16, 0x1.14767cd6064a2p-16, 0x1.13aea8e08e3ebp-16, 0x1.12e0eb94cdf01p-16, 0x1.120d61e140c44p-16, 0x1.11342879597dap-16, 0x1.10555bd4cd5d6p-16, 0x1.0f7118315456dp-16, 0x1.0e8779908624p-16, 0x1.0d989bb8dacc7p-16, 0x1.0ca49a3431c8cp-16, 0x1.0bab9050931f8p-16, 0x1.0aad991fe24bap-16, 0x1.09aacf76a91bbp-16, 0x1.08a34dec86a9dp-16, 0x1.07972edc82f23p-16, 0x1.06868c65079dfp-16, 0x1.057180668288fp-16, 0x1.04582484d0348p-16, 0x1.033a92254d76fp-16, 0x1.0218e26ffa986p-16, 0x1.00f32e4faa29p-16, 0x1.ff931ce282aa1p-17, 0x1.fd38368823ed8p-17, 0x1.fad5d9f1918a8p-17, 0x1.f86c37061a33cp-17, 0x1.f5fb7d30f0f99p-17, 0x1.f383db63215e5p-17, 0x1.f10580113f061p-17, 0x1.ee8099332aa08p-17, 0x1.ebf554472d6c9p-17, 0x1.e963de4fb2ff2p-17, 0x1.e6cc63d3b3e81p-17, 0x1.e42f10df69d71p-17, 0x1.e18c110458414p-17, 0x1.dee38f5ada234p-17, 0x1.dc35b67fe8bfep-17, 0x1.d982b0952163ep-17, 0x1.d6caa74311637p-17, 0x1.d40dc3bad0d47p-17, 0x1.d14c2eb23456cp-17, 0x1.ce8610671f5b9p-17, 0x1.cbbb909f9f874p-17, 0x1.c8ecd6a7ca7fp-17, 0x1.c61a09550ebfap-17, 0x1.c3434f061dff5p-17, 0x1.c068cda2264ccp-17, 0x1.bd8aaa9a3777p-17, 0x1.baa90ae867ff4p-17, 0x1.b7c41311b38f4p-17, 0x1.b4dbe725cfbd8p-17, 0x1.b1f0aac1ca2f8p-17, 0x1.af02810d0ccadp-17, 0x1.ac118cba85242p-17, 0x1.a91df00babd6dp-17, 0x1.a627cccf4d3a8p-17, 0x1.a32f4461abf9ep-17, 0x1.a03477adf7c58p-17, }}, 
      {{-0x1.88cfc21ae9bbcp-2, -0x1.88dfe980b7844p-2, -0x1.88fa7b07f3b5dp-2, -0x1.891f25713dbaep-2, -0x1.894dbccc1eb25p-2, -0x1.8986533c14f7cp-2, -0x1.89c942aae17aep-2, -0x1.8a172a161323ep-2, -0x1.8a70e228ed8e1p-2, -0x1.8ad76ca52b2dbp-2, -0x1.8b4be178d14ddp-2, -0x1.8bcf5ba4bed57p-2, -0x1.8c62e76e7876bp-2, -0x1.8d0772cc63674p-2, -0x1.8dbdc08f0dddp-2, -0x1.8e865e791226ap-2, -0x1.8f619e3d2bf94p-2, -0x1.904f9132fe076p-2, -0x1.9150067ab95ebp-2, -0x1.92628b3adf808p-2, -0x1.93866c9eb594ep-2, -0x1.94babb3d4ab16p-2, -0x1.95fe4f962c30dp-2, -0x1.974fcf587a97bp-2, -0x1.98adb3320400bp-2, -0x1.9a164ced52a38p-2, -0x1.9b87cdaece8b8p-2, -0x1.9d004c29bb82fp-2, -0x1.9e7dcaadc03d8p-2, -0x1.9ffe3cf4b1a38p-2, -0x1.a17f8d9e7a624p-2, -0x1.a2ffa34e37d39p-2, -0x1.a47c65600eb7dp-2, -0x1.a5f3c032dcdfbp-2, -0x1.a763a903e2ab1p-2, -0x1.a8ca215ce5396p-2, -0x1.aa253a17123c7p-2, -0x1.ab7315f66899dp-2, -0x1.acb1ebe2696e9p-2, -0x1.ade008c1945acp-2, -0x1.aefbd0fdaa79bp-2, -0x1.b003c1b705ad4p-2, -0x1.b0f671ad61447p-2, -0x1.b1d291e47b94ap-2, -0x1.b296ee0ad6b16p-2, -0x1.b3426ca8b03dfp-2, -0x1.b3d40f1d0890ap-2, -0x1.b44af16e52eafp-2, -0x1.b4a649f40b4d6p-2, -0x1.b4e568de2b21bp-2, -0x1.b507b79f16f9cp-2, -0x1.b50cb83c4f932p-2, -0x1.b4f40489d85aap-2, -0x1.b4bd4d53f8b4ap-2, -0x1.b468597aa8dbfp-2, -0x1.b3f50501af142p-2, -0x1.b36340182e313p-2, -0x1.b2b30e1a17bccp-2, -0x1.b1e4848dbe58ap-2, -0x1.b0f7ca1f7b8ccp-2, -0x1.afed159d3032dp-2, -0x1.aec4acf323d8bp-2, -0x1.ad7ee42ba211p-2, -0x1.ac1c1c727f6fcp-2, -0x1.aa9cc31d89409p-2, -0x1.a90150bab9a8bp-2, -0x1.a74a4824f0d88p-2, -0x1.a578359fbeb72p-2, -0x1.a38badfac801dp-2, -0x1.a1854dbd1ed6ep-2, -0x1.9f65b858d96e5p-2, -0x1.9d2d97672261cp-2, -0x1.9add99ecde378p-2, -0x1.987673a7fc9f4p-2, -0x1.95f8dc65739e5p-2, -0x1.93658f5fdf644p-2, -0x1.90bd4aa6ae96ap-2, -0x1.8e00ce8dbd2d5p-2, -0x1.8b30dd2535d81p-2, -0x1.884e39b98b4ffp-2, -0x1.8559a85b59a3bp-2, -0x1.8253ed6eed87p-2, -0x1.7f3dcd433cdd3p-2, -0x1.7c180bb00d35bp-2, -0x1.78e36bbb06b28p-2, -0x1.75a0af436ac66p-2, -0x1.725096b4336cp-2, -0x1.6ef3e0bc49e94p-2, -0x1.6b8b4a0c98ddep-2, -0x1.68178d1baf494p-2, -0x1.649961eeb05cep-2, -0x1.61117de74f035p-2, -0x1.5d80939693236p-2, -0x1.59e7529421606p-2, -0x1.56466759d08fdp-2, -0x1.529e7b2346874p-2, -0x1.4ef033d1685b5p-2, -0x1.4b3c33d15e4bdp-2, -0x1.47831a06f7057p-2, -0x1.43c581ba39685p-2, -0x1.40040287e6d04p-2, -0x1.3c3f3054c8ec8p-2, -0x1.38779b4397b2ep-2, -0x1.34adcfad4549ep-2, -0x1.30e2561b9121dp-2, -0x1.2d15b345ae563p-2, -0x1.2948680edf6fcp-2, -0x1.257af186db8c5p-2, -0x1.21adc8ebe4bb9p-2, -0x1.1de163ae60f27p-2, -0x1.1a163375e31c6p-2, -0x1.164ca62781fc9p-2, -0x1.128525ed5da4cp-2, -0x1.0ec0193f425b1p-2, -0x1.0afde2ec48635p-2, -0x1.073ee2255b8fp-2, -0x1.0383728899ddcp-2, -0x1.ff97d85adbd43p-3, -0x1.f8314762a8d6p-3, -0x1.f0d3d48a81d7cp-3, -0x1.e9801b770883ep-3, -0x1.e236b12c6357bp-3, -0x1.daf8242bdcbfep-3, -0x1.d3c4fc9236871p-3, -0x1.cc9dbc36a2a26p-3, -0x1.c582deca45356p-3, -0x1.be74d9f8256bcp-3, -0x1.b7741d857ff4ep-3, -0x1.b081137260bffp-3, -0x1.a99c201a7502bp-3, -0x1.a2c5a256085adp-3, -0x1.9bfdf39b19ae8p-3, -0x1.9545681e73924p-3, -0x1.8e9c4ef4cad6ap-3, -0x1.8802f233c7188p-3, -0x1.81799712ef2bdp-3, -0x1.7b007e0c79603p-3, -0x1.7497e2fdde336p-3, -0x1.6e3ffd483fe99p-3, -0x1.67f8fff08a04fp-3, -0x1.61c319bf4c216p-3, -0x1.5b9e756044c4bp-3, -0x1.558b3981989ecp-3, -0x1.4f8988f2ae4eep-3, -0x1.499982c2a7a5p-3, -0x1.43bb425e7f687p-3, -0x1.3deedfaeb05eep-3, -0x1.38346f347c733p-3, -0x1.328c0226bc3b6p-3, -0x1.2cf5a68e416cbp-3, -0x1.27716761bb867p-3, -0x1.21ff4ca12da88p-3, -0x1.1c9f5b70e31c5p-3, -0x1.17519633eb5c1p-3, -0x1.1215fca61bd63p-3, -0x1.0cec8bf58b1bdp-3, -0x1.07d53edb946f4p-3, -0x1.02d00db557613p-3, -0x1.fbb9dd37734a9p-4, -0x1.f1f7aaf5c4a3dp-4, -0x1.e859685273f6ap-4, -0x1.dedef4fbcf7cap-4, -0x1.d5882ccd94b4fp-4, -0x1.cc54e7fbea8afp-4, -0x1.c344fb3d5720bp-4, -0x1.ba5837f3af78ep-4, -0x1.b18e6c54145b9p-4, -0x1.a8e7638dee625p-4, -0x1.a062e5f0f1f75p-4, -0x1.9800b9121f51dp-4, -0x1.8fc09fefde462p-4, -0x1.87a25b1519c4fp-4, -0x1.7fa5a8bb6d547p-4, -0x1.77ca44ec65653p-4, -0x1.700fe9a1d2af3p-4, -0x1.68764ee533957p-4, -0x1.60fd2aee398aap-4, -0x1.59a432406a1d3p-4, -0x1.526b17c7e0f17p-4, -0x1.4b518cf535a85p-4, -0x1.445741d88882p-4, -0x1.3d7be53bb914fp-4, -0x1.36bf24bbcaf85p-4, -0x1.3020ace17cc6ep-4, -0x1.29a029391201ep-4, -0x1.233d446957922p-4, -0x1.1cf7a849e28cp-4, -0x1.16cefdf8906dcp-4, -0x1.10c2edee498bep-4, -0x1.0ad320130a6bbp-4, -0x1.04ff3bd139ad2p-4, -0x1.fe8dd05094addp-5, -0x1.f353977d62684p-5, -0x1.e84f19e65e661p-5, -0x1.dd7fa3daedd9cp-5, -0x1.d2e4815c5b08ap-5, -0x1.c87cfe3c9c7b1p-5, -0x1.be48663be091dp-5, -0x1.b4460524eca27p-5, -0x1.aa7526e852106p-5, -0x1.a0d517b681209p-5, -0x1.97652418c1f9ep-5, -0x1.8e2499091b34bp-5, -0x1.8512c40928cbap-5, -0x1.7c2ef337f1d9p-5, -0x1.73787566baab9p-5, -0x1.6aee9a2ce090dp-5, -0x1.6290b1fac4419p-5, -0x1.5a5e0e2bc946fp-5, -0x1.525601176ee9fp-5, -0x1.4a77de218f583p-5, -0x1.42c2f9c9bfb7dp-5, -0x1.3b36a9b9e7533p-5, -0x1.33d244d402422p-5, -0x1.2c95233f24ab2p-5, -0x1.257e9e73ba0b6p-5, -0x1.1e8e11470fa4ep-5, -0x1.17c2d7f6230aap-5, -0x1.111c502fcaf4dp-5, -0x1.0a99d91e30292p-5, -0x1.043ad36fa42f8p-5, -0x1.fbfd42bdb5821p-6, -0x1.efc94d751452fp-6, -0x1.e3d891d8ecf44p-6, -0x1.d829ddffd9ab1p-6, -0x1.ccbc034f6c6dap-6, -0x1.c18dd687063b9p-6, -0x1.b69e2fc9b28a4p-6, -0x1.abebeaa6fd9f5p-6, -0x1.a175e622eeabp-6, -0x1.973b04bd05f61p-6, -0x1.8d3a2c766ac5cp-6, -0x1.837246d744078p-6, -0x1.79e240f3378cfp-6, -0x1.70890b6d3251ap-6, -0x1.67659a7a63fb8p-6, -0x1.5e76e5e4922cap-6, -0x1.55bbe90bb0a69p-6, -0x1.4d33a2e6dbcdep-6, -0x1.44dd1604aa4adp-6, -0x1.3cb7488aea2f5p-6, -0x1.34c14435c6d2cp-6, -0x1.2cfa165668459p-6, -0x1.2560cfd106087p-6, -0x1.1df4851a762c7p-6, -0x1.16b44e3550c8fp-6, -0x1.0f9f46ae8fdb2p-6, -0x1.08b48d99c42f1p-6, -0x1.01f3458ce4f46p-6, -0x1.f6b5293773fbcp-7, -0x1.e9d348a5c42aap-7, -0x1.dd3f436504193p-7, -0x1.d0f77a51472e1p-7, -0x1.c4fa5516741ffp-7, -0x1.b9464223c7679p-7, -0x1.add9b69eb5403p-7, -0x1.a2b32e555b121p-7, -0x1.97d12bb05bad1p-7, -0x1.8d3237a457983p-7, -0x1.82d4e1a2e54dfp-7, -0x1.78b7bf8b3507dp-7, -0x1.6ed96d9a428a4p-7, -0x1.65388e5ab6b8ap-7, -0x1.5bd3ca947787ep-7, -0x1.52a9d13be7b94p-7, -0x1.49b95760e307p-7, -0x1.4101181d74caep-7, -0x1.387fd48465202p-7, -0x1.3034538f7951dp-7, -0x1.281d620d97ff7p-7, -0x1.2039d290bcb35p-7, -0x1.18887d5bc6bdep-7, -0x1.1108405024997p-7, -0x1.09b7fedb6ae5cp-7, -0x1.0296a1e4cd8d9p-7, -0x1.f7462f750f39ap-8, -0x1.e9b8a7fe68569p-8, -0x1.dc829f2e45458p-8, -0x1.cfa2112b2d81cp-8, -0x1.c315045418cb6p-8, -0x1.b6d9891af364p-8, -0x1.aaedb9df344f1p-8, -0x1.9f4fbac869ffcp-8, -0x1.93fdb9a0d87b6p-8, -0x1.88f5edb047e4ap-8, -0x1.7e369796d4b84p-8, -0x1.73be0127f4ab4p-8, -0x1.698a7d459527bp-8, -0x1.5f9a67bb67f1cp-8, -0x1.55ec251a60c79p-8, -0x1.4c7e22946a744p-8, -0x1.434ed5d84fad1p-8, -0x1.3a5cbcedd84ap-8, -0x1.31a65e1234bdfp-8, -0x1.292a479498488p-8, -0x1.20e70fb321f7dp-8, -0x1.18db547823adep-8, -0x1.1105bb97830b2p-8, -0x1.0964f24c8e504p-8, -0x1.01f7ad380c5dp-8, -0x1.f579507d69a6ap-9, -0x1.e7654ccfd4c1dp-9, -0x1.d9b0e37992628p-9, -0x1.cc59b64f2125cp-9, -0x1.bf5d74a6d89fdp-9, -0x1.b2b9db1920fefp-9, -0x1.a66cb34175e81p-9, -0x1.9a73d3800ae47p-9, -0x1.8ecd1ebc39e88p-9, -0x1.83768427a20f1p-9, -0x1.786dff021c3fdp-9, -0x1.6db1965e720e2p-9, -0x1.633f5ce7c82c5p-9, -0x1.591570a7c725ap-9, -0x1.4f31facd9a046p-9, -0x1.45932f75a2cd1p-9, -0x1.3c374d720ba6fp-9, -0x1.331c9e14218d2p-9, -0x1.2a4174f64d31p-9, -0x1.21a42fc6f18bp-9, -0x1.194336141484dp-9, -0x1.111cf917af661p-9, -0x1.092ff3850ce81p-9, -0x1.017aa9569bd1bp-9, -0x1.f3f74f3967484p-10, -0x1.e563089a1bfacp-10, -0x1.d735bc2614274p-10, -0x1.c96cb8416cb28p-10, -0x1.bc055c0155f74p-10, -0x1.aefd16d11de9dp-10, -0x1.a2516818a3a4ep-10, -0x1.95ffdee48571fp-10, -0x1.8a06198fb83abp-10, -0x1.7e61c56e75411p-10, -0x1.73109e7afe772p-10, -0x1.68106f03602b8p-10, -0x1.5d5f0f58c807bp-10, -0x1.52fa658075e34p-10, -0x1.48e064e5da544p-10, -0x1.3f0f0e0e42b0cp-10, -0x1.35846e4de5794p-10, -0x1.2c3e9f7e4e0a2p-10, -0x1.233bc7b5f60b4p-10, -0x1.1a7a1901610eap-10, -0x1.11f7d11d8452ep-10, -0x1.09b33933828b6p-10, -0x1.01aaa595a769bp-10, -0x1.f3b8eafbc5451p-11, -0x1.e48e259a02ac3p-11, -0x1.d5d1e39767413p-11, -0x1.c78121d90229bp-11, -0x1.b998f11e0820fp-11, -0x1.ac167588e1f49p-11, -0x1.9ef6e62a688cdp-11, -0x1.92378c8f94fc1p-11, -0x1.85d5c451309d7p-11, -0x1.79cefaa628bd5p-11, -0x1.6e20adf7e371bp-11, -0x1.62c86d78fba37p-11, -0x1.57c3d8be03ae4p-11, -0x1.4d109f58a6a37p-11, -0x1.42ac80746d0f7p-11, -0x1.38954a75e8b61p-11, -0x1.2ec8da9c03f32p-11, -0x1.25451ca2fd64bp-11, -0x1.1c080a69a6c02p-11, -0x1.130fab98a86ffp-11, -0x1.0a5a154b526a2p-11, -0x1.01e569ba85da1p-11, -0x1.f35fafd313d21p-12, -0x1.e36f36a8f4b45p-12, -0x1.d3f5f74140495p-12, -0x1.c4f0989d4c2bp-12, -0x1.b65bd8dcfc79fp-12, -0x1.a8348ca99b31fp-12, -0x1.9a779ea431f64p-12, -0x1.8d220ed739bfbp-12, -0x1.8030f22b54c3cp-12, -0x1.73a171dfa88cep-12, -0x1.6770cb049a4f2p-12, -0x1.5b9c4dfa37979p-12, -0x1.50215df14f94dp-12, -0x1.44fd706f75b85p-12, -0x1.3a2e0cd5e6082p-12, -0x1.2fb0cbeb237f8p-12, -0x1.2583576791588p-12, -0x1.1ba3698490591p-12, -0x1.120ecc8e8e7afp-12, -0x1.08c35a7939c3p-12, -0x1.ff7df8ed9eab4p-13, -0x1.edff55225719ep-13, -0x1.dd06d68c20d55p-13, -0x1.cc90a64a3b79p-13, -0x1.bc9908e1c1f78p-13, -0x1.ad1c5d83452a4p-13, -0x1.9e171d553cde8p-13, -0x1.8f85dac342c35p-13, -0x1.816540d0deac5p-13, -0x1.73b2127144572p-13, -0x1.666929e26c7a6p-13, -0x1.5987780d34f5dp-13, -0x1.4d0a03e8aba7fp-13, -0x1.40ede9e1ab595p-13, -0x1.35305b460916p-13, -0x1.29ce9db4165p-13, -0x1.1ec60a8c53411p-13, -0x1.14140e687fcc7p-13, -0x1.09b628945d9f9p-13, -0x1.ff53d51762975p-14, -0x1.ebd9eef39d949p-14, -0x1.d8fa077b9b514p-14, -0x1.c6afa8e1c713dp-14, -0x1.b4f67de20be07p-14, -0x1.a3ca50d9e5042p-14, -0x1.93270ae9cdc7bp-14, -0x1.8308b3199472dp-14, -0x1.736b6d842f156p-14, -0x1.644b7a88aff1dp-14, -0x1.55a536006990bp-14, -0x1.47751679d7203p-14, -0x1.39b7ac7a7b2b1p-14, -0x1.2c69a1c3648e8p-14, -0x1.1f87b89cad8fep-14, -0x1.130ecb2429335p-14, -0x1.06fbcaa1a407bp-14, -0x1.f6977dbf2645cp-15, -0x1.dff78b1105748p-15, -0x1.ca1223104ce9p-15, -0x1.b4e1d4e1ff197p-15, -0x1.a06157cde7dc6p-15, -0x1.8c8b8a18f53eap-15, -0x1.795b6fe95123fp-15, -0x1.66cc3232a3235p-15, -0x1.54d91da77ad75p-15, -0x1.437da1b490982p-15, -0x1.32b54f827c4adp-15, -0x1.227bd8fc76618p-15, -0x1.12cd0fe1ad244p-15, -0x1.03a4e4d9ac7c6p-15, -0x1.e9fecd22fabe8p-16, -0x1.cdb181ba63f01p-16, -0x1.b25a77c317fdbp-16, -0x1.97f276834600ap-16, -0x1.7e727aa92b613p-16, -0x1.65d3b4bce0aeap-16, -0x1.4e0f879fc3e3ap-16, -0x1.371f87193e859p-16, -0x1.20fd76698a971p-16, -0x1.0ba346e9ea746p-16, -0x1.ee162d68196cdp-17, -0x1.c65e5ea9a2c01p-17, -0x1.a014090f49999p-17, -0x1.7b2c65fbd8e7dp-17, -0x1.579cfe55660a7p-17, -0x1.355ba833d05acp-17, -0x1.145e84a1f5f23p-17, -0x1.e937fad72e207p-18, -0x1.ac1585f732795p-18, -0x1.7143949f6f2ap-18, -0x1.38b095dd773cep-18, -0x1.024b79f4fb33bp-18, -0x1.9c075d25c804cp-19, -0x1.37923645cfe13p-19, -0x1.ae3074e7e97e7p-20, -0x1.e9ec28f78b91ep-21, -0x1.0ce92759c62dap-22, 0x1.9cf0f120b60efp-22, 0x1.0aa52b781250fp-20, 0x1.a7369a0d0e0f1p-20, 0x1.1e928988b2d1bp-19, 0x1.6651d0e7b1374p-19, 0x1.aaf1ee95ba071p-19, 0x1.ec8af9418001bp-19, 0x1.159a2c1312911p-18, 0x1.3382641bbb8ap-18, 0x1.5009308724bccp-18, 0x1.6b394cea3513dp-18, 0x1.851d26f6f8842p-18, 0x1.9dbee0ca33e31p-18, 0x1.b5285320788e7p-18, 0x1.cb630f77ee675p-18, 0x1.e078622abbdffp-18, 0x1.f4715473ba65ap-18, 0x1.03ab5733b58dcp-17, 0x1.0c987c6ade072p-17, 0x1.15043f938056cp-17, 0x1.1cf2a8902aab6p-17, 0x1.2467a25348aeap-17, 0x1.2b66fbb72d986p-17, 0x1.31f4684d8c8a2p-17, 0x1.3813812ac2481p-17, 0x1.3dc7c5aa47f2ap-17, 0x1.43149c2f70c03p-17, 0x1.47fd52dc9cd15p-17, 0x1.4c8520470b2f5p-17, 0x1.50af242619b86p-17, 0x1.547e67fbe0eb6p-17, 0x1.57f5dfb5cff8p-17, 0x1.5b186a50367eep-17, 0x1.5de8d26d8978ep-17, 0x1.6069ceec90d33p-17, 0x1.629e03784f996p-17, 0x1.648801165165ap-17, 0x1.662a46acbb68ap-17, 0x1.6787418738e45p-17, 0x1.68a14dd6a14a1p-17, 0x1.697ab72e48455p-17, 0x1.6a15b8fc14626p-17, 0x1.6a747efb33f79p-17, 0x1.6a9925a861416p-17, 0x1.6a85baad27888p-17, 0x1.6a3c3d4bd98b4p-17, 0x1.69be9ec60956p-17, 0x1.690ec2c0f94b7p-17, 0x1.682e7fa6490b8p-17, 0x1.671f9f036f628p-17, 0x1.65e3dde2e1cf3p-17, 0x1.647ced25d91e7p-17, 0x1.62ec71db1ba81p-17, 0x1.613405908f993p-17, 0x1.5f5536a4d192p-17, 0x1.5d51889529b76p-17, 0x1.5b2a744abcc64p-17, 0x1.58e1686214cb6p-17, 0x1.5677c973750e2p-17, 0x1.53eef258fa7eep-17, 0x1.51483472632eap-17, 0x1.4e84d7e3ea5bp-17, 0x1.4ba61bd853975p-17, 0x1.48ad36bcc4433p-17, 0x1.459b567ceeb74p-17, 0x1.4271a0bbe6444p-17, 0x1.3f31330d6b62ep-17, 0x1.3bdb232ce56a9p-17, 0x1.38707f308a9a8p-17, 0x1.34f24dbd24a4bp-17, 0x1.31618e37daf3p-17, 0x1.2dbf38f735c07p-17, 0x1.2a0c3f71be26fp-17, 0x1.26498c6b8cc97p-17, 0x1.22780423063b1p-17, 0x1.1e98847bfaf06p-17, 0x1.1aabe527393fdp-17, 0x1.16b2f7ccb89e3p-17, 0x1.12ae8833238cdp-17, 0x1.0e9f5c65d613dp-17, 0x1.0a8634d98f9e8p-17, 0x1.0663cc907d861p-17, 0x1.0238d93dac8ffp-17, 0x1.fc0c16cc6ebaep-18, 0x1.f3981d0794891p-18, 0x1.eb171247c3fc9p-18, 0x1.e28a3a10e53ddp-18, 0x1.d9f2ce8aaf062p-18, 0x1.d15200ba8030bp-18, 0x1.c8a8f8bbd4c08p-18, 0x1.bff8d5fd104c8p-18, 0x1.b742af71f4324p-18, 0x1.ae8793c9a4972p-18, 0x1.a5c889a1bd21bp-18, 0x1.9d068fb88e1a7p-18, 0x1.94429d1e0ae9ap-18, 0x1.8b7da162dafc7p-18, 0x1.82b884c6d7f44p-18, 0x1.79f428675a429p-18, 0x1.7131666a5cff3p-18, 0x1.68711228f10e1p-18, 0x1.5fb3f855996bdp-18, 0x1.56fadf2865732p-18, 0x1.4e46868600ba2p-18, 0x1.4597a825aff72p-18, 0x1.3ceef7b4da20ep-18, 0x1.344d22fdba55cp-18, 0x1.2bb2d2099cf16p-18, 0x1.2320a7442afecp-18, 0x1.1a973f9c96edep-18, 0x1.121732a8d4ff8p-18, 0x1.09a112c2fa0c8p-18, 0x1.01356d2c3891dp-18, 0x1.f1a9944ef7b8bp-19, 0x1.e0ff5a2e8a1e4p-19, 0x1.d06d2937e9a4bp-19, 0x1.bff3f564ba239p-19, 0x1.af94a99b819b3p-19, 0x1.9f5027e1802ap-19, 0x1.8f27499611e56p-19, 0x1.7f1adfa19b23bp-19, 0x1.6f2bb2a9efe12p-19, 0x1.5f5a834449af4p-19, 0x1.4fa80a265835ap-19, 0x1.4014f8561941bp-19, 0x1.30a1f755ef4d3p-19, 0x1.214fa9539794fp-19, 0x1.121ea94e1d308p-19, 0x1.030f8b443d512p-19, 0x1.e845b8c18273dp-20, 0x1.cab246490aa09p-20, 0x1.ad65bf15f0c52p-20, 0x1.906116634c9d3p-20, 0x1.73a53301629fdp-20, 0x1.5732ef9b7ef6cp-20, 0x1.3b0b1b0830ca6p-20, 0x1.1f2e78891a001p-20, 0x1.039dc021b32f2p-20, 0x1.d0b33da294494p-21, 0x1.9ac56db230eb9p-21, 0x1.65733ffc230e3p-21, 0x1.30bdcf85ae118p-21, 0x1.f94c46be2e8ecp-22, 0x1.925a5e32f6712p-22, 0x1.2ca7a69a3ff95p-22, 0x1.906b781e730f1p-23, 0x1.941859ce01e3ap-24, 0x1.8d053a610b79dp-29, -0x1.7634d6e6a1143p-24, -0x1.79dd32b73e5aap-23, -0x1.1b093074976dcp-22, -0x1.77dc2ad909c3fp-22, -0x1.d366d7471b2cdp-22, -0x1.16d45168d1261p-21, -0x1.43508bfc4a8f5p-21, -0x1.6f27eefbc5b5ep-21, -0x1.9a5a5c014b08fp-21, -0x1.c4e7c240b1428p-21, -0x1.eed01e2e561e8p-21, -0x1.0c09bc8d16f65p-20, -0x1.2058f47272d07p-20, -0x1.3455c7d4142ffp-20, -0x1.48004dab9b329p-20, -0x1.5b58a2bad25efp-20, -0x1.6e5ee95de9bb6p-20, -0x1.81134969bb6c6p-20, -0x1.9375eff9565f2p-20, -0x1.a5870f4d9a7ap-20, -0x1.b746dea80b3ebp-20, -0x1.c8b59a24cbfa5p-20, -0x1.d9d382970a8a4p-20, -0x1.eaa0dd6422b26p-20, -0x1.fb1df45ff2f9bp-20, -0x1.05a58ad5f0557p-19, -0x1.0d9449c716798p-19, -0x1.155b622e1740ap-19, -0x1.1cfb012963702p-19, -0x1.247355ba86d84p-19, -0x1.2bc490b8ff7e2p-19, -0x1.32eee4c007315p-19, -0x1.39f28622cb813p-19, -0x1.40cfaada05bf7p-19, -0x1.47868a75e00c8p-19, -0x1.4e175e12f42e2p-19, -0x1.5482604917f98p-19, -0x1.5ac7cd1f721ecp-19, -0x1.60e7e1ff41c1fp-19, -0x1.66e2dda54703ep-19, -0x1.6cb90015cbb26p-19, -0x1.726a8a8f4d7bp-19, -0x1.77f7bf7eed379p-19, -0x1.7d60e27400ddap-19, -0x1.82a6381456679p-19, -0x1.87c8060edf2efp-19, -0x1.8cc6931302d1cp-19, -0x1.91a226c336f37p-19, -0x1.965b09aaf969p-19, -0x1.9af18532f494bp-19, -0x1.9f65e397296aep-19, -0x1.a3b86fdd63d41p-19, -0x1.a7e975c9720e9p-19, -0x1.abf941d4cc514p-19, -0x1.afe82124e449p-19, -0x1.b3b6617f45fe8p-19, -0x1.b7645142da7dep-19, -0x1.baf23f5eb344p-19, -0x1.be607b46a7a8bp-19, -0x1.c1af54edd809p-19, -0x1.c4df1cbb4ea6fp-19, -0x1.c7f0238317143p-19, -0x1.cae2ba7dc33efp-19, -0x1.cdb7334127c82p-19, -0x1.d06ddfb6ca0e6p-19, -0x1.d3071214d6bd1p-19, -0x1.d5831cd81fcd3p-19, -0x1.d7e252bb50ddap-19, -0x1.da2506b0060a7p-19, -0x1.dc4b8bd7ccdccp-19, -0x1.de56357dddb21p-19, -0x1.e045570fe4c17p-19, -0x1.e21944160fc6fp-19, -0x1.e3d25030f42cfp-19, -0x1.e570cf0fac62fp-19, -0x1.e6f51469cef2dp-19, -0x1.e85f73fbdf1eep-19, -0x1.e9b0417eccbdfp-19, -0x1.eae7d0a448063p-19, -0x1.ec067510650dp-19, -0x1.ed0c8254b0c93p-19, -0x1.edfa4bea976a8p-19, -0x1.eed0252d30c77p-19, -0x1.ef8e6157d812fp-19, -0x1.f035537e78f17p-19, -0x1.f0c54e88bdd88p-19, -0x1.f13ea52f17b4bp-19, -0x1.f1a1a9f4aa9f2p-19, -0x1.f1eeaf23e2cc3p-19, -0x1.f22606c966642p-19, -0x1.f24802b16e70bp-19, -0x1.f254f4643e65dp-19, -0x1.f24d2d1fce8c1p-19, -0x1.f230fdd585333p-19, -0x1.f200b726c4b64p-19, -0x1.f1bca960407a8p-19, -0x1.f165247828462p-19, -0x1.f0fa78098ccfap-19, -0x1.f07cf351b4a2ep-19, -0x1.efece52c8a704p-19, -0x1.ef4a9c11cfeecp-19, -0x1.ee9666140364cp-19, -0x1.edd090dba07a2p-19, -0x1.ecf969a414448p-19, -0x1.ec113d39c043cp-19, -0x1.eb1857f7460d8p-19, -0x1.ea0f05c303f89p-19, -0x1.e8f5920cb98f3p-19, -0x1.e7cc47cb7536dp-19, -0x1.e693717d57156p-19, -0x1.e54b592210c62p-19, -0x1.e3f4483a99d54p-19, -0x1.e28e87c67232dp-19, -0x1.e11a6042b0152p-19, -0x1.df9819a7a0f5ep-19, -0x1.de07fb67ce3b8p-19, -0x1.dc6a4c6c8a164p-19, -0x1.dabf53172ad2cp-19, -0x1.d907553bff94cp-19, -0x1.d7429825409ecp-19, -0x1.d571608f4d356p-19, -0x1.d393f2a77b403p-19, -0x1.d1aa9209e53dp-19, -0x1.cfb581c1904cp-19, -0x1.cdb50446912eap-19, -0x1.cba95b7db00bcp-19, -0x1.c992c8b6b12c6p-19, -0x1.c7718cad51791p-19, -0x1.c545e7876eee4p-19, -0x1.c31018d2f7ff4p-19, -0x1.c0d05f86fcd4p-19, -0x1.be86fa008fbc1p-19, -0x1.bc34260524c5ep-19, -0x1.b9d820c02b3c5p-19, -0x1.b77326c35a52cp-19, -0x1.b5057405251d1p-19, -0x1.b28f43e2072e5p-19, -0x1.b010d11941e17p-19, -0x1.ad8a55d112e8p-19, -0x1.aafc0b93ba35ep-19, -0x1.a8662b4f5c06cp-19, -0x1.a5c8ed54ce317p-19, -0x1.a324895886cefp-19, -0x1.a079367279a47p-19, -0x1.9dc72b1e22836p-19, -0x1.9b0e9d3a0d621p-19, -0x1.984fc2088aca9p-19, -0x1.958ace312b2a2p-19, -0x1.92bff5bde5982p-19, -0x1.8fef6c1ca87a3p-19, -0x1.8d19641f21994p-19, -0x1.8a3e0ffaed66dp-19, -0x1.875da14a7e25fp-19, -0x1.8478490d313fcp-19, -0x1.818e37a783b84p-19, -0x1.7e9f9ce2ca2p-19, -0x1.7baca7ee02fc6p-19, -0x1.78b5875deaf4ap-19, -0x1.75ba69302e3dfp-19, -0x1.72bb7ac9151f5p-19, -0x1.6fb8e8f3e27bdp-19, -0x1.6cb2dfe35bde3p-19, -0x1.69a98b3301e98p-19, -0x1.669d15e77b926p-19, -0x1.638daa6f1618p-19, -0x1.607b72a230d0ep-19, -0x1.5d6697c49ba75p-19, -0x1.5a4f428755dbcp-19, -0x1.57359b0702908p-19, -0x1.5419c8cc5f8a7p-19, -0x1.50fbf2ce87617p-19, -0x1.4ddc3f72ba292p-19, -0x1.4abad48de4489p-19, -0x1.4797d76506d08p-19, -0x1.44736cae33f92p-19, -0x1.414db890f651bp-19, -0x1.3e26dea6be47cp-19, -0x1.3aff01fb8b0ep-19, -0x1.37d64511d0771p-19, -0x1.34acc9e17cc63p-19, -0x1.3182b1d77667cp-19, -0x1.2e581dd7263dbp-19, -0x1.2b2d2e3b72623p-19, -0x1.280202d85ae6cp-19, -0x1.24d6bafb14586p-19, -0x1.21ab756b9d93dp-19, -0x1.1e80506c43d52p-19, -0x1.1b5569be05162p-19, -0x1.182ade9f579d5p-19, -0x1.1500cbccddd8ep-19, -0x1.11d74d817434ap-19, -0x1.0eae7f79615ebp-19, -0x1.0b867cf1bfd28p-19, -0x1.085f60aad6852p-19, -0x1.053944e85a9c7p-19, -0x1.021443729f3afp-19, -0x1.fde0eb2f3544bp-20, -0x1.f79be8560aa9bp-20, -0x1.f159af0fd0d57p-20, -0x1.eb1a6f2647911p-20, -0x1.e4de5779f3262p-20, -0x1.dea595fe9edaep-20, -0x1.d87057befbe5p-20, -0x1.d23ec8df654ebp-20, -0x1.cc1114a11a9bap-20, -0x1.c5e76562715c2p-20, -0x1.bfc1e4a3d29d4p-20, -0x1.b9a0bb05e7f9ep-20, -0x1.b384104e9b58dp-20, -0x1.ad6c0b6e8d6b3p-20, -0x1.a758d27deea1p-20, -0x1.a14a8abf85ec8p-20, -0x1.9b4158a25ff35p-20, -0x1.953d5fc71e5a2p-20, -0x1.8f3ec2fddd5a8p-20, -0x1.8945a44d6d0bep-20, -0x1.835224f1ac931p-20, -0x1.7d64655f708fcp-20, -0x1.777c85457e736p-20, -0x1.719aa38e045acp-20, -0x1.6bbede61bef2ep-20, -0x1.65e9532bc6899p-20, -0x1.601a1e9d65578p-20, -0x1.5a515cab4a623p-20, -0x1.548f2890cb0c1p-20, -0x1.4ed39cd1c6274p-20, -0x1.491ed33f7ecf3p-20, -0x1.4370e4f78fc7p-20, -0x1.3dc9ea694ae92p-20, -0x1.3829fb54030aep-20, -0x1.32912ecbaae27p-20, -0x1.2cff9b3be18dep-20, -0x1.2775566a72724p-20, -0x1.21f27575b3dffp-20, -0x1.1c770cd79a85p-20, -0x1.1703306a789abp-20, -0x1.1196f367c8e9fp-20, -0x1.0c32686cb78e7p-20, -0x1.06d5a17b958cap-20, -0x1.0180affde5be9p-20, -0x1.f867498bcca3cp-21, -0x1.eddd201f16291p-21, -0x1.e363030770e46p-21, -0x1.d8f91073f95b2p-21, -0x1.ce9f6577a52e9p-21, -0x1.c4561e0f2883ap-21, -0x1.ba1d551eea95cp-21, -0x1.aff52475b1a0bp-21, -0x1.a5dda4d3bdb9ap-21, -0x1.9bd6edf073e0ap-21, -0x1.91e1167a26e44p-21, -0x1.87fc341f0265dp-21, -0x1.7e285b89af3aap-21, -0x1.7465a06b10454p-21, -0x1.6ab4157bdfaa4p-21, -0x1.6113cc859537ap-21, -0x1.5784d65e1be3ap-21, -0x1.4e0742ebd3e6cp-21, -0x1.449b212eb902p-21, -0x1.3b407f3ff70b3p-21, -0x1.31f76a561a244p-21, -0x1.28bfeecab6928p-21, -0x1.1f9a181bf6802p-21, -0x1.1685f0f1296f4p-21, -0x1.0d83831cc41f7p-21, -0x1.0492d79eb5c47p-21, -0x1.f767ed54c5bf6p-22, -0x1.e5cdcf5348589p-22, -0x1.d457627f620c5p-22, -0x1.c304b2a1bf2edp-22, -0x1.b1d5c9fd1b1p-22, -0x1.a0cab1564fb65p-22, -0x1.8fe37002e5f4dp-22, -0x1.7f200beb6b182p-22, -0x1.6e8089913854p-22, -0x1.5e04ec17e2d34p-22, -0x1.4dad3543aa809p-22, -0x1.3d79658a31ab2p-22, -0x1.2d697c1062d7ep-22, -0x1.1d7d76bb99d92p-22, -0x1.0db5522be1e91p-22, -0x1.fc2213825b577p-23, -0x1.dd212f548d75fp-23, -0x1.be67e9ccf7d82p-23, -0x1.9ff6328c7fe7ap-23, -0x1.81cbf6f653005p-23, }}, 
      std::vector<double>(900, 0.0), 
      {{0x1.17b9d74c6c1b2p-8, 0x1.17a1bb3e84c05p-7, 0x1.a3282beae762cp-7, 0x1.1725665f2797bp-6, 0x1.5c7c69aafda81p-6, 0x1.a1a0c78ba858bp-6, 0x1.e6aae100ce6c4p-6, 0x1.15e04857c7f7ep-5, 0x1.3887cf756d693p-5, 0x1.5b63af2a14492p-5, 0x1.7e894088f02eap-5, 0x1.a208e7d0cc454p-5, 0x1.c5ec0b846d759p-5, 0x1.ea33b4573e81p-5, 0x1.076be7dad33f8p-4, 0x1.19e381a0541bp-4, 0x1.2c737ce4c181dp-4, 0x1.3f0a8830c3dc7p-4, 0x1.5193a548d6ff2p-4, 0x1.63f6bb663479cp-4, 0x1.7619377e198bcp-4, 0x1.87deb21d9178fp-4, 0x1.992993f9a304fp-4, 0x1.a9dbb3d8b072cp-4, 0x1.b9d6e9dae8c7ap-4, 0x1.c8fd955cb748fp-4, 0x1.d73313b4ae369p-4, 0x1.e45c26e714872p-4, 0x1.f05f4c169b747p-4, 0x1.fb250200ce0bdp-4, 0x1.024c001cb6f33p-3, 0x1.0652b00fcae5fp-3, 0x1.099e5c5ba4f21p-3, 0x1.0c281756e2fa4p-3, 0x1.0dea3ced8744cp-3, 0x1.0ee070c9cc89ap-3, 0x1.0f079889b5276p-3, 0x1.0e5dd29e78a9ep-3, 0x1.0ce26a68a3fbbp-3, 0x1.0a95ca187c5cfp-3, 0x1.07796acde130bp-3, 0x1.038fc366814f1p-3, 0x1.fdb86cb9c1f2dp-4, 0x1.f2c5fe1d9b479p-4, 0x1.e6523d6d2f487p-4, 0x1.d86892afb9287p-4, 0x1.c915a5ade7c67p-4, 0x1.b86738d273403p-4, 0x1.a66c0508a4afap-4, 0x1.933396d706facp-4, 0x1.7ece2ce71c954p-4, 0x1.694c98203895bp-4, 0x1.52c01d7147afdp-4, 0x1.3b3a595ce9053p-4, 0x1.22cd2553ba3e5p-4, 0x1.098a7ee250d84p-4, 0x1.df08e165ea78bp-5, 0x1.a999fabd4bp-5, 0x1.72ec180a1c2dfp-5, 0x1.3b22ad4031931p-5, 0x1.0260b40a34a35p-5, 0x1.91911e0ef87edp-6, 0x1.1cf7e044b5bccp-6, 0x1.4e6f07672aeacp-7, 0x1.8481357aa16d9p-9, -0x1.1affc6a19d658p-8, -0x1.7cf8edf147c1fp-7, -0x1.366b2a92e3824p-6, -0x1.ae53f203f4025p-6, -0x1.130073cc2940dp-5, -0x1.4e9f339168788p-5, -0x1.89ed8ba80a2d3p-5, -0x1.c4d3f7e77dff7p-5, -0x1.ff3c1e4987c1ap-5, -0x1.1c88679cdbb68p-4, -0x1.391f02594e77ap-4, -0x1.5558702364339p-4, -0x1.712bd418f3bebp-4, -0x1.8c90e1c66012cp-4, -0x1.a77fdade93e2p-4, -0x1.c1f18c9cba931p-4, -0x1.dbdf4cdaa9f63p-4, -0x1.f542f6e6477b5p-4, -0x1.070b740f9b189p-3, -0x1.132afe32e374bp-3, -0x1.1efdc5317ef49p-3, -0x1.2a81afd8a3eb1p-3, -0x1.35b4de76488fap-3, -0x1.4095a8d7f4f22p-3, -0x1.4b229c4337e55p-3, -0x1.555a796a401c8p-3, -0x1.5f3c325eeb382p-3, -0x1.68c6e88665144p-3, -0x1.71f9ea8f1fdc9p-3, -0x1.7ad4b26ade775p-3, -0x1.8356e34e39e98p-3, -0x1.8b8047b6f299bp-3, -0x1.9350cf7a2b502p-3, -0x1.9ac88ddb8c294p-3, -0x1.a1e7b7ae1b4eep-3, -0x1.a8aea17f8ebe5p-3, -0x1.af1dbdceae657p-3, -0x1.b5359b4d3f193p-3, -0x1.baf6e32de296fp-3, -0x1.c062577e48ebp-3, -0x1.c578d18dd66d9p-3, -0x1.ca3b406104b32p-3, -0x1.ceaaa7318f26fp-3, -0x1.d2c81bfb72594p-3, -0x1.d694c616c9712p-3, -0x1.da11dcde7acc4p-3, -0x1.dd40a6639c0ecp-3, -0x1.e022762d733e2p-3, -0x1.e2b8ac05ed531p-3, -0x1.e504b2d265507p-3, -0x1.e707ff787ba8dp-3, -0x1.e8c40fced3ba7p-3, -0x1.ea3a69997b91ap-3, -0x1.eb6c9991b9545p-3, -0x1.ec5c3278fc601p-3, -0x1.ed0acc36bc70ep-3, -0x1.ed7a0300ea75fp-3, -0x1.edab768ec8db3p-3, -0x1.eda0c955c0d97p-3, -0x1.ed5b9fd0127e4p-3, -0x1.ecdd9fccf4fd6p-3, -0x1.ec286fc9f4477p-3, -0x1.eb3db6553d9c1p-3, -0x1.ea1f19788b0dp-3, -0x1.e8ce3e2c72214p-3, -0x1.e74cc7d3c8314p-3, -0x1.e59c57bed7deap-3, -0x1.e3be8cb6222c1p-3, -0x1.e1b5028c693b6p-3, -0x1.df8151b7bbb0ap-3, -0x1.dd250ef14f77cp-3, -0x1.daa1cadbd153cp-3, -0x1.d7f911b006e88p-3, -0x1.d52c6aef6fb04p-3, -0x1.d23d591cb71e2p-3, -0x1.cf2d5979b3531p-3, -0x1.cbfde3cabf21cp-3, -0x1.c8b06a1f31cfep-3, -0x1.c546589ec3521p-3, -0x1.c1c1155b9f705p-3, -0x1.be220029011ebp-3, -0x1.ba6a72761b1bbp-3, -0x1.b69bbf2d190c6p-3, -0x1.b2b732961b301p-3, -0x1.aebe123de8ee7p-3, -0x1.aab19ce03c59bp-3, -0x1.a6930a557aa96p-3, -0x1.a2638b83a6a86p-3, -0x1.9e244a526d6d8p-3, -0x1.99d669a221616p-3, -0x1.957b05457f83dp-3, -0x1.911331fe1addep-3, -0x1.8c9ffd7b484f4p-3, -0x1.88226e5b63222p-3, -0x1.839b842f5a8edp-3, -0x1.7f0c37804d41dp-3, -0x1.7a7579d73201ep-3, -0x1.75d835c6552aep-3, -0x1.71354ef49966dp-3, -0x1.6c8da22a65a58p-3, -0x1.67e2056019a1p-3, -0x1.633347cdf20f2p-3, -0x1.5e8231fd4ae86p-3, -0x1.59cf85db1f38ep-3, -0x1.551bfecbb15f4p-3, -0x1.506851bf469c6p-3, -0x1.4bb52d47e0d8cp-3, -0x1.470339afe2631p-3, -0x1.4253191183e93p-3, -0x1.3da5676f0cd6p-3, -0x1.38fabacbc1c34p-3, -0x1.3453a34566b1bp-3, -0x1.2fb0ab2e5a4eap-3, -0x1.2b12572827178p-3, -0x1.2679263e85f5dp-3, -0x1.21e59202c5216p-3, -0x1.1d580ea77b895p-3, -0x1.18d10b1c80d93p-3, -0x1.1450f12b26956p-3, -0x1.0fd8259294668p-3, -0x1.0b6708244956bp-3, -0x1.06fdf3e0b4ce9p-3, -0x1.029d3f13d85dep-3, -0x1.fc8a76e3df598p-4, -0x1.f3ec6c681bbcep-4, -0x1.eb60f06960ccp-4, -0x1.e2e88c1864619p-4, -0x1.da83c05a4fe35p-4, -0x1.d23306011f217p-4, -0x1.c9f6ce03ae487p-4, -0x1.c1cf81b551f52p-4, -0x1.b9bd82fd0e876p-4, -0x1.b1c12c8c3badbp-4, -0x1.a9dad214ab0a1p-4, -0x1.a20ac07e40571p-4, -0x1.9a513e1bd61ccp-4, -0x1.92ae8adfa0637p-4, -0x1.8b22e08ebec23p-4, -0x1.83ae72f4385d7p-4, -0x1.7c5170132d691p-4, -0x1.750c00584f3eep-4, -0x1.6dde46ca94208p-4, -0x1.66c8613b1ccb8p-4, -0x1.5fca687452342p-4, -0x1.58e470682d54bp-4, -0x1.5216885dac3bdp-4, -0x1.4b60bb1d6e30fp-4, -0x1.44c30f1d771cdp-4, -0x1.3e3d86ac14945p-4, -0x1.37d02019e7b0bp-4, -0x1.317ad5e30c24p-4, -0x1.2b3d9ed763edcp-4, -0x1.25186e41fd22p-4, -0x1.1f0b340f9bc8ap-4, -0x1.1915dcf45e298p-4, -0x1.1338529083415p-4, -0x1.0d727b944f822p-4, -0x1.07c43be313901p-4, -0x1.022d74b552b0ep-4, -0x1.f95c09741aaa7p-5, -0x1.ee8b906e5cfd8p-5, -0x1.e3e93252434bfp-5, -0x1.d9749ec318bd3p-5, -0x1.cf2d814a68591p-5, -0x1.c51381922221bp-5, -0x1.bb26439d13476p-5, -0x1.b16567fdc7fb7p-5, -0x1.a7d08c0bd08c9p-5, -0x1.9e674a176d517p-5, -0x1.9529399bb29f3p-5, -0x1.8c15ef6f19893p-5, -0x1.832cfdf29557ap-5, -0x1.7a6df53f275ecp-5, -0x1.71d86351f840ep-5, -0x1.696bd4370561cp-5, -0x1.6127d2325d44dp-5, -0x1.590be5e7f99c8p-5, -0x1.511796823d60ap-5, -0x1.494a69d716915p-5, -0x1.41a3e48bd0ab8p-5, -0x1.3a238a379f8c5p-5, -0x1.32c8dd84e20f3p-5, -0x1.2b936051296bbp-5, -0x1.248293cc0d106p-5, -0x1.1d95f894cbaebp-5, -0x1.16cd0ed6c5146p-5, -0x1.10275664cfa3dp-5, -0x1.09a44ed379f2ep-5, -0x1.034377922eb7fp-5, -0x1.fa08a006a3c65p-6, -0x1.edccaf26a338fp-6, -0x1.e1d21b9d78155p-6, -0x1.d617e4eeaa9f7p-6, -0x1.ca9d0b307d3d2p-6, -0x1.bf608f325d87ap-6, -0x1.b46172a187becp-6, -0x1.a99eb82be6779p-6, -0x1.9f1763a140d2bp-6, -0x1.94ca7a12c3e3dp-6, -0x1.8ab701f0eb84ep-6, -0x1.80dc0327d46d2p-6, -0x1.7738873a1cd95p-6, -0x1.6dcb995a3c8b2p-6, -0x1.649446827046p-6, -0x1.5b919d8b4790cp-6, -0x1.52c2af40e0b1bp-6, -0x1.4a268e76cd44dp-6, -0x1.41bc501aba28ep-6, -0x1.39830b45e49ddp-6, -0x1.3179d94d590ffp-6, -0x1.299fd5d11700bp-6, -0x1.21f41eca1d92cp-6, -0x1.1a75d4975d341p-6, -0x1.13241a09b465ap-6, -0x1.0bfe146edb7bbp-6, -0x1.0502eb9b7097ep-6, -0x1.fc6393e8248c9p-7, -0x1.ef13b8eb2695bp-7, -0x1.e214a578accdfp-7, -0x1.d564be15b3a8cp-7, -0x1.c9026c9f0dbacp-7, -0x1.bcec20535009ap-7, -0x1.b1204ddb6f677p-7, -0x1.a59d6f51e8d97p-7, -0x1.9a620448a0abdp-7, -0x1.8f6c91cd6cef5p-7, -0x1.84bba26d7e0bfp-7, -0x1.7a4dc63771558p-7, -0x1.702192bc7a004p-7, -0x1.6635a31040c29p-7, -0x1.5c8897c7f1c2fp-7, -0x1.531916f83db8p-7, -0x1.49e5cc324fa0cp-7, -0x1.40ed68800b1c2p-7, -0x1.382ea25f588abp-7, -0x1.2fa835bcb93e5p-7, -0x1.2758e3ed10951p-7, -0x1.1f3f73a6a3d24p-7, -0x1.175ab0f9821cbp-7, -0x1.0fa96d473c491p-7, -0x1.082a7f3a05c4fp-7, -0x1.00dcc2bb51373p-7, -0x1.f37e31d379002p-8, -0x1.e5a0d01d3469fp-8, -0x1.d81f3725e4a16p-8, -0x1.caf747e831d2dp-8, -0x1.be26ed6fc59ep-8, -0x1.b1ac1cc0be983p-8, -0x1.a584d4be88fe7p-8, -0x1.99af1e11f5307p-8, -0x1.8e290b0eccb08p-8, -0x1.82f0b798b9305p-8, -0x1.78044907ddedcp-8, -0x1.6d61ee0ca6adbp-8, -0x1.6307de933c157p-8, -0x1.58f45ba6c1afbp-8, -0x1.4f25af53f802cp-8, -0x1.459a2c8bdd3dbp-8, -0x1.3c502f05c6ca3p-8, -0x1.33461b213af97p-8, -0x1.2a7a5dc7bc9d9p-8, -0x1.21eb6c4e3ff23p-8, -0x1.1997c45697eaap-8, -0x1.117debb0dcbf3p-8, -0x1.099c703c84826p-8, -0x1.01f1e7c978e59p-8, -0x1.f4f9dff28042ep-9, -0x1.e6785c401b531p-9, -0x1.d85c9e4ba49fep-9, -0x1.caa40ecf10b9cp-9, -0x1.bd4c2530a6eadp-9, -0x1.b0526745635b7p-9, -0x1.a3b46913fac78p-9, -0x1.976fcc97a4c87p-9, -0x1.8b8241837e1ddp-9, -0x1.7fe9850622b1dp-9, -0x1.74a3618db202fp-9, -0x1.69adae8bde409p-9, -0x1.5f06503aa5f9bp-9, -0x1.54ab37616bcf9p-9, -0x1.4a9a611a749dp-9, -0x1.40d1d698fd0c4p-9, -0x1.374facefdbeacp-9, -0x1.2e1204d823eb8p-9, -0x1.25170a78f3b83p-9, -0x1.1c5cf52f5414ep-9, -0x1.13e20756f190bp-9, -0x1.0ba48e13451cep-9, -0x1.03a2e119823cdp-9, -0x1.f7b6c4f5f37b5p-10, -0x1.e898fcdfe9cc9p-10, -0x1.d9e95646e04b2p-10, -0x1.cba4d0fec1995p-10, -0x1.bdc87ff343f77p-10, -0x1.b05188c2fafcap-10, -0x1.a33d235c4110ep-10, -0x1.9688999aab62bp-10, -0x1.8a3146e60a2e4p-10, -0x1.7e3497d336a2dp-10, -0x1.729009c5a8113p-10, -0x1.67412a92e1fabp-10, -0x1.5c4598270c7d2p-10, -0x1.519b002b082cbp-10, -0x1.473f1fab9024fp-10, -0x1.3d2fc2c21573fp-10, -0x1.336ac43ebf41cp-10, -0x1.29ee0d53e6654p-10, -0x1.20b79542ef207p-10, -0x1.17c5610ab4cf6p-10, -0x1.0f1583171db38p-10, -0x1.06a61af1eb1fap-10, -0x1.fceaa9ea1c274p-11, -0x1.ed02d3fc6a5cap-11, -0x1.dd913e48590afp-11, -0x1.ce928ad98ccc9p-11, -0x1.c00373097ac7ap-11, -0x1.b1e0c6f1cd67cp-11, -0x1.a4276ce0879fap-11, -0x1.96d460cf3c12cp-11, -0x1.89e4b3dcb9d8fp-11, -0x1.7d558bc9702a2p-11, -0x1.71242276631d7p-11, -0x1.654dc566702d8p-11, -0x1.59cfd54224b79p-11, -0x1.4ea7c55e3da53p-11, -0x1.43d31b442af95p-11, -0x1.394f6e3d2350cp-11, -0x1.2f1a66df6c959p-11, -0x1.2531be9e77c0dp-11, -0x1.1b933f5d000b9p-11, -0x1.123cc30132f77p-11, -0x1.092c330be8a4bp-11, -0x1.005f8831272b9p-11, -0x1.efa993e6acac8p-12, -0x1.df141c80aa064p-12, -0x1.cefaf22232266p-12, -0x1.bf5a78160bfd2p-12, -0x1.b02f2c473213fp-12, -0x1.a175a68bf9ff5p-12, -0x1.932a97f628605p-12, -0x1.854aca2538becp-12, -0x1.77d31e9e03709p-12, -0x1.6ac08e24f420cp-12, -0x1.5e10281de0239p-12, -0x1.51bf11edcf56ap-12, -0x1.45ca86613f2c4p-12, -0x1.3a2fd515b3f04p-12, -0x1.2eec61e7e6e4ap-12, -0x1.23fda463541a3p-12, -0x1.19612737a2a12p-12, -0x1.0f1487ae75a99p-12, -0x1.0515752719c9ap-12, -0x1.f6c36129a380fp-13, -0x1.e3ee17ff26d84p-13, -0x1.d1a6d40feb668p-13, -0x1.bfe97adf4e05ap-13, -0x1.aeb211451ec43p-13, -0x1.9dfcba8989ecdp-13, -0x1.8dc5b7856c5b9p-13, -0x1.7e0965c6791bap-13, -0x1.6ec43ebbcfd7ep-13, -0x1.5ff2d6e76549p-13, -0x1.5191dd135c714p-13, -0x1.439e198d091aap-13, -0x1.36146d674a228p-13, -0x1.28f1d1bde3933p-13, -0x1.1c33570048dcap-13, -0x1.0fd62441da445p-13, -0x1.03d7768bbc28dp-13, -0x1.f069406d45998p-14, -0x1.d9d6108eb5c84p-14, -0x1.c3f0539e46d32p-14, -0x1.aeb326a57dda7p-14, -0x1.9a19cc6668aaap-14, -0x1.861fac386ee05p-14, -0x1.72c050e95a77dp-14, -0x1.5ff767aaa4a2bp-14, -0x1.4dc0bf0440746p-14, -0x1.3c1845cfc096ep-14, -0x1.2afa0a387ee76p-14, -0x1.1a6238c54bf08p-14, -0x1.0a4d1b698979dp-14, -0x1.f56e3134fa769p-15, -0x1.d73964ddc0995p-15, -0x1.b9f50b800e4d1p-15, -0x1.9d9a92a957f9cp-15, -0x1.82239a22ed6dfp-15, -0x1.6789f260d1bf9p-15, -0x1.4dc79af88c90cp-15, -0x1.34d6c12306263p-15, -0x1.1cb1be503d068p-15, -0x1.055316be218f6p-15, -0x1.dd6af036b2718p-16, -0x1.b1a7707da166p-16, -0x1.8751a7aaed0dcp-16, -0x1.5e5fda57c17b2p-16, -0x1.36c895f0247b5p-16, -0x1.1082ae6223a59p-16, -0x1.d70a77b14a8ddp-17, -0x1.8f8f31155b75cp-17, -0x1.4a82bd467fcb4p-17, -0x1.07d4cc4ffcc91p-17, -0x1.8eeb0bf8e45cbp-18, -0x1.12ab0c047ab4ap-18, -0x1.359760ebb080ep-19, -0x1.397f509ed55cap-21, 0x1.2112118ac7981p-20, 0x1.675a19ccc2e67p-19, 0x1.1b245cd6d1843p-18, 0x1.7ec46354433e8p-18, 0x1.dea657479a21dp-18, 0x1.1d715ec584e3fp-17, 0x1.49c8b74ea9051p-17, 0x1.7464ce226b417p-17, 0x1.9d50eb7242cdcp-17, 0x1.c49809601827cp-17, 0x1.ea44d689d290ap-17, 0x1.0730dc3abe997p-16, 0x1.187c66fb82322p-16, 0x1.2909f8b9de841p-16, 0x1.38de5d8f2aa1fp-16, 0x1.47fe4184c96d5p-16, 0x1.566e31a59e434p-16, 0x1.64329cfda4e1fp-16, 0x1.714fd58b68045p-16, 0x1.7dca11310341ap-16, 0x1.89a56a9a1b8c3p-16, 0x1.94e5e21c66d11p-16, 0x1.9f8f5e8a72226p-16, 0x1.a9a5ae0591278p-16, 0x1.b32c86c7ac861p-16, 0x1.bc2787e4ea3b1p-16, 0x1.c49a39fe46254p-16, 0x1.cc880ffed7b5ep-16, 0x1.d3f467c7c3c2dp-16, 0x1.dae28ad4cb8ebp-16, 0x1.e155aedf82a8fp-16, 0x1.e750f67cac2b4p-16, 0x1.ecd771b23a371p-16, 0x1.f1ec1e866f3f3p-16, 0x1.f691e98c3f509p-16, 0x1.facbae6cea254p-16, 0x1.fe9c386a9c5a4p-16, 0x1.0103216c0ca3cp-15, 0x1.02863ccb38ae8p-15, 0x1.03d8bcc4c9502p-15, 0x1.04fbe8834641dp-15, 0x1.05f1001f8eea3p-15, 0x1.06b93cd61d19dp-15, 0x1.0755d138fe269p-15, 0x1.07c7e96185686p-15, 0x1.0810ab1b132d7p-15, 0x1.083136136116cp-15, 0x1.082aa4053b5b9p-15, 0x1.07fe08e1c5826p-15, 0x1.07ac72f7c6b34p-15, 0x1.0736eb1c55ae4p-15, 0x1.069e74ced4a2ep-15, 0x1.05e40e5bfe294p-15, 0x1.0508b100c1f35p-15, 0x1.040d510c1f2acp-15, 0x1.02f2de00c8c42p-15, 0x1.01ba42b149cffp-15, 0x1.0064655e76826p-15, 0x1.fde44fa8cae57p-16, 0x1.fac8cf0bceb1ap-16, 0x1.f777fb4d5a677p-16, 0x1.f3f37e8a46ff2p-16, 0x1.f03cfac7f68c8p-16, 0x1.ec560a210926fp-16, 0x1.e8403ef2f585cp-16, 0x1.e3fd24090cd77p-16, 0x1.df8e3cc976481p-16, 0x1.daf5055f4db3dp-16, 0x1.d632f2df637e1p-16, 0x1.d149736f09b4ep-16, 0x1.cc39ee685fe4ep-16, 0x1.c705c47c4a49cp-16, 0x1.c1ae4fd644933p-16, 0x1.bc34e43d17b56p-16, 0x1.b69acf32b4aacp-16, 0x1.b0e15812af92p-16, 0x1.ab09c02e16e57p-16, 0x1.a51542e94de8dp-16, 0x1.9f0515d4da607p-16, 0x1.98da68ce46558p-16, 0x1.92966614ae743p-16, 0x1.8c3a32648ad9ap-16, 0x1.85c6ed0da2d95p-16, 0x1.7f3db00a57c18p-16, 0x1.789f90154cf75p-16, 0x1.71ed9cc31ad2cp-16, 0x1.6b28e093ca1ep-16, 0x1.64526108a8263p-16, 0x1.5d6b1eb803694p-16, 0x1.5674155fcd13dp-16, 0x1.4f6e3bf85aec7p-16, 0x1.485a84c6b3ca3p-16, 0x1.4139dd6fea42ep-16, 0x1.3a0d2f08e7198p-16, 0x1.32d55e273b676p-16, 0x1.2b934af178ffp-16, 0x1.2447d12cee1c3p-16, 0x1.1cf3c84f90944p-16, 0x1.1598038fa5adap-16, 0x1.0e3551f0b0737p-16, 0x1.06cc7e5171da8p-16, 0x1.febc9ef65ea42p-17, 0x1.efd7105c31cdep-17, 0x1.e0e9ce5e4da45p-17, 0x1.d1f64eab721ebp-17, 0x1.c2fdff32f3ed1p-17, 0x1.b4024639a377dp-17, 0x1.a504827620bfdp-17, 0x1.96060b250e38ap-17, 0x1.8708302166e24p-17, 0x1.780c39fc3b9f6p-17, 0x1.69136a188e076p-17, 0x1.5a1efabe3c1cp-17, 0x1.4b301f2bfff08p-17, 0x1.3c4803b397267p-17, 0x1.2d67cdcb40719p-17, 0x1.1e909c232d5f5p-17, 0x1.0fc386bc6985fp-17, 0x1.01019efff56f4p-17, 0x1.e497df9f85afp-18, 0x1.c746fb3711034p-18, 0x1.aa128cea57601p-18, 0x1.8cfc84423765ep-18, 0x1.7006c45902659p-18, 0x1.53332400b09c6p-18, 0x1.36836df2de283p-18, 0x1.19f960e85cd83p-18, 0x1.fb2d5f876b799p-19, 0x1.c2ba036c06717p-19, 0x1.8a9be4c78cecap-19, 0x1.52d6241080cafp-19, 0x1.1b6bcb31aa345p-19, 0x1.c8bf9bdcc402ep-20, 0x1.5b6a1415105dap-20, 0x1.ddb91e7abd8dbp-21, 0x1.0638e562de2aep-21, 0x1.82ef977139218p-24, -0x1.479b2c77ae581p-22, -0x1.763fe5eacf693p-21, -0x1.2377be807ef4p-20, -0x1.8ae996506cd5ap-20, -0x1.f1710a9e716ecp-20, -0x1.2b84e94f6f66ap-19, -0x1.5dd7e60f00ca8p-19, -0x1.8faf7d71bc4fcp-19, -0x1.c109c4237cf65p-19, -0x1.f1e4e13e7f3a2p-19, -0x1.111f870af437fp-18, -0x1.290b4afac227bp-18, -0x1.40b4eaf0ed0e3p-18, -0x1.581b9e2dbece8p-18, -0x1.6f3ea48bd57e3p-18, -0x1.861d46622b47bp-18, -0x1.9cb6d4626971ep-18, -0x1.b30aa774d2041p-18, -0x1.c91820a1e417fp-18, -0x1.dedea8ee35ecfp-18, -0x1.f45db13a27944p-18, -0x1.04ca5912e7866p-17, -0x1.0f4195f85bf39p-17, -0x1.1994532e92607p-17, -0x1.23c258447af1bp-17, -0x1.2dcb706c85739p-17, -0x1.37af6a69e4308p-17, -0x1.416e1884812c5p-17, -0x1.4b075079a700bp-17, -0x1.547aeb6be424ep-17, -0x1.5dc8c5d4c8c71p-17, -0x1.66f0bf768f085p-17, -0x1.6ff2bb4b1a469p-17, -0x1.78ce9f78e3802p-17, -0x1.81845543e75d6p-17, -0x1.8a13c8fd0506cp-17, -0x1.927ce9f6178cap-17, -0x1.9abfaa72b00edp-17, -0x1.a2dbff9b52a58p-17, -0x1.aad1e16d66c59p-17, -0x1.b2a14aadfb1b3p-17, -0x1.ba4a38dda82d8p-17, -0x1.c1ccac28c30ecp-17, -0x1.c928a75b824b3p-17, -0x1.d05e2fd47561dp-17, -0x1.d76d4d75e0548p-17, -0x1.de560a9a370fap-17, -0x1.e518740477028p-17, -0x1.ebb498d5bb8dap-17, -0x1.f22a8a7e7cbfbp-17, -0x1.f87a5cb45bf81p-17, -0x1.fea425619e1ebp-17, -0x1.0253fe4d9c901p-16, -0x1.0542fe4a57ae9p-16, -0x1.081f20c8430b1p-16, -0x1.0ae874ec2941fp-16, -0x1.0d9f0ad688ff3p-16, -0x1.1042f39e7a978p-16, -0x1.12d4414b6361ep-16, -0x1.155306cf60d0cp-16, -0x1.17bf58014774dp-16, -0x1.1a1949964fdbp-16, -0x1.1c60f11db32b4p-16, -0x1.1e9664f9d1473p-16, -0x1.20b9bc5a3cc57p-16, -0x1.22cb0f37fd4c1p-16, -0x1.24ca764e3e11ap-16, -0x1.26b80b168286ep-16, -0x1.2893e7c0f166dp-16, -0x1.2a5e273203ae3p-16, -0x1.2c16e4fa6fd57p-16, -0x1.2dbe3d534823dp-16, -0x1.2f544d1a6c998p-16, -0x1.30d931ca636dp-16, -0x1.324d0977387cp-16, -0x1.33aff2c9ac638p-16, -0x1.35020cf972ecp-16, -0x1.364377c88b346p-16, -0x1.3774537eb8498p-16, -0x1.3894c0e5da905p-16, -0x1.39a4e143ab0c9p-16, -0x1.3aa4d65515b56p-16, -0x1.3b94c24b6a526p-16, -0x1.3c74c7c68def8p-16, -0x1.3d4509d167032p-16, -0x1.3e05abdc2537cp-16, -0x1.3eb6d1b9bb112p-16, -0x1.3f589f9a961f4p-16, -0x1.3feb3a07a44b3p-16, -0x1.406ec5e1efae7p-16, -0x1.40e3685ab8a32p-16, -0x1.414946f035802p-16, -0x1.41a0876b74b9ap-16, -0x1.41e94fdae4cccp-16, -0x1.4223c68e7069bp-16, -0x1.42501214b3a3dp-16, -0x1.426e59373c235p-16, -0x1.427ec2f755d9ap-16, -0x1.428176891277ap-16, -0x1.42769b502ea2ap-16, -0x1.425e58ddf63dap-16, -0x1.4238d6ecebd81p-16, -0x1.42063d5d7c29ep-16, -0x1.41c6b43277e9fp-16, -0x1.417a638e72cap-16, -0x1.412173aff1a3fp-16, -0x1.40bc0cef1747dp-16, -0x1.404a57bba5988p-16, -0x1.3fcc7c97f0d5p-16, -0x1.3f42a4164f26bp-16, -0x1.3eacf6d72ea37p-16, -0x1.3e0b9d85b60d9p-16, -0x1.3d5ec0d4b700ap-16, -0x1.3ca6897c6e342p-16, -0x1.3be3203829cdp-16, -0x1.3b14adc41aeb8p-16, -0x1.3a3b5ad986022p-16, -0x1.3957502c876b1p-16, -0x1.3868b66990a73p-16, -0x1.376fb6351b441p-16, -0x1.366c78266c967p-16, -0x1.355f24c717a09p-16, -0x1.3447e48f79124p-16, -0x1.3326dfe596558p-16, -0x1.31fc3f1a54e82p-16, -0x1.30c82a693bab2p-16, -0x1.2f8ac9f4a1106p-16, -0x1.2e4445c39dcep-16, -0x1.2cf4c5c05eaeep-16, -0x1.2b9c71b69c94fp-16, -0x1.2a3b71514e51ep-16, -0x1.28d1ec1939e17p-16, -0x1.27600972f867dp-16, -0x1.25e5f09e17892p-16, -0x1.2463c8b2d3e87p-16, -0x1.22d9b8a01f4f6p-16, -0x1.2147e72a46cddp-16, -0x1.1fae7ae896e22p-16, -0x1.1e0d9a46c816p-16, -0x1.1c656b8087702p-16, -0x1.1ab614a118c7ep-16, -0x1.18ffbb816cc71p-16, -0x1.174285c7b6fd9p-16, -0x1.157e98e502e79p-16, -0x1.13b41a16eda42p-16, -0x1.11e32e632a14dp-16, -0x1.100bfa977c8a6p-16, -0x1.0e2ea3480f782p-16, -0x1.0c4b4ccf1fdd4p-16, -0x1.0a621b4b2ea9p-16, -0x1.0873329ed7a8p-16, -0x1.067eb66f1d913p-16, -0x1.0484ca231a0a7p-16, -0x1.028590e364e5p-16, -0x1.00812d97fc01ep-16, -0x1.fcef85d01ee09p-17, -0x1.f8d2e67161d64p-17, -0x1.f4acc158c3febp-17, -0x1.f07d5a47ba2c9p-17, -0x1.ec44f47609813p-17, -0x1.e803d291cea12p-17, -0x1.e3ba36be4abd3p-17, -0x1.df686292c075cp-17, -0x1.db0e9719522e5p-17, -0x1.d6ad14d217ce7p-17, -0x1.d2441baad10e5p-17, -0x1.cdd3eb01d2dd3p-17, -0x1.c95cc1a322a0bp-17, -0x1.c4deddc95877cp-17, -0x1.c05a7d1b96f8ep-17, -0x1.bbcfdcad5a32ap-17, -0x1.b73f38fd9115dp-17, -0x1.b2a8cdf69c04bp-17, -0x1.ae0cd6ed98ae2p-17, -0x1.a96b8ea12c347p-17, -0x1.a4c52f37da09dp-17, -0x1.a019f240c39c7p-17, -0x1.9b6a10b206679p-17, -0x1.96b5c2ec49514p-17, -0x1.91fd40b66b4d9p-17, -0x1.8d40c13d4847ep-17, -0x1.88807b14591bp-17, -0x1.83bca4354eaf9p-17, -0x1.7ef571fe20c97p-17, -0x1.7a2b19376bf93p-17, -0x1.755dce0ec20bdp-17, -0x1.708dc415fd1a9p-17, -0x1.6bbb2e44fe4ccp-17, -0x1.66e63ef8e2a3ep-17, -0x1.620f27f4d1117p-17, -0x1.5d361a61d9516p-17, -0x1.585b46ce73a6bp-17, -0x1.537edd2edd179p-17, -0x1.4ea10cdf4e604p-17, -0x1.49c204a19a32ap-17, -0x1.44e1f29f25c25p-17, -0x1.400104662a7eep-17, -0x1.3b1f66eceb19bp-17, -0x1.363d468fd40ddp-17, -0x1.315acf15de22dp-17, -0x1.2c782bad3258dp-17, -0x1.279586ebf7fe1p-17, -0x1.22b30ad17cb21p-17, -0x1.1dd0e0c5cf15ap-17, -0x1.18ef31998ba19p-17, -0x1.140e258ad7ed2p-17, -0x1.0f2de4438ad8fp-17, -0x1.0a4e94d7354ebp-17, -0x1.05705dc534be3p-17, -0x1.009364f96d997p-17, -0x1.f76f9f9a8abe4p-18, -0x1.edbb860f78cc4p-18, -0x1.e40ac5bda71eep-18, -0x1.da5da5ed5aa7dp-18, -0x1.d0b46cc8483d6p-18, -0x1.c70f5f5b01ca5p-18, -0x1.bd6ec193fcfc9p-18, -0x1.b3d2d645f72eap-18, -0x1.aa3bdf26d69ddp-18, -0x1.a0aa1cd64b839p-18, -0x1.971dced877db1p-18, -0x1.8d9733a23d294p-18, -0x1.84168891a415ap-18, -0x1.7a9c09f2b6b05p-18, -0x1.7127f30047532p-18, -0x1.67ba7de50cd36p-18, -0x1.5e53e3bcbb3e8p-18, -0x1.54f45c9c6603fp-18, -0x1.4b9c1f90f02e4p-18, -0x1.424b629cf729ap-18, -0x1.39025abcda0dap-18, -0x1.2fc13be76bbd3p-18, -0x1.2688391316f66p-18, -0x1.1d5784351f834p-18, -0x1.142f4e455c449p-18, -0x1.0b0fc73cdcbe2p-18, -0x1.01f91e1c0f1d6p-18, -0x1.f1d701d570e2p-19, -0x1.dfce397749ce6p-19, -0x1.cdd83b57d44bap-19, -0x1.bbf55dc84a6afp-19, -0x1.aa25f53e0d215p-19, -0x1.986a544ca80c2p-19, -0x1.86c2cbaeb4bb8p-19, -0x1.752faa4e4e274p-19, -0x1.63b13d43ec6b3p-19, -0x1.5247cfdb471e9p-19, -0x1.40f3ab947c7a7p-19, -0x1.2fb51828f4d83p-19, -0x1.1e8c5b93ba7b9p-19, -0x1.0d79ba1790524p-19, -0x1.f8faec81bb591p-20, -0x1.d72fa1cecc28dp-20, -0x1.b592125efc91fp-20, -0x1.9422b925fe33p-20, -0x1.72e20dcc296e8p-20, -0x1.51d084b307906p-20, -0x1.30ee8f00f0301p-20, -0x1.103c9aa18c9fap-20, -0x1.df7624b448f75p-21, -0x1.9ed4bb9096586p-21, -0x1.5e95c2f30163cp-21, -0x1.1eb9fdc6a261p-21, -0x1.be8451a3939fdp-22, -0x1.405df5d6066fdp-22, -0x1.860493b7f0814p-23, -0x1.19ca8e79582bfp-24, 0x1.aa7d94a68af41p-25, 0x1.6086f3b154143p-23, 0x1.2a677ea699298p-22, 0x1.a3ba98c344bbdp-22, 0x1.0e1dd58e79dfep-21, 0x1.49f4d1cf8d0a8p-21, 0x1.8561bd770b676p-21, 0x1.c0641a3caf4ffp-21, 0x1.fafb6f0e9fd56p-21, 0x1.1a93a410e89e1p-20, 0x1.37739b703afccp-20, 0x1.541d68dfd88a2p-20, 0x1.7090da21bea1ep-20, 0x1.8ccdbf71d2171p-20, 0x1.a8d3eb82ca9afp-20, 0x1.c4a33375ac423p-20, 0x1.e03b6ec8935b7p-20, 0x1.fb9c775af27d2p-20, 0x1.0b6314ac595d5p-19, 0x1.18dc319e1e61ap-19, 0x1.263982e4fdb5dp-19, 0x1.337af9fd9beedp-19, 0x1.40a0897e960bfp-19, 0x1.4daa25188a1c5p-19, 0x1.5a97c18b8d692p-19, }}, 
      {{-0x1.d38113f514354p-2, -0x1.d3ac29aa67cc9p-2, -0x1.d3ec76b46ee2fp-2, -0x1.d4451cfc2ac8ap-2, -0x1.d4c088b960953p-2, -0x1.d56c8a00f7074p-2, -0x1.d656a24b311e6p-2, -0x1.d7896aa1fcd75p-2, -0x1.d90b2d5768edap-2, -0x1.dadd7a84f038ap-2, -0x1.dcfd6995b5c58p-2, -0x1.df6441959e692p-2, -0x1.e208528d6ac56p-2, -0x1.e4dddad8ae9c5p-2, -0x1.e7d7e0f4b856ep-2, -0x1.eae8f44d9d3f3p-2, -0x1.ee03ce888d6bbp-2, -0x1.f11bd36de892fp-2, -0x1.f42570863a047p-2, -0x1.f7165f3b32fa2p-2, -0x1.f9e5cd383b5d9p-2, -0x1.fc8c6f21be4a8p-2, -0x1.ff0481b7fadf1p-2, -0x1.00a4de9e91521p-1, -0x1.01ac9f4ba2c37p-1, -0x1.0298b49b548adp-1, -0x1.0368e22a0df4fp-1, -0x1.041d6ad45d9e2p-1, -0x1.04b6fdab116f5p-1, -0x1.0536a32b07b4dp-1, -0x1.059dab3a26df2p-1, -0x1.05ed9c46daddbp-1, -0x1.062823c93d1a9p-1, -0x1.064f084c3dfc4p-1, -0x1.06641d1134eb9p-1, -0x1.066937509a498p-1, -0x1.0660250ebfa92p-1, -0x1.064aa5728d47cp-1, -0x1.062a62861aeacp-1, -0x1.0600ec44eb3d6p-1, -0x1.05cfb4d93b528p-1, -0x1.05980de8d5c12p-1, -0x1.055b26d1ec9f4p-1, -0x1.051a0bb948248p-1, -0x1.04d5a54c8d5d7p-1, -0x1.048eb91d1c891p-1, -0x1.0445ea7a1a06fp-1, -0x1.03fbbbb2653fap-1, -0x1.03b08fa9753a6p-1, -0x1.0364abac50f2fp-1, -0x1.0318397602581p-1, -0x1.02cb4954ebcfep-1, -0x1.027dd4645deeap-1, -0x1.022fbecf9359p-1, -0x1.01e0da14e01bfp-1, -0x1.0190e741633f6p-1, -0x1.013f991ee299ep-1, -0x1.00ec964eb085p-1, -0x1.00977b4d8db8ep-1, -0x1.003fdc5d6a642p-1, -0x1.ffca8ea57f801p-2, -0x1.ff0e8a87dc5a2p-2, -0x1.fe4ab833620c2p-2, -0x1.fd7e20006579fp-2, -0x1.fca7c97198809p-2, -0x1.fbc6bd998fad7p-2, -0x1.fada0943b3923p-2, -0x1.f9e0bee270c62p-2, -0x1.f8d9f844dd0e6p-2, -0x1.f7c4d81655fc9p-2, -0x1.f6a08b2ad44dcp-2, -0x1.f56c499ad2134p-2, -0x1.f42757b1beb3ep-2, -0x1.f2d106b202dfep-2, -0x1.f168b5719cb77p-2, -0x1.efedd0d24a5ebp-2, -0x1.ee5fd4183d9c6p-2, -0x1.ecbe4922295b9p-2, -0x1.eb08c88570aa9p-2, -0x1.e93ef9911d649p-2, -0x1.e760923a25eadp-2, -0x1.e56d56f368c5ep-2, -0x1.e3651a73a55dap-2, -0x1.e147bd6b93235p-2, -0x1.df152e2e1c633p-2, -0x1.dccd684c97bc1p-2, -0x1.da707428bea23p-2, -0x1.d7fe667e01ddap-2, -0x1.d5775fe3af35dp-2, -0x1.d2db8c4953217p-2, -0x1.d02b226e8ac79p-2, -0x1.cd6663577407p-2, -0x1.ca8d99bebf70ep-2, -0x1.c7a1198657dd3p-2, -0x1.c4a13f27794ccp-2, -0x1.c18e6f22f4374p-2, -0x1.be6915725358ep-2, -0x1.bb31a4fa74415p-2, -0x1.b7e8970022e5bp-2, -0x1.b48e6a9f28cc9p-2, -0x1.b123a4443e377p-2, -0x1.ada8cd2a2ce5cp-2, -0x1.aa1e72da7870ep-2, -0x1.a68526b1c8f2fp-2, -0x1.a2dd7d684b6e3p-2, -0x1.9f280e9e322c2p-2, -0x1.9b65746c7a77dp-2, -0x1.97964afa0b7dap-2, -0x1.93bb30154139p-2, -0x1.8fd4c2d1f032cp-2, -0x1.8be3a32be3d0ap-2, -0x1.87e871add6c71p-2, -0x1.83e3cf1ce3e9dp-2, -0x1.7fd65c285b913p-2, -0x1.7bc0b91dfd94p-2, -0x1.77a385a279edap-2, -0x1.737f606e2b503p-2, -0x1.6f54e70df5a3fp-2, -0x1.6b24b5a82a1bdp-2, -0x1.66ef66c55ca4bp-2, -0x1.62b5931d0e883p-2, -0x1.5e77d1660bf62p-2, -0x1.5a36b62a63d2dp-2, -0x1.55f2d39edda55p-2, -0x1.51acb97dc2fbbp-2, -0x1.4d64f4e4ed51p-2, -0x1.491c1036e8f69p-2, -0x1.44d292ff1a15ap-2, -0x1.408901d8bc352p-2, -0x1.3c3fde58a01ep-2, -0x1.37f7a6f989c4bp-2, -0x1.33b0d70b0c5abp-2, -0x1.2f6be6a2cda9ep-2, -0x1.2b294a90067ffp-2, -0x1.26e974513289p-2, -0x1.22acd20bc6b16p-2, -0x1.1e73ce85da448p-2, -0x1.1a3ed121a23d4p-2, -0x1.160e3ddaa8ca3p-2, -0x1.11e27544a7f4p-2, -0x1.0dbbd48be6dabp-2, -0x1.099ab5770fdcp-2, -0x1.057f6e6a579e7p-2, -0x1.016a526befb87p-2, -0x1.fab762534006ap-3, -0x1.f2a7adfef9d86p-3, -0x1.eaa619ff46079p-3, -0x1.e2b331f5c39d7p-3, -0x1.dacf7b14930d2p-3, -0x1.d2fb743308f7ap-3, -0x1.cb3795e3ddcf5p-3, -0x1.c384528cb5681p-3, -0x1.bbe2167ee330ep-3, -0x1.b45148114d2d8p-3, -0x1.acd247bb4d25ep-3, -0x1.a56570307bce9p-3, -0x1.9e0b167d4803cp-3, -0x1.96c38a2444f9p-3, -0x1.8f8f153c141a6p-3, -0x1.886dfc8dd581cp-3, -0x1.81607fb416352p-3, -0x1.7a66d93a10328p-3, -0x1.73813ebb44343p-3, -0x1.6cafe10349fe3p-3, -0x1.65f2ec2dcd87ep-3, -0x1.5f4a87c6aa0dcp-3, -0x1.58b6d6ea0fb15p-3, -0x1.5237f864ac9ddp-3, -0x1.4bce06d3c8fafp-3, -0x1.457918c5479b6p-3, -0x1.3f3940d787008p-3, -0x1.390e8dd90f59fp-3, -0x1.32f90ae80f43p-3, -0x1.2cf8bf918e9c9p-3, -0x1.270daff05e8e2p-3, -0x1.2137dccbb97a6p-3, -0x1.1b7743b583145p-3, -0x1.15cbdf28323ffp-3, -0x1.1035a6a452469p-3, -0x1.0ab48ecd96182p-3, -0x1.0548898787459p-3, -0x1.ffe30c2365991p-4, -0x1.f55ee246da6ep-4, -0x1.eb046a0e1942dp-4, -0x1.e0d373696615cp-4, -0x1.d6cbc9d9144cep-4, -0x1.cced34a1064bap-4, -0x1.c33776fb2363fp-4, -0x1.b9aa5048ab825p-4, -0x1.b0457c4296514p-4, -0x1.a708b328be803p-4, -0x1.9df3a9f00fb69p-4, -0x1.9506126f8cap-4, -0x1.8c3f9b8c49ec3p-4, -0x1.839ff16443debp-4, -0x1.7b26bd7823b7cp-4, -0x1.72d3a6d3ec2b2p-4, -0x1.6aa652368ba89p-4, -0x1.629e62385c34cp-4, -0x1.5abb77708c98dp-4, -0x1.52fd309979984p-4, -0x1.4b632ab3f402dp-4, -0x1.43ed01297c137p-4, -0x1.3c9a4ded70006p-4, -0x1.356aa99d327c7p-4, -0x1.2e5dab9f4d07cp-4, -0x1.2772ea41902cap-4, -0x1.20a9fad6336b7p-4, -0x1.1a0271cffe81ap-4, -0x1.137be2dd78007p-4, -0x1.0d15e10322e0bp-4, -0x1.06cffeb4cc20ep-4, -0x1.00a9cdedee0fdp-4, -0x1.f545c09258dbep-5, -0x1.e9758e2ddb958p-5, -0x1.dde226e62ecd2p-5, -0x1.d28aacb3de387p-5, -0x1.c76e41784ca21p-5, -0x1.bc8c07242f892p-5, -0x1.b1e31fdc6977ep-5, -0x1.a772ae1d59955p-5, -0x1.9d39d4dca2343p-5, -0x1.9337b7a975db4p-5, -0x1.896b7acb68a96p-5, -0x1.7fd4435fdda91p-5, -0x1.767137760ce83p-5, -0x1.6d417e29b0c1cp-5, -0x1.64443fbc66a8dp-5, -0x1.5b78a5adbf3d2p-5, -0x1.52dddad21cf94p-5, -0x1.4a730b684e1fap-5, -0x1.4237652e0625ap-5, -0x1.3a2a177329efcp-5, -0x1.324a532c023b8p-5, -0x1.2a974b025d5a1p-5, -0x1.231033659ed65p-5, -0x1.1bb44299d1117p-5, -0x1.1482b0c5ba9b5p-5, -0x1.0d7ab7fffce53p-5, -0x1.069b945b4c804p-5, -0x1.ffc907e381934p-6, -0x1.f2a98dde8f60bp-6, -0x1.e5d73f36925fep-6, -0x1.d950a4c2f17cep-6, -0x1.cd144bb3ba3e2p-6, -0x1.c120c5a0476b9p-6, -0x1.b574a8945f0e3p-6, -0x1.aa0e8f1bf908ap-6, -0x1.9eed184dac2d2p-6, -0x1.940ee7d3d5855p-6, -0x1.8972a5f479cbp-6, -0x1.7f16ff97fbcf7p-6, -0x1.74faa64eb3c89p-6, -0x1.6b1c5055634a2p-6, -0x1.617ab898a15cdp-6, -0x1.58149eb742eccp-6, -0x1.4ee8c703d28ddp-6, -0x1.45f5fa850dbdep-6, -0x1.3d3b06f58fbefp-6, -0x1.34b6bec299db9p-6, -0x1.2c67f90a13d22p-6, -0x1.244d9197c196bp-6, -0x1.1c6668e1c21f6p-6, -0x1.14b164045e44fp-6, -0x1.0d2d6cbd291f3p-6, -0x1.05d971657f3d1p-6, -0x1.fd68c9d8e9cd2p-7, -0x1.ef7a7da05b8fep-7, -0x1.e1e5f62d5128cp-7, -0x1.d4a9348c2a494p-7, -0x1.c7c242b942bafp-7, -0x1.bb2f338fccc5p-7, -0x1.aeee22b7acd67p-7, -0x1.a2fd3492a813cp-7, -0x1.975a9628c4036p-7, -0x1.8c047d13fd56ep-7, -0x1.80f9276b5cdb4p-7, -0x1.7636dbad6a8ffp-7, -0x1.6bbbe8aa19a2ap-7, -0x1.6186a56c2374ep-7, -0x1.57957122001ddp-7, -0x1.4de6b30661aa6p-7, -0x1.4478da484a508p-7, -0x1.3b4a5df2c2cbp-7, -0x1.3259bcd44a9efp-7, -0x1.29a57d65f5583p-7, -0x1.212c2db247bcbp-7, -0x1.18ec633bd8e78p-7, -0x1.10e4bae3bca49p-7, -0x1.0913d8cfcc71fp-7, -0x1.01786850c7b05p-7, -0x1.f4223790adab7p-8, -0x1.e5b9591ddd139p-8, -0x1.d7b3b5b36613dp-8, -0x1.ca0edb406f547p-8, -0x1.bcc86504ad16bp-8, -0x1.afddfb5bf4329p-8, -0x1.a34d5389b8d0dp-8, -0x1.97142f84c9f1p-8, -0x1.8b305dc312d89p-8, -0x1.7f9fb905994f2p-8, -0x1.74602824a0295p-8, -0x1.696f9ddbe058bp-8, -0x1.5ecc1897223f7p-8, -0x1.5473a23f16e8fp-8, -0x1.4a64500667dd5p-8, -0x1.409c42374707bp-8, -0x1.3719a40118396p-8, -0x1.2ddaab46975e8p-8, -0x1.24dd986c61c71p-8, -0x1.1c20b627ddbb5p-8, -0x1.13a2594ea6a33p-8, -0x1.0b60e0a644e51p-8, -0x1.035ab4b46a101p-8, -0x1.f71c8f1f4a6cdp-9, -0x1.e7f4296119501p-9, -0x1.d9394186dc71cp-9, -0x1.cae8f2f52debbp-9, -0x1.bd006ac1d594fp-9, -0x1.af7ce75a39be3p-9, -0x1.a25bb82af92b8p-9, -0x1.959a3d486abcep-9, -0x1.8935e71885605p-9, -0x1.7d2c35fd957e8p-9, -0x1.717aba022776p-9, -0x1.661f12861b53ep-9, -0x1.5b16edecd6866p-9, -0x1.5060094ca10d6p-9, -0x1.45f8301f522edp-9, -0x1.3bdd3bf3e3fb1p-9, -0x1.320d14213a2fep-9, -0x1.2885ad7a36ef5p-9, -0x1.1f450a02e19f6p-9, -0x1.164938a6b044cp-9, -0x1.0d9054f03a477p-9, -0x1.051886c1d717dp-9, -0x1.f9c0041e8e343p-10, -0x1.e9ca0d31d2e62p-10, -0x1.da4bbf4f7fbdap-10, -0x1.cb41c7959dfe1p-10, -0x1.bca8e92b35e66p-10, -0x1.ae7dfcbf993b4p-10, -0x1.a0bdf00b9f77p-10, -0x1.9365c555695dcp-10, -0x1.867292f662c79p-10, -0x1.79e182e36679ap-10, -0x1.6dafd23732395p-10, -0x1.61dad0bf3419ap-10, -0x1.565fe089cfd64p-10, -0x1.4b3c75779c298p-10, -0x1.406e14ce4ad9fp-10, -0x1.35f254cdbab93p-10, -0x1.2bc6dc473b75dp-10, -0x1.21e96236f5bd5p-10, -0x1.1857ad5f3c022p-10, -0x1.0f0f93e59d9dcp-10, -0x1.060efaf2739bp-10, -0x1.faa7aca41736ap-11, -0x1.e9b8502ff058ep-11, -0x1.d94c00884b76p-11, -0x1.c95ef8d440351p-11, -0x1.b9ed8eb399ae2p-11, -0x1.aaf4319434ep-11, -0x1.9c6f6a0b7c8adp-11, -0x1.8e5bd932c47a7p-11, -0x1.80b63807d8f3fp-11, -0x1.737b56d0b76e2p-11, -0x1.66a81c829c467p-11, -0x1.5a39862c81dp-11, -0x1.4e2ca6650b1c3p-11, -0x1.427ea4bb7a569p-11, -0x1.372cbd2bf1f91p-11, -0x1.2c343f96f8bf1p-11, -0x1.21928f3c42234p-11, -0x1.1745223823dcep-11, -0x1.0d4981041ed15p-11, -0x1.039d45fa72b1cp-11, -0x1.f47c39b8fae3bp-12, -0x1.e25384b8ac1cp-12, -0x1.d0bc0750df6b5p-12, -0x1.bfb17bf56ea4cp-12, -0x1.af2fbc543d1b5p-12, -0x1.9f32c07d7ce4cp-12, -0x1.8fb69e10ee2cbp-12, -0x1.80b787706db85p-12, -0x1.7231caf790d89p-12, -0x1.6421d2384556cp-12, -0x1.5684213bfd8efp-12, -0x1.495555c95ac2bp-12, -0x1.3c9226af33abp-12, -0x1.303763134a17ep-12, -0x1.2441f1c5cf65bp-12, -0x1.18aed098e9838p-12, -0x1.0d7b13bd1e3aep-12, -0x1.02a3e5214ad76p-12, -0x1.f04d07adedcabp-13, -0x1.dc0086f500a94p-13, -0x1.c85d173ea3426p-13, -0x1.b55dae7f25987p-13, -0x1.a2fd685fa596cp-13, -0x1.9137852d2d083p-13, -0x1.800768cd4d946p-13, -0x1.6f6899bba0dadp-13, -0x1.5f56c00d076e9p-13, -0x1.4fcda47a17fdap-13, -0x1.40c92f6f2783ap-13, -0x1.32456823a696dp-13, -0x1.243e73b6c87c7p-13, -0x1.16b09453d0683p-13, -0x1.0998285a5d0c3p-13, -0x1.f9e3531b809b9p-14, -0x1.e1735892e5a51p-14, -0x1.c9d9bd77ddb93p-14, -0x1.b310104a9c0bdp-14, -0x1.9d10103aa47a5p-14, -0x1.87d3abb82e54ep-14, -0x1.7354ff130ef65p-14, -0x1.5f8e53238538ap-14, -0x1.4c7a1bfacc394p-14, -0x1.3a12f79ce3d6dp-14, -0x1.2853acc625a81p-14, -0x1.173729b601ddap-14, -0x1.06b883052869cp-14, -0x1.eda5e5084b054p-15, -0x1.cf03ac3d973eap-15, -0x1.b1815d9719662p-15, -0x1.95163f023e504p-15, -0x1.79b9d8679b67bp-15, -0x1.5f63f1b2779d8p-15, -0x1.460c90eb2e687p-15, -0x1.2dabf85a695f6p-15, -0x1.163aa4bcc0fc7p-15, -0x1.ff62970d96075p-16, -0x1.d411b25de7004p-16, -0x1.aa74df124bd57p-16, -0x1.827ec85c5157p-16, -0x1.5c227dd9aa4a2p-16, -0x1.3753709458c6dp-16, -0x1.140570142b744p-16, -0x1.e4594f11ffac3p-17, -0x1.a37b360ad2789p-17, -0x1.655a49af3c6dp-17, -0x1.29e0e5e1bf547p-17, -0x1.e1f4117d65a1cp-18, -0x1.75229b719701dp-18, -0x1.0d25d1c215281p-18, -0x1.53ae892903fep-19, -0x1.2c468cb3c4efcp-20, 0x1.e9e9959b8ef39p-23, 0x1.95badc9b4a3b4p-20, 0x1.6edd84ef04a29p-19, 0x1.057096c6b2125p-18, 0x1.4f9465c98f783p-18, 0x1.95f97235558b3p-18, 0x1.d8be16ef25232p-18, 0x1.0bffe6fec62ddp-17, 0x1.29ed9bab66314p-17, 0x1.46360fb4540b8p-17, 0x1.60e6c2aed0cebp-17, 0x1.7a0cd0b1a395fp-17, 0x1.91b4f5459b07ep-17, 0x1.a7eb8e4f30eebp-17, 0x1.bcbc9ed9fa9bbp-17, 0x1.d033d1ce143a4p-17, 0x1.e25c7c9251297p-17, 0x1.f341a198e83ffp-17, 0x1.0176f96d34615p-16, 0x1.08b5ea1c2a773p-16, 0x1.0f62aee7a9c64p-16, 0x1.15822f18e58d7p-16, 0x1.1b192e4cbe463p-16, 0x1.202c4d829d394p-16, 0x1.24c00c207cbddp-16, 0x1.28d8c8f0ab076p-16, 0x1.2c7ac31806213p-16, 0x1.2faa1b00d476ep-16, 0x1.326ad3452c3b6p-16, 0x1.34c0d18b2bd4ap-16, 0x1.36afdf607d6ap-16, 0x1.383bab070fd1fp-16, 0x1.3967c84266d23p-16, 0x1.3a37b11b6ab5cp-16, 0x1.3aaec69f64193p-16, 0x1.3ad05198cf184p-16, 0x1.3a9f83408512fp-16, 0x1.3a1f75edeaf7ap-16, 0x1.39532db84c472p-16, 0x1.383d991e3e4a7p-16, 0x1.36e191a2bc75ep-16, 0x1.3541dc63cf136p-16, 0x1.33612aadc38b2p-16, 0x1.31421a8aeb7b7p-16, 0x1.2ee7374dd0472p-16, 0x1.2c52fa17c3a92p-16, 0x1.2987ca59c8a3dp-16, 0x1.2687fe5576ad4p-16, 0x1.2355db959ab01p-16, 0x1.1ff39760fdf7fp-16, 0x1.1c635730d2fc7p-16, 0x1.18a7311fa1d5ep-16, 0x1.14c12c5360e8ap-16, 0x1.10b34165c3ff5p-16, 0x1.0c7f5aca19377p-16, 0x1.0827552f23d36p-16, 0x1.03acffdd9886p-16, 0x1.fe243a2790e3p-17, 0x1.f4b0c4c237be8p-17, 0x1.eb02f1f741c07p-17, 0x1.e11dfc23523dbp-17, 0x1.d705063be79fcp-17, 0x1.ccbb1c6a15745p-17, 0x1.c24334a597d64p-17, 0x1.b7a02f45f5c3cp-17, 0x1.acd4d79590545p-17, 0x1.a1e3e45c8e06ep-17, 0x1.96cff86b1d725p-17, 0x1.8b9ba31650945p-17, 0x1.804960be350e5p-17, 0x1.74db9b48be418p-17, 0x1.6954aa968e012p-17, 0x1.5db6d4fb6bc7ep-17, 0x1.52044faebd7ep-17, 0x1.463f3f38f5291p-17, 0x1.3a69b7ddcf346p-17, 0x1.2e85be04ab333p-17, 0x1.2295469da945ap-17, 0x1.169a378743b7ap-17, 0x1.0a9667e8f9e83p-17, 0x1.fd17412411eep-18, 0x1.e4f738a7e6b98p-18, 0x1.ccd010b048e26p-18, 0x1.b4a508eaa754cp-18, 0x1.9c79470c30c04p-18, 0x1.844fd76a2b78p-18, 0x1.6c2bad9c1b3c1p-18, 0x1.540fa50fc2424p-18, 0x1.3bfe819e2c92dp-18, 0x1.23faf01e0a85bp-18, 0x1.0c0786f3bbcd4p-18, 0x1.e84d8d2eb293ap-19, 0x1.b8b63434b76c8p-19, 0x1.894daf5546aa1p-19, 0x1.5a1882179ec78p-19, 0x1.2b1b082dcb556p-19, 0x1.f8b2ecd73527cp-20, 0x1.9bafb7487847ap-20, 0x1.3f34433438f1bp-20, 0x1.c690376133781p-21, 0x1.0fe50a21b7289p-21, 0x1.69d3f457640d3p-23, -0x1.66c9e067121dfp-23, -0x1.0c846186f68f3p-21, -0x1.bdf44bf66db03p-21, -0x1.36fb20e4e8ca4p-20, -0x1.8e3f6410ae49ep-20, -0x1.e4c16e0878f91p-20, -0x1.1d3dfbe8a9fd2p-19, -0x1.47b4f9cac0026p-19, -0x1.71c345ae2b129p-19, -0x1.9b668fd205ep-19, -0x1.c49ca315773p-19, -0x1.ed63645837c06p-19, -0x1.0adc68ee1ecc3p-18, -0x1.1ecd815443366p-18, -0x1.328412facab4ap-18, -0x1.45ff4150a5d91p-18, -0x1.593e3b4ab1ccfp-18, -0x1.6c403b2210735p-18, -0x1.7f0486101c0dbp-18, -0x1.918a6c0619a8p-18, -0x1.a3d147702d88bp-18, -0x1.b5d87cf4f8bc6p-18, -0x1.c79f7b332f873p-18, -0x1.d925ba867c6f5p-18, -0x1.ea6abccbe95b5p-18, -0x1.fb6e0d24d8e8ap-18, -0x1.06179fddbf685p-17, -0x1.0e56f8c63de4dp-17, -0x1.1674e417bcba9p-17, -0x1.1e7138cf98a4ep-17, -0x1.264bd201f19c8p-17, -0x1.2e048ec03a906p-17, -0x1.359b51fec0d05p-17, -0x1.3d10027ab5755p-17, -0x1.44628aa423204p-17, -0x1.4b92d882b18a8p-17, -0x1.52a0dd9f3e2b9p-17, -0x1.598c8eecc7a4dp-17, -0x1.6055e4b10956ap-17, -0x1.66fcda6df2035p-17, -0x1.6d816ecafe0dfp-17, -0x1.73e3a380cafadp-17, -0x1.7a237d440dd99p-17, -0x1.804103afb5d66p-17, -0x1.863c4130a3c13p-17, -0x1.8c1542f2d3f61p-17, -0x1.91cc18cc0f9a6p-17, -0x1.9760d529547cfp-17, -0x1.9cd38cfcc5decp-17, -0x1.a22457a9b4af7p-17, -0x1.a7534ef2a02ffp-17, -0x1.ac608ee835ab7p-17, -0x1.b14c35d763d68p-17, -0x1.b616643789908p-17, -0x1.babf3c9958c94p-17, -0x1.bf46e3970c12dp-17, -0x1.c3ad7fc452b36p-17, -0x1.c7f3399da6d64p-17, -0x1.cc183b7812b45p-17, -0x1.d01cb173306f1p-17, -0x1.d400c9699f0b9p-17, -0x1.d7c4b2e0ac392p-17, -0x1.db689efca02ap-17, -0x1.deecc06f9ab55p-17, -0x1.e2514b6d08746p-17, -0x1.e596759b13f0fp-17, -0x1.e8bc760690efp-17, -0x1.ebc38514e98b9p-17, -0x1.eeabdc7685dafp-17, -0x1.f175b71a9eb2bp-17, -0x1.f421512327822p-17, -0x1.f6aee7d8126ffp-17, -0x1.f91eb99b35e01p-17, -0x1.fb7105dbe9eafp-17, -0x1.fda60d0dad2bcp-17, -0x1.ffbe109acbc7cp-17, -0x1.00dca96cb4c12p-16, -0x1.01cc0b8119c18p-16, -0x1.02ad5091cb054p-16, -0x1.03809b0c1de3ap-16, -0x1.04460dbe3b84p-16, -0x1.04fdcbd28ea69p-16, -0x1.05a7f8cad24f9p-16, -0x1.0644b87ac65fep-16, -0x1.06d42f03bf3cp-16, -0x1.075680cfd091ap-16, -0x1.07cbd28d9c673p-16, -0x1.0834492ba1e9p-16, -0x1.089009d392b23p-16, -0x1.08df39e706489p-16, -0x1.0921fefae0b15p-16, -0x1.09587ed2b1d01p-16, -0x1.0982df5dc23d5p-16, -0x1.09a146b257fc7p-16, -0x1.09b3db0a19fc3p-16, -0x1.09bac2be36571p-16, -0x1.09b62443e07dp-16, -0x1.09a62629a6d07p-16, -0x1.098aef12cf248p-16, -0x1.0964a5b45e874p-16, -0x1.093370d1c4189p-16, -0x1.08f777395cf79p-16, -0x1.08b0dfc1aa2b1p-16, -0x1.085fd145d0f4bp-16, -0x1.080472a2e9f1fp-16, -0x1.079eeab5721b9p-16, -0x1.072f6055d24cdp-16, -0x1.06b5fa557859cp-16, -0x1.0632df7cf7e04p-16, -0x1.05a636885ea6bp-16, -0x1.0510262520d2bp-16, -0x1.0470d4ef59a12p-16, -0x1.03c8696f249dbp-16, -0x1.03170a17d0fe2p-16, -0x1.025cdd43c426ep-16, -0x1.019a0932c2d66p-16, -0x1.00ceb407e5495p-16, -0x1.fff6078e4fdc4p-17, -0x1.fe3e3ca6fe7bbp-17, -0x1.fc7652d985049p-17, -0x1.fa9e955b684e2p-17, -0x1.f8b74f15fb321p-17, -0x1.f6c0ca9fc9d7cp-17, -0x1.f4bb523ab579bp-17, -0x1.f2a72fd01653ap-17, -0x1.f084acee27964p-17, -0x1.ee5412c2d6a94p-17, -0x1.ec15aa1a77b43p-17, -0x1.e9c9bb5ae4242p-17, -0x1.e7708e82ac95dp-17, -0x1.e50a6b26b005bp-17, -0x1.e297986cc1469p-17, -0x1.e0185d0ab937ap-17, -0x1.dd8cff42d6aa4p-17, -0x1.daf5c4e22adc4p-17, -0x1.d852f33d6f8a8p-17, -0x1.d5a4cf2f6c367p-17, -0x1.d2eb9d16ab99ap-17, -0x1.d027a0d48254p-17, -0x1.cd591dc899876p-17, -0x1.ca8056d06d237p-17, -0x1.c79d8e45663aap-17, -0x1.c4b105fb9c837p-17, -0x1.c1baff3e812f2p-17, -0x1.bebbbad02c35bp-17, -0x1.bbb378e7f85efp-17, -0x1.b8a279308dbd4p-17, -0x1.b588fac8ce06cp-17, -0x1.b2673c3fb4384p-17, -0x1.af3d7b93e2bb2p-17, -0x1.ac0bf632706e7p-17, -0x1.a8d2e8f5b5afap-17, -0x1.a59290246fdb8p-17, -0x1.a24b2770f78b8p-17, -0x1.9efce9f771f98p-17, -0x1.9ba8123f91326p-17, -0x1.984cda38e874dp-17, -0x1.94eb7b3af4d6ap-17, -0x1.91842e047054ep-17, -0x1.8e172abbfec39p-17, -0x1.8aa4a8ee425f6p-17, -0x1.872cdf8cf6a8cp-17, -0x1.83b004ef43fa2p-17, -0x1.802e4ed12c889p-17, -0x1.7ca7f253ac186p-17, -0x1.791d23fcf8d75p-17, -0x1.758e17b706e57p-17, -0x1.71fb00cf4046ap-17, -0x1.6e6411f6a6081p-17, -0x1.6ac97d41c90b7p-17, -0x1.672b7428c1617p-17, -0x1.638a2787793a6p-17, -0x1.5fe5c79cbf1bep-17, -0x1.5c3e840c91de3p-17, -0x1.58948bdde5fa5p-17, -0x1.54e80d7b8d903p-17, -0x1.513936b3b6b2bp-17, -0x1.4d8834ba2bddap-17, -0x1.49d53427067a1p-17, -0x1.462060f6e378ap-17, -0x1.4269e68b18354p-17, -0x1.3eb1efab313c6p-17, -0x1.3af8a683d3a5cp-17, -0x1.373e34a9b36ap-17, -0x1.3382c3180f489p-17, -0x1.2fc67a313615ep-17, -0x1.2c0981bf09e0dp-17, -0x1.284c00f3d45f5p-17, -0x1.248e1e6ae7304p-17, -0x1.20d0002961dfp-17, -0x1.1d11cb9e1098fp-17, -0x1.1953a5a37a0dep-17, -0x1.1595b27ff129ep-17, -0x1.11d815e5b4cap-17, -0x1.0e1af2f39f8e3p-17, -0x1.0a5e6c3637cb5p-17, -0x1.06a2a3a98d6dfp-17, -0x1.02e7bab8aaba6p-17, -0x1.fe5ba47c66841p-18, -0x1.f6ea150bd7c35p-18, -0x1.ef7b069af089p-18, -0x1.e80eb788ed1f6p-18, -0x1.e0a5651f9eb6fp-18, -0x1.d93f4b90a40c9p-18, -0x1.d1dca5f7ea6f5p-18, -0x1.ca7dae5d911d8p-18, -0x1.c3229db845afep-18, -0x1.bbcbabef428e4p-18, -0x1.b4790fdc43041p-18, -0x1.ad2aff4c7db95p-18, -0x1.a5e1af04712f7p-18, -0x1.9e9d52c237878p-18, -0x1.975e1d3d7ab0ap-18, -0x1.90244029a8793p-18, -0x1.88efec38701f7p-18, -0x1.81c1511d070d7p-18, -0x1.7a989d8e8de9bp-18, -0x1.7375ff47920ebp-18, -0x1.6c59a3099ced7p-18, -0x1.6543b4a06dd51p-18, -0x1.5e345ee1d39d3p-18, -0x1.572bcbb1543e7p-18, -0x1.502a240527aa2p-18, -0x1.492f8fe3da81dp-18, -0x1.423c36685ee3fp-18, -0x1.3b503dc363b43p-18, -0x1.346bcb3f25b53p-18, -0x1.2d8f0340a96adp-18, -0x1.26ba094ae1dbap-18, -0x1.1fecfffea1008p-18, -0x1.192809203aa65p-18, -0x1.126b4598b6d15p-18, -0x1.0bb6d57773f64p-18, -0x1.050ad7f36d41p-18, -0x1.fcced6dcecc21p-19, -0x1.ef995af05023bp-19, -0x1.e27575a281985p-19, -0x1.d5635ed640f35p-19, -0x1.c8634cd569fb6p-19, -0x1.bb75745a57ae4p-19, -0x1.ae9a088e3ad38p-19, -0x1.a1d13b0e8a237p-19, -0x1.951b3bf98ee48p-19, -0x1.887839eaf1c86p-19, -0x1.7be86201cb547p-19, -0x1.6f6bdfe4fd9aap-19, -0x1.6302ddc8b2c9fp-19, -0x1.56ad84738b9e1p-19, -0x1.4a6bfb4251ebcp-19, -0x1.3e3e682c86cf3p-19, -0x1.3224efc6bf60bp-19, -0x1.261fb54c45a72p-19, -0x1.1a2edaa0d6c63p-19, -0x1.0e5280556bf91p-19, -0x1.028ac5a95e42ap-19, -0x1.edaf912647587p-20, -0x1.d6734b8449057p-20, -0x1.bf60f14f3af38p-20, -0x1.a878b6ea79247p-20, -0x1.91bace46e2ff4p-20, -0x1.7b2766f0c94cap-20, -0x1.64beae1173e6ep-20, -0x1.4e80ce7714a22p-20, -0x1.386df0a7c52acp-20, -0x1.22863ae3440cfp-20, -0x1.0cc9d12828541p-20, -0x1.ee71aa82a854cp-21, -0x1.c3a6cd9171417p-21, -0x1.99334670ad4dp-21, -0x1.6f174bd9493f2p-21, -0x1.4553105c2790ep-21, -0x1.1be6c26b241cbp-21, -0x1.e5a518eee0627p-22, -0x1.942d29f10bf9cp-22, -0x1.4365fd0b29213p-22, -0x1.e69f9f57c1993p-23, -0x1.47d5af6687318p-23, -0x1.54dd0e723a59cp-24, -0x1.cd4ea0b0b7f61p-28, 0x1.186c8e81cf4ep-24, 0x1.25737beb811f1p-23, 0x1.bd4d0515b75a4p-23, 0x1.29e16648a534dp-22, 0x1.746a64d809451p-22, 0x1.be4180783c629p-22, 0x1.03b360ed2751ep-21, 0x1.27ed1c0e9fa22p-21, 0x1.4bcdfc4b88446p-21, 0x1.6f560f6539b42p-21, 0x1.92856621e085bp-21, 0x1.b55c143cb97b8p-21, 0x1.d7da3056adc2bp-21, 0x1.f9ffd3e9dd0bep-21, 0x1.0de68da306caap-20, 0x1.1ea112b9523e2p-20, 0x1.2f2f8a1564f55p-20, 0x1.3f9205e5362fbp-20, 0x1.4fc899a29632p-20, 0x1.5fd35a0ed1184p-20, 0x1.6fb25d263664dp-20, 0x1.7f65ba1d9b6fep-20, 0x1.8eed8959dbd74p-20, 0x1.9e49e46fc95a4p-20, 0x1.ad7ae616ccd3ap-20, 0x1.bc80aa215b14fp-20, 0x1.cb5b4d7dfceb4p-20, 0x1.da0aee2eb758ep-20, 0x1.e88fab3f1d649p-20, 0x1.f6e9a4c01eba6p-20, 0x1.028c7de503355p-19, 0x1.098ee9355c78ap-19, 0x1.107c25d3a0fc3p-19, 0x1.175445ba12273p-19, 0x1.1e175b56fd486p-19, 0x1.24c5798ba80ap-19, 0x1.2b5eb3a827b85p-19, 0x1.31e31d6a61e2ap-19, 0x1.3852caf955d2ep-19, 0x1.3eadd0e464a9ap-19, 0x1.44f4441efd68dp-19, 0x1.4b2639febd565p-19, 0x1.5143c839f00fap-19, 0x1.574d04e326409p-19, 0x1.5d42066804b09p-19, 0x1.6322e38d3c657p-19, 0x1.68efb36daf95p-19, 0x1.6ea88d7a658a7p-19, 0x1.744d89729c5a7p-19, 0x1.79debf64a921ap-19, 0x1.7f5c47abcc4f5p-19, 0x1.84c63aed16b51p-19, 0x1.8a1cb2143cb73p-19, 0x1.8f5fc653f0cep-19, 0x1.948f912405a33p-19, 0x1.99ac2c3c36fc3p-19, 0x1.9eb5b1934a0fbp-19, 0x1.a3ac3b5cefa63p-19, 0x1.a88fe4080d6ap-19, 0x1.ad60c63c24ab2p-19, 0x1.b21efcd7ff69bp-19, 0x1.b6caa2f044031p-19, 0x1.bb63d3cbbb273p-19, 0x1.bfeaaae224a99p-19, 0x1.c45f43dbb257dp-19, 0x1.c8c1ba8d6872fp-19, 0x1.cd122af7be0b7p-19, 0x1.d150b14507c0cp-19, 0x1.d57d69c72e12p-19, 0x1.d99870f6d49e8p-19, 0x1.dda1e36f772cbp-19, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      34, 0x1.4f5c28f5c28f6p+2, 0x1.0c921658b1d79p+0, 0x1.38acef6820ce9p+0, -0x1.f8851fd0ee2e9p-6, 
      {{
        {0x1.c8f5c28f5c28fp+1, 0x1.ccccccccccccdp+1, 0x1.944a811aff04ep-5, -0x1.58652bc975d67p-4, 0x1.694e7199e40bdp-5, -0x1.5b4c8099f278dp-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.7ff389fb2b6f3p-5, -0x1.4d9d574e648bap-4, 0x1.6566391d4765ep-5, -0x1.5f5c63b3b8febp-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5f7a55c27e26dp-5, -0x1.3be8cb0ea72ecp-4, 0x1.5ecfb0d84f214p-5, -0x1.6429248104eb4p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.40c22677b1b8fp-5, -0x1.2a8925df42117p-4, 0x1.58221e8f7d6ffp-5, -0x1.6857fc13b8097p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.23c2707c1c6p-5, -0x1.197f7bb3c5d7cp-4, 0x1.5160783beb963p-5, -0x1.6ebbd3f4ae2e3p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.08728b999043fp-5, -0x1.08cd1159924e2p-4, 0x1.4a8025dc21ebcp-5, -0x1.7ffaf95b4cc51p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.dd933ef79d54fp-6, -0x1.f0e979de1868ep-5, 0x1.434d0ac8d214ep-5, -0x1.91865f90c8f0ep-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.ad7ce94fb980fp-6, -0x1.d0f5567a8c8cep-5, 0x1.3bc5b8fe1b1d2p-5, -0x1.a30302aca7d4ep-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.808ed0699535dp-6, -0x1.b1c620dca9092p-5, 0x1.33ea7757ab2aap-5, -0x1.b4839a63e309bp-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.56b4d76c10654p-6, -0x1.93643ec0a0884p-5, 0x1.2bbb32d8fee9p-5, -0x1.c60322c757ad2p-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2fda0a76cac66p-6, -0x1.75d816948dec8p-5, 0x1.2337f09875442p-5, -0x1.d782f3de76d67p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0be89ea223d66p-6, -0x1.592a0e96e08c9p-5, 0x1.1a60af39163cfp-5, -0x1.e902b17aa9bfbp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.d593e3fe75b16p-7, -0x1.3d628d12cdaedp-5, 0x1.11356f18630ep-5, -0x1.fa82744f0d4aap-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.98cd172fddb0fp-7, -0x1.2289f8501e6e1p-5, 0x1.07b6301d4e018p-5, -0x1.06011adeb7aa6p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.614c36ddbd4aap-7, -0x1.08a8b69786a78p-5, 0x1.fbc5e49d1b097p-6, -0x1.0ec0fbc5dce2ep-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2edef4fed1ab4p-7, -0x1.df8e5c62f6a25p-6, 0x1.e7776b54aa787p-6, -0x1.1780dca033797p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.0151557b578c4p-7, -0x1.afdb8acd04805p-6, 0x1.d280f4624035dp-6, -0x1.2040bd7dcaf1bp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.b0db5c5a1665fp-8, -0x1.8249c4fe3965ep-6, 0x1.bce27fc59dc9dp-6, -0x1.29009e5b2d999p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.67f94dbe50e6fp-8, -0x1.56e9d7879ac04p-6, 0x1.a69c0d7ec72b3p-6, -0x1.31c07f3625edp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.278a729cd557dp-8, -0x1.2dcc8efa2b751p-6, 0x1.8fad9d8deab97p-6, -0x1.3a80601afa991p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.de32c4a4331f3p-9, -0x1.0702b7e6f590ap-6, 0x1.78172ff24b213p-6, -0x1.434040dad6d3bp-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.7c5ab03b24fb2p-9, -0x1.c53a3dbdd2322p-7, 0x1.5fd8c4aeae37dp-6, -0x1.4c0022249d001p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.289466436853ap-9, -0x1.815920e6adf75p-7, 0x1.46f25bb8bc0aap-6, -0x1.54c0016bc2ee4p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.c3c1d98fc6e05p-10, -0x1.4283b2684d052p-7, 0x1.2d63f5370d6c1p-6, -0x1.5d7fe8337ea91p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.4e752332f589p-10, -0x1.08db8b6d095dep-7, 0x1.132d9099971f8p-6, -0x1.663fb2fb8419bp-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.de53a93c43e2bp-11, -0x1.a90489efc5113p-8, 0x1.f09e5ff3da6ecp-7, -0x1.6effe641cec07p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.477351161b97cp-11, -0x1.4b32f13d6d1f9p-8, 0x1.b991970395054p-7, -0x1.77be938ec98ebp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.a7c3a4fddca77p-12, -0x1.f10af74d1032p-9, 0x1.813500e15d2ecp-7, -0x1.8082f04280274p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.fc738468c47afp-13, -0x1.627ed013a1f81p-9, 0x1.4787c33dc9f62p-7, -0x1.89321554e29a4p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.121d3e8d46c9p-13, -0x1.d68ee6852ad92p-10, 0x1.0c8d0cd774c59p-7, -0x1.92306985c38a9p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.f690fedb68e3fp-15, -0x1.17d948fa6da57p-10, 0x1.a071fa06c87bap-8, -0x1.9a0738dde5a25p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.5de65c97e06ffp-16, -0x1.13bea7cc9e253p-11, 0x1.256fcf5dd065p-8, -0x1.a62cec7a98ee2p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.15f445e1948p-18, -0x1.6ea02736df69cp-13, 0x1.4d91773ede9d8p-9, -0x1.a2118f803a742p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.4f5c28f5c28f6p+2, 0x1.6970a8d7c183ap-23, -0x1.0cb70403c48c9p-16, 0x1.4ae8849487c97p-11, -0x1.bcbefefe1ae4ap-7}, 
      }}, 
      0x1.5715973def7e8p-3, -0x1.e8867368f302fp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.06e4f89a1d9b3p+0, -0x1.001a2428ee867p+0, -0x1.eaac6b45ebe4fp-1, -0x1.ce7a8341d48e1p-1, -0x1.ad037447b2635p-1, -0x1.87a99cc3b85cep-1, -0x1.5fb9747d7f8edp-1, -0x1.365e5a5925917p-1, -0x1.0c9d0bb16c452p-1, -0x1.c6a3efd9749dbp-2, -0x1.76643daab535bp-2, -0x1.299b1b5ed8308p-2, -0x1.c24b26d5f0aa6p-3, -0x1.3b4aac52876abp-3, -0x1.7e230b7b7846cp-4, -0x1.38948f295e7b6p-5, 0x1.73da785eded9cp-7, 0x1.c456d74ce3749p-5, 0x1.7f238aa93335ap-4, 0x1.0306687c069p-3, 0x1.3be555dfec72ap-3, 0x1.6ab60aefe8469p-3, 0x1.900f991c864f4p-3, 0x1.ac9374ce408c4p-3, 0x1.c0e9218ec49a2p-3, 0x1.cdba9a3f22b04p-3, 0x1.d3b16d8d20417p-3, 0x1.d37465669ee1bp-3, 0x1.cda5ab949175fp-3, 0x1.c2e18df2574f8p-3, 0x1.b3bd21aaeba04p-3, 0x1.a0c5d5ee13daap-3, 0x1.8a80dbcd70461p-3, 0x1.716acf098da6ap-3, 0x1.55f7b2b083b88p-3, 0x1.3892ed987ee3cp-3, 0x1.199f6d3e4b4cp-3, 0x1.f2efc7d223502p-4, 0x1.b0de1be9c02b2p-4, 0x1.6da014efbc6f6p-4, 0x1.29bd702b33f52p-4, 0x1.cb6066f0220ap-5, 0x1.43caf22940207p-5, 0x1.7af8feb6f7779p-6, 0x1.c90390ac04e5cp-8, -0x1.22cb700c32676p-7, -0x1.8ef512f5fd413p-6, -0x1.42c5b90dcf05bp-5, -0x1.ba341e75bae58p-5, -0x1.16ba52fe7a92dp-4, -0x1.4e221330c9afep-4, -0x1.833614f78b3e2p-4, -0x1.b5e0e21b3dd9fp-4, -0x1.e61243bb84c2ap-4, -0x1.09df5ae771dbep-3, -0x1.1f6f7c17c8565p-3, -0x1.33b7cea82fedbp-3, -0x1.46b84ccfcb943p-3, -0x1.587276723dae4p-3, -0x1.68e921d8eef8p-3, -0x1.782054d10b40bp-3, -0x1.861d1b97fb83dp-3, -0x1.92e569ae6bcfcp-3, -0x1.9e7ff8756debep-3, -0x1.a8f42a68ff2d7p-3, -0x1.b249ee0a7be31p-3, -0x1.ba89ab0c4548ap-3, -0x1.c1bc264726ac4p-3, -0x1.c7ea7082df652p-3, -0x1.cd1dd37b088b4p-3, -0x1.d15fc13e6a588p-3, -0x1.d4b9c559d172p-3, -0x1.d735772895ae3p-3, -0x1.d8dc6f4275b6p-3, -0x1.d9b839e9a1a3p-3, -0x1.d9d250c8ed748p-3, -0x1.d93410d66504cp-3, -0x1.d7e6b3af8fde5p-3, -0x1.d5f3493c9e72p-3, -0x1.d362b25a48f31p-3, -0x1.d03d9c4ebe3aap-3, -0x1.cc8c7ceb99288p-3, -0x1.c857906e930dap-3, -0x1.c3a6d384ab028p-3, -0x1.be820788d8d13p-3, -0x1.b8f0ab40af05dp-3, -0x1.b2f9fc994db2ap-3, -0x1.aca4f7bfe6477p-3, -0x1.a5f8568edd8cap-3, -0x1.9efa90f961157p-3, -0x1.97b1dd7c3cbd5p-3, -0x1.902431a6835b9p-3, -0x1.8857433cff391p-3, -0x1.80508932c809cp-3, -0x1.78153cf21204p-3, -0x1.6faa5b91c2ad2p-3, -0x1.6714a762ae3d3p-3, -0x1.5e58a943cf041p-3, -0x1.557ab25fae0bcp-3, -0x1.4c7edddd85c38p-3, -0x1.4369128f6bce8p-3, -0x1.3a3d04f23b5d9p-3, -0x1.30fe38efbe519p-3, -0x1.27b003cade9fdp-3, -0x1.1e558dc1ddba4p-3, -0x1.14f1d418e8566p-3, -0x1.0b87aa9d4d1e9p-3, -0x1.0219bd1c54ca8p-3, -0x1.f1552277f205ep-4, -0x1.de790ff725999p-4, -0x1.cba3be4722e31p-4, -0x1.b8d965a8e66bep-4, -0x1.a61dfe5555c5dp-4, -0x1.937542ec8c8a4p-4, -0x1.80e2b48673c9ep-4, -0x1.6e699b8ee6f85p-4, -0x1.5c0d0c5a8feaep-4, -0x1.49cfe88fab89ap-4, -0x1.37b4e1f6784e3p-4, -0x1.25be7c9257e4dp-4, -0x1.13ef10bf202a1p-4, -0x1.0248cd1ce0049p-4, -0x1.e19b715d51b81p-5, -0x1.beff68e29c165p-5, -0x1.9cc0fa6cd6c66p-5, -0x1.7ae35ac5dca27p-5, -0x1.59697d28e9823p-5, -0x1.3856167ae2642p-5, -0x1.17aba09dbd392p-5, -0x1.eed8bacef71a7p-6, -0x1.af34b2e2b04a2p-6, -0x1.706edecf5b2c6p-6, -0x1.328a94d01c622p-6, -0x1.eb15a2b10214p-7, -0x1.72e477b0c1cf3p-7, -0x1.f90cb08e62b41p-8, -0x1.0ffeb8af7a084p-8, -0x1.5530dfb36b85ap-11, 0x1.6dee5023a4246p-9, 0x1.94d40becf051ep-8, 0x1.37763d31d8986p-7, 0x1.a29ea1bdb366cp-7, 0x1.05f103f1ea0a3p-6, 0x1.399fd3b2919eap-6, 0x1.6c5b8bd940eap-6, 0x1.9e24252b24df7p-6, 0x1.cef9c28d8875fp-6, 0x1.fedcaef13db2bp-6, 0x1.16e6ad1f5d291p-5, 0x1.2de62be2d0219p-5, 0x1.446d2db890891p-5, 0x1.5a7c1c597b70fp-5, 0x1.70136fdb4e08bp-5, 0x1.8533add31a855p-5, 0x1.99dd68f077564p-5, 0x1.ae113f841844ap-5, 0x1.c1cfdb3bea12ep-5, 0x1.d519f07693492p-5, 0x1.e7f03ce831434p-5, 0x1.fa5387fdd3b1cp-5, 0x1.062250cb1fa85p-4, 0x1.0ee230b78d0b1p-4, 0x1.1769d36e69cb4p-4, 0x1.1fb9ac09cc00fp-4, 0x1.27d23102c1189p-4, 0x1.2fb3dbc0365dp-4, 0x1.375f2857482d9p-4, 0x1.3ed4959384bf9p-4, 0x1.4614a4aef567cp-4, 0x1.4d1fd8eb0078fp-4, 0x1.53f6b7af99a7bp-4, 0x1.5a99c8001aeb3p-4, 0x1.610992b68c099p-4, 0x1.6746a266d7d18p-4, 0x1.6d5182629e3c1p-4, 0x1.732abfba04b5ap-4, 0x1.78d2e87886addp-4, 0x1.7e4a8b79cf75ap-4, 0x1.83923871f10a5p-4, 0x1.88aa7fe88661ap-4, 0x1.8d93f3019512dp-4, 0x1.924f23430f925p-4, 0x1.96dca2b7d83d5p-4, 0x1.9b3d03b9efad1p-4, 0x1.9f70d8e985074p-4, 0x1.a378b4bab7555p-4, 0x1.a7552a70ae229p-4, 0x1.ab06ccb8de28bp-4, 0x1.ae8e2e5f3f0fcp-4, 0x1.b1ebe223aaff3p-4, 0x1.b5207ab101397p-4, 0x1.b82c8a58e3ca6p-4, 0x1.bb10a336c8d28p-4, 0x1.bdcd572b74f5cp-4, 0x1.c06337ba09bb1p-4, 0x1.c2d2d6117dc0ep-4, 0x1.c51cc2ef3dd61p-4, 0x1.c7418e8d874dfp-4, 0x1.c941c8f1e246dp-4, 0x1.cb1e0159d4d05p-4, 0x1.ccd6c6953b5ddp-4, 0x1.ce6ca6fcb7f16p-4, 0x1.cfe03073021e5p-4, 0x1.d131f011fc4e3p-4, 0x1.d262726dc77c2p-4, 0x1.d3724362e48ecp-4, 0x1.d461ee4f3a571p-4, 0x1.d531fe1df3bc3p-4, 0x1.d5e2fcdad5353p-4, 0x1.d67573c00e92ep-4, 0x1.d6e9eb79e4445p-4, 0x1.d740ec08c3b32p-4, 0x1.d77afcf296efbp-4, 0x1.d798a4d737293p-4, 0x1.d79a69a2211bp-4, 0x1.d780d0574d6dbp-4, 0x1.d74c5d51457e4p-4, 0x1.d6fd9454612eap-4, 0x1.d694f8740f0dbp-4, 0x1.d6130c5c00806p-4, 0x1.d57850cc41626p-4, 0x1.d4c5464ddb04p-4, 0x1.d3fa6d1d392e5p-4, 0x1.d3184442221efp-4, 0x1.d21f4a206c284p-4, 0x1.d10ffc53446ddp-4, 0x1.cfead75ccb8d3p-4, 0x1.ceb056f6c1162p-4, 0x1.cd60f61469154p-4, 0x1.cbfd2f15b738ep-4, 0x1.ca857b79c0463p-4, 0x1.c8fa53cd4e7acp-4, 0x1.c75c2fbb4386dp-4, 0x1.c5ab85b9703f5p-4, 0x1.c3e8cb98e97cp-4, 0x1.c2147662f50a8p-4, 0x1.c02efa89c28a3p-4, 0x1.be38cb599d1a1p-4, 0x1.bc325b1287f41p-4, 0x1.ba1c1ae3c52cdp-4, 0x1.b7f67b0bfb53bp-4, 0x1.b5c1eaf46a31bp-4, 0x1.b37ed96249039p-4, 0x1.b12db438ac6aap-4, 0x1.aecee801e346bp-4, 0x1.ac62e05c5d0c2p-4, 0x1.a9ea07a66477bp-4, 0x1.a764c75b8a5ffp-4, 0x1.a4d3880c94629p-4, 0x1.a236b18fdf8cep-4, 0x1.9f8eaaa80fcb6p-4, 0x1.9cdbd8fd6e44ap-4, 0x1.9a1ea0d5d324cp-4, 0x1.9757655a4523dp-4, 0x1.948688b7aa7a1p-4, 0x1.91ac6c389ac99p-4, 0x1.8ec9700d06947p-4, 0x1.8bddf39799189p-4, 0x1.88ea54dcf4425p-4, 0x1.85eef09e3ba81p-4, 0x1.82ec2257a1b23p-4, 0x1.7fe244650c1c8p-4, 0x1.7cd1b01608bbcp-4, 0x1.79babdcdfa539p-4, 0x1.769dc4cbb5d96p-4, 0x1.737b1b3d3027p-4, 0x1.705315cfc9002p-4, 0x1.6d260809cd123p-4, 0x1.69f4441a418ffp-4, 0x1.66be1b0476853p-4, 0x1.6383dcbc86ab5p-4, 0x1.6045d8297f748p-4, 0x1.5d045b0cacd47p-4, 0x1.59bfb1e70ef95p-4, 0x1.567827dac2f55p-4, 0x1.532e06bac935p-4, 0x1.4fe19708bfb92p-4, 0x1.4c9320159419ap-4, 0x1.4942e80d65086p-4, 0x1.45f133f29d0d6p-4, 0x1.429e48230bc63p-4, 0x1.3f4a66933ad3dp-4, 0x1.3bf5d1068c266p-4, 0x1.38a0c72fb92b1p-4, 0x1.354b882fc0709p-4, 0x1.31f6510fd4b5cp-4, 0x1.2ea15e3288c68p-4, 0x1.2b4ceaa369ecap-4, 0x1.27f9308d35aa2p-4, 0x1.24a66881fbe4ap-4, 0x1.2154ca0d31e75p-4, 0x1.1e048b5e2f328p-4, 0x1.1ab5e158e0626p-4, 0x1.1768ff9e16143p-4, 0x1.141e188fb2db1p-4, 0x1.10d55d79ac552p-4, 0x1.0d8efebb1aad1p-4, 0x1.0a4b2ad7beca9p-4, 0x1.070a101d6eeep-4, 0x1.03cbdadba0e19p-4, 0x1.0090b68e39052p-4, 0x1.fab19aaed3674p-5, 0x1.f4489050d380cp-5, 0x1.ede69da7df6b1p-5, 0x1.e78c0ffcdb4dfp-5, 0x1.e1393290be3e8p-5, 0x1.daee4e6004b7cp-5, 0x1.d4abaa4f4e814p-5, 0x1.ce718aea25971p-5, 0x1.c84032b3a72a5p-5, 0x1.c217e0d213f15p-5, 0x1.bbf8d4a071ac3p-5, 0x1.b5e348aebad8fp-5, 0x1.afd776e1e06a4p-5, 0x1.a9d596bbfe408p-5, 0x1.a3ddddd1efbefp-5, 0x1.9df07fb592aecp-5, 0x1.980dade10c634p-5, 0x1.923597d839bb8p-5, 0x1.8c686b3695545p-5, 0x1.86a6536f99bdep-5, 0x1.80ef7a0ff92bfp-5, 0x1.7b4406bbd1f3fp-5, 0x1.75a41f3ae075ap-5, 0x1.700fe784b975ap-5, 0x1.6a8781c93a6f9p-5, 0x1.650b0e65de391p-5, 0x1.5f9aac5422268p-5, 0x1.5a36783cc4bd4p-5, 0x1.54de8d6a8e8b6p-5, 0x1.4f93056f837cdp-5, 0x1.4a53f81ec526fp-5, 0x1.45217ba4d36b5p-5, 0x1.3ffba49c12e64p-5, 0x1.3ae286106e819p-5, 0x1.35d63187e337fp-5, 0x1.30d6b70b799f1p-5, 0x1.2be42535510b5p-5, 0x1.26fe88f69a7a7p-5, 0x1.2225ee754e997p-5, 0x1.1d5a5f9472badp-5, 0x1.189be5640f9b7p-5, 0x1.13ea876a9d689p-5, 0x1.0f464be6cc0bdp-5, 0x1.0aaf37c896ee6p-5, 0x1.06254ec762d7cp-5, 0x1.01a8935dede09p-5, 0x1.fa720db17e6e8p-6, 0x1.f1ad52bd3c42p-6, 0x1.e902f3e47499dp-6, 0x1.e072ecf19ba67p-6, 0x1.d7fd37879027ap-6, 0x1.cfa1cb2631e0cp-6, 0x1.c7609d2811cb9p-6, 0x1.bf39a0d3faeacp-6, 0x1.b72cc78d868eap-6, 0x1.af3a00d7d2df2p-6, 0x1.a7613a855d5aap-6, 0x1.9fa260442b55bp-6, 0x1.97fd5c6765f01p-6, 0x1.9072177e25d98p-6, 0x1.890078744288bp-6, 0x1.81a8641ae302fp-6, 0x1.7a69bfbc9a49dp-6, 0x1.7344698fe0762p-6, 0x1.6c38470a73f2dp-6, 0x1.6545348d79f4cp-6, 0x1.5e6b10e21b90cp-6, 0x1.57a9b8d6888f8p-6, 0x1.510107ff5e2c5p-6, 0x1.4a70d8b6d6ca8p-6, 0x1.43f9041544ab8p-6, 0x1.3d9961f0ffa2ep-6, 0x1.3751c8ecfb8edp-6, 0x1.31220e926fdbap-6, 0x1.2b0a06b9b28ecp-6, 0x1.250988c9aecf5p-6, 0x1.1f20600e90f39p-6, 0x1.194e6844f7ae6p-6, 0x1.13936e3c34151p-6, 0x1.0def4455066f8p-6, 0x1.0861bb0e4051p-6, 0x1.02eaa1bcf6b13p-6, 0x1.fb138ce4bd1cep-7, 0x1.f07dec92da20ep-7, 0x1.e613fae19f9cp-7, 0x1.dbd54f5b43b01p-7, 0x1.d1c181036ac5fp-7, 0x1.c7d8272275aedp-7, 0x1.be18d96a202abp-7, 0x1.b4832f7e40219p-7, 0x1.ab16bef8954fcp-7, 0x1.a1d322d804d4p-7, 0x1.98b7e7d19ba9cp-7, 0x1.8fc4a59972bcfp-7, 0x1.86f8e7d7ef706p-7, 0x1.7e543e49030dap-7, 0x1.75d637f37f7ebp-7, 0x1.6d7e651fc1386p-7, 0x1.654c58d17fa8cp-7, 0x1.5d3fa88bb3cbp-7, 0x1.5557eb8a24bc8p-7, 0x1.4d94b9240e089p-7, 0x1.45f5a6b253ea4p-7, 0x1.3e7a45a62eb03p-7, 0x1.37222258c77c9p-7, 0x1.2fecc3dff3aa9p-7, 0x1.28d9ada3806c6p-7, 0x1.21e86204006fep-7, 0x1.1b18659e1c118p-7, 0x1.14694286b2af1p-7, 0x1.0dda8a7350266p-7, 0x1.076bd7cd50b56p-7, 0x1.011ccd2476827p-7, 0x1.f5da1dae9fcc9p-8, 0x1.e9b8842e54793p-8, 0x1.ddd414879f29ap-8, 0x1.d22bfea21c27dp-8, 0x1.c6bf67651742cp-8, 0x1.bb8d504552e81p-8, 0x1.b094c77f2f194p-8, 0x1.a5d4c72dc7c83p-8, 0x1.9b4c540c72283p-8, 0x1.90fa82a879fb7p-8, 0x1.86de7b433f7c8p-8, 0x1.7cf77ba4afb0cp-8, 0x1.7344d645c6f95p-8, 0x1.69c5d9d058b6fp-8, 0x1.6079e8fab118dp-8, 0x1.576047a9bf9ddp-8, 0x1.4e7832bdb0d7cp-8, 0x1.45c0d26bacb12p-8, 0x1.3d3940b03d5f9p-8, 0x1.34e091cd38748p-8, 0x1.2cb5df668bcc2p-8, 0x1.24b853577d37fp-8, 0x1.1ce72f684e053p-8, 0x1.1541cfeaa8eap-8, 0x1.0dc7a8ca65a67p-8, 0x1.06783c4422d12p-8, 0x1.fea613cd3b025p-9, 0x1.f0af2a1c26ae4p-9, 0x1.e30a601a5478p-9, 0x1.d5b63c29cebcap-9, 0x1.c8b0fd6506ad6p-9, 0x1.bbf8adfc13315p-9, 0x1.af8b40c300045p-9, 0x1.a366b00756999p-9, 0x1.97891e4a8103ep-9, 0x1.8bf0f1feb64acp-9, 0x1.809ce325193a3p-9, 0x1.758bf542a434ap-9, 0x1.6abd8e7f94f6bp-9, 0x1.603105146b364p-9, 0x1.55e60a14ff3ffp-9, 0x1.4bdbfccb8ac9p-9, 0x1.4212398353789p-9, 0x1.3887c4d5fd8d1p-9, 0x1.2f3b64d8fd321p-9, 0x1.262b991d7e0dcp-9, 0x1.1d56b09c9788fp-9, 0x1.14bae4eced145p-9, 0x1.0c5676ee42e2cp-9, 0x1.0427c52eb8b47p-9, 0x1.f85ab51887103p-10, 0x1.e8cbe0cef8677p-10, 0x1.d9a0e559b61e2p-10, 0x1.cad7fd493fb51p-10, 0x1.bc6fc1266d77cp-10, 0x1.ae6714bd72365p-10, 0x1.a0bcfd67189bdp-10, 0x1.93707315a7441p-10, 0x1.868027eadced1p-10, 0x1.79ea707dfc852p-10, 0x1.6dad4cbb7d3cap-10, 0x1.61c690c3fd46dp-10, 0x1.5634175003764p-10, 0x1.4af3e15b8167cp-10, 0x1.40040f6e983aap-10, 0x1.3562b9fa68ec3p-10, 0x1.2b0dc3f8d3bb4p-10, 0x1.2102ce8d495a7p-10, 0x1.173f6255424b3p-10, 0x1.0dc12de04ed55p-10, 0x1.0486af9e64583p-10, 0x1.f71cfe5c437e9p-11, 0x1.e5b087ad29152p-11, 0x1.d4c697a74c045p-11, 0x1.c45de74c206d9p-11, 0x1.b474623e788eap-11, 0x1.a507615d420afp-11, 0x1.96140a816f319p-11, 0x1.87979fff96664p-11, 0x1.798f9526742b5p-11, 0x1.6bf94de1b9a63p-11, 0x1.5ed1d1558a4efp-11, 0x1.52152f728d6ebp-11, 0x1.45be9efbdb217p-11, 0x1.39c8c2346aafep-11, 0x1.2e2ec91fbb3e5p-11, 0x1.22ed3706b49cbp-11, 0x1.18025106447eep-11, 0x1.0d6da7aac6702p-11, 0x1.032f1637249ddp-11, 0x1.f28ba62c1d8e9p-12, 0x1.df6072299b8b4p-12, 0x1.ccd8f4e0cba22p-12, 0x1.baf22ba2d3504p-12, 0x1.a9ab300060b7fp-12, 0x1.99048a6cfb913p-12, 0x1.88fee28a9f75dp-12, 0x1.7999603dfe4fep-12, 0x1.6ad0639d3871ap-12, 0x1.5c9d16712831fp-12, 0x1.4ef5c32b235dap-12, 0x1.41cedc0b52c9ep-12, 0x1.351cb6e17890ep-12, 0x1.28d5ab83dedd2p-12, 0x1.1cf3d6b722339p-12, 0x1.1174b81f394dfp-12, 0x1.065b5dbe38028p-12, 0x1.f752ce73e7b85p-13, 0x1.e2bc20e3bea6fp-13, 0x1.cef069aa4c916p-13, 0x1.bbeb13ae51bbcp-13, 0x1.a9a2a532880cfp-13, 0x1.98157a0660aa4p-13, 0x1.8742df56c1c7bp-13, 0x1.772cda2fe838ap-13, 0x1.67d3fb02f5c4dp-13, 0x1.59358ef906898p-13, 0x1.4b4c09a15943bp-13, 0x1.3e0fd7441eaa4p-13, 0x1.31783ac57e49bp-13, 0x1.257b5551b300bp-13, 0x1.1a0e98a8fc6d3p-13, 0x1.0f27940b6f655p-13, 0x1.04bc8869a4fc4p-13, 0x1.f58a2aa57e72fp-14, 0x1.e276a4737f5acp-14, 0x1.d038dbc742406p-14, 0x1.becf5b2781094p-14, 0x1.ae381af8616f4p-14, 0x1.9e721f241d0f7p-14, 0x1.8f7a3712ae15fp-14, 0x1.814f9171f952bp-14, 0x1.73f3e5b6c8131p-14, 0x1.67631d7c89487p-14, 0x1.5b9035437994fp-14, 0x1.50712e3376ccdp-14, 0x1.45fdaae8bdda7p-14, 0x1.3c330532f1777p-14, 0x1.3310ea459b957p-14, 0x1.2a94f070be15dp-14, 0x1.22b9997f610b1p-14, 0x1.1b761f237b391p-14, 0x1.14bef666c61fbp-14, 0x1.0e85580ac0962p-14, 0x1.08ba3b5665b52p-14, 0x1.0354d6e88af95p-14, 0x1.fcc0dd8c7a922p-15, 0x1.f3cb83198aaep-15, 0x1.ebb6b93c84a03p-15, 0x1.e46987a405f1dp-15, 0x1.ddcb16bcaaa7ep-15, 0x1.d7d9cbbea53bap-15, 0x1.d296d912c6368p-15, 0x1.cdfff962993b1p-15, 0x1.ca0ca84a90f25p-15, 0x1.c6b0de4237f73p-15, 0x1.c3e13db3808fcp-15, 0x1.c192a7e07832cp-15, 0x1.bfc1ce04a0be8p-15, 0x1.be75d17f79207p-15, 0x1.bdb4fd167a14fp-15, 0x1.bd7df861f9b12p-15, 0x1.bdc658b450612p-15, 0x1.be80b2e568d33p-15, 0x1.bf9b4eb26eea8p-15, 0x1.c0fc4376577a3p-15, 0x1.c2912cf7aaf05p-15, 0x1.c45fd6c854d75p-15, 0x1.c688edc6a6073p-15, 0x1.c90e3e6669b5dp-15, 0x1.cbcc8ecae96e3p-15, 0x1.cecec25d575b5p-15, 0x1.d221aab1cf5d7p-15, 0x1.d5bf6bf78c30ep-15, 0x1.d991401b3f8p-15, 0x1.dd7f6f29976d5p-15, 0x1.e17f9013fb14dp-15, 0x1.e598083b340eap-15, 0x1.e9d48a98a482bp-15, 0x1.ee33bc6765c34p-15, 0x1.f2a9fe702e19ep-15, 0x1.f734a7238e31bp-15, 0x1.fbd9230839207p-15, 0x1.004fba355e6e4p-14, 0x1.02bf037ad58ddp-14, 0x1.0536ac1157413p-14, 0x1.07b4ab64daff5p-14, 0x1.0a3767b7adc8ep-14, 0x1.0cb95c3668dc8p-14, 0x1.0f36cfbdd3b7dp-14, 0x1.11b513b1eff0fp-14, 0x1.1434e0f48a1fbp-14, 0x1.16ade4bdfb7p-14, 0x1.19250ce5e85dp-14, 0x1.1b9dd5762229bp-14, 0x1.1e155ce6f94edp-14, 0x1.208969ad4c1cbp-14, 0x1.22f94c8398e03p-14, 0x1.25650efd9cd79p-14, 0x1.27cac4e23c7b3p-14, 0x1.2a25e27c965ecp-14, 0x1.2c74162db68d2p-14, 0x1.2eb93d7e8ae11p-14, 0x1.30f6875cd74eep-14, 0x1.3327f0d1e462dp-14, 0x1.354e0d39e8d15p-14, 0x1.376b8727ab478p-14, 0x1.397ff35a3d636p-14, 0x1.3b88396cd369dp-14, 0x1.3d835858a10bap-14, 0x1.3f710bfe35cabp-14, 0x1.41532429ac18ap-14, 0x1.4326d856bdf2p-14, 0x1.44ef5532ed6aep-14, 0x1.46ab9f5f1d002p-14, 0x1.4855659032207p-14, 0x1.49ef1a83d43e6p-14, 0x1.4b7c83ea6d1bep-14, 0x1.4cfc245dcb0d2p-14, 0x1.4e6e82fa16bb2p-14, 0x1.4fcf43c5d63d7p-14, 0x1.5120f4e8bc958p-14, 0x1.52634e5cb8187p-14, 0x1.5396a5ef2fed9p-14, 0x1.54bb8ca94a8c2p-14, 0x1.55d6c5f32903dp-14, 0x1.56d9473ea82dap-14, 0x1.57cf9f8fceea5p-14, 0x1.58b62a8d4731bp-14, 0x1.598c09f1e3554p-14, 0x1.5a5274598305cp-14, 0x1.5b0abd6764af1p-14, 0x1.5bb3bec0f3451p-14, 0x1.5c4bec3175fd5p-14, 0x1.5cd5797d1dbc5p-14, 0x1.5d4e9f2c1c0b4p-14, 0x1.5db848e88ced6p-14, 0x1.5e1395f89614ep-14, 0x1.5e6007572cedbp-14, 0x1.5e9dfd726d944p-14, 0x1.5ecbbee9a70f5p-14, 0x1.5ee9cd1dfcb25p-14, 0x1.5efa0ed72d135p-14, 0x1.5efc38444abc9p-14, 0x1.5eef7f98c7fd2p-14, 0x1.5ed4300640f95p-14, 0x1.5eaa901d213edp-14, 0x1.5e731b19cf955p-14, 0x1.5e2d2ba57f76ep-14, 0x1.5dd9ba4cd5d4fp-14, 0x1.5d7896993042bp-14, 0x1.5d0a13d78e72ap-14, 0x1.5c8ed7d3b3babp-14, 0x1.5c06a2bd96c91p-14, 0x1.5b70b92b11053p-14, 0x1.5ace7cc52aa91p-14, 0x1.5a1f9441a8ed2p-14, 0x1.59647c60b1896p-14, 0x1.589d22526c0e8p-14, 0x1.57c9bc852932ap-14, 0x1.56ea9940b31ffp-14, 0x1.55ffdef7d109cp-14, 0x1.5509c7a05189dp-14, 0x1.5407ab2bb2f3p-14, 0x1.52fb2be65e004p-14, 0x1.51e5262638bbdp-14, 0x1.50c36a17f8171p-14, 0x1.4f97593f729b5p-14, 0x1.4e61230601353p-14, 0x1.4d20fa0158707p-14, 0x1.4bd721ede1abep-14, 0x1.4a83a1e586db7p-14, 0x1.4926f62cb91f8p-14, 0x1.47c2c34372037p-14, 0x1.4651c01e07639p-14, 0x1.44da57a3048a5p-14, 0x1.435a35acd30f2p-14, 0x1.41d1d660c0572p-14, 0x1.4040b30ba6f88p-14, 0x1.3ea3eeb444786p-14, 0x1.3d08bd6cad7ecp-14, 0x1.3b5ff85c328efp-14, 0x1.39b1f949caa33p-14, 0x1.37fbc027dff13p-14, 0x1.363e84b2758a5p-14, 0x1.347ac780e7bb2p-14, 0x1.32b084251588cp-14, 0x1.30dfdf6fcf4a3p-14, 0x1.2f0a2b05ae554p-14, 0x1.2d2cc7b13da87p-14, 0x1.2b4a8a0a0ac2cp-14, 0x1.2962a1140eed3p-14, 0x1.277569c8ad5bfp-14, 0x1.25830323533fap-14, 0x1.238bb73b4c0cep-14, 0x1.218f6fd8437c6p-14, 0x1.1f8e7a3acfecbp-14, 0x1.1d893ab1918fbp-14, 0x1.1b7f79fdb451dp-14, 0x1.1971bc6abcaa7p-14, 0x1.176019f995a9cp-14, 0x1.154aaf6ed2c68p-14, 0x1.1331aeae9fd78p-14, 0x1.111541577fb77p-14, 0x1.0ef5943476b47p-14, 0x1.0cd2c787c2729p-14, 0x1.0aad0752b0cbdp-14, 0x1.0884877facc58p-14, 0x1.0659695c7c3c6p-14, 0x1.042c0a8939becp-14, 0x1.01fbb47994761p-14, 0x1.ff92969d86124p-15, 0x1.fb29f6c745ee5p-15, 0x1.f6bdee554ad78p-15, 0x1.f24e447ca5517p-15, 0x1.eddb5b04a14d3p-15, 0x1.e9652c7172ac8p-15, 0x1.e4ecdaff2de02p-15, 0x1.e071e09fc1d4ap-15, 0x1.dbf4ca1777ab3p-15, 0x1.d775b8254b27ap-15, 0x1.d2f5aa40db0a5p-15, 0x1.ce72d2840594p-15, 0x1.c9ef9dd72d82dp-15, 0x1.c56b690ae6acdp-15, 0x1.c0e6e74a891a6p-15, 0x1.bc600da4164f9p-15, 0x1.b7e2144f7d54ep-15, 0x1.b34cdfbcb57e2p-15, 0x1.aed4ea83b38bdp-15, 0x1.aa4c3841ec6fbp-15, 0x1.a5c78c413c70fp-15, 0x1.a1447330a13ep-15, 0x1.9cc13230a42f5p-15, 0x1.9841691024d2ap-15, 0x1.93c0bca4ce97ep-15, 0x1.8f428b78fb08bp-15, 0x1.8ac64e3e54dbap-15, 0x1.864c1070626aap-15, 0x1.81d3894c54e71p-15, 0x1.7d5d7f6a3f867p-15, 0x1.78ea1025d7456p-15, 0x1.74792e333f9e7p-15, 0x1.700b2a449befcp-15, 0x1.6ba01f78041efp-15, 0x1.673826b51ded1p-15, 0x1.62d38db5a186bp-15, 0x1.5e72163adeb93p-15, 0x1.5a144aed7b44cp-15, 0x1.55ba2b095f84ap-15, 0x1.5163eb3e23328p-15, 0x1.4d118af6046c9p-15, 0x1.48c3374c6816fp-15, 0x1.447915548714ep-15, 0x1.403342f51f3c6p-15, 0x1.3bf1dd6bbc355p-15, 0x1.37b501d534ec3p-15, 0x1.337ccb366d998p-15, 0x1.2f48de06ba28fp-15, 0x1.2b1aa59fae162p-15, 0x1.26f0e789fb254p-15, 0x1.22cc370d80ccbp-15, 0x1.1eacf03d671aap-15, 0x1.1a92581eec137p-15, 0x1.167d6d392940cp-15, 0x1.126f64c5e387cp-15, 0x1.0e65bbb29678fp-15, 0x1.0a5f8a7761138p-15, 0x1.0661aac6d5684p-15, 0x1.02678e899a739p-15, 0x1.fce76c89a2b3ep-16, 0x1.f50c28fd1ce1dp-16, 0x1.ed3ccf73e94fdp-16, 0x1.e579f40af4352p-16, 0x1.ddc6dace7642dp-16, 0x1.d617c7ceb1188p-16, 0x1.ce77b8d4af68dp-16, 0x1.c6e4fd473ae58p-16, 0x1.bf5fd43d0b994p-16, 0x1.b7e694820a694p-16, 0x1.b07248bddb4aep-16, 0x1.a9185cd996972p-16, 0x1.a1c4ca2ac36fap-16, 0x1.9a7d62a7ace09p-16, 0x1.933b9095e3beep-16, 0x1.8c183be2e8864p-16, 0x1.84f97b429b02bp-16, 0x1.7de723e33798dp-16, 0x1.76e22530cf164p-16, 0x1.6fea6c8573248p-16, 0x1.68ffee13ab48fp-16, 0x1.6222b7f2f9584p-16, 0x1.5b534c4099dafp-16, 0x1.54914b57f3752p-16, 0x1.4ddcba75d19e5p-16, 0x1.4735b22f93a83p-16, 0x1.409befeb73cfdp-16, 0x1.3a0fd19458811p-16, 0x1.339195326c04p-16, 0x1.2d209adb17364p-16, 0x1.26bd62e8e572ap-16, 0x1.2067dfc0c13b5p-16, 0x1.1a1fd88ee13a1p-16, 0x1.13e57647576e9p-16, 0x1.0db8ceca69448p-16, 0x1.0799cde5537p-16, 0x1.018960db85305p-16, 0x1.f702a6e30a6d6p-17, 0x1.eb1d995fcca61p-17, 0x1.df4c0b7e32e9ap-17, 0x1.d3965cac4e321p-17, 0x1.c7fb7aa05d1f7p-17, 0x1.bc7a3289e56d2p-17, 0x1.b117874531b54p-17, 0x1.a5ceb4a8511c4p-17, 0x1.9aa1268f60e81p-17, 0x1.8f5e475d68723p-17, 0x1.8496fe46a4039p-17, 0x1.79b6f8f2687b7p-17, 0x1.6ef41690db25bp-17, 0x1.644c21f337635p-17, 0x1.59bec346c10e7p-17, 0x1.4f4bfbefa05b2p-17, 0x1.44f3c73d1b1eap-17, 0x1.3abb15f383485p-17, 0x1.3094479b44501p-17, 0x1.2680b58b2749ep-17, 0x1.1c9ab6b4c8c4p-17, 0x1.12c566d95d4b2p-17, 0x1.090a0a161781dp-17, 0x1.fed190794b7eep-18, 0x1.ebc19ece14c2bp-18, 0x1.d8e64ec6313aap-18, 0x1.c63f79fa9adc7p-18, 0x1.b3cf2b9225c8ap-18, 0x1.a1a24b9b8e2a2p-18, 0x1.8f76f8a00f423p-18, 0x1.7d980a66b91d2p-18, 0x1.6bec8d150f7d3p-18, 0x1.5a7241ef31df5p-18, 0x1.492a5d5834d0ap-18, 0x1.3813d99298ec1p-18, 0x1.2723263c839bp-18, 0x1.1678c153f246dp-18, 0x1.05f0eba5b8dc2p-18, 0x1.eb371f0babf9ap-19, 0x1.caf2781c80be1p-19, 0x1.ab026f4487ca5p-19, 0x1.8b76935d797d7p-19, 0x1.6c58a12744208p-19, 0x1.4d66e0b7949d1p-19, 0x1.2eded959c2334p-19, 0x1.10fb220d9748cp-19, 0x1.e670e7521680cp-20, 0x1.abb2393523988p-20, 0x1.716915c5dc32ep-20, 0x1.3863d14cff30dp-20, 0x1.ff7caeef651d1p-21, 0x1.8fb25af22639bp-21, 0x1.21429a0dfd1fcp-21, 0x1.6869b45893d19p-22, 0x1.227b66aa559a8p-23, -0x1.0ea04ea6bef51p-24, -0x1.15a55dba5b37cp-22, -0x1.e4f0aca41337p-22, -0x1.58c727cdd1ce2p-21, -0x1.bdbe4012923f1p-21, -0x1.10c527712bce3p-20, -0x1.425ec09df03cdp-20, -0x1.72754a1318d27p-20, -0x1.a25ff1b078661p-20, -0x1.d1a6fba3732c3p-20, -0x1.0022e44e06592p-19, -0x1.171e9913f3a91p-19, -0x1.2de07437aefa3p-19, -0x1.443518378694cp-19, -0x1.5a4ce84cdda8p-19, -0x1.706390e1dd6cbp-19, -0x1.858aa5583f235p-19, -0x1.9ab3608c4459p-19, -0x1.af90c1b325b51p-19, -0x1.c4734baab0ecp-19, -0x1.d871b233111bbp-19, -0x1.ec724c5f560bfp-19, -0x1.0013e9b252948p-18, -0x1.09ca7cb107a48p-18, -0x1.135c9b1f9a18dp-18, -0x1.1cc9fd711b45p-18, -0x1.26110392d47aap-18, -0x1.2ecb52036d23ap-18, -0x1.383e1699ea8b5p-18, -0x1.4121d301a371bp-18, -0x1.49e12552d21c7p-18, -0x1.52811859ff88fp-18, -0x1.5af1c131f92a1p-18, -0x1.635344fe8d3ccp-18, -0x1.6b8bfee3f3eb5p-18, -0x1.73a29d256d7f1p-18, -0x1.7b9a378f65dc6p-18, -0x1.83700f5c5b66p-18, -0x1.8b2797efa1629p-18, -0x1.92bafb84278f4p-18, -0x1.9a4dc55b07719p-18, -0x1.a18c5e06339dcp-18, -0x1.a8c40177b60f5p-18, -0x1.afa8c761ee811p-18, -0x1.b6dc87686123fp-18, -0x1.bdaccc4e9cc9ep-18, -0x1.c4814558cede1p-18, -0x1.cb20eb08de17bp-18, -0x1.d1a0e16892c1p-18, -0x1.d80f2cb35a5fcp-18, -0x1.de5ad84b49982p-18, -0x1.e4cb7f4b1f2b2p-18, -0x1.eaa03b288830cp-18, -0x1.f09801833b479p-18, -0x1.f674d21b8c9d4p-18, -0x1.fc3676e19f2a6p-18, -0x1.00ee6a547dabep-17, -0x1.03ea80d8c22f1p-17, -0x1.066a76ccd11b7p-17, -0x1.09184cee25836p-17, -0x1.0bc0627048172p-17, -0x1.0e47e48828ee8p-17, -0x1.10cdf2f1dbb1fp-17, -0x1.13452226b2045p-17, -0x1.15b1c12fcfbf6p-17, -0x1.18107151d8d34p-17, -0x1.1a65bdedb91e3p-17, -0x1.1cacf8c007bfap-17, -0x1.1ef8d0aa6e73bp-17, -0x1.21185387344d1p-17, -0x1.233c5e25b8729p-17, -0x1.2554cacb72ee5p-17, -0x1.2761d223aad9p-17, -0x1.2956d97a1c58fp-17, -0x1.2b59fc7cf58c5p-17, -0x1.2d445e971deb9p-17, -0x1.2ef50536fc67p-17, -0x1.30f8c344446f2p-17, -0x1.32c6fcea753fbp-17, -0x1.3489ebc953105p-17, -0x1.363c6b58f5fd2p-17, -0x1.37e4fc0d3f002p-17, -0x1.3983571dd6e63p-17, -0x1.3b1e3a440e33fp-17, -0x1.3cc0e46f3aedbp-17, -0x1.3e4281788cb07p-17, -0x1.3fa7bba98db0cp-17, -0x1.41199edcd730ep-17, -0x1.427faf9d8566dp-17, -0x1.43dc31037fb7fp-17, -0x1.452f55e52f12p-17, -0x1.467a02a0768e4p-17, -0x1.47b9e7ae8ee41p-17, -0x1.48f1b74ecb6eep-17, -0x1.4a1918b654865p-17, -0x1.4b483df0de1ebp-17, -0x1.4c644bbc306e7p-17, -0x1.4d77b5fbd38eep-17, -0x1.4e83c9dbfce34p-17, -0x1.4f87624b2cb78p-17, -0x1.508234eafa58bp-17, -0x1.517443112330ap-17, -0x1.526792bab2032p-17, -0x1.534232fd418e6p-17, -0x1.54248ab076d65p-17, -0x1.54ee4db878103p-17, -0x1.558e4de354a93p-17, -0x1.567f6ad06fa7dp-17, -0x1.573bf33947359p-17, -0x1.57efce0e49958p-17, -0x1.58a48c0594c4bp-17, -0x1.5943a0084a529p-17, -0x1.59cf3f6ecd4dep-17, -0x1.5a79b76a1f51ep-17, -0x1.5b0907f18600bp-17, -0x1.5b949c31e26cp-17, -0x1.5c1527f0b2e56p-17, -0x1.5c91839ea2d18p-17, -0x1.5d06a64dbbe03p-17, -0x1.5d7675fdc9d28p-17, -0x1.5dde258379a32p-17, -0x1.5e3f9531beebap-17, -0x1.5e9accdcebf25p-17, -0x1.5eeedaed9a9a1p-17, -0x1.5f3a559db9ed9p-17, -0x1.5f86dc9eecb7dp-17, -0x1.5fcdba40b2bfcp-17, -0x1.6006aa209b3e6p-17, -0x1.60407da78c599p-17, -0x1.607052e5959ccp-17, -0x1.608a76b9fa248p-17, -0x1.60ba50aa5b2ecp-17, -0x1.60e189e6695adp-17, -0x1.60fc5251f5747p-17, -0x1.6111e2b0b5ee1p-17, -0x1.6121a342c91dap-17, -0x1.612c952263b14p-17, -0x1.6130d964af1aep-17, -0x1.61194fb891325p-17, -0x1.612e10ff49a13p-17, -0x1.6124c0bec53dp-17, -0x1.611606066ace6p-17, -0x1.61039940f02cep-17, -0x1.60ebd245ef2cep-17, -0x1.60cde2afaecf2p-17, -0x1.60ad0abd804cp-17, -0x1.608740a8742fdp-17, -0x1.605c471b0cea9p-17, -0x1.6028f7b8ca2bep-17, -0x1.5ffaa1d5f71dbp-17, -0x1.5fc5ef5e5b75ep-17, -0x1.5f8a175c992f2p-17, -0x1.5f485f71356e4p-17, -0x1.5efaeff4a6047p-17, -0x1.5ebacb96c597cp-17, -0x1.5e6ee52b87524p-17, -0x1.5e1ec8d40375ap-17, -0x1.5dcab710dad21p-17, -0x1.5d730d3574fcdp-17, -0x1.5d180d5f0025fp-17, -0x1.5cc21d880b83dp-17, -0x1.5c55762eb3b35p-17, -0x1.5bede821b7406p-17, -0x1.5b70a2f6f7f2ap-17, -0x1.5b1c013decd8cp-17, -0x1.5aa4df1e913f3p-17, -0x1.5a319060944fcp-17, -0x1.59b1c42bb0ebap-17, -0x1.593e1a9596646p-17, -0x1.58c06050464cfp-17, -0x1.583eea4b37262p-17, -0x1.57ba0c1cba8e7p-17, -0x1.57328cc4c8e91p-17, -0x1.56afe458c8c3dp-17, -0x1.5617239bc8d68p-17, -0x1.558a8abded7d6p-17, -0x1.54f6dabe9da4ep-17, -0x1.5461909be9d55p-17, -0x1.53c9598647c61p-17, -0x1.53239d30fa7dap-17, -0x1.528a3e23d5179p-17, -0x1.51ed07e6edd07p-17, -0x1.514a293419ep-17, -0x1.508ece243595dp-17, -0x1.4ffbad6b2a071p-17, -0x1.4f4f84eb04fb5p-17, -0x1.4ea2f02fd9e04p-17, -0x1.4df2a621c7ca3p-17, -0x1.4d404418ff885p-17, -0x1.4c8b5b6424b1p-17, -0x1.4bdf8fa977527p-17, -0x1.4b1c33463595ep-17, -0x1.4a61ac7fd587cp-17, -0x1.49a57cae257fap-17, -0x1.48e62e3f20718p-17, -0x1.4823da0819e3dp-17, -0x1.4760ddc5919d5p-17, -0x1.469a0ef9c8a3bp-17, -0x1.45d4e33bcea99p-17, -0x1.450e96282a72ap-17, -0x1.443e3d08f1ff3p-17, -0x1.436a83d117858p-17, -0x1.42a67f0bebf79p-17, -0x1.41d6afc01df7p-17, -0x1.4105b3720f725p-17, -0x1.402b51c185fap-17, -0x1.3f5c9d44a9035p-17, -0x1.3e8098299934ap-17, -0x1.3dab579b3e4eap-17, -0x1.3cd3daa53211cp-17, -0x1.3bf8719a402c7p-17, -0x1.3b1bb45f40efdp-17, -0x1.3a3d90007ae32p-17, -0x1.3960a974ee8d6p-17, -0x1.387d2ebf9e70ap-17, -0x1.379adb9242376p-17, -0x1.36b831a228651p-17, -0x1.35d3ca09707e2p-17, -0x1.34ed7ad4eb41p-17, -0x1.3406965fe2be6p-17, -0x1.331e67f1ea6aap-17, -0x1.32350dc5b4f19p-17, -0x1.314a83502f723p-17, -0x1.305ee305c4ed6p-17, }}, 
      {{-0x1.08718839a81dfp+0, -0x1.06249019a3fa2p+0, -0x1.026d96f0a974p+0, -0x1.fae3475b1b898p-1, -0x1.eeb5bd95377afp-1, -0x1.e0aa795b67c26p-1, -0x1.d1187b6880de7p-1, -0x1.c052dc94dedbfp-1, -0x1.aea6eb4aa1e3p-1, -0x1.9c5b0b8ca7edap-1, -0x1.89ae3ac0d0843p-1, -0x1.76d7f7390cb4dp-1, -0x1.6408615175829p-1, -0x1.5168a2caf5e9bp-1, -0x1.3f1b69ccade6p-1, -0x1.2d3d756e02d5ap-1, -0x1.1be62bc27d83bp-1, -0x1.0b282a9ae030dp-1, -0x1.f623b1db029cep-2, -0x1.d75bd2f12de07p-2, -0x1.ba07aeb78f562p-2, -0x1.9e30ad59a8cdep-2, -0x1.83db7663a4b3ap-2, -0x1.6b08a77101467p-2, -0x1.53b57655ce7cdp-2, -0x1.3ddc4b5ebeaafp-2, -0x1.297537cd78e23p-2, -0x1.16766e7db2db5p-2, -0x1.04d4a5f8e89d9p-2, -0x1.e906d671736d5p-3, -0x1.caeae2385703ep-3, -0x1.af399b6352504p-3, -0x1.95d6622152459p-3, -0x1.7ea42b55d196cp-3, -0x1.6985cfc1a3b8fp-3, -0x1.565e4268b9943p-3, -0x1.4510db123705cp-3, -0x1.35816fb348703p-3, -0x1.27948445c563ep-3, -0x1.1b2f61c10b70cp-3, -0x1.10382ebf0d667p-3, -0x1.0695fec9c4c36p-3, -0x1.fc61bec3998d5p-4, -0x1.ede3c253240b8p-4, -0x1.e186295da1577p-4, -0x1.d71f24975f06p-4, -0x1.ce873417d4c9bp-4, -0x1.c7986f3bb3cb5p-4, -0x1.c22f3fa08d547p-4, -0x1.be29f1dbebaa2p-4, -0x1.bb68bca11b6e6p-4, -0x1.b9cdb314e8d52p-4, -0x1.b93cb3aa5326cp-4, -0x1.b99b5e01be4bbp-4, -0x1.bad0f49da028bp-4, -0x1.bcc657f3c2eccp-4, -0x1.bf65f3b234109p-4, -0x1.c29b9f497ed5ep-4, -0x1.c6549f64eb423p-4, -0x1.ca7f895bfa2ecp-4, -0x1.cf0c33c53604cp-4, -0x1.d3eba27223258p-4, -0x1.d90ffc7909182p-4, -0x1.de6c7dce76ae9p-4, -0x1.e3f55f5ab3f6bp-4, -0x1.e99fc60885a5dp-4, -0x1.ef61c9422c8cp-4, -0x1.f5324d3ae4f92p-4, -0x1.fb090239799b8p-4, -0x1.006f2abb9d112p-3, -0x1.0355b28f35ce2p-3, -0x1.0634fa9091f3fp-3, -0x1.090a313ea298dp-3, -0x1.0bd2d0bfc6082p-3, -0x1.0e8c915f846eap-3, -0x1.11356d87e374cp-3, -0x1.13cb98e25badbp-3, -0x1.164d7ecbf07dap-3, -0x1.18b9b993b9365p-3, -0x1.1b0f1548e50bbp-3, -0x1.1d4c87fdcbaffp-3, -0x1.1f712ecf83de9p-3, -0x1.217c4c40498abp-3, -0x1.236d445b6a61ep-3, -0x1.25439a579282ep-3, -0x1.26feedd5fbfe3p-3, -0x1.289ef8654ea4bp-3, -0x1.2a238c0454e7ep-3, -0x1.2b8c9012e95f4p-3, -0x1.2cda00142d7a6p-3, -0x1.2e0be99380655p-3, -0x1.2f226a6f976edp-3, -0x1.301daf408bd9p-3, -0x1.30fdf1e1bb78p-3, -0x1.31c37821279d1p-3, -0x1.326e9271fc5d9p-3, -0x1.32ff9ae63faecp-3, -0x1.3376f40013e6ap-3, -0x1.33d507f27fb7bp-3, -0x1.341a47844aeedp-3, -0x1.3447293a3447fp-3, -0x1.345c288b4230bp-3, -0x1.3459c52d3a50dp-3, -0x1.34408264c8e5ap-3, -0x1.3410e5b93076bp-3, -0x1.33cb77d93167fp-3, -0x1.3370c2abaa10cp-3, -0x1.330151b41206cp-3, -0x1.327db18005a6cp-3, -0x1.31e66eb3f810dp-3, -0x1.313c174eb6c59p-3, -0x1.307f385c81e45p-3, -0x1.2fb05ed34c011p-3, -0x1.2ed0176f07e1dp-3, -0x1.2ddeef70da5a9p-3, -0x1.2cdd6f8aa0bc7p-3, -0x1.2bcc21f9e2e02p-3, -0x1.2aab8ea9a9bcep-3, -0x1.297c3bf91efb6p-3, -0x1.283eae7e952c9p-3, -0x1.26f368ecbe5a1p-3, -0x1.259aec013174p-3, -0x1.2435b6960c787p-3, -0x1.22c4452aa3237p-3, -0x1.2147127bb3ddcp-3, -0x1.1fbe96e07a6cbp-3, -0x1.1e2b4894c0cdap-3, -0x1.1c8d9b991ebdbp-3, -0x1.1ae601ae4ad1ep-3, -0x1.1934ea3cb61ddp-3, -0x1.177ac2670ea8bp-3, -0x1.15b7f4f70ecfp-3, -0x1.13ecea5c71dbbp-3, -0x1.121a08a7d1e56p-3, -0x1.103fb38723f74p-3, -0x1.0e5e4c353e571p-3, -0x1.0c7631cc7dc3p-3, -0x1.0a87c1b800f86p-3, -0x1.089354d11a709p-3, -0x1.069943afe4c7ep-3, -0x1.0499e4bd9c643p-3, -0x1.02958b4700511p-3, -0x1.008c8870f9121p-3, -0x1.fcfe57376d733p-4, -0x1.f8db83cee0e35p-4, -0x1.f4b12cb5120e1p-4, -0x1.f07fe3d318016p-4, -0x1.ec4837434b307p-4, -0x1.e80ab10235a4cp-4, -0x1.e3c7d737e79cdp-4, -0x1.df802c0c661a6p-4, -0x1.db342e05acfe7p-4, -0x1.d6e457f7113f1p-4, -0x1.d291213299da2p-4, -0x1.ce3afd604f801p-4, -0x1.c9e25cbd409cap-4, -0x1.c587ac10c7331p-4, -0x1.c12b54ce87b8fp-4, -0x1.bccdbd4430343p-4, -0x1.b86f483083afap-4, -0x1.b41055bae68fbp-4, -0x1.afb1429f758c8p-4, -0x1.ab5268aa37349p-4, -0x1.a6f41ed8f08f4p-4, -0x1.a296b8e51e884p-4, -0x1.9e3a890d36952p-4, -0x1.99dfdcf92e996p-4, -0x1.958700e4e6144p-4, -0x1.91303e333e363p-4, -0x1.8cdbdbb70bcecp-4, -0x1.888a1dc7cb795p-4, -0x1.843b469916a92p-4, -0x1.7fef95babe7dep-4, -0x1.7ba7481733464p-4, -0x1.776299c4c6cfdp-4, -0x1.7321c331962d3p-4, -0x1.6ee4fb5c1a88ap-4, -0x1.6aac772e6beb6p-4, -0x1.66786985d46ddp-4, -0x1.624903440c56p-4, -0x1.5e1e7385feb69p-4, -0x1.59f8e76315829p-4, -0x1.55d88a3e9983dp-4, -0x1.51bd85ae7870ep-4, -0x1.4da803a58ecbp-4, -0x1.499824ab819e8p-4, -0x1.458e13002c97p-4, -0x1.4189efd82620cp-4, -0x1.3d8bdcc151b3cp-4, -0x1.3993f9c4e0a09p-4, -0x1.35a2657eabb66p-4, -0x1.31b73d0fb4dc4p-4, -0x1.2dd29c58adcdbp-4, -0x1.29f49dc674d38p-4, -0x1.261d5a890c66fp-4, -0x1.224ceaa605b94p-4, -0x1.1e8364a00d45fp-4, -0x1.1ac0de01d4b8cp-4, -0x1.17056b0f03a5ap-4, -0x1.13511efda68e4p-4, -0x1.0fa40c058f224p-4, -0x1.0bfe42fb582ddp-4, -0x1.085fd3e4cf445p-4, -0x1.04c8cdbe247bp-4, -0x1.01393e804284fp-4, -0x1.fb626659168a7p-5, -0x1.f4616fb587f77p-5, -0x1.ed6faf671b41fp-5, -0x1.e68d39fdb6588p-5, -0x1.dfba227e356d5p-5, -0x1.d8f67a090b443p-5, -0x1.d2425047c41b2p-5, -0x1.cb9db3254a96fp-5, -0x1.c508af3e71142p-5, -0x1.be834f9426f1dp-5, -0x1.b80d9db5712c9p-5, -0x1.b1a7a1bb21abbp-5, -0x1.ab5161dfd95a3p-5, -0x1.a50ae3078bf12p-5, -0x1.9ed43186ed815p-5, -0x1.98ad43c2bcf17p-5, -0x1.92961d94af2a2p-5, -0x1.8c8ec9450d568p-5, -0x1.86973e41b55e9p-5, -0x1.80af7c387ae01p-5, -0x1.7ad78098a29c5p-5, -0x1.750f47be757ecp-5, -0x1.6f56cca25846ap-5, -0x1.69ae096aaa762p-5, -0x1.6414f739451e9p-5, -0x1.5e8b8e54f1a6bp-5, -0x1.5911c61c86332p-5, -0x1.53a794efd28c3p-5, -0x1.4e4cf02ed02cep-5, -0x1.4901cce675e81p-5, -0x1.43c61f06a1dcdp-5, -0x1.3e99d9910bbd9p-5, -0x1.397cef0d0b129p-5, -0x1.346f5121c80cdp-5, -0x1.2f70f0bdd85d4p-5, -0x1.2a81bea28aeb3p-5, -0x1.25a1a96540ff8p-5, -0x1.20d0a10665ffbp-5, -0x1.1c0e93193790ep-5, -0x1.175b6e2c47995p-5, -0x1.12b71efbfd4acp-5, -0x1.0e2192574927cp-5, -0x1.099ab41c9b453p-5, -0x1.05226ff8e9b23p-5, -0x1.00b8b0ebe5e7fp-5, -0x1.f8bac3475673dp-6, -0x1.f020d847bd052p-6, -0x1.e7a3743fb751cp-6, -0x1.df42699fbe04ep-6, -0x1.d6fd89f2e92e8p-6, -0x1.ced4a79a51c0ap-6, -0x1.c6c78e5b25cbfp-6, -0x1.bed611c27a7cp-6, -0x1.b6ffff0438576p-6, -0x1.af452409376a4p-6, -0x1.a7a54e1d0992ap-6, -0x1.a02049ebb48d1p-6, -0x1.98b5e3bd151fap-6, -0x1.9165e6d66d267p-6, -0x1.8a301e91231c7p-6, -0x1.831455157708ap-6, -0x1.7c1254d86e3b4p-6, -0x1.7529e722cef12p-6, -0x1.6e5ad54e83991p-6, -0x1.67a4e80a1b76p-6, -0x1.6107e7d0359e4p-6, -0x1.5a839cafb63d1p-6, -0x1.5417ce6a665abp-6, -0x1.4dc44471708c8p-6, -0x1.4788c6060105fp-6, -0x1.41651a04f39bdp-6, -0x1.3b59072304692p-6, -0x1.356453c2eae8dp-6, -0x1.2f86c586d0934p-6, -0x1.29c02071b6266p-6, -0x1.2410384e76c5ap-6, -0x1.1e76be15b904fp-6, -0x1.18f384866818ep-6, -0x1.138649227f731p-6, -0x1.0e2ede6ded25ep-6, -0x1.08ecff83be03fp-6, -0x1.03c073e128e5cp-6, -0x1.fd51feae49382p-7, -0x1.f34cdd3e08109p-7, -0x1.e970ffcf338b4p-7, -0x1.dfbdf696d530fp-7, -0x1.d6334ca89e4f3p-7, -0x1.ccd08dc463ec9p-7, -0x1.c395454442677p-7, -0x1.ba80fcd57b9e1p-7, -0x1.b19341947731dp-7, -0x1.a8cba986e2746p-7, -0x1.a029ab02d75f3p-7, -0x1.97ace9608ca5p-7, -0x1.8f54e581f06c4p-7, -0x1.87212f6fd78ap-7, -0x1.7f11558024f42p-7, -0x1.7724e6270372ep-7, -0x1.6f5b6fadd1646p-7, -0x1.67b481eab2367p-7, -0x1.602fac3d982f8p-7, -0x1.58cc7ee8d0d71p-7, -0x1.518a8a6562b72p-7, -0x1.4a696028b8ee3p-7, -0x1.43688fb9068ecp-7, -0x1.3c87b3f6de7b3p-7, -0x1.35c6545b81ba8p-7, -0x1.2f240bbe78558p-7, -0x1.28a06c26117c8p-7, -0x1.223b0b3e42fdcp-7, -0x1.1bf37e2dd19eap-7, -0x1.15c95b3b0fdf1p-7, -0x1.0fbc39bc44207p-7, -0x1.09cbb16be49fcp-7, -0x1.03f75a3452905p-7, -0x1.fc7d9b12b7eadp-8, -0x1.f1434ab7b9e2p-8, -0x1.e63ef8a3f1f94p-8, -0x1.db6fdbaee9bc2p-8, -0x1.d0d52c7ead29p-8, -0x1.c66e2504116d5p-8, -0x1.bc39fbdb42f6fp-8, -0x1.b237fd92dd99bp-8, -0x1.a8675a0468c5dp-8, -0x1.9ec757b56a713p-8, -0x1.955737bbd51dp-8, -0x1.8c163e2e8898p-8, -0x1.8303b12c765adp-8, -0x1.7a1ed8311856cp-8, -0x1.7166fc8f568b5p-8, -0x1.68db69472279cp-8, -0x1.607b6ae99c41ap-8, -0x1.58464f56d49b4p-8, -0x1.503b609c2854fp-8, -0x1.485a05981d37bp-8, -0x1.40a17d0178cfep-8, -0x1.3911232ed8bedp-8, -0x1.31a85097d8775p-8, -0x1.2a665d84dc531p-8, -0x1.234aa5a80c54cp-8, -0x1.1c5484e69e394p-8, -0x1.15835a65e3b8cp-8, -0x1.0ed686985de8p-8, -0x1.084d6c24008ep-8, -0x1.01e76eea53d46p-8, -0x1.f747e951da89ep-9, -0x1.eb04cb25676c5p-9, -0x1.df0456542c0c4p-9, -0x1.d345602ad57aap-9, -0x1.c7c6c52cf22edp-9, -0x1.bc87629dadd51p-9, -0x1.b1861afdba88dp-9, -0x1.a6c1cdeea689bp-9, -0x1.9c396c793551dp-9, -0x1.91ebdf795270fp-9, -0x1.87d816b6983a2p-9, -0x1.7dfd04f08ddebp-9, -0x1.74599b6841cd4p-9, -0x1.6aecfe28a7f71p-9, -0x1.61b5c5020f958p-9, -0x1.58b36dfaa674dp-9, -0x1.4fe4b1dcb3d93p-9, -0x1.4748acfbc9325p-9, -0x1.3ede6b4d406ep-9, -0x1.36a4fbfbb8f5bp-9, -0x1.2e9b71cc3a4fap-9, -0x1.26c0e2fb58cd6p-9, -0x1.1f14693d96ef9p-9, -0x1.1795216edd0b8p-9, -0x1.10422ba1c76cdp-9, -0x1.091a98a12294dp-9, -0x1.021df025348f8p-9, -0x1.f69507584ea6ep-10, -0x1.e940f3f3ebf2ap-10, -0x1.dc3ce76df1781p-10, -0x1.cf878432201f9p-10, -0x1.c31f40d2b9095p-10, -0x1.b7028d2afdb9fp-10, -0x1.ab2fe8398789fp-10, -0x1.9fa5ccbced12ap-10, -0x1.9462c68b565bap-10, -0x1.8965588bbdef1p-10, -0x1.7eac182fe87adp-10, -0x1.7435a266d2978p-10, -0x1.6a0093a732e1bp-10, -0x1.600b88b29d074p-10, -0x1.565501594243cp-10, -0x1.4cdc4afbc775p-10, -0x1.439f489c8675ap-10, -0x1.3a9d5beb15cbep-10, -0x1.31d4e8c239eebp-10, -0x1.2944d57cec885p-10, -0x1.20ebd804c5403p-10, -0x1.18c8cd0cce54dp-10, -0x1.10da8b3481fa3p-10, -0x1.091fecc86a927p-10, -0x1.0197d1176905bp-10, -0x1.f4823997ed1e2p-11, -0x1.e635725066297p-11, -0x1.d8472964fbb83p-11, -0x1.cab5487cb0403p-11, -0x1.bd7dbde13199dp-11, -0x1.b09e833bbd17p-11, -0x1.a4159f071c4acp-11, -0x1.97e11f3de479ap-11, -0x1.8bff18ce36548p-11, -0x1.806da42877f24p-11, -0x1.752af2b858fc9p-11, -0x1.6a357b0360e5ep-11, -0x1.5f8b15e3862e5p-11, -0x1.5529ea00835cep-11, -0x1.4b10c79ae9e98p-11, -0x1.413da9448ed0ep-11, -0x1.37af4812a7127p-11, -0x1.2e6301980e2f9p-11, -0x1.255855aed4977p-11, -0x1.1c8d5d7ed57e1p-11, -0x1.1400975244f93p-11, -0x1.0bb082116b1d4p-11, -0x1.039bb4e73b378p-11, -0x1.f78173799ec03p-12, -0x1.e83ca8adf792fp-12, -0x1.d9651028711fep-12, -0x1.caf9afad6106ap-12, -0x1.bcf6c78140466p-12, -0x1.af5a14c5c6191p-12, -0x1.a2210ff69f8eap-12, -0x1.954941699a9e5p-12, -0x1.88d03d14bfbaep-12, -0x1.7cb3a9388fa4cp-12, -0x1.70f13f1675cbep-12, -0x1.6586bdf1b2f0cp-12, -0x1.5a71e30a353bep-12, -0x1.4fb08305f6306p-12, -0x1.45407cfc99bdap-12, -0x1.3b204f05684e1p-12, -0x1.314c1d7015a51p-12, -0x1.27c3a968747eap-12, -0x1.1e8462535ea9bp-12, -0x1.158c7ef6ea1dcp-12, -0x1.0cd9eab530cdap-12, -0x1.046ae02a81b7fp-12, -0x1.f87b60f8f4967p-13, -0x1.e8a133ac88b29p-13, -0x1.d943c6a19b1bfp-13, -0x1.ca5fd6e21f211p-13, -0x1.bbf14e0959ba1p-13, -0x1.adf81fe72d7aap-13, -0x1.a06c00e7e1cb5p-13, -0x1.934f259daed76p-13, -0x1.869ae99b864d9p-13, -0x1.7a4e9e13d8bep-13, -0x1.6e66284db92cbp-13, -0x1.62df2893d68bcp-13, -0x1.57b6db87f1924p-13, -0x1.4cea9222aa2b8p-13, -0x1.4277aa6f02fb8p-13, -0x1.385b910534fbdp-13, -0x1.2e93b7020f9adp-13, -0x1.251ddc84da1e1p-13, -0x1.1bf784808e0f1p-13, -0x1.131e771f069dfp-13, -0x1.0a90846e316acp-13, -0x1.024b86d3a3ef6p-13, -0x1.f49a9c2573e06p-14, -0x1.e5283137d2c03p-14, -0x1.d63b3e0074af2p-14, -0x1.c7d00d8a38af2p-14, -0x1.b9e2cf5c8427fp-14, -0x1.ac6fc03cf9ccdp-14, -0x1.9f7328904adb8p-14, -0x1.92e95fc6b002cp-14, -0x1.86ced148471d3p-14, -0x1.7b2003cb1de84p-14, -0x1.6fd989b2b47p-14, -0x1.64f83e0b16c3ap-14, -0x1.5a7913411594ep-14, -0x1.5058f8718f5c4p-14, -0x1.4692bcb4dec99p-14, -0x1.3d2ab008d0233p-14, -0x1.34143872fa25p-14, -0x1.2b5562ba602b2p-14, -0x1.22e60e545acbfp-14, -0x1.1ac57baafbb07p-14, -0x1.12f158cf5ce93p-14, -0x1.0b66ce7ec5425p-14, -0x1.042354491cd2dp-14, -0x1.fa494f1131941p-15, -0x1.ecd0efea64d08p-15, -0x1.dfd6b3feed131p-15, -0x1.d35a09d7c03f7p-15, -0x1.c753b45076efep-15, -0x1.bbc2a4130513ap-15, -0x1.b09ebae6924bcp-15, -0x1.a5e6e2b6fc774p-15, -0x1.9b972abe9d0f6p-15, -0x1.91ac2ece0956ap-15, -0x1.8822ab5933ac9p-15, -0x1.7ef7ad82e941cp-15, -0x1.7627d8292966dp-15, -0x1.6daee14bf0b04p-15, -0x1.658cd91ade2a6p-15, -0x1.5dbb597c8fc97p-15, -0x1.5638851f2999ep-15, -0x1.4f019946dd4cep-15, -0x1.48137499e9f5ep-15, -0x1.416b5fd410b1bp-15, -0x1.3b065f8016c56p-15, -0x1.34e1ba8b45f4cp-15, -0x1.2efac6daff288p-15, -0x1.294eb52f60966p-15, -0x1.23db5484c03f8p-15, -0x1.1e9e9ae9cb88ep-15, -0x1.19966ba2348ffp-15, -0x1.14b71c6f9af8bp-15, -0x1.1013d6fa7fe1fp-15, -0x1.0ba6802c60c4cp-15, -0x1.075e1a7fd0064p-15, -0x1.033e4976fd8f4p-15, -0x1.fea4ea5c574f7p-16, -0x1.f706f26466225p-16, -0x1.efbe908100054p-16, -0x1.e8be814a54261p-16, -0x1.e205c9012dce3p-16, -0x1.db911f2756543p-16, -0x1.d55c4e075b81ap-16, -0x1.cf6575357ee7dp-16, -0x1.c9a814000f08p-16, -0x1.c422215a22931p-16, -0x1.bed0aca09052bp-16, -0x1.b9b120ff456e7p-16, -0x1.b4c0c4b6e103dp-16, -0x1.affdcab79594bp-16, -0x1.ab66798dcfcfcp-16, -0x1.a6f86382d8f26p-16, -0x1.a2b220e6e9975p-16, -0x1.9e912649931edp-16, -0x1.9a8f6a0956133p-16, -0x1.96b446f0b0c77p-16, -0x1.92fbce4efbe2cp-16, -0x1.8f5e2ff14257ep-16, -0x1.8bddf403d5dabp-16, -0x1.887cecca27583p-16, -0x1.852ecbce52f94p-16, -0x1.81fce7c227b92p-16, -0x1.7ee21f04995ep-16, -0x1.7bdb832a253e3p-16, -0x1.78ec01673fe2ep-16, -0x1.760db8dedaf8cp-16, -0x1.73417778b3f56p-16, -0x1.7085f1636a899p-16, -0x1.6dd9e65985c86p-16, -0x1.6b3c912c4d4dep-16, -0x1.68ad20705de1ap-16, -0x1.661d555e1c104p-16, -0x1.63a5335720f88p-16, -0x1.6144f1df3eb77p-16, -0x1.5ee000ab2e2c4p-16, -0x1.5c873a478ce71p-16, -0x1.5a3609ef66cd1p-16, -0x1.57ee710d929fcp-16, -0x1.55a613462af19p-16, -0x1.53697318168f8p-16, -0x1.5138ba35d9a45p-16, -0x1.4f06b4f0f3e32p-16, -0x1.4cd8217ce00ebp-16, -0x1.4aafca2ff3de8p-16, -0x1.488b1b1b84231p-16, -0x1.4669d07162508p-16, -0x1.444a6ebbf6525p-16, -0x1.422e6c2c71c67p-16, -0x1.40142439efce6p-16, -0x1.3dfb71e4b97a8p-16, -0x1.3be3df54e92f2p-16, -0x1.39cd0c31c506fp-16, -0x1.37b6f6db1b352p-16, -0x1.35943a1d460c9p-16, -0x1.337a1eac121f6p-16, -0x1.3173fb9f99c63p-16, -0x1.2f5c83329fe2ep-16, -0x1.2d44e0df08b0ep-16, -0x1.2b2c6a7f74549p-16, -0x1.291282e09a801p-16, -0x1.26f7b699172efp-16, -0x1.24db35e31718fp-16, -0x1.22bdc41ac502p-16, -0x1.209db8e263d49p-16, -0x1.1e7bfdd3ab42cp-16, -0x1.1c58304255399p-16, -0x1.1a3252b7af75ep-16, -0x1.180b9c7e41ef6p-16, -0x1.15df2b156c4a2p-16, -0x1.13b56dedd5555p-16, -0x1.1187a943d4796p-16, -0x1.0f572451d9c57p-16, -0x1.0d2475b35c6a7p-16, -0x1.0aef63894a9eep-16, -0x1.08b7dd509d3b6p-16, -0x1.067df3db22e2p-16, -0x1.0441c49c47c5fp-16, -0x1.0203737fe107ap-16, -0x1.ff78c99037905p-17, -0x1.faf75aae9128fp-17, -0x1.f673f4d0214bp-17, -0x1.f1e41e1122a16p-17, -0x1.ed50303c9decp-17, -0x1.e8b85304bd387p-17, -0x1.e41c66f69bc05p-17, -0x1.df7bb3ad92169p-17, -0x1.dad7a4382f48ep-17, -0x1.d62ec1871bb58p-17, -0x1.d183f11ee8099p-17, -0x1.ccd33e33f71ep-17, -0x1.c81d87c605529p-17, -0x1.c3691a288375ep-17, -0x1.beaff553a88e5p-17, -0x1.b9f6bb2c2e7ecp-17, -0x1.b5338fe1d717ep-17, -0x1.b07166fdbe646p-17, -0x1.abacd2cda90d3p-17, -0x1.a6e67bb5f4a7cp-17, -0x1.a20574ba08864p-17, -0x1.9d3bf7adb111p-17, -0x1.988503c3a51cap-17, -0x1.93b5a3fb163eap-17, -0x1.8ee546393fb2cp-17, -0x1.8a143d9d74064p-17, -0x1.853a63e00ccf8p-17, -0x1.80732e72de3cdp-17, -0x1.7b9a50014c0ccp-17, -0x1.76c6baec93648p-17, -0x1.71f1cbc248bb7p-17, -0x1.6d1d5809f9ea8p-17, -0x1.6849eb96ca87dp-17, -0x1.63939d556fb74p-17, -0x1.5ea29b9c4ae2bp-17, -0x1.59ce951c6e51dp-17, -0x1.54fc033e6a379p-17, -0x1.502a8ccc428aap-17, -0x1.4b5b08f06e204p-17, -0x1.468cafb9467dfp-17, -0x1.41c024afeea5fp-17, -0x1.3cf17a9064d9fp-17, -0x1.382c1e4e81bfep-17, -0x1.3364d38632df2p-17, -0x1.2ea023d37194fp-17, -0x1.29e209273720ep-17, -0x1.25193635328cp-17, -0x1.2061f145419f8p-17, -0x1.1baa9fb6562b1p-17, -0x1.16f33b4a294f8p-17, -0x1.12402fe5398d8p-17, -0x1.0d91e91ca883dp-17, -0x1.08e641354aba2p-17, -0x1.043e60140d46ep-17, -0x1.ff34f9bdccc54p-18, -0x1.f5fb3b6a8d068p-18, -0x1.ecc195f85213fp-18, -0x1.e394c8a9519c9p-18, -0x1.da71390e2bcefp-18, -0x1.d155b00cf8379p-18, -0x1.c844e7228382p-18, -0x1.bf3edc7b5064ap-18, -0x1.b638f3453d245p-18, -0x1.ad51481d806c7p-18, -0x1.a46a85c7e27f1p-18, -0x1.9b8ed1668a376p-18, -0x1.92be59a4cd054p-18, -0x1.89f93c9a7728ap-18, -0x1.8140c0c957cebp-18, -0x1.78943fab9bf0ap-18, -0x1.6ff3feef1c2b6p-18, -0x1.675516385f2c2p-18, -0x1.5ecb470da6c5fp-18, -0x1.565e4bd22a66cp-18, -0x1.4def80a2b1909p-18, -0x1.458e62caf89e1p-18, -0x1.3d3b4455e5ce9p-18, -0x1.34f60bda4a9e4p-18, -0x1.2cbf4fae88dbfp-18, -0x1.249583a9bebbfp-18, -0x1.1c7bb276d810bp-18, -0x1.148160a5d0a87p-18, -0x1.0c6b75c54f86bp-18, -0x1.047d7b57374a2p-18, -0x1.f9387c800a245p-19, -0x1.e99426f158f56p-19, -0x1.da0243f219a38p-19, -0x1.ca4115d202cf2p-19, -0x1.bb591ab0625a1p-19, -0x1.ac1c58a5e6cccp-19, -0x1.9d1bd1f5b76c2p-19, -0x1.8e2ce7a38b05bp-19, -0x1.7f59787a1a01bp-19, -0x1.70a981b454006p-19, -0x1.62164fd0de9e4p-19, -0x1.53a0579af6cc1p-19, -0x1.456f3fb296b03p-19, -0x1.3721ae787e54ap-19, -0x1.2911f0720e339p-19, -0x1.1b1dd94d768d9p-19, -0x1.0d4d9e383b5b2p-19, -0x1.ff3bb4f40a9e4p-20, -0x1.e41e6961cfd7fp-20, -0x1.c93c64c5b59eap-20, -0x1.ae9d7cb116b35p-20, -0x1.9440bc8cadd6ap-20, -0x1.7a24d941862e4p-20, -0x1.604c3d5510f53p-20, -0x1.46b484c758f0ep-20, -0x1.2d5df62e12066p-20, -0x1.144a5465af27dp-20, -0x1.f6f17b851ac86p-21, -0x1.c5d25418f20bbp-21, -0x1.9533daf0d170fp-21, -0x1.651b9a5db041ap-21, -0x1.3587bda10b2cep-21, -0x1.0674cdde5488p-21, -0x1.b02cc7fd1ba1bp-22, -0x1.53bda4ada6112p-22, -0x1.f14db7c2ccb07p-23, -0x1.3d348c94bfe93p-23, -0x1.16a083ea92c49p-24, 0x1.2511c0302e985p-26, 0x1.a517c131b2e7ep-24, 0x1.7ebe223720203p-23, 0x1.142920143f02cp-22, 0x1.680d563c24b6ap-22, 0x1.bae9684d9fd3ep-22, 0x1.0667ed5c54b86p-21, 0x1.2ebe7716e4d6ep-21, 0x1.56d4ee2ef1bbfp-21, 0x1.7e43e636b6476p-21, 0x1.a5378848498dbp-21, 0x1.cb981ef559ab5p-21, 0x1.f1bb651b68eedp-21, 0x1.0b1a29187450cp-20, 0x1.1e91b939d99c8p-20, 0x1.30020db270aecp-20, 0x1.423e391295382p-20, 0x1.54065c8074d4ap-20, 0x1.657bc67979d6p-20, 0x1.76e5abfd5c47p-20, 0x1.87b85997511e1p-20, 0x1.98a8315be1801p-20, 0x1.a936f4f74fb52p-20, 0x1.b98c939bcbe17p-20, 0x1.c9a6b2222a91ap-20, 0x1.d98388641ab78p-20, 0x1.e9200be0e3604p-20, 0x1.f887abab792ffp-20, 0x1.03dacd3f373abp-19, 0x1.0b539e58b2d43p-19, 0x1.12af47b565a3ep-19, 0x1.19ee549786dp-19, 0x1.210eeafffaabap-19, 0x1.2818575339d18p-19, 0x1.2f0293ab8c85ap-19, 0x1.35d0ff1022decp-19, 0x1.3c829f270002bp-19, 0x1.431976ca78a94p-19, 0x1.49950a0df13b5p-19, 0x1.4ff537bb23a91p-19, 0x1.563a439dec04cp-19, 0x1.5c646f940abf7p-19, 0x1.6273f2bac007bp-19, 0x1.686902144a5ddp-19, 0x1.6e488833d751p-19, 0x1.74049f2fc6f28p-19, 0x1.79abc0931b793p-19, 0x1.7f39f2a11a8b9p-19, 0x1.84acf0cc0ed73p-19, 0x1.8a093897d90c4p-19, 0x1.8f497f1be0f7p-19, 0x1.945d2e0beba56p-19, 0x1.99680ee164384p-19, 0x1.9e79817761c2dp-19, 0x1.a351d57fd0c4dp-19, 0x1.a81db8a89de8p-19, 0x1.accf65e5c9321p-19, 0x1.b167bba52dddcp-19, 0x1.b5e85ec23409ep-19, 0x1.ba502ca9b364p-19, 0x1.be967ff7caef8p-19, 0x1.c2dd960b76005p-19, 0x1.c70549a97642p-19, 0x1.cb14bf3f2e3bep-19, 0x1.cf06821201bd5p-19, 0x1.d2e18d397b171p-19, 0x1.d6c85dd7a4809p-19, 0x1.da73f5194d4fp-19, 0x1.de1933c18a613p-19, 0x1.e1a97db579656p-19, 0x1.e53d5a1259f9ap-19, 0x1.e883aafe43062p-19, 0x1.ebd16b6d0ebf6p-19, 0x1.ef0ba098391e7p-19, 0x1.f23302bdef4a9p-19, 0x1.f546b8ba7d5bp-19, 0x1.f847bcd82d148p-19, 0x1.fb357dfe6cf91p-19, 0x1.fe0dd34aef8c4p-19, 0x1.0069a77deea67p-18, 0x1.01c3273727298p-18, 0x1.03133e75e4aadp-18, 0x1.045ae2ca00342p-18, 0x1.05991abc20d42p-18, 0x1.06ce1f86cf34fp-18, 0x1.07fa4ddba0254p-18, 0x1.091db8861a23dp-18, 0x1.0a3870b7004eep-18, 0x1.0b4a93d047ad3p-18, 0x1.0c544a1d6a56fp-18, 0x1.0d557e4b121d6p-18, 0x1.0e4e790482fbcp-18, 0x1.0f3dd9f0d0ba7p-18, 0x1.102af3f4d76ccp-18, 0x1.110807b0e0934p-18, 0x1.11e0d3827b264p-18, 0x1.12b170a11133ep-18, 0x1.137ad37886c11p-18, 0x1.143e3d0ed8aa9p-18, 0x1.14f681f875021p-18, 0x1.15a81818a412dp-18, 0x1.165303c8c5f6ap-18, 0x1.17103c84ac4eap-18, 0x1.1792c3e39d5a2p-18, 0x1.182a3306953cep-18, 0x1.18b8907b78963p-18, 0x1.194005256da23p-18, 0x1.19c0da186898ep-18, 0x1.1a3af74b20ca5p-18, 0x1.1aae5d600b431p-18, 0x1.1b1131e730805p-18, 0x1.1b80d3c5eac52p-18, 0x1.1be6cf423c5cbp-18, 0x1.1c3b680c5f1c8p-18, 0x1.1c8eb71c0d886p-18, 0x1.1cdc65165bb3ep-18, 0x1.1d23a46f9fee2p-18, 0x1.1d6610e8c44c3p-18, 0x1.1da17dfe447bdp-18, 0x1.1dd657d95c13ap-18, 0x1.1e02f40415649p-18, 0x1.1e267e61c1d1cp-18, 0x1.1e55e39b02007p-18, 0x1.1e7568fbc3091p-18, 0x1.1e8eb568550aap-18, 0x1.1ea343c39e6b7p-18, 0x1.1eb2069f86c34p-18, 0x1.1ebdfd36efec8p-18, 0x1.1ec41cbb233ccp-18, 0x1.1ec15a9afe824p-18, 0x1.1ebce19efefd6p-18, 0x1.1eb32535c4bfep-18, 0x1.1ea41c03131d2p-18, 0x1.1e9141dcb7977p-18, 0x1.1e7954181273fp-18, 0x1.1e5674d933002p-18, 0x1.1e3f8d708adebp-18, 0x1.1e22e515cd88bp-18, 0x1.1de9710b96409p-18, 0x1.1dbe79339e3f6p-18, 0x1.1d8b16f570a96p-18, 0x1.1d571ec775a63p-18, 0x1.1d19ba646effep-18, 0x1.1cdc10a982f49p-18, 0x1.1c9878826e71p-18, 0x1.1c5164246823cp-18, 0x1.1c06ad68d2ce2p-18, 0x1.1bb63680f3b6ap-18, 0x1.1b6631f59a3dap-18, 0x1.1b108454df7aep-18, 0x1.1ab7011d34715p-18, 0x1.1a59e97a6c3c4p-18, 0x1.19f9229c0db51p-18, 0x1.199670505fa75p-18, 0x1.1934d6a161b89p-18, 0x1.18c3e79d095d6p-18, 0x1.1856508b461d9p-18, 0x1.17e5b31e88ed7p-18, 0x1.17716a7213693p-18, 0x1.16f9f58487b79p-18, 0x1.1680ca6ac08f5p-18, 0x1.16025f224a728p-18, 0x1.15834e623ea6cp-18, 0x1.150787f80ff5cp-18, 0x1.147aba24c79d1p-18, 0x1.13f170e0aaf58p-18, 0x1.1366246e25b1cp-18, 0x1.12e18ff17610fp-18, 0x1.12484c980351fp-18, 0x1.11b57dcefccc2p-18, 0x1.112006d089d49p-18, 0x1.1088231512aecp-18, 0x1.0fedd208adaa6p-18, 0x1.0f510eb9a5f8dp-18, 0x1.0eb18a332fe2ep-18, 0x1.0dffe2b87092cp-18, 0x1.0d6d167090478p-18, 0x1.0cc7cc6def76fp-18, 0x1.0c20147c5b5bdp-18, 0x1.0b76db4b4db3cp-18, 0x1.0ac879ac2a7d3p-18, 0x1.0a1cc013958dfp-18, 0x1.096d15e826b01p-18, 0x1.08ba968e57864p-18, 0x1.08078801aee4ep-18, 0x1.0751a17ade634p-18, 0x1.069b78fd922bdp-18, 0x1.05e2324ac4f5dp-18, 0x1.052a170a567dcp-18, 0x1.046b23586834p-18, 0x1.03acf11b5665p-18, 0x1.02e4d4cd7dbeap-18, 0x1.022cdb7eccd91p-18, 0x1.01662a2504537p-18, 0x1.00a6fa17f8dbbp-18, 0x1.ffc35532a621fp-19, 0x1.fe1d410d3b5ecp-19, 0x1.fca45cdb61872p-19, 0x1.fb10478c09ff8p-19, 0x1.f9e39dad4889ap-19, 0x1.f7e4845bdda38p-19, 0x1.f6498aa96d133p-19, 0x1.f4accbe2ff8cdp-19, 0x1.f30dfc4eb2b52p-19, 0x1.f16c67341c989p-19, 0x1.efe907d4869bfp-19, 0x1.ee221f146359dp-19, 0x1.ec7c23603629ap-19, 0x1.ead826cd34c62p-19, 0x1.e924f968011d9p-19, 0x1.e77918a90341bp-19, 0x1.e5c862aadcfa2p-19, 0x1.e417d2ec59932p-19, 0x1.e264fa5c4b2c3p-19, 0x1.e0b13d92ab8d4p-19, 0x1.defab66d4dd8p-19, 0x1.dd5a5f5e3cad7p-19, 0x1.db8aa78e31562p-19, 0x1.d9d08cfaec9bp-19, 0x1.d814ed187237fp-19, 0x1.d657f8a9736d4p-19, 0x1.d47ef4182cb51p-19, 0x1.d2da2dab23bap-19, 0x1.d11974a21b4f2p-19, 0x1.cf3ff33794bd2p-19, 0x1.cd8bb5dbc443bp-19, 0x1.cbd22f2a73405p-19, 0x1.ca12a9d2ca8b1p-19, 0x1.c8466f8fdfad8p-19, 0x1.c67a33886eaedp-19, 0x1.c4aecc96f0335p-19, 0x1.c2f149731f024p-19, 0x1.c12eb823ec4ecp-19, 0x1.bf62bca43f81cp-19, 0x1.bd94a804c6ff6p-19, 0x1.bbcae3da75866p-19, 0x1.b9ffacd0ec0ccp-19, 0x1.b833ce5a07da6p-19, 0x1.b6678d1442888p-19, 0x1.b49ba1f4eccbfp-19, 0x1.b2cde86eed13dp-19, 0x1.b100a1fe9da21p-19, 0x1.af2d3abf82141p-19, 0x1.ad65da5003561p-19, 0x1.ab97466cf11fcp-19, 0x1.a9c81848c6035p-19, 0x1.a7f98f6ecb6cep-19, 0x1.a62af66609acbp-19, 0x1.a45beeba097cep-19, 0x1.a28e288326803p-19, 0x1.a0befb448f4bp-19, 0x1.9eef0e0c91064p-19, 0x1.9d21c82d38f87p-19, 0x1.9b517640626e6p-19, 0x1.997a34564faaap-19, 0x1.97b4e2f7ca95fp-19, 0x1.95e6c583c377ep-19, 0x1.9417798cf4a89p-19, 0x1.924b2f0c64427p-19, 0x1.907cf5132c54p-19, 0x1.8e9e14156d40ep-19, 0x1.8ce1d4db4df9ap-19, 0x1.8b15145efc1e6p-19, 0x1.8949c7f3f23bfp-19, 0x1.877b55bd07cdep-19, 0x1.85affd54f92f1p-19, 0x1.83e46115e1848p-19, 0x1.821bfa91dd30dp-19, 0x1.8050c48b73efcp-19, 0x1.7e867b6ce749cp-19, 0x1.7cbd2de212e31p-19, 0x1.7af4724980becp-19, 0x1.792bec0d6f619p-19, 0x1.7764e83b29168p-19, 0x1.759f4e6d899dap-19, 0x1.73d7cbf1106e9p-19, 0x1.7213043ffd5fep-19, 0x1.7051f8d7ea19ep-19, 0x1.6e79af59217a1p-19, 0x1.6cc1788fae42ap-19, 0x1.6b03be4ceffffp-19, 0x1.6941d8f7c0704p-19, 0x1.6780ed78f9f9cp-19, 0x1.65c04bc912dfap-19, 0x1.640103093aff6p-19, 0x1.6242461e4a13dp-19, 0x1.6082b43918891p-19, 0x1.5ec8335a804c3p-19, 0x1.5d0c559770a7dp-19, 0x1.5b50c419ec0bp-19, 0x1.59978b42fff01p-19, 0x1.57dec3c117266p-19, 0x1.562552b4158f6p-19, 0x1.546ec62944acbp-19, 0x1.52b8e2084b534p-19, 0x1.510431b2758c9p-19, 0x1.4f50d6c40b149p-19, 0x1.4d9d02bd6741cp-19, 0x1.4beb78c521e25p-19, 0x1.4a408ddffa1f5p-19, 0x1.488a48cc3549dp-19, 0x1.46da6e80c747bp-19, 0x1.452d1cda0a8c7p-19, 0x1.4380c1868eadap-19, 0x1.41d55e3b2905p-19, 0x1.402b02c17178dp-19, 0x1.3e820cb243f94p-19, 0x1.3cda916596782p-19, 0x1.3b39885d4a35cp-19, 0x1.398e0ccbce457p-19, 0x1.37e9583cb8016p-19, 0x1.3644f97f30361p-19, 0x1.34a4926347253p-19, 0x1.3302c733711c4p-19, 0x1.3164a749286fep-19, 0x1.2fc1977893fe9p-19, 0x1.2e289e4d5a382p-19, 0x1.2c8d76ad0e821p-19, 0x1.2af2faa4e57e8p-19, 0x1.29597f068375fp-19, 0x1.27c1d672d0085p-19, 0x1.262bd0271558ap-19, 0x1.2493fe8c78f5bp-19, 0x1.2302e2f523c81p-19, 0x1.216f0e1e01adbp-19, 0x1.1fe0b4e9c48f6p-19, 0x1.1e4f3c074a41dp-19, 0x1.1cbd8882c90f4p-19, 0x1.1b2daa25e0fcbp-19, 0x1.19a668219f671p-19, 0x1.181da886ae512p-19, 0x1.1684ea8dc3952p-19, 0x1.150b9b1ddb6cdp-19, 0x1.1383c65876faap-19, 0x1.1200bc02e61fbp-19, 0x1.107c49cd61373p-19, 0x1.0ef994397a14p-19, 0x1.0d78b2d20235cp-19, 0x1.0bfa62a4b25f7p-19, 0x1.0a7b581723581p-19, 0x1.08fecc284e304p-19, 0x1.078592d81932ap-19, 0x1.060bc839a3504p-19, 0x1.0490f6973df5fp-19, 0x1.031a15ac4ae46p-19, 0x1.01a2d9ffc655p-19, 0x1.00309ab11f93cp-19, 0x1.fd7e11ae75dcep-20, 0x1.fa973c359bfb4p-20, 0x1.f7b8bb87ae6cbp-20, 0x1.f4dd8348becc8p-20, 0x1.f203ea320a6b9p-20, 0x1.ef2d657d21a9p-20, 0x1.ec55c402e470fp-20, 0x1.e987d559b9be8p-20, 0x1.e6b2b82a2968cp-20, 0x1.e3eb5d46749f1p-20, 0x1.e12619b92438fp-20, 0x1.de6065d8548edp-20, 0x1.db9dd12779951p-20, 0x1.d8de304170266p-20, 0x1.d624316c4c7b7p-20, 0x1.d367aeb9c143dp-20, 0x1.d0b0a7dba6e5fp-20, 0x1.cdfd6def94af9p-20, 0x1.cb4cb2c6f5d85p-20, 0x1.c89dc54093bd4p-20, 0x1.c5f330522a14p-20, 0x1.c34b08a72cacdp-20, 0x1.c0a5d52a9d221p-20, 0x1.be03887aa4bfp-20, 0x1.bb6430145e01cp-20, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.762ea96f10edcp-6, 0x1.3e6bd5a244451p-5, 0x1.6cf007dbe2f4dp-5, 0x1.3d53a80716f4p-5, 0x1.65146acdac5c9p-6, -0x1.4a96d4e08150fp-8, -0x1.487749d38c6aap-5, -0x1.4dd6e261af522p-4, -0x1.04f4763009abcp-3, -0x1.68ae3a909ee57p-3, -0x1.ceeda527f8b6ep-3, -0x1.1a7b85001b389p-2, -0x1.4c413c5bc8665p-2, -0x1.7bdc445cf727ap-2, -0x1.a8954430e1263p-2, -0x1.d1e40f4d4219fp-2, -0x1.f769e008fa6d8p-2, -0x1.0c75c01c3dd41p-1, -0x1.1b25d3f443b06p-1, -0x1.27c2e2bb3d99cp-1, -0x1.3254a5445c39ap-1, -0x1.3aeac26b18333p-1, -0x1.419b0157c7037p-1, -0x1.467fbcf58dc49p-1, -0x1.49b692d994ea7p-1, -0x1.4b5f482821383p-1, -0x1.4b9adca7ba43dp-1, -0x1.4a8ac8fcfddffp-1, -0x1.4850616331b93p-1, -0x1.450c572d5bac2p-1, -0x1.40de5913009dp-1, -0x1.3be4c706dadd4p-1, -0x1.363c7c62199cep-1, -0x1.3000aa8460414p-1, -0x1.294ac04ced542p-1, -0x1.22325d6c6598bp-1, -0x1.1acd4f55e6116p-1, -0x1.132f94a62910cp-1, -0x1.0b6b670f5bbe9p-1, -0x1.03914961a773ap-1, -0x1.f760320d91c12p-2, -0x1.e7aa43a6fe159p-2, -0x1.d818671d7e393p-2, -0x1.c8bf70da9233p-2, -0x1.b9b197b92e4c3p-2, -0x1.aafea3a33d9b8p-2, -0x1.9cb41a8f1198bp-2, -0x1.8edd6d218ed26p-2, -0x1.818421fddb5fcp-2, -0x1.74afff236395dp-2, -0x1.68673199486f9p-2, -0x1.5cae732ced15cp-2, -0x1.51892e0a5a3d1p-2, -0x1.46f99e7ccd917p-2, -0x1.3d00f1e8bb3f2p-2, -0x1.339f64862a4edp-2, -0x1.2ad45c9647b9cp-2, -0x1.229e832493f23p-2, -0x1.1afbdbdb77d79p-2, -0x1.13e9da1671e97p-2, -0x1.0d657497b2a23p-2, -0x1.076b378aaa01fp-2, -0x1.01f754fecba63p-2, -0x1.fa0b6796b8648p-3, -0x1.f123fad5c408ap-3, -0x1.e92f53e2cb366p-3, -0x1.e22417d522bcbp-3, -0x1.dbf8b3a882fe2p-3, -0x1.d6a36f0ed6332p-3, -0x1.d21a7c96b9681p-3, -0x1.ce540827e603ap-3, -0x1.cb4643eb3af5cp-3, -0x1.c8e7738fa647dp-3, -0x1.c72df69bf9d59p-3, -0x1.c61050566a69ep-3, -0x1.c5853012afe84p-3, -0x1.c5837722bc102p-3, -0x1.c6023e84a13f7p-3, -0x1.c6f8db16228bfp-3, -0x1.c85ee1a9f3f36p-3, -0x1.ca2c29b16bf62p-3, -0x1.cc58cf7f682aep-3, -0x1.cedd3620dc8cdp-3, -0x1.d1b207f77e374p-3, -0x1.d4d0383d2a778p-3, -0x1.d831027798d56p-3, -0x1.dbcdeace5d74bp-3, -0x1.dfa0bd656ab3p-3, -0x1.e3a38dbd8d4bap-3, -0x1.e7d0b582d6872p-3, -0x1.ec22d350d9046p-3, -0x1.f094c91997b71p-3, -0x1.f521ba940247dp-3, -0x1.f9c50b7622482p-3, -0x1.fe7a5db97e999p-3, -0x1.019ec7e649d9cp-2, -0x1.04055d5dfbde7p-2, -0x1.066f182985d86p-2, -0x1.08da3c8f9e01cp-2, -0x1.0b45293257df6p-2, -0x1.0dae5603fc6dbp-2, -0x1.1014532dd1a08p-2, -0x1.1275c809c2042p-2, -0x1.14d172134a29cp-2, -0x1.172623f00e3p-2, -0x1.1972c4798069dp-2, -0x1.1bb64de990845p-2, -0x1.1defccf7e0092p-2, -0x1.201e601be1d6cp-2, -0x1.224136b102863p-2, -0x1.24579047581d3p-2, -0x1.2660bbcc3edd8p-2, -0x1.285c16cb2aeep-2, -0x1.2a490ca9f471fp-2, -0x1.2c271604a8b9bp-2, -0x1.2df5b7b75337bp-2, -0x1.2fb48279bcb32p-2, -0x1.316312143d588p-2, -0x1.33010cd831e5bp-2, -0x1.348e2313569d6p-2, -0x1.360a0e912e133p-2, -0x1.37749224df524p-2, -0x1.38cd7939acde5p-2, -0x1.3a1497631f9dep-2, -0x1.3b49c803b3a65p-2, -0x1.3c6cedd7c38c5p-2, -0x1.3d7df29da3fb6p-2, -0x1.3e7cc6b0e672bp-2, -0x1.3f6960ac1e6bfp-2, -0x1.4043bd0a2d915p-2, -0x1.410bddcf0918ep-2, -0x1.41c1ca306fbc1p-2, -0x1.42658e42bf367p-2, -0x1.42f73aab57a8cp-2, -0x1.4376e45820ad5p-2, -0x1.43e4a43ad4ad9p-2, -0x1.44409707ae308p-2, -0x1.448adcf3cb469p-2, -0x1.44c3998f138c9p-2, -0x1.44eaf3782e6b2p-2, -0x1.45011434c1914p-2, -0x1.4506280640444p-2, -0x1.44fa5db9740b6p-2, -0x1.44dde6792d478p-2, -0x1.44b0f5a7d4c4fp-2, -0x1.4473c0b732961p-2, -0x1.44267f0339aa6p-2, -0x1.43c969adbf92bp-2, -0x1.435cbb7aa8d14p-2, -0x1.42e0b0ae538c9p-2, -0x1.425586ee0707ep-2, -0x1.41bb7d21d1763p-2, -0x1.4112d35609727p-2, -0x1.405bcaa009db6p-2, -0x1.3f96a505921b8p-2, -0x1.3ec3a561f7729p-2, -0x1.3de30f4dfa3a7p-2, -0x1.3cf52709b2da4p-2, -0x1.3bfa316ab8a4ep-2, -0x1.3af273c151d1p-2, -0x1.39de33cce94e3p-2, -0x1.38bdb7a53d48bp-2, -0x1.379145aa679ddp-2, -0x1.3659247312cdbp-2, -0x1.35159abf1a1ap-2, -0x1.33c6ef6bd2ef8p-2, -0x1.326d695b76dacp-2, -0x1.31094f70ce57ep-2, -0x1.2f9ae87f039f9p-2, -0x1.2e227b3e4bf0dp-2, -0x1.2ca04e3d23724p-2, -0x1.2b14a7d6df8cp-2, -0x1.297fce2935db5p-2, -0x1.27e20709dd18ap-2, -0x1.263b97f6bf545p-2, -0x1.248cc6145582cp-2, -0x1.22d5d6204a3e9p-2, -0x1.21170c694fd54p-2, -0x1.1f50acc5661a5p-2, -0x1.1d82fa89587dfp-2, -0x1.1bae38860a3cep-2, -0x1.19d2a8fcf25dbp-2, -0x1.17f08d9869cep-2, -0x1.160827664bad6p-2, -0x1.1419b6d66badp-2, -0x1.12257baa476fap-2, -0x1.102bb4fe76624p-2, -0x1.0e2ca137550dbp-2, -0x1.0c287e049a14bp-2, -0x1.0a1f885b62b81p-2, -0x1.0811fc7078f87p-2, -0x1.060015b7781fbp-2, -0x1.03ea0edcf64c4p-2, -0x1.01d021c203462p-2, -0x1.ff650eff84a7p-3, -0x1.fb22f0b8fda5ap-3, -0x1.f6da579df695fp-3, -0x1.f28bb0f8ea03p-3, -0x1.ee37686284464p-3, -0x1.e9dde7c70f8ddp-3, -0x1.e57f976248e55p-3, -0x1.e11cddbdc8f33p-3, -0x1.dcb61fb139a0fp-3, -0x1.d84bc058c2a27p-3, -0x1.d3de210f66e6ap-3, -0x1.cf6da179471b3p-3, -0x1.cafa9f8747d1ap-3, -0x1.c685777039508p-3, -0x1.c20e83ab70d4dp-3, -0x1.bd961ceb07395p-3, -0x1.b91c9a223d097p-3, -0x1.b4a25095114acp-3, -0x1.b02793d41caep-3, -0x1.abacb5b8192fdp-3, -0x1.a732065088f31p-3, -0x1.a2b7d3f10b234p-3, -0x1.9e3e6b3d9134fp-3, -0x1.99c61733b76f2p-3, -0x1.954f21273848ap-3, -0x1.90d9d0cbbf358p-3, -0x1.8c666bdf4b6d5p-3, -0x1.87f5369a3f7f5p-3, -0x1.838673af5dcd8p-3, -0x1.7f1a64071aeb5p-3, -0x1.7ab1470cb102ep-3, -0x1.764b5a7a3f7d9p-3, -0x1.71e8da5f7737bp-3, -0x1.6d8a012d9e7fp-3, -0x1.692f07cf135bap-3, -0x1.64d825ae25818p-3, -0x1.608590b038c93p-3, -0x1.5c377d24793c2p-3, -0x1.57ee1dbfaad5cp-3, -0x1.53a9a3ae8d2f6p-3, -0x1.4f6a3eab90dedp-3, -0x1.4b301d0af0915p-3, -0x1.46fb6bb29b532p-3, -0x1.42cc5614fb8dbp-3, -0x1.3ea30622e5e9p-3, -0x1.3a7fa455c24ccp-3, -0x1.366257c684109p-3, -0x1.324b463832ddap-3, -0x1.2e3a942fcb16bp-3, -0x1.2a3064d618268p-3, -0x1.262cd9f8bb811p-3, -0x1.22301403f8105p-3, -0x1.1e3a320fb4677p-3, -0x1.1a4b51f35a6c5p-3, -0x1.1663905c7f7bdp-3, -0x1.128308cadbc0dp-3, -0x1.0ea9d58b4b406p-3, -0x1.0ad80fa8e1b54p-3, -0x1.070dcef1a0815p-3, -0x1.034b29ff159e8p-3, -0x1.ff206c9b0f68cp-4, -0x1.f7ba1093f085cp-4, -0x1.f06366abbdc81p-4, -0x1.e91c938b0ef67p-4, -0x1.e1e5b9a097d8p-4, -0x1.dabef920a4431p-4, -0x1.d3a87015e8ec2p-4, -0x1.cca23a8a02792p-4, -0x1.c5ac72a10073fp-4, -0x1.bec730abdc501p-4, -0x1.b7f28b2ae66b1p-4, -0x1.b12e96b212a43p-4, -0x1.aa7b65efd40f1p-4, -0x1.a3d9099f4cecap-4, -0x1.9d4790aa218a8p-4, -0x1.96c7084d28612p-4, -0x1.90577c2a3f6c7p-4, -0x1.89f8f655f2283p-4, -0x1.83ab7f52e943dp-4, -0x1.7d6f1e066f27dp-4, -0x1.7743d7b140858p-4, -0x1.7129aff9887bfp-4, -0x1.6b20a8fe0025dp-4, -0x1.6528c37221e76p-4, -0x1.5f41feb37eed5p-4, -0x1.596c58d20ec58p-4, -0x1.53a7ceb4ad5a3p-4, -0x1.4df45ba5cec6p-4, -0x1.4851f9e115eadp-4, -0x1.42c0a220d3fep-4, -0x1.3d404c0b16cddp-4, -0x1.37d0ede6cdf05p-4, -0x1.32727cf91ee36p-4, -0x1.2d24ed73edd17p-4, -0x1.27e832a67acf3p-4, -0x1.22bc3e9b93405p-4, -0x1.1da1027854f02p-4, -0x1.18966e4ddaa62p-4, -0x1.139c712597933p-4, -0x1.0eb2f916b37f5p-4, -0x1.09d9f34f6b6b1p-4, -0x1.05114c2f77994p-4, -0x1.0058ef6150619p-4, -0x1.f7618ef849078p-5, -0x1.ee317d7bbbf0fp-5, -0x1.e5217c90f4481p-5, -0x1.dc315d2ea58bfp-5, -0x1.d360eecd31753p-5, -0x1.caafff7b8fdafp-5, -0x1.c21e5bf56f623p-5, -0x1.b9abcfce9fe1bp-5, -0x1.b15825707966p-5, -0x1.a9232632dda36p-5, -0x1.a10c9a569a53ap-5, -0x1.99144910fcca4p-5, -0x1.9139f892f6d6fp-5, -0x1.897d6dd2d54bdp-5, -0x1.81de6d370492bp-5, -0x1.7a5cb9e390f8ap-5, -0x1.72f8165933178p-5, -0x1.6bb0445932853p-5, -0x1.648504f02701p-5, -0x1.5d761881da23ep-5, -0x1.56833ed5da0b2p-5, -0x1.4fac370ed2d73p-5, -0x1.48f0bfb0a2862p-5, -0x1.425096afef36p-5, -0x1.3bcb797dbab94p-5, -0x1.3561251064eccp-5, -0x1.2f1155f5a19c5p-5, -0x1.28dbc85c8dfd3p-5, -0x1.22c0382594b25p-5, -0x1.1cbe60dda4adcp-5, -0x1.16d5fde2a3617p-5, -0x1.1106ca371a7e2p-5, -0x1.0b5080b43751dp-5, -0x1.05b2dbf0028b9p-5, -0x1.002d96597357dp-5, -0x1.f580d479ed68p-6, -0x1.ead62396a7da5p-6, -0x1.e05a8e4c38374p-6, -0x1.d60d88d011ba9p-6, -0x1.cbee8757451bfp-6, -0x1.c1fcfe1c740aap-6, -0x1.b838615f2decp-6, -0x1.aea025f267464p-6, -0x1.a533c00a73866p-6, -0x1.9bf2a48dd04dcp-6, -0x1.92dc488940aeap-6, -0x1.89f02144fc7d9p-6, -0x1.812da46703437p-6, -0x1.789447f8becccp-6, -0x1.70238274e9b58p-6, -0x1.67dacad2254ffp-6, -0x1.5fb998909430ep-6, -0x1.57bf63b5aa78dp-6, -0x1.4feba4d9e5edfp-6, -0x1.483dd533f6f56p-6, -0x1.40b56e94b9abdp-6, -0x1.3951eb6d436abp-6, -0x1.3212c6ee3a39ep-6, -0x1.2af77cf1086d9p-6, -0x1.23ff8a1f34871p-6, -0x1.1d2a6be802317p-6, -0x1.1677a086ce96fp-6, -0x1.0fe6a7225eac9p-6, -0x1.0976ffb16a1p-6, -0x1.03282b1205be3p-6, -0x1.f9f355ceb48e2p-7, -0x1.edd604b5df9e3p-7, -0x1.e1f7675b04f8ep-7, -0x1.d65689f2f19f9p-7, -0x1.caf2759db247dp-7, -0x1.bfca37e7baf44p-7, -0x1.b4dcdfedc0fd3p-7, -0x1.aa297ee0c12cdp-7, -0x1.9faf28014566fp-7, -0x1.956cf098c8ff5p-7, -0x1.8b61eff90494ap-7, -0x1.818d3f8374c28p-7, -0x1.77edfabc4d5a8p-7, -0x1.6e833f0e9b14p-7, -0x1.654c2e4c32349p-7, -0x1.5c47e7233f514p-7, -0x1.537593066051bp-7, -0x1.4ad456c5538b3p-7, -0x1.42635c9897aa8p-7, -0x1.3a21d066a36abp-7, -0x1.320ee004e85aap-7, -0x1.2a29bb60b2b21p-7, -0x1.22719442b7ef7p-7, -0x1.1ae59ecef932cp-7, -0x1.1385114e6645bp-7, -0x1.0c4f24db7ebabp-7, -0x1.0543155181bfcp-7, -0x1.fcc04268bbcc7p-8, -0x1.ef4b132df9a0ap-8, -0x1.e22523987c03bp-8, -0x1.d54d00b185c42p-8, -0x1.c8c13713463dfp-8, -0x1.bc805b61b6bb3p-8, -0x1.b089028e83ccp-8, -0x1.a4d9c7a5e7a96p-8, -0x1.99714ae1bdfacp-8, -0x1.8e4e3224a3af8p-8, -0x1.836f2a270711p-8, -0x1.78d2e6063f186p-8, -0x1.6e781eabf9aeap-8, -0x1.645d91a85c734p-8, -0x1.5a81ffb7d6da7p-8, -0x1.50e42b7d8a1e6p-8, -0x1.4782d8aa1ae69p-8, -0x1.3e5ccbfa2a082p-8, -0x1.3570cc4e89031p-8, -0x1.2cbda4581b1f5p-8, -0x1.244224e05df7bp-8, -0x1.1bfd269b80f7fp-8, -0x1.13ed8ba9ce81cp-8, -0x1.0c123fe27549bp-8, -0x1.046a37e866eafp-8, -0x1.f9e8dd0db1df7p-9, -0x1.eb5fc541851acp-9, -0x1.dd372892feb39p-9, -0x1.cf6d0402548f7p-9, -0x1.c1ff511d46738p-9, -0x1.b4ec001d6a4d6p-9, -0x1.a8310b0dbd926p-9, -0x1.9bcc6af40605p-9, -0x1.8fbc267c7f7cbp-9, -0x1.83fe55cc4c8ap-9, -0x1.7891251cc4712p-9, -0x1.6d72d4e970b2dp-9, -0x1.62a1b8e92aa22p-9, -0x1.581c296c45f04p-9, -0x1.4de0905b1d05cp-9, -0x1.43ed4b28edc0fp-9, -0x1.3a40b8a75440dp-9, -0x1.30d9313689c74p-9, -0x1.27b50af537086p-9, -0x1.1ed29f3bdff3ep-9, -0x1.163051961ecep-9, -0x1.0dcc965fc42p-9, -0x1.05a5f742f83d9p-9, -0x1.fb7628cc5abafp-10, -0x1.ec15445f97fbap-10, -0x1.dd26c616007b1p-10, -0x1.cea83cb9c4eb2p-10, -0x1.c09736d61c3adp-10, -0x1.b2f1252f0d877p-10, -0x1.a5b361168ff15p-10, -0x1.98db23f1bfcedp-10, -0x1.8c6595054794dp-10, -0x1.804fd42b39fd2p-10, -0x1.749711eba0148p-10, -0x1.6938a3090a9d5p-10, -0x1.5e320ff488c28p-10, -0x1.53811e056ff0bp-10, -0x1.4923ca959874cp-10, -0x1.3f185389c732bp-10, -0x1.355cfec6e1625p-10, -0x1.2bf04522d2dfbp-10, -0x1.22d0809ac79b7p-10, -0x1.19fc079edda49p-10, -0x1.117108c8b5c63p-10, -0x1.092d90e729d7p-10, -0x1.012f8a82b26edp-10, -0x1.f2e9953537f5dp-11, -0x1.e3f642684c495p-11, -0x1.d580d53a3682ap-11, -0x1.c78539d15c67fp-11, -0x1.b9ff9fd4ca7b3p-11, -0x1.acec7f9c8f209p-11, -0x1.a0489c759431p-11, -0x1.9411041daee13p-11, -0x1.88430afd70e2ep-11, -0x1.7cdc3fa8d3097p-11, -0x1.71da5134e2403p-11, -0x1.673af0bd74592p-11, -0x1.5cfbb08cf9827p-11, -0x1.5319f5502f21ap-11, -0x1.4992fbb00f1b3p-11, -0x1.4063f0a3c7601p-11, -0x1.378a0f0fd6188p-11, -0x1.2f02b208db54dp-11, -0x1.26cb50b87204fp-11, -0x1.1ee166ec95c86p-11, -0x1.17425ce887ef5p-11, -0x1.0feb80a2550c8p-11, -0x1.08da1d1ac1f25p-11, -0x1.020ba7359e1f3p-11, -0x1.f6fc0948c7p-12, -0x1.ea5eacb2c5dccp-12, -0x1.de3c7bf66842ep-12, -0x1.d2929692bbbfcp-12, -0x1.c75e20bece1a4p-12, -0x1.bc9bdf32551a4p-12, -0x1.b2484efa7f40ap-12, -0x1.a85fdffff8bap-12, -0x1.9edf204c79e7bp-12, -0x1.95c2c40ed066ep-12, -0x1.8d078061e431p-12, -0x1.84a9e24f7ed6p-12, -0x1.7ca5f57f058e5p-12, -0x1.74f75c5f5eb4fp-12, -0x1.6d99769a42856p-12, -0x1.66880b14ea593p-12, -0x1.5fbfb3bf1bd66p-12, -0x1.593e188e239d8p-12, -0x1.5301a6d490ca8p-12, -0x1.4d08ff5a2c50ep-12, -0x1.47526bc18121dp-12, -0x1.41dbc78ecc2b5p-12, -0x1.3ca2dd58566a1p-12, -0x1.37a5b41cce0dep-12, -0x1.32e2f0f378611p-12, -0x1.2e59a8af3181cp-12, -0x1.2a08fe4250affp-12, -0x1.25efb207ad095p-12, -0x1.220bc486d4206p-12, -0x1.1e5a5c3099de8p-12, -0x1.1ad7de1f4c4c4p-12, -0x1.1780373f77419p-12, -0x1.144f5b30968a4p-12, -0x1.1141d71d31cfep-12, -0x1.0e554bb5ee6e5p-12, -0x1.0b88638e4d50ap-12, -0x1.08db250d1ca36p-12, -0x1.064d5d5e2fa9cp-12, -0x1.03de4b1c0b19cp-12, -0x1.018cfdc6e7c0ap-12, -0x1.feb01be60abe8p-13, -0x1.fa7bd7157547p-13, -0x1.f67b32b1e0c0bp-13, -0x1.f2ad15fa6ce49p-13, -0x1.ef1105ef997a9p-13, -0x1.eba630c8a2e75p-13, -0x1.e86aedac2a0b8p-13, -0x1.e55cd9a8a147ap-13, -0x1.e2791653a8242p-13, -0x1.dfbc7728076a4p-13, -0x1.dd2390fbb903dp-13, -0x1.daaacb05a0bc6p-13, -0x1.d84ea795ad326p-13, -0x1.d60be543ccd66p-13, -0x1.d3dfaf09ef732p-13, -0x1.d1c7e61d2cc1fp-13, -0x1.cfc346f5dd96bp-13, -0x1.cdd1223de11p-13, -0x1.cbf0bc684b4f1p-13, -0x1.ca2179ebf03b6p-13, -0x1.c862857528f64p-13, -0x1.c6b363cdf09fdp-13, -0x1.c513ec3147f3bp-13, -0x1.c3832eba5c5a3p-13, -0x1.c1ff42abd21fp-13, -0x1.c0866b6afd6fdp-13, -0x1.bf17585cf16cbp-13, -0x1.bdb1757bee8cdp-13, -0x1.bc547deb7ec39p-13, -0x1.baffee3ec8052p-13, -0x1.b9b2da8f9f609p-13, -0x1.b86beb1221925p-13, -0x1.b7297035f6da9p-13, -0x1.b5e957563b4dfp-13, -0x1.b4a98f5b6dea6p-13, -0x1.b36905516c4f6p-13, -0x1.b228da3b4bf6fp-13, -0x1.b0ea1f2e495dcp-13, -0x1.afabd9c4692e1p-13, -0x1.ae6c394312057p-13, -0x1.ad29a65d664dbp-13, -0x1.abe403c152ab8p-13, -0x1.aa9b6b59dc255p-13, -0x1.a94fb36158d89p-13, -0x1.a800577685507p-13, -0x1.a6aca56608f15p-13, -0x1.a553f338a1f83p-13, -0x1.a3f594959d553p-13, -0x1.a29173baa5a85p-13, -0x1.a1280055ba4a3p-13, -0x1.9fb9daa7911b3p-13, -0x1.9e46ec798a231p-13, -0x1.9cceb474fa3d2p-13, -0x1.9b506d082e261p-13, -0x1.99cb138eef258p-13, -0x1.983d24482dcc9p-13, -0x1.96a59a6051874p-13, -0x1.95051812e4ea5p-13, -0x1.935da8511970ep-13, -0x1.91af7617931eep-13, -0x1.8ff8bf5136c6p-13, -0x1.8e3a3a7c3a408p-13, -0x1.8c74e0c888f2ap-13, -0x1.8aa8804f2fd01p-13, -0x1.88d3d9926e06dp-13, -0x1.86f5a295f65c3p-13, -0x1.850d64ac7f713p-13, -0x1.831bb7640239bp-13, -0x1.8121873bf09d2p-13, -0x1.7f1ef0ea55bcdp-13, -0x1.7d13706ac1d5cp-13, -0x1.7aff0a87cb2f1p-13, -0x1.78e25198c58c4p-13, -0x1.76bdef8607a2cp-13, -0x1.749188fc7c3bdp-13, -0x1.725cd9d3094a9p-13, -0x1.701fd65e49713p-13, -0x1.6dda8221d2f4ap-13, -0x1.6b8c65353c619p-13, -0x1.693541b565ad1p-13, -0x1.66d5f704ee7dp-13, -0x1.646ed249f149bp-13, -0x1.61ff266ffd7f6p-13, -0x1.5f877b7b360b6p-13, -0x1.5d089a683fd14p-13, -0x1.5a827782a27e6p-13, -0x1.57f4f22aae643p-13, -0x1.55602b3e12c74p-13, -0x1.52c45d99474a5p-13, -0x1.50218285dd1c4p-13, -0x1.4d7744bf7004ep-13, -0x1.4ac5922f8773dp-13, -0x1.480d1aa6979eep-13, -0x1.454e37d23f333p-13, -0x1.4288a5d812f0ap-13, -0x1.3fbca6e6308ddp-13, -0x1.3ceac81d2630ep-13, -0x1.3a132e6e92529p-13, -0x1.3735b4b5cbbbbp-13, -0x1.345269bfa7934p-13, -0x1.31697b96ae26bp-13, -0x1.2e7b54f37b457p-13, -0x1.2b8801305f36p-13, -0x1.288fb90184e5ep-13, -0x1.259299d8c449fp-13, -0x1.22906318d37c7p-13, -0x1.1f8966f294df5p-13, -0x1.1c7e4a8a1c5f8p-13, -0x1.196f0c0a8b267p-13, -0x1.165bfc2dc30e4p-13, -0x1.1344ad6ae5e77p-13, -0x1.1029acf2dd4a7p-13, -0x1.0d0b1b8a33f05p-13, -0x1.09e931e35a859p-13, -0x1.06c42cbbaff9fp-13, -0x1.039ca36cf3de6p-13, -0x1.007171e8e2e4p-13, -0x1.fa879050095cap-14, -0x1.f42714807ee11p-14, -0x1.edc19055fb721p-14, -0x1.e757a064e7899p-14, -0x1.e0e9e7e67d71dp-14, -0x1.da7871f5bc163p-14, -0x1.d40338521bc57p-14, -0x1.cd8afccf496f4p-14, -0x1.c70fb3704ab79p-14, -0x1.c091d945faf3cp-14, -0x1.ba11f74c318cfp-14, -0x1.b39051b9c4127p-14, -0x1.ad0d20b68f6fap-14, -0x1.a6885dab6337dp-14, -0x1.a0026d90f0456p-14, -0x1.997c01d75c29ap-14, -0x1.92f5477b1e74cp-14, -0x1.8c6e59385060bp-14, -0x1.85e7876a7c3c5p-14, -0x1.7f6121d0aea86p-14, -0x1.78db634023385p-14, -0x1.7256de3a72934p-14, -0x1.6bd36751b17dp-14, -0x1.65518a05105e9p-14, -0x1.5ed17d264cd57p-14, -0x1.5853a0b5b0762p-14, -0x1.51d8205e9428p-14, -0x1.4b5f0fb03d481p-14, -0x1.44e8dbb63012fp-14, -0x1.3e75bb923ee54p-14, -0x1.3805f735198efp-14, -0x1.3199bc4e25328p-14, -0x1.2b31482591085p-14, -0x1.24ccdafeb2cbbp-14, -0x1.1e6cac735a75cp-14, -0x1.1810f534e9f18p-14, -0x1.11b9dfbe7d13dp-14, -0x1.0b67c01694c1bp-14, -0x1.051acbf73e917p-14, -0x1.fda62d3d6fdeep-15, -0x1.f121cc893713bp-15, -0x1.e4a8dad02b6d1p-15, -0x1.d83bbae9ad88p-15, -0x1.cbdad1455dfb1p-15, -0x1.bf8671fd927c9p-15, -0x1.b33f0a94dbdd8p-15, -0x1.a705515c1a5f6p-15, -0x1.9ad8419d2846bp-15, -0x1.8eb9bd30dd8dcp-15, -0x1.82a9787be7eeep-15, -0x1.76a7d91d4aebap-15, -0x1.6ab4f2e6b9d4bp-15, -0x1.5ed01fa94c4d7p-15, -0x1.52fdbed6defbp-15, -0x1.47393bf4f4f4dp-15, -0x1.3b859ebf58418p-15, -0x1.2fe1f764d739p-15, -0x1.244ee6c8abfc9p-15, -0x1.18ccd99590e14p-15, -0x1.0d5bf9772b814p-15, -0x1.01fc7a4c5bcccp-15, -0x1.ed5e15bb3a90dp-16, -0x1.d6e5aae8ee916p-16, -0x1.c0922392d83a9p-16, -0x1.aa6329504a5cfp-16, -0x1.94594f7d3fde2p-16, -0x1.7e74ef00d4cd1p-16, -0x1.68b682bafef7ep-16, -0x1.531e308f31a9ep-16, -0x1.3dac713d654dcp-16, -0x1.2861cb6dfd9fp-16, -0x1.133e4381d9529p-16, -0x1.fc84e694959b8p-17, -0x1.d2dd35bf72c8ep-17, -0x1.a985f785f172bp-17, -0x1.807fc179642bfp-17, -0x1.57cb23d8704e7p-17, -0x1.2f68a3fd2ff7dp-17, -0x1.0758b8dce6a07p-17, -0x1.bf37d4b281198p-18, -0x1.706558d46ed5fp-18, -0x1.223aa51a8e6bp-18, -0x1.a97419d3cd011p-19, -0x1.0fbfa332f4127p-19, -0x1.dd85068d3dacp-21, 0x1.fa65ba3a736bap-23, 0x1.6aac43e7b9c85p-20, 0x1.49ae1d9d5b3f5p-19, 0x1.dcacfc9663461p-19, 0x1.37296213d0338p-18, 0x1.7f4dc9804a7b3p-18, 0x1.c6c49bb671d6dp-18, 0x1.06c6815b3c6f9p-17, 0x1.29d37e900ab95p-17, 0x1.4c8a2287195aep-17, 0x1.6ee6aed29e6e2p-17, 0x1.90ecc46427867p-17, 0x1.b29aee9baaa45p-17, 0x1.d3f0fef6618ddp-17, 0x1.f4f06bf5d6b7fp-17, 0x1.0ac9e32373f7fp-16, 0x1.1af4d09e7a9c7p-16, 0x1.2aec2875df11cp-16, 0x1.3abc1cfb20416p-16, 0x1.4a5f42506f711p-16, 0x1.59d63b8cd83e7p-16, 0x1.692182852a9acp-16, 0x1.78405719eb145p-16, 0x1.8733d12411b1bp-16, 0x1.95fb405975416p-16, 0x1.a496ded6b239p-16, 0x1.b306b4297c574p-16, 0x1.c14b0f034b6ffp-16, 0x1.cf63c4d0f2936p-16, 0x1.dd50f2d2088cep-16, 0x1.eb12c2fb9a80bp-16, 0x1.f8a939903adc4p-16, 0x1.030a3c150ea45p-15, 0x1.09aa5150a361fp-15, 0x1.1034e8168360cp-15, 0x1.16aa15fd68d72p-15, 0x1.1d09dea3388a8p-15, 0x1.235459dcce5e5p-15, 0x1.29899513b88f4p-15, 0x1.2fa9a62b7f529p-15, 0x1.35b4a09bf76c8p-15, 0x1.3baa94c01d1acp-15, 0x1.418b9699b7d68p-15, 0x1.4757bab06d543p-15, 0x1.4d0f15ef99532p-15, 0x1.52b1be001bf37p-15, 0x1.583fd12a5fbfcp-15, 0x1.5db950b245ca3p-15, 0x1.631e6a6491564p-15, 0x1.686f2af1efc25p-15, 0x1.6dab9e3eb893p-15, 0x1.72d3ffae961f6p-15, 0x1.77e84d24f345ep-15, 0x1.7ce86a9326a9ep-15, 0x1.81d4d6bf31653p-15, 0x1.86adcae0aaa05p-15, 0x1.8b72b637c8fb7p-15, 0x1.90246506925a4p-15, 0x1.94c292690c63cp-15, 0x1.994d5ce908f01p-15, 0x1.9dc4ee481c539p-15, 0x1.a2295b2a6bbb4p-15, 0x1.a67a87474bcd8p-15, 0x1.aab964bde51cap-15, 0x1.aee54f6c2f40fp-15, 0x1.b2fe83cba4b17p-15, 0x1.b7051ce213d68p-15, 0x1.baf931004b182p-15, 0x1.bedb997bd1246p-15, 0x1.c2ab326f10138p-15, 0x1.c668f067df5bcp-15, 0x1.ca14c8bf4973bp-15, 0x1.cdaf0b9bd8667p-15, 0x1.d13726118469bp-15, 0x1.d4ae273a14392p-15, 0x1.d81336897f949p-15, 0x1.db673c22b0732p-15, 0x1.deaa17eafdeep-15, 0x1.e1dbea447201dp-15, 0x1.e4fcd15f92413p-15, 0x1.e80ce2f09cd8p-15, 0x1.eb0c496e4cee3p-15, 0x1.edfb272d67bffp-15, 0x1.f0d99b7f70c43p-15, 0x1.f3a7ceaf6f6e7p-15, 0x1.f665d993a2e6p-15, 0x1.f913d8ce6f3c7p-15, 0x1.fbb1fac8f6958p-15, 0x1.fe40587f0719cp-15, 0x1.005f8a307c081p-14, 0x1.01972a2a001a5p-14, 0x1.02c71bea42d82p-14, 0x1.03ef6ed973cbcp-14, 0x1.0510357a4cb14p-14, 0x1.0629740d7bea3p-14, 0x1.073b80e112dd1p-14, 0x1.0845e1fb2b779p-14, 0x1.094920615858fp-14, 0x1.0a45277ee143fp-14, 0x1.0b3a01ad401a7p-14, 0x1.0c27cbe64971p-14, 0x1.0d0e899037c32p-14, 0x1.0dee53a9853afp-14, 0x1.0ec7396640dc3p-14, 0x1.0f9a1cc24bb8ap-14, 0x1.10649a64f6a5cp-14, 0x1.1129477b2a94fp-14, 0x1.11e74adecf17p-14, 0x1.129ebcbd4e477p-14, 0x1.134faec3e1d6dp-14, 0x1.13fa32da8c821p-14, 0x1.149e592627825p-14, 0x1.153c2444d5be1p-14, 0x1.15d3c8c6b4bb8p-14, 0x1.16655c87ce275p-14, 0x1.16f092a0c4d02p-14, 0x1.1775ddeebcbp-14, 0x1.17f52de5f9e1bp-14, 0x1.186e92f9bd712p-14, 0x1.18e220096794ap-14, 0x1.194fe023bbf49p-14, 0x1.19b7e36bc9dcep-14, 0x1.1a1a3ac7108bbp-14, 0x1.1a76edc7e4ea7p-14, 0x1.1ace3f9f7932bp-14, 0x1.1b2000d15aa3ap-14, 0x1.1b6c5538b1ac8p-14, 0x1.1bb3519697dcdp-14, 0x1.1bf50163da0ap-14, 0x1.1c31739ef4db2p-14, 0x1.1c68de0cf391cp-14, 0x1.1c9afd1d48d2bp-14, 0x1.1cc81dfaeacd1p-14, 0x1.1cf0445d5b56p-14, 0x1.1d137927af106p-14, 0x1.1d31dad12cdaep-14, 0x1.1d4b6858daa5cp-14, 0x1.1d60286978de7p-14, 0x1.1d70769356292p-14, 0x1.1d7bf0d448d0dp-14, 0x1.1d82aa30bc2fbp-14, 0x1.1d8514c1f0aaep-14, 0x1.1d82fff4c3a46p-14, 0x1.1d7ca572a1149p-14, 0x1.1d71ae2a1557fp-14, 0x1.1d6295405f089p-14, 0x1.1d4f36ff77e9dp-14, 0x1.1d37add2d8ac1p-14, 0x1.1d1c0432130cdp-14, 0x1.1cfc413f45a8bp-14, 0x1.1cd88bab061b3p-14, 0x1.1cb0d8c69f1c1p-14, 0x1.1c853bcd99705p-14, 0x1.1c55c42da3eb1p-14, 0x1.1c2282078b954p-14, 0x1.1beb84730658fp-14, 0x1.1bb0f9c68758fp-14, 0x1.1b7271410d2aap-14, 0x1.1b3082b2d62d5p-14, 0x1.1aeb080fbbeaap-14, 0x1.1aa20e9885a39p-14, 0x1.1a55a36d8ed3p-14, 0x1.1a05ebab7e1cp-14, 0x1.19b2b933d3f75p-14, 0x1.195c51ed312fap-14, 0x1.1902c919d6bbdp-14, 0x1.18a5d0e250cf9p-14, 0x1.1845cf39188a4p-14, 0x1.17e2b9d2cf064p-14, 0x1.177cb7c49e082p-14, 0x1.1713780c56d0fp-14, 0x1.16a762f405764p-14, 0x1.1638653f46af5p-14, 0x1.15c68c739e622p-14, 0x1.1551e29e7455cp-14, 0x1.14da71e297377p-14, 0x1.146042d54e0b6p-14, 0x1.13e292a2aaa62p-14, 0x1.1363f7be496b9p-14, 0x1.12e1ec83e6751p-14, 0x1.125d51552144p-14, 0x1.11d621ac195dap-14, 0x1.114cd62c8016ap-14, 0x1.10c0a4e4516afp-14, 0x1.10324517af0b3p-14, 0x1.0fa18e1dc02ddp-14, 0x1.0f0e8f8928734p-14, 0x1.0e794d10e03d8p-14, 0x1.0de1d7e73ff4ap-14, 0x1.0d482c497930fp-14, 0x1.0caca6b98f86ap-14, 0x1.0c0e8e97b5b5fp-14, 0x1.0b6ea1a7026bfp-14, 0x1.0acc5e580a719p-14, 0x1.0a28cdcd61fb6p-14, 0x1.0982b78e5db9fp-14, 0x1.08db3ec974b68p-14, 0x1.0831988ab7d4fp-14, 0x1.078618231ecacp-14, 0x1.06d8e95af570ep-14, 0x1.0629ea1aa414bp-14, 0x1.05793f8025a3fp-14, 0x1.04c6d4baade85p-14, 0x1.0412c975c0c31p-14, 0x1.035d22affa87p-14, 0x1.02a5e8681469ep-14, 0x1.01ed204b99ffap-14, 0x1.0133b97adf305p-14, 0x1.00770b6a22d3bp-14, 0x1.ff73c1008977dp-15, 0x1.fdf6951fec2dap-15, 0x1.fc7676b0d9781p-15, 0x1.faf3c894bb873p-15, 0x1.f96e6b7322fe9p-15, 0x1.f7e68a798788fp-15, 0x1.f65c1654926p-15, 0x1.f4cf4b56e5abdp-15, 0x1.f3400d06ec43ap-15, 0x1.f1af02d95d2eap-15, 0x1.f01aa428e938fp-15, 0x1.ee849bfc96c07p-15, 0x1.ecec6b2a5b0a4p-15, 0x1.eb522319e1fc5p-15, 0x1.e9b5789be4fc1p-15, 0x1.e81785e7386e6p-15, 0x1.e67747f0ae094p-15, 0x1.e4d411b27273fp-15, 0x1.e33113d015828p-15, 0x1.e18bab04ca136p-15, 0x1.dfe44f39d2ac9p-15, 0x1.de3b4096f66bp-15, 0x1.dc9090e098fa3p-15, 0x1.dae45128aa3a1p-15, 0x1.d936aeb31eeafp-15, 0x1.d7882f426c03cp-15, 0x1.d5d7b1c8caeefp-15, 0x1.d4251fcf337c5p-15, 0x1.d271fbf3c06e4p-15, 0x1.d0bd875844c9cp-15, 0x1.cf07dc5fc98p-15, 0x1.cd51071aac40cp-15, 0x1.cb9916879492ep-15, 0x1.c9e00ca217338p-15, 0x1.c826011b72372p-15, 0x1.c66a8aa63be1dp-15, 0x1.c4af011d64908p-15, 0x1.c2f2203c36e3p-15, 0x1.c1345ef692485p-15, 0x1.bf75d3a656daap-15, 0x1.bdb6835e935e6p-15, 0x1.bbf6744e6550ap-15, 0x1.ba35aeb281e31p-15, 0x1.b874988617d96p-15, 0x1.b6b250e9bc13ap-15, 0x1.b4efec6e7eb2bp-15, 0x1.b32c9a4c060d7p-15, 0x1.b167bdf0b58e5p-15, 0x1.afa500afd92bep-15, 0x1.ade0885e3d917p-15, 0x1.ac1ba898e03a4p-15, 0x1.aa569da89dd3ap-15, 0x1.a890ef33a0c47p-15, 0x1.a6ca5f7a532dcp-15, 0x1.a5050d1e9018cp-15, 0x1.a33ec6373f054p-15, 0x1.a1786476c831cp-15, 0x1.9fb1bd004bd79p-15, 0x1.9deb0bcaa5bdfp-15, 0x1.9c243e4801d8cp-15, 0x1.9a5d75ac7c873p-15, 0x1.989696c9f85ecp-15, 0x1.96cfbd21ad12bp-15, 0x1.9508f058d6091p-15, 0x1.93422f6daf6f5p-15, 0x1.917b784910b0bp-15, 0x1.8fb516a0360e1p-15, 0x1.8deed1643b89ep-15, 0x1.8c28a12813b78p-15, 0x1.8a62c29bb7c3dp-15, 0x1.889d14c391327p-15, 0x1.86d7168177834p-15, 0x1.85126c593923bp-15, 0x1.834db3388c6edp-15, 0x1.81893f51807acp-15, 0x1.7fc52c3e7b404p-15, 0x1.7e017a4317e6bp-15, 0x1.7c3e38fd2b9b4p-15, 0x1.7a7b582cbc0d9p-15, 0x1.78b84e693204ap-15, 0x1.76f733f27968fp-15, 0x1.7535ddf3bc394p-15, 0x1.73750d9a0719ep-15, 0x1.71b4d571e3583p-15, 0x1.6ff52e2818f9ep-15, 0x1.6e361647892b7p-15, 0x1.6c77aaf6b09f8p-15, 0x1.6ab9e1d1f86c7p-15, 0x1.68fcc622212c9p-15, 0x1.6740368f5fc32p-15, 0x1.658499b9e3795p-15, 0x1.63c94bf1e414fp-15, 0x1.6210273e3b90dp-15, 0x1.6055cd91027ddp-15, 0x1.5e9cd7ef9b332p-15, 0x1.5ce520fd413cp-15, 0x1.5b2e04b875b03p-15, 0x1.5977bc5b23ffp-15, 0x1.57c24d892f708p-15, 0x1.560dbed1933e4p-15, 0x1.545a12a88a8d9p-15, 0x1.52a7a5f1a81bfp-15, 0x1.50f56a8850c8bp-15, 0x1.4f4471be520ecp-15, 0x1.4d9404d427a28p-15, 0x1.4be577edefafbp-15, 0x1.4a375795f013cp-15, 0x1.488a4bffbdbaap-15, 0x1.46de1bdfafc6fp-15, 0x1.453324c7d51aap-15, 0x1.438924d96b5fdp-15, 0x1.41e02974d926dp-15, 0x1.40383935f9ef9p-15, 0x1.3e915fed8b27ap-15, 0x1.3cebca895749ep-15, 0x1.3b46ab7d83b81p-15, 0x1.39a35fbdaa3e4p-15, 0x1.3800e5bbe5c9fp-15, 0x1.365f9a25ae2f8p-15, 0x1.34bf73002fa31p-15, 0x1.33202e91484d4p-15, 0x1.31826b84f60b9p-15, 0x1.2fe5bec03ac41p-15, 0x1.2e4a3e61f6ef5p-15, 0x1.2caf423e4c5e4p-15, 0x1.2b16c778c9268p-15, 0x1.297ed27a3b193p-15, 0x1.27e82050efeacp-15, 0x1.2652a5aaa489bp-15, 0x1.24be669f8bd6ap-15, 0x1.232b66436dbafp-15, 0x1.2199d347fc14ap-15, 0x1.20093ccc59fe8p-15, 0x1.1e79fb093c487p-15, 0x1.1cec183364326p-15, 0x1.1b5f7684b9dc1p-15, 0x1.19d40d5a274a4p-15, 0x1.184a0114b8eb3p-15, 0x1.16c13409d9c78p-15, 0x1.1539d4efa08ebp-15, 0x1.13b3c12f65db6p-15, 0x1.122ed50ff8cb4p-15, 0x1.10aba895b986ep-15, 0x1.0f295f48ae2efp-15, 0x1.0da89aa78538ap-15, 0x1.0c292e5efea95p-15, 0x1.0aaac243b20d7p-15, 0x1.092e67d041306p-15, 0x1.07b2ec570f93ap-15, 0x1.063902c9e7a1bp-15, 0x1.04c076003b3cdp-15, 0x1.03493b3eb94acp-15, 0x1.01d3635955de1p-15, 0x1.005eeeada144bp-15, 0x1.fdd7dca360d6p-16, 0x1.faf466b04e152p-16, 0x1.f813dd0e8ad3dp-16, 0x1.f53625a9f5ac8p-16, 0x1.f25b3e411b06cp-16, 0x1.ef83101b4eddbp-16, 0x1.ecade47fb079p-16, 0x1.e9db6bf62d9f4p-16, 0x1.e70bcdaad1a4bp-16, 0x1.e43f092ea76edp-16, 0x1.e1751bb25e5e5p-16, }}, 
      {{-0x1.769d0e0e1346bp+0, -0x1.5fa40480fa85ap+0, -0x1.425b91011a607p+0, -0x1.2333345136fa5p+0, -0x1.04e7d0b25be9dp+0, -0x1.d21fa71b51514p-1, -0x1.a0f8a91ad3ea7p-1, -0x1.76f8be8271eb5p-1, -0x1.54173a7fc393p-1, -0x1.37e548e274eb9p-1, -0x1.21ba6436aa081p-1, -0x1.10d28e0359871p-1, -0x1.04626f0cc7299p-1, -0x1.f748a6c6ed7e9p-2, -0x1.ebc035d0fa86fp-2, -0x1.e4df49c828505p-2, -0x1.e1819e3af6d32p-2, -0x1.e0abaaa17b544p-2, -0x1.e18941ce11636p-2, -0x1.e36aeabd78d7cp-2, -0x1.e5c27fe844b25p-2, -0x1.e81f7f0a89bc4p-2, -0x1.ea2b4cc31b6a5p-2, -0x1.eba5983a55e07p-2, -0x1.ec60f887e89c8p-2, -0x1.ec3fd02954fcp-2, -0x1.eb3184d122546p-2, -0x1.e93003fe8db52p-2, -0x1.e63d99d4e28b4p-2, -0x1.e26312ceecb7ep-2, -0x1.ddae25c2bfe4p-2, -0x1.d83017f900276p-2, -0x1.d1fc9fb493922p-2, -0x1.cb28f540d2a1dp-2, -0x1.c3cb1140c3ec1p-2, -0x1.bbf9120ddad6ep-2, -0x1.b3c8bf13b7241p-2, -0x1.ab4f2bd36f211p-2, -0x1.a2a06f55f689dp-2, -0x1.99cf71a72184ep-2, -0x1.90edc7cf00ce9p-2, -0x1.880b9ee6bc016p-2, -0x1.7f37b0632fc5ap-2, -0x1.767f4032c1ce2p-2, -0x1.6dee219abfad1p-2, -0x1.658ebfa44cb02p-2, -0x1.5d6a2dc37ea59p-2, -0x1.5588340533b28p-2, -0x1.4def6598c2b44p-2, -0x1.46a532ad666aap-2, -0x1.3fadfdcfc1dc9p-2, -0x1.390d306a853ffp-2, -0x1.32c54f3b78717p-2, -0x1.2cd80f9b5b204p-2, -0x1.274669bf4dec5p-2, -0x1.2210accef36aap-2, -0x1.1d36902571bccp-2, -0x1.18b745384457ap-2, -0x1.149186706a8c8p-2, -0x1.10c3a66231ac2p-2, -0x1.0d4b9e526d6dep-2, -0x1.0a271a8b2fdf2p-2, -0x1.075385f2890b8p-2, -0x1.04ce15336bc6bp-2, -0x1.0293d112f5863p-2, -0x1.00a19e727797fp-2, -0x1.fde88fe218991p-3, -0x1.fb1108b32a532p-3, -0x1.f8b5fae25be26p-3, -0x1.f6d0ac560a67bp-3, -0x1.f55a60bc4d501p-3, -0x1.f44c61960c6f9p-3, -0x1.f3a006ed749fbp-3, -0x1.f34ec064f8c79p-3, -0x1.f35218be75676p-3, -0x1.f3a3bd8bc4085p-3, -0x1.f43d828e1f768p-3, -0x1.f5196651dd357p-3, -0x1.f63195882d688p-3, -0x1.f7806cde04cbap-3, -0x1.f9007b7387dd8p-3, -0x1.faac848c963f7p-3, -0x1.fc7f808bdf47ap-3, -0x1.fe749d8f456bdp-3, -0x1.00439fbb5b37fp-2, -0x1.0159803cd75bdp-2, -0x1.0279d8653b3b5p-2, -0x1.03a2ab28a9511p-2, -0x1.04d215b54703fp-2, -0x1.06064f386bf0ep-2, -0x1.073da83b1645fp-2, -0x1.08768a134789dp-2, -0x1.09af761b9ba34p-2, -0x1.0ae705423f051p-2, -0x1.0c1be6e438c3dp-2, -0x1.0d4ce0a80409ap-2, -0x1.0e78cd41a85e1p-2, -0x1.0f9e9c26e9827p-2, -0x1.10bd5064654f7p-2, -0x1.11d40009cc974p-2, -0x1.12e1d37404fc9p-2, -0x1.13e6045b0129ap-2, -0x1.14dfdcc8156cp-2, -0x1.15ceb6a02e427p-2, -0x1.16b1fab476c72p-2, -0x1.178920344da35p-2, -0x1.1853abe3ea322p-2, -0x1.19112f55d750cp-2, -0x1.19c14881a3c8bp-2, -0x1.1a63a140babe6p-2, -0x1.1af7ee797e38dp-2, -0x1.1b7def8e5eed1p-2, -0x1.1bf56dfe05be5p-2, -0x1.1c5e3c70db07ap-2, -0x1.1cb836bfa0c7ep-2, -0x1.1d0340abd7d77p-2, -0x1.1d3f45e55313p-2, -0x1.1d6c396424521p-2, -0x1.1d8a14e7adf19p-2, -0x1.1d98d8aaeed5cp-2, -0x1.1d988b07f1bd9p-2, -0x1.1d8937ff9117ap-2, -0x1.1d6af0a447b12p-2, -0x1.1d3dcbad17161p-2, -0x1.1d01e3cbc4fb1p-2, -0x1.1cb758ac40288p-2, -0x1.1c5e4dce4fc92p-2, -0x1.1bf6ea9d76752p-2, -0x1.1b8159fc21adbp-2, -0x1.1afdca2389139p-2, -0x1.1a6c6c481f747p-2, -0x1.19cd744b32766p-2, -0x1.192118822e7c9p-2, -0x1.186791ab89e97p-2, -0x1.17a11a91a5827p-2, -0x1.16cdef944e3b3p-2, -0x1.15ee4f19ed4c6p-2, -0x1.150278a074fcap-2, -0x1.140aad5662f2fp-2, -0x1.13072f631b4b7p-2, -0x1.11f841e68a796p-2, -0x1.10de290613affp-2, -0x1.0fb92997402efp-2, -0x1.0e898920b279cp-2, -0x1.0d4f8d8dfab85p-2, -0x1.0c0b7d5347a85p-2, -0x1.0abd9f2918dcbp-2, -0x1.096639fb8067p-2, -0x1.080594c57c0d2p-2, -0x1.069bf6a32038p-2, -0x1.0529a695a021bp-2, -0x1.03aeeb6e0fa5fp-2, -0x1.022c0bf6f7694p-2, -0x1.00a14e8595b85p-2, -0x1.fe1df22b5ed0cp-3, -0x1.faeaa2815cfbep-3, -0x1.f7a9387a0b34bp-3, -0x1.f45a3d9a9968bp-3, -0x1.f0fe39eb14dcp-3, -0x1.ed95b45cd9b68p-3, -0x1.ea2132c9421fcp-3, -0x1.e6a1397eabe16p-3, -0x1.e3164b431a2efp-3, -0x1.df80e9e7156d9p-3, -0x1.dbe194f7e26f7p-3, -0x1.d838cb0e1bbp-3, -0x1.d487086b7c29bp-3, -0x1.d0ccc810b48b8p-3, -0x1.cd0a8330aa06ep-3, -0x1.c940b14735534p-3, -0x1.c56fc7e4a8684p-3, -0x1.c1983a8426fc9p-3, -0x1.bdba7b3689e49p-3, -0x1.b9d6f9d7f0e3bp-3, -0x1.b5ee2437f99eap-3, -0x1.b200668c25521p-3, -0x1.ae0e2ae249cc5p-3, -0x1.aa17d965d73b1p-3, -0x1.a61dd7f75de3bp-3, -0x1.a2208ae77e291p-3, -0x1.9e205449cf97p-3, -0x1.9a1d9405e2116p-3, -0x1.9618a84bf4662p-3, -0x1.9211ed2a47f36p-3, -0x1.8e09bc9c497dap-3, -0x1.8a006e6c8eadap-3, -0x1.85f658f513538p-3, -0x1.81ebd00f1e8p-3, -0x1.7de125a6216b2p-3, -0x1.79d6a9c207294p-3, -0x1.75ccaa9afe568p-3, -0x1.71c373f460bdfp-3, -0x1.6dbb4fed4aabcp-3, -0x1.69b48709ccc2fp-3, -0x1.65af5f340b73bp-3, -0x1.61ac1d15657e6p-3, -0x1.5dab032d7767fp-3, -0x1.59ac51c5597c4p-3, -0x1.55b047eb3228dp-3, -0x1.51b72261e108dp-3, -0x1.4dc11c75cf41ap-3, -0x1.49ce6f77d372p-3, -0x1.45df52f959046p-3, -0x1.41f3fcc7a0901p-3, -0x1.3e0ca13ba486p-3, -0x1.3a297286a3327p-3, -0x1.364aa1671a663p-3, -0x1.32705d4e03c9ep-3, -0x1.2e9ad3ac49bacp-3, -0x1.2aca3048ff53fp-3, -0x1.26fe9d7791a1p-3, -0x1.23384411dceep-3, -0x1.1f774b8475622p-3, -0x1.1bbbd95c18d2ep-3, -0x1.1806123962d0dp-3, -0x1.145618ab49c9ep-3, -0x1.10ac0e35d89a5p-3, -0x1.0d0812f2c1291p-3, -0x1.096a45903cc5fp-3, -0x1.05d2c31eb09bcp-3, -0x1.0241a83112d11p-3, -0x1.fd6e1e3ee09c4p-4, -0x1.f6662213c0fcap-4, -0x1.ef6b8d8eeff75p-4, -0x1.e87e8de00bd12p-4, -0x1.e19f4f199a1b5p-4, -0x1.dacdf9f76bd42p-4, -0x1.d40ab5713e057p-4, -0x1.cd55a626b97a2p-4, -0x1.c6aeef04a4992p-4, -0x1.c016afe78d84dp-4, -0x1.b98d06fc0f2b7p-4, -0x1.b3121113d10d5p-4, -0x1.aca5e782a51a8p-4, -0x1.a648a2f370267p-4, -0x1.9ffa59065fe25p-4, -0x1.99bb1ee82f2p-4, -0x1.938b06d8e1c77p-4, -0x1.8d6a2165919f4p-4, -0x1.87587dd7cc5f1p-4, -0x1.8156293525369p-4, -0x1.7b632f15c0223p-4, -0x1.757f997bbc26cp-4, -0x1.6fab715545474p-4, -0x1.69e6bd0c651afp-4, -0x1.64318236c2763p-4, -0x1.5e8bc48c9dda6p-4, -0x1.58f586db3f59ap-4, -0x1.536ec9dd32e0bp-4, -0x1.4df78dc43bfe2p-4, -0x1.488fd0c5e57b5p-4, -0x1.433790936e2ebp-4, -0x1.3deec8d82c8adp-4, -0x1.38b57461aa783p-4, -0x1.338b8c8dbd135p-4, -0x1.2e7109f49dbbbp-4, -0x1.2965e3eb2b03fp-4, -0x1.246a11443dd9p-4, -0x1.1f7d86e7ef059p-4, -0x1.1aa03944f1da6p-4, -0x1.15d21bfe4efdep-4, -0x1.111320f42d0f9p-4, -0x1.0c6339b97bc06p-4, -0x1.07c2574b89874p-4, -0x1.033069119df41p-4, -0x1.fd5abd99a109fp-5, -0x1.f4724b9a2cb9cp-5, -0x1.eba757f6b5c7ep-5, -0x1.e2f9bcb6630cp-5, -0x1.da6950ebe05c2p-5, -0x1.d1f5eb6bf0c19p-5, -0x1.c99f61cb73ff4p-5, -0x1.c165885edb3d7p-5, -0x1.b948323e412e3p-5, -0x1.b147314a1ca78p-5, -0x1.a96256346086fp-5, -0x1.a199709f5966dp-5, -0x1.99ec4f249ae8ep-5, -0x1.925abf89a8f4cp-5, -0x1.8ae48eee3d97ep-5, -0x1.838988cc0112fp-5, -0x1.7c49793af9322p-5, -0x1.75242a3353e66p-5, -0x1.6e19659796c62p-5, -0x1.6728f3e62cb26p-5, -0x1.60529d60cf7b5p-5, -0x1.59962a49c0c0bp-5, -0x1.52f361219a7abp-5, -0x1.4c6a08f4df9e5p-5, -0x1.45f9e786c8e3cp-5, -0x1.3fa2c2f9968b1p-5, -0x1.396460053336ap-5, -0x1.333e83beb1808p-5, -0x1.2d30f24692d4p-5, -0x1.273b6fa87cadbp-5, -0x1.215dbf54aac17p-5, -0x1.1b97a41e89db5p-5, -0x1.15e8e3cb9ac32p-5, -0x1.10513efa5dd53p-5, -0x1.0ad078c50aa1ep-5, -0x1.056655309c8ebp-5, -0x1.001295ddcf2ebp-5, -0x1.f5a9f9a9a4d3dp-6, -0x1.eb5a9a5b9ccd7p-6, -0x1.e13690058911dp-6, -0x1.d73d612558a77p-6, -0x1.cd6e907879c83p-6, -0x1.c3c9a415d3298p-6, -0x1.ba4e1f77a403cp-6, -0x1.b0fb87dbd1092p-6, -0x1.a7d163134d7f1p-6, -0x1.9ecf3400f2eb7p-6, -0x1.95f48003cbc4ep-6, -0x1.8d40cdec6d8b2p-6, -0x1.84b3a2360cde7p-6, -0x1.7c4c833ad5ccp-6, -0x1.740af86e2a6b4p-6, -0x1.6bee86f4ec947p-6, -0x1.63f6b6619eed6p-6, -0x1.5c231004e5fd2p-6, -0x1.54731b860540bp-6, -0x1.4ce66154bf2b7p-6, -0x1.457c6ab8b5945p-6, -0x1.3e34c1588589ap-6, -0x1.370ef0735389p-6, -0x1.300a826de7d62p-6, -0x1.29270453ad487p-6, -0x1.226401d872f8cp-6, -0x1.1bc107cdd0459p-6, -0x1.153da38853097p-6, -0x1.0ed96561affdbp-6, -0x1.0893dc9393f82p-6, -0x1.026c98d91130bp-6, -0x1.f8c656251cf09p-7, -0x1.ecee499f538bap-7, -0x1.e1503120ec778p-7, -0x1.d5eb34147c63ap-7, -0x1.cabe7dd4bc673p-7, -0x1.bfc934c9fc21p-7, -0x1.b50a863b00ee7p-7, -0x1.aa81a0f134dap-7, -0x1.a02db4bd17dafp-7, -0x1.960df06bf2c66p-7, -0x1.8c2189ceffab9p-7, -0x1.8267b6a03e711p-7, -0x1.78dfac3d493d9p-7, -0x1.6f88a57a7b6c9p-7, -0x1.6661dcdda9683p-7, -0x1.5d6a8d84334cbp-7, -0x1.54a1f717395d7p-7, -0x1.4c075aacf50a1p-7, -0x1.4399faa2713d8p-7, -0x1.3b591c8a17231p-7, -0x1.334407943dcc6p-7, -0x1.2b5a013be04d8p-7, -0x1.239a5620f5fb8p-7, -0x1.1c0451bfc834cp-7, -0x1.1497453f71cfap-7, -0x1.0d527e9594ee3p-7, -0x1.063550a3e2aa4p-7, -0x1.fe7e22df0e62p-8, -0x1.f0de2dbeabf46p-8, -0x1.e3896fb7d2e87p-8, -0x1.d67e9c3f3fd14p-8, -0x1.c9bc79ed99028p-8, -0x1.bd41b794fa421p-8, -0x1.b10d1b7aa6438p-8, -0x1.a51d692916473p-8, -0x1.99716a77491f7p-8, -0x1.8e07ec580099fp-8, -0x1.82dfbf9c77e6dp-8, -0x1.77f7b8f01a685p-8, -0x1.6d4eb0b33c49ap-8, -0x1.62e3833927d1fp-8, -0x1.58b50fd342e22p-8, -0x1.4ec23a8d57652p-8, -0x1.4509e8466f577p-8, -0x1.3b8b14cfdf55bp-8, -0x1.3244983230e4ap-8, -0x1.29357663cebcbp-8, -0x1.205ca43899845p-8, -0x1.17b91a9e29b3bp-8, -0x1.0f49db0ad3aa9p-8, -0x1.070de03fc50dcp-8, -0x1.fe086dbf783b7p-9, -0x1.ee57c3a3d4e7dp-9, -0x1.df07ef06fa96cp-9, -0x1.d017051cf5311p-9, -0x1.c183278f593ffp-9, -0x1.b34a8bc7a1ap-9, -0x1.a56b731eb76dfp-9, -0x1.97e4146dc6227p-9, -0x1.8ab2ad70e40eap-9, -0x1.7dd5967ded456p-9, -0x1.714b11a39ef7cp-9, -0x1.6511854b3a27dp-9, -0x1.59274810a5cap-9, -0x1.4d8abda283edbp-9, -0x1.423a58dded4cap-9, -0x1.37348440436dep-9, -0x1.2c77bd0ce0a83p-9, -0x1.220289c001c4fp-9, -0x1.17d374c7bdef4p-9, -0x1.0de90ca725935p-9, -0x1.0441e1514ebbp-9, -0x1.f5b9179c30ff7p-10, -0x1.e36f4867616dap-10, -0x1.d1a389057b222p-10, -0x1.c05322bb55136p-10, -0x1.af7b5bd4feecfp-10, -0x1.9f199fe3dda7bp-10, -0x1.8f2b6319dc22p-10, -0x1.7fae2e7e127ap-10, -0x1.709fa3d22e22fp-10, -0x1.61fd83c5146bep-10, -0x1.53c57532b8909p-10, -0x1.45f53473d5f7fp-10, -0x1.388a6a4d3c251p-10, -0x1.2b83fa4178b64p-10, -0x1.1edca32c6db32p-10, -0x1.1295031675d71p-10, -0x1.06a9eb9e3090ap-10, -0x1.f632616c01012p-11, -0x1.dfc171c2c091dp-11, -0x1.c9fcfadf76dbcp-11, -0x1.b4e11e21eb3abp-11, -0x1.a06a150d3665ep-11, -0x1.8c9461750154bp-11, -0x1.795c3b596b498p-11, -0x1.66be306a19fdfp-11, -0x1.54b69db446067p-11, -0x1.4341e2b430129p-11, -0x1.325c667a5fd49p-11, -0x1.2202a5b773365p-11, -0x1.123122dc69cd8p-11, -0x1.02e46fd3f155p-11, -0x1.e832ba65e953ep-12, -0x1.cb99f3f777887p-12, -0x1.aff8d2c03c235p-12, -0x1.9549b9704969ap-12, -0x1.7b8756b361892p-12, -0x1.62ac08f5566f9p-12, -0x1.4ab28ffdec353p-12, -0x1.339518fe34c44p-12, -0x1.1d4db8f90ef83p-12, -0x1.07d64659460dep-12, -0x1.e6522ecc92815p-13, -0x1.be7ff797b7409p-13, -0x1.982a56019ba6cp-13, -0x1.7347e3876e366p-13, -0x1.4fcde6e14cc91p-13, -0x1.2db457a4587efp-13, -0x1.0cf21193cb5d1p-13, -0x1.db031f4c1c35ep-14, -0x1.9eb4ec844841bp-14, -0x1.64e7e1b264c51p-14, -0x1.2d97b9ae2e33bp-14, -0x1.f154b9697508ap-15, -0x1.8c257075c244dp-15, -0x1.2b7e6b66709fp-15, -0x1.9e76cdb496f24p-16, -0x1.dcdfef1b6c3fcp-17, -0x1.1a84bb5822684p-18, 0x1.64e4558eedda3p-18, 0x1.e2c03e63544eep-17, 0x1.820e3bbbf53ap-16, 0x1.05bd867f673e5p-15, 0x1.46ec9dd186071p-15, 0x1.84abd2fd56163p-15, 0x1.bf13dc22c44ebp-15, 0x1.f62fd79564a94p-15, 0x1.150ed6bb3dc0fp-14, 0x1.2d77c8219a65fp-14, 0x1.445df3fb80428p-14, 0x1.59cd198ec29d1p-14, 0x1.6dd128336d27p-14, 0x1.8075d8aa6dee2p-14, 0x1.91c6715cb835ep-14, 0x1.a1cda096de62fp-14, 0x1.b09572967fd04p-14, 0x1.be29a88cc5e1bp-14, 0x1.ca95dfdd0ab26p-14, 0x1.d5e45aceb837dp-14, 0x1.e01f650d85f5ep-14, 0x1.e951ce0baa071p-14, 0x1.f181bbade47b3p-14, 0x1.f8b67c0cbbe49p-14, 0x1.fef65e9be96b5p-14, 0x1.0223eb1dfb511p-13, 0x1.04597c2f8a2efp-13, 0x1.061f04215bf29p-13, 0x1.077872268b689p-13, 0x1.0869bfe15b1fdp-13, 0x1.08f65bdcd32dp-13, 0x1.0921ab8ee798fp-13, 0x1.08efc4ed808b6p-13, 0x1.08646cf7d0ac4p-13, 0x1.078470c37e0adp-13, 0x1.0653ef571b59ep-13, 0x1.04d798d73df38p-13, 0x1.031303b4b3ea8p-13, 0x1.0108c5644d4cfp-13, 0x1.fd7554d051033p-14, 0x1.f8550b769eee6p-14, 0x1.f2b438a8473cp-14, 0x1.ec985574a2b48p-14, 0x1.e605dfdafcb13p-14, 0x1.df0155049458ep-14, 0x1.d78e51198e908p-14, 0x1.cfafa12d48d28p-14, 0x1.c76670bd3d415p-14, 0x1.beb70a72654b7p-14, 0x1.b5a4f9b5ea0dbp-14, 0x1.ac369b9712e06p-14, 0x1.a273712037302p-14, 0x1.9862b3e07c28fp-14, 0x1.8e0d831349773p-14, 0x1.837b087700a37p-14, 0x1.78ae870e803c3p-14, 0x1.6daa0668e9e3p-14, 0x1.62723c5dbe485p-14, 0x1.570619bb50475p-14, 0x1.4b6662fe30da3p-14, 0x1.3f96eda526ed9p-14, 0x1.339b5506afa96p-14, 0x1.277621dc945ccp-14, 0x1.1b292553fb271p-14, 0x1.0eb5fffe4d475p-14, 0x1.021f371ce1d1bp-14, 0x1.eacb4272d290cp-15, 0x1.d114729425a95p-15, 0x1.b7205a462332cp-15, 0x1.9cf62cd9cfd9p-15, 0x1.829bea38545b6p-15, 0x1.6819632a70aafp-15, 0x1.4d75764b1f477p-15, 0x1.32b6b97bd9bf6p-15, 0x1.17e424f67d75bp-15, 0x1.fa0884a513134p-16, 0x1.c43689d972136p-16, 0x1.8e5aa9e9ac218p-16, 0x1.5876dcd958b7dp-16, 0x1.228fb8b295987p-16, 0x1.d954fc79ea31ep-17, 0x1.6d96d6da8b8bap-17, 0x1.01e825dedc19cp-17, 0x1.2c9ff68f1b523p-18, 0x1.55a73498f306p-20, -0x1.01bf66907196ep-19, -0x1.56ef7f137e6bdp-18, -0x1.1632ff040668p-17, -0x1.8082dd7e4e1bfp-17, -0x1.eaaeb9ed8b0f7p-17, -0x1.2a3202056a7efp-16, -0x1.5ed71627f934bp-16, -0x1.9342ca8f629e6p-16, -0x1.c76f95e7be8ap-16, -0x1.fb539cc1a1278p-16, -0x1.17727f269b96cp-15, -0x1.311182aade622p-15, -0x1.4a8574638b823p-15, -0x1.63cf912f4c11dp-15, -0x1.7cf06746cd084p-15, -0x1.95e30a7c892ffp-15, -0x1.aea3e40eeb034p-15, -0x1.c7324432853f2p-15, -0x1.df8f41b7b96a9p-15, -0x1.f7b7f20c11415p-15, -0x1.07d5bc0466159p-14, -0x1.13b5e121de91ep-14, -0x1.1f78241c7d805p-14, -0x1.2b1ed4c392499p-14, -0x1.36a79d863b396p-14, -0x1.42151cca4da79p-14, -0x1.4d65f2501bfdcp-14, -0x1.5899c1a9740dp-14, -0x1.63b04c1bab25ap-14, -0x1.6ea8e466f4975p-14, -0x1.7982801517e19p-14, -0x1.843baf24bd241p-14, -0x1.8ed36c2714b65p-14, -0x1.994b259e77af7p-14, -0x1.a3a2c476008cfp-14, -0x1.add97f7e81049p-14, -0x1.b7f0874e997eep-14, -0x1.c1e70538b1a0ep-14, -0x1.cbbdcac08a4d8p-14, -0x1.d574db159efa9p-14, -0x1.df0a82ba3163p-14, -0x1.e87db4dd0079cp-14, -0x1.f1cd5ce764552p-14, -0x1.fafbd58f8613ap-14, -0x1.02043bf0174dfp-13, -0x1.0679fa5353094p-13, -0x1.0ade84fe21824p-13, -0x1.0f31ddc18e7a3p-13, -0x1.13749e0bc3592p-13, -0x1.17a68cc950667p-13, -0x1.1bc7d91d91cc4p-13, -0x1.1fd851ea011a7p-13, -0x1.23d7e8aecc1f2p-13, -0x1.27c69fbda2baep-13, -0x1.2ba4477b4ea41p-13, -0x1.2f70ca0513bfep-13, -0x1.332c7eae013d6p-13, -0x1.36d78695973ecp-13, -0x1.3a71bcc99d456p-13, -0x1.3dfb0f7128d91p-13, -0x1.4173d8cdd96f9p-13, -0x1.44dc7767b2ec8p-13, -0x1.48349337e28bdp-13, -0x1.4b7c6ecb0af4ep-13, -0x1.4eb3c75f7c723p-13, -0x1.51db1623494cdp-13, -0x1.54f1ccf93711bp-13, -0x1.57f87eb13b998p-13, -0x1.5aee880d6cd7ep-13, -0x1.5dd570607411cp-13, -0x1.60ac3bdb7319ap-13, -0x1.6373066052dc1p-13, -0x1.662a3873d47c2p-13, -0x1.68d1f716d7f83p-13, -0x1.6b6a28a872599p-13, -0x1.6df2fa807943ep-13, -0x1.706c7d787c88fp-13, -0x1.72d6dea8ff8a9p-13, -0x1.75329144e7de4p-13, -0x1.777ef459eb674p-13, -0x1.79bc3b4b30fd8p-13, -0x1.7beb03da28e68p-13, -0x1.7e0b25821b1e5p-13, -0x1.801cdcf73d1b4p-13, -0x1.821f68d3c61d1p-13, -0x1.8414f38a4f52fp-13, -0x1.85fbfd400a768p-13, -0x1.87d4e98a8833p-13, -0x1.89a0272c110c6p-13, -0x1.8b5d69cd453d8p-13, -0x1.8d0d13a418e63p-13, -0x1.8eaeb5c3d3069p-13, -0x1.9044039903ac9p-13, -0x1.91cb69594a807p-13, -0x1.9345cd1f050adp-13, -0x1.94b345b9bac04p-13, -0x1.9613b0d7d476cp-13, -0x1.976785cada0efp-13, -0x1.98aedb5052e84p-13, -0x1.99e9ad10ed37cp-13, -0x1.9b17f3c3c69b3p-13, -0x1.9c3a1da7de2p-13, -0x1.9d50374f3085cp-13, -0x1.9e5a512e1869p-13, -0x1.9f58d1bb2842ap-13, -0x1.a04b6a384c6ccp-13, -0x1.a13283e873c11p-13, -0x1.a20e3fc0c8eb9p-13, -0x1.a2dea608eeeecp-13, -0x1.a3a3d395ebc2bp-13, -0x1.a45e3c2d6c522p-13, -0x1.a50dc71d7bd86p-13, -0x1.a5b297a1ddd06p-13, -0x1.a64c55d6f6c47p-13, -0x1.a6db6daa1a622p-13, -0x1.a760e46787d3cp-13, -0x1.a7dba74881cf9p-13, -0x1.a84cc0fa8a354p-13, -0x1.a8b3c05561c6fp-13, -0x1.a910af5c06585p-13, -0x1.a961ae6fdd3bdp-13, -0x1.a9ada59009359p-13, -0x1.a9edefda5a165p-13, -0x1.aa24def18993bp-13, -0x1.aa529dbdfdda4p-13, -0x1.aa774af88ee15p-13, -0x1.aa92fd8c1f368p-13, -0x1.aaa5dfdce413ap-13, -0x1.aab02ee674bd5p-13, -0x1.aab1d32d346f2p-13, -0x1.aaaafc0355b57p-13, -0x1.aa9bc753786f1p-13, -0x1.aa846c24c5db1p-13, -0x1.aa650b11317b6p-13, -0x1.aa3dac45c22d8p-13, -0x1.aa0e61d29d036p-13, -0x1.a9d77de9003eap-13, -0x1.a998bb01bfcadp-13, -0x1.a9529c3e07375p-13, -0x1.a9051ce5e4408p-13, -0x1.a8b081a983969p-13, -0x1.a8549892be2a8p-13, -0x1.a7f19f0c56665p-13, -0x1.a787d2f71473fp-13, -0x1.a7174a6794229p-13, -0x1.a6a0646e45d97p-13, -0x1.a6221544fa977p-13, -0x1.a59d9c9515e93p-13, -0x1.a512ba43a8ae9p-13, -0x1.a4815ecf8cc1bp-13, -0x1.a3ea899754a95p-13, -0x1.a34d29e5fbe5bp-13, -0x1.a2aa128894efp-13, -0x1.a2012e2da5e38p-13, -0x1.a1522afd9fdb5p-13, -0x1.a09dcb3971d46p-13, -0x1.9fe3c46ae7cadp-13, -0x1.9f24ba8d0c311p-13, -0x1.9e5fedaf8c4aep-13, -0x1.9d95e5c575203p-13, -0x1.9cc6b5a7c2a7ep-13, -0x1.9bf2b079bba9cp-13, -0x1.9b19a38953f17p-13, -0x1.9a3bbd2ee0846p-13, -0x1.9958fc2cab46ep-13, -0x1.9871b3078293dp-13, -0x1.9785cb45a11c2p-13, -0x1.969567b8498ffp-13, -0x1.95a09df59adcdp-13, -0x1.94a7832e06089p-13, -0x1.93aa40abf03cep-13, -0x1.92a8e95a48033p-13, -0x1.91a357679461dp-13, -0x1.9099dd409e7c8p-13, -0x1.8f8cb3b66ddbcp-13, -0x1.8e7b8faabdcb6p-13, -0x1.8d66dd6421a25p-13, -0x1.8c4e70e526b71p-13, -0x1.8b327c46cf873p-13, -0x1.8a13196588e9ap-13, -0x1.88f0548cc8afbp-13, -0x1.87ca4505d6d15p-13, -0x1.86a0f9937eb48p-13, -0x1.8574ab3e787ap-13, -0x1.8445067c0c2fap-13, -0x1.831259ddecb35p-13, -0x1.81dcf5ce48c3ap-13, -0x1.80a4c9cf4ed45p-13, -0x1.7f69dbfd1ed6fp-13, -0x1.7e2c0baa1ddd9p-13, -0x1.7ceb98b31f863p-13, -0x1.7ba863404885cp-13, -0x1.7a631c208a24bp-13, -0x1.791aec9386b0cp-13, -0x1.77d12d225cd8ep-13, -0x1.768437dbd6754p-13, -0x1.75357daea1a48p-13, -0x1.73e47c861aafap-13, -0x1.72915cdd56883p-13, -0x1.713c4bd40ff05p-13, -0x1.6fe51950acf51p-13, -0x1.6e8c1e4f1065bp-13, -0x1.6d312770aca7ep-13, -0x1.6bd471279c783p-13, -0x1.6a764e6e34f0bp-13, -0x1.69162c7bb9665p-13, -0x1.67b433a5dca45p-13, -0x1.6650ef1994e43p-13, -0x1.64ec491132632p-13, -0x1.6385f0ac54804p-13, -0x1.621e271cc6b78p-13, -0x1.60b51bdc943c8p-13, -0x1.5f4af46ca4731p-13, -0x1.5ddf645759e6p-13, -0x1.5c729eec6bd98p-13, -0x1.5b04bda45f331p-13, -0x1.5995a737ba2fdp-13, -0x1.58259dcfb76c9p-13, -0x1.56b49b63b5db9p-13, -0x1.5542a142f695cp-13, -0x1.53cfbe39498cdp-13, -0x1.525bffc99a199p-13, -0x1.50e7720191cedp-13, -0x1.4f72206e1eb4ep-13, -0x1.4dfc14beb7881p-13, -0x1.4c85654b3ec21p-13, -0x1.4b0e23196509p-13, -0x1.499646a01ad92p-13, -0x1.481d9d5202e5dp-13, -0x1.46a4790323c45p-13, -0x1.452b2b8649b01p-13, -0x1.43b1273b1e2a2p-13, -0x1.4237129eeb421p-13, -0x1.40bc7e562c4c9p-13, -0x1.3f41738d5303bp-13, -0x1.3dc63f181b1ecp-13, -0x1.3c4ac98fc51e4p-13, -0x1.3acf25f85eafbp-13, -0x1.395357603e80ap-13, -0x1.37d76291414cp-13, -0x1.365b44b5d100fp-13, -0x1.34df427fd0f61p-13, -0x1.336314ad2bc38p-13, -0x1.31e6f6508e706p-13, -0x1.306ad27fa836ap-13, -0x1.2eeeb75a9fce6p-13, -0x1.2d72f601264dp-13, -0x1.2bf720fadecap-13, -0x1.2a7b726673923p-13, -0x1.28ffd448804cp-13, -0x1.2784c7293c914p-13, -0x1.2609e6fd8f2a1p-13, -0x1.248f680220892p-13, -0x1.23147cb2f15fp-13, -0x1.219a5d1067abep-13, -0x1.2020a364eba6cp-13, -0x1.1ea7725ea1033p-13, -0x1.1d2e7738d8d47p-13, -0x1.1bb60d42bcea4p-13, -0x1.1a3dea83d3944p-13, -0x1.18c64b9c4d3p-13, -0x1.174f409624e2dp-13, -0x1.15d8b70338ac5p-13, -0x1.1462b98f367dep-13, -0x1.12ed51b8083d4p-13, -0x1.117878b0c37f6p-13, -0x1.10044306b3cedp-13, -0x1.0e90b1f3fa586p-13, -0x1.0d1dcbf2c6e66p-13, -0x1.0baba064136fdp-13, -0x1.0a3a17521bfebp-13, -0x1.08c9111536711p-13, -0x1.075900e8a2ab8p-13, -0x1.05e9e4435c14ap-13, -0x1.047b5699393f5p-13, -0x1.030d854e93ab6p-13, -0x1.01a08df63b0cap-13, -0x1.00347454979eap-13, -0x1.fd9270e798b54p-14, -0x1.fabdb3ed56f94p-14, -0x1.f7ea46db77fb8p-14, -0x1.f519289fa374bp-14, -0x1.f24a58750384bp-14, -0x1.ef7be7a4dceeep-14, -0x1.ecb0708c1bf96p-14, -0x1.e9e6a1dbda241p-14, -0x1.e71eb1f0437e3p-14, -0x1.e458ac360276p-14, -0x1.e194b1f2b847fp-14, -0x1.ded2bb226f4a8p-14, -0x1.dc12dd8a39a02p-14, -0x1.d95509019e7ffp-14, -0x1.d6995dfe4ccdp-14, -0x1.d3dfa7d431e22p-14, -0x1.d12803e139d3fp-14, -0x1.ce72a11c544f1p-14, -0x1.cbbf4befb49edp-14, -0x1.c90ee4c5ca63fp-14, -0x1.c660018269294p-14, -0x1.c3b3130894b55p-14, -0x1.c108c2908d691p-14, -0x1.be6108cc8eaf5p-14, -0x1.bbbb86def6862p-14, -0x1.b9184f9493801p-14, -0x1.b676e234a4951p-14, -0x1.b3d83bcb3e277p-14, -0x1.b13bc29527e7dp-14, -0x1.aea2383dd78b3p-14, -0x1.ac0aeaf04e2a9p-14, -0x1.a9758c1d491aep-14, -0x1.a6e2c42b660b5p-14, -0x1.a45284547e4c5p-14, -0x1.a1c53a1f416d1p-14, -0x1.9f39749eabe3dp-14, -0x1.9cb0a3b134025p-14, -0x1.9a2a6f0787afp-14, -0x1.97a6a5b33b4c7p-14, -0x1.95256b11f04dbp-14, -0x1.92a67d9c58d67p-14, -0x1.902a75e61eb2fp-14, -0x1.8db0366a7126dp-14, -0x1.8b394af10232bp-14, -0x1.88c49970e71e5p-14, -0x1.86531bdd76bafp-14, -0x1.83e3885645783p-14, -0x1.8176a4d2a1688p-14, -0x1.7f0c6d5e4f305p-14, -0x1.7ca4ec33fd69cp-14, -0x1.7a3fede3be00dp-14, -0x1.77ddbdd95d632p-14, -0x1.757db8a89349ep-14, -0x1.7320a0f44b639p-14, -0x1.70c62171258a6p-14, -0x1.6e6ec3587b2dep-14, -0x1.6c19a88316c69p-14, -0x1.69c6fed6e83eap-14, -0x1.677739dcd7fd2p-14, -0x1.6529c5739fc82p-14, -0x1.62df76e5ea6a5p-14, -0x1.6097c6f97d50ep-14, -0x1.5e52b00ea905dp-14, -0x1.5c0fe27bcfbb9p-14, -0x1.59d0737661c4cp-14, -0x1.579048b0a7cd6p-14, -0x1.555935c3cdc72p-14, -0x1.532101e8e556fp-14, -0x1.50ec2c5df2a1ap-14, -0x1.4eba0233803cp-14, -0x1.4c8a456023c04p-14, -0x1.4a5d53dcdc10ep-14, -0x1.483313b18ebcap-14, -0x1.460b864a41823p-14, -0x1.43e6aa6293f2dp-14, -0x1.41c47e158b5ccp-14, -0x1.3fa4fe6f682c4p-14, -0x1.3d8783662b6d5p-14, -0x1.3b6e222ffcc04p-14, -0x1.3956beb1977d6p-14, -0x1.3742089636c72p-14, -0x1.353205915ffd2p-14, -0x1.3320e3aaa0d5ap-14, -0x1.31142437cdabfp-14, -0x1.2f0a32872f1ap-14, -0x1.2d02810d1bccep-14, -0x1.2afe1e1d76f33p-14, -0x1.28fbf5847b5efp-14, -0x1.26fd0f16b3a3cp-14, -0x1.2500581954979p-14, -0x1.230683f0f9a84p-14, -0x1.210f06ebac512p-14, -0x1.1f1a625fb2a75p-14, -0x1.1d281f9d7edf7p-14, -0x1.1b391f6c16affp-14, -0x1.194c2b4fc2a06p-14, -0x1.1761ead103bap-14, -0x1.157b21529384p-14, -0x1.139626bde4a28p-14, -0x1.11b402b4bbbb4p-14, -0x1.0fd42b6a7efacp-14, -0x1.0df7bed50e4eep-14, -0x1.0c1d6511bc7dbp-14, -0x1.0a4587723c28cp-14, -0x1.08707515db747p-14, -0x1.069e0d9e4f4bfp-14, -0x1.04cdb623d9e15p-14, -0x1.030122033d0b9p-14, -0x1.0135bd34909p-14, -0x1.fedc4dedc8724p-15, -0x1.fb5058b596382p-15, -0x1.f7c90915ad487p-15, -0x1.f44901602bcadp-15, -0x1.f0ccececb715cp-15, -0x1.ed561653228d8p-15, -0x1.e9e415ca50fe3p-15, -0x1.e6774d6962f64p-15, -0x1.e30fa1342f159p-15, -0x1.dfad5631e61ccp-15, -0x1.dc4f1222088a2p-15, -0x1.d8f65352295c8p-15, -0x1.d5a2a7e51ae51p-15, -0x1.d253df9451651p-15, -0x1.cf0a11148dd69p-15, -0x1.cbc4f7be7e49fp-15, -0x1.c885006c410e5p-15, -0x1.c548f97d5d50ep-15, -0x1.c21149d50a82ap-15, -0x1.bee220c0c0499p-15, -0x1.bbb528e9c6895p-15, -0x1.b88de6e46f2bbp-15, -0x1.b56af6d66d802p-15, -0x1.b24cd61c81633p-15, -0x1.af33a4573e31ap-15, -0x1.ac1f98a872233p-15, -0x1.a90fd91936d6ep-15, -0x1.a6052d55d0388p-15, -0x1.a2fe095789495p-15, -0x1.9ffc6678a076fp-15, -0x1.9cff729df055p-15, -0x1.9a072a669f9b8p-15, -0x1.9713865591fb2p-15, -0x1.942487aa5447p-15, -0x1.913a1fd5d9ce6p-15, -0x1.8e53da5a48ecep-15, -0x1.8b730c473458p-15, -0x1.88969c675fe52p-15, -0x1.85be37e90e9f5p-15, -0x1.82ea9a22b0635p-15, -0x1.801b87d8bb05ap-15, -0x1.7d50a4e4ee714p-15, -0x1.7a8b4e6ee6e35p-15, -0x1.77c94a1e5fd18p-15, -0x1.750b96ab72326p-15, -0x1.72529907fba8fp-15, -0x1.6f9e6d5c6e67bp-15, -0x1.6ced57af31917p-15, -0x1.6a42a9a5f89acp-15, -0x1.679b479c28152p-15, -0x1.64f7f0bf2c7p-15, -0x1.62563bb2058d4p-15, -0x1.5fbee660d4b1ep-15, -0x1.5d2735f26542ap-15, -0x1.5a9740a1ccaa3p-15, -0x1.5809348b26fc9p-15, -0x1.557facff68a1dp-15, -0x1.52f9069a7b5d8p-15, -0x1.50780b2956feep-15, -0x1.4dfaabccdd7ecp-15, -0x1.4b831e3ffeb9dp-15, -0x1.490db08ba5ae1p-15, -0x1.469c9cfa126dep-15, -0x1.442fdd1e6386bp-15, -0x1.41c73066cbec7p-15, -0x1.3f628021d6141p-15, -0x1.3d01f83aba33fp-15, -0x1.3aa564e9cef2ep-15, -0x1.384cb56d1413ap-15, -0x1.35f80f984cc03p-15, -0x1.33a7229a708ffp-15, -0x1.3159e6406bc4ap-15, -0x1.2f118c77bcacp-15, -0x1.2ccc43de4e8a6p-15, -0x1.2a8b1e85d9e21p-15, -0x1.284ddbb26efd9p-15, -0x1.2613f3c12db7cp-15, -0x1.23de40e18988ep-15, -0x1.21ac73527b9bep-15, -0x1.1f7dbce9f6127p-15, -0x1.1d53b92a3b901p-15, -0x1.1b2cf1b101d18p-15, -0x1.19096e93f90c7p-15, -0x1.16eab41b06416p-15, -0x1.14cf23234095cp-15, -0x1.12b64068b0e39p-15, -0x1.10a2231fcf644p-15, -0x1.0e9161e3fc646p-15, -0x1.0c841bccb1ccbp-15, -0x1.0a7a622569247p-15, -0x1.087440f010fe5p-15, -0x1.06716bf236c2fp-15, -0x1.04713a78b9b51p-15, -0x1.02771d5f952d8p-15, -0x1.007e9b91a5e6fp-15, -0x1.fd145cf06a975p-16, -0x1.f931eeb0ebc6fp-16, -0x1.f5564d3d89731p-16, -0x1.f181859778a76p-16, -0x1.edb389ee777fcp-16, -0x1.e9ebcb0b0183ap-16, -0x1.e62bd6088ce23p-16, -0x1.e27195947bb28p-16, -0x1.debe1c44e1bf3p-16, -0x1.db10768fcc823p-16, -0x1.d76857b5d32f6p-16, -0x1.d3cb430b06ea6p-16, -0x1.d032b5de3ee0ap-16, -0x1.cc9e61188ca46p-16, -0x1.c911c07994acbp-16, -0x1.c58cbc4599ddep-16, -0x1.c20cc1a6904aep-16, -0x1.be929cd069855p-16, -0x1.bb1fc1f23cdadp-16, -0x1.b7b3b64e81da9p-16, -0x1.b44a2d9ea37efp-16, -0x1.b0ea3f6b11fd9p-16, -0x1.ad908b06aa28dp-16, -0x1.aa3c45a2e3b9bp-16, -0x1.a6ed7c55f111bp-16, -0x1.a3a3bd1e47bf7p-16, -0x1.a06218b123c25p-16, -0x1.9d24d37ce5666p-16, -0x1.99ef888316d82p-16, -0x1.96bb4feb0a03bp-16, -0x1.9392278e28bddp-16, -0x1.906bcb598231cp-16, -0x1.8d4e1d893d04ap-16, -0x1.8a3399021540dp-16, -0x1.871f1f5562e7ap-16, -0x1.8410a9223d792p-16, -0x1.8108277cdc2c4p-16, -0x1.7e04666eee5f5p-16, -0x1.7b06ddcfb01fap-16, -0x1.780eceb3da2a7p-16, -0x1.751b3e9b629cap-16, -0x1.722e16a0e749bp-16, -0x1.6f461a4d510a8p-16, -0x1.6c63adef16a23p-16, -0x1.6986632e837p-16, -0x1.66ae78cb8a4cbp-16, -0x1.63dbaf6822aabp-16, -0x1.610e8fba60799p-16, -0x1.5e46582ca1008p-16, -0x1.5b83f4f7dc033p-16, -0x1.58c4dba186f47p-16, -0x1.560bdbb5ec039p-16, -0x1.53596a957db74p-16, -0x1.50aa6a678b0cap-16, -0x1.4e00dc75008cfp-16, -0x1.4b5c5c10b7488p-16, -0x1.48bcbaa17c314p-16, -0x1.4622087896409p-16, -0x1.438c3c152dfc9p-16, -0x1.40f838434ca64p-16, -0x1.3e6f2dd0e1d76p-16, -0x1.3be7d6c1c54bp-16, -0x1.3965636e1faf4p-16, -0x1.36e7bb3ba33f9p-16, -0x1.346e465451798p-16, -0x1.31fa2f7f920b5p-16, -0x1.2f8a4af72fdc4p-16, -0x1.2d1f21cbdff6ap-16, -0x1.2ab893ee15ecbp-16, -0x1.28569703caa0ep-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.75104159724edp-1, 0x1.7499ff9920785p-1, 0x1.73d7401b653b4p-1, 0x1.72cb598ce1a93p-1, 0x1.717aa98d98b54p-1, 0x1.6fea5ab290935p-1, 0x1.6e202aabcc606p-1, 0x1.6c2234272d777p-1, 0x1.69f6be86a01ap-1, 0x1.67a4146905193p-1, 0x1.65306144ebb4ap-1, 0x1.62a195d69c07ap-1, 0x1.5ffd52d753ec5p-1, 0x1.5d48d94ba4cdp-1, 0x1.5a88ffa7d0a61p-1, 0x1.57c22b0a2a0c8p-1, 0x1.54f84bd6cee92p-1, 0x1.522edd10f601p-1, 0x1.4f68e5e18096fp-1, 0x1.4ca8fcce6ef1fp-1, 0x1.49f14c39ee241p-1, 0x1.474397d1489e9p-1, 0x1.44a142a39e189p-1, 0x1.420b55a5d6e66p-1, 0x1.3f828674dd5abp-1, 0x1.3d073e30d374p-1, 0x1.3a99a0540bfbep-1, 0x1.3839916f20438p-1, 0x1.35e6bdb8d3e7p-1, 0x1.33a09f64c4641p-1, 0x1.316684b75651bp-1, 0x1.2f3795d00a76dp-1, 0x1.2d12da2599b0ap-1, 0x1.2af73db0e993fp-1, 0x1.28e395c54ae1ap-1, 0x1.26d6a5958c988p-1, 0x1.24cf22664234ep-1, 0x1.22cbb76e5900cp-1, 0x1.20cb09679694ep-1, 0x1.1ecbb9d1178e8p-1, 0x1.1ccc69e63a9acp-1, 0x1.1acbbd4caf653p-1, 0x1.18c85c7c985f1p-1, 0x1.16c0f6e5df2a6p-1, 0x1.14b444d5f7ce5p-1, 0x1.12a10921727c2p-1, 0x1.10861294bc8c6p-1, 0x1.0e623d2f883bcp-1, 0x1.0c34732e4bdb5p-1, 0x1.09fbade547313p-1, 0x1.07b6f670721afp-1, 0x1.0565663ba8595p-1, 0x1.03062766549c6p-1, 0x1.00987505bd747p-1, 0x1.fc3736920a69cp-2, 0x1.f71def038c82ep-2, 0x1.f1e3f0282c771p-2, 0x1.ec8838a13be0dp-2, 0x1.e709e87688606p-2, 0x1.e168408198ebfp-2, 0x1.dba2a1bb49607p-2, 0x1.d5b88c6fdbef7p-2, 0x1.cfa99f5d65734p-2, 0x1.c97596c01c062p-2, 0x1.c31c4b4fcb0c4p-2, 0x1.bc9db1316d074p-2, 0x1.b5f9d6df9e225p-2, 0x1.af30e40c62fb6p-2, 0x1.a843187e7317ep-2, 0x1.a130caec05319p-2, 0x1.99fa67d4e1792p-2, 0x1.92a0705d40ccdp-2, 0x1.8b23792ad7672p-2, 0x1.838429453c40cp-2, 0x1.7bc338faa8b6bp-2, 0x1.73e170c9f0c0bp-2, 0x1.6bdfa8526f14bp-2, 0x1.63bec54a75074p-2, 0x1.5b7fba7cc0c84p-2, 0x1.532386cd54257p-2, 0x1.4aab3445f8c94p-2, 0x1.4217d72aa3a93p-2, 0x1.396a8d15d51afp-2, 0x1.30a47c1d0d507p-2, 0x1.27c6d1fd5296cp-2, 0x1.1ed2c34fbf3afp-2, 0x1.15c98ac609019p-2, 0x1.0cac686edb7ccp-2, 0x1.037ca101ed10fp-2, 0x1.f476fa6732001p-3, 0x1.e1d4921fb3f3p-3, 0x1.cf14a6b8d2c0dp-3, 0x1.bc39da03b0584p-3, 0x1.a946d0f6c17c2p-3, 0x1.963e329a7f114p-3, 0x1.8322a702b0f38p-3, 0x1.6ff6d653e37d1p-3, 0x1.5cbd67d4901f8p-3, 0x1.497901099143ap-3, 0x1.362c44dd78c34p-3, 0x1.22d9d2d254009p-3, 0x1.0f84463d84c32p-3, 0x1.f85c6b1a8391fp-4, 0x1.d1b4632edfc25p-4, 0x1.ab1589e2c42efp-4, 0x1.8484e6a08fb74p-4, 0x1.5e0771e3bdc2ep-4, 0x1.37a2141a4e38ep-4, 0x1.1159a4959a8e8p-4, 0x1.d665d1141c03p-5, 0x1.8a65243a6d177p-5, 0x1.3eba7f0370acap-5, 0x1.e6dde882c3e81p-6, 0x1.5116d740482b3p-6, 0x1.786280aca247cp-7, 0x1.41f1eebbd8b77p-9, -0x1.aac5d308189f9p-8, -0x1.f91af9f4e1904p-7, -0x1.8d45e38df23f5p-6, -0x1.0e658b3f4c5d5p-5, -0x1.5586f57c0d63p-5, -0x1.9bffcf852ba08p-5, -0x1.e1c8ed9df0161p-5, -0x1.136dacfd57892p-4, -0x1.35982ab1ba085p-4, -0x1.5760abe20e17fp-4, -0x1.78c4085526b05p-4, -0x1.99bf33d8ee548p-4, -0x1.ba4f3e6feababp-4, -0x1.da7154766db01p-4, -0x1.fa22bebf852acp-4, -0x1.0cb07154fc693p-3, -0x1.1c14a116c23f5p-3, -0x1.2b3cbdf03578fp-3, -0x1.3a27a57adfe67p-3, -0x1.48d4439a3a873p-3, -0x1.57419273ba1f1p-3, -0x1.656e9a6375dcfp-3, -0x1.735a71ed85fa8p-3, -0x1.81043dac2daecp-3, -0x1.8e6b303af5654p-3, -0x1.9b8e8a1eb9a08p-3, -0x1.a86d99aae5f02p-3, -0x1.b507bae3d8784p-3, -0x1.c15c575e9a035p-3, -0x1.cd6ae61dfdf95p-3, -0x1.d932eb6d43be7p-3, -0x1.e4b3f8b85a045p-3, -0x1.efedac61d05f6p-3, -0x1.fadfb1969dd32p-3, -0x1.02c4e00feaec2p-2, -0x1.07f5ce192a542p-2, -0x1.0d028b1e4d1c6p-2, -0x1.11eb0559666e9p-2, -0x1.16af30ec8c9b7p-2, -0x1.1b4f07c63a5d2p-2, -0x1.1fca8984f44e9p-2, -0x1.2421bb5a3b618p-2, -0x1.2854a7ecdad8fp-2, -0x1.2c635f3a9cc52p-2, -0x1.304df67975478p-2, -0x1.341487f825f08p-2, -0x1.37b732fe739a6p-2, -0x1.3b361bacef319p-2, -0x1.3e916adc62922p-2, -0x1.41c94dfce964p-2, -0x1.44ddf6f4c55b9p-2, -0x1.47cf9bfef243ep-2, -0x1.4a9e77898bdb3p-2, -0x1.4d4ac8140ac87p-2, -0x1.4fd4d00d664bfp-2, -0x1.523cd5b21ea17p-2, -0x1.548322ea421a2p-2, -0x1.56a805276eb33p-2, -0x1.58abcd42e14d5p-2, -0x1.5a8ecf5b9054ap-2, -0x1.5c5162b46682fp-2, -0x1.5df3e1929bfb3p-2, -0x1.5f76a91c3e033p-2, -0x1.60da1936e47acp-2, -0x1.621e9466a5562p-2, -0x1.63447fad47dddp-2, -0x1.644c4269bcfb2p-2, -0x1.65364637e71f9p-2, -0x1.6602f6d0ba927p-2, -0x1.66b2c1eab0dedp-2, -0x1.6746171aa1d8bp-2, -0x1.67bd67b4ff27p-2, -0x1.681926af7ce01p-2, -0x1.6859c88325e5fp-2, -0x1.687fc30ee4cf9p-2, -0x1.688b8d7a87f76p-2, -0x1.687da01a3e0abp-2, -0x1.685674529062dp-2, -0x1.6816847ce7061p-2, -0x1.67be4bcc8a018p-2, -0x1.674e463433e4ep-2, -0x1.66c6f04c282ffp-2, -0x1.6628c738dd153p-2, -0x1.65744892342cap-2, -0x1.64a9f24b4215ap-2, -0x1.63ca429aacf43p-2, -0x1.62d5b7e39e42dp-2, -0x1.61ccd09f4befep-2, -0x1.60b00b4718559p-2, -0x1.5f7fe63f47491p-2, -0x1.5e3cdfc2517fp-2, -0x1.5ce775cccd77fp-2, -0x1.5b802609f0289p-2, -0x1.5a076dc0aa33ep-2, -0x1.587dc9c15ea38p-2, -0x1.56e3b6542dd68p-2, -0x1.5539af27de542p-2, -0x1.53802f415964fp-2, -0x1.51b7b0ebc27b8p-2, -0x1.4fe0ada92182p-2, -0x1.4dfb9e23a472fp-2, -0x1.4c08fa1f73669p-2, -0x1.4a09386d19b7bp-2, -0x1.47fccedc7da84p-2, -0x1.45e432306998fp-2, -0x1.43bfd612a4a0fp-2, -0x1.41902d0894cedp-2, -0x1.3f55a8686f777p-2, -0x1.3d10b84eefa97p-2, -0x1.3ac1cb9595d8p-2, -0x1.38694fc96b07p-2, -0x1.3607b1224857cp-2, -0x1.339d5a7a9ccfcp-2, -0x1.312ab547b5be6p-2, -0x1.2eb029927f33fp-2, -0x1.2c2e1df0c00ddp-2, -0x1.29a4f77ecf667p-2, -0x1.271519d9bdafap-2, -0x1.247ee719edf3ap-2, -0x1.21e2bfce25651p-2, -0x1.1f4102f702b9cp-2, -0x1.1c9a0e02e5ac7p-2, -0x1.19ee3cca3ba59p-2, -0x1.173de98c34302p-2, -0x1.14896cebda24cp-2, -0x1.11d11ded8bd5p-2, -0x1.0f1551f4d3169p-2, -0x1.0c565cc298cap-2, -0x1.09949073b218ep-2, -0x1.06d03d7fc4c99p-2, -0x1.0409b2b87cefcp-2, -0x1.01413d491b03ap-2, -0x1.fcee516c91902p-3, -0x1.f7577dbc82a08p-3, -0x1.f1be8ff27fa91p-3, -0x1.ec2415346f119p-3, -0x1.e688975f9e5c3p-3, -0x1.e0ec9d0b4361bp-3, -0x1.db50a98b78b28p-3, -0x1.d5b53cf4b9839p-3, -0x1.d01ad41fd297ap-3, -0x1.ca81e8ae47449p-3, -0x1.c4eaf10f21c83p-3, -0x1.bf56608430b03p-3, -0x1.b9c4a727a340bp-3, -0x1.b43631f20a21ep-3, -0x1.aeab6ac0b388p-3, -0x1.a924b85c5f51bp-3, -0x1.a3a27e80408dap-3, -0x1.9e251de158b96p-3, -0x1.98acf43614f7cp-3, -0x1.933a5c3e37ce8p-3, -0x1.8dcdadcb0238cp-3, -0x1.88673dc7a0748p-3, -0x1.83075e41cf1b2p-3, -0x1.7dae5e72b7a4cp-3, -0x1.785c8ac80618p-3, -0x1.73122ced29d3fp-3, -0x1.6dcf8bd4c95dfp-3, -0x1.6894ebc25b217p-3, -0x1.63628e53e8685p-3, -0x1.5e38b28bf3827p-3, -0x1.591794db7d977p-3, -0x1.53ff6f2c2c239p-3, -0x1.4ef078ea87f63p-3, -0x1.49eae7104f8a6p-3, -0x1.44eeec2eebadbp-3, -0x1.3ffcb879e5083p-3, -0x1.3b1479d1786d5p-3, -0x1.36365bcd2f93p-3, -0x1.316287c688bd1p-3, -0x1.2c9924e3a4903p-3, -0x1.27da5821fd92cp-3, -0x1.23264461208dep-3, -0x1.1e7d0a6d6792dp-3, -0x1.19dec90ab5e14p-3, -0x1.154b9cff2f676p-3, -0x1.10c3a11df204ep-3, -0x1.0c46ee51bfd99p-3, -0x1.07d59ba7aa75p-3, -0x1.036fbe59aff3ep-3, -0x1.fe2ad3b29ea13p-4, -0x1.f58d5fb41d445p-4, -0x1.ed0740b7e68e4p-4, -0x1.e498936bdf062p-4, -0x1.dc4171406d333p-4, -0x1.d401f07d0af3cp-4, -0x1.cbda2454b3a5fp-4, -0x1.c3ca1cfa14bccp-4, -0x1.bbd1e7b3aafbfp-4, -0x1.b3f18eefa92a8p-4, -0x1.ac291a57a2f4bp-4, -0x1.a4788ee422b2p-4, -0x1.9cdfeeefe8f78p-4, -0x1.955f3a4b1cdbfp-4, -0x1.8df66e4e23ebap-4, -0x1.86a585ec58dcfp-4, -0x1.7f6c79c6815a1p-4, -0x1.784b403d07cddp-4, -0x1.7141cd81fce4dp-4, -0x1.6a5013aad8d87p-4, -0x1.637602c202ac2p-4, -0x1.5cb388d817bb6p-4, -0x1.56089214ee7ebp-4, -0x1.4f7508c861058p-4, -0x1.48f8d57ad0b6dp-4, -0x1.4293defd6c25cp-4, -0x1.3c460a7a2c984p-4, -0x1.360f3b8398718p-4, -0x1.2fef54243d218p-4, -0x1.29e634ede6684p-4, -0x1.23f3bd0894275p-4, -0x1.1e17ca412899cp-4, -0x1.18523917d5a2p-4, -0x1.12a2e4ce4304fp-4, -0x1.0d09a775719e2p-4, -0x1.078659fb5c422p-4, -0x1.0218d4384d549p-4, -0x1.f981d9f7f3edep-5, -0x1.eefcf434a0524p-5, -0x1.e4a2a0f00ced2p-5, -0x1.da72882dcb97cp-5, -0x1.d06c5043a0e5ap-5, -0x1.c68f9df10d776p-5, -0x1.bcdc147648ceep-5, -0x1.b35155aac5ea2p-5, -0x1.a9ef02132d3eep-5, -0x1.a0b4b8f6c836ap-5, -0x1.97a2187481004p-5, -0x1.8eb6bd974faa5p-5, -0x1.85f2446a2d25fp-5, -0x1.7d54480b8a163p-5, -0x1.74dc62c03e844p-5, -0x1.6c8a2e060e9d3p-5, -0x1.645d42a59e20ap-5, -0x1.5c5538c3ff881p-5, -0x1.5471a7f3b7da7p-5, -0x1.4cb2274556213p-5, -0x1.45164d57960d4p-5, -0x1.3d9db0670a48p-5, -0x1.3647e65d513f6p-5, -0x1.2f1484dfdd949p-5, -0x1.2803215e51d1dp-5, -0x1.2113512063721p-5, -0x1.1a44a9535a55ep-5, -0x1.1396bf1724e89p-5, -0x1.0d09278af7cf8p-5, -0x1.069b77d995a33p-5, -0x1.004d4545271fep-5, -0x1.f43c4a655f87p-6, -0x1.e81b5a6a429fdp-6, -0x1.dc36e63015591p-6, -0x1.d08e19d3d3c9ap-6, -0x1.c520220c4badep-6, -0x1.b9ec2c3d3bf5p-6, -0x1.aef16689da335p-6, -0x1.a42effe6903bbp-6, -0x1.99a4282a28c2dp-6, -0x1.8f50101e23fb1p-6, -0x1.8531e98e9c4cap-6, -0x1.7b48e759519dcp-6, -0x1.71943d7c3103dp-6, -0x1.681321234c32ep-6, -0x1.5ec4c8b607ac1p-6, -0x1.55a86be3e012ap-6, -0x1.4cbd43b080fdp-6, -0x1.44028a7f555efp-6, -0x1.3b777c1e8beap-6, -0x1.331b55d18b2dbp-6, -0x1.2aed565ae21fdp-6, -0x1.22ecbe05aa803p-6, -0x1.1b18ceae8a201p-6, -0x1.1370cbcc092b5p-6, -0x1.0bf3fa76934b2p-6, -0x1.04a1a16fecc14p-6, -0x1.faf21254720edp-7, -0x1.ecf2f79d25ea8p-7, -0x1.df448a8667349p-7, -0x1.d1e566624b613p-7, -0x1.c4d42a13341ffp-7, -0x1.b80f7815b4a26p-7, -0x1.ab95f68987a14p-7, -0x1.9f664f39fb75ap-7, -0x1.937f2fa563af1p-7, -0x1.87df490418a9ep-7, -0x1.7c85504e7ca2bp-7, -0x1.716ffe4298a46p-7, -0x1.669e0f68f3057p-7, -0x1.5c0e4418b0585p-7, -0x1.51bf607b425c6p-7, -0x1.47b02c8f561f5p-7, -0x1.3ddf742b574cdp-7, -0x1.344c06ff4c6ffp-7, -0x1.2af4b89610175p-7, -0x1.21d860564a804p-7, -0x1.18f5d982a2d89p-7, -0x1.104c0339a120cp-7, -0x1.07d9c075020c8p-7, -0x1.ff3bf01148952p-8, -0x1.ef2f2941f867ap-8, -0x1.df8b09822c157p-8, -0x1.d04d7580a2e14p-8, -0x1.c174598f0ap-8, -0x1.b2fda99bcddccp-8, -0x1.a4e7612b47437p-8, -0x1.972f834fd4faep-8, -0x1.89d41aa1aa7fdp-8, -0x1.7cd33935d0258p-8, -0x1.702af89492d0ap-8, -0x1.63d979af44e6ap-8, -0x1.57dce4d5a64aep-8, -0x1.4c3369aa87e36p-8, -0x1.40db3f1809c93p-8, -0x1.35d2a3436eca6p-8, -0x1.2b17db805b064p-8, -0x1.20a934439bc0ap-8, -0x1.16850115af506p-8, -0x1.0ca99c84c2d9cp-8, -0x1.0315681656ce1p-8, -0x1.f38d987129c7cp-9, -0x1.e17870667c629p-9, -0x1.cfe84430dfccap-9, -0x1.beda0d699dcf6p-9, -0x1.ae4ad2ffaf71ep-9, -0x1.9e37a916f1233p-9, -0x1.8e9db0e7ad062p-9, -0x1.7f7a189d25a85p-9, -0x1.70ca1b33ea1edp-9, -0x1.628b0057bcebcp-9, -0x1.54ba1c411e917p-9, -0x1.4754cf92a0fa1p-9, -0x1.3a588735da0bap-9, -0x1.2dc2bc38037afp-9, -0x1.2190f3a64d7e9p-9, -0x1.15c0be6a9015cp-9, -0x1.0a4fb926a338p-9, -0x1.fe771821cbc68p-10, -0x1.e903d59f7385cp-10, -0x1.d44128aa13123p-10, -0x1.c02aa57437b04p-10, -0x1.acbbf63584b32p-10, -0x1.99f0dae2029d3p-10, -0x1.87c528e0f026cp-10, -0x1.7634cac30326bp-10, -0x1.653bbff9edbe4p-10, -0x1.54d61c8ee08f5p-10, -0x1.450008d96ca64p-10, -0x1.35b5c136c1b72p-10, -0x1.26f395c12fe81p-10, -0x1.18b5ea06ff997p-10, -0x1.0af934c2a093dp-10, -0x1.fb73ff251f286p-11, -0x1.e1e9cd625c7p-11, -0x1.c94d315b44f8ep-11, -0x1.b197ac492999bp-11, -0x1.9ac2e2f23af03p-11, -0x1.84c89d1da199dp-11, -0x1.6fa2c506e909dp-11, -0x1.5b4b66d1aa187p-11, -0x1.47bcb00255789p-11, -0x1.34f0eef0db527p-11, -0x1.22e29243514d6p-11, -0x1.118c2864efda6p-11, -0x1.00e85eff805e6p-11, -0x1.e1e404edd6575p-12, -0x1.c347fac865544p-12, -0x1.a5f2b02568471p-12, -0x1.89da6ffafb743p-12, -0x1.6ef5be9d4c77bp-12, -0x1.553b58c03e86p-12, -0x1.3ca2327948c62p-12, -0x1.25217643831d9p-12, -0x1.0eb0840b2f447p-12, -0x1.f28de068bacc8p-13, -0x1.c9b9055654bfdp-13, -0x1.a2d26be015ddbp-13, -0x1.7dca6c5a0633bp-13, -0x1.5a91c08fa4f4fp-13, -0x1.391981f7678d7p-13, -0x1.195327e3c14d1p-13, -0x1.f6610b7d0bc9p-14, -0x1.bd47928d2ab4ap-14, -0x1.873ef1ac1d6cap-14, -0x1.542ce355ec3ccp-14, -0x1.23f7cc6ce4b78p-14, -0x1.ed0d71cf75f35p-15, -0x1.9782b1019faf9p-15, -0x1.471ff6fb3f238p-15, -0x1.f76e3dbc00b14p-16, -0x1.6a3670477b5d2p-16, -0x1.cc8201688af47p-17, -0x1.ace2e78bf05d5p-18, 0x1.cd55638d8b9b7p-22, 0x1.c5679d1b18ce5p-18, 0x1.a70711f19af15p-17, 0x1.2dfea809700dp-16, 0x1.81159cfaa348p-16, 0x1.cd10b6bb6f348p-16, 0x1.091b22d6d855ap-15, 0x1.2865535e2181cp-15, 0x1.448826ffe92bp-15, 0x1.5da3e8aeca20fp-15, 0x1.73d7f988c9bd4p-15, 0x1.8742d5e655102p-15, 0x1.98021a79a5916p-15, 0x1.a632893cfe663p-15, 0x1.b1f00e5990f34p-15, 0x1.bb55c4fa1e5d9p-15, 0x1.c27dfc0283aa1p-15, 0x1.c7823ab46b15bp-15, 0x1.ca7b45482e404p-15, 0x1.cb812162bf2ffp-15, 0x1.caab1a87ee582p-15, 0x1.c80fc66eda85dp-15, 0x1.c3c50947e230ep-15, 0x1.bde019e45a894p-15, 0x1.b67585dc26d7ep-15, 0x1.ad99359624e73p-15, 0x1.a35e703d498d3p-15, 0x1.97d7dfa9e394dp-15, 0x1.8b17942cec16fp-15, 0x1.7d2f085e2faefp-15, 0x1.6e2f24b69f66ep-15, 0x1.5e284340fd87ap-15, 0x1.4d2a331a42bbcp-15, 0x1.3b443bec201cfp-15, 0x1.2885215b19acbp-15, 0x1.14fb265a93839p-15, 0x1.00b410747bbe6p-15, 0x1.d77a5604c3ffdp-16, 0x1.ac4694a30d9bbp-16, 0x1.7fe59d755c72cp-16, 0x1.526f4f53cdc6ap-16, 0x1.23faad1c629bdp-16, 0x1.e93bc744a7c42p-17, 0x1.88dc9e7997732p-17, 0x1.270102dc4d832p-17, 0x1.87a11943b532cp-18, 0x1.7dc54fbe91382p-19, -0x1.7e0130e86d24bp-23, -0x1.b1211981bf12cp-19, -0x1.a6bb3654da7b4p-18, -0x1.3b1784f70d2fcp-17, -0x1.a356d393e5956p-17, -0x1.05fecdab1115p-16, -0x1.3a7795fa531f4p-16, -0x1.6f0803c54bed8p-16, -0x1.a3a2ece331fdfp-16, -0x1.d83bb7b3adf02p-16, -0x1.06632b6e285eap-15, -0x1.209ba29e32d9ep-15, -0x1.3ac1c0ed4997p-15, -0x1.54d0460376876p-15, -0x1.6ec22fbd74af1p-15, -0x1.8892b85328927p-15, -0x1.a23d547c23d73p-15, -0x1.bbbdb1ae1900ap-15, -0x1.d50fb458f9d06p-15, -0x1.ee2f763653df2p-15, -0x1.038ca24eedb69p-14, -0x1.0fe4cf73cd0e4p-14, -0x1.1c1e9a6a1a513p-14, -0x1.2838728166f2bp-14, -0x1.3430ddb74cd23p-14, -0x1.400677fbc4884p-14, -0x1.4bb7f27825e86p-14, -0x1.574412de79cffp-14, -0x1.62a9b2b724707p-14, -0x1.6de7beba8978ap-14, -0x1.78fd3627cb20cp-14, -0x1.83e92a254a30bp-14, -0x1.8eaabd2243bb7p-14, -0x1.9941223c7d907p-14, -0x1.a3ab9cab63ba5p-14, -0x1.ade97f2e7225cp-14, -0x1.b7fa2b7e5a23fp-14, -0x1.c1dd11c47b3d5p-14, -0x1.cb91b0125a09dp-14, -0x1.d51791dfedd9fp-14, -0x1.de6e4f8b2d3b5p-14, -0x1.e7958ddd226b6p-14, -0x1.f08cfd909a85p-14, -0x1.f9545adc9872bp-14, -0x1.00f5b6816726dp-13, -0x1.052902f038357p-13, -0x1.094400c09e215p-13, -0x1.0d46a2dc2c2bp-13, -0x1.1130e0dc6c1b1p-13, -0x1.1502b6d9e6effp-13, -0x1.18bc253bad73ap-13, -0x1.1c5d308899446p-13, -0x1.1fe5e13a1eafcp-13, -0x1.235643903146p-13, -0x1.26ae676658de7p-13, -0x1.29ee600a9f7d4p-13, -0x1.2d164414cd956p-13, -0x1.30262d3f66da3p-13, -0x1.331e3842168efp-13, -0x1.35fe84ac7c37p-13, -0x1.38c734c3296cp-13, -0x1.3b786d5c8afccp-13, -0x1.3e1255bfdd5d5p-13, -0x1.409517849d63ep-13, -0x1.4300de72e0821p-13, -0x1.4555d8656ad8ep-13, -0x1.4794352c0aa84p-13, -0x1.49bc266f39cd7p-13, -0x1.4bcddf94839dbp-13, -0x1.4dc995a39c313p-13, -0x1.4faf7f2d0fb4ep-13, -0x1.517fd43103c09p-13, -0x1.533ace07665d5p-13, -0x1.54e0a74895befp-13, -0x1.56719bb7266abp-13, -0x1.57ede8295934ap-13, -0x1.5955ca756bb8p-13, -0x1.5aa9815c48ae6p-13, -0x1.5be94c76a144dp-13, -0x1.5d156c22594eap-13, -0x1.5e2e216fc755bp-13, -0x1.5f33ae10ddc22p-13, -0x1.60265447d5e7cp-13, -0x1.610656d747deap-13, -0x1.61d3f8f2b4bfbp-13, -0x1.628f7e2f7c10bp-13, -0x1.63392a7625db6p-13, -0x1.63d141f533ae1p-13, -0x1.64580912f9e9ap-13, -0x1.64cdc4618460ep-13, -0x1.6532b8921d4b2p-13, -0x1.65872a695250ep-13, -0x1.65cb5eb42cbd4p-13, -0x1.65ff9a3d31d7bp-13, -0x1.662421c1c81eap-13, -0x1.663939e878496p-13, -0x1.663f2737c4b4bp-13, -0x1.66362e0c7700dp-13, -0x1.661e9291bbc0dp-13, -0x1.65f898b87d68cp-13, -0x1.65c4842f94b4cp-13, -0x1.6582985c14fcp-13, -0x1.65331852b6f14p-13, -0x1.64d646d05118bp-13, -0x1.646c66341b9b7p-13, -0x1.63f5b8794f463p-13, -0x1.63727f310f4a4p-13, -0x1.62e2fb7d84572p-13, -0x1.62476e0bec2fdp-13, -0x1.61a01710766bfp-13, -0x1.60ed3640e6debp-13, -0x1.602f0ad0c9b61p-13, -0x1.5f65d36d2ee89p-13, -0x1.5e91ce38ae975p-13, -0x1.5db338c803dcap-13, -0x1.5cca501e5dbdep-13, -0x1.5bd750aab1b92p-13, -0x1.5ada76444d913p-13, -0x1.59d3fc2861b37p-13, -0x1.58c41cf7c542bp-13, -0x1.57ab12b4154d1p-13, -0x1.568916be055a6p-13, -0x1.555e61d342fd8p-13, -0x1.542b2c0c93f19p-13, -0x1.52efacdc92be7p-13, -0x1.51ac1b0dec5c7p-13, -0x1.5060acc2751dep-13, -0x1.4f0d9771cb345p-13, -0x1.4db30fe83af69p-13, -0x1.4c514a465e803p-13, -0x1.4ae879ffec593p-13, -0x1.4978d1db7f9e3p-13, -0x1.480283f207e28p-13, -0x1.4685c1ae739f1p-13, -0x1.4502bbcd88905p-13, -0x1.4379a25dd8e78p-13, -0x1.41eaa4bf59017p-13, -0x1.4055f1a436ac8p-13, -0x1.3ebbb7105cdbbp-13, -0x1.3d1c225a25fe7p-13, -0x1.3b77602a8d8aep-13, -0x1.39cd9c7dfc744p-13, -0x1.381f02a437275p-13, -0x1.366bbd418fc8fp-13, -0x1.34b3f64f6c6b8p-13, -0x1.32f7d71cc6f55p-13, -0x1.3137884f612cdp-13, -0x1.2f7331e49eb2p-13, -0x1.2daafb32246bap-13, -0x1.2bdf0ae748ec5p-13, -0x1.2a0f870dd27fep-13, -0x1.283c950b36ecap-13, -0x1.266659a1b1c6p-13, -0x1.248cf8f19f338p-13, -0x1.22b0967a790aep-13, -0x1.20d1551c80daap-13, -0x1.1eef5719b402p-13, -0x1.1d0abe17649ebp-13, -0x1.1b23ab1f5aae2p-13, -0x1.193a3ea18c814p-13, -0x1.174e9875836cp-13, -0x1.1560d7db936b4p-13, -0x1.13711b7e9398dp-13, -0x1.117f81758cb6ap-13, -0x1.0f8c2744d4e89p-13, -0x1.0d9729dff27e3p-13, -0x1.0ba0a5ab180cap-13, -0x1.09a8b67cc2c4p-13, -0x1.07af779f2ca11p-13, -0x1.05b503d232d1p-13, -0x1.03b9754ccb7dep-13, -0x1.01bce5bea4237p-13, -0x1.ff7edca381948p-14, -0x1.fb824f58a6374p-14, -0x1.f78453e45cc16p-14, -0x1.f385198d0386dp-14, -0x1.ef84ce9b1dea1p-14, -0x1.eb83a05c592dcp-14, -0x1.e781bb2779a89p-14, -0x1.e37f4a5f2d25fp-14, -0x1.df7c787564622p-14, -0x1.db796eeec5bf2p-14, -0x1.d776566635971p-14, -0x1.d373568fd7735p-14, -0x1.cf70963c57522p-14, -0x1.cb6e3b5c518c7p-14, -0x1.c76c6b03c1efep-14, -0x1.c36b496d18c6dp-14, -0x1.bf6af9fc4a789p-14, -0x1.bb6b9f4272e1cp-14, -0x1.b76d5b00b9b85p-14, -0x1.b3704e2bba717p-14, -0x1.af7498ee8adfdp-14, -0x1.ab7a5aae04796p-14, -0x1.a781b20bd22abp-14, -0x1.a38abce9688bep-14, -0x1.9f95986b738a1p-14, -0x1.9ba260fcb78d9p-14, -0x1.97b13250fd9d2p-14, -0x1.93c22768291e6p-14, -0x1.8fd55a913fe53p-14, -0x1.8beae56d84a2fp-14, -0x1.8802e0f32964bp-14, -0x1.841d65703afdbp-14, -0x1.803a8a8d8fdedp-14, -0x1.7c5a67519795p-14, -0x1.787d12235d9f8p-14, -0x1.74a2a0cd0b784p-14, -0x1.70cb287ec4dcep-14, -0x1.6cf6bdd15cd28p-14, -0x1.692574c92806p-14, -0x1.655760d86efa8p-14, -0x1.618c94e244bcap-14, -0x1.5dc5233cf4058p-14, -0x1.5a011db4ba302p-14, -0x1.5640958e2c9d5p-14, -0x1.52839b88c7b4cp-14, -0x1.4eca3fe15f73bp-14, -0x1.4b149254b48e5p-14, -0x1.4762a221b3ffp-14, -0x1.43b47e0be50f9p-14, -0x1.400a345dc5e9cp-14, -0x1.3c63d2eb0a3ffp-14, -0x1.38c16712fce86p-14, -0x1.3522fdc2b2185p-14, -0x1.3188a3774525dp-14, -0x1.2df2643ff29f1p-14, -0x1.2a604bc05c2c6p-14, -0x1.26d26532a2a78p-14, -0x1.2348bb69652ccp-14, -0x1.1fc358d1e4627p-14, -0x1.1c42477609d38p-14, -0x1.18c590fe641f7p-14, -0x1.154d3eb422fb7p-14, -0x1.11d95982f800cp-14, -0x1.0e69e9fb0b1dp-14, -0x1.0afef852e266cp-14, -0x1.07988c691fca9p-14, -0x1.0436adc66430ap-14, -0x1.00d9639f1dbc4p-14, -0x1.fb0169aa7f6b2p-15, -0x1.f4594ff409cb3p-15, -0x1.edba869f2fa6ap-15, -0x1.e72519959eb87p-15, -0x1.e09914296578p-15, -0x1.da168118679acp-15, -0x1.d39d6a8f9fc94p-15, -0x1.cd2dda2e03a6fp-15, -0x1.c6c7d907a2949p-15, -0x1.c06b6fa8caee8p-15, -0x1.ba18a618e1786p-15, -0x1.b3cf83dd461ep-15, -0x1.ad900ffc4c283p-15, -0x1.a75a5100095f7p-15, -0x1.a12e4cf8e8a71p-15, -0x1.9b0c098086748p-15, -0x1.94f38bbc46a88p-15, -0x1.8ee4d86015485p-15, -0x1.88dff3b0e37afp-15, -0x1.82e4e18718a2cp-15, -0x1.7cf3a550ea9aap-15, -0x1.770c421534698p-15, -0x1.712eba7588f6bp-15, -0x1.6b5b10b094a52p-15, -0x1.659146a4713e5p-15, -0x1.5fd15dd0cea07p-15, -0x1.5a1b575954b65p-15, -0x1.546f3407b067dp-15, -0x1.4eccf44d84cc9p-15, -0x1.49349846e65b9p-15, -0x1.43a61fbc1f717p-15, -0x1.3e218a23abf4fp-15, -0x1.38a6d6a45be64p-15, -0x1.333604171bda9p-15, -0x1.2dcf1108dc185p-15, -0x1.2871fbbc56317p-15, -0x1.231ec22c1d8e4p-15, -0x1.1dd5620c4b72dp-15, -0x1.1895d8cc2488fp-15, -0x1.13602397a4d49p-15, -0x1.0e343f599def9p-15, -0x1.091228bd0844fp-15, -0x1.03f9dc2ea728bp-15, -0x1.fdd6abbd59e1ap-16, -0x1.f3cd238488c8ep-16, -0x1.e9d7172a5f91bp-16, -0x1.dff47db5aa97cp-16, -0x1.d6254dc0559d8p-16, -0x1.cc697d79eaf31p-16, -0x1.c2c102aa38cd7p-16, -0x1.b92bd2b417c37p-16, -0x1.afa9e2988ccep-16, -0x1.a63b26f88e862p-16, -0x1.9cdf9417f1d2cp-16, -0x1.93971de0903b8p-16, -0x1.8a61b7e3d6638p-16, -0x1.813f555d2b683p-16, -0x1.782fe934e85e8p-16, -0x1.6f3366027a84cp-16, -0x1.6649be0e449b1p-16, -0x1.5d72e3541d51ap-16, -0x1.54aec7858cdc8p-16, -0x1.4bfd5c0b9513cp-16, -0x1.435e9208f91ep-16, -0x1.3ad25a5c633d2p-16, -0x1.3258a5a26c571p-16, -0x1.29f16436df8p-16, -0x1.219c863760c29p-16, -0x1.1959fb85107fep-16, -0x1.1129b3c63df15p-16, -0x1.090b9e6846578p-16, -0x1.00ffaaa1b89dbp-16, -0x1.f20b8ee5b6c08p-17, -0x1.e23bc75151796p-17, -0x1.d28fdbbc41f9fp-17, -0x1.c307a8fa0d537p-17, -0x1.b3a30b80d3e15p-17, -0x1.a461df6bff467p-17, -0x1.9544007e6d44dp-17, -0x1.86494a2636c13p-17, -0x1.7771977efbc01p-17, -0x1.68bcc3552a264p-17, -0x1.5a2aa8288c00ep-17, -0x1.4bbb202f129f3p-17, -0x1.3d6e0556c0ff1p-17, -0x1.2f4331492d7e4p-17, -0x1.213a7d6df880cp-17, -0x1.1353c2ec7ae94p-17, -0x1.058edaaeb1e99p-17, -0x1.efd73ac8ff6abp-18, -0x1.d4d3c706dfbp-18, -0x1.ba130a96bb31ep-18, -0x1.9f94b591a8964p-18, -0x1.855877a8b4df2p-18, -0x1.6b5e002edb68bp-18, -0x1.51a4fe1ccc58fp-18, -0x1.382d20107065bp-18, -0x1.1ef61455363d7p-18, -0x1.05ff88e63da95p-18, -0x1.da9256e43bf96p-19, -0x1.a9a552c04703bp-19, -0x1.79375fa1b5623p-19, -0x1.4947d748e32ecp-19, -0x1.19d612fcddff4p-19, -0x1.d5c2d71448c36p-20, -0x1.78d272a30501bp-20, -0x1.1cd9a89968fe7p-20, -0x1.83ae50455be84p-21, -0x1.9f267ee5b15c9p-22, -0x1.d5f7a5e9db6fbp-25, 0x1.25df494b07293p-22, 0x1.415cc460e9bd7p-21, 0x1.edea8ca22cee8p-21, 0x1.4c4dd32322b9bp-20, 0x1.a0b95d7c7dcbdp-20, 0x1.f4393a9981055p-20, 0x1.2367600ddc852p-19, 0x1.4c3da1f7c7c16p-19, 0x1.74a00e24dd8b7p-19, 0x1.9c8f4fcf7fa45p-19, 0x1.c40c124b9c53p-19, 0x1.eb170102cd268p-19, 0x1.08d863b735b93p-18, 0x1.1bed088bb92a1p-18, 0x1.2ec9c4c6537f2p-18, 0x1.416eee2ea2fb7p-18, 0x1.53dcda8e6cfadp-18, 0x1.6613dfaba608fp-18, 0x1.78145348d59bdp-18, 0x1.89de8b220e72dp-18, 0x1.9b72dce99a94ap-18, 0x1.acd19e48b0512p-18, 0x1.bdfb24dcc48eap-18, 0x1.ceefc63347d5bp-18, 0x1.dfafd7ccdc5ap-18, 0x1.f03baf174ac18p-18, 0x1.0049d0b5aac91p-17, 0x1.085c0207d8eaap-17, 0x1.10549619cce95p-17, 0x1.1833b776e86e9p-17, 0x1.1ff9909de062bp-17, 0x1.27a64bff8d21dp-17, 0x1.2f3a13fe6efap-17, 0x1.36b512ee4fa0fp-17, 0x1.3e17731330f63p-17, 0x1.45615e9fb72efp-17, 0x1.4c92ffb5dcb13p-17, 0x1.53ac8065ee619p-17, 0x1.5aae0aad72c21p-17, 0x1.6197c87705ea5p-17, 0x1.6869e3989d837p-17, 0x1.6f2485d420633p-17, 0x1.75c7d8d6b82b7p-17, 0x1.7c540637988fp-17, 0x1.82c9377823591p-17, 0x1.89279601fa1ccp-17, 0x1.8f6f4b27bde0fp-17, 0x1.95a08024e3e4cp-17, 0x1.9bbb5e1b8da94p-17, 0x1.a1c00e15134b3p-17, 0x1.a7aeb9015ae5bp-17, 0x1.ad8787b628cp-17, 0x1.b34aa2ef222fdp-17, 0x1.b8f8334cc8bf7p-17, 0x1.be906153967aap-17, 0x1.c413556cb666p-17, 0x1.c98137e546438p-17, 0x1.ceda30ed09aadp-17, 0x1.d41e68963a7a3p-17, 0x1.d94e06d5e3a17p-17, 0x1.de693383314fep-17, 0x1.e3701656afd73p-17, 0x1.e862d6e9891dp-17, 0x1.ed419cb5d26d7p-17, 0x1.f20c8f16474e5p-17, 0x1.f6c3d545b22cep-17, 0x1.fb67965e567ccp-17, 0x1.fff7f959017c8p-17, 0x1.023a928751073p-16, 0x1.046fa01b0a9d5p-16, 0x1.069b38b21e9f6p-16, 0x1.08bd6f86188ep-16, 0x1.0ad657bf3adb4p-16, 0x1.0ce60474d057ap-16, 0x1.0eec88ac1b187p-16, 0x1.10e9f758b7e8dp-16, 0x1.12de635ce9f2ap-16, 0x1.14c9df88d8e87p-16, 0x1.16ac7e9a43ec2p-16, 0x1.1886533cf367fp-16, 0x1.1a57700a80daep-16, 0x1.1c1fe78a02894p-16, 0x1.1ddfcc2f879fap-16, 0x1.1f97305cc5db5p-16, 0x1.21462660d7f7dp-16, 0x1.22ecc0779459p-16, 0x1.248b10c9c3163p-16, 0x1.2621296ce0ba6p-16, 0x1.27af1c63c570bp-16, 0x1.2934fb9d4336fp-16, 0x1.2ab2d8f4e6425p-16, 0x1.2c28c632c5708p-16, 0x1.2d96d50b634bep-16, 0x1.2efd171f5569ap-16, 0x1.305b9dfb29c0bp-16, 0x1.31b27b17ff6cep-16, 0x1.3301bfdae827dp-16, 0x1.34497d944e151p-16, 0x1.3589c580fda6bp-16, 0x1.36c2a8c984346p-16, 0x1.37f43881eb873p-16, 0x1.391e85a9c842ap-16, 0x1.3a41a12c984a6p-16, 0x1.3b5d9be134cdap-16, 0x1.3c728689b4bc5p-16, 0x1.3d8071d3b364dp-16, 0x1.3e876e5863e8ap-16, 0x1.3f878c9bcb139p-16, 0x1.4080dd0d22cc9p-16, 0x1.417370072fd55p-16, 0x1.425f55cfa28abp-16, 0x1.43449e972042fp-16, 0x1.44235a795551ap-16, 0x1.44fb997d444aap-16, 0x1.45cd6b9459a91p-16, 0x1.4698e09b22d61p-16, 0x1.475e085922342p-16, 0x1.481cf280ba398p-16, 0x1.48d5aeae8b4f5p-16, 0x1.49884c6aa2759p-16, 0x1.4a34db27bf5aap-16, 0x1.4adb6a42d4d0bp-16, 0x1.4b7c0903bf1bdp-16, 0x1.4c16c69d58d78p-16, 0x1.4cabb22cc4a89p-16, 0x1.4d3adab9ba56fp-16, 0x1.4dc44f36dd46p-16, 0x1.4e481e8131623p-16, 0x1.4ec657600ee13p-16, 0x1.4f3f0885f844bp-16, 0x1.4fb2408f9e269p-16, 0x1.50200e03e95p-16, 0x1.50887f550273ep-16, 0x1.50eba2df22d27p-16, 0x1.514986e93d8f1p-16, 0x1.51a239a45fb87p-16, 0x1.51f5c92cdfa53p-16, 0x1.52444388ecbd7p-16, 0x1.528db6a96bf95p-16, 0x1.52d2306a0a9dap-16, 0x1.5311be90bbcecp-16, 0x1.534c6ecdf00d3p-16, 0x1.53824ebd0aa94p-16, 0x1.53b36be3b58b8p-16, 0x1.53dfd3b1dc29ap-16, 0x1.54079382d51f7p-16, 0x1.542ab89c0624ep-16, 0x1.5449502d552fbp-16, 0x1.5463675189ba7p-16, 0x1.54790b0e65fccp-16, 0x1.548a4853a43bap-16, 0x1.54972bfc50a9dp-16, 0x1.549fc2cde219bp-16, 0x1.54a4197884358p-16, 0x1.54a43c97a4bacp-16, 0x1.54a038b0fe7bbp-16, 0x1.54981a352247ap-16, 0x1.548bed80111f8p-16, 0x1.547bbed8249ffp-16, 0x1.54679a6ecd3d2p-16, 0x1.544f8c607064bp-16, 0x1.5433a0b4c62a5p-16, 0x1.5413e35df088ep-16, 0x1.53f06039d6b3fp-16, 0x1.53c923110ef2ep-16, 0x1.539e37976c957p-16, 0x1.536fa96c284dbp-16, 0x1.533d84199486cp-16, 0x1.5307d31503745p-16, 0x1.52cea1bfed115p-16, 0x1.5291fb666216p-16, 0x1.5251eb3ff064bp-16, 0x1.520e7c70401f1p-16, 0x1.51c7ba060b332p-16, 0x1.517daefb438bbp-16, 0x1.513066366a0efp-16, 0x1.50dfea88ca18ep-16, 0x1.508c46b00c48cp-16, 0x1.503585551a98ap-16, 0x1.4fdbb10d14a42p-16, 0x1.4f7ed458fef3cp-16, 0x1.4f1ef9a59cccap-16, 0x1.4ebc2b4b99faep-16, 0x1.4e567390462bep-16, 0x1.4deddca47f81fp-16, 0x1.4d8270a54cc83p-16, 0x1.4d14399c74c52p-16, 0x1.4ca3417fa102ep-16, 0x1.4c2f9230e8e16p-16, 0x1.4bb9357f09129p-16, 0x1.4b403524dab15p-16, 0x1.4ac49aca1e757p-16, 0x1.4a4670032b46dp-16, 0x1.49c5be5091491p-16, 0x1.49428f2049387p-16, }}, 
      {{0x1.752aafd3975fap-1, 0x1.750325e07d016p-1, 0x1.74c1b96af5329p-1, 0x1.746719abcb69cp-1, 0x1.73f42fda4ee82p-1, 0x1.736a15de3a4f2p-1, 0x1.72ca0ca75f91ep-1, 0x1.721572bcc698ap-1, 0x1.714dbb632b85p-1, 0x1.70746694bd2b2p-1, 0x1.6f8af9e7c7d55p-1, 0x1.6e92fa6dd4ccfp-1, 0x1.6d8de786e62b7p-1, 0x1.6c7d369b7fc9p-1, 0x1.6b624faac8e97p-1, 0x1.6a3e8a974f83fp-1, 0x1.69132d1c165d1p-1, 0x1.67e16953eaf52p-1, 0x1.66aa5cbe28b7fp-1, 0x1.656f0fadadd24p-1, 0x1.64307510a7dd1p-1, 0x1.62ef6a81c6177p-1, 0x1.61acb8954a98dp-1, 0x1.606913563fb7ep-1, 0x1.5f251ae9ba758p-1, 0x1.5de15c4f915a4p-1, 0x1.5c9e523944113p-1, 0x1.5b5c65f0f0fbcp-1, 0x1.5a1bf04b3ef79p-1, 0x1.58dd3a9ff7149p-1, 0x1.57a07fc5cb463p-1, 0x1.5665ed0e63aadp-1, 0x1.552da34058525p-1, 0x1.53f7b78d276a4p-1, 0x1.52c43481a10b4p-1, 0x1.51931aef8df95p-1, 0x1.506462cf96a76p-1, 0x1.4f37fc1ab34fap-1, 0x1.4e0dcf9a9203dp-1, 0x1.4ce5bfb090314p-1, 0x1.4bbfa9130252dp-1, 0x1.4a9b6380a470ap-1, 0x1.4978c26a23961p-1, 0x1.48579591c5beap-1, 0x1.4737a9a145ff3p-1, 0x1.4618c8b60c7fcp-1, 0x1.44fabae3f0ac4p-1, 0x1.43dd46aec1dep-1, 0x1.42c0317adb18dp-1, 0x1.41a33ff50aa5dp-1, 0x1.408636721eb1p-1, 0x1.3f68d94669988p-1, 0x1.3e4aed1596fc1p-1, 0x1.3d2c371b2a9dfp-1, 0x1.3c0c7d6c0141ep-1, 0x1.3aeb873134f5ap-1, 0x1.39c91cdcba86p-1, 0x1.38a508581606bp-1, 0x1.377f152d813d8p-1, 0x1.365710abd89c4p-1, 0x1.352cca05aa43p-1, 0x1.3400126bb5538p-1, 0x1.32d0bd2330ab7p-1, 0x1.319e9f982401bp-1, 0x1.3069916c205d6p-1, 0x1.2f316c81a1926p-1, 0x1.2df60d045b2cp-1, 0x1.2cb7516eb7947p-1, 0x1.2b751a8cc2decp-1, 0x1.2a2f4b7cc1307p-1, 0x1.28e5c9ada63b3p-1, 0x1.27987cdba3354p-1, 0x1.26474f0afde5ep-1, 0x1.24f22c815d2f8p-1, 0x1.239903bdb89eep-1, 0x1.223bc56f11082p-1, 0x1.20da646a1a38fp-1, 0x1.1f74d59df5a2p-1, 0x1.1e0b100820ee7p-1, 0x1.1c9d0ca7b3961p-1, 0x1.1b2ac67007578p-1, 0x1.19b43a3ae58d2p-1, 0x1.183966ba4e088p-1, 0x1.16ba4c69eefbep-1, 0x1.1536ed805cadcp-1, 0x1.13af4de01e128p-1, 0x1.122373089bb6p-1, 0x1.10936406fdeefp-1, 0x1.0eff296709f92p-1, 0x1.0d66cd24048e2p-1, 0x1.0bca5a99a7a0cp-1, 0x1.0a29de75335c4p-1, 0x1.088566a69e962p-1, 0x1.06dd0251f3ab5p-1, 0x1.0530c1c0da39bp-1, 0x1.0380b65454bf3p-1, 0x1.01ccf276b7d63p-1, 0x1.0015898dddb28p-1, 0x1.fcb51fdb2e63p-2, 0x1.f9383594c29abp-2, 0x1.f5b48058b9831p-2, 0x1.f22a2dc51b9f9p-2, 0x1.ee996cecc224p-2, 0x1.eb026e3ef53efp-2, 0x1.e765636f99c53p-2, 0x1.e3c27f5ff3f4fp-2, 0x1.e019f607fee04p-2, 0x1.dc6bfc605256ep-2, 0x1.d8b8c84ca4813p-2, 0x1.d5009086d604p-2, 0x1.d1438c8a97a3ap-2, 0x1.cd81f4819bc19p-2, 0x1.c9bc0130596d9p-2, 0x1.c5f1ebe35ed7dp-2, 0x1.c223ee5d2f9d9p-2, 0x1.be5242c4acbf9p-2, 0x1.ba7d239408e3cp-2, 0x1.b6a4cb88432c3p-2, 0x1.b2c97591266f1p-2, 0x1.aeeb5cc1cd417p-2, 0x1.ab0abc41a8a08p-2, 0x1.a727cf3e04d4dp-2, 0x1.a342d0dc0c8e8p-2, 0x1.9f5bfc2b48e9p-2, 0x1.9b738c189b42bp-2, 0x1.9789bb61ac10ap-2, 0x1.939ec488d3f73p-2, 0x1.8fb2e1c975792p-2, 0x1.8bc64d0cca521p-2, 0x1.87d93fdf1f352p-2, 0x1.83ebf3657f411p-2, 0x1.7ffea053cba62p-2, 0x1.7c117ee33aa5dp-2, 0x1.7824c6c943353p-2, 0x1.7438af2eec748p-2, 0x1.704d6ea880fdp-2, 0x1.6c633b2da8376p-2, 0x1.687a4a11dcefcp-2, 0x1.6492cffd474ebp-2, 0x1.60ad00e5ef389p-2, 0x1.5cc910094e1d8p-2, 0x1.58e72fe639a02p-2, 0x1.5507923725c1dp-2, 0x1.512a67ecbcd21p-2, 0x1.4d4fe128ce726p-2, 0x1.49782d398e358p-2, 0x1.45a37a95255dap-2, 0x1.41d1f6d592e3dp-2, 0x1.3e03ceb4db8afp-2, 0x1.3a392e0981a28p-2, 0x1.36723fc34a319p-2, 0x1.32af2de84b238p-2, 0x1.2ef021923cbf1p-2, 0x1.2b3542ec141f2p-2, 0x1.277eb92fdec33p-2, 0x1.23ccaaa4e0f95p-2, 0x1.201f3c9df24b3p-2, 0x1.1c7693781cc5p-2, 0x1.18d2d2997336p-2, 0x1.15341c7027369p-2, 0x1.119a9271d5b7bp-2, 0x1.0e06551b0d9ffp-2, 0x1.0a7783ef088bfp-2, 0x1.06ee3d779e7ddp-2, 0x1.036a9f4565f86p-2, 0x1.ffd98be00fff5p-3, 0x1.f8e99a2d8ab7cp-3, 0x1.f2059ec24debap-3, 0x1.eb2dccffb7e1ap-3, 0x1.e462565b8860fp-3, 0x1.dda36a6241617p-3, 0x1.d6f136b9dd0ebp-3, 0x1.d04be724cf70dp-3, 0x1.c9b3a58550355p-3, 0x1.c32899e0ead6ep-3, 0x1.bcaaea6454425p-3, 0x1.b63abb677e0dep-3, 0x1.afd82f71eac82p-3, 0x1.a983673f3b736p-3, 0x1.a33c81c3f46b7p-3, 0x1.9d039c3279b6p-3, 0x1.96d8d2003d75ap-3, 0x1.90bc3ceb18966p-3, 0x1.8aadf4fedd874p-3, 0x1.84ae109b07fb3p-3, 0x1.7ebca4789b48ap-3, 0x1.78d9c3b02a202p-3, 0x1.73057fbff6038p-3, 0x1.6d3fe8923f1cdp-3, 0x1.67890c83a2299p-3, 0x1.61e0f8699edbp-3, 0x1.5c47b7993515ap-3, 0x1.56bd53ed93c8bp-3, 0x1.5141d5cee4cb8p-3, 0x1.4bd5443929728p-3, 0x1.4677a4c3299c1p-3, 0x1.4128fba56c6aep-3, 0x1.3be94bc147deap-3, 0x1.36b896a7f6955p-3, 0x1.3196dca1b2d35p-3, 0x1.2c841cb4e6a7fp-3, 0x1.278054ad53463p-3, 0x1.228b812346706p-3, 0x1.1da59d82d0c4dp-3, 0x1.18cea412fb296p-3, 0x1.14068dfcffbc2p-3, 0x1.0f4d53537d7c2p-3, 0x1.0aa2eb19ab11cp-3, 0x1.06074b4a844fcp-3, 0x1.017a68dff26cfp-3, 0x1.f9f86fb3dc2bep-4, 0x1.f119568b2c1eep-4, 0x1.e8576a888122ep-4, 0x1.dfb28e250428dp-4, 0x1.d72aa21e41888p-4, 0x1.cebf8584136b8p-4, 0x1.c67115c650683p-4, 0x1.be3f2ec27a1c1p-4, 0x1.b629aad138c21p-4, 0x1.ae3062d3c1accp-4, 0x1.a6532e411549ap-4, 0x1.9e91e33320ff4p-4, 0x1.96ec5673b1b85p-4, 0x1.8f625b894ad03p-4, 0x1.87f3c4c3cddap-4, 0x1.80a06348fe571p-4, 0x1.79680720d809ep-4, 0x1.724a7f41bfa42p-4, 0x1.6b47999c7fe86p-4, 0x1.645f232821807p-4, 0x1.5d90e7ed9137ap-4, 0x1.56dcb31319b2fp-4, 0x1.50424ee7acf51p-4, 0x1.49c184edffcbap-4, 0x1.435a1de772641p-4, 0x1.3d0be1decd406p-4, 0x1.36d69832c71b7p-4, 0x1.30ba07a05d69bp-4, 0x1.2ab5f64cfb6b2p-4, 0x1.24ca29d06b3afp-4, 0x1.1ef6673e98f4ep-4, 0x1.193a7331205fdp-4, 0x1.139611d0aabe4p-4, 0x1.0e0906de17abp-4, 0x1.089315bb742d3p-4, 0x1.03340174bef3fp-4, 0x1.fbd71990f6a1cp-5, 0x1.f172f4601e22bp-5, 0x1.e73b17cfdf38ep-5, 0x1.dd2f07ef3b9f1p-5, 0x1.d34e4872dcf76p-5, 0x1.c9985cc43d47ep-5, 0x1.c00cc8107a509p-5, 0x1.b6ab0d56b7975p-5, 0x1.ad72af7625523p-5, 0x1.a463313ba7f91p-5, 0x1.9b7c156f1dac8p-5, 0x1.92bcdee0400abp-5, 0x1.8a2510732f1c6p-5, 0x1.81b42d2c96931p-5, 0x1.7969b83d7c79bp-5, 0x1.7145350eb1996p-5, 0x1.6946274be3edep-5, 0x1.616c12ee5d023p-5, 0x1.59b67c4763c44p-5, 0x1.5224e80a48d95p-5, 0x1.4ab6db561777cp-5, 0x1.436bdbbefa9bp-5, 0x1.3c436f5743927p-5, 0x1.353d1cb824368p-5, 0x1.2e586b0a166edp-5, 0x1.2794e20ceffb9p-5, 0x1.20f20a1fad0f6p-5, 0x1.1a6f6c47e6d25p-5, 0x1.140c9239016ap-5, 0x1.0dc9065b0be5ap-5, 0x1.07a453d15a25ep-5, 0x1.019e0680d15ccp-5, 0x1.f76b562be41bfp-6, 0x1.ebd59e152d87cp-6, 0x1.e07a0156e62a8p-6, 0x1.d5579e3a97e5fp-6, 0x1.ca6d94c3e62d7p-6, 0x1.bfbb06b9efb5bp-6, 0x1.b53f17b04cebdp-6, 0x1.aaf8ed0f766d4p-6, 0x1.a0e7ae1cca642p-6, 0x1.970a84020b7b9p-6, 0x1.8d6099d476fb4p-6, 0x1.83e91c9b5ad02p-6, 0x1.7aa33b5652eb9p-6, 0x1.718e270308abfp-6, 0x1.68a912a28cf18p-6, 0x1.5ff3333e51168p-6, 0x1.576bbfecb92acp-6, 0x1.4f11f1d548264p-6, 0x1.46e5043473717p-6, 0x1.3ee4345f1a3efp-6, 0x1.370ec1c596dc3p-6, 0x1.2f63edf68b0cp-6, 0x1.27e2fca14928cp-6, 0x1.208b3397ef2afp-6, 0x1.195bdad133932p-6, 0x1.12543c69de977p-6, 0x1.0b73a4a5fda66p-6, 0x1.04b961f1c981bp-6, 0x1.fc4989c489266p-7, 0x1.ef6a406b3978dp-7, 0x1.e2d391a678748p-7, 0x1.d6842b9748b27p-7, 0x1.ca7ac0b011a9ep-7, 0x1.beb607b350bbbp-7, 0x1.b334bbb1e7b9bp-7, 0x1.a7f59c08eb5bdp-7, 0x1.9cf76c5f0c603p-7, 0x1.9238f4a195b5fp-7, 0x1.87b9010108238p-7, 0x1.7d7661ed5097ep-7, 0x1.736fec11a5d28p-7, 0x1.69a478500a8fbp-7, 0x1.6012e3bc743abp-7, 0x1.56ba0f979fff3p-7, 0x1.4d98e149af8ebp-7, 0x1.44ae425c48392p-7, 0x1.3bf92074a0b4fp-7, 0x1.33786d4d1d309p-7, 0x1.2b2b1eaec51bdp-7, 0x1.23102e6a6ea21p-7, 0x1.1b269a51a86b1p-7, 0x1.136d642f7aaf7p-7, 0x1.0be391c0db2d6p-7, 0x1.04882cad01068p-7, 0x1.fab484fb08872p-8, 0x1.ecb1c92c7273bp-8, 0x1.df06505a0a5e1p-8, 0x1.d1b04c82de975p-8, 0x1.c4adf72810a1ap-8, 0x1.b7fd913b879ep-8, 0x1.ab9d630e3733ap-8, 0x1.9f8bbc3e3d5fap-8, 0x1.93c6f3a4b293cp-8, 0x1.884d67435977cp-8, 0x1.7d1d7c320c841p-8, 0x1.72359e8bf4bap-8, 0x1.6794415cb1288p-8, 0x1.5d37de8d4c9ecp-8, 0x1.531ef6d0f331ep-8, 0x1.49481191bdb6bp-8, 0x1.3fb1bcdd36956p-8, 0x1.365a8d50d62b7p-8, 0x1.2d411e06750b2p-8, 0x1.2464108093bacp-8, 0x1.1bc20c96a6648p-8, 0x1.1359c0614610cp-8, 0x1.0b29e02676fd1p-8, 0x1.03312645c66a5p-8, 0x1.f6dca648e2dacp-9, 0x1.e7c05a3316ee4p-9, 0x1.d90b00b46ee14p-9, 0x1.caba3dcb8a82dp-9, 0x1.bccbc0e3d306dp-9, 0x1.af3d44ae0cc42p-9, 0x1.a20c8ef8c4ec4p-9, 0x1.953770890e123p-9, 0x1.88bbc4f358d7cp-9, 0x1.7c97727440384p-9, 0x1.70c869c9bf182p-9, 0x1.654ca60c42ee6p-9, 0x1.5a222c882f044p-9, 0x1.4f470c9771b8fp-9, 0x1.44b95f7b47eeep-9, 0x1.3a77483644966p-9, 0x1.307ef36673ceep-9, 0x1.26ce972005b3p-9, 0x1.1d6472c7b987fp-9, 0x1.143eceee1817bp-9, 0x1.0b5bfd2a725e4p-9, 0x1.02ba57f67dd7bp-9, 0x1.f4b0851434ed1p-10, 0x1.e468516e9568ap-10, 0x1.d498fd8d3ab32p-10, 0x1.c53f82a7841cfp-10, 0x1.b658ea5518845p-10, 0x1.a7e24e4867fcdp-10, 0x1.99d8d809c3366p-10, 0x1.8c39c0b33c6c9p-10, 0x1.7f0250ad08b0bp-10, 0x1.722fdf6acc83ep-10, 0x1.65bfd32931a04p-10, 0x1.59afa0acaa7fbp-10, 0x1.4dfccb004c675p-10, 0x1.42a4e335fd786p-10, 0x1.37a58826d0eafp-10, 0x1.2cfc66348262dp-10, 0x1.22a7370b3cb47p-10, 0x1.18a3c1647d83ap-10, 0x1.0eefd8ca727b7p-10, 0x1.05895d5c1f28bp-10, 0x1.f8dc7724a844cp-11, 0x1.e738d80a336d1p-11, 0x1.d623e664adb66p-11, 0x1.c599c2891bedbp-11, 0x1.b596a3b5a9d2ep-11, 0x1.a616d7a2f40afp-11, 0x1.9716c21629588p-11, 0x1.8892dc75231a4p-11, 0x1.7a87b55c0119ap-11, 0x1.6cf1f0340c88bp-11, 0x1.5fce44cc142d4p-11, 0x1.53197ef216b6dp-11, 0x1.46d07e0ed4254p-11, 0x1.3af034c24f734p-11, 0x1.2f75a882242dep-11, 0x1.245df138f8e6p-11, 0x1.19a638e79c931p-11, 0x1.0f4bbb478f2cbp-11, 0x1.054bc56e9fb05p-11, 0x1.f7476ae8e9301p-12, 0x1.e4a1f4322757ep-12, 0x1.d2a224d9b80bfp-12, 0x1.c1431af459338p-12, 0x1.b08013e0005e3p-12, 0x1.a0546b9c79441p-12, 0x1.90bb9c260ce3cp-12, 0x1.81b13cd39e091p-12, 0x1.733101b6953eep-12, 0x1.6536bafe798e7p-12, 0x1.57be545dce67fp-12, 0x1.4ac3d472eef53p-12, 0x1.3e435c324e1bdp-12, 0x1.323926542b01ap-12, 0x1.26a186c41655dp-12, 0x1.1b78ea1362c0ap-12, 0x1.10bbd4edfc0fdp-12, 0x1.0666e391652e8p-12, 0x1.f8ed928d35e77p-13, 0x1.e5d09fbba172p-13, 0x1.d370ae5a998e2p-13, 0x1.c1c7a922d04aap-13, 0x1.b0cfa4e0b82cep-13, 0x1.a082df7de353ap-13, 0x1.90dbbf10dbed3p-13, 0x1.81d4d0f09282ap-13, 0x1.7368c8cc395ep-13, 0x1.65927fc7dc4fbp-13, 0x1.584cf39c9bcb1p-13, 0x1.4b9345bdb9199p-13, 0x1.3f60ba82078d7p-13, 0x1.33b0b850773d4p-13, 0x1.287ec6d18f753p-13, 0x1.1dc68e251482dp-13, 0x1.1383d61a64dbap-13, 0x1.09b2856ea6416p-13, 0x1.004ea10ce1647p-13, 0x1.eea896a62ab0bp-14, 0x1.dd7f86b60f2edp-14, 0x1.cd1ac88bc9361p-14, 0x1.bd7349191e9e2p-14, 0x1.ae822aa5fcb1p-14, 0x1.a040c37d18afdp-14, 0x1.92a89ca2a348dp-14, 0x1.85b3708ecef43p-14, 0x1.795b29f03e0dep-14, 0x1.6d99e2751ab7bp-14, 0x1.6269e19afc5d4p-14, 0x1.57c59b8435ceap-14, 0x1.4da7afd4264e9p-14, 0x1.440ae8927a213p-14, 0x1.3aea39128ce87p-14, 0x1.3240bce344c19p-14, 0x1.2a09b6c233f4bp-14, 0x1.22408f96c43f1p-14, 0x1.1ae0d571df6edp-14, 0x1.13e63a93b7115p-14, 0x1.0d4c94763849bp-14, 0x1.070fdadf5197ap-14, 0x1.012c26f461db5p-14, 0x1.f73b64aea3409p-15, 0x1.ecc1ac8bd7ef8p-15, 0x1.e2e4157d2ff7dp-15, 0x1.d99bcb57cd3e8p-15, 0x1.d0e23425405a6p-15, 0x1.c8b0ee8cf66d4p-15, 0x1.c101d0439b5e5p-15, 0x1.b9cee4860785dp-15, 0x1.b3126a9d6ccc4p-15, 0x1.acc6d46ad0f61p-15, 0x1.a6e6c4fb23d1ap-15, 0x1.a16d0f270dde9p-15, 0x1.9c54b436fb11ap-15, 0x1.9798e29149774p-15, 0x1.9334f470acaep-15, 0x1.8f246ea30205fp-15, 0x1.8b62ff4c95b1ep-15, 0x1.87ec7cb85d249p-15, 0x1.84bce42b3cbb4p-15, 0x1.81d058c0108f8p-15, 0x1.7f23224b825c6p-15, 0x1.7cb1ac45c446bp-15, 0x1.7a7884bb72a0ep-15, 0x1.78745b4516ffbp-15, 0x1.76a20006f1cdbp-15, 0x1.74fe62b46a187p-15, 0x1.7386919c8fc81p-15, 0x1.7237b8b947256p-15, 0x1.710f20c84dabp-15, 0x1.700a2e68b4f3ap-15, 0x1.6f26613c2b84p-15, 0x1.6e6153116abbdp-15, 0x1.6db8b7123dab7p-15, 0x1.6d2a58f762b6ap-15, 0x1.6cb41c40b8d01p-15, 0x1.6c53fb747e6edp-15, 0x1.6c080761d2f1cp-15, 0x1.6bce666a2e5a5p-15, 0x1.6ba553cd0bccep-15, 0x1.6b8b1efb3eea6p-15, 0x1.6b7e2aee1c6dp-15, 0x1.6b7ced805bc31p-15, 0x1.6b85eed011edp-15, 0x1.6b97c8a160802p-15, 0x1.6bb125c6c45efp-15, 0x1.6bd0c18e3fcdp-15, 0x1.6bf5673086a32p-15, 0x1.6c1df14703518p-15, 0x1.6c494943752b1p-15, 0x1.6c7666eb8b62ap-15, 0x1.6ca44fd938149p-15, 0x1.6cd216fe2778ep-15, 0x1.6cfedc29dddfp-15, 0x1.6d29cb948b2e7p-15, 0x1.6d521d6d61af9p-15, 0x1.6d77156b3bb35p-15, 0x1.6d9802608460dp-15, 0x1.6db43dd2a98ep-15, 0x1.6dcb2b94454fbp-15, 0x1.6ddc396340fd6p-15, 0x1.6de6de87b3331p-15, 0x1.6dea9b78863e5p-15, 0x1.6de6f9801137ap-15, 0x1.6ddb8a65b24acp-15, 0x1.6dc7e818870fep-15, 0x1.6dabb45cb3e6cp-15, 0x1.6d86987c3dba3p-15, 0x1.6d5844f924c84p-15, 0x1.6d207142e0776p-15, 0x1.6cdedb6d48dcep-15, 0x1.6c9347eabda56p-15, 0x1.6c3d8147de59ap-15, 0x1.6bdd57e92a77bp-15, 0x1.6b72a1cafcabcp-15, 0x1.6afd3a43b814ep-15, 0x1.6a7d01c7b8fb5p-15, 0x1.69f1ddaf814d2p-15, 0x1.695bb7fefe21bp-15, 0x1.68ba7f2f97bp-15, 0x1.680e25fc32d48p-15, 0x1.6756a32d0d1ddp-15, 0x1.6693f167a1cc5p-15, 0x1.65c60efe80c4p-15, 0x1.64ecfdc385a9p-15, 0x1.6408c2db4082cp-15, 0x1.631966927e675p-15, 0x1.621ef4345155fp-15, 0x1.611979e2f5f9p-15, 0x1.60090870416efp-15, 0x1.5eedb33908b86p-15, 0x1.5dc7900070036p-15, 0x1.5c96b6ce15b4fp-15, 0x1.5b5b41cb958d7p-15, 0x1.5a154d254b593p-15, 0x1.58c4f6ea81e85p-15, 0x1.576a5eefcc83p-15, 0x1.5605a6b271d2ap-15, 0x1.5496f13c33bfbp-15, 0x1.531e6308ac461p-15, 0x1.519c21eba0b92p-15, 0x1.501054f8156d1p-15, 0x1.4e7b24686977p-15, 0x1.4cdcb987d7d55p-15, 0x1.4b353e9c013d6p-15, 0x1.4984ded022a7bp-15, 0x1.47cbc620e2192p-15, 0x1.460a21483f178p-15, 0x1.44401dab63bep-15, 0x1.426de9487ed33p-15, 0x1.4093b2a590b4fp-15, 0x1.3eb1a8bff0031p-15, 0x1.3cc7fafca676dp-15, 0x1.3ad6d9190253ap-15, 0x1.38de731cc1daep-15, 0x1.36def94ba14cbp-15, 0x1.34d89c18af97ep-15, 0x1.32cb8c192cddcp-15, 0x1.30b7f9f8e2e63p-15, 0x1.2e9e166e5a45ap-15, 0x1.2c7e123019672p-15, 0x1.2a581dea389dap-15, 0x1.282c6a34680f1p-15, 0x1.25fb2788797d2p-15, 0x1.23c48639a4af2p-15, 0x1.2188b66ba439fp-15, 0x1.1f47e80ace7b8p-15, 0x1.1d024ac4839dfp-15, 0x1.1ab80dffcfd83p-15, 0x1.186960d66aa2dp-15, 0x1.1616720e8235cp-15, 0x1.13bf701472d8cp-15, 0x1.116488f52bdc3p-15, 0x1.0f05ea58ae271p-15, 0x1.0ca3c17d0cd5p-15, 0x1.0a3e3b317f1f6p-15, 0x1.07d583d212f6fp-15, 0x1.0569c74353b9bp-15, 0x1.02fb30ee894f5p-15, 0x1.0089ebbe1ffc9p-15, 0x1.fc2c4434882fap-16, 0x1.f73ffbcb6be45p-16, 0x1.f24f50f61b9b1p-16, 0x1.ed5a95545c993p-16, 0x1.e862196b2727cp-16, 0x1.e3662ca106798p-16, 0x1.de671d39a851cp-16, 0x1.d965385265449p-16, 0x1.d460c9df01e38p-16, 0x1.cf5a1ca71e4c1p-16, 0x1.ca517a437b326p-16, 0x1.c5472b1c1b6a5p-16, 0x1.c03b76664fd3ap-16, 0x1.bb2ea2239a009p-16, 0x1.b620f31f9fa19p-16, 0x1.b112acf049819p-16, 0x1.ac0411f42bad2p-16, 0x1.a6f56352b5bap-16, 0x1.a1e6e0fc1a471p-16, 0x1.9cd8c9a8d6a68p-16, 0x1.97cb5ada83d5p-16, 0x1.92bed0dc554c7p-16, 0x1.8db366c37486dp-16, 0x1.88a9567043dp-16, 0x1.83a0d88f87deap-16, 0x1.7e9a249b39843p-16, 0x1.799570dc8548fp-16, 0x1.7492f26cd8ea9p-16, 0x1.6f92dd37ec563p-16, 0x1.6a9563fd8d62fp-16, 0x1.659ab85398f1p-16, 0x1.60a30aa85551p-16, 0x1.5bae8a446939ep-16, 0x1.56bd654d4b156p-16, 0x1.51cfc8c7cbae2p-16, 0x1.4ce5e09aa4783p-16, 0x1.47ffd790dcc69p-16, 0x1.431dd75cc70bfp-16, 0x1.3e40089ae42ap-16, 0x1.396692d45c1c2p-16, 0x1.34919c8237bedp-16, 0x1.2fc14b108217ap-16, 0x1.2af5c2e0f87b8p-16, 0x1.262f274e67a59p-16, 0x1.216d9ab0122b8p-16, 0x1.1cb13e5c32862p-16, 0x1.17fa32ac1210cp-16, 0x1.134896fea3916p-16, 0x1.0e9c89bc2a878p-16, 0x1.09f6285955f7cp-16, 0x1.05558f5af3fa8p-16, 0x1.00bada591d1a3p-16, 0x1.f84c480512f9bp-17, 0x1.ef2f0c405503bp-17, 0x1.e61e3330e8c81p-17, 0x1.dd19ece5eb5c2p-17, 0x1.d42267b6de483p-17, 0x1.cb37d04b4e0e6p-17, 0x1.c25a51a1a7b92p-17, 0x1.b98a151589d48p-17, 0x1.b0c7426707841p-17, 0x1.a811ffc188286p-17, 0x1.9f6a71c251fd3p-17, 0x1.96d0bb7fc48a2p-17, 0x1.8e44fe8fd92a1p-17, 0x1.85c75b0f33b0fp-17, 0x1.7d57efa7afeb7p-17, 0x1.74f6d996c3e37p-17, 0x1.6ca434b4d5b22p-17, 0x1.64601b7b348fbp-17, 0x1.5c2aa70b35009p-17, 0x1.5403ef34694dep-17, 0x1.4bec0a7b127d4p-17, 0x1.43e30e1eec814p-17, 0x1.3be90e2141ce1p-17, 0x1.33fe1d4b2e329p-17, 0x1.2c224d3436943p-17, 0x1.2455ae48408ddp-17, 0x1.1c984fcdbe83ep-17, 0x1.14ea3febe71b7p-17, 0x1.0d4b8bb0dd8ebp-17, 0x1.05bc3f172c59dp-17, 0x1.fc78ca1831974p-18, 0x1.ed980eeae5724p-18, 0x1.ded65e6e481fp-18, 0x1.d033c8721f9c6p-18, 0x1.c1b05ad98eff9p-18, 0x1.b34c21a5a2988p-18, 0x1.a507270118467p-18, 0x1.96e1734a8ecd3p-18, 0x1.88db0d1f6d57ap-18, 0x1.7af3f9669a44fp-18, 0x1.6d2c3b5adceep-18, 0x1.5f83d49529839p-18, 0x1.51fac516d344cp-18, 0x1.44910b534b6bbp-18, 0x1.3746a43a576cbp-18, 0x1.2a1b8b4150c6ep-18, 0x1.1d0fba6d20771p-18, 0x1.10232a5b9620dp-18, 0x1.0355d24caa765p-18, 0x1.ed4f505699366p-19, 0x1.d431412e2c38dp-19, 0x1.bb515dd8af92dp-19, 0x1.a2af8a9aa9ce8p-19, 0x1.8a4ba9556cb85p-19, 0x1.72259997f30f7p-19, 0x1.5a3d38aeafdaep-19, 0x1.429261b5521c3p-19, 0x1.2b24eda5abd3ep-19, 0x1.13f4b36789fbdp-19, 0x1.fa030fc10c548p-20, 0x1.cc967c05fb749p-20, 0x1.9fa34db9f2c79p-20, 0x1.7329234d5c6eap-20, 0x1.472797a2de05cp-20, 0x1.1b9e4229bf10cp-20, 0x1.e1196df7243e9p-21, 0x1.8be50ded1418dp-21, 0x1.379e7fafaab41p-21, 0x1.c889b157ca864p-22, 0x1.23ae50eca3095p-22, 0x1.0151e3f0c08adp-23, -0x1.044314ca85b59p-25, -0x1.7fcf5ccd54c7fp-23, -0x1.5d76fd37d8c5ap-22, -0x1.f93864a54a97cp-22, -0x1.499701ddb8c77p-21, -0x1.95ad015097875p-21, -0x1.e0df4920b7b83p-21, -0x1.15977afc9e35bp-20, -0x1.3a4e9449667e5p-20, -0x1.5e9582c46ff58p-20, -0x1.826cda993aaf7p-20, -0x1.a5d531bd82354p-20, -0x1.c8cf1fdd9befap-20, -0x1.eb5b3e49f37d4p-20, -0x1.06bd13f22febap-19, -0x1.17963c873d5b1p-19, -0x1.283967cb9d712p-19, -0x1.38a6e554f83bbp-19, -0x1.48df055f03babp-19, -0x1.58e218c32ef85p-19, -0x1.68b070f051be3p-19, -0x1.784a5fe31e8eap-19, -0x1.87b0381df8656p-19, -0x1.96e24ca1fd748p-19, -0x1.a5e0f0e74b92ep-19, -0x1.b4ac78d6037aap-19, -0x1.c34538bf77433p-19, -0x1.d1ab8556f647fp-19, -0x1.dfdfb3ab61179p-19, -0x1.ede21920ac17bp-19, -0x1.fbb30b6941e1p-19, -0x1.04a9703ffb25dp-18, -0x1.0b60f7512b6f7p-18, -0x1.1200462534fe7p-18, -0x1.1887881461af2p-18, -0x1.1ef6e88fa5573p-18, -0x1.254e931dde34p-18, -0x1.2b8eb3591071ep-18, -0x1.31b774ebe5262p-18, -0x1.37c9038f2de54p-18, -0x1.3dc38b075475ep-18, -0x1.43a7372209a3ap-18, -0x1.497433b3efbe2p-18, -0x1.4f2aac963384p-18, -0x1.54cacda47d89ep-18, -0x1.5a54c2baed6e9p-18, -0x1.5fc8b7b3d3574p-18, -0x1.6526d86597d3fp-18, -0x1.6a6f50a0ea617p-18, -0x1.6fa24c2ec4f91p-18, -0x1.74bff6ce943bap-18, -0x1.79c87c3467f78p-18, -0x1.7ebc08071fa6ap-18, -0x1.839ac5decdaf4p-18, -0x1.8864e1431bcc4p-18, -0x1.8d1a85a98d28bp-18, -0x1.91bbde73f6ab4p-18, -0x1.964916eee6405p-18, -0x1.9ac25a504f511p-18, -0x1.9f27d3b62f71dp-18, -0x1.a379ae250586cp-18, -0x1.a7b8148687bdbp-18, -0x1.abe331a847158p-18, -0x1.affb303a80bap-18, -0x1.b4003acee7974p-18, -0x1.b7f27bd775b52p-18, -0x1.bbd21da536a87p-18, -0x1.bf9f4a6755bf6p-18, -0x1.c35a2c29fa074p-18, -0x1.c702ecd5330a5p-18, -0x1.ca99b62bf51d3p-18, -0x1.ce1eb1cb39211p-18, -0x1.d192092902e7cp-18, -0x1.d4f3e59393682p-18, -0x1.d844703096559p-18, -0x1.db83d1fc1739p-18, -0x1.deb233c7d6cf4p-18, -0x1.e1cfbe3a8958p-18, -0x1.e4dc99cf132a8p-18, -0x1.e7d8eed3d31f8p-18, -0x1.eac4e569e93c5p-18, -0x1.eda0a584a56e2p-18, -0x1.f06c56e8e7dc3p-18, -0x1.f328212c6fa4bp-18, -0x1.f5d42bb5531b1p-18, -0x1.f8709db972d64p-18, -0x1.fafd9e3dd035ep-18, -0x1.fd7b54164227ep-18, -0x1.ffe9e5e500b6ap-18, -0x1.0124bd0d048d1p-17, -0x1.024d1b794e01ep-17, -0x1.036e213c79c59p-17, -0x1.0487e141f30aap-17, -0x1.059a6e5b37362p-17, -0x1.06a5db3faff92p-17, -0x1.07aa3a8c7c434p-17, -0x1.08a79ec44d3d6p-17, -0x1.099e1a4f5a0a1p-17, -0x1.0a8dbf7b0b9b6p-17, -0x1.0b76a079f4eacp-17, -0x1.0c58cf63b4da9p-17, -0x1.0d345e34cb1e8p-17, -0x1.0e095ece8bd6ep-17, -0x1.0ed7e2f6fb899p-17, -0x1.0f9ffc58c6324p-17, -0x1.1061bc8317ea7p-17, -0x1.111d34e98c325p-17, -0x1.11d276e41c5b2p-17, -0x1.128193af089d9p-17, -0x1.132a9c6ad2e97p-17, -0x1.13cda21c381f8p-17, -0x1.146ab5ac14665p-17, -0x1.1501e7e761008p-17, -0x1.1593497f1e651p-17, -0x1.161eeb08686c6p-17, -0x1.16a4dcfc562d2p-17, -0x1.17252fb7f37fep-17, -0x1.179ff37c4b84ap-17, -0x1.1815386e79c8ap-17, -0x1.18850e9789fedp-17, -0x1.18ef85e478b7cp-17, -0x1.1954ae2646b1cp-17, -0x1.19b49711ef7aap-17, -0x1.1a0f50407f7c5p-17, -0x1.1a64e92ef423bp-17, -0x1.1ab5713e6b255p-17, -0x1.1b00f7b40740cp-17, -0x1.1b478bb91593ep-17, -0x1.1b893c5afe2f9p-17, -0x1.1bc6188b62a49p-17, -0x1.1bfe2f2029fa2p-17, -0x1.1c318ed367e44p-17, -0x1.1c60464385d61p-17, -0x1.1c8a63f3597d9p-17, -0x1.1caff64a3025ep-17, -0x1.1cd10b93c9d12p-17, -0x1.1cedb200742b7p-17, -0x1.1d05f7a523798p-17, -0x1.1d19ea7b749cep-17, -0x1.1d299861c2d76p-17, -0x1.1d350f1b43e4fp-17, -0x1.1d3c5c501a6dfp-17, -0x1.1d3f8d8d4f419p-17, -0x1.1d3eb04502e8dp-17, -0x1.1d39d1ce8b0cfp-17, -0x1.1d30ff6668aaap-17, -0x1.1d24462e59f0dp-17, -0x1.1d13b32d9e906p-17, -0x1.1cff5350f4463p-17, -0x1.1ce7336a8fa7p-17, -0x1.1ccb60325af4dp-17, -0x1.1cabe64625f75p-17, -0x1.1c88d22981cfep-17, -0x1.1c623045f140bp-17, -0x1.1c380ceb16a6p-17, -0x1.1c0a744eb41acp-17, -0x1.1bd9728cd800dp-17, -0x1.1ba513a7e581cp-17, -0x1.1b6d6388bb2e2p-17, -0x1.1b326dfed03efp-17, -0x1.1af43ec047e58p-17, -0x1.1ab2e16a1c188p-17, -0x1.1a6e61802c6c5p-17, -0x1.1a26ca6d4ea5ap-17, -0x1.19dc27838a636p-17, -0x1.198e83fc1b91dp-17, -0x1.193deaf792b2ep-17, -0x1.18ea677e0ef22p-17, -0x1.1894047f4cd7cp-17, -0x1.183accd29f144p-17, -0x1.17decb3730379p-17, -0x1.17800a543ae58p-17, -0x1.171e94b8e3807p-17, -0x1.16ba74dc8d3p-17, -0x1.1653b51eeec71p-17, -0x1.15ea5fc815119p-17, -0x1.157e7f089a76p-17, -0x1.15101cf9d4a3fp-17, -0x1.149f439dda7d6p-17, -0x1.142bfcdfa45e6p-17, -0x1.13b6529330b83p-17, -0x1.133e4e75ab692p-17, -0x1.12c3fa2d76d0fp-17, -0x1.12475f4a677abp-17, -0x1.11c88745e1393p-17, -0x1.11477b82e1875p-17, -0x1.10c4454e31af1p-17, -0x1.103eedde77a5fp-17, -0x1.0fb77e545daedp-17, -0x1.0f2dffbac3ed1p-17, -0x1.0ea27b06c92f6p-17, -0x1.0e14f917de642p-17, -0x1.0d8582b8199c2p-17, -0x1.0cf4209c1c3ebp-17, -0x1.0c60db6354774p-17, -0x1.0bcbbb982b097p-17, -0x1.0b34c9afff484p-17, -0x1.0a9c0e0b540c9p-17, -0x1.0a0190f5f936bp-17, -0x1.09655aa72b3dep-17, -0x1.08c77341a174fp-17, -0x1.0827e2d3bee4ep-17, -0x1.0786b157b9367p-17, -0x1.06e3e6b3afe5dp-17, -0x1.063f8ab9c556p-17, -0x1.0599a528446e4p-17, -0x1.04f23da9bddb2p-17, -0x1.04495bd528c5cp-17, -0x1.039f072e17925p-17, -0x1.02f34724bd10cp-17, -0x1.024623160d581p-17, -0x1.0197a24bdf35cp-17, -0x1.00e7cbfd2a014p-17, -0x1.0036a74e00da3p-17, -0x1.ff08769f890b7p-18, -0x1.fda11e0281f33p-18, -0x1.fc37529d725b2p-18, -0x1.facb22243d2e5p-18, -0x1.f95c9a267915ap-18, -0x1.f7ebc80f5b6d3p-18, -0x1.f678b92628ad1p-18, -0x1.f5037a8e9b4fbp-18, -0x1.f38c1948dfc85p-18, -0x1.f212a231dc924p-18, -0x1.f09722037dfe6p-18, -0x1.ef19a55501b7cp-18, -0x1.ed9a389b3427ep-18, -0x1.ec18e82886a89p-18, -0x1.ea95c02d67b6ap-18, -0x1.e910ccb87adc8p-18, -0x1.e78a19b6f6f2dp-18, -0x1.e601b2f4c8b67p-18, -0x1.e477a41ca336ep-18, -0x1.e2ebf8b89a09bp-18, -0x1.e15ebc3209f23p-18, -0x1.dfcff9d1f9b9cp-18, -0x1.de3fbcc166db2p-18, -0x1.dcae100944a51p-18, -0x1.db1afe92f4ffp-18, -0x1.d9869328a12fbp-18, -0x1.d7f0d87503194p-18, -0x1.d659d903d8ce5p-18, -0x1.d4c19f4269714p-18, -0x1.d328357f53eafp-18, -0x1.d18da5ead947cp-18, -0x1.cff1fa97549efp-18, -0x1.ce553d795ccb8p-18, -0x1.ccb77867cda5cp-18, -0x1.cb18b51c2a029p-18, -0x1.c978fd32dc8d9p-18, -0x1.c7d85a2b87e9fp-18, -0x1.c636d568e4af7p-18, -0x1.c49478313ac3p-18, -0x1.c2f14baec1516p-18, -0x1.c14d58ef72b61p-18, -0x1.bfa8a8e58c2adp-18, -0x1.be034467aa509p-18, -0x1.bc5d34310c57cp-18, -0x1.bab680e1d5244p-18, -0x1.b90f32ff38442p-18, -0x1.b76752f38cf58p-18, -0x1.b5bee90eb39b9p-18, -0x1.b415fd865dcd8p-18, -0x1.b26c9875eea1cp-18, -0x1.b0c2c1dee42cp-18, -0x1.af1881a9690bdp-18, -0x1.ad6ddfa3bc3cep-18, -0x1.abc2e38302589p-18, -0x1.aa1794e379777p-18, -0x1.a86bfb485291cp-18, -0x1.a6c01e1c2436fp-18, -0x1.a51404b12d6bcp-18, -0x1.a367b641617cp-18, -0x1.a1bb39ee973f5p-18, -0x1.a00e96c2c0706p-18, -0x1.9e61d3b074504p-18, -0x1.9cb4f7928346ep-18, -0x1.9b08092ca0138p-18, -0x1.995b0f2b9928ep-18, -0x1.97ae10251ab48p-18, -0x1.960112987b8d9p-18, -0x1.94541cee397cp-18, -0x1.92a73578cecdp-18, -0x1.90fa6274afba8p-18, -0x1.8f4daa0826f7bp-18, -0x1.8da11243ec25bp-18, -0x1.8bf4a1236b989p-18, -0x1.8a485c8c6817p-18, -0x1.889c4a4f975c8p-18, -0x1.86f07028f68d1p-18, -0x1.8544d3bf6fb41p-18, -0x1.83997aa57ea29p-18, -0x1.81ee6a595d084p-18, -0x1.8043a844adb6cp-18, -0x1.7e9939bd4bddbp-18, -0x1.7cef240539c04p-18, -0x1.7b456c4aab5eap-18, -0x1.799c17a8528e5p-18, -0x1.77f32b25b4de2p-18, -0x1.764aabb728b4dp-18, -0x1.74a29e3dd0fdfp-18, -0x1.72fb078859aabp-18, -0x1.7153ec5282f6p-18, -0x1.6fad5145c96eap-18, -0x1.6e073af942396p-18, -0x1.6c61adf1dff43p-18, -0x1.6abcaea2e11a9p-18, -0x1.6918416d500c3p-18, -0x1.67746aa0ecce4p-18, -0x1.65d12e7c066bdp-18, -0x1.642e912b53c2cp-18, -0x1.628c96cad3789p-18, -0x1.60eb43655d958p-18, -0x1.5f4a9af4d766cp-18, -0x1.5daaa162d734dp-18, -0x1.5c0b5a8835dfbp-18, -0x1.5a6cca2d86c5fp-18, -0x1.58cef40b5d85p-18, -0x1.5731dbca1658dp-18, -0x1.5595850247618p-18, -0x1.53f9f33d03cc2p-18, -0x1.525f29f39004bp-18, -0x1.50c52c8fe7294p-18, -0x1.4f2bfe6ce6463p-18, -0x1.4d93a2d628e28p-18, -0x1.4bfc1d0870c2bp-18, -0x1.4a657031bfda3p-18, -0x1.48cf9f7158948p-18, -0x1.473aadd82b5cep-18, -0x1.45a69e68924e5p-18, -0x1.441374170db47p-18, -0x1.428131c9aebdfp-18, -0x1.40efda58e4fe9p-18, -0x1.3f5f708f630d4p-18, -0x1.3dcff729ddf41p-18, -0x1.3c4170d8030c7p-18, -0x1.3ab3e03be2fb3p-18, -0x1.392747ea40f4p-18, -0x1.379baa6b2f3bep-18, -0x1.36110a3966d54p-18, -0x1.348769c313db3p-18, -0x1.32fecb69b787bp-18, -0x1.3177318225514p-18, -0x1.2ff09e54f962p-18, -0x1.2e6b141e71f7cp-18, -0x1.2ce6950e936b9p-18, -0x1.2b632349aa798p-18, -0x1.29e0c0e7cdb7fp-18, -0x1.285f6ff587effp-18, -0x1.26df3273c3f01p-18, -0x1.25600a57d7365p-18, -0x1.23e1f98bc3a7dp-18, -0x1.226501ee586c6p-18, -0x1.20e925533dbfep-18, -0x1.1f6e658314132p-18, -0x1.1df4c43bafb5ep-18, -0x1.1c7c43301c4c3p-18, -0x1.1b04e408a1213p-18, -0x1.198ea86352223p-18, -0x1.181991d377f8ap-18, -0x1.16a5a1e257c89p-18, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.989b6cb004019p-7, 0x1.98c246f670ae4p-6, 0x1.32bae62f75831p-5, 0x1.993488d8f24a4p-5, 0x1.ffc14d4d309c1p-5, 0x1.3323dc672639ap-4, 0x1.665192d4127f8p-4, 0x1.9952faaa8b95cp-4, 0x1.cc0e0064c1241p-4, 0x1.fe668225d60adp-4, 0x1.181fb72ef88dfp-3, 0x1.30bddf98157d6p-3, 0x1.48ffa691b9953p-3, 0x1.60d7bc0cbae44p-3, 0x1.7839d4335b052p-3, 0x1.8f1ad5cf03671p-3, 0x1.a570f8c1546c1p-3, 0x1.bb33d6f155cfdp-3, 0x1.d05c72040ec24p-3, 0x1.e4e5301030dfp-3, 0x1.f8c9d14474fbcp-3, 0x1.0603b01c53a4fp-2, 0x1.0f4e0f30779b9p-2, 0x1.1843b6ee7c365p-2, 0x1.20e4dcd217291p-2, 0x1.29322e6f011d6p-2, 0x1.312cc504bf6ebp-2, 0x1.38d6193953849p-2, 0x1.402ff72a859bbp-2, 0x1.473c72f8d7015p-2, 0x1.4dfddde4e8c5cp-2, 0x1.5476bc0fcd1c8p-2, 0x1.5aa9bae85d756p-2, 0x1.6099a84a7eb75p-2, 0x1.66496a5174ff8p-2, 0x1.6bbbf7db63fdep-2, 0x1.70f451b9f7ab6p-2, 0x1.75f57c8a8d83bp-2, 0x1.7ac27b2f22aa3p-2, 0x1.7f5e49e07998fp-2, 0x1.83cbd9d17d55dp-2, 0x1.880e0d5b8caffp-2, 0x1.8c27b4ab4ad6p-2, 0x1.901b8ae585637p-2, 0x1.93ec33bbe1e12p-2, 0x1.979c39691b937p-2, 0x1.9b2e0b0ce5a63p-2, 0x1.9ea3fb5face98p-2, 0x1.a2003fb6ccbb3p-2, 0x1.a544ef520453ep-2, 0x1.a87402eb58af9p-2, 0x1.ab8f5482d2937p-2, 0x1.ae989f5fe5dfep-2, 0x1.b1918042a04a8p-2, 0x1.b47b75bf0d379p-2, 0x1.b757e0bda352ap-2, 0x1.ba28051bcefb5p-2, 0x1.bced0a6816992p-2, 0x1.bfa7fcb59932ap-2, 0x1.c259cd8302bp-2, 0x1.c50354b1613a2p-2, 0x1.c7a551878922ap-2, 0x1.ca406bbf111aap-2, 0x1.ccd534982b6eap-2, 0x1.cf6427f1e67a6p-2, 0x1.d1edad64a7faep-2, 0x1.d472195cf0104p-2, 0x1.d6f1ae34a588fp-2, 0x1.d96c9d49721c6p-2, 0x1.dbe3080ed717ap-2, 0x1.de55011ae4f81p-2, 0x1.e0c28d2c9c95dp-2, 0x1.e32ba42b2ffeep-2, 0x1.e590321d858f8p-2, 0x1.e7f018196c964p-2, 0x1.ea4b2d2a2bfep-2, 0x1.eca13f2e1a818p-2, 0x1.eef213ab10091p-2, 0x1.f13d6899971e9p-2, 0x1.f382f526d68f3p-2, 0x1.f5c26a6d379f7p-2, 0x1.f7fb7423e9ce9p-2, 0x1.fa2db9455be86p-2, 0x1.fc58dcace1606p-2, 0x1.fe7c7dabb84aep-2, 0x1.004c1c4ad53a1p-1, 0x1.0155d3a2cb0d9p-1, 0x1.025b30cd0bf6dp-1, 0x1.035bfef558a7ep-1, 0x1.045808bad521bp-1, 0x1.054f18638535ep-1, 0x1.0640f80c73cf3p-1, 0x1.072d71d6b59b4p-1, 0x1.0814501166162p-1, 0x1.08f55d60c9d9ap-1, 0x1.09d064e2b8466p-1, 0x1.0aa5325074c3ep-1, 0x1.0b73921e15808p-1, 0x1.0c3b51979cdadp-1, 0x1.0cfc3efbe5ffap-1, 0x1.0db62995803a9p-1, 0x1.0e68e1d19b463p-1, 0x1.0f1439551a293p-1, 0x1.0fb8030fee0dp-1, 0x1.1054134ecd824p-1, 0x1.10e83fcb5e9f5p-1, 0x1.11745fbaefe8ep-1, 0x1.11f84bdbcda48p-1, 0x1.1273de814bc71p-1, 0x1.12e6f39e96162p-1, 0x1.135168d05375fp-1, 0x1.13b31d653309dp-1, 0x1.140bf2656b4aep-1, 0x1.145bca993c3bp-1, 0x1.14a28a8e828fap-1, 0x1.14e0189d62dcap-1, 0x1.15145cec1f014p-1, 0x1.153f417218b19p-1, 0x1.1560b1fa1082p-1, 0x1.15789c23a80d5p-1, 0x1.1586ef643001p-1, 0x1.158b9d06c951cp-1, 0x1.1586982be30dp-1, 0x1.1577d5c81a0ep-1, 0x1.155f4ca281685p-1, 0x1.153cf5525b393p-1, 0x1.1510ca3c460ebp-1, 0x1.14dac78ee73dfp-1, 0x1.149aeb3f13441p-1, 0x1.145135037fd7dp-1, 0x1.13fda64ffe227p-1, 0x1.13a0425047ae5p-1, 0x1.13390de25f5c5p-1, 0x1.12c80f908c50ap-1, 0x1.124d4f8af3e53p-1, 0x1.11c8d7a0d5b66p-1, 0x1.113ab339717cp-1, 0x1.10a2ef4c96766p-1, 0x1.10019a5ae459ep-1, 0x1.0f56c465c05d3p-1, 0x1.0ea27ee704c9bp-1, 0x1.0de4dcc86a9edp-1, 0x1.0d1df25ab8458p-1, 0x1.0c4dd54cb1984p-1, 0x1.0b749ca1d58f5p-1, 0x1.0a9260a8e60c9p-1, 0x1.09a73af243747p-1, 0x1.08b346461d2c7p-1, 0x1.07b69e9a7b2ep-1, 0x1.06b1610926d54p-1, 0x1.05a3abc57242ap-1, 0x1.048d9e11e7c4bp-1, 0x1.036f5835e0a0dp-1, 0x1.0248fb730881ep-1, 0x1.011aa9fad1ba8p-1, 0x1.ffc90dc7bca12p-2, 0x1.fd4d6c3ebb31ap-2, 0x1.fac2b8dcd1738p-2, 0x1.f8293eaeb3cd7p-2, 0x1.f5814a364f219p-2, 0x1.f2cb295587196p-2, 0x1.f0072b3904471p-2, 0x1.ed35a04319257p-2, 0x1.ea56d9f6c25c7p-2, 0x1.e76b2ae2c9c48p-2, 0x1.e472e68d10fe7p-2, 0x1.e16e615e0644cp-2, 0x1.de5df08c4ee43p-2, 0x1.db41ea08a59a5p-2, 0x1.d81aa469f6f75p-2, 0x1.d4e876d9bbc29p-2, 0x1.d1abb90099be6p-2, 0x1.ce64c2f34baa5p-2, 0x1.cb13ed1fd8709p-2, 0x1.c7b9903b15f86p-2, 0x1.c456052e86219p-2, 0x1.c0e9a506851cfp-2, 0x1.bd74c8e0d572fp-2, 0x1.b9f7c9db8713bp-2, 0x1.b6730104415c5p-2, 0x1.b2e6c747e9078p-2, 0x1.af537562b24fp-2, 0x1.abb963d0935e5p-2, 0x1.a818eabe22866p-2, 0x1.a47261f9db5abp-2, 0x1.a0c620e5d2a38p-2, 0x1.9d147e69d36dp-2, 0x1.995dd0e5ed1ep-2, 0x1.95a26e256d4f1p-2, 0x1.91e2ab5249c89p-2, 0x1.8e1edce8fb87ap-2, 0x1.8a5756acc898ap-2, 0x1.868c6b9c7da69p-2, 0x1.82be6de79ac61p-2, 0x1.7eedaee3ed51bp-2, 0x1.7b1a7f039d01bp-2, 0x1.77452dcba7672p-2, 0x1.736e09cac8ea8p-2, 0x1.6f956090d7b2cp-2, 0x1.6bbb7ea68abdap-2, 0x1.67e0af85ad292p-2, 0x1.64053d91bfe1p-2, 0x1.60297211054a8p-2, 0x1.5c4d9525f3da2p-2, 0x1.5871edc915bbcp-2, 0x1.5496c1c34da25p-2, 0x1.50bc55a87f6ddp-2, 0x1.4ce2ecd29fbabp-2, 0x1.490ac95d23c31p-2, 0x1.45342c20d5864p-2, 0x1.415f54b000c75p-2, 0x1.3d8c815304c2fp-2, 0x1.39bbef053ac71p-2, 0x1.35edd9723a784p-2, 0x1.32227af3744a8p-2, 0x1.2e5a0c8e21bd7p-2, 0x1.2a94c5f187d69p-2, 0x1.26d2dd758e0dp-2, 0x1.23148819a22cp-2, 0x1.1f59f983e84c6p-2, 0x1.1ba36400bad87p-2, 0x1.17f0f8826f9d2p-2, 0x1.1442e6a162c89p-2, 0x1.10995c9c4b5bbp-2, 0x1.0cf48758cf60ap-2, 0x1.0954926456252p-2, 0x1.05b9a7f51d4dfp-2, 0x1.0223f0eb87881p-2, 0x1.fd2729a74a8eap-3, 0x1.f61173cde9df8p-3, 0x1.ef070a1cb694dp-3, 0x1.e80833c8944f8p-3, 0x1.e115356e3dbbp-3, 0x1.da2e511756dabp-3, 0x1.d353c63fde56ep-3, 0x1.cc85d1dbf1792p-3, 0x1.c5c4ae5de8ff2p-3, 0x1.bf1093bcbd2dcp-3, 0x1.b869b77ab90dbp-3, 0x1.b1d04cac7325ep-3, 0x1.ab448400074cep-3, 0x1.a4c68bc495f7dp-3, 0x1.9e568ff1f3e99p-3, 0x1.97f4ba309d9dbp-3, 0x1.91a131e1d5cc7p-3, 0x1.8b5c1c27f8b6p-3, 0x1.85259beeffce5p-3, 0x1.7efdd1f528989p-3, 0x1.78e4dcd3c85e3p-3, 0x1.72dad9083eafep-3, 0x1.6cdfe0fd0f7b3p-3, 0x1.66f40d130f98fp-3, 0x1.611773aab9d26p-3, 0x1.5b4a292d8e73fp-3, 0x1.558c401791a9bp-3, 0x1.4fddc900d54abp-3, 0x1.4a3ed2a717c13p-3, 0x1.44af69f76bbe5p-3, 0x1.3f2f9a17eb5d3p-3, 0x1.39bf6c7176b53p-3, 0x1.345ee8b975101p-3, 0x1.2f0e14fb98c39p-3, 0x1.29ccf5a3a7707p-3, 0x1.249b8d8741612p-3, 0x1.1f79ddefa563p-3, 0x1.1a67e6a36e779p-3, 0x1.1565a5f04d201p-3, 0x1.107318b4b7dcdp-3, 0x1.0b903a699665bp-3, 0x1.06bd052bd441ap-3, 0x1.01f971c5f6018p-3, 0x1.fa8aef732d76ep-4, 0x1.f1421a91ad233p-4, 0x1.e8184eff6f437p-4, 0x1.df0d747ad8013p-4, 0x1.d621707b14665p-4, 0x1.cd54264261e2ap-4, 0x1.c4a576f0210a3p-4, 0x1.bc154192c6e7bp-4, 0x1.b3a3633989b2p-4, 0x1.ab4fb705ef99cp-4, 0x1.a31a163d1abdbp-4, 0x1.9b025858e59ebp-4, 0x1.93085318c8841p-4, 0x1.8b2bda92833c2p-4, 0x1.836cc1428ab2ep-4, 0x1.7bcad81c432a1p-4, 0x1.7445ee99f65cp-4, 0x1.6cddd2cc8dfbdp-4, 0x1.6592516b0fc16p-4, 0x1.5e6335e1dbe2ap-4, 0x1.57504a61a82ccp-4, 0x1.505957ee3c4e9p-4, 0x1.497e266cebfe2p-4, 0x1.42be7cb2cf256p-4, 0x1.3c1a2092b708ap-4, 0x1.3590d6eae0ecap-4, 0x1.2f2263b267a6p-4, 0x1.28ce8a066c538p-4, 0x1.22950c37012bbp-4, 0x1.1c75abd3ce192p-4, 0x1.167029b8716e9p-4, 0x1.108446189dc22p-4, 0x1.0ab1c08bf10eep-4, 0x1.04f858198f535p-4, 0x1.feaf9686e09bbp-5, 0x1.f39fb022e1c62p-5, 0x1.e8c0783842f8ep-5, 0x1.de11692e98339p-5, 0x1.d391fcb87d244p-5, 0x1.c941abe79e55p-5, 0x1.bf1fef4042fb7p-5, 0x1.b52c3ecc52d71p-5, 0x1.ab66122dda954p-5, 0x1.a1cce0b1161e4p-5, 0x1.9860215df0f5fp-5, 0x1.8f1f4b09149d4p-5, 0x1.8609d46473b6ap-5, 0x1.7d1f340f5de47p-5, 0x1.745ee0a61881ap-5, 0x1.6bc850d0fd442p-5, 0x1.635afb53224c1p-5, 0x1.5b16571897f23p-5, 0x1.52f9db441b9b4p-5, 0x1.4b04ff3c73a3cp-5, 0x1.43373ab9415f8p-5, 0x1.3b9005cf7ac92p-5, 0x1.340ed8fd63c54p-5, 0x1.2cb32d3627b21p-5, 0x1.257c7bed05e4cp-5, 0x1.1e6a3f2011c87p-5, 0x1.177bf162923bcp-5, 0x1.10b10de6fb993p-5, 0x1.0a0910887cad7p-5, 0x1.038375d43c299p-5, 0x1.fa3f76245150bp-6, 0x1.edbabc9ad14d1p-6, 0x1.e177bcb8ffc68p-6, 0x1.d57575d20bd88p-6, 0x1.c9b2e8ee24d95p-6, 0x1.be2f18d89661p-6, 0x1.b2e90a2d4493dp-6, 0x1.a7dfc3657b513p-6, 0x1.9d124ce41804fp-6, 0x1.927fb1011d959p-6, 0x1.8826fc14aeeb8p-6, 0x1.7e073c815336ep-6, 0x1.741f82bddd522p-6, 0x1.6a6ee15e82da6p-6, 0x1.60f46d1d9447fp-6, 0x1.57af3ce39aebdp-6, 0x1.4e9e69cee6aafp-6, 0x1.45c10f3aa9baep-6, 0x1.3d164ac57d132p-6, 0x1.349d3c578a17dp-6, 0x1.2c55062817589p-6, 0x1.243cccc2b162ap-6, 0x1.1c53b70bdb3e9p-6, 0x1.1498ee455830dp-6, 0x1.0d0b9e11f6d0bp-6, 0x1.05aaf479020c1p-6, 0x1.fcec43d288cbbp-7, 0x1.eed8b27747841p-7, 0x1.e1199f6acd4a3p-7, 0x1.d3ad7a14283bcp-7, 0x1.c692b6b9f1d2bp-7, 0x1.b9c7ce84b31a8p-7, 0x1.ad4b3f808274dp-7, 0x1.a11b8c9e241c4p-7, 0x1.95373db370e1fp-7, 0x1.899cdf7b27bb6p-7, 0x1.7e4b039421b13p-7, 0x1.734040800452cp-7, 0x1.687b31a16d0e1p-7, 0x1.5dfa773970d5p-7, 0x1.53bcb664d6ccp-7, 0x1.49c099188c887p-7, 0x1.4004ce1dec016p-7, 0x1.3688090e6b0d9p-7, 0x1.2d49024ec455dp-7, 0x1.24467709e7b41p-7, 0x1.1b7f292b58343p-7, 0x1.12f1df594ef9p-7, 0x1.0a9d64ee62239p-7, 0x1.028089f2dcc68p-7, 0x1.f534462b94dbdp-8, 0x1.e5d2134b26f02p-8, 0x1.d6d83710fcd21p-8, 0x1.c8447669500bap-8, 0x1.ba149f4fe2535p-8, 0x1.ac4688bee37c6p-8, 0x1.9ed8129dbab11p-8, 0x1.91c725af0a145p-8, 0x1.8511b37e879b5p-8, 0x1.78b5b64e0673cp-8, 0x1.6cb131028d154p-8, 0x1.61022f10b72ddp-8, 0x1.55a6c468db51dp-8, 0x1.4a9d0d62f7d0ap-8, 0x1.3fe32eaa01105p-8, 0x1.3577552760e4p-8, 0x1.2b57b5ed9c053p-8, 0x1.21828e23402c2p-8, 0x1.17f622ed63896p-8, 0x1.0eb0c159c0535p-8, 0x1.05b0be48ee294p-8, 0x1.f9e8ecb080886p-9, 0x1.e8f49b971d165p-9, 0x1.d88160edc7d49p-9, 0x1.c88c234fa13d3p-9, 0x1.b911d81e1614cp-9, 0x1.aa0f835336527p-9, 0x1.9b8237543e224p-9, 0x1.8d6714c3ebad7p-9, 0x1.7fbb4a54cc70ap-9, 0x1.727c149b752d9p-9, 0x1.65a6bde069ecdp-9, 0x1.59389df28f5b7p-9, 0x1.4d2f19f90669dp-9, 0x1.4187a445670e6p-9, 0x1.363fbc26196ep-9, 0x1.2b54edb85f14cp-9, 0x1.20c4d1badbf7fp-9, 0x1.168d0d5ffae16p-9, 0x1.0cab52208b45fp-9, 0x1.031d5d8e84d47p-9, 0x1.f3c1f24feef93p-10, 0x1.e1e7f4542e197p-10, 0x1.d0a882c91398fp-10, 0x1.bfff7619e2272p-10, 0x1.afe8bd255f9abp-10, 0x1.a0605ce59da49p-10, 0x1.91627018854aep-10, 0x1.82eb26e8f1614p-10, 0x1.74f6c697ebe84p-10, 0x1.6781a92740925p-10, 0x1.5a883d03dfff7p-10, 0x1.4e0704b1927d5p-10, 0x1.41fa967696835p-10, 0x1.365f9c08ba9c1p-10, 0x1.2b32d23a4144p-10, 0x1.207108a8709fdp-10, 0x1.16172169f528ep-10, 0x1.0c2210be8d1dbp-10, 0x1.028edcbf33d93p-10, 0x1.f2b53a1e242a1p-11, 0x1.e104f51a970d1p-11, 0x1.d0075e0f191fp-11, 0x1.bfb709daadc5ep-11, 0x1.b00eae07e3bccp-11, 0x1.a1092037807f7p-11, 0x1.92a1558a7095dp-11, 0x1.84d2621088bbcp-11, 0x1.779778361b523p-11, 0x1.6aebe834a6384p-11, 0x1.5ecb1f8542543p-11, 0x1.5330a85386d9ep-11, 0x1.481828f3da523p-11, 0x1.3d7d635a2475bp-11, 0x1.335c349238eefp-11, 0x1.29b0943b3a512p-11, 0x1.2076940334749p-11, 0x1.17aa5f252e73ep-11, 0x1.0f4839e8bd447p-11, 0x1.074c8123adca2p-11, 0x1.ff675378f5673p-12, 0x1.f0f4805f5dae4p-12, 0x1.e339d02c48046p-12, 0x1.d630b75a0db3p-12, 0x1.c9d2d6bffbd17p-12, 0x1.be19faa90ee3ap-12, 0x1.b30019ee60adap-12, 0x1.a87f55156428p-12, 0x1.9e91f57158434p-12, 0x1.95326c46381f5p-12, 0x1.8c5b51f3f6429p-12, 0x1.8407651da8621p-12, 0x1.7c3189db30a9cp-12, 0x1.74d4c8e94a7bfp-12, 0x1.6dec4ede946a7p-12, 0x1.67736b64a51c3p-12, 0x1.61659072fae13p-12, 0x1.5bbe518dc8b75p-12, 0x1.567963074aed4p-12, 0x1.519299446a725p-12, 0x1.4d05e80643b3dp-12, 0x1.48cf61b39681cp-12, 0x1.44eb36a6f3396p-12, 0x1.4155b481a533ep-12, 0x1.3e0b457da3b63p-12, 0x1.3b086fc674724p-12, 0x1.3849d4d1c345ep-12, 0x1.35cc30bdbb8dep-12, 0x1.338c59afa6d3ap-12, 0x1.31873f37bf321p-12, 0x1.2fb9e9b635c65p-12, 0x1.2e2179c37ba44p-12, 0x1.2cbb279b86282p-12, 0x1.2b84428bde736p-12, 0x1.2a7a30636876dp-12, 0x1.299a6ce64be25p-12, 0x1.28e28943ebffbp-12, 0x1.28502b8ec74bfp-12, 0x1.27e10e38667ddp-12, 0x1.2792ff8d88595p-12, 0x1.2763e13792ca7p-12, 0x1.2751a7beac6f3p-12, 0x1.275a5a0e48218p-12, 0x1.277c10fd5a9aep-12, 0x1.27b4f6d7ab5edp-12, 0x1.280346eaa40f5p-12, 0x1.28654d12c3afep-12, 0x1.28d9654d1b086p-12, 0x1.295dfb4a1df4ap-12, 0x1.29f18a033750fp-12, 0x1.2a929b517ae13p-12, 0x1.2b3fc787c0eacp-12, 0x1.2bf7b50f09793p-12, 0x1.2cb9180283c35p-12, 0x1.2d82b1d162d93p-12, 0x1.2e5350df4755bp-12, 0x1.2f29d028e9211p-12, 0x1.300516e9eb572p-12, 0x1.30e4184443b39p-12, 0x1.31c5d2ea79525p-12, 0x1.32a950cafb1d4p-12, 0x1.338da6bdadad5p-12, 0x1.3471f432fe487p-12, 0x1.355562e528d25p-12, 0x1.3637268a9bb82p-12, 0x1.37167c8ae62dcp-12, 0x1.37f2abb51addep-12, 0x1.38cb03f72e5ap-12, 0x1.399ede183ca2fp-12, 0x1.3a6d9b72dd8ep-12, 0x1.3b36a5b265a9p-12, 0x1.3bf96e913ba49p-12, 0x1.3cb56f981b14fp-12, 0x1.3d6a29e0807ebp-12, 0x1.3e1725d65021bp-12, 0x1.3ebbf2fce7d0bp-12, 0x1.3f5827b49b11cp-12, 0x1.3feb610191adbp-12, 0x1.4075425463a78p-12, 0x1.40f57553c3de2p-12, 0x1.416ba9a80d77ap-12, 0x1.41d794c718016p-12, 0x1.4238f1c24f2ccp-12, 0x1.428f811599b69p-12, 0x1.42db0877aca6p-12, 0x1.431b52aacf957p-12, 0x1.43502f4ffcea5p-12, 0x1.437972ba3f4cdp-12, 0x1.4396f5c3c8064p-12, 0x1.43a895a39e0bep-12, 0x1.43ae33c4b7939p-12, 0x1.43a7b59e6bbbcp-12, 0x1.4395048cd9648p-12, 0x1.43760dabf039p-12, 0x1.434ac1b1e2666p-12, 0x1.431314cb7a762p-12, 0x1.42cefe7943ed2p-12, 0x1.427e796daa436p-12, 0x1.4221836b991c8p-12, 0x1.41b81d26f6bb1p-12, 0x1.41424a24a9cf4p-12, 0x1.40c0109cf472ap-12, 0x1.4031795d08fbdp-12, 0x1.3f968fab337f5p-12, 0x1.3eef6129fda7cp-12, 0x1.3e3bfdbe1dba5p-12, 0x1.3d7c777341522p-12, 0x1.3cb0e262e0466p-12, 0x1.3bd9549b5a52ep-12, 0x1.3af5e607d8355p-12, 0x1.3a06b058d19f8p-12, 0x1.390bceed5cecap-12, 0x1.38055ebd13016p-12, 0x1.36f37e4298748p-12, 0x1.35d64d6728c5ap-12, 0x1.34aded6e418ddp-12, 0x1.337a80e2239c2p-12, 0x1.323c2b81465d3p-12, 0x1.30f3122b66d44p-12, 0x1.2f9f5ad081798p-12, 0x1.2e412c5f17f2dp-12, 0x1.2cd8aeb3ddbcbp-12, 0x1.2b660a8975f02p-12, 0x1.29e9696926077p-12, 0x1.2862f59b6582bp-12, 0x1.26d2da19ca92bp-12, 0x1.253942806ddc1p-12, 0x1.23965b00e79a6p-12, 0x1.21ea5054a7ee6p-12, 0x1.20354fb089133p-12, 0x1.1e7786b87c254p-12, 0x1.1cb123739d7efp-12, 0x1.1ae25440ffed3p-12, 0x1.190b47cc8c9c8p-12, 0x1.172c2d046c61p-12, 0x1.1545330ede6f3p-12, 0x1.135689403a508p-12, 0x1.11605f11a0954p-12, 0x1.0f62e417bb49bp-12, 0x1.0d5e47fa113cbp-12, 0x1.0b52ba6a53de4p-12, 0x1.09406b1c9b5c6p-12, 0x1.072789bf54624p-12, 0x1.050845f401838p-12, 0x1.02e2cf47da6cdp-12, 0x1.00b7552d1637ap-12, 0x1.fd0c0de854f71p-13, 0x1.f89e278b285ebp-13, 0x1.f425553766011p-13, 0x1.efa1f47a14003p-13, 0x1.eb14626d98d6bp-13, 0x1.e67cfbaee5201p-13, 0x1.e1dc1c53a54a8p-13, 0x1.dd321fe0717bp-13, 0x1.d87f613fda1f3p-13, 0x1.d3c43ab969af9p-13, 0x1.cf0105e9c312ep-13, 0x1.ca361bba68a26p-13, 0x1.c563d45a645ccp-13, 0x1.c08a873732bf9p-13, 0x1.bbaa8af624866p-13, 0x1.b6c4356deabf2p-13, 0x1.b1d7dba0cb4dap-13, 0x1.ace5d1b6fb442p-13, 0x1.a7ee6af98223cp-13, 0x1.a2f1f9cc9c50ap-13, 0x1.9df0cfac2d572p-13, 0x1.98eb3d2651363p-13, 0x1.93e191d801fc2p-13, 0x1.8ed41c6959693p-13, 0x1.89c32a897c199p-13, 0x1.84af08ec37bbfp-13, 0x1.7f980346a260ap-13, 0x1.7a7e644c42b13p-13, 0x1.756275ad03b8bp-13, 0x1.70448012d5cd9p-13, 0x1.6b24cb1f6c4efp-13, 0x1.66039d6b1ab55p-13, 0x1.60e13c8283001p-13, 0x1.5bbdece5b487p-13, 0x1.5699f206e7b83p-13, 0x1.51758e49625dcp-13, 0x1.4c510301036ccp-13, 0x1.472c907165714p-13, 0x1.420875cd615afp-13, 0x1.3ce4f136e08dep-13, 0x1.37c23fbef44dp-13, 0x1.32a09d654683dp-13, 0x1.2d804518cfb8p-13, 0x1.286170b8127c4p-13, 0x1.2344591136759p-13, 0x1.1e2935e2d4d24p-13, 0x1.19103ddcf1c94p-13, 0x1.13f9a6a11c21p-13, 0x1.0ee5a4c4044f9p-13, 0x1.09d46bce53bfep-13, 0x1.04c62e3d61dd9p-13, 0x1.ff763b0a6afbcp-14, 0x1.f566d4223dcb3p-14, 0x1.eb5e868b455bp-14, 0x1.e15daf030189dp-14, 0x1.d764a83f93575p-14, 0x1.cd73caf2a4e2fp-14, 0x1.c38b6dcc7ca64p-14, 0x1.b9abe58056bf6p-14, 0x1.afd584c796cbbp-14, 0x1.a6089c6616629p-14, 0x1.9c457b2d741f2p-14, 0x1.928c6e01c89c1p-14, 0x1.88ddbfde180f4p-14, 0x1.7f39b9d7b74dcp-14, 0x1.75a0a323791d8p-14, 0x1.6c12c119f23d8p-14, 0x1.6290573bba8ccp-14, 0x1.5919a736bb814p-14, 0x1.4faef0ea5a115p-14, 0x1.4650726cbae69p-14, 0x1.3cfe680f74a56p-14, 0x1.33b90c63d5c2fp-14, 0x1.2a8098411e129p-14, 0x1.215542c856b84p-14, 0x1.1837416a24212p-14, 0x1.0f26c7eb8825cp-14, 0x1.0624086afec9p-14, 0x1.fa5e66cbd6fa7p-15, 0x1.e890ef7b9e93fp-15, 0x1.d6e00579bd96cp-15, 0x1.c54c003897346p-15, 0x1.b3d534116b173p-15, 0x1.a27bf24f7d06ap-15, 0x1.9140893a99b27p-15, 0x1.802344224305ep-15, 0x1.6f246b66d6bf5p-15, 0x1.5e444485b01f2p-15, 0x1.4d831223627a5p-15, 0x1.3ce1141576c7fp-15, 0x1.2c5e876e2fa34p-15, 0x1.1bfba686e8fa2p-15, 0x1.0bb8a90997a2cp-15, 0x1.f72b87fa01508p-16, 0x1.d726539c4e70ep-16, 0x1.b76214b5ce19dp-16, 0x1.97df25f8e572fp-16, 0x1.789ddd24b50edp-16, 0x1.599e8b179b6cfp-16, 0x1.3ae17be65afddp-16, 0x1.1c66f6ee7e615p-16, 0x1.fc5e7dd8c6767p-17, 0x1.c075241c1db4bp-17, 0x1.851254111557ep-17, 0x1.4a367859790f9p-17, 0x1.0fe1f2f3024ap-17, 0x1.ac2a3abf6d1e9p-18, 0x1.39a091a2798aep-18, 0x1.904ef92aa5bc2p-19, 0x1.5efdf6576bf39p-20, -0x1.796f91bd90f94p-22, -0x1.0bb7095c5b16p-19, -0x1.e61ba2f383076p-19, -0x1.5f2d9aac7bd75p-18, -0x1.ca3aaa031cf29p-18, -0x1.1a1a6bc0f1035p-17, -0x1.4e8e04945b88p-17, -0x1.82781954103b5p-17, -0x1.b5d8aa8ee24a8p-17, -0x1.e8afbf65c0f53p-17, -0x1.0d7eb2b3d2e74p-16, -0x1.2660d838c253dp-16, -0x1.3efe5d43acd6bp-16, -0x1.575751da6ab23p-16, -0x1.6f6bc8f5d7d8bp-16, -0x1.873bd870f6f43p-16, -0x1.9ec798f7a79f1p-16, -0x1.b60f25f71935bp-16, -0x1.cd129d8d9cf76p-16, -0x1.e3d2207aab50fp-16, -0x1.fa4dd20e866edp-16, -0x1.0842ec0d718cdp-15, -0x1.133d2d72107bcp-15, -0x1.1e15c288b654ap-15, -0x1.28ccc1cf1bba8p-15, -0x1.336242e53abebp-15, -0x1.3dd65e869b8bfp-15, -0x1.48292e8292222p-15, -0x1.525acdb5761bbp-15, -0x1.5c6b58019dec7p-15, -0x1.665aea48090efp-15, -0x1.7029a261e14a4p-15, -0x1.79d79f19cfa68p-15, -0x1.836500250ac3ap-15, -0x1.8cd1e61cd36fap-15, -0x1.961e7277f3668p-15, -0x1.9f4ac784bb9cdp-15, -0x1.a857086272c87p-15, -0x1.b14358fb17246p-15, -0x1.ba0fddfd6789dp-15, -0x1.c2bcbcd69da2bp-15, -0x1.cb4a1bacf579p-15, -0x1.d3b821597a094p-15, -0x1.dc06f56281a69p-15, -0x1.e436bff60aaa9p-15, -0x1.ec47a9e3e6c8fp-15, -0x1.f439dc9873427p-15, -0x1.fc0d821760f29p-15, -0x1.01e1627b09c25p-14, -0x1.05ace82b569e8p-14, -0x1.096967f17ca09p-14, -0x1.0d16f7e39609bp-14, -0x1.10b5ae566c27p-14, -0x1.1445a1db36db5p-14, -0x1.17c6e93d3006dp-14, -0x1.1b399b7f0c16dp-14, -0x1.1e9dcfd8c8b1fp-14, -0x1.21f39db58d0bp-14, -0x1.253b1cb13728fp-14, -0x1.287464963b251p-14, -0x1.2b9f8d5b77f6fp-14, -0x1.2ebcaf222407ep-14, -0x1.31cbe233bc4bbp-14, -0x1.34cd3f0003ec2p-14, -0x1.37c0de1af55d7p-14, -0x1.3aa6d83ad12bbp-14, -0x1.3d7f46361e8cdp-14, -0x1.404a4101ddab7p-14, -0x1.4307e1afbf589p-14, -0x1.45b8416c354a2p-14, -0x1.485b797ca68efp-14, -0x1.4af1a33dcc5c9p-14, -0x1.4d7ad82200462p-14, -0x1.4ff731af6fc97p-14, -0x1.5266c97e83be1p-14, -0x1.54c9b9383f4cdp-14, -0x1.57201a94bad34p-14, -0x1.596a0759a1a93p-14, -0x1.5ba799589faf8p-14, -0x1.5dd8ea6ddaf12p-14, -0x1.5ffe147e925fcp-14, -0x1.62173177b050bp-14, -0x1.64245b4c5fdbap-14, -0x1.6625abf4b356bp-14, -0x1.681b3d6c4fdd3p-14, -0x1.6a0529b142d06p-14, -0x1.6be38ac294543p-14, -0x1.6db67a9f11a44p-14, -0x1.6f7e13440ec39p-14, -0x1.713a6eac519abp-14, -0x1.72eba6cec4e2p-14, -0x1.7491d59d820dap-14, -0x1.762d1504affe2p-14, -0x1.77bd7ee950094p-14, -0x1.79432d2834fbep-14, -0x1.7abe399516c0fp-14, -0x1.7c2ebdf98b5eap-14, -0x1.7d94d413f77c8p-14, -0x1.7ef0959699362p-14, -0x1.80421c26c053cp-14, -0x1.8189815be4767p-14, -0x1.82c6debea3ab3p-14, -0x1.83fa4dc7dc31ap-14, -0x1.8523e7e003b04p-14, -0x1.8643c65e20605p-14, -0x1.875a02872fee3p-14, -0x1.8866b58d6d068p-14, -0x1.8969f88f5d674p-14, -0x1.8a63e49720cafp-14, -0x1.8b549299c6acp-14, -0x1.8c3c1b76afec4p-14, -0x1.8d1a97f6cfe0dp-14, -0x1.8df020cc05541p-14, -0x1.8ebcce90654bep-14, -0x1.8f80b9c5d3182p-14, -0x1.903bfad563996p-14, -0x1.90eeaa0e8ece7p-14, -0x1.9198dfa6cda72p-14, -0x1.923ab3b905c1dp-14, -0x1.92d43e450082ep-14, -0x1.9365972ef968ap-14, -0x1.93eed63f18bd1p-14, -0x1.94701321035b1p-14, -0x1.94e9656357e56p-14, -0x1.955ae47731659p-14, -0x1.95c4a7afe0238p-14, -0x1.9626c6426060ap-14, -0x1.96815744fea65p-14, -0x1.96d471af0efeap-14, -0x1.97202c586e7e7p-14, -0x1.97649df93dea4p-14, -0x1.97a1dd297ca6dp-14, -0x1.97d80060ce2d1p-14, -0x1.98071df60a599p-14, -0x1.982f4c1ef1c39p-14, -0x1.9850a0efff71p-14, -0x1.986b325c2d07ap-14, -0x1.987f16348bf03p-14, -0x1.988c622816804p-14, -0x1.98932bc37b039p-14, -0x1.98938870c3d38p-14, -0x1.988d8d775641bp-14, -0x1.98814ffb88acp-14, -0x1.986ee4fea0247p-14, -0x1.9856615e6c76bp-14, -0x1.9837d9d5604b9p-14, -0x1.981362fa273c6p-14, -0x1.97e9113fb9198p-14, -0x1.97b8f8f52a5b4p-14, -0x1.97832e454e757p-14, -0x1.9747c536cbd63p-14, -0x1.9706d1ac0b252p-14, -0x1.96c067631c3dcp-14, -0x1.967499f580dcfp-14, -0x1.96237cd827f1ep-14, -0x1.95cd235b51b1fp-14, -0x1.9571a0aa8d413p-14, -0x1.951107cca4e17p-14, -0x1.94ab6ba38c4bp-14, -0x1.9440deec5a304p-14, -0x1.93d1743f2ea94p-14, -0x1.935d3e0f433bdp-14, -0x1.92e44eaaf3ddcp-14, -0x1.9266b83b980b6p-14, -0x1.91e48cc5748c6p-14, -0x1.915dde27f8574p-14, -0x1.90d2be1d96327p-14, -0x1.90433e3bb2547p-14, -0x1.8faf6ff2c2a2ap-14, -0x1.8f17648e85ff4p-14, -0x1.8e7b2d35c1d03p-14, -0x1.8ddadaea4fde3p-14, -0x1.8d367e8959f53p-14, -0x1.8c8e28cb3f979p-14, -0x1.8be1ea43b9d72p-14, -0x1.8b31d361d7bbp-14, -0x1.8a7df47011581p-14, -0x1.89c65d9463bcbp-14, -0x1.890b1ed0682e3p-14, -0x1.884c48017467ap-14, -0x1.8789e8e08ee41p-14, -0x1.86c411027a948p-14, -0x1.85facfd7f8fc6p-14, -0x1.852e34adc9a76p-14, -0x1.845e4eacc448ap-14, -0x1.838b2cda21816p-14, -0x1.82b4de17642ecp-14, -0x1.81db7122623d5p-14, -0x1.80fef495894b7p-14, -0x1.801f76e8237a3p-14, -0x1.7f3d066e0fbacp-14, -0x1.7e57b1583a808p-14, -0x1.7d6f85b4a71f7p-14, -0x1.7c84916e789fbp-14, -0x1.7b96e24e19e99p-14, -0x1.7aa685f993e18p-14, -0x1.79b389f487d28p-14, -0x1.78bdfba050c17p-14, -0x1.77c5e83c2ae12p-14, -0x1.76cb5ce5665edp-14, -0x1.75ce6697711cdp-14, -0x1.74cf122c2e3f3p-14, -0x1.73cd6c5c18099p-14, -0x1.72c981be4236fp-14, -0x1.71c35ec898d86p-14, -0x1.70bb0fcff2e2cp-14, -0x1.6fb0a10871d76p-14, -0x1.6ea41e858ee9ep-14, -0x1.6d95943a36becp-14, -0x1.6c850df8f75acp-14, -0x1.6b7297745b1c3p-14, -0x1.6a5e3c3ecde37p-14, -0x1.694807cafda17p-14, -0x1.6830056c1316ap-14, -0x1.67164055aef11p-14, -0x1.65fac39c21a4dp-14, -0x1.64dd9a34b5d1bp-14, -0x1.63becef5d8701p-14, -0x1.629e6c973236ap-14, -0x1.617c7db1ea422p-14, -0x1.60590cc0c486ep-14, -0x1.5f34242073f62p-14, -0x1.5e0dce0fb1bb1p-14, -0x1.5ce614af6dde9p-14, -0x1.5bbd0202ee14dp-14, -0x1.5a929ff010ef4p-14, -0x1.5966f83fa9bcp-14, -0x1.583a149d7756p-14, -0x1.570bfe9853294p-14, -0x1.55dcbfa272699p-14, -0x1.54ac6111ba32bp-14, -0x1.537aec1fc2c6cp-14, -0x1.524869ea25606p-14, -0x1.5114e372981f5p-14, -0x1.4fe0619f19fc6p-14, -0x1.4eaaed3a4579ap-14, -0x1.4d748ef3792a2p-14, -0x1.4c3d4f5ef6526p-14, -0x1.4b0536f617ab4p-14, -0x1.49cc4e179b9abp-14, -0x1.48929d07cf6f5p-14, -0x1.47582bf0b2818p-14, -0x1.461d02e20e28cp-14, -0x1.44e129d1e0bd4p-14, -0x1.43a4a89c8b2b5p-14, -0x1.42678704e2f72p-14, -0x1.4129ccb45f45ep-14, -0x1.3feb813b592dap-14, -0x1.3eacac1167f1p-14, -0x1.3d6d549557733p-14, -0x1.3c2d820d6a82bp-14, -0x1.3aed3ba7a3728p-14, -0x1.39ac8879ce30ep-14, -0x1.386b6f81db3fep-14, -0x1.3729f7a5fba22p-14, -0x1.35e827b4bf4bdp-14, -0x1.34a606657103p-14, -0x1.33639a584e658p-14, -0x1.3220ea167b7aep-14, -0x1.30ddfc124bd82p-14, -0x1.2f9ad6a7a94e2p-14, -0x1.2e57801c0d3f2p-14, -0x1.2d13fe9ea673cp-14, -0x1.2bd05848aeabfp-14, -0x1.2a8c931da9503p-14, -0x1.2948b50b6fdf3p-14, -0x1.2804c3ea45bedp-14, -0x1.26c0c57d4c6dap-14, -0x1.257cbf72b4826p-14, -0x1.2438b763a52c6p-14, -0x1.22f4b2d4975aap-14, -0x1.21b0b7359a5e1p-14, -0x1.206cc9e261f7p-14, -0x1.1f28f02274fd2p-14, -0x1.1de52f29787e8p-14, -0x1.1ca18c173dcc7p-14, -0x1.1b5e0bf814a0ep-14, -0x1.1a1ab3c4e0041p-14, -0x1.18d788633461dp-14, -0x1.17948ea5b2b0ep-14, -0x1.1651cb4c2712ap-14, -0x1.150f4303945abp-14, -0x1.13ccfa6675453p-14, -0x1.128af5fd1dbdbp-14, -0x1.11493a3d94aedp-14, -0x1.1007cb8bd8d27p-14, -0x1.0ec6ae3a42dfcp-14, -0x1.0d85e6897a037p-14, -0x1.0c4578a8930a2p-14, -0x1.0b0568b5776b5p-14, -0x1.09c5babcf9d25p-14, -0x1.088672bad61ebp-14, -0x1.0747949a05e0cp-14, -0x1.060924350105ap-14, -0x1.04cb2555b2ac1p-14, -0x1.038d9bb5bead7p-14, -0x1.02508afeaf316p-14, -0x1.0113f6ca1f034p-14, -0x1.ffafc543ac10fp-15, -0x1.fd38a3ffe5031p-15, -0x1.fac2909e410b7p-15, -0x1.f84d91d59a591p-15, -0x1.f5d9ae3e2fecp-15, -0x1.f366ec52659e6p-15, -0x1.f0f5526f30f2ap-15, -0x1.ee84e6d3c917dp-15, -0x1.ec15afa253d9ap-15, -0x1.e9a7b2e0a041bp-15, -0x1.e73af677a768ep-15, -0x1.e4cf8034466p-15, -0x1.e26555c7d5259p-15, -0x1.dffc7cc7b246ap-15, -0x1.dd94faae1e48cp-15, -0x1.db2ed4daaa46p-15, -0x1.d8ca1091f263cp-15, -0x1.d666b2fe2f612p-15, -0x1.d404c12fc2057p-15, -0x1.d1a4401d23a23p-15, -0x1.cf4534a33b765p-15, -0x1.cce7a385c1c29p-15, -0x1.ca8b916f97b2ap-15, -0x1.c83102f2d1175p-15, -0x1.c5d7fc892a932p-15, -0x1.c380829447368p-15, -0x1.c12a995e0c5f2p-15, -0x1.bed6451892964p-15, -0x1.bc8389dee36ffp-15, -0x1.ba326bb500072p-15, -0x1.b7e2ee87c9927p-15, -0x1.b595162e2595ep-15, -0x1.b348e6688bacap-15, -0x1.b0fe62e12bb9cp-15, -0x1.aeb58f2ceb8dp-15, -0x1.ac6e6ecb0e411p-15, -0x1.aa2905257ecfep-15, -0x1.a7e5559178542p-15, -0x1.a5a3634f3eb2bp-15, -0x1.a363318ab19a1p-15, -0x1.a124c35ba3b2fp-15, -0x1.9ee81bc5b8c23p-15, -0x1.9cad3db8cf95bp-15, -0x1.9a742c119392ap-15, -0x1.983ce99922a32p-15, -0x1.96077905b2957p-15, -0x1.93d3dcfaae4bp-15, -0x1.91a21808f9183p-15, -0x1.8f722caf1665cp-15, -0x1.8d441d596d6d1p-15, -0x1.8b17ec62a8559p-15, -0x1.88ed9c1391424p-15, -0x1.86c52ea3b35e4p-15, -0x1.849ea63970d6bp-15, -0x1.827a04e9d575cp-15, -0x1.80574cb9ac0e3p-15, -0x1.7e367f9ccdf11p-15, -0x1.7c179f76b701bp-15, -0x1.79faae1b2a007p-15, -0x1.77dfad4d8f7ddp-15, -0x1.75c69ec1b07bfp-15, -0x1.73af841c03888p-15, -0x1.719a5ef175f9p-15, -0x1.6f8730c803f5ap-15, -0x1.6d75fb169e883p-15, -0x1.6b66bf458d9cp-15, -0x1.69597eaeb3b9ap-15, -0x1.674e3a9d6f0abp-15, -0x1.6544f44f073d6p-15, -0x1.633dacf3056d5p-15, -0x1.613865aaf516bp-15, -0x1.5f351f8ae797bp-15, -0x1.5d33db999dfb7p-15, -0x1.5b349ad0a3a35p-15, -0x1.59375e1c5dc52p-15, -0x1.573c265c8d1f3p-15, -0x1.5542f4642d2eep-15, -0x1.534bc8f9bfda1p-15, -0x1.5156a4d7abd4p-15, -0x1.4f6388abd30d3p-15, -0x1.4d72751889db5p-15, }}, 
      {{0x1.6f5a17ba42055p-1, 0x1.6f1504d928bf2p-1, 0x1.6ea8060c1d18ep-1, 0x1.6e19c799d9161p-1, 0x1.6d71192ea9559p-1, 0x1.6cb444eda5da7p-1, 0x1.6be8b9109fc9bp-1, 0x1.6b12e60ecd1c8p-1, 0x1.6a363d15292d5p-1, 0x1.6955415d8f139p-1, 0x1.6871a38ffd63ep-1, 0x1.678c617c79b94p-1, 0x1.66a5e69953e4cp-1, 0x1.65be2b1b9629bp-1, 0x1.64d4d06f2f191p-1, 0x1.63e93a714576fp-1, 0x1.62faa53417f66p-1, 0x1.6208375334e14p-1, 0x1.611111053e09bp-1, 0x1.6014582e3d5a6p-1, 0x1.5f1141c070872p-1, 0x1.5e0718bd4adf6p-1, 0x1.5cf54327acb99p-1, 0x1.5bdb4534cc1a1p-1, 0x1.5ab8c3040daf5p-1, 0x1.598d811fedc83p-1, 0x1.585964038beecp-1, 0x1.571c6ed9ce218p-1, 0x1.55d6c1a49f9a5p-1, 0x1.548896f4a310ap-1, 0x1.53324153f2935p-1, 0x1.51d428812c6d4p-1, 0x1.506ec693409ap-1, 0x1.4f02a51a09c66p-1, 0x1.4d905a4bdc6bdp-1, 0x1.4c18864cc9662p-1, 0x1.4a9bd0994d4ebp-1, 0x1.491ae59b926c8p-1, 0x1.479674702e65fp-1, 0x1.460f2cdd6d6c7p-1, 0x1.4485bd7ea867dp-1, 0x1.42fad223df173p-1, 0x1.416f1264c5e75p-1, 0x1.3fe32065ad605p-1, 0x1.3e5797cc017cp-1, 0x1.3ccd0cdfb4ff8p-1, 0x1.3b440bd69452ep-1, 0x1.39bd18464abb4p-1, 0x1.3838acb9d063dp-1, 0x1.36b73a66e60fdp-1, 0x1.353929005fe12p-1, 0x1.33bed6a206225p-1, 0x1.324897d30409ep-1, 0x1.30d6b79bfe13ap-1, 0x1.2f6977ae15bedp-1, 0x1.2e0110985d6bp-1, 0x1.2c9db2096040dp-1, 0x1.2b3f831aa8e2ap-1, 0x1.29e6a2a4549a5p-1, 0x1.28932796fc4ep-1, 0x1.2745215a67d9ep-1, 0x1.25fc982fae2acp-1, 0x1.24b98d958d21ap-1, 0x1.237bfcadf197ep-1, 0x1.2243daa3c2e55p-1, 0x1.21111710310ebp-1, 0x1.1fe39c5ed8536p-1, 0x1.1ebb503032dcfp-1, 0x1.1d9813b9e0475p-1, 0x1.1c79c42468d9p-1, 0x1.1b603ae62e91ep-1, 0x1.1a4b4e1b52e52p-1, 0x1.193ad0da69501p-1, 0x1.182e9385d39ecp-1, 0x1.17266419ba74fp-1, 0x1.16220e7694079p-1, 0x1.15215ca839407p-1, 0x1.142417298faa9p-1, 0x1.132a0524d04cep-1, 0x1.1232ecb07bb61p-1, 0x1.113e93090c637p-1, 0x1.104cbcc77f404p-1, 0x1.0f5d2e14c75bap-1, 0x1.0e6faada4574ep-1, 0x1.0d83f6ef5f4c9p-1, 0x1.0c99d6444eb1bp-1, 0x1.0bb10d0a44394p-1, 0x1.0ac95fd8f98cfp-1, 0x1.09e293d1c9bf7p-1, 0x1.08fc6ec06e376p-1, 0x1.0816b739762e3p-1, 0x1.073134b6927d8p-1, 0x1.064bafb0cf052p-1, 0x1.0565f1b8cc92cp-1, 0x1.047fc58d17e1fp-1, 0x1.0398f72eab1e3p-1, 0x1.02b153f3b6457p-1, 0x1.01c8aa98bb63ep-1, 0x1.00decb5015502p-1, 0x1.ffe70f9ff48d4p-2, 0x1.fe0d66be10ee3p-2, 0x1.fc3045bee2d0fp-2, 0x1.fa4f59b1a1e83p-2, 0x1.f86a53017e798p-2, 0x1.f680e58456f91p-2, 0x1.f492c887204e9p-2, 0x1.f29fb6d8133c4p-2, 0x1.f0a76ecebcd03p-2, 0x1.eea9b2520cb46p-2, 0x1.eca646dc71a23p-2, 0x1.ea9cf57e21e2cp-2, 0x1.e88d8adda172cp-2, 0x1.e677d7369dfaap-2, 0x1.e45bae573384bp-2, 0x1.e238e79bab882p-2, 0x1.e00f5de8d0acep-2, 0x1.dddeefa4e47ap-2, 0x1.dba77eaf48859p-2, 0x1.d968f056f357ap-2, 0x1.d7232d4fbbfdbp-2, 0x1.d4d621a690fb7p-2, 0x1.d281bcb4aade5p-2, 0x1.d025f111c6c3dp-2, 0x1.cdc2b48583373p-2, 0x1.cb57fff7df64ep-2, 0x1.c8e5cf60f93bfp-2, 0x1.c66c21b814992p-2, 0x1.c3eaf8e1f60b5p-2, 0x1.c162599ea4fadp-2, 0x1.bed24b76a1145p-2, 0x1.bc3ad8a795f54p-2, 0x1.b99c0e109cefcp-2, 0x1.b6f5fb1e19362p-2, 0x1.b448b1b539dd9p-2, 0x1.b194461f2af41p-2, 0x1.aed8cef408935p-2, 0x1.ac16650599376p-2, 0x1.a94d2349d7442p-2, 0x1.a67d26c55fb63p-2, 0x1.a3a68e75c35cfp-2, 0x1.a0c97b3bcb52fp-2, 0x1.9de60fc5bad34p-2, 0x1.9afc7079909dap-2, 0x1.980cc35f59823p-2, 0x1.9517300b9414p-2, 0x1.921bdf89b4e6fp-2, 0x1.8f1afc46cc3bp-2, 0x1.8c14b1fc5731bp-2, 0x1.89092d9b44e8dp-2, 0x1.85f89d3733e16p-2, 0x1.82e32ff1eb35fp-2, 0x1.7fc915e71c634p-2, 0x1.7caa80186d30dp-2, 0x1.7987a059cd3f4p-2, 0x1.7660a93e246e2p-2, 0x1.7335ce045693bp-2, 0x1.70074284a07ccp-2, 0x1.6cd53b1e58c28p-2, 0x1.699feca61161cp-2, 0x1.66678c541f5bap-2, 0x1.632c4fb38be36p-2, 0x1.5fee6c916ffb1p-2, 0x1.5cae18ecbe041p-2, 0x1.596b8ae67cc75p-2, 0x1.5626f8b27000cp-2, 0x1.52e0988836c8fp-2, 0x1.4f98a094dcc86p-2, 0x1.4c4f46ecdff77p-2, 0x1.4904c17eac3c4p-2, 0x1.45b946058f8a9p-2, 0x1.426d09fd1e295p-2, 0x1.3f20429516845p-2, 0x1.3bd324a5b27fep-2, 0x1.3885e4a475443p-2, 0x1.3538b6996d948p-2, 0x1.31ebce14e99eap-2, 0x1.2e9f5e25a50efp-2, 0x1.2b53994f65f84p-2, 0x1.2808b1820eb94p-2, 0x1.24bed8111f26fp-2, 0x1.21763daba8811p-2, 0x1.1e2f1254ad97fp-2, 0x1.1ae9855bf0044p-2, 0x1.17a5c5572a712p-2, 0x1.1464001bb403dp-2, 0x1.112462b888ea4p-2, 0x1.0de71970beaaep-2, 0x1.0aac4fb655405p-2, 0x1.0774302571c36p-2, 0x1.043ee47ff10a3p-2, 0x1.010c95a960c1bp-2, 0x1.fbbad746974bep-3, 0x1.f5631b13ccf8fp-3, 0x1.ef1243221bf6dp-3, 0x1.e8c89a033e938p-3, 0x1.e286686e392cp-3, 0x1.dc4bf53b54269p-3, 0x1.d6198560a0e73p-3, 0x1.cfef5bef217eep-3, 0x1.c9cdba107d172p-3, 0x1.c3b4df054661cp-3, 0x1.bda50823c5185p-3, 0x1.b79e70d74a76p-3, 0x1.b1a1529ffe333p-3, 0x1.abade5132cce9p-3, 0x1.a5c45ddc082f6p-3, 0x1.9fe4f0bcdc63bp-3, 0x1.9a0fcf90adec1p-3, 0x1.94452a4d4519fp-3, 0x1.8e852f05994ep-3, 0x1.88d009eca07d8p-3, 0x1.8325e558787p-3, 0x1.7d86e9c5e0e94p-3, 0x1.77f33ddc16956p-3, 0x1.726b0670ee2adp-3, 0x1.6cee668d423b4p-3, 0x1.677d7f71a8447p-3, 0x1.6218709b65f6bp-3, 0x1.5cbf57c9a32d1p-3, 0x1.57725102debf2p-3, 0x1.5231769a94951p-3, 0x1.4cfce13715de9p-3, 0x1.47d4a7d79b57fp-3, 0x1.42b8dfda7c80cp-3, 0x1.3da99d03910bp-3, 0x1.38a6f182be456p-3, 0x1.33b0edfaa0ab3p-3, 0x1.2ec7a1875deabp-3, 0x1.29eb19c58dcap-3, 0x1.251b62d93e509p-3, 0x1.2058877514169p-3, 0x1.1ba290e17b4a8p-3, 0x1.16f98703edd35p-3, 0x1.125d706648665p-3, 0x1.0dce523e2a2b9p-3, 0x1.094c307465189p-3, 0x1.04d70dac7391cp-3, 0x1.006eeb4bf6d86p-3, 0x1.f82793046cb21p-4, 0x1.ef8b4e9f46c04p-4, 0x1.e709051ac7b0ap-4, 0x1.dea0afe99a65fp-4, 0x1.d652464ddc8a9p-4, 0x1.ce1dbd6808117p-4, 0x1.c6030845e907cp-4, 0x1.be0217f170376p-4, 0x1.b61adb7f8406dp-4, 0x1.ae4d401eb1af1p-4, 0x1.a6993125c5d01p-4, 0x1.9efe982251ab3p-4, 0x1.977d5ce70d2ecp-4, 0x1.9015659a16e06p-4, 0x1.88c696c31fe68p-4, 0x1.8190d3596377bp-4, 0x1.7a73fcd184c83p-4, 0x1.736ff32b3f0dp-4, 0x1.6c8494fef35dap-4, 0x1.65b1bf8b0391ap-4, 0x1.5ef74ec109684p-4, 0x1.58551d52daaabp-4, 0x1.51cb04bf6343bp-4, 0x1.4b58dd5f4c7f3p-4, 0x1.44fe7e71738f3p-4, 0x1.3ebbbe2731f91p-4, 0x1.389071b0702e1p-4, 0x1.327c6d47865a8p-4, 0x1.2c7f843ce7e6ep-4, 0x1.269989029e116p-4, 0x1.20ca4d378798p-4, 0x1.1b11a1b268b6p-4, 0x1.156f568cc1408p-4, 0x1.0fe33b2d6e568p-4, 0x1.0a6d1e5315b49p-4, 0x1.050cce1e57aecp-4, 0x1.ff8430379db58p-5, 0x1.f519929ba777ap-5, 0x1.ead95c6c1b308p-5, 0x1.e0c325bd95518p-5, 0x1.d6d685c8426f1p-5, 0x1.cd1312f9b412fp-5, 0x1.c37863064a983p-5, 0x1.ba060afa2fd8cp-5, 0x1.b0bb9f49e9b54p-5, 0x1.a798b3e277cd7p-5, 0x1.9e9cdc391725dp-5, 0x1.95c7ab5a86155p-5, 0x1.8d18b3f9f2595p-5, 0x1.848f887f74d04p-5, 0x1.7c2bbb16272bap-5, 0x1.73ecddb9d33e9p-5, 0x1.6bd282443eba4p-5, 0x1.63dc3a7a11961p-5, 0x1.5c09981756c7fp-5, 0x1.545a2cdb9fc0ap-5, 0x1.4ccd8a95c4afp-5, 0x1.4563432f418b6p-5, 0x1.3e1ae8b73d494p-5, 0x1.36f40d6d2cc23p-5, 0x1.2fee43cb1c432p-5, 0x1.29091e8fa122cp-5, 0x1.224430c76fdep-5, 0x1.1b9f0dd69a982p-5, 0x1.151949817e545p-5, 0x1.0eb277f551e4p-5, 0x1.086a2dd070933p-5, 0x1.0240002a40e85p-5, 0x1.f8670935b8d2ap-6, 0x1.ec88a284c0f1ap-6, 0x1.e0e3f99fdc8d6p-6, 0x1.d5783d10d3531p-6, 0x1.ca449c99cb462p-6, 0x1.bf48494194588p-6, 0x1.b482755f6aca5p-6, 0x1.a9f254a627e04p-6, 0x1.9f971c2ef1d36p-6, 0x1.957002835acb2p-6, 0x1.8b7c3fa7099f6p-6, 0x1.81bb0d20dfb7bp-6, 0x1.782ba603a1a8bp-6, 0x1.6ecd46f622902p-6, 0x1.659f2e3b01aa6p-6, 0x1.5ca09bb7e889bp-6, 0x1.53d0d0fc6f3b4p-6, 0x1.4b2f11486ec26p-6, 0x1.42baa1920d352p-6, 0x1.3a72c88b4912fp-6, 0x1.3256cea72ca4fp-6, 0x1.2a65fe1e95002p-6, 0x1.229fa2f4a111dp-6, 0x1.1b030afabedb8p-6, 0x1.138f85d45de91p-6, 0x1.0c4464fa4bec5p-6, 0x1.0520fbbdbf049p-6, 0x1.fc493e95f99b3p-7, 0x1.ee9d4d5793aep-7, 0x1.e13cd592f1685p-7, 0x1.d4268cdd5b818p-7, 0x1.c7592c91d3caep-7, 0x1.bad371d36f8adp-7, 0x1.ae941d8f4f544p-7, 0x1.a299f47df5046p-7, 0x1.96e3bf2435d44p-7, 0x1.8b7049d398a3fp-7, 0x1.803e64aa3f763p-7, 0x1.754ce3926a2eap-7, 0x1.6a9a9e418cf1ep-7, 0x1.60267036d6f8bp-7, 0x1.55ef38b98dc17p-7, 0x1.4bf3dad6c398ap-7, 0x1.42333d5ee183dp-7, 0x1.38ac4ae2c582dp-7, 0x1.2f5df1b077aefp-7, 0x1.264723cfa1b64p-7, 0x1.1d66d6fda0958p-7, 0x1.14bc04a9672c8p-7, 0x1.0c45a9eef3c09p-7, 0x1.0402c792906f5p-7, 0x1.f7e4c3f7937ebp-8, 0x1.e8270260674bcp-8, 0x1.d8ca619babc5bp-8, 0x1.c9cd000ae6222p-8, 0x1.bb2d03292032fp-8, 0x1.ace8977e7fac4p-8, 0x1.9efdf0939633fp-8, 0x1.916b48e43e998p-8, 0x1.842ee1d216f98p-8, 0x1.77470396c1be1p-8, 0x1.6ab1fd35ae258p-8, 0x1.5e6e246dbd0adp-8, 0x1.5279d5aa8c735p-8, 0x1.46d373f5795d2p-8, 0x1.3b7968e66c5bp-8, 0x1.306a24946a3c1p-8, 0x1.25a41d85fcbabp-8, 0x1.1b25d0a13d28fp-8, 0x1.10edc11bf6c15p-8, 0x1.06fa786b4d1e6p-8, 0x1.fa950c670bc33p-9, 0x1.e7b9006f20f8ep-9, 0x1.d55e0490a76cp-9, 0x1.c3815c681e588p-9, 0x1.b220576afdd2p-9, 0x1.a13850c60a4fdp-9, 0x1.90c6af3b5578p-9, 0x1.80c8e5002b36ap-9, 0x1.713c6f9afa543p-9, 0x1.621ed7c0f07bdp-9, 0x1.536db133e7e2fp-9, 0x1.45269a9fc8c37p-9, 0x1.37473d78610efp-9, 0x1.29cd4dd6d51c1p-9, 0x1.1cb68a5761f53p-9, 0x1.1000bbf6ecfc3p-9, 0x1.03a9b5f0d7acap-9, 0x1.ef5eab39169dep-10, 0x1.d81f0496fda91p-10, 0x1.c1905a4e17747p-10, 0x1.abaea21ce3478p-10, 0x1.9675e4ea26c71p-10, 0x1.81e23e8110322p-10, 0x1.6defdd4e8e3e2p-10, 0x1.5a9b021dd688fp-10, 0x1.47dfffd63b8ebp-10, 0x1.35bb3b38fe1f4p-10, 0x1.24292a9f1ed3ap-10, 0x1.132655b822b4bp-10, 0x1.02af5548ed9d6p-10, 0x1.e581a5d649b11p-11, 0x1.c6af119a2c862p-11, 0x1.a8e082e32d135p-11, 0x1.8c0faee240564p-11, 0x1.70366a758ae2cp-11, 0x1.554ea9abd44d5p-11, 0x1.3b527f48cf9a7p-11, 0x1.223c1c4ab0f2cp-11, 0x1.0a05cf708ca5cp-11, 0x1.e5540983013acp-12, 0x1.b8468a2bceaa9p-12, 0x1.8cd86b4103a0cp-12, 0x1.62ff2ef2e4a7fp-12, 0x1.3ab08e5518916p-12, 0x1.13e27877d2ecap-12, 0x1.dd16230a63037p-13, 0x1.954163bf5bbadp-13, 0x1.5033ca873a47bp-13, 0x1.0ddad3d596d66p-13, 0x1.9c48becb19b54p-14, 0x1.21fd5d141c5d7p-14, 0x1.59618a0fb4985p-15, 0x1.e207add0a9365p-17, -0x1.7b9ac38181833p-17, -0x1.2d196df0128a5p-15, -0x1.f25608e27bf68p-15, -0x1.576d6fa4e2238p-14, -0x1.b1727aac1475fp-14, -0x1.03abfefe849f1p-13, -0x1.2c9d95b919834p-13, -0x1.539c48a1ab4a9p-13, -0x1.78b60e7d3a0c7p-13, -0x1.9bf88f2bf71a8p-13, -0x1.bd712519c89b5p-13, -0x1.dd2cdea6b57cbp-13, -0x1.fb387f8d0d563p-13, -0x1.0bd04120827a6p-12, -0x1.19388ca62c179p-12, -0x1.25db185263e38p-12, -0x1.31bdb77ed2e3bp-12, -0x1.3ce61b8a3f645p-12, -0x1.4759d47c9895ep-12, -0x1.511e51a8eab11p-12, -0x1.5a38e24bd67c9p-12, -0x1.62aeb629e459p-12, -0x1.6a84de289f88p-12, -0x1.71c04ce7de094p-12, -0x1.7865d7577ecb2p-12, -0x1.7e7a354ab7a83p-12, -0x1.8402020a4c9f2p-12, -0x1.8901bce2fd6a9p-12, -0x1.8d7dc9b2cc1c3p-12, -0x1.917a717427bd6p-12, -0x1.94fbe2c5a02ccp-12, -0x1.98063270dd48bp-12, -0x1.9a9d5beebe51ep-12, -0x1.9cc541e98a5b9p-12, -0x1.9e81aebc95833p-12, -0x1.9fd654f2b29p-12, -0x1.a0c6cfc19e671p-12, -0x1.a156a383cbd09p-12, -0x1.a1893e306946fp-12, -0x1.a161f7d0d8666p-12, -0x1.a0e412f4a3dap-12, -0x1.a012bd2367445p-12, -0x1.9ef10f4c7149ap-12, -0x1.9d820e34b1a82p-12, -0x1.9bc8aae37e862p-12, -0x1.99c7c30b37db5p-12, -0x1.978221739724ap-12, -0x1.94fa7e5e9c179p-12, -0x1.92337fee19366p-12, -0x1.8f2fba86a735ap-12, -0x1.8bf1b1306488p-12, -0x1.887bd5f6a4e5ap-12, -0x1.84d08a4586323p-12, -0x1.80f21f464d491p-12, -0x1.7ce2d639ae039p-12, -0x1.78a4e0d02365fp-12, -0x1.743a618177485p-12, -0x1.6fa56be26c2adp-12, -0x1.6ae804f7e7868p-12, -0x1.6604238a35ca5p-12, -0x1.60fbb075257f1p-12, -0x1.5bd086f800a48p-12, -0x1.56847502dd904p-12, -0x1.51193b83713f3p-12, -0x1.4b908eaf821e3p-12, -0x1.45ec164ec3f3bp-12, -0x1.402d6e02dc424p-12, -0x1.3a56258dfbae3p-12, -0x1.3467c1184db29p-12, -0x1.2e63b9742414p-12, -0x1.284b7c607f0a9p-12, -0x1.22206cca4adb4p-12, -0x1.1be3e30cd7bbep-12, -0x1.15972d3037162p-12, -0x1.0f3b8f278fc83p-12, -0x1.08d2430ce1c5ep-12, -0x1.025c795c708dap-12, -0x1.f7b6b25e0359fp-13, -0x1.eaa000e4ae37cp-13, -0x1.dd77084256fbep-13, -0x1.d03de0f311b52p-13, -0x1.c2f6926544431p-13, -0x1.b5a3136212cd8p-13, -0x1.a8454a73fd43cp-13, -0x1.9adf0e4b5bec2p-13, -0x1.8d7226218eaf9p-13, -0x1.80004a18c565cp-13, -0x1.728b239a5422ap-13, -0x1.65144db4535e6p-13, -0x1.579d557300f25p-13, -0x1.4a27ba3a6cbf4p-13, -0x1.3cb4ee1cd13ecp-13, -0x1.2f46562fc2d78p-13, -0x1.21dd4adf9cd5cp-13, -0x1.147b1840c38bcp-13, -0x1.0720fe5f5f889p-13, -0x1.f3a0631b7a42ep-14, -0x1.d913b56099ca7p-14, -0x1.be9e2f119092bp-14, -0x1.a441f5feb4aa3p-14, -0x1.8a011ad424339p-14, -0x1.6fdd99a571d0cp-14, -0x1.55d95a77642eep-14, -0x1.3bf631c567446p-14, -0x1.2235e1055cb58p-14, -0x1.089a172772962p-14, -0x1.de48e2272de25p-15, -0x1.abacf4499a291p-15, -0x1.7963593f264dfp-15, -0x1.476ee4525f88fp-15, -0x1.15d2487195d48p-15, -0x1.c92032213213p-16, -0x1.67559607d31f9p-16, -0x1.06496aaef7e76p-16, -0x1.4c00487da40b6p-17, -0x1.19f7fa269cf41p-18, 0x1.839016283eaaep-20, 0x1.d8842ed6229c1p-18, 0x1.a66d08beed558p-17, 0x1.2f76019c3a2edp-16, 0x1.8adc4a8194063p-16, 0x1.e566559fd6db2p-16, 0x1.1f88a3d0f7e33p-15, 0x1.4bed38fe4836ap-15, 0x1.77dfa8cefbd37p-15, 0x1.a35ec6d62e33dp-15, 0x1.ce697b23d6eaep-15, 0x1.f8fec1a992344p-15, 0x1.118ed4d265727p-14, 0x1.2662aa84ed38p-14, 0x1.3afa7bf9fabffp-14, 0x1.4f55ec0c67808p-14, 0x1.6374a61fcd07ap-14, 0x1.77565ddd05ee1p-14, 0x1.8afacef17a80ap-14, 0x1.9e61bccea28e2p-14, 0x1.b18af26c2e877p-14, 0x1.c476420aa38efp-14, 0x1.d72384f8a8944p-14, 0x1.e9929b588131fp-14, 0x1.fbc36be865026p-14, 0x1.06daf1e54f31fp-13, 0x1.0fb4fb2826639p-13, 0x1.186fce627692ep-13, 0x1.210b6b1d9611cp-13, 0x1.2987d3ad9771p-13, 0x1.31e50d18f16b7p-13, 0x1.3a231f00cf409p-13, 0x1.42421389dd5b9p-13, 0x1.4a41f745fac2ep-13, 0x1.5222d91e46674p-13, 0x1.59e4ca3d859eep-13, 0x1.6187ddfbb042dp-13, 0x1.690c29c92006p-13, 0x1.7071c51b54396p-13, 0x1.77b8c95933dadp-13, 0x1.7ee151c88ae5ap-13, 0x1.85eb7b7bb110fp-13, 0x1.8cd7653fb4f6fp-13, 0x1.93a52f8afd39ep-13, 0x1.9a54fc6c8e7e5p-13, 0x1.a0e6ef7b524c2p-13, 0x1.a75b2dc664f19p-13, 0x1.adb1ddc554176p-13, 0x1.b3eb2748e8f02p-13, 0x1.ba07336c7c385p-13, 0x1.c0062c8785a8p-13, 0x1.c5e83e1fb5345p-13, 0x1.cbad94db51acp-13, 0x1.d1565e740a9e9p-13, 0x1.d6e2c9aa0dd13p-13, 0x1.dc5306377b473p-13, 0x1.e1a744c4631ap-13, 0x1.e6dfb6dabb356p-13, 0x1.ebfc8edb196f5p-13, 0x1.f0fdfff1417dcp-13, 0x1.f5e43e0982159p-13, 0x1.faaf7dc6103dap-13, 0x1.ff5ff474db536p-13, 0x1.01faec02b7bc6p-12, 0x1.0438af7fbfc5bp-12, 0x1.0669603ca5fd3p-12, 0x1.088d1a0755decp-12, 0x1.0aa3f8ec02fe6p-12, 0x1.0cae1930ee5dap-12, 0x1.0eab97523b116p-12, 0x1.109c8ffdd2374p-12, 0x1.1281200f8f6d7p-12, 0x1.1459648d4f90bp-12, 0x1.16257aa3669c8p-12, 0x1.17e57fa0e8f5bp-12, 0x1.199990f44ab94p-12, 0x1.1b41cc27f8bd6p-12, 0x1.1cde4edf0fbeep-12, 0x1.1e6f36d23ecb2p-12, 0x1.1ff4a1ccabe9bp-12, 0x1.216eada90baadp-12, 0x1.22dd784eb4a79p-12, 0x1.24411faeebc12p-12, 0x1.2599c1c22b6c3p-12, 0x1.26e77c857964cp-12, 0x1.282a6df805585p-12, 0x1.2962b41896ebfp-12, 0x1.2a906ce34cd2dp-12, 0x1.2bb3b64f5356bp-12, 0x1.2cccae4ca4553p-12, 0x1.2ddb72c1fdbb4p-12, 0x1.2ee0218ad3805p-12, 0x1.2fdad8753eecep-12, 0x1.30cbb54034238p-12, 0x1.31b2d599a27e5p-12, 0x1.3290571ca7644p-12, 0x1.3364574fe9326p-12, 0x1.342ef3a3e2631p-12, 0x1.34f0497154c91p-12, 0x1.35a875f7c2332p-12, 0x1.3657965bf4d1ep-12, 0x1.36fdc7a69b6f9p-12, 0x1.379b26c2f0e8ep-12, 0x1.382fd07d6166cp-12, 0x1.38bbe18259ec2p-12, 0x1.393f765d1617fp-12, 0x1.39baab7665cacp-12, 0x1.3a2d9d13abff2p-12, 0x1.3a986755c8ea5p-12, 0x1.3afb26380f5f7p-12, 0x1.3b55f58f52f75p-12, 0x1.3ba8f1090a7dp-12, 0x1.3bf4342a55fa8p-12, 0x1.3c37da4f3903bp-12, 0x1.3c73fea9d24cfp-12, 0x1.3ca8bc4180cb8p-12, 0x1.3cd62df249af9p-12, 0x1.3cfc6e6c11c8p-12, 0x1.3d1b9831fefc3p-12, 0x1.3d33c599cfdc1p-12, 0x1.3d4510cb56c59p-12, 0x1.3d4f93bfec072p-12, 0x1.3d536841d366ap-12, 0x1.3d50a7ebd826cp-12, 0x1.3d476c28c41dcp-12, 0x1.3d37ce3302efap-12, 0x1.3d21e71422271p-12, 0x1.3d05cfa487595p-12, 0x1.3ce3a08b16876p-12, 0x1.3cbb723cccc9p-12, 0x1.3c8d5cfc8226ap-12, 0x1.3c5978da9d097p-12, 0x1.3c1fddb4d1d4bp-12, 0x1.3be0a335eb0dbp-12, 0x1.3b9be0d593c3bp-12, 0x1.3b51add82a139p-12, 0x1.3b02214e986ccp-12, 0x1.3aad5216176adp-12, 0x1.3a5356d82fa28p-12, 0x1.39f4460a8971ep-12, 0x1.399035eeda88ep-12, 0x1.39273c92d6267p-12, 0x1.38b96fd015ad2p-12, 0x1.3846e54c1fd7cp-12, 0x1.37cfb278580fep-12, 0x1.3753ec91f4851p-12, 0x1.36d3a8a2184bdp-12, 0x1.364efb7dc1cd7p-12, 0x1.35c5f9c5dbe5p-12, 0x1.3538b7e74e15cp-12, 0x1.34a74a1b0f025p-12, 0x1.3411c46628ed6p-12, 0x1.33783a99dcdabp-12, 0x1.32dac053be07cp-12, 0x1.323968fdc13bcp-12, 0x1.319447ce6803cp-12, 0x1.30eb6fc8ddf87p-12, 0x1.303ef3bd1b6bdp-12, 0x1.2f8ee64811187p-12, 0x1.2edb59d3cd82ep-12, 0x1.2e246097a50e4p-12, 0x1.2d6a0c986554p-12, 0x1.2cac6fa8887b2p-12, 0x1.2beb9b685e336p-12, 0x1.2b27a146455b3p-12, 0x1.2a60927ee03d3p-12, 0x1.2996801d4a9b6p-12, 0x1.28c97afb526e2p-12, 0x1.27f993c1b7d73p-12, 0x1.2726dae86c2f3p-12, 0x1.265160b6c9dd5p-12, 0x1.25793543cf57p-12, 0x1.249e68766fbcfp-12, 0x1.23c10a05c4d8cp-12, 0x1.22e129795f46bp-12, 0x1.21fed629849c3p-12, 0x1.211a1f3f79b73p-12, 0x1.203313b5c070bp-12, 0x1.1f49c2586efbep-12, 0x1.1e5e39c56d25bp-12, 0x1.1d70886cc3983p-12, 0x1.1c80bc90e4d01p-12, 0x1.1b8ee446ff86cp-12, 0x1.1a9b0d77440dep-12, 0x1.19a545dd30de9p-12, 0x1.18ad9b07e5041p-12, 0x1.17b41a5a6bc4dp-12, 0x1.16b8d10c1401p-12, 0x1.15bbcc28b6011p-12, 0x1.14bd189108207p-12, 0x1.13bcc2faee845p-12, 0x1.12bad7f1d0ad4p-12, 0x1.11b763d6ea878p-12, 0x1.10b272e198147p-12, 0x1.0fac111fafeffp-12, 0x1.0ea44a75d37abp-12, 0x1.0d9b2a9fc3f83p-12, 0x1.0c90bd30af1e7p-12, 0x1.0b850d938af5bp-12, 0x1.0a78270b66025p-12, 0x1.096a14b3c1573p-12, 0x1.085ae180d8315p-12, 0x1.074a984001b22p-12, 0x1.06394397fc153p-12, 0x1.0526ee09439bcp-12, 0x1.0413a1ee6e6c3p-12, 0x1.02ff697c7a7bcp-12, 0x1.01ea4ec321c5fp-12, 0x1.00d45bad2e845p-12, 0x1.ff7b3401a51a4p-13, 0x1.fd4c26bffab03p-13, 0x1.fb1ba2915a1ep-13, 0x1.f8e9ba2a8757fp-13, 0x1.f6b67ff9b57b7p-13, 0x1.f48206272f3e7p-13, 0x1.f24c5e9606936p-13, 0x1.f0159ae4af95bp-13, 0x1.edddcc6db02dap-13, 0x1.eba504483f7dep-13, 0x1.e96b5348f66ddp-13, 0x1.e730ca026b7cep-13, 0x1.e4f578c5e0994p-13, 0x1.e2b96fa3de0c2p-13, 0x1.e07cbe6cdd9d1p-13, 0x1.de3f74b1ee802p-13, 0x1.dc01a1c554c37p-13, 0x1.d9c354bb2608ap-13, 0x1.d7849c69fa0f9p-13, 0x1.d545876b8122p-13, 0x1.d306241d21b37p-13, 0x1.d0c680a0a29ep-13, 0x1.ce86aadcbeda1p-13, 0x1.cc46b07dc885fp-13, 0x1.ca069ef64beddp-13, 0x1.c7c6837fa6ddbp-13, 0x1.c5866b1a98bf2p-13, 0x1.c346628fedbcp-13, 0x1.c10676711611p-13, 0x1.bec6b318b9c5p-13, 0x1.bc8724ab5396p-13, 0x1.ba47d717c9319p-13, 0x1.b808d618036ddp-13, 0x1.b5ca2d317f4d4p-13, 0x1.b38be7b5e551p-13, 0x1.b14e10c39e177p-13, 0x1.af10b346636p-13, 0x1.acd3d9f7d676cp-13, 0x1.aa978f600e84ep-13, 0x1.a85bddd62346bp-13, 0x1.a620cf80c7f7dp-13, 0x1.a3e66e56d188bp-13, 0x1.a1acc41fc6bbap-13, 0x1.9f73da746e757p-13, 0x1.9d3bbabf508aep-13, 0x1.9b046e3d4d12dp-13, 0x1.98cdfdfe2381dp-13, 0x1.969872e4f45e6p-13, 0x1.9463d5a8cdc42p-13, 0x1.92302ed530b21p-13, 0x1.8ffd86ca99f3bp-13, 0x1.8dcbe5befe6d4p-13, 0x1.8b9b53be5b39bp-13, 0x1.896bd8ab29dbbp-13, 0x1.873d7c3ee9268p-13, 0x1.8510460a9e0bbp-13, 0x1.82e43d774d33ep-13, 0x1.80b969c68300fp-13, 0x1.7e8fd212cd27p-13, 0x1.7c677d5032781p-13, 0x1.7a40724cae4a2p-13, 0x1.781ab7b0ae90fp-13, 0x1.75f653ff902a9p-13, 0x1.73d34d980da97p-13, 0x1.71b1aab4bf3b1p-13, 0x1.6f91716c8c26p-13, 0x1.6d72a7b31efafp-13, 0x1.6b5553595f2d9p-13, 0x1.69397a0ddfdebp-13, 0x1.671f215d52405p-13, 0x1.65064eb2f7132p-13, 0x1.62ef0759110afp-13, 0x1.60d9507952b1cp-13, 0x1.5ec52f1d49977p-13, 0x1.5cb2a82ecc351p-13, 0x1.5aa1c078699d3p-13, 0x1.58927ca5d1111p-13, 0x1.5684e14440cabp-13, 0x1.5478f2c2ecab4p-13, 0x1.526eb5736236p-13, 0x1.50662d89f6739p-13, 0x1.4e5f5f1e2652ap-13, 0x1.4c5a4e2b0009fp-13, 0x1.4a56fe8f87fap-13, 0x1.4855740f190dbp-13, 0x1.4655b251c6e79p-13, 0x1.4457bce4c65ep-13, 0x1.425b973ac13f8p-13, 0x1.406144ac409b6p-13, 0x1.3e68c87809883p-13, 0x1.3c7225c3764f8p-13, 0x1.3a7d5f9ad5014p-13, 0x1.388a78f1c7d43p-13, 0x1.369974a39ab79p-13, 0x1.34aa5573a0191p-13, 0x1.32bd1e0d8bde3p-13, 0x1.30d1d105c38dcp-13, 0x1.2ee870d9bb168p-13, 0x1.2d00fff04d144p-13, 0x1.2b1b809a0dad8p-13, 0x1.2937f5119ba42p-13, 0x1.27565f7bfe025p-13, 0x1.2576c1e8eb425p-13, 0x1.23991e53227acp-13, 0x1.21bd76a0baa1ap-13, 0x1.1fe3cca372b6bp-13, 0x1.1e0c2218fe52dp-13, 0x1.1c3678ab5b39ap-13, 0x1.1a62d1f114e76p-13, 0x1.18912f6d9cd61p-13, 0x1.16c192918ef21p-13, 0x1.14f3fcbaf6f4dp-13, 0x1.13286f35a7c3cp-13, 0x1.115eeb3b7fe4ap-13, 0x1.0f9771f4aed87p-13, 0x1.0dd2047803787p-13, 0x1.0c0ea3cb2b02cp-13, 0x1.0a4d50e2fbdd2p-13, 0x1.088e0ca3ba095p-13, 0x1.06d0d7e15d668p-13, 0x1.0515b35fd458bp-13, 0x1.035c9fd3466fcp-13, 0x1.01a59de0570efp-13, 0x1.ffe15c38d3c23p-14, 0x1.fc7ba21bc1fdfp-14, 0x1.f91a0e58b9c5ap-14, 0x1.f5bca1c1f6ea7p-14, 0x1.f2635d0d339b7p-14, 0x1.ef0e40d418164p-14, 0x1.ebbd4d94bff56p-14, 0x1.e87083b232e2ap-14, 0x1.e527e374e0e38p-14, 0x1.e1e36d0b09081p-14, 0x1.dea320893b1fp-14, 0x1.db66fdeac3cbbp-14, 0x1.d82f051216cf2p-14, 0x1.d4fb35c95f258p-14, 0x1.d1cb8fc2ce49ap-14, 0x1.cea0129918818p-14, 0x1.cb78bdcfdf273p-14, 0x1.c85590d41757ap-14, 0x1.c5368afc7b702p-14, 0x1.c21bab89f38a1p-14, 0x1.bf04f1a7f4f51p-14, 0x1.bbf25c6cf019fp-14, 0x1.b8e3eadab1c24p-14, 0x1.b5d99bdec7f95p-14, 0x1.b2d36e52e3538p-14, 0x1.afd160fd3a029p-14, 0x1.acd37290e3b51p-14, 0x1.a9d9a1ae42126p-14, 0x1.a6e3ece357328p-14, 0x1.a3f252ac1a494p-14, 0x1.a104d172dff3dp-14, 0x1.9e1b6790ace85p-14, 0x1.9b36134d945b3p-14, 0x1.9854d2e10d90ap-14, 0x1.9577a47243d84p-14, 0x1.929e861873b01p-14, 0x1.8fc975db3e884p-14, 0x1.8cf871b2fe2b8p-14, 0x1.8a2b77890be74p-14, 0x1.876285381fa93p-14, 0x1.849d988c9f42fp-14, 0x1.81dcaf44e730ep-14, 0x1.7f1fc71193ec2p-14, 0x1.7c66dd95ddf81p-14, 0x1.79b1f067db46ap-14, 0x1.7700fd10ca294p-14, 0x1.7454010d5f22fp-14, 0x1.71aaf9ce0113ap-14, 0x1.6f05e4b7262c7p-14, 0x1.6c64bf21915d4p-14, 0x1.69c7865a8cb31p-14, 0x1.672e37a444acap-14, 0x1.6498d035fb643p-14, 0x1.62074d3c4a21cp-14, 0x1.5f79abd976ec8p-14, 0x1.5cefe925a0dbfp-14, 0x1.5a6a022f05ce9p-14, 0x1.57e7f3fa43165p-14, 0x1.5569bb829aa52p-14, 0x1.52ef55ba2b137p-14, 0x1.5078bf8a2f095p-14, 0x1.4e05f5d33a21cp-14, 0x1.4b96f56d64835p-14, 0x1.492bbb28976f8p-14, 0x1.46c443ccc06cp-14, 0x1.44608c1a0ce37p-14, 0x1.420090c921734p-14, 0x1.3fa44e8b47511p-14, 0x1.3d4bc20aac6c5p-14, 0x1.3af6e7ea9ba2cp-14, 0x1.38a5bcc7a5a5p-14, 0x1.36583d37e289p-14, 0x1.340e65cb17cc9p-14, 0x1.31c8330af08a2p-14, 0x1.2f85a17b3045ap-14, 0x1.2d46ad99df3cfp-14, 0x1.2b0b53df7f5ebp-14, 0x1.28d390bf3f16ep-14, 0x1.269f60a71ef56p-14, 0x1.246ec00024a93p-14, 0x1.2241ab2e866a4p-14, 0x1.20181e91d3541p-14, 0x1.1df2168525d5fp-14, 0x1.1bcf8f5f52e61p-14, 0x1.19b0857308cfp-14, 0x1.1794f50effd3dp-14, 0x1.157cda7e21ff5p-14, 0x1.13683207b8b81p-14, 0x1.1156f7ef8964cp-14, 0x1.0f492876032dfp-14, 0x1.0d3ebfd86c072p-14, 0x1.0b37ba50fddep-14, 0x1.0934141709309p-14, 0x1.0733c95f20d3ap-14, 0x1.0536d65b38efp-14, 0x1.033d373ad7cf2p-14, 0x1.0146e82b29e3dp-14, 0x1.fea7caae51b01p-15, 0x1.fac855cf815b6p-15, 0x1.f6ef6a07d52a1p-15, 0x1.f31cffa1a0775p-15, 0x1.ef510ee3dd7e8p-15, 0x1.eb8b90126fa5ap-15, 0x1.e7cc7b6e57bbep-15, 0x1.e413c935f1953p-15, 0x1.e06171a539934p-15, 0x1.dcb56cf5ff16cp-15, 0x1.d90fb360232f7p-15, 0x1.d5703d19ce4b7p-15, 0x1.d1d70257b0587p-15, 0x1.ce43fb4d30af1p-15, 0x1.cab7202c9c8dp-15, 0x1.c7306927684b1p-15, 0x1.c3afce6e6b2c7p-15, 0x1.c0354831f2d2bp-15, 0x1.bcc0cea228d85p-15, 0x1.b95259ef1a04fp-15, 0x1.b5e9e248f107ap-15, 0x1.b2875fe02f63cp-15, 0x1.af2acae5d063cp-15, 0x1.abd41b8b7736fp-15, 0x1.a8834a03a896ep-15, 0x1.a5384e81fb6b1p-15, 0x1.a1f3213b29b7dp-15, 0x1.9eb3ba655063bp-15, 0x1.9b7a123822bcep-15, 0x1.984620ece3a0bp-15, 0x1.9517debec4997p-15, 0x1.91ef43eb01401p-15, 0x1.8ecc48b0ee5dfp-15, 0x1.8baee55231c53p-15, 0x1.88971212dbe54p-15, 0x1.8584c7399139ap-15, 0x1.8277fd0fbf408p-15, 0x1.7f70abe1aeda7p-15, 0x1.7c6ecbfea851dp-15, 0x1.797255b91089cp-15, 0x1.767b41669a5a3p-15, 0x1.7389876051bb2p-15, 0x1.709d2002bb1cdp-15, 0x1.6db603ae0eda7p-15, 0x1.6ad42ac6348b3p-15, 0x1.67f78db304f0cp-15, 0x1.652024e04771ep-15, 0x1.624de8bdd33fdp-15, 0x1.5f80d1bfba929p-15, 0x1.5cb8d85e66665p-15, 0x1.59f5f51688cb5p-15, 0x1.573820696df5dp-15, 0x1.547f52dd09933p-15, 0x1.51cb84fbdf5e4p-15, 0x1.4f1caf5550f25p-15, 0x1.4c72ca7da4ff7p-15, 0x1.49cdcf0e085f3p-15, 0x1.472db5a4da767p-15, 0x1.449276e58c0f8p-15, 0x1.41fc0b78cc63bp-15, 0x1.3f6a6c0ca64ap-15, 0x1.3cdd91547db1ap-15, 0x1.3a5574092c184p-15, 0x1.37d20ce91851bp-15, 0x1.355354b85a32ep-15, 0x1.32d94440a159ap-15, 0x1.3063d4517a595p-15, 0x1.2df2fdc03411dp-15, 0x1.2b86b9680a8f1p-15, 0x1.291f002a39694p-15, 0x1.26bbcaede344bp-15, 0x1.245d12a0695edp-15, 0x1.2202d0353e84bp-15, 0x1.1facfca601608p-15, 0x1.1d5b90f2ababap-15, 0x1.1b0e86216bfe5p-15, 0x1.18c5d53ecc5c9p-15, 0x1.1681775debdb6p-15, 0x1.1441659827ccap-15, 0x1.1205990d94cd7p-15, 0x1.0fce0ae4c3affp-15, 0x1.0d9ab44ad09d1p-15, 0x1.0b6b8e73963dcp-15, 0x1.0940929993118p-15, 0x1.0719b9fe00dap-15, 0x1.04f6fde8df0d4p-15, 0x1.02d857a90bb24p-15, 0x1.00bdc09421defp-15, 0x1.fd4e640d7a307p-16, 0x1.f9294ac8a4d08p-16, 0x1.f50c282e8917ep-16, 0x1.f0f6ef220a309p-16, 0x1.ece99293ce29dp-16, 0x1.e8e40582f2d5ap-16, 0x1.e4e63afc4910fp-16, 0x1.e0f0261b37bf1p-16, 0x1.dd01ba091a60bp-16, 0x1.d91ae9fd78906p-16, 0x1.d53ba93eabbd7p-16, 0x1.d163eb20e9751p-16, 0x1.cd93a3071b8e6p-16, 0x1.c9cac462bb6a7p-16, 0x1.c60942b34347dp-16, 0x1.c24f11874f364p-16, 0x1.be9c247b9331cp-16, 0x1.baf06f3b8c65dp-16, 0x1.b74be58149b19p-16, 0x1.b3ae7b158e3dep-16, 0x1.b01823cfa5891p-16, 0x1.ac88d395c9b93p-16, 0x1.a9007e5ca1e81p-16, 0x1.a57f1827cdedap-16, 0x1.a204950999fedp-16, 0x1.9e90e922ed61fp-16, 0x1.9b2408a3bd014p-16, 0x1.97bde7ca8058ap-16, 0x1.945e7ae4d7312p-16, 0x1.9105b64ed1296p-16, 0x1.8db38e7391478p-16, 0x1.8a67f7ccd65bbp-16, 0x1.8722e6e34d258p-16, 0x1.83e4504ea5f1bp-16, 0x1.80ac28b4f3ea4p-16, 0x1.7d7a64cbba95p-16, 0x1.7a4ef956ce513p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      48, 0x1.ep+2, 0x1.3df6375b23602p+0, 0x1.d20989d60174p+0, -0x1.6d45e6be441cdp-9, 
      {{
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.0ba9ca581a18cp-7, -0x1.bdde6650a6cf7p-7, 0x1.14e49c68d9dafp-7, -0x1.1bfcf023bf1d8p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.ec1b3858054eap-8, -0x1.a2b640b96efb4p-7, 0x1.0a3e536782b01p-7, -0x1.1c045040aae6cp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c38c713205dc4p-8, -0x1.889ebf930b31bp-7, 0x1.ff2f873092289p-8, -0x1.1be6cecfd1cc7p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.9d8bfbd5c3516p-8, -0x1.6f97d83e1ff57p-7, 0x1.e9e49e142f393p-8, -0x1.1c55736250eaep-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.79fe94dacf904p-8, -0x1.57a1b1acd1e91p-7, 0x1.d49168a002c15p-8, -0x1.191b4ce5dceb9p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.58c8ff74baff8p-8, -0x1.40baf46d9206ep-7, 0x1.bf7c2941f8962p-8, -0x1.12384a7d68a47p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.39d04e26d395ap-8, -0x1.2adec5b46d5p-7, 0x1.aaeb23abc3efep-8, -0x1.0be1a0aed3027p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1cfa2b77e3ea2p-8, -0x1.1606cc61ed311p-7, 0x1.96d3d13840e96p-8, -0x1.05655bd602fb2p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.022ce08e2d492p-8, -0x1.022ce0a75ae97p-7, 0x1.833903ee9a49ep-8, -0x1.fde65517ffbfcp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.d29eaa5ecf6efp-9, -0x1.de959afe6a3c2p-8, 0x1.7019fa574d7f8p-8, -0x1.f0fc8c226dfb1p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.a4921f8183e0fp-9, -0x1.bab4c2dcca0d4p-8, 0x1.5d76e849362c9p-8, -0x1.e41435954195bp-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.7a046a8dc2cd6p-9, -0x1.98aad40de86f8p-8, 0x1.4b4fbfe06a1d1p-8, -0x1.d72b7bc7fc485p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.52c712cbc489bp-9, -0x1.786b6a380060bp-8, 0x1.39a484d5b70dbp-8, -0x1.ca42dc92d1d31p-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.2eacdcc2aed7dp-9, -0x1.59ea20de6cddcp-8, 0x1.28753629cf2f6p-8, -0x1.bd5a363d61519p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.0d89ca3894e81p-9, -0x1.3d1a938de1217p-8, 0x1.17c1d4211b893p-8, -0x1.b07191d0c3eb5p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.de663464eeb3ep-10, -0x1.21f05dd08f629p-8, 0x1.078a5ea94763ap-8, -0x1.a388ece134e08p-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.a6fe91e888752p-10, -0x1.085f1b31559fap-8, 0x1.ef9dab8e779c4p-9, -0x1.96a04814ad6dep-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.748c2001ae0dfp-10, -0x1.e0b4ce75c79dep-9, 0x1.d11e72f35100fp-9, -0x1.89b7a33ed316ep-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.46c0cc33f152p-10, -0x1.b3abbaefec77fp-9, 0x1.b3971381cdf9p-9, -0x1.7ccefe6b65258p-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.1d50fe80bef26p-10, -0x1.898a32e68bc58p-9, 0x1.97078d39bffcbp-9, -0x1.6fe6599762aecp-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.efe732cebcfcdp-11, -0x1.62376d6f19437p-9, 0x1.7b6fe01b322fcp-9, -0x1.62fdb4c381bap-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.acc3f3c9e4c0ap-11, -0x1.3d9aa19f083fcp-9, 0x1.60d00c26220e2p-9, -0x1.56150fef942a4p-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.70afeee8efc25p-11, -0x1.1b9b068bcc1eap-9, 0x1.4728115a908b2p-9, -0x1.492c6b1baa42bp-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.3b27c81d8e4a7p-11, -0x1.f83fa695b072bp-10, 0x1.2e77efb87d5fcp-9, -0x1.3c43c647c648fp-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.0bad1855265cep-11, -0x1.be207de33fe6fp-10, 0x1.16bfa73fe81a6p-9, -0x1.2f5b2173dec67p-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.c38cdaf1a76bdp-12, -0x1.88a7012b2d647p-10, 0x1.fffe6fe1a1fd8p-10, -0x1.22727c9fe856p-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.79fe94dacf961p-12, -0x1.57a19e985f929p-10, 0x1.d46d439672566p-10, -0x1.1589d7cc1e49ap-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.39d04e26d39dep-12, -0x1.2adec455bd53cp-10, 0x1.aacbc99e3a984p-10, -0x1.08a132f809cep-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.022ce08e2d4f2p-12, -0x1.022ce08e2d4d5p-10, 0x1.831a01f905ecap-10, -0x1.f7711c48937e7p-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.a4921f8183ef9p-13, -0x1.bab4c2d92c722p-11, 0x1.5d57eca6c7a9cp-10, -0x1.dd9fd2a0a00fp-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.52c712cbc497dp-13, -0x1.786b6a37be08ep-11, 0x1.398589a78875ap-10, -0x1.c3ce88f8a182fp-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.0d89ca3894f15p-13, -0x1.3d1a938ddc455p-11, 0x1.17a2d8fb4924dp-10, -0x1.a9fd3f5159d2bp-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.a6fe91e888953p-14, -0x1.085f1b31555b3p-11, 0x1.ef5fb543f8041p-11, -0x1.902bf5a88701p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.46c0cc33f169p-14, -0x1.b3abbaefebc6ap-12, 0x1.b3591d377d5dbp-11, -0x1.765aac0331185p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.efe732cebd241p-15, -0x1.62376d6f1c667p-12, 0x1.7b31e9d09c671p-11, -0x1.5c8962530150ap-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.70afeee8efd81p-15, -0x1.1b9b068bc0fbp-12, 0x1.46ea1b10f5ce6p-11, -0x1.42b818c98239bp-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.0bad18552696p-15, -0x1.be207de3919e3p-13, 0x1.1681b0f2bbde9p-11, -0x1.28e6ceb2301e1p-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.79fe94dacfd7fp-16, -0x1.57a19e972e50dp-13, 0x1.d3f15716694ep-12, -0x1.0f1586a84985ap-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.022ce08e2dc7fp-16, -0x1.022ce092a094ep-13, 0x1.829e1517200cap-12, -0x1.ea886df3d76c8p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.52c712cbc5402p-17, -0x1.786b6a16850c3p-14, 0x1.39099e328c897p-12, -0x1.b6e6079a40e48p-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.a6fe91e88ap-18, -0x1.085f1bad53e6bp-14, 0x1.ee67d3b6d268ap-13, -0x1.8342cc80c4075p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.efe732cec0c01p-19, -0x1.623769d192975p-15, 0x1.7a3a2ff69797cp-13, -0x1.4fa2ab62a809fp-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.0bad185529cp-19, -0x1.be2098df78658p-16, 0x1.158962f29861fp-13, -0x1.1bf6f715eb253p-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.022ce08e35p-20, -0x1.022c7bd858266p-16, 0x1.80b1cb3e707b2p-14, -0x1.d0eceb141b695p-13}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.a6fe91e8a3fffp-22, -0x1.08620ae78ccecp-17, 0x1.ea6f0970d084dp-15, -0x1.68a9784f56f1ep-13}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.0bad185560001p-23, -0x1.bdf4a82e7ffb2p-19, 0x1.12095adacf8e4p-15, -0x1.05195ebf6ad88p-13}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a6fe91ea8p-26, -0x1.09a64b255db1ap-20, 0x1.d582219fd75a5p-17, -0x1.1ffca01098cc7p-14}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.a6fe9207ffffep-30, -0x1.c46ceff612802p-24, 0x1.efb252fc8p-19, -0x1.8168ca7378a56p-14}, 
      }}, 
      0x1.6aa8b383c33fap-10, -0x1.177ba3aeb4c48p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.cdb5d25142318p-2, 0x1.d97e91302d42p-2, 0x1.ec4636c046f1cp-2, 0x1.02843cd6ed641p-1, 0x1.1151dd108f52cp-1, 0x1.21f8993bcef94p-1, 0x1.33ea5738fa357p-1, 0x1.46a3207e4d18ap-1, 0x1.59abe0959a8p-1, 0x1.6c9bbf5315596p-1, 0x1.7f18764b26d53p-1, 0x1.90d5eaa7bcff7p-1, 0x1.a195532edd664p-1, 0x1.b1241f2dad0b6p-1, 0x1.bf5ac142a06e4p-1, 0x1.cc1b74ef604fcp-1, 0x1.d7510da779a5dp-1, 0x1.e0edd83061afbp-1, 0x1.e8ea93048fac7p-1, 0x1.ef457f8ab287bp-1, 0x1.f4018c0a03b27p-1, 0x1.f72595246b6fbp-1, 0x1.f8bbbd0747f27p-1, 0x1.f8d0d66640887p-1, 0x1.f773e16199ac8p-1, 0x1.f4b5989fc65cbp-1, 0x1.f0a80cf1ba3b9p-1, 0x1.eb5e4dea4ff12p-1, 0x1.e4ec1ddfd4c67p-1, 0x1.dd65afe8b5938p-1, 0x1.d4df6e905b9dcp-1, 0x1.cb6dca3ba9088p-1, 0x1.c1250e5eb251ap-1, 0x1.b6193cc5ada0ep-1, 0x1.aa5dee5b01419p-1, 0x1.9e0638d1bb7b3p-1, 0x1.912498c5fe8b8p-1, 0x1.83cadfda1f911p-1, 0x1.760a266c716e1p-1, 0x1.67f2c08ba4ba3p-1, 0x1.599435cc17e33p-1, 0x1.4afd3babedd4ap-1, 0x1.3c3bb2571d54cp-1, 0x1.2d5ca3509c055p-1, 0x1.1e6c420351964p-1, 0x1.0f75edd8e3a94p-1, 0x1.0084357af45a9p-1, 0x1.e341b7887b1e7p-2, 0x1.c5a9b915ed9dbp-2, 0x1.a850e855951a1p-2, 0x1.8b46494a94f8bp-2, 0x1.6e977f6b0f63ep-2, 0x1.5250d645befd4p-2, 0x1.367d5aecc8782p-2, 0x1.1b26e0b0d03ffp-2, 0x1.005620b75239fp-2, 0x1.cc2570510939cp-3, 0x1.98c69e9d5a503p-3, 0x1.669b1e5a7d5b5p-3, 0x1.35aca00c42fafp-3, 0x1.06030fa0140d8p-3, 0x1.af49eb0203235p-4, 0x1.552eac92b194fp-4, 0x1.fb78063b17affp-5, 0x1.51ee2769d8c7fp-5, 0x1.5b8b7ccb3ad2dp-6, 0x1.e01ad89380a8cp-10, -0x1.14c46e4b9bd47p-6, -0x1.1e684c9b11508p-5, -0x1.ad1956eb0667cp-5, -0x1.1b3ffa84d2e99p-4, -0x1.5d549fcd999c8p-4, -0x1.9cd2450080d8dp-4, -0x1.d9c19477fd2dap-4, -0x1.0a160f68a5fd4p-3, -0x1.260e214822599p-3, -0x1.40ce8b0d0df79p-3, -0x1.5a5d29bb3889dp-3, -0x1.72c0227d1bfacp-3, -0x1.89fdd93f2bb2p-3, -0x1.a01ce76f941c3p-3, -0x1.b524132089ca1p-3, -0x1.c91a469d57fe6p-3, -0x1.dc0688ba2533fp-3, -0x1.edeff5ba89361p-3, -0x1.feddb8d8c4136p-3, -0x1.076b8319e02b6p-2, -0x1.0ef18a872b908p-2, -0x1.16048d30bdbcfp-2, -0x1.1ca821d6bbde2p-2, -0x1.22dfd91ffca9ep-2, -0x1.28af3b729227cp-2, -0x1.2e19c70fb0a7ep-2, -0x1.3322ee760be0ap-2, -0x1.37ce16fb7e46fp-2, -0x1.3c1e97a05a726p-2, -0x1.4017b80d2cff8p-2, -0x1.43bcafacf12bcp-2, -0x1.4710a4eaea122p-2, -0x1.4a16ac8181ee1p-2, -0x1.4cd1c8e36f4cbp-2, -0x1.4f44e9bf8ccefp-2, -0x1.5172eb9a132b2p-2, -0x1.535e97843ecd9p-2, -0x1.550aa2ed25022p-2, -0x1.5679af8bf63a3p-2, -0x1.57ae4b5ec9bedp-2, -0x1.58aaf0c0207c4p-2, -0x1.59720689a4ef9p-2, -0x1.5a05e04218022p-2, -0x1.5a68be5c9315ep-2, -0x1.5a9cce6dbf68ep-2, -0x1.5aa42b81b3145p-2, -0x1.5a80de5ff9501p-2, -0x1.5a34dddcf46f9p-2, -0x1.59c20f33d20d2p-2, -0x1.592a465cbfff9p-2, -0x1.586f466ece38cp-2, -0x1.5792c20902fb9p-2, -0x1.56965bafa7551p-2, -0x1.557ba63ce4be6p-2, -0x1.5444255476e0ep-2, -0x1.52f14dc3fefe1p-2, -0x1.51848607bf3e8p-2, -0x1.4fff26a807b5fp-2, -0x1.4e627ab7a7921p-2, -0x1.4cafc042ccc6dp-2, -0x1.4ae828bab05f3p-2, -0x1.490cd95c70b74p-2, -0x1.471eebb279c4ep-2, -0x1.451f6de80fe9bp-2, -0x1.430f633746f7ap-2, -0x1.40efc455aa83ap-2, -0x1.3ec17fcec79a8p-2, -0x1.3c857a690235p-2, -0x1.3a3c8f7dcb6d9p-2, -0x1.37e791622f22p-2, -0x1.358749b3e444ap-2, -0x1.331c79b1f64cbp-2, -0x1.30a7da975a5ap-2, -0x1.2e2a1defca7a6p-2, -0x1.2ba3edd75831cp-2, -0x1.2915ed5567365p-2, -0x1.2680b8a92c9fp-2, -0x1.23e4e587409b5p-2, -0x1.21430361fbe79p-2, -0x1.1e9b9bb16fa75p-2, -0x1.1bef3231a3859p-2, -0x1.193e451b0cc36p-2, -0x1.16894d6281f2ap-2, -0x1.13d0bef2843efp-2, -0x1.111508df5d581p-2, -0x1.0e56959bb56c7p-2, -0x1.0b95cb2ab51a1p-2, -0x1.08d30b4e9260bp-2, -0x1.060eb3b76a1bp-2, -0x1.03491e2f4d067p-2, -0x1.0082a0c0f25cdp-2, -0x1.fb771bbff38aep-3, -0x1.f5e869221f9e5p-3, -0x1.f059c11937abp-3, -0x1.eacbb4bf232f3p-3, -0x1.e53ecf1bca1f5p-3, -0x1.dfb39561accfp-3, -0x1.da2a872a00b51p-3, -0x1.d4a41eae2c485p-3, -0x1.cf20d100b8c3ap-3, -0x1.c9a10e3a6da87p-3, -0x1.c42541a7a9d48p-3, -0x1.beadd203ec7f4p-3, -0x1.b93b21a84443ep-3, -0x1.b3cd8ea9c23acp-3, -0x1.ae6572fad6faap-3, -0x1.a90324a085969p-3, -0x1.a3a6f5e22d38fp-3, -0x1.9e513560038b1p-3, -0x1.99022e261bfbdp-3, -0x1.93ba27d337d08p-3, -0x1.8e7966cad8b13p-3, -0x1.89402c5177213p-3, -0x1.840eb695cc149p-3, -0x1.7ee540c722e17p-3, -0x1.79c4033b449e3p-3, -0x1.74ab338f591cbp-3, -0x1.6f9b04bf9d194p-3, -0x1.6a93a72e3b4aap-3, -0x1.659548b68247p-3, -0x1.60a014cd8c529p-3, -0x1.5bb43497065fp-3, -0x1.56d1cefa48d88p-3, -0x1.51f908ae0e3c5p-3, -0x1.4d2a0448bb90bp-3, -0x1.4864e251150dep-3, -0x1.43a9c14ebb5cfp-3, -0x1.3ef8bddf77695p-3, -0x1.3a51f2cc1d85cp-3, -0x1.35b579122c549p-3, -0x1.312367e71933fp-3, -0x1.2c9bd4c352833p-3, -0x1.281ed3799ddb4p-3, -0x1.23ac764fd8c39p-3, -0x1.1f44ce0a19c02p-3, -0x1.1ae7e9e8a5d43p-3, -0x1.1695d7a80058p-3, -0x1.124ea391e8a36p-3, -0x1.0e125898a9308p-3, -0x1.09e1006b3699bp-3, -0x1.05baa376a6501p-3, -0x1.019f48dde097ep-3, -0x1.fb1decf807b83p-4, -0x1.f31361f36f137p-4, -0x1.eb1ef7d0c8a6dp-4, -0x1.e340b3a0936cdp-4, -0x1.db7898589b77ep-4, -0x1.d3c6a6c1a45a5p-4, -0x1.cc2add7f68e15p-4, -0x1.c4a5393b3b838p-4, -0x1.bd35b4d551414p-4, -0x1.b5dc497b1395bp-4, -0x1.ae98ee9d6ab03p-4, -0x1.a76b99dfeae3p-4, -0x1.a0543f1f336f3p-4, -0x1.9952d09382337p-4, -0x1.92673efb5c601p-4, -0x1.8b9179b30036cp-4, -0x1.84d16eb0d975dp-4, -0x1.7e270a7799911p-4, -0x1.779238160a4e6p-4, -0x1.7112e13e5c838p-4, -0x1.6aa8ee6931d08p-4, -0x1.645446ef95f14p-4, -0x1.5e14d110b6963p-4, -0x1.57ea71e9efcc6p-4, -0x1.51d50d72171a6p-4, -0x1.4bd486843cda4p-4, -0x1.45e8bef813bd5p-4, -0x1.401197bb5cac7p-4, -0x1.3a4ef0e04ded7p-4, -0x1.34a0a99eb4b4cp-4, -0x1.2f06a04fb45d3p-4, -0x1.2980b26f5e8bap-4, -0x1.240ebca9744b3p-4, -0x1.1eb09aecfb78ep-4, -0x1.1966287dd19d6p-4, -0x1.142f3ffe474ffp-4, -0x1.0f0bbb70cf0bdp-4, -0x1.09fb743774ac3p-4, -0x1.04fe4317ad6ffp-4, -0x1.00140044f8413p-4, -0x1.f67906deba439p-5, -0x1.ecef47a0f9d4ep-5, -0x1.e38a70672b8b8p-5, -0x1.da4a2df143bf1p-5, -0x1.d12e2c2baf912p-5, -0x1.c8361636ea665p-5, -0x1.bf61967755f43p-5, -0x1.b6b056aa7b2adp-5, -0x1.ae21fffb8e2dp-5, -0x1.a5b63b124a191p-5, -0x1.9d6cb01b4f68cp-5, -0x1.954506cd1748cp-5, -0x1.8d3ee66e2399p-5, -0x1.8559f5dfd59p-5, -0x1.7d95dbad92587p-5, -0x1.75f23e1d1e5bap-5, -0x1.6e6ec33cc53f4p-5, -0x1.670b10ed67fc1p-5, -0x1.5fc6cce8db4f7p-5, -0x1.58a19cc70b466p-5, -0x1.519b260484f65p-5, -0x1.4ab30e0bdd738p-5, -0x1.43e8fa418405fp-5, -0x1.3d3c900fed633p-5, -0x1.36ad74f23b2c6p-5, -0x1.303b4e7cb4579p-5, -0x1.29e5c2634d807p-5, -0x1.23ac767f29b01p-5, -0x1.1d8f10d41c33cp-5, -0x1.178d37972117cp-5, -0x1.11a69135bff64p-5, -0x1.0bdac45dad673p-5, -0x1.0629780414d3bp-5, -0x1.0092536c91b7ap-5, -0x1.f629fc60278d5p-6, -0x1.eb624087d7c29p-6, -0x1.e0ccc40176446p-6, -0x1.d668d851affebp-6, -0x1.cc35cfdb46e22p-6, -0x1.c232fde625e35p-6, -0x1.b85fb6a2fceb7p-6, -0x1.aebb4f2ce2d64p-6, -0x1.a5451d8c6f341p-6, -0x1.9bfc78bfb2478p-6, -0x1.92e0b8c9616p-6, -0x1.89f136c658809p-6, -0x1.812d4d059990ap-6, -0x1.7894571d17c18p-6, -0x1.7025b1f4ed314p-6, -0x1.67e0bbc4d657p-6, -0x1.5fc4d4041c083p-6, -0x1.57d15b51c9c2ep-6, -0x1.5005b35f71b0fp-6, -0x1.48613ee9ec54ap-6, -0x1.40e361c890d9bp-6, -0x1.398b81145e84ap-6, -0x1.3259035f99b3fp-6, -0x1.2b4b50edfca79p-6, -0x1.2461d3d99f35ap-6, -0x1.1d9bf813c9e62p-6, -0x1.16f92b3b0eefap-6, -0x1.1078dc4ef2b49p-6, -0x1.0a1a7b5751ce3p-6, -0x1.03dd7920386a4p-6, -0x1.fb828e4f8ccc9p-7, -0x1.ef8aafa106406p-7, -0x1.e3d23da74ec1p-7, -0x1.d85823adf0905p-7, -0x1.cd1b51ee9e1ap-7, -0x1.c21abe2944c1p-7, -0x1.b7556373c54eep-7, -0x1.acca4130147cfp-7, -0x1.a2785961e940dp-7, -0x1.985eaede6e23bp-7, -0x1.8e7c43f12d759p-7, -0x1.84d01a01126fp-7, -0x1.7b59327c98d4bp-7, -0x1.721690efab249p-7, -0x1.69073dbbdf936p-7, -0x1.602a48a1a048cp-7, -0x1.577eca3c46adbp-7, -0x1.4f03e3ce19a88p-7, -0x1.46b8bd3295967p-7, -0x1.3e9c81630ad89p-7, -0x1.36ae5a7e0aed5p-7, -0x1.2eed6e863bda6p-7, -0x1.2758ddf77de95p-7, -0x1.1fefc4d9dd01dp-7, -0x1.18b13e447f011p-7, -0x1.119c697d5b833p-7, -0x1.0ab06f4c67705p-7, -0x1.03ec85e4e5dafp-7, -0x1.fa9fe41bacb6cp-8, -0x1.edb409d322d57p-8, -0x1.e1142d6ac4eacp-8, -0x1.d4beff97d4c05p-8, -0x1.c8b323a9a346ap-8, -0x1.bcef264a1c9a2p-8, -0x1.b1717ba2f7dbcp-8, -0x1.a63885f90dbbdp-8, -0x1.9b42a3787c6cbp-8, -0x1.908e3fbc0b12cp-8, -0x1.8619e45d25ad4p-8, -0x1.7be443ccceca5p-8, -0x1.71ec3b0be4dd6p-8, -0x1.6830c93c703b2p-8, -0x1.5eb0fed70db3fp-8, -0x1.556be8be4b36bp-8, -0x1.4c607cb8aac71p-8, -0x1.438d8ca063e5bp-8, -0x1.3af1c3e72f1a4p-8, -0x1.328bb05fa2f51p-8, -0x1.2a59d4506aaafp-8, -0x1.225abd6170309p-8, -0x1.1a8d1a92ef2bfp-8, -0x1.12efcb81c67f4p-8, -0x1.0b81e4d519266p-8, -0x1.0442a878910d3p-8, -0x1.fa62e6fa423aep-9, -0x1.ec9b4c886e3bp-9, -0x1.df2d19fa73ec4p-9, -0x1.d2169caff9f03p-9, -0x1.c555c8f8eb5ccp-9, -0x1.b8e843804fd81p-9, -0x1.accb7f85d0dedp-9, -0x1.a0fcea82c8e1cp-9, -0x1.957a1abc5f775p-9, -0x1.8a40f5646954ap-9, -0x1.7f4fc2e52acf2p-9, -0x1.74a52cb0c3887p-9, -0x1.6a402628b3e61p-9, -0x1.601fc7b3238eap-9, -0x1.564325e768224p-9, -0x1.4ca92e589ac28p-9, -0x1.435090cdcb9c3p-9, -0x1.3a37b8459837dp-9, -0x1.315cd41c3600dp-9, -0x1.28bdef370f98bp-9, -0x1.205910907f12cp-9, -0x1.182c5d9527368p-9, -0x1.103634cc2514ep-9, -0x1.087538925c0b7p-9, -0x1.00e847670b632p-9, -0x1.f31cce2b97698p-10, -0x1.e4cd5a4440076p-10, -0x1.d6e05b52481b5p-10, -0x1.c953e6f2880f8p-10, -0x1.bc25fb057d9dep-10, -0x1.af547834467b8p-10, -0x1.a2dd197fcf164p-10, -0x1.96bd7236d3c55p-10, -0x1.8af2fef8fda8fp-10, -0x1.7f7b4b3ca5462p-10, -0x1.74541a5ca75eep-10, -0x1.697b7941b232ep-10, -0x1.5eefa764a7f65p-10, -0x1.54aedf9429c06p-10, -0x1.4ab721d348c18p-10, -0x1.410624da5344ep-10, -0x1.37997fa0f2576p-10, -0x1.2e6ef5c92869dp-10, -0x1.2584b6e6860b7p-10, -0x1.1cd966691e288p-10, -0x1.146be8ec340f8p-10, -0x1.0c3b1ff3a0bf2p-10, -0x1.0445c9e0194ecp-10, -0x1.f9153518cc226p-11, -0x1.ea10db279164ap-11, -0x1.db7cb6a55e49fp-11, -0x1.cd571fe2f5138p-11, -0x1.bf9de4833a444p-11, -0x1.b24d998b0883fp-11, -0x1.a561645f9a90ap-11, -0x1.98d37a52a6a96p-11, -0x1.8c9e3670d4446p-11, -0x1.80bd452130e56p-11, -0x1.752e406dd59dap-11, -0x1.69f05cbd07e83p-11, -0x1.5f03600110034p-11, -0x1.5466a749a1c4p-11, -0x1.4a18ed3d5f539p-11, -0x1.4018d49f95176p-11, -0x1.36658f2fa7fb6p-11, -0x1.2cfef42fe305fp-11, -0x1.23e4e0b64c31cp-11, -0x1.1b1642185c67ap-11, -0x1.12905b91f5cb9p-11, -0x1.0a4eb14d4eac2p-11, -0x1.024bad03d2b7p-11, -0x1.f50388db60cc6p-12, -0x1.e5d96fc42bb1cp-12, -0x1.d714b90d33d0cp-12, -0x1.c8b4f215fd3c9p-12, -0x1.babb72ba14535p-12, -0x1.ad28d802dfd8fp-12, -0x1.9ffbead4328c8p-12, -0x1.93328b3d9fd88p-12, -0x1.86cb67e689e65p-12, -0x1.7ac6da9775d76p-12, -0x1.6f2641d118522p-12, -0x1.63ea3d6fa5b32p-12, -0x1.5910e5bf48e79p-12, -0x1.4e9531d0c518ep-12, -0x1.446fca83ec5b5p-12, -0x1.3a987c25fde5ap-12, -0x1.3107a3854a12cp-12, -0x1.27b7859ff8a36p-12, -0x1.1ea5389393db8p-12, -0x1.15d062d2421afp-12, -0x1.0d39d3910564ap-12, -0x1.04e1fbcde0b85p-12, -0x1.f99092c495366p-13, -0x1.e9d71310405bbp-13, -0x1.da956d823979fp-13, -0x1.cbcb5fd949befp-13, -0x1.bd7ac618d1a38p-13, -0x1.afa56ee43cbbap-13, -0x1.a24995ebb8c54p-13, -0x1.9560f60907905p-13, -0x1.88e3440c226b5p-13, -0x1.7cc8cb6c6f05ep-13, -0x1.710aea60b3245p-13, -0x1.65a3676615b7ap-13, -0x1.5a8c95ce37928p-13, -0x1.4fc23acf0d365p-13, -0x1.45417c3a22f52p-13, -0x1.3b0848d73e343p-13, -0x1.31160b8803669p-13, -0x1.276bf7f9ef5bap-13, -0x1.1e0ac3cb8e102p-13, -0x1.14f0c907cb783p-13, -0x1.0c1c5cf50a7dbp-13, -0x1.038e92fbeb70ap-13, -0x1.f690f56613065p-14, -0x1.e68e2b081e141p-14, -0x1.d708ee14e4ac9p-14, -0x1.c7f6ecb7047b4p-14, -0x1.b952f7364c66p-14, -0x1.ab1c52d6ce6afp-14, -0x1.9d53e4a007261p-14, -0x1.8ff8815983802p-14, -0x1.830492957838dp-14, -0x1.766e856894fp-14, -0x1.6a2a86ff8a64fp-14, -0x1.5e2f55f934b02p-14, -0x1.527eb571da25fp-14, -0x1.4722aba77c5c4p-14, -0x1.3c1d5d3d2d3cep-14, -0x1.3166dc4c42a7ep-14, -0x1.26fd577097b2dp-14, -0x1.1ce6a525f1924p-14, -0x1.132186334d2dbp-14, -0x1.09a4353482344p-14, -0x1.0065d7c30153ap-14, -0x1.eec4a5896465fp-15, -0x1.dd311189ba7aep-15, -0x1.cc11b5342a3bp-15, -0x1.bb6ac2f9fe7e1p-15, -0x1.ab4353cd5d728p-15, -0x1.9ba01e112661ap-15, -0x1.8c7ce3890f5c1p-15, -0x1.7dc945f98e6e2p-15, -0x1.6f6a1aa2340f3p-15, -0x1.614d8b83317bdp-15, -0x1.53844afc1ff4fp-15, -0x1.462398dbc12c2p-15, -0x1.391e2e7f37a49p-15, -0x1.2c66c720e3e43p-15, -0x1.200bd1991faa5p-15, -0x1.14136f3743214p-15, -0x1.086f4ffd7a6p-15, -0x1.fa23386287d82p-16, -0x1.e3eabed883ff5p-16, -0x1.ce34ea62099c5p-16, -0x1.b9024fcd4449ap-16, -0x1.a4517b88cc1c3p-16, -0x1.9020d0056995dp-16, -0x1.7c72299c7d4d5p-16, -0x1.694b62aca24dcp-16, -0x1.56b1bf9793da4p-16, -0x1.44a6ef7a24e6ap-16, -0x1.3322fc91bdb16p-16, -0x1.2202b0a6213fep-16, -0x1.112bcc3d7d21ap-16, -0x1.00b9d75124451p-16, -0x1.e168bea0f5afbp-17, -0x1.c20d8414c1f72p-17, -0x1.a37b9cc9d7aabp-17, -0x1.85cd3065c0b2fp-17, -0x1.68e9b53f86766p-17, -0x1.4cb09c5b2f0a4p-17, -0x1.3114b1a6f28d9p-17, -0x1.1615caab00c8bp-17, -0x1.f76c5032eb7d5p-18, -0x1.c3ec188099f03p-18, -0x1.91a6158b5120dp-18, -0x1.6091e69ca167cp-18, -0x1.30a768a8f979dp-18, -0x1.01e246e812bebp-18, -0x1.a88073b989319p-19, -0x1.4f7e07451673fp-19, }}, 
      {{0x1.cb07c893649bcp-2, 0x1.cf03583f15b4dp-2, 0x1.d5778ff7ec628p-2, 0x1.de2a6a8ee09bp-2, 0x1.e8d8956126fcp-2, 0x1.f53a7999a49p-2, 0x1.0183e79be1177p-1, 0x1.08fd0b41b2ac9p-1, 0x1.10e71ce96b7f8p-1, 0x1.1922c97e0bab9p-1, 0x1.21934361ea053p-1, 0x1.2a1e68e72e635p-1, 0x1.32acccb4b451ep-1, 0x1.3b29a898c07a4p-1, 0x1.4382c1c8ec829p-1, 0x1.4ba843d87d36bp-1, 0x1.538c967a97ba3p-1, 0x1.5b2430d6dbbadp-1, 0x1.62656c768d6fcp-1, 0x1.6948592104f3bp-1, 0x1.6fc6928a858bbp-1, 0x1.75db185eaa60ap-1, 0x1.7b8228e7d82b8p-1, 0x1.80b91e7d70386p-1, 0x1.857e4f9f38dc9p-1, 0x1.89d0f1ba53e73p-1, 0x1.8db0fe70ecd45p-1, 0x1.911f1b3418416p-1, 0x1.941c8311aeac2p-1, 0x1.96aaf29084f5dp-1, 0x1.98cc95666bcf7p-1, 0x1.9a83f5ee856cdp-1, 0x1.9bd3ee3cbde7ap-1, 0x1.9cbf9a9203d74p-1, 0x1.9d4a4d53a7fcdp-1, 0x1.9d7784080e4d2p-1, 0x1.9d4add9ba2a69p-1, 0x1.9cc8119b55171p-1, 0x1.9bf2e8650e814p-1, 0x1.9acf3434a666ap-1, 0x1.9960cafb5c359p-1, 0x1.97ab80f1208a9p-1, 0x1.95b323cf7d045p-1, 0x1.937b76a7dab4ap-1, 0x1.91082e509de0bp-1, 0x1.8e5cee32b0de7p-1, 0x1.8b7d45d15a0afp-1, 0x1.886cae6b4e437p-1, 0x1.852e893fb544p-1, 0x1.81c61e0a5c1cap-1, 0x1.7e3699dae4cd4p-1, 0x1.7a830e321cddbp-1, 0x1.76ae706123feep-1, 0x1.72bb99233025ap-1, 0x1.6ead44677f875p-1, 0x1.6a86114a8b31bp-1, 0x1.66488231562d6p-1, 0x1.61f6fd0a9cfffp-1, 0x1.5d93cba724f32p-1, 0x1.59211c2d5a0e3p-1, 0x1.54a101a864dfdp-1, 0x1.50157499a47e1p-1, 0x1.4b8053a04658fp-1, 0x1.46e36410082f8p-1, 0x1.424052b4c462fp-1, 0x1.3d98b48a4f9e1p-1, 0x1.38ee078af4f3cp-1, 0x1.3441b367417e7p-1, 0x1.2f950a4372c64p-1, 0x1.2ae9497da4dbfp-1, 0x1.263f9a7ffd691p-1, 0x1.21991395feab8p-1, 0x1.1cf6b8b54d731p-1, 0x1.18597c384d26ep-1, 0x1.13c23f91f6f65p-1, 0x1.0f31d406516e6p-1, 0x1.0aa8fb6bb9cc6p-1, 0x1.062868ef8ea0dp-1, 0x1.01b0c1d3bfdb5p-1, 0x1.fa853c39882dep-2, 0x1.f1bd12629d34ep-2, 0x1.e90a04de2e9c9p-2, 0x1.e06cfb727a2cfp-2, 0x1.d7e6c812c2861p-2, 0x1.cf78280ba94b4p-2, 0x1.c721c52f6d27ep-2, 0x1.bee436f93a9b2p-2, 0x1.b6c0039eb1448p-2, 0x1.aeb5a10be5839p-2, 0x1.a6c575cabe47bp-2, 0x1.9eefd9da4a9e9p-2, 0x1.9735177d6aaecp-2, 0x1.8f956c055a0c6p-2, 0x1.8811089b869cep-2, 0x1.80a8130a30188p-2, 0x1.795aa681c4cdp-2, 0x1.7228d456e868p-2, 0x1.6b12a4b6b2f36p-2, 0x1.6418174e61b98p-2, 0x1.5d3923e62c399p-2, 0x1.5675baf01b45fp-2, 0x1.4fcdc60c7df42p-2, 0x1.4941288677e42p-2, 0x1.42cfbfca36023p-2, 0x1.3c7963d6dc2c8p-2, 0x1.363de7ac9a9p-2, 0x1.301d19b729a0cp-2, 0x1.2a16c434b65c3p-2, 0x1.242aad9823271p-2, 0x1.1e5898e669d2ep-2, 0x1.18a0460e5f09cp-2, 0x1.1301723a9adf6p-2, 0x1.0d7bd81d02962p-2, 0x1.080f3034ed68p-2, 0x1.02bb310f95993p-2, 0x1.faff1f07458e2p-3, 0x1.f0b7fdd0b7067p-3, 0x1.e6a062928e6dbp-3, 0x1.dcb7af2afe788p-3, 0x1.d2fd439abd30fp-3, 0x1.c9707e5a6f0d1p-3, 0x1.c010bca793a03p-3, 0x1.b6dd5ad2b279cp-3, 0x1.add5b482c6d72p-3, 0x1.a4f924fa22ecfp-3, 0x1.9c47074f8cc4cp-3, 0x1.93beb6aa0cb7bp-3, 0x1.8b5f8e7300dbap-3, 0x1.8328ea88c436ap-3, 0x1.7b1a27653e997p-3, 0x1.7332a24b88799p-3, 0x1.6b71b968195cdp-3, 0x1.63d6cbf1cc03dp-3, 0x1.5c613a4a87fadp-3, 0x1.551066135a6f8p-3, 0x1.4de3b24a7fbc5p-3, 0x1.46da835d350fep-3, 0x1.3ff43f3c00c26p-3, 0x1.39304d6a0e303p-3, 0x1.328e17100e4c9p-3, 0x1.2c0d07046c238p-3, 0x1.25ac89db8e483p-3, 0x1.1f6c0def9abffp-3, 0x1.194b036a89246p-3, 0x1.1348dc4d5105ep-3, 0x1.0d650c758e3dp-3, 0x1.079f09a4818f5p-3, 0x1.01f64b818d85bp-3, 0x1.f8d4973c739d3p-4, 0x1.edf50af02541ep-4, 0x1.e34cecf470282p-4, 0x1.d8db3bfbd2343p-4, 0x1.ce9efa952a2eep-4, 0x1.c4972f28f815ep-4, 0x1.bac2e3f716ce6p-4, 0x1.b1212713fab2dp-4, 0x1.a7b10a62331cdp-4, 0x1.9e71a38c600a9p-4, 0x1.95620bff1ba1p-4, 0x1.8c8160e1ee9eep-4, 0x1.83cec30ea8fa7p-4, 0x1.7b49570876c41p-4, 0x1.72f044f2324a8p-4, 0x1.6ac2b887972eap-4, 0x1.62bfe10f265c3p-4, 0x1.5ae6f1531b311p-4, 0x1.53371f94df27fp-4, 0x1.4bafa5836e48p-4, 0x1.444fc02f4db29p-4, 0x1.3d16afff6a0dbp-4, 0x1.3603b8a66a658p-4, 0x1.2f162116fbde6p-4, 0x1.284d33778677ap-4, 0x1.21a83d16b2f8fp-4, 0x1.1b268e60771adp-4, 0x1.14c77ad35aae6p-4, 0x1.0e8a58f2a4c59p-4, 0x1.086e823b25888p-4, 0x1.02735318b75afp-4, 0x1.f93055b53d94cp-5, 0x1.edb8d74ea9324p-5, 0x1.e27ef4e1bf08ep-5, 0x1.d7817dd3ee96ap-5, 0x1.ccbf46f6f414ap-5, 0x1.c2372a716061ep-5, 0x1.b7e807a70901p-5, 0x1.add0c3254e6fp-5, 0x1.a3f0468b26722p-5, 0x1.9a4580790eeb2p-5, 0x1.90cf6475f64a5p-5, 0x1.878ceadcd0da7p-5, 0x1.7e7d10c7cf1e5p-5, 0x1.759ed7fc760fbp-5, 0x1.6cf146d7ea636p-5, 0x1.6473683aa3199p-5, 0x1.5c244b744c9c6p-5, 0x1.540304314d27ap-5, 0x1.4c0eaa6889eep-5, 0x1.44465a48640b1p-5, 0x1.3ca93423aae78p-5, 0x1.35365c5f06975p-5, 0x1.2decfb611ca15p-5, 0x1.26cc3d80c290cp-5, 0x1.1fd352f415399p-5, 0x1.19016fbcd31dp-5, 0x1.1255cb99988e9p-5, 0x1.0bcfa1f600424p-5, 0x1.056e31dab1e9bp-5, 0x1.fe617bba2e30ep-6, 0x1.f22d181e16779p-6, 0x1.e63dcbded32acp-6, 0x1.da9230b77827p-6, 0x1.cf28e70417e01p-6, 0x1.c40095a4311b8p-6, 0x1.b917e9dcb973ep-6, 0x1.ae6d973b27ffap-6, 0x1.a400577a2f546p-6, 0x1.99ceea671b801p-6, 0x1.8fd815c8881c1p-6, 0x1.861aa54422e6fp-6, 0x1.7c956a445aa9cp-6, 0x1.73473bdae9ccfp-6, 0x1.6a2ef6aa13d07p-6, 0x1.614b7ccde4df6p-6, 0x1.589bb5c49036dp-6, 0x1.501e8e56238c8p-6, 0x1.47d2f87bfa6d3p-6, 0x1.3fb7eb48d9c8ep-6, 0x1.37cc62d28073dp-6, 0x1.300f601c92925p-6, 0x1.287fe903d04fbp-6, 0x1.211d0828c2a95p-6, 0x1.19e5ccd9aaef2p-6, 0x1.12d94afcaec7dp-6, 0x1.0bf69afb1e637p-6, 0x1.053cd9ae19d18p-6, 0x1.fd565097b8d2cp-7, 0x1.f08158a93206bp-7, 0x1.e3f91efd49bc2p-7, 0x1.d7bbff4781d45p-7, 0x1.cbc85d5d382b7p-7, 0x1.c01ca50efb1efp-7, 0x1.b4b74a050b8a5p-7, 0x1.a996c79f70272p-7, 0x1.9eb9a0d3a61f6p-7, 0x1.941e6009d2f6dp-7, 0x1.89c396fa2ebfp-7, 0x1.7fa7de8b632dep-7, 0x1.75c9d6b23de1bp-7, 0x1.6c282652aec8ep-7, 0x1.62c17b2148045p-7, 0x1.59948984b990cp-7, 0x1.50a00c773503ap-7, 0x1.47e2c567dc89bp-7, 0x1.3f5b7c1cde294p-7, 0x1.3708fe9692897p-7, 0x1.2eea20f3936c2p-7, 0x1.26fdbd555ba7dp-7, 0x1.1f42b3c525c2dp-7, 0x1.17b7ea18c8956p-7, 0x1.105c4bd7beb52p-7, 0x1.092eca2049bdep-7, 0x1.022e5b8cffdc7p-7, 0x1.f6b3f83961375p-8, 0x1.e9615a3593402p-8, 0x1.dc62ea0b199ap-8, 0x1.cfb6beea3a5b5p-8, 0x1.c35afa09a23a5p-8, 0x1.b74dc6777d1c5p-8, 0x1.ab8d58eac7381p-8, 0x1.a017ef95e15afp-8, 0x1.94ebd1fa45203p-8, 0x1.8a0750bd2160bp-8, 0x1.7f68c57c83ee9p-8, 0x1.750e92a5094d3p-8, 0x1.6af72347fe1f8p-8, 0x1.6120eaf22dfafp-8, 0x1.578a65836ecfbp-8, 0x1.4e321706f863dp-8, 0x1.45168b8c79cc7p-8, 0x1.3c365701c806cp-8, 0x1.3390150d1995cp-8, 0x1.2b2268e7c3e26p-8, 0x1.22ebfd397b7eap-8, 0x1.1aeb83f4703d8p-8, 0x1.131fb631f187p-8, 0x1.0b87541000ccap-8, 0x1.0421248f517c9p-8, 0x1.f9d7eae3995eap-9, 0x1.ebcd36323e809p-9, 0x1.de1fe0ca7a669p-9, 0x1.d0cdad28e3f7dp-9, 0x1.c3d46a4abc62ep-9, 0x1.b731f36ea20a3p-9, 0x1.aae42fd497bdp-9, 0x1.9ee91284e346cp-9, 0x1.933e9a1824fe9p-9, 0x1.87e2d07daaba2p-9, 0x1.7cd3cac13603ap-9, 0x1.720fa8d0e5373p-9, 0x1.6794954403ff1p-9, 0x1.5d60c5243e9d7p-9, 0x1.537277ba7a94dp-9, 0x1.49c7f65cbd87bp-9, 0x1.405f943b1a257p-9, 0x1.3737ae2f39df8p-9, 0x1.2e4eaa8eeeee2p-9, 0x1.25a2f8fbad21fp-9, 0x1.1d33122e0a965p-9, 0x1.14fd77c0806c3p-9, 0x1.0d00b3fb353b4p-9, 0x1.053b59a587a05p-9, 0x1.fb5807b541151p-10, 0x1.eca2abca6a82p-10, 0x1.de53f63b64cdp-10, 0x1.d0694d90ff84ep-10, 0x1.c2e027e10e0bdp-10, 0x1.b5b60a770cf7ep-10, 0x1.a8e889701a9b1p-10, 0x1.9c75474f69216p-10, 0x1.9059f4953ff58p-10, 0x1.84944f628dd6cp-10, 0x1.79222331877e4p-10, 0x1.6e0148a40ff95p-10, 0x1.632fa564c2536p-10, 0x1.58ab2c0f54a15p-10, 0x1.4e71dc0b09f23p-10, 0x1.4481c148f8dc6p-10, 0x1.3ad8f3e974347p-10, 0x1.317597cb8066p-10, 0x1.2855dc0fa616dp-10, 0x1.1f77faa25435bp-10, 0x1.16da37e23f43cp-10, 0x1.0e7ae26cdb698p-10, 0x1.065853156821fp-10, 0x1.fce1d9e9fc338p-11, 0x1.ed863b041480fp-11, 0x1.de9ab928f97a8p-11, 0x1.d01c5884536a1p-11, 0x1.c208311509a56p-11, 0x1.b45b6dad2606dp-11, 0x1.a7134ac16f24ap-11, 0x1.9a2d154108d92p-11, 0x1.8da629b06b38cp-11, 0x1.817bf3b264e5fp-11, 0x1.75abee0e0072cp-11, 0x1.6a33a30fc52dbp-11, 0x1.5f10ad1e380abp-11, 0x1.5440b745ba684p-11, 0x1.49c17d5793c2fp-11, 0x1.3f90cba9d623dp-11, 0x1.35ac7e4b1246bp-11, 0x1.2c127fcfc0ab2p-11, 0x1.22c0c7f013bbfp-11, 0x1.19b55a3cc6247p-11, 0x1.10ee4530154ebp-11, 0x1.0869a1cc306c9p-11, 0x1.002593d115239p-11, 0x1.f04094cd92907p-12, 0x1.e0b001f0d3605p-12, 0x1.d195ffe3621adp-12, 0x1.c2ef3a3bfae57p-12, 0x1.b4b8770f5b66p-12, 0x1.a6ee95b253018p-12, 0x1.998e8caa32a93p-12, 0x1.8c956713b8ebcp-12, 0x1.800041edb67c4p-12, 0x1.73cc49f423879p-12, 0x1.67f6ba3d12b4cp-12, 0x1.5c7cdc53315ep-12, 0x1.515c093982b5ap-12, 0x1.4691ab3c32c8cp-12, 0x1.3c1b3fa6a1ad7p-12, 0x1.31f657cbd8c5dp-12, 0x1.28209920d5614p-12, 0x1.1e97bc8fd318dp-12, 0x1.15598d549d39fp-12, 0x1.0c63e79b84fd5p-12, 0x1.03b4b6e82a64ep-12, 0x1.f693e8855e0a1p-13, 0x1.e64348c7ddb4ep-13, 0x1.d673acbef469ap-13, 0x1.c72146a7a94a6p-13, 0x1.b8485e9060b94p-13, 0x1.a9e5557694f88p-13, 0x1.9bf4a7f529ffep-13, 0x1.8e72eefe7c752p-13, 0x1.815cde83094ecp-13, 0x1.74af434483605p-13, 0x1.6867016baef4p-13, 0x1.5c8114863ff45p-13, 0x1.50fa9027c372dp-13, 0x1.45d09fb27290fp-13, 0x1.3b00846968c36p-13, 0x1.308792581bc1fp-13, 0x1.26632dc05a7dcp-13, 0x1.1c90ca88996acp-13, 0x1.130deda198aep-13, 0x1.09d82ec92525ap-13, 0x1.00ed38ab6051bp-13, 0x1.f0958d6e5db39p-14, 0x1.dfdd43ab71f26p-14, 0x1.cfad3c707cbbp-14, 0x1.c00137ad56b4ap-14, 0x1.b0d512d192b9p-14, 0x1.a224cfdecb866p-14, 0x1.93ec9918a4b4fp-14, 0x1.8628bf82712ep-14, 0x1.78d5b66bdb539p-14, 0x1.6bf00fb75ff48p-14, 0x1.5f747a52c5d3cp-14, 0x1.535fc24f8f7f8p-14, 0x1.47aecec826345p-14, 0x1.3c5e9b59ca24cp-14, 0x1.316c30c99ce9cp-14, 0x1.26d4a0adc5b5fp-14, 0x1.1c95047e22824p-14, 0x1.12aa80108de2dp-14, 0x1.09124704d5b9bp-14, 0x1.ff9347023e9e9p-15, 0x1.ed9bf6384a098p-15, 0x1.dc399f3feeac3p-15, 0x1.cb677aef77c5ap-15, 0x1.bb20f8958d917p-15, 0x1.ab61c63dc314cp-15, 0x1.9c25d98f637a4p-15, 0x1.8d695e6bd9e5cp-15, 0x1.7f289e52772bep-15, 0x1.715fdfbf0a967p-15, 0x1.640b5ce43bc4ep-15, 0x1.57274f994f09ep-15, 0x1.4ab0018b32e17p-15, 0x1.3ea1d2d97d1c8p-15, 0x1.32f93937b9cb2p-15, 0x1.27b2c0c74435fp-15, 0x1.1ccb10060cab4p-15, 0x1.123ee93442a3ap-15, 0x1.080b29a0320f5p-15, 0x1.fc59a298a4733p-16, 0x1.e942311c8c41dp-16, 0x1.d6cb081fa98bfp-16, 0x1.c4efb8e35ab9p-16, 0x1.b3ac078b0077ep-16, 0x1.a2fb8cfdff6ddp-16, 0x1.92d99a403bf9dp-16, 0x1.83416783529e2p-16, 0x1.742e5329e12ffp-16, 0x1.659bf80dbd5bdp-16, 0x1.57861b89d7a52p-16, 0x1.49e8954f65e0cp-16, 0x1.3cbf45f399d4ap-16, 0x1.300619c629653p-16, 0x1.23b90ddde6307p-16, 0x1.17d435ff3dfc2p-16, 0x1.0c53d1853536p-16, 0x1.013478e25b4dfp-16, 0x1.ece68c471bd9cp-17, 0x1.d81b8219b7987p-17, 0x1.c4030fa5ab142p-17, 0x1.b097fb6ac58fdp-17, 0x1.9dd4911762599p-17, 0x1.8bb318db02209p-17, 0x1.7a2e317ef188bp-17, 0x1.6940cb4fc1353p-17, 0x1.58e605c0f0009p-17, 0x1.4919230c6395ap-17, 0x1.39d57d83c17e1p-17, 0x1.2b1671aed1b64p-17, 0x1.1cd752f057f51p-17, 0x1.0f13789a58505p-17, 0x1.01c65a8a74b27p-17, 0x1.e9d76f0d4ce6ep-18, 0x1.d0ff8e5e770f2p-18, 0x1.b8fea9ec5bdfep-18, 0x1.a1cf0a96ae5b6p-18, 0x1.8b6abb9570d45p-18, 0x1.75cb2f5422c6fp-18, 0x1.60e9e241560c5p-18, 0x1.4cc0f3b3e295ap-18, 0x1.394ad926a63bap-18, 0x1.2681d8ee28cfap-18, 0x1.146025d9f8107p-18, 0x1.02e044013a19fp-18, 0x1.e3fa43ccc831bp-19, 0x1.c363ca1d08d65p-19, 0x1.a3f34ddc6e909p-19, 0x1.859ec657faaa9p-19, 0x1.685c5a65af3e1p-19, 0x1.4c22df3a74e43p-19, 0x1.30e9e271619cfp-19, 0x1.16a966e98b5cap-19, 0x1.fab370c4fe7eap-20, 0x1.c9e644cda5bcdp-20, 0x1.9adb6c94f79b4p-20, 0x1.6d843d3befe4dp-20, 0x1.41d52d1d194bep-20, 0x1.17c3f440b22b8p-20, 0x1.de88d902c72f5p-21, 0x1.9091ee52efc75p-21, 0x1.4588c813d0e8fp-21, 0x1.faa9ca4ae43d8p-22, 0x1.6fbfb9db8ad05p-22, 0x1.d4559ea546dfbp-23, 0x1.a71064468e41cp-24, -0x1.19ca7a1614bdap-26, -0x1.10409b99c94bap-23, -0x1.f3d8a01dd8986p-23, -0x1.672105ded0b9ap-22, -0x1.cfde6cdb6bf2fp-22, -0x1.1a2508e5458cep-21, -0x1.4a46e993a25ep-21, -0x1.78695ecb99025p-21, -0x1.a49dbf6d30be5p-21, -0x1.ceef35ea1ab93p-21, -0x1.f7664540639f1p-21, -0x1.0f07d90c281d9p-20, -0x1.217d8525079cap-20, -0x1.331b276faef1bp-20, -0x1.43e76bfe78f16p-20, -0x1.53e9026bd4d1bp-20, -0x1.63260c947c2fcp-20, -0x1.71a3fd845018p-20, -0x1.7f67e890a15ecp-20, -0x1.8c76df6c30521p-20, -0x1.98d6178996f1fp-20, -0x1.a48aa441e79bfp-20, -0x1.af990506c4b41p-20, -0x1.ba053e651f614p-20, -0x1.c3d3c73c492aap-20, -0x1.cd0a27b7885cdp-20, -0x1.d5ae41f545b84p-20, -0x1.ddc5674f285ddp-20, -0x1.e55372ac0fac9p-20, -0x1.ec5ad0515011dp-20, -0x1.f2debe6f4605bp-20, -0x1.f8e3702b6bd3ep-20, -0x1.fe6c90bdfecfdp-20, -0x1.01bed4e5de61bp-19, -0x1.040d3aea87b38p-19, -0x1.0623435809cbdp-19, -0x1.08028f5db8873p-19, -0x1.09aca121cd1c5p-19, -0x1.0b22e759117fbp-19, -0x1.0c66c8b5735eep-19, -0x1.0d79ad9a5073ap-19, -0x1.0e5cffe620849p-19, -0x1.0f122031f48f3p-19, -0x1.0f9a5ad9a8118p-19, -0x1.0ff6f1219f5dp-19, -0x1.102937aa4192ep-19, }}, 
      std::vector<double>(550, 0.0), 
      {{-0x1.4ab573d33394bp-7, -0x1.6e7ec58529db6p-6, -0x1.36d3e8ed2508bp-5, -0x1.d3ef931ef0715p-5, -0x1.4672fdd721d1cp-4, -0x1.aec4ef9124828p-4, -0x1.101607d26d27dp-3, -0x1.4bd0e1e57044ep-3, -0x1.890f228a351e7p-3, -0x1.c6622180e9662p-3, -0x1.013ec9e78c21p-2, -0x1.1e1f3bc6ab40bp-2, -0x1.3956da22768d3p-2, -0x1.527fefeaff4bdp-2, -0x1.694998eb322bdp-2, -0x1.7d76312f006ep-2, -0x1.8ed97c32e89afp-2, -0x1.9d56b0fbfb681p-2, -0x1.a8de88dba580ep-2, -0x1.b16d639503495p-2, -0x1.b7098bac5a898p-2, -0x1.b9c1a049dc45bp-2, -0x1.b9ab26747c4e9p-2, -0x1.b6e1412a9d9aap-2, -0x1.b1838eaf2a1a3p-2, -0x1.a9b528a5b1b9bp-2, -0x1.9f9bc441e8604p-2, -0x1.935eefb733798p-2, -0x1.85276a08e2072p-2, -0x1.751e9267621c7p-2, -0x1.636dec778bd44p-2, -0x1.503eb72431f2dp-2, -0x1.3bb993ddcbf0ep-2, -0x1.26063c68bf7b5p-2, -0x1.0f4b458dde6fp-2, -0x1.ef5bda6a2ef3ep-3, -0x1.bea3e52f7dea2p-3, -0x1.8cb2eebb36316p-3, -0x1.59c9d1277b3cfp-3, -0x1.2625dd24ec0d9p-3, -0x1.e4018bafe2018p-4, -0x1.7b212e3f68bf6p-4, -0x1.120f6aa831f88p-4, -0x1.525391efd6edbp-5, -0x1.031ab2bdaf035p-6, 0x1.3654163ab19d6p-7, 0x1.1a8255dc0e9c2p-5, 0x1.e4b685346f9e5p-5, 0x1.55dd16e5e643fp-4, 0x1.b79101fac0ab6p-4, 0x1.0ba3957c44533p-3, 0x1.3a6a98fee9f5dp-3, 0x1.680af933cc238p-3, 0x1.9474922fec252p-3, 0x1.bf9994b346112p-3, 0x1.e96e506618355p-3, 0x1.08f491d208d22p-2, 0x1.1c811e81de962p-2, 0x1.2f59cc1406b25p-2, 0x1.417c5b1ad5b8cp-2, 0x1.52e7534d75be3p-2, 0x1.6399de7aa97fep-2, 0x1.7393cd63ab4dcp-2, 0x1.82d578b712cf2p-2, 0x1.915fbf2f00f4fp-2, 0x1.9f33f2df5114ep-2, 0x1.ac53ce97b284cp-2, 0x1.b8c16c7a83057p-2, 0x1.c47f38821c56p-2, 0x1.cf8fe9aa19c04p-2, 0x1.d9f677b6ce2e1p-2, 0x1.e3b61425042c6p-2, 0x1.ecd222a518f48p-2, 0x1.f54e3231c68e1p-2, 0x1.fd2df6bb22924p-2, 0x1.023aa1b536566p-1, 0x1.059402cac2b0ep-1, 0x1.08a52019fe4dfp-1, 0x1.0b7003cc1d7b9p-1, 0x1.0df6bea6a44d1p-1, 0x1.103b6603b06bap-1, 0x1.124011e4aa43p-1, 0x1.1406db29a9f19p-1, 0x1.1591d9fdf73edp-1, 0x1.16e324751e24bp-1, 0x1.17fccd526b443p-1, 0x1.18e0e2ec2028dp-1, 0x1.19916e1e0c6abp-1, 0x1.1a107149c606ap-1, 0x1.1a5fe761ab773p-1, 0x1.1a81c309c0c72p-1, 0x1.1a77edd2b358fp-1, 0x1.1a444794f68ccp-1, 0x1.19e8a5ef49a78p-1, 0x1.1966d3e2a6f68p-1, 0x1.18c091885eee9p-1, 0x1.17f793dbb9ac9p-1, 0x1.170d848db83afp-1, 0x1.160401e36c5b2p-1, 0x1.14dc9e989f56bp-1, 0x1.1398e1c89c75p-1, 0x1.123a46df3fc79p-1, 0x1.10c23d920a313p-1, 0x1.0f3229e49607fp-1, 0x1.0d8b64385f593p-1, 0x1.0bcf39683478fp-1, 0x1.09feeaecd043cp-1, 0x1.081baf0b405d7p-1, 0x1.0626b1090b761p-1, 0x1.042111640057dp-1, 0x1.020be60dfe71cp-1, 0x1.ffd07551a308ep-2, 0x1.fb6e2184e8e11p-2, 0x1.f6f2c0232563cp-2, 0x1.f2602d63f71dep-2, 0x1.edb832c0a324ap-2, 0x1.e8fc876d7a1e1p-2, 0x1.e42ed0d595a07p-2, 0x1.df50a315a9638p-2, 0x1.da6381797db4ap-2, 0x1.d568defe1a247p-2, 0x1.d0621ecfef76p-2, 0x1.cb5094cbc13dfp-2, 0x1.c6358603ed0cdp-2, 0x1.c112293bc93ebp-2, 0x1.bbe7a767c44b6p-2, 0x1.b6b71c2de8ccap-2, 0x1.b181965ab73f9p-2, 0x1.ac481858f4ac4p-2, 0x1.a70b98aa0053bp-2, 0x1.a1cd025198309p-2, 0x1.9c8d35423372cp-2, 0x1.974d06ca9a836p-2, 0x1.920d41fab48ecp-2, 0x1.8ccea80363bcdp-2, 0x1.8791f098d7362p-2, 0x1.8257ca52ab16fp-2, 0x1.7d20db01402bep-2, 0x1.77edc0046b9b7p-2, 0x1.72bf0ea5ef02ep-2, 0x1.6d95546943309p-2, 0x1.68711755f89a5p-2, 0x1.6352d649e48a5p-2, 0x1.5e3b09450902bp-2, 0x1.592a21ab757dbp-2, 0x1.54208a8bf63f9p-2, 0x1.4f1ea8e612dcap-2, 0x1.4a24dbe782e9fp-2, 0x1.45337d282e2b1p-2, 0x1.404ae0e7d91dfp-2, 0x1.3b6b564661fc2p-2, 0x1.36952779248a6p-2, 0x1.31c89a0075368p-2, 0x1.2d05eed91f6cfp-2, 0x1.284d62ab6868bp-2, 0x1.239f2dfacd5fcp-2, 0x1.1efb85522d21p-2, 0x1.1a62996bc64acp-2, 0x1.15d4975a737bap-2, 0x1.1151a8b264032p-2, 0x1.0cd9f3acd36bdp-2, 0x1.086d9b4a59b2ap-2, 0x1.040cbf76bf67bp-2, 0x1.ff6efa54235b7p-3, 0x1.f6dbdd0ccd717p-3, 0x1.ee6055ed5d29dp-3, 0x1.e5fc8e9a14338p-3, 0x1.ddb0abbac8d1ap-3, 0x1.d57ccd2b7fee9p-3, 0x1.cd610e3651a53p-3, 0x1.c55d85c745327p-3, 0x1.bd724695fdbd5p-3, 0x1.b59f5f4dd3616p-3, 0x1.ade4dac08b182p-3, 0x1.a642c016adf27p-3, 0x1.9eb912f20f691p-3, 0x1.9747d38cb3bp-3, 0x1.8feefee200781p-3, 0x1.88ae8edc2c022p-3, 0x1.81867a75728b4p-3, 0x1.7a76b5d08c3d4p-3, 0x1.737f3257a89e6p-3, 0x1.6c9fdee27c3ddp-3, 0x1.65d8a7d71aa55p-3, 0x1.5f2977435e2e1p-3, 0x1.589234f38e631p-3, 0x1.5212c68f4d6f9p-3, 0x1.4bab0fb7d58fcp-3, 0x1.455af21f4bdadp-3, 0x1.3f224d9ede4e3p-3, 0x1.3901004e79fcep-3, 0x1.32f6e69da383cp-3, 0x1.2d03db67e5319p-3, 0x1.2727b80620427p-3, 0x1.21625463cfe55p-3, 0x1.1bb38717eee22p-3, 0x1.161b25794e021p-3, 0x1.109903ab48db7p-3, 0x1.0b2cf4a9efa26p-3, 0x1.05d6ca5d9dd04p-3, 0x1.009655b3a074cp-3, 0x1.f6d6cd62f61e3p-4, 0x1.ecab98fbf6f78p-4, 0x1.e2aaaace9db9cp-4, 0x1.d8d39de282af6p-4, 0x1.cf260bd85cb42p-4, 0x1.c5a18d148e4a1p-4, 0x1.bc45b8d38770fp-4, 0x1.b312252de1a9cp-4, 0x1.aa0667243e222p-4, 0x1.a12212c11c191p-4, 0x1.9864bb45043f4p-4, 0x1.8fcdf345677a6p-4, 0x1.875d4cb4c9b9ep-4, 0x1.7f1258e234b2ep-4, 0x1.76eca8862c2e1p-4, 0x1.6eebcbe3e0494p-4, 0x1.670f52ef4a71ep-4, 0x1.5f56cd640509ap-4, 0x1.57c1cac88668bp-4, 0x1.504fda6c1a3f6p-4, 0x1.49008b71b45b5p-4, 0x1.41d36cebad906p-4, 0x1.3ac80dfb9ddffp-4, 0x1.33ddfde60d29ap-4, 0x1.2d14cc15996aep-4, 0x1.266c081819813p-4, 0x1.1fe341a47fef7p-4, 0x1.197a08aec75e6p-4, 0x1.132fed81e5c6p-4, 0x1.0d0480d2c21cap-4, 0x1.06f753c5fd12fp-4, 0x1.0107f7edb5dc1p-4, 0x1.f66bfe94b0b7ep-5, 0x1.eb01f8ab5d196p-5, 0x1.dfd1042bb2b18p-5, 0x1.d4d8485e90ddfp-5, 0x1.ca16eddc65fb4p-5, 0x1.bf8c1e8e94de6p-5, 0x1.b53705abd55eap-5, 0x1.ab16cfbe5f0ebp-5, 0x1.a12aaab92be87p-5, 0x1.9771c614b17b7p-5, 0x1.8deb52e624958p-5, 0x1.849683e98b924p-5, 0x1.7b728d80dcd34p-5, 0x1.727ea5b18eeddp-5, 0x1.69ba0429ed1ecp-5, 0x1.6123e25085ca6p-5, 0x1.58bb7b57f725bp-5, 0x1.50800c4eaefd7p-5, 0x1.4870d42596356p-5, 0x1.408d13af3210bp-5, 0x1.38d40d9cf6cep-5, 0x1.314506812c7e2p-5, 0x1.29df44d79a189p-5, 0x1.22a2111218d9fp-5, 0x1.1b8cb5a38bfadp-5, 0x1.149e7f056f304p-5, 0x1.0dd6bbb79bea5p-5, 0x1.0734bc3d4f3bfp-5, 0x1.00b7d31b7b8cap-5, 0x1.f4bea9b677deap-6, 0x1.e855302008f83p-6, 0x1.dc31eabd4752dp-6, 0x1.d0538f03e7afcp-6, 0x1.c4b8d69771f72p-6, 0x1.b9607f447c525p-6, 0x1.ae494af9a8109p-6, 0x1.a371ffc321031p-6, 0x1.98d967cb28d1cp-6, 0x1.8e7e515ed85cp-6, 0x1.845f8ef3720fap-6, 0x1.7a7bf728cc738p-6, 0x1.70d264c77188fp-6, 0x1.6761b6bad63dp-6, 0x1.5e28d009e27d5p-6, 0x1.552697d006bd7p-6, 0x1.4c59f938998cap-6, 0x1.43c1e37c6330ep-6, 0x1.3b5d49dfbaec4p-6, 0x1.332b23afc8b53p-6, 0x1.2b2a6c3e1c7fap-6, 0x1.235a22dac332ep-6, 0x1.1bb94acdb2bd3p-6, 0x1.1446eb4ffd275p-6, 0x1.0d020f85613fdp-6, 0x1.05e9c675efaddp-6, 0x1.fdfa460dd48f6p-7, 0x1.f07677e45ceb7p-7, 0x1.e34657785f197p-7, 0x1.d668215359ce9p-7, 0x1.c9da196d3f757p-7, 0x1.bd9a8b1f1fe32p-7, 0x1.b1a7c91af5f2p-7, 0x1.a6002d66dade4p-7, 0x1.9aa219570132bp-7, 0x1.8f8bf5816173p-7, 0x1.84bc31a685943p-7, 0x1.7a31448effdbap-7, 0x1.6fe9abe1c76ap-7, 0x1.65e3ebfb5e076p-7, 0x1.5c1e8fcf36b04p-7, 0x1.529828da56d95p-7, 0x1.494f4f294c07bp-7, 0x1.4042a16bb2f39p-7, 0x1.3770c50959c37p-7, 0x1.2ed86629400eep-7, 0x1.2678379d03345p-7, 0x1.1e4ef2ab862b1p-7, 0x1.165b56c10b4a1p-7, 0x1.0e9c29158afb3p-7, 0x1.071034626c8c8p-7, 0x1.ff6c917bc1414p-8, 0x1.f11a7753641ddp-8, 0x1.e327d0a45afc8p-8, 0x1.d5925fcf09c77p-8, 0x1.c857f3dd75e2p-8, 0x1.bb7668c87e22bp-8, 0x1.aeeba729c5512p-8, 0x1.a2b5a34fd58bp-8, 0x1.96d25bdf020c6p-8, 0x1.8b3fd85a0830cp-8, 0x1.7ffc2801f838cp-8, 0x1.75056170658d1p-8, 0x1.6a59a31c7d51bp-8, 0x1.5ff714b21fd2p-8, 0x1.55dbe8d7f7fadp-8, 0x1.4c065ecf5b0a6p-8, 0x1.4274c351c4522p-8, 0x1.3925703d521p-8, 0x1.3016caf8f6ebap-8, 0x1.274741e050b9ep-8, 0x1.1eb5496262499p-8, 0x1.165f59a9819adp-8, 0x1.0e43ed8dd3e16p-8, 0x1.0661833f3ae9dp-8, 0x1.fd6d3d2a340e8p-9, 0x1.ee8398d6f31dcp-9, 0x1.e0034c2a83295p-9, 0x1.d1e9a7987ac3ep-9, 0x1.c4341a7d4936bp-9, 0x1.b6e02fb1b8c9bp-9, 0x1.a9eb86266dd76p-9, 0x1.9d53c75268d8cp-9, 0x1.91169e08bccf4p-9, 0x1.8531b059ec365p-9, 0x1.79a29e696d902p-9, 0x1.6e6706cca74bbp-9, 0x1.637c8f8499f82p-9, 0x1.58e0f135a7304p-9, 0x1.4e9201898c47bp-9, 0x1.448db9b1623e6p-9, 0x1.3ad236ebb5505p-9, 0x1.315db48a58bdp-9, 0x1.282e80c0728cbp-9, 0x1.1f42ef08d6ea6p-9, 0x1.16994bb4148f7p-9, 0x1.0e2fd3f16a8b7p-9, 0x1.0604b47f5510dp-9, 0x1.fc2c1ee7459bap-10, 0x1.ecc40f64f7f37p-10, 0x1.ddcd9e5eed196p-10, 0x1.cf45689ad5e2bp-10, 0x1.c12855a80f62fp-10, 0x1.b3739c0b7b6bbp-10, 0x1.a624b64e58c3bp-10, 0x1.99394b907088p-10, 0x1.8caf1193b5bb8p-10, 0x1.8083afcf599dcp-10, 0x1.74b4aaaadb3e5p-10, 0x1.693f5b9fe0bc4p-10, 0x1.5e20f7b44d2b3p-10, 0x1.5356a257c2a43p-10, 0x1.48dd87eb43b13p-10, 0x1.3eb2f97f9d4fdp-10, 0x1.34d482fc071d7p-10, 0x1.2b3ff6324e699p-10, 0x1.21f36852ca8adp-10, 0x1.18ed22f612c2cp-10, 0x1.102b8d3d89005p-10, 0x1.07ad1321bb201p-10, 0x1.fee021471d257p-11, 0x1.eee5899a58025p-11, 0x1.df669c7dc30d3p-11, 0x1.d05f625ddab89p-11, 0x1.c1cbcab8e93ebp-11, 0x1.b3a7d24080daap-11, 0x1.a5efaa674337dp-11, 0x1.989fd769718aep-11, 0x1.8bb53b7edee29p-11, 0x1.7f2d0c7b3934ap-11, 0x1.7304ba3150f69p-11, 0x1.6739d1d30ffcap-11, 0x1.5bc9e9279750ep-11, 0x1.50b294ff15d59p-11, 0x1.45f1667b7c0dfp-11, 0x1.3b83e89ad8aedp-11, 0x1.31679c211ac4ap-11, 0x1.2799f6cc5a3e3p-11, 0x1.1e186cde177d6p-11, 0x1.14e085e24d9a9p-11, 0x1.0beff35c5afd7p-11, 0x1.03449a743936dp-11, 0x1.f5b90e1451634p-12, 0x1.e56b999f40668p-12, 0x1.d59cd18ee173dp-12, 0x1.c64870d400bbcp-12, 0x1.b76a1f1ddbb8dp-12, 0x1.a8fdc34393fdap-12, 0x1.9affc7e0f63a3p-12, 0x1.8d6d23e11fe78p-12, 0x1.8043232dfb5fbp-12, 0x1.737f1c10d378p-12, 0x1.671e4b8f8cbe6p-12, 0x1.5b1def0d7737fp-12, 0x1.4f7b7a01f5decp-12, 0x1.4434acaad7848p-12, 0x1.394768c4d6a33p-12, 0x1.2eb15346836bfp-12, 0x1.246f78c991e07p-12, 0x1.1a7e31117059fp-12, 0x1.10d962a4098dp-12, 0x1.077d14a329bbcp-12, 0x1.fccc161585b88p-13, 0x1.eb242dfc17b02p-13, 0x1.d9ffd301ce2cp-13, 0x1.c95d0f6d4fd46p-13, 0x1.b9398e930fb39p-13, 0x1.a9925fa7182ffp-13, 0x1.9a6484d2b3872p-13, 0x1.8bad9f8bc249fp-13, 0x1.7d6c0769864b5p-13, 0x1.6f9e25a052973p-13, 0x1.624179b2bf79fp-13, 0x1.5551dd0657391p-13, 0x1.48c971b807e0dp-13, 0x1.3ca14f301cc1fp-13, 0x1.30d2aff985846p-13, 0x1.255832e8e6e5bp-13, 0x1.1a2ea1beb105cp-13, 0x1.0f54c6b2c85f7p-13, 0x1.04ca599ede57fp-13, 0x1.f51d74fbfbf88p-14, 0x1.e140caada71abp-14, 0x1.cdfad24ddc817p-14, 0x1.bb48863002c7bp-14, 0x1.a92895dee4c54p-14, 0x1.979abe7cdb7c9p-14, 0x1.869e0aeb1a586p-14, 0x1.762f10093a303p-14, 0x1.6647571edae4fp-14, 0x1.56de34d1d139ep-14, 0x1.47ea3f575b548p-14, 0x1.3962bc8422f3p-14, 0x1.2b40f0f35017bp-14, 0x1.1d80f87f3abfap-14, 0x1.1021783ca96aep-14, 0x1.032236ad25bd3p-14, 0x1.ed053fa0d8cdbp-15, 0x1.d48256f852dadp-15, 0x1.bcb782b59a3d4p-15, 0x1.a5a0fcdc23f64p-15, 0x1.8f3cc0f58c51ap-15, 0x1.798adb52e25a9p-15, 0x1.648b599b44617p-15, 0x1.503aeec9421a3p-15, 0x1.3c920e0fe7c73p-15, 0x1.298748161d008p-15, 0x1.1711cb410261bp-15, 0x1.0529e0f82092dp-15, 0x1.e790a95616623p-16, 0x1.c5cd34413024bp-16, 0x1.a4ff3e6137722p-16, 0x1.851f58bef2dd5p-16, 0x1.66278c2a16babp-16, 0x1.48149d35ff92dp-16, 0x1.2ae6ace3fef9bp-16, 0x1.0e9d0c9ba8e41p-16, 0x1.e6657ef25dd15p-17, 0x1.b145841451575p-17, 0x1.7dda57e787bc6p-17, 0x1.4c2446b579174p-17, 0x1.1c14d0f00c974p-17, 0x1.db25a2093204dp-18, 0x1.81102b25e2f34p-18, 0x1.29cfeb21cf1bp-18, 0x1.aab7f18002a08p-19, 0x1.0762c653e3202p-19, 0x1.a62ed8db88a66p-21, -0x1.780a6e56f32e6p-22, -0x1.8528651d44b19p-20, -0x1.518c0dcb9ae92p-19, -0x1.dc34f203ff173p-19, -0x1.3145f458097d9p-18, -0x1.722963661f15cp-18, -0x1.b0c1d3da5e47bp-18, -0x1.ed30516cb91fdp-18, -0x1.13c00749b27d1p-17, -0x1.2fd06844c45dap-17, -0x1.4acdbb8fa2e7bp-17, -0x1.64cb8657f537ap-17, -0x1.7ddb9088b1f8ep-17, -0x1.96071eb07821dp-17, -0x1.ad521ceeb70c4p-17, -0x1.c3bdd17bb0abap-17, -0x1.d9488008c66b5p-17, -0x1.edede8d837729p-17, -0x1.00d5f5640f04cp-16, -0x1.0a441db6915e4p-16, -0x1.13498876ca915p-16, -0x1.1bf2e8191c371p-16, -0x1.2448ca72cb78dp-16, -0x1.2c44c87be97b6p-16, -0x1.33de8f881b9p-16, -0x1.3b1cbc1d2035fp-16, -0x1.4205e35368babp-16, -0x1.4894a5fd12a51p-16, -0x1.4ec73c8abc7d5p-16, -0x1.54a4a5dbf084cp-16, -0x1.5a33a14c8abbp-16, -0x1.5f77178510247p-16, -0x1.646fe08ca1922p-16, -0x1.691ea53751605p-16, -0x1.6d847cfe54deep-16, -0x1.71a287bc08375p-16, -0x1.7579280e41a72p-16, -0x1.7907e84e9975ap-16, -0x1.7c4e7434095eep-16, -0x1.7f4d3d105eabap-16, -0x1.8206bc6db2872p-16, -0x1.848319c315d6ap-16, -0x1.86c88d99e8a7cp-16, -0x1.88d20bcef2bfep-16, -0x1.8a9ebf479cf26p-16, -0x1.8c33b6d910e37p-16, -0x1.8d8efdf72fa5dp-16, -0x1.8eae989dc99ecp-16, -0x1.8f95d51531731p-16, -0x1.9048cdc4c230ap-16, -0x1.90c9952f90ec6p-16, -0x1.9118e3f358ea3p-16, -0x1.9137336d39c6ep-16, -0x1.91253195657d2p-16, -0x1.90e3d2591a55p-16, -0x1.9074372b957dep-16, -0x1.8fd77d5e45f33p-16, -0x1.8f0e8f450ab15p-16, -0x1.8e1a3b13c06f4p-16, -0x1.8cfb4dff78a2fp-16, }}, 
      {{0x1.23c28d662f89ep+0, 0x1.356620111925bp+0, 0x1.4bfb76680552fp+0, 0x1.63f5bc862d428p+0, 0x1.7b04df706badbp+0, 0x1.8fba18c34f151p+0, 0x1.a14563e9be8fcp+0, 0x1.af458e64e2922p+0, 0x1.b9a58e7d6d2e3p+0, 0x1.c082ff4694c7p+0, 0x1.c41b829a294fcp+0, 0x1.c4bf69f744618p+0, 0x1.c2c8488d1ebccp+0, 0x1.be9267cd6e268p+0, 0x1.b8785bec931b9p+0, 0x1.b0d026467089fp+0, 0x1.a7e977b71b28dp+0, 0x1.9e0cc05f57751p+0, 0x1.937acf4064ep+0, 0x1.886cd420dac71p+0, 0x1.7d14a25bb632ap+0, 0x1.719d1c741b3ebp+0, 0x1.662ab7306903cp+0, 0x1.5adc081edafe1p+0, 0x1.4fca5726b634ap+0, 0x1.450a2d8614f33p+0, 0x1.3aabde9c5acf9p+0, 0x1.30bc0854a6602p+0, 0x1.27440a0cd02cfp+0, 0x1.1e4a718d449a8p+0, 0x1.15d35e1d17375p+0, 0x1.0de0da05fd33bp+0, 0x1.06732b0558fcep+0, 0x1.ff12347b903b3p-1, 0x1.f240688d43c14p-1, 0x1.e66a03f2c42e2p-1, 0x1.db867533a808p-1, 0x1.d18bdfe04b7f1p-1, 0x1.c86f69c7c4e1cp-1, 0x1.c0257e3e42922p-1, 0x1.b8a2086d868dfp-1, 0x1.b1d8a593e5ce6p-1, 0x1.abbcd00df78adp-1, 0x1.a64203e802e4bp-1, 0x1.a15bdda788026p-1, 0x1.9cfe33fdddfa9p-1, 0x1.991d2ce070519p-1, 0x1.95ad4ea7678cap-1, 0x1.92a38d9a10403p-1, 0x1.8ff556593d089p-1, 0x1.8d9895abfb1dap-1, 0x1.8b83bdb25b25p-1, 0x1.89adc980a304fp-1, 0x1.880e3e3e482e9p-1, 0x1.869d2be4a25efp-1, 0x1.85532b1fd0d69p-1, 0x1.84295c53054p-1, 0x1.831962d9f845p-1, 0x1.821d633afa396p-1, 0x1.812ffc5aecdbbp-1, 0x1.804c4563312d7p-1, 0x1.7f6dc5cb266c7p-1, 0x1.7e90728b163ffp-1, 0x1.7db0a655c5361p-1, 0x1.7ccb1d6a301fp-1, 0x1.7bdcef5d3bb3cp-1, 0x1.7ae389773e446p-1, 0x1.79dca9af6baa2p-1, 0x1.78c658a59c61dp-1, 0x1.779ee4fa5a70dp-1, 0x1.7664de2278b0fp-1, 0x1.75170fdbfb538p-1, 0x1.73b47da96a679p-1, 0x1.723c5e74b7b6ap-1, 0x1.70ae186a44d4fp-1, 0x1.6f093d1a2ebd6p-1, 0x1.6d4d85e45e2b2p-1, 0x1.6b7ad0a127b92p-1, 0x1.69911c77031eap-1, 0x1.679086c901cddp-1, 0x1.6579483d28d74p-1, 0x1.634bb1e378fbp-1, 0x1.61082a88dbf5ap-1, 0x1.5eaf2c3e6df16p-1, 0x1.5c414216d41adp-1, 0x1.59bf060e3bc65p-1, 0x1.57291f1a451b8p-1, 0x1.54803f508e6adp-1, 0x1.51c522267f1abp-1, 0x1.4ef88ac80b34ep-1, 0x1.4c1b4288531cap-1, 0x1.492e17762a874p-1, 0x1.4631db1168772p-1, 0x1.4327612735aedp-1, 0x1.400f7eceed2c7p-1, 0x1.3ceb098656349p-1, 0x1.39bad66467ef7p-1, 0x1.367fb96147ea5p-1, 0x1.333a84ad8ceacp-1, 0x1.2fec0817cc7ebp-1, 0x1.2c95107f99cc9p-1, 0x1.2936675727be8p-1, 0x1.25d0d233d8a44p-1, 0x1.2265126d2dacep-1, 0x1.1ef3e4cccaeaep-1, 0x1.1b7e014c5eb97p-1, 0x1.18041ae0ed304p-1, 0x1.1486df52e0e15p-1, 0x1.1106f71fc14fbp-1, 0x1.0d850563f062ep-1, 0x1.0a01a7cc15571p-1, 0x1.067d768b5f7c9p-1, 0x1.02f9045671467p-1, 0x1.fee9bcc5ec98ap-2, 0x1.f7e318d4dfe7fp-2, 0x1.f0df2161bbcf7p-2, 0x1.e9ded01d8993p-2, 0x1.e2e313fe6ece9p-2, 0x1.dbecd161f400dp-2, 0x1.d4fce23436afdp-2, 0x1.ce14161fb3e58p-2, 0x1.c73332c09f4efp-2, 0x1.c05af3da66b5cp-2, 0x1.b98c0b9654664p-2, 0x1.b2c722bebe03ep-2, 0x1.ac0cd8ff6474dp-2, 0x1.a55dc5288f88p-2, 0x1.9eba756f5fce4p-2, 0x1.98236faf7be49p-2, 0x1.919931b09adddp-2, 0x1.8b1c31661a4fdp-2, 0x1.84acdd305c02ep-2, 0x1.7e4b9c1f4576fp-2, 0x1.77f8ce3221956p-2, 0x1.71b4cc961db54p-2, 0x1.6b7fe9e43dd7p-2, 0x1.655a7261ad2bdp-2, 0x1.5f44ac39f0069p-2, 0x1.593ed7b962541p-2, 0x1.53492f8a46b41p-2, 0x1.4d63e8ede90ep-2, 0x1.478f33f122f53p-2, 0x1.41cb3ba5c8912p-2, 0x1.3c182658fc1ecp-2, 0x1.367615c43bae1p-2, 0x1.30e527408d27cp-2, 0x1.2b6573f9161bfp-2, 0x1.25f711195c2d8p-2, 0x1.209a0ffa890bcp-2, 0x1.1b4e7e514b6d8p-2, 0x1.161466584bf61p-2, 0x1.10ebcef91cdf2p-2, 0x1.0bd4bbf53826cp-2, 0x1.06cf2e0c45168p-2, 0x1.01db23208f8ebp-2, 0x1.f9f12cb78e033p-3, 0x1.f04f00a391deap-3, 0x1.e6cfae4173895p-3, 0x1.dd731d2290c67p-3, 0x1.d439306ca4e74p-3, 0x1.cb21c71384dedp-3, 0x1.c22cbc111492cp-3, 0x1.b959e69dec189p-3, 0x1.b0a91a657058ap-3, 0x1.a81a27b6a72ecp-3, 0x1.9facdbb5cb4c1p-3, 0x1.9761008d695ap-3, 0x1.8f365d98a5cf5p-3, 0x1.872cb78bfdfbcp-3, 0x1.7f43d0a1aad38p-3, 0x1.777b68c44f708p-3, 0x1.6fd33db19b88bp-3, 0x1.684b0b1b5f6dfp-3, 0x1.60e28acdd9f05p-3, 0x1.599974d5c447fp-3, 0x1.526f7f9e25176p-3, 0x1.4b64600a996e7p-3, 0x1.4477c99637991p-3, 0x1.3da96e74efa5ap-3, 0x1.36f8ffaf327d4p-3, 0x1.30662d37f207ap-3, 0x1.29f0a6044946dp-3, 0x1.239818267b6eap-3, 0x1.1d5c30e70badep-3, 0x1.173c9cd986d13p-3, 0x1.113907efa168ap-3, 0x1.0b511d8ddffd9p-3, 0x1.058488a06b44p-3, 0x1.ffa5e75a081f2p-4, 0x1.f47811c912ab5p-4, 0x1.e97ee4690df66p-4, 0x1.deb9b2b050204p-4, 0x1.d427cfccd9c01p-4, 0x1.c9c88ebe6a1fep-4, 0x1.bf9b4274d46dbp-4, 0x1.b59f3df10d932p-4, 0x1.abd3d46036bb6p-4, 0x1.a238592dea203p-4, 0x1.98cc2015715a5p-4, 0x1.8f8e7d3ad323ep-4, 0x1.867ec54911aa9p-4, 0x1.7d9c4d8a2b55ep-4, 0x1.74e66bf3c2bb6p-4, 0x1.6c5c772fd27ep-4, 0x1.63fdc6ad88ab8p-4, 0x1.5bc9b2bae4c04p-4, 0x1.53bf949cb3805p-4, 0x1.4bdec69ae577fp-4, 0x1.4426a403f2fb2p-4, 0x1.3c9689335baap-4, 0x1.352dd3a2cb56cp-4, 0x1.2debe2007ef6dp-4, 0x1.26d0143f3e1dap-4, 0x1.1fd9cb9acfd6fp-4, 0x1.19086a97792c6p-4, 0x1.125b550754967p-4, 0x1.0bd1f01932de8p-4, 0x1.056ba26a11d2ep-4, 0x1.fe4fa81edc8a8p-5, 0x1.f20bdd300250ep-5, 0x1.e60aba12a7ef2p-5, 0x1.da4b17c5c24ffp-5, 0x1.cecbd2519860fp-5, 0x1.c38bc8e16dc19p-5, 0x1.b889ddd256cdap-5, 0x1.adc4f6b285e09p-5, 0x1.a33bfc3a2f3f8p-5, 0x1.98edda4b5fee3p-5, 0x1.8ed97ffe04ab9p-5, 0x1.84fddfb18f43dp-5, 0x1.7b59ef18a31fdp-5, 0x1.71eca739121abp-5, 0x1.68b504643192p-5, 0x1.5fb20631263f1p-5, 0x1.56e2af7fa440ep-5, 0x1.4e4606817292ap-5, 0x1.45db14c33e3bep-5, 0x1.3da0e72e3db67p-5, 0x1.35968e022e515p-5, 0x1.2dbb1cccb9a65p-5, 0x1.260daa64959cbp-5, 0x1.1e8d50eade9fap-5, 0x1.17392dcf7cd0ep-5, 0x1.101061d33913ap-5, 0x1.0912110471ae1p-5, 0x1.023d62b734977p-5, 0x1.f72302f8fbbf7p-6, 0x1.ea1b3638dd8cdp-6, 0x1.dd61c12907419p-6, 0x1.d0f50c2ef3a16p-6, 0x1.c4d3861733719p-6, 0x1.b8fba40aad5a3p-6, 0x1.ad6be17ddda04p-6, 0x1.a222c01e6e42p-6, 0x1.971ec7c465626p-6, 0x1.8c5e86688390cp-6, 0x1.81e0901da6022p-6, 0x1.77a37f08d1645p-6, 0x1.6da5f3550c45fp-6, 0x1.63e69322afb4p-6, 0x1.5a640a74b1ee7p-6, 0x1.511d0b1eec53p-6, 0x1.48104cb7ad01ep-6, 0x1.3f3c8c8c077d4p-6, 0x1.36a08d94cedffp-6, 0x1.2e3b1869e7c16p-6, 0x1.260afb32babeep-6, 0x1.1e0f09941b679p-6, 0x1.16461c9d7e883p-6, 0x1.0eaf12b73c922p-6, 0x1.0748cf92d71b1p-6, 0x1.00123c1ce493fp-6, 0x1.f2148cde9b3fep-7, 0x1.e45fc38529aabp-7, 0x1.d7040cbb493aep-7, 0x1.c9ff6308888aep-7, 0x1.bd4fcaca15c1dp-7, 0x1.b0f3520f19288p-7, 0x1.a4e81076dec5p-7, 0x1.992c2710b70fcp-7, 0x1.8dbdc03c9b494p-7, 0x1.829b0f8b981bap-7, 0x1.77c2519f99339p-7, 0x1.6d31cc0aaf261p-7, 0x1.62e7cd2e5f306p-7, 0x1.58e2ac1b0272ap-7, 0x1.4f20c86f52341p-7, 0x1.45a08a37d9459p-7, 0x1.3c6061cd92015p-7, 0x1.335ec7b38ddb3p-7, 0x1.2a9a3c73edde7p-7, 0x1.2211487d7058ep-7, 0x1.19c27c02f519bp-7, 0x1.11ac6ede2e29fp-7, 0x1.09cdc07516d2bp-7, 0x1.022517a0ed621p-7, 0x1.f5624528c24e3p-8, 0x1.e6e12d7d32df5p-8, 0x1.d8c461524faap-8, 0x1.cb0967a20d40cp-8, 0x1.bdadd4f9d6f8p-8, 0x1.b0af4b29c92f2p-8, 0x1.a40b78ffb5db3p-8, 0x1.97c01a142ac87p-8, 0x1.8bcaf6aad69b1p-8, 0x1.8029e39fe77f3p-8, 0x1.74dac25657219p-8, 0x1.69db8097b690bp-8, 0x1.5f2a185946c77p-8, 0x1.54c48f61d82bep-8, 0x1.4aa8f6d75dbdbp-8, 0x1.40d56ac58f08bp-8, 0x1.374811b5648a3p-8, 0x1.2dff1c6b8365fp-8, 0x1.24f8c5d96f9ebp-8, 0x1.1c33533d57376p-8, 0x1.13ad145a558ebp-8, 0x1.0b6463a6f4128p-8, 0x1.0357a64d4b76dp-8, 0x1.f70a97c72f518p-9, 0x1.e7d79bb2f9f0dp-9, 0x1.d9135d5ff3737p-9, 0x1.cabaf25243ae1p-9, 0x1.bccb7f4aa1a2ap-9, 0x1.af4237b96ebbbp-9, 0x1.a21c5e164f593p-9, 0x1.9557450010c8bp-9, 0x1.88f050c2cd09cp-9, 0x1.7ce4f8b2d3895p-9, 0x1.7132c7c7164adp-9, 0x1.65d75c0c9bd5ep-9, 0x1.5ad064e179e43p-9, 0x1.501ba0482dba9p-9, 0x1.45b6d7fa9665bp-9, 0x1.3b9fdf0a5fe84p-9, 0x1.31d490c4af7dbp-9, 0x1.2852d13c99becp-9, 0x1.1f188f65fc734p-9, 0x1.1623c829bc8bap-9, 0x1.0d72898496c3dp-9, 0x1.0502f4a710afcp-9, 0x1.f9a67c8a98c1ep-10, 0x1.e9c359807e03ap-10, 0x1.da5928e738012p-10, 0x1.cb64a60df1229p-10, 0x1.bce295fa14093p-10, 0x1.aecfc17d4d86fp-10, 0x1.a128f407eb05fp-10, 0x1.93eaffb67d39dp-10, 0x1.8712c5a69a246p-10, 0x1.7a9d40553bf5cp-10, 0x1.6e878d18bf512p-10, 0x1.62cef1e196435p-10, 0x1.5770dd531655bp-10, 0x1.4c6ae0c8417f1p-10, 0x1.41baa587b3f1bp-10, 0x1.375ddfd3e2b86p-10, 0x1.2d52432d6f551p-10, 0x1.23957adb7a786p-10, 0x1.1a2528b43ca9bp-10, 0x1.10feea7db0171p-10, 0x1.082064872c33cp-10, 0x1.ff0e9d821c1d1p-11, 0x1.ee6301d04c6b4p-11, 0x1.de39f5066d406p-11, 0x1.ce8fc8f31fe99p-11, 0x1.bf611764a4375p-11, 0x1.b0aaac05e92cap-11, 0x1.a269686b1b1bfp-11, 0x1.949a294c12dc1p-11, 0x1.8739b369743bdp-11, 0x1.7a44ac6346975p-11, 0x1.6db7a0b570d65p-11, 0x1.618f14f51d987p-11, 0x1.55c79de723d29p-11, 0x1.4a5df981828c8p-11, 0x1.3f4f22a782dedp-11, 0x1.34985ab9181ecp-11, 0x1.2a3726c215b54p-11, 0x1.2029417f93fbep-11, 0x1.166c866398d9ap-11, 0x1.0cfedb1ac4d0bp-11, 0x1.03de1cb12bbc4p-11, 0x1.f61027a6cdcp-12, 0x1.e4f4e35f65a3ep-12, 0x1.d465aaaba9dcap-12, 0x1.c45db05c48b4p-12, 0x1.b4d83dd998068p-12, 0x1.a5d0d60553d3p-12, 0x1.97434f53b7887p-12, 0x1.892bdcfa5c589p-12, 0x1.7b87050f69e2ep-12, 0x1.6e51897743eeap-12, 0x1.61884e82c09f4p-12, 0x1.552848a5f8e9ap-12, 0x1.492e7401fd1f8p-12, 0x1.3d97d1b3a3038p-12, 0x1.3261652d666efp-12, 0x1.27883030c087dp-12, 0x1.1d0931e1407a9p-12, 0x1.12e16f0e93e09p-12, 0x1.090e043ea4e34p-12, 0x1.ff18722279bc8p-13, 0x1.ecb310044a3b9p-13, 0x1.dae724f338b7ap-13, 0x1.c9b00b38041f8p-13, 0x1.b9090025bb212p-13, 0x1.a8ed16287cf13p-13, 0x1.99575c1fec93ap-13, 0x1.8a4325157c24ap-13, 0x1.7bac421354103p-13, 0x1.6d8f076c180fep-13, 0x1.5fe81b0ac9d75p-13, 0x1.52b43398bd8c3p-13, 0x1.45effa25864f5p-13, 0x1.3998208bf2fdep-13, 0x1.2da98f2a6eafep-13, 0x1.22217729364p-13, 0x1.16fd2c3e613b2p-13, 0x1.0c39d3c7a58c6p-13, 0x1.01d4178700efdp-13, 0x1.ef901e4cdba53p-14, 0x1.dc22f711a1944p-14, 0x1.c95886fec6343p-14, 0x1.b729eeeb8290fp-14, 0x1.a592264ebb79cp-14, 0x1.948da8f9ecfd4p-14, 0x1.841987da7b462p-14, 0x1.74328b19e4494p-14, 0x1.64d500cef5423p-14, 0x1.55fd36a360478p-14, 0x1.47a80984fc69p-14, 0x1.39d2f675836aep-14, 0x1.2c7b8f654212cp-14, 0x1.1f9eaa27afda4p-14, 0x1.1337c63ff441p-14, 0x1.074101bff7d2fp-14, 0x1.f76754ec7e971p-15, 0x1.e11270c86c975p-15, 0x1.cb78ace655b45p-15, 0x1.b6930848509ep-15, 0x1.a25ddddec62f9p-15, 0x1.8ed718e74800ep-15, 0x1.7bfc1ac50d487p-15, 0x1.69c8d718ebc97p-15, 0x1.58389a53e7113p-15, 0x1.474771847a60cp-15, 0x1.36f2d8e0fca66p-15, 0x1.27392f06b0201p-15, 0x1.181846f2e0401p-15, 0x1.098bfcfbd409bp-15, 0x1.f71b89dc727a8p-16, 0x1.dc2ab93f8b0ebp-16, 0x1.c233f27aab6c5p-16, 0x1.a926d58b189adp-16, 0x1.90f64eb7e76acp-16, 0x1.7999f12054efbp-16, 0x1.630d77a65380fp-16, 0x1.4d4e7f54bc6b6p-16, 0x1.385a21258e389p-16, 0x1.242bf926a3352p-16, 0x1.10bec6156da42p-16, 0x1.fc1b52a7a9a2fp-17, 0x1.d82a70cc1b863p-17, 0x1.b5a76e322eecfp-17, 0x1.948edc8dcaeffp-17, 0x1.74d80b089324bp-17, 0x1.5673b35e48be2p-17, 0x1.394fc6a7aff5ep-17, 0x1.1d5b5d697a22ap-17, 0x1.02876fa31496ap-17, 0x1.d18bae2c00b7cp-18, 0x1.a0130b291927bp-18, 0x1.708f9e559aa68p-18, 0x1.42f07d7511bb2p-18, 0x1.1727489eb6775p-18, 0x1.da543c311a006p-19, 0x1.89e8e87317d81p-19, 0x1.3d01086b2ef2dp-19, 0x1.e707b5bfb899ep-20, 0x1.5ab1cb053b61ap-20, 0x1.a9deec4d232bp-21, 0x1.56c136e2a3151p-22, -0x1.1a4bbbbb7dd5dp-23, -0x1.2cb76e7f88278p-21, -0x1.03da6304e1172p-20, -0x1.6bfb707d01bfcp-20, -0x1.cedb19339362dp-20, -0x1.1646007d26a75p-19, -0x1.4295e2be13235p-19, -0x1.6c77e640e7bb4p-19, -0x1.94113c28bdc2p-19, -0x1.b98caa54ab0f8p-19, -0x1.dd0d5e0ebc286p-19, -0x1.fe980476e370dp-19, -0x1.0f0d50a42989cp-18, -0x1.1dcc541573761p-18, -0x1.2b985eba9ed29p-18, -0x1.387859e9a37e2p-18, -0x1.4468c23483286p-18, -0x1.4f6f8e11a3ea4p-18, -0x1.599dff051bf66p-18, -0x1.6303e36c3a264p-18, -0x1.6baa84278b2f5p-18, -0x1.73971203a690fp-18, -0x1.7accb03f1e965p-18, -0x1.814c2d96c8573p-18, -0x1.871465a3ebc56p-18, -0x1.8c25c114dcf53p-18, -0x1.908680f9537c6p-18, -0x1.9444b8f65ee7p-18, -0x1.97754cff7239ap-18, -0x1.9a26d0ea1d8bbp-18, -0x1.9c5157e2cb1cdp-18, -0x1.9dea0ebe96fa6p-18, -0x1.9efc71f8fdbafp-18, -0x1.9f93e50a6598ap-18, -0x1.9fa9e9981899ap-18, -0x1.9f3d54de1dbb8p-18, -0x1.9e5a01f7d7574p-18, -0x1.9d0b5c8f1f7aap-18, -0x1.9b570a1607ea5p-18, -0x1.993f90c02462ep-18, -0x1.96c72615e880ep-18, -0x1.93f09a7e16629p-18, -0x1.90bec03b8c6a9p-18, -0x1.8d334480265efp-18, -0x1.894e88705667bp-18, -0x1.8511180289d26p-18, -0x1.807ca06424b26p-18, -0x1.7b95cc18bb82dp-18, -0x1.7669a64ebb5b3p-18, -0x1.710249e3d72fdp-18, -0x1.6b590d910faa6p-18, -0x1.656d83d679ad7p-18, -0x1.5f47f7c4f584ap-18, -0x1.58e6459a7ad9fp-18, -0x1.524634ac7414dp-18, -0x1.4b6d5d868a639p-18, -0x1.44628012b3542p-18, -0x1.3d2950fa3bb8bp-18, -0x1.35c37bc1372d5p-18, -0x1.2e32464443b62p-18, -0x1.26773d0a3fba5p-18, -0x1.1e944d9ed75cp-18, -0x1.168ba2b969c42p-18, -0x1.0e5f5a799ececp-18, -0x1.06114041695d8p-18, -0x1.fb45dd5927cadp-19, -0x1.ea2bf40c10431p-19, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.c3af61c599cd7p-1, -0x1.c3873b7e6dccp-1, -0x1.c3434dfc2d207p-1, -0x1.c2e226ef2689ap-1, -0x1.c261df302e44fp-1, -0x1.c1c03250c873ap-1, -0x1.c0fa96c7d6244p-1, -0x1.c00e555e3bdb2p-1, -0x1.bef89efcce9a1p-1, -0x1.bdb6a0578d644p-1, -0x1.bc459332b563ep-1, -0x1.baa2cd2b8cefp-1, -0x1.b8cbcc0ddac7ep-1, -0x1.b6be3fd3a9ce8p-1, -0x1.b478127a177b1p-1, -0x1.b1f76ddd6f642p-1, -0x1.af3abfd2698a2p-1, -0x1.ac40bcb30ff09p-1, -0x1.a90860947fd61p-1, -0x1.a590ef581c265p-1, -0x1.a1d9f3c73b37fp-1, -0x1.9de33de456868p-1, -0x1.99ace09885a8dp-1, -0x1.95372edfbdda1p-1, -0x1.9082b89226007p-1, -0x1.8b9046e4cfacbp-1, -0x1.8660d8b8723a7p-1, -0x1.80f59ec95aa8ap-1, -0x1.7b4ff7d0b17e4p-1, -0x1.75716ca474313p-1, -0x1.6f5bac610e561p-1, -0x1.691088a566508p-1, -0x1.6291f1e84f34bp-1, -0x1.5be1f3ecc26bep-1, -0x1.5502b258ee29dp-1, -0x1.4df66572fa7aap-1, -0x1.46bf570580e0cp-1, -0x1.3f5fdf6ce1251p-1, -0x1.37da62ce02f0dp-1, -0x1.30314e768826dp-1, -0x1.2867166614117p-1, -0x1.207e32fff0df5p-1, -0x1.18791ee424d78p-1, -0x1.105a54eed3adcp-1, -0x1.08244e5ca7d3ep-1, -0x1.ffb30225d7b65p-2, -0x1.eef8bc13c47b9p-2, -0x1.de1e9fafd8a6bp-2, -0x1.cd2972b81141bp-2, -0x1.bc1de90c5c909p-2, -0x1.ab00a2782fcb8p-2, -0x1.99d628b21f6c6p-2, -0x1.88a2ed8eae817p-2, -0x1.776b4963aa6f8p-2, -0x1.663379996892p-2, -0x1.54ff9f67663d8p-2, -0x1.43d3beb9cdde4p-2, -0x1.32b3bd3d89bf6p-2, -0x1.21a36190a1403p-2, -0x1.10a65294a60bdp-2, -0x1.ff802dc245c0dp-3, -0x1.dde828a801efap-3, -0x1.bc8b1f7bea963p-3, -0x1.9b6f59523b8ep-3, -0x1.7a9ada7005b29p-3, -0x1.5a136436a2d0ep-3, -0x1.39de75394452cp-3, -0x1.1a01497994d4cp-3, -0x1.f501b590d2781p-4, -0x1.b6c3c28f5033fp-4, -0x1.7951a8157b829p-4, -0x1.3cb3d3a600beep-4, -0x1.00f233cb26a07p-4, -0x1.8c2873e1d3c89p-5, -0x1.1841b8d205374p-5, -0x1.4c7a625269102p-6, -0x1.b13752fbdc5e3p-8, 0x1.bfafb453b855bp-8, 0x1.481e600788caep-6, 0x1.0e1b5eb5a1026p-5, 0x1.7611f825d283p-5, 0x1.dbeb453756e18p-5, 0x1.1fd02e475fd6bp-4, 0x1.50958e6fc3a24p-4, 0x1.804313939d835p-4, 0x1.aed66c6d85509p-4, 0x1.dc4da3060564bp-4, 0x1.04538ce17ef01p-3, 0x1.19f0c43b1c2a4p-3, 0x1.2efdfcb6618e7p-3, 0x1.437ae34063e3fp-3, 0x1.57674b1789fdp-3, 0x1.6ac32c58fbba8p-3, 0x1.7d8ea2912d1c6p-3, 0x1.8fc9eb5030e37p-3, 0x1.a17564c247c28p-3, 0x1.b2918c4d1a11ap-3, 0x1.c31efd320c9bp-3, 0x1.d31e6f3613e6cp-3, 0x1.e290b54f4478dp-3, 0x1.f176bc587fe28p-3, 0x1.ffd189cb744f3p-3, 0x1.06d11d4090c8p-2, 0x1.0d7500bc925fcp-2, 0x1.13d51353f03c7p-2, 0x1.19f202e5d7b06p-2, 0x1.1fcc86a49bf01p-2, 0x1.25655e877cd72p-2, 0x1.2abd52c0104efp-2, 0x1.2fd5333354ed7p-2, 0x1.34add6f673f66p-2, 0x1.39481bcf2c24ap-2, 0x1.3da4e5b7eee95p-2, 0x1.41c51e67a04bbp-2, 0x1.45a9b4dd02349p-2, 0x1.49539cedbc32bp-2, 0x1.4cc3ced8fa6f8p-2, 0x1.4ffb46dd9f6f9p-2, 0x1.52fb04d3f462cp-2, 0x1.55c40bcade2cfp-2, 0x1.585761a8777c3p-2, 0x1.5ab60ece15a5p-2, 0x1.5ce11dbf9e508p-2, 0x1.5ed99ace27d5bp-2, 0x1.60a093c5d1539p-2, 0x1.6237179ec6acp-2, 0x1.639e3631616c4p-2, 0x1.64d6ffed5185ep-2, 0x1.65e28593c9e32p-2, 0x1.66c1d7f4919cdp-2, 0x1.677607adf79f1p-2, 0x1.680024ef8d77cp-2, 0x1.68613f3fa4082p-2, 0x1.689a65436adf4p-2, 0x1.68aca489b3ffep-2, 0x1.6899095839538p-2, 0x1.68609e7b62074p-2, 0x1.68046d186e518p-2, 0x1.67857c81ff113p-2, 0x1.66e4d20ee2d96p-2, 0x1.662370f3215f2p-2, 0x1.65425a1b2ca8ep-2, 0x1.64428c092baf3p-2, 0x1.632502b4528dcp-2, 0x1.61eab76a32b94p-2, 0x1.6094a0b1f91b9p-2, 0x1.5f23b23184f9ep-2, 0x1.5d98dc9454917p-2, 0x1.5bf50d742981ep-2, 0x1.5a392f436505ep-2, 0x1.5866293902773p-2, 0x1.567cdf3e2d7b4p-2, 0x1.547e31dd5ac64p-2, 0x1.526afe32dffp-2, 0x1.50441ddef6906p-2, 0x1.4e0a66f924eb4p-2, 0x1.4bbeac04f46c3p-2, 0x1.4961bbe7f8958p-2, 0x1.46f461e10aadbp-2, 0x1.44776580be201p-2, 0x1.41eb8aa2f1dbdp-2, 0x1.3f51916983179p-2, 0x1.3caa363809b89p-2, 0x1.39f631b09ada5p-2, 0x1.373638b185957p-2, 0x1.346afc53ff07ap-2, 0x1.319529ebb22d2p-2, 0x1.2eb56b072c82bp-2, 0x1.2bcc65711dc22p-2, 0x1.28dabb325c374p-2, 0x1.25e10a94afdf3p-2, 0x1.22dfee264adp-2, 0x1.1fd7fcbdf9e7cp-2, 0x1.1cc9c97ff19dp-2, 0x1.19b5e3e3409d9p-2, 0x1.169cd7b7d23e6p-2, 0x1.137f2d2d004bap-2, 0x1.105d68d8aef2p-2, 0x1.0d380bbedfd82p-2, 0x1.0a0f9359c5337p-2, 0x1.06e479a2417eep-2, 0x1.03b73518d0bf2p-2, 0x1.008838ced921bp-2, 0x1.faafe8e0a9c6bp-3, 0x1.f44da89bb126p-3, 0x1.edea82cdc911fp-3, 0x1.e78742e90f77ap-3, 0x1.e124ade88adccp-3, 0x1.dac382667629p-3, 0x1.d46478b30bf9cp-3, 0x1.ce0842ebb3992p-3, 0x1.c7af8d129944fp-3, 0x1.c15afd269ca94p-3, 0x1.bb0b333b9128ap-3, 0x1.b4c0c992c6455p-3, 0x1.ae7c54b3cd9cep-3, 0x1.a83e63857d952p-3, 0x1.a2077f671b9e9p-3, 0x1.9bd82c49b5f62p-3, 0x1.95b0e8c998ab9p-3, 0x1.8f922e47e1718p-3, 0x1.897c710423425p-3, 0x1.8370203615744p-3, 0x1.7d6da6274e3dbp-3, 0x1.7775684cfb75ep-3, 0x1.7187c76191a9cp-3, 0x1.6ba51f7e7a4edp-3, 0x1.65cdc835ab17ep-3, 0x1.600214ab2c92dp-3, 0x1.5a4253ae82dfp-3, 0x1.548ecfd400655p-3, 0x1.4ee7cf8df01aap-3, 0x1.494d95459d73ap-3, 0x1.43c05f74305e9p-3, 0x1.3e4068bb5e21fp-3, 0x1.38cde7fde737dp-3, 0x1.33691077e3056p-3, 0x1.2e1211d6d5098p-3, 0x1.28c9185182b5fp-3, 0x1.238e4cbf9563cp-3, 0x1.1e61d4b0f5e86p-3, 0x1.1943d284e632fp-3, 0x1.14346580e1bc5p-3, 0x1.0f33a9e725208p-3, 0x1.0a41b90d04759p-3, 0x1.055ea970e1c22p-3, 0x1.008a8ecfeb281p-3, 0x1.f78af476fceccp-4, 0x1.ee1ef45c903c1p-4, 0x1.e4d135421b6c8p-4, 0x1.dba1ca3e4d65ep-4, 0x1.d290c1b554acfp-4, 0x1.c99e25808614cp-4, 0x1.c0c9fb156c249p-4, 0x1.b81443ac24cfap-4, 0x1.af7cfc6519cebp-4, 0x1.a7041e6e0e555p-4, 0x1.9ea99f268221ap-4, 0x1.966d70436d3f4p-4, 0x1.8e4f7ff24bb0dp-4, 0x1.864fb8fb7ba48p-4, 0x1.7e6e02e3f72b6p-4, 0x1.76aa420e5b349p-4, 0x1.6f0457db4686dp-4, 0x1.677c22c90b179p-4, 0x1.60117e92b6d9dp-4, 0x1.58c4444e70522p-4, 0x1.51944a8b2a75cp-4, 0x1.4a81656db1696p-4, 0x1.438b66cd0a513p-4, 0x1.3cb21e4e33649p-4, 0x1.35f5597f38a8ap-4, 0x1.2f54e3f1a72bbp-4, 0x1.28d087545c786p-4, 0x1.22680b8cb42f6p-4, 0x1.1c1b36cf155d7p-4, 0x1.15e9cdb6e1233p-4, 0x1.0fd3935dc38f5p-4, 0x1.09d849726d2dfp-4, 0x1.03f7b04eaabecp-4, 0x1.fc630e19dbcacp-5, 0x1.f10b173a73f5ep-5, 0x1.e5e6f5b2fd5f4p-5, 0x1.daf62132bf332p-5, 0x1.d0380f8adc4c3p-5, 0x1.c5ac34d3a2597p-5, 0x1.bb520390c7a2ep-5, 0x1.b128ecd48f542p-5, 0x1.a7306061e1ac8p-5, 0x1.9d67cccd56abap-5, 0x1.93ce9f9d3557bp-5, 0x1.8a64456878d9fp-5, 0x1.812829f4ce141p-5, 0x1.7819b8539a366p-5, 0x1.6f385afe09a3ap-5, 0x1.66837bf02f399p-5, 0x1.5dfa84c337837p-5, 0x1.559cdec6aa35p-5, 0x1.4d69f318d39d2p-5, 0x1.45612abe44d2dp-5, 0x1.3d81eeb87df68p-5, 0x1.35cba81bba6fbp-5, 0x1.2e3dc023f2278p-5, 0x1.26d7a049074d6p-5, 0x1.1f98b2522e5fdp-5, 0x1.1880606887ac8p-5, 0x1.118e152901812p-5, 0x1.0ac13bb5798cep-5, 0x1.04193fc524d56p-5, 0x1.fb2b1b6884f3p-6, 0x1.ee6b25263ba66p-6, 0x1.e1f17868d3a74p-6, 0x1.d5bcf275d6c9ep-6, 0x1.c9cc724d14157p-6, 0x1.be1ed8c16a527p-6, 0x1.b2b3089070aep-6, 0x1.a787e678e6ed5p-6, 0x1.9c9c594ff4ee9p-6, 0x1.91ef4a155434fp-6, 0x1.877fa40664346p-6, 0x1.7d4c54b023069p-6, 0x1.73544c0025fc2p-6, 0x1.69967c5484aa7p-6, 0x1.6011da8ad6d4cp-6, 0x1.56c55e0e366a1p-6, 0x1.4db000e450d9cp-6, 0x1.44d0bfb9a4988p-6, 0x1.3c2699ecc4223p-6, 0x1.33b09198d8e0ep-6, 0x1.2b6dab9f47b56p-6, 0x1.235cefb090788p-6, 0x1.1b7d685464ee8p-6, 0x1.13ce22f0feeb7p-6, 0x1.0c4e2fd1c73fcp-6, 0x1.04fca22d400ep-6, 0x1.fbb120548f4cdp-7, 0x1.edc225c96397bp-7, 0x1.e02a8ce291f34p-7, 0x1.d2e893c25496cp-7, 0x1.c5fa7e8914342p-7, 0x1.b95e9759e733ap-7, 0x1.ad132e5ddcb82p-7, 0x1.a11699c6623cfp-7, 0x1.956735ce7a9d3p-7, 0x1.8a0364bb1f2ffp-7, 0x1.7ee98eda9b1e4p-7, 0x1.741822830b2ccp-7, 0x1.698d94100bd2p-7, 0x1.5f485ddf7f159p-7, 0x1.5547004d95d84p-7, 0x1.4b8801b019b57p-7, 0x1.4209ee50e0204p-7, 0x1.38cb5867c1178p-7, 0x1.2fcad813ab8afp-7, 0x1.27070b5344cd3p-7, 0x1.1e7e95fcd7f4ep-7, 0x1.163021b5ab47p-7, 0x1.0e1a5de8db78p-7, 0x1.063bffbdae8c8p-7, 0x1.fd27841ab5647p-8, 0x1.ee40cab0c9e62p-8, 0x1.dfc15f772cfd3p-8, 0x1.d1a6d9c8cf36cp-8, 0x1.c3eedc0a36706p-8, 0x1.b69713910a1edp-8, 0x1.a99d388abe676p-8, 0x1.9cff0de2adfb3p-8, 0x1.90ba6127c3a3ap-8, 0x1.84cd0a7120498p-8, 0x1.7934ec42ba835p-8, 0x1.6deff371248e5p-8, 0x1.62fc17050cc1fp-8, 0x1.5857581e32f6ap-8, 0x1.4dffc1d620d8p-8, 0x1.43f3692271e8p-8, 0x1.3a306cb6be579p-8, 0x1.30b4f4e64efb2p-8, 0x1.277f33858738cp-8, 0x1.1e8d63cb1812ap-8, 0x1.15ddca310237dp-8, 0x1.0d6eb45575bdbp-8, 0x1.053e78db711c3p-8, 0x1.fa96ee968538ap-9, 0x1.eb282fe638b41p-9, 0x1.dc2d978ec3d03p-9, 0x1.cda41885fe7acp-9, 0x1.bf88b68fa07c5p-9, 0x1.b1d885fda8f49p-9, 0x1.a490ab7114175p-9, 0x1.97ae5b9a93b9bp-9, 0x1.8b2edafb498ffp-9, 0x1.7f0f7da5b2652p-9, 0x1.734da6fec48d6p-9, 0x1.67e6c97f5ae7ap-9, 0x1.5cd866758b0b3p-9, 0x1.52200dc6a9694p-9, 0x1.47bb5db126059p-9, 0x1.3da8028ef9dd8p-9, 0x1.33e3b6989bfa8p-9, 0x1.2a6c41a7cd6cp-9, 0x1.213f78fb57534p-9, 0x1.185b3efad9423p-9, 0x1.0fbd82fb2e792p-9, 0x1.076441032d375p-9, 0x1.fe9b0321c0679p-10, 0x1.eeeeb2beb4ad5p-10, 0x1.dfbfd259a2c01p-10, 0x1.d10abb0349ffep-10, 0x1.c2cbdceed4ddcp-10, 0x1.b4ffbf01fef8ep-10, 0x1.a7a2fe65a991fp-10, 0x1.9ab24e17be639p-10, 0x1.8e2a767e7522cp-10, 0x1.820854fca2b6p-10, 0x1.7648db872f687p-10, 0x1.6ae9103bc07c7p-10, 0x1.5fe60cf90132ap-10, 0x1.553cfef79ed5ep-10, 0x1.4aeb2664de9b1p-10, 0x1.40edd5fe2b336p-10, 0x1.374272ae65db7p-10, 0x1.2de6732bf9117p-10, 0x1.24d75f98c0cbdp-10, 0x1.1c12d122cf5cdp-10, 0x1.139671a6de2ddp-10, 0x1.0b5ffb53bcee9p-10, 0x1.036d384f3416bp-10, 0x1.f77804b888a4ap-11, 0x1.e894850592f9dp-11, 0x1.da2be170481f4p-11, 0x1.cc3a271345c8fp-11, 0x1.bebb7f8fa9248p-11, 0x1.b1ac306769686p-11, 0x1.a5089a58bcc4cp-11, 0x1.98cd38be1a2dep-11, 0x1.8cf6a0eebad2dp-11, 0x1.818181a330a41p-11, 0x1.766aa25c81176p-11, 0x1.6baee2cd0dfd7p-11, 0x1.614b3a4471989p-11, 0x1.573cb71ede4b4p-11, 0x1.4d807e3526b62p-11, 0x1.4413ca50b7179p-11, 0x1.3af3eba207e02p-11, 0x1.321e473859b75p-11, 0x1.2990567d4a6fcp-11, 0x1.2147a6b26a0b4p-11, 0x1.1941d870e858fp-11, 0x1.117c9f2bcbc54p-11, 0x1.09f5c0b573033p-11, 0x1.02ab14c5e1d25p-11, 0x1.f7350908a9936p-12, 0x1.e98414270446p-12, 0x1.dc3f603d98b93p-12, 0x1.cf6322d6a8a7ep-12, 0x1.c2ebb0d453278p-12, 0x1.b6d57d9a63146p-12, 0x1.ab1d1a3c72ba7p-12, 0x1.9fbf34aff6643p-12, 0x1.94b897037451fp-12, 0x1.8a0626981b546p-12, 0x1.7fa4e361b4fffp-12, 0x1.7591e7293f05dp-12, 0x1.6bca64d48237fp-12, 0x1.624ba7b0aed22p-12, 0x1.591312c1e5c4fp-12, 0x1.501e2016638bcp-12, 0x1.476a601cddc3cp-12, 0x1.3ef578fff4f39p-12, 0x1.36bd2603d7ecp-12, 0x1.2ebf36e85cd2ap-12, 0x1.26f98f4ea44bfp-12, 0x1.1f6a2622c0d1ap-12, 0x1.180f05084c559p-12, 0x1.10e647ca0e6b9p-12, 0x1.09ee1bcea1ec9p-12, 0x1.0324bf8e8930ep-12, 0x1.f911041bf2023p-13, 0x1.ec2f84b8cf9b7p-13, 0x1.dfa1de24c8e7fp-13, 0x1.d3650bad9807ep-13, 0x1.c77625ca6d744p-13, 0x1.bbd26130263fcp-13, 0x1.b0770de9d9d51p-13, 0x1.a561967880754p-13, 0x1.9a8f7ef918715p-13, 0x1.8ffe644d968f2p-13, 0x1.85abfb4cc30c9p-13, 0x1.7b960ffa820fp-13, 0x1.71ba84bedfeb6p-13, 0x1.681751a832b3p-13, 0x1.5eaa83aec390bp-13, 0x1.55723c00ebacdp-13, 0x1.4c6caf4f9a74bp-13, 0x1.4398252270edfp-13, 0x1.3af2f7327fccep-13, 0x1.327b90c48f8bep-13, 0x1.2a306e0b02f75p-13, 0x1.22101b8c7a993p-13, 0x1.1a19358d6757ep-13, 0x1.124a677e4b0ap-13, 0x1.0aa26b6e907b1p-13, 0x1.0320098356f1cp-13, 0x1.f7842ee34ed34p-14, 0x1.e90eeff84cd25p-14, 0x1.dade34ec94598p-14, 0x1.cceff495cb98bp-14, 0x1.bf423d07c60bap-14, 0x1.b1d332af58fc1p-14, 0x1.a4a10f75a725cp-14, 0x1.97aa21e4f56d4p-14, 0x1.8aeccc58a0bf4p-14, 0x1.7e67843125879p-14, 0x1.7218d110900e8p-14, 0x1.65ff4c1abe7a8p-14, 0x1.5a199f3bef4a2p-14, 0x1.4e6684763422p-14, 0x1.42e4c536797a7p-14, 0x1.379339a9d4ea2p-14, 0x1.2c70c81c14285p-14, 0x1.217c645c2931ep-14, 0x1.16b50f2234f2p-14, 0x1.0c19d57f60952p-14, 0x1.01a9d04d676a7p-14, 0x1.eec84750614d5p-15, 0x1.da8ffcd237502p-15, 0x1.c6a9334b0c059p-15, 0x1.b31270682977ep-15, 0x1.9fca4c6dc083ep-15, 0x1.8ccf7150430dfp-15, 0x1.7a2099d3d642bp-15, 0x1.67bc90baf4b5ep-15, 0x1.55a22ff61b7a2p-15, 0x1.43d05fde9e256p-15, 0x1.32461676f8ac9p-15, 0x1.210256b039d9dp-15, 0x1.10042fc1331e5p-15, 0x1.fe9578eaa1ec7p-16, 0x1.ddaa4516e8fd9p-16, 0x1.bd4524287e30cp-16, 0x1.9d6489c73938fp-16, 0x1.7e06fbecc8eacp-16, 0x1.5f2b11db09d6ep-16, 0x1.40cf730636e23p-16, 0x1.22f2d6201e39cp-16, 0x1.05940019ed639p-16, 0x1.d163866c45117p-17, 0x1.9895fc55bd8fap-17, 0x1.60bd36a072209p-17, 0x1.29d71f93a331p-17, 0x1.e7c36b07a599ep-18, 0x1.7db612a489e1bp-18, 0x1.15827a3d2cb8ep-18, 0x1.5e4a0b4ce3a01p-19, 0x1.2a68d75a36cc6p-20, -0x1.82159a2b36487p-22, -0x1.e443d30c8039dp-20, -0x1.b06fa2d5d46c7p-19, -0x1.359911819a703p-18, -0x1.9137c4e839aa8p-18, -0x1.eb16eb55b2efbp-18, -0x1.219cbb0f22e35p-17, -0x1.4cd124fd8684fp-17, -0x1.772a20576d6b8p-17, -0x1.a0a9152def2b6p-17, -0x1.c94f678f4cc6dp-17, -0x1.f11e782fa2d03p-17, -0x1.0c0bd28523ccep-16, -0x1.1f1e24feb5ed3p-16, -0x1.31c6e0a37afe2p-16, }}, 
      {{-0x1.c3b83d1067e15p-1, -0x1.c3aae82eb2f9dp-1, -0x1.c3947bb9f8ae3p-1, -0x1.c374abf2819bap-1, -0x1.c34b1392147p-1, -0x1.c3173789883b4p-1, -0x1.c2d88af78b95dp-1, -0x1.c28e7322cfbc3p-1, -0x1.c2384b52469eep-1, -0x1.c1d5686a7b90ep-1, -0x1.c1651c40559f3p-1, -0x1.c0e6b8986bac7p-1, -0x1.c05991cf0f9d7p-1, -0x1.bfbd0128dffd4p-1, -0x1.bf1066ce34078p-1, -0x1.be532b75832c8p-1, -0x1.bd84c1c201478p-1, -0x1.bca4a75c65df9p-1, -0x1.bbb265cc22db2p-1, -0x1.baad931769e24p-1, -0x1.b995d23043867p-1, -0x1.b86ad334c4f5bp-1, -0x1.b72c5388185f3p-1, -0x1.b5da1dc9af641p-1, -0x1.b47409af8d999p-1, -0x1.b2f9fbc8288ap-1, -0x1.b16be527efc38p-1, -0x1.afc9c3062432dp-1, -0x1.ae139e4c40e19p-1, -0x1.ac498b1ad23edp-1, -0x1.aa6ba8464589fp-1, -0x1.a87a1ecde271bp-1, -0x1.a675214ed7befp-1, -0x1.a45ceb74fca36p-1, -0x1.a231c16aaf184p-1, -0x1.9ff3ef48fd00cp-1, -0x1.9da3c88914f4bp-1, -0x1.9b41a777d38f9p-1, -0x1.98cdecac1c884p-1, -0x1.9648fe8085ecfp-1, -0x1.93b34890cc0bp-1, -0x1.910d3b3b62aafp-1, -0x1.8e574b276562ap-1, -0x1.8b91f0cf17249p-1, -0x1.88bda80f12b2ap-1, -0x1.85daefba3ff68p-1, -0x1.82ea49329467ep-1, -0x1.7fec3806a15cep-1, -0x1.7ce14193e7084p-1, -0x1.79c9ecaddbde5p-1, -0x1.76a6c14999a72p-1, -0x1.7378482e144dep-1, -0x1.703f0aa8c358bp-1, -0x1.6cfb92469d7bcp-1, -0x1.69ae68914a931p-1, -0x1.665816d06944bp-1, -0x1.62f925cec6a59p-1, -0x1.5f921da366ac9p-1, -0x1.5c23857e3a7d7p-1, -0x1.58ade37860b2bp-1, -0x1.5531bc67ce022p-1, -0x1.51af93b63bed5p-1, -0x1.4e27eb3b3a17p-1, -0x1.4a9b431940cffp-1, -0x1.470a199da683ep-1, -0x1.4374eb2351f97p-1, -0x1.3fdc31f81055bp-1, -0x1.3c406644697f5p-1, -0x1.38a1fdf5d9986p-1, -0x1.35016cab4fe47p-1, -0x1.315f23a3d56a7p-1, -0x1.2dbb91af42e9dp-1, -0x1.2a172320e6795p-1, -0x1.267241c404cadp-1, -0x1.22cd54d215c2cp-1, -0x1.1f28c0eaaa91fp-1, -0x1.1b84e80ce083ap-1, -0x1.17e229924dceap-1, -0x1.1440e22b4f1fdp-1, -0x1.10a16bdca40d7p-1, -0x1.0d041dfe4243fp-1, -0x1.09694d3b5076ep-1, -0x1.05d14b9330e68p-1, -0x1.023c685b900a9p-1, -0x1.fd55e086be61dp-2, -0x1.f63a5aad6095ep-2, -0x1.ef26ce06beacbp-2, -0x1.e81bc43cf77f7p-2, -0x1.e119c1d4c98a3p-2, -0x1.da21463b0c4f3p-2, -0x1.d332cbd35e07bp-2, -0x1.cc4ec807deee9p-2, -0x1.c575ab59ee44ap-2, -0x1.bea7e173c56ecp-2, -0x1.b7e5d13aea24bp-2, -0x1.b12fdce357952p-2, -0x1.aa8662034f1acp-2, -0x1.a3e9b9a7c11d5p-2, -0x1.9d5a386937402p-2, -0x1.96d82e81346edp-2, -0x1.9063e7dff61c3p-2, -0x1.89fdac428ec96p-2, -0x1.83a5bf4944472p-2, -0x1.7d5c608e2a38bp-2, -0x1.7721cbbbecf6ep-2, -0x1.70f638a4bbad9p-2, -0x1.6ad9db594b8a9p-2, -0x1.64cce43fec844p-2, -0x1.5ecf802b9e1ffp-2, -0x1.58e1d87322056p-2, -0x1.5304130803236p-2, -0x1.4d36528d87b73p-2, -0x1.4778b66f8880fp-2, -0x1.41cb5af92619dp-2, -0x1.3c2e596b56b57p-2, -0x1.36a1c8134777fp-2, -0x1.3125ba6089e5ep-2, -0x1.2bba40fb0a5aep-2, -0x1.265f69d8cc721p-2, -0x1.2115405363b3bp-2, -0x1.1bdbcd3d2f214p-2, -0x1.16b316f648aa7p-2, -0x1.119b21812c82ap-2, -0x1.0c93ee971702fp-2, -0x1.079d7dbc112f5p-2, -0x1.02b7cc52ab6e5p-2, -0x1.fbc5ab5ed30d4p-3, -0x1.f23d2657ad4e2p-3, -0x1.e8d5f8728d7efp-3, -0x1.df900ce67a807p-3, -0x1.d66b4b6300929p-3, -0x1.cd6798339fdccp-3, -0x1.c484d4628a28ap-3, -0x1.bbc2dddaae0d5p-3, -0x1.b3218f890ce78p-3, -0x1.aaa0c17d59dc6p-3, -0x1.a2404909e8f01p-3, -0x1.99fff8e2e3a29p-3, -0x1.91dfa13cccbeep-3, -0x1.89df0fea4ef7ap-3, -0x1.81fe107958126p-3, -0x1.7a3c6c4f8508ap-3, -0x1.7299eac5d3ae8p-3, -0x1.6b165143b2801p-3, -0x1.63b163595432ap-3, -0x1.5c6ae2d9616c6p-3, -0x1.55428ff1f62a9p-3, -0x1.4e382944f8e87p-3, -0x1.474b6bffd0ce3p-3, -0x1.407c13f266ad2p-3, -0x1.39c9dba593f7ap-3, -0x1.33347c70e2ae8p-3, -0x1.2cbbae8fb35fbp-3, -0x1.265f2935c5b1fp-3, -0x1.201ea2a32701cp-3, -0x1.19f9d037846c8p-3, -0x1.13f06684ead7bp-3, -0x1.0e021961efacdp-3, -0x1.082e9bfb4e9b9p-3, -0x1.0275a0e4ed6ccp-3, -0x1.f9adb454c0957p-4, -0x1.eea3f2bdb2c3bp-4, -0x1.e3cd5f5933af3p-4, -0x1.d9295bc7a8844p-4, -0x1.ceb749123446p-4, -0x1.c47687c674034p-4, -0x1.ba6678115d61fp-4, -0x1.b08679d9170bp-4, -0x1.a6d5ecd5e1d52p-4, -0x1.9d5430aa20c18p-4, -0x1.9400a4f97022bp-4, -0x1.8adaa97ee29dfp-4, -0x1.81e19e225de0ap-4, -0x1.7914e30d2385dp-4, -0x1.7073d8bd85d22p-4, -0x1.67fde019cf239p-4, -0x1.5fb25a8262687p-4, -0x1.5790a9e315dadp-4, -0x1.4f9830c3d016ap-4, -0x1.47c852586a5b9p-4, -0x1.4020728fde236p-4, -0x1.389ff622bfa12p-4, -0x1.314642a10dc8ap-4, -0x1.2a12be7f58ec9p-4, -0x1.2304d1234647bp-4, -0x1.1c1be2ef736fep-4, -0x1.15575d4ec0342p-4, -0x1.0eb6aabeffc7cp-4, -0x1.083936db1924fp-4, -0x1.01de6e64964c5p-4, -0x1.f74b7e9959e07p-5, -0x1.eb1d3179784afp-5, -0x1.df30d63c93a9fp-5, -0x1.d385504503607p-5, -0x1.c81985926f312p-5, -0x1.bcec5ecee79c5p-5, -0x1.b1fcc75b14f81p-5, -0x1.a749ad5988851p-5, -0x1.9cd201b9319c8p-5, -0x1.9294b83f0292ep-5, -0x1.8890c78ec821ap-5, -0x1.7ec529333e3ep-5, -0x1.7530d9a562b8fp-5, -0x1.6bd2d85313059p-5, -0x1.62aa27a4f6e8fp-5, -0x1.59b5cd03bdb4cp-5, -0x1.50f4d0dcb7e62p-5, -0x1.48663ea5d053dp-5, -0x1.400924e0e707fp-5, -0x1.37dc951e9d9a6p-5, -0x1.2fdfa4009079ap-5, -0x1.2811693b03d03p-5, -0x1.2070ff9612cedp-5, -0x1.18fd84ee5780ep-5, -0x1.11b61a351d1c9p-5, -0x1.0a99e37017e2p-5, -0x1.03a807b8b2051p-5, -0x1.f9bf6275ca5d4p-6, -0x1.ec801a6760241p-6, -0x1.df9097de4f77ep-6, -0x1.d2ef418c53c35p-6, -0x1.c69a84376061ep-6, -0x1.ba90d2b3a3fe9p-6, -0x1.aed0a5dcdf8adp-6, -0x1.a3587c8f1e2d5p-6, -0x1.9826db9ed74dcp-6, -0x1.8d3a4dd07ef6ep-6, -0x1.829163cf93561p-6, -0x1.782ab4251c155p-6, -0x1.6e04db2dbebfcp-6, -0x1.641e7b0f4cbe6p-6, -0x1.5a763badf3bdfp-6, -0x1.510acaa0f7dc3p-6, -0x1.47dadb2713c34p-6, -0x1.3ee5261a7b2d7p-6, -0x1.362869e4813a4p-6, -0x1.2da36a70f2c41p-6, -0x1.2554f12121e54p-6, -0x1.1d3bccbeac87fp-6, -0x1.1556d16dfdfeap-6, -0x1.0da4d8a091fdp-6, -0x1.0624c10702151p-6, -0x1.fdaadd05be444p-7, -0x1.ef6b9430b011fp-7, -0x1.e18983bf62a5ap-7, -0x1.d40291ed3e73dp-7, -0x1.c6d4aee2e3f1ap-7, -0x1.b9fdd49846472p-7, -0x1.ad7c06b69bc89p-7, -0x1.a14d527a0540bp-7, -0x1.956fce932457fp-7, -0x1.89e19b0865fb7p-7, -0x1.7ea0e11767824p-7, -0x1.73abd31601bfcp-7, -0x1.6900ac537a15ap-7, -0x1.5e9db0f97599ap-7, -0x1.54812ded1673cp-7, -0x1.4aa978afe0f0bp-7, -0x1.4114ef40cd55ep-7, -0x1.37c1f7fd48f5ep-7, -0x1.2eaf01824d5d3p-7, -0x1.25da828d8080fp-7, -0x1.1d42f9de65656p-7, -0x1.14e6ee17b1a3p-7, -0x1.0cc4eda0b4605p-7, -0x1.04db8e86d70c1p-7, -0x1.fa52dcbe9be3p-8, -0x1.eb5a6451cf3e7p-8, -0x1.dccb0c5bfbe1p-8, -0x1.cea23bcd3bacp-8, -0x1.c0dd67b5b57edp-8, -0x1.b37a130a9bdc3p-8, -0x1.a675ce6b9b4ep-8, -0x1.99ce37e8b17f6p-8, -0x1.8d80fac87ad5bp-8, -0x1.818bcf4ee757fp-8, -0x1.75ec7a8472c09p-8, -0x1.6aa0cdfddb80ap-8, -0x1.5fa6a7a44e93ep-8, -0x1.54fbf17e1bd84p-8, -0x1.4a9ea177ecffdp-8, -0x1.408cb92e93f27p-8, -0x1.36c445b9542fdp-8, -0x1.2d435f74b22dap-8, -0x1.240829cdf7221p-8, -0x1.1b10d30f1f347p-8, -0x1.125b942b7240ap-8, -0x1.09e6b08cacb7ep-8, -0x1.01b075e0bfa8cp-8, -0x1.f36e77d0560d1p-9, -0x1.e3f2c889dd0e8p-9, -0x1.d4eab49435e5fp-9, -0x1.c6532597eb114p-9, -0x1.b82917e194ed7p-9, -0x1.aa699a0490d06p-9, -0x1.9d11cc7f05f6ap-9, -0x1.901ee15f38d5dp-9, -0x1.838e1be9f909p-9, -0x1.775cd04264f25p-9, -0x1.6b886312e02c2p-9, -0x1.600e49375bbf2p-9, -0x1.54ec0768c1f38p-9, -0x1.4a1f31e9b0878p-9, -0x1.3fa56c345e627p-9, -0x1.357c68a9d78e3p-9, -0x1.2ba1e8425f0cbp-9, -0x1.2213ba3f14efcp-9, -0x1.18cfbbdcceafap-9, -0x1.0fd3d8082911ap-9, -0x1.071e0712cbbd5p-9, -0x1.fd589cd3e1082p-10, -0x1.ecf9809c14a6ap-10, -0x1.dd1af7174b6dfp-10, -0x1.cdb9566af3d4ap-10, -0x1.bed10cbf3206ep-10, -0x1.b05e9fb7affd7p-10, -0x1.a25eabeeae09ep-10, -0x1.94cde47282032p-10, -0x1.87a91245267d1p-10, -0x1.7aed13de11387p-10, -0x1.6e96dcae77111p-10, -0x1.62a374a77ad11p-10, -0x1.570ff7c2f8cccp-10, -0x1.4bd9958e08781p-10, -0x1.40fd90b5e039p-10, -0x1.36793e96d9092p-10, -0x1.2c4a06cd701fdp-10, -0x1.226d62c96cec1p-10, -0x1.18e0dd633a025p-10, -0x1.0fa212730606cp-10, -0x1.06aeae69f4a45p-10, -0x1.fc08dbdabbf77p-11, -0x1.eb423ae81c0a8p-11, -0x1.db0531ca590bcp-11, -0x1.cb4d96731a38ap-11, -0x1.bc175c3cb5105p-11, -0x1.ad5e9333ad35dp-11, -0x1.9f1f676417d7p-11, -0x1.9156202a15028p-11, -0x1.83ff1f864667fp-11, -0x1.7716e175abf6dp-11, -0x1.6a99fb4d0776bp-11, -0x1.5e851b176e255p-11, -0x1.52d506f83cd33p-11, -0x1.47869c908e3e6p-11, -0x1.3c96d067e093bp-11, -0x1.3202ad57d43fap-11, -0x1.27c753fb7b2cbp-11, -0x1.1de1fa210464p-11, -0x1.144fea3f1cdp-11, -0x1.0b0e82ecf75dap-11, -0x1.021b365d7c624p-11, -0x1.f2e713ba9a5f5p-12, -0x1.e22a2aa7660fp-12, -0x1.d1fb058cef41p-12, -0x1.c2551bc039104p-12, -0x1.b33406f218269p-12, -0x1.a493824726747p-12, -0x1.966f6974b9166p-12, -0x1.88c3b7e2d7f32p-12, -0x1.7b8c87d3e55d9p-12, -0x1.6ec611907592p-12, -0x1.626caa981caa8p-12, -0x1.567cc4d7b5a54p-12, -0x1.4af2ede3a8a29p-12, -0x1.3fcbce370fbbap-12, -0x1.35042877c6275p-12, -0x1.2a98d8be78645p-12, -0x1.2086d3e308b9p-12, -0x1.16cb26cd60ce4p-12, -0x1.0d62f5ca63d5ep-12, -0x1.044b7be504636p-12, -0x1.f704148705d68p-13, -0x1.e6080f115274p-13, -0x1.d59dde716e715p-13, -0x1.c5c0a244849b5p-13, -0x1.b66ba194bb1f2p-13, -0x1.a79a49b9b5b73p-13, -0x1.99482d40c2832p-13, -0x1.8b7102da560f8p-13, -0x1.7e10a44fd8aa9p-13, -0x1.71230d803fea4p-13, -0x1.64a45b61ff7d1p-13, -0x1.5890cb0c41918p-13, -0x1.4ce4b8c5cfb4fp-13, -0x1.419c9f1b3a46ep-13, -0x1.36b515f9b3499p-13, -0x1.2c2ad1d11ec52p-13, -0x1.21faa2bb36e86p-13, -0x1.182173a898785p-13, -0x1.0e9c49928f38cp-13, -0x1.056842b37794p-13, -0x1.f9052b861cb9ep-14, -0x1.e7d12272ec7c2p-14, -0x1.d72f352c54b7ap-14, -0x1.c71a5b5805cedp-14, -0x1.b78db7e6aaafbp-14, -0x1.a88497bd2116fp-14, -0x1.99fa706b22088p-14, -0x1.8beadee6e8c3cp-14, -0x1.7e51a654d6a69p-14, -0x1.712aaed721916p-14, -0x1.647204646786dp-14, -0x1.5823d5a7e2a9bp-14, -0x1.4c3c72ea5f7b6p-14, -0x1.40b84cffd9ad2p-14, -0x1.3593f4407ffe6p-14, -0x1.2acc1784e7fabp-14, -0x1.205d832e1afbp-14, -0x1.164520316e7d9p-14, -0x1.0c7ff32cd7397p-14, -0x1.030b1b81080b1p-14, -0x1.f3c7a4e89c87cp-15, -0x1.e20ed4b0b496ep-15, -0x1.d0e69b7368aa2p-15, -0x1.c049fd234fe4ap-15, -0x1.b0342b032136bp-15, -0x1.a0a0822550cb5p-15, -0x1.918a89f5c8b0ap-15, -0x1.82edf2cf5ab2cp-15, -0x1.74c6949f7f762p-15, -0x1.67106d8dde05cp-15, -0x1.59c7a0b43073p-15, -0x1.4ce874dab3d43p-15, -0x1.406f5342251d6p-15, -0x1.3458c675a444fp-15, -0x1.28a179278d54ap-15, -0x1.1d4635137b035p-15, -0x1.1243e1ecf4436p-15, -0x1.0797845627619p-15, -0x1.fa7c79b7411f3p-16, -0x1.e66a8df6019bfp-16, -0x1.d2f3f05fd13eap-16, -0x1.c0137e10e9729p-16, -0x1.adc44487315fap-16, -0x1.9c017fe817afap-16, -0x1.8ac6995399571p-16, -0x1.7a0f254da83a1p-16, -0x1.69d6e2295e43fp-16, -0x1.5a19b68947c4fp-16, -0x1.4ad3afe686f9ep-16, -0x1.3c010126cfe47p-16, -0x1.2d9e013ceb182p-16, -0x1.1fa729da0c215p-16, -0x1.12191621c9a9ap-16, -0x1.04f0816d19e1ep-16, -0x1.f0548c39c52dap-17, -0x1.d786b8da8ab04p-17, -0x1.bf71b2b367642p-17, -0x1.a80fdb0efdc76p-17, -0x1.915bc87111362p-17, -0x1.7b504492b40d6p-17, -0x1.65e84a74d09dcp-17, -0x1.511f047a8df8p-17, -0x1.3cefca95251fap-17, -0x1.2956208a2a115p-17, -0x1.164db44051b7dp-17, -0x1.03d25c1838d74p-17, -0x1.e3c02ac22ec15p-18, -0x1.c0e60590f18fap-18, -0x1.9f0ed5cff201ep-18, -0x1.7e336db4dbe1dp-18, -0x1.5e4ce1c2b07c6p-18, -0x1.3f54861e90fb3p-18, -0x1.2143ec088e624p-18, -0x1.0414df7a92b1dp-18, -0x1.cf82c975cd431p-19, -0x1.98876c3b3bc4cp-19, -0x1.632c83b8c0fe1p-19, -0x1.2f674fd7948a5p-19, -0x1.fa5ae001e1cc7p-20, -0x1.98e9be6355b26p-20, -0x1.3a67e084f1cbcp-20, -0x1.bd8528f9789cbp-21, -0x1.0bcf93ba694b4p-21, -0x1.7e305a1cb8f9cp-23, 0x1.1d9c42ed42fffp-23, 0x1.d2550f4bd5a57p-22, 0x1.85dde30bb67a5p-21, 0x1.0ecfd9576930bp-20, 0x1.5846c5ef47696p-20, 0x1.9f620a1c3a358p-20, 0x1.e42f85bff86c3p-20, 0x1.135e55633ac9p-19, 0x1.338b40dde9cb7p-19, 0x1.52a4d7142ea9cp-19, 0x1.70b139782302cp-19, 0x1.8db65b3c3bae4p-19, 0x1.a9ba033f030c4p-19, 0x1.c4c1cdf505028p-19, 0x1.ded32f371e6ap-19, 0x1.f7f373f94102fp-19, 0x1.0813e1fb2331cp-18, 0x1.13ba919f4dbbp-18, 0x1.1ef039e205563p-18, 0x1.29b73b5fd5a8ep-18, 0x1.3411e70f2920ap-18, 0x1.3e027ee8d95c3p-18, 0x1.478b368de5346p-18, 0x1.50ae33de68f85p-18, 0x1.596d8f9007fcap-18, 0x1.61cb55bacbb49p-18, 0x1.69c98660e1095p-18, 0x1.716a15ed33db9p-18, 0x1.78aeedb041acdp-18, 0x1.7f99ec530a322p-18, 0x1.862ce6456c3f5p-18, 0x1.8c69a62bfaa68p-18, 0x1.9251ed44a8eap-18, 0x1.97e773c5ab41ep-18, 0x1.9d2be93b7f9cp-18, 0x1.a220f4dd33f12p-18, 0x1.a6c835e355b09p-18, 0x1.ab2343d422e03p-18, 0x1.af33aecefebc5p-18, 0x1.b2faffd4b29cep-18, 0x1.b67ab9087a2e4p-18, 0x1.b9b455ee9b08cp-18, 0x1.bca94bac6c101p-18, 0x1.bf5b09443c2bdp-18, 0x1.c1caf7c6c1e6p-18, 0x1.c3fa7a89c500ep-18, 0x1.c5eaef58f59cp-18, 0x1.c79daea392816p-18, 0x1.c9140ba6d157dp-18, 0x1.ca4f5499d8ea3p-18, 0x1.cb50d2d34624bp-18, 0x1.cc19caee72d03p-18, 0x1.ccab7cec3a83cp-18, 0x1.cd072453a5fp-18, 0x1.cd2df8553f407p-18, 0x1.cd212be53d723p-18, 0x1.cce1edd441098p-18, 0x1.cc7168ef080fbp-18, 0x1.cbd0c4116d18bp-18, 0x1.cb0122404ede3p-18, 0x1.ca03a2bb5bba7p-18, 0x1.c8d96115bb0e6p-18, 0x1.c783754562f42p-18, 0x1.c602f3b5b9983p-18, 0x1.c458ed573b56ap-18, 0x1.c2866faeeefb1p-18, 0x1.c08c84e65b213p-18, 0x1.be6c33d873178p-18, 0x1.bc26801c879bp-18, 0x1.b9bc6a15629b2p-18, 0x1.b72eeef91d04bp-18, 0x1.b47f08dc635e8p-18, 0x1.b1adaebc2601fp-18, 0x1.aebbd48621e46p-18, }}, 
      std::vector<double>(550, 0.0), 
      {{-0x1.d33cb5c281e6dp-10, -0x1.d419c51434551p-9, -0x1.603ad679c71f7p-8, -0x1.d7f85f500653ep-8, -0x1.2902a6a529eefp-7, -0x1.679fed2e098b8p-7, -0x1.a84fcf2f7722ep-7, -0x1.eb9773c8d57c8p-7, -0x1.1900db06ee6dfp-6, -0x1.3e0dbea844672p-6, -0x1.65382598f5bf3p-6, -0x1.8ec390693fcd4p-6, -0x1.baefe6baccabp-6, -0x1.e9f857247a8d9p-6, -0x1.0e0937e86501ep-5, -0x1.28b6b6c2d2e6p-5, -0x1.4518de975c327p-5, -0x1.6340558adb075p-5, -0x1.833a1d3fa938bp-5, -0x1.a50f9022a24d6p-5, -0x1.c8c66d919e004p-5, -0x1.ee60f2594a74bp-5, -0x1.0aeefd9bd6da3p-4, -0x1.1f9c97a3b0825p-4, -0x1.35359838a4cd1p-4, -0x1.4bb4e81e5c02ap-4, -0x1.631423c705cf9p-4, -0x1.7b4bb80c9ad7p-4, -0x1.9452ff3f55762p-4, -0x1.ae205e1b0f92cp-4, -0x1.c8a9604950606p-4, -0x1.e3e2d4279cff2p-4, -0x1.ffc0e5993fd5ep-4, -0x1.0e1b9bdc90f31p-3, -0x1.1c9c7ea606122p-3, -0x1.2b5c87ee9b982p-3, -0x1.3a5502bbc4727p-3, -0x1.497f227a38844p-3, -0x1.58d40c6f8a8dp-3, -0x1.684ce07774f59p-3, -0x1.77e2c110290f2p-3, -0x1.878edaba6f576p-3, -0x1.974a6ab34f8afp-3, -0x1.a70ec50dd257dp-3, -0x1.b6d55a33fddf2p-3, -0x1.c697bbd671109p-3, -0x1.d64fa15244c3bp-3, -0x1.e5f6eb94e400cp-3, -0x1.f587a88585008p-3, -0x1.027e0afde7b1ap-2, -0x1.0a275225848ddp-2, -0x1.11bcfc34825f6p-2, -0x1.193c76dbd3d3bp-2, -0x1.20a34bbbdb61p-2, -0x1.27ef20f5a547ep-2, -0x1.2f1db996f97cdp-2, -0x1.362cf5e42e0ffp-2, -0x1.3d1ad38272499p-2, -0x1.43e56d853594bp-2, -0x1.4a8afc6113b3dp-2, -0x1.5109d5c6a52edp-2, -0x1.57606c675a2b3p-2, -0x1.5d8d4fa67a72p-2, -0x1.638f2b38309f2p-2, -0x1.6964c6b07efbep-2, -0x1.6f0d0503cc968p-2, -0x1.7486e3faa6afap-2, -0x1.79d17b9a401d1p-2, -0x1.7eebfd830852cp-2, -0x1.83d5b446b9077p-2, -0x1.888e02b70a5dap-2, -0x1.8d14632e38318p-2, -0x1.916866d266246p-2, -0x1.9589b4d4ddf89p-2, -0x1.997809ae162bfp-2, -0x1.9d33365755aefp-2, -0x1.a0bb1f82bf07bp-2, -0x1.a40fbcd27c79bp-2, -0x1.a731180fb21fep-2, -0x1.aa1f4c61d36cp-2, -0x1.acda8586eef06p-2, -0x1.af62ff0d66c26p-2, -0x1.b1b9038f94913p-2, -0x1.b3dcebf1be97ap-2, -0x1.b5cf1ea2ba353p-2, -0x1.b7900edf9a4e1p-2, -0x1.b9203bfaa8551p-2, -0x1.ba8030a5f648ep-2, -0x1.bbb08241bedc8p-2, -0x1.bcb1d02ec65e3p-2, -0x1.bd84c324e9394p-2, -0x1.be2a0c8dfc939p-2, -0x1.bea265e523554p-2, -0x1.beee901aa53c4p-2, -0x1.bf0f52fc6ced6p-2, -0x1.bf057ca3290e6p-2, -0x1.bed1e0e428986p-2, -0x1.be7558c7ef4edp-2, -0x1.bdf0c20588841p-2, -0x1.bd44fe8295f75p-2, -0x1.bc72f3d813531p-2, -0x1.bb7b8adbc904p-2, -0x1.ba5faf2e63dacp-2, -0x1.b9204ece23661p-2, -0x1.b7be59ae100fdp-2, -0x1.b63ac151aa7b1p-2, -0x1.b496786cfe24dp-2, -0x1.b2d272890701bp-2, -0x1.b0efa3ac5025bp-2, -0x1.aeef0007babffp-2, -0x1.acd17ba751b52p-2, -0x1.aa980a27136a1p-2, -0x1.a8439e6b99ff2p-2, -0x1.a5d52a5e8728bp-2, -0x1.a34d9eae98cfbp-2, -0x1.a0adea9351cf4p-2, -0x1.9df6fb9414114p-2, -0x1.9b29bd529df55p-2, -0x1.98471958c21d7p-2, -0x1.954ff6e94b1afp-2, -0x1.92453ad3ec33dp-2, -0x1.8f27c74c25bd2p-2, -0x1.8bf87bc301569p-2, -0x1.88b834c392abbp-2, -0x1.8567cbd21adebp-2, -0x1.8208174dbe565p-2, -0x1.7e99ea54af777p-2, -0x1.7b1e14aab76bbp-2, -0x1.779562a206161p-2, -0x1.74009d0632c85p-2, -0x1.7060890954a6cp-2, -0x1.6cb5e8331eefdp-2, -0x1.69017851ec0bbp-2, -0x1.6543f36d9fa3ep-2, -0x1.617e0fbc4f7c8p-2, -0x1.5db07f9898ac6p-2, -0x1.59dbf1799473p-2, -0x1.56010fec57ff9p-2, -0x1.5220818ee76acp-2, -0x1.4e3ae90c93163p-2, -0x1.4a50e51ba5effp-2, -0x1.4663107c592a9p-2, -0x1.427201f8fa1p-2, -0x1.3e7e4c6734bd3p-2, -0x1.3a887eaa6f1acp-2, -0x1.369123b7301e1p-2, -0x1.3298c2977569bp-2, -0x1.2e9fde6ffad25p-2, -0x1.2aa6f68654ff2p-2, -0x1.26ae8647e38b1p-2, -0x1.22b705517ef22p-2, -0x1.1ec0e777df365p-2, -0x1.1acc9cd0aeec3p-2, -0x1.16da91bc3ad9p-2, -0x1.12eb2eefb94cbp-2, -0x1.0efed98019624p-2, -0x1.0b15f2ed55c01p-2, -0x1.0730d92e3b03fp-2, -0x1.034fe6bc9f367p-2, -0x1.fee6e543f4e1ap-3, -0x1.f737a108bec65p-3, -0x1.ef92a1678b51bp-3, -0x1.e7f8806f4308cp-3, -0x1.e069d1b97f8ep-3, -0x1.d8e72286bf765p-3, -0x1.d170f9db0812p-3, -0x1.ca07d89ae4729p-3, -0x1.c2ac39a8bb857p-3, -0x1.bb5e92026babep-3, -0x1.b41f50df23042p-3, -0x1.aceedfcd65706p-3, -0x1.a5cda2d13f796p-3, -0x1.9ebbf8828c8b6p-3, -0x1.97ba3a2b5958cp-3, -0x1.90c8bbe648dfep-3, -0x1.89e7ccbcfa52ap-3, -0x1.8317b6c66efdcp-3, -0x1.7c58bf45578edp-3, -0x1.75ab26c65266cp-3, -0x1.6f0f293e087eep-3, -0x1.6884fe27247bep-3, -0x1.620cd8a02690ep-3, -0x1.5ba6e788ff366p-3, -0x1.555355a07a613p-3, -0x1.4f1249a16d26dp-3, -0x1.48e3e65fa1696p-3, -0x1.42c84ae483f0fp-3, -0x1.3cbf928b7e139p-3, -0x1.36c9d51e0e45dp-3, -0x1.30e726ef86124p-3, -0x1.2b1798f87c6aep-3, -0x1.255b38f1e1dc9p-3, -0x1.1fb2116fbccccp-3, -0x1.1a1c29fb88797p-3, -0x1.1499872e34193p-3, -0x1.0f2a2ac9c139p-3, -0x1.09ce13d27c116p-3, -0x1.04853ea7cc101p-3, -0x1.fe9f4a39457dep-4, -0x1.f45a7d1efb317p-4, -0x1.ea3c0003f3d36p-4, -0x1.e043b86008d4dp-4, -0x1.d671874d2d01bp-4, -0x1.ccc549b415a9fp-4, -0x1.c33ed877f64c5p-4, -0x1.b9de08a173b48p-4, -0x1.b0a2ab88b2659p-4, -0x1.a78c8efe75c45p-4, -0x1.9e9b7d747876ap-4, -0x1.95cf3e24d87f5p-4, -0x1.8d279538a8546p-4, -0x1.84a443ed9b9c7p-4, -0x1.7c4508badeb4ap-4, -0x1.74099f750b73p-4, -0x1.6bf1c17144d26p-4, -0x1.63fd25a773331p-4, -0x1.5c2b80d3ae069p-4, -0x1.547c8596c6979p-4, -0x1.4cefe496014b5p-4, -0x1.45854c99f6aeap-4, -0x1.3e3c6aaca4373p-4, -0x1.3714ea36aacbbp-4, -0x1.300e751bbf4abp-4, -0x1.2928b3d64ea53p-4, -0x1.22634d9257aa4p-4, -0x1.1bbde8477d80ap-4, -0x1.153828d254644p-4, -0x1.0ed1b30cecdf9p-4, -0x1.088a29e69ddbbp-4, -0x1.02612f7b13af8p-4, -0x1.f8acca5141aaap-5, -0x1.ecd2d74bb9e5p-5, -0x1.e133c62d14322p-5, -0x1.d5ced63f94947p-5, -0x1.caa345f75014fp-5, -0x1.bfb05317ddb9fp-5, -0x1.b4f53ad8c045fp-5, -0x1.aa713a087d7e4p-5, -0x1.a0238d2e7380dp-5, -0x1.960b70ab7009ap-5, -0x1.8c2820d90c1d2p-5, -0x1.8278da27d5f28p-5, -0x1.78fcd93c5350dp-5, -0x1.6fb35b0ad881bp-5, -0x1.669b9cf23f747p-5, -0x1.5db4dcd58a55p-5, -0x1.54fe593470e21p-5, -0x1.4c775142daf8ap-5, -0x1.441f04ff5f34bp-5, -0x1.3bf4b548b684ap-5, -0x1.33f7a3f23dab7p-5, -0x1.2c2713d776446p-5, -0x1.248248eeac93cp-5, -0x1.1d08885a9de76p-5, -0x1.15b9187b4f60cp-5, -0x1.0e9340fdfa6b1p-5, -0x1.07964aec2e87fp-5, -0x1.00c180ba14646p-5, -0x1.f4285ca7e0f11p-6, -0x1.e71b4255b4936p-6, -0x1.da5a50816c0f5p-6, -0x1.cde42866de39ep-6, -0x1.c1b76e8eff502p-6, -0x1.b5d2cae396683p-6, -0x1.aa34e8c191a0cp-6, -0x1.9edc770a0f96p-6, -0x1.93c8283233363p-6, -0x1.88f6b251b3e4fp-6, -0x1.7e66cf30407p-6, -0x1.74173c51c7d73p-6, -0x1.6a06bb019e0bap-6, -0x1.6034105c96b16p-6, -0x1.569e055a0ed8dp-6, -0x1.4d4366d401d5cp-6, -0x1.4423058e2447ep-6, -0x1.3b3bb63c0d114p-6, -0x1.328c51867f3b7p-6, -0x1.2a13b40fd84f8p-6, -0x1.21d0be77a3d58p-6, -0x1.19c2555d67aeep-6, -0x1.11e76162a67bep-6, -0x1.0a3ecf2c2d27bp-6, -0x1.02c78f62a816fp-6, -0x1.f7012d64f77f8p-7, -0x1.e8d1bb961e393p-7, -0x1.dafec2bacc65ep-7, -0x1.cd8644343c8bfp-7, -0x1.c066495dd2851p-7, -0x1.b39ce386d174fp-7, -0x1.a7282beb2dc12p-7, -0x1.9b0643ab31db8p-7, -0x1.8f3553c25c9b9p-7, -0x1.83b38cfd2a57fp-7, -0x1.787f27ee33b3dp-7, -0x1.6d9664e2453fep-7, -0x1.62f78bd3d540ep-7, -0x1.58a0ec5db73f8p-7, -0x1.4e90ddad0385ap-7, -0x1.44c5be7272b7ap-7, -0x1.3b3df4d30d4ep-7, -0x1.31f7ee5849416p-7, -0x1.28f21fdf95108p-7, -0x1.202b0589616fep-7, -0x1.17a122a7a9c67p-7, -0x1.0f5301ac15eep-7, -0x1.073f34159be0ep-7, -0x1.fec8a4bbb41a5p-8, -0x1.ef81f7cbe95cap-8, -0x1.e0a7adc65cf1ep-8, -0x1.d237209660fb9p-8, -0x1.c42db7801954fp-8, -0x1.b688e6f7fa51fp-8, -0x1.a9463079c2598p-8, -0x1.9c63225f2421p-8, -0x1.8fdd57b5eaa33p-8, -0x1.83b27815f3ff6p-8, -0x1.77e03776be499p-8, -0x1.6c645604e960fp-8, -0x1.613c9ff751c0bp-8, -0x1.5666ed63f275ap-8, -0x1.4be12214f4f4cp-8, -0x1.41a92d5d46818p-8, -0x1.37bd09ed809c2p-8, -0x1.2e1abda8806p-8, -0x1.24c0597800fa7p-8, -0x1.1babf9216b548p-8, -0x1.12dbc31a85ee1p-8, -0x1.0a4de85e46c8p-8, -0x1.0200a441e8dc3p-8, -0x1.f3e47893daa2dp-9, -0x1.e441fffe8b8f2p-9, -0x1.d5169189b28cdp-9, -0x1.c65ef35a2bae1p-9, -0x1.b817fe9f659e4p-9, -0x1.aa3e9f3fe41cdp-9, -0x1.9ccfd385b1042p-9, -0x1.8fc8abcb6b812p-9, -0x1.83264a2a5c801p-9, -0x1.76e5e22889693p-9, -0x1.6b04b867dfc6ap-9, -0x1.5f802255ea46bp-9, -0x1.545585dc55786p-9, -0x1.49825911c628dp-9, -0x1.3f0421ebc4292p-9, -0x1.34d875f14a061p-9, -0x1.2afcf9ee2bcbap-9, -0x1.216f61a72b2c5p-9, -0x1.182d6f8f3e77p-9, -0x1.0f34f47cf8c37p-9, -0x1.0683cf61609a4p-9, -0x1.fc2fd9fe9ff14p-10, -0x1.ebde8f47c8773p-10, -0x1.dc0fcdbf5d263p-10, -0x1.ccbfbe81abecp-10, -0x1.bdeaa41c9afe6p-10, -0x1.af8cda06ddfdp-10, -0x1.a1a2d419c6bd5p-10, -0x1.94291e0ce293bp-10, -0x1.871c5af33cb31p-10, -0x1.7a7944ba50e5p-10, -0x1.6e3cababa1ccp-10, -0x1.626375ef4fda6p-10, -0x1.56ea9f106f449p-10, -0x1.4bcf378415c18p-10, -0x1.410e6431a5ccbp-10, -0x1.36a55dfd17efep-10, -0x1.2c917153228eep-10, -0x1.22cffdb7a229cp-10, -0x1.195e75552e3bep-10, -0x1.103a5c8ec1883p-10, -0x1.076149935acc5p-10, -0x1.fda1c7e6ed902p-11, -0x1.ed0dc87059fb9p-11, -0x1.dd0226f88f541p-11, -0x1.cd7a960eafb46p-11, -0x1.be72e7d48a1abp-11, -0x1.afe70d3ac48f9p-11, -0x1.a1d315415d57cp-11, -0x1.94332c3c6f976p-11, -0x1.87039b1a7363bp-11, -0x1.7a40c6af5fcd7p-11, -0x1.6de72f03b1cb2p-11, -0x1.61f36ea5600ddp-11, -0x1.566239fcd98a5p-11, -0x1.4b305ea50164dp-11, -0x1.405ac2c76b9bap-11, -0x1.35de647aae788p-11, -0x1.2bb8592493796p-11, -0x1.21e5ccdfb753fp-11, -0x1.186401e3b891ap-11, -0x1.0f304ff0e33c6p-11, -0x1.064823be5fe27p-11, -0x1.fb51fcd74b95cp-12, -0x1.eaa0e9ebcbb4ep-12, -0x1.da785f5dd4bd1p-12, -0x1.cad3d36ef22bdp-12, -0x1.bbaee0fb67fc8p-12, -0x1.ad054678ad9d6p-12, -0x1.9ed2e4fccf43ap-12, -0x1.9113bf47eed55p-12, -0x1.83c3f8d659aep-12, -0x1.76dfd4f75b35bp-12, -0x1.6a63b5e7a0584p-12, -0x1.5e4c1bf28ac28p-12, -0x1.5295a4989768bp-12, -0x1.473d09b9a93f6p-12, -0x1.3c3f20c55fd77p-12, -0x1.3198d9ee1110cp-12, -0x1.27473f63cc7f6p-12, -0x1.1d47749275a5p-12, -0x1.1396b563bc82p-12, -0x1.0a325586dcaf5p-12, -0x1.0117bfbd2e005p-12, -0x1.f088ea5265b73p-13, -0x1.df6c194947b4ep-13, -0x1.ced4642d2942fp-13, -0x1.bebd4ba3a61c2p-13, -0x1.af2277ecdf606p-13, -0x1.9fffb7ab205e2p-13, -0x1.9150feb48fd0bp-13, -0x1.831264efb83cep-13, -0x1.75402530d1f4cp-13, -0x1.67d69c2534b4fp-13, -0x1.5ad24741044f7p-13, -0x1.4e2fc3b4d82c1p-13, -0x1.41ebcd6d4882ep-13, -0x1.36033e183427ep-13, -0x1.2a730c2d9b463p-13, -0x1.1f384a02a0aebp-13, -0x1.145024e34386ap-13, -0x1.09b7e42ee16e8p-13, -0x1.fed9d0fba93f8p-14, -0x1.ead95596f715fp-14, -0x1.d769774ad1d59p-14, -0x1.c48584c9649edp-14, -0x1.b228f8d07788p-14, -0x1.a04f78aaf3128p-14, -0x1.8ef4d2c285c96p-14, -0x1.7e14fd34e34f1p-14, -0x1.6dac147910ddcp-14, -0x1.5db65a09c865fp-14, -0x1.4e30331b3e687p-14, -0x1.3f16275a899f9p-14, -0x1.3064dfbb91308p-14, -0x1.22192547bd3d8p-14, -0x1.142fdff996b0dp-14, -0x1.06a615a46db21p-14, -0x1.f2f1d1bbd03aap-15, -0x1.d94b2feaf9b1dp-15, -0x1.c052f7e39842bp-15, -0x1.a8040f24e42c6p-15, -0x1.90598cbd38bd6p-15, -0x1.794eb7762b62bp-15, -0x1.62df040cc6327p-15, -0x1.4d061370d4e93p-15, -0x1.37bfb120cffffp-15, -0x1.2307d189a9ca3p-15, -0x1.0eda906f6b586p-15, -0x1.f6685eed9fe19p-16, -0x1.d022293e9a749p-16, -0x1.aadb91ba27687p-16, -0x1.868ded70767a5p-16, -0x1.6332d1ff607bcp-16, -0x1.40c412f2bbe3ep-16, -0x1.1f3bbf4bf1ceap-16, -0x1.fd283e5678b4bp-17, -0x1.bd8f62dd4f21bp-17, -0x1.7fa252ed0f79fp-17, -0x1.4356da202158ap-17, -0x1.08a3248ddf9fbp-17, -0x1.9efb75bdcc5e1p-18, -0x1.2fbafcba7a2b3p-18, -0x1.86e6956550075p-19, -0x1.684dbb402f34dp-20, 0x1.8e9d836a8dee6p-23, 0x1.c0d6184a95b19p-20, 0x1.a27b2146c87a2p-19, 0x1.2f9bb51606744p-18, 0x1.8b5e1a462216p-18, 0x1.e4926a8b5b5c5p-18, 0x1.1da2eca013e23p-17, 0x1.47c29410dcb8dp-17, 0x1.70ae5623f008dp-17, 0x1.986c299c9ff5fp-17, 0x1.bf01d3d66ff91p-17, 0x1.e474eafd98106p-17, 0x1.04656c22f9fep-16, 0x1.16046d067c844p-16, 0x1.271a02ec41ed9p-16, 0x1.37a8a51ee3e12p-16, 0x1.47b2b8670af86p-16, 0x1.573a8fea499fbp-16, 0x1.66426e08193a2p-16, 0x1.74cc85219a856p-16, 0x1.82daf86ca0397p-16, 0x1.906fdcad7fda5p-16, 0x1.9d8d38f0c447p-16, 0x1.aa3507375425ap-16, 0x1.b66935215355cp-16, 0x1.c22ba48cf8514p-16, 0x1.cd7e2c2cc3defp-16, 0x1.d862981edbe1ap-16, 0x1.e2daaa74ffe2p-16, 0x1.ece81bb90b9c7p-16, 0x1.f68c9b679068cp-16, 0x1.ffc9d06cac363p-16, 0x1.0450acc9c92edp-15, 0x1.088a66fba7ac4p-15, 0x1.0c92deb31cfd4p-15, 0x1.106ad8614f73fp-15, 0x1.141315334ef2dp-15, 0x1.178c533a708acp-15, 0x1.1ad74d9886024p-15, 0x1.1df4bca7142d4p-15, 0x1.20e5561bfd824p-15, 0x1.23a9cd2de2d38p-15, 0x1.2642d2b35ca85p-15, 0x1.28b1154416a72p-15, 0x1.2af54155cde08p-15, 0x1.2d10015b438a6p-15, 0x1.2f01fdd84838ep-15, 0x1.30cbdd8026697p-15, 0x1.326e4549e64c3p-15, 0x1.33e9d886767fep-15, 0x1.353f38f4445bdp-15, 0x1.366f06d2f4a73p-15, 0x1.3779e0f505491p-15, 0x1.386064cf42af7p-15, 0x1.39232e8761701p-15, 0x1.39c2d9025e438p-15, 0x1.3a3ffdf2e30bbp-15, 0x1.3a9b35e4c5a8fp-15, 0x1.3ad518445411cp-15, 0x1.3aee3b6e0c616p-15, 0x1.3ae734b39675ep-15, 0x1.3ac09865cc6e5p-15, 0x1.3a7af9dab8c6p-15, 0x1.3a16eb758546p-15, 0x1.3994feacbd386p-15, 0x1.38f5c40eb34eap-15, 0x1.3839cb466f001p-15, 0x1.3761a31ee81e5p-15, 0x1.366dd988029d7p-15, 0x1.355efb99c1deep-15, 0x1.34359593a1857p-15, 0x1.32f232e288c13p-15, 0x1.31955e2062e88p-15, 0x1.301fa1144fbf6p-15, 0x1.2e9184b5505fbp-15, 0x1.2ceb91280328ep-15, }}, 
      {{-0x1.e81b76313aa26p-1, -0x1.e8030f749cfecp-1, -0x1.e7d5b9d47f711p-1, -0x1.e78e5216c6544p-1, -0x1.e72798114e8b6p-1, -0x1.e69cc1a8b49b2p-1, -0x1.e5e9cf5454e07p-1, -0x1.e50bb58c8ed8bp-1, -0x1.e400691fcae9dp-1, -0x1.e2c6d87701a83p-1, -0x1.e15ed8f06c4dp-1, -0x1.dfc90d5d3ceb4p-1, -0x1.de06c9281359dp-1, -0x1.dc19f28deb628p-1, -0x1.da04e585b538fp-1, -0x1.d7ca585eb4edfp-1, -0x1.d56d42b3b2486p-1, -0x1.d2f0c705dcee9p-1, -0x1.d0581f1da9217p-1, -0x1.cda68b2bf18b7p-1, -0x1.cadf438dbb834p-1, -0x1.c8056d05edfe5p-1, -0x1.c51c0f378d0f4p-1, -0x1.c2260d26f151bp-1, -0x1.bf261f87790e7p-1, -0x1.bc1ed09c81c6ep-1, -0x1.b9127977333fbp-1, -0x1.b603405e58794p-1, -0x1.b2f31831ace22p-1, -0x1.afe3c09e79233p-1, -0x1.acd6c6ffca07bp-1, -0x1.a9cd87c8e2134p-1, -0x1.a6c9305ca3aefp-1, -0x1.a3cac13887b2ep-1, -0x1.a0d3105d3d9fap-1, -0x1.9de2cbe247183p-1, -0x1.9afa7ca4bdfe2p-1, -0x1.981a89040a772p-1, -0x1.954337a18d31fp-1, -0x1.9274b21a437dep-1, -0x1.8faf07b31dfa2p-1, -0x1.8cf22ff248bcfp-1, -0x1.8a3e0d20e5511p-1, -0x1.87926eb1d3065p-1, -0x1.84ef138b0c431p-1, -0x1.8253ac2fe92cap-1, -0x1.7fbfdccb3d902p-1, -0x1.7d333f18d0878p-1, -0x1.7aad642e1fffp-1, -0x1.782dd622ba6ffp-1, -0x1.75b41998c8f5fp-1, -0x1.733faf2693d7dp-1, -0x1.70d014a2056e9p-1, -0x1.6e64c64f44e64p-1, -0x1.6bfd3ff3a3bd5p-1, -0x1.6998fdce26c49p-1, -0x1.67377d76fb4bp-1, -0x1.64d83ea733af2p-1, -0x1.627ac3ea245d4p-1, -0x1.601e9339b765p-1, -0x1.5dc336870a662p-1, -0x1.5b683c309eed2p-1, -0x1.590d3767620abp-1, -0x1.56b1c083bf3bep-1, -0x1.5455754bec8f8p-1, -0x1.51f7f92c8e918p-1, -0x1.4f98f564c7be5p-1, -0x1.4d381926bb5fep-1, -0x1.4ad519ad7a56dp-1, -0x1.486fb2494b0c3p-1, -0x1.4607a46329537p-1, -0x1.439cb77854331p-1, -0x1.412eb90eb1b1ep-1, -0x1.3ebd7ca2c15f5p-1, -0x1.3c48db8fd1402p-1, -0x1.39d0b4f31a7dep-1, -0x1.3754ed8a5c0a2p-1, -0x1.34d56f8e884d5p-1, -0x1.32522a8b09d3p-1, -0x1.2fcb13321b30cp-1, -0x1.2d40232ea6459p-1, -0x1.2ab158f418525p-1, -0x1.281eb78c890b5p-1, -0x1.2588466593da2p-1, -0x1.22ee111c358d7p-1, -0x1.20502747fb36ep-1, -0x1.1dae9c45c70a3p-1, -0x1.1b0987026ec17p-1, -0x1.186101c56883ep-1, -0x1.15b529fbbf457p-1, -0x1.130620037b092p-1, -0x1.105406f7a9023p-1, -0x1.0d9f047d28853p-1, -0x1.0ae740905d54cp-1, -0x1.082ce553e95ffp-1, -0x1.05701ee080a28p-1, -0x1.02b11b15f42f6p-1, -0x1.ffe012db07917p-2, -0x1.fa5a359b108cdp-2, -0x1.f4d102bd04e65p-2, -0x1.ef44e0c335602p-2, -0x1.e9b6381133e4bp-2, -0x1.e425729ec3357p-2, -0x1.de92fbadd1ef7p-2, -0x1.d8ff3f837dd07p-2, -0x1.d36aab242d511p-2, -0x1.cdd5ac12b260fp-2, -0x1.c840b0127dbfbp-2, -0x1.c2ac24ecd6311p-2, -0x1.bd1878390c834p-2, -0x1.b7861727a47cbp-2, -0x1.b1f56e5069e51p-2, -0x1.ac66e98359095p-2, -0x1.a6daf39c5c0b7p-2, -0x1.a151f659bea68p-2, -0x1.9bcc5a35538fp-2, -0x1.964a8640325f7p-2, -0x1.90cce000fd599p-2, -0x1.8b53cb54a0087p-2, -0x1.85dfaa516cd13p-2, -0x1.8070dd2c8f541p-2, -0x1.7b07c221b2a1dp-2, -0x1.75a4b55cd66f1p-2, -0x1.704810e631d8dp-2, -0x1.6af22c9017d9dp-2, -0x1.65a35de6c773bp-2, -0x1.605bf822103c6p-2, -0x1.5b1c4c18bccc8p-2, -0x1.55e4a835ac3p-2, -0x1.50b5586e876f1p-2, -0x1.4b8ea63c00476p-2, -0x1.4670d89388ce3p-2, -0x1.415c33e26cad4p-2, -0x1.3c50fa0a3f38cp-2, -0x1.374f6a5e8861p-2, -0x1.3257c1a3a5f1ep-2, -0x1.2d6a3a0ec4f9fp-2, -0x1.28870b46f2e8dp-2, -0x1.23ae6a6725d91p-2, -0x1.1ee08a013c767p-2, -0x1.1a1d9a21d8087p-2, -0x1.1565c8550fc0ep-2, -0x1.10b93fabe58d6p-2, -0x1.0c1828c273308p-2, -0x1.0782a9c6c4a32p-2, -0x1.02f8e6804b838p-2, -0x1.fcf600afdb87fp-3, -0x1.f4122cc120c15p-3, -0x1.eb468ac053f62p-3, -0x1.e2934fb278bfcp-3, -0x1.d9f8ac2978e2p-3, -0x1.d176cc58a8705p-3, -0x1.c90dd829f73c6p-3, -0x1.c0bdf353b2855p-3, -0x1.b8873d6ed6081p-3, -0x1.b069d20dc77dcp-3, -0x1.a865c8d384745p-3, -0x1.a07b358b2112cp-3, -0x1.98aa283f90c12p-3, -0x1.90f2ad53ac633p-3, -0x1.8954cd9a6ffccp-3, -0x1.81d08e6f4f359p-3, -0x1.7a65f1ceafaf3p-3, -0x1.7314f66e6c272p-3, -0x1.6bdd97d65bfeap-3, -0x1.64bfce78dd664p-3, -0x1.5dbb8fcb43635p-3, -0x1.56d0ce5e41324p-3, -0x1.4fff79f627eb5p-3, -0x1.49477fa309c3dp-3, -0x1.42a8c9d8ab2c5p-3, -0x1.3c2340864a977p-3, -0x1.35b6c92e24855p-3, -0x1.2f6346fcc56c8p-3, -0x1.29289ae01543dp-3, -0x1.2306a39e19298p-3, -0x1.1cfd3deb714f6p-3, -0x1.170c44817e0fcp-3, -0x1.113390343c008p-3, -0x1.0b72f807c48b6p-3, -0x1.05ca514574ce2p-3, -0x1.00396f90bd656p-3, -0x1.f58049f71f67ap-4, -0x1.eabc8434df5c9p-4, -0x1.e0272c303bba2p-4, -0x1.d5bfdd91c2f83p-4, -0x1.cb86317ade6c4p-4, -0x1.c179beaacca45p-4, -0x1.b79a19a2cdeddp-4, -0x1.ade6d4c983085p-4, -0x1.a45f808d7fc66p-4, -0x1.9b03ab8700056p-4, -0x1.91d2e298d4cc1p-4, -0x1.88ccb1107a6f8p-4, -0x1.7ff0a0c55c236p-4, -0x1.773e3a3746322p-4, -0x1.6eb504ac0708dp-4, -0x1.6654864c3e363p-4, -0x1.5e1c443f5e1ccp-4, -0x1.560bc2c6dc4bfp-4, -0x1.4e228558991f2p-4, -0x1.46600eb8784d8p-4, -0x1.3ec3e11132af3p-4, -0x1.374d7e0c610a7p-4, -0x1.2ffc66e9c0439p-4, -0x1.28d01c95b3aecp-4, -0x1.21c81fbf07ce3p-4, -0x1.1ae3f0ebf62fbp-4, -0x1.1423108e6e494p-4, -0x1.0d84ff17a6d92p-4, -0x1.07093d0af9e59p-4, -0x1.00af4b100aa8ap-4, -0x1.f4ed540884d82p-5, -0x1.e8bdb61732db4p-5, -0x1.dccebf41779b2p-5, -0x1.d11f734908bf8p-5, -0x1.c5aed6d9ad08bp-5, -0x1.ba7befa5ad038p-5, -0x1.af85c4810d699p-5, -0x1.a4cb5d7b905d7p-5, -0x1.9a4bc3f991eadp-5, -0x1.900602cbb53cep-5, -0x1.85f926457cedap-5, -0x1.7c243c52bfa82p-5, -0x1.7286548c13259p-5, -0x1.691e804a267d6p-5, -0x1.5febd2b817094p-5, -0x1.56ed60e4cbd48p-5, -0x1.4e2241d3508c8p-5, -0x1.45898e8a46d1fp-5, -0x1.3d22622265d2p-5, -0x1.34ebd9d419c01p-5, -0x1.2ce51504416d1p-5, -0x1.250d355013d6ap-5, -0x1.1d635e983679ep-5, -0x1.15e6b70b024d7p-5, -0x1.0e96672e06835p-5, -0x1.077199e6ca7c2p-5, -0x1.00777c82d430fp-5, -0x1.f34e7d7df92b3p-6, -0x1.e600259c23e43p-6, -0x1.d9025abda6379p-6, -0x1.cc538b4290f77p-6, -0x1.bff22a96fb63dp-6, -0x1.b3dcb13b3e025p-6, -0x1.a8119ccb16176p-6, -0x1.9c8f7003a02c1p-6, -0x1.9154b2c842f36p-6, -0x1.865ff2269686ap-6, -0x1.7bafc05948adp-6, -0x1.7142b4ca0fc5ep-6, -0x1.67176c12a6b3ep-6, -0x1.5d2c87fd02584p-6, -0x1.5380af8288517p-6, -0x1.4a128eca97366p-6, -0x1.40e0d7282fbfcp-6, -0x1.37ea3f16ee05bp-6, -0x1.2f2d82373e68ep-6, -0x1.26a96149f20b2p-6, -0x1.1e5ca22b1e6eep-6, -0x1.16460fcc69504p-6, -0x1.0e647a2eb2a57p-6, -0x1.06b6b65b312dap-6, -0x1.fe773cb816d2cp-7, -0x1.efe42268cd4d3p-7, -0x1.e1b1e5aff02dcp-7, -0x1.d3de58445747cp-7, -0x1.c6675599a646fp-7, -0x1.b94ac2ccd0f2cp-7, -0x1.ac868e8fecb55p-7, -0x1.a018b115458bap-7, -0x1.93ff2bf9b7c7bp-7, -0x1.88380a2e6f027p-7, -0x1.7cc15fe20606p-7, -0x1.71994a69253c9p-7, -0x1.66bdf02687b87p-7, -0x1.5c2d80729545ep-7, -0x1.51e6338287ad6p-7, -0x1.47e64a4f20c7p-7, -0x1.3e2c0e7b057edp-7, -0x1.34b5d238bc1afp-7, -0x1.2b81f0306acp-7, -0x1.228ecb653ddbfp-7, -0x1.19dacf1a8a96cp-7, -0x1.11646eb8ce13dp-7, -0x1.092a25b26e37p-7, -0x1.012a77684b1f7p-7, -0x1.f2c7de1c6f2b7p-8, -0x1.e3aa3f1e934b3p-8, -0x1.d4f946e43cd23p-8, -0x1.c6b2397a04347p-8, -0x1.b8d269b426269p-8, -0x1.ab5738f6a5076p-8, -0x1.9e3e16fd92d1bp-8, -0x1.918481a5230a9p-8, -0x1.852804b20ce81p-8, -0x1.79263999e355ep-8, -0x1.6d7cc74b840ebp-8, -0x1.622961f7c9232p-8, -0x1.5729cada5c47dp-8, -0x1.4c7bd002d93bp-8, -0x1.421d4c1e162aep-8, -0x1.380c263fbc9bap-8, -0x1.2e4651ac29cc7p-8, -0x1.24c9cda2b350bp-8, -0x1.1b94a5282d876p-8, -0x1.12a4eed1f734ep-8, -0x1.09f8cc91341eap-8, -0x1.018e6b7e8f9b2p-8, -0x1.f2c8074cd42e6p-9, -0x1.e2efafaae953ap-9, -0x1.d3906acb99754p-9, -0x1.c4a6e818f4581p-9, -0x1.b62feb4efe173p-9, -0x1.a8284c18a6b01p-9, -0x1.9a8cf5adef4cfp-9, -0x1.8d5ae672f92f1p-9, -0x1.808f2f986f5f4p-9, -0x1.7426f4bca2d3ep-9, -0x1.681f6b8dd333ap-9, -0x1.5c75db6ddfe26p-9, -0x1.51279d16b3f41p-9, -0x1.46321a4050749p-9, -0x1.3b92cd479a978p-9, -0x1.314740d65b068p-9, -0x1.274d0f8ca729bp-9, -0x1.1da1e3ab36502p-9, -0x1.144376bf014c3p-9, -0x1.0b2f914e4c09ap-9, -0x1.02640a868d81dp-9, -0x1.f3bd8fd7203e1p-10, -0x1.e33b7a0ffb958p-10, -0x1.d33dd63df105ap-10, -0x1.c3c0c1bdabf41p-10, -0x1.b4c0742ad4b4cp-10, -0x1.a6393eca4a04cp-10, -0x1.98278bf6ba81p-10, -0x1.8a87de905c60ep-10, -0x1.7d56d16e2d004p-10, -0x1.709116d223e4dp-10, -0x1.643377dfa1b82p-10, -0x1.583ad41466a5ep-10, -0x1.4ca420c342152p-10, -0x1.416c68919bf62p-10, -0x1.3690caf73103bp-10, -0x1.2c0e7bc0187c7p-10, -0x1.21e2c29103905p-10, -0x1.180afa6e325c3p-10, -0x1.0e849143b629cp-10, -0x1.054d0770c3fc7p-10, -0x1.f8c3dea9aa9a5p-11, -0x1.e781d9be331e4p-11, -0x1.d6cf6a3ffe5e8p-11, -0x1.c6a81bba16e54p-11, -0x1.b7079a4dbd47bp-11, -0x1.a7e9b1e177cbbp-11, -0x1.994a4d555f39dp-11, -0x1.8b2575bb5d2aap-11, -0x1.7d7751934510ep-11, -0x1.703c240ac9215p-11, -0x1.63704c4249ff2p-11, -0x1.571044946f19dp-11, -0x1.4b18a1e197fbdp-11, -0x1.3f8612e011651p-11, -0x1.34555f6f3f3a8p-11, -0x1.298367eeac74ep-11, -0x1.1f0d2498e1152p-11, -0x1.14efa4e203bfdp-11, -0x1.0b280ed9779afp-11, -0x1.01b39e8efee48p-11, -0x1.f11f4af761aefp-12, -0x1.df7313dc41f0bp-12, -0x1.ce5d8cf388562p-12, -0x1.bdd9d2d3b0f5fp-12, -0x1.ade3286f0761fp-12, -0x1.9e74f605d1177p-12, -0x1.8f8ac81e277f7p-12, -0x1.81204e82aec9bp-12, -0x1.73315b48458e8p-12, -0x1.65b9e1d74c13p-12, -0x1.58b5f5fc834e7p-12, -0x1.4c21caffe6b5ap-12, -0x1.3ff9b2bfc771dp-12, -0x1.343a1cd1ed2cap-12, -0x1.28df95a9ca999p-12, -0x1.1de6c5c521dcdp-12, -0x1.134c70dcaa6b1p-12, -0x1.090d751a6af98p-12, -0x1.fe4d94aa5af45p-13, -0x1.eb2b02a14f9bap-13, -0x1.d8ad8604eeb2fp-13, -0x1.c6cf9fb6d460bp-13, -0x1.b58bfe2b54e1cp-13, -0x1.a4dd7c10c733ep-13, -0x1.94bf1efcd22f4p-13, -0x1.852c16237a6a7p-13, -0x1.761fb918e89d7p-13, -0x1.679586980768cp-13, -0x1.59892353cb313p-13, -0x1.4bf658cdd3fa7p-13, -0x1.3ed91437d629ap-13, -0x1.322d655bb7268p-13, -0x1.25ef7d8a16b3ep-13, -0x1.1a1bae916e0ap-13, -0x1.0eae69bcae5f4p-13, -0x1.03a43ed74c5afp-13, -0x1.f1f3b6735a15ap-14, -0x1.dd5811b3c8108p-14, -0x1.c96f5accdf515p-14, -0x1.b63392cab6283p-14, -0x1.a39eeeb27d858p-14, -0x1.91abd5dac2f37p-14, -0x1.8054e0511375fp-14, -0x1.6f94d54623a0bp-14, -0x1.5f66a98c78edp-14, -0x1.4fc57e186ac5fp-14, -0x1.40ac9e93dbeffp-14, -0x1.32177ffaae435p-14, -0x1.2401bf3e4f27bp-14, -0x1.16671ff4fa8e6p-14, -0x1.09438b1695f25p-14, -0x1.f9261b77f4344p-15, -0x1.e0a3afdc45afdp-15, -0x1.c8f876f5797e4p-15, -0x1.b21d55a153ccbp-15, -0x1.9c0b6fd2eb6b6p-15, -0x1.86bc2672ee585p-15, -0x1.7229154b33c41p-15, -0x1.5e4c1108094abp-15, -0x1.4b1f254bb3c79p-15, -0x1.389c92c828a2ap-15, -0x1.26becd6ea7ca4p-15, -0x1.15807aabd95bap-15, -0x1.04dc6fadc0fc8p-15, -0x1.e99b5f831bc6cp-16, -0x1.ca9ed56b0c63cp-16, -0x1.acb9f69423ed5p-16, -0x1.8fe3cb6766bc5p-16, -0x1.7413ac471af1p-16, -0x1.59413ec0fcefbp-16, -0x1.3f6472cdb456ap-16, -0x1.2675802dcc30cp-16, -0x1.0e6ce3d9d7005p-16, -0x1.ee86bb1f39f04p-17, -0x1.c1e3dacdca66ep-17, -0x1.96e3a3059d3b3p-17, -0x1.6d7907b27b885p-17, -0x1.4597700893245p-17, -0x1.1f32b260681b4p-17, -0x1.f47e204e78a32p-18, -0x1.ad6263df86a7cp-18, -0x1.68fc4764b58adp-18, -0x1.2736a2583dd2bp-18, -0x1.cffa0963a2f91p-19, -0x1.56776012fbb98p-19, -0x1.c37e448d83957p-20, -0x1.c6b1cc65861adp-21, -0x1.86ecb5ab1b34dp-25, 0x1.8456319dc5da8p-21, 0x1.88112529190aep-20, 0x1.22dd8c718a3acp-19, 0x1.7db39637fc515p-19, 0x1.d4a8c5ae1744ap-19, 0x1.13ed1a14e7d0ep-18, 0x1.3bb204035e4bbp-18, 0x1.61b0becee8ddep-18, 0x1.85f6782a3a392p-18, 0x1.a88ff1894bbbp-18, 0x1.c989841cde07bp-18, 0x1.e8ef24e823d4ep-18, 0x1.0366343c48c3ep-17, 0x1.1196434dae8bbp-17, 0x1.1f0d2ee40afb2p-17, 0x1.2bd03b4fa4e5cp-17, 0x1.37e48391e5377p-17, 0x1.434efae3ab179p-17, 0x1.4e146e4498d09p-17, 0x1.583985eba6c36p-17, 0x1.61c2c6a80c59fp-17, 0x1.6ab49339f9afp-17, 0x1.73132d9d43f3dp-17, 0x1.7ae2b8471a92ap-17, 0x1.82273750d8f7ap-17, 0x1.88e491a1d4f09p-17, 0x1.8f1e920763032p-17, 0x1.94d8e840f2b93p-17, 0x1.9a1729fe8cc87p-17, 0x1.9edcd3e05d473p-17, 0x1.a32d4a655d4e8p-17, 0x1.a70bdac8a019fp-17, 0x1.aa7bbbe3cf72fp-17, 0x1.ad800efdca4a5p-17, 0x1.b01be0982e9d9p-17, 0x1.b2522929fbf8ep-17, 0x1.b425cdddd7848p-17, 0x1.b599a1434098ap-17, 0x1.b6b063f9feb2bp-17, 0x1.b76cc54df76c8p-17, 0x1.b7d163dbce174p-17, 0x1.b7e0ce244c4b4p-17, 0x1.b79d831829b4fp-17, 0x1.b709f2a44cf0bp-17, 0x1.b6287e333d635p-17, 0x1.b4fb792d482b1p-17, 0x1.b385296bf9078p-17, 0x1.b1c7c7ae93c89p-17, 0x1.afc580094bb3cp-17, 0x1.ad80724fd767bp-17, 0x1.aafab2742c8ffp-17, 0x1.a83648e954c2p-17, 0x1.a5353302b21a5p-17, 0x1.a1f9634634604p-17, 0x1.9e84c1c153361p-17, 0x1.9ad92c59df465p-17, 0x1.96f8771b06a9bp-17, 0x1.92e46c8077f52p-17, 0x1.8e9ecdb3d465cp-17, 0x1.8a2952d6608eep-17, 0x1.8585ab3e28b35p-17, 0x1.80b57db5e014dp-17, 0x1.7bba68af6b9d6p-17, 0x1.769602836c274p-17, 0x1.7149d9a2457adp-17, 0x1.6bd774c58a2dep-17, 0x1.6640531f46c19p-17, 0x1.6085ec8a098aep-17, 0x1.5aa9b1b846508p-17, 0x1.54ad0c58918b8p-17, 0x1.4e915f3de5af5p-17, 0x1.48580687c999ep-17, 0x1.420257c710d98p-17, 0x1.3b91a220d4d4ap-17, 0x1.35072e6c4161ep-17, 0x1.2e643f588ca13p-17, 0x1.27aa118722c17p-17, 0x1.20d9dba98df9dp-17, 0x1.19f4ce9b1b463p-17, 0x1.12fc157e876f4p-17, 0x1.0bf0d5d9c76a1p-17, 0x1.04d42faaa6212p-17, 0x1.fb4e7afdb92bfp-18, 0x1.ecd62914e8f35p-18, 0x1.de41897b8979bp-18, 0x1.cf92b1b774259p-18, 0x1.c0cbad15963b1p-18, 0x1.b1ee7cd5ff06dp-18, 0x1.a2fd1850bba9dp-18, 0x1.93f96d139d5a6p-18, 0x1.84e55f08f1a1ep-18, 0x1.75c2c891e3067p-18, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      34, 0x1.0eb851eb851ecp+2, 0x1.ae61caeb6859ep-6, 0x1.d9d503ee83ab3p+0, -0x1.74800c6eb83ecp+2, 
      {{
        {0x1.4b851eb851eb8p+1, 0x1.4cccccccccccdp+1, 0x1.0342c693ccea6p-3, -0x1.3fee25228bb2ep-3, 0x1.0cee1c9a1a07fp-9, 0x1.899abdd6c49b2p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.000fe312c0eb5p-3, -0x1.3fd112cd2675cp-3, 0x1.c9dc3a48ded21p-9, 0x1.865078a49de8bp-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.e033de703f862p-4, -0x1.3e5e941587186p-3, 0x1.5ca756f4fcd8ep-7, 0x1.82d598942f5d6p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c07fb154ad5c4p-4, -0x1.3b770d55a381cp-3, 0x1.22608c73bfd5dp-6, 0x1.7f01894420d95p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.a128603cd88e5p-4, -0x1.371e0099fbed4p-3, 0x1.954768d4fce37p-6, 0x1.7ccf9f9b5d49fp-5}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.8252b69ae2e76p-4, -0x1.315652082682ep-3, 0x1.03c2d92832d63p-5, 0x1.66467de920a7p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.6422efeddd36bp-4, -0x1.2a2be086de4c9p-3, 0x1.39809f3e5e22cp-5, 0x1.45e03aec0263bp-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.46bb48c880829p-4, -0x1.21b90a83e819ep-3, 0x1.6a6241ae91b19p-5, 0x1.275e07b2370ebp-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.2a3b11a3658c8p-4, -0x1.181c0223873c4p-3, 0x1.96b05c6fb38d9p-5, 0x1.085a2045197e1p-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.0ebea35daf0d4p-4, -0x1.0d724f7286b2dp-3, 0x1.be577ae077605p-5, 0x1.d2f1f3c3cc408p-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e8bebe7a13655p-5, -0x1.01d9a8112185dp-3, 0x1.e15cd38f26b1dp-5, 0x1.951d0714bdc24p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.b6675ddb58414p-5, -0x1.eadf6ad295dfdp-4, 0x1.ffbf00e3e8209p-5, 0x1.574d17f468793p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.869e0904ade31p-5, -0x1.d0a448554ab65p-4, 0x1.0cbf3157eb2e6p-4, 0x1.197bd281f7be1p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.5983b4e8a969fp-5, -0x1.b53d4048bc7d7p-4, 0x1.174d6fa331459p-4, 0x1.b755d1921e2f9p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2f336746f3e29p-5, -0x1.98e5aac38f6p-4, 0x1.1f8a3ec45509ap-4, 0x1.3bb3ccf8a8f75p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.07c236ac4a443p-5, -0x1.7bd8dfbc2c791p-4, 0x1.25759dcf65017p-4, 0x1.8023ab1481007p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.c67e94e4fae41p-6, -0x1.5e5237319fe94p-4, 0x1.290f8d0396371p-4, 0x1.11bf6a5ecc567p-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.8367b580e4789p-6, -0x1.408d0920a4cd6p-4, 0x1.2a580c5007f91p-4, -0x1.b990fbabdba81p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.4646611442bb9p-6, -0x1.22c4ad86973d7p-4, 0x1.294f1bb907421p-4, -0x1.65a83328667ecp-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.0f154b212efccp-6, -0x1.05347c60a07b9p-4, 0x1.25f4bb3e3fe5bp-4, -0x1.2e761451bbf68p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.bb869187d4c3dp-7, -0x1.d02f9b5828382p-5, 0x1.2048eadcb792bp-4, -0x1.aa180c82d8383p-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.6466a165bbd1ap-7, -0x1.9753f2cb9e78p-5, 0x1.184baaa0a9eb3p-4, -0x1.12dd07235e2d2p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.1878f67d34d05p-7, -0x1.604caf18bd28cp-5, 0x1.0dfcfa5c232ffp-4, -0x1.50adf625dabbfp-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.aea809476234p-8, -0x1.2b9080300da93p-5, 0x1.015cdabab7c8dp-4, -0x1.8e7f27dcdfe08p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.40ed05c5e377cp-8, -0x1.f32c2c61f4c4ap-6, 0x1.e4d6927811fa8p-5, -0x1.cc4f60a1516c3p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.cd1dade41dbb9p-9, -0x1.95a84117f3b47p-6, 0x1.c2509e6bf8ac2p-5, -0x1.05119d3da9d58p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3c57ef614a768p-9, -0x1.3f82a27ce1f4cp-6, 0x1.9b2793a2b8cbep-5, -0x1.23f4c478e95c9p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.98cda53c1b11fp-10, -0x1.e3514303fbe05p-7, 0x1.6f5c762a2f649p-5, -0x1.42f131f063e03p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e7259c1998481p-11, -0x1.5a0fac49ae78bp-7, 0x1.3eeb7b79539c4p-5, -0x1.618f4c288ea1ep-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.027f235e480cp-11, -0x1.ca333ced0e233p-8, 0x1.09e2c9a6716a9p-5, -0x1.818d6d220cd07p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.cab21200df0ffp-13, -0x1.0c9fe4b6be6a7p-8, 0x1.a01b25c2abca3p-6, -0x1.9c69c6552d556p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.29b4b7f2a92p-14, -0x1.fbb5341e5815fp-10, 0x1.2461d0a91e311p-6, -0x1.ca6d37e0d49e5p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.8a9967221c002p-17, -0x1.2bd676b463aa3p-11, 0x1.35b54c9823324p-7, -0x1.adb02670c5906p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.0eb851eb851ecp+2, 0x1.fe26eb67b4a31p-23, -0x1.51c1d35e12a7fp-16, 0x1.9f29ac3d654afp-10, -0x1.cb575f4855a06p-4}, 
      }}, 
      0x1.db4cef6752467p+1, -0x1.5600191b2effp+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.7c9ae8403f5c4p-6, 0x1.a2db691b0b544p-6, 0x1.d7fb64584dd25p-6, 0x1.0ab97c91b533ap-5, 0x1.2b1c39075d6b1p-5, 0x1.4b39df9c3f7fdp-5, 0x1.69a09b12163dcp-5, 0x1.85404272de395p-5, 0x1.9d56a4a0e4f06p-5, 0x1.b15fa48eb58f6p-5, 0x1.c1085dbe03a4bp-5, 0x1.cc24b52cd5f0ap-5, 0x1.d2a6e1b3710ecp-5, 0x1.d498960530f09p-5, 0x1.d215848cd28adp-5, 0x1.cb46f7c5ff72bp-5, 0x1.c06041a73bea3p-5, 0x1.b19bd564e163dp-5, 0x1.9f38ed5c1fbdep-5, 0x1.8979a52721f8p-5, 0x1.70a1777e01f75p-5, 0x1.54f40990624fep-5, 0x1.36b43afd6f185p-5, 0x1.16236e9127d9cp-5, 0x1.e701f67a8f23ap-6, 0x1.9e138d13bedf3p-6, 0x1.51eff67020ea2p-6, 0x1.0305b2f79d4e3p-6, 0x1.637a613aa2591p-7, 0x1.79e2de6feae11p-8, 0x1.328c15ac676cdp-11, -0x1.326733987f8a5p-8, -0x1.4783833e3bef8p-7, -0x1.f7326f6e391a3p-7, -0x1.53db73b7c9ff5p-6, -0x1.ac4914907a19ap-6, -0x1.0253e67a98fb3p-5, -0x1.2e610ebf73e87p-5, -0x1.5a338c18cd0bep-5, -0x1.85b50d90db908p-5, -0x1.b0d1458755b55p-5, -0x1.db75c918df801p-5, -0x1.02c8f8ff18368p-4, -0x1.178b60664dadcp-4, -0x1.2bfb5e789a2e3p-4, -0x1.4012ee376a3a3p-4, -0x1.53ccb40f2efbap-4, -0x1.6723f1daded41p-4, -0x1.7a147c7bbeafdp-4, -0x1.8c9ab042ae10ep-4, -0x1.9eb36781faf6p-4, -0x1.b05bf1dd506dcp-4, -0x1.c1920bfedfdcp-4, -0x1.d253d75898454p-4, -0x1.e29fd340d8a9bp-4, -0x1.f274d6d0a8705p-4, -0x1.00e904e70e7dcp-3, -0x1.085b6f5c83328p-3, -0x1.0f9186b8acbb8p-3, -0x1.168b46cd6c4c4p-3, -0x1.1d48c8b806464p-3, -0x1.23ca40766774fp-3, -0x1.2a0ffa7fc063ap-3, -0x1.301a596fcb9dfp-3, -0x1.35e9d43946ce9p-3, -0x1.3b7ef421fb55fp-3, -0x1.40da52b52474dp-3, -0x1.45fc983c3e04cp-3, -0x1.4ae67a2bcd702p-3, -0x1.4f98b9a597e8bp-3, -0x1.5414221ece9b8p-3, -0x1.585988209c88ep-3, -0x1.5c69c8224588ap-3, -0x1.6045c57ada107p-3, -0x1.63ee696c25f2ep-3, -0x1.6764a2347205cp-3, -0x1.6aa9622eb343ap-3, -0x1.6dbd9f2be780bp-3, -0x1.70a251c42259ep-3, -0x1.735874962b006p-3, -0x1.75e103b8f6e96p-3, -0x1.783cfc3b383fep-3, -0x1.7a6d5ba1f368cp-3, -0x1.7c731f72c5d62p-3, -0x1.7e4f44ca36206p-3, -0x1.8002c7fa7fe0ap-3, -0x1.818ea433ae675p-3, -0x1.82f3d33278c33p-3, -0x1.84334cf7a092cp-3, -0x1.854e0784bdbd3p-3, -0x1.8644f6a084326p-3, -0x1.87190ba0679ecp-3, -0x1.87cb35381674bp-3, -0x1.885c5f4e799cep-3, -0x1.88cd72d27775bp-3, -0x1.891f559799863p-3, -0x1.8952ea3c325p-3, -0x1.89691011fb918p-3, -0x1.8962a2fdb5b6fp-3, -0x1.89407b60914d2p-3, -0x1.89036e11ca0dap-3, -0x1.88ac4c45c59e4p-3, -0x1.883be38628119p-3, -0x1.87b2fdaaee867p-3, -0x1.871260cd07ccfp-3, -0x1.865acf44ad4eep-3, -0x1.858d07a54468cp-3, -0x1.84a9c4bab2f56p-3, -0x1.83b1bd896d604p-3, -0x1.82a5a550f9a46p-3, -0x1.81862b8c69905p-3, -0x1.8053fbf7457eap-3, -0x1.7f0fbe9348675p-3, -0x1.7dba17ad051b2p-3, -0x1.7c53a7e2f41a2p-3, -0x1.7add0c2ee6809p-3, -0x1.7956ddeda6c28p-3, -0x1.77c1b2e80670fp-3, -0x1.761e1d5e7b4e5p-3, -0x1.746cac13abb4fp-3, -0x1.72adea5712bd8p-3, -0x1.70e26011c5c0ep-3, -0x1.6f0a91d29b85ep-3, -0x1.6d2700d9c4efcp-3, -0x1.6b382b2627276p-3, -0x1.693e8b848fe0cp-3, -0x1.673a999be8d94p-3, -0x1.652cc9f9cebaep-3, -0x1.63158e21f31f4p-3, -0x1.60f5549d117fcp-3, -0x1.5ecc890679c04p-3, -0x1.5c9b941a9e352p-3, -0x1.5a62dbc676878p-3, -0x1.5822c335bbedap-3, -0x1.55dbaae0fdcebp-3, -0x1.538df09c0671cp-3, -0x1.5139efa4e5eb7p-3, -0x1.4ee000b1f1a57p-3, -0x1.4c8079ff9a8e6p-3, -0x1.4a1baf5f19e92p-3, -0x1.47b1f244f221ep-3, -0x1.454391d74e35dp-3, -0x1.42d0dafbde0b2p-3, -0x1.405a1865f6843p-3, -0x1.3ddf92a4f0e71p-3, -0x1.3b61903180a14p-3, -0x1.38e0557adc2efp-3, -0x1.365c24f3f95c3p-3, -0x1.33d53f2054898p-3, -0x1.314be2a08cd63p-3, -0x1.2ec04c3ea14b9p-3, -0x1.2c32b6f9d7d45p-3, -0x1.29a35c12e70dap-3, -0x1.2712731803117p-3, -0x1.248031f087bc8p-3, -0x1.21eccce8b0262p-3, -0x1.1f5876bae65dcp-3, -0x1.1cc360a0da985p-3, -0x1.1a2dba57fff58p-3, -0x1.1797b22ea2edcp-3, -0x1.1501750e96452p-3, -0x1.126b2e87d1ea1p-3, -0x1.0fd508d85a0fbp-3, -0x1.0d3f2cf66f385p-3, -0x1.0aa9c29a8cfe1p-3, -0x1.0814f0455aebp-3, -0x1.0580db4b273f8p-3, -0x1.02eda7db260acp-3, -0x1.005b79073d004p-3, -0x1.fb94e1993f89ap-4, -0x1.f67560371d242p-4, -0x1.f158adbea85ebp-4, -0x1.ec3f080a41875p-4, -0x1.e728ab0842a0ep-4, -0x1.e215d0ca9004cp-4, -0x1.dd06b189d337dp-4, -0x1.d7fb83cd0737ep-4, -0x1.d2f47c4df8179p-4, -0x1.cdf1ce2b84283p-4, -0x1.c8f3aae1ba276p-4, -0x1.c3fa4257c8f0ap-4, -0x1.bf05c2ec570c2p-4, -0x1.ba16597f1c4f8p-4, -0x1.b52c317b26238p-4, -0x1.b04774e0b23c5p-4, -0x1.ab684c4e1f58p-4, -0x1.a68edf09180a4p-4, -0x1.a1bb530765932p-4, -0x1.9cedccf77c567p-4, -0x1.9826704853d4cp-4, -0x1.93655f3229525p-4, -0x1.8eaababdbc1fp-4, -0x1.89f6a2cbe369bp-4, -0x1.8549361ccffc4p-4, -0x1.80a292570d0dap-4, -0x1.7c02d40e43dadp-4, -0x1.776a16c939b12p-4, -0x1.72d875088bc9ap-4, -0x1.6e4e084c5c93ap-4, -0x1.69cae919eb5b8p-4, -0x1.654f2f0112c9bp-4, -0x1.60daf0a183797p-4, -0x1.5c6e43afcf6a2p-4, -0x1.58093cfa4cap-4, -0x1.53abf06d7d544p-4, -0x1.4f567118bd1aep-4, -0x1.4b08d132aee08p-4, -0x1.46c3221d50d67p-4, -0x1.4285746a17ee6p-4, -0x1.3e4fd7dde908dp-4, -0x1.3a225b74f13d4p-4, -0x1.35fd0d66630b3p-4, -0x1.31dffb28262c5p-4, -0x1.2dcb317253dacp-4, -0x1.29bebc429502dp-4, -0x1.25baa6dfaada1p-4, -0x1.21befbdca1c99p-4, -0x1.1dcbc51bf3fc8p-4, -0x1.19e10bd2a7b55p-4, -0x1.15fed88b52e59p-4, -0x1.122533290c7a1p-4, -0x1.0e5422ea493fp-4, -0x1.0a8bae6ba8c19p-4, -0x1.06cbdbaab33d5p-4, -0x1.0314b00875c33p-4, -0x1.fecc609831243p-5, -0x1.f780c14b03d93p-5, -0x1.f046895fa5852p-5, -0x1.e91dbee7a7643p-5, -0x1.e20666d4c8a3fp-5, -0x1.db0084fdc19eep-5, -0x1.d40c1c22f567ap-5, -0x1.cd292df319217p-5, -0x1.c657bb0fce52cp-5, -0x1.bf97c3122a389p-5, -0x1.b8e9448f3d73dp-5, -0x1.b24c3d1c8315ap-5, -0x1.abc0a95441988p-5, -0x1.a54684da0f09p-5, -0x1.9eddca5f444aep-5, -0x1.988673a7510dep-5, -0x1.9240798c08b8bp-5, -0x1.8c0bd401f49b9p-5, -0x1.85e87a1ca3522p-5, -0x1.7fd662130d412p-5, -0x1.79d581440836p-5, -0x1.73e5cc3aa1b09p-5, -0x1.6e0736b2570c6p-5, -0x1.6839b39b2316bp-5, -0x1.627d351d9a11ep-5, -0x1.5cd1ac9f450dbp-5, -0x1.57370ac74cc3ap-5, -0x1.51ad3f82c13b4p-5, -0x1.4c343a0af29a8p-5, -0x1.46cbe8e80b8a3p-5, -0x1.417439f2cc889p-5, -0x1.3c2d1a5383ad7p-5, -0x1.36f67699a9b0ep-5, -0x1.31d03aaadd09fp-5, -0x1.2cba51d43c4f6p-5, -0x1.27b4a6cf1c56cp-5, -0x1.22bf23c2aae5dp-5, -0x1.1dd9b245634cep-5, -0x1.19043b5bda89ep-5, -0x1.143ea77f74a1bp-5, -0x1.0f88dea0280a7p-5, -0x1.0ae2c83521715p-5, -0x1.064c4b4510831p-5, -0x1.01c54e6c41c1cp-5, -0x1.fa9b6fb2f7391p-6, -0x1.f1cada899e209p-6, -0x1.e918a7cfa77a1p-6, -0x1.e084a1003678ap-6, -0x1.d80e8ebfbe358p-6, -0x1.cfb639113eb51p-6, -0x1.c77b6786fdc2ep-6, -0x1.bf5de152b370dp-6, -0x1.b75d6d26d3ca7p-6, -0x1.af79d0f51e251p-6, -0x1.a7b2d1af62e7ep-6, -0x1.a0083336e675ap-6, -0x1.9879b8946d5c8p-6, -0x1.9107246cbe20fp-6, -0x1.89b0397f27453p-6, -0x1.8274bae8eb54cp-6, -0x1.7b546c03750e8p-6, -0x1.744f0fd6ecc88p-6, -0x1.6d64686657d66p-6, -0x1.66943630ccd72p-6, -0x1.5fde383b5c806p-6, -0x1.59422cbb39fb7p-6, -0x1.52bfd22668b0bp-6, -0x1.4c56e8315d85p-6, -0x1.46073036bcb7fp-6, -0x1.3fd06cbef731cp-6, -0x1.39b2604485b6fp-6, -0x1.33accbb703a48p-6, -0x1.2dbf6d70daa8ep-6, -0x1.27ea0133233c9p-6, -0x1.222c4150bcdc7p-6, -0x1.1c85e8a734c1cp-6, -0x1.16f6b49718d33p-6, -0x1.117e6614de6fdp-6, -0x1.0c1cc13c6aed6p-6, -0x1.06d18b6fb95e8p-6, -0x1.019c88b0a0241p-6, -0x1.f8faf296bb839p-7, -0x1.eee831b92723ap-7, -0x1.e5003e841d5b1p-7, -0x1.db42868a7d7bbp-7, -0x1.d1ae7c1e12d6bp-7, -0x1.c8439c0e42a1p-7, -0x1.bf016fc1027a4p-7, -0x1.b5e78a8494691p-7, -0x1.acf582e1d8bfbp-7, -0x1.a42aea55b774ep-7, -0x1.9b874684544adp-7, -0x1.930a0e8ae6f0dp-7, -0x1.8ab2adc3b628ep-7, -0x1.82808b74418ep-7, -0x1.7a7314ee55593p-7, -0x1.7289c6656c305p-7, -0x1.6ac42ee75a648p-7, -0x1.6321edb9dd323p-7, -0x1.5ba2aa01ae81ap-7, -0x1.544607bcf9726p-7, -0x1.4d0b9d9d9780fp-7, -0x1.45f2ef13ad6c5p-7, -0x1.3efb6c67df0bp-7, -0x1.382479a8d7c6fp-7, -0x1.316d7af58bd2fp-7, -0x1.2ad5e232ed9acp-7, -0x1.245d38cb8c93p-7, -0x1.1e03215569f15p-7, -0x1.17c7509f893b8p-7, -0x1.11a981634bb41p-7, -0x1.0ba9673b55b3cp-7, -0x1.05c6a4463efd6p-7, -0x1.0000c31e399a5p-7, -0x1.f4ae6d24f9fb6p-8, -0x1.e992c1e570874p-8, -0x1.dead45e4fb427p-8, -0x1.d3fcdb2d83223p-8, -0x1.c9809f653c385p-8, -0x1.bf37efe75f591p-8, -0x1.b522578651ddep-8, -0x1.ab3f70ad43443p-8, -0x1.a18eca9abe0ccp-8, -0x1.980fd7c1d808ap-8, -0x1.8ec1e16b7ff5p-8, -0x1.85a3fd4fede6p-8, -0x1.7cb50c50e2f7fp-8, -0x1.73f3ce2b05b0bp-8, -0x1.6b5f0a34d4242p-8, -0x1.62f5bb1b6be45p-8, -0x1.5ab7261f7c37bp-8, -0x1.52a2d2f7cfbc8p-8, -0x1.4ab86d399694dp-8, -0x1.42f7a4df830e1p-8, -0x1.3b601f1b449c3p-8, -0x1.33f174623946cp-8, -0x1.2cab28b7837c6p-8, -0x1.258c9469808fap-8, -0x1.1e94cdd10c5b6p-8, -0x1.17c2af99e2cc1p-8, -0x1.1115019485851p-8, -0x1.0a8aabba83fdp-8, -0x1.0422d644b62fap-8, -0x1.fbb9d8201f946p-9, -0x1.ef710a846997fp-9, -0x1.e36a95fe47b4bp-9, -0x1.d7a5d4c145236p-9, -0x1.cc223c5fee6a5p-9, -0x1.c0df73b0f452p-9, -0x1.b5dd2d8cecfa7p-9, -0x1.ab1ac5586f774p-9, -0x1.a096ec1e01f4bp-9, -0x1.964fb4aae35f3p-9, -0x1.8c42ea7b8224ap-9, -0x1.826e63d26afcfp-9, -0x1.78d0397425561p-9, -0x1.6f66f5abad6c3p-9, -0x1.663199d49a266p-9, -0x1.5d2f60dfed8cdp-9, -0x1.545f83b2f8401p-9, -0x1.4bc155a61054bp-9, -0x1.43549dcd711ffp-9, -0x1.3b19a7c90cb85p-9, -0x1.3310c1ce0ea02p-9, -0x1.2b3993bb598fp-9, -0x1.2392f63bac7a8p-9, -0x1.1c1b41da11d72p-9, -0x1.14d082a0224f3p-9, -0x1.0db0949d8f4cbp-9, -0x1.06b9aa5957915p-9, -0x1.ffd5b457e8e7bp-10, -0x1.f2879c3c94afp-10, -0x1.e587be76fd5eep-10, -0x1.d8d3a1703a5dbp-10, -0x1.cc691d1116192p-10, -0x1.c047f07915d88p-10, -0x1.b4716ff98752p-10, -0x1.a8e6a94b3372bp-10, -0x1.9da6ef12240acp-10, -0x1.92b0175833487p-10, -0x1.87ff7ab78f311p-10, -0x1.7d91c2cbef78dp-10, -0x1.7362a96929e18p-10, -0x1.696f2e12db3fp-10, -0x1.5fb7969879d6ep-10, -0x1.563d4ab12d75fp-10, -0x1.4cff5c6a588edp-10, -0x1.43faa4f5ef813p-10, -0x1.3b2ca8c031554p-10, -0x1.32951a0963708p-10, -0x1.2a350a97cb28ep-10, -0x1.220d971ed1aacp-10, -0x1.1a1eaf868635bp-10, -0x1.12667c7d113e3p-10, -0x1.0ae268be0b7ep-10, -0x1.038fef42f8eb1p-10, -0x1.f8d658ccd35c7p-11, -0x1.eadf38b3f5059p-11, -0x1.dd3925fc1445dp-11, -0x1.cfe9dca55c199p-11, -0x1.c2f3089061384p-11, -0x1.b64ff2629303ap-11, -0x1.a9fce3e9bec36p-11, -0x1.9df9812d38e56p-11, -0x1.9245706d4a557p-11, -0x1.86e02fb51b2bp-11, -0x1.7bcb1e5bd40dep-11, -0x1.71084ade430f3p-11, -0x1.6696e3bf06467p-11, -0x1.5c736b0a7e7f9p-11, -0x1.529b221d05665p-11, -0x1.49096da2ca0c8p-11, -0x1.3fb48db163153p-11, -0x1.36970dfbe07f9p-11, -0x1.2db38498313e5p-11, -0x1.2508b4ff461cdp-11, -0x1.1c91aa9b16331p-11, -0x1.144f8bac4a5ccp-11, -0x1.0c461549d90b1p-11, -0x1.0474790c09695p-11, -0x1.f9aeda25c0afep-12, -0x1.eada55f811294p-12, -0x1.dc6d0dda3e483p-12, -0x1.ce6b15523d3c3p-12, -0x1.c0d4ca81eee94p-12, -0x1.b3a6ae3198f07p-12, -0x1.a6e21a6e371d9p-12, -0x1.9a8a3d378fdp-12, -0x1.8e94582293d34p-12, -0x1.82f47b15f0649p-12, -0x1.77a9ba8f25443p-12, -0x1.6ca85e7532c3ap-12, -0x1.61e78e9e23b29p-12, -0x1.576ddc7b22d3bp-12, -0x1.4d3c58faab35cp-12, -0x1.434de2b8a7d84p-12, -0x1.39a07b3e94bbp-12, -0x1.3034c1c830e57p-12, -0x1.270b0cd82822dp-12, -0x1.1e239b6643004p-12, -0x1.157ea5c62ffap-12, -0x1.0d194ef55b90fp-12, -0x1.04f000774a35p-12, -0x1.fa110d161703fp-13, -0x1.eada3d0c7dc0ep-13, -0x1.dc26a1cbaac41p-13, -0x1.cddd8a34d9121p-13, -0x1.bffb222a98e6dp-13, -0x1.b273a0c9e94a1p-13, -0x1.a559706038704p-13, -0x1.98b25191f9064p-13, -0x1.8c6eba12a27dap-13, -0x1.808203c83b509p-13, -0x1.74e3a54019d15p-13, -0x1.698e53a7546e2p-13, -0x1.5e81e37366819p-13, -0x1.53c2f641e3eecp-13, -0x1.4957484a0c042p-13, -0x1.3f3e5dacef382p-13, -0x1.356d907c40ab7p-13, -0x1.2bdf3e1390236p-13, -0x1.22a5460ff8b4fp-13, -0x1.19cfd348c2a88p-13, -0x1.114132be8bfbfp-13, -0x1.08eb1d3bc13dbp-13, -0x1.00c5e7f71dff6p-13, -0x1.f1bfe4e5cbe3bp-14, -0x1.e2776011dde5p-14, -0x1.d39f9ae0e7481p-14, -0x1.c53a9c2b52ef7p-14, -0x1.b75000051e745p-14, -0x1.a9e2aefe9cc8fp-14, -0x1.9ced8c8346079p-14, -0x1.9061ea1347573p-14, -0x1.842c31f93bbdcp-14, -0x1.7841ea7789cf1p-14, -0x1.6caa320512c55p-14, -0x1.616dab5522591p-14, -0x1.568706a635d2dp-14, -0x1.4bee16dc1605fp-14, -0x1.41b62ca1dd18ap-14, -0x1.37e82eca52108p-14, -0x1.2e616bf5f63b9p-14, -0x1.251ab0923ed29p-14, -0x1.1c27a2c1b0fbbp-14, -0x1.137a4116be28cp-14, -0x1.0b03b04332d49p-14, -0x1.02c783f176b0fp-14, -0x1.f592636559cdbp-15, -0x1.e6123bc5c6549p-15, -0x1.d70c8217e2ep-15, -0x1.c87fc115e8a19p-15, -0x1.ba6d2d419484ap-15, -0x1.acd8cfe81a5aap-15, -0x1.9fc6c04100057p-15, -0x1.933294414cee6p-15, -0x1.8703ff227dbf3p-15, -0x1.7b1eb149efbccp-15, -0x1.6f8150453c4e3p-15, -0x1.643967324f19p-15, -0x1.59614ce29922bp-15, -0x1.4ece91c406b73p-15, -0x1.4489d0e2c5315p-15, -0x1.3ac14fe73a48ap-15, -0x1.3143eaf96bbc4p-15, -0x1.27feb8e9a77b3p-15, -0x1.1ef7a09e5fd13p-15, -0x1.16334ce3ede9fp-15, -0x1.0db2f02de2303p-15, -0x1.05754ff5cec06p-15, -0x1.faf02fef14994p-16, -0x1.eb71662140efep-16, -0x1.dc68d8b7e48ecp-16, -0x1.cdd08133187fcp-16, -0x1.bfa2bd45673a8p-16, -0x1.b1dfa58bc8e68p-16, -0x1.a491ce894e3d4p-16, -0x1.97c83d6dbad1dp-16, -0x1.8b8562acfe299p-16, -0x1.7f9e95150515p-16, -0x1.73f6f404961b2p-16, -0x1.68ac9b8801a9ap-16, -0x1.5d9a34ad5755cp-16, -0x1.52e94360a17ccp-16, -0x1.489d772e56072p-16, -0x1.3eaa89fdd703ap-16, -0x1.34f87fdff7f7ep-16, -0x1.2b84c9ea21912p-16, -0x1.2253afa4492e6p-16, -0x1.1966f5e7a7719p-16, -0x1.10bdc8a5ed6f1p-16, -0x1.08563ec2912c4p-16, -0x1.002e2b74b30f6p-16, -0x1.f086902e125b4p-17, -0x1.e1262e4927e95p-17, -0x1.d235b16de2b72p-17, -0x1.c3b13c9c3d02p-17, -0x1.b5991aa1d1683p-17, -0x1.a7ea9834945d7p-17, -0x1.9a9c6613bf946p-17, -0x1.8da518686b81fp-17, -0x1.80fdc2551dbe3p-17, -0x1.74d4131ceb4p-17, -0x1.6923ee24089a4p-17, -0x1.5dcf4db43a7f8p-17, -0x1.52a89ec52afe2p-17, -0x1.47b5ba5a5fc69p-17, -0x1.3d29f55901dep-17, -0x1.32fe4af129aebp-17, -0x1.290e60df27decp-17, -0x1.1f5ac737cfe56p-17, -0x1.15e8bb63e55ffp-17, -0x1.0cb91f7154851p-17, -0x1.03caa17dc15edp-17, -0x1.f6369f22c199dp-18, -0x1.e5523a3685c9ep-18, -0x1.d4e3eb9bd5736p-18, -0x1.c4e7598d73bf2p-18, -0x1.b558c9a2fbc68p-18, -0x1.a6372444c9ef2p-18, -0x1.978063434e2f4p-18, -0x1.892f2d987806ap-18, -0x1.7b3fb2ee0b626p-18, -0x1.6dab2436b771ep-18, -0x1.606be47f4ec06p-18, -0x1.5390f1d45d87cp-18, -0x1.470c4ddbe513dp-18, -0x1.3aced6558b338p-18, -0x1.2ee9da401aa9ap-18, -0x1.237ba65d80a02p-18, -0x1.185034339a4e5p-18, -0x1.0d4e8116d0df6p-18, -0x1.02b4b9a98e51dp-18, -0x1.f0cbe4d36b5c4p-19, -0x1.dca3940a3b569p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.bd8c821633d8fp-2, 0x1.bda2a7cad5c0ep-2, 0x1.bdc7e2383fb11p-2, 0x1.bdfc9218c1b58p-2, 0x1.be4122d160fd1p-2, 0x1.be95ff9662608p-2, 0x1.befb8b64aa738p-2, 0x1.bf721b363491bp-2, 0x1.bff9f1f813673p-2, 0x1.c0933de185af8p-2, 0x1.c13e16df2fd5fp-2, 0x1.c1fa7dd50636ap-2, 0x1.c2c85c85ac144p-2, 0x1.c3a785f7dfe72p-2, 0x1.c497b73a52743p-2, 0x1.c598986ca71bep-2, 0x1.c6a9bdf975964p-2, 0x1.c7caa9f13819ap-2, 0x1.c8facd797d006p-2, 0x1.ca398a465bd2fp-2, 0x1.cb863416695bap-2, 0x1.cce0122b2701bp-2, 0x1.ce4660b961429p-2, 0x1.cfb8524e1212fp-2, 0x1.d135112552acdp-2, 0x1.d2bbc071a1777p-2, 0x1.d44b7d9255cecp-2, 0x1.d5e361389d2dcp-2, 0x1.d782807ab2207p-2, 0x1.d927edd54c1ccp-2, 0x1.dad2ba1b7b46dp-2, 0x1.dc81f55553f64p-2, 0x1.de34af8de835bp-2, 0x1.dfe9f99127698p-2, 0x1.e1a0e59a4accp-2, 0x1.e35887f383125p-2, 0x1.e50ff78799c8dp-2, 0x1.e6c64e6647ea6p-2, 0x1.e87aaa3bf6058p-2, 0x1.ea2c2cbda4cddp-2, 0x1.ebd9fc09a8c05p-2, 0x1.ed8342fdf749p-2, 0x1.ef273184a0aa2p-2, 0x1.f0c4fcd72691ap-2, 0x1.f25bdfb943931p-2, 0x1.f3eb1aabc24afp-2, 0x1.f571f417e9dfdp-2, 0x1.f6efb87413a5cp-2, 0x1.f863ba61dc3ecp-2, 0x1.f9cd52c67ac24p-2, 0x1.fb2be0dda2309p-2, 0x1.fc7eca4764d49p-2, 0x1.fdc57b1179738p-2, 0x1.feff65bc437cbp-2, 0x1.0016019dfd12ep-1, 0x1.00a5697b2101p-1, 0x1.012dad5e417cep-1, 0x1.01ae9361a7888p-1, 0x1.0227e4cb880bcp-1, 0x1.02996e0725456p-1, 0x1.0302fe9cd375cp-1, 0x1.03646928fcb16p-1, 0x1.03bd835241fb1p-1, 0x1.040e25becb054p-1, 0x1.04562c08de55p-1, 0x1.049574b2d63a5p-1, 0x1.04cbe11a82e32p-1, 0x1.04f9556c0cab3p-1, 0x1.051db8946645p-1, 0x1.0538f4335ccfep-1, 0x1.054af48d5262ap-1, 0x1.0553a87cb351ep-1, 0x1.055301632be87p-1, 0x1.0548f31aad169p-1, 0x1.053573e64801ep-1, 0x1.05187c62e9417p-1, 0x1.04f20777fc5acp-1, 0x1.04c21247fd35dp-1, 0x1.04889c2100c62p-1, 0x1.0445a66d37fb3p-1, 0x1.03f934a374e4dp-1, 0x1.03a34c37b5fefp-1, 0x1.0343f48bbc0c1p-1, 0x1.02db36dfafc4ep-1, 0x1.02691e42d98ffp-1, 0x1.01edb78471a21p-1, 0x1.0169112486c54p-1, 0x1.00db3b4504ca3p-1, 0x1.0044479ad8a93p-1, 0x1.ff4892be6c91p-2, 0x1.fdf6aa820668ep-2, 0x1.fc9302accc207p-2, 0x1.fb1dca1cfddc5p-2, 0x1.f997324691fdep-2, 0x1.f7ff6f174c833p-2, 0x1.f656b6db33a37p-2, 0x1.f49d42215b80ap-2, 0x1.f2d34ba1130b6p-2, 0x1.f0f9101f71a86p-2, 0x1.ef0ece5543657p-2, 0x1.ed14c6d55dd9fp-2, 0x1.eb0b3bf3586d7p-2, 0x1.e8f271aaacd99p-2, 0x1.e6caad863f778p-2, 0x1.e4943688542fp-2, 0x1.e24f5512ec82bp-2, 0x1.dffc52d0923d7p-2, 0x1.dd9b7a9d91d68p-2, 0x1.db2d1871a1e74p-2, 0x1.d8b17949f6d24p-2, 0x1.d628eb13cbd83p-2, 0x1.d393bc97593eap-2, 0x1.d0f23d633a2cdp-2, 0x1.ce44bdb848d77p-2, 0x1.cb8b8e75e5fbep-2, 0x1.c8c70106b94e1p-2, 0x1.c5f7674ddda6dp-2, 0x1.c31d139485b3dp-2, 0x1.c03858780e2a2p-2, 0x1.bd4988d88485ep-2, 0x1.ba50f7c7a2c64p-2, 0x1.b74ef87837cbp-2, 0x1.b443de2e08349p-2, 0x1.b12ffc2e1b03bp-2, 0x1.ae13a5af7c886p-2, 0x1.aaef2dcc6fb4dp-2, 0x1.a7c2e774123a1p-2, 0x1.a48f255c6c65bp-2, 0x1.a15439f4f6ddp-2, 0x1.9e1277598a57p-2, 0x1.9aca2f45be9b7p-2, 0x1.977bb308b774dp-2, 0x1.942753795eb5cp-2, 0x1.90cd60eb091cdp-2, 0x1.8d6e2b2283e52p-2, 0x1.8a0a014b927d7p-2, 0x1.86a131eecc1ffp-2, 0x1.83340ae7e8aecp-2, 0x1.7fc2d95c7086p-2, 0x1.7c4de9b2d1047p-2, 0x1.78d58789d86edp-2, 0x1.7559fdb08f81p-2, 0x1.71db961e7b3adp-2, 0x1.6e5a99ec38d62p-2, 0x1.6ad7514c7bdp-2, 0x1.67520385684e2p-2, 0x1.63caf6ea4a50dp-2, 0x1.604270d5a62c3p-2, 0x1.5cb8b5a3a39bbp-2, 0x1.592e08acce277p-2, 0x1.55a2ac412df08p-2, 0x1.5216e1a3b1da3p-2, 0x1.4e8ae905efe6cp-2, 0x1.4aff0184344e9p-2, 0x1.47736921dfc02p-2, 0x1.43e85cc614cbap-2, 0x1.405e1838b1d43p-2, 0x1.3cd4d61f92b1ep-2, 0x1.394ccffc1f4a9p-2, 0x1.35c63e291c944p-2, 0x1.324157d8c77a1p-2, 0x1.2ebe53132f169p-2, 0x1.2b3d64b4d46b5p-2, 0x1.27bec06d888bdp-2, 0x1.244298bf89ad4p-2, 0x1.20c91efedc063p-2, 0x1.1d528350e0411p-2, 0x1.19def4ac20072p-2, 0x1.166ea0d854994p-2, 0x1.1301b46ea3815p-2, 0x1.0f985ada0c86p-2, 0x1.0c32be580e26ep-2, 0x1.08d107f978b83p-2, 0x1.05735fa370fd8p-2, 0x1.0219ec10a0f26p-2, 0x1.fd89a5a52679cp-3, 0x1.f6e870a678b98p-3, 0x1.f0507fad4fd68p-3, 0x1.e9c216f9a1e9fp-3, 0x1.e33d78873be61p-3, 0x1.dcc2e41201aa5p-3, 0x1.d652971a77f9cp-3, 0x1.cfecccea8960fp-3, 0x1.c991be9a917a4p-3, 0x1.c341a3169c179p-3, 0x1.bcfcaf23e9085p-3, 0x1.b6c315669af8fp-3, 0x1.b0950667a141dp-3, 0x1.aa72b09ad216fp-3, 0x1.a45c406530b26p-3, 0x1.9e51e023605b2p-3, 0x1.9853b8303fe28p-3, 0x1.9261eeebae786p-3, 0x1.8c7ca8c172cddp-3, 0x1.86a40830401fep-3, 0x1.80d82dd0e3b8ap-3, 0x1.7b19385d86ab2p-3, 0x1.756744b90d77bp-3, 0x1.6fc26df693d61p-3, 0x1.6a2acd60f8545p-3, 0x1.64a07a827fb66p-3, 0x1.5f238b2c8baebp-3, 0x1.59b4137f608bap-3, 0x1.545225f1f734fp-3, 0x1.4efdd359de1d8p-3, 0x1.49b72af324c34p-3, 0x1.447e3a684d574p-3, 0x1.3f530dda4ab64p-3, 0x1.3a35afe8791a6p-3, 0x1.352629b8aa268p-3, 0x1.302482ff21fddp-3, 0x1.2b30c206a34f6p-3, 0x1.264aebb871b49p-3, 0x1.217303a455d1ep-3, 0x1.1ca90c0898ac4p-3, 0x1.17ed05da0282bp-3, 0x1.133ef0cbcb957p-3, 0x1.0e9ecb578886ap-3, 0x1.0a0c92c50c2dap-3, 0x1.0588433244226p-3, 0x1.0111d79b03b21p-3, 0x1.f95293c193176p-4, 0x1.f09d25a4e4279p-4, 0x1.e8035467c0145p-4, 0x1.df850d8b28f3dp-4, 0x1.d7223c986da7bp-4, 0x1.cedacb301dec4p-4, 0x1.c6aea118d0aa8p-4, 0x1.be9da44dd36b6p-4, 0x1.b6a7b90daa4b1p-4, 0x1.aeccc1e86938ep-4, 0x1.a70c9fcded8c5p-4, 0x1.9f67321be2d34p-4, 0x1.97dc56aba4f85p-4, 0x1.906be9dff1dbp-4, 0x1.8915c6b273262p-4, 0x1.81d9c6c1154e6p-4, 0x1.7ab7c25b3295fp-4, 0x1.73af908e8f723p-4, 0x1.6cc1073425814p-4, 0x1.65ebfafcbf5aep-4, 0x1.5f303f7d5ff3fp-4, 0x1.588da73b7d802p-4, 0x1.520403b9059d6p-4, 0x1.4b9325802f2f1p-4, 0x1.453adc2f1bab1p-4, 0x1.3efaf68342bf3p-4, 0x1.38d34264aa109p-4, 0x1.32c38cf0ea7ep-4, 0x1.2ccba286009b9p-4, 0x1.26eb4ecce9483p-4, 0x1.21225cc405f84p-4, 0x1.1b7096c954d7dp-4, 0x1.15d5c6a46b874p-4, 0x1.1051b59042df7p-4, 0x1.0ae42c44cb78bp-4, 0x1.058cf30051495p-4, 0x1.004bd190a591p-4, 0x1.f6411eb833efbp-5, 0x1.ec15e6d48a49ep-5, 0x1.e21588d92a085p-5, 0x1.d83f918d57d6dp-5, 0x1.ce938d2d162a9p-5, 0x1.c5110779191bdp-5, 0x1.bbb78bc64ffdbp-5, 0x1.b286a50d0b09ap-5, 0x1.a97dddf7c1b18p-5, 0x1.a09cc0f1728e5p-5, 0x1.97e2d833a1d95p-5, 0x1.8f4fadd3f6c93p-5, 0x1.86e2cbd17cc07p-5, 0x1.7e9bbc2180e92p-5, 0x1.767a08bc11858p-5, 0x1.6e7d3ba8232e8p-5, 0x1.66a4df075a3cdp-5, 0x1.5ef07d21747edp-5, 0x1.575fa06f5e7d2p-5, 0x1.4ff1d3a5ed9eap-5, 0x1.48a6a1c044188p-5, 0x1.417d9609dacc4p-5, 0x1.3a763c28392aap-5, 0x1.339020245bd05p-5, 0x1.2ccace73c43a1p-5, 0x1.2625d40132a06p-5, 0x1.1fa0be351b362p-5, 0x1.193b1afdc4dap-5, 0x1.12f478d718f7ep-5, 0x1.0ccc66d22c574p-5, 0x1.06c2749c76a35p-5, 0x1.00d63286c6655p-5, 0x1.f60e6317d095ep-6, 0x1.eaaa06ae10d1p-6, 0x1.df7e749396b4cp-6, 0x1.d48ad304545c2p-6, 0x1.c9ce49c0032e4p-6, 0x1.bf480214c4538p-6, 0x1.b4f726e94e766p-6, 0x1.aadae4c686564p-6, 0x1.a0f269e0a8df9p-6, 0x1.973ce61ff699bp-6, 0x1.8db98b28ef325p-6, 0x1.84678c64112f5p-6, 0x1.7b461f052b262p-6, 0x1.72547a123822fp-6, 0x1.6991d669dd10dp-6, 0x1.60fd6ec96e811p-6, 0x1.58967fd292865p-6, 0x1.505c481085ac9p-6, 0x1.484e07fcef5a2p-6, 0x1.406b02045eeeap-6, 0x1.38b27a8a6a973p-6, 0x1.3123b7ed71f2fp-6, 0x1.29be028a09769p-6, 0x1.2280a4be0837ep-6, 0x1.1b6aeaeb49068p-6, 0x1.147c237a17129p-6, 0x1.0db39edb483eep-6, 0x1.0710af8a13e57p-6, 0x1.0092aa0d91a58p-6, 0x1.f471c9f3e51p-7, 0x1.e80571e2f4344p-7, 0x1.dbdf014a4ea05p-7, 0x1.cffd31aa5b1c3p-7, 0x1.c45ec0a231162p-7, 0x1.b9026fef72a2ep-7, 0x1.ade7056dba1fap-7, 0x1.a30b4b157f504p-7, 0x1.986e0efa95c02p-7, 0x1.8e0e234a4466ap-7, 0x1.83ea5e48ecb3ep-7, 0x1.7a019a4f39fd5p-7, 0x1.7052b5c70ec4fp-7, 0x1.66dc932805a1dp-7, 0x1.5d9e18f38462bp-7, 0x1.549631b0a4f7ep-7, 0x1.4bc3cbe79e4a6p-7, 0x1.4325da1ce378dp-7, 0x1.3abb52cc172a9p-7, 0x1.328330627ff1ap-7, 0x1.2a7c713962a28p-7, 0x1.22a6179002521p-7, 0x1.1aff298569701p-7, 0x1.1386b111e9228p-7, 0x1.0c3bbc005f112p-7, 0x1.051d5be7478a8p-7, 0x1.fc554c433f571p-8, 0x1.eec5678f000f1p-8, 0x1.e189434d60d7cp-8, 0x1.d49f20759c48fp-8, 0x1.c805474afe66dp-8, 0x1.bbba074cbceb3p-8, 0x1.afbbb7259473ep-8, 0x1.a408b49b277adp-8, 0x1.989f647cff94ap-8, 0x1.8d7e329376c0ep-8, 0x1.82a3918e2e2bep-8, 0x1.780dfaf2725c3p-8, 0x1.6dbbef09651c4p-8, 0x1.63abf4ce01649p-8, 0x1.59dc99dadb6f6p-8, 0x1.504c7257e6b66p-8, 0x1.46fa18e7dccc1p-8, 0x1.3de42e959ffdp-8, 0x1.35095ac19416ap-8, 0x1.2c684b0eb8693p-8, 0x1.23ffb34fc49adp-8, 0x1.1bce4d743a7f3p-8, 0x1.13d2d9754b77cp-8, 0x1.0c0c1d42beaa5p-8, 0x1.0478e4afd468ap-8, 0x1.fa3002c01b727p-9, 0x1.ebd09567f0331p-9, 0x1.ddd13b6c10e65p-9, 0x1.d02fba0ed1ac8p-9, 0x1.c2e9e19989074p-9, 0x1.b5fd8d363c32p-9, 0x1.a968a2c931952p-9, 0x1.9d2912cad178dp-9, 0x1.913cd821a90f6p-9, 0x1.85a1f7fc29f1ap-9, 0x1.7a5681aae3c4p-9, 0x1.6f588e7acb5e9p-9, 0x1.64a6418f91288p-9, 0x1.5a3dc7be247c3p-9, 0x1.501d57676775ap-9, 0x1.4643305326debp-9, 0x1.3cad9b8b133b8p-9, 0x1.335aeb364573ap-9, 0x1.2a497a74a003bp-9, 0x1.2177ad3ab6baap-9, 0x1.18e3f02d9ae19p-9, 0x1.108cb87f4fb5bp-9, 0x1.087083cb180abp-9, 0x1.008dd7f2702fcp-9, 0x1.f1c685f3f384fp-10, 0x1.e2deb5cdadefep-10, 0x1.d4617b38d4354p-10, 0x1.c64c21742e918p-10, 0x1.b89c02f34f872p-10, 0x1.ab4e891b33153p-10, 0x1.9e612c004ab8ep-10, 0x1.91d172249ff34p-10, 0x1.859cf036dc7e3p-10, 0x1.79c148d1fa436p-10, 0x1.6e3c2c3dabf9bp-10, 0x1.630b582f0ef0bp-10, 0x1.582c978aa11f6p-10, 0x1.4d9dc226240e5p-10, 0x1.435cbc8c301a9p-10, 0x1.396777bf6b65bp-10, 0x1.2fbbf0ff5738fp-10, 0x1.2658318d374d7p-10, 0x1.1d3a4e7241d83p-10, 0x1.14606845c3331p-10, 0x1.0bc8aaf4d9199p-10, 0x1.03714d89fb745p-10, 0x1.f6b123ebb255cp-11, 0x1.e6f989b1f34d8p-11, 0x1.d7b87a9b69d76p-11, 0x1.c8eab9660e797p-11, 0x1.ba8d1cf128d22p-11, 0x1.ac9c8fd506ee7p-11, 0x1.9f160ffdd31d2p-11, 0x1.91f6ae469705p-11, 0x1.853b8e165c498p-11, 0x1.78e1e4fe8f31dp-11, 0x1.6ce6fa5b34c8ep-11, 0x1.614826f3cb39ap-11, 0x1.5602d49df803ep-11, 0x1.4b147de261b59p-11, 0x1.407aada18068fp-11, 0x1.3632febaae44ep-11, 0x1.2c3b1bb4c5e27p-11, 0x1.2290be6769947p-11, 0x1.1931afa6695e7p-11, 0x1.101bc6ee71aecp-11, 0x1.074cea122ae94p-11, 0x1.fd8619d4d859ap-12, 0x1.ecf8620c29da2p-12, 0x1.dceccab8cfb7fp-12, 0x1.cd5f8bff524f3p-12, 0x1.be4cf7a4379b7p-12, 0x1.afb17876f4ab8p-12, 0x1.a18991c129f53p-12, 0x1.93d1deb627b88p-12, 0x1.868711e69a95fp-12, 0x1.79a5f4b736a81p-12, 0x1.6d2b66d826851p-12, 0x1.61145dc0bdecdp-12, 0x1.555de42baf848p-12, 0x1.4a0519970bbf1p-12, 0x1.3f0731c5abaa4p-12, 0x1.34617444e5b5p-12, 0x1.2a113bf210ec7p-12, 0x1.2013f6836faaep-12, 0x1.16672414ab9b5p-12, 0x1.0d0856b3651a7p-12, 0x1.03f531ef0a83dp-12, 0x1.f656d4d792f55p-13, 0x1.e5518ae98531fp-13, 0x1.d4d6312770e19p-13, 0x1.c4e09251e84adp-13, 0x1.b56c980bda2a7p-13, 0x1.a6764a129ce2bp-13, 0x1.97f9cd7b90e97p-13, 0x1.89f363f6d43fep-13, 0x1.7c5f6b11fe04ep-13, 0x1.6f3a5b81dd2a7p-13, 0x1.6280c86fd09a7p-13, 0x1.562f5ec8f4a23p-13, 0x1.4a42e493900b8p-13, 0x1.3eb83845fb83p-13, 0x1.338c5023019d8p-13, 0x1.28bc39984f95dp-13, 0x1.1e4518a098b32p-13, 0x1.1424272cdb715p-13, 0x1.0a56b489d0e0dp-13, 0x1.00da24cec00bdp-13, 0x1.ef57e098fe95cp-14, 0x1.dd93460214ae4p-14, 0x1.cc61b81da2a38p-14, 0x1.bbbe9a6a38a31p-14, 0x1.aba5749b1af87p-14, 0x1.9c11f1957be6dp-14, 0x1.8cffde771b84p-14, 0x1.7e6b29a247b13p-14, 0x1.704fe1cf47e93p-14, 0x1.62aa351fa7e03p-14, 0x1.5576703c08bc2p-14, 0x1.48b0fd753401ep-14, 0x1.3c5663eb7f1eap-14, 0x1.306346b9da659p-14, 0x1.24d4642695608p-14, 0x1.19a694dafa7d7p-14, 0x1.0ed6cb1d9b6cap-14, 0x1.046212127b2c8p-14, 0x1.f48b19fd656f6p-15, 0x1.e0fced2a05a6cp-15, 0x1.ce14407fde5cep-15, 0x1.bbcbe2eac5fc9p-15, 0x1.aa1ece1c9fed4p-15, 0x1.99082543a1109p-15, 0x1.888333c5b976dp-15, 0x1.788b6c0b52b16p-15, 0x1.691c664d27dbbp-15, 0x1.5a31df6c97fc7p-15, 0x1.4bc7b7d11bd07p-15, 0x1.3dd9f24cc9b46p-15, 0x1.3064b30f23903p-15, 0x1.23643e96f4162p-15, 0x1.16d4f8afc6384p-15, 0x1.0ab36374d2898p-15, 0x1.fdf83cb85434bp-16, 0x1.e757ca8c74883p-16, 0x1.d17f1f2db7217p-16, 0x1.bc681e9f6e89ep-16, 0x1.a80ce076633b5p-16, 0x1.9467ae2743defp-16, 0x1.8173016138ac2p-16, 0x1.6f29827f47c45p-16, 0x1.5d860702498cdp-16, 0x1.4c83900fff5d5p-16, 0x1.3c1d4900a361ap-16, 0x1.2c4e85fc40c0cp-16, 0x1.1d12c29e13f5bp-16, 0x1.0e65a09c918c1p-16, 0x1.0042e67f7d95p-16, 0x1.e54cfccd45a88p-17, 0x1.cb18e9a4f922cp-17, 0x1.b1e1eef114f2dp-17, 0x1.99a0a8362b892p-17, 0x1.824deee8ed047p-17, 0x1.6be2d849582e2p-17, 0x1.5658b34320877p-17, 0x1.41a90675950b2p-17, 0x1.2dcd8e41b80f3p-17, 0x1.1ac03aeb9a7bbp-17, 0x1.087b2eb701567p-17, 0x1.edf1785591318p-18, 0x1.cc66c8ad27791p-18, 0x1.ac4baa5731acdp-18, 0x1.8d95cfc659b4cp-18, 0x1.703b3ee1cdd6bp-18, 0x1.54324dfaaed08p-18, 0x1.3971a0ea01a03p-18, 0x1.1ff02636e4e8dp-18, 0x1.07a5145cf3198p-18, 0x1.e10fce7af2e1dp-19, 0x1.b520bb0142407p-19, 0x1.8b6cec7b3ad93p-19, 0x1.63e4dce070c5p-19, 0x1.3e797d96e9f69p-19, 0x1.1b1c32cb0072p-19, 0x1.f37d9ebf06105p-20, 0x1.b4a72191353d6p-20, 0x1.799a361c13652p-20, 0x1.423ce9a8cdc41p-20, 0x1.0e7607a9ed58dp-20, 0x1.bc5a24b8e847bp-21, 0x1.629477dfffd33p-21, 0x1.0f6cbfdf08148p-21, 0x1.856bf315228acp-22, 0x1.f1116e6852204p-23, 0x1.df6a525f9e964p-24, 0x1.874bf9180f8d5p-29, -0x1.98b0108c39ec4p-24, -0x1.8847d6bb15d5ap-23, -0x1.1725c38fc68e6p-22, -0x1.5f7c41c03eac7p-22, -0x1.9d703cccb2ba4p-22, -0x1.d148be8d753fp-22, -0x1.fb4b15685b5dap-22, -0x1.0ddd72bfcc131p-21, -0x1.196d1c080f3f6p-21, -0x1.2074c5c6b614fp-21, -0x1.2313f0d9e8791p-21, -0x1.2169672da79c2p-21, -0x1.1b934240aa698p-21, -0x1.11aef26a008a8p-21, -0x1.03d943ed70b9bp-21, -0x1.e45cca38aaff3p-22, -0x1.b993d8d46d0fcp-22, -0x1.878dbcaca9731p-22, -0x1.4e7f6478f396bp-22, -0x1.0e9cad367e934p-22, -0x1.9030dbb8bf145p-23, -0x1.ec91fc5fee00cp-24, -0x1.3f8e2529f0b37p-25, 0x1.8a7e52738136ep-25, 0x1.20e2357d045c7p-23, 0x1.ea87ee10148e8p-23, 0x1.5f9afeafe9786p-22, 0x1.cf499fea828a9p-22, 0x1.2212092b44898p-21, 0x1.5effa805646cdp-21, 0x1.9e58875ab25e8p-21, 0x1.e007dc9cb3229p-21, 0x1.11fc9b1a5db17p-20, 0x1.350c3c3ddaae6p-20, 0x1.5928edb064bf6p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      22, 0x1.f333333333333p+1, 0x1.c00343faf8a8cp+1, 0x1.81126c6e97b9ap+2, -0x1.1d4ee08774e1cp-8, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.2d48508c06e44p-6, -0x1.460ae7fb44e77p-4, 0x1.1d4b9f56774acp-3, -0x1.9c38c9f75ee2ap-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.e325c34e0dae1p-7, -0x1.10133f6382e05p-4, 0x1.fcc1ed2e39f32p-4, -0x1.9c73dd230fa74p-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.801483b84a587p-7, -0x1.c095ed89d2b7fp-5, 0x1.bee3bf35c466fp-4, -0x1.9b8790744c0d2p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.2ee3a6fef6ff4p-7, -0x1.6d6173b4039dep-5, 0x1.812903245297fp-4, -0x1.9efdb003aa382p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.da33e3948db85p-8, -0x1.2692d0985317cp-5, 0x1.42e95bf092a96p-4, -0x1.852430676d465p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.7082efe210572p-8, -0x1.d7a817775ce14p-6, 0x1.088a54addbdf1p-4, -0x1.4df466a6b58b9p-4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.1c1806f29aacap-8, -0x1.77dbee6f23f9ep-6, 0x1.ace4f0f68146ep-5, -0x1.1b3b0a0eb9224p-4}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.b1ddee6458725p-9, -0x1.2a93c11a70f4cp-6, 0x1.57ecd4587cf03p-5, -0x1.ce21e9d5894f6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4744cf93aa5a6p-9, -0x1.d972c11555551p-7, 0x1.129af14541f0ap-5, -0x1.6866a99be9d6fp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.e5af627ed9bb2p-10, -0x1.766b0e9f96743p-7, 0x1.b917160ef0ee1p-6, -0x1.f652648229d32p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.608e895c06564p-10, -0x1.25bc27e11ca7fp-7, 0x1.6dbded61d10e9p-6, -0x1.7dec4c2adb7f7p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f1db7417e6dfp-11, -0x1.c4a182736c458p-8, 0x1.3474152830218p-6, -0x1.677da87a7a7bcp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.540b0ec173264p-11, -0x1.5408c4299503ep-8, 0x1.fd0f44920851ap-7, -0x1.4262bbadf649bp-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.be3465d878048p-12, -0x1.efc9ab5b8246bp-9, 0x1.9c580c443e6e3p-7, -0x1.2136701c56266p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.169039f689c02p-12, -0x1.5c33f4db82f48p-9, 0x1.4594843bbe2fcp-7, -0x1.fdf7d17692cbdp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.4693d5f428405p-13, -0x1.d28a3574be406p-10, 0x1.f22b7cd3e9efbp-8, -0x1.ba175eba14b1ep-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.608e895c065afp-14, -0x1.25cc22cefb83cp-10, 0x1.6d8ae068e3b9ap-8, -0x1.7600f38602938p-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.540b0ec173353p-15, -0x1.540a909793152p-11, 0x1.faaec84e2c4ecp-9, -0x1.322dce2aa6a38p-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.169039f689db1p-16, -0x1.5c38230f53aa7p-12, 0x1.42f9b30161ebap-9, -0x1.db0713c805c3ep-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.608e895c06e4p-18, -0x1.25af40f0497cap-13, 0x1.68ef26f126c94p-10, -0x1.57e4f6e397c15p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.169039f68bffep-20, -0x1.5de336b6ac2a5p-15, 0x1.3531f26acaac2p-11, -0x1.7b4ed2649b349p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.169039f6acp-24, -0x1.29f2065ba78fcp-18, 0x1.467103ece95fep-13, -0x1.fb9f6e6e03a42p-9}, 
      }}, 
      0x1.dda86810857ep-5, -0x1.701b4a1a2ffdp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.c054ef459d99p-6, -0x1.9c8323358f2ep-4, -0x1.0917d6b65a9a8p-7, 0x1.521ff2e48e8a7p-3, 0x1.521ff2e48e8a7p-3, 0x1.521ff2e48e8a7p-3, 0, 0, 1}, 
    {{
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{-0x1.4432649ac58efp-1, -0x1.3dc9b51ee640cp-1, -0x1.3379dfd78c5e4p-1, -0x1.25b3ab9ae219ap-1, -0x1.14f8f85d6b087p-1, -0x1.01d0eadbfb5c7p-1, -0x1.d982101b57e2ap-2, -0x1.ac908e97ebc06p-2, -0x1.7db807632d073p-2, -0x1.4dcc67a436c5p-2, -0x1.1d89195aa4e21p-2, -0x1.db215679a5903p-3, -0x1.7cdacead51a38p-3, -0x1.212520e8565c9p-3, -0x1.91781b31c1269p-4, -0x1.d0d13f57d1184p-5, -0x1.1ffd75cf93627p-6, 0x1.3c78040f522ddp-6, 0x1.b8ff992b8df0dp-5, 0x1.5fe4d4e6d95cbp-4, 0x1.d933690995cadp-4, 0x1.2439782758098p-3, 0x1.56e3090370b82p-3, 0x1.84b2f9cb548efp-3, 0x1.adce8d892ff42p-3, 0x1.d261e6487f945p-3, 0x1.f29e91eaece72p-3, 0x1.075ce04fffbefp-2, 0x1.13759ddc1d27ap-2, 0x1.1db6307189e4ap-2, 0x1.263b9bd743b65p-2, 0x1.2d22e8d669417p-2, 0x1.3288c466dcc7bp-2, 0x1.36894f612fa3bp-2, 0x1.393fe2dfe8c7p-2, 0x1.3ac6e6d06a293p-2, 0x1.3b37b1147cee7p-2, 0x1.3aaa779b1b279p-2, 0x1.39362dc4de1b1p-2, 0x1.36f090b9338c7p-2, 0x1.33ee147557599p-2, 0x1.3041e6c2432c8p-2, 0x1.2bfdf8d4903ddp-2, 0x1.2733011d4db66p-2, 0x1.21f084f0afa17p-2, 0x1.1c44e51439ed2p-2, 0x1.163d69e89825ap-2, 0x1.0fe64fbdb4dd9p-2, 0x1.094ad527be7b8p-2, 0x1.02754902a4387p-2, 0x1.f6de33bcf9ad7p-3, 0x1.e881c20f54369p-3, 0x1.d9e4ec076243p-3, 0x1.cb15ed04e3c47p-3, 0x1.bc21aec60f42ap-3, 0x1.ad13dce5eef91p-3, 0x1.9df70538c4d66p-3, 0x1.8ed4aa98fcf9ep-3, 0x1.7fb552815a3aap-3, 0x1.70a0a690bd493p-3, 0x1.619d82f90e394p-3, 0x1.52b205a686c2cp-3, 0x1.43e39eb536bf1p-3, 0x1.353731b746c3fp-3, 0x1.26b0f198332fp-3, 0x1.1854b53680da5p-3, 0x1.0a25cb3cd856ep-3, 0x1.f84e334aa1613p-4, 0x1.dcb64dd47513bp-4, 0x1.c188449d69297p-4, 0x1.a6c7df591bc35p-4, 0x1.8c7851683219cp-4, 0x1.729c45899f851p-4, 0x1.5935fe818ded3p-4, 0x1.40474f5205888p-4, 0x1.27d1abb768507p-4, 0x1.0fd63160273dap-4, 0x1.f0ab5f52cc67ep-5, 0x1.c2a15f28e5775p-5, 0x1.958ef46c847bp-5, 0x1.69743d59cb82ap-5, 0x1.3e50f002279e4p-5, 0x1.1424641b0f174p-5, 0x1.d5db379855503p-6, 0x1.85569867ad656p-6, 0x1.36b7ca5048337p-6, 0x1.d3f65f9414184p-7, 0x1.3e3974fd02ab1p-7, 0x1.585fdc50eebc3p-8, 0x1.dd02fffaf72cdp-11, -0x1.b3c005f88436fp-9, -0x1.e836e350d9fc8p-8, -0x1.77bd6a5abe9d7p-7, -0x1.f7e1a4665f6cdp-7, -0x1.3a4a1c712c875p-6, -0x1.76f0c9fa7b62ep-6, -0x1.b1eb3439a7a6ap-6, -0x1.eb3fd21d178abp-6, -0x1.117a995e07c9fp-5, -0x1.2c88fc0ffa6bep-5, -0x1.46ce6950456a2p-5, -0x1.604e3e382a7a3p-5, -0x1.790bdab9706abp-5, -0x1.910a9fca430dfp-5, -0x1.a84ded833186p-5, -0x1.bed9217de759p-5, -0x1.d4af9559fb766p-5, -0x1.e9d49d2ec4465p-5, -0x1.fe4b865358accp-5, -0x1.090bcb19c0d44p-4, -0x1.129e04870e914p-4, -0x1.1bde088a6fbafp-4, -0x1.24cd6ac3a3cfcp-4, -0x1.2d6db8d311d0cp-4, -0x1.35c07a0336ac8p-4, -0x1.3dc7303b1ca32p-4, -0x1.4583536ebf7f3p-4, -0x1.4cf6578651d45p-4, -0x1.5421a7bb5f5c4p-4, -0x1.5b06a8bd96674p-4, -0x1.61a6b6155c0afp-4, -0x1.680322016a3cp-4, -0x1.6e1d3e05d823ep-4, -0x1.73f649ebc3d6fp-4, -0x1.798f8547a2b25p-4, -0x1.7eea23a0c4667p-4, -0x1.840751110404cp-4, -0x1.88e833ad2024fp-4, -0x1.8d8deb67b39aap-4, -0x1.91f985b99cc2dp-4, -0x1.962c1748c89c3p-4, -0x1.9a26a5b19e1fdp-4, -0x1.9dea2c98a1ca3p-4, -0x1.a177a310c6c35p-4, -0x1.a4cffc70f8a6cp-4, -0x1.a7f424f353395p-4, -0x1.aae4f888a8f89p-4, -0x1.ada354ce99dd4p-4, -0x1.b0301410c2d96p-4, -0x1.b28c0465b6eeap-4, -0x1.b4b7edd416b5bp-4, -0x1.b6b494e332fb3p-4, -0x1.b882b71c42a7ep-4, -0x1.ba2311e42b2cp-4, -0x1.bb9657ceb6c1fp-4, -0x1.bcdd3752bd212p-4, -0x1.bdf85af64dfd9p-4, -0x1.bee86b1c692b6p-4, -0x1.bfae0839b9d6fp-4, -0x1.c049d375523fap-4, -0x1.c0bc69678578ep-4, -0x1.c1065d0ad113cp-4, -0x1.c12844c94cd9fp-4, -0x1.c122b36206e14p-4, -0x1.c0f635c875c88p-4, -0x1.c0a35a245f867p-4, -0x1.c02aa8d93b608p-4, -0x1.bf8caed50b23ep-4, -0x1.bec9ea8b5ab5ep-4, -0x1.bde2e445e515dp-4, -0x1.bcd81f7a8d25fp-4, -0x1.bbaa1dde71c54p-4, -0x1.ba595dae26dbbp-4, -0x1.b8e66234d2b6ep-4, -0x1.b751a7259f916p-4, -0x1.b59baf170d622p-4, -0x1.b3c4f272aca58p-4, -0x1.b1cdf27b83ec2p-4, -0x1.afb72c1c690a9p-4, -0x1.ad811cbca5482p-4, -0x1.ab2c4215c749bp-4, -0x1.a8b918d9ffa6ap-4, -0x1.a628227f7c8f2p-4, -0x1.a379dc115218ap-4, -0x1.a0aec5dc1e868p-4, -0x1.9dc75d1b1075fp-4, -0x1.9ac42595743fap-4, -0x1.97a5a0dad0c76p-4, -0x1.946c5150f7b6p-4, -0x1.9118baa6b2f64p-4, -0x1.8dab61b029aacp-4, -0x1.8a24cb188079p-4, -0x1.868581339617cp-4, -0x1.82ce09bba4204p-4, -0x1.7efef164b85adp-4, -0x1.7b18be725a44ep-4, -0x1.771bff4f88824p-4, -0x1.730941b1c1c27p-4, -0x1.6ee1141682e5p-4, -0x1.6aa4064764d4ep-4, -0x1.6652a8dea8589p-4, -0x1.61ed903289187p-4, -0x1.5d754ceedb68cp-4, -0x1.58ea755fa10a4p-4, -0x1.544da01d117ap-4, -0x1.4f9f649c0fb4cp-4, -0x1.4ae05a6e1ca17p-4, -0x1.461118e97ef99p-4, -0x1.41323c2926c29p-4, -0x1.3c445f1165be6p-4, -0x1.37481d59b74dep-4, -0x1.323e13998bc12p-4, -0x1.2d26df218d358p-4, -0x1.28031de3c98f6p-4, -0x1.22d36e67cf614p-4, -0x1.1d986f75abdbdp-4, -0x1.1852bf56bcd1p-4, -0x1.1302ff8e20e1cp-4, -0x1.0da9cdb62c4a3p-4, -0x1.0847ccc729389p-4, -0x1.02dd982f5ba28p-4, -0x1.fad7a24d96b59p-5, -0x1.efe62eebca88dp-5, -0x1.e4e813b44dfep-5, -0x1.d9de8d75b8923p-5, -0x1.cecad8049e929p-5, -0x1.c3ae2df008d5dp-5, -0x1.b889c8480fbdap-5, -0x1.ad5ede6d7238fp-5, -0x1.a22ea5e9a58a1p-5, -0x1.96fa5227d236cp-5, -0x1.8bc312f83c2c4p-5, -0x1.808a184e638fap-5, -0x1.75508d5e3f9a4p-5, -0x1.6a179d8d3649p-5, -0x1.5ee06cccbc9fep-5, -0x1.53ac1b72cc199p-5, -0x1.487bcba5e3bd1p-5, -0x1.3d50991f628f4p-5, -0x1.322b9bb61ae92p-5, -0x1.270de78b80464p-5, -0x1.1bf88ccb18d12p-5, -0x1.10ec977a59b5ap-5, -0x1.05eb0f5248014p-5, -0x1.f5e9ef3a0d74fp-6, -0x1.e0169e2ce204ap-6, -0x1.ca5e1fa39d35ep-6, -0x1.b4c25e4a4e3d5p-6, -0x1.9f453a8f678fbp-6, -0x1.89e889863975cp-6, -0x1.74ae1cd8125a7p-6, -0x1.5f97aac081e77p-6, -0x1.4aa6fcc88fdfdp-6, -0x1.35ddb8ab07119p-6, -0x1.213d74a07bd11p-6, -0x1.0cc7d374a8e2ap-6, -0x1.f0fcbf44ed4a4p-7, -0x1.c8c5329521085p-7, -0x1.a0ebeba587146p-7, -0x1.7973bec9dae01p-7, -0x1.525f698c47a26p-7, -0x1.2bb19285069c7p-7, -0x1.056cc93f53ccdp-7, -0x1.bf270c480d34cp-8, -0x1.745054bd512dap-8, -0x1.2a59fe80f57f3p-8, -0x1.c290ec312f583p-9, -0x1.323fd101eeba6p-9, -0x1.47919cab6dcb2p-10, -0x1.733872b2bae97p-13, 0x1.cde276f24b43bp-11, 0x1.f869524ba4dc4p-10, 0x1.82f9e7fac1888p-9, 0x1.03e10c6756839p-8, 0x1.4543bc3e06b81p-8, 0x1.85a22be4981d3p-8, 0x1.c4f9bde720a6cp-8, 0x1.01a4050b3a98bp-7, 0x1.20455e177cb9ep-7, 0x1.3e5fe717a1edp-7, 0x1.5bf2a6e45318ap-7, 0x1.78fcbc9d21c1ap-7, 0x1.957d5c862cc63p-7, 0x1.b173cfc7f3a88p-7, 0x1.ccdf742c87db2p-7, 0x1.e7bfbbdc51f76p-7, 0x1.010a168b907ccp-6, 0x1.0dee30f4182a7p-6, 0x1.1a8c03ec238a5p-6, 0x1.26e36fcc50f55p-6, 0x1.32f45e558d5f1p-6, 0x1.3ebec29fce5dp-6, 0x1.4a42998eb93cfp-6, 0x1.557fe7c13b125p-6, 0x1.6076ba92787cdp-6, 0x1.6b27289e4c18dp-6, 0x1.75914ea7007dfp-6, 0x1.7fb55912546ebp-6, 0x1.899374a7f70fcp-6, 0x1.932bd78da6c79p-6, 0x1.9c7ec0bae5bdcp-6, 0x1.a58c769159052p-6, 0x1.ae5546a582dc5p-6, 0x1.b6d9859e15f27p-6, 0x1.bf198f092c81cp-6, 0x1.c715c52d7883ep-6, 0x1.cece90da19ae7p-6, 0x1.d644613406158p-6, 0x1.dd77ab85076c1p-6, 0x1.e468eb09d716bp-6, 0x1.eb18a0c06ce8cp-6, 0x1.f187533653827p-6, 0x1.f7b58e571062fp-6, 0x1.fda3e33aa1cb6p-6, 0x1.01a973f9fdf69p-5, 0x1.04619baf7c53bp-5, 0x1.06fab876a9318p-5, 0x1.09751c3e6536ep-5, 0x1.0bd11b358aa74p-5, 0x1.0e0f0b86ee9ecp-5, 0x1.102f44b2965f7p-5, 0x1.1232210d9fd2fp-5, 0x1.1417fae61ca1cp-5, 0x1.15e131108c9ecp-5, 0x1.178e224cda0c6p-5, 0x1.191f2e318ca1p-5, 0x1.1a94b668a22bep-5, 0x1.1bef1df6aa19cp-5, 0x1.1d2ec90f87666p-5, 0x1.1e541d01b3499p-5, 0x1.1f5f8027cafcdp-5, 0x1.205159d61b2c9p-5, 0x1.212a1242d046dp-5, 0x1.21ea1274b56f7p-5, 0x1.2291c42fee987p-5, 0x1.232191ed00ba8p-5, 0x1.2399e7396ced1p-5, 0x1.23fb2d43cf3dbp-5, 0x1.2445d31bf956dp-5, 0x1.247a4352073ccp-5, 0x1.2498eaf112619p-5, 0x1.24a236ce0e46dp-5, 0x1.249693ef44eaap-5, 0x1.24766f768d5a2p-5, 0x1.2442369064043p-5, 0x1.23fa5663e6b07p-5, 0x1.239f3c03784a8p-5, 0x1.2331546323bcbp-5, 0x1.22b10c5ad375ep-5, 0x1.221ed05472c95p-5, 0x1.217b0c6d00b2cp-5, 0x1.20c62c7942cacp-5, 0x1.20009b8744865p-5, 0x1.1f2ac585fad1bp-5, 0x1.1e45149a7dbb8p-5, 0x1.1d4ff2754707cp-5, 0x1.1c4bc87722b0cp-5, 0x1.1b38ff5faab35p-5, 0x1.1a17ff3c157dcp-5, 0x1.18e92f600625dp-5, 0x1.17acf65d5f4a2p-5, 0x1.1663b9fb65ae2p-5, 0x1.150ddf2ded096p-5, 0x1.13abca0cabe5dp-5, 0x1.123dddcb37517p-5, 0x1.10c47cb182816p-5, 0x1.0f40080eba7dcp-5, 0x1.0db0e03dbfbbep-5, 0x1.0c17649223108p-5, 0x1.0a73f35824fb9p-5, 0x1.08c6e9cbc6522p-5, 0x1.0710a4141d622p-5, 0x1.05517d3d568p-5, 0x1.0389cf337077p-5, 0x1.01b9f2bd2aefap-5, 0x1.ffc47eeecf13ap-6, 0x1.fc0617a158c6cp-6, 0x1.f8395a09df9c2p-6, 0x1.f45eee3377426p-6, 0x1.f07779b5661eep-6, 0x1.ec839faee6cf9p-6, 0x1.e88400c92bf86p-6, 0x1.e4793b1919d96p-6, 0x1.e063ea14a472p-6, 0x1.dc44a6c9dad83p-6, 0x1.d81c0758f5f05p-6, 0x1.d3eaa028361fbp-6, 0x1.cfb1026274f31p-6, 0x1.cb6fbc7553e46p-6, 0x1.c7275a6a04c14p-6, 0x1.c2d865b0cd75ap-6, 0x1.be836516f5bc9p-6, 0x1.ba28dcc811db6p-6, 0x1.b5c94e4f26a9dp-6, 0x1.b165389750583p-6, 0x1.acfd17ec6a9d7p-6, 0x1.a89165fc09d27p-6, 0x1.a42299d707d3p-6, 0x1.9fb127f396929p-6, 0x1.9b3d822e8cf44p-6, 0x1.96c817cdd4da4p-6, 0x1.92515583e062ap-6, 0x1.8dd9a571bf4cfp-6, 0x1.89616f2db71f4p-6, 0x1.84e917cceb342p-6, 0x1.8071024a6e318p-6, 0x1.7bf98be803264p-6, 0x1.778317758f329p-6, 0x1.730dfbb232545p-6, 0x1.6e9a92a3489d7p-6, 0x1.6a29326b8d0b9p-6, 0x1.65ba2ecfc4d37p-6, 0x1.614dd93308b2p-6, 0x1.5ce4809b20f92p-6, 0x1.587e71b6a0732p-6, 0x1.541bf6e37ea4cp-6, 0x1.4fbd58355ce98p-6, 0x1.4b62db78dc068p-6, 0x1.470cc43909f2ap-6, 0x1.42bb53f5627b4p-6, 0x1.3e6eca6ec6843p-6, 0x1.3a2768b46c71ep-6, 0x1.35e55c28676c3p-6, 0x1.31a8ea5c78a46p-6, 0x1.2d724a82eee0bp-6, 0x1.2941ac4b25cc8p-6, 0x1.25173e543d474p-6, 0x1.20f33a9c410abp-6, 0x1.1cd5cc992a99bp-6, 0x1.18bf20bb0b0f7p-6, 0x1.14af61e8dc005p-6, 0x1.10a6b92b1fa5fp-6, 0x1.0ca54db18a77dp-6, 0x1.08ab44e6133dcp-6, 0x1.04b8c28278ef6p-6, 0x1.00cde8952473fp-6, 0x1.f9d5af865326bp-7, 0x1.f21f5e7aed503p-7, 0x1.ea791945c81d8p-7, 0x1.e2e318a84eefp-7, 0x1.db5d92535bdc6p-7, 0x1.d3e8b8d5f323cp-7, 0x1.cc84bb63df941p-7, 0x1.c531c590a31b2p-7, 0x1.bdefff181d52cp-7, 0x1.b6bf8bc5f2e8p-7, 0x1.afa08b8b8411ep-7, 0x1.a8931acfbcd5fp-7, 0x1.a19752fab9c33p-7, 0x1.9aad4b3454f74p-7, 0x1.93d5193fa38f9p-7, 0x1.8d0ed2536a3bcp-7, 0x1.865a8bc84c81cp-7, 0x1.7fb85b7589bf4p-7, 0x1.7928579c47953p-7, 0x1.72aa965006359p-7, 0x1.6c3f2c5d42f0fp-7, 0x1.65e62bc05f478p-7, 0x1.5f9fa1fc31cc7p-7, 0x1.596b97359df12p-7, 0x1.534a0c29adb3dp-7, 0x1.4d3afa9713f5ep-7, 0x1.473e540162e67p-7, 0x1.41540263247bp-7, 0x1.3b7befbcb6e65p-7, 0x1.35b604936091cp-7, 0x1.30022b5d0d29cp-7, 0x1.2a60543b371d7p-7, 0x1.24d07745afeb4p-7, 0x1.1f529591f63abp-7, 0x1.19e6b8b8cdd0bp-7, 0x1.148cf0be0893fp-7, 0x1.0f45508559d99p-7, 0x1.0a0fe9f116fd4p-7, 0x1.04ecc2a97db03p-7, 0x1.ffb7c03b1bd1cp-8, 0x1.f5ba57c25b90ep-8, 0x1.ebe109dfde101p-8, 0x1.e22b6f4d6755dp-8, 0x1.d899045d4acfbp-8, 0x1.cf2932bf80ed2p-8, 0x1.c5db5e9ae24e7p-8, 0x1.bcaef53c6737ep-8, 0x1.b3a37b57f32acp-8, 0x1.aab898cc331bcp-8, 0x1.a1ee2010a82a7p-8, 0x1.99440fef5811cp-8, 0x1.90ba8eea03453p-8, 0x1.8851e087e2a6fp-8, 0x1.800a55b7d55cp-8, 0x1.77e43a4a47b63p-8, 0x1.6fdfc2152e414p-8, 0x1.67fcf89af65f6p-8, 0x1.603bb5997a757p-8, 0x1.589b98452714dp-8, 0x1.511c09f4f89fbp-8, 0x1.49bc47c649347p-8, 0x1.427b71d417ee2p-8, 0x1.3b589def27ae9p-8, 0x1.3452eb6af7e6ap-8, 0x1.2d699583c44b1p-8, 0x1.269c027a599fp-8, 0x1.1fe9cf4f669a3p-8, 0x1.1952d15ee43efp-8, 0x1.12d7140d70de2p-8, 0x1.0c76cab7d4383p-8, 0x1.06323f16eb418p-8, 0x1.0009cd4e6fe1ep-8, 0x1.f3fb8495f3d09p-9, 0x1.e81c94bcadf56p-9, 0x1.dc76cc7d184efp-9, 0x1.d109c837e470ap-9, 0x1.c5d4bee4e9a21p-9, 0x1.bad68e5894a81p-9, 0x1.b00dd25ce2a7bp-9, 0x1.a57904e0f5872p-9, 0x1.9b1692e295a68p-9, 0x1.90e5060febeb5p-9, 0x1.86e31647742a5p-9, 0x1.7d0fba0c0be1cp-9, 0x1.736a2a8950147p-9, 0x1.69f1dc08cc16cp-9, 0x1.60a66dff3218bp-9, 0x1.578797cd48ae8p-9, 0x1.4e95180f0d65dp-9, 0x1.45ceaabc9e914p-9, 0x1.3d3406fce8aeap-9, 0x1.34c4e1fb2d9b9p-9, 0x1.2c80f1e9edf2ep-9, 0x1.2467ec8b7dab8p-9, 0x1.1c797efa8f624p-9, 0x1.14b5401450193p-9, 0x1.0d1aab1efa127p-9, 0x1.05a9d02fc7607p-9, 0x1.fcbe31d30ce1p-10, 0x1.ee7bd18018253p-10, 0x1.e085819828b6fp-10, 0x1.d2dc4457a3fd4p-10, 0x1.c57f932a1c9b4p-10, 0x1.b86f7699f6ef8p-10, 0x1.ababd2ff3dcf4p-10, 0x1.9f340023d9d2ep-10, 0x1.93066d4d83e6p-10, 0x1.87206ed01683bp-10, 0x1.7b7e7c8a5da6fp-10, 0x1.701cb134e6fd3p-10, 0x1.64f776a0a554dp-10, 0x1.5a0c2c39547ep-10, 0x1.4f59939b0957ep-10, 0x1.44dfba69404bcp-10, 0x1.3a9f9572315fdp-10, 0x1.309a1a622d6c4p-10, 0x1.26cfcac4d7792p-10, 0x1.1d40668f7a4b9p-10, 0x1.13eadc95dd72ep-10, 0x1.0acdea9d0e49cp-10, 0x1.01e8ce88c81c7p-10, 0x1.f2776c8448422p-11, 0x1.e18f7caefeffp-11, 0x1.d11cfa8533237p-11, 0x1.c122929bc4531p-11, 0x1.b1a1007e37b65p-11, 0x1.a2961e54c0d16p-11, 0x1.93fcaaa29172fp-11, 0x1.85ccb256578a5p-11, 0x1.77fc78583f417p-11, 0x1.6a81c87e63646p-11, 0x1.5d53a5888b4a7p-11, 0x1.506c064df930ep-11, 0x1.43c900b5a8cd5p-11, 0x1.376cae8380825p-11, 0x1.2b5b900bd4cc6p-11, 0x1.1f9a0adc495b9p-11, 0x1.142a448351d03p-11, 0x1.090b6ea2f07ffp-11, 0x1.fc756032c7624p-12, 0x1.e769d832c838p-12, 0x1.d2f0cd27b36e2p-12, 0x1.bf0b2d6bf074ep-12, 0x1.abbdb6d7cc885p-12, 0x1.990e4ef064afdp-12, 0x1.8700952975936p-12, 0x1.7593b53c23ba9p-12, 0x1.64c2a74331a29p-12, 0x1.54862bf3a2784p-12, 0x1.44d6bbaf40a9dp-12, 0x1.35ad18c01fac7p-12, 0x1.2701889d29bf9p-12, 0x1.18cad4eaa60edp-12, 0x1.0afe6da31afb3p-12, 0x1.fb246e3335213p-13, 0x1.e0fe7ca708568p-13, 0x1.c78755ed2b241p-13, 0x1.aec4f85bc7728p-13, 0x1.96c1f4875088ap-13, 0x1.7f86fa22553fbp-13, 0x1.6916e5144981ep-13, 0x1.536d64997e063p-13, 0x1.3e81ccc2c52c2p-13, 0x1.2a4b32695c05p-13, 0x1.16c978bed00adp-13, 0x1.0404964bf3607p-13, 0x1.e4067b6871054p-14, 0x1.c186698f27253p-14, 0x1.a072b8153f81fp-14, 0x1.80aa3b08ec545p-14, 0x1.6217f933e64c9p-14, 0x1.44ac612a2266fp-14, 0x1.2862387075bf3p-14, 0x1.0d3b462357914p-14, 0x1.e67aded7b3941p-15, 0x1.b4dcc0f692acfp-15, 0x1.859bd46120301p-15, 0x1.58a01b6c0408bp-15, 0x1.2db47337db09dp-15, 0x1.04899bcc6b0a8p-15, 0x1.ba506478a9ffdp-16, 0x1.6d7650cce3178p-16, 0x1.2339ee47e5f65p-16, 0x1.b9ed321d4f7a7p-17, 0x1.34da51456135bp-17, 0x1.6d77a604fdf33p-18, 0x1.f5cc808d0ba24p-20, -0x1.99ecf046ecf6dp-20, -0x1.3d087a855be71p-18, -0x1.02ceaa8f9b02p-17, -0x1.60a3ffb15e39dp-17, -0x1.b8e3d1d5cc801p-17, -0x1.061bddc5b6b05p-16, -0x1.2d777b82c6448p-16, -0x1.528ffe327692bp-16, -0x1.7569140780735p-16, -0x1.9609e4e4d23fep-16, -0x1.b47c28afe7914p-16, -0x1.d0c286cd63b22p-16, -0x1.eace8c66cb439p-16, -0x1.0140b8a8ed693p-15, -0x1.0bde1f37a7dc6p-15, -0x1.153ba085c1b12p-15, -0x1.1d6df11cc7b14p-15, -0x1.24b08f4a45dfap-15, -0x1.2b58d8bf611dfp-15, -0x1.318e414f3859ap-15, -0x1.37192575af269p-15, -0x1.3bb2436f65fc3p-15, -0x1.3f6b4aff14dc7p-15, -0x1.4285374649d66p-15, -0x1.44ff08a84db11p-15, -0x1.46a86554a1d7p-15, -0x1.477d7e0fa2a9cp-15, -0x1.47a0e2ca1accp-15, -0x1.473582b2bd76ep-15, -0x1.464abd4e95a95p-15, -0x1.44e32a98eb333p-15, -0x1.42fe63b590cc7p-15, -0x1.409d27057e6b1p-15, -0x1.3dc1ffda3ac24p-15, -0x1.3a70fda4cce5bp-15, -0x1.36af73319761p-15, -0x1.32837dc93f501p-15, -0x1.2df29a5eea1dfp-15, -0x1.28ffbec69a58dp-15, -0x1.23aad69893778p-15, -0x1.1df202d02a8e6p-15, -0x1.17d5562bdc9e7p-15, -0x1.1154ee4a85c84p-15, -0x1.0a6ff53cfdb29p-15, -0x1.0342348617bf1p-15, -0x1.f7d3b1492a50ap-16, -0x1.e8c5dfb99c4bbp-16, -0x1.d92a0d6364aap-16, -0x1.c9368e6ce95adp-16, -0x1.b9040d3b0360fp-16, -0x1.a84a1a3e56001p-16, -0x1.97005f3495c0bp-16, -0x1.855b2b7ee42aap-16, -0x1.73792610a6e05p-16, -0x1.615ed19b0fe0dp-16, -0x1.4f0a643333174p-16, -0x1.3c7c1aa49c173p-16, -0x1.29b71ced528b6p-16, -0x1.16c01fb2f3a1dp-16, -0x1.039c7badc527p-16, -0x1.e0a307eee2d92p-17, -0x1.b9c8a6143a2a1p-17, -0x1.92b47b56e05b6p-17, -0x1.6b78c1450453cp-17, -0x1.431a859e7d5c6p-17, -0x1.1b58547125da6p-17, -0x1.e9b91566c85afp-18, -0x1.9a3a15679b552p-18, -0x1.4acc4cb9ddd15p-18, -0x1.f6d8e787477f2p-19, -0x1.583b09c272601p-19, -0x1.72ed63a0601cfp-20, -0x1.a7d6490596459p-23, 0x1.07d714516bd47p-20, 0x1.2177e191d84f9p-19, 0x1.bdfab3c230af4p-19, 0x1.2cb36c2a76adep-18, 0x1.7a343c927c16p-18, 0x1.c75e1c08b70eep-18, 0x1.09fe5a9c88afcp-17, 0x1.3002cf6c33b56p-17, 0x1.55bb7c774bd89p-17, 0x1.7b25dcffae0bfp-17, 0x1.a03e3a8ae56a3p-17, 0x1.c5007fe91b489p-17, 0x1.e9689f798a35bp-17, 0x1.06b95c435fa49p-16, 0x1.188d9306dae8fp-16, 0x1.2a2f41d2f0694p-16, 0x1.3b9cbf5120b8cp-16, 0x1.4cd4563107cf1p-16, 0x1.5dd491e4a039cp-16, 0x1.6e9c353699937p-16, 0x1.7f29f15541b39p-16, 0x1.8f7c8252340c4p-16, 0x1.9f92be4fbe5afp-16, 0x1.af6b903d6fe96p-16, 0x1.bf05f6461604p-16, 0x1.ce61006f3652cp-16, 0x1.dd7bd3c2d32e3p-16, 0x1.ec559d189f87cp-16, 0x1.faedb341b9ca9p-16, 0x1.04a28b06f1dfep-15, 0x1.0bab2d2afcf25p-15, 0x1.129242b5a0e7cp-15, 0x1.19578cb2487eap-15, 0x1.1ffa85161ddc1p-15, 0x1.267af23a7846ap-15, 0x1.2cd8a458398d1p-15, 0x1.331372ee4ada7p-15, 0x1.392b3cbd60f67p-15, 0x1.3f1fe7cb3669cp-15, 0x1.44f16127be4cfp-15, 0x1.4a9f9c1aa3a65p-15, 0x1.502a906c6c19p-15, 0x1.55923843e2da5p-15, 0x1.5ad68f259b4bap-15, 0x1.5ff792c6bfca3p-15, 0x1.64f544b0140fdp-15, 0x1.69cfad54758bcp-15, 0x1.6e86dd6dfffcap-15, 0x1.731aea8282ef5p-15, 0x1.778bd85031927p-15, 0x1.7bd9c6b372057p-15, 0x1.80067123bf151p-15, 0x1.8412268b1b82fp-15, 0x1.87f99d2e102c4p-15, 0x1.8bbc21adf8e5dp-15, 0x1.8ef80d13f8a6p-15, 0x1.92d3e1fad9a9cp-15, 0x1.96375ac5c2639p-15, 0x1.99740f4a033efp-15, 0x1.9c8fee75b4dep-15, 0x1.9f8cbdcfbd38dp-15, 0x1.a26458bfef2dap-15, 0x1.a51f928560309p-15, 0x1.a7b9fb315db96p-15, 0x1.aa32cfac481fp-15, 0x1.ac8b9c2e3a1f8p-15, 0x1.aec50ab5a3dc6p-15, 0x1.b0df6d5e802e2p-15, 0x1.b2db09a63d6d9p-15, 0x1.b4b82886a2e6p-15, 0x1.b67718246d6c8p-15, 0x1.b8182ab13c5bbp-15, 0x1.b99bbaa2dc4c2p-15, 0x1.bb01fe1db2ba7p-15, 0x1.bc4b8aa2c6cfbp-15, 0x1.bd7862dd449d3p-15, 0x1.be890aa8cccefp-15, 0x1.bf7dca51a71bbp-15, 0x1.c056f7f570612p-15, 0x1.c114ee8a0de8ap-15, 0x1.c1b81276d6e88p-15, 0x1.c240d1e3d0022p-15, 0x1.c2af9b2a167c3p-15, 0x1.c304cbd78be2ep-15, 0x1.c340ab32642e6p-15, 0x1.c3637e9c3c9ffp-15, 0x1.c36f82cf93bd2p-15, 0x1.c35ec24f9a1eap-15, 0x1.c338499648574p-15, 0x1.c2fb6962346b7p-15, 0x1.c2a79ee9eb2f8p-15, 0x1.c239d19c1de66p-15, 0x1.c1b4ec08ee8d8p-15, 0x1.c11ec3e435481p-15, 0x1.c0758f5e8e516p-15, 0x1.bfb36d786408p-15, 0x1.bedb5384ee4ddp-15, 0x1.bdeef88bb8b4cp-15, 0x1.bceec0803b94bp-15, 0x1.bbdaec8af8b15p-15, 0x1.bab3b153d4fdep-15, 0x1.b9796a7f748f5p-15, 0x1.b82e3155dfaaap-15, 0x1.b6d2bc7b0eb0ep-15, 0x1.b564291e24badp-15, 0x1.b3dedf3e6fd89p-15, 0x1.b2483001fb0c5p-15, 0x1.b0a317756314dp-15, 0x1.aeee3f2b95d83p-15, 0x1.ad291b50acd5dp-15, 0x1.ab529dc4a2624p-15, 0x1.a97ffab42476cp-15, 0x1.a805dc152688p-15, 0x1.a578a81cdfd35p-15, 0x1.a36cbd54142f7p-15, 0x1.a14faf685cd73p-15, 0x1.9f24a65148da9p-15, 0x1.9cec4ed6c2dd4p-15, 0x1.9aa7084c3e06dp-15, 0x1.985526bdacd46p-15, 0x1.95f6f3206c581p-15, 0x1.938cbb1d8c04p-15, 0x1.9116f23358c1cp-15, 0x1.8e963b1688dccp-15, 0x1.8c0ae0ffd41bap-15, 0x1.89746c88b31eap-15, 0x1.86d0d225e6934p-15, 0x1.842769323909dp-15, 0x1.8174817c51fb8p-15, 0x1.7eb65f68f7a76p-15, 0x1.7bef3dd712fb7p-15, 0x1.791f75214f3fdp-15, 0x1.76473e7f67486p-15, 0x1.7366dceeb337ap-15, 0x1.707e977862044p-15, 0x1.6d8eb612ef851p-15, 0x1.6a9780865f93cp-15, 0x1.67993e25bb9fcp-15, 0x1.649436b341f86p-15, 0x1.6188cbb551084p-15, 0x1.5e791c419d4f9p-15, 0x1.5b5f3374f0269p-15, 0x1.5841b2f25f70bp-15, 0x1.551ecb0fc92fap-15, 0x1.51f6b242f1a4fp-15, 0x1.4ec9a89690b3ep-15, 0x1.4b97ee1395674p-15, 0x1.4861c2a3690efp-15, 0x1.452765ea5b337p-15, 0x1.41e915677121ap-15, 0x1.3ea703d2482c6p-15, 0x1.3b6159c4cc14bp-15, 0x1.381925281028fp-15, 0x1.34d0d3a5078e3p-15, 0x1.3185357a089edp-15, 0x1.2e3267209846p-15, 0x1.2ada3862a19c9p-15, 0x1.27829eaf2b048p-15, 0x1.242a4adb7b3c8p-15, 0x1.20d057181b42ap-15, 0x1.1d74ad08d2bf5p-15, 0x1.1a1650bdd3e16p-15, 0x1.16b0b85fbd8a5p-15, 0x1.130141c3ef2b6p-15, 0x1.0ff5221ebfddap-15, 0x1.0c997f533bbabp-15, 0x1.09390e71269acp-15, 0x1.05d7d7fcba775p-15, 0x1.02766c49ec816p-15, 0x1.fe2a0e1f92166p-16, 0x1.f767aca519a1ap-16, 0x1.f0a60694ff132p-16, 0x1.e9e5701875219p-16, 0x1.e3263cc69676p-16, 0x1.dc68bc5d162d1p-16, 0x1.d5ad3c3951a23p-16, 0x1.cef404f9a825p-16, 0x1.c83d567c4c3f4p-16, 0x1.c1896f8d28ad4p-16, 0x1.bad8b0cde9c6ap-16, 0x1.b42b7c5ea8efcp-16, 0x1.ad82080bc2e9ap-16, 0x1.a6dcc075ccb86p-16, 0x1.a03afae7ad2c9p-16, 0x1.999cbfc9f5d79p-16, 0x1.93053dd5c733dp-16, 0x1.8c7210a9f559ep-16, 0x1.85e38e8b59fbap-16, 0x1.7f5a7cb69dc7ap-16, 0x1.78d7115d23af9p-16, 0x1.725ac7b4a307ep-16, 0x1.6be27cfa1df9ap-16, 0x1.65704f7cac19dp-16, 0x1.5f053ef468318p-16, 0x1.58a0d00105114p-16, 0x1.52432cf26592p-16, 0x1.4bec86b9741bap-16, 0x1.459d0e29c25c8p-16, 0x1.3f54f4668f5aap-16, 0x1.3914609671383p-16, 0x1.32db67221ff94p-16, 0x1.2caab3909744ap-16, 0x1.268700c81e33fp-16, 0x1.206e8ecc739abp-16, 0x1.1a5641517124ep-16, 0x1.149326ce80cb6p-16, 0x1.0e2eed223b13ep-16, 0x1.082ce8bbb062ap-16, 0x1.0226cdecdc36cp-16, 0x1.fa1a7031179e6p-17, 0x1.ecbbd3777b2f6p-17, 0x1.e1137012f18dfp-17, 0x1.d570cd0bead33p-17, 0x1.c9df96527c381p-17, 0x1.be61179609cfcp-17, 0x1.b2f5b61993d75p-17, 0x1.a79dac02db329p-17, 0x1.9c592bba77655p-17, 0x1.912864f976a14p-17, 0x1.860b8484f203bp-17, 0x1.7b02b03b524abp-17, 0x1.700e05ea730bdp-17, 0x1.652daade5da17p-17, 0x1.5a61cc85eba71p-17, 0x1.4faa902ccfffp-17, 0x1.450817de0fdebp-17, 0x1.3a7a668ff46a2p-17, 0x1.3001d9ebb13b9p-17, 0x1.259e43a61c3a7p-17, 0x1.1b4fe2a32519ap-17, 0x1.1116cd0e72948p-17, 0x1.06f31b53301acp-17, 0x1.f9c9c9eb67f21p-18, 0x1.e5d8760b32fdep-18, 0x1.d212552cf436bp-18, 0x1.be777262468bep-18, 0x1.ab0822f71ec1bp-18, 0x1.97c68dd4f5047p-18, 0x1.84b24301183bfp-18, 0x1.71c0197fd2c73p-18, 0x1.5eff8cf2ae90dp-18, 0x1.4c6b10349bdc8p-18, 0x1.3a02945d55bbfp-18, 0x1.27c191f6c9fecp-18, 0x1.15b5cddea6892p-18, 0x1.03d1ab27b2704p-18, 0x1.e435a348a543cp-19, 0x1.c11cc2bc02608p-19, 0x1.9e49ff3505198p-19, 0x1.7bb868eced4d6p-19, 0x1.60795c1ac382ep-19, 0x1.388dfc78739cbp-19, 0x1.1748707a3bc15p-19, 0x1.ebe83c9de5876p-20, 0x1.aa506ec2b41e2p-20, 0x1.69a312d032f7ep-20, 0x1.29a8b7d21d50dp-20, 0x1.d4b3c1afa571ep-21, 0x1.5742f7ba7337fp-21, 0x1.b7197bb57eb9dp-22, 0x1.84424044e7cfep-23, -0x1.819db57e61dadp-25, -0x1.1fc9fec961bc8p-22, -0x1.06526f421e395p-21, -0x1.7b646f1cfa98p-21, -0x1.ef1c419f33ed8p-21, -0x1.30c12f73b9428p-20, -0x1.694881cd4df8cp-20, -0x1.a12172687be3ap-20, -0x1.d84fc6729b8c4p-20, -0x1.0769c489331c1p-19, -0x1.22573acba5d2ap-19, -0x1.3cf05727bdb59p-19, -0x1.57353db6163ddp-19, -0x1.71271b9c7575ap-19, -0x1.8ac5b0f43b46ep-19, -0x1.a42e14994d00cp-19, -0x1.bd0906aa5f755p-19, -0x1.d5aef1ae64c9cp-19, -0x1.ee02fdd969bbp-19, -0x1.030106ee2d8c5p-18, -0x1.0ecb2ffb098f8p-18, -0x1.1a8a567041177p-18, -0x1.2614b4b1a8b7fp-18, -0x1.317debeeb7eaap-18, -0x1.3c5d4b819c14bp-18, -0x1.47250f9227ba9p-18, -0x1.52b0759351fep-18, -0x1.5d65fa9abcf49p-18, -0x1.67fe84704553fp-18, -0x1.72717afbb38e3p-18, -0x1.7cbe45a2b53eep-18, -0x1.86e49f078ff88p-18, -0x1.90e4bc6f71d0fp-18, -0x1.9abecfc25bcb1p-18, -0x1.a470e30acb13dp-18, -0x1.ade92fe2bb7aap-18, -0x1.b7299113d3034p-18, -0x1.c07635b726568p-18, -0x1.c9c21d276692p-18, -0x1.d2cd439335aecp-18, -0x1.dba3443ff6cfap-18, -0x1.e4561dae63e26p-18, -0x1.ece99afd9909bp-18, -0x1.f55651e84c926p-18, -0x1.fda02b2f269c6p-18, -0x1.02e3935fbf281p-17, -0x1.06e586020da6dp-17, -0x1.0ad62654df33bp-17, -0x1.0eb59bf3bd266p-17, -0x1.12840b437ab91p-17, -0x1.164196caecf5bp-17, -0x1.19ee6083f2e36p-17, -0x1.1d8a919379fa2p-17, -0x1.21168feae0fd9p-17, -0x1.249593ceb25ddp-17, -0x1.27c5b071828dcp-17, -0x1.2b4b83f134799p-17, -0x1.2ea5fe03d207bp-17, -0x1.31dca719a2eb9p-17, -0x1.3509c310cd4d8p-17, -0x1.381629e8dd513p-17, -0x1.3b2f689d20f1ap-17, -0x1.3e2d40762275cp-17, -0x1.411af388c02ddp-17, -0x1.43f916ad260dep-17, -0x1.46c8775f91bdep-17, -0x1.4989c8cfc6b8cp-17, -0x1.4c3d177673837p-17, -0x1.4ee1a625f474cp-17, -0x1.51754117e66d8p-17, -0x1.53f8d2388e76bp-17, -0x1.56723f4299cf8p-17, -0x1.58e05f2189b29p-17, -0x1.5b3e539420804p-17, -0x1.5d8d3fc0442fp-17, -0x1.5fce5350a1f99p-17, -0x1.6201faec62e08p-17, -0x1.6428eefe839ccp-17, -0x1.6640e3644e5f6p-17, -0x1.683fa57cbeba9p-17, -0x1.6a2d1e7ebce08p-17, -0x1.6c2078a1757p-17, -0x1.6e07770d965c3p-17, -0x1.700219c544f1ep-17, -0x1.71ca02c83334fp-17, -0x1.738a33c7f28c5p-17, -0x1.753f0fcb5b58fp-17, -0x1.76e7d4476d8ebp-17, -0x1.788300022a71ep-17, -0x1.7a149b589547ep-17, -0x1.7b9981c80ab61p-17, -0x1.7d125c50e9853p-17, -0x1.7e7fd3a23c2bfp-17, -0x1.80737ccd9d1ecp-17, -0x1.81396db0d72e6p-17, -0x1.8284d232c7e09p-17, -0x1.83b3077f460e9p-17, -0x1.84fb7667efbc5p-17, -0x1.8626edfd4395cp-17, -0x1.8747a197c809dp-17, -0x1.885de86c46d86p-17, -0x1.896b1c064ebabp-17, -0x1.8a7e2a0e5f222p-17, -0x1.8ad58377d3c64p-17, -0x1.8c55acc212b45p-17, -0x1.8d2e052f688a6p-17, -0x1.8e0fbd86ab505p-17, -0x1.8edc6cb680e93p-17, -0x1.8fa3568fc1328p-17, -0x1.9060d484679e6p-17, -0x1.9113840add4dp-17, -0x1.91bce8dc956b6p-17, -0x1.925f6d9245b0fp-17, -0x1.92fb36602703cp-17, -0x1.938626703cea2p-17, -0x1.940e1107e8e5ep-17, -0x1.948c07027efcdp-17, -0x1.9500fd6ff062ep-17, -0x1.957a8a575124bp-17, -0x1.94fe0e917f2acp-17, -0x1.962d319ab0725p-17, -0x1.9664522347bbap-17, -0x1.96b54deb79ccap-17, -0x1.970fb0df57ce3p-17, -0x1.9751a58b80c57p-17, -0x1.978305b19569ep-17, -0x1.97afe1ecc044cp-17, -0x1.97d5c61018be1p-17, -0x1.97e7dcdd14be1p-17, -0x1.9810b95b103dbp-17, -0x1.98343a05bdd34p-17, -0x1.982a5a3a70e2ep-17, -0x1.98285857d7c91p-17, -0x1.98233d2c6eb7fp-17, -0x1.9817575e8a86ep-17, -0x1.98056203f3cd7p-17, -0x1.97b566ab64f4cp-17, -0x1.97cf90b560a91p-17, -0x1.97a605e1c51bp-17, -0x1.97789f8784d8dp-17, -0x1.9745d7769eba9p-17, -0x1.970cfc1fa3cd2p-17, -0x1.96ce182660c15p-17, -0x1.96894c3af798dp-17, -0x1.963d548496fcbp-17, -0x1.95ed71a97867p-17, -0x1.959762a557a91p-17, -0x1.953b458334b23p-17, -0x1.94d9b62f26a01p-17, -0x1.9472be0fa0156p-17, -0x1.94066d187cd9ap-17, -0x1.9394d7a687dc8p-17, -0x1.931e1d528a48fp-17, -0x1.92a1e94979dbp-17, -0x1.922151b408261p-17, -0x1.9199e47ce0e0fp-17, -0x1.910b05fc7865p-17, -0x1.908515bcf0976p-17, -0x1.8fee425ab5391p-17, -0x1.8f4586294aa1cp-17, -0x1.8e94851016b2dp-17, -0x1.8e08e27826b3p-17, -0x1.8d74ba9d68e12p-17, -0x1.8cc6a6bc8c98fp-17, -0x1.8c1371c296775p-17, -0x1.8b5faabd3a77bp-17, -0x1.8aa933a6f1fe4p-17, -0x1.89eecd02c42eap-17, -0x1.89301ced8284cp-17, -0x1.886d645f7b438p-17, -0x1.87a6c5681b2f1p-17, -0x1.86dc57551983cp-17, -0x1.860e529ffc2a1p-17, -0x1.853ca7e507b94p-17, -0x1.846777e332318p-17, -0x1.838d52e36058dp-17, -0x1.82b23457129bdp-17, -0x1.81d2d5659f5f6p-17, -0x1.80efa974be0a5p-17, -0x1.7ff3d33665856p-17, -0x1.7f209bb5191dp-17, -0x1.7e3454c181dabp-17, -0x1.7d450735f2a41p-17, -0x1.7c52ba71b4331p-17, -0x1.7b5d72b51d8a8p-17, -0x1.7a652e387c4dap-17, -0x1.796ab936d7062p-17, -0x1.7870677fcdb8fp-17, -0x1.776c4bbd55a1cp-17, -0x1.7668ace51a365p-17, -0x1.7565e6af91d76p-17, -0x1.745daff429c9dp-17, -0x1.7353336972004p-17, -0x1.7245d1223d228p-17, -0x1.713739e476674p-17, -0x1.7012b9dc054e8p-17, -0x1.6efd7f252fec6p-17, -0x1.6e03b371190fep-17, -0x1.6d3a15365d54ap-17, -0x1.6bca6d1b6fa4ap-17, -0x1.6aad96238c3dap-17, -0x1.6990bbb74df74p-17, -0x1.6871e263e1326p-17, -0x1.6750cfdfd2b3p-17, -0x1.662dc801547fdp-17, -0x1.6508e1a9fabf1p-17, -0x1.63e2355107515p-17, -0x1.62b9d7d3770f5p-17, -0x1.618fd9a2a6cacp-17, -0x1.6064e5d3ba78ep-17, -0x1.5f3514ee795ebp-17, -0x1.5e095e85cd2f5p-17, -0x1.5cd9e806342cfp-17, -0x1.5b8d7da1b58f1p-17, -0x1.5a738c548984bp-17, -0x1.593f92b6089ffp-17, -0x1.580a15db677a8p-17, -0x1.56d3ba69fa786p-17, -0x1.559cdb1e805p-17, -0x1.5462bf2586cbap-17, -0x1.532871aec5a66p-17, -0x1.51ed39fd053f8p-17, -0x1.50b0f046276fap-17, -0x1.5067d7b6fc07ep-17, -0x1.4e43f016a50ep-17, -0x1.4cf71d21fec9fp-17, -0x1.4bb4e7deb2166p-17, -0x1.4a6639640ea14p-17, -0x1.491df6ac87b1bp-17, -0x1.47f908fff58fcp-17, -0x1.46be59802009ap-17, -0x1.456bb7882a574p-17, -0x1.44286f06e6a9fp-17, -0x1.42df806d2d867p-17, -0x1.41990be92b903p-17, -0x1.40582d207b264p-17, -0x1.3f0cb0605a1cp-17, -0x1.3dc5eeeb85ed9p-17, -0x1.3c7e9fdeb2dbbp-17, -0x1.3b36754eb4a39p-17, -0x1.39edc629939d3p-17, -0x1.38a4ab8a3559fp-17, -0x1.375b3168bffd9p-17, -0x1.36115f68c5dcep-17, -0x1.34c73751d80a5p-17, -0x1.337c96f2d8e52p-17, -0x1.3230fcee7a17dp-17, -0x1.30e1284bdc07cp-17, -0x1.2f9af5ce8132ep-17, -0x1.2e50cf8689b07p-17, -0x1.2d07832d9e147p-17, -0x1.2bba143399349p-17, -0x1.2a6e918016f46p-17, -0x1.292322858477p-17, -0x1.27d6fe69ef91p-17, -0x1.2690b7652358p-17, -0x1.253ba6c9a9d77p-17, -0x1.23eae3e13433ap-17, -0x1.22bbce2e0d1e4p-17, -0x1.216b41a6c0e7p-17, -0x1.20106fae3238bp-17, -0x1.1ec61c2df1094p-17, -0x1.1d85ab1264829p-17, -0x1.1c341bf797bddp-17, -0x1.1ae60e23f1df4p-17, -0x1.199b53044dce8p-17, -0x1.185154bb6a85p-17, -0x1.170724ad29c5cp-17, -0x1.15c356fd594e8p-17, -0x1.146d16e372bffp-17, -0x1.132a55edf2109p-17, -0x1.11deb4890928bp-17, -0x1.10997dca32c9bp-17, -0x1.0f51cc954ac5cp-17, -0x1.0e0a212fd6ae4p-17, -0x1.0cc2d59d74833p-17, -0x1.0b7c275ec3cafp-17, -0x1.0a3590b659758p-17, -0x1.08ef9b9ddd45ep-17, -0x1.07aa31e54c795p-17, -0x1.06640de993342p-17, -0x1.0513cd28986adp-17, -0x1.03cfa878b423bp-17, -0x1.02ae7848c0f59p-17, -0x1.016557cfb12c9p-17, -0x1.001003ee2142ap-17, -0x1.fda4496e0fcb9p-18, -0x1.fb1cc320486a4p-18, -0x1.f89df870cf339p-18, -0x1.f61e53e9511e8p-18, -0x1.f39f67c3afa6fp-18, -0x1.f121af122d4c1p-18, -0x1.eea4fa192ddd9p-18, -0x1.ec2a353cd06a3p-18, -0x1.e9b0c39fb57bap-18, -0x1.e7386a27da545p-18, -0x1.e4c15c0c5e4bbp-18, -0x1.e24ba1b9b0281p-18, -0x1.dfd6a6c90d1dap-18, -0x1.dd66af7b72d0cp-18, -0x1.daf6abc02e0acp-18, -0x1.d8860d975fa1p-18, -0x1.d609e359d712p-18, }}, 
      {{-0x1.45a4c47cff474p-1, -0x1.437a0ecb01051p-1, -0x1.3ff388e1709fp-1, -0x1.3b27a59b862afp-1, -0x1.3535e60497256p-1, -0x1.2e3dd3b08847ep-1, -0x1.26616b6de7907p-1, -0x1.1dc14f67d7c5cp-1, -0x1.147d32c78518cp-1, -0x1.0ab3a4ded7cc1p-1, -0x1.0081095bcce3cp-1, -0x1.ebff28be350cfp-2, -0x1.d68e49ea2c132p-2, -0x1.c0daa9533e85fp-2, -0x1.ab0b655037591p-2, -0x1.9541012cd658p-2, -0x1.7f9b01a28cd9fp-2, -0x1.6a32b21dfa445p-2, -0x1.551e70161c2fep-2, -0x1.40712302d48bbp-2, -0x1.2c3aa0d040409p-2, -0x1.1887f8cc83f2fp-2, -0x1.0563bbca248eep-2, -0x1.e5ac807f23a76p-3, -0x1.c1cbc2a04648cp-3, -0x1.9f2e75a40bb8cp-3, -0x1.7ddabac4d0831p-3, -0x1.5dd400077360bp-3, -0x1.3f1b5ae2359bfp-3, -0x1.21afd81ef14fdp-3, -0x1.058ec9fb963afp-3, -0x1.d56803d68972ap-4, -0x1.a2342f322c1afp-4, -0x1.71753064da668p-4, -0x1.431c6892376a3p-4, -0x1.1719e3ed998c4p-4, -0x1.dab937278d54cp-5, -0x1.8ba550aa11a76p-5, -0x1.40d354e2eb63dp-5, -0x1.f43afd6b3c4e5p-6, -0x1.6ebb67925e25cp-6, -0x1.e1b709405313cp-7, -0x1.e93bb74b3a39ep-8, -0x1.593e3ddeb6f11p-11, 0x1.77f84072f0d57p-8, 0x1.80a4f142c3a4bp-7, 0x1.1c7b268a26d0bp-6, 0x1.72be3038530e9p-6, 0x1.c35fd03832e0cp-6, 0x1.075259f286a97p-5, 0x1.2a607368d4e44p-5, 0x1.4b068f4b2a233p-5, 0x1.695315ce77681p-5, 0x1.856bf9511d77ep-5, 0x1.9f6abac2723ddp-5, 0x1.b769e1299b5e5p-5, 0x1.cd82f1a6caca8p-5, 0x1.e1ce5c5a68278p-5, 0x1.f46384f4cdfcfp-5, 0x1.02ac655a04ac3p-4, 0x1.0a61c7b0e3ae2p-4, 0x1.115c1f4919022p-4, 0x1.17a52ad486214p-4, 0x1.1d46365a3aa2dp-4, 0x1.22481f23a42dbp-4, 0x1.26b358325a452p-4, 0x1.2a8fef0065ba6p-4, 0x1.2de58f0c9ea25p-4, 0x1.30bb861f9297p-4, 0x1.3318c84b0418fp-4, 0x1.3503f40ccf52dp-4, 0x1.368355e01eb91p-4, 0x1.379cec2bd8dfap-4, 0x1.38566ae3fa083p-4, 0x1.38b53ef99a5f7p-4, 0x1.38be91c5c4313p-4, 0x1.38774c25edbe2p-4, 0x1.37e41995c98bbp-4, 0x1.37096b31916d5p-4, 0x1.35eb7a6ea5ac6p-4, 0x1.348e4bc0bc6a8p-4, 0x1.32f5b13b7051ep-4, 0x1.31254cf94207dp-4, 0x1.2f209364695ecp-4, 0x1.2ceacd7a4ca22p-4, 0x1.2a871aecd8d4bp-4, 0x1.27f87419110aep-4, 0x1.2541abe7ce88ep-4, 0x1.226571a23f235p-4, 0x1.1f6652ae40b8p-4, 0x1.1c46bc2cb754dp-4, 0x1.1908fc816d2f8p-4, 0x1.15af44cbe836bp-4, 0x1.123baa5158c5ep-4, 0x1.0eb027d7ff6c2p-4, 0x1.0b0e9ee226013p-4, 0x1.0758d8e4e0bep-4, 0x1.0390886f65ef5p-4, 0x1.ff6e9481c9809p-5, 0x1.f79d4cab401b4p-5, 0x1.efb021cb853dap-5, 0x1.e7a9d6ad2d6cfp-5, 0x1.df8d0a3fb29d6p-5, 0x1.d75c394cbeaa4p-5, 0x1.cf19c01a98658p-5, 0x1.c6c7dbfbc5313p-5, 0x1.be68accc09b4bp-5, 0x1.b5fe365a89a5ap-5, 0x1.ad8a61c297637p-5, 0x1.a50efeb2577f1p-5, 0x1.9c8dc49dcd6efp-5, 0x1.940853d17b35dp-5, 0x1.8b8036219f38ap-5, 0x1.82f6dd9ba99c5p-5, 0x1.7a6da188ec51cp-5, 0x1.71e63dad50df2p-5, 0x1.6961189b431b5p-5, 0x1.60e00aef6bea5p-5, 0x1.58640471e541dp-5, 0x1.4fee05ba59266p-5, 0x1.477f10f263b71p-5, 0x1.3f181741258ebp-5, 0x1.36b9fb8252863p-5, 0x1.2e659489ab75fp-5, 0x1.261bac9f62b68p-5, 0x1.1ddd031ac86fep-5, 0x1.15aa4cb9a6d7ep-5, 0x1.0d8433789c8fp-5, 0x1.056b57a0f21b2p-5, 0x1.fac0a438f0334p-6, 0x1.eac760b25105cp-6, 0x1.daebf2058b33cp-6, 0x1.cb2f5709ae435p-6, 0x1.bb927ec98048dp-6, 0x1.ac1648341cd0dp-6, 0x1.9cbb84caad8f7p-6, 0x1.8d82fef2edfc3p-6, 0x1.7e6d70cce5892p-6, 0x1.6f7b8605b6a67p-6, 0x1.60ade3f72fddep-6, 0x1.520525db2d2afp-6, 0x1.4381db7f74054p-6, 0x1.35248d239ad0dp-6, 0x1.26edb4dc83e1ep-6, 0x1.18ddca008e09cp-6, 0x1.0af53b5ebd2a7p-6, 0x1.fa68df3048ecap-7, 0x1.df37887c2d075p-7, 0x1.c45726e21d5a2p-7, 0x1.a9c8583ee8cf8p-7, 0x1.8f8bafd771eb3p-7, 0x1.75a1c43ae751ep-7, 0x1.5c0b106611efp-7, 0x1.42c805d6cac1dp-7, 0x1.29d9146ab0bf1p-7, 0x1.113e97d35977ap-7, 0x1.f1f1d9659bef7p-8, 0x1.c210a3f72622ep-8, 0x1.92da46731bdfp-8, 0x1.644f23d23e4c7p-8, 0x1.366fa49555c13p-8, 0x1.093c241786f26p-8, 0x1.b969fc9a9bda4p-9, 0x1.61b4a6ac5ce2ap-9, 0x1.0b58d9a5a0fe9p-9, 0x1.6cad22df94cd9p-10, 0x1.8ab97b8dd357p-11, 0x1.0601233b7d832p-13, -0x1.02515918c7201p-11, -0x1.205df443a1c2fp-10, -0x1.bce0195a3294ap-10, -0x1.2b57bf7d31e55p-9, -0x1.76e6b06d36bbfp-9, -0x1.c11d3bec1849cp-9, -0x1.04fe0122ac6d9p-8, -0x1.28c1b73fca35dp-8, -0x1.4bda3434cd457p-8, -0x1.6e47db45c9c6bp-8, -0x1.900b1a53dd25ep-8, -0x1.b1246b25c83e9p-8, -0x1.d1944f1cee6bdp-8, -0x1.f15b40723a5d2p-8, -0x1.083cfb7497b98p-7, -0x1.17787b0361e5ap-7, -0x1.26609427abb3cp-7, -0x1.34f53edb4215ep-7, -0x1.43373af4414p-7, -0x1.5126c0041a97ap-7, -0x1.5ec428e7925e1p-7, -0x1.6c0ff0548613bp-7, -0x1.790a73f25f241p-7, -0x1.85b43d7cf6a9dp-7, -0x1.920d98b1057ecp-7, -0x1.9e171287c85a4p-7, -0x1.a9d1275eb3411p-7, -0x1.b53c585a843d8p-7, -0x1.c0592396c75b5p-7, -0x1.cb2801fe938bap-7, -0x1.d5a98ad379f32p-7, -0x1.dfde49e4830cep-7, -0x1.e9c6ce59ab846p-7, -0x1.f363ab7c34ba7p-7, -0x1.fcb57821eddf3p-7, -0x1.02de6748d8b8ap-6, -0x1.073d2663ff3b7p-6, -0x1.0b774919bea9fp-6, -0x1.0f8d1cea20e6ap-6, -0x1.137efdf821fe7p-6, -0x1.174d37d94e8b3p-6, -0x1.1af82efc4e5fp-6, -0x1.1e80282b1c127p-6, -0x1.21e583a9f2127p-6, -0x1.25289dc4a5379p-6, -0x1.2849d0fc3de2p-6, -0x1.2b49798b73c1cp-6, -0x1.2e27f52745e1dp-6, -0x1.30e5a2c3fab57p-6, -0x1.3382e27fd2845p-6, -0x1.360015a0042cbp-6, -0x1.385d9ea698dc6p-6, -0x1.3a9be10c6167fp-6, -0x1.3cbb3d9bb1a0bp-6, -0x1.3ebc1d63a7145p-6, -0x1.409ee48dc0ce3p-6, -0x1.42640097373e1p-6, -0x1.440bd38178255p-6, -0x1.4596bf0da3e8cp-6, -0x1.470534097de03p-6, -0x1.48579bf52bee4p-6, -0x1.498e607469e56p-6, -0x1.4aa9ec2d46079p-6, -0x1.4baaaa73c58f3p-6, -0x1.4c91071e80463p-6, -0x1.4d5d6e7248889p-6, -0x1.4e104d14a5d3ep-6, -0x1.4eaa1003224fep-6, -0x1.4f2b24977ebe9p-6, -0x1.4f93f89be5e26p-6, -0x1.4fe4f95d001f4p-6, -0x1.501e92d5ca11bp-6, -0x1.50413e8252706p-6, -0x1.504d42fe6a714p-6, -0x1.504346697ed18p-6, -0x1.5023ae8d60fffp-6, -0x1.4feeb57e9a487p-6, -0x1.4fa4f30c57ad5p-6, -0x1.4f46cf23a786ap-6, -0x1.4ed4b522555ecp-6, -0x1.4e4f11f160015p-6, -0x1.4db6527f86571p-6, -0x1.4d0ae377e3a5dp-6, -0x1.4c4d312d59a5fp-6, -0x1.4b7da790cd031p-6, -0x1.4a9cb231b3813p-6, -0x1.49aabc7c41656p-6, -0x1.48a834abce5e8p-6, -0x1.479573c8dbb16p-6, -0x1.4672fe1527789p-6, -0x1.454126424a2a8p-6, -0x1.44005b2161fb7p-6, -0x1.42b1073cc0444p-6, -0x1.41538f10bd34p-6, -0x1.3fe85dba40622p-6, -0x1.3e6fd7220328fp-6, -0x1.3cea542fca96dp-6, -0x1.3b58413c3ed69p-6, -0x1.39ba020321a35p-6, -0x1.380ff47ae203ap-6, -0x1.365a82c39ad4fp-6, -0x1.349a035d269adp-6, -0x1.32ced88be348dp-6, -0x1.30f9607b0f23ep-6, -0x1.2f19f859453b5p-6, -0x1.2d30fc5337bcep-6, -0x1.2b3ec78eda2b3p-6, -0x1.2943b4256c7a1p-6, -0x1.27401b1ee0611p-6, -0x1.2534546eb2eebp-6, -0x1.2320b6f293b9ap-6, -0x1.21059877431bdp-6, -0x1.1ee34dc3bc939p-6, -0x1.1cba2a453fecfp-6, -0x1.1a8a7e0f7907p-6, -0x1.18549bea08664p-6, -0x1.1618d58447c61p-6, -0x1.13d779467d79dp-6, -0x1.1190db83070f1p-6, -0x1.0f45381a21cd8p-6, -0x1.0cf4e1d11ae8p-6, -0x1.0aa025762190bp-6, -0x1.08474b0ccbb6cp-6, -0x1.05ea999d64e24p-6, -0x1.038a5747599d5p-6, -0x1.0126c90d56c25p-6, -0x1.fd80657e7631ap-7, -0x1.f8adade49e63cp-7, -0x1.f3d5edfcede22p-7, -0x1.eef9a5fbfc5b9p-7, -0x1.ea19539aafec9p-7, -0x1.e535721665ef4p-7, -0x1.e04e7a30d9a66p-7, -0x1.db64e230db32dp-7, -0x1.d6791de3ccf96p-7, -0x1.d18b9ea03bebp-7, -0x1.cc9cd34af11ep-7, -0x1.c7ad28634c2d6p-7, -0x1.c2bd0819abae6p-7, -0x1.bdccda144a0f1p-7, -0x1.b8dd00f93ca56p-7, -0x1.b3edddaac914fp-7, -0x1.aeffd998e9752p-7, -0x1.aa1349575903ap-7, -0x1.a5289fb56417ep-7, -0x1.a040184fdf72ap-7, -0x1.9b5a0ac0474bep-7, -0x1.9676d7e486a31p-7, -0x1.9196d1c9e4e79p-7, -0x1.8cba471f987cap-7, -0x1.87e1850fd754dp-7, -0x1.830cd6f4fd89ap-7, -0x1.7e3c86102d1fbp-7, -0x1.7970d97a0b27ap-7, -0x1.74aa1628c200ap-7, -0x1.6fe87ef21af68p-7, -0x1.6b2c54ab59fe6p-7, -0x1.6675d729b5291p-7, -0x1.61c55013d5e17p-7, -0x1.5d1ac202a5ecap-7, -0x1.5876afb6e43a6p-7, -0x1.53d9258834653p-7, -0x1.4f4261d53bd19p-7, -0x1.4ab29672318ccp-7, -0x1.4629f3dd1e643p-7, -0x1.41a8a8c84b7bp-7, -0x1.3d2ee212e1736p-7, -0x1.38bccad6695e3p-7, -0x1.34528c6f8587cp-7, -0x1.2ff04dddc98a6p-7, -0x1.2b9631b6fdc85p-7, -0x1.27445e9eb6d92p-7, -0x1.22faf9709e76bp-7, -0x1.1eba230fd7fbep-7, -0x1.1a82067087eedp-7, -0x1.1652a2f3f56d7p-7, -0x1.122c1f124db1bp-7, -0x1.0e0e9cc5c811p-7, -0x1.09fa33b9a76c5p-7, -0x1.05eef9fe2e07dp-7, -0x1.01ed04dd093d9p-7, -0x1.fbe8d0fe63a9dp-8, -0x1.f40a6f81e7162p-8, -0x1.ec3f084dce93cp-8, -0x1.e486bbbe8558ap-8, -0x1.dce1a78eae754p-8, -0x1.d54fe6e2a6bfp-8, -0x1.cdd1925343f36p-8, -0x1.c666c01ff3314p-8, -0x1.bf0f83efbcf58p-8, -0x1.b7cbef2e5916bp-8, -0x1.b09c10ee940e7p-8, -0x1.a97ff60aa7f7ap-8, -0x1.a277a9299b8ffp-8, -0x1.9b8332cfe21eap-8, -0x1.94a2996d10524p-8, -0x1.8dd5e16a201c7p-8, -0x1.871d0d3748765p-8, -0x1.80781d5b5514dp-8, -0x1.79e7108617963p-8, -0x1.7369e3a7e5c8ep-8, -0x1.6d0091fa601f5p-8, -0x1.66ab143492e07p-8, -0x1.60695da652144p-8, -0x1.5a3b65bd7114cp-8, -0x1.54212a3483a21p-8, -0x1.4e1a98b3f8f39p-8, -0x1.4827bfcd52964p-8, -0x1.42485a3646848p-8, -0x1.3c7c5e89cdeb7p-8, -0x1.36c3ceb4ef948p-8, -0x1.311e96384cd6cp-8, -0x1.2b8c9d5cb0977p-8, -0x1.260dcca5abfa6p-8, -0x1.20a20c2d5686ap-8, -0x1.1b49433506a12p-8, -0x1.1603580262874p-8, -0x1.10d02fdaf2ce7p-8, -0x1.0bafaf096b296p-8, -0x1.06a1b8e35f42ap-8, -0x1.01a62fcebba36p-8, -0x1.f979eaa81e62dp-9, -0x1.efcbd458ed505p-9, -0x1.e641dc817915bp-9, -0x1.dcdbc181ceedp-9, -0x1.d3994065a68cfp-9, -0x1.ca7a15ae6e90cp-9, -0x1.c17e09b4e6846p-9, -0x1.b8a47e917830ep-9, -0x1.afedd0feca6fbp-9, -0x1.a759305ef7294p-9, -0x1.9ee67dfaed269p-9, -0x1.96956cb72395ap-9, -0x1.8e65afea5c678p-9, -0x1.8656fa4aea693p-9, -0x1.7e68fdcc45f93p-9, -0x1.769b6baa17098p-9, -0x1.6eedf4727117ap-9, -0x1.676047a063fbap-9, -0x1.5ff210ef26a73p-9, -0x1.58a2f6c4aae13p-9, -0x1.5172b64c524bp-9, -0x1.4a610f7b818efp-9, -0x1.436e4c29650d2p-9, -0x1.3c983db6e67bdp-9, -0x1.35e006be492bep-9, -0x1.2f4581f2db0ecp-9, -0x1.28c7bd67d201ap-9, -0x1.2265d9a64a8f8p-9, -0x1.1c20afe83d4c8p-9, -0x1.15f77b37f98e5p-9, -0x1.0fe9d9b7df1b1p-9, -0x1.09f776fbdd7b1p-9, -0x1.041fff88d192ap-9, -0x1.fcc63f670a1fcp-10, -0x1.f1810740f660ap-10, -0x1.e66faec5fd766p-10, -0x1.db9190486663fp-10, -0x1.d0e60304058f3p-10, -0x1.c66c5ea408e6bp-10, -0x1.bc2400138c162p-10, -0x1.b20c3f43c27fdp-10, -0x1.a82476c2a97e6p-10, -0x1.9e6c01f2bb26dp-10, -0x1.94e23cc177405p-10, -0x1.8b8683d83dc32p-10, -0x1.825834b26f3ffp-10, -0x1.7956ada81f0fep-10, -0x1.70814df348654p-10, -0x1.67d775b2eecf9p-10, -0x1.5f5885ecdaf65p-10, -0x1.5703e090e164bp-10, -0x1.4ed8e87debb17p-10, -0x1.46d7018a9bc32p-10, -0x1.3efd90920e0cap-10, -0x1.374bfb8580e9ep-10, -0x1.2fc1a981c9e3bp-10, -0x1.285e02ccbc47dp-10, -0x1.21206ffed80e8p-10, -0x1.1a0855bedef45p-10, -0x1.131513fcc0e6bp-10, -0x1.0c46302b47168p-10, -0x1.059b1d53e4f2dp-10, -0x1.fe26e9bfd5612p-11, -0x1.f15d1d935df4fp-11, -0x1.e4d6afa5d31b4p-11, -0x1.d8933c6acc0eep-11, -0x1.cc91f1a32648ap-11, -0x1.c0d1a7bdc728bp-11, -0x1.b5513f51b5ccp-11, -0x1.aa0fa5b6d1d92p-11, -0x1.9f0bcf487718bp-11, -0x1.9444b4a16f3afp-11, -0x1.89b951a5ba965p-11, -0x1.7f68a6c4113dap-11, -0x1.7551dafb53e1ap-11, -0x1.6b7331e5c4e4ap-11, -0x1.61cce6b1a6b9p-11, -0x1.585d1c0bf1cb4p-11, -0x1.4f231bda2fe3bp-11, -0x1.461ded2dc9f5cp-11, -0x1.3d4c9c36ebd53p-11, -0x1.34ae392a88036p-11, -0x1.2c41d885089b3p-11, -0x1.2406934de82bep-11, -0x1.1bfb877095101p-11, -0x1.141fd7a3f34a5p-11, -0x1.0c72aae424fbdp-11, -0x1.04f32bf0e8b76p-11, -0x1.fb411111f3593p-12, -0x1.ecf3e11457d69p-12, -0x1.defd2a383f303p-12, -0x1.d15b4ff3c0369p-12, -0x1.c40cb63cb4383p-12, -0x1.b70fc0d77cd77p-12, -0x1.aa62d3fb1e854p-12, -0x1.9e045610ba837p-12, -0x1.91f2b183f0dd5p-12, -0x1.862c571275336p-12, -0x1.7aafc00e1c428p-12, -0x1.6f7b6fba72f92p-12, -0x1.648df133aab85p-12, -0x1.59e5ca918c9efp-12, -0x1.4f8179dc6392fp-12, -0x1.455ff879be6ecp-12, -0x1.3b802db2c8798p-12, -0x1.31e1460535d93p-12, -0x1.28819a9093f29p-12, -0x1.1f5e2f5bdf4e7p-12, -0x1.167717efb3c68p-12, -0x1.0dcb9454bd495p-12, -0x1.055a414a55233p-12, -0x1.fa438cb87befdp-13, -0x1.ea41b9e09e0d1p-13, -0x1.daac8db19ac99p-13, -0x1.cb818b6e81deap-13, -0x1.bcbe46faaf9ffp-13, -0x1.ae60d7545958bp-13, -0x1.a06676a5b506ap-13, -0x1.92cd2239e293bp-13, -0x1.8592b610ed762p-13, -0x1.78b51a866df3dp-13, -0x1.6c324294f877ap-13, -0x1.60082d301d778p-13, -0x1.5434e647d1bb4p-13, -0x1.48b6878e06cb5p-13, -0x1.3d8b383c4697ap-13, -0x1.32b12af74cfep-13, -0x1.28269a3a9aad1p-13, -0x1.1de9c464d9c05p-13, -0x1.13f8e88fabae5p-13, -0x1.0a524420e88f6p-13, -0x1.00f40cf037b8p-13, -0x1.efb8b5199a3cap-14, -0x1.de13d10d7e86dp-14, -0x1.cd21764baecffp-14, -0x1.bc38a538a9a31p-14, -0x1.ac49faf2c7297p-14, -0x1.9caa5656fd79bp-14, -0x1.8d8b27d06615ep-14, -0x1.7ee296d655db9p-14, -0x1.70ae68935703fp-14, -0x1.62eafe15c0116p-14, -0x1.55954601eaf23p-14, -0x1.48ab426ba7741p-14, -0x1.3c29e9dad515fp-14, -0x1.300e87bc7adf2p-14, -0x1.245675fe74b87p-14, -0x1.18fede3519933p-14, -0x1.0e050cd235802p-14, -0x1.03683fb699c04p-14, -0x1.f24cfee44d72bp-15, -0x1.de7f3429c3e34p-15, -0x1.cb57fcf34964ep-15, -0x1.b8d0700d73bdfp-15, -0x1.a6ede03744f0cp-15, -0x1.95aca786a218p-15, -0x1.85073f27faca8p-15, -0x1.74f8d3f36fd5ep-15, -0x1.657d00621405ep-15, -0x1.568f88b587b48p-15, -0x1.482c3fb798ffdp-15, -0x1.3a4f026962acp-15, -0x1.2cf3c16407a57p-15, -0x1.201686f7bbd6fp-15, -0x1.13b37a22cfb79p-15, -0x1.07c6d83d008dbp-15, -0x1.f899d6870a334p-16, -0x1.e284169c2f07p-16, -0x1.cd4568cc7b3c3p-16, -0x1.b8d75740a6709p-16, -0x1.a534385ffb70fp-16, -0x1.92572a50b7c8bp-16, -0x1.803bbe797b6a5p-16, -0x1.6edd7ced93f5ep-16, -0x1.5e3785afebc76p-16, -0x1.4e4482f7c1152p-16, -0x1.3efee34825d4cp-16, -0x1.3061241b71709p-16, -0x1.2265f77c47536p-16, -0x1.15083bc199399p-16, -0x1.0842e45714015p-16, -0x1.f821e65da433dp-17, -0x1.e0db0d8b4bf27p-17, -0x1.caa7d179f896ep-17, -0x1.b57f15de8a48dp-17, -0x1.a157e3541b4edp-17, -0x1.8e292e156f12dp-17, -0x1.7be9a9fe77bd7p-17, -0x1.6a8fc24a13ae7p-17, -0x1.5a11d73944402p-17, -0x1.4a66d5583811cp-17, -0x1.3b86f1b1bd498p-17, -0x1.2d6c0789759b4p-17, -0x1.201117a2f113fp-17, -0x1.1370bccb97936p-17, -0x1.078301344ef5ep-17, -0x1.f88131d79400ap-18, -0x1.e35d8476731fdp-18, -0x1.cf91b5a8e8457p-18, -0x1.bd1e7471ef7bdp-18, -0x1.ab9ff98f575d9p-18, -0x1.9b1e46e6c0cb8p-18, -0x1.8bc4a3fdcc9d5p-18, -0x1.7d824ec5fa50fp-18, -0x1.7044edf97b7d5p-18, -0x1.6415e99ac004ap-18, -0x1.589c322337e27p-18, -0x1.4e1fdb6719babp-18, -0x1.447dcfd436a13p-18, -0x1.3babaa9dd2f84p-18, -0x1.339f4158a1631p-18, -0x1.2c4e5625d9d57p-18, -0x1.25af3f95593f9p-18, -0x1.1fbb993b26ebdp-18, -0x1.1a6722344e94ap-18, -0x1.15a751d4a453p-18, -0x1.1165b03c5460ep-18, -0x1.10af2ad72dc93p-18, -0x1.0cec65c4dc39bp-18, -0x1.0827f6573a7c4p-18, -0x1.0627f37500f22p-18, -0x1.04879f7ed48bap-18, -0x1.034eed850f1a3p-18, -0x1.027ce7ecd41bep-18, -0x1.020c4d571be77p-18, -0x1.01f73a789da51p-18, -0x1.0238066f44652p-18, -0x1.02c91d22322a2p-18, -0x1.03a54fa991e89p-18, -0x1.04c828131408dp-18, -0x1.062d8c82d9eacp-18, -0x1.07d17af2c473p-18, -0x1.09afbff660bbep-18, -0x1.0bc3da3945ca4p-18, -0x1.0e09264ec4aafp-18, -0x1.107b5503409a2p-18, -0x1.1316e227783f3p-18, -0x1.15d9127692ee1p-18, -0x1.18bf489615d84p-18, -0x1.1bc63037ed37ap-18, -0x1.1ee988700f3e8p-18, -0x1.22249a549ce17p-18, -0x1.2572e7b98cca7p-18, -0x1.28d0dd9ffc9ebp-18, -0x1.2c3b2197faed5p-18, -0x1.2facba3f6c6c8p-18, -0x1.332d3c7a9f7f8p-18, -0x1.36cc2941ba5ddp-18, -0x1.3a852923c3d36p-18, -0x1.3e328fe333807p-18, -0x1.41a8a07a09659p-18, -0x1.4525ba0221a4cp-18, -0x1.48b0d78114741p-18, -0x1.4c3d7b0db446ap-18, -0x1.4fc54d32127d9p-18, -0x1.5345666de2a0bp-18, -0x1.56bbe367622a6p-18, -0x1.5a272d75d7d4dp-18, -0x1.5d85bca412925p-18, -0x1.60d5dcc812f55p-18, -0x1.64159c2c79df8p-18, -0x1.6744ac266d213p-18, -0x1.6a63e1f29731fp-18, -0x1.6d6f532990a4dp-18, -0x1.706973cc35582p-18, -0x1.734fc520b731dp-18, -0x1.7620b6180fb7dp-18, -0x1.78ec17f0c7d8p-18, -0x1.7b77c6244c0e8p-18, -0x1.7dfdd3215bcf5p-18, -0x1.806b93f9012a4p-18, -0x1.82c048040bd6bp-18, -0x1.84fad8e83325cp-18, -0x1.871a5abf9d121p-18, -0x1.891e8b655204dp-18, -0x1.8b071302977ddp-18, -0x1.8cd3632bee613p-18, -0x1.8e83238d829e2p-18, -0x1.901614a4abce5p-18, -0x1.918bd5056a2bep-18, -0x1.92e4902b567acp-18, -0x1.941f97ee961a5p-18, -0x1.953ce95863ac7p-18, -0x1.963c448d15e49p-18, -0x1.971d689bbf45fp-18, -0x1.97dfd36ef3998p-18, -0x1.9881711357cbdp-18, -0x1.98f42230f6f05p-18, -0x1.9adba5752b8c6p-18, -0x1.9b781800bbp-18, -0x1.99cc2930e30a5p-18, -0x1.99f62df1acff1p-18, -0x1.99ed505893055p-18, -0x1.99c2bab96f637p-18, -0x1.99793f01d597bp-18, -0x1.990f77705d752p-18, -0x1.9884ff420fba3p-18, -0x1.97ebab291a613p-18, -0x1.9747510c79246p-18, -0x1.968ca41f8ad47p-18, -0x1.95857cb391fe5p-18, -0x1.94529769ffa2ep-18, -0x1.9316cab6fbbc9p-18, -0x1.91c8c20225789p-18, -0x1.9061de1b6e446p-18, -0x1.8ee0883e0bd83p-18, -0x1.8d44b170e518p-18, -0x1.8b8ea27eadad2p-18, -0x1.89beb4fc61eeap-18, -0x1.87d5464a35788p-18, -0x1.85d2ba061b97bp-18, -0x1.83b786ba02557p-18, -0x1.81843e900ed86p-18, -0x1.7f39341a35c2ap-18, -0x1.7cd62a91ed433p-18, -0x1.7a5ba185077d5p-18, -0x1.77ca973ac1c4ap-18, -0x1.75237d180ab48p-18, -0x1.726698ff7b153p-18, -0x1.6f94453d563f2p-18, -0x1.6caceeb289b91p-18, -0x1.69b106c2bd43fp-18, -0x1.66a0fec26a6acp-18, -0x1.637d544fd5991p-18, -0x1.60466340fd2e1p-18, -0x1.5cfce698b8918p-18, -0x1.59a712b0169c9p-18, -0x1.56350153bc45fp-18, -0x1.52b371374a518p-18, -0x1.4f22f39c90681p-18, -0x1.4b820a4edecdap-18, -0x1.47d10ee9382b2p-18, -0x1.441071fc8a31bp-18, -0x1.4040a696d319bp-18, -0x1.3c621fa1df5dbp-18, -0x1.38754ecc4d1f7p-18, -0x1.347aa4d78183ep-18, -0x1.30729399e2b8p-18, -0x1.2c5d8f3f76ba7p-18, -0x1.283c0cd60408fp-18, -0x1.240e80f5360dp-18, -0x1.1fd560d30c4c2p-18, -0x1.1b912370093bfp-18, -0x1.1742475aa8ac3p-18, -0x1.12e9434c265c5p-18, -0x1.0e8640840371ap-18, -0x1.0a184d99df2ccp-18, -0x1.059f4d97f80aep-18, -0x1.0129e229f40ep-18, -0x1.f976d9794aef7p-19, -0x1.f079052618c08p-19, -0x1.e72f093078f22p-19, -0x1.da2dfbe93fb2bp-19, -0x1.d43272229f438p-19, -0x1.cb0d46d312c54p-19, -0x1.c1b4f18c3ce12p-19, -0x1.b84b6f815d406p-19, -0x1.aed6b320df358p-19, -0x1.a55844bedcc31p-19, -0x1.9bd109f3a81d4p-19, -0x1.924196dcfa8eep-19, -0x1.88aaa9dabc9dp-19, -0x1.7f0d1064b6affp-19, -0x1.75698ae81ea4p-19, -0x1.6bc0cf18d3385p-19, -0x1.62138c5de388dp-19, -0x1.58626e93fe52bp-19, -0x1.4eae1fc9c77edp-19, -0x1.44f7475d7ad6dp-19, -0x1.3b3e3478031e6p-19, -0x1.31851ae7881ap-19, -0x1.27c90f782eebfp-19, -0x1.1e0ee610d69bfp-19, -0x1.1454996ec86b8p-19, -0x1.0a9b61a4c04b8p-19, -0x1.00e3d5d824628p-19, -0x1.ee5d0f5698b68p-20, -0x1.daf8064aed0b9p-20, -0x1.c799b17eb08c2p-20, -0x1.b4432d1ec6704p-20, -0x1.a0f583e331753p-20, -0x1.8db1c892ce465p-20, -0x1.7a7a06347668ap-20, -0x1.677a93248832fp-20, -0x1.542daf9b0f843p-20, -0x1.411840d534f63p-20, -0x1.2e144da00b016p-20, -0x1.1b20bd1c1316cp-20, -0x1.083da7483a4b9p-20, -0x1.eacbe5a2e988cp-21, -0x1.c53e4706c55dap-21, -0x1.9fe86bc57a58ep-21, -0x1.7ac53a0b0554ap-21, -0x1.55ba43cba3214p-21, -0x1.30d9b3c79a39fp-21, -0x1.0c27b33e1f8bp-21, -0x1.cf488171eee7fp-22, -0x1.86946d76c24f1p-22, -0x1.3e373720c2407p-22, -0x1.edf115ecce0cp-23, -0x1.62023c505afecp-23, -0x1.ab8bb1088f799p-24, -0x1.1719bde76375fp-25, 0x1.265f92168d08bp-25, 0x1.ac09e35479b8fp-24, 0x1.60ef924bf6df5p-23, 0x1.eb03d5e764c23p-23, 0x1.3a6e2462614b1p-22, 0x1.7ac0a35fa686ap-22, 0x1.a47264f3863e3p-22, 0x1.02b6e66abf9cdp-21, 0x1.239629f9812ecp-21, 0x1.448dab0e7629dp-21, 0x1.654ffb91a73c6p-21, 0x1.85d2f3c20c5c9p-21, 0x1.a61415827791ep-21, 0x1.c612006938d5ep-21, 0x1.e5cc5c935f91ap-21, 0x1.02a107b1245aap-20, 0x1.12393d85f57f8p-20, 0x1.21ae6f6745f68p-20, 0x1.310051a8248abp-20, 0x1.402eac4a3ea5bp-20, 0x1.4f394e0275001p-20, 0x1.5e1fad648d08ap-20, 0x1.6ce1ae24d9e4fp-20, 0x1.7b7f25c6b9297p-20, 0x1.89f7c87e957f7p-20, 0x1.984b5f3b4c144p-20, 0x1.a679b72e7e848p-20, 0x1.b482a04ccef6p-20, 0x1.c265ed746bf29p-20, 0x1.d02374756fafbp-20, 0x1.ddbb0dc7ef64cp-20, 0x1.eb2c92944353bp-20, 0x1.f877cbadb304ep-20, 0x1.02cd6722108bep-19, 0x1.093b7bf0fc5e2p-19, 0x1.0fb95f575b8b1p-19, 0x1.161284d0227bdp-19, 0x1.1c57f027a91dp-19, 0x1.2289ef6c51aa6p-19, 0x1.28a87cc067a74p-19, 0x1.2eb3892fe34aap-19, 0x1.34aaffef10a56p-19, 0x1.3a8ec504b15cap-19, 0x1.405ecca5d1bb7p-19, 0x1.461b80bf67e5bp-19, 0x1.4bc5bada97045p-19, 0x1.51540c7a48d8ap-19, 0x1.56ad5e2636b4cp-19, 0x1.5bf89a32d6441p-19, 0x1.6164516dc6ab5p-19, 0x1.66de183fd5f3fp-19, 0x1.6c24ae6659049p-19, 0x1.7149649cb3e67p-19, 0x1.7659020d4372bp-19, 0x1.7b56234f7a568p-19, 0x1.80466615b3d4dp-19, 0x1.854176b5a0397p-19, 0x1.8b9c64f44a89p-19, 0x1.8ea151eac77c4p-19, 0x1.9323cff862ad9p-19, 0x1.97a97f37e6e1dp-19, 0x1.9c1eb8ddb2068p-19, 0x1.a08183413a5abp-19, 0x1.a4d19bf21f2fap-19, 0x1.a90efb6a75beap-19, 0x1.ad39bd87aed2fp-19, 0x1.b151ecfd30d5bp-19, 0x1.b5579352763a1p-19, 0x1.b94ac0ed5c1f8p-19, 0x1.bd2b8a24d0eebp-19, 0x1.c0fa11e601d59p-19, 0x1.c4b69c3a52b0dp-19, 0x1.c86169067904fp-19, 0x1.cbfa0ad41b604p-19, 0x1.cf800da8182b8p-19, 0x1.d2f3e9ca8fb64p-19, 0x1.d655337b9fd79p-19, 0x1.d9a79adde324ap-19, 0x1.dcebf66f154bfp-19, 0x1.e01682015194ep-19, 0x1.e33226e75e425p-19, 0x1.e63e805df1a3ap-19, 0x1.e93964f75abd3p-19, 0x1.ec2305e864a74p-19, 0x1.eef7758b88da6p-19, 0x1.f1c19468bde9dp-19, 0x1.f47b522c71bacp-19, 0x1.f7223aa6f6f3p-19, 0x1.f9b895b46095fp-19, 0x1.fc3e931516b07p-19, 0x1.feb44649946dcp-19, 0x1.008ce08540969p-18, 0x1.01b786e41b52fp-18, 0x1.02da32e9f9d86p-18, 0x1.03f515299bb0ap-18, 0x1.050716aead125p-18, 0x1.0605d749657c8p-18, 0x1.06f5b6b149f6p-18, 0x1.07f0a6c82a60bp-18, 0x1.08b818ab7772dp-18, 0x1.09f436b60f6e7p-18, 0x1.0add8bd7026bdp-18, 0x1.0bcaee944b83cp-18, 0x1.0bda9d5904367p-18, 0x1.0d69c75da0d99p-18, 0x1.0e2c052eafec5p-18, 0x1.0eed23608eecfp-18, 0x1.0fa7d0b82751ap-18, 0x1.105b9c48383b9p-18, 0x1.11088229bb1b8p-18, 0x1.11ae8fa5c7587p-18, 0x1.124dd4d4b0385p-18, 0x1.12e661db5c3fcp-18, 0x1.13784715e6764p-18, 0x1.140397cb5fb85p-18, 0x1.14886a14bd8ep-18, 0x1.1506cf19821e8p-18, 0x1.157ed3022d9b1p-18, 0x1.15f084e539a1cp-18, 0x1.165bfb2b770b5p-18, 0x1.16c123fa58b82p-18, 0x1.17206f0b9f7dp-18, 0x1.177984049a3b9p-18, 0x1.17cca67a71a3bp-18, 0x1.1819e0405db44p-18, 0x1.18613f3696fe3p-18, 0x1.18a2d324d0e3ep-18, 0x1.18deae9cb6e24p-18, 0x1.1914e79c4a455p-18, 0x1.19458ff4d7c92p-18, 0x1.1970ac9e34c8ep-18, 0x1.1995abd62bd11p-18, 0x1.19b4c66a133c2p-18, 0x1.19d18f8e1552p-18, 0x1.19e74b70b4c4p-18, 0x1.19f7cab708f63p-18, 0x1.1a03261f46e94p-18, 0x1.1a0a0ec5db1e7p-18, 0x1.1a0ab219a85dbp-18, 0x1.1a06f3bb4aef6p-18, 0x1.19fde5847605dp-18, 0x1.19f068142e9ffp-18, 0x1.19e0111f19b43p-18, 0x1.19cc8a78e10fdp-18, 0x1.1913d0dd34e62p-18, 0x1.197149141991bp-18, 0x1.194bfa77acb59p-18, 0x1.1935d67406ac7p-18, 0x1.190fadedf0165p-18, 0x1.18de5a256ed14p-18, 0x1.18a8688d978c8p-18, 0x1.186ea73d69a26p-18, 0x1.1832ec3bd9eacp-18, 0x1.17ef0bd857657p-18, 0x1.17a8a39fb60a1p-18, 0x1.175ebfa27f07bp-18, 0x1.1710b8d97060dp-18, 0x1.16bebf1383421p-18, 0x1.1668ed461c2fp-18, 0x1.160f64edca493p-18, 0x1.15b2641d20895p-18, 0x1.1551d26a15bf7p-18, 0x1.14ed7236bc31p-18, 0x1.14859191827ecp-18, 0x1.141a04cf72e81p-18, 0x1.13ab33bed8d93p-18, 0x1.13391d356bbc5p-18, 0x1.12c392e3d1f9dp-18, 0x1.124addbabd90bp-18, 0x1.11cf1115c2a25p-18, 0x1.11518815b346ep-18, 0x1.10ce25e3febacp-18, 0x1.104921501ee55p-18, 0x1.0fc126294bce4p-18, 0x1.0f362a25a808ep-18, 0x1.0ea4fe5142abap-18, 0x1.0e17a30496d5ap-18, 0x1.0d849d489bcacp-18, 0x1.0cefad9b08efap-18, 0x1.0c4cdaf17f27cp-18, 0x1.0ba7e9f6374c9p-18, 0x1.0b1de16ac6637p-18, 0x1.0a7c1756eb4ddp-18, 0x1.09d8f87dd7615p-18, 0x1.0933a568900d5p-18, 0x1.088bc01295fb1p-18, 0x1.07e1949ee949cp-18, 0x1.0735167557993p-18, 0x1.06864d0357091p-18, 0x1.05d471fc2eeep-18, 0x1.0518d58412476p-18, 0x1.045427d23a87cp-18, 0x1.039fd64b351e3p-18, 0x1.02f6df57f5699p-18, 0x1.02415f7a3ba99p-18, 0x1.0183d22e838f3p-18, 0x1.00c4bfa0592dfp-18, 0x1.0004d63b5f31fp-18, 0x1.fe851fad4e39bp-19, 0x1.fcfceda05a616p-19, 0x1.fb7140d610e46p-19, 0x1.f9e20c491ae8cp-19, 0x1.f84f7976f5d02p-19, 0x1.f6b9a468e3bf4p-19, 0x1.f520a5f052622p-19, 0x1.f3849505fb05cp-19, 0x1.f1e5880fc244p-19, 0x1.f04397ecb71ap-19, 0x1.ee9ef24666512p-19, 0x1.ecf8b6c5392a7p-19, 0x1.eb3a5da6d43fbp-19, 0x1.e99c2fb03a2dbp-19, 0x1.e7f1fc1ea8772p-19, 0x1.e63e35fb733dbp-19, 0x1.e48befefcad32p-19, 0x1.e2ca4fde2ef6ep-19, 0x1.e11a1e59c58c7p-19, 0x1.df5fe44358d7fp-19, 0x1.dda2f4e1745e5p-19, 0x1.dbe3c4f2e5d8dp-19, 0x1.da22925157a5ap-19, 0x1.d85f7200102d6p-19, 0x1.d69a97320aab3p-19, 0x1.d4d3df98abbb2p-19, 0x1.d30b667437c62p-19, 0x1.d1413a0f45a3ep-19, 0x1.cf7571091aba3p-19, 0x1.cda8190f7ad87p-19, 0x1.cbd938ee8873dp-19, 0x1.ca08d9e080d18p-19, 0x1.c837013cfe76ap-19, 0x1.c663dcf776c4fp-19, 0x1.c48fed8ac392dp-19, 0x1.c2b892c4e6d76p-19, 0x1.c0d179343fcb3p-19, 0x1.bee1d06317222p-19, 0x1.bd131d6ce9a24p-19, 0x1.bb4ec8bbdf9adp-19, 0x1.b97ea069e9d6p-19, 0x1.b7a07a5159504p-19, 0x1.b5c4409a8284fp-19, 0x1.b3e7eb62f595cp-19, 0x1.b20ac15e1d117p-19, 0x1.b02bcf739b69dp-19, 0x1.ae4d8464d7a54p-19, 0x1.ac6df8e62b8c6p-19, 0x1.aa8d8f5181b88p-19, 0x1.a8acad72d63cdp-19, 0x1.a6d008181e265p-19, 0x1.a4ea3d17f2ab4p-19, 0x1.a307c92ec9e55p-19, 0x1.a11ae8d06aa27p-19, 0x1.9f423b04c58b5p-19, 0x1.9d5f6002c3b0ep-19, 0x1.9b7c368696282p-19, 0x1.9998d2f5d388bp-19, 0x1.97b5608e27eaap-19, 0x1.95d3dac7aeba1p-19, 0x1.93da06540d089p-19, 0x1.9213fc91dcba5p-19, 0x1.9014a601ce7a8p-19, 0x1.8e4d1d6494b03p-19, 0x1.8c5edcebe4d62p-19, 0x1.8a7ca6ef982eap-19, 0x1.889aaaba82006p-19, 0x1.86b704765a12p-19, 0x1.84d3be7d21efp-19, 0x1.82f23f017754ep-19, 0x1.81126144695d8p-19, 0x1.7f2d764aff781p-19, 0x1.7d4cb3e4cca76p-19, 0x1.7b6be2eae147bp-19, 0x1.798b609736f58p-19, 0x1.77abfc404c776p-19, 0x1.75bd8b677c33fp-19, 0x1.73e891ae6d209p-19, 0x1.71efc3bc181bbp-19, 0x1.701a0bd085f61p-19, 0x1.6e519a8f5d745p-19, 0x1.6c77971a975bp-19, 0x1.6a991eb8a17e8p-19, 0x1.68be1c4390cffp-19, 0x1.66e489e9563a3p-19, 0x1.6506596e55f0bp-19, 0x1.6333759009bc4p-19, 0x1.615cd43c9b058p-19, 0x1.5f852c48e5435p-19, 0x1.5daecff31839fp-19, 0x1.5bd981e092004p-19, 0x1.5a04feba26b63p-19, 0x1.58315762c66adp-19, 0x1.565e6b17713bfp-19, 0x1.548dafd49b0f3p-19, 0x1.52bcbb6b5a52p-19, 0x1.50ec9278e8c53p-19, 0x1.4f1ded62c2d68p-19, 0x1.4d505ae96822ap-19, 0x1.4b83d3b7c6792p-19, 0x1.49b8603fa0d23p-19, 0x1.47edec229b06ap-19, 0x1.4624badd8ad86p-19, 0x1.445ca408dd1b8p-19, 0x1.4295ad04646a2p-19, 0x1.40cfe46081db7p-19, 0x1.3f0b4d86b298dp-19, 0x1.3d47ec38a97dcp-19, 0x1.3b85c46fb35e1p-19, 0x1.39c4dbc9ff54ep-19, 0x1.380516cab34c3p-19, 0x1.3646bdec49efbp-19, 0x1.34891b08d63p-19, 0x1.32cc92e8853cep-19, 0x1.3114ed3900d95p-19, 0x1.2f5a31e06d7e9p-19, 0x1.2d97a857f6fdep-19, 0x1.2bd25d4fafc42p-19, 0x1.2a2d9eda26d16p-19, 0x1.2887cb5c396dcp-19, 0x1.26d1cc8f6b62dp-19, 0x1.251dafc71933dp-19, 0x1.236e5dd95894p-19, 0x1.21c08c12a9badp-19, 0x1.2014be442dde6p-19, 0x1.1e69d630fe608p-19, 0x1.1cc045306d71bp-19, 0x1.1b181ad054e39p-19, 0x1.197154130192ep-19, 0x1.17cc22b1b60cbp-19, 0x1.16285e4ff073p-19, 0x1.148615bd81ea8p-19, 0x1.12e529aa95bedp-19, 0x1.1145f4582206bp-19, 0x1.0fa83c3b1a299p-19, 0x1.0e0bfd18c160dp-19, 0x1.0c6d469d70fa1p-19, 0x1.0ad888f1e7436p-19, 0x1.0940a0bd85c5dp-19, 0x1.07aa983946e32p-19, 0x1.06161b3fe5d15p-19, 0x1.04832398d14fp-19, 0x1.02f1a6a683d78p-19, 0x1.01621f2629313p-19, 0x1.ffab8715f29b7p-20, 0x1.fc8f990e01219p-20, 0x1.f9781bdc47b84p-20, 0x1.f666b1ae18205p-20, 0x1.f35769a8288a4p-20, 0x1.f04b492ebc14dp-20, 0x1.ed41df6fe6abdp-20, 0x1.ea3a2bcc8bdb5p-20, 0x1.e720b6c03f586p-20, 0x1.e423c9a1735efp-20, 0x1.e146551a376cp-20, 0x1.de620bae5825fp-20, 0x1.db4fd5ced44dbp-20, 0x1.d85c584aee6e7p-20, 0x1.d56e9b78d9dcep-20, 0x1.d2841506e2986p-20, 0x1.cf9c6efcb1c5ep-20, 0x1.ccb7edb64ff1ap-20, 0x1.c9d69c8006e5ep-20, 0x1.c6f8891c5c42bp-20, 0x1.c41db993cf00ap-20, 0x1.c1462a84634e9p-20, 0x1.be71df6ac8a99p-20, 0x1.bb9fe3cde78c7p-20, 0x1.b8d446535dc1ep-20, 0x1.b60d34f3f486dp-20, 0x1.b33e37912683p-20, 0x1.b07e5ec7b0e47p-20, 0x1.adbe7af1b6dap-20, 0x1.ab01994d350cfp-20, 0x1.a848636ff271fp-20, 0x1.a593319f82ae6p-20, 0x1.a2df2b90c6f2cp-20, 0x1.a02f6329486b9p-20, 0x1.9d832ceb91bb2p-20, 0x1.9ada57e4a894bp-20, 0x1.98405eae21312p-20, 0x1.959615986da2cp-20, 0x1.92f3bb4063e26p-20, 0x1.9056b35e2b263p-20, 0x1.8db2389905684p-20, 0x1.8b1704e9974a4p-20, 0x1.88a1dee743dfep-20, 0x1.8618730047b75p-20, 0x1.83801f60fb09fp-20, 0x1.80f59eff6daacp-20, 0x1.7e712a48bbdb5p-20, 0x1.7bee186475adcp-20, 0x1.797c543c0fc5bp-20, 0x1.76f6d86024191p-20, 0x1.7480d64951e8bp-20, 0x1.720e00777ae2dp-20, 0x1.6f9d8a943fa9fp-20, 0x1.6d30239c0b52cp-20, 0x1.6ac5ef4e76fedp-20, 0x1.685ef5d3fcbbfp-20, 0x1.65fb3879891bfp-20, 0x1.639ab5957cf7bp-20, 0x1.613d63f2ed376p-20, 0x1.5ee32847d840cp-20, 0x1.5c8b624f2e0bdp-20, 0x1.5a3873b2b306cp-20, 0x1.57e85e1e66763p-20, 0x1.559d50501c4fdp-20, 0x1.5350f7e957f4ep-20, 0x1.5109f93285744p-20, 0x1.4ec5fdf0837f4p-20, 0x1.4c838e7e8e892p-20, 0x1.4a599ec723f4ep-20, 0x1.4828e4a42ebdep-20, 0x1.45d02577b10e6p-20, 0x1.43b019b5ad032p-20, 0x1.417ca4730e829p-20, 0x1.3f45bcb7d0a8fp-20, 0x1.3d1144d988a7ap-20, 0x1.3af02b54eccd6p-20, 0x1.38cfc63e8c8dcp-20, 0x1.36ada691d1068p-20, 0x1.348f9abe4421ap-20, 0x1.3274acffd062ap-20, 0x1.305bdc9c3a70cp-20, 0x1.2e5bf347383a8p-20, 0x1.2c1c582448223p-20, 0x1.2a259f65e6596p-20, 0x1.281b0170ef742p-20, 0x1.2612c85701a73p-20, 0x1.240d1d1422b7ep-20, 0x1.220a56d1fe1f9p-20, 0x1.200a8b58ccbp-20, 0x1.1e0fc00c595d1p-20, 0x1.1c144931ff5b5p-20, 0x1.1a1cec63d43a8p-20, 0x1.1828f9e7ed6bap-20, 0x1.1637668fbf4c9p-20, 0x1.1443d3f97fa83p-20, 0x1.125817529bb31p-20, 0x1.10814b8a02afbp-20, 0x1.0e97f0eee87ebp-20, 0x1.0cac077c74fb2p-20, 0x1.0acd92f156d44p-20, 0x1.08f10f9affaddp-20, 0x1.0717d46119fc5p-20, 0x1.054085dfd85e4p-20, 0x1.036bbdbb59435p-20, 0x1.019a26c91dac5p-20, 0x1.ff971f1d4df01p-21, 0x1.fbffc6333dc22p-21, 0x1.f86dcd23bf78ep-21, 0x1.f4e11feb593a9p-21, 0x1.f159df74236c2p-21, 0x1.edd81ed061e3bp-21, 0x1.ea5b867bad7ap-21, 0x1.e6e5546910142p-21, 0x1.e375486c1237bp-21, 0x1.e009e61aaa16ap-21, 0x1.dc9e02acce4cfp-21, }}, 
      std::vector<double>(1250, 0.0), 
      {{0x1.6acbc7d18098bp-5, 0x1.5ca56c2e34789p-4, 0x1.ed00f76a956a4p-4, 0x1.31018254355f9p-3, 0x1.5d132e832ad03p-3, 0x1.7aeef8e885d2bp-3, 0x1.8b716d08e0f92p-3, 0x1.8fdaa4405d18bp-3, 0x1.89a0f0e2dfc83p-3, 0x1.7a50cdf1978d6p-3, 0x1.63768e26e1833p-3, 0x1.468f282675536p-3, 0x1.24fe50054f275p-3, 0x1.000874bbca104p-3, 0x1.b19f3d78393bep-4, 0x1.60a509eebcaabp-4, 0x1.0ed9944abde3ap-4, 0x1.7b62d87771776p-5, 0x1.b98a223fb3b4ep-6, 0x1.0f4c19d0004dep-7, -0x1.3786a03646e74p-7, -0x1.ae4714e7e60c9p-6, -0x1.570e19cdfa574p-5, -0x1.cd0365d4d54c6p-5, -0x1.1c50bc9e30887p-4, -0x1.4cdcb3dfbfc1bp-4, -0x1.7823c17fcbcdfp-4, -0x1.9e3593554fef7p-4, -0x1.bf3042a2d75f8p-4, -0x1.db3d76345e051p-4, -0x1.f28fced08bedep-4, -0x1.02b06f05a5e4p-3, -0x1.09f789084a16bp-3, -0x1.0f3e21b06812cp-3, -0x1.12a621e811a25p-3, -0x1.1451d9433923cp-3, -0x1.146381d596c0ep-3, -0x1.12fce93a95cc2p-3, -0x1.103effd4e7596p-3, -0x1.0c49bd0eaf33ep-3, -0x1.073bd441f5a98p-3, -0x1.0132942a0422bp-3, -0x1.f493affec5067p-4, -0x1.e537db7244adep-4, -0x1.d4831c56719afp-4, -0x1.c2a3bc7c6b86dp-4, -0x1.afc4e410af517p-4, -0x1.9c0ea510e8ed9p-4, -0x1.87a6129835213p-4, -0x1.72ad50f5b14ep-4, -0x1.5d44007777638p-4, -0x1.478670e2d3601p-4, -0x1.318f74db04ec5p-4, -0x1.1b76aa095bc33p-4, -0x1.0551daa3e0042p-4, -0x1.de68e3149307bp-5, -0x1.b2608fce107f6p-5, -0x1.86aaef4eb2bd9p-5, -0x1.5b63af18aac71p-5, -0x1.30a42b08993fep-5, -0x1.0682fce3efbb9p-5, -0x1.ba27de7ce5b0dp-6, -0x1.68d0a7b9ad2a7p-6, -0x1.191eec8dca436p-6, -0x1.9658932e5565bp-7, -0x1.fc3e47fe01918p-8, -0x1.a6dd96d76390fp-9, 0x1.35f7a6f348991p-10, 0x1.6654bad747b75p-8, 0x1.3b7681f58b44p-7, 0x1.bf91dc63a43cdp-7, 0x1.1fb83d65b7d4dp-6, 0x1.5d8665e10dbbp-6, 0x1.99306216d212p-6, 0x1.d2b5b333b313dp-6, 0x1.050ba1b24a99dp-5, 0x1.1fab9e72dd1dfp-5, 0x1.393c797a4b92dp-5, 0x1.51c060e4c8a21p-5, 0x1.6939fa124fcb4p-5, 0x1.7fac54abbd36bp-5, 0x1.951addcd23cc3p-5, 0x1.a989555aa8432p-5, 0x1.bcfbc45846fcp-5, 0x1.cf76733974786p-5, 0x1.e0fde0f0309a2p-5, 0x1.f196bb154eddcp-5, 0x1.00a2eb840f77cp-4, 0x1.080815a13c69fp-4, 0x1.0efd6497e188fp-4, 0x1.15856bc781eaap-4, 0x1.1ba2c6b15e03bp-4, 0x1.215816a01c076p-4, 0x1.26a800880ea8cp-4, 0x1.2b952b2cbd436p-4, 0x1.30223d3b26314p-4, 0x1.3451dbd257abdp-4, 0x1.3826a90bd0bb7p-4, 0x1.3ba342a4f21a8p-4, 0x1.3eca40cef9526p-4, 0x1.419e35229aeeap-4, 0x1.4421a9b020367p-4, 0x1.46572026ea557p-4, 0x1.4841111fc9105p-4, 0x1.49e1eb6d9966p-4, 0x1.4b3c138b3d766p-4, 0x1.4c51e32298242p-4, 0x1.4d25a894ed4ecp-4, 0x1.4db9a6a4192d9p-4, 0x1.4e10142a95337p-4, 0x1.4e2b1bcf909bbp-4, 0x1.4e0cdbdbd340bp-4, 0x1.4db766115ccafp-4, 0x1.4d2cbf5480135p-4, 0x1.4c6edf3edda97p-4, 0x1.4b7fb9ae98aap-4, 0x1.4a61194c5d292p-4, 0x1.4914e8aa502b2p-4, 0x1.479ce5a7a1b71p-4, 0x1.45faba50e619cp-4, 0x1.44301c6288fb1p-4, 0x1.423ed29b8adc2p-4, 0x1.40281da6a8a8cp-4, 0x1.3dedda0b664f1p-4, 0x1.3b914c2b19437p-4, 0x1.3913fb5cb5806p-4, 0x1.367766b122a01p-4, 0x1.33bcb8b93f44bp-4, 0x1.30e52ae3aa376p-4, 0x1.2df27bdf2b345p-4, 0x1.2ae566353b4dbp-4, 0x1.27bf31de924eap-4, 0x1.248132d324d91p-4, 0x1.212c8d332409p-4, 0x1.1dc21d93b8d75p-4, 0x1.1a42cd7931284p-4, 0x1.16affae73c8cdp-4, 0x1.130a9db302bfbp-4, 0x1.0f53463ff8852p-4, 0x1.0b8b04a1d2c11p-4, 0x1.07b2cec457d5bp-4, 0x1.03cb718b2468ap-4, 0x1.ffabc68433c47p-5, 0x1.f7a51ebb464bdp-5, 0x1.ef84c7c3a88f5p-5, 0x1.e74c55f305abcp-5, 0x1.defd3187a65a3p-5, 0x1.d69896a99e779p-5, 0x1.ce2024038d3d3p-5, 0x1.c594a5d5f416p-5, 0x1.bcf743c552838p-5, 0x1.b449c2685e63p-5, 0x1.ab8d00dcf6629p-5, 0x1.a2c1f5b5b6257p-5, 0x1.99ea0b9ba9403p-5, 0x1.9105f1a33342ep-5, 0x1.8816f5a7bf82ap-5, 0x1.7f1d715e31f85p-5, 0x1.761b3e87040bbp-5, 0x1.6d10ce4a642cdp-5, 0x1.63ff0062ae50ep-5, 0x1.5ae6bb368a945p-5, 0x1.51c93d1fb3863p-5, 0x1.48a69e5224751p-5, 0x1.3f80362224ecp-5, 0x1.365662779fc54p-5, 0x1.2d2a7d72f0c11p-5, 0x1.23fce1907e88fp-5, 0x1.1ace518e58eap-5, 0x1.119f82d327614p-5, 0x1.08713a86dc1dbp-5, 0x1.fe88d6808cbb9p-6, 0x1.ec3258b2ff4e9p-6, 0x1.d9e0f1c0d2522p-6, 0x1.c795b2428871ap-6, 0x1.b5529860f8d98p-6, 0x1.a31843bdda37ep-6, 0x1.90e806d12c029p-6, 0x1.7ec3220885443p-6, 0x1.6caabdb714d47p-6, 0x1.5aa01aa97bbc6p-6, 0x1.48a4f2d71e2d6p-6, 0x1.36b93b3ff7d05p-6, 0x1.24df0d6f4ee66p-6, 0x1.1316987e15541p-6, 0x1.01624e4337c71p-6, 0x1.df84f6f7a4462p-7, 0x1.bc708278485f4p-7, 0x1.998985dce67bp-7, 0x1.76d223e74af99p-7, 0x1.544c6679ddad9p-7, 0x1.31fa6378f62b2p-7, 0x1.0fde9ec8ed10cp-7, 0x1.dbf628d861b6fp-8, 0x1.98a20f0c0e042p-8, 0x1.55c4cc920eea7p-8, 0x1.136336d6a932cp-8, 0x1.a305d6220ea77p-9, 0x1.204b5019716e3p-9, 0x1.3d3daa438c5a7p-10, 0x1.e0827ee45ae3ep-13, -0x1.85c53f0544e24p-11, -0x1.bf8cbcaeb6a35p-10, -0x1.5cf0078b07c77p-9, -0x1.d8e79fd056082p-9, -0x1.29d2d92d5a475p-8, -0x1.6690489485ebfp-8, -0x1.a2ac49db73c5cp-8, -0x1.de207343dc66bp-8, -0x1.0c76d72d55f34p-7, -0x1.2985eb617f8b5p-7, -0x1.463d0b509b3fp-7, -0x1.629afc74372b9p-7, -0x1.7e9e3580957a6p-7, -0x1.9a4549a4c29b3p-7, -0x1.b58edeee7dc0cp-7, -0x1.d079a8975e641p-7, -0x1.eb046646c5e8ep-7, -0x1.0296f2f8e704ap-6, -0x1.0f7a847d6363bp-6, -0x1.1c2c59021788ap-6, -0x1.28ab9cc28495p-6, -0x1.34f82be6fa4cdp-6, -0x1.4111616a87cbep-6, -0x1.4cf7278b91d5fp-6, -0x1.58a8ad4a55814p-6, -0x1.64253b7e9a87dp-6, -0x1.6f6cd6a7fac43p-6, -0x1.7a7f1afa9bb02p-6, -0x1.855ba84745274p-6, -0x1.90022b0a93ddbp-6, -0x1.9a725858dd384p-6, -0x1.a4abec567ea72p-6, -0x1.aeaea9d3f3503p-6, -0x1.b87a5a4dae0f1p-6, -0x1.c20ece46aa8d5p-6, -0x1.cb6bde6d6e1e5p-6, -0x1.d4916c7add93cp-6, -0x1.dd7f4dbadf321p-6, -0x1.e635337244bb3p-6, -0x1.eeb38b3dc4c4ap-6, -0x1.f6f9e9a226167p-6, -0x1.ff08de7cc35c8p-6, -0x1.036fd409a4cf8p-5, -0x1.073f4446571ep-5, -0x1.0af2dac965da5p-5, -0x1.0e8a9fd075849p-5, -0x1.12069e086cp-5, -0x1.1566e4d221b65p-5, -0x1.18ab87213a99ap-5, -0x1.1bd49af084ee6p-5, -0x1.1ee2390ed205ap-5, -0x1.21d47d0802732p-5, -0x1.24ab85190ff49p-5, -0x1.276772371e45cp-5, -0x1.2a0868a96ee6ep-5, -0x1.2c8e8be361013p-5, -0x1.2efa0aa9d53fap-5, -0x1.314b099fe1ecbp-5, -0x1.3381a39cbf28ep-5, -0x1.359e25899ffd7p-5, -0x1.37a0b48e48feep-5, -0x1.39899d5e4c452p-5, -0x1.3b590a2e7335p-5, -0x1.3d0f022bccca3p-5, -0x1.3eabe75316a27p-5, -0x1.402ff7f327ee3p-5, -0x1.419b5297a75c6p-5, -0x1.42ee870201139p-5, -0x1.442983bdb224ap-5, -0x1.454ca69112934p-5, -0x1.465833a1fa083p-5, -0x1.474c709acde98p-5, -0x1.4829a497b6f1dp-5, -0x1.48f01814bd3d6p-5, -0x1.49a014dee35bep-5, -0x1.4a39e6058003p-5, -0x1.4abdd7cfb4d2bp-5, -0x1.4b2c37bc4acbbp-5, -0x1.4b85549e89667p-5, -0x1.4bc97ec0ee7f6p-5, -0x1.4bf905916a2e2p-5, -0x1.4c142e7f0a4a3p-5, -0x1.4c1b5702c6642p-5, -0x1.4c0ed8cc4c9ddp-5, -0x1.4bef03f20669bp-5, -0x1.4bbc4290476d3p-5, -0x1.4b76af9fe3c58p-5, -0x1.4b1ebd547201bp-5, -0x1.4ab4c9c1f8006p-5, -0x1.4a392831cc94ap-5, -0x1.49ac2d87e30c1p-5, -0x1.490e300ad30cfp-5, -0x1.485f86a067007p-5, -0x1.47a0887d867e1p-5, -0x1.46d18d0454a46p-5, -0x1.45f2ebb08c40dp-5, -0x1.4504fc0bf181ep-5, -0x1.440815a0c7f42p-5, -0x1.42fc8fee21b9fp-5, -0x1.41e2c25bdd224p-5, -0x1.40bb042f6e514p-5, -0x1.3f85ac81be841p-5, -0x1.3e4312372e17cp-5, -0x1.3cf38bfcccc22p-5, -0x1.3b977051b5f9bp-5, -0x1.3a2f159495b1fp-5, -0x1.38bad14646676p-5, -0x1.373af39b07b95p-5, -0x1.35afcfc3e81afp-5, -0x1.3419c9aac0b5ap-5, -0x1.32792564eb126p-5, -0x1.30ce550e04e49p-5, -0x1.2f1982e8916dfp-5, -0x1.2d5b04eae06f7p-5, -0x1.2b933b2c26a3bp-5, -0x1.29c2759a80603p-5, -0x1.27e90285f8f71p-5, -0x1.260730999af2dp-5, -0x1.241d4e2820cc3p-5, -0x1.222ba8f21141ap-5, -0x1.20328ded5ad73p-5, -0x1.1e32494a120d8p-5, -0x1.1c2b2662cf282p-5, -0x1.1a1d6fbc65b37p-5, -0x1.18096f1f3fae5p-5, -0x1.15ef6ee23c0bdp-5, -0x1.13cfb01908ae8p-5, -0x1.11aa82b331991p-5, -0x1.0f802792d1ad3p-5, -0x1.0d50e4f9a9753p-5, -0x1.0b1cfeea0ad92p-5, -0x1.08e4b88119768p-5, -0x1.06a853e6b1206p-5, -0x1.0468124da0fcp-5, -0x1.022433fa58c24p-5, -0x1.ffb9f06c456cep-6, -0x1.fb2538e08b752p-6, -0x1.f68ab4c53834ap-6, -0x1.f1eae41c96938p-6, -0x1.ed4641a28f0edp-6, -0x1.e89d409140b19p-6, -0x1.e3f064cf5a887p-6, -0x1.df3fedb3ca894p-6, -0x1.da8c5caf69bcep-6, -0x1.d5d628a108122p-6, -0x1.d11db90fc671dp-6, -0x1.cc6373b265844p-6, -0x1.c7a7bd3fb91fcp-6, -0x1.c2eaf8c641941p-6, -0x1.be2d875ffc434p-6, -0x1.b96fc81a08f63p-6, -0x1.b4b217ed5faebp-6, -0x1.aff4d1c00159cp-6, -0x1.ab384e626f02fp-6, -0x1.a67ce48ed49ccp-6, -0x1.a1c2e910bc5c1p-6, -0x1.9d0aae75ca7c1p-6, -0x1.98548563b45d8p-6, -0x1.93a0bc6cf8f72p-6, -0x1.8eefa0271b8ebp-6, -0x1.8a417b251645ap-6, -0x1.859695fdc5358p-6, -0x1.80ef374f3390ep-6, -0x1.7c4ba3c4a70bfp-6, -0x1.77ac1e185f67fp-6, -0x1.7310e71a5a39ep-6, -0x1.6e7a3db7b0ccp-6, -0x1.69e85f01e51c9p-6, -0x1.655b862bfc2dbp-6, -0x1.60d3ec1ec2668p-6, -0x1.5c51c6548801ep-6, -0x1.57d54b9ebff07p-6, -0x1.535eb3bd7fc3p-6, -0x1.4eee2e33adb42p-6, -0x1.4a83f5962f275p-6, -0x1.4620250590825p-6, -0x1.41c2ed40d6de7p-6, -0x1.3d6c807c2d9b5p-6, -0x1.391d07e60c2adp-6, -0x1.34d4aa8be87abp-6, -0x1.30938e637f205p-6, -0x1.2c59d80abd93dp-6, -0x1.2827aaa3c4cedp-6, -0x1.23fd27cc16768p-6, -0x1.1fda6f9d6fb42p-6, -0x1.1bbfa0b2bb242p-6, -0x1.17acd82fd8f9dp-6, -0x1.13a231cabff16p-6, -0x1.0f9fc7cb905p-6, -0x1.0ba5b30a6d9b3p-6, -0x1.07b40b1692ebap-6, -0x1.03cae60856f0ap-6, -0x1.ffd4b16aae71dp-7, -0x1.f824ed709fa24p-7, -0x1.f086a6d3d5e25p-7, -0x1.e8f9f25a1c53ep-7, -0x1.e17f08d008b83p-7, -0x1.da15f2adf97dap-7, -0x1.d2bed178bc3f4p-7, -0x1.cb79bd71b6fe8p-7, -0x1.c446ccce8ae91p-7, -0x1.bd261398c5346p-7, -0x1.b617a3b1e6b8cp-7, -0x1.af1b8cde2bce4p-7, -0x1.a831dcd500925p-7, -0x1.a15a9f701cb38p-7, -0x1.9a95df3aa8abcp-7, -0x1.93e3a520ae144p-7, -0x1.8d43f3ca024fbp-7, -0x1.86b6ce7b613b7p-7, -0x1.803c2aba001eep-7, -0x1.79d4329ffb6f6p-7, -0x1.737ec51988f9ap-7, -0x1.6d3bdb5404da1p-7, -0x1.670b7e8c274c2p-7, -0x1.60edb3764b55cp-7, -0x1.5ae25bcf728p-7, -0x1.54e977823040bp-7, -0x1.4f02fd5859f38p-7, -0x1.492ee1b215f12p-7, -0x1.436d1781e1903p-7, -0x1.3dbd906ffb74ep-7, -0x1.38203ce6697e4p-7, -0x1.32950c26e02dep-7, -0x1.2d1beccf658b7p-7, -0x1.27b4cbd865968p-7, -0x1.225f9561b63d8p-7, -0x1.1d1c359d8efdcp-7, -0x1.17ea96d6b6b7cp-7, -0x1.12caa2dbd1598p-7, -0x1.0dbc428d62178p-7, -0x1.08bf5db1d1695p-7, -0x1.03d3dadf11622p-7, -0x1.fdf33eca77fa2p-8, -0x1.f4611e8ab2839p-8, -0x1.eaf11a795cc1ap-8, -0x1.e1a2f5d490c45p-8, -0x1.d876721ee142bp-8, -0x1.cf6b4fce49f7p-8, -0x1.c6814f14b4359p-8, -0x1.bdb830a4f2db7p-8, -0x1.b50fb6500cb54p-8, -0x1.ac87a353a8b37p-8, -0x1.a41fbc429153cp-8, -0x1.9bd7c6a45c1a7p-8, -0x1.93af88ec935bap-8, -0x1.8ba6cc768c7c5p-8, -0x1.83bd5954e8cfap-8, -0x1.7bf2d4e6026d2p-8, -0x1.7446f6a9d3535p-8, -0x1.6cb95b8b2cd0cp-8, -0x1.6549c56f989c8p-8, -0x1.5df81adff895ap-8, -0x1.56c3cd202fdb3p-8, -0x1.4fac74bef30cp-8, -0x1.48b1c14530ce8p-8, -0x1.41d365d3cf067p-8, -0x1.3b111b61b589dp-8, -0x1.346aa33356e18p-8, -0x1.2ddfc7006b62p-8, -0x1.27705738b1992p-8, -0x1.211c27f6f8421p-8, -0x1.1ae30fff7f8f4p-8, -0x1.14c4cb3300098p-8, -0x1.0ec13aafd8dc6p-8, -0x1.08d8005a56f94p-8, -0x1.0308ca1c745e9p-8, -0x1.faa663729f5cbp-9, -0x1.ef6d89be84cd6p-9, -0x1.e46613edb0e3ap-9, -0x1.d98f0bf839191p-9, -0x1.cee785c0919b2p-9, -0x1.c46eacbfd4f05p-9, -0x1.ba23ce8121576p-9, -0x1.b006607e23cf8p-9, -0x1.a616020228702p-9, -0x1.9c5277e248104p-9, -0x1.92bba29f36a06p-9, -0x1.8951705a91439p-9, -0x1.8013cbbe9eecap-9, -0x1.77028b4ede0dep-9, -0x1.6e1d627892f33p-9, -0x1.6563d7641ea5bp-9, -0x1.5cd53ec6770f4p-9, -0x1.5470be62d967fp-9, -0x1.4c3555d3553bep-9, -0x1.4421ec5f2f6eap-9, -0x1.3c3562676c9dp-9, -0x1.346ea6103577p-9, -0x1.2cccccabcedcap-9, -0x1.254f193fd94b8p-9, -0x1.1df4aa90178b6p-9, -0x1.16bd0115b8c3fp-9, -0x1.0fa7b718b5162p-9, -0x1.08b50599c1054p-9, -0x1.01e5b66ed4e67p-9, -0x1.f67253da6404cp-10, -0x1.e95e707289f57p-10, -0x1.dc8fc447b3d13p-10, -0x1.d005f0bdad261p-10, -0x1.c3c02d3fc13b2p-10, -0x1.b7bd52210aa72p-10, -0x1.abfbcec8bcaf6p-10, -0x1.a079d60c8c50bp-10, -0x1.9536985998c66p-10, -0x1.8a2f11fab1ep-10, -0x1.7f61f8e85c931p-10, -0x1.74cdc31660727p-10, -0x1.6a71204851f4bp-10, -0x1.604afe37a804fp-10, -0x1.565a81d262096p-10, -0x1.4c9ef8ee38546p-10, -0x1.4317c90c9bc17p-10, -0x1.39c460603f1e5p-10, -0x1.30a42cd8115b1p-10, -0x1.27b699fc2ad9bp-10, -0x1.1efb134688193p-10, -0x1.167106baad3fcp-10, -0x1.0e17e3b2b8eddp-10, -0x1.05ef14170249ep-10, -0x1.fbebe3cb4981dp-11, -0x1.ec576d209f3ecp-11, -0x1.dd1dbf4d440e6p-11, -0x1.ce41b406ef30ap-11, -0x1.bfba81af9ca22p-11, -0x1.b18b2b31416a7p-11, -0x1.a3b10f9866cbep-11, -0x1.962b96f710872p-11, -0x1.88fa4a9082673p-11, -0x1.7c1c826f76c14p-11, -0x1.6f912ad6c1321p-11, -0x1.63567afcefa7bp-11, -0x1.5769996984fc7p-11, -0x1.4bc6f6a836059p-11, -0x1.406ace73841a7p-11, -0x1.3551e995720e9p-11, -0x1.2a79a7b154df3p-11, -0x1.1fded9a96607ep-11, -0x1.158153c258db1p-11, -0x1.0b606c25641aep-11, -0x1.0181032f6de9fp-11, -0x1.efc71527bbcbep-12, -0x1.dd084525c60a5p-12, -0x1.cac316854e098p-12, -0x1.b8f599d87f15ap-12, -0x1.a79e335334c6fp-12, -0x1.96bcb0367eac1p-12, -0x1.865273c18590dp-12, -0x1.7661b39e68261p-12, -0x1.66ec332e51bf5p-12, -0x1.57f2060f6290ap-12, -0x1.4970b46253db4p-12, -0x1.3b6309233135cp-12, -0x1.2dc173b7aed2ep-12, -0x1.2082d431434d4p-12, -0x1.139da6e71a69fp-12, -0x1.0709834309c16p-12, -0x1.f5814843190c2p-13, -0x1.dd81e2439bac7p-13, -0x1.c617c386f089dp-13, -0x1.af4a1d210a1dp-13, -0x1.991ff0627829cp-13, -0x1.839c4287946a1p-13, -0x1.6ebce2dbda349p-13, -0x1.5a7c0a3c0051ap-13, -0x1.46d380c244853p-13, -0x1.33bf82c487f13p-13, -0x1.214030297e03fp-13, -0x1.0f5903639429fp-13, -0x1.fc1cf3608cf5bp-14, -0x1.dac6237c7dc37p-14, -0x1.baaacb2972f72p-14, -0x1.9bc0cbdf715e4p-14, -0x1.7dfa31728c2f6p-14, -0x1.614894be45001p-14, -0x1.459e1a4bad79ep-14, -0x1.2aec16c611833p-14, -0x1.112153f4b230ep-14, -0x1.f054a3bf3b0f6p-15, -0x1.bfe8e640cf5a8p-15, -0x1.90e578b29bfcep-15, -0x1.6342bed401e98p-15, -0x1.370beb5bd2274p-15, -0x1.0c585f8f5551dp-15, -0x1.c667cac663628p-16, -0x1.77024bea456edp-16, -0x1.2a76c092c5b0ap-16, -0x1.c13055bed8d1cp-17, -0x1.33e58b91605d1p-17, -0x1.591244b289e5bp-18, -0x1.544632d5b59bap-20, 0x1.475112e15a5dfp-19, 0x1.910375023e894p-18, 0x1.39be5fb15e126p-17, 0x1.a61eba2eb3de7p-17, 0x1.06e79ae61deeap-16, 0x1.388a39ccc147bp-16, 0x1.6802beaeb5563p-16, 0x1.95508f993e784p-16, 0x1.c06d886628634p-16, 0x1.e95461fb4e884p-16, 0x1.07fc26552cd4dp-15, 0x1.1a4144f11aec3p-15, 0x1.2b8d9e0e323bep-15, 0x1.3c02c12bc968fp-15, 0x1.4bd3b2a9efe51p-15, 0x1.5ae7986893fffp-15, 0x1.6940e955b18c1p-15, 0x1.76d5263979f12p-15, 0x1.838af13cf0932p-15, 0x1.8f7185ef4610bp-15, 0x1.9aa0b979396edp-15, 0x1.a51b3a4a0153p-15, 0x1.aed0b5af4488fp-15, 0x1.b7ba571d08bacp-15, 0x1.bfe7252ad641bp-15, 0x1.c76f20e84bc7ap-15, 0x1.ce64882c31bddp-15, 0x1.d4d02c514a9d9p-15, 0x1.dab508309bb07p-15, 0x1.e0148323640d8p-15, 0x1.e4f0bae8e355cp-15, 0x1.e94c4b8dfb8e2p-15, 0x1.ed28648467f88p-15, 0x1.f082d97e990dap-15, 0x1.f35658085c9f1p-15, 0x1.f59dabafeeff2p-15, 0x1.f7585acab883bp-15, 0x1.f88fa44605bbep-15, 0x1.f95be67f233ffp-15, 0x1.f9df1da3cb821p-15, 0x1.fa27f1e8a134p-15, 0x1.fa1ce8d9d8eb4p-15, 0x1.f99d2cdc99db5p-15, 0x1.f8c4a8388df6p-15, 0x1.f7c53cb643357p-15, 0x1.f692858652407p-15, 0x1.f4ea5283db515p-15, 0x1.f2a6214ddaae7p-15, 0x1.f023c6971beeep-15, 0x1.ed75cbbffba2cp-15, 0x1.ea950bb2ee1bbp-15, 0x1.e77df885476a1p-15, 0x1.e42fb868e7cc9p-15, 0x1.e0aad7f7969d1p-15, 0x1.dcf0c94d4113bp-15, 0x1.d903846b9f7bcp-15, 0x1.d4e54fadd0ef3p-15, 0x1.d0989aa230f9cp-15, 0x1.cc2046325152ap-15, 0x1.c77ec09d7045bp-15, 0x1.c2b35a394c307p-15, 0x1.bdbf947e5ad41p-15, 0x1.b8a3885861f2ap-15, 0x1.b35f2eb6bfdfdp-15, 0x1.adf106b7569d7p-15, 0x1.a869f8956e45dp-15, 0x1.a2cc9c14b128cp-15, 0x1.9d1a9b523b422p-15, 0x1.974d3eb79effcp-15, 0x1.916d2be8e6d32p-15, 0x1.8b7e257340144p-15, 0x1.857633af092a9p-15, 0x1.7f55383ee78a4p-15, 0x1.7923595526f6bp-15, 0x1.72e5440770c57p-15, 0x1.6c9bf3d6852d6p-15, 0x1.66481910d44a4p-15, 0x1.5fe926965c4afp-15, 0x1.59815b1b502ebp-15, 0x1.53113290c1ce7p-15, 0x1.4c99f265ad40ap-15, 0x1.461cc8ce0913dp-15, 0x1.3f9ad6f045313p-15, 0x1.391532216894fp-15, 0x1.32916c8d7d098p-15, 0x1.2c0a38318439ep-15, 0x1.258004092347fp-15, 0x1.1ef03bc4b6d0ap-15, 0x1.186918b198ad1p-15, 0x1.11e458b20d94fp-15, 0x1.0b62cc9e64dbfp-15, 0x1.04e3754617b3fp-15, 0x1.fcc3ae3c7df75p-16, 0x1.efc04c51b513dp-16, 0x1.e306adf6f767bp-16, 0x1.d68f09bc5186fp-16, 0x1.ca26b5ace4064p-16, 0x1.bd3a627c644d7p-16, 0x1.b0442efdfa093p-16, 0x1.a39af7e04188p-16, 0x1.971dab70f2442p-16, 0x1.8aba77f1a0e6fp-16, 0x1.7e6e04d9e5f2ep-16, 0x1.7238acc11cb55p-16, 0x1.661b63c17aa9ap-16, 0x1.5a171d47d84d2p-16, 0x1.4e2cb977bdf1bp-16, 0x1.425d062163eb2p-16, 0x1.36a8b450e542fp-16, 0x1.2b1047e7b8664p-16, 0x1.1f94877f8862fp-16, 0x1.143706daf17fp-16, 0x1.08f85f4cdc569p-16, 0x1.fbb08f530f95cp-17, 0x1.e5aebb515c496p-17, 0x1.cfec8d0d1f3e8p-17, 0x1.ba6ab947ea027p-17, 0x1.a52a52e957db4p-17, 0x1.902c81787077ep-17, 0x1.7b721e5c9a2e8p-17, 0x1.66fb002f774a7p-17, 0x1.52c9e62fe5795p-17, 0x1.3edeab05f20b9p-17, 0x1.2b341f71974e8p-17, 0x1.17d6f9607660fp-17, 0x1.04c0750deb97dp-17, 0x1.e3de0ea157cc5p-18, 0x1.bec86db217e2bp-18, 0x1.9a43db330900ep-18, 0x1.76511eb42f281p-18, 0x1.52f0199008445p-18, 0x1.3020cde300087p-18, 0x1.0de35402cf1a2p-18, 0x1.d86f7cd0373cfp-19, 0x1.963c2f465e7cp-19, 0x1.552ced857799bp-19, 0x1.15423d8e9b2cep-19, 0x1.acfa4360d8977p-20, 0x1.31be29980580dp-20, 0x1.71a94803150fcp-21, 0x1.09012fd54226cp-22, -0x1.901e04626314p-23, -0x1.4840aafa6ed16p-21, -0x1.149365950499ep-20, -0x1.834686ce49b71p-20, -0x1.ebe592a94a082p-20, -0x1.276caedd8f587p-19, -0x1.58aec5db6217bp-19, -0x1.8d859e8098059p-19, -0x1.be8b95af32c29p-19, -0x1.f2b7f7a14dddp-19, -0x1.10fc9dfc625aep-18, -0x1.27f6bba13e506p-18, -0x1.3e74475fa4befp-18, -0x1.5483d1d137d2bp-18, -0x1.69d2fbca03574p-18, -0x1.7ed052d01c28cp-18, -0x1.9340d5e1cc55p-18, -0x1.a718eda54405ap-18, -0x1.ba699521c3f74p-18, -0x1.cd387b40667dp-18, -0x1.df87009da9aa3p-18, -0x1.f155e3076df56p-18, -0x1.015300197f817p-17, -0x1.09bc340cc68ep-17, -0x1.11e727717a85p-17, -0x1.19d48ebd0a86ap-17, -0x1.2184a05d96402p-17, -0x1.28f8cd750667p-17, -0x1.3030892fbf40fp-17, -0x1.372d06ce4c5fp-17, -0x1.3deeae7177f61p-17, -0x1.447611aa0f0fdp-17, -0x1.4ac3c0758c899p-17, -0x1.50d8b1d126ebep-17, -0x1.56b5e5287d5dbp-17, -0x1.5c5c582a8d3eep-17, -0x1.61ccd29269122p-17, -0x1.6707799222293p-17, -0x1.6c0c5ecd7c597p-17, -0x1.70e541174bc47p-17, -0x1.7573aa4602268p-17, -0x1.79d95542e36bap-17, -0x1.7e11d0fb17bf6p-17, -0x1.8219547c4c1fap-17, -0x1.85dd1ae953a8dp-17, -0x1.89720171a03a2p-17, -0x1.8cf22ed1dd0bep-17, -0x1.90481a999e0ap-17, -0x1.9355042c00a22p-17, -0x1.96359393611c5p-17, -0x1.98e958415a026p-17, -0x1.9b7019acc91b7p-17, -0x1.9dcd72cd37a6dp-17, -0x1.a00ca8c4ac5a5p-17, -0x1.a226f5e61cf3cp-17, -0x1.a393247cbed74p-17, -0x1.a46b4f1be5298p-17, -0x1.a5997689b7618p-17, -0x1.a7d06bb296dccp-17, -0x1.a9c90385e010cp-17, -0x1.ab15f70867a64p-17, -0x1.ac163aa465f04p-17, -0x1.ace9adc5238ecp-17, -0x1.ad99a24d14036p-17, -0x1.ae1fdf9a4d459p-17, -0x1.ae895c808d58p-17, -0x1.aed5d351362dap-17, -0x1.aefb1716133e9p-17, -0x1.aeff5303a3b54p-17, -0x1.aee35945e2c21p-17, -0x1.aea7d2b0471c4p-17, -0x1.ae4d252a5f505p-17, -0x1.add45c6d00521p-17, -0x1.ad3cae38ee5ffp-17, -0x1.ac8783560a1adp-17, -0x1.abb5e46cc2aeep-17, -0x1.aaca43afb3d3bp-17, -0x1.a9c517e3a10cfp-17, -0x1.a8a25c0556ecap-17, -0x1.a754c141141adp-17, -0x1.a60620d9490f5p-17, -0x1.a49fb43fc8dfdp-17, -0x1.a315f3621103cp-17, -0x1.a174cdc66b27fp-17, -0x1.9fbd1b73bd072p-17, -0x1.9deefdbe325c8p-17, -0x1.9c0ad2d00c4dp-17, -0x1.9a11143d6a833p-17, -0x1.9802448aacdfcp-17, -0x1.95dee856dbe15p-17, -0x1.93a784a4eb07dp-17, -0x1.915ca2c883b4ap-17, -0x1.8eff4350be48p-17, -0x1.8c986610cbb39p-17, -0x1.8a0bf8e30a5dbp-17, -0x1.8777a89d8340fp-17, -0x1.84d260d0e6f78p-17, -0x1.821c4b50a134cp-17, -0x1.7f55b4e182462p-17, -0x1.7c7ec6b662747p-17, -0x1.799796cd2ad55p-17, -0x1.76a04b4abf5fap-17, -0x1.739a1ed8cb371p-17, -0x1.708a33fcbe1d8p-17, -0x1.6d75ed156805fp-17, -0x1.6a17ebdd170d6p-17, -0x1.65f0f38d8083p-17, -0x1.6213ca7004f19p-17, -0x1.5f444af048cb2p-17, -0x1.5ce250eb44c62p-17, -0x1.59cd4f3a70947p-17, -0x1.566cc45bc5acep-17, -0x1.52fa0de7cf466p-17, -0x1.4f7d932eb15d2p-17, -0x1.4be45a7ed3f5dp-17, -0x1.486744f8115a4p-17, -0x1.44cc38a20a754p-17, -0x1.412e28187f6cp-17, -0x1.3d85cd4ac24e4p-17, -0x1.39d5e3be884d2p-17, -0x1.361efb2fdfa36p-17, -0x1.326172a264c46p-17, -0x1.2e9d80c1845b2p-17, -0x1.2ad3d14199bd6p-17, -0x1.27046e175e81ap-17, -0x1.232fc05bebe9p-17, -0x1.1f5626212357p-17, -0x1.1b77e27072f09p-17, -0x1.17954ed1d9978p-17, -0x1.13aec0027ae77p-17, -0x1.0fc4a204bb61ap-17, -0x1.0bd74e0feec69p-17, -0x1.07e6806f51a1p-17, -0x1.03f1f1b2151e7p-17, -0x1.fff52e5332336p-18, -0x1.f8047c58d1bcbp-18, -0x1.f017107b533dbp-18, -0x1.e82b64dcf91bcp-18, -0x1.e01cfc146033bp-18, -0x1.d81982543f7d6p-18, -0x1.d01cbb08dee9p-18, -0x1.c81c5b5f2507ep-18, -0x1.c019ee0a17e3p-18, -0x1.b81c28d51ef73p-18, -0x1.b01558568e577p-18, -0x1.a80e37fb0a0d2p-18, -0x1.a009f4d8141eep-18, -0x1.980692966fa19p-18, -0x1.90036165b532dp-18, -0x1.88007f378f495p-18, -0x1.7ffd8db1c4b1ep-18, -0x1.77faecf54639dp-18, -0x1.6ffb64e1b4208p-18, -0x1.680840e50a37bp-18, -0x1.5ff15db732666p-18, -0x1.568dd617a9f4dp-18, -0x1.4cce523ac3e6cp-18, -0x1.4536550459a81p-18, -0x1.506056fc47523p-18, -0x1.38a0a68526c61p-18, -0x1.30f1c5de0913fp-18, -0x1.292ef628a8984p-18, -0x1.21826adf2c117p-18, -0x1.19bb3e60f0abp-18, -0x1.120bd6eeb29cbp-18, -0x1.0a61926f067c1p-18, -0x1.02bdd1543406ep-18, -0x1.f64232b4bc034p-19, -0x1.e718446dc722bp-19, -0x1.d7fe867091a03p-19, -0x1.c8f5abadaec13p-19, -0x1.b9fe5ce9f8df6p-19, -0x1.ab19094a892d9p-19, -0x1.9c46220048044p-19, -0x1.8d86503a993ffp-19, -0x1.7ed9e697fc65cp-19, -0x1.70415e864f58ap-19, -0x1.61bd240d7aedep-19, -0x1.534dabe0a5afcp-19, -0x1.44f2fcc9c09a6p-19, -0x1.36ae67b85ecb5p-19, -0x1.287f34ab34e04p-19, -0x1.1a66380c24d79p-19, -0x1.0c63ac1a8477p-19, -0x1.fcefc75d7836p-20, -0x1.e146586afcc5fp-20, -0x1.c5cb8fde36df9p-20, -0x1.aa8098c8785f3p-20, -0x1.8f6432294e7ffp-20, -0x1.74780cd940a18p-20, -0x1.59c582da538fp-20, -0x1.3f4aaa23a7276p-20, -0x1.24d9156f60a2dp-20, -0x1.0ab075b72a644p-20, -0x1.e17264a1352bap-21, -0x1.ade6167cdc67p-21, -0x1.791b716619d6bp-21, -0x1.47e080345b634p-21, -0x1.15664159de01ep-21, -0x1.c6d9fec04176bp-22, -0x1.63709025bda11p-22, -0x1.00a434756ddf1p-22, -0x1.376b9dd50733fp-23, -0x1.179ecd6ac73c5p-25, 0x1.6dcd8e8fcdd49p-24, 0x1.5cbdee82f9097p-23, 0x1.d2b6649dfd85fp-23, 0x1.3ae3b690aaefdp-22, 0x1.965d30defa343p-22, 0x1.f177cd82cdaadp-22, 0x1.25ae8652361dcp-21, 0x1.515dd27f84ab1p-21, 0x1.7e4f91752cae4p-21, 0x1.aa3547920d745p-21, 0x1.d58a940c9e8d1p-21, 0x1.003ba9e644bfap-20, 0x1.15863e35b9c0dp-20, 0x1.2a9896c6eea0dp-20, 0x1.3f711c6f3e72ap-20, 0x1.54145236a221ap-20, 0x1.687d0911393a4p-20, 0x1.7cb55698b0c8ep-20, 0x1.90b19369e4ebdp-20, 0x1.a47ea588cc1e1p-20, 0x1.b80e309145294p-20, 0x1.cb65eff057bddp-20, 0x1.de86ee2670165p-20, 0x1.f16dd366f0821p-20, 0x1.020f065416115p-19, 0x1.0ca1602d51898p-19, 0x1.1469487637782p-19, 0x1.1d6dcb67b8dbep-19, 0x1.265be95e0fb67p-19, 0x1.2f29fa2ee7a23p-19, 0x1.37bf4701bf51bp-19, 0x1.406b2d73e08f2p-19, 0x1.48e5afce29be6p-19, 0x1.5143b950f0ef1p-19, 0x1.599867464a8d2p-19, 0x1.61aa2db2099bap-19, 0x1.69c3bee1eec48p-19, 0x1.71b93b93f34eep-19, 0x1.799433c37069p-19, 0x1.81561b4c907d3p-19, 0x1.88fefce795f54p-19, 0x1.90904735fa77dp-19, 0x1.98087fd9afa22p-19, 0x1.9f676805b3475p-19, 0x1.a7009b8f6663ap-19, 0x1.b0f9b04c26061p-19, 0x1.bc21dd9a435f7p-19, 0x1.c16845ae5212fp-19, 0x1.c3d2aa3ba4bb4p-19, 0x1.c936291af015cp-19, 0x1.cfd362421f141p-19, 0x1.d63f520027644p-19, 0x1.dcaca6d99576ep-19, 0x1.e2da46fec19a5p-19, 0x1.e8fb3e13e5f2fp-19, 0x1.ef1171593afe8p-19, 0x1.f50dbd70a71e4p-19, 0x1.faf3353c96eb9p-19, 0x1.00609241ddad3p-18, 0x1.033b9c1b9646cp-18, 0x1.060aa731461bdp-18, 0x1.08cdb26a7d0ap-18, 0x1.0b84c8e1851fap-18, 0x1.0e2fde244442ep-18, 0x1.10cf5aaddd8f9p-18, 0x1.1360441db757bp-18, 0x1.15e9f483ba898p-18, 0x1.1869024862bb6p-18, 0x1.1ade42cd4d89ep-18, 0x1.1d2d2a7aa5c88p-18, 0x1.1f5e6d8b69543p-18, 0x1.21e9d577afd89p-18, 0x1.2426e5a4f2ee4p-18, 0x1.265c5594f86f5p-18, 0x1.2888c2c6580dep-18, 0x1.2aa937f0a5bf6p-18, 0x1.2cbd70bc5547p-18, 0x1.2ec9cdf5d3e9dp-18, 0x1.30c9920be3736p-18, 0x1.32c06a60abee6p-18, 0x1.34ae6bafbbc6fp-18, 0x1.368e33e0f1dabp-18, 0x1.386332af5f254p-18, 0x1.3a2fcad5ca2eap-18, 0x1.3bf3a0620303dp-18, 0x1.3dae358004d14p-18, 0x1.3f5eacb391bc1p-18, 0x1.4105efdd087ecp-18, 0x1.42da1a66b0715p-18, 0x1.45fcbb1775923p-18, 0x1.4964c9527c0c7p-18, 0x1.497dc0e958651p-18, 0x1.48dfb97e6ae24p-18, 0x1.4a069801a3b31p-18, 0x1.4b7d512c33ca2p-18, 0x1.4ccac8217229ap-18, 0x1.4e09aea962db9p-18, 0x1.4f435a92f1d2dp-18, 0x1.506aa1e9d62adp-18, 0x1.519f03801c507p-18, 0x1.52c4eec89ccd1p-18, 0x1.53df8cd551ad7p-18, 0x1.54f2c61d4c9e8p-18, 0x1.617770614209fp-18, 0x1.56fefe794ceffp-18, 0x1.57f8ed242d502p-18, 0x1.58caa535280fp-18, 0x1.59d5c966816c6p-18, 0x1.5ab72eec9287p-18, 0x1.5b901c9efdfeap-18, 0x1.5c60bdfce635dp-18, 0x1.5d2941355fcb8p-18, 0x1.5deb88d014545p-18, 0x1.5e96604a6f0acp-18, 0x1.5f4bd477b2db8p-18, 0x1.600e9207216d5p-18, 0x1.60964723b972dp-18, 0x1.613aad243cf78p-18, 0x1.61cc47ded58a2p-18, 0x1.6256ba7a608c9p-18, 0x1.62ddf1209efa2p-18, 0x1.63614c73932d6p-18, 0x1.63ce613e6d9f4p-18, 0x1.642375a52646bp-18, 0x1.64b3401ac6d67p-18, 0x1.6511c3ddc19bep-18, 0x1.656af13998129p-18, 0x1.65bd50ae491cep-18, 0x1.660a273c4b0afp-18, 0x1.664c23ac4b2abp-18, 0x1.67661df85d4b8p-18, 0x1.6a0faa6e57e8ap-18, 0x1.69968161f774ep-18, 0x1.679d7d7567c13p-18, 0x1.6727f986b99cdp-18, 0x1.678c344bd5f43p-18, 0x1.67a923d31f231p-18, 0x1.67ad7b990cc39p-18, 0x1.6792238ba6905p-18, 0x1.67a65b0ed42a1p-18, 0x1.67aed78469328p-18, 0x1.67a39f0bb1f6ep-18, 0x1.6796768b28b07p-18, 0x1.678661abef048p-18, 0x1.6770e0d185643p-18, 0x1.6756714e01fc8p-18, 0x1.6732128b4d435p-18, 0x1.670e1a0bd318p-18, 0x1.66e4aa86afafcp-18, 0x1.66b7968e34f45p-18, 0x1.668300871903dp-18, 0x1.66493c7113a5ep-18, 0x1.660ace183473dp-18, 0x1.65c7ae34e7645p-18, 0x1.657f3c5c71f9fp-18, 0x1.6532e66f7937ap-18, 0x1.64e1bf3ba57e2p-18, 0x1.648bca732deaap-18, 0x1.64315f965451fp-18, 0x1.63d28c00830e5p-18, 0x1.636f613120fb3p-18, 0x1.6308010db1c65p-18, 0x1.629ded7a0e9aap-18, 0x1.6228f09d21cd3p-18, 0x1.61b8e1bdfbea1p-18, 0x1.613caf30b5a4cp-18, 0x1.60c5b9e94bd89p-18, 0x1.6027109262e78p-18, 0x1.5fddeef7f9d47p-18, 0x1.60d285a52c89dp-18, 0x1.620421755029p-18, 0x1.5f32d54627539p-18, 0x1.5cfee061c995dp-18, 0x1.5ce4c8a210a56p-18, 0x1.5c87ba15b519bp-18, 0x1.5bdf02185e674p-18, 0x1.5b26932eb2e43p-18, 0x1.5a80b8e2502e4p-18, 0x1.59d37771e582fp-18, 0x1.59250ffd78e8dp-18, 0x1.5874939a6e966p-18, 0x1.57c0329b4da94p-18, 0x1.570c2773001fep-18, 0x1.56542772d93c6p-18, 0x1.55995af17a9cfp-18, 0x1.54d971d63c427p-18, 0x1.541acd40ac689p-18, 0x1.535770fba232ep-18, 0x1.529065f562de7p-18, 0x1.51a2dee09b322p-18, 0x1.5104424b517d7p-18, 0x1.502e6464d73ecp-18, 0x1.4f5e023db7958p-18, 0x1.4e8b2b16c444ap-18, 0x1.4db602b503b3p-18, 0x1.4cde8536f7f86p-18, 0x1.4c04ac23944bap-18, 0x1.4b218c6948577p-18, 0x1.4a48de94bdfcap-18, 0x1.4959a660d97d8p-18, 0x1.48896b3f0d592p-18, 0x1.479ee1fdc7d9fp-18, 0x1.46b393a00b55p-18, 0x1.45d54cedb88f9p-18, 0x1.453db0c42f40cp-18, 0x1.4658940ca0e1ep-18, 0x1.44cff5ecab67bp-18, 0x1.4199bb40fdc33p-18, 0x1.40fce5c1ef5cp-18, 0x1.40407582787fep-18, 0x1.3f5beb32b6afdp-18, 0x1.3e54c9a521016p-18, 0x1.3d50875011ccep-18, 0x1.3c4dbd43298f6p-18, 0x1.3b4d18404bcf9p-18, 0x1.3a4c6680f2e2cp-18, 0x1.394b0d19e116ap-18, 0x1.3848db9e47ab1p-18, 0x1.3745adb5fc42bp-18, 0x1.364773700e9ddp-18, 0x1.352ffd6836638p-18, 0x1.34381bbf95254p-18, 0x1.33267f50b8c1bp-18, 0x1.31f9b83f4e8a3p-18, 0x1.3115cc0781328p-18, 0x1.300969f206ea5p-18, 0x1.2efc3b0e10d9fp-18, 0x1.2decf441ce9fdp-18, 0x1.2cdae2d988f79p-18, 0x1.2bcd0d4a523bep-18, 0x1.2abd431367cb5p-18, 0x1.29a9cb0d9ef0cp-18, 0x1.289669e3b8f18p-18, 0x1.2915946f2e7d5p-18, 0x1.264aeb165b3c6p-18, 0x1.2558fcda0258fp-18, 0x1.246e940adbb46p-18, 0x1.24c516643186dp-18, 0x1.2434172d0709ep-18, 0x1.2027be96ba877p-18, 0x1.1ec0e41e5903bp-18, 0x1.1ebc65537fa1ap-18, 0x1.1df14322fb52ap-18, 0x1.1ca6f8477f3d7p-18, 0x1.1b8023570e218p-18, 0x1.1a53051fa8aebp-18, 0x1.193cc52450da6p-18, 0x1.181caaf3bd0cbp-18, 0x1.16fcd08a6b3cp-18, 0x1.15dd918613bc9p-18, 0x1.14be3e8ee6a9ep-18, 0x1.139eb16d9f442p-18, 0x1.127ee127998b4p-18, 0x1.115ed39054997p-18, 0x1.103eb67634b1ap-18, 0x1.0f1fc5f5a458dp-18, 0x1.0e08962d6145ap-18, 0x1.0d0b0d3f354c1p-18, 0x1.0bc2b4af5d49ep-18, 0x1.0a995e0f8914bp-18, 0x1.0971f171478a6p-18, 0x1.085357875126cp-18, 0x1.073041d69c427p-18, 0x1.060cc8c26de35p-18, 0x1.04eed9c593231p-18, 0x1.03fcf7f95fb17p-18, 0x1.045d636b271cbp-18, 0x1.0242ed27b1415p-18, 0x1.fdf236777947fp-19, 0x1.fc9a5fa4eab3ep-19, 0x1.fc68430e58abap-19, 0x1.fa4162e8b880dp-19, 0x1.f7328c8e94749p-19, 0x1.f5606de4de52p-19, 0x1.f33e4f8acc2eep-19, 0x1.f0f8181f96d35p-19, 0x1.eeb0a83910625p-19, 0x1.ec6eba8793ca7p-19, 0x1.ea11769d2faccp-19, 0x1.e80932de04d35p-19, 0x1.e5af08ac59e9p-19, 0x1.e39ca2013609ap-19, 0x1.e12ba294c002bp-19, 0x1.dee535f1d4aaep-19, 0x1.dca3b28ab53bp-19, 0x1.da639440b3f81p-19, 0x1.d823cd71323dap-19, 0x1.d5dfad04ff22dp-19, 0x1.d39927f2adc38p-19, 0x1.d1555f86347e1p-19, 0x1.cf5f931277fa2p-19, 0x1.cf72985e7a7c9p-19, 0x1.ccc560d20649ap-19, 0x1.c5758183dc63dp-19, 0x1.c4338f313ac84p-19, 0x1.c45acfe06725cp-19, 0x1.c209bc5cf8b96p-19, 0x1.bfc4925b453c3p-19, 0x1.bd7b24abd2959p-19, 0x1.bb4a1cad13a1dp-19, 0x1.b9204a7b89346p-19, 0x1.b6f13da608ddcp-19, 0x1.b4c164addcb39p-19, 0x1.b28edde495b8dp-19, 0x1.b05e27012a345p-19, 0x1.ae3073fe822f2p-19, 0x1.ac02fdf5f582p-19, 0x1.a9d805ea13fa2p-19, 0x1.a7acb6da8ff88p-19, 0x1.a57470b9bcf0ap-19, 0x1.a3449ba7d0be8p-19, 0x1.a12f26ee9fd03p-19, 0x1.a01598c85e7e6p-19, }}, 
      {{-0x1.d2c69304b9baep-1, -0x1.bc5ad6f3efdadp-1, -0x1.9e4f5b6fdd34fp-1, -0x1.7c9109a74549bp-1, -0x1.59d195c31221ap-1, -0x1.37d80f922a642p-1, -0x1.17c8047f7656fp-1, -0x1.f49b2a481c2cfp-2, -0x1.bf83296fcd244p-2, -0x1.90863449b9e21p-2, -0x1.6791e16b845d2p-2, -0x1.445e81a60f3ddp-2, -0x1.26829becdb5b1p-2, -0x1.0d816ba210089p-2, -0x1.f1ab69abf6eb2p-3, -0x1.cfeb47a20d99ap-3, -0x1.b4bded1f81fdap-3, -0x1.9f269d73509p-3, -0x1.8e3ca9481ab14p-3, -0x1.812bcc005075ep-3, -0x1.77359717be04fp-3, -0x1.6fb192ef0feacp-3, -0x1.6a0cb08fd1fe3p-3, -0x1.65c8228cee07dp-3, -0x1.627815189475fp-3, -0x1.5fc218372f67dp-3, -0x1.5d5b4ac18408ep-3, -0x1.5b06e3094e0c9p-3, -0x1.589474d30a6f4p-3, -0x1.55de64fcf7169p-3, -0x1.52c87eee55105p-3, -0x1.4f3e8b3589be6p-3, -0x1.4b33345ecd9cep-3, -0x1.469ed11d1927bp-3, -0x1.417e74a458bc9p-3, -0x1.3bd3125ce7fbap-3, -0x1.35a0b369eb0a4p-3, -0x1.2eedc2d94b436p-3, -0x1.27c295ec40667p-3, -0x1.2028c8acac7c3p-3, -0x1.182aeec01d10cp-3, -0x1.0fd434fbf8da4p-3, -0x1.07300beca1458p-3, -0x1.fc93ec254217fp-4, -0x1.ea5aad7f48476p-4, -0x1.d7ca8fa99202p-4, -0x1.c4f8fbffff941p-4, -0x1.b1fa6370650e7p-4, -0x1.9ee21c6ba7485p-4, -0x1.8bc1831a5101cp-4, -0x1.78ad70d68a995p-4, -0x1.65acd5872593bp-4, -0x1.52d8272f95433p-4, -0x1.40368ea132e66p-4, -0x1.2dd56814a6b4bp-4, -0x1.1bbf89a5b969bp-4, -0x1.09fe81edcb326p-4, -0x1.f1359586f3d1p-5, -0x1.cf37d77a11c3ep-5, -0x1.ae10dcfcd9f4p-5, -0x1.8dcbee90eef31p-5, -0x1.6e729e37bd6b2p-5, -0x1.500ce00e5a971p-5, -0x1.32a14c5069f3dp-5, -0x1.1634e93279f1p-5, -0x1.f597816263556p-6, -0x1.c0d13330d5767p-6, -0x1.8e1a67a1bfa7cp-6, -0x1.5d74af39a5fdap-6, -0x1.2edfd91278315p-6, -0x1.025a699ffcc1dp-6, -0x1.afc2ad495214ap-7, -0x1.5edfc5b050d87p-7, -0x1.1201a9334f03dp-7, -0x1.923696fb3dc23p-8, -0x1.083bc1d4ed0b5p-8, -0x1.0be40186e1661p-9, -0x1.66b92fab999a5p-13, 0x1.a07b3cc4485a2p-10, 0x1.a8677a7ee72b3p-9, 0x1.3932ba6eb05edp-8, 0x1.9746fd9fb1d04p-8, 0x1.ee9cf0f68ef39p-8, 0x1.1fb0f8655c96ap-7, 0x1.44e20c779582bp-7, 0x1.66f90d68dfcddp-7, 0x1.860d8964fa96ap-7, 0x1.a2372af843bb8p-7, 0x1.bb8da20f5efddp-7, 0x1.d2289295e9b57p-7, 0x1.e61f8869b7a85p-7, 0x1.f789ecd1ce087p-7, 0x1.033f7d60415bfp-6, 0x1.098ad92e1449p-6, 0x1.0eb2649704c2ep-6, 0x1.12c154a1446fcp-6, 0x1.15c2b2c5d14a4p-6, 0x1.17c15992a1cd7p-6, 0x1.18c7f36879455p-6, 0x1.18e0f77b8a32fp-6, 0x1.1816a7799d3adp-6, 0x1.16730d859733p-6, 0x1.13fffa9e25a21p-6, 0x1.10c7058d3be08p-6, 0x1.0cd189fae1346p-6, 0x1.0828a7c4d82e9p-6, 0x1.02d5429912581p-6, 0x1.f9c0031b0beabp-7, 0x1.eca29e066e8a9p-7, 0x1.de62b16c5c3a3p-7, 0x1.cf101f5cce376p-7, 0x1.beba5094c0d47p-7, 0x1.ad7032f46934bp-7, 0x1.9b402d7a3f351p-7, 0x1.88380cfb20d8p-7, 0x1.7467a2e888d2ap-7, 0x1.5fd7ce896d0cep-7, 0x1.4a9840c6635cp-7, 0x1.34b4829cfe79fp-7, 0x1.1e38d50259a5ap-7, 0x1.07304642f86c4p-7, 0x1.df47c1cb92977p-8, 0x1.af44eeb117ee7p-8, 0x1.7e63c687c8219p-8, 0x1.4cbdab40243bap-8, 0x1.1a631419aadaap-8, 0x1.cec6628a05aa3p-9, 0x1.67a92d87e7026p-9, 0x1.ff2867d5c422fp-10, 0x1.2d19d24940214p-10, 0x1.666d5d7f25d43p-12, -0x1.ec8deb7dcad2dp-12, -0x1.50ff275084be2p-10, -0x1.13e329ba9ad59p-9, -0x1.7f96c9ef0fa53p-9, -0x1.eb7af0cb2b58fp-9, -0x1.2bc6cab84ada4p-8, -0x1.61dcac0b7c106p-8, -0x1.97e9473b41018p-8, -0x1.cde78005e3042p-8, -0x1.01e83c236ade8p-7, -0x1.1cccec8b14735p-7, -0x1.379ffa5c15e52p-7, -0x1.525777eb429f6p-7, -0x1.6cf2482255e77p-7, -0x1.876da71a3d41ep-7, -0x1.a1c6025119c98p-7, -0x1.bbf715cdf9f6ap-7, -0x1.d6003cae9a9d7p-7, -0x1.efda84ee42a4ap-7, -0x1.04c1410f4ff6fp-6, -0x1.117d2c54e0646p-6, -0x1.1e1e9779511e2p-6, -0x1.2aa3b1d8fff41p-6, -0x1.370cdd31b59c2p-6, -0x1.43576b978d4acp-6, -0x1.4f83a9224ee7ap-6, -0x1.5b8ddeaf6c49p-6, -0x1.677920f63b5bdp-6, -0x1.7342799adfb46p-6, -0x1.7ee8ffc4c701ep-6, -0x1.8a6c12a34e1e9p-6, -0x1.95cce1831452p-6, -0x1.a107496985bd9p-6, -0x1.ac1d3caa5ea8ap-6, -0x1.b70c1d10864bbp-6, -0x1.c1d62cab54c44p-6, -0x1.cc7904c0e3bf4p-6, -0x1.d6f44fed9d437p-6, -0x1.e1478d35d18cfp-6, -0x1.eb72a78adaf1cp-6, -0x1.f5768aea8fcfap-6, -0x1.ff4fda36e8d7p-6, -0x1.047ff1615579ap-5, -0x1.0942dd043c677p-5, -0x1.0df16ed9e90e2p-5, -0x1.128ab3e22d07cp-5, -0x1.170ea4d7d048cp-5, -0x1.1b7d2c5af6b53p-5, -0x1.1fd61d661ee01p-5, -0x1.24197581dfe93p-5, -0x1.2847e203bddabp-5, -0x1.2c5f9ee50d1e3p-5, -0x1.3061eeec95fbcp-5, -0x1.344d7991ab662p-5, -0x1.3823e0a49db6p-5, -0x1.3be4245f6491ap-5, -0x1.3f8e30a39d846p-5, -0x1.43220af448565p-5, -0x1.469fb21f56b5dp-5, -0x1.4a0716dad5f09p-5, -0x1.4d5814fb833aep-5, -0x1.509328c1ca409p-5, -0x1.53b829d394366p-5, -0x1.56c68880bbfcbp-5, -0x1.59be3a4a25029p-5, -0x1.5c9f993116ba3p-5, -0x1.5f6b4eeb2550fp-5, -0x1.6220957bf68dcp-5, -0x1.64bf873149664p-5, -0x1.67483a654e13p-5, -0x1.69babadcc6a4cp-5, -0x1.6c171175ba5cep-5, -0x1.6e5d4326b1e1ep-5, -0x1.708d4bb9d99dap-5, -0x1.72a75b46f6ccbp-5, -0x1.74ac243d963f4p-5, -0x1.769a393d98b17p-5, -0x1.78730bad3c7e6p-5, -0x1.7a34f4654b212p-5, -0x1.7be22f9ed9898p-5, -0x1.7d79e79556902p-5, -0x1.7efc024d50006p-5, -0x1.8068b21c62fdcp-5, -0x1.81c01b6c15e77p-5, -0x1.83025d360e2dfp-5, -0x1.842f96047a072p-5, -0x1.8547e4b0354ep-5, -0x1.864b669e6490cp-5, -0x1.873a32f0f1f5ep-5, -0x1.88146ce3ebff4p-5, -0x1.88daccb552155p-5, -0x1.898cbcb3cb9d8p-5, -0x1.8a2ab3d5b7209p-5, -0x1.8ab41e3a29a35p-5, -0x1.8b29e7ce0a187p-5, -0x1.8b8ccafe5a021p-5, -0x1.8bdc2dedbbf14p-5, -0x1.8c184c4070f59p-5, -0x1.8c4167f311321p-5, -0x1.8c57b84aa5a5fp-5, -0x1.8c5b71c81685cp-5, -0x1.8c4cc917419a5p-5, -0x1.8c2bf3c2c780ep-5, -0x1.8bf9281ebcaf2p-5, -0x1.8bb49c67e10ecp-5, -0x1.8b5e84121acf4p-5, -0x1.8af70dc69a5d2p-5, -0x1.8a7e949b61d8p-5, -0x1.89f5d1840c3b4p-5, -0x1.895bd8188549fp-5, -0x1.88b20b603fba8p-5, -0x1.87f7015bdd8a2p-5, -0x1.872ca568b8b67p-5, -0x1.865328b33b59p-5, -0x1.856a2653cd7cep-5, -0x1.8471f5b42219p-5, -0x1.836ae8cc90fa2p-5, -0x1.825547182517p-5, -0x1.813155293c614p-5, -0x1.7fff572b7aef9p-5, -0x1.7ebf918b275a3p-5, -0x1.7d7249170829p-5, -0x1.7c17c2fa1be68p-5, -0x1.7ab044b2e4e5bp-5, -0x1.793c156f04de7p-5, -0x1.77bb6be6f6cfbp-5, -0x1.762e98229ab86p-5, -0x1.7495dd38a04dfp-5, -0x1.72f1f72a5b296p-5, -0x1.714286919883ep-5, -0x1.6f88160274145p-5, -0x1.6dc26455a815ep-5, -0x1.6bf1f90db335ap-5, -0x1.6a1820043c53p-5, -0x1.6834461c4c373p-5, -0x1.6646a40528de1p-5, -0x1.644f4fca19bedp-5, -0x1.624f63237d62ap-5, -0x1.60465a76e6154p-5, -0x1.5e34bfceea11ep-5, -0x1.5c1ad8a520c6p-5, -0x1.59f8e9fe48386p-5, -0x1.57cf38807be29p-5, -0x1.559e086fc83fcp-5, -0x1.53659da7112cbp-5, -0x1.51263b84e2df1p-5, -0x1.4ee024bd2dc7ap-5, -0x1.4c939ad742dc2p-5, -0x1.4a40dce7b7df4p-5, -0x1.47e82662ffb29p-5, -0x1.4589bf134659bp-5, -0x1.432639d7f7219p-5, -0x1.40bd85358e764p-5, -0x1.3e4fb0e9a21d4p-5, -0x1.3bdd13f2420f5p-5, -0x1.396557bf2ea3fp-5, -0x1.36ea41feac241p-5, -0x1.346b48ac50cfdp-5, -0x1.31e86f9915989p-5, -0x1.2f62053150845p-5, -0x1.2cd84e69054f8p-5, -0x1.2a4b88202ffc4p-5, -0x1.27bbebf3d5dcp-5, -0x1.2529b202cb325p-5, -0x1.229511735f873p-5, -0x1.1ffe40934e25cp-5, -0x1.1d6574e3006a4p-5, -0x1.1acae310486fcp-5, -0x1.182ebef598dd7p-5, -0x1.15913b99511bap-5, -0x1.12f28b2a07597p-5, -0x1.1052def3b0dadp-5, -0x1.0db2674378577p-5, -0x1.0b11531b959d6p-5, -0x1.086fcf782fcdap-5, -0x1.05ce0673dc0c4p-5, -0x1.032c26333a09ep-5, -0x1.008a8ae58b704p-5, -0x1.fbd2da403107cp-6, -0x1.f690c4a387676p-6, -0x1.f150511075ea3p-6, -0x1.ec0f94385f64bp-6, -0x1.e6d1cb174a003p-6, -0x1.e196f32b4c6c7p-6, -0x1.dc5e4b0b128c7p-6, -0x1.d7282d6a35c8ep-6, -0x1.d1f5010d8f1ep-6, -0x1.ccc5187e0f78ep-6, -0x1.c798bc2d80511p-6, -0x1.c27030a3a73b3p-6, -0x1.bd4bb7af40bc2p-6, -0x1.b82b916f7defcp-6, -0x1.b30ffc3ad6c23p-6, -0x1.adf934d51efc9p-6, -0x1.a8e777232080ep-6, -0x1.a3db05c371277p-6, -0x1.9ed3f134ba118p-6, -0x1.99d2a3daa06a2p-6, -0x1.94d7349536eb3p-6, -0x1.8fe1dd4e439c7p-6, -0x1.8af2ced33b5b9p-6, -0x1.860a38a73d62cp-6, -0x1.812848710a7b7p-6, -0x1.7c4d29572c4b7p-6, -0x1.777902ec0f855p-6, -0x1.72abfab266b89p-6, -0x1.6de64ea6212aep-6, -0x1.69288b8b7a5f4p-6, -0x1.64725bd8d4d85p-6, -0x1.5fc39f89b5be7p-6, -0x1.5b1c87fb84a36p-6, -0x1.567c394b59cecp-6, -0x1.51e5892d33a61p-6, -0x1.4d5774d8c3598p-6, -0x1.48d17c9c48bfcp-6, -0x1.4453da0c2b74fp-6, -0x1.3fdebfeaf5a22p-6, -0x1.3b724ffbfa417p-6, -0x1.370ea4981d622p-6, -0x1.32b3d4ef58875p-6, -0x1.2e61f66a61acbp-6, -0x1.2a191d266222fp-6, -0x1.25d95bfeff052p-6, -0x1.21a2c4acf1439p-6, -0x1.1d7567af94bbfp-6, -0x1.195154f4a558p-6, -0x1.15369a81fe39bp-6, -0x1.112545db2964bp-6, -0x1.0d1d633ed7c8dp-6, -0x1.091efe0153637p-6, -0x1.052a206758359p-6, -0x1.013ed3b76bd42p-6, -0x1.faba4064e44eep-7, -0x1.f30a1a8d8f57fp-7, -0x1.eb6d425e99f77p-7, -0x1.e3e3c1ecc6056p-7, -0x1.dc6da0761f474p-7, -0x1.d50ae12bc57f5p-7, -0x1.cdbb8649b9d01p-7, -0x1.c67fb2f4c0092p-7, -0x1.bf57fa8ad791fp-7, -0x1.b843f81b201b5p-7, -0x1.b142991770b8bp-7, -0x1.aa549d0217983p-7, -0x1.a377736eb025p-7, -0x1.9cb00fd07bd7dp-7, -0x1.95fd4c4aebd1ep-7, -0x1.8f5d6f8f55ap-7, -0x1.88d091703f53bp-7, -0x1.8256df6e9158p-7, -0x1.7bf063c866628p-7, -0x1.759d185aa6db4p-7, -0x1.6f5cf0ea008aep-7, -0x1.692fdea069d6ap-7, -0x1.6315d1231ad8cp-7, -0x1.5d0eb6e965adap-7, -0x1.571a7d726b19p-7, -0x1.513911749604fp-7, -0x1.4b6a5ea104d46p-7, -0x1.45ae500436371p-7, -0x1.4004cdef6a995p-7, -0x1.3a6dc2b7d2911p-7, -0x1.34e915a8cbfcbp-7, -0x1.2f76ae4786833p-7, -0x1.2a16783fe1e4ep-7, -0x1.24c8399168b59p-7, -0x1.1f8c138858c99p-7, -0x1.1a61b8d1573f2p-7, -0x1.15491cf8bf50bp-7, -0x1.1042223174062p-7, -0x1.0b4caa75b798fp-7, -0x1.066897005e7b6p-7, -0x1.0195c7f68dc63p-7, -0x1.f9a837f6d715ep-8, -0x1.f046e16f100a7p-8, -0x1.e7075868a21fep-8, -0x1.dde9d1b72ef1cp-8, -0x1.d4eedc8af9d53p-8, -0x1.cc141f8cd5b7fp-8, -0x1.c3598608b4815p-8, -0x1.babc5901e1de6p-8, -0x1.b23e9376a18c5p-8, -0x1.a9e5802b2bfcep-8, -0x1.a1ac3e0764b39p-8, -0x1.99918659f8c3dp-8, -0x1.9195ea206892fp-8, -0x1.89b8a120a8fd3p-8, -0x1.81f9cc148a44cp-8, -0x1.7a5932af03299p-8, -0x1.72d68ced23f28p-8, -0x1.6b71901ea2cacp-8, -0x1.6429f0e3ecd7cp-8, -0x1.5cff632902e42p-8, -0x1.55f19a4d2b76ep-8, -0x1.4f00519d41377p-8, -0x1.482b378d1588bp-8, -0x1.4171fae07d04bp-8, -0x1.3ad45de6eb066p-8, -0x1.34520d3c7e7c6p-8, -0x1.2deabda96db85p-8, -0x1.279e24b7c5ad1p-8, -0x1.216bf720b8499p-8, -0x1.1b53e9313455cp-8, -0x1.1555aed7a78b3p-8, -0x1.0f70fb9fa4396p-8, -0x1.09a582ba7aafdp-8, -0x1.03f2f71e22595p-8, -0x1.fcb21775f737fp-9, -0x1.f1aee78706c99p-9, -0x1.e6dbc5f1f0fd5p-9, -0x1.dc381bd0d721cp-9, -0x1.d1c353f5eee16p-9, -0x1.c77cda866c93ep-9, -0x1.bd641c7c37e65p-9, -0x1.b3788be94c7b8p-9, -0x1.a9b9c409903d8p-9, -0x1.a0280f346267bp-9, -0x1.96c40c25480e7p-9, -0x1.8d8999916dcadp-9, -0x1.847818555be3ap-9, -0x1.7b8b6d1417d5p-9, -0x1.72c66688bf8e2p-9, -0x1.6a3351006643ep-9, -0x1.61c8df16b785dp-9, -0x1.5984052c989bp-9, -0x1.51652c80a1702p-9, -0x1.496c617e8252p-9, -0x1.41995235dfbc3p-9, -0x1.39eb9095e095cp-9, -0x1.3262ac4af31bdp-9, -0x1.2afe39410e21dp-9, -0x1.23bdcfbb58b8fp-9, -0x1.1ca116449741p-9, -0x1.15a7576746f2bp-9, -0x1.0ed09afb165b4p-9, -0x1.081c0062b1d69p-9, -0x1.0189266781284p-9, -0x1.f62ed5a9a0562p-10, -0x1.e98c5fdbdb1dep-10, -0x1.dd29a362beed9p-10, -0x1.d105597df78ebp-10, -0x1.c51e30cf9fdc6p-10, -0x1.b97301e1354e3p-10, -0x1.ae02d4f60f90ap-10, -0x1.a2ccc41452685p-10, -0x1.97d012ba69ba3p-10, -0x1.8d0c2a7603095p-10, -0x1.8280905b608f1p-10, -0x1.782cd5ac1a5f8p-10, -0x1.6e108c6a99228p-10, -0x1.642b342b6bc8p-10, -0x1.5a7c2e906825cp-10, -0x1.5102b5553b38dp-10, -0x1.47bdd6ce9ae55p-10, -0x1.3eac777d24a5fp-10, -0x1.35cd59502a21dp-10, -0x1.2d1f28c705b4bp-10, -0x1.24a09728cfff8p-10, -0x1.1c50a8b41e0efp-10, -0x1.142f8bc2b30d1p-10, -0x1.0c3e17daed5c8p-10, -0x1.0475bdc348c76p-10, -0x1.f9a7da219bd0dp-11, -0x1.eaa8078622ff9p-11, -0x1.dbf8bc36e9fc3p-11, -0x1.cdbe241fd805fp-11, -0x1.bfd7c58e7b0b8p-11, -0x1.b23c845a8ac3cp-11, -0x1.a4efc88da564ep-11, -0x1.97f301dcc6aa6p-11, -0x1.8b45bcaf1a76cp-11, -0x1.7ee6a8b0f631dp-11, -0x1.72d38c364056p-11, -0x1.6709e0aeee7bep-11, -0x1.5b8c5eefdfc66p-11, -0x1.50532e00f14a4p-11, -0x1.455e69ab13181p-11, -0x1.3aac4ab158002p-11, -0x1.303b3e0e263adp-11, -0x1.2609e9a4b4a0cp-11, -0x1.1c17274daa573p-11, -0x1.1261f7e030a2fp-11, -0x1.08e9738a0f27fp-11, -0x1.ff5978dc285e5p-12, -0x1.ed55ed07c7ac7p-12, -0x1.dbc68b10e9656p-12, -0x1.caa99df595d48p-12, -0x1.b9fd792005dbcp-12, -0x1.a9c077d5d4795p-12, -0x1.99f0f6fcadf3cp-12, -0x1.8a8d554b7d375p-12, -0x1.7b93456f6378bp-12, -0x1.6cefb8ab253ap-12, -0x1.5ee0d4ac3977fp-12, -0x1.51061bf3d2f4p-12, -0x1.439e0c1456cc7p-12, -0x1.3693052f0052cp-12, -0x1.29e652750ceb8p-12, -0x1.1d96ebe74349ep-12, -0x1.11a364876b74dp-12, -0x1.060a264145b3cp-12, -0x1.f5929590ccc9ap-13, -0x1.dfbb5035b72e6p-13, -0x1.ca87a2d6fbb0cp-13, -0x1.b5f34596b5667p-13, -0x1.a202b455b5c2ap-13, -0x1.8eb3a419281aap-13, -0x1.7bcd668979595p-13, -0x1.69527c3328628p-13, -0x1.571d3a50226d1p-13, -0x1.45b8da68847adp-13, -0x1.3531216552381p-13, -0x1.2519b4b45ac03p-13, -0x1.156fdcbdf06a8p-13, -0x1.063f6cab3da7ap-13, -0x1.ef17d1e7a2b61p-14, -0x1.d2ac30c8e9e7ap-14, -0x1.b73e116ed758ep-14, -0x1.9ccf94bd0ba28p-14, -0x1.8361855011cbdp-14, -0x1.6af3bcf84bc0ap-14, -0x1.5380d2689b7c3p-14, -0x1.3cfdecad570c9p-14, -0x1.275c43f5e22b8p-14, -0x1.128a77b909587p-14, -0x1.fced1d212290cp-15, -0x1.d62111ae64c9dp-15, -0x1.b09a456ca2ed1p-15, -0x1.8c4f363df5844p-15, -0x1.69432174468fap-15, -0x1.4780d2cdf906p-15, -0x1.2712ba2fededcp-15, -0x1.07fc33fc7ab41p-15, -0x1.d46ee071c96e6p-16, -0x1.9b70995212411p-16, -0x1.64e3c763fcp-16, -0x1.30b75fcb5a6f8p-16, -0x1.fdd07df1ecab6p-17, -0x1.9efececcfd807p-17, -0x1.45135c639f0f7p-17, -0x1.e03300771a077p-18, -0x1.400097502a38ap-18, -0x1.5271a0333432dp-19, -0x1.b6a8804320a4ap-22, 0x1.a773bf5e88389p-20, 0x1.ce168066227b3p-19, 0x1.5c9384a5119f3p-18, 0x1.cafb08a326563p-18, 0x1.196be0507fd42p-17, 0x1.4a5cee0759fe8p-17, 0x1.7883c3d591873p-17, 0x1.a3e98c6fbaaa8p-17, 0x1.cc4b87b9b4d42p-17, 0x1.f0f0cbd8d8146p-17, 0x1.08f50b5cccaa4p-16, 0x1.192590d6b2252p-16, 0x1.28e3a38d006d6p-16, 0x1.388c6665d29e6p-16, 0x1.4403156dd46c1p-16, 0x1.4cc378452987dp-16, 0x1.5520853bd8da3p-16, 0x1.5cb5c35a6fceap-16, 0x1.6322ea3805c23p-16, 0x1.68510e73d6689p-16, 0x1.6c7363471faadp-16, 0x1.6f7a0c8da9d3ap-16, 0x1.717db3a389a49p-16, 0x1.728571cb4f122p-16, 0x1.72930426b0489p-16, 0x1.71a87de24fb2p-16, 0x1.6fc9228d36623p-16, 0x1.6cd4a4096d5c4p-16, 0x1.690026922c9ccp-16, 0x1.64504ade8305p-16, 0x1.5edc9574b5289p-16, 0x1.5a17d558712b1p-16, 0x1.5332dac42a02cp-16, 0x1.4b1ad768efc76p-16, 0x1.434a65fd17902p-16, 0x1.3ab85af348f46p-16, 0x1.317837a2b586bp-16, 0x1.27a13b48afba2p-16, 0x1.1d376c1fe309ep-16, 0x1.122eb8f4cb081p-16, 0x1.0682e2abc01b4p-16, 0x1.f483bcba53656p-17, 0x1.db01df05582dfp-17, 0x1.c0a091a9cb341p-17, 0x1.a5709e2a0e032p-17, 0x1.897904cea0ccbp-17, 0x1.6cbe54f74cfb9p-17, 0x1.4f462783374e1p-17, 0x1.3116ef9d589cp-17, 0x1.1234e4e59ea31p-17, 0x1.e53dc9f6067cfp-18, 0x1.a49e3ca154db3p-18, 0x1.6280be4cb5e7dp-18, 0x1.1eeaebc94d05ep-18, 0x1.b4040782d6662p-19, 0x1.28352eb9c1dd4p-19, 0x1.368169a7b7385p-20, 0x1.a7f37223e8cep-24, -0x1.071c4a2697e05p-20, -0x1.199d90e33cff8p-19, -0x1.ae86a65fa97cfp-19, -0x1.1d079b9df88bep-18, -0x1.5ff4294bfa54ep-18, -0x1.a7c7eb9338b24p-18, -0x1.fa8d4fe2e59bp-18, -0x1.25c7f10ef0b1dp-17, -0x1.4cea05485d6aap-17, -0x1.73ada95579f8cp-17, -0x1.9a7508abcedadp-17, -0x1.c157437af1cc9p-17, -0x1.e856a6e792d69p-17, -0x1.07b81b05d54p-16, -0x1.1b4f5a4194e39p-16, -0x1.2eed2253d1c1ep-16, -0x1.428c69d526fb4p-16, -0x1.562e8f8f508dfp-16, -0x1.69d8da0845c17p-16, -0x1.7d7d8e4c5ecb9p-16, -0x1.9127e2c523eebp-16, -0x1.a4d092c413483p-16, -0x1.b8723e9149f94p-16, -0x1.cc15f8131df98p-16, -0x1.df9cc2cdf9476p-16, -0x1.f31a3ca93379ap-16, -0x1.0342f2ac70fe3p-15, -0x1.0cf17116b4c5ep-15, -0x1.1695b16d39364p-15, -0x1.202e62f0a8109p-15, -0x1.29be1d92d7f89p-15, -0x1.334475e668a75p-15, -0x1.3cbebc90628c3p-15, -0x1.462b5336601b7p-15, -0x1.4f88e521a28f1p-15, -0x1.58dfbc35b233dp-15, -0x1.62190d3f7e567p-15, -0x1.6b4dc241e72f2p-15, -0x1.74708d3a2183cp-15, -0x1.7d82989e4fd23p-15, -0x1.8683a5c5d081cp-15, -0x1.8f734ea8275dap-15, -0x1.985187789b3b7p-15, -0x1.a1170a3c2a62fp-15, -0x1.a97afd3a8847cp-15, -0x1.b20e78d27181ep-15, -0x1.bb0d088a9a5f6p-15, -0x1.c3808b533ae57p-15, -0x1.cbe2eddc2bdabp-15, -0x1.d430d6dadaa03p-15, -0x1.dc702da72b998p-15, -0x1.e4b5970728c1fp-15, -0x1.ecfc9f0052d3bp-15, -0x1.f4ad47ff2d299p-15, -0x1.fbd7b15f81cd3p-15, -0x1.0173cb5abb0aap-14, -0x1.058faacb3b4b3p-14, -0x1.09c01ec742925p-14, -0x1.0da71fff2f291p-14, -0x1.1168082c0694fp-14, -0x1.15170cf295ac3p-14, -0x1.18b924bf54752p-14, -0x1.1c4f2e0bbac1dp-14, -0x1.1fd938458f892p-14, -0x1.23573402a658bp-14, -0x1.26c90f6f2140ep-14, -0x1.2a2eb2fa8e53ap-14, -0x1.2d87f00279422p-14, -0x1.30d475dc9690bp-14, -0x1.34144d5df7ad3p-14, -0x1.3748444abacd7p-14, -0x1.3a7038ecff0a1p-14, -0x1.3d8b6b7b4ca9bp-14, -0x1.4099ef0058f8dp-14, -0x1.439beebbe5c17p-14, -0x1.469156cc793adp-14, -0x1.497a0c49b6644p-14, -0x1.4c56029ff7b66p-14, -0x1.4f25216754417p-14, -0x1.51e8c65f0a0bbp-14, -0x1.549d7467b324cp-14, -0x1.574894d11ecc7p-14, -0x1.59e94dd29eab4p-14, -0x1.5c79efd1b4669p-14, -0x1.5efc7671101bdp-14, -0x1.61750e4b8dcabp-14, -0x1.63e205a91214ep-14, -0x1.6641c76f2fcb7p-14, -0x1.6894abb7c9139p-14, -0x1.6adb172e5e3fp-14, -0x1.6d153635ced6dp-14, -0x1.6f431d4c6babep-14, -0x1.7164da7b78a3ap-14, -0x1.737a788f3bf46p-14, -0x1.7583fcca17c9dp-14, -0x1.778164418f42p-14, -0x1.7972a2ef69177p-14, -0x1.7b57a03b3e454p-14, -0x1.7d3024160eb91p-14, -0x1.7efc167bbf838p-14, -0x1.80bbbc76a9e1ap-14, -0x1.827157561dd32p-14, -0x1.842404cc03bf4p-14, -0x1.85d2749c306c2p-14, -0x1.873c45db563d6p-14, -0x1.8866cd2cf0049p-14, -0x1.89a0c4468b752p-14, -0x1.8b5c303e4cc92p-14, -0x1.8d206d5aefdd1p-14, -0x1.8e93f9ffd8548p-14, -0x1.8fe68ba1930e2p-14, -0x1.912b8bd0c1594p-14, -0x1.92673a858d72fp-14, -0x1.939b07c512767p-14, -0x1.94be99fa8b153p-14, -0x1.95dcdb6d0d25fp-14, -0x1.96efd4758480ep-14, -0x1.97f66abd3057cp-14, -0x1.98f24cf0fcf11p-14, -0x1.99e407dd8b659p-14, -0x1.9acbba9161d33p-14, -0x1.9ba9731f678e3p-14, -0x1.9c7d41e6db3d7p-14, -0x1.9d473b9114993p-14, -0x1.9e0777ad01879p-14, -0x1.9ebe09025ed98p-14, -0x1.9f6b2166fee6ep-14, -0x1.a00e99384331cp-14, -0x1.a0a8cd04fea59p-14, -0x1.a139a220505dfp-14, -0x1.a1c1362d3e651p-14, -0x1.a23f9e5758746p-14, -0x1.a2b4f66a44f9ep-14, -0x1.a3215afd4c467p-14, -0x1.a384f860d68c8p-14, -0x1.a3dff9d266bf4p-14, -0x1.a432731d00a32p-14, -0x1.a47c67aafe868p-14, -0x1.a4bdd609c0604p-14, -0x1.a4f837f00732dp-14, -0x1.a526da1b63b01p-14, -0x1.a54f00fa94542p-14, -0x1.a57051953cf86p-14, -0x1.a5899c60e8189p-14, -0x1.a5981dba01bbep-14, -0x1.a59c93aed6e3fp-14, -0x1.a59d678c8c589p-14, -0x1.a59b0cfb61656p-14, -0x1.a58eae02093c3p-14, -0x1.a577560b747bcp-14, -0x1.a5582359f7ba9p-14, -0x1.a53181763157bp-14, -0x1.a504b17fd142dp-14, -0x1.a4d61c1cc923dp-14, -0x1.a4a2db41f8732p-14, -0x1.a43204a706ef9p-14, -0x1.a38d5a99117e8p-14, -0x1.a315cf8ef935dp-14, -0x1.a31743e08bedep-14, -0x1.a308f4d6ae231p-14, -0x1.a2bb4bafd4ff1p-14, -0x1.a257877a20489p-14, -0x1.a1ec4075f1ac3p-14, -0x1.a17b15c42995p-14, -0x1.a0fb43287acfp-14, -0x1.a039fd902a6f8p-14, -0x1.a000525c08cffp-14, -0x1.9f740c000d56ep-14, -0x1.9ee3bc776a9bdp-14, -0x1.9e4e130b1f75cp-14, -0x1.9db2f88119bcdp-14, -0x1.9d1250ef1e7e8p-14, -0x1.9c6d3e2ce2409p-14, -0x1.9bc1691bd3a7ap-14, -0x1.9b110990ad9aep-14, -0x1.9a5b955932195p-14, -0x1.99a1810d49547p-14, -0x1.98e2dcc592e13p-14, -0x1.981ee7312c182p-14, -0x1.97532786fc415p-14, -0x1.968741c38d797p-14, -0x1.95b706ffaddeep-14, -0x1.94e04d1b9285ep-14, -0x1.940540d410687p-14, -0x1.93260413fc439p-14, -0x1.924296b3dba73p-14, -0x1.915b03cbf3fa6p-14, -0x1.906f5ba16015p-14, -0x1.8f7fb03308f2ep-14, -0x1.8e8c13ef1aaaep-14, -0x1.8d949953225fep-14, -0x1.8c9953652bbc2p-14, -0x1.8b9a6614ab418p-14, -0x1.8a991aeef65c8p-14, -0x1.899169fede629p-14, -0x1.8887911ce13ep-14, -0x1.877a3f891f3cdp-14, -0x1.866975022ac38p-14, -0x1.8555304ddcb34p-14, -0x1.843d682d58694p-14, -0x1.832208d4ad0f4p-14, -0x1.8203057cc3b0dp-14, -0x1.80e0b439ec06fp-14, -0x1.7fbcdeb53f4d6p-14, -0x1.7e9970151e7ddp-14, -0x1.7d5c7ef938e1ap-14, -0x1.7bd5e1bde38cep-14, -0x1.7a6bea5cc1f18p-14, -0x1.79693de306efcp-14, -0x1.78927cab3dfa1p-14, -0x1.7779c2839316ap-14, -0x1.7645c726b629bp-14, -0x1.750c39386403cp-14, -0x1.73d03db621d27p-14, -0x1.728df5cc73744p-14, -0x1.7154f223a48d8p-14, -0x1.70377f0cf7ebdp-14, -0x1.6ecb009163079p-14, -0x1.6d8141d8d87bap-14, -0x1.6c37809bf0fd5p-14, -0x1.6aec063fdea13p-14, -0x1.699eb42d58dd4p-14, -0x1.684f9f8e0a4a2p-14, -0x1.66feb9508bfb9p-14, -0x1.65ac2adebc0bfp-14, -0x1.6457fac1d8175p-14, -0x1.630234c8563cfp-14, -0x1.61aae21de3ad5p-14, -0x1.6052161224caep-14, -0x1.5ef7d8c3ef4e2p-14, -0x1.5d9c2fb664cb4p-14, -0x1.5c3f2632dd5ccp-14, -0x1.5ae0eeb0047c4p-14, -0x1.5981b8ccb4e07p-14, -0x1.58215ad8c6643p-14, -0x1.56bf5e292b6f8p-14, -0x1.555b54710a768p-14, -0x1.53f59b897c9c9p-14, -0x1.529337817c75p-14, -0x1.512de89957388p-14, -0x1.4fc681dafa398p-14, -0x1.4e5e7a4c2bdccp-14, -0x1.4cf5be0496206p-14, -0x1.4b8ca48cb3788p-14, -0x1.4a222ff25a5f5p-14, -0x1.48b720e8facf5p-14, -0x1.474b23ba479e9p-14, -0x1.45dec8d83aef3p-14, -0x1.44718a74e31eap-14, -0x1.43036a6697277p-14, -0x1.41945a671da0bp-14, -0x1.40242f4333074p-14, -0x1.3eb4419402f17p-14, -0x1.3d449df6d6271p-14, -0x1.3bce66e1e11d7p-14, -0x1.3a1dbda16fcp-14, -0x1.385babb0ab6dp-14, -0x1.36f7026913105p-14, -0x1.37bc248288561p-14, -0x1.349f31270790fp-14, -0x1.333465fdcb48dp-14, -0x1.31c7e48007e1dp-14, -0x1.302b22f775338p-14, -0x1.2ee5812abc0e3p-14, -0x1.2d73947f7875fp-14, -0x1.2c02b726f9a4p-14, -0x1.2a91d59d7bd98p-14, -0x1.2920eadf10e02p-14, -0x1.27b00158495e1p-14, -0x1.263f264902646p-14, -0x1.24ce64e340a3dp-14, -0x1.235dc64a5eeb1p-14, -0x1.21ed5595c39c8p-14, -0x1.207d1c88067d4p-14, -0x1.1f0d21db7abeep-14, -0x1.1d9d6be46ae05p-14, -0x1.1c2e0134e5841p-14, -0x1.1abee88a9ebabp-14, -0x1.195027ad5f4d7p-14, -0x1.17e1c940fd1d3p-14, -0x1.1673c890b6da3p-14, -0x1.150636d948ee2p-14, -0x1.139914ca70538p-14, -0x1.122c6b52e6288p-14, -0x1.10c03d876c8fp-14, -0x1.0f548faf8801ap-14, -0x1.0de968b943bcfp-14, -0x1.0c7eced23ecc2p-14, -0x1.0b14ca4d54f32p-14, -0x1.09ab61873f5b6p-14, -0x1.0842acc0cf6acp-14, -0x1.06dab9d0a2fb9p-14, -0x1.0572c014b58c7p-14, -0x1.040bccb62ab54p-14, -0x1.02a58c086dce8p-14, -0x1.013fb218fa07dp-14, -0x1.ffaab54202753p-15, -0x1.fcec887c4f244p-15, -0x1.fa24784da47b4p-15, -0x1.f75bb193b9e69p-15, -0x1.f495c729f08dap-15, -0x1.f1d47ec40fa1cp-15, -0x1.ef03a1f295a99p-15, -0x1.eb6fcc0afa22ap-15, -0x1.e86d85a6f560ap-15, -0x1.e5ec0d9876822p-15, -0x1.e3e4bc8f9fb2bp-15, -0x1.e168ce8b05dc7p-15, -0x1.deb7b4cb56a4ep-15, -0x1.dc070bedfde76p-15, -0x1.d9585f316ee69p-15, -0x1.d6a470e1e46c1p-15, -0x1.d3fe214b36764p-15, -0x1.d153e3490b258p-15, -0x1.ceaa46f9f316ep-15, -0x1.cc0229de801a9p-15, -0x1.c95cae759e81bp-15, -0x1.c6b8feb27c851p-15, -0x1.c417465c38f85p-15, -0x1.c177801b1427ap-15, -0x1.bed9b6a9841f3p-15, -0x1.bc3e2b396ed63p-15, -0x1.b9a264dd626c9p-15, -0x1.b70e084afc7c3p-15, -0x1.b4791e4440febp-15, -0x1.b1e6570e760f9p-15, -0x1.af55d5929d546p-15, -0x1.acc7767599b9fp-15, -0x1.aa3b553c5f27cp-15, -0x1.a78e1b966f779p-15, -0x1.a529c08ce89bap-15, -0x1.a2a48125246dcp-15, -0x1.a021e76ca13efp-15, -0x1.9da1812a2b966p-15, -0x1.9b24db4d86b2p-15, -0x1.98a6f01b58715p-15, -0x1.962d3984f2e3dp-15, -0x1.93b6c2747bfc4p-15, -0x1.913bdf5fc86d6p-15, -0x1.8ec1ba61d1cd2p-15, -0x1.8c5f6ce00481ap-15, -0x1.89f0debcf16f8p-15, -0x1.8785359ec8337p-15, -0x1.851bce84d6333p-15, -0x1.82b470e2965b9p-15, -0x1.804f145daa0d2p-15, -0x1.7debe5740cafp-15, -0x1.7b8af72bb986bp-15, -0x1.791fff659d8c8p-15, -0x1.7659bbf1a50bfp-15, -0x1.7363c91beedf5p-15, -0x1.714bf672202p-15, -0x1.6fa1a9ddb8661p-15, -0x1.6d85177e09d4p-15, -0x1.6b357124c85c3p-15, -0x1.68eb54fb33daep-15, -0x1.66a826a93efafp-15, -0x1.64662bbc06e8fp-15, -0x1.62288d7f2047bp-15, -0x1.5fe6000d3128dp-15, -0x1.5da931529226dp-15, -0x1.5b6e9e5ee2f32p-15, -0x1.593672322d7c5p-15, -0x1.5700be144e6d9p-15, -0x1.54cd8cda7d424p-15, -0x1.529ce641f9b11p-15, -0x1.506ed1baf608cp-15, -0x1.4e43646c09792p-15, -0x1.4c1b25c71687cp-15, -0x1.49ea9ddc2028ap-15, -0x1.47ce79cf015d1p-15, -0x1.45b02c546034fp-15, -0x1.439238b299c5ep-15, -0x1.417177d33f06p-15, -0x1.3f59dffb7ff17p-15, -0x1.3d45dbd64f2a5p-15, -0x1.3b306b4b7d043p-15, -0x1.391e52f53c5d4p-15, -0x1.370ef28fc1388p-15, -0x1.35023c3ebf12p-15, -0x1.32f41bf4a1c2p-15, -0x1.30f1567bd1264p-15, -0x1.2eecb507a106fp-15, -0x1.2ceaa3760469p-15, -0x1.2aeb135dc3de7p-15, -0x1.28ee1133a0ca9p-15, -0x1.26f3680f8a2d1p-15, -0x1.24fb39e15fda9p-15, -0x1.23056fb777957p-15, -0x1.2111f6f9d971dp-15, -0x1.1f20d1668622ap-15, -0x1.1d31302a1d2e7p-15, -0x1.1b35aefdb9a13p-15, -0x1.18ddd521a9d8ap-15, -0x1.1670b632b1512p-15, -0x1.14ee374264dfp-15, -0x1.139e12e9cb719p-15, -0x1.11d7ef00d81acp-15, -0x1.0ff4df88f89ap-15, -0x1.0e1e1523d1c62p-15, -0x1.0c4bc03a25e99p-15, -0x1.0a7a1dedfc9f2p-15, -0x1.08a9251c37cd9p-15, -0x1.06ddb4480269p-15, -0x1.0512b97b490aep-15, -0x1.03493a4c9aca7p-15, -0x1.018249d7cea81p-15, -0x1.fb099bd4142dp-16, -0x1.fbf728467814p-16, -0x1.f878a0d24eb92p-16, -0x1.f5061603aeccp-16, -0x1.f1895697275aep-16, -0x1.ee18f75bd9b0ap-16, -0x1.eaad8f088cafap-16, -0x1.e7470e6ff08ccp-16, -0x1.e3e5f19e380a2p-16, -0x1.e08f16916b966p-16, -0x1.dd074b6b81b5fp-16, -0x1.d9dcb0344f1a1p-16, -0x1.d6953e395066bp-16, -0x1.d344ba3a6cf7p-16, -0x1.d00353a0576e6p-16, -0x1.ccc3837e0b86ap-16, -0x1.c9889847f5e05p-16, -0x1.c653b2805b295p-16, -0x1.c3250b7bcbc9ep-16, -0x1.bff4f463b73d5p-16, -0x1.bcc2e2d15cce8p-16, -0x1.b9a2ba1d938b3p-16, -0x1.b68f3be6153f1p-16, -0x1.b374739e5aeb7p-16, -0x1.b05e582f4433ap-16, -0x1.ad501078870dbp-16, -0x1.a9f68b4429389p-16, -0x1.a6c6f8f204f7cp-16, -0x1.a27e3d8bae8bfp-16, -0x1.9fd5f97192cc4p-16, -0x1.9e02612c76922p-16, -0x1.9b65b1432873bp-16, -0x1.984f493c10478p-16, -0x1.95612f4e2ca7dp-16, -0x1.9283115ee45f3p-16, -0x1.8faa8ab3cd9bcp-16, -0x1.8ccb867e95ff1p-16, -0x1.89fe663adf1fp-16, -0x1.8724b8bbe5badp-16, -0x1.8454332c1739cp-16, -0x1.8189838f8b13p-16, -0x1.7ec2cd285ceb7p-16, -0x1.7c00acb3b8425p-16, -0x1.79327922308e9p-16, -0x1.7687fbe97c87bp-16, -0x1.73d206912080dp-16, -0x1.7121783a19d86p-16, -0x1.6e746b593761bp-16, -0x1.6bcb83a2579dcp-16, -0x1.69270466a798fp-16, -0x1.668719be7fcfcp-16, -0x1.63ea7cc9100efp-16, -0x1.61533396781eap-16, -0x1.5ebfcf009044bp-16, -0x1.5c3059c823208p-16, -0x1.59a517e313afap-16, -0x1.571dfc12d1c92p-16, -0x1.549afc4c5f5c8p-16, -0x1.521bead40609dp-16, -0x1.4f9c087ecdb21p-16, -0x1.4d15f7b2d41fep-16, -0x1.4ab7ae1f5f217p-16, -0x1.484de5b874566p-16, -0x1.45e18619ad84ap-16, -0x1.436c1ffe07dep-16, -0x1.40f685804d59ep-16, -0x1.3dee590b174acp-16, -0x1.3aacea659bf98p-16, -0x1.397c0351126d9p-16, -0x1.37eadcd2d1fe6p-16, -0x1.356eeeb30faep-16, -0x1.3303bb6f289ddp-16, -0x1.30bfc303cdf7bp-16, -0x1.2e810bb27d163p-16, -0x1.2c49110b3a19ap-16, -0x1.2a1055bf4216cp-16, -0x1.27da1fd78e3e6p-16, -0x1.25a6ee3910985p-16, -0x1.23767eae82d35p-16, -0x1.214ac6f882fc2p-16, -0x1.1f218dd928635p-16, -0x1.1cfc5f526ee75p-16, -0x1.1ad9e823e6ab1p-16, -0x1.18bd114b822dbp-16, -0x1.16a305980dadep-16, -0x1.148c684c6bc1bp-16, -0x1.1280fb312376bp-16, -0x1.106cca158298ap-16, -0x1.0e5db838db9adp-16, -0x1.0c554b8fc449cp-16, -0x1.0a5066c4d34bdp-16, -0x1.084e803f4adfcp-16, -0x1.064f8343f8b06p-16, -0x1.0456cb98a1364p-16, -0x1.025e4e96e8e34p-16, -0x1.006b362db3a43p-16, -0x1.fcea9c855dd4ap-17, -0x1.f923c245c7a2p-17, -0x1.f54f1c3be5101p-17, -0x1.f18413025b10cp-17, -0x1.edbb782d46196p-17, -0x1.e978da743c38dp-17, -0x1.e3ac2edd982cep-17, -0x1.e0d6fbe4ab9ecp-17, -0x1.df57829e2d65bp-17, -0x1.dba8f11b4747ap-17, -0x1.d78a5ddd2ed29p-17, -0x1.d3e02a073ff61p-17, -0x1.d05cf8da8380dp-17, -0x1.ccddd579b5ccbp-17, -0x1.c95de839cd731p-17, -0x1.c5e2a90d41bebp-17, -0x1.c26c24ab88a48p-17, -0x1.befb1069b7a37p-17, -0x1.bb8fd920357d8p-17, -0x1.b8220680efd4ep-17, -0x1.b4d0ac39350e5p-17, -0x1.b167ce232022ap-17, -0x1.ae21a1b877442p-17, -0x1.aace65ac43ae6p-17, -0x1.a798ce3b33927p-17, -0x1.a4460762cd757p-17, -0x1.a109d222af12p-17, -0x1.9dd3c2022dc42p-17, -0x1.9aa2fabc5a3cep-17, -0x1.97771a8d6b19fp-17, -0x1.9453b96dc7d65p-17, -0x1.9137b8ad6ad8ep-17, -0x1.8e1b9cd17ae02p-17, -0x1.8b0a8c7c38e24p-17, -0x1.876859d15a8d1p-17, -0x1.84edb20acf697p-17, -0x1.81fcd0ba03afp-17, -0x1.7ece5327787bp-17, -0x1.7a7adb8238803p-17, -0x1.76f9043a059cep-17, -0x1.76dad82c3bfabp-17, -0x1.74428300efc76p-17, -0x1.705b4e43c740dp-17, -0x1.6d6e11d0a1d9ap-17, -0x1.6a8699f9864eep-17, -0x1.67bcc5f9d2d5p-17, -0x1.64eff207000f7p-17, -0x1.622f0652c8fcbp-17, -0x1.5f6cbc0df6025p-17, -0x1.5caf057a50b57p-17, -0x1.59f6753b73605p-17, -0x1.5742dc9070073p-17, -0x1.5494352a294e8p-17, -0x1.51ea7fd9885bep-17, -0x1.4f45c2b55afccp-17, -0x1.4ca61c54449c7p-17, -0x1.4a0c5a64e85d9p-17, -0x1.4780bcf85edfdp-17, -0x1.4502533eb9598p-17, -0x1.425cc6d617161p-17, -0x1.3fd0f259215d9p-17, -0x1.3d4c26692327bp-17, -0x1.3ad1cc2d0255dp-17, -0x1.385be5af852ap-17, -0x1.35ed3a4143adep-17, -0x1.338086f74e2ffp-17, -0x1.30d0243493593p-17, -0x1.2ce3bffce6429p-17, -0x1.2b82df0cfaea2p-17, -0x1.2b2639c7b68bcp-17, -0x1.2858e0bb68355p-17, -0x1.251c440129ec6p-17, -0x1.22c75c2527639p-17, -0x1.204eaeca129b7p-17, -0x1.1e3850782c61p-17, -0x1.1bff3b658ec34p-17, -0x1.19c46eb85d488p-17, -0x1.1788940a48c8ep-17, -0x1.155217da876dep-17, -0x1.131970ac9f05cp-17, -0x1.10f82e76478f6p-17, -0x1.0ec91433d1166p-17, -0x1.0cb1e1af21467p-17, -0x1.0a80b9a187031p-17, -0x1.086132c776d8fp-17, -0x1.0646f9cd55aa4p-17, -0x1.043283420bde6p-17, -0x1.02227f1f1753fp-17, -0x1.0016da93dd325p-17, -0x1.fc2227509f991p-18, -0x1.f81d3b9750d92p-18, -0x1.f3dc66afca51ep-18, -0x1.edd77381e2442p-18, -0x1.ea4aba78872ecp-18, -0x1.eadebd3683989p-18, -0x1.e6310901e448ep-18, -0x1.e03f05586147p-18, -0x1.dc5d04071940bp-18, -0x1.d8b0cb73ec34ap-18, -0x1.d4ecbc52b6c4bp-18, -0x1.d1322f59ec814p-18, -0x1.cd7fb0a5dde8dp-18, -0x1.c9cddd800f592p-18, -0x1.c61debafabfe4p-18, -0x1.c279c8df58879p-18, -0x1.bedeaa306c04ep-18, -0x1.bb49e958e355bp-18, -0x1.b7bb89e57e262p-18, -0x1.b437278bb5e27p-18, -0x1.b0bafe79c7ac6p-18, -0x1.ad449e3f2d9efp-18, -0x1.a9d9965c7d9bdp-18, -0x1.a66466faca771p-18, -0x1.a228970663c01p-18, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{0x1.ffd7252234683p-1, 0x1.ff5cf217c050bp-1, 0x1.fe927aae0790bp-1, 0x1.fd797bc4dab82p-1, 0x1.fc144889596bdp-1, 0x1.fa65b48850c54p-1, 0x1.f870fc89b045ap-1, 0x1.f639afa7c985fp-1, 0x1.f3c399a31e4f7p-1, 0x1.f112af146e334p-1, 0x1.ee2afbd3d562p-1, 0x1.eb1093b409592p-1, 0x1.e7c7858986972p-1, 0x1.e453d05bf38dbp-1, 0x1.e0b95a9104cc7p-1, 0x1.dcfbead91dabbp-1, 0x1.d91f22a467eb8p-1, 0x1.d52679e94a66ap-1, 0x1.d1153c0988eacp-1, 0x1.ccee85a8ddaf8p-1, 0x1.c8b5434dbc284p-1, 0x1.c46c30aaae7bap-1, 0x1.c015d874020bfp-1, 0x1.bbb494aa1f59fp-1, 0x1.b74a8f44ea12cp-1, 0x1.b2d9c32fd019ap-1, 0x1.ae63fd88dab62p-1, 0x1.a9eadf174605dp-1, 0x1.a56fddefc54cdp-1, 0x1.a0f4473df70fep-1, 0x1.9c79412b8f9b5p-1, 0x1.97ffccde8df99p-1, 0x1.9388c888795c8p-1, 0x1.8f14f1812b1b9p-1, 0x1.8aa4e66822989p-1, 0x1.86392947c5f0dp-1, 0x1.81d221b65a66fp-1, 0x1.7d701ef0e0a2p-1, 0x1.791359ec56326p-1, 0x1.74bbf75a46e9cp-1, 0x1.706a099df168fp-1, 0x1.6c1d92af9dc43p-1, 0x1.67d685ec24fc4p-1, 0x1.6394c9cf0001fp-1, 0x1.5f5839958e098p-1, 0x1.5b20a6ca9316fp-1, 0x1.56eddab93ff1ep-1, 0x1.52bf97c75fa94p-1, 0x1.4e959ab68904p-1, 0x1.4a6f9bcc703a7p-1, 0x1.464d4fe2ae147p-1, 0x1.422e695e81aep-1, 0x1.3e1299113e90ep-1, 0x1.39f98f02379b2p-1, 0x1.35e2fb231ef77p-1, 0x1.31ce8defdedb9p-1, 0x1.2dbbf8fb0ff61p-1, 0x1.29aaef6832e49p-1, 0x1.259b2654e484ep-1, 0x1.218c553242f93p-1, 0x1.1d7e360fc03f3p-1, 0x1.197085d896a96p-1, 0x1.1563048513bebp-1, 0x1.11557540df846p-1, 0x1.0d479e876519fp-1, 0x1.09394a376a416p-1, 0x1.052a459ee21b9p-1, 0x1.011a617fef686p-1, 0x1.fa12e420024b1p-2, 0x1.f1ee9de3c28bfp-2, 0x1.e9c7a65700f32p-2, 0x1.e19dba306feaep-2, 0x1.d9709cb050ba6p-2, 0x1.d140177aa60fap-2, 0x1.c90bfa6de9bb8p-2, 0x1.c0d41b773cccp-2, 0x1.b8985664f332p-2, 0x1.b0588cb82fb61p-2, 0x1.a814a57641082p-2, 0x1.9fcc8cfa459f2p-2, 0x1.978034c791fc7p-2, 0x1.8f2f935d3c497p-2, 0x1.86daa40b19d53p-2, 0x1.7e8166c8729d7p-2, 0x1.7623e00c8ef4p-2, 0x1.6dc218a94cfd5p-2, 0x1.655c1da7c7b57p-2, 0x1.5cf2002714c23p-2, 0x1.5483d53d2796dp-2, 0x1.4c11b5d9ba3d3p-2, 0x1.439bbeab3a041p-2, 0x1.3b2210059a98ep-2, 0x1.32a4cdcaf0551p-2, 0x1.2a241f55b7ca9p-2, 0x1.21a02f649db45p-2, 0x1.19192c07a880ep-2, 0x1.108f468e993f1p-2, 0x1.0802b3785861dp-2, 0x1.fee754c692d27p-3, 0x1.edc4cbfcb9f84p-3, 0x1.dc9e47f566844p-3, 0x1.cb7449fb64b44p-3, 0x1.ba475926c0358p-3, 0x1.a9180241ccf83p-3, 0x1.97e6d7ae30e42p-3, 0x1.86b47149be0dep-3, 0x1.75816c52d62c4p-3, 0x1.644e6b4c35e1bp-3, 0x1.531c15dfdd15fp-3, 0x1.41eb18c109cfdp-3, 0x1.30bc258d071dep-3, 0x1.1f8ff2aab5a89p-3, 0x1.0e673b28c6044p-3, 0x1.fa857d34d5698p-4, 0x1.d84681e52dfe9p-4, 0x1.b61314bb45ea1p-4, 0x1.93ecce32acc55p-4, 0x1.71d54e96b02f2p-4, 0x1.4fce3dac01fb8p-4, 0x1.2dd94a571efb7p-4, 0x1.0bf82a3f98507p-4, 0x1.d45932e09359cp-5, 0x1.90f0b3e92c61dp-5, 0x1.4dba66e5a0412p-5, 0x1.0ab9e587cd16bp-5, 0x1.8fe5a6224c7fp-6, 0x1.0ad1b6f094c78p-6, 0x1.0c7eca28a80ap-7, 0x1.1b13075d7f861p-13, -0x1.02850908f2627p-7, -0x1.04230ec1b8c0ap-6, -0x1.8663e455dea0cp-6, -0x1.03feb52d7aa9dp-5, -0x1.4474009c25431p-5, -0x1.848e0342b7e43p-5, -0x1.c448eb77611fp-5, -0x1.01d07406ae2fep-4, -0x1.214914a3cf4f5p-4, -0x1.408c70e57a49p-4, -0x1.5f98a3c790049p-4, -0x1.7e6bca675b6d1p-4, -0x1.9d04047a84a3p-4, -0x1.bb5f74c4f623bp-4, -0x1.d97c418d73b08p-4, -0x1.f7589510a3198p-4, -0x1.0a794ef939f5ep-3, -0x1.192447d6d3c7dp-3, -0x1.27ac5180a22ddp-3, -0x1.36108b2df4874p-3, -0x1.445017225fcc7p-3, -0x1.526a1ae0f6e44p-3, -0x1.605dbf5e359b5p-3, -0x1.6e2a31308f471p-3, -0x1.7bcea0bf832e3p-3, -0x1.894a427144c84p-3, -0x1.969c4ed6c7738p-3, -0x1.a3c402d647243p-3, -0x1.b0c09fd422f28p-3, -0x1.bd916bda187b6p-3, -0x1.ca35b1bcc773fp-3, -0x1.d6acc13f80f2cp-3, -0x1.e2f5ef3657018p-3, -0x1.ef1095a6656bbp-3, -0x1.fafc13e459f43p-3, -0x1.035be75891373p-2, -0x1.0921982a70a39p-2, -0x1.0eced45c00e4fp-2, -0x1.146356bd409e5p-2, -0x1.19dedd04b82d1p-2, -0x1.1f4127d94ce6dp-2, -0x1.2489fadb31d8p-2, -0x1.29b91cabf27d9p-2, -0x1.2ece56f59afe9p-2, -0x1.33c97670fad2ap-2, -0x1.38aa4aeb0c618p-2, -0x1.3d70a7497f6aep-2, -0x1.421c618e65537p-2, -0x1.46ad52db0ac7ep-2, -0x1.4b235771fd632p-2, -0x1.4f7e4eb83d58ap-2, -0x1.53be1b35a7726p-2, -0x1.57e2a29494bfbp-2, -0x1.5bebcda0b5ac4p-2, -0x1.5fd988452dc6dp-2, -0x1.63abc189f5ee4p-2, -0x1.67626b908323ep-2, -0x1.6afd7b8fc0f65p-2, -0x1.6e7ce9cf5c003p-2, -0x1.71e0b1a263847p-2, -0x1.7528d1614bd53p-2, -0x1.78554a634ee12p-2, -0x1.7b6620f736576p-2, -0x1.7e5b5c5b92e66p-2, -0x1.813506b662c83p-2, -0x1.83f32d0c37023p-2, -0x1.8695df36cb05cp-2, -0x1.891d2fdb29175p-2, -0x1.8b89345f4dd7ep-2, -0x1.8dda04df60ef8p-2, -0x1.900fbc227a7d2p-2, -0x1.922a778f04b06p-2, -0x1.942a571eb6ea4p-2, -0x1.960f7d5238e72p-2, -0x1.97da0f246a6edp-2, -0x1.998a33fd5af8ep-2, -0x1.9b2015a4f1454p-2, -0x1.9c9be0354fab5p-2, -0x1.9dfdc20cefd71p-2, -0x1.9f45ebc0886dep-2, -0x1.a074900cb20c9p-2, -0x1.a189e3c75e175p-2, -0x1.a2861dd11d99ep-2, -0x1.a36977063b4aap-2, -0x1.a4342a2fb5739p-2, -0x1.a4e673f412787p-2, -0x1.a58092c81a892p-2, -0x1.a602c6df7bc75p-2, -0x1.a66d521d57fdbp-2, -0x1.a6c07804c4b52p-2, -0x1.a6fc7da93f69ep-2, -0x1.a721a99f1b988p-2, -0x1.a73043ebed45fp-2, -0x1.a72895f6f4692p-2, -0x1.a70aea798c495p-2, -0x1.a6d78d6fa2572p-2, -0x1.a68ecc083b181p-2, -0x1.a630f49602f1ep-2, -0x1.a5be567ff16fp-2, -0x1.a53742320442cp-2, -0x1.a49c090e112c1p-2, -0x1.a3ecfd5cb0ea1p-2, -0x1.a32a723e4c7e7p-2, -0x1.a254bb9c47e78p-2, -0x1.a16c2e1a51cbfp-2, -0x1.a0711f07d8884p-2, -0x1.9f63e451a904cp-2, -0x1.9e44d473b3ceap-2, -0x1.9d14466b04542p-2, -0x1.9bd291a7e4fd7p-2, -0x1.9a800e003091ap-2, -0x1.991d13a1db06bp-2, -0x1.97a9fb05adc5ep-2, -0x1.96271ce23532bp-2, -0x1.9494d21eed867p-2, -0x1.92f373c7a15ecp-2, -0x1.91435b0007a0ep-2, -0x1.8f84e0f79937fp-2, -0x1.8db85edda6283p-2, -0x1.8bde2dd5a7c45p-2, -0x1.89f6a6ebd0049p-2, -0x1.88022309dbb7cp-2, -0x1.8600faec21d63p-2, -0x1.83f38716e5ae5p-2, -0x1.81da1fcbeb09ep-2, -0x1.7fb51d0049a7cp-2, -0x1.7d84d6528b7a9p-2, -0x1.7b49a30100ffbp-2, -0x1.7903d9e066f31p-2, -0x1.76b3d152c681fp-2, -0x1.7459df3e9cbdp-2, -0x1.71f659064635ep-2, -0x1.6f89937fac956p-2, -0x1.6d13e2ec3c522p-2, -0x1.6a959af119bc8p-2, -0x1.680f0e8f9cd97p-2, -0x1.6580901e0e548p-2, -0x1.62ea7140ad73ep-2, -0x1.604d02e2efa9dp-2, -0x1.5da895310c3bfp-2, -0x1.5afd7791c42bap-2, -0x1.584bf8a06f2a9p-2, -0x1.5594662746934p-2, -0x1.52d70d19f48c1p-2, -0x1.50143990620f6p-2, -0x1.4d4c36c1c2f69p-2, -0x1.4a7f4effe31c5p-2, -0x1.47adcbb2af4f6p-2, -0x1.44d7f55400ae1p-2, -0x1.41fe136b99b4ep-2, -0x1.3f206c8b6e819p-2, -0x1.3c3f464c1a633p-2, -0x1.395ae54996819p-2, -0x1.36738d2028cffp-2, -0x1.338980698b4bbp-2, -0x1.309d00ba46af6p-2, -0x1.2dae4e9f4c7b7p-2, -0x1.2abda99bbc88bp-2, -0x1.27cb5026e519dp-2, -0x1.24d77faa75804p-2, -0x1.21e27480e2743p-2, -0x1.1eec69f3fb3dap-2, -0x1.1bf59a3bb1e23p-2, -0x1.18fe3e7d0f4dbp-2, -0x1.16068ec9592dcp-2, -0x1.130ec21d60b3bp-2, -0x1.10170e6104cc2p-2, -0x1.0d1fa866d6337p-2, -0x1.0a28c3ebedadcp-2, -0x1.07329397e5dedp-2, -0x1.043d48fd00abfp-2, -0x1.0149149870aecp-2, -0x1.fcac4ba59398p-3, -0x1.f6c956012e59fp-3, -0x1.f0e9a2c624697p-3, -0x1.eb0d8a51fcce8p-3, -0x1.e53562df4f3ccp-3, -0x1.df618087f625ap-3, -0x1.d992354791b6dp-3, -0x1.d3c7d0fe334f4p-3, -0x1.ce02a17353b82p-3, -0x1.c842f258f7fcap-3, -0x1.c2890d4f12f32p-3, -0x1.bcd539e713a23p-3, -0x1.b727bda7b138dp-3, -0x1.b180dc10d872fp-3, -0x1.abe0d69fd690ap-3, -0x1.a647ecd3a85e3p-3, -0x1.a0b65c317292ep-3, -0x1.9b2c604927edap-3, -0x1.95aa32ba53621p-3, -0x1.90300b390736bp-3, -0x1.8abe1f92ef52bp-3, -0x1.8554a3b4887d2p-3, -0x1.7ff3c9ae6d99ap-3, -0x1.7a9bc1bacffefp-3, -0x1.754cba4301652p-3, -0x1.7006dfe51c9ccp-3, -0x1.6aca5d79c7c8ep-3, -0x1.65975c1a0bb4bp-3, -0x1.606e032542088p-3, -0x1.5b4e7847197b9p-3, -0x1.5638df7da8193p-3, -0x1.512d5b1f9545ep-3, -0x1.4c2c0be24bae8p-3, -0x1.473510e03e91ep-3, -0x1.4248879f3dfe6p-3, -0x1.3d668c16d218ep-3, -0x1.388f38b69f2f6p-3, -0x1.33c2a66cdd25dp-3, -0x1.2f00ecacc99bep-3, -0x1.2a4a21752662ep-3, -0x1.259e5956c3637p-3, -0x1.20fda77b025a9p-3, -0x1.1c681daa63632p-3, -0x1.17ddcc53109d1p-3, -0x1.135ec28f6ffe1p-3, -0x1.0eeb0e2cb27dep-3, -0x1.0a82bbb15d1acp-3, -0x1.0625d663d5626p-3, -0x1.01d46850eedc2p-3, -0x1.fb1cf4a4d2fedp-4, -0x1.f2a8282af0285p-4, -0x1.ea4a784264b15p-4, -0x1.e203efba21a86p-4, -0x1.d9d4972eafe63p-4, -0x1.d1bc7516f8336p-4, -0x1.c9bb8dd0fd5afp-4, -0x1.c1d1e3ae82e33p-4, -0x1.b9ff7701a22e9p-4, -0x1.b244462945398p-4, -0x1.aaa04d9d8fc06p-4, -0x1.a31387fc2fc4ep-4, -0x1.9b9dee1493af3p-4, -0x1.943f76f406eddp-4, -0x1.8cf817f1b599dp-4, -0x1.85c7c4ba93c82p-4, -0x1.7eae6f5d29c3ep-4, -0x1.77ac08553a1b2p-4, -0x1.70c07e975533dp-4, -0x1.69ebbf9c49b07p-4, -0x1.632db76c70983p-4, -0x1.5c8650aadcd1ap-4, -0x1.55f574a066e76p-4, -0x1.4f7b0b469fd1cp-4, -0x1.4916fb528f264p-4, -0x1.42c92a3f6442bp-4, -0x1.3c917c58f1495p-4, -0x1.366fd4c60c136p-4, -0x1.30641592cd5cbp-4, -0x1.2a6e1fbaa043p-4, -0x1.248dd33237bb5p-4, -0x1.1ec30ef157859p-4, -0x1.190db0fc7a4bp-4, -0x1.136d966e54ba9p-4, -0x1.0de29b812c4ffp-4, -0x1.086c9b980cdbp-4, -0x1.030b7147d2c05p-4, -0x1.fb7decc02e494p-5, -0x1.f10e07e7d4439p-5, -0x1.e6c6e4c4e58b9p-5, -0x1.dca832beb5a36p-5, -0x1.d2b19ff63db45p-5, -0x1.c8e2d95663cbap-5, -0x1.bf3b8aa3fc129p-5, -0x1.b5bb5e8d7211p-5, -0x1.ac61feba2866cp-5, -0x1.a32f13d999e3dp-5, -0x1.9a2245b2154c7p-5, -0x1.913b3b2f42937p-5, -0x1.88799a704590fp-5, -0x1.7fdd08d5b3af4p-5, -0x1.77652b0f1630ep-5, -0x1.6f11a528461bfp-5, -0x1.66e21a966e6dcp-5, -0x1.5ed62e44bb454p-5, -0x1.56ed82a0cd3d3p-5, -0x1.4f27b9a6d746ap-5, -0x1.478474ed89d98p-5, -0x1.400355b19ba0bp-5, -0x1.38a3fce1132b5p-5, -0x1.31660b2658ac6p-5, -0x1.2a4920f2e9159p-5, -0x1.234cde89db741p-5, -0x1.1c70e40a0da3ap-5, -0x1.15b4d1781b86ap-5, -0x1.0f1846c80b4cbp-5, -0x1.089ae3e6b3b52p-5, -0x1.023c48c2ee987p-5, -0x1.f7f82aacf6744p-6, -0x1.ebb3d35d41d55p-6, -0x1.dfaacbe94f96cp-6, -0x1.d3dc54ebdf846p-6, -0x1.c847af57d7f79p-6, -0x1.bcec1c878531bp-6, -0x1.b1c8de4b9d9b1p-6, -0x1.a6dd36f98fbfep-6, -0x1.9c2869799c3bp-6, -0x1.91a9b9543ac7ap-6, -0x1.87606abf421a8p-6, -0x1.7d4bc2aa89535p-6, -0x1.736b06cc1c5bfp-6, -0x1.69bd7dabfac42p-6, -0x1.60426eaf85afbp-6, -0x1.56f922246c4bp-6, -0x1.4de0e14b3c103p-6, -0x1.44f8f66186cadp-6, -0x1.3c40acaba3facp-6, -0x1.33b7507e2b24ep-6, -0x1.2b5c2f46ccfe5p-6, -0x1.232e979523723p-6, -0x1.1b2dd922d53fep-6, -0x1.135944db9b575p-6, -0x1.0bb02ce4cc77fp-6, -0x1.0431e4a4945f2p-6, -0x1.f9bb8191c38d3p-7, -0x1.eb662e9bd714ep-7, -0x1.dd627f08f8352p-7, -0x1.cfaf242fd3c7p-7, -0x1.c24ad2273fa89p-7, -0x1.b5343fd0ed7d4p-7, -0x1.a86a26e3afa7bp-7, -0x1.9beb43f493e6cp-7, -0x1.8fb6568026c29p-7, -0x1.83ca20f2a8c29p-7, -0x1.782568afd1a45p-7, -0x1.6cc6f61a44c1ap-7, -0x1.61ad949a30f3cp-7, -0x1.56d812a3b1216p-7, -0x1.4c4541bc9a6eep-7, -0x1.41f3f681a750dp-7, -0x1.37e308ab7d0b1p-7, -0x1.2e115312f9f27p-7, -0x1.247db3b517ep-7, -0x1.1b270bb684797p-7, -0x1.120c3f66bec06p-7, -0x1.092c3642aea5fp-7, -0x1.0085daf6f1e36p-7, -0x1.f03036c3c6e0dp-8, -0x1.dfc3d129d2f6ap-8, -0x1.cfc46daba0a86p-8, -0x1.c02ffb3ee9ff8p-8, -0x1.b1046f447e306p-8, -0x1.a23fc588ab703p-8, -0x1.93e00042a3dd3p-8, -0x1.85e3281340d5dp-8, -0x1.78474c04264b8p-8, -0x1.6b0a818464525p-8, -0x1.5e2ae4668c84bp-8, -0x1.51a696dcfa583p-8, -0x1.457bc175ad1dp-8, -0x1.39a8931655364p-8, -0x1.2e2b40f6f4d16p-8, -0x1.2302069cd98e5p-8, -0x1.182b25d457cf9p-8, -0x1.0da4e6aa9b6dfp-8, -0x1.036d97670fb77p-8, -0x1.f30719080a6bdp-9, -0x1.dfca414d9ba3ap-9, -0x1.cd216930d3453p-9, -0x1.bb095e792f552p-9, -0x1.a97efb1302354p-9, -0x1.987f24fca17aap-9, -0x1.8806ce3497292p-9, -0x1.7812f4a5040b2p-9, -0x1.68a0a210d549bp-9, -0x1.59acebfe636c3p-9, -0x1.4b34f3a2b259ep-9, -0x1.3d35e5cb9c62p-9, -0x1.2facfac9d03b1p-9, -0x1.2297765a4d87bp-9, -0x1.15f2a78ec991bp-9, -0x1.09bbe8b711eap-9, -0x1.fbe13e90944ebp-10, -0x1.e51c778b1bfccp-10, -0x1.cf24734c1b4b5p-10, -0x1.b9f43e7a832e1p-10, -0x1.a586fb42e853ap-10, -0x1.91d7e1229851ep-10, -0x1.7ee23cb5aeaf1p-10, -0x1.6ca16f8262595p-10, -0x1.5b10efc3ffcd8p-10, -0x1.4a2c4835d7fb4p-10, -0x1.39ef17ddf91e7p-10, -0x1.2a5511d66c2a9p-10, -0x1.1b59fd189c27ap-10, -0x1.0cf9b44484b22p-10, -0x1.fe604ad6eca06p-11, -0x1.e3f2a3b236af9p-11, -0x1.caa29bb46e298p-11, -0x1.b268810fd4f02p-11, -0x1.9b3cc71bad082p-11, -0x1.851805e6fa984p-11, -0x1.6ff2f9c851c0dp-11, -0x1.5bc682ecbd6bp-11, -0x1.488ba4e9aebd1p-11, -0x1.363b864c50e5bp-11, -0x1.24cf702863fc1p-11, -0x1.1440cdaa2745fp-11, -0x1.04892ba54e703p-11, -0x1.eb44704a0e7d4p-12, -0x1.cf0b83f89e592p-12, -0x1.b45b70b0d3861p-12, -0x1.9b2854a0c10ddp-12, -0x1.83668cea986dfp-12, -0x1.6d0ab4cbe43cep-12, -0x1.5809a4bcc62ccp-12, -0x1.4458719b48538p-12, -0x1.31ec6bc5d79acp-12, -0x1.20bb1e4f966c6p-12, -0x1.10ba4e1b0e14p-12, -0x1.01dff909b4634p-12, -0x1.e844aa49e7048p-13, -0x1.ceef9f8b25efbp-13, -0x1.b7ae1983db93p-13, -0x1.a26dcb35c4304p-13, -0x1.8f1cd151aa026p-13, -0x1.7da9b09a88101p-13, -0x1.6e035445b047bp-13, -0x1.60190c5e04d6ap-13, -0x1.53da8c3407539p-13, -0x1.4937e8b904562p-13, -0x1.402196fe6ef5dp-13, -0x1.38886a9bbdab6p-13, -0x1.325d942851b2p-13, -0x1.2d929fac1f516p-13, -0x1.2a1973257f156p-13, -0x1.27e44cfd7c23dp-13, -0x1.26e5c28e45c87p-13, -0x1.2710bea6653dap-13, -0x1.285880143e747p-13, -0x1.2ab0982e160cfp-13, -0x1.2e0ce96428442p-13, -0x1.3261a5d3ecb89p-13, -0x1.37a34ddc7eebep-13, -0x1.3dc6aec0dc64bp-13, -0x1.44c0e13aa6bfap-13, -0x1.4c874828fd199p-13, -0x1.550f8f295f2ddp-13, -0x1.5e4fa94d41d47p-13, -0x1.683dcfbd61a99p-13, -0x1.72d080732f216p-13, -0x1.7dfe7ce6e563dp-13, -0x1.89bec8ce2a8a8p-13, -0x1.9608a8d51b543p-13, -0x1.a2d3a16168b3ep-13, -0x1.b0177552e20cfp-13, -0x1.bdcc24d145d99p-13, -0x1.cbe9ec1252ee2p-13, -0x1.da69422e66377p-13, -0x1.e942d7f15db51p-13, -0x1.f86f96b4ac21ep-13, -0x1.03f44f9bb599fp-12, -0x1.0bd3a442821fp-12, -0x1.13d28f66be0adp-12, -0x1.1bedf12ba7cc6p-12, -0x1.2422c330e4aa1p-12, -0x1.2c6e180c9a0ecp-12, -0x1.34cd1ac3f1f7dp-12, -0x1.3d3d0e456231bp-12, -0x1.45bb4ce63198cp-12, -0x1.4e4547e24cac3p-12, -0x1.56d886db9051dp-12, -0x1.5f72a75d9104ap-12, -0x1.68115c6124509p-12, -0x1.70b26dd367d1cp-12, -0x1.7953b81cec3afp-12, -0x1.81f32bad2ed7dp-12, -0x1.8a8ecc84b5938p-12, -0x1.9324b1c32f2c5p-12, -0x1.9bb30537bd579p-12, -0x1.a43802f12046bp-12, -0x1.acb1f8d013517p-12, -0x1.b51f461d4facbp-12, -0x1.bd7e5b1e512c8p-12, -0x1.c5cdb8aeb684ap-12, -0x1.ce0befd911decp-12, -0x1.d637a1728aea8p-12, -0x1.de4f7db877882p-12, -0x1.e65243ef1847ap-12, -0x1.ee3ec200d9509p-12, -0x1.f613d42230216p-12, -0x1.fdd0647415862p-12, -0x1.02b9b55460af8p-11, -0x1.067df5d63d2b3p-11, -0x1.0a347ca5de186p-11, -0x1.0ddcd8ef7e48cp-11, -0x1.11769ffa71b66p-11, -0x1.15016d001ca51p-11, -0x1.187ce102fe208p-11, -0x1.1be8a2a6a3176p-11, -0x1.1f445e08985dbp-11, -0x1.228fc499b52d9p-11, -0x1.25ca8cf88dff2p-11, -0x1.28f472cc2c0dbp-11, -0x1.2c0d369f3c6f2p-11, -0x1.2f149dbd24e27p-11, -0x1.320a720e7ed12p-11, -0x1.34ee81f6e19c4p-11, -0x1.37c0a0335a4cdp-11, -0x1.3a80a3b98324bp-11, -0x1.3d2e679639e87p-11, -0x1.3fc9cacf63896p-11, -0x1.4252b0439dbc6p-11, -0x1.44c8fe8c2bd8dp-11, -0x1.472c9fdf93cf2p-11, -0x1.497d81f3e51ap-11, -0x1.4bbb95e25b23ep-11, -0x1.4de6d00af9d18p-11, -0x1.4fff27f9ab54ep-11, -0x1.5204984adaf26p-11, -0x1.53f71e91d08e2p-11, -0x1.55d6bb3e2f533p-11, -0x1.57a3718388004p-11, -0x1.595d47402fdbdp-11, -0x1.5b0444e55c239p-11, -0x1.5c98755f95145p-11, -0x1.5e19e5ffa16adp-11, -0x1.5f88a6640bb09p-11, -0x1.60e4c86362a88p-11, -0x1.622e5ff6254adp-11, -0x1.636583222285ap-11, -0x1.648a49e5ba255p-11, -0x1.659cce23f3e1p-11, -0x1.669d2b90c1ddap-11, -0x1.678b7f9e3e442p-11, -0x1.6867e9696a10cp-11, -0x1.693289a80d3d9p-11, -0x1.69eb82976bf2bp-11, -0x1.6a92f7ea2ecb9p-11, -0x1.6b290eb7fed6ap-11, -0x1.6baded6cd864bp-11, -0x1.6c21bbb8a6956p-11, -0x1.6c84a2801bf01p-11, -0x1.6cd6cbcc946afp-11, -0x1.6d1862bde86afp-11, -0x1.6d49937b4069p-11, -0x1.6d6a8b2570674p-11, -0x1.6d7b77c8d3b92p-11, -0x1.6d7c884ffb1dp-11, -0x1.6d6dec7682ea6p-11, -0x1.6d4fd4bc5724p-11, -0x1.6d22725961256p-11, -0x1.6ce5f7314cbbdp-11, -0x1.6c9a95c7ef60ap-11, -0x1.6c408135f57b3p-11, -0x1.6bd7ed1d89c82p-11, -0x1.6b610d9fbd48p-11, -0x1.6adc175205b2cp-11, -0x1.6a493f33d930dp-11, -0x1.69a8baa5388b9p-11, -0x1.68fabf5c9b4a5p-11, -0x1.683f835e341cp-11, -0x1.67773cf268ca7p-11, -0x1.66a2229d208c5p-11, -0x1.65c06b15bb009p-11, -0x1.64d24d3df9d87p-11, -0x1.63d8001ae6108p-11, -0x1.62d1bacc88183p-11, -0x1.61bfb486b939bp-11, -0x1.60a22489ba02ap-11, -0x1.5f79421b420b9p-11, -0x1.5e45447f8ed96p-11, -0x1.5d0662f33719dp-11, -0x1.5bbcd4a46dfbep-11, -0x1.5a68d0ad24c9ap-11, -0x1.590a8e0cede7ep-11, -0x1.57a243a3d7151p-11, -0x1.5630282c08a1ep-11, -0x1.54b472353127bp-11, -0x1.532f581f20478p-11, -0x1.51a11014d18cbp-11, -0x1.5009d007bf981p-11, -0x1.4e69cdabbb06p-11, -0x1.4cc13e71a887ep-11, -0x1.4b10578456b16p-11, -0x1.49574dc391dd3p-11, -0x1.479655c0d545ep-11, -0x1.45cda3bb4b94fp-11, -0x1.43fd6b9c79739p-11, -0x1.4225e0f49865cp-11, -0x1.404736f7a92a8p-11, -0x1.3e61a07a0260dp-11, -0x1.3c754fedb024bp-11, -0x1.3a82775f3c59bp-11, -0x1.388948734539bp-11, -0x1.3689f463f86ap-11, -0x1.3484abfe778dp-11, -0x1.32799fa08ec9bp-11, -0x1.3068ff36ebaedp-11, -0x1.2e52fa3a6d45ap-11, -0x1.2c37bfae9fa29p-11, -0x1.2a177e1f9ec9dp-11, -0x1.27f263a0e4e3ep-11, -0x1.25c89dcac7205p-11, -0x1.239a59b9efba6p-11, -0x1.2167c40d699f7p-11, -0x1.1f3108e54367ap-11, -0x1.1cf653e18df45p-11, -0x1.1ab7d02148244p-11, -0x1.1875a84110e2cp-11, -0x1.1630065a76632p-11, -0x1.13e71403052fep-11, -0x1.119afa4b70378p-11, -0x1.0f4be1bf1399cp-11, -0x1.0cf9f2631f68cp-11, -0x1.0aa553b621aa3p-11, -0x1.084e2caf78b43p-11, -0x1.05f4a3bf3419fp-11, -0x1.0398decd7cacep-11, -0x1.013b033a54fc4p-11, -0x1.fdb66bbb0d49p-12, -0x1.f8f3360ce8bf7p-12, -0x1.f42cacf8946b2p-12, -0x1.ef6316fa98881p-12, -0x1.ea96b97f17959p-12, -0x1.e5c7d8e177de7p-12, -0x1.e0f6b86ce2791p-12, -0x1.dc239a5c53f17p-12, -0x1.d74ebfdba4323p-12, -0x1.d2786907dcfcep-12, -0x1.cda0d4efaa0d9p-12, -0x1.c8c84194808a7p-12, -0x1.c3eeebebb87dbp-12, -0x1.bf150fdedde5cp-12, -0x1.ba3ae84cffc6ep-12, -0x1.b560af0bd4007p-12, -0x1.b0869ce96731fp-12, -0x1.abace9aca857bp-12, -0x1.a6d3cc170b2d5p-12, -0x1.a1fb79e5a541ap-12, -0x1.9d2427d321695p-12, -0x1.984e09990f443p-12, -0x1.937951f13982bp-12, -0x1.8ea63297e0f4ap-12, -0x1.89d4dc4c79afap-12, -0x1.85057ed473fb1p-12, -0x1.803848fc5ba3dp-12, -0x1.7b6d6899eaf65p-12, -0x1.76a50a8da3382p-12, -0x1.71df5ac5089d3p-12, -0x1.6d1c843cbaa8ap-12, -0x1.685cb101eadffp-12, -0x1.63a00a34b1f85p-12, -0x1.5ee6b80a23b6cp-12, -0x1.5a30e1ce874a8p-12, -0x1.557eade731fb7p-12, -0x1.50d041d4cbad3p-12, -0x1.4c25c23556234p-12, -0x1.477f52c6b5859p-12, -0x1.42dd166898915p-12, -0x1.3e3f2f1ecc6c6p-12, -0x1.39a5be13da54bp-12, -0x1.3510e39aae107p-12, -0x1.3080bf316c5c2p-12, -0x1.2bf56f8369118p-12, -0x1.276f126b975a5p-12, -0x1.22edc4f7114e7p-12, -0x1.1e71a36735bc9p-12, -0x1.19fac9343e316p-12, -0x1.1589510f1e267p-12, -0x1.111d54e490d59p-12, -0x1.0cb6eddf38ce4p-12, -0x1.08563469e1525p-12, -0x1.03fb4031a1f9p-12, -0x1.ff4c505208c1ep-13, -0x1.f6ae051385e34p-13, -0x1.ee1bc9af375fp-13, -0x1.e595c7c4be4f7p-13, -0x1.dd1c279145ae3p-13, -0x1.d4af0ff3bcfe5p-13, -0x1.cc4ea6720c768p-13, -0x1.c3fb0f3dae3efp-13, -0x1.bbb46d38dc4d3p-13, -0x1.b37ae1fa31ef6p-13, -0x1.ab4e8dd303cb8p-13, -0x1.a32f8fd2c42aep-13, -0x1.9b1e05cc26edap-13, -0x1.931a0c5aa244bp-13, -0x1.8b23bee60f562p-13, -0x1.833b37a788d5cp-13, -0x1.7b608fae3881p-13, -0x1.7393dee42d9bdp-13, -0x1.6bd53c12d78fp-13, -0x1.6424bce7b9448p-13, -0x1.5c8275f849bf8p-13, -0x1.54ee7ac723c58p-13, -0x1.4d68ddc8cb3ecp-13, -0x1.45f1b06760c4fp-13, -0x1.3e890307c4b04p-13, -0x1.372ee50d5e76dp-13, -0x1.2fe364df211a2p-13, -0x1.28a68feb6d8bfp-13, -0x1.217872aca76bp-13, -0x1.1a5918ad67924p-13, -0x1.13488c8d0b6e1p-13, -0x1.0c46d803b51a8p-13, -0x1.055403e64e359p-13, -0x1.fce03055a57f8p-14, -0x1.ef3637da08f23p-14, -0x1.e1aa2ae35f4b5p-14, -0x1.d43c1455852e5p-14, -0x1.c6ebfd785c25dp-14, -0x1.b9b9edfe76673p-14, -0x1.aca5ec0d544f3p-14, -0x1.9faffc44afef5p-14, -0x1.92d821c7333cap-14, -0x1.861e5e417f56dp-14, -0x1.7982b1f19234dp-14, -0x1.6d051baedb98ep-14, -0x1.60a598f20f013p-14, -0x1.546425dbbfbf8p-14, -0x1.4840bd3b42c83p-14, -0x1.3c3b589745887p-14, -0x1.3053f0344c72fp-14, -0x1.248a7b1b1b92p-14, -0x1.18deef2093ffep-14, -0x1.0d5140ecc3d33p-14, -0x1.01e164009c881p-14, -0x1.ed1e957ae64fp-15, -0x1.d6b5ccd7f922cp-15, -0x1.c0884e84743dp-15, -0x1.aa95f8d403ce8p-15, -0x1.94dea80ff677bp-15, -0x1.7f62368333bb6p-15, -0x1.6a207c86cece8p-15, -0x1.5519508e40c7p-15, -0x1.404c87337b28ap-15, -0x1.2bb9f34475777p-15, -0x1.176165cd4f4afp-15, -0x1.0342ae23dc1b3p-15, -0x1.debb33ea94181p-16, -0x1.b763ea9f2ed82p-16, -0x1.907f155c50142p-16, -0x1.6a0c4607d95efp-16, -0x1.440b0b8d36af3p-16, -0x1.1e7af1f34191cp-16, -0x1.f2b704e6d9e45p-17, -0x1.a958871334af4p-17, -0x1.60d9721ad6f3ap-17, -0x1.1938c88d9e5b3p-17, -0x1.a4eb0ff940c87p-18, -0x1.191d5250f2e13p-18, -0x1.1e0c80a31354ep-19, -0x1.a8ee45efde52ep-24, 0x1.0018d9f537db6p-19, 0x1.050c63f9250ap-18, 0x1.885e66220401p-18, 0x1.05025aca942e3p-17, 0x1.4500ce0863913p-17, 0x1.842bb55506758p-17, 0x1.c2843cc13f208p-17, 0x1.0005c9e2e9b5ep-16, 0x1.1e61769101d79p-16, 0x1.3c55bf5d2244cp-16, 0x1.59e340ba99221p-16, 0x1.770a98915c826p-16, 0x1.93cc662b9e3b9p-16, 0x1.b0294a24eeee1p-16, 0x1.cc21e661b6ac6p-16, 0x1.e7b6ddf9f6cb7p-16, 0x1.01746a96304d4p-15, 0x1.0edc38a9b860fp-15, 0x1.1c132c69c547fp-15, 0x1.291999876e62fp-15, 0x1.35efd42c463ebp-15, 0x1.429630f262a0ep-15, 0x1.4f0d04dfa872ap-15, 0x1.5b54a55e621ep-15, 0x1.676d6836cbfe3p-15, 0x1.7357a38a96b1fp-15, 0x1.7f13adcccc358p-15, 0x1.8aa1ddbcad8e1p-15, 0x1.96028a6053353p-15, 0x1.a1360afe7558bp-15, 0x1.ac3cb71926369p-15, 0x1.b716e668fce2ep-15, 0x1.c1c4f0d673f65p-15, 0x1.cc472e7532f3dp-15, 0x1.d69df780141bcp-15, 0x1.e0c9a45214db9p-15, 0x1.eaca8d62cd7b2p-15, 0x1.f4a10b41f08cep-15, 0x1.fe4d769125e99p-15, 0x1.03e8140038894p-14, 0x1.0894bc24e37bfp-14, 0x1.0d2ce0161e88ep-14, 0x1.11b0ac33f5398p-14, 0x1.16204cdcc8b0cp-14, 0x1.1a7bee6baca7p-14, 0x1.1ec3bd35b1803p-14, 0x1.22f7e5880a844p-14, 0x1.271893a6bad75p-14, 0x1.2b25f3ca02824p-14, 0x1.2f20321d29801p-14, 0x1.33077abc6f616p-14, 0x1.36dbf9b2de1cdp-14, 0x1.3a9ddaf937e15p-14, 0x1.3e4d4a744409bp-14, 0x1.41ea73f2a4fd5p-14, 0x1.4575832bfec11p-14, 0x1.48eea3befa3d4p-14, 0x1.4c56012f61ea1p-14, 0x1.4fabc6e5c704ep-14, 0x1.52f0202d395bp-14, 0x1.562338320e32bp-14, 0x1.59453a0082744p-14, 0x1.5c565083a50fep-14, 0x1.5f56a683eb47dp-14, 0x1.624666a5fcd27p-14, 0x1.6525bb6966f2ap-14, 0x1.67f4cf276108cp-14, 0x1.6ab3cc11e1d8dp-14, 0x1.6d62dc3276a98p-14, 0x1.70022969411efp-14, 0x1.7291dd6bcb1bep-14, 0x1.751221c3bd461p-14, 0x1.77831fce76e6bp-14, 0x1.79e500bbfc18bp-14, 0x1.7c37ed8dac4cfp-14, 0x1.7e7c0f15dc264p-14, 0x1.80b18df666b34p-14, 0x1.82d892a0613aep-14, 0x1.84f1455360c9ap-14, 0x1.86fbce1c2ee89p-14, 0x1.88f854d415788p-14, 0x1.8ae70120bcd3ep-14, 0x1.8cc7fa73291f2p-14, 0x1.8e9b6806b56f5p-14, 0x1.906170e0d2941p-14, 0x1.921a3bd07ba8dp-14, 0x1.93c5ef6d67ff5p-14, 0x1.9564b2179dc6ap-14, 0x1.96f6a9f6de536p-14, 0x1.987bfcf9ee608p-14, 0x1.99f4d0d6438dbp-14, 0x1.9b614b07c2429p-14, 0x1.9cc190cff9533p-14, 0x1.9e15c735bf765p-14, 0x1.9f5e1304cec02p-14, 0x1.a09a98cd75e9p-14, 0x1.a1cb7ce4476b3p-14, 0x1.a2f0e361ac2a1p-14, 0x1.a40af0214decbp-14, 0x1.a519c6c228d78p-14, 0x1.a61d8aa62d07p-14, 0x1.a7165ef1d98p-14, 0x1.a804668bd806fp-14, 0x1.a8e7c41d2bf62p-14, 0x1.a9c09a10d0f6ap-14, 0x1.aa8f0a93394c2p-14, 0x1.ab5337926c74ep-14, 0x1.ac0d42be07299p-14, 0x1.acbd4d86839e2p-14, 0x1.ad63791d5654ap-14, 0x1.adffe674fc867p-14, 0x1.ae92b6410e27fp-14, 0x1.af1c08f5b6ccfp-14, 0x1.af9bfec750c72p-14, 0x1.b012b7ab15b0cp-14, 0x1.b0805356f4fdbp-14, 0x1.b0e4f14115e16p-14, 0x1.b140b0a036c94p-14, 0x1.b193b06b3a119p-14, 0x1.b1de0f59b9bd6p-14, 0x1.b21febe385c24p-14, 0x1.b2596440fe1bp-14, 0x1.b28a966ae3f0fp-14, 0x1.b2b3a01aac79ep-14, 0x1.b2d49eca3c83bp-14, 0x1.b2edafb3d83dap-14, 0x1.b2feefd300cc5p-14, 0x1.b3087be3be578p-14, 0x1.b30a7062fbe9dp-14, 0x1.b304e98e8cd82p-14, 0x1.b2f8036566671p-14, 0x1.b2e3d9a7c76cbp-14, 0x1.b2c887d7638c7p-14, 0x1.b2a62937873ecp-14, 0x1.b27cd8cce392dp-14, 0x1.b24cb15da7674p-14, 0x1.b215cd72699ap-14, 0x1.b1d8475635a42p-14, 0x1.b1943915d7759p-14, 0x1.b149bc80b0068p-14, 0x1.b0f8eb290f6ap-14, 0x1.b0a1de642d996p-14, 0x1.b044af4a233f8p-14, 0x1.afe176b643cb1p-14, 0x1.af784d47e564ap-14, 0x1.af094b61d9d29p-14, 0x1.ae94892b2638bp-14, 0x1.ae1a1e8ec23dbp-14, 0x1.ad9a233c7037fp-14, 0x1.ad14aea8447aap-14, 0x1.ac89d80bd5c7cp-14, 0x1.abf9b665e33d6p-14, 0x1.ab64607a74c2bp-14, 0x1.aac9ecd33c4f3p-14, 0x1.aa2a71c068af8p-14, 0x1.a986055876aecp-14, 0x1.a8dcbd785c52dp-14, 0x1.a82eafc40a906p-14, 0x1.a77bf1a654129p-14, 0x1.a6c49851c39a1p-14, 0x1.a608b8c14385bp-14, 0x1.a54867b71c377p-14, 0x1.a483b9bdf949cp-14, 0x1.a3bac3298f4b4p-14, 0x1.a2ed9816ac513p-14, 0x1.a21c4c6b33d32p-14, 0x1.a146f3d6a030ap-14, 0x1.a06da1d2da534p-14, 0x1.9f9069a3852dap-14, 0x1.9eaf5e57269bbp-14, 0x1.9dca92c748e4ep-14, 0x1.9ce219989fd7cp-14, 0x1.9bf6053b82bf6p-14, 0x1.9b0667ec1b95cp-14, 0x1.9a1353b2f5b0cp-14, 0x1.991cda64fd655p-14, 0x1.98230da495a2p-14, 0x1.9725fee12137ep-14, 0x1.9625bf574c59ep-14, 0x1.95226011dcdc7p-14, 0x1.941bf1ea5289p-14, 0x1.931285887c1cep-14, 0x1.92062b632662ep-14, 0x1.90f6f3c037388p-14, 0x1.8fe4eeb5b09a6p-14, 0x1.8ed02c29d535dp-14, 0x1.8db8bbd274ce4p-14, 0x1.8c9ead3651a53p-14, 0x1.8b820fadcb40ep-14, 0x1.8a62f26253b67p-14, 0x1.8941644edfb68p-14, 0x1.881d7440df82bp-14, 0x1.86f730d8372ebp-14, 0x1.85cea88754101p-14, 0x1.84a3e9940d33dp-14, 0x1.83770217bf4a9p-14, 0x1.8247ffff4bf03p-14, 0x1.8116f10c3d80ep-14, 0x1.7fe3e2d485e33p-14, 0x1.7eaee2c2e5082p-14, 0x1.7d77fe17837bbp-14, 0x1.7c3f41e80ae4cp-14, 0x1.7b04bb20026efp-14, 0x1.79c87681b27e3p-14, 0x1.788a80a591ddep-14, 0x1.774ae5fb148ebp-14, 0x1.7609b2c95f612p-14, 0x1.74c6f32f2d1e6p-14, 0x1.7382b3234a4a3p-14, 0x1.723cfe745b4fbp-14, 0x1.70f5e0ca7487fp-14, 0x1.6fad65a6bdfep-14, 0x1.6e63986321a63p-14, 0x1.6d18843370d2p-14, 0x1.6bcc342654aeap-14, 0x1.6a7eb324353e4p-14, 0x1.69300bf00c1cdp-14, 0x1.67e049288f5c3p-14, 0x1.668f75478fed1p-14, 0x1.653d9aa28f521p-14, 0x1.63eac36b44923p-14, 0x1.6296f9afb76c4p-14, 0x1.6142475ae8983p-14, 0x1.5fecb634f8821p-14, 0x1.5e964fe2ff1e2p-14, 0x1.5d3f1de83edfcp-14, 0x1.5be729a613f8dp-14, 0x1.5a8e7c5bb3ad8p-14, 0x1.59351f27c3d0ep-14, 0x1.57db1b07698e3p-14, 0x1.568078d726444p-14, 0x1.55254153930d4p-14, 0x1.53c97d18eb1c1p-14, 0x1.526d34a3a47fap-14, 0x1.51107051020d9p-14, 0x1.4fb3385f33fd5p-14, 0x1.4e5594ed5d4f9p-14, 0x1.4cf78dfc41d34p-14, 0x1.4b992b6ee8d11p-14, 0x1.4a3a7509decfep-14, 0x1.48db727435ed5p-14, 0x1.477c2b385507fp-14, 0x1.461ca6c305d06p-14, 0x1.44bcec644b568p-14, 0x1.435d0350818bep-14, 0x1.41fcf29f68a14p-14, 0x1.409cc14cf1aafp-14, 0x1.3f3c7639b8967p-14, 0x1.3ddc182b10982p-14, 0x1.3c7badcb849c8p-14, 0x1.3b1b3daa9e5bcp-14, 0x1.39bace3db6c67p-14, 0x1.385a65e0621bep-14, 0x1.36fa0ad3a7981p-14, 0x1.3599c33fa167cp-14, 0x1.3439953327fd2p-14, 0x1.32d986a3a0b42p-14, 0x1.31799d6e1229ap-14, 0x1.3019df5719f6bp-14, 0x1.2eba520aba9c1p-14, 0x1.2d5afb1d9356ap-14, 0x1.2bfbe00c53f86p-14, 0x1.2a9d063c0d6e9p-14, 0x1.293e72fb212b3p-14, 0x1.27e02b80f4f18p-14, 0x1.268234edd9f9cp-14, 0x1.2524944c4382ep-14, 0x1.23c74e9078d1bp-14, 0x1.226a6898617d7p-14, 0x1.210de72d0a01fp-14, 0x1.1fb1cf017deefp-14, 0x1.1e5624b3c477bp-14, 0x1.1cfaeccd55b99p-14, 0x1.1ba02bc29b02bp-14, 0x1.1a45e5f3b80acp-14, 0x1.18ec1facbf8d1p-14, 0x1.1792dd2587de5p-14, 0x1.163a22829a27fp-14, 0x1.14e1f3d4714aap-14, 0x1.138a5518edafdp-14, 0x1.12334a3a6ba3bp-14, 0x1.10dcd7108a36bp-14, 0x1.0f86ff60bb88bp-14, 0x1.0e31c6dd82c58p-14, 0x1.0cdd312786ae9p-14, 0x1.0b8941cdafdf1p-14, 0x1.0a35fc4cbcb55p-14, 0x1.08e364104ed2p-14, 0x1.07917c72b7646p-14, 0x1.064048bcd6611p-14, 0x1.04efcc273865bp-14, 0x1.03a009d9570c2p-14, 0x1.025104ea61992p-14, 0x1.0102c0615dc56p-14, 0x1.ff6a7e6a1d0a3p-15, 0x1.fcd10898df94cp-15, 0x1.fa3924fe4a42p-15, 0x1.f7a2d92959b7p-15, 0x1.f50e2a8be3977p-15, 0x1.f27b1e78f26d4p-15, 0x1.efe9ba25a732fp-15, 0x1.ed5a02aa51a15p-15, 0x1.eacbfd019917ep-15, 0x1.e83fae0a04f7ap-15, 0x1.e5b51a854de58p-15, 0x1.e32c4719fc7b6p-15, 0x1.e0a5385222dc6p-15, 0x1.de1ff29d5b3c1p-15, 0x1.db9c7a503de0fp-15, 0x1.d91ad3a47609fp-15, 0x1.d69b02b9f7c76p-15, 0x1.d41d0b970dac1p-15, 0x1.d1a0f227969b2p-15, 0x1.cf26ba3f8d37fp-15, 0x1.ccae679929701p-15, 0x1.ca37fdd651c66p-15, 0x1.c7c380819c926p-15, 0x1.c550f30c4e96dp-15, 0x1.c2e058d19dcb6p-15, 0x1.c071b514736c5p-15, 0x1.be050b01852b1p-15, 0x1.bb9a5daeb3c53p-15, 0x1.b931b01b7439p-15, 0x1.b6cb05319ddb2p-15, 0x1.b4665fc4fa49cp-15, 0x1.b203c29402934p-15, 0x1.afa330489e2a7p-15, 0x1.ad44ab772c19fp-15, 0x1.aae836a003ce3p-15, 0x1.a88dd42f3664cp-15, 0x1.a635867c9f3ebp-15, 0x1.a3df4fccdb298p-15, 0x1.a18b3250dece1p-15, 0x1.9f3930267c5bbp-15, 0x1.9ce94b58f9c58p-15, 0x1.9a9b85e0b1487p-15, 0x1.984fe1a3f2996p-15, 0x1.96066076da2eep-15, 0x1.93bf041be6699p-15, 0x1.9179ce439876bp-15, 0x1.8f36c08e152abp-15, 0x1.8cf5dc894575cp-15, 0x1.8ab723b388b3cp-15, 0x1.887a9779f646fp-15, 0x1.864039391c8b4p-15, 0x1.84080a3ec6cd8p-15, 0x1.81d20bc732d73p-15, 0x1.7f9e3f009941cp-15, 0x1.7d6ca508e909cp-15, 0x1.7b3d3eef370d1p-15, 0x1.79100db3f301dp-15, 0x1.76e5124862838p-15, 0x1.74bc4d8ffb502p-15, 0x1.7295c05f7d0e6p-15, 0x1.70716b7dd9549p-15, 0x1.6e4f4fa4627ebp-15, 0x1.6c2f6d7e7b56ap-15, 0x1.6a11c5aab2fbfp-15, 0x1.67f658b9c4018p-15, 0x1.65dd27301ddcap-15, 0x1.63c6318510af7p-15, 0x1.61b17823752dcp-15, 0x1.5f9efb6a03154p-15, 0x1.5d8ebbaadbb9p-15, 0x1.5b80b92cb4afcp-15, 0x1.5974f42a1aac9p-15, 0x1.576b6cd25027fp-15, 0x1.55642348d95bfp-15, 0x1.535f17a68c49p-15, 0x1.515c49f8bf623p-15, 0x1.4f5bba4259917p-15, 0x1.4d5d687b4d454p-15, 0x1.4b6154913a926p-15, 0x1.49677e678fa02p-15, 0x1.476fe5d7356fp-15, 0x1.457a8aafcdfabp-15, }}, 
      {{0x1.fff260aa2faecp-1, 0x1.ffc9956b7b3dbp-1, 0x1.ff85d5d5efb81p-1, 0x1.ff277c56fdf5bp-1, 0x1.feaf035e5fb5cp-1, 0x1.fe1d01f20b931p-1, 0x1.fd7227f3c010bp-1, 0x1.fcaf3a4e56109p-1, 0x1.fbd50f3392836p-1, 0x1.fae48a875bf4fp-1, 0x1.f9de9a8b60108p-1, 0x1.f8c434d642b36p-1, 0x1.f796539b6dafap-1, 0x1.f655f344153fp-1, 0x1.f5041056f021ap-1, 0x1.f3a1a5aa14629p-1, 0x1.f22faad93304cp-1, 0x1.f0af12f9dfe3bp-1, 0x1.ef20cb876fe6cp-1, 0x1.ed85bb80255ffp-1, 0x1.ebdec2adc680bp-1, 0x1.ea2cb9143562ap-1, 0x1.e8706e8129ea5p-1, 0x1.e6aaaa38bbd93p-1, 0x1.e4dc2abaed21ap-1, 0x1.e305a59ee41a3p-1, 0x1.e127c780ed329p-1, 0x1.df433400c4772p-1, 0x1.dd5885cdf4293p-1, 0x1.db684ec060038p-1, 0x1.d97317fb52c89p-1, 0x1.d77962199253ap-1, 0x1.d57ba5612b44ap-1, 0x1.d37a51fdca4e1p-1, 0x1.d175d0409472dp-1, 0x1.cf6e80e48901cp-1, 0x1.cd64bd56940d3p-1, 0x1.cb58d8008236bp-1, 0x1.c94b1c96217e6p-1, 0x1.c73bd063e38fap-1, 0x1.c52b329e695e5p-1, 0x1.c3197cb26b58ap-1, 0x1.c106e2947d179p-1, 0x1.bef393103dba1p-1, 0x1.bcdfb8168b249p-1, 0x1.bacb770a5caa1p-1, 0x1.b8b6f10bf77f3p-1, 0x1.b6a243423383dp-1, 0x1.b48d872198c1cp-1, 0x1.b278d2b11eddfp-1, 0x1.b06438cc68a9fp-1, 0x1.ae4fc9635a696p-1, 0x1.ac3b91b6f02e3p-1, 0x1.aa279c9344784p-1, 0x1.a813f286bcc1p-1, 0x1.a6009a1653281p-1, 0x1.a3ed97ef044a8p-1, 0x1.a1daef14610b3p-1, 0x1.9fc8a10c51f08p-1, 0x1.9db6ae08190e8p-1, 0x1.9ba5150aa2553p-1, 0x1.9993d40c38e7p-1, 0x1.9782e81bb695bp-1, 0x1.95724d7d43b9fp-1, 0x1.9361ffc6c5f84p-1, 0x1.9151f9fa13ee7p-1, 0x1.8f42369d0d3ebp-1, 0x1.8d32afcfb0affp-1, 0x1.8b235f604fd7ep-1, 0x1.89143eddf87ddp-1, 0x1.870547a932b86p-1, 0x1.84f6730331ae2p-1, 0x1.82e7ba1b8ba54p-1, 0x1.80d9161c99ecfp-1, 0x1.7eca80369747ep-1, 0x1.7cbbf1a995b0dp-1, 0x1.7aad63ce6257cp-1, 0x1.789ed01e7121ap-1, 0x1.7690303ae099ep-1, 0x1.74817df2addc3p-1, 0x1.7272b3482a47dp-1, 0x1.7063ca75c308cp-1, 0x1.6e54bdf22f5bap-1, 0x1.6c4588740f70ep-1, 0x1.6a3624f50f4ap-1, 0x1.68268eb49623bp-1, 0x1.6616c13a13236p-1, 0x1.6406b856eec29p-1, 0x1.61f670282bbe5p-1, 0x1.5fe5e517c4133p-1, 0x1.5dd513ddc3c8bp-1, 0x1.5bc3f981300f6p-1, 0x1.59b29358bc73dp-1, 0x1.57a0df0b56115p-1, 0x1.558eda908ab47p-1, 0x1.537c8430cd3e9p-1, 0x1.5169da85a0bfep-1, 0x1.4f56dc79a7dbdp-1, 0x1.4d438948a09b9p-1, 0x1.4b2fe07f4b245p-1, 0x1.491be1fb4097bp-1, 0x1.47078deaba904p-1, 0x1.44f2e4cc4be2p-1, 0x1.42dde76e8debp-1, 0x1.40c896efc15c2p-1, 0x1.3eb2f4bd643acp-1, 0x1.3c9d0293be6d9p-1, 0x1.3a86c27d61f9bp-1, 0x1.387036d2a4357p-1, 0x1.365962390b54p-1, 0x1.344247a2b244p-1, 0x1.322aea4da38ap-1, 0x1.30134dc329fd5p-1, 0x1.2dfb75d716159p-1, 0x1.2be366a6fb4d8p-1, 0x1.29cb2499608cfp-1, 0x1.27b2b45ce71dp-1, 0x1.259a1ae765f5dp-1, 0x1.23815d74f9d46p-1, 0x1.216881870afb2p-1, 0x1.1f4f8ce344dfp-1, 0x1.1d36859284d1p-1, 0x1.1b1d71dfba242p-1, 0x1.19045856bd168p-1, 0x1.16eb3fc316ff6p-1, 0x1.14d22f2ec026dp-1, 0x1.12b92de0d0dc9p-1, 0x1.10a0435c27c8p-1, 0x1.0e87775e02cedp-1, 0x1.0c6ed1dc8d6cdp-1, 0x1.0a565b05639cep-1, 0x1.083e1b3c098a8p-1, 0x1.06261b1857d46p-1, 0x1.040e6364decabp-1, 0x1.01f6fd1d3dcd3p-1, 0x1.ffbfe2d8e26a8p-2, 0x1.fb929356311ap-2, 0x1.f7661ebb64712p-2, 0x1.f33a98659d881p-2, 0x1.ef1014027a503p-2, 0x1.eae6a58c5eb83p-2, 0x1.e6be6146af4d7p-2, 0x1.e2975bba006d4p-2, 0x1.de71a9b03996ep-2, 0x1.da4d6030af0ffp-2, 0x1.d62a947c308abp-2, 0x1.d2095c091365ep-2, 0x1.cde9cc7f32cf6p-2, 0x1.c9cbfbb3ed432p-2, 0x1.c5afffa61be1ap-2, 0x1.c195ee7a06b2ep-2, 0x1.bd7dde755b1bap-2, 0x1.b967e5fb1ad8ep-2, 0x1.b5541b8792e64p-2, 0x1.b14295ac4edfp-2, 0x1.ad336b0c11362p-2, 0x1.a926b256d2074p-2, 0x1.a51c8245bde6ep-2, 0x1.a114f1973f41dp-2, 0x1.9d10170b0de3ep-2, 0x1.990e095e474b4p-2, 0x1.950edf478e049p-2, 0x1.9112af73386cp-2, 0x1.8d19907f8596bp-2, 0x1.892398f8e0bf7p-2, 0x1.8530df563255ep-2, 0x1.814179f53f201p-2, 0x1.7d557f1713ad5p-2, 0x1.796d04dc8322ap-2, 0x1.75882142b2574p-2, 0x1.71a6ea1fb64bep-2, 0x1.6dc9751f451a6p-2, 0x1.69efd7bf74f82p-2, 0x1.661a274d92f89p-2, 0x1.624878e30a156p-2, 0x1.5e7ae1625e016p-2, 0x1.5ab175743b17ap-2, 0x1.56ec49849c47ep-2, 0x1.532b71c0022a5p-2, 0x1.4f6f0210c4062p-2, 0x1.4bb70e1c726f4p-2, 0x1.4803a94153d78p-2, 0x1.4454e693f397fp-2, 0x1.40aad8dcc99bdp-2, 0x1.3d059295f9cacp-2, 0x1.396525e9257bbp-2, 0x1.35c9a4ad5a5f4p-2, 0x1.3233206511af7p-2, 0x1.2ea1aa3c4c66ep-2, 0x1.2b155306c10f7p-2, 0x1.278e2b3e26272p-2, 0x1.240c43008ccaep-2, 0x1.208faa0eda9b5p-2, 0x1.1d186fcb50d3p-2, 0x1.19a6a33834593p-2, 0x1.163a52f682956p-2, 0x1.12d38d44c57d4p-2, 0x1.0f725ffdf7772p-2, 0x1.0c16d898804efp-2, 0x1.08c1042547468p-2, 0x1.0570ef4edc762p-2, 0x1.0226a658b2e2cp-2, 0x1.fdc46a3cee56p-3, 0x1.f7474e26e6cb3p-3, 0x1.f0d60e8419e5ap-3, 0x1.ea70c096a5276p-3, 0x1.e41778cd46446p-3, 0x1.ddca4ac2c599cp-3, 0x1.d789493d8f441p-3, 0x1.d154862f6a1d2p-3, 0x1.cb2c12b55c776p-3, 0x1.c50fff17afa2dp-3, 0x1.bf005aca16a0dp-3, 0x1.b8fd346bf8e86p-3, 0x1.b30699c8df789p-3, 0x1.ad1c97d90438ap-3, 0x1.a73f3ac1fd7e7p-3, 0x1.a16e8dd78be23p-3, 0x1.9baa9b9c87bd5p-3, 0x1.95f36dc3e668ep-3, 0x1.90490d31e7111p-3, 0x1.8aab81fd503f1p-3, 0x1.851ad370cdeefp-3, 0x1.7f97080c6a088p-3, 0x1.7a2025871e5a8p-3, 0x1.74b630d07c93ap-3, 0x1.6f592e126edc1p-3, 0x1.6a0920b313b3ep-3, 0x1.64c60b56a7e47p-3, 0x1.5f8fefe1866efp-3, 0x1.5a66cf7a49e83p-3, 0x1.554aaa8becf2ep-3, 0x1.503b80c809837p-3, 0x1.4b3951292b7d9p-3, 0x1.464419f527b7bp-3, 0x1.415bd8bf946bcp-3, 0x1.3c808a6c40c62p-3, 0x1.37b22b31c2725p-3, 0x1.32f0b69c121cp-3, 0x1.2e3c278f2fda4p-3, 0x1.29947849d9329p-3, 0x1.24f9a2683f1bdp-3, 0x1.206b9ee6d746p-3, 0x1.1bea66252b9f4p-3, 0x1.1775efe8b0e2dp-3, 0x1.130e335fac1b6p-3, 0x1.0eb3272420f1ep-3, 0x1.0a64c13ebd586p-3, 0x1.0622f729d348p-3, 0x1.01edbdd456036p-3, 0x1.fb8a1349b77e9p-4, 0x1.f3519cf9459fap-4, 0x1.eb31ff753676bp-4, 0x1.e32b207ce7a52p-4, 0x1.db3ce4d74ccddp-4, 0x1.d367305914536p-4, 0x1.cba9e5eacc158p-4, 0x1.c404e78efd637p-4, 0x1.bc7816685a854p-4, 0x1.b50352bfde32bp-4, 0x1.ada67c0ae7853p-4, 0x1.a66170f165bfp-4, 0x1.9f340f53e0e38p-4, 0x1.981e3451a1183p-4, 0x1.911fbc4eb43f7p-4, 0x1.8a3882f9fb236p-4, 0x1.836863532806cp-4, 0x1.7caf37b0bdbd3p-4, 0x1.760cd9c5fd2b9p-4, 0x1.6f8122a8cc196p-4, 0x1.690bead7949e1p-4, 0x1.62ad0a3f13ab6p-4, 0x1.5c64584020611p-4, 0x1.5631abb564f37p-4, 0x1.5014daf90ae7ep-4, 0x1.4a0dbbea582f6p-4, 0x1.441c23f342681p-4, 0x1.3e3fe80deb996p-4, 0x1.3878dcca1ae4bp-4, 0x1.32c6d65297d4fp-4, 0x1.2d29a8728283ap-4, 0x1.27a1269a90d3p-4, 0x1.222d23e643915p-4, 0x1.1ccd732100dd9p-4, 0x1.1781e6cb26fcbp-4, 0x1.124a511f01fa3p-4, 0x1.0d268415b8d71p-4, 0x1.0816516c22724p-4, 0x1.03198aa78932cp-4, 0x1.fc600234b21e2p-5, 0x1.f2b30bd1806bp-5, 0x1.e92bd41a6aa26p-5, 0x1.dfc9fcb9dbf3bp-5, 0x1.d68d27187904cp-5, 0x1.cd74f465c943fp-5, 0x1.c48105a096b05p-5, 0x1.bbb0fb9f43148p-5, 0x1.b3047717e8202p-5, 0x1.aa7b18a84314cp-5, 0x1.a21480dd90436p-5, 0x1.99d0503c2572ep-5, 0x1.91ae2746f296ep-5, 0x1.89ada686d2adp-5, 0x1.81ce6e91b315ap-5, 0x1.7a1020118fffcp-5, 0x1.72725bcb50764p-5, 0x1.6af4c2a56ad63p-5, 0x1.6396f5ae74dcp-5, 0x1.5c5896236c9f4p-5, 0x1.55394575fa29fp-5, 0x1.4e38a5526f451p-5, 0x1.475657a5aa10bp-5, 0x1.4091fea2d19c7p-5, 0x1.39eb3cc8dec7bp-5, 0x1.3361b4e80c8p-5, 0x1.2cf50a2713939p-5, 0x1.26a4e00847e72p-5, 0x1.2070da6e8bcdp-5, 0x1.1a589da2197e4p-5, 0x1.145bce552f05p-5, 0x1.0e7a11a88dd24p-5, 0x1.08b30d2fcf66bp-5, 0x1.030666f5ab8eap-5, 0x1.fae78affecfa2p-6, 0x1.eff59fa74206cp-6, 0x1.e5365af0e9c1dp-6, 0x1.daa90cf984971p-6, 0x1.d04d06f1c7e8p-6, 0x1.c6219b253743fp-6, 0x1.bc261d00b14aep-6, 0x1.b259e118973c3p-6, 0x1.a8bc3d2ed7ab1p-6, 0x1.9f4c8838a40d5p-6, 0x1.960a1a63de842p-6, 0x1.8cf44d1c587e5p-6, 0x1.840a7b10dbe0ap-6, 0x1.7b4c0037c7cefp-6, 0x1.72b839d3aede5p-6, 0x1.6a4e86778e8ap-6, 0x1.620e460ae15c5p-6, 0x1.59f6d9cd6c223p-6, 0x1.5207a45ae0312p-6, 0x1.4a4009ae31ae7p-6, 0x1.429f6f24d264p-6, 0x1.3b253b819fe21p-6, 0x1.33d0d6efb2aa1p-6, 0x1.2ca1ab04dff26p-6, 0x1.259722c428695p-6, 0x1.1eb0aa9fddc9fp-6, 0x1.17edb07ba1084p-6, 0x1.114da3ae3be5fp-6, 0x1.0acff50338623p-6, 0x1.047416bc57ca1p-6, 0x1.fc72f925bc50dp-7, 0x1.f03f377168627p-7, 0x1.e44bd5b2b6df2p-7, 0x1.d897c43568043p-7, 0x1.cd21f63b4afb2p-7, 0x1.c1e961fd439f2p-7, 0x1.b6ed00abec565p-7, 0x1.ac2bce700107ap-7, 0x1.a1a4ca6a87eb2p-7, 0x1.9756f6b49c0fp-7, 0x1.8d41585f096b2p-7, 0x1.8362f771a99ffp-7, 0x1.79badeea62693p-7, 0x1.70481cbc17674p-7, 0x1.6709c1cd2cb8bp-7, 0x1.5dfee1f5e3948p-7, 0x1.552693fe97ee1p-7, 0x1.4c7ff19d9b94ep-7, 0x1.440a1774f2eddp-7, 0x1.3bc4250fced31p-7, 0x1.33ad3ce00697fp-7, 0x1.2bc4843b042fcp-7, 0x1.24092356ec6ccp-7, 0x1.1c7a454740fbbp-7, 0x1.151717f98dc61p-7, 0x1.0ddecc31d76afp-7, 0x1.06d09586e9598p-7, 0x1.ffd754bce0d1ep-8, 0x1.f25e87d1f175p-8, 0x1.e5353c3b9ab2bp-8, 0x1.d859ef6d5eec5p-8, 0x1.cbcb2456cd4d6p-8, 0x1.bf87635a7271p-8, 0x1.b38d3a4482a9p-8, 0x1.a7db3c41603d9p-8, 0x1.9c7001d3c992ap-8, 0x1.914a28cafdbcp-8, 0x1.8668543862aeap-8, 0x1.7bc92c65629e3p-8, 0x1.716b5ec8c2864p-8, 0x1.674d9dfc0fc8cp-8, 0x1.5d6ea1b0a82f4p-8, 0x1.53cd26a4d5a08p-8, 0x1.4a67ee989cfe3p-8, 0x1.413dc0427bd72p-8, 0x1.384d674412f5bp-8, 0x1.2f95b41e7c34bp-8, 0x1.27157c26ed2c1p-8, 0x1.1ecb997abad53p-8, 0x1.16b6eaf3b07fdp-8, 0x1.0ed6541c3a96ap-8, 0x1.0728bd234d8d4p-8, 0x1.ff5a25a0b923bp-9, 0x1.f0c48cee977b7p-9, 0x1.e28e9bd8a234dp-9, 0x1.d4b646ef47a92p-9, 0x1.c7398b92982afp-9, 0x1.ba166fd99feb3p-9, 0x1.ad4b0279af6a4p-9, 0x1.a0d55aadd4e35p-9, 0x1.94b3981dec721p-9, 0x1.88e3e2c5eb54dp-9, 0x1.7d646add1c8afp-9, 0x1.723368bd384cbp-9, 0x1.674f1cc99c28ap-9, 0x1.5cb5cf5695257p-9, 0x1.5265d09071081p-9, 0x1.485d7862e01a1p-9, 0x1.3e9b266026862p-9, 0x1.351d41a889f1p-9, 0x1.2be238d185a6bp-9, 0x1.22e881cd84c3p-9, 0x1.1a2e99d312fddp-9, 0x1.11b30544d15fdp-9, 0x1.09744f98c7b5bp-9, 0x1.01710b407f8c3p-9, 0x1.f34fa32135c34p-10, 0x1.e42e8552156ffp-10, 0x1.d57c0ab9f34e4p-10, 0x1.c7358e3637886p-10, 0x1.b95877ac07336p-10, 0x1.abe23bd8f1a07p-10, 0x1.9ed05c24793acp-10, 0x1.922066712bce9p-10, 0x1.85cff4eee52d9p-10, 0x1.79dcadec1b401p-10, 0x1.6e4443a913db4p-10, 0x1.63047429e8581p-10, 0x1.581b0909c8ec2p-10, 0x1.4d85d74e5c27bp-10, 0x1.4342bf3b2f58p-10, 0x1.394fac260ff85p-10, 0x1.2faa944aedcb5p-10, 0x1.265178a0de4f4p-10, 0x1.1d4264af5cfedp-10, 0x1.147b6e6340225p-10, 0x1.0bfab5e4ccbbcp-10, 0x1.03be656e097ffp-10, 0x1.f7896241f1675p-11, 0x1.e817adbdd692ap-11, 0x1.d9243c3f3c1f9p-11, 0x1.caabaf91dea84p-11, 0x1.bcaabc0e78177p-11, 0x1.af1e284b574f8p-11, 0x1.a202ccce7ef48p-11, 0x1.955593c099754p-11, 0x1.8913789fad209p-11, 0x1.7d3987f467294p-11, 0x1.71c4df06abfcbp-11, 0x1.66b2ab93b3778p-11, 0x1.5c002b84c4fb8p-11, 0x1.51aaaca71d6e5p-11, 0x1.47af8c6417a6ap-11, 0x1.3e0c377a95f4p-11, 0x1.34be29b94ffc5p-11, 0x1.2bc2edb9698e3p-11, 0x1.23181c9ae5082p-11, 0x1.1abb5dc07484fp-11, 0x1.12aa668da4434p-11, 0x1.0ae2fa24d382ep-11, 0x1.0362e92687efap-11, 0x1.f85022e22679p-12, 0x1.ea60bbc4274dfp-12, 0x1.dcf38c2e25b16p-12, 0x1.d0049c61faef8p-12, 0x1.c3900d2dc7bd2p-12, 0x1.b7921773e5da2p-12, 0x1.ac070bb5c2991p-12, 0x1.a0eb519e0d5dap-12, 0x1.963b678f797dp-12, 0x1.8bf3e231dd49dp-12, 0x1.82116c02ffb96p-12, 0x1.7890c4e901377p-12, 0x1.6f6ec1c56b1bcp-12, 0x1.66a84c09ea83dp-12, 0x1.5e3a614f974bdp-12, 0x1.562212eeee45ap-12, 0x1.4e5c859908f13p-12, 0x1.46e6f0f37f0cbp-12, 0x1.3fbe9f359001dp-12, 0x1.38e0ecc4f64dep-12, 0x1.324b47d720d0ep-12, 0x1.2bfb3011f2f61p-12, 0x1.25ee362e664cep-12, 0x1.2021fb9d464f1p-12, 0x1.1a94322c8c7b7p-12, 0x1.15429bae5d78ep-12, 0x1.102b09a1a3345p-12, 0x1.0b4b5cdca69a9p-12, 0x1.06a185379667dp-12, 0x1.022b813a2dce4p-12, 0x1.fbcebb91d256dp-13, 0x1.f3a66baa08392p-13, 0x1.ebda641beaf59p-13, 0x1.e46711246ac97p-13, 0x1.dd48f947df2cep-13, 0x1.d67cbcbb021fp-13, 0x1.cfff14cf20e77p-13, 0x1.c9ccd360981d4p-13, 0x1.c3e2e2492742dp-13, 0x1.be3e42d218405p-13, 0x1.b8dc0d2c87eb2p-13, 0x1.b3b96fe84477p-13, 0x1.aed3af703f8acp-13, 0x1.aa28258877efp-13, 0x1.a5b440cbe2565p-13, 0x1.a175843112a08p-13, 0x1.9d69868d527ecp-13, 0x1.998df21b5a894p-13, 0x1.95e08405828aap-13, 0x1.925f0bef55119p-13, 0x1.8f076b84fdce6p-13, 0x1.8bd79609f7305p-13, 0x1.88cd8fea5370fp-13, 0x1.85e76e4f3b15p-13, 0x1.832356b53d194p-13, 0x1.807f7e82de2c1p-13, 0x1.7dfa2aa367124p-13, 0x1.7b91af238becep-13, 0x1.79446eced6f3bp-13, 0x1.7710dacf13b22p-13, 0x1.74f5724ec8175p-13, 0x1.72f0c21bbea33p-13, 0x1.7101644e8bff7p-13, 0x1.6f25ffef3db64p-13, 0x1.6d5d48a10a3edp-13, 0x1.6ba5fe4b3fc61p-13, 0x1.69feecc7384bcp-13, 0x1.6866eb8e7f48cp-13, 0x1.66dcdd69f1bcbp-13, 0x1.655fb02489aeap-13, 0x1.63ee5c3de8d37p-13, 0x1.6287e49fdd36ep-13, 0x1.612b56546c19ap-13, 0x1.5fd7c83e6807bp-13, 0x1.5e8c5ad35e1b5p-13, 0x1.5d4837d5d7eb5p-13, 0x1.5c0a92129dc93p-13, 0x1.5ad2a51e99538p-13, 0x1.599fb51647f3fp-13, 0x1.58710e5f25c43p-13, 0x1.57460569457c3p-13, 0x1.561df673be5b7p-13, 0x1.54f84551ef8a7p-13, 0x1.53d45d30e3035p-13, 0x1.52b1b05ffe3fep-13, 0x1.518fb8195c712p-13, 0x1.506df44c4b71ep-13, 0x1.4f4beb686bc26p-13, 0x1.4e292a2ab098dp-13, 0x1.4d05436ad5098p-13, 0x1.4bdfcfeb81564p-13, 0x1.4ab86e290e414p-13, 0x1.498ec22bcc327p-13, 0x1.486275599b9eep-13, 0x1.4733364a663a9p-13, 0x1.4600b89b3e499p-13, 0x1.44cab4c578a8p-13, 0x1.4390e7f46c0b8p-13, 0x1.425313dd37148p-13, 0x1.4110fe97cc6fdp-13, 0x1.3fca727851d55p-13, 0x1.3e7f3de930782p-13, 0x1.3d2f334748334p-13, 0x1.3bda28bda1026p-13, 0x1.3a7ff8234e86fp-13, 0x1.39207ed934ed8p-13, 0x1.37bb9da90cadcp-13, 0x1.365138a5bf44dp-13, 0x1.34e1370c0dcadp-13, 0x1.336b832378631p-13, 0x1.31f00a20fe8c8p-13, 0x1.306ebc0a2ce9p-13, 0x1.2ee78b98ee78dp-13, 0x1.2d5a6e201114ap-13, 0x1.2bc75b70d905bp-13, 0x1.2a2e4dc09f6c9p-13, 0x1.288f4190553e4p-13, 0x1.26ea359368a18p-13, 0x1.253f2a981d647p-13, 0x1.238e236ffeaa7p-13, 0x1.21d724d9ce827p-13, 0x1.201a356b34a24p-13, 0x1.1e575d7b65bcp-13, 0x1.1c8ea70eb41c2p-13, 0x1.1ac01dc25e6e6p-13, 0x1.18ebceb8dacf1p-13, 0x1.1711c88757b56p-13, 0x1.15321b22e0176p-13, 0x1.134cd7ce4a37ep-13, 0x1.1162110983eeap-13, 0x1.0f71da8056ee7p-13, 0x1.0d7c48fa0450ep-13, 0x1.0b8172496ad8p-13, 0x1.09816d3e11f88p-13, 0x1.077c51953cff4p-13, 0x1.057237eb26bebp-13, 0x1.036339ad80989p-13, 0x1.014f710d80f02p-13, 0x1.fe6df1e63ce7ep-14, 0x1.fa33d9e07f631p-14, 0x1.f5f0d268eabf5p-14, 0x1.f1a51502945a4p-14, 0x1.ed50dc3d642c7p-14, 0x1.e8f4639fa798fp-14, 0x1.e48fe791b0752p-14, 0x1.e023a5482e011p-14, 0x1.dbafdab05dd9ap-14, 0x1.d734c65d4cef7p-14, 0x1.d2b2a774a198ap-14, 0x1.ce29bd9d17c83p-14, 0x1.c99a48ec7d5e4p-14, 0x1.c50489d84733ep-14, 0x1.c068c1243a5b5p-14, 0x1.bbc72fd3bab86p-14, 0x1.b720171b0ec8fp-14, 0x1.b273b850e0adfp-14, 0x1.adc254dfaefd6p-14, 0x1.a90c2e39ef884p-14, 0x1.a45185cc4f56cp-14, 0x1.9f929cf1a7507p-14, 0x1.9acfb4e805696p-14, 0x1.96090ec45d317p-14, 0x1.913eeb68756e5p-14, 0x1.8c718b78a5c92p-14, 0x1.87a12f51f22ap-14, 0x1.82ce17001d9b7p-14, 0x1.7df88235b6d7dp-14, 0x1.7920b04218cd5p-14, 0x1.7446e00aa79cap-14, 0x1.6f6b5001fae44p-14, 0x1.6a8e3e208ef47p-14, 0x1.65afe7de29422p-14, 0x1.60d08a2ae54cdp-14, 0x1.5bf06168af95cp-14, 0x1.570fa96592758p-14, 0x1.522e9d55af893p-14, 0x1.4d4d77ce1852ap-14, 0x1.486c72bf7944dp-14, 0x1.438bc7715fbd2p-14, 0x1.3eabae7d9be85p-14, 0x1.39cc5fcca104dp-14, 0x1.34ee129068196p-14, 0x1.3010fd4192972p-14, 0x1.2b35559c2d825p-14, 0x1.265b509b95393p-14, 0x1.218322783a945p-14, 0x1.1cacfea4d8444p-14, 0x1.17d917cb4745dp-14, 0x1.13079fcb55a4cp-14, 0x1.0e38c7b766837p-14, 0x1.096cbfd368649p-14, 0x1.04a3b7929fb25p-14, 0x1.ffbbbb2d7ba26p-15, 0x1.f636bf5bc9283p-15, 0x1.ecb8d5a3b21abp-15, 0x1.e342564e15323p-15, 0x1.d9d397f7abc97p-15, 0x1.d06cef8ee63a9p-15, 0x1.c70eb053392bp-15, 0x1.bdb92bd4faf5p-15, 0x1.b46cb1f4620cdp-15, 0x1.ab2990e147c09p-15, 0x1.a1f0151b4901cp-15, 0x1.98c08972321f3p-15, 0x1.8f9b37064fd56p-15, 0x1.86806549a8c1fp-15, 0x1.7d705a008819dp-15, 0x1.746b594369d02p-15, 0x1.6b71a57fd151bp-15, 0x1.62837f798ae5ap-15, 0x1.59a1264de4bc4p-15, 0x1.50cad773b5c7ep-15, 0x1.4800cebf3aba1p-15, 0x1.3f43466386f32p-15, 0x1.369276f5235d5p-15, 0x1.2dee976d0e32dp-15, 0x1.2557dd2b11ca2p-15, 0x1.1cce7bf8bef4ep-15, 0x1.1452a60c9b9bfp-15, 0x1.0be48c0d75074p-15, 0x1.03845d151175p-15, 0x1.f6648d682e5bap-16, 0x1.e5dce9eb58854p-16, 0x1.d57224c49ca94p-16, 0x1.c524900865704p-16, 0x1.b4f47ad5730a8p-16, 0x1.a4e2315c952afp-16, 0x1.94edfce8644a3p-16, 0x1.851823e6d0b9bp-16, 0x1.7560e9ede74bbp-16, 0x1.65c88fc8108cfp-16, 0x1.564f5379af09ep-16, 0x1.46f5704a3100bp-16, 0x1.37bb1ecd31ed7p-16, 0x1.28a094ead75f5p-16, 0x1.19a605e894d7cp-16, 0x1.0acba271c3b5dp-16, 0x1.f8233141b06e3p-17, 0x1.daf02811738f4p-17, 0x1.bdfe7b7930bdbp-17, 0x1.a14e78b3678ebp-17, 0x1.84e068218d561p-17, 0x1.68b48d5e618a5p-17, 0x1.4ccb274dd2b7p-17, 0x1.3124703345455p-17, 0x1.15c09dc05c61ap-17, 0x1.f53fc251fa8e2p-18, 0x1.bf84ce6a7c12dp-18, 0x1.8a50b0ae0e6b1p-18, 0x1.55a3b16b94d85p-18, 0x1.217e108e52a93p-18, 0x1.dbc00b7f13914p-19, 0x1.7593810e8ae7p-19, 0x1.1076d0e9b859p-19, 0x1.58d4750ab1d22p-20, 0x1.25b7b7d04bcaap-21, -0x1.87df3cfb69134p-23, -0x1.e565626977a4ep-21, -0x1.b248799a13107p-20, -0x1.37deab04a388ep-19, -0x1.9588bbda005d5p-19, -0x1.f2229593379c8p-19, -0x1.26d635f3c93a9p-18, -0x1.54133fd7cf63dp-18, -0x1.80c88f5306bf5p-18, -0x1.acf6518e03dffp-18, -0x1.d89cb9dd9daacp-18, -0x1.01de00cfd05edp-17, -0x1.172a340a7f083p-17, -0x1.2c33192328c7dp-17, -0x1.40f8d5704d347p-17, -0x1.557b9108af056p-17, -0x1.69bb76b3e18d2p-17, -0x1.7db8b3daf50b2p-17, -0x1.917378767671ap-17, -0x1.a4ebf7000ed6fp-17, -0x1.b822646272695p-17, -0x1.cb16f7e9001f4p-17, -0x1.ddc9eb307ec12p-17, -0x1.f03b7a18e8e29p-17, -0x1.0135f15a74459p-16, -0x1.0a2db29dd5eafp-16, -0x1.130521fca4503p-16, -0x1.1bbc61a0915cp-16, -0x1.245394af4bcc5p-16, -0x1.2ccadf43ca146p-16, -0x1.35226666956cdp-16, -0x1.3d5a5007633cap-16, -0x1.4572c2f60dd2p-16, -0x1.4d6be6db375bdp-16, -0x1.5545e432cd81fp-16, -0x1.5d00e444552e9p-16, -0x1.649d111c87911p-16, -0x1.6c1a95875855ep-16, -0x1.73799d0957936p-16, -0x1.7aba53d94f86p-16, -0x1.81dce6d9ffd6dp-16, -0x1.88e18394ab4b9p-16, -0x1.8fc858325f09ep-16, -0x1.9691937631bc5p-16, -0x1.9d3d64b775be1p-16, -0x1.a3cbfbdc60032p-16, -0x1.aa3d8953c07d5p-16, -0x1.b0923e0fc68f5p-16, -0x1.b6ca4b80b93fap-16, -0x1.bce5e38f906fep-16, -0x1.c2e538983f889p-16, -0x1.c8c87d6488557p-16, -0x1.ce8fe5274e254p-16, -0x1.d43ba3770e93ap-16, -0x1.d9cbec494f51dp-16, -0x1.df40f3edbed5dp-16, -0x1.e49aef091881ap-16, -0x1.e9da12908855fp-16, -0x1.eefe93c51749ep-16, -0x1.f408a82f62937p-16, -0x1.f8f8859ad7p-16, -0x1.fdce621157a9cp-16, -0x1.014539eb8f299p-15, -0x1.039678b35400fp-15, -0x1.05db08b62c0d5p-15, -0x1.081305613392ap-15, -0x1.0a3e8a366a39ap-15, -0x1.0c5db2cad328cp-15, -0x1.0e709ac4a1006p-15, -0x1.10775dd94cf19p-15, -0x1.127217cb94408p-15, -0x1.1460e469d5f92p-15, -0x1.1643df8c5aa97p-15, -0x1.181b25139bbfap-15, -0x1.19e6d0e65ef3dp-15, -0x1.1ba6fef04c313p-15, -0x1.1d5bcb2046f7bp-15, -0x1.1f055166d230dp-15, -0x1.20a3adb495e23p-15, -0x1.2236fbf8b0fe4p-15, -0x1.23bf581f74c61p-15, -0x1.253cde10bff8p-15, -0x1.26afa9aebbfeap-15, -0x1.2817d6d48cca5p-15, -0x1.29758154d0641p-15, -0x1.2ac8c4f85b076p-15, -0x1.2c11bd7d00ed1p-15, -0x1.2d5086946692p-15, -0x1.2e853be26d31ap-15, -0x1.2faff8fc6a17ap-15, -0x1.30d0d967f7432p-15, -0x1.31e7f899c68f9p-15, -0x1.32f571f4736cap-15, -0x1.33f960c760d61p-15, -0x1.34f3e04df15e1p-15, -0x1.35e50bae43a34p-15, -0x1.36ccfdf843158p-15, -0x1.37abd224fa4d5p-15, -0x1.3881a3156f36bp-15, -0x1.394e8b918cec6p-15, -0x1.3a12a6477ce7cp-15, -0x1.3ace0dcaf0569p-15, -0x1.3b80dc940cd8p-15, -0x1.3c2b2cfe9c3dfp-15, -0x1.3ccd19495a914p-15, -0x1.3d66bb957dbbep-15, -0x1.3df82de5b0af7p-15, -0x1.3e818a1d5a919p-15, -0x1.3f02ea0005403p-15, -0x1.3f7c6730a8181p-15, -0x1.3fee1b310bf37p-15, -0x1.40581f6142f9dp-15, -0x1.40ba8cfefa9b2p-15, -0x1.41157d24faf02p-15, -0x1.416908ca8551cp-15, -0x1.41b548c2c88e7p-15, -0x1.41fa55bc87904p-15, -0x1.423848417b8e6p-15, -0x1.426f38b5d4debp-15, -0x1.429f3f57ee944p-15, -0x1.42c8743fc8784p-15, -0x1.42eaef5e9644fp-15, -0x1.4306c87e647e5p-15, -0x1.431c1741ea54ap-15, -0x1.432af323c99b5p-15, -0x1.4333737655dc7p-15, -0x1.4335af63601a9p-15, -0x1.4331bdebfaa5ep-15, -0x1.4327b5e80ca9bp-15, -0x1.4317ae05efd0dp-15, -0x1.4301bcca6a81cp-15, -0x1.42e5f8904142cp-15, -0x1.42c477880ac59p-15, -0x1.429d4fb7e047dp-15, -0x1.427096fb88164p-15, -0x1.423e6303d5955p-15, -0x1.4206c956b29efp-15, -0x1.41c9df4edea8dp-15, -0x1.4187ba1c10a1fp-15, -0x1.41406ec274e2bp-15, -0x1.40f4121ab3a8bp-15, -0x1.40a2b8d1b829fp-15, -0x1.404c7768cb9aap-15, -0x1.3ff16235815bcp-15, -0x1.3f918d6179038p-15, -0x1.3f2d0cea49d38p-15, -0x1.3ec3f4a19fe7fp-15, -0x1.3e56582d1fc11p-15, -0x1.3de44b0646eadp-15, -0x1.3d6de07a8b554p-15, -0x1.3cf32bab3edep-15, -0x1.3c743f8d8c122p-15, -0x1.3bf12eea8c289p-15, -0x1.3b6a0c5f70ccfp-15, -0x1.3adeea5d3fab8p-15, -0x1.3a4fdb28dd9c1p-15, -0x1.39bcf0db49002p-15, -0x1.39263d61aab1ap-15, -0x1.388bd27d1f3f8p-15, -0x1.37edc1c2fb061p-15, -0x1.374c1c9d07ca9p-15, -0x1.36a6f44947d8p-15, -0x1.35fe59da3c9cfp-15, -0x1.35525e36f4b86p-15, -0x1.34a3121b11054p-15, -0x1.33f0861710436p-15, -0x1.333aca9040521p-15, -0x1.3281efc0f778fp-15, -0x1.31c605b8b3083p-15, -0x1.31071c5c3c745p-15, -0x1.30454365dd382p-15, -0x1.2f808a656498p-15, -0x1.2eb900c02579p-15, -0x1.2deeb5b18d568p-15, -0x1.2d21b84b11862p-15, -0x1.2c5217742b41p-15, -0x1.2b7fe1eae7c19p-15, -0x1.2aab2643f6508p-15, -0x1.29d3f2ea96f96p-15, -0x1.28fa5620f388dp-15, -0x1.281e5e0087ab6p-15, -0x1.27401879f8942p-15, -0x1.265f93557ee8bp-15, -0x1.257cdc3312b64p-15, -0x1.2498008a85be5p-15, -0x1.23b10dabd6b0dp-15, -0x1.22c810bf7de9fp-15, -0x1.21dd16c6789d3p-15, -0x1.20f02c9a8671bp-15, -0x1.20015eee74ceap-15, -0x1.1f10ba4e439b5p-15, -0x1.1e1e4b1f66759p-15, -0x1.1d2a1da0fe56fp-15, -0x1.1c343dec4d3bbp-15, -0x1.1b3cb7f49d46fp-15, -0x1.1a439787a31e4p-15, -0x1.1948e84db95c4p-15, -0x1.184cb5ca2619bp-15, -0x1.174f0b5b56bc4p-15, -0x1.164ff43b23568p-15, -0x1.154f7b7ee2784p-15, -0x1.144dac17efee8p-15, -0x1.134a90d3cc1b5p-15, -0x1.1246345c4679dp-15, -0x1.1140a138017b4p-15, -0x1.1039e1ca50a9ap-15, -0x1.0f320053ccbb2p-15, -0x1.0e2906f276e18p-15, -0x1.0d1effa20134cp-15, -0x1.0c13f43bf6b15p-15, -0x1.0b07ee78240fep-15, -0x1.09faf7ecd72eap-15, -0x1.08ed1a0f04896p-15, -0x1.07de5e32a0fp-15, -0x1.06cecd8afa842p-15, -0x1.05be712abb9acp-15, -0x1.04ad52045ebffp-15, -0x1.039b78ea777d9p-15, -0x1.0288ee8fe4702p-15, -0x1.0175bb881b4bep-15, -0x1.0061e8474a5ecp-15, -0x1.fe9afa45b540fp-16, -0x1.fc7104a33ae8fp-16, -0x1.fa45ffd7fc0bap-16, -0x1.f819fbd86264ap-16, -0x1.f5ed085d6013ep-16, -0x1.f3bf34e4cd4a6p-16, -0x1.f19090b1d689fp-16, -0x1.ef612acd60159p-16, -0x1.ed311206fa37cp-16, -0x1.eb0054f56014fp-16, -0x1.e8cf01f689af4p-16, -0x1.e69d273075a93p-16, -0x1.e46ad291d635fp-16, -0x1.e23811d24b774p-16, -0x1.e004f2731e1e7p-16, -0x1.ddd181bfc068p-16, -0x1.db9dccce6a793p-16, -0x1.d969e08033987p-16, -0x1.d735c981f6993p-16, -0x1.d501944d0a53fp-16, -0x1.d2cd4d27361e8p-16, -0x1.d09900238b697p-16, -0x1.ce64b922cb59bp-16, -0x1.cc3083d40a5abp-16, -0x1.c9fc6bb516712p-16, -0x1.c7c87c12c39cp-16, -0x1.c594c009d99f3p-16, -0x1.c3614287967p-16, -0x1.c12e0e499ce9cp-16, -0x1.befb2dded710fp-16, -0x1.bcc8aba843701p-16, -0x1.ba9691d8c6f9fp-16, -0x1.b864ea75dd943p-16, -0x1.b633bf588ac33p-16, -0x1.b4031a2d78a69p-16, -0x1.b1d3047554ed1p-16, -0x1.afa3878570141p-16, -0x1.ad74ac8851d7fp-16, -0x1.ab467c7e1e155p-16, -0x1.a919003cf557dp-16, -0x1.a6ec4071b5f74p-16, -0x1.a4c0459fe508fp-16, -0x1.a295182290a2p-16, -0x1.a06ac02cfb572p-16, -0x1.9e4145ca6ed6bp-16, -0x1.9c18b0df1cbaep-16, -0x1.99f10928b2f9dp-16, -0x1.97ca563e6c788p-16, -0x1.95a49f91a3518p-16, -0x1.937fec6e68273p-16, -0x1.915c43fbe5944p-16, -0x1.8f39ad3c97a7dp-16, -0x1.8d182f0ef7646p-16, -0x1.8af7d02e068acp-16, -0x1.88d897312e74ap-16, -0x1.86ba8a8d4d931p-16, -0x1.849db09505415p-16, -0x1.82820f78b3486p-16, -0x1.8067ad47421e4p-16, -0x1.7e4e8fee84693p-16, -0x1.7c36bd3bb3d21p-16, -0x1.7a203adb75571p-16, -0x1.780b0e5a96cecp-16, -0x1.75f73d268ad86p-16, -0x1.73e4cc8d6a4ccp-16, -0x1.71d3c1bec817ep-16, -0x1.6fc421cbbb4f5p-16, -0x1.6db5f1a757886p-16, -0x1.6ba936277ff8ep-16, -0x1.699df404787f6p-16, -0x1.67942fd9ca0f4p-16, -0x1.658bee26e07f2p-16, -0x1.6385334e9fe39p-16, -0x1.6180039877195p-16, -0x1.5f7c6330a4399p-16, -0x1.5d7a562821dep-16, -0x1.5b79e0755d6ecp-16, -0x1.597b05f4bf531p-16, -0x1.577dca68742dbp-16, -0x1.558231795148ep-16, -0x1.53883eb701fcp-16, -0x1.518ff597fc241p-16, -0x1.4f99597a6f5ecp-16, -0x1.4da46da47328bp-16, -0x1.4bb135440a774p-16, -0x1.49bfb36fa56d5p-16, -0x1.47cfeb26bb8eap-16, -0x1.45e1df51d2f52p-16, -0x1.43f592c2b097cp-16, -0x1.420b083512ebep-16, -0x1.4022424eb7a8cp-16, -0x1.3e3b439fbff0cp-16, -0x1.3c560ea2f40d1p-16, -0x1.3a72a5be0da6p-16, -0x1.38910b426118dp-16, -0x1.36b1416c7da18p-16, -0x1.34d34a64ff0adp-16, -0x1.32f72840c52a5p-16, -0x1.311cdd00fbcd6p-16, -0x1.2f446a93d107cp-16, -0x1.2d6dd2d458608p-16, -0x1.2b99178af124ap-16, -0x1.29c63a6dc2575p-16, -0x1.27f53d20ac48cp-16, -0x1.26262135c6afbp-16, -0x1.2458e82dc41a4p-16, -0x1.228d9377b33d1p-16, -0x1.20c42471dd9bbp-16, -0x1.1efc9c69da44fp-16, -0x1.1d36fc9c6f8efp-16, -0x1.1b73463645cb7p-16, -0x1.19b17a543d073p-16, -0x1.17f19a0320a87p-16, -0x1.1633a64061578p-16, -0x1.14779ffa36247p-16, -0x1.12bd880fc933cp-16, -0x1.11055f517ceb8p-16, -0x1.0f4f26812427bp-16, -0x1.0d9ade5269451p-16, -0x1.0be8876aaa19bp-16, -0x1.0a3822618badp-16, -0x1.0889afc1401cep-16, -0x1.06dd30063e8f3p-16, -0x1.0532a3a0262cap-16, -0x1.038a0af16e255p-16, -0x1.01e3664fe6ac1p-16, -0x1.003eb604f29cp-16, -0x1.fd37f49ae3b5p-17, -0x1.f9f666b4b8872p-17, -0x1.f6b8c2a17379dp-17, -0x1.f37f08939690bp-17, -0x1.f04938a727d9bp-17, -0x1.ed1752e0feb8cp-17, -0x1.e9e957301ae69p-17, -0x1.e6bf456e07e1p-17, -0x1.e3991d5e4ccd7p-17, -0x1.e076deafaaf7cp-17, -0x1.dd5888fcb2426p-17, -0x1.da3e1bcaf8d43p-17, -0x1.d727968c9ec45p-17, -0x1.d414f8a04ca92p-17, -0x1.d1064151395bep-17, -0x1.cdfb6fd7ce432p-17, -0x1.caf4835a4d0ebp-17, -0x1.c7f17aec84c6bp-17, -0x1.c4f2559078f81p-17, -0x1.c1f712372ce86p-17, -0x1.beffafbfef711p-17, -0x1.bc0c2cf9a0b2bp-17, -0x1.b91c88a2cee77p-17, -0x1.b630c1694d2f1p-17, -0x1.b348d5ebc1511p-17, -0x1.b064c4b8e12e1p-17, -0x1.ad848c505ac6ap-17, -0x1.aaa82b2300e84p-17, -0x1.a7cf9f92cc9e1p-17, -0x1.a4fae7f3c5379p-17, -0x1.a22a028b8fdfbp-17, -0x1.9f5ced9270232p-17, -0x1.9c93a73301528p-17, -0x1.99ce2d8a97111p-17, -0x1.970c7eaa1580ep-17, -0x1.944e989559f0dp-17, -0x1.91947943eaae6p-17, -0x1.8ede1ea1af7d8p-17, -0x1.8c2b868e2382ep-17, -0x1.897caedd740ddp-17, -0x1.86d19558d59fcp-17, -0x1.842a37bdf0ec9p-17, -0x1.818693bfd94a8p-17, -0x1.7ee6a7074093fp-17, -0x1.7c4a6f32392f4p-17, -0x1.79b1e9d505952p-17, -0x1.771d1479f2d88p-17, -0x1.748beca183e2bp-17, -0x1.71fe6fc359799p-17, -0x1.6f749b4d659b1p-17, -0x1.6cee6ca4fbddfp-17, -0x1.6a6be126c1974p-17, -0x1.67ecf6269c8f3p-17, -0x1.6571a8f078715p-17, -0x1.62f9f6c7fbdbfp-17, -0x1.6085dce902df4p-17, -0x1.5e155887b77dbp-17, -0x1.5ba866d0fc50bp-17, -0x1.593f04ea2d1ffp-17, -0x1.56d92ff1b06f8p-17, -0x1.5476e4ff40ffbp-17, -0x1.5218212381b6bp-17, -0x1.4fbce168f410dp-17, -0x1.4d6522d3b1cc2p-17, -0x1.4b10e26188943p-17, -0x1.48c01d0aae02p-17, -0x1.4672cfc13d543p-17, -0x1.4428f771d0eaap-17, -0x1.41e29103e4462p-17, -0x1.3f9f995914ca9p-17, -0x1.3d600d4e76009p-17, -0x1.3b23e9bbe81acp-17, -0x1.38eb2b747105cp-17, -0x1.36b5cf46d370ep-17, -0x1.3483d1fd0396ap-17, -0x1.3255305cddb04p-17, -0x1.3029e7281587ap-17, -0x1.2e01f31c32b8p-17, -0x1.2bdd50f326d94p-17, -0x1.29bbfd62eed0ap-17, -0x1.279df51e207b2p-17, -0x1.258334d3e4564p-17, -0x1.236bb92fe91b1p-17, -0x1.21577edaf4944p-17, -0x1.1f46827aa20b7p-17, -0x1.1d38c0b1a245fp-17, -0x1.1b2e361fe62d7p-17, -0x1.1926df62e3fcap-17, -0x1.1722b9154d50cp-17, -0x1.1521bfcfc7331p-17, -0x1.1323f0285bda7p-17, -0x1.112946b326e35p-17, -0x1.0f31c0024779fp-17, -0x1.0d3d58a5b41c1p-17, -0x1.0b4c0d2bcc4c3p-17, -0x1.095dda21151f7p-17, -0x1.0772bc108d8c4p-17, -0x1.058aaf83e16edp-17, -0x1.03a5b1030fe51p-17, -0x1.01c3bd152a42bp-17, -0x1.ffc9a07fbe611p-18, -0x1.fc11ce0fa7c34p-18, -0x1.f85ffbe1d4ce8p-18, -0x1.f4b422fb61b5cp-18, -0x1.f10e3c6129d2p-18, -0x1.ed6e411561204p-18, -0x1.e9d42a1a10f52p-18, -0x1.e63ff06fc020ep-18, -0x1.e2b18d16173ap-18, -0x1.df28f90c5bb03p-18, -0x1.dba62d51101b4p-18, -0x1.d82922e2b2c03p-18, -0x1.d4b1d2bf6d705p-18, -0x1.d14035e58c49bp-18, -0x1.cdd4455366f1dp-18, -0x1.ca6dfa07eb394p-18, -0x1.c70d4d02322c8p-18, -0x1.c3b237427d6efp-18, -0x1.c05cb1c90f37ap-18, -0x1.bd0cb597c350ap-18, -0x1.b9c23bb11206ap-18, -0x1.b67d3d18d6bfap-18, -0x1.b33db2d476075p-18, -0x1.b00395ea6cdbfp-18, -0x1.accedf633f0c4p-18, -0x1.a99f8848dc702p-18, -0x1.a67589a73558ap-18, -0x1.a350dc8c473e9p-18, -0x1.a0317a07e803bp-18, -0x1.9d175b2c9938ap-18, -0x1.9a02790eb6914p-18, -0x1.96f2ccc59139dp-18, -0x1.93e84f6a8051dp-18, -0x1.90e2fa1a19131p-18, -0x1.8de2c5f32bb38p-18, -0x1.8ae7ac17de6fdp-18, -0x1.87f1a5ad06156p-18, -0x1.8500abdab05bbp-18, -0x1.8214b7cc332b8p-18, -0x1.7f2dc2b00f82p-18, -0x1.7c4bc5b838589p-18, -0x1.796eba1a34a77p-18, -0x1.7696990ef62eap-18, -0x1.73c35bd31b769p-18, -0x1.70f4fba72523p-18, -0x1.6e2b71cefe0bcp-18, -0x1.6b66b792f92acp-18, -0x1.68a6c63eeb068p-18, -0x1.65eb9723380e8p-18, -0x1.63352393fe732p-18, -0x1.608364e9e71dbp-18, -0x1.5dd65481af835p-18, -0x1.5b2debbc82ff1p-18, -0x1.588a2400057c5p-18, -0x1.55eaf6b645a07p-18, -0x1.53505d4e0a0a5p-18, -0x1.50ba513a7ad9cp-18, -0x1.4e28cbf3bcc12p-18, -0x1.4b9bc6f67f2b8p-18, -0x1.49133bc4554cdp-18, -0x1.468f23e3b4fa9p-18, -0x1.440f78dff3807p-18, -0x1.419434495bd1bp-18, -0x1.3f1d4fb55776ep-18, -0x1.3caac4be53761p-18, -0x1.3a3c8d04057fap-18, -0x1.37d2a22b3651bp-18, -0x1.356cfdde0a10ep-18, -0x1.330b99cbc9ceap-18, -0x1.30ae6fa94d50cp-18, -0x1.2e5579309b606p-18, -0x1.2c00b02126074p-18, }}, 
      std::vector<double>(1250, 0.0), 
      {{0x1.82a0b06f506dfp-8, 0x1.8345e257e301fp-7, 0x1.233b0d7490898p-6, 0x1.85ae268cac819p-6, 0x1.e92a099a20137p-6, 0x1.26e5e0ad756c8p-5, 0x1.59cffa28c0ae8p-5, 0x1.8d520d59c3a1ap-5, 0x1.c1641b08250c9p-5, 0x1.f5f8657e1cabep-5, 0x1.157e3bcf5e9fcp-4, 0x1.302d1351c755ep-4, 0x1.4afc4231314b7p-4, 0x1.65de5e08515aap-4, 0x1.80c56b36c59b3p-4, 0x1.9ba33227fb533p-4, 0x1.b66987fdaf161p-4, 0x1.d10a8b43250d3p-4, 0x1.eb78d592d1aa2p-4, 0x1.02d3d19d9f7a1p-3, 0x1.0fc578fe16cb4p-3, 0x1.1c8bcbf8e24e3p-3, 0x1.2921a9db6061fp-3, 0x1.35826b59f524cp-3, 0x1.41a9e53ed7283p-3, 0x1.4d9469051aeedp-3, 0x1.593ec3ba2382p-3, 0x1.64a63b74efb99p-3, 0x1.6fc88ba918843p-3, 0x1.7aa3e09228cd3p-3, 0x1.8536d1ec0c221p-3, 0x1.8f805d25f7b8ep-3, 0x1.997fdf36d00d8p-3, 0x1.a3350e34610dp-3, 0x1.ac9ff2c9a8146p-3, 0x1.b5c0e1a427e99p-3, 0x1.be9874ec39b23p-3, 0x1.c72785d9009dp-3, 0x1.cf6f266da44a4p-3, 0x1.d7709b6ad0b33p-3, 0x1.df2d567d3ccf6p-3, 0x1.e6a6f0afe5edp-3, 0x1.eddf25270cc42p-3, 0x1.f4d7cc275247bp-3, 0x1.fb92d66b2d50cp-3, 0x1.01092463ce7abp-2, 0x1.042c1c101eaedp-2, 0x1.073362d4e6993p-2, 0x1.0a200dbcdd108p-2, 0x1.0cf334b047c9cp-2, 0x1.0fadf10659f44p-2, 0x1.12515c394601fp-2, 0x1.14de8ebb5cd6cp-2, 0x1.17569eeb8290fp-2, 0x1.19baa0272c701p-2, 0x1.1c0ba1f806459p-2, 0x1.1e4aaf5b6bebp-2, 0x1.2078ce21ccccfp-2, 0x1.2296fe642df23p-2, 0x1.24a63a0df3e78p-2, 0x1.26a774793a1efp-2, 0x1.289b9a1c0930ep-2, 0x1.2a839044d1376p-2, 0x1.2c6034e49ff66p-2, 0x1.2e325e65a636ep-2, 0x1.2ffadb8cb387p-2, 0x1.31ba7364666eap-2, 0x1.3371e530e91c6p-2, 0x1.3521e86b2b9e5p-2, 0x1.36cb2cc29f34ep-2, 0x1.386e5a2491207p-2, 0x1.3a0c10c85867fp-2, 0x1.3ba4e93f9fa27p-2, 0x1.3d39748a24f5bp-2, 0x1.3eca3c2c5e45bp-2, 0x1.4057c248866fep-2, 0x1.41e281b99fe6ep-2, 0x1.436aee300f721p-2, 0x1.44f1744f7a2e4p-2, 0x1.467679cda4d83p-2, 0x1.47fa5d92157b2p-2, 0x1.497d77d64bfa5p-2, 0x1.4b001a46681d1p-2, 0x1.4c8290221e54ap-2, 0x1.4e051e5de3ec3p-2, 0x1.4f8803c4417c8p-2, 0x1.510b79173bcd6p-2, 0x1.528fb131cf2ffp-2, 0x1.5414d92976b8fp-2, 0x1.559b186fbcb76p-2, 0x1.572290f3d548cp-2, 0x1.58ab5f4448521p-2, 0x1.5a359ab0a91a8p-2, 0x1.5bc1556b66f8ep-2, 0x1.5d4e9cabb3fd7p-2, 0x1.5edd78cf8d79cp-2, 0x1.606ded7de979ep-2, 0x1.61fff9c90c439p-2, 0x1.6393985109dp-2, 0x1.6528bf667a4a4p-2, 0x1.66bf612d60407p-2, 0x1.68576bc0440bfp-2, 0x1.69f0c95384719p-2, 0x1.6b8b6058deab9p-2, 0x1.6d2713a327456p-2, 0x1.6ec3c28a374d7p-2, 0x1.7061490f09775p-2, 0x1.71ff7ffffd10dp-2, 0x1.739e3d1d44815p-2, 0x1.753d533d6dbbcp-2, 0x1.76dc92720899p-2, 0x1.787bc82c5bb59p-2, 0x1.7a1abf6222fc8p-2, 0x1.7bb940b251b67p-2, 0x1.7d571289c849p-2, 0x1.7ef3f947fcc3ap-2, 0x1.808fb76385145p-2, 0x1.822a0d8e7d9c2p-2, 0x1.83c2badabc4f4p-2, 0x1.85597cddd0cfdp-2, 0x1.86ee0fd4b6b1p-2, 0x1.88802ec74009cp-2, 0x1.8a0f93ab233a9p-2, 0x1.8b9bf786a5bf7p-2, 0x1.8d251292d74afp-2, 0x1.8eaa9c5d57e53p-2, 0x1.902c4be99b6bp-2, 0x1.91a9d7d1a0c16p-2, 0x1.9322f66618565p-2, 0x1.94975dcdec4dap-2, 0x1.9606c42523c03p-2, 0x1.9770df9b1b56fp-2, 0x1.98d5669008b1dp-2, 0x1.9a340fb1c3554p-2, 0x1.9b8c9217cdd66p-2, 0x1.9cdea55e93d63p-2, 0x1.9e2a01c1e2846p-2, 0x1.9f6e6036884efp-2, 0x1.a0ab7a8320251p-2, 0x1.a1e10b5806faep-2, 0x1.a30ece666d7c1p-2, 0x1.a43480768b338p-2, 0x1.a551df7cf014dp-2, 0x1.a666aaaeecec9p-2, 0x1.a772a29615cc3p-2, 0x1.a8758922de01p-2, 0x1.a96f21be45abp-2, 0x1.aa5f315aa311bp-2, 0x1.ab457e837e09ep-2, 0x1.ac21d16c83238p-2, 0x1.acf3f3ff8f819p-2, 0x1.adbbb1e9d2b7fp-2, 0x1.ae78d8a80cd7cp-2, 0x1.af2b3791e6e79p-2, 0x1.afd29fe469bd2p-2, 0x1.b06ee4cb956b3p-2, 0x1.b0ffdb6b1c57dp-2, 0x1.b1855ae642dc6p-2, 0x1.b1ff3c66e9977p-2, 0x1.b26d5b23c4328p-2, 0x1.b2cf9465c1025p-2, 0x1.b325c78ca3b4p-2, 0x1.b36fd612dbd3p-2, 0x1.b3ada39094141p-2, 0x1.b3df15be06446p-2, 0x1.b4041475128c4p-2, 0x1.b41c89b22421ap-2, 0x1.b4286194628a3p-2, 0x1.b4278a5d37c84p-2, 0x1.b419f46f335bfp-2, 0x1.b3ff924c46251p-2, 0x1.b3d858936689p-2, 0x1.b3a43dfd9b1a8p-2, 0x1.b3633b5a75009p-2, 0x1.b3154b8bfcbeap-2, 0x1.b2ba6b821787bp-2, 0x1.b2529a356c24ap-2, 0x1.b1ddd8a1cbd48p-2, 0x1.b15c29c020e8cp-2, 0x1.b0cd927ff04ecp-2, 0x1.b03219c06af3ap-2, 0x1.af89c84918addp-2, 0x1.aed4a8c224985p-2, 0x1.ae12c7ac483b3p-2, 0x1.ad44335863249p-2, 0x1.ac68fbdebd2e3p-2, 0x1.ab813315fe704p-2, 0x1.aa8cec89dc6f7p-2, 0x1.a98c3d7185528p-2, 0x1.a87f3ca5cd854p-2, 0x1.a766029721fbep-2, 0x1.a640a9434691p-2, 0x1.a50f4c2ae3919p-2, 0x1.a3d20846e7bfp-2, 0x1.a288fbfdc1da7p-2, 0x1.a13447187b678p-2, 0x1.9fd40ab7acba3p-2, 0x1.9e6869485e8cbp-2, 0x1.9cf18678cfdfcp-2, 0x1.9b6f872d28f1dp-2, 0x1.99e2917423a7ap-2, 0x1.984acc7ba2ce7p-2, 0x1.96a86085480bfp-2, 0x1.94fb76dafd7dbp-2, 0x1.934439c387b45p-2, 0x1.9182d4771347fp-2, 0x1.8fb77313cac8cp-2, 0x1.8de24292757a7p-2, 0x1.8c0370bb202ep-2, 0x1.8a1b2c19d5f06p-2, 0x1.8829a3f3696f6p-2, 0x1.862f083a5229cp-2, 0x1.842b89839e4a4p-2, 0x1.821f58fbff572p-2, 0x1.800aa85cf063ep-2, 0x1.7deda9e1f8d9p-2, 0x1.7bc8903e1119ap-2, 0x1.799b8e91226d4p-2, 0x1.7766d85db1934p-2, 0x1.752aa17ea65c9p-2, 0x1.72e71e1d3d7f1p-2, 0x1.709c82a722de1p-2, 0x1.6e4b03c4b287bp-2, 0x1.6bf2d64f65acap-2, 0x1.69942f486b935p-2, 0x1.672f43cf6f66ep-2, 0x1.64c449198ae2ap-2, 0x1.625374686b912p-2, 0x1.5fdcfb01a2445p-2, 0x1.5d6112262a67bp-2, 0x1.5adfef0a1cde1p-2, 0x1.5859c6cc98f7p-2, 0x1.55cece6fdd54ep-2, 0x1.533f3ad198adep-2, 0x1.50ab40a366f8bp-2, 0x1.4e1314638b4a3p-2, 0x1.4b76ea55d7e1ap-2, 0x1.48d6f67ccd2e3p-2, 0x1.46336c92ee0c2p-2, 0x1.438c80044695ap-2, 0x1.40e263e82d723p-2, 0x1.3e354afb3272dp-2, 0x1.3b856799488dcp-2, 0x1.38d2ebb8218dp-2, 0x1.361e08e1be132p-2, 0x1.3366f02f34996p-2, 0x1.30add243a9b07p-2, 0x1.2df2df477d786p-2, 0x1.2b3646e3abacp-2, 0x1.2878383d61552p-2, 0x1.25b8e1f1c03d3p-2, 0x1.22f87211d9588p-2, 0x1.2037161ed720ep-2, 0x1.1d74fb0657007p-2, 0x1.1ab24d1ef6308p-2, 0x1.17ef38250b755p-2, 0x1.152be73793ddep-2, 0x1.126884d54bef6p-2, 0x1.0fa53ad9f45b4p-2, 0x1.0ce2327bc8d83p-2, 0x1.0a1f94491f014p-2, 0x1.075d88263605ep-2, 0x1.049c354b28a89p-2, 0x1.01dbc2421322bp-2, 0x1.fe38a9caba31dp-3, 0x1.f8bc24bc572a8p-3, 0x1.f3423e45f9927p-3, 0x1.edcb3decd5e8cp-3, 0x1.e85769cc24f45p-3, 0x1.e2e706933f19ap-3, 0x1.dd7a57840193dp-3, 0x1.d8119e7174c4bp-3, 0x1.d2ad1bbebc688p-3, 0x1.cd4d0e5e47ffp-3, 0x1.c7f1b3d148b2ap-3, 0x1.c29b4827614ccp-3, 0x1.bd4a05fe9ba7cp-3, 0x1.b7fe268392e7ap-3, 0x1.b2b7e171dd079p-3, 0x1.ad776d14abd1ep-3, 0x1.a83cfe47a37fbp-3, 0x1.a308c877eb675p-3, 0x1.9ddafda56aa47p-3, 0x1.98b3ce643c2b9p-3, 0x1.939369de533dfp-3, 0x1.8e79fdd549354p-3, 0x1.8967b6a45d71fp-3, 0x1.845cbf429f832p-3, 0x1.7f5941453e3f1p-3, 0x1.7a5d64e202d78p-3, 0x1.756950f1f0dedp-3, 0x1.707d2af40ec43p-3, 0x1.6b99171048b26p-3, 0x1.66bd381a7942p-3, 0x1.61e9af9599c05p-3, 0x1.5d1e9db700893p-3, 0x1.585c2169cb5c2p-3, 0x1.53a258525ecd5p-3, 0x1.4ef15ed1fd76cp-3, 0x1.4a49500a7c305p-3, 0x1.45aa45e20d267p-3, 0x1.411459071c887p-3, 0x1.3c87a0f4487b4p-3, 0x1.380433f4639aap-3, 0x1.338a272694814p-3, 0x1.2f198e8279b61p-3, 0x1.2ab27cdc67fe4p-3, 0x1.265503e9b098ap-3, 0x1.22013444f66dbp-3, 0x1.1db71d728dcep-3, 0x1.1976cde4eb241p-3, 0x1.1540530116edap-3, 0x1.1113b9232a80ep-3, 0x1.0cf10ba2dae44p-3, 0x1.08d854d801e41p-3, 0x1.04c99e1f32978p-3, 0x1.00c4efde4de55p-3, 0x1.f994a31244f08p-4, 0x1.f1b3934c109acp-4, 0x1.e9e6bba4ff8e4p-4, 0x1.e22e258fadd15p-4, 0x1.da89d8bf90d1fp-4, 0x1.d2f9db324019ep-4, 0x1.cb7e3138aff03p-4, 0x1.c416dd807a0dcp-4, 0x1.bcc3e11d0beddp-4, 0x1.b5853b90ddeafp-4, 0x1.ae5aead69fcd8p-4, 0x1.a744eb6a57476p-4, 0x1.a04338527aeacp-4, 0x1.9955cb28fc97fp-4, 0x1.927c9c24479a3p-4, 0x1.8bb7a2203a32p-4, 0x1.8506d2a6fe936p-4, 0x1.7e6a21f9e8a48p-4, 0x1.77e1831a373bfp-4, 0x1.716ce7d1c205cp-4, 0x1.6b0c40bb9ef5fp-4, 0x1.64bf7d4cad2b6p-4, 0x1.5e868bdc0e944p-4, 0x1.586159ab8bc2fp-4, 0x1.524fd2efe4ef9p-4, 0x1.4c51e2d909d13p-4, 0x1.4667739a3ce27p-4, 0x1.40906e721eb8dp-4, 0x1.3accbbb2a4f39p-4, 0x1.351c42c8f126dp-4, 0x1.2f7eea451877bp-4, 0x1.29f497e1cbbbap-4, 0x1.247d308be6f65p-4, 0x1.1f189869ec426p-4, 0x1.19c6b2e35b8b5p-4, 0x1.148762a7f6ecdp-4, 0x1.0f5a89b6e6e12p-4, 0x1.0a400965cb15p-4, 0x1.0537c267a7857p-4, 0x1.004194d3b8fccp-4, 0x1.f6bac0585b2c5p-5, 0x1.ed1606c98d7b6p-5, 0x1.e394b9d2a8f6ap-5, 0x1.da36954839075p-5, 0x1.d0fb54084c61p-5, 0x1.c7e2b006bfe6p-5, 0x1.beec625968784p-5, 0x1.b6182343fb592p-5, 0x1.ad65aa43b4097p-5, 0x1.a4d4ae1ad375fp-5, 0x1.9c64e4dbd323bp-5, 0x1.941603f46e246p-5, 0x1.8be7c0386e93dp-5, 0x1.83d9cdec3e91dp-5, 0x1.7bebe0cf42b22p-5, 0x1.741dac25f89cfp-5, 0x1.6c6ee2c3f2255p-5, 0x1.64df3715726eep-5, 0x1.5d6e5b2901edcp-5, 0x1.561c00b8a1fe2p-5, 0x1.4ee7d932e4b12p-5, 0x1.47d195c3cb98ep-5, 0x1.40d8e75d61f96p-5, 0x1.39fd7ec032bbep-5, 0x1.333f0c837c963p-5, 0x1.2c9d411d3d084p-5, 0x1.2617ccea0259bp-5, 0x1.1fae603487688p-5, 0x1.1960ab3d2105ep-5, 0x1.132e5e40f4701p-5, 0x1.0d17298106646p-5, 0x1.071abd4908bf4p-5, 0x1.0138c9f60b9cep-5, 0x1.f6e1fff9ca95ap-6, 0x1.eb861fe108d21p-6, 0x1.e05d5510007fp-6, 0x1.d567014913873p-6, 0x1.caa286ae39dc1p-6, 0x1.c00f47cc2bd7p-6, 0x1.b5aca7a526912p-6, 0x1.ab7a09bb4fd39p-6, 0x1.a176d21adab2ep-6, 0x1.97a26563b321ap-6, 0x1.8dfc28d307bbbp-6, 0x1.8483824c46214p-6, 0x1.7b37d861f6f2ep-6, 0x1.7218925e3e52ap-6, 0x1.6925184af65ccp-6, 0x1.605cd2f99370fp-6, 0x1.57bf2c0ab4be8p-6, 0x1.4f4b8df5784c9p-6, 0x1.4701640e6d319p-6, 0x1.3ee01a8e47de7p-6, 0x1.36e71e985ed2dp-6, 0x1.2f15de40c6347p-6, 0x1.276bc89246cffp-6, 0x1.1fe84d93f2953p-6, 0x1.188ade4e925f4p-6, 0x1.1152ecd1c7bdcp-6, 0x1.0a3fec38e6425p-6, 0x1.035150afa5671p-6, 0x1.f90d1eed0fb99p-7, 0x1.ebbe3dce04393p-7, 0x1.deb4eceeffcd2p-7, 0x1.d1f01d7e2394ap-7, 0x1.c56ec2f1fbabcp-7, 0x1.b92fd31009f1dp-7, 0x1.ad3245f3144bcp-7, 0x1.a1751610d816ep-7, 0x1.95f7403f9362bp-7, 0x1.8ab7c3baef227p-7, 0x1.7fb5a228b81c7p-7, 0x1.74efdf9d2309ap-7, 0x1.6a65829ec785ep-7, 0x1.6015942a1c56ap-7, 0x1.55ff1fb4d1eadp-7, 0x1.4c213330ae302p-7, 0x1.427adf0e20126p-7, 0x1.390b363e94596p-7, 0x1.2fd14e3661f5dp-7, 0x1.26cc3eee8ced7p-7, 0x1.1dfb22e604241p-7, 0x1.155d1722ebcf5p-7, 0x1.0cf13b334a01cp-7, 0x1.04b6b12db432ap-7, 0x1.f9593b632e505p-8, 0x1.e9a44fce827c6p-8, 0x1.da4cf2ff8b17cp-8, 0x1.cb517d68e9d89p-8, 0x1.bcb04c8ca2caep-8, 0x1.ae67c2fa746a5p-8, 0x1.a076484d7bde5p-8, 0x1.92da4929b37edp-8, 0x1.8592373932043p-8, 0x1.789c89286f33dp-8, 0x1.6bf7baa2ec78dp-8, 0x1.5fa24c4eee845p-8, 0x1.539ac3c902dadp-8, 0x1.47dfab9f68abcp-8, 0x1.3c6f934cc53cp-8, 0x1.31490f32e4b34p-8, 0x1.266ab89508a1bp-8, 0x1.1bd32d91b4c32p-8, 0x1.1181111cafd5p-8, 0x1.07730af85829p-8, 0x1.fb4f8f5d9feecp-9, 0x1.e83bf1160402bp-9, 0x1.d5a8a722d74eap-9, 0x1.c39326f0f6f25p-9, 0x1.b1f8ef41db9c6p-9, 0x1.a0d7881bf0c5ep-9, 0x1.902c82b9feedbp-9, 0x1.7ff5797af5876p-9, 0x1.70300fd0a3e2p-9, 0x1.60d9f22e9a977p-9, 0x1.51f0d5f89fc58p-9, 0x1.43727970b7305p-9, 0x1.355ca3a498079p-9, 0x1.27ad245c2ab13p-9, 0x1.1a61d4059253dp-9, 0x1.0d7893a336a99p-9, 0x1.00ef4cb82e5ebp-9, 0x1.e987e2693b39dp-10, 0x1.d1e8f6c556ec7p-10, 0x1.bafddba48b416p-10, 0x1.a4c2a68b35305p-10, 0x1.8f337d393b79dp-10, 0x1.7a4c9581b1256p-10, 0x1.660a3522e1d4bp-10, 0x1.5268b19cadbe3p-10, 0x1.3f647006ec697p-10, 0x1.2cf9e4e95a9cp-10, 0x1.1b259410e81d3p-10, 0x1.09e41066b4b19p-10, 0x1.f263f78b53bc7p-11, 0x1.d2180da334e9ep-11, 0x1.b2dde1977b601p-11, 0x1.94af0ed43495bp-11, 0x1.77854d592f9efp-11, 0x1.5b5a7166116ep-11, 0x1.40286b262fa87p-11, 0x1.25e9465c544acp-11, 0x1.0c972a0e34f62p-11, 0x1.e858b06001848p-12, 0x1.b9465aa337691p-12, 0x1.8bec40924e465p-12, 0x1.603f83c1f10adp-12, 0x1.36357902f2cf4p-12, 0x1.0dc3a7c0625adp-12, 0x1.cdbf92b190222p-13, 0x1.82ff90e90b934p-13, 0x1.3b3380ca3cc0cp-13, 0x1.ec8ff1fb80b2cp-14, 0x1.6853ddd6ed57ap-14, 0x1.d31ad5c6f8df3p-15, 0x1.c05fdd23cac1bp-16, -0x1.0c1a3d67c619bp-20, -0x1.cdbbb9ba09282p-16, -0x1.bb8c41c434177p-15, -0x1.4357d9aa8346ep-14, -0x1.a445462f45b0dp-14, -0x1.00577537ea068p-13, -0x1.2c5a51ab45d46p-13, -0x1.563ad49d518b7p-13, -0x1.7e08491fbc8d9p-13, -0x1.a3d1aa5b189a2p-13, -0x1.c7a5a4c312abep-13, -0x1.e992973db2e26p-13, -0x1.04d34a28b702p-12, -0x1.13f7b1a788869p-12, -0x1.223d40ba961bdp-12, -0x1.2faa918a83cf8p-12, -0x1.3c461a5b4ebf9p-12, -0x1.48162e1ad21cfp-12, -0x1.5320fced88055p-12, -0x1.5d6c94bd40838p-12, -0x1.66fee1c4b7d27p-12, -0x1.6fddaf193f7b4p-12, -0x1.780ea73518e47p-12, -0x1.7f97547c221ddp-12, -0x1.867d21c7d5863p-12, -0x1.8cc55ae512fbp-12, -0x1.92752d1e861d9p-12, -0x1.9791a7baf784dp-12, -0x1.9c1fbc7eead02p-12, -0x1.a024402de31a4p-12, -0x1.a3a3eb074be2p-12, -0x1.a6a35943dce57p-12, -0x1.a9270b90c76fep-12, -0x1.ab33678a60997p-12, -0x1.acccb8345bc76p-12, -0x1.adf72e7176dbbp-12, -0x1.aeb6e1784c5cbp-12, -0x1.af0fcf4b0fdbp-12, -0x1.af05dd272f894p-12, -0x1.ae9cd7f980344p-12, -0x1.add874cd36decp-12, -0x1.acbc513d0f74fp-12, -0x1.ab4bf3de45633p-12, -0x1.a98accae79929p-12, -0x1.a77c357ef4db5p-12, -0x1.a523725d16495p-12, -0x1.a283b1fb25cf4p-12, -0x1.9fa00e178a716p-12, -0x1.9c7b8be1dc5a6p-12, -0x1.99191c5f08b25p-12, -0x1.957b9ccce317fp-12, -0x1.91a5d7013b21ep-12, -0x1.8d9a81cd5513p-12, -0x1.895c4159736ebp-12, -0x1.84eda785a1c6ep-12, -0x1.805134428db71p-12, -0x1.7b8955efbc915p-12, -0x1.769869b203765p-12, -0x1.7180bbce2dee4p-12, -0x1.6c4487feb7f38p-12, -0x1.66e5f9c9cdcb8p-12, -0x1.61672cd5936bap-12, -0x1.5bca2d3c52a5ep-12, -0x1.5610f7dd1ddcp-12, -0x1.503d7aaddf7d2p-12, -0x1.4a51950a10072p-12, -0x1.444f180176639p-12, -0x1.3e37c6a4e5824p-12, -0x1.380d5652be0d5p-12, -0x1.31d16effe5fdbp-12, -0x1.2b85ab84599fbp-12, -0x1.252b99e0a616cp-12, -0x1.1ec4bb8756f0dp-12, -0x1.185285a1ccbc3p-12, -0x1.11d66155875b4p-12, -0x1.0b51ac083f73cp-12, -0x1.04c5b7a2caebap-12, -0x1.fc6795a389fa3p-13, -0x1.ef3a428e7b82cp-13, -0x1.e205d7f2c8059p-13, -0x1.d4cca2c36ffp-13, -0x1.c790db7387c81p-13, -0x1.ba54a67013b51p-13, -0x1.ad1a149579875p-13, -0x1.9fe323a52d4c7p-13, -0x1.92b1beb7ac217p-13, -0x1.8587beac943c6p-13, -0x1.7866ea998381cp-13, -0x1.6b50f837804e5p-13, -0x1.5e478c4cb5e66p-13, -0x1.514c3b16459cbp-13, -0x1.446088adf3d35p-13, -0x1.3785e970cd968p-13, -0x1.2abdc261bb2ep-13, -0x1.1e09698a99485p-13, -0x1.116a265b944a4p-13, -0x1.04e1320a993cbp-13, -0x1.f0df6fdb41f35p-14, -0x1.d82dabaca33e1p-14, -0x1.bfaf38d6105a4p-14, -0x1.a7661ef976327p-14, -0x1.8f544cbbd3a9ep-14, -0x1.777b9869b052ep-14, -0x1.5fddc09e3e9c1p-14, -0x1.487c6ce2c0c4fp-14, -0x1.31592e4d84139p-14, -0x1.1a75801c32681p-14, -0x1.03d2c84c9d70bp-14, -0x1.dae4b062d1ed1p-15, -0x1.aeaada065ac3ap-15, -0x1.82fa60e20e213p-15, -0x1.57d5725b74b7fp-15, -0x1.2d3e16ec23d05p-15, -0x1.03363334c1e12p-15, -0x1.b37f12044d806p-16, -0x1.61b7709c7bd51p-16, -0x1.1118807a6d5dfp-16, -0x1.834a0075f6dd7p-17, -0x1.cd7dc267ed657p-18, -0x1.3250b32d39886p-19, 0x1.2cc81dd80d399p-19, 0x1.c1202e15bf7cbp-18, 0x1.7382caa86fa5cp-17, 0x1.0203aa6ff86f8p-16, 0x1.490da762f700ap-16, 0x1.8ede5a5a66084p-16, 0x1.d374f188e70e4p-16, 0x1.0b6864d086d35p-15, 0x1.2c78b61fefea7p-15, 0x1.4ceb473f5414ep-15, 0x1.6cc007b87f791p-15, 0x1.8bf6fb5e3d016p-15, 0x1.aa903999c958bp-15, 0x1.c88becbc8bbbep-15, 0x1.e5ea51558a47fp-15, 0x1.0155dac698e32p-14, 0x1.0f683c3f3b583p-14, 0x1.1d2c84cd48aaep-14, 0x1.2aa2f406e4a65p-14, 0x1.37cbd11308a68p-14, 0x1.44a76a6074ddbp-14, 0x1.5136155e80f6ap-14, 0x1.5d782e33b9f26p-14, 0x1.696e177aa2e01p-14, 0x1.75183a0046b7bp-14, 0x1.8077047f5c8a2p-14, 0x1.8b8aeb63271ebp-14, 0x1.96546888e907ap-14, 0x1.a0d3fb00f4601p-14, 0x1.ab0a26d6e7d42p-14, 0x1.b4f774d40d6fep-14, 0x1.be9c724a74a8ap-14, 0x1.c7f9b0db38f8dp-14, 0x1.d10fc643c2f8ep-14, 0x1.d9df4c2840d19p-14, 0x1.e268dfe0eba77p-14, 0x1.eaad224967a7fp-14, 0x1.f2acb7906c251p-14, 0x1.fa6847092c4p-14, 0x1.00f03d7e3bc2ap-13, 0x1.048b003f34eecp-13, 0x1.0804c3a17a07cp-13, 0x1.0b5de0b974c8p-13, 0x1.0e96b1c1ffa9p-13, 0x1.11af9208a625dp-13, 0x1.14a8ddd9e4fd8p-13, 0x1.1782f26f3fbb8p-13, 0x1.1a3e2ddc7efb2p-13, 0x1.1cdaeefec5bep-13, 0x1.1f59956ac3c78p-13, 0x1.21ba815bd95cep-13, 0x1.23fe13a541d5fp-13, 0x1.2624ada085051p-13, 0x1.282eb12004aa5p-13, 0x1.2a1c805f50a4dp-13, 0x1.2bee7df5347eap-13, 0x1.2da50cc5fb039p-13, 0x1.2f408ff5db471p-13, 0x1.30c16adba8513p-13, 0x1.322800f54073fp-13, 0x1.3374b5da769dbp-13, 0x1.34a7ed319f67ep-13, 0x1.35c20aa4280e4p-13, 0x1.36c371d4586fbp-13, 0x1.37ac8651315fdp-13, 0x1.387dab8d65676p-13, 0x1.393744d521fa5p-13, 0x1.39d9b544069d5p-13, 0x1.3a655fbc836e3p-13, 0x1.3adaa6df49b0bp-13, 0x1.3b39ed0130f01p-13, 0x1.3b83942503edep-13, 0x1.3bb7fdf1fd159p-13, 0x1.3bd78bacbfc02p-13, 0x1.3be29e2fd35dp-13, 0x1.3bd995e4d741ap-13, 0x1.3bbcd2bd4c2f2p-13, 0x1.3b8cb42cb3389p-13, 0x1.3b49992193a1ap-13, 0x1.3af3e0002647fp-13, 0x1.3a8be69be638p-13, 0x1.3a120a3288a5ep-13, 0x1.3986a767099dp-13, 0x1.38ea1a3c19429p-13, 0x1.383cbe0f38bc1p-13, 0x1.377eed953576fp-13, 0x1.36b102d47c4c1p-13, 0x1.35d35721c2b74p-13, 0x1.34e6431bc5defp-13, 0x1.33ea1ea84dddfp-13, 0x1.32df40ef09cffp-13, 0x1.31c600580c823p-13, 0x1.309eb287d4704p-13, 0x1.2f69ac5c03654p-13, 0x1.2e2741e90b1b3p-13, 0x1.2cd7c677a683bp-13, 0x1.2b7b8c81e0ac5p-13, 0x1.2a12e5b12d742p-13, 0x1.289e22dc58d33p-13, 0x1.271d9404f3866p-13, 0x1.2591885668dfcp-13, 0x1.23fa4e23a8b28p-13, 0x1.225832e5c7248p-13, 0x1.20ab833a3d05ep-13, 0x1.1ef48ae2619cp-13, 0x1.1d3394c191c0ap-13, 0x1.1b68eadc79f01p-13, 0x1.1994d65800dcfp-13, 0x1.17b79f78b8399p-13, 0x1.15d18da25a1dp-13, 0x1.13e2e756636d2p-13, 0x1.11ebf2346b3d9p-13, 0x1.0fecf2f9732b5p-13, 0x1.0de62d7fde5b4p-13, 0x1.0bd7e4bee15c8p-13, 0x1.09c25acafd8eap-13, 0x1.07a5d0d5a541bp-13, 0x1.0582872d26189p-13, 0x1.0358bd3d662fbp-13, 0x1.0128b1900e721p-13, 0x1.fde54398d7f3cp-14, 0x1.f96d95709b482p-14, 0x1.f4ead070dae53p-14, 0x1.f05d6aa28dd74p-14, 0x1.ebc5d84e60a3bp-14, 0x1.e7248bfedc868p-14, 0x1.e279f681a2b2ep-14, 0x1.ddc686e96f896p-14, 0x1.d90aaa900495bp-14, 0x1.d446cd173a607p-14, 0x1.cf7b586c461a8p-14, 0x1.caa8b4c840b8bp-14, 0x1.c5cf48b3f754fp-14, 0x1.c0ef7909841cp-14, 0x1.bc09a8f6bbcc3p-14, 0x1.b71e39ff38206p-14, 0x1.b22d8bffc51d4p-14, 0x1.ad37fd30e2615p-14, 0x1.a83dea28c0f35p-14, 0x1.a33faddec122ap-14, 0x1.9e3da1aebb14p-14, 0x1.99381d5b078dap-14, 0x1.942f770fab83bp-14, 0x1.8f240366147a9p-14, 0x1.8a161567b7624p-14, 0x1.8505fe9115396p-14, 0x1.7ff40ed5268d2p-14, 0x1.7ae094a0e933bp-14, 0x1.75cbdcdeeda9bp-14, 0x1.70b632f9c23a5p-14, 0x1.6b9fe0e03310cp-14, 0x1.66892f084e7f9p-14, 0x1.61726472d448bp-14, 0x1.5c5bc6af3cc29p-14, 0x1.574599df00adp-14, 0x1.523020b95cf61p-14, 0x1.4d1b9c8e142c2p-14, 0x1.48084d4a203b2p-14, 0x1.42f6717b179e9p-14, 0x1.3de64652a9a22p-14, 0x1.38d807a9df8c9p-14, 0x1.33cbf0058fda2p-14, 0x1.2ec238999975dp-14, 0x1.29bb194d591d5p-14, 0x1.24b6c8be98668p-14, 0x1.1fb57c458afbap-14, 0x1.1ab767f87cc2ep-14, 0x1.15bcbeaff82d2p-14, 0x1.10c5b20a28581p-14, 0x1.0bd2726eefb0fp-14, 0x1.06e32f130a7f7p-14, 0x1.01f815fcc3e1p-14, 0x1.fa22a80dbf2a1p-15, 0x1.f05e29c9583d4p-15, 0x1.e6a3064c74059p-15, 0x1.dcf19076a2fp-15, 0x1.d34a18ef60f94p-15, 0x1.c9acee2ce631ep-15, 0x1.c01a5c7c97074p-15, 0x1.b692ae09f0295p-15, 0x1.ad162ae5a0318p-15, 0x1.a3a5190d017c5p-15, 0x1.9a3fbc71cfd1bp-15, 0x1.90e657018a772p-15, 0x1.879928ac0d936p-15, 0x1.7e586f6c0d472p-15, 0x1.7524674d56131p-15, 0x1.6bfd4a743ec42p-15, 0x1.62e35124026ebp-15, 0x1.59d6b1c74d8ap-15, 0x1.50d7a0f736727p-15, 0x1.47e651811271cp-15, 0x1.3f02f46ed91p-15, 0x1.362db90da60c4p-15, 0x1.2d66ccf35bf4bp-15, 0x1.24ae5c0737624p-15, 0x1.1c04908861285p-15, 0x1.13699314174f5p-15, 0x1.0add8aac570b8p-15, 0x1.02609cbf4a56cp-15, 0x1.f3e5da5bb2158p-16, 0x1.e3293ca3a752ep-16, 0x1.d28ba20842c65p-16, 0x1.c20d4946905eap-16, 0x1.b1ae6e356135ep-16, 0x1.a16f49d1470f2p-16, 0x1.915012497388p-16, 0x1.8150fb0b39cfep-16, 0x1.717234cf157aep-16, 0x1.61b3eda5568a6p-16, 0x1.52165101295cfp-16, 0x1.429987c5db79ep-16, 0x1.333db852cb87ap-16, 0x1.2403068e59743p-16, 0x1.14e993f26a237p-16, 0x1.05f17f9825ad1p-16, 0x1.ee35cc83d3c1ep-17, 0x1.d0cbc4d01d9ep-17, 0x1.b3a518894a0b6p-17, 0x1.96c1f3bb53508p-17, 0x1.7a227e1d6bdeap-17, 0x1.5dc6db2da541dp-17, 0x1.41af2a444acfp-17, 0x1.25db86a767449p-17, 0x1.0a4c07a094d21p-17, 0x1.de018125b22d2p-18, 0x1.a7f3821e0f5d8p-18, 0x1.726e29cce0c2bp-18, 0x1.3d718884839f8p-18, 0x1.08fda7697cf87p-18, 0x1.aa25113ba69f9p-19, 0x1.43604ec273ee5p-19, 0x1.bb59e0f51765ep-20, 0x1.e42b49553a9efp-21, 0x1.579c36f19ed68p-23, -0x1.3419e6d82c19p-21, -0x1.5cec5db730b3dp-20, -0x1.0ed5b1b84053ep-19, -0x1.6e2563b8461d8p-19, -0x1.cc65b1bd70473p-19, -0x1.14cb89ec4ef77p-18, -0x1.42dd067dd00d3p-18, -0x1.7067955d38fecp-18, -0x1.9d6b8286fce93p-18, -0x1.c9e91f0683146p-18, -0x1.f5e0c0d573027p-18, -0x1.10a9615ef7ab1p-17, -0x1.261fc21c6b7e2p-17, -0x1.3b53b4a789b7p-17, -0x1.50456d3dc5566p-17, -0x1.64f522493dcf4p-17, -0x1.79630c4e66e46p-17, -0x1.8d8f65db70488p-17, -0x1.a17a6b7f319eap-17, -0x1.b5245bb8de56ep-17, -0x1.c88d76e706d8ap-17, -0x1.dbb5ff3cfbefep-17, -0x1.ee9e38b7ac346p-17, -0x1.00a334852a714p-16, -0x1.09d76bca78abdp-16, -0x1.12ebe6ab99669p-16, -0x1.1be0ca71446cbp-16, -0x1.24b63d271637p-16, -0x1.2d6c659523911p-16, -0x1.36036b3a776ecp-16, -0x1.3e7b7646d6202p-16, -0x1.46d4af94f8dbbp-16, -0x1.4f0f40a4e057ap-16, -0x1.572b5395d0327p-16, -0x1.5f29131f6e94dp-16, -0x1.6708aa8efcfc8p-16, -0x1.6eca45c06187bp-16, -0x1.766e1117e23c1p-16, -0x1.7df4397f1acep-16, -0x1.855cec5f85fd4p-16, -0x1.8ca8579b4b11ap-16, -0x1.93d6a989bee68p-16, -0x1.9ae810f3afa3dp-16, -0x1.a1dcbd0c351c5p-16, -0x1.a8b4dd6d4c82bp-16, -0x1.af70a2139e1b2p-16, -0x1.b6103b5905dfdp-16, -0x1.bc93d9f055987p-16, -0x1.c2fbaee23a0e8p-16, -0x1.c947eb874c14p-16, -0x1.cf78c18492ffep-16, -0x1.d58e62c70027bp-16, -0x1.db89017fdde76p-16, -0x1.e168d02009888p-16, -0x1.e72e0154de3a7p-16, -0x1.ecd8c8051482fp-16, -0x1.f269574b376ddp-16, -0x1.f7dfe2733e9ecp-16, -0x1.fd3c9cf604bfap-16, -0x1.013fdd3b5a167p-15, -0x1.03d4b75f91fcdp-15, -0x1.065cf6ddfda72p-15, -0x1.08d8b5bc87929p-15, -0x1.0b480e0fa62bfp-15, -0x1.0dab19f8848e2p-15, -0x1.1001f3a32c552p-15, -0x1.124cb545b6735p-15, -0x1.148b791dda189p-15, -0x1.16be59700281ap-15, -0x1.18e57085ec72ap-15, -0x1.1b00d8ad20621p-15, -0x1.1d10ac3556a98p-15, -0x1.1f15056f8568ep-15, -0x1.210dfeac8c697p-15, -0x1.22fbb23bd298p-15, -0x1.24de3a69ea576p-15, -0x1.26b5b17fb10adp-15, -0x1.288231c062926p-15, -0x1.2a43d5691f841p-15, -0x1.2bfab6afe6855p-15, -0x1.2da6efc1fc166p-15, -0x1.2f489ac30fe03p-15, -0x1.30dfd1cbd46afp-15, -0x1.326caee9bcd2ep-15, -0x1.33ef4c1d919cbp-15, -0x1.3567c35a4fc23p-15, -0x1.36d62e842cdafp-15, -0x1.383aa76fca776p-15, -0x1.399547e19eceep-15, -0x1.3ae6298ca8ec1p-15, -0x1.3c2d66117646fp-15, -0x1.3d6b16fdc00c7p-15, -0x1.3e9f55cbb8c6cp-15, -0x1.3fca3be0ac012p-15, -0x1.40ebe28c83c7ep-15, -0x1.42046308ece23p-15, -0x1.4313d678d1dfbp-15, -0x1.441a55e79493dp-15, -0x1.4517fa4870a39p-15, -0x1.460cdc75999fp-15, -0x1.46f9152f7d21fp-15, -0x1.47dcbd1cad927p-15, -0x1.48b7ecc916ecdp-15, -0x1.498abca5188a4p-15, -0x1.4a5545052d94p-15, -0x1.4b179e2139f38p-15, -0x1.4bd1e01444c8cp-15, -0x1.4c8422dbcb1e8p-15, -0x1.4d2e7e56fd5b9p-15, -0x1.4dd10a46baf03p-15, -0x1.4e6bde4d80ae9p-15, -0x1.4eff11eda612ap-15, -0x1.4f8abc89c10e8p-15, -0x1.500ef564aeb05p-15, -0x1.508bd3a04b457p-15, -0x1.51016e3d1c3ebp-15, -0x1.516fdc1ad1881p-15, -0x1.51d733f74e047p-15, -0x1.52378c6e37dcep-15, -0x1.5290fbf896dd8p-15, -0x1.52e398ed00c5fp-15, -0x1.532f797f34c47p-15, -0x1.5374b3bf66987p-15, -0x1.53b35d9a66907p-15, -0x1.53eb8cd90135fp-15, -0x1.541d572006de9p-15, -0x1.5448d1f001179p-15, -0x1.546e12a4ec07fp-15, -0x1.548d2e75f81cp-15, -0x1.54a63a75c181bp-15, -0x1.54b94b91ae06dp-15, -0x1.54c676918bd29p-15, -0x1.54cdd01800b95p-15, -0x1.54cf6ca247395p-15, -0x1.54cb608779f97p-15, -0x1.54c1bff905ffap-15, -0x1.54b29f02a31f9p-15, -0x1.549e118978ecdp-15, -0x1.54842b4cb3875p-15, -0x1.5464ffe5a51d3p-15, -0x1.5440a2c6bdd31p-15, -0x1.5417273c1acd7p-15, -0x1.53e8a06b6f213p-15, -0x1.53b5215436a0ep-15, -0x1.537cbccec5e8ep-15, -0x1.533f858d01c27p-15, -0x1.52fd8e1a631a6p-15, -0x1.52b6e8db6ed07p-15, -0x1.526ba80e23f71p-15, -0x1.521bddc9b591ap-15, -0x1.51c79bfebdbddp-15, -0x1.516ef47747119p-15, -0x1.5111f8d661f5fp-15, -0x1.50b0ba987fce4p-15, -0x1.504b4b1409eep-15, -0x1.4fe1bb77e8bc7p-15, -0x1.4f741cccf7295p-15, -0x1.4f027ff5f04d4p-15, -0x1.4e8cf5ae772cap-15, -0x1.4e138e8bf27ep-15, -0x1.4d965afdfe842p-15, -0x1.4d156b4d5f32ep-15, -0x1.4c90cf9cee55ap-15, -0x1.4c0897e9b6f11p-15, -0x1.4b7cd40a1c027p-15, -0x1.4aed93aefcb0dp-15, -0x1.4a5ae663caa3ap-15, -0x1.49c4db8dbecf2p-15, -0x1.492b826c4d776p-15, -0x1.488eea1a357c3p-15, -0x1.47ef218c4bf15p-15, -0x1.474c37923777ep-15, -0x1.46a63ad684c78p-15, -0x1.45fd39df05cc5p-15, -0x1.4551430c5a657p-15, -0x1.44a2649a8e8f9p-15, -0x1.43f0aca0fb0c9p-15, -0x1.433c2912f817bp-15, -0x1.4284e7bef7e48p-15, -0x1.41caf64fa50c8p-15, -0x1.410e624bd36dap-15, -0x1.404f3915dd508p-15, -0x1.3f8d87ed5fa4ap-15, -0x1.3ec95bedf561ap-15, -0x1.3e02c20fa3f9ep-15, -0x1.3d39c727ac51dp-15, -0x1.3c6e77e84d243p-15, -0x1.3ba0e0e0a294ep-15, -0x1.3ad10e7daaadep-15, -0x1.39ff0d09383cdp-15, -0x1.392ae8ab5e5a9p-15, -0x1.3854ad6a3c89fp-15, -0x1.377c67297348dp-15, -0x1.36a221ab03717p-15, -0x1.35c5e89017fdp-15, -0x1.34e7c7579becfp-15, -0x1.3407c95fd78afp-15, -0x1.3325f9e5dd0d4p-15, -0x1.3242640665725p-15, -0x1.315d12bd06612p-15, -0x1.307610e56cb1bp-15, -0x1.2f8d693b0030fp-15, -0x1.2ea3265900739p-15, -0x1.2db752bafc73bp-15, -0x1.2cc9f8bd7c9eep-15, -0x1.2bdb229cac908p-15, -0x1.2aeada76bb98p-15, -0x1.29f92a49fb614p-15, -0x1.29061bf6530ccp-15, -0x1.2811b93d890bdp-15, -0x1.271c0bc29adf5p-15, -0x1.26251d0a65b52p-15, -0x1.252cf67c7fa91p-15, -0x1.2433a162144bdp-15, -0x1.233926e7b171bp-15, -0x1.223d901ba825ap-15, -0x1.2140e5f000bd8p-15, -0x1.2043313a00b6dp-15, -0x1.1f447ab1cf337p-15, -0x1.1e44caf340899p-15, -0x1.1d442a7ed7268p-15, -0x1.1c42a1b81788dp-15, -0x1.1b4038e73c8f8p-15, -0x1.1a3cf8392a256p-15, -0x1.1938e7bf395f3p-15, -0x1.18340f6f95141p-15, -0x1.172e7725e38f3p-15, -0x1.162826a2e4ecbp-15, -0x1.1521258cd62dfp-15, -0x1.14197b704db88p-15, -0x1.13112fbee56c4p-15, -0x1.120849d15b64fp-15, -0x1.10fed0e69904ap-15, -0x1.0ff4cc23a2bd3p-15, -0x1.0eea42952e77cp-15, -0x1.0ddf3b2e87acfp-15, -0x1.0cd3bcca11d0fp-15, -0x1.0bc7ce2a810efp-15, -0x1.0abb75f948ec4p-15, -0x1.09aebac87fca5p-15, -0x1.08a1a311e19e4p-15, -0x1.0794353813d7p-15, -0x1.06867785ad7c8p-15, -0x1.0578702e5c76p-15, -0x1.046a254ef78dbp-15, -0x1.035b9ced527c2p-15, -0x1.024cdcf84d667p-15, -0x1.013deb49646d6p-15, -0x1.002ecda2d0dadp-15, -0x1.fe3f136274654p-16, -0x1.fc204a17b0d9bp-16, -0x1.fa014a67f7f7ep-16, -0x1.f7e21f2af0e3bp-16, -0x1.f5c2d30ef7e7dp-16, -0x1.f3a37097606c3p-16, -0x1.f184021f1036ep-16, -0x1.ef6491d707482p-16, -0x1.ed4529c782f72p-16, -0x1.eb25d3d1c04e4p-16, -0x1.e90699ad3c0a4p-16, -0x1.e6e784eb380b3p-16, -0x1.e4c89ef5faef9p-16, -0x1.e2a9f10fdb152p-16, -0x1.e08b84567e24ep-16, -0x1.de6d61c06ed17p-16, -0x1.dc4f921eece46p-16, -0x1.da321e1e56725p-16, -0x1.d8150e4667fcbp-16, -0x1.d5f86af995fdbp-16, -0x1.d3dc3c775f61dp-16, -0x1.d1c08adb78f62p-16, -0x1.cfa55e1d69f79p-16, -0x1.cd8abe12e5c19p-16, -0x1.cb70b26ed1c36p-16, -0x1.c95742c13fbcep-16, -0x1.c73e7679b116p-16, -0x1.c52654e579428p-16, -0x1.c30ee53070761p-16, -0x1.c0f82e6753ce8p-16, -0x1.bee2377492c11p-16, -0x1.bccd07242e9d7p-16, -0x1.bab8a421a048cp-16, -0x1.b8a514f95ecaap-16, -0x1.b69260193db2ap-16, -0x1.b4808bcfc47bp-16, -0x1.b26f9e4dfc6cp-16, -0x1.b05f9da6fbe05p-16, -0x1.ae508fcf37e4p-16, -0x1.ac427a9fd8a56p-16, -0x1.aa3563d3208fbp-16, -0x1.a829510806a16p-16, -0x1.a61e47c13021fp-16, -0x1.a4144d646e358p-16, -0x1.a20b673d2e99bp-16, -0x1.a0039a7af17e6p-16, -0x1.9dfcec3259e61p-16, -0x1.9bf7615d4d5aap-16, -0x1.99f2fedc05befp-16, -0x1.97efc97375234p-16, -0x1.95edc5d0ca7dep-16, -0x1.93ecf885d52b2p-16, -0x1.91ed660cc1da5p-16, -0x1.8fef12c6864f6p-16, -0x1.8df202fb2b9bp-16, -0x1.8bf63adb1b02dp-16, -0x1.89fbbe7ee008dp-16, -0x1.880291e6d6feep-16, -0x1.860ab8fd0fcfcp-16, -0x1.84143793a1411p-16, -0x1.821f116671131p-16, -0x1.802b4a1b21fdp-16, -0x1.7e38e540626a4p-16, -0x1.7c47e65072d56p-16, -0x1.7a5850adbe9b4p-16, -0x1.786a27a87252ap-16, -0x1.767d6e783e483p-16, -0x1.749228431a097p-16, -0x1.72a85818b39edp-16, -0x1.70c000f493e74p-16, -0x1.6ed925bf65bc4p-16, -0x1.6cf3c94c78f53p-16, -0x1.6b0fee5d471efp-16, -0x1.692d979ee986dp-16, -0x1.674cc7ac2fe4fp-16, -0x1.656d810caef81p-16, -0x1.638fc6367fffap-16, -0x1.61b3998c1ffa5p-16, -0x1.5fd8fd5fd6d36p-16, -0x1.5dfff3f048485p-16, -0x1.5c287f6c32466p-16, -0x1.5a52a1f02de5dp-16, -0x1.587e5d87e6b39p-16, -0x1.56abb42f21b42p-16, -0x1.54daa7cfe05dfp-16, -0x1.530b3a44bc711p-16, -0x1.513d6d580abfdp-16, -0x1.4f7142c3b8985p-16, -0x1.4da6bc3334514p-16, -0x1.4bdddb410e907p-16, -0x1.4a16a17a502cep-16, -0x1.4851105b411f1p-16, -0x1.468d29534e80ep-16, -0x1.44caedc154d54p-16, -0x1.430a5ef7f38edp-16, -0x1.414b7e39da395p-16, -0x1.3f8e4cbcd36b6p-16, -0x1.3dd2cba8dc073p-16, -0x1.3c18fc17a691ap-16, -0x1.3a60df16f1ff2p-16, -0x1.38aa75a5ef2aap-16, -0x1.36f5c0b7f778ep-16, -0x1.3542c1335b519p-16, -0x1.339177f1adc92p-16, -0x1.31e1e5c03398p-16, -0x1.30340b6080311p-16, -0x1.2e87e987300e2p-16, -0x1.2cdd80de4d2d4p-16, -0x1.2b34d203145ebp-16, -0x1.298ddd8870187p-16, -0x1.27e8a3f534a96p-16, -0x1.264525c5b195ap-16, -0x1.24a3636b15f16p-16, -0x1.23035d4bb13b3p-16, -0x1.216513c3a780bp-16, -0x1.1fc8872450ae9p-16, -0x1.1e2db7b537a5ap-16, -0x1.1c94a5b356f49p-16, -0x1.1afd51524552bp-16, -0x1.1967babb7c6fap-16, -0x1.17d3e20f46058p-16, -0x1.1641c76411ca3p-16, -0x1.14b16ac78517fp-16, -0x1.1322cc3da7139p-16, -0x1.1195ebc1c7425p-16, -0x1.100ac946affa9p-16, -0x1.0e8164b5e3d57p-16, -0x1.0cf9bdf13cbc3p-16, -0x1.0b73d4d149f8fp-16, -0x1.09efa92740b11p-16, -0x1.086d3abbab628p-16, -0x1.06ec894f7d26bp-16, -0x1.056d949bbed46p-16, }}, 
      {{0x1.ffe9744255202p-1, 0x1.ffa6e7ec84e04p-1, 0x1.ff3b11a799877p-1, 0x1.fea9804eb74e6p-1, 0x1.fdf614a080032p-1, 0x1.fd24abc07fc63p-1, 0x1.fc38eaec4ba2ep-1, 0x1.fb3621a1c706ep-1, 0x1.fa1f3acff125cp-1, 0x1.f8f6b7fd338b1p-1, 0x1.f7beb2e6df518p-1, 0x1.f678e33641668p-1, 0x1.f526a6a867d7bp-1, 0x1.f3c90a89ef3e9p-1, 0x1.f260d5c31fc31p-1, 0x1.f0ee92ef5b8ccp-1, 0x1.ef729a2678be3p-1, 0x1.eded1a3d158p-1, 0x1.ec5e215683bc2p-1, 0x1.eac5a4b24e625p-1, 0x1.e92387aa716c8p-1, 0x1.e777a1df77196p-1, 0x1.e5c1c4958eee8p-1, 0x1.e401bf4a013aap-1, 0x1.e237638b7549p-1, 0x1.e06288219e4d3p-1, 0x1.de830b9252bbep-1, 0x1.dc98d612d544bp-1, 0x1.daa3daf478eb1p-1, 0x1.d8a4199baf59ep-1, 0x1.d6999e104a683p-1, 0x1.d484813510a85p-1, 0x1.d264e8b414807p-1, 0x1.d03b06ac4e093p-1, 0x1.ce07192c04485p-1, 0x1.cbc9698286872p-1, 0x1.c9824b72b02aep-1, 0x1.c7321c4ea21a3p-1, 0x1.c4d942041662cp-1, 0x1.c2782a1fbf643p-1, 0x1.c00f48cd2c5f7p-1, 0x1.bd9f17d7d9c08p-1, 0x1.bb2815b13f42ep-1, 0x1.b8aac47ef9bdap-1, 0x1.b627a93383515p-1, 0x1.b39f4ab3575f2p-1, 0x1.b1123107ded59p-1, 0x1.ae80e4a10ad6bp-1, 0x1.abebeda624bd3p-1, 0x1.a953d35604c2bp-1, 0x1.a6b91b769d76cp-1, 0x1.a41c49d38d863p-1, 0x1.a17ddfcb414a8p-1, 0x1.9ede5bea01d8dp-1, 0x1.9c3e399240fadp-1, 0x1.999df0b14e864p-1, 0x1.96fdf57fa905fp-1, 0x1.945eb84c05e4p-1, 0x1.91c0a550344b2p-1, 0x1.8f24248f010d2p-1, 0x1.8c8999ba3d72dp-1, 0x1.89f164201f17fp-1, 0x1.875bde9f315e4p-1, 0x1.84c95fa01ce56p-1, 0x1.823a391494aa3p-1, 0x1.7faeb87acd54dp-1, 0x1.7d2726e4e0298p-1, 0x1.7aa3c90399679p-1, 0x1.7824df3431e3p-1, 0x1.75aaa59085034p-1, 0x1.7335540161151p-1, 0x1.70c51e52963a5p-1, 0x1.6e5a3448788dp-1, 0x1.6bf4c1b68dfb3p-1, 0x1.6994ee972d5f7p-1, 0x1.673adf23dc081p-1, 0x1.64e6b3ee38dd1p-1, 0x1.629889f95426dp-1, 0x1.60507ad3501f8p-1, 0x1.5e0e9caf321cep-1, 0x1.5bd3027eca60dp-1, 0x1.599dbc0ca32b7p-1, 0x1.576ed615e81b4p-1, 0x1.55465a64355c4p-1, 0x1.53244fe74ab1cp-1, 0x1.5108bace96b2cp-1, 0x1.4ef39ca2960bp-1, 0x1.4ce4f45e00993p-1, 0x1.4adcbe86c1fe7p-1, 0x1.48daf546bc152p-1, 0x1.46df90844d271p-1, 0x1.44ea85fa9d2f6p-1, 0x1.42fbc951ac6fep-1, 0x1.41134c3625c6p-1, 0x1.3f30fe70f0c9ap-1, 0x1.3d54cdfe8344ap-1, 0x1.3b7ea725f3564p-1, 0x1.39ae748fc337ap-1, 0x1.37e41f5c6c91ap-1, 0x1.361f8f3aa309cp-1, 0x1.3460aa7d4ee6p-1, 0x1.32a7563140e1fp-1, 0x1.30f3763295f85p-1, 0x1.2f44ed41cf4f1p-1, 0x1.2d9b9d1898c63p-1, 0x1.2bf7667e3b4d3p-1, 0x1.2a58295bba1eep-1, 0x1.28bdc4cf96b55p-1, 0x1.2728174137b8bp-1, 0x1.2596fe73f43b8p-1, 0x1.240a5799ba071p-1, 0x1.2281ff65527dap-1, 0x1.20fdd21c3f78ap-1, 0x1.1f7daba82db88p-1, 0x1.1e0167a7fc046p-1, 0x1.1c88e180548e5p-1, 0x1.1b13f46bd2042p-1, 0x1.19a27b8ab4e99p-1, 0x1.183451f22233fp-1, 0x1.16c952bae92b5p-1, 0x1.1561590fd3a5fp-1, 0x1.13fc403b7923ep-1, 0x1.1299e3b596fe2p-1, 0x1.113a1f2fed6fap-1, 0x1.0fdccea29bfaap-1, 0x1.0e81ce5801ff8p-1, 0x1.0d28faf81f1f9p-1, 0x1.0bd231937566ep-1, 0x1.0a7d4fad6b79ep-1, 0x1.092a33462fa8fp-1, 0x1.07d8bae41d3bp-1, 0x1.0688c59ca37fp-1, 0x1.053a331cace14p-1, 0x1.03ece3b08d7fcp-1, 0x1.02a0b84b7314p-1, 0x1.0155928e5b7a7p-1, 0x1.000b54ce927f6p-1, 0x1.fd83c43771db1p-2, 0x1.faf23c8aa7f6p-2, 0x1.f861dbbfd8b0cp-2, 0x1.f5d26c936cfffp-2, 0x1.f343bb5da12d5p-2, 0x1.f0b5961a1d381p-2, 0x1.ee27cc6ebcbd5p-2, 0x1.eb9a2fb17d9d9p-2, 0x1.e90c92edabcc9p-2, 0x1.e67ecae83d19ep-2, 0x1.e3f0ae236d38cp-2, 0x1.e16214e19edcdp-2, 0x1.ded2d92782cd5p-2, 0x1.dc42d6bd8c68cp-2, 0x1.d9b1eb30bdb6fp-2, 0x1.d71ff5d2c783bp-2, 0x1.d48cd7b98dc96p-2, 0x1.d1f873be0ce55p-2, 0x1.cf62ae7aacc89p-2, 0x1.cccb6e490376bp-2, 0x1.ca329b3f0c197p-2, 0x1.c7981f2be12c7p-2, 0x1.c4fbe593eec38p-2, 0x1.c25ddbacb66bdp-2, 0x1.bfbdf0581c4e8p-2, 0x1.bd1c141f45ef1p-2, 0x1.ba78392d17468p-2, 0x1.b7d253484b981p-2, 0x1.b52a57cd31092p-2, 0x1.b2803da7134c4p-2, 0x1.afd3fd494ec6fp-2, 0x1.ad2590a81eaadp-2, 0x1.aa74f3311f693p-2, 0x1.a7c221c392b2fp-2, 0x1.a50d1aa868895p-2, 0x1.a255dd8a0c0dep-2, 0x1.9f9c6b6c03e72p-2, 0x1.9ce0c6a260f1bp-2, 0x1.9a22f2c902497p-2, 0x1.9762f4bab8c5ep-2, 0x1.94a0d288490a4p-2, 0x1.91dc936f4bb83p-2, 0x1.8f163fd0fd5c6p-2, 0x1.8c4de128f4685p-2, 0x1.89838203c8a92p-2, 0x1.86b72df5acaadp-2, 0x1.83e8f19101645p-2, 0x1.8118da5cde73fp-2, 0x1.7e46f6cb9cffbp-2, 0x1.7b73563160623p-2, 0x1.789e08baa2cd3p-2, 0x1.75c71f62ca475p-2, 0x1.72eeabeac4b34p-2, 0x1.7014c0cfb3abdp-2, 0x1.6d397141a12c5p-2, 0x1.6a5cd11a4d4a5p-2, 0x1.677ef4d4084p-2, 0x1.649ff180a669p-2, 0x1.61bfdcc08aaep-2, 0x1.5edeccb9cca4ap-2, 0x1.5bfcd80f758fp-2, 0x1.591a15d8e16adp-2, 0x1.56369d993ad4dp-2, 0x1.535287371696ep-2, 0x1.506deaf436cacp-2, 0x1.4d88e1656b74bp-2, 0x1.4aa3836a9b945p-2, 0x1.47bdea26f2b66p-2, 0x1.44d82ef935aadp-2, 0x1.41f26b743e5fep-2, 0x1.3f0cb957a2d6ap-2, 0x1.3c273288825aap-2, 0x1.3941f10a80779p-2, 0x1.365d0ef8e783bp-2, 0x1.3378a67ff805ep-2, 0x1.3094d1d666bb6p-2, 0x1.2db1ab3701508p-2, 0x1.2acf4cda837a9p-2, 0x1.27edd0f1995ebp-2, 0x1.250d519f0d82ep-2, 0x1.222de8f2239b4p-2, 0x1.1f4fb0e122669p-2, 0x1.1c72c3440833dp-2, 0x1.199739cf711a8p-2, 0x1.16bd2e0fa4579p-2, 0x1.13e4b963d43dfp-2, 0x1.110df4f9877ecp-2, 0x1.0e38f9c82fbe4p-2, 0x1.0b65e08cee56bp-2, 0x1.0894c1c68120bp-2, 0x1.05c5b5b15f9cep-2, 0x1.02f8d443fed11p-2, 0x1.002e352b42e35p-2, 0x1.facbdf8e3254ep-3, 0x1.f540364e7c74bp-3, 0x1.efb99c1053858p-3, 0x1.ea383da04bf04p-3, 0x1.e4bc47191b621p-3, 0x1.df45e3de65f28p-3, 0x1.d9d53e97d52d9p-3, 0x1.d46a812c7f28cp-3, 0x1.cf05d4be95b94p-3, 0x1.c9a761a762304p-3, 0x1.c44f4f738694ep-3, 0x1.befdc4df861dcp-3, 0x1.b9b2e7d494e9bp-3, 0x1.b46edd65a8d03p-3, 0x1.af31c9cccc2a1p-3, 0x1.a9fbd068b617bp-3, 0x1.a4cd13ba9bf39p-3, 0x1.9fa5b56443dc5p-3, 0x1.9a85d626506b6p-3, 0x1.956d95dece649p-3, 0x1.905d1387f1e47p-3, 0x1.8b546d370cbcap-3, 0x1.8653c01bc423dp-3, 0x1.815b287f6d1abp-3, 0x1.7c6ac1c4a662dp-3, 0x1.7782a6671aec3p-3, 0x1.72a2effb7bacep-3, 0x1.6dcbb72fa10ep-3, 0x1.68fd13cae03dfp-3, 0x1.64371cae802d7p-3, 0x1.5f79e7d66434bp-3, 0x1.5ac58a59d905ep-3, 0x1.561a186c85b0dp-3, 0x1.5177a55f843b2p-3, 0x1.4cde43a2a3907p-3, 0x1.484e04c5be8e3p-3, 0x1.43c6f97a3f0b1p-3, 0x1.3f493194bde51p-3, 0x1.3ad4bc0ebd731p-3, 0x1.3669a70881de6p-3, 0x1.3207ffcb06838p-3, 0x1.2dafd2ca0e971p-3, 0x1.29612ba64ae79p-3, 0x1.251c152f94bbp-3, 0x1.20e0996749385p-3, 0x1.1caec182ae7ep-3, 0x1.188695ed73fd1p-3, 0x1.14681e4c40e6ep-3, 0x1.1053617f55f5p-3, 0x1.0c4865a541aa2p-3, 0x1.0847301d9f206p-3, 0x1.044fc58be8328p-3, 0x1.006229da50706p-3, 0x1.f8fcc0795e0eep-4, 0x1.f148d666e9f7cp-4, 0x1.e9a8991d4f8fcp-4, 0x1.e21c0ae1d79f5p-4, 0x1.daa32ca52bbedp-4, 0x1.d33dfe097e98bp-4, 0x1.cbec7d68d052p-4, 0x1.c4aea7db32f29p-4, 0x1.bd84793d20651p-4, 0x1.b66dec35d239p-4, 0x1.af6afa3da5b5ap-4, 0x1.a87b9ba488b88p-4, 0x1.a19fc79858812p-4, 0x1.9ad7742b5e64ep-4, 0x1.9422965ababdfp-4, 0x1.8d812214d27e3p-4, 0x1.86f30a3fc2362p-4, 0x1.807840bfc930bp-4, 0x1.7a10b67db3dbdp-4, 0x1.73bc5b6d427e4p-4, 0x1.6d7b1e9385603p-4, 0x1.674cee0d3898fp-4, 0x1.6131b71514f4fp-4, 0x1.5b29660a183cdp-4, 0x1.5533e675c88f8p-4, 0x1.4f51231265167p-4, 0x1.498105d114165p-4, 0x1.43c377e00265ap-4, 0x1.3e1861b07395ap-4, 0x1.387faafcca5d1p-4, 0x1.32f93ace7da93p-4, 0x1.2d84f78404e35p-4, 0x1.2822c6d6af467p-4, 0x1.22d28de0704d2p-4, 0x1.1d9431219ae1fp-4, 0x1.1867948689e94p-4, 0x1.134c9b6d3ae68p-4, 0x1.0e4328aad5fa7p-4, 0x1.094b1e911f5d5p-4, 0x1.04645ef3e4195p-4, 0x1.ff1d965c7f12ap-5, 0x1.f594884fc85ffp-5, 0x1.ec2d54b47d774p-5, 0x1.e2e7bbab245c4p-5, 0x1.d9c37c8bf55e3p-5, 0x1.d0c055f0b7edp-5, 0x1.c7de05be80d14p-5, 0x1.bf1c492f39276p-5, 0x1.b67adcdb098fp-5, 0x1.adf97cc19df23p-5, 0x1.a597e4532835ap-5, 0x1.9d55ce795b84dp-5, 0x1.9532f5a029581p-5, 0x1.8d2f13be50087p-5, 0x1.8549e25dd22b8p-5, 0x1.7d831aa434efp-5, 0x1.75da755a9bf99p-5, 0x1.6e4faaf5b8427p-5, 0x1.66e2739d8f80ap-5, 0x1.5f9287351691ap-5, 0x1.585f9d61a41d1p-5, 0x1.51496d923b77p-5, 0x1.4a4faf06af65bp-5, 0x1.437218d6907a9p-5, 0x1.3cb061f8048c8p-5, 0x1.360a414666f53p-5, 0x1.2f7f6d88c4909p-5, 0x1.290f9d783703cp-5, 0x1.22ba87c60a2f4p-5, 0x1.1c7fe321c6893p-5, 0x1.165f663f09815p-5, 0x1.1058c7db4652dp-5, 0x1.0a6bbec34f97ep-5, 0x1.049801d8c241fp-5, 0x1.fdba902e9522ap-6, 0x1.f276913390a99p-6, 0x1.e763753e8535dp-6, 0x1.dc80ab1f814bap-6, 0x1.d1cda201fbdb9p-6, 0x1.c749c975e39cdp-6, 0x1.bcf491787dd9bp-6, 0x1.b2cd6a7cf7d4ep-6, 0x1.a8d3c574a68dp-6, 0x1.9f0713d71cfcap-6, 0x1.9566c7a9e13ddp-6, 0x1.8bf25387f7754p-6, 0x1.82a92aa9238e6p-6, 0x1.798ac0e8e81dep-6, 0x1.70968acd4adbfp-6, 0x1.67cbfd8d4e87fp-6, 0x1.5f2a8f1752c1ep-6, 0x1.56b1b616fe607p-6, 0x1.4e60e9fb31847p-6, 0x1.4637a2fb800bdp-6, 0x1.3e355a1d9c895p-6, 0x1.3659893a81cbp-6, 0x1.2ea3ab035499dp-6, 0x1.27133b0627375p-6, 0x1.1fa7b5b273ac3p-6, 0x1.1860985d7016cp-6, 0x1.113d61462e336p-6, 0x1.0a3d8f9981304p-6, 0x1.0360a375b6789p-6, 0x1.f94c3bdc401bep-7, 0x1.ec1b021ce681dp-7, 0x1.df2c9fbbde3bdp-7, 0x1.d2801cc4c7c81p-7, 0x1.c6148345f2146p-7, 0x1.b9e8df55c8fafp-7, 0x1.adfc3f17bca31p-7, 0x1.a24db2c0fbd8fp-7, 0x1.96dc4c9cb82cfp-7, 0x1.8ba7211044137p-7, 0x1.80ad469ec8df1p-7, 0x1.75edd5ecb38c7p-7, 0x1.6b67e9c2f1b34p-7, 0x1.611a9f11b29efp-7, 0x1.570514f335119p-7, 0x1.4d266cade51a6p-7, 0x1.437dc9b6989b3p-7, 0x1.3a0a51b26cf22p-7, 0x1.30cb2c78428b3p-7, 0x1.27bf841220611p-7, 0x1.1ee684be5413fp-7, 0x1.163f5cf0626efp-7, 0x1.0dc93d51aa3d6p-7, 0x1.058358c1cf406p-7, 0x1.fad9c8ae244a8p-8, 0x1.eb0a2ebc946p-8, 0x1.db9656b5a2368p-8, 0x1.cc7cb80c4007ep-8, 0x1.bdbbce9eaa389p-8, 0x1.af521ab50b709p-8, 0x1.a13e20ff97e81p-8, 0x1.937e6a94ad353p-8, 0x1.861184ee53e9ap-8, 0x1.78f601e782faep-8, 0x1.6c2a77b93e93cp-8, 0x1.5fad80f72c211p-8, 0x1.537dbc8c11d21p-8, 0x1.4799cdb5e6121p-8, 0x1.3c005c01cc269p-8, 0x1.30b0134794633p-8, 0x1.25a7a3a549e0dp-8, 0x1.1ae5c17a290e1p-8, 0x1.10692561a8d2ep-8, 0x1.06308c2e24914p-8, 0x1.f8756dc6cc1ep-9, 0x1.e50cd561b1ec6p-9, 0x1.d224e1d7800b3p-9, 0x1.bfbb2e121fcdcp-9, 0x1.adcd5d2e4899cp-9, 0x1.9c591a6ecdfe8p-9, 0x1.8b5c192f4699ap-9, 0x1.7ad414d6c7d02p-9, 0x1.6abed0c9bbd87p-9, 0x1.5b1a185c44816p-9, 0x1.4be3bec3859f9p-9, 0x1.3d199f0748fd6p-9, 0x1.2eb99bf31a0eap-9, 0x1.20c1a00727a91p-9, 0x1.132f9d6932aeap-9, 0x1.06018dd4c533p-9, 0x1.f26ae5177f848p-10, 0x1.d992a88d3e52p-10, 0x1.c17686486c1fep-10, 0x1.aa12ad3334c4p-10, 0x1.93635ac41b428p-10, 0x1.7d64dadc44e87p-10, 0x1.681387a72ddp-10, 0x1.536bc978d2344p-10, 0x1.3f6a16ac12501p-10, 0x1.2c0af3814e89ap-10, 0x1.194af1fbf566p-10, 0x1.0726b1c0d8c56p-10, 0x1.eb35bfe7c60bp-11, 0x1.c9486e2a93be8p-11, 0x1.a87efdbf754f5p-11, 0x1.88d3184aed8c1p-11, 0x1.6a3e815b593fcp-11, 0x1.4cbb1623a310fp-11, 0x1.3042cd3623494p-11, 0x1.14cfb63e9b0efp-11, 0x1.f4b7f3799a089p-12, 0x1.c1c3b17eb4b7dp-12, 0x1.90b7593ae8df1p-12, 0x1.6187cd645870bp-12, 0x1.342a202c80fddp-12, 0x1.089392b634eb7p-12, 0x1.bd732916ea427p-13, 0x1.6d23862606397p-13, 0x1.2023d20988c09p-13, 0x1.acbff79260024p-14, 0x1.1f8895cd6ba93p-14, 0x1.30f579581804fp-15, 0x1.77056d03b929p-18, -0x1.8ef01a321b5bcp-16, -0x1.b25e3b5994a93p-15, -0x1.490d0a7247866p-14, -0x1.b379446f31251p-14, -0x1.0c4b5081ad7bcp-13, -0x1.3c43aab738442p-13, -0x1.69b67c6daa3f9p-13, -0x1.94b44338fa669p-13, -0x1.bd4d2fb3a4276p-13, -0x1.e391267d77566p-13, -0x1.03c7e0a14d65dp-12, -0x1.14ac27dd0d493p-12, -0x1.247cec5377a6ep-12, -0x1.33418d692d5fcp-12, -0x1.41014706c1721p-12, -0x1.4dc33212e6065p-12, -0x1.598e44f053581p-12, -0x1.646953f8f491p-12, -0x1.6e5b11f774f46p-12, -0x1.776a10a177baap-12, -0x1.7f9cc11026562p-12, -0x1.86f97437facf5p-12, -0x1.8d865b5dd6606p-12, -0x1.9349888eb4669p-12, -0x1.9848ef11eff73p-12, -0x1.9c8a63dfe1649p-12, -0x1.a0139e11fc225p-12, -0x1.a2ea37549ac17p-12, -0x1.a513ac59902e2p-12, -0x1.a6955d4561a2dp-12, -0x1.a7748e1efb9d6p-12, -0x1.a7b6673c7c217p-12, -0x1.a75ff5b07dc8cp-12, -0x1.a6762bb462f61p-12, -0x1.a4fde113cf392p-12, -0x1.a2fbd39435bf7p-12, -0x1.a074a75f1b11ap-12, -0x1.9d6ce7678ab03p-12, -0x1.99e905cfae763p-12, -0x1.95ed5c5093fb9p-12, -0x1.917e2c9a49ffap-12, -0x1.8c9fa0b9687c6p-12, -0x1.8755cb77cf4b9p-12, -0x1.81a4a8bcff775p-12, -0x1.7b901deec9359p-12, -0x1.751bfa4e5b7f6p-12, -0x1.6e4bf75648a77p-12, -0x1.6723b9178ebcfp-12, -0x1.5fa6ce9390c12p-12, -0x1.57d8b217374cfp-12, -0x1.4fbcc9945c5cbp-12, -0x1.475666f96a649p-12, -0x1.3ea8c887d8e8fp-12, -0x1.35b7192acd1eep-12, -0x1.2c8470cc2f215p-12, -0x1.2313d4a83108ap-12, -0x1.196837a0afbap-12, -0x1.0f847a8da243p-12, -0x1.056b6c908e7a4p-12, -0x1.f63f96c1463c3p-13, -0x1.e148873a0109ap-13, -0x1.cbf6e2300d703p-13, -0x1.b64fbe4979b12p-13, -0x1.a05811c5f5196p-13, -0x1.8a14b313c6affp-13, -0x1.738a596291d73p-13, -0x1.5cbd9d3545764p-13, -0x1.45b2f8f1e5b14p-13, -0x1.2e6ec96e825bp-13, -0x1.16f54e7d0991p-13, -0x1.fe9556e7b4278p-14, -0x1.cee5cf7174387p-14, -0x1.9ee3de86b9d4dp-14, -0x1.6e972646f9427p-14, -0x1.3e07140287295p-14, -0x1.0d3ae1410d0ecp-14, -0x1.b873296df88d9p-15, -0x1.5614068820809p-15, -0x1.e6cb43a05387bp-16, -0x1.20e9c6ce54083p-16, -0x1.6a72ab7566816p-18, 0x1.b00ed0f3371a5p-18, 0x1.32dfaf3ec39b8p-16, 0x1.f9e050095d94dp-16, 0x1.6077a70badd97p-15, 0x1.c3fb858cb2729p-15, 0x1.13b8a3ddcac8p-14, 0x1.456761c1abfe4p-14, 0x1.77050f6b60b0ep-14, 0x1.a88ce70c1fa51p-14, 0x1.d9fa493b3d7fp-14, 0x1.05a45e18b04dfp-13, 0x1.1e39f57ee36ccp-13, 0x1.36bbd2624724dp-13, 0x1.4f27edff5426bp-13, 0x1.677c52de012aep-13, 0x1.7fb71c73d720fp-13, 0x1.97d676c929b58p-13, 0x1.afd89e1e34d39p-13, 0x1.c7bbde924743ep-13, 0x1.df7e93cc9f721p-13, 0x1.f71f28a6c0b26p-13, 0x1.074e0b6b884acp-12, 0x1.12f9f34ff7e0bp-12, 0x1.1e92973d32641p-12, 0x1.2a17496488188p-12, 0x1.358762c35a99bp-12, 0x1.40e242fcf1d9p-12, 0x1.4c2750341c69bp-12, 0x1.5755f6e565525p-12, 0x1.626da9c23f502p-12, 0x1.6d6de18d1abep-12, 0x1.78561cf5336c6p-12, 0x1.8325e073ebb0dp-12, 0x1.8ddcb62a053bbp-12, 0x1.987a2dbdf9b52p-12, 0x1.a2fddc3a88f22p-12, 0x1.ad675bee39015p-12, 0x1.b7b64c4b08a86p-12, 0x1.c1ea51c71a7afp-12, 0x1.cc0315bdc379p-12, 0x1.d600465115868p-12, 0x1.dfe1964bdd2dep-12, 0x1.e9a6bd047dddp-12, 0x1.f34f763fd1bc1p-12, 0x1.fcdb821570019p-12, 0x1.03255269a003dp-11, 0x1.07ce5371443ep-11, 0x1.0c68aa56a796ap-11, 0x1.10f43f42140adp-11, 0x1.1570fc41ff0b6p-11, 0x1.19decd3eae292p-11, 0x1.1e3d9fed9832bp-11, 0x1.228d63c548ed9p-11, 0x1.26ce09f172be9p-11, 0x1.2aff85472e08bp-11, 0x1.2f21ca399c13ap-11, 0x1.3334cece6dcc2p-11, 0x1.37388a930a655p-11, 0x1.3b2cf6918797p-11, 0x1.3f120d4645572p-11, 0x1.42e7ca95492bdp-11, 0x1.46ae2bc01fb35p-11, 0x1.4a652f5beafadp-11, 0x1.4e0cd547655ap-11, 0x1.51a51ea1526acp-11, 0x1.552e0dbf23926p-11, 0x1.58a7a623a29f3p-11, 0x1.5c11ec75ec562p-11, 0x1.5f6ce678ae1b7p-11, 0x1.62b89b0162075p-11, 0x1.65f511ef9abdfp-11, 0x1.6922542507b3fp-11, 0x1.6c406b7cf377p-11, 0x1.6f4f62c4773bfp-11, 0x1.724f45b2a0764p-11, 0x1.754020e0bb5e3p-11, 0x1.782201c2cc134p-11, 0x1.7af4f6a04b86p-11, 0x1.7db90e8ce6dc7p-11, 0x1.806e5961758ddp-11, 0x1.8314e7b5313fbp-11, 0x1.85accad6c58d8p-11, 0x1.883614c5ee94p-11, 0x1.8ab0d82cd91c9p-11, 0x1.8d1d2859e890dp-11, 0x1.8f7b1939845c3p-11, 0x1.91cabf501c792p-11, 0x1.940c2fb42ad6fp-11, 0x1.963f80089e95ap-11, 0x1.9864c67707142p-11, 0x1.9a7c19aa25e75p-11, 0x1.9c8590c8917abp-11, 0x1.9e81436f5777p-11, 0x1.a06f49acf4814p-11, 0x1.a24fbbfc52baep-11, 0x1.a422b33fba857p-11, 0x1.a5e848bc1bc56p-11, 0x1.a7a096147f001p-11, 0x1.a94bb5453df49p-11, 0x1.aae9c09faf7f9p-11, 0x1.ac7ad2c5d6df4p-11, 0x1.adff06a5f3e5p-11, 0x1.af7677769d2f7p-11, 0x1.b0e140b27295bp-11, 0x1.b23f7e145a48ep-11, 0x1.b3914b937bfb7p-11, 0x1.b4d6c55fabb83p-11, 0x1.b61007ddb4c07p-11, 0x1.b73d2fa3abd82p-11, 0x1.b85e597593c28p-11, 0x1.b973a241f235cp-11, 0x1.ba7d271e7fd3bp-11, 0x1.bb7b0544d4887p-11, 0x1.bc6d5a0f73d61p-11, 0x1.bd5442f6ac8a9p-11, 0x1.be2fdd8d91e78p-11, 0x1.bf00477f1e72bp-11, 0x1.bfc59e8b63d5ep-11, 0x1.c0800084c7212p-11, 0x1.c12f8b4d5ff43p-11, 0x1.c1d45cd45b093p-11, 0x1.c26e931382593p-11, 0x1.c2fe4c0cba72bp-11, 0x1.c383a5c78fcc7p-11, 0x1.c3febe4f12753p-11, 0x1.c46fb3af615ffp-11, 0x1.c4d6a3f3a1195p-11, 0x1.c533ad23cee8bp-11, 0x1.c586ed42a7c27p-11, 0x1.c5d0824bc45e5p-11, 0x1.c6108a31909a1p-11, 0x1.c64722db5ec78p-11, 0x1.c6746a23c1762p-11, 0x1.c6987dd69fe2p-11, 0x1.c6b37baf82adbp-11, 0x1.c6c58157f8b48p-11, 0x1.c6ceac6608b2bp-11, 0x1.c6cf1a5a75aabp-11, 0x1.c6c6e89f6083ap-11, 0x1.c6b63486d1904p-11, 0x1.c69d1b493a6d2p-11, 0x1.c67bba0434726p-11, 0x1.c6522db92a33ep-11, 0x1.c620934bfd2d8p-11, 0x1.c5e70781f1b13p-11, 0x1.c5a5a70062894p-11, 0x1.c55c8e4ba1a4p-11, 0x1.c50bd9c5ea161p-11, 0x1.c4b3a5ae4dd5bp-11, 0x1.c4540e1fadd1p-11, 0x1.c3ed2f0fc2e9p-11, 0x1.c37f244e2a859p-11, 0x1.c30a098385a12p-11, 0x1.c28dfa308c1f1p-11, 0x1.c20b11ad401acp-11, 0x1.c1816b283134dp-11, 0x1.c0f121a5ae4ebp-11, 0x1.c05a4ffef9c19p-11, 0x1.bfbd10e1bbba7p-11, 0x1.bf197ecf2f75cp-11, 0x1.be6fb41b98894p-11, 0x1.bdbfcaeda0c2dp-11, 0x1.bd09dd3dd1f39p-11, 0x1.bc4e04d5e5d85p-11, 0x1.bb8c5b506fa1dp-11, 0x1.bac4fa1845c29p-11, 0x1.b9f7fa6803d52p-11, 0x1.b9257549aa3bbp-11, 0x1.b84d83963483ep-11, 0x1.b7703df52822dp-11, 0x1.b68dbcdc3c69ap-11, 0x1.b5a6188f0d0f2p-11, 0x1.b4b9691eb3812p-11, 0x1.b3c7c6699727bp-11, 0x1.b2d1481b0e5e1p-11, 0x1.b1d605ab2c028p-11, 0x1.b0d6165e75d3ap-11, 0x1.afd19145c4b05p-11, 0x1.aec88d3e010a4p-11, 0x1.adbb20eff6893p-11, 0x1.aca962d0320aap-11, 0x1.ab93691ee629p-11, 0x1.aa7949e7cb7b8p-11, 0x1.a95b1b01eccbap-11, 0x1.a838f20fab229p-11, 0x1.a712e47ea53dfp-11, 0x1.a5e90787aec7bp-11, 0x1.a4bb702eb5fd5p-11, 0x1.a38a3342d459ap-11, 0x1.a255655e3db1ap-11, 0x1.a11d1ae63accap-11, 0x1.9fe1680b417c9p-11, 0x1.9ea260c8f91fp-11, 0x1.9d6018e639efep-11, 0x1.9c1aa3f51c937p-11, 0x1.9ad21553175c2p-11, 0x1.99868029116e5p-11, 0x1.9837f76b73ddap-11, 0x1.96e68dda46b93p-11, 0x1.95925601495d6p-11, 0x1.943b623818487p-11, 0x1.92e1c4a2552f7p-11, 0x1.91858f2fbd494p-11, 0x1.9026d39c63da8p-11, 0x1.8ec5a370c3ff9p-11, 0x1.8d621001fe5fdp-11, 0x1.8bfc2a72071d1p-11, 0x1.8a9403afd1499p-11, 0x1.8929ac7777704p-11, 0x1.87bd35528009p-11, 0x1.864eae9813bd5p-11, 0x1.84de286d298b5p-11, 0x1.836bb2c4bb3cdp-11, 0x1.81f75d60187fp-11, 0x1.808137cf13784p-11, 0x1.7f0951703eb4fp-11, 0x1.7d8fb97136562p-11, 0x1.7c147eced5367p-11, 0x1.7a97b0558092bp-11, 0x1.79195ca169cbp-11, 0x1.7799921edc859p-11, 0x1.76185f0a76873p-11, 0x1.7495d17173229p-11, 0x1.7311f731fc0f4p-11, 0x1.718cddfb6c10ep-11, 0x1.7006934e98d34p-11, 0x1.6e7f247e28b51p-11, 0x1.6cf69eaed73cep-11, 0x1.6b6d0ed7c6d64p-11, 0x1.69e281c2c6666p-11, 0x1.6857040cacb8bp-11, 0x1.66caa225a6a1cp-11, 0x1.653d68518595dp-11, 0x1.63af62a80a6b8p-11, 0x1.62209d153d2d6p-11, 0x1.60912359c0a51p-11, 0x1.5f01010b2d1a7p-11, 0x1.5d70419456cecp-11, 0x1.5bdef035a7d59p-11, 0x1.5a4d1805703ebp-11, 0x1.58bac3f04269p-11, 0x1.5727feb9485a9p-11, 0x1.5594d2fa95442p-11, 0x1.54014b2575e51p-11, 0x1.526d7182d6c6bp-11, 0x1.50d950338c113p-11, 0x1.4f44f130ae182p-11, 0x1.4db05e4bf948p-11, 0x1.4c1ba13014dadp-11, 0x1.4a86c360f2feep-11, 0x1.48f1ce3c250edp-11, 0x1.475ccaf935a3bp-11, 0x1.45c7c2aa043afp-11, 0x1.4432be3b196e5p-11, 0x1.429dc673fa449p-11, 0x1.4108e3f77dfcbp-11, 0x1.3f741f4432b6p-11, 0x1.3ddf80b4ad268p-11, 0x1.3c4b107fdf131p-11, 0x1.3ab6d6b96d1acp-11, 0x1.3922db520edd7p-11, 0x1.378f2617d70abp-11, 0x1.35fbbeb699639p-11, 0x1.3468acb83eb85p-11, 0x1.32d5f78512d21p-11, 0x1.3143a66423ecep-11, 0x1.2fb1c07b98bc5p-11, 0x1.2e204cd0fec88p-11, 0x1.2c8f5249a8545p-11, 0x1.2afed7aafd349p-11, 0x1.296ee39ad0613p-11, 0x1.27df7c9fb8ae4p-11, 0x1.2650a92163a92p-11, 0x1.24c26f68eb645p-11, 0x1.2334d5a123401p-11, 0x1.21a7e1d6f79eap-11, 0x1.201b99f9b45edp-11, 0x1.1e9003db600f5p-11, 0x1.1d0525310e924p-11, 0x1.1b7b039332dbp-11, 0x1.19f1a47deb0a9p-11, 0x1.18690d515ba21p-11, 0x1.16e14351fa7f1p-11, 0x1.155a4ba8dc51bp-11, 0x1.13d42b640eaf4p-11, 0x1.124ee776df3a1p-11, 0x1.10ca84ba2f2c7p-11, 0x1.0f4707ecc17bdp-11, 0x1.0dc475b38bafap-11, 0x1.0c42d299fe9cfp-11, 0x1.0ac223125704p-11, 0x1.09426b75ed804p-11, 0x1.07c3b0057d03dp-11, 0x1.0645f4e973ae5p-11, 0x1.04c93e323e02ap-11, 0x1.034d8fd88dd59p-11, 0x1.01d2edbdaaeb1p-11, 0x1.00595babbc25p-11, 0x1.fdc1baac1b16fp-12, 0x1.fad2ecb2be392p-12, 0x1.f7e654784ada3p-12, 0x1.f4fbf8ddae3d3p-12, 0x1.f213e09871112p-12, 0x1.ef2e123331f03p-12, 0x1.ec4a940e44cd6p-12, 0x1.e9696c60351bbp-12, 0x1.e68aa1364b902p-12, 0x1.e3ae38752573dp-12, 0x1.e0d437d9373e7p-12, 0x1.ddfca4f752588p-12, 0x1.db27853d38d2cp-12, 0x1.d854ddf2103dep-12, 0x1.d584b436eb79bp-12, 0x1.d2b70d0757acp-12, 0x1.cfebed39d6bf9p-12, 0x1.cd23598061189p-12, 0x1.ca5d5668e5eedp-12, 0x1.c799e85dceceep-12, 0x1.c4d913a67db44p-12, 0x1.c21adc67c0c6fp-12, 0x1.bf5f46a459779p-12, 0x1.bca6563d6b491p-12, 0x1.b9f00ef30278ep-12, 0x1.b73c7464857ccp-12, 0x1.b48b8a111fbf2p-12, 0x1.b1dd535858f0ep-12, 0x1.af31d37a72432p-12, 0x1.ac890d98d7719p-12, 0x1.a9e304b6a9eb7p-12, 0x1.a73fbbb91257dp-12, 0x1.a49f3567bd553p-12, 0x1.a201746d68e37p-12, 0x1.9f667b5824ca7p-12, 0x1.9cce4c99e2446p-12, 0x1.9a38ea88d0c3fp-12, 0x1.97a6575fc7568p-12, 0x1.9516953ebf972p-12, 0x1.9289a62b30341p-12, 0x1.8fff8c1074842p-12, 0x1.8d7848c0412b5p-12, 0x1.8af3ddf2fd468p-12, 0x1.88724d482ef51p-12, 0x1.85f39846dd867p-12, 0x1.8377c05df5e86p-12, 0x1.80fec6e4a6866p-12, 0x1.7e88ad1ad307fp-12, 0x1.7c1574296393dp-12, 0x1.79a51d2298215p-12, 0x1.7737a90287ebap-12, 0x1.74cd18af62bf9p-12, 0x1.72656cf9dad0ep-12, 0x1.7000a69d834ddp-12, 0x1.6d9ec6411b219p-12, 0x1.6b3fcc76f07bep-12, 0x1.68e3b9bd37bc4p-12, 0x1.668a8e7e6103bp-12, 0x1.64344b117006ap-12, 0x1.61e0efba4ca9fp-12, 0x1.5f907caa220ap-12, 0x1.5d42f1ffa93cfp-12, 0x1.5af84fc777af8p-12, 0x1.58b095fc62acap-12, 0x1.566bc487bd109p-12, 0x1.5429db41aea74p-12, 0x1.51ead9f1812fcp-12, 0x1.4faec04de86a9p-12, 0x1.4d758dfd5d863p-12, 0x1.4b3f42966479fp-12, 0x1.490bdd9fcb131p-12, 0x1.46db5e9109c85p-12, 0x1.44adc4d27dd2cp-12, 0x1.42830fbdac485p-12, 0x1.405b3e9d9d882p-12, 0x1.3e3650af1104ep-12, 0x1.3c144520c8ee5p-12, 0x1.39f51b13cc64bp-12, 0x1.37d8d19bb4ef9p-12, 0x1.35bf67beefcaap-12, 0x1.33a8dc76fab28p-12, 0x1.31952eb0adc08p-12, 0x1.2f845d4c6873fp-12, 0x1.2d76671e641c8p-12, 0x1.2b6b4aeeee663p-12, 0x1.2963077aa77fdp-12, 0x1.275d9b72c5a8cp-12, 0x1.255b057d43209p-12, 0x1.235b443526a94p-12, 0x1.215e562abbd2bp-12, 0x1.1f6439e3cca02p-12, 0x1.1d6ceddbdde1p-12, 0x1.1b7870845cadfp-12, 0x1.1986c044e5908p-12, 0x1.1797db7b72e67p-12, 0x1.15abc07c96fa8p-12, 0x1.13c26d93b2829p-12, 0x1.11dbe1032c77ep-12, 0x1.0ff81904a161p-12, 0x1.0e1713c9178f5p-12, 0x1.0c38cf793611p-12, 0x1.0a5d4a356f79ap-12, 0x1.088482163aa0ep-12, 0x1.06ae752c48addp-12, 0x1.04db2180a8aaep-12, 0x1.030a8514fe776p-12, 0x1.013c9de3b19e3p-12, 0x1.fee2d3c03ea5bp-13, 0x1.fb51cded84271p-13, 0x1.f7c6261abb96ep-13, 0x1.f43fd80669ef1p-13, 0x1.f0bedf62578e4p-13, 0x1.ed4337d3e6affp-13, 0x1.e9ccdcf477678p-13, 0x1.e65bca51ab2dep-13, 0x1.e2effb6dce43fp-13, 0x1.df896bc01c271p-13, 0x1.dc2816b50238p-13, 0x1.d8cbf7ae8e855p-13, 0x1.d5750a049853p-13, 0x1.d223490525e3p-13, 0x1.ced6aff4b1d03p-13, 0x1.cb8f3a0e86071p-13, 0x1.c84ce284e367ap-13, 0x1.c50fa481630c9p-13, 0x1.c1d77b253abfbp-13, 0x1.bea461897c069p-13, 0x1.bb7652bf627f9p-13, 0x1.b84d49d094bcp-13, 0x1.b52941bf5a4aep-13, 0x1.b20a3586f5cbcp-13, 0x1.aef0201bcf43cp-13, 0x1.abdafc6bc1944p-13, 0x1.a8cac55e5e084p-13, 0x1.a5bf75d50bdb3p-13, 0x1.a2b908ab7d50cp-13, 0x1.9fb778b7b602fp-13, 0x1.9cbac0ca67a86p-13, 0x1.99c2dbaf18cf4p-13, 0x1.96cfc42c621d3p-13, 0x1.93e175042373bp-13, 0x1.90f7e8f3c6976p-13, 0x1.8e131ab47e3cdp-13, 0x1.8b3304fb5e5a7p-13, 0x1.8857a279a7d18p-13, 0x1.8580eddd02137p-13, 0x1.82aee1cf7a3b8p-13, 0x1.7fe178f8068fep-13, 0x1.7d18adfa7e666p-13, 0x1.7a547b77dafeep-13, 0x1.7794dc0e690cdp-13, 0x1.74d9ca59e6712p-13, 0x1.722340f3c4e11p-13, 0x1.6f713a7362a53p-13, 0x1.6cc3b16e11cep-13, 0x1.6a1aa0776f92ap-13, 0x1.677602215ee93p-13, 0x1.64d5d0fc68e7ap-13, 0x1.623a0797b58ecp-13, 0x1.5fa2a08139bap-13, 0x1.5d0f964615b31p-13, 0x1.5a80e3726574cp-13, 0x1.57f68291cb61p-13, 0x1.55706e2f3f9d4p-13, 0x1.52eea0d55ad51p-13, 0x1.5071150e83433p-13, 0x1.4df7c565041d1p-13, 0x1.4b82ac632416ep-13, 0x1.4911c493638a8p-13, 0x1.46a5088094c8ep-13, 0x1.443c72b5e09bp-13, 0x1.41d7fdbf17529p-13, 0x1.3f77a428ac492p-13, 0x1.3d1b607fe4b62p-13, 0x1.3ac32d52fd84p-13, 0x1.386f053134519p-13, 0x1.361ee2aafbbp-13, 0x1.33d2c0520ef3cp-13, 0x1.318a98b98184ap-13, 0x1.2f466675ea199p-13, 0x1.2d06241d6f54fp-13, 0x1.2ac9cc4810b9ep-13, 0x1.2891598f6d06ep-13, 0x1.265cc68f41363p-13, 0x1.242c0de5206f2p-13, 0x1.21ff2a30d4666p-13, 0x1.1fd6161458dd7p-13, 0x1.1db0cc33dabbbp-13, 0x1.1b8f473614d4bp-13, 0x1.197181c41e5e2p-13, 0x1.175776899f2dbp-13, 0x1.15412034ee58dp-13, 0x1.132e79770f80fp-13, 0x1.111f7d03d6db2p-13, 0x1.0f14259213854p-13, 0x1.0d0c6ddb6449fp-13, 0x1.0b08509c9b9bbp-13, 0x1.0907c8959372p-13, 0x1.070ad08954eb3p-13, 0x1.0511633e2ed1p-13, 0x1.031b7b7dc79c3p-13, 0x1.01291415163ffp-13, 0x1.fe744fa9426dbp-14, 0x1.fa9d6320ca94bp-14, 0x1.f6cd583febffcp-14, 0x1.f30424bd2bd56p-14, 0x1.ef41be566d579p-14, 0x1.eb861ad1021a4p-14, 0x1.e7d12ffa17e6ep-14, 0x1.e422f3a64e731p-14, 0x1.e07b5bb28bf2ep-14, 0x1.dcda5e032886ap-14, 0x1.d93ff08510436p-14, 0x1.d5ac092cf06dap-14, 0x1.d21e9df7d433cp-14, 0x1.ce97a4eb4a81cp-14, 0x1.cb171415218d9p-14, 0x1.c79ce18bc4834p-14, 0x1.c429036e66c16p-14, 0x1.c0bb6fe4878c6p-14, 0x1.bd541d1eeaa79p-14, 0x1.b9f30156c3c38p-14, 0x1.b69812ce700a4p-14, 0x1.b34347d133783p-14, 0x1.aff496b384851p-14, 0x1.acabf5d2d0b16p-14, 0x1.a9695b960e71p-14, 0x1.a62cbe6d103b4p-14, 0x1.a2f614d16ebaap-14, 0x1.9fc55545d72d6p-14, 0x1.9c9a76568f719p-14, 0x1.99756e9968de6p-14, 0x1.965634adb546cp-14, 0x1.933cbf3c7d33p-14, 0x1.902904f856154p-14, 0x1.8d1afc9daf92p-14, 0x1.8a129cf29c8e1p-14, 0x1.870fdcc70c782p-14, 0x1.8412b2f4f0c0bp-14, 0x1.811b165fd687fp-14, 0x1.7e28fdf594184p-14, 0x1.7b3c60adbffd3p-14, 0x1.78553589ed5dp-14, 0x1.7573739602706p-14, 0x1.729711e770309p-14, 0x1.6fc0079e4db57p-14, 0x1.6cee4be48b624p-14, 0x1.6a21d5ee4c11fp-14, 0x1.675a9cf9ff91bp-14, 0x1.649898502c3a6p-14, 0x1.61dbbf43a63dbp-14, 0x1.5f2409318b822p-14, 0x1.5c716d810d3b2p-14, 0x1.59c3e3a40e9e9p-14, 0x1.571b631640a62p-14, 0x1.5477e35e2b3bdp-14, 0x1.51d95c0c478abp-14, 0x1.4f3fc4bba362fp-14, 0x1.4cab15117cb48p-14, 0x1.4a1b44bdb16e1p-14, 0x1.47904b7a3804ap-14, 0x1.450a210ba6ebep-14, 0x1.4288bd40f1926p-14, 0x1.400c17f34cd1ep-14, 0x1.3d942906a1818p-14, 0x1.3b20e868f43d2p-14, 0x1.38b24e12d658ap-14, 0x1.36485207582eep-14, 0x1.33e2ec53b3906p-14, 0x1.3182150fe1a46p-14, 0x1.2f25c45e0b55fp-14, 0x1.2ccdf26ac26ebp-14, 0x1.2a7a976d46f2p-14, 0x1.282baba6ce1afp-14, 0x1.25e127636414cp-14, 0x1.239b02f91f55fp-14, 0x1.215936c8c03bfp-14, 0x1.1f1bbb3d25125p-14, 0x1.1ce288cbc3ab9p-14, 0x1.1aad97f451d48p-14, 0x1.187ce140bea99p-14, 0x1.16505d458f8b9p-14, 0x1.142804a150e87p-14, 0x1.1203cffd1be63p-14, 0x1.0fe3b80c2b334p-14, 0x1.0dc7b58c1ef06p-14, 0x1.0bafc144b2d53p-14, 0x1.099bd40826ab7p-14, 0x1.078be6b28f079p-14, 0x1.057ff22a95516p-14, 0x1.0377ef60d14fcp-14, 0x1.0173d750032a8p-14, 0x1.fee745fabe27p-15, 0x1.faee96ef80e72p-15, 0x1.f6fd93b139dcap-15, 0x1.f3142e864df8fp-15, 0x1.ef3259c95f7abp-15, 0x1.eb5807e9aa295p-15, 0x1.e7852b69655cdp-15, 0x1.e3b9b6e0172fbp-15, 0x1.dff59cf7dddc6p-15, 0x1.dc38d06fd211p-15, 0x1.d883441a19579p-15, 0x1.d4d4eadd50e4ep-15, 0x1.d12db7b2ff7a8p-15, 0x1.cd8d9da9277bap-15, 0x1.c9f48fe094c77p-15, 0x1.c662818e6e153p-15, 0x1.c2d765facf30ap-15, 0x1.bf53308180004p-15, 0x1.bbd5d4918d7abp-15, 0x1.b85f45ad8e1b3p-15, 0x1.b4ef776b0a32fp-15, 0x1.b1865d7313f3fp-15, 0x1.ae23eb819c4ep-15, 0x1.aac8156581b43p-15, 0x1.a772cf0146c73p-15, 0x1.a4240c496d84dp-15, 0x1.a0dbc146837f8p-15, 0x1.9d99e212ae3fap-15, 0x1.9a5e62dbf2918p-15, 0x1.972937e214d9p-15, 0x1.93fa557816f93p-15, 0x1.90d1b0034d0fap-15, 0x1.8daf3bfb627fep-15, 0x1.8a92edeab0c79p-15, 0x1.877cba6db6395p-15, 0x1.846c963338939p-15, 0x1.816275fc6e6fp-15, 0x1.7e5e4e9c46c74p-15, 0x1.7b6014f7f57dap-15, 0x1.7867be06d2ec8p-15, 0x1.75753ed18aefap-15, 0x1.72888c739b27fp-15, 0x1.6fa19c19242d3p-15, 0x1.6cc063010658dp-15, 0x1.69e4d67adc0ap-15, 0x1.670eebe87be03p-15, 0x1.643e98bca4faep-15, 0x1.6173d27bedd84p-15, 0x1.5eae8ebbd1dc4p-15, 0x1.5beec323835c9p-15, 0x1.5934656ad1297p-15, 0x1.567f6b5b32f7fp-15, 0x1.53cfcaceb61f4p-15, 0x1.512579b0828afp-15, 0x1.4e806dfcc4648p-15, 0x1.4be09dc0042e8p-15, 0x1.4945ff181209p-15, 0x1.46b08832bd1c9p-15, 0x1.44202f4ef4e9fp-15, 0x1.4194eabbc2fffp-15, 0x1.3f0eb0d8a5c6p-15, 0x1.3c8d7815ab825p-15, 0x1.3a1136f2a610cp-15, 0x1.3799e40057ba6p-15, 0x1.352775de72285p-15, 0x1.32b9e33de7109p-15, 0x1.305122de9da95p-15, 0x1.2ded2b90d9ddep-15, 0x1.2b8df434baf72p-15, 0x1.293373b965982p-15, 0x1.26dda11eb1918p-15, 0x1.248c7372c33a6p-15, 0x1.223fe1d45c793p-15, 0x1.1ff7e370a7d54p-15, 0x1.1db46f84cede4p-15, 0x1.1b757d5cbb51ap-15, 0x1.193b0453de578p-15, 0x1.1704fbd45236fp-15, 0x1.14d35b57ad765p-15, 0x1.12a61a65d0f96p-15, 0x1.107d309632637p-15, 0x1.0e58958e31debp-15, 0x1.0c384102a2d34p-15, 0x1.0a1c2ab6541f2p-15, 0x1.08044a7af4829p-15, 0x1.05f098309bbafp-15, 0x1.03e10bc566b5ep-15, 0x1.01d59d365cb5fp-15, 0x1.ff9c891bcf614p-16, 0x1.fb95f3cb11f37p-16, 0x1.f7976ac760709p-16, 0x1.f3a0de7be727p-16, 0x1.efb23f6d2e101p-16, 0x1.ebcb7e3dcfc76p-16, 0x1.e7ec8ba9a7ea5p-16, 0x1.e4155889a5a31p-16, 0x1.e045d5d0d87e8p-16, 0x1.dc7df48d851fcp-16, 0x1.d8bda5e97030fp-16, 0x1.d504db27a8bcp-16, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
    }}, 
    {
      50, 0x1.ep+2, 0x1.cb273fa91bf2fp+1, 0x1.172a3ab87f50fp+4, -0x1.e12344d352689p-4, 
      {{
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.fc628512f1204p-2, -0x1.19e3e588921b8p+1, 0x1.f996d45d217b2p+1, -0x1.8294ca5aab736p+1}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.955a9cebe8d8cp-2, -0x1.d4761963b721ap+0, 0x1.bf9a1c69215d4p+1, -0x1.68e0c44ab85c2p+1}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.4040bb08130a7p-2, -0x1.805aa6030295ep+0, 0x1.8978655dec1c7p+1, -0x1.53067391dbc22p+1}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.f5d3281f35b97p-3, -0x1.36bed378d0416p+0, 0x1.569dd4080b24ep+1, -0x1.3c24043029f4fp+1}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.86995afb65dbbp-3, -0x1.ededae6abc086p-1, 0x1.2732069a6b406p+1, -0x1.25885a1ab7cb1p+1}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.2f08bb412a932p-3, -0x1.80a8006616a5dp-1, 0x1.f654bef99f5dbp+0, -0x1.0ed9b97d1ca82p+1}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.d7372e660dbe9p-4, -0x1.2450c8ba7a32p-1, 0x1.a5136dba7d2bcp+0, -0x1.f0605b67c9a8dp+0}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.7223bd7319475p-4, -0x1.af17914483412p-2, 0x1.5a9e9337b885ep+0, -0x1.c30a8a4292a4cp+0}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.28e246c6b94fdp-4, -0x1.31f9bbcef109bp-2, 0x1.16f6981422859p+0, -0x1.95b575bfb02dp+0}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.ec1261949a692p-5, -0x1.9d1f7ac75b45ap-3, 0x1.b436c0085cfe4p-1, -0x1.68602846466c3p+0}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.a9744a66a42bdp-5, -0x1.04428c8ac9a97p-3, 0x1.4819e7267b117p-1, -0x1.3b0b0204a3ac3p+0}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.81442206c5bd4p-5, -0x1.27d818b9e85a4p-4, 0x1.d32d337d60bc6p-2, -0x1.0db577da6a42dp+0}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.6bf249107086ap-5, -0x1.1aad5839b14dap-5, 0x1.3159eb93edc7fp-2, -0x1.c0c2ac358bae6p-1}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.6305a6b751834p-5, -0x1.70fd51129eaffp-7, 0x1.55723ca154898p-3, -0x1.660fed32d401ep-1}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.611ba8c7513bp-5, 0x1.5d1828fa4d379p-13, 0x1.fa6f860b55585p-5, -0x1.0b844b689de4dp-1}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.61e843a493c97p-5, 0x1.3e7bb3c46edd9p-9, -0x1.0f359112b194cp-6, -0x1.60cd607f9aa51p-2}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.6235f24b78e08p-5, -0x1.da594419674a2p-10, -0x1.177bd15e092ddp-4, -0x1.5da77563853dfp-3}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.5fe5b6509bc98p-5, -0x1.44d6c99ce8142p-7, -0x1.806141624acp-4, 0x1.3083a6d8eaa1p-6}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.59ef17e0d3475p-5, -0x1.39e33a8239261p-6, -0x1.74f5eb208ec03p-4, 0x1.ab6f558c3e727p-4}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.50542dc5f4395p-5, -0x1.c23fb22732eefp-6, -0x1.34d86b18522f4p-4, 0x1.629c58bee7fc9p-4}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.439df59b2c11ep-5, -0x1.199306c3ae1a7p-5, -0x1.ff4ebb90f85ffp-5, 0x1.5952993040413p-4}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3458ac015b979p-5, -0x1.478675f1740e6p-5, -0x1.97b5f4027eb33p-5, 0x1.3f0297a7c45aap-4}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.2307d4a3d94c5p-5, -0x1.6b82db6de8053p-5, -0x1.3801f9b690986p-5, 0x1.294260c7ee7ddp-4}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.10263a38716d1p-5, -0x1.8640c76dcdc8bp-5, -0x1.bda8ec8ec548fp-6, 0x1.1249413f4bb47p-4}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.f84bdcfecbe6p-6, -0x1.986bf765e9b66p-5, -0x1.1916923597dd5p-6, 0x1.f747f36278f8cp-5}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.cee09486dd237p-6, -0x1.a2b3986736cc5p-5, -0x1.04352bfce7267p-7, 0x1.c9d075c35492ap-5}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.a4cbdab371708p-6, -0x1.a5c5ebd1d4e71p-5, 0x1.cf63556fd9413p-12, 0x1.9c65023b29d46p-5}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.7abd7d43cf227p-6, -0x1.a251722d19bd4p-5, 0x1.05eae8cefe488p-7, 0x1.6ef654da09db8p-5}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.5153d80c2803bp-6, -0x1.99049b145ed3ep-5, 0x1.e2184eeb6a9c9p-7, 0x1.418884c5ddd3dp-5}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.291bd4f599585p-6, -0x1.8a8ddaabb8943p-5, 0x1.5181e8e444a7p-6, 0x1.141a7956c1d4ap-5}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.0290ebfe2bd82p-6, -0x1.779ba3e04c035p-5, 0x1.a456a6e4b2p-6, 0x1.cd58fc0d01345p-6}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.bc3a4671a764bp-7, -0x1.60dc69f240de6p-5, 0x1.e98a664d0bc7bp-6, 0x1.727cfb2b82223p-6}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.78321d9ae11aap-7, -0x1.46fea00ca34fep-5, 0x1.108e92c9c93fep-5, 0x1.17a1031028a78p-6}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.3997a1f19b094p-7, -0x1.2ab0b95beb315p-5, 0x1.2587730499199p-5, 0x1.7989e43ac6d08p-7}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.00d63419425abp-7, -0x1.0ca1291bfd1c5p-5, 0x1.33afd1fa008e2p-5, 0x1.87a4ef07a9298p-8}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.9c6ca1be36401p-8, -0x1.dafcc4933e1d1p-6, 0x1.3b07b6755886ep-5, 0x1.c30cf83c6f4c7p-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.43bb227480b64p-8, -0x1.9bedb19d4951p-6, 0x1.3b8f072637751p-5, -0x1.4f2fa20654ed5p-8}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.ef3aa92e8fe59p-9, -0x1.5d71fa3f932f6p-6, 0x1.35462282e5dd7p-5, -0x1.5d6cc2b07406ap-7}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.6fa5b5783b55fp-9, -0x1.20e6993237904p-6, 0x1.282ba802ae503p-5, -0x1.095c53dcd25b1p-6}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.07ab1f9882eap-9, -0x1.cf5051b9dfc26p-7, 0x1.1444bb521e897p-5, -0x1.65020335b3914p-6}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.6b661c1282e3ep-10, -0x1.66295634b63d6p-7, 0x1.f2fc5c8f6223ap-6, -0x1.bced458f544f4p-6}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.de685faeb5ep-11, -0x1.0909c893c8ff5p-7, 0x1.b03f2bb9e24b5p-6, -0x1.11613f88b6feap-5}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.2ac514216535p-11, -0x1.75949d137fe61p-8, 0x1.5e3b98aa78326p-6, -0x1.15db8114ea6e3p-5}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.5e444c39a6c38p-12, -0x1.f45154a122289p-9, 0x1.0ae0252431dcep-6, -0x1.d7d05d280832fp-6}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.7a216d7a4413ap-13, -0x1.3b2046bee6488p-9, 0x1.8834fb22c7abp-7, -0x1.91c30462037b4p-6}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.6cb59312c407dp-14, -0x1.6cb2b0a0efd05p-10, 0x1.0fadad0560399p-7, -0x1.48385bfef7d1fp-6}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.2ac5142165312p-15, -0x1.757bbea9aa1bap-11, 0x1.5a6cbc71c55c6p-8, -0x1.fd934ba87f7b8p-7}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.7a216d7a44102p-17, -0x1.3afc39032ccc8p-12, 0x1.831ab1e4d7d64p-9, -0x1.70d0ecca8134bp-7}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.2ac514216534p-19, -0x1.774550ab205cbp-14, 0x1.4ba1147047ccap-10, -0x1.96d4e73c29456p-8}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.2ac51421638p-23, -0x1.3f8bafff001fp-17, 0x1.5e1ef397229p-12, -0x1.104037507a7c4p-7}, 
      }}, 
      0x1.003357314c37bp-3, -0x1.8ae5b504087fp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{0x1.2646e5d3ae7fbp-6, 0x1.00d201cd70f91p-5, 0x1.2fc25e139e60cp-5, 0x1.155bbe894caa6p-5, 0x1.661e83b3d0652p-6, 0x1.27c21ba687d53p-9, -0x1.7c44adf9a05e2p-6, -0x1.aec64ffd8d806p-5, -0x1.57cf7fa426627p-4, -0x1.d92a8cd833fe4p-4, -0x1.2aaeb4f8237ap-3, -0x1.63c459e033592p-3, -0x1.9602240e6f872p-3, -0x1.c02500790c831p-3, -0x1.e16aa54f600f6p-3, -0x1.f97f0b360058cp-3, -0x1.0434bba9ddp-2, -0x1.073d2a6beed84p-2, -0x1.061d25ea6321dp-2, -0x1.012d859d05bdbp-2, -0x1.f1a9ed9938e2cp-3, -0x1.db0491caf73e9p-3, -0x1.bf4f58d8d2fffp-3, -0x1.9f6dab883413ap-3, -0x1.7c3be48af26a3p-3, -0x1.568ab7eeb1c72p-3, -0x1.2f1bebed5dd1ap-3, -0x1.06a0345ed4db1p-3, -0x1.bb6c01e8117a5p-4, -0x1.69d2243447da5p-4, -0x1.1965536d335cp-4, -0x1.95e8bcaebae8p-5, -0x1.fcb125ed7aa34p-6, -0x1.b4d59932a1be5p-7, 0x1.c9f1740ff5e1bp-9, 0x1.3ceeb927df841p-6, 0x1.17d48a30895f8p-5, 0x1.88611bb6e082cp-5, 0x1.efebd11e5a54ap-5, 0x1.273171be14e87p-4, 0x1.51e7bb8e20696p-4, 0x1.7828beff2572ap-4, 0x1.9a0df0186e49ap-4, 0x1.b7b87d10a2f63p-4, 0x1.d14fc023e04afp-4, 0x1.e6ffe50bf5b5cp-4, 0x1.f8f8a36f19824p-4, 0x1.03b61e566dc84p-3, 0x1.094745dc62389p-3, 0x1.0d4a21326fe46p-3, 0x1.0fd91e9efcf21p-3, 0x1.110e80510647bp-3, 0x1.110421f0707ffp-3, 0x1.0fd344277484ap-3, 0x1.0d946de0e3d32p-3, 0x1.0a5f5319795d4p-3, 0x1.064ab684faaafp-3, 0x1.016c5c80cf283p-3, 0x1.f7b20bacd41bdp-4, 0x1.eb48c319fd8cep-4, 0x1.ddc22920a48d2p-4, 0x1.cf415a6e13483p-4, 0x1.bfe7661655749p-4, 0x1.afd33cefca885p-4, 0x1.9f21d9d7d4e6dp-4, 0x1.8dee36a3ec8ffp-4, 0x1.7c516f604048ap-4, 0x1.6a62cdd39d383p-4, 0x1.5837d9adfd2ddp-4, 0x1.45e47197375a6p-4, 0x1.337adb5906341p-4, 0x1.210bd7754f2ffp-4, 0x1.0ea6b5aa70023p-4, 0x1.f8b2d1598e9ep-5, 0x1.d4613038aea35p-5, 0x1.b06f67a8b7f37p-5, 0x1.8cf20b64de197p-5, 0x1.69fb88abe1f3fp-5, 0x1.479c436e51a08p-5, 0x1.25e2b82cb0269p-5, 0x1.04dba15f4ae3fp-5, 0x1.c9241714ef80fp-6, 0x1.8a1eeaf4b2928p-6, 0x1.4cb7ead37bbdp-6, 0x1.10fc7acce9f32p-6, 0x1.adef405cf27bdp-7, 0x1.3d63ed19c9c48p-7, 0x1.a0c841cf898d3p-8, 0x1.9be4649d811b3p-9, 0x1.286035a8bb9a5p-15, -0x1.842e84f9d4912p-9, -0x1.7f4729a3aeea2p-8, -0x1.1aa2e52fbf9c7p-7, -0x1.720f5611878f5p-7, -0x1.c5f0fe1e787e3p-7, -0x1.0b28f04ebdb12p-6, -0x1.319ef17145a7dp-6, -0x1.566131adfb434p-6, -0x1.797723099c91fp-6, -0x1.9ae8c7cb84be3p-6, -0x1.babeb9a3df571p-6, -0x1.d901faa5f657cp-6, -0x1.f5bbfb6b5edc4p-6, -0x1.087b3e51dda22p-5, -0x1.155dc04ddda6dp-5, -0x1.218aa47d82d7fp-5, -0x1.2d071bf7c8f95p-5, -0x1.37d8686efb1edp-5, -0x1.4203d5d516815p-5, -0x1.4b8eb46f5726dp-5, -0x1.547e513a41ed8p-5, -0x1.5cd7fa5be81b6p-5, -0x1.64a0f1baae758p-5, -0x1.6bde6eafe6745p-5, -0x1.72959be7180b8p-5, -0x1.78cb9083a0304p-5, -0x1.7e8551e98efb3p-5, -0x1.83c7cfc5bb1cap-5, -0x1.8897e0745f96fp-5, -0x1.8cfa44617eb49p-5, -0x1.90f39f353d4cp-5, -0x1.94887851256ecp-5, -0x1.97bd3d8ad8808p-5, -0x1.9a963ce2eeb24p-5, -0x1.9d17a570e9c7ep-5, -0x1.9f458a4408082p-5, -0x1.a123df0e9cf6fp-5, -0x1.a2b675c449c7p-5, -0x1.a40102ecd34ccp-5, -0x1.a5071dc00216fp-5, -0x1.a5cc3abafadb7p-5, -0x1.a653aefaaea5bp-5, -0x1.a6a0b3dbd9201p-5, -0x1.a6b6644b7baeep-5, -0x1.a697b7c09887ap-5, -0x1.a6478d577bf66p-5, -0x1.a5c8a65e71ce9p-5, -0x1.a51da2d51cd09p-5, -0x1.a4490a1110d51p-5, -0x1.a34d479ea402bp-5, -0x1.a22cab9c48734p-5, -0x1.a0e96854c3045p-5, -0x1.9f8598eed6916p-5, -0x1.9e034235243b8p-5, -0x1.9c644ac71b8d6p-5, -0x1.9aaa80c855511p-5, -0x1.98d79f8f98322p-5, -0x1.96ed4ba434845p-5, -0x1.94ed0f63fb86dp-5, -0x1.92d85ed2a578dp-5, -0x1.90b09fad9bc19p-5, -0x1.8e771fff24c4ap-5, -0x1.8c2d1a99d5c2fp-5, -0x1.89d3b41659c34p-5, -0x1.876c0405aea4dp-5, -0x1.84f710ab039cfp-5, -0x1.8275cb1a6baa7p-5, -0x1.7fe91642cd8dcp-5, -0x1.7d51c70b9f928p-5, -0x1.7ab0a1a99be16p-5, -0x1.78065de0fbd42p-5, -0x1.7553a1c843812p-5, -0x1.729909021fe68p-5, -0x1.6fd72374966ap-5, -0x1.6d0e75973fcafp-5, -0x1.6a3f7441e1d61p-5, -0x1.676a8bc779013p-5, -0x1.64901e45e529bp-5, -0x1.61b085cf75199p-5, -0x1.5ecc10c90a706p-5, -0x1.5be303a39dac7p-5, -0x1.58f59c4473d24p-5, -0x1.560410c68fbc2p-5, -0x1.530e90df5e796p-5, -0x1.5015433d979efp-5, -0x1.4d1847fca8c07p-5, -0x1.4a17b92c00956p-5, -0x1.4713ad6d191eap-5, -0x1.440c3493b304fp-5, -0x1.41015a1474c8dp-5, -0x1.3df322e037d7p-5, -0x1.3ae190d288935p-5, -0x1.37cca388bd2fcp-5, -0x1.34b456d1b4561p-5, -0x1.3198a29b7d735p-5, -0x1.2e797a9a233eep-5, -0x1.2b56d1c076609p-5, -0x1.283098bb4a38ap-5, -0x1.2506bee29727p-5, -0x1.21d9316f344b8p-5, -0x1.1ea7db0198ed4p-5, -0x1.1b72a59b872bcp-5, -0x1.18397ac4ae0a5p-5, -0x1.14fc43a13fa2cp-5, -0x1.11baea0a40bacp-5, -0x1.0e755541fc756p-5, -0x1.0b2b6cf6ca279p-5, -0x1.07dd18db7795cp-5, -0x1.048a41b2e0ed6p-5, -0x1.0132d151455ap-5, -0x1.fbad6316319c5p-6, -0x1.f4eb99bab18d3p-6, -0x1.ee201bd5f9caap-6, -0x1.e74ac23cd518ap-6, -0x1.e06b689a61c97p-6, -0x1.d981ed58599ecp-6, -0x1.d28e3151fe649p-6, -0x1.cb9017fe5d22dp-6, -0x1.c48788236bcbfp-6, -0x1.bd746bb8b2c8p-6, -0x1.b656afb6f0475p-6, -0x1.af2e45d505ecbp-6, -0x1.a7fb242ef8cf4p-6, -0x1.a0bd43c652dcp-6, -0x1.9974a06284518p-6, -0x1.92213a626f11ep-6, -0x1.8ac3170c839b2p-6, -0x1.835a3f83fb754p-6, -0x1.7be6c08e8f813p-6, -0x1.7468abab036f2p-6, -0x1.6ce016db8df39p-6, -0x1.654d1c1726f46p-6, -0x1.5dafd8ebd16c8p-6, -0x1.56086ef835d94p-6, -0x1.4e570497be362p-6, -0x1.469bc4e18f829p-6, -0x1.3ed6dee4851adp-6, -0x1.37088533a04ap-6, -0x1.2f30eddcd187cp-6, -0x1.275053210db6bp-6, -0x1.1f66f3c09b192p-6, -0x1.1775127df177p-6, -0x1.0f7af5f6eb74fp-6, -0x1.0778e8702a006p-6, -0x1.fede6e6bc752p-7, -0x1.eebc657c9d973p-7, -0x1.de8c5eaf0573bp-7, -0x1.ce4f09e9da0ep-7, -0x1.be051d33dc758p-7, -0x1.adaf54e633c79p-7, -0x1.9d4e7383aae8ep-7, -0x1.8ce340acc6eb6p-7, -0x1.7c6e88af9f339p-7, -0x1.6bf12096b610fp-7, -0x1.5b6bdbc45f979p-7, -0x1.4adf9ba21cc2dp-7, -0x1.3a4d3f75f7f1p-7, -0x1.29b5ad2f0c423p-7, -0x1.1919ce4a0a88p-7, -0x1.087a8f9fb62bdp-7, -0x1.efb1c49a9b11ap-8, -0x1.ce6b757c2dfcfp-8, -0x1.ad242056a481bp-8, -0x1.8bddb962d41d5p-8, -0x1.6a9a39b8654bdp-8, -0x1.495b9ee9ec6ebp-8, -0x1.2823eb2705ff8p-8, -0x1.06f52363c7fedp-8, -0x1.cba29d2b412dcp-9, -0x1.8974ee8653567p-9, -0x1.47655529af21bp-9, -0x1.0577ec9aff568p-9, -0x1.8761a4f5bbe45p-10, -0x1.04284d2a1502cp-10, -0x1.0298225528d0dp-11, 0x1.2ad24e440bbf1p-18, 0x1.066848ae35768p-11, 0x1.04c7b1a9f73cfp-10, 0x1.85dd4f1b18783p-10, 0x1.03366d35a15b2p-9, 0x1.43371cb4685dep-9, 0x1.82ecaeaa8ef7p-9, 0x1.c2532395ae58cp-9, 0x1.00b341ac32be7p-8, 0x1.20116e8d9c02ep-8, 0x1.3f42249288c6bp-8, 0x1.5e43758f112b7p-8, 0x1.7d13790d5492p-8, 0x1.9bb04b2b4cb2ap-8, 0x1.ba180e381aee3p-8, 0x1.d848eb06f32ddp-8, 0x1.f64110bda693ep-8, 0x1.09ff5ab404728p-7, 0x1.18c00b1c38116p-7, 0x1.2761bbe1e83fep-7, 0x1.35e39354a31p-7, 0x1.4444bbdd7e43bp-7, 0x1.528463c9741b2p-7, 0x1.60a1bd6f4689ap-7, 0x1.6e9bffa6ae643p-7, 0x1.7c7265d52f59ep-7, 0x1.8a242f3b2af76p-7, 0x1.97b0a15a1633ep-7, 0x1.a51704389a5b8p-7, 0x1.b256a698fd1fap-7, 0x1.bf6edb2dd5a2ap-7, 0x1.cc5ef9e353306p-7, 0x1.d9265faff3007p-7, 0x1.e5c46e762077ap-7, 0x1.f2388d36201e7p-7, 0x1.fe82285013632p-7, 0x1.055058b3a2591p-6, 0x1.0b49cf9eab22dp-6, 0x1.112d36eff0459p-6, 0x1.16fa4f69aec1bp-6, 0x1.1cb0dc858184p-6, 0x1.2250a475d70e2p-6, 0x1.27d97028fb098p-6, 0x1.2d4b0b4e4bc46p-6, 0x1.32a5444a8ad1bp-6, 0x1.37e7ec2d699d8p-6, 0x1.3d12d6bc6b536p-6, 0x1.4225da7e65185p-6, 0x1.4720d0b938183p-6, 0x1.4c0395557648p-6, 0x1.50ce06f965892p-6, 0x1.55800722d59e4p-6, 0x1.5a197a281e33ep-6, 0x1.5e9a46a691ebap-6, 0x1.6302557aee848p-6, 0x1.675192c752f8cp-6, 0x1.6b87ed463cb3p-6, 0x1.6fa555f04059fp-6, 0x1.73a9c1050c514p-6, 0x1.7795251a3a7cdp-6, 0x1.7b677adae068fp-6, 0x1.7f20bd8331bedp-6, 0x1.82c0eadb847b6p-6, 0x1.86480317d629fp-6, 0x1.89b608beba432p-6, 0x1.8d0b011502cc2p-6, 0x1.9046f315f6451p-6, 0x1.9369e8ed3ad4ep-6, 0x1.9673ee358bdefp-6, 0x1.9965112b4487fp-6, 0x1.9c3d621bc6efep-6, 0x1.9efcf375bd194p-6, 0x1.a1a3d9c05eb43p-6, 0x1.a4322b93320e3p-6, 0x1.a6a8018f202fbp-6, 0x1.a9057656b746bp-6, 0x1.ab4aa683acad1p-6, 0x1.ad77b0970155fp-6, 0x1.af8cb4ea1f56p-6, 0x1.b189d5a2278e6p-6, 0x1.b36f36a8dc45bp-6, 0x1.b53cfd9b4e84bp-6, 0x1.b6f351c8583e5p-6, 0x1.b8925c1c9cfc5p-6, 0x1.ba1a4718db7c3p-6, 0x1.bb8b3ec884f62p-6, 0x1.bce570b4f87c7p-6, 0x1.be290bdaf36a4p-6, 0x1.bf56409dfbe84p-6, 0x1.c06d40bb93da6p-6, 0x1.c16e3f3fd4caep-6, 0x1.c2597078a7c5p-6, 0x1.c32f09ecfba48p-6, 0x1.c3ef42533879ap-6, 0x1.c49a517eeb58ep-6, 0x1.c53070532c82ap-6, 0x1.c5b1d8b9a19ffp-6, 0x1.c61ec5988b1ep-6, 0x1.c67772e9ac017p-6, 0x1.c6bc1d3047dd6p-6, 0x1.c6ed0266ff032p-6, 0x1.c70a60d9ed2c1p-6, 0x1.c71477d3b6d28p-6, 0x1.c70b8754e85d3p-6, 0x1.c6efd00936b46p-6, 0x1.c6c1933b7a083p-6, 0x1.c68112c8ca39bp-6, 0x1.c62e91166d3eep-6, 0x1.c5ca510a9f415p-6, 0x1.c55496082661ep-6, 0x1.c4cda3ed81ba4p-6, 0x1.c435bf16038abp-6, 0x1.c38d2c3c65a8dp-6, 0x1.c2d43058a0c67p-6, 0x1.c20b10cee2f17p-6, 0x1.c132135020e95p-6, 0x1.c0497d9f53656p-6, 0x1.bf5195a6aed7ep-6, 0x1.be4aa17e92217p-6, 0x1.bd34e76a645cbp-6, 0x1.bc10add9c0a3ap-6, 0x1.bade3b6682718p-6, 0x1.b99dd6c891f7cp-6, 0x1.b84fc6bcaa604p-6, 0x1.b6f451e173c9bp-6, 0x1.b58bbe943d8fcp-6, 0x1.b41652d5df029p-6, 0x1.b294543bcc7cfp-6, 0x1.b10607e9a80fep-6, 0x1.af6bb303ed3cbp-6, 0x1.adc59a2d9e6eap-6, 0x1.ac14029f35124p-6, 0x1.aa5731a4bcd55p-6, 0x1.a88f6ce0df4abp-6, 0x1.a6bcfa1ffc7ap-6, 0x1.a4e01f0e470dcp-6, 0x1.a2f920ddb298bp-6, 0x1.a10843ffa126ap-6, 0x1.9f0dcbb12511bp-6, 0x1.9d09fa270c312p-6, 0x1.9afd107b535ep-6, 0x1.98e74f2be62e2p-6, 0x1.96c8f67901787p-6, 0x1.94a246b9a1176p-6, 0x1.9273808b7efeep-6, 0x1.903ce4b9fcae6p-6, 0x1.8dfeb3f635cd2p-6, 0x1.8bb92e6914684p-6, 0x1.896c925b5580bp-6, 0x1.87191bc4aa3aap-6, 0x1.84bf0549cd36fp-6, 0x1.825e885590af8p-6, 0x1.7ff7de0ffcabbp-6, 0x1.7d8b3f8350becp-6, 0x1.7b18e7942cc08p-6, 0x1.78a113f48bf4ep-6, 0x1.7624051047e75p-6, 0x1.73a1fd3a4cbcbp-6, 0x1.711b3f0ac1ac8p-6, 0x1.6e900afc430f3p-6, 0x1.6c009d07254a7p-6, 0x1.696d2a8ad0339p-6, 0x1.66d5e16f380b4p-6, 0x1.643ae8b09c418p-6, 0x1.619c624270ad7p-6, 0x1.5efa6e2cc3a61p-6, 0x1.5c552e674dd61p-6, 0x1.59accab0d8bfcp-6, 0x1.5701736ed93d2p-6, 0x1.545362cb9123cp-6, 0x1.51a2dbb4b3d43p-6, 0x1.4ef026d24cdc1p-6, 0x1.4c3b8dfb73eb4p-6, 0x1.49855703905dbp-6, 0x1.46cdbeef78e5fp-6, 0x1.4414f6a77c002p-6, 0x1.415b21f311729p-6, 0x1.3ea058ff4d967p-6, 0x1.3be4ac1afa214p-6, 0x1.39282924ce66cp-6, 0x1.366ae16a9b875p-6, 0x1.33acee6c2498ap-6, 0x1.30ee74cb44a49p-6, 0x1.2e2fa484651aep-6, 0x1.2b70b63a2f189p-6, 0x1.28b1e63458196p-6, 0x1.25f36e2fd756p-6, 0x1.23357f6e8f0ecp-6, 0x1.20783e74b01bap-6, 0x1.1dbbc18976c88p-6, 0x1.1b001294a20b7p-6, 0x1.1845341d17b1fp-6, 0x1.158b28986b9a3p-6, 0x1.12d1fa8dbb1e4p-6, 0x1.1019c3c19e5d7p-6, 0x1.0d62b1ba99fc9p-6, 0x1.0aad065216ebap-6, 0x1.07f913c16173dp-6, 0x1.05473486f0029p-6, 0x1.0297c065b53bbp-6, 0x1.ffd600e2204dap-7, 0x1.fa8248d409d88p-7, 0x1.f534772737886p-7, 0x1.efec6549a285p-7, 0x1.eaa9af8e0365ep-7, 0x1.e56bc41ac49d5p-7, 0x1.e032054402134p-7, 0x1.dafbe08822092p-7, 0x1.d5c8f70d6c5ecp-7, 0x1.d09931079157ep-7, 0x1.cb6cce8c8714fp-7, 0x1.c64469d73743p-7, 0x1.c120e9f1959a2p-7, 0x1.bc0368f8201ap-7, 0x1.b6ed11d3ec21bp-7, 0x1.b1defb0c15a31p-7, 0x1.acda04d1adab6p-7, 0x1.a7debf7bc1411p-7, 0x1.a2ed5ae76045bp-7, 0x1.9e05a26600f46p-7, 0x1.9927112ad221ep-7, 0x1.9450e16af9961p-7, 0x1.8f8228ace0943p-7, 0x1.8aba05ebfc919p-7, 0x1.85f7bb9aef6p-7, 0x1.813acc184827ep-7, 0x1.7c830e2602b4cp-7, 0x1.77d0b0e6cf7d9p-7, 0x1.732432c11997ep-7, 0x1.6e7e4d87ea2cap-7, 0x1.69dfdbb55f29bp-7, 0x1.6549bba06d99ep-7, 0x1.60bcb53817a67p-7, 0x1.5c3964adc3dd9p-7, 0x1.57c02dcc27557p-7, 0x1.53513680fee86p-7, 0x1.4eec6add18558p-7, 0x1.4a9188b18dfedp-7, 0x1.464030f7eccd3p-7, 0x1.41f7fbe333d39p-7, 0x1.3db888cc02133p-7, 0x1.3981889c7476ep-7, 0x1.3552c56547d1cp-7, 0x1.312c222367366p-7, 0x1.2d0d9722fbc0fp-7, 0x1.28f7333d67b77p-7, 0x1.24e91cd45c062p-7, 0x1.20e390bf135e7p-7, 0x1.1ce6ddd661434p-7, 0x1.18f35add71626p-7, 0x1.150959fe969ccp-7, 0x1.112913a8cc747p-7, 0x1.0d52a22dbdf69p-7, 0x1.098600cbec10cp-7, 0x1.05c30715e7106p-7, 0x1.0209907f7c22p-7, 0x1.fcb2dbede4369p-8, 0x1.f5650ce760992p-8, 0x1.ee298897fd09cp-8, 0x1.e700140c3fcecp-8, 0x1.dfe84679b2eeap-8, 0x1.d8e18661fd218p-8, 0x1.d1eb24877ec18p-8, 0x1.cb0496717c1dcp-8, 0x1.c42daed81ba82p-8, 0x1.bd66b7f7d45a7p-8, 0x1.b6b05e3ccc2abp-8, 0x1.b00b7489581c6p-8, 0x1.a978b1ca4be28p-8, 0x1.a2f88c7446b55p-8, 0x1.9c8b47864e50bp-8, 0x1.96312791d36fap-8, 0x1.8feaaeccc0d9dp-8, 0x1.89b8ba8e21bcep-8, 0x1.839c6ab327e6ep-8, 0x1.7d96d1f91e895p-8, 0x1.77a88339a4956p-8, 0x1.71d11f790bb7dp-8, 0x1.6c0f123eb03c2p-8, 0x1.665fa43b47f15p-8, 0x1.60bf74ef79991p-8, 0x1.5b2b428b3c7e2p-8, 0x1.55a0c18d72f8ap-8, 0x1.501f2ffe6caa5p-8, 0x1.4aa761ed066d2p-8, 0x1.453b3d2920257p-8, 0x1.3fdce157f91edp-8, 0x1.3a8de3d60b745p-8, 0x1.354ef794894f4p-8, 0x1.3020199e66702p-8, 0x1.2b0115f4dec9ap-8, 0x1.25f217be6b8a3p-8, 0x1.20f403ca5faf9p-8, 0x1.1c087f32121a9p-8, 0x1.1731a55922fafp-8, 0x1.127186973ceb8p-8, 0x1.0dc99239a2d38p-8, 0x1.093a0f5bc22d4p-8, 0x1.04c1c938b4808p-8, 0x1.005e15def3b18p-8, 0x1.f816a1a04549cp-9, 0x1.ef8b6e914b34ep-9, 0x1.e714b2f8569ebp-9, 0x1.deaf6b6589c61p-9, 0x1.d65b65f3f070ep-9, 0x1.ce19faf66bce7p-9, 0x1.c5ec91ab1305fp-9, 0x1.bdd3babf81abep-9, 0x1.b5cf5bda35a48p-9, 0x1.addfaa3a5643cp-9, 0x1.a605fccb81565p-9, 0x1.9e44ff6d7f91ep-9, 0x1.96a033e8a1f1ap-9, 0x1.8f1aff9d2746fp-9, 0x1.87b7b89b6a894p-9, 0x1.807737f53974dp-9, 0x1.79592a5a9060cp-9, 0x1.725cfdb058504p-9, 0x1.6b8204792c8c4p-9, 0x1.64c7c58b3feecp-9, 0x1.5e2cd03355392p-9, 0x1.57aeb806aa0fep-9, 0x1.514a5b78af212p-9, 0x1.4afcf9fd4c54p-9, 0x1.44c539e03e6a8p-9, 0x1.3ea36db61bb3bp-9, 0x1.3898e043fef7p-9, 0x1.32a694872971cp-9, 0x1.2ccc427040b86p-9, 0x1.270810b72819ep-9, 0x1.2157056565daap-9, 0x1.1bb62df9ae047p-9, 0x1.16242b9682f17p-9, 0x1.10a23700148b3p-9, 0x1.0b33bd383ef03p-9, 0x1.05dc92a58fa41p-9, 0x1.009f110403e1dp-9, 0x1.f6f6afd9ae4ebp-10, 0x1.ecdfb07d4974bp-10, 0x1.e2f5253bf1cb6p-10, 0x1.d9343a353cf9cp-10, 0x1.cf9c4c8761a03p-10, 0x1.c62e96884e1c5p-10, 0x1.bcecb0afbaf13p-10, 0x1.b3d780b9a4113p-10, 0x1.aaeda72e1a2c5p-10, 0x1.a22b412acca5p-10, 0x1.998b094bbc8ap-10, 0x1.910935c67ecadp-10, 0x1.88a5de50866e4p-10, 0x1.8064a3bcc7ffep-10, 0x1.7849d339a47d9p-10, 0x1.7056f146dfeeap-10, 0x1.688a7e42690f3p-10, 0x1.60e31b6c3930ap-10, 0x1.5961ea2efe25fp-10, 0x1.5208c0d48072bp-10, 0x1.4ad665a37fe88p-10, 0x1.43c5ca7654d2fp-10, 0x1.3cd0cb1dcadcbp-10, 0x1.35f336b994903p-10, 0x1.2f2c315b17504p-10, 0x1.287d126abfb3p-10, 0x1.21e890f76781ep-10, 0x1.1b71718da8b6fp-10, 0x1.151a03dc576b4p-10, 0x1.0ee3c463c2755p-10, 0x1.08cfba772b52p-10, 0x1.02df2fcb24eedp-10, 0x1.fa2567f2c0632p-11, 0x1.eecdecda65309p-11, 0x1.e3a7dab7ffae7p-11, 0x1.d8a488ea394a8p-11, 0x1.cdc3fb09127d7p-11, 0x1.c312bcec687adp-11, 0x1.b899b25f24eddp-11, 0x1.ae543fc084298p-11, 0x1.a4398729dc924p-11, 0x1.9a4b17e9a3a49p-11, 0x1.9093aac158facp-11, 0x1.871a444443d0fp-11, 0x1.7ddd3e65fecf6p-11, 0x1.74d78f8eaf058p-11, 0x1.6c0596e22757bp-11, 0x1.63653328f5535p-11, 0x1.5af2ee0e083afp-11, 0x1.52a79d1284baep-11, 0x1.4a797ebe3817fp-11, 0x1.4261b3e63dcf4p-11, 0x1.3a62723e2ad49p-11, 0x1.328707ec2f402p-11, 0x1.2adc0aa74eea4p-11, 0x1.2365cecde89aep-11, 0x1.1c20ff956ea92p-11, 0x1.150a8003a093p-11, 0x1.0e235b80bed4bp-11, 0x1.0766b9345c453p-11, 0x1.00c639c305f1bp-11, 0x1.f475d48389156p-12, 0x1.e79e29b7e72aap-12, 0x1.db18273fe1ce3p-12, 0x1.ced4618418e7dp-12, 0x1.c2bcb7a25237cp-12, 0x1.b6da4d4e98653p-12, 0x1.ab44d41816dp-12, 0x1.a000cbe22f451p-12, 0x1.95015693fe5adp-12, 0x1.8a39dc0f1fa1bp-12, 0x1.7fa53f3f9ed21p-12, 0x1.7544a807c875cp-12, 0x1.6b1d22c913f48p-12, 0x1.61358897eada8p-12, 0x1.5793e1763d654p-12, 0x1.4e3a4e98ca469p-12, 0x1.4522fdc67d123p-12, 0x1.3c3c757fcc1cp-12, 0x1.3372c44bd670dp-12, 0x1.2ac083b2d669dp-12, 0x1.223bda8f8e897p-12, 0x1.19faf14790014p-12, 0x1.11f612e340972p-12, 0x1.0a1e51fd4dc16p-12, 0x1.027a1891bf03fp-12, 0x1.f62de6926308dp-13, 0x1.e7cfebe3dcdb2p-13, 0x1.d9af8cd28f0c4p-13, 0x1.cbd86bfb57881p-13, 0x1.be5d2eaf572cdp-13, 0x1.b11dd9790e527p-13, 0x1.a40da9ec5d8f7p-13, 0x1.9756d09bfd834p-13, 0x1.8b0df672d62b9p-13, 0x1.7f1f522fa605ep-13, 0x1.737666ba4f6a1p-13, 0x1.680c9bfc25adfp-13, 0x1.5ce280f7c5b4p-13, 0x1.51f96611e7de9p-13, 0x1.475187af113bep-13, 0x1.3cea998d99454p-13, 0x1.32c513684b988p-13, 0x1.28e30ed8e5b7ap-13, 0x1.1f4782fd43c86p-13, 0x1.15f5bebad8f78p-13, 0x1.0cf0c1fd84b8bp-13, 0x1.0438bb283255dp-13, 0x1.f77917b73233p-14, 0x1.e6c8547a422cdp-14, 0x1.d66cb3a164091p-14, 0x1.c69059a5b6afcp-14, 0x1.b711d249f175cp-14, 0x1.a7db1d60f6458p-14, 0x1.9923c7c81b7cbp-14, 0x1.8b1872ce712a7p-14, 0x1.7d9febc1a6627p-14, 0x1.7072bc086c04ep-14, 0x1.6381c54fe2ef4p-14, 0x1.56d887e390f04p-14, 0x1.4a5f210bc1f0dp-14, 0x1.3e415e1f8d07cp-14, 0x1.32a867a93c41ap-14, 0x1.27776bf277725p-14, 0x1.1c9185733a51cp-14, 0x1.11f1216e205cbp-14, 0x1.079926bc007fp-14, 0x1.fb184819380d9p-15, 0x1.e795ae7b0d944p-15, 0x1.d4a9475a89bf5p-15, 0x1.c24ff91ae6881p-15, 0x1.b084fe684c8f1p-15, 0x1.9f4286018de15p-15, 0x1.8e8458bfcca79p-15, 0x1.7e48c6238e71p-15, 0x1.6e8d214179cc5p-15, 0x1.5f4e3ddefbbe6p-15, 0x1.50973780023d1p-15, 0x1.428d61555478ep-15, 0x1.351bcb61cdfp-15, 0x1.2804799fd70bfp-15, 0x1.1b3a2f7ef77d9p-15, 0x1.0eb396387b17cp-15, 0x1.02829d983d816p-15, 0x1.edcaa83b4b409p-16, 0x1.d78487a965fcbp-16, 0x1.c209242ee7d3ap-16, 0x1.ad95a985156f8p-16, 0x1.99f9845f88b14p-16, 0x1.86c74660b1539p-16, 0x1.73ef51c388adap-16, 0x1.61a6e3d3c3533p-16, 0x1.50611ebd6206bp-16, 0x1.3fee2eb4269ffp-16, 0x1.300a26ada916bp-16, 0x1.20ad21bbe6102p-16, 0x1.11debe6590d1fp-16, 0x1.03a235638ef75p-16, 0x1.ebed52b756d5fp-17, 0x1.d1af631c1c47ep-17, 0x1.b897401176209p-17, 0x1.a07932bb15d25p-17, 0x1.896b47f205c37p-17, 0x1.735ce55ad12eap-17, 0x1.5e405332db4ebp-17, 0x1.4a0c35f751b27p-17, 0x1.36b9ec08c9034p-17, 0x1.2440c2391521dp-17, 0x1.1293945c130cp-17, 0x1.01b30764fb11cp-17, 0x1.e3c64a26f467ep-18, 0x1.c6876e1bf4ebp-18, 0x1.aa78f3224cb18p-18, 0x1.8f0bbbfb59d36p-18, 0x1.74c5915a4c96dp-18, 0x1.5c85360528f97p-18, 0x1.45cc7a4efc281p-18, 0x1.3032126e10633p-18, 0x1.1baff5dd8b069p-18, 0x1.0848c52f26e95p-18, 0x1.ec62c1b06109fp-19, 0x1.cb784e4d5e81cp-19, 0x1.ac96f39b756c7p-19, 0x1.8eacdd1e2aa07p-19, 0x1.730a35839761fp-19, 0x1.5a3afdafc3994p-19, 0x1.434b9f9057cc3p-19, 0x1.2dfe870f12ba3p-19, 0x1.1a680ac15d9bep-19, 0x1.088db6c370529p-19, 0x1.f0cd0b11c3a97p-20, 0x1.d3c8d7ee15d6ap-20, 0x1.b9f149fdd3717p-20, 0x1.a32a25074e76cp-20, 0x1.8f59c8b078c47p-20, 0x1.7e60c0bd0a1dap-20, 0x1.7021b1000bec3p-20, 0x1.647bd82dbd10dp-20, 0x1.5b52d155ab63ap-20, 0x1.5470a8607e801p-20, 0x1.507382ffe63f9p-20, 0x1.4dd069e96a6cdp-20, 0x1.4d9a7aa82b244p-20, 0x1.4f655bd30312dp-20, 0x1.53baf08fd0b69p-20, 0x1.5a16388735d04p-20, 0x1.6159f8f8d1768p-20, 0x1.6abbaf914fe9fp-20, 0x1.7629432a0eec6p-20, 0x1.82c7074c3058dp-20, 0x1.90ec32e7bf7ep-20, 0x1.a066fbffed8cep-20, 0x1.b13d551a55a8ep-20, 0x1.c368d76063d4bp-20, 0x1.d6cee06360672p-20, 0x1.eb4bee80b93ebp-20, 0x1.006efed50bcdcp-19, 0x1.0bdbdce5ce225p-19, 0x1.17ada12535a5bp-19, 0x1.23eabe0c3ad45p-19, 0x1.30b7c336158f6p-19, 0x1.3defcdfd58043p-19, 0x1.4b801d5760ab8p-19, 0x1.595d32fc77009p-19, 0x1.678dbea93d829p-19, 0x1.75fd0f7658104p-19, 0x1.84d21f5182897p-19, 0x1.93e27682d4bacp-19, 0x1.a3238c6f6394fp-19, 0x1.b2e5d3aee7447p-19, 0x1.c2748812a8304p-19, 0x1.d25db2607cb65p-19, 0x1.e268a9410b7p-19, 0x1.f29ce89fabdedp-19, 0x1.017c3bd65e354p-18, 0x1.09b4240139333p-18, 0x1.11f8aefc5cafp-18, 0x1.1a46829ef82c1p-18, 0x1.2296361563b5cp-18, 0x1.2af872a64bdfbp-18, 0x1.33559708e7f0dp-18, 0x1.3bb5f963ab70ap-18, 0x1.441e06a2ff156p-18, 0x1.4c80cd4517e34p-18, 0x1.54deb29a996cfp-18, 0x1.5d37197435ff9p-18, 0x1.658a2f3a78d6p-18, 0x1.6dd6033b7374ep-18, 0x1.7618e55bcd8c8p-18, 0x1.7e5197b4fe891p-18, 0x1.867f3b1b54164p-18, 0x1.8ea14f6ad841dp-18, 0x1.96b6e425b7e3fp-18, 0x1.9ebd7189f60ccp-18, 0x1.a6af64a7dffb4p-18, 0x1.ae8bf0d092398p-18, 0x1.b66199ef24eebp-18, 0x1.be247ee946704p-18, 0x1.c5d6aeaaeed92p-18, 0x1.cd70d3bed64cep-18, 0x1.d4f809db46809p-18, 0x1.dc61d4ef35eb9p-18, 0x1.e3b1c60787279p-18, 0x1.eaf28707b14e7p-18, 0x1.f21a45963137p-18, 0x1.f925cbb79801p-18, 0x1.000bfff0b6d9fp-17, 0x1.03790f7b6a069p-17, 0x1.06d93e4767845p-17, 0x1.0a2b77c6257b4p-17, 0x1.0d6f7ed06c563p-17, 0x1.10a77b7fedb06p-17, 0x1.13d451b7c721cp-17, 0x1.16ec671fb917ep-17, 0x1.19f9c638eb169p-17, 0x1.1cf2e5661e5c1p-17, 0x1.1fdeb81c5edf6p-17, 0x1.22c168ffe912ep-17, 0x1.2596f97c73f51p-17, 0x1.285970db5af51p-17, 0x1.2b0dbd53500b4p-17, 0x1.2dafb1b97da68p-17, 0x1.304078a274b3ep-17, 0x1.32c4c59324b03p-17, 0x1.353a7dbc9dd73p-17, 0x1.379ca1182061fp-17, 0x1.39f5c668b0913p-17, 0x1.3c3bb93de926bp-17, 0x1.3e70ff398763ep-17, 0x1.4098d608190e6p-17, 0x1.42b008e6d7fbep-17, 0x1.44b715ca7e179p-17, 0x1.46aef94f1e642p-17, 0x1.4897383b8a1d8p-17, 0x1.4a6df1cb02f0fp-17, 0x1.4c34ae69213cep-17, 0x1.4df0017de36b7p-17, 0x1.4f971330e83a7p-17, 0x1.51359cb8781d1p-17, 0x1.52c0a3b58762ep-17, 0x1.543c5a1c24a9fp-17, 0x1.55a9146302ff7p-17, 0x1.57065427f4275p-17, 0x1.5854774813badp-17, 0x1.5993997aea614p-17, 0x1.5ac3d1f56bb68p-17, 0x1.5be533da29e3fp-17, 0x1.5cf7885d2291bp-17, 0x1.5dfcfc5b9ef77p-17, 0x1.5ef1543b09329p-17, 0x1.5fd92486f2fc5p-17, 0x1.60b25dcf65d36p-17, 0x1.617d5ddd7723ap-17, 0x1.623ab48a04402p-17, 0x1.62eb55b64018cp-17, 0x1.6388b8c6e4ecbp-17, 0x1.64200dc708da8p-17, 0x1.649ce924fcc23p-17, 0x1.65231379159d8p-17, 0x1.658b986881c25p-17, 0x1.65e848e1bb426p-17, 0x1.6634b704ff00cp-17, 0x1.6677f2064de94p-17, 0x1.66b0e296b5664p-17, 0x1.66ddd12cd8ef6p-17, 0x1.66f625f3e7e01p-17, 0x1.6708be7a0fef2p-17, 0x1.6711e676333c2p-17, 0x1.670d022fcf8c8p-17, 0x1.66fc64b240936p-17, 0x1.66de934db12e6p-17, 0x1.66b46893c67ccp-17, 0x1.668024a83802ap-17, 0x1.663e0d46ae8fep-17, 0x1.65f4ee993bcaep-17, 0x1.659cb2d8e77bbp-17, 0x1.6540359d39641p-17, 0x1.64d7ee6819843p-17, 0x1.6460f96842cfep-17, 0x1.63de108004829p-17, 0x1.635571f69889ap-17, 0x1.62c08bd9dff01p-17, 0x1.6224022b342d1p-17, 0x1.617e985710484p-17, 0x1.60cd5d3967df3p-17, 0x1.601314a4cf17ep-17, 0x1.5f509cf452dd2p-17, 0x1.5e84f35df6275p-17, }}, 
      {{0x1.04af77fb68045p-6, 0x1.e7cbc3f6e26a3p-6, 0x1.47cc655241b92p-5, 0x1.7650758720f7ep-5, 0x1.7c6c3f6c901fap-5, 0x1.5acf95eaa671cp-5, 0x1.14cb316346764p-5, 0x1.5eb2501cdc4aep-6, 0x1.82a100979a18dp-8, -0x1.8882fa8c3f0eep-7, -0x1.0205b39ca9299p-5, -0x1.a9c594f0b97e9p-5, -0x1.2a302eb31d7bdp-4, -0x1.7ec04a40e0bfp-4, -0x1.d0c0e94a91771p-4, -0x1.0f5b4f10bebfbp-3, -0x1.33bbe2da01e22p-3, -0x1.5512cf0ab3549p-3, -0x1.73122c10fab46p-3, -0x1.8d89610c20066p-3, -0x1.a460fc6e7c2f7p-3, -0x1.b796b482e7fa1p-3, -0x1.c739a7b5d1245p-3, -0x1.d366ec7ef1731p-3, -0x1.dc467bf2be8c2p-3, -0x1.e208757df76c9p-3, -0x1.e4e2c23ffd643p-3, -0x1.e50f0aa04f116p-3, -0x1.e2c9058ec3c81p-3, -0x1.de4d0d6538a2ep-3, -0x1.d7d6fcd616699p-3, -0x1.cfa148e172cf5p-3, -0x1.c5e44c4f1cf23p-3, -0x1.bad5c3683ae67p-3, -0x1.aea86d65cd16p-3, -0x1.a18bcc63a120ap-3, -0x1.93ac014177dc9p-3, -0x1.8531bc68b2ed3p-3, -0x1.764240110aa71p-3, -0x1.66ff707b987a8p-3, -0x1.5787eda8341eap-3, -0x1.47f73511f3499p-3, -0x1.3865c9fa8896bp-3, -0x1.28e961195f5bdp-3, -0x1.19950dc558095p-3, -0x1.0a796f8ee50bcp-3, -0x1.f749c7e7f8c35p-4, -0x1.da4765f6883b4p-4, -0x1.be0078d022954p-4, -0x1.a2864650de25p-4, -0x1.87e6ef64f92bbp-4, -0x1.6e2db8ebb1f9bp-4, -0x1.55635f3f380ffp-4, -0x1.3d8e4fc34eb1dp-4, -0x1.26b2f09c465b3p-4, -0x1.10d3da2949442p-4, -0x1.f7e41235574d1p-5, -0x1.d01a2c47fefcap-5, -0x1.aa46c4ac28e0cp-5, -0x1.86647b1277f26p-5, -0x1.646c1773487f6p-5, -0x1.4454d6cff407fp-5, -0x1.2614a5941b40ep-5, -0x1.09a059534a67ep-5, -0x1.ddd79eb8b1e95p-6, -0x1.abd4779b10b43p-6, -0x1.7d1c5c2a474bep-6, -0x1.5193995ada25cp-6, -0x1.291dd4e76304ap-6, -0x1.039e38a4e82ap-6, -0x1.c1ef7ee04749ep-7, -0x1.821a97b49c1b4p-7, -0x1.4783a6539aacep-7, -0x1.11f105659b5cp-7, -0x1.c2534db5cb187p-8, -0x1.69ea800d1f07ap-8, -0x1.1a3929291be71p-8, -0x1.a5a5d2b76081ep-9, -0x1.269ba44fe4534p-9, -0x1.6d09ffb8bbd8bp-10, -0x1.526478a452d5fp-11, -0x1.4d8c9c312025bp-21, 0x1.1f15d37528f64p-11, 0x1.07594b7687e86p-10, 0x1.68a3289a9758p-10, 0x1.b4bde96045cd7p-10, 0x1.ecf1e5855c067p-10, 0x1.093dc2917ae46p-9, 0x1.13451edba35a9p-9, 0x1.152075031c665p-9, 0x1.0f5b2a99bd365p-9, 0x1.027b1b1be486fp-9, 0x1.ddfeeb3435ebep-10, 0x1.aac44a26552c4p-10, 0x1.6c2e717a516a5p-10, 0x1.231acc1357ffcp-10, 0x1.a0b720b3c1c13p-11, 0x1.d2e46978ec1e7p-12, 0x1.0f183bab871bcp-14, -0x1.691b55827b284p-12, -0x1.988b2d23e98d3p-11, -0x1.446908964d786p-10, -0x1.c21784ae02498p-10, -0x1.226090f628954p-9, -0x1.65ee9e2edf11ep-9, -0x1.ab75d7ce7583p-9, -0x1.f2b992353504cp-9, -0x1.1dc06e4552627p-8, -0x1.42cb22e15cb8p-8, -0x1.6863ce33f4fffp-8, -0x1.8e72d2a37d336p-8, -0x1.b4e249b22a6c6p-8, -0x1.db9d6c61884edp-8, -0x1.01488c99f3949p-7, -0x1.14d5aeae294fcp-7, -0x1.286dc916267c1p-7, -0x1.3c0901e9a7826p-7, -0x1.4fa02470dc12ep-7, -0x1.632c92e4bd9b4p-7, -0x1.76a80f6445fa3p-7, -0x1.8a0ce74317532p-7, -0x1.9d55d6ef6809ap-7, -0x1.b07e08c7cfed6p-7, -0x1.c3810b88c047ap-7, -0x1.d65ad0fd82a76p-7, -0x1.e9079b7d91a78p-7, -0x1.fb841d8266815p-7, -0x1.06e69faeb35e1p-6, -0x1.0ff0200f2d494p-6, -0x1.18dd54cca9e9cp-6, -0x1.21ad1cb1ba8ddp-6, -0x1.2a5e847e62771p-6, -0x1.32f0aa5a5522bp-6, -0x1.3b62d04ef7b5fp-6, -0x1.43b441a21e62ap-6, -0x1.4be474a55b751p-6, -0x1.53f2f39b909cfp-6, -0x1.5bdf4fa58182bp-6, -0x1.63a93d0bb06a7p-6, -0x1.6b50797347f8dp-6, -0x1.72d4d5dc49a86p-6, -0x1.7a363272866b2p-6, -0x1.81747ccca478ep-6, -0x1.888fb200e9a35p-6, -0x1.8f87d94dadafbp-6, -0x1.965d03feb9b7ep-6, -0x1.9d0f4cc4aecb1p-6, -0x1.a39ee21ab7d93p-6, -0x1.aa0bebe0944f1p-6, -0x1.b0569f5c44876p-6, -0x1.b67f3f07082a9p-6, -0x1.bc860ad76816fp-6, -0x1.c26b4b9d969d6p-6, -0x1.c82f4d78c84e7p-6, -0x1.cdd268433fc7p-6, -0x1.d354f095ef29ep-6, -0x1.d8b73f10562b9p-6, -0x1.ddf9ac7713191p-6, -0x1.e31c9d2b89c59p-6, -0x1.e8206a9c867c3p-6, -0x1.ed057fa6198bdp-6, -0x1.f1cc3f052bb65p-6, -0x1.f6750768d452dp-6, -0x1.fb004224ccf9p-6, -0x1.ff6e553c87325p-6, -0x1.01dfd293b715dp-5, -0x1.03fa4c82f6c3p-5, -0x1.0606cb5b36a75p-5, -0x1.080580d1bc0d2p-5, -0x1.09f69f794b615p-5, -0x1.0bda58eb2cfc2p-5, -0x1.0db0deab31697p-5, -0x1.0f7a611d2b2b9p-5, -0x1.1137109a51f18p-5, -0x1.12e71c99064fcp-5, -0x1.148ab1c324c2ep-5, -0x1.162200904b683p-5, -0x1.17ad36d3e2701p-5, -0x1.192c7c7f7f819p-5, -0x1.1a9fffc95b4f3p-5, -0x1.1c07eafe6efc8p-5, -0x1.1d6466d56eac1p-5, -0x1.1eb59afe12f71p-5, -0x1.1ffbb104f5ca4p-5, -0x1.2136cfcfbfae7p-5, -0x1.22671c7f34935p-5, -0x1.238cba9c3e6e9p-5, -0x1.24a7ce7203864p-5, -0x1.25b87b75fa2b4p-5, -0x1.26bee455ef49dp-5, -0x1.27bb29080d45dp-5, -0x1.28ad6a6c2baf8p-5, -0x1.2995c7e762c1bp-5, -0x1.2a745fa7e96cdp-5, -0x1.2b494e395a6c1p-5, -0x1.2c14b28e3e655p-5, -0x1.2cd6a8aa5f959p-5, -0x1.2d8f49b7ff77ap-5, -0x1.2e3eb16c22b64p-5, -0x1.2ee4f98b29d96p-5, -0x1.2f823b3d5d1c7p-5, -0x1.30168e51ada98p-5, -0x1.30a20b45cf00cp-5, -0x1.3124c8ea6d734p-5, -0x1.319edd2cbf895p-5, -0x1.32105e4f1a2ep-5, -0x1.327961860ae4ep-5, -0x1.32d9fba0ab7f5p-5, -0x1.333240f348ec4p-5, -0x1.338245356a58ap-5, -0x1.33ca1b91ba20ep-5, -0x1.3409d6ee50716p-5, -0x1.344189a96799dp-5, -0x1.347145d37c39bp-5, -0x1.34991d114c808p-5, -0x1.34b920e92872p-5, -0x1.34d162283d502p-5, -0x1.34e1f058b2e28p-5, -0x1.34eaddd907bacp-5, -0x1.34ec391f9cc6fp-5, -0x1.34e612a5cd0a4p-5, -0x1.34d87bb349d45p-5, -0x1.34c382d20816bp-5, -0x1.34a736c4e96cbp-5, -0x1.3483a7536febdp-5, -0x1.3458e3ee80785p-5, -0x1.3426fb9ab0374p-5, -0x1.33edfd348d8ecp-5, -0x1.33adf78b5a748p-5, -0x1.3366f97869c58p-5, -0x1.331911f511dd9p-5, -0x1.32c4500893296p-5, -0x1.3268c2a95cecdp-5, -0x1.320678b9e29cdp-5, -0x1.319d811a50ad2p-5, -0x1.312dea79fd818p-5, -0x1.30b7c404c31fbp-5, -0x1.303b1d3410135p-5, -0x1.2fb804982e3fbp-5, -0x1.2f2e89be25d52p-5, -0x1.2e9ebc03307bcp-5, -0x1.2e08aad50fd59p-5, -0x1.2d6c65d52abffp-5, -0x1.2cc9fc04a44d4p-5, -0x1.2c217da4f63dcp-5, -0x1.2b72fb15aa8c6p-5, -0x1.2abe8406d5c76p-5, -0x1.2a042805861a5p-5, -0x1.2943f7c894b98p-5, -0x1.287e03f314858p-5, -0x1.27b25d1761f38p-5, -0x1.26e113d174dbdp-5, -0x1.260a38f071fd6p-5, -0x1.252ddd864302cp-5, -0x1.244c12d86f6e1p-5, -0x1.2364ea53aee06p-5, -0x1.2278757940d1ep-5, -0x1.2186c5dd1fa84p-5, -0x1.208fedb7ef2p-5, -0x1.1f93fea74fea3p-5, -0x1.1e930aecaf73cp-5, -0x1.1d8d24f30657ep-5, -0x1.1c825f19f72fep-5, -0x1.1b72cba4d65c6p-5, -0x1.1a5e7d6ab7cb5p-5, -0x1.1945882d4ce62p-5, -0x1.1827feef702dbp-5, -0x1.1705f40f24b46p-5, -0x1.15df7ad5e7a32p-5, -0x1.14b4a70d3178cp-5, -0x1.13858c5b69692p-5, -0x1.12523e82d11f3p-5, -0x1.111ad16434f1cp-5, -0x1.0fdf58f3cb5c7p-5, -0x1.0e9fe93732f4dp-5, -0x1.0d5c960dd7df8p-5, -0x1.0c1573b0cbf7p-5, -0x1.0aca972b90efp-5, -0x1.097c14681f529p-5, -0x1.0829ffd4f580bp-5, -0x1.06d46e54c52d1p-5, -0x1.057b746b00924p-5, -0x1.041f26d02e792p-5, -0x1.02bf9a3ff892ep-5, -0x1.015ce34e66189p-5, -0x1.ffee2de371113p-6, -0x1.fd1c942240f05p-6, -0x1.fa4523230738bp-6, -0x1.f76804bd7c36p-6, -0x1.f48562d46506dp-6, -0x1.f19d67568d6b6p-6, -0x1.eeb03bffbed05p-6, -0x1.ebbe0ad9df51bp-6, -0x1.e8c6fd3893c0dp-6, -0x1.e5cb3d05fae53p-6, -0x1.e2caf3f89e205p-6, -0x1.dfc64bb98ec21p-6, -0x1.dcbd6dc5d2eb6p-6, -0x1.d9b0837e303d4p-6, -0x1.d69fb627701abp-6, -0x1.d38b2ee6212aap-6, -0x1.d07316d102c08p-6, -0x1.cd5796e786532p-6, -0x1.ca38d7e780544p-6, -0x1.c717024a96f26p-6, -0x1.c3f23e674a4edp-6, -0x1.c0cab474d99dcp-6, -0x1.bda08c6a44cap-6, -0x1.ba73ededf2387p-6, -0x1.b7450051c406ep-6, -0x1.b413eaf484232p-6, -0x1.b0e0d51dcce07p-6, -0x1.adabe50829886p-6, -0x1.aa7541061736ep-6, -0x1.a73d0fed48248p-6, -0x1.a40377286689fp-6, -0x1.a0c89b651f4c2p-6, -0x1.9d8ca1c238886p-6, -0x1.9a4fb046356edp-6, -0x1.9711ec34847cep-6, -0x1.93d37898885dp-6, -0x1.9094790c7cf41p-6, -0x1.8d5511b18b5adp-6, -0x1.8a1564e533ab4p-6, -0x1.86d5950a40988p-6, -0x1.8395c4e10264bp-6, -0x1.80561678555e8p-6, -0x1.7d16ab2ecda6cp-6, -0x1.79d7a4062095ap-6, -0x1.769921ac384e2p-6, -0x1.735b44960165dp-6, -0x1.701e2c50ce8edp-6, -0x1.6ce1f86aa483bp-6, -0x1.69a6c79f0417cp-6, -0x1.666cb8868e6fbp-6, -0x1.6333e9314d0d5p-6, -0x1.5ffc772f27c29p-6, -0x1.5cc67f9e82336p-6, -0x1.59921f30dc23dp-6, -0x1.565f7223c31a8p-6, -0x1.532e94366dbc3p-6, -0x1.4fffa09764cb3p-6, -0x1.4cd2b20392d23p-6, -0x1.49a7e2dec6ec9p-6, -0x1.467f4ce8af081p-6, -0x1.43590985563e9p-6, -0x1.40353195d7834p-6, -0x1.3d13dd7fb3c6bp-6, -0x1.39f5252d5912dp-6, -0x1.36d9201475ba1p-6, -0x1.33bfe5361c3aap-6, -0x1.30a98b0ff1aa8p-6, -0x1.2d9627928f837p-6, -0x1.2a85d0250d485p-6, -0x1.277899a11948cp-6, -0x1.246e984cff841p-6, -0x1.2167e04e7aafbp-6, -0x1.1e64855068c98p-6, -0x1.1b649a276dedcp-6, -0x1.186831949d5fcp-6, -0x1.156f5ddbcf171p-6, -0x1.127a30947cea8p-6, -0x1.0f88bacf6356ep-6, -0x1.0c9b0d3edfd9ap-6, -0x1.09b137e403654p-6, -0x1.06cb4aa49e908p-6, -0x1.03e9549cc1665p-6, -0x1.010b64988b4e1p-6, -0x1.fc6311e21106ep-7, -0x1.f6b79f165e429p-7, -0x1.f1148bab9d533p-7, -0x1.eb79f19375e45p-7, -0x1.e5e7e9da3dcd9p-7, -0x1.e05e8caf74a6cp-7, -0x1.daddf167d65c7p-7, -0x1.d5662e568145p-7, -0x1.cff758772c0abp-7, -0x1.ca918440ad177p-7, -0x1.c534c6add2de2p-7, -0x1.bfe1329cc0b87p-7, -0x1.ba96d92ddaa34p-7, -0x1.b555cc0113ed1p-7, -0x1.b01e1beea1bdcp-7, -0x1.aaefd89b6a63ep-7, -0x1.a5cb10dff39c5p-7, -0x1.a0afd2d332e0fp-7, -0x1.9b9e2bbf1b40dp-7, -0x1.9696282b5ccb7p-7, -0x1.9197d3f6fbe4fp-7, -0x1.8ca33a5c5d1a4p-7, -0x1.87b865d7adcc9p-7, -0x1.82d7600bcca61p-7, -0x1.7e0031c1a22p-7, -0x1.7932e2f163ef7p-7, -0x1.746f7b5bb069bp-7, -0x1.6fb601776e94fp-7, -0x1.6b067bb033ae9p-7, -0x1.6660ef5ce52e8p-7, -0x1.61c5612b832ddp-7, -0x1.5d33d53896a1ep-7, -0x1.58ac4f2ea7c45p-7, -0x1.542ed246657b5p-7, -0x1.4fbb6125eca76p-7, -0x1.4b51fd738fd27p-7, -0x1.46f2a89ca1b89p-7, -0x1.429d63077cdb4p-7, -0x1.3e522c6287p-7, -0x1.3a110414ec418p-7, -0x1.35d9e8eeb3c54p-7, -0x1.31acd94aecadcp-7, -0x1.2d89d328904dfp-7, -0x1.2970d3b516e29p-7, -0x1.2561d69747bb9p-7, -0x1.215cd8b31786dp-7, -0x1.1d61d83dfcc99p-7, -0x1.1970d0b18bf41p-7, -0x1.1589bc2e0a8ecp-7, -0x1.11ac933fcb52cp-7, -0x1.0dd9510adc045p-7, -0x1.0a0ff0234eb1bp-7, -0x1.065069d4b209p-7, -0x1.029ab6dbd8c3fp-7, -0x1.fddd9f289727ap-8, -0x1.f69957bb708cdp-8, -0x1.ef68860a8ca48p-8, -0x1.e84b185c708edp-8, -0x1.e140fc7bad9fp-8, -0x1.da4a1f67cbfd2p-8, -0x1.d3666d3925739p-8, -0x1.cc95d13c2bb3cp-8, -0x1.c5d836a3ea14bp-8, -0x1.bf2d88cf8f756p-8, -0x1.b895b2ebb9ac3p-8, -0x1.b2109f7542887p-8, -0x1.ab9e381333f1dp-8, -0x1.a53e65b5e1252p-8, -0x1.9ef110b533077p-8, -0x1.98b620bd00c89p-8, -0x1.928d7c90ee4d6p-8, -0x1.8c7709dce68e7p-8, -0x1.8672ad2423072p-8, -0x1.808049b201532p-8, -0x1.7a9fc226b8f12p-8, -0x1.74d0faca11fabp-8, -0x1.6f13d8a0b9a83p-8, -0x1.69683f7a96038p-8, -0x1.63ce1484fb866p-8, -0x1.5e453d531b122p-8, -0x1.58cd9e725a9f1p-8, -0x1.53671b5d9e8a6p-8, -0x1.4e11966ffdb5bp-8, -0x1.48ccf0c9e5184p-8, -0x1.43990a599864p-8, -0x1.3e75c22b37c56p-8, -0x1.3962f6d477fdep-8, -0x1.3460871dcd915p-8, -0x1.2f6e52b715ed1p-8, -0x1.2a8c3ad892b89p-8, -0x1.25ba21f605299p-8, -0x1.20f7ebe1a9b46p-8, -0x1.1c457d0d316e1p-8, -0x1.17a2b95a3ed99p-8, -0x1.130f83300863bp-8, -0x1.0e8bbad991008p-8, -0x1.0a173e3698267p-8, -0x1.05b1e8c9adcf1p-8, -0x1.015b943af7b1bp-8, -0x1.fa283236055f7p-9, -0x1.f1b69f9000c9dp-9, -0x1.e9622198eb0dap-9, -0x1.e12a747d5b09cp-9, -0x1.d90f4f7ca56aap-9, -0x1.d1107b83ca21ep-9, -0x1.c92dbc4e97b81p-9, -0x1.c166de93c3496p-9, -0x1.b9bbb196f34c7p-9, -0x1.b22c0275387f1p-9, -0x1.aab79a6a4d8efp-9, -0x1.a35e3cf9eeeb7p-9, -0x1.9c1fa70b7c6bbp-9, -0x1.94fb8f1a52e2fp-9, -0x1.8df1a58d178d7p-9, -0x1.8701943ca88acp-9, -0x1.802b089792e05p-9, -0x1.796dbfdcf6599p-9, -0x1.72c963c4d45cdp-9, -0x1.6c3da90f8c99p-9, -0x1.65ca5b2bcbcbap-9, -0x1.5f6f2f7eb0291p-9, -0x1.592be7b3bc00ep-9, -0x1.530050d8f9fe2p-9, -0x1.4cec36a32c154p-9, -0x1.46ef638f481e7p-9, -0x1.41099fde3b35dp-9, -0x1.3b3aafcfff6f3p-9, -0x1.358252cf25dcfp-9, -0x1.2fe0443116767p-9, -0x1.2a543d706b4c3p-9, -0x1.24ddf7173c987p-9, -0x1.1f7d2c6a68603p-9, -0x1.1a319b098f7e1p-9, -0x1.14fb03bb74835p-9, -0x1.0fd929bd9fb2p-9, -0x1.0acbd04ffa68ep-9, -0x1.05d2b4aea767p-9, -0x1.00ed98725110bp-9, -0x1.f83894bed0aap-10, -0x1.eebd1b383fffbp-10, -0x1.e5683b4295cf7p-10, -0x1.dc39885acbb72p-10, -0x1.d33094a3d6077p-10, -0x1.ca4ce66acd5cap-10, -0x1.c18e01c29d484p-10, -0x1.b8f369a787372p-10, -0x1.b07c9da617d5ap-10, -0x1.a829286ea3d4dp-10, -0x1.9ff895cd2c70dp-10, -0x1.97ea7a645a5fp-10, -0x1.8ffe6b9feefa8p-10, -0x1.88340ab64f272p-10, -0x1.808ac24a6802bp-10, -0x1.79023a9a4b8eap-10, -0x1.7199ed98972fep-10, -0x1.6a51669cf9357p-10, -0x1.63283a5488f71p-10, -0x1.5c1dffb60cc39p-10, -0x1.553254c184588p-10, -0x1.4e64d724a81d9p-10, -0x1.47b525043fb7p-10, -0x1.4122db4195781p-10, -0x1.3aad96ce0a3efp-10, -0x1.3454f685557e4p-10, -0x1.2e189c8169095p-10, -0x1.27f82e1b6f87fp-10, -0x1.21f35287acf88p-10, -0x1.1c09b096b132ap-10, -0x1.163aec24df948p-10, -0x1.1086a37802c37p-10, -0x1.0aec6d04116a4p-10, -0x1.056bd67ac497cp-10, -0x1.0004661ae333bp-10, -0x1.f56b3f50d82ccp-11, -0x1.eafe187164023p-11, -0x1.e0c07cea7cbc7p-11, -0x1.d6b19ea5d4a2bp-11, -0x1.ccd0b95aed346p-11, -0x1.c31d1826cec32p-11, -0x1.b99621b694b52p-11, -0x1.b03b58e9fa541p-11, -0x1.a70c532c4d76ap-11, -0x1.9e08ac1baa9c6p-11, -0x1.952ff7f00d1ap-11, -0x1.8c81b8688fb0fp-11, -0x1.83fd5a908b601p-11, -0x1.7ba23e057e699p-11, -0x1.736fbfb3da121p-11, -0x1.6b6540a29a99ap-11, -0x1.638225c062183p-11, -0x1.5bc5d3295a07fp-11, -0x1.542fa75fad121p-11, -0x1.4cbef87acd8f6p-11, -0x1.457311e2cafeep-11, -0x1.3e4b30fc5c1f6p-11, -0x1.37468264375c2p-11, -0x1.3064253bc6499p-11, -0x1.29a33a0f06ccdp-11, -0x1.2302fbbc3ac4cp-11, -0x1.1c82d70bffaf2p-11, -0x1.16226feac9d38p-11, -0x1.0fe17e873f5ffp-11, -0x1.09bff8ed0171ap-11, -0x1.03bd9337a6631p-11, -0x1.fbb381038c1d8p-12, -0x1.f02810cfc2b1p-12, -0x1.e4d7b8a78da68p-12, -0x1.d9c17460d33edp-12, -0x1.cee46741bd7a3p-12, -0x1.c43fd19b0284cp-12, -0x1.b9d2f68e35d75p-12, -0x1.af9cfc8e87c0bp-12, -0x1.a59cf35d5dfdcp-12, -0x1.9bd2111c68645p-12, -0x1.923af404087ffp-12, -0x1.88d72d4ba89c4p-12, -0x1.7fa4fd25dfd35p-12, -0x1.76a390e8e73f4p-12, -0x1.6dd15eff62cb9p-12, -0x1.652d32ce4c419p-12, -0x1.5cb637a7ab35fp-12, -0x1.546bf15327ed9p-12, -0x1.4c4e04d9bc87dp-12, -0x1.445bff6a63361p-12, -0x1.3c953b0315481p-12, -0x1.34f8cc5069472p-12, -0x1.2d85820acf354p-12, -0x1.263abb6083375p-12, -0x1.1f17c4a4378eap-12, -0x1.181b690f7b225p-12, -0x1.11451f4b6a27fp-12, -0x1.0a9482f8eec52p-12, -0x1.0409272717e05p-12, -0x1.fb453aac1d35fp-13, -0x1.eec0c03a99de5p-13, -0x1.e283895f20539p-13, -0x1.d68b558579a12p-13, -0x1.cad70a902f93p-13, -0x1.bf65c46ab72e7p-13, -0x1.b4353c5c2db43p-13, -0x1.a944c844db19dp-13, -0x1.9e91914353663p-13, -0x1.941b3f7d4c3ebp-13, -0x1.89e0ef0c28a83p-13, -0x1.7fe1ae742213p-13, -0x1.761c570be8665p-13, -0x1.6c8fbe967711cp-13, -0x1.633b1f0b21e0ap-13, -0x1.5a1d2c51ebf78p-13, -0x1.513546e36a13p-13, -0x1.4882862623655p-13, -0x1.40035e43ea068p-13, -0x1.37b68594ca97fp-13, -0x1.2f9aa8934d78cp-13, -0x1.27ae8e89ac8bfp-13, -0x1.1ff132a8f2639p-13, -0x1.1861d90355687p-13, -0x1.1100867e62196p-13, -0x1.09cb6ed818c7dp-13, -0x1.02c2f35cbd8f7p-13, -0x1.f7ca2c2a9072p-14, -0x1.ea620b03fe691p-14, -0x1.dd4be60d6855ep-14, -0x1.d086706c93519p-14, -0x1.c4106b123925p-14, -0x1.b7e84f117fc6ap-14, -0x1.ac0c48fc44eep-14, -0x1.a07a6b5810619p-14, -0x1.9530b759f5adap-14, -0x1.8a2d0b9075ef7p-14, -0x1.7f6d7b88ea876p-14, -0x1.74f0e6d23090bp-14, -0x1.6ab6e9f76066p-14, -0x1.60bf0e42a21b5p-14, -0x1.5708240d27cb1p-14, -0x1.4d90714b70274p-14, -0x1.4456428678e52p-14, -0x1.3b5829a7f6c21p-14, -0x1.3294de008955bp-14, -0x1.2a0a24eeb8c98p-14, -0x1.21b77b8dea5e2p-14, -0x1.199b89b892aafp-14, -0x1.11b4675e63886p-14, -0x1.0a018c5a1993ep-14, -0x1.0281e7c34e5e9p-14, -0x1.f667da9963f8ap-15, -0x1.e82c1081d9da4p-15, -0x1.da4ebfcc14c49p-15, -0x1.ccce3cb6ef591p-15, -0x1.bfac8c1873e88p-15, -0x1.b2e55b4c3f062p-15, -0x1.a6773728cd984p-15, -0x1.9a5ec09b7df54p-15, -0x1.8e987ca35c259p-15, -0x1.832185c084006p-15, -0x1.77f7f378f9861p-15, -0x1.6d1b230d5fc26p-15, -0x1.628a7ff4f02f1p-15, -0x1.584463aa01d3dp-15, -0x1.4e469ddc29549p-15, -0x1.448f8fe81477p-15, -0x1.3b1e01a281336p-15, -0x1.31f08955778d7p-15, -0x1.29054e2051944p-15, -0x1.205a38716243fp-15, -0x1.17ed58145f9f3p-15, -0x1.0fbd8d6bcadc2p-15, -0x1.07ca1e2c2c395p-15, -0x1.00116c3668612p-15, -0x1.f123afa6f2176p-16, -0x1.e29534e79aa1ap-16, -0x1.d474f5e4858p-16, -0x1.c6bde73e38c2dp-16, -0x1.b962f1a25c5f2p-16, -0x1.ac6feea070b32p-16, -0x1.9fe30735a9197p-16, -0x1.93b1446765b7bp-16, -0x1.87e11825bebaap-16, -0x1.7c6d9f86e03fbp-16, -0x1.71521b9dee626p-16, -0x1.668af86046923p-16, -0x1.5c1a13af745c7p-16, -0x1.51f4471bcad27p-16, -0x1.481b43e55cb8bp-16, -0x1.3e943590b98d3p-16, -0x1.35587be8773eep-16, -0x1.2c65c72cd47a4p-16, -0x1.23bb4e58c7c7dp-16, -0x1.1b5744f1a0e4dp-16, -0x1.1335d2d97f6p-16, -0x1.0b558dac240f2p-16, -0x1.03b62408f0848p-16, -0x1.f8aaca61f20a5p-17, -0x1.ea644e9d6e475p-17, -0x1.dc95ba4a5eb47p-17, -0x1.cf39539c0d22ap-17, -0x1.c24c7995f6ac4p-17, -0x1.b5cefaf2fap-17, -0x1.a9c423c654605p-17, -0x1.9e13e692ec707p-17, -0x1.92ce535c24c69p-17, -0x1.87ece6f6023b8p-17, -0x1.7d6cd151ce04ap-17, -0x1.7331e44224062p-17, -0x1.69647ba08fd56p-17, -0x1.5fe836c4ff66fp-17, -0x1.56c8072066067p-17, -0x1.4ded81ca6298p-17, -0x1.456dcf9d4c6a1p-17, -0x1.3d36d9dc273d8p-17, -0x1.354a481f33f8ep-17, -0x1.2da5c56c9991dp-17, -0x1.2647c6bee5f2fp-17, -0x1.1f2e09df7d7a3p-17, -0x1.18559fdf986cap-17, -0x1.11bcfd8368f1bp-17, -0x1.0b62f8b263435p-17, -0x1.054592984b841p-17, -0x1.fec5cab530231p-18, -0x1.f3728de709ecap-18, -0x1.e88d9eafeacbp-18, -0x1.de133dc2a275fp-18, -0x1.d4002bc2181b8p-18, -0x1.ca503db38df85p-18, -0x1.c0fd46b5c4bcap-18, -0x1.b80440374c309p-18, -0x1.af6bbb5bb2cfap-18, -0x1.a731da1b26397p-18, -0x1.9f47985d77ef3p-18, -0x1.97abd20af8cbp-18, -0x1.9066691dd4548p-18, -0x1.89760c48ecaccp-18, -0x1.82b903c932fecp-18, -0x1.7c5d0508e2967p-18, -0x1.762a1fa103bb5p-18, -0x1.70466e6ecc696p-18, -0x1.6aa2b8b6d84abp-18, -0x1.653c308cd275bp-18, -0x1.601162ed58f3fp-18, -0x1.5b216977cb13cp-18, -0x1.566559d715258p-18, -0x1.51d89db4ca96bp-18, -0x1.4d89bae369e92p-18, -0x1.496b8ee26f02ap-18, -0x1.457997fe0d73cp-18, -0x1.41b39b134a73cp-18, -0x1.3e1d0bfb2769cp-18, -0x1.3aacf5661882ap-18, -0x1.3769dcb16e2fdp-18, -0x1.34509f36cee56p-18, -0x1.3158bf6f4d08bp-18, -0x1.2e821af36cc2cp-18, -0x1.2bcca6d114fafp-18, -0x1.29437191089a6p-18, -0x1.26ab854a7c18fp-18, -0x1.24798edc9742ap-18, -0x1.2243fdeaafa16p-18, -0x1.202099ef0c01ep-18, -0x1.1e21a0fa54aafp-18, -0x1.1c36a3ad9a322p-18, -0x1.1a662efeb646cp-18, -0x1.18b4a4a05a30ep-18, -0x1.171436bc681d3p-18, -0x1.159090f2f75d6p-18, -0x1.14092fbe62ea4p-18, -0x1.1299aa259cab4p-18, -0x1.11379082d8243p-18, -0x1.0fee60d62c589p-18, -0x1.0ec623e13609bp-18, -0x1.0da17e32382cp-18, -0x1.0c88e1b7bbebp-18, -0x1.0b7abf8ab52e9p-18, -0x1.0a7b96d35c94bp-18, -0x1.098cec0addbc1p-18, -0x1.08aa60c85bc6p-18, -0x1.07d015e4e32fp-18, -0x1.06fd1d7257e02p-18, -0x1.0631de29f4634p-18, -0x1.056f135ff69afp-18, -0x1.04b494d462b04p-18, -0x1.04014b1db41adp-18, -0x1.03545135b326fp-18, -0x1.02ad457f0298dp-18, -0x1.020c0f15744a7p-18, -0x1.0170798d664f5p-18, -0x1.00da0f1e0c371p-18, -0x1.00483dc505711p-18, -0x1.ff74ea4872fffp-19, -0x1.fe5fb14db24e6p-19, -0x1.fd520b252bb2ap-19, -0x1.fc4b6272bdc17p-19, -0x1.fb4b0ff926623p-19, -0x1.fa4964b7478a8p-19, -0x1.f9445483faf6ep-19, -0x1.f81e6a1c341b9p-19, -0x1.f73a6e3f5e922p-19, -0x1.f6407ee70a49cp-19, -0x1.f539ae8fbe951p-19, -0x1.f43ec8810acap-19, -0x1.f35f09d812568p-19, -0x1.f2693e74303e6p-19, -0x1.f149b7ea1210ap-19, -0x1.f032a0be3629fp-19, -0x1.ef685627e25d9p-19, -0x1.ee4f5e2320ac5p-19, -0x1.ed47fa2539df7p-19, -0x1.ec383bd75206ep-19, -0x1.eb135f12cf41cp-19, -0x1.e9f879b671343p-19, -0x1.e8e6f59b3c8f3p-19, -0x1.e7bcf05effd4p-19, -0x1.e69aeec7804aep-19, -0x1.e58223680dd15p-19, -0x1.e44705dae42a3p-19, -0x1.e2fc2ac9b26a8p-19, -0x1.e1cb972a5c0c7p-19, -0x1.e091b746d8a09p-19, -0x1.df40a7c713f28p-19, -0x1.ddf3fc176a2dap-19, -0x1.dc877fd640a19p-19, -0x1.db3006b29fe21p-19, -0x1.d9caa2989b5afp-19, -0x1.d86fa9f9e23ep-19, -0x1.d6c2e960e07f6p-19, -0x1.d5741797b3dbdp-19, -0x1.d3f14410e4571p-19, -0x1.d25cf1516482fp-19, -0x1.d0c85f05a0d05p-19, -0x1.cf3872ce1e71dp-19, -0x1.cd950a453dfc8p-19, -0x1.cbe9de7806d6ep-19, -0x1.ca33ed29db488p-19, -0x1.c8680e2db0ae3p-19, -0x1.c69af06e1abc5p-19, -0x1.c4ef12aa75095p-19, -0x1.c3186339b9d5dp-19, -0x1.c144304caf55p-19, -0x1.bf6bb7d04e954p-19, -0x1.bd7843466fab8p-19, -0x1.bb9459210abfcp-19, -0x1.b99cf1122e07p-19, -0x1.b79d775fd3e38p-19, -0x1.b59a02007f8e6p-19, -0x1.b38e9d8c35303p-19, -0x1.b17ace5600964p-19, -0x1.af5f8735cd93dp-19, -0x1.ad3cfd9db2503p-19, -0x1.ab11cdb66fb6ap-19, -0x1.a8df5adcc034cp-19, -0x1.a6ad05def5a6ap-19, -0x1.a4691d92e544ap-19, -0x1.a22644a08674fp-19, -0x1.9fd6a2ca168fep-19, -0x1.9d8428137f60ep-19, -0x1.9b1398e25fc5p-19, -0x1.98bcb35675efep-19, -0x1.966fdb5754be4p-19, -0x1.93fc74b500bc9p-19, -0x1.91851e9746712p-19, -0x1.8f123a3f4493ep-19, -0x1.8c9ac511c8c4fp-19, -0x1.8a1a6ef4711dp-19, -0x1.8791a532ee013p-19, -0x1.85001835a5e76p-19, -0x1.8267a02f6a24ep-19, -0x1.7fd319f8cac31p-19, -0x1.7d4653d4ae70ep-19, -0x1.7aa2119ae8362p-19, -0x1.77ffecdae5fa4p-19, -0x1.7549fc47eddd9p-19, -0x1.72919f226f196p-19, -0x1.6fd98aa86069ep-19, -0x1.6d2df5536661ap-19, -0x1.6a78f4d6532abp-19, -0x1.67b9fdc3ccf01p-19, -0x1.64f7eb9fad15dp-19, -0x1.623a635025203p-19, -0x1.5f71213d3635bp-19, -0x1.5c8ec784cf9fap-19, -0x1.59a8f6fa3896cp-19, -0x1.56eeb68366259p-19, -0x1.540fd3ae2a85ep-19, -0x1.513d6a735e657p-19, -0x1.4e7e0b572c56fp-19, -0x1.4b9dbf3e7ac4dp-19, -0x1.48afb59986c3cp-19, -0x1.45c5ee80db9f2p-19, -0x1.42df5840879c5p-19, -0x1.3ff7229546bcfp-19, -0x1.3d0c49732a3a3p-19, -0x1.3a2c2968b23d7p-19, -0x1.3719841b57c91p-19, -0x1.34368b409b708p-19, -0x1.315de53d1ed3bp-19, -0x1.2e6b1889ae8e5p-19, -0x1.2b6dfb0eab7b7p-19, -0x1.287ae491c2c7bp-19, -0x1.25878e0496a7ep-19, -0x1.2292f0ad4803p-19, -0x1.1f9d248c97e6cp-19, -0x1.1ca62d63c5e41p-19, -0x1.19ac552162664p-19, -0x1.16bbd11a39477p-19, -0x1.13bb9a8fcf64fp-19, -0x1.10c5bbcdeb14bp-19, -0x1.0dce056b976b2p-19, -0x1.0ad5fc821b407p-19, -0x1.07dec5b945cfbp-19, -0x1.04e9b13c7fd58p-19, -0x1.01ec2630b43e3p-19, -0x1.fdd7ce43e3b79p-20, -0x1.f822bbb849aafp-20, -0x1.f2c24f695093fp-20, -0x1.ec4d6524cfce7p-20, -0x1.e66d1bc7a9fa5p-20, -0x1.e06d3a753aa82p-20, -0x1.da810d8ac5242p-20, -0x1.d4a44131b3cf6p-20, -0x1.ce2dc1c2d63e1p-20, -0x1.c922483b8f5ep-20, -0x1.c33c8ffdb83a7p-20, -0x1.bd2fea5348a22p-20, -0x1.b7678fd1cc9e6p-20, -0x1.b1a0904c88e7dp-20, -0x1.abd02a2a5e4e3p-20, -0x1.a6006adc4d159p-20, -0x1.a036c3652e7fp-20, -0x1.9a89b1f0ddebbp-20, -0x1.94c824982a7d8p-20, -0x1.8f1a97ab95bedp-20, -0x1.8964ab2aa3de2p-20, -0x1.83b5aabaa9f16p-20, -0x1.7e0e7d49cbc3dp-20, -0x1.785933b7b7db9p-20, -0x1.72c230c667978p-20, -0x1.6d1b075965d78p-20, -0x1.6788fd28682d4p-20, -0x1.6203fc6a5bad1p-20, -0x1.5c76085dce26ap-20, -0x1.56f23fa724ce2p-20, -0x1.517d45a05acb3p-20, -0x1.4c0b5191562a8p-20, }}, 
      {{-0x1.a9c991444ecaep-2, -0x1.9abbe4f4870cap-2, -0x1.8d7b939e928d7p-2, -0x1.899f59993ffacp-2, -0x1.92de6f3d6c819p-2, -0x1.a99180e13cd0dp-2, -0x1.cbc1967bab94cp-2, -0x1.f62f7fe5b2f48p-2, -0x1.129156d63014ap-1, -0x1.2a7c1acebe67fp-1, -0x1.413d2d394c8dfp-1, -0x1.5586bde22b5c8p-1, -0x1.665f8bfa6b82p-1, -0x1.7320b62be001dp-1, -0x1.7b6dd9a080635p-1, -0x1.7f2a52dcd7aeap-1, -0x1.7e6d82c7bd695p-1, -0x1.79773cf1eeb1ap-1, -0x1.70a50fee20055p-1, -0x1.6468bdcf07949p-1, -0x1.55400fa3bdb3ep-1, -0x1.43ae0cc339687p-1, -0x1.303588408d701p-1, -0x1.1b54e8603b9dbp-1, -0x1.0583050d6f428p-1, -0x1.de59f266a2977p-2, -0x1.b16981be9db69p-2, -0x1.84e102ed2aa52p-2, -0x1.5954b09c6e7d3p-2, -0x1.2f4125fcad752p-2, -0x1.070c6b2b895fep-2, -0x1.c20edc04716abp-3, -0x1.7adf80385e932p-3, -0x1.38e2fd2795ebap-3, -0x1.f8a51d99bcc96p-4, -0x1.8a989811e4ab4p-4, -0x1.27adc62f8ee5p-4, -0x1.9f9474db95abdp-5, -0x1.05648374ca73fp-5, -0x1.003b6ff234852p-6, -0x1.dccb244e1fc2dp-10, 0x1.3cf540d4f83fdp-7, 0x1.36c4b82fc09fep-6, 0x1.ad5f524d8448ap-6, 0x1.02573fb1afd4dp-5, 0x1.1f90b4cd12abp-5, 0x1.2f9467990f459p-5, 0x1.33978ed2d09cp-5, 0x1.2cc8f2e33a6fep-5, 0x1.1c4e55ae56c26p-5, 0x1.03426aff5e118p-5, 0x1.c566a609f6767p-6, 0x1.7742f239932c3p-6, 0x1.1dfd8cb873514p-6, 0x1.76b8dff30029ep-7, 0x1.441da32bb43c6p-8, -0x1.f77f8442afc1bp-10, -0x1.296bf9f1ae629p-7, -0x1.0d6414a4ad185p-6, -0x1.8850115a4bffdp-6, -0x1.02317c4cf4c4fp-5, -0x1.4050022c18acep-5, -0x1.7e1199c6a9b2bp-5, -0x1.bb10177ec1da9p-5, -0x1.f6f05e354bb2bp-5, -0x1.18b0e9943a92cp-4, -0x1.350ece88389e3p-4, -0x1.507302d36d38fp-4, -0x1.6ac2ebda010c2p-4, -0x1.83e7dbe276c81p-4, -0x1.9bcec847af79cp-4, -0x1.b267ffde297f6p-4, -0x1.c7a6e4e294c0fp-4, -0x1.db81aad2f5122p-4, -0x1.edf118a2c63d9p-4, -0x1.fef04d44e4558p-4, -0x1.073e4479d892dp-3, -0x1.0e4a7bfbf4815p-3, -0x1.149d415195873p-3, -0x1.1a37cf7e5918cp-3, -0x1.1f1c131f7d2dcp-3, -0x1.234c96a4891e3p-3, -0x1.26cc6f8820027p-3, -0x1.299f2d72b55e8p-3, -0x1.2bc8cacfc9fe6p-3, -0x1.2d4d9d1cf03e3p-3, -0x1.2e3248e3d925fp-3, -0x1.2e7bb40572adcp-3, -0x1.2e2efb0ebc4cbp-3, -0x1.2d5167243770bp-3, -0x1.2be8638efd03ep-3, -0x1.29f975963cea5p-3, -0x1.278a3505955ep-3, -0x1.24a04406942ecp-3, -0x1.2141498064377p-3, -0x1.1d72eabd5ec8dp-3, -0x1.193ac6aebea17p-3, -0x1.149e7091004b2p-3, -0x1.0fa36c6c04b12p-3, -0x1.0a4f2ae564ad2p-3, -0x1.04a706a2f127dp-3, -0x1.fd6081644ee69p-4, -0x1.f0dffd144761cp-4, -0x1.e3d69004bf601p-4, -0x1.d64e0ab7acb32p-4, -0x1.c84ffbdf17f57p-4, -0x1.b9e5ad665323fp-4, -0x1.ab1822f2425e6p-4, -0x1.9bf0186885a21p-4, -0x1.8c76011b4cbcfp-4, -0x1.7cb205794f745p-4, -0x1.6cac0597716cbp-4, -0x1.5c6b963fc9102p-4, -0x1.4bf8027f7794ep-4, -0x1.3b584cc84d102p-4, -0x1.2a932db0751ffp-4, -0x1.19af15cb7d25fp-4, -0x1.08b22fc52e6a2p-4, -0x1.ef44beb578e05p-5, -0x1.cd0a8835eabf5p-5, -0x1.aac0764d02105p-5, -0x1.8870bcb049b3p-5, -0x1.6625112be6e83p-5, -0x1.43e6ad74fe6e8p-5, -0x1.21be4e2854d88p-5, -0x1.ff68773a7abe5p-6, -0x1.bba09c0c5ca18p-6, -0x1.7833d2500a556p-6, -0x1.35300df6d9381p-6, -0x1.e544f35f381e1p-7, -0x1.612eda875d17bp-7, -0x1.bc69f98326246p-8, -0x1.71b48015d175ep-9, 0x1.20a332a353d23p-10, 0x1.46795fac011c1p-8, 0x1.20fa0b9108d25p-7, 0x1.9d3c07002edb8p-7, 0x1.0bf9beec81962p-6, 0x1.48893396bda41p-6, 0x1.8445e3674e835p-6, 0x1.bf29de53f518bp-6, 0x1.f92fbddba9777p-6, 0x1.1929473a30fedp-5, 0x1.3546e7320b342p-5, 0x1.50eebca8c9e9dp-5, 0x1.6c1efcaca7889p-5, 0x1.86d60a7399aebp-5, 0x1.a11279da763cfp-5, 0x1.bad314197f45p-5, 0x1.d416cebbd0752p-5, 0x1.ecdcc3d7c0785p-5, 0x1.02921bcb4ca9fp-4, 0x1.0e764c530037fp-4, 0x1.1a1abd4a5759cp-4, 0x1.257f472f62147p-4, 0x1.30a3d3006fef8p-4, 0x1.3b885b94402dcp-4, 0x1.462cea7dfbe68p-4, 0x1.5091951cfc802p-4, 0x1.5ab67de4bc96fp-4, 0x1.649bd49201d5p-4, 0x1.6e41d5f8748c9p-4, 0x1.77a8c8798c131p-4, 0x1.80d0fb44628ecp-4, 0x1.89bac80e7613ep-4, 0x1.9266935b1fd05p-4, 0x1.9ad4c96f0029ep-4, 0x1.a305dd1d0f113p-4, 0x1.aafa484a68c3fp-4, 0x1.b2b28cfc5ff85p-4, 0x1.ba2f3455de061p-4, 0x1.c170cc5a44118p-4, 0x1.c877e7938dbe4p-4, 0x1.cf451da93d24ep-4, 0x1.d5d90bff99322p-4, 0x1.dc345483ecce9p-4, 0x1.e2579c1207f1fp-4, 0x1.e8438a3713131p-4, 0x1.edf8ca316fa8ep-4, 0x1.f3780a69bd981p-4, 0x1.f8c1fc6e53dfdp-4, 0x1.fdd7535d9d723p-4, 0x1.015c61c09323ep-3, 0x1.03b3816d1293ep-3, 0x1.05f164cb70318p-3, 0x1.081668ce63751p-3, 0x1.0a22eaa12a4aap-3, 0x1.0c17478d7e834p-3, 0x1.0df3dd0b4b679p-3, 0x1.0fb908f915627p-3, 0x1.116729a0f2cc6p-3, 0x1.12fe9d381d011p-3, 0x1.147fc1b498f29p-3, 0x1.15eaf4c2218a6p-3, 0x1.174093d762c4dp-3, 0x1.1880fc679ba5bp-3, 0x1.19ac8bb3937d5p-3, 0x1.1ac39e8eae5e3p-3, 0x1.1bc6912159a23p-3, 0x1.1cb5bf05bbc6fp-3, 0x1.1d91836111b3ap-3, 0x1.1e5a38f6188d2p-3, 0x1.1f1039f79f841p-3, 0x1.1fb3dfe2fc572p-3, 0x1.2045836c1d973p-3, 0x1.20c57c7ef7b11p-3, 0x1.2134225b75e92p-3, 0x1.2191cb9ab8a3dp-3, 0x1.21dece15b115cp-3, 0x1.221b7ed1f7aedp-3, 0x1.224831fd9a19ap-3, 0x1.22653ad7ae0e1p-3, 0x1.2272ebbbb99f5p-3, 0x1.22719643f5d0dp-3, 0x1.22618b47c2c3fp-3, 0x1.22431ab21fe1p-3, 0x1.22169378b41p-3, 0x1.21dc43aa2372fp-3, 0x1.2194785d2a5c7p-3, 0x1.213f7dd53ed31p-3, 0x1.20dd9f70fc7cdp-3, 0x1.206f27a6f99f2p-3, 0x1.1ff4600f1c238p-3, 0x1.1f6d91515bb6ap-3, 0x1.1edb032113c14p-3, 0x1.1e3cfc42856b5p-3, 0x1.1d93c29503413p-3, 0x1.1cdf9b1e09758p-3, 0x1.1c20ca0c8425dp-3, 0x1.1b5792a89799p-3, 0x1.1a843747ffa63p-3, 0x1.19a6f953f0b8p-3, 0x1.18c01950e563ep-3, 0x1.17cfd6e9cbc8cp-3, 0x1.16d670fccdb49p-3, 0x1.15d42595b7c23p-3, 0x1.14c931db1eeeap-3, 0x1.13b5d21130ff9p-3, 0x1.129a41a91aec2p-3, 0x1.1176bb37e6dc6p-3, 0x1.104b7880ef0d7p-3, 0x1.0f18b27ff7df4p-3, 0x1.0ddea1694cdabp-3, 0x1.0c9d7ca6b55cep-3, 0x1.0b557ac2ae787p-3, 0x1.0a06d18c46903p-3, 0x1.08b1b600e1632p-3, 0x1.07565c6101af9p-3, 0x1.05f4f829780e1p-3, 0x1.048dbc18a058bp-3, 0x1.0320da2f29572p-3, 0x1.01ae83b30a165p-3, 0x1.0036e92e64096p-3, 0x1.fd7474ddb44d5p-4, 0x1.fa714d152f8ccp-4, 0x1.f764b7c595aa3p-4, 0x1.f44f104856934p-4, 0x1.f130b09d9dca1p-4, 0x1.ee09f16d7bb3cp-4, 0x1.eadb2a054c9cdp-4, 0x1.e7a4b050db433p-4, 0x1.e466d8ed5f515p-4, 0x1.e121f7266cc1bp-4, 0x1.ddd65cf21ffc1p-4, 0x1.da845afdd2a17p-4, 0x1.d72c40b759b1cp-4, 0x1.d3ce5c4ae430cp-4, 0x1.d06afaa389a4dp-4, 0x1.cd026772359f7p-4, 0x1.c994ed2ea34f1p-4, 0x1.c622d5134884ep-4, 0x1.c2ac67228cf41p-4, 0x1.bf31ea303b5cap-4, 0x1.bbb3a3e24855ep-4, 0x1.b831d8b0de9fp-4, 0x1.b4accbed61865p-4, 0x1.b124bfc6a18d4p-4, 0x1.ad99f54587304p-4, 0x1.aa0cac5140812p-4, 0x1.a67d23af28868p-4, 0x1.a2eb990a1a8f2p-4, 0x1.9f5848f4dd70dp-4, 0x1.9bc36ee8da8fp-4, 0x1.982d454b84f3ep-4, 0x1.949605712d687p-4, 0x1.90fde79dc58d9p-4, 0x1.8d652309b4c3cp-4, 0x1.89cbeddee5d15p-4, 0x1.86327d3b3ba07p-4, 0x1.8299053717465p-4, 0x1.7effb8e666ee8p-4, 0x1.7b66ca5ba2c34p-4, 0x1.77ce6aa3cdc45p-4, 0x1.7436c9d8a8b74p-4, 0x1.70a0170fd77e7p-4, 0x1.6d0a8067ddd88p-4, 0x1.697633080ed6ep-4, 0x1.65e35b2282116p-4, 0x1.625223f32248dp-4, 0x1.5ec2b7c3ceb14p-4, 0x1.5b353ff1a4aa2p-4, 0x1.57a9e4ebcf0bdp-4, 0x1.5420ce32fdfdep-4, 0x1.509a225f2118dp-4, 0x1.4d160723960f7p-4, 0x1.4994a14eb13b4p-4, 0x1.461614ca9e165p-4, 0x1.429a84a107d73p-4, 0x1.3f2212fe05fcdp-4, 0x1.3bace1304fadp-4, 0x1.383b0fa856a7dp-4, 0x1.34ccbdfc8b66ep-4, 0x1.31620af04c84ap-4, 0x1.2dfb1472cd6fdp-4, 0x1.2a97f79fc0022p-4, 0x1.2738d0bec7f0ap-4, 0x1.23ddbb4a7fd63p-4, 0x1.2086d1f15bf71p-4, 0x1.1d342e98c75afp-4, 0x1.19e5ea5d1424bp-4, 0x1.169c1d905a2e4p-4, 0x1.1356dfc2ebc08p-4, 0x1.101647c5e45b5p-4, 0x1.0cda6ba57028ap-4, 0x1.09a360aedc529p-4, 0x1.06713b75e73d2p-4, 0x1.03440fd5e4077p-4, 0x1.001bf0f23df55p-4, 0x1.f9f1e26e00d8p-5, 0x1.f3b644b886c7cp-5, 0x1.ed852acccfd8dp-5, 0x1.e75eb5653d0d1p-5, 0x1.e14303d32592bp-5, 0x1.db32341dea4dcp-5, 0x1.d52c62f190356p-5, 0x1.cf31abb09f598p-5, 0x1.c9422877ae4abp-5, 0x1.c35df21f5888ep-5, 0x1.bd85203f6b45ep-5, 0x1.b7b7c93423adap-5, 0x1.b1f60223d9336p-5, 0x1.ac3fdf0454211p-5, 0x1.a695729df5129p-5, 0x1.a0f6ce8f19a97p-5, 0x1.9b640351d8cb7p-5, 0x1.95dd2040af414p-5, 0x1.9062339abb647p-5, 0x1.8af34a8889c27p-5, 0x1.8590712026921p-5, 0x1.8039b269b0a2fp-5, 0x1.7aef18637e2c7p-5, 0x1.75b0ac089981bp-5, 0x1.707e755608801p-5, 0x1.6b587b4ed42a1p-5, 0x1.663ec3fea9615p-5, 0x1.6131547db80afp-5, 0x1.5c3030f6c6ea5p-5, 0x1.573b5cabfcbf8p-5, 0x1.5252d9fa37425p-5, 0x1.4d76aa5d88f57p-5, 0x1.48a6ce76202d7p-5, 0x1.43e3460ddd4f4p-5, 0x1.3f2c101deda1cp-5, 0x1.3a812acfdaed8p-5, 0x1.35e2938cf9fcfp-5, 0x1.315046ec10712p-5, 0x1.2cca40d02bc71p-5, 0x1.28507c5be2584p-5, 0x1.23e2f3fa7d187p-5, 0x1.1f81a1636190bp-5, 0x1.1b2c7d9dc8339p-5, 0x1.16e38105034d5p-5, 0x1.12a6a34d2114cp-5, 0x1.0e75db880b573p-5, 0x1.0a51202ad04f9p-5, 0x1.063867124b0c8p-5, 0x1.022ba586ba741p-5, 0x1.fc55a0821bf3p-6, 0x1.f46bb6df3bb14p-6, 0x1.ec9975666147p-6, 0x1.e4dec247e3894p-6, 0x1.dd3b82b68e942p-6, 0x1.d5af9ae9c255ep-6, 0x1.ce3aee25e2e0ep-6, 0x1.c6dd5eca6a98ap-6, 0x1.bf96ce5e08c0cp-6, 0x1.b8671d9801c42p-6, 0x1.b14e2c6395aabp-6, 0x1.aa4bd9de77719p-6, 0x1.a3600455ea2b7p-6, 0x1.9c8a8945b9d31p-6, 0x1.95cb455abdc26p-6, 0x1.8f22147a2881dp-6, 0x1.888ed1d2eed3bp-6, 0x1.821157de595e1p-6, 0x1.7ba980a91562p-6, 0x1.755725b093adap-6, 0x1.6f1a201de6c7cp-6, 0x1.68f248bbda24ep-6, 0x1.62df77f2bf9fp-6, 0x1.5ce185b75cdbep-6, 0x1.56f849778d1dep-6, 0x1.51239a0d96adp-6, 0x1.4b634db3e42b9p-6, 0x1.45b73a1780e2bp-6, 0x1.401f3466021edp-6, 0x1.3a9b117593359p-6, 0x1.352aa5e8f17e8p-6, 0x1.2fcdc64821c5bp-6, 0x1.2a84470a0e7f2p-6, 0x1.254dfc87e21c9p-6, 0x1.202abada00aabp-6, 0x1.1b1a55a9a2fb2p-6, 0x1.161ca0216282bp-6, 0x1.11316cdf375bcp-6, 0x1.0c588de8c128cp-6, 0x1.0791d4ec77babp-6, 0x1.02dd139540cb9p-6, 0x1.fc74381a051bbp-7, 0x1.f3518278ce395p-7, 0x1.ea51adecb30b4p-7, 0x1.e17463e3057fbp-7, 0x1.d8b94ef63171p-7, 0x1.d02019d725ecbp-7, 0x1.c7a86e120807ap-7, 0x1.bf51f2afe658dp-7, 0x1.b71c4b630fa21p-7, 0x1.af071826e0917p-7, 0x1.a711f5c506856p-7, 0x1.9f3c7f1c6be98p-7, 0x1.97864f0b6059dp-7, 0x1.8fef028fa3dc8p-7, 0x1.88763aaa3b215p-7, 0x1.811b9d9ef2babp-7, 0x1.79ded741fdd72p-7, 0x1.72bf98311ee9bp-7, 0x1.6bbd94110eff4p-7, 0x1.64d87f24cedfap-7, 0x1.5e100bbc4b041p-7, 0x1.5763e8076d7a8p-7, 0x1.50d3bccb1bdaep-7, 0x1.4a5f2d471fe08p-7, 0x1.4405d85cad455p-7, 0x1.3dc75ac5289edp-7, 0x1.37a351c67fcbfp-7, 0x1.31995dd7e30cep-7, 0x1.2ba924bc30a26p-7, 0x1.25d25267c8ac5p-7, 0x1.2014988870b24p-7, 0x1.1a6faccd5583cp-7, 0x1.14e34645ead56p-7, 0x1.0f6f1a6dee107p-7, 0x1.0a12da9a033fbp-7, 0x1.04ce3267719cdp-7, 0x1.ff418f57f91c4p-8, 0x1.f51477e55791ep-8, 0x1.eb145ed78fdeap-8, 0x1.e1408954d7a63p-8, 0x1.d79848e838297p-8, 0x1.ce1b01a1f2d96p-8, 0x1.c4c82d334bebfp-8, 0x1.bb9f5a1075c2ap-8, 0x1.b2a0266434134p-8, 0x1.a9ca377393a7fp-8, 0x1.a11d2ed961bp-8, 0x1.98989f87b85edp-8, 0x1.903c04a6491f4p-8, 0x1.8806bc20ffb91p-8, 0x1.7ff806282c10dp-8, 0x1.780f0a1de1585p-8, 0x1.704adf4b7d888p-8, 0x1.68aa9b98a2313p-8, 0x1.612d5fd879c47p-8, 0x1.59d267a72d87cp-8, 0x1.529912490811ap-8, 0x1.4b80e8742bc7ap-8, 0x1.44899bc038dd4p-8, 0x1.3db2ff94b3e66p-8, 0x1.36fcfd0257312p-8, 0x1.306783732251ap-8, 0x1.29f278ae881aap-8, 0x1.239daaa8188dcp-8, 0x1.1d68c5166b029p-8, 0x1.17534c978981fp-8, 0x1.115c9f85e1c03p-8, 0x1.0b83fa2790092p-8, 0x1.05c8823d23584p-8, 0x1.002954ea5f3fp-8, 0x1.f54b270a05fe9p-9, 0x1.ea78e5dfa39aap-9, 0x1.dfda8d24fe24dp-9, 0x1.d56f0c9ea4d0fp-9, 0x1.cb359f5d03f4ep-9, 0x1.c12dc373deb44p-9, 0x1.b7572911a27aap-9, 0x1.adb19c6208d41p-9, 0x1.a43cee273d5c1p-9, 0x1.9af8de8d13704p-9, 0x1.91e50c507ae6fp-9, 0x1.8900eab3aa62ep-9, 0x1.804bbdbdd1e52p-9, 0x1.77c49df1dd972p-9, 0x1.6f6a82216011ep-9, 0x1.673c4d6da55d5p-9, 0x1.5f38de2c8d6b3p-9, 0x1.575f1bdd9a91p-9, 0x1.4fae00abca188p-9, 0x1.48249bdad06cdp-9, 0x1.40c2132850f0ap-9, 0x1.3985a487199f5p-9, 0x1.326ea5ace65d1p-9, 0x1.2b7c84588cb26p-9, 0x1.24aec54f9d1eap-9, 0x1.1e04ff60f8e6cp-9, 0x1.177ed25993a9cp-9, 0x1.111bdabd6662ep-9, 0x1.0adba81bf7e5p-9, 0x1.04bdb2dc7c6cdp-9, 0x1.fd82b6d3d327ap-10, 0x1.f1cbddcd7b207p-10, 0x1.e6556f8fb2fdbp-10, 0x1.db1df5d34d634p-10, 0x1.d0241064a8f97p-10, 0x1.c566610e08bd6p-10, 0x1.bae37cdb5e876p-10, 0x1.b099e0e3f5fa6p-10, 0x1.a687f3bb5d003p-10, 0x1.9cac21e194ec9p-10, 0x1.9305059cc7e99p-10, 0x1.89918b11cab73p-10, 0x1.8050fad42f569p-10, 0x1.7742e375cbe1dp-10, 0x1.6e66ebc8019b8p-10, 0x1.65bca51ea2526p-10, 0x1.5d437573a74b8p-10, 0x1.54faa3ce6fd68p-10, 0x1.4ce17d9a58a2bp-10, 0x1.44f77d7e4a38dp-10, 0x1.3d3c5b5ea0f9ep-10, 0x1.35aff7f9c3865p-10, 0x1.2e5225e11772p-10, 0x1.27225f3a01c5cp-10, 0x1.201f80e1f26cep-10, 0x1.1947a66add00fp-10, 0x1.12983e976893ep-10, 0x1.0c0e5f1359f57p-10, 0x1.05a746f4dda58p-10, 0x1.fec1c697c20cfp-11, 0x1.f27443187555bp-11, 0x1.e665d6343db46p-11, 0x1.da9795d433ff9p-11, 0x1.cf0acdfa74d8bp-11, 0x1.c3c019ecea687p-11, 0x1.b8b7073d8f1bap-11, 0x1.adee55bcfba69p-11, 0x1.a36497d33a349p-11, 0x1.9918d7174ed94p-11, 0x1.8f0af55316024p-11, 0x1.853bacbad8766p-11, 0x1.7bac3740208fp-11, 0x1.725dbb1ad4232p-11, 0x1.6950a3075b8fap-11, 0x1.608409741a7a7p-11, 0x1.57f5607caee84p-11, 0x1.4fa0834f5e794p-11, 0x1.47804ba4014ebp-11, 0x1.3f8f90c959dfdp-11, 0x1.37ca33f7bd72ap-11, 0x1.302dc12a6d3dep-11, 0x1.28b959d80d4ap-11, 0x1.216ce8f790cd4p-11, 0x1.1a485a3c3130ep-11, 0x1.134b233c3a227p-11, 0x1.0c745b762fb65p-11, 0x1.05c35424c72d9p-11, 0x1.fe700e1c58f8fp-12, 0x1.f1a6562663eecp-12, 0x1.e52bcd1bef532p-12, 0x1.d9028bfef6ce1p-12, 0x1.cd2b72d3989dap-12, 0x1.c1a5c71707bd4p-12, 0x1.b66fa4266dd3p-12, 0x1.ab870069e3576p-12, 0x1.a0e9c8eaaa05ep-12, 0x1.96963a5d11e37p-12, 0x1.8c898d7ce0c01p-12, 0x1.82bffd5f6ece2p-12, 0x1.7935161d433e6p-12, 0x1.6fe4d61fa176ap-12, 0x1.66ccb3438bcc3p-12, 0x1.5debdb4524403p-12, 0x1.55427e517a34p-12, 0x1.4cd090dad39cp-12, 0x1.4494c7344411cp-12, 0x1.3c8c4d7682cddp-12, 0x1.34b3537a549e9p-12, 0x1.2d0619c6ea69fp-12, 0x1.25825fb0a6181p-12, 0x1.1e287a0abc2b5p-12, 0x1.16fad0db923c4p-12, 0x1.0ffc1de461f73p-12, 0x1.092db1fe13c46p-12, 0x1.028ecf6067f7bp-12, 0x1.f83a68f5e469bp-13, 0x1.ebac6d2d65401p-13, 0x1.df6fba33bf16ap-13, 0x1.d382745e2efcdp-13, 0x1.c7e42ec33cfa4p-13, 0x1.bc950edc7e0cfp-13, 0x1.b19420c2a87bcp-13, 0x1.a6deb8e020518p-13, 0x1.9c6fbb9336c9dp-13, 0x1.9240e25918ae1p-13, 0x1.884d72c570f2p-13, 0x1.7e946a505c8f5p-13, 0x1.7518094d23b15p-13, 0x1.6bdad6346674ep-13, 0x1.62dce85862f41p-13, 0x1.5a1bb87bc9066p-13, 0x1.5194f34976adp-13, 0x1.4948a58fb1971p-13, 0x1.41376ad326be5p-13, 0x1.395f2dd9f8f8ap-13, 0x1.31ba9e7056f7ep-13, 0x1.2a43a38544618p-13, 0x1.22f5db782d1f3p-13, 0x1.1bd0055d7ceabp-13, 0x1.14d2339ed3f1dp-13, 0x1.0dfe1736415e2p-13, 0x1.07554e8aac122p-13, 0x1.00d917953cdcbp-13, 0x1.f513d18770d4fp-14, 0x1.e8cf7c660ea49p-14, 0x1.dce579fd9e4ccp-14, 0x1.d154e7256145ap-14, 0x1.c616b0030f3fbp-14, 0x1.bb1c6a2b99176p-14, 0x1.b05945a80236fp-14, 0x1.a5cc707410d85p-14, 0x1.9b7ed54d3f7e1p-14, 0x1.917612d77b56p-14, 0x1.87ad2263c27e3p-14, 0x1.7e1c01106fe51p-14, 0x1.74c2fc821c276p-14, 0x1.6ba9501caa504p-14, 0x1.62d32cfebe05ep-14, 0x1.5a3e2cce50b2ap-14, 0x1.51e5a149a57bbp-14, 0x1.49c5a4e537c88p-14, 0x1.41dbe8905b2d4p-14, 0x1.3a254e7291fe1p-14, 0x1.329ba8bd9b052p-14, 0x1.2b37102126e88p-14, 0x1.23f1b39e35b59p-14, 0x1.1ccc7bcdcd4bbp-14, 0x1.15cf13d30c81p-14, 0x1.0f022de8d4cc9p-14, 0x1.0868148667b4ap-14, 0x1.01fdb57fb27dp-14, 0x1.f77fb9dd3a5c7p-15, 0x1.eb5d1f0d960ccp-15, 0x1.df8b54f51b658p-15, 0x1.d3f4bd6b9c26cp-15, 0x1.c88ed40b81cdfp-15, 0x1.bd6751df8bb51p-15, 0x1.b289e59694852p-15, 0x1.a7ea6334d079ap-15, 0x1.9d78c836dcbc3p-15, 0x1.933af3e36f7b5p-15, 0x1.894032312d017p-15, 0x1.7f8a643234fbdp-15, 0x1.760fde71f0936p-15, 0x1.6cc76e67f8e2dp-15, 0x1.63ad016db2f88p-15, 0x1.5ac0ceeaa04f2p-15, 0x1.5205961b1f6ddp-15, 0x1.497efaecae654p-15, 0x1.41301aa3dd8d4p-15, 0x1.3919d05d643c5p-15, 0x1.3137cf5fe06p-15, 0x1.297e12287f363p-15, 0x1.21def5191e595p-15, 0x1.1a56ff089245fp-15, 0x1.12f3ca374efaep-15, 0x1.0bc2dd98028adp-15, 0x1.04bee8fda0199p-15, 0x1.fbbbc5b34b0fap-16, 0x1.ee46ef90dc436p-16, 0x1.e12fbc3022ac6p-16, 0x1.d463bb99ccb7cp-16, 0x1.c7c98a32e9584p-16, 0x1.bb67302667884p-16, 0x1.af45872f00296p-16, 0x1.a3517bb32eee5p-16, 0x1.9783773162599p-16, 0x1.8bf48cd00b464p-16, 0x1.80afe7c8052b2p-16, 0x1.75a88cde58f95p-16, 0x1.6ad221e0129cp-16, 0x1.6028d5768f026p-16, 0x1.55ac9160d6166p-16, 0x1.4b5dcf257efb4p-16, 0x1.413c396d33a2bp-16, 0x1.3746e718db862p-16, 0x1.2d7dc40a9c826p-16, 0x1.23e1e4f841e03p-16, 0x1.1a73aeb6162b2p-16, 0x1.11372d58086e8p-16, 0x1.082a9c7b8a12dp-16, 0x1.fe9e40420df09p-17, 0x1.ed3613daf0f99p-17, 0x1.dbfdb3632c4c3p-17, 0x1.cb02a2f8c21a5p-17, 0x1.ba573a95b398fp-17, 0x1.a9eba5feee2b4p-17, 0x1.99b1883429a54p-17, 0x1.89c5fb1e66548p-17, 0x1.7a4472e3b670dp-17, 0x1.6b1c147084139p-17, 0x1.5c257dd1c3904p-17, 0x1.4d58ad70b955dp-17, 0x1.3ebc24b2acfa7p-17, 0x1.3043e37e8137p-17, 0x1.2206a5047e665p-17, 0x1.1418b702bc67ap-17, 0x1.066add726bca6p-17, 0x1.f1dd033fe145dp-18, 0x1.d741e62f2154dp-18, 0x1.bd0731e3b211ap-18, 0x1.a32f2894eff1dp-18, 0x1.89ba34010a916p-18, 0x1.70a71fad78657p-18, 0x1.57f3578886199p-18, 0x1.3f9c7621cff5dp-18, 0x1.27a21a8710ceap-18, 0x1.1002707d2cdd9p-18, 0x1.f172ed0fff523p-19, 0x1.c38c931f9b5b3p-19, 0x1.96547e8a6cc6ap-19, 0x1.69cf28b35752p-19, 0x1.3e25b5f07656dp-19, 0x1.132d8f72c1f05p-19, 0x1.d19c412d33224p-20, 0x1.7dce1171d2c2ep-20, 0x1.2aec1d72e5b05p-20, 0x1.b22c9cbc75153p-21, 0x1.117d757a9761dp-21, 0x1.cdc3b32dcb4f3p-23, -0x1.425c510b95ebbp-24, -0x1.82a256f46d11p-22, -0x1.57e3901729f23p-21, -0x1.ecd250ea3a25cp-21, -0x1.401a2c5d6889ap-20, -0x1.88d12ac668a8bp-20, -0x1.d02b1b78ad285p-20, -0x1.0b2c5f6c17a6p-19, -0x1.2dc5015d202d2p-19, -0x1.4fe2e6ed76731p-19, -0x1.7185e83bdae8cp-19, -0x1.92abbaee190f4p-19, -0x1.b3533972c5537p-19, -0x1.d384b309dff8bp-19, -0x1.f3152f71da755p-19, -0x1.092e121983eecp-18, -0x1.188c020036052p-18, -0x1.27aeb6b1ad142p-18, -0x1.3695437502976p-18, -0x1.4542e5b80fc57p-18, -0x1.53b5e58f8454dp-18, -0x1.61ee8079cc294p-18, -0x1.6ff069ca11364p-18, -0x1.7dc14b5d3406p-18, -0x1.8b4e802713756p-18, -0x1.989af3cac6644p-18, -0x1.a5b1354dd5443p-18, -0x1.b29ea61e6216bp-18, -0x1.bf5e62aea28f6p-18, -0x1.cbdb34cb53bdap-18, -0x1.d82213a44282ap-18, -0x1.e4378c419ce4dp-18, -0x1.f01a4a512c354p-18, -0x1.fbc976fa3a9abp-18, -0x1.03a1d653f799ap-17, -0x1.09431bc2cc28bp-17, -0x1.0ecc025c4d406p-17, -0x1.143f36812fd94p-17, -0x1.1998eff6a839p-17, -0x1.1ed7c1b60f84dp-17, -0x1.23fe46b7e1a65p-17, -0x1.290d2474d2a7dp-17, -0x1.2e04216dc981bp-17, -0x1.32e3272b10eebp-17, -0x1.37aa491775379p-17, -0x1.3c59af41f54bdp-17, -0x1.40f1878d1139bp-17, -0x1.4571feb54d152p-17, -0x1.49db457906296p-17, -0x1.4e2d6e0e0553ap-17, -0x1.52689e592e5fcp-17, -0x1.568d053e2e13dp-17, -0x1.5a9b582eb4dbap-17, -0x1.5e9504485bd96p-17, -0x1.62756089b943ep-17, -0x1.66429f13711edp-17, -0x1.69f81c13837a3p-17, -0x1.6d9947c5e4c7bp-17, -0x1.712369bd275f6p-17, -0x1.74966b23bbf71p-17, -0x1.77f62cbdbb57bp-17, -0x1.7b4238e14c85p-17, -0x1.7e7872c307b88p-17, -0x1.8196fea50c936p-17, -0x1.84a3b1d6a6727p-17, -0x1.879b0df3b8224p-17, -0x1.8a7e7afabff01p-17, -0x1.8d4ecb162f9cep-17, -0x1.900a02550870fp-17, -0x1.92b064e2dfd75p-17, -0x1.9544402851581p-17, -0x1.97c35940de096p-17, -0x1.9a2e505849fd8p-17, -0x1.9c87df7264bb6p-17, -0x1.9ece98418431p-17, -0x1.a0ffe9284a579p-17, -0x1.a31ea5301324ap-17, -0x1.a52bfed136306p-17, -0x1.a7265985fd088p-17, -0x1.a90d07ca12c3bp-17, -0x1.aae49f5648068p-17, -0x1.aca71505b2013p-17, -0x1.ae592e8e61a74p-17, -0x1.aff294e977ec1p-17, -0x1.b184a4277f4c7p-17, -0x1.b300d6d3af8e1p-17, -0x1.b46a80b1b7c37p-17, -0x1.b5c3be93c114ep-17, -0x1.b70d7fb81c126p-17, -0x1.b844d0bf4623bp-17, -0x1.b96b54ce3e882p-17, -0x1.ba80e1aed1a81p-17, -0x1.bb845283c1bcp-17, -0x1.bc78790fd0db8p-17, -0x1.bd60a0de034aap-17, -0x1.be350c7ad2059p-17, -0x1.befa1a37b715cp-17, -0x1.bfaf72358b273p-17, -0x1.c0558dba2affbp-17, -0x1.c0eb36fc7dfffp-17, -0x1.c17200a88743bp-17, -0x1.c1e9a7ad77dffp-17, -0x1.c252337812acdp-17, -0x1.c2abf92e2e64bp-17, -0x1.c2f722b58c8fap-17, -0x1.c333c6984e797p-17, -0x1.c36208e12b6b3p-17, -0x1.c3822a3efc10ap-17, -0x1.c3944eee65463p-17, -0x1.c39840701e29bp-17, -0x1.c38ee3b383a4ep-17, -0x1.c3779027305c2p-17, -0x1.c3532396dd804p-17, -0x1.c3213aa944f46p-17, -0x1.c2e32706baffep-17, -0x1.c296ae7849abcp-17, -0x1.c23ca8ffd6f48p-17, -0x1.c1d77cbc1ab8bp-17, -0x1.c165ab0b87f3cp-17, -0x1.c0e6e28b95817p-17, -0x1.c05bd6f6830e1p-17, -0x1.bfc4fe09ac9e4p-17, -0x1.bf22797270fa6p-17, -0x1.be7476b0d9944p-17, -0x1.bdbafb7d00e1p-17, -0x1.bcf559f0e8dcfp-17, -0x1.bc23b961992adp-17, -0x1.bb45bf3daa81ep-17, -0x1.ba60864301c8p-17, -0x1.b96f9bd7bdde1p-17, -0x1.b873ece4d261p-17, -0x1.b76d19bf73f7fp-17, -0x1.b65ab42a262c7p-17, -0x1.b53ea60ccc42fp-17, -0x1.b418c9cc405f6p-17, -0x1.b2e91b9e49be9p-17, -0x1.b1af20b1d4fa3p-17, -0x1.b06c0551f483ap-17, -0x1.af21442ad06acp-17, -0x1.adcc519837643p-17, -0x1.ac6c1722a7bc2p-17, -0x1.ab04292c85689p-17, -0x1.a99282176ac7cp-17, -0x1.a81653896fd4cp-17, -0x1.a693f02963521p-17, -0x1.a509feab5abf5p-17, -0x1.a3773661da4a8p-17, -0x1.a1dbd091539ebp-17, -0x1.a038505a6b8bfp-17, -0x1.9e8cfac452d2fp-17, -0x1.9cd93709386eap-17, -0x1.9b1c9f5aa5093p-17, -0x1.995d0c866dea2p-17, -0x1.9792e3a1c5519p-17, -0x1.95c21f855e7cbp-17, -0x1.93eaa6bce6005p-17, -0x1.920bc4ec29217p-17, -0x1.90261440156a4p-17, -0x1.8e39c4603b63dp-17, -0x1.8c46f6a5bc71p-17, -0x1.8a4dc57e127cfp-17, -0x1.884e0fa4df1cbp-17, -0x1.86498fcc700c5p-17, -0x1.843cf491f0904p-17, -0x1.822bf84a394ddp-17, -0x1.8014fe7c4b629p-17, -0x1.7df854d2005fcp-17, -0x1.7bd642786135ep-17, -0x1.79af331818be6p-17, -0x1.778153b786c54p-17, -0x1.754f579abc55ep-17, -0x1.731ba795ce389p-17, -0x1.70e6ef521878dp-17, -0x1.6e9b7463bb1b3p-17, -0x1.6c57138cd275p-17, -0x1.6a0f2b0703ca9p-17, -0x1.67c1c0a8adb9dp-17, -0x1.656ef1fe2d7bfp-17, -0x1.63101d25ad04ap-17, -0x1.60c309e89ac99p-17, -0x1.5e64d79a543e3p-17, -0x1.5c001ce34e48bp-17, -0x1.599a7ee2ec7afp-17, -0x1.5731453d024eap-17, -0x1.54c55f6ad6f3bp-17, -0x1.5254a0d3bc83ep-17, -0x1.4fe33f1fd371bp-17, -0x1.4d6d529736b75p-17, -0x1.4af46f621d173p-17, -0x1.48785db919f2fp-17, -0x1.45f9f3f7054a7p-17, -0x1.4378a8527c144p-17, -0x1.40f4fd5a92d48p-17, -0x1.3e6fd8bfe325dp-17, -0x1.3be6ef53b22b8p-17, -0x1.395ce924ed2b2p-17, -0x1.36cfe6f51dff5p-17, -0x1.34407a4c5b146p-17, -0x1.31afeaf12659cp-17, -0x1.2f1d4d70b3e83p-17, -0x1.2c8876246ae3ap-17, -0x1.29f205dafc523p-17, }}, 
      {{-0x1.ae4e0871242dbp-2, -0x1.a868792a414e4p-2, -0x1.a1769704c2544p-2, -0x1.9bbb9ba3f3a08p-2, -0x1.98cd53faa7cbfp-2, -0x1.99865bda0c2bfp-2, -0x1.9e23693b176c5p-2, -0x1.a66cec93ef733p-2, -0x1.b1df48fae07efp-2, -0x1.bfcc61d94ec9bp-2, -0x1.cf753f5b544efp-2, -0x1.e01c4dd59f4acp-2, -0x1.f1116bd9f54c3p-2, -0x1.00dc90793d3cap-1, -0x1.08c81e432465dp-1, -0x1.1016749821655p-1, -0x1.169f044006bb4p-1, -0x1.1c44bbbfb94b5p-1, -0x1.20f4d8c77d1a5p-1, -0x1.24a592b11d62dp-1, -0x1.2754baadd33d1p-1, -0x1.290664af429d2p-1, -0x1.29c3a5aaa0c3ep-1, -0x1.29996ea3036d7p-1, -0x1.28978846b832fp-1, -0x1.26cfb10ee30eep-1, -0x1.2454dc639a395p-1, -0x1.213a926410061p-1, -0x1.1d946c32488c5p-1, -0x1.1975abae9b23dp-1, -0x1.14f0ea1a5d98dp-1, -0x1.1017dafe0acb8p-1, -0x1.0afb20deb0723p-1, -0x1.05aa3002c617dp-1, -0x1.00333d384bd3fp-1, -0x1.f5466d07f1603p-2, -0x1.ea0b872630ee9p-2, -0x1.deca97eb7dcc5p-2, -0x1.d396043c1e227p-2, -0x1.c87de41be9b3ep-2, -0x1.bd9023c682958p-2, -0x1.b2d8a81d50951p-2, -0x1.a861759bf71d4p-2, -0x1.9e32d75360df5p-2, -0x1.94538541f0a53p-2, -0x1.8ac8ca612c4aap-2, -0x1.8196a9e668065p-2, -0x1.78c002250a879p-2, -0x1.7046ad50ae315p-2, -0x1.682ba067604fp-2, -0x1.606f0837f882bp-2, -0x1.591063dde04b8p-2, -0x1.520e9d4bebbb6p-2, -0x1.4b681f0a2dbefp-2, -0x1.451ae89f9ab7bp-2, -0x1.3f24a0c6f2767p-2, -0x1.3982a59e5131ap-2, -0x1.34321b584b2c5p-2, -0x1.2f2ff8fa0d4d1p-2, -0x1.2a7913ba15ddbp-2, -0x1.260a2900bb828p-2, -0x1.21dfe79080faep-2, -0x1.1df6f70b15cd3p-2, -0x1.1a4bfece9db32p-2, -0x1.16dbaaf83f716p-2, -0x1.13a2b21dfa7c9p-2, -0x1.109dd874a32p-2, -0x1.0dc9f3c7b1befp-2, -0x1.0b23ee35ca03fp-2, -0x1.08a8c846c264cp-2, -0x1.06559b1f1ad34p-2, -0x1.042799c25a1fbp-2, -0x1.021c1226da735p-2, -0x1.00306df7ee51dp-2, -0x1.fcc465f4b281ap-3, -0x1.f95e066d44bccp-3, -0x1.f6293a537d738p-3, -0x1.f321b6cbf3658p-3, -0x1.f04368bdb529p-3, -0x1.ed8a73d25c594p-3, -0x1.eaf331e37dda5p-3, -0x1.e87a314a6da2dp-3, -0x1.e61c3347189e7p-3, -0x1.e3d62b6588908p-3, -0x1.e1a53d2cba7c6p-3, -0x1.df86baa102993p-3, -0x1.dd7822be3bc3bp-3, -0x1.db771f683766dp-3, -0x1.d981840a5379cp-3, -0x1.d7954bb1b97e6p-3, -0x1.d5b0973eb397ep-3, -0x1.d3d1ab46ba682p-3, -0x1.d1f6ef563fa62p-3, -0x1.d01eeb5c1d3aap-3, -0x1.ce48467599786p-3, -0x1.cc71c525e00fdp-3, -0x1.ca9a47f76dc2dp-3, -0x1.c8c0c9b7c343dp-3, -0x1.c6e45e17b3eb8p-3, -0x1.c504305ebc96bp-3, -0x1.c31f8212ce25cp-3, -0x1.c135a97a1f6d2p-3, -0x1.bf460fff1fd1bp-3, -0x1.bd5031f5a6226p-3, -0x1.bb539c82e9251p-3, -0x1.b94fed0785854p-3, -0x1.b744cfadd5f17p-3, -0x1.b531feaabe9b2p-3, -0x1.b317413b7936fp-3, -0x1.b0f46aa8ab95cp-3, -0x1.aec9595638505p-3, -0x1.ac95f64190909p-3, -0x1.aa5a3395095fcp-3, -0x1.a8160cc5b936bp-3, -0x1.a5c9852eb8cc4p-3, -0x1.a374a7c40d0c1p-3, -0x1.a11785e08489ep-3, -0x1.9eb23781c5515p-3, -0x1.9c44da6938437p-3, -0x1.99cf913e34a24p-3, -0x1.9752836c1570cp-3, -0x1.94cddc9ae1a3bp-3, -0x1.9241cc2a40c77p-3, -0x1.8fae84d82b50ep-3, -0x1.8d143c62ca98bp-3, -0x1.8a732b0ae4e5bp-3, -0x1.87cb8b980e8c3p-3, -0x1.851d9a8e8bcafp-3, -0x1.8269963e49404p-3, -0x1.7fafbe65451d9p-3, -0x1.7cf053bc137c8p-3, -0x1.7a2b985f8ba21p-3, -0x1.7761cec1bc041p-3, -0x1.74933a15a2099p-3, -0x1.71c01d78f028fp-3, -0x1.6ee8bcb35e8ep-3, -0x1.6c0d5b7716b91p-3, -0x1.692e3d1161b77p-3, -0x1.664ba4dade6b5p-3, -0x1.6365d59ed79fbp-3, -0x1.607d11b65e646p-3, -0x1.5d919ae7dfd2p-3, -0x1.5aa3b2465a0c1p-3, -0x1.57b39826a05afp-3, -0x1.54c18c023571dp-3, -0x1.51cdcc66844d4p-3, -0x1.4ed896e03559p-3, -0x1.4be2282f6095dp-3, -0x1.48eabbc0984d8p-3, -0x1.45f28bfec867dp-3, -0x1.42f9d23f48aeap-3, -0x1.4000c699bf5d9p-3, -0x1.3d079fefb911bp-3, -0x1.3a0e93dd5154fp-3, -0x1.3715d709d002dp-3, -0x1.341d9c9990295p-3, -0x1.31261677eb118p-3, -0x1.2e2f752eb76ap-3, -0x1.2b39e845be958p-3, -0x1.28459db2db06bp-3, -0x1.2552c275a5971p-3, -0x1.2261821696e65p-3, -0x1.1f7206b8c92cep-3, -0x1.1c8479730cfbbp-3, -0x1.199902064e3efp-3, -0x1.16afc6efaee72p-3, -0x1.13c8ed7ae2aap-3, -0x1.10e499b54f1cfp-3, -0x1.0e02ee6be0ac8p-3, -0x1.0b240d458b098p-3, -0x1.084816b874a1ep-3, -0x1.056f2a1441efdp-3, -0x1.0299657d711f8p-3, -0x1.ff8dcbf8a346ap-4, -0x1.f9ef8efb4ddc1p-4, -0x1.f4584980a5b4dp-4, -0x1.eec82f4a46f3p-4, -0x1.e93f71c698c2ep-4, -0x1.e3be3ff12d6e4p-4, -0x1.de44c75e46fbdp-4, -0x1.d8d33366d5876p-4, -0x1.d369ad5647f84p-4, -0x1.ce085c8a2a2b1p-4, -0x1.c8af66f0f7534p-4, -0x1.c35ef06440ff4p-4, -0x1.be171ae2471bdp-4, -0x1.b8d80685da508p-4, -0x1.b3a1d20c5072bp-4, -0x1.ae749a855cfeep-4, -0x1.a9507b6005394p-4, -0x1.a4358e5aa7c11p-4, -0x1.9f23ebcd850cdp-4, -0x1.9a1baa87cc079p-4, -0x1.951cdfe29b024p-4, -0x1.90279fb920de7p-4, -0x1.8b3bfcdbf39b1p-4, -0x1.865a089032ef1p-4, -0x1.8181d29c647d3p-4, -0x1.7cb369d7dcf6p-4, -0x1.77eedbc44645fp-4, -0x1.733434b82b9c3p-4, -0x1.6e837fd42f448p-4, -0x1.69dcc73e23948p-4, -0x1.654013e67e341p-4, -0x1.60ad6daed6e7bp-4, -0x1.5c24db86f9c34p-4, -0x1.57a6635dd045bp-4, -0x1.53320a30a8f81p-4, -0x1.4ec7d410a4af4p-4, -0x1.4a67c4253cb5p-4, -0x1.4611dcb54685fp-4, -0x1.41c61f35c31c9p-4, -0x1.3d848c4b7714ap-4, -0x1.394d23d34f60fp-4, -0x1.351fe4e8cf651p-4, -0x1.30fccdf37c5c2p-4, -0x1.2ce3dc9aa6dd7p-4, -0x1.28d50dbb91b95p-4, -0x1.24d05dc991384p-4, -0x1.20d5c84a0288cp-4, -0x1.1ce5487c8adf6p-4, -0x1.18fed916b1f6p-4, -0x1.152273dd2e593p-4, -0x1.1150120f7c9cdp-4, -0x1.0d87ac9fa9c09p-4, -0x1.09c93bfc5588fp-4, -0x1.0614b80250cdap-4, -0x1.026a180870bd2p-4, -0x1.fd92a5f04f9e5p-5, -0x1.f664beaec0f9ep-5, -0x1.ef4a6690f80b7p-5, -0x1.e8438911f340cp-5, -0x1.e15010e05f3d3p-5, -0x1.da6fe7e4bd599p-5, -0x1.d3a2f74ffa1c7p-5, -0x1.cce927a015a02p-5, -0x1.c64260c388f4dp-5, -0x1.bfae8a145e658p-5, -0x1.b92d8a2a40639p-5, -0x1.b2bf473332cc5p-5, -0x1.ac63a6c7718f3p-5, -0x1.a61a8dfa27cdap-5, -0x1.9fe3e16b5481fp-5, -0x1.99bf84f39b5ep-5, -0x1.93ad5c9177bep-5, -0x1.8dad4b6ac3627p-5, -0x1.87bf346235895p-5, -0x1.81e2f9bdf8545p-5, -0x1.7c187dbec92aep-5, -0x1.765fa22c35487p-5, -0x1.70b848773366dp-5, -0x1.6b2251bcc2017p-5, -0x1.659d9ece179e3p-5, -0x1.602a103f637e2p-5, -0x1.5ac78669147a8p-5, -0x1.5575e167aa932p-5, -0x1.5035011b70902p-5, -0x1.4b04c52a8f4a7p-5, -0x1.45e50d1d89a22p-5, -0x1.40d5b82de1c8ep-5, -0x1.3bd6a580aef2dp-5, -0x1.36e7b4147f55ap-5, -0x1.3208c2ba4c416p-5, -0x1.2d39b00e29433p-5, -0x1.287a5ab12e7d2p-5, -0x1.23caa16627467p-5, -0x1.1f2a629205506p-5, -0x1.1a997c48a5fb3p-5, -0x1.1617cccab467fp-5, -0x1.11a532670ef79p-5, -0x1.0d418b4cd8acdp-5, -0x1.08ecb5a177064p-5, -0x1.04a68f82ccaefp-5, -0x1.006ef7043262p-5, -0x1.f88b9464dcac7p-6, -0x1.f055ce19efb68p-6, -0x1.e83c574a5955p-6, -0x1.e03eec76483d8p-6, -0x1.d85d49a258e0fp-6, -0x1.d0972b15e484p-6, -0x1.c8ec4d552f8a5p-6, -0x1.c15c6cca48aebp-6, -0x1.b9e746017848bp-6, -0x1.b28c959e932d5p-6, -0x1.ab4c185877eefp-6, -0x1.a4258b30c69bap-6, -0x1.9d18ab4c1d327p-6, -0x1.962535f6112b9p-6, -0x1.8f4ae8a69c8c8p-6, -0x1.88898107f53e2p-6, -0x1.81e0bcfbecc23p-6, -0x1.7b505a810394dp-6, -0x1.74d817ff8b59p-6, -0x1.6e77b3c15c9dap-6, -0x1.682eec9fa721dp-6, -0x1.61fd819de5941p-6, -0x1.5be3320847dfap-6, -0x1.55dfbd670e35bp-6, -0x1.4ff2e3849f04ap-6, -0x1.4a1c6473ccc84p-6, -0x1.445c009596db8p-6, -0x1.3eb178a1644f3p-6, -0x1.391c8da2b368fp-6, -0x1.339d00eca7574p-6, -0x1.2e32941b815e9p-6, -0x1.28dd0923b10e8p-6, -0x1.239c225426df2p-6, -0x1.1e6fa24ef7b7fp-6, -0x1.19574c0792d5ap-6, -0x1.1452e2c9be904p-6, -0x1.0f622a4fd5303p-6, -0x1.0a84e6b81d7p-6, -0x1.05badc5265147p-6, -0x1.0103cfe0419e6p-6, -0x1.f8bf0d6e53115p-7, -0x1.ef9b8ca27e664p-7, -0x1.e69ca8c1c7afbp-7, -0x1.ddc1ee3bf9cd2p-7, -0x1.d50aeb37a7d67p-7, -0x1.cc772eb9be2a2p-7, -0x1.c4064713125dbp-7, -0x1.bbb7c3dbf04f4p-7, -0x1.b38b36436e919p-7, -0x1.ab802f15b8d1bp-7, -0x1.a396405ba7c0ep-7, -0x1.9bccfdab6ce5cp-7, -0x1.9423fb2f77a45p-7, -0x1.8c9acda51294ep-7, -0x1.85310aa568454p-7, -0x1.7de648b2e08cbp-7, -0x1.76ba1f5f43816p-7, -0x1.6fac26a9eb9d3p-7, -0x1.68bbf7db45ff4p-7, -0x1.61e92cb667b7ap-7, -0x1.5b33602479226p-7, -0x1.549a2ddea13abp-7, -0x1.4e1d3278232cdp-7, -0x1.47bc0b6828de9p-7, -0x1.4176570c59635p-7, -0x1.3b4bb4a391e73p-7, -0x1.353bc44858a88p-7, -0x1.2f4626eb18c5bp-7, -0x1.296a7e61aedbcp-7, -0x1.23a86d714c9c4p-7, -0x1.1dff97b2e3dc9p-7, -0x1.186fa1ad69316p-7, -0x1.12f830ce1daadp-7, -0x1.0d98eb6088c42p-7, -0x1.0851789745749p-7, -0x1.0321808cc6cbdp-7, -0x1.fc1158852392cp-8, -0x1.f20d4b2ef8cafp-8, -0x1.e8362e7ff16b6p-8, -0x1.de8b598cbe77cp-8, -0x1.d50c2518e22adp-8, -0x1.cbb7eb98eebbbp-8, -0x1.c28e099dc9f08p-8, -0x1.b98ddd83f0f9bp-8, -0x1.b0b6c71dad3b8p-8, -0x1.a808285aaf39dp-8, -0x1.9f8164e1bbf83p-8, -0x1.9721e1e0e923ap-8, -0x1.8ee9062a36853p-8, -0x1.86d63a68958b2p-8, -0x1.7ee8e89c9ea44p-8, -0x1.77207d17e4842p-8, -0x1.6f7c655c1870cp-8, -0x1.67fc10e0a6a16p-8, -0x1.609ef0d3d390ap-8, -0x1.596478126d294p-8, -0x1.524c1b1f037a5p-8, -0x1.4b55501ebc612p-8, -0x1.447f8edc2193ep-8, -0x1.3dca50caf39a3p-8, -0x1.37351106ce75dp-8, -0x1.30bf4c396936p-8, -0x1.2a688066b3719p-8, -0x1.24302d6372cc1p-8, -0x1.1e15d56434ad7p-8, -0x1.1818fb77e24bbp-8, -0x1.123923c59208dp-8, -0x1.0c75d4bbfa51fp-8, -0x1.06ce965ce9aeep-8, -0x1.0142f2062fbc6p-8, -0x1.f7a4e5432fcafp-9, -0x1.ecf9494e5e64dp-9, -0x1.e2822c1a3c859p-9, -0x1.d83eac94964eep-9, -0x1.ce2deccab0d8p-9, -0x1.c44f11ea360e1p-9, -0x1.baa1440d35303p-9, -0x1.b123ae0001cabp-9, -0x1.a7d57d4098e77p-9, -0x1.9eb5e21611899p-9, -0x1.95c41061c75ap-9, -0x1.8cff3e0b2372p-9, -0x1.8466a4a9a768p-9, -0x1.7bf9800024e27p-9, -0x1.73b70e7f6ae5p-9, -0x1.6b9e916288d8dp-9, -0x1.63af4cea562aep-9, -0x1.5be8884c57ac2p-9, -0x1.54498d303a3c6p-9, -0x1.4cd1a7e161fe8p-9, -0x1.45802719843b3p-9, -0x1.3e545c1662737p-9, -0x1.374d9a518085ap-9, -0x1.306b38053e59dp-9, -0x1.29ac8e0f4ee6bp-9, -0x1.2310f800428f5p-9, -0x1.1c97d4197a77dp-9, -0x1.16408285b2259p-9, -0x1.100a643d12367p-9, -0x1.09f4df0ca2ed6p-9, -0x1.03ff5da655cadp-9, -0x1.fc52936a9b31ep-10, -0x1.f0e41bebc1d14p-10, -0x1.e5b22bd9be1f8p-10, -0x1.dabba7d1fc3c3p-10, -0x1.cfff78886206ap-10, -0x1.c57c88997cba9p-10, -0x1.bb31c684f2908p-10, -0x1.b11e2513288ap-10, -0x1.a7409b1d1793bp-10, -0x1.9d9823276ce14p-10, -0x1.9423bc875b37bp-10, -0x1.8ae26af936fcbp-10, -0x1.81d3367ed7d5fp-10, -0x1.78f52a9518d9ap-10, -0x1.704756970d7b1p-10, -0x1.67c8ce6614eeep-10, -0x1.5f78aa96c07afp-10, -0x1.575607cb9887p-10, -0x1.4f6005f9f872ap-10, -0x1.4795c83666e2ap-10, -0x1.3ff674efcdffdp-10, -0x1.388136481156bp-10, -0x1.31353a4eae169p-10, -0x1.2a11b2da41b27p-10, -0x1.2315d500876c4p-10, -0x1.1c40d89b103b6p-10, -0x1.1591f806abd55p-10, -0x1.0f0870a945b1bp-10, -0x1.08a385466a38dp-10, -0x1.02627cd4dfeb6p-10, -0x1.f88940714dd24p-11, -0x1.ec9279888bd88p-11, -0x1.e0df467e1411bp-11, -0x1.d56e4d51925c2p-11, -0x1.ca3e38fb313bbp-11, -0x1.bf4db9d1701p-11, -0x1.b49b85836554fp-11, -0x1.aa2656f5a8e11p-11, -0x1.9fecee687e754p-11, -0x1.95ee11a97f9fbp-11, -0x1.8c288cc37b581p-11, -0x1.829b3294a1da4p-11, -0x1.7944dd5927b72p-11, -0x1.70246df6c3bf1p-11, -0x1.6738cc3e0d42p-11, -0x1.5e80e5d790483p-11, -0x1.55fbac8fedaf5p-11, -0x1.4da81540005a9p-11, -0x1.4585174868eb8p-11, -0x1.3d91ac91c767ap-11, -0x1.35ccd1e9669b4p-11, -0x1.2e3587a51a746p-11, -0x1.26cad2423001bp-11, -0x1.1f8bbbb769478p-11, -0x1.1877576b1b13cp-11, -0x1.118cb03b61949p-11, -0x1.0acaee5a72ea2p-11, -0x1.043128821db59p-11, -0x1.fb7d282cad68p-12, -0x1.eee4c436e3958p-12, -0x1.e2978c5479c7bp-12, -0x1.d693f217e8683p-12, -0x1.cad86b1cf10dap-12, -0x1.bf636f4733b9dp-12, -0x1.b433787f7a19dp-12, -0x1.a94702d0d5e1dp-12, -0x1.9e9c89a63edd3p-12, -0x1.94327fe4f5facp-12, -0x1.8a076d6050b49p-12, -0x1.801a13d31dacfp-12, -0x1.7668eceb94bb6p-12, -0x1.6cf29533f49b9p-12, -0x1.63b5f3467688bp-12, -0x1.5ab19ae31280cp-12, -0x1.51e446a810977p-12, -0x1.494cd64aeea3ep-12, -0x1.40ea25ad73acdp-12, -0x1.38bb1248c15f6p-12, -0x1.30be7d10701cdp-12, -0x1.28f348dfc5e9p-12, -0x1.21585a3fc402dp-12, -0x1.19ec980ef813bp-12, -0x1.12aeebb75c032p-12, -0x1.0b9e465b4cd19p-12, -0x1.04b99dc10c8f5p-12, -0x1.fbffe245804a1p-13, -0x1.eee08e618861ep-13, -0x1.e2135b1a6abeap-13, -0x1.d5966b5625fe1p-13, -0x1.c967cf36240d7p-13, -0x1.bd85b51c7ba12p-13, -0x1.b1ee907c117cdp-13, -0x1.a6a0a1e72fdc3p-13, -0x1.9b9a0a55a6bf3p-13, -0x1.90d9370859643p-13, -0x1.865c9e9f6cf62p-13, -0x1.7c22aa8b4db3ap-13, -0x1.7229cc8fe8fe8p-13, -0x1.68707da26e452p-13, -0x1.5ef53320a23cp-13, -0x1.55b6888cbc3efp-13, -0x1.4cb2fb0006a64p-13, -0x1.43e92e1ca2af7p-13, -0x1.3b57f7ed0a6b2p-13, -0x1.32fd9d3eb2509p-13, -0x1.2ad95fee15203p-13, -0x1.22e96b899393p-13, -0x1.1b2cb0febb4e6p-13, -0x1.13a1eeb68a455p-13, -0x1.0c47eea167385p-13, -0x1.051d81fd4123cp-13, -0x1.fc431d669794bp-14, -0x1.eea5f6c06ce9ep-14, -0x1.e16171542cec5p-14, -0x1.d4737abacc8b8p-14, -0x1.c7da0ccda6ab4p-14, -0x1.bb932c270f49p-14, -0x1.af9ce71e08391p-14, -0x1.a3f554f56f6ccp-14, -0x1.989a955a4a43dp-14, -0x1.8d8ad0b8ca2fcp-14, -0x1.82c438d09ee8ep-14, -0x1.784506d05d604p-14, -0x1.6e0b7554135e3p-14, -0x1.6415b851ff926p-14, -0x1.5a61f85476ff8p-14, -0x1.50ee5b7fd2e2dp-14, -0x1.47b91d882784p-14, -0x1.3ec09cc62c625p-14, -0x1.360348d83b246p-14, -0x1.2d7f9af8f8b18p-14, -0x1.25341c32edd76p-14, -0x1.1d1f77d5a5c28p-14, -0x1.154077654353dp-14, -0x1.0d95f2bc3d3fap-14, -0x1.061ec6e1e3454p-14, -0x1.fdb3a0a39c2fap-15, -0x1.ef8bcaf42ccf4p-15, -0x1.e1c3abd0e4818p-15, -0x1.d458dea509a9ap-15, -0x1.c74908ba41cd2p-15, -0x1.ba91e094782bdp-15, -0x1.ae312c12ce3f8p-15, -0x1.a224b98241c2p-15, -0x1.966a59a5ea651p-15, -0x1.8affdca67c435p-15, -0x1.7fe30f743b225p-15, -0x1.7511b7f7b4f89p-15, -0x1.6a8992781b72ap-15, -0x1.604856ae6ada8p-15, -0x1.564bcafa8aa7p-15, -0x1.4c91e2cbd1792p-15, -0x1.4318d8a75365bp-15, -0x1.39df3a9576992p-15, -0x1.30e42f89b76a9p-15, -0x1.2825c80d45122p-15, -0x1.1fa2c257f8cbap-15, -0x1.175a4b01ec7afp-15, -0x1.0f4a73eca7b91p-15, -0x1.0771aee0f1a37p-15, -0x1.ff9d1c884e9ddp-16, -0x1.f0bf8cf98cd47p-16, -0x1.e24851c0300bcp-16, -0x1.d435154c57ce6p-16, -0x1.c6833a21d904ep-16, -0x1.b92ff27f38d1fp-16, -0x1.ac37c340dec0fp-16, -0x1.9f9b5d24ceeb6p-16, -0x1.935367154ec3p-16, -0x1.876285216c093p-16, -0x1.7bc2b3f385184p-16, -0x1.70720595b38ecp-16, -0x1.656ddfac53bbap-16, -0x1.5ab4582830a0bp-16, -0x1.5043ec8a572d8p-16, -0x1.461b1c5208a28p-16, -0x1.3c384a14edc58p-16, -0x1.3299ba1eb6b38p-16, -0x1.293d42d121c49p-16, -0x1.201ffa5fbe4dap-16, -0x1.1741496ba10bp-16, -0x1.0ea020d9cbf72p-16, -0x1.0639169628fe4p-16, -0x1.fc1636735b2bp-17, -0x1.ec2a9d16fe1bep-17, -0x1.dcacc47987e0fp-17, -0x1.cd9a313143a71p-17, -0x1.bef08ba166ed6p-17, -0x1.b0ad4a164601p-17, -0x1.a2ca2b0f090fdp-17, -0x1.9546a656678edp-17, -0x1.8822f7d32ebecp-17, -0x1.7b5886d45226bp-17, -0x1.6ee8a84a3480cp-17, -0x1.62c9e5638e17bp-17, -0x1.56fe0e5a0151p-17, -0x1.4b835c8d53b87p-17, -0x1.40578166ec7a5p-17, -0x1.35779257dedeap-17, -0x1.2ae16ef62d03fp-17, -0x1.2095577bbba7bp-17, -0x1.168f2ed12a79bp-17, -0x1.0cce9b45d9cd1p-17, -0x1.0352314b87339p-17, -0x1.f42bff5b9c0dap-18, -0x1.e23182a18e6cep-18, -0x1.d0b1b4b6dcc54p-18, -0x1.bfa8b9ee7f2bep-18, -0x1.af12844fe5ff6p-18, -0x1.9eec3e76faec1p-18, -0x1.8f30abadaf68ap-18, -0x1.7fea16797d6c4p-18, -0x1.7105beb12ee79p-18, -0x1.62881f9db9426p-18, -0x1.546d419db88ecp-18, -0x1.46b2df56a8ee7p-18, -0x1.39567bb4097ddp-18, -0x1.2c55987d22096p-18, -0x1.1fad705ef513p-18, -0x1.135b1d614523ap-18, -0x1.075c4c94a6645p-18, -0x1.f75e81aa5ea04p-19, -0x1.e0a3372b7ef06p-19, -0x1.ca802ae9974b7p-19, -0x1.b4f0596734f28p-19, -0x1.9ff26dbeb4e7bp-19, -0x1.8b862c32d6316p-19, -0x1.77a8680488d33p-19, -0x1.64530db1e6e37p-19, -0x1.5180b2fbc996ep-19, -0x1.3f2e4ed04a96cp-19, -0x1.2d598dafa49b7p-19, -0x1.1c03729ba9712p-19, -0x1.0b1de7659b655p-19, -0x1.f54f5ddc3dffp-20, -0x1.d549ade65b0bbp-20, -0x1.b61dd4413a1p-20, -0x1.97c9c775cb85ap-20, -0x1.7a46163285b3p-20, -0x1.5d8a1772a7d15p-20, -0x1.418d270620315p-20, -0x1.2659ceafe0915p-20, -0x1.0bcefca141efdp-20, -0x1.e419e290717ep-21, -0x1.b1f81bd45b11fp-21, -0x1.812c835b8f2dp-21, -0x1.51b01eb607e84p-21, -0x1.2378106c1121ep-21, -0x1.ecfa4eebcbf1bp-22, -0x1.9572fc58567bep-22, -0x1.404ae237857ap-22, -0x1.dadec80f2bb64p-23, -0x1.39a46b2e1e8d1p-23, -0x1.39ae44af276d1p-24, -0x1.1bca8bec5a906p-29, 0x1.1f5a2c96493afp-24, 0x1.1fa721d9eb6acp-23, 0x1.abb3dbc29bc2dp-23, 0x1.19ff21aaf4258p-22, 0x1.5c422f5682944p-22, 0x1.9c9b15f9d334bp-22, 0x1.db1fcc7f3e7ccp-22, 0x1.0bf26a29eba13p-21, 0x1.296ff4b973887p-21, 0x1.460b09e31188ep-21, 0x1.61edbbace361cp-21, 0x1.7cbc2399837f2p-21, 0x1.96f7a58ffb4c2p-21, 0x1.b0af123e8191ep-21, 0x1.c953d4ed93c85p-21, 0x1.e15088b40d17bp-21, 0x1.f894c2966583p-21, 0x1.07927d62aed61p-20, 0x1.1282f8c1e2463p-20, 0x1.1d33512439d8dp-20, 0x1.277a2944fc1b7p-20, 0x1.31615d0c941f4p-20, 0x1.3b093bd33a031p-20, 0x1.44621162dcbf6p-20, 0x1.4d6d9f1e6140dp-20, 0x1.562b8bcfa9313p-20, 0x1.5e9e9a4c9897ep-20, 0x1.66ced3b422cc6p-20, 0x1.6ebcbe42dcc2ap-20, 0x1.766516d51d5b7p-20, 0x1.7dc968cbca545p-20, 0x1.84e928209e653p-20, 0x1.8bc6f1eca13dfp-20, 0x1.9268f82639a1dp-20, 0x1.98cf0a6da1a8ap-20, 0x1.9ef56d8c49b1p-20, 0x1.a4e8a787a987ap-20, 0x1.aa893ea487a54p-20, 0x1.afffc59e9979ap-20, 0x1.b5398391add8dp-20, 0x1.ba36e42301a94p-20, 0x1.bf2827e6b39e9p-20, 0x1.c3bcedb2e296ap-20, 0x1.c82ba30a0590bp-20, 0x1.cc566ffcce8a9p-20, 0x1.d05e348c19926p-20, 0x1.d439821ec1b5fp-20, 0x1.d7dc1045a8cf1p-20, 0x1.db527e8b304b3p-20, 0x1.de9cd6bb06759p-20, 0x1.e1ba94f120f9dp-20, 0x1.e4ab9966b9544p-20, 0x1.e7718fad4cd15p-20, 0x1.ea0e0d79c7053p-20, 0x1.ec81d65a259e3p-20, 0x1.eecd202ca7e75p-20, 0x1.f0efe0c0993fap-20, 0x1.f2ea5de3cee43p-20, 0x1.f4bda3cba20bdp-20, 0x1.f66adc9fc961bp-20, 0x1.f7f2ec7de43d3p-20, 0x1.f95796d3dbc68p-20, 0x1.fa9c4b5dfb6eep-20, 0x1.fbc15d1f9d419p-20, 0x1.fcbe8a20689a2p-20, 0x1.fd933e5cad37ep-20, 0x1.fe4a96fb979bep-20, 0x1.fee3af18e922ep-20, 0x1.ff55a6afbb052p-20, 0x1.ffae7d1b9eb75p-20, 0x1.ffd7c0f3e05cap-20, 0x1.0007de7a49779p-19, 0x1.000124f2ec851p-19, 0x1.ffe52fe4c178ap-20, 0x1.ffa8f8281822dp-20, 0x1.ff50b4ff9ddcap-20, 0x1.feddf359174a8p-20, 0x1.fe4f9654b4c94p-20, 0x1.fdaac0922acecp-20, 0x1.fcf302dfc8b06p-20, 0x1.fc1648c874ba2p-20, 0x1.fb1f384f5d194p-20, 0x1.fa11447d89945p-20, 0x1.f8ee626df6a61p-20, 0x1.f7b0f4ec1599ep-20, 0x1.f65f158d0e39dp-20, 0x1.f4f310e497d08p-20, 0x1.f36e83259ca3dp-20, 0x1.f1d6da1f9dcb1p-20, 0x1.f02b340bde486p-20, 0x1.ee69e2152778ep-20, 0x1.ec9eb66476b56p-20, 0x1.ea884b014557bp-20, 0x1.e8a7ad2e386acp-20, 0x1.e6987869f8dcp-20, 0x1.e47c2304d0ffbp-20, 0x1.e2441175afcedp-20, 0x1.dffc936e4a9cbp-20, 0x1.dda1dd0ba260fp-20, 0x1.db3018be05e1cp-20, 0x1.d8af32b92cc0ep-20, 0x1.d62e7693965b2p-20, 0x1.d38f09af791e8p-20, 0x1.d0e0293632a79p-20, 0x1.ce1d675af4351p-20, 0x1.cb4ff41361df6p-20, 0x1.c87cd6c31da5ep-20, 0x1.c58db3c84151fp-20, 0x1.c293f1b4674bap-20, 0x1.bf8f3ccac9721p-20, 0x1.bc7a274b177bbp-20, 0x1.b952aaaa191c8p-20, 0x1.b61d17bf8916cp-20, 0x1.b2dd559106e7cp-20, 0x1.af93c1ddb49a2p-20, 0x1.ac3f44b88a9bdp-20, 0x1.a8defc0aac4e7p-20, 0x1.a572e99d4073ap-20, 0x1.a1fbd41f68c73p-20, 0x1.9e7a6f8cb2e5bp-20, 0x1.9aeec1ef22509p-20, 0x1.97585ff69046dp-20, 0x1.93b70fcb2a55cp-20, 0x1.900b0d34733e5p-20, 0x1.8c54d47787ce4p-20, 0x1.8894ee134951fp-20, 0x1.84cc443bc663fp-20, 0x1.80fa0462bff23p-20, 0x1.7d1e7235b0731p-20, 0x1.79396c0427b0dp-20, 0x1.754f527f7f933p-20, 0x1.716acc1f6982ep-20, 0x1.6d61d8f41dda1p-20, 0x1.696fb94fb72f4p-20, 0x1.65643c6a49187p-20, 0x1.615baad50ae6ep-20, 0x1.5d475a26ce964p-20, 0x1.59214f9d9959dp-20, 0x1.54fdcb8529bfbp-20, 0x1.50e4e70d2b1c5p-20, 0x1.4cc1e1cf5d7e6p-20, 0x1.487864b7a04d3p-20, 0x1.4448552ccd9a3p-20, 0x1.400a75f58c9eep-20, 0x1.3bc9ecc84e31ep-20, 0x1.378c39c7a3477p-20, 0x1.3345b9c5d4521p-20, 0x1.2ef5b3c42f13ep-20, 0x1.2aa77b2331ba2p-20, 0x1.26500df4da97dp-20, 0x1.21f09d1d40274p-20, 0x1.1d98b8fdbc41ep-20, 0x1.1942a55b4520cp-20, 0x1.14e006d36031p-20, 0x1.107b1ff556e19p-20, 0x1.0c179f64841e9p-20, 0x1.07ae042145ca5p-20, 0x1.033fa05e6a7ddp-20, 0x1.fdb0716eda6d6p-21, 0x1.f4cc94757ccc9p-21, 0x1.ebf898bf08bcep-21, 0x1.e2cfc52cd039ep-21, 0x1.da1f437ec1904p-21, 0x1.d1397024f5329p-21, 0x1.c84ba952d8f94p-21, 0x1.bf614aba92beap-21, 0x1.b67f8f79a3b28p-21, 0x1.ad945d928118fp-21, 0x1.a4a8fd7af0bfep-21, 0x1.9bbb7a6706671p-21, 0x1.92c3613a50333p-21, 0x1.89cd48c0e9457p-21, 0x1.81033827c716dp-21, 0x1.781a88bdef9p-21, 0x1.6f369dbde9c28p-21, 0x1.6652f781681abp-21, 0x1.5d79e310ebd8dp-21, 0x1.5490c336464d8p-21, 0x1.4bb11af842cadp-21, 0x1.42d4109dc7da7p-21, 0x1.39f84aea7bc4fp-21, 0x1.3121a6aa7dbebp-21, 0x1.28508237da7a3p-21, 0x1.1f83a8dfd8fa9p-21, 0x1.16bb2a1742f1dp-21, 0x1.0df98c98f7b7ep-21, 0x1.053dc477454bfp-21, 0x1.f8fd3ea05b70ep-22, 0x1.e7a60266779e1p-22, 0x1.d6448811db1c5p-22, 0x1.c4fd8dca610a2p-22, 0x1.b3b7eff78c5e9p-22, 0x1.a2a244ee83768p-22, 0x1.9162e2e94c403p-22, 0x1.8014f38dc6fa3p-22, 0x1.6f0e8a8082b46p-22, 0x1.5e13238dfdebep-22, 0x1.4d1436dd22847p-22, 0x1.3c22f905f45dp-22, 0x1.2b47e653bc6d1p-22, 0x1.1a81bb818fa76p-22, 0x1.09cfe45f2c40bp-22, 0x1.f260b311026e8p-23, 0x1.d13139d850d4ep-23, 0x1.b00f80d63a2f8p-23, 0x1.8eff04b9b064dp-23, 0x1.6e515d3fbc7a1p-23, 0x1.4dc0b63264638p-23, 0x1.2d6242dea985ap-23, 0x1.0d22723387124p-23, 0x1.d9b37e3aa391ap-24, 0x1.99824266aa12cp-24, 0x1.59d459b6bcca4p-24, 0x1.1a640bb447ed7p-24, 0x1.b6161803d7e8bp-25, 0x1.388647c0a27dbp-25, 0x1.7935ea525f24cp-26, 0x1.0300d106ad836p-27, -0x1.ddb5606497661p-28, -0x1.6d5102d8f6296p-26, -0x1.317184ffb0ddbp-25, -0x1.ac2ac86964755p-25, -0x1.126a4bd9fa3f4p-24, -0x1.4e33615d3e46cp-24, -0x1.89d5c1c870998p-24, -0x1.c53f9705dc163p-24, -0x1.002131a56dad6p-23, -0x1.1d67f72d9d737p-23, -0x1.3aa426f2135d4p-23, -0x1.5788eeead1cecp-23, -0x1.74092ba570eb5p-23, -0x1.90d32ca590a51p-23, -0x1.ad3421adb66bbp-23, -0x1.c94b851a9002dp-23, -0x1.e551086619907p-23, -0x1.0092dcbc3da69p-22, -0x1.0e62f14cbfcf2p-22, -0x1.1c18acb8a6593p-22, -0x1.29b45853c2164p-22, -0x1.3738af9f58458p-22, -0x1.449496ffddc03p-22, -0x1.51eca68346679p-22, -0x1.5f1a9638986bap-22, -0x1.6c30f0e6d9ce2p-22, -0x1.792e34c642cd3p-22, -0x1.8611ea149cdf8p-22, -0x1.92db6105f43ddp-22, -0x1.9f95c9b934d87p-22, -0x1.ac44c2001cf4p-22, -0x1.b88728fe7e694p-22, -0x1.c49b802047af4p-22, -0x1.d165559e1679bp-22, -0x1.dd8e9454b60c1p-22, -0x1.e98e53e62dbcfp-22, -0x1.f57c6b45f589p-22, -0x1.00aef022c3808p-21, -0x1.06c7ac43e9b2cp-21, -0x1.0c36a7004cb2ep-21, -0x1.11fd965c61fcp-21, -0x1.17cfd87cd4e2dp-21, -0x1.1d798067e2cbap-21, -0x1.2316605a8b326p-21, -0x1.28a1e8cf54819p-21, -0x1.2e23e127f5f2bp-21, -0x1.33919316d10ddp-21, -0x1.39009b13dae1dp-21, -0x1.3e521404b281ap-21, -0x1.43a01c45a5652p-21, -0x1.48d75e5232ea9p-21, -0x1.4e0288cd07c9bp-21, -0x1.5326a403e0b63p-21, -0x1.58361438e813bp-21, -0x1.5d3c03ed92431p-21, -0x1.622cc99d26c8ep-21, -0x1.671424adc59f4p-21, -0x1.6bf0ed9b24d11p-21, -0x1.70bd6b8eaafb2p-21, -0x1.757e476daeb4p-21, -0x1.7a343730613dbp-21, -0x1.7edbb9dc85c74p-21, }}, 
      {{-0x1.edd19682827ccp-7, -0x1.bd2dd1f688d5ep-5, -0x1.b3305e456dd0dp-4, -0x1.47e1979e81abbp-3, -0x1.aa553e50cd03dp-3, -0x1.f77b872b8258ep-3, -0x1.1592e8f24e956p-2, -0x1.2282154b9dee1p-2, -0x1.23a68a232aa1cp-2, -0x1.1ad18e29e9e43p-2, -0x1.0a21d405d020fp-2, -0x1.e778f3d3d0326p-3, -0x1.b3420cb17bee2p-3, -0x1.7b227956c189cp-3, -0x1.420d1eecb5a72p-3, -0x1.0a60b2dbfb426p-3, -0x1.abdd97504d288p-4, -0x1.4c11aafaf6d88p-4, -0x1.ee3fc3ed94bacp-5, -0x1.5c17230baad72p-5, -0x1.c4e93e0c39fb3p-6, -0x1.024c7d0319829p-6, -0x1.b9ad7b4af1632p-8, -0x1.8d674bbd8f583p-12, 0x1.d1861ded0662dp-9, 0x1.5c92d31fc536ep-8, 0x1.55185d856cb73p-8, 0x1.ca2d2cadf2f86p-9, 0x1.ef6cd7c92b8ep-12, -0x1.d75b6087b1feap-9, -0x1.15315465b1767p-7, -0x1.c708e8a076731p-7, -0x1.42491a1ccd245p-6, -0x1.a3e47f9fd529ep-6, -0x1.02dc16f62eabbp-5, -0x1.32c358b04ae5dp-5, -0x1.60b77972e0b57p-5, -0x1.8bf321f22849p-5, -0x1.b3d8c7fddd2cap-5, -0x1.d7ef08f8c45b2p-5, -0x1.f7dcf4661743cp-5, -0x1.09b32885ca6d3p-4, -0x1.1534015904db9p-4, -0x1.1e6a4e5ce5407p-4, -0x1.255893bfcd6a9p-4, -0x1.2a090f0bbb1fep-4, -0x1.2c8c5ff153718p-4, -0x1.2cf8494d14171p-4, -0x1.2b669c4289a26p-4, -0x1.27f4406759609p-4, -0x1.22c05dd51e829p-4, -0x1.1beb9ebfa7815p-4, -0x1.139798e9df9d7p-4, -0x1.09e63a454db4ep-4, -0x1.fdf2c18575782p-5, -0x1.e5e4f8ddca85ep-5, -0x1.cbe47937d4201p-5, -0x1.b030adb1ebc4bp-5, -0x1.9306b2d5a69b5p-5, -0x1.74a1004d6b55p-5, -0x1.553740cdc009p-5, -0x1.34fe1e5cea1c6p-5, -0x1.14273a928c714p-5, -0x1.e5c2237cef97bp-6, -0x1.a2ae148d925acp-6, -0x1.5f62de17ae051p-6, -0x1.1c2b091c6f53cp-6, -0x1.b29667b200a88p-7, -0x1.2e046fbafc2f3p-7, -0x1.5625912abc152p-8, -0x1.514b2ac45562cp-10, 0x1.5168031da2031p-9, 0x1.a046d9846e8c9p-8, 0x1.48e81faae4dafp-7, 0x1.be661d2a2d2aep-7, 0x1.1831d59914bffp-6, 0x1.4f576a8dda29p-6, 0x1.848e7a3c8608ep-6, 0x1.b7c519a20872dp-6, 0x1.e8ec8c17efd26p-6, 0x1.0bfc8907fde0fp-5, 0x1.2270d456e9e13p-5, 0x1.37cfec46ca4cbp-5, 0x1.4c17c74b23e1ap-5, 0x1.5f476a4ac83b1p-5, 0x1.715edffc7d958p-5, 0x1.825f13a8d657cp-5, 0x1.9249c9a581f12p-5, 0x1.a12185f9be62p-5, 0x1.aee9758932aa9p-5, 0x1.bba5656d3d1ddp-5, 0x1.c759aa554e0b6p-5, 0x1.d20b12e777a85p-5, 0x1.dbbede40def68p-5, 0x1.e47aa62db0d96p-5, 0x1.ec4459705c10bp-5, 0x1.f32228ad056f4p-5, 0x1.f91a844931af3p-5, 0x1.fe3408064698fp-5, 0x1.013abdbdeff55p-4, 0x1.02f2dfcfb902fp-4, 0x1.0445e80e4bae1p-4, 0x1.0537599e1b97dp-4, 0x1.05cabc6218d7bp-4, 0x1.060399caa8daap-4, 0x1.05e5772c0ed56p-4, 0x1.0573d733154fdp-4, 0x1.04b234d424e93p-4, 0x1.03a401a6368e5p-4, 0x1.024ca4d160794p-4, 0x1.00af793386247p-4, 0x1.fd9f94f7c6295p-5, 0x1.f961ac607728bp-5, 0x1.f4ab91c6b91b1p-5, 0x1.ef837bfbc652ap-5, 0x1.e9ef7d60c0984p-5, 0x1.e3f580efd849ap-5, 0x1.dd9b4d5709fb7p-5, 0x1.d6e68044ced9ep-5, 0x1.cfdc8d4c26945p-5, 0x1.c882c2b1855a9p-5, 0x1.c0de42abe022ap-5, 0x1.b8f404cfd7239p-5, 0x1.b0c8db6edf4aep-5, 0x1.a8616c03f75b6p-5, 0x1.9fc2328ac6c18p-5, 0x1.96ef852862bcfp-5, 0x1.8ded8f04b0d36p-5, 0x1.84c0532d95845p-5, 0x1.7b6baf31ffc36p-5, 0x1.71f3585a7ccf7p-5, 0x1.685ade5144d25p-5, 0x1.5ea5acfe18313p-5, 0x1.54d708e4b353ep-5, 0x1.4af213deb17c1p-5, 0x1.40f9cd0fe901ep-5, 0x1.36f112e33d266p-5, 0x1.2cdaa0e5c257bp-5, 0x1.22b91065fc908p-5, 0x1.188ee0d7ff77ep-5, 0x1.0e5e6f06f4f08p-5, 0x1.0429f9ad3ea87p-5, 0x1.f3e74aa89ecaep-6, 0x1.df7af33c1f54ep-6, 0x1.cb12c6712d5f9p-6, 0x1.b6b2683bd6053p-6, 0x1.a25d4bfb4365dp-6, 0x1.8e16b6441e297p-6, 0x1.79e1b8bb673p-6, 0x1.65c139ac78a1fp-6, 0x1.51b7f2813bf5fp-6, 0x1.3dc8789d17c9fp-6, 0x1.29f531f50429ap-6, 0x1.16405bcc6233bp-6, 0x1.02ac180de771ap-6, 0x1.de74c16074e84p-7, 0x1.b7da127b1f88bp-7, 0x1.918b8b12c5f99p-7, 0x1.6b8c575fd7989p-7, 0x1.45df6d0230f5bp-7, 0x1.2087817ca55a1p-7, 0x1.f70e1c11b74cdp-8, 0x1.adc0b9911cf0cp-8, 0x1.652b0dccce00ep-8, 0x1.1d50ef99352fp-8, 0x1.ac6b98418cbfdp-9, 0x1.1fb97bdb606aep-9, 0x1.292222e365e1ap-10, 0x1.5eef0d4ee3ae8p-14, -0x1.f43bf2435536fp-11, -0x1.037e8293f4271p-9, -0x1.8853c65dd2e0fp-9, -0x1.05c5fbb6ae8eep-8, -0x1.469253bb92e4p-8, -0x1.868df9cb36095p-8, -0x1.c5b834cbabf67p-8, -0x1.0208393220558p-7, -0x1.20cb28c5b7e9fp-7, -0x1.3f24cd6a9999cp-7, -0x1.5d1522227f5fp-7, -0x1.7a9c368d5be8ep-7, -0x1.97ba2b63dd6a5p-7, -0x1.b46f312e304fbp-7, -0x1.d0bb83622806cp-7, -0x1.ec9f6f8712feap-7, -0x1.040daa6a6a221p-6, -0x1.1197ce9999b92p-6, -0x1.1eee5cd41632cp-6, -0x1.2c1193066fcfbp-6, -0x1.3901b51e8dd49p-6, -0x1.45bf0a926e8bbp-6, -0x1.5249e0570541fp-6, -0x1.5ea2854c5165ep-6, -0x1.6ac94c08e796fp-6, -0x1.76be897ce76a5p-6, -0x1.8282952e16f38p-6, -0x1.8e15c9c380755p-6, -0x1.9978843a0fd8bp-6, -0x1.a4ab21aa370c3p-6, -0x1.afae00b78b103p-6, -0x1.ba81817cc8dc5p-6, -0x1.c52604d47cb79p-6, -0x1.cf9bedb0221d7p-6, -0x1.d9e39e0997ab4p-6, -0x1.e3fd785282785p-6, -0x1.ede9df4d9a2a7p-6, -0x1.f7a9355d08ae2p-6, -0x1.009dee7db0572p-5, -0x1.05511c5ce03d5p-5, -0x1.09ee55461be62p-5, -0x1.0e75c9a707c07p-5, -0x1.12e7a9a0e6dep-5, -0x1.17442539a1ebep-5, -0x1.1b8b6bbe1f341p-5, -0x1.1fbdabfe793d8p-5, -0x1.23db14813e58cp-5, -0x1.27e3d37d7836fp-5, -0x1.2bd8167c517d9p-5, -0x1.2fb80a39ebb83p-5, -0x1.3383daed54d38p-5, -0x1.373bb3b4bd5c2p-5, -0x1.3adfbf7e9c72ep-5, -0x1.3e702952e8fa2p-5, -0x1.41ed1b624bc06p-5, -0x1.4556be8c45633p-5, -0x1.48ad3aed449e5p-5, -0x1.4bf0b87121721p-5, -0x1.4f215ec133358p-5, -0x1.523f54c8540f8p-5, -0x1.554ac0a690cbdp-5, -0x1.5843c7dc2c283p-5, -0x1.5b2a8f42bf428p-5, -0x1.5dff3b21da10dp-5, -0x1.60c1ef4cbaf27p-5, -0x1.6372cf1293d5bp-5, -0x1.6611fd3410775p-5, -0x1.689f9bf817edap-5, -0x1.6b1bcd277420fp-5, -0x1.6d86b1d9ce0f4p-5, -0x1.6fe06ac19ccfep-5, -0x1.72291834893acp-5, -0x1.7460da111c74p-5, -0x1.7687cfd092fbap-5, -0x1.789e18a3af30fp-5, -0x1.7aa3d35f6c08p-5, -0x1.7c991df73653bp-5, -0x1.7e7e16b18eccep-5, -0x1.8052db627c0dcp-5, -0x1.8217893f71503p-5, -0x1.83cc3d67ce7dbp-5, -0x1.857114de09693p-5, -0x1.87062c5e91cfap-5, -0x1.888ba061c1cbap-5, -0x1.8a018d3bcc381p-5, -0x1.8b680f1db8418p-5, -0x1.8cbf421630487p-5, -0x1.8e07421f1c6e3p-5, -0x1.8f402b0ff5082p-5, -0x1.906a189d352ecp-5, -0x1.918526839a356p-5, -0x1.9291707a24d69p-5, -0x1.938f121c9e979p-5, -0x1.947e271e160e4p-5, -0x1.955ecb6b3d15dp-5, -0x1.96311abb97a5ep-5, -0x1.96f53072ebdf6p-5, -0x1.97ab28791959p-5, -0x1.98531f1c3c42ap-5, -0x1.98ed305a18b7bp-5, -0x1.99797828455b1p-5, -0x1.99f812c5c1d74p-5, -0x1.9a691c96fe0fap-5, -0x1.9accb2224c9cap-5, -0x1.9b22f018ed393p-5, -0x1.9b6bf3577a2f3p-5, -0x1.9ba7d8f3438f2p-5, -0x1.9bd6be163e1abp-5, -0x1.9bf8bfed79be7p-5, -0x1.9c0dfc342b7c8p-5, -0x1.9c1690bbbf30dp-5, -0x1.9c129b5f356b1p-5, -0x1.9c023a46a7676p-5, -0x1.9be58bd59ccfp-5, -0x1.9bbcaea7d5d01p-5, -0x1.9b87c1977a0f9p-5, -0x1.9b46e3a95417dp-5, -0x1.9afa341a225c1p-5, -0x1.9aa1d26adf4bcp-5, -0x1.9a3dde58d659cp-5, -0x1.99ce77d06d5c5p-5, -0x1.9953bef75e449p-5, -0x1.98cdd45d158e6p-5, -0x1.983cd864b1acbp-5, -0x1.97a0ec3cf8383p-5, -0x1.96fa30cf32f9ep-5, -0x1.9648c775e4f79p-5, -0x1.958cd1afb6006p-5, -0x1.94c6713467f06p-5, -0x1.93f5c8004e799p-5, -0x1.931af847bab6bp-5, -0x1.92362469fe3fp-5, -0x1.91476ef83d59ap-5, -0x1.904efac159d3ap-5, -0x1.8f4ceac50fc33p-5, -0x1.8e41622839228p-5, -0x1.8d2c84436a9dap-5, -0x1.8c0e7499dbc5fp-5, -0x1.8ae756e151b0cp-5, -0x1.89b74ef1fdba9p-5, -0x1.887e80ccdb447p-5, -0x1.873d109a73bf7p-5, -0x1.85f322a61c974p-5, -0x1.84a0db669ae2fp-5, -0x1.83465f62526dbp-5, -0x1.81e3d3200aef1p-5, -0x1.80795b7c02d17p-5, -0x1.7f071d837d5aep-5, -0x1.7d8d3e409fd61p-5, -0x1.7c0be27ce0bbap-5, -0x1.7a832f127290bp-5, -0x1.78f3496cdc831p-5, -0x1.775c56ce5d11fp-5, -0x1.75be7c3c0fac3p-5, -0x1.7419df3834e2p-5, -0x1.726ea532d9cbfp-5, -0x1.70bcf35d3fc58p-5, -0x1.6f04eef18f685p-5, -0x1.6d46bd3a3dd1fp-5, -0x1.6b8283847ae2ep-5, -0x1.69b867090a15dp-5, -0x1.67e88d28ade65p-5, -0x1.66131ac8ee276p-5, -0x1.6438354b98614p-5, -0x1.625801815e194p-5, -0x1.6072a46f04e4bp-5, -0x1.5e8842efec765p-5, -0x1.5c9901c0da59ep-5, -0x1.5aa505801dd79p-5, -0x1.58ac72ad19bbbp-5, -0x1.56af6da6eeb2ep-5, -0x1.54ae1aa96e32p-5, -0x1.52a89dca43e7fp-5, -0x1.509f1af42adc4p-5, -0x1.4e91b5e55ecb9p-5, -0x1.4c809232725c6p-5, -0x1.4a6bd33ab9c82p-5, -0x1.48539c2688d94p-5, -0x1.46380fec6f174p-5, -0x1.4419514b28d98p-5, -0x1.41f782c8250bcp-5, -0x1.3fd2c6ad626a5p-5, -0x1.3dab3f05d6078p-5, -0x1.3b810d9a38e82p-5, -0x1.395453ef72568p-5, -0x1.372533493247p-5, -0x1.34f3ccaa8469cp-5, -0x1.32c040c1fcd26p-5, -0x1.308aaff525e6ep-5, -0x1.2e533a6da2973p-5, -0x1.2c19fffc043ddp-5, -0x1.29df2021b2b68p-5, -0x1.27a2ba129d7d2p-5, -0x1.2564ecadcacbbp-5, -0x1.2325d685c954ep-5, -0x1.20e595ba593b7p-5, -0x1.1ea4484594ee4p-5, -0x1.1c620ba2af5ecp-5, -0x1.1a1efd0554d7ap-5, -0x1.17db39455bcb3p-5, -0x1.1596dcde07889p-5, -0x1.135203ece86cap-5, -0x1.110cca30257ccp-5, -0x1.0ec74b0503391p-5, -0x1.0c81a166906f6p-5, -0x1.0a3be7ed5fdcfp-5, -0x1.07f638d4422b8p-5, -0x1.05b0ae01c7a5dp-5, -0x1.036b60f3a7226p-5, -0x1.01266aa64e959p-5, -0x1.fdc3c7ac1ce2cp-6, -0x1.f93bc9dc32ad8p-6, -0x1.f4b50ba06963fp-6, -0x1.f02fbbe8b8582p-6, -0x1.ebac08eac6ecdp-6, -0x1.e72a201666058p-6, -0x1.e2aa2e13ebecfp-6, -0x1.de2c5ec60e9ddp-6, -0x1.d9b0dd48b5e12p-6, -0x1.d537d3f01cf09p-6, -0x1.d0c16c47b794cp-6, -0x1.cc4dcef92d2edp-6, -0x1.c7dd23ab94c3ap-6, -0x1.c36f911378ab4p-6, -0x1.bf053d0d2c98p-6, -0x1.ba9e4cbc8de1dp-6, -0x1.b63ae43d7dd8cp-6, -0x1.b1db273296682p-6, -0x1.ad7f38a5e9dd7p-6, -0x1.a9273b24163acp-6, -0x1.a4d350a3ca2c6p-6, -0x1.a0839a6466f8ep-6, -0x1.9c3838cb55996p-6, -0x1.97f14b55b753ap-6, -0x1.93aef048c6b7bp-6, -0x1.8f7144deb8ba9p-6, -0x1.8b38652e907c1p-6, -0x1.87046c7e249b3p-6, -0x1.82d5755db7878p-6, -0x1.7eab99d8b6b2bp-6, -0x1.7a86f39420a4dp-6, -0x1.76679bc806e04p-6, -0x1.724dab32d69f9p-6, -0x1.6e393a020af8fp-6, -0x1.6a2a5ee42f9bbp-6, -0x1.66212ed685f6fp-6, -0x1.621dbe13fb968p-6, -0x1.5e201ff299449p-6, -0x1.5a286755e8658p-6, -0x1.5636a63cd4aecp-6, -0x1.524aef00e62fdp-6, -0x1.4e6554d8dfd8cp-6, -0x1.4a85ebbfc3a92p-6, -0x1.46acc818ab913p-6, -0x1.42d9fe005da95p-6, -0x1.3f0da052514f4p-6, -0x1.3b47bfa8a57aap-6, -0x1.3788697fcbf79p-6, -0x1.33cfa7cf22164p-6, -0x1.301d814127138p-6, -0x1.2c71fa051930bp-6, -0x1.28cd152ecae11p-6, -0x1.252ed6617fd1ap-6, -0x1.2197437085ab1p-6, -0x1.1e06659625313p-6, -0x1.1a7c49f0efdaep-6, -0x1.16f9011bb5f4p-6, -0x1.137c9de5bbe34p-6, -0x1.1007336425cb9p-6, -0x1.0c98d2bb96dc5p-6, -0x1.0931891551e43p-6, -0x1.05d15e34c3af9p-6, -0x1.0278540a00d3dp-6, -0x1.fe4cceb2e53d3p-7, -0x1.f7b72283b92fap-7, -0x1.f12f9354fd939p-7, -0x1.eab613c1a395ep-7, -0x1.e44a9cd5af986p-7, -0x1.dded30938de56p-7, -0x1.d79dda5053d7ep-7, -0x1.d15cac8b50fa6p-7, -0x1.cb29bce503369p-7, -0x1.c5051f0d17fe1p-7, -0x1.beeedfc21e62ap-7, -0x1.b8e7011dbfa7ap-7, -0x1.b2ed7933cc628p-7, -0x1.ad0233875561dp-7, -0x1.a7251515bd67fp-7, -0x1.a1560247b0514p-7, -0x1.9b94e59f351c6p-7, -0x1.95e1b589999e4p-7, -0x1.903c781772cd7p-7, -0x1.8aa543859df27p-7, -0x1.851c3b18ab1ecp-7, -0x1.7fa1889fd0b46p-7, -0x1.7a3553a95dfa5p-7, -0x1.74d7b7fb740fbp-7, -0x1.6f88bd1f87b02p-7, -0x1.6a4850b84e272p-7, -0x1.651644e452b86p-7, -0x1.5ff2534a0744dp-7, -0x1.5adc24501f6e7p-7, -0x1.55d35a6f29ac4p-7, -0x1.50d79e5973d86p-7, -0x1.4be8ac021c1f6p-7, -0x1.47065c571e90fp-7, -0x1.4230ab398620cp-7, -0x1.3d67b7ef03d4ep-7, -0x1.38abbfc381e6dp-7, -0x1.33fd13b724543p-7, -0x1.2f5c0ae42bc05p-7, -0x1.2ac8f3de03b67p-7, -0x1.264407749e4bfp-7, -0x1.21cd5ee40b9c5p-7, -0x1.1d64ed875ee4dp-7, -0x1.190a7f7cc2433p-7, -0x1.14bdc214036e4p-7, -0x1.107e49cac5p-7, -0x1.0c4b9d6dd7b6cp-7, -0x1.082548558b96ap-7, -0x1.040ae4445abcp-7, -0x1.fff848941c543p-8, -0x1.f7f1b907cb403p-8, -0x1.f00206b2e4b5p-8, -0x1.e8295b4f77386p-8, -0x1.e0680dad219c5p-8, -0x1.d8be8cb664eabp-8, -0x1.d12d493bb24bbp-8, -0x1.c9b4a21053869p-8, -0x1.c254d3dc0c728p-8, -0x1.bb0df0471797dp-8, -0x1.b3dfda16c3bcp-8, -0x1.acca48daf72fcp-8, -0x1.a5ccd2236bc27p-8, -0x1.9ee6f6fbfa461p-8, -0x1.9818339f848c6p-8, -0x1.91600a6d8aafp-8, -0x1.8abe0b035aaa9p-8, -0x1.8431da2fc0a7p-8, -0x1.7dbb30e741ad4p-8, -0x1.7759d69eeaa23p-8, -0x1.710da2f9952c3p-8, -0x1.6ad67eeec127ep-8, -0x1.64b4635dd85ecp-8, -0x1.5ea7559784523p-8, -0x1.58af606f552cfp-8, -0x1.52cc8aee4e529p-8, -0x1.4cfec9887f9ebp-8, -0x1.4745fa9b978c4p-8, -0x1.41a1e3766759fp-8, -0x1.3c123f8d76257p-8, -0x1.3696acbf9cebcp-8, -0x1.312eecc555fbbp-8, -0x1.2bdab73b37deap-8, -0x1.2699d0eaf0055p-8, -0x1.216bfacf5a22p-8, -0x1.1c50e54d5c2d7p-8, -0x1.17482e8c7af33p-8, -0x1.12516c1871a95p-8, -0x1.0d6c3f8fb4466p-8, -0x1.08986b58f67f7p-8, -0x1.03d5dc9b29acdp-8, -0x1.fe49481a1e2bfp-9, -0x1.f509c17fb0e6p-9, -0x1.ebed507fc29d9p-9, -0x1.e2f3f291b81bcp-9, -0x1.da1d807748b15p-9, -0x1.d169d412caddbp-9, -0x1.c8d8f3924e377p-9, -0x1.c06b26de3490dp-9, -0x1.b820e626a8fbbp-9, -0x1.affaa0d683acap-9, -0x1.a7f86c58c04a8p-9, -0x1.a019b5156dfabp-9, -0x1.985d0f4769dd9p-9, -0x1.90c042e26aa26p-9, -0x1.8940a06558ecdp-9, -0x1.81db8fc82dcc4p-9, -0x1.7a8f2a5b00dd1p-9, -0x1.735aa1d8dcbddp-9, -0x1.6c3e473e2fb9bp-9, -0x1.653b2cc8714a8p-9, -0x1.5e528d95a96f4p-9, -0x1.5785430aa9405p-9, -0x1.50d38677f6a63p-9, -0x1.4a3d10a187e23p-9, -0x1.43c177c0bea2ap-9, -0x1.3d6095558f953p-9, -0x1.371ac5b1ecb6dp-9, -0x1.30f0ebffa67ep-9, -0x1.2ae43d7a8475ep-9, -0x1.24f5e65202a7p-9, -0x1.1f26a128d41ffp-9, -0x1.19765a3bdca51p-9, -0x1.13e3f7442b4f1p-9, -0x1.0e6d5e1ec70aap-9, -0x1.090fcae729d1fp-9, -0x1.03c8685bf112cp-9, -0x1.fd29eb79331d1p-10, -0x1.f2e8618a07feep-10, -0x1.e8cba0e16642cp-10, -0x1.ded4310fb4544p-10, -0x1.d502a35da4639p-10, -0x1.cb56f61ba3021p-10, -0x1.c1d0b8c2efc3bp-10, -0x1.b86fadaa20393p-10, -0x1.af3459531cf2p-10, -0x1.a62024c90b6c3p-10, -0x1.9d350808498c7p-10, -0x1.9474e723b6b17p-10, -0x1.8be0eefbdb1d7p-10, -0x1.83794b535fcc5p-10, -0x1.7b3d507710d7ep-10, -0x1.732c60d0eaaap-10, -0x1.6b455ae66c72fp-10, -0x1.6387c81b781d7p-10, -0x1.5bf22114058d1p-10, -0x1.548276a89d1a1p-10, -0x1.4d36576f54ed2p-10, -0x1.460b949232612p-10, -0x1.3f00f2733a38cp-10, -0x1.381656237cc53p-10, -0x1.314c493db4d25p-10, -0x1.2aa322aecc889p-10, -0x1.241a5d81a5459p-10, -0x1.1db06f2bfed2bp-10, -0x1.17630eecbae48p-10, -0x1.112fff2fb214fp-10, -0x1.0b16149feef27p-10, -0x1.0515d5aec06d8p-10, -0x1.fe62751a20367p-11, -0x1.f2d4fa8b12c92p-11, -0x1.e785b82acbf25p-11, -0x1.dc743bbbcdf99p-11, -0x1.d19de0b1e2419p-11, -0x1.c6ff75465b598p-11, -0x1.bc968dd2d56d9p-11, -0x1.b262301064effp-11, -0x1.a8629db2b93d3p-11, -0x1.9e985680bace1p-11, -0x1.95036dac84d5fp-11, -0x1.8ba281a3d8928p-11, -0x1.82729b71e6912p-11, -0x1.796fe553ae651p-11, -0x1.709779a42a31ap-11, -0x1.67e8f0b5247a1p-11, -0x1.5f663282f420cp-11, -0x1.5711836e27e88p-11, -0x1.4eeb6d6fc0812p-11, -0x1.46f287418315bp-11, -0x1.3f25776aaef56p-11, -0x1.37848a98c4d8p-11, -0x1.30107a3980c43p-11, -0x1.28c80c2f77463p-11, -0x1.21a79d16ad68bp-11, -0x1.1aaadf3c7261dp-11, -0x1.13ceea4f84338p-11, -0x1.0d1287f652023p-11, -0x1.06768f32a45c5p-11, -0x1.fff842867bb07p-12, -0x1.f3494ee56529dp-12, -0x1.e6e26168bb6d9p-12, -0x1.dac48f1bddfa6p-12, -0x1.cef066b5a030ep-12, -0x1.c366d2d24fd05p-12, -0x1.b827d8fd0cc55p-12, -0x1.ad2eb2625aa13p-12, -0x1.a270c5d6485d5p-12, -0x1.97e463aebc736p-12, -0x1.8d88f1ecb83f4p-12, -0x1.836593b24a9f5p-12, -0x1.797f2c34a9d62p-12, -0x1.6fd2506e2cbe3p-12, -0x1.6658f84c81598p-12, -0x1.5d1384f53db34p-12, -0x1.5407f6f17bbd4p-12, -0x1.4b3a08927e5e6p-12, -0x1.42a823fbd2627p-12, -0x1.3a4e9a13804bbp-12, -0x1.322aa2eb1d30ep-12, -0x1.2a3a5c3d7897fp-12, -0x1.227b17ce0cfaep-12, -0x1.1ae7fbfbb06aap-12, -0x1.137aac01a9d05p-12, -0x1.0c2e98f95c3p-12, -0x1.0504b1ff11994p-12, -0x1.fc069c8ff451ap-13, -0x1.ee6317e5e674dp-13, -0x1.e122afa749181p-13, -0x1.d440d453ed868p-13, -0x1.c7b8c45550e6fp-13, -0x1.bb8adf7a2c5cdp-13, -0x1.afb088b9b72d4p-13, -0x1.a417d88807ba8p-13, -0x1.98b7c2cb23699p-13, -0x1.8d9bb2f20afc2p-13, -0x1.82ce025cb9e7ep-13, -0x1.7844dc0fcd272p-13, -0x1.6df26c71833c2p-13, -0x1.63db57b4981f3p-13, -0x1.5a0cda7a1eccfp-13, -0x1.5088e91e65981p-13, -0x1.47473aac38cf2p-13, -0x1.3e3fb37f70e6fp-13, -0x1.356eb1d979b0bp-13, -0x1.2cd430db5f871p-13, -0x1.247273d6dae89p-13, -0x1.1c4ceadb42111p-13, -0x1.1466834c770ffp-13, -0x1.0cbfbcdb06112p-13, -0x1.0554821b8d2b7p-13, -0x1.fc3445c7dfe43p-14, -0x1.ee0966dedbeddp-14, -0x1.e020c72503353p-14, -0x1.d292fe751e767p-14, -0x1.c578c77b82131p-14, -0x1.b8c7df8fa2cf9p-14, -0x1.ac6e268d32693p-14, -0x1.a071f6a053aep-14, -0x1.94e1c0f27919ep-14, -0x1.89aceea142cdep-14, -0x1.7ebbd06651fbbp-14, -0x1.7413c5fd89443p-14, -0x1.69bd8440c5032p-14, -0x1.5fa68dd2f9087p-14, -0x1.55c6b7d3b1a52p-14, -0x1.4c353bc4dcaadp-14, -0x1.42fd091fd1074p-14, -0x1.3a11f5634b181p-14, -0x1.316798a2afd63p-14, -0x1.28f973fc3e54ap-14, -0x1.20c6f2fc43e77p-14, -0x1.18d0196faabafp-14, -0x1.111472ea591e9p-14, -0x1.09932965265f2p-14, -0x1.024bc2bd92d4p-14, -0x1.f67d62da41eb6p-15, -0x1.e8da77079e1e2p-15, -0x1.dbaf833b83126p-15, -0x1.cf007b099efcep-15, -0x1.c2cb9ac54687fp-15, -0x1.b6fc5a5c6c1bep-15, -0x1.ab76ac5a41822p-15, -0x1.a040e52255014p-15, -0x1.9571afac5f6dep-15, -0x1.8af526a86fc9p-15, -0x1.80bdfb04f7676p-15, -0x1.76ea11dcf0741p-15, -0x1.6d915024169c2p-15, -0x1.64a4a76c58848p-15, -0x1.5bfb3778fbb43p-15, -0x1.538b9db7a3343p-15, -0x1.4b5b57fd427abp-15, -0x1.435c21f80e608p-15, -0x1.3ba59559c7be1p-15, -0x1.344dd8d50cf3bp-15, -0x1.2d440077ee95cp-15, -0x1.26771394549fap-15, -0x1.1fe32bfa611fcp-15, -0x1.19892883104aap-15, -0x1.1369b7a61fec6p-15, -0x1.0d84894c9d3fp-15, -0x1.07d899308c65bp-15, -0x1.02646ea231dd8p-15, -0x1.fa4c0c57e322bp-16, -0x1.f035b49cae976p-16, -0x1.e6822b4e02fa1p-16, -0x1.dd2fdec464405p-16, -0x1.d43c0e56f7116p-16, -0x1.cba342ad4e913p-16, -0x1.c36a6d3e6fbecp-16, -0x1.bba7144998bc2p-16, -0x1.b44a3e97fef11p-16, -0x1.ad329c0339265p-16, -0x1.a65591579cd99p-16, -0x1.9fad2199afd9dp-16, -0x1.99425ff20f2ecp-16, -0x1.93383fda505b3p-16, -0x1.8d7fa8bc01dc2p-16, -0x1.880b79ede6327p-16, -0x1.82ec644e9ee43p-16, -0x1.7e1484d072c2cp-16, -0x1.7962dfde79af7p-16, -0x1.74d1f8a0188ebp-16, -0x1.706ff08c0ddbep-16, -0x1.6c5e87317af9fp-16, -0x1.688f510cf991ap-16, -0x1.64ed801bc1d37p-16, -0x1.61763eb1d4257p-16, -0x1.5e2b706c53557p-16, -0x1.5b0d692cacdb4p-16, -0x1.581b534dd8032p-16, -0x1.5552d1526b261p-16, -0x1.52b7f420f27dcp-16, -0x1.503e81ecc8b2ep-16, -0x1.4deded672dc4p-16, -0x1.4bc207e686032p-16, -0x1.49b82e4959562p-16, -0x1.47cebec157bacp-16, -0x1.460402ef5acc2p-16, -0x1.445640dce3cb6p-16, -0x1.42c3602a68f14p-16, -0x1.414aa27d47376p-16, -0x1.3ff8217a3baap-16, -0x1.3ed07ca69d401p-16, -0x1.3dbae7432502cp-16, -0x1.3caa2f4bc7aap-16, -0x1.3ba8417ff700bp-16, -0x1.3aca0b60d6848p-16, -0x1.3a0455e512da8p-16, -0x1.394d87c53d659p-16, -0x1.38a4d1a22afd6p-16, -0x1.380a5887d6d6bp-16, -0x1.37832932c52dbp-16, -0x1.371730cb709ebp-16, -0x1.36b75b96d15ap-16, -0x1.3656941378dbdp-16, -0x1.36050ba6a4e66p-16, -0x1.35c989476a251p-16, -0x1.35986ac77354p-16, -0x1.356ecb7720108p-16, -0x1.354db628353a4p-16, -0x1.3535801c74effp-16, -0x1.3525cc170878p-16, -0x1.351e04b3670d2p-16, -0x1.351d9de5c611p-16, -0x1.3523fed259843p-16, -0x1.352f97e81c52p-16, -0x1.35415e843ad81p-16, -0x1.3557ee4c0749ep-16, -0x1.357378940e495p-16, -0x1.35924996665c9p-16, -0x1.35b34a2b53fe3p-16, -0x1.35d8cd2eeaa56p-16, -0x1.35fd812380dd7p-16, -0x1.362482986f3b7p-16, -0x1.364cafad38d95p-16, -0x1.367b2e712d25ep-16, -0x1.36ac436117effp-16, -0x1.36d487af37196p-16, -0x1.36fff2379ddp-16, -0x1.372f8bb0ff211p-16, -0x1.375b6a6195d62p-16, -0x1.37852a4884341p-16, -0x1.37ac9b77221bcp-16, -0x1.37d24e4f61a4ep-16, -0x1.37f66b9b17209p-16, -0x1.381835f858812p-16, -0x1.3836623ee545cp-16, -0x1.38517882f0531p-16, -0x1.386d08ae00b99p-16, -0x1.3882e85680e8p-16, -0x1.389453148ee0dp-16, -0x1.38a547e96fa05p-16, -0x1.38b137e18b3b1p-16, -0x1.38b77a1625e9cp-16, -0x1.38b999efa1b68p-16, -0x1.38b7391a609f7p-16, -0x1.38b02881e885fp-16, -0x1.38a49d036681dp-16, -0x1.3893b9884d411p-16, -0x1.387d265d2e246p-16, -0x1.3864525497443p-16, -0x1.38424920d3a05p-16, -0x1.381c89751c673p-16, -0x1.37f1d3e803b21p-16, -0x1.37c0d4d0188dcp-16, -0x1.37891b0c2cec2p-16, -0x1.374c50ecfcde4p-16, -0x1.3709d5404421p-16, -0x1.36c14043df73p-16, -0x1.3670eabfd9b25p-16, -0x1.361d32fe04f12p-16, -0x1.35c2aceb43aap-16, -0x1.35616ffa446c3p-16, -0x1.34fc2c5b5b28dp-16, -0x1.348f5ed7ff364p-16, -0x1.341b8a62c52aep-16, -0x1.33a139dce9989p-16, -0x1.3320ac565a827p-16, -0x1.3299c664853ep-16, -0x1.320c7215fde79p-16, -0x1.3178afa524855p-16, -0x1.30de9d48d2287p-16, -0x1.303e715078ca9p-16, -0x1.2f983c3407107p-16, -0x1.2eeb95fc59ff4p-16, -0x1.2e37492f3dfdbp-16, -0x1.2d7b917762f52p-16, -0x1.2cbc70dfde3c4p-16, -0x1.2bf717f3e167ep-16, -0x1.2b2c096c03bffp-16, -0x1.2a59e62c938b6p-16, -0x1.298077c2f78a9p-16, -0x1.28a10c19c92c5p-16, -0x1.27bbc40cebcccp-16, -0x1.26d08968c106ep-16, -0x1.25df445743ba8p-16, -0x1.24e7ea778d249p-16, -0x1.23eaab57275c2p-16, -0x1.22e7aa04f69e5p-16, -0x1.21dee355dbfdap-16, -0x1.20d04cce5c50fp-16, -0x1.1fbbe91c31959p-16, -0x1.1ea1d68f8448p-16, -0x1.1d8242524d859p-16, -0x1.1c5d2c1882f24p-16, -0x1.1b32d5ee0b20bp-16, -0x1.1a029cd53c9a9p-16, -0x1.18cca905cddfap-16, -0x1.1790e7d1a916fp-16, -0x1.16524b565d5efp-16, -0x1.150e907eff906p-16, -0x1.13c459590d131p-16, -0x1.1275d7d3e0f6bp-16, -0x1.1121525487c6fp-16, -0x1.0fc8291e6d1bcp-16, -0x1.0e6a9e87fb562p-16, -0x1.0d07e3f75c002p-16, -0x1.0ba169239797ap-16, -0x1.0a367fab88047p-16, -0x1.08c63a9176b1ep-16, -0x1.0752343e7beebp-16, -0x1.05d9a788a6286p-16, -0x1.045cc87daa407p-16, -0x1.02dbeeffe952cp-16, -0x1.015701e45a4f6p-16, -0x1.ff9aeae80e9efp-17, -0x1.fc7fb7431b0abp-17, -0x1.f95f9adaecb4ep-17, -0x1.f632ffe908a52p-17, -0x1.f3070a20db1ap-17, -0x1.efcfd456a3f0ep-17, -0x1.ec9164a4b2e74p-17, -0x1.e94c2e19d9c52p-17, -0x1.e60038068bd55p-17, -0x1.e2adbf1cf9b8ap-17, -0x1.df54ee90e19ffp-17, -0x1.dbf5f03a5884ap-17, -0x1.d890ea598e82cp-17, -0x1.d525d96f86651p-17, -0x1.d1b6028f0f325p-17, -0x1.ce3f344ae4b69p-17, -0x1.cac3ff7086703p-17, -0x1.c7436059c6209p-17, -0x1.c3bda202286f1p-17, -0x1.c03311823396dp-17, -0x1.bca3f3fa19f16p-17, -0x1.b910126effe2ep-17, -0x1.b5773bc23167ap-17, -0x1.b1d9d81acc6a5p-17, -0x1.ae3c405db41bep-17, -0x1.aa95d673d4a2cp-17, -0x1.a6ed436f72105p-17, -0x1.a340ad430d221p-17, -0x1.9f90d869b26e1p-17, -0x1.9bde244563354p-17, -0x1.9827fb02e553bp-17, -0x1.946ce966751ccp-17, -0x1.90b0eff584043p-17, -0x1.8cf4641d50563p-17, -0x1.89313b13174f3p-17, -0x1.856befde1d3ffp-17, -0x1.81a614e76d52ep-17, -0x1.7ddeae9725fcp-17, -0x1.7a14af4a5064p-17, -0x1.7645aea197cf3p-17, -0x1.7277a47d8f6bap-17, -0x1.6ea5c58ea8cc7p-17, -0x1.6ad61b49c2ac1p-17, -0x1.6704e895fd485p-17, -0x1.632f889d6cbe2p-17, -0x1.5f5724f8c8286p-17, -0x1.5b822c6d19593p-17, -0x1.57a9a33debbe2p-17, -0x1.53d296da0153cp-17, -0x1.4ffbba0791ceep-17, -0x1.4c21d8132b46fp-17, -0x1.4847c10c932c7p-17, -0x1.446e2999bde94p-17, -0x1.40945bba87df9p-17, }}, 
      {{0x1.c56a9a4e0e2c1p-4, 0x1.2f1fd8f1f6bcap-3, 0x1.c1d68f93b2785p-4, 0x1.5326e2488a78dp-6, -0x1.788645bb950e3p-4, -0x1.a62d0d92fad55p-3, -0x1.3ac5589190971p-2, -0x1.8d0524bc153c9p-2, -0x1.c6cfb7472544p-2, -0x1.e89e88d8fd90cp-2, -0x1.f50b746eca086p-2, -0x1.efc738cf63f57p-2, -0x1.dcdfc0b60fee2p-2, -0x1.c047a4cedffa6p-2, -0x1.9d8efe5c3d476p-2, -0x1.77bf599d6063fp-2, -0x1.514f5917e9f23p-2, -0x1.2c2573e7901ap-2, -0x1.09a3a58486ff6p-2, -0x1.d56fa3c45ebb5p-3, -0x1.9fdc03005307cp-3, -0x1.73053d95cabd4p-3, -0x1.4ee7389e80701p-3, -0x1.331fd478ce269p-3, -0x1.1f09e2c84bdadp-3, -0x1.11d3f8698e606p-3, -0x1.0a9335817fa37p-3, -0x1.0852473036903p-3, -0x1.0a1d074ff7e37p-3, -0x1.0f0924441d672p-3, -0x1.163c43cbe52bbp-3, -0x1.1ef00dec75a1ep-3, -0x1.287485909da68p-3, -0x1.32310a1ae6571p-3, -0x1.3ba4535ceaa6dp-3, -0x1.4463ae5d5c1bap-3, -0x1.4c19b16cab86ep-3, -0x1.52849736e3bf1p-3, -0x1.577465703dc9ap-3, -0x1.5ac8faf2338e8p-3, -0x1.5c7016f21a9b7p-3, -0x1.5c636b12ab293p-3, -0x1.5aa6c58ff141ep-3, -0x1.5746571e0cfc5p-3, -0x1.52551a490212fp-3, -0x1.4beb62868c89ap-3, -0x1.4425944be8d5dp-3, -0x1.3b2301a4e5f45p-3, -0x1.3104ed0304025p-3, -0x1.25edb0b4f414fp-3, -0x1.1a00089b782bp-3, -0x1.0d5e790845c7p-3, -0x1.002ad292a3ef7p-3, -0x1.e50b96a4cb60ap-4, -0x1.c91d63dd2fb31p-4, -0x1.acc6647a310c5p-4, -0x1.903e510bc828p-4, -0x1.73b90852decffp-4, -0x1.57666c468695cp-4, -0x1.3b724f3f442d8p-4, -0x1.2004786fa62cep-4, -0x1.0540af5e74119p-4, -0x1.d68db1ee82ad1p-5, -0x1.a466276d99dd3p-5, -0x1.743bc6536e8c8p-5, -0x1.4638b058216dap-5, -0x1.1a80848dd864cp-5, -0x1.e26185ee4f381p-6, -0x1.94c25f204ae65p-6, -0x1.4c48784a5584fp-6, -0x1.090edbd6656bbp-6, -0x1.964eff4e3d4e4p-7, -0x1.253811a9674f6p-7, -0x1.7dba203d2d2d8p-8, -0x1.8cd15191473cp-9, -0x1.227c9950c9328p-11, 0x1.a34e54d287206p-10, 0x1.c2ae54abc0a5cp-9, 0x1.45a320e911858p-8, 0x1.962ee25e8daf4p-8, 0x1.d37f4877c19a2p-8, 0x1.fe24beef4c6fdp-8, 0x1.0b5cc5e49533cp-7, 0x1.0ef0163b2a60ep-7, 0x1.0a20e965c2b5fp-7, 0x1.fa8d1a524b42p-8, 0x1.d174ac94b5728p-8, 0x1.99ae35db65ee2p-8, 0x1.53f148f19a8c4p-8, 0x1.00f66936925adp-8, 0x1.42ec764b37b81p-9, 0x1.b145d039b2d3ap-11, -0x1.00ee26eaf2144p-10, -0x1.8203dd5c15162p-9, -0x1.4b78675c74262p-8, -0x1.deefe3bc4c288p-8, -0x1.3d5e68dd8998fp-7, -0x1.8f1bb1b1e5245p-7, -0x1.e45dfb52e59e2p-7, -0x1.1e6ad17ea9033p-6, -0x1.4c1aadb7fbc47p-6, -0x1.7b191c4c08055p-6, -0x1.ab41e375b4e0fp-6, -0x1.dc720f6f12deap-6, -0x1.0743f8d94e7b4p-5, -0x1.20b195caa6546p-5, -0x1.3a7253fc23668p-5, -0x1.547750901fce7p-5, -0x1.6eb24f2f445d7p-5, -0x1.8915b7a9881d2p-5, -0x1.a39495ccfaa17p-5, -0x1.be2296bdca0ddp-5, -0x1.d8b4052152049p-5, -0x1.f33dc930e669p-5, -0x1.06dab0ea7f6a7p-4, -0x1.1408723b636d2p-4, -0x1.21237b89870cbp-4, -0x1.2e2766233bdc5p-4, -0x1.3b101134e2491p-4, -0x1.47d99de5b5fbp-4, -0x1.54806d544162p-4, -0x1.6101203bb483ap-4, -0x1.6d589318f06c1p-4, -0x1.7983dba340cbdp-4, -0x1.858048e5a93c5p-4, -0x1.914b5ef1b4d89p-4, -0x1.9ce2d4ec0a805p-4, -0x1.a8449487c53ccp-4, -0x1.b36eb6a13a19cp-4, -0x1.be5f80538e0b2p-4, -0x1.c91563257e93bp-4, -0x1.d38efa9111077p-4, -0x1.ddcb079bac3cep-4, -0x1.e7c8721f5f449p-4, -0x1.f186460678d8p-4, -0x1.fb03b07d85271p-4, -0x1.021fff39d6bb8p-3, -0x1.069d4e539348p-3, -0x1.0af98a86f47a9p-3, -0x1.0f34857c384a2p-3, -0x1.134e1e828dd5cp-3, -0x1.174641a8817c5p-3, -0x1.1b1ce5cc165eap-3, -0x1.1ed20c74627f6p-3, -0x1.2265c2078dd28p-3, -0x1.25d81cb4945b9p-3, -0x1.29293af62c501p-3, -0x1.2c5943ce06132p-3, -0x1.2f6866b2ee3d8p-3, -0x1.3256da7db574dp-3, -0x1.3524dc6cb2546p-3, -0x1.37d2aff1a6f72p-3, -0x1.3a609f44f44eep-3, -0x1.3ccefa19fe2b3p-3, -0x1.3f1e1495ece7ap-3, -0x1.414e478c52865p-3, -0x1.435ff0cdf6c4bp-3, -0x1.4553721dde57bp-3, -0x1.47293081150a2p-3, -0x1.48e193d970ed2p-3, -0x1.4a7d07ca0db9fp-3, -0x1.4bfbfacdb7381p-3, -0x1.4d5edd4a3bfddp-3, -0x1.4ea621a3e9b43p-3, -0x1.4fd23c43da4acp-3, -0x1.50e3a3a71f714p-3, -0x1.51dacfa36741cp-3, -0x1.52b838f448414p-3, -0x1.537c590c6c4c8p-3, -0x1.5427aabb893ddp-3, -0x1.54baa995a022ap-3, -0x1.5535d16834eefp-3, -0x1.55999e136bf37p-3, -0x1.55e68b9653592p-3, -0x1.561d164c7a207p-3, -0x1.563dba798372cp-3, -0x1.5648f400bbfd2p-3, -0x1.563f3e2ef5ef7p-3, -0x1.562113b6a6259p-3, -0x1.55eeef29caef1p-3, -0x1.55a94a667177dp-3, -0x1.55509e55d25cp-3, -0x1.54e562dec1d71p-3, -0x1.54680f0b10274p-3, -0x1.53d91900eb6cep-3, -0x1.5338f5f74a811p-3, -0x1.528819da63494p-3, -0x1.51c6f74f3d83p-3, -0x1.50f5ffb613741p-3, -0x1.5015a3486fb1p-3, -0x1.4f2650ee126aap-3, -0x1.4e28764d91dbap-3, -0x1.4d1c7f7b0cf7dp-3, -0x1.4c02d71120e7dp-3, -0x1.4adbe629be2b5p-3, -0x1.49a8149d2ca21p-3, -0x1.4867c8c237ec9p-3, -0x1.471b6750cb3e7p-3, -0x1.45c35378dfe1ap-3, -0x1.445feecbcd271p-3, -0x1.42f19956ea40bp-3, -0x1.4178b1a023ec5p-3, -0x1.3ff594bc13761p-3, -0x1.3e689e098ce6fp-3, -0x1.3cd22749d843dp-3, -0x1.3b3288b03097p-3, -0x1.398a18d8629b1p-3, -0x1.37d92cdacf92dp-3, -0x1.36201849148c5p-3, -0x1.345f2d1e65842p-3, -0x1.3296bbbb59a25p-3, -0x1.30c712f30a74ep-3, -0x1.2ef080172b47fp-3, -0x1.2d134ef27125p-3, -0x1.2b2fc9d2a4f5p-3, -0x1.2946398e24a32p-3, -0x1.2756e57c27fdbp-3, -0x1.2562136978f42p-3, -0x1.236807c7273d7p-3, -0x1.216905727d096p-3, -0x1.1f654df7d8ae8p-3, -0x1.1d5d2191e33b8p-3, -0x1.1b50bf036f713p-3, -0x1.194063acc918dp-3, -0x1.172c4b96148e4p-3, -0x1.1514b169f7d68p-3, -0x1.12f9ce8880795p-3, -0x1.10dbdb0f7266ap-3, -0x1.0ebb0dd6f8e64p-3, -0x1.0c979c72d9937p-3, -0x1.0a71bb37f9e56p-3, -0x1.08499d3e7c24cp-3, -0x1.061f74688ded4p-3, -0x1.03f3716d5a9d2p-3, -0x1.01c5c3deeb76dp-3, -0x1.ff2d3450fbcbfp-4, -0x1.facc433392fdap-4, -0x1.f6690cd2019c6p-4, -0x1.f203e7441d3b3p-4, -0x1.ed9d2696840a3p-4, -0x1.e9351cba12664p-4, -0x1.e4cc1990335dfp-4, -0x1.e0626af698297p-4, -0x1.dbf85ccbdd65dp-4, -0x1.d78e38f3286e3p-4, -0x1.d324477430d61p-4, -0x1.cebace5948982p-4, -0x1.ca5211d127ec3p-4, -0x1.c5ea5442e5919p-4, -0x1.c183d64d00849p-4, -0x1.bd1ed6d1ffadcp-4, -0x1.b8bb92f5dfef5p-4, -0x1.b45a4627a337cp-4, -0x1.affb2a3085a86p-4, -0x1.ab9e77399e628p-4, -0x1.a74463d2769e2p-4, -0x1.a2ed24f7e1d8dp-4, -0x1.9e98ee1a71bdbp-4, -0x1.9a47f135d701cp-4, -0x1.95fa5eb8c60d7p-4, -0x1.91b065ab6e907p-4, -0x1.8d6a33a427c97p-4, -0x1.8927f4d15b406p-4, -0x1.84e9d4038c883p-4, -0x1.80affab4010c3p-4, -0x1.7c7a91104f3e9p-4, -0x1.7849bdf695171p-4, -0x1.741da6f83769p-4, -0x1.6ff6706ba0037p-4, -0x1.6bd43d7267021p-4, -0x1.67b72ffb588a3p-4, -0x1.639f68c7d96d1p-4, -0x1.5f8d07721bbbp-4, -0x1.5b802a7360e25p-4, -0x1.5778ef2948271p-4, -0x1.537771d7a0d4ap-4, -0x1.4f7bcdb32d2d5p-4, -0x1.4b861cef7245p-4, -0x1.479678ac79fb3p-4, -0x1.43acf90bea605p-4, -0x1.3fc9b537e4c04p-4, -0x1.3becc35c87868p-4, -0x1.381638b80465bp-4, -0x1.3446299acf7d3p-4, -0x1.307ca966f5687p-4, -0x1.2cb9caa1e934ap-4, -0x1.28fd9eedf3447p-4, -0x1.2548371306431p-4, -0x1.2199a302ac015p-4, -0x1.1df1f1da06cd5p-4, -0x1.1a5131e890783p-4, -0x1.16b770b2c67f9p-4, -0x1.1324bafcb2ef2p-4, -0x1.0f991cbe04e23p-4, -0x1.0c14a138ea9e9p-4, -0x1.089752f2063d7p-4, -0x1.05213bb624a26p-4, -0x1.01b2649ef52fcp-4, -0x1.fc95ac346ff76p-5, -0x1.f5d52fd6138e2p-5, -0x1.ef236255a5c8cp-5, -0x1.e880509f7f654p-5, -0x1.e1ec0664ad5e2p-5, -0x1.db668e19f3963p-5, -0x1.d4eff0fb101fdp-5, -0x1.ce883718e4486p-5, -0x1.c82f67606838bp-5, -0x1.c1e5879f8c006p-5, -0x1.bbaa9c86c7a1bp-5, -0x1.b57ea9b1098f2p-5, -0x1.af61b1b65d307p-5, -0x1.a953b62d34e9dp-5, -0x1.a354b797e3f5ep-5, -0x1.9d64b58485bedp-5, -0x1.9783ae9b6698fp-5, -0x1.91b1a085c626dp-5, -0x1.8bee8801a4b65p-5, -0x1.863a60f017ed8p-5, -0x1.8095265e2341ap-5, -0x1.7afed27c8808cp-5, -0x1.75775e99edc94p-5, -0x1.6ffec33cf567ep-5, -0x1.6a94f827e5482p-5, -0x1.6539f450e723ep-5, -0x1.5fedadf558dbp-5, -0x1.5ab01a9d6e5fdp-5, -0x1.55812f170a4cfp-5, -0x1.5060df7e07298p-5, -0x1.4b4f1f46fc755p-5, -0x1.464be144c6d45p-5, -0x1.4157179f17989p-5, -0x1.3c70b3ecd3ef4p-5, -0x1.3798a7178049ep-5, -0x1.32cee189f4046p-5, -0x1.2e135318267bdp-5, -0x1.2965eb0bcb388p-5, -0x1.24c69825472a9p-5, -0x1.203548a1f7888p-5, -0x1.1bb1ea422496dp-5, -0x1.173c6a4d5542cp-5, -0x1.12d4b594dd361p-5, -0x1.0e7ab8750246fp-5, -0x1.0a2e5edcb2501p-5, -0x1.05ef9455200d5p-5, -0x1.01be43fd5d354p-5, -0x1.fb34b128d60d4p-6, -0x1.f30778f29927bp-6, -0x1.eaf4b35e9895ap-6, -0x1.e2fc33c62442cp-6, -0x1.db1dccdda5312p-6, -0x1.d35950ba00b2fp-6, -0x1.cbae90d59b3d8p-6, -0x1.c41d5e14540d9p-6, -0x1.bca588cb252ecp-6, -0x1.b546e0c8c45bap-6, -0x1.ae01355c5f068p-6, -0x1.a6d45566a3cdbp-6, -0x1.9fc00f56ac3dep-6, -0x1.98c431278b3e4p-6, -0x1.91e0887ab4af6p-6, -0x1.8b14e292c24d6p-6, -0x1.84610c52c1a77p-6, -0x1.7dc4d2479ef54p-6, -0x1.774000ad2248p-6, -0x1.70d26382a9586p-6, -0x1.6a7bc673c812p-6, -0x1.643bf4fe647fep-6, -0x1.5e12ba635712ep-6, -0x1.57ffe1b1c9155p-6, -0x1.520335caf3cb4p-6, -0x1.4c1c81664f75cp-6, -0x1.464b8f16ad5dbp-6, -0x1.4090294f72f25p-6, -0x1.3aea1a698129dp-6, -0x1.35592ca7b7416p-6, -0x1.2fdd2a3acb334p-6, -0x1.2a75dd4368f55p-6, -0x1.25230fdd3355bp-6, -0x1.1fe48c2d31a28p-6, -0x1.1aba1c4fe7d7fp-6, -0x1.15a38a5a47fdcp-6, -0x1.10a0a073e22ecp-6, -0x1.0bb128cf134fap-6, -0x1.06d4edaa54033p-6, -0x1.020bb95adb3bap-6, -0x1.faaaaca171aaep-7, -0x1.f1631e323173fp-7, -0x1.e8405cc262018p-7, -0x1.df41fdf22aa77p-7, -0x1.d66797a77216fp-7, -0x1.cdb0c00570dd6p-7, -0x1.c51d0d65c5817p-7, -0x1.bcac1660e09cap-7, -0x1.b45d71e5a187ap-7, -0x1.ac30b73c98edap-7, -0x1.a4257e430e5fap-7, -0x1.9c3b5f498131dp-7, -0x1.9471f345a9f72p-7, -0x1.8cc8d3cb2eebp-7, -0x1.853f9b0b03809p-7, -0x1.7dd5e3c6b288dp-7, -0x1.768b493d3b203p-7, -0x1.6f5f67179bfbbp-7, -0x1.6851d94e1a289p-7, -0x1.61623c4af195fp-7, -0x1.5a902ce473303p-7, -0x1.53db48883c412p-7, -0x1.4d432d643dacep-7, -0x1.46c77a74701b9p-7, -0x1.4067cf8e22a9fp-7, -0x1.3a23cd55f4902p-7, -0x1.33fb151a5ddf1p-7, -0x1.2ded48a27aefp-7, -0x1.27fa0a319de69p-7, -0x1.2220fc786cf72p-7, -0x1.1c61c26a55b41p-7, -0x1.16bbff7f18ec3p-7, -0x1.112f57f75b292p-7, -0x1.0bbb716748497p-7, -0x1.065ff2d3e2a43p-7, -0x1.011c84ce91ebfp-7, -0x1.f7e1a2efd92abp-8, -0x1.edb90888ec0d4p-8, -0x1.e3be9302b44dep-8, -0x1.d9f19b8e7a9d8p-8, -0x1.d0517ac571c68p-8, -0x1.c6dd87eab033p-8, -0x1.bd9518986c759p-8, -0x1.b477813394c01p-8, -0x1.ab8415fde1081p-8, -0x1.a2ba2cb20f97fp-8, -0x1.9a191e4eba89fp-8, -0x1.91a048b06f78cp-8, -0x1.894f0f9f61a71p-8, -0x1.8124dd0e11013p-8, -0x1.7921206de2229p-8, -0x1.71434d2e70efcp-8, -0x1.698ad8accfd5cp-8, -0x1.61f737fa53921p-8, -0x1.5a87ddf435957p-8, -0x1.533c3a1b6e6b5p-8, -0x1.4c13b8738837ep-8, -0x1.450dc27d14bfap-8, -0x1.3e29c12cd9ec3p-8, -0x1.37671f1ee70bdp-8, -0x1.30c54ab3a586ap-8, -0x1.2a43b8013ecdap-8, -0x1.23e1e1991349dp-8, -0x1.1d9f48218c53fp-8, -0x1.177b70eedb125p-8, -0x1.1175e3cdb8703p-8, -0x1.0b8e28829ae8p-8, -0x1.05c3c49b5efcdp-8, -0x1.00163a1b4aa97p-8, -0x1.f50a0ebafd87cp-9, -0x1.ea1f50793c686p-9, -0x1.df6b30d32b234p-9, -0x1.d4ecace2e7832p-9, -0x1.caa2cd9517d94p-9, -0x1.c08cacb6e5516p-9, -0x1.b6a97777b640fp-9, -0x1.acf86da59f02bp-9, -0x1.a378dd98b7865p-9, -0x1.9a2a1d4e5ee87p-9, -0x1.910b81c9fe506p-9, -0x1.881c5642ead49p-9, -0x1.7f5bd4d9dd8fp-9, -0x1.76c9224233669p-9, -0x1.6e634d65ba414p-9, -0x1.6629534a08c6ap-9, -0x1.5e1a269f05d54p-9, -0x1.5634ba5097429p-9, -0x1.4e780cb85af95p-9, -0x1.46e33295d8c31p-9, -0x1.3f755ef9d2dap-9, -0x1.382de764c03bfp-9, -0x1.310c42fe333edp-9, -0x1.2a1004e229b82p-9, -0x1.2338d26a1c8fep-9, -0x1.1c8657066e18p-9, -0x1.15f837a3e0a9ep-9, -0x1.0f8e078f535bap-9, -0x1.094740697b5f9p-9, -0x1.03233e901453dp-9, -0x1.fa42840fe26e2p-10, -0x1.ee80e3d2ff828p-10, -0x1.e2ffcb1debab7p-10, -0x1.d7bd5eef2a481p-10, -0x1.ccb7ce45524bfp-10, -0x1.c1ed69fc19c02p-10, -0x1.b75cb59515f11p-10, -0x1.ad046ffb07d1fp-10, -0x1.a2e394b818f79p-10, -0x1.98f954ec8de51p-10, -0x1.8f4509c747fd7p-10, -0x1.85c6233e93b5ep-10, -0x1.7c7c1611bcaaep-10, -0x1.73664bbc97788p-10, -0x1.6a8415b9dcd94p-10, -0x1.61d4a663f9785p-10, -0x1.59570e5ceb2d6p-10, -0x1.510a3fc84ee29p-10, -0x1.48ed15f457d29p-10, -0x1.40fe5ff93ef8fp-10, -0x1.393cebcf2adf7p-10, -0x1.31a79182160f1p-10, -0x1.2a3d3a942e7c9p-10, -0x1.22fce1c07c5adp-10, -0x1.1be593d1c7d39p-10, -0x1.14f6721db5fb8p-10, -0x1.0e2eb0f67ad28p-10, -0x1.078d9713a0528p-10, -0x1.01127d36925bfp-10, -0x1.f57995a61fa71p-11, -0x1.e917de49be683p-11, -0x1.dcfeb0d69089bp-11, -0x1.d12cd966030dep-11, -0x1.c5a104cf300b2p-11, -0x1.ba59bd7ad9852p-11, -0x1.af55839998379p-11, -0x1.a492b752a1ea5p-11, -0x1.9a0fde8a06ed4p-11, -0x1.8fcb787ff1bd4p-11, -0x1.85c41370b8473p-11, -0x1.7bf8395e17074p-11, -0x1.726664a76739ap-11, -0x1.690d0177c6c06p-11, -0x1.5fea8103ec15dp-11, -0x1.56fd767d9dbfcp-11, -0x1.4e44b1488ab0dp-11, -0x1.45bf452495f6cp-11, -0x1.3d6c7a7b0063bp-11, -0x1.354bada357052p-11, -0x1.2d5c2ddfef553p-11, -0x1.259d2d5d6fdb2p-11, -0x1.1e0dc9dc7edd3p-11, -0x1.16ad276987ac9p-11, -0x1.0f7a8c353530dp-11, -0x1.08756c0595605p-11, -0x1.019d59d072d62p-11, -0x1.f5e3c22f4a69ap-12, -0x1.e8e4a29ab3e7fp-12, -0x1.dc3b181947e62p-12, -0x1.cfe3d71f67bdfp-12, -0x1.c3daa5529eb9p-12, -0x1.b81ad2d92b8cfp-12, -0x1.ac9ff01687d39p-12, -0x1.a16686074c96bp-12, -0x1.966c8b0b1fadfp-12, -0x1.8bb15e4ceaf67p-12, -0x1.81354743a3dd1p-12, -0x1.76f8b5e621551p-12, -0x1.6cfb9ece9de64p-12, -0x1.633d3990c6dafp-12, -0x1.59bc2e32fcedcp-12, -0x1.507706bc9cdbp-12, -0x1.476ca37ac165fp-12, -0x1.3e9c7f14a581fp-12, -0x1.3606adeb43b4cp-12, -0x1.2dab9ed828f86p-12, -0x1.258bb33860f0ep-12, -0x1.1da6c9ffd7755p-12, -0x1.15fbd99e4fab4p-12, -0x1.0e88b549e690bp-12, -0x1.074a1b48bb0cp-12, -0x1.003c1d88ddc87p-12, -0x1.f2b5a3a3ea375p-13, -0x1.e546144b8ed56p-13, -0x1.d82584d70f971p-13, -0x1.cb521d2a4cf9fp-13, -0x1.becb304b9ce4cp-13, -0x1.b2900e94f468dp-13, -0x1.a69f63ef8c29ap-13, -0x1.9af76c37ca249p-13, -0x1.8f96ae5c68e6ap-13, -0x1.847c95cd7f6eep-13, -0x1.79a98d7dfafb5p-13, -0x1.6f1e96a7b3521p-13, -0x1.64dc90fd90b9cp-13, -0x1.5ae38cc094b37p-13, -0x1.5132878d3bdd8p-13, -0x1.47c7a737cedbp-13, -0x1.3ea13ad00e9e2p-13, -0x1.35bd12a88a384p-13, -0x1.2d19d04875d48p-13, -0x1.24b4e51009c5bp-13, -0x1.1c8b63201c8f9p-13, -0x1.1499e479f8facp-13, -0x1.0cdd58ed8e04ep-13, -0x1.0553ae8467a6fp-13, -0x1.fbf7ebea803a9p-14, -0x1.edabd4713a4eep-14, -0x1.dfc2414bcc46ap-14, -0x1.d238b95b05e0ep-14, -0x1.c50abffa0e0e1p-14, -0x1.b832a6da7eb3fp-14, -0x1.abaadcb76383fp-14, -0x1.9f6fbe9e74073p-14, -0x1.938123da064fbp-14, -0x1.87e19db6e334p-14, -0x1.7c9421ba0a26fp-14, -0x1.7199c888ded4cp-14, -0x1.66f0f88770a69p-14, -0x1.5c9620620e339p-14, -0x1.52852a62e0b7dp-14, -0x1.48baf1a47f79ep-14, -0x1.3f35b2c215dc2p-14, -0x1.35f49b8e71083p-14, -0x1.2cf740ab03a0ep-14, -0x1.243c8178d5fa4p-14, -0x1.1bc22c937232ap-14, -0x1.138485a1db17ep-14, -0x1.0b7f17a218f61p-14, -0x1.03ae71119bb07p-14, -0x1.f822fce772023p-15, -0x1.e952723e131a9p-15, -0x1.daedb556dd8a2p-15, -0x1.ccf411edc6edep-15, -0x1.bf61885c8bed2p-15, -0x1.b23262372b128p-15, -0x1.a565d3c04d58dp-15, -0x1.98fbce2237511p-15, -0x1.8cf0eb30ae9c6p-15, -0x1.813dd2230a673p-15, -0x1.75da2645e431fp-15, -0x1.6ac021fd2f38cp-15, -0x1.5febdcd4f77c2p-15, -0x1.555efa9a9ff77p-15, -0x1.4b19f5af61198p-15, -0x1.411e546d43ae3p-15, -0x1.376cf830483ecp-15, -0x1.2e05e2ba5f941p-15, -0x1.24e882f93be6dp-15, -0x1.1c147a7c82d8fp-15, -0x1.1388b0e1fdd3dp-15, -0x1.0b40431a275d2p-15, -0x1.0331d3785ee7bp-15, -0x1.f6aa052fca9aap-16, -0x1.e7519b3ae6c63p-16, -0x1.d8646d78c1fc9p-16, -0x1.c9e898460dfdap-16, -0x1.bbd733c55e89ep-16, -0x1.ae259712ee5e4p-16, -0x1.a0d3353212224p-16, -0x1.93e806eb3d88bp-16, -0x1.87685acaa5146p-16, -0x1.7b507522c3709p-16, -0x1.6f99ae4f76e72p-16, -0x1.643ed97259b1ap-16, -0x1.593c51e4b668dp-16, -0x1.4e8d52318cee8p-16, -0x1.4429cab03ad16p-16, -0x1.3a0779b752989p-16, -0x1.301ecd6591d28p-16, -0x1.267062ec18d7p-16, -0x1.1d04d9ea96df4p-16, -0x1.13e62af836871p-16, -0x1.0b15f88199544p-16, -0x1.0290801224ebep-16, -0x1.f4a243c0035dcp-17, -0x1.e4aeb2a505ccdp-17, -0x1.d53b796ac287dp-17, -0x1.c62dea42eb8cdp-17, -0x1.b7789219b150dp-17, -0x1.a92ac1aabbd62p-17, -0x1.9b516cdb80b95p-17, -0x1.8ddd547cf4586p-17, -0x1.80baac9893a9p-17, -0x1.73ef876f609e4p-17, -0x1.678d25fa56443p-17, -0x1.5b94e45f7788ep-17, -0x1.4ffa7765f3582p-17, -0x1.44b21d4465782p-17, -0x1.39b622a870b23p-17, -0x1.2f0674e2b18d2p-17, -0x1.24a60af11fe08p-17, -0x1.1a97fd800ea49p-17, -0x1.10ded0672ae1ep-17, -0x1.077b53a78c535p-17, -0x1.fcd044b5298d8p-18, -0x1.eb2c2b48835a1p-18, -0x1.d9e908b6c4189p-18, -0x1.c8fea0b1851a9p-18, -0x1.b88b57d0ce235p-18, -0x1.a8ad12fc589d6p-18, -0x1.99567232eb6f5p-18, -0x1.8a6f5b9ea89b6p-18, -0x1.7bff285bb9c77p-18, -0x1.6e17a14a0f81ap-18, -0x1.609db3690f70fp-18, -0x1.537da0f257aefp-18, -0x1.46bb73073ccb3p-18, -0x1.3a591cacf4b08p-18, -0x1.2e44436d9b693p-18, -0x1.22730d010de27p-18, -0x1.17008c4ffe769p-18, -0x1.0bf8e0961a401p-18, -0x1.014dfc6e42932p-18, -0x1.eddfffb45cd3p-19, -0x1.d9b18efe78cf5p-19, -0x1.c612e9966025ep-19, -0x1.b303728d51199p-19, -0x1.a07dfb02bee5p-19, -0x1.8e7f6c7670033p-19, -0x1.7d07aa8bc400dp-19, -0x1.6c18ce2a5c7dep-19, -0x1.5bbb4c44abf3cp-19, -0x1.4bd988a6e9196p-19, -0x1.3c8bea56cdbbp-19, -0x1.2dc92dd5794d4p-19, -0x1.1f7ae5408b44bp-19, -0x1.117d731c56f81p-19, -0x1.03e00c6be70eep-19, -0x1.ed6bae80e242cp-20, -0x1.d3d71106588b1p-20, -0x1.badd41a513585p-20, -0x1.a2c49b2db7943p-20, -0x1.8bc1520495d0cp-20, -0x1.75af362df92a4p-20, -0x1.603457f00bf92p-20, -0x1.4b3d31099f645p-20, -0x1.36d6962948f47p-20, -0x1.22e3e78c67ff9p-20, -0x1.0f964fd047b5cp-20, -0x1.fa33a228bbadbp-21, -0x1.d696429328a21p-21, -0x1.b410fc474870ap-21, -0x1.92952909b04adp-21, -0x1.7225f9a339bbap-21, -0x1.52c597749eb6dp-21, -0x1.34725c054469ap-21, -0x1.17264ce4a3132p-21, -0x1.f5adf907b3022p-22, -0x1.bef98c140a5d8p-22, -0x1.8a363f33d8c31p-22, -0x1.5758b478de30dp-22, -0x1.2639e45806678p-22, -0x1.eda83681a7554p-23, -0x1.9271ffd67813bp-23, -0x1.3ac77e6a3e09cp-23, -0x1.cece7383c5149p-24, -0x1.2e88223aaef08p-24, -0x1.293dce47dcd74p-25, 0x1.3976f04c2d049p-33, 0x1.2257eff6b052ep-25, 0x1.1c93b204f7156p-24, 0x1.a0d70f8be1d04p-24, 0x1.0f682f8635812p-23, 0x1.4b99a4df2a92bp-23, 0x1.84862a0f6f0b3p-23, 0x1.baa4b1f8318dep-23, 0x1.eef8e7924fe8dp-23, 0x1.10cb871af188p-22, 0x1.28e257e07d3dfp-22, 0x1.3f6a2dbe352bep-22, 0x1.54b256560346cp-22, 0x1.68d27fe3893c7p-22, 0x1.7bd9cc773a226p-22, 0x1.8de2b21d853adp-22, 0x1.9ee335e3f00adp-22, 0x1.aed0e0410d51bp-22, 0x1.bdd77db7bf6b2p-22, 0x1.cb3ee52446abfp-22, 0x1.d890ab1a0f578p-22, 0x1.e472aa82e8a75p-22, 0x1.ef72e4cbb4bc7p-22, 0x1.f97683e9ab772p-22, 0x1.0142158337c64p-21, 0x1.055f9a40a7286p-21, 0x1.0910d369ae68cp-21, 0x1.0c5449543912p-21, 0x1.0f5b5e066660fp-21, 0x1.11a79ad8521ccp-21, 0x1.1372f802b5706p-21, 0x1.14ff6770f06e1p-21, 0x1.165bcec9cda14p-21, 0x1.1719b12b40fabp-21, 0x1.1786943fadc5bp-21, 0x1.178f482671ed8p-21, 0x1.1743728c45e7p-21, 0x1.16a0803f6b402p-21, 0x1.15a4ba80d3a75p-21, 0x1.144c31389608bp-21, 0x1.128f1d0f86285p-21, 0x1.10837f7ef4e9ap-21, 0x1.0e3a3bbdb132bp-21, 0x1.0b9c20ddce1f4p-21, 0x1.08a06a27bf96dp-21, 0x1.05576cd94801dp-21, 0x1.01c5b68ab4371p-21, 0x1.fbd4da41272e9p-22, 0x1.f38acacadcdd9p-22, 0x1.eaaec9803799cp-22, 0x1.e14375c3965b7p-22, 0x1.d74c26ab2e0bcp-22, 0x1.cccb04a263ae6p-22, 0x1.c1b7d9130389ep-22, 0x1.b623ff3632595p-22, 0x1.aa0a246c9963dp-22, 0x1.9d7783f05a7a9p-22, 0x1.906b5bd0311ecp-22, 0x1.82f25885f650ap-22, 0x1.74f0ae18a1a6p-22, 0x1.668251d9f545dp-22, 0x1.5796b40b0f79cp-22, 0x1.484c2d7d76303p-22, 0x1.387b5bff3e256p-22, 0x1.28259bf216072p-22, 0x1.1785eb533f6eap-22, 0x1.068b435a3f979p-22, 0x1.ea38ff468f5b3p-23, 0x1.c65ff9cc5302cp-23, 0x1.a1f6f89b7612dp-23, 0x1.7cbd72dd2d155p-23, 0x1.56dba3feb4c9ep-23, 0x1.306a262241e02p-23, 0x1.0917ffa4ab579p-23, 0x1.c1e0c92fbc571p-24, 0x1.709be71a95077p-24, 0x1.1d99c2ff6a2f7p-24, 0x1.921f3b599ea1p-25, 0x1.cfc96e1d06ab1p-26, 0x1.dbe61279d7c86p-28, -0x1.d070ba93ffcc6p-27, -0x1.25111c92175abp-25, -0x1.d95076ce9274fp-25, -0x1.48278a2bb7872p-24, -0x1.a49e2e0e442fbp-24, -0x1.0108d1eb3b128p-23, -0x1.3033d93638871p-23, -0x1.5fbe834981c36p-23, -0x1.905b5930e83cap-23, -0x1.c0ab67894d6dap-23, -0x1.f1ce82770aa2dp-23, -0x1.1192c0c382529p-22, -0x1.2a8debfd8728fp-22, -0x1.43e9d172a1998p-22, -0x1.5d54c940a7d2cp-22, -0x1.76f62404e7493p-22, -0x1.90d25f764695ap-22, -0x1.ab1453f0baeacp-22, -0x1.c529ca8b887b9p-22, -0x1.df54f65c5d2cfp-22, -0x1.f9e4f0835095ap-22, -0x1.0a4acec802cbep-21, -0x1.17b5e83896b52p-21, -0x1.2531a5cdada53p-21, -0x1.32c74b8987732p-21, -0x1.406c06f7de469p-21, -0x1.4e228e76d33b7p-21, -0x1.5beb2e70ef54ap-21, -0x1.69c37a6374371p-21, -0x1.77aa08ba4426fp-21, -0x1.859e3330e76d3p-21, -0x1.939f38ed8405ap-21, -0x1.a1ab92025c90ep-21, -0x1.afc3b5ad64d39p-21, -0x1.bded19c1b072fp-21, -0x1.cc1a82e6d55f5p-21, -0x1.da5818b1366d9p-21, -0x1.e899284b048cap-21, -0x1.f6e332f3e3ee2p-21, -0x1.029d89f6884b2p-20, -0x1.09ccf5351c9dep-20, -0x1.10fefc9bbcf31p-20, -0x1.1833bc2a28cfbp-20, -0x1.1f6b5c4d7b646p-20, -0x1.26a60acc5b14dp-20, -0x1.2de2f0e5d84d4p-20, -0x1.3521670118d7p-20, -0x1.3c612d7ac94acp-20, -0x1.43a1dff37b1ecp-20, -0x1.4ae34e8882454p-20, -0x1.5225c647e009cp-20, -0x1.596935cbdb862p-20, -0x1.60ad971269e4cp-20, -0x1.67f11b54ad07fp-20, -0x1.6f34fcb1eed53p-20, -0x1.76776ac0db2d2p-20, -0x1.7db1e10a06cd6p-20, -0x1.84efa13fb8693p-20, -0x1.8c32e9f18ab8p-20, -0x1.936de10840f96p-20, -0x1.9aae8ace91239p-20, -0x1.a1e687ea0229p-20, -0x1.a918b399d5c1fp-20, -0x1.b045a453a65ep-20, -0x1.b7665c588c0a6p-20, -0x1.bea0d3c565c7ep-20, -0x1.c5c764afaa309p-20, -0x1.cceb3bd3aeee7p-20, -0x1.d4149b4178678p-20, -0x1.db30991a695bcp-20, -0x1.e243c93fe57eep-20, -0x1.e953cf65011b7p-20, -0x1.f0606d4bd2f21p-20, -0x1.f76866b89a76cp-20, -0x1.fe6b3451c94b5p-20, -0x1.02b56af96852cp-19, -0x1.063b2ffe954a5p-19, -0x1.09a966e3e34c5p-19, -0x1.0d1eae753f2c3p-19, -0x1.1090bedd2fe27p-19, -0x1.13ff27113815dp-19, -0x1.176aa05714c6dp-19, -0x1.1ad2934d83c06p-19, -0x1.1e36db1b8c39ap-19, -0x1.21976231473dp-19, -0x1.24f41f90077c1p-19, -0x1.284d89e957856p-19, -0x1.2ba01347b41d2p-19, -0x1.2ef3145aef5dcp-19, -0x1.323eb0f43b406p-19, -0x1.3586977e9357bp-19, -0x1.38ca5b16aed8bp-19, -0x1.3c09c6266cc75p-19, -0x1.3f44c1413e1eep-19, -0x1.427b9abafa9d5p-19, -0x1.45ad9937ddbe4p-19, -0x1.48d94953814f1p-19, -0x1.4bf36d82f406bp-19, -0x1.4f276d95b47d9p-19, -0x1.5245a9d9c9eeep-19, -0x1.555e7c86a3427p-19, -0x1.5872622bce7d6p-19, -0x1.5b81784382dcbp-19, -0x1.5e9594ab0b2a6p-19, -0x1.618d4193ece1ap-19, -0x1.648ddb77bb248p-19, -0x1.67896b9dcf066p-19, -0x1.6a7cedd2dc03dp-19, -0x1.6d6aa4c9f2bb3p-19, -0x1.7054dc47e44c2p-19, -0x1.73350ed5c4c26p-19, -0x1.761698d7b58afp-19, -0x1.78f069d6df132p-19, -0x1.7bc14c4497066p-19, -0x1.7e8e71f6e9415p-19, -0x1.8155966c80ac2p-19, -0x1.84179754b3e3fp-19, -0x1.86d1fd7ab2f24p-19, -0x1.898259a843747p-19, -0x1.8c33480c2c171p-19, -0x1.8ed9bdcbc2b58p-19, -0x1.917dd03f9db65p-19, -0x1.941d27848099p-19, -0x1.96b283cd17facp-19, -0x1.994210162b077p-19, -0x1.9bcca8b55e1b4p-19, -0x1.9e50f6a73914ap-19, }}, 
      {{-0x1.9668ebb88c3b2p-1, -0x1.78831874946a6p-1, -0x1.75f730fedd412p-1, -0x1.8d2c2e1693766p-1, -0x1.b3f14018df59dp-1, -0x1.dfe08be3ef7efp-1, -0x1.049399d14b613p+0, -0x1.157a631378aebp+0, -0x1.2182d7cd4bd45p+0, -0x1.2877f3b735bcep+0, -0x1.2abc660b56246p+0, -0x1.29068c5729e18p+0, -0x1.242f62cca8b0dp+0, -0x1.1d1202555157cp+0, -0x1.1477fd464e622p+0, -0x1.0b0f02a13a514p+0, -0x1.0164cb69f4cc7p+0, -0x1.efce18dffce8p-1, -0x1.ddcb9776e1c4dp-1, -0x1.cd2df557f2f05p-1, -0x1.be352b64ed298p-1, -0x1.b0fd9f2ec4e08p-1, -0x1.a587ff85858e9p-1, -0x1.9bc057418f47cp-1, -0x1.938430782270dp-1, -0x1.8ca7bd2e05283p-1, -0x1.86fa0bdc27bccp-1, -0x1.824859d1fe1bdp-1, -0x1.7e609b62a5358p-1, -0x1.7b13551749ffcp-1, -0x1.7834e10d9e31dp-1, -0x1.759e3b1587f18p-1, -0x1.732d6c1d96434p-1, -0x1.70c5aa27c6003p-1, -0x1.6e4f400cf376cp-1, -0x1.6bb74d5e920d8p-1, -0x1.68ef6ae94f239p-1, -0x1.65ed3e6562dd4p-1, -0x1.62aa05cfe0f8p-1, -0x1.5f22207cbf5c9p-1, -0x1.5b549941161bcp-1, -0x1.5742b5eea421ep-1, -0x1.52ef8eb91282cp-1, -0x1.4e5fad960a07p-1, -0x1.4998b6bc0890ap-1, -0x1.44a11b9ee9dap-1, -0x1.3f7fd811c6a62p-1, -0x1.3a3c3840445e8p-1, -0x1.34dda7841bffcp-1, -0x1.2f6b87d3f13c3p-1, -0x1.29ed10f019327p-1, -0x1.246935fdb947dp-1, -0x1.1ee69107f7148p-1, -0x1.196b53a487a5cp-1, -0x1.13fd3c56de64bp-1, -0x1.0ea18fb29a75ap-1, -0x1.095d148a08a55p-1, -0x1.0434129f9a02bp-1, -0x1.fe54a6e491f05p-2, -0x1.f48649e2de22ap-2, -0x1.eb02bb4120aabp-2, -0x1.e1cec3d278ae5p-2, -0x1.d8ee53f2aed08p-2, -0x1.d064904de9b18p-2, -0x1.c833dedcb3cddp-2, -0x1.c05df4cdcc0c4p-2, -0x1.b8e3e3fba4709p-2, -0x1.b1c628f48d91ep-2, -0x1.ab04b88a5c028p-2, -0x1.a49f0d05c218p-2, -0x1.9e9432fa66171p-2, -0x1.98e2d5469667cp-2, -0x1.9389487791197p-2, -0x1.8e85957f81a8bp-2, -0x1.89d583a768c9dp-2, -0x1.8576a1e44e899p-2, -0x1.81664f9975ddfp-2, -0x1.7da1c499af57bp-2, -0x1.7a2618ab5885ap-2, -0x1.76f04a6483befp-2, -0x1.73fd4584f5b07p-2, -0x1.7149e8a551939p-2, -0x1.6ed30a59ff591p-2, -0x1.6c957dfbf9969p-2, -0x1.6a8e17d5dc165p-2, -0x1.68b9b0c32167ap-2, -0x1.671529b3fdf35p-2, -0x1.659d6e66d4cbbp-2, -0x1.644f781f5579cp-2, -0x1.63284fe239373p-2, -0x1.622510502e87fp-2, -0x1.6142e7483c2bep-2, -0x1.607f177f0aee2p-2, -0x1.5fd6f96365dc7p-2, -0x1.5f47fc45f6407p-2, -0x1.5ecfa6ec333c2p-2, -0x1.5e6b984c0a175p-2, -0x1.5e1987b9fccdcp-2, -0x1.5dd74557d4df8p-2, -0x1.5da2ba079f5adp-2, -0x1.5d79e794f63eep-2, -0x1.5d5ae86383ab9p-2, -0x1.5d43ef4267abfp-2, -0x1.5d3347489d429p-2, -0x1.5d27532df268p-2, -0x1.5d1e8d2833008p-2, -0x1.5d17861adc4ep-2, -0x1.5d10e5470b672p-2, -0x1.5d0967a6a7474p-2, -0x1.5cffdf3675e49p-2, -0x1.5cf33279253c6p-2, -0x1.5ce25bb30f148p-2, -0x1.5ccc683005a1ep-2, -0x1.5cb077cefdb8fp-2, -0x1.5c8dbbf95da94p-2, -0x1.5c63774420fc6p-2, -0x1.5c30fc7e6d5a4p-2, -0x1.5bf5ae08605fbp-2, -0x1.5bb0fd6869dddp-2, -0x1.5b626a43318fbp-2, -0x1.5b0981bde33c6p-2, -0x1.5aa5de267c722p-2, -0x1.5a3725f633339p-2, -0x1.59bd0b306a3d4p-2, -0x1.59374b2751d05p-2, -0x1.58a5ad799245ap-2, -0x1.580803906d75bp-2, -0x1.575e285d67aaap-2, -0x1.56a7ff8797bdcp-2, -0x1.55e574c24c783p-2, -0x1.55167bbb0d9ebp-2, -0x1.543b0f7f251b9p-2, -0x1.5353318ac4244p-2, -0x1.525ee9f3b45edp-2, -0x1.515e46d3ef642p-2, -0x1.50515b9f989a1p-2, -0x1.4f3840da484c2p-2, -0x1.4e13140beb0dbp-2, -0x1.4ce1f722a0593p-2, -0x1.4ba50fc177143p-2, -0x1.4a5c878cff36ap-2, -0x1.49088bcc09436p-2, -0x1.47a94c9fa3c92p-2, -0x1.463efcf1f773cp-2, -0x1.44c9d2917451ap-2, -0x1.434a05b4aa769p-2, -0x1.41bfd06516b5ap-2, -0x1.402b6ea07828cp-2, -0x1.3e8d1e51d9a96p-2, -0x1.3ce51ede4e003p-2, -0x1.3b33b0bf7b3b7p-2, -0x1.3979158ac74e8p-2, -0x1.37b590199d176p-2, -0x1.35e964093b775p-2, -0x1.3414d5645462cp-2, -0x1.323828b83ddecp-2, -0x1.3053a33857bd3p-2, -0x1.2e678a5773cc4p-2, -0x1.2c742386c1993p-2, -0x1.2a79b420239f1p-2, -0x1.287881ba53265p-2, -0x1.2670d1d21d412p-2, -0x1.2462e974c6e36p-2, -0x1.224f0d4d7bb7dp-2, -0x1.203581b66f6b1p-2, -0x1.1e168abb320b8p-2, -0x1.1bf26bd373077p-2, -0x1.19c967bbb515ap-2, -0x1.179bc07987b03p-2, -0x1.1569b79113caap-2, -0x1.13338dd48ef08p-2, -0x1.10f98331e17a3p-2, -0x1.0ebbd6aa8250cp-2, -0x1.0c7ac6666ed02p-2, -0x1.0a368fc8d6115p-2, -0x1.07ef6f47ea53p-2, -0x1.05a5a058fd5b6p-2, -0x1.03595d6133917p-2, -0x1.010adfbe810c2p-2, -0x1.fd74bfeae83f3p-3, -0x1.f8d02afe3790ap-3, -0x1.f4286d682dc68p-3, -0x1.ef7df19c28429p-3, -0x1.ead12000add68p-3, -0x1.e6225eeb071bbp-3, -0x1.e172129986c76p-3, -0x1.dcc09cfb9e069p-3, -0x1.d80e5dc3e4aebp-3, -0x1.d35bb27121bb9p-3, -0x1.cea8f66c8a83p-3, -0x1.c9f682f5f03d5p-3, -0x1.c544af2d57e3dp-3, -0x1.c093cfe895926p-3, -0x1.bbe437c9e6993p-3, -0x1.b73637481a8f5p-3, -0x1.b28a1ce31bab6p-3, -0x1.ade034f952ba9p-3, -0x1.a938c9b895296p-3, -0x1.a494233aa2bbep-3, -0x1.9ff2877a4e62ep-3, -0x1.9b543a6e255d2p-3, -0x1.96b97e0f01e8bp-3, -0x1.92229269c7cdbp-3, -0x1.8d8fb5791f481p-3, -0x1.89012339ad877p-3, -0x1.847715bc53691p-3, -0x1.7ff1c52960623p-3, -0x1.7b7167d3d83adp-3, -0x1.76f6323a776abp-3, -0x1.728057031db36p-3, -0x1.6e1006ff05681p-3, -0x1.69a57136c76cp-3, -0x1.6540c2f8a8217p-3, -0x1.60e227e02227ep-3, -0x1.5c89c9dff5dafp-3, -0x1.5837d145b5142p-3, -0x1.53ec64b97947ap-3, -0x1.4fa7a93e614d5p-3, -0x1.4b69c25997196p-3, -0x1.4732d1ef5efd8p-3, -0x1.4302f8781dca2p-3, -0x1.3eda54fe00e9cp-3, -0x1.3ab905058786cp-3, -0x1.369f24a5cf245p-3, -0x1.328cce977372ap-3, -0x1.2e821c3263462p-3, -0x1.2a7f257b46307p-3, -0x1.2684012d887a7p-3, -0x1.2290c4c05af96p-3, -0x1.1ea5846b083e9p-3, -0x1.1ac2532b00b47p-3, -0x1.16e742c9c54e2p-3, -0x1.131463e53125ep-3, -0x1.0f49c5fa0f908p-3, -0x1.0b87776cc67d3p-3, -0x1.07cd858b4a13dp-3, -0x1.041bfc96ea3b5p-3, -0x1.0072e7c9c0626p-3, -0x1.f9a4a29fe367dp-4, -0x1.f27484c45f08ep-4, -0x1.eb558685be024p-4, -0x1.e447b68dba23ap-4, -0x1.dd4b21b9ac256p-4, -0x1.d65fd31e3fe07p-4, -0x1.cf85d41490e56p-4, -0x1.c8bd2c567c39ap-4, -0x1.c205e1e6eccbep-4, -0x1.bb5ff932590a3p-4, -0x1.b4cb7525e9b0bp-4, -0x1.ae48572e3ee2fp-4, -0x1.a7d69f44ed84cp-4, -0x1.a1764bf6e6d1ap-4, -0x1.9b275a6f5e7b8p-4, -0x1.94e9c6850c065p-4, -0x1.8ebd8ac362f2cp-4, -0x1.88a2a07463c9ap-4, -0x1.8298ffa928c07p-4, -0x1.7ca09f44c30cdp-4, -0x1.76b975110dacfp-4, -0x1.70e375aef4233p-4, -0x1.6b1e94b5bea57p-4, -0x1.656ac4b2517a9p-4, -0x1.5fc7f72e5f689p-4, -0x1.5a361cba29281p-4, -0x1.54b524fa4fb57p-4, -0x1.4f44feb5cd289p-4, -0x1.49e597ccfc66p-4, -0x1.4496dd40eee94p-4, -0x1.3f58bb4b55711p-4, -0x1.3a2b1d628e49fp-4, -0x1.350dee3ac62b4p-4, -0x1.300117cf0a355p-4, -0x1.2b0483691edc2p-4, -0x1.261819a8957b4p-4, -0x1.213bc289d106ap-4, -0x1.1c6f656a0eb3ep-4, -0x1.17b2e9132da14p-4, -0x1.130633c8225cep-4, -0x1.0e692b3504fa8p-4, -0x1.09dbb488230efp-4, -0x1.055db476748a1p-4, -0x1.00ef0f382511ep-4, -0x1.f91f513085cb4p-5, -0x1.f07ec7ebc4092p-5, -0x1.e7fc488c5d2b1p-5, -0x1.df979847f1ea6p-5, -0x1.d7507b99a174fp-5, -0x1.cf26b65034ef7p-5, -0x1.c71a0b98dc69cp-5, -0x1.bf2a3e075bfd7p-5, -0x1.b7570fa190f4ep-5, -0x1.afa041edd214ap-5, -0x1.a80595e96e9b4p-5, -0x1.a086cc2f1ef95p-5, -0x1.9923a4e24ee22p-5, -0x1.91dbdfcc9d9f3p-5, -0x1.8aaf3c5b73dffp-5, -0x1.839d79aa2a71p-5, -0x1.7ca6568c96fd5p-5, -0x1.75c9919562c1ep-5, -0x1.6f06e91bd7557p-5, -0x1.685e1b45d478bp-5, -0x1.61cee60ebbf85p-5, -0x1.5b59074bda643p-5, -0x1.54fc3cb36a2acp-5, -0x1.4eb843e3b2d9dp-5, -0x1.488cda6c739a2p-5, -0x1.4279bdd07e232p-5, -0x1.3c7eab8c975b6p-5, -0x1.369b611c5b8ecp-5, -0x1.30cf9c0740a1fp-5, -0x1.2b1b19e3ce16dp-5, -0x1.257d984cb2b4ep-5, -0x1.1ff6d4f9da634p-5, -0x1.1a868dc8c0926p-5, -0x1.152c80a9f4a43p-5, -0x1.0fe86bad24129p-5, -0x1.0aba0d130d838p-5, -0x1.05a123591eebfp-5, -0x1.009d6d2d1480fp-5, -0x1.f75d52b920d12p-6, -0x1.eda92df1a4e14p-6, -0x1.e41deab77b63cp-6, -0x1.dabb081ed0db9p-6, -0x1.d18005d23cfaep-6, -0x1.c86c64216b66dp-6, -0x1.bf7fa3ec7435bp-6, -0x1.b6b946abbd67cp-6, -0x1.ae18ce7ea0da7p-6, -0x1.a59dbe2f1868cp-6, -0x1.9d479944695d3p-6, -0x1.9515e3decb961p-6, -0x1.8d0822fb01e5ep-6, -0x1.851ddc39d1561p-6, -0x1.7d5696146ffdep-6, -0x1.75b1d7c8ff6b3p-6, -0x1.6e2f2961744cdp-6, -0x1.66ce13ba0e38cp-6, -0x1.5f8e2086e303p-6, -0x1.586eda57cf1fbp-6, -0x1.516fcc9a6f96bp-6, -0x1.4a90839a07461p-6, -0x1.43d08c882ff17p-6, -0x1.3d2f7583b1bc4p-6, -0x1.36accd8f99cf4p-6, -0x1.304824a07f0b1p-6, -0x1.2a010b9c04c6ep-6, -0x1.23d714577f315p-6, -0x1.1dc9d19e45174p-6, -0x1.17d8d733df528p-6, -0x1.1203b9d5e0f65p-6, -0x1.0c4a0f3c3ddd2p-6, -0x1.06ab6e1a0a0fap-6, -0x1.01276e1f3c211p-6, -0x1.f77b4ff3fde8bp-7, -0x1.ecdb6aaef058dp-7, -0x1.e26e61ded2f38p-7, -0x1.d8336cf98eebfp-7, -0x1.ce29c56c07983p-7, -0x1.c450a6bfc5c62p-7, -0x1.baa74e8a7292p-7, -0x1.b12cfc662243p-7, -0x1.a7e0f1f6fde3ap-7, -0x1.9ec272f4a5a53p-7, -0x1.95d0c51666538p-7, -0x1.8d0b303c9edcdp-7, -0x1.8470fe41b6d25p-7, -0x1.7c017b18bd7bep-7, -0x1.73bbf4c2fede9p-7, -0x1.6b9fbb4f5f12cp-7, -0x1.63ac20d9bb3bbp-7, -0x1.5be0798a59fa1p-7, -0x1.543c1b959b33ap-7, -0x1.4cbe5f3b42863p-7, -0x1.45669ec50ae8bp-7, -0x1.3e3436824e48p-7, -0x1.372684bf98053p-7, -0x1.303ce9d4e5b84p-7, -0x1.2976c839ad44ep-7, -0x1.22d3844e01c92p-7, -0x1.1c52845bbc4a1p-7, -0x1.15f330c47dbddp-7, -0x1.0fb4f3e58ca9bp-7, -0x1.09973a0c208d5p-7, -0x1.0399717c44c2ep-7, -0x1.fb7614e16ed9fp-8, -0x1.eff6ee2cf9547p-8, -0x1.e4b45714018f1p-8, -0x1.d9ad3ba57c0fdp-8, -0x1.cee08bb656ecp-8, -0x1.c44d3ad7c7bc4p-8, -0x1.b9f24055f6768p-8, -0x1.afce9726e9d7fp-8, -0x1.a5e13ddb3fbc5p-8, -0x1.9c2936c512db8p-8, -0x1.92a587d62fa77p-8, -0x1.89553ad1d74a8p-8, -0x1.80375d11168aap-8, -0x1.774aff91334d1p-8, -0x1.6e8f36eac69bfp-8, -0x1.66031b45d326cp-8, -0x1.5da5c840baaa6p-8, -0x1.55765cc37967fp-8, -0x1.4d73fb13c17a8p-8, -0x1.459dc8b2d8baap-8, -0x1.3df2ee7a9dfedp-8, -0x1.36729888d1462p-8, -0x1.2f1bf66185348p-8, -0x1.27ee3ae968874p-8, -0x1.20e89c5bfd3cep-8, -0x1.1a0a543a7d64bp-8, -0x1.13529f1ac3437p-8, -0x1.0cc0bc69c995dp-8, -0x1.0653eec380594p-8, -0x1.000b7be5217fep-8, -0x1.f3cd580e4bfdfp-9, -0x1.e7c9945793df3p-9, -0x1.dc0a486e33157p-9, -0x1.d08e177ba27abp-9, -0x1.c553ab4641fddp-9, -0x1.ba59b405c026cp-9, -0x1.af9ee878ce679p-9, -0x1.a5220594793b6p-9, -0x1.9ae1cddf36669p-9, -0x1.90dd08a5541f6p-9, -0x1.87128160f4e39p-9, -0x1.7d8107289d654p-9, -0x1.74276c95487d5p-9, -0x1.6b0487e6ce3e5p-9, -0x1.621733a3d4fe3p-9, -0x1.595e4f6d98cbep-9, -0x1.50d8c0e8e88b5p-9, -0x1.4885748349dc2p-9, -0x1.40635de4aeaddp-9, -0x1.387177ee4db35p-9, -0x1.30aec43e373dap-9, -0x1.291a4a4694ec4p-9, -0x1.21b3161fefe02p-9, -0x1.1a78374c1e1afp-9, -0x1.1368bfaaad9ecp-9, -0x1.0c83c2d9a9396p-9, -0x1.05c856217d772p-9, -0x1.fe6b22029bb36p-10, -0x1.f1951cd65a181p-10, -0x1.e50cdb6ede987p-10, -0x1.d8d0a6da0f351p-10, -0x1.ccded4f20a0bdp-10, -0x1.c135c8bab25bfp-10, -0x1.b5d3f16a7890bp-10, -0x1.aab7c8ba64de7p-10, -0x1.9fdfd069cff19p-10, -0x1.954a8f84c02f5p-10, -0x1.8af69021ed12p-10, -0x1.80e25e22fedbbp-10, -0x1.770c8736b4073p-10, -0x1.6d739c33c1013p-10, -0x1.641633a1a70bep-10, -0x1.5af2ece2b01aep-10, -0x1.520873247eefap-10, -0x1.49557fd754044p-10, -0x1.40d8db9cd968p-10, -0x1.38915d6e6010ap-10, -0x1.307de8257c898p-10, -0x1.289d66aece309p-10, -0x1.20eec7736b608p-10, -0x1.1970f7c0823c6p-10, -0x1.1222e019fad1ep-10, -0x1.0b03621f4063ep-10, -0x1.0411588d00bd1p-10, -0x1.fa9732e23f07fp-11, -0x1.ed61f3feb4184p-11, -0x1.e080a88a587b2p-11, -0x1.d3f118cc9b479p-11, -0x1.c7b12cb201b6p-11, -0x1.bbbef2ad1837p-11, -0x1.b018a34daeca9p-11, -0x1.a4bc9fd549d5cp-11, -0x1.99a96be1addc9p-11, -0x1.8edda34509cadp-11, -0x1.8457eda653bb5p-11, -0x1.7a16f1db387cap-11, -0x1.70194ab3facdbp-11, -0x1.665d7e9a06fb5p-11, -0x1.5ce1fdff505fap-11, -0x1.53a526bbad548p-11, -0x1.4aa53f73287b5p-11, -0x1.41e0876ce61a7p-11, -0x1.395543b0fe0f2p-11, -0x1.3101bec69263bp-11, -0x1.28e45bb152198p-11, -0x1.20fb9da7e5e2p-11, -0x1.19462972f8b8cp-11, -0x1.11c2c6127e148p-11, -0x1.0a70593ea0d5bp-11, -0x1.034de09dfcf9ap-11, -0x1.f8b4d2ae9c9bbp-12, -0x1.eb2a0e710058p-12, -0x1.ddf999049d9e1p-12, -0x1.d121898f1e657p-12, -0x1.c49fe033b9123p-12, -0x1.b8728600dc284p-12, -0x1.ac974ed5b4b0ap-12, -0x1.a10c00b2a44edp-12, -0x1.95ce5dad8b6cp-12, -0x1.8adc2c3fdfb22p-12, -0x1.8033469a8004ep-12, -0x1.75d1a4b23b495p-12, -0x1.6bb54ffe707dfp-12, -0x1.61dc66424b45p-12, -0x1.58452719e353cp-12, -0x1.4eedec5d6756p-12, -0x1.45d5268b9416ep-12, -0x1.3cf95e6b4918cp-12, -0x1.345931e26b6cbp-12, -0x1.2bf34b42c5b21p-12, -0x1.23c65c91b1648p-12, -0x1.1bd110e6793fcp-12, -0x1.14120cfa13a8cp-12, -0x1.0c87eae7bbfa5p-12, -0x1.05314eac49ce6p-12, -0x1.fc1964f076fc5p-13, -0x1.ee31a02e7f3ebp-13, -0x1.e0a88916b3c51p-13, -0x1.d37b80395720dp-13, -0x1.c6a7ecce77b6p-13, -0x1.ba2b2ecb7bcccp-13, -0x1.ae02a76d180c6p-13, -0x1.a22bc915b64f6p-13, -0x1.96a4330761e1dp-13, -0x1.8b69c6af22224p-13, -0x1.807aac5f986bp-13, -0x1.75d5429b9471ep-13, -0x1.6b77ff44a1953p-13, -0x1.616152014187fp-13, -0x1.578f96daa88dfp-13, -0x1.4e011ef7e6bb5p-13, -0x1.44b448b7168fep-13, -0x1.3ba797afbfcf5p-13, -0x1.32d9bd5973a5bp-13, -0x1.2a498aeccaab2p-13, -0x1.21f5ceeaf7943p-13, -0x1.19dd2780b1963p-13, -0x1.11fdd83941d63p-13, -0x1.0a55b5ff6a773p-13, -0x1.02e2380b8553fp-13, -0x1.f7415c3f4c334p-14, -0x1.e91d1ce3ffd4cp-14, -0x1.db5384ef116fcp-14, -0x1.cde1abeffe614p-14, -0x1.c0c5e45079db1p-14, -0x1.b3ff495966387p-14, -0x1.a78d1b6dcbb1dp-14, -0x1.9b6e38302faap-14, -0x1.8fa0e73be5ebfp-14, -0x1.842302f6a1aadp-14, -0x1.78f2576d3e42dp-14, -0x1.6e0d00d18e7c1p-14, -0x1.6371a0ed36149p-14, -0x1.591f5c65aec34p-14, -0x1.4f15a5e1a0f18p-14, -0x1.4553e925710c5p-14, -0x1.3bd92c6917f0fp-14, -0x1.32a3be84d0d91p-14, -0x1.29b1093be3deap-14, -0x1.20fd9f61a9dbdp-14, -0x1.1885943b5fbep-14, -0x1.10450baa4e70ep-14, -0x1.0838ce601cdf4p-14, -0x1.005e9ecf37cdap-14, -0x1.f16a4d6b01e26p-15, -0x1.e2770e3d4b57p-15, -0x1.d3e1c4f327f47p-15, -0x1.c5a83a4b73819p-15, -0x1.b7c7e53571e9dp-15, -0x1.aa3e88c04ea83p-15, -0x1.9d0aabc3d30ddp-15, -0x1.902ba96db71dbp-15, -0x1.83a1583626359p-15, -0x1.776b756592e12p-15, -0x1.6b891c3c8d75cp-15, -0x1.5ff893870611ap-15, -0x1.54b74e3efb04p-15, -0x1.49c3d51238d42p-15, -0x1.3f1a9a0978d54p-15, -0x1.34bae11eb432ep-15, -0x1.2aa12f77a7fefp-15, -0x1.20cabe73b5274p-15, -0x1.17343babf15cbp-15, -0x1.0ddaa4007938cp-15, -0x1.04bbbccad3599p-15, -0x1.f7ac597200e1bp-16, -0x1.e652483e72d7cp-16, -0x1.d567801817abap-16, -0x1.c4e8fcb55672ep-16, -0x1.b4d21c09b3e0ap-16, -0x1.a51dd2f865e7cp-16, -0x1.95c71c1d79023p-16, -0x1.86c9f671a5021p-16, -0x1.7825729647b04p-16, -0x1.69daac932bf15p-16, -0x1.5beaf05095cd7p-16, -0x1.4e562e9ee18fp-16, -0x1.411a695f2ce69p-16, -0x1.34343c4a6334ep-16, -0x1.279fb2999fbacp-16, -0x1.1b59f30da51ddp-16, -0x1.0f613955e64ccp-16, -0x1.03b401297cacp-16, -0x1.f0a32c8615a0fp-17, -0x1.da7014ccee5d9p-17, -0x1.c4cac10b093a6p-17, -0x1.afac7d819024bp-17, -0x1.9b0d94da71d0dp-17, -0x1.86e802092e8fp-17, -0x1.7339442a4a155p-17, -0x1.6001a725ea6bcp-17, -0x1.4d41dec2ae51ep-17, -0x1.3af8756049aefp-17, -0x1.2921c6547c0c3p-17, -0x1.17ba4b6aa08d7p-17, -0x1.06c070be526d8p-17, -0x1.ec66cb720702dp-18, -0x1.cc20375cfe4dp-18, -0x1.aca15fb80ebd6p-18, -0x1.8ddcf4cb9d3a1p-18, -0x1.6fcaa329c2d65p-18, -0x1.525fdb4a8bf61p-18, -0x1.35a2677cc86f5p-18, -0x1.198f598767783p-18, -0x1.fc505d6f7f056p-19, -0x1.c6da0070afd56p-19, -0x1.92b9644ed7d2fp-19, -0x1.5fea8db282337p-19, -0x1.2e69eda64ac41p-19, -0x1.fc63fbfc3b384p-20, -0x1.9e661f91abcf7p-20, -0x1.42a341088e562p-20, -0x1.d1d5197287d3cp-21, -0x1.2266d85f9c61ep-21, -0x1.dcacbeaa92496p-23, 0x1.7e21f92284ad9p-24, 0x1.a527861b5095bp-22, 0x1.71831042b18a6p-21, 0x1.064daacda8609p-20, 0x1.51dc3bbeaa865p-20, 0x1.9b650f599b747p-20, 0x1.e2f52cc5a079dp-20, 0x1.1450666f4d52dp-19, 0x1.363c34663fba1p-19, 0x1.5743f36a224d2p-19, 0x1.776ef63532732p-19, 0x1.96c9108ca99c9p-19, 0x1.b560e2c10a515p-19, 0x1.d341852e97d1bp-19, 0x1.f06b45add07dcp-19, 0x1.066a30b772b85p-18, 0x1.1437aa72b376dp-18, 0x1.219f8903691f4p-18, 0x1.2ea2955707be2p-18, 0x1.3b4583831f289p-18, 0x1.4789316452119p-18, 0x1.537177b16392dp-18, 0x1.5f07604b656a4p-18, 0x1.6a4f9d0baca4cp-18, 0x1.7545c095df87bp-18, 0x1.7fe64f1c97ddfp-18, 0x1.8a36b49666b64p-18, 0x1.943d8f07f21c3p-18, 0x1.9df94c5c43f0dp-18, 0x1.a764fb0d11131p-18, 0x1.b080ab3331151p-18, 0x1.b950b3f3f6ae4p-18, 0x1.c1d956da14cf2p-18, 0x1.ca1cb72f69435p-18, 0x1.d21b28742cda5p-18, 0x1.d9d4054d148c2p-18, 0x1.e146f106d899ap-18, 0x1.e873b6a39518bp-18, 0x1.ef5a546601844p-18, 0x1.f5fcc4ffecb55p-18, 0x1.fc60bfdd963ep-18, 0x1.0144e512822dcp-17, 0x1.043dea800dd58p-17, 0x1.071986fed465cp-17, 0x1.09d44e8825423p-17, 0x1.0c7079249c09fp-17, 0x1.0eefd307a8eaap-17, 0x1.1151fe235d9d6p-17, 0x1.1395d1d226cf9p-17, 0x1.15bec1241ba1p-17, 0x1.17cbf5781483ep-17, 0x1.19bddf0c1d5ecp-17, 0x1.1b96593d4af7ap-17, 0x1.1d55e2f6578b7p-17, 0x1.1efd674bd03fep-17, 0x1.208b2ad6fb4b6p-17, 0x1.21fe88d0b3253p-17, 0x1.2358b24404592p-17, 0x1.249b0c8e042abp-17, 0x1.25c63f22fdf97p-17, 0x1.26da48db96024p-17, 0x1.27d76094f02e8p-17, 0x1.28be01e2377ebp-17, 0x1.298e8312fd051p-17, 0x1.2a490b1be9503p-17, 0x1.2aeda97a27324p-17, 0x1.2b7bc9a266793p-17, 0x1.2bf60e71c7ceap-17, 0x1.2c5a284222802p-17, 0x1.2ca92093eff29p-17, 0x1.2ce3e6c4db0fep-17, 0x1.2d0caa8f6e1eap-17, 0x1.2d21a8525986bp-17, 0x1.2d235eeeef5adp-17, 0x1.2d123556ffe1ep-17, 0x1.2cefa864449e5p-17, 0x1.2cba3ab4524abp-17, 0x1.2c7147cbf45dp-17, 0x1.2c15b65c7887ep-17, 0x1.2ba94382b0764p-17, 0x1.2b2c71c45657dp-17, 0x1.2a9f37bbbc417p-17, 0x1.2a023f9788ee8p-17, 0x1.2954eee9702dp-17, 0x1.2896c49c5d0e6p-17, 0x1.27c8853718627p-17, 0x1.26eae9b6c6a5p-17, 0x1.25fe406fba13ap-17, 0x1.2502ba7dff312p-17, 0x1.23f88b8422fa6p-17, 0x1.22dfea3b61d3p-17, 0x1.21b917224168dp-17, 0x1.208460c4e7bb9p-17, 0x1.1f42080d36646p-17, 0x1.1df21c2c97a31p-17, 0x1.1c94d83f218f8p-17, 0x1.1b2ab813b396ep-17, 0x1.19b3ed8e9b776p-17, 0x1.183078c80cb4p-17, 0x1.16a0d99561b8dp-17, 0x1.15042fba6cb21p-17, 0x1.135cd53431341p-17, 0x1.11a8db321a2abp-17, 0x1.0fea45dc75cafp-17, 0x1.0e20d7d160f55p-17, 0x1.0c4caf32ae073p-17, 0x1.0a6d88830924bp-17, 0x1.0883c95d8c231p-17, 0x1.068fc2522fbccp-17, 0x1.049162830e7p-17, 0x1.028929349d23dp-17, 0x1.0077c5de1231ep-17, 0x1.fcbacd3ab57d9p-18, 0x1.f8736c14cfe06p-18, 0x1.f41972f77562ep-18, 0x1.efae049372deep-18, 0x1.eb315064ed42cp-18, 0x1.e6a3daf1f94a3p-18, 0x1.e2066b34418b1p-18, 0x1.dd59379d66f55p-18, 0x1.d89c685ba6ddp-18, 0x1.d3d18794c229cp-18, 0x1.cef31e953f92ap-18, 0x1.ca0d4136ee786p-18, 0x1.c5163992e7442p-18, 0x1.c01238444649p-18, 0x1.bb005768a32fep-18, 0x1.b5e184db2c555p-18, 0x1.b0b6ab5d19c99p-18, 0x1.ab7faf3a66c05p-18, 0x1.a63cd146e920bp-18, 0x1.a0f0f753a6bdcp-18, 0x1.9b9689cf09d5fp-18, 0x1.96313040041b9p-18, 0x1.90c31f8f36943p-18, 0x1.8b4c82ddef175p-18, 0x1.85c92eeed14a4p-18, 0x1.803dfc4e5fe14p-18, 0x1.7aa9c3604018p-18, 0x1.750d0bd7783cep-18, 0x1.6f68019bc551p-18, 0x1.69bae297d03f1p-18, 0x1.640605d476556p-18, 0x1.5e49b83d0bf42p-18, 0x1.58868c676297cp-18, 0x1.52bcf55e68326p-18, 0x1.4cecef009a5ep-18, 0x1.4716a47e6e3d1p-18, 0x1.413a8d9c766b6p-18, 0x1.3b59048b9b1f4p-18, 0x1.3572518bf1a91p-18, 0x1.2f86ba1aa01b8p-18, 0x1.2996857faad7fp-18, 0x1.23a2001adbd63p-18, 0x1.1da9811216652p-18, 0x1.17ad4a2d10463p-18, 0x1.11acd1f60a7efp-18, 0x1.0ba98dfb233eap-18, 0x1.05a32b2a0e81ap-18, 0x1.ff355598b903fp-19, 0x1.f31f4ee0f391dp-19, 0x1.e705255867be4p-19, 0x1.dae59fe621516p-19, 0x1.cec4e0c15a644p-19, 0x1.c2a02eca80588p-19, 0x1.b679e3b3ac57cp-19, 0x1.aa514dfd30109p-19, 0x1.9e2673bfa5549p-19, 0x1.91fba5e046277p-19, 0x1.85d1d638da6c9p-19, 0x1.79a7a88d17b53p-19, 0x1.6d7b347a85d7ap-19, 0x1.6152884c316bp-19, 0x1.552a8b2d8963ep-19, 0x1.4904a0c3e6786p-19, 0x1.3ce1a774b631dp-19, 0x1.30c0cbb08ecadp-19, 0x1.24a27c6f7f17ep-19, 0x1.188863ae53722p-19, 0x1.0c71afb9189d2p-19, 0x1.005ef10ab44ecp-19, 0x1.e8a48c83e87c9p-20, 0x1.d09683a77b798p-20, 0x1.b89220c6015c9p-20, 0x1.a09aea2660ceap-20, 0x1.88aea0f8c0ab6p-20, 0x1.70ceb6cfe0401p-20, 0x1.58fd20d8ceb41p-20, 0x1.413aacafef61bp-20, 0x1.2988156a2aec3p-20, 0x1.11e7b75d28cp-20, 0x1.f49d8fe78dcbdp-21, 0x1.c5a9392b7f3e4p-21, 0x1.96cd74e753a6cp-21, 0x1.681c92b6fb287p-21, 0x1.398e8473d841fp-21, 0x1.0b219c513151bp-21, 0x1.b9c83622950efp-22, 0x1.5da1257f2f927p-22, 0x1.01cdf44ccd8b4p-22, 0x1.4c81ef7fbbf0dp-23, 0x1.2cb4d14593a4bp-24, -0x1.ef36354c39f57p-27, -0x1.a760c12de72fp-24, -0x1.87a0e61934cdbp-23, -0x1.1d64b7b99747ap-22, -0x1.768dc0ce2a77ap-22, -0x1.cf58cd0371428p-22, -0x1.13daa2062234p-21, -0x1.3fd3239535726p-21, -0x1.6b95d340b976cp-21, -0x1.9720b0f9d0869p-21, -0x1.c2725b7018aap-21, -0x1.ed89d3d9b9c59p-21, -0x1.0c33019253464p-20, -0x1.2182b6f42a50cp-20, -0x1.36b4c63f4d31fp-20, -0x1.4bcc41546bda2p-20, -0x1.60bfc7b6a2ed6p-20, -0x1.75979f6f381dap-20, -0x1.8a4c519dc2852p-20, -0x1.9ee18f7137db3p-20, -0x1.b359ca8328afap-20, -0x1.c7b0b2ef7bd87p-20, -0x1.dbe5e42d26f44p-20, -0x1.eff9ddd8612cfp-20, -0x1.01f6217092c1ep-19, -0x1.0bde75185d43cp-19, -0x1.15b5b9b2b3088p-19, -0x1.1f7bc4640335dp-19, -0x1.293070974c537p-19, -0x1.32d38d79d0b17p-19, -0x1.3c64fe91db728p-19, -0x1.45e4c1d5a971bp-19, -0x1.4f52c4f029c57p-19, -0x1.58aef7ce6d33fp-19, -0x1.61f901869ebd7p-19, -0x1.6b30fe4753f09p-19, -0x1.7456d96346015p-19, -0x1.7d68c61e7ececp-19, -0x1.866983a9f213p-19, -0x1.8f5850e486cd1p-19, -0x1.98338b0a1502fp-19, -0x1.a0fce3bd62534p-19, -0x1.a9b2e7ae9baaap-19, -0x1.b255ac22dbb2ap-19, -0x1.bae5320f28445p-19, -0x1.c360bdb3e33fp-19, -0x1.cbcc6a580fa53p-19, -0x1.d42312cdad1bdp-19, -0x1.dc66d4ed1d5c2p-19, -0x1.e4983709f42b5p-19, -0x1.ecb54a187d7b3p-19, -0x1.f4be9004d5794p-19, -0x1.fcb49acc1b40ap-19, -0x1.024baece890ebp-18, -0x1.063359ef5b889p-18, -0x1.0a1149687bb05p-18, -0x1.0de5c5d44a0c9p-18, -0x1.11b18d0fe1aeap-18, -0x1.157079036c8e3p-18, -0x1.1927724d838fbp-18, -0x1.1cd45e34fe2c6p-18, -0x1.207752083ceb8p-18, -0x1.2410a0da6ea7p-18, -0x1.27a01ad80f2f9p-18, -0x1.2b25ba2da5787p-18, -0x1.2ea17e9d6286p-18, -0x1.32136a763fep-18, -0x1.357b956e6220dp-18, -0x1.38d96cd965a48p-18, -0x1.3c2e2c3f363bep-18, -0x1.3f788cb721a8p-18, -0x1.42b92ebdcd4c6p-18, -0x1.45f006368db12p-18, -0x1.491d111b35fe9p-18, -0x1.4c40532914f73p-18, -0x1.4f59ddfadc2adp-18, -0x1.526998ff5a55ep-18, -0x1.556f5007e1795p-18, -0x1.5868f020f0d7ap-18, -0x1.5b5e475d936a3p-18, -0x1.5e470117f40a5p-18, -0x1.6125df6b5c992p-18, -0x1.63fb0b339e9afp-18, -0x1.66c686dfd15d1p-18, -0x1.698a7a1a9da1bp-18, -0x1.6c40544c89f96p-18, -0x1.6eef5c96239b5p-18, -0x1.7194644ee145p-18, -0x1.74301c30b8db3p-18, -0x1.76c21c0333af3p-18, -0x1.794aa408e100dp-18, -0x1.7bc90d944246ep-18, -0x1.7e3eee97154a3p-18, -0x1.80abd74762679p-18, -0x1.830e1d1b13d1dp-18, -0x1.8567e3577a4dcp-18, -0x1.87b7beed03656p-18, -0x1.89fe557d83c2ap-18, -0x1.8c3bf7137c49ap-18, -0x1.8e6fe7181b12bp-18, -0x1.909b1e46365cp-18, -0x1.92bcc44fc72cep-18, -0x1.94d59e66a1235p-18, -0x1.96e587715eebap-18, -0x1.98ec1a9c9ad52p-18, -0x1.9ae9b7ecd66aep-18, -0x1.9cde74e8ea1c1p-18, -0x1.9eca39e2f1bf2p-18, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{0x1.46f6b74ec253p-7, 0x1.47191570b8b3ap-6, 0x1.eaee896a6e26ep-6, 0x1.477d9ade91a12p-5, 0x1.9992843a89d22p-5, 0x1.eb9c761e02404p-5, 0x1.1ebb8efc12f27p-4, 0x1.477af63364eebp-4, 0x1.6ff377455f9fdp-4, 0x1.980acc6af680ap-4, 0x1.bfa6a51ffcc37p-4, 0x1.e6adb54f43238p-4, 0x1.0684467884889p-3, 0x1.19511c6e6e83ep-3, 0x1.2bb4587237fbbp-3, 0x1.3da68c801b15ep-3, 0x1.4f21ee07458ffp-3, 0x1.6022536361c62p-3, 0x1.70a524a404e49p-3, 0x1.80a9429d2fcc1p-3, 0x1.902ee6f202deep-3, 0x1.9f377f774747ep-3, 0x1.adc586f38be73p-3, 0x1.bbdc5ceb24a56p-3, 0x1.c9801dd2443e2p-3, 0x1.d6b57cb1e033fp-3, 0x1.e3819f06163f7p-3, 0x1.efe9fb600080bp-3, 0x1.fbf43b2140517p-3, 0x1.03d30fbe74e6p-2, 0x1.0982b4e3e1af6p-2, 0x1.0f0be383aef85p-2, 0x1.14715f4e3b41bp-2, 0x1.19b5d1ebc288ep-2, 0x1.1edbc51edcf8bp-2, 0x1.23e59e1fffd0dp-2, 0x1.28d59a11fa1b7p-2, 0x1.2dadcb6fb97bep-2, 0x1.32701854c3709p-2, 0x1.371e3983a1952p-2, 0x1.3bb9ba0f7a8a4p-2, 0x1.4043f79075cd5p-2, 0x1.44be22ccc64c6p-2, 0x1.492940c29ecc9p-2, 0x1.4d862c017f91fp-2, 0x1.51d59643662a2p-2, 0x1.56180a385bd96p-2, 0x1.5a4ded789533cp-2, 0x1.5e778292f50bbp-2, 0x1.6294eb2f2b4eap-2, 0x1.66a62a3be4a0fp-2, 0x1.6aab2622a0ef4p-2, 0x1.6ea3aafbbb41cp-2, 0x1.728f6cbe07b39p-2, 0x1.766e09662b511p-2, 0x1.7a3f0b1273077p-2, 0x1.7e01ea1086fcap-2, 0x1.81b60edac7cdp-2, 0x1.855ad403a0142p-2, 0x1.88ef880d6834bp-2, 0x1.8c736f2dd24bep-2, 0x1.8fe5c4fc1946fp-2, 0x1.9345be09731fbp-2, 0x1.9692896374e2cp-2, 0x1.99cb52004c59ep-2, 0x1.9cef4014d8258p-2, 0x1.9ffd7a54d5b0ep-2, 0x1.a2f5271d63e4cp-2, 0x1.a5d56d8a53196p-2, 0x1.a89d7676b27p-2, 0x1.ab4c6d6936b3fp-2, 0x1.ade1816d10bc7p-2, 0x1.b05be5d7e9d57p-2, 0x1.b2bad2fdb7dc1p-2, 0x1.b4fd86d328d0ep-2, 0x1.b723457f6a07p-2, 0x1.b92b59de16913p-2, 0x1.bb1515f211f4ep-2, 0x1.bcdfd34a1dd94p-2, 0x1.be8af357f4901p-2, 0x1.c015dfbaafb48p-2, 0x1.c1800a7d3f06ap-2, 0x1.c2c8ee49b7a02p-2, 0x1.c3f00e922e119p-2, 0x1.c4f4f7afdf8fbp-2, 0x1.c5d73ef950e03p-2, 0x1.c69682d019fb5p-2, 0x1.c7326aa6fa83dp-2, 0x1.c7aaa700dd543p-2, 0x1.c7fef1695ee7fp-2, 0x1.c82f0c676ad6ap-2, 0x1.c83ac36a7452dp-2, 0x1.c821eab2d6693p-2, 0x1.c7e45f35ca63cp-2, 0x1.c782067d760fap-2, 0x1.c6face85777d8p-2, 0x1.c64ead9453641p-2, 0x1.c57da2122df0bp-2, 0x1.c487b25d22059p-2, 0x1.c36cec9b8a067p-2, 0x1.c22d668c8c005p-2, 0x1.c0c93d572881ap-2, 0x1.bf4095581c9f5p-2, 0x1.bd9399eebe4a8p-2, 0x1.bbc27d4924544p-2, 0x1.b9cd782fb3a1cp-2, 0x1.b7b4c9d0546aap-2, 0x1.b578b7896cf86p-2, 0x1.b3198cb4cbb02p-2, 0x1.b0979a72a4e5ep-2, 0x1.adf33774bedebp-2, 0x1.ab2cbfc9eb3a5p-2, 0x1.a84494a9e18f1p-2, 0x1.a53b1c41960c1p-2, 0x1.a210c1801b167p-2, 0x1.9ec5f3e41b82ap-2, 0x1.9b5b274a059b2p-2, 0x1.97d0d3bae6136p-2, 0x1.9427753c04ee7p-2, 0x1.905f8b9f4bd45p-2, 0x1.8c799a547aabap-2, 0x1.8876283b2ede2p-2, 0x1.8455bf75c5a32p-2, 0x1.8018ed3d17fd8p-2, 0x1.7bc041b513f2dp-2, 0x1.774c4fc233dc9p-2, 0x1.72bdacdfd2f1bp-2, 0x1.6e14f0f764506p-2, 0x1.6952b6388036cp-2, 0x1.647798f1ce75p-2, 0x1.5f84376acd364p-2, 0x1.5a7931be6a043p-2, 0x1.555729b66f371p-2, 0x1.501ec2a7c4f22p-2, 0x1.4ad0a14f7b8d7p-2, 0x1.456d6bb0a3d4bp-2, 0x1.3ff5c8f2ecbe4p-2, 0x1.3a6a614201546p-2, 0x1.34cbddadacf87p-2, 0x1.2f1ae80ab5ba6p-2, 0x1.29582ad4719adp-2, 0x1.2384510f12c2fp-2, 0x1.1da0062aa1e59p-2, 0x1.17abf5e6aa4efp-2, 0x1.11a8cc369109bp-2, 0x1.0b9735269162p-2, 0x1.0577dcc1632c6p-2, 0x1.fe96ddecfb3c6p-3, 0x1.f2252f01ffeap-3, 0x1.e59c039e67373p-3, 0x1.d8fcb1d5531eep-3, 0x1.cc488ec1dd409p-3, 0x1.bf80ee59b25bdp-3, 0x1.b2a72340cc8bfp-3, 0x1.a5bc7e9e5c1a3p-3, 0x1.98c24ff2c562fp-3, 0x1.8bb9e4eec1e21p-3, 0x1.7ea4894b9b99ap-3, 0x1.718386a477649p-3, 0x1.64582450bfcb9p-3, 0x1.5723a73f8fd23p-3, 0x1.49e751d43ba3p-3, 0x1.3ca463c3dcb7cp-3, 0x1.2f5c19f3e8878p-3, 0x1.220fae59d0d89p-3, 0x1.14c057dbaa328p-3, 0x1.076f4a31d2477p-3, 0x1.f43b6b9335747p-4, 0x1.d9998f51ed00ap-4, 0x1.befb52a64223ep-4, 0x1.a463015c8ea8fp-4, 0x1.89d2dfd44eac9p-4, 0x1.6f4d2acf54671p-4, 0x1.54d41742f6442p-4, 0x1.3a69d22b200efp-4, 0x1.2010805f50598p-4, 0x1.05ca3e698001bp-4, 0x1.d73240bdd39c1p-5, 0x1.a2fe637564f7p-5, 0x1.6efcea74e16b7p-5, 0x1.3b31c979174c6p-5, 0x1.07a0e240e4c93p-5, 0x1.a89c08a284c91p-6, 0x1.4279d979e5056p-6, 0x1.b9c517bf14ad1p-7, 0x1.df753beae882bp-8, 0x1.3712be716eb7bp-10, -0x1.416bea7f48ed8p-8, -0x1.6700d117e81a9p-7, -0x1.15f888c392d86p-6, -0x1.77bced6110856p-6, -0x1.d8c74fec4c2abp-6, -0x1.1c88c8c6a421ep-5, -0x1.4c4add9c2ce19p-5, -0x1.7ba6fee9f92f4p-5, -0x1.aa9a592c0df19p-5, -0x1.d9222cf3d1965p-5, -0x1.039de778cd388p-4, -0x1.1a7253fd9d1acp-4, -0x1.310d1a87c0d14p-4, -0x1.476d03ab7457cp-4, -0x1.5d90e210a4a7p-4, -0x1.737792706c895p-4, -0x1.891ffb912924fp-4, -0x1.9e890e4138892p-4, -0x1.b3b1c5505ff3p-4, -0x1.c8992587e8eccp-4, -0x1.dd3e3da17b6e6p-4, -0x1.f1a0263cb3f23p-4, -0x1.02df00e9c24fp-3, -0x1.0ccb7e56b9326p-3, -0x1.16952668cd634p-3, -0x1.203b98fbd39p-3, -0x1.29be7abbd25f3p-3, -0x1.331d751c65414p-3, -0x1.3c58364f9a705p-3, -0x1.456e713c56abcp-3, -0x1.4e5fdd7439688p-3, -0x1.572c372904fb6p-3, -0x1.5fd33f219c544p-3, -0x1.6854baae86758p-3, -0x1.70b0739e0e861p-3, -0x1.78e6382ff6d0cp-3, -0x1.80f5db08c9403p-3, -0x1.88df3324c8dabp-3, -0x1.90a21bca835d8p-3, -0x1.983e747d12cd6p-3, -0x1.9fb420ee00e7fp-3, -0x1.a70308eee0b29p-3, -0x1.ae2b18629e25ep-3, -0x1.b52c3f2e78873p-3, -0x1.bc06712acc602p-3, -0x1.c2b9a61385817p-3, -0x1.c945d978688e9p-3, -0x1.cfab0aad170cbp-3, -0x1.d5e93cb8deaa3p-3, -0x1.dc0076465c8c3p-3, -0x1.e1f0c192ea11ap-3, -0x1.e7ba2c5de82aep-3, -0x1.ed5cc7d7d7abbp-3, -0x1.f2d8a89155785p-3, -0x1.f82de669fb6d5p-3, -0x1.fd5c9c7f0f24dp-3, -0x1.0132748d18ce3p-2, -0x1.03a376cff2511p-2, -0x1.0601673f01f94p-2, -0x1.084c598d16cfp-2, -0x1.0a8462e00d4d4p-2, -0x1.0ca999c7f906fp-2, -0x1.0ebc163647b31p-2, -0x1.10bbf174e1956p-2, -0x1.12a9461d4ebdbp-2, -0x1.1484300fd37b3p-2, -0x1.164ccc6a975ep-2, -0x1.18033980c9247p-2, -0x1.19a796d1cb04p-2, -0x1.1b3a05006205dp-2, -0x1.1cbaa5c9ecdd8p-2, -0x1.1e299bfda3fc7p-2, -0x1.1f870b73e11eep-2, -0x1.20d3190571675p-2, -0x1.220dea82f43bp-2, -0x1.2337a6ac43cb8p-2, -0x1.24507527eec6ep-2, -0x1.25587e7abbb56p-2, -0x1.264febff3e5fp-2, -0x1.2736e7dd7fa9fp-2, -0x1.280d9d02aeb56p-2, -0x1.28d43718eefb2p-2, -0x1.298ae27f2e5c2p-2, -0x1.2a31cc41151f9p-2, -0x1.2ac9220f08db7p-2, -0x1.2b51123643983p-2, -0x1.2bc9cb9900f1fp-2, -0x1.2c337da6bfe58p-2, -0x1.2c8e5854a0521p-2, -0x1.2cda8c15d0511p-2, -0x1.2d1849d41afap-2, -0x1.2d47c2e885397p-2, -0x1.2d6929140e481p-2, -0x1.2d7cae7880673p-2, -0x1.2d828591637aep-2, -0x1.2d7ae12d028d7p-2, -0x1.2d65f46594f2ap-2, -0x1.2d43f29a77b0cp-2, -0x1.2d150f698e7ebp-2, -0x1.2cd97ea8b659fp-2, -0x1.2c91745f5918ap-2, -0x1.2c3d24c01d917p-2, -0x1.2bdcc422b3ea6p-2, -0x1.2b7086fdbcba7p-2, -0x1.2af8a1e0cf65cp-2, -0x1.2a75496e9df16p-2, -0x1.29e6b257348b6p-2, -0x1.294d1152576d1p-2, -0x1.28a89b19fdc2bp-2, -0x1.27f98464ec3e8p-2, -0x1.274001e1692ep-2, -0x1.267c4830142e9p-2, -0x1.25ae8bded5a22p-2, -0x1.24d70163f0e2bp-2, -0x1.23f5dd192ff7ap-2, -0x1.230b533730b86p-2, -0x1.221797d0cda39p-2, -0x1.211adecea5f0dp-2, -0x1.20155beabf94ep-2, -0x1.1f0742ac4ab27p-2, -0x1.1df0c66380c0fp-2, -0x1.1cd21a25a0b93p-2, -0x1.1bab70c90849dp-2, -0x1.1a7cfce16af39p-2, -0x1.1946f0bc2469ep-2, -0x1.18097e5ca86b6p-2, -0x1.16c4d7790f30bp-2, -0x1.15792d76bd1f9p-2, -0x1.1426b16726a4p-2, -0x1.12cd9404b1f16p-2, -0x1.116e05afae50ap-2, -0x1.1008366b6fef1p-2, -0x1.0e9c55db7c642p-2, -0x1.0d2a9340d9142p-2, -0x1.0bb31d7773154p-2, -0x1.0a3622f39c314p-2, -0x1.08b3d1bfa8e3p-2, -0x1.072c5779a1adfp-2, -0x1.059fe15113b01p-2, -0x1.040e9c04f2ca9p-2, -0x1.0278b3e19be67p-2, -0x1.00de54bee9409p-2, -0x1.fe7f53fcc6992p-3, -0x1.fb39bd130c86cp-3, -0x1.f7ec39a041867p-3, -0x1.f4971d8d8d55bp-3, -0x1.f13abbcabe72dp-3, -0x1.edd7664b87c96p-3, -0x1.ea6d6e04f081cp-3, -0x1.e6fd22eaefcc2p-3, -0x1.e386d3ee30405p-3, -0x1.e00acef9f9f13p-3, -0x1.dc8960f24b1f5p-3, -0x1.d902d5b2179fp-3, -0x1.d5777809a8ca4p-3, -0x1.d1e791bd31582p-3, -0x1.ce536b837731fp-3, -0x1.cabb4d04b04c5p-3, -0x1.c71f7cd979035p-3, -0x1.c3804089f58f9p-3, -0x1.bfdddc8d12451p-3, -0x1.bc389447e7013p-3, -0x1.b890aa0d3b248p-3, -0x1.b4e65f1d2bdap-3, -0x1.b139f3a4ef66p-3, -0x1.ad8ba6bebac2ap-3, -0x1.a9dbb671c524ap-3, -0x1.a62a5fb2617d8p-3, -0x1.a277de6241551p-3, -0x1.9ec46d50cbde8p-3, -0x1.9b10463b9051cp-3, -0x1.975ba1ced62cdp-3, -0x1.93a6b7a645354p-3, -0x1.8ff1be4da4584p-3, -0x1.8c3ceb41b9f79p-3, -0x1.888872f137a59p-3, -0x1.84d488bdc58c5p-3, -0x1.81215efd23d14p-3, -0x1.7d6f26fa5a0cdp-3, -0x1.79be10f7082e1p-3, -0x1.760e4c2cbe681p-3, -0x1.726006ce73079p-3, -0x1.6eb36e0a0579fp-3, -0x1.6b08ae09d9148p-3, -0x1.675ff1f676e4dp-3, -0x1.63b963f8500cdp-3, -0x1.60152d3982c2bp-3, -0x1.5c7375e7b54ddp-3, -0x1.58d46536029bfp-3, -0x1.5538215eecfdap-3, -0x1.519ecfa669851p-3, -0x1.4e08945befc96p-3, -0x1.4a7592dc9a619p-3, -0x1.46e5ed955814fp-3, -0x1.4359c6051c2b1p-3, -0x1.3fd13cbf283d7p-3, -0x1.3c4c716d56eabp-3, -0x1.38cb82d2749c4p-3, -0x1.354e8ecca0375p-3, -0x1.31d5b257b81d6p-3, -0x1.2e61098fc9d17p-3, -0x1.2af0afb38dec9p-3, -0x1.2784bf26ecdf2p-3, -0x1.241d51758492fp-3, -0x1.20ba7f553d015p-3, -0x1.1d5c60a8d7821p-3, -0x1.1a030c8293372p-3, -0x1.16ae9926c6e9ap-3, -0x1.135f1c0e89db4p-3, -0x1.1014a9ea5e5ap-3, -0x1.0ccf56a4dd34ep-3, -0x1.098f356569fcap-3, -0x1.06545892e581ep-3, -0x1.031ed1d6667c1p-3, -0x1.ffdd643be45efp-4, -0x1.f988133e74b66p-4, -0x1.f33dcfb4a9fcfp-4, -0x1.ecfeb73904618p-4, -0x1.e6cae605cb535p-4, -0x1.e0a276fa93ebp-4, -0x1.da8583a1bcc5fp-4, -0x1.d4742435f6323p-4, -0x1.ce6e6fa7b7p-4, -0x1.c8747ba2c1291p-4, -0x1.c2865c93a1308p-4, -0x1.bca425ad1f6ffp-4, -0x1.b6cde8edbdb4ep-4, -0x1.b103b725288e2p-4, -0x1.ab459ff9a6d67p-4, -0x1.a593b1ed7eb0ep-4, -0x1.9fedfa646513dp-4, -0x1.9a5485a8d674cp-4, -0x1.94c75ef173538p-4, -0x1.8f4690665019fp-4, -0x1.89d223264665p-4, -0x1.846a1f4c35f0ap-4, -0x1.7f0e8bf446ec5p-4, -0x1.79bf6f411b3f2p-4, -0x1.747cce60fc19dp-4, -0x1.6f46ad930025dp-4, -0x1.6a1d102c2535ep-4, -0x1.64fff89c62676p-4, -0x1.5fef6873af001p-4, -0x1.5aeb606703246p-4, -0x1.55f3e05547d71p-4, -0x1.5108e74c41578p-4, -0x1.4c2a738d6e6b2p-4, -0x1.47588292d966bp-4, -0x1.42931113dfe48p-4, -0x1.3dda1b09f0fafp-4, -0x1.392d9bb53a358p-4, -0x1.348d8da14dde3p-4, -0x1.2ff9eaa9bbbb6p-4, -0x1.2b72abfe98901p-4, -0x1.26f7ca2903528p-4, -0x1.22893d0f92a36p-4, -0x1.1e26fbfabdb1ap-4, -0x1.19d0fd9932ffcp-4, -0x1.158738042332bp-4, -0x1.1149a0c381ac9p-4, -0x1.0d182cd236334p-4, -0x1.08f2d0a23d599p-4, -0x1.04d98020bfefep-4, -0x1.00cc2eba1f31ap-4, -0x1.f9959ebbcf973p-5, -0x1.f1aaa9058e564p-5, -0x1.e9d76054cf4a8p-5, -0x1.e21ba7ca7f8c8p-5, -0x1.da7761acb6982p-5, -0x1.d2ea6f6e14e26p-5, -0x1.cb74b1b51f44bp-5, -0x1.c41608636fd5bp-5, -0x1.bcce529cc825cp-5, -0x1.b59d6ece15c24p-5, -0x1.ae833ab44e9d6p-5, -0x1.a77f936332b79p-5, -0x1.a092554bf9bbap-5, -0x1.99bb5c43dfe1fp-5, -0x1.92fa838a8f4ap-5, -0x1.8c4fa5d07f7a6p-5, -0x1.85ba9d3d2b023p-5, -0x1.7f3b4375294e4p-5, -0x1.78d171a0384fbp-5, -0x1.727d006f20226p-5, -0x1.6c3dc8217ec66p-5, -0x1.6613a08b7e634p-5, -0x1.5ffe611b674ddp-5, -0x1.59fde0df12bd9p-5, -0x1.5411f68964315p-5, -0x1.4e3a787772f5bp-5, -0x1.48773cb5cb3e8p-5, -0x1.42c81905769ap-5, -0x1.3d2ce2e0f0b0cp-5, -0x1.37a56f810f5aap-5, -0x1.323193e1bd509p-5, -0x1.2cd124c6acc67p-5, -0x1.2783f6bfe3ab9p-5, -0x1.2249de2e31661p-5, -0x1.1d22af479d852p-5, -0x1.180e3e1ba260bp-5, -0x1.130c5e97567b2p-5, -0x1.0e1ce48997a5ep-5, -0x1.093fa3a6f6d0cp-5, -0x1.04746f8dad592p-5, -0x1.ff763792bd41dp-6, -0x1.f626f7adcb376p-6, -0x1.ecfac64fbe502p-6, -0x1.e3f14a4c8f866p-6, -0x1.db0a2a6fcf401p-6, -0x1.d2450d8365902p-6, -0x1.c9a19a5626d79p-6, -0x1.c11f77c239f46p-6, -0x1.b8be4cb356548p-6, -0x1.b07dc02cc9099p-6, -0x1.a85d794f74ee9p-6, -0x1.a05d1f5f75ebbp-6, -0x1.987c59c9d7edap-6, -0x1.90bad029d587fp-6, -0x1.89182a4e504bep-6, -0x1.8194103ee0f9ap-6, -0x1.7a2e2a40b93fdp-6, -0x1.72e620db992f7p-6, -0x1.6bbb9cde67cc9p-6, -0x1.64ae4763c8ce6p-6, -0x1.5dbdc9d677439p-6, -0x1.56e9cdf592231p-6, -0x1.5031fdd8ad0d7p-6, -0x1.499603f3e816fp-6, -0x1.43158b1ba50ep-6, -0x1.3cb03e8856caap-6, -0x1.3665c9da2428fp-6, -0x1.3035d91c2d6cap-6, -0x1.2a2018c82831dp-6, -0x1.242435c9662f9p-6, -0x1.1e41dd7ffe75ep-6, -0x1.1878bdc3d2132p-6, -0x1.12c884e75165ep-6, -0x1.0d30e1ba55217p-6, -0x1.07b1838cb52dfp-6, -0x1.024a1a30cf589p-6, -0x1.f9f4abfc041a4p-7, -0x1.ef83cfa5e05a6p-7, -0x1.e541022f63ccdp-7, -0x1.db2ba77ff75f3p-7, -0x1.d143249a57dfep-7, -0x1.c786dfa03de64p-7, -0x1.bdf63fd60e2b3p-7, -0x1.b490ada65cd9cp-7, -0x1.ab5592a513fb9p-7, -0x1.a2445992c857dp-7, -0x1.995c6e5f2bbb4p-7, -0x1.909d3e2c6bb09p-7, -0x1.8806375123b66p-7, -0x1.7f96c95b2290ap-7, -0x1.774e65119a6adp-7, -0x1.6f2c7c771e50ap-7, -0x1.673082cb94637p-7, -0x1.5f59ec8e145cbp-7, -0x1.57a82f7e746eap-7, -0x1.501ac29ecdb44p-7, -0x1.48b11e34d0c6bp-7, -0x1.416abbcaebbd6p-7, -0x1.3a471631947dcp-7, -0x1.3345a97fdbf15p-7, -0x1.2c65f3149e701p-7, -0x1.25a77196fba8ap-7, -0x1.1f09a4f70f6abp-7, -0x1.188c0e6e22584p-7, -0x1.122e307f69056p-7, -0x1.0bef8ef7d0513p-7, -0x1.05cfaeee64b34p-7, -0x1.ff9c2d886fd42p-8, -0x1.f3d49c48b7d4p-8, -0x1.e847bc07350d4p-8, -0x1.dcf4a14073d4dp-8, -0x1.d1da630337ce1p-8, -0x1.c6f81aef673ap-8, -0x1.bc4ce53532cb2p-8, -0x1.b1d7e0935db36p-8, -0x1.a7982e5642d8dp-8, -0x1.9d8cf255afad7p-8, -0x1.93b552f392219p-8, -0x1.8a107919af2cap-8, -0x1.809d9037cac41p-8, -0x1.775bc6413aa48p-8, -0x1.6e4a4baab2ce7p-8, -0x1.656853679821dp-8, -0x1.5cb512e790569p-8, -0x1.542fc2138df1dp-8, -0x1.4bd79b4b1ef0bp-8, -0x1.43abdb61510dep-8, -0x1.3babc199a4192p-8, -0x1.33d68fa4bf3b7p-8, -0x1.2c2b899d52fb4p-8, -0x1.24a9f60455bfcp-8, -0x1.1d511dbe0753fp-8, -0x1.16204c0db2b0fp-8, -0x1.0f16ce92ac28p-8, -0x1.0833f543e863dp-8, -0x1.0177126c96ee6p-8, -0x1.f5bef55049702p-9, -0x1.e8d909bbe89f2p-9, -0x1.dc3b147b2626p-9, -0x1.cfe3cc7509a7ap-9, -0x1.c3d1ed0fff6eap-9, -0x1.b804362959c03p-9, -0x1.ac796c0ce312dp-9, -0x1.a130576be4a8p-9, -0x1.9627c554524ep-9, -0x1.8b5e872836de5p-9, -0x1.80d3729401a1fp-9, -0x1.76856185e39cep-9, -0x1.6c733224b190bp-9, -0x1.629bc6c63941fp-9, -0x1.58fe05e61cb99p-9, -0x1.4f98da1ccebc5p-9, -0x1.466b321521581p-9, -0x1.3d740083f31fbp-9, -0x1.34b23c1db0c54p-9, -0x1.2c24df8d2aba3p-9, -0x1.23cae969f1363p-9, -0x1.1ba35c2eaa0cdp-9, -0x1.13ad3e2ed3053p-9, -0x1.0be7998dc874p-9, -0x1.04517c349cf75p-9, -0x1.f9d3ef9075e35p-10, -0x1.eb60433fabeacp-10, -0x1.dd462575ddf36p-10, -0x1.cf83cf6f7086ep-10, -0x1.c21781919b34cp-10, -0x1.b4ff83585be14p-10, -0x1.a83a23409e6cdp-10, -0x1.9bc5b6b6a1b9fp-10, -0x1.8fa09a0176bb5p-10, -0x1.83c9302ed873fp-10, -0x1.783de301410c5p-10, -0x1.6cfd22da89f33p-10, -0x1.620566a99a7dfp-10, -0x1.57552bd64589cp-10, -0x1.4ceaf62e96281p-10, -0x1.42c54fd2c9661p-10, -0x1.38e2c9228b355p-10, -0x1.2f41f8a98050dp-10, -0x1.25e17b0bea069p-10, -0x1.1cbff2f3fac5dp-10, -0x1.13dc08fe7e69dp-10, -0x1.0b346ba832289p-10, -0x1.02c7cf3a8fa7ep-10, -0x1.f529db7440ac3p-11, -0x1.e5350da46a33cp-11, -0x1.d5aebf86c95abp-11, -0x1.c69486a1dc0abp-11, -0x1.b7e4035c5c9fdp-11, -0x1.a99ae0d91ed6bp-11, -0x1.9bb6d4d2e5867p-11, -0x1.8e359f778435p-11, -0x1.81150b45077cep-11, -0x1.7452ece5df37cp-11, -0x1.67ed230ca5953p-11, -0x1.5be1965281a03p-11, -0x1.502e39122eeedp-11, -0x1.44d107485360ep-11, -0x1.39c8066e94189p-11, -0x1.2f11455a4743cp-11, -0x1.24aadc1aa4a3cp-11, -0x1.1a92ebd74d011p-11, -0x1.10c79eaf8cf86p-11, -0x1.074727982013p-11, -0x1.fc1f8476fd474p-12, -0x1.ea3f65b0aefc5p-12, -0x1.d8ea8c445c704p-12, -0x1.c81da2433e3bbp-12, -0x1.b7d562279fde9p-12, -0x1.a80e9696f7954p-12, -0x1.98c61a267187ap-12, -0x1.89f8d717fc701p-12, -0x1.7ba3c721f0939p-12, -0x1.6dc3f3315e889p-12, -0x1.6056732d70431p-12, -0x1.53586dbc89552p-12, -0x1.46c7180bc3923p-12, -0x1.3a9fb5913cefp-12, -0x1.2edf97d5cec01p-12, -0x1.23841e3a3f8acp-12, -0x1.188ab5c10752cp-12, -0x1.0df0d8d411fc8p-12, -0x1.03b40f10c6c43p-12, -0x1.f3a3da1dbe4a7p-13, -0x1.e090285a1f188p-13, -0x1.ce2864b321aefp-13, -0x1.bc6803bdadfcfp-13, -0x1.ab4a925f9d297p-13, -0x1.9acbb56464364p-13, -0x1.8ae7291e6dbbfp-13, -0x1.7b98c0fd3b401p-13, -0x1.6cdc672b927e1p-13, -0x1.5eae1c2f9daf5p-13, -0x1.5109f684f02d7p-13, -0x1.43ec2242e6687p-13, -0x1.3750e0b7f4324p-13, -0x1.2b348812ada71p-13, -0x1.1f9382ffea8d2p-13, -0x1.146a50532a67fp-13, -0x1.09b582aa8a895p-13, -0x1.fee3802e9c57dp-14, -0x1.eb37838d1ff87p-14, -0x1.d860a75098962p-14, -0x1.c658a837e2c34p-14, -0x1.b519673b40bf8p-14, -0x1.a49ce8de14026p-14, -0x1.94dd549364f0ap-14, -0x1.85d4f413d7c94p-14, -0x1.777e32c53b84p-14, -0x1.69d39d17935a3p-14, -0x1.5ccfdfee37e82p-14, -0x1.506dc7ff9194ap-14, -0x1.44a8414b3cbdap-14, -0x1.397a567441c6ap-14, -0x1.2edf303cc3e76p-14, -0x1.24d214eb8a4e3p-14, -0x1.1b4e67c48c075p-14, -0x1.124fa873f6f75p-14, -0x1.09d1728d3e73bp-14, -0x1.01cf7cfbe6e15p-14, -0x1.f48b3300e887dp-15, -0x1.e65f684daa6c7p-15, -0x1.d913a593d6174p-15, -0x1.cca029217abdap-15, -0x1.c0fd62d8d3c06p-15, -0x1.b623f340a38ebp-15, -0x1.ac0caa8acf2dap-15, -0x1.a2b0879d2fc37p-15, -0x1.9a08b72e79cdap-15, -0x1.920e92ccb1639p-15, -0x1.8abba00858e81p-15, -0x1.84098f794cbaep-15, -0x1.7df23bfa02f66p-15, -0x1.786fa9b681a2cp-15, -0x1.737c055ebd658p-15, -0x1.6f11a34c16798p-15, -0x1.6b2afeb28b9bcp-15, -0x1.67c2b8cfb2fecp-15, -0x1.64d398207557ep-15, -0x1.62588799285ebp-15, -0x1.604c95e40f87bp-15, -0x1.5eaaf499f8377p-15, -0x1.5d6ef78d55f2ep-15, -0x1.5c9414071ea4ap-15, -0x1.5c15e010b31d6p-15, -0x1.5bf011c063e9bp-15, -0x1.5c1e7e8a32fbcp-15, -0x1.5c9d1a8d7dc76p-15, -0x1.5d67f7e904f34p-15, -0x1.5e7b461542216p-15, -0x1.5fd3514542eep-15, -0x1.616c81afdf186p-15, -0x1.63435b0365473p-15, -0x1.65547bc0ca6ep-15, -0x1.679c9c9f87d0ap-15, -0x1.6a188ff6e4da9p-15, -0x1.6cc5412dea34ep-15, -0x1.6f9fb4236d7b9p-15, -0x1.72a504a0bb51ep-15, -0x1.75d265cb632afp-15, -0x1.7925219cda441p-15, -0x1.7c9a9855d6fc8p-15, -0x1.80303fff73c12p-15, -0x1.83e3a3dff1996p-15, -0x1.87b26404b65dep-15, -0x1.8b9a34bad41fp-15, -0x1.8f98de17949f4p-15, -0x1.93ac3b7b79fcfp-15, -0x1.97d23b203548ap-15, -0x1.9c08dd9f0c326p-15, -0x1.a04e3580b3da3p-15, -0x1.a4a066ca2e5fep-15, -0x1.a8fda68e75078p-15, -0x1.ad643a8966819p-15, -0x1.b1d278ab2b9dcp-15, -0x1.b646c6b67836ap-15, -0x1.babf99d735cd2p-15, -0x1.bf3b764111ea2p-15, -0x1.c3b8eecc911dfp-15, -0x1.c836a49285788p-15, -0x1.ccb34695f9858p-15, -0x1.d12d916189ea3p-15, -0x1.d5a44eb1e022ap-15, -0x1.da165515e6112p-15, -0x1.de82879dcf586p-15, -0x1.e2e7d583df11bp-15, -0x1.e74539d8ab637p-15, -0x1.eb99bb3381d06p-15, -0x1.efe46b5d743c6p-15, -0x1.f424670ad3f95p-15, -0x1.f858d58886d2bp-15, -0x1.fc80e8723763fp-15, -0x1.004dedb4688bdp-14, -0x1.025479e5af3d8p-14, -0x1.0453c038397fcp-14, -0x1.064b6cb045f29p-14, -0x1.083b2fc9572e1p-14, -0x1.0a22be5543f0cp-14, -0x1.0c01d15c4ab62p-14, -0x1.0dd825fdc5cf4p-14, -0x1.0fa57d5059fedp-14, -0x1.11699c435da1ep-14, -0x1.13244b83cdc11p-14, -0x1.14d5575c6a7acp-14, -0x1.167c8f9ab7c9ap-14, -0x1.1819c773c3917p-14, -0x1.19acd5691b685p-14, -0x1.1b35932dd06dap-14, -0x1.1cb3dd8d84a4cp-14, -0x1.1e279451f5e79p-14, -0x1.1f909a2c2ba64p-14, -0x1.20eed499f4b38p-14, -0x1.22422bd194e33p-14, -0x1.238a8aa76e9cfp-14, -0x1.24c7de79ce90bp-14, -0x1.25fa171b807dbp-14, -0x1.272126bcd6376p-14, -0x1.283d01d7b0f66p-14, -0x1.294d9f1ab306fp-14, -0x1.2a52f755f8618p-14, -0x1.2b4d0566b4136p-14, -0x1.2c3bc625fa76ap-14, -0x1.2d1f385449872p-14, -0x1.2df75c88f9eabp-14, -0x1.2ec43520b7601p-14, -0x1.2f85c62b7edc3p-14, -0x1.303c155cedb0dp-14, -0x1.30e729faa996bp-14, -0x1.31870cce3bc85p-14, -0x1.321bc8142fb73p-14, -0x1.32a5676ddea89p-14, -0x1.3323f7d269a2ap-14, -0x1.339787809992bp-14, -0x1.340025f0fe249p-14, -0x1.345de3c825756p-14, -0x1.34b0d2c9bbfb9p-14, -0x1.34f905cbc82cdp-14, -0x1.353690a97e323p-14, -0x1.3569883796bdap-14, -0x1.35920238ff0b9p-14, -0x1.35b015521f579p-14, -0x1.35c3d8fe54fccp-14, -0x1.35cd65857cccfp-14, -0x1.35ccd3f123df7p-14, -0x1.35c23e01f543ap-14, -0x1.35adbe25c15cap-14, -0x1.358f6f6e0bfd6p-14, -0x1.35676d8669b21p-14, -0x1.3535d4ab3ead8p-14, -0x1.34fac1a128d9p-14, -0x1.34b651ac2d2fbp-14, -0x1.3468a287979ecp-14, -0x1.3411d25d72986p-14, -0x1.33b1ffbf4e9eep-14, -0x1.3349499daa878p-14, -0x1.32d7cf4136f5ep-14, -0x1.325db043ccbd5p-14, -0x1.31db0c88d749p-14, -0x1.31500436bb94ap-14, -0x1.30bcb7b0bc29dp-14, -0x1.302147909ad24p-14, -0x1.2f7dd4a05c567p-14, -0x1.2ed27fd42adcp-14, -0x1.2e1f6a44bd646p-14, -0x1.2d64b529c599ap-14, -0x1.2ca281d4a57cp-14, -0x1.2bd8f1ab3bc1ep-14, -0x1.2b08262316b8cp-14, -0x1.2a3040bc4a313p-14, -0x1.295162fce2afap-14, -0x1.286bae6cb1f66p-14, -0x1.277f4490afa84p-14, -0x1.268c46e6dc856p-14, -0x1.2592d6e27f8cdp-14, -0x1.249315e7c0fc8p-14, -0x1.238d25485a335p-14, -0x1.2281263fcfc26p-14, -0x1.216f39f08577ep-14, -0x1.2057815f7e1f1p-14, -0x1.1f3a1d71dc2b7p-14, -0x1.1e172ee99f79ep-14, -0x1.1ceed662a52dep-14, -0x1.1bc134504dd5ap-14, -0x1.1a8e68fa3423ep-14, -0x1.19569479dbb96p-14, -0x1.1819d6b84882ap-14, -0x1.16d84f6b81e9p-14, -0x1.15921e147607ep-14, -0x1.144761fcb4877p-14, -0x1.12f83a348aed4p-14, -0x1.11a4c5910eba6p-14, -0x1.104d22aa48817p-14, -0x1.0ef16fd97f694p-14, -0x1.0d91cb373c44dp-14, -0x1.0c2e529a4bc0cp-14, -0x1.0ac723957742bp-14, -0x1.095c5b76b057ep-14, -0x1.07ee1745b8fd9p-14, -0x1.067c73c2762b3p-14, -0x1.05078d644d261p-14, -0x1.038f80590037p-14, -0x1.0214688349faap-14, -0x1.0096617a0a127p-14, -0x1.fe2b0d0f0c059p-15, -0x1.fb23e550f6189p-15, -0x1.f8178116aafb8p-15, -0x1.f506151f2c47cp-15, -0x1.f1efd589f1585p-15, -0x1.eed4f5d6b2af5p-15, -0x1.ebb5a8e3c8bfbp-15, -0x1.e89220ece5815p-15, -0x1.e56a8f8a6dfdp-15, -0x1.e23f25b1460eap-15, -0x1.df1013b15da8ap-15, -0x1.dbdd8935b1e8ap-15, -0x1.d8a7b54429106p-15, -0x1.d56ec63c57fd5p-15, -0x1.d232e9d7e0ea3p-15, -0x1.cef44d29cbe69p-15, -0x1.cbb31c9eca363p-15, -0x1.c86f83fd5c25cp-15, -0x1.c529ae65df18p-15, -0x1.c1e1c651cd20ep-15, -0x1.be97f59485b3bp-15, -0x1.bb4c655c22ed9p-15, -0x1.b7ff3e30e5812p-15, -0x1.b4b0a7f693fecp-15, -0x1.b160c9eb72bd1p-15, -0x1.ae0fcaaa0edaap-15, -0x1.aabdd028f2f12p-15, -0x1.a76affbc2a64dp-15, -0x1.a4177e14f220cp-15, -0x1.a0c36f438b862p-15, -0x1.9d6ef6b7227aep-15, -0x1.9a1a373e6689bp-15, -0x1.96c553092b5f9p-15, -0x1.93706ba91da98p-15, -0x1.901ba21234921p-15, -0x1.8cc7169c31763p-15, -0x1.8972e9033622dp-15, -0x1.861f38690c553p-15, -0x1.82cc23566495ap-15, -0x1.7f79c7bbbbb8cp-15, -0x1.7c2842f2bc506p-15, -0x1.78d7b1be89401p-15, -0x1.7588304deb1adp-15, -0x1.7239da3bf7ab6p-15, -0x1.6eecca91cccp-15, -0x1.6ba11bc70de78p-15, -0x1.6856e7c3e74b9p-15, -0x1.650e47e20fa8p-15, -0x1.61c754edba0bap-15, -0x1.5e822727e3467p-15, -0x1.5b3ed646a4c79p-15, -0x1.57fd797762b35p-15, -0x1.54be275f43dcdp-15, -0x1.5180f61d7350ep-15, -0x1.4e45fb4c50c76p-15, -0x1.4b0d4c02b6566p-15, }}, 
      {{0x1.1b2358217d5e1p-7, 0x1.1b32baf270f43p-6, 0x1.a8eeaea4f8eabp-6, 0x1.1b65221bc31dfp-5, 0x1.6260eed8140f6p-5, 0x1.a9648ad91a42p-5, 0x1.f0659aeee4b82p-5, 0x1.1bab1199383b7p-4, 0x1.3f129d751fbb6p-4, 0x1.625fe95069006p-4, 0x1.8588bcd253921p-4, 0x1.a8828b47d8e82p-4, 0x1.cb42c5c4556p-4, 0x1.edbf215181dbp-4, 0x1.07f6e851eb06bp-3, 0x1.18e2d8ccbc2f1p-3, 0x1.299f37a570bf8p-3, 0x1.3a284cdf27a7p-3, 0x1.4a7ada3a7cf1ep-3, 0x1.5a941e8af481dp-3, 0x1.6a71d5bb77b43p-3, 0x1.7a12361ade2afp-3, 0x1.8973eb7e9ad7ep-3, 0x1.989610bc705p-3, 0x1.a77827edc27e7p-3, 0x1.b61a11e036b34p-3, 0x1.c47c0508c340ap-3, 0x1.d29e84406b975p-3, 0x1.e0825584bb29dp-3, 0x1.ee2878ea7fb72p-3, 0x1.fb921fe68b3dbp-3, 0x1.046052839c79ep-2, 0x1.0adac218c4c2dp-2, 0x1.113929b7049c8p-2, 0x1.177c5e2623b56p-2, 0x1.1da53aef9cf94p-2, 0x1.23b49fa8b7b59p-2, 0x1.29ab6d869eb01p-2, 0x1.2f8a85399331fp-2, 0x1.3552c50b9e3d1p-2, 0x1.3b05073eb34d5p-2, 0x1.40a220a5e1627p-2, 0x1.462adf7520fdap-2, 0x1.4ba00a4337be9p-2, 0x1.51025f3955678p-2, 0x1.5652936c182bdp-2, 0x1.5b915259f1d34p-2, 0x1.60bf3d8b11738p-2, 0x1.65dcec4f2f20ap-2, 0x1.6aeaeb95e8c09p-2, 0x1.6fe9bdde8c0c1p-2, 0x1.74d9db3c71764p-2, 0x1.79bbb16d4e8e9p-2, 0x1.7e8fa3ff11fa2p-2, 0x1.83560c832110ep-2, 0x1.880f3accf72f9p-2, 0x1.8cbb753a630fep-2, 0x1.915af903bd437p-2, 0x1.95edfa92aba7dp-2, 0x1.9a74a5de1a57fp-2, 0x1.9eef1eca4996ep-2, 0x1.a35d818bddd42p-2, 0x1.a7bfe30d0bc3dp-2, 0x1.ac16515403c3dp-2, 0x1.b060d3e9f0964p-2, 0x1.b49f6c41d600ep-2, 0x1.b8d2161ecfc68p-2, 0x1.bcf8c7f925ffap-2, 0x1.c1137361d4beep-2, 0x1.c522056425cfp-2, 0x1.c92466e50c7f2p-2, 0x1.cd1a7d000498p-2, 0x1.d104296137ca9p-2, 0x1.d4e14a9cc2711p-2, 0x1.d8b1bc82ef9f9p-2, 0x1.dc7558714e992p-2, 0x1.e02bf5a0963cap-2, 0x1.e3d5696f3a41ep-2, 0x1.e77187a8baa2ep-2, 0x1.eb0022c99b294p-2, 0x1.ee810c400fe03p-2, 0x1.f1f414a95d1a2p-2, 0x1.f5590c0bf98c7p-2, 0x1.f8afc20e7a6d7p-2, 0x1.fbf8062b5c0b5p-2, 0x1.ff31a7e1b4f1p-2, 0x1.012e3b7175735p-1, 0x1.02bc219ebc99ap-1, 0x1.04426ec271ea3p-1, 0x1.05c10b7b73f8dp-1, 0x1.0737e0cf05b4cp-1, 0x1.08a6d838cbabbp-1, 0x1.0a0ddbb990998p-1, 0x1.0b6cd5e4db295p-1, 0x1.0cc3b1ed61a9fp-1, 0x1.0e125bb068e6cp-1, 0x1.0f58bfc01a758p-1, 0x1.1096cb6cdde9p-1, 0x1.11cc6ccdc2c25p-1, 0x1.12f992c804ce8p-1, 0x1.141e2d15ba1c5p-1, 0x1.153a2c4bb0425p-1, 0x1.164d81de8a8c4p-1, 0x1.17582027268ffp-1, 0x1.1859fa665573bp-1, 0x1.195304c7f0808p-1, 0x1.1a43346555cp-1, 0x1.1b2a7f4753afep-1, 0x1.1c08dc678e28cp-1, 0x1.1cde43b1657c7p-1, 0x1.1daaae02669c1p-1, 0x1.1e6e152a4dbbap-1, 0x1.1f2873eaa0498p-1, 0x1.1fd9c5f5ea893p-1, 0x1.208207eea10b3p-1, 0x1.21213765b0ffdp-1, 0x1.21b752d8c636p-1, 0x1.224459b046567p-1, 0x1.22c84c3d0fa4cp-1, 0x1.23432bb5f94ddp-1, 0x1.23b4fa351e7dep-1, 0x1.241dbab4f521p-1, 0x1.247d710d3a325p-1, 0x1.24d421efb015dp-1, 0x1.2521d2e4bb85p-1, 0x1.25668a47db51ep-1, 0x1.25a24f4401994p-1, 0x1.25d529cfd290dp-1, 0x1.25ff22a9ca7cdp-1, 0x1.262043544c1d6p-1, 0x1.263896119e9e6p-1, 0x1.264825dfd7bc2p-1, 0x1.264efe74ba08dp-1, 0x1.264d2c3984e61p-1, 0x1.2642bc46bb0a5p-1, 0x1.262fbc5fe0728p-1, 0x1.26143aef30692p-1, 0x1.25f047014f5fcp-1, 0x1.25c3f040f89afp-1, 0x1.258f46f2a93a8p-1, 0x1.25525bf049f01p-1, 0x1.250d40a4d9264p-1, 0x1.24c0070815989p-1, 0x1.246ac19a2bc6bp-1, 0x1.240d835f660bfp-1, 0x1.23a85fdbdf598p-1, 0x1.233b6b0f3cfb2p-1, 0x1.22c6b9706cc09p-1, 0x1.224a5fe9678dbp-1, 0x1.21c673d2fceebp-1, 0x1.213b0af0a5ed7p-1, 0x1.20a83b6c5cf66p-1, 0x1.200e1bd282457p-1, 0x1.1f6cc30dc4815p-1, 0x1.1ec4486317695p-1, 0x1.1e14c36daf594p-1, 0x1.1d5e4c1b0b196p-1, 0x1.1ca0faa7039dbp-1, 0x1.1bdce797eb621p-1, 0x1.1b122bbab30e3p-1, 0x1.1a40e01f1f075p-1, 0x1.19691e14032b1p-1, 0x1.188aff238e267p-1, 0x1.17a69d0f9e7a9p-1, 0x1.16bc11ce2360dp-1, 0x1.15cb77858bfa3p-1, 0x1.14d4e88940644p-1, 0x1.13d87f5629515p-1, 0x1.12d6568f4266fp-1, 0x1.11ce88fa3ae7fp-1, 0x1.10c1317c231f6p-1, 0x1.0fae6b162573p-1, 0x1.0e9650e24edabp-1, 0x1.0d78fe1062563p-1, 0x1.0c568de2bb1f3p-1, 0x1.0b2f1bab3af2ep-1, 0x1.0a02c2c847c1p-1, 0x1.08d19ea1d4c9bp-1, 0x1.079bcaa67ae79p-1, 0x1.066162489cf2ap-1, 0x1.052280fb9ade6p-1, 0x1.03df4231127a7p-1, 0x1.0297c1562d64dp-1, 0x1.014c19d0fd47bp-1, 0x1.fff8cdfbc9aedp-2, 0x1.fd51885a206ccp-2, 0x1.faa2993ff3c14p-2, 0x1.f7ec370dfae58p-2, 0x1.f52e97fdf1067p-2, 0x1.f269f21df38e7p-2, 0x1.ef9e7b4bf9802p-2, 0x1.eccc693167d88p-2, 0x1.e9f3f13ec2167p-2, 0x1.e71548a775261p-2, 0x1.e430a45dbb5d5p-2, 0x1.e146390ea1e57p-2, 0x1.de563b1e226p-2, 0x1.db60dea35b54bp-2, 0x1.d8665764e3e3fp-2, 0x1.d566d8d5388b4p-2, 0x1.d262960f439e7p-2, 0x1.cf59c1d2ff437p-2, 0x1.cc4c8e823555ep-2, 0x1.c93b2e1d5386p-2, 0x1.c625d2406073fp-2, 0x1.c30cac200505dp-2, 0x1.bfefec86b2543p-2, 0x1.bccfc3d1e1faap-2, 0x1.b9ac61ef6e979p-2, 0x1.b685f65b040dp-2, 0x1.b35cb01bab054p-2, 0x1.b030bdc16d897p-2, 0x1.ad024d631277p-2, 0x1.a9d18c9bf124ep-2, 0x1.a69ea889df6dp-2, 0x1.a369cdcb3693dp-2, 0x1.a033287cecdbdp-2, 0x1.9cfae438cbaf5p-2, 0x1.99c12c13b8b3ap-2, 0x1.96862a9c17eep-2, 0x1.934a09d842942p-2, 0x1.900cf34516ee3p-2, 0x1.8ccf0fd49ab1fp-2, 0x1.899087ecb5febp-2, 0x1.8651836602947p-2, 0x1.8312298aafb6ap-2, 0x1.7fd2a1157b2b9p-2, 0x1.7c931030bee72p-2, 0x1.79539c7592806p-2, 0x1.76146aeb0233bp-2, 0x1.72d5a00554d98p-2, 0x1.6f975fa56b5ecp-2, 0x1.6c59cd182e50ap-2, 0x1.691d0b160f323p-2, 0x1.65e13bc29bdb5p-2, 0x1.62a680ac26822p-2, 0x1.5f6cfacb7a15bp-2, 0x1.5c34ca83a4965p-2, 0x1.58fe0fa1cdbd8p-2, 0x1.55c8e95d2485ep-2, 0x1.52957656d50dp-2, 0x1.4f63d49a1473bp-2, 0x1.4c34219c3a601p-2, 0x1.49067a3ce65fbp-2, 0x1.45dafac63ad6cp-2, 0x1.42b1beed1e175p-2, 0x1.3f8ae1d191e6ap-2, 0x1.3c667dff119b8p-2, 0x1.3944ad6d02b58p-2, 0x1.3625897f2f911p-2, 0x1.33092b064fbeep-2, 0x1.2fefaa409cab4p-2, 0x1.2cd91eda73063p-2, 0x1.29c59feeff2b5p-2, 0x1.26b54408f2c5p-2, 0x1.23a821234b26dp-2, 0x1.209e4caa1b9c9p-2, 0x1.1d97db7b66ae4p-2, 0x1.1a94e1e7ff4dap-2, 0x1.179573b475e47p-2, 0x1.1499a41a09c87p-2, 0x1.11a185c7ab658p-2, 0x1.0ead2ae2ff494p-2, 0x1.0bbca5096fb2p-2, 0x1.08d0055140c13p-2, 0x1.05e75c4ab3319p-2, 0x1.0302ba01277d8p-2, 0x1.00222dfc4ce5cp-2, 0x1.fa8b8e82ac5f1p-3, 0x1.f4db28a86671fp-3, 0x1.ef334671a7952p-3, 0x1.e99402e8dbd94p-3, 0x1.e3fd781d976e6p-3, 0x1.de6fbf27394d2p-3, 0x1.d8eaf0279e963p-3, 0x1.d36f224dd5106p-3, 0x1.cdfc6bd8e485cp-3, 0x1.c892e21a957d1p-3, 0x1.c332997a4606p-3, 0x1.bddba577c128fp-3, 0x1.b88e18ae28cfep-3, 0x1.b34a04d6d43f7p-3, 0x1.ae0f7acc48f38p-3, 0x1.a8de8a8d25694p-3, 0x1.a3b7433f248ap-3, 0x1.9e99b33215a66p-3, 0x1.9985e7e2e2853p-3, 0x1.947bedfe94902p-3, 0x1.8f7bd1656029ap-3, 0x1.8a859d2db1c49p-3, 0x1.85995ba73f61cp-3, 0x1.80b7165e176a9p-3, 0x1.7bded61db937bp-3, 0x1.7710a2f425adfp-3, 0x1.724c8434f987bp-3, 0x1.6d92807c82572p-3, 0x1.68e29db2d7ef1p-3, 0x1.643ce10ef3273p-3, 0x1.5fa14f19c2dfp-3, 0x1.5b0febb14565bp-3, 0x1.5688ba0b9c9bdp-3, 0x1.520bbcba22145p-3, 0x1.4d98f5ac78926p-3, 0x1.493066339e682p-3, 0x1.44d20f04f9ad9p-3, 0x1.407df03d6477p-3, 0x1.3c3409643586fp-3, 0x1.37f4596e473dfp-3, 0x1.33bedec0f7806p-3, 0x1.2f939735287dfp-3, 0x1.2b72801a3b50cp-3, 0x1.275b963906363p-3, 0x1.234ed5d6c743cp-3, 0x1.1f4c3ab812b53p-3, 0x1.1b53c023bbf43p-3, 0x1.176560e5bb1b1p-3, 0x1.138117520a8ccp-3, 0x1.0fa6dd4781e96p-3, 0x1.0bd6ac32a9f9ap-3, 0x1.08107d108df6p-3, 0x1.04544871807e2p-3, 0x1.00a2067be170dp-3, 0x1.f9f35dddb42f1p-4, 0x1.f2b6724a2814ap-4, 0x1.eb8d382ed2159p-4, 0x1.e4779cbf196dp-4, 0x1.dd758c755c9dbp-4, 0x1.d686f3182fba9p-4, 0x1.cfabbbbf820ebp-4, 0x1.c8e3d0d9bcbb1p-4, 0x1.c22f1c30cc389p-4, 0x1.bb8d86ef29dap-4, 0x1.b4fef9a4c21e8p-4, 0x1.ae835c4be04b7p-4, 0x1.a81a964dfa5bap-4, 0x1.a1c48e887eb0cp-4, 0x1.9b812b517cd3ep-4, 0x1.9550527c564c9p-4, 0x1.8f31e95e5028cp-4, 0x1.8925d4d31c6bfp-4, 0x1.832bf9414ee9fp-4, 0x1.7d443a9ec7bffp-4, 0x1.776e7c7507498p-4, 0x1.71aaa1e57b389p-4, 0x1.6bf88dadb1febp-4, 0x1.6658222b87599p-4, 0x1.60c941613898dp-4, 0x1.5b4bccf97044ep-4, 0x1.55dfa64b3d038p-4, 0x1.5084ae5df8204p-4, 0x1.4b3ac5ed220dcp-4, 0x1.4601cd6c2618dp-4, 0x1.40d9a50a13e79p-4, 0x1.3bc22cb548421p-4, 0x1.36bb441f05abdp-4, 0x1.31c4cabefc197p-4, 0x1.2cde9fd6c01d9p-4, 0x1.2808a275334dfp-4, 0x1.2342b179def06p-4, 0x1.1e8cab983a3f5p-4, 0x1.19e66f5ae4e4ap-4, 0x1.154fdb26d0649p-4, 0x1.10c8cd3e58a4dp-4, 0x1.0c5123c450502p-4, 0x1.07e8bcbefa671p-4, 0x1.038f761af4831p-4, 0x1.fe8a5b5c2d6eep-5, 0x1.f61382747cae7p-5, 0x1.edba1ce016b67p-5, 0x1.e57de5e32458fp-5, 0x1.dd5e98a9f536ap-5, 0x1.d55bf04e23a46p-5, 0x1.cd75a7db9560fp-5, 0x1.c5ab7a5572716p-5, 0x1.bdfd22bae086bp-5, 0x1.b66a5c0bc0da5p-5, 0x1.aef2e14d3d225p-5, 0x1.a7966d8e401dbp-5, 0x1.a054bbebcfde7p-5, 0x1.992d879554b9ap-5, 0x1.92208bd0b9291p-5, 0x1.8b2d83fe73294p-5, 0x1.84542b9d7a96bp-5, 0x1.7d943e4f19e5ap-5, 0x1.76ed77daab803p-5, 0x1.705f94313b586p-5, 0x1.69ea4f710e713p-5, 0x1.638d65e9154adp-5, 0x1.5d48941c3fb35p-5, 0x1.571b96c4bfb33p-5, 0x1.51062ad725124p-5, 0x1.4b080d8578825p-5, 0x1.4520fc4228b29p-5, 0x1.3f50b4c2ee96dp-5, 0x1.3996f50391aabp-5, 0x1.33f37b48a097ep-5, 0x1.2e66062204375p-5, 0x1.28ee546d8b2e2p-5, 0x1.238c255958b17p-5, 0x1.1e3f386639f46p-5, 0x1.19074d69f7036p-5, 0x1.13e4249175883p-5, 0x1.0ed57e62de043p-5, 0x1.09db1bbfa64d4p-5, 0x1.04f4bde680f34p-5, 0x1.002226753ccfep-5, 0x1.f6c62ed531f5cp-6, 0x1.ed6ea64ffe1c1p-6, 0x1.e43d38e652b7fp-6, 0x1.db316cef7b13cp-6, 0x1.d24ac9919d113p-6, 0x1.c988d6c4a0418p-6, 0x1.c0eb1d54fd104p-6, 0x1.b87126e650d2bp-6, 0x1.b01a7df5ee51dp-6, 0x1.a7e6addd3771dp-6, 0x1.9fd542d3e1088p-6, 0x1.97e5c9f210b42p-6, 0x1.9017d1326c9f9p-6, 0x1.886ae773f67f4p-6, 0x1.80de9c7bd7c7bp-6, 0x1.797280f70fa12p-6, 0x1.7226267c02995p-6, 0x1.6af91f8be455fp-6, 0x1.63eaff9424169p-6, 0x1.5cfb5aef92d98p-6, 0x1.5629c6e7a2d49p-6, 0x1.4f75d9b558d2ep-6, 0x1.48df2a8253629p-6, 0x1.4265516992adap-6, 0x1.3c07e7784db1ap-6, 0x1.35c686ae8a3ecp-6, 0x1.2fa0c9ffc472p-6, 0x1.29964d5363856p-6, 0x1.23a6ad851dbcp-6, 0x1.1dd188655c4ebp-6, 0x1.18167cb968753p-6, 0x1.12752a3baef4p-6, 0x1.0ced319bb7aaap-6, 0x1.077e347e50806p-6, 0x1.0227d57d65481p-6, 0x1.f9d3704fd2771p-7, 0x1.ef87020353e4dp-7, 0x1.e569ab060afdfp-7, 0x1.db7ab8315361ap-7, 0x1.d1b9784634b02p-7, 0x1.c8253bec9678fp-7, 0x1.bebd55b25ad3dp-7, 0x1.b5811a0a0862dp-7, 0x1.ac6fdf49af705p-7, 0x1.a388fda993f15p-7, 0x1.9acbcf42ad4e8p-7, 0x1.9237b00d27962p-7, 0x1.89cbfddeb36b8p-7, 0x1.81881868c7e3bp-7, 0x1.796b6136d9202p-7, 0x1.71753bac569d3p-7, 0x1.69a50d02c005fp-7, 0x1.61fa3c478053cp-7, 0x1.5a743259bdab9p-7, 0x1.531259e82502ap-7, 0x1.4bd41f6e8cf2ap-7, 0x1.44b8f13397917p-7, 0x1.3dc03f4630d21p-7, 0x1.36e97b7b0a38ep-7, 0x1.3034196a0dd5ap-7, 0x1.299f8e6ba0444p-7, 0x1.232b5195f8113p-7, 0x1.1cd6dbba4fd2fp-7, 0x1.16a1a7621c579p-7, 0x1.108b30cc1d3f4p-7, 0x1.0a92f5e977b87p-7, 0x1.04b8765aba93ap-7, 0x1.fdf666d9ba8c4p-8, 0x1.f2b5602c49c61p-8, 0x1.e7ace1e63991ep-8, 0x1.dcdbf886a1ecdp-8, 0x1.d241b3cc903f2p-8, 0x1.c7dd26b06daa8p-8, 0x1.bdad675d75f4p-8, 0x1.b3b18f2b50c45p-8, 0x1.a9e8ba974e95cp-8, 0x1.a052093de80fcp-8, 0x1.96ec9dd3e9c9p-8, 0x1.8db79e1fb56e3p-8, 0x1.84b232f27e1f9p-8, 0x1.7bdb8821855eep-8, 0x1.7332cc7f038bcp-8, 0x1.6ab731d3783dcp-8, 0x1.6267ecd69981dp-8, 0x1.5a4435285f3e4p-8, 0x1.524b454a18286p-8, 0x1.4a7c5a97624c2p-8, 0x1.42d6b53f1388bp-8, 0x1.3b59983c4464p-8, 0x1.3404494f2cfdp-8, 0x1.2cd610f614d96p-8, 0x1.25ce3a666dc4ep-8, 0x1.1eec13857c203p-8, 0x1.182eece17f42dp-8, 0x1.119619aa5bc2dp-8, 0x1.0b20efaadb7b4p-8, 0x1.04cec7413c3e4p-8, 0x1.fd3df6b0f99c5p-9, 0x1.f121d2c1f5858p-9, 0x1.e547e2932bb3bp-9, 0x1.d9aeeaf14d0d5p-9, 0x1.ce55b589c10a4p-9, 0x1.c33b10dcbfdbdp-9, 0x1.b85dd02f66638p-9, 0x1.adbccb7d977f6p-9, 0x1.a356df6c42ab2p-9, 0x1.992aed3b8068bp-9, 0x1.8f37dab8b1793p-9, 0x1.857c9230ebc5cp-9, 0x1.7bf8026304c4bp-9, 0x1.72a91e72265a1p-9, 0x1.698eddd836201p-9, 0x1.60a83c582629bp-9, 0x1.57f439f0c07f5p-9, 0x1.4f71dacf1d99ap-9, 0x1.4720274155f88p-9, 0x1.3efe2ba953407p-9, 0x1.370af86f97c61p-9, 0x1.2f45a1f62f322p-9, 0x1.27ad408bc5fd5p-9, 0x1.2040f05e6b5a8p-9, 0x1.18ffd16f30ee8p-9, 0x1.11e90784fc7dbp-9, 0x1.0afbba200b7dep-9, 0x1.0437146d3f7d3p-9, 0x1.fb348a7383946p-10, 0x1.ee48fdcd507a4p-10, 0x1.e1a9eeb88d5e8p-10, 0x1.d555cffcb7ff6p-10, 0x1.c94b1b3f1ee8p-10, 0x1.bd8850ebb632ep-10, 0x1.b20bf81c38931p-10, 0x1.a6d49e815508dp-10, 0x1.9be0d84a4bc42p-10, 0x1.912f400e6748ap-10, 0x1.86be76b5771d9p-10, 0x1.7c8d2361218a1p-10, 0x1.7299f355b0757p-10, 0x1.68e399e45ad61p-10, 0x1.5f68d05424b61p-10, 0x1.562855cc656e5p-10, 0x1.4d20ef3ebdc4p-10, 0x1.445167510ce62p-10, 0x1.3bb88e4886c5fp-10, 0x1.335539f3f3639p-10, 0x1.2b264596f4702p-10, 0x1.232a91d4e7dbdp-10, 0x1.1b61049cbd95ap-10, 0x1.13c88913a64eap-10, 0x1.0c600f82259aap-10, 0x1.05268d3ea500cp-10, 0x1.fc35f935c7cb9p-11, 0x1.ee78b99edc16ep-11, 0x1.e11363d21200bp-11, 0x1.d4040969ff498p-11, 0x1.c748c55c67af2p-11, 0x1.badfbbd5562cbp-11, 0x1.aec71a11b4bffp-11, 0x1.a2fd163a9c614p-11, 0x1.977fef417378ap-11, 0x1.8c4decbb7d561p-11, 0x1.81655ebf4e05fp-11, 0x1.76c49dc0bee48p-11, 0x1.6c6a0a6f8e9cbp-11, 0x1.62540d9427995p-11, 0x1.588117ee9b36dp-11, 0x1.4eefa21509b05p-11, 0x1.459e2c52af54dp-11, 0x1.3c8b3e8768685p-11, 0x1.33b56807c67b8p-11, 0x1.2b1b3f7cbfc2cp-11, 0x1.22bb62c53e81bp-11, 0x1.1a9476d65168ep-11, 0x1.12a5279d58dbep-11, 0x1.0aec27e18b545p-11, 0x1.036831261e9a4p-11, 0x1.f830071b0e9d2p-12, 0x1.e9f4cb7769353p-12, 0x1.dc1c497441d78p-12, 0x1.cea427b6300c1p-12, 0x1.c18a193c67392p-12, 0x1.b4cbdd2a96dccp-12, 0x1.a8673e906df11p-12, 0x1.9c5a1436d108p-12, 0x1.90a240699ccbap-12, 0x1.853db0c4436dep-12, 0x1.7a2a5dfe32b3p-12, 0x1.6f664bb8e152ep-12, 0x1.64ef884db612ap-12, 0x1.5ac42c9c7aedap-12, 0x1.50e25bdc1bf74p-12, 0x1.474843697e0bap-12, 0x1.3df41a99e988cp-12, 0x1.34e4228bfde15p-12, 0x1.2c16a5fa1520ep-12, 0x1.2389f90d28b16p-12, 0x1.1b3c79316c53bp-12, 0x1.132c8ce8b1305p-12, 0x1.0b58a3a1e3dadp-12, 0x1.03bf358c64d51p-12, 0x1.f8bd86df7cd45p-13, 0x1.ea6bad04b2c3fp-13, 0x1.dc860081457dbp-13, 0x1.cf09b48a03184p-13, 0x1.c1f40c42d7d0cp-13, 0x1.b5425a7033f5p-13, 0x1.a8f2012b45fc6p-13, 0x1.9d007196f5611p-13, 0x1.916b2b96a456ep-13, 0x1.862fbd85dacb2p-13, 0x1.7b4bc3eee7ae3p-13, 0x1.70bce94842b85p-13, 0x1.6680e5aab1669p-13, 0x1.5c957e91c4fc6p-13, 0x1.52f886964893fp-13, 0x1.49a7dd2bfb284p-13, 0x1.40a16e63bb3bap-13, 0x1.37e332a7ceaf1p-13, 0x1.2f6b2e808c1e8p-13, 0x1.273772548fecap-13, 0x1.1f461a2d5bb64p-13, 0x1.17954d7af176cp-13, 0x1.10233ed9804c3p-13, 0x1.08ee2bd7f09c3p-13, 0x1.01f45cbefcbc3p-13, 0x1.f66848b1c1d6cp-14, 0x1.e957bf769ebb5p-14, 0x1.dcb3ec236c7a2p-14, 0x1.d079b0ce00ba6p-14, 0x1.c4a602e875aap-14, 0x1.b935ead44beadp-14, 0x1.ae268382c3993p-14, 0x1.a374fa1012467p-14, 0x1.991e8d630b473p-14, 0x1.8f208dcc6f8edp-14, 0x1.85785cac4674ap-14, 0x1.7c236c128688dp-14, 0x1.731f3e6674ce4p-14, 0x1.6a69660e0cf5fp-14, 0x1.61ff8515cb6c1p-14, 0x1.59df4cdc81f62p-14, 0x1.52067dbcd04b2p-14, 0x1.4a72e6bdf55ffp-14, 0x1.4322654186727p-14, 0x1.3c12e4b0dc66bp-14, 0x1.35425e333e87bp-14, 0x1.2eaed85e7073dp-14, 0x1.285666ee491ep-14, 0x1.22372a7667cdcp-14, 0x1.1c4f501e4a3ebp-14, 0x1.169d1156f6659p-14, 0x1.111eb395f44bcp-14, 0x1.0bd288126b035p-14, 0x1.06b6eb7f4fd8dp-14, 0x1.01ca45caca39cp-14, 0x1.fa1613bd45e09p-15, 0x1.f0ef6abbeab37p-15, 0x1.e81da0d27d1c4p-15, 0x1.df9ddac11c239p-15, 0x1.d76d514e89496p-15, 0x1.cf8950d2fd1b1p-15, 0x1.c7ef38c83021ap-15, 0x1.c09c7b5140fc9p-15, 0x1.b98e9cd3e7822p-15, 0x1.b2c33385f751fp-15, 0x1.ac37e705cf527p-15, 0x1.a5ea6ff03bfa6p-15, 0x1.9fd8977d7904ep-15, 0x1.9a00371918064p-15, 0x1.945f3801d2572p-15, 0x1.8ef392e819fc1p-15, 0x1.89bb4f90f0be9p-15, 0x1.84b484799ea72p-15, 0x1.7fdd567ad51b9p-15, 0x1.7b33f872a44e6p-15, 0x1.76b6aaebfff0cp-15, 0x1.7263bbc9a0429p-15, 0x1.6e3985f490edbp-15, 0x1.6a3671061a916p-15, 0x1.6658f0fd6a8bep-15, 0x1.629f85eb35e0bp-15, 0x1.5f08bbab7351fp-15, 0x1.5b93299414634p-15, 0x1.583d722ff09d4p-15, 0x1.550642f48b3edp-15, 0x1.51ec53fbb0846p-15, 0x1.4eee67c0153a7p-15, 0x1.4c0b4ad6f1235p-15, 0x1.4941d3b08cd28p-15, 0x1.4690e25732a48p-15, 0x1.43f7602e8bccfp-15, 0x1.41743fb68c331p-15, 0x1.3f067c4ecbd5dp-15, 0x1.3cad19fb8ced8p-15, 0x1.3a67252b5d56dp-15, 0x1.3833b27e7f64bp-15, 0x1.3611de8ea47b9p-15, 0x1.3400cdbb57caep-15, 0x1.31ffabf117dc2p-15, 0x1.300dac78e294p-15, 0x1.2e2a09c2f8395p-15, 0x1.2c5405372893ep-15, 0x1.2a8ae703206f1p-15, 0x1.28cdfdeb85871p-15, 0x1.271c9f1dcd16cp-15, 0x1.2576260304263p-15, 0x1.23d9f4129bd08p-15, 0x1.224770a8b92c6p-15, 0x1.20be08da7844ep-15, 0x1.1f3d2f4d79c84p-15, 0x1.1dc45c0fbaef6p-15, 0x1.1c530c70522d6p-15, 0x1.1ae8c2d7dacebp-15, 0x1.198506a440345p-15, 0x1.18276402c70f8p-15, 0x1.16cf6bce31eeap-15, 0x1.157cb368f558ep-15, 0x1.142ed49dc3baap-15, 0x1.12e56d7cc70a6p-15, 0x1.11a0203b6f8edp-15, 0x1.105e931501986p-15, 0x1.0f20702af1df2p-15, 0x1.0de5656741d89p-15, 0x1.0cad245e7f756p-15, 0x1.0b7762333d034p-15, 0x1.0a43d77a8efc8p-15, 0x1.0912401f82792p-15, 0x1.07e25b49b42ebp-15, 0x1.06b3eb42153a5p-15, 0x1.0586b55a12f6cp-15, 0x1.045a81d2f64e7p-15, 0x1.032f1bc58da21p-15, 0x1.0204510a63323p-15, 0x1.00d9f22353e59p-15, 0x1.ff5fa4494181ap-16, 0x1.fd0b8d40dc732p-16, 0x1.fab74f1f0cd5cp-16, 0x1.f8629e7c0ca88p-16, 0x1.f60d346eade79p-16, 0x1.f3b6ce6359326p-16, 0x1.f15f2df703bd1p-16, 0x1.ef0618d23a269p-16, 0x1.ecab588400133p-16, 0x1.ea4eba5f6669bp-16, 0x1.e7f00f58f9eeap-16, 0x1.e58f2be4f3b5ap-16, 0x1.e32be7d6357e6p-16, 0x1.e0c61e40ab163p-16, 0x1.de5dad57789f6p-16, 0x1.dbf27652bf855p-16, 0x1.d9845d4f8a151p-16, 0x1.d713493518d3ap-16, 0x1.d49f2397ef5e2p-16, 0x1.d227d8a0bdecp-16, 0x1.cfad56f10b12cp-16, 0x1.cd2f8f8aa4bfbp-16, 0x1.caae75b639055p-16, 0x1.c829feec5647fp-16, 0x1.c5a222beac43fp-16, 0x1.c316dac00bb45p-16, 0x1.c088226f800bcp-16, 0x1.bdf5f72291ba3p-16, 0x1.bb6057f111e13p-16, 0x1.b8c745a138e7p-16, 0x1.b62ac293adf9ap-16, 0x1.b38ad2b163aaap-16, 0x1.b0e77b5835542p-16, 0x1.ae40c34adbd04p-16, 0x1.ab96b29df583p-16, 0x1.a8e952a92f79fp-16, 0x1.a638adf541043p-16, 0x1.a384d02d1924bp-16, 0x1.a0cdc60f5c00dp-16, 0x1.9e139d5e9b53bp-16, 0x1.9b5664d40562cp-16, 0x1.98962c1101685p-16, 0x1.95d30392199e5p-16, 0x1.930cfca23d324p-16, 0x1.9044294df8dafp-16, 0x1.8d789c5779317p-16, 0x1.8aaa692b5e00fp-16, 0x1.87d9a3d447e41p-16, 0x1.850660f0e44ffp-16, 0x1.8230b5a989365p-16, 0x1.7f58b7a5af822p-16, 0x1.7c7e7d020cd4p-16, 0x1.79a21c4705df3p-16, 0x1.76c3ac5f89fbap-16, 0x1.73e344907f8dbp-16, 0x1.7100fc7036e9ep-16, 0x1.6e1cebde3469ap-16, 0x1.6b372afb09a11p-16, 0x1.684fd220f62f8p-16, 0x1.6566f9dcc8b01p-16, 0x1.627cbae630ff2p-16, 0x1.5f912e19bd137p-16, 0x1.5ca46c717a86bp-16, 0x1.59b68eff5797bp-16, 0x1.56c7aee6b55f1p-16, 0x1.53d7e556d73adp-16, 0x1.50e74b8565af3p-16, 0x1.4df5faa8fc15cp-16, 0x1.4b040bf401f65p-16, 0x1.4811988f9ab5cp-16, 0x1.451eb997973cbp-16, 0x1.422b88153e04ap-16, 0x1.3f381cfb77d4cp-16, 0x1.3c44912291213p-16, 0x1.3950fd441a65ep-16, 0x1.365d79f77ed08p-16, 0x1.336a1fae9e83cp-16, 0x1.307706b246452p-16, 0x1.2d84471e69ea6p-16, 0x1.2a91f8df8bfa8p-16, 0x1.27a033afd3298p-16, 0x1.24af0f1486268p-16, 0x1.21bea25ab89bcp-16, 0x1.1ecf049545cefp-16, 0x1.1be04c9aa22efp-16, 0x1.18f29102733c2p-16, 0x1.1605e82362872p-16, 0x1.131a6811851fap-16, 0x1.1030269c30bcbp-16, 0x1.0d47394c183adp-16, 0x1.0a5fb561ecb09p-16, 0x1.0779afd535462p-16, 0x1.04953d527f28ap-16, 0x1.01b27239e2841p-16, 0x1.fda2c53c8ce2ap-17, 0x1.f7e44488c9852p-17, 0x1.f22989426a194p-17, 0x1.ec72b9b214c83p-17, 0x1.e6bffb7e980e5p-17, 0x1.e11173aaa8d41p-17, 0x1.db674693d20d9p-17, 0x1.d5c197f0fe073p-17, 0x1.d0208ad161b28p-17, 0x1.ca84419c06792p-17, 0x1.c4ecde0f0d72ap-17, 0x1.bf5a813e4cde6p-17, 0x1.b9cd4b93b0b22p-17, 0x1.b4455cce56e69p-17, 0x1.aec2d4025d065p-17, 0x1.a945cf98f45b2p-17, 0x1.a3ce6d501cc11p-17, 0x1.9e5cca3a8f085p-17, 0x1.98f102c002224p-17, 0x1.938b329e372f4p-17, 0x1.8e2b74e86db4p-17, 0x1.88d1e407e82f6p-17, 0x1.837e99bca6037p-17, 0x1.7e31af1e5cc69p-17, 0x1.78eb3c9c9687bp-17, 0x1.73ab59ff4c02p-17, 0x1.6e721e68c8d7p-17, 0x1.693fa0555dbc5p-17, 0x1.6413f59d23901p-17, 0x1.5eef337487239p-17, 0x1.59d16e6e4a485p-17, 0x1.54baba7b4a2a7p-17, 0x1.4fab2aec64fbcp-17, 0x1.4aa2d27350af3p-17, 0x1.45a1c324f764p-17, 0x1.40a80e79ea8bap-17, 0x1.3bb5c5500727p-17, 0x1.36caf7eb411fap-17, 0x1.31e7b5f857e56p-17, 0x1.2d0c0e8d7fc45p-17, 0x1.2838102c0d57p-17, 0x1.236bc8c1e1d91p-17, 0x1.1ea745ab32b39p-17, 0x1.19ea93b4345b8p-17, 0x1.1535bf1a9b1b8p-17, 0x1.1088d38f4d01fp-17, 0x1.0be3dc383cbd2p-17, 0x1.0746e3b180e6ep-17, 0x1.02b1f40fab1aap-17, 0x1.fc4a2dc369611p-18, 0x1.f340aa63b191ep-18, 0x1.ea476f104ead2p-18, 0x1.e15e8bd8049b9p-18, 0x1.d8860fcc93472p-18, 0x1.cfbe0904ec66ep-18, 0x1.c70684a0c6a0dp-18, 0x1.be5f8ecdea86cp-18, 0x1.b5c932cafd662p-18, 0x1.ad437aeab142fp-18, 0x1.a4ce7097f9f58p-18, 0x1.9c6a1c599e91ap-18, 0x1.941685d56d20cp-18, 0x1.8bd3b3d4720dep-18, 0x1.83a1ac46a65f9p-18, 0x1.7b807445893ddp-18, 0x1.73701018fba91p-18, 0x1.6b70833ab712ap-18, 0x1.6381d059aa989p-18, 0x1.5ba3f95cee79p-18, 0x1.53d6ff694e742p-18, 0x1.4c1ae2e30f78ap-18, 0x1.446fa371d6a59p-18, 0x1.3cd5400525e37p-18, 0x1.354bb6d6ddc78p-18, 0x1.2dd3056f45bb7p-18, 0x1.266b28a81f6eep-18, 0x1.1f141cb0fcd17p-18, 0x1.17cddd122c9b3p-18, 0x1.109864affa22p-18, 0x1.0973adce35d14p-18, 0x1.025fb213f1cc6p-18, 0x1.f6b8d51c50482p-19, 0x1.e8d39f68b7809p-19, 0x1.db0fb2d43253cp-19, 0x1.cd6cfe076c04cp-19, 0x1.bfeb6e92237a1p-19, 0x1.b28af0f24a963p-19, 0x1.a54b709909feep-19, 0x1.982cd7f190546p-19, 0x1.8b2f10694c955p-19, 0x1.7e52027305991p-19, 0x1.7195958eda3a7p-19, 0x1.64f9b04fc6d2dp-19, 0x1.587e3862de838p-19, 0x1.4c23129300105p-19, 0x1.3fe822d0eb5e3p-19, 0x1.33cd4c3799716p-19, 0x1.27d27111b942fp-19, 0x1.1bf772e17e57fp-19, 0x1.103c32639b698p-19, 0x1.04a08f97518c3p-19, 0x1.f248d382fce39p-20, 0x1.db8f3ee64ce82p-20, 0x1.c5141d2097bcdp-20, 0x1.aed728a5647e4p-20, 0x1.98d81aa0e47ddp-20, 0x1.8316ab0071aaap-20, 0x1.6d92907e3f8dap-20, 0x1.584b80abb5da6p-20, 0x1.43412ff7987a8p-20, 0x1.2e7351bee4173p-20, 0x1.19e1984e765fep-20, 0x1.058bb4f09955ep-20, 0x1.e2e2afecc848dp-21, 0x1.bb246181cddfcp-21, 0x1.93dbdb8f907e1p-21, }}, 
      {{0x1.e0caa659d82e3p-1, 0x1.e098f5c4218fbp-1, 0x1.e047645a9fc9fp-1, 0x1.dfd6d87b69f9dp-1, 0x1.df4775fe5d2c4p-1, 0x1.de985af433732p-1, 0x1.ddc7a2037c0b2p-1, 0x1.dcd293031e915p-1, 0x1.dbb5eb64e1f36p-1, 0x1.da6e2d72784e1p-1, 0x1.d8f7eb2844a02p-1, 0x1.d750062cb139p-1, 0x1.d573e1cdc74b1p-1, 0x1.d3618642a1c14p-1, 0x1.d117b5ec96009p-1, 0x1.ce95f634f0a91p-1, 0x1.cbdc8e144441bp-1, 0x1.c8ec7c71fa115p-1, 0x1.c5c76878a59e3p-1, 0x1.c26f8dc9c1f15p-1, 0x1.bee7a638dc233p-1, 0x1.bb32d26d63523p-1, 0x1.b75482827f437p-1, 0x1.b3505f79be7a5p-1, 0x1.af2a361abb503p-1, 0x1.aae5e3a7cf5fep-1, 0x1.a68744a6cef65p-1, 0x1.a21225dbf23bp-1, 0x1.9d8a377ba2017p-1, 0x1.98f30284f57f3p-1, 0x1.944fe029169fcp-1, 0x1.8fa3f31aa5135p-1, 0x1.8af2229a904afp-1, 0x1.863d17150090cp-1, 0x1.818738202852fp-1, 0x1.7cd2abaf87f6p-1, 0x1.7821565014b5bp-1, 0x1.7374dc443cee2p-1, 0x1.6ecea359d174dp-1, 0x1.6a2fd557225ecp-1, 0x1.659962dffe71dp-1, 0x1.610c06b69de5p-1, 0x1.5c88493fba25fp-1, 0x1.580e84342edcdp-1, 0x1.539ee66d5ab1ep-1, 0x1.4f3977bc2867bp-1, 0x1.4ade1cbd11052p-1, 0x1.468c9a9da239dp-1, 0x1.42449aca152e8p-1, 0x1.3e05ae7b44bfep-1, 0x1.39cf521ee84bbp-1, 0x1.35a0f09565407p-1, 0x1.3179e641b47b6p-1, 0x1.2d5983e8f9a87p-1, 0x1.293f11604b298p-1, 0x1.2529d007f54fdp-1, 0x1.2118fd14359c7p-1, 0x1.1d0bd3a3f2d96p-1, 0x1.19018ea67435dp-1, 0x1.14f96a9177aep-1, 0x1.10f2a6e95e02cp-1, 0x1.0cec879d54376p-1, 0x1.08e656399e5c3p-1, 0x1.04df62f23f9ddp-1, 0x1.00d7058853c04p-1, 0x1.f9993c18ff1a9p-2, 0x1.f17f2b01b46fep-2, 0x1.e95ebcb965a3p-2, 0x1.e136e9e91a019p-2, 0x1.d906bf913bd89p-2, 0x1.d0cd5f780befep-2, 0x1.c88a006dcebf2p-2, 0x1.c03bee6ad5f93p-2, 0x1.b7e28a8b49448p-2, 0x1.af7d4aec5c2f8p-2, 0x1.a70bba6e74c87p-2, 0x1.9e8d785f7e8ebp-2, 0x1.9602381076d51p-2, 0x1.8d69c05909949p-2, 0x1.84c3eb0bd88d6p-2, 0x1.7c10a45dda973p-2, 0x1.734fea430533fp-2, 0x1.6a81cbc2475cap-2, 0x1.61a66842ae52bp-2, 0x1.58bdeed35878fp-2, 0x1.4fc89d6fbe124p-2, 0x1.46c6c041a13a7p-2, 0x1.3db8b0e1d9d72p-2, 0x1.349ed59914572p-2, 0x1.2b79a0a169b4fp-2, 0x1.22498f69a9904p-2, 0x1.190f29db0c008p-2, 0x1.0fcb01a1eb392p-2, 0x1.067db17a064b1p-2, 0x1.fa4fb8fd8befap-3, 0x1.e7945affb46fcp-3, 0x1.d4caacb50c745p-3, 0x1.c1f41eafa56a4p-3, 0x1.af122d1fb07b9p-3, 0x1.9c265ea48a873p-3, 0x1.8932432872674p-3, 0x1.763772c700655p-3, 0x1.63378cbe6dcf6p-3, 0x1.5034366bb1f5ap-3, 0x1.3d2f1a514f9f6p-3, 0x1.2a29e728d133ep-3, 0x1.17264efebb4dp-3, 0x1.04260658ce1d3p-3, 0x1.e25586ccc8cf9p-4, 0x1.bc6c7a7574c54p-4, 0x1.96945621a07e6p-4, 0x1.70d0873169c9cp-4, 0x1.4b24789be52b1p-4, 0x1.259391ad9ebfp-4, 0x1.002134d8473cdp-4, 0x1.b5a17d25ecf96p-5, 0x1.6b4b0894dec83p-5, 0x1.2145a6c1ba1aap-5, 0x1.af2fc0f1d9169p-6, 0x1.1c905591f7f3ap-6, 0x1.157395609a16dp-7, -0x1.91d395b03d487p-12, -0x1.2ccd2a06add2bp-7, -0x1.2597dc6d68d18p-6, -0x1.b3cf2dd0f653ep-6, -0x1.208065766e04ep-5, -0x1.6690981b1bfaap-5, -0x1.ac128b711bea4p-5, -0x1.f100bb63d8a3fp-5, -0x1.1aaae206a8be8p-4, -0x1.3c863140ab12ap-4, -0x1.5e0fbac39544bp-4, -0x1.7f44ff212751dp-4, -0x1.a02390657ac84p-4, -0x1.c0a9125b838c8p-4, -0x1.e0d33aca18e08p-4, -0x1.004fe8d4e7503p-3, -0x1.100658aa0167p-3, -0x1.1f8be355ad70fp-3, -0x1.2edf889eebe13p-3, -0x1.3e0051b083eb5p-3, -0x1.4ced512421edap-3, -0x1.5ba5a30ac27c1p-3, -0x1.6a286cf261401p-3, -0x1.7874dde925bacp-3, -0x1.868a2e7e16b5ap-3, -0x1.9467a0bf740c7p-3, -0x1.a20c8036d83cp-3, -0x1.af7821e32299p-3, -0x1.bca9e4305c5p-3, -0x1.c9a12eed9ad4p-3, -0x1.d65d734100456p-3, -0x1.e2de2b99e8c76p-3, -0x1.ef22dba154977p-3, -0x1.fb2b1028b67c8p-3, -0x1.037b2f8b8c3dcp-2, -0x1.094233aa64ea6p-2, -0x1.0eea685ac9631p-2, -0x1.1473a5f0c2e91p-2, -0x1.19ddc91e3ebf5p-2, -0x1.1f28b2e62eb5ap-2, -0x1.2454488f0e73cp-2, -0x1.29607394d7a1ap-2, -0x1.2e4d219a6cd77p-2, -0x1.331a445a809cdp-2, -0x1.37c7d19800d22p-2, -0x1.3c55c30e0fc0cp-2, -0x1.40c4165f8ad15p-2, -0x1.4512cd06300fep-2, -0x1.4941ec415cc68p-2, -0x1.4d517d047420dp-2, -0x1.51418be4f2408p-2, -0x1.5512290830978p-2, -0x1.58c36810e0cffp-2, -0x1.5c55600c470d5p-2, -0x1.5fc82b5f35494p-2, -0x1.631be7b2cfb6dp-2, -0x1.6650b5e120c43p-2, -0x1.6966b9e17f5ffp-2, -0x1.6c5e1ab4cda88p-2, -0x1.6f370251969f8p-2, -0x1.71f19d900ca39p-2, -0x1.748e1c15efb96p-2, -0x1.770cb04261cc6p-2, -0x1.796d8f19aa399p-2, -0x1.7bb0f030ef3c3p-2, -0x1.7dd70d99e8516p-2, -0x1.7fe023ce910c4p-2, -0x1.81cc719cd9b6ep-2, -0x1.839c38126362dp-2, -0x1.854fba6841b16p-2, -0x1.86e73deecf147p-2, -0x1.886309f98f223p-2, -0x1.89c367cb26056p-2, -0x1.8b08a2816eb6bp-2, -0x1.8c330701a3aecp-2, -0x1.8d42e3e4b241fp-2, -0x1.8e388963a5bb5p-2, -0x1.8f1449444349ap-2, -0x1.8fd676c5c444ap-2, -0x1.907f668dc4585p-2, -0x1.910f6e9557b5ap-2, -0x1.9186e61654b86p-2, -0x1.91e62578d486ap-2, -0x1.922d8640e16ddp-2, -0x1.925d62fc65053p-2, -0x1.927617314c68bp-2, -0x1.9277ff4bea06fp-2, -0x1.9263788d94909p-2, -0x1.9238e0fb868e9p-2, -0x1.91f8974e01b3fp-2, -0x1.91a2fadfb427p-2, -0x1.91386b9d60a51p-2, -0x1.90b949f5d2bbdp-2, -0x1.9025f6ca164d1p-2, -0x1.8f7ed35df7335p-2, -0x1.8ec44148d1d2dp-2, -0x1.8df6a266a6f4cp-2, -0x1.8d1658c981e15p-2, -0x1.8c23c6ab29adep-2, -0x1.8b1f4e5f2063fp-2, -0x1.8a095244f000fp-2, -0x1.88e234bac8d29p-2, -0x1.87aa58106e8ccp-2, -0x1.86621e7a748a7p-2, -0x1.8509ea05cd2d2p-2, -0x1.83a21c8ba9486p-2, -0x1.822b17a5a727ap-2, -0x1.80a53ca255951p-2, -0x1.7f10ec7a075c5p-2, -0x1.7d6e87c3f4a59p-2, -0x1.7bbe6eabb4b72p-2, -0x1.7a0100e7019aap-2, -0x1.78369dabd1848p-2, -0x1.765fa3a6bef5dp-2, -0x1.747c70f1c38c5p-2, -0x1.728d630b3e78cp-2, -0x1.7092d6cd4da34p-2, -0x1.6e8d2865782dap-2, -0x1.6c7cb34c9f538p-2, -0x1.6a61d23f46d02p-2, -0x1.683cdf362483ep-2, -0x1.660e335efed2fp-2, -0x1.63d62715d4e78p-2, -0x1.619511de56ff4p-2, -0x1.5f4b4a5da273cp-2, -0x1.5cf926544b9acp-2, -0x1.5a9efa98af57cp-2, -0x1.583d1b118a298p-2, -0x1.55d3dab0d98c2p-2, -0x1.53638b6efe726p-2, -0x1.50ec7e462a82cp-2, -0x1.4e6f032e0a06ap-2, -0x1.4beb6917b6db1p-2, -0x1.4961fde9e812cp-2, -0x1.46d30e7d64723p-2, -0x1.443ee699b35f5p-2, -0x1.41a5d0f20bd44p-2, -0x1.3f0817228003ap-2, -0x1.3c6601ad67e17p-2, -0x1.39bfd7f8ff90fp-2, -0x1.3715e04d475b4p-2, -0x1.34685fd21557cp-2, -0x1.31b79a8d62751p-2, -0x1.2f03d361c9a46p-2, -0x1.2c4d4c0d3e6fep-2, -0x1.29944527f4d2cp-2, -0x1.26d8fe237dd81p-2, -0x1.241bb54a0fc48p-2, -0x1.215ca7be05391p-2, -0x1.1e9c117984ccdp-2, -0x1.1bda2d4e5825dp-2, -0x1.191734e5edbbap-2, -0x1.165360c187e64p-2, -0x1.138ee83a92a17p-2, -0x1.10ca018321553p-2, -0x1.0e04e1a695f6p-2, -0x1.0b3fbc8a6d16dp-2, -0x1.087ac4ef2b674p-2, -0x1.05b62c71748a2p-2, -0x1.02f2238b3e816p-2, -0x1.002ed9952a0c6p-2, -0x1.fad8f98ff0196p-3, -0x1.f556747c3eed3p-3, -0x1.efd67beb0253bp-3, -0x1.ea5965a26b7a7p-3, -0x1.e4df8536f0a19p-3, -0x1.df692c0f5b0c5p-3, -0x1.d9f6a968fe49p-3, -0x1.d4884a5c26e31p-3, -0x1.cf1e59e0b5102p-3, -0x1.c9b920d2e51adp-3, -0x1.c458e5f83afc4p-3, -0x1.befdee049f37fp-3, -0x1.b9a87b9f9c435p-3, -0x1.b458cf69bffd7p-3, -0x1.af0f280222f9cp-3, -0x1.a9cbc20c06a94p-3, -0x1.a48ed834a3038p-3, -0x1.9f58a338fc1a2p-3, -0x1.9a2959ebe2c69p-3, -0x1.9501313c06eebp-3, -0x1.8fe05c3a226b2p-3, -0x1.8ac70c1f39eacp-3, -0x1.85b57052f2f2bp-3, -0x1.80abb671f8d2p-3, -0x1.7baa0a547a36dp-3, -0x1.76b09614ab297p-3, -0x1.71bf82155fa7dp-3, -0x1.6cd6f508aaa7bp-3, -0x1.67f713f68ebp-3, -0x1.63200243b2d7fp-3, -0x1.5e51e1b824175p-3, -0x1.598cd2861bdcdp-3, -0x1.54d0f350cccddp-3, -0x1.501e613334cc2p-3, -0x1.4b7537c6f0bf1p-3, -0x1.46d5912b1683ep-3, -0x1.423f860b0c3b9p-3, -0x1.3db32da55dd58p-3, -0x1.39309dd29a852p-3, -0x1.34b7eb0c2424dp-3, -0x1.304928730a07cp-3, -0x1.2be467d6cf90fp-3, -0x1.2789b9bc3c773p-3, -0x1.23392d641e14bp-3, -0x1.1ef2d0d206f4cp-3, -0x1.1ab6b0d30676bp-3, -0x1.1684d904542p-3, -0x1.125d53d9f84b1p-3, -0x1.0e402aa567a4cp-3, -0x1.0a2d659c13398p-3, -0x1.06250bddf41ddp-3, -0x1.0227237bff55ep-3, -0x1.fc6762fd353d8p-4, -0x1.f49573d7f9f95p-4, -0x1.ecd87f9d042e5p-4, -0x1.e5308a75e7d1p-4, -0x1.dd9d96ad8063dp-4, -0x1.d61fa4bc4a48p-4, -0x1.ceb6b35493982p-4, -0x1.c762bf6e90dcfp-4, -0x1.c023c4545ae37p-4, -0x1.b8f9bbadb2853p-4, -0x1.b1e49d8bbf297p-4, -0x1.aae460749f892p-4, -0x1.a3f8f96eccb51p-4, -0x1.9d225c0c69c28p-4, -0x1.96607a7666c8bp-4, -0x1.8fb3457781bd1p-4, -0x1.891aac871fe78p-4, -0x1.82969dd406f83p-4, -0x1.7c27064ee724bp-4, -0x1.75cbd1b4c6d59p-4, -0x1.6f84ea9947466p-4, -0x1.69523a70bd57bp-4, -0x1.6333a99a278bap-4, -0x1.5d291f68f9431p-4, -0x1.5732822ec3d9ap-4, -0x1.514fb744b25e4p-4, -0x1.4b80a314dec55p-4, -0x1.45c5292385807p-4, -0x1.401d2c1803c8dp-4, -0x1.3a888dc5bd1aep-4, -0x1.35072f34cf435p-4, -0x1.2f98f0aaa0f39p-4, -0x1.2a3db1b249a1cp-4, -0x1.24f55124cd9b2p-4, -0x1.1fbfad31368d5p-4, -0x1.1a9ca36485b56p-4, -0x1.158c10b17824bp-4, -0x1.108dd17828e4bp-4, -0x1.0ba1c18d88b53p-4, -0x1.06c7bc42b5991p-4, -0x1.01ff9c6c1dc8ap-4, -0x1.fa9278d11b6b4p-5, -0x1.f148ec5010194p-5, -0x1.e8224664ff423p-5, -0x1.df1e395cddbe1p-5, -0x1.d63c76ce7bf3cp-5, -0x1.cd7cafa71f8d7p-5, -0x1.c4de9436c3ce1p-5, -0x1.bc61d43c17c1bp-5, -0x1.b4061ef0360f6p-5, -0x1.abcb23120c925p-5, -0x1.a3b08ef1849eap-5, -0x1.9bb6107a59fecp-5, -0x1.93db553ec163bp-5, -0x1.8c200a81ae6dp-5, -0x1.8483dd40ee0fdp-5, -0x1.7d067a3eebd91p-5, -0x1.75a78e0c3d211p-5, -0x1.6e66c510eb283p-5, -0x1.6743cb9579a5ap-5, -0x1.603e4dcbaad6ap-5, -0x1.5955f7d707636p-5, -0x1.528a75d52bdbdp-5, -0x1.4bdb73e5ce13bp-5, -0x1.45489e32940d9p-5, -0x1.3ed1a0f69b069p-5, -0x1.38762885df32fp-5, -0x1.3235e15449c11p-5, -0x1.2c1077fc9f8cbp-5, -0x1.260599472fc94p-5, -0x1.2014f23042485p-5, -0x1.1a3e2fee5ad3fp-5, -0x1.1480fff83cd99p-5, -0x1.0edd100acb31ep-5, -0x1.09520e2ea189ep-5, -0x1.03dfa8bd7f5aep-5, -0x1.fd0b1ccf1a78bp-6, -0x1.f286dc70c0d5cp-6, -0x1.e831ef37b58a9p-6, -0x1.de0bb4c5a6655p-6, -0x1.d4138d8f2bd87p-6, -0x1.ca48dae469261p-6, -0x1.c0aafef949541p-6, -0x1.b7395ced7d7e5p-6, -0x1.adf358d40bfaep-6, -0x1.a4d857ba94e6bp-6, -0x1.9be7bfb053d88p-6, -0x1.9320f7ccb0fcdp-6, -0x1.8a836835a3c09p-6, -0x1.820e7a25aebe7p-6, -0x1.79c197f1ab1e5p-6, -0x1.719c2d0e24122p-6, -0x1.699da61499b12p-6, -0x1.61c570c851d48p-6, -0x1.5a12fc1aff6edp-6, -0x1.5285b8311b13fp-6, -0x1.4b1d166606059p-6, -0x1.43d8894fd05cep-6, -0x1.3cb784c2e8afdp-6, -0x1.35b97dd56f87p-6, -0x1.2eddeae25a466p-6, -0x1.2824438c5f321p-6, -0x1.218c00c0a16a5p-6, -0x1.1b149cb93363p-6, -0x1.14bd92ff4922ap-6, -0x1.0e86606d5d22cp-6, -0x1.086e8330f6e4dp-6, -0x1.02757acc6645p-6, -0x1.f935903073adbp-7, -0x1.edbbda890c382p-7, -0x1.e27cdbb41a223p-7, -0x1.d7779d7645bfep-7, -0x1.ccab2c4904c72p-7, -0x1.c216975bd9c94p-7, -0x1.b7b8f0952b871p-7, -0x1.ad914c92e290ep-7, -0x1.a39ec2aae0e77p-7, -0x1.99e06ceacc809p-7, -0x1.90556818083dcp-7, -0x1.86fcd3af1a852p-7, -0x1.7dd5d1e2db8e1p-7, -0x1.74df879b8788ep-7, -0x1.6c191c7561975p-7, -0x1.6381babf40406p-7, -0x1.5b188f78dd602p-7, -0x1.52dcca50c3931p-7, -0x1.4acd9da2457b6p-7, -0x1.42ea3e73137edp-7, -0x1.3b31e470a552cp-7, -0x1.33a3c9ed84929p-7, -0x1.2c3f2bde66c7dp-7, -0x1.250349d6fcb6dp-7, -0x1.1def6606be274p-7, -0x1.1702c5358349dp-7, -0x1.103caebfd416ep-7, -0x1.099c6c934b193p-7, -0x1.03214b2aa3c78p-7, -0x1.f995331371148p-8, -0x1.ed2f5272e5ee8p-8, -0x1.e10f9c86f60e8p-8, -0x1.d534be5b7dc83p-8, -0x1.c99d69ec88ebp-8, -0x1.be48561c5aa02p-8, -0x1.b3343eaaaa576p-8, -0x1.a85fe42acf1c8p-8, -0x1.9dca0bf9e39a8p-8, -0x1.937180352192ap-8, -0x1.89550faf8df74p-8, -0x1.7f738de7f2ff4p-8, -0x1.75cbd2fe4c5b6p-8, -0x1.6c5cbba9533b2p-8, -0x1.6325292c0a513p-8, -0x1.5a24014ad597cp-8, -0x1.51582e4077a04p-8, -0x1.48c09eb3899b4p-8, -0x1.405c45ab0b71bp-8, -0x1.382a1a838e657p-8, -0x1.302918e3b9575p-8, -0x1.285840b15d2bcp-8, -0x1.20b69605bdac9p-8, -0x1.1943212287cefp-8, -0x1.11fcee662aa15p-8, -0x1.0ae30e4076defp-8, -0x1.03f49527120b6p-8, -0x1.fa613713f330dp-9, -0x1.ed2c7b8fdbaeep-9, -0x1.e04938458e7cdp-9, -0x1.d3b5b5682fe88p-9, -0x1.c77042c29f173p-9, -0x1.bb7737a0dc95cp-9, -0x1.afc8f2b809bf9p-9, -0x1.a463da100318fp-9, -0x1.99465aec0b698p-9, -0x1.8e6ee9b33a092p-9, -0x1.83dc01d9f0a38p-9, -0x1.798c25caa277bp-9, -0x1.6f7ddecee1f62p-9, -0x1.65afbcf86dceap-9, -0x1.5c20570a7b5abp-9, -0x1.52ce4a62c16bp-9, -0x1.49b83ae34ede7p-9, -0x1.40dcd2db4e816p-9, -0x1.383ac2f1116efp-9, -0x1.2fd0c20bc4719p-9, -0x1.279d8d3c8e84bp-9, -0x1.1f9fe7a95b2d3p-9, -0x1.17d69a762694ep-9, -0x1.104074af7ac31p-9, -0x1.08dc4b34a9489p-9, -0x1.01a8f8a1ff497p-9, -0x1.f54aba7736316p-10, -0x1.e7a0bdb00fafp-10, -0x1.da51d195e4d3ep-10, -0x1.cd5bd7a0e4f3cp-10, -0x1.c0bcbbeffe115p-10, -0x1.b472751f79061p-10, -0x1.a87b04200521p-10, -0x1.9cd4740e80ec6p-10, -0x1.917cda0b21f1bp-10, -0x1.8672551168484p-10, -0x1.7bb30dd0e26ep-10, -0x1.713d368565837p-10, -0x1.670f0ad10002ep-10, -0x1.5d26cf93dfcb6p-10, -0x1.5382d2c8331d1p-10, -0x1.4a216b5a70985p-10, -0x1.4100f904f4ac3p-10, -0x1.381fe42ae65e4p-10, -0x1.2f7c9db317929p-10, -0x1.27159ee3f92bp-10, -0x1.1ee9693fcbf3dp-10, -0x1.16f68660e8147p-10, -0x1.0f3b87d6c7484p-10, -0x1.07b70703331eap-10, -0x1.0067a4f7c077ep-10, -0x1.f29814a8ff012p-11, -0x1.e4c5ce4a76587p-11, -0x1.d755e58324fb9p-11, -0x1.ca45d756c68b2p-11, -0x1.bd932eddaf68ep-11, -0x1.b13b8503a6fdp-11, -0x1.a53c804a91afap-11, -0x1.9993d48a455a9p-11, -0x1.8e3f42b3ea8eep-11, -0x1.833c9894cd497p-11, -0x1.7889b09aae433p-11, -0x1.6e247197f567ap-11, -0x1.640ace8995c46p-11, -0x1.5a3ac65d524bfp-11, -0x1.50b263b870effp-11, -0x1.476fbcc099ec2p-11, -0x1.3e70f2e2f442dp-11, -0x1.35b4329f2d9fcp-11, -0x1.2d37b34ff1619p-11, -0x1.24f9b6f756bf8p-11, -0x1.1cf88a093dfdp-11, -0x1.15328338cfb3fp-11, -0x1.0da60344b3228p-11, -0x1.065174c5b679p-11, -0x1.fe6697f9ce876p-12, -0x1.f0940d46b24c9p-12, -0x1.e328577360f05p-12, -0x1.d62096b330e38p-12, -0x1.c979fd0d4ad11p-12, -0x1.bd31ce020eba5p-12, -0x1.b1455e302b29fp-12, -0x1.a5b212fcbf12ep-12, -0x1.9a75623ab3b96p-12, -0x1.8f8cd1d70bbap-12, -0x1.84f5f781151e8p-12, -0x1.7aae785a597c9p-12, -0x1.70b408a1f63p-12, -0x1.67046b65c0f8p-12, -0x1.5d9d7232b221dp-12, -0x1.547cfcc6105a9p-12, -0x1.4ba0f8c16412fp-12, -0x1.4307615f48e9ep-12, -0x1.3aae3f2888f33p-12, -0x1.3293a7abaef23p-12, -0x1.2ab5bd3515c82p-12, -0x1.2312ae889790bp-12, -0x1.1ba8b69be207p-12, -0x1.14761c5334cf9p-12, -0x1.0d79323d6802ap-12, -0x1.06b05652b794dp-12, -0x1.0019f1b49d6a1p-12, -0x1.f368f0dbaa96p-13, -0x1.e6fcd267a7e4fp-13, -0x1.daec9a5518292p-13, -0x1.cf356f4dabd4cp-13, -0x1.c3d48be9dba89p-13, -0x1.b8c73e3ac1a04p-13, -0x1.ae0ae75935595p-13, -0x1.a39cfaf66f634p-13, -0x1.997afeee6b51cp-13, -0x1.8fa28ada92c41p-13, -0x1.861147aaaacdfp-13, -0x1.7cc4ef3ba4f1fp-13, -0x1.73bb4bf1bcfbdp-13, -0x1.6af238561f2d9p-13, -0x1.62679eb367e37p-13, -0x1.5a1978b736f5p-13, -0x1.5205cf12611a9p-13, -0x1.4a2ab91ea7744p-13, -0x1.42865c8222e5p-13, -0x1.3b16ecd7fbeap-13, -0x1.33daab5914ef1p-13, -0x1.2ccfe685fab2bp-13, -0x1.25f4f9d4f8cfep-13, -0x1.1f484d5e796e4p-13, -0x1.18c8558d2fec7p-13, -0x1.127392cfdf2b2p-13, -0x1.0c48914c2e0fep-13, -0x1.0645e892bcaf6p-13, -0x1.006a3b55d9681p-13, -0x1.f5686e4216eap-14, -0x1.ea452820fdc17p-14, -0x1.df68291c55afap-14, -0x1.d4cf0a173eca9p-14, -0x1.ca7777806027cp-14, -0x1.c05f30d031ebp-14, -0x1.b684080958f59p-14, -0x1.ace3e13a4fd8bp-14, -0x1.a37cb2039f1dfp-14, -0x1.9a4c812136d74p-14, -0x1.915165f42f95ep-14, -0x1.88898811a1a42p-14, -0x1.7ff31ed0c4dc9p-14, -0x1.778c70df1c4c8p-14, -0x1.6f53d3d422d6fp-14, -0x1.6747abc9003e8p-14, -0x1.5f666af197b42p-14, -0x1.57ae913903281p-14, -0x1.501eabde4eeacp-14, -0x1.48b55517ae44bp-14, -0x1.417133b17efp-14, -0x1.3a50fab460d19p-14, -0x1.3353690b99b7ep-14, -0x1.2c77492dd51f2p-14, -0x1.25bb70c839ad8p-14, -0x1.1f1ec06ae4171p-14, -0x1.18a023370561dp-14, -0x1.123e8e8ef25c7p-14, -0x1.0bf901ca79d0bp-14, -0x1.05ce85e90cce8p-14, -0x1.ff7c5a922eb0ap-15, -0x1.f38e26be5191p-15, -0x1.e7d0b8dfb024cp-15, -0x1.dc426a9572f1ep-15, -0x1.d0e1a60d4709ep-15, -0x1.c5ace58387a3ep-15, -0x1.baa2b2bf7dc11p-15, -0x1.afc1a699cdc77p-15, -0x1.a5086882a4fadp-15, -0x1.9a75ae09296b6p-15, -0x1.90083a6a038afp-15, -0x1.85bede1cdb589p-15, -0x1.7b987668ef329p-15, -0x1.7193ecf6c5e91p-15, -0x1.67b0376aac3fdp-15, -0x1.5dec56fdec055p-15, -0x1.5447581bbb0aep-15, -0x1.4ac0520086ad1p-15, -0x1.4156665cb4961p-15, -0x1.3808c0f7f456ap-15, -0x1.2ed6975905aa4p-15, -0x1.25bf286eaed15p-15, -0x1.1cc1bc3c6daep-15, -0x1.13dda3862ed75p-15, -0x1.0b123781a7a02p-15, -0x1.025ed988e8d9p-15, -0x1.f385e5992095ep-16, -0x1.e27be818aed65p-16, -0x1.d19eaa9e16315p-16, -0x1.c0ed2b38200edp-16, -0x1.b066757169558p-16, -0x1.a009a1cb8e70ap-16, -0x1.8fd5d53d7a0e2p-16, -0x1.7fca40bd2b7cdp-16, -0x1.6fe620c007306p-16, -0x1.6028bcc900807p-16, -0x1.509166f693207p-16, -0x1.411f7b963f7bp-16, -0x1.31d260b3e1a4ap-16, -0x1.22a985b5cb65bp-16, -0x1.13a462f766206p-16, -0x1.04c2796420603p-16, -0x1.ec06a437199ebp-17, -0x1.ceccfc2a907fap-17, -0x1.b1d72b8883cbep-17, -0x1.95247187d3ad6p-17, -0x1.78b41b02bad96p-17, -0x1.5c8581d63b25ep-17, -0x1.40980c440312fp-17, -0x1.24eb2c59fe923p-17, -0x1.097e5f5da0678p-17, -0x1.dca25a8001fdap-18, -0x1.a6c6501eb1459p-18, -0x1.7167d6e73694ep-18, -0x1.3c863851a5001p-18, -0x1.0820cf0e317b4p-18, -0x1.a86e0c1ebb89dp-19, -0x1.4190af364a83dp-19, -0x1.b75131b274be2p-20, -0x1.dad3d7135b0a5p-21, -0x1.2b50c36a3bbc5p-23, 0x1.415f166c35436p-21, 0x1.64e4160e9eb39p-20, 0x1.139a3a6a62532p-19, 0x1.73d0b6a9cb53ep-19, 0x1.d315d06d3476dp-19, 0x1.18b4e3c434708p-18, 0x1.47666626e163p-18, 0x1.759f8059c4a4fp-18, 0x1.a3603cbfd0d53p-18, 0x1.d0a89fc23d749p-18, 0x1.fd78a84faec54p-18, 0x1.14e82832b7f1ap-17, 0x1.2ad7c6cbc0683p-17, 0x1.408b28be8e588p-17, 0x1.5602451adb5a2p-17, 0x1.6b3d116b64e1ep-17, 0x1.803b81eddfb89p-17, 0x1.94fd89c0dcaedp-17, 0x1.a9831b1c72625p-17, 0x1.bdcc2781eeae1p-17, 0x1.d1d89fe6b7eb6p-17, 0x1.e5a874ddd5c38p-17, 0x1.f93b96c4bf504p-17, 0x1.0648faf7aab1bp-16, 0x1.0fd5c1629f10ep-16, 0x1.194416f5ecf5cp-16, 0x1.2293f432cf497p-16, 0x1.2bc551da51226p-16, 0x1.34d828fb48de4p-16, 0x1.3dcc730205bd5p-16, 0x1.46a229c766e4cp-16, 0x1.4f59479b5bd66p-16, 0x1.57f1c7521962p-16, 0x1.606ba4514e96bp-16, 0x1.68c6da9a87af8p-16, 0x1.710366d44ee78p-16, 0x1.79214653617abp-16, 0x1.812077259a0aep-16, 0x1.8900f819eabc3p-16, 0x1.90c2c8c8501d4p-16, 0x1.9865e998766efp-16, 0x1.9fea5bc82d337p-16, 0x1.a7502173539a6p-16, 0x1.ae973d976ff52p-16, 0x1.b5bfb41b8db97p-16, 0x1.bcc989d1f22c7p-16, 0x1.c3b4c47e99507p-16, 0x1.ca816adab64a2p-16, 0x1.d12f849846826p-16, 0x1.d7bf1a644f3a7p-16, 0x1.de3035ea1ba6p-16, 0x1.e482e1d5b5963p-16, 0x1.eab729d6155c4p-16, 0x1.f0cd1a9d40c6p-16, 0x1.f6c4c1e32456bp-16, 0x1.fc9e2e65de37bp-16, 0x1.012cb7f520529p-15, 0x1.03fb4b9e74c18p-15, 0x1.06badb189be06p-15, 0x1.096b6fd1465c9p-15, 0x1.0c0d13b916713p-15, 0x1.0e9fd14345d46p-15, 0x1.1123b36629f12p-15, 0x1.1398c59977ab6p-15, 0x1.15ff13d650582p-15, 0x1.1856aa965f1e7p-15, 0x1.1a9f96d255a86p-15, 0x1.1cd9e6019bcadp-15, 0x1.1f05a618c3343p-15, 0x1.2122e589192d4p-15, 0x1.2331b33e2c213p-15, 0x1.25321e9d344bcp-15, 0x1.27243783eb90fp-15, 0x1.29080e4708609p-15, 0x1.2addb3aff6681p-15, 0x1.2ca538fc41699p-15, 0x1.2e5eafdae0666p-15, 0x1.300a2a6b54714p-15, 0x1.31a7bb3b92bb9p-15, 0x1.33377546515b5p-15, 0x1.34b96bf1298d1p-15, 0x1.362db30a9989p-15, 0x1.37945ec7fb891p-15, 0x1.38ed83c423fb5p-15, 0x1.3a3936fcba012p-15, 0x1.3b778dd0b5ed6p-15, 0x1.3ca89dfe056c5p-15, 0x1.3dcc7d9f27068p-15, 0x1.3ee34329bc136p-15, 0x1.3fed056c3cbbap-15, 0x1.40e9db8bc0e18p-15, 0x1.41d9dd01b64cbp-15, 0x1.42bd2199be78p-15, 0x1.4393c16f978a6p-15, 0x1.445dd4ed2e626p-15, 0x1.451b74c82cc41p-15, 0x1.45ccb9ff7583bp-15, 0x1.4671bdd95d1e1p-15, 0x1.470a99e1654cp-15, 0x1.479767e60eec6p-15, 0x1.481841f681c6ap-15, 0x1.488d4260964d2p-15, 0x1.48f683ae70674p-15, 0x1.495420a43aa8cp-15, 0x1.49a6343e10bb6p-15, 0x1.49ecd9add1a55p-15, 0x1.4a282c58f9fc8p-15, 0x1.4a5847d6a5bb8p-15, 0x1.4a7d47ecee287p-15, 0x1.4a97488f2ce03p-15, 0x1.4aa665dbf6d31p-15, 0x1.4aaabc1a95e98p-15, 0x1.4aa467b93da61p-15, 0x1.4a93854aac6bep-15, 0x1.4a78318481a26p-15, 0x1.4a52893cd7c7p-15, 0x1.4a22a9687574fp-15, 0x1.49e8af18e7017p-15, 0x1.49a4b77a2f9cdp-15, 0x1.4956dfd0c5636p-15, 0x1.48ff4577ee59fp-15, 0x1.489e05dfd331ap-15, 0x1.48333e8b3a232p-15, 0x1.47bf0d0e0fdf2p-15, 0x1.47418f0b282d3p-15, 0x1.46bae232b5913p-15, 0x1.462b24404cedcp-15, 0x1.459272f931911p-15, 0x1.44f0ec2a8f3e9p-15, 0x1.4446ada7b156dp-15, 0x1.4393d54848c46p-15, 0x1.42d880e6d1418p-15, 0x1.4214ce5ebe695p-15, 0x1.4148db8b078a5p-15, 0x1.4074c6444facp-15, 0x1.3f98ac5f74fc4p-15, 0x1.3eb4abac1fdf8p-15, 0x1.3dc8e1f2ccb35p-15, 0x1.3cd56cf3b9fc6p-15, 0x1.3bda6a65617d5p-15, 0x1.3ad7f7f2b3b0ep-15, 0x1.39ce3339df6b6p-15, 0x1.38bd39cac4d11p-15, 0x1.37a52925dcac3p-15, 0x1.36861eba8250cp-15, 0x1.356037e5ee0acp-15, 0x1.343391f1bc9dfp-15, 0x1.33004a12c2cb2p-15, 0x1.31c67d67c2ed7p-15, 0x1.308648f821279p-15, 0x1.2f3fc9b2b62ffp-15, 0x1.2df31c6cc6813p-15, 0x1.2ca05de0a1a14p-15, 0x1.2b47aaacbe6dbp-15, 0x1.29e91f5285fb1p-15, 0x1.2884d83554237p-15, 0x1.271af1995dc77p-15, 0x1.25ab87a29c76ep-15, 0x1.2436b6540ace3p-15, 0x1.22bc998e8382cp-15, 0x1.213d4d0fbc2d5p-15, 0x1.1fb8ec71842d2p-15, 0x1.1e2f9328c92c6p-15, 0x1.1ca15c84e0d24p-15, 0x1.1b0e63ae87278p-15, 0x1.1976c3a710813p-15, 0x1.17da9747a6399p-15, 0x1.1639f94097f3p-15, 0x1.1495041874a61p-15, 0x1.12ebd22b69f15p-15, 0x1.113e7daa9fcebp-15, 0x1.0f8d209b42dc2p-15, 0x1.0dd7d4d6580afp-15, 0x1.0c1eb407b9efap-15, 0x1.0a61d7ad6ce6fp-15, 0x1.08a159176346ap-15, 0x1.06dd5166aa98ep-15, 0x1.0515d98cecca2p-15, 0x1.034b0a4bedbc5p-15, 0x1.017cfc3526094p-15, 0x1.ff578f5231304p-16, 0x1.fbaf09adf7925p-16, 0x1.f800977804dd7p-16, 0x1.f44c684684721p-16, 0x1.f092ab4aba7bap-16, 0x1.ecd38f4f687ddp-16, 0x1.e90f42b8c285cp-16, 0x1.e545f383ce797p-16, 0x1.e177cf4503bb5p-16, 0x1.dda503282c2e4p-16, 0x1.d9cdbbf015aa8p-16, 0x1.d5f225f53764dp-16, 0x1.d2126d2607ae3p-16, 0x1.ce2ebd05c61abp-16, 0x1.ca4740ac6190fp-16, 0x1.c65c22c63c7afp-16, 0x1.c26d8d932b877p-16, 0x1.be7baae718838p-16, 0x1.ba86a428ca581p-16, 0x1.b68ea251edafcp-16, 0x1.b293cdeeadebap-16, 0x1.ae964f1d82b2fp-16, 0x1.aa964d8f2976ap-16, 0x1.a693f08692b53p-16, 0x1.a28f5ed8470e4p-16, 0x1.9e88beea9e06p-16, 0x1.9a8036b54f0d8p-16, 0x1.9675ebc1ab279p-16, 0x1.926a032aefc7p-16, 0x1.8e5ca19d8b74cp-16, 0x1.8a4deb575040ep-16, 0x1.863e0427b32b6p-16, 0x1.822d0f6fade0fp-16, 0x1.7e1b3022147a2p-16, 0x1.7a0888c3457ffp-16, 0x1.75f53b6961679p-16, 0x1.71e169bce919p-16, 0x1.6dcd34f835bf5p-16, 0x1.69b8bde868bbbp-16, 0x1.65a424ecc1976p-16, 0x1.618f89f793bb4p-16, 0x1.5d7b0c8e1d5ccp-16, 0x1.5966cbc8deaedp-16, 0x1.5552e65480774p-16, 0x1.513f7a70d4411p-16, 0x1.4d2ca5f2454b5p-16, 0x1.491a8641aa6bap-16, 0x1.4509385ce1b3p-16, 0x1.40f8d8d72f8b7p-16, 0x1.3ce983d92a8b2p-16, }}, 
      {{0x1.e0d5cbf269505p-1, 0x1.e0c5272eea574p-1, 0x1.e0a9b29a15461p-1, 0x1.e083b177446f3p-1, 0x1.e0534da590601p-1, 0x1.e01885a840a5dp-1, 0x1.dfd325b27d3c6p-1, 0x1.df82c95a8877ep-1, 0x1.df26e3136f5b7p-1, 0x1.debec6dd7a94ep-1, 0x1.de49b633ccdep-1, 0x1.ddc6ebd415566p-1, 0x1.dd35a67b4c667p-1, 0x1.dc9532139fb8ep-1, 0x1.dbe4ef16d1196p-1, 0x1.db24581a20c7ap-1, 0x1.da53059a086ecp-1, 0x1.d970b0308ec52p-1, 0x1.d87d316c0e2a8p-1, 0x1.d7788380a463ep-1, 0x1.d662c00e217abp-1, 0x1.d53c1e30e8b23p-1, 0x1.d404f00ef16cdp-1, 0x1.d2bda00bf7eccp-1, 0x1.d166adc965b9fp-1, 0x1.d000ab103d694p-1, 0x1.ce8c38bd5cbebp-1, 0x1.cd0a03c32379dp-1, 0x1.cb7ac24edd547p-1, 0x1.c9df311c470a4p-1, 0x1.c83810fe33047p-1, 0x1.c68624a084b8ep-1, 0x1.c4ca2e857f964p-1, 0x1.c304ef3ea5f85p-1, 0x1.c13723e000958p-1, 0x1.bf6184aba6acp-1, 0x1.bd84c3f2a1696p-1, 0x1.bba18d27c0e2ep-1, 0x1.b9b88420adf3ep-1, 0x1.b7ca44815237fp-1, 0x1.b5d7614dac781p-1, 0x1.b3e0649e2cf2fp-1, 0x1.b1e5cf72cf494p-1, 0x1.afe819a158ac2p-1, 0x1.ade7b1db4c71fp-1, 0x1.abe4fdc860332p-1, 0x1.a9e05a3278c4bp-1, 0x1.a7da1b406f7efp-1, 0x1.a5d28cbd1e953p-1, 0x1.a3c9f2686f497p-1, 0x1.a1c08850575dcp-1, 0x1.9fb6832ff4715p-1, 0x1.9dac10d31a768p-1, 0x1.9ba1587ce71d5p-1, 0x1.99967b500faf9p-1, 0x1.978b94b7cecb4p-1, 0x1.9580bad077f45p-1, 0x1.9375fecee2482p-1, 0x1.916b6d65f3952p-1, 0x1.8f610f29b4549p-1, 0x1.8d56e8ef75c5bp-1, 0x1.8b4cfc2a9e328p-1, 0x1.89434745d293dp-1, 0x1.8739c5f83b647p-1, 0x1.85307196badafp-1, 0x1.83274160f8642p-1, 0x1.811e2aca29d76p-1, 0x1.7f1521bd9c269p-1, 0x1.7d0c18def9ffbp-1, 0x1.7b0301c65bcf4p-1, 0x1.78f9cd383679p-1, 0x1.76f06b593e528p-1, 0x1.74e6cbde5b2f8p-1, 0x1.72dcde38d0e68p-1, 0x1.70d291beba36bp-1, 0x1.6ec7d5d003cb8p-1, 0x1.6cbc99f807ea9p-1, 0x1.6ab0ce0bf5ac9p-1, 0x1.68a4624630d64p-1, 0x1.6697475ecd0ffp-1, 0x1.64896ea153fabp-1, 0x1.627ac9fffa6dp-1, 0x1.606b4c2471eaap-1, 0x1.5e5ae87e7915bp-1, 0x1.5c49935053c98p-1, 0x1.5a3741b95006ap-1, 0x1.5823e9be7bc22p-1, 0x1.560f8251ab427p-1, 0x1.53fa0356f5a3p-1, 0x1.51e365a8c1e3ep-1, 0x1.4fcba31a86997p-1, 0x1.4db2b67a55bf8p-1, 0x1.4b989b91509ccp-1, 0x1.497d4f231e1a2p-1, 0x1.4760ceec78aa5p-1, 0x1.454319a0edb42p-1, 0x1.43242ee7dfdf9p-1, 0x1.41040f58e20a2p-1, 0x1.3ee2bc777eacfp-1, 0x1.3cc038ae7806p-1, 0x1.3a9c874a95af6p-1, 0x1.3877ac750c2d9p-1, 0x1.3651ad2d8c88p-1, 0x1.342a8f4407225p-1, 0x1.3202595230223p-1, 0x1.2fd912b4ce2dp-1, 0x1.2daec384dcb9cp-1, 0x1.2b8374908e104p-1, 0x1.29572f542fcfap-1, 0x1.2729fdf300825p-1, 0x1.24fbeb2ff5cbcp-1, 0x1.22cd02667f12bp-1, 0x1.209d4f8347116p-1, 0x1.1e6cdefcfa03fp-1, 0x1.1c3bbdcd162cdp-1, 0x1.1a09f968c9528p-1, 0x1.17d79fb9df647p-1, 0x1.15a4bf17c55adp-1, 0x1.13716640a446fp-1, 0x1.113da45294cc7p-1, 0x1.0f0988c4f04a1p-1, 0x1.0cd52361be60dp-1, 0x1.0aa0843f43e7ap-1, 0x1.086bbbb9b189ep-1, 0x1.0636da6cf594bp-1, 0x1.0401f12eb0832p-1, 0x1.01cd11084f5d3p-1, 0x1.ff30966290583p-2, 0x1.fac76212fe3b7p-2, 0x1.f65ea8279dadbp-2, 0x1.f1f68be171259p-2, 0x1.ed8f30b2742c5p-2, 0x1.e928ba339195dp-2, 0x1.e4c34c1aeb879p-2, 0x1.e05f0a3269dd2p-2, 0x1.dbfc184e99ea5p-2, 0x1.d79a9a45d57cap-2, 0x1.d33ab3e7b825ep-2, 0x1.cedc88f4dd18p-2, 0x1.ca803d16e754dp-2, 0x1.c625f3d8d1fe6p-2, 0x1.c1cdd09f88c8p-2, 0x1.bd77f6a2c5e4ep-2, 0x1.b92488e639d92p-2, 0x1.b4d3aa32f14eep-2, 0x1.b0857d1105af2p-2, 0x1.ac3a23c18a6bfp-2, 0x1.a7f1c038c0a95p-2, 0x1.a3ac74188564bp-2, 0x1.9f6a60ab03c75p-2, 0x1.9b2ba6dda1f76p-2, 0x1.96f0673c2d3e9p-2, 0x1.92b8c1ec3cb8ep-2, 0x1.8e84d6a8d5fcap-2, 0x1.8a54c4be40d17p-2, 0x1.8628ab061bfe4p-2, 0x1.8200a7e3a126cp-2, 0x1.7ddcd94023278p-2, 0x1.79bd5c87bdb34p-2, 0x1.75a24ea638667p-2, 0x1.718bcc041bfd2p-2, 0x1.6d79f083f7799p-2, 0x1.696cd77fd459bp-2, 0x1.65649bc6db2dep-2, 0x1.6161579b2186dp-2, 0x1.5d6324afa6f29p-2, 0x1.596a1c267ae0cp-2, 0x1.5576568f0e10bp-2, 0x1.5187ebe4a9d2dp-2, 0x1.4d9ef38d11f2cp-2, 0x1.49bb84574a41cp-2, 0x1.45ddb47a83452p-2, 0x1.420599952a84fp-2, 0x1.3e3348ac1e79fp-2, 0x1.3a66d62a05ab5p-2, 0x1.36a055dec2d2ep-2, 0x1.32dfdaff0f44fp-2, 0x1.2f25782431ee2p-2, 0x1.2b713f4bd2e81p-2, 0x1.27c341d7ef994p-2, 0x1.241b908ee8c81p-2, 0x1.207a3b9bae959p-2, 0x1.1cdf528e04a95p-2, 0x1.194ae45ae1a1p-2, 0x1.15bcff5ce8738p-2, 0x1.1235b154f67f6p-2, 0x1.0eb5076acbfcep-2, 0x1.0b3b0e2dc8ab1p-2, 0x1.07c7d195bfcc1p-2, 0x1.045b5d03de29dp-2, 0x1.00f5bb43a7da6p-2, 0x1.fb2ded1809f0ap-3, 0x1.f47e3100c7d0cp-3, 0x1.eddc5463d5256p-3, 0x1.e7486841750b7p-3, 0x1.e0c27c7a8739p-3, 0x1.da4a9fd34f97fp-3, 0x1.d3e0dff65843ep-3, 0x1.cd8549776c295p-3, 0x1.c737e7d6b6963p-3, 0x1.c0f8c583ef1afp-3, 0x1.bac7ebe1a7b9cp-3, 0x1.b4a56348ad8e6p-3, 0x1.ae91330b7a2cap-3, 0x1.a88b6179c2058p-3, 0x1.a293f3e40ffe2p-3, 0x1.9caaee9f729ebp-3, 0x1.96d055093bb94p-3, 0x1.9104298acf05ap-3, 0x1.8b466d9d7d0d2p-3, 0x1.859721ce6eccep-3, 0x1.7ff645c29943p-3, 0x1.7a63d83abfef5p-3, 0x1.74dfd7177c9bdp-3, 0x1.6f6a3f5d57db1p-3, 0x1.6a030d38dee3p-3, 0x1.64aa3c02cbe12p-3, 0x1.5f5fc6442baa4p-3, 0x1.5a23a5ba8df97p-3, 0x1.54f5d35c35addp-3, 0x1.4fd6475c52b67p-3, 0x1.4ac4f92f3b1c5p-3, 0x1.45c1df8ea24a1p-3, 0x1.40ccf07ddae23p-3, 0x1.3be6214e0e06dp-3, 0x1.370d66a27e10dp-3, 0x1.3242b474beb8ep-3, 0x1.2d85fe18efe3fp-3, 0x1.28d73641f4eb5p-3, 0x1.24364f05abe44p-3, 0x1.1fa339e11a59bp-3, 0x1.1b1de7bca10f6p-3, 0x1.16a648f01d4c6p-3, 0x1.123c4d4712f0ep-3, 0x1.0ddfe404c3329p-3, 0x1.0990fbe848ap-3, 0x1.054f8330a6d31p-3, 0x1.011b67a0d077p-3, 0x1.f9e92d0757172p-4, 0x1.f1b5f96012b02p-4, 0x1.e99d0d192ce74p-4, 0x1.e19e40278787dp-4, 0x1.d9b969af4656fp-4, 0x1.d1ee600b7de1fp-4, 0x1.ca3cf8d5bf1d9p-4, 0x1.c2a508eda143p-4, 0x1.bb26648024f8ap-4, 0x1.b3c0df0f1233fp-4, 0x1.ac744b782be2fp-4, 0x1.a5407bfc63955p-4, 0x1.9e254246e12a8p-4, 0x1.97226f73f9f6cp-4, 0x1.9037d4181d2cep-4, 0x1.896540468e243p-4, 0x1.82aa8398184a4p-4, 0x1.7c076d31a3f01p-4, 0x1.757bcbcab21dp-4, 0x1.6f076db3bd1cdp-4, 0x1.68aa20dc7fe55p-4, 0x1.6263b2da23195p-4, 0x1.5c33f0ed4ef3p-4, 0x1.561aa80825158p-4, 0x1.5017a4d4183c8p-4, 0x1.4a2ab3b7b1fb1p-4, 0x1.4453a0dc3793bp-4, 0x1.3e923833357c4p-4, 0x1.38e6457bec9f3p-4, 0x1.334f9448aa802p-4, 0x1.2dcdf003ff134p-4, 0x1.286123f5dbb51p-4, 0x1.2308fb4895a36p-4, 0x1.1dc5410dcb6e2p-4, 0x1.1895c04331c88p-4, 0x1.137a43d74351cp-4, 0x1.0e7296add5fbfp-4, 0x1.097e83a4944bap-4, 0x1.049dd5975d9dbp-4, 0x1.ffa0aec9137e8p-5, 0x1.f62ba7e226bc4p-5, 0x1.ecdc2c594bf23p-5, 0x1.e3b1d22b27c6fp-5, 0x1.daac2f795eddp-5, 0x1.d1cada921c857p-5, 0x1.c90d69f758007p-5, 0x1.c0737465f95f8p-5, 0x1.b7fc90dcb6fb4p-5, 0x1.afa856a2d17c1p-5, 0x1.a7765d4e96e3p-5, 0x1.9f663ccbb3431p-5, 0x1.97778d6150ebap-5, 0x1.8fa9e7b80f692p-5, 0x1.87fce4dfc12bbp-5, 0x1.80701e54fe9b2p-5, 0x1.79032e068842ep-5, 0x1.71b5ae5a82fe9p-5, 0x1.6a873a3379098p-5, 0x1.63776cf538ee8p-5, 0x1.5c85e2898989cp-5, 0x1.55b23764a3fd7p-5, 0x1.4efc088995055p-5, 0x1.4862f38e681afp-5, 0x1.41e696a02c403p-5, 0x1.3b869086d215cp-5, 0x1.354280a8dc8eap-5, 0x1.2f1a070eebfdbp-5, 0x1.290cc467264dfp-5, 0x1.231a5a0870159p-5, 0x1.1d4269f58bf97p-5, 0x1.178496e00495ap-5, 0x1.11e0842b030c4p-5, 0x1.0c55d5edf5602p-5, 0x1.06e430f717f5ep-5, 0x1.018b3acddb311p-5, 0x1.f895336a4b11fp-6, 0x1.ee43e95af0d13p-6, 0x1.e421e6eddd6a8p-6, 0x1.da2e7d2644b39p-6, 0x1.d068fe8ddc91ap-6, 0x1.c6d0bf38225cap-6, 0x1.bd6514c56fb48p-6, 0x1.b4255665c9acap-6, 0x1.ab10dcdb77ab5p-6, 0x1.a227027d72e13p-6, 0x1.99672339809bcp-6, 0x1.90d09c963bb3bp-6, 0x1.8862cdb4c8222p-6, 0x1.801d17526ea9p-6, 0x1.77fedbc9f9da5p-6, 0x1.70077f14e0753p-6, 0x1.683666cc4f646p-6, 0x1.608afa29ef7a9p-6, 0x1.5904a208982f5p-6, 0x1.51a2c8e4c73fp-6, 0x1.4a64dadcea8e5p-6, 0x1.434a45b190b83p-6, 0x1.3c5278c56b2ap-6, 0x1.357ce51d1b797p-6, 0x1.2ec8fd5ef1f2fp-6, 0x1.283635d27b9a8p-6, 0x1.21c4045fecfd1p-6, 0x1.1b71e08f6bef3p-6, 0x1.153f43883c721p-6, 0x1.0f2ba80fc35f7p-6, 0x1.09368a8874adbp-6, 0x1.035f68f09d1c6p-6, 0x1.fb4b85c227e77p-7, 0x1.f01233179059fp-7, 0x1.e511df74796d8p-7, 0x1.da499397c74e8p-7, 0x1.cfb85b68c46a4p-7, 0x1.c55d45f37c587p-7, 0x1.bb376564e1491p-7, 0x1.b145cf06c8a23p-7, 0x1.a7879b3bb65bep-7, 0x1.9dfbe57a8f066p-7, 0x1.94a1cc4a14561p-7, 0x1.8b78713c37761p-7, 0x1.827ef8e949948p-7, 0x1.79b48aeb23fcap-7, 0x1.711851d7fd282p-7, 0x1.68a97b3d49131p-7, 0x1.6067379a6c85dp-7, 0x1.5850ba5b44bebp-7, 0x1.506539d2a97a9p-7, 0x1.48a3ef34d16ebp-7, 0x1.410c16918daadp-7, 0x1.399ceece8422cp-7, 0x1.3255b9a13f4b8p-7, 0x1.2b35bb8934fe1p-7, 0x1.243c3bc9be93cp-7, 0x1.1d688463efef7p-7, 0x1.16b9e2106a2a1p-7, 0x1.102fa4390be8p-7, 0x1.09c91cf2bd1ffp-7, 0x1.0385a0f6eb82p-7, 0x1.fac90f3a8003cp-8, 0x1.eeca55aa215f4p-8, 0x1.e30dce3dd4224p-8, 0x1.d792370c04c5cp-8, 0x1.cc5653334d4f9p-8, 0x1.c158eacd3b2d2p-8, 0x1.b698cae1042b8p-8, 0x1.ac14c5564548dp-8, 0x1.a1cbb0e7a4d06p-8, 0x1.97bc69156a9c2p-8, 0x1.8de5ce181a975p-8, 0x1.8446c4d303fe2p-8, 0x1.7ade36c6d957ap-8, 0x1.71ab120431eafp-8, 0x1.68ac491e29e29p-8, 0x1.5fe0d31ccd84ep-8, 0x1.5747ab6fcb137p-8, 0x1.4edfd1e0ee0edp-8, 0x1.46a84a86ca54p-8, 0x1.3ea01db7449b6p-8, 0x1.36c657fa49f8bp-8, 0x1.2f1a09fc70d6ap-8, 0x1.279a4881b38fbp-8, 0x1.20462c5839624p-8, 0x1.191cd24b096f5p-8, 0x1.121d5b150ecadp-8, 0x1.0b46eb53ce034p-8, 0x1.0498ab7a75dc2p-8, 0x1.fc238f89d82f7p-9, 0x1.ef62e055985bap-9, 0x1.e2edb0a518945p-9, 0x1.d6c26f097d726p-9, 0x1.cadf913ebb7cap-9, 0x1.bf43941236b6dp-9, 0x1.b3ecfb49abef8p-9, 0x1.a8da518a3d84fp-9, 0x1.9e0a283f946e6p-9, 0x1.937b17835a37bp-9, 0x1.892bbe04a5799p-9, 0x1.7f1ac0efbe24bp-9, 0x1.7546cbd60db4dp-9, 0x1.6bae909615962p-9, 0x1.6250c743c89e1p-9, 0x1.592c2e11052b5p-9, 0x1.503f8936289acp-9, 0x1.4789a2dafa8e6p-9, 0x1.3f094affb33a2p-9, 0x1.36bd576641ddp-9, 0x1.2ea4a37baed0fp-9, 0x1.26be1041ea3fep-9, 0x1.1f0884397e23ap-9, 0x1.1782eb4bdcc58p-9, 0x1.102c36b57301ap-9, 0x1.09035cf05eebfp-9, 0x1.0207599f026ddp-9, 0x1.f66e5aee357dcp-10, 0x1.e923bc599936dp-10, 0x1.dc2cecbc3b627p-10, 0x1.cf880afd17c55p-10, 0x1.c3333f859fc49p-10, 0x1.b72cbc1a14693p-10, 0x1.ab72bbb1cc1ecp-10, 0x1.a00382508fabdp-10, 0x1.94dd5cdf8c343p-10, 0x1.89fea107bf885p-10, 0x1.7f65ad0be77b9p-10, 0x1.7510e7a37af0dp-10, 0x1.6afebfd5e8b5p-10, 0x1.612dacd62529fp-10, 0x1.579c2ddf017acp-10, 0x1.4e48ca0f70cbep-10, 0x1.45321047bf7d6p-10, 0x1.3c56970729001p-10, 0x1.33b4fc496c8a9p-10, 0x1.2b4be5654f5f2p-10, 0x1.2319feeb82257p-10, 0x1.1b1dfc859968ap-10, 0x1.135698d5f5e63p-10, 0x1.0bc29557b27dfp-10, 0x1.0460ba3f2b981p-10, 0x1.fa5facb620b4ap-11, 0x1.ec5d7deb3e6cbp-11, 0x1.deb89f6d1afbcp-11, 0x1.d16ed50a8b51cp-11, 0x1.c47deed6cceb6p-11, 0x1.b7e3c8f015cb3p-11, 0x1.ab9e4b46434bep-11, 0x1.9fab6962b51dp-11, 0x1.94092230dd4b1p-11, 0x1.88b57fc7c7c0cp-11, 0x1.7dae97343e818p-11, 0x1.72f28843c88b2p-11, 0x1.687f7d50a02f7p-11, 0x1.5e53ab0e12244p-11, 0x1.546d50563a0d9p-11, 0x1.4acab5f7bc8ddp-11, 0x1.416a2e850806p-11, 0x1.384a1623e6a02p-11, 0x1.2f68d25dfc569p-11, 0x1.26c4d1f1c6e97p-11, 0x1.1e5c8ca4fb4e9p-11, 0x1.162e83168694ep-11, 0x1.0e393e9291fe1p-11, 0x1.067b50e64cff9p-11, 0x1.fde6a8693fbfdp-12, 0x1.ef3fd5980452ap-12, 0x1.e0ff7df8a8874p-12, 0x1.d32305dc5d415p-12, 0x1.c5a7e0f41dd0ap-12, 0x1.b88b9201717a3p-12, 0x1.abcbaa8883475p-12, 0x1.9f65ca831be95p-12, 0x1.9357a014b671p-12, 0x1.879ee740cd605p-12, 0x1.7c3969a18328dp-12, 0x1.7124fe1fc2b6bp-12, 0x1.665f88acfab69p-12, 0x1.5be6f9fe0217dp-12, 0x1.51b94f46466bp-12, 0x1.47d491f5a8997p-12, 0x1.3e36d776599cep-12, 0x1.34de40ec4d708p-12, 0x1.2bc8faf62be9dp-12, 0x1.22f53d6ea2d8ep-12, 0x1.1a614b2f6d747p-12, 0x1.120b71d4fba7ep-12, 0x1.09f209841fbd6p-12, 0x1.021374af6183p-12, 0x1.f4dc3fbdc8a02p-13, 0x1.e60102efb466p-13, 0x1.d792330c5e0cap-13, 0x1.c98ce30dfb78ap-13, 0x1.bbee386644135p-13, 0x1.aeb36a97faedcp-13, 0x1.a1d9c2d11769bp-13, 0x1.955e9b86e1c98p-13, 0x1.893f601427adap-13, 0x1.7d798c59999c9p-13, 0x1.720aac5f019dbp-13, 0x1.66f05bf7e1ba1p-13, 0x1.5c284667cfd58p-13, 0x1.51b0260a7cfb6p-13, 0x1.4785c3fcb377ap-13, 0x1.3da6f7c5ed27ep-13, 0x1.3411a705e0e9fp-13, 0x1.2ac3c521a8749p-13, 0x1.21bb52f349c7p-13, 0x1.18f65e7b55d28p-13, 0x1.10730292d6677p-13, 0x1.082f66a06079ep-13, 0x1.0029be4d7eab9p-13, 0x1.f0c0927b04a53p-14, 0x1.e1a2a58dc13dcp-14, 0x1.d2f6635a211aap-14, 0x1.c4b88fb793dfdp-14, 0x1.b6e604484ae42p-14, 0x1.a97baff6bee4dp-14, 0x1.9c769674a255dp-14, 0x1.8fd3cfbbe241dp-14, 0x1.839087948423cp-14, 0x1.77a9fd1a5236p-14, 0x1.6c1d8248d6bfap-14, 0x1.60e87b848f172p-14, 0x1.56085f2c5e4b8p-14, 0x1.4b7ab52821887p-14, 0x1.413d167d9f2e4p-14, 0x1.374d2ce5b2ccfp-14, 0x1.2da8b263b260fp-14, 0x1.244d70dfbb8dfp-14, 0x1.1b3941c33be8ap-14, 0x1.126a0d96f80eap-14, 0x1.09ddcba3c4279p-14, 0x1.019281954b801p-14, 0x1.f30c863cf3cc4p-15, 0x1.e36e63402b40bp-15, 0x1.d446f7a254574p-15, 0x1.c592bad35e368p-15, 0x1.b74e3d9d31c46p-15, 0x1.a97629818c83p-15, 0x1.9c07401738376p-15, 0x1.8efe5a7132eb4p-15, 0x1.8258688340007p-15, 0x1.7612708d325cap-15, 0x1.6a298e88a8676p-15, 0x1.5e9af39a7b3abp-15, 0x1.5363e586b5fb6p-15, 0x1.4881be279e9fdp-15, 0x1.3df1eae967fc4p-15, 0x1.33b1ec46e56a2p-15, 0x1.29bf554bd5803p-15, 0x1.2017cb16c057ep-15, 0x1.16b904606f68ep-15, 0x1.0da0c9047db26p-15, 0x1.04ccf18e14255p-15, 0x1.f876cd8b18909p-16, 0x1.e7d4428613e6ep-16, 0x1.d7ae5203a0ccfp-16, 0x1.c80129ed98353p-16, 0x1.b8c915542317cp-16, 0x1.aa027ba4215b7p-16, 0x1.9ba9dfe1da2e7p-16, 0x1.8dbbdfea3e326p-16, 0x1.803533b76599p-16, 0x1.7312acaa09adp-16, 0x1.665134d78daf1p-16, 0x1.59edce5b4d031p-16, 0x1.4de592ae07e4dp-16, 0x1.4235b201827ddp-16, 0x1.36db729b9044p-16, 0x1.2bd4303b40b15p-16, 0x1.211d5b7da4f2p-16, 0x1.16b4794883d2bp-16, 0x1.0c972238bf143p-16, 0x1.02c3021227856p-16, 0x1.f26bae6af205fp-17, 0x1.dfdae433643a7p-17, 0x1.cdcf698d6a165p-17, 0x1.bc4524a967841p-17, 0x1.ab381cdcab21bp-17, 0x1.9aa479ae2b331p-17, 0x1.8a8681e58027dp-17, 0x1.7ada9aa3f43b6p-17, 0x1.6b9d4680e83f3p-17, 0x1.5ccb24aec5806p-17, 0x1.4e60f02256548p-17, 0x1.405b7ec3845cfp-17, 0x1.32b7c09e6025ap-17, 0x1.2572bf1dd7f9ep-17, 0x1.18899c48d6d12p-17, 0x1.0bf992087b206p-17, 0x1.ff7fe2d84e4c2p-18, 0x1.e7b443f335a7fp-18, 0x1.d08b41ff1a51dp-18, 0x1.ba0001d76d537p-18, 0x1.a40dd1489101ep-18, 0x1.8eb025d4edcdbp-18, 0x1.79e29b76a4f01p-18, 0x1.65a0f37367ee3p-18, 0x1.51e713329329cp-18, 0x1.3eb1031dcdab8p-18, 0x1.2bfaed8b9f7aap-18, 0x1.19c11daaf496ep-18, 0x1.07fffe7ef0fc7p-18, 0x1.ed6833b4c8c3bp-19, 0x1.cbb42ed2e92afp-19, 0x1.aadd7772a8b3ep-19, 0x1.8addce9be25cbp-19, 0x1.6baf2b7cc3362p-19, 0x1.4d4bb99f94b25p-19, 0x1.2fadd73ec8da5p-19, 0x1.12d013a1dad1cp-19, 0x1.ed5a5af8f587dp-20, 0x1.b68022c83b21bp-20, 0x1.8107b09e9db78p-20, 0x1.4ce78c3d36cc8p-20, 0x1.1a169047c56b2p-20, 0x1.d117cf3a42b72p-21, 0x1.707e15243727cp-21, 0x1.124f78b60079fp-21, 0x1.6cf822205d1c1p-22, 0x1.73d204682128p-23, 0x1.6a7cab651df3cp-27, -0x1.3dc7b7bfb31d5p-23, -0x1.44d9ed2ed3faap-22, -0x1.e6a907469bf22p-22, -0x1.42357c19b3496p-21, -0x1.8f1c55dc390dap-21, -0x1.da15198554397p-21, -0x1.1195b32fb4c6bp-20, -0x1.35353b0c81081p-20, -0x1.57ee902d6c3f2p-20, -0x1.79c6ef257c61ap-20, -0x1.9ac36702226abp-20, -0x1.bae8dae1a1fddp-20, -0x1.da3c039388aap-20, -0x1.f8c1712b2a827p-20, -0x1.0b3ec639f226ep-19, -0x1.19ba4c35bffe8p-19, -0x1.27d559d1b2b1ap-19, -0x1.3591eccefa513p-19, -0x1.42f1f212c2562p-19, -0x1.4ff74645df09ap-19, -0x1.5ca3b66f7d7dcp-19, -0x1.68f90092d110cp-19, -0x1.74f8d43ee5f8ep-19, -0x1.80a4d31ba0ef6p-19, -0x1.8bfe9178bd05ep-19, -0x1.970796cb539bbp-19, -0x1.a1c15e3699f1cp-19, -0x1.ac2d5701f9a6fp-19, -0x1.b64ce515c23b9p-19, -0x1.c0216169bcbfbp-19, -0x1.c9ac1a77cb685p-19, -0x1.d2ee54aa997cfp-19, -0x1.dbe94abfb03e2p-19, -0x1.e49e2e2ef474ep-19, -0x1.ed0e278d166dfp-19, -0x1.f53a56ea124ddp-19, -0x1.fd23d425a1ebcp-19, -0x1.0265d7a5813cfp-18, -0x1.06197872300b2p-18, -0x1.09ad4d25dd925p-18, -0x1.0d21d2fb82573p-18, -0x1.107783e25df15p-18, -0x1.13aed6a186393p-18, -0x1.16c83efb22ep-18, -0x1.19c42dcc4f8b7p-18, -0x1.1ca3112f0fb59p-18, -0x1.1f655499001f8p-18, -0x1.220b60f7adddcp-18, -0x1.24959ccf4cb0fp-18, -0x1.27046c54d5ae2p-18, -0x1.29583187d04c3p-18, -0x1.2b914c4dc3b74p-18, -0x1.2db01a87de5ap-18, -0x1.2fb4f82c1a565p-18, -0x1.31a03f5b8fb06p-18, -0x1.33724876a4909p-18, -0x1.352b6a3277b21p-18, -0x1.36cbf9ad12a9p-18, -0x1.38544a7f3dba1p-18, -0x1.39c4aece7fca6p-18, -0x1.3b1d77600203ep-18, -0x1.3c5ef3a7666bep-18, -0x1.3d8971d714e2dp-18, -0x1.3e9d3eefb72c7p-18, -0x1.3f9aa6ce7c875p-18, -0x1.4081f439bd0f7p-18, -0x1.415370f0675d1p-18, -0x1.420f65b3b2c26p-18, -0x1.42b61a54e65eap-18, -0x1.4347d5c0d2c2ep-18, -0x1.43c4de09be68ap-18, -0x1.442d7871e5bb1p-18, -0x1.4481e97576408p-18, -0x1.44c274d3c60eap-18, -0x1.44ef5d980410cp-18, -0x1.4508e6215a34bp-18, -0x1.450f502b8000fp-18, -0x1.4502dcd601b3cp-18, -0x1.44e3ccaaaa4f5p-18, -0x1.44b25fa45bc0fp-18, -0x1.446ed5366b545p-18, -0x1.44196c50e2ec9p-18, -0x1.43b263679fc8dp-18, -0x1.4339f87711fc2p-18, -0x1.42b06908ee0f5p-18, -0x1.4215f238418cep-18, -0x1.416ad0b7eb76fp-18, -0x1.40af40d45fef4p-18, -0x1.3fe37e77f8237p-18, -0x1.3f07c52f73cc5p-18, -0x1.3e1c502c7067ap-18, -0x1.3d215a485123fp-18, -0x1.3c171e07bc649p-18, -0x1.3afdd59cac5e8p-18, -0x1.39d5bae8950a7p-18, -0x1.389f077fb41dbp-18, -0x1.3759f4a99d688p-18, -0x1.3606bb6416a76p-18, -0x1.34a59463edf46p-18, -0x1.3336b8176efc3p-18, -0x1.31ba5ea6c46a3p-18, -0x1.3030bff5e5a55p-18, -0x1.2e9a13a4cc6cap-18, -0x1.2cf6911148a3ap-18, -0x1.2b466f56fee11p-18, -0x1.2989e55006ac4p-18, -0x1.27c1299636d14p-18, -0x1.25ec72831c71bp-18, -0x1.240bf630215a2p-18, -0x1.221fea76c9fa9p-18, -0x1.202884f160521p-18, -0x1.1e25fafa2c3p-18, -0x1.1c1881ac09a98p-18, -0x1.1a004de23afafp-18, -0x1.17dd9437e640ap-18, -0x1.15b0890805e62p-18, -0x1.1379606d5fb6dp-18, -0x1.11384e41e452ap-18, -0x1.0eed861e0647p-18, -0x1.0c993b58662eap-18, -0x1.0a3ba105b064fp-18, -0x1.07d4e9f7ce5ccp-18, -0x1.056548bd2c6e2p-18, -0x1.02ecefa001f1fp-18, -0x1.006c10a6016b1p-18, -0x1.fbc5bb1f35bd5p-19, -0x1.f6a30fad7bd1ap-19, -0x1.f170815e0307p-19, -0x1.ec2e72085fd69p-19, -0x1.e6dd42f2e4f8dp-19, -0x1.e17d54d24b323p-19, -0x1.dc0f07c734564p-19, -0x1.d692bb5c5aa6fp-19, -0x1.d108ce852763dp-19, -0x1.cb719f9cc2678p-19, -0x1.c5cd8c635936fp-19, -0x1.c01cf1fc774e9p-19, -0x1.ba602cedc8811p-19, -0x1.b497991d8604dp-19, -0x1.aec391d0523dcp-19, -0x1.a8e471a7d50f8p-19, -0x1.a2fa92a14d3cep-19, -0x1.9d064e1430c39p-19, -0x1.9707fcaf9e002p-19, -0x1.90fff678c794ap-19, -0x1.8aee92ca0af12p-19, -0x1.84d42850c1bcep-19, -0x1.7eb10d0c76ebcp-19, -0x1.7885964d33845p-19, -0x1.725218b169f96p-19, -0x1.6c16e824d83d4p-19, -0x1.65d457dee25d4p-19, -0x1.5f8aba61e906fp-19, -0x1.593a61791ef9fp-19, -0x1.52e39e375af75p-19, -0x1.4c86c0f661981p-19, -0x1.46241955c19ccp-19, -0x1.3fbbf638ddd49p-19, -0x1.394ea5c5edbe3p-19, -0x1.32dc7564be2b9p-19, -0x1.2c65b1be134fp-19, -0x1.25eaa6bab0d9ep-19, -0x1.1f6b9f821e16cp-19, -0x1.18e8e67943f65p-19, -0x1.1262c54200affp-19, -0x1.0bd984ba5dfe9p-19, -0x1.054d6cfbb57f3p-19, -0x1.fd7d8ab2f07f1p-20, -0x1.f05ba8c21f3acp-20, -0x1.e335bfb2090cep-20, -0x1.d60c5980d8f29p-20, -0x1.c8dffe9cfdbfdp-20, -0x1.bbb135e271c28p-20, -0x1.ae80849b49b88p-20, -0x1.a14e6e7d78f6ap-20, -0x1.941b75ab9fc79p-20, -0x1.86e81ab432acbp-20, -0x1.79b4dc8ff4adap-20, -0x1.6c8238a0fd295p-20, -0x1.5f50aab36dff8p-20, -0x1.5220acfcfdf77p-20, -0x1.44f2b81b1ee61p-20, -0x1.37c743149b947p-20, -0x1.2a9ec359fd346p-20, -0x1.1d79acc48a46bp-20, -0x1.10587196d0f4fp-20, -0x1.033b827b5174ep-20, -0x1.ec469d0cb2ff9p-21, -0x1.d2208669abd1cp-21, -0x1.b80598dc7c712p-21, -0x1.9df6a90b62e3cp-21, -0x1.83f48871b6859p-21, -0x1.6a000560ac7d5p-21, -0x1.5019eb034fp-21, -0x1.3643015fdf435p-21, -0x1.1c7c0d58e0bccp-21, -0x1.02c5d0adc2d77p-21, -0x1.d24213fa91b0cp-22, -0x1.9f1ce998d70ffp-22, -0x1.6c1d930a3ce65p-22, -0x1.39457aefc0e2dp-22, -0x1.069605beed72fp-22, -0x1.a821238820268p-23, -0x1.436cee526e35bp-23, -0x1.be24200af18e1p-24, -0x1.ec4c8277e0ccbp-25, -0x1.772abfed71edap-27, 0x1.2f33381836203p-25, 0x1.5d51b3464b1eap-24, 0x1.111f0ef83a36ap-23, 0x1.732d1209c1798p-23, 0x1.d4d092b12c5bep-23, 0x1.1b03a6450ef86p-22, 0x1.4b67837241fbp-22, 0x1.7b92ca5894552p-22, 0x1.ab846a39966dep-22, 0x1.db3b581513471p-22, 0x1.055b47531b75cp-21, 0x1.1cfa872ccc15ep-21, 0x1.347aeea09c631p-21, 0x1.4bdc038314409p-21, 0x1.631d4e72cba77p-21, 0x1.7a3e5ad39c05fp-21, 0x1.913eb6c8987c4p-21, 0x1.a81df330df702p-21, 0x1.bedba3a009694p-21, 0x1.d5775e5c449c4p-21, 0x1.ebf0bc54505bbp-21, 0x1.0123ac8f2d29cp-20, 0x1.0c3d6978951f8p-20, 0x1.1745654faa1a2p-20, 0x1.223b71c719c89p-20, 0x1.2d1f61db30fbdp-20, 0x1.37f109cdad64ap-20, 0x1.42b03f238ccbfp-20, 0x1.4d5cd8a1bdadp-20, 0x1.57f6ae48e128p-20, 0x1.627d99548f151p-20, 0x1.6cf174380d896p-20, 0x1.77521a9ae0024p-20, 0x1.819f6955fa47p-20, 0x1.8bd93e70f0fccp-20, 0x1.95ff791f259dap-20, 0x1.a011f9bcf396bp-20, 0x1.aa10a1cc7db56p-20, 0x1.b3fb53f26236ep-20, 0x1.bdd1f3f1eb694p-20, 0x1.c79466ac1a18bp-20, 0x1.d142921bb5e86p-20, 0x1.dadc5d523d56p-20, 0x1.e461b0750becfp-20, 0x1.edd274ba10a47p-20, 0x1.f72e94655e249p-20, 0x1.003afd62427abp-19, 0x1.04d44a16616f7p-19, 0x1.096326fc37b7bp-19, 0x1.0de78b4165e2ap-19, 0x1.12616e92eee1cp-19, 0x1.16d0c91b76656p-19, 0x1.1b359381b441ep-19, 0x1.1f8fc6e6eab66p-19, 0x1.23df5ce599cefp-19, 0x1.28244f8f348dfp-19, 0x1.2c5e996b3d38ap-19, 0x1.308e3575dd0d3p-19, 0x1.34b31f1e94c2fp-19, 0x1.38cd5245f6506p-19, 0x1.3cdccb3c9e0dap-19, 0x1.40e186c1a210ap-19, 0x1.44db8200a0b07p-19, 0x1.48caba908dd85p-19, 0x1.4caf2e728214ep-19, 0x1.5088dc102d65cp-19, 0x1.5457c239a77f1p-19, 0x1.581be024a8e8bp-19, 0x1.5bd5356ab2dfp-19, 0x1.5f83c207e2696p-19, 0x1.632786594813cp-19, 0x1.66c0831b4bc32p-19, 0x1.6a4eb96837bd5p-19, 0x1.6dd22ab6c84d4p-19, 0x1.714ad8d8e85dep-19, 0x1.74b8c5fa61fa3p-19, 0x1.781bf49f4a33cp-19, 0x1.7b7467a26a27ep-19, 0x1.7ec2223417d92p-19, 0x1.820527d8054a7p-19, 0x1.853d7c64e4432p-19, 0x1.886b2402886bcp-19, 0x1.8b8e2328b5c87p-19, 0x1.8ea67e9d41ae9p-19, 0x1.91b43b732a749p-19, 0x1.94b75f090d256p-19, 0x1.97afef07e0f45p-19, 0x1.9a9df161ad80bp-19, 0x1.9d816c4fc36e6p-19, 0x1.a05a6651ee9ap-19, 0x1.a328e62c9dfap-19, 0x1.a5ecf2e85aff2p-19, 0x1.a8a693cfdb8e2p-19, 0x1.ab55d06ed1a06p-19, 0x1.adfab090b1abap-19, 0x1.b0953c3faa9d6p-19, 0x1.b3257bc308881p-19, 0x1.b5ab779e1b534p-19, 0x1.b827388eea1d2p-19, 0x1.ba98c78cec608p-19, 0x1.bd002dc7e2ce7p-19, 0x1.bf5d74a6f1e04p-19, 0x1.c1b0a5c6f4f46p-19, 0x1.c3f9caf973fafp-19, 0x1.c638ee43715c7p-19, 0x1.c86e19dc3d0fbp-19, }}, 
      {{0x1.831d226fd4e1p-14, 0x1.7833aaf6a264bp-12, 0x1.94b61edfa0d96p-11, 0x1.536b30dc66f6fp-10, 0x1.eef26afc308b5p-10, 0x1.49b607dcb22f4p-9, 0x1.9c79021518111p-9, 0x1.ecd0674aca0cp-9, 0x1.1c692a17e2eadp-8, 0x1.3fc3885198c1p-8, 0x1.606203cbeaa74p-8, 0x1.7e80581b6c945p-8, 0x1.9a95ad74f04dbp-8, 0x1.b540a5d6ac354p-8, 0x1.cf35ec7acb444p-8, 0x1.e9319d667ea96p-8, 0x1.01f5c6439f044p-7, 0x1.100723ab00688p-7, 0x1.1f1849b321503p-7, 0x1.2f688fb7b79a3p-7, 0x1.412a0b6439876p-7, 0x1.5481234227596p-7, 0x1.6984c2ff1134fp-7, 0x1.803f0cd9a9302p-7, 0x1.98ae670aa40dfp-7, 0x1.b2c6c7ec21f4cp-7, 0x1.ce7327d4a5772p-7, 0x1.eb9703d4a24dp-7, 0x1.0507f04b90f52p-6, 0x1.14db60363e8a2p-6, 0x1.2530c174309a4p-6, 0x1.35f213b7712e1p-6, 0x1.4708f74491926p-6, 0x1.585f2bf230d1ep-6, 0x1.69defe3e9daefp-6, 0x1.7b73a2db10cf3p-6, 0x1.8d098180bb828p-6, 0x1.9e8e70340f14ep-6, 0x1.aff1e04d330c6p-6, 0x1.c124feb7c4e92p-6, 0x1.d21ac8e3c2062p-6, 0x1.e2c817dc1a65dp-6, 0x1.f323a2e7b5a3cp-6, 0x1.0192fd8189419p-5, 0x1.0964c033090cap-5, 0x1.110529966b1bfp-5, 0x1.1873200e75d04p-5, 0x1.1fae5531a9b23p-5, 0x1.26b7398606ee7p-5, 0x1.2d8eef6d2b1adp-5, 0x1.34373d884e447p-5, 0x1.3ab280d10c82fp-5, 0x1.41039e9a32776p-5, 0x1.472df6a34d836p-5, 0x1.4d3555622ddebp-5, 0x1.531de69f10e83p-5, 0x1.58ec287a7be4cp-5, 0x1.5ea4deeeec914p-5, 0x1.644d07dc5263ap-5, 0x1.69e9cfa7b51fdp-5, 0x1.6f808676723e7p-5, 0x1.75169609d286dp-5, 0x1.7ab1783d9ab23p-5, 0x1.8056ae2a724a8p-5, 0x1.860bb7eb60aa9p-5, 0x1.8bd60d0477684p-5, 0x1.91bb15679fe2fp-5, 0x1.97c02313bcfefp-5, 0x1.9dea6c4981cf9p-5, 0x1.a43f0650f2f9p-5, 0x1.aac2e0ca0664ep-5, 0x1.b17ac1827a796p-5, 0x1.b86b40cace81cp-5, 0x1.bf98c64410217p-5, 0x1.c70786201b29p-5, 0x1.cebb7ecde2176p-5, 0x1.d6b8770b46cd8p-5, 0x1.df01fc562d19cp-5, 0x1.e79b61b678256p-5, 0x1.f087bedac1b4dp-5, 0x1.f9c9ef81bfd3p-5, 0x1.01b2499540148p-4, 0x1.06ad0682dfca1p-4, 0x1.0bd6421173b35p-4, 0x1.112ef1e9af2afp-4, 0x1.16b7ee1f965d6p-4, 0x1.1c71f1930904bp-4, 0x1.225d9a643ae06p-4, 0x1.287b6a79f01c1p-4, 0x1.2ecbc81769a7bp-4, 0x1.354efe801275ep-4, 0x1.3c053ea719ad9p-4, 0x1.42ee9fe94638ap-4, 0x1.4a0b20cf6b05cp-4, 0x1.515aa7d8040b6p-4, 0x1.58dd044694cfcp-4, 0x1.6091eef78f7fep-4, 0x1.68790b3790b7ap-4, 0x1.7091e79ce2d29p-4, 0x1.78dbfee251997p-4, 0x1.8156b8c2677cdp-4, 0x1.8a016ad24a692p-4, 0x1.92db595b7de49p-4, 0x1.9be3b833ebf7ap-4, 0x1.a519ab939798cp-4, 0x1.ae7c48e78534p-4, 0x1.b80a97a15a77dp-4, 0x1.c1c3920361d69p-4, 0x1.cba625e88ad2cp-4, 0x1.d5b1358837697p-4, 0x1.dfe3983585ae7p-4, 0x1.ea3c1b19f26a3p-4, 0x1.f4b981eb2c444p-4, 0x1.ff5a879bef033p-4, 0x1.050eef83f3713p-3, 0x1.0a8119cd3d485p-3, 0x1.100314f83ecd2p-3, 0x1.1594303a64bdbp-3, 0x1.1b33b7fbe4d69p-3, 0x1.20e0f620f4896p-3, 0x1.269b32508ac86p-3, 0x1.2c61b238a2583p-3, 0x1.3233b9d016293p-3, 0x1.38108b9614357p-3, 0x1.3df768cf41451p-3, 0x1.43e791c08e7b6p-3, 0x1.49e045e7da2d9p-3, 0x1.4fe0c4325ce65p-3, 0x1.55e84b30ff9acp-3, 0x1.5bf6194a9f789p-3, 0x1.62096cec5468dp-3, 0x1.682184b7c697dp-3, 0x1.6e3d9fafa115ap-3, 0x1.745cfd62386cfp-3, 0x1.7a7ede1268b5dp-3, 0x1.80a282dec4a63p-3, 0x1.86c72de71762bp-3, 0x1.8cec227058b9cp-3, 0x1.9310a5070e82dp-3, 0x1.9933fba034a27p-3, 0x1.9f556db8b724ep-3, 0x1.a574447382d24p-3, 0x1.ab8fcab644dfdp-3, 0x1.b1a74d44d7194p-3, 0x1.b7ba1adb6f616p-3, 0x1.bdc7844797d11p-3, 0x1.c3cedc7ff59cap-3, 0x1.c9cf78baf3dc4p-3, 0x1.cfc8b084496b6p-3, 0x1.d5b9ddd179899p-3, 0x1.dba25d15412a5p-3, 0x1.e1818d5206f08p-3, 0x1.e756d02b523cap-3, 0x1.ed2189f64cd14p-3, 0x1.f2e121c957dap-3, 0x1.f895018ac0a65p-3, 0x1.fe3c95fe8d2cp-3, 0x1.01eba769bc79bp-2, 0x1.04b24f578a2d7p-2, 0x1.0771fd9c8e16bp-2, 0x1.0a2a6e9302238p-2, 0x1.0cdb60205cd5fp-2, 0x1.0f8491b9d826cp-2, 0x1.1225c46892cfdp-2, 0x1.14bebacd5b62cp-2, 0x1.174f39241f03ap-2, 0x1.19d70547017fap-2, 0x1.1c55e6b11fa0bp-2, 0x1.1ecba680fb4d3p-2, 0x1.21380f7a995eep-2, 0x1.239aee094be9dp-2, 0x1.25f410412e39bp-2, 0x1.284345e0552acp-2, 0x1.2a88604fb4bd1p-2, 0x1.2cc332a3b67eep-2, 0x1.2ef3919c9111bp-2, 0x1.311953a64ec34p-2, 0x1.333450d898c6ap-2, 0x1.354462f636c82p-2, 0x1.3749656c53212p-2, 0x1.39433551791e8p-2, 0x1.3b31b16459a9bp-2, 0x1.3d14ba0a4d885p-2, 0x1.3eec314d9fc15p-2, 0x1.40b7fadb9adffp-2, 0x1.4277fc025fad5p-2, 0x1.442c1bae82bdfp-2, 0x1.45d4426873e5bp-2, 0x1.47705a51b3898p-2, 0x1.49004f21d39a5p-2, 0x1.4a840e2346dd4p-2, 0x1.4bfb863001253p-2, 0x1.4d66a7ade8ed6p-2, 0x1.4ec5648b1ba74p-2, 0x1.5017b03a08406p-2, 0x1.515d7fad5e1e3p-2, 0x1.5296c953d4f49p-2, 0x1.53c38513cc978p-2, 0x1.54e3ac46c8bbdp-2, 0x1.55f739b4c837p-2, 0x1.56fe298f7981p-2, 0x1.57f8796d50dc4p-2, 0x1.58e62844798d2p-2, 0x1.59c73665b1137p-2, 0x1.5a9ba576fde3p-2, 0x1.5b63786e51e11p-2, 0x1.5c1eb38c0d376p-2, 0x1.5ccd5c556eae4p-2, 0x1.5d6f798eea142p-2, 0x1.5e0513366917fp-2, 0x1.5e8e327d7a1b7p-2, 0x1.5f0ae1c36c1c1p-2, 0x1.5f7b2c8f5660cp-2, 0x1.5fdf1f8a16eb8p-2, 0x1.6036c8783a0bdp-2, 0x1.60823633dd8bap-2, 0x1.60c178a67f306p-2, 0x1.60f4a0c2c9093p-2, 0x1.611bc07e4de7cp-2, 0x1.6136eacb41735p-2, 0x1.61463392276fdp-2, 0x1.6149afab7f805p-2, 0x1.614174d9688e9p-2, 0x1.612d99c14664cp-2, 0x1.610e35e55f5d9p-2, 0x1.60e3619e7cb7p-2, 0x1.60ad36158a047p-2, 0x1.606bcd3d33bf7p-2, 0x1.601f41cb8aaedp-2, 0x1.5fc7af33a7befp-2, 0x1.5f65319f57531p-2, 0x1.5ef7e5e8c497ap-2, 0x1.5e7fe9942e80ep-2, 0x1.5dfd5ac9a443ep-2, 0x1.5d70584ec4027p-2, 0x1.5cd9018088db5p-2, 0x1.5c37764d1dd17p-2, 0x1.5b8bd72dbc225p-2, 0x1.5ad64520942a2p-2, 0x1.5a16e1a2c2993p-2, 0x1.594dceaa51f93p-2, 0x1.587b2ea047317p-2, 0x1.579f245ac013ap-2, 0x1.56b9d3171a431p-2, 0x1.55cb5e74308adp-2, 0x1.54d3ea6c9ecc3p-2, 0x1.53d39b511f6f7p-2, 0x1.52ca95c2f0bf6p-2, 0x1.51b8feae52e5dp-2, 0x1.509efb4511c8p-2, 0x1.4f7cb0f9246fep-2, 0x1.4e5245775eee4p-2, 0x1.4d1fdea234122p-2, 0x1.4be5a28c8d8e2p-2, 0x1.4aa3b774b7e8ap-2, 0x1.495a43bf60739p-2, 0x1.48096df2a7f0dp-2, 0x1.46b15cb14d663p-2, 0x1.455236b5e7e61p-2, 0x1.43ec22ce3abbp-2, 0x1.427f47d69cedbp-2, 0x1.410bccb575e71p-2, 0x1.3f91d856d323dp-2, 0x1.3e1191a80dbd9p-2, 0x1.3c8b1f938ddbep-2, 0x1.3afea8fc9dfa8p-2, 0x1.396c54bb57b2p-2, 0x1.37d44998a8b0ep-2, 0x1.3636ae4a6a2d1p-2, 0x1.3493a96f91d8p-2, 0x1.32eb618c7940dp-2, 0x1.313dfd073c152p-2, 0x1.2f8ba2242c5f2p-2, 0x1.2dd477025e83bp-2, 0x1.2c18a19849ec8p-2, 0x1.2a5847b08647ep-2, 0x1.28938ee6966b9p-2, 0x1.26ca9ca3d3522p-2, 0x1.24fd961c660c9p-2, 0x1.232ca04c5cf8bp-2, 0x1.2157dff4d7d5bp-2, 0x1.1f7f7999441f2p-2, 0x1.1da3917cb6dfp-2, 0x1.1bc44b9f58f8dp-2, 0x1.19e1cbbbe9e2cp-2, 0x1.17fc3545570a4p-2, 0x1.1613ab646c4aep-2, 0x1.142850f5958b8p-2, 0x1.123a4886b81b9p-2, 0x1.1049b455227ecp-2, 0x1.0e56b64b8c0dap-2, 0x1.0c6170002f69fp-2, 0x1.0a6a02b2f61adp-2, 0x1.08708f4bb7f27p-2, 0x1.067536588f91p-2, 0x1.0478180c43223p-2, 0x1.0279543cbf939p-2, 0x1.00790a61a876dp-2, 0x1.fceeb325ef72ap-3, 0x1.f8e8c10f6cd9ap-3, 0x1.f4e07b297d9aap-3, 0x1.f0d61d57377b6p-3, 0x1.ecc9e2b2e05edp-3, 0x1.e8bc058bead1bp-3, 0x1.e4acbf6517886p-3, 0x1.e09c48f2ae9d2p-3, 0x1.dc8ada18e68b4p-3, 0x1.d878a9ea64ac8p-3, 0x1.d465eea6e0e61p-3, 0x1.d052ddb9e81e5p-3, 0x1.cc3fabb9c0201p-3, 0x1.c82c8c6667a2ap-3, 0x1.c419b2a8b9824p-3, 0x1.c0075091a432bp-3, 0x1.bbf5975988c74p-3, 0x1.b7e4b75fb1bbp-3, 0x1.b3d4e029e0973p-3, 0x1.afc64064008b5p-3, 0x1.abb905dfed40bp-3, 0x1.a7ad5d9554f21p-3, 0x1.a3a373a1b2437p-3, 0x1.9f9b734864022p-3, 0x1.9b9586f2d59abp-3, 0x1.9791d830c81b1p-3, 0x1.93908fb8a7853p-3, 0x1.8f91d56800acbp-3, 0x1.8b95d04407cbdp-3, 0x1.879ca67a30af6p-3, 0x1.83a67d60e68d7p-3, 0x1.7fb379784a043p-3, 0x1.7bc3be6b0ec33p-3, 0x1.77d76f0f63c3p-3, 0x1.73eead67f17a4p-3, 0x1.70099aa4e8c8ep-3, 0x1.6c285725237b6p-3, 0x1.684b027754a2fp-3, 0x1.6471bb5b4b667p-3, 0x1.609c9fc34061dp-3, 0x1.5ccbccd537407p-3, 0x1.58ff5eec6bc6bp-3, 0x1.5537719acc0d3p-3, 0x1.51741faa85357p-3, 0x1.4db5831f93a23p-3, 0x1.49fbb539692e5p-3, 0x1.4646ce749b4d6p-3, 0x1.4296e68c97554p-3, 0x1.3eec147d6da5dp-3, 0x1.3b466e85986b3p-3, 0x1.37a60a27db00dp-3, 0x1.340afc2d1dcf8p-3, 0x1.307558a65ca53p-3, 0x1.2ce532ee95ecbp-3, 0x1.295a9dacc9bb8p-3, 0x1.25d5aad5faa1dp-3, 0x1.22566baf3664fp-3, 0x1.1edcf0cfa866ep-3, 0x1.1b694a22aeb16p-3, 0x1.17fb86e9f60a6p-3, 0x1.1493b5bfa1781p-3, 0x1.1131e49868f8bp-3, 0x1.0dd620c5cb94ap-3, 0x1.0a8076f83fae2p-3, 0x1.0730f3416351p-3, 0x1.03e7a11637102p-3, 0x1.00a48b5158e39p-3, 0x1.facf786a8353bp-4, 0x1.f4627add0a997p-4, 0x1.ee02302c2b138p-4, 0x1.e7aea967107e9p-4, 0x1.e167f67eb7efp-4, 0x1.db2e264a7e2cfp-4, 0x1.d501468cb6ddp-4, 0x1.cee163f733d39p-4, 0x1.c8ce8a2fe3468p-4, 0x1.c2c8c3d55c67ap-4, 0x1.bcd01a83784f7p-4, 0x1.b6e496d7d78dep-4, 0x1.b106407685a37p-4, 0x1.ab351e0e7403ep-4, 0x1.a571355e1a0a7p-4, 0x1.9fba8b37eab55p-4, 0x1.9a112386ebce4p-4, 0x1.9475015331478p-4, 0x1.8ee626c658c53p-4, 0x1.8964953009334p-4, 0x1.83f04d0a64fc5p-4, 0x1.7e894dfe7a7e1p-4, 0x1.792f96e8ac0c5p-4, 0x1.73e325dd14c8ep-4, 0x1.6ea3f82be8bbfp-4, 0x1.69720a65c381bp-4, 0x1.644d5860001dbp-4, 0x1.5f35dd38fb581p-4, 0x1.5a2b935c5728ep-4, 0x1.552e74872ea82p-4, 0x1.503e79cc4bed8p-4, 0x1.4b5b9b98495a7p-4, 0x1.4685d1b5b33eep-4, 0x1.41bd13511d2cdp-4, 0x1.3d0156fd2c915p-4, 0x1.385292b69eb9fp-4, 0x1.33b0bbe83c07ep-4, 0x1.2f1bc76ecac8dp-4, 0x1.2a93a99cf6192p-4, 0x1.2618563f243d1p-4, 0x1.21a9c09f47df9p-4, 0x1.1d47db88a6c31p-4, 0x1.18f2994b944f1p-4, 0x1.14a9ebc122f73p-4, 0x1.106dc44ec4bf8p-4, 0x1.0c3e13e9e949cp-4, 0x1.081acb1b8ad28p-4, 0x1.0403da03b1db4p-4, 0x1.fff260b9d6912p-5, 0x1.f7f57aff6e942p-5, 0x1.f010e0cbd3509p-5, 0x1.e8446f5bf52e8p-5, 0x1.e090033caa7f8p-5, 0x1.d8f3785124cfp-5, 0x1.d16ea9d9527e9p-5, 0x1.ca0172782eca7p-5, 0x1.c2abac39f16f8p-5, 0x1.bb6d309a2ed6ap-5, 0x1.b445d889d2992p-5, 0x1.ad357c7512fd1p-5, 0x1.a63bf44941f5cp-5, 0x1.9f59177a8c8cbp-5, 0x1.988cbd0994a51p-5, 0x1.91d6bb890469dp-5, 0x1.8b36e92302112p-5, 0x1.84ad1b9e87d49p-5, 0x1.7e392864a834ap-5, 0x1.77dae485be2eep-5, 0x1.719224be7c06ap-5, 0x1.6b5ebd7ce81c2p-5, 0x1.654082e548e0bp-5, 0x1.5f3748d6e6ebap-5, 0x1.5942e2f0d01dfp-5, 0x1.5363249669296p-5, 0x1.4d97e0f3ffcc2p-5, 0x1.47e0eb033549fp-5, 0x1.423e158f5b86cp-5, 0x1.3caf3339b655ap-5, 0x1.3734167da5e9p-5, 0x1.31cc91b4c3e41p-5, 0x1.2c78771ad9042p-5, 0x1.273798d1cb0c9p-5, 0x1.2209c8e577b2cp-5, 0x1.1ceed94f65ab6p-5, 0x1.17e69bfa728d3p-5, 0x1.12f0e2c66a891p-5, 0x1.0e0d7f8b7c3f2p-5, 0x1.093c441daa1cep-5, 0x1.047d025018e67p-5, 0x1.ff9f17f09ef18p-6, 0x1.f66765e2c9347p-6, 0x1.ed52923e214a7p-6, 0x1.e46040e169fe1p-6, 0x1.db9015c88ed11p-6, 0x1.d2e1b5125c5c5p-6, 0x1.ca54c3061363dp-6, 0x1.c1e8e418d0497p-6, 0x1.b99dbcf2cd34dp-6, 0x1.b172f274810b4p-6, 0x1.a96829bb99d0ap-6, 0x1.a17d0827da2e4p-6, 0x1.99b1335fbbddap-6, 0x1.920451550d26p-6, 0x1.8a7608494f059p-6, 0x1.8305fed20ae81p-6, 0x1.7bb3dbdcf17afp-6, 0x1.747f46b3dd5b6p-6, 0x1.6d67e700c3787p-6, 0x1.666d64d170cb4p-6, 0x1.5f8f689b1ff29p-6, 0x1.58cd9b3e276fcp-6, 0x1.5227a6092500cp-6, 0x1.4b9d32bc7715fp-6, 0x1.452deb8d503f5p-6, 0x1.3ed97b28b9b66p-6, 0x1.389f8cb695e76p-6, 0x1.327fcbdc60d5fp-6, 0x1.2c79e4bff6d5fp-6, 0x1.268d840a19d41p-6, 0x1.20ba56e8fda6ep-6, 0x1.1b000b12aa27fp-6, 0x1.155e4ec74bb4dp-6, 0x1.0fd4d0d349489p-6, 0x1.0a6340917d0ffp-6, 0x1.05094ded15bcp-6, 0x1.ff8d52c722531p-7, 0x1.f536080cfd7bp-7, 0x1.eb0c1efa71365p-7, 0x1.e10efc0cfe98ap-7, 0x1.d73e04f41b57fp-7, 0x1.cd98a093f8863p-7, 0x1.c41e37084679cp-7, 0x1.bace31a6e2323p-7, 0x1.b1a7fb020f548p-7, 0x1.a8aafeead98fep-7, 0x1.9fd6aa7304032p-7, 0x1.972a6bef368eep-7, 0x1.8ea5b2f87599fp-7, 0x1.8647f06e20f29p-7, 0x1.7e1096771b5a4p-7, 0x1.75ff188364121p-7, 0x1.6e12eb4d46d85p-7, 0x1.664b84da5aa55p-7, 0x1.5ea85c7c914a5p-7, 0x1.5728ead307bcbp-7, 0x1.4fcca9cab8d1fp-7, 0x1.4893149f19784p-7, 0x1.417ba7da907a9p-7, 0x1.3a85e156d7308p-7, 0x1.33b1403d4a6afp-7, 0x1.2cfd4506e6cb5p-7, 0x1.2669717c7c22p-7, 0x1.1ff548b69220cp-7, 0x1.19a04f1d26595p-7, 0x1.136a0a6794e09p-7, 0x1.0d52019c1b30dp-7, 0x1.0757bd0f80101p-7, 0x1.017ac664767f7p-7, 0x1.f775511611aa5p-8, 0x1.ec2ddf7fbccc5p-8, 0x1.e11e53170a419p-8, 0x1.d645c982e0486p-8, 0x1.cba362fe7f555p-8, 0x1.c136425706813p-8, 0x1.b6fd8ce988ec6p-8, 0x1.acf86aa09d277p-8, 0x1.a32605f2120adp-8, 0x1.99858bdc578fp-8, 0x1.90162be385b1p-8, 0x1.86d7180ee6814p-8, 0x1.7dc784e5c3e46p-8, 0x1.74e6a96c9ca0dp-8, 0x1.6c33bf21926bdp-8, 0x1.63ae01f9b9fcap-8, 0x1.5b54b05d22a4ap-8, 0x1.53270b23c7cf3p-8, 0x1.4b245591e3c0fp-8, 0x1.434bd5544d51bp-8, 0x1.3b9cd27c926p-8, 0x1.3416977d899ddp-8, 0x1.2cb8712704069p-8, 0x1.2581aea227385p-8, 0x1.1e71a16d3cc03p-8, 0x1.17879d577c0dfp-8, 0x1.10c2f87d3e84cp-8, 0x1.0a230b433c222p-8, 0x1.03a73052bac5cp-8, 0x1.fa9d8929e08f9p-9, 0x1.ee324e5d9ba93p-9, 0x1.e20b72f85d908p-9, 0x1.d627be17f2a7fp-9, 0x1.ca85fb35a2703p-9, 0x1.bf24fa1e580dep-9, 0x1.b4038ee88277p-9, 0x1.a92091eb682cbp-9, 0x1.9e7adfb54164ep-9, 0x1.9411590204a82p-9, 0x1.89e2e2b1e64ffp-9, 0x1.7fee65bfb75eap-9, 0x1.7632cf3763ddp-9, 0x1.6caf102c37ccdp-9, 0x1.63621daf33de4p-9, 0x1.5a4af0c564f63p-9, 0x1.5168865defb47p-9, 0x1.48b9df48ac18p-9, 0x1.403e002bf0484p-9, 0x1.37f3f17ae6faep-9, 0x1.2fdabf6be3093p-9, 0x1.27f179ee3ccd2p-9, 0x1.203734a0a5b69p-9, 0x1.18ab06c740346p-9, 0x1.114c0b41c1bfcp-9, 0x1.0a196081a9bb5p-9, 0x1.0312288043f82p-9, 0x1.f86b1169ac05dp-10, 0x1.eb055416085a2p-10, 0x1.ddf171b11263fp-10, 0x1.d12dc9a802495p-10, 0x1.c4b8c214fc5c5p-10, 0x1.b890c7acdac0ep-10, 0x1.acb44daa5148p-10, 0x1.a121cdbb91ee9p-10, 0x1.95d7c7eee5647p-10, 0x1.8ad4c29e63868p-10, 0x1.80174a5dd80a4p-10, 0x1.759df1e700f2ap-10, 0x1.6b675206b6152p-10, 0x1.617209897e40ap-10, 0x1.57bcbd2966661p-10, 0x1.4e46177a7f1abp-10, 0x1.450cc8d84b0b3p-10, 0x1.3c0f875391a3cp-10, 0x1.334d0e9ef9d7dp-10, 0x1.2ac41ffd37fdp-10, 0x1.2273822ec9eep-10, 0x1.1a5a015f3ab56p-10, 0x1.12766f133f847p-10, 0x1.0ac7a2175083ep-10, 0x1.034c766c5a59ep-10, 0x1.f8079a6f18c09p-11, 0x1.e9d9195f37f1ap-11, 0x1.dc0b4017389abp-11, 0x1.ce9beee390351p-11, 0x1.c1890fcc0088cp-11, 0x1.b4d09670b1a83p-11, 0x1.a8707fe973d71p-11, 0x1.9c66d2a327a96p-11, 0x1.90b19e3e51d97p-11, 0x1.854efb6ddb06ep-11, 0x1.7a3d0bd65537dp-11, 0x1.6f79f9ed4687p-11, 0x1.6503f8d7f21fp-11, 0x1.5ad9444d23182p-11, 0x1.50f82072725dcp-11, 0x1.475ed9bf69d97p-11, 0x1.3e0bc4dcff8bbp-11, 0x1.34fd3e8607707p-11, 0x1.2c31ab6a601fep-11, 0x1.23a7780e54749p-11, 0x1.1b5d18ae223ecp-11, 0x1.1351091eeddcfp-11, 0x1.0b81ccb26c497p-11, 0x1.03edee1897adbp-11, 0x1.f927fe870a3dfp-12, 0x1.eae532948ddfbp-12, 0x1.dd10b8997a0a3p-12, 0x1.cfa7deaea40e1p-12, 0x1.c2a8008f05923p-12, 0x1.b60e8760cefc4p-12, 0x1.a9d8e97dd0117p-12, 0x1.9e04aa410c31ap-12, 0x1.928f59cd1e67bp-12, 0x1.877694daa9deap-12, 0x1.7cb8048383525p-12, 0x1.72515e0f8dfeep-12, 0x1.684062c168d3ap-12, 0x1.5e82dfa57de2fp-12, 0x1.5516ad5e90f4cp-12, 0x1.4bf9aff643693p-12, 0x1.4329d6ac7037dp-12, 0x1.3aa51bc63aebep-12, 0x1.3269846074f62p-12, 0x1.2a75203eafcffp-12, 0x1.22c609a02ad1fp-12, 0x1.1b5a650fed405p-12, 0x1.14306138251c5p-12, 0x1.0d4636b6206f3p-12, 0x1.069a27ee79051p-12, 0x1.002a80e27f038p-12, 0x1.f3eb2e0796246p-13, 0x1.e7f39217b5fb5p-13, 0x1.dc6afda232725p-13, 0x1.d14e523c9ba4dp-13, 0x1.c69a8315b24f4p-13, 0x1.bc4c94a2ce825p-13, 0x1.b2619c522df0ap-13, 0x1.a8d6c03fddaabp-13, 0x1.9fa936e2e8fap-13, 0x1.96d646c75c41fp-13, 0x1.8e5b46411c363p-13, 0x1.86359b22a877cp-13, 0x1.7e62ba73b3dcep-13, 0x1.76e0282c8f9bcp-13, 0x1.6fab76ebc029ep-13, 0x1.68c247b33dad8p-13, 0x1.622249a251f09p-13, 0x1.5bc939b3d9869p-13, 0x1.55b4e2795798bp-13, 0x1.4fe31bdc13547p-13, 0x1.4a51cad9eefabp-13, 0x1.44fee14867311p-13, 0x1.3fe85d9347724p-13, 0x1.3b0c4a8051cf1p-13, 0x1.3668bef32a3c7p-13, 0x1.31fbddae6be76p-13, 0x1.2dc3d51cd0c8ap-13, 0x1.29bedf1401394p-13, 0x1.25eb409c237fap-13, 0x1.224749b9323ap-13, 0x1.1ed1552ff4fdap-13, 0x1.1b87c853ddfaep-13, 0x1.186912ccdf49cp-13, 0x1.1573ae66c4a8dp-13, 0x1.12a61ed9eefabp-13, 0x1.0ffef19a002e9p-13, 0x1.0d7cbda260d0ep-13, 0x1.0b1e234561f25p-13, 0x1.08e1cbfb97cd1p-13, 0x1.06c66a32c2061p-13, 0x1.04cab91f911dfp-13, 0x1.02ed7c9010b6fp-13, 0x1.012d80bb9e0d2p-13, 0x1.ff133431a14d2p-14, 0x1.fc014a5d684fap-14, 0x1.f9230cd6fe8edp-14, 0x1.f67653f13537p-14, 0x1.f3f907233636dp-14, 0x1.f1a91cb2599dbp-14, 0x1.ef849968e66bdp-14, 0x1.ed89903c242bap-14, 0x1.ebb62206b617fp-14, 0x1.ea087d3624094p-14, 0x1.e87edd831afa8p-14, 0x1.e7178ba2e8921p-14, 0x1.e5d0dd0372cf6p-14, 0x1.e4a9337f962b2p-14, 0x1.e39efd1b4fb5cp-14, 0x1.e2b0b3bb6f4c2p-14, 0x1.e1dcdce50afbfp-14, 0x1.e12209799ab9p-14, 0x1.e07ed57342e8fp-14, 0x1.dff1e7a7f254bp-14, 0x1.df79f188d58c8p-14, 0x1.df15aee2b0e25p-14, 0x1.dec3e5a44b3aep-14, 0x1.de83659e9ccbdp-14, 0x1.de53084edd44fp-14, 0x1.de31b09e891f9p-14, 0x1.de1e4ab2caad2p-14, 0x1.de17cbae80cf7p-14, 0x1.de1d317f33538p-14, 0x1.de2d82a6725dep-14, 0x1.de47ce0631a6p-14, 0x1.de6b2aac7c296p-14, 0x1.de96b7a1d637ep-14, 0x1.dec99bb72fcefp-14, 0x1.df0305563d409p-14, 0x1.df422a5157267p-14, 0x1.df8647b57fc71p-14, 0x1.dfcea19b9b1c4p-14, 0x1.e01a82fc19c14p-14, 0x1.e0693d838a764p-14, 0x1.e0ba29671f072p-14, 0x1.e10ca53a5e0a7p-14, 0x1.e16015c593931p-14, 0x1.e1b3e5ddc5321p-14, 0x1.e207863e8c5bap-14, 0x1.e25a6d5ea0b5ap-14, 0x1.e2ac174e57702p-14, 0x1.e2fc059021fcbp-14, 0x1.e349bef3f4c49p-14, 0x1.e394cf73796ecp-14, 0x1.e3dcc81020552p-14, 0x1.e4213eaf68688p-14, 0x1.e461cdf9ba68bp-14, 0x1.e49e15397bf44p-14, 0x1.e4d5b83ac6877p-14, 0x1.e5085f2afc4p-14, 0x1.e535b67bb9b86p-14, 0x1.e55d6ec21620cp-14, 0x1.e57f3c9b9f85p-14, 0x1.e59ad88f83169p-14, 0x1.e5affef320f66p-14, 0x1.e5be6fcd5f571p-14, 0x1.e5c5eebca4c34p-14, 0x1.e5c642db59e3cp-14, 0x1.e5bf36a667479p-14, 0x1.e5b097e3aa29ep-14, 0x1.e59a3788980e3p-14, 0x1.e57be9a3e8fb7p-14, 0x1.e55585433415ap-14, 0x1.e526e45d4c303p-14, 0x1.e4efe3bad837ap-14, 0x1.e4b062e0f4381p-14, 0x1.e46843fad0c96p-14, 0x1.e4176bc404d2ap-14, 0x1.e3bdc17570d4p-14, 0x1.e35b2eaf9444fp-14, 0x1.e2ef9f677d7a5p-14, 0x1.e27b01d2e32d6p-14, 0x1.e1fd465620cc9p-14, 0x1.e1765f70fb256p-14, 0x1.e0e641acbd21fp-14, 0x1.e04ce38b7bf6p-14, 0x1.dfaa3d75a7593p-14, 0x1.defe49aacf364p-14, 0x1.de49042fed71bp-14, 0x1.dd8a6ac0469e4p-14, 0x1.dcc27cbd624fp-14, 0x1.dbf13b201c6fap-14, 0x1.db16a86a19b0ap-14, 0x1.da32c896d1ab5p-14, 0x1.d945a10da9096p-14, 0x1.d84f38941db0ep-14, 0x1.d74f9740e621bp-14, 0x1.d646c66e8d516p-14, 0x1.d534d0ae81d28p-14, 0x1.d419c1bc9a135p-14, 0x1.d2f5a673deac3p-14, 0x1.d1c88cc1b0f1cp-14, 0x1.d092839ae2b9bp-14, 0x1.cf539af050056p-14, 0x1.ce0be3a45f427p-14, 0x1.ccbb6f8013a82p-14, 0x1.cb625128e2223p-14, 0x1.ca009c163ffb3p-14, 0x1.c8966488bdd7p-14, 0x1.c723bf7f3515dp-14, 0x1.c5a8c2af08713p-14, 0x1.c4258479bba8p-14, 0x1.c29a1be50aaccp-14, 0x1.c106a09294bdep-14, 0x1.bf6b2ab6e1c2dp-14, 0x1.bdc7d311c8bdcp-14, 0x1.bc1cb2e65f589p-14, 0x1.ba69e3f3adccdp-14, 0x1.b8af806ccb79dp-14, 0x1.b6eda2f2555afp-14, 0x1.b524668aebe4ep-14, 0x1.b353e69ccbb62p-14, 0x1.b17c3ee718d14p-14, 0x1.af9d8b7b7ae7cp-14, 0x1.adb7e8b837bf1p-14, 0x1.abcb7341876c5p-14, 0x1.a9d847fc6a13p-14, 0x1.a7de8408c2494p-14, 0x1.a5de44bc119e2p-14, 0x1.a3d7a79bd7728p-14, 0x1.a1caca5893643p-14, 0x1.9fb7cac91672ap-14, 0x1.9d9ec6e540c73p-14, 0x1.9b7fdcc186311p-14, 0x1.995b2a8ad1ec6p-14, 0x1.9730ce8184baep-14, 0x1.9500e6f566001p-14, 0x1.92cb9241e7e8cp-14, 0x1.9090eeca06278p-14, 0x1.8e511af457218p-14, 0x1.8c0c35278afeap-14, 0x1.89c25bc6cecd8p-14, 0x1.8773ad2e97f52p-14, 0x1.852047b1167afp-14, 0x1.82c8499305adbp-14, 0x1.806bd108a868fp-14, 0x1.7e0afc32cc30cp-14, 0x1.7ba5e91c2d94dp-14, 0x1.793cb5b665ae1p-14, 0x1.76cf7fd788b14p-14, 0x1.745e653782c15p-14, 0x1.71e9836dccaap-14, 0x1.6f70f7eeba76ep-14, 0x1.6cf4e009adebfp-14, 0x1.6a7558e6bca91p-14, 0x1.67f27f84871f5p-14, 0x1.656c70b6863d3p-14, 0x1.62e34922f7d3dp-14, 0x1.60572540fd6cbp-14, 0x1.5dc821571dd7bp-14, 0x1.5b365979b84fbp-14, 0x1.58a1e9890d55ep-14, 0x1.560aed2fda02bp-14, 0x1.53717fe22c436p-14, 0x1.50d5bcdbe21p-14, 0x1.4e37bf1f607a7p-14, 0x1.4b97a17456728p-14, 0x1.48f57e66bdde6p-14, 0x1.465170457e7c8p-14, 0x1.43ab9121b2e5ep-14, 0x1.4103facd6af66p-14, 0x1.3e5ac6db27eefp-14, 0x1.3bb00e9c9cb46p-14, 0x1.3903eb220503cp-14, 0x1.3656753936371p-14, 0x1.33a7c56d8dfa6p-14, 0x1.30f7f406c2645p-14, 0x1.2e47190838161p-14, 0x1.2b954c30b6ee8p-14, 0x1.28e2a4f9e79d7p-14, 0x1.262f3a97db7cp-14, 0x1.237b23f87ccafp-14, 0x1.20c677c340e0ap-14, 0x1.1e114c58ef69dp-14, 0x1.1b5bb7d34122cp-14, 0x1.18a5d0049ea0ep-14, 0x1.15efaa77cfcc9p-14, 0x1.13395c700033ep-14, 0x1.1082fae860d37p-14, 0x1.0dcc9a943313bp-14, 0x1.0b164fdeccbf5p-14, 0x1.08602eeb3774cp-14, 0x1.05aa4b9455f03p-14, 0x1.02f4b96cf1eabp-14, 0x1.003f8bbfcb3c1p-14, 0x1.fb15ab1edd903p-15, 0x1.f5ad532c91bd1p-15, 0x1.f046348e70189p-15, 0x1.eae0739aaa868p-15, 0x1.e57c3417f9b85p-15, 0x1.e019993e984bdp-15, 0x1.dab8c5b837a04p-15, 0x1.d559dba09c8fbp-15, 0x1.cffcfc86061dep-15, 0x1.caa24969e47eap-15, 0x1.c549e2c109016p-15, 0x1.bff3e874cd805p-15, 0x1.baa079e36348p-15, 0x1.b54fb5e06b21dp-15, 0x1.b001bab551ebfp-15, 0x1.aab6a62312f5ap-15, 0x1.a56e95620308fp-15, 0x1.a029a522c22b4p-15, 0x1.9ae7f18f97a75p-15, 0x1.95a9964cbfdfcp-15, 0x1.906eae79441edp-15, 0x1.8b3754afe6377p-15, 0x1.8603a3086ae78p-15, 0x1.80d3b31810bcfp-15, 0x1.7ba79df2cc0ecp-15, 0x1.767f7c2bf8f86p-15, 0x1.715b65d749806p-15, 0x1.6c3b728a2483dp-15, 0x1.671fb95c7e9b2p-15, 0x1.620850e9d64dbp-15, 0x1.5cf54f5217c5ap-15, 0x1.57e6ca3aca5f3p-15, 0x1.52dcd6d02785fp-15, 0x1.4dd789c624f52p-15, 0x1.48d6f759770bbp-15, 0x1.43db33510d42dp-15, 0x1.3ee450fe9552ep-15, 0x1.39f2633fc539ep-15, 0x1.35057c7f9ace7p-15, 0x1.301daeb7aa753p-15, 0x1.2b3b0b70f189p-15, 0x1.265da3c51c6abp-15, 0x1.2185885f56c02p-15, 0x1.1cb2c97de9105p-15, 0x1.17e576f348c81p-15, 0x1.131da02704936p-15, 0x1.0e5b54174f998p-15, 0x1.099ea1597a8bdp-15, 0x1.04e7961bb20b5p-15, 0x1.003640262e053p-15, 0x1.f71559b84295p-16, 0x1.edc9d279da7f7p-16, 0x1.e48a03ca814d8p-16, 0x1.db560620ac3aep-16, 0x1.d22df13225cfap-16, 0x1.c911dbf699fedp-16, 0x1.c001dca9d3027p-16, 0x1.b6fe08cdbd49ep-16, 0x1.ae06752cc06fep-16, 0x1.a51b35dcaca0bp-16, 0x1.9c3c5e40ca102p-16, 0x1.936a010b9e37dp-16, }}, 
      {{0x1.98421f0ef4962p-8, 0x1.99e161ad80ebcp-7, 0x1.34ce43462b35fp-6, 0x1.9d30af9dfe061p-6, 0x1.029b7e407f4fep-5, 0x1.35ed577279b14p-5, 0x1.6811773359dbfp-5, 0x1.98a1f2c614e27p-5, 0x1.c756a840b035ap-5, 0x1.f406818b50de6p-5, 0x1.0f5274a2435fep-4, 0x1.239e94449ab2p-4, 0x1.36f672b46ca31p-4, 0x1.496f48efcda5ap-4, 0x1.5b222629d2177p-4, 0x1.6c29bc794b492p-4, 0x1.7ca0994655974p-4, 0x1.8c9fcaf8c1182p-4, 0x1.9c3deca5dc4d9p-4, 0x1.ab8e8b7b6da81p-4, 0x1.baa1d75a9186p-4, 0x1.c9848fa6c6dbap-4, 0x1.d8401e114cacep-4, 0x1.e6dad29fe4ceep-4, 0x1.f55835fb1e9afp-4, 0x1.01dcb47a6fc47p-3, 0x1.08fec50569478p-3, 0x1.10110da8d0092p-3, 0x1.1711b254ca154p-3, 0x1.1dfe67aba02b5p-3, 0x1.24d49c8e244c8p-3, 0x1.2b919edd14c54p-3, 0x1.3232bb3433cbep-3, 0x1.38b5579fd4566p-3, 0x1.3f17097956b2cp-3, 0x1.4555a6b5408cfp-3, 0x1.4b6f53011cb6ep-3, 0x1.5162891aa077ap-3, 0x1.572e20ce379cep-3, 0x1.5cd1520b7407cp-3, 0x1.624bb57a49be7p-3, 0x1.679d42f6a29c7p-3, 0x1.6cc64e5074329p-3, 0x1.71c782a69df34p-3, 0x1.76a1dcaa45cb5p-3, 0x1.7b56a4100d2f5p-3, 0x1.7fe7646bff888p-3, 0x1.8455e5ad63526p-3, 0x1.88a42467ecd09p-3, 0x1.8cd44a113162ap-3, 0x1.90e8a552b3384p-3, 0x1.94e3a28b6310cp-3, 0x1.98c7c49635a53p-3, 0x1.9c979de6f905dp-3, 0x1.a055ca0a8f4e7p-3, 0x1.a404e79439089p-3, 0x1.a7a7927e9a8d5p-3, 0x1.ab405f0473799p-3, 0x1.aed1d4f2ef818p-3, 0x1.b25e6b757c689p-3, 0x1.b5e885597e06p-3, 0x1.b9726dc71d221p-3, 0x1.bcfe556b233a8p-3, 0x1.c08e500d47a09p-3, 0x1.c424528d87318p-3, 0x1.c7c23142ae726p-3, 0x1.cb699eb40f39ap-3, 0x1.cf1c2aa7efc03p-3, 0x1.d2db41806a4cfp-3, 0x1.d6a82be040c5dp-3, 0x1.da840e915530ap-3, 0x1.de6feaa69614dp-3, 0x1.e26c9dd35fd3dp-3, 0x1.e67ae2f278fd8p-3, 0x1.ea9b52b73bd99p-3, 0x1.eece64838d6fp-3, 0x1.f3146f5dc2c1bp-3, 0x1.f76dab01c55cdp-3, 0x1.fbda31091225dp-3, 0x1.002cff12ce93bp-2, 0x1.027679b5e8105p-2, 0x1.04c96bd41a1d1p-2, 0x1.0725ac5edce5fp-2, 0x1.098b0684d2aa5p-2, 0x1.0bf93a6559002p-2, 0x1.0e6ffdc47b494p-2, 0x1.10eefcbe4d6d4p-2, 0x1.1375da78bc82bp-2, 0x1.160431d30804p-2, 0x1.1899961233a4cp-2, 0x1.1b359389d3012p-2, 0x1.1dd7b040ae4bap-2, 0x1.207f6c90cef19p-2, 0x1.232c43c2992afp-2, 0x1.25ddaca2a5f0cp-2, 0x1.28931a12273fcp-2, 0x1.2b4bfb91a80ap-2, 0x1.2e07bdc6089cap-2, 0x1.30c5caf7a653dp-2, 0x1.33858b8ba39cbp-2, 0x1.36466677551d6p-2, 0x1.3907c1add553ap-2, 0x1.3bc90287d74bfp-2, 0x1.3e898e25c5315p-2, 0x1.4148c9cc4c946p-2, 0x1.44061b3b741e1p-2, 0x1.46c0e9005d6c3p-2, 0x1.49789ac1de336p-2, 0x1.4c2c99880dab4p-2, 0x1.4edc4fff00541p-2, 0x1.51872ab4cc78dp-2, 0x1.542c9853148fdp-2, 0x1.56cc09d43561cp-2, 0x1.5964f2b450b3dp-2, 0x1.5bf6c91e59d62p-2, 0x1.5e810615571bfp-2, 0x1.61032599fef0ep-2, 0x1.637ca6ccde48bp-2, 0x1.65ed0c0d3546p-2, 0x1.6853db14ae27ep-2, 0x1.6ab09d101cacep-2, 0x1.6d02deb56a6b8p-2, 0x1.6f4a3056d2e03p-2, 0x1.718625f39967fp-2, 0x1.73b6574658d2dp-2, 0x1.75da5fd1110fap-2, 0x1.77f1dee70ce28p-2, 0x1.79fc77b4c7ad8p-2, 0x1.7bf9d145ea285p-2, 0x1.7de996897bf0bp-2, 0x1.7fcb7654684b5p-2, 0x1.819f2362696f4p-2, 0x1.8364545579261p-2, 0x1.851ac3b3d937dp-2, 0x1.86c22fe4cee91p-2, 0x1.885a5b2c1ddaap-2, 0x1.89e30ba461854p-2, 0x1.8b5c0b384dabdp-2, 0x1.8cc5279aef473p-2, 0x1.8e1e323efb8dap-2, 0x1.8f67004d3ab79p-2, 0x1.909f6a9a25616p-2, 0x1.91c74d9ab87e5p-2, 0x1.92de895899d0bp-2, 0x1.93e501658ce66p-2, 0x1.94da9cce4f785p-2, 0x1.95bf460ce355fp-2, 0x1.9692eafa545f7p-2, 0x1.97557cbfffd64p-2, 0x1.9806efc86c68p-2, 0x1.98a73bafba6e6p-2, 0x1.99365b33b7629p-2, 0x1.99b44c2396467p-2, 0x1.9a210f4f5fed5p-2, 0x1.9a7ca877187f9p-2, 0x1.9ac71e39abd2dp-2, 0x1.9b007a039d8p-2, 0x1.9b28c7fd8b3d2p-2, 0x1.9b4016fa856e2p-2, 0x1.9b46786642546p-2, 0x1.9b3c003335884p-2, 0x1.9b20c4c88ed24p-2, 0x1.9af4def024c8ep-2, 0x1.9ab869c456318p-2, 0x1.9a6b829ddea14p-2, 0x1.9a0e4901ab1ccp-2, 0x1.99a0de8eacf66p-2, 0x1.992366ebb73a3p-2, 0x1.989607b55ebd5p-2, 0x1.97f8e86bf02b8p-2, 0x1.974c326170a1fp-2, 0x1.969010a7bap-2, 0x1.95c4affeaa20ep-2, 0x1.94ea3ec276963p-2, 0x1.9400ecda1893cp-2, 0x1.9308eba5dffe8p-2, 0x1.92026dee2b6eap-2, 0x1.90eda7d24917p-2, 0x1.8fcaceb7848ap-2, 0x1.8e9a19385f26cp-2, 0x1.8d5bbf13fcdd2p-2, 0x1.8c0ff91dc2a41p-2, 0x1.8ab7012d28651p-2, 0x1.8951120dc484fp-2, 0x1.87de676f8fb81p-2, 0x1.865f3dd762e4ap-2, 0x1.84d3d28fb4ca4p-2, 0x1.833c639992282p-2, 0x1.81992f9dd8bcfp-2, 0x1.7fea75deb27cdp-2, 0x1.7e30762954f2dp-2, 0x1.7c6b70c8022a3p-2, 0x1.7a9ba6744f85bp-2, 0x1.78c15849b679bp-2, 0x1.76dcc7b8642acp-2, 0x1.74ee36785917ep-2, 0x1.72f5e67ccc7f6p-2, 0x1.70f419e7db68ep-2, 0x1.6ee912fe7e0e9p-2, 0x1.6cd5141ccd50fp-2, 0x1.6ab85faa8cc73p-2, 0x1.6893381002a7bp-2, 0x1.6665dfab1bc6cp-2, 0x1.643098c4d826ap-2, 0x1.61f3a587055fcp-2, 0x1.5faf47f243cdfp-2, 0x1.5d63c1d456105p-2, 0x1.5b1154bebca03p-2, 0x1.58b841fd9d0dp-2, 0x1.5658ca8ef1c97p-2, 0x1.53f32f1a07611p-2, 0x1.5187afe740ec9p-2, 0x1.4f168cd8289cfp-2, 0x1.4ca0055fc785ep-2, 0x1.4a24587b46da7p-2, 0x1.47a3c4aad94b1p-2, 0x1.451e87eaea511p-2, 0x1.4294dfad96ec5p-2, 0x1.400708d469abfp-2, 0x1.3d753faa5ca45p-2, 0x1.3adfbfde2152dp-2, 0x1.3846c47caa09ep-2, 0x1.35aa87ebf5c5dp-2, 0x1.330b43e6209ddp-2, 0x1.30693174b0e63p-2, 0x1.2dc488ec280dcp-2, 0x1.2b1d81e7d02c7p-2, 0x1.28745345c6b3fp-2, 0x1.25c9332346755p-2, 0x1.231c56d92b43fp-2, 0x1.206df2f8afa64p-2, 0x1.1dbe3b4868193p-2, 0x1.1b0d62c16f25p-2, 0x1.185b9b8cd218ep-2, 0x1.15a917012bf49p-2, 0x1.12f605a0797e7p-2, 0x1.10429716213fcp-2, 0x1.0d8efa352a8f1p-2, 0x1.0adb5cf6a9d33p-2, 0x1.0827ec785d261p-2, 0x1.0574d4fb724fep-2, 0x1.02c241e3834a8p-2, 0x1.00105db5b898bp-2, 0x1.fabea43034757p-3, 0x1.f55e8fa215b95p-3, 0x1.f000cd8dd5321p-3, 0x1.eaa5abffc6268p-3, 0x1.e54d7743b3aacp-3, 0x1.dff879e51100fp-3, 0x1.daa6fcaf721b3p-3, 0x1.d55946af4c3dap-3, 0x1.d00f9d32f6d75p-3, 0x1.caca43cbf47b3p-3, 0x1.c5897c5077aap-3, 0x1.c04d86dd244dp-3, 0x1.bb16a1d70c201p-3, 0x1.b5e509eded143p-3, 0x1.b0b8fa1e94a3bp-3, 0x1.ab92abb58d095p-3, 0x1.a6725651e940bp-3, 0x1.a1582fe852ff8p-3, 0x1.9c446cc63939ep-3, 0x1.97373f95336e3p-3, 0x1.9230d95e8d669p-3, 0x1.8d31698ef8cd8p-3, 0x1.88391dfa6abd1p-3, 0x1.834822e01736fp-3, 0x1.7e5ea2ee9430bp-3, 0x1.797cc7481d2c8p-3, 0x1.74a2b786f4b94p-3, 0x1.6fd099c1e137fp-3, 0x1.6b069290cdb0fp-3, 0x1.6644c51177db2p-3, 0x1.618b52ec43f5bp-3, 0x1.5cda5c591c11ap-3, 0x1.583200246a9f2p-3, 0x1.53925bb42855dp-3, 0x1.4efb8b0cfbb39p-3, 0x1.4a6da8d765adfp-3, 0x1.45e8ce65029e4p-3, 0x1.416d13b5d69d3p-3, 0x1.3cfa8f7da7f0fp-3, 0x1.389157295fa45p-3, 0x1.34317ee479f22p-3, 0x1.2fdb199e7f7d7p-3, 0x1.2b8e39107cc68p-3, 0x1.274aedc28c191p-3, 0x1.231147115bf5ep-3, 0x1.1ee15333be479p-3, 0x1.1abb1f4034f4cp-3, 0x1.169eb732865bfp-3, 0x1.128c25f1500dbp-3, 0x1.0e83755398a54p-3, 0x1.0a84ae265fdf2p-3, 0x1.068fd83230717p-3, 0x1.02a4fa40a9faap-3, 0x1.fd88344417a05p-4, 0x1.f5da79656fc76p-4, 0x1.ee40cbc164458p-4, 0x1.e6bb3162319aep-4, 0x1.df49ae8b2d492p-4, 0x1.d7ec45c39a5aep-4, 0x1.d0a2f7e16fd7dp-4, 0x1.c96dc4140a1d3p-4, 0x1.c24ca7eece22cp-4, 0x1.bb3f9f73ad159p-4, 0x1.b446a51dab779p-4, 0x1.ad61b1eb33782p-4, 0x1.a690bd68658a6p-4, 0x1.9fd3bdb94cd5bp-4, 0x1.992aa7a3f3fcp-4, 0x1.92956e9a66dfbp-4, 0x1.8c1404c49871p-4, 0x1.85a65b0a2b48p-4, 0x1.7f4c611c208e2p-4, 0x1.7906057e67989p-4, 0x1.72d3359152975p-4, 0x1.6cb3dd9aecd52p-4, 0x1.66a7e8d0322ecp-4, 0x1.60af415e270bap-4, 0x1.5ac9d072d242bp-4, 0x1.54f77e4614b03p-4, 0x1.4f38322267d0bp-4, 0x1.498bd26d6ecc2p-4, 0x1.43f244b0758e7p-4, 0x1.3e6b6da0c2d7ep-4, 0x1.38f73127cfe91p-4, 0x1.3395726b5d006p-4, 0x1.2e4613d56112ap-4, 0x1.2908f71bdd043p-4, 0x1.23ddfd48874c5p-4, 0x1.1ec506c0592a5p-4, 0x1.19bdf34afac6bp-4, 0x1.14c8a21a04efcp-4, 0x1.0fe4f1d02cabp-4, 0x1.0b12c08843acfp-4, 0x1.0651ebdc1737p-4, 0x1.01a250eb31943p-4, 0x1.fa0798c2ebe15p-5, 0x1.f0ec74fb341f3p-5, 0x1.e7f2ee2efd295p-5, 0x1.df1abb4ccd836p-5, 0x1.d663928e1b72bp-5, 0x1.cdcd29832e54ap-5, 0x1.c557351ec9116p-5, 0x1.bd0169c18cc89p-5, 0x1.b4cb7b45124ecp-5, 0x1.acb51d06d0a62p-5, 0x1.a4be01f2b44d8p-5, 0x1.9ce5dc8d838a9p-5, 0x1.952c5efef81dp-5, 0x1.8d913b1b9ff1bp-5, 0x1.8614226e79eebp-5, 0x1.7eb4c64258564p-5, 0x1.7772d7ab09d11p-5, 0x1.704e078e3b655p-5, 0x1.694606ac26016p-5, 0x1.625a85a7f986ap-5, 0x1.5b8b35101a714p-5, 0x1.54d7c56614e89p-5, 0x1.4e3fe7265e336p-5, 0x1.47c34acfe381ap-5, 0x1.4161a0eb5095fp-5, 0x1.3b1a9a122fba4p-5, 0x1.34ede6f5cb6efp-5, 0x1.2edb3865d8814p-5, 0x1.28e23f56f319cp-5, 0x1.2302ace8db0cbp-5, 0x1.1d3c326c88c25p-5, 0x1.178e816a0bf1p-5, 0x1.11f94ba635e97p-5, 0x1.0c7c432813afap-5, 0x1.07171a3e36d1ep-5, 0x1.01c98383d8f3fp-5, 0x1.f92663cb77988p-6, 0x1.eee7b14dea264p-6, 0x1.e4d656cae9902p-6, 0x1.daf1bc3ce009ap-6, 0x1.d1394a6540602p-6, 0x1.c7ac6ad490439p-6, 0x1.be4a87f24586fp-6, 0x1.b5130d0432c8cp-6, 0x1.ac056635b9b41p-6, 0x1.a321009ea497ap-6, 0x1.9a654a49b12c1p-6, 0x1.91d1b23ad2e02p-6, 0x1.8965a87525a01p-6, 0x1.81209e00ac8aap-6, 0x1.790204efa447cp-6, 0x1.71095063bb563p-6, 0x1.6935f492e2336p-6, 0x1.618766cbeaf5cp-6, 0x1.59fd1d7aea46p-6, 0x1.5296902d51463p-6, 0x1.4b533795c6baep-6, 0x1.44328d8fce3fp-6, 0x1.3d340d2330d5dp-6, 0x1.36573287240cbp-6, 0x1.2f9b7b25484b6p-6, 0x1.2900659c5854fp-6, 0x1.228571c2c94d5p-6, 0x1.1c2a20a90569dp-6, 0x1.15edf49b9f98dp-6, 0x1.0fd0712545b76p-6, 0x1.09d11b10785f6p-6, 0x1.03ef7869203a9p-6, 0x1.fc5620fbe4264p-7, 0x1.f106d7c35e02ep-7, 0x1.e5f028d85cd4fp-7, 0x1.db112a7670488p-7, 0x1.d068f566a3e04p-7, 0x1.c5f6a500878b7p-7, 0x1.bbb9572b25f02p-7, 0x1.b1b02c5d847dcp-7, 0x1.a7da479efaaebp-7, 0x1.9e36ce8734d8fp-7, 0x1.94c4e93def37fp-7, 0x1.8b83c27a83ed8p-7, 0x1.8272878325f9p-7, 0x1.7990682bde42fp-7, 0x1.70dc96d57222fp-7, 0x1.6856486bd5168p-7, 0x1.5ffcb4649d47ep-7, 0x1.57cf14bd15914p-7, 0x1.4fcca5f84875ep-7, 0x1.47f4a71ca45efp-7, 0x1.404659b1b0df3p-7, 0x1.38c101bd57bcep-7, 0x1.3163e5c12b4efp-7, 0x1.2a2e4eb778138p-7, 0x1.231f88102c31dp-7, 0x1.1c36dfad8d05ap-7, 0x1.1573a5e0e264fp-7, 0x1.0ed52d66e5cd2p-7, 0x1.085acb641883p-7, 0x1.0203d760fdb15p-7, 0x1.f79f568c52ec3p-8, 0x1.eb7b46b096df2p-8, 0x1.df9a3c67dfa2fp-8, 0x1.d3faf992c243p-8, 0x1.c89c44b06bdcbp-8, 0x1.bd7ce8d5e7d67p-8, 0x1.b29bb5a50a0b9p-8, 0x1.a7f77f432d57bp-8, 0x1.9d8f1e4fe6dfbp-8, 0x1.93616fdb61881p-8, 0x1.896d555cccd89p-8, 0x1.7fb1b4a89bbcap-8, 0x1.762d77e678ad5p-8, 0x1.6cdf8d874054ap-8, 0x1.63c6e83b09fbp-8, 0x1.5ae27ee6a0683p-8, 0x1.52314c996e735p-8, 0x1.49b25082f7e37p-8, 0x1.41648de84f7f9p-8, 0x1.39470c19a35b1p-8, 0x1.3158d6677e8aep-8, 0x1.2998fc1830dadp-8, 0x1.2206905d12c2fp-8, 0x1.1aa0aa47a50e1p-8, 0x1.136664bee2e22p-8, 0x1.0c56de7459853p-8, 0x1.057139d93fd9bp-8, 0x1.fd693a273ced8p-9, 0x1.f04063e6de9c5p-9, 0x1.e3664bcf3c291p-9, 0x1.d6d953e650ef2p-9, 0x1.ca97e5447e593p-9, 0x1.bea06ffe7b3d8p-9, 0x1.b2f16b0fbf139p-9, 0x1.a789544495574p-9, 0x1.9c66b0245854fp-9, 0x1.918809dbe8315p-9, 0x1.86ebf327e134p-9, 0x1.7c91043ecfd1cp-9, 0x1.7275dbbc4dc6ap-9, 0x1.68991e8ab5c5dp-9, 0x1.5ef977ce6f4d5p-9, 0x1.559598d05afb7p-9, 0x1.4c6c38e88302bp-9, 0x1.437c15694ec85p-9, 0x1.3ac3f18a404aap-9, 0x1.324296534a16bp-9, 0x1.29f6d287d30cfp-9, 0x1.21df7a92200acp-9, 0x1.19fb686ef27f1p-9, 0x1.12497b9905c7ep-9, 0x1.0ac898f497d26p-9, 0x1.0377aabbb241fp-9, 0x1.f8ab40d39f8c9p-10, 0x1.eac2dd508cf2ep-10, 0x1.dd341e74abd61p-10, 0x1.cffd01d3d4e13p-10, 0x1.c31b8ee7ba964p-10, 0x1.b68dd6ea1f929p-10, 0x1.aa51f4ae4109ep-10, 0x1.9e660c7b2db1bp-10, 0x1.92c84be648954p-10, 0x1.8776e9ae205b5p-10, 0x1.7c702595abe09p-10, 0x1.71b2483f9213dp-10, 0x1.673ba30a848b2p-10, 0x1.5d0a8fecf496cp-10, 0x1.531d71523bdfcp-10, 0x1.4972b1f6c5732p-10, 0x1.4008c4c6130d9p-10, 0x1.36de24b840ed5p-10, 0x1.2df154af96061p-10, 0x1.2540df57725d1p-10, 0x1.1ccb5702d26eep-10, 0x1.148f558b7817p-10, 0x1.0c8b7c315dc74p-10, 0x1.04be737aaa6fp-10, 0x1.fa4dd62779638p-11, 0x1.eb87336067c7fp-11, 0x1.dd2679d695433p-11, 0x1.cf293253567cep-11, 0x1.c18cf2f658b04p-11, 0x1.b44f5ef8ae0d2p-11, 0x1.a76e26736231dp-11, 0x1.9ae70623d7a3fp-11, 0x1.8eb7c732d0087p-11, 0x1.82de3efb889fdp-11, 0x1.77584ed33963p-11, 0x1.6c23e3d234429p-11, 0x1.613ef69d21ab7p-11, 0x1.56a78b2ec100ep-11, 0x1.4c5bb0a359a7dp-11, 0x1.42598103c817fp-11, 0x1.389f2111c9c76p-11, 0x1.2f2ac01501bc2p-11, 0x1.25fa97a9141cfp-11, 0x1.1d0ceb8baa1dbp-11, 0x1.1460096b6a038p-11, 0x1.0bf248b83d8e1p-11, 0x1.03c20a7354256p-11, 0x1.f79b720251636p-12, 0x1.e8278ff40a146p-12, 0x1.d92567fce5a42p-12, 0x1.ca9205117d6a5p-12, 0x1.bc6a8383d918ep-12, 0x1.aeac10ac6dbb5p-12, 0x1.a153ea93ff3e5p-12, 0x1.945f5f9fc606fp-12, 0x1.87cbce3ef59fcp-12, 0x1.7b96a498a4392p-12, 0x1.6fbd603bfc882p-12, 0x1.643d8dd1076afp-12, 0x1.5914c8cab9cf8p-12, 0x1.4e40bb1b8a384p-12, 0x1.43bf1ce820c4p-12, 0x1.398db43f877cap-12, 0x1.2faa54d0ef665p-12, 0x1.2612dfa4e92aep-12, 0x1.1cc542d5cd401p-12, 0x1.13bf794c39cafp-12, 0x1.0aff8a7948d7fp-12, 0x1.02838a14a06ap-12, 0x1.f4932fb46cda1p-13, 0x1.e49fbe9404812p-13, 0x1.d5292ecfc41a6p-13, 0x1.c62c04fadc4aap-13, 0x1.b7a4dbb92b6b5p-13, 0x1.a9906345ea03dp-13, 0x1.9beb60fed494ap-13, 0x1.8eb2aeed4bde7p-13, 0x1.81e33b567f7fbp-13, 0x1.757a084882a47p-13, 0x1.69742b2e436b5p-13, 0x1.5dcecc615dc0dp-13, 0x1.528726c145853p-13, 0x1.479a874960ae9p-13, 0x1.3d064cabbaa8p-13, 0x1.32c7e6eb81a5ep-13, 0x1.28dcd6faf1478p-13, 0x1.1f42ae597a784p-13, 0x1.15f70eb5a446bp-13, 0x1.0cf7a98eadaf6p-13, 0x1.04423fd9a869cp-13, 0x1.f7a9434e20046p-14, 0x1.e7595b96a04dbp-14, 0x1.d790a30e5175ap-14, 0x1.c84b1069b9616p-14, 0x1.b984b5e46ab1dp-14, 0x1.ab39c0a372ecp-14, 0x1.9d667810d7dfap-14, 0x1.90073d41a6457p-14, 0x1.83188a5bbefa4p-14, 0x1.7696f1fd80583p-14, 0x1.6a7f1eab798efp-14, 0x1.5ecdd23fb6bb3p-14, 0x1.537fe55af1949p-14, 0x1.489246da3eb47p-14, 0x1.3e01fb4e70128p-14, 0x1.33cc1c76b4e35p-14, 0x1.29edd8bd54fedp-14, 0x1.206472b8e1d98p-14, 0x1.172d40ad0eaddp-14, 0x1.0e45ac1099dd3p-14, 0x1.05ab3115aecd4p-14, 0x1.fab6bc662c6e7p-15, 0x1.eaa7a7610f216p-15, 0x1.db24866ea60c2p-15, 0x1.cc28dec2b29fdp-15, 0x1.bdb0569e8e4fep-15, 0x1.afb6b4797a477p-15, 0x1.a237de32bfc3fp-15, 0x1.952fd8476335bp-15, 0x1.889ac50b45097p-15, 0x1.7c74e3e45d138p-15, 0x1.70ba9090c1074p-15, 0x1.65684269d8ea1p-15, 0x1.5a7a8bae3028dp-15, 0x1.4fee18d1d14aep-15, 0x1.45bfafcdbc254p-15, 0x1.3bec2f783cbeep-15, 0x1.32708edb951bap-15, 0x1.2949dc96d04e1p-15, 0x1.20753e3b21c01p-15, 0x1.17efefb2f11a8p-15, 0x1.0fb742a95a2f1p-15, 0x1.07c89df46949fp-15, 0x1.00217d0693635p-15, 0x1.f17edebc82e4ap-16, 0x1.e3402ff7c8687p-16, 0x1.d58259b658f38p-16, 0x1.c840ecdd819bep-16, 0x1.bb779e3cafecap-16, 0x1.af22459343aaep-16, 0x1.a33cdc99c938cp-16, 0x1.97c37e0c9fdc9p-16, 0x1.8cb264c891b38p-16, 0x1.8205eadf0067p-16, 0x1.77ba88b857eb9p-16, 0x1.6dccd43a2fc3bp-16, 0x1.64397ff24740cp-16, 0x1.5afd5a43c8b64p-16, 0x1.52154c9c9a3e8p-16, 0x1.497e5ab0dd99dp-16, 0x1.4135a1b770949p-16, 0x1.393857af4d66fp-16, 0x1.3183caa4ea5c3p-16, 0x1.2a156000bf593p-16, 0x1.22ea93d692fc2p-16, 0x1.1c00f83b93352p-16, 0x1.1556349eda48fp-16, 0x1.0ee805285788bp-16, 0x1.08b43a1879276p-16, 0x1.02b8b73243cabp-16, 0x1.f9e6e63f6de2dp-17, 0x1.eec4edc38d0b6p-17, 0x1.e407ba82059fdp-17, 0x1.d9aba4855ea43p-17, 0x1.cfad254382274p-17, 0x1.c608d6951e794p-17, 0x1.bcbb71b35e1fep-17, 0x1.b3c1ce3b6668bp-17, 0x1.ab18e1401fa0fp-17, 0x1.a2bdbc575407p-17, 0x1.9aad8cb5cb147p-17, 0x1.92e59a4ccba1p-17, 0x1.8b6346f047f44p-17, 0x1.84240d8053792p-17, 0x1.7d2581186d7a9p-17, 0x1.76654c49ea257p-17, 0x1.6fe130525c541p-17, 0x1.699704606a22cp-17, 0x1.6384b4da43745p-17, 0x1.5da842a61982cp-17, 0x1.57ffc27cd3e53p-17, 0x1.52895c3d2623bp-17, 0x1.4d434a48e737ep-17, 0x1.482bd8df7aa4dp-17, 0x1.43416584d3b9p-17, 0x1.3e825e677901bp-17, 0x1.39ed41cceb053p-17, 0x1.35809d810e4b1p-17, 0x1.313b0e4b65615p-17, 0x1.2d1b3f66a0621p-17, 0x1.291fe9fd59535p-17, 0x1.2547d4aa6ec1p-17, 0x1.2191d2fe8c57dp-17, 0x1.1dfcc50436bfbp-17, 0x1.1a8796cdc411ap-17, 0x1.17314003379f7p-17, 0x1.13f8c372c98f8p-17, 0x1.10dd2ea834767p-17, 0x1.0ddd99850e909p-17, 0x1.0af925dbfc7dcp-17, 0x1.082eff0fa9211p-17, 0x1.057e59b4674fdp-17, 0x1.02e673339fa8fp-17, 0x1.00669176fe2bdp-17, 0x1.fbfc051c25601p-18, 0x1.f75838bced2d9p-18, 0x1.f2e078a4f4b07p-18, 0x1.ee938e19c7a13p-18, 0x1.ea70503457ebp-18, 0x1.e675a3547e8e5p-18, 0x1.e2a278933fbf4p-18, 0x1.def5cd37a685dp-18, 0x1.db6eaa354d217p-18, 0x1.d80c23ae68203p-18, 0x1.d4cd5873e89fep-18, 0x1.d1b17192084bbp-18, 0x1.ceb7a1da3a638p-18, 0x1.cbdf25760f53dp-18, 0x1.c927417a1fcc9p-18, 0x1.c68f437ecc963p-18, 0x1.c416813c7593ap-18, 0x1.c1bc582c108ap-18, 0x1.bf802d27341e3p-18, 0x1.bd616c0f9499dp-18, 0x1.bb5f877669a0cp-18, 0x1.b979f84bd66p-18, 0x1.b7b03d8bc732ap-18, 0x1.b601dbf0ed3bep-18, 0x1.b46e5daa92f01p-18, 0x1.b2f552163ffd3p-18, 0x1.b1964d768b783p-18, 0x1.b050e8b1c13eap-18, 0x1.af24c112c2e7p-18, 0x1.ae11780b3677p-18, 0x1.ad16b2f5951b5p-18, 0x1.ac341ae1c5b9ap-18, 0x1.ab695c5abb55p-18, 0x1.aab627302e0adp-18, 0x1.aa1a2e47b9735p-18, 0x1.a995276bafe14p-18, 0x1.a926cb1a4e7acp-18, 0x1.a8ced45c7d9d3p-18, 0x1.a88d009a12d3ap-18, 0x1.a8610f70831bbp-18, 0x1.a84ac28e86352p-18, 0x1.a849dd8b78b8cp-18, 0x1.a85e25c4b943cp-18, 0x1.a887623bd2db4p-18, 0x1.a8c55b7845af2p-18, 0x1.a917db652a994p-18, 0x1.a97ead345c623p-18, 0x1.a9f99d43ae2dp-18, 0x1.aa887902d249ap-18, 0x1.ab2b0ed8c7adfp-18, 0x1.abe12e08d99eep-18, 0x1.acaaa6a0c8f77p-18, 0x1.ad87495f1b519p-18, 0x1.ae76e7a0347fep-18, 0x1.af79534a6896cp-18, 0x1.b08e5ebc6dd5bp-18, 0x1.b1b5dcbaec04p-18, 0x1.b2efa05ec28bp-18, 0x1.b43b7d07f0572p-18, 0x1.b599464de88afp-18, 0x1.b708cff0d4fbbp-18, 0x1.b889edcccfa4cp-18, 0x1.ba1c73cf620aap-18, 0x1.bbc035ed0e20fp-18, 0x1.bd7508140bcd4p-18, 0x1.bf3abe2385e4dp-18, 0x1.c1112be215c36p-18, 0x1.c2f824f694185p-18, 0x1.c4ef7cdfe03e2p-18, 0x1.c6f706ec80a8ep-18, 0x1.c90e96369826cp-18, 0x1.cb35fd9adf6bep-18, 0x1.cd6d0fb67f6a3p-18, 0x1.cfb39edf4a396p-18, 0x1.d2097d20a42f6p-18, 0x1.d46e7c3762ef3p-18, 0x1.d6e26d8ed9abep-18, 0x1.d965223d864dp-18, 0x1.dbf66b02142eap-18, 0x1.de961841b21fdp-18, 0x1.e143fa0679f68p-18, 0x1.e3ffdffd9ec81p-18, 0x1.e6c999768b839p-18, 0x1.e9a0f5622019ep-18, 0x1.ec85c25193dadp-18, 0x1.ef77ce77c588cp-18, 0x1.f276e7a75f308p-18, 0x1.f582db553653dp-18, 0x1.f89b76997d25dp-18, 0x1.fbc0862dd88d3p-18, 0x1.fef1d67163f88p-18, 0x1.011799b436f6p-17, 0x1.02bc345f16319p-17, 0x1.0466a0e400577p-17, 0x1.0616c4c2b4176p-17, 0x1.07cc8551c74acp-17, 0x1.0987c7bf63e3cp-17, 0x1.0b48711343119p-17, 0x1.0d0e662f399edp-17, 0x1.0ed98bd086008p-17, 0x1.10a9c6914ccccp-17, 0x1.127efaeabaed6p-17, 0x1.14590d3588c4cp-17, 0x1.1637e1acaf847p-17, 0x1.181b5c6e50e9ep-17, 0x1.1a03617d6e81fp-17, 0x1.1befd4c3c10f3p-17, 0x1.1de09a13482bcp-17, 0x1.1fd5952851889p-17, 0x1.21cea9ab2a233p-17, 0x1.23cbbb3193f66p-17, 0x1.25ccad4118bdep-17, 0x1.27d1635071f63p-17, 0x1.29d9c0c9a1b0cp-17, 0x1.2be5a90c29184p-17, 0x1.2df4ff6e44a11p-17, 0x1.3007a73ee4955p-17, 0x1.321d83c7e296cp-17, 0x1.3436784fda9b7p-17, 0x1.3652681bc1e8dp-17, 0x1.38713671253b6p-17, 0x1.3a92c69793f23p-17, 0x1.3cb6fbdacdc8dp-17, 0x1.3eddb98d0d63cp-17, 0x1.4106e30826f5bp-17, 0x1.43325baf9183p-17, 0x1.456006f239186p-17, 0x1.478fc84cb18fep-17, 0x1.49c1834a5b8d6p-17, 0x1.4bf51b877bbcfp-17, 0x1.4e2a74b34518ep-17, 0x1.506172915789dp-17, 0x1.5299f8fb6954ap-17, 0x1.54d3ebe312657p-17, 0x1.570f2f534c616p-17, 0x1.594ba77274218p-17, 0x1.5b893883a9576p-17, 0x1.5dc7c6e81b74bp-17, 0x1.600737216cb7fp-17, 0x1.62476dd28605ap-17, 0x1.64884fc179b17p-17, 0x1.66c9c1d8c931cp-17, 0x1.690ba929397f4p-17, 0x1.6b4deaeae4e6ap-17, 0x1.6d906c7e7dda2p-17, 0x1.6fd3136f2ed8ap-17, 0x1.7215c573d60a8p-17, 0x1.7458687019f51p-17, 0x1.769ae275bab58p-17, 0x1.78dd19c6327eep-17, 0x1.7b1ef4d370f3ap-17, 0x1.7d605a419b587p-17, 0x1.7fa130e7929b4p-17, 0x1.81e15fd0741cap-17, 0x1.8420ce3cc11fap-17, 0x1.865f63a353c8ap-17, 0x1.889d07b25b51p-17, 0x1.8ad9a250722b7p-17, 0x1.8d151b9d7d64fp-17, 0x1.8f4f5bf3cb6edp-17, 0x1.91884be8d6ad1p-17, 0x1.93bfd44e615e1p-17, 0x1.95f5de3323fc7p-17, 0x1.982a52e35909p-17, 0x1.9a5d1bea23e41p-17, 0x1.9c8e2311de9f9p-17, 0x1.9ebd5264a1773p-17, 0x1.a0ea942db8128p-17, 0x1.a315d2f9ae7d2p-17, 0x1.a53ef99726715p-17, 0x1.a765f317436e1p-17, 0x1.a98aaacec8102p-17, 0x1.abad0c5609199p-17, 0x1.adcd03897f006p-17, 0x1.afea7c8a870b9p-17, 0x1.b20563bfcb168p-17, 0x1.b41da5d5a390ap-17, 0x1.b6332fbe936dap-17, 0x1.b845eeb376438p-17, 0x1.ba55d0342d3acp-17, 0x1.bc62c207aa95cp-17, 0x1.be6cb23c5f38p-17, 0x1.c0738f28479e5p-17, 0x1.c27747697074dp-17, 0x1.c477c9e65b78cp-17, 0x1.c67505cdabe1cp-17, 0x1.c86eea96983c2p-17, 0x1.ca6568012e247p-17, 0x1.cc586e1631226p-17, 0x1.ce47ed27854dap-17, 0x1.d033d5cff4379p-17, 0x1.d21c18f353d4dp-17, 0x1.d400a7bebbcf7p-17, 0x1.d5e173a8600eep-17, 0x1.d7be6e6f6cb07p-17, 0x1.d9978a1c4e164p-17, 0x1.db6cb90068d82p-17, 0x1.dd3dedb620f8dp-17, 0x1.df0b1b20f3d63p-17, 0x1.e0d4346cb59b8p-17, 0x1.e2992d0e1fedep-17, 0x1.e459f8c29f7b4p-17, 0x1.e6168b8facce6p-17, 0x1.e7ced9c300304p-17, 0x1.e982d7f25c558p-17, 0x1.eb327afb22484p-17, 0x1.ecddb8023bca4p-17, 0x1.ee848473e03e8p-17, 0x1.f026d6032e56cp-17, 0x1.f1c4a2aa3a7dp-17, 0x1.f35de0a97bd4p-17, 0x1.f4f2868734e52p-17, 0x1.f6828b0fc1731p-17, 0x1.f80de554e9895p-17, 0x1.f9948cad55b1cp-17, 0x1.fb1678b4c5b7ep-17, 0x1.fc93a14b2b849p-17, 0x1.fe0bfe9454a5ap-17, 0x1.ff7f88f7dd559p-17, 0x1.00771c9029fe3p-16, 0x1.012c03fd9d507p-16, 0x1.01de775c27383p-16, 0x1.028e73648981ep-16, 0x1.033bf4f061fabp-16, 0x1.03e6f8f98f844p-16, 0x1.048f7c9a47b2ap-16, 0x1.05357d0cba909p-16, 0x1.05d8f7aadf761p-16, 0x1.0679e9ee3aaacp-16, 0x1.0718516f75a28p-16, 0x1.07b42be63f48dp-16, 0x1.084d772902812p-16, 0x1.08e4312c8d858p-16, 0x1.09785803ff2a3p-16, 0x1.0a09e9e0664f4p-16, 0x1.0a98e51046a88p-16, 0x1.0b2547ffa4fd7p-16, 0x1.0baf11378f8bap-16, 0x1.0c363f5ddf563p-16, 0x1.0cbad134fa2d7p-16, 0x1.0d3cc59b6ff6fp-16, 0x1.0dbc1b8bd6a6p-16, 0x1.0e38d21c5e25cp-16, 0x1.0eb2e87e79e0fp-16, 0x1.0f2a5dfec054fp-16, 0x1.0f9f3204714a9p-16, 0x1.10116411584b4p-16, 0x1.1080f3c14ff7ep-16, 0x1.10ede0ca1bd84p-16, 0x1.11582afb02c0ep-16, 0x1.11bfd23c5f22dp-16, 0x1.1224d68fba6d5p-16, 0x1.1287380f05744p-16, 0x1.12e6f6ec8c306p-16, 0x1.13441372a2e17p-16, 0x1.139e8e033c215p-16, 0x1.13f66717bfd1cp-16, }}, 
      {{0x1.d521df10b9723p-1, 0x1.d50b40ad47689p-1, 0x1.d4e8f3d59093dp-1, 0x1.d4b9dd7d9d92ap-1, 0x1.d479d23fd72ddp-1, 0x1.d4232eeab2524p-1, 0x1.d3b052364d7c9p-1, 0x1.d31c9e1b09d6bp-1, 0x1.d264fb77f2d7fp-1, 0x1.d187fb75d10f4p-1, 0x1.d085b888b6d4p-1, 0x1.cf5f941b1e22cp-1, 0x1.ce17e60113d4p-1, 0x1.ccb1ab6fe76cbp-1, 0x1.cb303d80c36f2p-1, 0x1.c997134308337p-1, 0x1.c7e990c2adfep-1, 0x1.c62ae2c7ea264p-1, 0x1.c45de6287bdffp-1, 0x1.c285190cf1ac5p-1, 0x1.c0a29462feeaap-1, 0x1.beb80bbc92819p-1, 0x1.bcc6d1fe17d76p-1, 0x1.bacfe16fd11ccp-1, 0x1.b8d3e5fdb4fc8p-1, 0x1.b6d348a91b0f1p-1, 0x1.b4ce3b640ec11p-1, 0x1.b2c4c4bd99b14p-1, 0x1.b0b6caef96092p-1, 0x1.aea41e017485ap-1, 0x1.ac8c80d013122p-1, 0x1.aa6fb0e19fbebp-1, 0x1.a84d6cfe5f672p-1, 0x1.a6257a9485945p-1, 0x1.a3f7a9f6f3ef4p-1, 0x1.a1c3d98d41b95p-1, 0x1.9f89f80f74307p-1, 0x1.9d4a05e9f3012p-1, 0x1.9b0415e6c7308p-1, 0x1.98b84d38bb81bp-1, 0x1.9666e3038ab97p-1, 0x1.94101f7a71c53p-1, 0x1.91b45aac3d684p-1, 0x1.8f53fb1182ae2p-1, 0x1.8cef73ef437fap-1, 0x1.8a87439dd0a25p-1, 0x1.881bf1c172233p-1, 0x1.85ae0d802dc32p-1, 0x1.833e2bbe0af86p-1, 0x1.80cce56767d69p-1, 0x1.7e5ad5cf4f7d2p-1, 0x1.7be8992662d46p-1, 0x1.7976cb0d9c806p-1, 0x1.77060547329bp-1, 0x1.7496de86ee59cp-1, 0x1.7229e9628d663p-1, 0x1.6fbfb36226f8cp-1, 0x1.6d58c430051dcp-1, 0x1.6af59ce70239bp-1, 0x1.6896b77e22ee7p-1, 0x1.663c864fed86dp-1, 0x1.63e773bbcfaddp-1, 0x1.6197e1dfc7bb3p-1, 0x1.5f4e2a6877e8fp-1, 0x1.5d0a9e75bb7bcp-1, 0x1.5acd8691e0758p-1, 0x1.589722b9a7c0fp-1, 0x1.5667aa73403dap-1, 0x1.543f4cf281ca6p-1, 0x1.521e3148bc97ep-1, 0x1.5004769e90f16p-1, 0x1.4df23476530cp-1, 0x1.4be77af59c579p-1, 0x1.49e45334c513ap-1, 0x1.47e8bf931793cp-1, 0x1.45f4bc0ead658p-1, 0x1.44083e9ef5b8ap-1, 0x1.422337910992bp-1, 0x1.404591e4fab2ap-1, 0x1.3e6f33ab6c584p-1, 0x1.3c9ffe62ce955p-1, 0x1.3ad7cf53b39b2p-1, 0x1.39167febbece6p-1, 0x1.375be616c21b9p-1, 0x1.35a7d495b0095p-1, 0x1.33fa1b53120e9p-1, 0x1.325287b4c642p-1, 0x1.30b0e4eacb366p-1, 0x1.2f14fc3af6d42p-1, 0x1.2d7e954971b52p-1, 0x1.2bed765de6bcbp-1, 0x1.2a6164a55358ep-1, 0x1.28da24707478fp-1, 0x1.2757796eca805p-1, 0x1.25d926e63dab6p-1, 0x1.245eefe7674b3p-1, 0x1.22e8977e8e5ccp-1, 0x1.2175e0e168da5p-1, 0x1.20068f99b35e1p-1, 0x1.1e9a67acb70f7p-1, 0x1.1d312dbfd4b8ep-1, 0x1.1bcaa73a2e178p-1, 0x1.1a669a6389531p-1, 0x1.1904ce808ac34p-1, 0x1.17a50bec5f9dfp-1, 0x1.16471c2ff9014p-1, 0x1.14eaca16f0a29p-1, 0x1.138fe1c2388ffp-1, 0x1.123630b8af4dap-1, 0x1.10dd85f5b6376p-1, 0x1.0f85b1f5e4519p-1, 0x1.0e2e86c1f452dp-1, 0x1.0cd7d7f80453fp-1, 0x1.0b817ad343bd7p-1, 0x1.0a2b463226c0ep-1, 0x1.08d5129b39c26p-1, 0x1.077eba40a7628p-1, 0x1.062819028ed91p-1, 0x1.04d10c7037291p-1, 0x1.037973c83b1cp-1, 0x1.02212ff7bd2fcp-1, 0x1.00c82398b77b2p-1, 0x1.fedc65def23ffp-2, 0x1.fc2687cec2b02p-2, 0x1.f96e7c1dd36b3p-2, 0x1.f6b41526175cp-2, 0x1.f3f7287427619p-2, 0x1.f1378ebbd3685p-2, 0x1.ee7523cbc4b3dp-2, 0x1.ebafc6803b74ap-2, 0x1.e8e758b50a6b3p-2, 0x1.e61bbf36db239p-2, 0x1.e34ce1b3d59fep-2, 0x1.e07aaaabbb45bp-2, 0x1.dda5075f83922p-2, 0x1.dacbe7c08ecfap-2, 0x1.d7ef3e5f7dc1cp-2, 0x1.d50f005ab712ep-2, 0x1.d22b254cac8bp-2, 0x1.cf43a739ee243p-2, 0x1.cc58827f0bdc6p-2, 0x1.c969b5be5f56fp-2, 0x1.c67741cdb9584p-2, 0x1.c38129a408a8fp-2, 0x1.c0877246f5f9ap-2, 0x1.bd8a22b88822ap-2, 0x1.ba8943e4d04dbp-2, 0x1.b784e08fa97a1p-2, 0x1.b47d05428e6e9p-2, 0x1.b171c03a8b60bp-2, 0x1.ae63215654fdep-2, 0x1.ab513a048466ap-2, 0x1.a83c1d3201573p-2, 0x1.a523df38999d5p-2, 0x1.a20895cdcd548p-2, 0x1.9eea57f1d2fd8p-2, 0x1.9bc93dded5a38p-2, 0x1.98a560f86ed1bp-2, 0x1.957edbbb6281p-2, 0x1.9255c9ad9b3c7p-2, 0x1.8f2a474e6bc23p-2, 0x1.8bfc720717743p-2, 0x1.88cc681ba1974p-2, 0x1.859a489be7c75p-2, 0x1.8266335504fdp-2, 0x1.7f3048c3042ddp-2, 0x1.7bf8aa02ddb0fp-2, 0x1.78bf78c4c43e9p-2, 0x1.7584d73ec0387p-2, 0x1.7248e81f9d304p-2, 0x1.6f0bce8222a3ep-2, 0x1.6bcdade0a27b9p-2, 0x1.688eaa08d7944p-2, 0x1.654ee71013032p-2, 0x1.620e8947beacp-2, 0x1.5ecdb5322cce6p-2, 0x1.5b8c8f77bd562p-2, 0x1.584b3cdc52c6bp-2, 0x1.5509e23515dfbp-2, 0x1.51c8a45e8f054p-2, 0x1.4e87a8330bbd7p-2, 0x1.4b47128155fc5p-2, 0x1.48070803bb0a6p-2, 0x1.44c7ad5760434p-2, 0x1.418926f3e76f9p-2, 0x1.3e4b99236248ep-2, 0x1.3b0f27fa8dad9p-2, 0x1.37d3f7515f83fp-2, 0x1.349a2abbdb6c5p-2, 0x1.3161e58333f93p-2, 0x1.2e2b4a9f34ea8p-2, 0x1.2af67caff7bb3p-2, 0x1.27c39df7de8e7p-2, 0x1.2492d055d4993p-2, 0x1.2164353fd78e2p-2, 0x1.1e37edbdc3022p-2, 0x1.1b0e1a645ffbcp-2, 0x1.17e6db50ba008p-2, 0x1.14c25023af109p-2, 0x1.11a097fdc7538p-2, 0x1.0e81d17b45f0bp-2, 0x1.0b661ab079ae2p-2, 0x1.084d91264c029p-2, 0x1.053851d708028p-2, 0x1.0226792b5e6fcp-2, 0x1.fe3045ef42655p-3, 0x1.f81ad4f26ab9ep-3, 0x1.f20cd4a87bd0cp-3, 0x1.ec067922f597cp-3, 0x1.e607f538b0e2bp-3, 0x1.e0117a826eee6p-3, 0x1.da233957c0d92p-3, 0x1.d43d60cc5443ap-3, 0x1.ce601ead9a8adp-3, 0x1.c88b9f80ce206p-3, 0x1.c2c00e8147ee2p-3, 0x1.bcfd959f32d87p-3, 0x1.b7445d7e8d88dp-3, 0x1.b1948d767c448p-3, 0x1.abee4b90e82aap-3, 0x1.a651bc8a6cbb5p-3, 0x1.a0bf03d289fb2p-3, 0x1.9b36438c1dd5dp-3, 0x1.95b79c8e213bep-3, 0x1.90432e64a8fb7p-3, 0x1.8ad917521ee4p-3, 0x1.85797450bdc46p-3, 0x1.8024611445b3dp-3, 0x1.7ad9f80be4412p-3, 0x1.759a526455ce1p-3, 0x1.7065880a382dp-3, 0x1.6b3bafac92059p-3, 0x1.661cdebf7d683p-3, 0x1.6109297f11b69p-3, 0x1.5c00a2f260e69p-3, 0x1.57035ceeb2574p-3, 0x1.5211681ad3a37p-3, 0x1.4d2ad3f298f47p-3, 0x1.484faeca75f51p-3, 0x1.438005d33c983p-3, 0x1.3ebbe51dfc6a5p-3, 0x1.3a03579ff299fp-3, 0x1.35566736a438ap-3, 0x1.30b51cac04cc2p-3, 0x1.2c1f7fbabac7fp-3, 0x1.27959712759ecp-3, 0x1.2317685c58ef9p-3, 0x1.1ea4f83f7869cp-3, 0x1.1a3e4a6567ec1p-3, 0x1.15e3617ed5507p-3, 0x1.11943f4832eebp-3, 0x1.0d50e48e6aea9p-3, 0x1.09195133a5dbep-3, 0x1.04ed84340a6d7p-3, 0x1.00cd7baa967dbp-3, 0x1.f97269abe5f1ep-4, 0x1.f161583aa0fd9p-4, 0x1.e967ba2a929dfp-4, 0x1.e18585098d75ap-4, 0x1.d9baacd3c0dcfp-4, 0x1.d20723fd9aa36p-4, 0x1.ca6adb7d805b1p-4, 0x1.c2e5c2d59f82bp-4, 0x1.bb77c81db4e3fp-4, 0x1.b420d80ccb259p-4, 0x1.ace0de02eb4b4p-4, 0x1.a5b7c412cd351p-4, 0x1.9ea5730b7849bp-4, 0x1.97a9d281d559ep-4, 0x1.90c4c8da3324bp-4, 0x1.89f63b51bc9c9p-4, 0x1.833e0e07da3c3p-4, 0x1.7c9c2407840e2p-4, 0x1.76105f507c4e2p-4, 0x1.6f9aa0e077be8p-4, 0x1.693ac8bc2c4f2p-4, 0x1.62f0b5f84c967p-4, 0x1.5cbc46c267257p-4, 0x1.569d5869af29bp-4, 0x1.5093c767a862cp-4, 0x1.4a9f6f68ba491p-4, 0x1.44c02b54a62e5p-4, 0x1.3ef5d556e3275p-4, 0x1.394046e6d5e58p-4, 0x1.339f58cff6f8ap-4, 0x1.2e12e339cacc7p-4, 0x1.289abdafc9a3ap-4, 0x1.2336bf291f49dp-4, 0x1.1de6be104d915p-4, 0x1.18aa904aad648p-4, 0x1.13820b3fd1ee9p-4, 0x1.0e6d03e0c8c24p-4, 0x1.096b4eaf380cep-4, 0x1.047cbfc45d4bap-4, 0x1.ff4255afd636cp-5, 0x1.f5b0c68d81028p-5, 0x1.ec4478330875bp-5, 0x1.e2fd101636398p-5, 0x1.d9da331df4c12p-5, 0x1.d0db85aeb97e5p-5, 0x1.c800abb6a153cp-5, 0x1.bf4948b94fcecp-5, 0x1.b6b4ffdb8802dp-5, 0x1.ae4373ee7b281p-5, 0x1.a5f4477ae1be5p-5, 0x1.9dc71ccbc0997p-5, 0x1.95bb95f8f7644p-5, 0x1.8dd154f187b6dp-5, 0x1.8607fb8595747p-5, 0x1.7e5f2b702c676p-5, 0x1.76d68660bfd8bp-5, 0x1.6f6dae0469101p-5, 0x1.6824440ee7e7ap-5, 0x1.60f9ea435e696p-5, 0x1.59ee427cd47b1p-5, 0x1.5300eeb672012p-5, 0x1.4c31911384ef2p-5, 0x1.457fcbe743702p-5, 0x1.3eeb41bc55c36p-5, 0x1.3873955c1df3ep-5, 0x1.321869d5c8526p-5, 0x1.2bd962851eb6bp-5, 0x1.25b6231929173p-5, 0x1.1fae4f9a854adp-5, 0x1.19c18c7198cb8p-5, 0x1.13ef7e6c7b665p-5, 0x1.0e37cac4b6a45p-5, 0x1.089a1724c6edp-5, 0x1.031609ad6c1adp-5, 0x1.fb5691f58d617p-6, 0x1.f0b2f852749cap-6, 0x1.e64095b44c8a3p-6, 0x1.dbfeba70d9d72p-6, 0x1.d1ecb7f9751acp-6, 0x1.c809e0e368dccp-6, 0x1.be5588efcd6d2p-6, 0x1.b4cf05130f965p-6, 0x1.ab75ab7c287f1p-6, 0x1.a248d39b7308ap-6, 0x1.9947d6292b535p-6, 0x1.90720d2b991cep-6, 0x1.87c6d3fcec041p-6, 0x1.7f458750bfd55p-6, 0x1.76ed85394c668p-6, 0x1.6ebe2d2c561dap-6, 0x1.66b6e007ccd7p-6, 0x1.5ed700160bcbcp-6, 0x1.571df111f7b18p-6, 0x1.4f8b182aae5f6p-6, 0x1.481ddc070ad26p-6, 0x1.40d5a4c8dde61p-6, 0x1.39b1dc0fdf466p-6, 0x1.32b1ecfc66caap-6, 0x1.2bd54431d9d09p-6, 0x1.251b4fd8f5682p-6, 0x1.1e837fa1bd051p-6, 0x1.180d44c544981p-6, 0x1.11b812073883bp-6, 0x1.0b835bb7393adp-6, 0x1.056e97b1f3527p-6, 0x1.fef27ac41d849p-7, 0x1.f3458b81d426dp-7, 0x1.e7d556ae3bedcp-7, 0x1.dca0d479b2e99p-7, 0x1.d1a7003424f42p-7, 0x1.c6e6d84cfc36p-7, 0x1.bc5f5e52d527p-7, 0x1.b20f96f2ca68ep-7, 0x1.a7f689f7814dfp-7, 0x1.9e134247e3564p-7, 0x1.9464cde5860bap-7, 0x1.8aea3dead4f22p-7, 0x1.81a2a688dffcap-7, 0x1.788d1f0514e5dp-7, 0x1.6fa8c1b672d59p-7, 0x1.66f4ac02cc197p-7, 0x1.5e6ffe5b83919p-7, 0x1.5619dc3a447cfp-7, 0x1.4df16c1d727eep-7, 0x1.45f5d78455623p-7, 0x1.3e264aeb274edp-7, 0x1.3681f5c6e0d9bp-7, 0x1.2f080a80e569bp-7, 0x1.27b7be727a8edp-7, 0x1.209049e0109e9p-7, 0x1.1990e7f46b5e9p-7, 0x1.12b8d6bb96785p-7, 0x1.0c07571dce62ap-7, 0x1.057bacda213c1p-7, 0x1.fe2a3d022baep-8, 0x1.f1a5eade17adap-8, 0x1.e568fb8d3e144p-8, 0x1.d9720cd5b34d7p-8, 0x1.cdbfc1f2b7166p-8, 0x1.c250c3889fed7p-8, 0x1.b723bf98cf82fp-8, 0x1.ac3769755b72cp-8, 0x1.a18a79b488f4ep-8, 0x1.971bae24440cap-8, 0x1.8ce9c9bd34c4p-8, 0x1.82f394960bdaap-8, 0x1.7937dbd645402p-8, 0x1.6fb571a930ecdp-8, 0x1.666b2d30bc65dp-8, 0x1.5d57ea780635cp-8, 0x1.547a8a660b92ep-8, 0x1.4bd1f2b028244p-8, 0x1.435d0dcc9e37bp-8, 0x1.3b1acae4fe9a4p-8, 0x1.330a1dc86dd09p-8, 0x1.2b29fede1f5bp-8, 0x1.23796b1787829p-8, 0x1.1bf763e2b09cdp-8, 0x1.14a2ef1c75daap-8, 0x1.0d7b1702cb099p-8, 0x1.067eea26fe23ep-8, 0x1.ff5af6bfcb799p-9, 0x1.f20bc378797bap-9, 0x1.e50e70e9af28bp-9, 0x1.d8613dbde2983p-9, 0x1.cc0270bd1e5c4p-9, 0x1.bff058b18e33bp-9, 0x1.b4294c4c653ebp-9, 0x1.a8abaa0aa80d4p-9, 0x1.9d75d81a39abcp-9, 0x1.9286443ed2ba8p-9, 0x1.87db63b74fc7dp-9, 0x1.7d73b322dc326p-9, 0x1.734db6666f3c7p-9, 0x1.6967f8925bb31p-9, 0x1.5fc10bc80aedfp-9, 0x1.5657891fc3a1dp-9, 0x1.4d2a108ebef3p-9, 0x1.443748cd4d4acp-9, 0x1.3b7ddf3d2445bp-9, 0x1.32fc87cff2ffbp-9, 0x1.2ab1fcee06b42p-9, 0x1.229cff5d433e9p-9, 0x1.1abc56280998p-9, 0x1.130ece84ae71cp-9, 0x1.0b933bbcc4e7p-9, 0x1.04487714eb395p-9, 0x1.fa5abf6934badp-10, 0x1.ec81b51c7a0dcp-10, 0x1.df03a48f0a60fp-10, 0x1.d1de6e43b833bp-10, 0x1.c50ffdc65e50ap-10, 0x1.b896497ddee4p-10, 0x1.ac6f527e5addap-10, 0x1.a099245c0932fp-10, 0x1.9511d4febca5bp-10, 0x1.89d78475325eap-10, 0x1.7ee85cc9c8d21p-10, 0x1.744291d6e353cp-10, 0x1.69e4611c20353p-10, 0x1.5fcc11941f021p-10, 0x1.55f7f38a69a35p-10, 0x1.4c6660723fd12p-10, 0x1.4315babda3d17p-10, 0x1.3a046db4bba86p-10, 0x1.3130ed4e28db1p-10, 0x1.2899b60766f39p-10, 0x1.203d4cbdd1c77p-10, 0x1.181a3e882d385p-10, 0x1.102f2090b6515p-10, 0x1.087a8fef75b13p-10, 0x1.00fb31855839fp-10, 0x1.f35f63af4f95dp-11, 0x1.e52d89d7b14aap-11, 0x1.d75e4c48319e2p-11, 0x1.c9ef30382fbbcp-11, 0x1.bcddc90cdd0cdp-11, 0x1.b027b81516469p-11, 0x1.a3caac45fde6p-11, 0x1.97c461f82bbdfp-11, 0x1.8c12a2a753792p-11, 0x1.80b344b0599cfp-11, 0x1.75a42b12e2e99p-11, 0x1.6ae3453226591p-11, 0x1.606e8e97159eap-11, 0x1.56440eb406edcp-11, 0x1.4c61d8a8762d4p-11, 0x1.42c60b064f19fp-11, 0x1.396ecf97863a2p-11, 0x1.305a5b24f325cp-11, 0x1.2786ed3e66485p-11, 0x1.1ef2d002d96f8p-11, 0x1.169c57e9bcf9bp-11, 0x1.0e81e38dec5bap-11, 0x1.06a1db782c6d6p-11, 0x1.fdf563d74e269p-12, 0x1.ef15c564c8d87p-12, 0x1.e0a1e5d6e6e4dp-12, 0x1.d296e1b1b83a3p-12, 0x1.c4f1e75f1447cp-12, 0x1.b7b036ce3d855p-12, 0x1.aacf2115eb467p-12, 0x1.9e4c0817d1e87p-12, 0x1.92245e25cdd63p-12, 0x1.8655a5a83bd5fp-12, 0x1.7add70c6357adp-12, 0x1.6fb9610fb3863p-12, 0x1.64e7272818516p-12, 0x1.5a648273a403ap-12, 0x1.502f40c46cee6p-12, 0x1.46453e0b106c9p-12, 0x1.3ca464078261ap-12, 0x1.334aa9fad05dfp-12, 0x1.2a36145bc9271p-12, 0x1.2164b48be099ap-12, 0x1.18d4a88e0122dp-12, 0x1.10841abe044ffp-12, 0x1.0871418a6e13ep-12, 0x1.009a5f2e9ef1fp-12, 0x1.f1fb82de91bdep-13, 0x1.e33382ad906c8p-13, 0x1.d4d985e8552ap-13, 0x1.c6ea6a3625aa9p-13, 0x1.b9632246f037ap-13, 0x1.ac40b55a4cd42p-13, 0x1.9f803ec3eb0dap-13, 0x1.931eed75721dp-13, 0x1.871a0389bcb5fp-13, 0x1.7b6ed5d1acdbcp-13, 0x1.701acb64df68bp-13, 0x1.651b5d33398dfp-13, 0x1.5a6e1598c8cd9p-13, 0x1.50108ff48671ep-13, 0x1.4600784084358p-13, 0x1.3c3b8aac17a07p-13, 0x1.32bf9338a5553p-13, 0x1.298a6d58c7d93p-13, 0x1.209a0390234dap-13, 0x1.17ec4f161ad89p-13, 0x1.0f7f577a3666ep-13, 0x1.0751324a39acdp-13, 0x1.fec005765db64p-14, 0x1.ef53f2a34d554p-14, 0x1.e05aa71fd1a3bp-14, 0x1.d1d0b742b638ap-14, 0x1.c3b2d0164ef56p-14, 0x1.b5fdb6ba1536cp-14, 0x1.a8ae47c70aca7p-14, 0x1.9bc176b92ed4dp-14, 0x1.8f344d5b64e46p-14, 0x1.8303eb36c55cp-14, 0x1.772d85048ee21p-14, 0x1.6bae6423f60f7p-14, 0x1.6083e612596e1p-14, 0x1.55ab7be79a274p-14, 0x1.4b22a9d211fa7p-14, 0x1.40e7069a58143p-14, 0x1.36f63b25a303p-14, 0x1.2d4e01fd92e6ap-14, 0x1.23ec26d86f737p-14, 0x1.1ace8626ec189p-14, 0x1.11f30ca234bdcp-14, 0x1.0957b6dccae79p-14, 0x1.00fa90d76a5c1p-14, 0x1.f1b36b2d621d5p-15, 0x1.e1e69d77af24ep-15, 0x1.d28b284041179p-15, 0x1.c39d96e4cba5fp-15, 0x1.b51a8fac9640fp-15, 0x1.a6fed30fb755fp-15, 0x1.99473afb7145dp-15, 0x1.8bf0ba231a3f8p-15, 0x1.7ef85b4cd94a9p-15, 0x1.725b40aaf4b02p-15, 0x1.6616a331257fep-15, 0x1.5a27d1f5c1763p-15, 0x1.4e8c318fa4fabp-15, 0x1.43413b7d4e85ap-15, 0x1.38447d8d0108p-15, 0x1.2d9399495c13ep-15, 0x1.232c4368c15a7p-15, 0x1.190c4341e019p-15, 0x1.0f31724197e06p-15, 0x1.0599bb66185aap-15, 0x1.f8863578ef22bp-16, 0x1.e65739c3b3ca8p-16, 0x1.d4a2bd0dda6e8p-16, 0x1.c36517f310035p-16, 0x1.b29ac1561d53p-16, 0x1.a2404d83631aap-16, 0x1.92526d4b32f8p-16, 0x1.82cded2b19e17p-16, 0x1.73afb47954bcfp-16, 0x1.64f4c49520adcp-16, 0x1.569a381d2c142p-16, 0x1.489d422dc2f8fp-16, 0x1.3afb2d9ea0ae1p-16, 0x1.2db15c4b71763p-16, 0x1.20bd465c8302bp-16, 0x1.141c7997ccbaep-16, 0x1.07cc98b3eaa71p-16, 0x1.f796b5643af25p-17, 0x1.e02d1475dfd99p-17, 0x1.c95809ffb4e92p-17, 0x1.b313764488a4dp-17, 0x1.9d5b5d3aefb35p-17, 0x1.882be56607a82p-17, 0x1.738156bf7c604p-17, 0x1.5f58199e779e7p-17, 0x1.4bacb5af5a2adp-17, 0x1.387bd0eb6d74ep-17, 0x1.25c22e9dde093p-17, 0x1.137cae6d002ffp-17, 0x1.01a84b6b5facep-17, 0x1.e0843659bd6c6p-18, 0x1.be8e99cfc7717p-18, 0x1.9d6a512d3eef7p-18, 0x1.7d121c4529e6fp-18, 0x1.5d80e92c6af02p-18, 0x1.3eb1d2a1e985bp-18, 0x1.20a01e8edbaaap-18, 0x1.03473c846f686p-18, 0x1.cd4588a2479b7p-19, 0x1.955ce92f8fcc1p-19, 0x1.5ecc62eba7fedp-19, 0x1.298c066492446p-19, 0x1.eb2853db71996p-20, 0x1.85bace54ba8dp-20, 0x1.22c1314079bdp-20, 0x1.845b5d8a5edebp-21, 0x1.8fcbc6c8e45fap-22, 0x1.00832234bffap-25, -0x1.46ad30458f917p-22, -0x1.524e857e981b6p-21, -0x1.fcf6d01239ed4p-21, -0x1.51b2f512ff19p-20, -0x1.a2d8c287f2792p-20, -0x1.f1f74c75b995fp-20, -0x1.1f8c5ada46f2dp-19, -0x1.452365a0141c6p-19, -0x1.69c583cbcb4cfp-19, -0x1.8d774aeba0cb4p-19, -0x1.b03d2a6b002eap-19, -0x1.d21b6d0cb97ebp-19, -0x1.f3163a59d8ffep-19, -0x1.0998cc021a567p-18, -0x1.1938b5a351158p-18, -0x1.286cbd10f33ecp-18, -0x1.3736b656ebff1p-18, -0x1.45986723a7215p-18, -0x1.5393875e1eab9p-18, -0x1.6129c1b7b88edp-18, -0x1.6e5cb435d173cp-18, -0x1.7b2df0b7f6fa4p-18, -0x1.879efd7d632a5p-18, -0x1.93b155a064854p-18, -0x1.9f66698e2fc94p-18, -0x1.aabf9f7e577ep-18, -0x1.b5be53e08e61ep-18, -0x1.c063d9c89efa1p-18, -0x1.cab17b5a4e629p-18, -0x1.d4a87a2be0cp-18, -0x1.de4a0fa3d7996p-18, -0x1.e7976d5cccfecp-18, -0x1.f091bd77ebd5fp-18, -0x1.f93a22f600e47p-18, -0x1.00c8dd069fd02p-17, -0x1.04cccc398180ap-17, -0x1.08a966d7593b8p-17, -0x1.0c5f31aee9958p-17, -0x1.0feeaebfc10cap-17, -0x1.13585d5a02585p-17, -0x1.169cba4011178p-17, -0x1.19bc3fc5948cp-17, -0x1.1cb765ed0178p-17, -0x1.1f8ea284bb5c4p-17, -0x1.22426941a66a9p-17, -0x1.24d32bdb1e96ap-17, -0x1.27415a22aad64p-17, -0x1.298d621bc8e0dp-17, -0x1.2bb7b0143b5bbp-17, -0x1.2dc0aeb94df29p-17, -0x1.2fa8c72c6c362p-17, -0x1.317061187e59p-17, -0x1.3317e2c3633e3p-17, -0x1.349fb1212a4b7p-17, -0x1.36082fe473b9p-17, -0x1.3751c1905d0dp-17, -0x1.387cc7875de4fp-17, -0x1.3989a2198029dp-17, -0x1.3a78b094b4b3bp-17, -0x1.3b4a515018542p-17, -0x1.3bfee1b9d8064p-17, -0x1.3c96be62df2d5p-17, -0x1.3d12430a7d2e9p-17, -0x1.3d71caa8e5552p-17, -0x1.3db5af7aa54bcp-17, -0x1.3dde4b082ba4ap-17, -0x1.3debf630bb777p-17, -0x1.3ddf09322175fp-17, -0x1.3db7dbb10232bp-17, -0x1.3d76c4bf9b5e1p-17, -0x1.3d1c1ae685c5ep-17, -0x1.3ca83429c2314p-17, -0x1.3c1b660f456fbp-17, -0x1.3b7605a5ae7d6p-17, -0x1.3ab8678874227p-17, -0x1.39e2dfe49f15cp-17, -0x1.38f5c27f65c18p-17, -0x1.37f162b7f4f6cp-17, -0x1.36d6138cc2645p-17, -0x1.35a4279ebad72p-17, -0x1.345bf13517382p-17, -0x1.32fdc23f3ee6dp-17, -0x1.3189ec58b1c18p-17, -0x1.3000c0c9fafb2p-17, -0x1.2e62908c3d2cfp-17, -0x1.2cafac4a197fbp-17, -0x1.2ae8646252b4cp-17, -0x1.290d08e8777e3p-17, -0x1.271de9a622495p-17, -0x1.251b561ca3f8ap-17, -0x1.23059d8594948p-17, -0x1.20dd0ed287c72p-17, -0x1.1ea1f8af04b07p-17, -0x1.1c54a98030949p-17, -0x1.19f56f64f7806p-17, -0x1.17849835a17f1p-17, -0x1.1502718510cf1p-17, -0x1.126f489eb7c11p-17, -0x1.0fcb6a870b004p-17, -0x1.0d1723fbe400fp-17, -0x1.0a52c172b5b4bp-17, -0x1.077e8f181638fp-17, -0x1.049ad8cfb407ep-17, -0x1.01a7ea3283786p-17, -0x1.fd4c1d1c07efdp-18, -0x1.f72b21c82ecd4p-18, -0x1.f0ed77d137beap-18, -0x1.ea93b401f4986p-18, -0x1.e41e6a860b30dp-18, -0x1.dd8e2ee72f2ccp-18, -0x1.d6e39409937adp-18, -0x1.d01f2c2aa29b7p-18, -0x1.c94188dd7877ap-18, -0x1.c24b3b089b002p-18, -0x1.bb3cd2e1ebaf1p-18, -0x1.b416dfebd660cp-18, -0x1.acd9f0f391fe7p-18, -0x1.a586940cd655ep-18, -0x1.9e1d568fca9e9p-18, -0x1.969ec514a9bcap-18, -0x1.8f0b6b717e9eep-18, -0x1.8763d4b61f437p-18, -0x1.7fa88b29de226p-18, -0x1.77da184861b11p-18, -0x1.6ff904bdd8788p-18, -0x1.6805d8645dd48p-18, -0x1.60011a413b88ep-18, -0x1.57eb5080e7a7cp-18, -0x1.4fc5007403dbbp-18, -0x1.478eae8bde731p-18, -0x1.3f48de5924513p-18, -0x1.36f41287bdaeep-18, -0x1.2e90ccdbc2badp-18, -0x1.261f8e2e8c2e6p-18, -0x1.1da0d66bea832p-18, -0x1.1515248fa9d25p-18, -0x1.0c7cf6a207a3p-18, -0x1.03d8c9b5f62ccp-18, -0x1.f65233cbc51f5p-19, -0x1.e4dcc4a1eb19p-19, -0x1.d3523a31c6653p-19, -0x1.c1b386be3f8ccp-19, -0x1.b0019a848e315p-19, -0x1.9e3d63b85bd84p-19, -0x1.8c67ce80013a8p-19, -0x1.7a81c4ed1a404p-19, -0x1.688c2efa433d4p-19, -0x1.5687f286a66dfp-19, -0x1.4475f351b9e12p-19, -0x1.325712f6dd19bp-19, -0x1.202c30ea06334p-19, -0x1.0df62a75224e6p-19, -0x1.f76bb567ce289p-20, -0x1.d2d835209c8f4p-20, -0x1.ae33817a86089p-20, -0x1.897f436d2b47cp-20, -0x1.64bd1f797ffdfp-20, -0x1.3feeb5a6fc94fp-20, -0x1.1b15a17c7f6a4p-20, -0x1.ec66f3f400e5ap-21, -0x1.a293a32a5d28ap-21, -0x1.58b46c6964da1p-21, -0x1.0ecc625ce3fbdp-21, -0x1.89bd1cfff644dp-22, -0x1.ebb7c466c1e0ep-23, -0x1.87ec09dfb25b8p-24, 0x1.8efd342fafafep-25, 0x1.8b5c9f5bdd72fp-23, 0x1.596b427499175p-22, 0x1.ed10daed64771p-22, 0x1.404cc3e46f959p-21, 0x1.89ffe52baec79p-21, 0x1.d39f1b4a4cf9dp-21, 0x1.0e93dccacf02ep-20, 0x1.334b8e5d8e509p-20, 0x1.57f5555fb834ap-20, 0x1.7c8fe98013099p-20, 0x1.a11a0719e26e3p-20, 0x1.c5926f332a3f2p-20, 0x1.e9f7e77ada801p-20, 0x1.07249d250104ep-19, 0x1.19429b51001bap-19, 0x1.2b555815ca8bap-19, 0x1.3d5c3f99f5fap-19, 0x1.4f56c056a549p-19, 0x1.61444b13ccd2p-19, 0x1.732452e85b53cp-19, 0x1.84f64d393e084p-19, 0x1.96b9b1b842247p-19, 0x1.a86dfa61e1a4cp-19, 0x1.ba12a37afa314p-19, 0x1.cba72b90655a8p-19, 0x1.dd2b13746647fp-19, 0x1.ee9dde3bffc44p-19, 0x1.ffff113d10964p-19, 0x1.08a71a062094bp-18, 0x1.1145683deb9bcp-18, 0x1.19da394c3861bp-18, 0x1.22655453b3acdp-18, 0x1.2ae68191351edp-18, 0x1.335d8a5a8ffc2p-18, 0x1.3bca391e137d2p-18, 0x1.442c5960d0f1fp-18, 0x1.4c83b7bc8e07ap-18, 0x1.54d021df1f56p-18, 0x1.5d11668842b82p-18, 0x1.654755885e7f4p-18, 0x1.6d71bfbf0abffp-18, 0x1.75907718f52d1p-18, 0x1.7da34e8e302bdp-18, 0x1.85aa1a20edb43p-18, 0x1.8da4aedbb1483p-18, 0x1.9592e2cfb8f8dp-18, 0x1.9d748d133b785p-18, 0x1.a54985be920d5p-18, 0x1.ad11a5eb87991p-18, 0x1.b4ccc7b2db9a8p-18, 0x1.bc7ac62aa11c7p-18, 0x1.c41b7d6476ba9p-18, 0x1.cbaeca6b511f8p-18, 0x1.d3348b41804f1p-18, 0x1.daac9edec55ecp-18, 0x1.e216e52e54de9p-18, 0x1.e9733f0cc6cedp-18, 0x1.f0c18e45906a3p-18, 0x1.f801b591cd6f1p-18, 0x1.ff33989595e1ep-18, 0x1.032b8def1c0b5p-17, 0x1.06b6127017edfp-17, 0x1.0a394cfa4834ep-17, 0x1.0db5312b6be7fp-17, 0x1.1129b311845bp-17, 0x1.1496c729a07c7p-17, 0x1.17fc625f1a90bp-17, 0x1.1b5a7a0a2c97dp-17, 0x1.1eb103eec6fe4p-17, 0x1.21fff63bc4d5bp-17, 0x1.254747897b9ddp-17, 0x1.2886eed8e51cep-17, 0x1.2bbee3924e6ebp-17, 0x1.2eef1d84239c6p-17, 0x1.321794e1eda53p-17, 0x1.3538424358059p-17, 0x1.38511ea2cd2efp-17, 0x1.3b62235c95226p-17, 0x1.3e6b4a2da988fp-17, 0x1.416c8d321b686p-17, 0x1.4465e6e479a71p-17, 0x1.4757521c782e7p-17, 0x1.4a40ca0de0422p-17, 0x1.4d224a476294cp-17, 0x1.4ffbceb1570e2p-17, 0x1.52cd538cb3559p-17, 0x1.5596d571fa716p-17, 0x1.5858515013e6p-17, 0x1.5b11c46afe3abp-17, 0x1.5dc32c5aa4a7ep-17, 0x1.606c870a23bdbp-17, 0x1.630dd2b6301a7p-17, 0x1.65a70dec32b6dp-17, 0x1.6838378956c9p-17, 0x1.6ac14eb8e6649p-17, 0x1.6d4252f3b499p-17, 0x1.6fbb43feb3b79p-17, 0x1.722c21e9bb26ep-17, 0x1.7494ed0ecc09ep-17, 0x1.76f5a6109edf5p-17, 0x1.794e4dd9be5d2p-17, 0x1.7b9ee59b72bd1p-17, 0x1.7de76ecc694dp-17, 0x1.8027eb27df24fp-17, 0x1.82605cac8c732p-17, 0x1.8490c59b2f3a3p-17, 0x1.86b92875de60ep-17, 0x1.88d987feddef7p-17, 0x1.8af1e73794731p-17, 0x1.8d02495f86243p-17, 0x1.8f0ab1f329247p-17, 0x1.910b24aabe0ebp-17, 0x1.9303a57972076p-17, 0x1.94f4388c6f81p-17, 0x1.96dce24991547p-17, 0x1.98bda74eae9bdp-17, 0x1.9a968c7045253p-17, 0x1.9c6796b895becp-17, 0x1.9e30cb66c928bp-17, 0x1.9ff22fedc5c3ap-17, 0x1.a1abc9f3363fp-17, 0x1.a35d9f4e9d3fcp-17, 0x1.a507b608564abp-17, 0x1.a6aa14588e098p-17, 0x1.a844c0a644a64p-17, 0x1.a9d7c1869100ep-17, 0x1.ab631dbba75d8p-17, 0x1.ace6dc339f389p-17, 0x1.ae630407cd8b4p-17, 0x1.afd79c7ba1aedp-17, 0x1.b144acfbe15d4p-17, 0x1.b2aa3d1dd6491p-17, 0x1.b408549e37f87p-17, 0x1.b55efb603b199p-17, 0x1.b6ae396d05b79p-17, 0x1.b7f616f25c8f2p-17, 0x1.b9369c41fec39p-17, 0x1.ba6fd1d108c95p-17, 0x1.bba1c0368c1bep-17, 0x1.bccc702b21b7p-17, 0x1.bdefea88021p-17, 0x1.bf0c38462725ep-17, 0x1.c021627d6a3e9p-17, 0x1.c12f7263c88d6p-17, 0x1.c236714c7f7f2p-17, 0x1.c33668a75a067p-17, 0x1.c42f61fff995p-17, 0x1.c52166fce11c6p-17, 0x1.c60c815ec25a8p-17, 0x1.c6f0baffa88edp-17, 0x1.c7ce1dd2514e5p-17, 0x1.c8a4b3e189a98p-17, 0x1.c974874f31f92p-17, 0x1.ca3da25390edbp-17, 0x1.cb000f3cc3722p-17, 0x1.cbbbd86dd0529p-17, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
    }}, 
    {
      46, 0x1.e851eb851eb85p+2, 0x1.50d7729b47be5p+0, 0x1.ac82affd2ae3ep+1, -0x1.9870a20ab408cp-8, 
      {{
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.3253850dba244p-6, -0x1.0cb52838e2843p-5, 0x1.618fe93b19fa9p-6, -0x1.99f26ab21d654p-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.18539aaee2833p-6, -0x1.f6d3e5cd2749cp-6, 0x1.52306ba138e03p-6, -0x1.8fa9db9bad77ep-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.0004a730f8263p-6, -0x1.d5c2181715494p-6, 0x1.4333a6982f2bbp-6, -0x1.86ebaa20d545ep-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d2a6f0b744ebep-7, -0x1.b62bc55986bacp-6, 0x1.348ad036f3f93p-6, -0x1.7dc3cd238a91dp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.a85a96cb0d9abp-7, -0x1.9808563160ac3p-6, 0x1.2639deec052d4p-6, -0x1.74b8409458507p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.80ff99e890f33p-7, -0x1.7b4f0e1a0dc2cp-6, 0x1.183fc2e67510cp-6, -0x1.6ba51dcf359ap-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.5c7232391172dp-7, -0x1.5ff73a81f4df9p-6, 0x1.0a9cc4fb7ca7ap-6, -0x1.62940373e752dp-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.3a8f76c3cd7dcp-7, -0x1.45f8262d06711p-6, 0x1.faa1a34e47f5ep-7, -0x1.59825da6f027ep-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.1b355d6dff593p-7, -0x1.2d491c96106a2p-6, 0x1.e0b7dc4829263p-7, -0x1.5070dd3712d58p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fc8575f5ba5ecp-8, -0x1.15e16906e11cdp-6, 0x1.c77c32173aefdp-7, -0x1.475f52c44478dp-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.c72e8617321d5p-8, -0x1.ff70adaccfcap-7, 0x1.aeeea57bb5cd5p-7, -0x1.3e4dcb003122bp-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.9627103ec1d1dp-8, -0x1.d58a62b01f122p-7, 0x1.970f36421883fp-7, -0x1.353c4284201a6p-8}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.6931f726bd2afp-8, -0x1.adfe87c068428p-7, 0x1.7fdde4782fb52p-7, -0x1.2c2aba3955fa4p-8}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.4013db456f9c3p-8, -0x1.88bbb385e2366p-7, 0x1.695ab01a49426p-7, -0x1.231931e15b6fp-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.1a931acd1c625p-8, -0x1.65b07ca8e66ddp-7, 0x1.5385992962671p-7, -0x1.1a07a98ceb05ap-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.f0efa357fd046p-9, -0x1.44cb79d1c526dp-7, 0x1.3e5e9fa5372d2p-7, -0x1.10f621377dc6ep-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.b317b318918f4p-9, -0x1.25fb41a8d1104p-7, 0x1.29e5c38dda8abp-7, -0x1.07e498e2671dp-8}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.7b3593a84b924p-9, -0x1.092e6ad65c3c8p-7, 0x1.161b04e346023p-7, -0x1.fda6211a43e8ap-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.48e3ef4b6fc4bp-9, -0x1.dca7180571c44p-8, 0x1.02fe63a57d0ffp-7, -0x1.eb83107000561p-9}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.1bc0ebbe32716p-9, -0x1.aab277ac725b3p-8, 0x1.e11fbfa8fa199p-8, -0x1.d95fffc57d97dp-9}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.e6dc54696ee2ap-10, -0x1.7c5c21f25e9e3p-8, 0x1.bd9ef2e090ae5p-8, -0x1.c73cef1b444b8p-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.9f218eb6245cdp-10, -0x1.51814427daf6ap-8, 0x1.9b7a60f1b85b5p-8, -0x1.b519de70b1f99p-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.5fa2b6aa8b444p-10, -0x1.29ff0b9d8bc17p-8, 0x1.7ab209dc77cf2p-8, -0x1.a2f6cdc667aadp-9}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.27b7f37e88adfp-10, -0x1.05b2a5a41548bp-8, 0x1.5b45eda0c9a27p-8, -0x1.90d3bd1c0625ap-9}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.ed80c6b3c19d1p-11, -0x1.c8f27f18380c7p-9, 0x1.3d360c3eaf93p-8, -0x1.7eb0ac7189f9p-9}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.984436a86df18p-11, -0x1.8c600d4c88876p-9, 0x1.208265b62ba06p-8, -0x1.6c8d9bc75ab0fp-9}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.4e944eea1b44cp-11, -0x1.5568508664f6p-9, 0x1.052afa073805ep-8, -0x1.5a6a8b1cadfecp-9}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.0f5915678cb8p-11, -0x1.23c5a36715f13p-9, 0x1.d65f9263bc59p-9, -0x1.48477a7292c76p-9}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.b310fbde877b8p-12, -0x1.ee64c11fc86acp-10, 0x1.a521a66c2654dp-9, -0x1.362469c7f6e7dp-9}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.584cd45effeb7p-12, -0x1.9ed1c54431418p-10, 0x1.769c3027c14bep-9, -0x1.2401591dcdff2p-9}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.0c89536c7e97fp-12, -0x1.5847087df7ed8p-10, 0x1.4acf2f967bff5p-9, -0x1.11de4872dc27bp-9}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.9c0be7c4f79ep-13, -0x1.1a39400facaacp-10, 0x1.21baa4b874925p-9, -0x1.ff766f944534dp-10}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.363c18b7d8f01p-13, -0x1.c83a4277ca76fp-11, 0x1.f6bd1f1aab904p-10, -0x1.db304e342dd42p-10}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.c9233ccd07682p-14, -0x1.6acec28a478f9p-11, 0x1.af75e02c717d8p-10, -0x1.b6ea2d092a2ebp-10}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.48652a09a70cp-14, -0x1.1b196adc68896p-11, 0x1.6d9f8c9e44c39p-10, -0x1.92a40b18989a1p-10}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.c9f341167418p-15, -0x1.b0074be335072p-12, 0x1.313a248dc7796p-10, -0x1.6e5dec089bcf2p-10}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.34176d6ab7fp-15, -0x1.40edbcaac0f22p-12, 0x1.f48b4f18f9ccap-11, -0x1.4a17c23d1cd9fp-10}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.8cd7c7a6683ffp-16, -0x1.cd71f9d44dc92p-13, 0x1.91842e6d0abedp-11, -0x1.25d1c07dff03ep-10}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.e412343b9e403p-17, -0x1.3e77c4ba7ca19p-13, 0x1.395edb140b0acp-11, -0x1.018b2949d5695p-10}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.1350bf62d28p-17, -0x1.a124fdde7070bp-14, 0x1.d83703c8960a1p-12, -0x1.ba8d7fb9c416ap-11}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.1d63873b0ep-18, -0x1.fd9f9765e6c89p-15, 0x1.5372f710db37p-12, -0x1.71f4698f86e43p-11}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.03dd2ed99dp-19, -0x1.1a756dc5ccb51p-15, 0x1.c8ece1fecbe1bp-13, -0x1.29980517bc892p-11}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.85eda67b18p-21, -0x1.0eccb754d1a4p-16, 0x1.165e788a27904p-13, -0x1.c0b23a5771a95p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.a85a96cb00001p-23, -0x1.97cabf4846342p-18, 0x1.1f85347971557p-14, -0x1.34cf22ac38e7ap-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.e6dc546b00001p-26, -0x1.7ff3897702aa5p-20, 0x1.98f07eaed6601p-16, -0x1.208c6288419bcp-13}, 
        {0x1.e666666666666p+2, 0x1.e851eb851eb85p+2, 0x1.34176dbffffffp-31, -0x1.a9e60f8f24942p-26, 0x1.f57376c10ap-19, -0x1.b41a8b0050548p-12}, 
      }}, 
      0x1.fb7526d381c8fp-7, -0x1.7abd4813bf08cp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.48a5c608cafdp-5, -0x1.46d43eaa2d2c4p-4, -0x1.e5c4b610416ecp-4, -0x1.3fc8ead3a275dp-3, -0x1.897349883173cp-3, -0x1.cf576294fd269p-3, -0x1.0884c574037d9p-2, -0x1.271c942fd9e79p-2, -0x1.4356aec876a4ap-2, -0x1.5d2115096ac94p-2, -0x1.7472fa8822a65p-2, -0x1.894baa9778965p-2, -0x1.9bb178c59c456p-2, -0x1.abb0b611db62bp-2, -0x1.b95aabb3c93f4p-2, -0x1.c4c4a169a2343p-2, -0x1.ce06f5db4caf3p-2, -0x1.d53c4ecdcb45ep-2, -0x1.da80e4784992ap-2, -0x1.ddf1e8d1a46d3p-2, -0x1.dfad09e0c0fc9p-2, -0x1.dfd00ca92e459p-2, -0x1.de787d7b2acefp-2, -0x1.dbc372045da9ap-2, -0x1.d7cd598335341p-2, -0x1.d2b1d7f996f11p-2, -0x1.cc8ba9ff7e26p-2, -0x1.c5748f8cab5dep-2, -0x1.bd853c7895029p-2, -0x1.b4d54d98a6724p-2, -0x1.ab7b417d77988p-2, -0x1.a18c73f8e5783p-2, -0x1.971d1bc9b76b7p-2, -0x1.8c404a01c15b1p-2, -0x1.8107eade3b76cp-2, -0x1.7584c7f5ce319p-2, -0x1.69c68b95b5e5ep-2, -0x1.5ddbc54dca3c5p-2, -0x1.51d1ef8e3c206p-2, -0x1.45b576a3eb15fp-2, -0x1.3991c0c1971a1p-2, -0x1.2d713696f8ap-2, -0x1.215d4ca8737d2p-2, -0x1.155e8ebf96c22p-2, -0x1.097cab28d2a18p-2, -0x1.fb7cfa10a2e9p-3, -0x1.e454332bb0867p-3, -0x1.cd89b9267b92ep-3, -0x1.b726e62d7017cp-3, -0x1.a133d1c8aba98p-3, -0x1.8bb7676f2e57fp-3, -0x1.76b77ccf60d4bp-3, -0x1.6238e87ce0343p-3, -0x1.4e3f960860de4p-3, -0x1.3ace99f7839e1p-3, -0x1.27e8443aef1eap-3, -0x1.158e31afa0462p-3, -0x1.03c15c9af5148p-3, -0x1.e50458621a655p-4, -0x1.c3a10665fe9e4p-4, -0x1.a3579b52a939bp-4, -0x1.84261b762ea9dp-4, -0x1.6609cf3cfd404p-4, -0x1.48ff594068461p-4, -0x1.2d02ca85e056bp-4, -0x1.120fb4fabc42bp-4, -0x1.f04278839043bp-5, -0x1.be6449db0cfc5p-5, -0x1.8e79c484acd14p-5, -0x1.60774540a545p-5, -0x1.3450b5664abbep-5, -0x1.09f99f18dddcdp-5, -0x1.c2ca7f268a03ep-6, -0x1.750d2f9e0709dp-6, -0x1.2aa0f7698e25ep-6, -0x1.c6d67ff9a6ac5p-7, -0x1.3ea29b64dabf9p-7, -0x1.78e15af2b80dcp-8, -0x1.002cbe740d015p-9, 0x1.b61993bd16188p-10, 0x1.505ef2648cb41p-8, 0x1.146e32961ad47p-7, 0x1.7bb35e8268f59p-7, 0x1.de3255221085dp-7, 0x1.1e0ed7d8b6a67p-6, 0x1.4ad399a4922a4p-6, 0x1.757fdefc6de85p-6, 0x1.9e2b9b0580c07p-6, 0x1.c4ee3dbdbde8fp-6, 0x1.e9deadbf13019p-6, 0x1.0689a167a0907p-5, 0x1.1750e0ac87a84p-5, 0x1.274fab1b9cf15p-5, 0x1.369049bc0aa7ap-5, 0x1.451cb682026a7p-5, 0x1.52fe9b387fe2p-5, 0x1.603f50562b3d1p-5, 0x1.6ce7dc56270dp-5, 0x1.7900f34b282d7p-5, 0x1.8492f68cf4962p-5, 0x1.8fa5f5171617ap-5, 0x1.9a41ab955a05cp-5, 0x1.a46d853a522c1p-5, 0x1.ae309c52dd1d4p-5, 0x1.b791bb38029abp-5, 0x1.c0975d57f1289p-5, 0x1.c947b047ee23ap-5, 0x1.d1a894fa7202dp-5, 0x1.d9bfa10e0a3bp-5, 0x1.e192202de832dp-5, 0x1.e9251575ecd64p-5, 0x1.f07d3d2967a97p-5, 0x1.f79f0e266beb2p-5, 0x1.fe8ebbc0e8831p-5, 0x1.02a81bc81ac96p-4, 0x1.05f39992b11e3p-4, 0x1.092b9115a4815p-4, 0x1.0c519e19fdc93p-4, 0x1.0f673f57a2758p-4, 0x1.126dd7875e73dp-4, 0x1.1566ae5173bf7p-4, 0x1.1852f14bf01e2p-4, 0x1.1b33b50b8e4ap-4, 0x1.1e09f619fd859p-4, 0x1.20d699e2bad6cp-4, 0x1.239a6fc5f7933p-4, 0x1.265632164e25p-4, 0x1.290a86ef562b9p-4, 0x1.2bb8013f8a1a9p-4, 0x1.2e5f21d1a20bep-4, 0x1.3100581752266p-4, 0x1.339c031263d71p-4, 0x1.363272620e63dp-4, 0x1.38c3e71ab8eep-4, 0x1.3b5094834bdd8p-4, 0x1.3dd8a102ba33cp-4, 0x1.405c2712848c7p-4, 0x1.42db35ef79187p-4, 0x1.4555d24452606p-4, 0x1.47cbf7100233bp-4, 0x1.4a3d96761244cp-4, 0x1.4caa9a454a49fp-4, 0x1.4f12e4930fbf3p-4, 0x1.5176508d5c2f8p-4, 0x1.53d4b324c69b6p-4, 0x1.562ddb780e304p-4, 0x1.58819356461aep-4, 0x1.5acf9ff0004bap-4, 0x1.5d17c26c8441bp-4, 0x1.5f59b840a72adp-4, 0x1.61953b8a76a25p-4, 0x1.63ca03a32200dp-4, 0x1.65f7c5aa0555dp-4, 0x1.681e34cbe0b6cp-4, 0x1.6a3d027a67007p-4, 0x1.6c53deda488f2p-4, 0x1.6e627941a0a5p-4, 0x1.7068807eab12p-4, 0x1.7265a2f95f224p-4, 0x1.74598ef3d2164p-4, 0x1.7643f2ef47ca6p-4, 0x1.78247dfdc7facp-4, 0x1.79fadfe4c9dfcp-4, 0x1.7bc6c934590d2p-4, 0x1.7d87eb7ff760ap-4, 0x1.7f3df9afd8bb3p-4, 0x1.80e8a837e2348p-4, 0x1.8287ad236d028p-4, 0x1.841ac01f6a8d4p-4, 0x1.85a19aab1c3cep-4, 0x1.871bf85969c62p-4, 0x1.888996f1fce7cp-4, 0x1.89ea366e9bc38p-4, 0x1.8b3d98fe3d59dp-4, 0x1.8c838328c05f3p-4, 0x1.8dbbbbfd5f34p-4, 0x1.8ee60d2905e0fp-4, 0x1.900242f1689a1p-4, 0x1.91102c2e9bcd1p-4, 0x1.920f9a5a407c4p-4, 0x1.930061aeba9d5p-4, 0x1.93e2593cf35p-4, 0x1.94b55ae97a653p-4, 0x1.9579435bda814p-4, 0x1.962df1f9dfd2dp-4, 0x1.96d348f91b713p-4, 0x1.97692d73f35d4p-4, 0x1.97ef876ac0348p-4, 0x1.986641b05065dp-4, 0x1.98cd49d7a1333p-4, 0x1.99249034f966ap-4, 0x1.996c07eb38c07p-4, 0x1.99a3a6f0345d5p-4, 0x1.99cb65ff58279p-4, 0x1.99e340849f19fp-4, 0x1.99eb348ee9928p-4, 0x1.99e342cdf08bdp-4, 0x1.99cb6e92d9635p-4, 0x1.99a3bdca01468p-4, 0x1.996c38ed32f93p-4, 0x1.9924eaf272fbcp-4, 0x1.98cde13bf33d5p-4, 0x1.98672b8c4768fp-4, 0x1.97f0dbfe387b9p-4, 0x1.976b06fd71ca2p-4, 0x1.96d5c33c46c31p-4, 0x1.963129a33ce6p-4, 0x1.957d553bc945p-4, 0x1.94ba631d355dp-4, 0x1.93e87260b688cp-4, 0x1.9307a41ac5524p-4, 0x1.92181b52a7255p-4, 0x1.9119fcf2108e9p-4, 0x1.900d6fadb9762p-4, 0x1.8ef29beee420ep-4, 0x1.8dc9abc4f6922p-4, 0x1.8c92caddd61dfp-4, 0x1.8b4e267d7f892p-4, 0x1.89fbed6ec31bbp-4, 0x1.889c4fed455e5p-4, 0x1.872f7f8eda7a6p-4, 0x1.85b5af32fbc9bp-4, 0x1.842f12f9142cp-4, 0x1.829be037a9d98p-4, 0x1.80fc4d6e72083p-4, 0x1.7f509232c5001p-4, 0x1.7d98e71aa7f63p-4, 0x1.7bd585ab9634fp-4, 0x1.7a06a84f13b49p-4, 0x1.782c8a49e3c4bp-4, 0x1.764767b049d72p-4, 0x1.74577d54bfd56p-4, 0x1.725d08b3f20d1p-4, 0x1.705847e31aebep-4, 0x1.6e497983c38bp-4, 0x1.6c30dcbbbb828p-4, 0x1.6a0eb12cf32e4p-4, 0x1.67e336e8b81bbp-4, 0x1.65aeae5d7ae2dp-4, 0x1.637158431f844p-4, 0x1.612b758b80a8ap-4, 0x1.5edd4759ba2bbp-4, 0x1.5c870efdb1443p-4, 0x1.5a290dee6387cp-4, 0x1.57c385be5f1fdp-4, 0x1.5556b809ded6bp-4, 0x1.52e2e662e6bc9p-4, 0x1.506852420905cp-4, 0x1.4de73cffc0e0ep-4, 0x1.4b5fe7d4261ccp-4, 0x1.48d293d5fc529p-4, 0x1.463f81f264006p-4, 0x1.43a6f2db86aaap-4, 0x1.410926f32fc6p-4, 0x1.3e665e39e2c07p-4, 0x1.3bbed84927bb8p-4, 0x1.3912d45883fdfp-4, 0x1.36629144d55ebp-4, 0x1.33ae4d8eceb6fp-4, 0x1.30f6474a682a7p-4, 0x1.2e3abc0347032p-4, 0x1.2b7be8a2f249fp-4, 0x1.28ba0966c4b01p-4, 0x1.25f559eb3cc2ap-4, 0x1.232e1544c3139p-4, 0x1.206476135cd8fp-4, 0x1.1d98b67e866a4p-4, 0x1.1acb1012b5616p-4, 0x1.17fbbb8d1dd6ep-4, 0x1.152af0b089151p-4, 0x1.1258e63e2e6c6p-4, 0x1.0f85d21bc9ab6p-4, 0x1.0cb1e99691a68p-4, 0x1.09dd619d910a4p-4, 0x1.07086ecc0b2ccp-4, 0x1.043345313b70fp-4, 0x1.015e17e655818p-4, 0x1.fd123147f57bap-5, 0x1.f768ef245be47p-5, 0x1.f1c0c6ef9103fp-5, 0x1.ec1a148027cc9p-5, 0x1.e67533393ff77p-5, 0x1.e0d27ee0ea785p-5, 0x1.db3253812c1e6p-5, 0x1.d5950c34fef38p-5, 0x1.cffb014d9e94ap-5, 0x1.ca6486a585ef9p-5, 0x1.c4d1eb0201886p-5, 0x1.bf4378fe773fap-5, 0x1.b9b9794aa5505p-5, 0x1.b4343557f9e31p-5, 0x1.aeb3f93d2ea82p-5, 0x1.a93913cae246ap-5, 0x1.a3c3d48022b2bp-5, 0x1.9e548801343cep-5, 0x1.98eb747df9775p-5, 0x1.9388d7b066b1cp-5, 0x1.8e2ce795ca609p-5, 0x1.88d7d5e937a42p-5, 0x1.8389d52b8b717p-5, 0x1.7e431d38cbfabp-5, 0x1.7903ed65f2e37p-5, 0x1.73cc8af2684b6p-5, 0x1.6e9d3bff28144p-5, 0x1.697640bf28f99p-5, 0x1.6457cd90483a5p-5, 0x1.5f4208994477p-5, 0x1.5a350c4a461b9p-5, 0x1.5530ee2c89858p-5, 0x1.5035c7a4180c5p-5, 0x1.4b43bd621a818p-5, 0x1.465b029229fd4p-5, 0x1.417bd625ce7c1p-5, 0x1.3ca67aa83b6efp-5, 0x1.37db2b2aeb19p-5, 0x1.331a11575857ep-5, 0x1.2e6340b1023f1p-5, 0x1.29b6b94a81408p-5, 0x1.2514714d5176bp-5, 0x1.207c6211e1124p-5, 0x1.1bee944908d1dp-5, 0x1.176b271aec515p-5, 0x1.12f24fa33d774p-5, 0x1.0e845058b2114p-5, 0x1.0a216a7927258p-5, 0x1.05c9ce0e29c3cp-5, 0x1.017d8e65de6cdp-5, 0x1.fa793f769a75dp-6, 0x1.f20dbe7ac9e4ep-6, 0x1.e9b844e6909dap-6, 0x1.e1789102b626fp-6, 0x1.d94e900e1a92cp-6, 0x1.d13a6c300cbddp-6, 0x1.c93c891e21339p-6, 0x1.c1556ebda7233p-6, 0x1.b985a5417488ep-6, 0x1.b1cd8cad30171p-6, 0x1.aa2d3ea3af3c8p-6, 0x1.a2a48766be69cp-6, 0x1.9b32f8b6a65fp-6, 0x1.93d80d0dcbd95p-6, 0x1.8c934c77900a1p-6, 0x1.856468c4e276ap-6, 0x1.7e4b4ebf6d416p-6, 0x1.77482ca5c77d1p-6, 0x1.705b6ab91ba38p-6, 0x1.698590d0f2025p-6, 0x1.62c71b13b77fcp-6, 0x1.5c204cfeae44p-6, 0x1.5591184f1c049p-6, 0x1.4f1923d0cc437p-6, 0x1.48b7ea274e2a1p-6, 0x1.426cdb8cd38a2p-6, 0x1.3c37732cc3c8ep-6, 0x1.3617429091ca1p-6, 0x1.300bfffcbd7b5p-6, 0x1.2a159bb37caa4p-6, 0x1.24344d89287d1p-6, 0x1.1e68861ceb62cp-6, 0x1.18b2c04a265cdp-6, 0x1.13134a611ba09p-6, 0x1.0d8a28c43547bp-6, 0x1.0817203df3961p-6, 0x1.02b9d62968b77p-6, 0x1.fae3cb1a1fefdp-7, 0x1.f07db2f6ed3adp-7, 0x1.e6403d4c908aap-7, 0x1.dc2a1b628a5dap-7, 0x1.d23a3414a1c0ep-7, 0x1.c870124c38d9bp-7, 0x1.becc09b64585ap-7, 0x1.b54eea966833bp-7, 0x1.abf97a94ad04dp-7, 0x1.a2cc16b86dac2p-7, 0x1.99c6b6ac8d3a2p-7, 0x1.90e930229903ep-7, 0x1.88336376adc56p-7, 0x1.7fa5136dfc992p-7, 0x1.773d814580ecfp-7, 0x1.6efb34cc5d2a3p-7, 0x1.66dc473e996a8p-7, 0x1.5edf153380bafp-7, 0x1.5702d772a6ae3p-7, 0x1.4f47b1de602dep-7, 0x1.47ae3af9e403ap-7, 0x1.4036ea10790fep-7, 0x1.38e1db61a714cp-7, 0x1.31aefd154e352p-7, 0x1.2a9e623126e43p-7, 0x1.23b061d69dd4ep-7, 0x1.1ce54ae40da7cp-7, 0x1.163cce71b3b78p-7, 0x1.0fb5a2be1afd9p-7, 0x1.094dccd3dc48dp-7, 0x1.03036c2eb0752p-7, 0x1.f9aadeef660d2p-8, 0x1.ed8773a7dcbaap-8, 0x1.e19d7037311b9p-8, 0x1.d5ed90ac0b875p-8, 0x1.ca77c3885a9ep-8, 0x1.bf3b4494c6fp-8, 0x1.b4374274018b6p-8, 0x1.a96b9088cf0b4p-8, 0x1.9ed8be96844c4p-8, 0x1.947f47cc0b83ap-8, 0x1.8a5e711c1813p-8, 0x1.8073e604b72fep-8, 0x1.76bc7b9eeea94p-8, 0x1.6d3566cd7cc9ep-8, 0x1.63dd10c524b32p-8, 0x1.5ab365580ed2bp-8, 0x1.51b98df460263p-8, 0x1.48f100b438099p-8, 0x1.405a5874c1fd4p-8, 0x1.37f4c626c59cfp-8, 0x1.2fbe891b8aaa5p-8, 0x1.27b5dcd78458cp-8, 0x1.1fd976e057f44p-8, 0x1.182883e196208p-8, 0x1.10a26bf7cb50fp-8, 0x1.094676885470bp-8, 0x1.021391fca15cbp-8, 0x1.f6107dc9cb242p-9, 0x1.e844f65d7512cp-9, 0x1.dac0f9192ffcfp-9, 0x1.cd847ddadfbacp-9, 0x1.c0939b1ff56c2p-9, 0x1.b3f2fbb18f325p-9, 0x1.a7a46f691d8a3p-9, 0x1.9ba7173d7441ep-9, 0x1.8ff8c63b8a157p-9, 0x1.8495840cdece8p-9, 0x1.797784d8cddfbp-9, 0x1.6e99874b6f496p-9, 0x1.63f8d338e4c06p-9, 0x1.5994d14ff57c2p-9, 0x1.4f6db86bee052p-9, 0x1.4583109b27f45p-9, 0x1.3bd1b05374d72p-9, 0x1.32550e9e41d79p-9, 0x1.290c99815ff47p-9, 0x1.1ffc36cf7cad4p-9, 0x1.1726a9d31242cp-9, 0x1.0e8bd67c547b1p-9, 0x1.062c9b13c1db5p-9, 0x1.fc1610dc76ba8p-10, 0x1.ec4c1b5061fc6p-10, 0x1.dcf1abb7dadb6p-10, 0x1.cdfd0e5c55cb5p-10, 0x1.bf69a84070f3fp-10, 0x1.b136025128e3ep-10, 0x1.a35f655cf3d8bp-10, 0x1.95e17e36eb182p-10, 0x1.88b684f59a2bp-10, 0x1.7bd5714b6c3aap-10, 0x1.6f3af604ef08p-10, 0x1.62f12a77206f1p-10, 0x1.56ff91c435c1ep-10, 0x1.4b5fc63878626p-10, 0x1.400c295daaf07p-10, 0x1.3509880f2a615p-10, 0x1.2a5c715896235p-10, 0x1.2002195906911p-10, 0x1.15f3ff94e7dc3p-10, 0x1.0c2d1254c5961p-10, 0x1.02ac5e82ba744p-10, 0x1.f2e7a2234274bp-11, 0x1.e107ed651282ap-11, 0x1.cfb57f32c76bp-11, 0x1.bee8f31d06594p-11, 0x1.ae8e11b6b4021p-11, 0x1.9e8f8d95a6eep-11, 0x1.8ef6fbe9a9cb6p-11, 0x1.7fd2e6784bbc1p-11, 0x1.711a4f306a7ebp-11, 0x1.62ca1a4c917a3p-11, 0x1.54ebb08e11bf7p-11, 0x1.477cf86380738p-11, 0x1.3a747dc11c4b4p-11, 0x1.2dce358f45719p-11, 0x1.218a84712d36dp-11, 0x1.15a92ca541471p-11, 0x1.0a28b3d102ebdp-11, 0x1.fe0e4ad134d6cp-12, 0x1.e8800ff6fd455p-12, 0x1.d39e92c22139ep-12, 0x1.bf6e65e8e25ebp-12, 0x1.abe71e68c5524p-12, 0x1.98f6c36264e5dp-12, 0x1.86aff74b45de4p-12, 0x1.750c58f2978p-12, 0x1.63e723137ada1p-12, 0x1.5344a25d55eecp-12, 0x1.432e58928194cp-12, 0x1.339cea0e7a45bp-12, 0x1.248c5a22db858p-12, 0x1.15f9f36057be6p-12, 0x1.07df82e62106ap-12, 0x1.f474901559d75p-13, 0x1.da1fea3089878p-13, 0x1.c0cdc4a6e6b02p-13, 0x1.a87645e68aaf8p-13, 0x1.90fa0d893d6bcp-13, 0x1.7a45a8351bd9cp-13, 0x1.646ae884b9e17p-13, 0x1.4f584b0affa5fp-13, 0x1.3af31e4389906p-13, 0x1.274e52b6d26e9p-13, 0x1.144ee1a00fdc2p-13, 0x1.020ce48e65a3ap-13, 0x1.e149983646eabp-14, 0x1.bffa35ee5d732p-14, 0x1.9ff88d9e8e7edp-14, 0x1.811d5c75f4b6bp-14, 0x1.634a919f65137p-14, 0x1.4680b1fd414c3p-14, 0x1.2ad520c5c1224p-14, 0x1.1049505dbf62ap-14, 0x1.ed8db1fd7a62ep-15, 0x1.bc9a27eda9251p-15, 0x1.8dd825399606ep-15, 0x1.612ad3861f8e9p-15, 0x1.369d7a7cb030dp-15, 0x1.0e4f25dba58f8p-15, 0x1.cf17d0f23da3cp-16, 0x1.8468f4387f7cap-16, 0x1.3c528f42838a5p-16, 0x1.ef141dbfd7bbbp-17, 0x1.6cda3e906ee55p-17, 0x1.e10c663cd612cp-18, 0x1.e673af2ca7bb6p-19, 0x1.07b16acde9c1fp-22, -0x1.8d893e7552068p-19, -0x1.9213f5f66f1dcp-18, -0x1.28a3c1755752bp-17, -0x1.829ec3bb731e9p-17, -0x1.d8214e971d705p-17, -0x1.150e7ef3c9507p-16, -0x1.3c141301018b7p-16, -0x1.60d278a02313ap-16, -0x1.83aab5dd74df4p-16, -0x1.a4a8c770885e8p-16, -0x1.c2d582523f919p-16, -0x1.deb4eb9fc5613p-16, -0x1.f9328cee546p-16, -0x1.093b4efef21b1p-15, -0x1.14ebdb17e5f76p-15, -0x1.1fbaef7ea1f55p-15, -0x1.29da2d6123dbcp-15, -0x1.334a8c4ae7b5fp-15, -0x1.3c089fdf7b309p-15, -0x1.441627b89ffe8p-15, -0x1.4b7788f93a6bap-15, -0x1.5232f25ce8f27p-15, -0x1.58509165cc763p-15, -0x1.5dd997d271eb4p-15, -0x1.62d526eb18a5fp-15, -0x1.674354519588bp-15, -0x1.6b19c4ed8ed48p-15, -0x1.6e52077f7e739p-15, -0x1.710ba86de3571p-15, -0x1.7371d019713aep-15, -0x1.75576e864f4e3p-15, -0x1.76ba557330d2dp-15, -0x1.77f4fccf59bd7p-15, -0x1.78d9893334136p-15, -0x1.79223a685ab0ap-15, -0x1.790b4de6eb017p-15, -0x1.78b29f396d339p-15, -0x1.78164df130c31p-15, -0x1.7732fef01d344p-15, -0x1.76085694ae492p-15, -0x1.7497cff6f077p-15, -0x1.72e3d4e21100fp-15, -0x1.70efa07ad5fbep-15, -0x1.6ebf391562a87p-15, -0x1.6c571b88c7858p-15, -0x1.69bbd254c68bfp-15, -0x1.66f13f73a0c8p-15, -0x1.63f93a84fb2a1p-15, -0x1.60d4632f5222cp-15, -0x1.5d86b08308008p-15, -0x1.5a17fded807cap-15, -0x1.567ec11b8b742p-15, -0x1.52addb19593afp-15, -0x1.4ec7f72dd47ebp-15, -0x1.4abbd82a35329p-15, -0x1.4692ac891b4ap-15, -0x1.425c55f9f4d4ap-15, -0x1.3e1b1181c98ep-15, -0x1.39be7b5533d8cp-15, -0x1.3542bf5ec4b7fp-15, -0x1.30b634cdb541ep-15, -0x1.2c1e49afad4dcp-15, -0x1.277a84fc3267cp-15, -0x1.22ca868577cf1p-15, -0x1.1e0f0825cd095p-15, -0x1.19496b45b0c5p-15, -0x1.147b49ef7ba5fp-15, -0x1.0fa6495093e1dp-15, }}, 
      {{-0x1.1ce1567f9afb5p-5, -0x1.1c16fa3d984e7p-4, -0x1.a82d2f446e9c3p-4, -0x1.18fd1bf52cb7dp-3, -0x1.5c6bf4cd343b9p-3, -0x1.9e1ae047833f9p-3, -0x1.ddcc86a66869cp-3, -0x1.0da6f1d9a6ab4p-2, -0x1.2b3ab6f4e4a46p-2, -0x1.47911ae4e4e75p-2, -0x1.629d8a5dc453dp-2, -0x1.7c56f763a4da1p-2, -0x1.94b7814a97ddp-2, -0x1.abbc213837eadp-2, -0x1.c164598a3bf69p-2, -0x1.d5b1e7b61407bp-2, -0x1.e8a8790fa3698p-2, -0x1.fa4d635092594p-2, -0x1.0553b0e2f9d0fp-1, -0x1.0cdf2bf315decp-1, -0x1.13cd8ce6a9d7bp-1, -0x1.1a239d6b44106p-1, -0x1.1fe6711f6f49ap-1, -0x1.251b52bfe52p-1, -0x1.29c7b3f1a2afcp-1, -0x1.2df11f5f446e8p-1, -0x1.319d2ce03286bp-1, -0x1.34d1776705c69p-1, -0x1.3793947c780d2p-1, -0x1.39e90d12b945ap-1, -0x1.3bd757822eb6p-1, -0x1.3d63d2856e194p-1, -0x1.3e93c10f2f2e7p-1, -0x1.3f6c46da097eap-1, -0x1.3ff26596ea25dp-1, -0x1.402afaa3e1628p-1, -0x1.401abd392fe6bp-1, -0x1.3fc63cfd77d4cp-1, -0x1.3f31e0f534564p-1, -0x1.3e61e6c26c84p-1, -0x1.3d5a622c26868p-1, -0x1.3c1f3ce5a0436p-1, -0x1.3ab436911c067p-1, -0x1.391ce4f53bf5dp-1, -0x1.375cb45e07286p-1, -0x1.3576e8262d28fp-1, -0x1.336e9b62e58edp-1, -0x1.3146c1a9a2bb9p-1, -0x1.2f0227f28d14ep-1, -0x1.2ca3759056994p-1, -0x1.2a2d2d3911d73p-1, -0x1.27a1ae1f5c22ap-1, -0x1.25033515e5224p-1, -0x1.2253ddbd0b92bp-1, -0x1.1f95a3b81037fp-1, -0x1.1cca63e816776p-1, -0x1.19f3ddaa999c4p-1, -0x1.1713b4189208dp-1, -0x1.142b6f4411378p-1, -0x1.113c7d72aa999p-1, -0x1.0e483453710f9p-1, -0x1.0b4fd22f38f9ep-1, -0x1.08547f11a03eep-1, -0x1.05574de992dep-1, -0x1.02593da0a4b5ep-1, -0x1.feb67452bc5ddp-2, -0x1.f8bc3b09bd7b4p-2, -0x1.f2c5617fb184ep-2, -0x1.ecd359cc7a05p-2, -0x1.e6e777d8f881ap-2, -0x1.e102f31b0852p-2, -0x1.db26e83ae4fbfp-2, -0x1.d5545aa3bbef3p-2, -0x1.cf8c36021fa24p-2, -0x1.c9cf4fb293699p-2, -0x1.c41e6820de32ap-2, -0x1.be7a2c1741a41p-2, -0x1.b8e335fbf9f8cp-2, -0x1.b35a0efbd7207p-2, -0x1.addf30222d993p-2, -0x1.a873035ff3d5ep-2, -0x1.a315e484b8f99p-2, -0x1.9dc8222c3345p-2, -0x1.9889fea206b51p-2, -0x1.935bb0bc29dc1p-2, -0x1.8e3d64ab187c7p-2, -0x1.892f3cbe92677p-2, -0x1.8431521de392fp-2, -0x1.7f43b573954bdp-2, -0x1.7a666f8d56cap-2, -0x1.759981f1ba8fap-2, -0x1.70dce76d9ba78p-2, -0x1.6c30949acb3fdp-2, -0x1.679478611198ep-2, -0x1.63087c71d5d6bp-2, -0x1.5e8c85be2c8p-2, -0x1.5a2074e6c2914p-2, -0x1.55c426a500362p-2, -0x1.5177742d36be8p-2, -0x1.4d3a3389928ecp-2, -0x1.490c37eeacf26p-2, -0x1.44ed5209e1e24p-2, -0x1.40dd504aac8e1p-2, -0x1.3cdbff2786b09p-2, -0x1.38e9295ed4c76p-2, -0x1.3504983498c72p-2, -0x1.312e13aca4ee4p-2, -0x1.2d6562c1b4be6p-2, -0x1.29aa4b9938a7fp-2, -0x1.25fc93b3ae956p-2, -0x1.225c00198c2b8p-2, -0x1.1ec85584d6e61p-2, -0x1.1b4158872816bp-2, -0x1.17c6cdacb645ap-2, -0x1.1458799c533c2p-2, -0x1.10f621348811ap-2, -0x1.0d9f89a67ba17p-2, -0x1.0a54788e5a687p-2, -0x1.0714b409be03p-2, -0x1.03e002cc4e59bp-2, -0x1.00b62c327324dp-2, -0x1.fb2df0a4cac47p-3, -0x1.f50460177720ep-3, -0x1.eeef3a2aa914dp-3, -0x1.e8ee14136535p-3, -0x1.e30084e42cc0ep-3, -0x1.dd2625a03ef6cp-3, -0x1.d75e914be34e8p-3, -0x1.d1a964fab9ed2p-3, -0x1.cc063fdb86768p-3, -0x1.c674c34159171p-3, -0x1.c0f492ab0b2f6p-3, -0x1.bb8553c8f6ff3p-3, -0x1.b626ae8088aeap-3, -0x1.b0d84cee29204p-3, -0x1.ab99db6602f9bp-3, -0x1.a66b0873869d1p-3, -0x1.a14b84d71db3bp-3, -0x1.9c3b0382e164dp-3, -0x1.97393996e53c6p-3, -0x1.9245de5c320f1p-3, -0x1.8d60ab3e53d4ap-3, -0x1.88895bc4c0ce9p-3, -0x1.83bfad8bd47dp-3, -0x1.7f03603c92517p-3, -0x1.7a543583ba375p-3, -0x1.75b1f108bc916p-3, -0x1.711c58646290fp-3, -0x1.6c933316d04edp-3, -0x1.68164a7cfbe94p-3, -0x1.63a569c5e38b1p-3, -0x1.5f405de801e6p-3, -0x1.5ae6f59681963p-3, -0x1.56990135b0c45p-3, -0x1.525652cf57c09p-3, -0x1.4e1ebe07b9619p-3, -0x1.49f2181273b8ep-3, -0x1.45d037a6affa3p-3, -0x1.41b8f4f35eb3p-3, -0x1.3dac299406063p-3, -0x1.39a9b085aeb12p-3, -0x1.35b1661b81052p-3, -0x1.31c327f368ea5p-3, -0x1.2dded4eaf06bep-3, -0x1.2a044d145dff2p-3, -0x1.263371ac20323p-3, -0x1.226c250e36b76p-3, -0x1.1eae4aab7ca74p-3, -0x1.1af9c6ff207fdp-3, -0x1.174e7f84b4501p-3, -0x1.13ac5aae9092ap-3, -0x1.10133fdc0ccf3p-3, -0x1.0c83174f950d4p-3, -0x1.08fbca253524dp-3, -0x1.057d4249c507p-3, -0x1.02076a72312c6p-3, -0x1.fd345c25416aep-4, -0x1.f66af2ab7bb1cp-4, -0x1.efb27228c5311p-4, -0x1.e90ab59b58c0fp-4, -0x1.e273993e73bcap-4, -0x1.dbecfa7b20dc7p-4, -0x1.d576b7d92d479p-4, -0x1.cf10b0f08e3dp-4, -0x1.c8bac65b37541p-4, -0x1.c274d9a7c75cp-4, -0x1.bc3ecd4cb3e62p-4, -0x1.b618849b99c17p-4, -0x1.b001e3b490faap-4, -0x1.a9facf79de199p-4, -0x1.a4032d848d586p-4, -0x1.9e1ae419bdc6ap-4, -0x1.9841da2029ff3p-4, -0x1.9277f71580aa1p-4, -0x1.8cbd2304065a5p-4, -0x1.87114678df406p-4, -0x1.81744a7b1a32dp-4, -0x1.7be618831bc4fp-4, -0x1.76669a7210669p-4, -0x1.70f5ba89796e6p-4, -0x1.6b9363631fd39p-4, -0x1.663f7fe994b19p-4, -0x1.60f9fb512344dp-4, -0x1.5bc2c1110647ep-4, -0x1.5699bcdcccd0ap-4, -0x1.517eda9dff63p-4, -0x1.4c72066e14b5cp-4, -0x1.47732c90b2491p-4, -0x1.4282396e39de9p-4, -0x1.3d9f198ea566cp-4, -0x1.38c9b994b2731p-4, -0x1.3402063955147p-4, -0x1.2f47ec47562dfp-4, -0x1.2a9b5897146f4p-4, -0x1.25fc380a7b7e3p-4, -0x1.216a77894dcf9p-4, -0x1.1ce603fdc9a04p-4, -0x1.186eca519311ap-4, -0x1.1404b76abe1d4p-4, -0x1.0fa7b828e58ddp-4, -0x1.0b57b96260399p-4, -0x1.0714a7e1b88fcp-4, -0x1.02de7063791e4p-4, -0x1.fd69ff287f9ffp-5, -0x1.f530841de8599p-5, -0x1.ed1048b60dda5p-5, -0x1.e50925d581028p-5, -0x1.dd1af4336913bp-5, -0x1.d5458c56ec77p-5, -0x1.cd88c69517d33p-5, -0x1.c5e47b0f21518p-5, -0x1.be5881b0ccf5fp-5, -0x1.b6e4b22eda1c5p-5, -0x1.af88e4059c3dp-5, -0x1.a844ee77d0ea3p-5, -0x1.a118a88de3ecfp-5, -0x1.9a03e91591545p-5, -0x1.930686a1c8417p-5, -0x1.8c20578a9a03dp-5, -0x1.855131ed22e0bp-5, -0x1.7e98ebab7f2acp-5, -0x1.77f75a6cf6e35p-5, -0x1.716c539e85e3cp-5, -0x1.6af7ac73d3eabp-5, -0x1.649939e87bd29p-5, -0x1.5e50d0c156a7cp-5, -0x1.581e458d88d14p-5, -0x1.52016ca74394ap-5, -0x1.4bfa1a3476c43p-5, -0x1.46082227da093p-5, -0x1.402b5842a782ap-5, -0x1.3a63901712462p-5, -0x1.34b09d0b1dfcbp-5, -0x1.2f12525b24852p-5, -0x1.2988831b7dec8p-5, -0x1.241302393926p-5, -0x1.1eb1a27a772bcp-5, -0x1.1964367f6636p-5, -0x1.142a90c4a758dp-5, -0x1.0f0483a749ce9p-5, -0x1.09f1e16999b7cp-5, -0x1.04f27c375b6ecp-5, -0x1.0006262828b39p-5, -0x1.f659627f24e5bp-6, -0x1.eccbded7d0ab7p-6, -0x1.e363650ae60b4p-6, -0x1.da1f98a00a8c6p-6, -0x1.d1001cff79f8ap-6, -0x1.c8049580550ddp-6, -0x1.bf2ca5776c087p-6, -0x1.b677f04123ea4p-6, -0x1.ade619434bd6p-6, -0x1.a576c3e7466dfp-6, -0x1.9d29939133787p-6, -0x1.94fe2b9ab8476p-6, -0x1.8cf42f56ec95p-6, -0x1.850b4220ef948p-6, -0x1.7d4307716e84dp-6, -0x1.759b22f3d83bfp-6, -0x1.6e13389354717p-6, -0x1.66aaec7ad98f5p-6, -0x1.5f61e30974e02p-6, -0x1.5837c0c15a6fbp-6, -0x1.512c2a3b0d6a6p-6, -0x1.4a3ec424a5a31p-6, -0x1.436f33503360ap-6, -0x1.3cbd1ccdf88bfp-6, -0x1.36282609e7409p-6, -0x1.2faff4e22884ep-6, -0x1.29542faeb10efp-6, -0x1.23147d37e5367p-6, -0x1.1cf084a0c7c9ep-6, -0x1.16e7ed4e67174p-6, -0x1.10fa5ed717b99p-6, -0x1.0b2781016c02fp-6, -0x1.056efbd5609fdp-6, -0x1.ffa0ef7810f4cp-7, -0x1.f4973b496e923p-7, -0x1.e9c02e47f131ap-7, -0x1.df1b1d0438d5ep-7, -0x1.d4a75d68a07f5p-7, -0x1.ca644684d5ab4p-7, -0x1.c051304381cd9p-7, -0x1.b66d73225698p-7, -0x1.acb868065d916p-7, -0x1.a3316841bdd46p-7, -0x1.99d7cdd34ab86p-7, -0x1.90aaf3d3cfd6ep-7, -0x1.87aa36f0b793dp-7, -0x1.7ed4f5ca1e1dap-7, -0x1.762a91114d51cp-7, -0x1.6daa6b58860f8p-7, -0x1.6553e89d6e191p-7, -0x1.5d266dacfb4c3p-7, -0x1.55215f9218a3dp-7, -0x1.4d442347ba16dp-7, -0x1.458e1ddbada38p-7, -0x1.3dfeb5091a586p-7, -0x1.3695501e3b91dp-7, -0x1.2f5158dbd0eap-7, -0x1.28323bfbff766p-7, -0x1.213769305a5c4p-7, -0x1.1a6052936e12fp-7, -0x1.13ac6bafd5454p-7, -0x1.0d1b285dae0ap-7, -0x1.06abfbd1c2e8ep-7, -0x1.005e58434d375p-7, -0x1.f4635ed34bd0cp-8, -0x1.e84ae77bf728fp-8, -0x1.dc72341b7ee2p-8, -0x1.d0d835820fc9cp-8, -0x1.c57be4c3d6753p-8, -0x1.ba5c429201ad3p-8, -0x1.af78553077102p-8, -0x1.a4cf258c7ec84p-8, -0x1.9a5fbc0dd2cbfp-8, -0x1.90291dfa39f25p-8, -0x1.862a4c80d569ap-8, -0x1.7c62463bf5f1bp-8, -0x1.72d00af12ebddp-8, -0x1.6972a016a039ep-8, -0x1.60491429c170fp-8, -0x1.57527fa5ba7dap-8, -0x1.4e8e03c1fc0e9p-8, -0x1.45fac7f0ced69p-8, -0x1.3d97f6e620bcp-8, -0x1.3564bb6489ad6p-8, -0x1.2d603d17b48b5p-8, -0x1.25899e7b58064p-8, -0x1.1ddffd45fd7fcp-8, -0x1.166275fd6f56p-8, -0x1.0f10296fc5d18p-8, -0x1.07e84159f637ep-8, -0x1.00e9f2076bd5cp-8, -0x1.f428f1c21b8ddp-9, -0x1.e6ce3370539bcp-9, -0x1.d9c239079a3ap-9, -0x1.cd03976f8ba1ap-9, -0x1.c090e473bc80fp-9, -0x1.b468b117b5911p-9, -0x1.a88984de9b16bp-9, -0x1.9cf1de58336d6p-9, -0x1.91a03ac2f3cb8p-9, -0x1.86932138667a4p-9, -0x1.7bc92a8939a83p-9, -0x1.714101573aaap-9, -0x1.66f95c58365ffp-9, -0x1.5cf0f8e183b8fp-9, -0x1.532699d4d153cp-9, -0x1.499909561d6c1p-9, -0x1.4047189480fedp-9, -0x1.372f9b49bb3b1p-9, -0x1.2e5161870ab05p-9, -0x1.25ab34f574e0fp-9, -0x1.1d3bdc861eec2p-9, -0x1.1502248cee8e3p-9, -0x1.0cfce571aa18bp-9, -0x1.052b03e1143e5p-9, -0x1.fb16d5d7fd0a8p-10, -0x1.ec3a0cc187573p-10, -0x1.ddbd86c9d56eep-10, -0x1.cf9f2c95439aep-10, -0x1.c1dcfda6a84ecp-10, -0x1.b4750cbc4c275p-10, -0x1.a76574d41472ap-10, -0x1.9aac51af0f2dap-10, -0x1.8e47c03ba07dbp-10, -0x1.8235e31a5ae5cp-10, -0x1.7674e6a3339dcp-10, -0x1.6b030248aedf1p-10, -0x1.5fde74e368d26p-10, -0x1.55057be7a3964p-10, -0x1.4a764e4b82f0fp-10, -0x1.402f25263f50dp-10, -0x1.362e4c5b25443p-10, -0x1.2c7228dbc2ed5p-10, -0x1.22f92e3621aa8p-10, -0x1.19c1d2ddb04d8p-10, -0x1.10ca929c56c1ep-10, -0x1.0811f981bf53ep-10, -0x1.ff2d4b4952edap-11, -0x1.eeae770fbc535p-11, -0x1.dea4b6be77c45p-11, -0x1.cf0d42f7fe36ap-11, -0x1.bfe554f8de4ddp-11, -0x1.b12a252b4086fp-11, -0x1.a2d8ee5ab07c5p-11, -0x1.94ef0664aaba8p-11, -0x1.8769f2da4775ap-11, -0x1.7a4755ecd1378p-11, -0x1.6d84c86f0e71p-11, -0x1.611fd7cfa3639p-11, -0x1.55162e7f757d5p-11, -0x1.4965b06074323p-11, -0x1.3e0c620ae7baep-11, -0x1.3308351cff729p-11, -0x1.2856f23989af4p-11, -0x1.1df652ec7c4e7p-11, -0x1.13e4290d0358cp-11, -0x1.0a1e6a5b3b87bp-11, -0x1.00a32339da2adp-11, -0x1.eee0e6b54556p-12, -0x1.dd092b617c98ep-12, -0x1.cbbba080c6451p-12, -0x1.baf4a8845f215p-12, -0x1.aab08ba92dba6p-12, -0x1.9aebdb9ffaacp-12, -0x1.8ba3a81596793p-12, -0x1.7cd53a98f71c7p-12, -0x1.6e7da5e273331p-12, -0x1.60998bb329315p-12, -0x1.532537a722002p-12, -0x1.461cff11f72d3p-12, -0x1.397da3e80c85dp-12, -0x1.2d4466433fc68p-12, -0x1.216ec39991b16p-12, -0x1.15fa3dc82269p-12, -0x1.0ae4552c72c45p-12, -0x1.002a79812011ep-12, -0x1.eb93ef3520802p-13, -0x1.d7806e4ae921p-13, -0x1.c416137bcdb84p-13, -0x1.b1511f49cc5bcp-13, -0x1.9f2dc50cf216bp-13, -0x1.8da7dcf66fe39p-13, -0x1.7cbacb03cb83fp-13, -0x1.6c61691aed8c6p-13, -0x1.5c9657c0517d7p-13, -0x1.4d54b49225af5p-13, -0x1.3e988cb410a89p-13, -0x1.305e855ed03c9p-13, -0x1.22a317099ef6ep-13, -0x1.1562592371b0fp-13, -0x1.0898681b05878p-13, -0x1.f883146ce0fd5p-14, -0x1.e0b4bcaf15b01p-14, -0x1.c9c05d83058fdp-14, -0x1.b3a0ef8537e74p-14, -0x1.9e5092544239cp-14, -0x1.89c91b88a3493p-14, -0x1.7604d3afbddbep-14, -0x1.62fdef0f28bd1p-14, -0x1.50adf6afb05e4p-14, -0x1.3f0e1e26d82d6p-14, -0x1.2e183f60ce45ep-14, -0x1.1dc78c41e6b8ep-14, -0x1.0e1803c2a4be7p-14, -0x1.fe09e4d5a2b28p-15, -0x1.e110df980ccd8p-15, -0x1.c5390455cd06ap-15, -0x1.aa7797ac988cfp-15, -0x1.90c3b3323d888p-15, -0x1.7817287461018p-15, -0x1.606bb6707425fp-15, -0x1.49b8c0bc7c63ep-15, -0x1.33f576cb06c99p-15, -0x1.1f1a4e2ed44e1p-15, -0x1.0b20319187d27p-15, -0x1.efffd2c06da2dp-16, -0x1.cb63a6d7c0657p-16, -0x1.a85c2e0814e9cp-16, -0x1.86db2b92ca6a8p-16, -0x1.66d51016db8e6p-16, -0x1.483f5fdc2bcfbp-16, -0x1.2b0d3b6afbe35p-16, -0x1.0f2f39b0e76f4p-16, -0x1.e92f5ede0fb2ap-17, -0x1.b677a3260bdc2p-17, -0x1.86254b76b58ebp-17, -0x1.5827caa08e9d6p-17, -0x1.2c67507bfaccap-17, -0x1.02c863967a7dfp-17, -0x1.b66c8c64faf3fp-18, -0x1.6b3ffb29fb98bp-18, -0x1.23e9454994b01p-18, -0x1.c08f3ccc6d272p-19, -0x1.40740e4c7bdf9p-19, -0x1.8e7915d2b7bb9p-20, -0x1.52927d0b07037p-21, 0x1.79316cdabf474p-23, 0x1.f68f4a87efdc2p-21, 0x1.bb8def2b76eb8p-20, 0x1.38424216b5cc4p-19, 0x1.8d5dac0edf562p-19, 0x1.dd4a172a61256p-19, 0x1.14162a6a9b42dp-18, 0x1.3716dc3e33324p-18, 0x1.57bf3367b6263p-18, 0x1.762d94dd21924p-18, 0x1.927a06c2b3e4ep-18, 0x1.acba2bb308297p-18, 0x1.c506866ef8db5p-18, 0x1.db75499565573p-18, 0x1.f019bcbce207bp-18, 0x1.018314ced988ep-17, 0x1.0a26930106df5p-17, 0x1.1200b949cc246p-17, 0x1.191aa7e4aa143p-17, 0x1.1f7cccf830d49p-17, 0x1.252e88c04b5f5p-17, 0x1.2a37ed6b67e74p-17, 0x1.2ea2f1608814p-17, 0x1.3276faf870791p-17, 0x1.35b85e5e9009dp-17, 0x1.386e91c27300dp-17, 0x1.3aa13a6d82774p-17, 0x1.3c57e252efc68p-17, 0x1.3d97ed95bbfb8p-17, 0x1.3e66b976c5cd2p-17, 0x1.3ecad441df21p-17, 0x1.3ec9d31a8109p-17, 0x1.3e6884995eae2p-17, 0x1.3dab5adbbb207p-17, 0x1.3c96c4f0eb50ap-17, 0x1.3b2fa310c4bf4p-17, 0x1.397b8b98e35cbp-17, 0x1.37807c40cb489p-17, 0x1.3543b2f2d7029p-17, 0x1.32c8907c17eefp-17, 0x1.3011c246e3333p-17, 0x1.2d2358e9774a7p-17, 0x1.2a00fb459755fp-17, 0x1.26aca48624bf4p-17, 0x1.232ab2197ce23p-17, 0x1.1f7fe10e04f81p-17, 0x1.1baf5ff02fa2bp-17, 0x1.17bb059fd21a4p-17, 0x1.13a5b8f56076ep-17, 0x1.0f72adb20071ap-17, 0x1.0b2471af7765bp-17, 0x1.06bd581854523p-17, 0x1.023f884d47f58p-17, 0x1.fb5a07ad5a573p-18, 0x1.f20f9eeb50da7p-18, 0x1.e8a435328b298p-18, 0x1.df1c6c5d55d9dp-18, 0x1.d57cb93099d1p-18, 0x1.cbc8df409639p-18, 0x1.c203b779e756ep-18, 0x1.b8300a93200d5p-18, 0x1.ae51c64270693p-18, 0x1.a46c95bd51d92p-18, 0x1.9a821c53cb7cdp-18, 0x1.909523b53f618p-18, 0x1.86aa1fc467897p-18, 0x1.7cc2c50393e2ap-18, 0x1.72e014489f816p-18, 0x1.69053d4f2a1eap-18, 0x1.5f34a1406c07ep-18, 0x1.5570028b76e46p-18, 0x1.4bb9104a3cf06p-18, 0x1.4211636b18f37p-18, 0x1.387a6f15af0fdp-18, 0x1.2ef58e62f00a9p-18, 0x1.258428969b6fbp-18, 0x1.1c27c0282eedep-18, 0x1.12e1dacdb1a98p-18, 0x1.09b3e23e7ad43p-18, 0x1.009f09e7d975bp-18, 0x1.ef4850626cfc5p-19, 0x1.dd879984b6013p-19, 0x1.cbfd626765875p-19, 0x1.baab9c59011eap-19, 0x1.a993a02cff878p-19, 0x1.98b691101fbccp-19, 0x1.8817872fc093fp-19, 0x1.77b6a55dab297p-19, 0x1.6794c4c4a206bp-19, 0x1.57b35647bece1p-19, 0x1.481332d56c0a2p-19, 0x1.38b4c45332b4p-19, 0x1.2998911110439p-19, 0x1.1abf55380cb4ep-19, 0x1.0c297662f9a97p-19, 0x1.fbae4167d90aap-20, 0x1.df90f8d2f1ab1p-20, 0x1.c3fb875b87c21p-20, 0x1.a8ee6fefca80bp-20, 0x1.8e6a17fa1f521p-20, 0x1.746eb7780f09cp-20, }}, 
      {{-0x1.601545d868dedp-2, -0x1.38927ab282936p-2, -0x1.f3d752c0958abp-3, -0x1.4fa7e8008cedfp-3, -0x1.194e178030b35p-4, 0x1.348a4e1fe6dep-5, 0x1.3621894419a3ep-3, 0x1.13bbc7298a425p-2, 0x1.8d8ddf75a0fcdp-2, 0x1.02f948de186bcp-1, 0x1.3d61c12443b8dp-1, 0x1.75211b5cea18ap-1, 0x1.a987a775cbbd4p-1, 0x1.da10408320049p-1, 0x1.032d8ec82822p+0, 0x1.17145eb4b84e5p+0, 0x1.28aa8f23a855bp+0, 0x1.37e9ad99e9fabp+0, 0x1.44d4dd396740cp+0, 0x1.4f77182b64767p+0, 0x1.57e1a88167dccp+0, 0x1.5e2ad44e4df27p+0, 0x1.626cb78e5a7ebp+0, 0x1.64c4469d0a1eep+0, 0x1.655074c425d2bp+0, 0x1.64317b30c5a5cp+0, 0x1.61883d045e639p+0, 0x1.5d75c54114888p+0, 0x1.581adb4d9390ap+0, 0x1.5197ab055c86ep+0, 0x1.4a0b7db475de1p+0, 0x1.419481c633cb5p+0, 0x1.384f9f40131cap+0, 0x1.2e585757a1c7dp+0, 0x1.23c8ada1bf8eap+0, 0x1.18b9197745c9ap+0, 0x1.0d407e5a5043cp+0, 0x1.01742a34bebd2p+0, 0x1.eacfb0efeffa4p-1, 0x1.d25b7255639e9p-1, 0x1.b9acf68a1fe49p-1, 0x1.a0e2b32b35d02p-1, 0x1.881852f98c4bbp-1, 0x1.6f66d62b355abp-1, 0x1.56e4b52f5e1fcp-1, 0x1.3ea6040c59961p-1, 0x1.26bc969a0babcp-1, 0x1.0f3825310536bp-1, 0x1.f04ce0526ba68p-2, 0x1.c326c69a920f4p-2, 0x1.971270185b658p-2, 0x1.6c212c634ab1ap-2, 0x1.42616746bc371p-2, 0x1.19dee48c6c388p-2, 0x1.e545f22948c86p-3, 0x1.99698163d1286p-3, 0x1.5032a2044f0dbp-3, 0x1.09a7d2b875c7fp-3, 0x1.8b987fb21949ap-4, 0x1.094030744dd1bp-4, 0x1.1883730ed0a31p-5, 0x1.49355f30fb384p-8, -0x1.7763eb50325b3p-6, -0x1.9629e68f82175p-5, -0x1.33358f869ad4ep-4, -0x1.96529e2ab68e4p-4, -0x1.f48659f1e05c5p-4, -0x1.26f685f4cbd77p-3, -0x1.51525ac85fc92p-3, -0x1.7966613c2963ap-3, -0x1.9f42e0626c3dp-3, -0x1.c2f89011bfadfp-3, -0x1.e4987b62b1e3bp-3, -0x1.0219f3042c3dp-2, -0x1.10ee1a2d1be86p-2, -0x1.1ed16af09f07ap-2, -0x1.2bcc991a51259p-2, -0x1.37e84bf9657f6p-2, -0x1.432d16d0e75e6p-2, -0x1.4da3722c0a82dp-2, -0x1.5753b6029bb17p-2, -0x1.604614ab0527fp-2, -0x1.688296864bec9p-2, -0x1.70111664de6b1p-2, -0x1.76f93e8b0da2dp-2, -0x1.7d42864aa24bdp-2, -0x1.82f4301c1b6ccp-2, -0x1.881548237a094p-2, -0x1.8caca31b5e414p-2, -0x1.90c0dd91101edp-2, -0x1.94585b75ce17bp-2, -0x1.977947fbc5e03p-2, -0x1.9a2995b48c5a5p-2, -0x1.9c6efefd2f0eep-2, -0x1.9e4f0693c8359p-2, -0x1.9fcef86f186e3p-2, -0x1.a0f3eab0c649bp-2, -0x1.a1c2bebba6ba2p-2, -0x1.a24022656014p-2, -0x1.a270912cac238p-2, -0x1.a2585590a10eep-2, -0x1.a1fb8a5d2d9cap-2, -0x1.a15e1c17445a5p-2, -0x1.a083ca5feb5bap-2, -0x1.9f70296a70471p-2, -0x1.9e26a373ef7ap-2, -0x1.9caa7a3cb5b87p-2, -0x1.9afec8871fec1p-2, -0x1.9926839079c47p-2, -0x1.97247c894c16p-2, -0x1.94fb620222d06p-2, -0x1.92adc15a3b23fp-2, -0x1.903e08173f9ebp-2, -0x1.8dae853fb5767p-2, -0x1.8b016aa786e1ap-2, -0x1.8838ce2a95859p-2, -0x1.8556aaed32be4p-2, -0x1.825ce284acfp-2, -0x1.7f4d3e1b0b329p-2, -0x1.7c296f8f7b3d4p-2, -0x1.78f31283b3a6dp-2, -0x1.75abad647f373p-2, -0x1.7254b26c3e4f5p-2, -0x1.6eef8097c1a0ep-2, -0x1.6b7d648ec2592p-2, -0x1.67ff998b4f552p-2, -0x1.64774a35a1374p-2, -0x1.60e5916ca3ebep-2, -0x1.5d4b7b116e0b3p-2, -0x1.59aa04cb7138fp-2, -0x1.56021eb6332ffp-2, -0x1.5254ac0e55904p-2, -0x1.4ea283dea365p-2, -0x1.4aec719b8158ep-2, -0x1.473335b319adap-2, -0x1.4377861f849d7p-2, -0x1.3fba0ef51e2bdp-2, -0x1.3bfb72dfb3a1ep-2, -0x1.383c4b975f11ap-2, -0x1.347d2a5c43d39p-2, -0x1.30be986aea0ddp-2, -0x1.2d01175d7c16ap-2, -0x1.2945218c97346p-2, -0x1.258b2a7650f11p-2, -0x1.21d39f19eafedp-2, -0x1.1e1ee645f9eebp-2, -0x1.1a6d60e6e139ap-2, -0x1.16bf6a5879d8fp-2, -0x1.131558b159323p-2, -0x1.0f6f7d023f8e7p-2, -0x1.0bce23918e2edp-2, -0x1.0831941c71871p-2, -0x1.049a121693e0fp-2, -0x1.0107dcdc918afp-2, -0x1.faf65fc16f1d1p-3, -0x1.f3e885bdb91b4p-3, -0x1.ece69421f1e0dp-3, -0x1.e5f0ecb1c6246p-3, -0x1.df07eac803e9p-3, -0x1.d82be3a4f9812p-3, -0x1.d15d26c0c4987p-3, -0x1.ca9bfe14f278cp-3, -0x1.c3e8ae5b1b668p-3, -0x1.bd4377462fdf3p-3, -0x1.b6ac93be00b5cp-3, -0x1.b0243a1f0f2d4p-3, -0x1.a9aa9c75a802bp-3, -0x1.a33fe8abf3785p-3, -0x1.9ce448b2e7a2dp-3, -0x1.9697e2b347a46p-3, -0x1.905ad9430548bp-3, -0x1.8a2d4b90c6268p-3, -0x1.840f558496ddap-3, -0x1.7e010fe1fe2cep-3, -0x1.780290709ace5p-3, -0x1.7213ea23e810dp-3, -0x1.6c352d3c287fep-3, -0x1.66666762bdc97p-3, -0x1.60a7a3c62528fp-3, -0x1.5af8eb36cdf6cp-3, -0x1.555a4444cec26p-3, -0x1.4fcbb35d191f2p-3, -0x1.4a4d3ae2e5de9p-3, -0x1.44dedb43d4f02p-3, -0x1.3f80930b5ab05p-3, -0x1.3a325efac7047p-3, -0x1.34f43a23b6d3dp-3, -0x1.2fc61dfd7ea28p-3, -0x1.2aa802739aafbp-3, -0x1.2599ddf3b5865p-3, -0x1.209ba5814a136p-3, -0x1.1bad4ccbcb5ebp-3, -0x1.16cec6401732ap-3, -0x1.1200031416b54p-3, -0x1.0d40f352500d5p-3, -0x1.089185e9a926dp-3, -0x1.03f1a8bea5942p-3, -0x1.fec291722dd67p-4, -0x1.f5c0a39bed38cp-4, -0x1.ecdd5e13a1d82p-4, -0x1.e418953c2759fp-4, -0x1.db721bdd28c9p-4, -0x1.d2e9c337b8f6p-4, -0x1.ca7f5b159773ap-4, -0x1.c232b1da9a72ap-4, -0x1.ba03949c1db15p-4, -0x1.b1f1cf3906f39p-4, -0x1.a9fd2c6b157bap-4, -0x1.a22575d18fdd6p-4, -0x1.9a6a73fceba12p-4, -0x1.92cbee8124f8p-4, -0x1.8b49ac0c02409p-4, -0x1.83e3727752c04p-4, -0x1.7c9906d2fbd8ep-4, -0x1.756a2d6b5f0b1p-4, -0x1.6e56a9d400ecep-4, -0x1.675e3ef8fe759p-4, -0x1.6080af320fde5p-4, -0x1.59bdbc4ff4361p-4, -0x1.531527a2b2188p-4, -0x1.4c86b1fdf1162p-4, -0x1.46121bc22b5dbp-4, -0x1.3fb724ec04a91p-4, -0x1.39758d24787f2p-4, -0x1.334d13cba3ffbp-4, -0x1.2d3d77fd078cbp-4, -0x1.27467891f235cp-4, -0x1.2167d4280ae97p-4, -0x1.1ba1492ddb62bp-4, -0x1.15f295f15f69fp-4, -0x1.105b78aa9d057p-4, -0x1.0adbaf7fb80abp-4, -0x1.0572f88560f31p-4, -0x1.002111c157265p-4, -0x1.f5cb7265436a2p-5, -0x1.eb8159bc4cd31p-5, -0x1.e16355b52bb1dp-5, -0x1.d770e2ae2b4efp-5, -0x1.cda97d3835006p-5, -0x1.c40ca21483e12p-5, -0x1.ba99ce38acc65p-5, -0x1.b1507ede0399fp-5, -0x1.a8303198567f2p-5, -0x1.9f38646a6c83fp-5, -0x1.966895d03bd46p-5, -0x1.8dc044be12cp-5, -0x1.853ef09b9f761p-5, -0x1.7ce41944a5927p-5, -0x1.74af3f14e7e59p-5, -0x1.6c9fe2fc7968cp-5, -0x1.64b586935faedp-5, -0x1.5cefac2382b83p-5, -0x1.554dd6a6680e7p-5, -0x1.4dcf89bc907bep-5, -0x1.467449a8f6b37p-5, -0x1.3f3b9b58da9f4p-5, -0x1.3825047781b8fp-5, -0x1.31300b84dd121p-5, -0x1.2a5c37e2d3a87p-5, -0x1.23a911d21110dp-5, -0x1.1d162261e7be9p-5, -0x1.16a2f3601aaa9p-5, -0x1.104f0f5726938p-5, -0x1.0a1a01a1b9818p-5, -0x1.0403568c5ab9p-5, -0x1.fc1536e7142d5p-6, -0x1.f05ebd97f2fcap-6, -0x1.e4e2601b2066dp-6, -0x1.d99f3f16ec187p-6, -0x1.ce947ca28fa21p-6, -0x1.c3c13c3c07c11p-6, -0x1.b924a30ebe108p-6, -0x1.aebdd87118127p-6, -0x1.a48c065a80eebp-6, -0x1.9a8e598d0acbep-6, -0x1.90c4014ee6303p-6, -0x1.872c2ecaa2821p-6, -0x1.7dc61463da99bp-6, -0x1.7490e560be43cp-6, -0x1.6b8bd6281842bp-6, -0x1.62b61d0b6e8e2p-6, -0x1.5a0ef3478ee16p-6, -0x1.519595bce83bcp-6, -0x1.494944f45a54cp-6, -0x1.412944533c7bcp-6, -0x1.3934d8c89d435p-6, -0x1.316b478d73497p-6, -0x1.29cbd59c735afp-6, -0x1.2255c83ef7784p-6, -0x1.1b08668ea2a9dp-6, -0x1.13e2fb507f435p-6, -0x1.0ce4d652091efp-6, -0x1.060d4c930308ep-6, -0x1.feb76e01f9552p-7, -0x1.f19ee059ec189p-7, -0x1.e4cfa3d4a9ed5p-7, -0x1.d84867d963ca4p-7, -0x1.cc07d8442d926p-7, -0x1.c00ca19e3c357p-7, -0x1.b45577540f77p-7, -0x1.a8e11967006b8p-7, -0x1.9dae571ba5da5p-7, -0x1.92bc0d32b3e5cp-7, -0x1.88091ff428ea6p-7, -0x1.7d9473207ca9bp-7, -0x1.735ce2f9ec059p-7, -0x1.696141705b35cp-7, -0x1.5fa058f45a18dp-7, -0x1.5618f42d6f7c6p-7, -0x1.4cc9e7c7b61e8p-7, -0x1.43b21aa11f8d9p-7, -0x1.3ad0891860bbbp-7, -0x1.322441e016a4p-7, -0x1.29ac5cff319d7p-7, -0x1.2167efed4812ep-7, -0x1.1956032c549dep-7, -0x1.11758d94a3e7cp-7, -0x1.09c57780a215p-7, -0x1.0244a4eb8ac17p-7, -0x1.f5e405c1aadc1p-8, -0x1.e79926f8e35a6p-8, -0x1.d9a6e8ccad423p-8, -0x1.cc0bbb03d6f0ep-8, -0x1.bec62fa42455ep-8, -0x1.b1d4de04d4dd6p-8, -0x1.a53644652880cp-8, -0x1.98e8b3254689p-8, -0x1.8cea4a1ab501dp-8, -0x1.8139096ffb3e7p-8, -0x1.75d2ef7da3413p-8, -0x1.6ab618a035d72p-8, -0x1.5fe0d703376f4p-8, -0x1.5551bc81457cep-8, -0x1.4b0794a387284p-8, -0x1.41014f84304b5p-8, -0x1.373de1a58ab2ap-8, -0x1.2dbc21a2a35a3p-8, -0x1.247ab03985f5cp-8, -0x1.1b77f501775b3p-8, -0x1.12b2312579eadp-8, -0x1.0a279f06b48d6p-8, -0x1.01d69161567bcp-8, -0x1.f37b11ce4d33bp-9, -0x1.e3b67d939fa72p-9, -0x1.d45d4bb84e6a8p-9, -0x1.c56dc2eacf43ep-9, -0x1.b6e65e91676bcp-9, -0x1.a8c58c36f8f16p-9, -0x1.9b0969757c259p-9, -0x1.8dafa267c72a9p-9, -0x1.80b581bd07ea9p-9, -0x1.741824cc9b2d6p-9, -0x1.67d4b1e28467p-9, -0x1.5be877d80b95dp-9, -0x1.5050fa09223a7p-9, -0x1.450bfd3896fd6p-9, -0x1.3a179e7324791p-9, -0x1.2f7261f75eb5fp-9, -0x1.251b1dd17fa69p-9, -0x1.1b10baba67af2p-9, -0x1.1151eb0746145p-9, -0x1.07dd057c2821dp-9, -0x1.fd602e4f90807p-10, -0x1.eb922608ed3fap-10, -0x1.da4be31dfdb8p-10, -0x1.c98953b3ccff5p-10, -0x1.b9463670a38dbp-10, -0x1.a97e292110598p-10, -0x1.9a2d15e25d1bdp-10, -0x1.8b4fba6556da1p-10, -0x1.7ce3d6e4568a4p-10, -0x1.6ee7d242799dbp-10, -0x1.615a15a0a5cd4p-10, -0x1.54389b493ef73p-10, -0x1.4780f52e62bdbp-10, -0x1.3b30a1260ee09p-10, -0x1.2f45413a6a878p-10, -0x1.23bc6df83a838p-10, -0x1.189340729f6f7p-10, -0x1.0dc60cd06525fp-10, -0x1.0350b2040cdp-10, -0x1.f25ebf9b62d33p-11, -0x1.debe83cf976bbp-11, -0x1.cbbd23cc349bep-11, -0x1.b958281d31235p-11, -0x1.a78cf4aec1357p-11, -0x1.96584db9ab545p-11, -0x1.85b6bca804ea4p-11, -0x1.75a53db65b28bp-11, -0x1.6621793c8a8e3p-11, -0x1.57291da6fd6b1p-11, -0x1.48b8aa5f32c0cp-11, -0x1.3acab4f726a72p-11, -0x1.2d588079bf2eep-11, -0x1.205b9401263f8p-11, -0x1.13cf1b685a2cdp-11, -0x1.07b027ce916a7p-11, -0x1.f7f9b495e235cp-12, -0x1.e16685abd011bp-12, -0x1.cba1908ebf0b8p-12, -0x1.b6a4a79f5d149p-12, -0x1.a269e5943c0fp-12, -0x1.8eece0f9feb13p-12, -0x1.7c2aabeac3924p-12, -0x1.6a2039500cd05p-12, -0x1.58c858edb6f8p-12, -0x1.481b234fa074dp-12, -0x1.380f677f33bf8p-12, -0x1.289cc9372bdeap-12, -0x1.19bd19568df3cp-12, -0x1.0b6cb2ec4094cp-12, -0x1.fb53cd3db5e4dp-13, -0x1.e0e6d66a89537p-13, -0x1.c78d35111fa6ap-13, -0x1.af3d7a7dad015p-13, -0x1.97ebeec88726bp-13, -0x1.818d93eb2ce51p-13, -0x1.6c196032ad137p-13, -0x1.5787c895f5373p-13, -0x1.43d1e886fb888p-13, -0x1.30f0946cc06bep-13, -0x1.1edbd891b46efp-13, -0x1.0d8acee5d5b35p-13, -0x1.f9e6d6477e5a4p-14, -0x1.da18cd1df6c49p-14, -0x1.bba2abda69e26p-14, -0x1.9e868cf46fbedp-14, -0x1.82c7b517a2c1p-14, -0x1.686173d32ad05p-14, -0x1.4f483aa480524p-14, -0x1.376e1437c26eep-14, -0x1.20c189cde208dp-14, -0x1.0b2d00b9d2b6ep-14, -0x1.ed38b363cfb56p-15, -0x1.c604415784aeap-15, -0x1.a0ada27621097p-15, -0x1.7d2ae7e5e91e5p-15, -0x1.5b6f835a54ef6p-15, -0x1.3b62c809f9411p-15, -0x1.1ce5b04c0a588p-15, -0x1.ffd549300bca7p-16, -0x1.c8efeaae724c5p-16, -0x1.951e0f57edd4bp-16, -0x1.64486047e4b2ap-16, -0x1.365f49271adb9p-16, -0x1.0b5ef6ec14305p-16, -0x1.c6573f14f1b3ap-17, -0x1.7b17501e6b081p-17, -0x1.348b28338f33dp-17, -0x1.e4d18b766897dp-18, -0x1.6903177bc7f79p-18, -0x1.ea8b5b037b8ebp-19, -0x1.124bf5756c569p-19, -0x1.2121a5805eb63p-21, 0x1.d33bc58d3a58cp-21, 0x1.25b30b8a2a1a6p-19, 0x1.c9bbf352342e6p-19, 0x1.3043fdb980532p-18, 0x1.75932c54d0a1dp-18, 0x1.b54741e9d887fp-18, 0x1.ef5136e58297fp-18, 0x1.11d2ddb7ef79p-17, 0x1.294bd9e26fa4dp-17, 0x1.3e51d3f0fd634p-17, 0x1.5117bb24b732fp-17, 0x1.61b7963e55624p-17, 0x1.703aab57ba36bp-17, 0x1.7cb0331affab9p-17, 0x1.8734bf442b367p-17, 0x1.8fed58f110f6cp-17, 0x1.971c21d688083p-17, 0x1.9d0315dda6c26p-17, 0x1.a198f5d7a3aafp-17, 0x1.a4c7a43abb5fbp-17, 0x1.a6b0d638d2b1p-17, 0x1.a76996dcc445ep-17, 0x1.a6e97533894a9p-17, 0x1.a541a148e6a21p-17, 0x1.a2936b427bc09p-17, 0x1.9ef38544d1014p-17, 0x1.9a6cdd98b0cdfp-17, 0x1.950bd459c550fp-17, 0x1.8edf0b3d53c3bp-17, 0x1.87f481169b3f6p-17, 0x1.805bd53539157p-17, 0x1.782343ddb204ap-17, 0x1.6f50917a5d6c5p-17, 0x1.65f253fd32c3cp-17, 0x1.5c1dbd7207ef2p-17, 0x1.51cffcabf1fa7p-17, 0x1.47163f065bf93p-17, 0x1.3c104b545976p-17, 0x1.30c111d787f32p-17, 0x1.252767ab4d14fp-17, 0x1.194e2239d3651p-17, 0x1.0d3eb2bd5446fp-17, 0x1.0100af5fc7749p-17, 0x1.e937dc38d93acp-18, 0x1.d02c534c9748dp-18, 0x1.b6e593fee8dfp-18, 0x1.9d6d1cf8d071fp-18, 0x1.83d23c489aff6p-18, 0x1.6a263f4e69c56p-18, 0x1.5075d8a179418p-18, 0x1.36c6cd70ea047p-18, 0x1.1d2347d8e3b02p-18, 0x1.0396a41d3fd71p-18, 0x1.d44b8efbb2baap-19, 0x1.a1b75f3ac564dp-19, 0x1.6f7868ed5a6f9p-19, 0x1.3d95d92c223b5p-19, 0x1.0c26aea53e034p-19, 0x1.b6814eccba242p-20, 0x1.55e47e6d8d8eap-20, 0x1.ed08c0fb7bdc7p-21, 0x1.30cf6e8382093p-21, 0x1.dce6a27fa61e3p-23, -0x1.fc921a31f92e5p-24, -0x1.e6f2027b90413p-22, -0x1.a453e79b5249p-21, -0x1.28f75440384b7p-20, -0x1.7e193fde6f504p-20, -0x1.d171b65821b81p-20, -0x1.11714b19c2ea6p-19, -0x1.3954a7761b1f5p-19, -0x1.6064191554edp-19, -0x1.86a0bfae14cfcp-19, -0x1.abf2e917ddcbdp-19, -0x1.d04c0b8dda62bp-19, -0x1.f3ba2bf5813afp-19, -0x1.0b1f73830872ap-18, -0x1.1be9dda2fffa2p-18, -0x1.2c381eda57724p-18, -0x1.3c057833d4d5dp-18, -0x1.4b4e2a6d4b54ep-18, -0x1.5a13f46b62fe9p-18, -0x1.6861c06503092p-18, -0x1.76424ebdf5a75p-18, -0x1.83b046610d24ap-18, -0x1.90a21f4e50bbcp-18, -0x1.9d20dace8cdabp-18, -0x1.a92c73b0226fcp-18, -0x1.b4a57da64888ap-18, -0x1.bf99ff2102f17p-18, -0x1.ca2582f5a7e19p-18, -0x1.d44cabfcb1615p-18, -0x1.ddfa46544bd06p-18, -0x1.e731d3d17738p-18, -0x1.efff086245a2p-18, -0x1.f861878f5e19bp-18, -0x1.002bf35778c99p-17, -0x1.03f1021bb0951p-17, -0x1.07803b785a09ap-17, -0x1.0ada47397e2d1p-17, -0x1.0e0049fdef6dcp-17, -0x1.10f3be64b6639p-17, -0x1.13b5dadf95992p-17, -0x1.164688fa562a2p-17, -0x1.18a397677b9eap-17, -0x1.1acb561f974b6p-17, -0x1.1cc342cb17e09p-17, -0x1.1e93845838544p-17, -0x1.20332cb5341adp-17, -0x1.21a1e5df9e17dp-17, -0x1.22f2606cb01c8p-17, -0x1.241b47ee2da7ep-17, -0x1.250dc76bf5ef5p-17, -0x1.25d650336bf2bp-17, -0x1.267b7db25135p-17, -0x1.26fd362b47c7ap-17, -0x1.275ae2efffa46p-17, -0x1.27947dc5bbd4bp-17, -0x1.27aa62633ea19p-17, -0x1.279d27fad5e3dp-17, -0x1.276da77b9a627p-17, -0x1.271cff4244696p-17, -0x1.26ac7a2970409p-17, -0x1.261d6efde3ce4p-17, -0x1.2571080613704p-17, -0x1.24a7d5aab358dp-17, -0x1.23c20eeaf892dp-17, -0x1.22c0f8913bc86p-17, -0x1.21a711c856455p-17, -0x1.207197df994d6p-17, -0x1.1f1cba45ee91ap-17, -0x1.1db31dab81efep-17, -0x1.1c2f68de9f3dap-17, -0x1.1a949c807af2ap-17, -0x1.18e7e2f19ac75p-17, -0x1.172a5f850cc07p-17, -0x1.1556f53267413p-17, -0x1.136c4b3fc68b8p-17, -0x1.116f5860712adp-17, -0x1.0f623b7c33886p-17, -0x1.0d44ff6eeff3bp-17, -0x1.0b17aca736881p-17, -0x1.08dab0f4e39b6p-17, -0x1.068ebb9b51ed2p-17, -0x1.0434947e2e4edp-17, -0x1.01cd0aec3f904p-17, }}, 
      {{-0x1.6917bf7ed73a8p-2, -0x1.5bb6fc24357a8p-2, -0x1.461b502437aa5p-2, -0x1.291a2bba6e8e5p-2, -0x1.05a6f12fc6c8fp-2, -0x1.b97fea509b65ep-3, -0x1.5ec3491bcd13cp-3, -0x1.f9f838b56aec5p-4, -0x1.2bde024b53732p-4, -0x1.59d5ec2f53a6bp-6, 0x1.06ab7ae04302bp-5, 0x1.5eeb9e90de379p-4, 0x1.1d031bfb24a08p-3, 0x1.89570c539edcp-3, 0x1.f39ab26e0c21ep-3, 0x1.2d8c8b629c604p-2, 0x1.5f9e1d0e2d846p-2, 0x1.8fc5098056614p-2, 0x1.bdd0d03049af4p-2, 0x1.e99c1080120b6p-2, 0x1.09859e31dce79p-1, 0x1.1d05b1fb99213p-1, 0x1.2f488d4c6c092p-1, 0x1.404bba98e85b2p-1, 0x1.500f9058ed679p-1, 0x1.5e96c7babd928p-1, 0x1.6be61e0d5488cp-1, 0x1.780400199cc5dp-1, 0x1.82f83eaa028b8p-1, 0x1.8ccbcb89b6fc7p-1, 0x1.95887e49ff8cdp-1, 0x1.9d38e020eb64ep-1, 0x1.a3e7fe3cb6771p-1, 0x1.a9a141f0d52a5p-1, 0x1.ae704e2bbae7ep-1, 0x1.b260e1ae98d33p-1, 0x1.b57ebd8a2ce5ap-1, 0x1.b7d58f6dcff77p-1, 0x1.b970df5ef94c2p-1, 0x1.ba5c0078d85aap-1, 0x1.baa2045b56facp-1, 0x1.ba4db0f9055cbp-1, 0x1.b969787af2404p-1, 0x1.b7ff72f895b53p-1, 0x1.b61959c5a39fep-1, 0x1.b3c0841f0e728p-1, 0x1.b0fde50788e92p-1, 0x1.adda0a2620f1cp-1, 0x1.aa5d1b823dc97p-1, 0x1.a68edbfb4b74fp-1, 0x1.a276aa5c34c52p-1, 0x1.9e1b82f17ccd4p-1, 0x1.998401896ac53p-1, 0x1.94b663cb3d525p-1, 0x1.8fb88bd4918d9p-1, 0x1.8a90030e4de2cp-1, 0x1.8541fd2bc988p-1, 0x1.7fd35b480e703p-1, 0x1.7a48af171f2e8p-1, 0x1.74a63e2348fb5p-1, 0x1.6ef0050ff5fa9p-1, 0x1.6929badc030bp-1, 0x1.6356d41dbe7bdp-1, 0x1.5d7a86335d084p-1, 0x1.5797ca6444e36p-1, 0x1.51b160f147bf6p-1, 0x1.4bc9d412d898cp-1, 0x1.45e37ae403eafp-1, 0x1.40007c37dd9edp-1, 0x1.3a22d156696c4p-1, 0x1.344c489e705a6p-1, 0x1.2e7e880b43d69p-1, 0x1.28bb0f9f534efp-1, 0x1.23033bb58ac8fp-1, 0x1.1d58473b517cfp-1, 0x1.17bb4dd3a2bap-1, 0x1.122d4de25f038p-1, 0x1.0caf2a7e10a02p-1, 0x1.0741ad46ca94cp-1, 0x1.01e588220dce4p-1, 0x1.f936adba68dedp-2, 0x1.eec7417204caep-2, 0x1.e47db3c21f097p-2, 0x1.da5ac9a2310cep-2, 0x1.d05f2751c69cp-2, 0x1.c68b52dcccd6ap-2, 0x1.bcdfb67a4eb28p-2, 0x1.b35ca2c400a62p-2, 0x1.aa0250c67931cp-2, 0x1.a0d0e3ebb2d1ap-2, 0x1.97c86bc368617p-2, 0x1.8ee8e5ad4d201p-2, 0x1.86323e693efb4p-2, 0x1.7da453906bfecp-2, 0x1.753ef4f915845p-2, 0x1.6d01e605790a7p-2, 0x1.64ecdedd85698p-2, 0x1.5cff8d92b8ccfp-2, 0x1.5539972e245b8p-2, 0x1.4d9a98a89983dp-2, 0x1.462227ce80e17p-2, 0x1.3ecfd410b3169p-2, 0x1.37a327448a145p-2, 0x1.309ba65522632p-2, 0x1.29b8d1e778cbcp-2, 0x1.22fa26f306a08p-2, 0x1.1c5f1f4f9088ep-2, 0x1.15e7323902d56p-2, 0x1.0f91d4c98ecf9p-2, 0x1.095e7a6a4d339p-2, 0x1.034c953a89e15p-2, 0x1.fab72cdc32319p-3, 0x1.ef15dd45995b8p-3, 0x1.e3b41c5bae0fbp-3, 0x1.d890cac3006afp-3, 0x1.cdaac99787d7bp-3, 0x1.c300fadda9cd4p-3, 0x1.b89241e79c71fp-3, 0x1.ae5d83b0c289p-3, 0x1.a461a7300eb8bp-3, 0x1.9a9d95a20490ap-3, 0x1.91103acb414aap-3, 0x1.87b8853417419p-3, 0x1.7e95665dbba78p-3, 0x1.75a5d2f13358cp-3, 0x1.6ce8c2e8c839dp-3, 0x1.645d31b416f49p-3, 0x1.5c021e56dae8ap-3, 0x1.53d68b83589b3p-3, 0x1.4bd97fb05a556p-3, 0x1.440a052ae92acp-3, 0x1.3c672a2498263p-3, 0x1.34f000be74f6bp-3, 0x1.2da39f10ca17fp-3, 0x1.26811f302d9b3p-3, 0x1.1f879f302e5e7p-3, 0x1.18b64123f3422p-3, 0x1.120c2b1cabd12p-3, 0x1.0b88872642f34p-3, 0x1.052a8342df843p-3, 0x1.fde2a2c9c3c8p-4, 0x1.f1b84eceb5f6bp-4, 0x1.e5d47e0b81b5fp-4, 0x1.da35aba5ab0e6p-4, 0x1.ceda5a5cb58edp-4, 0x1.c3c114741fc31p-4, 0x1.b8e86b9c79f7ap-4, 0x1.ae4ef8db17decp-4, 0x1.a3f35c70d131cp-4, 0x1.99d43dbfe4a93p-4, 0x1.8ff04b30d39a2p-4, 0x1.86463a17121fap-4, 0x1.7cd4c6956dbadp-4, 0x1.739ab3817a244p-4, 0x1.6a96ca468cff1p-4, 0x1.61c7dac9412e7p-4, 0x1.592cbb4ad9461p-4, 0x1.50c4484bde872p-4, 0x1.488d646ee2df5p-4, 0x1.4086f85be2a51p-4, 0x1.38aff2a39515cp-4, 0x1.310747a291e78p-4, 0x1.298bf164dc026p-4, 0x1.223cef89c949cp-4, 0x1.1b194727fd0b9p-4, 0x1.142002b1c92c8p-4, 0x1.0d5031da14ad5p-4, 0x1.06a8e9795d753p-4, 0x1.00294372d77cap-4, 0x1.f3a0bd347af3ap-5, 0x1.e73abd34a4b4bp-5, 0x1.db1ed7b6e84e6p-5, 0x1.cf4b66d474b0ap-5, 0x1.c3becdbd8a9edp-5, 0x1.b87778899f602p-5, 0x1.ad73dc07ff834p-5, 0x1.a2b27590a1206p-5, 0x1.9831cad5f8032p-5, 0x1.8df069b82519p-5, 0x1.83ece818e6af5p-5, 0x1.7a25e3affd812p-5, 0x1.709a01e07bbeep-5, 0x1.6747ef8f38785p-5, 0x1.5e2e60f9f4b4p-5, 0x1.554c118ef719fp-5, 0x1.4c9fc3c59359cp-5, 0x1.442840f7e6d66p-5, 0x1.3be4593d6650ep-5, 0x1.33d2e345bbcafp-5, 0x1.2bf2bc34274dp-5, 0x1.2442c77c08fa3p-5, 0x1.1cc1eebe89e63p-5, 0x1.156f21a8e6c31p-5, 0x1.0e4955d2f2db3p-5, 0x1.074f869e2a98ap-5, 0x1.0080b515d5519p-5, 0x1.f3b7cfa05c866p-6, 0x1.e6c055a0310cfp-6, 0x1.da191ece37b4p-6, 0x1.cdc0582fd05b6p-6, 0x1.c1b438f376d4cp-6, 0x1.b5f302394d4aap-6, 0x1.aa7afedcc7deap-6, 0x1.9f4a833ef263p-6, 0x1.945fed11b584ap-6, 0x1.89b9a3248d649p-6, 0x1.7f561532cd12ap-6, 0x1.7533bbb2ec06dp-6, 0x1.6b5117a682d22p-6, 0x1.61acb26b0ef46p-6, 0x1.58451d8bf08a2p-6, 0x1.4f18f295c887p-6, 0x1.4626d2eb00984p-6, 0x1.3d6d6798f0a8ap-6, 0x1.34eb612d9f32ep-6, 0x1.2c9f778e5c6d9p-6, 0x1.248869cf9c3c5p-6, 0x1.1ca4fe0df7acbp-6, 0x1.14f40148148f4p-6, 0x1.0d74473906189p-6, 0x1.0624aa333d0fdp-6, 0x1.fe0815f886b65p-7, 0x1.f022a15318314p-7, 0x1.e296d0fca273dp-7, 0x1.d5628b9442192p-7, 0x1.c883c38fe01ap-7, 0x1.bbf876fb2e2f5p-7, 0x1.afbeaf38111f8p-7, 0x1.a3d480c0ca974p-7, 0x1.98380aebfeb3fp-7, 0x1.8ce777b209eadp-7, 0x1.81e0fb734798fp-7, 0x1.7722d4bf2a46ap-7, 0x1.6cab4c1c52a6fp-7, 0x1.6278b3d22b062p-7, 0x1.588967b3fbe61p-7, 0x1.4edbcced785ebp-7, 0x1.456e51d03e413p-7, 0x1.3c3f6da20fb87p-7, 0x1.334da06bc5478p-7, 0x1.2a9772c92ca4ap-7, 0x1.221b75ba29bap-7, 0x1.19d8427532917p-7, 0x1.11cc7a3b0c223p-7, 0x1.09f6c62b82316p-7, 0x1.0255d71acfd35p-7, 0x1.f5d0caceef56p-8, 0x1.e75a61a147643p-8, 0x1.d946009a94e94p-8, 0x1.cb9143c8e87fdp-8, 0x1.be39d50dcd45bp-8, 0x1.b13d6bd4494fap-8, 0x1.a499ccc91a5a6p-8, 0x1.984cc99396dd1p-8, 0x1.8c54408e83919p-8, 0x1.80ae1c8089494p-8, 0x1.755854554a59fp-8, 0x1.6a50ead891199p-8, 0x1.5f95ee754fe8fp-8, 0x1.552578f8aad2cp-8, 0x1.4afdaf57f3cc8p-8, 0x1.411cc1772cab2p-8, 0x1.3780e9edb61fcp-8, 0x1.2e286dc86744ep-8, 0x1.25119c4a1922cp-8, 0x1.1c3aceada7278p-8, 0x1.13a267ecba02ap-8, 0x1.0b46d48ce10acp-8, 0x1.03268a721046p-8, 0x1.f68011663984ep-9, 0x1.e723aed7b9364p-9, 0x1.d8350f13d6b92p-9, 0x1.c9b165285a7b9p-9, 0x1.bb95f4e0e95f2p-9, 0x1.ade01258c1d99p-9, 0x1.a08d219bd4b99p-9, 0x1.939a965a34ec3p-9, 0x1.8705f3a8e0edap-9, 0x1.7acccbc4f0b77p-9, 0x1.6eecbfcd5b61fp-9, 0x1.63637f6bfde83p-9, 0x1.582ec86ed911bp-9, 0x1.4d4c665a86a7fp-9, 0x1.42ba32032bf0fp-9, 0x1.38761137b5168p-9, 0x1.2e7df6838a776p-9, 0x1.24cfe1028dc63p-9, 0x1.1b69dc3c1e57bp-9, 0x1.1249fff6e2774p-9, 0x1.096e6ffabd74fp-9, 0x1.00d55bbdd42aep-9, 0x1.f0f9fc05095c3p-10, 0x1.e0c738e574ea4p-10, 0x1.d10f0e8c7dfcfp-10, 0x1.c1ce31fb918a2p-10, 0x1.b3016c6c159ccp-10, 0x1.a4a59b1c5be2bp-10, 0x1.96b7af2d4e069p-10, 0x1.8934ad750705ap-10, 0x1.7c19ae2d3edeap-10, 0x1.6f63dc71e216ep-10, 0x1.631075946145p-10, 0x1.571cc85796502p-10, 0x1.4b86342fe4cdfp-10, 0x1.404a28a4c2b56p-10, 0x1.356624ebb032ep-10, 0x1.2ad7b7c669fd6p-10, 0x1.209c7f977facfp-10, 0x1.16b22a895555fp-10, 0x1.0d1676982f16fp-10, 0x1.03c73158add15p-10, 0x1.f5846ed5dc381p-11, 0x1.e40ae74a9e585p-11, 0x1.d31dbc31e203dp-11, 0x1.c2b8f6467085cp-11, 0x1.b2d8b58f9022bp-11, 0x1.a3793103d61afp-11, 0x1.9496b72953441p-11, 0x1.862daf5333d99p-11, 0x1.783a9ad0daeeep-11, 0x1.6aba15643618cp-11, 0x1.5da8d4a1da764p-11, 0x1.5103a64097823p-11, 0x1.44c76da544efep-11, 0x1.38f1212d38cf5p-11, 0x1.2d7dc7e528b3bp-11, 0x1.226a786761bb9p-11, 0x1.17b4595aa8867p-11, 0x1.0d58a36590815p-11, 0x1.0354a3b06c403p-11, 0x1.f34b7b8988cc2p-12, 0x1.e092d7e94d9d5p-12, 0x1.ce7a7c505b253p-12, 0x1.bcfdaef379a89p-12, 0x1.ac17d65b6af65p-12, 0x1.9bc4731b073f3p-12, 0x1.8bff1aad5ea5ep-12, 0x1.7cc37543b03eap-12, 0x1.6e0d3fd9eb519p-12, 0x1.5fd85223f95d6p-12, 0x1.5220a5ac995fep-12, 0x1.44e25aab7bf8fp-12, 0x1.3819b8881d30ap-12, 0x1.2bc32a86f3f9cp-12, 0x1.1fdb3a9645913p-12, 0x1.145e8bc3e0e48p-12, 0x1.0949d4bbe7f9p-12, 0x1.fd33b513cfbp-13, 0x1.e896d9f7d04c9p-13, 0x1.d4b6cdd99fedap-13, 0x1.c18d66ff53406p-13, 0x1.af14ac835867bp-13, 0x1.9d46e39e8ece7p-13, 0x1.8c1e92f21318ep-13, 0x1.7b967bf9f80c2p-13, 0x1.6ba990db3431ep-13, 0x1.5c52ec60334aap-13, 0x1.4d8dccaa61f19p-13, 0x1.3f558d325f8fbp-13, 0x1.31a59e522ab3p-13, 0x1.24797dd662edp-13, 0x1.17ccb6f4fe05bp-13, 0x1.0b9aec6648b68p-13, 0x1.ffbfcee6d14ffp-14, 0x1.e92f4400bc9cfp-14, 0x1.d37c8a99cd098p-14, 0x1.bea0410604fdbp-14, 0x1.aa93404b13f66p-14, 0x1.974e987f8511cp-14, 0x1.84cb959fef06ep-14, 0x1.7303bee4d42d9p-14, 0x1.61f0c9bed8dbfp-14, 0x1.518c87dd790bep-14, 0x1.41d0de82d7d9dp-14, 0x1.32b7cee042802p-14, 0x1.243b89852e518p-14, 0x1.16567d81102b3p-14, 0x1.090356b45aa0ap-14, 0x1.f879dab122ff9p-15, 0x1.dffc6e861ac11p-15, 0x1.c88493bafd2f9p-15, 0x1.b208d2923cb88p-15, 0x1.9c80251865c3ep-15, 0x1.87e1eab89bb04p-15, 0x1.7425c8f19ba7ap-15, 0x1.61439686e959fp-15, 0x1.4f335c435ea43p-15, 0x1.3ded5f938fba6p-15, 0x1.2d6a2950f3eecp-15, 0x1.1da2844ad4f3ap-15, 0x1.0e8f71027e7b9p-15, 0x1.002a10d893023p-15, 0x1.e4d7380b862fap-16, 0x1.ca9aedc992e61p-16, 0x1.b192afb4c91f2p-16, 0x1.99b2a72309b44p-16, 0x1.82ef834877f2fp-16, 0x1.6d3e3b256910bp-16, 0x1.589411d77b534p-16, 0x1.44e6c7a41681ep-16, 0x1.322ca7d81919ep-16, 0x1.205c5a316bbddp-16, 0x1.0f6cb06bc75bap-16, 0x1.fea93dce592afp-17, 0x1.e01691d016c39p-17, 0x1.c30ffe48bdd3dp-17, 0x1.a7849271e6e5dp-17, 0x1.8d642db8d9e04p-17, 0x1.749fccfbd418ap-17, 0x1.5d293970d511cp-17, 0x1.46f26860cab14p-17, 0x1.31ed60aed652fp-17, 0x1.1e0cc8cc8780fp-17, 0x1.0b44582901f63p-17, 0x1.f3111efa69186p-18, 0x1.d19c17c30efddp-18, 0x1.b2126d2686ae9p-18, 0x1.945d200a5c4a5p-18, 0x1.78664f970b793p-18, 0x1.5e197d4500809p-18, 0x1.45633703a8ba7p-18, 0x1.2e3100a1f243ap-18, 0x1.18718307a5a59p-18, 0x1.04141f98cd4d2p-18, 0x1.e21031dde81bbp-19, 0x1.be795662c923bp-19, 0x1.9d445b17233b3p-19, 0x1.7e556216838ecp-19, 0x1.61928493be87p-19, 0x1.46e16c28285ddp-19, 0x1.2e26374d8c7c6p-19, 0x1.17441e59ba448p-19, 0x1.021f620d544cdp-19, 0x1.dd3e6d938862bp-20, 0x1.b95c0f0eb44aep-20, 0x1.987023f765c8fp-20, 0x1.7a545c7d646c4p-20, 0x1.5ee346753748ep-20, 0x1.45f7a9cb1a16fp-20, 0x1.2f6bc57afc155p-20, 0x1.1b1ba3a6863d3p-20, 0x1.08e80d300a041p-20, 0x1.f16aac8f3a1b4p-21, 0x1.d4d02ce20a9f5p-21, 0x1.bbc7f4b9059e5p-21, 0x1.a6178845b95dp-21, 0x1.93823d8c6edf2p-21, 0x1.83cbb993cea4cp-21, 0x1.76bd771820b4bp-21, 0x1.6c2a0c51f04e7p-21, 0x1.63ea2d31ae081p-21, 0x1.5dd667c70f913p-21, 0x1.59c5693c9869p-21, 0x1.578f0e18293e3p-21, 0x1.570d78426a0dfp-21, 0x1.581e5f17c2a6bp-21, 0x1.5aa572a1cb91p-21, 0x1.5e889ecf8909p-21, 0x1.63ab34f803d5fp-21, 0x1.69f011626bdadp-21, 0x1.713ca4534a8b3p-21, 0x1.797760ecb1f2bp-21, 0x1.8285e788f2773p-21, 0x1.8c4e0e822a346p-21, 0x1.96b89479ff16ep-21, 0x1.a1b2d446b1553p-21, 0x1.ad2d0b44014b1p-21, 0x1.b91613c23007ep-21, 0x1.c559ebe129758p-21, 0x1.d1e4dbf4d996cp-21, 0x1.dea576c16bc97p-21, 0x1.eb8d895d8895bp-21, 0x1.f8933b245f5acp-21, 0x1.02d68ac505b9ap-20, 0x1.096764e9b5b0fp-20, 0x1.0ff60b113c459p-20, 0x1.167d64917c27fp-20, 0x1.1cf8d9ee8fbcep-20, 0x1.236409b8b8339p-20, 0x1.29bab62c4c411p-20, 0x1.2ff8d0b8103a2p-20, 0x1.361acd330c5e5p-20, 0x1.3c1dd8c2bb1a2p-20, 0x1.41ff83e0067dap-20, 0x1.47bd0dc11c85ap-20, 0x1.4d5353b46f2e4p-20, 0x1.52bf9fe2d5f43p-20, 0x1.57ffe6cf92249p-20, 0x1.5d129e7d9ddd6p-20, 0x1.61f691d563c34p-20, 0x1.66aa10908c4bdp-20, 0x1.6b2b3def56cefp-20, 0x1.6f78f8373f1d3p-20, 0x1.73927ba481a65p-20, 0x1.77770864a6fp-20, 0x1.7b26036eea26ap-20, 0x1.7e9efeaca67c9p-20, 0x1.81e1aac2e0ba8p-20, 0x1.84edcf024d15ep-20, 0x1.87c34b5d5b6c7p-20, 0x1.8a621a8dca469p-20, 0x1.8cca4a6906144p-20, 0x1.8efbeb2cc35adp-20, 0x1.90f719cb74cafp-20, 0x1.92bc1f542a4p-20, 0x1.944b650130519p-20, 0x1.95a56209f67dp-20, 0x1.96ca9a0d8042cp-20, 0x1.97bb94833342dp-20, 0x1.9878f97f3d4e3p-20, 0x1.990381e658e3ep-20, 0x1.995be373e0eaep-20, 0x1.9982d99cd273dp-20, 0x1.99792a6055f95p-20, 0x1.993fad874b2d4p-20, 0x1.98d75249731adp-20, 0x1.984119034b0b2p-20, 0x1.977e05e9f8bb1p-20, 0x1.968f14cdf95c2p-20, 0x1.95753609781e4p-20, 0x1.94316b5ec30edp-20, 0x1.92c4d8f23b1fep-20, 0x1.913082da4cd33p-20, 0x1.8f7546ed7a4fp-20, 0x1.8d943b2ebbfep-20, 0x1.8b8e824079fd6p-20, 0x1.896545f6220b4p-20, 0x1.871995c75dd7dp-20, 0x1.84ac833f41818p-20, 0x1.821f319d838adp-20, 0x1.7f72b38abaaedp-20, 0x1.7ca80d16ce013p-20, 0x1.79c03b7448c73p-20, 0x1.76bc3fd91bf38p-20, 0x1.739d2d9bd3002p-20, 0x1.706432c7c21afp-20, 0x1.6d1290286ee67p-20, 0x1.69a9755c7f73p-20, 0x1.6629d85de3dfep-20, 0x1.6294965859d8dp-20, 0x1.5eeaba7d82c05p-20, 0x1.5b2d41227f9ffp-20, 0x1.575ceca3c47eap-20, 0x1.537ad99c394cap-20, 0x1.4f883655498bcp-20, 0x1.4b85fb4c0e13ap-20, 0x1.4774f0e59219ep-20, 0x1.4356063a6fe7ap-20, 0x1.3f2a34ad3dc05p-20, 0x1.3af25cadb45dap-20, 0x1.36af53e43050dp-20, 0x1.3261e63a2340fp-20, 0x1.2e0ad7e1659a8p-20, 0x1.29aaef853f5a1p-20, 0x1.2542ffcd2ed8ep-20, 0x1.20d3e5266c91ep-20, 0x1.1c5e781cef9eep-20, 0x1.17e37c8f7341cp-20, 0x1.1363995d8ccedp-20, 0x1.0edf7207a2e6fp-20, 0x1.0a57ccf64ecb2p-20, 0x1.05cd6b114961dp-20, 0x1.0140d177aeb1ap-20, 0x1.f9654d283e106p-21, 0x1.f0478636fb44bp-21, 0x1.e7295a75b1488p-21, 0x1.de0ba9eea8e42p-21, 0x1.d4efd8b5026afp-21, 0x1.cbd717ddb4ff9p-21, 0x1.c2c26f5eba7bep-21, 0x1.b9b2df27d268dp-21, 0x1.b0a95dc6d29bap-21, 0x1.a7a6d41ea0e84p-21, 0x1.9eac22c581a86p-21, 0x1.95ba2ee1dee95p-21, 0x1.8cd1e74b3e161p-21, 0x1.83f43bd5d5691p-21, 0x1.7b2212184e5a4p-21, 0x1.725c3c06709eep-21, 0x1.69a36a1c9b9e3p-21, 0x1.60f832ea503b9p-21, 0x1.585b3a8b662ddp-21, 0x1.4fcd39c38e952p-21, 0x1.474eccc7f3496p-21, 0x1.3ee0850b0ca24p-21, 0x1.36834b81aa14dp-21, 0x1.2e378334a36dbp-21, 0x1.25fdade7dea5bp-21, 0x1.1dd665813373p-21, 0x1.15c22838979a4p-21, 0x1.0dc15db99fde8p-21, 0x1.05d4700ea0971p-21, 0x1.fbf7a3e8186b5p-22, 0x1.ec6fc5f8a4e1bp-22, 0x1.dd11e966e53f6p-22, 0x1.cddeace7e7856p-22, 0x1.bed6b5eae41f5p-22, 0x1.affaaba859965p-22, 0x1.a14b2becbffbp-22, 0x1.92c8c6e7b501fp-22, }}, 
      {{0x1.5420d9e755129p-10, 0x1.4f7df11be95eep-8, 0x1.6e44c1f2b67d2p-7, 0x1.3750dde3613a7p-6, 0x1.cb98185088445p-6, 0x1.35bbc60951ba6p-5, 0x1.87b68e89eff1fp-5, 0x1.d88e7d07dcf36p-5, 0x1.12cee9a579ff6p-4, 0x1.365a19bf6e4e5p-4, 0x1.56033ea8c8bc6p-4, 0x1.7111f0b7cf0acp-4, 0x1.86f782207984fp-4, 0x1.974c827617e56p-4, 0x1.a1ce4a3b0f65bp-4, 0x1.a65c07823dbdap-4, 0x1.a4f3263bf4dd5p-4, 0x1.9dab2d8e68d59p-4, 0x1.90b14f6da8125p-4, 0x1.7e43ef2c52f34p-4, 0x1.66ae5d14c1804p-4, 0x1.4a44f6168039fp-4, 0x1.2961c5b957007p-4, 0x1.0461b878cd315p-4, 0x1.b744be09aedfbp-5, 0x1.5f0070cd6cca1p-5, 0x1.00aae4de389b4p-5, 0x1.39e4345ebca7dp-6, 0x1.a3e4da39439cp-8, -0x1.c0b904586bee1p-8, -0x1.5065ed0e5c1a4p-6, -0x1.1b4918a7e037ep-5, -0x1.90d3e35287df8p-5, -0x1.042acd47a6d72p-4, -0x1.40ac0e286548cp-4, -0x1.7db64896b2204p-4, -0x1.bb1590d50a75ap-4, -0x1.f899598c759b4p-4, -0x1.1b0a2b5a21161p-3, -0x1.39ae3229bc44fp-3, -0x1.5825386f87e05p-3, -0x1.765d352bf9ea5p-3, -0x1.94459684c2c0ap-3, -0x1.b1cf38985d587p-3, -0x1.ceec5cbb2ed6fp-3, -0x1.eb90a0a7dd21dp-3, -0x1.03d879a4a0cf9p-2, -0x1.11a1c4a0de9bp-2, -0x1.1f1fe8a4e05abp-2, -0x1.2c4f32d568c7ap-2, -0x1.392c7f1e56b0bp-2, -0x1.45b530985255p-2, -0x1.51e7297102eddp-2, -0x1.5dc0c2e2f01edp-2, -0x1.6940c4dcbd34ep-2, -0x1.74665db84978ep-2, -0x1.7f3119f5ca363p-2, -0x1.89a0dc13899f7p-2, -0x1.93b5d48eb425fp-2, -0x1.9d707a18fdc5p-2, -0x1.a6d1820f3c50ep-2, -0x1.afd9d93cb54a5p-2, -0x1.b88a9cf69607cp-2, -0x1.c0e51499bc216p-2, -0x1.c8eaab7246d61p-2, -0x1.d09ceb11ef0a9p-2, -0x1.d7fd76179517dp-2, -0x1.df0e03687c78p-2, -0x1.e5d059da7674ap-2, -0x1.ec464c4c5372p-2, -0x1.f271b628bc6a5p-2, -0x1.f854784d4e863p-2, -0x1.fdf0764f249bep-2, -0x1.01a3ca0a74d5fp-1, -0x1.042dd9dfcef83p-1, -0x1.069759edbc953p-1, -0x1.08e136e9faaa9p-1, -0x1.0b0c5a52c7598p-1, -0x1.0d19a9e45a083p-1, -0x1.0f0a0727a33dap-1, -0x1.10de4f17bbe34p-1, -0x1.129759da25453p-1, -0x1.1435fa87a38f5p-1, -0x1.15baff028249ap-1, -0x1.17272fd907b4bp-1, -0x1.187b50323dca7p-1, -0x1.19b81dc43c77dp-1, -0x1.1ade50d306ae9p-1, -0x1.1bee9c366a163p-1, -0x1.1ce9ad6697b1ep-1, -0x1.1dd02c8c7fb27p-1, -0x1.1ea2bc9707f31p-1, -0x1.1f61fb5098398p-1, -0x1.200e81788f03fp-1, -0x1.20a8e2dac4b4p-1, -0x1.2131ae6aa113ap-1, -0x1.21a96e5c5a432p-1, -0x1.2210a84035c8dp-1, -0x1.2267dd1ec1e58p-1, -0x1.22af8993811bdp-1, -0x1.22e825ebe8b3fp-1, -0x1.23122641e047cp-1, -0x1.232dfa9ae09a3p-1, -0x1.233c0f032a51p-1, -0x1.233ccbaaa89c8p-1, -0x1.233095004f86ap-1, -0x1.2317cbccf92c6p-1, -0x1.22f2cd4d9d99ap-1, -0x1.22c1f34cf00dfp-1, -0x1.2285943cf1eacp-1, -0x1.223e034ee7567p-1, -0x1.21eb908d81ae5p-1, -0x1.218e88f3c3b38p-1, -0x1.2127368689ebcp-1, -0x1.20b5e06d0d1a8p-1, -0x1.203acb07b34c7p-1, -0x1.1fb6380a41fbap-1, -0x1.1f2866929c6a5p-1, -0x1.1e91934036bfep-1, -0x1.1df1f84d3ddfap-1, -0x1.1d49cda4ea033p-1, -0x1.1c9948fa17eaep-1, -0x1.1be09ddf953e8p-1, -0x1.1b1ffddea3179p-1, -0x1.1a57988bc4428p-1, -0x1.19879b9e787c3p-1, -0x1.18b033083a929p-1, -0x1.17d18907b995dp-1, -0x1.16ebc63f2f683p-1, -0x1.15ff11cbf11ap-1, -0x1.150b91594aa62p-1, -0x1.141169341b184p-1, -0x1.1310bc61c6cd7p-1, -0x1.1209acb45f3d7p-1, -0x1.10fc5adb9a459p-1, -0x1.0fe8e67874068p-1, -0x1.0ecf6e3287af7p-1, -0x1.0db00fc909dc9p-1, -0x1.0c8ae821b67e1p-1, -0x1.0b60135bbadfbp-1, -0x1.0a2face29592ap-1, -0x1.08f9cf7b990d4p-1, -0x1.07be95531f209p-1, -0x1.067e180da8b8ep-1, -0x1.053870d7b201ep-1, -0x1.03edb870b7165p-1, -0x1.029e0736170adp-1, -0x1.014975314d12ap-1, -0x1.ffe0344b170f8p-2, -0x1.fd241b3190bd4p-2, -0x1.fa5ecdb70a7ccp-2, -0x1.f7907a27dd992p-2, -0x1.f4b94e935282p-2, -0x1.f1d978da82627p-2, -0x1.eef126ba3f7b5p-2, -0x1.ec0085da6199p-2, -0x1.e907c3e0ed04cp-2, -0x1.e6070e7f45899p-2, -0x1.e2fe93788a2bcp-2, -0x1.dfee80a94fd75p-2, -0x1.dcd704146b47bp-2, -0x1.d9b84bef03fa6p-2, -0x1.d69286a63f196p-2, -0x1.d365e2e101d71p-2, -0x1.d0328f84a52d3p-2, -0x1.ccf8bbbdab3bap-2, -0x1.c9b8970637256p-2, -0x1.c67251262b69bp-2, -0x1.c3261a31025fdp-2, -0x1.bfd42287980d6p-2, -0x1.bc7c9adcfa0b1p-2, -0x1.b91fb4381453ap-2, -0x1.b5bd9ff003342p-2, -0x1.b2568fa74134cp-2, -0x1.aeeab54a31b38p-2, -0x1.ab7a430fe900ep-2, -0x1.a8056b78c50dcp-2, -0x1.a48c6148f666bp-2, -0x1.a10f57816a022p-2, -0x1.9d8e815ab05a1p-2, -0x1.9a0a12427a6d4p-2, -0x1.96823dd8a548ap-2, -0x1.92f737e91a906p-2, -0x1.8f69346319cfcp-2, -0x1.8bd867512ff2p-2, -0x1.884504d3fabc5p-2, -0x1.84af411e09b63p-2, -0x1.8117506dc5bc9p-2, -0x1.7d7d670485fa9p-2, -0x1.79e1b91d030a6p-2, -0x1.76447ae3c137fp-2, -0x1.72a5e07167c9ep-2, -0x1.6f061dc4ced73p-2, -0x1.6b6566bb26408p-2, -0x1.67c3ef06c136dp-2, -0x1.6421ea26307bdp-2, -0x1.607f8b5cd3c99p-2, -0x1.5cdd05ac65eacp-2, -0x1.593a8bce547c2p-2, -0x1.5598502c3e6b4p-2, -0x1.51f684d7b637dp-2, -0x1.4e555b81fd2c6p-2, -0x1.4ab505748cdb7p-2, -0x1.4715b38a96e6bp-2, -0x1.4377962afb86p-2, -0x1.3fdadd42035c8p-2, -0x1.3c3fb83a5d11ep-2, -0x1.38a655f5a3badp-2, -0x1.350ee4c569a3fp-2, -0x1.3179926565d21p-2, -0x1.2de68bf685547p-2, -0x1.2a55fdfa00fcep-2, -0x1.26c8144bd2903p-2, -0x1.233cfa1c8dd5cp-2, -0x1.1fb4d9eb81c73p-2, -0x1.1c2fdd81e9fdep-2, -0x1.18ae2def182c9p-2, -0x1.152ff384deb12p-2, -0x1.11b555d3935a1p-2, -0x1.0e3e7ba5a91p-2, -0x1.0acb8afb51d99p-2, -0x1.075ca906e1f2ep-2, -0x1.03f1fa2a12c1p-2, -0x1.008ba1f3af534p-2, -0x1.fa53863a21e76p-3, -0x1.f398ff0eb460ep-3, -0x1.ece7f0719429dp-3, -0x1.e6409ab50378fp-3, -0x1.dfa33c6df808cp-3, -0x1.d9101271eba8ep-3, -0x1.d28757d4b0545p-3, -0x1.cc0945e5b4e74p-3, -0x1.c596142d456f5p-3, -0x1.bf2df86aad8aap-3, -0x1.b8d12693a664p-3, -0x1.b27fd0d4cc913p-3, -0x1.ac3a279259abap-3, -0x1.a60059684f6a6p-3, -0x1.9fd2932a04679p-3, -0x1.99b0ffe1c986dp-3, -0x1.939bc8d1cf893p-3, -0x1.8d931576b3b8ep-3, -0x1.87970b8b13953p-3, -0x1.81a7cf0b03789p-3, -0x1.7bc5823686275p-3, -0x1.75f0459303866p-3, -0x1.702837ecabf84p-3, -0x1.6a6d76592e5fbp-3, -0x1.64c01c3c75fc7p-3, -0x1.5f20434ee6e88p-3, -0x1.598e03a37f51ap-3, -0x1.540973ac768bfp-3, -0x1.4e92a83e24579p-3, -0x1.4929b49150da2p-3, -0x1.43ceaa46c76a9p-3, -0x1.3e81996d78aafp-3, -0x1.3942908af021bp-3, -0x1.34119ca43deeap-3, -0x1.2eeec944ece16p-3, -0x1.29da2082e008fp-3, -0x1.24d3ab00134d9p-3, -0x1.1fdb6fed113d8p-3, -0x1.1af1750f000bp-3, -0x1.1615beca21a26p-3, -0x1.1148502eebdacp-3, -0x1.0c892b05b8e49p-3, -0x1.07d84fd548631p-3, -0x1.0335bde31a063p-3, -0x1.fd42e660e413cp-4, -0x1.f436d8f441d5cp-4, -0x1.eb474a7f476bep-4, -0x1.e2742fa7f2792p-4, -0x1.d9bd7ae6ab637p-4, -0x1.d1231cacb2e0ap-4, -0x1.c8a503756a65cp-4, -0x1.c0431bbc6d1e5p-4, -0x1.b7fd4fe0d9e87p-4, -0x1.afd3880af1b0ep-4, -0x1.a7c5aa2b8c78bp-4, -0x1.9fd39a22c474ap-4, -0x1.97fd3a07ace7ap-4, -0x1.90426a7804d9cp-4, -0x1.88a30ace27062p-4, -0x1.811ef9239a92bp-4, -0x1.79b6121d133b2p-4, -0x1.726830985e16ap-4, -0x1.6b352d6852ff5p-4, -0x1.641cdf4a6c0eap-4, -0x1.5d1f1b2b4ed4ap-4, -0x1.563bb4ab51a45p-4, -0x1.4f727eb2dfcb1p-4, -0x1.48c34bd87d29dp-4, -0x1.422dee678dad6p-4, -0x1.3bb237fc9a4b7p-4, -0x1.354ff8dbeb0a2p-4, -0x1.2f06ff4cd20c8p-4, -0x1.28d7174bde0d2p-4, -0x1.22c00ac83fedfp-4, -0x1.1cc1a2674fa83p-4, -0x1.16dba68d1ddc9p-4, -0x1.110de044990bap-4, -0x1.0b5819a57265ep-4, -0x1.05ba1d81ee6cp-4, -0x1.0033b66d8d44dp-4, -0x1.f5895aec9ab26p-5, -0x1.ead9922c593a4p-5, -0x1.e05799b30baf2p-5, -0x1.d602f3eac2821p-5, -0x1.cbdb21521874ap-5, -0x1.c1dfa3e41b8dp-5, -0x1.b81001e6cbd5ep-5, -0x1.ae6bc709bc602p-5, -0x1.a4f283486a4dep-5, -0x1.9ba3c7ca1caabp-5, -0x1.927f22c4603eap-5, -0x1.89841be8f89cdp-5, -0x1.80b232d9b312ep-5, -0x1.7808e066bd683p-5, -0x1.6f879a46959fbp-5, -0x1.672dd804235a6p-5, -0x1.5efb17772c1bbp-5, -0x1.56eedf4b38088p-5, -0x1.4f08beaeba1aap-5, -0x1.47484a117ccdp-5, -0x1.3fad15c80ed1ep-5, -0x1.3836b04b8143fp-5, -0x1.30e49e36b1d5fp-5, -0x1.29b659a87625p-5, -0x1.22ab555e2d5f6p-5, -0x1.1bc3025ed20dbp-5, -0x1.14fcd634c5121p-5, -0x1.0e584fd981133p-5, -0x1.07d4fa1e381dap-5, -0x1.01726af7bc8p-5, -0x1.f6607f2c8a801p-6, -0x1.ea1c2bee3692p-6, -0x1.de170b850d73bp-6, -0x1.d25036397f3bp-6, -0x1.c6c6ab3d6781dp-6, -0x1.bb7957a221edbp-6, -0x1.b06722d1ecf64p-6, -0x1.a58efb68a4119p-6, -0x1.9aefe0fd6f238p-6, -0x1.9088ea2014036p-6, -0x1.86594694442dbp-6, -0x1.7c603c940719dp-6, -0x1.729d1f671ccf9p-6, -0x1.690f404567501p-6, -0x1.5fb5def3ddd1p-6, -0x1.5690217cfade1p-6, -0x1.4d9d16d947fcfp-6, -0x1.44dbc18abbcc8p-6, -0x1.3c4b22febeed3p-6, -0x1.33ea42c14719cp-6, -0x1.2bb83291313bep-6, -0x1.23b413972c311p-6, -0x1.1bdd1db7d57b8p-6, -0x1.1432a3d77df27p-6, -0x1.0cb40e48cb734p-6, -0x1.0560cabd63179p-6, -0x1.fc7073ebb41c5p-7, -0x1.ee734c9b2e825p-7, -0x1.e0c88eea1703ap-7, -0x1.d36e9a26fc904p-7, -0x1.c663cb1829db1p-7, -0x1.b9a6785aed4a4p-7, -0x1.ad34e9ff2de5bp-7, -0x1.a10d61e48260ap-7, -0x1.952e3b3659448p-7, -0x1.89960db4ffcc5p-7, -0x1.7e43b7b470165p-7, -0x1.7336438d44541p-7, -0x1.686cbb2be15afp-7, -0x1.5de60a238b72p-7, -0x1.53a0ff619ff7cp-7, -0x1.499c62ea677fap-7, -0x1.3fd703b83f912p-7, -0x1.364faab9a116dp-7, -0x1.2d04fbf61526cp-7, -0x1.23f566db2fb87p-7, -0x1.1b1f3fd7e85f4p-7, -0x1.1280f8dfec866p-7, -0x1.0a195002432b6p-7, -0x1.01e751c2eaf8p-7, -0x1.f3d4634729bc2p-8, -0x1.e442380b737ffp-8, -0x1.d516476d2713p-8, -0x1.c64ea04b141b4p-8, -0x1.b7e96e2d2cb0ap-8, -0x1.a9e50c393a8cfp-8, -0x1.9c3fd65069c99p-8, -0x1.8ef7cf11263bcp-8, -0x1.820a6a6cee4b5p-8, -0x1.7574be087966ap-8, -0x1.6933fe1797756p-8, -0x1.5d45e91b8703ep-8, -0x1.51a8db524c7abp-8, -0x1.465b8b9099e46p-8, -0x1.3b5cadb107638p-8, -0x1.30aabcb6bd30ep-8, -0x1.26440257a9b6fp-8, -0x1.1c26c89717ac6p-8, -0x1.12518f502ca28p-8, -0x1.08c313d731993p-8, -0x1.fef427d4e361fp-9, -0x1.ece9f30198f66p-9, -0x1.db637e73e4346p-9, -0x1.ca5c5557388d7p-9, -0x1.b9d04dfbcba4cp-9, -0x1.a9bc04c2c55d5p-9, -0x1.9a1d08d951e9cp-9, -0x1.8af1b15b58ffap-9, -0x1.7c388ca1263adp-9, -0x1.6defb16cfd8f7p-9, -0x1.60146c9358bcap-9, -0x1.52a387f78fb35p-9, -0x1.4599d49d15e1fp-9, -0x1.38f4750bd096bp-9, -0x1.2cb0de2652256p-9, -0x1.20ccb4bd89c5ap-9, -0x1.154596d61816fp-9, -0x1.0a18fa9a84182p-9, -0x1.fe884597285f9p-10, -0x1.e9882a41b65b1p-10, -0x1.d52c0e83d734cp-10, -0x1.c1707bbbc3566p-10, -0x1.ae545aaa1e5aap-10, -0x1.9bd6ecffb4921p-10, -0x1.89f5e866d7898p-10, -0x1.78ad95e9569b4p-10, -0x1.67f993b11f986p-10, -0x1.57d492ea29341p-10, -0x1.483860261a74ap-10, -0x1.391f349bac59ep-10, -0x1.2a84c234a615fp-10, -0x1.1c65ed8c84d2ap-10, -0x1.0ec0135ce4aa6p-10, -0x1.01903dcf36097p-10, -0x1.e9a42a8848bd5p-11, -0x1.d10148b487b58p-11, -0x1.b9326cbe245f7p-11, -0x1.a2370749e2834p-11, -0x1.8c0d4eaacf485p-11, -0x1.76b0848c84617p-11, -0x1.621d19ddb13e3p-11, -0x1.4e50cfed079fep-11, -0x1.3b462336c83c6p-11, -0x1.28f3bf7bae667p-11, -0x1.1750817e4313bp-11, -0x1.06561b67fae6fp-11, -0x1.ebffec8b103p-12, -0x1.cc91bd10ac604p-12, -0x1.ae55bbf0b1c79p-12, -0x1.913ea5a1c364ap-12, -0x1.753c15f6411f8p-12, -0x1.5a4407c445eb9p-12, -0x1.405a849d672f3p-12, -0x1.2780d258b6199p-12, -0x1.0faa09109046fp-12, -0x1.f194bf6df4017p-13, -0x1.c5c1a036c8ca6p-13, -0x1.9bd83f915681cp-13, -0x1.73c79558c8661p-13, -0x1.4d778a22cbabcp-13, -0x1.28d349b8b8879p-13, -0x1.05ce950d0449cp-13, -0x1.c8c63aef1f7fcp-14, -0x1.890fef6c95267p-14, -0x1.4c5eb94c7a5fcp-14, -0x1.1291518e41e5p-14, -0x1.b6daae1a0497p-15, -0x1.4d6e854b7b27fp-15, -0x1.d1c68c676fd7ep-16, -0x1.12a22d972ca76p-16, -0x1.73a240b96f581p-18, 0x1.3eee2efb702cep-18, 0x1.e67a7a4f05812p-17, 0x1.8de8f46f25057p-16, 0x1.1020b991e67a3p-15, 0x1.554e656171657p-15, 0x1.969673c97821ep-15, 0x1.d413aae29d755p-15, 0x1.06f28f19090f3p-14, 0x1.2215b06095a93p-14, 0x1.3b881542a587ap-14, 0x1.535d2f21837c6p-14, 0x1.699bb2bc64331p-14, 0x1.7e56c2d7eddcp-14, 0x1.91aa27d31aee6p-14, 0x1.a38e351daa62fp-14, 0x1.b412cfd9dbe77p-14, 0x1.c363e4c5838a7p-14, 0x1.d186778aab1e4p-14, 0x1.de7ac9e4b2f8dp-14, 0x1.ea5069b78ac85p-14, 0x1.f513490009d8ap-14, 0x1.fecdf9a71a80fp-14, 0x1.03c70f7f3fb3cp-13, 0x1.07aeef5ebd2a1p-13, 0x1.0b1f98622e6dbp-13, 0x1.0e199a9a49f22p-13, 0x1.10a23ad9d5ab4p-13, 0x1.12c41430b50bdp-13, 0x1.1486c5c712a6p-13, 0x1.15e9439656e47p-13, 0x1.16f2aefbb6563p-13, 0x1.17ac066ab52aap-13, 0x1.1813ae8c1d0d5p-13, 0x1.18325b5fd2644p-13, 0x1.18052658a83fp-13, 0x1.178842f957974p-13, 0x1.16c3d0d67feacp-13, 0x1.15bfc19f21dddp-13, 0x1.1482a0cde9e7fp-13, 0x1.1311e6f02d6a7p-13, 0x1.116f9738f7661p-13, 0x1.0f9b4e80c3e73p-13, 0x1.0d96c6170e1f2p-13, 0x1.0b66440e1150bp-13, 0x1.090b955dbab0ep-13, 0x1.0686a0ddc6c5fp-13, 0x1.03da9338cfd35p-13, 0x1.01084d850c6cap-13, 0x1.fc1f56a07db9p-14, 0x1.f5f8124a4617p-14, 0x1.efa0cc2a169e3p-14, 0x1.e91f5ca6645a7p-14, 0x1.e26c5ef76311ap-14, 0x1.db853f66c9135p-14, 0x1.d4762bf4a0cffp-14, 0x1.cd448a9a2fe5bp-14, 0x1.c5f18fd668ccap-14, 0x1.be7dc5df3bffap-14, 0x1.b6e98f22e66f8p-14, 0x1.af3626d2c2f91p-14, 0x1.a76835f40bc6cp-14, 0x1.9f8924c5ad2fep-14, 0x1.97a0daa0c0eap-14, 0x1.8fadf665a3d84p-14, 0x1.87ada6c4cdbe7p-14, 0x1.7fa6571cc8c66p-14, 0x1.7799d60cc8033p-14, 0x1.6f7c3d545b6d5p-14, 0x1.6755ae1f62aep-14, 0x1.5f33880c36bbp-14, 0x1.5718ca425bd5bp-14, 0x1.4efd849d44b38p-14, 0x1.46e4405041815p-14, 0x1.3ed2e54c430d2p-14, 0x1.36ca3feec21b1p-14, 0x1.2eca9ed142c14p-14, 0x1.26d4cdc8bd6f5p-14, 0x1.1ee9d27dc06b3p-14, 0x1.170ad6647aa31p-14, 0x1.0f392cbe596a7p-14, 0x1.077638b117c73p-14, 0x1.ff86376ca09f9p-15, 0x1.f04064bdf9459p-15, 0x1.e1197876b328dp-15, 0x1.d210afbfaaa9p-15, 0x1.c32d01e1aead3p-15, 0x1.b477acc37b5cfp-15, 0x1.a5e7c604a6caap-15, 0x1.977d30461f9b7p-15, 0x1.894aa7c327658p-15, 0x1.7b46ee3ffad8cp-15, 0x1.6d63e63c02a09p-15, 0x1.5fadecbbb0cebp-15, 0x1.522b1b30cf117p-15, 0x1.44db0579fa239p-15, 0x1.37bce5cfd0793p-15, 0x1.2ad0876ab9464p-15, 0x1.1e160a958f817p-15, 0x1.118db607e2262p-15, 0x1.0537f1ee5fb32p-15, 0x1.f22a8f0840b42p-16, 0x1.da4ca01377da9p-16, 0x1.c2d73e9a3de9dp-16, 0x1.abcb3d0f95cdfp-16, 0x1.9528882f490abp-16, 0x1.7eee7d12ac8c7p-16, 0x1.691dc7a65c5eep-16, 0x1.53b89ee1b1c09p-16, 0x1.3eba1c20254d6p-16, 0x1.2a1bd3f415ab7p-16, 0x1.15ead0506bd9cp-16, 0x1.021ee65bd0562p-16, 0x1.dd753a8ea25adp-17, 0x1.b786807a0feccp-17, 0x1.9270f973db1f1p-17, 0x1.6e24b36ff1959p-17, 0x1.4a9bf2a621529p-17, 0x1.27dfc7bc41f12p-17, 0x1.05f1ef986dfa9p-17, 0x1.c99e9273c60f8p-18, 0x1.88e97d64842f5p-18, 0x1.49c034798c6p-18, 0x1.0c1f5418f48fap-18, 0x1.a00794a42c511p-19, 0x1.2ad518dbf4dd6p-19, }}, 
      {{0x1.50ea0cb56fcf8p-2, 0x1.451cf9c601cbdp-1, 0x1.cf1163c8a8a38p-1, 0x1.21914d9c9769cp+0, 0x1.5045ecdd28ap+0, 0x1.74083a3a3fb0ap+0, 0x1.8db04a30dc5cp+0, 0x1.9e56ee385ae09p+0, 0x1.a731088221dc3p+0, 0x1.a977184285553p+0, 0x1.a6557c298163bp+0, 0x1.9ee2e05ff1616p+0, 0x1.941b003696097p+0, 0x1.86dc64cbf4423p+0, 0x1.77e827bed2975p+0, 0x1.67e3047a7e541p+0, 0x1.5757381917d8fp+0, 0x1.46b6d28a7bcc3p+0, 0x1.365e3963f3252p+0, 0x1.2696b0cf4e496p+0, 0x1.1798ce88285c9p+0, 0x1.098ec60c80158p+0, 0x1.f92d0a5bd29cep-1, 0x1.e1873ae2c11e5p-1, 0x1.cc41f385c68d3p-1, 0x1.b964c36e5dbb3p-1, 0x1.a8eb997118303p-1, 0x1.9ac910eba5474p-1, 0x1.8ee86d4ff8b54p-1, 0x1.852f4d0ccec29p-1, 0x1.7d7f1c2aaaff8p-1, 0x1.77b64e2e43a53p-1, 0x1.73b16603754b5p-1, 0x1.714bd202a1e6cp-1, 0x1.7060a18b3d0edp-1, 0x1.70cb192aa06cfp-1, 0x1.726729c611e09p-1, 0x1.7511ced1d9623p-1, 0x1.78a95727a2731p-1, 0x1.7d0d9bb31511ap-1, 0x1.822026b0e7036p-1, 0x1.87c44e063a5afp-1, 0x1.8ddf42e1923fbp-1, 0x1.94581875d12bdp-1, 0x1.9b17c354fcbb1p-1, 0x1.a209131c9f922p-1, 0x1.a918a75ccdd51p-1, 0x1.b034e0c5ecb4fp-1, 0x1.b74dcfdbad127p-1, 0x1.be5521666d9aap-1, 0x1.c53e09a85004p-1, 0x1.cbfd2ec7613acp-1, 0x1.d28892abc3d91p-1, 0x1.d8d77cf11fe9ep-1, 0x1.dee264fafc60dp-1, 0x1.e4a2dc80cd47fp-1, 0x1.ea137aadfb66ep-1, 0x1.ef2fc7f2a1ff8p-1, 0x1.f3f42a97a6bb8p-1, 0x1.f85dd42314418p-1, 0x1.fc6aaf954f5bp-1, 0x1.000ca842b009ap+0, 0x1.01b4718ff9b55p+0, 0x1.032c8e850e881p+0, 0x1.04751794ac89cp+0, 0x1.058e5c285f321p+0, 0x1.0678dc68abdp+0, 0x1.073543752b36ap+0, 0x1.07c462080c00dp+0, 0x1.08272980c7e56p+0, 0x1.085ea74fe8e7ep+0, 0x1.086c00bf974a2p+0, 0x1.08506f143f921p+0, 0x1.080d3c01e7a27p+0, 0x1.07a3be7218dcap+0, 0x1.07155795fa7f6p+0, 0x1.0663703f435d3p+0, 0x1.058f767ad71bep+0, 0x1.049adb6783841p+0, 0x1.0387114553e0ep+0, 0x1.025589b92622cp+0, 0x1.0107b44318063p+0, 0x1.ff3df9c751141p-1, 0x1.fc3995dc7dcfap-1, 0x1.f905000823737p-1, 0x1.f5a2ee695195bp-1, 0x1.f216087ed15a7p-1, 0x1.ee60e5e4b5985p-1, 0x1.ea860d47c4726p-1, 0x1.e687f387fd446p-1, 0x1.e268fb0813264p-1, 0x1.de2b732740658p-1, 0x1.d9d197df3b87ep-1, 0x1.d55d91895d90ap-1, 0x1.d0d174be9e3e4p-1, 0x1.cc2f4257613ep-1, 0x1.c778e77fcdae2p-1, 0x1.c2b03de021debp-1, 0x1.bdd70bd767a9fp-1, 0x1.b8ef04bf90f3p-1, 0x1.b3f9c942c0a6bp-1, 0x1.aef8e7b4d12c1p-1, 0x1.a9eddc7b6f03ep-1, 0x1.a4da12795ca57p-1, 0x1.9fbee383f673bp-1, 0x1.9a9d98dc846cep-1, 0x1.95776bae46314p-1, 0x1.904d8590776dcp-1, 0x1.8b210108e79cp-1, 0x1.85f2ea110f7a3p-1, 0x1.80c43e98c2f61p-1, 0x1.7b95ef0b31f8dp-1, 0x1.7668dece7c4cp-1, 0x1.713de4c4911bp-1, 0x1.6c15cbc90ad16p-1, 0x1.66f1532a16234p-1, 0x1.61d12f2364acp-1, 0x1.5cb6095271266p-1, 0x1.57a08128e86f5p-1, 0x1.52912c5e5256dp-1, 0x1.4d88975bf4eaap-1, 0x1.488745a64fcf3p-1, 0x1.438db244d573dp-1, 0x1.3e9c50256e89ep-1, 0x1.39b38a7b00122p-1, 0x1.34d3c51b2c619p-1, 0x1.2ffd5cd8d6adcp-1, 0x1.2b30a7d7ac54cp-1, 0x1.266df5df4069fp-1, 0x1.21b590ac6b474p-1, 0x1.1d07bc3b6d008p-1, 0x1.1864b70fe1494p-1, 0x1.13ccba7c89222p-1, 0x1.0f3ffae631803p-1, 0x1.0abea801a5c69p-1, 0x1.0648ed10d352fp-1, 0x1.01def11f1b07dp-1, 0x1.fb01ae70b7f6dp-2, 0x1.f25d7d378e9ccp-2, 0x1.e9d185df67849p-2, 0x1.e15df8e78971ap-2, 0x1.d903005a2500fp-2, 0x1.d0c0c02099844p-2, 0x1.c897565a0c0b4p-2, 0x1.c086dbacb04e1p-2, 0x1.b88f638de81dep-2, 0x1.b0b0fc87481b1p-2, 0x1.a8ebb07c8ec08p-2, 0x1.a13f84eeb9e1ep-2, 0x1.99ac7b377707bp-2, 0x1.923290bfcd94ap-2, 0x1.8ad1bf388c98p-2, 0x1.8389fcd265f21p-2, 0x1.7c5b3c6ea962bp-2, 0x1.75456dcab7328p-2, 0x1.6e487dad6132ep-2, 0x1.67645614f2dep-2, 0x1.6098de5ff0a07p-2, 0x1.59e5fb70ff533p-2, 0x1.534b8fd29d179p-2, 0x1.4cc97bdba3a0ep-2, 0x1.465f9dd20b366p-2, 0x1.400dd20a18468p-2, 0x1.39d3f30295d4dp-2, 0x1.33b1d980b5bf8p-2, 0x1.2da75cad07da4p-2, 0x1.27b4522f329e9p-2, 0x1.21d88e45bf586p-2, 0x1.1c13e3db79514p-2, 0x1.1666249dfb921p-2, 0x1.10cf2115557a4p-2, 0x1.0b4ea8b95a164p-2, 0x1.05e48a03b6d36p-2, 0x1.0090928136a81p-2, 0x1.f6a51dc808a48p-3, 0x1.ec54962bc7943p-3, 0x1.e22f2491a39d8p-3, 0x1.d8345e0bd202ep-3, 0x1.ce63d676a24ddp-3, 0x1.c4bd209413dp-3, 0x1.bb3fce27d9f8ap-3, 0x1.b1eb7012e666p-3, 0x1.a8bf966c71badp-3, 0x1.9fbbd0979071fp-3, 0x1.96dfad57a2c88p-3, 0x1.8e2abae66e63cp-3, 0x1.859c870b113a3p-3, 0x1.7d349f2e869a8p-3, 0x1.74f2906c8df77p-3, 0x1.6cd5e7a369471p-3, 0x1.64de31853b6f4p-3, 0x1.5d0afaaa59782p-3, 0x1.555bcfa1c365p-3, 0x1.4dd03cfeea8f1p-3, 0x1.4667cf6683778p-3, 0x1.3f22139c2d592p-3, 0x1.37fe969071af6p-3, 0x1.30fce56d8b7aep-3, 0x1.2a1c8da293be7p-3, 0x1.235d1cee5a6cbp-3, 0x1.1cbe216a7f8aep-3, 0x1.163f29963a86fp-3, 0x1.0fdfc45fe94a1p-3, 0x1.099f812da1163p-3, 0x1.037defe5e617fp-3, 0x1.faf541f1cdd1ep-4, 0x1.ef2a4ad2cac77p-4, 0x1.e39a1da848b58p-4, 0x1.d843deec4d734p-4, 0x1.cd26b465e0d15p-4, 0x1.c241c53740e7ep-4, 0x1.b79439ecc48e2p-4, 0x1.ad1d3c89d2ffdp-4, 0x1.a2dbf892be954p-4, 0x1.98cf9b15183b6p-4, 0x1.8ef752b117ffcp-4, 0x1.85524fa4bfe0dp-4, 0x1.7bdfc3d6fd62fp-4, 0x1.729ee2e098b95p-4, 0x1.698ee2128f591p-4, 0x1.60aef87b951b4p-4, 0x1.57fe5eeec9c38p-4, 0x1.4f7c500c00819p-4, 0x1.47280847d0bcfp-4, 0x1.3f00c5f18f8bcp-4, 0x1.3705c936fc873p-4, 0x1.2f36542737aacp-4, 0x1.2791aab6db3aep-4, 0x1.201712c5ad1b6p-4, 0x1.18c5d42493861p-4, 0x1.119d3899d6b41p-4, 0x1.0a9c8be2fd162p-4, 0x1.03c31bb54f188p-4, 0x1.fa206f7dfb9c9p-5, 0x1.ed0663541a0e7p-5, 0x1.e036ba40e176p-5, 0x1.d3b01f9f3b166p-5, 0x1.c77142d3f6dbcp-5, 0x1.bb78d74c31d01p-5, 0x1.afc5947a15fe2p-5, 0x1.a45635d3b8e0fp-5, 0x1.99297ad5d6da7p-5, 0x1.8e3e2708e5273p-5, 0x1.83930204d3cf7p-5, 0x1.7926d77089018p-5, 0x1.6ef876fce05c3p-5, 0x1.6506b45de078bp-5, 0x1.5b506745f92fcp-5, 0x1.51d46b656f791p-5, 0x1.4891a06cc95e7p-5, 0x1.3f86ea0e9d5c5p-5, 0x1.36b32ffd28316p-5, 0x1.2e155de2d16ecp-5, 0x1.25ac6358051a3p-5, 0x1.1d7733dabaea6p-5, 0x1.1574c6cad7df4p-5, 0x1.0da4176b2979ap-5, 0x1.060424e31e973p-5, 0x1.fd27e4789b8e1p-6, 0x1.eea50cb206216p-6, 0x1.e07dd7cb3e8ffp-6, 0x1.d2b0629471a45p-6, 0x1.c53ad144c7f32p-6, 0x1.b81b4f7b07b41p-6, 0x1.ab501048a9526p-6, 0x1.9ed74e3873cb4p-6, 0x1.92af4b41f328ep-6, 0x1.86d650a4f9a7p-6, 0x1.7b4aaeb723c62p-6, 0x1.700abcb6b50bbp-6, 0x1.6514d8b88ae3fp-6, 0x1.5a6767b526ed6p-6, 0x1.5000d5ab1d5c3p-6, 0x1.45df95babc12ap-6, 0x1.3c0222203e8dbp-6, 0x1.3266fc0005202p-6, 0x1.290cab1103288p-6, 0x1.1ff1bd4679221p-6, 0x1.1714c69fd52fdp-6, 0x1.0e746135cb7a8p-6, 0x1.060f2d7da8334p-6, 0x1.fbc7a53afed1ep-7, 0x1.ebe1fd3b4d683p-7, 0x1.dc6acc9dbe832p-7, 0x1.cd5f89bbc67b4p-7, 0x1.bebdb66ca338ap-7, 0x1.b082dee956fcep-7, 0x1.a2ac994efbcc6p-7, 0x1.9538860097aabp-7, 0x1.882450c309e32p-7, 0x1.7b6db20f58a98p-7, 0x1.6f126fef88c23p-7, 0x1.63105dde3aa99p-7, 0x1.57655b87aba6cp-7, 0x1.4c0f52cb7f8ep-7, 0x1.410c35c2dbb8dp-7, 0x1.3659fda1d1d6ep-7, 0x1.2bf6aafc953aap-7, 0x1.21e0476449815p-7, 0x1.1814e7b5f3b12p-7, 0x1.0e92ae1cbcb6bp-7, 0x1.0557cad5ffe74p-7, 0x1.f8c4f66cfe869p-8, 0x1.e7620e3d76979p-8, 0x1.d6837b72d0d09p-8, 0x1.c625e584c4ec7p-8, 0x1.b645faf015a21p-8, 0x1.a6e073724c402p-8, 0x1.97f215e115aebp-8, 0x1.8977bf618fa35p-8, 0x1.7b6e69297da24p-8, 0x1.6dd32a6a0cc8fp-8, 0x1.60a3354ed98e2p-8, 0x1.53dbcfb82fb09p-8, 0x1.477a4a02ededp-8, 0x1.3b7bf72f5dfb9p-8, 0x1.2fde2978c06b4p-8, 0x1.249e34d45a1cap-8, 0x1.19b9767ab21a5p-8, 0x1.0f2d5ead161ap-8, 0x1.04f7793165b67p-8, 0x1.f62ae3275112dp-9, 0x1.e30a233c5be96p-9, 0x1.d08874537f2d4p-9, 0x1.bea1b05d5faa5p-9, 0x1.ad51b310db6d8p-9, 0x1.9c944ae8cdb6ap-9, 0x1.8c65377be53e5p-9, 0x1.7cc035e2152b6p-9, 0x1.6da1160ceae8cp-9, 0x1.5f03d12d2c952p-9, 0x1.50e49a0a0833ep-9, 0x1.433fe33f7bac5p-9, 0x1.36125a23610d7p-9, 0x1.2958d6f393048p-9, 0x1.1d10455d7c52p-9, 0x1.11358bdf9cf4ap-9, 0x1.05c57ae82d71dp-9, 0x1.f57995783e0a2p-10, 0x1.e030516657df6p-10, 0x1.cba89a3c8ae36p-10, 0x1.b7dc210e4fde3p-10, 0x1.a4c4f47958fa5p-10, 0x1.925d8e922c44p-10, 0x1.80a0d5c497f65p-10, 0x1.6f8a0f22c431bp-10, 0x1.5f14be53f47ffp-10, 0x1.4f3c766ecf0e3p-10, 0x1.3ffcac0e86f54p-10, 0x1.31509e90203d1p-10, 0x1.23336352351afp-10, 0x1.15a008cc18078p-10, 0x1.0891ba72fffdp-10, 0x1.f807aa9c4ece8p-11, 0x1.dfe3e015dff9ap-11, 0x1.c8afc87c09dc6p-11, 0x1.b263bbb914c28p-11, 0x1.9cf8c80c2d371p-11, 0x1.8868910869dadp-11, 0x1.74acf76701272p-11, 0x1.61bfb643531f6p-11, 0x1.4f9a3259f225ap-11, 0x1.3e3592515d3ddp-11, 0x1.2d8afcaa980d4p-11, 0x1.1d93bf54c9efep-11, 0x1.0e4945b4024a7p-11, 0x1.ff49fa62d2927p-12, 0x1.e340c46b59647p-12, 0x1.c86a922d60169p-12, 0x1.aebc67885e409p-12, 0x1.962cd55e097b1p-12, 0x1.7eb377916457p-12, 0x1.68481b5749488p-12, 0x1.52e22e0261f17p-12, 0x1.3e78c74b02bf8p-12, 0x1.2b0314af51a9fp-12, 0x1.18789e3682fb7p-12, 0x1.06d10a02e5e2bp-12, 0x1.ec071299711fcp-13, 0x1.cc0d10f04377bp-13, 0x1.ada03740c2c62p-13, 0x1.90adf1e0d8f08p-13, 0x1.75268feb4dab7p-13, 0x1.5afd58a0d4bf7p-13, 0x1.4227313fd384p-13, 0x1.2a990e2e2703p-13, 0x1.144759f594945p-13, 0x1.fe4ce6c31ca4dp-14, 0x1.d65705fcca90dp-14, 0x1.b0997d96d8b56p-14, 0x1.8d0139d99b3dap-14, 0x1.6b78bc6b00082p-14, 0x1.4be66cc5e35f6p-14, 0x1.2e2e216446122p-14, 0x1.1235005ba69fbp-14, 0x1.efc986cc956aep-15, 0x1.be586e527b8b6p-15, 0x1.8ffa407840115p-15, 0x1.6492e792d4f13p-15, 0x1.3c03c29f4fc43p-15, 0x1.162c6b3b1f855p-15, 0x1.e5db71aa0e9b9p-16, 0x1.a45940c5a8fdfp-16, 0x1.67a470c5fb12bp-16, 0x1.2f8fea6b27e36p-16, 0x1.f7cbdc6c0da43p-17, 0x1.98cb0071977b9p-17, 0x1.419259a694d08p-17, 0x1.e3437fd07e18ep-18, 0x1.512041d5a40fbp-18, 0x1.983adf9e0d131p-19, 0x1.4f1aa0dc501dfp-20, -0x1.84d52847df38bp-22, -0x1.e277f77addaf7p-20, -0x1.9b9c4a51e42f8p-19, -0x1.18929b4dd992bp-18, -0x1.59966a04b8d24p-18, -0x1.916f403c72ef6p-18, -0x1.c0a137c7b4958p-18, -0x1.e7a69b5767dc6p-18, -0x1.037c6ca062578p-17, -0x1.0f8aba4b82577p-17, -0x1.183fd0d50a1edp-17, -0x1.1de0ee90a3626p-17, -0x1.20ae01e30037bp-17, -0x1.20cf62d544e9cp-17, -0x1.1e53cb61c35f1p-17, -0x1.1946b6fee9364p-17, -0x1.11c48425fc242p-17, -0x1.07f7bfd021abcp-17, -0x1.f81eb99f4939bp-18, -0x1.dc8229427dc0fp-18, -0x1.bd94ac75a9a33p-18, -0x1.9bc7872bb7989p-18, -0x1.776c963b4bfc9p-18, -0x1.50ba92d8b1965p-18, -0x1.27dc12733d7afp-18, -0x1.fa002050a6f15p-19, -0x1.a0dc051380bc9p-19, -0x1.44f104eaef736p-19, -0x1.cd28d15b3567dp-20, -0x1.0b88c48784b16p-20, -0x1.149eb4beed39ap-22, 0x1.0ad42305fa392p-21, 0x1.53c337ca6d558p-20, 0x1.12d77b2b704b1p-19, 0x1.7d4abcedcbd48p-19, 0x1.e8b38c52a0271p-19, 0x1.2a470e40e0b95p-18, 0x1.60423e1a7f0ecp-18, 0x1.962f6cc859255p-18, 0x1.cbf10ae008604p-18, 0x1.00b34559042e4p-17, 0x1.1b366cb129946p-17, 0x1.356bbb16bd409p-17, 0x1.4f4779854c71dp-17, 0x1.68d522067f2dcp-17, 0x1.821b8142ad4b3p-17, 0x1.9b09e9967f786p-17, 0x1.b391c09b5c5fp-17, 0x1.cbb65899c4d7ep-17, 0x1.e37a9ccd620dep-17, 0x1.fad5ce293fb77p-17, 0x1.08dd2015d6266p-16, 0x1.140eb3190ff75p-16, 0x1.1efd95df1bf7ep-16, 0x1.29a9e82306e53p-16, 0x1.341318326fd08p-16, 0x1.3e3705d41a5fbp-16, 0x1.4812a0df98aa9p-16, 0x1.519f49786b9eap-16, 0x1.5ad687c8366f7p-16, 0x1.63bb52af81e46p-16, 0x1.6c522947519f9p-16, 0x1.7498b6969cd5dp-16, 0x1.7c8e528940852p-16, 0x1.8435ec3f3205cp-16, 0x1.8b8f51b712ca1p-16, 0x1.929870426b805p-16, 0x1.9950ce6f5e9f3p-16, 0x1.9fb9281bfe0b9p-16, 0x1.a5d20e5a58dc2p-16, 0x1.ab9bcd6ada5bep-16, 0x1.b116c5deb55a9p-16, 0x1.b643292841c5cp-16, 0x1.bb215d478a745p-16, 0x1.bfb2d31ea40a5p-16, 0x1.c3f7e87879c49p-16, 0x1.c7f035a9575f4p-16, 0x1.cb9e3556e13d4p-16, 0x1.cf02795999393p-16, 0x1.d21b68314ce95p-16, 0x1.d4eaca4851eebp-16, 0x1.d772d877c9787p-16, 0x1.d9b4669fb5b12p-16, 0x1.dbb0747364cdp-16, 0x1.dd68352a76922p-16, 0x1.dedccfb19141bp-16, 0x1.e00fa5da99817p-16, 0x1.e1025b1bd984ap-16, 0x1.e1b666cbcc0abp-16, 0x1.e22ce4e5fcbe3p-16, 0x1.e266cf4ac0cp-16, 0x1.e265607a57ed7p-16, 0x1.e22a33f86ea48p-16, 0x1.e1b69dd23b612p-16, 0x1.e10bdbfe369ddp-16, 0x1.e02b85a30428bp-16, 0x1.df16d370fd07cp-16, 0x1.ddcf5ed508d0dp-16, 0x1.dc56bd1981398p-16, 0x1.daae0c4d6ff4ap-16, 0x1.d8d66dc48de79p-16, 0x1.d6d12ff154dep-16, 0x1.d49fd1baae4b2p-16, 0x1.d243e31c2f8c8p-16, 0x1.cfbed230fdce9p-16, 0x1.cd11f45dc71c1p-16, 0x1.ca3eaacfade9ap-16, 0x1.c7463baafc66ap-16, 0x1.c429ce569a533p-16, 0x1.c0eab66656499p-16, 0x1.bd89fe01d645cp-16, 0x1.ba08ab307a0e1p-16, 0x1.b668fe252961p-16, 0x1.b2ac5c3d33714p-16, 0x1.aed4224f9b27p-16, 0x1.aae0fb401b79ep-16, 0x1.a6d3cc4bf51aap-16, 0x1.a2ae368ff4ec6p-16, 0x1.9e717dbad8624p-16, 0x1.9a1ea722c208cp-16, 0x1.95b6a47b610e4p-16, 0x1.913a5994f79d8p-16, 0x1.8caab11ee8105p-16, 0x1.8808d9499dc0cp-16, 0x1.8356752486e09p-16, 0x1.7e951dd6fd973p-16, 0x1.79c58b281df6bp-16, 0x1.74e83604e6beep-16, 0x1.6ffe8bb99b7fbp-16, 0x1.6b09774fe4e2cp-16, 0x1.66083646fbfd9p-16, 0x1.60fc68489f0e8p-16, 0x1.5be8584774659p-16, 0x1.56cd152f707cep-16, 0x1.51aa507f17293p-16, 0x1.4c81002458b8fp-16, 0x1.47527ebed2619p-16, 0x1.421f807dce141p-16, 0x1.3ce8a616e0b95p-16, 0x1.37ae9b8a7db4p-16, 0x1.327210a61f93ep-16, 0x1.2d33b934a394ap-16, 0x1.27f4506fef4b1p-16, 0x1.22b494f84195ap-16, 0x1.1d7538dec4072p-16, 0x1.1836c6628b88cp-16, 0x1.12f98b077bfbbp-16, 0x1.0dbddccd1c014p-16, 0x1.0884c9566a5ddp-16, 0x1.034f9e3a44cecp-16, 0x1.fc3bc779b2d86p-17, 0x1.f1e0018f6a9e7p-17, 0x1.e79091453774cp-17, 0x1.dd4c56ef3c636p-17, 0x1.d3110d8479237p-17, 0x1.c8e1f84e4c875p-17, 0x1.bec1206e7d7f4p-17, 0x1.b4af283ca5afep-17, 0x1.aaac9026ac931p-17, 0x1.a0b9ede3a96c2p-17, 0x1.96d7e32a2231ep-17, 0x1.8d071612d4b7ep-17, 0x1.834832b813313p-17, 0x1.799bec41c3a9ep-17, 0x1.7002f7ea9eb6ep-17, 0x1.667e065e1a684p-17, 0x1.5d0db83ead8p-17, 0x1.53b287de5e094p-17, 0x1.4a6cd673ddaa5p-17, 0x1.413d35c4e5b1cp-17, 0x1.382471b2e7e64p-17, 0x1.2f223ea7c7dep-17, 0x1.263613969ec6bp-17, 0x1.1d6254db895dfp-17, 0x1.14a61e8fe34efp-17, 0x1.0c0239a82d1dap-17, 0x1.0377dd5e425a8p-17, 0x1.f60ed19a6a5eap-18, 0x1.e55fdd9a9fc86p-18, 0x1.d4e284da95d27p-18, 0x1.c498f836138fcp-18, 0x1.b4843610ce3bcp-18, 0x1.a4a45a8735fc4p-18, 0x1.94f978520c395p-18, 0x1.8583c3e97b74p-18, 0x1.7643853d22e47p-18, 0x1.673906f9a1736p-18, 0x1.58648f902ea13p-18, }}, 
      {{-0x1.67853dbe2809ap-4, 0x1.55232cc96f7e7p-4, 0x1.341b260749394p-2, 0x1.0ffef124c2de1p-1, 0x1.81a7e7b1f6b9bp-1, 0x1.e8ae11247c177p-1, 0x1.20e07a15a81bdp+0, 0x1.45cc648892054p+0, 0x1.63205d810bf74p+0, 0x1.794b8ce390929p+0, 0x1.88fa1bff2b0c5p+0, 0x1.92f68b16db9a3p+0, 0x1.9815046b88978p+0, 0x1.9925d68cb92ccp+0, 0x1.96ed04b96516ap+0, 0x1.921d6ad633c4ep+0, 0x1.8b565bc7f29c2p+0, 0x1.8322ed5e1fddfp+0, 0x1.79fa5e8c24cebp+0, 0x1.70412e40235p+0, 0x1.664a987abaf36p+0, 0x1.5c5a4613d1695p+0, 0x1.52a60c6b5d77ep+0, 0x1.4957a64f14ca6p+0, 0x1.408e57bdbd286p+0, 0x1.386073eb70dd5p+0, 0x1.30dcc0e608246p+0, 0x1.2a0bb7194a465p+0, 0x1.23f09d03d6b5fp+0, 0x1.1e8a80bf3dc85p+0, 0x1.19d511ad03537p+0, 0x1.15c95ce0b9e07p+0, 0x1.125e6ef0c7f0ep+0, 0x1.0f89ddcf748c1p+0, 0x1.0d403d36dccc2p+0, 0x1.0b7580132fb0bp+0, 0x1.0a1d492ce89fdp+0, 0x1.092b2d2ce0065p+0, 0x1.0892e7e249e4fp+0, 0x1.0848868b6a41fp+0, 0x1.084088a779993p+0, 0x1.086ff8bc04652p+0, 0x1.08cc7e4e667e9p+0, 0x1.094c6a2799643p+0, 0x1.09e6bdc387017p+0, 0x1.0a932ee127ddcp+0, 0x1.0b4a27daf55abp+0, 0x1.0c04c55b76e6ep+0, 0x1.0cbcd21e4530ap+0, 0x1.0d6cc10ccd6efp+0, 0x1.0e0fa6311e0c3p+0, 0x1.0ea12ed64fbc9p+0, 0x1.0f1d99090c297p+0, 0x1.0f81aaca65be8p+0, 0x1.0fcaa9131b138p+0, 0x1.0ff64ed664bp+0, 0x1.1002c41de63fcp+0, 0x1.0fee95550197dp+0, 0x1.0fb8aad414a96p+0, 0x1.0f6040b82e10bp+0, 0x1.0ee4df10ec099p+0, 0x1.0e46526b35bcfp+0, 0x1.0d84a4bd78f68p+0, 0x1.0ca016b7fff96p+0, 0x1.0b99197bbd47ap+0, 0x1.0a7048b91d95bp+0, 0x1.0926653757c29p+0, 0x1.07bc4fc347d6dp+0, 0x1.06330481ea48dp+0, 0x1.048b96a23c822p+0, 0x1.02c72c6888202p+0, 0x1.00e6fb8f465fap+0, 0x1.fdd88bf329d07p-1, 0x1.f9b0ad69bf5aep-1, 0x1.f558fe8bdae09p-1, 0x1.f0d42a7abe5cp-1, 0x1.ec24e01b05614p-1, 0x1.e74dce383269p-1, 0x1.e251a01391c92p-1, 0x1.dd32fa57aff04p-1, 0x1.d7f478689da8bp-1, 0x1.d298aa0f03c51p-1, 0x1.cd2211782c75ep-1, 0x1.c793218796694p-1, 0x1.c1ee3c71e7c02p-1, 0x1.bc35b2993d2a3p-1, 0x1.b66bc1a25814p-1, 0x1.b09293b99394bp-1, 0x1.aaac3f02e2af2p-1, 0x1.a4bac52f5f1f8p-1, 0x1.9ec0133641dadp-1, 0x1.98be0130990ffp-1, 0x1.92b65252fe78cp-1, 0x1.8caab50772d9dp-1, 0x1.869cc31e7220fp-1, 0x1.808e02188a356p-1, 0x1.7a7fe3803dc43p-1, 0x1.7473c5518d13fp-1, 0x1.6e6af26d239f9p-1, 0x1.6866a3108e18dp-1, 0x1.6267fd57f679cp-1, 0x1.5c7015c10a7edp-1, 0x1.567fefb663992p-1, 0x1.50987e1b87efp-1, 0x1.4abaa3df31bedp-1, 0x1.44e7348f0d081p-1, 0x1.3f1ef4eda9093p-1, 0x1.39629b89e70c3p-1, 0x1.33b2d155110e5p-1, 0x1.2e103238e681ep-1, 0x1.287b4da988dfbp-1, 0x1.22f4a736b92d6p-1, 0x1.1d7cb716d3162p-1, 0x1.1813eaafd7b1ap-1, 0x1.12baa51c2a24bp-1, 0x1.0d713fa979fa4p-1, 0x1.08380a56a2bf1p-1, 0x1.030f4c4b25574p-1, 0x1.fbee8897069b3p-2, 0x1.f1e05255ced82p-2, 0x1.e7f4546f0a1ap-2, 0x1.de2adf477b619p-2, 0x1.d48435d80421cp-2, 0x1.cb008e713b218p-2, 0x1.c1a013757a019p-2, 0x1.b862e40db8caep-2, 0x1.af4914d761ce3p-2, 0x1.a652b086886fcp-2, 0x1.9d7fb883c73dfp-2, 0x1.94d025848a6d4p-2, 0x1.8c43e81811402p-2, 0x1.83dae92eccep-2, 0x1.7b950a9dd4e5ap-2, 0x1.7372279a2ed99p-2, 0x1.6b72152c3a7aap-2, 0x1.6394a29edbbe2p-2, 0x1.5bd999eb05b3ap-2, 0x1.5440c01b9b71cp-2, 0x1.4cc9d5aa389d6p-2, 0x1.457496da7214p-2, 0x1.3e40bc1133be9p-2, 0x1.372dfa23d76aep-2, 0x1.303c02a333dbfp-2, 0x1.296a84259dd05p-2, 0x1.22b92a8c18434p-2, 0x1.1c279f418b798p-2, 0x1.15b58976b7fd4p-2, 0x1.0f628e5c5a0c2p-2, 0x1.092e515a77576p-2, 0x1.03187442cc99ep-2, 0x1.fa412efe366b7p-3, 0x1.ee8cb47d78aebp-3, 0x1.e312b545d7205p-3, 0x1.d7d26bcc7f945p-3, 0x1.cccb1100afa6p-3, 0x1.c1fbdc92caf4ep-3, 0x1.b7640539a5581p-3, 0x1.ad02c0f05228dp-3, 0x1.a2d7452e1d18dp-3, 0x1.98e0c71cccfbep-3, 0x1.8f1e7bccf83b9p-3, 0x1.858f9866cd886p-3, 0x1.7c335256dbcc7p-3, 0x1.7308df76d95f6p-3, 0x1.6a0f7633d31fcp-3, 0x1.61464db3db1fcp-3, 0x1.58ac9df9f1711p-3, 0x1.5041a005353d1p-3, 0x1.48048dec5a9aep-3, 0x1.3ff4a2f91f84dp-3, 0x1.38111bc3e7817p-3, 0x1.3059364c18f2ep-3, 0x1.28cc320c94ebfp-3, 0x1.2169500ef5001p-3, 0x1.1a2fd2fedb8bep-3, 0x1.131eff3c004bap-3, 0x1.0c361ae9fccdp-3, 0x1.05746dfe56842p-3, 0x1.fdb2849aad8d9p-4, 0x1.f0c7c72b43702p-4, 0x1.e4273f1631c5bp-4, 0x1.d7cf8bc2b31a9p-4, 0x1.cbbf50a9e0a1dp-4, 0x1.bff53564d3294p-4, 0x1.b46fe5b82245bp-4, 0x1.a92e11a02f90dp-4, 0x1.9e2e6d5e17452p-4, 0x1.936fb1819fb84p-4, 0x1.88f09aeea58e1p-4, 0x1.7eafeae0fcfap-4, 0x1.74ac66f1dd97ep-4, 0x1.6ae4d91dc36edp-4, 0x1.61580fc774ffdp-4, 0x1.5804ddb79d69ep-4, 0x1.4eea1a1bb9188p-4, 0x1.4606a0864732dp-4, 0x1.3d5950eeec71p-4, 0x1.34e10fb02c1abp-4, 0x1.2c9cc582d2cdfp-4, 0x1.248b5f795fde1p-4, 0x1.1cabcefc8311bp-4, 0x1.14fd09c73ada6p-4, 0x1.0d7e09e0ce063p-4, 0x1.062dcd94f3f3cp-4, 0x1.fe16aed87bbbdp-5, 0x1.f02b5c4b99fdfp-5, 0x1.e297b96229b06p-5, 0x1.d559e44b6e725p-5, 0x1.c8700372f13f1p-5, 0x1.bbd8456c08c67p-5, 0x1.af90e0e020c01p-5, 0x1.a398147eca4acp-5, 0x1.97ec26ebf0405p-5, 0x1.8c8b66aa1477fp-5, 0x1.81742a0272b5cp-5, 0x1.76a4ceee923a4p-5, 0x1.6c1bbb04a94cap-5, 0x1.61d75b64ade17p-5, 0x1.57d624a311e04p-5, 0x1.4e1692b0508b5p-5, 0x1.449728bf84342p-5, 0x1.3b56712ee3982p-5, 0x1.3252fd72c8bdep-5, 0x1.298b660114b58p-5, 0x1.20fe4a3a6c028p-5, 0x1.18aa5050c9d99p-5, 0x1.108e252d620afp-5, 0x1.08a87c58470a7p-5, 0x1.00f80fe291076p-5, 0x1.f2f740a2e66d7p-6, 0x1.e463e90f843fep-6, 0x1.d633b359f5398p-6, 0x1.c8644625ff0b8p-6, 0x1.baf35439b3f38p-6, 0x1.adde9c4ff2987p-6, 0x1.a123e8eea0ce2p-6, 0x1.94c1103cae0e3p-6, 0x1.88b3f3d43ee32p-6, 0x1.7cfa8090986d3p-6, 0x1.7192ae5b0d2adp-6, 0x1.667a7ffae1bcfp-6, 0x1.5bb002ea1a744p-6, 0x1.51314f2d8a08cp-6, 0x1.46fc872c5ed73p-6, 0x1.3d0fd7841d533p-6, 0x1.336976d8f4aep-6, 0x1.2a07a5a505facp-6, 0x1.20e8ae0a76443p-6, 0x1.180ae3aa3e7f8p-6, 0x1.0f6ca37e9823dp-6, 0x1.070c53b587505p-6, 0x1.fdd0c71082aa5p-7, 0x1.edfe961d785fep-7, 0x1.de9f1622fcf88p-7, 0x1.cfaf59bb3f0dcp-7, 0x1.c12c843b94672p-7, 0x1.b313c96ff7454p-7, 0x1.a5626d5944c58p-7, 0x1.9815c3e5c39a1p-7, 0x1.8b2b309f23a2ep-7, 0x1.7ea026511028bp-7, 0x1.727226b139ddfp-7, 0x1.669ec212d5d74p-7, 0x1.5b23972977504p-7, 0x1.4ffe52d6086aep-7, 0x1.452caff1aa946p-7, 0x1.3aac770aae8a4p-7, 0x1.307b7e0f44d9cp-7, 0x1.2697a7edceef7p-7, 0x1.1cfee43a93a9cp-7, 0x1.13af2eeb12b3cp-7, 0x1.0aa6902be9935p-7, 0x1.01e31c488343cp-7, 0x1.f2c5e71f4236p-8, 0x1.e248843ec5772p-8, 0x1.d24a7f1db7f3ep-8, 0x1.c2c85cfc37765p-8, 0x1.b3beb84bdc934p-8, 0x1.a52a400a36d45p-8, 0x1.9707b77a3f07ep-8, 0x1.8953f63321182p-8, 0x1.7c0be84c4325p-8, 0x1.6f2c8e5916395p-8, 0x1.62b2fcf6dbdafp-8, 0x1.569c5be09eef9p-8, 0x1.4ae5e4bb012cbp-8, 0x1.3f8ce1f5ba086p-8, 0x1.348eae226eec6p-8, 0x1.29e8b3f16aba4p-8, 0x1.1f986eb9d7b32p-8, 0x1.159b6b2d65f1fp-8, 0x1.0bef47ba0c844p-8, 0x1.0291b436dcf5p-8, 0x1.f300e1862c4dp-9, 0x1.e1729837566e2p-9, 0x1.d07443e7c7bffp-9, 0x1.c001b3d5ea15fp-9, 0x1.b016cf010880ep-9, 0x1.a0af95fed1a0cp-9, 0x1.91c825d1a7d1cp-9, 0x1.835cba56ce4bp-9, 0x1.7569aef7a4a24p-9, 0x1.67eb7ceac02a7p-9, 0x1.5adeb747b108bp-9, 0x1.4e400620dc063p-9, 0x1.420c225f7bcbfp-9, 0x1.363fd3f2be73cp-9, 0x1.2ad7f3027d3ap-9, 0x1.1fd16b9ed0201p-9, 0x1.1529425e243bbp-9, 0x1.0adc97f6962c9p-9, 0x1.00e8aa35b99fcp-9, 0x1.ee95a341841f8p-10, 0x1.dc00f86fbc27cp-10, 0x1.ca0e4dea108eap-10, 0x1.b8b8b08a62741p-10, 0x1.a7fb3b10ac424p-10, 0x1.97d119173baa5p-10, 0x1.883590bab4339p-10, 0x1.79240f2348834p-10, 0x1.6a98333336a14p-10, 0x1.5c8dd27bd4228p-10, 0x1.4f00f68592c06p-10, 0x1.41edd2ba29d03p-10, 0x1.3550b59066619p-10, 0x1.2925f988b2cf6p-10, 0x1.1d69fb352f17dp-10, 0x1.1219180df908p-10, 0x1.072fb6618cb77p-10, 0x1.f954a5ead699p-11, 0x1.e50b1e2e3d9dcp-11, 0x1.d17c750af2609p-11, 0x1.bea2ad60d25bcp-11, 0x1.ac782560d1fe5p-11, 0x1.9af78128b9656p-11, 0x1.8a1b8c33f55e4p-11, 0x1.79df19ea1b00fp-11, 0x1.6a3cf06551eb4p-11, 0x1.5b2fc613248a1p-11, 0x1.4cb2529b2865ep-11, 0x1.3ebf6a5d15692p-11, 0x1.31521893a153cp-11, 0x1.2465b06def385p-11, 0x1.17f5d430fda53p-11, 0x1.0bfe7420165d7p-11, 0x1.007bc4bbf1c6bp-11, 0x1.ead454a2ce0acp-12, 0x1.d58c37ca49c02p-12, 0x1.c1180e9e2d4b4p-12, 0x1.ad70876c22e28p-12, 0x1.9a8e31ad7515fp-12, 0x1.8869a95d89cf5p-12, 0x1.76fbc29fbee92p-12, 0x1.663da1b928681p-12, 0x1.5628c2ad643ep-12, 0x1.46b70175c2c66p-12, 0x1.37e2a9ce5bcf7p-12, 0x1.29a67ff64c7d4p-12, 0x1.1bfdac78e93ecp-12, 0x1.0ee3880d17895p-12, 0x1.02536196768eep-12, 0x1.ec90c3a7d02efp-13, 0x1.d57b344c979e8p-13, 0x1.bf5c52e00e4a7p-13, 0x1.aa2aa70ca9819p-13, 0x1.95dcf5ee5b2ap-13, 0x1.826a1f6e4babdp-13, 0x1.6fc929469633fp-13, 0x1.5df18f8154b75p-13, 0x1.4cdba4f09c05ap-13, 0x1.3c80af3b096fap-13, 0x1.2cda9cb12406dp-13, 0x1.1de38847e7ffbp-13, 0x1.0f9566f5b4583p-13, 0x1.01ea0d7e853d1p-13, 0x1.e9b6da87ec2dfp-14, 0x1.d0c776436c163p-14, 0x1.b8fa9a831cd47p-14, 0x1.a2448fa6b2eap-14, 0x1.8c98dd6dfdd37p-14, 0x1.77eac01235a43p-14, 0x1.642e3b945c546p-14, 0x1.51590019aafaep-14, 0x1.3f627564bbc53p-14, 0x1.2e42fc4118d58p-14, 0x1.1df313d85d841p-14, 0x1.0e6b065fa6a32p-14, 0x1.ff465b72036a6p-15, 0x1.e328cbf22c3e6p-15, 0x1.c8705f0411a9ap-15, 0x1.af107bc58fc63p-15, 0x1.96fb5b5c9fbc2p-15, 0x1.8021210e275cfp-15, 0x1.6a70ad016011fp-15, 0x1.55d9ad7f4c718p-15, 0x1.424e5936b9da4p-15, 0x1.2fc3ae3690141p-15, 0x1.1e30514ca9c11p-15, 0x1.0d8b17a8307e9p-15, 0x1.fb948e224efe8p-16, 0x1.ddc79ddedb1f6p-16, 0x1.c19c245cd838dp-16, 0x1.a701421e842e7p-16, 0x1.8de8629d26947p-16, 0x1.76433c41ebabfp-16, 0x1.600163234003fp-16, 0x1.4b0fa7c9d1b4ap-16, 0x1.3759dc3904fd7p-16, 0x1.24cd59d737d82p-16, 0x1.135a8b723f1c2p-16, 0x1.02f54605dd5p-16, 0x1.e728071d0c08ap-17, 0x1.ca5bfe732cd6dp-17, 0x1.af724db989581p-17, 0x1.9652ae353df59p-17, 0x1.7ee2f2fae7efap-17, 0x1.690a7fdb4201bp-17, 0x1.54b39e9b56719p-17, 0x1.41cae5a06b695p-17, 0x1.303e36dd52397p-17, 0x1.1ffbb064600b8p-17, 0x1.10f11bf78324p-17, 0x1.030bc1e465dap-17, 0x1.ec706e4bda2e2p-18, 0x1.d4c8f186e849fp-18, 0x1.bf087c59ddb1bp-18, 0x1.ab22d814a18fcp-18, 0x1.990d6e909d369p-18, 0x1.88b5b4cce790cp-18, 0x1.7a02983eda32fp-18, 0x1.6cd95605c6a9bp-18, 0x1.611c6440bd6f9p-18, 0x1.56aadc7a3e193p-18, 0x1.4d6643362f765p-18, 0x1.4537acda4ebe9p-18, 0x1.3e0eca8edf583p-18, 0x1.37de5ce6ff33ep-18, 0x1.32984ab28eaebp-18, 0x1.2e28ff2f6e59p-18, 0x1.2a7a6bfe02fccp-18, 0x1.277fa0ed0c8f4p-18, 0x1.2535a78a0ce9dp-18, 0x1.23974ddebe2b3p-18, 0x1.2299629575c86p-18, 0x1.2232edce3335ep-18, 0x1.225e0f86c9438p-18, 0x1.230f92daec623p-18, 0x1.2435bc37cf9aep-18, 0x1.25bf595f2f964p-18, 0x1.27a05d6331f3dp-18, 0x1.29d030be81f85p-18, 0x1.2c46169114791p-18, 0x1.2ef8dbf46575ep-18, 0x1.31deee784ed57p-18, 0x1.34ecd8aa5f265p-18, 0x1.381b9b7e0a938p-18, 0x1.3b6dfe98bf057p-18, 0x1.3ee4dbc931b03p-18, 0x1.42773a9a520f2p-18, 0x1.461d10f1af599p-18, 0x1.49d5e8719a66dp-18, 0x1.4da126e17792ap-18, 0x1.51795eb8da9eap-18, 0x1.5557313dbcef3p-18, 0x1.5934a4fa9e258p-18, 0x1.5d0e7339f4dc8p-18, 0x1.60e320bcdf691p-18, 0x1.64b0b5a04684ep-18, 0x1.6874079f187p-18, 0x1.6c2937a952ec7p-18, 0x1.6fc9bd0cdfcfdp-18, 0x1.734f49f42e8dap-18, 0x1.76bae5f476226p-18, 0x1.7a0ed351113e7p-18, 0x1.7d48194839838p-18, 0x1.806505f31cf81p-18, 0x1.8366af2eb1a85p-18, 0x1.864bd3dece4fp-18, 0x1.8911ce6fdb2b5p-18, 0x1.8bb73685d2108p-18, 0x1.8e3b9207b6b3bp-18, 0x1.909e4d04b8b92p-18, 0x1.92dea919c1a53p-18, 0x1.94fc05c36ab2cp-18, 0x1.96f5b8473dffcp-18, 0x1.98cb42cc63a78p-18, 0x1.9a7cd55683b7p-18, 0x1.9c09f43fd9c1cp-18, 0x1.9d71a8d4189d3p-18, 0x1.9eb4d2930cd91p-18, 0x1.9fd3240140458p-18, 0x1.a0caffe32f976p-18, 0x1.a19cfe1c48c4ep-18, 0x1.a24a0609df804p-18, 0x1.a2d2195f31de5p-18, 0x1.a3355211eef15p-18, 0x1.a373f4f834f4bp-18, 0x1.a38e509ff4a02p-18, 0x1.a384d9e65f973p-18, 0x1.a3581b16e0098p-18, 0x1.a3087a45341d6p-18, 0x1.a29641d37cd5dp-18, 0x1.a201d5d1eccfep-18, 0x1.a14bb90bc8a2fp-18, 0x1.a0747322d40aep-18, 0x1.9f7c9e8693175p-18, 0x1.9e64d88e7ca85p-18, 0x1.9d2dac7556667p-18, 0x1.9bd7b9651dc1dp-18, 0x1.9a6388f648b6bp-18, 0x1.98d19d53eec44p-18, 0x1.972286ed0054fp-18, 0x1.9556db624a933p-18, 0x1.936f4bd828957p-18, 0x1.916ca9a0feb86p-18, 0x1.8f4fb7bd4a72bp-18, 0x1.8d190c7420d01p-18, 0x1.8ac9410a2f7adp-18, 0x1.88611221a4e31p-18, 0x1.85e114d0eb3a6p-18, 0x1.8349b9093c283p-18, 0x1.809bb17b50891p-18, 0x1.7dd7681f33448p-18, 0x1.7afd3c7ee6b86p-18, 0x1.780ee445afdf6p-18, 0x1.750d28b54c46dp-18, 0x1.71f8cedcbc957p-18, 0x1.6ed1dd4951266p-18, 0x1.6b989ec652435p-18, 0x1.684e305fc93fbp-18, 0x1.64f34d378cc88p-18, 0x1.61887186ad51p-18, 0x1.5e0e0aa3c8854p-18, 0x1.5a847db04b06dp-18, 0x1.56ec3b801c32ep-18, 0x1.5345f88590cccp-18, 0x1.4f92d5bfae02cp-18, 0x1.4bd3e6eac8c6bp-18, 0x1.4809740556538p-18, 0x1.4433944490991p-18, 0x1.40533aadc15efp-18, 0x1.3c68ea4273f55p-18, 0x1.3873b939d0c8p-18, 0x1.3474cc049088ep-18, 0x1.306dd97a6e38ap-18, 0x1.2c5f8a3f5c14ep-18, 0x1.28495fc8f80a1p-18, 0x1.242bf2c6e3d2cp-18, 0x1.20083480f5757p-18, 0x1.1bde8b3395b06p-18, 0x1.17af4edd20259p-18, 0x1.137ae374654aep-18, 0x1.0f41b24af3fb1p-18, 0x1.0b04297edcbdap-18, 0x1.06c2be3e751cp-18, 0x1.027de97b1b52dp-18, 0x1.fc6c3759ccd8fp-19, 0x1.f3d750afdd775p-19, 0x1.eb3d6db3a598p-19, 0x1.e29eefc5385bp-19, 0x1.d9fd542c4f147p-19, 0x1.d15a781c63517p-19, 0x1.c8b58c5febf37p-19, 0x1.c00f13495b916p-19, 0x1.b76a70fe89828p-19, 0x1.aec6bd0d6b1fep-19, 0x1.a6223d3001dd1p-19, 0x1.9d7f54c4a65dep-19, 0x1.94df7a8683dfep-19, 0x1.8c431dea5ec44p-19, 0x1.83aa99ad5b368p-19, 0x1.7b165b7da76cfp-19, 0x1.7286dc4b9ccaep-19, 0x1.69fc9a1b9e846p-19, 0x1.617818a0b569cp-19, 0x1.58f9e1b4e5f7ep-19, 0x1.508281e332187p-19, 0x1.481283daecaep-19, 0x1.3faa68bc7a123p-19, 0x1.374a992ee12ccp-19, 0x1.2ef36e27158dap-19, 0x1.26a561ef828aap-19, 0x1.1e61167447e3p-19, 0x1.162674d460b0dp-19, 0x1.0df53e219367dp-19, 0x1.05cf2789dd0a6p-19, 0x1.fb6775a11e174p-20, 0x1.eb47387df45dep-20, 0x1.db3f7242b6bfdp-20, 0x1.cb50dd05b8605p-20, 0x1.bb7a892c4d6f9p-20, 0x1.abbc89f05f64cp-20, 0x1.9c18915d5c9c8p-20, 0x1.8c8f8a58b381dp-20, 0x1.7d21d1eb9d512p-20, 0x1.6dcfc16d671a5p-20, 0x1.5e99c885c5f09p-20, 0x1.4f80639ba34ecp-20, 0x1.408411580caddp-20, 0x1.31a54e38fa7ddp-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.b4fa61442de7p-7, 0x1.b4760af6d6729p-6, 0x1.46b3c02950e11p-5, 0x1.b26890dfafcf8p-5, 0x1.0e8d985be695p-4, 0x1.4347e62f47e3fp-4, 0x1.7746b3097966ep-4, 0x1.aa6f0e904e173p-4, 0x1.dca7b1b306c3ap-4, 0x1.06ec89c5587cdp-3, 0x1.1ef6bcd63b6d9p-3, 0x1.366881f237f96p-3, 0x1.4d38d9548ef28p-3, 0x1.635fb3cb8e4e8p-3, 0x1.78d5efd6477fep-3, 0x1.8d9553c63716fp-3, 0x1.a198854bcde14p-3, 0x1.b4daff03fb6b9p-3, 0x1.c75904b2b961cp-3, 0x1.d90f96d47b333p-3, 0x1.e9fc661bc5f92p-3, 0x1.fa1dc74fcde4p-3, 0x1.04b953edd8ab1p-2, 0x1.0bfd419cab30cp-2, 0x1.12daaca15eb64p-2, 0x1.1951d2ade3dbp-2, 0x1.1f632b2a946f3p-2, 0x1.250f636fed15fp-2, 0x1.2a575b32d7acfp-2, 0x1.2f3c210f2e4dbp-2, 0x1.33beef1f544dcp-2, 0x1.37e127942c7b6p-2, 0x1.3ba451458f9b2p-2, 0x1.3f0a1438359dbp-2, 0x1.4214361a5a16cp-2, 0x1.44c496bc0d463p-2, 0x1.471d2c8acd28p-2, 0x1.49200119df306p-2, 0x1.4acf2dc1c2c2ap-2, 0x1.4c2cd8612bc47p-2, 0x1.4d3b304968cffp-2, 0x1.4dfc6b5eede92p-2, 0x1.4e72c3753ed8bp-2, 0x1.4ea073ebb1f4ap-2, 0x1.4e87b78e9b0cdp-2, 0x1.4e2ac6be9b912p-2, 0x1.4d8bd5ddf3ep-2, 0x1.4cad140218a9bp-2, 0x1.4b90a9e665cc5p-2, 0x1.4a38b91b7b92cp-2, 0x1.48a75b6dfc9c4p-2, 0x1.46dea27ea3661p-2, 0x1.44e097852fadbp-2, 0x1.42af3b37828dp-2, 0x1.404c85ce36139p-2, 0x1.3dba672025958p-2, 0x1.3afac6cebdfep-2, 0x1.380f847d479a2p-2, 0x1.34fa780e0030bp-2, 0x1.31bd71e05e688p-2, 0x1.2e5a3b0c8d944p-2, 0x1.2ad29598d1f27p-2, 0x1.27283ca62bae1p-2, 0x1.235ce492409d8p-2, 0x1.1f723b0d1e628p-2, 0x1.1b69e72206a7ap-2, 0x1.17458932f48ep-2, 0x1.1306bae6fd294p-2, 0x1.0eaf0f0c1fb1p-2, 0x1.0a40116d5ab55p-2, 0x1.05bb469e428f8p-2, 0x1.01222bbd66de4p-2, 0x1.f8ec6c5e50d9fp-3, 0x1.ef71a6a52a0ep-3, 0x1.e5d6d0641f0efp-3, 0x1.dc1ea262f2a0ap-3, 0x1.d24bc37731d89p-3, 0x1.c860c7e0cac73p-3, 0x1.be6030ab9a29dp-3, 0x1.b44c6b18df563p-3, 0x1.aa27d0134e239p-3, 0x1.9ff4a3b0292f9p-3, 0x1.95b514bf78a8dp-3, 0x1.8b6b3c6d4167cp-3, 0x1.81191df524fa6p-3, 0x1.76c0a6699e7e9p-3, 0x1.6c63ac8fb670ep-3, 0x1.6203f0cfc216ep-3, 0x1.57a31d3b5d22ap-3, 0x1.4d42c5a8b550fp-3, 0x1.42e467e2cc85fp-3, 0x1.38896bee4c414p-3, 0x1.2e332462158c3p-3, 0x1.23e2ced2d1251p-3, 0x1.1999945049671p-3, 0x1.0f5889f3860d4p-3, 0x1.0520b17c3860ap-3, 0x1.f5e5f3f861348p-4, 0x1.e1a0811e9a444p-4, 0x1.cd72a23ceb7f1p-4, 0x1.b95dce58071c5p-4, 0x1.a5635d503c3ffp-4, 0x1.91848996ce772p-4, 0x1.7dc271ed1385p-4, 0x1.6a1e1b2a28fa5p-4, 0x1.569872047ff9cp-4, 0x1.43324cdc5dddap-4, 0x1.2fec6d84bb3adp-4, 0x1.1cc78307f2779p-4, 0x1.09c42b65ead28p-4, 0x1.edc5ea931eb9fp-5, 0x1.c848c3671963fp-5, 0x1.a311cb3105bf2p-5, 0x1.7e21d6e20bfefp-5, 0x1.5979a973e84a3p-5, 0x1.3519f6c7b1121p-5, 0x1.1103666084954p-5, 0x1.da6d2bf07b4ecp-6, 0x1.936837d961d7dp-6, 0x1.4cf913087e072p-6, 0x1.0720da11b9331p-6, 0x1.83c14ee3fed52p-7, 0x1.f4e65c713a23p-8, 0x1.c9664d8fe56eap-9, -0x1.4893132e1af97p-11, -0x1.346575bf6dbe9p-8, -0x1.1ea08c348211fp-7, -0x1.a1d00b25a0acfp-7, -0x1.11df3ee55bbb3p-6, -0x1.523483dbb8835p-6, -0x1.91e653f36706dp-6, -0x1.d0f31b999c14dp-6, -0x1.07ac99d54dd64p-5, -0x1.268b709889d5ap-5, -0x1.45152ab10accfp-5, -0x1.6348d6e90a88p-5, -0x1.81257a6fb5cc1p-5, -0x1.9eaa1127511eep-5, -0x1.bbd58e0a62effp-5, -0x1.d8a6dba616935p-5, -0x1.f51cdca7eb794p-5, -0x1.089b363e7533cp-4, -0x1.1679300043bd3p-4, -0x1.2427c31cb52b9p-4, -0x1.31a654913044ep-4, -0x1.3ef4473ee30fbp-4, -0x1.4c10fc58e32e6p-4, -0x1.58fbd3d5e5f31p-4, -0x1.65b42ce4d7fbp-4, -0x1.723966638eeedp-4, -0x1.7e8adf56e81f8p-4, -0x1.8aa7f763aac3bp-4, -0x1.96900f4785d31p-4, -0x1.a242895198046p-4, -0x1.adbec9d9f2321p-4, -0x1.b90437b78fafp-4, -0x1.c4123cb43acb3p-4, -0x1.cee845fe12f1p-4, -0x1.d985c49610663p-4, -0x1.e3ea2dbb57c61p-4, -0x1.ee14fb52f021cp-4, -0x1.f805ac4b8adaep-4, -0x1.00dde27e91955p-3, -0x1.059b67c215b8cp-3, -0x1.0a3b2e0c0f0cp-3, -0x1.0ebd00ae9a367p-3, -0x1.1320ae5898f4bp-3, -0x1.17660939886c2p-3, -0x1.1b8ce722bf62fp-3, -0x1.1f9521a60c733p-3, -0x1.237e9631aef0bp-3, -0x1.274926299f13bp-3, -0x1.2af4b6fe345b2p-3, -0x1.2e81324016cd2p-3, -0x1.31ee85b195796p-3, -0x1.353ca3555a525p-3, -0x1.386b817a83479p-3, -0x1.3b7b1ac63be7p-3, -0x1.3e6b6e3ac88fdp-3, -0x1.413c7f3c30137p-3, -0x1.43ee5592730fp-3, -0x1.4680fd697dd8p-3, -0x1.48f4874ed25a7p-3, -0x1.4b49082d0990fp-3, -0x1.4d7e99453726cp-3, -0x1.4f9558264a873p-3, -0x1.518d66a27b6d5p-3, -0x1.5366eac2e0be4p-3, -0x1.55220eb93c3afp-3, -0x1.56bf00d019d37p-3, -0x1.583df35958993p-3, -0x1.599f1c9b318bp-3, -0x1.5ae2b6bbceb41p-3, -0x1.5c08ffab96adfp-3, -0x1.5d12390e3470ap-3, -0x1.5dfea8227957dp-3, -0x1.5ece95a932e13p-3, -0x1.5f824dcb0153ap-3, -0x1.601a1ffd4e1a5p-3, -0x1.60965ee66f04p-3, -0x1.60f7604117d43p-3, -0x1.613d7cbf1b075p-3, -0x1.61690feba23fcp-3, -0x1.617a780ce808ep-3, -0x1.6172160582c5bp-3, -0x1.61504d355cf09p-3, -0x1.6115835a64588p-3, -0x1.60c22071073bfp-3, -0x1.60568e9489cdbp-3, -0x1.5fd339df4b042p-3, -0x1.5f38904b017d2p-3, -0x1.5e87019109fa3p-3, -0x1.5dbeff0ac22cbp-3, -0x1.5ce0fb921767ep-3, -0x1.5bed6b623c06bp-3, -0x1.5ae4c3f8a4f2ap-3, -0x1.59c77bf64922dp-3, -0x1.58960b013d76fp-3, -0x1.5750e9a6adcfbp-3, -0x1.55f8913d398bfp-3, -0x1.548d7bc7d072ap-3, -0x1.531023d8fa0b5p-3, -0x1.51810476a62edp-3, -0x1.4fe098fe8c16fp-3, -0x1.4e2f5d0b1002ap-3, -0x1.4c6dcc58c8104p-3, -0x1.4a9c62ac931aep-3, -0x1.48bb9bba595c3p-3, -0x1.46cbf30c6fc8p-3, -0x1.44cde3eba1a71p-3, -0x1.42c1e947ea1e4p-3, -0x1.40a87da1dbde6p-3, -0x1.3e821af4bb64ep-3, -0x1.3c4f3aa150308p-3, -0x1.3a1055596886fp-3, -0x1.37c5e30c1975cp-3, -0x1.35705ad2b4e88p-3, -0x1.331032de7794cp-3, -0x1.30a5e066f7891p-3, -0x1.2e31d79940e55p-3, -0x1.2bb48b87ba3eep-3, -0x1.292e6e1ab56c3p-3, -0x1.269ff001bc8cfp-3, -0x1.240980a59b4e6p-3, -0x1.216b8e1b11f3ap-3, -0x1.1ec68516481f9p-3, -0x1.1c1ad0dee8806p-3, -0x1.1968db44ee2a7p-3, -0x1.16b10c9621de7p-3, -0x1.13f3cb9441f51p-3, -0x1.11317d6bcb41fp-3, -0x1.0e6a85ab73a58p-3, -0x1.0b9f463c3be97p-3, -0x1.08d01f5a28bddp-3, -0x1.05fd6f8d93004p-3, -0x1.032793a514967p-3, -0x1.004ee6b0082c5p-3, -0x1.fae783f3407cap-4, -0x1.f52cfa0905ea7p-4, -0x1.ef6edb0dfc5c6p-4, -0x1.e9adcecf70d52p-4, -0x1.e3ea7975d0a81p-4, -0x1.de257b8025aabp-4, -0x1.d85f71c07c604p-4, -0x1.d298f5593b282p-4, -0x1.ccd29bbb6fb72p-4, -0x1.c70cf6a5f6b51p-4, -0x1.c148942579fabp-4, -0x1.bb85fe9547312p-4, -0x1.b5c5bca0f98d7p-4, -0x1.b0085146d3779p-4, -0x1.aa4e3bdaeb4c8p-4, -0x1.a497f80afbbc3p-4, -0x1.9ee5fde2ecdf4p-4, -0x1.9938c1d1ffd98p-4, -0x1.9390b4b096e2p-4, -0x1.8dee43c69bf96p-4, -0x1.8851d8d2753dfp-4, -0x1.82bbda108088cp-4, -0x1.7d2caa4319ab1p-4, -0x1.77a4a8bb15d56p-4, -0x1.72243160ba7e3p-4, -0x1.6cab9cbd20d3bp-4, -0x1.673b400406c72p-4, -0x1.61d36d1dfbec8p-4, -0x1.5c7472b2f1933p-4, -0x1.571e9c3520036p-4, -0x1.51d231ec3b136p-4, -0x1.4c8f7900f55f4p-4, -0x1.4756b388c65adp-4, -0x1.42282091f1d4bp-4, -0x1.3d03fc2fcc84dp-4, -0x1.37ea7f873372bp-4, -0x1.32dbe0db368c8p-4, -0x1.2dd85399efc11p-4, -0x1.28e0086980461p-4, -0x1.23f32d3530b38p-4, -0x1.1f11ed3ab06fdp-4, -0x1.1a3c71176fd93p-4, -0x1.1572ded60fe55p-4, -0x1.10b559fbe2fecp-4, -0x1.0c0403967ae7p-4, -0x1.075efa49474edp-4, -0x1.02c65a5b33ba7p-4, -0x1.fc747b8899ed2p-5, -0x1.f3757876cd74p-5, -0x1.ea8fd687785b5p-5, -0x1.e1c3bc75192adp-5, -0x1.d9114cc95a21fp-5, -0x1.d078a5f822c7cp-5, -0x1.c7f9e27a83d4cp-5, -0x1.bf9518e9896e6p-5, -0x1.b74a5c18de3bdp-5, -0x1.af19bb314c006p-5, -0x1.a70341cb07152p-5, -0x1.9f06f807c4c0ep-5, -0x1.9724e2ac9b08p-5, -0x1.8f5d033ba1da9p-5, -0x1.87af580d5e142p-5, -0x1.801bdc69dcf67p-5, -0x1.78a288a192128p-5, -0x1.71435225ec5bep-5, -0x1.69fe2ba19941bp-5, -0x1.62d305108000ep-5, -0x1.5bc1cbd769932p-5, -0x1.54ca6adb5866p-5, -0x1.4decca9886b2dp-5, -0x1.4728d13915534p-5, -0x1.407e62ab591f8p-5, -0x1.39ed60b7d3dafp-5, -0x1.3375ab16d4d16p-5, -0x1.2d171f85b6957p-5, -0x1.26d199dbc306ep-5, -0x1.20a4f41eb90ddp-5, -0x1.1a910696ea8a1p-5, -0x1.1495a7e30956dp-5, -0x1.0eb2ad0b835c5p-5, -0x1.08e7e9958ae5p-5, -0x1.03352f95b2ee7p-5, -0x1.fb349f8464eb6p-6, -0x1.f02e330971df2p-6, -0x1.e556b617d9199p-6, -0x1.daadc2b909d7cp-6, -0x1.d032f0c3f38e8p-6, -0x1.c5e5d5fdbd338p-6, -0x1.bbc606399f926p-6, -0x1.b1d3137807f72p-6, -0x1.a80c8e04f7397p-6, -0x1.9e720495a2c86p-6, -0x1.9503046557038p-6, -0x1.8bbf195193234p-6, -0x1.82a5cdf578061p-6, -0x1.79b6abc46495fp-6, -0x1.70f13b23ed852p-6, -0x1.685503850f4d7p-6, -0x1.5fe18b7cb8b61p-6, -0x1.579658db9050bp-6, -0x1.4f72f0c513e48p-6, -0x1.4776d7c60468fp-6, -0x1.3fa191ea1ff7cp-6, -0x1.37f2a2d13173ep-6, -0x1.30698dc37da3cp-6, -0x1.2905d5c581c78p-6, -0x1.21c6fdab0eed8p-6, -0x1.1aac8829c422bp-6, -0x1.13b5f7eaec6ap-6, -0x1.0ce2cf9cb5ee9p-6, -0x1.06329202d081fp-6, -0x1.ff49840cfa832p-7, -0x1.f271c58c0de21p-7, -0x1.e5dcef47352fdp-7, -0x1.d98a08a73eb18p-7, -0x1.cd7819d4e589ep-7, -0x1.c1a62bd354158p-7, -0x1.b613489973789p-7, -0x1.aabe7b2a518d3p-7, -0x1.9fa6cfac6a86fp-7, -0x1.94cb537ff10a3p-7, -0x1.8a2b15544760dp-7, -0x1.7fc5253c36653p-7, -0x1.759894c177516p-7, -0x1.6ba476f72c871p-7, -0x1.61e7e08b981fp-7, -0x1.5861e7d8c9e32p-7, -0x1.4f11a4f497badp-7, -0x1.45f631bfad4fdp-7, -0x1.3d0ea9f3c6c3dp-7, -0x1.345a2b313b0d8p-7, -0x1.2bd7d50b9e668p-7, -0x1.2386c915c177bp-7, -0x1.1b662aece8accp-7, -0x1.137520434b962p-7, -0x1.0bb2d0e9ed3cbp-7, -0x1.041e66d9bb875p-7, -0x1.f96e1c781e114p-8, -0x1.eaf7eae516ae3p-8, -0x1.dcd89a3ca5b51p-8, -0x1.cf0e904d6983fp-8, -0x1.c198377e71688p-8, -0x1.b473feda40e11p-8, -0x1.a7a05a18c72e9p-8, -0x1.9b1bc1a816dd3p-8, -0x1.8ee4b2b45c7dbp-8, -0x1.82f9af2eafca4p-8, -0x1.77593dd2f199fp-8, -0x1.6c01ea2cc3049p-8, -0x1.60f2449b98409p-8, -0x1.5628e255f6b44p-8, -0x1.4ba45d6bdfecfp-8, -0x1.416354c84c7c2p-8, -0x1.37646c321597ap-8, -0x1.2da64c4bfb027p-8, -0x1.2427a293f6c9bp-8, -0x1.1ae72162051cdp-8, -0x1.11e37fe6098f2p-8, -0x1.091b7a2542a29p-8, -0x1.008dd0f6f6512p-8, -0x1.f0729401a76f7p-9, -0x1.e0395f64c3ad6p-9, -0x1.d06da28057c9fp-9, -0x1.c10d053ccaceep-9, -0x1.b21538f5cebc3p-9, -0x1.a383f86dc9143p-9, -0x1.955707c0618bcp-9, -0x1.878c3453bef4fp-9, -0x1.7a2154c96e081p-9, -0x1.6d1448ee53dabp-9, -0x1.6062f9aa130a3p-9, -0x1.540b58ed7ed41p-9, -0x1.480b61a08f85p-9, -0x1.3c61178fcabadp-9, -0x1.310a8758dc7c1p-9, -0x1.2605c6570c48ap-9, -0x1.1b50f28ee2ff5p-9, -0x1.10ea32992991fp-9, -0x1.06cfb58e14c1ep-9, -0x1.f9ff65de9f046p-10, -0x1.e6f0d524ba561p-10, -0x1.d4704913d30aap-10, -0x1.c27a621ec9ac1p-10, -0x1.b10bd0d740a9cp-10, -0x1.a02155c01aa93p-10, -0x1.8fb7c11e14b2fp-10, -0x1.7fcbf2c85cff3p-10, -0x1.705ad9f8747d7p-10, -0x1.6161751a7fd2ap-10, -0x1.52dcd19c5d16bp-10, -0x1.44ca0bbd26c9p-10, -0x1.37264e5c64937p-10, -0x1.29eed2c83017p-10, -0x1.1d20e08caedddp-10, -0x1.10b9cd41a94aep-10, -0x1.04b6fc5a1c876p-10, -0x1.f22bbde432c85p-11, -0x1.dba7e73a1566cp-11, -0x1.c5dd8c6908695p-11, -0x1.b0c7df4c6db59p-11, -0x1.9c622b85d9f5p-11, -0x1.88a7d61ae95f6p-11, -0x1.75945d113a0f8p-11, -0x1.6323570dc2895p-11, -0x1.515072f1f6df8p-11, -0x1.4017777adf7fp-11, -0x1.2f7442e05ff19p-11, -0x1.1f62ca74f6ff2p-11, -0x1.0fdf1a44c5efep-11, -0x1.00e554b7398b5p-11, -0x1.e4e3645f565dp-12, -0x1.c901015e81ec4p-12, -0x1.ae1c46f0ae266p-12, -0x1.942e2561aff57p-12, -0x1.7b2fb60bfa31dp-12, -0x1.631a3aa2d0fc5p-12, -0x1.4be71c7d85e79p-12, -0x1.358febe20324p-12, -0x1.200e5f57c217fp-12, -0x1.0b5c52f0ec747p-12, -0x1.eee78f42001c4p-13, -0x1.c89dc519f3acp-13, -0x1.a3cfd8c3e5e15p-13, -0x1.8072a15825d7bp-13, -0x1.5e7b3a5db975ep-13, -0x1.3ddf027f711e1p-13, -0x1.1e939a436c776p-13, -0x1.008ee2c8f483ap-13, -0x1.c78df91379668p-14, -0x1.90648c3f3d5e4p-14, -0x1.5b8eb61046b8cp-14, -0x1.28fa24ee18605p-14, -0x1.f129f87e461e5p-15, -0x1.949ba43df54cap-15, -0x1.3c275a08fe4e2p-15, -0x1.cf58060c03039p-16, -0x1.2e12c01910431p-16, -0x1.288014df9fa4ap-17, -0x1.a2ab063fcc831p-24, 0x1.140205f3c4b6ap-17, 0x1.0ee517b33e404p-16, 0x1.8d4226e336569p-16, 0x1.02a7a41e465dap-15, 0x1.3ba10fb799983p-15, 0x1.71a772119ad16p-15, 0x1.a4d434f102015p-15, 0x1.d54013debc27cp-15, 0x1.01818ffdb83d8p-14, 0x1.171a61dd0b5d7p-14, 0x1.2b75e34a19681p-14, 0x1.3e9f285557a0cp-14, 0x1.50a0f72780957p-14, 0x1.6185c9c1c625cp-14, 0x1.7157cfb4833cp-14, 0x1.8020efd50a2f4p-14, 0x1.8deac9e3ab0dep-14, 0x1.9abeb8304d1e3p-14, 0x1.a6a5d1302db58p-14, 0x1.b1a8e91771107p-14, 0x1.bbd0935d054a4p-14, 0x1.c5252442ac8a8p-14, 0x1.cdaeb255f06cep-14, 0x1.d57517e2d7a89p-14, 0x1.dc7ff466333b8p-14, 0x1.e2d6adf2bf4a1p-14, 0x1.e8807294a5aa1p-14, 0x1.ed8439ab79473p-14, 0x1.f1e8c540548a6p-14, 0x1.f5b4a351f280cp-14, 0x1.f8ee2f1e8057bp-14, 0x1.fb9b9261b03f3p-14, 0x1.fdc2c68fdee59p-14, 0x1.ff699608f60f3p-14, 0x1.004acea49144cp-13, 0x1.00a626071498p-13, 0x1.00c9733e373dap-13, 0x1.00b7431bfe674p-13, 0x1.00720dbe3711bp-13, 0x1.fff86e2bb70d2p-14, 0x1.feb01ed77a022p-14, 0x1.fd0fa7ca7ead7p-14, 0x1.fb1b5e03d01dcp-14, 0x1.f8d77234a9bap-14, 0x1.f647f1b2cf0b6p-14, 0x1.f370c76781084p-14, 0x1.f055bcba287efp-14, 0x1.ecfa7a76785f9p-14, 0x1.e96289ab6f2a4p-14, 0x1.e59154879b9aap-14, 0x1.e18a27302a75cp-14, 0x1.dd5030908f071p-14, 0x1.d8e683286ea9bp-14, 0x1.d45015d0d0baap-14, 0x1.cf8fc4853f59dp-14, 0x1.caa8511f20f34p-14, 0x1.c59c64128de2p-14, 0x1.c06e8d245bb04p-14, 0x1.bb21441c60f74p-14, 0x1.b5b6e972feae9p-14, 0x1.b031c6fb148bap-14, 0x1.aa9410898b7d9p-14, 0x1.a4dfe4961229dp-14, 0x1.9f174cdb3a86dp-14, 0x1.993c3ef0760bap-14, 0x1.93509ce087924p-14, 0x1.8d5635bbf51b5p-14, 0x1.874ec62921267p-14, 0x1.813bf8f0f6614p-14, 0x1.7b1f67874f4dap-14, 0x1.74fa9a913d835p-14, 0x1.6ecf0a66aa8dp-14, 0x1.689e1f901fbe8p-14, 0x1.62693343d7608p-14, 0x1.5c318fdc5d8adp-14, 0x1.55f8715050818p-14, 0x1.4fbf05a383e53p-14, 0x1.49866d579daebp-14, 0x1.434fbbd8d5185p-14, 0x1.3d1bf7e74606fp-14, 0x1.36ec1bfe75a92p-14, 0x1.30c116b91a57dp-14, 0x1.2a9bcb349265cp-14, 0x1.247d116f40e45p-14, 0x1.1e65b6a5b1db6p-14, 0x1.18567dae697dep-14, 0x1.12501f4f9e908p-14, 0x1.0c534a96d0ef7p-14, 0x1.0660a5299c5a5p-14, 0x1.0078cb99cc996p-14, 0x1.f538a364e6b91p-15, 0x1.e997858afcbcap-15, 0x1.de0f43ee3ff55p-15, 0x1.d2a0d50a3e4f9p-15, 0x1.c74d201b541aep-15, 0x1.bc14fda9cdbf7p-15, 0x1.b0f9380cb996fp-15, 0x1.a5fa8bedd2138p-15, 0x1.9b19a8c769cb4p-15, 0x1.9057315e90dd3p-15, 0x1.85b3bc3b7a229p-15, 0x1.7b2fd41b6d8a5p-15, 0x1.70cbf862cde83p-15, 0x1.66889d8858b3dp-15, }}, 
      {{0x1.7a8242cce9915p-7, 0x1.7a48e9890c153p-6, 0x1.1b6f2e62670bcp-5, 0x1.7964a0290e7aep-5, 0x1.d6e93d8ebc2fdp-5, 0x1.19f11aa08d798p-4, 0x1.481ac9bb29425p-4, 0x1.75e52e58dadbfp-4, 0x1.a344514b88ce8p-4, 0x1.d02cca379fc7fp-4, 0x1.fc93c64115b89p-4, 0x1.143786b4d78e4p-3, 0x1.29da8356a5e34p-3, 0x1.3f2e5d65377cep-3, 0x1.542eeacfd6f59p-3, 0x1.68d853091dce3p-3, 0x1.7d270e42de018p-3, 0x1.9117e40148b4p-3, 0x1.a4a7e91cc0eefp-3, 0x1.b7d47d4f3c661p-3, 0x1.ca9b486c7334bp-3, 0x1.dcfa37633d707p-3, 0x1.eeef792359784p-3, 0x1.003cbdbf129eap-2, 0x1.08cb7409beec1p-2, 0x1.112350ab3aec6p-2, 0x1.1943dfd85bedbp-2, 0x1.212cc763898e3p-2, 0x1.28ddc56f4968cp-2, 0x1.3056af2f92662p-2, 0x1.37976fb7c6c66p-2, 0x1.3ea006d2e067fp-2, 0x1.457087e37bcdep-2, 0x1.4c0918c99b414p-2, 0x1.5269f0cc85866p-2, 0x1.5893578797456p-2, 0x1.5e85a3d972f14p-2, 0x1.64413ad5792e5p-2, 0x1.69c68eb7ecae1p-2, 0x1.6f161ddd8768ep-2, 0x1.743071bf84b28p-2, 0x1.79161df5636aap-2, 0x1.7dc7bf3dac56bp-2, 0x1.8245fa8f1574p-2, 0x1.86917c334745fp-2, 0x1.8aaaf6ec6827bp-2, 0x1.8e9323266a859p-2, 0x1.924abe34e6faap-2, 0x1.95d2899e16196p-2, 0x1.992b4a7339eacp-2, 0x1.9c55c8b6a4e0bp-2, 0x1.9f52cecf3a9cep-2, 0x1.a22329092f9c2p-2, 0x1.a4c7a5238d11dp-2, 0x1.a74111e9e59e3p-2, 0x1.a9903ed9853b8p-2, 0x1.abb5fbd14713cp-2, 0x1.adb318cb3bf14p-2, 0x1.af88659f2c50fp-2, 0x1.b136b1cd0c8ddp-2, 0x1.b2becc4e73731p-2, 0x1.b421836e26278p-2, 0x1.b55fa4a4d5a0dp-2, 0x1.b679fc7a426d8p-2, 0x1.b7715669f116dp-2, 0x1.b8467ccac4e75p-2, 0x1.b8fa38b8d66fdp-2, 0x1.b98d5200f74c3p-2, 0x1.ba008f0d655fap-2, 0x1.ba54b4d33c0f7p-2, 0x1.ba8a86c05452cp-2, 0x1.baa2c6a945be2p-2, 0x1.ba9e34b755171p-2, 0x1.ba7d8f5626351p-2, 0x1.ba4193211f2a3p-2, 0x1.b9eafad068e6cp-2, 0x1.b97a7f2593813p-2, 0x1.b8f0d6d7e217ap-2, 0x1.b84eb6805133fp-2, 0x1.b794d08572163p-2, 0x1.b6c3d50733159p-2, 0x1.b5dc71cabc3cap-2, 0x1.b4df52267e088p-2, 0x1.b3cd1eeea0799p-2, 0x1.b2a67e61ee2a9p-2, 0x1.b16c14176ee2bp-2, 0x1.b01e80eccb967p-2, 0x1.aebe62f5a52ddp-2, 0x1.ad4c556c0301bp-2, 0x1.abc8f0a1ee9dcp-2, 0x1.aa34c9f46379fp-2, 0x1.a89073bfa210dp-2, 0x1.a6dc7d5502e97p-2, 0x1.a51972f253b12p-2, 0x1.a347ddbad4d46p-2, 0x1.a16843b1d644cp-2, 0x1.9f7b27b706c57p-2, 0x1.9d8109846a4fbp-2, 0x1.9b7a65ae0611fp-2, 0x1.9967b5a32dcf3p-2, 0x1.97496fb179a76p-2, 0x1.9520070953932p-2, 0x1.92ebebc40e7fp-2, 0x1.90ad8aeb7dcacp-2, 0x1.8e654e82f9d25p-2, 0x1.8c139d91ba30dp-2, 0x1.89b8dc2e7cf2cp-2, 0x1.87556b8c58686p-2, 0x1.84e9aa08a8343p-2, 0x1.8275f339ff97dp-2, 0x1.7ffaa0000469p-2, 0x1.7d7806941a7e7p-2, 0x1.7aee7a9acd1b4p-2, 0x1.785e4d35d71f8p-2, 0x1.75c7cd16b5c27p-2, 0x1.732b4691ab033p-2, 0x1.708903b11ab2p-2, 0x1.6de14c492dd8dp-2, 0x1.6b34660b9e999p-2, 0x1.6882949b9d8efp-2, 0x1.65cc19a1bdc5cp-2, 0x1.631134dfce3dep-2, 0x1.6052244492df4p-2, 0x1.5d8f23ff4b4bcp-2, 0x1.5ac86e92f5f63p-2, 0x1.57fe3ce942bd2p-2, 0x1.5530c66527d88p-2, 0x1.526040f507f22p-2, 0x1.4f8ce12466559p-2, 0x1.4cb6da2d15dd2p-2, 0x1.49de5e07e14abp-2, 0x1.47039d7ca20cap-2, 0x1.4426c831be669p-2, 0x1.41480cbb09458p-2, 0x1.3e6798a800ab4p-2, 0x1.3b859891672d2p-2, 0x1.38a23826325c7p-2, 0x1.35bda237d0bdap-2, 0x1.32d800c5c3c85p-2, 0x1.2ff17d088d809p-2, 0x1.2d0a3f7bf4bc2p-2, 0x1.2a226fe89e533p-2, 0x1.273a356cfdde7p-2, 0x1.2451b685a2da1p-2, 0x1.21691914e29d7p-2, 0x1.1e808269e0ebp-2, 0x1.1b98174702f67p-2, 0x1.18affbe7c5698p-2, 0x1.15c85406053a7p-2, 0x1.12e142deb9933p-2, 0x1.0ffaeb3624f1p-2, 0x1.0d156f5b86b8dp-2, 0x1.0a30f12c4cd01p-2, 0x1.074d9216d119dp-2, 0x1.046b731ca50aep-2, 0x1.018ab4d4709c6p-2, 0x1.fd56eed6df367p-3, 0x1.f79bb54d1805dp-3, 0x1.f1e3fbc648af5p-3, 0x1.ec30002ef414cp-3, 0x1.e67fffa5ae97p-3, 0x1.e0d4367ad5141p-3, 0x1.db2ce02fc7de9p-3, 0x1.d58a3775a7ecdp-3, 0x1.cfec762bad1dep-3, 0x1.ca53d55d1d7ebp-3, 0x1.c4c08d3ee4af1p-3, 0x1.bf32d52ce94e1p-3, 0x1.b9aae3a71ce8fp-3, 0x1.b428ee4e4e58p-3, 0x1.aead29e0d485ap-3, 0x1.a937ca370b788p-3, 0x1.a3c9023fb99dep-3, 0x1.9e6103fc572bap-3, 0x1.9900007d4e78cp-3, 0x1.93a627de2e435p-3, 0x1.8e53a941de99ap-3, 0x1.8908b2cedf70ap-3, 0x1.83c571ab8658dp-3, 0x1.7e8a11fa6043fp-3, 0x1.7956bed695edfp-3, 0x1.742ba2507c40cp-3, 0x1.6f08e56a38f3ep-3, 0x1.69eeb01494e8ap-3, 0x1.64dd292bed4fep-3, 0x1.5fd4767557d49p-3, 0x1.5ad4bc9bf01d3p-3, 0x1.55de1f2e59335p-3, 0x1.50f0c09c6e6a8p-3, 0x1.4c0cc23530f8cp-3, 0x1.47324424e5f01p-3, 0x1.4261657372ab6p-3, 0x1.3d9a4402eee3dp-3, 0x1.38dcfc8e75398p-3, 0x1.3429aaa9314f5p-3, 0x1.2f8068bda712ap-3, 0x1.2ae1500d35d43p-3, 0x1.264c78afdffc8p-3, 0x1.21c1f99449493p-3, 0x1.1d41e87ff29dbp-3, 0x1.18cc5a0fb528p-3, 0x1.146161b874f08p-3, 0x1.100111c817246p-3, 0x1.0bab7b66a53bfp-3, 0x1.0760ae97b59e9p-3, 0x1.0320ba3c0669ep-3, 0x1.fdd758269f45ep-4, 0x1.f583217c99a3fp-4, 0x1.ed44e781f1831p-4, 0x1.e51cbf09f33c8p-4, 0x1.dd0abab88c86ep-4, 0x1.d50eeb07e6399p-4, 0x1.cd295e4e57c88p-4, 0x1.c55a20c4c44d7p-4, 0x1.bda13c8d38a87p-4, 0x1.b5feb9b9e8a06p-4, 0x1.ae729e5469951p-4, 0x1.a6fcee6546eabp-4, 0x1.9f9dabfbd4077p-4, 0x1.9854d7363912fp-4, 0x1.91226e49ceb34p-4, 0x1.8a066d8ba1e5dp-4, 0x1.8300cf793895cp-4, 0x1.7c118cc1871a3p-4, 0x1.75389c4e11af8p-4, 0x1.6e75f34c3b80fp-4, 0x1.67c98536bc661p-4, 0x1.613343df3975ap-4, 0x1.5ab31f77ffe5ep-4, 0x1.5449069dd8e8cp-4, 0x1.4df4e661fbc99p-4, 0x1.47b6aa5411759p-4, 0x1.418e3c8c4d4e1p-4, 0x1.3b7b85b59439ep-4, 0x1.357e6d17b0622p-4, 0x1.2f96d8a18dba1p-4, 0x1.29c4acf37dbe2p-4, 0x1.2407cd697d4e9p-4, 0x1.1e601c257b995p-4, 0x1.18cd7a199eb96p-4, 0x1.134fc71284a55p-4, 0x1.0de6e1c17bab4p-4, 0x1.0892a7c6b140ap-4, 0x1.0352f5bb5534dp-4, 0x1.fc4f4e775eb19p-5, 0x1.f2212de247771p-5, 0x1.e81b3d3849361p-5, 0x1.de3d2e3c208e4p-5, 0x1.d486b105f20dcp-5, 0x1.caf77416a9c7dp-5, 0x1.c18f246b27331p-5, 0x1.b84d6d8f31708p-5, 0x1.af31f9b036714p-5, 0x1.a63c71afc8ab6p-5, 0x1.9d6c7d35e049dp-5, 0x1.94c1c2c2dcadcp-5, 0x1.8c3be7c13e835p-5, 0x1.83da90971f561p-5, 0x1.7b9d60b76105bp-5, 0x1.7383fab28ec3ep-5, 0x1.6b8e00477daf3p-5, 0x1.63bb127393b61p-5, 0x1.5c0ad182c928cp-5, 0x1.547cdd1f57f75p-5, 0x1.4d10d4611a025p-5, 0x1.45c655dc978ddp-5, 0x1.3e9cffb1c08e4p-5, 0x1.37946f9a56cbep-5, 0x1.30ac42f80069ap-5, 0x1.29e416e2097fdp-5, 0x1.233b8832cf28fp-5, 0x1.1cb23394d6777p-5, 0x1.1647b58f8e9fdp-5, 0x1.0ffbaa93bc958p-5, 0x1.09cdaf0794ac5p-5, 0x1.03bd5f527b366p-5, 0x1.fb94afd0ea86cp-6, 0x1.efe86aaa80b6bp-6, 0x1.e475288e31e6cp-6, 0x1.d93a23325778fp-6, 0x1.ce3694bb6b57dp-6, 0x1.c369b7cf9d086p-6, 0x1.b8d2c7a9c9cf9p-6, 0x1.ae71002bcca9bp-6, 0x1.a4439df030a12p-6, 0x1.9a49de5b3e7bep-6, 0x1.9082ffab7972fp-6, 0x1.86ee41096ecebp-6, 0x1.7d8ae296fb96ep-6, 0x1.7458257de95fep-6, 0x1.6b554bfe0a51ep-6, 0x1.6281997aaf1e1p-6, 0x1.59dc5287919fp-6, 0x1.5164bcf5358d2p-6, 0x1.491a1fdcb3507p-6, 0x1.40fbc3aafa4e5p-6, 0x1.3908f22b948d2p-6, 0x1.3140f692d7466p-6, 0x1.29a31d8794cep-6, 0x1.222eb52c4f1cdp-6, 0x1.1ae30d27ee804p-6, 0x1.13bf76adf8392p-6, 0x1.0cc344864cc5p-6, 0x1.05edcb146bb6cp-6, 0x1.fe7cc0bc9ed3bp-7, 0x1.f168b825957f7p-7, 0x1.e49e2f1efd705p-7, 0x1.d81bdbccc7562p-7, 0x1.cbe077c5c80fcp-7, 0x1.bfeac01d302b4p-7, 0x1.b439756b27d8ap-7, 0x1.a8cb5bd4bc591p-7, 0x1.9d9f3b1305958p-7, 0x1.92b3de798544p-7, 0x1.880814fbeca6bp-7, 0x1.7d9ab1331bd8ep-7, 0x1.736a896184e57p-7, 0x1.69767776eb9abp-7, 0x1.5fbd59137843dp-7, 0x1.563e0f8a3c3c8p-7, 0x1.4cf77fe318e49p-7, 0x1.43e892dc13a5cp-7, 0x1.3b1034ea31143p-7, 0x1.326d5639a991bp-7, 0x1.29feeaadb5ca9p-7, 0x1.21c3e9dfc37cap-7, 0x1.19bb4f1e486d5p-7, 0x1.11e4196b1114fp-7, 0x1.0a3d4b792213ep-7, 0x1.02c5ebaa2e459p-7, 0x1.f6fa081733f7ap-8, 0x1.e8c344a64fa1dp-8, 0x1.dae5afb678676p-8, 0x1.cd5f733d7ae75p-8, 0x1.c02ec06968a78p-8, 0x1.b351cf96fb258p-8, 0x1.a6c6e0475675fp-8, 0x1.9a8c391558c4bp-8, 0x1.8ea027aa279d1p-8, 0x1.830100b15b867p-8, 0x1.77ad1fcc834ddp-8, 0x1.6ca2e7863d7a5p-8, 0x1.61e0c144c4747p-8, 0x1.57651d3c1558bp-8, 0x1.4d2e725faf7cfp-8, 0x1.433b3e53e74fep-8, 0x1.398a055eca995p-8, 0x1.30195258dde32p-8, 0x1.26e7b69d36584p-8, 0x1.1df3c9f97daf8p-8, 0x1.153c2a9dab36dp-8, 0x1.0cbf7d0b50c8bp-8, 0x1.047c6c04dcc6fp-8, 0x1.f8e350f8e1b06p-9, 0x1.e93bd3054f81fp-9, 0x1.d9ffd86a160abp-9, 0x1.cb2ce758f33dap-9, 0x1.bcc091d68ef82p-9, 0x1.aeb87596b60ffp-9, 0x1.a1123bd81aa8bp-9, 0x1.93cb994005e6p-9, 0x1.86e24db5ac2abp-9, 0x1.7a54243d7a967p-9, 0x1.6e1ef2d43bfb4p-9, 0x1.62409a4a1dbc8p-9, 0x1.56b7061da219ap-9, 0x1.4b802c5694ba2p-9, 0x1.409a0d60b8da7p-9, 0x1.3602b3e6c498ep-9, 0x1.2bb834ad3a7bcp-9, 0x1.21b8ae6d40b6cp-9, 0x1.180249af97671p-9, 0x1.0e9338a799813p-9, 0x1.0569b70e769aep-9, 0x1.f90813fc8cd9dp-10, 0x1.e7c0ff9af5d09p-10, 0x1.d6fadfd4a1365p-10, 0x1.c6b2756cfd658p-10, 0x1.b6e492c62fee7p-10, 0x1.a78e1b9909196p-10, 0x1.98ac04ad9628fp-10, 0x1.8a3b5393d202bp-10, 0x1.7c391e5d4368cp-10, 0x1.6ea28b56aaf5fp-10, 0x1.6174d0c260be6p-10, 0x1.54ad34933d8c9p-10, 0x1.48490c27fdb74p-10, 0x1.3c45bc075b7ccp-10, 0x1.30a0b79c6f2dp-10, 0x1.255780f414885p-10, 0x1.1a67a87a6fa57p-10, 0x1.0fceccb994525p-10, 0x1.058a9a18556d8p-10, 0x1.f731953499983p-11, 0x1.e3ee4b3fe4a59p-11, 0x1.d146ff4fc9b52p-11, 0x1.bf377420dedc4p-11, 0x1.adbb85b4468d3p-11, 0x1.9ccf28d5f06dep-11, 0x1.8c6e6aa3fd1d5p-11, 0x1.7c9570188af73p-11, 0x1.6d407593ac804p-11, 0x1.5e6bce67cf3fp-11, 0x1.5013e46760fc3p-11, 0x1.423537738dcf8p-11, 0x1.34cc5d0cbb5b4p-11, 0x1.27d5ffe4d7f3ep-11, 0x1.1b4edf725fbap-11, 0x1.0f33cf85f507dp-11, 0x1.0381b7e03f93ep-11, 0x1.f06b2794b7f2bp-12, 0x1.da98e35e1ec6p-12, 0x1.c586e56bd9b64p-12, 0x1.b12f94bf30b9cp-12, 0x1.9d8d7c47e49f9p-12, 0x1.8a9b4a231ddb2p-12, 0x1.7853cedcf0e4p-12, 0x1.66b1fcb5d123dp-12, 0x1.55b0e6ea013f4p-12, 0x1.454bc0fc20f5ep-12, 0x1.357dde034d3cbp-12, 0x1.2642affb3a8d1p-12, 0x1.1795c71827b0ap-12, 0x1.0972d11ccb349p-12, 0x1.f7ab31678ec4bp-13, 0x1.dd74099751fbap-13, 0x1.c4382feb642b4p-13, 0x1.abefdf8f0406cp-13, 0x1.9493887e95c95p-13, 0x1.7e1bce5628e7fp-13, 0x1.688187255fdd3p-13, 0x1.53bdba47ebcb3p-13, 0x1.3fc99f4522ab7p-13, 0x1.2c9e9cb2e8ac6p-13, 0x1.1a36471e1fb0ep-13, 0x1.088a5ffa07079p-13, 0x1.ef29a92476243p-14, 0x1.ce9f7a07ea9dcp-14, 0x1.af6ab675194cdp-14, 0x1.918033e4b647ep-14, 0x1.74d5177e261b9p-14, 0x1.595ed4323f8a9p-14, 0x1.3f1328da17b19p-14, 0x1.25e81e6307408p-14, 0x1.0dd4060258ee5p-14, 0x1.ed9aeee4f3566p-15, 0x1.c1969e72e45f1p-15, 0x1.978959f14e098p-15, 0x1.6f61e38a18e4p-15, 0x1.490f7d0e5857p-15, 0x1.2481e4cade9dcp-15, 0x1.01a95267d73d6p-15, 0x1.c0ece7c5cef2cp-16, 0x1.81b4d51c399b5p-16, 0x1.458d904e2c40bp-16, 0x1.0c5b17f5ed0e7p-16, 0x1.ac0480654a626p-17, 0x1.44d15a65cf909p-17, 0x1.c5d3376de2be4p-18, 0x1.0c375a0901c8ep-18, 0x1.71bbbd6769051p-20, -0x1.278d228ee0c63p-20, -0x1.ce3368794e633p-19, -0x1.7b8bf33ee7535p-18, -0x1.03c778da9e72dp-17, -0x1.45ba7d1999b06p-17, -0x1.83c6e3e85a52cp-17, -0x1.be134bc843ce3p-17, -0x1.f4c51cc95aa1ep-17, -0x1.1400486dfd7d4p-16, -0x1.2bf45e01ea547p-16, -0x1.424fca2923a2cp-16, -0x1.5722fcd7a93a2p-16, -0x1.6a7ddeb82a6c8p-16, -0x1.7c6fd4e9058afp-16, -0x1.8d07c49432866p-16, -0x1.9c54168461503p-16, -0x1.aa62ba945b779p-16, -0x1.b7412b10b656p-16, -0x1.c2fc7005cce13p-16, -0x1.cda122715daf6p-16, -0x1.d73b6f6a0f8e8p-16, -0x1.dfd71b2dc1592p-16, -0x1.e77f8420da91ap-16, -0x1.ee3fa5b5dea6p-16, -0x1.f4221b443d2cep-16, -0x1.f93122cd8f93bp-16, -0x1.fd769fb4e511bp-16, -0x1.007e0eae499d5p-15, -0x1.01e568deb60cdp-15, -0x1.02f5cff210812p-15, -0x1.03b38d3180e6cp-15, -0x1.0422c2d95318bp-15, -0x1.04476d42a7b54p-15, -0x1.0425640370c3dp-15, -0x1.03c05b09b257bp-15, -0x1.031be3aceddeep-15, -0x1.023b6db95a022p-15, -0x1.0122487456fa6p-15, -0x1.ffa747364f9c8p-16, -0x1.fca520b3173c8p-16, -0x1.f9440472b88c1p-16, -0x1.f589a01ada099p-16, -0x1.f17b69a930efdp-16, -0x1.ed1ea1311461bp-16, -0x1.e8785289eec5p-16, -0x1.e38d56f40842cp-16, -0x1.de6256b38b705p-16, -0x1.d8fbca9a5d03cp-16, -0x1.d35dfd8cc43c2p-16, -0x1.cd8d0df7e16b6p-16, -0x1.c78cef4378597p-16, -0x1.c1616b33601a6p-16, -0x1.bb0e234344c5fp-16, -0x1.b49691f558454p-16, -0x1.adfe0c1b40d39p-16, -0x1.a747c212256c5p-16, -0x1.a076c0f72b796p-16, -0x1.998df3d7b80a4p-16, -0x1.929024d26850ep-16, -0x1.8b7ffe33fdee9p-16, -0x1.84600b890f6edp-16, -0x1.7d32baab2b96ap-16, -0x1.75fa5cc44f5dp-16, -0x1.6eb92749c6d99p-16, -0x1.677134f359ecdp-16, -0x1.602486a91739ap-16, -0x1.58d5046954914p-16, -0x1.51847e29c8d9dp-16, -0x1.4a34acafc4896p-16, -0x1.42e7326527b44p-16, -0x1.3b9d9c2355043p-16, -0x1.345961fb823a9p-16, -0x1.2d1be7f684f3fp-16, -0x1.25e67ed100c31p-16, -0x1.1eba64af78985p-16, -0x1.1798c5ce29758p-16, -0x1.1082bd2ca004ep-16, -0x1.0979553260209p-16, -0x1.027d884fa884cp-16, -0x1.f720832fd8098p-17, -0x1.e964bab0dc3dcp-17, -0x1.dbc95352d62c7p-17, -0x1.ce4fcdf94f5b8p-17, -0x1.c0f9914b24be1p-17, -0x1.b3c7eabadedfcp-17, -0x1.a6bc0f89701ddp-17, -0x1.99d71dbbb82bp-17, -0x1.8d1a1d0ba4eb7p-17, -0x1.8085ffcf961f1p-17, -0x1.741ba3ddbef27p-17, -0x1.67dbd365e730cp-17, -0x1.5bc745c4a62acp-17, -0x1.4fdea04ddb2e5p-17, -0x1.4422771263803p-17, -0x1.38934d9e175c9p-17, -0x1.2d3197aea9c8ep-17, -0x1.21fdb9e934922p-17, -0x1.16f80a8285d7fp-17, -0x1.0c20d1e9cf7c2p-17, -0x1.01784b66ca889p-17, -0x1.edfd4b6c68a5ep-18, -0x1.d968073aae5fcp-18, -0x1.c530f8f91316dp-18, -0x1.b15839b321c39p-18, -0x1.9dddcdd036e5dp-18, -0x1.8ac1a61583adep-18, -0x1.7803a0a2c7549p-18, -0x1.65a389e2c3e41p-18, -0x1.53a11d783f93dp-18, -0x1.41fc0718ebaf8p-18, -0x1.30b3e36a15341p-18, -0x1.1fc840d21ea5fp-18, -0x1.0f38a03fbb96p-18, -0x1.fe08ebdf0f3d3p-19, -0x1.de565445b434ap-19, -0x1.bf5833aeecb35p-19, -0x1.a10d2ee0ad1dap-19, -0x1.8373d6c2b4127p-19, -0x1.668aa994e48b8p-19, -0x1.4a50142ad0288p-19, -0x1.2ec273134c4d9p-19, -0x1.13e013ae13b7p-19, -0x1.f34e6a90cbeadp-20, -0x1.c02c142c13397p-20, -0x1.8e55707372f3cp-20, -0x1.5dc6b5628bf41p-20, -0x1.2e7c048580a39p-20, -0x1.00716cac68d77p-20, -0x1.a745d73ffadcap-21, -0x1.5018df5e85dfcp-21, -0x1.f6a7650577463p-22, -0x1.51dbf1173a0d1p-22, -0x1.637d0cea926efp-23, -0x1.63e21e1e47c99p-26, 0x1.016cc31346714p-23, 0x1.1330455c18733p-22, 0x1.a140e346b5323p-22, 0x1.157cd4430a503p-21, 0x1.583608cfcbd1fp-21, }}, 
      {{-0x1.50fdcafa47c74p-1, -0x1.51359d6d4ea27p-1, -0x1.518f50a223883p-1, -0x1.5206282954a34p-1, -0x1.5293f65209fd3p-1, -0x1.53316fc86e6fp-1, -0x1.53d67e63484aep-1, -0x1.547a8e64b6afcp-1, -0x1.5514d3931a9b1p-1, -0x1.559c84fcbcb2p-1, -0x1.56090f251bf68p-1, -0x1.56523ced6c1c5p-1, -0x1.567057df5b1e2p-1, -0x1.565c40ae6617ap-1, -0x1.560f80d6c8f63p-1, -0x1.55845643167b1p-1, -0x1.54b5b9d91ac72p-1, -0x1.539f61c00b412p-1, -0x1.523dc02005823p-1, -0x1.508dff075778dp-1, -0x1.4e8dfa0e28dcfp-1, -0x1.4c3c363dc6f88p-1, -0x1.4997d8ae71346p-1, -0x1.46a09c3d828ffp-1, -0x1.4356c6ae46662p-1, -0x1.3fbb1d79dee0bp-1, -0x1.3bceda8642411p-1, -0x1.3793a0f18e91p-1, -0x1.330b72158d5bbp-1, -0x1.2e38a2df4d333p-1, -0x1.291dd18fe7d44p-1, -0x1.23bddbf5ded7bp-1, -0x1.1e1bd629c58ddp-1, -0x1.183b01d50a7d7p-1, -0x1.121ec6069922ap-1, -0x1.0bcaa79677bcep-1, -0x1.05424217974f3p-1, -0x1.fd1282aad9f8fp-2, -0x1.ef46b6b38a874p-2, -0x1.e12895eca7578p-2, -0x1.d2bf9599bf353p-2, -0x1.c41321a0e8b11p-2, -0x1.b52a94736ae63p-2, -0x1.a60d2fd08448p-2, -0x1.96c21656116ebp-2, -0x1.875045d2d0fd7p-2, -0x1.77be924e224d5p-2, -0x1.6813a1b95773p-2, -0x1.5855e83f06c87p-2, -0x1.488ba52512763p-2, -0x1.38bae0369569dp-2, -0x1.28e967ab3dff2p-2, -0x1.191cce8218e55p-2, -0x1.095a6b4642038p-2, -0x1.f34eae68c4509p-3, -0x1.d410db70ac5cap-3, -0x1.b5049875b24bap-3, -0x1.9632a46edeb7ep-3, -0x1.77a34326a2c7dp-3, -0x1.595e3e5cf5fe5p-3, -0x1.3b6ae750f0fddp-3, -0x1.1dd018a5cd067p-3, -0x1.00943898255dep-3, -0x1.c77a76f1ffa4cp-4, -0x1.8ea14cc9cf6dbp-4, -0x1.56a7245c43f66p-4, -0x1.1f955ce357aa9p-4, -0x1.d2e9133d78978p-5, -0x1.6898f0f8b0f8ap-5, -0x1.004871d84772ap-5, -0x1.34088b4e68a2ep-6, -0x1.aebdd961dc562p-8, 0x1.61998d76a9179p-8, 0x1.18279361da53fp-6, 0x1.d385186055f8dp-6, 0x1.453921090a2ap-5, 0x1.9e724ababee64p-5, 0x1.f569d8b3c562ap-5, 0x1.250e4cec29f7fp-4, 0x1.4e4427a58198cp-4, 0x1.7655cfbf7d652p-4, 0x1.9d4304cce20a3p-4, 0x1.c30bec94f176dp-4, 0x1.e7b10d1b4173ap-4, 0x1.0599a36ae5e5ep-3, 0x1.16c9e78941a3p-3, 0x1.276a1546c2eeap-3, 0x1.377b141c31a72p-3, 0x1.46fdee19833e4p-3, 0x1.55f3cd7b261d2p-3, 0x1.645dfa580cdc7p-3, 0x1.723dd86867b74p-3, 0x1.7f94e4e4b363ep-3, 0x1.8c64b47cda767p-3, 0x1.98aef166fd1dfp-3, 0x1.a475598566b95p-3, 0x1.afb9bca33a857p-3, 0x1.ba7dfac7382e2p-3, 0x1.c4c4029c13708p-3, 0x1.ce8dcfedb4298p-3, 0x1.d7dd6a3aba53ep-3, 0x1.e0b4e359a963bp-3, 0x1.e9165630fb3ep-3, 0x1.f103e5817d59dp-3, 0x1.f87fbac23e70dp-3, 0x1.ff8c050d621b6p-3, 0x1.03157c0e91b14p-2, 0x1.062f65ac31c64p-2, 0x1.0914dc7708dabp-2, 0x1.0bc6fe7f60b6ap-2, 0x1.0e46ea69ea56cp-2, 0x1.1095bf11c34ap-2, 0x1.12b49b30a2e16p-2, 0x1.14a49d0ce077dp-2, 0x1.1666e22d06bc9p-2, 0x1.17fc8710ab6e3p-2, 0x1.1966a6ee48ad4p-2, 0x1.1aa65b75ce733p-2, 0x1.1bbcbc97b1afcp-2, 0x1.1caae05035c26p-2, 0x1.1d71da76b6b2p-2, 0x1.1e12bc90b934fp-2, 0x1.1e8e95a889feap-2, 0x1.1ee672273aa1dp-2, 0x1.1f1b5bb1c1f82p-2, 0x1.1f2e59091ce0bp-2, 0x1.1f206ded35477p-2, 0x1.1ef29b026cb67p-2, 0x1.1ea5ddb99ee7ap-2, 0x1.1e3b303a73df8p-2, 0x1.1db3894fe41a1p-2, 0x1.1d0fdc56bf4a1p-2, 0x1.1c51192e2412cp-2, 0x1.1b782c29be139p-2, 0x1.1a85fe05b3d67p-2, 0x1.197b73dc26ba1p-2, 0x1.18596f1c2c35fp-2, 0x1.1720cd8226f6cp-2, 0x1.15d269116b971p-2, 0x1.146f180f1a878p-2, 0x1.12f7acfe17d5bp-2, 0x1.116cf69c1482ep-2, 0x1.0fcfbfdf94bd1p-2, 0x1.0e20cff6e0f3ep-2, 0x1.0c60ea47d658bp-2, 0x1.0a90ce708370bp-2, 0x1.08b13848893ecp-2, 0x1.06c2dfe331a01p-2, 0x1.04c679922daa9p-2, 0x1.02bcb5e8f3b11p-2, 0x1.00a641c0b1ef6p-2, 0x1.fd078c799a22ep-3, 0x1.f8abd19fbf2f7p-3, 0x1.f43a96826e08ap-3, 0x1.efb5176578af7p-3, 0x1.eb1c894ea234cp-3, 0x1.e6721a131264bp-3, 0x1.e1b6f0658bd71p-3, 0x1.dcec2be55570ap-3, 0x1.d812e52dc3fadp-3, 0x1.d32c2de6620ffp-3, 0x1.ce3910d3a8494p-3, 0x1.c93a91e83ce23p-3, 0x1.c431ae56b66bep-3, 0x1.bf1f5ca3cd54fp-3, 0x1.ba048cb909783p-3, 0x1.b4e227f7ca441p-3, 0x1.afb9114cbcd6ap-3, 0x1.aa8a2543a0616p-3, 0x1.a5563a1b6a6efp-3, 0x1.a01e1fdab0a4dp-3, 0x1.9ae2a0645f0c9p-3, 0x1.95a47f8cb0552p-3, 0x1.90647b2e672bap-3, 0x1.8b234b4038d65p-3, 0x1.85e1a1ea70fbdp-3, 0x1.80a02b9cc78e1p-3, 0x1.7b5f8f245740ep-3, 0x1.76206dc1c29e9p-3, 0x1.70e3633f79a9p-3, 0x1.6ba906081739dp-3, 0x1.6671e73cdeeebp-3, 0x1.613e92cc4f50ap-3, 0x1.5c0f8f88c04bcp-3, 0x1.56e55f3f1967p-3, 0x1.51c07ecd86397p-3, 0x1.4ca1663a3e399p-3, 0x1.478888ca4907bp-3, 0x1.4276551841d7cp-3, 0x1.3d6b352b1bbb5p-3, 0x1.38678e8cde01dp-3, 0x1.336bc261560a7p-3, 0x1.2e782d7cbe878p-3, 0x1.298d287a53682p-3, 0x1.24ab07d2da52cp-3, 0x1.1fd21bf30e187p-3, 0x1.1b02b151f50bbp-3, 0x1.163d1087215a5p-3, 0x1.11817e60cb944p-3, 0x1.0cd03bf9d491p-3, 0x1.082986cfa1831p-3, 0x1.038d98d7d4dbbp-3, 0x1.fdf9512bbd703p-4, 0x1.f4edd260cef9bp-4, 0x1.ebf9150d15e1p-4, 0x1.e31b7289ceb81p-4, 0x1.da553df5015f7p-4, 0x1.d1a6c45addc3p-4, 0x1.c9104cdeb0cb9p-4, 0x1.c09218e37c12dp-4, 0x1.b82c64340b697p-4, 0x1.afdf652ab0a3dp-4, 0x1.a7ab4cd880be1p-4, 0x1.9f90472c195e6p-4, 0x1.978e7b17f1b57p-4, 0x1.8fa60ab830934p-4, 0x1.87d71378004d4p-4, 0x1.8021ae366833ep-4, 0x1.7885ef6a9e37bp-4, 0x1.7103e747d7f59p-4, 0x1.699ba1e095015p-4, 0x1.624d27495ff85p-4, 0x1.5b187bbb0878p-4, 0x1.53fd9fb450b22p-4, 0x1.4cfc901b10068p-4, 0x1.4615465cc74a7p-4, 0x1.3f47b88eaa431p-4, 0x1.3893d98d13f0bp-4, 0x1.31f9991a7256ap-4, 0x1.2b78e3fd9ed6cp-4, 0x1.2511a41fa212ap-4, 0x1.1ec3c0a8ef1bbp-4, 0x1.188f1e1e050ecp-4, 0x1.12739e7b84a7ap-4, 0x1.0c712151b20d7p-4, 0x1.068783df64f6p-4, 0x1.00b6a12c68e15p-4, 0x1.f5fca44699732p-5, 0x1.eabcdb5540deep-5, 0x1.dfad917b482dbp-5, 0x1.d4ce6d08cb68bp-5, 0x1.ca1f10d6a879fp-5, 0x1.bf9f1c7480704p-5, 0x1.b54e2c55a5449p-5, 0x1.ab2bd9fceb554p-5, 0x1.a137bc2769d98p-5, 0x1.977166f61eb09p-5, 0x1.8dd86c168b5dp-5, 0x1.846c5aea3afdp-5, 0x1.7b2cc0ad3cdc2p-5, 0x1.7219289b9722ap-5, 0x1.69311c15b1fd4p-5, 0x1.607422c3bcff5p-5, 0x1.57e1c2b813524p-5, 0x1.4f798090a5079p-5, 0x1.473adf975f92ap-5, 0x1.3f2561e1a37c6p-5, 0x1.3738886ec264bp-5, 0x1.2f73d34591a18p-5, 0x1.27d6c1910476dp-5, 0x1.2060d1bbe9b3fp-5, 0x1.1911818bb9019p-5, 0x1.11e84e3a800f7p-5, 0x1.0ae4b48ff2739p-5, 0x1.040630f99e55fp-5, 0x1.fa987f448b1efp-6, 0x1.ed6cb910cf199p-6, 0x1.e0880727f1934p-6, 0x1.d3e961569bc17p-6, 0x1.c78fbf8e81bdcp-6, 0x1.bb7a1a0d19423p-6, 0x1.afa76980de41p-6, 0x1.a416a72d13c1bp-6, 0x1.98c6cd0c14026p-6, 0x1.8db6d5f0384f4p-6, 0x1.82e5bda35ee62p-6, 0x1.7852810518bedp-6, 0x1.6dfc1e277e85dp-6, 0x1.63e1946abfc79p-6, 0x1.5a01e4976a314p-6, 0x1.505c10f77a7dap-6, 0x1.46ef1d6e34f1fp-6, 0x1.3dba0f8ed216p-6, 0x1.34bbeeb20763ep-6, 0x1.2bf3c40a6ca49p-6, 0x1.23609ab7d5312p-6, 0x1.1b017fd98cea3p-6, 0x1.12d5829f97dbcp-6, 0x1.0adbb45aeb666p-6, 0x1.0313288cace65p-6, 0x1.f6f5e9e8fc906p-7, 0x1.e824633bc79d9p-7, 0x1.d9aff1d96b562p-7, 0x1.cb96cf5190a54p-7, 0x1.bdd73a1146f21p-7, 0x1.b06f7576fbb57p-7, 0x1.a35dc9e4ceaa5p-7, 0x1.96a084d13fc7p-7, 0x1.8a35f8d68468cp-7, 0x1.7e1c7dc05adfcp-7, 0x1.725270987cbb3p-7, 0x1.66d633b1bb171p-7, 0x1.5ba62eb1b9aa4p-7, 0x1.50c0ce9983afap-7, 0x1.462485ccd5cc2p-7, 0x1.3bcfcc183d735p-7, 0x1.31c11eb62f01fp-7, 0x1.27f70052de574p-7, 0x1.1e6ff90f2514fp-7, 0x1.152a96826001p-7, 0x1.0c256bbb51bfbp-7, 0x1.035f114024a87p-7, 0x1.f5ac4a1ae1142p-8, 0x1.e5129528ef363p-8, 0x1.d4ee55710aa7p-8, 0x1.c53ce79712be8p-8, 0x1.b5fbb313db0fdp-8, 0x1.a7282a2b89f92p-8, 0x1.98bfc9e25c3efp-8, 0x1.8ac019f036b13p-8, 0x1.7d26acb2fa96bp-8, 0x1.6ff11f1f9b787p-8, 0x1.631d18b233ef4p-8, 0x1.56a84b5cd7084p-8, 0x1.4a9073757a00ep-8, 0x1.3ed357a2dc2f4p-8, 0x1.336ec8c87fa8bp-8, 0x1.2860a1f1d7875p-8, 0x1.1da6c83c9d73p-8, 0x1.133f2ac25d598p-8, 0x1.0927c28140568p-8, 0x1.febd248871273p-9, 0x1.ebc34d1521e01p-9, 0x1.d95e2add94687p-9, 0x1.c789fd1a33f35p-9, 0x1.b64315d28c131p-9, 0x1.a585d9a7ee6eep-9, 0x1.954ebf9fa1afap-9, 0x1.859a50ebe9707p-9, 0x1.766528b489e48p-9, 0x1.67abf3de9366ep-9, 0x1.596b70d3bbc2ep-9, 0x1.4ba06f48dec07p-9, 0x1.3e47d00443041p-9, 0x1.315e84a37879bp-9, 0x1.24e18f60c9898p-9, 0x1.18ce02d8694ebp-9, 0x1.0d2101cd995cfp-9, 0x1.01d7beef044bdp-9, 0x1.eddef93761a3bp-10, 0x1.d8cb194ea21b4p-10, 0x1.c46ea03d9c174p-10, 0x1.b0c46e195fa91p-10, 0x1.9dc7807b54267p-10, 0x1.8b72f20a55f6p-10, 0x1.79c1fa03cfdb1p-10, 0x1.68afebc57e447p-10, 0x1.583836574da03p-10, 0x1.485663f5e2b2bp-10, 0x1.3906199d52373p-10, 0x1.2a431694c610fp-10, 0x1.1c0933fa5f48fp-10, 0x1.0e54644fb12a8p-10, 0x1.0120b307774acp-10, 0x1.e8d48826cc094p-11, 0x1.d05aa6e6a8518p-11, 0x1.b8cc6989e71bdp-11, 0x1.a222a5a8cfc37p-11, 0x1.8c565e5bab792p-11, 0x1.7760c36012c34p-11, 0x1.633b303fa875cp-11, 0x1.4fdf2b792cc4ep-11, 0x1.3d4665abb87bfp-11, 0x1.2b6ab8c465b38p-11, 0x1.1a46272d7da38p-11, 0x1.09d2db0058dd2p-11, 0x1.f4164a72e8149p-12, 0x1.d5d2f9dd34b63p-12, 0x1.b8d0fd10fcc0cp-12, 0x1.9d05d5f9ee1cbp-12, 0x1.82674e1a65767p-12, 0x1.68eb750bbc08fp-12, 0x1.50889f032f8c2p-12, 0x1.3935635c29164p-12, 0x1.22e89b275efbdp-12, 0x1.0d995fbf45deep-12, 0x1.f27e12c39459dp-13, 0x1.cba25b9e0bdd5p-13, 0x1.a68f3dd909265p-13, 0x1.8334d2ddcbde2p-13, 0x1.6183a70f4ac37p-13, 0x1.416cb73110de5p-13, 0x1.22e16dd7e7356p-13, 0x1.05d3a0e5b267ap-13, 0x1.d46b1e1e7c35cp-14, 0x1.9ff3bad7b6459p-14, 0x1.6e272a2109ba6p-14, 0x1.3eec41682413p-14, 0x1.122a94bc80552p-14, 0x1.cf94e4816273cp-15, 0x1.7f69bb66b431fp-15, 0x1.33a7180bdfe58p-15, 0x1.d8437c39b7f8bp-16, 0x1.515f8526c1acep-16, 0x1.a4a20d8b201d7p-17, 0x1.6b24fa5e21a92p-18, -0x1.584245122544bp-20, -0x1.fb844449ee91fp-18, -0x1.c32a48b6fd227p-17, -0x1.3de5b7a0c4b45p-16, -0x1.9415efee160a7p-16, -0x1.e466cc7654f24p-16, -0x1.178b9a69e5ccep-15, -0x1.3a320385b3094p-15, -0x1.5a44129834307p-15, -0x1.77de41732ad9bp-15, -0x1.931c193dae2d5p-15, -0x1.ac1838e0bc5bp-15, -0x1.c2ec5b59904c2p-15, -0x1.d7b15de593666p-15, -0x1.ea7f46062db1fp-15, -0x1.fb6d47716578ep-15, -0x1.0548e4eb68ae8p-14, -0x1.0c013740937e6p-14, -0x1.11ea0af4ff34dp-14, -0x1.170d728e01f53p-14, -0x1.1b75257edd793p-14, -0x1.1f2a82be005e1p-14, -0x1.2236934ded04dp-14, -0x1.24a20cb25c058p-14, -0x1.2675535c22f74p-14, -0x1.27b87d057e2f4p-14, -0x1.287352fa9c335p-14, -0x1.28ad545dea8afp-14, -0x1.286db8581cccbp-14, -0x1.27bb703cefbdbp-14, -0x1.269d29a2887c3p-14, -0x1.2519506b2a2afp-14, -0x1.233610c3dd8cdp-14, -0x1.20f95914bbe31p-14, -0x1.1e68dbe8af077p-14, -0x1.1b8a11c416f19p-14, -0x1.18623af1b8593p-14, -0x1.14f66145be69ep-14, -0x1.114b59d4ce4e3p-14, -0x1.0d65c69daae05p-14, -0x1.094a182ab2a6bp-14, -0x1.04fc8f278d31fp-14, -0x1.00813de9814fbp-14, -0x1.f7b813e887a24p-15, -0x1.ee215add9455fp-15, -0x1.e4457121f30c5p-15, -0x1.da2b260a37fbbp-15, -0x1.cfd8fa854e701p-15, -0x1.c55523bf010d3p-15, -0x1.baa58daa67c6ap-15, -0x1.afcfdd83883d6p-15, -0x1.a4d9743a0680dp-15, -0x1.99c770c3be66cp-15, -0x1.8e9eb270fe1a1p-15, -0x1.8363db2048758p-15, -0x1.781b5169244b7p-15, -0x1.6cc942b584b8fp-15, -0x1.6171a54c56444p-15, -0x1.56183a4c912dfp-15, -0x1.4ac08f99fae7ap-15, -0x1.3f6e01be668ccp-15, -0x1.3423bdb9e8d3fp-15, -0x1.28e4c2c33f68dp-15, -0x1.1db3e3ff67111p-15, -0x1.1293ca2bac2cbp-15, -0x1.0786f53a4be65p-15, -0x1.f91f7bc146ca3p-16, -0x1.e360ae3a89a25p-16, -0x1.cdd59f60bbf75p-16, -0x1.b8822706289a3p-16, -0x1.a369da20cc582p-16, -0x1.8e900d711c256p-16, -0x1.79f7d81c956c5p-16, -0x1.65a4162cdc06ap-16, -0x1.51976b008af73p-16, -0x1.3dd443a780dd3p-16, -0x1.2a5cd929a3465p-16, -0x1.173332bec786bp-16, -0x1.045927f0f87f4p-16, -0x1.e3a0c5607adabp-17, -0x1.bf34c28e5a48p-17, -0x1.9b70f0b1bbd0fp-17, -0x1.7857a9722e358p-17, -0x1.55eafa78c0ce1p-17, -0x1.342ca8ec09b2cp-17, -0x1.131e34d5c993fp-17, -0x1.e581b8c0316f5p-18, -0x1.a62b3dfe56e6p-18, -0x1.683a80f3c573cp-18, -0x1.2bb097c5675efp-18, -0x1.e11c599d11759p-19, -0x1.6da7081371a37p-19, -0x1.fa02019b5390fp-20, -0x1.1e52a38e62a46p-20, -0x1.20f2d6be8a57ap-22, 0x1.1088a342709fp-21, 0x1.53363322e7f8p-20, 0x1.0c4fea8efcdb7p-19, 0x1.6c44995939f7bp-19, 0x1.c97da5ba6ce5p-19, 0x1.120004ec2ef66p-18, 0x1.3de899524875bp-18, 0x1.687b7c635196dp-18, 0x1.91bbccc9e0ff8p-18, 0x1.b9acd830fdd16p-18, 0x1.e0521808deae9p-18, 0x1.02d7973f3d4ccp-17, 0x1.14e3f1b896e95p-17, 0x1.265010d5f05b1p-17, 0x1.371dfa0eee3b2p-17, 0x1.474fc1ac06cdap-17, 0x1.56e7897a59ddep-17, 0x1.65e77f9a37f36p-17, 0x1.7451dd5b3c006p-17, 0x1.8228e62313375p-17, 0x1.8f6ee65f69c7fp-17, 0x1.9c26328687937p-17, 0x1.a851262149834p-17, 0x1.b3f222e0b234fp-17, 0x1.bf0b8fbc20422p-17, 0x1.c99fd8193631bp-17, 0x1.d3b16b03985fbp-17, 0x1.dd42ba6c4190ep-17, 0x1.e6563a707b2adp-17, 0x1.eeee60a5749c1p-17, 0x1.f70da3760c915p-17, 0x1.feb67980e0c8dp-17, 0x1.02f5ac81a4ab7p-16, 0x1.06575ba425f6fp-16, 0x1.098184126b69cp-16, 0x1.0c755ebc0b37ap-16, 0x1.0f342356cb4ap-16, 0x1.11bf082744f5fp-16, 0x1.141741c8d9997p-16, 0x1.163e02fd07d8ep-16, 0x1.18347c7b272fcp-16, 0x1.19fbdcc36ddb1p-16, 0x1.1b954ff47e90cp-16, 0x1.1d01ffa3da3e5p-16, 0x1.1e4312b8fa016p-16, 0x1.1f59ad4a20ad3p-16, 0x1.2046f07dd706dp-16, 0x1.210bfa6ba855ap-16, 0x1.21a9e602e66c7p-16, 0x1.2221caee2e27ap-16, 0x1.2274bd7db7637p-16, 0x1.22a3ce9081d56p-16, 0x1.22b00b81580b4p-16, 0x1.229a7e152514fp-16, 0x1.22642c6a7480cp-16, 0x1.220e18eb4cbdfp-16, 0x1.2199423ef9a4dp-16, 0x1.2106a3400db32p-16, 0x1.205732f031f41p-16, 0x1.1f8be470dbb56p-16, 0x1.1ea5a6faf34d1p-16, 0x1.1da565d9f29eep-16, 0x1.1c8c0865d897bp-16, 0x1.1b5a71feb5f29p-16, 0x1.1a11820ac1118p-16, 0x1.18b213f3b387bp-16, 0x1.173cff25fe2d8p-16, 0x1.15b317117d455p-16, 0x1.14152b2951921p-16, 0x1.126406e724ee3p-16, 0x1.10a071cc39f3ap-16, 0x1.0ecb2f6529a14p-16, 0x1.0ce4ff4d9cad3p-16, 0x1.0aee9d34fcb82p-16, 0x1.08e8c0e3e97f7p-16, 0x1.06d41e422a004p-16, 0x1.04b1655ccd28fp-16, 0x1.0281426cdb60ap-16, 0x1.00445ddf917e4p-16, 0x1.fbf6b8b9f0bd9p-17, 0x1.f74dbda1af37bp-17, 0x1.f28f04e82b90ap-17, 0x1.edbbc1a864942p-17, 0x1.e8d51fbcf6cf5p-17, 0x1.e3dc43d0cab2fp-17, 0x1.ded24b74df462p-17, 0x1.d9b84d33d2f2ap-17, 0x1.d48f58a7087cp-17, 0x1.cf58768ca1418p-17, 0x1.ca14a8ddb4074p-17, 0x1.c4c4eae3cb476p-17, 0x1.bf6a3151f816p-17, 0x1.ba056a588a7c8p-17, 0x1.b4977dbe56cd9p-17, 0x1.af214cf86774ap-17, 0x1.a9a3b33fdeb7ap-17, 0x1.a41f85ac930a1p-17, 0x1.9e95934b9f2ffp-17, 0x1.9906a53780234p-17, }}, 
      {{-0x1.50f12bd53354bp-1, -0x1.5103f303db81bp-1, -0x1.51229231d985fp-1, -0x1.514c108ba572bp-1, -0x1.517f238648feep-1, -0x1.51ba3c5c960cbp-1, -0x1.51fb95f21def3p-1, -0x1.524142563793bp-1, -0x1.5289376aa976dp-1, -0x1.52d15a65e9fd7p-1, -0x1.53178a0d7c023p-1, -0x1.5359a79dc21e2p-1, -0x1.53959e65153d8p-1, -0x1.53c96a225679ep-1, -0x1.53f31c3d7272ap-1, -0x1.5410dff3a4e47p-1, -0x1.5420fd92a4b46p-1, -0x1.5421dcdde9a99p-1, -0x1.541206b85c52ep-1, -0x1.53f0262b5de09p-1, -0x1.53bb08e24cc71p-1, -0x1.53719f2fc5e35p-1, -0x1.5312fbafdae24p-1, -0x1.529e529881bcdp-1, -0x1.5212f8c78f043p-1, -0x1.5170629bbcf6fp-1, -0x1.50b622a48f057p-1, -0x1.4fe3e83349f48p-1, -0x1.4ef97dd5d2924p-1, -0x1.4df6c7c2f4b7dp-1, -0x1.4cdbc23e720c5p-1, -0x1.4ba87ffa2b0c8p-1, -0x1.4a5d2878da0dep-1, -0x1.48f9f675fee87p-1, -0x1.477f3655f9317p-1, -0x1.45ed44a0aae87p-1, -0x1.44448c888481ap-1, -0x1.4285867f6607bp-1, -0x1.40b0b6da651f7p-1, -0x1.3ec6ac8533f32p-1, -0x1.3cc7ffc5a9a9dp-1, -0x1.3ab5510fa9c4p-1, -0x1.388f47e98257p-1, -0x1.365691e0af1e1p-1, -0x1.340be18ecc9acp-1, -0x1.31afedae743d3p-1, -0x1.2f43703f9f103p-1, -0x1.2cc725bb1f6b4p-1, -0x1.2a3bcc54b8486p-1, -0x1.27a2234b477a9p-1, -0x1.24faea467cda3p-1, -0x1.2246e0c186e3ap-1, -0x1.1f86c5822610dp-1, -0x1.1cbb561b8fa25p-1, -0x1.19e54e7c8a888p-1, -0x1.17056888334e9p-1, -0x1.141c5bb8d45b4p-1, -0x1.112adccc43cf7p-1, -0x1.0e319d7938f46p-1, -0x1.0b314c2d1234p-1, -0x1.082a93d1881b6p-1, -0x1.051e1b99c77b5p-1, -0x1.020c86d67e8bap-1, -0x1.fdece9a0bfe17p-2, -0x1.f7b90151576c4p-2, -0x1.f17e827e9e608p-2, -0x1.eb3e923c6b79fp-2, -0x1.e4fa4cd2c59f7p-2, -0x1.deb2c5a6f16acp-2, -0x1.d869072ca1296p-2, -0x1.d21e12de9a0f3p-2, -0x1.cbd2e13e3196bp-2, -0x1.c58861d902fap-2, -0x1.bf3f7b544f957p-2, -0x1.b8f90b7d801bfp-2, -0x1.b2b5e75f4710ap-2, -0x1.ac76db5aeb953p-2, -0x1.a63cab454b12dp-2, -0x1.a008128728a28p-2, -0x1.99d9c440657c4p-2, -0x1.93b26b6dca77ep-2, -0x1.8d92ab1107957p-2, -0x1.877b1e5a9c954p-2, -0x1.816c58d564b24p-2, -0x1.7b66e69375032p-2, -0x1.756b4c5c1ee2cp-2, -0x1.6f7a07dace3f7p-2, -0x1.69938fce95a3fp-2, -0x1.63b8543a34f44p-2, -0x1.5de8be946d228p-2, -0x1.582531f87b77fp-2, -0x1.526e0b5692abfp-2, -0x1.4cc3a1a4305acp-2, -0x1.4726460c37fd9p-2, -0x1.4196441eabcf9p-2, -0x1.3c13e1fff43a5p-2, -0x1.369f60979fccbp-2, -0x1.3138fbbe7dd3cp-2, -0x1.2be0ea6c14e7bp-2, -0x1.26975ee351cd1p-2, -0x1.215c86de729fp-2, -0x1.1c308bba18b69p-2, -0x1.1713929f7ce86p-2, -0x1.1205bcadbd4d1p-2, -0x1.0d0727223a06bp-2, -0x1.0817eb8004f7bp-2, -0x1.03381fb656599p-2, -0x1.fccfac8c144f2p-3, -0x1.f34e3ccc422d3p-3, -0x1.e9ec084e8e9bcp-3, -0x1.e0a9212cbab5bp-3, -0x1.d78593bc0ce9dp-3, -0x1.ce8166ce749cap-3, -0x1.c59c9bf1c83f9p-3, -0x1.bcd72fad08bfap-3, -0x1.b43119bbcad8bp-3, -0x1.abaa4d47bbbe5p-3, -0x1.a342b9204d6afp-3, -0x1.9afa47f094428p-3, -0x1.92d0e0735df3p-3, -0x1.8ac665a5889c4p-3, -0x1.82dab6f6a148ep-3, -0x1.7b0db077ddf2bp-3, -0x1.735f2b09707p-3, -0x1.6bcefc863f7b1p-3, -0x1.645cf7ee1bd09p-3, -0x1.5d08ed8e6434cp-3, -0x1.55d2ab293e30dp-3, -0x1.4eb9fc1b55762p-3, -0x1.47bea9803d2cp-3, -0x1.40e07a5575cb3p-3, -0x1.3a1f339c1f71cp-3, -0x1.337a98796dcc7p-3, -0x1.2cf26a55da0f4p-3, -0x1.268668fb23b57p-3, -0x1.203652b128d3p-3, -0x1.1a01e459a40c7p-3, -0x1.13e8d98acf518p-3, -0x1.0deaeca8f96f6p-3, -0x1.0807d6ff1e4f4p-3, -0x1.023f50d67bb85p-3, -0x1.f922231a78306p-4, -0x1.edf99f585d0aep-4, -0x1.e30481f745b6fp-4, -0x1.d842352eccd4ap-4, -0x1.cdb22203e5a51p-4, -0x1.c353b06d9006fp-4, -0x1.b92647781cc5dp-4, -0x1.af294d66df0d3p-4, -0x1.a55c27d47a7e6p-4, -0x1.9bbe3bd1cfacap-4, -0x1.924eee0393a92p-4, -0x1.890da2be975f2p-4, -0x1.7ff9be22de11p-4, -0x1.7712a4357894cp-4, -0x1.6e57b8f93d696p-4, -0x1.65c8608662eddp-4, -0x1.5d63ff2108bbfp-4, -0x1.5529f94eb705dp-4, -0x1.4d19b3eadf36dp-4, -0x1.4532943a66d1p-4, -0x1.3d73fffe45ad7p-4, -0x1.35dd5d853d6d6p-4, -0x1.2e6e13bcb6c68p-4, -0x1.27258a40c85c7p-4, -0x1.2003296b712e7p-4, -0x1.19065a630be06p-4, -0x1.122e872805c71p-4, -0x1.0b7b1aa1db7a9p-4, -0x1.04eb80ab654f7p-4, -0x1.fcfe4c3cee774p-5, -0x1.f06af1bdbc022p-5, -0x1.e41bcfc974a43p-5, -0x1.d80fc68c88fc1p-5, -0x1.cc45b881f854cp-5, -0x1.c0bc8a848dd25p-5, -0x1.b57323df101c2p-5, -0x1.aa686e5b62cf1p-5, -0x1.9f9b5650aa428p-5, -0x1.950acab0784e3p-5, -0x1.8ab5bd1309cf8p-5, -0x1.809b21c29fd6p-5, -0x1.76b9efc5fb265p-5, -0x1.6d1120ea011d7p-5, -0x1.639fb1ca95363p-5, -0x1.5a64a1daabc44p-5, -0x1.515ef36b9c399p-5, -0x1.488dabb3be92ep-5, -0x1.3fefd2d4549f3p-5, -0x1.378473dec9b13p-5, -0x1.2f4a9cd950d08p-5, -0x1.27415ec2e0b8fp-5, -0x1.1f67cd9699f62p-5, -0x1.17bd004e9a47dp-5, -0x1.104010e643fd3p-5, -0x1.08f01c5bfccc1p-5, -0x1.01cc42b26c969p-5, -0x1.f5a74de278ef4p-6, -0x1.e80ade4ac2b5ap-6, -0x1.dac188c1e002p-6, -0x1.cdc9a575089a5p-6, -0x1.c12192987e076p-6, -0x1.b4c7b464ba4cbp-6, -0x1.a8ba7512de864p-6, -0x1.9cf844d8621dcp-6, -0x1.917f99e2164e2p-6, -0x1.864ef04e7a6dep-6, -0x1.7b64ca276f158p-6, -0x1.70bfaf5b4dc17p-6, -0x1.665e2db56d622p-6, -0x1.5c3ed8d618c74p-6, -0x1.52604a29fbd24p-6, -0x1.48c120e116389p-6, -0x1.3f6001e52ee72p-6, -0x1.363b97cfd8ebbp-6, -0x1.2d5292e0065ecp-6, -0x1.24a3a8ef36accp-6, -0x1.1c2d9566430f4p-6, -0x1.13ef1931cc06fp-6, -0x1.0be6fab653183p-6, -0x1.041405c3ff626p-6, -0x1.f8ea17142b06cp-7, -0x1.ea11c51459434p-7, -0x1.db9ccd162d843p-7, -0x1.cd88f1172476fp-7, -0x1.bfd3fd697eb17p-7, -0x1.b27bc898b728p-7, -0x1.a57e334da260cp-7, -0x1.98d9283222b1cp-7, -0x1.8c8a9bd49a59p-7, -0x1.80908c8b021a3p-7, -0x1.74e90255c357cp-7, -0x1.69920ec2516efp-7, -0x1.5e89cccd895fep-7, -0x1.53ce60c5e8a54p-7, -0x1.495df82d8d28fp-7, -0x1.3f36c99c1e6c1p-7, -0x1.355714a08eda6p-7, -0x1.2bbd21a2cb3e9p-7, -0x1.226741c552015p-7, -0x1.1953cec6c0d69p-7, -0x1.10812ae3552fdp-7, -0x1.07edc0b6709f5p-7, -0x1.ff30063830e59p-8, -0x1.eefcda24f1139p-8, -0x1.df3f0336f572ap-8, -0x1.cff3973cc4cf2p-8, -0x1.c117bb92f8d87p-8, -0x1.b2a8a4e7d59c7p-8, -0x1.a4a396ff0aacp-8, -0x1.9705e475b07b6p-8, -0x1.89ccee868096dp-8, -0x1.7cf624ce6ef33p-8, -0x1.707f0511708fap-8, -0x1.64651affae757p-8, -0x1.58a5fffb02772p-8, -0x1.4d3f5adce4cebp-8, -0x1.422edfbca76b6p-8, -0x1.37724fb63109fp-8, -0x1.2d0778b1101eep-8, -0x1.22ec352815fc2p-8, -0x1.191e6bf154c3cp-8, -0x1.0f9c10069932fp-8, -0x1.0663204e70e2ep-8, -0x1.fae34ecb48708p-9, -0x1.e98b76d25d6aap-9, -0x1.d8bafb819aa4bp-9, -0x1.c86e35d422d2cp-9, -0x1.b8a19487e4071p-9, -0x1.a9519bb5fcdf9p-9, -0x1.9a7ae46c2d193p-9, -0x1.8c1a1c477a12fp-9, -0x1.7e2c050fe187bp-9, -0x1.70ad7455559bep-9, -0x1.639b530ddad5ep-9, -0x1.56f29d34cf54p-9, -0x1.4ab0616b78847p-9, -0x1.3ed1c09ac04c2p-9, -0x1.3353ed961eca8p-9, -0x1.28342cbfc8efdp-9, -0x1.1d6fd3ae15437p-9, -0x1.130448d22d5d6p-9, -0x1.08ef031fe38c7p-9, -0x1.fe5b136d8537fp-10, -0x1.eb7ae718fe44ep-10, -0x1.d938ce3106d31p-10, -0x1.c79034019495bp-10, -0x1.b67ca18fe198dp-10, -0x1.a5f9bcf905fa8p-10, -0x1.960348d312481p-10, -0x1.86952390adde2p-10, -0x1.77ab46e71545ep-10, -0x1.6941c7367f4f9p-10, -0x1.5b54d2f51ef63p-10, -0x1.4de0b21c5a76ap-10, -0x1.40e1c598986e4p-10, -0x1.345486bb837abp-10, -0x1.283586b059649p-10, -0x1.1c816df2ed97bp-10, -0x1.1134fbc8d10bep-10, -0x1.064d05bd14b5ep-10, -0x1.f78cee3c43117p-11, -0x1.e33ca0fbb24aep-11, -0x1.cfa34e683648dp-11, -0x1.bcbb49c716573p-11, -0x1.aa7f0e010cba7p-11, -0x1.98e93cb4ebab9p-11, -0x1.87f49d4e32756p-11, -0x1.779c1c2049fefp-11, -0x1.67dac985e783p-11, -0x1.58abd904dbb5p-11, -0x1.4a0aa0762a4d5p-11, -0x1.3bf29732129d1p-11, -0x1.2e5f554033b9cp-11, -0x1.214c928be65e5p-11, -0x1.14b6261c7b389p-11, -0x1.089805519ae1dp-11, -0x1.f9dc86478846p-12, -0x1.e36a1ecff07dbp-12, -0x1.cdd16c2f86745p-12, -0x1.b90b3d39d9c7bp-12, -0x1.a51096415bd08p-12, -0x1.91daafbe49061p-12, -0x1.7f62f4fb8499ap-12, -0x1.6da302cae2d6dp-12, -0x1.5c94a640cc385p-12, -0x1.4c31db765faa4p-12, -0x1.3c74cc52b0b49p-12, -0x1.2d57cf5b1c982p-12, -0x1.1ed5668988a1dp-12, -0x1.10e83e28fa4abp-12, -0x1.038b2bb945d73p-12, -0x1.ed7259b13d0a4p-13, -0x1.d4dacc665e034p-13, -0x1.bd4644f399c0ep-13, -0x1.a6aba2bac9aedp-13, -0x1.91020d20eebbcp-13, -0x1.7c40f19e4faeep-13, -0x1.686001d820719p-13, -0x1.555731c6987d4p-13, -0x1.431eb5e5e6b6p-13, -0x1.31af0171d68ecp-13, -0x1.2100c4aadccd3p-13, -0x1.110ceb26c8c97p-13, -0x1.01cc9a2b6d6aap-13, -0x1.e6725e261ee0fp-14, -0x1.ca987b75ef392p-14, -0x1.afff1df89d204p-14, -0x1.969a3e57fefbdp-14, -0x1.7e5e394cf5f02p-14, -0x1.673fccc665a5p-14, -0x1.5134152275719p-14, -0x1.3c308a7a00457p-14, -0x1.282afdfd42ffdp-14, -0x1.15199760bf7dap-14, -0x1.02f2d2593c6d5p-14, -0x1.e35af8543d802p-15, -0x1.c28162841ee7ap-15, -0x1.a347b5d08f7f9p-15, -0x1.859d59f06bb36p-15, -0x1.6972475a48037p-15, -0x1.4eb702f4331cep-15, -0x1.355c99e251197p-15, -0x1.1d549d72cb817p-15, -0x1.06911f2238314p-15, -0x1.e2095978f3e55p-16, -0x1.b9449931334cdp-16, -0x1.92baf3d74c313p-16, -0x1.6e544269b255p-16, -0x1.4bf93986eb36ep-16, -0x1.2b9362a5829bbp-16, -0x1.0d0d157cd45ep-16, -0x1.e0a2e3377ac99p-17, -0x1.aa98b0597c99bp-17, -0x1.77d4cbc4b568bp-17, -0x1.4831da1cf03bp-17, -0x1.1b8bdfc99097ap-17, -0x1.e3806b8cae7f2p-18, -0x1.955afd9a2d937p-18, -0x1.4c673981501eep-18, -0x1.08674cdadc77dp-18, -0x1.923f763f9866fp-19, -0x1.1cae947f4234bp-19, -0x1.5f5bbf2aa6439p-20, -0x1.2b4df4d681c4ap-21, 0x1.24655df927a7bp-23, 0x1.a005a1c49b182p-21, 0x1.6d776ca0d51ebp-20, 0x1.fd9f12066530ap-20, 0x1.409397582037bp-19, 0x1.7c5b2433bbbd2p-19, 0x1.b2761c5e2bff2p-19, 0x1.e3313384febeap-19, 0x1.076b0020abacbp-18, 0x1.1ad58bb597f56p-18, 0x1.2bfa134883941p-18, 0x1.3af906ca49017p-18, 0x1.47f17bd09d832p-18, 0x1.530139a4982d5p-18, 0x1.5c44c502bef27p-18, 0x1.63d76b6cf509ap-18, 0x1.69d34e323787p-18, 0x1.6e516d18aa4dep-18, 0x1.7169b0b85c67ap-18, 0x1.7332f47a7bbaap-18, 0x1.73c3105d59ed1p-18, 0x1.732ee2537397ap-18, 0x1.718a576c32c3ap-18, 0x1.6ee8749e6667ep-18, 0x1.6b5b5f5fde87ep-18, 0x1.66f465e76aff1p-18, 0x1.61c40739e7fabp-18, 0x1.5bd9fae11e729p-18, 0x1.5545387dec4ap-18, 0x1.4e13ff0156367p-18, 0x1.4653dbc2e662cp-18, 0x1.3e11b1493bc2ep-18, 0x1.3559bde034369p-18, 0x1.2c37a1f97e9dep-18, 0x1.22b66657fdca4p-18, 0x1.18e081fe38a9bp-18, 0x1.0ebfdff8c71b3p-18, 0x1.045de4ea5da5dp-18, 0x1.f386e8dcff462p-19, 0x1.ddf1ec9ec03a9p-19, 0x1.c80cb712adb6ap-19, 0x1.b1e6464a356eep-19, 0x1.9b8cbdd2f2496p-19, 0x1.850d6fc2debe8p-19, 0x1.6e74e571a3b3ep-19, 0x1.57cee7ecd872p-19, 0x1.4126881c25473p-19, 0x1.2a862698e04d9p-19, 0x1.13f77b4c839d4p-19, 0x1.fb07397173a2p-20, 0x1.ce660e1527c71p-20, 0x1.a21b45cd2eef1p-20, 0x1.763597e41596p-20, 0x1.4ac2ae5b72836p-20, 0x1.1fcf320b70ab5p-20, 0x1.eacdace73a73cp-21, 0x1.9728c9f281ae8p-21, 0x1.44c38fac6e08bp-21, 0x1.e760522d8b3d4p-22, 0x1.47fe5825d606ep-22, 0x1.56feb32340a8cp-23, 0x1.1fea0987f8a9fp-26, -0x1.08d6853afa494p-23, -0x1.17a8577ffdb4bp-22, -0x1.a7a51b9862469p-22, -0x1.1a28314784f2dp-21, -0x1.5ecd9bab88b1fp-21, -0x1.a1bc5f67ff194p-21, -0x1.e2ef0d95cd51dp-21, -0x1.1130942c85b7dp-20, -0x1.30078aeb89ffap-20, -0x1.4dfb09c90273dp-20, -0x1.6b0a1529f3bf3p-20, -0x1.87341162037cbp-20, -0x1.a278bd0a86c85p-20, -0x1.bcd82bc38ed12p-20, -0x1.d652c1128c1dbp-20, -0x1.eee92b824053ep-20, -0x1.034e2ff99d187p-19, -0x1.0eb6ca8f6e5f2p-19, -0x1.19af1fa8b54eep-19, -0x1.2438062332732p-19, -0x1.2e526fa2a20cep-19, -0x1.37ff66af24693p-19, -0x1.41400ce88f3bdp-19, -0x1.4a159950b9c1dp-19, -0x1.528156a7268e9p-19, -0x1.5a84a1d9e025ep-19, -0x1.6220e887d0138p-19, -0x1.6957a794e5cfcp-19, -0x1.702a69d1c2fbdp-19, -0x1.769ac6ad9c224p-19, -0x1.7caa60fcc4cd8p-19, -0x1.825ae5cce0f82p-19, -0x1.87ae0b48ab054p-19, -0x1.8ca58faadfp-19, -0x1.9143383c7569bp-19, -0x1.9588d05f195f2p-19, -0x1.997828a567d4bp-19, -0x1.9d1315f8d835dp-19, -0x1.a05b70c66d516p-19, -0x1.a353144003c5ap-19, -0x1.a5fbdd9d002a3p-19, -0x1.a857ab6c9f7e3p-19, -0x1.aa685cef5918ap-19, -0x1.ac2fd179e21eep-19, -0x1.adafe7e206f5dp-19, -0x1.aeea7df4ab6fep-19, -0x1.afe16ff12afddp-19, -0x1.b0969810cc6efp-19, -0x1.b10bce126c3fcp-19, -0x1.b142e6ce165bap-19, -0x1.b13db3d3aad5p-19, -0x1.b0fe030ad189cp-19, -0x1.b0859e5b49071p-19, -0x1.afd64b5c7b64ap-19, -0x1.aef1cb0a33267p-19, -0x1.add9d97f428dap-19, -0x1.ac902db42583ap-19, -0x1.ab1679444815ap-19, -0x1.a96e68384af2ap-19, -0x1.a799a0d1d2365p-19, -0x1.a599c35efb049p-19, -0x1.a3706a143b7a9p-19, -0x1.a11f28e515232p-19, -0x1.9ea78d63fdd25p-19, -0x1.9c0b1ea435f47p-19, -0x1.994b5d20d5f21p-19, -0x1.9669c2a46cd8fp-19, -0x1.9367c2373dd04p-19, -0x1.9046c80cb45d5p-19, -0x1.8d083978a336cp-19, -0x1.89ad74e2b0283p-19, -0x1.8637d1bc31ff5p-19, -0x1.82a8a07d66501p-19, -0x1.7f012a9fb8ab1p-19, -0x1.7b42b29bbeaefp-19, -0x1.776e73eb6048p-19, -0x1.7385a30b6572bp-19, -0x1.6f896d804fed7p-19, -0x1.6b7af9db304e9p-19, -0x1.675b67c12f6e6p-19, -0x1.632bcff42bf0fp-19, -0x1.5eed445dad9a5p-19, -0x1.5aa0d01a5089fp-19, -0x1.56477786901a8p-19, -0x1.51e2384e020ffp-19, -0x1.4d72097860e04p-19, -0x1.48f7db7bcc7ep-19, -0x1.4474984ba25fcp-19, -0x1.3fe9236baeadp-19, -0x1.3b565a0348168p-19, -0x1.36bd12ef8c97ep-19, -0x1.321e1ed747132p-19, -0x1.2d7a484038056p-19, -0x1.28d253a359192p-19, -0x1.2426ff8371523p-19, -0x1.1f790482e9d72p-19, -0x1.1ac9157ad1f2ap-19, -0x1.1617df9036c57p-19, -0x1.11660a4ccd3fdp-19, -0x1.0cb437b50f8d9p-19, -0x1.080304613aa57p-19, -0x1.035307940632dp-19, -0x1.fd49a6a85213bp-20, -0x1.f3f1e9058c41p-20, -0x1.ea9fe5e8082afp-20, -0x1.e154a30f27ffap-20, -0x1.d8111c8108c6cp-20, -0x1.ced644bd49921p-20, -0x1.c5a504eb4d25cp-20, -0x1.bc7e3d0ddc36ep-20, -0x1.b362c43003fa3p-20, -0x1.aa53689825f6dp-20, -0x1.a150eff5568ebp-20, -0x1.985c179138fc8p-20, -0x1.8f75947e31ff5p-20, -0x1.869e13c84ad0dp-20, -0x1.7dd63aa1e632bp-20, -0x1.751ea693ce1acp-20, -0x1.6c77eda9ee84p-20, -0x1.63e29ea28ca92p-20, -0x1.5b5f4119ebfadp-20, -0x1.52ee55b8cce32p-20, -0x1.4a90565e73d52p-20, -0x1.4245b64f370d5p-20, -0x1.3a0ee25dcd29ep-20, -0x1.31ec4116350d1p-20, -0x1.29de32e81b774p-20, -0x1.21e512509a9c3p-20, -0x1.1a01340397b8bp-20, -0x1.1232e71337d0fp-20, -0x1.0a7a751858894p-20, -0x1.02d82259e1094p-20, -0x1.f6985be7a28c2p-21, -0x1.e7ada3f7aa3a3p-21, -0x1.d8f087508b90dp-21, -0x1.ca6166e9f215bp-21, -0x1.bc009a8c2a61ep-21, -0x1.adce711a676c1p-21, -0x1.9fcb30d6b16e3p-21, -0x1.91f717a790ac1p-21, -0x1.84525b5963cd8p-21, -0x1.76dd29e3db24bp-21, -0x1.6997a9a8f3d33p-21, -0x1.5c81f9b42c5a2p-21, -0x1.4f9c31f99a43ap-21, -0x1.42e66394e45c2p-21, -0x1.36609900fb90ap-21, -0x1.2a0ad655c3cf7p-21, -0x1.1de5198125648p-21, -0x1.11ef5a7fe825ap-21, -0x1.06298b9375a4p-21, -0x1.f52732f19d77ep-22, -0x1.de5ad737d6d6fp-22, }}, 
      {{0x1.cf25b335f0ecdp-15, 0x1.d0d567092b8adp-13, 0x1.07258d76a1a54p-11, 0x1.d8185a4925973p-11, 0x1.751541441701fp-10, 0x1.103d3cb400dacp-9, 0x1.78126202fb11ap-9, 0x1.f301621fd2116p-9, 0x1.40ff014cbaa0bp-8, 0x1.92fa811e55a5bp-8, 0x1.efe4bd696dceep-8, 0x1.2c147404d49cbp-7, 0x1.6614ee7037b3fp-7, 0x1.a61fe7a0fbacap-7, 0x1.ec5af3911e239p-7, 0x1.1c7207c6665bbp-6, 0x1.45e86992b18dep-6, 0x1.7296fbcd7f92p-6, 0x1.a27f9e06d5e1bp-6, 0x1.d59fd03e17687p-6, 0x1.05f87a32800e1p-5, 0x1.22b45507911a2p-5, 0x1.40fc9ce2aac0fp-5, 0x1.60c90310b0fddp-5, 0x1.820ffd36028cep-5, 0x1.a4c6f843d317bp-5, 0x1.c8e2851059399p-5, 0x1.ee567d935d11p-5, 0x1.0a8b1152e4d43p-4, 0x1.1e8a19669ee99p-4, 0x1.33217d88cf6d2p-4, 0x1.484a318ebf0a3p-4, 0x1.5dfcfb01018fep-4, 0x1.7432747665aaap-4, 0x1.8ae3107d84ac6p-4, 0x1.a2071c912e406p-4, 0x1.b996c4765f411p-4, 0x1.d18a1643f94ccp-4, 0x1.e9d90737c0ad5p-4, 0x1.013dbcb1041e6p-3, 0x1.0db4a10e460d6p-3, 0x1.1a4d1897d1006p-3, 0x1.27030c3ea7fa7p-3, 0x1.33d26a011f558p-3, 0x1.40b728fc7dd6ap-3, 0x1.4dad4d761149ep-3, 0x1.5ab0ecc3524e8p-3, 0x1.67be30fb30b0ep-3, 0x1.74d15c5dc84bdp-3, 0x1.81e6cc634db03p-3, 0x1.8efafc66e58a6p-3, 0x1.9c0a87e5d9634p-3, 0x1.a9122c4f354f1p-3, 0x1.b60eca6338206p-3, 0x1.c2fd6724f2698p-3, 0x1.cfdb2c62dcb71p-3, 0x1.dca568dd5bfbdp-3, 0x1.e9599013a39dap-3, 0x1.f5f539c09873p-3, 0x1.013b108907ea1p-2, 0x1.076d11d292016p-2, 0x1.0d8fa0292d58ap-2, 0x1.13a1caea0d1bdp-2, 0x1.19a2b0a8bbd9p-2, 0x1.1f917e6b5751ep-2, 0x1.256d6ee1eb427p-2, 0x1.2b35c99cc1313p-2, 0x1.30e9e244f9a08p-2, 0x1.368917da52d2cp-2, 0x1.3c12d3f87c0e3p-2, 0x1.41868a25df53p-2, 0x1.46e3b72d54b4cp-2, 0x1.4c29e083cf241p-2, 0x1.515893baa563p-2, 0x1.566f65fecdc7fp-2, 0x1.5b6df3a50b7dbp-2, 0x1.6053dfc2cbb87p-2, 0x1.6520d3d3447c2p-2, 0x1.69d47f682111dp-2, 0x1.6e6e97e4fc6c4p-2, 0x1.72eed844c061ap-2, 0x1.775500e7f13e1p-2, 0x1.7ba0d76adfff8p-2, 0x1.7fd22682c1102p-2, 0x1.83e8bde09c8a8p-2, 0x1.87e47219172d6p-2, 0x1.8bc51c9020595p-2, 0x1.8f8a9b679ce07p-2, 0x1.9334d17034833p-2, 0x1.96c3a61b82599p-2, 0x1.9a37056eedaddp-2, 0x1.9d8edff69a97ep-2, 0x1.a0cb2ab7de915p-2, 0x1.a3ebdf22cfe6ep-2, 0x1.a6f0fb02898c9p-2, 0x1.a9da806be07b5p-2, 0x1.aca875aa474e3p-2, 0x1.af5ae52ac5baep-2, 0x1.b1f1dd64e2ea3p-2, 0x1.b46d70c17eba6p-2, 0x1.b6cdb57f9fa3cp-2, 0x1.b912c59740ae6p-2, 0x1.bb3cbe9a42377p-2, 0x1.bd4bc19394d63p-2, 0x1.bf3ff2e4d6ab3p-2, 0x1.c1197a2284f7ap-2, 0x1.c2d881eeff1eep-2, 0x1.c47d37d48da6p-2, 0x1.c607cc1eaba4cp-2, 0x1.c77871b2c3eaep-2, 0x1.c8cf5de8a4415p-2, 0x1.ca0cc862de33dp-2, 0x1.cb30eae745514p-2, 0x1.cc3c0137cf7ffp-2, 0x1.cd2e48ebf8d1cp-2, 0x1.ce08014ae78b2p-2, 0x1.cec96b26754c5p-2, 0x1.cf72c8b747977p-2, 0x1.d0045d7a1ca3bp-2, 0x1.d07e6e0e69f5fp-2, 0x1.d0e140166954bp-2, 0x1.d12d1a18ae0a1p-2, 0x1.d16243635249fp-2, 0x1.d18103f0cbaeep-2, 0x1.d189a44e76a45p-2, 0x1.d17c6d84da0f6p-2, 0x1.d159a901ace31p-2, 0x1.d121a0839626p-2, 0x1.d0d49e07af544p-2, 0x1.d072ebb8b8676p-2, 0x1.cffcd3dffadfdp-2, 0x1.cf72a0d7d1b3ap-2, 0x1.ced49cffc489fp-2, 0x1.ce2312b22a637p-2, 0x1.cd5e4c3b436a6p-2, 0x1.cc8693d1b29a6p-2, 0x1.cb9c3390492d4p-2, 0x1.ca9f757110733p-2, 0x1.c990a349734ccp-2, 0x1.c87006c77d293p-2, 0x1.c73de97011f27p-2, 0x1.c5fa949e07277p-2, 0x1.c4a651820d6e1p-2, 0x1.c3416923511aap-2, 0x1.c1cc2460ba5cfp-2, 0x1.c046cbf2b8d98p-2, 0x1.beb1a86d89f62p-2, 0x1.bd0d0243dc643p-2, 0x1.bb5921c9c8fdcp-2, 0x1.b9964f37fff81p-2, 0x1.b7c4d2af28aa4p-2, 0x1.b5e4f43b56001p-2, 0x1.b3f6fbd784995p-2, 0x1.b1fb317114f3cp-2, 0x1.aff1dceb338d2p-2, 0x1.addb46221b32bp-2, 0x1.abb7b4ee33b01p-2, 0x1.a9877126f0492p-2, 0x1.a74ac2a577a99p-2, 0x1.a501f146f9974p-2, 0x1.a2ad44eeb96eap-2, 0x1.a04d0587c18b2p-2, 0x1.9de17b06342afp-2, 0x1.9b6aed68422a2p-2, 0x1.98e9a4b6b5fcfp-2, 0x1.965de90518a18p-2, 0x1.93c802716d03ap-2, 0x1.912839237d6d5p-2, 0x1.8e7ed54bbc55cp-2, 0x1.8bcc1f21bac0cp-2, 0x1.89105ee231fd7p-2, 0x1.864bdccca0c2ap-2, 0x1.837ee12084e5ep-2, 0x1.80a9b41a29523p-2, 0x1.7dcc9def1650fp-2, 0x1.7ae7e6ca1fbf6p-2, 0x1.77fbd6c715961p-2, 0x1.7508b5ee21516p-2, 0x1.720ecc2ecc44cp-2, 0x1.6f0e615ab7a51p-2, 0x1.6c07bd200ea51p-2, 0x1.68fb2703ae3e9p-2, 0x1.65e8e65b12ed1p-2, 0x1.62d1424607848p-2, 0x1.5fb481a82417ap-2, 0x1.5c92eb221b9c1p-2, 0x1.596cc50ae0a7cp-2, 0x1.56425568a53cbp-2, 0x1.5313e1e9bedf8p-2, 0x1.4fe1afdd6fda5p-2, 0x1.4cac042c9d95cp-2, 0x1.497323527aa1ap-2, 0x1.4637515524de2p-2, 0x1.42f8d1be44f6p-2, 0x1.3fb7e793ab35dp-2, 0x1.3c74d54ff4be1p-2, 0x1.392fdcdb3c24fp-2, 0x1.35e93f83d82aap-2, 0x1.32a13df7314c9p-2, 0x1.2f58183aadc69p-2, 0x1.2c0e0da4b9bap-2, 0x1.28c35cd5f283dp-2, 0x1.257843b270dc2p-2, 0x1.222cff5b3d9eep-2, 0x1.1ee1cc27f21f2p-2, 0x1.1b96e5a08241ep-2, 0x1.184c867738bd2p-2, 0x1.1502e882e81c5p-2, 0x1.11ba44b94bb6bp-2, 0x1.0e72d329a636ep-2, 0x1.0b2ccaf793983p-2, 0x1.07e862561c3b5p-2, 0x1.04a5ce82fcc18p-2, 0x1.016543c236087p-2, 0x1.fc4deab3a3dacp-3, 0x1.f5d62b1be1427p-3, 0x1.ef63ab3a22b89p-3, 0x1.e8f6cb79403dfp-3, 0x1.e28fea2b87506p-3, 0x1.dc2f6384dc8bap-3, 0x1.d5d591956762ep-3, 0x1.cf82cc44b9e15p-3, 0x1.c937694d86084p-3, 0x1.c2f3bc39d55bbp-3, 0x1.bcb8165fbe384p-3, 0x1.b684c6dea6c69p-3, 0x1.b05a1a9d00708p-3, 0x1.aa385c4685851p-3, 0x1.a41fd44afacd2p-3, 0x1.9e10c8dd6379dp-3, 0x1.980b7df3b8226p-3, 0x1.9210354712bf8p-3, 0x1.8c1f2e544de08p-3, 0x1.8638a65d1c62fp-3, 0x1.805cd8698b985p-3, 0x1.7a8bfd49f8a6dp-3, 0x1.74c64b996db52p-3, 0x1.6f0bf7c066004p-3, 0x1.695d33f7fc606p-3, 0x1.63ba304d71c32p-3, 0x1.5e231aa61c533p-3, 0x1.58981ec3a86cbp-3, 0x1.53196648b972bp-3, 0x1.4da718bdd64a7p-3, 0x1.48415b96b231ap-3, 0x1.42e85237b5cbfp-3, 0x1.3d9c1dfbdd81fp-3, 0x1.385cde3ad5737p-3, 0x1.332ab04f610edp-3, 0x1.2e05af9dfbd54p-3, 0x1.28edf59bb8929p-3, 0x1.23e399d55aa35p-3, 0x1.1ee6b1f6a07c8p-3, 0x1.19f751d1c59ddp-3, 0x1.15158b67307f2p-3, 0x1.10416eed4b975p-3, 0x1.0b7b0ad88a5e7p-3, 0x1.06c26be388b33p-3, 0x1.02179d175e262p-3, 0x1.faf54fa7f7a56p-4, 0x1.f1d727b16aa4fp-4, 0x1.e8d4ce99b851dp-4, 0x1.dfee4d90e41c2p-4, 0x1.d723aab9d9a0dp-4, 0x1.ce74e93c19601p-4, 0x1.c5e209558198bp-4, 0x1.bd6b086c2c3fep-4, 0x1.b50fe12055c52p-4, 0x1.acd08b5e5e393p-4, 0x1.a4acfc70c52e3p-4, 0x1.9ca52712356ccp-4, 0x1.94b8fb7f7b062p-4, 0x1.8ce867898bde7p-4, 0x1.853356a770e71p-4, 0x1.7d99b2082d3c9p-4, 0x1.761b60a48f469p-4, 0x1.6eb84750ebaep-4, 0x1.677048cebfde6p-4, 0x1.604345de37adfp-4, 0x1.59311d4f92d3ap-4, 0x1.5239ac146788ap-4, 0x1.4b5ccd50bdedep-4, 0x1.449a5a6c05cdp-4, 0x1.3df22b21dd05ap-4, 0x1.37641592ac76fp-4, 0x1.30efee540ee68p-4, 0x1.2a9588810d27ep-4, 0x1.2454b5ca1d927p-4, 0x1.1e2d4684f316dp-4, 0x1.181f09bc110a7p-4, 0x1.1229cd3e25f42p-4, 0x1.0c4d5dad294ccp-4, 0x1.0689868d40408p-4, 0x1.00de12535e2dfp-4, 0x1.f69594e757f0fp-5, 0x1.eb9eeedf5361ap-5, 0x1.e0d7c1c820c1cp-5, 0x1.d63f9b2ce9062p-5, 0x1.cbd607053eef3p-5, 0x1.c19a8fcf523b3p-5, 0x1.b78cbea998388p-5, 0x1.adac1b6be84eap-5, 0x1.a3f82cc0116c5p-5, 0x1.9a707839de254p-5, 0x1.9114826e9809fp-5, 0x1.87e3cf0bef212p-5, 0x1.7edde0ee62b82p-5, 0x1.76023a3718e28p-5, 0x1.6d505c61282f7p-5, 0x1.64c7c85659e8dp-5, 0x1.5c67fe835c6b7p-5, 0x1.54307eeb6c46dp-5, 0x1.4c20c93b75e73p-5, 0x1.44385cdca80c6p-5, 0x1.3c76b90685205p-5, 0x1.34db5cd0660e5p-5, 0x1.2d65c74279dd3p-5, 0x1.2615776640a4fp-5, 0x1.1ee9ec5680763p-5, 0x1.17e2a54eb9d6p-5, 0x1.10ff21ba18fc9p-5, 0x1.0a3ee141e64d6p-5, 0x1.03a163db7c04ap-5, 0x1.fa4c53ab7587ep-6, 0x1.ed9967cc11365p-6, 0x1.e12906699b10cp-6, 0x1.d4fa32d30b6cap-6, 0x1.c90bf16ca317cp-6, 0x1.bd5d47c62bb22p-6, 0x1.b1ed3cb059a9ap-6, 0x1.a6bad85146b34p-6, 0x1.9bc524381873ep-6, 0x1.910b2b6fc10fp-6, 0x1.868bfa90f50b3p-6, 0x1.7c469fd34f844p-6, 0x1.723a2b1dac679p-6, 0x1.6865ae15ab5ccp-6, 0x1.5ec83c2e86fafp-6, 0x1.5560eab713f62p-6, 0x1.4c2ed0e71498ep-6, 0x1.433107ebcd8bcp-6, 0x1.3a66aaf3e2f25p-6, 0x1.31ced73a92fbep-6, 0x1.2968ac1234908p-6, 0x1.21334aee1b2fcp-6, 0x1.192dd76bd6d8cp-6, 0x1.1157775bc29ebp-6, 0x1.09af52c91b9c4p-6, 0x1.0234940159e8fp-6, 0x1.f5cccf361e38dp-7, 0x1.e787f8f86a8a8p-7, 0x1.d99907bfc34ecp-7, 0x1.cbfe62b70f2efp-7, 0x1.beb675c73b6d3p-7, 0x1.b1bfb19fbbb13p-7, 0x1.a5188bbdeef37p-7, 0x1.98bf7e73a8dcp-7, 0x1.8cb308ecc09d7p-7, 0x1.80f1af33d95f5p-7, 0x1.7579fa36291c1p-7, 0x1.6a4a77c6996cdp-7, 0x1.5f61ba9ffbe51p-7, 0x1.54be5a668bb14p-7, 0x1.4a5ef3a8a5f4dp-7, 0x1.404227ded217ap-7, 0x1.36669d6b20592p-7, 0x1.2ccaff97ce0dp-7, 0x1.236dfe953ed95p-7, 0x1.1a4e4f777d335p-7, 0x1.116aac330b14fp-7, 0x1.08c1d3991bd2dp-7, 0x1.0052895348f3bp-7, 0x1.f0372bbd8f9a3p-8, 0x1.e0378d0e3202ap-8, 0x1.d0a3dac0725dep-8, 0x1.c179c280d8976p-8, 0x1.b2b6fb72f013cp-8, 0x1.a45946234492bp-8, 0x1.965e6c78570abp-8, 0x1.88c441a2c0428p-8, 0x1.7b88a20cd1173p-8, 0x1.6ea973494fe3dp-8, 0x1.6224a401d6362p-8, 0x1.55f82be436d01p-8, 0x1.4a220b8f9839cp-8, 0x1.3ea04c80f3641p-8, 0x1.337100fee9f83p-8, 0x1.289244055ebb1p-8, 0x1.1e02393059cb8p-8, 0x1.13bf0ca6be6fp-8, 0x1.09c6f30464a6dp-8, 0x1.0018294411d5ap-8, 0x1.ed61e9519858dp-9, 0x1.db1f454e88154p-9, 0x1.c965119cf7ffcp-9, 0x1.b83009616434bp-9, 0x1.a77cf797127bfp-9, 0x1.9748b6e0c2fb4p-9, 0x1.87903158a0605p-9, 0x1.7850605fd7a93p-9, 0x1.69864c6e2f5cap-9, 0x1.5b2f0ce0c7263p-9, 0x1.4d47c7c93ba6dp-9, 0x1.3fcdb1bc7935p-9, 0x1.32be0da0f21ccp-9, 0x1.26162c7d5e3bap-9, 0x1.19d36d470a06p-9, 0x1.0df33cb012681p-9, 0x1.027314f5f1b7dp-9, 0x1.eea0fb5f36feep-10, 0x1.d912173801fbp-10, 0x1.c434c0e127e91p-10, 0x1.b004554f700e9p-10, 0x1.9c7c4a9f04a99p-10, 0x1.89982fb14b1aep-10, 0x1.7753abcaccf49p-10, 0x1.65aa7e3169163p-10, 0x1.54987dcbcd8ccp-10, 0x1.441998c0440f5p-10, 0x1.3429d414a577dp-10, 0x1.24c54b4f1244p-10, 0x1.15e83016750bcp-10, 0x1.078ec9d496e93p-10, 0x1.f36aeab06ef7p-11, 0x1.d8b148efa91abp-11, 0x1.bee9bb6af2d67p-11, 0x1.a60d77c6304b4p-11, 0x1.8e15db8f9e4e3p-11, 0x1.76fc6b8b57144p-11, 0x1.60bad300d02b6p-11, 0x1.4b4ae30a3a90ap-11, 0x1.36a691e4fd5fap-11, 0x1.22c7fa449d1a8p-11, 0x1.0fa95aa71f805p-11, 0x1.fa8a29542c098p-12, 0x1.d72b58c84ac0dp-12, 0x1.b52b8f7a6b019p-12, 0x1.94805b96f793ep-12, 0x1.751f8c5fe91adp-12, 0x1.56ff30ecfc8c4p-12, 0x1.3a1596ec6ae8ep-12, 0x1.1e59496c4dae2p-12, 0x1.03c10fa362f47p-12, 0x1.d487d78067cffp-13, 0x1.a3b233749e43cp-13, 0x1.74f01c55369dap-13, 0x1.4830ea4810d14p-13, 0x1.1d646225e436cp-13, 0x1.e8f5667f0f211p-14, 0x1.9ac8ea519f2dcp-14, 0x1.50254b2073681p-14, 0x1.08ed4c2ef5722p-14, 0x1.8a08e8f82f6b1p-15, 0x1.089e152bf774bp-15, 0x1.1ac8421189d1ap-16, 0x1.8267f8c06f87fp-19, -0x1.5d37d55cabf88p-17, -0x1.825608ed6a3acp-16, -0x1.25a11d20267c2p-15, -0x1.84df5eb0b809fp-15, -0x1.df139ff32818ep-15, -0x1.1a353b3db06a4p-14, -0x1.42879ee70df54p-14, -0x1.68960f3a5ca83p-14, -0x1.8c750a750dedap-14, -0x1.ae387c3b795dap-14, -0x1.cdf3c0ef4a457p-14, -0x1.ebb9a8fe553fbp-14, -0x1.03ce3e0f5b6f6p-13, -0x1.10d6fe3cd7f98p-13, -0x1.1cffb4e792936p-13, -0x1.2850c243327bep-13, -0x1.32d248586800ap-13, -0x1.3c8c2c7de820fp-13, -0x1.458618ce3e716p-13, -0x1.4dc77d8ef131ap-13, -0x1.5557929d4dbe4p-13, -0x1.5c3d58c74da28p-13, -0x1.627f9b26a0345p-13, -0x1.6824f070bad8p-13, -0x1.6d33bc41b34c2p-13, -0x1.71b2306054f9cp-13, -0x1.75a64dfbd28efp-13, -0x1.7915e6e4d38d6p-13, -0x1.7c069ebdde93bp-13, -0x1.7e7dec257676ep-13, -0x1.808119dbd08eap-13, -0x1.821547e33750cp-13, -0x1.833f6c963622ep-13, -0x1.840455bee900ep-13, -0x1.8468a9a115093p-13, -0x1.8470e804608f5p-13, -0x1.84216b34c8957p-13, -0x1.837e6900a1925p-13, -0x1.828bf3afba029p-13, -0x1.814dfaf5e4a2fp-13, -0x1.7fc84cdf18a73p-13, -0x1.7dfe96b72ebecp-13, -0x1.7bf465ec34ca2p-13, -0x1.79ad28ed552a4p-13, -0x1.772c300271f8p-13, -0x1.7474ae1fccb93p-13, -0x1.7189b9b619271p-13, -0x1.6e6e4d7b532cdp-13, -0x1.6b254931bb1ebp-13, -0x1.67b17268868dbp-13, -0x1.64157538beed2p-13, -0x1.6053e4fe7b122p-13, -0x1.5c6f3d0c22e24p-13, -0x1.5869e15a7d8c8p-13, -0x1.54461f33a5b73p-13, -0x1.50062ddca2e74p-13, -0x1.4bac2f3846ecfp-13, -0x1.473a306705985p-13, -0x1.42b22a62788bdp-13, -0x1.3e160296def12p-13, -0x1.39678b762f913p-13, -0x1.34a88508fe46cp-13, -0x1.2fda9d7d34cc1p-13, -0x1.2aff71af0573cp-13, -0x1.26188db023a03p-13, -0x1.21276d499854cp-13, -0x1.1c2d7c7c84f48p-13, -0x1.172c17fe5cfa6p-13, -0x1.12248db28442p-13, -0x1.0d181d205ce29p-13, -0x1.0807f7e722fdcp-13, -0x1.02f5422dfadffp-13, -0x1.fbc22622e09dap-14, -0x1.f198ea1b2de65p-14, -0x1.e770cccd84f37p-14, -0x1.dd4bb31bd76f1p-14, -0x1.d32b6b07e9598p-14, -0x1.c911ac70c533dp-14, -0x1.bf0019cf91a3p-14, -0x1.b4f840ebb8199p-14, -0x1.aafb9b8bed773p-14, -0x1.a10b90225d807p-14, -0x1.97297273910fcp-14, -0x1.8d56843a3dfb3p-14, -0x1.8393f5c42b9f9p-14, -0x1.79e2e68c44dc6p-14, -0x1.704465d06bcbap-14, -0x1.66b97323593e7p-14, -0x1.5d42fef9f924cp-14, -0x1.53e1eb33d9687p-14, -0x1.4a970ba268e1bp-14, -0x1.4163268976599p-14, -0x1.3846f51d44661p-14, -0x1.2f4323fc21368p-14, -0x1.265853a743914p-14, -0x1.1d8718f4d9d3p-14, -0x1.14cffd8117258p-14, -0x1.0c338019f071p-14, -0x1.03b2152940611p-14, -0x1.f6984e366656dp-15, -0x1.e6042d826b174p-15, -0x1.d5a87766189e2p-15, -0x1.c585c956e3f71p-15, -0x1.b59cafc8135d8p-15, -0x1.a5eda6da41c0bp-15, -0x1.96791b0503277p-15, -0x1.873f69bada3c9p-15, -0x1.7840e20b4b125p-15, -0x1.697dc53d3b7b3p-15, -0x1.5af6476566e78p-15, -0x1.4caa8ff84f89bp-15, -0x1.3e9aba57bb2adp-15, -0x1.30c6d659a1c69p-15, -0x1.232ee8cee44f1p-15, -0x1.15d2ebff6cfe3p-15, -0x1.08b2d0293014bp-15, -0x1.f79cf7ed59a45p-16, -0x1.de4b99e650657p-16, -0x1.c5712ff51e373p-16, -0x1.ad0d534aae4c2p-16, -0x1.951f8d633caacp-16, -0x1.7da758cf7e22dp-16, -0x1.66a421fb217aep-16, -0x1.501547e54d96cp-16, -0x1.39fa1cd9e4552p-16, -0x1.2451e7231ee79p-16, -0x1.0f1be1afbb2fp-16, -0x1.f4ae797559881p-17, -0x1.cc063cc63de55p-17, -0x1.a43d469acff5bp-17, -0x1.7d51be61180abp-17, -0x1.5741bacfd0c4ep-17, -0x1.320b42f18cf12p-17, -0x1.0dac4f32155a6p-17, -0x1.d44594ac71bd6p-18, -0x1.8ed924eed297p-18, -0x1.4b0ef3ceac006p-18, -0x1.08e2902bf4a94p-18, -0x1.909ee9ba2c1ccp-19, -0x1.12a214912ac49p-19, -0x1.2f8aa02154345p-20, -0x1.fff2cab3d3558p-23, 0x1.52e7838c7772cp-21, 0x1.8cdef9b21ab04p-20, }}, 
      {{-0x1.3bb802057f62fp-6, -0x1.3a74518f4a91fp-5, -0x1.d49ff90722319p-5, -0x1.35b077a2916ep-4, -0x1.7ef590e62a2b1p-4, -0x1.c5d2b95c77282p-4, -0x1.0509c1960ebb9p-3, -0x1.25cc9f30458e1p-3, -0x1.452c0ae9bafc4p-3, -0x1.632a02b0bfa2ep-3, -0x1.7fcef06783f76p-3, -0x1.9b2846031ab07p-3, -0x1.b5473b2d4ce6ep-3, -0x1.ce3fb065622c1p-3, -0x1.e6273885e66f6p-3, -0x1.fd1447a91dadap-3, -0x1.098ec29e6d82p-2, -0x1.142c9f369798ap-2, -0x1.1e6e7adc22e0ap-2, -0x1.285e863036d0bp-2, -0x1.3206413c8debbp-2, -0x1.3b6e653630524p-2, -0x1.449ed683895c5p-2, -0x1.4d9e9daa7c1e9p-2, -0x1.5673e5eb5ba72p-2, -0x1.5f24006f1ba6bp-2, -0x1.67b36b1054ce8p-2, -0x1.7025d9e6e6274p-2, -0x1.787e42dc73428p-2, -0x1.80beeaac344fbp-2, -0x1.88e972ca4ea99p-2, -0x1.90fee7c60139bp-2, -0x1.98ffcfce645d7p-2, -0x1.a0ec391366d25p-2, -0x1.a8c3c7cc0fab4p-2, -0x1.b085c3b83e94fp-2, -0x1.b83124ff38db8p-2, -0x1.bfc4a0557f154p-2, -0x1.c73eb25c11bddp-2, -0x1.ce9daa315b1fp-2, -0x1.d5dfb330f2f77p-2, -0x1.dd02dde33f5b9p-2, -0x1.e405282100505p-2, -0x1.eae484710a171p-2, -0x1.f19ee0a813f4p-2, -0x1.f8322bd3b4a1dp-2, -0x1.fe9c5b7a52107p-2, -0x1.026db81d22cf9p-1, -0x1.0576bce95137dp-1, -0x1.08684d4ffee6cp-1, -0x1.0b41854bc0113p-1, -0x1.0e018ce51a71fp-1, -0x1.10a7993d1df42p-1, -0x1.1332ed658ab93p-1, -0x1.15a2db0aed742p-1, -0x1.17f6c2f4d6b14p-1, -0x1.1a2e15602535fp-1, -0x1.1c4852370f1c5p-1, -0x1.1e45092a69c53p-1, -0x1.2023d9af69eb8p-1, -0x1.21e472e4e80fdp-1, -0x1.23869362f9a21p-1, -0x1.250a08f77ac21p-1, -0x1.266eb051f9fcdp-1, -0x1.27b474a14155fp-1, -0x1.28db4f248d096p-1, -0x1.29e346b25c9aep-1, -0x1.2acc6f3697fafp-1, -0x1.2b96e929a5f4bp-1, -0x1.2c42e101eb0aep-1, -0x1.2cd08ea10332ap-1, -0x1.2d4034bdee05bp-1, -0x1.2d92204d46051p-1, -0x1.2dc6a7e87d2aap-1, -0x1.2dde2b350507ep-1, -0x1.2dd9124c293c1p-1, -0x1.2db7cd2453dfp-1, -0x1.2d7ad2fc57938p-1, -0x1.2d22a1c94d4dap-1, -0x1.2cafbda77e509p-1, -0x1.2c22b04ec1144p-1, -0x1.2b7c088aa76a3p-1, -0x1.2abc59b6c12bcp-1, -0x1.29e43b3f38b5dp-1, -0x1.28f44825f5671p-1, -0x1.27ed1e8c6d76p-1, -0x1.26cf5f4243ef5p-1, -0x1.259bad58c58c8p-1, -0x1.2452adbb4fd2bp-1, -0x1.22f506cca7f84p-1, -0x1.218360093e7e9p-1, -0x1.1ffe61ae55608p-1, -0x1.1e66b465fef1cp-1, -0x1.1cbd00f7dfe18p-1, -0x1.1b01effea13f1p-1, -0x1.193629a1f578ep-1, -0x1.175a555518267p-1, -0x1.156f1999a6bfp-1, -0x1.13751bc6b1793p-1, -0x1.116cffd3e2e7p-1, -0x1.0f5768289a75ap-1, -0x1.0d34f56ed2ad3p-1, -0x1.0b064669b038ep-1, -0x1.08cbf7cf9222cp-1, -0x1.0686a4277da8ep-1, -0x1.0436e3a9bdddcp-1, -0x1.01dd4c2394566p-1, -0x1.fef4e1bba31b7p-2, -0x1.fa1dc50c624b9p-2, -0x1.f5365e36ae8f6p-2, -0x1.f03fc3b690dd8p-2, -0x1.eb3b066873f38p-2, -0x1.e629316f3429cp-2, -0x1.e10b4a1e587d1p-2, -0x1.dbe24fe839dd9p-2, -0x1.d6af3c4fd4281p-2, -0x1.d17302de0a3f6p-2, -0x1.cc2e911a21e78p-2, -0x1.c6e2ce8541b96p-2, -0x1.c1909c98b55f5p-2, -0x1.bc38d6c6d2b8ep-2, -0x1.b6dc527e41e14p-2, -0x1.b17bdf2f81661p-2, -0x1.ac18465479608p-2, -0x1.a6b24b79f2c83p-2, -0x1.a14aac4acd9d8p-2, -0x1.9be2209ccc93cp-2, -0x1.96795a7ed6205p-2, -0x1.9111064887bfap-2, -0x1.8ba9caaafd878p-2, -0x1.864448c2abb92p-2, -0x1.80e11c2a35a71p-2, -0x1.7b80db0e2081ep-2, -0x1.762416414b9dfp-2, -0x1.70cb59521c29ep-2, -0x1.6b772aa03bca5p-2, -0x1.66280b72e1becp-2, -0x1.60de780f8adc2p-2, -0x1.5b9ae7d11399fp-2, -0x1.565dcd3f229c4p-2, -0x1.51279625d291fp-2, -0x1.4bf8abad914abp-2, -0x1.46d1727322dd5p-2, -0x1.41b24a9fc1647p-2, -0x1.3c9b900146d8ap-2, -0x1.378d9a2261e96p-2, -0x1.3288bc62be85cp-2, -0x1.2d8d460f275bp-2, -0x1.289b82798f941p-2, -0x1.23b3b910fcee2p-2, -0x1.1ed62d7953749p-2, -0x1.1a031fa2f5b27p-2, -0x1.153acbe23412bp-2, -0x1.107d6b068bdf3p-2, -0x1.0bcb3271ac321p-2, -0x1.0724542e4068ap-2, -0x1.0288ff06774b9p-2, -0x1.fbf2bd349788ap-3, -0x1.f2eb36eb075cp-3, -0x1.e9fbb64ad3362p-3, -0x1.e124809c74269p-3, -0x1.d865d5808a597p-3, -0x1.cfbfef198032ap-3, -0x1.c733023496fedp-3, -0x1.bebf3e72481edp-3, -0x1.b664ce6e0b62dp-3, -0x1.ae23d7e5701d9p-3, -0x1.a5fc7bde9701bp-3, -0x1.9deed6ce031cbp-3, -0x1.95fb00bbbbc6ep-3, -0x1.8e210d67d2018p-3, -0x1.86610c6e35e89p-3, -0x1.7ebb0969e2617p-3, -0x1.772f0c17660eap-3, -0x1.6fbd1876c2801p-3, -0x1.68652eec9e1afp-3, -0x1.61274c62dcf44p-3, -0x1.5a036a688396cp-3, -0x1.52f97f5105223p-3, -0x1.4c097e52dfbb6p-3, -0x1.453357a5a2932p-3, -0x1.3e76f89f4beb6p-3, -0x1.37d44bd10705ep-3, -0x1.314b392351054p-3, -0x1.2adba5f17cd68p-3, -0x1.248575249c4a7p-3, -0x1.1e48874dd2c59p-3, -0x1.1824bac00b5dfp-3, -0x1.1219eba91a518p-3, -0x1.0c27f42a4d59dp-3, -0x1.064eac7062113p-3, -0x1.008deacaf31fcp-3, -0x1.f5cb07869fc05p-4, -0x1.eaaa94659212ep-4, -0x1.dfba1eb0df769p-4, -0x1.d4f945dca1321p-4, -0x1.ca67a67c363d2p-4, -0x1.c004da6aa0e74p-4, -0x1.b5d078f1c5bdp-4, -0x1.abca16f0aedc8p-4, -0x1.a1f14700ce715p-4, -0x1.9845999a3ae33p-4, -0x1.8ec69d36fffd2p-4, -0x1.8573de75688cap-4, -0x1.7c4ce83960d7p-4, -0x1.735143cce53bbp-4, -0x1.6a8078ff86279p-4, -0x1.61da0e4504b2fp-4, -0x1.595d88d30b402p-4, -0x1.510a6cbe04921p-4, -0x1.48e03d1517566p-4, -0x1.40de7bfd47e43p-4, -0x1.3904aacbc51e2p-4, -0x1.31524a1f6265bp-4, -0x1.29c6d9f943e77p-4, -0x1.2261d9d4c11fap-4, -0x1.1b22c8be7def8p-4, -0x1.1409256ac25d1p-4, -0x1.0d146e4b1155ep-4, -0x1.064421a30227p-4, -0x1.ff2f7b38c81c3p-5, -0x1.f21d80b54dec1p-5, -0x1.e551501b304cbp-5, -0x1.d8c9e606d6a9ep-5, -0x1.cc863f74392f6p-5, -0x1.c08559e04f07fp-5, -0x1.b4c633693619bp-5, -0x1.a947caed1a94cp-5, -0x1.9e092027dfbd4p-5, -0x1.930933cf98b64p-5, -0x1.884707afcbae4p-5, -0x1.7dc19ec398669p-5, -0x1.7377fd4eb133bp-5, -0x1.696928f543a9ap-5, -0x1.5f9428d2c882ep-5, -0x1.55f8058fc441ap-5, -0x1.4c93c9768266p-5, -0x1.43668086d0d97p-5, -0x1.3a6f3888bbea3p-5, -0x1.31ad011e5726bp-5, -0x1.291eebd498baap-5, -0x1.20c40c33474dap-5, -0x1.189b77cc09298p-5, -0x1.10a4464893f5fp-5, -0x1.08dd9178024e8p-5, -0x1.0146755b5c939p-5, -0x1.f3bc2062a22bep-6, -0x1.e54705024dc13p-6, -0x1.d72bde49df64dp-6, -0x1.c968f6a5fc2cp-6, -0x1.bbfc9d4d4907cp-6, -0x1.aee526507ea2cp-6, -0x1.a220eaa93d123p-6, -0x1.95ae484773b7fp-6, -0x1.898ba21d9926bp-6, -0x1.7db7602ba4408p-6, -0x1.722fef88d557ap-6, -0x1.66f3c26c543dap-6, -0x1.5c015034bd4b5p-6, -0x1.5157156e8bc85p-6, -0x1.46f393d9891c3p-6, -0x1.3cd5526d3098p-6, -0x1.32fadd5c1ad9cp-6, -0x1.2962c61683142p-6, -0x1.200ba34bdd15dp-6, -0x1.16f410eb8ad68p-6, -0x1.0e1ab024c5f25p-6, -0x1.057e2765ad985p-6, -0x1.fa3a44b336ce2p-7, -0x1.e9eca3cd60e0bp-7, -0x1.da10d8554f855p-7, -0x1.caa458ee13d4ep-7, -0x1.bba4a69952fa9p-7, -0x1.ad0f4cacfb99ap-7, -0x1.9ee1e0c7e1b7fp-7, -0x1.911a02c511568p-7, -0x1.83b55cae2685dp-7, -0x1.76b1a2ac84f7bp-7, -0x1.6a0c92f997de1p-7, -0x1.5dc3f5ce1ce7fp-7, -0x1.51d59d5082cep-7, -0x1.463f658279f8cp-7, -0x1.3aff342dad1e9p-7, -0x1.3012f8cfa94fap-7, -0x1.2578ac8526f85p-7, -0x1.1b2e51f483721p-7, -0x1.1131f537b6fcdp-7, -0x1.0781abc59b5c7p-7, -0x1.fc3728b53bb1p-8, -0x1.e9fbadc1f40d6p-8, -0x1.d84d48b0d62b8p-8, -0x1.c7286d7ad94a8p-8, -0x1.b689a1e0160c4p-8, -0x1.a66d7d34aaf0bp-8, -0x1.96d0a82ccbbc9p-8, -0x1.87afdca85790ap-8, -0x1.7907e57db3891p-8, -0x1.6ad59e44215b3p-8, -0x1.5d15f31d9b812p-8, -0x1.4fc5e0804507fp-8, -0x1.42e272ff806b5p-8, -0x1.3668c714b1278p-8, -0x1.2a5608e7a3c9bp-8, -0x1.1ea77416c9869p-8, -0x1.135a537f5913bp-8, -0x1.086c010513be3p-8, -0x1.fbb3cab47395cp-9, -0x1.e742ef8e72a1p-9, -0x1.d3807be4c0e44p-9, -0x1.c067974f5ed17p-9, -0x1.adf385412e406p-9, -0x1.9c1fa497df205p-9, -0x1.8ae76f2be2ea7p-9, -0x1.7a467960c208dp-9, -0x1.6a3871b5e1d42p-9, -0x1.5ab920578c6ecp-9, -0x1.4bc466b092dfep-9, -0x1.3d563efc9ed22p-9, -0x1.2f6abbdac2cf1p-9, -0x1.21fe07e0d5b47p-9, -0x1.150c652f8bdffp-9, -0x1.08922d07297adp-9, -0x1.f9179eba4eccdp-10, -0x1.e1eba4e4b8e8fp-10, -0x1.cb99a4d485d25p-10, -0x1.b61b01c5c6fe3p-10, -0x1.a169491b98c49p-10, -0x1.8d7e3193c64f8p-10, -0x1.7a539a7c965b8p-10, -0x1.67e38aec3e2e7p-10, -0x1.562830fa757ddp-10, -0x1.451be0fc3e68bp-10, -0x1.34b914c1b11adp-10, -0x1.24fa6ad5c337dp-10, -0x1.15daa5c0ac0f5p-10, -0x1.0754ab4c46d94p-10, -0x1.f2c7079493fe2p-11, -0x1.d804b2bb50bb8p-11, -0x1.be58ee8aca946p-11, -0x1.a5ba9254b32c3p-11, -0x1.8e20b4ddcd06dp-11, -0x1.7782ab02d7caap-11, -0x1.61d806618ffe5p-11, -0x1.4d18940678e2p-11, -0x1.393c5b1ff65dcp-11, -0x1.263b9bb5fbadfp-11, -0x1.140ecd665af46p-11, -0x1.02ae9e26a1acep-11, -0x1.e427e212c71ccp-12, -0x1.c46fba1412aabp-12, -0x1.a62757b8dfde1p-12, -0x1.8941b183197e1p-12, -0x1.6db21ec22f58p-12, -0x1.536c554ff2d8dp-12, -0x1.3a6467575cfa7p-12, -0x1.228ec123b6287p-12, -0x1.0be026faa65fbp-12, -0x1.ec9b65fe36079p-13, -0x1.c399a63c64ce7p-13, -0x1.9ca68e08ef757p-13, -0x1.77ae3c3bb7108p-13, -0x1.549d6b3beba7p-13, -0x1.33616d22a9c29p-13, -0x1.13e827f257892p-13, -0x1.ec4023ba2ad98p-14, -0x1.b3f05b407d22ep-14, -0x1.7ec00ddec57cap-14, -0x1.4c8f5de2c9903p-14, -0x1.1d3f71a024106p-14, -0x1.e164d963f2507p-15, -0x1.8d96d2b78979fp-15, -0x1.3edce41d395fdp-15, -0x1.ea01ec413bbb2p-16, -0x1.5f9d711250474p-16, -0x1.bc4e589d83fdfp-17, -0x1.94f5473d8649ep-18, 0x1.6fd47723649a1p-21, 0x1.d1a0266509ccap-18, 0x1.abae36f11c6dfp-17, 0x1.3021114eb63d3p-16, 0x1.839834c45ffc5p-16, 0x1.d08bf627ef1d9p-16, 0x1.0ba480742d069p-15, 0x1.2c0ca7d240698p-15, 0x1.49a21fdfb8bb1p-15, 0x1.64875242bf87cp-15, 0x1.7cdd6cf0687b7p-15, 0x1.92c46b4f675aep-15, 0x1.a65b1f299e366p-15, 0x1.b7bf396243dbp-15, 0x1.c70d527b2bfc9p-15, 0x1.d460f2e5f46e3p-15, 0x1.dfd49b2380968p-15, 0x1.e981cbaf5d30dp-15, 0x1.f1810cbd0a769p-15, 0x1.f7e9f5c2d30a6p-15, 0x1.fcd334d7a30acp-15, 0x1.00294af06e237p-14, 0x1.013e84c9535eap-14, 0x1.01b35622f7431p-14, 0x1.0191664ec6f46p-14, 0x1.00e1f904387a4p-14, 0x1.ff5be310d8543p-15, 0x1.fbfbab8542495p-15, 0x1.f7b3a27b98548p-15, 0x1.f29370299984ap-15, 0x1.ecaa1396c5751p-15, 0x1.e605e82964259p-15, 0x1.deb4ab07d4656p-15, 0x1.d6c3805ef7a94p-15, 0x1.ce3ef87dc5467p-15, 0x1.c53314cf2d1a7p-15, 0x1.bbab4cb189f4p-15, 0x1.b1b2922c2233p-15, 0x1.a753568167313p-15, 0x1.9c978ea81754bp-15, 0x1.9188b79c78876p-15, 0x1.862fda947c3ffp-15, 0x1.7a959118db7d6p-15, 0x1.6ec208fdcf181p-15, 0x1.62bd083dcbc73p-15, 0x1.568df0bcb84bap-15, 0x1.4a3bc3e9a85aap-15, 0x1.3dcd26466c56cp-15, 0x1.314862da17cf4p-15, 0x1.24b36e8305b52p-15, 0x1.1813eb33b4b66p-15, 0x1.0b6f2b13e8d89p-15, 0x1.fd94671a57f36p-16, 0x1.e453807a72ea5p-16, 0x1.cb248ba490845p-16, 0x1.b20fe9a406da6p-16, 0x1.991d788dded54p-16, 0x1.805498bb6e51p-16, 0x1.67bc31d5d034bp-16, 0x1.4f5ab7b8a05e3p-16, 0x1.37362f2d86f8cp-16, 0x1.1f54328063b19p-16, 0x1.07b9f5f22eab2p-16, 0x1.e0d89802aa48cp-17, 0x1.b2df532ddc035p-17, 0x1.8590540da3549p-17, 0x1.58f325e4d7d0fp-17, 0x1.2d0eb017e292ep-17, 0x1.01e93d79c89d8p-17, 0x1.af1106928eaebp-18, 0x1.5be34ffeadc0dp-18, 0x1.0a5293bb4a5a7p-18, 0x1.74ce14eb5bf68p-19, 0x1.b09fd55a2718cp-20, 0x1.f9ba9c8db6e2p-22, -0x1.59c318e50f441p-21, -0x1.d13e46ab7dc9bp-20, -0x1.774c19e37848ap-19, -0x1.0138c087151b2p-18, -0x1.45054ebaaaf12p-18, -0x1.870a070078651p-18, -0x1.c745dcd30c68p-18, -0x1.02dc2f7ce5fffp-17, -0x1.2130d775d225p-17, -0x1.3ea13c5b61e32p-17, -0x1.5b2df5908631dp-17, -0x1.76d7d80ce46f7p-17, -0x1.919ff2b9c542ap-17, -0x1.ab878af4e6de7p-17, -0x1.c49019345e4bep-17, -0x1.dcbb45caf2b46p-17, -0x1.f40ae5cffe57bp-17, -0x1.05407c15761dcp-16, -0x1.100fd15b9d098p-16, -0x1.1a7497c29e7fp-16, -0x1.2470051e7fabbp-16, -0x1.2e035ecd2fc28p-16, -0x1.372ff8822b72cp-16, -0x1.3ff7331f94011p-16, -0x1.485a7b9f548a5p-16, -0x1.505b49ffc1304p-16, -0x1.57fb2043f51cdp-16, -0x1.5f3b897bfc848p-16, -0x1.661e18db4905fp-16, -0x1.6ca468d7780f1p-16, -0x1.72d01a518c099p-16, -0x1.78a2d3c9169a4p-16, -0x1.7e1e4099625cep-16, -0x1.8344103f4f343p-16, -0x1.8815f5a9dde89p-16, -0x1.8c95a69487612p-16, -0x1.90c4dae3a4c45p-16, -0x1.94a54c109a193p-16, -0x1.9838b4984893cp-16, -0x1.9b80cf74acd84p-16, -0x1.9e7f579a82f2ep-16, -0x1.a1360781a46c3p-16, -0x1.a3a698b062e65p-16, -0x1.a5d2c34fd28d9p-16, -0x1.a7bc3dc4b8c43p-16, -0x1.a964bc4f51ce5p-16, -0x1.aacdf0b19b579p-16, -0x1.abf989da50e58p-16, -0x1.ace933943d409p-16, -0x1.ad9e963c5d19ap-16, -0x1.ae1b567c05f26p-16, -0x1.ae611507c4b54p-16, -0x1.ae716e633929bp-16, -0x1.ae4dfaa9aedb6p-16, -0x1.adf84d592c82bp-16, -0x1.ad71f5229e8dp-16, -0x1.acbc7bbcc5f88p-16, -0x1.abd965bda364ep-16, -0x1.aaca3274ecc15p-16, -0x1.a9905bcae2c04p-16, -0x1.a82d56209511ep-16, -0x1.a6a2903619ea2p-16, -0x1.a4f173100803ep-16, -0x1.a31b61e3f4517p-16, -0x1.a121ba03c6139p-16, -0x1.9f05d2cf47bc1p-16, -0x1.9cc8fda4e286fp-16, -0x1.9a6c85d51dadcp-16, -0x1.97f1b09ae524fp-16, -0x1.9559bd1230935p-16, -0x1.92a5e433f4408p-16, -0x1.8fd758d227a07p-16, -0x1.8cef479674d12p-16, -0x1.89eed7014a183p-16, -0x1.86d7276bc6c27p-16, -0x1.83a9530a4b959p-16, -0x1.80666df0c387cp-16, -0x1.7d0f8619146d6p-16, -0x1.79a5a36a4c707p-16, -0x1.7629c7bfbfaecp-16, -0x1.729ceef3df29fp-16, -0x1.6f000ee8e7c13p-16, -0x1.6b541795deee8p-16, -0x1.6799f31147d88p-16, -0x1.63d285a021d49p-16, -0x1.5ffeadc30d7dep-16, -0x1.5c1f44444ab0dp-16, -0x1.58351c486e9a9p-16, -0x1.5441035d1b9cfp-16, -0x1.5043c18a6c3b3p-16, -0x1.4c3e19644c02cp-16, -0x1.4830c81c0ad1dp-16, -0x1.441c8592c6212p-16, -0x1.4002046ae6ac6p-16, -0x1.3be1f21c269fdp-16, -0x1.37bcf705fb9a3p-16, -0x1.3393b68489333p-16, -0x1.2f66cf02c0c5bp-16, -0x1.2b36da0ffe048p-16, -0x1.27046c733b77dp-16, -0x1.22d016401d83cp-16, -0x1.1e9a62eaf4fb7p-16, -0x1.1a63d95d7a2bap-16, -0x1.162cfc0bf56c8p-16, -0x1.11f6490a50a48p-16, -0x1.0dc03a20b4c7ep-16, -0x1.098b44dfde90fp-16, -0x1.0557dab6e932ep-16, -0x1.012669075de59p-16, -0x1.f9eeb275308b8p-17, -0x1.f19621ac0dc0ep-17, -0x1.e943e32077fa8p-17, -0x1.e0f8b2cb97efep-17, -0x1.d8b5455a01203p-17, -0x1.d07a48553ef69p-17, -0x1.c848624c4bcap-17, -0x1.c02032faa6c84p-17, -0x1.b802537268922p-17, -0x1.afef5640eee53p-17, -0x1.a7e7c798d2f48p-17, -0x1.9fec2d75e8222p-17, -0x1.97fd07c57c3bap-17, -0x1.901ad08b3e3a4p-17, -0x1.8845fc06f1a79p-17, -0x1.807ef8d932c78p-17, -0x1.78c63028ac9bdp-17, -0x1.711c05c5f6782p-17, -0x1.6980d84e97f8ep-17, -0x1.61f5015179971p-17, -0x1.5a78d56f3c12cp-17, -0x1.530ca47e86707p-17, -0x1.4bb0b9ad36487p-17, -0x1.44655ba06ad08p-17, -0x1.3d2acc968d325p-17, -0x1.36014a858171cp-17, -0x1.2ee90f3c4a75ap-17, -0x1.27e2508094c34p-17, -0x1.20ed402d665bbp-17, -0x1.1a0a0c50efefcp-17, -0x1.1338df4ad2185p-17, -0x1.0c79dfe7579c4p-17, -0x1.05cd317e46298p-17, -0x1.fe65e816f1c51p-18, -0x1.f15688983f763p-18, -0x1.e46c77b269c3ap-18, -0x1.d7a7e281eac65p-18, -0x1.cb08f042f612ap-18, -0x1.be8fc2828049cp-18, -0x1.b23c754da2247p-18, }}, 
      {{-0x1.6b53cddfa04f1p-1, -0x1.6b8b88544276ep-1, -0x1.6bdce34b0b339p-1, -0x1.6c3b49c150a07p-1, -0x1.6c99ef1425144p-1, -0x1.6ced21e2c68ep-1, -0x1.6d2affeb367ccp-1, -0x1.6d4bc0f50e85bp-1, -0x1.6d49bec2406a5p-1, -0x1.6d21544a21532p-1, -0x1.6cd0a622dee62p-1, -0x1.6c576010969abp-1, -0x1.6bb66f8b39d45p-1, -0x1.6aefc02bd53f8p-1, -0x1.6a05fcf7e44c1p-1, -0x1.68fc58297b344p-1, -0x1.67d65a2ca532cp-1, -0x1.6697b7f2a9b67p-1, -0x1.6544305b135d6p-1, -0x1.63df7037367e9p-1, -0x1.626cfc4be3e4ep-1, -0x1.60f020a5a6ceep-1, -0x1.5f6be49099978p-1, -0x1.5de302897e5c7p-1, -0x1.5c57e3876dcc9p-1, -0x1.5acc9d0a2c1b1p-1, -0x1.5942f1677ad89p-1, -0x1.57bc51e0a89ecp-1, -0x1.5639e21864ea9p-1, -0x1.54bc7c8f12996p-1, -0x1.5344b7d91f1f9p-1, -0x1.51d2ec4f1caeep-1, -0x1.50673a0265b5ap-1, -0x1.4f018ecae7c3fp-1, -0x1.4da1ac4b51136p-1, -0x1.4c472dd066aa6p-1, -0x1.4af18df6abd69p-1, -0x1.49a02c0705bcp-1, -0x1.485250ff9057bp-1, -0x1.47073441a6f3dp-1, -0x1.45bdffe13c1dap-1, -0x1.4475d49414bc9p-1, -0x1.432dcd4178beap-1, -0x1.41e502346e2d1p-1, -0x1.409a8bf3bbe97p-1, -0x1.3f4d85c3ca5f6p-1, -0x1.3dfd0fd709989p-1, -0x1.3ca85131ede73p-1, -0x1.3b4e7947bb481p-1, -0x1.39eec1557a5a2p-1, -0x1.38886d805c774p-1, -0x1.371acdbcc074p-1, -0x1.35a53e82dc0afp-1, -0x1.34272955d6fa9p-1, -0x1.32a00521e865fp-1, -0x1.310f5675c1c36p-1, -0x1.2f74af9b5661fp-1, -0x1.2dcfb093ba57ap-1, -0x1.2c2006f99ffafp-1, -0x1.2a656dcda8953p-1, -0x1.289fad2f84af5p-1, -0x1.26ce9a069feb5p-1, -0x1.24f2159cd6227p-1, -0x1.230a0d2d7a0fap-1, -0x1.2116796ac0cf3p-1, -0x1.1f175dfb723f3p-1, -0x1.1d0cc8f28fe73p-1, -0x1.1af6d2427bcep-1, -0x1.18d59b2cfc726p-1, -0x1.16a94db15b008p-1, -0x1.14721bf9af14ep-1, -0x1.12303fc8540eep-1, -0x1.0fe3f9e662c0dp-1, -0x1.0d8d9193ebf1dp-1, -0x1.0b2d53fa9f003p-1, -0x1.08c393a36bca9p-1, -0x1.0650a7ef9be8cp-1, -0x1.03d4ec95cb356p-1, -0x1.0150c1231a0afp-1, -0x1.fd891101bb2fep-2, -0x1.f86150fe17476p-2, -0x1.f32b12c7186b2p-2, -0x1.ede72afd23539p-2, -0x1.e89671881e582p-2, -0x1.e339c0d4b6752p-2, -0x1.ddd1f51bfd43p-2, -0x1.d85febb562827p-2, -0x1.d2e48272f25f3p-2, -0x1.cd609707b61b2p-2, -0x1.c7d50678114eep-2, -0x1.c242ac93e7da6p-2, -0x1.bcaa637a5125ep-2, -0x1.b70d0326972bap-2, -0x1.b16b61063d8e8p-2, -0x1.abc64f97c2054p-2, -0x1.a61e9e11c8b18p-2, -0x1.a075181265a99p-2, -0x1.9aca8556298b6p-2, -0x1.951fa976a2d0bp-2, -0x1.8f7543aff7f7ap-2, -0x1.89cc0ead48431p-2, -0x1.8424c05b7a3a1p-2, -0x1.7e8009c224576p-2, -0x1.78de96e23862fp-2, -0x1.73410e9a216a7p-2, -0x1.6da8128eff76ap-2, -0x1.68143f1ab1d3ap-2, -0x1.62862b3e6527ap-2, -0x1.5cfe68995238bp-2, -0x1.577d83636d2b2p-2, -0x1.5204026bb60f1p-2, -0x1.4c926719eaf66p-2, -0x1.47292d735a0c6p-2, -0x1.41c8cc2290d5p-2, -0x1.3c71b481b0477p-2, -0x1.372452a729143p-2, -0x1.31e10d74ad80fp-2, -0x1.2ca846a81c9b5p-2, -0x1.277a5aee407d1p-2, -0x1.2257a1f722f29p-2, -0x1.1d406e8bda28fp-2, -0x1.18350ea599efcp-2, -0x1.1335cb85e3bbdp-2, -0x1.0e42e9cfb38cap-2, -0x1.095ca9a18615bp-2, -0x1.048346b013399p-2, -0x1.ff6df0c34a2dfp-3, -0x1.f5efe3d3d395p-3, -0x1.ec8cc4cc53cedp-3, -0x1.e344e9f38d416p-3, -0x1.da18a1d5ddd79p-3, -0x1.d108337ee1922p-3, -0x1.c813deb32bf76p-3, -0x1.bf3bdc29fb5acp-3, -0x1.b6805dc6b3d87p-3, -0x1.ade18ed21cbefp-3, -0x1.a55f943332a86p-3, -0x1.9cfa8ca775a2bp-3, -0x1.94b290faafe29p-3, -0x1.8c87b43e0ac75p-3, -0x1.847a03fe706edp-3, -0x1.7c89887a1cd15p-3, -0x1.74b644d55f46bp-3, -0x1.6d00374e704fep-3, -0x1.6567597061cbep-3, -0x1.5deba0450bb13p-3, -0x1.568cfc86027c4p-3, -0x1.4f4b5acc8318bp-3, -0x1.4826a3c05282cp-3, -0x1.411ebc458bd9ap-3, -0x1.3a3385a95dc3dp-3, -0x1.3364ddcdad791p-3, -0x1.2cb29f53a67acp-3, -0x1.261ca1c52aaa7p-3, -0x1.1fa2b9bd2ff05p-3, -0x1.1944b90eff20cp-3, -0x1.13026eec60726p-3, -0x1.0cdba80ab03bep-3, -0x1.06d02ec6dbfb8p-3, -0x1.00dfcb485235p-3, -0x1.f6148745c3436p-4, -0x1.ea9eb7ef20fe5p-4, -0x1.df5dad28c65e8p-4, -0x1.d450e8264e8ecp-4, -0x1.c977e6ee79cb4p-4, -0x1.bed22494bad67p-4, -0x1.b45f1970e9704p-4, -0x1.aa1e3b54fbe88p-4, -0x1.a00efdc0f3c6cp-4, -0x1.9630d214e9d3bp-4, -0x1.8c8327c15414fp-4, -0x1.83056c7595901p-4, -0x1.79b70c4cc9949p-4, -0x1.709771f8ed636p-4, -0x1.67a606ec6290bp-4, -0x1.5ee23381db8c8p-4, -0x1.564b5f22ba957p-4, -0x1.4de0f06bea1fep-4, -0x1.45a24d513d1ddp-4, -0x1.3d8edb3f5fc6ep-4, -0x1.35a5ff3c5f8f5p-4, -0x1.2de71e06d6cbap-4, -0x1.26519c33c68f8p-4, -0x1.1ee4de4b240ep-4, -0x1.17a048e327627p-4, -0x1.108340ba61e89p-4, -0x1.098d2ad0a5d22p-4, -0x1.02bd6c7ec8d39p-4, -0x1.f826d71a923cap-5, -0x1.eb1d1c93b9d98p-5, -0x1.de5c7737f459fp-5, -0x1.d1e3b630a90d8p-5, -0x1.c5b1aa26c59bp-5, -0x1.b9c52565e35a3p-5, -0x1.ae1cfbfd8d763p-5, -0x1.a2b803e0c34cp-5, -0x1.97951503bdb46p-5, -0x1.8cb309780767p-5, -0x1.8210bd86fa6a4p-5, -0x1.77ad0fcaa9f27p-5, -0x1.6d86e1454b559p-5, -0x1.639d1577262dp-5, -0x1.59ee927320655p-5, -0x1.507a40f1ea1cep-5, -0x1.473f0c63d870cp-5, -0x1.3e3be3017e007p-5, -0x1.356fb5db0b00cp-5, -0x1.2cd978e679ccdp-5, -0x1.2478230ca03ap-5, -0x1.1c4aae3523948p-5, -0x1.145017515fcc6p-5, -0x1.0c875e664af93p-5, -0x1.04ef86955fc39p-5, -0x1.fb0f2c492b784p-6, -0x1.ec9d2d0ae5144p-6, -0x1.de8728b67e64cp-6, -0x1.d0cb3f00c9f8ap-6, -0x1.c3679615fd3e1p-6, -0x1.b65a5aa14b9d8p-6, -0x1.a9a1bfd306fe1p-6, -0x1.9d3bff6553c85p-6, -0x1.9127599f86ea7p-6, -0x1.85621558386ccp-6, -0x1.79ea7ff613086p-6, -0x1.6ebeed6f7d996p-6, -0x1.63ddb84917638p-6, -0x1.594541932c74cp-6, -0x1.4ef3f0e6162fbp-6, -0x1.44e8345da36efp-6, -0x1.3b2080939bf59p-6, -0x1.319b50994a10bp-6, -0x1.285725f03e7cap-6, -0x1.1f5288823cf58p-6, -0x1.168c06986528bp-6, -0x1.0e0234d1aa511p-6, -0x1.05b3ae188ab8ap-6, -0x1.fb3e273064161p-7, -0x1.eb861961f237p-7, -0x1.dc3c8dd898859p-7, -0x1.cd5eebe01c4ccp-7, -0x1.beeaa6e2e9994p-7, -0x1.b0dd3e4ed5ae3p-7, -0x1.a3343d79004c4p-7, -0x1.95ed3b80df0cfp-7, -0x1.8905db32743a9p-7, -0x1.7c7bcae7e0fep-7, -0x1.704cc46a3c5eap-7, -0x1.64768cd1c869p-7, -0x1.58f6f465a7435p-7, -0x1.4dcbd67af5724p-7, -0x1.42f3195378df9p-7, -0x1.386aadfbd03b4p-7, -0x1.2e30902956c84p-7, -0x1.2442c61797ff5p-7, -0x1.1a9f60657d629p-7, -0x1.114479f236efcp-7, -0x1.083037b9e79d6p-7, -0x1.fec191642ce8cp-8, -0x1.eda8cb4c0ca8dp-8, -0x1.dd12a225ab20ap-8, -0x1.ccfbae072d937p-8, -0x1.bd6099da900aap-8, -0x1.ae3e23158d95ap-8, -0x1.9f9119717fcfap-8, -0x1.91565ea33b04dp-8, -0x1.838ae612f2394p-8, -0x1.762bb4945d0d2p-8, -0x1.6935e01edec15p-8, -0x1.5ca68f85f1599p-8, -0x1.507afa31d254fp-8, -0x1.44b067d870b26p-8, -0x1.39443036be52cp-8, -0x1.2e33baca440ffp-8, -0x1.237c7e8b293b9p-8, -0x1.191c01a6a583bp-8, -0x1.0f0fd939e2062p-8, -0x1.0555a90d65285p-8, -0x1.f7d646a1d2c95p-9, -0x1.e59c10afa010dp-9, -0x1.d3f84cac22f55p-9, -0x1.c2e6b23bb14d4p-9, -0x1.b26313bb5374fp-9, -0x1.a2695dbe560e4p-9, -0x1.92f5968d116p-9, -0x1.8403dda521708p-9, -0x1.75906b3aee34fp-9, -0x1.67978fbc88568p-9, -0x1.5a15b355f3e28p-9, -0x1.4d075576d2421p-9, -0x1.40690c599ac39p-9, -0x1.3437848c3ece7p-9, -0x1.286f807a4c555p-9, -0x1.1d0dd7f87fe34p-9, -0x1.120f77d1ff1fbp-9, -0x1.07716156e8788p-9, -0x1.fa6153d97879ap-10, -0x1.e694f540325a2p-10, -0x1.d3781f700517cp-10, -0x1.c1057095b2afdp-10, -0x1.af37aba9a7879p-10, -0x1.9e09b7a047cc8p-10, -0x1.8d769e9d4fd65p-10, -0x1.7d798d2a117ep-10, -0x1.6e0dd16f3cef5p-10, -0x1.5f2eda71b6d9ap-10, -0x1.50d837527e416p-10, -0x1.4305969213a92p-10, -0x1.35b2c55678828p-10, -0x1.28dbaeb4aa557p-10, -0x1.1c7c5afd2ea88p-10, -0x1.1090ef0bafa8ep-10, -0x1.0515ab99e8841p-10, -0x1.f40dd92a8f10bp-11, -0x1.dec250efadafp-11, -0x1.ca41df483f91fp-11, -0x1.b685d78813c3p-11, -0x1.a387be5585c77p-11, -0x1.91414873d3767p-11, -0x1.7fac599212cfp-11, -0x1.6ec30320c0a6fp-11, -0x1.5e7f832d25a56p-11, -0x1.4edc43420eb43p-11, -0x1.3fd3d74ee17edp-11, -0x1.3160fc93952a4p-11, -0x1.237e9892661a2p-11, -0x1.1627b8072ce2ap-11, -0x1.09578de3e3fddp-11, -0x1.fa12e4a55dce3p-12, -0x1.e271c37b2c5dcp-12, -0x1.cbc2f7b58966fp-12, -0x1.b5fe057c14b6bp-12, -0x1.a11ab3dfbe9dfp-12, -0x1.8d110b121f81bp-12, -0x1.79d952a6bd3f3p-12, -0x1.676c0fdf048e3p-12, -0x1.55c203ff0cd57p-12, -0x1.44d42aaae9a5ep-12, -0x1.349bb84f70f4cp-12, -0x1.251218925cbccp-12, -0x1.1630eccc78a1p-12, -0x1.07f20a8c830b3p-12, -0x1.f49ef4465f4f4p-13, -0x1.da86ea6d52a14p-13, -0x1.c190cabec7765p-13, -0x1.a9b1c59a8fcc3p-13, -0x1.92df65e994829p-13, -0x1.7d0f8e88bbaf6p-13, -0x1.683877c43d4fbp-13, -0x1.5450acdf998e7p-13, -0x1.414f09b03b295p-13, -0x1.2f2ab84553a52p-13, -0x1.1ddb2e9e86a28p-13, -0x1.0d582c714a358p-13, -0x1.fb3371faaca45p-14, -0x1.dd3041dc5d008p-14, -0x1.c097e892012bep-14, -0x1.a55c08d3de998p-14, -0x1.8b6ec41b4e77cp-14, -0x1.72c2b6cfc2dbp-14, -0x1.5b4af48c641e4p-14, -0x1.44fb0480d3ae4p-14, -0x1.2fc6dde728b15p-14, -0x1.1ba2e491569dbp-14, -0x1.0883e59120d3p-14, -0x1.ecbe27e66fc41p-15, -0x1.ca540b2645d9p-15, -0x1.a9b56007bdaccp-15, -0x1.8acecb1bb31c8p-15, -0x1.6d8da4839534ap-15, -0x1.51dff23efee6dp-15, -0x1.37b462a1ea69ep-15, -0x1.1efa46f183445p-15, -0x1.07a18e2757962p-15, -0x1.e3357fb83cfa3p-16, -0x1.b9adeea602f69p-16, -0x1.928fbd53cd1e7p-16, -0x1.6dbf545841a0fp-16, -0x1.4b22278e598cep-16, -0x1.2a9ead4788342p-16, -0x1.0c1c55b025e25p-16, -0x1.df0705015911ep-17, -0x1.a97afdd161bf2p-17, -0x1.7768ef69be38bp-17, -0x1.48a6e75a5a24cp-17, -0x1.1d0c985bb08e7p-17, -0x1.e8e697ec391cbp-18, -0x1.9d6ba9289f5c2p-18, -0x1.5760fffa81e92p-18, -0x1.1682146635948p-18, -0x1.b51a4303d3923p-19, -0x1.468619891a357p-19, -0x1.c19d384d27089p-20, -0x1.06ff623ff88dep-20, -0x1.71504245c6072p-22, 0x1.f9d1097aacb32p-23, 0x1.98ef600ac1942p-21, 0x1.4c28834d04d8fp-20, 0x1.bf083bfb05857p-20, 0x1.12e540bec2adfp-19, 0x1.408da60fad452p-19, 0x1.68cf9674696b1p-19, 0x1.8bf9c9c44575cp-19, 0x1.aa5788d2ddf74p-19, 0x1.c430ce1b1071ep-19, 0x1.d9ca6551a3ad2p-19, 0x1.eb660a084503fp-19, 0x1.f942853837dd5p-19, 0x1.01cde4f697e5bp-18, 0x1.05558867f5d36p-18, 0x1.0753797fa3f68p-18, 0x1.07e1c1f48961fp-18, 0x1.07193524e6dffp-18, 0x1.05117c21aed67p-18, 0x1.01e12166747bdp-18, 0x1.fb3b381ba2c3ap-19, 0x1.f0b6b59a47126p-19, 0x1.e45b9cd9fe5ebp-19, 0x1.d64ee7db0387ep-19, 0x1.c6b3bcb0846p-19, 0x1.b5ab807621aedp-19, 0x1.a355e97ee53cep-19, 0x1.8fd1110f9615cp-19, 0x1.7b39845474e27p-19, 0x1.65aa54b49e055p-19, 0x1.4f3d27ca86df3p-19, 0x1.380a468975372p-19, 0x1.2028abf9b365bp-19, 0x1.07ae135eaed12p-19, 0x1.dd5e0bd4916dp-20, 0x1.aa7dcfab03dbep-20, 0x1.76e00a3792f01p-20, 0x1.42a73b5ed6b2bp-20, 0x1.0df3e2492fa77p-20, 0x1.b1c92877c3911p-21, 0x1.472c248d9731p-21, 0x1.b88d7915bb652p-22, 0x1.c52e77d6115c6p-23, 0x1.9a91be924fb27p-27, -0x1.90c3511366c1dp-23, -0x1.9cb84bb43dd45p-22, -0x1.37f0e353d663bp-21, -0x1.a0cae4ddb8a5ap-21, -0x1.046442b962e28p-20, -0x1.37e54210b37fap-20, -0x1.6ad9f34bcb087p-20, -0x1.9d34ee921bd8cp-20, -0x1.cee9d3ba3828bp-20, -0x1.ffed3d540e75ap-20, -0x1.181a5a25b2902p-19, -0x1.2fdb51e4a5f0ap-19, -0x1.473526e8b3f45p-19, -0x1.5e23e022f906cp-19, -0x1.74a3e530f8522p-19, -0x1.8ab1f949c77e3p-19, -0x1.a04b366cda39cp-19, -0x1.b56d08c6b079fp-19, -0x1.ca152a32bce0bp-19, -0x1.de419e024d5a1p-19, -0x1.f1f0ad00529dap-19, -0x1.029070b9ce677p-18, -0x1.0be881bddb506p-18, -0x1.15000abf9e582p-18, -0x1.1dd6a8619e488p-18, -0x1.266c1119a861cp-18, -0x1.2ec013a4d8e6cp-18, -0x1.36d2958cbc269p-18, -0x1.3ea391bcd26d8p-18, -0x1.4633172c0767bp-18, -0x1.4d814795b76a8p-18, -0x1.548e5641ed0a5p-18, -0x1.5b5a86d9984eep-18, -0x1.61e62c4b4104dp-18, -0x1.6831a7bb69c1fp-18, -0x1.6e3d6784c2d1bp-18, -0x1.7409e643e49bcp-18, -0x1.7997a9f030934p-18, -0x1.7ee742fc4bb3bp-18, -0x1.83f94b85aaf43p-18, -0x1.88ce66899965ep-18, -0x1.8d673f2f2c3afp-18, -0x1.91c48810d5632p-18, -0x1.95e6fa944fa5fp-18, -0x1.99cf564573d13p-18, -0x1.9d7e6040c79dep-18, -0x1.a0f4e2a2fbe5p-18, -0x1.a433abfcefc9fp-18, -0x1.a73b8edc7692ap-18, -0x1.aa0d614aeebdfp-18, -0x1.aca9fc5acba6cp-18, -0x1.af123bbe22255p-18, -0x1.b146fd613deb8p-18, -0x1.b349210a0e456p-18, -0x1.b51987fe86f59p-18, -0x1.b6b914acfc5b5p-18, -0x1.b828aa61e0a2ap-18, -0x1.b9692cf765e24p-18, -0x1.ba7b8091e42dap-18, -0x1.bb608963165d9p-18, -0x1.bc192b68307b5p-18, -0x1.bca64a315924dp-18, -0x1.bd08c8ae40f4p-18, -0x1.bd4188fd6019dp-18, -0x1.bd516c3eb25adp-18, -0x1.bd395265c4607p-18, -0x1.bcfa1a156ef57p-18, -0x1.bc94a07c66f89p-18, -0x1.bc09c12fabfabp-18, -0x1.bb5a560e491f1p-18, -0x1.ba873727babf5p-18, -0x1.b9913a9e7d7c4p-18, -0x1.b8793492fb24cp-18, -0x1.b73ff70c67002p-18, -0x1.b5e651e8f8d9ap-18, -0x1.b46d12ca210c1p-18, -0x1.b2d505051a4f4p-18, -0x1.b11ef1938d1a8p-18, -0x1.af4b9f0cee8b2p-18, -0x1.ad5bd1969addbp-18, -0x1.ab504adc3f9fap-18, -0x1.a929ca0a85789p-18, -0x1.a6e90bc4e97b3p-18, -0x1.a48eca22753e1p-18, -0x1.a21bbca9941dap-18, -0x1.9f90984ccd5ap-18, -0x1.9cee0f6985045p-18, -0x1.9a34d1c5f4e4bp-18, -0x1.97658c8e48036p-18, -0x1.9480ea5761b94p-18, -0x1.91879320717f4p-18, -0x1.8e7a2c52f3cbfp-18, -0x1.8b5958c6ccf6cp-18, -0x1.8825b8c50c89p-18, -0x1.84dfea0865b94p-18, -0x1.818887c5dbf1ep-18, -0x1.7e202aad0c071p-18, -0x1.7aa768ef87ccap-18, -0x1.771ed646402fbp-18, -0x1.738703f5b087cp-18, -0x1.6fe080d32b93ep-18, -0x1.6c2bd94b5d735p-18, -0x1.686997695311bp-18, -0x1.649a42dc47b0fp-18, -0x1.60be60ff917a4p-18, -0x1.5cd674e126a24p-18, -0x1.58e2ff4655f5ep-18, -0x1.54e47eb6c727p-18, -0x1.50db6f8094d22p-18, -0x1.4cc84bc0ad819p-18, -0x1.48ab8b6af871fp-18, -0x1.4485a451e758ap-18, -0x1.40570a2c3f511p-18, -0x1.3c202e9d0b30fp-18, -0x1.37e1813c94276p-18, -0x1.339b6f9db2c26p-18, -0x1.2f4e6556f88dep-18, -0x1.2afacc0a1ef8fp-18, -0x1.26a10b6af111dp-18, -0x1.22418945b4b55p-18, -0x1.1ddca98939e5p-18, -0x1.1972ce4acc297p-18, -0x1.150457cf09c1ap-18, -0x1.1091a4914468bp-18, -0x1.0c1b114a4ed33p-18, -0x1.07a0f8f704feep-18, -0x1.0323b4dec8fb7p-18, -0x1.fd473937ade92p-19, -0x1.f4420c4002fc6p-19, -0x1.eb388b777200dp-19, -0x1.e22b5c4c9a0b7p-19, -0x1.d91b21039dd39p-19, -0x1.d00878c5d9aa5p-19, -0x1.c6f3ffae289d3p-19, -0x1.bdde4ed28c534p-19, -0x1.b4c7fc50319efp-19, -0x1.abb19b5991357p-19, -0x1.a29bbc4009b5ep-19, -0x1.9986ec80655c1p-19, -0x1.9073b6cb10ee3p-19, -0x1.8762a312e02afp-19, -0x1.7e5436941c6a3p-19, -0x1.7548f3de6a28bp-19, -0x1.6c415ae18f4abp-19, -0x1.633de8f822fe7p-19, -0x1.5a3f18ec43b08p-19, -0x1.514563068c79ap-19, -0x1.48513d14719f6p-19, -0x1.3f631a701582p-19, -0x1.367b6c0b142a2p-19, -0x1.2d9aa07673e29p-19, -0x1.24c123ed6e779p-19, -0x1.1bef605a70f4bp-19, -0x1.1325bd6038018p-19, -0x1.0a64a0641eeabp-19, -0x1.01ac6c90e3872p-19, -0x1.f1fb05c1f3bbfp-20, -0x1.e0b0844f65c64p-20, -0x1.cf7a0e2f01836p-20, -0x1.be58588c4cffap-20, -0x1.ad4c147175ac6p-20, -0x1.9c55eeccc4905p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      28, 0x1.1851eb851eb85p+2, -0x1.c31757aa57c29p-2, 0x1p+0, 0x1p+0, 
      {{
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.769c2f04b5143p-5, -0x1.edfb0ecda5cc2p-5, -0x1.b3372ae5d1d3fp-7, 0x1.2ecbd2497b15bp-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.5dad49285ed98p-5, -0x1.f697117fa45c1p-5, -0x1.fb135973765cp-8, 0x1.2c472884f9207p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.446d2cda14b8ap-5, -0x1.faad2d315e361p-5, -0x1.257beb4163993p-9, 0x1.2998c13af9d6dp-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.2b15800712dddp-5, -0x1.fa475d88b1c28p-5, 0x1.a4bf7e18f4011p-9, 0x1.28ed2708f8742p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.11df76a1ab01ep-5, -0x1.f56c11e4a1924p-5, 0x1.1b57c3bed213dp-7, 0x1.1a2317e62a1b8p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.f2073f0d68b1p-6, -0x1.ec38f8faef342p-5, 0x1.c4a00548eb571p-7, 0x1.fa6248f2bf531p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c16f64b2b5819p-6, -0x1.df020b2270ec4p-5, 0x1.2e45272f45913p-6, 0x1.c4bc98603bf55p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9258babddbeep-6, -0x1.ce325bcdcbf07p-5, 0x1.722e3e0a81c33p-6, 0x1.8df3db18e084p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.651a24c8a3066p-6, -0x1.ba32031489babp-5, 0x1.addf9ee7d6a38p-6, 0x1.57791a5dd0b6p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.3a000d7bf96e2p-6, -0x1.a369e59898227p-5, 0x1.e164fc75e9258p-6, 0x1.20e974266ab13p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.114c668ff55f8p-6, -0x1.8a42b12d6f471p-5, 0x1.065d9a243c933p-5, 0x1.d4becea80ddddp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d66d5197a952bp-7, -0x1.6f252255f9d59p-5, 0x1.17f18eb0f04b7p-5, 0x1.67a7b4d407b1bp-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.8fd7a80bf9603p-7, -0x1.5279f1a5cdf32p-5, 0x1.256e3f127d623p-5, 0x1.f522d1e5b8bdfp-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.4f1cde47f4dbfp-7, -0x1.34a9d8be61519p-5, 0x1.2ed3b301ff3f4p-5, 0x1.1af5caeb086a5p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.146d103504e44p-7, -0x1.161d90f900068p-5, 0x1.3421e8699a9afp-5, 0x1.032393b0e3d9p-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.bfc6cfb5c387ap-8, -0x1.ee7ba78379fbdp-6, 0x1.3558dfe7a212cp-5, -0x1.32c82b94208fdp-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.630c3abf25dcap-8, -0x1.b0e6b50372e16p-6, 0x1.32789918a4f7dp-5, -0x1.7390de9debfddp-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.128cee0ede06bp-8, -0x1.744dbd362d0c5p-6, 0x1.2b8114ec1557dp-5, -0x1.26df2d223d6edp-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.9c0324d46f35ap-9, -0x1.3982331dcec54p-6, 0x1.2072500799708p-5, -0x1.93f49e41151fbp-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.29f1d9a63906bp-9, -0x1.015588d2ee8f8p-6, 0x1.114c56e528a5ap-5, -0x1.00877464466c8p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.9b5f7a2054035p-10, -0x1.993267acfc002p-7, 0x1.fc1df5ee79ee4p-6, -0x1.370b8d30ee51p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.0b6594111e9f8p-10, -0x1.383d39e324a16p-7, 0x1.cd75d3f3efc8bp-6, -0x1.6db16b2585df3p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.4074cffbcb2bp-11, -0x1.c2dd71915b72p-8, 0x1.969b3714b54dep-6, -0x1.a3d940f19859fp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.55eb36e0d78cp-12, -0x1.2cd16529ebf73p-8, 0x1.57a106f0780c2p-6, -0x1.dbd77237a11c3p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.30e07020af67fp-13, -0x1.63487ed43f00ep-9, 0x1.1040b5ce86483p-6, -0x1.067d1edf4084cp-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8d7c5300ac2p-15, -0x1.51f59041b6a5p-10, 0x1.830325e3e5db1p-7, -0x1.2bda2263f6c06p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.083b0e7ea6p-17, -0x1.91416de9b4bbp-12, 0x1.9e33bc1ca39d7p-8, -0x1.1f3a4fa0cb3b6p-5}, 
        {0x1.1666666666666p+2, 0x1.1851eb851eb85p+2, 0x1.55bf6c02b8112p-23, -0x1.c8ab45a922e82p-17, 0x1.161d723b8bc43p-10, -0x1.3055f783a45p-4}, 
      }}, 
      0x1.39b6f267ad419p+1, -0x1.c2e2b7a4d62b1p+4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.140398a83cc1ep+0, -0x1.103581ed39e36p+0, -0x1.0a08e9e735343p+0, -0x1.01b2e3c02f4f2p+0, -0x1.eee2765d7b14cp-1, -0x1.d70bd1dfc368p-1, -0x1.bc67ab31f4894p-1, -0x1.9f7920df0506bp-1, -0x1.80bd75af4d2bap-1, -0x1.60a9f6e836388p-1, -0x1.3faaadc2206bp-1, -0x1.1e21abdd1145ap-1, -0x1.f8cd8fb6b291ap-2, -0x1.b58f53f9e0de2p-2, -0x1.73103cf070c3dp-2, -0x1.31c50f843dc2bp-2, -0x1.e421c9871279p-3, -0x1.688cf00f95951p-3, -0x1.e2a5e7887c707p-4, -0x1.fb8011bb2d54cp-5, -0x1.187c83934da25p-7, 0x1.59df9bf82795ep-5, 0x1.71e8ea39f5d8ap-4, 0x1.15d42f409bc8ap-3, 0x1.6d0c05cdb7ff3p-3, 0x1.be9d797ce4017p-3, 0x1.054a62c04f7fap-2, 0x1.288397037c334p-2, 0x1.4908be48ead73p-2, 0x1.66eb5516cf2fp-2, 0x1.823f5b41d8d1cp-2, 0x1.9b1ac97e5886bp-2, 0x1.b195294cfa624p-2, 0x1.c5c731620cb76p-2, 0x1.d7ca59e5a51ddp-2, 0x1.e7b8ad5dd3387p-2, 0x1.f5ac735b320a9p-2, 0x1.00e0008a0af6ap-1, 0x1.0606be7e8d75ap-1, 0x1.0a575d4aa03b9p-1, 0x1.0dde8c0596f77p-1, 0x1.10a8ac9979f27p-1, 0x1.12c1c9c29c9p-1, 0x1.14358bf2bbd97p-1, 0x1.150f3277bb1cap-1, 0x1.15598c96df9c4p-1, 0x1.151ef82df4cc1p-1, 0x1.14695ab0d7bd7p-1, 0x1.1342241059786p-1, 0x1.11b24d0868a76p-1, 0x1.0fc256ff95c3cp-1, 0x1.0d7a4eab781dp-1, 0x1.0ae1cf3b5287dp-1, 0x1.080002e6b1bffp-1, 0x1.04dba72a9fcfdp-1, 0x1.017b1264c076p-1, 0x1.fbc8628934e6dp-2, 0x1.f4392b9207143p-2, 0x1.ec52e2a030a81p-2, 0x1.e41f3a52456ffp-2, 0x1.dba73a8703548p-2, 0x1.d2f351d0c42a7p-2, 0x1.ca0b514e8871cp-2, 0x1.c0f67d821d84p-2, 0x1.b7bb948b2dc4cp-2, 0x1.ae60d2d2b8043p-2, 0x1.a4ebffd097a54p-2, 0x1.9b6271bc49f27p-2, 0x1.91c9163f568e4p-2, 0x1.882477a90fa91p-2, 0x1.7e78c4b5afad6p-2, 0x1.74c9d76b70bc3p-2, 0x1.6b1b38bdb098bp-2, 0x1.61702696ef256p-2, 0x1.57cb9a4dae722p-2, 0x1.4e304b8fa4553p-2, 0x1.44a0b790aa328p-2, 0x1.3b1f205256fd7p-2, 0x1.31ad997f6cae7p-2, 0x1.284e0173c7674p-2, 0x1.1f020d0010984p-2, 0x1.15cb47384a58ap-2, 0x1.0cab14c3664cep-2, 0x1.03a2b76dbe972p-2, 0x1.f566a13fae7ap-3, 0x1.e3bbc4fc0d35cp-3, 0x1.d246ab97e26f5p-3, 0x1.c108ed2964f86p-3, 0x1.b003f7509f19ep-3, 0x1.9f390b2a31fb4p-3, 0x1.8ea93d337f0a9p-3, 0x1.7e5583a34941dp-3, 0x1.6e3eadfa78324p-3, 0x1.5e656cb63bacfp-3, 0x1.4eca5354aa4c2p-3, 0x1.3f6dda7c0d00fp-3, 0x1.3050615d9205dp-3, 0x1.2172329b979b9p-3, 0x1.12d3807a65f8cp-3, 0x1.047469d59f57cp-3, 0x1.eca9fb4f93173p-4, 0x1.d0ea7202244b5p-4, 0x1.b5aa12c8a3a6dp-4, 0x1.9ae89dc52f50dp-4, 0x1.80a5b5a0a42dep-4, 0x1.66e0eb61189cfp-4, 0x1.4d99b1ed42e7bp-4, 0x1.34cf6cb0f3617p-4, 0x1.1c816ba33e446p-4, 0x1.04aeec272768ep-4, 0x1.daae3b2a11e56p-5, 0x1.acf23ef8a5a6dp-5, 0x1.8028096e909d5p-5, 0x1.544da86d0ff87p-5, 0x1.296113baae1acp-5, 0x1.fec05bb1d8739p-6, 0x1.ac91942bffdeep-6, 0x1.5c3151948e784p-6, 0x1.0d9af8f73131bp-6, 0x1.8193aedb9bfdp-7, 0x1.d6e47d672f3b4p-8, 0x1.631f84bb4daf4p-9, -0x1.b3aa66b518e86p-10, -0x1.849ea5ad7e4c6p-8, -0x1.4ad05022091f2p-7, -0x1.d0027c6fb0684p-7, -0x1.28f8120c7f6b2p-6, -0x1.6851cffbd17f8p-6, -0x1.a613a87e49d4dp-6, -0x1.e242da56c0f0dp-6, -0x1.0e724df965dbp-5, -0x1.2aff16875b808p-5, -0x1.46ca65c4712p-5, -0x1.61d6dadd67a18p-5, -0x1.7c271351b5303p-5, -0x1.95bdacae7511dp-5, -0x1.ae9d42edb1b12p-5, -0x1.c6c86e2683d22p-5, -0x1.de41c54be37ccp-5, -0x1.f50bdcbb2aac8p-5, -0x1.0594a279866f8p-4, -0x1.104e4599bc87bp-4, -0x1.1ab41c8b0ea46p-4, -0x1.24c769e9f7a7cp-4, -0x1.2e896f2e1b49ap-4, -0x1.37fb69e2a6355p-4, -0x1.411e969c734ddp-4, -0x1.49f42f25cb669p-4, -0x1.527d6aff581f7p-4, -0x1.5abb7f1d5fad3p-4, -0x1.62af9d1237326p-4, -0x1.6a5af58aa8fdap-4, -0x1.71beb50d355f7p-4, -0x1.78dc061100495p-4, -0x1.7fb41025cdd9bp-4, -0x1.8647f83981565p-4, -0x1.8c98e09068358p-4, -0x1.92a7e88756c56p-4, -0x1.98762c8d4fe25p-4, -0x1.9e04c69cc7c92p-4, -0x1.a354cdc30c16fp-4, -0x1.a867563185b64p-4, -0x1.ad3d71f0d3bcap-4, -0x1.b1d82ee27c5fp-4, -0x1.b6389973231a3p-4, -0x1.ba5fbb4280efcp-4, -0x1.be4e9ac26344ep-4, -0x1.c2063bc6f7f51p-4, -0x1.c5879f74d3342p-4, -0x1.c8d3c49078c0bp-4, -0x1.cbeba74b4ce57p-4, -0x1.ced040eaeb092p-4, -0x1.d182883c2b7b8p-4, -0x1.d40371830616fp-4, -0x1.d653ee9b49e4ep-4, -0x1.d874eeff4b12fp-4, -0x1.da675fa1e9825p-4, -0x1.dc2c2abda1624p-4, -0x1.ddc4387ee2b2fp-4, -0x1.df306e676a1f8p-4, -0x1.e071b01c0fd4fp-4, -0x1.e188ded1c9d24p-4, -0x1.e276d8fc37e3cp-4, -0x1.e33c7b1ec0a9p-4, -0x1.e3da9f74d927ap-4, -0x1.e4521e447eefbp-4, -0x1.e4a3cd947d73dp-4, -0x1.e4d0810cc0096p-4, -0x1.e4d90a00aecfap-4, -0x1.e4be37f458d31p-4, -0x1.e480d86dd1fe7p-4, -0x1.e421b6cbf98dcp-4, -0x1.e3a19c5b45731p-4, -0x1.e3015032c466p-4, -0x1.e2419755d9e46p-4, -0x1.e16334fba47a9p-4, -0x1.e066ea58ff952p-4, -0x1.df4d77013e438p-4, -0x1.de17977419c7bp-4, -0x1.dcc6079967612p-4, -0x1.db5980397f0f2p-4, -0x1.d9d2b8bd89b54p-4, -0x1.d83266a3f9eefp-4, -0x1.d6793d7816764p-4, -0x1.d4a7eebe08e36p-4, -0x1.d2bf29f656143p-4, -0x1.d0bf9cb5d9d8fp-4, -0x1.cea9f2d12723cp-4, -0x1.cc7ed61ba3bc1p-4, -0x1.ca3eee9a57e7cp-4, -0x1.c7eae2455e7e5p-4, -0x1.c5835528a1d3cp-4, -0x1.c308e95de83c7p-4, -0x1.c07c3f16ce705p-4, -0x1.bdddf4b8f99d9p-4, -0x1.bb2ea6a40d0c3p-4, -0x1.b86eef47ff945p-4, -0x1.b59f6733b5f4bp-4, -0x1.b2c0a4d2efeffp-4, -0x1.afd33d1b78203p-4, -0x1.acd7c2504d6ecp-4, -0x1.a9cec52268f64p-4, -0x1.a6b8d4d64de67p-4, -0x1.a3967dedd3f2bp-4, -0x1.a0684b40e2ebp-4, -0x1.9d2ec5b4c8c21p-4, -0x1.99ea7427abba7p-4, -0x1.969bdb82e5fa2p-4, -0x1.93437eb2e6254p-4, -0x1.8fe1dea8a3f82p-4, -0x1.8c777a570d197p-4, -0x1.8904ceb175689p-4, -0x1.858a56ad27ea6p-4, -0x1.82088b2d988b1p-4, -0x1.7e7fe32742917p-4, -0x1.7af0d37d465efp-4, -0x1.775bcf20063a2p-4, -0x1.73c146f76e79p-4, -0x1.7021a9dbeee12p-4, -0x1.6c7d64c587d92p-4, -0x1.68d4e279eae72p-4, -0x1.65288bd3a9074p-4, -0x1.6178c7ab99d51p-4, -0x1.5dc5fad2993f9p-4, -0x1.5a10881ebf0aap-4, -0x1.5658d062a27d6p-4, -0x1.529f32637f5p-4, -0x1.4ee40b2cbcf8ep-4, -0x1.4b27b5179cf58p-4, -0x1.476a8996666f6p-4, -0x1.43acdf1b3aee7p-4, -0x1.3fef0ab3db9aep-4, -0x1.3c315f4943848p-4, -0x1.38742ddc3d41fp-4, -0x1.34b7c57aa6296p-4, -0x1.30fc733f68824p-4, -0x1.2d428254129aap-4, -0x1.298a3bfa2bcbdp-4, -0x1.25d3e782b85f5p-4, -0x1.221fca82e86e3p-4, -0x1.1e6e288ff0a7p-4, -0x1.1abf434c7e80bp-4, -0x1.17135aa91f735p-4, -0x1.136aacb5a6d36p-4, -0x1.0fc5759ed20fp-4, -0x1.0c23efe21117cp-4, -0x1.088654204f41ap-4, -0x1.04ecd91d8a969p-4, -0x1.0157b40e97819p-4, -0x1.fb8e309d10fb5p-5, -0x1.f4766effef20cp-5, -0x1.ed68833d31ec7p-5, -0x1.e664c9dba55dap-5, -0x1.df6b9c1f92decp-5, -0x1.d87d5004a87e1p-5, -0x1.d19a383578c63p-5, -0x1.cac2a44035ee8p-5, -0x1.c3f6e0802bd74p-5, -0x1.bd3736328735bp-5, -0x1.b683eb7d04f29p-5, -0x1.afdd440e31622p-5, -0x1.a9437f444d73cp-5, -0x1.a2b6dad497b26p-5, -0x1.9c37911036c7p-5, -0x1.95c5d9afec3a8p-5, -0x1.8f61e9270013ap-5, -0x1.890bf188f6979p-5, -0x1.82c422218fec1p-5, -0x1.7c8aa79494b35p-5, -0x1.765fabe4c02bfp-5, -0x1.7043568c689edp-5, -0x1.6a35cc5f5e9abp-5, -0x1.64373038c5aadp-5, -0x1.5e47a1c95a1c1p-5, -0x1.58673edd99602p-5, -0x1.529622b011ccep-5, -0x1.4cd4676d547bfp-5, -0x1.47222206cd7c8p-5, -0x1.417f68f9aa9e1p-5, -0x1.3bec4dcede063p-5, -0x1.3668e189e032dp-5, -0x1.30f532d8f8f65p-5, -0x1.2b914d9593ffap-5, -0x1.263d3ca833b69p-5, -0x1.20f908c188639p-5, -0x1.1bc4b8cdd177ap-5, -0x1.16a0519bf3049p-5, -0x1.118bd688c05fbp-5, -0x1.0c87490a42659p-5, -0x1.0792a924913a9p-5, -0x1.02adf521cefaap-5, -0x1.fbb253b18ae81p-6, -0x1.f228851518584p-6, -0x1.e8be71e85ee7dp-6, -0x1.df740a8ce9b9cp-6, -0x1.d6493c95a14ddp-6, -0x1.cd3df2e537ea4p-6, -0x1.c45215f0ffc4cp-6, -0x1.bb858be994a88p-6, -0x1.b2d838d14c294p-6, -0x1.aa49fde6f14cep-6, -0x1.a1daba13ffd14p-6, -0x1.998a4994fcfcep-6, -0x1.91588656bbbc6p-6, -0x1.89454848c3c6bp-6, -0x1.815065cd54e0bp-6, -0x1.7979b3d869295p-6, -0x1.71c106184d281p-6, -0x1.6a262e486f45p-6, -0x1.62a8fc2e1d35fp-6, -0x1.5b493d2054ab2p-6, -0x1.5406bbf7b72e9p-6, -0x1.4ce1420d55be9p-6, -0x1.45d897ac54a64p-6, -0x1.3eec84ccf0fa6p-6, -0x1.381cd10f1b427p-6, -0x1.3169442f9b1c6p-6, -0x1.2ad1a415deed5p-6, -0x1.2455b48129128p-6, -0x1.1df535dea14fap-6, -0x1.17afe7a038b57p-6, -0x1.118586adef8bep-6, -0x1.0b75d04ceb41ep-6, -0x1.058082e399576p-6, -0x1.ff4abee8ffe06p-7, -0x1.f3c84e70fe666p-7, -0x1.e8793630c1482p-7, -0x1.dd5cf3acbc369p-7, -0x1.d272fc299386fp-7, -0x1.c7babca5f6c0ep-7, -0x1.bd339c72be51bp-7, -0x1.b2dd01fd84cf5p-7, -0x1.a8b657d8d43d4p-7, -0x1.9ebf12f4ef24bp-7, -0x1.94f6b0a5c3b8ep-7, -0x1.8b5cb21ad6689p-7, -0x1.81f09ac575539p-7, -0x1.78b1e6b893affp-7, -0x1.6fa0053f3fe8ep-7, -0x1.66ba5acf9085ap-7, -0x1.5e0042ef67a9cp-7, -0x1.557118c7dafbfp-7, -0x1.4d0c3d8706ccp-7, -0x1.44d123d1b7cf4p-7, -0x1.3cbf439cd2266p-7, -0x1.34d62fc94a468p-7, -0x1.2d156e43f200fp-7, -0x1.257c855491db9p-7, -0x1.1e0aea2ede0c7p-7, -0x1.16c0000a9d891p-7, -0x1.0f9b1bd9a1974p-7, -0x1.089b8c7a1a6a9p-7, -0x1.01c0a66afef8ap-7, -0x1.f6139c99245b9p-8, -0x1.e8ecfe6824e4ap-8, -0x1.dc0c988823a11p-8, -0x1.cf71b63f85946p-8, -0x1.c31b944c02bb7p-8, -0x1.b7097ce9d4eb7p-8, -0x1.ab3a728cec68ap-8, -0x1.9fad546137d15p-8, -0x1.9460d520e6b4dp-8, -0x1.89538e244e3b5p-8, -0x1.7e84168f3177dp-8, -0x1.73f11a3a34b17p-8, -0x1.69996ce2dd1cbp-8, -0x1.5f7c15a974506p-8, -0x1.55984e0d9f08ep-8, -0x1.4bed70484df9cp-8, -0x1.427ae4470025ep-8, -0x1.393ffc058c2afp-8, -0x1.303be98ebf699p-8, -0x1.276dc080f9f8dp-8, -0x1.1ed476de3fd9bp-8, -0x1.166ef820373d5p-8, -0x1.0e3c26c839294p-8, -0x1.063ae7096c565p-8, -0x1.fcd44719c37fap-9, -0x1.ed91b476a2ed8p-9, -0x1.deac51323d937p-9, -0x1.d022901f13503p-9, -0x1.c1f308d04c4ap-9, -0x1.b41c48aed9d31p-9, -0x1.a69cb710b04c3p-9, -0x1.99729a032623bp-9, -0x1.8c9c340ca717cp-9, -0x1.8017f14e58832p-9, -0x1.73e458b40c643p-9, -0x1.67fff3735be52p-9, -0x1.5c69345a74b27p-9, -0x1.511e679c64fcp-9, -0x1.461dd6475bf17p-9, -0x1.3b65f497261f1p-9, -0x1.30f574464843dp-9, -0x1.26cb3225e9a7bp-9, -0x1.1ce60014f320fp-9, -0x1.13446f6a3963dp-9, -0x1.09e4e7e3cd1e8p-9, -0x1.00c5d2263c089p-9, -0x1.efcb6ffdbc71ep-10, -0x1.de86f0f6d23d9p-10, -0x1.cdbbf25d2754ap-10, -0x1.bd67f17261fc9p-10, -0x1.ad87d0be5ff7fp-10, -0x1.9e180a46b9956p-10, -0x1.8f154335cfb15p-10, -0x1.807cdaafa4efp-10, -0x1.724ccc4687257p-10, -0x1.6483d3132a48p-10, -0x1.57203e8349bd5p-10, -0x1.4a2032fbe8bbbp-10, -0x1.3d817ff5e85dap-10, -0x1.3141f9a44b59cp-10, -0x1.255fc4b71de1p-10, -0x1.19d95a5e162edp-10, -0x1.0ead5a05de364p-10, -0x1.03d9cc39feb79p-10, -0x1.f2b801815883dp-11, -0x1.de616e6fa1fb4p-11, -0x1.caa96af258297p-11, -0x1.b78aa1ce80742p-11, -0x1.a5017759bb527p-11, -0x1.930b1922f0e73p-11, -0x1.81a52ce52af0ap-11, -0x1.70cccf5ea68b3p-11, -0x1.607ebf888a658p-11, -0x1.50b73e68228cfp-11, -0x1.4172d5932de79p-11, -0x1.32aecf4510783p-11, -0x1.24694db829fedp-11, -0x1.16a0889358115p-11, -0x1.09520edd9a4c6p-11, -0x1.f8f51d5260f08p-12, -0x1.e02a6b260cfe7p-12, -0x1.c83b65859197ap-12, -0x1.b11f179999ca1p-12, -0x1.9aced673775b1p-12, -0x1.8545c7017a0d5p-12, -0x1.7081eeecf5919p-12, -0x1.5c82959dc73c5p-12, -0x1.49451feb94f42p-12, -0x1.36c432a59697ep-12, -0x1.24f8275733b97p-12, -0x1.13d9680e1c071p-12, -0x1.036153868993ep-12, -0x1.e713b39e455a5p-13, -0x1.c89b2150c29c7p-13, -0x1.ab511f761a648p-13, -0x1.8f30b074c9254p-13, -0x1.743523ccb9654p-13, -0x1.5a579c6bd865cp-13, -0x1.418dae1778fa1p-13, -0x1.29c8963f68a06p-13, -0x1.12f9ba37bb1fep-13, -0x1.fa34c74f2b0a7p-14, -0x1.d05c80a5b852fp-14, -0x1.a873a330d7fecp-14, -0x1.827351cc34eedp-14, -0x1.5e491d9737e03p-14, -0x1.3be4d3eb1812cp-14, -0x1.1b3824156a00cp-14, -0x1.f85dccc7c841fp-15, -0x1.bd5696803e47fp-15, -0x1.8525ba974797fp-15, -0x1.4fa93d9096e49p-15, -0x1.1ccfb33e35e35p-15, -0x1.d930c923d379cp-16, -0x1.7df1d96727542p-16, -0x1.27d62c4ccdb45p-16, -0x1.ad44fbfacb3b1p-17, -0x1.13de1c515adcap-17, -0x1.05b1ef5c6c274p-18, 0x1.6bf102c449ae7p-23, 0x1.0ae3105cbb0bbp-18, 0x1.f95492057f993p-18, 0x1.6bc13cee790f6p-17, 0x1.d2e0cdd0138aap-17, 0x1.19104b3221c18p-16, 0x1.44f5459e7689fp-16, 0x1.6d6702eb66f79p-16, 0x1.929d4b103eecdp-16, 0x1.b4bc960dcd862p-16, 0x1.d3dccb2475ed8p-16, 0x1.f0113f42a20b6p-16, 0x1.04ba35af24026p-15, 0x1.10186123df04dp-15, 0x1.1a2cfdb656279p-15, 0x1.2307ea322bf1dp-15, 0x1.2ab66c65d1737p-15, 0x1.315467172bc19p-15, 0x1.36e3eb248ad87p-15, 0x1.3b5c973905208p-15, 0x1.3ed0baa828bcdp-15, 0x1.41544dd80391p-15, 0x1.42dec75d779e4p-15, 0x1.436fde07c85a7p-15, 0x1.4320b35b3366dp-15, 0x1.420bba006a9bep-15, 0x1.403fd29d5dc65p-15, 0x1.3dc77d23bb727p-15, 0x1.3aa08ac8166bap-15, 0x1.36cf3d05d5cedp-15, 0x1.325c266a4678dp-15, 0x1.2d465bbd9ddf1p-15, 0x1.27979fbf443f9p-15, 0x1.215c3660f912p-15, 0x1.1aa728485d668p-15, 0x1.137e1e622dc55p-15, 0x1.0be8cf3883583p-15, 0x1.03f13f9310702p-15, 0x1.f727e3930225cp-16, 0x1.e5b58f2f8cd28p-16, 0x1.d3a9b5dc817dap-16, 0x1.c0ea62ca8ec01p-16, 0x1.ad707eae7f146p-16, 0x1.9962edfb811b1p-16, 0x1.84e0f13cf03dep-16, 0x1.6ff8459de6399p-16, 0x1.5aaf8793c7ba1p-16, 0x1.4507c98e2657p-16, 0x1.2f09f6849514cp-16, 0x1.18bc514b45208p-16, 0x1.022b0c99d9a63p-16, 0x1.d6a817f5521d4p-17, 0x1.a8751754ff23fp-17, 0x1.79d11b79d251ep-17, 0x1.4ac7c831775fcp-17, 0x1.1b7d8e2143c57p-17, 0x1.d800f45c729fep-18, 0x1.78b80e86ae554p-18, 0x1.1952a7e34e92ap-18, 0x1.73c3ce7ab56fdp-19, 0x1.6a8bb122e7087p-20, -0x1.2a170e009d9e9p-24, -0x1.90808800d9f24p-20, -0x1.86d4139b066b4p-19, -0x1.224b5a2a11b18p-18, -0x1.80b3c14b5e9c6p-18, -0x1.de99a1cbb1dd8p-18, -0x1.1df9a7ba8956p-17, -0x1.4c641fc01b1aap-17, -0x1.7a8053f8ec735p-17, -0x1.a84209c816ed3p-17, -0x1.d5a60807d307fp-17, -0x1.0152011437328p-16, -0x1.179b6b102fc91p-16, -0x1.2daa3221bc2ffp-16, -0x1.4382b6d687fffp-16, -0x1.592458472207dp-16, -0x1.6e84301e7a53ap-16, -0x1.839ee215bd4a5p-16, -0x1.987ad8a6faac8p-16, -0x1.ad0eabd9c71fbp-16, -0x1.c14d3bc5a06b5p-16, -0x1.d544f53df3fa3p-16, -0x1.e8f7185b896b7p-16, -0x1.fc5d2223da1cbp-16, -0x1.07b86043b5b66p-15, -0x1.1118e0d5f77a8p-15, -0x1.1a50192ec969ap-15, -0x1.235ea85dfb29ep-15, -0x1.2c3fdf6566af6p-15, -0x1.34f90cc29f07fp-15, -0x1.3d8c4d924d9p-15, -0x1.45f084cf67ac5p-15, -0x1.4e293b07e2dc5p-15, -0x1.5636cbd9f9bc2p-15, -0x1.5e181e11c6c39p-15, -0x1.65cd3f5e65f9fp-15, -0x1.6d560fa3ef9d9p-15, -0x1.74b29de58e4a9p-15, -0x1.7be35cb534dffp-15, -0x1.82e82c0695c3p-15, -0x1.89bfe06b901e2p-15, -0x1.906b07361c57cp-15, -0x1.96e9ca944a1fap-15, -0x1.9d3a0fdf7aef7p-15, -0x1.a3617639f1ed6p-15, -0x1.a95bcaf624b05p-15, -0x1.af29679a93b14p-15, -0x1.b4cb1386d320bp-15, -0x1.ba41122765323p-15, -0x1.bf8ba0043a522p-15, -0x1.c4aaf92aebd02p-15, -0x1.c99f5eca02e91p-15, -0x1.ce6923e346a38p-15, -0x1.d308c4d56cb83p-15, -0x1.d77d973a9660ep-15, -0x1.dbc8e4fbbc784p-15, -0x1.dfeaaa2031d87p-15, -0x1.e3e3738ee2528p-15, -0x1.e7b364bc5cfb3p-15, -0x1.eb5b218e0d585p-15, -0x1.eeda86cfe67dfp-15, -0x1.f232973a34fep-15, -0x1.f563d2e3b63f4p-15, -0x1.f86df993d82ffp-15, -0x1.fb51c472a6758p-15, -0x1.fe0f34b4e6711p-15, -0x1.00540d7da64a5p-14, -0x1.018dd7d1b891p-14, -0x1.02b542c982936p-14, -0x1.03caac0021d58p-14, -0x1.04ce582778997p-14, -0x1.05c06a6654f16p-14, -0x1.06a1313d6917ep-14, -0x1.07703331a8463p-14, -0x1.082f0de97f4e8p-14, -0x1.08ddf6756374dp-14, -0x1.097bd974e09a4p-14, -0x1.0a09a4bf3a19bp-14, -0x1.0a87b5857a056p-14, -0x1.0af42b901478dp-14, -0x1.0b55f5d4e4a18p-14, -0x1.0ba50a2bf1542p-14, -0x1.0be637d3a40c6p-14, -0x1.0c18cb274a06dp-14, -0x1.0c3d15cf6a10dp-14, -0x1.0c53602088771p-14, -0x1.0c5df1cd7da33p-14, -0x1.0c5661bee1515p-14, -0x1.0c43da894686ap-14, -0x1.0c242d50b6ac5p-14, -0x1.0bf7b8cd3fb7ep-14, -0x1.0bbebbbaae32ep-14, -0x1.0b796eaec9b45p-14, -0x1.0b282d6125175p-14, -0x1.0aca49b131ae5p-14, -0x1.0a62237bff99cp-14, -0x1.09edee52f68b1p-14, -0x1.096eae5368923p-14, -0x1.08e4e735fd334p-14, -0x1.084f50ce2e566p-14, -0x1.07b0ebfd628dcp-14, -0x1.0707c674c8eddp-14, -0x1.065447d3d0bcep-14, -0x1.0597bdb085acp-14, -0x1.04d12e5c4e758p-14, -0x1.0401f81b15a6cp-14, -0x1.032963186bf8ep-14, -0x1.024810c2e9f7dp-14, -0x1.015d2e0669014p-14, -0x1.006cbace0a94ap-14, -0x1.fee3e3facfee8p-15, -0x1.fcdf9feb6ce96p-15, -0x1.facbe490eac07p-15, -0x1.f8a91049d17e2p-15, -0x1.f677c8be4734p-15, -0x1.f43806f1673fbp-15, -0x1.f1eb71472e598p-15, -0x1.ef910b4145718p-15, -0x1.ed29b10e32f96p-15, -0x1.eab5c480aaa84p-15, -0x1.e835abb08c72cp-15, -0x1.e5a9d84361af3p-15, -0x1.e312b522de19ep-15, -0x1.e0705777c4cf5p-15, -0x1.ddc3c6fcbaba5p-15, -0x1.db0c958207023p-15, -0x1.d84ac80b21826p-15, -0x1.d57ffc75ab86dp-15, -0x1.d2abe25219142p-15, -0x1.cfcedb3a113f7p-15, -0x1.cce93d0c912aap-15, -0x1.c9fb633b31a1cp-15, -0x1.c705902a771bep-15, -0x1.c40833f02abd6p-15, -0x1.c1041d0410c63p-15, -0x1.bdf790f809a0dp-15, -0x1.bae5782ed1ccep-15, -0x1.b7cc90f70b39ep-15, -0x1.b4ad5036b0887p-15, -0x1.b1885f624deafp-15, -0x1.ae598d6d55f8cp-15, -0x1.ab2f9cb37cd25p-15, -0x1.a7f8c1b4e7dc2p-15, -0x1.a4c10a31590bap-15, -0x1.a1841bc3e792p-15, -0x1.9e41dfe51b718p-15, -0x1.9afc077467dc9p-15, -0x1.97b2b6a2924c3p-15, -0x1.9465222ba7a63p-15, -0x1.91178680b6ce2p-15, -0x1.8dc2897fe1585p-15, -0x1.8a6cd9b767034p-15, -0x1.871494abb3bb8p-15, -0x1.83ba2488a2e9fp-15, -0x1.805d81b8d033p-15, -0x1.7cff0a9ae6fp-15, -0x1.799ef015fb1f1p-15, -0x1.763d67adb2256p-15, -0x1.72daa4da05226p-15, -0x1.6f76d0b3da764p-15, -0x1.6c1229e4ffd82p-15, -0x1.68acd8bb8bffap-15, -0x1.65473e7de52c1p-15, -0x1.61e0ecd128d8dp-15, -0x1.5e7ab5a5d365dp-15, -0x1.5b14801b76fccp-15, -0x1.57ae919da195bp-15, -0x1.54490c5ccb285p-15, -0x1.50e3fdbe0a075p-15, -0x1.4d7f8c683f147p-15, -0x1.4a1da11704041p-15, -0x1.46b9e8f170e7ep-15, -0x1.43580d0194affp-15, -0x1.3ff8082661e3ep-15, -0x1.3c997ad340f26p-15, -0x1.393be5f83241dp-15, -0x1.35e0df998c4e7p-15, -0x1.32872c1ac289dp-15, -0x1.2f2f74fed26cbp-15, -0x1.2bd9f1f47689dp-15, -0x1.2885a7a7ddf08p-15, -0x1.25351e750886fp-15, -0x1.21e26a7f8644p-15, -0x1.1e9a4febe2b96p-15, -0x1.1b4f48a0bd5f9p-15, -0x1.18098fcb876edp-15, -0x1.14c56aff4c2a3p-15, -0x1.11824c591256cp-15, -0x1.0e4472d4b0e27p-15, -0x1.0b0552fef643ep-15, -0x1.07d34bd66bf02p-15, -0x1.049dc8f23cb96p-15, -0x1.016c472ad73ffp-15, -0x1.fc7d17233ca6dp-16, -0x1.f62712117d6d3p-16, -0x1.efdb11ae35fecp-16, -0x1.e9937b715e885p-16, -0x1.e3547f72891eap-16, -0x1.dd1d0f87f6db8p-16, -0x1.d6ed58d762f3ep-16, -0x1.d0c5857542031p-16, -0x1.caa50d4e7f363p-16, -0x1.c48db149ea09cp-16, -0x1.be7dd9f6d27e9p-16, -0x1.b8767124d0d23p-16, -0x1.b2778a258fdb3p-16, -0x1.ac80fd8a33f5ap-16, -0x1.a6932e2af1f42p-16, -0x1.a0ac83576a6e1p-16, -0x1.9ad15db7b8a26p-16, -0x1.94fd8065a8071p-16, -0x1.8f32b0e789c79p-16, -0x1.8970f1a8794a1p-16, -0x1.83b854e755ba4p-16, -0x1.7e08f16f8e79p-16, -0x1.7861bf1624d19p-16, -0x1.72c596bde5af1p-16, -0x1.6d31c3851323cp-16, -0x1.67a7506c631acp-16, -0x1.62269128885fbp-16, -0x1.5caeef45f35c9p-16, -0x1.57414470d48f5p-16, -0x1.51dbe733c04cp-16, -0x1.4c829d5964908p-16, -0x1.4731200981396p-16, -0x1.41e994a2720d2p-16, -0x1.3cae2a753cf28p-16, -0x1.377b91f348fcep-16, -0x1.324e9c4c60404p-16, -0x1.2d32263561706p-16, -0x1.281842f0343f6p-16, -0x1.230ad33f8b329p-16, -0x1.1e07e98e81d64p-16, -0x1.190f0062feafcp-16, -0x1.1420433f41855p-16, -0x1.0f3ba2351f90ap-16, -0x1.0a6054ba6490dp-16, -0x1.058e8233d2045p-16, -0x1.00c6feaac0768p-16, -0x1.f811900def22cp-17, -0x1.eeb54d739bc1fp-17, -0x1.e55cc8c6a1889p-17, -0x1.dc184a961c33dp-17, -0x1.d2ecc473834aap-17, -0x1.c9d53cef0ef45p-17, -0x1.c0d63ec0e1943p-17, -0x1.b7dd3a2bdacfcp-17, -0x1.aef7d4e66a8b7p-17, -0x1.a637e1e866ce6p-17, -0x1.9d868c6ade867p-17, -0x1.94e435f698ee6p-17, -0x1.8c55977ad2acbp-17, -0x1.83dae2d9d162dp-17, -0x1.7b744a0f767f1p-17, -0x1.73210f836c566p-17, -0x1.6ae0286b426a4p-17, -0x1.62b47f9c08e75p-17, -0x1.5a9bf06076247p-17, -0x1.5290db8b698f1p-17, -0x1.4aa28123f0cacp-17, -0x1.42c1db965c1c2p-17, -0x1.3af50552ed38dp-17, -0x1.333b5111c3e3fp-17, -0x1.2b94941b07f2ap-17, -0x1.2400bc2209346p-17, -0x1.1c7ff46534de8p-17, -0x1.15128347b271fp-17, -0x1.0db6a2e497ca4p-17, -0x1.0665c003754a6p-17, -0x1.fe6e190ee9b4bp-18, -0x1.f0252baa58995p-18, -0x1.e1fa3ee58afa4p-18, -0x1.d4031095bf24fp-18, -0x1.c6297295a5c4ep-18, -0x1.b872ad131ebdbp-18, -0x1.aae1596261a4bp-18, -0x1.9d73efa2859adp-18, -0x1.8ffaa24a3620bp-18, -0x1.830360b71c2abp-18, -0x1.75fd40ef4eee5p-18, -0x1.691f9e466ff7fp-18, -0x1.5c61042535eep-18, -0x1.4fc6d481ef382p-18, -0x1.434f32912ecfp-18, -0x1.36f9f5fe2b83bp-18, -0x1.2acb22b14da7ap-18, -0x1.1eb7091a54f02p-18, -0x1.12c184d3e4766p-18, -0x1.06fa7b595d44ap-18, -0x1.f69d11220e8f4p-19, -0x1.df8593f2ff604p-19, -0x1.c8ba00a8aa839p-19, -0x1.b2181e3cb683dp-19, -0x1.9bd5300dcfe6dp-19, -0x1.85c3af730ff8ep-19, -0x1.6ff6cb0fae355p-19, -0x1.5a5c528a88dp-19, -0x1.451704028345dp-19, -0x1.30088b19ed673p-19, -0x1.1b3a84c2af591p-19, -0x1.06a318616301fp-19, -0x1.e4ae70401821ap-20, -0x1.bc883fd4350b2p-20, -0x1.9493212abd37fp-20, -0x1.6d7d5846c74f4p-20, -0x1.46d726cca8ac7p-20, -0x1.2082654356747p-20, -0x1.f58d4e476102bp-21, -0x1.aac832b6d13e7p-21, -0x1.60fce25dfded7p-21, -0x1.181f66b72d89dp-21, -0x1.9f17d1275ce49p-22, -0x1.113c1317f8d03p-22, -0x1.0c0357ac9ba7ap-23, 0x1.2b5cebb3039a7p-28, 0x1.1b750c34294a5p-23, 0x1.14fd57de74aa8p-22, 0x1.9a21867ae72c2p-22, 0x1.0ed0d8c915611p-21, 0x1.4fc73574c70a5p-21, 0x1.9024612759fa9p-21, 0x1.cf22c5f8bc25bp-21, 0x1.06cf00575c9c1p-20, 0x1.25a0da2938786p-20, 0x1.44091c892fc89p-20, 0x1.62070aa2966bcp-20, 0x1.7f9c263c45062p-20, 0x1.9ce9bc4a6f2ebp-20, 0x1.b99eeaedc1436p-20, 0x1.d6121a102769ep-20, 0x1.f21e6452a7d55p-20, 0x1.06d156aa1e24ap-19, 0x1.147055c1e2ce5p-19, 0x1.21dc2e9b14462p-19, 0x1.2f1dea5e5be69p-19, 0x1.3c2ff503d30ap-19, 0x1.4906ac4b3e91ep-19, 0x1.55b8b8b6be8dep-19, 0x1.62217a8712d1ep-19, 0x1.6e8cd40df6409p-19, 0x1.7ab1e0b8023dap-19, 0x1.86a95bd50b1dfp-19, 0x1.92567a75c9036p-19, 0x1.9e0feb2713383p-19, 0x1.a97fc86deb40ep-19, 0x1.b4c029f0ff3cp-19, 0x1.bfe4213076be4p-19, 0x1.cad28de9eeb1ap-19, 0x1.d58cc9349496dp-19, 0x1.e0233fc66fe99p-19, 0x1.ea23818588db3p-19, 0x1.f4f4502d2417bp-19, 0x1.fef1741fa5eccp-19, 0x1.04764f55acbc2p-18, 0x1.09498ee18a884p-18, 0x1.0e5b262e975cp-18, 0x1.12ebad7a96031p-18, 0x1.178aa46b6838p-18, 0x1.1c29f0094c69p-18, 0x1.20ade3927c132p-18, 0x1.251d6a4900ba4p-18, 0x1.297abba304bb1p-18, 0x1.2dc19063993b5p-18, 0x1.321178e60170dp-18, 0x1.3615a61cdc797p-18, 0x1.3a356806cdd3bp-18, 0x1.3e2478ba46ff5p-18, 0x1.4223f01c27c53p-18, 0x1.45e6d7c7691d4p-18, 0x1.49d3020b83bd8p-18, 0x1.4d8493072a423p-18, 0x1.512a9c55cf138p-18, 0x1.54c702cc7d2b6p-18, 0x1.584e1dfbb8fb6p-18, 0x1.5bc1b99ac3753p-18, 0x1.5f2efecabd093p-18, 0x1.627e378e16dedp-18, 0x1.65c4fcef2d1b2p-18, 0x1.68fa07067bd8bp-18, 0x1.6c1eb613cfbc6p-18, 0x1.6f76e77900b8dp-18, 0x1.723a70fd94e61p-18, 0x1.7531374380d3ep-18, 0x1.7820deb54e0e2p-18, 0x1.7af9be6366a62p-18, 0x1.7db9a6b69bc69p-18, 0x1.807379b3ab6f7p-18, 0x1.830d971f2f6e5p-18, 0x1.85c2a655eb207p-18, 0x1.884c66ef5820fp-18, 0x1.8acf2ef3c5df7p-18, 0x1.8d5bd65a7056ap-18, 0x1.8fa7ecdd09a09p-18, 0x1.91fdf30258573p-18, 0x1.9446633b2fe8p-18, 0x1.9672399a07b5p-18, 0x1.98b18709d49f5p-18, 0x1.9ad4c705f3b2fp-18, 0x1.9ce99a822b27p-18, 0x1.9edd6e41b96bp-18, 0x1.a0d9b819bce8cp-18, 0x1.a2dcc9985c795p-18, 0x1.a4bd532ec9348p-18, 0x1.a6a82ace0ce29p-18, 0x1.a85a76aa99706p-18, 0x1.aa158fd875c48p-18, 0x1.abca45b52c47fp-18, 0x1.ad790ae5e611cp-18, 0x1.af338fb741616p-18, 0x1.b09a12b11e176p-18, 0x1.b21fa9126b0f5p-18, 0x1.b397f916a256bp-18, 0x1.b505198a6ba76p-18, 0x1.b6672c27a1f97p-18, 0x1.b7bdff2a66c13p-18, 0x1.b908bbb600071p-18, 0x1.ba518afaf166cp-18, 0x1.bb6a61b77aa3cp-18, 0x1.bcaea34dfe77bp-18, 0x1.bdd425cad95b3p-18, 0x1.beec7c7793afp-18, 0x1.bffad8e637484p-18, 0x1.c0ff6e4c0f687p-18, 0x1.c1f94252361cbp-18, 0x1.c2cfab375d248p-18, 0x1.c3d89f122c9d9p-18, 0x1.c4b095234b933p-18, 0x1.c589b99a0f1cep-18, 0x1.c64f6b9b44e87p-18, 0x1.c6e9d864c87d6p-18, 0x1.c7ccfafc0fe51p-18, 0x1.c87e467cb99c6p-18, 0x1.c926c60540a4ep-18, 0x1.c9cd10ea45b1fp-18, 0x1.ca5d27670b453p-18, 0x1.cac0d019fc53bp-18, 0x1.cb6ffbfe912ccp-18, 0x1.cbeec0a792b88p-18, 0x1.cc652684230c8p-18, 0x1.ccd167173b3a7p-18, 0x1.cd36fd044183fp-18, 0x1.cd940871552ap-18, 0x1.cdeadea187b35p-18, 0x1.ce386ccb41bcp-18, 0x1.ce7ebd2cb7401p-18, 0x1.cebdc2c330f92p-18, 0x1.cef53ace5bd87p-18, }}, 
      {{-0x1.14deaff3c0e6dp+0, -0x1.1396574fd1e8p+0, -0x1.117c3c82146dcp+0, -0x1.0e9c0fd844585p+0, -0x1.0b03df238ffc9p+0, -0x1.06c329ebdafeep+0, -0x1.01ea2dfa3e576p+0, -0x1.f912c95bcaa01p-1, -0x1.ed624023e8965p-1, -0x1.e0e2816a9f7c2p-1, -0x1.d3b20636c1056p-1, -0x1.c5edb63939b72p-1, -0x1.b7b0b86e7b228p-1, -0x1.a9145529587f4p-1, -0x1.9a2feae07db27p-1, -0x1.8b18ead5cd7e6p-1, -0x1.7be2e0a01706cp-1, -0x1.6c9f80d8dd201p-1, -0x1.5d5eb8429c6bbp-1, -0x1.4e2ec6b8b4902p-1, -0x1.3f1c539bb4151p-1, -0x1.303289b802177p-1, -0x1.217b322016f8ep-1, -0x1.12fecd9677ca9p-1, -0x1.04c4ae707559p-1, -0x1.eda62804832f3p-2, -0x1.d25e7f8a434dp-2, -0x1.b7bb1ecf0d39p-2, -0x1.9dc320f433ca3p-2, -0x1.847c28ecbfc8ep-2, -0x1.6bea85ba3faf1p-2, -0x1.54115bf6e627ap-2, -0x1.3cf2b644c860ap-2, -0x1.268fb372fc65dp-2, -0x1.10e898fd36405p-2, -0x1.f7f9d858187c4p-3, -0x1.cf9717a1d4a5p-3, -0x1.a8a57e5ac3266p-3, -0x1.8320addbf7c46p-3, -0x1.5f03589e83f9ap-3, -0x1.3c477ea100dd9p-3, -0x1.1ae67daf22607p-3, -0x1.f5b254d52ca03p-4, -0x1.b82ff6fc122b8p-4, -0x1.7d35eaeec2a77p-4, -0x1.44b3dabc5928fp-4, -0x1.0e98e5b77b199p-4, -0x1.b5a80f48a0fe2p-5, -0x1.52a7d045ca3d1p-5, -0x1.e81ca0b6c4679p-6, -0x1.33719e453241dp-6, -0x1.0e129b3c94813p-7, 0x1.d61356cbe2298p-10, 0x1.7423eb31ba283p-7, 0x1.4f4c1f13f996cp-6, 0x1.dd51d7dfea533p-6, 0x1.32320bb4ae312p-5, 0x1.7261311345455p-5, 0x1.af558979912f8p-5, 0x1.e92d6db14a6b1p-5, 0x1.100346bfd2a67p-4, 0x1.29fed6b029b9fp-4, 0x1.42976382f3055p-4, 0x1.59da9f81c8883p-4, 0x1.6fd5b445d481bp-4, 0x1.84956fd4bea27p-4, 0x1.982638fc1e8fbp-4, 0x1.aa940dd9fde5bp-4, 0x1.bbea8aed9c7f5p-4, 0x1.cc34ddb59c783p-4, 0x1.db7ddd7eb61dp-4, 0x1.e9cffc242f248p-4, 0x1.f7354bd6402e2p-4, 0x1.01dbc1b7cd754p-3, 0x1.07b000922585ap-3, 0x1.0d1be3d5a3a18p-3, 0x1.1223c5c7d5d92p-3, 0x1.16cbd03158ba6p-3, 0x1.1b180f3162a7ep-3, 0x1.1f0c5f7e97007p-3, 0x1.22ac7b6281042p-3, 0x1.25fbf9c841596p-3, 0x1.28fe4d9a0f913p-3, 0x1.2bb6c2f06bf46p-3, 0x1.2e2892401240fp-3, 0x1.3056c5ad8283ep-3, 0x1.32445293fffp-3, 0x1.33f409f5656b1p-3, 0x1.3568a85577d13p-3, 0x1.36a4ca88ff3dp-3, 0x1.37aaf14f8a0efp-3, 0x1.387d8aaa3a45fp-3, 0x1.391ee6b690173p-3, 0x1.399140d43102ep-3, 0x1.39d6bd43052d9p-3, 0x1.39f16b666b1d9p-3, 0x1.39e344c128bdap-3, 0x1.39ae324510ae8p-3, 0x1.395404c7c9f35p-3, 0x1.38d67fdfd3007p-3, 0x1.3837524df474bp-3, 0x1.37781a2e196d7p-3, 0x1.369a6666e5e37p-3, 0x1.359fb63b15e2ep-3, 0x1.348978dfe3a2p-3, 0x1.33591145dfd19p-3, 0x1.320fd1491415dp-3, 0x1.30af0093949b9p-3, 0x1.2f37d845bc6e4p-3, 0x1.2dab85c0995a6p-3, 0x1.2c0b2a51e6d7ap-3, 0x1.2a57daaee769ep-3, 0x1.2892a8aa297fdp-3, 0x1.26bc8b539ca95p-3, 0x1.24d68063019afp-3, 0x1.22e1711579a4dp-3, 0x1.20de45083177bp-3, 0x1.1ecdd36e0067ep-3, 0x1.1cb0ef6ff3fa8p-3, 0x1.1a88633da12fbp-3, 0x1.1854f0832a35bp-3, 0x1.161751930cc9ep-3, 0x1.13d0393598dbbp-3, 0x1.1180537628f9fp-3, 0x1.0f2844f41862ap-3, 0x1.0cc8ac47a726ap-3, 0x1.0a62215af53c1p-3, 0x1.07f5365cc4a5fp-3, 0x1.058277fc8baa4p-3, 0x1.030a6b6f01f5cp-3, 0x1.008d9349c8f4cp-3, 0x1.fc18d549eb6f1p-4, 0x1.f70ed174f5dd4p-4, 0x1.f1fdfe227f836p-4, 0x1.ece73b3fa20eap-4, 0x1.e7cb54a164bc2p-4, 0x1.e2ab1116e33e7p-4, 0x1.dd873a6029967p-4, 0x1.d860850662955p-4, 0x1.d337a2b7c47bep-4, 0x1.ce0d3de82ad29p-4, 0x1.c8e1f974c8969p-4, 0x1.c3b670cfb464cp-4, 0x1.be8b3ac685c0ep-4, 0x1.b960e28d90364p-4, 0x1.b437f54cfa51ap-4, 0x1.af10f4064f0b8p-4, 0x1.a9ec5c5924f28p-4, 0x1.a4caa5bb03241p-4, 0x1.9fac42980946dp-4, 0x1.9a91a03e7511ap-4, 0x1.957b2b5c0175dp-4, 0x1.90693e8107117p-4, 0x1.8b5c404ece91ep-4, 0x1.86548a40cf06ep-4, 0x1.8152716dcae07p-4, 0x1.7c5649037422ap-4, 0x1.77605f2f6b13cp-4, 0x1.72710129c0962p-4, 0x1.6d886fc27839ep-4, 0x1.68a6f5f62ea8ep-4, 0x1.63ccd0cd94193p-4, 0x1.5efa3b51a2d3fp-4, 0x1.5a2f724e7db47p-4, 0x1.556cab7293939p-4, 0x1.50b219ff2c666p-4, 0x1.4bffef4d532b4p-4, 0x1.4756599d0ac35p-4, 0x1.42b5846b567c5p-4, 0x1.3e1d98d439397p-4, 0x1.398ebd764a60dp-4, 0x1.3509168d6ca5p-4, 0x1.308cc611d83bep-4, 0x1.2c19ebba9787ap-4, 0x1.27b0a558aa8d2p-4, 0x1.23510e58aa438p-4, 0x1.1efb408efa008p-4, 0x1.1aaf53a628653p-4, 0x1.166d5d127baap-4, 0x1.123571edd67fap-4, 0x1.0e07a42aa4c3bp-4, 0x1.09e4037ce0516p-4, 0x1.05caa0ef0e6efp-4, 0x1.01bb8b1d6ff97p-4, 0x1.fb6d92ebf3f83p-5, 0x1.f378d5b83f12ap-5, 0x1.eb98ee4b8d1dfp-5, 0x1.e3cdf0a584fb1p-5, 0x1.dc17e1393a848p-5, 0x1.d476d5ae97f2bp-5, 0x1.ccead056ac4cfp-5, 0x1.c573d9607a59p-5, 0x1.be11f4d20237cp-5, 0x1.b6c52477f2688p-5, 0x1.af8d68753852bp-5, 0x1.a86abe7989f77p-5, 0x1.a15d207d2c99dp-5, 0x1.9a64914b442p-5, 0x1.9380f9876b16p-5, 0x1.8cb260c9fd422p-5, 0x1.85f8b1fe888ccp-5, 0x1.7f53e2b00963dp-5, 0x1.78c3e4edd0185p-5, 0x1.7248a97c027a3p-5, 0x1.6be21ef2438cbp-5, 0x1.6590324e2a741p-5, 0x1.5f52d19be0bf8p-5, 0x1.5929e5edd27dfp-5, 0x1.531559ea85e3cp-5, 0x1.4d1515e840a62p-5, 0x1.472901844a504p-5, 0x1.4151031980d0dp-5, 0x1.3b8cffe47a189p-5, 0x1.35dcdc5200d7dp-5, 0x1.30407b9faeab3p-5, 0x1.2ab7c0560f679p-5, 0x1.25428c1402697p-5, 0x1.1fe0bec4e3debp-5, 0x1.1a9237c396d98p-5, 0x1.1556ddda21b3p-5, 0x1.102e83f97445cp-5, 0x1.0b190a62ba1c5p-5, 0x1.06165563ffdccp-5, 0x1.01263c1209ecep-5, 0x1.f89133fb0e842p-6, 0x1.eefa967b0b0cbp-6, 0x1.e5885570c888p-6, 0x1.dc3a24e457467p-6, 0x1.d30fb82b95a68p-6, 0x1.ca08c1c8c3f19p-6, 0x1.c124f35682384p-6, 0x1.b863fd9bb9d56p-6, 0x1.afc590d90760cp-6, 0x1.a7495a1da85b3p-6, 0x1.9eef0bf1d2a65p-6, 0x1.96b6542eb915ep-6, 0x1.8e9edccc8153fp-6, 0x1.86a8549215cc3p-6, 0x1.7ed2688174396p-6, 0x1.771cc4052827bp-6, 0x1.6f87130b2165bp-6, 0x1.6811002cff07ep-6, 0x1.60ba381828362p-6, 0x1.598264b8b9282p-6, 0x1.52692fe34197fp-6, 0x1.4b6e449d9a2fp-6, 0x1.44914b0a8bd9ap-6, 0x1.3dd1f493478afp-6, 0x1.372fdc29e3e6ep-6, 0x1.30aabdd3c5eb6p-6, 0x1.2a42379c533fp-6, 0x1.23f5f647abb7fp-6, 0x1.1dc5a423509b7p-6, 0x1.17b0eb3333199p-6, 0x1.11b7758d4c92cp-6, 0x1.0bd8ed6e8ffd4p-6, 0x1.0614fc90de617p-6, 0x1.006b4e5aba481p-6, 0x1.f5b716652ffc4p-7, 0x1.eacac3f49779ep-7, 0x1.e010faea98416p-7, 0x1.d5890c40ab1aep-7, 0x1.cb3252fb05014p-7, 0x1.c10c276b6c21ap-7, 0x1.b715e009f1639p-7, 0x1.ad4edb1420228p-7, 0x1.a3b673bede77dp-7, 0x1.9a4bffb1be99fp-7, 0x1.910edd21abb85p-7, 0x1.87fe6be144c8ep-7, 0x1.7f1a0719e5d0ap-7, 0x1.76610ea9baaa9p-7, 0x1.6dd2e27a99a49p-7, 0x1.656ee39271f61p-7, 0x1.5d3473b9fb898p-7, 0x1.5522f6302d551p-7, 0x1.4d39cf0c22a87p-7, 0x1.4578637958a0fp-7, 0x1.3dde191d3b3acp-7, 0x1.366a558afa9bp-7, 0x1.2f1c9154e80c9p-7, 0x1.27f41db145afcp-7, 0x1.20f073025db3cp-7, 0x1.1a10fb929b522p-7, 0x1.13552c2967dc6p-7, 0x1.0cbc6b77d4828p-7, 0x1.06462bd4c04b8p-7, 0x1.ffe3bec217fccp-8, 0x1.f37df37123427p-8, 0x1.e759dde0141b1p-8, 0x1.db76697716f46p-8, 0x1.cfd27b70f7293p-8, 0x1.c46d20da7b943p-8, 0x1.b94530195bf7cp-8, 0x1.ae59a9de9e045p-8, 0x1.a3a98035445b5p-8, 0x1.9933db8dbc5ffp-8, 0x1.8ef765c783bcbp-8, 0x1.84f371037411ep-8, 0x1.7b26d35350d45p-8, 0x1.7190aa29616ep-8, 0x1.683008087ffacp-8, 0x1.5f03e0d04ff76p-8, 0x1.560b5178d1b0dp-8, 0x1.4d456e4bd4423p-8, 0x1.44b1499f29207p-8, 0x1.3c4e030e69755p-8, 0x1.341ab18d7eb57p-8, 0x1.2c167696cc4a5p-8, 0x1.244070d0e582ep-8, 0x1.1c97c7c07e0ebp-8, 0x1.151ba222b3b6dp-8, 0x1.0dcb2a8f3c9b7p-8, 0x1.06a58e5d7c509p-8, 0x1.ff53fc7489843p-9, 0x1.f1af590ec45b1p-9, 0x1.e45b9edca1d28p-9, 0x1.d7573f4b9dbc4p-9, 0x1.caa0b165b4283p-9, 0x1.be36709993977p-9, 0x1.b21700e5dc5c6p-9, 0x1.a640e97c18395p-9, 0x1.9ab2b7b1f62fbp-9, 0x1.8f6b00214c9ebp-9, 0x1.846858eb27d18p-9, 0x1.79a961192436bp-9, 0x1.6f2cb8dc50d0ep-9, 0x1.64f109e1f40c2p-9, 0x1.5af501abbccfap-9, 0x1.513753fa0ce1p-9, 0x1.47b6be1af462p-9, 0x1.3e71f510d39acp-9, 0x1.3567c01cf2b03p-9, 0x1.2c96e6e890edp-9, 0x1.23fe35bab63bbp-9, 0x1.1b9c76b69fc07p-9, 0x1.13708cef33e1p-9, 0x1.0b79503f6f302p-9, 0x1.03b5a6343e5ecp-9, 0x1.f848ad29463d1p-10, 0x1.e988deaa542d5p-10, 0x1.db29a8d618f82p-10, 0x1.cd28f1457768fp-10, 0x1.bf84980667f62p-10, 0x1.b23ab90f8230ep-10, 0x1.a5493fe446ce6p-10, 0x1.98ae30a4fa3f3p-10, 0x1.8c67aaa2dd668p-10, 0x1.8073ca280049dp-10, 0x1.74d0b55f439dcp-10, 0x1.697c9ccfa3202p-10, 0x1.5e75b726df679p-10, 0x1.53ba33d52ba6bp-10, 0x1.4948789e9031p-10, 0x1.3f1edf0d50942p-10, 0x1.353b91e70b94ep-10, 0x1.2b9d096911758p-10, 0x1.22419bce890eap-10, 0x1.1927d1304b26bp-10, 0x1.104e0fb395d53p-10, 0x1.07b2de8ef9339p-10, 0x1.fea97835d009ep-11, 0x1.ee645fcc42085p-11, 0x1.de94293d99e02p-11, 0x1.cf34b380ec39ep-11, 0x1.c04517be7f415p-11, 0x1.b1c1658c03b5ep-11, 0x1.a3a7591a6472ap-11, 0x1.95f4590dc4776p-11, 0x1.88a5d956872d3p-11, 0x1.7bb9653cbff48p-11, 0x1.6f2c8d67a30d1p-11, 0x1.62fcfb54e0faep-11, 0x1.5728657b495c2p-11, 0x1.4bac76d63dbb6p-11, 0x1.408706087cd5cp-11, 0x1.35b68f6f4ac44p-11, 0x1.2b374006010ap-11, 0x1.2108ff3089fc1p-11, 0x1.172888f43b3bdp-11, 0x1.0d941c65a777p-11, 0x1.0449be1583dffp-11, 0x1.f68f03182b35fp-12, 0x1.e5170fbbdf2eap-12, 0x1.d42808aacad01p-12, 0x1.c3be6d275a9d1p-12, 0x1.b3d6c19884ba8p-12, 0x1.a46dc6fe9a782p-12, 0x1.957fe46c36f4ep-12, 0x1.870a55b876d77p-12, 0x1.79098916e54e4p-12, 0x1.6b7a15608d1a1p-12, 0x1.5e5968f880cbp-12, 0x1.51a418f3d3cd9p-12, 0x1.45573a63f1effp-12, 0x1.3970045762fa8p-12, 0x1.2debd30ca6d72p-12, 0x1.22c7a718f57bep-12, 0x1.1801130ebab1ap-12, 0x1.0d95b2bbccfeap-12, 0x1.0382c625fc04ep-12, 0x1.f38bd111cff34p-13, 0x1.e0b954f9fd86ap-13, 0x1.ce894c276040ep-13, 0x1.bcf707578edbbp-13, 0x1.abfd69062d4f7p-13, 0x1.9b98f23e85b3bp-13, 0x1.8bc53862f269ap-13, 0x1.7c7d65f98f853p-13, 0x1.6dbe02870d256p-13, 0x1.5f8314d35faa2p-13, 0x1.51c8c34169e0cp-13, 0x1.448b4dd1434a9p-13, 0x1.37c668c6f4017p-13, 0x1.2b77039218007p-13, 0x1.1f9a526f10199p-13, 0x1.142ba0f210a6ap-13, 0x1.092814f49a80bp-13, 0x1.fd19fe200df5dp-14, 0x1.e8aa64f0f299bp-14, 0x1.d4ff337d45a3ep-14, 0x1.c2112c56a639ep-14, 0x1.afda8573dc546p-14, 0x1.9e555e58ba0c4p-14, 0x1.8d7c490765088p-14, 0x1.7d49b3361bd5bp-14, 0x1.6db92778935a9p-14, 0x1.5ec15dda0aef1p-14, 0x1.50648bab97044p-14, 0x1.429894523ffbcp-14, 0x1.355a73cde8fe7p-14, 0x1.28a5875cb6a2fp-14, 0x1.1c75471c63befp-14, 0x1.10c5719e49f55p-14, 0x1.0590e69d253fcp-14, 0x1.f5ab3cf12612fp-15, 0x1.e11b84ab1ee5ap-15, 0x1.cd6aecdfe4446p-15, 0x1.ba924aa8e7ab3p-15, 0x1.a889f7d97d475p-15, 0x1.974c9d532f8d2p-15, 0x1.86cda7174a4aap-15, 0x1.770c73528f237p-15, 0x1.6800bfd225935p-15, 0x1.599e76d85aef1p-15, 0x1.4be9adaba8645p-15, 0x1.3ed7d3b68c751p-15, 0x1.3261b7d5efc78p-15, 0x1.26814d2bdbc81p-15, 0x1.1b3493d7f781dp-15, 0x1.1073f5e835d49p-15, 0x1.0638b5087a28fp-15, 0x1.f908d40cdf518p-16, 0x1.e68b9e4785ca6p-16, 0x1.d5082d61b0613p-16, 0x1.c466164c1c2dep-16, 0x1.b4a6e34b385f3p-16, 0x1.a5ba9c04b2752p-16, 0x1.979ab5185fa2p-16, 0x1.8a43073461cd1p-16, 0x1.7da4f1b30710fp-16, 0x1.71bc9ba59669cp-16, 0x1.6682cbfc535c1p-16, 0x1.5bf0860af61a1p-16, 0x1.51fdd9619b507p-16, 0x1.48a45123aedeep-16, 0x1.3fdce91528a4bp-16, 0x1.37a1594c6aaf4p-16, 0x1.2febb62d6efaap-16, 0x1.28b5bf28aa851p-16, 0x1.21fbbfe944ca7p-16, 0x1.1bb669644f948p-16, 0x1.15e04a780f799p-16, 0x1.10766c3d2ec8ep-16, 0x1.0b71548702a1bp-16, 0x1.06cd0b19141b9p-16, 0x1.028542dfb6257p-16, 0x1.fd2b6fe9c0bebp-17, 0x1.f5f496c0c7b47p-17, 0x1.ef5ce4859a634p-17, 0x1.e958368ed1eb3p-17, 0x1.e3ebfeda287c1p-17, 0x1.defe66fec5e51p-17, 0x1.da8dbf736eef7p-17, 0x1.d69c21138548ap-17, 0x1.d312e68fde777p-17, 0x1.d0085056918e7p-17, 0x1.cd4de47c268e6p-17, 0x1.cafaa2b2aafc6p-17, 0x1.c901046e93653p-17, 0x1.c75bfcb3c5bcfp-17, 0x1.c605383ef6a44p-17, 0x1.c4f992fab4c63p-17, 0x1.c43744051b52cp-17, 0x1.c3a44bfccab4dp-17, 0x1.c35f79ac3fd8ap-17, 0x1.c34aaaa1ef648p-17, 0x1.c37096bc239b9p-17, 0x1.c3bd9f4c9914cp-17, 0x1.c437256c84fa3p-17, 0x1.c4d9300afa98cp-17, 0x1.c59fdc4343cc1p-17, 0x1.c685d4149fa76p-17, 0x1.c789ee77f6c74p-17, 0x1.c8a796c42f2ap-17, 0x1.c9c84cb2a283bp-17, 0x1.cb271b2b2bec8p-17, 0x1.cc8311577c586p-17, 0x1.cded891022b02p-17, 0x1.cf60c8220f2fap-17, 0x1.d0e52aaa01ac4p-17, 0x1.d26f44de6d8b5p-17, 0x1.d3feae3c1a32ap-17, 0x1.d5933d5e4a6b8p-17, 0x1.d72a3e71f1598p-17, 0x1.d8c19326aed28p-17, 0x1.da58189895bcp-17, 0x1.dbebd864370a7p-17, 0x1.dd7b53d3c8c84p-17, 0x1.def15f33f0807p-17, 0x1.e0745b6623989p-17, 0x1.e1ff65b9a7c89p-17, 0x1.e36ee87116d6ap-17, 0x1.e4d91638aa3f1p-17, 0x1.e62b0124bd8eep-17, 0x1.e77cbc4206635p-17, 0x1.e8bb1e0a0b60fp-17, 0x1.e9ed305b53f9ap-17, 0x1.eb0def08bccf7p-17, 0x1.ec1e2a2b744dbp-17, 0x1.ed1e692712f8cp-17, 0x1.ee0d407230f22p-17, 0x1.eee9df07bb382p-17, 0x1.efb54c0ce5e45p-17, 0x1.f06b859f8308fp-17, 0x1.f10f509e20823p-17, 0x1.f19ed88ac15d7p-17, 0x1.f21a1badaa592p-17, 0x1.f27e8f3ebbac3p-17, 0x1.f2d2d5f3c8d7cp-17, 0x1.f3104cfe82c9p-17, 0x1.f338f18ab3fd2p-17, 0x1.f3423c5734a78p-17, 0x1.f33fbedb72bbep-17, 0x1.f33073a3764b4p-17, 0x1.f301ca934221ap-17, 0x1.f2be199d61d41p-17, 0x1.f263308920286p-17, 0x1.f1f4bfd3a93dbp-17, 0x1.f1705a995ea1ap-17, 0x1.f0d5906d9ee57p-17, 0x1.f02257087643dp-17, 0x1.ef5f7662fa4fdp-17, 0x1.ee84af61e453ep-17, 0x1.ed94d8a68c31ep-17, 0x1.ec8f884fba041p-17, 0x1.eb7592453a82bp-17, 0x1.ea46ab6a241cfp-17, 0x1.e901e1a2581cfp-17, 0x1.e7a4efb78f0c9p-17, 0x1.e63b80fe2ac3bp-17, 0x1.e4c0833c8a659p-17, 0x1.e32cb76e0cba4p-17, 0x1.e186c365a85ep-17, 0x1.dfcea62630647p-17, 0x1.de07ba4ecc081p-17, 0x1.dc1de6f4c4533p-17, 0x1.da2c4aab1735cp-17, 0x1.d835eb329823ep-17, 0x1.d61d3ed69225dp-17, 0x1.d3f63c05e72a2p-17, 0x1.d1c28674ac31ep-17, 0x1.cf81efef3bd8p-17, 0x1.cd24da88cf7a6p-17, 0x1.cac2b1a4f4a27p-17, 0x1.c84942e599ba2p-17, 0x1.c5c4bf7b4af1ep-17, 0x1.c3315272b30ep-17, 0x1.c08eed03cce8dp-17, 0x1.bddde19c3919dp-17, 0x1.bb21965302f2p-17, 0x1.b849100e10711p-17, 0x1.b56d082161ea9p-17, 0x1.b29890ab63019p-17, 0x1.afa6901b26e51p-17, 0x1.aca84f4b32ba7p-17, 0x1.a9a00a080a7e9p-17, 0x1.a68bc4fc080fbp-17, 0x1.a36cb999e1a98p-17, 0x1.a0436dea9f9f3p-17, 0x1.9d0fd43067e52p-17, 0x1.99d23dcc78286p-17, 0x1.968afc9b27c13p-17, 0x1.933a912d93203p-17, 0x1.8fe26d1aafd7fp-17, 0x1.8c81ac394c6c4p-17, 0x1.891176b53085cp-17, 0x1.85a58a2c426e4p-17, 0x1.822dff97ff859p-17, 0x1.7eade2ffa606ap-17, 0x1.7b2758cd6af63p-17, 0x1.779a7060a150ep-17, 0x1.74076fcdaad79p-17, 0x1.706ea6645c694p-17, 0x1.6cd06c9901c9fp-17, 0x1.692d3898582edp-17, 0x1.6587458c64bb6p-17, 0x1.61d895b97fec2p-17, 0x1.5e2713bca4622p-17, 0x1.5a71748f57cd4p-17, 0x1.56b8da213dfp-17, 0x1.52fbfca8edcc2p-17, 0x1.4f3d2c620a1e9p-17, 0x1.4b7a92c04f709p-17, 0x1.47b5dafe7951fp-17, 0x1.43ef979cd855cp-17, 0x1.40265d10faddcp-17, 0x1.3c5b3f2930771p-17, 0x1.388d636a0ccfep-17, 0x1.34c11f11502bep-17, 0x1.30f2db5a033fdp-17, 0x1.2d23df04f449ep-17, 0x1.2952f633d0fdbp-17, 0x1.2582cc4043edep-17, 0x1.21b25f019b617p-17, 0x1.1de2419ee86c6p-17, 0x1.1a0d4fb4fa125p-17, 0x1.163e11ae27afbp-17, 0x1.12746276f1faap-17, 0x1.0ea68cba6bdebp-17, 0x1.0ad9cc27aa123p-17, 0x1.070f9dc9689d9p-17, 0x1.0332c499d2011p-17, 0x1.ff0e1dd3eb6fp-18, 0x1.f76f95c64f0d4p-18, 0x1.efe8e34955ee8p-18, 0x1.e866601277a62p-18, 0x1.e0e9aa79fd079p-18, 0x1.d972946b089bcp-18, 0x1.d21c83cf697ep-18, 0x1.ca921e649d75fp-18, 0x1.c32b90050fee6p-18, 0x1.bbcaf187c654cp-18, 0x1.b4716f0a7808p-18, 0x1.ad1f9b6b95f3fp-18, 0x1.a5d48aa574f91p-18, 0x1.9e9218b89b426p-18, 0x1.974f0654cd299p-18, 0x1.90235fca3ababp-18, 0x1.88f7d737a1234p-18, 0x1.81d568c64911cp-18, 0x1.7ac3e1742fc9p-18, 0x1.73a048a2ba6f9p-18, 0x1.6ca681dc6ff55p-18, 0x1.65aa488693287p-18, 0x1.5eb1ca083d09ep-18, 0x1.57cb0664e1162p-18, 0x1.50e890de07e5p-18, 0x1.4a1550a1613a8p-18, 0x1.43490c651527dp-18, 0x1.3c87b5889d2c3p-18, 0x1.35c152f6597ebp-18, 0x1.2f314f0dd5c95p-18, 0x1.2888eac16016ap-18, 0x1.21f4bebf30ebdp-18, 0x1.1b6b4cb36eb5bp-18, 0x1.14ed9269086b1p-18, 0x1.0e7b2c6cb5cfep-18, 0x1.080edd145e6bdp-18, 0x1.01bb2730b7264p-18, 0x1.f6d96bd237333p-19, 0x1.ea5484e530f87p-19, 0x1.dde7d1f84d9a8p-19, 0x1.d19391e9afd5bp-19, 0x1.c55857277061ep-19, 0x1.b935f133db997p-19, 0x1.ad2c09b71a5a9p-19, 0x1.a141b44dbf0c8p-19, 0x1.956b9d27a28c9p-19, 0x1.89a6843e5cd08p-19, 0x1.7e028fc844ea3p-19, 0x1.72778cc532b72p-19, 0x1.67068a774fc5dp-19, 0x1.5baf8ce37d136p-19, 0x1.5072bbbeb86c3p-19, 0x1.454f52455ddccp-19, 0x1.3a468fb751c2p-19, 0x1.2f5f227bc13ffp-19, 0x1.248178c79bab8p-19, 0x1.19c84e63a71b4p-19, 0x1.0f26ff9959f04p-19, 0x1.04a05401ad17fp-19, 0x1.f46385f785673p-20, 0x1.df65cef35842bp-20, 0x1.cb605faf30f42p-20, 0x1.b6ffa359fde0cp-20, 0x1.a3152e4b44145p-20, 0x1.8f4fa15874c89p-20, 0x1.7baa921929532p-20, 0x1.684143cb02042p-20, 0x1.55110645f46f9p-20, 0x1.41fa8938562efp-20, 0x1.2f84e27c54f9p-20, 0x1.1cac29354654p-20, 0x1.0a4d1ff3e1a73p-20, 0x1.f03db7075a629p-21, 0x1.cc4bcefda1e52p-21, 0x1.a8be6a6688bf7p-21, 0x1.859d1818afa27p-21, 0x1.62de6e5c22986p-21, 0x1.40874284d9786p-21, 0x1.1e971abbc681ep-21, 0x1.fa171717707a7p-22, 0x1.b7d2c3ed5cb5ep-22, 0x1.7655feedf01ecp-22, 0x1.35a5181506ea8p-22, 0x1.eb7495ae0a892p-23, 0x1.6d33cf3111996p-23, 0x1.e0f2ff53f2ed1p-24, 0x1.d56780ce87b82p-25, -0x1.0a5dbc648ca08p-29, -0x1.f0dff4e6b8c58p-25, -0x1.e5af51f67bf27p-24, -0x1.666cc9891fab8p-23, -0x1.daf80cb310613p-23, -0x1.26a74752ec6cp-22, -0x1.5ed785cbac8e3p-22, -0x1.9648d8d81c7dbp-22, -0x1.cd17f45aa3029p-22, -0x1.01827aa1ddf54p-21, -0x1.1c26b3c3f2e13p-21, -0x1.366ae2a2f6da8p-21, -0x1.504c3b87e4dcdp-21, -0x1.69e76772e9e44p-21, -0x1.830a2dff29a87p-21, -0x1.9c86ddd5b57e8p-21, -0x1.b44ebfd7c6128p-21, -0x1.cc920f052be4ep-21, -0x1.e433b85e7fe2ep-21, -0x1.fb9c49028f545p-21, -0x1.097212e7f221bp-20, -0x1.14d3fac5cf52bp-20, -0x1.203a37aaf489dp-20, -0x1.2ae8c1aad1c4dp-20, -0x1.35d2191cac778p-20, -0x1.408605853486dp-20, -0x1.4b039aad8ce32p-20, -0x1.557786fd51bdcp-20, -0x1.5f88fe4847b89p-20, -0x1.69aa8e7f8bd4ap-20, -0x1.738bd6c9739efp-20, -0x1.7d44e875d315dp-20, -0x1.86d6044cc0716p-20, -0x1.903e1e43449f9p-20, -0x1.9981215a429dfp-20, -0x1.a296dc0bf472bp-20, -0x1.ab8cf00449e2fp-20, -0x1.b457d7f11f0d2p-20, -0x1.bcfbbf3860f2fp-20, -0x1.c57b591aa8962p-20, -0x1.cdd589f61283bp-20, -0x1.d610e5ecba8b2p-20, -0x1.de19dd3270a33p-20, -0x1.e60521d22f79cp-20, -0x1.edcb816473c81p-20, -0x1.f56d8d9900edap-20, -0x1.fcebf8dac78c4p-20, -0x1.02231f8d10c93p-19, -0x1.05c110abcaf4cp-19, -0x1.09499ff5faa3ap-19, -0x1.0cc3343bbf1cap-19, -0x1.102bbe2532812p-19, -0x1.13824b2f61bd2p-19, -0x1.16ca08b641b42p-19, -0x1.1a003d07ee837p-19, -0x1.1d28c8e6b9d67p-19, -0x1.2039afbdc4405p-19, -0x1.23406969fcd7p-19, -0x1.2637176bf94cp-19, -0x1.290e70627a03bp-19, -0x1.2bdcb1ef1f87cp-19, -0x1.2eb904656abaep-19, -0x1.3164e32f62b13p-19, -0x1.341676168ab22p-19, -0x1.36b1cb2c0107fp-19, -0x1.393cbc9d8b781p-19, -0x1.3bb8c2fe3cfa1p-19, -0x1.3e259271efc54p-19, -0x1.40837fae8f534p-19, -0x1.42d42e9e465e4p-19, -0x1.45189e993b407p-19, -0x1.474e5f1f66927p-19, -0x1.4977e2505bcccp-19, -0x1.4b74ce033de88p-19, -0x1.4d8be4ecf32a7p-19, -0x1.4f9ca1bb4ac61p-19, -0x1.518db2f0cff4bp-19, -0x1.53722af032d22p-19, -0x1.5541b5b35ca1cp-19, -0x1.571d6ffbb6739p-19, -0x1.58ed7eacc9383p-19, -0x1.5a8aed46ad402p-19, -0x1.5c2c8e33bd99ep-19, -0x1.5dc7c6638776ep-19, -0x1.5f57761b67097p-19, -0x1.60da82e7536eep-19, -0x1.62505f708ee06p-19, -0x1.63bb4bc9e02b5p-19, -0x1.651ba8b032f9p-19, -0x1.666fafc4726b5p-19, -0x1.67b87cfa9e06p-19, -0x1.68fbb3e98408ep-19, -0x1.6a2b328886d7fp-19, -0x1.6b550fc6eefffp-19, -0x1.6c73ab7d98121p-19, -0x1.6d87bf69450b3p-19, -0x1.6e9190d840ff2p-19, -0x1.6f91648d14f87p-19, -0x1.7086ae218b92dp-19, -0x1.717102b0f19b3p-19, -0x1.7252486f2caefp-19, -0x1.7333d3b745afp-19, -0x1.73fa7aa9a5e77p-19, -0x1.74bfbebc1c56fp-19, -0x1.75843b93d1978p-19, -0x1.762e4bc56331dp-19, -0x1.76d763ac4655dp-19, -0x1.7778faafd6dafp-19, -0x1.780fc5bc31917p-19, -0x1.789f27091d234p-19, -0x1.793efe9e31e08p-19, -0x1.79a2de6110c63p-19, -0x1.7a1a5c7cd651ep-19, -0x1.7a87c488f69d5p-19, -0x1.7aede53f80068p-19, -0x1.7b4acd5519392p-19, -0x1.7ba0360d444p-19, -0x1.7bedff567ddc2p-19, -0x1.7c2bcc2eb2e13p-19, -0x1.7c721840849f5p-19, -0x1.7cacd9dfb0ce1p-19, -0x1.7cd8ffa79b839p-19, -0x1.7d020bbbca759p-19, -0x1.7d23ad74270fep-19, -0x1.7d3ca2f3ccc68p-19, -0x1.7d5294e37cb59p-19, -0x1.7d5d94912de6ep-19, -0x1.7d63abc69f0a5p-19, -0x1.7d60d9251c4c3p-19, -0x1.7d5d6961e316p-19, -0x1.7d4eb80bb933bp-19, -0x1.7d3aba84ae0e5p-19, -0x1.7d1f3906473cdp-19, -0x1.7cfee89188febp-19, -0x1.7cd7c25425515p-19, -0x1.7cabc0837c1eep-19, -0x1.7c803f4e6958fp-19, -0x1.7c46020bf80fap-19, -0x1.7c046c3d57bd2p-19, -0x1.7bc14bbc81c5bp-19, -0x1.7b7713657e025p-19, -0x1.7b299d12c64fap-19, -0x1.7ad658d7c6f78p-19, -0x1.7a7be749e0952p-19, -0x1.7a2f0c0b9eb2p-19, -0x1.79ce497b9470cp-19, -0x1.79513ed50a4p-19, -0x1.78e86693800abp-19, -0x1.78756286bc039p-19, -0x1.77fe4e6b34d79p-19, -0x1.7786f4e317776p-19, -0x1.77060b85b9791p-19, -0x1.768044a3e11e9p-19, -0x1.75f9b9fd19717p-19, -0x1.756a1df206686p-19, -0x1.74d902bb7bdccp-19, -0x1.7443dc5d1a99p-19, -0x1.73aaa799b75a5p-19, -0x1.730cc476cdd49p-19, -0x1.726a4d1b13846p-19, -0x1.71cb38285e7cdp-19, -0x1.711d0be1d7ed8p-19, -0x1.707159f456864p-19, -0x1.6fbf9c99700e3p-19, -0x1.6f0a055543398p-19, -0x1.6e517a202d70cp-19, -0x1.6d95b7d3f963ep-19, -0x1.6cd8e863c7f7cp-19, -0x1.6c170816c296bp-19, -0x1.6b4efb2614634p-19, -0x1.6a86c11dd9f66p-19, -0x1.69b6401dab4ecp-19, -0x1.68ec96e242c3p-19, -0x1.681a1cdc2ca7cp-19, -0x1.6745736260201p-19, -0x1.6666a19f3d772p-19, -0x1.659278a42a49p-19, -0x1.64b4b0890b17fp-19, -0x1.63d3ea12d958fp-19, -0x1.62f1f80bab4c7p-19, -0x1.620b8ba59a5d1p-19, -0x1.612347fe5a5e8p-19, -0x1.6037fec431d23p-19, -0x1.5f3ac1aa2a4fep-19, -0x1.5e5cd32b19f78p-19, -0x1.5d6978e72654ap-19, -0x1.5c75b8e20e471p-19, -0x1.5b77a72e8a652p-19, -0x1.5a9df61520aecp-19, -0x1.598c851a7cdc9p-19, -0x1.588ee38a70e9cp-19, -0x1.578f272bc7a1ep-19, -0x1.568eac27da438p-19, -0x1.558b59160dd13p-19, -0x1.5487af09ecd49p-19, -0x1.538047819fe53p-19, -0x1.527c95d6b646dp-19, -0x1.516d714bc16bep-19, -0x1.5061cca7249a9p-19, -0x1.4f4f6abba725dp-19, -0x1.4e45f03f2d1c3p-19, -0x1.4d23ed3a70cb2p-19, -0x1.4c238a266a3f1p-19, -0x1.4b0eb55a943e7p-19, -0x1.49e4389bd68cep-19, -0x1.48e204fad02a5p-19, -0x1.47c9fbad49717p-19, -0x1.46ac6ec3b31f7p-19, -0x1.4596f546b4debp-19, -0x1.447a587b5fd88p-19, -0x1.435d4b87c1d67p-19, -0x1.423f698132e47p-19, -0x1.411f091c1aaa1p-19, -0x1.4016ece2f4afbp-19, -0x1.3ede90c786922p-19, -0x1.3dbc67ad0616bp-19, -0x1.3c936f76e6d31p-19, -0x1.3b7455610fa72p-19, -0x1.3a4d95435422bp-19, -0x1.3927a60e8da5ap-19, -0x1.37fd54c3781e3p-19, -0x1.36d8ccd9eb9a4p-19, -0x1.35afb8a56cce5p-19, -0x1.34868f2fe3483p-19, -0x1.336e75cd178b5p-19, -0x1.32323e7a2b085p-19, -0x1.3105fb679d14cp-19, -0x1.2fd9ece3dba4p-19, -0x1.2eacca7c3d33p-19, -0x1.2d7df754e767ep-19, -0x1.2c522a96c7efap-19, -0x1.2b242d6cb90b6p-19, -0x1.29eff13ba632fp-19, -0x1.28b8e135a6307p-19, -0x1.2796e76255b8ep-19, -0x1.26669bceaaf8p-19, -0x1.253643067597fp-19, -0x1.240253ebbc682p-19, -0x1.22cf8de1b4a31p-19, -0x1.21a2df30492b6p-19, -0x1.207500f9222d2p-19, -0x1.1f43789346af8p-19, -0x1.1e0db996d3d7ap-19, -0x1.1cdbab6ec16dap-19, -0x1.1ba963ac053d7p-19, -0x1.1a76f8dbee3f7p-19, -0x1.19446f53a84cfp-19, -0x1.1811b2b9d3879p-19, -0x1.16df16801dac7p-19, -0x1.15acc519ee3d6p-19, -0x1.146f68edeeb08p-19, -0x1.13463f10a1daap-19, -0x1.1214571d6ed5bp-19, -0x1.10e17fc7fe1c2p-19, -0x1.0faed2604ac23p-19, -0x1.0e7c501f16914p-19, -0x1.0d49dc0fd18cep-19, -0x1.0c177fd61beabp-19, -0x1.0ae59d42752bdp-19, -0x1.09b33bd005727p-19, -0x1.0881c859f3ac8p-19, -0x1.074ffa328dd82p-19, -0x1.061a219870ea6p-19, -0x1.04ed3e708619fp-19, -0x1.03bc41264efcbp-19, -0x1.028c02bd9d795p-19, -0x1.015c713ecfbc3p-19, -0x1.002bc7c962b4p-19, -0x1.fdd1e0196eee5p-20, -0x1.fb95c37771e7cp-20, -0x1.f93c5a746db63p-20, -0x1.f6df45e3b8a8dp-20, -0x1.f47fdf93d6886p-20, -0x1.f223cc3e79ef1p-20, -0x1.efc93de18346cp-20, -0x1.ed7130501484dp-20, -0x1.eb168b27d33b8p-20, -0x1.e8bd7409500dbp-20, -0x1.e665e5f8ef307p-20, -0x1.e40f61fb58fc5p-20, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.d73d38e1c9a26p-4, 0x1.cc5c8376cd92fp-3, 0x1.4d6f4906cd666p-2, 0x1.a95cddff4880ap-2, 0x1.f8d40c8089fa6p-2, 0x1.1dbbb3d153aa5p-1, 0x1.38ba8a5b806e6p-1, 0x1.4dada42a7956dp-1, 0x1.5cfbd5876fc0bp-1, 0x1.671f7e1b09e37p-1, 0x1.6c9d7a24b2cdfp-1, 0x1.6dfe77e058fc8p-1, 0x1.6bca21a27ecf6p-1, 0x1.6683b044e36eap-1, 0x1.5ea78f03d32e4p-1, 0x1.54a9d42aee702p-1, 0x1.48f5591b08a8ap-1, 0x1.3beb4a0f99349p-1, 0x1.2de313731bf81p-1, 0x1.1f2a8b73aae4ep-1, 0x1.100651cfe1e67p-1, 0x1.00b249e43af49p-1, 0x1.e2c45ae99b027p-2, 0x1.c484544d6e6c5p-2, 0x1.a6ef088929adap-2, 0x1.8a4272ba1b204p-2, 0x1.6eb140a13f0b5p-2, 0x1.546403e277b9ep-2, 0x1.3b7a5462f8806p-2, 0x1.240bdf4456b09p-2, 0x1.0e295f08c59ffp-2, 0x1.f3bb1bac3f968p-3, 0x1.ce5bc6932dad2p-3, 0x1.ac36948f27291p-3, 0x1.8d45feed248fap-3, 0x1.717dd720239a3p-3, 0x1.58cc95da1f558p-3, 0x1.431c489c5ed4p-3, 0x1.30536188bbb04p-3, 0x1.20557e84d38cp-3, 0x1.130413c0143f9p-3, 0x1.083efb7880369p-3, 0x1.ffc9f2982d04bp-4, 0x1.f3a85283259e7p-4, 0x1.ebd4c2fe4db6bp-4, 0x1.e80b073a6ae58p-4, 0x1.e807789d6d0c4p-4, 0x1.eb87802a17b03p-4, 0x1.f249fa7a74011p-4, 0x1.fc0f7fb8864abp-4, 0x1.044d4ecf965c3p-3, 0x1.0bd805cdddep-3, 0x1.148b6a1dd0553p-3, 0x1.1e4c2ffee3566p-3, 0x1.290048f0ee2d9p-3, 0x1.348ee556540aep-3, 0x1.40e07bdb0460cp-3, 0x1.4ddeb9da9d3p-3, 0x1.5b748eda13796p-3, 0x1.698e1a2999d3ap-3, 0x1.7818b4440307fp-3, 0x1.8702cf44daf01p-3, 0x1.963bfeb9019dep-3, 0x1.a5b4e88f22b9p-3, 0x1.b55f3aea556d3p-3, 0x1.c52d9bb3efa6ep-3, 0x1.d513a53000d42p-3, 0x1.e505d55cdeaf7p-3, 0x1.f4f984d2b18ffp-3, 0x1.02726cab7c062p-2, 0x1.0a5f5e6ad863dp-2, 0x1.123f69f91b696p-2, 0x1.1a0eb854d99b6p-2, 0x1.21c9c38e34498p-2, 0x1.296d54a937e85p-2, 0x1.30f67bd3a6be3p-2, 0x1.38628edd398dbp-2, 0x1.3faf1ffe4872bp-2, 0x1.46da026709287p-2, 0x1.4de13bee74fdbp-2, 0x1.54c309525d585p-2, 0x1.5b7dd759e2c19p-2, 0x1.62103fbc85803p-2, 0x1.687906722c104p-2, 0x1.6eb718167fc74p-2, 0x1.74c982d290e53p-2, 0x1.7aaf7a6ef1ecbp-2, 0x1.80684e577fb2fp-2, 0x1.85f36e0cd48eap-2, 0x1.8b5063d2ff73bp-2, 0x1.907ed0998aac9p-2, 0x1.957e6fa6f381cp-2, 0x1.9a4f10cb9dcedp-2, 0x1.9ef096b837af6p-2, 0x1.a362f7d0a36eep-2, 0x1.a7a63a8efbdf5p-2, 0x1.abba75a87d1c8p-2, 0x1.af9fcfc4f01ebp-2, 0x1.b3567a68d4661p-2, 0x1.b6deb455ca98dp-2, 0x1.ba38c81f6b86dp-2, 0x1.bd650b38e8157p-2, 0x1.c063dbc9438fep-2, 0x1.c335a1f99168ap-2, 0x1.c5dacc737d79p-2, 0x1.c853d3c45ac63p-2, 0x1.caa1344e317fbp-2, 0x1.ccc372e926e34p-2, 0x1.cebb199793846p-2, 0x1.d088b796249fdp-2, 0x1.d22ce07309578p-2, 0x1.d3a82beeaa4b4p-2, 0x1.d4fb36de8a331p-2, 0x1.d6269fe05444bp-2, 0x1.d72b0967a588fp-2, 0x1.d80918f81ef74p-2, 0x1.d8c175e5f8944p-2, 0x1.d954ca33615a8p-2, 0x1.d9c3c14723d6cp-2, 0x1.da0f087e9bf55p-2, 0x1.da374e2a45787p-2, 0x1.da3d41ecdf787p-2, 0x1.da219498e7654p-2, 0x1.d9e4f6ff63f8p-2, 0x1.d9881af6b9984p-2, 0x1.d90bb285e1793p-2, 0x1.d8706faac6279p-2, 0x1.d7b704ca0f62dp-2, 0x1.d6e023d54286ep-2, 0x1.d5ec7e15f0c12p-2, 0x1.d4dcc5407580bp-2, 0x1.d3b1a9bf1575bp-2, 0x1.d26bdba49a75fp-2, 0x1.d10c0a0d2ff16p-2, 0x1.cf92e37f155ap-2, 0x1.ce0113ae906d1p-2, 0x1.cc574b24ac83cp-2, 0x1.ca9630be560a6p-2, 0x1.c8be6fd146f95p-2, 0x1.c6d0b0b8ed5d2p-2, 0x1.c4cd9aa316512p-2, 0x1.c2b5d33e8b927p-2, 0x1.c089fea8c2bddp-2, 0x1.be4abf7a2b319p-2, 0x1.bbf8b649459d4p-2, 0x1.b99482baa6b7ep-2, 0x1.b71ec20f3c733p-2, 0x1.b498100ade67fp-2, 0x1.b201068084528p-2, 0x1.af5a3d655d2eap-2, 0x1.aca44b43dabc4p-2, 0x1.a9dfc3d607729p-2, 0x1.a70d39540f75ep-2, 0x1.a42d3c4c321b6p-2, 0x1.a1405ad4f6977p-2, 0x1.9e472116a609cp-2, 0x1.9b42194d7c3d9p-2, 0x1.9831cb841d402p-2, 0x1.9516bddf794edp-2, 0x1.91f173d99182p-2, 0x1.8ec26fb5bca16p-2, 0x1.8b8a31105257ep-2, 0x1.884934f544d4cp-2, 0x1.84fff76655a08p-2, 0x1.81aef1686e1cfp-2, 0x1.7e569a04e0bf7p-2, 0x1.7af76639e2fe2p-2, 0x1.7791c8daf1586p-2, 0x1.742632925eae7p-2, 0x1.70b511defccdbp-2, 0x1.6d3ed3225fb25p-2, 0x1.69c3e0a0b9772p-2, 0x1.6644a26c006cep-2, 0x1.62c17e7889adep-2, 0x1.5f3ad8a89ac32p-2, 0x1.5bb112c275da6p-2, 0x1.58248c59a9b6dp-2, 0x1.5495a31fc351p-2, 0x1.5104b2485155cp-2, 0x1.4d721394b5bccp-2, 0x1.49de1e4232f9p-2, 0x1.46492773ab449p-2, 0x1.42b382bdf8451p-2, 0x1.3f1d819c99f74p-2, 0x1.3b877281052c6p-2, 0x1.37f1a38041a8cp-2, 0x1.345c5fc3ad16p-2, 0x1.30c7f0d81c95ap-2, 0x1.2d349de9b3dbcp-2, 0x1.29a2ace99a304p-2, 0x1.261261536e288p-2, 0x1.2283fd19d48e4p-2, 0x1.1ef7c04cf1b69p-2, 0x1.1b6de8f71167fp-2, 0x1.17e6b385ebe22p-2, 0x1.14625a89ddb6ap-2, 0x1.10e116c2d46f2p-2, 0x1.0d631f75ebc74p-2, 0x1.09e8a9f9dea77p-2, 0x1.0671e9bbfa388p-2, 0x1.02ff10e98afc3p-2, 0x1.ff209f8fd2febp-3, 0x1.f84baa1ecfc98p-3, 0x1.f17f9bb7649f1p-3, 0x1.eabccb5c9772cp-3, 0x1.e4038cd4991abp-3, 0x1.dd543129ff6a8p-3, 0x1.d6af05d0676cep-3, 0x1.d01455eb49d3p-3, 0x1.c984691f2859cp-3, 0x1.c2ff8472c0426p-3, 0x1.bc85ea07b5a27p-3, 0x1.b617d92b7b111p-3, 0x1.afb58e730b389p-3, 0x1.a95f43b86f846p-3, 0x1.a3153033a4053p-3, 0x1.9cd78886518c2p-3, 0x1.96a67e994d828p-3, 0x1.908242128539dp-3, 0x1.8a6b001f6a2bfp-3, 0x1.8460e301da96cp-3, 0x1.7e64134dff054p-3, 0x1.7874b6b4c9be7p-3, 0x1.7292f0f437b14p-3, 0x1.6cbee3711732ap-3, 0x1.66f8ad4315a94p-3, 0x1.61406ba074aa3p-3, 0x1.5b96395e8a4f6p-3, 0x1.55fa2f627b708p-3, 0x1.506c648e6922fp-3, 0x1.4aecedc9a6fe2p-3, 0x1.457bde110f029p-3, 0x1.4019467ba513p-3, 0x1.3ac536300a8ddp-3, 0x1.357fbad3fcbe4p-3, 0x1.3048e0247d4eep-3, 0x1.2b20afde91f9p-3, 0x1.26073280b6854p-3, 0x1.20fc6eb8d2c2ep-3, 0x1.1c0069aed49bep-3, 0x1.171326f31ea33p-3, 0x1.1234a867b070bp-3, 0x1.0d64ef0264b39p-3, 0x1.08a3f9bf38bf1p-3, 0x1.03f1c6627c8a6p-3, 0x1.fe9ca2cecfe66p-4, 0x1.f5732bcfe0e6p-4, 0x1.ec671bff41af2p-4, 0x1.e37863fc1382dp-4, 0x1.daa6f33266b54p-4, 0x1.d1f2b5e071963p-4, 0x1.c95b9683e2427p-4, 0x1.c0e17d3c2f9c7p-4, 0x1.b8845013d1c57p-4, 0x1.b043f320d30d9p-4, 0x1.a820486bcc657p-4, 0x1.a0192ff4167dep-4, 0x1.982e8842a4481p-4, 0x1.90602da8d185p-4, 0x1.88adfb4d3d629p-4, 0x1.8117ca54614fap-4, 0x1.799d723176dbep-4, 0x1.723ec9280346ap-4, 0x1.6afba3cf6925bp-4, 0x1.63d3d55cd09ep-4, 0x1.5cc72fea9f42fp-4, 0x1.55d5844982ffp-4, 0x1.4efea15edf26fp-4, 0x1.484255b46d5f4p-4, 0x1.41a06e95946cp-4, 0x1.3b18b7e96eecfp-4, 0x1.34aafcc3a8bfbp-4, 0x1.2e57074487773p-4, 0x1.281ca0a333e8cp-4, 0x1.21fb913ab1a3ep-4, 0x1.1bf3a0928bc93p-4, 0x1.1604956e3d621p-4, 0x1.102e35ddd00cap-4, 0x1.0a70474535fe4p-4, 0x1.04ca8e6bc4a81p-4, 0x1.fe799e89da699p-5, 0x1.f38d9b8fda424p-5, 0x1.e8d099d5b625dp-5, 0x1.de421ebeff29cp-5, 0x1.d3e1ae80c7b2bp-5, 0x1.c9aecd1b9187ap-5, 0x1.bfa8fd8a1885cp-5, 0x1.b5cfc2354f117p-5, 0x1.ac229cc33af8cp-5, 0x1.a2a10ed1e51f8p-5, 0x1.994a99401a2cp-5, 0x1.901ebc59fab5fp-5, 0x1.871cf962b3f19p-5, 0x1.7e44cf6a419c9p-5, 0x1.7595bed5265d8p-5, 0x1.6d0f477a424e5p-5, 0x1.64b0e932935f9p-5, 0x1.5c7a23683c7fp-5, 0x1.546a768b7554cp-5, 0x1.4c8161dbe1ccap-5, 0x1.44be665e33f02p-5, 0x1.3d2104118c4b8p-5, 0x1.35a8bb33ef6f3p-5, 0x1.2e550d010545ap-5, 0x1.27257ab8a137bp-5, 0x1.20198621e4fdcp-5, 0x1.1930b10115c66p-5, 0x1.126a7e2188b19p-5, 0x1.0bc6707478427p-5, 0x1.05440bb0848a3p-5, 0x1.fdc5a7e88786dp-6, 0x1.f1449c4330e5cp-6, 0x1.e503ff7ceace6p-6, 0x1.d902dd93e0788p-6, 0x1.cd404473f04cbp-6, 0x1.c1bb42d07c725p-6, 0x1.b672e9ae2597cp-6, 0x1.ab664b22fdd6bp-6, 0x1.a0947b2574e34p-6, 0x1.95fc8f913c9bfp-6, 0x1.8b9d9fbedca81p-6, 0x1.8176c4c23cc38p-6, 0x1.778719258a0bp-6, 0x1.6dcdba03c3b8ap-6, 0x1.6449c54a4bdabp-6, 0x1.5afa5bade99f9p-6, 0x1.51de9f76dcdbdp-6, 0x1.48f5b5fdc29a5p-6, 0x1.403ec5a0f233bp-6, 0x1.37b8f7894c70dp-6, 0x1.2f63766c4fc21p-6, 0x1.273d6db1b7cc3p-6, 0x1.1f460c09249adp-6, 0x1.177c8203a0a2cp-6, 0x1.0fe002ccb78d3p-6, 0x1.086fc3a15d1aap-6, 0x1.012afdb85451ep-6, 0x1.f421d64385491p-7, 0x1.e64189f727c08p-7, 0x1.d8b3a031dd83ep-7, 0x1.cb768a0e09142p-7, 0x1.be88cef4b045ep-7, 0x1.b1e8f6bc5093bp-7, 0x1.a5958ee547dafp-7, 0x1.998d2defd4c98p-7, 0x1.8dce6d53b013bp-7, 0x1.8257ec71697abp-7, 0x1.77284db1c83afp-7, 0x1.6c3e350071f1dp-7, 0x1.6198481d36dfbp-7, 0x1.57352fa12ffe4p-7, 0x1.4d1398a9a4794p-7, 0x1.433236cb4eafap-7, 0x1.398fc7b9d730fp-7, 0x1.302b0eb6d7a42p-7, 0x1.2702d66fb5366p-7, 0x1.1e15ee33ebadap-7, 0x1.156327ec6ce5fp-7, 0x1.0ce953e52e9e7p-7, 0x1.04a743765e701p-7, 0x1.f937922f4fd5ap-8, 0x1.e98b782c35667p-8, 0x1.da47f31034cfcp-8, 0x1.cb6ad5832153fp-8, 0x1.bcf203065882fp-8, 0x1.aedb6b411888cp-8, 0x1.a1250dee602e6p-8, 0x1.93cce9a92b467p-8, 0x1.86d0f8f099c9bp-8, 0x1.7a2f313bdb38ap-8, 0x1.6de585a2051e9p-8, 0x1.61f1ed2237867p-8, 0x1.56526b43733c8p-8, 0x1.4b051791c3a65p-8, 0x1.400820b4ed53ap-8, 0x1.3559d583fca5ep-8, 0x1.2af8866b1c4b4p-8, 0x1.20e2a67b0bd74p-8, 0x1.17168875caab4p-8, 0x1.0d929180979d3p-8, 0x1.04550e0eb4781p-8, 0x1.f6b8892e8a508p-9, 0x1.e54cf4e1ec378p-9, 0x1.d463f3d57a49fp-9, 0x1.c3fa3be561801p-9, 0x1.b40ca8aa4f819p-9, 0x1.a49849fdd6c39p-9, 0x1.959a60ea90d47p-9, 0x1.87104d44edd0fp-9, 0x1.78f78ad3701a9p-9, 0x1.6b4d8a7339718p-9, 0x1.5e0fb7e9ba24cp-9, 0x1.513b6583e0516p-9, 0x1.44cdeaec3563ep-9, 0x1.38c4a36d6b034p-9, 0x1.2d1ce160a82cap-9, 0x1.21d42840506b9p-9, 0x1.16e7d3ee84633p-9, 0x1.0c557d070d472p-9, 0x1.021adbf5ded66p-9, 0x1.f06b6fa749bd2p-10, 0x1.dd47f27daba8p-10, 0x1.cac71643de79cp-10, 0x1.b8e4a824d0a6p-10, 0x1.a79c71f70df72p-10, 0x1.96ea4b4bb47ap-10, 0x1.86ca3b69c3c09p-10, 0x1.77386fcccf5ddp-10, 0x1.68312053c7a9fp-10, 0x1.59b08e721d0efp-10, 0x1.4bb2eedaed68bp-10, 0x1.3e348978ff55fp-10, 0x1.3131d30ddb0fdp-10, 0x1.24a76bb2923fdp-10, 0x1.18924405e7cf2p-10, 0x1.0cef4e5bd57cbp-10, 0x1.01bb2cec4381bp-10, 0x1.ede554c95b09ep-11, 0x1.d9250765fc3dbp-11, 0x1.c52f75ac9627ep-11, 0x1.b1fed09c2a147p-11, 0x1.9f8daa64c3df5p-11, 0x1.8dd6696e7fc7bp-11, 0x1.7cd327d09e2fdp-11, 0x1.6c7dd9374c38dp-11, 0x1.5cd0af1f85af5p-11, 0x1.4dc66c85dd984p-11, 0x1.3f5a749b47d32p-11, 0x1.31887ca6ce4cp-11, 0x1.244c4c578a848p-11, 0x1.17a17b0765ad6p-11, 0x1.0b838621a58cap-11, 0x1.ffdc05b4b86fbp-12, 0x1.e9b99e372da3fp-12, 0x1.d4980c9a4af01p-12, 0x1.c07030f615703p-12, 0x1.ad39f25a3199ap-12, 0x1.9aec852a66eap-12, 0x1.897eadc057ab8p-12, 0x1.78e75828d933ap-12, 0x1.691e76f1856ffp-12, 0x1.5a1cc54f0cd66p-12, 0x1.4bdc61966aa4cp-12, 0x1.3e5757a62e732p-12, 0x1.3187668539fap-12, 0x1.2566aaacf1409p-12, 0x1.19ee92f757a63p-12, 0x1.0f18ee278d872p-12, 0x1.04e05744aae06p-12, 0x1.f67f3a0fcac45p-13, 0x1.e464ae315ac12p-13, 0x1.d367464d48a52p-13, 0x1.c37acacce88b8p-13, 0x1.b49477b2b552dp-13, 0x1.a6a702450ed49p-13, 0x1.99a7aaff11be8p-13, 0x1.8d8bd53efee3dp-13, 0x1.824b4e3b1327cp-13, 0x1.77df1038d7618p-13, 0x1.6e41776db726ap-13, 0x1.656bb3917be6ep-13, 0x1.5d55715f2565cp-13, 0x1.55f51a3819c0ap-13, 0x1.4f415365cc45p-13, 0x1.493159e7ff0eap-13, 0x1.43bd27169f147p-13, 0x1.3edd25d53faf3p-13, 0x1.3a8ae200a5c4ep-13, 0x1.36c0e8595c98bp-13, 0x1.3379fcb4d17b8p-13, 0x1.30b056b89ed9dp-13, 0x1.2e5d39851dc81p-13, 0x1.2c789e632a5b4p-13, 0x1.2afb3b223883dp-13, 0x1.29df82b6bd9f9p-13, 0x1.2923aeea8132dp-13, 0x1.28c62d25aa84dp-13, 0x1.28c31da22eb8fp-13, 0x1.2915090ccc181p-13, 0x1.29b6e2ed5b62ep-13, 0x1.2aa3e81b158a5p-13, 0x1.2bd6f202109c5p-13, 0x1.2d48d12bae32bp-13, 0x1.2ef410d652a7p-13, 0x1.30d2e2c189d13p-13, 0x1.32e36a76acef1p-13, 0x1.352254143986dp-13, 0x1.378e361f6d775p-13, 0x1.3a24134fe51d1p-13, 0x1.3ce043b7a1b2p-13, 0x1.3fbd350a70d73p-13, 0x1.42b69c199672ep-13, 0x1.45cb763e7e83fp-13, 0x1.48fbc456ad776p-13, 0x1.4c44f53edc419p-13, 0x1.4fa416e86af64p-13, 0x1.53170ee3035dap-13, 0x1.569c40d94d09dp-13, 0x1.5a30e08e1ba0dp-13, 0x1.5dd11d97928ecp-13, 0x1.617a0dc9e1e23p-13, 0x1.65297f5781585p-13, 0x1.68dda7f2b7ecap-13, 0x1.6c952315767cbp-13, 0x1.704e283c68826p-13, 0x1.7409a9dbaec4ep-13, 0x1.77bd026468d1dp-13, 0x1.7b6fb8ad87f4fp-13, 0x1.7f1d32e51fbc1p-13, 0x1.82c2dc96da13bp-13, 0x1.866012aea6ffbp-13, 0x1.89f550dba45a4p-13, 0x1.8d8091bfa80cbp-13, 0x1.91002d4a998d7p-13, 0x1.9474736a360acp-13, 0x1.97dd265b31636p-13, 0x1.9b38323c7793p-13, 0x1.9e83733c37341p-13, 0x1.a1bda2dfd2ed2p-13, 0x1.a4e6ab9e15752p-13, 0x1.a7fcf7fe05a5dp-13, 0x1.ab005f7271a5cp-13, 0x1.adf1922581859p-13, 0x1.b0d067d97f95bp-13, 0x1.b399ff09ce74ep-13, 0x1.b650d2fa7a321p-13, 0x1.b8f0fe07a257ap-13, 0x1.bb7b187d00932p-13, 0x1.bdee58a968108p-13, 0x1.c04a532fa8069p-13, 0x1.c28f461b1a6ebp-13, 0x1.c4bcc5d157c6p-13, 0x1.c6d1c10b40411p-13, 0x1.c8cf508fd7e87p-13, 0x1.cab62fad886a4p-13, 0x1.cc84e26dc6d9dp-13, 0x1.ce3a81f36dd3bp-13, 0x1.cfd6c3493c54ep-13, 0x1.d15989dd0c612p-13, 0x1.d2c368f73d27cp-13, 0x1.d4140c769cb93p-13, 0x1.d54b8100fc4a4p-13, 0x1.d669eec1cb33ap-13, 0x1.d76f3e72337d7p-13, 0x1.d85bd1d53d108p-13, 0x1.d92fe6b1b4459p-13, 0x1.d9eb645e85c2fp-13, 0x1.da8dfd034eaf1p-13, 0x1.db1756f918867p-13, 0x1.db882a58613p-13, 0x1.dbe00aabea2eap-13, 0x1.dc1f393e99a14p-13, 0x1.dc456e174f124p-13, 0x1.dc53c1f5a59fdp-13, 0x1.dc4af59cb773bp-13, 0x1.dc2a70b14d01bp-13, 0x1.dbf205ef4e96cp-13, 0x1.dba1d01248312p-13, 0x1.db3a39b60dbcap-13, 0x1.dabc83e8b6a8ep-13, 0x1.da27296fe41fbp-13, 0x1.d97aa4b746341p-13, 0x1.d8b8ca40be675p-13, 0x1.d7e0d592a72a2p-13, 0x1.d6f33dc037b6bp-13, 0x1.d5f0421063b38p-13, 0x1.d4d803114983ap-13, 0x1.d3ab3cd014438p-13, 0x1.d26a5a2d84f95p-13, 0x1.d11533be5183bp-13, 0x1.cfabeafbd74e8p-13, 0x1.ce2f737c7e53p-13, 0x1.cc9fc15db335bp-13, 0x1.cafc017c4578ep-13, 0x1.c946339dfb1cap-13, 0x1.c77e33357077p-13, 0x1.c5a478df1c6c5p-13, 0x1.c3b8e418d9bffp-13, 0x1.c1bbd65eb0b9fp-13, 0x1.bfadb781c3d64p-13, 0x1.bd8f163d5e5fap-13, 0x1.bb608a5b7bf7ap-13, 0x1.b921b59b880bcp-13, 0x1.b6d288106a5fbp-13, 0x1.b474b234e7de2p-13, 0x1.b207c9f231397p-13, 0x1.af8c79dc9123p-13, 0x1.ad02cbd3b066ep-13, 0x1.aa6b2c482df69p-13, 0x1.a7c5ea515b53fp-13, 0x1.a5136d191b423p-13, 0x1.a25425b967ad2p-13, 0x1.9f887168636f7p-13, 0x1.9cb060af53ed4p-13, 0x1.99cc7364818b1p-13, 0x1.96dccaacf1a6p-13, 0x1.93e1fb5816725p-13, 0x1.90dc3ea364f5p-13, 0x1.8dcc006b78a2fp-13, 0x1.8ab17356fa0f5p-13, 0x1.878cec432e3efp-13, 0x1.845ec5de0384p-13, 0x1.8127545ffce04p-13, 0x1.7de6e800ab509p-13, 0x1.7a9dd07c736a9p-13, 0x1.774c59ba93e82p-13, 0x1.73f3a048e4bf9p-13, 0x1.7091e8a16d6f9p-13, 0x1.6d28f1d7fe577p-13, 0x1.69b91c88b087p-13, 0x1.664274c5c7b53p-13, 0x1.62c52725d97abp-13, 0x1.5f41a147bb38fp-13, 0x1.5bb81f58bf7fcp-13, 0x1.5828e9d649bb4p-13, 0x1.549461342aa38p-13, 0x1.50fa92425cc11p-13, 0x1.4d5bedd295363p-13, 0x1.49b8af8350f28p-13, 0x1.461118edd2041p-13, 0x1.426573e472ce6p-13, 0x1.3eb5e698662e5p-13, 0x1.3b02dd9163689p-13, 0x1.374c82b89e8bep-13, 0x1.33931311142cfp-13, 0x1.2fd6cc96bb6bfp-13, 0x1.2c18ec95c132cp-13, 0x1.2857b9425be0bp-13, 0x1.24937bdea708cp-13, 0x1.20ce555a47392p-13, 0x1.1d077e15367d2p-13, 0x1.193f4157a9372p-13, 0x1.1574f25fa89a1p-13, 0x1.11ab9cfc6f6adp-13, 0x1.0ddff9b8628aep-13, 0x1.0a14195f80a2ap-13, 0x1.0647d9c3551ecp-13, 0x1.027b7ce91c3eep-13, 0x1.fd5e1c667113dp-14, 0x1.f5c467e29986p-14, 0x1.ee2defdb6988ep-14, 0x1.e697a28e5d0ep-14, 0x1.df02b093e5716p-14, 0x1.d76fa032e385p-14, 0x1.cfded2300d5b2p-14, 0x1.c8509ee5eba58p-14, 0x1.c0c55f740664dp-14, 0x1.b93d5b7e68d93p-14, 0x1.b1b8ca400e0f3p-14, 0x1.aa38251143a74p-14, 0x1.a2bbba8b2d28dp-14, 0x1.9b43e088653b9p-14, 0x1.93d07eecae2dep-14, 0x1.8c62979bf5798p-14, 0x1.84f9e69599829p-14, 0x1.7d96a7c684168p-14, 0x1.7639b60568f0dp-14, 0x1.6ee22f124b0afp-14, 0x1.6791dc29ee19ap-14, 0x1.6047df1858f3ap-14, 0x1.5904b07eede01p-14, 0x1.51c757b272267p-14, 0x1.4a94e27c31fcfp-14, 0x1.43674f8fff4c8p-14, 0x1.3c42409552846p-14, 0x1.35252266e6386p-14, 0x1.2e101f1621bb3p-14, 0x1.27039c36ac216p-14, 0x1.1fffcd7ae5c59p-14, 0x1.1904e995f0ba5p-14, 0x1.1212f46e5326dp-14, 0x1.0b2a2c0dadaa3p-14, 0x1.044abe0506916p-14, 0x1.fae9ae00709e2p-15, 0x1.ed513ef135c06p-15, 0x1.dfcca4fb80485p-15, 0x1.d25bc75818928p-15, 0x1.c500f6759570ep-15, 0x1.b7b958e241f81p-15, 0x1.aa84650c64139p-15, 0x1.9d66b7d1dba8fp-15, 0x1.905e4ce794e0bp-15, 0x1.836b77c63be21p-15, 0x1.768e7aca58258p-15, 0x1.69c7817b298b8p-15, 0x1.5d16f78c3b3bep-15, 0x1.507cbc5fc165ep-15, 0x1.43f7ae0eae09p-15, 0x1.378d56f03b47ep-15, 0x1.2b38132bedf99p-15, 0x1.1ef9d5039851ap-15, 0x1.12d2bc7f39136p-15, 0x1.06c49ea69f1d2p-15, 0x1.f59ef52a25e86p-16, 0x1.dddb1a366d815p-16, 0x1.c64c630748d04p-16, 0x1.aeee076725782p-16, 0x1.97c09fcc37b8ep-16, 0x1.80c355a107fe8p-16, 0x1.69f758d97bdb4p-16, 0x1.535d34852c7c4p-16, 0x1.3cf2bb8134d2p-16, 0x1.26bd5bbe76414p-16, 0x1.10b5503995fe5p-16, 0x1.f5c224117b951p-17, 0x1.ca7e75f145a6bp-17, 0x1.9f9e404994e97p-17, 0x1.7522f0986a397p-17, 0x1.4b0b0eb58533p-17, 0x1.2159435614ef2p-17, 0x1.f0189bc47d15cp-18, 0x1.9e48b26fa6ac9p-18, 0x1.4d4310b2a03ecp-18, 0x1.fa103b0f4d848p-19, 0x1.5b2fe2f932f98p-19, 0x1.7bcf73911cda6p-20, 0x1.11803c06ee807p-22, -0x1.dfbe99eb80303p-21, -0x1.107bafee8188fp-19, -0x1.a76e4eec3310bp-19, -0x1.1e65c75803cdbp-18, -0x1.684b0d5699afep-18, -0x1.b166b4f14ebf8p-18, -0x1.f9af74d592574p-18, -0x1.209e3fc46b15ap-17, -0x1.43fe5781eec5ap-17, -0x1.66f7d87d581dcp-17, -0x1.898dc5d6f2106p-17, -0x1.abc0a3332ccf9p-17, -0x1.cd8d0b852de83p-17, -0x1.eef7051f0a95bp-17, -0x1.07feab81f672p-16, -0x1.1850026666797p-16, -0x1.2870ba7e73eb1p-16, -0x1.385ee74d32695p-16, -0x1.48258c941057ep-16, -0x1.57a802af4e076p-16, -0x1.67046c0b13a2ep-16, -0x1.762e1b59df304p-16, -0x1.8528623eb3fd9p-16, -0x1.93f1cf881f523p-16, -0x1.a297397a20da2p-16, -0x1.b0f017fc7fb5dp-16, -0x1.bf32b799e321ap-16, -0x1.cd38201c2acaep-16, -0x1.db1208e2e3e6fp-16, -0x1.e8bd266fc7855p-16, -0x1.f639222ac086p-16, -0x1.01c31d0801bb9p-15, -0x1.08525f96a9f35p-15, -0x1.0eca7b6cf4fffp-15, -0x1.152b89fe758b8p-15, -0x1.1b755882b2bbap-15, -0x1.21a88fa199c57p-15, -0x1.27c55b5d1a47ep-15, -0x1.2dcafcda3e2dfp-15, -0x1.33ba54c105882p-15, -0x1.3993459034a1fp-15, -0x1.3f55f3bb33822p-15, -0x1.450297fd4184p-15, -0x1.4a99440114824p-15, -0x1.501a826698d07p-15, -0x1.5585152b2bfcp-15, -0x1.5ada9fb2c2bfbp-15, -0x1.601ab22ea5c97p-15, -0x1.6545659e9a8c6p-15, -0x1.6a5ae7519ca41p-15, -0x1.6f5b56509951p-15, -0x1.7447165309d7ap-15, -0x1.791db073f97a1p-15, -0x1.7ddfdef8a8f1cp-15, -0x1.828d8f0f9a45dp-15, -0x1.872693594707bp-15, -0x1.8bac1cf30f938p-15, -0x1.901d1943bb98cp-15, -0x1.947a5020ceb15p-15, -0x1.98c372eb82bddp-15, -0x1.9cf8da288995ap-15, -0x1.a11b9a3b47a52p-15, -0x1.a52a4804ccd6ap-15, -0x1.a925c9b0fdb95p-15, -0x1.ad0ed68387143p-15, -0x1.b0e51b90e545cp-15, -0x1.b4a7971f4eee9p-15, -0x1.b8580de9a9ecap-15, -0x1.bbf60f99fcbbcp-15, -0x1.bf81c15ef4062p-15, -0x1.c2fb60e161a62p-15, -0x1.c663145fcbdb7p-15, -0x1.c9b8858827416p-15, -0x1.ccfc5ecf4d85cp-15, -0x1.d02ebabe03482p-15, -0x1.d35028536b25ap-15, -0x1.d65d31a2a40bcp-15, -0x1.d95a99e6271e3p-15, -0x1.dc4c0d93c8c6dp-15, -0x1.df28bd5254596p-15, -0x1.e1f48328132c7p-15, -0x1.e4ac153617377p-15, -0x1.e75c8d79d4bc6p-15, -0x1.e9fa66d6dab5cp-15, -0x1.ec82a48065ea8p-15, -0x1.eefd3ea837235p-15, -0x1.f168a4020f71ep-15, -0x1.f3c47ad5d79ep-15, -0x1.f610cc45124e3p-15, -0x1.f84db8d685034p-15, -0x1.fa7b7b6676bcap-15, -0x1.fc9a830cb0916p-15, -0x1.feaa2b2fe29d4p-15, -0x1.0055aaca2908ap-14, -0x1.014f19d32d74ap-14, -0x1.0241120c0ebccp-14, -0x1.032c05f2dff18p-14, -0x1.040fe2e9925ddp-14, -0x1.04ecbe4c7bdedp-14, -0x1.05c2abda797f4p-14, -0x1.0691be884c0d9p-14, -0x1.075a010477762p-14, -0x1.081b83791f169p-14, -0x1.08d69c120c424p-14, -0x1.098ac8af7ccddp-14, -0x1.0a38b2ebbc341p-14, -0x1.0ae018ea7628bp-14, -0x1.0b81bfea9de6ap-14, -0x1.0c1be2470f97ap-14, -0x1.0cb03e0f544fp-14, -0x1.0d3ec8ea8ee46p-14, -0x1.0dc712e1b22b4p-14, -0x1.0e495e76e8f88p-14, -0x1.0ec446b0e2eb6p-14, -0x1.0f3c16f5761c6p-14, -0x1.0facd2d6067dap-14, -0x1.101779e8e7eefp-14, -0x1.107cbf0dd31e4p-14, -0x1.10dc48ad0419bp-14, -0x1.1136498c12c3ap-14, -0x1.118ad19859ff9p-14, -0x1.11da2bfe989bbp-14, -0x1.1223c81d47c59p-14, -0x1.1267654c46a71p-14, -0x1.12a75a2f9e7eep-14, -0x1.12e17b99bbb2cp-14, -0x1.13166f70a6e96p-14, -0x1.13464fb079417p-14, -0x1.1371740553755p-14, -0x1.139744492d9d4p-14, -0x1.13b89021c8f1bp-14, -0x1.13d52e216bf9fp-14, -0x1.13ede8cefd3b1p-14, -0x1.13ffb93daacfap-14, -0x1.140e150aa8ce7p-14, -0x1.1417e2e63739ap-14, -0x1.141d72d4f1915p-14, -0x1.141e2cb6454e2p-14, -0x1.141abca0cd7a1p-14, -0x1.14131d9df9e2dp-14, -0x1.1407a36731f38p-14, -0x1.13f6ee5fba68p-14, -0x1.13e29ecefc31ep-14, -0x1.13ca27c18437bp-14, -0x1.13adb2365dd1cp-14, -0x1.138d4c84aba14p-14, -0x1.13690d4c8961dp-14, -0x1.1341950fdaf82p-14, -0x1.1314e634a60e3p-14, -0x1.12e508ddcba9dp-14, -0x1.12b1899a49146p-14, -0x1.127a81a8d208p-14, -0x1.123f2f117f68cp-14, -0x1.12019da561b39p-14, -0x1.11bfc23db1a4ap-14, -0x1.117ad44af9adfp-14, -0x1.11322d1a3b577p-14, -0x1.10e63aba02968p-14, -0x1.1097169a3f194p-14, -0x1.1044b13ff9a6dp-14, -0x1.0fef200307e8ep-14, -0x1.0f966a7c62fbep-14, -0x1.0f3a8f01ad741p-14, -0x1.0edc4246a2e12p-14, -0x1.0e79d395a79b2p-14, -0x1.0e145491b4b8dp-14, -0x1.0dad9658c444p-14, -0x1.0d4305ebeaa5cp-14, -0x1.0cd57c83674bep-14, -0x1.0c6562e604c8p-14, -0x1.0bf2ccf6be92dp-14, -0x1.0b7d1a8e9799cp-14, -0x1.0b050f5bd65e6p-14, -0x1.0a8a584375ba1p-14, -0x1.0a0b2a85af19cp-14, -0x1.098d745f310a9p-14, -0x1.090b76275965fp-14, -0x1.0886e0876de73p-14, -0x1.07fd6e47e3602p-14, -0x1.0776a4b2890d6p-14, -0x1.06eb10113049dp-14, -0x1.065d400852578p-14, -0x1.05cd4e679f15fp-14, -0x1.053b75d368498p-14, -0x1.04a6d8e52fe8ep-14, -0x1.04109dba5af0cp-14, -0x1.03795e5669a9bp-14, -0x1.02de39ebd3d69p-14, -0x1.02416094bb13ep-14, -0x1.01a3384c15c2cp-14, -0x1.0101e2d4a9601p-14, -0x1.0064117aa8e01p-14, -0x1.ff7a84d3aa845p-15, -0x1.fe2e06bf51dedp-15, -0x1.fce070b297ee4p-15, -0x1.fb8e667b81af6p-15, -0x1.fa38f25fbe622p-15, -0x1.f8e03557f0446p-15, -0x1.f78429cbf304bp-15, -0x1.f62504cb0722cp-15, -0x1.f4c1e3a9abc14p-15, -0x1.f35e32ec12d06p-15, -0x1.f1f9f1a3c2991p-15, -0x1.f08b13275c1a9p-15, -0x1.ef1b7aec7bdcep-15, -0x1.edacbb99b8cb4p-15, -0x1.ec3958c7006a5p-15, -0x1.eac332451b4adp-15, -0x1.e94b45518728dp-15, -0x1.e7d06b5d6af48p-15, -0x1.e64c84e0eb318p-15, -0x1.e4d3d119d42bbp-15, -0x1.e3516cf5e1bc8p-15, -0x1.e1cd4ff7f517dp-15, -0x1.e046f095cda66p-15, -0x1.debe3429f2b61p-15, -0x1.dd32e51f796d8p-15, -0x1.dba76b45dafa4p-15, -0x1.da1888a600295p-15, -0x1.d886d27864bc7p-15, -0x1.d6f60f6358dfcp-15, -0x1.d56135d0227f1p-15, -0x1.d3cb6cff241bp-15, -0x1.d234481a4fe75p-15, -0x1.d09a84b2d4bdep-15, -0x1.ceff6bb6361a2p-15, -0x1.cd6312eaf59ccp-15, -0x1.cbc5c39e832a5p-15, -0x1.ca25a2734eb27p-15, -0x1.c884c62bf6efap-15, -0x1.c6e28c51015b4p-15, -0x1.c53e5df8568f2p-15, -0x1.c39a9023b91f8p-15, -0x1.c1f46d1662c82p-15, -0x1.c04d791081704p-15, -0x1.beaaa8adc6e5dp-15, -0x1.bcf98af897509p-15, -0x1.bb5169bb820d8p-15, -0x1.b9a53a737a248p-15, -0x1.b7faabd5fa422p-15, -0x1.b64cb6eb09914p-15, -0x1.b49ecf8b52a4bp-15, -0x1.b2ef962abf869p-15, -0x1.b13df45ec634ap-15, -0x1.af8f3a0c16fa2p-15, -0x1.adde6fba14262p-15, -0x1.ac2c7370438c2p-15, -0x1.aa7a098963b56p-15, -0x1.a8c70c06f8ed4p-15, -0x1.a71380e84e1b3p-15, -0x1.a55f5ab62b558p-15, -0x1.a3aadc6647439p-15, -0x1.a1f61048ca4fep-15, -0x1.a03e8ecb4559cp-15, -0x1.9e8a12935119ep-15, -0x1.9cd4afc7f1de8p-15, -0x1.9b1e5abb85401p-15, -0x1.9967a9f51140dp-15, -0x1.97b0c5b786c0fp-15, -0x1.95f9b6355d214p-15, -0x1.9441cb0f5c8f4p-15, -0x1.928af4a56d13bp-15, -0x1.90d39989ceec6p-15, -0x1.8f1af57655e46p-15, -0x1.8d648f890b32cp-15, -0x1.8baf1b231d22fp-15, -0x1.89f50da776513p-15, -0x1.883d66c8cf494p-15, -0x1.86861938e2e01p-15, -0x1.84cd08f467608p-15, -0x1.831753857cebbp-15, -0x1.815e0bbc0fcc9p-15, -0x1.7fa9160e44eb8p-15, -0x1.7df2b57e4e1c2p-15, -0x1.7c3c344f21655p-15, -0x1.7a85f1c5fcd35p-15, -0x1.78d00aff78fe3p-15, -0x1.771a4c9157061p-15, -0x1.75650c39d7643p-15, -0x1.73b016c97ce23p-15, -0x1.71fb885bbb28bp-15, -0x1.704767ae0db79p-15, -0x1.6e93bdfea528p-15, }}, 
      {{-0x1.38fd3854226bep+0, -0x1.286404b842561p+0, -0x1.118964b6bbc71p+0, -0x1.ee57bf6e0bb2cp-1, -0x1.b689f4dd30885p-1, -0x1.7e74b3abecb83p-1, -0x1.480603ed6d528p-1, -0x1.1486f80f48dadp-1, -0x1.c98c1d7cb5961p-2, -0x1.726e54d1a357cp-2, -0x1.2417bee50bea9p-2, -0x1.bd177b8cb5294p-3, -0x1.4313f23b5be29p-3, -0x1.b28edf0f27abcp-4, -0x1.fa60970f05799p-5, -0x1.8e43b53220bd3p-6, 0x1.ced8955fcf9ecp-8, 0x1.0de1a8bcd36ep-5, 0x1.ba25aa1ab9a3fp-5, 0x1.21d24aefbe41dp-4, 0x1.578b57047e106p-4, 0x1.806f3d3447449p-4, 0x1.9e8209c45b1cbp-4, 0x1.b398ce041ddb1p-4, 0x1.c159c48137509p-4, 0x1.c93d741510701p-4, 0x1.cc90a9c1e3f31p-4, 0x1.cc76f0609cb8ap-4, 0x1.c9ed6ae1c0cbap-4, 0x1.c5cdcfdd63c6fp-4, 0x1.c0d16d25e85a3p-4, 0x1.bb94776c9ce9fp-4, 0x1.b69891c99c2fp-4, 0x1.b247b07b6709dp-4, 0x1.aef755d4e961fp-4, 0x1.acea3f96623ffp-4, 0x1.ac531b60486a7p-4, 0x1.ad5674040c6f1p-4, 0x1.b00cdcb974b11p-4, 0x1.b484539e17855p-4, 0x1.bac2166bc9e1fp-4, 0x1.c2c3f01b64c21p-4, 0x1.cc8192beefe3ap-4, 0x1.d7ed16804d0ddp-4, 0x1.e4f564663e8b8p-4, 0x1.f38582591b6bdp-4, 0x1.01c30daeb7bap-3, 0x1.0a6f0ced5d167p-3, 0x1.13b98378aba0cp-3, 0x1.1d94db71a5043p-3, 0x1.27f34a2852c39p-3, 0x1.32c6f8d8f54d9p-3, 0x1.3e0238d45aad9p-3, 0x1.49979276dec57p-3, 0x1.5579e778bd932p-3, 0x1.619c80e4d145bp-3, 0x1.6df3285a8c5e2p-3, 0x1.7a721f74abab5p-3, 0x1.870e3ef44672ap-3, 0x1.93bcf296b689ep-3, 0x1.a074323e8dd97p-3, 0x1.ad2aaba52c0c8p-3, 0x1.b9d7857e5bdc3p-3, 0x1.c672700104a68p-3, 0x1.d2f3e26c4f25ap-3, 0x1.df54c16fa0a57p-3, 0x1.eb8e84231f61ep-3, 0x1.f79b2a30d7059p-3, 0x1.01ba97314e306p-2, 0x1.078bd3522197ap-2, 0x1.0d3ef99184bf3p-2, 0x1.12d2011e97dacp-2, 0x1.1843132a96ef6p-2, 0x1.1d908cd8816d2p-2, 0x1.22b8fb5bfa8c8p-2, 0x1.27bb18194db45p-2, 0x1.2c95c6e2db594p-2, 0x1.31481717e0432p-2, 0x1.35d137ef3fb7cp-2, 0x1.3a307f7f8548ep-2, 0x1.3e65626d05036p-2, 0x1.426f756346cc3p-2, 0x1.464e67de5bd21p-2, 0x1.4a0203cb5eb0ap-2, 0x1.4d8a291d21ebap-2, 0x1.50e6d5aacfe4ep-2, 0x1.541810fdc11bbp-2, 0x1.571dfe6c9e71fp-2, 0x1.59f8ceac8a8b7p-2, 0x1.5ca8c22c37b5p-2, 0x1.5f2e2b3202eedp-2, 0x1.618966bd5f863p-2, 0x1.63badd6ac5ba1p-2, 0x1.65c30611a8e9p-2, 0x1.67a25e721cc7p-2, 0x1.695970434f21ap-2, 0x1.6ae8cbc35442ep-2, 0x1.6c510774df46fp-2, 0x1.6d92c379986e9p-2, 0x1.6eaea4013dbd2p-2, 0x1.6fa552f8e24c2p-2, 0x1.70777f2ecd3dfp-2, 0x1.7125dacfff49cp-2, 0x1.71b11b5d9e6a9p-2, 0x1.7219fa4211654p-2, 0x1.726132c99e7bap-2, 0x1.728783569a382p-2, 0x1.728daa6d5bf55p-2, 0x1.727467e659612p-2, 0x1.723c7ee6892cep-2, 0x1.71e6b0a6f9a71p-2, 0x1.7173be7078ce8p-2, 0x1.70e46ebb29aa5p-2, 0x1.70397f772e131p-2, 0x1.6f73b363b9c72p-2, 0x1.6e93cce96191ap-2, 0x1.6d9a8aad3a288p-2, 0x1.6c88ac4d2fc3p-2, 0x1.6b5eeff7a1075p-2, 0x1.6a1e11778f491p-2, 0x1.68c6cc0b6b0aap-2, 0x1.6759d7f94f955p-2, 0x1.65d7ed4585f5ep-2, 0x1.6441c0a722c52p-2, 0x1.629804d894538p-2, 0x1.60db6b1c62ce5p-2, 0x1.5f0ca2361c155p-2, 0x1.5d2c56d16a35p-2, 0x1.5b3b318a50cd8p-2, 0x1.5939db267be1p-2, 0x1.5728f862ba3fdp-2, 0x1.55092a9eeafb8p-2, 0x1.52db11a7279eap-2, 0x1.509f4b8b1133ap-2, 0x1.4e567235dd1bap-2, 0x1.4c0119d4f9488p-2, 0x1.499fe082eb91cp-2, 0x1.47334f22fbd33p-2, 0x1.44bbf79f5b754p-2, 0x1.423a66b81004fp-2, 0x1.3faf2660a135ap-2, 0x1.3d1abce8ab23p-2, 0x1.3a7dae918178ap-2, 0x1.37d87cf5a9262p-2, 0x1.352ba5e7dfe93p-2, 0x1.3277a54a6e823p-2, 0x1.2fbcf42f9b906p-2, 0x1.2cfc0802753ddp-2, 0x1.2a35546604d6bp-2, 0x1.27694ab50a87ep-2, 0x1.249856df5b46ep-2, 0x1.21c2e5f5b89f8p-2, 0x1.1ee96092750f4p-2, 0x1.1c0c2b361b1ffp-2, 0x1.192ba98f518b2p-2, 0x1.16483c90093cap-2, 0x1.13624240e31d1p-2, 0x1.107a15e179c28p-2, 0x1.0d90105b9e36ep-2, 0x1.0aa4896ef7384p-2, 0x1.07b7d397913b6p-2, 0x1.04ca4108361e1p-2, 0x1.01dc21b70e413p-2, 0x1.fddb8424db5ap-3, 0x1.f7fed8428cc59p-3, 0x1.f222d38513141p-3, 0x1.ec47ffe147be4p-3, 0x1.e66ee5ceadad7p-3, 0x1.e09808404f5d1p-3, 0x1.dac3e7bfda99ep-3, 0x1.d4f2fddf4ae43p-3, 0x1.cf25c375af3afp-3, 0x1.c95ca9f1d28dep-3, 0x1.c3981f2f004c8p-3, 0x1.bdd89077442d1p-3, 0x1.b81e632c499b1p-3, 0x1.b269fb81bd62ep-3, 0x1.acbbb92f0eb8ap-3, 0x1.a713f80952477p-3, 0x1.a173111f2b6eap-3, 0x1.9bd9580376888p-3, 0x1.96471ff9c44fcp-3, 0x1.90bcb6a52fc49p-3, 0x1.8b3a67bbb17f5p-3, 0x1.85c0773a4721ep-3, 0x1.804f2f510b84bp-3, 0x1.7ae6cfcaa00d5p-3, 0x1.758795ad62814p-3, 0x1.7031bf152194cp-3, 0x1.6ae583a240466p-3, 0x1.65a318fbd7fecp-3, 0x1.606ab2fa76e7ep-3, 0x1.5b3c81bbdc0f7p-3, 0x1.5618b5bd5715fp-3, 0x1.50ff782250511p-3, 0x1.4bf0f33f9acc9p-3, 0x1.46ed4e1ce251fp-3, 0x1.41f4aa8dc9e3bp-3, 0x1.3d072e50a5dcep-3, 0x1.3824f56cea7e5p-3, 0x1.334e205d5d49p-3, 0x1.2e82c9be19912p-3, 0x1.29c30aa4be96ap-3, 0x1.250efb396fa4ep-3, 0x1.2066b05288d07p-3, 0x1.1bca3e2dfc784p-3, 0x1.1739b61fe977fp-3, 0x1.12b5286b94e4bp-3, 0x1.0e3ca2c281944p-3, 0x1.09d03174e9d01p-3, 0x1.056fe0c022077p-3, 0x1.011bb88ce984bp-3, 0x1.f9a7831c0a288p-4, 0x1.f13001989b5bbp-4, 0x1.e8d0f87d7b379p-4, 0x1.e08a6d8a749edp-4, 0x1.d85c639dbfc3p-4, 0x1.d046dd536b13dp-4, 0x1.c849d96b241c5p-4, 0x1.c06551c4c7bb3p-4, 0x1.b89942b9120bfp-4, 0x1.b0e5a40eb00c7p-4, 0x1.a94a69fc7f0cdp-4, 0x1.a1c787c13a7f8p-4, 0x1.9a5ced0eee9abp-4, 0x1.930a8c451254cp-4, 0x1.8bd04e0a01251p-4, 0x1.84ae21a5f6cfp-4, 0x1.7da3ed0756c22p-4, 0x1.76b1995c8ca2dp-4, 0x1.6fd70cf88b39fp-4, 0x1.69142c25007d9p-4, 0x1.6268d92698fc4p-4, 0x1.5bd4f3495333fp-4, 0x1.55585e505c9f6p-4, 0x1.4ef2f6c5627f8p-4, 0x1.48a49a4b960ebp-4, 0x1.426d25a4843bbp-4, 0x1.3c4c7161a67c6p-4, 0x1.364257d5e2ff3p-4, 0x1.304eb34ceb682p-4, 0x1.2a715aaaca8cdp-4, 0x1.24aa21dc16566p-4, 0x1.1ef8e29900e4ap-4, 0x1.195d6edca8b5bp-4, 0x1.13d79cf1a436fp-4, 0x1.0e673dd2ef12dp-4, 0x1.090c23fea8d18p-4, 0x1.03c62266f9bd6p-4, 0x1.fd2a127dbb1dp-5, 0x1.f2f155e768d1dp-5, 0x1.e8e1a91902a4cp-5, 0x1.defaae11d657ap-5, 0x1.d53c0208d96f3p-5, 0x1.cba53f2192354p-5, 0x1.c2360334affc2p-5, 0x1.b8edebb5feff5p-5, 0x1.afcc913ff9446p-5, 0x1.a6d18e1ae1dd5p-5, 0x1.9dfc7919c9fcbp-5, 0x1.954ceee5d845p-5, 0x1.8cc284fd39c26p-5, 0x1.845cd1d7f25bbp-5, 0x1.7c1b752b7ce67p-5, 0x1.73fdf91474edap-5, 0x1.6c04022fe7674p-5, 0x1.642d1e1a1c8d3p-5, 0x1.5c78eb418d61cp-5, 0x1.54e6f4d8f6fecp-5, 0x1.4d76db56ac794p-5, 0x1.46283355e3645p-5, 0x1.3efa9301c2cacp-5, 0x1.37ed91ca7bb36p-5, 0x1.3100c5e9a0001p-5, 0x1.2a33c7325b183p-5, 0x1.23862d10d0c67p-5, 0x1.1cf78f1e68743p-5, 0x1.168785b2f7401p-5, 0x1.1035a92f9c651p-5, 0x1.0a019160fc08ap-5, 0x1.03eada15786e1p-5, 0x1.fbe234e2ecdbbp-6, 0x1.f027da03f376ep-6, 0x1.e4a5d77510f8bp-6, 0x1.d95b69bbd5e0bp-6, 0x1.ce47c1add661ep-6, 0x1.c36a19e3fbe5cp-6, 0x1.b8c1acc1758fdp-6, 0x1.ae4db58ca7e8ep-6, 0x1.a40d6bebd985bp-6, 0x1.9a00138d59178p-6, 0x1.9024e2d1430e2p-6, 0x1.867b2a5a4ae46p-6, 0x1.7d021f9a04736p-6, 0x1.73b90448bcb08p-6, 0x1.6a9f1c5d10ccap-6, 0x1.61b3b3ebc77ddp-6, 0x1.58f6129602a9ep-6, 0x1.50657d206ebb5p-6, 0x1.48014817d7785p-6, 0x1.3fc8b5d53eec7p-6, 0x1.37bb1524a0357p-6, 0x1.2fd7ba3653fafp-6, 0x1.281df28b350ddp-6, 0x1.208d138c0a9b5p-6, 0x1.192473fa9a37bp-6, 0x1.11e369b4f8387p-6, 0x1.0ac94b83b501dp-6, 0x1.03d5739f99df5p-6, 0x1.fa0e81477c20ap-7, 0x1.ecbc1d7afa923p-7, 0x1.dfb2791647fa3p-7, 0x1.d2f051e2fd999p-7, 0x1.c67482e8fe9ffp-7, 0x1.ba3dbc3f27461p-7, 0x1.ae4ae3e4f0dd2p-7, 0x1.a29ab15c02034p-7, 0x1.972c0896b0c63p-7, 0x1.8bfdc2b1e246cp-7, 0x1.810eb6d05de68p-7, 0x1.765dc89cb19b4p-7, 0x1.6be9db72cde48p-7, 0x1.61b1d45295cfap-7, 0x1.57b492420a803p-7, 0x1.4df1182e652b7p-7, 0x1.44665127febacp-7, 0x1.3b132adfcb579p-7, 0x1.31f6a4e0b2b41p-7, 0x1.290fbd0cd7b07p-7, 0x1.205d69e35429cp-7, 0x1.17dec158881f6p-7, 0x1.0f92b79e79b18p-7, 0x1.07785e5bc78bfp-7, 0x1.ff1d87af3cf3ep-8, 0x1.efa9f2c087df1p-8, 0x1.e0942dd29d745p-8, 0x1.d1da62310e658p-8, 0x1.c37ac73728b4p-8, 0x1.b57395f04d9a1p-8, 0x1.a7c348d3f3131p-8, 0x1.9a67eebd7cd1bp-8, 0x1.8d5fcb7a25f3p-8, 0x1.80a9528adca6bp-8, 0x1.7443009f99839p-8, 0x1.682b13dc107e3p-8, 0x1.5c601f1a33705p-8, 0x1.50e0785ae0c5ap-8, 0x1.45aa9cefd43e5p-8, 0x1.3abd12d7d4efep-8, 0x1.30165fc688309p-8, 0x1.25b50a37da014p-8, 0x1.1b97a038a7aecp-8, 0x1.11bcb96de2cadp-8, 0x1.0822da766087dp-8, 0x1.fd9199b180ec5p-9, 0x1.eb5a56fcf1b39p-9, 0x1.d99d8dc583e2cp-9, 0x1.c85874e02fee9p-9, 0x1.b788852a2af89p-9, 0x1.a72b50d0d7435p-9, 0x1.973e418c78486p-9, 0x1.87bed52f9f442p-9, 0x1.78aaa78f67d9cp-9, 0x1.69ff9fc1bd6bbp-9, 0x1.5bbb16317be0ap-9, 0x1.4ddb4cb91185cp-9, 0x1.405ddf55f9c1p-9, 0x1.33409d9681eefp-9, 0x1.268185e612761p-9, 0x1.1a1e75753cac1p-9, 0x1.0e154f811be17p-9, 0x1.0263eb8bb08b9p-9, 0x1.ee107775e8d03p-10, 0x1.d80086ee2d9a2p-10, 0x1.c29421c764148p-10, 0x1.adc7a79f41e11p-10, 0x1.9998697e6931bp-10, 0x1.8601e11b5a5dcp-10, 0x1.7302128973921p-10, 0x1.60946586489acp-10, 0x1.4eb5bf29443d3p-10, 0x1.3d62bbf128cbp-10, 0x1.2c97900c0405fp-10, 0x1.1c511b1232ebfp-10, 0x1.0c8bdcb5fde97p-10, 0x1.fa89c19cf1544p-11, 0x1.dcf189103775ep-11, 0x1.c0499a331d493p-11, 0x1.a48d14284728dp-11, 0x1.89b6573c6a41bp-11, 0x1.6fc04206dedd7p-11, 0x1.56a574d6e7124p-11, 0x1.3e6187ed52092p-11, 0x1.26ecd7168d2bbp-11, 0x1.10442d6952bp-11, 0x1.f4c2d685fffbdp-12, 0x1.ca7fa3257056ap-12, 0x1.a1b42e508717bp-12, 0x1.7a564192d5a78p-12, 0x1.545c1abbf65a4p-12, 0x1.2fbdc2a5a52f8p-12, 0x1.0c72b5d66af8ap-12, 0x1.d4e53c7d828acp-13, 0x1.9369eff79c2ddp-13, 0x1.54607412ca18fp-13, 0x1.17ba77ea8037dp-13, 0x1.bad3c2f78c6fep-14, 0x1.4ab59edf0ee53p-14, 0x1.be10e0dcaa355p-15, 0x1.de8d4ea5c66acp-16, 0x1.46b0be764ed53p-18, -0x1.2b0ad3b916298p-16, -0x1.4bf18ec804aa2p-15, -0x1.faa31e6d572f1p-15, -0x1.50ed72e74302p-14, -0x1.a0e5b794b803cp-14, -0x1.ed4eae6b34e2fp-14, -0x1.1b211e548f90dp-13, -0x1.3dfb26d19a416p-13, -0x1.5f1d704eb29b4p-13, -0x1.7eb6565fcf6d4p-13, -0x1.9cc4efaa66b53p-13, -0x1.b9548e3fe09e2p-13, -0x1.d470e59c5c438p-13, -0x1.ee25f099852dap-13, -0x1.033f9817eda1bp-12, -0x1.0ec37df7eb049p-12, -0x1.19a36bd6ffaf4p-12, -0x1.23e392182dc77p-12, -0x1.2d8863206912bp-12, -0x1.36964f283815dp-12, -0x1.3f11ccbb5a19ep-12, -0x1.46ff3d4b63644p-12, -0x1.4e62a035e4728p-12, -0x1.5540008442d0ap-12, -0x1.5b9b72262b294p-12, -0x1.6178817dc3d88p-12, -0x1.66db8fd2e7f3cp-12, -0x1.6bc96bf981b3cp-12, -0x1.70468bcd5d2ep-12, -0x1.7457439737fd7p-12, -0x1.77fe146f465bfp-12, -0x1.7b3f447f191f8p-12, -0x1.7e1db4b43afffp-12, -0x1.809b5d53a476ep-12, -0x1.82bd4c6efcda8p-12, -0x1.84859b952f0fcp-12, -0x1.85f6ced9798b4p-12, -0x1.87138bb090affp-12, -0x1.87e156b6222f3p-12, -0x1.885f8d067b58bp-12, -0x1.8894c7e4dc70ep-12, -0x1.887c8e43aa18fp-12, -0x1.88203ceedb1bcp-12, -0x1.877fab096ccaep-12, -0x1.8697a811272c7p-12, -0x1.858273889185cp-12, -0x1.842a57c3f3693p-12, -0x1.829873d15e1aep-12, -0x1.80cebf118d474p-12, -0x1.7ecef3ee82952p-12, -0x1.7c9b56973114p-12, -0x1.7a365a8d80073p-12, -0x1.77a25d7ef2d3bp-12, -0x1.74e1b3b47d1bfp-12, -0x1.71f65ecb0fe1fp-12, -0x1.6ee264f88444ap-12, -0x1.6ba77a8992491p-12, -0x1.6847281091b73p-12, -0x1.64c3ac45bddeep-12, -0x1.611c26ce9a893p-12, -0x1.5d54ca8f339fep-12, -0x1.596ec003e0181p-12, -0x1.556c471dfca09p-12, -0x1.514e801b263edp-12, -0x1.4d163422f72d8p-12, -0x1.48c3fec2315a8p-12, -0x1.445906241b47cp-12, -0x1.3fd6b4ba23a94p-12, -0x1.3b3eab8581eb5p-12, -0x1.3691b65dc8c0ap-12, -0x1.31d1890351f5ap-12, -0x1.2d00268b7844ap-12, -0x1.281f34cb83eb2p-12, -0x1.232ee50810bddp-12, -0x1.1e3162405618p-12, -0x1.19269968ebcb3p-12, -0x1.1410f9a4e279p-12, -0x1.0eee6e97f5a8ap-12, -0x1.09c281e46b166p-12, -0x1.048c612d9abdap-12, -0x1.fe9f3b75d4ec8p-13, -0x1.f416be90bb2fp-13, -0x1.e980146846cc8p-13, -0x1.dede166c8a64fp-13, -0x1.d42fdbcab454ep-13, -0x1.c9791693b840ap-13, -0x1.beb7b876e5177p-13, -0x1.b3f03352c8053p-13, -0x1.a924bb9312531p-13, -0x1.9e566988e0034p-13, -0x1.9388960a46214p-13, -0x1.88b6bb850c319p-13, -0x1.7de793e62e9bcp-13, -0x1.73178101ee47ap-13, -0x1.6845b23cdea8dp-13, -0x1.5d830bc1f1b8ap-13, -0x1.52c036fb5df4ap-13, -0x1.48043278e9377p-13, -0x1.3d4f3b63138f8p-13, -0x1.32a1a174f0b3fp-13, -0x1.27fc2f9740b9ap-13, -0x1.1d5f0a216c721p-13, -0x1.12cd4b4671964p-13, -0x1.084688d4d8fdep-13, -0x1.fb95aa59f0133p-14, -0x1.e6b6b5961c409p-14, -0x1.d1f28243a2ed8p-14, -0x1.bd4a1c552e01cp-14, -0x1.a8c1350e12287p-14, -0x1.9453aad5697fep-14, -0x1.80047e4a320ep-14, -0x1.6bd7f28ab653ep-14, -0x1.57cef2a6d96f6p-14, -0x1.43e03d324fd49p-14, -0x1.301c0c86669a1p-14, -0x1.1c7889ab1487cp-14, -0x1.09003bf226e6dp-14, -0x1.eb508f45ce2dap-15, -0x1.c4f6a89623235p-15, -0x1.9ee1ed7e7572bp-15, -0x1.79284a54964a6p-15, -0x1.53c1b4fad7484p-15, -0x1.2eab34db4f268p-15, -0x1.09e89cb492c53p-15, -0x1.caf54982e1884p-16, -0x1.82c9bf77f3d49p-16, -0x1.3b4f636f53579p-16, -0x1.e906b0acb3fc3p-17, -0x1.5ce85797c542dp-17, -0x1.a498a5ceef366p-18, -0x1.23c57b5c14b83p-19, 0x1.f70a3b3e3e231p-20, 0x1.8ad125624cdap-18, 0x1.4a57774992646p-17, 0x1.cdd29f17162a7p-17, 0x1.27ede9c65c4dep-16, 0x1.686e1d9d8e514p-16, 0x1.a7bf7e9691bacp-16, 0x1.e68937985d911p-16, 0x1.1249da3a61ea8p-15, 0x1.30e01900ef9bdp-15, 0x1.4f3593d4d8d2bp-15, 0x1.6d1421dc2b643p-15, 0x1.8a958093a2325p-15, 0x1.a7bb442412ab3p-15, 0x1.c47c7b7474e55p-15, 0x1.e0e4c889ff3fbp-15, 0x1.fce3a8d9514ebp-15, 0x1.0c3e30f351261p-14, 0x1.19dd80a2e1d02p-14, 0x1.274f1a4d8bf72p-14, 0x1.348e47c248473p-14, 0x1.419cf7f875a76p-14, 0x1.4e7b82b33195bp-14, 0x1.5b2a704103476p-14, 0x1.67ab0be03162ep-14, 0x1.73fbe1bedb042p-14, 0x1.801d2e16db186p-14, 0x1.8c0b4e434feaap-14, 0x1.97cc769ebcc24p-14, 0x1.a35d9a3885857p-14, 0x1.aec47f906741cp-14, 0x1.b9fcfbd25e891p-14, 0x1.c5021415e916p-14, 0x1.cfdb35a4c5c6ep-14, 0x1.da8605a8adb7cp-14, 0x1.e5034bb3a34c1p-14, 0x1.ef5337e649e77p-14, 0x1.f97607cba13ffp-14, 0x1.01b5cd2d9580fp-13, 0x1.0699a90d1a63ep-13, 0x1.0b67cc828bc92p-13, 0x1.1020d8420560ep-13, 0x1.14c32a54a0466p-13, 0x1.195010daa6e4cp-13, 0x1.1dc794ccb8422p-13, 0x1.2228408b22676p-13, 0x1.267382d3599d3p-13, 0x1.2aa9e07dac4d9p-13, 0x1.2ecc5a921aa55p-13, 0x1.32da3cdde37e2p-13, 0x1.36d21ffe0ba45p-13, 0x1.3ab603c7bdbe3p-13, 0x1.3e857aa597bfdp-13, 0x1.42404b44b8288p-13, 0x1.45e72e89707a6p-13, 0x1.497a5776b15dap-13, 0x1.4cf9cb15406c6p-13, 0x1.5065b485cd8adp-13, 0x1.53be3bca4813dp-13, 0x1.57038bd217896p-13, 0x1.5a35e47e51687p-13, 0x1.5d55585d3d921p-13, 0x1.6062286dc7197p-13, 0x1.635ca5d212e13p-13, 0x1.6643be22a69d6p-13, 0x1.691a811bf20e1p-13, 0x1.6bdce59b6af8bp-13, 0x1.6e8fe84029136p-13, 0x1.712f7336f4694p-13, 0x1.73c0a134324abp-13, 0x1.763ea05287d54p-13, 0x1.78a970b8c22c9p-13, 0x1.7b0545f6d6da9p-13, 0x1.7d4f5626c0378p-13, 0x1.7f8b8740cf199p-13, 0x1.81b5bd03ff30dp-13, 0x1.83cf74a90df0bp-13, 0x1.85d8f7524b1ddp-13, 0x1.87d2db811c1dfp-13, 0x1.89bd64d1a7402p-13, 0x1.8b98508c4128ap-13, 0x1.8d63ef20d85cbp-13, 0x1.8f2075b8af1fp-13, 0x1.90ce105460f1dp-13, 0x1.926b82c31e333p-13, 0x1.93fbc5097e721p-13, 0x1.957ed39c6dc7ap-13, 0x1.96f266c4603f7p-13, 0x1.98582271fb206p-13, 0x1.99afd92cda6a5p-13, 0x1.9afb7ac632cp-13, 0x1.9c340764a5896p-13, 0x1.9d62ec027cb2fp-13, 0x1.9e86d81157548p-13, 0x1.9f9bc253b32edp-13, 0x1.a0a1364e8253fp-13, 0x1.a19ce78f2ede8p-13, 0x1.a28bc157ee2cp-13, 0x1.a36e7757bb9fbp-13, 0x1.a443d70bc06c2p-13, 0x1.a50d37ca7eeap-13, 0x1.a5cafc569f033p-13, 0x1.a67d21cf6a935p-13, 0x1.a723aea5599adp-13, 0x1.a7beda8301fc4p-13, 0x1.a84ebc88431cfp-13, 0x1.a8d385d26f612p-13, 0x1.a94d5819e0e5p-13, 0x1.a9bc6561bc2ccp-13, 0x1.aa20b48039244p-13, 0x1.aa7ae571920fp-13, 0x1.aaca4e74aa57ep-13, 0x1.ab0fafc5721a4p-13, 0x1.ab4b2ac49e835p-13, 0x1.ab7cdac541f8cp-13, 0x1.aba508e260278p-13, 0x1.abc33f5588d32p-13, 0x1.abd6ad0764facp-13, 0x1.abe2e6ecbbeedp-13, 0x1.abe67bc28a35ap-13, 0x1.abddb7615331ap-13, 0x1.abcec6dcc11e2p-13, 0x1.abb5e15d55527p-13, 0x1.ab954634ee67dp-13, 0x1.ab6c5a9cb2221p-13, 0x1.ab3b735bd6e9p-13, 0x1.aafe65aaa5528p-13, 0x1.aabec728dd689p-13, 0x1.aa74dd614e899p-13, 0x1.aa2330c493f1dp-13, 0x1.a9c9d6a87e197p-13, 0x1.a968f4e2d0db2p-13, 0x1.a900c2f3fd46cp-13, 0x1.a89172548869cp-13, 0x1.a81ac2fb40921p-13, 0x1.a79c677cfbf2cp-13, 0x1.a717be88a7f43p-13, 0x1.a68d1c29a0a7fp-13, 0x1.a5fad7c0c00bcp-13, 0x1.a561f794ec93ap-13, 0x1.a4c2d76e5c6dap-13, 0x1.a41d800f4dff9p-13, 0x1.a37165bc93f66p-13, 0x1.a2c0a176c6315p-13, 0x1.a209a7302302fp-13, 0x1.a14b307bc8946p-13, 0x1.a08786de23412p-13, 0x1.9fbe0bce45befp-13, 0x1.9ef15e10c25cap-13, 0x1.9e1d448f9fef5p-13, 0x1.9d438b55089f3p-13, 0x1.9c64d622c8282p-13, 0x1.9b823bf21f306p-13, 0x1.9a98f17735bf7p-13, 0x1.99ab22cf5c546p-13, 0x1.98b9124962232p-13, 0x1.97c2f0df3e3a6p-13, 0x1.96c736f1c6facp-13, 0x1.95c755f03002p-13, 0x1.94c2c68b04281p-13, 0x1.93b95b0bccecbp-13, 0x1.92acf56df88bfp-13, 0x1.919c53a89eddcp-13, 0x1.90858fa6f0211p-13, 0x1.8f6d3045c3abp-13, 0x1.8e4f831cdf7bep-13, 0x1.8d301f84a8d62p-13, 0x1.8c0b20c1fa496p-13, 0x1.8ae2d351eef04p-13, 0x1.89b72d710e902p-13, 0x1.8887f69a8003cp-13, 0x1.8755b60c68e8ap-13, 0x1.862002c321d7cp-13, 0x1.84e727f9f842fp-13, 0x1.83ab0b2bcb9b4p-13, 0x1.826c49d92adfep-13, 0x1.812b0ed4f6892p-13, 0x1.7fe5fd06be416p-13, 0x1.7e9d4a15d095ep-13, 0x1.7d52f4958185cp-13, 0x1.7c06b8a7f0686p-13, 0x1.7ab797239a79p-13, 0x1.796537f753088p-13, 0x1.7810640c6985dp-13, 0x1.76b96622a6b65p-13, 0x1.75603d9ac86a2p-13, 0x1.7404fa24a9d5dp-13, 0x1.72a78080bcdebp-13, 0x1.7147f2c6c80dap-13, 0x1.6fe689dd3bccbp-13, 0x1.6e8283e87ec04p-13, 0x1.6d1cc6ff494b9p-13, 0x1.6bb581f2c413bp-13, 0x1.6a4e68b384dd3p-13, 0x1.68e23d790745fp-13, 0x1.67764dd188dep-13, 0x1.66067856a4e0dp-13, 0x1.6497716cdadccp-13, 0x1.6325a77d6b7d9p-13, 0x1.61b5c40c979ebp-13, 0x1.603ff47513d23p-13, 0x1.5ecbb6fe5dc95p-13, 0x1.5d54acaf87b1fp-13, 0x1.5bdd06f4f7a21p-13, 0x1.5a644bb6a5f1ap-13, 0x1.58ea7170af4eep-13, 0x1.576f8edbc91cap-13, 0x1.55f3ba56f22f8p-13, 0x1.547734e78a6cbp-13, 0x1.52f9e423dac78p-13, 0x1.5179c1a524d31p-13, 0x1.4ffb05f43f264p-13, 0x1.4e7b524366e13p-13, 0x1.4cfb424fc0a54p-13, 0x1.4b79a250af15fp-13, 0x1.49f6f6fb18ab8p-13, 0x1.4873d605e0f58p-13, 0x1.46f0eb5a8b5d8p-13, 0x1.456e23dacf581p-13, 0x1.43ea1b73cbba8p-13, 0x1.42654b583426bp-13, 0x1.40e06eb855ee2p-13, 0x1.3f5b63c270a8cp-13, 0x1.3dd603bc1317cp-13, 0x1.3c5064caa092fp-13, 0x1.3aca8f3a1d824p-13, 0x1.39449fae988bfp-13, 0x1.37be79daabc51p-13, 0x1.363845990d4eap-13, 0x1.34b1ff84d1909p-13, 0x1.332bced5dec1fp-13, 0x1.31a5a2c1f24cp-13, 0x1.3020196e10a11p-13, 0x1.2e99e54356402p-13, 0x1.2d12e4024e4e7p-13, 0x1.2b8ce2a1d6e32p-13, 0x1.2a0835178d9c9p-13, 0x1.288330f6a89cdp-13, 0x1.26fdc45d00216p-13, 0x1.2578bb6d30f7bp-13, 0x1.23f3e5d3baed9p-13, 0x1.226f6edde93afp-13, 0x1.20eb9b93fe161p-13, 0x1.1f68291b05b7bp-13, 0x1.1de52374318bcp-13, 0x1.1c62c02d1e2a5p-13, 0x1.1ae118a9ba5c4p-13, 0x1.195df40c66e85p-13, 0x1.17dd7a90454adp-13, 0x1.165ca8aeee32ep-13, 0x1.14ddeef29ca65p-13, 0x1.135d00098eea4p-13, 0x1.11dd8c72093dcp-13, 0x1.10607cae52e2ep-13, 0x1.0ee2f7da45f4cp-13, 0x1.0d66478d827aep-13, 0x1.0be95a53224bep-13, 0x1.0a6e6f949252dp-13, 0x1.08f4959d10d76p-13, 0x1.077ac76253946p-13, 0x1.0601172d6b74ap-13, 0x1.0488a7319a158p-13, 0x1.03119b6503e17p-13, 0x1.019aab1894ffep-13, 0x1.0025124b47469p-13, 0x1.fd60953b5cef5p-14, 0x1.fa78d9f768008p-14, 0x1.f792b03335fb3p-14, 0x1.f4ae826f8a74cp-14, 0x1.f1cc60aeb1666p-14, 0x1.eeebf824a6c99p-14, 0x1.ec0dac2674fc1p-14, 0x1.e9314e6bc5a48p-14, 0x1.e657046fa2a6dp-14, 0x1.e37ef00afe64p-14, 0x1.e0a9573164039p-14, 0x1.ddd510c3562e5p-14, 0x1.db0198394b67ap-14, 0x1.d8322692c1b21p-14, 0x1.d566002df0d0cp-14, 0x1.d29aa0de94d6bp-14, 0x1.cfd114b60b5a7p-14, 0x1.cd095de3b9d1ep-14, 0x1.ca458f10b2369p-14, 0x1.c7838180c7384p-14, 0x1.c4c36eda03c22p-14, 0x1.c206261121afcp-14, 0x1.bf4bb8d21278ep-14, 0x1.bc922d536d428p-14, 0x1.b9d9e31dca09dp-14, 0x1.b726e26530223p-14, 0x1.b476a1eef05cap-14, 0x1.b1c8ac76ed275p-14, 0x1.af1b3b0706f5bp-14, 0x1.ac7106fd35b1bp-14, 0x1.a9c9d4d422c43p-14, 0x1.a7259c62f8f86p-14, 0x1.a4820dc95724dp-14, 0x1.a1e152d24f69ap-14, 0x1.9f43f1743f9a5p-14, 0x1.9cac4c7d5b43cp-14, 0x1.9a13b64038757p-14, 0x1.977eca7adcd7ap-14, 0x1.94e94223ae0eep-14, 0x1.9259e5b8b80dap-14, 0x1.8fcd47494f7dfp-14, 0x1.8d4360584c8e9p-14, 0x1.8abb65e984fe5p-14, 0x1.88356877ede26p-14, 0x1.85b3e6542b63bp-14, 0x1.8332d37465023p-14, 0x1.80b57ad792644p-14, 0x1.7e3b54970ca53p-14, 0x1.7bc94d22fef4bp-14, 0x1.794e45d2c29f8p-14, 0x1.76dc3a9d8c10ep-14, 0x1.746c32219dd65p-14, 0x1.71ff8a3d10bc2p-14, 0x1.6f94c286b4269p-14, 0x1.6d2e8ed961d77p-14, 0x1.6aca34dbe5165p-14, 0x1.6868b66b82d76p-14, 0x1.660ab599731aep-14, 0x1.63ac7af8fc1cap-14, 0x1.6154f2dd87d69p-14, 0x1.5efeb8243b706p-14, 0x1.5caa4914109a3p-14, 0x1.5a58b3351e1c3p-14, 0x1.580c23c3b76d1p-14, 0x1.55c12989334f1p-14, 0x1.5378cbc3cdf09p-14, 0x1.5132f80c2318bp-14, 0x1.4ef0339054febp-14, 0x1.4cb0626e63d52p-14, 0x1.4a739cdfe0fbcp-14, 0x1.4839f8f7a2a79p-14, 0x1.46019dfb5a3adp-14, 0x1.43cc4b9e47d84p-14, 0x1.419ad4f75c676p-14, 0x1.3f6d5ff168688p-14, 0x1.3d403e3679013p-14, 0x1.3b1841bd05195p-14, 0x1.38f24bfef88fbp-14, 0x1.36cb703a0574p-14, 0x1.34ab597f3ca82p-14, 0x1.328fbcf67e912p-14, 0x1.3075595b5e74dp-14, 0x1.2e5bb42f16bfp-14, 0x1.2c440d244874dp-14, 0x1.2a66c4b393cc3p-14, 0x1.28228f3182976p-14, 0x1.261766a5f0678p-14, 0x1.240c61a3c35cap-14, 0x1.220285379410dp-14, 0x1.20001d8e63514p-14, 0x1.1dfe432ceb2c1p-14, 0x1.1bff3f48efac1p-14, 0x1.1a02f624bd33cp-14, 0x1.1809acbf9e09dp-14, 0x1.1612b6199a5a4p-14, 0x1.141ef1673edd9p-14, 0x1.122e9fd590f71p-14, 0x1.103f80816757bp-14, 0x1.0e5377a55c294p-14, 0x1.0c6aa1d6e0a91p-14, 0x1.0aa48bce81d54p-14, 0x1.08a3d4c96eb8bp-14, 0x1.06c05374abc14p-14, 0x1.04e1f1f49faefp-14, 0x1.03071cc8a7fe2p-14, 0x1.012e8d55f9597p-14, 0x1.feb18375d9a88p-15, 0x1.fb0b161df2162p-15, 0x1.f76a61a4fe5ebp-15, 0x1.f3ceaad6357ep-15, 0x1.f037e1121ff5fp-15, 0x1.eca8262573a5p-15, 0x1.e91fe775da7c7p-15, 0x1.e596511712ad9p-15, 0x1.e2138efc8b7d2p-15, 0x1.de99f94c70929p-15, 0x1.db2301ba5643p-15, 0x1.d7b3e19baefd1p-15, 0x1.d4475e2afdc62p-15, 0x1.d0e0472a3d6d9p-15, 0x1.cd8c16b228d99p-15, 0x1.ca2439ff0cf06p-15, 0x1.c6cb099bf5923p-15, 0x1.c3798075e77ap-15, 0x1.c02dfa5cc6e9cp-15, 0x1.bce51b2a89e95p-15, 0x1.b9a2ffb6a9305p-15, 0x1.b66885dee877ap-15, 0x1.b331867180efcp-15, 0x1.aff8cbc1e71bep-15, 0x1.acc9a240dba21p-15, 0x1.a9a125e82ea24p-15, 0x1.a681fb00b5d96p-15, 0x1.a36350c5d6a64p-15, 0x1.a0465c61c5ddap-15, 0x1.9d308e6d03977p-15, 0x1.9a20153ac367bp-15, 0x1.9715b0430ace3p-15, 0x1.940e7ef4ef566p-15, 0x1.910d3d2cba3e6p-15, 0x1.8e1102b4a4424p-15, 0x1.8b18bdc3d7d3dp-15, 0x1.8820997ba8be9p-15, 0x1.85378922b93cap-15, 0x1.824e976f72ca4p-15, 0x1.7f6e48a617bd9p-15, 0x1.7c87fc43482ccp-15, 0x1.79adb494dd68dp-15, 0x1.76d5c16d78825p-15, 0x1.74060084b5317p-15, 0x1.71382a2c53e6cp-15, 0x1.6e6f4e4ca205p-15, 0x1.6babd041261efp-15, 0x1.68ec2030a9128p-15, 0x1.6631ab6722c68p-15, 0x1.63799732a0397p-15, 0x1.60c907215db8p-15, 0x1.5e1be67c8006cp-15, 0x1.5b73b6c80b3ap-15, 0x1.58cfb5e632bc8p-15, 0x1.56301aee55f58p-15, 0x1.5394b5747ee4bp-15, 0x1.50fdfd071c84dp-15, 0x1.4e69a814208c7p-15, 0x1.4bdccadb9614dp-15, 0x1.495371c9c3bdep-15, 0x1.46ce3a8397168p-15, 0x1.444d21905126p-15, 0x1.41d09618cac9p-15, 0x1.3f59834de1ec4p-15, 0x1.3cdfcc3798483p-15, 0x1.3a72f41005c68p-15, 0x1.3808e7b67a0eep-15, 0x1.35a12bc3d6593p-15, 0x1.333dacc526d4dp-15, 0x1.30df8781db887p-15, 0x1.2e808f5612febp-15, 0x1.2c2885315b64fp-15, 0x1.29da9a7d4fec6p-15, 0x1.27ad032847b26p-15, 0x1.253d377f842f3p-15, 0x1.22f4a6e146e98p-15, 0x1.20bd8d89b505dp-15, 0x1.1e7a09906084p-15, 0x1.1c3b1efc9fddap-15, 0x1.1a02cd1d826c3p-15, 0x1.17d0ac616418p-15, 0x1.15a1e935295fep-15, 0x1.13780b39cd8f5p-15, 0x1.114fc3055a055p-15, 0x1.0f2bc4cf16f7dp-15, 0x1.0d0c027fd28ep-15, 0x1.0af0284be215fp-15, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.73b0866e279d6p-3, -0x1.759725412a58cp-3, -0x1.78bcade2bff37p-3, -0x1.7d191adc9f92fp-3, -0x1.82a199bd04f15p-3, -0x1.8948df213278dp-3, -0x1.90ff81052b3f5p-3, -0x1.99b45244d5f58p-3, -0x1.a354bba8ae6a1p-3, -0x1.adcd10058c6d6p-3, -0x1.b908d9e5dac41p-3, -0x1.c4f321e8df3aap-3, -0x1.d176ad8aaea85p-3, -0x1.de7e3665a0527p-3, -0x1.ebf49a3d12e54p-3, -0x1.f9c50447f2422p-3, -0x1.03ed882338fb9p-2, -0x1.0b1173fb3947fp-2, -0x1.1244adbcba15ap-2, -0x1.197dfa9c5f033p-2, -0x1.20b484e55a678p-2, -0x1.27dfe228adda2p-2, -0x1.2ef817df07f4fp-2, -0x1.35f59eadb00b7p-2, -0x1.3cd164798ffbcp-2, -0x1.4384cd6e90ea8p-2, -0x1.4a09b41d46afdp-2, -0x1.505a68cd10886p-2, -0x1.5671b01d9f2cbp-2, -0x1.5c4ac10ffdd93p-2, -0x1.61e1428cc9883p-2, -0x1.6731487b35d0ap-2, -0x1.6c37507a978f1p-2, -0x1.70f03e4ea1aa5p-2, -0x1.7559580d060bdp-2, -0x1.79704219ddbf8p-2, -0x1.7d32faff12c3fp-2, -0x1.809fd729de142p-2, -0x1.83b57c986342ep-2, -0x1.8672de8083bc3p-2, -0x1.88d738f7fef62p-2, -0x1.8ae20ca51dc6cp-2, -0x1.8c931a7e4c831p-2, -0x1.8dea5f9e331aep-2, -0x1.8ee8113117921p-2, -0x1.8f8c987f9e0ebp-2, -0x1.8fd88f1a4bfap-2, -0x1.8fccbb28890e3p-2, -0x1.8f6a0bdd4dbf3p-2, -0x1.8eb196131640cp-2, -0x1.8da49110387aap-2, -0x1.8c44537444ea9p-2, -0x1.8a92504eb2ac7p-2, -0x1.8890145eb8be9p-2, -0x1.863f437be68f7p-2, -0x1.83a19626c712fp-2, -0x1.80b8d74098f49p-2, -0x1.7d86e1e8f8c14p-2, -0x1.7a0d9f802a61bp-2, -0x1.764f05cc93fafp-2, -0x1.724d1541d9fbfp-2, -0x1.6e09d767fd2aep-2, -0x1.69875d60d40c5p-2, -0x1.64c7be8a236efp-2, -0x1.5fcd173aab1p-2, -0x1.5a99879869b39p-2, -0x1.552f328672eb1p-2, -0x1.4f903ca8b285cp-2, -0x1.49becb7bfef0ap-2, -0x1.43bd04810047ep-2, -0x1.3d8d0c7866e27p-2, -0x1.373106af102b7p-2, -0x1.30ab1458ca39p-2, -0x1.29fd53f86e07ap-2, -0x1.2329e0d42cc34p-2, -0x1.1c32d274f31f1p-2, -0x1.151a3c2fe2552p-2, -0x1.0de22cb8ece87p-2, -0x1.068cadbdbc946p-2, -0x1.fe378710345dfp-3, -0x1.ef22d94e3ae63p-3, -0x1.dfdf433cfc08dp-3, -0x1.d070a936f0fd3p-3, -0x1.c0dae25d70606p-3, -0x1.b121b815b0dccp-3, -0x1.a148e58e1e3b3p-3, -0x1.9154174b4aca7p-3, -0x1.8146eabbe874ap-3, -0x1.7124edd331567p-3, -0x1.60f19ea94d7f9p-3, -0x1.50b06b215c23p-3, -0x1.4064b094c138dp-3, -0x1.3011bb8374b6ap-3, -0x1.1fbac7491f7ap-3, -0x1.0f62fdd6d9081p-3, -0x1.fe1aeee2b28d9p-4, -0x1.dd7a74e72903bp-4, -0x1.bcea762b4261cp-4, -0x1.9c70b66fbf264p-4, -0x1.7c12d464bc0fp-4, -0x1.5bd64950df23fp-4, -0x1.3bc068c0f6d71p-4, -0x1.1bd6604002f3ep-4, -0x1.f83a6e2f68c5ap-5, -0x1.b9339c32d3d3bp-5, -0x1.7aa1bedf61317p-5, -0x1.3c8dfcf0ab346p-5, -0x1.fe025e9c2b487p-6, -0x1.8407c1c2a4109p-6, -0x1.0b3c9cfc391cap-6, -0x1.27619b6cc2868p-7, -0x1.d739538e9afd3p-10, 0x1.5db19c8dc50fp-8, 0x1.95c23b38bb92ep-7, 0x1.3cdd1f8b7bd3bp-6, 0x1.ad5398ca5a2dap-6, 0x1.0e1c277ab983fp-5, 0x1.44bfd0473a067p-5, 0x1.7a8f41ff40d8dp-5, 0x1.af85433c78356p-5, 0x1.e39ce55f9e28ep-5, 0x1.0b68c1f1b8f97p-4, 0x1.248f61d07f4ebp-4, 0x1.3d404902d81bfp-4, 0x1.5579921dce1afp-4, 0x1.6d397b224530cp-4, 0x1.847e650412084p-4, 0x1.9b46d32af4d9cp-4, 0x1.b1916aeda9afbp-4, 0x1.c75cf30770522p-4, 0x1.dca853082ad03p-4, 0x1.f17292bf8f07ap-4, 0x1.02dd6cd1c023p-3, 0x1.0cc0371904258p-3, 0x1.16615aa795be2p-3, 0x1.1fc098cf6aedbp-3, 0x1.28ddc16da283ap-3, 0x1.31b8b29419102p-3, 0x1.3a515831847c9p-3, 0x1.42a7abb83b3a6p-3, 0x1.4abbb3c3c9585p-3, 0x1.528d83bd83dd6p-3, 0x1.5a1d3b80330bp-3, 0x1.616b06fafcde7p-3, 0x1.68771dd3b6845p-3, 0x1.6f41c308b47f4p-3, 0x1.75cb4492457b8p-3, 0x1.7c13fb03fbe0dp-3, 0x1.821c492dd6d8ep-3, 0x1.87e49bbd7b2a5p-3, 0x1.8d6d68df89fc6p-3, 0x1.92b72fe1409c6p-3, 0x1.97c278d279e64p-3, 0x1.9c8fd42822061p-3, 0x1.a11fda5f47ad7p-3, 0x1.a5732ba0d3875p-3, 0x1.a98a6f66091a7p-3, 0x1.ad66541de00dap-3, 0x1.b1078ed351f4cp-3, 0x1.b46edad4ae3cap-3, 0x1.b79cf95c0168cp-3, 0x1.ba92b138ad8a4p-3, 0x1.bd50ce7a3cbc1p-3, 0x1.bfd8221c7e5bp-3, 0x1.c22981b50090fp-3, 0x1.c445c721f4463p-3, 0x1.c62dd03a8606fp-3, 0x1.c7e27e80b205ep-3, 0x1.c964b6d4b041bp-3, 0x1.cab56129ec7dep-3, 0x1.cbd5683da1ce5p-3, 0x1.ccc5b94f1d3a8p-3, 0x1.cd8743d9a8597p-3, 0x1.ce1af95031e3cp-3, 0x1.ce81ccdaa2a4ap-3, 0x1.cebcb314fbd01p-3, 0x1.cecca1d02e089p-3, 0x1.ceb28fd4b8081p-3, 0x1.ce6f74a70b294p-3, 0x1.ce04484db6b3cp-3, 0x1.cd72031959085p-3, 0x1.ccb99d6e5cd6ep-3, 0x1.cbdc0f907df76p-3, 0x1.cada51700fbdap-3, 0x1.c9b55a790af0ap-3, 0x1.c86e2163e364ep-3, 0x1.c7059c0812c14p-3, 0x1.c57cbf3067624p-3, 0x1.c3d47e710a2a6p-3, 0x1.c20dcbff36d91p-3, 0x1.c029988aa6e8bp-3, 0x1.be28d318a4654p-3, 0x1.bc0c68e0c840dp-3, 0x1.b9d5452b4d462p-3, 0x1.b78451310da86p-3, 0x1.b51a73fd00f5cp-3, 0x1.b298924f5af9dp-3, 0x1.afff8e821f943p-3, 0x1.ad50486f44245p-3, 0x1.aa8b9d5840a2dp-3, 0x1.a7b267cf14cd8p-3, 0x1.a4c57fa0b97c4p-3, 0x1.a1c5b9c0ec87p-3, 0x1.9eb3e8376007dp-3, 0x1.9b90da0e3459p-3, 0x1.985d5b41c1351p-3, 0x1.951a34b19fe4ep-3, 0x1.91c82c12edb0cp-3, 0x1.8e6803e3c06cdp-3, 0x1.8afa7b5fcb5cap-3, 0x1.87804e76192b6p-3, 0x1.83fa35bfebadep-3, 0x1.8068e678a5489p-3, 0x1.7ccd1276bf7f4p-3, 0x1.79276825bc34ap-3, 0x1.7578928117c2ap-3, 0x1.71c139102349fp-3, 0x1.6e01ffe2d0057p-3, 0x1.6a3b878f4f7aap-3, 0x1.666e6d309be1bp-3, 0x1.629b4a65c04f2p-3, 0x1.5ec2b551f5ba7p-3, 0x1.5ae5409d7c41bp-3, 0x1.57037b77318aep-3, 0x1.531df196d0e84p-3, 0x1.4f352b3fe9923p-3, 0x1.4b49ad4574154p-3, 0x1.475bf90dfc68dp-3, 0x1.436c8c986ddep-3, 0x1.3f7be28169285p-3, 0x1.3b8a72091ad28p-3, 0x1.3798af199e701p-3, 0x1.33a70a4dd4281p-3, 0x1.2fb5f0f8aec22p-3, 0x1.2bc5cd2ced02dp-3, 0x1.27d705c53bb4ap-3, 0x1.23e9fe6cbe9b2p-3, 0x1.1fff17a7eb33cp-3, 0x1.1c16aeddc3576p-3, 0x1.18311e615d433p-3, 0x1.144ebd7bb748p-3, 0x1.106fe075d1d6dp-3, 0x1.0c94d8a308e35p-3, 0x1.08bdf46bb01fap-3, 0x1.04eb7f57deb79p-3, 0x1.011dc21a7357fp-3, 0x1.faaa053884dc1p-4, 0x1.f323080ee60bbp-4, 0x1.eba70da5fa2a6p-4, 0x1.e436919c95ebcp-4, 0x1.dcd20a59f514cp-4, 0x1.d579e92566fe1p-4, 0x1.ce2e9a3e2e1a3p-4, 0x1.c6f084f37f26bp-4, 0x1.bfc00bbcaa95ep-4, 0x1.b89d8c51497cep-4, 0x1.b1895fc18db19p-4, 0x1.aa83da8e90256p-4, 0x1.a38d4cc2ad53ap-4, 0x1.9ca60209daa6p-4, 0x1.95ce41c9f5de1p-4, 0x1.8f064f3b0f379p-4, 0x1.884e697f9b169p-4, 0x1.81a6cbbc93e0ep-4, 0x1.7b0fad3182549p-4, 0x1.7489415063eb3p-4, 0x1.6e13b7d572fa4p-4, 0x1.67af3cdec7f31p-4, 0x1.615bf903cfe2ep-4, 0x1.5b1a116c9805fp-4, 0x1.54e9a7e8e5753p-4, 0x1.4ecadb071c461p-4, 0x1.48bdc62af0d4ep-4, 0x1.42c281a3dc5e6p-4, 0x1.3cd922c35730ep-4, 0x1.3701bbf2d5ff2p-4, 0x1.313c5cc9853abp-4, 0x1.2b891221c1c1ap-4, 0x1.25e7e62e4c3bfp-4, 0x1.2058e08f37292p-4, 0x1.1adc06668c456p-4, 0x1.15715a6ca7b21p-4, 0x1.1018dd044859ap-4, 0x1.0ad28c4e54271p-4, 0x1.059e643d4d9ap-4, 0x1.007c5ea87b6c6p-4, 0x1.f6d8e6bd7ffe8p-5, 0x1.ecdd3072460b5p-5, 0x1.e305825a0a52bp-5, 0x1.d951c0bc0a71ep-5, 0x1.cfc1cc5f265d4p-5, 0x1.c65582ac61699p-5, 0x1.bd0cbdd0b7a22p-5, 0x1.b3e754de557f1p-5, 0x1.aae51bed1ea0cp-5, 0x1.a205e43a979fdp-5, 0x1.99497c4929164p-5, 0x1.90afaffeae84ap-5, 0x1.883848c26f53bp-5, 0x1.7fe30d9a66824p-5, 0x1.77afc347ef834p-5, 0x1.6f9e2c63c4981p-5, 0x1.67ae09795e224p-5, 0x1.5fdf1921b01c6p-5, 0x1.5831181d41269p-5, 0x1.50a3c16da71d9p-5, 0x1.4936ce6e62e6dp-5, 0x1.41e9f6ed18fb3p-5, 0x1.3abcf141324cbp-5, 0x1.33af7262e09a5p-5, 0x1.2cc12e01873f7p-5, 0x1.25f1d699914c2p-5, 0x1.1f411d89ab649p-5, 0x1.18aeb3276ae94p-5, 0x1.123a46d36374dp-5, 0x1.0be3870ca7dfap-5, 0x1.05aa2183bfef2p-5, 0x1.ff1b865a2560ap-6, 0x1.f31c30a57d9dp-6, 0x1.e755994bda6d7p-6, 0x1.dbc7169f37229p-6, 0x1.d06ffe01c7b13p-6, 0x1.c54fa40584ea7p-6, 0x1.ba655c8aa4dc3p-6, 0x1.afb07add2dca1p-6, 0x1.a53051d17a3b3p-6, 0x1.9ae433dfcfe35p-6, 0x1.90cb733f1125p-6, 0x1.86e561fe71402p-6, 0x1.7d31521e4e5bcp-6, 0x1.73ae95a818c9fp-6, 0x1.6a5c7ec5694d4p-6, 0x1.613a5fd636302p-6, 0x1.58478b8630538p-6, 0x1.4f8354e15865ap-6, 0x1.46ed0f67bcc38p-6, 0x1.3e840f20692d4p-6, 0x1.3647a8aba1a0ep-6, 0x1.2e3731544d9e9p-6, 0x1.2651ff20b3816p-6, 0x1.1e9768e270eb9p-6, 0x1.1706c645c99cbp-6, 0x1.0f9f6fe040b9fp-6, 0x1.0860bf3e7d3e4p-6, 0x1.014a0ef19e283p-6, 0x1.f4b57537b2367p-7, 0x1.e7243df8faf93p-7, 0x1.d9df33f6d710bp-7, 0x1.cce51567a1d69p-7, 0x1.c034a2fcfa70cp-7, 0x1.b3cc9ff70a12dp-7, 0x1.a7abd236dafecp-7, 0x1.9bd1024f8c321p-7, 0x1.903afb968ec85p-7, 0x1.84e88c32ce1d1p-7, 0x1.79d8852aeb7dbp-7, 0x1.6f09ba7280bf9p-7, 0x1.647b02f67ed84p-7, 0x1.5a2b38a8a876cp-7, 0x1.5019388a25cd7p-7, 0x1.4643e2b54f1b3p-7, 0x1.3caa1a669ba71p-7, 0x1.334ac604c2fa3p-7, 0x1.2a24cf2830da7p-7, 0x1.213722a19f67dp-7, 0x1.1880b0801a5bdp-7, 0x1.10006c163aff7p-7, 0x1.07b54bfeb5c17p-7, 0x1.ff3c9440984b2p-8, 0x1.ef74c7626bcd2p-8, 0x1.e011327377d63p-8, 0x1.d10fdd2cd2389p-8, 0x1.c26ed5f335978p-8, 0x1.b42c31d936e2cp-8, 0x1.a6460ca02c26p-8, 0x1.98ba88b849ceap-8, 0x1.8b87cf3fbb048p-8, 0x1.7eac1000b70d8p-8, 0x1.7225816f076bfp-8, 0x1.65f260a42d949p-8, 0x1.5a10f15b2e023p-8, 0x1.4e7f7deb5d65bp-8, 0x1.433c5742841abp-8, 0x1.3845d4de2b20ap-8, 0x1.2d9a54c458ae9p-8, 0x1.23383b7b96611p-8, 0x1.191df4026089dp-8, 0x1.0f49efc60952p-8, 0x1.05baa698de6e8p-8, 0x1.f8dd2d4ff554ep-9, 0x1.e6c888e0f0d27p-9, 0x1.d5347568482d4p-9, 0x1.c41e14db8d72cp-9, 0x1.b3829589fd0d4p-9, 0x1.a35f320363b0bp-9, 0x1.93b130fe31bdp-9, 0x1.8475e53cd0e93p-9, 0x1.75aaad72597dbp-9, 0x1.674cf4269e1c3p-9, 0x1.595a2f999295bp-9, 0x1.4bcfe1a655dd4p-9, 0x1.3eab97a54cba4p-9, 0x1.31eaea4e49fcdp-9, 0x1.258b7d99e277bp-9, 0x1.198b00a2923fap-9, 0x1.0de72d8537585p-9, 0x1.029dc94181af6p-9, 0x1.ef594733d1db5p-10, 0x1.da232de745b2fp-10, 0x1.c595106b9cfd1p-10, 0x1.b1aacd51f091p-10, 0x1.9e6057ac057b6p-10, 0x1.8bb1b6ca7404cp-10, 0x1.799b05fa0d10fp-10, 0x1.681874415602cp-10, 0x1.5726441d6dc0cp-10, 0x1.46c0cb3f2b263p-10, 0x1.36e472486e1e1p-10, 0x1.278db48891d03p-10, 0x1.18b91fb957479p-10, 0x1.0a6353bc45307p-10, 0x1.f91204ae1a98cp-11, 0x1.de4ddde21acf2p-11, 0x1.c473dca1a58ecp-11, 0x1.ab7dccb1dff8ep-11, 0x1.93659b8bf52e3p-11, 0x1.7c2557d8b5d95p-11, 0x1.65b730ed4e7e4p-11, 0x1.50157647c57eap-11, 0x1.3b3a970cc915ep-11, 0x1.27212185ec591p-11, 0x1.13c3c2a04cebcp-11, 0x1.011d456d68bb2p-11, 0x1.de512545f0d7ap-12, 0x1.bbc160387ce7fp-12, 0x1.9a8180ba40e68p-12, 0x1.7a880429ecea2p-12, 0x1.5bcb9f4784956p-12, 0x1.3e433d3d82535p-12, 0x1.21e5feaf32594p-12, 0x1.06ab38c576fb4p-12, 0x1.d914e88565a1cp-13, 0x1.a6f6d92a6bb18p-13, 0x1.76ec1dda6075fp-13, 0x1.48e4f2a7c34bdp-13, 0x1.1cd1f38f3c83ep-13, 0x1.e548355fa50bdp-14, 0x1.94997d14c3e64p-14, 0x1.477b208facb5ap-14, 0x1.fba267f6fddf3p-15, 0x1.6f00f400b0dbdp-15, 0x1.d1b98181db1cep-16, 0x1.a407e5a3c922ep-17, -0x1.0c1edbe46567fp-19, -0x1.09407b9b56601p-16, -0x1.e592072a53f61p-16, -0x1.5b6b15f24c3d7p-15, -0x1.beb41bff9bf18p-15, -0x1.0e684991feed3p-14, -0x1.3af5ea9d1f0c6p-14, -0x1.65180f3910394p-14, -0x1.8ce3499d9ed2ap-14, -0x1.b26ba304a1363p-14, -0x1.d5c49e8457849p-14, -0x1.f7013bde86bfdp-14, -0x1.0b19fd241c9d8p-13, -0x1.19b76d915006fp-13, -0x1.2761b255d1e3p-13, -0x1.34215251012bep-13, -0x1.3ffe996f705a8p-13, -0x1.4b0199f3f53afp-13, -0x1.55322dbbb287p-13, -0x1.5e97f779e404p-13, -0x1.673a63f0d024fp-13, -0x1.6f20ab278b6c4p-13, -0x1.7651d19164781p-13, -0x1.7cd4a93fca66bp-13, -0x1.82afd3008e827p-13, -0x1.87e9bf8078ea1p-13, -0x1.8c88b063af70bp-13, -0x1.9092b95b115dep-13, -0x1.940dc134d168bp-13, -0x1.96ff82e836808p-13, -0x1.996d8e9d824c9p-13, -0x1.9b5d4aaee85a2p-13, -0x1.9cd3f4a6a733bp-13, -0x1.9dd6a234a1554p-13, -0x1.9e6a422776577p-13, -0x1.9e939d5849fafp-13, -0x1.9e5757991838dp-13, -0x1.9db9f0980c613p-13, -0x1.9cbfc4c4673d8p-13, -0x1.9b6d0e2a493cfp-13, -0x1.99c5e54d385e3p-13, -0x1.97ce41fd414b6p-13, -0x1.9589fc29bec7cp-13, -0x1.92fcccac9b605p-13, -0x1.902a4e129a007p-13, -0x1.8d15fd60e8f8bp-13, -0x1.89c33ad773db5p-13, -0x1.86354aac4439bp-13, -0x1.826f55c4f4c99p-13, -0x1.7e746a6cbf58cp-13, -0x1.7a477d04fab69p-13, -0x1.75eb68b2e95dfp-13, -0x1.7162f009b0894p-13, -0x1.6cb0bdb2478ecp-13, -0x1.67d7650e5d68cp-13, -0x1.62d962d649204p-13, -0x1.5db91db60b86dp-13, -0x1.5878e6e54b9c9p-13, -0x1.531afabdcfa6ep-13, -0x1.4da1814c8ec6p-13, -0x1.480e8ee1b36c4p-13, -0x1.4264249acdd82p-13, -0x1.3ca430ed66ef3p-13, -0x1.36d0902957698p-13, -0x1.30eb0cfd33501p-13, -0x1.2af560f6382a8p-13, -0x1.24f134fc303e6p-13, -0x1.1ee021cb1e5b4p-13, -0x1.18c3b06a07f5ap-13, -0x1.129d5a9ef7b0bp-13, -0x1.0c6e8b605b76fp-13, -0x1.06389f43b5208p-13, -0x1.fff9c9d3ea09dp-14, -0x1.f3793ad2c180ap-14, -0x1.e6f1f967f3818p-14, -0x1.da6653f797cc5p-14, -0x1.cdd8802987a7dp-14, -0x1.c14a9bab2ef06p-14, -0x1.b4beace7be959p-14, -0x1.a836a3bfd62e7p-14, -0x1.9bb45a3a5ab3p-14, -0x1.8f399532133f8p-14, -0x1.82c804fe0fb2ep-14, -0x1.766146147a937p-14, -0x1.6a06e1ae4320dp-14, -0x1.5dba4e619517fp-14, -0x1.517cf0bb8bedbp-14, -0x1.45501bd3d6472p-14, -0x1.393511dc248b1p-14, -0x1.2d2d04ae36302p-14, -0x1.21391654ff70dp-14, -0x1.155a59917d73fp-14, -0x1.0991d25daa03cp-14, -0x1.fbc0ecd6c5151p-15, -0x1.e48e5b3c8acffp-15, -0x1.cd8da50a44959p-15, -0x1.b6c06596475e4p-15, -0x1.a0281f5b92e66p-15, -0x1.89c63cd2132b9p-15, -0x1.739c1147d6307p-15, -0x1.5daad9b0619c6p-15, -0x1.47f3bd6ee2c84p-15, -0x1.3277cf1cb2157p-15, -0x1.1d380d483bfddp-15, -0x1.08356330edf82p-15, -0x1.e6e152f38c034p-16, -0x1.bdd54dbb40606p-16, -0x1.954821b002f37p-16, -0x1.6d3b189877013p-16, -0x1.45af5c4543a61p-16, -0x1.1ea5f7d1b3ebap-16, -0x1.f03fb1a6b8b5ep-17, -0x1.a43ba104b1717p-17, -0x1.594129a8def36p-17, -0x1.0f51832884592p-17, -0x1.8cdb65bb87615p-18, -0x1.fa5a37d541591p-19, -0x1.be65daf95a82p-20, 0x1.bde947d4fa76fp-22, 0x1.4a74cab4b20e6p-19, 0x1.2c79aca133f5bp-18, 0x1.b19c68d520eb9p-18, 0x1.1a517170120fap-17, 0x1.5ac6d5600165ap-17, 0x1.9a2eca31d8d2fp-17, 0x1.d889da3cf4138p-17, 0x1.0aec576803c88p-16, 0x1.290e0759a1a77p-16, 0x1.46aa6e608faafp-16, 0x1.63c20b4b8cac5p-16, 0x1.8055699d5fd06p-16, 0x1.9c6520f66f1cep-16, 0x1.b7f1d46e3dccep-16, 0x1.d2fc3202127eep-16, 0x1.ed84f1fec3d4ep-16, 0x1.03c66b3a544c7p-15, 0x1.108a55591eddap-15, 0x1.1d0ea1608f092p-15, 0x1.2953bd70d3b74p-15, 0x1.355a1b8c118d6p-15, 0x1.412231591b45ap-15, 0x1.4cac77eb1e3cap-15, 0x1.57f96b8af5fa4p-15, 0x1.63098b80002efp-15, 0x1.6ddd59dfc80dep-15, 0x1.78755b5c46d71p-15, 0x1.82d21714a15f5p-15, 0x1.8cf41667c975dp-15, 0x1.96dbe4c721167p-15, 0x1.a08a0f8e11d3bp-15, 0x1.a9ff25d6c824dp-15, 0x1.b33bb85634ac8p-15, 0x1.bc4059345994p-15, 0x1.c50d9be9876e6p-15, 0x1.cda4151b74a36p-15, 0x1.d6045a7c449bdp-15, 0x1.de2f02aa8787p-15, 0x1.e624a5121ee94p-15, 0x1.ede5d9cdc3924p-15, 0x1.f573398e24cddp-15, 0x1.fccd5d7be6b0cp-15, 0x1.01fa6f8ff375dp-14, 0x1.05752c24d642fp-14, 0x1.08d7317bb1f48p-14, 0x1.0c20cca021545p-14, 0x1.0f524a9f131a9p-14, 0x1.126bf87c59ac6p-14, 0x1.156e23295c2a4p-14, 0x1.1859177b9fdc4p-14, 0x1.1b2d22236b331p-14, 0x1.1dea8fa42bafbp-14, 0x1.2091ac4bc773dp-14, 0x1.2322c42a8624p-14, 0x1.259e230caed1dp-14, 0x1.28041472f0f37p-14, 0x1.2a54e38b9b429p-14, 0x1.2c90db2d7d308p-14, 0x1.2eb845d0de8a1p-14, 0x1.30cb6d8ac1d66p-14, 0x1.32ca9c06ca4fap-14, 0x1.34b61a831a42dp-14, 0x1.368e31cb043c9p-14, 0x1.38532a32f09d5p-14, 0x1.3a054b94901a2p-14, 0x1.3ba4dd4a11db6p-14, 0x1.3d32262b76f0ap-14, 0x1.3ead6c8b8cf4fp-14, 0x1.4016f6331c128p-14, 0x1.416f085f6ab9cp-14, 0x1.42b5e7bfd279fp-14, 0x1.43ebd871539e5p-14, 0x1.45111dfe00be2p-14, 0x1.4625fb5aac429p-14, 0x1.472ab2e44e0cfp-14, 0x1.481f865e9c417p-14, 0x1.4904b6f303ba2p-14, 0x1.49da852e2fb8dp-14, 0x1.4aa130ff251edp-14, 0x1.4b58f9b724b34p-14, 0x1.4c021e06d103fp-14, 0x1.4c9cdbfeb5aeap-14, 0x1.4d29710e75272p-14, 0x1.4da81a03c57cbp-14, 0x1.4e1913098efe4p-14, 0x1.4e7c97a911ae5p-14, 0x1.4ed2e2c8412afp-14, 0x1.4f1c2ea9e433bp-14, 0x1.4f58b4edd7517p-14, 0x1.4f88ae90a3173p-14, 0x1.4fac53ec53c45p-14, 0x1.4fc3dcb799b59p-14, 0x1.4fcf8007b21fcp-14, 0x1.4fcf744eeac78p-14, 0x1.4fc3ef5dfcf61p-14, 0x1.4fad266543806p-14, 0x1.4f8b4df4105cep-14, 0x1.4f5e99f9bf895p-14, 0x1.4f273dc69bd38p-14, 0x1.4ee56c0cc202cp-14, 0x1.4e9956dfff55dp-14, 0x1.4e432fb795221p-14, 0x1.4de3276fbfeb3p-14, 0x1.4d796e4895e56p-14, 0x1.4d0633e8bd3bap-14, 0x1.4c89a75dcbb8p-14, 0x1.4c03f71d4e222p-14, 0x1.4b7551060a2a6p-14, 0x1.4adde26108d89p-14, 0x1.4a3dd7e31c60cp-14, 0x1.49955dad229c7p-14, 0x1.48e49f4dbc97ep-14, 0x1.482bc7c32fbbdp-14, 0x1.476b017b676cfp-14, 0x1.46a27655f44b3p-14, 0x1.45d24fa5825aep-14, 0x1.44fab63014d2fp-14, 0x1.441bd2315e2cdp-14, 0x1.4335cb5bda9b2p-14, 0x1.4248c8d9ed071p-14, 0x1.4154f14f6965ap-14, 0x1.405a6ada551cfp-14, 0x1.3f595b151c7cep-14, 0x1.3e51e717180d6p-14, 0x1.3d443376cc7a6p-14, 0x1.3c30644a58d31p-14, 0x1.3b169d29a5869p-14, 0x1.39f7012f525c5p-14, 0x1.38d1b2f98009p-14, 0x1.37a6d4ac995eep-14, 0x1.367687f3677b2p-14, 0x1.3540ee00f770cp-14, 0x1.3406279219a18p-14, 0x1.32c654ee6525bp-14, 0x1.318195e947d12p-14, 0x1.303809e43a97p-14, 0x1.2ee9cfcf6a83ap-14, 0x1.2d97062b6dc3bp-14, 0x1.2c3fcb0a18086p-14, 0x1.2ae43c10544e7p-14, 0x1.298476770d12fp-14, 0x1.2820970c6ef68p-14, 0x1.26b8ba35c761fp-14, 0x1.254cfbf04b954p-14, 0x1.23dd77d2641eap-14, 0x1.226a490cfad74p-14, 0x1.20f38a6ccd8edp-14, 0x1.1f79565b7b5c6p-14, 0x1.1dfbc6e0b6dcfp-14, 0x1.1c7af5a407a92p-14, 0x1.1af6fbed89a51p-14, 0x1.196ff2a70d3b9p-14, 0x1.17e5f25d19b1bp-14, 0x1.16591340dd447p-14, 0x1.14c96d28a57fp-14, 0x1.133717912defap-14, 0x1.11a2299ee355ap-14, 0x1.100aba1ec782dp-14, 0x1.0e70df87c3ab5p-14, 0x1.0cd4affb89937p-14, 0x1.0b364147cad99p-14, 0x1.0995a8e787213p-14, 0x1.07f2fc03ac94bp-14, 0x1.064e4f74526dcp-14, 0x1.04a7b7c1c840fp-14, 0x1.02ff4925819eep-14, 0x1.0155178afd623p-14, 0x1.ff526d21dcc3dp-15, 0x1.fbf77314bffedp-15, 0x1.f89966ff79f56p-15, 0x1.f5386e5def3d4p-15, 0x1.f1d4ae1a70987p-15, 0x1.ee6e4a8f7225dp-15, 0x1.eb0567890a01dp-15, 0x1.e79a2846dafc7p-15, 0x1.e42caf7da1a2cp-15, 0x1.e0bd1f5978abcp-15, 0x1.dd4b997f182f2p-15, 0x1.d9d83f0da0a73p-15, 0x1.d66330a0a165p-15, 0x1.d2ec8e51b17dfp-15, 0x1.cf7477b9e0badp-15, 0x1.cbfb0bf3081a2p-15, 0x1.c880699a3f3cap-15, 0x1.c504aed0b99c9p-15, 0x1.c187f93d3100fp-15, 0x1.be0a660dae55cp-15, 0x1.ba8c11f98fc45p-15, 0x1.b70d1942b3048p-15, 0x1.b38d97b6bc812p-15, 0x1.b00da8b02f499p-15, 0x1.ac8d6718be769p-15, 0x1.a90ced69dc8f5p-15, 0x1.a58c55aef808fp-15, 0x1.a20bb985ecc3fp-15, 0x1.9e8b3220e6d59p-15, 0x1.9b0ad847e9713p-15, 0x1.978ac4599ad4dp-15, 0x1.940b0e4ca83fep-15, 0x1.908bcdb12e3cep-15, 0x1.8d0d19b23f8b2p-15, 0x1.898f09170da31p-15, 0x1.8611b2435246ap-15, 0x1.82952b396a7f2p-15, 0x1.7f19899b4ed9fp-15, 0x1.7b9ee2ab106dep-15, 0x1.78254b4d121c8p-15, 0x1.74acd808601ebp-15, 0x1.71359d08b1118p-15, 0x1.6dbfae1e86637p-15, 0x1.6a4b1ec097239p-15, 0x1.66d8020d459ffp-15, 0x1.63666acae1548p-15, 0x1.5ff66b69a90c5p-15, 0x1.5c881604168afp-15, 0x1.591b7c600efddp-15, 0x1.55b0aff0102f9p-15, 0x1.5247c1d4688a9p-15, 0x1.4ee0c2db6f4d5p-15, 0x1.4b7bc382b3e72p-15, 0x1.4818d3f8b3b85p-15, 0x1.44b8041d45cbfp-15, 0x1.4159638276fa9p-15, 0x1.3dfd016d1a642p-15, 0x1.3aa2ecd63b17ap-15, 0x1.374b346c00dbap-15, 0x1.33f5e69215c8p-15, 0x1.30a31163122a2p-15, 0x1.2d52c2b0bdbb4p-15, 0x1.2a050806155c2p-15, 0x1.26b9eea6c7f02p-15, 0x1.23718390b9ac7p-15, 0x1.202bd37c6502ep-15, 0x1.1ce8eade59fabp-15, 0x1.19a8d5e777799p-15, 0x1.166ba08601683p-15, 0x1.133156660b576p-15, 0x1.0ffa02f26bb1cp-15, 0x1.0cc5b15615f8ap-15, 0x1.09946c7bd931p-15, 0x1.06663f0f4be14p-15, 0x1.033b337e56947p-15, 0x1.001353f9ac30cp-15, 0x1.f9dd54e9d4c92p-16, 0x1.f39a814f6558ep-16, 0x1.ed5e401bc7f19p-16, 0x1.e728a3d264545p-16, 0x1.e0f9be824d934p-16, 0x1.dad1a1c836261p-16, 0x1.d4b05eced2a21p-16, 0x1.ce960651fb02p-16, 0x1.c882a89eb62d5p-16, 0x1.c27655955a015p-16, 0x1.bc711ca93a9cdp-16, 0x1.b6730ce2881dep-16, 0x1.b07c34e1c4385p-16, 0x1.aa8ca2ddf228ep-16, 0x1.a4a464a7eec06p-16, 0x1.9ec387a9b451ap-16, 0x1.98ea18e9c9cbfp-16, 0x1.9318250b459cdp-16, 0x1.8d4db84e999c7p-16, 0x1.878ade92d6973p-16, 0x1.81cfa3589a6c9p-16, 0x1.7c1c11c144db7p-16, 0x1.7670349147d1dp-16, 0x1.70cc163016223p-16, 0x1.6b2fc0a974bdfp-16, 0x1.659b3db027f9fp-16, 0x1.600e969d1e444p-16, 0x1.5a89d47209f4p-16, 0x1.550cffd889d5cp-16, 0x1.4f9821259c984p-16, 0x1.4a2b40590d14fp-16, 0x1.44c66520685b9p-16, 0x1.3f6996d58eec5p-16, 0x1.3a14dc7fc7fa2p-16, 0x1.34c83cd78cc14p-16, 0x1.2f83be44e5df4p-16, 0x1.2a4766e2138c9p-16, 0x1.25133c7b1ea43p-16, 0x1.1fe7449004348p-16, 0x1.1ac38455b3236p-16, 0x1.15a800b5a9768p-16, 0x1.1094be4fc7fa8p-16, 0x1.0b89c17b8ddfcp-16, 0x1.06870e49bcd2fp-16, 0x1.018ca883a2aedp-16, 0x1.f935275ba03d4p-17, 0x1.ef61a60cdd843p-17, 0x1.e59ed31054814p-17, 0x1.dbecb3d6d3797p-17, 0x1.d24b4d4c7a2f4p-17, 0x1.c8baa3db83421p-17, 0x1.bf3abb6b56634p-17, 0x1.b5cb97661f671p-17, 0x1.ac6d3ab8ccd34p-17, 0x1.a31fa7d7951e1p-17, 0x1.99e2e0bae540bp-17, 0x1.90b6e6e1fd68cp-17, 0x1.879bbb584a111p-17, 0x1.7e915eb426f34p-17, 0x1.7597d118b649ep-17, 0x1.6caf12381e64ap-17, 0x1.63d72155005aep-17, 0x1.5b0ffd4654ad8p-17, 0x1.5259a475716e9p-17, 0x1.49b414ded608ap-17, 0x1.411f4c1765114p-17, 0x1.389b474f179a9p-17, 0x1.3028034dbdf25p-17, 0x1.27c57c7790676p-17, 0x1.1f73aecf64a77p-17, 0x1.173295f3c281fp-17, 0x1.0f022d255f3fcp-17, 0x1.06e26f4803808p-17, 0x1.fda6adc1eba9cp-18, 0x1.eda9bc374ca66p-18, 0x1.ddcdfd90b1801p-18, 0x1.ce1364bf7cebap-18, 0x1.be79e4065ae45p-18, 0x1.af016d02fddd2p-18, 0x1.9fa9f0a76f877p-18, 0x1.90735f3e3257ap-18, 0x1.815da872d6691p-18, 0x1.7268bb51be683p-18, 0x1.63948649f314ap-18, 0x1.54e0f72fc48fcp-18, 0x1.464dfb3eee001p-18, 0x1.37db7f231ae49p-18, 0x1.29896ef4f761p-18, 0x1.1b57b63af8d8fp-18, 0x1.0d463fefd6f97p-18, 0x1.fea9ed0bf19dep-19, 0x1.e30787d4d9aa5p-19, 0x1.c7a5230099534p-19, 0x1.ac829058def15p-19, 0x1.919fa0a3ed203p-19, 0x1.76fc23ac5dce4p-19, 0x1.5c97e84beca2fp-19, 0x1.4272bc6933133p-19, 0x1.288c6d005b3fep-19, 0x1.0ee4c62347288p-19, 0x1.eaf726021bf53p-20, 0x1.b8a13bdb6295fp-20, 0x1.86c760c7523a6p-20, 0x1.5569261569abep-20, 0x1.24861b70b0a51p-20, 0x1.e83b9de26f391p-21, 0x1.885f9a46d4d6ap-21, 0x1.2977421b37182p-21, 0x1.970350c5afba6p-22, 0x1.b9f775416397dp-23, 0x1.26aee3c58c478p-25, -0x1.22e068f7b0109p-23, -0x1.45d868689f81dp-22, -0x1.f864b4e60744cp-22, -0x1.548b8a5d2d071p-21, -0x1.abf8c3b8fd3b1p-21, -0x1.013d845428257p-20, -0x1.2c09aeef11188p-20, -0x1.5661652634e39p-20, -0x1.80452b903ec1fp-20, -0x1.a9b587e7afd2bp-20, -0x1.d2b300edd9181p-20, -0x1.fb3e1e6252ae2p-20, -0x1.11abb489f15a8p-19, -0x1.257fb563e7139p-19, -0x1.391b571c02f52p-19, -0x1.4c7edf854d485p-19, -0x1.5faa94e59c094p-19, -0x1.729ebdecb311ep-19, -0x1.855ba1b62605dp-19, -0x1.97e187c885564p-19, -0x1.aa30b80e3925fp-19, -0x1.bc497acb93ab9p-19, -0x1.ce2c18a62b56cp-19, -0x1.dfd8daa209154p-19, -0x1.f1500a148b049p-19, -0x1.0148f85268b29p-18, -0x1.09cf6c268e8bcp-18, -0x1.123b85a74945fp-18, -0x1.1a8d6a1e76cffp-18, -0x1.22c53ef8486p-18, -0x1.2ae329c0d5512p-18, -0x1.32e750243cdbfp-18, -0x1.3ad1d7ec79842p-18, -0x1.42a2e7021cbbcp-18, -0x1.4a5aa36921804p-18, -0x1.51f9334190ef3p-18, -0x1.597ebcc4487ep-18, -0x1.60eb663e477b6p-18, -0x1.683f56139b4dbp-18, -0x1.6f7ab2bd552d5p-18, -0x1.769da2c851fd3p-18, -0x1.7da84cd2fafc2p-18, -0x1.849ad78bcb08ap-18, -0x1.8b7569b27bd46p-18, -0x1.92382a1336921p-18, -0x1.98e33f863ca03p-18, -0x1.9f76d0ef6f57dp-18, -0x1.a5f3053f92009p-18, -0x1.ac58036d43d55p-18, -0x1.b2a5f27828812p-18, -0x1.b8dcf966d32e9p-18, -0x1.befd3f4529c93p-18, -0x1.c506eb2327a5fp-18, -0x1.cafa2413ce496p-18, -0x1.d0d7112a8d52fp-18, -0x1.d69dd97f4aa3ap-18, -0x1.dc4ea4299fbb1p-18, -0x1.e1e9983d57037p-18, -0x1.e76edcccc9adep-18, -0x1.ecde98e6ad5bep-18, -0x1.f238f396b00e6p-18, -0x1.f77e13e209e88p-18, -0x1.fcae20c7a0a38p-18, -0x1.00e4a0a0b1702p-17, -0x1.0367ce20122ap-17, -0x1.05e0ac5492fep-17, -0x1.084f4eac8bfdp-17, -0x1.0ab3c891459f8p-17, -0x1.0d0e2d6553aaap-17, -0x1.0f5e908562d77p-17, -0x1.11a50546f21d2p-17, -0x1.13e19ef8f822fp-17, -0x1.161470e1d7f7bp-17, -0x1.183d8e40212d2p-17, }}, 
      {{-0x1.734408d376e2cp-3, -0x1.73e684fa8b7a2p-3, -0x1.74f438af5568fp-3, -0x1.766b83ca451cap-3, -0x1.784a2f5b6f241p-3, -0x1.7a8d7ab2078ddp-3, -0x1.7d3229beecda8p-3, -0x1.80349415d3da8p-3, -0x1.8390b3fcbb34cp-3, -0x1.8742351ee35c2p-3, -0x1.8b4482980aa24p-3, -0x1.8f92d4260c1d5p-3, -0x1.94283a62c0f6ep-3, -0x1.98ffa9f76a21dp-3, -0x1.9e1405c6027bcp-3, -0x1.a360280d11625p-3, -0x1.a8deea900550ep-3, -0x1.ae8b2dd1b0063p-3, -0x1.b45fdf70947bfp-3, -0x1.ba57ffb596695p-3, -0x1.c06ea665d0af3p-3, -0x1.c69f06e7ee803p-3, -0x1.cce473ccb32a3p-3, -0x1.d33a61c94bb9ep-3, -0x1.d99c6a3128065p-3, -0x1.e0064cfbd9683p-3, -0x1.e673f2628c44dp-3, -0x1.ece16c1f8e719p-3, -0x1.f34af65983192p-3, -0x1.f9acf842f82f7p-3, -0x1.0002023b286ffp-2, -0x1.03266c8aa4394p-2, -0x1.06422fd9509ep-2, -0x1.0953d6861068dp-2, -0x1.0c5a004d2ce08p-2, -0x1.0f5361fdaef35p-2, -0x1.123ec51e8a4d5p-2, -0x1.151b0785bc27p-2, -0x1.17e71ae35db99p-2, -0x1.1aa204427f9fcp-2, -0x1.1d4adb817539cp-2, -0x1.1fe0cac326056p-2, -0x1.22630ddac4516p-2, -0x1.24d0f1b33bf32p-2, -0x1.2729d3b380192p-2, -0x1.296d2120d2262p-2, -0x1.2b9a567fee30ap-2, -0x1.2db0fef608039p-2, -0x1.2fb0b3aa54db1p-2, -0x1.31991b28da257p-2, -0x1.3369e8c717b23p-2, -0x1.3522dc0b1caefp-2, -0x1.36c3c01572c22p-2, -0x1.384c6b0e4f6afp-2, -0x1.39bcbd96597d8p-2, -0x1.3b14a23b47587p-2, -0x1.3c540cf096eacp-2, -0x1.3d7afa8c8085ep-2, -0x1.3e8970494f263p-2, -0x1.3f7f7b4b2bd2bp-2, -0x1.405d302a70c1ap-2, -0x1.4122aa8286e33p-2, -0x1.41d00c8545799p-2, -0x1.42657e92d6d04p-2, -0x1.42e32ed607b0fp-2, -0x1.434950e4f706ap-2, -0x1.43981d6607571p-2, -0x1.43cfd1b8fe47ap-2, -0x1.43f0afa42dac2p-2, -0x1.43fafd05898acp-2, -0x1.43ef03878a16dp-2, -0x1.43cd1059b27fcp-2, -0x1.439573ec9ce85p-2, -0x1.434881b163f21p-2, -0x1.42e68fdc455b9p-2, -0x1.426ff72a584efp-2, -0x1.41e512aa37b6fp-2, -0x1.41463f8772dcfp-2, -0x1.4093dcd8ac8f8p-2, -0x1.3fce4b703b859p-2, -0x1.3ef5edaf3670bp-2, -0x1.3e0b275abcaf7p-2, -0x1.3d0e5d736d8d5p-2, -0x1.3bfff60ee2852p-2, -0x1.3ae0583316896p-2, -0x1.39afebb39f7d6p-2, -0x1.386f19109d49dp-2, -0x1.371e495749e07p-2, -0x1.35bde6040e7a1p-2, -0x1.344e58e60dc8cp-2, -0x1.32d00c040a0cbp-2, -0x1.314369829817bp-2, -0x1.2fa8db8b8a23p-2, -0x1.2e00cc368312fp-2, -0x1.2c4ba572a2528p-2, -0x1.2a89d0f13bf76p-2, -0x1.28bbb8118d587p-2, -0x1.26e1c3cd60743p-2, -0x1.24fc5ca695cd4p-2, -0x1.230bea958bef1p-2, -0x1.2110d4f852247p-2, -0x1.1f0b8282a6cep-2, -0x1.1cfc592eb499cp-2, -0x1.1ae3be2e863eep-2, -0x1.18c215de2c586p-2, -0x1.1697c3b68bb29p-2, -0x1.14652a40d246ep-2, -0x1.122aab0a87088p-2, -0x1.0fe8a69a37237p-2, -0x1.0d9f7c64b45edp-2, -0x1.0b4f8ac2e6d48p-2, -0x1.08f92ee827e0bp-2, -0x1.069cc4d9287d2p-2, -0x1.043aa76358789p-2, -0x1.01d33014d361bp-2, -0x1.fecd6e6992107p-3, -0x1.f9eb2778c0833p-3, -0x1.f50036a02d2acp-3, -0x1.f00d44731f3f3p-3, -0x1.eb12f6c3b9e92p-3, -0x1.e611f098638afp-3, -0x1.e10ad2220ff9fp-3, -0x1.dbfe38b35f955p-3, -0x1.d6ecbeb88fb6p-3, -0x1.d1d6fbb03ab4dp-3, -0x1.ccbd8424e3216p-3, -0x1.c7a0e9a73c169p-3, -0x1.c281bac93bde5p-3, -0x1.bd608319e3c8bp-3, -0x1.b83dcb21c43f9p-3, -0x1.b31a18602c5ffp-3, -0x1.adf5ed490fa7ep-3, -0x1.a8d1c94393a5cp-3, -0x1.a3ae28a93f80ap-3, -0x1.9e8b84c5d1bfbp-3, -0x1.996a53d7ac7b1p-3, -0x1.944b0910e1a41p-3, -0x1.8f2e1498ca477p-3, -0x1.8a13e38e3195bp-3, -0x1.84fce00a0842fp-3, -0x1.7fe971229f5bep-3, -0x1.7ad9faef62a5ep-3, -0x1.75cede8d0f062p-3, -0x1.70c87a22624aap-3, -0x1.6bc728e53b8bp-3, -0x1.66cb43202ec3bp-3, -0x1.61d51e38803bfp-3, -0x1.5ce50cb48270ap-3, -0x1.57fb5e4259265p-3, -0x1.53185fbf19b8bp-3, -0x1.4e3c5b3e3e187p-3, -0x1.496798117507p-3, -0x1.449a5ad0b52bp-3, -0x1.3fd4e562a73a8p-3, -0x1.3b1777054e982p-3, -0x1.36624c56fa11cp-3, -0x1.31b59f5f6f8dap-3, -0x1.2d11a79952a6ep-3, -0x1.287699fbc3959p-3, -0x1.23e4a9042d961p-3, -0x1.1f5c04c048558p-3, -0x1.1adcdad83e4f3p-3, -0x1.16675698fc81ep-3, -0x1.11fba0fea9b9ep-3, -0x1.0d99e0bf383edp-3, -0x1.09423a5512c5bp-3, -0x1.04f4d009e90dbp-3, -0x1.00b1c2018d332p-3, -0x1.f8f25c89c534ap-4, -0x1.f0966199c22aap-4, -0x1.e84fc71b3aa1ap-4, -0x1.e01ebd02c5b18p-4, -0x1.d8036f679c39bp-4, -0x1.cffe0699d3f35p-4, -0x1.c80ea738ac1bbp-4, -0x1.c0357248c8868p-4, -0x1.b872854a63e4ap-4, -0x1.b0c5fa4f80488p-4, -0x1.a92fe811ff092p-4, -0x1.a1b06209a70e4p-4, -0x1.9a4778820b70fp-4, -0x1.92f538b0567ecp-4, -0x1.8bb9acc8fdddp-4, -0x1.8494dc153e61cp-4, -0x1.7d86cb087d882p-4, -0x1.768f7b5579a3bp-4, -0x1.6faeec034a394p-4, -0x1.68e5198230244p-4, -0x1.6231fdc02f8cap-4, -0x1.5b95903d7245ep-4, -0x1.550fc6206ff2cp-4, -0x1.4ea09249da58fp-4, -0x1.4847e56849244p-4, -0x1.4205ae0ba5ce5p-4, -0x1.3bd9d8b8558cep-4, -0x1.35c44ffa1d97p-4, -0x1.2fc4fc76c1beep-4, -0x1.29dbc5005c81p-4, -0x1.24088ea76b6d6p-4, -0x1.1e4b3ccc939d5p-4, -0x1.18a3b13218c17p-4, -0x1.1311cc0d0ad32p-4, -0x1.0d956c1623342p-4, -0x1.082e6e9a55ce8p-4, -0x1.02dcaf8b1336cp-4, -0x1.fb40131c763b6p-5, -0x1.f0f0ac1b7cb81p-5, -0x1.e6cada8de4026p-5, -0x1.dcce4cb321dc9p-5, -0x1.d2faaeacdc33fp-5, -0x1.c94faa9ba9b32p-5, -0x1.bfcce8bb32972p-5, -0x1.b6720f7daef7fp-5, -0x1.ad3ec3a6c3eb3p-5, -0x1.a432a865c036dp-5, -0x1.9b4d5f6f38929p-5, -0x1.928e8916053aep-5, -0x1.89f5c4639e5f1p-5, -0x1.8182af2fdf27ep-5, -0x1.7934e63826e56p-5, -0x1.710c0535e0207p-5, -0x1.6907a6f46e9ffp-5, -0x1.6127656682f7cp-5, -0x1.596ad9bad780dp-5, -0x1.51d19c7052dc1p-5, -0x1.4a5b45699d042p-5, -0x1.43076c00198f6p-5, -0x1.3bd5a71657abap-5, -0x1.34c58d29e9c0fp-5, -0x1.2dd6b464b97d2p-5, -0x1.2708b2adc7bf3p-5, -0x1.205b1db9661b2p-5, -0x1.19cd8b18ea50ap-5, -0x1.135f9049d5b88p-5, -0x1.0d10c2c47f16fp-5, -0x1.06e0b80a3822bp-5, -0x1.00cf05b2f1372p-5, -0x1.f5b682f4c6946p-6, -0x1.ea0a0299788c1p-6, -0x1.de97b6a5a5685p-6, -0x1.d35ecbfbc7c92p-6, -0x1.c85e7025b2cc7p-6, -0x1.bd95d16a438e3p-6, -0x1.b3041ee22b257p-6, -0x1.a8a8888bdaf81p-6, -0x1.9e823f5e9ea71p-6, -0x1.9490755ce3944p-6, -0x1.8ad25da5ab303p-6, -0x1.81472c853b0ffp-6, -0x1.77ee178507474p-6, -0x1.6ec6557ad59d2p-6, -0x1.65cf1e9729cb7p-6, -0x1.5d07ac72fce57p-6, -0x1.546f3a1cb7736p-6, -0x1.4c0504248630bp-6, -0x1.43c848a7fedd8p-6, -0x1.3bb8475d21cfbp-6, -0x1.33d4419cb624fp-6, -0x1.2c1b7a6c0c8e9p-6, -0x1.248d3686225fep-6, -0x1.1d28bc643ab09p-6, -0x1.15ed5445d7c26p-6, -0x1.0eda483830d02p-6, -0x1.07eee41d1c879p-6, -0x1.012a75b17739p-6, -0x1.f518992609761p-7, -0x1.e827748bab83p-7, -0x1.db80247276696p-7, -0x1.cf2153986be34p-7, -0x1.c309b0a301039p-7, -0x1.b737ee264c3dep-7, -0x1.abaac2ab594a3p-7, -0x1.a060e8b5b25e7p-7, -0x1.95591ec825c9p-7, -0x1.8a922768c0e0ep-7, -0x1.800ac9241c725p-7, -0x1.75c1ce8fe58cp-7, -0x1.6bb6064ccfb4bp-7, -0x1.61e64307c9226p-7, -0x1.58515b7a99c2bp-7, -0x1.4ef62a6be33b3p-7, -0x1.45d38eae954c8p-7, -0x1.3ce86b20c9a6ap-7, -0x1.3433a6aa1054p-7, -0x1.2bb42c394ad8ep-7, -0x1.2368eac1f681bp-7, -0x1.1b50d5390c4afp-7, -0x1.136ae291628c3p-7, -0x1.0bb60db7a04b7p-7, -0x1.0431558dca888p-7, -0x1.f9b779ccdaa68p-8, -0x1.eb6894febed31p-8, -0x1.dd7411f855d44p-8, -0x1.cfd80dc04886cp-8, -0x1.c292ad1046844p-8, -0x1.b5a21c47e0433p-8, -0x1.a9048f5ef24f1p-8, -0x1.9cb841d740c6ap-8, -0x1.90bb76adb87f6p-8, -0x1.850c784b1dcbap-8, -0x1.79a998745e146p-8, -0x1.6e91303a5c097p-8, -0x1.63c19fe94fb9dp-8, -0x1.59394ef7c9828p-8, -0x1.4ef6abf564339p-8, -0x1.44f82c7913019p-8, -0x1.3b3c4d0f29a82p-8, -0x1.31c191271694fp-8, -0x1.28868300d93c9p-8, -0x1.1f89b39a32e95p-8, -0x1.16c9ba9babe91p-8, -0x1.0e4536456658ap-8, -0x1.05facb5bbae44p-8, -0x1.fbd24a27440b8p-9, -0x1.ec1de9fe143c1p-9, -0x1.dcd5e5f1fc8bap-9, -0x1.cdf7ba237ea5ep-9, -0x1.bf80eef58c228p-9, -0x1.b16f18e532047p-9, -0x1.a3bfd861500c2p-9, -0x1.9670d9a22ff27p-9, -0x1.897fd480ebaa2p-9, -0x1.7cea8c4f1b1fep-9, -0x1.70aecfae1dc56p-9, -0x1.64ca78669ea8fp-9, -0x1.593b6b4005f91p-9, -0x1.4dff97d8085e2p-9, -0x1.4314f87a4b284p-9, -0x1.387991f82bf4ap-9, -0x1.2e2b73809274cp-9, -0x1.2428b677d94a5p-9, -0x1.1a6f7e4fff824p-9, -0x1.10fdf860fe17p-9, -0x1.07d25bc133f72p-9, -0x1.fdd5d23c9509fp-10, -0x1.ec8bd52c04e2ap-10, -0x1.dbc3671eae8f5p-10, -0x1.cb7941280afep-10, -0x1.bbaa2e543e5a4p-10, -0x1.ac530b5c2ba48p-10, -0x1.9d70c659e6dc8p-10, -0x1.8f005e7dd7efap-10, -0x1.80fee3c4507fp-10, -0x1.736976abda4b7p-10, -0x1.663d47ec42c7dp-10, -0x1.5977982e3fcaep-10, -0x1.4d15b7c3afa12p-10, -0x1.41150660eab63p-10, -0x1.3572f2d610bdap-10, -0x1.2a2cfac9bbe4fp-10, -0x1.1f40aa742c7ep-10, -0x1.14ab9c5b1c6c6p-10, -0x1.0a6b790e9e88bp-10, -0x1.007df6e670a24p-10, -0x1.edc1b380a821p-11, -0x1.db23e57dc846fp-11, -0x1.c91e4012f151dp-11, -0x1.b7ac991951fd6p-11, -0x1.a6cadf77814cep-11, -0x1.96751aa5bd85bp-11, -0x1.86a76a3419e24p-11, -0x1.775e0551a95edp-11, -0x1.68953a55cbcfdp-11, -0x1.5a496e4b1c747p-11, -0x1.4c771c7b9e7cap-11, -0x1.3f1ad5fedd76p-11, -0x1.32314149d57c7p-11, -0x1.25b719bfcbaeap-11, -0x1.19a92f455c836p-11, -0x1.0e0465d50f754p-11, -0x1.02c5b5153d1fep-11, -0x1.efd44fdf8aecp-12, -0x1.daddb85707325p-12, -0x1.c6a2040e91358p-12, -0x1.b31bb7ac300b5p-12, -0x1.a0457b3a94af7p-12, -0x1.8e1a19684c5d3p-12, -0x1.7c947ec9ffd5ap-12, -0x1.6bafb92054a3cp-12, -0x1.5b66f69ff9ac1p-12, -0x1.4bb5853d9ebp-12, -0x1.3c96d1fc504e4p-12, -0x1.2e06683f52e0cp-12, -0x1.1ffff11e9a23cp-12, -0x1.127f32be41a03p-12, -0x1.05800fa937644p-12, -0x1.f1fd0c5d00bbp-13, -0x1.d9ed5f83e3504p-13, -0x1.c2c980bda3375p-13, -0x1.ac8a0bdcbafa8p-13, -0x1.9727cf5fc2bb6p-13, -0x1.829bcb49bde4ep-13, -0x1.6edf2ffd6847ap-13, -0x1.5beb5d2072555p-13, -0x1.49b9e0820fa3cp-13, -0x1.38447507ca85bp-13, -0x1.2785019f42d7ap-13, -0x1.1775983507bf6p-13, -0x1.081074b0f8728p-13, -0x1.f29ff7ed2d65ep-14, -0x1.d65d75d811516p-14, -0x1.bb4ecb089cc81p-14, -0x1.a169ab9ed97bcp-14, -0x1.88a4161dd100ep-14, -0x1.70f4519eba74dp-14, -0x1.5a50ec0abb96p-14, -0x1.44b0b862641bep-14, -0x1.300acd08df7f2p-14, -0x1.1c56821de88f1p-14, -0x1.098b6fda564c2p-14, -0x1.ef42d9f4ffaa3p-15, -0x1.cd211a5ad0d03p-15, -0x1.aca23f1ef482bp-15, -0x1.8db75a534bdep-15, -0x1.7051eef9712bbp-15, -0x1.5463ee22e28fap-15, -0x1.39dfb423a186ap-15, -0x1.20b805d5227ddp-15, -0x1.08e00de6dee26p-15, -0x1.e496b479185e6p-16, -0x1.b9dbb2bf868dcp-16, -0x1.9177aff3fb936p-16, -0x1.6b53fcc4f2583p-16, -0x1.475a9c69cd5d5p-16, -0x1.25763ff2e2ba2p-16, -0x1.059241b152689p-16, -0x1.cf354177306b2p-17, -0x1.96f7f911decddp-17, -0x1.6247214d52bc4p-17, -0x1.30fe611631ad1p-17, -0x1.02fa86f66022bp-17, -0x1.b033022ae9p-18, -0x1.6074aadca475cp-18, -0x1.167a344b0e873p-18, -0x1.a40bb85f69b21p-19, -0x1.25b7c660d328dp-19, -0x1.6309fa4b8352bp-20, -0x1.1c0e539c96737p-21, 0x1.a3887abfbc5d2p-23, 0x1.ca5f572da3239p-21, 0x1.84fea8fda5012p-20, 0x1.0a509db1028aep-19, 0x1.4a69fee4d3984p-19, 0x1.8326910fae45dp-19, 0x1.b4de50230c7edp-19, 0x1.dfe631da631e1p-19, 0x1.02481df43ef4p-18, 0x1.1195ccdea3736p-18, 0x1.1e0258d223fb5p-18, 0x1.27b29cbde65e8p-18, 0x1.2eca2568aca2p-18, 0x1.336b3b48e6f7dp-18, 0x1.35b6ec01dd245p-18, 0x1.35cd13cae039dp-18, 0x1.33cc667f0a0ccp-18, 0x1.2fd27870d6d12p-18, 0x1.29fbc71235ff5p-18, 0x1.2263c1584b6cfp-18, 0x1.1924cfe33cb3fp-18, 0x1.0e585d0beca0dp-18, 0x1.0216dc9977211p-18, 0x1.e8efa6adf2697p-19, 0x1.cb23bcd9e051p-19, 0x1.aaf57525c1d39p-19, 0x1.888e961240fd6p-19, 0x1.641740b372bb9p-19, 0x1.3db5fe0c13625p-19, 0x1.158fcbcb8d038p-19, 0x1.d79051d0018dep-20, 0x1.8102439bab79p-20, 0x1.27b6b867877a3p-20, 0x1.97d88ab625fdfp-21, 0x1.b77b7ef3565f1p-22, 0x1.b8fe575e7a356p-25, -0x1.50862d02bdd66p-22, -0x1.6f52086087074p-21, -0x1.1c9c2e2220c04p-20, -0x1.82caf7e4a4cd3p-20, -0x1.ea0775ef0ad55p-20, -0x1.2912e7fe18eb7p-19, -0x1.5d7e17a6dde9fp-19, -0x1.923156948931cp-19, -0x1.c719a0f9c36a4p-19, -0x1.fc24da5e928fcp-19, -0x1.18a0e2db1261fp-18, -0x1.332ffecde5582p-18, -0x1.4db7f66d55e18p-18, -0x1.6831638943615p-18, -0x1.829540d3b25d1p-18, -0x1.9cdce670a1417p-18, -0x1.b70206a15e9e5p-18, -0x1.d0feaa886a85fp-18, -0x1.eacd2f0213ae9p-18, -0x1.023420ccfbda8p-17, -0x1.0ee56ecc7d054p-17, -0x1.1b782491e0c3ep-17, -0x1.27ea09397b588p-17, -0x1.34390694628b7p-17, -0x1.406327d4ac42cp-17, -0x1.4c66984b81a98p-17, -0x1.5841a22e60ac5p-17, -0x1.63f2ad67e3a48p-17, -0x1.6f783e6df623cp-17, -0x1.7ad0f52713108p-17, -0x1.85fb8bd35e617p-17, -0x1.90f6d601470c9p-17, -0x1.9bc1bf8895509p-17, -0x1.a65b4b8ebbafdp-17, -0x1.b0c2939651ba1p-17, -0x1.baf6c68fc4ae2p-17, -0x1.c4f727f9bb7bdp-17, -0x1.cec30effad9a2p-17, -0x1.d859e5a74989ap-17, -0x1.e1bb280087e24p-17, -0x1.eae6635fd4ecdp-17, -0x1.f3db359a3867cp-17, -0x1.fc994c4d80b63p-17, -0x1.0290321609f6bp-16, -0x1.06b824251a598p-16, -0x1.0ac468bd2c895p-16, -0x1.0eb4f2d3e59b1p-16, -0x1.1289bb9d77684p-16, -0x1.1642c23fcd289p-16, -0x1.19e00b8a64ebcp-16, -0x1.1d61a1afb6d63p-16, -0x1.20c793ffc3cc1p-16, -0x1.2411f6a68cffp-16, -0x1.2740e26d45b7bp-16, -0x1.2a54747bece35p-16, -0x1.2d4cce1ee7498p-16, -0x1.302a148dbb6e4p-16, -0x1.32ec70b52637dp-16, -0x1.35940f012636p-16, -0x1.38211f2a3aee1p-16, -0x1.3a93d4046ad51p-16, -0x1.3cec635074224p-16, -0x1.3f2b058e429cap-16, -0x1.414ff5d0739f3p-16, -0x1.435b7192efde1p-16, -0x1.454db892011bap-16, -0x1.47270ca33c3dcp-16, -0x1.48e7b19006d5ap-16, -0x1.4a8fecf2e0432p-16, -0x1.4c200614068cep-16, -0x1.4d9845c7bbb77p-16, -0x1.4ef8f64f695fbp-16, -0x1.5042633a4d713p-16, -0x1.5174d94917dc4p-16, -0x1.5290a65130633p-16, -0x1.539619227c46ep-16, -0x1.5485816cdc9cep-16, -0x1.555f2fa782761p-16, -0x1.562374f8baa35p-16, -0x1.56d2a31fdc64ep-16, -0x1.576d0c60372ebp-16, -0x1.57f3036c459a8p-16, -0x1.5864db517bfe1p-16, -0x1.58c2e76556f18p-16, -0x1.590d7b3418bcep-16, -0x1.5944ea6ebc4a5p-16, -0x1.596988db0a4afp-16, -0x1.597baa43d8dfp-16, -0x1.597ba26a8b2d6p-16, -0x1.5969c4f88855fp-16, -0x1.59466571a6aa3p-16, -0x1.5911d727074e9p-16, -0x1.58cc6d2be47fap-16, -0x1.58767a4a31008p-16, -0x1.581050f75fe3ep-16, -0x1.579a43492a2b1p-16, -0x1.5714a2ed2fc83p-16, -0x1.567fc11f76f3ep-16, -0x1.55dbeea12c5d3p-16, -0x1.55297bb119762p-16, -0x1.5468b80394002p-16, -0x1.5399f2bb7f6a7p-16, -0x1.52bd7a62aa9ecp-16, -0x1.51d39ce45399ep-16, -0x1.50dca785bb431p-16, -0x1.4fd8e6e290214p-16, -0x1.4ec8a6e71c342p-16, -0x1.4dac32cb5b8c7p-16, -0x1.4c83d50e00285p-16, -0x1.4b4fd770742c8p-16, -0x1.4a1082f4376e7p-16, -0x1.48c61fd5dcd4ap-16, -0x1.4770f58ad849fp-16, -0x1.46114abdf94cap-16, -0x1.44a7654d4d0f2p-16, -0x1.43338a46f6b3cp-16, -0x1.41b5fde76e61bp-16, -0x1.402f03973770ep-16, -0x1.3e9edde9bd4d4p-16, -0x1.3d05ce9c43ce7p-16, -0x1.3b6416947c0c2p-16, -0x1.39b9f5dec936ap-16, -0x1.3807abad6d761p-16, -0x1.364d765891d73p-16, -0x1.348b935dac17cp-16, -0x1.32c23f5ebd88ep-16, -0x1.30f1b622ebd25p-16, -0x1.2f1a329595519p-16, -0x1.2d3beec76967ep-16, -0x1.2b5723ed52558p-16, -0x1.296c0a6196e5cp-16, -0x1.277ad9a4107a2p-16, -0x1.2583c85b50509p-16, -0x1.23870c558337p-16, -0x1.2184da88f4b09p-16, -0x1.1f7d671505657p-16, -0x1.1d70e542ecf88p-16, -0x1.1b5f87870a89dp-16, -0x1.19497f829961bp-16, -0x1.172efe041c4e8p-16, -0x1.15103309a3de2p-16, -0x1.12ed4dc1694aep-16, -0x1.10c67c8bf447ap-16, -0x1.0e9becfd524a4p-16, -0x1.0c6dcbddd12c4p-16, -0x1.0a3c452d2edc6p-16, -0x1.080784234877ap-16, -0x1.05cfb3329c524p-16, -0x1.0394fc09c66e6p-16, -0x1.0157879521b29p-16, -0x1.fe2efc01ef9a1p-17, -0x1.f9aa0d75b7997p-17, -0x1.f52090e859c3fp-17, -0x1.f092d2482bf5p-17, -0x1.ec011c11f79dfp-17, -0x1.e76bb75676e52p-17, -0x1.e2d2ebbc8f587p-17, -0x1.de36ff87c85e6p-17, -0x1.d99837997134ep-17, -0x1.d4f6d776494ccp-17, -0x1.d053214b1281p-17, -0x1.cbad55efe6401p-17, -0x1.c705b4ed5c334p-17, -0x1.c25c7c8066e04p-17, -0x1.bdb1e99df6a4fp-17, -0x1.b90637f824b18p-17, -0x1.b459a200df94bp-17, -0x1.afac60efffad6p-17, -0x1.aafeacc6cbe3p-17, -0x1.a650bc533ef48p-17, -0x1.a1a2c5358a5bcp-17, -0x1.9cf4fbe333427p-17, -0x1.984793ac531a6p-17, -0x1.939abebeb8e56p-17, -0x1.8eeeae29c8b83p-17, -0x1.8a4391e402f0dp-17, -0x1.859998cdf02b9p-17, -0x1.80f0f0b6ed1fcp-17, -0x1.7c49c661000cp-17, -0x1.77a4458484584p-17, -0x1.730098d4afd41p-17, -0x1.6e5eea02f085ep-17, -0x1.69bf61c34b006p-17, -0x1.652227d06692fp-17, -0x1.608762ef0accep-17, -0x1.5bef38f1ab6aap-17, -0x1.5759cebd722a8p-17, -0x1.52c7484c626fcp-17, -0x1.4e37c8b29640cp-17, -0x1.49ab72208436bp-17, -0x1.452265e78bcc1p-17, -0x1.409cc47d7dd47p-17, -0x1.3c1aad7ff3852p-17, -0x1.379c3fb8495a8p-17, -0x1.3321991efb9adp-17, -0x1.2eaad6de91496p-17, -0x1.2a381557c9a0cp-17, -0x1.25c9702516b4dp-17, -0x1.215f021ccb9b3p-17, -0x1.1cf8e555f07eap-17, -0x1.1897332a8f3p-17, -0x1.143a043afdef8p-17, -0x1.0fe17071774fbp-17, -0x1.0b8d8f0542436p-17, -0x1.073e767d354d3p-17, -0x1.02f43cb32b828p-17, -0x1.fd5dedae6a7dcp-18, -0x1.f4dd72e53401ep-18, -0x1.ec6730d53495dp-18, -0x1.e3fb4e06393a2p-18, -0x1.db99efc4991bcp-18, -0x1.d3433a2589d26p-18, -0x1.caf7500c35507p-18, -0x1.c2b65332148e9p-18, -0x1.ba8064298397ap-18, -0x1.b255a263dc51dp-18, -0x1.aa362c37f8774p-18, -0x1.a2221ee51f45fp-18, -0x1.9a19969a1ded6p-18, -0x1.921cae79a9a34p-18, -0x1.8a2b809f5705bp-18, -0x1.8246262470a1ep-18, -0x1.7a6cb724518a8p-18, -0x1.729f4ac2859a7p-18, -0x1.6addf72eb7ab5p-18, -0x1.6328d1a906fb5p-18, -0x1.5b7fee870e206p-18, -0x1.53e36137df13ep-18, -0x1.4c533c48c9df8p-18, -0x1.44cf9168d8af5p-18, -0x1.3d58716eb8747p-18, -0x1.35edec5cafc09p-18, -0x1.2e90116332d25p-18, -0x1.273eeee6332a4p-18, -0x1.1ffa9280f58b6p-18, -0x1.18c3090925232p-18, -0x1.11985e944fcb9p-18, -0x1.0a7a9e7a78f08p-18, -0x1.0369d35a5daa5p-18, -0x1.f8cc0e39bde37p-19, -0x1.eade85f0f75c4p-19, -0x1.dd0b1eec82edbp-19, -0x1.cf51e8e89a9eep-19, -0x1.c1b2f251bf5aep-19, -0x1.b42e484c6ab4bp-19, -0x1.a6c3f6bb23eccp-19, -0x1.9974084580281p-19, -0x1.8c3e865e9fcc7p-19, -0x1.7f23794ba6ac8p-19, -0x1.7222e82c3e79cp-19, -0x1.653cd8fcdd91ap-19, -0x1.5871509f4e9fap-19, -0x1.4bc052deecf03p-19, -0x1.3f29e27762f06p-19, -0x1.32ae011abbbdep-19, -0x1.264caf77b38c3p-19, -0x1.1a05ed3c8b1a3p-19, -0x1.0dd9b921016a8p-19, -0x1.01c810e5ce9a1p-19, -0x1.eba1e2bf9ac7fp-20, -0x1.d3e8acf63b219p-20, -0x1.bc6476801b996p-20, -0x1.a51533ac7669p-20, -0x1.8dfad71701ab3p-20, -0x1.771551b027708p-20, -0x1.606492c798cecp-20, -0x1.49e88813e6db7p-20, -0x1.33a11dc12b6e2p-20, -0x1.1d8e3e76d4effp-20, -0x1.07afd35e04031p-20, -0x1.e40b885d8f33dp-21, -0x1.b91fee63322a7p-21, -0x1.8e9ca29f131f2p-21, -0x1.64816c2db5feap-21, -0x1.3ace0f8a5b2b7p-21, -0x1.11824e991045cp-21, -0x1.d13bd18041958p-22, -0x1.804135ceb9d7cp-22, -0x1.30143f3678619p-22, -0x1.c168bc5590b4fp-23, -0x1.2441fd20aba51p-23, -0x1.11661f412e29cp-24, 0x1.1454602817bacp-27, 0x1.53508c210d8bdp-24, 0x1.40773b0de81afp-23, 0x1.d5b377887bcb3p-23, 0x1.34af2aeb3e983p-22, 0x1.7dbc9be1eeca8p-22, 0x1.c602c34e6dd8ep-22, 0x1.06c12cb7389f1p-21, 0x1.2a1e0d00992b7p-21, 0x1.4d18621a6d2cap-21, 0x1.6fb08d433ceacp-21, 0x1.91e6f15332099p-21, 0x1.b3bbf2b2faf19p-21, 0x1.d52ff752b1731p-21, 0x1.f643669cc0b1fp-21, 0x1.0b7b54b761583p-20, 0x1.1ba51500a2555p-20, 0x1.2b9f29f22ed1ep-20, 0x1.3b69c9fdeb3ebp-20, 0x1.4b052c39d1d2ap-20, 0x1.5a7188590ae17p-20, 0x1.69af16a76f657p-20, 0x1.78be10051dfb9p-20, 0x1.879eade1cf4ecp-20, 0x1.96512a367904p-20, 0x1.a4d5bf7d237b7p-20, 0x1.b32ca8b2ed2b2p-20, 0x1.c1562153e152ap-20, 0x1.cf526552f615ep-20, 0x1.dd21b11767b97p-20, 0x1.eac44178b43aap-20, 0x1.f83a53b8b05efp-20, 0x1.02c212bfd78ep-19, 0x1.0950fa6cf4c13p-19, 0x1.0fca001a6208ep-19, 0x1.162d432d26e67p-19, 0x1.1c7ae3345fc17p-19, 0x1.22b2ffe7fcd0cp-19, 0x1.28d5b928eb083p-19, 0x1.2ee32eff38846p-19, 0x1.34db8197d4146p-19, 0x1.3abed141f806ap-19, 0x1.408d3e6ec13e5p-19, 0x1.4646e9ae52851p-19, 0x1.4bebf3b045876p-19, 0x1.517c7d3d5de49p-19, 0x1.56f8a738d257ap-19, 0x1.5c60929f5ea33p-19, 0x1.61b46086dbce2p-19, 0x1.66f4321983d7bp-19, 0x1.6c202896f48bfp-19, 0x1.713865518ac04p-19, 0x1.763d09ad31f4p-19, 0x1.7b2e371d56954p-19, 0x1.800c0f245a7fep-19, 0x1.84d6b3535a31p-19, 0x1.898e4547a6907p-19, 0x1.8e32e6a8d9cbep-19, 0x1.92c4b92581065p-19, 0x1.9743de75b18b3p-19, 0x1.9bb078596772fp-19, 0x1.a00aa896ddf03p-19, 0x1.a45290f830dffp-19, 0x1.a888534bf1838p-19, 0x1.acac1161e98d6p-19, 0x1.b0bded0cc8043p-19, 0x1.b4be081f49c43p-19, 0x1.b8ac84682211bp-19, 0x1.bc8983b52f7a1p-19, 0x1.c05527d1b6bbp-19, 0x1.c40f9285cc4d2p-19, 0x1.c7b8e59328bcap-19, 0x1.cb5142b6b4afdp-19, 0x1.ced8cba505a05p-19, 0x1.d24fa20b4da97p-19, 0x1.d5b5e78d3c81ep-19, 0x1.d90bbdc54e751p-19, 0x1.dc5146442536cp-19, 0x1.df86a28e8769ep-19, 0x1.e2abf41c87e0ep-19, 0x1.e5c15c56fbf16p-19, 0x1.e8c6fc9977e5p-19, 0x1.ebbcf63175a57p-19, 0x1.eea36a5d86f11p-19, 0x1.f17a7a4a80be1p-19, 0x1.f44247155480ep-19, 0x1.f6faf1c7b00ecp-19, 0x1.f9a49b5a3cecap-19, 0x1.fc3f64b239cd3p-19, 0x1.fecb6e9f98a52p-19, 0x1.00a46cee23639p-18, 0x1.01dbe3872d738p-18, 0x1.030c2b634d2f4p-18, 0x1.043554bef4de6p-18, 0x1.05576fcb76c76p-18, 0x1.06728cadea6eap-18, 0x1.0786bb7f36f6cp-18, 0x1.08940c4b91fffp-18, 0x1.099a8f1262d56p-18, 0x1.0a9a53c66066dp-18, 0x1.0b936a4ccf4e8p-18, 0x1.0c85e27d9724cp-18, 0x1.0d71cc22611bp-18, 0x1.0e5736f5f84d9p-18, 0x1.0f3632a51f0e5p-18, 0x1.100ecece863e8p-18, 0x1.10e11b021dc73p-18, 0x1.11ad26c03ebacp-18, 0x1.1273017a9439p-18, 0x1.1332ba9292dd6p-18, 0x1.13ec615acfbd4p-18, 0x1.14a00515a7652p-18, 0x1.154db4f57092fp-18, 0x1.15f5801b4988fp-18, 0x1.169775984d9cbp-18, 0x1.1733a46d65a87p-18, 0x1.17ca1b8a2afb7p-18, 0x1.185ae9cd6a35cp-18, 0x1.18e61e04d0d8bp-18, 0x1.196bc6ec6a221p-18, 0x1.19ebf32ef2586p-18, 0x1.1a66b1654381ep-18, 0x1.1adc10168b00fp-18, 0x1.1b4c1db8633adp-18, 0x1.1bb6e8ae14358p-18, 0x1.1c1c7f48a08fep-18, 0x1.1c7cefc6bbfeap-18, 0x1.1cd84853ef614p-18, 0x1.1d2e9709a032ep-18, 0x1.1d7fe9eed778ap-18, 0x1.1dcc4ef796d5fp-18, 0x1.1e13d404de06ap-18, 0x1.1e5686e4c15ap-18, 0x1.1e947551e6d7ep-18, 0x1.1ecdacf471728p-18, 0x1.1f023b60b5d96p-18, 0x1.1f322e17c68ep-18, 0x1.1f5d92869968fp-18, 0x1.1f847606e2f1dp-18, 0x1.1fa6e5df18641p-18, 0x1.1fc4ef41965b5p-18, 0x1.1fde9f4cd99b8p-18, 0x1.1ff4030bfb4bp-18, 0x1.20052775aa15p-18, 0x1.2012196cfa439p-18, 0x1.201ae5c0a458cp-18, 0x1.201f992b58ee7p-18, 0x1.20204053f293ap-18, 0x1.201ce7ccf462p-18, 0x1.20159c1498facp-18, 0x1.200a6994e9dfbp-18, 0x1.1ffb5ca3cb44p-18, 0x1.1fe88181f9cb8p-18, 0x1.1fd1e45c7a08dp-18, 0x1.1fb7914c3711bp-18, 0x1.1f99945525ff6p-18, 0x1.1f77f96710d96p-18, 0x1.1f52cc5d4da8dp-18, 0x1.1f2a18fe90ee2p-18, 0x1.1efdeafd56423p-18, 0x1.1ece4df78a276p-18, 0x1.1e9b4d76c03ap-18, 0x1.1e64f4ef65644p-18, 0x1.1e2b4fc1b72b5p-18, 0x1.1dee6939c8026p-18, 0x1.1dae4c8ec3a7p-18, 0x1.1d6b04e35573fp-18, 0x1.1d249d45fe453p-18, 0x1.1cdb20b07077bp-18, 0x1.1c8e9a08347d3p-18, 0x1.1c3f141e0ca4p-18, 0x1.1bec99ae437dp-18, 0x1.1b9735611ad3bp-18, 0x1.1b3ef1ca34121p-18, 0x1.1ae3d968c46c2p-18, 0x1.1a85f6a799c67p-18, 0x1.1a2553dd59d53p-18, 0x1.19c1fb4c2fad5p-18, 0x1.195bf721f4687p-18, 0x1.18f35178834e9p-18, 0x1.1888145568447p-18, 0x1.181a49a9d56b4p-18, 0x1.17a9fb532081ep-18, 0x1.1737331a4ebcep-18, 0x1.16c1fab47a851p-18, 0x1.164a5bc2bc68dp-18, 0x1.15d05fd233c16p-18, 0x1.1554105c24f6ep-18, 0x1.14d576c5c42d7p-18, 0x1.14549c60758bbp-18, 0x1.13d18a6a08077p-18, 0x1.134c4a0c85433p-18, 0x1.12c4e45e3c385p-18, 0x1.123b6261f4cecp-18, 0x1.11afcd06c2092p-18, 0x1.11222d285ba84p-18, 0x1.10928b8f1414dp-18, 0x1.1000f0efc199ep-18, 0x1.0f6d65ec099fcp-18, 0x1.0ed7f3125446dp-18, 0x1.0e40a0ddb276ap-18, 0x1.0da777b624324p-18, 0x1.0d0c7ff0928a9p-18, 0x1.0c6fc1cf07d29p-18, 0x1.0bd145808f579p-18, 0x1.0b3113218b8f4p-18, 0x1.0a8f32bb981dep-18, 0x1.09ebac4555aaep-18, 0x1.094687a2e1c84p-18, 0x1.089fcca5ef289p-18, 0x1.07f7830d8baffp-18, 0x1.074db2867fdb5p-18, 0x1.06a262ab1b28ep-18, 0x1.05f59b03973e8p-18, 0x1.05476305e048fp-18, 0x1.0497c215c1f2cp-18, 0x1.03e6bf856fb95p-18, 0x1.03346294df7b4p-18, 0x1.0280b27217012p-18, 0x1.01cbb63981e1cp-18, 0x1.011574f5dfa3bp-18, 0x1.005df5a05a389p-18, 0x1.ff4a7e40feb78p-19, 0x1.fdd6b098fd15ap-19, 0x1.fc608fd21ab3bp-19, 0x1.fae82953f0dcdp-19, 0x1.f96d8a63a750bp-19, 0x1.f7f0c023cd11p-19, 0x1.f671d79520695p-19, 0x1.f4f0dd9668e36p-19, 0x1.f36ddee4fab5ap-19, 0x1.f1e8e81ca0dbfp-19, 0x1.f06205b7f267fp-19, 0x1.eed944114e6b6p-19, 0x1.ed4eaf6182177p-19, 0x1.ebc253c06be04p-19, 0x1.ea343d259036fp-19, 0x1.e8a4776809f92p-19, 0x1.e7130e3ee0e94p-19, 0x1.e5800d4115c93p-19, 0x1.e3eb7fe60b45p-19, 0x1.e25571856b6eap-19, 0x1.e0bded5759e47p-19, 0x1.df24fe74a1efap-19, }}, 
      std::vector<double>(1000, 0.0), 
      {{-0x1.4cfb852046ea4p-7, -0x1.4c0e751485d34p-6, -0x1.efd14745b0f01p-6, -0x1.487d42d9fc574p-5, -0x1.976c8663df922p-5, -0x1.e46c84d771c49p-5, -0x1.17a12cd5ebb11p-4, -0x1.3be0e34a442ddp-4, -0x1.5ee62abab2b2ap-4, -0x1.80a8151345822p-4, -0x1.a12354102deabp-4, -0x1.c059835d1bd78p-4, -0x1.de507378def3bp-4, -0x1.fb117bcb54036p-4, -0x1.0b546c0135f7dp-3, -0x1.18928984ec47dp-3, -0x1.254b405571f4bp-3, -0x1.318762fef100dp-3, -0x1.3d50381f1ba5p-3, -0x1.48af4c991584cp-3, -0x1.53ae4c10de938p-3, -0x1.5e56df1f93a75p-3, -0x1.68b28eafbbbf1p-3, -0x1.72caabf556a74p-3, -0x1.7ca83c7dab49p-3, -0x1.8653e9dd9ec72p-3, -0x1.8fd5f49075cffp-3, -0x1.993629a478777p-3, -0x1.a27bdadd8b653p-3, -0x1.abadd8ffda79ap-3, -0x1.b4d26ffd7793p-3, -0x1.bdef64c9d2798p-3, -0x1.c709f49cacc4bp-3, -0x1.d026d5743ed19p-3, -0x1.d94a37ab5fbcbp-3, -0x1.e277c87cf3a9p-3, -0x1.ebb2b551e1b79p-3, -0x1.f4fdafba124f2p-3, -0x1.fe5af1f40b553p-3, -0x1.03e621f4ba1d6p-2, -0x1.08a980448ac88p-2, -0x1.0d780db496321p-2, -0x1.1252134f792b8p-2, -0x1.1737ac5d04a16p-2, -0x1.1c28c96a21433p-2, -0x1.21253353ed1f1p-2, -0x1.262c8e4fe84b8p-2, -0x1.2b3e5cebbb5c9p-2, -0x1.305a02ffd32f4p-2, -0x1.357ec890b7ca9p-2, -0x1.3aabdc9b9304ap-2, -0x1.3fe057cafb412p-2, -0x1.451b3f118eaf3p-2, -0x1.4a5b862874343p-2, -0x1.4fa011f03d39cp-2, -0x1.54e7bab3157e9p-2, -0x1.5a314e4788a2bp-2, -0x1.5f7b92137a09cp-2, -0x1.64c544ef3915ep-2, -0x1.6a0d20e8d8dfap-2, -0x1.6f51dce8387d8p-2, -0x1.74922e345325bp-2, -0x1.79ccc9da96999p-2, -0x1.7f0065f92f1c8p-2, -0x1.842bbaed4c001p-2, -0x1.894d846676b1ap-2, -0x1.8e6482603176dp-2, -0x1.936f7a0314598p-2, -0x1.986d366eb0ccep-2, -0x1.9d5c896d8503ap-2, -0x1.a23c4c144943ep-2, -0x1.a70b5f4ddfbffp-2, -0x1.abc8ac552d4b1p-2, -0x1.b073251e19543p-2, -0x1.b509c4aee9757p-2, -0x1.b98b8f6b1f429p-2, -0x1.bdf79351059b1p-2, -0x1.c24ce82af1dd8p-2, -0x1.c68aafb54afa9p-2, -0x1.cab015ba499f9p-2, -0x1.cebc50245e84fp-2, -0x1.d2ae9f081f9f6p-2, -0x1.d6864ca687638p-2, -0x1.da42ad684881p-2, -0x1.dde31fd2efae9p-2, -0x1.e1670c78732bfp-2, -0x1.e4cde5e1d3263p-2, -0x1.e81728754eeep-2, -0x1.eb425a58c0236p-2, -0x1.ee4f0b5083313p-2, -0x1.f13cd49b68aeap-2, -0x1.f40b58cc079c1p-2, -0x1.f6ba439fd4c23p-2, -0x1.f94949d44672dp-2, -0x1.fbb828fa5608ep-2, -0x1.fe06a7489d2a6p-2, -0x1.001a49b623c43p-1, -0x1.0120e22c89cdfp-1, -0x1.02170c8c45db9p-1, -0x1.02fcbc4c51b28p-1, -0x1.03d1e8bcee244p-1, -0x1.04968cee89f2cp-1, -0x1.054aa7988b3dep-1, -0x1.05ee3b0007c9cp-1, -0x1.06814cde75caep-1, -0x1.0703e64861c15p-1, -0x1.077613942dc85p-1, -0x1.07d7e440e407dp-1, -0x1.08296add22a7dp-1, -0x1.086abcee23b1dp-1, -0x1.089bf2d6e9aadp-1, -0x1.08bd27bf92009p-1, -0x1.08ce797cd1067p-1, -0x1.08d008779d399p-1, -0x1.08c1f7950923ap-1, -0x1.08a46c1e5009fp-1, -0x1.08778da9179b6p-1, -0x1.083b85ffe941p-1, -0x1.07f0810ae2305p-1, -0x1.0796acb8a09f5p-1, -0x1.072e38e76a95ep-1, -0x1.06b7574e94143p-1, -0x1.06323b6823acdp-1, -0x1.059f1a5ab8df5p-1, -0x1.04fe2ae3b3c1ep-1, -0x1.044fa541a17fdp-1, -0x1.0393c31eee1ccp-1, -0x1.02cabf7cdccebp-1, -0x1.01f4d69ec8e8ep-1, -0x1.011245f5b18bfp-1, -0x1.00234c0c1132dp-1, -0x1.fe5050e400796p-2, -0x1.fc423753536b3p-2, -0x1.fa1cce281c5e3p-2, -0x1.f7e099bc31af6p-2, -0x1.f58e1fdc1358ap-2, -0x1.f325e7a2635fcp-2, -0x1.f0a879541307dp-2, -0x1.ee165e3d3874ep-2, -0x1.eb70208e9de84p-2, -0x1.e8b64b3c0159bp-2, -0x1.e5e969db0da96p-2, -0x1.e30a088312413p-2, -0x1.e018b3ad713b6p-2, -0x1.dd15f816d3e2cp-2, -0x1.da0262a11a8e9p-2, -0x1.d6de80361267ap-2, -0x1.d3aaddaaf1f84p-2, -0x1.d06807a49a542p-2, -0x1.cd168a7c9e292p-2, -0x1.c9b6f2271785fp-2, -0x1.c649ca1942385p-2, -0x1.c2cf9d30e4e06p-2, -0x1.bf48f59c83724p-2, -0x1.bbb65cc45eaaep-2, -0x1.b8185b343eb51p-2, -0x1.b46f78860ac1cp-2, -0x1.b0bc3b4d2c41p-2, -0x1.acff2902bb89ep-2, -0x1.a938c5f27c184p-2, -0x1.a56995289c10ap-2, -0x1.a192186041986p-2, -0x1.9db2cff2de175p-2, -0x1.99cc3ac846f2p-2, -0x1.95ded647950edp-2, -0x1.91eb1e48c3ac2p-2, -0x1.8df18d07135cbp-2, -0x1.89f29b1429418p-2, -0x1.85eebf4bee74cp-2, -0x1.81e66ec922e62p-2, -0x1.7dda1cdaaff78p-2, -0x1.79ca3af9a8d3ep-2, -0x1.75b738bffff8p-2, -0x1.71a183dfed896p-2, -0x1.6d89881bfb7b2p-2, -0x1.696faf3fc27fep-2, -0x1.65546119446f3p-2, -0x1.61380372effe3p-2, -0x1.5d1afa0e3d852p-2, -0x1.58fda69ee9a92p-2, -0x1.54e068c6c831dp-2, -0x1.50c39e122720bp-2, -0x1.4ca7a1f4c6e04p-2, -0x1.488ccdc75a59ap-2, -0x1.447378c592753p-2, -0x1.405bf80cacaafp-2, -0x1.3c469e9a84322p-2, -0x1.3833bd4d1d74dp-2, -0x1.3423a2e2ae6b5p-2, -0x1.30169bfa178e5p-2, -0x1.2c0cf313d0742p-2, -0x1.2806f09343431p-2, -0x1.2404dac08f0d7p-2, -0x1.2006f5caaee4dp-2, -0x1.1c0d83ca06f64p-2, -0x1.1818c4c348bb2p-2, -0x1.1428f6aab93dcp-2, -0x1.103e5567c5362p-2, -0x1.0c591ad8ed8dep-2, -0x1.08797ed7fff97p-2, -0x1.049fb73e9ac6ep-2, -0x1.00cbf7eaf8ccdp-2, -0x1.f9fce58a00678p-3, -0x1.f26eaf8722085p-3, -0x1.eaeda9e425335p-3, -0x1.e37a2cec701edp-3, -0x1.dc148d2bf82e4p-3, -0x1.d4bd1b7b9ec7ap-3, -0x1.cd74250deb666p-3, -0x1.c639f37c20475p-3, -0x1.bf0eccd39e3f5p-3, -0x1.b7f2f3a39a5fp-3, -0x1.b0e6a70b158fep-3, -0x1.a9ea22c71547dp-3, -0x1.a2fd9f41180dap-3, -0x1.9c21519dc329bp-3, -0x1.95556bcbb629ap-3, -0x1.8e9a1c9297909p-3, -0x1.87ef8fa23a28bp-3, -0x1.8155eda1ef30bp-3, -0x1.7acd5c3fe85e4p-3, -0x1.7455fe40bed2fp-3, -0x1.6deff38f01fabp-3, -0x1.679b594adfed2p-3, -0x1.615849d9cceddp-3, -0x1.5b26dcf63c834p-3, -0x1.550727bf56295p-3, -0x1.4ef93cc8b10bcp-3, -0x1.48fd2c29ffec6p-3, -0x1.4313038ec16fp-3, -0x1.3d3ace45dfae6p-3, -0x1.377495513f1bap-3, -0x1.31c05f7542cebp-3, -0x1.2c1e314837552p-3, -0x1.268e0d41a783p-3, -0x1.210ff3c99dea3p-3, -0x1.1ba3e347c07eap-3, -0x1.1649d832555cp-3, -0x1.1101cd1d261ebp-3, -0x1.0bcbbac83c88cp-3, -0x1.06a7982e7f7c3p-3, -0x1.01955a94277f4p-3, -0x1.f929eb2a12102p-4, -0x1.ef4cb66570282p-4, -0x1.e592f7c4ff897p-4, -0x1.dbfc8d364fb1ep-4, -0x1.d28951c52dee5p-4, -0x1.c9391db66d079p-4, -0x1.c00bc6a26a157p-4, -0x1.b7011f8f146a4p-4, -0x1.ae18f9099f4acp-4, -0x1.a553213fc4d14p-4, -0x1.9caf6418a64cfp-4, -0x1.942d8b4d38df1p-4, -0x1.8bcd5e8051838p-4, -0x1.838ea35639791p-4, -0x1.7b711d8bdd81dp-4, -0x1.73748f0d8880cp-4, -0x1.6b98b80d32404p-4, -0x1.63dd57185c0c2p-4, -0x1.5c42292d7ed16p-4, -0x1.54c6e9d106e44p-4, -0x1.4d6b5321de4ep-4, -0x1.462f1ded88fa9p-4, -0x1.3f1201c3cd512p-4, -0x1.3813b509ed172p-4, -0x1.3133ed0d6bcc8p-4, -0x1.2a725e1667c9p-4, -0x1.23cebb7980d2cp-4, -0x1.1d48b7a95148bp-4, -0x1.16e00447746c1p-4, -0x1.10945235242afp-4, -0x1.0a6551a365f9ap-4, -0x1.0452b222c9e55p-4, -0x1.fcb84565835d6p-5, -0x1.f102a3a110032p-5, -0x1.e583db0b4617fp-5, -0x1.da3b46ebf4b9ep-5, -0x1.cf2841db0d74ep-5, -0x1.c44a25db32fp-5, -0x1.b9a04c738129cp-5, -0x1.af2a0ec88ab11p-5, -0x1.a4e6c5b4923e9p-5, -0x1.9ad5c9def9a37p-5, -0x1.90f673d2ff0b2p-5, -0x1.87481c15a4aa8p-5, -0x1.7dca1b3af9c0bp-5, -0x1.747bc9fa956a2p-5, -0x1.6b5c814363fd9p-5, -0x1.626b9a4ebfea9p-5, -0x1.59a86eb2df98dp-5, -0x1.5112587491f3p-5, -0x1.48a8b218520fcp-5, -0x1.406ad6b2b7984p-5, -0x1.385821f83ce4ep-5, -0x1.306ff04c6d742p-5, -0x1.28b19ed070c6ap-5, -0x1.211c8b70ffb23p-5, -0x1.19b014f3bc6eap-5, -0x1.126b9b03fa078p-5, -0x1.0b4e7e3ef65c4p-5, -0x1.0458203f83851p-5, -0x1.fb0fc752478e4p-6, -0x1.edba58653ef53p-6, -0x1.e0aebd6039f79p-6, -0x1.d3ebc23952d08p-6, -0x1.c7703546a5c3bp-6, -0x1.bb3ae74f7987cp-6, -0x1.af4aab9c7bf4fp-6, -0x1.a39e5807167c4p-6, -0x1.9834c507d9b29p-6, -0x1.8d0ccdc412f06p-6, -0x1.8225501a800f1p-6, -0x1.777d2caf2dee9p-6, -0x1.6d1346f696dffp-6, -0x1.62e6853fe14a1p-6, -0x1.58f5d0be7787bp-6, -0x1.4f401592d468fp-6, -0x1.45c442d293d16p-6, -0x1.3c814a8fdb283p-6, -0x1.337621e00cef1p-6, -0x1.2aa1c0e1d7afcp-6, -0x1.220322c2ac361p-6, -0x1.199945c3810d7p-6, -0x1.11632b3d131b7p-6, -0x1.095fd7a38029p-6, -0x1.018e528961587p-6, -0x1.f3db4d44a3acap-7, -0x1.e4f9c389f35ffp-7, -0x1.d67629d916739p-7, -0x1.c84ea8739e541p-7, -0x1.ba816de76142dp-7, -0x1.ad0caf0ebb13ap-7, -0x1.9feea70fd907cp-7, -0x1.9325975b4be2dp-7, -0x1.86afc7a9bfdb9p-7, -0x1.7a8b85f8cdbcfp-7, -0x1.6eb726874a8d3p-7, -0x1.633103d0a7f32p-7, -0x1.57f77e87cab03p-7, -0x1.4d08fd9128bc4p-7, -0x1.4263edfc46604p-7, -0x1.3806c2fc9efb2p-7, -0x1.2deff5e1eb39p-7, -0x1.241e060fefa9ep-7, -0x1.1a8f78f5be77dp-7, -0x1.1142da0464c6bp-7, -0x1.0836baa553ad9p-7, -0x1.fed3646009b89p-8, -0x1.edb4bbbef08a8p-8, -0x1.dd0ec18e61b86p-8, -0x1.ccdec78f77a2fp-8, -0x1.bd222b05fe731p-8, -0x1.add654a01ec75p-8, -0x1.9ef8b85d99325p-8, -0x1.9086d5762aadbp-8, -0x1.827e363f9b7bp-8, -0x1.74dc701313f6cp-8, -0x1.679f233222e39p-8, -0x1.5ac3faab15796p-8, -0x1.4e48ac3d17b98p-8, -0x1.422af83bc414cp-8, -0x1.3668a9725fc1p-8, -0x1.2aff9506dba9fp-8, -0x1.1fed9a5c5ceap-8, -0x1.1530a2f5aa85p-8, -0x1.0ac6a25740c8ep-8, -0x1.00ad95e911a52p-8, -0x1.edc709b096f72p-9, -0x1.daccfff1c76a5p-9, -0x1.c869434da6bc9p-9, -0x1.b6981b4ea817p-9, -0x1.a555e21414e5p-9, -0x1.949f04142b6a8p-9, -0x1.846fffddf03b1p-9, -0x1.74c565db29593p-9, -0x1.659bd81209655p-9, -0x1.56f009e7317e7p-9, -0x1.48bebfdf9d2e6p-9, -0x1.3b04cf6245b75p-9, -0x1.2dbf1e7a64219p-9, -0x1.20eaa3996e0b3p-9, -0x1.14846559a175p-9, -0x1.08897a403eefp-9, -0x1.f9ee1100b8a6ep-10, -0x1.e3948b7bc7f79p-10, -0x1.ce00eda165d6fp-10, -0x1.b92ddf1092b16p-10, -0x1.a51624debcfedp-10, -0x1.91b4a12084fd2p-10, -0x1.7f0452727407dp-10, -0x1.6d00538313377p-10, -0x1.5ba3da9d0c23ap-10, -0x1.4aea39332a66dp-10, -0x1.3acedb6c03102p-10, -0x1.2b4d47afb0a1cp-10, -0x1.1c611e355c658p-10, -0x1.0e0618928fbdep-10, -0x1.0038094b390cdp-10, -0x1.e5e5b6c4d27ecp-11, -0x1.cc6523d9a88cap-11, -0x1.b3e68f4667aap-11, -0x1.9c625cedc569bp-11, -0x1.85d11e4e4fec9p-11, -0x1.702b91ae472bdp-11, -0x1.5b6aa14ae2e3ap-11, -0x1.4787628978ccfp-11, -0x1.347b152a6b0dep-11, -0x1.223f227fef26fp-11, -0x1.10cd1ca4f2269p-11, -0x1.001ebdb81c80cp-11, -0x1.e05bce30f7c86p-12, -0x1.c1e9414938432p-12, -0x1.a4da2ff819572p-12, -0x1.89233f87803f5p-12, -0x1.6eb95dd7cd92p-12, -0x1.5591bff180e3bp-12, -0x1.3da1e09d20996p-12, -0x1.26df7efd4d784p-12, -0x1.11409d2f0f229p-12, -0x1.f976fddfd653ap-13, -0x1.d28d508cf0f9ep-13, -0x1.adb1b8654fbafp-13, -0x1.8ad236c2ac1adp-13, -0x1.69dd45c7ef8edp-13, -0x1.4ac1d5ddd7401p-13, -0x1.2d6f4b36b25adp-13, -0x1.11d57b5e20ba3p-13, -0x1.efc9559e81fa4p-14, -0x1.bf1b152d0d64fp-14, -0x1.91826bfa47d49p-14, -0x1.66e260789a31ap-14, -0x1.3f1ec47a45672p-14, -0x1.1a1c30bd8736bp-14, -0x1.ef80011241f62p-15, -0x1.afe09acd7269bp-15, -0x1.7527d5c4939bp-15, -0x1.3f24c4d023276p-15, -0x1.0da7de526a2bap-15, -0x1.c105e86b4dd58p-16, -0x1.6f1257f88876ep-16, -0x1.251dee1c072cfp-16, -0x1.c5a82c430852ap-17, -0x1.4fc569ba5068bp-17, -0x1.cfe867a30046bp-18, -0x1.1b33c513f2229p-18, -0x1.0081a8e61617ep-19, 0x1.09c03df732d79p-25, 0x1.b38e1585b04b5p-20, 0x1.8281e283cfcc5p-19, 0x1.00351ae5bd209p-18, 0x1.2ac12cd5b927p-18, 0x1.41de578b00bc1p-18, 0x1.467e037836836p-18, 0x1.398a01c297b4cp-18, 0x1.1be4bbed2cbf6p-18, 0x1.dcd2c609046c3p-19, 0x1.63d83a9f88662p-19, 0x1.9ce8cd06e866dp-20, 0x1.e347813c7c05bp-23, -0x1.56cede1d9461ep-20, -0x1.8cebe4a75d592p-19, -0x1.4278f189d9f6bp-18, -0x1.c90f3beaeaffdp-18, -0x1.2cc89cfebfc41p-17, -0x1.79ae876d00d2ep-17, -0x1.caeb3907cb982p-17, -0x1.1019a2887e386p-16, -0x1.3c9ef1fb4b4cbp-16, -0x1.6ae270b9cac8ap-16, -0x1.9ac2457558906p-16, -0x1.cc1dcf1baef14p-16, -0x1.fed59c7161732p-16, -0x1.1965b1ef056f1p-15, -0x1.33f0fdaa47dc8p-15, -0x1.4efea84775035p-15, -0x1.6a81309be086fp-15, -0x1.866b99be931f2p-15, -0x1.a2b16752fafd5p-15, -0x1.bf4699f47947fp-15, -0x1.dc1fabb1c2a95p-15, -0x1.f9318c9cf5de6p-15, -0x1.0b38cfb74aaadp-14, -0x1.19eadb1da60bap-14, -0x1.28aa079faea7cp-14, -0x1.3771a8dfba4f9p-14, -0x1.463d457ce9342p-14, -0x1.5508959121666p-14, -0x1.63cf813fe0d1ap-14, -0x1.728e1f443aa49p-14, -0x1.8140b391277fdp-14, -0x1.8fe3adf293542p-14, -0x1.9e73a8bc637a1p-14, -0x1.aced677dac759p-14, -0x1.bb4dd5bd97c55p-14, -0x1.c99205bef93dbp-14, -0x1.d7b72f4d5d20fp-14, -0x1.e5baae91767cap-14, -0x1.f39a02ec8ae5p-14, -0x1.00a966ec29408p-13, -0x1.077168e962c34p-13, -0x1.0e23f8a702e07p-13, -0x1.14c016d363698p-13, -0x1.1b44d311f647p-13, -0x1.21b14b7d33c69p-13, -0x1.2804ac2c113b9p-13, -0x1.2e3e2eba5a36bp-13, -0x1.345d19d40a0dfp-13, -0x1.3a60c0c4db8e5p-13, -0x1.40488309afc0dp-13, -0x1.4613cbe5c42a5p-13, -0x1.4bc211f8b3b4ep-13, -0x1.5152d6d974d1cp-13, -0x1.56c5a6b2bfe4ep-13, -0x1.5c1a17e31e703p-13, -0x1.614fca9e469cap-13, -0x1.6666689293b3cp-13, -0x1.6b5da49039c1bp-13, -0x1.70353a3155e31p-13, -0x1.74eced8759797p-13, -0x1.79848ac828cf3p-13, -0x1.7dfbe5ff6d316p-13, -0x1.8252dac103aa8p-13, -0x1.86894bddf18d9p-13, -0x1.8a9f231b374a2p-13, -0x1.8e9450eade4e5p-13, -0x1.9268cc270204p-13, -0x1.961c91ceb7fc8p-13, -0x1.99afa4c55d80ep-13, -0x1.9d220d935753cp-13, -0x1.a073da2898503p-13, -0x1.a3a51da17e1d4p-13, -0x1.a6b5f00c48cd1p-13, -0x1.a9a66e321f504p-13, -0x1.ac76b95f81fe7p-13, -0x1.af26f730a6b83p-13, -0x1.b1b7515dc6a03p-13, -0x1.b427f5895c1fcp-13, -0x1.b67915106d24p-13, -0x1.b8aae4db5aa91p-13, -0x1.babd9d311a2a4p-13, -0x1.bcb1798b752e5p-13, -0x1.be86b86cbb05cp-13, -0x1.c03d9b36870ecp-13, -0x1.c1d66601b59cfp-13, -0x1.c3515f7875505p-13, -0x1.c4aed0b048354p-13, -0x1.c5ef0506cc765p-13, -0x1.c71249fe35ca6p-13, -0x1.c818ef1c521bap-13, -0x1.c90345c91cb09p-13, -0x1.c9d1a12fa59c2p-13, -0x1.ca84561f3920bp-13, -0x1.cb1bbaee27361p-13, -0x1.cb98275d800d4p-13, -0x1.cbf9f47d7ad18p-13, -0x1.cc417c9330e1fp-13, -0x1.cc6f1afe6f8f8p-13, -0x1.cc832c21d9a15p-13, -0x1.cc7e0d4a5ccf3p-13, -0x1.cc601c987ab53p-13, -0x1.cc29b8ea0c46ep-13, -0x1.cbdb41c572f4p-13, -0x1.cb75174492dbp-13, -0x1.caf79a015131dp-13, -0x1.ca632b02314e5p-13, -0x1.c9b82ba876cb4p-13, -0x1.c8f6fd9e041f6p-13, -0x1.c82002c5224bdp-13, -0x1.c7339d274ff0fp-13, -0x1.c6322ee6bcfp-13, -0x1.c51c1a2e6df8cp-13, -0x1.c3f1c12448482p-13, -0x1.c2b385db0d309p-13, -0x1.c161ca4519fd7p-13, -0x1.bffcf027e97ep-13, -0x1.be85590fd01dp-13, -0x1.bcfb664494a48p-13, -0x1.bb5f78bdcbc29p-13, -0x1.b9b1f11907edbp-13, -0x1.b7f32f8efeac5p-13, -0x1.b62393ea1372p-13, -0x1.b4437d7d7634ep-13, -0x1.b2534b1bb3b26p-13, -0x1.b0535b0f41b5dp-13, -0x1.ae440b118e5d8p-13, -0x1.ac25b8443eb93p-13, -0x1.a9f8bf29395c1p-13, -0x1.a7bd7b9c8c83cp-13, -0x1.a57448cd6674dp-13, -0x1.a31d8138a15d2p-13, -0x1.a0b97ea239ca3p-13, -0x1.9e489a10b81f5p-13, -0x1.9bcb2bc76fe82p-13, -0x1.99418b41d3b0dp-13, -0x1.96ac0f2f2cd8cp-13, -0x1.940b0d6dd7ffap-13, -0x1.915edb07eb891p-13, -0x1.8ea7cc2f377e6p-13, -0x1.8be63439c63dap-13, -0x1.891a659ef1c73p-13, -0x1.8644b1f42460bp-13, -0x1.836569ea6bfc5p-13, -0x1.807cdd4b9defap-13, -0x1.7d8b5af8678e7p-13, -0x1.7a9130e5da5d5p-13, -0x1.778eac1c209acp-13, -0x1.748418b4534dcp-13, -0x1.7171c1d732692p-13, -0x1.6e57f1bbc91dfp-13, -0x1.6b36f1a65a3cdp-13, -0x1.680f09e73ffabp-13, -0x1.64e081da798d1p-13, -0x1.61ab9fe666e74p-13, -0x1.5e70a97bd9d79p-13, -0x1.5b2fe3158a6afp-13, -0x1.57e99037a0ee2p-13, -0x1.549df370181bbp-13, -0x1.514d4e5653b93p-13, -0x1.4df7e18b66d95p-13, -0x1.4a9decba696cfp-13, -0x1.473fae98f9f77p-13, -0x1.43dd64e76449fp-13, -0x1.40774c715f904p-13, -0x1.3d0da10ee67d8p-13, -0x1.39a09da4aa96bp-13, -0x1.36307c25530dap-13, -0x1.32bd75922195bp-13, -0x1.2f47c1fbfece4p-13, -0x1.2bcf9884d0887p-13, -0x1.28552f6063109p-13, -0x1.24d8bbd5f1e4fp-13, -0x1.215a7241436fcp-13, -0x1.1dda86141237ap-13, -0x1.1a5929d78c947p-13, -0x1.16d68f2da4a7p-13, -0x1.1352e6d306f38p-13, -0x1.0fce60a06070dp-13, -0x1.0c492b8bf85c7p-13, -0x1.08c375aba33ap-13, -0x1.053d6c36590d1p-13, -0x1.01b73b85f5e7ep-13, -0x1.fc621e32cb54p-14, -0x1.f556232bbcb49p-14, -0x1.ee4ad99268dbp-14, -0x1.e7409357554adp-14, -0x1.e037a0c3bbb76p-14, -0x1.d930507dc2e13p-14, -0x1.d22aef8c60faep-14, -0x1.cb27c95ae9637p-14, -0x1.c42727bdb533bp-14, -0x1.bd2952f656b42p-14, -0x1.b62e91b71345fp-14, -0x1.af372927d0655p-14, -0x1.a8435ce9ff104p-14, -0x1.a1536f1c9bb6ap-14, -0x1.9a67a060b0695p-14, -0x1.93802fde07219p-14, -0x1.8c9d5b46bf0c8p-14, -0x1.85bf5edbda132p-14, -0x1.7ee67571eec5dp-14, -0x1.7812d874ac8a7p-14, -0x1.7144bfec431ddp-14, -0x1.6a7c6280fac0ap-14, -0x1.63b9f5800f079p-14, -0x1.5cfdacdf32ad3p-14, -0x1.5647bb41c6139p-14, -0x1.4f9851fd0c86fp-14, -0x1.48efa11bdac17p-14, -0x1.424dd763cdf7p-14, -0x1.3bb322590f3e1p-14, -0x1.351fae42e1fedp-14, -0x1.2e93a62f920d4p-14, -0x1.280f33f9219ebp-14, -0x1.21928049c69b4p-14, -0x1.1b1db29f61a53p-14, -0x1.14b0f1504f5cfp-14, -0x1.0e4c618f8df7fp-14, -0x1.07f0277097b84p-14, -0x1.019c65ec2c71fp-14, -0x1.f6a27dc7f88b3p-15, -0x1.ea1da64e37e0ep-15, -0x1.ddaa84ebb7539p-15, -0x1.d149570b34702p-15, -0x1.c4fa580b47cbbp-15, -0x1.b8bdc144baabap-15, -0x1.ac93ca13b304ap-15, -0x1.a07ca7df4dc16p-15, -0x1.94788e21172bp-15, -0x1.8887ae6d31b2cp-15, -0x1.7caa387a6c294p-15, -0x1.70e05a29422cdp-15, -0x1.652a3f8c4e9cap-15, -0x1.598812eee9ab8p-15, -0x1.4df9fcdd60989p-15, -0x1.4280242c28eb2p-15, -0x1.371aadff9f78ep-15, -0x1.2bc9bdd2832ap-15, -0x1.208d757e25212p-15, -0x1.1565f54151062p-15, -0x1.0a535bc68ae6fp-15, -0x1.feab8c5855abbp-16, -0x1.e8daa015ff572p-16, -0x1.d33426f9ad878p-16, -0x1.bdb852478a65ap-16, -0x1.a867506254bc5p-16, -0x1.93414cd7284d4p-16, -0x1.7e46706b4508ep-16, -0x1.6976e129dd7b3p-16, -0x1.54d2c2707954ap-16, -0x1.405a34fbe757cp-16, -0x1.2c0d56f46c006p-16, -0x1.17ec43faed16ap-16, -0x1.03f715350ce19p-16, -0x1.e05bc2b2963a2p-17, -0x1.b9217976e3332p-17, -0x1.923f72b1465c6p-17, -0x1.6bb5cdc4b324ap-17, -0x1.4584a5953a31bp-17, -0x1.1fac109e532f9p-17, -0x1.f458421497379p-18, -0x1.aa09c992566e1p-18, -0x1.606ccb4ab85ep-18, -0x1.178152b6e6876p-18, -0x1.9e8ec6bd1b108p-19, -0x1.0f7df201d804dp-19, -0x1.03a01ef62eadap-20, 0x1.4f60ef5c4815ep-24, 0x1.2ac7102fdd7bdp-20, 0x1.1ee9b5daf9c67p-19, 0x1.a70de2388ca28p-19, 0x1.16e83622ebbd6p-18, 0x1.5998e03b14b83p-18, 0x1.9b992c2244e8p-18, 0x1.dce95cf514fd8p-18, 0x1.0ec4de0500cb2p-17, 0x1.2ebd4c6765cap-17, 0x1.4e5e245164852p-17, 0x1.6da793589f69p-17, 0x1.8c99c9e803002p-17, 0x1.ab34fb2fdbd01p-17, 0x1.c9795d11afe3fp-17, 0x1.e7672810225dcp-17, 0x1.027f4b9f8056fp-16, 0x1.111ff41a2bc2cp-16, 0x1.1f95ad7b551ebp-16, 0x1.2de098f6007cp-16, 0x1.3c00d8e5beeb8p-16, 0x1.49f690c77b423p-16, 0x1.57c1e530c3ea1p-16, 0x1.6562fbc918a27p-16, 0x1.72d9fb424b2e1p-16, 0x1.80270b514fb19p-16, 0x1.8d4a54a6eeceap-16, 0x1.9a4400e8d3facp-16, 0x1.a7143aaa9a652p-16, 0x1.b3bb2d6742583p-16, 0x1.c039057a293a5p-16, 0x1.cc8df01852fa9p-16, 0x1.d8ba1b4a916e1p-16, 0x1.e4bdb5e6e5846p-16, 0x1.f098ef894a9b2p-16, 0x1.fc4bf88e3c401p-16, 0x1.03eb810673d28p-15, 0x1.099d1ee88ade9p-15, 0x1.0f3aef2ab3bfcp-15, 0x1.14c50b5e556dep-15, 0x1.1a3b8d665bd6cp-15, 0x1.1f9e8f74bf335p-15, 0x1.24ee2c070b337p-15, 0x1.2a2a7de46e276p-15, 0x1.2f53a01acb99dp-15, 0x1.3469adfbbd9e7p-15, 0x1.396cc31a718adp-15, 0x1.3e5cfb48f3d99p-15, 0x1.433a7296169d8p-15, 0x1.4805454a70a72p-15, 0x1.4cbd8fe63eec4p-15, 0x1.51636f1effaefp-15, 0x1.55f6ffdd7c3f3p-15, 0x1.5a785f3afe87cp-15, 0x1.5ee7aa7f50016p-15, 0x1.6344ff1e4a665p-15, 0x1.67907ab64aa8bp-15, 0x1.6bca3b0da982dp-15, 0x1.6ff25e10c4246p-15, 0x1.740901cff4a98p-15, 0x1.780e447d79a2ep-15, 0x1.7c02446ba7796p-15, 0x1.7fe5200abdf2cp-15, 0x1.83b6f5e78fc1dp-15, 0x1.8777e4a9270b3p-15, 0x1.8b280b0f14b08p-15, 0x1.8ec787efd64e8p-15, 0x1.92567a36dd799p-15, 0x1.95d500e309e8cp-15, 0x1.99433b051875dp-15, 0x1.9ca147bd91d9ap-15, 0x1.9fef463b82cffp-15, 0x1.a32d55bae2cd5p-15, 0x1.a65b958341bp-15, 0x1.a97a24e5b0007p-15, 0x1.ac89233b8cb27p-15, 0x1.af88afe53d487p-15, 0x1.b278ea48c2a82p-15, 0x1.b559f1cfdbb8ap-15, 0x1.b82be5e76288ep-15, 0x1.baeee5fd5b1d2p-15, 0x1.bda311801e247p-15, 0x1.c04887dca6773p-15, 0x1.c2df687d41a8ep-15, 0x1.c567d2c9060b4p-15, 0x1.c7e1e62222556p-15, 0x1.ca4dc1e4892afp-15, 0x1.ccab85652a3b5p-15, 0x1.cefb4ff098bd5p-15, 0x1.d13d40ca121d7p-15, 0x1.d371772aa17efp-15, 0x1.d598123f8786fp-15, 0x1.d7b1312986378p-15, 0x1.d9bcf2fbdccf3p-15, 0x1.dbbb76bbd64bp-15, 0x1.ddacdb5ef5bf6p-15, 0x1.df913fca6525dp-15, 0x1.e168c2d1d3b0fp-15, 0x1.e33383372d057p-15, 0x1.e4f19fa9745p-15, 0x1.e6a336c3bb193p-15, 0x1.e848670c56ca3p-15, 0x1.e9e14ef41e7acp-15, 0x1.eb6e0cd627edep-15, 0x1.eceebef61b8cp-15, 0x1.ee63837ff66aep-15, 0x1.efcc7887aad39p-15, 0x1.f129bc07d9d6cp-15, 0x1.f27b6be104226p-15, 0x1.f3c1a5d9afd62p-15, 0x1.f4fc879d1972p-15, 0x1.f62c2ebac98d9p-15, 0x1.f750b8a6126b3p-15, 0x1.f86a42b501c0bp-15, 0x1.f978ea206be2dp-15, 0x1.fa7ccc02e9717p-15, 0x1.fb760558c3e33p-15, 0x1.fc64b2ff16806p-15, 0x1.fd48f1b34747dp-15, 0x1.fe22de1248b32p-15, 0x1.fef29498dd166p-15, 0x1.ffb831a2b7f7fp-15, 0x1.0039e8b4eab97p-14, 0x1.0092c8033d77dp-14, 0x1.00e6c4b72a424p-14, 0x1.0135ecba387ffp-14, 0x1.01804de45cad7p-14, 0x1.01c5f5fbab9f2p-14, 0x1.0206f2b462403p-14, 0x1.024351b0a852dp-14, 0x1.027b2080488fap-14, 0x1.02ae6ca07843p-14, 0x1.02dd437c05c76p-14, 0x1.0307b26ae1a03p-14, 0x1.032dc6b2260a6p-14, 0x1.034f8d83ddb3bp-14, 0x1.036d13fecc9a9p-14, 0x1.0386672e7c205p-14, 0x1.039b940aea265p-14, 0x1.03aca778bebdp-14, 0x1.03b9ae48ebf17p-14, 0x1.03c2b53890141p-14, 0x1.03c7c8f0f38f5p-14, 0x1.03c8f6076904bp-14, 0x1.03c648fd3d16bp-14, 0x1.03bfce3f959f1p-14, 0x1.03b592277462fp-14, 0x1.03a7a0f98a93bp-14, 0x1.039606e635912p-14, 0x1.0380d0095c24ap-14, 0x1.0368086a5f315p-14, 0x1.034bbbfc24df6p-14, 0x1.032bf69d19267p-14, 0x1.0308c416efd53p-14, 0x1.02e2301e892fdp-14, 0x1.02b846542c4dbp-14, 0x1.028b1243731a8p-14, 0x1.025a9f631674ap-14, 0x1.0226f9150aa39p-14, 0x1.01f02aa66d25fp-14, 0x1.01b63f4f5e812p-14, 0x1.0179423332b66p-14, 0x1.01393e6047d4p-14, 0x1.00f63ed035e08p-14, 0x1.00b04e67b0f32p-14, 0x1.006777f656f16p-14, 0x1.001bc636e22dbp-14, 0x1.ff9a879e75c19p-15, 0x1.fef7f6a0b399ap-15, 0x1.fe4fee6c92ffdp-15, 0x1.fda283d05439dp-15, 0x1.fcefcb706d852p-15, 0x1.fc37d9c7baa68p-15, 0x1.fb7ac327933ffp-15, 0x1.fab89bb765375p-15, 0x1.f9f1777512becp-15, 0x1.f9256a34fd807p-15, 0x1.f85487a211c98p-15, 0x1.f77ee33dd8ea1p-15, 0x1.f6a490606c3cfp-15, 0x1.f5c5a238bf033p-15, 0x1.f4e22bcca25b3p-15, 0x1.f3fa3ff8c2022p-15, 0x1.f30df170e5e6bp-15, 0x1.f21d52bf99e3cp-15, 0x1.f1287646c28d1p-15, 0x1.f02f6e3fa181dp-15, 0x1.ef324cbacc6bp-15, 0x1.ee3123a038267p-15, 0x1.ed2c04afb7996p-15, 0x1.ec230180a92eap-15, 0x1.eb162b8268546p-15, 0x1.ea0593fc3b1c3p-15, 0x1.e8f14c0d643ecp-15, 0x1.e7d964ad5bac9p-15, 0x1.e6bdeeac2cf31p-15, 0x1.e59efab24ff77p-15, 0x1.e47c9940dd904p-15, 0x1.e356dab1937c9p-15, 0x1.e22dcf373cdf6p-15, 0x1.e10186ddc38adp-15, 0x1.dfd2118a44e61p-15, 0x1.de9f7efb39324p-15, 0x1.dd69dec89e6afp-15, 0x1.dc31406426072p-15, 0x1.daf5b31934f9dp-15, 0x1.d9b7460d6d52fp-15, 0x1.d8760840d079cp-15, 0x1.d732088d8cbbfp-15, 0x1.d5eb55a8312f9p-15, 0x1.d4a1fe200e9d8p-15, 0x1.d356105f693a2p-15, 0x1.d2079aab8bbd6p-15, 0x1.d0b6ab24f9779p-15, 0x1.cf634fc790e76p-15, 0x1.ce0d966afc7f8p-15, 0x1.ccb58cc26c088p-15, 0x1.cb5b405d36098p-15, 0x1.c9febea6c3f7ap-15, 0x1.c8a014e6c053cp-15, 0x1.c73f50417ca06p-15, 0x1.c5dc7db8058f5p-15, 0x1.c477aa283222ep-15, 0x1.c310e24cf4beep-15, 0x1.c1a832be8df57p-15, 0x1.c03da7f2c79d5p-15, 0x1.bed14e3d22377p-15, 0x1.bd6331cf064acp-15, 0x1.bbf35eb7bfb57p-15, 0x1.ba81e0e5046cp-15, 0x1.b90ec4231c777p-15, 0x1.b79a141cc5db1p-15, 0x1.b623dc5ba8979p-15, 0x1.b4ac2848afa8ep-15, 0x1.b333032c21e22p-15, 0x1.b1b8782daffbp-15, 0x1.b03c925487a8p-15, 0x1.aebf5c87e2471p-15, 0x1.ad40e18f226a8p-15, 0x1.abc12c1203683p-15, 0x1.aa404698972fep-15, 0x1.a8be3b8bc4c17p-15, 0x1.a73b153581d22p-15, 0x1.a5b6ddc0bfb43p-15, 0x1.a4319f39e6eb2p-15, 0x1.a2ab638ef007cp-15, 0x1.a124348f81337p-15, 0x1.9f9c1bed5ef51p-15, 0x1.9e13233c7c0bap-15, 0x1.9c8953f2fd083p-15, 0x1.9afeb769cffcbp-15, 0x1.997356dccc302p-15, 0x1.97e73b6a9bc85p-15, 0x1.965a6e153252cp-15, 0x1.94ccf7c21e315p-15, 0x1.933ee13a8614bp-15, 0x1.91b0332b4b92fp-15, 0x1.9020f6257346dp-15, 0x1.8e91329e6f081p-15, 0x1.8d00f0f014e98p-15, 0x1.8b703958cbe62p-15, 0x1.89df13fc1807dp-15, 0x1.884d88e2be12cp-15, 0x1.86bb9ffa967bdp-15, 0x1.8529611715997p-15, 0x1.8396d3f170bf3p-15, 0x1.82040028d3347p-15, 0x1.8070ed428e1f5p-15, 0x1.7edda2aa475b2p-15, 0x1.7d4a27b23f5dcp-15, 0x1.7bb6839396081p-15, 0x1.7a22bd6e3f7b1p-15, 0x1.788edc49610bdp-15, }}, 
      {{-0x1.f40f2fbcda23dp-3, -0x1.f54dcba4f1c0ap-3, -0x1.f74ecb1b5a639p-3, -0x1.f9fc9b4ec724ap-3, -0x1.fd3ef415cd1efp-3, -0x1.007e6e825f749p-2, -0x1.028f04bafca66p-2, -0x1.04c5dd0109da7p-2, -0x1.0718a2bfe012cp-2, -0x1.097e3148bbb6cp-2, -0x1.0beea2122898p-2, -0x1.0e634b336e7dep-2, -0x1.10d6b316cae64p-2, -0x1.13447d0d52319p-2, -0x1.15a951774d257p-2, -0x1.1802c37c1c869p-2, -0x1.1a4f35c3ccdabp-2, -0x1.1c8dbf3e1dd5fp-2, -0x1.1ebe10b5b349ep-2, -0x1.20e05bb3ffca6p-2, -0x1.22f53b0e5080bp-2, -0x1.24fd9d52eea4cp-2, -0x1.26fab133c3262p-2, -0x1.28edd3f8bdb5cp-2, -0x1.2ad881f5b41e3p-2, -0x1.2cbc48f4ca411p-2, -0x1.2e9abc7ea5e98p-2, -0x1.30756be4475e8p-2, -0x1.324dd9eacd479p-2, -0x1.342575f75336p-2, -0x1.35fd969820572p-2, -0x1.37d775485f58dp-2, -0x1.39b42b4c35fb4p-2, -0x1.3b94af845760ap-2, -0x1.3d79d519b325fp-2, -0x1.3f644ae3dae43p-2, -0x1.41549b6eaa77ap-2, -0x1.434b2d860777ap-2, -0x1.45484530ad377p-2, -0x1.474c050535f4dp-2, -0x1.49566fc6b4f74p-2, -0x1.4b676a3852cb2p-2, -0x1.4d7ebd19447eep-2, -0x1.4f9c173c60bcap-2, -0x1.51bf0fb04a53p-2, -0x1.53e727eebf735p-2, -0x1.5613ce0b13303p-2, -0x1.58445ed9281f7p-2, -0x1.5a782807790cdp-2, -0x1.5cae6a27c503cp-2, -0x1.5ee65aa2e959bp-2, -0x1.611f25954d3acp-2, -0x1.6357ef91ecdacp-2, -0x1.658fd74ac41e3p-2, -0x1.67c5f71dd1801p-2, -0x1.69f9668667509p-2, -0x1.6c293b72ddc63p-2, -0x1.6e548b7f0783cp-2, -0x1.707a6d1410248p-2, -0x1.7299f86e98ca7p-2, -0x1.74b2488c12a62p-2, -0x1.76c27c0073957p-2, -0x1.78c9b5b57a07fp-2, -0x1.7ac71d94b94cap-2, -0x1.7cb9e11db823ep-2, -0x1.7ea133e96a1e4p-2, -0x1.807c501c477abp-2, -0x1.824a76c8433fdp-2, -0x1.840af03fd7d51p-2, -0x1.85bd0c5b51a6dp-2, -0x1.876022b17fd28p-2, -0x1.88f392c4cd77p-2, -0x1.8a76c425d4552p-2, -0x1.8be9268c524b4p-2, -0x1.8d4a31e76ac3ep-2, -0x1.8e99666604ff4p-2, -0x1.8fd64c780d92cp-2, -0x1.910074c954b6bp-2, -0x1.92177836ae4f9p-2, -0x1.931af7bdf196cp-2, -0x1.940a9c69635d9p-2, -0x1.94e61737125f6p-2, -0x1.95ad20fc963aap-2, -0x1.965f7a47a44b3p-2, -0x1.96fceb3bd6511p-2, -0x1.9785436dfd0ccp-2, -0x1.97f859bd55049p-2, -0x1.98560c2adf6bep-2, -0x1.989e3faf258ap-2, -0x1.98d0e00e9e0b9p-2, -0x1.98eddfacef9e6p-2, -0x1.98f5375f3a2dep-2, -0x1.98e6e63d98e53p-2, -0x1.98c2f173fd105p-2, -0x1.988964128d681p-2, -0x1.983a4edd9f54ap-2, -0x1.97d5c81d737f3p-2, -0x1.975beb6dc1212p-2, -0x1.96ccd98d35735p-2, -0x1.9628b82cf31dcp-2, -0x1.956fb1c02733ap-2, -0x1.94a1f54bcb7c6p-2, -0x1.93bfb63698ad4p-2, -0x1.92c92c1949ffap-2, -0x1.91be928f2b8cp-2, -0x1.90a0290712325p-2, -0x1.8f6e3294bc9f5p-2, -0x1.8e28f5c2aaa0cp-2, -0x1.8cd0bc647b7ebp-2, -0x1.8b65d369d2789p-2, -0x1.89e88ab1d2fe4p-2, -0x1.885934df35f59p-2, -0x1.86b8272d045edp-2, -0x1.8505b943fed01p-2, -0x1.83424510b1c92p-2, -0x1.816e269a46b41p-2, -0x1.7f89bbda11229p-2, -0x1.7d956493dcad9p-2, -0x1.7b91822f08a9p-2, -0x1.797e77906bf46p-2, -0x1.775ca8f50d375p-2, -0x1.752c7bcdaf8c8p-2, -0x1.72ee569b37fep-2, -0x1.70a2a0cbf26e8p-2, -0x1.6e49c299b187bp-2, -0x1.6be424e8d2ebp-2, -0x1.697231282b99fp-2, -0x1.66f45131d3599p-2, -0x1.646aef2cdfc75p-2, -0x1.61d675700420bp-2, -0x1.5f374e651d383p-2, -0x1.5c8de46da8b52p-2, -0x1.59daa1c82962p-2, -0x1.571df07674938p-2, -0x1.54583a24ec9d6p-2, -0x1.5189e812a7741p-2, -0x1.4eb362fa7d15ap-2, -0x1.4bd512fd028f8p-2, -0x1.48ef5f8b6a98dp-2, -0x1.4602af534ca1ap-2, -0x1.430f682b51e69p-2, -0x1.4015ef00c5047p-2, -0x1.3d16a7c5ff356p-2, -0x1.3a11f561b80d8p-2, -0x1.3708399f2a863p-2, -0x1.33f9d51f18228p-2, -0x1.30e727499b3a7p-2, -0x1.2dd08e40d0561p-2, -0x1.2ab666d448f71p-2, -0x1.27990c754d179p-2, -0x1.2478d92bdfeeep-2, -0x1.2156258c8c623p-2, -0x1.1e3148aeea2dp-2, -0x1.1b0a9824e33b5p-2, -0x1.17e267f2ae37p-2, -0x1.14b90a8777af6p-2, -0x1.118ed0b6c073ep-2, -0x1.0e6409b25e384p-2, -0x1.0b390305251bcp-2, -0x1.080e088e30654p-2, -0x1.04e3647cc6f0bp-2, -0x1.01b95f4cd6e7bp-2, -0x1.fd207f8807db7p-3, -0x1.f6d095de85d6bp-3, -0x1.f0838841fa9cfp-3, -0x1.ea39d9df79434p-3, -0x1.e3f40a6aa1bp-3, -0x1.ddb2961ce8c47p-3, -0x1.d775f5b5cfc6ap-3, -0x1.d13e9e7bf9757p-3, -0x1.cb0d023f185f9p-3, -0x1.c4e18f5ab75f7p-3, -0x1.bebcb0b9c1d83p-3, -0x1.b89ecddacd76p-3, -0x1.b2884ad51e697p-3, -0x1.ac79885e54845p-3, -0x1.a672e3d0bf774p-3, -0x1.a074b7325082bp-3, -0x1.9a7f593c23727p-3, -0x1.94931d628f0fp-3, -0x1.8eb053ddc16aap-3, -0x1.88d749b2d12bap-3, -0x1.830848bd4d7fap-3, -0x1.7d4397b932569p-3, -0x1.77897a4d4e151p-3, -0x1.71da3115fe5bbp-3, -0x1.6c35f9b04bce5p-3, -0x1.669d0ec553426p-3, -0x1.610fa815fef92p-3, -0x1.5b8dfa8706384p-3, -0x1.5618382d236b5p-3, -0x1.50ae90598fc2ep-3, -0x1.4b512fa6a90bbp-3, -0x1.46004004cd2e9p-3, -0x1.40bbe8c75559fp-3, -0x1.3b844eb1bc46p-3, -0x1.36599404e2606p-3, -0x1.313bd88c638fdp-3, -0x1.2c2b39ac0e646p-3, -0x1.2727d26d61703p-3, -0x1.2231bb8d16b2bp-3, -0x1.1d490b88bc363p-3, -0x1.186dd6ac4bcb7p-3, -0x1.13a02f1fc2c61p-3, -0x1.0ee024f4ba997p-3, -0x1.0a2dc633f606ap-3, -0x1.05891eeae49d5p-3, -0x1.00f239391f333p-3, -0x1.f8d23abb906b1p-4, -0x1.efdba389cba5ap-4, -0x1.e700b62938f2ep-4, -0x1.de417874af7e3p-4, -0x1.d59decefa73b7p-4, -0x1.cd1612e014d75p-4, -0x1.c4a9e66808157p-4, -0x1.bc59609f0ad94p-4, -0x1.b42477ab34895p-4, -0x1.ac0b1ed9f714fp-4, -0x1.a40d46b89b0c2p-4, -0x1.9c2add2c7397dp-4, -0x1.9463cd8ab8e63p-4, -0x1.8cb800b013c6dp-4, -0x1.85275d17c8dfbp-4, -0x1.7db1c6f291e6bp-4, -0x1.7657203d18bd5p-4, -0x1.6f1748d6146e1p-4, -0x1.67f21e94072a4p-4, -0x1.60e77d5a9da26p-4, -0x1.59f73f2fa8b05p-4, -0x1.53213c4fb9963p-4, -0x1.4c654b4255925p-4, -0x1.45c340edc7ceep-4, -0x1.3f3af0aa8e2a9p-4, -0x1.38cc2c565d54ep-4, -0x1.3276c466c373fp-4, -0x1.2c3a87fb60892p-4, -0x1.261744efbb161p-4, -0x1.200cc7ecacf63p-4, -0x1.1a1adc796a02dp-4, -0x1.14414d0c21e94p-4, -0x1.0e7fe31a3b16fp-4, -0x1.08d667282742cp-4, -0x1.0344a0d8d59eep-4, -0x1.fb94adf980215p-5, -0x1.f0ce9f412354ep-5, -0x1.e636a036ddb66p-5, -0x1.dbcc3a39b19f4p-5, -0x1.d18ef5745dadcp-5, -0x1.c77e58f7a4054p-5, -0x1.bd99ead3ce48bp-5, -0x1.b3e1303177755p-5, -0x1.aa53ad699763fp-5, -0x1.a0f0e61cdd505p-5, -0x1.97b85d4a4bad7p-5, -0x1.8ea99565262a4p-5, -0x1.85c4106a2d53fp-5, -0x1.7d074ff42c0e3p-5, -0x1.7472d54fd57a5p-5, -0x1.6c06218f00505p-5, -0x1.63c0b59b351cep-5, -0x1.5ba212479f395p-5, -0x1.53a9b862553acp-5, -0x1.4bd728c5079ffp-5, -0x1.4429e46516ccp-5, -0x1.3ca16c630cc9p-5, -0x1.353d42197e574p-5, -0x1.2dfce72b626aap-5, -0x1.26dfdd91d311p-5, -0x1.1fe5a7a941f6p-5, -0x1.190dc83e278d6p-5, -0x1.1257c29924cc5p-5, -0x1.0bc31a8aa8afcp-5, -0x1.054f54760ce47p-5, -0x1.fdf7eab874e85p-6, -0x1.f19105cba0fb9p-6, -0x1.e56906d9a26p-6, -0x1.d97efc0bb9896p-6, -0x1.cdd1f511f4fa8p-6, -0x1.c2610333d7813p-6, -0x1.b72b39603260cp-6, -0x1.ac2fac3c1e4e3p-6, -0x1.a16d723139f23p-6, -0x1.96e3a37b07f1ap-6, -0x1.8c915a3396003p-6, -0x1.8275b25f63239p-6, -0x1.788fc9f88e4d5p-6, -0x1.6edec0f94eb36p-6, -0x1.6561b965c1294p-6, -0x1.5c17d75503715p-6, -0x1.530040f9b355cp-6, -0x1.4a1a1ea9cbe86p-6, -0x1.41649ae5e7f33p-6, -0x1.38dee25febb51p-6, -0x1.308824011fc5fp-6, -0x1.285f90efbe891p-6, -0x1.20645c93f64c2p-6, -0x1.1895bc9c7694ep-6, -0x1.10f2e9026841cp-6, -0x1.097b1c0cf67a9p-6, -0x1.022d92545d30cp-6, -0x1.f61315891d8c6p-7, -0x1.e81c8d3ec4264p-7, -0x1.da7612fca6b46p-7, -0x1.cd1e32a7c407dp-7, -0x1.c0137cd922eeap-7, -0x1.b35486defc90dp-7, -0x1.a6dfeabd4ece4p-7, -0x1.9ab4472da6c3ep-7, -0x1.8ed03f9e43d65p-7, -0x1.83327c30a58e4p-7, -0x1.77d9a9b76dc19p-7, -0x1.6cc479b3c6e32p-7, -0x1.61f1a25222d84p-7, -0x1.575fde6679bcp-7, -0x1.4d0ded6807281p-7, -0x1.42fa936c83e6cp-7, -0x1.39249922f89f9p-7, -0x1.2f8acbce1daccp-7, -0x1.262bfd3e3831cp-7, -0x1.1d0703caa3e0cp-7, -0x1.141aba4af8f7dp-7, -0x1.0b66000fcb5cep-7, -0x1.02e7b8db2d596p-7, -0x1.f53d99b18065dp-8, -0x1.e514512b0adc4p-8, -0x1.d55179eebc9bdp-8, -0x1.c5f2fe689c321p-8, -0x1.b6f6d192e8ebfp-8, -0x1.a85aeee3b3391p-8, -0x1.9a1d5a39d8d84p-8, -0x1.8c3c1fc99ad61p-8, -0x1.7eb55408ea154p-8, -0x1.7187139b3de68p-8, -0x1.64af833d174f3p-8, -0x1.582ccfaf5a17cp-8, -0x1.4bfd2da23151fp-8, -0x1.401ed99f9f25fp-8, -0x1.349017f616314p-8, -0x1.294f34a295a42p-8, -0x1.1e5a833ac31e9p-8, -0x1.13b05ed6c898bp-8, -0x1.094f29fb0e443p-8, -0x1.fe6a9d0380b5dp-9, -0x1.eac27b088b74cp-9, -0x1.d7a2de8948f6ep-9, -0x1.c508c62d9afa5p-9, -0x1.b2f13e939a63dp-9, -0x1.a15962223e176p-9, -0x1.903e58db37275p-9, -0x1.7f9d582d85193p-9, -0x1.6f73a2c7af88p-9, -0x1.5fbe8869f1b38p-9, -0x1.507b65b8b7b04p-9, -0x1.41a7a40f04831p-9, -0x1.3340b9510665cp-9, -0x1.254427be90064p-9, -0x1.17af7dc60b5f1p-9, -0x1.0a8055d751899p-9, -0x1.fb68ac6dc5a8ep-10, -0x1.e29261a2663c9p-10, -0x1.ca79461cb708fp-10, -0x1.b318eb4b7e3ffp-10, -0x1.9c6cf8e438d01p-10, -0x1.86712c8bedee1p-10, -0x1.7121598024657p-10, -0x1.5c796840f2832p-10, -0x1.4875563b6db39p-10, -0x1.351135748876fp-10, -0x1.22492c34e6e89p-10, -0x1.101974b5718ccp-10, -0x1.fcfcb9987a7a8p-11, -0x1.dae88b34c9a01p-11, -0x1.b9ef46758fbbep-11, -0x1.9a09f8e2fcb4dp-11, -0x1.7b31d4b7a4fa7p-11, -0x1.5d603042597c5p-11, -0x1.408e854997339p-11, -0x1.24b67070ae3a7p-11, -0x1.09d1b09ec3917p-11, -0x1.dfb44ccd2d25ep-12, -0x1.ad93a6e235296p-12, -0x1.7d35b3d1f4fecp-12, -0x1.4e8ef7d0e6c1dp-12, -0x1.219435d0230d6p-12, -0x1.ec74dcbf3737p-13, -0x1.98edbd2703cbfp-13, -0x1.487dfdda7a9b5p-13, -0x1.f62209212d3dp-14, -0x1.6125532477b8dp-14, -0x1.a3bcd68e09ef7p-15, -0x1.209aff8109106p-16, 0x1.e13b3fe7b2978p-17, 0x1.7661e11a0ed88p-15, 0x1.3519ed5092633p-14, 0x1.aa05a4fbb7f86p-14, 0x1.0d0b4aa7ee0cfp-13, 0x1.42b73b76ed19fp-13, 0x1.7617208a62b6ap-13, 0x1.a73b16ab07261p-13, 0x1.d632dd9de33d3p-13, 0x1.0186ecf70de0cp-12, 0x1.16ed8b5a3ff67p-12, 0x1.2b54a3a99f9c1p-12, 0x1.3ec364968f8f6p-12, 0x1.5140d2ab294bdp-12, 0x1.62d3c91f193e5p-12, 0x1.7382faa8cc5f4p-12, 0x1.8354f24c05117p-12, 0x1.9250142390f45p-12, 0x1.a07a9e29fe75bp-12, 0x1.addaa8fd4fc31p-12, 0x1.ba7628a04770ap-12, 0x1.c652ed37e531ep-12, 0x1.d176a3c6ca31bp-12, 0x1.dbe6d6e3d388dp-12, 0x1.e5a8ef6f94ecep-12, 0x1.eec2354596016p-12, 0x1.f737cfea16a59p-12, 0x1.ff0ec735f0799p-12, 0x1.032601ff9e89ep-11, 0x1.067a285f0dcf2p-11, 0x1.09862d1813b13p-11, 0x1.0c4c57fbb6417p-11, 0x1.0ecee29ba6e4cp-11, 0x1.110ff897a535bp-11, 0x1.1311b7e8db89fp-11, 0x1.14d6312c392f4p-11, 0x1.165f67eb47ff6p-11, 0x1.17af52e3fe523p-11, 0x1.18c7dc4edabc7p-11, 0x1.19aae223fa992p-11, 0x1.1a5a365ed3fe9p-11, 0x1.1ad79f40693d9p-11, 0x1.1b24d790baf2p-11, 0x1.1b438ededc262p-11, 0x1.1b3569bf6245ap-11, 0x1.1afc020a5610ep-11, 0x1.1a98e717347d3p-11, 0x1.1a0d9df87757p-11, 0x1.195ba1b580e84p-11, 0x1.18846383e784ep-11, 0x1.17894afee789ap-11, 0x1.166bb65e59f4ap-11, 0x1.152cfaac62746p-11, 0x1.13ce63fa43f0bp-11, 0x1.12513593c4753p-11, 0x1.10b6aa31ef33dp-11, 0x1.0efff42c90781p-11, 0x1.0d2e3daaa7374p-11, 0x1.0b42a8d2555f5p-11, 0x1.093e4ff74c29cp-11, 0x1.072245c8c8f8p-11, 0x1.04ef957dfa287p-11, 0x1.02a743022b66fp-11, 0x1.004a4b1fba909p-11, 0x1.fbb34754262ebp-12, 0x1.f6ac774e5f273p-12, 0x1.f181f6efa0a37p-12, 0x1.ec3589fda3a3bp-12, 0x1.e6c8e790cb1cdp-12, 0x1.e13dba5f31ad1p-12, 0x1.db95a10782a03p-12, 0x1.d5d22e5966cdbp-12, 0x1.cff4e99cc83aep-12, 0x1.c9ff4ed77359ep-12, 0x1.c3f2cf1189a4dp-12, 0x1.bdd0d09843e04p-12, 0x1.b79aaf3f3af6fp-12, 0x1.b151bca071fa9p-12, 0x1.aaf7405aa48a2p-12, 0x1.a48c784ee439cp-12, 0x1.9e1298dcac5e2p-12, 0x1.978acd1c570f1p-12, 0x1.90f63718717c3p-12, 0x1.8a55f0063f49fp-12, 0x1.83ab087bea1b1p-12, 0x1.7cf688a753aeep-12, 0x1.76397081cca8ep-12, 0x1.6f74b8041f1d8p-12, 0x1.68a94f5861aa5p-12, 0x1.61d81f0b5caaep-12, 0x1.5b02083c92d9cp-12, 0x1.5427e4cd588cdp-12, 0x1.4d4a878f12c53p-12, 0x1.466abc6ff7711p-12, 0x1.3f8948a74b86p-12, 0x1.38a6eadfdfa58p-12, 0x1.31c45b62b37dp-12, 0x1.2ae24c3fb9839p-12, 0x1.2401697659dd9p-12, 0x1.1d22591c64e17p-12, 0x1.1645bb84b8269p-12, 0x1.0f6c2b649ad07p-12, 0x1.08963df88c70ap-12, 0x1.01c483280f25ep-12, 0x1.f5ef0b5215348p-13, 0x1.e85f96439f70ap-13, 0x1.dadba8949a6dbp-13, 0x1.cd643a1a0f95ap-13, 0x1.bffa394e66d83p-13, 0x1.b29e8b8f7590ep-13, 0x1.a5520d5b81026p-13, 0x1.9815928d2b669p-13, 0x1.8ae9e6954e787p-13, 0x1.7dcfccb40d20fp-13, 0x1.70c8003061d58p-13, 0x1.63d3348ec579dp-13, 0x1.56f215c62e049p-13, 0x1.4a25487342accp-13, 0x1.3d6d6a0b7992ap-13, 0x1.30cb110dfb404p-13, 0x1.243ecd349cafp-13, 0x1.17c927a27302ep-13, 0x1.0b6aa312266bp-13, 0x1.fe477805428cfp-14, 0x1.e5e9d1c6e3a54p-14, 0x1.cdbd347dab8bp-14, 0x1.b5c275c824efep-14, 0x1.9dfa602122e57p-14, 0x1.8665b32e39fb8p-14, 0x1.6f05240e93703p-14, 0x1.57d95da6567f5p-14, 0x1.40e300e909c8cp-14, 0x1.2a22a521afee1p-14, 0x1.1398d839a9796p-14, 0x1.fa8c3dfb38c57p-15, 0x1.ce55eac2aa387p-15, 0x1.a28f9d8160fcdp-15, 0x1.773a2c40af88fp-15, 0x1.4c565cd816de5p-15, 0x1.21e4e5671293dp-15, 0x1.efccd997cdcfap-16, 0x1.9cb716338d213p-16, 0x1.4a89940f73939p-16, 0x1.f28a9585728dcp-17, 0x1.51d62dc4f92c5p-17, 0x1.65eeeb5568a71p-18, 0x1.5efbf4180063ap-21, -0x1.0a7fa936dddbfp-18, -0x1.1e9654b85b823p-17, -0x1.b612fe0df0364p-17, -0x1.25da9d26025b5p-16, -0x1.6fbe4f3a47f46p-16, -0x1.b8b474ba1fb9bp-16, -0x1.005e80b25cb6fp-15, -0x1.23ebfe4e2a47ap-15, -0x1.4702c05f5ac03p-15, -0x1.69a2dd43da6adp-15, -0x1.8bcc743ad6e9bp-15, -0x1.ad7fad197de4ep-15, -0x1.cebcb7fed7a96p-15, -0x1.ef83cd0c9b657p-15, -0x1.07ea96103113ap-14, -0x1.17d88e47b2165p-14, -0x1.278bf671f7c6ep-14, -0x1.3704f94e33cf1p-14, -0x1.4643c4f5b0772p-14, -0x1.55488abcb056fp-14, -0x1.64137f14f194dp-14, -0x1.72a4d96f65c31p-14, -0x1.80fcd42022458p-14, -0x1.8f1bac426cd1ep-14, -0x1.9d01a19de0f67p-14, -0x1.aaaef68b5ce19p-14, -0x1.b823efdb787fp-14, -0x1.c560d4bdaa9acp-14, -0x1.d265eea769b04p-14, -0x1.df33893cb984ap-14, -0x1.ebc9f2392fa63p-14, -0x1.f82979589a3f1p-14, -0x1.02293820f6627p-13, -0x1.08229538be0f6p-13, -0x1.0e00fe91f85e3p-13, -0x1.13c49fa12d5b1p-13, -0x1.196da4a72b116p-13, -0x1.1efc3aa7884e3p-13, -0x1.24708f5f00a6fp-13, -0x1.29cad13aaa7ap-13, -0x1.2f0b2f4ef349bp-13, -0x1.3431d94f289a7p-13, -0x1.393eff850551dp-13, -0x1.3e32d2c88c8cp-13, -0x1.430d84783581bp-13, -0x1.47cf467102b67p-13, -0x1.4c784b0774075p-13, -0x1.5108c4ffbe465p-13, -0x1.5580e787110d5p-13, -0x1.59e0e62c844b7p-13, -0x1.5e28f4da9a712p-13, -0x1.625947d091f89p-13, -0x1.6672139c1a025p-13, -0x1.6a738d1340977p-13, -0x1.6e5de94e9a91p-13, -0x1.72315da35a626p-13, -0x1.75ee1f9da5f08p-13, -0x1.799464fb4afcap-13, -0x1.7d2463a63d83cp-13, -0x1.809e51af9f071p-13, -0x1.8402654ac23a1p-13, -0x1.8750d4c83898ep-13, -0x1.8a89d69131f61p-13, -0x1.8dada122e8a44p-13, -0x1.90bc6b0a5eb0dp-13, -0x1.93b66adfc673p-13, -0x1.969bd7427a52bp-13, -0x1.996ce6d5085f7p-13, -0x1.9c29d039546c5p-13, -0x1.9ed2ca0cba2bep-13, -0x1.a1680ae462a33p-13, -0x1.a3e9c949bf71bp-13, -0x1.a6583bb7306e3p-13, -0x1.a8b39894741fap-13, -0x1.aafc1633d1c22p-13, -0x1.ad31eace8f273p-13, -0x1.af554c82395abp-13, -0x1.b166714d9a69cp-13, -0x1.b3658f0dfca09p-13, -0x1.b552db7c87e68p-13, -0x1.b72e8c2b4fd7p-13, -0x1.b8f8d68316e64p-13, -0x1.bab1efc0c7a95p-13, -0x1.bc5a0cf31a417p-13, -0x1.bdf162f844961p-13, -0x1.bf78267baa8fp-13, -0x1.c0ee8bf41002cp-13, -0x1.c254c7a13feebp-13, -0x1.c3ab0d8a44b34p-13, -0x1.c4f1917b73476p-13, -0x1.c62887048cf02p-13, -0x1.c7502177119bdp-13, -0x1.c86893e47738p-13, -0x1.c972111cc41b6p-13, -0x1.ca6ccbacd945dp-13, -0x1.cb58f5dce9a9ap-13, -0x1.cc36c1af324efp-13, -0x1.cd0660de70b64p-13, -0x1.cdc804dcc3842p-13, -0x1.ce7bded25e239p-13, -0x1.cf221f9c1ce1dp-13, -0x1.cfbaf7cab5c44p-13, -0x1.d04697a182af3p-13, -0x1.d0c52f15612adp-13, -0x1.d136edcbea6dcp-13, -0x1.d19c031a4037ap-13, -0x1.d1f49e044cf6ap-13, -0x1.d240ed3bd9978p-13, -0x1.d2811f1fda47ap-13, -0x1.d2b561bbc09dcp-13, -0x1.d2dde2c6916a9p-13, -0x1.d2facfa24e4c9p-13, -0x1.d30c555b62df7p-13, -0x1.d312a0a7f4311p-13, -0x1.d30ddde75e27p-13, -0x1.d2fe3921a8c87p-13, -0x1.d2e3de0715dap-13, -0x1.d2bef7efb5ae4p-13, -0x1.d28fb1daf7754p-13, -0x1.d256366f48dbfp-13, -0x1.d212aff9c1613p-13, -0x1.d1c5486db726ap-13, -0x1.d16e2964a0503p-13, -0x1.d10d7c1da26d9p-13, -0x1.d0a3697d832a2p-13, -0x1.d0301a0e8e2dcp-13, -0x1.cfb3b6002ad45p-13, -0x1.cf2e6526cb102p-13, -0x1.cea04efbe99d1p-13, -0x1.ce099a9dd8768p-13, -0x1.cd6a6ecfaa525p-13, -0x1.ccc2f1f93ba31p-13, -0x1.cc134a271b2cbp-13, -0x1.cb5b9d0ac00fbp-13, -0x1.ca9c0ffa3fecfp-13, -0x1.c9d4c7f096f4ap-13, -0x1.c905e98daa9ap-13, -0x1.c82f991652954p-13, -0x1.c751fa74704e9p-13, -0x1.c66d31372a50cp-13, -0x1.c5816092dfad2p-13, -0x1.c48eab6198926p-13, -0x1.c39534231769fp-13, -0x1.c2951cfcf5aa6p-13, -0x1.c18e87bafa4fep-13, -0x1.c08195cf16416p-13, -0x1.bf6e6851ee207p-13, -0x1.be552002db2fap-13, -0x1.bd35dd485a1c6p-13, -0x1.bc10c03047583p-13, -0x1.bae5e8703cc55p-13, -0x1.b9b57565bb25dp-13, -0x1.b87f86169b98ep-13, -0x1.b744393152427p-13, -0x1.b603ad0d5b47ap-13, -0x1.b4bdffab70d9cp-13, -0x1.b3734eb5fd9acp-13, -0x1.b223b7818b66fp-13, -0x1.b0cf570d12988p-13, -0x1.af764a027bbb6p-13, -0x1.ae18acb6e882fp-13, -0x1.acb69b2b30166p-13, -0x1.ab50310c32d52p-13, -0x1.a9e589b35222ap-13, -0x1.a876c026e918ap-13, -0x1.a703ef1ab502bp-13, -0x1.a58d30f045f5ap-13, -0x1.a4129fb7a73e9p-13, -0x1.a294552f94876p-13, -0x1.a1126ac6048cdp-13, -0x1.9f8cf998af535p-13, -0x1.9e041a758c412p-13, -0x1.9c77e5db439bbp-13, -0x1.9ae873f9a1d28p-13, -0x1.9955dcb22fb8p-13, -0x1.97c03798a7993p-13, -0x1.96279bf37c59bp-13, -0x1.948c20bc70c58p-13, -0x1.92eddca105749p-13, -0x1.914ce602f34a5p-13, -0x1.8fa952f8b8defp-13, -0x1.8e03394e244f6p-13, -0x1.8c5aae84d88b4p-13, -0x1.8aafc7d4e674ap-13, -0x1.89029a2d355b9p-13, -0x1.87533a3443bf4p-13, -0x1.85a1bc4886c7dp-13, -0x1.83ee3480f32f4p-13, -0x1.8238b6ad91dfdp-13, -0x1.808156581e7aep-13, -0x1.7ec826c47d576p-13, -0x1.7d0d3af14d6c8p-13, -0x1.7b50a5986a06p-13, -0x1.7992792f989acp-13, -0x1.77d2c7e8ef7b5p-13, -0x1.7611a3b392126p-13, -0x1.744f1e3c26e2fp-13, -0x1.728b48ed623e8p-13, -0x1.70c634f08aacfp-13, -0x1.6efff32e0f57fp-13, -0x1.6d38944e23de5p-13, -0x1.6b7028b943d53p-13, -0x1.69a6c098baca1p-13, -0x1.67dc6bd74cb27p-13, -0x1.66113a21bc208p-13, -0x1.64453ae74776bp-13, -0x1.62787d5a36513p-13, -0x1.60ab107078f36p-13, -0x1.5edd02e44080bp-13, -0x1.5d0e63346cdfcp-13, -0x1.5b3f3fa526c08p-13, -0x1.596fa6407520fp-13, -0x1.579fa4d6c3825p-13, -0x1.55cf48ff69eb7p-13, -0x1.53fea019580b8p-13, -0x1.522db74b84043p-13, -0x1.505c9b857d3aap-13, -0x1.4e8b597fe98adp-13, -0x1.4cb9fdbd20341p-13, -0x1.4ae89489b3a88p-13, -0x1.491729fcf8a88p-13, -0x1.4745c9f9845c9p-13, -0x1.4574802dcadc5p-13, -0x1.43a35814b84d9p-13, -0x1.41d25cf60e916p-13, -0x1.400199e6ef132p-13, -0x1.3e3119ca77829p-13, -0x1.3c60e75248ef1p-13, -0x1.3a910cff0c2fcp-13, -0x1.38c19520e27aap-13, -0x1.36f289d7fae92p-13, -0x1.3523f51522964p-13, -0x1.3355e09a23315p-13, -0x1.318855fa609e9p-13, -0x1.2fbb5e9b70493p-13, -0x1.2def03b5789d6p-13, -0x1.2c234e53b9f0fp-13, -0x1.2a58475500013p-13, -0x1.288df76c40798p-13, -0x1.26c46721036f4p-13, -0x1.24fb9ecfee17dp-13, -0x1.2333a6ab27a9fp-13, -0x1.216c86baf8cb4p-13, -0x1.1fa646de47dcbp-13, -0x1.1de0eecafcf5bp-13, -0x1.1c1c860e70adap-13, -0x1.1a59140dfd206p-13, -0x1.1896a007786d6p-13, -0x1.16d53111b2d1bp-13, -0x1.1514ce1cd621bp-13, -0x1.13557df2e215ep-13, -0x1.119747383d4f2p-13, -0x1.0fda306c0018ap-13, -0x1.0e1e3fe879b6fp-13, -0x1.0c637be3c16bdp-13, -0x1.0aa9ea700dd4cp-13, -0x1.08f1917c22ce8p-13, -0x1.073a76d3c4bfdp-13, -0x1.0584a0202a17p-13, -0x1.03d012e8787d2p-13, -0x1.021cd492261d3p-13, -0x1.006aea6166a0cp-13, -0x1.fd74b2f31386cp-14, -0x1.fa164dbb28e3ep-14, -0x1.f6baaee121e91p-14, -0x1.f361dfebf43c3p-14, -0x1.f00bea241e218p-14, -0x1.ecb8d694ba1a5p-14, -0x1.e968ae0c2da28p-14, -0x1.e61b791d2563dp-14, -0x1.e2d1401f18b7ap-14, -0x1.df8a0b2f393ep-14, -0x1.dc45e23159735p-14, -0x1.d904ccd075995p-14, -0x1.d5c6d27f96b21p-14, -0x1.d28bfa7ab3ae4p-14, -0x1.cf544bc7692c2p-14, -0x1.cc1fcd3590ca1p-14, -0x1.c8ee856025ee7p-14, -0x1.c5c07aaddd1a6p-14, -0x1.c295b352201cep-14, -0x1.bf6e354d96fbdp-14, -0x1.bc4a066efab8cp-14, -0x1.b9292c53919d7p-14, -0x1.b60bac682f09cp-14, -0x1.b2f18be9d02dap-14, -0x1.afdacfe657621p-14, -0x1.acc77d3d0c10bp-14, -0x1.a9b7989f74acap-14, -0x1.a6ab269201d6p-14, -0x1.a3a22b6c95754p-14, -0x1.a09cab5b6e8a3p-14, -0x1.9d9aaa5f8849bp-14, -0x1.9a9c2c4f7c046p-14, -0x1.97a134d80a0f1p-14, -0x1.94a9c77cb02efp-14, -0x1.91b5e79864c45p-14, -0x1.8ec5985e3ae79p-14, -0x1.8bd8dcd9dc8c2p-14, -0x1.88efb7f0549fcp-14, -0x1.860a2c60861d9p-14, -0x1.83283cc3d0e34p-14, -0x1.8049eb8eb59f3p-14, -0x1.7d6f3b116e939p-14, -0x1.7a982d787c75ep-14, -0x1.77c4c4cd14dc7p-14, -0x1.74f502f5f1c52p-14, -0x1.7228e9b7bdd99p-14, -0x1.6f607ab5bfee5p-14, -0x1.6c9bb7724c526p-14, -0x1.69daa14f4c192p-14, -0x1.671d398eed1a4p-14, -0x1.6463815408cebp-14, -0x1.61ad79a2bd41ap-14, -0x1.5efb2360d7e4p-14, -0x1.5c4c7f5678943p-14, -0x1.59a18e2ea63c4p-14, -0x1.56fa507795702p-14, -0x1.5456c6a34a8e6p-14, -0x1.51b6f10821385p-14, -0x1.4f1acfe14e343p-14, -0x1.4c82634f20a38p-14, -0x1.49edab57c577ep-14, -0x1.475ca7e7965a2p-14, -0x1.44cf58d1a379ap-14, -0x1.4245bdd02c109p-14, -0x1.3fbfd68503cfep-14, -0x1.3d3da27a1e1f5p-14, -0x1.3abf2121d17d3p-14, -0x1.384451d77b10cp-14, -0x1.35cd33dfd2f8ap-14, -0x1.3359c669697dfp-14, -0x1.30ea088d0d954p-14, -0x1.2e7df94e2b434p-14, -0x1.2c15979b52e6ep-14, -0x1.29b0e24e8429dp-14, -0x1.274fd82db321p-14, -0x1.24f277eb1dddcp-14, -0x1.2298c02591c93p-14, -0x1.2042af69166acp-14, -0x1.1df0442f25f91p-14, -0x1.1ba17cdf073e1p-14, -0x1.195657ce419a7p-14, -0x1.170ed3410c2bap-14, -0x1.14caed6a80c6dp-14, -0x1.128aa46cf15cap-14, -0x1.104df65a741f9p-14, -0x1.0e14e1352c4bcp-14, -0x1.0bdf62efa6beap-14, -0x1.09ad796d27f7bp-14, -0x1.077f22820bee8p-14, -0x1.05545bf4132d2p-14, -0x1.032d237aac211p-14, -0x1.010976bf64f5dp-14, -0x1.fdd2a6bc61de4p-15, -0x1.f9996dcb533ffp-15, -0x1.f5673daee0063p-15, -0x1.f13c1150f3e2ep-15, -0x1.ed17e382c7d66p-15, -0x1.e8faaefd758b1p-15, -0x1.e4e46e62773c3p-15, -0x1.e0d51c3c76282p-15, -0x1.dcccb2ff97aa2p-15, -0x1.d8cb2d0a2f921p-15, -0x1.d4d084a5710b2p-15, -0x1.d0dcb405c2323p-15, -0x1.ccefb54b66805p-15, -0x1.c909828331227p-15, -0x1.c52a15a6ea36ep-15, -0x1.c151689d7f713p-15, -0x1.bd7f753bdcfeap-15, -0x1.b9b435457f70fp-15, -0x1.b5efa26ccd183p-15, -0x1.b231b653c6e9bp-15, -0x1.ae7a6a8c5c162p-15, -0x1.aac9b898dd545p-15, -0x1.a71f99ec9209fp-15, -0x1.a37c07ec18da7p-15, -0x1.9fdefbedcc2bdp-15, -0x1.9c486f3a702bfp-15, -0x1.98b85b0d7e794p-15, -0x1.952eb89573f58p-15, -0x1.91ab80f47b304p-15, -0x1.8e2ead40d6537p-15, -0x1.8ab836852c99fp-15, -0x1.874815c108c52p-15, -0x1.83de43e93ac0dp-15, -0x1.807ab9e82dbe8p-15, -0x1.7d1d709e55046p-15, -0x1.79c660e29cb27p-15, -0x1.76758382b22d2p-15, -0x1.732ad1439c287p-15, -0x1.6fe642e1e0d86p-15, -0x1.6ca7d11201e17p-15, -0x1.696f7480e5e91p-15, -0x1.663d25d3d66c5p-15, -0x1.6310dda8fbb03p-15, -0x1.5fea949810e69p-15, -0x1.5cca43326e44ap-15, -0x1.59afe20378574p-15, -0x1.569b6990e2aa1p-15, -0x1.538cd25b05e37p-15, -0x1.508414dd23dc9p-15, -0x1.4d81298dc6631p-15, -0x1.4a8408df0632cp-15, -0x1.478cab3ee33b5p-15, -0x1.449b0917684bp-15, -0x1.41af1acf07a72p-15, -0x1.3ec8d8c90bd0dp-15, -0x1.3be83b65b5107p-15, -0x1.390d3b027659p-15, -0x1.3637cffa6e56bp-15, -0x1.3367f2a6877fdp-15, -0x1.309d9b5dba034p-15, -0x1.2dd8c27548ac5p-15, -0x1.2b196040e8842p-15, -0x1.285f6d132d445p-15, -0x1.25aae13dca8dp-15, -0x1.22fbb511bc3f1p-15, -0x1.2051e0df80da4p-15, -0x1.1dad5cf76dcb8p-15, -0x1.1b0e21a9c5676p-15, -0x1.18742746cc882p-15, -0x1.15df661f204d5p-15, -0x1.134fd68424b75p-15, -0x1.10c570c813111p-15, -0x1.0e402d3e24cfap-15, -0x1.0bc0043ad3579p-15, -0x1.0944ee13f640ap-15, -0x1.06cee32102067p-15, -0x1.045ddbbb40993p-15, -0x1.01f1d03dee302p-15, -0x1.ff15720cec5b1p-16, -0x1.fa511ce91512ap-16, -0x1.f59691d46193dp-16, -0x1.f0e5c198b1f3fp-16, -0x1.ec3e9d0570603p-16, -0x1.e7a114efe84e4p-16, -0x1.e30d1a33ddce8p-16, -0x1.de829db397a27p-16, -0x1.da0190586261fp-16, -0x1.d589e312d7d14p-16, -0x1.d11b86daf30e7p-16, -0x1.ccb66cb048c59p-16, -0x1.c85a859a8773ep-16, -0x1.c407c2aa03eb5p-16, -0x1.bfbe14f7811dap-16, -0x1.bb7d6da4a9e39p-16, -0x1.b745bddc821e5p-16, -0x1.b316f6d3464a4p-16, -0x1.aef109c6a242dp-16, -0x1.aad3e7fdd99c6p-16, -0x1.a6bf82ca95bap-16, -0x1.a2b3cb88d258fp-16, -0x1.9eb0b39f0d1f5p-16, -0x1.9ab62c7e9c146p-16, -0x1.96c427a39dc61p-16, -0x1.92da96957a44dp-16, -0x1.8ef96ae6d90dp-16, -0x1.8b209635f1bb1p-16, -0x1.87500a2ccce6p-16, -0x1.8387b881458fdp-16, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      58, 0x1.ap+2, 0x1.56de788ed7905p+1, 0x1.7f0970b2efb7cp+2, 0x1.1fdb541b8f97cp-7, 
      {{
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1b22dfb46a16p-5, -0x1.1ad459e78cfeep-4, 0x1.7acd7972a73efp-4, -0x1.281df75b839b1p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.00ac5ac79a09cp-5, -0x1.ee5718d46c6ffp-5, 0x1.4e629458204e4p-4, -0x1.2749d26c8dcafp-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.d31bd4121583fp-6, -0x1.afe47d098bf12p-5, 0x1.22178194a4a2cp-4, -0x1.259c07567a96bp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.aaac6ebf3e9c8p-6, -0x1.7a473f6427bbfp-5, 0x1.ec19cdc28ae58p-5, -0x1.27b4c2a17500dp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.87288be63fc11p-6, -0x1.4d80fa88e2001p-5, 0x1.9363935ee7cbfp-5, -0x1.104bff96eadp-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.67b0551e76bd2p-6, -0x1.293fd74fbc6bfp-5, 0x1.41b32d1807c03p-5, -0x1.beae6da99509ep-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4b75efc931258p-6, -0x1.0c6df39fe2868p-5, 0x1.fd653949fc646p-6, -0x1.64911533d59cfp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.31cd5593ceb81p-6, -0x1.eb4498e0d4226p-6, 0x1.926ce620d5e7fp-6, -0x1.07d8ce02621eap-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1a2dc53dc47ecp-6, -0x1.c6fbadea617efp-6, 0x1.434575201edf2p-6, -0x1.5b8011627e8d4p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.0431c2989ccd5p-6, -0x1.a943225558f54p-6, 0x1.0f2572848be3ap-6, -0x1.2f10aa6a43b4p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.df2e2d0fee851p-7, -0x1.8f48bb5c54d2dp-6, 0x1.f0d531df8d9fcp-7, -0x1.d7d4337b8e644p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b87ab3815773p-7, -0x1.76e282d5d45adp-6, 0x1.df23a32485155p-7, -0x1.16f431a4b416cp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.942bd5fe956a6p-7, -0x1.5f736d54cad6ap-6, 0x1.ca37b904f793ap-7, -0x1.0418ab42fcf8p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7227ca7d3b8efp-7, -0x1.4907165245039p-6, 0x1.b6b5df5ff167bp-7, -0x1.01d2f6f5ce293p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.525554ed950a9p-7, -0x1.339359602c5eep-6, 0x1.a35fa673e857ap-7, -0x1.f637313e26acap-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.349bc73aa50a2p-7, -0x1.1f13e5faad1c3p-6, 0x1.908a6167fa17bp-7, -0x1.eb2a20b3f668p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.18e3014a26c0bp-7, -0x1.0b82dbdc0bcb9p-6, 0x1.7e1f33613a738p-7, -0x1.df79b3b00f79ep-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.fe26e1f91acc7p-8, -0x1.f1b58bb7d1c67p-7, 0x1.6c243ca439df1p-7, -0x1.d3f50c6f691e3p-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.ce2c245a086cap-8, -0x1.ce2c243cb9c93p-7, 0x1.5a97d8f9a5eep-7, -0x1.c864aa9b9ad72p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a1a8dd62dce3fp-8, -0x1.ac5e6cf0885d1p-7, 0x1.497a78fa36863p-7, -0x1.bcd76d514bb51p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.78713cb4cebdp-8, -0x1.8c414d5de75fcp-7, 0x1.38cbfe7a5d48ep-7, -0x1.b1495873dff7dp-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.525a8de6848c2p-8, -0x1.6dc9ae2a34622p-7, 0x1.288c718f9e7c3p-7, -0x1.a5bb7d59b40e9p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2f3b388414f05p-8, -0x1.50ec77af0d084p-7, 0x1.18bbd00f74887p-7, -0x1.9a2d92c561df4p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0eeac00f06908p-8, -0x1.359e925a5b00fp-7, 0x1.095a1a8e74102p-7, -0x1.8e9fac56a7cc9p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.e28387fca03aap-9, -0x1.1bd4e69497b65p-7, 0x1.f4cea1c99b8aap-8, -0x1.8311c4cb7c39ep-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ac33ff7cb0a23p-9, -0x1.03845cc7b19bcp-7, 0x1.d7c6e63a58ap-8, -0x1.7783dd8c95c7p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.7a9c9561ebde7p-9, -0x1.d943baba666eep-8, 0x1.bb9d026966fd7p-8, -0x1.6bf5f63927e91p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.4d75305adf8b5p-9, -0x1.ae44a17d83a5p-8, 0x1.a050f65850cc1p-8, -0x1.60680eeb50d29p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.2477ef00f9559p-9, -0x1.85f53eabf7118p-8, 0x1.85e2c206aabc6p-8, -0x1.54da279bf05cbp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.fec24fb10df9cp-10, -0x1.603f631900d12p-8, 0x1.6c526574924f2p-8, -0x1.494c404cf0296p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.bbded2a16ca81p-10, -0x1.3d0cdf97dfe31p-8, 0x1.539fe0a2004c2p-8, -0x1.3dbe58fdef0dep-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.7fc6f3872a819p-10, -0x1.1c4784fbd3a1dp-8, 0x1.3bcb338ef4c45p-8, -0x1.323071aed01bfp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.4a00aeec2378ep-10, -0x1.fbb2483036979p-9, 0x1.24d45e3b71f58p-8, -0x1.26a28a5fcb14dp-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.1a16712ff3a5cp-10, -0x1.c3571b7fec344p-9, 0x1.0ebb60a775edap-8, -0x1.1b14a310ca177p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.df2e2d0fee894p-11, -0x1.8f51258d46c66p-9, 0x1.f30075a600be6p-9, -0x1.0f86bbc1a15ebp-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.942bd5fe956dcp-11, -0x1.5f7407fec4b61p-9, 0x1.ca45d97c2889ep-9, -0x1.03f8d472b79bdp-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.525554ed950d6p-11, -0x1.3393647ae497ap-9, 0x1.a346ecd159cb8p-9, -0x1.f0d5da4707241p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.18e3014a26c24p-11, -0x1.0b82dca824eb7p-9, 0x1.7e03afa59fa9p-9, -0x1.d9ba0ba9416bfp-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.ce2c245a08708p-12, -0x1.ce2c245a087abp-10, 0x1.5a7c21f8edf42p-9, -0x1.c29e3d0ac4c5ap-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.78713cb4cebbbp-12, -0x1.8c414d60020bap-10, 0x1.38b043cb52659p-9, -0x1.ab826e6d23e0fp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.2f3b388414f28p-12, -0x1.50ec77af33c1bp-10, 0x1.18a0151cbc81ap-9, -0x1.94669fce75ebp-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.e28387fca030fp-13, -0x1.1bd4e6949a74fp-10, 0x1.f4972bda80ebbp-10, -0x1.7d4ad13111d1ep-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.7a9c9561ebe21p-13, -0x1.d943baba66eadp-11, 0x1.bb658c798b0c6p-10, -0x1.662f0291e98cp-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.2477ef00f955fp-13, -0x1.85f53eabf64adp-11, 0x1.85ab4c16db37dp-10, -0x1.4f1333f638331p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.bbded2a16cc8p-14, -0x1.3d0cdf97e2553p-11, 0x1.53686ab1ec639p-10, -0x1.37f76550a7651p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.4a00aeec239p-14, -0x1.fbb2483023742p-12, 0x1.249ce84c39ae3p-10, -0x1.20db96cd2a3b8p-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.df2e2d0fee88p-15, -0x1.8f51258d9033ep-12, 0x1.f29189c14d15ap-11, -0x1.09bfc7cc0e3dbp-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.525554ed951p-15, -0x1.33936479d3226p-12, 0x1.a2d80104159d2p-11, -0x1.e547f53f75282p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.ce2c245a08ap-16, -0x1.ce2c2461ffdc2p-13, 0x1.5a0d35d42a71p-11, -0x1.b7104d3b1ac17p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2f3b388415301p-16, -0x1.50ec7791775e1p-13, 0x1.18312a3e80077p-11, -0x1.88d8d83be4b2ep-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.7a9c9561ebe02p-17, -0x1.d943bb985db73p-14, 0x1.ba87ad37d50cfp-12, -0x1.5aa0a4d2a6377p-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.bbded2a16ecp-18, -0x1.3d0cdc5b78dc6p-14, 0x1.528aaef8a32dep-12, -0x1.2c6b38113cc5p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.df2e2d0fe8p-19, -0x1.8f513db4a9ac9p-15, 0x1.f0d5091a21e62p-13, -0x1.fc56de209af47p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.ce2c245a09ffep-20, -0x1.ce2b7010a6fdp-16, 0x1.585493438d03cp-13, -0x1.a024a0e7a0094p-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.7a9c9561ep-21, -0x1.d948fc67b17c9p-17, 0x1.b6f992c8ed363p-14, -0x1.42d1c8f07c05p-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.df2e2d0fbp-23, -0x1.8f29e949043fcp-18, 0x1.ea91013e1268p-15, -0x1.d3680e6f3ed41p-13}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.7a9c9560cp-25, -0x1.db8d719508219p-20, 0x1.a43ebdf6a62efp-16, -0x1.01c50e7fcd0d6p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.7a9c954000001p-29, -0x1.94f467ffb252cp-23, 0x1.bbaf7f0ec08p-18, -0x1.58f85eacfeff4p-13}, 
      }}, 
      0x1.449b5f66ee9bcp-9, -0x1.f450fa5230e7ap-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.8b4fb68e3ba18p-8, 0x1.284b8edf8d9e4p-6, 0x1.2f3d4aef21972p-5, 0x1.f8107f099b8e7p-5, 0x1.719d87169f10ap-4, 0x1.f2c54f72d6e83p-4, 0x1.3d26550305329p-3, 0x1.81ca1efed4b2dp-3, 0x1.c5530645a4bd4p-3, 0x1.030e6a6b4a379p-2, 0x1.216b38582cc26p-2, 0x1.3d3d6ee9a3859p-2, 0x1.56245b0c72bp-2, 0x1.6bdca21ef42d2p-2, 0x1.7e3bfb8df78fp-2, 0x1.8d2d45931d051p-2, 0x1.98ad076364199p-2, 0x1.a0c6612f97c74p-2, 0x1.a59060f91f15bp-2, 0x1.a72bafa6bbc92p-2, 0x1.a5c089d55c4aap-2, 0x1.a17cfa340ad82p-2, 0x1.9a934ddd16a45p-2, 0x1.9138bcd8c3901p-2, 0x1.85a441948aa73p-2, 0x1.780d9a4d669ecp-2, 0x1.68ac6ff65f97ep-2, 0x1.57b79ee703bfap-2, 0x1.45649e563eefbp-2, 0x1.31e703f9348dfp-2, 0x1.1d70214b85114p-2, 0x1.082eb80abbfe9p-2, 0x1.e49d86d8e866fp-3, 0x1.b7f2a74915498p-3, 0x1.8aa8f2ca5c70dp-3, 0x1.5d067e568ce67p-3, 0x1.2f4b5c34f763dp-3, 0x1.01b1b84e444ap-3, 0x1.a8dc09f877addp-4, 0x1.4f5e6909922d8p-4, 0x1.ee7be306e167bp-5, 0x1.4188350d66872p-5, 0x1.30c434aaf1c63p-6, -0x1.90f325d78859p-10, -0x1.59ac516a32ae9p-6, -0x1.4839c7c5c4d2fp-5, -0x1.de706faa04d1p-5, -0x1.37a242cd03b13p-4, -0x1.7d45fd1df0c86p-4, -0x1.c0137f5067375p-4, -0x1.ffff991af56d8p-4, -0x1.1e81a6291b8a8p-3, -0x1.3b8db38ba117dp-3, -0x1.57240ddc0acdep-3, -0x1.714652e7b5482p-3, -0x1.89f77a49fa89bp-3, -0x1.a13baebdcb552p-3, -0x1.b7182abb4add6p-3, -0x1.cb9317f97ca1ep-3, -0x1.deb37115c802fp-3, -0x1.f080e53138c8cp-3, -0x1.0081ded1721f1p-2, -0x1.082262f0d3b11p-2, -0x1.0f269abade5aap-2, -0x1.15934dcc08b37p-2, -0x1.1b6d66136104dp-2, -0x1.20b9e6f9c169fp-2, -0x1.257de54383cf7p-2, -0x1.29be7fc80f12fp-2, -0x1.2d80d8fe5b32fp-2, -0x1.30ca11484a8e2p-2, -0x1.339f41dacec98p-2, -0x1.360578236d567p-2, -0x1.3801b19ec733p-2, -0x1.3998d81dfc61cp-2, -0x1.3acfbe841654dp-2, -0x1.3bab1dfdaf545p-2, -0x1.3c2f93afb6de5p-2, -0x1.3c619ed030b24p-2, -0x1.3c459f16ca319p-2, -0x1.3bdfd376afb36p-2, -0x1.3b345911b53f8p-2, -0x1.3a472a630bed8p-2, -0x1.391c1e9b11533p-2, -0x1.37b6e93102bd2p-2, -0x1.361b19a87509ap-2, -0x1.344c1b898d397p-2, -0x1.324d3689ec956p-2, -0x1.30218edd275edp-2, -0x1.2dcc25aa5acd5p-2, -0x1.2b4fd99c6bef4p-2, -0x1.28af678b18d6ep-2, -0x1.25ed6b3358701p-2, -0x1.230c6002315b8p-2, -0x1.200ea1ec39447p-2, -0x1.1cf66e4f24269p-2, -0x1.19c5e4e124edp-2, -0x1.167f08a6f25ap-2, -0x1.1323c0f554576p-2, -0x1.0fb5da74ad408p-2, -0x1.0c37082d978a6p-2, -0x1.08a8e493779cbp-2, -0x1.050cf2928532p-2, -0x1.01649e9a4fff2p-2, -0x1.fb627f4e64b6ap-3, -0x1.f3e83089b6e82p-3, -0x1.ec5caf1e80167p-3, -0x1.e4c234537292ap-3, -0x1.dd1ad663edab7p-3, -0x1.d5688a57c2ac9p-3, -0x1.cdad25c790f3ap-3, -0x1.c5ea6099b610ep-3, -0x1.be21d6a73a50ep-3, -0x1.b655095972bdfp-3, -0x1.ae856130004cfp-3, -0x1.a6b42f3c7f54cp-3, -0x1.9ee2ae8c74526p-3, -0x1.9712057ed6d56p-3, -0x1.8f43471254885p-3, -0x1.87777419d54edp-3, -0x1.7faf7c6779fedp-3, -0x1.77ec3fe7aa97p-3, -0x1.702e8fa7ef7a9p-3, -0x1.68772ed77046bp-3, -0x1.60c6d3b0fe68dp-3, -0x1.591e285ade133p-3, -0x1.517dcbbd3e91cp-3, -0x1.49e65241e2047p-3, -0x1.425846923a27bp-3, -0x1.3ad42a44a012cp-3, -0x1.335a767b6073ap-3, -0x1.2beb9c81985d4p-3, -0x1.24880656e2467p-3, -0x1.1d30172fcb1cep-3, -0x1.15e42bfa06ff4p-3, -0x1.0ea49bc87f315p-3, -0x1.0771b83919e55p-3, -0x1.004bcde3fcdcep-3, -0x1.f26649627f7dfp-4, -0x1.e4500048c263p-4, -0x1.d6553f6877ef3p-4, -0x1.c8767e330ec18p-4, -0x1.bab42cff9ef3ap-4, -0x1.ad0eb59150e63p-4, -0x1.9f867b966468ap-4, -0x1.921bdd05f1912p-4, -0x1.84cf326da6c72p-4, -0x1.77a0cf570b8d1p-4, -0x1.6a91029219e04p-4, -0x1.5da0167ca832bp-4, -0x1.50ce5144aecb5p-4, -0x1.441bf5150d9c6p-4, -0x1.3789404b36b46p-4, -0x1.2b166dbb5767ap-4, -0x1.1ec3b4d8a5c71p-4, -0x1.129149bc73eb5p-4, -0x1.067f5d4be225dp-4, -0x1.f51c3b015fb89p-5, -0x1.dd7b6af3b089ap-5, -0x1.c61c9adf46ad8p-5, -0x1.af00158b9e1c3p-5, -0x1.9826209a97274p-5, -0x1.818efcbc2e5b2p-5, -0x1.6b3ae5736dc5cp-5, -0x1.552a1116bbc63p-5, -0x1.3f5cb1292d05fp-5, -0x1.29d2f2b0cac1bp-5, -0x1.148cfe0f8a6cfp-5, -0x1.ff15edb4bc0f7p-6, -0x1.d599f8081dea6p-6, -0x1.aca650509eac1p-6, -0x1.843b233be4d97p-6, -0x1.5c5894b7de37ap-6, -0x1.34febfd937f26p-6, -0x1.0e2db7316fc48p-6, -0x1.cfcb0a006e3ep-7, -0x1.844c56c6bfe66p-7, -0x1.39df48bffc221p-7, -0x1.e1078788200f5p-8, -0x1.507336e438efep-8, -0x1.84024dc1aab08p-9, -0x1.ad8601607667fp-11, 0x1.51fac7ed9c4f1p-10, 0x1.b91c03c96d9cep-9, 0x1.627e2059d0334p-8, 0x1.e6501c97fe3dcp-8, 0x1.3402913ed8047p-7, 0x1.73cf3c38097a5p-7, 0x1.b28ebf90dc08dp-7, 0x1.f041d978fee4ap-7, 0x1.1674ab2707efcp-6, 0x1.344307e923674p-6, 0x1.518c75ec5a2e6p-6, 0x1.6e516dd06095ap-6, 0x1.8a926e2de8d83p-6, 0x1.a64ffbe25fcf5p-6, 0x1.c18aa20c5973p-6, 0x1.dc42f15d16feep-6, 0x1.f6797f901d0c2p-6, 0x1.081773a70cd0dp-5, 0x1.14b1e43ca051ep-5, 0x1.210c64319fe73p-5, 0x1.2d2748c93c951p-5, 0x1.3902e99a322f7p-5, 0x1.449fa0544f36bp-5, 0x1.4ffdc8b73657dp-5, 0x1.5b1dc0ad4785cp-5, 0x1.65ffe85db90d9p-5, 0x1.70a4a210f510ep-5, 0x1.7b0c52050b3e2p-5, 0x1.85375e328ebd8p-5, 0x1.8f262e3ecb7p-5, 0x1.98d92b8469a08p-5, 0x1.a250c1203fa8cp-5, 0x1.ab8d5be941534p-5, 0x1.b48f6a51b9b92p-5, 0x1.bd575c407b31p-5, 0x1.c5e5a2f47d087p-5, 0x1.ce3ab0fc8d52ap-5, 0x1.d656fa3b91dd6p-5, 0x1.de3af3ea259b9p-5, 0x1.e5e7148b7986cp-5, 0x1.ed5bd3d864483p-5, 0x1.f499aaa428e6ep-5, 0x1.fba112c8c6446p-5, 0x1.0139438ed1bfep-4, 0x1.048741bbdd178p-4, 0x1.07bac25428fbdp-4, 0x1.0ad4043b13a9ap-4, 0x1.0dd346c7cce21p-4, 0x1.10b8c9bc1fafep-4, 0x1.1384cd3c3e3fp-4, 0x1.163791ca25406p-4, 0x1.18d1584420464p-4, 0x1.1b5261e3dbbe6p-4, 0x1.1dbaf03c4ce94p-4, 0x1.200b4535b00d7p-4, 0x1.2243a307a7478p-4, 0x1.24644c331517ep-4, 0x1.266d837bf06efp-4, 0x1.285f8be82618fp-4, 0x1.2a3aa8bb281cep-4, 0x1.2bff1d7667791p-4, 0x1.2dad2dd471826p-4, 0x1.2f451dcd0ee53p-4, 0x1.30c7318b4f3dap-4, 0x1.3233ad6d45302p-4, 0x1.338ad5fbe83efp-4, 0x1.34ccefe5371ebp-4, 0x1.35fa3ff7f3f18p-4, 0x1.37130b2257f57p-4, 0x1.38179674c1ca6p-4, 0x1.39082725d3be7p-4, 0x1.39e50292b83d1p-4, 0x1.3aae6e39be67ep-4, 0x1.3b64afaeb2ce2p-4, 0x1.3c080c8e1a17cp-4, 0x1.3c98ca73fed5dp-4, 0x1.3d172efbaf2fcp-4, 0x1.3d837fc72d6b2p-4, 0x1.3dde028ad571dp-4, 0x1.3e26fd14d2466p-4, 0x1.3e5eb549033c9p-4, 0x1.3e857111f8f58p-4, 0x1.3e9b764a70c47p-4, 0x1.3ea10aaec5c71p-4, 0x1.3e9673d3771c3p-4, 0x1.3e7bf72e140f1p-4, 0x1.3e51da25212ap-4, 0x1.3e186220bcdd6p-4, 0x1.3dcfd490d331p-4, 0x1.3d7876e3eeecap-4, 0x1.3d128e7160af4p-4, 0x1.3c9e605f7198bp-4, 0x1.3c1c31901e9d3p-4, 0x1.3b8c469b5597bp-4, 0x1.3aeee3d7d5d8dp-4, 0x1.3a444d6d6f67ap-4, 0x1.398cc76736d35p-4, 0x1.38c895bc45ea4p-4, 0x1.37f7fc49b53efp-4, 0x1.371b3ebf3bdc8p-4, 0x1.3632a08550b2fp-4, 0x1.353e64a616414p-4, 0x1.343ecdc0a650ap-4, 0x1.33341e0a33b31p-4, 0x1.321e975b4d60ep-4, 0x1.30fe7b42e4846p-4, 0x1.2fd40b166e6aap-4, 0x1.2e9f87f759af9p-4, 0x1.2d6132c8eddb8p-4, 0x1.2c194c1d55e0ep-4, 0x1.2ac81418356cap-4, 0x1.296dca58c8c71p-4, 0x1.280aadedc942fp-4, 0x1.269efd58ab3cfp-4, 0x1.252af69dd0966p-4, 0x1.23aed75a2d5dcp-4, 0x1.222adcd58303dp-4, 0x1.209f4406a66a5p-4, 0x1.1f0c49887dccap-4, 0x1.1d722981bc114p-4, 0x1.1bd11f86453a9p-4, 0x1.1a2966806ced3p-4, 0x1.187b38a8bd2dcp-4, 0x1.16c6cf8cff1dap-4, 0x1.150c6424c7ec6p-4, 0x1.134c2eeb15fa7p-4, 0x1.118667edd7a04p-4, 0x1.0fbb46d07d4e2p-4, 0x1.0deb02bbe8249p-4, 0x1.0c15d243b7eacp-4, 0x1.0a3beb4974d94p-4, 0x1.085d82e8e62p-4, 0x1.067acd74d9b47p-4, 0x1.0493fe8404be7p-4, 0x1.02a949085ba8dp-4, 0x1.00badf65faa94p-4, 0x1.fd91e700ca591p-5, 0x1.f9a76d7262dbp-5, 0x1.f5b6b3b8784cbp-5, 0x1.f1c01a109129ep-5, 0x1.edc3ff2b96a14p-5, 0x1.e9c2c012be174p-5, 0x1.e5bcb82aa0cc2p-5, 0x1.e1b24151a13c3p-5, 0x1.dda3b40b59bcdp-5, 0x1.d99167a68834cp-5, 0x1.d57bb24e0b402p-5, 0x1.d162e8fe1d7e3p-5, 0x1.cd475f631f9dep-5, 0x1.c92967b01e13p-5, 0x1.c509527dd4228p-5, 0x1.c0e76ebf054dfp-5, 0x1.bcc409cd2790ep-5, 0x1.b89f6f8697255p-5, 0x1.b479ea711a02fp-5, 0x1.b053c3d065e39p-5, 0x1.ac2d43a8f07c1p-5, 0x1.a806b0aeca3c6p-5, 0x1.a3e0502849f77p-5, 0x1.9fba65d348babp-5, 0x1.9b9533d856242p-5, 0x1.9770fad1f6f3cp-5, 0x1.934df9e40fc2p-5, 0x1.8f2c6ed7c5cc5p-5, 0x1.8b0c96308e9c1p-5, 0x1.86eeab3122aap-5, 0x1.82d2e7cf1329cp-5, 0x1.7eb9849c391dbp-5, 0x1.7aa2b8b0f56a1p-5, 0x1.768eb9a3390cdp-5, 0x1.727dbb8ef3535p-5, 0x1.6e6ff12bf8d5bp-5, 0x1.6a658be9d19d7p-5, 0x1.665ebc0234091p-5, 0x1.625bb07da7373p-5, 0x1.5e5c9727468f5p-5, 0x1.5a619c776729ap-5, 0x1.566aeb80a1c58p-5, 0x1.5278ade9a8c4bp-5, 0x1.4e8b0bf8a9155p-5, 0x1.4aa22cace99e3p-5, 0x1.46be35db478ebp-5, 0x1.42df4c42f4657p-5, 0x1.3f05939026253p-5, 0x1.3b312e4d634e5p-5, 0x1.37623dcaef8ep-5, 0x1.3398e20952e3p-5, 0x1.2fd539b32aac1p-5, 0x1.2c17622bb2674p-5, 0x1.285f77ae233b1p-5, 0x1.24ad9571e7e13p-5, 0x1.2101d5c4c4f03p-5, 0x1.1d5c520ff93c6p-5, 0x1.19bd22c6235b9p-5, 0x1.16245f42aef29p-5, 0x1.12921da9f2a34p-5, 0x1.0f0672dac1b0bp-5, 0x1.0b81727abac1dp-5, 0x1.08032f1bcf532p-5, 0x1.048bba6e75c02p-5, 0x1.011b256cd9f3cp-5, 0x1.fb6300dbdba98p-6, 0x1.f49db62f457cbp-6, 0x1.ede6886b30bfbp-6, 0x1.e73d9309bfb8bp-6, 0x1.e0a2ef17bf2bcp-6, 0x1.da16b3236602ap-6, 0x1.d398f37954202p-6, 0x1.cd29c2a15bacbp-6, 0x1.c6c931f0d6973p-6, 0x1.c07751fd2492bp-6, 0x1.ba3432c0705p-6, 0x1.b3ffe3665c3dcp-6, 0x1.adda71c143341p-6, 0x1.a7c3e9ae55a38p-6, 0x1.a1bc54948a0c3p-6, 0x1.9bc3b93d32d1bp-6, 0x1.95da1c1b891a3p-6, 0x1.8fff7ff49912bp-6, 0x1.8a33e6b3f0575p-6, 0x1.8477522662b3p-6, 0x1.7ec9c459114cdp-6, 0x1.792b3f777330cp-6, 0x1.739bc52eeaaeap-6, 0x1.6e1b55c8cb576p-6, 0x1.68a9ef47c4545p-6, 0x1.63478cd86e793p-6, 0x1.5df426cc62c6fp-6, 0x1.58afb32cb4846p-6, 0x1.537a26be94e2ep-6, 0x1.4e53762e177c2p-6, 0x1.493b9702b83edp-6, 0x1.4432800e875dbp-6, 0x1.3f38293064c08p-6, 0x1.3a4c8a76c8a7dp-6, 0x1.356f9ae2ba7aap-6, 0x1.30a14f29a006fp-6, 0x1.2be198d7da854p-6, 0x1.2730661c5caeep-6, 0x1.228da25648b85p-6, 0x1.1df93745c95d7p-6, 0x1.19730e8fbf24ap-6, 0x1.14fb1328565f9p-6, 0x1.1091323c0c292p-6, 0x1.0c355b51fd1e9p-6, 0x1.07e77f9ab2dd8p-6, 0x1.03a7909a21d0fp-6, 0x1.feeafd12514afp-7, 0x1.f6a26db9085ccp-7, 0x1.ee7546ae5e0dbp-7, 0x1.e66353d4dea0fp-7, 0x1.de6c5ae9d9e12p-7, 0x1.d6901e71d5f55p-7, 0x1.cece615ee8979p-7, 0x1.c726ea80c50f6p-7, 0x1.bf9986d40ed84p-7, 0x1.b8260a172f7d9p-7, 0x1.b0cc4d7d993dbp-7, 0x1.a98c2ce3d76bap-7, 0x1.a26583393a501p-7, 0x1.9b5826f837c42p-7, 0x1.9463e77641a23p-7, 0x1.8d888ba21974bp-7, 0x1.86c5d2835a264p-7, 0x1.801b7576e6eacp-7, 0x1.79892bbde71e3p-7, 0x1.730eae92f6f8fp-7, 0x1.6cabbcc27a9p-7, 0x1.66601cd9bd7c7p-7, 0x1.602b9d672796fp-7, 0x1.5a0e1356a5e4ap-7, 0x1.540756f2af7ffp-7, 0x1.4e17404f90a5cp-7, 0x1.483da3dd4ab83p-7, 0x1.427a4fae38b5ep-7, 0x1.3ccd09d6fb533p-7, 0x1.3735903701b11p-7, 0x1.31b399deac183p-7, 0x1.2c46da05f5b57p-7, 0x1.26ef04142049fp-7, 0x1.21abcfc74211dp-7, 0x1.1c7cfc5eb6dc2p-7, 0x1.176251f05a652p-7, 0x1.125ba0ad56847p-7, 0x1.0d68be860bc23p-7, 0x1.08898402cff59p-7, 0x1.03bdc92166631p-7, 0x1.fe0ac55d2276bp-8, 0x1.f4c04064b5f67p-8, 0x1.eb9b94d20c6e8p-8, 0x1.e29c44f1aa4e4p-8, 0x1.d9c1c4b6fc63p-8, 0x1.d10b7dd1628cep-8, 0x1.c878d6db6ffdbp-8, 0x1.c0093c0632819p-8, 0x1.b7bc26affa6d4p-8, 0x1.af91218cdeceap-8, 0x1.a787c856cfe1fp-8, 0x1.9f9fc3afc2d11p-8, 0x1.97d8c32a9009cp-8, 0x1.903277baf86f9p-8, 0x1.88ac8feba6ba4p-8, 0x1.8146b5d51def5p-8, 0x1.7a008d6dc6cfep-8, 0x1.72d9b2342f21bp-8, 0x1.6bd1b45855052p-8, 0x1.64e81734decf7p-8, 0x1.5e1c5334b5975p-8, 0x1.576ddbe4f2fa5p-8, 0x1.50dc28a604f07p-8, 0x1.4a66bcf5ef2b7p-8, 0x1.440d2d613f9adp-8, 0x1.3dcf1f9fc6d44p-8, 0x1.37ac464305543p-8, 0x1.31a459f38cf93p-8, 0x1.2bb713125e6d2p-8, 0x1.25e42632f78fep-8, 0x1.202b441dd53acp-8, 0x1.1a8c1bb0453e2p-8, 0x1.15065a9d67ef5p-8, 0x1.0f99ab002cb2cp-8, 0x1.0a45ae6661af1p-8, 0x1.0509f98a8882bp-8, 0x1.ffcc2890ebb08p-9, 0x1.f5b2fe18c3f0bp-9, 0x1.ebc7777de5e62p-9, 0x1.e208acddd1598p-9, 0x1.d875d5466fe6ap-9, 0x1.cf0e48487b326p-9, 0x1.c5d1771c47c67p-9, 0x1.bcbedff03117cp-9, 0x1.b3d6000a5846bp-9, 0x1.ab164ade2135ep-9, 0x1.a27f2a80afb03p-9, 0x1.9a10088846fa7p-9, 0x1.91c8589479c19p-9, 0x1.89a79c00ee94p-9, 0x1.81ad5a6c4ed03p-9, 0x1.79d9125fc06ecp-9, 0x1.722a2b69a694ap-9, 0x1.6a9ff2d30ecbdp-9, 0x1.6339a5419e747p-9, 0x1.5bf67f1d52f0cp-9, 0x1.54d5ca8cab93dp-9, 0x1.4dd6e64b04576p-9, 0x1.46f9468df69bp-9, 0x1.403c7220d71f7p-9, 0x1.399ffb4934c9ep-9, 0x1.332374490a042p-9, 0x1.2cc66397e9eb9p-9, 0x1.26883eb9b1a5p-9, 0x1.20686fc6b1e1cp-9, 0x1.1a666313d6fcdp-9, 0x1.148194e7dec52p-9, 0x1.0eb99675e6481p-9, 0x1.090e06125e8a9p-9, 0x1.037e7e659c24fp-9, 0x1.fc150d918c593p-10, 0x1.f1631e7853e5bp-10, 0x1.e6e5f51e5e441p-10, 0x1.dc9c5ca2f9dc3p-10, 0x1.d285396df6154p-10, 0x1.c89f88ef558d6p-10, 0x1.beea5e92daa86p-10, 0x1.b564ea2650a7fp-10, 0x1.ac0e8137c8622p-10, 0x1.a2e698b9fcd9bp-10, 0x1.99ecaafa7f0fap-10, 0x1.9120198bf09d3p-10, 0x1.88801eef902c6p-10, 0x1.800bd8eb54c6cp-10, 0x1.77c2654abef8p-10, 0x1.6fa2ffcf6fd83p-10, 0x1.67ad0ef5cd3c6p-10, 0x1.5fe016fd1b29p-10, 0x1.583b99ad771ep-10, 0x1.50bef5468bb5ep-10, 0x1.496957cf62254p-10, 0x1.4239d06f23c02p-10, 0x1.3b2f7055f4942p-10, 0x1.34495c0ce6e0dp-10, 0x1.2d86be97274b8p-10, 0x1.26e6b68d3a32dp-10, 0x1.206860c52607ep-10, 0x1.1a0afe272470fp-10, 0x1.13ce0c28fb6ep-10, 0x1.0db134240af89p-10, 0x1.07b41fc33d393p-10, 0x1.01d654a8d5047p-10, 0x1.f82e5a77408d4p-11, 0x1.ecebdbe5b1b49p-11, 0x1.e1e3cc395e2d4p-11, 0x1.d7150fa1b9dcbp-11, 0x1.cc7ed922fb059p-11, 0x1.c22092c7465c2p-11, 0x1.b7f9b47d42859p-11, 0x1.ae0996125fbfcp-11, 0x1.a44f4992fbf5p-11, 0x1.9ac99b18aa6f6p-11, 0x1.91774103aec51p-11, 0x1.885715125cb2p-11, 0x1.7f680efc42b47p-11, 0x1.76a8fd97b3125p-11, 0x1.6e1862d1d52aap-11, 0x1.65b4c22553b2dp-11, 0x1.5d7d1a4b7dea2p-11, 0x1.5570fd32fd2e2p-11, 0x1.4d902e9f99f5fp-11, 0x1.45da330468467p-11, 0x1.3e4e2bee6ddc5p-11, 0x1.36eb03470d0a5p-11, 0x1.2fafaa5f838efp-11, 0x1.289b3870dafa3p-11, 0x1.21ace3694311ep-11, 0x1.1ae3f0db08e2dp-11, 0x1.143fb639f602ep-11, 0x1.0dbfa3af2a40bp-11, 0x1.076344a3f533ap-11, 0x1.012a2780f5ed6p-11, 0x1.f6276f2692bccp-12, 0x1.ea3e601f64fe3p-12, 0x1.de978aa62f72dp-12, 0x1.d331bcf19cdbfp-12, 0x1.c80c15b59d949p-12, 0x1.bd254fb05b1cap-12, 0x1.b27b5697d584fp-12, 0x1.a80bf749ff10dp-12, 0x1.9dd5ee71dda5dp-12, 0x1.93d8e43c0a124p-12, 0x1.8a14643506f46p-12, 0x1.8087282bad148p-12, 0x1.772f5eb15dba8p-12, 0x1.6e0b61f9de364p-12, 0x1.651a0d2ac7006p-12, 0x1.5c5a7e74e86c1p-12, 0x1.53cbbb03984aap-12, 0x1.4b6c9cb4239b6p-12, 0x1.433bfd8b2cf6cp-12, 0x1.3b38e4cb5eb77p-12, 0x1.336297fd3474bp-12, 0x1.2bb8900bba322p-12, 0x1.243a542e16e9dp-12, 0x1.1ce73e1a39adcp-12, 0x1.15be4adc56d69p-12, 0x1.0ebe3928bbccdp-12, 0x1.07e5f83223da5p-12, 0x1.0134ee615c7e7p-12, 0x1.f5554bbe77d4bp-13, 0x1.e88c592523982p-13, 0x1.dc0c35d981518p-13, 0x1.cfd2fcc8cb25ep-13, 0x1.c3e09295337d6p-13, 0x1.b834fdc567b08p-13, 0x1.accece9734e93p-13, 0x1.a1abb12f2bc72p-13, 0x1.96c9e5a08a6dcp-13, 0x1.8c288a529c62dp-13, 0x1.81c6b8be4f794p-13, 0x1.77a2ea47e8a71p-13, 0x1.6dbb2a76b4ca2p-13, 0x1.640d84559e803p-13, 0x1.5a983bb0ec20fp-13, 0x1.5159d2bbd66e7p-13, 0x1.4850fe83ca4ap-13, 0x1.3f7ca1590f39fp-13, 0x1.36dbccf612848p-13, 0x1.2e6db62d905cap-13, 0x1.26318053295d7p-13, 0x1.1e25fc9aea643p-13, 0x1.1649bcf9b8a67p-13, 0x1.0e9b96f9b13dap-13, 0x1.071b111c18dfcp-13, 0x1.ff90415735dd7p-14, 0x1.f14449062498dp-14, 0x1.e34e9e2dff8a4p-14, 0x1.d5abebdd4b782p-14, 0x1.c85b4af7ef50ap-14, 0x1.bb5bb3d52236ep-14, 0x1.aeaa4bde3a107p-14, 0x1.a244a9bd9b28dp-14, 0x1.962a50c0db4a8p-14, 0x1.8a5b199c0aa4dp-14, 0x1.7ed5d9a639979p-14, 0x1.7398c174b566fp-14, 0x1.68a1f3a719c9ep-14, 0x1.5defa4254adc5p-14, 0x1.538007280941p-14, 0x1.49515a82d5149p-14, 0x1.3f61e6eea79eep-14, 0x1.35b00f711da7ap-14, 0x1.2c3a5c22dceedp-14, 0x1.22ff885d4db0bp-14, 0x1.19fe8bc86c826p-14, 0x1.11367ab1759b3p-14, 0x1.08a639d09fd0dp-14, 0x1.004c38999965bp-14, 0x1.f04d536817f45p-15, 0x1.e068400fa56f8p-15, 0x1.d0e80e857790dp-15, 0x1.c1cca6d2e39e9p-15, 0x1.b313c7a09704fp-15, 0x1.a4b7eb36f8a87p-15, 0x1.96b5d6749d615p-15, 0x1.890d4d4aa7f9ep-15, 0x1.7bbc3cfd091aep-15, 0x1.6ec07e94b8924p-15, 0x1.6219e80d5f6cbp-15, 0x1.55c774d642e8ap-15, 0x1.49c67aba831ecp-15, 0x1.3e1443dd62927p-15, 0x1.32aec5a1482b4p-15, 0x1.27947edc80f39p-15, 0x1.1cc43682d89f3p-15, 0x1.123cbf3a13b19p-15, 0x1.07fcc12e18cdcp-15, 0x1.fc0537467ad6ep-16, 0x1.e898d95ee5c39p-16, 0x1.d5b06db0b9169p-16, }}, 
      {{0x1.ac4c61b51b9c8p-9, 0x1.e24929f233074p-8, 0x1.c85f2c6d18cbep-7, 0x1.738b478c67cc3p-6, 0x1.109c15c7934dbp-5, 0x1.73cddc4171efep-5, 0x1.e09af22e8fc87p-5, 0x1.2a342faf01e4fp-4, 0x1.6667a153be671p-4, 0x1.a3d2a98e90a5ep-4, 0x1.e180318ddb1ddp-4, 0x1.0f4d926a3e746p-3, 0x1.2d36997b52078p-3, 0x1.4a2e6b7b3f4b1p-3, 0x1.65f57e4c2ebf7p-3, 0x1.80584063bf892p-3, 0x1.992dda555e5cbp-3, 0x1.b056fd8c9519ep-3, 0x1.c5bcc681b09dcp-3, 0x1.d94fb50e7c9b5p-3, 0x1.eb06bb5ad4bfcp-3, 0x1.fade628fe007fp-3, 0x1.046c01f7a4bf2p-2, 0x1.0a7c8a62fa1a8p-2, 0x1.0fa541ddd4defp-2, 0x1.13ec13175301dp-2, 0x1.17581a38be047p-2, 0x1.19f169eafafbp-2, 0x1.1bc0d6bffca12p-2, 0x1.1ccfc885b3b1fp-2, 0x1.1d2811107c84ap-2, 0x1.1cd3c810f32dp-2, 0x1.1bdd2b8e9e3b4p-2, 0x1.1a4e84a5ad047p-2, 0x1.1832102befbd1p-2, 0x1.1591eae516eabp-2, 0x1.127800eea6b18p-2, 0x1.0eee001666173p-2, 0x1.0afd4cceb742p-2, 0x1.06aef9734948ep-2, 0x1.020bbf9efccc6p-2, 0x1.fa37f69e12261p-3, 0x1.efcf4f297e85p-3, 0x1.e4ecb94ae37cep-3, 0x1.d99e9e1c38112p-3, 0x1.cdf29fa69054ep-3, 0x1.c1f59ada9d92bp-3, 0x1.b5b3aa9d03ba2p-3, 0x1.a9382c179080ep-3, 0x1.9c8dc3c56289ap-3, 0x1.8fbe6312f12aep-3, 0x1.82d34e7469f47p-3, 0x1.75d523e6d876ap-3, 0x1.68cbe1d39ba91p-3, 0x1.5bbeedf0efa5fp-3, 0x1.4eb51c176b744p-3, 0x1.41b4b52df857dp-3, 0x1.34c37e3ccdf95p-3, 0x1.27e6bf6d4f87ep-3, 0x1.1b234abe77458p-3, 0x1.0e7d82541ec74p-3, 0x1.01f95e9f5697fp-3, 0x1.eb34e904fd526p-4, 0x1.d2c7f6dbc9789p-4, 0x1.bab1a68a06056p-4, 0x1.a2f713c809a83p-4, 0x1.8b9cc0770261dp-4, 0x1.74a69e4f9471dp-4, 0x1.5e18184571f18p-4, 0x1.47f41bd06d416p-4, 0x1.323d21ff8530bp-4, 0x1.1cf538254e561p-4, 0x1.081e07ed0a3c4p-4, 0x1.e771bd9651246p-5, 0x1.bf8d69bac206ep-5, 0x1.989066c40e477p-5, 0x1.727b75d6a632ap-5, 0x1.4d4ed2bbd6caap-5, 0x1.290a3f810fa88p-5, 0x1.05ad0f7cbe2adp-5, 0x1.c66c6362e8efap-6, 0x1.834874c2bbc1p-6, 0x1.41ead7afcc19p-6, 0x1.024f7cf53fd19p-6, 0x1.88e3a0f91797fp-7, 0x1.10998e74c47e1p-7, 0x1.376bb142e3b37p-8, 0x1.5166d78a8a6acp-10, -0x1.1036ca04087b4p-9, -0x1.5e0d49c8f138dp-8, -0x1.16cb4a28c388cp-7, -0x1.7b6955ffc5188p-7, -0x1.dceed09f340cep-7, -0x1.1db50360d4703p-6, -0x1.4b74bdc79693dp-6, -0x1.77bdedba83fb2p-6, -0x1.a297f82e57444p-6, -0x1.cc0a4b7485b9ap-6, -0x1.f41c5a4b5f5a1p-6, -0x1.0d6acbaf1641ep-5, -0x1.201eb893cc71fp-5, -0x1.322da71a3ed73p-5, -0x1.439b44dfb5e5ap-5, -0x1.546b38527776ep-5, -0x1.64a11f5507db1p-5, -0x1.74408e09fca17p-5, -0x1.834d0dc4c2b36p-5, -0x1.91ca1c1ea55e6p-5, -0x1.9fbb2a2bcb7dcp-5, -0x1.ad239bcecba11p-5, -0x1.ba06c7273704ep-5, -0x1.c667f41964f83p-5, -0x1.d24a5be828e46p-5, -0x1.ddb128ef589ap-5, -0x1.e89f76564962bp-5, -0x1.f3184ff57782fp-5, -0x1.fd1eb22964bc5p-5, -0x1.035ac4e3b9c6dp-4, -0x1.07efda0b0af4cp-4, -0x1.0c4fff690348dp-4, -0x1.107c941e7c727p-4, -0x1.1476ef99ceb3fp-4, -0x1.184061a6e51afp-4, -0x1.1bda32815cbc8p-4, -0x1.1f45a2eaf5c9dp-4, -0x1.2283ec43f4be3p-4, -0x1.259640a5b2474p-4, -0x1.287dcb000e39cp-4, -0x1.2b3baf378ffb9p-4, -0x1.2dd10a453e619p-4, -0x1.303ef25873f7fp-4, -0x1.328676f81224ep-4, -0x1.34a8a12591387p-4, -0x1.36a67380b3eacp-4, -0x1.3880ea6a6e40bp-4, -0x1.3a38fc28feb99p-4, -0x1.3bcf990b9007cp-4, -0x1.3d45ab8ec659fp-4, -0x1.3e9c187ed5144p-4, -0x1.3fd3bf1c670c8p-4, -0x1.40ed793e1f154p-4, -0x1.41ea1b75159ep-4, -0x1.42ca752947d1fp-4, -0x1.438f50c7c1249p-4, -0x1.443973d1f8c2p-4, -0x1.44c99f0d7ea9ep-4, -0x1.45408e9ad59dcp-4, -0x1.459efa17ca789p-4, -0x1.45e594bcc47b8p-4, -0x1.46150d7acbdb6p-4, -0x1.462e0f184c6f9p-4, -0x1.4631404cbc43p-4, -0x1.461f43dcafbf4p-4, -0x1.45f8b8b42b21p-4, -0x1.45be3a00594ap-4, -0x1.45705f49071cfp-4, -0x1.450fbc8901dacp-4, -0x1.449ce2469dc94p-4, -0x1.44185da84bf0ep-4, -0x1.4382b88db61e4p-4, -0x1.42dc79a464486p-4, -0x1.4226247c69591p-4, -0x1.4160399c8a15bp-4, -0x1.408b36963d813p-4, -0x1.3fa7961a34ep-4, -0x1.3eb5d007e6b8ap-4, -0x1.3db6598185884p-4, -0x1.3ca9a4fc6e0d7p-4, -0x1.3b902252a74eap-4, -0x1.3a6a3ed2e0d51p-4, -0x1.3938654f971dp-4, -0x1.37fafe2e66fe7p-4, -0x1.36b26f776b1cdp-4, -0x1.355f1ce25d6b1p-4, -0x1.340167e6b45c8p-4, -0x1.3299afc613d9ep-4, -0x1.3128519abfd61p-4, -0x1.2fada8643f824p-4, -0x1.2e2a0d1385895p-4, -0x1.2c9dd6967dd69p-4, -0x1.2b0959e3874d5p-4, -0x1.296cea04a4527p-4, -0x1.27c8d82258d37p-4, -0x1.261d738eaba9dp-4, -0x1.246b09cb17468p-4, -0x1.22b1e69ef037fp-4, -0x1.20f2540dec151p-4, -0x1.1f2c9a7236c77p-4, -0x1.1d61007ce80f7p-4, -0x1.1b8fcb4177412p-4, -0x1.19b93e3e37b99p-4, -0x1.17dd9b64ad0b6p-4, -0x1.15fd23217b6b5p-4, -0x1.1418146450b9fp-4, -0x1.122eaca760a76p-4, -0x1.104127f9978edp-4, -0x1.0e4fc10190825p-4, -0x1.0c5ab108fcb78p-4, -0x1.0a62300138c06p-4, -0x1.0866748ab636bp-4, -0x1.0667b3fc09656p-4, -0x1.04662268bea69p-4, -0x1.0261f2a7b4424p-4, -0x1.005b56591b48bp-4, -0x1.fca4fbd8e4e35p-5, -0x1.f88f314d57d12p-5, -0x1.f475a950ae485p-5, -0x1.f058bde649b32p-5, -0x1.ec38c6e368199p-5, -0x1.e81619f0bdad9p-5, -0x1.e3f10a9e13022p-5, -0x1.dfc9ea683f90fp-5, -0x1.dba108c500282p-5, -0x1.d776b32d69fbcp-5, -0x1.d34b3527d9c62p-5, -0x1.cf1ed8516222p-5, -0x1.caf1e4670d8f4p-5, -0x1.c6c49f4f1cf33p-5, -0x1.c2974d2260d65p-5, -0x1.be6a30357026fp-5, -0x1.ba3d89219680ep-5, -0x1.b61196cd62c1ep-5, -0x1.b1e69674e781bp-5, -0x1.adbcc3b1e8e49p-5, -0x1.a99458835adbdp-5, -0x1.a56d8d5692a13p-5, -0x1.a148990e31315p-5, -0x1.9d25b10a39e55p-5, -0x1.9905092f9ae76p-5, -0x1.94e6d3ef629e8p-5, -0x1.90cb424dcc497p-5, -0x1.8cb283e9399a5p-5, -0x1.889cc70116dbap-5, -0x1.848a387caaaccp-5, -0x1.807b03f1cf948p-5, -0x1.7c6f53ab78187p-5, -0x1.786750b000297p-5, -0x1.746322c748621p-5, -0x1.7062f080ab9e7p-5, -0x1.6c66df39e4e3ap-5, -0x1.686f131f1e269p-5, -0x1.647baf3f8df43p-5, -0x1.608cd579da47dp-5, -0x1.5ca2a6a1fdee4p-5, -0x1.58bd426787acep-5, -0x1.54dcc76efe919p-5, -0x1.5101534f42a17p-5, -0x1.4d2b0297d6883p-5, -0x1.4959f0d5d50bdp-5, -0x1.458e3898d921ap-5, -0x1.41c7f377dbcf3p-5, -0x1.3e073a160019bp-5, -0x1.3a4c24272e671p-5, -0x1.3696c874c3ed8p-5, -0x1.32e73ce1a645p-5, -0x1.2f3d966ecef35p-5, -0x1.2b99e93f6e1efp-5, -0x1.27fc489d2c379p-5, -0x1.2464c6fc60b73p-5, -0x1.20d376003d465p-5, -0x1.1d48667ee30ffp-5, -0x1.19c3a88544028p-5, -0x1.16454b5ae6ddbp-5, -0x1.12cd5d8442f56p-5, -0x1.0f5beccc2d23cp-5, -0x1.0bf1063bdca1p-5, -0x1.088cb629e1897p-5, -0x1.052f08384498cp-5, -0x1.01d80759228bcp-5, -0x1.fd0f7ba46da76p-6, -0x1.f67c6a8059e03p-6, -0x1.eff6ed337cd3fp-6, -0x1.e97f14655b403p-6, -0x1.e314ef7d93715p-6, -0x1.dcb88caa04d17p-6, -0x1.d669f8e5442a4p-6, -0x1.d0293ffd3532dp-6, -0x1.c9f66c99b3985p-6, -0x1.c3d18842f8795p-6, -0x1.bdba9b6786d7bp-6, -0x1.b7b1ad619b7dep-6, -0x1.b1b6c47c4168cp-6, -0x1.abc9e5f862accp-6, -0x1.a5eb161221d6ap-6, -0x1.a01a58069c248p-6, -0x1.9a57ae1a127cfp-6, -0x1.94a3199e1da7cp-6, -0x1.8efc9af7bc874p-6, -0x1.896431a47a19fp-6, -0x1.83d9dc3d153d7p-6, -0x1.7e5d98866f65cp-6, -0x1.78ef635b3185fp-6, -0x1.738f38cb69e07p-6, -0x1.6e3d1413f885cp-6, -0x1.68f8efa7a44ffp-6, -0x1.63c2c5335ac9dp-6, -0x1.5e9a8d887a751p-6, -0x1.5980411b5e735p-6, -0x1.5473d738690eep-6, -0x1.4f7546a9d87cep-6, -0x1.4a848595565d9p-6, -0x1.45a1896a94357p-6, -0x1.40cc472626831p-6, -0x1.3c04b255ee58dp-6, -0x1.374abf1feb8d3p-6, -0x1.329e6045d1ff8p-6, -0x1.2dff882a88151p-6, -0x1.296e28a2b18f5p-6, -0x1.24ea32f82ea33p-6, -0x1.207397e80d9d4p-6, -0x1.1c0a47a22f66ep-6, -0x1.17ae3214ef1d5p-6, -0x1.135f4657e62cap-6, -0x1.0f1d73369cdc4p-6, -0x1.0ae8a713137bdp-6, -0x1.06c0cfd46699ep-6, -0x1.02a5daf89676fp-6, -0x1.fd2f6b2cf10f8p-7, -0x1.f52c98c7be063p-7, -0x1.ed43174ec70c2p-7, -0x1.e572bebf1ccd3p-7, -0x1.ddbb6646397bap-7, -0x1.d61ce46c7fd1fp-7, -0x1.ce970f1618082p-7, -0x1.c729bb89dd1e6p-7, -0x1.bfd4be77d828ep-7, -0x1.b897ebffc13c2p-7, -0x1.b17317b76f768p-7, -0x1.aa6614b144d04p-7, -0x1.a370b582a696dp-7, -0x1.9c92cc4a2e20cp-7, -0x1.95cc2ab58d82ap-7, -0x1.8f1ca2074301ap-7, -0x1.8884031c31c88p-7, -0x1.82021e718c3dep-7, -0x1.7b96c42aeb62cp-7, -0x1.7541c418ab282p-7, -0x1.6f02edbe18528p-7, -0x1.68da105718aa3p-7, -0x1.62c6fadd0178ep-7, -0x1.5cc97c0b1c66p-7, -0x1.56e16262c6ff2p-7, -0x1.510e7c3023356p-7, -0x1.4b50978f56001p-7, -0x1.45a782724e5fap-7, -0x1.40130aa6cb48cp-7, -0x1.3a92fddbd4f77p-7, -0x1.352729a636d13p-7, -0x1.2fcf5b83ede1p-7, -0x1.2a8b60df1be5cp-7, -0x1.255b071152329p-7, -0x1.203e1b6783318p-7, -0x1.1b346b24820a9p-7, -0x1.163dc391f6234p-7, -0x1.1159f1f04d4ep-7, -0x1.0c88c390329bcp-7, -0x1.07ca05cb845b8p-7, -0x1.031d8608f7c8cp-7, -0x1.fd06237b640e7p-8, -0x1.f3f4ecdecda3cp-8, -0x1.eb07036fdcbdbp-8, -0x1.e23c028e0c5e5p-8, -0x1.d99385f147b04p-8, -0x1.d10d29729363dp-8, -0x1.c8a88954f76a9p-8, -0x1.c0654227a18aap-8, -0x1.b842f0cc3118ep-8, -0x1.b0413275bd055p-8, -0x1.a85fa4aaa0a1dp-8, -0x1.a09de54af0bbep-8, -0x1.98fb929b78f4fp-8, -0x1.91784b530b02dp-8, -0x1.8a13aea6338d7p-8, -0x1.82cd5c4e14e5bp-8, -0x1.7ba4f4882527fp-8, -0x1.749a181140f2p-8, -0x1.6dac681eb0dd8p-8, -0x1.66db865b03a32p-8, -0x1.602714e9ec551p-8, -0x1.598eb673edaa7p-8, -0x1.53120e373fb45p-8, -0x1.4cb0c0186afb7p-8, -0x1.466a70acf11ecp-8, -0x1.403ec53be6cadp-8, -0x1.3a2d63b4a6728p-8, -0x1.3435f29fe150dp-8, -0x1.2e581911f2b4bp-8, -0x1.28937ea5af70ep-8, -0x1.22e7cb834eee3p-8, -0x1.1d54a873838b9p-8, -0x1.17d9bef87181fp-8, -0x1.1276b96097b28p-8, -0x1.0d2b42e34751fp-8, -0x1.07f707754490bp-8, -0x1.02d9b4017ad51p-8, -0x1.fba5ebb30e91p-9, -0x1.f1c4f625fc2bp-9, -0x1.e80fe46bc9726p-9, -0x1.de8614ae628ebp-9, -0x1.d526e65dcb80cp-9, -0x1.cbf1ba77775b7p-9, -0x1.c2e5f3cc9fe89p-9, -0x1.ba02f72ef43d2p-9, -0x1.b1482b7253c44p-9, -0x1.a8b4f94134a31p-9, -0x1.a048cacf198b4p-9, -0x1.98030b83d5045p-9, -0x1.8fe327bb4925fp-9, -0x1.87e88cb1b780fp-9, -0x1.8012a8a5b1b0cp-9, -0x1.7860eb280c87bp-9, -0x1.70d2c5820875dp-9, -0x1.6967ab11f18cfp-9, -0x1.621f117f8debp-9, -0x1.5af870b5fcc9p-9, -0x1.53f342a2126cbp-9, -0x1.4d0f02c7419f4p-9, -0x1.464b2dca6310cp-9, -0x1.3fa741159eb0ep-9, -0x1.3922bab22a0a9p-9, -0x1.32bd196490edbp-9, -0x1.2c75dd05de3dbp-9, -0x1.264c8700a3964p-9, -0x1.20409ace57129p-9, -0x1.1a519e508bdeep-9, -0x1.147f19ea69be2p-9, -0x1.0ec89851dbd62p-9, -0x1.092da623f42a2p-9, -0x1.03add1577358dp-9, -0x1.fc915180cf326p-10, -0x1.f1fb773e72bb7p-10, -0x1.e79933316e481p-10, -0x1.dd69a5b30f4aep-10, -0x1.d36bf105c66c3p-10, -0x1.c99f3a6f5ae86p-10, -0x1.c002ab4e56131p-10, -0x1.b69571b77f90cp-10, -0x1.ad56c16d8703cp-10, -0x1.a445d22cb7662p-10, -0x1.9b61e025a3c37p-10, -0x1.92aa2a4828aeap-10, -0x1.8a1df13bdc73fp-10, -0x1.81bc768695999p-10, -0x1.7984fc1d97524p-10, -0x1.7176c47ab3705p-10, -0x1.6991132e4d25cp-10, -0x1.61d32dcd8e021p-10, -0x1.5a3c5d063b02cp-10, -0x1.52cbed958cd54p-10, -0x1.4b8130e43be4fp-10, -0x1.445b7d2078cbbp-10, -0x1.3d5a2cd29c5c8p-10, -0x1.367c9e0df43e1p-10, -0x1.2fc231744aa21p-10, -0x1.292a4946c837ep-10, -0x1.22b448afc725cp-10, -0x1.1c5f935d8cf03p-10, -0x1.162b8d772f942p-10, -0x1.10179be99b697p-10, -0x1.0a232502facf6p-10, -0x1.044d9144efbd5p-10, -0x1.fd2c988367f5ep-11, -0x1.f1f98a9bdd54bp-11, -0x1.e700dfacf7702p-11, -0x1.dc4186884aaacp-11, -0x1.d1ba74f88ebe6p-11, -0x1.c76aa6568e58dp-11, -0x1.bd511a1b827ep-11, -0x1.b36cd2baf8eep-11, -0x1.a9bcd4d9c64e2p-11, -0x1.a04026d090bd5p-11, -0x1.96f5d066d7041p-11, -0x1.8ddcdad2b02d9p-11, -0x1.84f45121c3625p-11, -0x1.7c3b4126e2df9p-11, -0x1.73b0bcd1028adp-11, -0x1.6b53db9019c49p-11, -0x1.6323bb50fd9d8p-11, -0x1.5b1f80b8d366ep-11, -0x1.53465699e8c62p-11, -0x1.4b976cec5f935p-11, -0x1.4411f7bb133b7p-11, -0x1.3cb52eaab79e9p-11, -0x1.35804b3a2edc6p-11, -0x1.2e728b3c5d4bep-11, -0x1.278b2dfb2f3a4p-11, -0x1.20c974b768785p-11, -0x1.1a2ca2217678p-11, -0x1.13b3fa138363fp-11, -0x1.0d5ec075bdde9p-11, -0x1.072c3c6f77141p-11, -0x1.011bb8b2f9befp-11, -0x1.f6590a313dc9ap-12, -0x1.eabbee69c658cp-12, -0x1.df5ed411e59cep-12, -0x1.d4407a1b529c6p-12, -0x1.c95fa633c2c51p-12, -0x1.bebb23436ccc6p-12, -0x1.b451c1156e1b7p-12, -0x1.aa2254e12bdf1p-12, -0x1.a02bb9ccfedd8p-12, -0x1.966cd077c9bc4p-12, -0x1.8ce47d369ea69p-12, -0x1.8391a5ae01843p-12, -0x1.7a732f2b46d95p-12, -0x1.7187fee500685p-12, -0x1.68cefc63408a5p-12, -0x1.604715135902ep-12, -0x1.57ef3f7270a8p-12, -0x1.4fc67c83aca4dp-12, -0x1.47cbd7338b859p-12, -0x1.3ffe62357a1p-12, -0x1.385d35690f6fp-12, -0x1.30e76bd9ef28bp-12, -0x1.299c2312d6aedp-12, -0x1.227a7bdb92564p-12, -0x1.1b819bb9ec278p-12, -0x1.14b0ae0705d1ap-12, -0x1.0e06e38854fp-12, -0x1.0783705739fb9p-12, -0x1.0125890843a17p-12, -0x1.f5d8c1665aacp-13, -0x1.e9ae5257b5e1p-13, -0x1.ddca2b16d3c1bp-13, -0x1.d22abb9e202ccp-13, -0x1.c6ce838bc16d1p-13, -0x1.bbb4143309dbfp-13, -0x1.b0da0ecab2931p-13, -0x1.a63f20441e433p-13, -0x1.9be1fcaabab68p-13, -0x1.91c15b650bcc2p-13, -0x1.87dbf541417b6p-13, -0x1.7e3084d51c0c6p-13, -0x1.74bdc91aa6865p-13, -0x1.6b82891daf204p-13, -0x1.627d96a3407bdp-13, -0x1.59adcde243717p-13, -0x1.511211f028457p-13, -0x1.48a9479942236p-13, -0x1.4072519768de7p-13, -0x1.386c109b969cap-13, -0x1.3095676dde9aap-13, -0x1.28ed3f27c4a2ap-13, -0x1.217292e6e3b31p-13, -0x1.1a24619069ab7p-13, -0x1.1301ba59c20adp-13, -0x1.0c09b2388ebfep-13, -0x1.053b63236506ap-13, -0x1.fd2bd4e5a063ap-14, -0x1.f030ceea82f34p-14, -0x1.e383f4649f8a6p-14, -0x1.d7238640c0b65p-14, -0x1.cb0dc939e95b3p-14, -0x1.bf410be0ce52bp-14, -0x1.b3bbaca0bcb66p-14, -0x1.a87c1beb64ff9p-14, -0x1.9d80d8c7b87e8p-14, -0x1.92c86977a36ebp-14, -0x1.8851542cdc9bdp-14, -0x1.7e1a1c1f26bb4p-14, -0x1.7421450907f2p-14, -0x1.6a655ad8cadcp-14, -0x1.60e4f7fee9053p-14, -0x1.579ec60ea55aep-14, -0x1.4e9179dee6496p-14, -0x1.45bbcffb369c5p-14, -0x1.3d1c8c61a7588p-14, -0x1.34b27c1a07cc6p-14, -0x1.2c7c754ebe43ep-14, -0x1.2479544978927p-14, -0x1.1ca7f6a6d0035p-14, -0x1.150738021c484p-14, -0x1.0d95f2d17dc6fp-14, -0x1.06530575a1d52p-14, -0x1.fe7ab1342d848p-15, -0x1.f0a7c68715871p-15, -0x1.e32b568707d1bp-15, -0x1.d60379f8a9972p-15, -0x1.c92e67c91e877p-15, -0x1.bcaa37aa71e2cp-15, -0x1.b0750ae86ec38p-15, -0x1.a48cfd5e0e64fp-15, -0x1.98f036d92a94cp-15, -0x1.8d9cf233bc562p-15, -0x1.8291798b10734p-15, -0x1.77cc1f4c94853p-15, -0x1.6d4b3e693caafp-15, -0x1.630d4110711d9p-15, -0x1.5910a50df8a63p-15, -0x1.4f53f8283be67p-15, -0x1.45d5cf60b040ap-15, -0x1.3c94bf10afc5cp-15, -0x1.338f5782ccb27p-15, -0x1.2ac4269f11758p-15, -0x1.2231bd5cab17bp-15, -0x1.19d6b6f928209p-15, -0x1.11b1bf3d81ec7p-15, -0x1.09c195c8d5818p-15, -0x1.02050d5bd4c71p-15, -0x1.f4f60d87824e7p-16, -0x1.e644cf10ff71dp-16, -0x1.d7f41ed5c63p-16, -0x1.ca01a3db4b6d4p-16, -0x1.bc6b0525c2ad4p-16, -0x1.af2e00f4d44ffp-16, -0x1.a24859580075bp-16, -0x1.95b7f8fb14f76p-16, -0x1.897ac9e397a7fp-16, -0x1.7d8ec2266fd67p-16, -0x1.71f1f16b161b3p-16, -0x1.66a28137bb86bp-16, -0x1.5b9ea7acc1d95p-16, -0x1.50e49d416f0c5p-16, -0x1.46729d62c705dp-16, -0x1.3c46eb4dc6a84p-16, -0x1.325fd2bf036f5p-16, -0x1.28bba4ca60b0bp-16, -0x1.1f58b74830ad8p-16, -0x1.16356a1007a25p-16, -0x1.0d502e2dfb6cbp-16, -0x1.04a789fb05fa7p-16, -0x1.f87430e4e918ep-17, -0x1.e80d091574eb3p-17, -0x1.d81701b480de9p-17, -0x1.c88f78490eeb9p-17, -0x1.b973b120bfecbp-17, -0x1.aac0dfb1c7d52p-17, -0x1.9c74490f0241p-17, -0x1.8e8b5d871b99bp-17, -0x1.8103af5d9ad03p-17, -0x1.73dadca729809p-17, -0x1.670e8d1b7c78cp-17, -0x1.5a9c805a1cbc4p-17, -0x1.4e828de0c41ecp-17, -0x1.42be917b0615bp-17, -0x1.374e61204dcb3p-17, -0x1.2c2fd946ea644p-17, -0x1.2160ed6f4572fp-17, -0x1.16dfa9030b84cp-17, -0x1.0caa22b4c445dp-17, -0x1.02be729296a83p-17, -0x1.f235658f6e998p-18, -0x1.df7a0dadb9dffp-18, -0x1.cd4744f0f0469p-18, -0x1.bb99983e3bf39p-18, -0x1.aa6db745f892ep-18, -0x1.99c070c7d5394p-18, -0x1.898eb17befb5ap-18, -0x1.79d57f56ac933p-18, -0x1.6a91e70e66153p-18, -0x1.5bc0e455cd058p-18, -0x1.4d5f64ace918ep-18, -0x1.3f6a6c4ee4405p-18, -0x1.31df334362adbp-18, -0x1.24bb1e3febd1bp-18, -0x1.17fba2e8054e5p-18, -0x1.0b9e32d9d78e4p-18, -0x1.ff408bc462706p-19, -0x1.e7fed1c8e3cb4p-19, -0x1.d1725ff7bb324p-19, -0x1.bb966212934ddp-19, -0x1.a66634348a8e8p-19, -0x1.91dd780926c86p-19, -0x1.7df7f53fc9f6p-19, -0x1.6ab17d584fa5dp-19, -0x1.5805ebf326438p-19, -0x1.45f12d947f45cp-19, -0x1.346fa7114e05cp-19, -0x1.237c2c436266p-19, -0x1.13142aba62986p-19, -0x1.033386245391ap-19, -0x1.e7ad3e710e726p-20, -0x1.c9f3e3bd6d69ap-20, -0x1.ad33f91347897p-20, -0x1.9167d96b4f12cp-20, -0x1.768849a75b44p-20, -0x1.5c8f81207efabp-20, -0x1.43770983fecf9p-20, -0x1.2b387adb6ef2p-20, -0x1.13cdbe4f80088p-20, -0x1.fa62744953c1cp-21, -0x1.cebb4e76e6fedp-21, -0x1.a49b5715fe21p-21, -0x1.7bf7676887859p-21, -0x1.54c4c4a54bc8ep-21, -0x1.2ef960fbd42cbp-21, -0x1.0a8b429e47976p-21, -0x1.cee1743091989p-22, -0x1.8b413f2a1a54cp-22, -0x1.4a23dd1d67e4ep-22, -0x1.0b77567c79e9p-22, -0x1.9e5458486cbc7p-23, -0x1.2a56eb9538118p-23, -0x1.75aaff190efcap-24, -0x1.3ebf441435961p-25, 0x1.739dc728f038bp-27, 0x1.e81adde8e7fb4p-25, 0x1.b1aa9c225fd1cp-24, 0x1.33c375a544d2ap-23, 0x1.8aee3c58f2576p-23, }}, 
      std::vector<double>(700, 0.0), 
      {{0x1.03ed924898e16p-3, 0x1.f340706afb477p-3, 0x1.615af3628d7f7p-2, 0x1.b6b1f6fae92a2p-2, 0x1.f9271463a3dd2p-2, 0x1.14bd8c3127d25p-1, 0x1.2499d1ad80662p-1, 0x1.2d2160faf216ap-1, 0x1.2f635830938e5p-1, 0x1.2c6ecfd776d27p-1, 0x1.2544aaab27402p-1, 0x1.1acf65c6db8aep-1, 0x1.0ddf3915af55fp-1, 0x1.fe5241bdd1c1dp-2, 0x1.de8f70ef8b8dep-2, 0x1.bd7a3449b5debp-2, 0x1.9bea72429c675p-2, 0x1.7a90ba79b5613p-2, 0x1.59fb19224374dp-2, 0x1.3a999234b5c1cp-2, 0x1.1cc22fdd764e4p-2, 0x1.00b4a1a639745p-2, 0x1.cd3ae543035fap-3, 0x1.9d31c0fee273cp-3, 0x1.716abd3c54158p-3, 0x1.49eb9ff9a4aa8p-3, 0x1.26a7038ad46cdp-3, 0x1.077fdc6d4d43cp-3, 0x1.d899377f05cf1p-4, 0x1.a9b3ee3ca9e4cp-4, 0x1.81dab97cd1893p-4, 0x1.608e32bb26d49p-4, 0x1.45486a2d99f2bp-4, 0x1.2f8017e3643f3p-4, 0x1.1eab4e1413c15p-4, 0x1.1241b698884eap-4, 0x1.09be658ac41fcp-4, 0x1.04a14b73d1facp-4, 0x1.027051434cb3bp-4, 0x1.02b82879c60b9p-4, 0x1.050cd9d6f0cf8p-4, 0x1.090a1a66b07fdp-4, 0x1.0e5371c5984cdp-4, 0x1.14943b7dc54b4p-4, 0x1.1b7f82aae2f98p-4, 0x1.22cfcbd481c86p-4, 0x1.2a46c8a582fd3p-4, 0x1.31acf8ffff3p-4, 0x1.38d14f616c38fp-4, 0x1.3f88bf5055fffp-4, 0x1.45add917b6d58p-4, 0x1.4b20590b87c3fp-4, 0x1.4fc4c18e1504fp-4, 0x1.5383f43282bfap-4, 0x1.564ad1c34f57ap-4, 0x1.5809de16c9da1p-4, 0x1.58b4ea466318ap-4, 0x1.5842c4d84a53bp-4, 0x1.56acef846e8c9p-4, 0x1.53ef59cdc4adp-4, 0x1.5008200693e8fp-4, 0x1.4af74f29a81a6p-4, 0x1.44bead9c0443bp-4, 0x1.3d61888549f1ep-4, 0x1.34e4851478e1fp-4, 0x1.2b4d750791a29p-4, 0x1.20a32e5a0653ep-4, 0x1.14ed662d5211bp-4, 0x1.08348f1b61db3p-4, 0x1.f50375d217a35p-5, 0x1.d7bcfe78d4b07p-5, 0x1.b8a9b9c669f4dp-5, 0x1.97de527a18f9bp-5, 0x1.756ff32984c88p-5, 0x1.517420ab2e9dcp-5, 0x1.2c00984f7cc98p-5, 0x1.052b31de1d494p-5, 0x1.ba138a4938f37p-6, 0x1.676425850a175p-6, 0x1.12735f4e461d4p-6, 0x1.76d7cbb057b26p-7, 0x1.89df2c7e0d36p-8, 0x1.f01a103db28edp-12, -0x1.5246f08946806p-8, -0x1.64ae07a7f5ff9p-7, -0x1.1168cbe5a166ap-6, -0x1.71a17c5a8a6fdp-6, -0x1.d2dc94c2adb89p-6, -0x1.1a7b5b3bc9a3bp-5, -0x1.4be6d624adb36p-5, -0x1.7da03835d0c34p-5, -0x1.af97983b041f2p-5, -0x1.e1bda80bc7cffp-5, -0x1.0a01da8a42389p-4, -0x1.232dd434627fp-4, -0x1.3c5c03125daedp-4, -0x1.5585f6209320cp-4, -0x1.6ea588813971bp-4, -0x1.87b4e063e9479p-4, -0x1.a0ae6dcc60f83p-4, -0x1.b98ce919656e7p-4, -0x1.d24b5177f9698p-4, -0x1.eae4eb21c57d9p-4, -0x1.01aa9ec84bd5dp-3, -0x1.0dcc08c93adc1p-3, -0x1.19d4b7aabbbcfp-3, -0x1.25c2ce2f2c6ebp-3, -0x1.31948cbefd9ccp-3, -0x1.3d48505e423b5p-3, -0x1.48dc91a014f36p-3, -0x1.544fe39c60e31p-3, -0x1.5fa0f2e1ee3b1p-3, -0x1.6ace846d56105p-3, -0x1.75d774a19478fp-3, -0x1.80bab6411bf71p-3, -0x1.8b7751702a8e2p-3, -0x1.960c62b5502bep-3, -0x1.a0791a05f1252p-3, -0x1.aabcb9d251119p-3, -0x1.b4d6961d7226cp-3, -0x1.bec613980fbdbp-3, -0x1.c88aa6c35b00cp-3, -0x1.d223d31d7d355p-3, -0x1.db912a50d38d5p-3, -0x1.e4d24b6f61fbcp-3, -0x1.ede6e2343ecbbp-3, -0x1.f6cea64a0ec2bp-3, -0x1.ff895a9e71df4p-3, -0x1.040b665c2b3d5p-2, -0x1.083b6a0bc1538p-2, -0x1.0c54a8cebbec5p-2, -0x1.1057177cacfd4p-2, -0x1.1442af0f64791p-2, -0x1.18176c624d8aap-2, -0x1.1bd54ff17e67dp-2, -0x1.1f7c5da0802f3p-2, -0x1.230c9c84454a9p-2, -0x1.268616aacef63p-2, -0x1.29e8d8ead98c1p-2, -0x1.2d34f2b81d54ap-2, -0x1.306a75f5280dcp-2, -0x1.338976c7e72dcp-2, -0x1.36920b76ed3cep-2, -0x1.39844c462a00fp-2, -0x1.3c605350f10c6p-2, -0x1.3f263c6cf6c32p-2, -0x1.41d6250e27137p-2, -0x1.44702c2a2e563p-2, -0x1.46f4721ff1569p-2, -0x1.4963189f3b018p-2, -0x1.4bbc429252443p-2, -0x1.4e00140cc6b8ep-2, -0x1.502eb238b5e6fp-2, -0x1.524843428c9a5p-2, -0x1.544cee48ed0a6p-2, -0x1.563cdb52b6394p-2, -0x1.581833420e81cp-2, -0x1.59df1fc21dd45p-2, -0x1.5b91cb3cbfc3ep-2, -0x1.5d3060d43f1e2p-2, -0x1.5ebb0c5bb7624p-2, -0x1.6031fa48bb82p-2, -0x1.619557a9361c5p-2, -0x1.62e5522103157p-2, -0x1.642217e5621b6p-2, -0x1.654bd7b493858p-2, -0x1.6662c0cae6c64p-2, -0x1.676702e009af7p-2, -0x1.6858ce25a3c39p-2, -0x1.693853427a00dp-2, -0x1.6a05c34b22261p-2, -0x1.6ac14fbcbdd1ap-2, -0x1.6b6b2a7a84b43p-2, -0x1.6c0385cc5bedp-2, -0x1.6c8a945a3ee1ap-2, -0x1.6d0089291b474p-2, -0x1.6d659795b4b76p-2, -0x1.6db9f3511f874p-2, -0x1.6dfdd05edddfep-2, -0x1.6e316313bbb62p-2, -0x1.6e54e01308f2bp-2, -0x1.6e687c4953af5p-2, -0x1.6e6c6ce72b4p-2, -0x1.6e60e75f7ed2fp-2, -0x1.6e4621671de5ap-2, -0x1.6e1c50f519e7ap-2, -0x1.6de3ac3a4d1cfp-2, -0x1.6d9c699d16243p-2, -0x1.6d46bfb511bb3p-2, -0x1.6ce2e54c16c07p-2, -0x1.6c71115de314p-2, -0x1.6bf17b1361b07p-2, -0x1.6b6459bb3427bp-2, -0x1.6ac9e4c46b1ep-2, -0x1.6a2253bdc4c6cp-2, -0x1.696dde555e9aep-2, -0x1.68acbc57c455fp-2, -0x1.67df25a7fa589p-2, -0x1.6705523929db9p-2, -0x1.661f7a0a6e0ddp-2, -0x1.652dd5260e9bap-2, -0x1.64309ba0cc3dep-2, -0x1.632805964c2c7p-2, -0x1.62144b22b800dp-2, -0x1.60f5a45c5299dp-2, -0x1.5fcc494f72f73p-2, -0x1.5e9871fccbfacp-2, -0x1.5d5a5658147b4p-2, -0x1.5c122e43e7bc5p-2, -0x1.5ac0318db9406p-2, -0x1.596497e67d7fdp-2, -0x1.57ff98deb9e06p-2, -0x1.56916be38773p-2, -0x1.551a483c7ad45p-2, -0x1.539a6508da5f1p-2, -0x1.5211f93b772a6p-2, -0x1.50813b959341ep-2, -0x1.4ee862a1e717fp-2, -0x1.4d47a4b0adf8bp-2, -0x1.4b9f37d4d8471p-2, -0x1.49ef51e181048p-2, -0x1.48382866fff2bp-2, -0x1.4679f0af114b4p-2, -0x1.44b4dfb875913p-2, -0x1.42e92a32abc56p-2, -0x1.4117047a30de2p-2, -0x1.3f3ea295d6f5ep-2, -0x1.3d6038343439dp-2, -0x1.3b7bf8a8fbdabp-2, -0x1.399216e9cc03bp-2, -0x1.37a2c58a8ebeap-2, -0x1.35ae36b9d8a55p-2, -0x1.33b49c3da1bbcp-2, -0x1.31b62770b37dep-2, -0x1.2fb3094056b1dp-2, -0x1.2dab722a0bc9bp-2, -0x1.2b9f923914352p-2, -0x1.298f9903b9bacp-2, -0x1.277bb5a85a722p-2, -0x1.256416caf67bap-2, -0x1.2348ea91edb11p-2, -0x1.212a5ea58b196p-2, -0x1.1f08a02c2bbf3p-2, -0x1.1ce3dbc9f0d85p-2, -0x1.1abc3d9edd4e7p-2, -0x1.1891f144af8d2p-2, -0x1.166521ccc810dp-2, -0x1.1435f9be1d983p-2, -0x1.1204a31323b35p-2, -0x1.0fd1473810c26p-2, -0x1.0d9c0f09c2496p-2, -0x1.0b6522d5213f4p-2, -0x1.092caa56b9618p-2, -0x1.06f2ccba14b75p-2, -0x1.04b7b09821abfp-2, -0x1.027b7bf51e039p-2, -0x1.003e543e676cap-2, -0x1.fc00bc91f9bdfp-3, -0x1.f7837ca1f0eebp-3, -0x1.f3052ff49cafep-3, -0x1.ee861ca3fbc32p-3, -0x1.ea06879d65575p-3, -0x1.e586b4a0793c2p-3, -0x1.e106e63b7637dp-3, -0x1.dc875dc4ebf25p-3, -0x1.d8085b5a81d11p-3, -0x1.d38a1dddb5182p-3, -0x1.cf0ce2f71f2f2p-3, -0x1.ca90e71b7f22dp-3, -0x1.c616659049c42p-3, -0x1.c19d986e194dp-3, -0x1.bd26b89f7ecap-3, -0x1.b8b1fddce5367p-3, -0x1.b43f9ea7e0d15p-3, -0x1.afcfd048597p-3, -0x1.ab62c6cd3360ap-3, -0x1.a6f8b510832d8p-3, -0x1.a291ccbe0265ep-3, -0x1.9e2e3e596ae57p-3, -0x1.99ce3942689e7p-3, -0x1.9571ebb52656bp-3, -0x1.911982c7bbb5p-3, -0x1.8cc52a667e503p-3, -0x1.88750d515fe73p-3, -0x1.8429551c1514ep-3, -0x1.7fe22a31b54d4p-3, -0x1.7b9fb3db0f1a9p-3, -0x1.77621846116eep-3, -0x1.73297c8c414e4p-3, -0x1.6ef604b6c43a8p-3, -0x1.6ac7d3bd76392p-3, -0x1.669f0b87a44dbp-3, -0x1.627bcce66584bp-3, -0x1.5e5e379494cb3p-3, -0x1.5a466a37f090ep-3, -0x1.5634826601fbap-3, -0x1.52289caba5026p-3, -0x1.4e22d49506654p-3, -0x1.4a2344b574caap-3, -0x1.462a06aa7cca9p-3, -0x1.4237331cd9f24p-3, -0x1.3e4ae1bef741ap-3, -0x1.3a6529464a012p-3, -0x1.36861f79254e3p-3, -0x1.32add915fead7p-3, -0x1.2edc69f4a1b4fp-3, -0x1.2b11e500ab657p-3, -0x1.274e5c45acf19p-3, -0x1.2391e0f60f5c1p-3, -0x1.1fdc836e5d40fp-3, -0x1.1c2e5335a1d4cp-3, -0x1.18875efa657a1p-3, -0x1.14e7b4935cccp-3, -0x1.114f60fb31568p-3, -0x1.0dbe70582ea25p-3, -0x1.0a34ee0111a94p-3, -0x1.06b2e486d65c6p-3, -0x1.03385dbc4b2ddp-3, -0x1.ff8ac5795adeep-4, -0x1.f8b3f7dfaa55fp-4, -0x1.f1ec620d369b1p-4, -0x1.eb3411f97ca3ap-4, -0x1.e48b142c094fcp-4, -0x1.ddf173bfdaf3ap-4, -0x1.d7673a6bd8b2fp-4, -0x1.d0ec70910dd85p-4, -0x1.ca811d4ab0549p-4, -0x1.c425467cce6fep-4, -0x1.bdd8f0de27bfap-4, -0x1.b79c1ffc7361fp-4, -0x1.b16ed63c65452p-4, -0x1.ab5114d82ea5p-4, -0x1.a542dbe02c34bp-4, -0x1.9f442a3fda84p-4, -0x1.9954fdc7a764dp-4, -0x1.93755339f44b6p-4, -0x1.8da526580d3fap-4, -0x1.87e471ed1f2b3p-4, -0x1.82332fd47b06bp-4, -0x1.7c9158fbfcdf4p-4, -0x1.76fee56468329p-4, -0x1.717bcc22889f1p-4, -0x1.6c0803635a64ap-4, -0x1.66a38073c1febp-4, -0x1.614e37cb0bb36p-4, -0x1.5c081d1686314p-4, -0x1.56d123430ed18p-4, -0x1.51a93c82fdaffp-4, -0x1.4c905a50bba9dp-4, -0x1.47866d6fc5526p-4, -0x1.428b65edec2fp-4, -0x1.3d9f33276cecp-4, -0x1.38c1c3ce42b08p-4, -0x1.33f305f2b9374p-4, -0x1.2f32e70f84813p-4, -0x1.2a8154103733cp-4, -0x1.25de395743469p-4, -0x1.214982bfb9bbdp-4, -0x1.1cc31b9db0a95p-4, -0x1.184aeebf424e8p-4, -0x1.13e0e67047fc1p-4, -0x1.0f84ec81835bdp-4, -0x1.0b36ea510eeffp-4, -0x1.06f6c8d5cd69fp-4, -0x1.02c470a50bdfap-4, -0x1.fd3f93eec77p-5, -0x1.f511795237e82p-5, -0x1.ecfe607228ea9p-5, -0x1.e50617915d899p-5, -0x1.dd286c3d9a30ap-5, -0x1.d5652b5d68016p-5, -0x1.cdbc214395231p-5, -0x1.c62d19c3644a1p-5, -0x1.beb7e03fdfc67p-5, -0x1.b75c3fb2ab5d3p-5, -0x1.b01a02a9caffdp-5, -0x1.a8f0f340dd9dap-5, -0x1.a1e0db1b624dcp-5, -0x1.9ae9836685ed7p-5, -0x1.940ab4e517d03p-5, -0x1.8d4438043d92ap-5, -0x1.8695d4f3ffbbep-5, -0x1.7fff53bb4c966p-5, -0x1.79807c42112e2p-5, -0x1.7319164e71e3dp-5, -0x1.6cc8e97894febp-5, -0x1.668fbd1b3fc91p-5, -0x1.606d584a86785p-5, -0x1.5a6181d77ea25p-5, -0x1.546c0061ef789p-5, -0x1.4e8c9a754aff3p-5, -0x1.48c316a7f1711p-5, -0x1.430f3bb232c2ap-5, -0x1.3d70d0706c1ecp-5, -0x1.37e79be974c55p-5, -0x1.3273651fc89ep-5, -0x1.2d13f3089cc1p-5, -0x1.27c90c718a7dep-5, -0x1.229278015625fp-5, -0x1.1d6ffc4ba63f4p-5, -0x1.18615ff56a194p-5, -0x1.136669df2d2ddp-5, -0x1.0e7ee1481404p-5, -0x1.09aa8dddd4f6cp-5, -0x1.04e937b3cc635p-5, -0x1.003aa724a93b1p-5, -0x1.f73d4950dd8f5p-6, -0x1.ee29f15c02fa1p-6, -0x1.e53ad70cdc73ep-6, -0x1.dc6f8ad5c6c9bp-6, -0x1.d3c79d3c3ad14p-6, -0x1.cb429f4153d4cp-6, -0x1.c2e022d1e46d5p-6, -0x1.ba9fbb1c3f30dp-6, -0x1.b280fcb0873e6p-6, -0x1.aa837d6058a86p-6, -0x1.a2a6d3e6ac753p-6, -0x1.9aea97725a346p-6, -0x1.934e5f36c28b4p-6, -0x1.8bd1c22654cd3p-6, -0x1.847456edca163p-6, -0x1.7d35b435b43c7p-6, -0x1.7615711b7881dp-6, -0x1.6f1325c14734cp-6, -0x1.682e6bcd5c324p-6, -0x1.6166deb3f17f1p-6, -0x1.5abc1bb62a071p-6, -0x1.542dc195768cap-6, -0x1.4dbb701047366p-6, -0x1.4764c74afdd31p-6, -0x1.4129674fb16c2p-6, -0x1.3b08efc36f9aap-6, -0x1.3502ffea4eb04p-6, -0x1.2f1736f9acbfcp-6, -0x1.294534a781e05p-6, -0x1.238c99d39678ep-6, -0x1.1ded092090917p-6, -0x1.1866274957ep-6, -0x1.12f79b3b1812bp-6, -0x1.0da10dbccabe7p-6, -0x1.086228ebcaaa4p-6, -0x1.033a9793eb105p-6, -0x1.fc54092370cddp-7, -0x1.f26034c2c1203p-7, -0x1.e89905e4efa29p-7, -0x1.defdcf981daa8p-7, -0x1.d58de4f9ea89p-7, -0x1.cc489a846c04p-7, -0x1.c32d477b7e663p-7, -0x1.ba3b471ee792ap-7, -0x1.b171f952a89dcp-7, -0x1.a8d0c295b78f9p-7, -0x1.a0570b52c621p-7, -0x1.98043ec129cdap-7, -0x1.8fd7c99cf2231p-7, -0x1.87d118f7b3cebp-7, -0x1.7fef99515577p-7, -0x1.7832b61927e3ep-7, -0x1.7099d9af7e227p-7, -0x1.69246df624842p-7, -0x1.61d1dd657f92cp-7, -0x1.5aa194748157ap-7, -0x1.539302fe18a68p-7, -0x1.4ca59d42500a1p-7, -0x1.45d8dc3f25a56p-7, -0x1.3f2c3d543b44dp-7, -0x1.389f415e5780dp-7, -0x1.32316b975bbe1p-7, -0x1.2be2408046281p-7, -0x1.25b144fb7a1bdp-7, -0x1.1f9dfd9c52aeap-7, -0x1.19a7ee29a127bp-7, -0x1.13ce996463df8p-7, -0x1.0e11813a32692p-7, -0x1.087027849b72p-7, -0x1.02ea0f487f96ap-7, -0x1.fafd7c52e4afp-8, -0x1.f05b7b4319a64p-8, -0x1.e5ed37381e036p-8, -0x1.dbb1d49c02b5cp-8, -0x1.d1a87ee20e72dp-8, -0x1.c7d066715729bp-8, -0x1.be28becb22fa5p-8, -0x1.b4b0bd26f7288p-8, -0x1.ab679805c9a0bp-8, -0x1.a24c865c713d6p-8, -0x1.995ebee608e08p-8, -0x1.909d77280b81cp-8, -0x1.8807e30107df5p-8, -0x1.7f9d35870ca0ep-8, -0x1.775ca2f295832p-8, -0x1.6f45639dfbcf5p-8, -0x1.6756b6a58b57dp-8, -0x1.5f8fe35f2a159p-8, -0x1.57f03934c8f8ap-8, -0x1.50770e132e887p-8, -0x1.4923bc1fbe004p-8, -0x1.41f59fa35b126p-8, -0x1.3aec15ee62ba6p-8, -0x1.34067d5fe1b69p-8, -0x1.2d4435f839b1fp-8, -0x1.26a4a17f16ap-8, -0x1.2027229ebb19ap-8, -0x1.19cb1b3e22124p-8, -0x1.138feb2be7adcp-8, -0x1.0d74f0395107fp-8, -0x1.07798818be5a4p-8, -0x1.019d13488cfedp-8, -0x1.f7bdef9f2c9a4p-9, -0x1.ec7d45a5e9127p-9, -0x1.e177115fa8675p-9, -0x1.d6aa477f02b7ep-9, -0x1.cc15e4740582cp-9, -0x1.c1b8e7f71c6a7p-9, -0x1.b7925248aad36p-9, -0x1.ada124743df44p-9, -0x1.a3e46328f22p-9, -0x1.9a5b19ed240eep-9, -0x1.91045c06b795p-9, -0x1.87df41d9ca7e4p-9, -0x1.7eeae3f1a78a9p-9, -0x1.762656b5f4c83p-9, -0x1.6d90a99c93767p-9, -0x1.6528ea6a85d27p-9, -0x1.5cee2a70a2fa9p-9, -0x1.54df82dd85294p-9, -0x1.4cfc16b9e759bp-9, -0x1.45431301b778fp-9, -0x1.3db3ad894958bp-9, -0x1.364d229549617p-9, -0x1.2f0eb125954c6p-9, -0x1.27f79749b0649p-9, -0x1.2107109fb03c7p-9, -0x1.1a3c582a4a9b7p-9, -0x1.1396ac9429bbcp-9, -0x1.0d15544f1a325p-9, -0x1.06b79ee1f260bp-9, -0x1.007ce2423f89fp-9, -0x1.f4c8eb0e2c1e2p-10, -0x1.e8db584e6c5b6p-10, -0x1.dd2fa9d1d3a32p-10, -0x1.d1c47a546b5dep-10, -0x1.c6986b430369bp-10, -0x1.bbaa2c8354997p-10, -0x1.b0f8787da567p-10, -0x1.a68216cb1620cp-10, -0x1.9c45dc2128f96p-10, -0x1.9242ad2f1c35bp-10, -0x1.88777c462f164p-10, -0x1.7ee34131ea295p-10, -0x1.7584f0202b958p-10, -0x1.6c5b7584edcc8p-10, -0x1.6365b9782fc77p-10, -0x1.5aa2a879a11d5p-10, -0x1.52113c51117cdp-10, -0x1.49b07f94f336ep-10, -0x1.417f896b9840dp-10, -0x1.397d73a98056cp-10, -0x1.31a950d6dd8c9p-10, -0x1.2a022889d23dep-10, -0x1.2286fcd410e4ep-10, -0x1.1b36d432dc84cp-10, -0x1.1410be8ecee61p-10, -0x1.0d13d1532ad6p-10, -0x1.063f21d0a3d26p-10, -0x1.ff2390dc19f6ap-11, -0x1.f215d7761fd9cp-11, -0x1.e5538ec0118d9p-11, -0x1.d8db4dcb296f2p-11, -0x1.ccabb176f4681p-11, -0x1.c0c34712e5d9ep-11, -0x1.b520884359578p-11, -0x1.a9c1e79a4090bp-11, -0x1.9ea5e3e2add31p-11, -0x1.93cb1638aedc8p-11, -0x1.893034ba2d7c4p-11, -0x1.7ed40b6d60198p-11, -0x1.74b56f6004415p-11, -0x1.6ad33263a37d8p-11, -0x1.612c15041f9b2p-11, -0x1.57bec8ff11b42p-11, -0x1.4e89fe4ee0d03p-11, -0x1.458c7438a12aap-11, -0x1.3cc4f79e1bb81p-11, -0x1.34324e2265f3bp-11, -0x1.2bd32b983e27dp-11, -0x1.23a648efac8bfp-11, -0x1.1baa87aea39ffp-11, -0x1.13def8d9afbfdp-11, -0x1.0c42c07e7910bp-11, -0x1.04d4f488ee609p-11, -0x1.fb29240d812bbp-12, -0x1.ed0112c018d05p-12, -0x1.df2fa12bef691p-12, -0x1.d1b2d8abf8d71p-12, -0x1.c488dc4b494ebp-12, -0x1.b7afe0463ae26p-12, -0x1.ab262a1b1343fp-12, -0x1.9eea16a67bfbcp-12, -0x1.92fa1a391e2dfp-12, -0x1.8754b209ab83ep-12, -0x1.7bf84d491bca2p-12, -0x1.70e34504f75bep-12, -0x1.6613f36d67657p-12, -0x1.5b88d5ffa64bap-12, -0x1.51408980610b8p-12, -0x1.473992c962996p-12, -0x1.3d7240338abbep-12, -0x1.33e8dc5ca1a63p-12, -0x1.2a9bfe2a47896p-12, -0x1.218a88b1b1374p-12, -0x1.18b35d9090d24p-12, -0x1.10152602fcf3ep-12, -0x1.07ae661860817p-12, -0x1.fefb65844ef1dp-13, -0x1.ef0398af70214p-13, -0x1.df7319ee9ed61p-13, -0x1.d047991f23ba7p-13, -0x1.c17eb4e73c6c6p-13, -0x1.b316141a52555p-13, -0x1.a50b8186f7b64p-13, -0x1.975cf73badb98p-13, -0x1.8a08988dd7c7fp-13, -0x1.7d0c9bb5d6e72p-13, -0x1.706724e76ce62p-13, -0x1.641627e540b9dp-13, -0x1.58177800c25dcp-13, -0x1.4c690ac3ecbe4p-13, -0x1.4109252b445a1p-13, -0x1.35f62bf7f6a7p-13, -0x1.2b2e42bf68f3ap-13, -0x1.20af4d20a9d17p-13, -0x1.16777bbb699fap-13, -0x1.0c8592fdcac2p-13, -0x1.02d86ad923813p-13, -0x1.f2dcd9ddd1154p-14, -0x1.e08b7b504a296p-14, -0x1.ceb9687503c0bp-14, -0x1.bd63f0949746ep-14, -0x1.ac887638eb907p-14, -0x1.9c240300ac48ap-14, -0x1.8c335fc96b238p-14, -0x1.7cb35a7de440dp-14, -0x1.6da0ee519dbb7p-14, -0x1.5ef94a185ad27p-14, -0x1.50b9c96f6134dp-14, -0x1.42dff07af726bp-14, -0x1.35696d1c27f7cp-14, -0x1.2854102d2cdd1p-14, -0x1.1b9dac2493508p-14, -0x1.0f43e7dd78688p-14, -0x1.0344449671077p-14, -0x1.ef38e2923531ep-15, -0x1.d895305044b38p-15, -0x1.c29a7a09b579dp-15, -0x1.ad452ce2ee854p-15, -0x1.98903e429ca49p-15, -0x1.8476ca26e857cp-15, -0x1.70f592f14c6c9p-15, -0x1.5e0959aaf900dp-15, -0x1.4bad9f38094c5p-15, -0x1.39de332ba675cp-15, -0x1.2898646bfccf6p-15, -0x1.17d9e9fe01ae8p-15, -0x1.079fcca2cfb53p-15, -0x1.efcd354d5a648p-16, -0x1.d155bc007840dp-16, -0x1.b3d26e34e7fc9p-16, -0x1.973cded7ec51p-16, -0x1.7b8e87409b9f4p-16, -0x1.60c138bca1af6p-16, -0x1.46cef35d6f554p-16, -0x1.2db1fc7491a1ep-16, -0x1.1564f11ebd494p-16, -0x1.fbc5e1662d929p-17, -0x1.ce4e92bd4926ep-17, -0x1.a25a6ccd8a9f6p-17, -0x1.77de7b491a023p-17, -0x1.4eceed037cf99p-17, -0x1.27210a0351b72p-17, -0x1.00ccff3df978fp-17, -0x1.b79a889c07edfp-18, -0x1.7032ebe418c84p-18, -0x1.2b476cc61c5e1p-18, -0x1.d1859a8b4bab5p-19, -0x1.51349ab6a8b72p-19, -0x1.aaf4ec9034253p-20, -0x1.78d452142fcf2p-21, 0x1.4acee2c79c8cfp-23, 0x1.06828b4890df9p-20, 0x1.db5588d584418p-20, 0x1.540d66a0070e4p-19, 0x1.b687ad09e0ce4p-19, 0x1.0a999d297600ap-18, 0x1.381379cf63967p-18, 0x1.63bc7fe58436ep-18, 0x1.8da03b90d53a5p-18, 0x1.b5cb27811e7d5p-18, 0x1.dc4a93e2ba48fp-18, 0x1.00960dc2f5bdcp-17, }}, 
      {{0x1.44ea90a0877c9p-4, 0x1.16222d9bdf1a3p-3, 0x1.a48e6b9dbc5f2p-3, 0x1.1aab4c804cbb6p-2, 0x1.5d01b54a15f3dp-2, 0x1.956447967c377p-2, 0x1.c21d4346c3fadp-2, 0x1.e2dcfd3a581ebp-2, 0x1.f82f5eb383778p-2, 0x1.018f50d108a8ep-1, 0x1.027aab4a02b1dp-1, 0x1.ff15c57e1fac1p-2, 0x1.f2dfd882042fbp-2, 0x1.e1a0ebd9dfabfp-2, 0x1.cc8a592834bccp-2, 0x1.b4ac947d9c1f7p-2, 0x1.9af55de6fafddp-2, 0x1.802ffea1e0e96p-2, 0x1.6506d88bfc8d2p-2, 0x1.4a05c57381e64p-2, 0x1.2f9cea7bfdc56p-2, 0x1.1623befa36cdfp-2, 0x1.fbb8332442f99p-3, 0x1.cdea49707cfc8p-3, 0x1.a31c4d461ed97p-3, 0x1.7b7221fabd7c7p-3, 0x1.56f9a519770f1p-3, 0x1.35aed1f1a8349p-3, 0x1.177f66e5d1a71p-3, 0x1.f89c2321e25bbp-4, 0x1.c7ea525f1043ap-4, 0x1.9c92008c48c56p-4, 0x1.7633aea6c8f68p-4, 0x1.546af54cd0dbep-4, 0x1.36d12a92f2edfp-4, 0x1.1cff8529d231ep-4, 0x1.0690ced1c1165p-4, 0x1.e6456cca8ac84p-5, 0x1.c4ada08aa0f67p-5, 0x1.a7a6a4eb6faacp-5, 0x1.8e8730c344632p-5, 0x1.78b0eef294cb6p-5, 0x1.6590dbb11286fp-5, 0x1.549f68b5b652p-5, 0x1.4560699762f25p-5, 0x1.3762e1f1493e9p-5, 0x1.2a40b3efee879p-5, 0x1.1d9e3259c8c51p-5, 0x1.1129b20d31991p-5, 0x1.049afd6edce8dp-5, 0x1.ef65a655936fp-6, 0x1.d474a539be52p-6, 0x1.b804e3ce5420ap-6, 0x1.99c6dfeb95cbdp-6, 0x1.79789737a615dp-6, 0x1.56e478d935cbdp-6, 0x1.31e062aa9a495p-6, 0x1.0a4caa58171d1p-6, 0x1.c02663566910ep-7, 0x1.664d0580eee74p-7, 0x1.0701ea02957f4p-7, 0x1.448f72ef571e7p-8, 0x1.c16c80a37aa5fp-10, -0x1.b99375d824f91p-10, -0x1.5768deab57a4ep-8, -0x1.252c33d812a24p-7, -0x1.a3664909e4d4cp-7, -0x1.131493ced21c9p-6, -0x1.569b1ec077a21p-6, -0x1.9c256f4a14e6dp-6, -0x1.e3908f1795b92p-6, -0x1.165c255373105p-5, -0x1.3bbbc6262877p-5, -0x1.61d457fdf56f5p-5, -0x1.8892e7d986c23p-5, -0x1.afe483fc3fd17p-5, -0x1.d7b65a011c6aap-5, -0x1.fff5d0cae9799p-5, -0x1.14484f5bdaafcp-4, -0x1.28ba6e42f592ap-4, -0x1.3d488ac6bdf77p-4, -0x1.51ea2ad4f7905p-4, -0x1.66971a947151bp-4, -0x1.7b47716040854p-4, -0x1.8ff395d8a2fe6p-4, -0x1.a49440fbb80cep-4, -0x1.b922805a5d716p-4, -0x1.cd97b77520166p-4, -0x1.e1eda0567ce43p-4, -0x1.f61e4b8f1a977p-4, -0x1.05120fd2a554ep-3, -0x1.0efcec11cab55p-3, -0x1.18cd421ee50aep-3, -0x1.2280c2a607494p-3, -0x1.2c15467211e0cp-3, -0x1.3588cd6e1189ap-3, -0x1.3ed97d8774e1dp-3, -0x1.4805a17b109cfp-3, -0x1.510ba792bfee9p-3, -0x1.59ea2053049dep-3, -0x1.629fbd1d86ec2p-3, -0x1.6b2b4ecbd7b93p-3, -0x1.738bc447f7c97p-3, -0x1.7bc0292445ffp-3, -0x1.83c7a4340a24ep-3, -0x1.8ba1762c01374p-3, -0x1.934cf846e19eep-3, -0x1.9ac99af3df161p-3, -0x1.a216e48e427b5p-3, -0x1.a934701e2100bp-3, -0x1.b021ec250ccb7p-3, -0x1.b6df19739869dp-3, -0x1.bd6bca0e1679p-3, -0x1.c3c7e0136c93dp-3, -0x1.c9f34cbdc1506p-3, -0x1.cfee0f5d95c1ep-3, -0x1.d5b8346d38c5p-3, -0x1.db51d4aa98363p-3, -0x1.e0bb143a45c0bp-3, -0x1.e5f421d9be054p-3, -0x1.eafd361a3c393p-3, -0x1.efd692a5bf91dp-3, -0x1.f4808190f961bp-3, -0x1.f8fb54b458e13p-3, -0x1.fd4765112e4f8p-3, -0x1.00b2891f97486p-2, -0x1.02aa60f1300a1p-2, -0x1.048b6f95fdf62p-2, -0x1.0655ed301160bp-2, -0x1.080a14330f858p-2, -0x1.09a8213030534p-2, -0x1.0b3052a3786efp-2, -0x1.0ca2e8c76cd6fp-2, -0x1.0e00256abda91p-2, -0x1.0f484bc65995p-2, -0x1.107ba05a0dd7fp-2, -0x1.119a68cb71ccp-2, -0x1.12a4ebc312bfdp-2, -0x1.139b70cf74f02p-2, -0x1.147e404c080f5p-2, -0x1.154da3455c8d1p-2, -0x1.1609e36058c3fp-2, -0x1.16b34ac78b6b5p-2, -0x1.174a24137f152p-2, -0x1.17ceba3b52e41p-2, -0x1.1841587eecfc1p-2, -0x1.18a24a598ddffp-2, -0x1.18f1db730d33ep-2, -0x1.19305791217e1p-2, -0x1.195e0a89447ap-2, -0x1.197b40350da8bp-2, -0x1.19884468a5e1bp-2, -0x1.198562e8c7388p-2, -0x1.1972e75da76f9p-2, -0x1.19511d4a06588p-2, -0x1.1920500691d53p-2, -0x1.18e0caba0789bp-2, -0x1.1892d84de610fp-2, -0x1.1836c365f36e4p-2, -0x1.17ccd65f42cd9p-2, -0x1.17555b4ac8ee4p-2, -0x1.16d09be347cd6p-2, -0x1.163ee185c306ap-2, -0x1.15a0752fea544p-2, -0x1.14f59f7e88047p-2, -0x1.143ea8a52f70bp-2, -0x1.137bd86783984p-2, -0x1.12ad761597944p-2, -0x1.11d3c88b25294p-2, -0x1.10ef162bf6776p-2, -0x1.0fffa4ddc764bp-2, -0x1.0f05ba034d428p-2, -0x1.0e019a79ed6c1p-2, -0x1.0cf38a97a7caep-2, -0x1.0bdbce290fde6p-2, -0x1.0abaa86c5d9dbp-2, -0x1.09905c0dab2cbp-2, -0x1.085d2b23bfbe5p-2, -0x1.0721572e66baep-2, -0x1.05dd2115354a1p-2, -0x1.0490c924f9418p-2, -0x1.033c8f0b77bf7p-2, -0x1.01e0b1d397f66p-2, -0x1.007d6fe380b5dp-2, -0x1.fe260dfcfe8f5p-3, -0x1.fb43687ef1565p-3, -0x1.f8536836eba06p-3, -0x1.f55684af0dcd1p-3, -0x1.f24d341384e7dp-3, -0x1.ef37eb3281dc8p-3, -0x1.ec171d7d163f4p-3, -0x1.e8eb3d020ce2ep-3, -0x1.e5b4ba6526d7ap-3, -0x1.e27404d955acep-3, -0x1.df298a20e92eap-3, -0x1.dbd5b6919489ep-3, -0x1.d878f5110b015p-3, -0x1.d513af1160d18p-3, -0x1.d1a64c88f2d5p-3, -0x1.ce3133f003302p-3, -0x1.cab4ca42af92cp-3, -0x1.c73173036624p-3, -0x1.c3a79039b60b5p-3, -0x1.c017826dc1f4ap-3, -0x1.bc81a8a3958e5p-3, -0x1.b8e66059b9608p-3, -0x1.b546058b4e005p-3, -0x1.b1a0f2b2168dp-3, -0x1.adf780c7b9be7p-3, -0x1.aa4a07414a675p-3, -0x1.a698dc0ec384p-3, -0x1.a2e45398dc50cp-3, -0x1.9f2cc0c29c07ap-3, -0x1.9b7274ebbfd7bp-3, -0x1.97b5bff264a08p-3, -0x1.93f6f0334565ap-3, -0x1.90365289053a8p-3, -0x1.8c74324bab517p-3, -0x1.88b0d9516aa78p-3, -0x1.84ec8ff0a81b7p-3, -0x1.81279d02703a9p-3, -0x1.7d6245e493555p-3, -0x1.799cce7b0e22fp-3, -0x1.75d77930f1f94p-3, -0x1.721286f945fa7p-3, -0x1.6e4e375109a77p-3, -0x1.6a8ac8416d1a4p-3, -0x1.66c87662b0606p-3, -0x1.63077cded89cbp-3, -0x1.5f4815742330ap-3, -0x1.5b8a787745e14p-3, -0x1.57cedcd575cf5p-3, -0x1.541578172c6e5p-3, -0x1.505e7e62f2a3fp-3, -0x1.4caa22808058ap-3, -0x1.48f895dbddca7p-3, -0x1.454a088895967p-3, -0x1.419ea944f3f41p-3, -0x1.3df6a57d2aab1p-3, -0x1.3a52294e37782p-3, -0x1.36b15f8aecacep-3, -0x1.331471ba6800ep-3, -0x1.2f7b882313f4fp-3, -0x1.2be6c9c74568bp-3, -0x1.28565c6cdefa1p-3, -0x1.24ca64a1b1a43p-3, -0x1.214305be3f133p-3, -0x1.1dc061e92da5fp-3, -0x1.1a429a1a35db7p-3, -0x1.16c9ce1d537bp-3, -0x1.13561c96d9acfp-3, -0x1.0fe7a308a3304p-3, -0x1.0c7e7dd7bb121p-3, -0x1.091ac8517def8p-3, -0x1.05bc9caf50d11p-3, -0x1.02641418e14f9p-3, -0x1.fe228d4bfd9ep-4, -0x1.f78896c273458p-4, -0x1.f0fa7098d4c21p-4, -0x1.ea7844ce3d827p-4, -0x1.e4023b6bcf515p-4, -0x1.dd987a91a9fa6p-4, -0x1.d73b267f00219p-4, -0x1.d0ea619516485p-4, -0x1.caa64c5abb352p-4, -0x1.c46f0579d3e8ep-4, -0x1.be44a9cb24aeap-4, -0x1.b82754609aa82p-4, -0x1.b2171e95ed1dp-4, -0x1.ac142020bc9b4p-4, -0x1.a61e6f1c9d1dep-4, -0x1.a03620112af59p-4, -0x1.9a5b45f33ce32p-4, -0x1.948df2249de64p-4, -0x1.8ece34763de74p-4, -0x1.891c1b2f87db4p-4, -0x1.8377b31b18525p-4, -0x1.7de10796d0ce3p-4, -0x1.785822a3c21c6p-4, -0x1.72dd0cf29ac2ep-4, -0x1.6d6fcdeacd1ep-4, -0x1.68106bace8ad4p-4, -0x1.62beeb128e4ap-4, -0x1.5d7b4faf3c392p-4, -0x1.58459bd4a2a6dp-4, -0x1.531dd09bb73a4p-4, -0x1.4e03edf1f0755p-4, -0x1.48f7f2a8780b1p-4, -0x1.43f9dc825ce3fp-4, -0x1.3f09a83eb75f1p-4, -0x1.3a2751a0f8beep-4, -0x1.3552d36cd19bdp-4, -0x1.308c276afff08p-4, -0x1.2bd34666b5965p-4, -0x1.272828320d7ap-4, -0x1.228ac3aec4686p-4, -0x1.1dfb0eda78833p-4, -0x1.1978fee13c11ap-4, -0x1.15048824f3bcap-4, -0x1.109d9e4ba0533p-4, -0x1.0c44344240142p-4, -0x1.07f83c3bab2d9p-4, -0x1.03b9a7adf65aep-4, -0x1.ff10ceac3db05p-5, -0x1.f6c8d667ace3ap-5, -0x1.ee9b4535dac1fp-5, -0x1.e687f8788bb48p-5, -0x1.de8ecc6a28ed4p-5, -0x1.d6af9c34980b8p-5, -0x1.ceea41ff58e56p-5, -0x1.c73e96f0643f4p-5, -0x1.bfac7339615dcp-5, -0x1.b833ade85b6eap-5, -0x1.b0d41d1f117bep-5, -0x1.a98d95f34d59ap-5, -0x1.a25fec93930f8p-5, -0x1.9b4af45b7ba7p-5, -0x1.944e7fec763a1p-5, -0x1.8d6a614109fbcp-5, -0x1.869e69aee8731p-5, -0x1.7fea69f51031p-5, -0x1.794e3229502a5p-5, -0x1.72c991bb90f9dp-5, -0x1.6c5c577685da6p-5, -0x1.66065189f6e8p-5, -0x1.5fc74d9c1c351p-5, -0x1.599f18de27bdfp-5, -0x1.538d801ed45b3p-5, -0x1.4d924fd707338p-5, -0x1.47ad542ebfe7cp-5, -0x1.41de58fc00282p-5, -0x1.3c2529bf8c4bep-5, -0x1.368191a3d886fp-5, -0x1.30f35b8159b42p-5, -0x1.2b7a51e8f7585p-5, -0x1.26163f32a6ad6p-5, -0x1.20c6ed8c86cdbp-5, -0x1.1b8c2706e101p-5, -0x1.1665b59accd7fp-5, -0x1.1153632b99de3p-5, -0x1.0c54f9855d76ep-5, -0x1.076a425bfeae6p-5, -0x1.0293074da60c3p-5, -0x1.fb9e23d360495p-6, -0x1.f23c57766ad95p-6, -0x1.e9003ca9619bep-6, -0x1.dfe966b267321p-6, -0x1.d6f769041b6b9p-6, -0x1.ce29d73fede4p-6, -0x1.c5804533c7e0bp-6, -0x1.bcfa46d8466fcp-6, -0x1.b497705470629p-6, -0x1.ac575607d7643p-6, -0x1.a4398c9fbf8dap-6, -0x1.9c3da921ded0bp-6, -0x1.946341024e819p-6, -0x1.8ca9ea277e899p-6, -0x1.85113aeb6bbabp-6, -0x1.7d98ca179347cp-6, -0x1.76402ee218567p-6, -0x1.6f0700f049fbep-6, -0x1.67ecd86093c55p-6, -0x1.60f14dd8e4562p-6, -0x1.5a13fa97c9dc6p-6, -0x1.5354787f79f6bp-6, -0x1.4cb2621ad4866p-6, -0x1.462d529a63f6dp-6, -0x1.3fc4e5cd8b63ep-6, -0x1.3978b81d11141p-6, -0x1.3348668bcfccfp-6, -0x1.2d338ebf42969p-6, -0x1.2739cf0e5162cp-6, -0x1.215ac69185fe4p-6, -0x1.1b96152ebcd8cp-6, -0x1.15eb5b9c6ea15p-6, -0x1.105a3b5bf89adp-6, -0x1.0ae256ae51dc7p-6, -0x1.05835089b8451p-6, -0x1.003ccc95a993ep-6, -0x1.f61cde61e3442p-7, -0x1.ebefbb01ee381p-7, -0x1.e1f17b0899d3cp-7, -0x1.d8216c45d27ap-7, -0x1.ce7ede68e2037p-7, -0x1.c50922f5c4077p-7, -0x1.bbbf8d25f73b2p-7, -0x1.b2a171c3d510ep-7, -0x1.a9ae270eaf83cp-7, -0x1.a0e504b5d8d36p-7, -0x1.984563ef1e454p-7, -0x1.8fce9fa1e797bp-7, -0x1.87801496d00efp-7, -0x1.7f592199448e6p-7, -0x1.775927a778203p-7, -0x1.6f7f896a7f0f4p-7, -0x1.67cbaba55eb09p-7, -0x1.603cf47e13babp-7, -0x1.58d2cb8c6a2f9p-7, -0x1.518c99bf19e3cp-7, -0x1.4a69c974b21fdp-7, -0x1.4369c6b21396p-7, -0x1.3c8bff64def63p-7, -0x1.35cfe39accb05p-7, -0x1.2f34e5996eed7p-7, -0x1.28ba79cc2c0b5p-7, -0x1.2260168bc9032p-7, -0x1.1c2533d0ea122p-7, -0x1.16094aea501ddp-7, -0x1.100bd64f96e98p-7, -0x1.0a2c51a07176p-7, -0x1.046a39d206f63p-7, -0x1.fd8a1afaf2a7dp-8, -0x1.f2789a6e02ee6p-8, -0x1.e79ef7a1e7793p-8, -0x1.dcfc3ce848661p-8, -0x1.d28f7906be124p-8, -0x1.c857bea0d4424p-8, -0x1.be54236ea263ap-8, -0x1.b483bf7a7719ep-8, -0x1.aae5ac9d57462p-8, -0x1.a17906634bacp-8, -0x1.983cea6090c84p-8, -0x1.8f3078e15ad78p-8, -0x1.8652d5c200a93p-8, -0x1.7da329308be2ep-8, -0x1.7520a01d34bc7p-8, -0x1.6cca6c3640c78p-8, -0x1.649fc36ce9d78p-8, -0x1.5c9fdf23290e9p-8, -0x1.54c9fb37a9d63p-8, -0x1.4d1d5530b6d59p-8, -0x1.45992bba00549p-8, -0x1.3e3cbe986c5d5p-8, -0x1.37074f16e266dp-8, -0x1.2ff820d216285p-8, -0x1.290e7aaece552p-8, -0x1.2249a7b099ebep-8, -0x1.1ba8f7a4d6ccap-8, -0x1.152bbeef6f5c3p-8, -0x1.0ed15657dd64ep-8, -0x1.08991a1a57312p-8, -0x1.028268ec02ad4p-8, -0x1.f9194611bf4dfp-9, -0x1.ed6e5301d0a78p-9, -0x1.e202bbd3602e6p-9, -0x1.d6d5450b743efp-9, -0x1.cbe4b5b72630bp-9, -0x1.c12fd93a48d0ap-9, -0x1.b6b58150dcb08p-9, -0x1.ac7487bec67cbp-9, -0x1.a26bcf3b8bc88p-9, -0x1.989a435f1b6f5p-9, -0x1.8efed7a0db21cp-9, -0x1.859885b2f7b11p-9, -0x1.7c664ba393c63p-9, -0x1.73672a20a3c1p-9, -0x1.6a9a2321b802bp-9, -0x1.61fe39250b6a9p-9, -0x1.59926f21057ecp-9, -0x1.5155c93b2499ap-9, -0x1.49474e37868dfp-9, -0x1.4166095d9a237p-9, -0x1.39b10c5978e5p-9, -0x1.3227709585687p-9, -0x1.2ac857ad14a4cp-9, -0x1.2392eae5d7b85p-9, -0x1.1c8659ed99484p-9, -0x1.15a1d944c0e8ap-9, -0x1.0ee4a0b83a9a8p-9, -0x1.084dea1ff422cp-9, -0x1.01dcf06917805p-9, -0x1.f721ddcf2bb3cp-10, -0x1.ead24205d9ebfp-10, -0x1.dec984e0342d6p-10, -0x1.d3062047365c4p-10, -0x1.c78693d6bdbf1p-10, -0x1.bc49689a1c396p-10, -0x1.b14d342ebd07ap-10, -0x1.a6909a4ad6f02p-10, -0x1.9c124c47112bap-10, -0x1.91d107086c5ccp-10, -0x1.87cb903161b83p-10, -0x1.7e00b3640527dp-10, -0x1.746f417b69e76p-10, -0x1.6b160dc7f677bp-10, -0x1.61f3ef1304bep-10, -0x1.5907bdb7325a8p-10, -0x1.505052b7761fap-10, -0x1.47cc8736e4321p-10, -0x1.3f7b34c73f1c2p-10, -0x1.375b38bf587f6p-10, -0x1.2f6b774ba13d3p-10, -0x1.27aadec8003d6p-10, -0x1.2018698579e1cp-10, -0x1.18b31d8decf11p-10, -0x1.117a0aa231116p-10, -0x1.0a6c474ffede8p-10, -0x1.0388ee47aa62ep-10, -0x1.f99e39cedb35dp-11, -0x1.ec7be668bb1b6p-11, -0x1.dfa92916cca0dp-11, -0x1.d3244fb48beb3p-11, -0x1.c6ebad31427b5p-11, -0x1.bafd95a40a13p-11, -0x1.af585b0c9aa15p-11, -0x1.a3fa4d7348bbbp-11, -0x1.98e1bf372887ap-11, -0x1.8e0d0bdd5b491p-11, -0x1.837a9e74c7a0bp-11, -0x1.7928f5408c0abp-11, -0x1.6f16a1e012bfp-11, -0x1.6542465019cf2p-11, -0x1.5baa8fd771669p-11, -0x1.524e31ab3d306p-11, -0x1.492be190682c7p-11, -0x1.40425805d2114p-11, -0x1.3790537e85b9bp-11, -0x1.2f149c17c2634p-11, -0x1.26ce04b47e56fp-11, -0x1.1ebb6809a939cp-11, -0x1.16dba2f0e6699p-11, -0x1.0f2d8f6f7bc05p-11, -0x1.07b003aaf36b8p-11, -0x1.0061d578fd881p-11, -0x1.f283c067cbfb4p-12, -0x1.e49e1314e5f48p-12, -0x1.d710875a6d10bp-12, -0x1.c9d91ab7dcd69p-12, -0x1.bcf5e1455ae17p-12, -0x1.b065004bd82bp-12, -0x1.a424a5f8d3e4cp-12, -0x1.9833011f68c95p-12, -0x1.8c8e3dbcbc7bcp-12, -0x1.813488dd64e9ap-12, -0x1.762419e43cf7ep-12, -0x1.6b5b3b91981e4p-12, -0x1.60d84eebe076cp-12, -0x1.5699c58a66424p-12, -0x1.4c9e160c23a1ep-12, -0x1.42e3b1a84b6bdp-12, -0x1.396901b09957p-12, -0x1.302c6e77e8f3bp-12, -0x1.272c6a3a08f7fp-12, -0x1.1e67751fa0129p-12, -0x1.15dc217a8f3f9p-12, -0x1.0d890de9a8f3cp-12, -0x1.056ce961ddea4p-12, -0x1.fb0cead04b021p-13, -0x1.eba9073822777p-13, -0x1.dcabda303efaap-13, -0x1.ce1311921f458p-13, -0x1.bfdc4df929b4fp-13, -0x1.b205298caa337p-13, -0x1.a48b4a1deb8cfp-13, -0x1.976c739309db3p-13, -0x1.8aa68f4018086p-13, -0x1.7e37a32c152fep-13, -0x1.721dbdb0eebefp-13, -0x1.6656e0efff623p-13, -0x1.5ae0fb41c73a6p-13, -0x1.4fb9f23145b4fp-13, -0x1.44dfb6af36429p-13, -0x1.3a504f41cf531p-13, -0x1.3009cffc49f3p-13, -0x1.260a4ee80e099p-13, -0x1.1c4fea3b08a73p-13, -0x1.12d8de9ad8dc1p-13, -0x1.09a395204176ep-13, -0x1.00ae98d9f596p-13, -0x1.eff0f953a209dp-14, -0x1.deff8b76c2655p-14, -0x1.ce85ce9ec4724p-14, -0x1.be809e6cfae9fp-14, -0x1.aeecf1c0e3be2p-14, -0x1.9fc7f632e2b09p-14, -0x1.910f14d49e786p-14, -0x1.82bfe2e13759ep-14, -0x1.74d80fb4c1666p-14, -0x1.675534ebe8b56p-14, -0x1.5a34e521f3d02p-14, -0x1.4d748ab9c6887p-14, -0x1.4111934759133p-14, -0x1.35098c691f65cp-14, -0x1.295a20b806df2p-14, -0x1.1e00efc77bb9bp-14, -0x1.12fb79ac614a7p-14, -0x1.08474a6de7369p-14, -0x1.fbc47af47d05ep-15, -0x1.e7951570dcb05p-15, -0x1.d3fd20765cc5dp-15, -0x1.c0f9260b42c6p-15, -0x1.ae85554e7628p-15, -0x1.9c9db15197345p-15, -0x1.8b3e56b23f2dbp-15, -0x1.7a639da6f7a8cp-15, -0x1.6a0a11f803e69p-15, -0x1.5a2e6183a057cp-15, -0x1.4acd5b6258dd7p-15, -0x1.3be3fb38c6e8ap-15, -0x1.2d6f69fd9debdp-15, -0x1.1f6ce4389e1dcp-15, -0x1.11d990d37d70ap-15, -0x1.04b27067a808cp-15, -0x1.efe9173135fbep-16, -0x1.d73a5f3d60554p-16, -0x1.bf53b09769315p-16, -0x1.a82fc7b7dd3eap-16, -0x1.91c89c749c50fp-16, -0x1.7c181e08d840ap-16, -0x1.6719513e74531p-16, -0x1.52c8500b2fa51p-16, -0x1.3f2133ad77a7ep-16, -0x1.2c1f500e246b2p-16, -0x1.19bd78565b4d3p-16, -0x1.07f6c0729a4c4p-16, -0x1.ed8db858ed4eap-17, -0x1.cc53c03484186p-17, -0x1.ac37b9bae1581p-17, -0x1.8d318d651f432p-17, -0x1.6f394282d54f7p-17, -0x1.5247603877453p-17, -0x1.365514a1c992cp-17, -0x1.1b5c20225d116p-17, -0x1.01568927393e2p-17, -0x1.d07c3f3fb6a13p-18, -0x1.a0182d576c3d9p-18, -0x1.71727441aa18p-18, -0x1.447d9b7d60e5bp-18, -0x1.192e499f009bfp-18, -0x1.def40b696f7aap-19, -0x1.8ea95e632cb48p-19, -0x1.4161095f64f52p-19, -0x1.ee073a2e6d60cp-20, -0x1.5f02d4fb28d55p-20, -0x1.ab2f42bd2f379p-21, -0x1.4673c7d84f0d1p-22, 0x1.68e835866ea06p-23, 0x1.4d815e536a95ep-21, 0x1.1b6fea30e8a18p-20, 0x1.8b4b70ce9e506p-20, 0x1.f67871921373ap-20, 0x1.2e8fa85c43e05p-19, 0x1.5fb40747ef6b6p-19, 0x1.8ebc1d60b559ap-19, 0x1.bbb95447bdf86p-19, 0x1.e6bbe7bc529f1p-19, 0x1.07e982754306ep-18, 0x1.1b8662dfefbabp-18, 0x1.2e3b2e2917d84p-18, 0x1.400e7160d2d7cp-18, 0x1.51073a727ef2p-18, 0x1.612d0671c3438p-18, 0x1.7086c049bff25p-18, 0x1.7f19d181633eep-18, 0x1.8cea8a72fe3ap-18, 0x1.99fe25c25c6e4p-18, 0x1.a65c1dec1610cp-18, 0x1.b20badeff1206p-18, 0x1.bd1180cdcab15p-18, 0x1.c7723f45f27e4p-18, 0x1.d1347bf383fb6p-18, 0x1.da5e4cc9a2511p-18, 0x1.e2f37656454b3p-18, 0x1.eaf71b685031bp-18, 0x1.f26d6abbb7b34p-18, 0x1.f95b4d7cc9612p-18, 0x1.ffc5ae7c52811p-18, 0x1.02d8906fa74cp-17, 0x1.05915c53cbe1fp-17, 0x1.080f37f614504p-17, 0x1.0a545eed74e1cp-17, 0x1.0c62e276cc879p-17, 0x1.0e3cb85e3a034p-17, 0x1.0fe3a8ca1ca76p-17, 0x1.1159866905a26p-17, 0x1.129faf6269952p-17, 0x1.13b7d4fc56ec4p-17, 0x1.14a3cb41c23ffp-17, 0x1.1565904aa978bp-17, 0x1.15feeedf3e271p-17, 0x1.16712d23b4dcap-17, 0x1.16bd27c61172dp-17, 0x1.16e43aa6d5ce4p-17, 0x1.16e8b7a3e93f4p-17, 0x1.16cc5cc6f244ap-17, 0x1.168ffa3a7e3ffp-17, 0x1.1634e5e72498p-17, 0x1.15bc7d5219c51p-17, 0x1.152760dabd51fp-17, 0x1.147660d6b3a28p-17, 0x1.13aae0cc489b9p-17, 0x1.12c6507e913a4p-17, 0x1.11c9e14211378p-17, 0x1.10b68d6595238p-17, 0x1.0f8d307b10e56p-17, 0x1.0e4e9dae72a7fp-17, 0x1.0cfbb21c8488fp-17, 0x1.0b955e673bb8bp-17, 0x1.0a1ca41614ae2p-17, 0x1.089289b13461dp-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.c266b4d90aaecp-4, -0x1.c1fc098d122bcp-4, -0x1.c141ea2007c8bp-4, -0x1.c02ca3f91068p-4, -0x1.bead24996e445p-4, -0x1.bcb1e2c52b4cep-4, -0x1.ba27c7a1c91fp-4, -0x1.b6fb09f23865fp-4, -0x1.b317f0ef66cbdp-4, -0x1.ae6b7876a894cp-4, -0x1.a8e3d4782f8bdp-4, -0x1.a270d4e5863d5p-4, -0x1.9b042d82dc49fp-4, -0x1.9291a5fab7303p-4, -0x1.890f36afa677ep-4, -0x1.7e7516554b7d7p-4, -0x1.72bdbba528c4ap-4, -0x1.65e5d5c258736p-4, -0x1.57ec3d346c8cbp-4, -0x1.48d1dedd06e38p-4, -0x1.3899a1f08a4ffp-4, -0x1.274849c3d51a5p-4, -0x1.14e45426877c9p-4, -0x1.0175d4f931708p-4, -0x1.da0c9f6070452p-5, -0x1.af411ef03e032p-5, -0x1.82a0fd63343f3p-5, -0x1.5445fcf0bcd19p-5, -0x1.244b7dbc0989bp-5, -0x1.e59c61caf6e72p-6, -0x1.7fd79e83531dcp-6, -0x1.1785a91f646b4p-6, -0x1.59c8ff5092015p-7, -0x1.00caca465c871p-8, 0x1.72881e146c2eep-9, 0x1.3cd0377b3d365p-7, 0x1.0fd491c17fe08p-6, 0x1.82592c4084b7cp-6, 0x1.f5b9b76ed238p-6, 0x1.34dd9bb140e5ap-5, 0x1.6f1208c8a55a8p-5, 0x1.a95e1753f0df3p-5, 0x1.e3a68adca2184p-5, 0x1.0ee8806f8187dp-4, 0x1.2be1fc936eddp-4, 0x1.48b36e1a7d179p-4, 0x1.65510006e7819p-4, 0x1.81af55e2bf975p-4, 0x1.9dc38d08474edp-4, 0x1.b9833d8a1135cp-4, 0x1.d4e47ad239032p-4, 0x1.efddd40a93fb6p-4, 0x1.05332a2d42942p-3, 0x1.123ac1816ad9dp-3, 0x1.1f01b1ae11e68p-3, 0x1.2b843a5cae87ap-3, 0x1.37bed916a9b15p-3, 0x1.43ae49184f4c4p-3, 0x1.4f4f8311cf739p-3, 0x1.5a9fbcd3f9205p-3, 0x1.659c68e5f75d2p-3, 0x1.704336019b362p-3, 0x1.7a920e73b1287p-3, 0x1.8487175e508aap-3, 0x1.8e20afdb70a61p-3, 0x1.975d6ffe737c7p-3, 0x1.a03c27b3e3d6dp-3, 0x1.a8bbdd7f2747dp-3, 0x1.b0dbcd165d4ddp-3, 0x1.b89b65dd3260ap-3, 0x1.bffa493fe0efp-3, 0x1.c6f848f009266p-3, 0x1.cd9565056d864p-3, 0x1.d3d1ca04fcdaep-3, 0x1.d9adced0dcfdap-3, 0x1.df29f28464abp-3, 0x1.e446da3f17ad2p-3, 0x1.e9054ee1ef24ep-3, 0x1.ed663ac237ba1p-3, 0x1.f16aa75563b7cp-3, 0x1.f513bad91596ap-3, 0x1.f862b5fac0f9ap-3, 0x1.fb58f181f55cep-3, 0x1.fdf7dc0072085p-3, 0x1.00207bc56ffdep-2, 0x1.011aebbe729a4p-2, 0x1.01ec0f258f6cep-2, 0x1.0294bdb2a8b38p-2, 0x1.0315d4956bc8cp-2, 0x1.037035799dcdp-2, 0x1.03a4c59648b6bp-2, 0x1.03b46cc879267p-2, 0x1.03a014ba244ap-2, 0x1.0368a815aacabp-2, 0x1.030f11c653615p-2, 0x1.02943c45f78ddp-2, 0x1.01f910f812d34p-2, 0x1.013e779230837p-2, 0x1.00655591beb28p-2, 0x1.fedd1b7e2cc4fp-3, 0x1.fcb5ff7b20e04p-3, 0x1.fa570f50bb9ebp-3, 0x1.f7c1fb7797216p-3, 0x1.f4f86c151b122p-3, 0x1.f1fc007d54e76p-3, 0x1.eece4ecaf45bbp-3, 0x1.eb70e38c8847bp-3, 0x1.e7e54185cfeb5p-3, 0x1.e42ce1840024cp-3, 0x1.e0493243cede4p-3, 0x1.dc3b9868161f3p-3, 0x1.d8056e7fd0533p-3, 0x1.d3a8051a3acd2p-3, 0x1.cf24a2e7e0199p-3, 0x1.ca7c84e75f10ap-3, 0x1.c5b0de9cb1fdp-3, 0x1.c0c2da51d8dbdp-3, 0x1.bbb3995fb73cp-3, 0x1.b684347e1cfbdp-3, 0x1.b135bc19d2573p-3, 0x1.abc938afc293ep-3, 0x1.a63fab2c3038dp-3, 0x1.a09a0d4d1525bp-3, 0x1.9ad95206d467fp-3, 0x1.94fe65ea5d7e6p-3, 0x1.8f0a2f8c05b23p-3, 0x1.88fd8fea65d48p-3, 0x1.82d962d4864fp-3, 0x1.7c9e7f4eccc84p-3, 0x1.764db7f613314p-3, 0x1.6fe7db606991dp-3, 0x1.696db47b16628p-3, 0x1.62e00ae56780ap-3, 0x1.5c3fa347f760ap-3, 0x1.558d3fa81e5dfp-3, 0x1.4ec99fb74d4eap-3, 0x1.47f5811e0da01p-3, 0x1.41119fc2858fbp-3, 0x1.3a1eb60a5566p-3, 0x1.331d7d17b3509p-3, 0x1.2c0ead01b280fp-3, 0x1.24f2fd07b2ed1p-3, 0x1.1dcb23bfe2d22p-3, 0x1.1697d740f0c3ep-3, 0x1.0f59cd46e49a7p-3, 0x1.0811bb5331b8ap-3, 0x1.00c056c82b1fap-3, 0x1.f2cca9ffa49p-4, 0x1.e408d6bc87315p-4, 0x1.d5369ebf8f0b3p-4, 0x1.c6576d457dbfap-4, 0x1.b76caddb1e8fp-4, 0x1.a877cc61625b9p-4, 0x1.997a350a47a94p-4, 0x1.8a75544eb84bcp-4, 0x1.7b6a96dded31ap-4, 0x1.6c5b69869c33bp-4, 0x1.5d49391a67e43p-4, 0x1.4e35724bed5e3p-4, 0x1.3f218187de647p-4, 0x1.300ed2c98a7f6p-4, 0x1.20fed16b3c9d3p-4, 0x1.11f2e7f2d9372p-4, 0x1.02ec7fdb16011p-4, 0x1.e7da02b36bd72p-5, 0x1.c9eba6464a415p-5, 0x1.ac10b457ab1f3p-5, 0x1.8e4bf2cf6639cp-5, 0x1.70a023101d9fbp-5, 0x1.5310017096dp-5, 0x1.359e44b35188dp-5, 0x1.184d9d7ce9507p-5, 0x1.f6416b93c2ec7p-6, 0x1.bc3460c8cd0a4p-6, 0x1.827950b53831ep-6, 0x1.491560ebb8d62p-6, 0x1.100da566fab9dp-6, 0x1.aece3efe19403p-7, 0x1.3e4d79c6f743ep-7, 0x1.9d455a6bd0e49p-8, 0x1.7f5d8048bb01dp-9, -0x1.c162812b8c1eep-12, -0x1.ebee1216e4fap-9, -0x1.cde1ef2e33eaep-8, -0x1.51e2a5f2bafedp-7, -0x1.bbc7fc72c9fc9p-7, -0x1.124c4ed39d32fp-6, -0x1.462631a972abap-6, -0x1.796dafea23e95p-6, -0x1.ac1eefbcb1713p-6, -0x1.de3634df19b5cp-6, -0x1.07d7f09d5fe22p-5, -0x1.20443ab6e1db7p-5, -0x1.385e48a49592ap-5, -0x1.50247a21f53b2p-5, -0x1.67953ef14d802p-5, -0x1.7eaf1709f605fp-5, -0x1.957092c0f4065p-5, -0x1.abd852ebfc204p-5, -0x1.c1e508feeba1cp-5, -0x1.d7957723beed3p-5, -0x1.ece8704d16eb8p-5, -0x1.00ee6c21b180cp-4, -0x1.0b38d1d66225ap-4, -0x1.1552ec07e34e5p-4, -0x1.1f3c45e880f68p-4, -0x1.28f47315e5cb8p-4, -0x1.327b0f9306706p-4, -0x1.3bcfbfbfb1e05p-4, -0x1.44f2304ddafc5p-4, -0x1.4de21634a4c4ep-4, -0x1.569f2ea14d91dp-4, -0x1.5f293ee60701fp-4, -0x1.67801466ca1c6p-4, -0x1.6fa3848445ba6p-4, -0x1.77936c84f3886p-4, -0x1.7f4fb17c688f9p-4, -0x1.86d84030f79d2p-4, -0x1.8e2d0cffbc958p-4, -0x1.954e13bf1e0fep-4, -0x1.9c3b579fe3517p-4, -0x1.a2f4e30ced132p-4, -0x1.a97ac789a061cp-4, -0x1.afcd1d8f2f659p-4, -0x1.b5ec0468af5acp-4, -0x1.bbd7a20e3c1fp-4, -0x1.c19022ff0e956p-4, -0x1.c715ba1ac373bp-4, -0x1.cc68a079c629bp-4, -0x1.d18915450d9d7p-4, -0x1.d6775d8d23b5ap-4, -0x1.db33c4209adf7p-4, -0x1.dfbe996203283p-4, -0x1.e418331d65f49p-4, -0x1.e840ec5d62b7bp-4, -0x1.ec39254001c7ep-4, -0x1.f00142cb39cadp-4, -0x1.f399aec145a28p-4, -0x1.f702d774ee099p-4, -0x1.fa3d2f9d9e68bp-4, -0x1.fd492e2b8b43bp-4, -0x1.0013a70df19a6p-3, -0x1.016c07268459cp-3, -0x1.02adf8a97beb8p-3, -0x1.03d9bea5eeacep-3, -0x1.04ef9dda7213bp-3, -0x1.05efdc9fa909dp-3, -0x1.06dac2d2f1126p-3, -0x1.07b099c14c1ffp-3, -0x1.0871ac126f5d1p-3, -0x1.091e45b41148bp-3, -0x1.09b6b3c571e15p-3, -0x1.0a3b44832305fp-3, -0x1.0aac473313b0bp-3, -0x1.0b0a0c10dfcd8p-3, -0x1.0b54e43a74823p-3, -0x1.0b8d219cfad4cp-3, -0x1.0bb316e2109adp-3, -0x1.0bc7175d6149bp-3, -0x1.0bc976fa898a9p-3, -0x1.0bba8a2b59ce6p-3, -0x1.0b9aa5d670d79p-3, -0x1.0b6a1f463a8a4p-3, -0x1.0b294c183fa92p-3, -0x1.0ad8822ce70a9p-3, -0x1.0a7817978a5dap-3, -0x1.0a08628ef47cfp-3, -0x1.0989b95e42458p-3, -0x1.08fc72562cfb3p-3, -0x1.0860e3beb0282p-3, -0x1.07b763c92012cp-3, -0x1.070048829f337p-3, -0x1.063be7c703608p-3, -0x1.056a97341592bp-3, -0x1.048cac1d45c66p-3, -0x1.03a27b7fbb386p-3, -0x1.02ac59f6d5398p-3, -0x1.01aa9bb1077d2p-3, -0x1.009d9465261d9p-3, -0x1.ff0b2e901f7d8p-4, -0x1.fcc5ee05843f3p-4, -0x1.fa6c0b519d17dp-4, -0x1.f7fe295e66ec8p-4, -0x1.f57ce9c72a21fp-4, -0x1.f2e8ecc7bd278p-4, -0x1.f042d12c71a7bp-4, -0x1.ed8b3442d3107p-4, -0x1.eac2b1cb1183ap-4, -0x1.e7e9e3ea35546p-4, -0x1.e501631cf0d83p-4, -0x1.e209c62b4391ep-4, -0x1.df03a21cb4a69p-4, -0x1.dbef8a2d460b4p-4, -0x1.d8ce0fc30ed1bp-4, -0x1.d59fc26481dd8p-4, -0x1.d2652faf54af5p-4, -0x1.cf1ee35001p-4, -0x1.cbcd66f9ed7bdp-4, -0x1.c8714260330fep-4, -0x1.c50afb2ee465ep-4, -0x1.c19b1505038a1p-4, -0x1.be22116ef0f34p-4, -0x1.baa06fe178ep-4, -0x1.b716adb558539p-4, -0x1.b3854623579c2p-4, -0x1.afecb240d3ad4p-4, -0x1.ac4d68fcdb409p-4, -0x1.a8a7df1db746cp-4, -0x1.a4fc873eeaf8cp-4, -0x1.a14bd1cfb4551p-4, -0x1.9d962d11e8185p-4, -0x1.99dc051948da9p-4, -0x1.961dc3cb4a5dcp-4, -0x1.925bd0df2a01fp-4, -0x1.8e9691de77a33p-4, -0x1.8ace6a25f69aap-4, -0x1.8703bae6ddebep-4, -0x1.8336e3286c02cp-4, -0x1.7f683fc9d2c11p-4, -0x1.7b982b84722f1p-4, -0x1.77c6feee63ec2p-4, -0x1.73f5107d5054cp-4, -0x1.7022b4898bc9fp-4, -0x1.6c503d51780d5p-4, -0x1.687dfafd28a39p-4, -0x1.64ac3ba245ab6p-4, -0x1.60db4b4827e09p-4, -0x1.5d0b73ec344e3p-4, -0x1.593cfd8666459p-4, -0x1.55702e0e12549p-4, -0x1.51a5497ed7ad8p-4, -0x1.4ddc91ddc02dbp-4, -0x1.4a16473e89342p-4, -0x1.4652a7c91bcb3p-4, -0x1.4291efbf25306p-4, -0x1.3ed45981d47b9p-4, -0x1.3b1a1d97bc28ap-4, -0x1.376372b2cfc75p-4, -0x1.33b08db680a1ap-4, -0x1.3001a1bdf70e9p-4, -0x1.2c56e0225f4c6p-4, -0x1.28b0788151ccp-4, -0x1.250e98c34d9b8p-4, -0x1.21716d2244c21p-4, -0x1.1dd920303d312p-4, -0x1.1a45daddfb8fep-4, -0x1.16b7c481bf9dap-4, -0x1.132f02de0771ap-4, -0x1.0fabba2860729p-4, -0x1.0c2e0d103e1d4p-4, -0x1.08b61cc5d5b79p-4, -0x1.054409010329ap-4, -0x1.01d7f0082e041p-4, -0x1.fce3dd6e63077p-5, -0x1.f624410c87c24p-5, -0x1.ef713f21bec57p-5, -0x1.e8cb09394f79dp-5, -0x1.e231ce409a51cp-5, -0x1.dba5ba94d576bp-5, -0x1.d526f810bee8ap-5, -0x1.ceb5ae1a41f2dp-5, -0x1.c85201b00b634p-5, -0x1.c1fc157710bcfp-5, -0x1.bbb409c800e65p-5, -0x1.b579fcbc9fbacp-5, -0x1.af4e0a3d127bp-5, -0x1.a9304c0d085aep-5, -0x1.a320d9d8d392cp-5, -0x1.9d1fc94260ab5p-5, -0x1.972d2dee17f8p-5, -0x1.9149198f996bfp-5, -0x1.8b739bf66352cp-5, -0x1.85acc31a4c002p-5, -0x1.7ff49b27ea9bap-5, -0x1.7a4b2e8ccce87p-5, -0x1.74b0860394c5ep-5, -0x1.6f24a89ff1189p-5, -0x1.69a79bda69aa5p-5, -0x1.6439639c1100dp-5, -0x1.5eda024a04f2p-5, -0x1.598978d0ceda1p-5, -0x1.5447c6af99987p-5, -0x1.4f14ea03418dbp-5, -0x1.49f0df9138439p-5, -0x1.44dba2d24215bp-5, -0x1.3fd52dfd06d11p-5, -0x1.3add7a107e161p-5, -0x1.35f47ede2da2cp-5, -0x1.311a33143d0b1p-5, -0x1.2c4e8c475e83dp-5, -0x1.27917efc91539p-5, -0x1.22e2feb2b3024p-5, -0x1.1e42fdebe5f54p-5, -0x1.19b16e36d4dcdp-5, -0x1.152e4037c376fp-5, -0x1.10b963b176278p-5, -0x1.0c52c78deb1fbp-5, -0x1.07fa59e6f1bdap-5, -0x1.03b0080e8b095p-5, -0x1.fee77d2e50d4ep-6, -0x1.f68ad2b779425p-6, -0x1.ee49e70f4457p-6, -0x1.e6248f3caf99fp-6, -0x1.de1a9f0622e96p-6, -0x1.d62be90049cc9p-6, -0x1.ce583e9c811bdp-6, -0x1.c69f7037141ap-6, -0x1.bf014d2508f7bp-6, -0x1.b77da3c1b4561p-6, -0x1.b014417bea46p-6, -0x1.a8c4f2e2eb04fp-6, -0x1.a18f83b2f9e0bp-6, -0x1.9a73bee1a8cefp-6, -0x1.93716ea9d8066p-6, -0x1.8c885c9764aap-6, -0x1.85b851928d928p-6, -0x1.7f0115eb13d4bp-6, -0x1.786271630a5bfp-6, -0x1.71dc2b395fda7p-6, -0x1.6b6e0a3415afcp-6, -0x1.6517d4aa42099p-6, -0x1.5ed9508dbe469p-6, -0x1.58b243749334p-6, -0x1.52a272a22e68p-6, -0x1.4ca9a3103ab94p-6, -0x1.46c799774d14ep-6, -0x1.40fc1a57411cep-6, -0x1.3b46e9ff67548p-6, -0x1.35a7cc9661abfp-6, -0x1.301e8621c2d3ap-6, -0x1.2aaada8d84bf6p-6, -0x1.254c8db32c2p-6, -0x1.20036360c3c14p-6, -0x1.1acf1f5f923d2p-6, -0x1.15af857a8d89fp-6, -0x1.10a45984b5e74p-6, -0x1.0bad5f5f1603ep-6, -0x1.06ca5afea9cf8p-6, -0x1.01fb1071fe38cp-6, -0x1.fa7e87cd55d92p-7, -0x1.f12d735d0b6c2p-7, -0x1.e8026c89888f8p-7, -0x1.defcfca59b97ap-7, -0x1.d61cad69ddccep-7, -0x1.cd6108fda267bp-7, -0x1.c4c999ffaea91p-7, -0x1.bc55eb8e761a5p-7, -0x1.b405895022b98p-7, -0x1.abd7ff7a28564p-7, -0x1.a3ccdad890283p-7, -0x1.9be3a8d4f9cd6p-7, -0x1.941bf77d358c9p-7, -0x1.8c755589bb679p-7, -0x1.84ef5263b1971p-7, -0x1.7d897e2aaca7bp-7, -0x1.764369ba374bcp-7, -0x1.6f1ca6aef9113p-7, -0x1.6814c76bc7faep-7, -0x1.612b5f1e5e9fap-7, -0x1.5a6001c3a319fp-7, -0x1.53b2442c01ac6p-7, -0x1.4d21bbff4049fp-7, -0x1.46adffc048f87p-7, -0x1.4056a6d0a63b3p-7, -0x1.3a1b4973c65a1p-7, -0x1.33fb80d1f35ccp-7, -0x1.2df6e6fb4a9a6p-7, -0x1.280d16ea4a733p-7, -0x1.223dac8642583p-7, -0x1.1c8844a59eef8p-7, -0x1.16ec7d0ff2ab1p-7, -0x1.1169f47fc4abp-7, -0x1.0c004aa4528a1p-7, -0x1.06af20231e3aap-7, -0x1.017616993b273p-7, -0x1.f8a9a13933441p-8, -0x1.ee95e379f355bp-8, -0x1.e4b03d09ced51p-8, -0x1.daf7f8f4cab3fp-8, -0x1.d16c643f35d35p-8, -0x1.c80ccde69a851p-8, -0x1.bed886e27340fp-8, -0x1.b5cee22483968p-8, -0x1.acef349920cc5p-8, -0x1.a438d5270cb8p-8, -0x1.9bab1caf6fd57p-8, -0x1.9345660d31ccp-8, -0x1.8b070e1441596p-8, -0x1.82ef7390d96b1p-8, -0x1.7afdf7461d9d8p-8, -0x1.7331fbed2eec5p-8, -0x1.6b8ae63379612p-8, -0x1.64081cb93304cp-8, -0x1.5ca9080f8fa97p-8, -0x1.556d12b6b1fe7p-8, -0x1.4e53a91ba28dep-8, -0x1.475c399612a75p-8, -0x1.40863465fea3dp-8, -0x1.39d10bb1383d3p-8, -0x1.333c338088bfap-8, -0x1.2cc721bd20139p-8, -0x1.26714e2d9e724p-8, -0x1.203a327312d89p-8, -0x1.1a214a05f348p-8, -0x1.14261232eda01p-8, -0x1.0e480a179818dp-8, -0x1.0886b29f027f2p-8, -0x1.02e18e7e4890ep-8, -0x1.fab0446222fb7p-9, -0x1.efd3e7ebe293p-9, -0x1.e52d17959f9f6p-9, -0x1.dabae6d2066e8p-9, -0x1.d07c6c831f1cap-9, -0x1.c670c2f2a5f2fp-9, -0x1.bc9707ca374dfp-9, -0x1.b2ee5c0b4de98p-9, -0x1.a975e40751814p-9, -0x1.a02cc757ae723p-9, -0x1.971230d531e61p-9, -0x1.8e254e903138ap-9, -0x1.856551c7f8b66p-9, -0x1.7cd16ee2a311cp-9, -0x1.7468dd64a5f83p-9, -0x1.6c2ad7e85d872p-9, -0x1.64169c15852d8p-9, -0x1.5c2b6a98a15ap-9, -0x1.5468871a8dc08p-9, -0x1.4ccd3837d3544p-9, -0x1.4558c77838ce4p-9, -0x1.3e0a814607c3cp-9, -0x1.36e1b4e57c85cp-9, -0x1.2fddb46c26cd6p-9, -0x1.28fdd4b82c921p-9, -0x1.22416d67f1146p-9, -0x1.1ba7d8d1394e1p-9, -0x1.153073f8d65d4p-9, -0x1.0eda9e89f9ceap-9, -0x1.08a5bacd91c89p-9, -0x1.02912da1ec254p-9, -0x1.f938bce40d96ep-10, -0x1.ed8d6e5a78b58p-10, -0x1.e21f487d975f5p-10, -0x1.d6ed290b16a18p-10, -0x1.cbf5f296db252p-10, -0x1.c1388c7a830efp-10, -0x1.b6b3e2c4deddap-10, -0x1.ac66e62927da7p-10, -0x1.a2508bef0253bp-10, -0x1.986fcde23d698p-10, -0x1.8ec3aa42c103ep-10, -0x1.854b23b43299ep-10, -0x1.7c05412e3559p-10, -0x1.72f10dec7440cp-10, -0x1.6a0d995f23974p-10, -0x1.6159f71b4fb33p-10, -0x1.58d53ecb8ffa4p-10, -0x1.507e8c2099393p-10, -0x1.4854fec226ad3p-10, -0x1.4057ba3fdb2cp-10, -0x1.3885e602368fep-10, -0x1.30dead3be6567p-10, -0x1.29613edb0afd3p-10, -0x1.220ccd7af6f6dp-10, -0x1.1ae08f55c1b78p-10, -0x1.13dbbe35e8443p-10, -0x1.0cfd976850d5ep-10, -0x1.06455bae1cf2fp-10, -0x1.ff649e5e86c27p-11, -0x1.f28772d9466c8p-11, -0x1.e5f1ca6595a54p-11, -0x1.d9a24119045b9p-11, -0x1.cd97796b2eab3p-11, -0x1.c1d01c1ba4394p-11, -0x1.b64ad8182ff0cp-11, -0x1.ab066262ffff9p-11, -0x1.a00175f9f0149p-11, -0x1.953ad3bdb5e4ep-11, -0x1.8ab1425951ec1p-11, -0x1.80638e2957dd2p-11, -0x1.765089247d969p-11, -0x1.6c770ac3cb103p-11, -0x1.62d5efeae3f3cp-11, -0x1.596c1ad130975p-11, -0x1.503872eb451d8p-11, -0x1.4739e4d4f13eap-11, -0x1.3e6f623a2e7d2p-11, -0x1.35d7e1c1bbfeap-11, -0x1.2d725ef78914dp-11, -0x1.253dda36de783p-11, -0x1.1d3958964238p-11, -0x1.1563e3d25cfb8p-11, -0x1.0dbc8a39bffedp-11, -0x1.06425e9879852p-11, -0x1.fde8f049f6209p-12, -0x1.efa3e4d783478p-12, -0x1.e1b3da78f852fp-12, -0x1.d417192e3b24ap-12, -0x1.c6cbf131ca1bep-12, -0x1.b9d0bad426d99p-12, -0x1.ad23d658ac74ap-12, -0x1.a0c3abd0818b8p-12, -0x1.94aeaaf7ff093p-12, -0x1.88e34b1431f05p-12, -0x1.7d600acf9363p-12, -0x1.7223701966e89p-12, -0x1.672c08053753ap-12, -0x1.5c7866a886092p-12, -0x1.520726fd47c36p-12, -0x1.47d6eac01673fp-12, -0x1.3de65a5295b4fp-12, -0x1.3434249c06e7fp-12, -0x1.2abefeeb12ba3p-12, -0x1.2185a4d9a8ca5p-12, -0x1.1886d82dec7f5p-12, -0x1.0fc160bf730f1p-12, -0x1.07340c59be742p-12, -0x1.fdbb5d42ec195p-13, -0x1.ed7a41f215355p-13, -0x1.dda284c9f4aeep-13, -0x1.ce31eee552823p-13, -0x1.bf26543ba06f7p-13, -0x1.b07d936ddfec7p-13, -0x1.a23595960c1a1p-13, -0x1.944c4e14a3a43p-13, -0x1.86bfba6177667p-13, -0x1.798de1dadd6ffp-13, -0x1.6cb4d59814fafp-13, -0x1.6032b038f4d6ep-13, -0x1.540595bb8fa3bp-13, -0x1.482bb34ec21f1p-13, -0x1.3ca33f268be92p-13, -0x1.316a78511b873p-13, -0x1.267fa68db6e1bp-13, -0x1.1be11a224c959p-13, -0x1.118d2bb27945p-13, -0x1.07823c1976b39p-13, -0x1.fb7d6880a3d9cp-14, -0x1.e88209f418daap-14, -0x1.d60f4db73d1a1p-14, -0x1.c422343134ba5p-14, -0x1.b2b7ccbba16c4p-14, -0x1.a1cd355c8c74ap-14, -0x1.915f9a7cdf111p-14, -0x1.816c36a6e3ed6p-14, -0x1.71f0523eea327p-14, -0x1.62e94343272a6p-14, -0x1.54546d0a2aeb8p-14, -0x1.462f400114e1dp-14, -0x1.3877396f7eefbp-14, -0x1.2b29e336e3d99p-14, -0x1.1e44d3980c16bp-14, -0x1.11c5acf47a552p-14, -0x1.05aa1d96bc525p-14, -0x1.f3dfbeee0013dp-15, -0x1.dd29700837e27p-15, -0x1.c72cefd6fb44ap-15, -0x1.b1e5f5c855595p-15, -0x1.9d504eedc0dc6p-15, -0x1.8967dd9bdfc4fp-15, -0x1.762898f82feccp-15, -0x1.638e8c9eff1e2p-15, -0x1.5195d83b30832p-15, -0x1.403aaf237cae2p-15, -0x1.2f795801852a9p-15, -0x1.1f4e2c6e081b6p-15, -0x1.0fb5989bb1712p-15, -0x1.00ac1af4a6f7ep-15, -0x1.e45c8794f9349p-16, -0x1.c87169ff1b9eep-16, -0x1.ad904352308cp-16, -0x1.93b29b868d93dp-16, -0x1.7ad21bbe34c7fp-16, -0x1.62e88d9bf5074p-16, -0x1.4befdab423f49p-16, -0x1.35e20be3763b6p-16, -0x1.20b948c3c4fe7p-16, -0x1.0c6fd71160c0dp-16, -0x1.f200342cbabe2p-17, -0x1.ccc92441eff7fp-17, -0x1.a92fb7dcafcebp-17, -0x1.8729606878f99p-17, -0x1.66abc60c7ef4p-17, -0x1.47acc6ad804a4p-17, -0x1.2a2274f8e2797p-17, -0x1.0e031750a7eb1p-17, -0x1.e68a4dcfd54d3p-18, -0x1.b3be9d724fa55p-18, -0x1.8390d54af313ep-18, -0x1.55ef0cef52667p-18, -0x1.2ac7ba176ceadp-18, -0x1.0209aec232b65p-18, -0x1.b7482f2e3a448p-19, -0x1.6f0cf416837ecp-19, -0x1.2b4165a1f5a38p-19, -0x1.d78bd09f4b7e6p-20, -0x1.60f7110d03cdcp-20, -0x1.e50fdceda4349p-21, -0x1.18061d30c73b5p-21, -0x1.6972a0bc1326fp-23, 0x1.51793b0493d15p-23, }}, 
      {{-0x1.c27ddd70a6c08p-4, -0x1.c25abcee65e2ap-4, -0x1.c21e802f18cc4p-4, -0x1.c1c6bd5f66f88p-4, -0x1.c15047d1d552cp-4, -0x1.c0b755b62d47p-4, -0x1.bff7a6f956c04p-4, -0x1.bf0cab640d8e5p-4, -0x1.bdf1a664fe78bp-4, -0x1.bca1cf5de1dc6p-4, -0x1.bb186dc272362p-4, -0x1.b950f0c73d4dep-4, -0x1.b74702b6a73b3p-4, -0x1.b4f6983e18faep-4, -0x1.b25bfc2665aa8p-4, -0x1.af73d7f560673p-4, -0x1.ac3b39f32468cp-4, -0x1.a8af9900ff51dp-4, -0x1.a4ced69fb5efep-4, -0x1.a0973f722c40ep-4, -0x1.9c078a7b0431ap-4, -0x1.971ed7474fd3dp-4, -0x1.91dcab2fc88b2p-4, -0x1.8c40edd370ae4p-4, -0x1.864be4ea720e4p-4, -0x1.7ffe2f8d6cb29p-4, -0x1.7958c10bc3c23p-4, -0x1.725cdb6a655eep-4, -0x1.6b0c09a3792dfp-4, -0x1.636819be5422p-4, -0x1.5b7316d59f8a2p-4, -0x1.532f431ff0d43p-4, -0x1.4a9f120d1710dp-4, -0x1.41c5228814e36p-4, -0x1.38a4396b5fa8p-4, -0x1.2f3f3c326fef4p-4, -0x1.25992bf145efdp-4, -0x1.1bb520980fd46p-4, -0x1.11964486f166fp-4, -0x1.073fd073e4982p-4, -0x1.f96a0f45d003fp-5, -0x1.e3f268de4c3c3p-5, -0x1.ce1f4a452e37bp-5, -0x1.b7f752311a065p-5, -0x1.a1811c4dfbe18p-5, -0x1.8ac33c9393f95p-5, -0x1.73c43b16063d2p-5, -0x1.5c8a904631f14p-5, -0x1.451ca197b3dap-5, -0x1.2d80be82bb14bp-5, -0x1.15bd1dd869528p-5, -0x1.fbafb6c215de2p-6, -0x1.cbadeb788ad55p-6, -0x1.9b8098f805459p-6, -0x1.6b333ce7bffb9p-6, -0x1.3ad1106ede49ep-6, -0x1.0a6505855f77fp-6, -0x1.b3f389224ae51p-7, -0x1.53335490e1ed2p-7, -0x1.e53b1750fed6fp-8, -0x1.248b5cb81e64cp-8, -0x1.91f4db547989bp-10, 0x1.6b2b905f52531p-10, 0x1.1929c916dbf58p-8, 0x1.d67d9bbe2a076p-8, 0x1.4952e85c5af03p-7, 0x1.a6c197c8729f2p-7, 0x1.01bdf4f0ded5fp-6, 0x1.2fb9cb4745757p-6, 0x1.5d4d7fd957505p-6, 0x1.8a729856a7d29p-6, 0x1.b722eec05be44p-6, 0x1.e358b0d2e56ddp-6, 0x1.07872fa35d926p-5, 0x1.1d1f66749f5d3p-5, 0x1.32728ec7a113cp-5, 0x1.477e62715248p-5, 0x1.5c40c2866d57fp-5, 0x1.70b7b6a020aacp-5, 0x1.84e16c111c09dp-5, 0x1.98bc350c1973fp-5, 0x1.ac4687bd08f5ap-5, 0x1.bf7efd56076f3p-5, 0x1.d26451115f656p-5, 0x1.e4f55f29c5458p-5, 0x1.f73123ca27358p-5, 0x1.048b5cfb1c58ep-4, 0x1.0d52ad368bd9fp-4, 0x1.15ee2d4399777p-4, 0x1.1e5d95885a0f3p-4, 0x1.26a0ab90d1239p-4, 0x1.2eb7417a6dae2p-4, 0x1.36a1355f81513p-4, 0x1.3e5e70c33bd46p-4, 0x1.45eee7fea8b51p-4, 0x1.4d5299af247bdp-4, 0x1.54898e26c6ebp-4, 0x1.5b93d6df18efp-4, 0x1.62718dee87138p-4, 0x1.6922d580dd8bfp-4, 0x1.6fa7d7531fca2p-4, 0x1.7600c4330774cp-4, 0x1.7c2dd3825ed15p-4, 0x1.822f42be74badp-4, 0x1.8805550bd2f51p-4, 0x1.8db052c660bc7p-4, 0x1.9330891607e84p-4, 0x1.98864987fd595p-4, 0x1.9db1e9acb5ad4p-4, 0x1.a2b3c2ba8e4e4p-4, 0x1.a78c31353c49dp-4, 0x1.ac3b9499da947p-4, 0x1.b0c24f0fca656p-4, 0x1.b520c51e19228p-4, 0x1.b9575d6582bc5p-4, 0x1.bd66805ef615dp-4, 0x1.c14e981e713fep-4, 0x1.c510101a2cbc5p-4, 0x1.c8ab54f5e6492p-4, 0x1.cc20d45236172p-4, 0x1.cf70fc9fcb3d1p-4, 0x1.d29c3cf64c8dcp-4, 0x1.d5a304eeeda61p-4, 0x1.d885c4825067bp-4, 0x1.db44ebe9c4782p-4, 0x1.dde0eb8387879p-4, 0x1.e05a33b9ff54dp-4, 0x1.e2b134edbc2d8p-4, 0x1.e4e65f62081ap-4, 0x1.e6fa232bed98p-4, 0x1.e8ecf023811ep-4, 0x1.eabf35d74bfa3p-4, 0x1.ec716381aacfap-4, 0x1.ee03e7fff031bp-4, 0x1.ef7731cb499c2p-4, 0x1.f0cbaef300be1p-4, 0x1.f201cd184a5a3p-4, 0x1.f319f96b25d57p-4, 0x1.f414a0a88076fp-4, 0x1.f4f22f1938148p-4, 0x1.f5b310921246bp-4, 0x1.f657b0746a92ap-4, 0x1.f6e079af87b38p-4, 0x1.f74dd6c28d76cp-4, 0x1.f7a031bed2de5p-4, 0x1.f7d7f44aa1d09p-4, 0x1.f7f587a444305p-4, 0x1.f7f954a53cef6p-4, 0x1.f7e3c3c5bb2f9p-4, 0x1.f7b53d2002d4fp-4, 0x1.f76e2873fd8efp-4, 0x1.f70eed2aa36a9p-4, 0x1.f697f25968ac5p-4, 0x1.f6099ec576e2dp-4, 0x1.f56458e6c2ca9p-4, 0x1.f4a886eaf0ef7p-4, 0x1.f3d68eb7f5b22p-4, 0x1.f2eed5ee7d023p-4, 0x1.f1f1c1ebfa221p-4, 0x1.f0dfb7cc7b9abp-4, 0x1.efb91c6c15a1dp-4, 0x1.ee7e54680d2b3p-4, 0x1.ed2fc41f9b2e7p-4, 0x1.ebcdcfb45d3dfp-4, 0x1.ea58db0a6aa3ap-4, 0x1.e8d149c805364p-4, 0x1.e7377f54f7809p-4, 0x1.e58bded9992fep-4, 0x1.e3cecb3d70fe2p-4, 0x1.e200a72583eddp-4, 0x1.e021d4f24c8efp-4, 0x1.de32b6bd61583p-4, 0x1.dc33ae56c309dp-4, 0x1.da251d41e4b2p-4, 0x1.d80764b269ce7p-4, 0x1.d5dae5888e39ep-4, 0x1.d3a0004d5e9a4p-4, 0x1.d157152ea6eb7p-4, 0x1.cf0083fa9ff32p-4, 0x1.cc9cac1b743dep-4, 0x1.ca2bec928242cp-4, 0x1.c7aea3f379959p-4, 0x1.c525305f4de01p-4, 0x1.c28fef7ef8998p-4, 0x1.bfef3e7e2763fp-4, 0x1.bd437a05c030ep-4, 0x1.ba8cfe3653cebp-4, 0x1.b7cc26a27b591p-4, 0x1.b5014e491ecb9p-4, 0x1.b22ccf8fb2c7bp-4, 0x1.af4f043c6d8f8p-4, 0x1.ac6845707c005p-4, 0x1.a978eba224f56p-4, 0x1.a6814e9701c76p-4, 0x1.a381c55e35095p-4, 0x1.a07aa64aabd36p-4, 0x1.9d6c46ed67da3p-4, 0x1.9a56fc0fe2265p-4, 0x1.973b19ae77796p-4, 0x1.9418f2f2f34f3p-4, 0x1.90f0da2f2d57bp-4, 0x1.8dc320d7c6141p-4, 0x1.8a90177eff132p-4, 0x1.87580dcfb4999p-4, 0x1.841b52887b019p-4, 0x1.80da3376dd594p-4, 0x1.7d94fd72c3f14p-4, 0x1.7a4bfc5a02ac5p-4, 0x1.76ff7b0c107a9p-4, 0x1.73afc365eaa1bp-4, 0x1.705d1e3e2487dp-4, 0x1.6d07d361234c1p-4, 0x1.69b0298d8a474p-4, 0x1.66566670d4c31p-4, 0x1.62facea421d3cp-4, 0x1.5f9da5a92df04p-4, 0x1.5c3f2de781d71p-4, 0x1.58dfa8a9d17bp-4, 0x1.557f561b8d99ap-4, 0x1.521e7546a6c0dp-4, 0x1.4ebd441182a56p-4, 0x1.4b5bff3d26c66p-4, 0x1.47fae26393185p-4, 0x1.449a27f64ed31p-4, 0x1.413a093d28446p-4, 0x1.3ddabe552698ap-4, 0x1.3a7c7e2fad999p-4, 0x1.371f7e91cea3bp-4, 0x1.33c3f413cddb3p-4, 0x1.306a1220d5ff1p-4, 0x1.2d120af6da813p-4, 0x1.29bc0fa6a7b5dp-4, 0x1.2668501422822p-4, 0x1.2316faf6b2445p-4, 0x1.1fc83dd9d8d29p-4, 0x1.1c7c451df23c4p-4, 0x1.19333bf921c17p-4, 0x1.15ed4c78657e3p-4, 0x1.12aa9f80d2e6ap-4, 0x1.0f6b5cd0f9f65p-4, 0x1.0c2fab026e05bp-4, 0x1.08f7af8b73911p-4, 0x1.05c38ec0d101dp-4, 0x1.02936bd7c32d8p-4, 0x1.feced1d02197fp-5, 0x1.f87f4ddc7fc18p-5, 0x1.f2388b9bd2742p-5, 0x1.ebfac8a851391p-5, 0x1.e5c640745b4fp-5, 0x1.df9b2c4fc514p-5, 0x1.d979c36d5fd71p-5, 0x1.d3623ae8b5629p-5, 0x1.cd54c5cbef274p-5, 0x1.c7519515eb7fp-5, 0x1.c158d7c07eea9p-5, 0x1.bb6abac6dcb72p-5, 0x1.b587692c26b1ep-5, 0x1.afaf0c0221198p-5, 0x1.a9e1ca7007a1bp-5, 0x1.a41fc9b982d5bp-5, 0x1.9e692d45bbbd6p-5, 0x1.98be16a686bap-5, 0x1.931ea59fadb4cp-5, 0x1.8d8af82e49132p-5, 0x1.88032a9035e01p-5, 0x1.8287574b9a619p-5, 0x1.7d1797367addep-5, 0x1.77b4017e61609p-5, 0x1.725cabb00f597p-5, 0x1.6d11a9bf3ad7dp-5, 0x1.67d30e0e5870ep-5, 0x1.62a0e97668aap-5, 0x1.5d7b4b4eccc71p-5, 0x1.5862417520dfep-5, 0x1.5355d8551811ep-5, 0x1.4e561af05b822p-5, 0x1.496312e665274p-5, 0x1.447cc87c5e174p-5, 0x1.3fa342a4f4bep-5, 0x1.3ad6870831abbp-5, 0x1.36169a0b45b36p-5, 0x1.31637ed85100cp-5, 0x1.2cbd376620532p-5, 0x1.2823c47fe2d5ap-5, 0x1.239725ccd2983p-5, 0x1.1f1759d7d4f1p-5, 0x1.1aa45e170aaeep-5, 0x1.163e2ef35509p-5, 0x1.11e4c7cfc7e8dp-5, 0x1.0d982311114c2p-5, 0x1.09583a24ce012p-5, 0x1.05250588caaep-5, 0x1.00fe7cd236c67p-5, 0x1.f9c92d6986e4cp-6, 0x1.f1ae921357e11p-6, 0x1.e9ad11ad553d5p-6, 0x1.e1c494a9bfdeap-6, 0x1.d9f501ef33697p-6, 0x1.d23e3ee6152d7p-6, 0x1.caa02f85cfb2ap-6, 0x1.c31ab661ebcb4p-6, 0x1.bbadb4b6ebb9ap-6, 0x1.b4590a770271cp-6, 0x1.ad1c965693445p-6, 0x1.a5f835d88317bp-6, 0x1.9eebc55a5f68bp-6, 0x1.97f720203fa0bp-6, 0x1.911a20608c62dp-6, 0x1.8a549f4f83ff1p-6, 0x1.83a6752a8cef4p-6, 0x1.7d0f794357c69p-6, 0x1.768f820acfde5p-6, 0x1.7026651bd6881p-6, 0x1.69d3f745c1bb8p-6, 0x1.63980c96af231p-6, 0x1.5d727865a47eap-6, 0x1.57630d5c74357p-6, 0x1.51699d81742b3p-6, 0x1.4b85fa40f6a8p-6, 0x1.45b7f4769d40fp-6, 0x1.3fff5c7668e6cp-6, 0x1.3a5c0215a06ffp-6, 0x1.34cdb4b380f42p-6, 0x1.2f544341b743cp-6, 0x1.29ef7c4caba2ap-6, 0x1.249f2e03931adp-6, 0x1.1f632640552ddp-6, 0x1.1a3b328f40f8dp-6, 0x1.15272036873cp-6, 0x1.1026bc3d8cfa2p-6, 0x1.0b39d37402fc4p-6, 0x1.06603278d8095p-6, 0x1.0199a5c0f16a5p-6, 0x1.f9cbf33b76a45p-7, 0x1.f089f48712d73p-7, 0x1.e76ce79f7fa01p-7, 0x1.de74649db8a75p-7, 0x1.d5a003848ad34p-7, 0x1.ccef5c4bed1aap-7, 0x1.c46206ebf83b4p-7, 0x1.bbf79b67818d1p-7, 0x1.b3afb1d66f77dp-7, 0x1.ab89e26fa892ep-7, 0x1.a385c592b82eap-7, 0x1.9ba2f3d1213dp-7, 0x1.93e105f75f98cp-7, 0x1.8c3f951594dc3p-7, 0x1.84be3a87f74aep-7, 0x1.7d5c8ffed9fe4p-7, 0x1.761a2f867cc7p-7, 0x1.6ef6b38e92df1p-7, 0x1.67f1b6f170f2p-7, 0x1.610ad4fb09e2cp-7, 0x1.5a41a96f8d467p-7, 0x1.5395d091d8d5fp-7, 0x1.4d06e7298fccep-7, 0x1.46948a89041f3p-7, 0x1.403e5892d2473p-7, 0x1.3a03efbf4287p-7, 0x1.33e4ef216dca4p-7, 0x1.2de0f66c266f3p-7, 0x1.27f7a5f69828dp-7, 0x1.22289ec0c0c16p-7, 0x1.1c738277abc7bp-7, 0x1.16d7f3796bcfdp-7, 0x1.115594d8e6f18p-7, 0x1.0bec0a6172959p-7, 0x1.069af89a2cb14p-7, 0x1.016204c932ce9p-7, 0x1.f881a9ed4149fp-8, 0x1.ee6e1fdeb7808p-8, 0x1.e488ba8f6ab3fp-8, 0x1.dad0cabbc0051p-8, 0x1.d145a2b873521p-8, 0x1.c7e69676c759ep-8, 0x1.beb2fb886997fp-8, 0x1.b5aa292308283p-8, 0x1.accb78239ad2cp-8, 0x1.a41643115e209p-8, 0x1.9b89e6207ad6p-8, 0x1.9325bf347059bp-8, 0x1.8ae92de22700dp-8, 0x1.82d39371e2d56p-8, 0x1.7ae452e0cda69p-8, 0x1.731ad0e25067cp-8, 0x1.6b7673e130e2bp-8, 0x1.63f6a40073bdbp-8, 0x1.5c9acb1c031e2p-8, 0x1.556254c919e6p-8, 0x1.4e4cae567ff06p-8, 0x1.475946cc810f8p-8, 0x1.40878eeccb462p-8, 0x1.39d6f931ffe06p-8, 0x1.3346f9cf355a8p-8, 0x1.2cd706af33783p-8, 0x1.268697738b9dbp-8, 0x1.2055257382267p-8, 0x1.1a422bbadb066p-8, 0x1.144d270873308p-8, 0x1.0e7595ccb8368p-8, 0x1.08baf82808d3fp-8, 0x1.031ccfe8dd2d9p-8, 0x1.fb354113bf2b3p-9, 0x1.f067de5fbe10bp-9, 0x1.e5d0854f4684bp-9, 0x1.db6e46c73d8f6p-9, 0x1.d14036f32eb2cp-9, 0x1.c7456d402f0e8p-9, 0x1.bd7d0457e00b2p-9, 0x1.b3e61a1aeae8ap-9, 0x1.aa7fcf9b8b808p-9, 0x1.a1494917d89aap-9, 0x1.9841adf3e9ea6p-9, 0x1.8f6828b3be6f6p-9, 0x1.86bbe6f533293p-9, 0x1.7e3c1969ac1bp-9, 0x1.75e7f3cfaf3d3p-9, 0x1.6dbeacec5c86ap-9, 0x1.65bf7e84cee25p-9, 0x1.5de9a5574efadp-9, 0x1.563c61148cc78p-9, 0x1.4eb6f458a42ecp-9, 0x1.4758a4a42bca6p-9, 0x1.4020ba55037edp-9, 0x1.390e809f47a9dp-9, 0x1.3221458612c6fp-9, 0x1.2b5859d43341fp-9, 0x1.24b31114d7b6bp-9, 0x1.1e30c18c22fcap-9, 0x1.17d0c42fce44ap-9, 0x1.1192749fabb11p-9, 0x1.0b75311e273ccp-9, 0x1.05785a88dc76cp-9, 0x1.ff36a8a1eea5ep-10, 0x1.f3bb08e7407abp-10, 0x1.e87ca6e50d267p-10, 0x1.dd7a58985a5f4p-10, 0x1.d2b2f8e8cb63ap-10, 0x1.c8256799671c8p-10, 0x1.bdd089398487ap-10, 0x1.b3b3471590da1p-10, 0x1.a9cc8f281b70ep-10, 0x1.a01b540a8b101p-10, 0x1.969e8ce61b307p-10, 0x1.8d553564ccea8p-10, 0x1.843e4da269e5bp-10, 0x1.7b58da1d970a5p-10, 0x1.72a3e3a8f5d68p-10, 0x1.6a1e775c5456bp-10, 0x1.61c7a685ee00bp-10, 0x1.599e869bb7d1fp-10, 0x1.51a2312cb20e4p-10, 0x1.49d1c3d27b4c6p-10, 0x1.422c6022bc1a1p-10, 0x1.3ab12ba0e050ap-10, 0x1.335f4fafc4061p-10, 0x1.2c35f98383669p-10, 0x1.25345a136e93fp-10, 0x1.1e59a60c22aep-10, 0x1.17a515c179319p-10, 0x1.1115e520da6bfp-10, 0x1.0aab53a38a4d6p-10, 0x1.0464a44129062p-10, 0x1.fc823ac4408b4p-11, 0x1.f08011a4cde47p-11, 0x1.e4c167689bfeap-11, 0x1.d944dce6a2686p-11, 0x1.ce09196e8e66ep-11, 0x1.c30ccaaed841dp-11, 0x1.b84ea49b4de1p-11, 0x1.adcd6153f2fbcp-11, 0x1.a387c10bea498p-11, 0x1.997c89f0ded3ep-11, 0x1.8faa8812b10f4p-11, 0x1.86108d4b075b5p-11, 0x1.7cad7125af409p-11, 0x1.738010c8c45c3p-11, 0x1.6a874edd838eep-11, 0x1.61c21378eee1ep-11, 0x1.592f4c04fe9c7p-11, 0x1.50cdeb2a3f8f4p-11, 0x1.489ce8b9553a7p-11, 0x1.409b4194e99dp-11, 0x1.38c7f79bda0a6p-11, 0x1.31221193dfd98p-11, 0x1.29a89b14394d1p-11, 0x1.225aa470ccc24p-11, 0x1.1b3742a5522cfp-11, 0x1.143d8f40d71a4p-11, 0x1.0d6ca851a0256p-11, 0x1.06c3b05153291p-11, 0x1.0041ce115213cp-11, 0x1.f3cc594e3561ap-12, 0x1.e75ff6b2d84c1p-12, 0x1.db3cdb1ac66d5p-12, 0x1.cf6175675f087p-12, 0x1.c3cc3c6cf4828p-12, 0x1.b87baeceb7f34p-12, 0x1.ad6e52da91cc9p-12, 0x1.a2a2b6666a72ep-12, 0x1.98176ead1f11cp-12, 0x1.8dcb182cdb92cp-12, 0x1.83bc568505577p-12, 0x1.79e9d45587eecp-12, 0x1.7052431e1f16fp-12, 0x1.66f45b1dfad18p-12, 0x1.5dcedb343cfddp-12, 0x1.54e088c0b6733p-12, 0x1.4c282f8575137p-12, 0x1.43a4a1882fa23p-12, 0x1.3b54b6f4e0416p-12, 0x1.33374e001a78fp-12, 0x1.2b4b4aca675a8p-12, 0x1.238f9743f4f67p-12, 0x1.1c032310a0564p-12, 0x1.14a4e36c55088p-12, 0x1.0d73d3104b27bp-12, 0x1.066ef218406bdp-12, 0x1.ff2a8bd0d92d5p-13, 0x1.f1cbb226f03f1p-13, 0x1.e4bf7682d8bf1p-13, 0x1.d804022e130b1p-13, 0x1.cb978839639bdp-13, 0x1.bf78454dac793p-13, 0x1.b3a47f7c806c3p-13, 0x1.a81a861136181p-13, 0x1.9cd8b162def56p-13, 0x1.91dd62a8aae5dp-13, 0x1.872703cc024f9p-13, 0x1.7cb4073e93bbap-13, 0x1.7282e7ce8892dp-13, 0x1.6892287d2a0e1p-13, 0x1.5ee0545590f56p-13, 0x1.556bfe43b3f27p-13, 0x1.4c33c0ed73b1cp-13, 0x1.43363e8b17cd2p-13, 0x1.3a7220c0b6cc1p-13, 0x1.31e61878e99c1p-13, 0x1.2990ddbf96736p-13, 0x1.21712f9d53eccp-13, 0x1.1985d3f40f7f2p-13, 0x1.11cd975b90d43p-13, 0x1.0a474cffc062p-13, 0x1.02f1ce7e0a228p-13, 0x1.f797f789acd7ap-14, 0x1.e9a975e4dfee2p-14, 0x1.dc15f06aa62efp-14, 0x1.cedb4b5943bf5p-14, 0x1.c1f776931e25dp-14, 0x1.b5686d6215adep-14, 0x1.a92c363be79bcp-14, 0x1.9d40e28852318p-14, 0x1.91a48e66aaeefp-14, 0x1.8655607740b12p-14, 0x1.7b5189a38c1ep-14, 0x1.709744e963429p-14, 0x1.6624d72418247p-14, 0x1.5bf88eda638d4p-14, 0x1.5210c40a0b689p-14, 0x1.486bd7f6aaf44p-14, 0x1.3f0834f86abaep-14, 0x1.35e44e4b8a3d3p-14, 0x1.2cfe9fe1e0365p-14, 0x1.2455ae34b3253p-14, 0x1.1be806161c8f4p-14, 0x1.13b43c861a6b6p-14, 0x1.0bb8ee853cf5p-14, 0x1.03f4c0ebe9993p-14, 0x1.f8ccc07d2d17bp-15, 0x1.ea19010cf55adp-15, 0x1.dbcbba4ee5f93p-15, 0x1.cde27173f792dp-15, 0x1.c05ab9c70e252p-15, 0x1.b33234620f45dp-15, 0x1.a6668fe247d4p-15, 0x1.99f5882150c7ap-15, 0x1.8ddce5ebcaf6p-15, 0x1.821a7ebcffebep-15, 0x1.76ac3477f5ef2p-15, 0x1.6b8ff525a9f01p-15, 0x1.60c3bab4415b4p-15, 0x1.56458ab4954d5p-15, 0x1.4c13761ae5e6dp-15, 0x1.422b9901d03f7p-15, 0x1.388c1a6da0f1ap-15, 0x1.2f332c0fe2d1p-15, 0x1.261f0a0df0a49p-15, 0x1.1d4dfac7eb66ep-15, 0x1.14be4e9ef7b1dp-15, 0x1.0c6e5fc08c33bp-15, 0x1.045c91ee73fd2p-15, 0x1.f90ea499877d6p-16, 0x1.e9da2e57ae063p-16, 0x1.db18bfb1099cdp-16, 0x1.ccc768d26d1e9p-16, 0x1.bee34b19487b3p-16, 0x1.b16998b7a2eadp-16, 0x1.a4579455a3ae4p-16, 0x1.97aa90b7b2119p-16, 0x1.8b5ff0647a0cfp-16, 0x1.7f75254f27994p-16, 0x1.73e7b07ff1ac4p-16, 0x1.68b521c2ff8bcp-16, 0x1.5ddb17527df17p-16, 0x1.53573d88d5ed2p-16, 0x1.49274e92861a4p-16, 0x1.3f49121fc683p-16, 0x1.35ba5d1d0ab75p-16, 0x1.2c791164474b2p-16, 0x1.23831d7893c45p-16, 0x1.1ad67c3d75687p-16, 0x1.127134b26ad45p-16, 0x1.0a5159af0e2dfp-16, 0x1.0275099fb628p-16, 0x1.f5b4dc8fd258ep-17, 0x1.e6ff78feed6ccp-17, 0x1.d8c667ec4ac19p-17, 0x1.cb063dedf6b68p-17, 0x1.bdbba451b4a6p-17, 0x1.b0e358b1508acp-17, 0x1.a47a2c7f14ccap-17, 0x1.987d04928afdbp-17, 0x1.8ce8d8bf75b8dp-17, 0x1.81bab366d5c3bp-17, 0x1.76efb11250ac7p-17, 0x1.6c85000a245e4p-17, 0x1.6277dfefe23fep-17, 0x1.58c5a1621f316p-17, 0x1.4f6ba5972220cp-17, 0x1.46675dff8e764p-17, 0x1.3db64beb9491ep-17, 0x1.355600313b745p-17, 0x1.2d441ad358a3dp-17, 0x1.257e4aa94807bp-17, 0x1.1e024d0daa2cfp-17, 0x1.16cded8c69ef1p-17, 0x1.0fdf058ecc078p-17, 0x1.09337c0d243bcp-17, 0x1.02c94542e439cp-17, 0x1.f93cc4c550dfep-18, 0x1.ed61c2925d818p-18, 0x1.e1fdb87789f6ap-18, 0x1.d70cf33470851p-18, 0x1.cc8bd7396bb76p-18, 0x1.c276e01db2c98p-18, 0x1.b8caa018e9395p-18, 0x1.af83bf87d41bdp-18, 0x1.a69efc6443219p-18, 0x1.9e1929cbfb243p-18, 0x1.95ef2f8ae492p-18, 0x1.8e1e099f5c2bbp-18, 0x1.86a2c7c5ba72ap-18, 0x1.7f7a8d0958375p-18, 0x1.78a28f5302471p-18, 0x1.721816f691c19p-18, 0x1.6bd87e4f70a34p-18, 0x1.65e1315a6f2bdp-18, 0x1.602fad481bf4ep-18, 0x1.5ac1801d2441p-18, 0x1.55944849b06dp-18, 0x1.50a5b45293a5cp-18, 0x1.4bf3826e7550cp-18, 0x1.477b802d5ccd8p-18, 0x1.433b8a1844423p-18, 0x1.3f318b5ed4308p-18, 0x1.3b5b7d835881p-18, 0x1.37b76800e6497p-18, 0x1.34435ffdafa6bp-18, 0x1.30fd87fc8c18dp-18, 0x1.2de40f842e16bp-18, 0x1.2af532dabb9e4p-18, 0x1.282f3abd2f588p-18, 0x1.25907c1028346p-18, 0x1.2317579870d32p-18, 0x1.20c239b28e808p-18, 0x1.1e8f9a112c118p-18, 0x1.1c7dfb7b33309p-18, 0x1.1a8beb87d22b8p-18, 0x1.18b8025d993bbp-18, 0x1.1700e26f0e6dp-18, 0x1.156538449df1fp-18, 0x1.13e3ba3d8c161p-18, 0x1.127b2850cb849p-18, 0x1.112a4bd7b91a7p-18, 0x1.0feff754391c8p-18, 0x1.0ecb063b4f027p-18, 0x1.0dba5cb6928dep-18, 0x1.0cbce77ebf8dfp-18, 0x1.0bd19b9b60f6ep-18, 0x1.0af77631f3f92p-18, 0x1.0a2d7c561162bp-18, 0x1.0972bad8b87c7p-18, 0x1.08c6461901543p-18, 0x1.082739d7a9faap-18, 0x1.0794b906ba70dp-18, 0x1.070ded9e72b16p-18, 0x1.0692086f74d4dp-18, 0x1.062040fc39c9cp-18, 0x1.05b7d54e62853p-18, 0x1.055809ca0fa37p-18, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.b19c7f2268238p-9, -0x1.ad789500b4045p-8, -0x1.3d1f5c2e9942bp-7, -0x1.9df96994d077ep-7, -0x1.f805ad3c90fc1p-7, -0x1.2529cb6d8c59bp-6, -0x1.4a21e3f48866dp-6, -0x1.6ac07806c8f34p-6, -0x1.86fae72988b55p-6, -0x1.9ee0e68a7b016p-6, -0x1.b296c481cd89dp-6, -0x1.c2501bc16df2ap-6, -0x1.ce4b3bb6160c9p-6, -0x1.d6cd5e4ca2f55p-6, -0x1.dc1fa34a8eb0dp-6, -0x1.de8cb72408f6ep-6, -0x1.de5f04310536bp-6, -0x1.dbdf4dced5d04p-6, -0x1.d7539a0453781p-6, -0x1.d0fe54fe828e7p-6, -0x1.c91da06b866e7p-6, -0x1.bfeac653b6213p-6, -0x1.b599cb29f8f14p-6, -0x1.aa591d5ebb8d9p-6, -0x1.9e51620318627p-6, -0x1.91a55e4d83b87p-6, -0x1.8471fd6c68bd4p-6, -0x1.76ce7153765a8p-6, -0x1.68cc6c53a20edp-6, -0x1.5a7870808c9bdp-6, -0x1.4bda314460e87p-6, -0x1.3cf5031b27e59p-6, -0x1.2dc85543ece14p-6, -0x1.1e5031449838p-6, -0x1.0e85bc5c678aap-6, -0x1.fcbf6ecb5ccb8p-7, -0x1.dba5f44b4eed7p-7, -0x1.b9a5cf2c81129p-7, -0x1.96a3b28e936f5p-7, -0x1.72830105d3796p-7, -0x1.4d2678cbb31f7p-7, -0x1.2670c925eeaf4p-7, -0x1.fc8a223f03ecep-8, -0x1.a90e90af32c62p-8, -0x1.5239265d11d3ep-8, -0x1.efae0fec73bc8p-9, -0x1.33712ccfb6289p-9, -0x1.bd8d89e051655p-11, 0x1.7331060b7f9f1p-11, 0x1.31673ccfe8f3cp-9, 0x1.0757ca9fbb48ap-8, 0x1.7a6ff89d208c9p-8, 0x1.f215e285fa14p-8, 0x1.372fe3bf48e4p-7, 0x1.77b04741c905dp-7, 0x1.ba93f5eeee02bp-7, 0x1.ffe143b189bd6p-7, 0x1.23ce88856b397p-6, 0x1.48e56e83ead7ap-6, 0x1.6f366afcf53b4p-6, 0x1.96c1f459af935p-6, 0x1.bf87e713990c8p-6, 0x1.e9878bb2344c2p-6, 0x1.0a5fcdfe8f9e4p-5, 0x1.209723b88b80bp-5, 0x1.37689b864cb78p-5, 0x1.4ed2c84671a97p-5, 0x1.66d3fc9b5243cp-5, 0x1.7f6a4c236e261p-5, 0x1.98938c942c62cp-5, 0x1.b24d56c49c247p-5, 0x1.cc9507b51b35dp-5, 0x1.e767c19f76b67p-5, 0x1.0161368cf4c8ap-4, 0x1.0f50dd2ad1b7ep-4, 0x1.1d81114010d13p-4, 0x1.2beff4a66d912p-4, 0x1.3a9b8f55a7db6p-4, 0x1.4981d055fe5c5p-4, 0x1.58a08ecaa3e26p-4, 0x1.67f58b141ba1bp-4, 0x1.777e7009cab32p-4, 0x1.8738d4498cb48p-4, 0x1.97223b9bad3e3p-4, 0x1.a73818694233p-4, 0x1.b777cd42993aap-4, 0x1.c7deae73426bfp-4, 0x1.d86a03a0eef72p-4, 0x1.e91709727cc1ep-4, 0x1.f9e2f33c3e2f1p-4, 0x1.05657657603fcp-3, 0x1.0de60dc2a3468p-3, 0x1.1671d098aa2aep-3, 0x1.1f074e404f812p-3, 0x1.27a5159d93b44p-3, 0x1.3049b5db91d1dp-3, 0x1.38f3bf3057827p-3, 0x1.41a1c399be201p-3, 0x1.4a52579269e3ap-3, 0x1.530412be41e28p-3, 0x1.5bb5908dbd3f3p-3, 0x1.646570d796b9dp-3, 0x1.6d1258686d3bfp-3, 0x1.75baf1881f3e9p-3, 0x1.7e5dec7499c8cp-3, 0x1.86f9ffd21079dp-3, 0x1.8f8de910932f8p-3, 0x1.98186cc7103c5p-3, 0x1.a0985703eac27p-3, 0x1.a90c7b9354b44p-3, 0x1.b173b63bacaf3p-3, 0x1.b9cceaf03a4b4p-3, 0x1.c21705fa91e17p-3, 0x1.ca50fc1b13e3bp-3, 0x1.d279caa0f69cp-3, 0x1.da90777a3bf5cp-3, 0x1.e294113c200d1p-3, 0x1.ea83af247ac95p-3, 0x1.f25e711485194p-3, 0x1.fa237f859677fp-3, 0x1.00e905bc276bap-2, 0x1.04b4a72f5950ep-2, 0x1.08744500db4f2p-2, 0x1.0c2784315c4ep-2, 0x1.0fce0dccac108p-2, 0x1.13678ed716e33p-2, 0x1.16f3b8396567ap-2, 0x1.1a723eabb8c86p-2, 0x1.1de2da9f70a2cp-2, 0x1.214548285676ap-2, 0x1.249946e530e9ap-2, 0x1.27de99e7eecf2p-2, 0x1.2b15079d950dap-2, 0x1.2e3c59b60a365p-2, 0x1.31545d0bed1bcp-2, 0x1.345ce18c8cd4dp-2, 0x1.3755ba2021d77p-2, 0x1.3a3ebc9260cb3p-2, 0x1.3d17c17b7bc08p-2, 0x1.3fe0a429a758ap-2, 0x1.4299428b33433p-2, 0x1.45417d1944244p-2, 0x1.47d936c33d66cp-2, 0x1.4a6054dae4369p-2, 0x1.4cd6bf013d663p-2, 0x1.4f3c5f1437d64p-2, 0x1.5191211d1a23p-2, 0x1.53d4f33fc0c99p-2, 0x1.5607c5aaa69c9p-2, 0x1.58298a87b8697p-2, 0x1.5a3a35edf35d8p-2, 0x1.5c39bdd3c721bp-2, 0x1.5e281a023ec11p-2, 0x1.60054408dfa35p-2, 0x1.61d1373242914p-2, 0x1.638bf0795c341p-2, 0x1.65356e7f6c45p-2, 0x1.66cdb1828bf1cp-2, 0x1.6854bb54d6302p-2, 0x1.69ca8f541c5d8p-2, 0x1.6b2f326221e34p-2, 0x1.6c82aadd54c33p-2, 0x1.6dc50099f79bep-2, 0x1.6ef63cdbb68c9p-2, 0x1.70166a4f9f0dap-2, 0x1.712595066ae86p-2, 0x1.7223ca6f1ddebp-2, 0x1.73111951e549bp-2, 0x1.73ed91cb370ebp-2, 0x1.74b9454724793p-2, 0x1.7574467cd89f1p-2, 0x1.761ea96a3d08ap-2, 0x1.76b8834fb92c3p-2, 0x1.7741eaac0a1a9p-2, 0x1.77baf73826ec1p-2, 0x1.7823c1e3317e8p-2, 0x1.787c64ce66c2ap-2, 0x1.78c4fb490db74p-2, 0x1.78fda1cc5f5b9p-2, 0x1.792675f760fefp-2, 0x1.793f968aae4abp-2, 0x1.794923642dbf1p-2, 0x1.79433d7aade13p-2, 0x1.792e06d964f15p-2, 0x1.7909a29b555c1p-2, 0x1.78d634e68e8cep-2, 0x1.7893e2e74b715p-2, 0x1.7842d2caf000fp-2, 0x1.77e32bbada596p-2, 0x1.777515d713befp-2, 0x1.76f8ba30d5324p-2, 0x1.766e42c4e7f5p-2, 0x1.75d5da75d932ep-2, 0x1.752fad060b5c5p-2, 0x1.747be7119b863p-2, 0x1.73bab60820864p-2, 0x1.72ec4826451ep-2, 0x1.7210cc6f3da4bp-2, 0x1.712872a6161c2p-2, 0x1.70336b46e1ec8p-2, 0x1.6f31e77fc8e24p-2, 0x1.6e241929f480cp-2, 0x1.6d0a32c25fde3p-2, 0x1.6be467628d8bbp-2, 0x1.6ab2eab920e82p-2, 0x1.6975f1026488cp-2, 0x1.682daf00b790cp-2, 0x1.66da59f4e9e16p-2, 0x1.657c279689564p-2, 0x1.64134e0c1ba7cp-2, 0x1.62a003e353e74p-2, 0x1.6122800939079p-2, 0x1.5f9af9c2463cfp-2, 0x1.5e09a8a28a0b7p-2, 0x1.5c6ec485c07edp-2, 0x1.5aca85876eb3cp-2, 0x1.591d23fb00244p-2, 0x1.5766d863eafccp-2, 0x1.55a7db6dda99ep-2, 0x1.53e065e4e2d1cp-2, 0x1.5210b0adc312cp-2, 0x1.5038f4be316dp-2, 0x1.4e596b153cea9p-2, 0x1.4c724cb3bc38dp-2, 0x1.4a83d294d5631p-2, 0x1.488e35a696b46p-2, 0x1.4691aec2adf1dp-2, 0x1.448e76a732ef1p-2, 0x1.4284c5ef9470ap-2, 0x1.4074d50d9b7cap-2, 0x1.3e5edc42932cp-2, 0x1.3c4313988df38p-2, 0x1.3a21b2dbcbe96p-2, 0x1.37faf19445fb9p-2, 0x1.35cf06ff5be5ap-2, 0x1.339e2a09a8d9cp-2, 0x1.31689148fbca2p-2, 0x1.2f2e72f67b3c6p-2, 0x1.2cf004e8ed9ep-2, 0x1.2aad7c8f2b612p-2, 0x1.28670eeabd13ep-2, 0x1.261cf08aa09c8p-2, 0x1.23cf55863d141p-2, 0x1.217e71787d54dp-2, 0x1.1f2a777b1c3b9p-2, 0x1.1cd39a22180d5p-2, 0x1.1a7a0b77571efp-2, 0x1.181dfcf673a18p-2, 0x1.15bf9f88b9922p-2, 0x1.135f23814fc2ep-2, 0x1.10fcb8998bfe3p-2, 0x1.0e988ded778b2p-2, 0x1.0c32d1f87e5a6p-2, 0x1.09cbb2924a2ebp-2, 0x1.07635cebce264p-2, 0x1.04f9fd8c79684p-2, 0x1.028fc04f99c2dp-2, 0x1.0024d061e881ep-2, 0x1.fb72b07e80599p-3, 0x1.f69b036101c4p-3, 0x1.f1c2eb9339729p-3, 0x1.eceab9cf9cbbdp-3, 0x1.e812bd5fee7c5p-3, 0x1.e33b441a50c84p-3, 0x1.de649a5ea6a85p-3, 0x1.d98f0b143fb98p-3, 0x1.d4badfa7d3d88p-3, 0x1.cfe86009cb54p-3, 0x1.cb17d2accd7c9p-3, 0x1.c6497c849e5fcp-3, 0x1.c17da1053bd76p-3, 0x1.bcb48222447c5p-3, 0x1.b7ee604ea253fp-3, 0x1.b32b7a7c78577p-3, 0x1.ae6c0e1d4bcb5p-3, 0x1.a9b0572273f52p-3, 0x1.a4f88ffdbf794p-3, 0x1.a044f1a259ef3p-3, 0x1.9b95b385e9c0cp-3, 0x1.96eb0ba1e3b1ap-3, 0x1.92452e751874bp-3, 0x1.8da44f0571c14p-3, 0x1.89089ee1e7b37p-3, 0x1.84724e24a1469p-3, 0x1.7fe18b754611fp-3, 0x1.7b56840b8065fp-3, 0x1.76d163b1a61d7p-3, 0x1.725254c78ac69p-3, 0x1.6dd98045806ap-3, 0x1.69670dbf763a5p-3, 0x1.64fb2368409bp-3, 0x1.6095e6150537cp-3, 0x1.5c377940c3415p-3, 0x1.57dfff0ffdf89p-3, 0x1.538f985488a67p-3, 0x1.4f46649167b04p-3, 0x1.4b0481fed3188p-3, 0x1.46ca0d8e4e1c7p-3, 0x1.429722eed691p-3, 0x1.3e6bdc912ce17p-3, 0x1.3a4853ac2f673p-3, 0x1.362ca041475a1p-3, 0x1.3218d920eadbfp-3, 0x1.2e0d13ef2b55cp-3, 0x1.2a096528564cdp-3, 0x1.260de025a1a79p-3, 0x1.221a9721e7c7bp-3, 0x1.1e2f9b3e69cc3p-3, 0x1.1a4cfc879f05ap-3, 0x1.1672c9fa0d35bp-3, 0x1.12a111872453cp-3, 0x1.0ed7e01a29457p-3, 0x1.0b17419d1a6efp-3, 0x1.075f40fda2562p-3, 0x1.03afe83206c0fp-3, 0x1.0009403e1dfc6p-3, 0x1.f8d6a2708a083p-4, 0x1.f1ac449ca44b6p-4, 0x1.ea93739512cc8p-4, 0x1.e38c3a312716ep-4, 0x1.dc96a194cfe59p-4, 0x1.d5b2b13a7e69ep-4, 0x1.cee06efcf6755p-4, 0x1.c81fdf210ece7p-4, 0x1.c171045f7a515p-4, 0x1.bad3dfee6c1ebp-4, 0x1.b448718b4496bp-4, 0x1.adceb7841b248p-4, 0x1.a766aec14b8efp-4, 0x1.a11052cede56bp-4, 0x1.9acb9de5ea0c4p-4, 0x1.949888f5e4a2bp-4, 0x1.8e770badcb3e4p-4, 0x1.88671c854f771p-4, 0x1.8268b0c5db9e9p-4, 0x1.7c7bbc93845edp-4, 0x1.76a032f5e2f44p-4, 0x1.70d605e0d55e3p-4, 0x1.6b1d263d24b2cp-4, 0x1.657583f110e29p-4, 0x1.5fdf0de8c3db7p-4, 0x1.5a59b21ea33e1p-4, 0x1.54e55da38b081p-4, 0x1.4f81fca6e947cp-4, 0x1.4a2f7a7ebcf5fp-4, 0x1.44edc1af787cfp-4, 0x1.3fbcbbf3c24bap-4, 0x1.3a9c52441cf49p-4, 0x1.358c6cde6bc3cp-4, 0x1.308cf34d58312p-4, 0x1.2b9dcc6f9dfdbp-4, 0x1.26bede7f2f8ebp-4, 0x1.21f00f1842e2fp-4, 0x1.1d31434038887p-4, 0x1.18825f6c65b7cp-4, 0x1.13e34788bcd63p-4, 0x1.0f53defe5a858p-4, 0x1.0ad408b9eb4c7p-4, 0x1.0663a731f8163p-4, 0x1.02029c6d0ea26p-4, 0x1.fb61940f9872dp-5, 0x1.f2dc22758cd9ap-5, 0x1.ea74a5c0abdfcp-5, 0x1.e22adef4816eap-5, 0x1.d9fe8e6e8b537p-5, 0x1.d1ef73f10cb83p-5, 0x1.c9fd4eadaa5f9p-5, 0x1.c227dd4fc0827p-5, 0x1.ba6ede06827dcp-5, 0x1.b2d20e8ed90fep-5, 0x1.ab512c3d0410fp-5, 0x1.a3ebf406005b1p-5, 0x1.9ca22288b12e5p-5, 0x1.95737416d1493p-5, 0x1.8e5fa4bda505fp-5, 0x1.8766704e73788p-5, 0x1.80879266c68cap-5, 0x1.79c2c67875a94p-5, 0x1.7317c7d16ff05p-5, 0x1.6c8651a355f1p-5, 0x1.660e1f0ada003p-5, 0x1.5faeeb16e6dcfp-5, 0x1.596870cf99fffp-5, 0x1.533a6b3cfde22p-5, 0x1.4d24956d951d3p-5, 0x1.4726aa7cb5b2bp-5, 0x1.41406598ac079p-5, 0x1.3b718208af6dcp-5, 0x1.35b9bb32a1e7dp-5, 0x1.3018cca0a5b31p-5, 0x1.2a8e72067ae0cp-5, 0x1.251a6746b8b1ap-5, 0x1.1fbc6877ca6d7p-5, 0x1.1a7431e8d1d69p-5, 0x1.1541802649eeep-5, 0x1.10240ffe8ea52p-5, 0x1.0b1b9e862966p-5, 0x1.0627e91c04b27p-5, 0x1.0148ad6d681dfp-5, 0x1.f8fb52f3a5c1ap-6, 0x1.ef8d372d62f0cp-6, 0x1.e64684e5c139ap-6, 0x1.dd26ba342f2c3p-6, 0x1.d42d55f054e98p-6, 0x1.cb59d7b8382d4p-6, 0x1.c2abbff6361ecp-6, 0x1.ba228fe6ab81ap-6, 0x1.b1bdc99d4e156p-6, 0x1.a97cf00a5ddap-6, 0x1.a15f86ff77541p-6, 0x1.99651334348f7p-6, 0x1.918d1a4a95d63p-6, 0x1.89d722d31f1c2p-6, 0x1.8242b450bbb68p-6, 0x1.7acf573c788f5p-6, 0x1.737c9508f1a4bp-6, 0x1.6c49f82591174p-6, 0x1.65370c019daap-6, 0x1.5e435d0f09ed6p-6, 0x1.576e78c515ad5p-6, 0x1.50b7eda2c0ed7p-6, 0x1.4a1f4b31047d3p-6, 0x1.43a42204edb2bp-6, 0x1.3d4603c175e2cp-6, 0x1.370483193c4bap-6, 0x1.30df33d015128p-6, 0x1.2ad5aabc64e2ap-6, 0x1.24e77dc85efe9p-6, 0x1.1f1443f30e8a2p-6, 0x1.195b955144637p-6, 0x1.13bd0b0e5cdf1p-6, 0x1.0e383f6ce0391p-6, 0x1.08cccdc7040f8p-6, 0x1.037a528f08451p-6, 0x1.fc80d69ecdb6fp-7, 0x1.f23d6d5601f85p-7, 0x1.e829a8ba1ac1dp-7, 0x1.de44ca7210493p-7, 0x1.d48e1654d0579p-7, 0x1.cb04d2689c705p-7, 0x1.c1a846e214ef6p-7, 0x1.b877be233fedbp-7, 0x1.af7284ba2ad2p-7, 0x1.a697e95f6cea9p-7, 0x1.9de73cf484073p-7, 0x1.955fd2820c7c7p-7, 0x1.8d00ff35b2c75p-7, 0x1.84ca1a60144e9p-7, 0x1.7cba7d727fc4bp-7, 0x1.74d183fc6af3p-7, 0x1.6d0e8ba8f52fp-7, 0x1.6570f43c155edp-7, 0x1.5df81f8fd778ap-7, 0x1.56a371915c156p-7, 0x1.4f72503dba759p-7, 0x1.4864239ed8abdp-7, 0x1.417855c810f94p-7, 0x1.3aae52d2d9fa8p-7, 0x1.340588db439f9p-7, 0x1.2d7d67fc4f448p-7, 0x1.2715624c5c31ep-7, 0x1.20ccebd94b5aap-7, 0x1.1aa37aa4bcdb6p-7, 0x1.149886a01aaaap-7, 0x1.0eab89a8ac93dp-7, 0x1.08dbff8382acep-7, 0x1.032965d95b6fep-7, 0x1.fb2678650d76ap-8, 0x1.f03207e5455dcp-8, 0x1.e57480a8de199p-8, 0x1.daececcae0629p-8, 0x1.d09a5a03260c8p-8, 0x1.c67bd99da5967p-8, 0x1.bc908071b6f96p-8, 0x1.b2d766d9005cdp-8, 0x1.a94fa8a6d091fp-8, 0x1.9ff8651eb70eep-8, 0x1.96d0beebcf7ebp-8, 0x1.8dd7dc1786c5dp-8, 0x1.850ce6008ba7cp-8, 0x1.7c6f0951a5cedp-8, 0x1.73fd75f89275fp-8, 0x1.6bb75f1cddb0ep-8, 0x1.639bfb168a734p-8, 0x1.5baa836517319p-8, 0x1.53e234a61594cp-8, 0x1.4c424e8c2dfb6p-8, 0x1.44ca13d5bd5e3p-8, 0x1.3d78ca43b9dafp-8, 0x1.364dba906e6efp-8, 0x1.2f483066752edp-8, 0x1.28677a577c027p-8, 0x1.21aae9d328e82p-8, 0x1.1b11d31e0468ep-8, 0x1.149b8d4878085p-8, 0x1.0e4772258ec87p-8, 0x1.0814de4231ceap-8, 0x1.020330dc268bep-8, 0x1.f82397b226bc1p-9, 0x1.ec80277b3e6e5p-9, 0x1.e11adf49432f9p-9, 0x1.d5f2926cc6494p-9, 0x1.cb06193f9cf2ap-9, 0x1.c0545113b28c7p-9, 0x1.b5dc1c21a682ep-9, 0x1.ab9c6177b6be5p-9, 0x1.a1940ce8b0d6p-9, 0x1.97c20efae1921p-9, 0x1.8e255cd7987cp-9, 0x1.84bcf03a4a0b4p-9, 0x1.7b87c76026e98p-9, 0x1.7284e4f788fecp-9, 0x1.69b3500fd083bp-9, 0x1.6112140928ep-9, 0x1.58a040849fb89p-9, 0x1.505ce9542218ep-9, 0x1.4847266b0418dp-9, 0x1.405e13ce31405p-9, 0x1.38a0d184e496fp-9, 0x1.310e838920866p-9, 0x1.29a651b8cc3ecp-9, 0x1.226767c6afe3ep-9, 0x1.1b50f52b738bcp-9, 0x1.14622d171a158p-9, 0x1.0d9a466260fbbp-9, 0x1.06f87b8066844p-9, 0x1.007c0a703e7d6p-9, 0x1.f448695e7cffdp-10, 0x1.e7e07e556344p-10, 0x1.dbbee464ab67ap-10, 0x1.cfe232d50b755p-10, 0x1.c449077dea33cp-10, 0x1.b8f206aa8e899p-10, 0x1.addbdaffaa12fp-10, 0x1.a3053561d6e9ap-10, 0x1.986cccdb7e8ep-10, 0x1.8e115e8398fbfp-10, 0x1.83f1ad64bbb0ap-10, 0x1.7a0c8264242fp-10, 0x1.7060ac2961451p-10, 0x1.66ecff062ddacp-10, 0x1.5db054de92b02p-10, 0x1.54a98d1189955p-10, 0x1.4bd78c6197a0fp-10, 0x1.43393cde10494p-10, 0x1.3acd8dcc3a169p-10, 0x1.32937391265bp-10, 0x1.2a89e79b8c4a2p-10, 0x1.22afe84e6017ep-10, 0x1.1b0478eb30ab2p-10, 0x1.1386a17ceaa52p-10, 0x1.0c356ec3420b4p-10, 0x1.050ff21dcc3ap-10, 0x1.fc2a82f04aefep-11, 0x1.ee88ee6b5352dp-11, 0x1.e139643c0858ep-11, 0x1.d43a2a932110dp-11, 0x1.c789901cb95c6p-11, 0x1.bb25ebda8dd65p-11, 0x1.af0d9cfe9d0cfp-11, 0x1.a33f0ac6e596bp-11, 0x1.97b8a458e75abp-11, 0x1.8c78e09e745d7p-11, 0x1.817e3e22dc14p-11, 0x1.76c742efe11e6p-11, 0x1.6c527c6c661cep-11, 0x1.621e7f3a08ec5p-11, 0x1.5829e71552577p-11, 0x1.4e7356b464451p-11, 0x1.44f977a7f5a5fp-11, 0x1.3bbafa3ad8964p-11, 0x1.32b69553e0415p-11, 0x1.29eb0656f4746p-11, 0x1.215711076c9a7p-11, 0x1.18f97f69ea97bp-11, 0x1.10d121a7ffa9p-11, 0x1.08dccdf344c04p-11, 0x1.011b606977a2ap-11, 0x1.f31775f1300ecp-12, 0x1.e4598a8729a73p-12, 0x1.d5fad90fe61f5p-12, 0x1.c7f94705bd55ep-12, 0x1.ba52c4af0d6c6p-12, 0x1.ad054ceb9f45dp-12, 0x1.a00ee5025554ep-12, 0x1.936d9c6faa072p-12, 0x1.871f8cb4d62dp-12, 0x1.7b22d9296639fp-12, 0x1.6f75aec9eb213p-12, 0x1.6416440cc33dcp-12, 0x1.5902d8b27a2d9p-12, 0x1.4e39b59aff297p-12, 0x1.43b92c97f2ecp-12, 0x1.397f9843b5906p-12, 0x1.2f8b5bd523f75p-12, 0x1.25dae2f6fd781p-12, 0x1.1c6ca19f14e0ap-12, 0x1.133f13e5642fcp-12, 0x1.0a50bddce8f8ep-12, 0x1.01a02b6d3ac86p-12, 0x1.f257e057cfc36p-13, 0x1.e1e54e6e7576ap-13, 0x1.d1e5e6229c93ep-13, 0x1.c256faf74c821p-13, 0x1.b335eea71bddbp-13, 0x1.a48030e073cf8p-13, 0x1.96333efd23a1bp-13, 0x1.884ca3c3daf4cp-13, 0x1.7ac9f7213ed61p-13, 0x1.6da8ddea36b9fp-13, 0x1.60e7099a034bap-13, 0x1.54823814418b6p-13, 0x1.487833680c59cp-13, 0x1.3cc6d191e2c2dp-13, 0x1.316bf44198504p-13, 0x1.2665889eec60fp-13, 0x1.1bb18711bcbe7p-13, 0x1.114df30880a47p-13, 0x1.0738dac123c56p-13, 0x1.fae0ae2696ca9p-14, 0x1.e7e51675adcf3p-14, 0x1.d57b494645d65p-14, 0x1.c39fb56a004d5p-14, 0x1.b24edd45ee72bp-14, 0x1.a1855671a7b98p-14, 0x1.913fc954b6513p-14, 0x1.817af0c94191dp-14, 0x1.723399bb36355p-14, 0x1.6366a2d013186p-14, 0x1.5510fc0a1f15p-14, 0x1.472fa6725ad77p-14, 0x1.39bfb3bf0b29bp-14, 0x1.2cbe460211f1bp-14, 0x1.20288f526dd05p-14, 0x1.13fbd17a348bbp-14, 0x1.08355da8efc69p-14, 0x1.f9a52841b6556p-15, 0x1.e3a1c7d949086p-15, 0x1.ce5b952378cdbp-15, 0x1.b9cda78b493b5p-15, 0x1.a5f3324ba4f16p-15, 0x1.92c783df9f3bp-15, 0x1.8046057209773p-15, 0x1.6e6a3a5898a23p-15, 0x1.5d2fbf88388dcp-15, 0x1.4c924b1055ce5p-15, 0x1.3c8dab9b5d147p-15, 0x1.2d1dc7ebab5c1p-15, 0x1.1e3e9e6172fa4p-15, 0x1.0fec447bf031p-15, 0x1.0222e66325d33p-15, 0x1.e9bd8cdace57ap-16, 0x1.d0387965e4813p-16, 0x1.b7af6d28e55cep-16, 0x1.a01b6c9c1f8a8p-16, 0x1.8975a51496e1fp-16, 0x1.73b76bee92749p-16, 0x1.5eda3db285cdbp-16, 0x1.4ad7bd5464cdbp-16, 0x1.37a9b35a1712p-16, 0x1.254a0d1da8a3bp-16, 0x1.13b2dc09c834p-16, 0x1.02de54d48a316p-16, 0x1.e58d9d9c2d501p-17, 0x1.c6cd863dfc0f7p-17, 0x1.a9719837cef65p-17, 0x1.8d6f4918006e6p-17, 0x1.72bc4e0450c5ep-17, 0x1.594e9a6d011b8p-17, 0x1.411c5eadd702ap-17, 0x1.2a1c06d0c1979p-17, 0x1.1444394cfade1p-17, 0x1.ff17ab96faed1p-18, 0x1.d7d3e7f70a5a1p-18, 0x1.b2abc4a7a02dcp-18, 0x1.8f8e4a00e2497p-18, 0x1.6e6ae95e961adp-18, 0x1.4f317af5af006p-18, 0x1.31d23ba627893p-18, 0x1.163dcad7ba6fap-18, 0x1.f8ca50ed0f8c1p-19, 0x1.c873658459401p-19, 0x1.9b5a48a46e402p-19, 0x1.71632487a0a75p-19, 0x1.4a72d432e3b57p-19, 0x1.266edfee48b29p-19, 0x1.053d796fdef2cp-19, 0x1.cd8af0b20b9e2p-20, 0x1.95dcad0bfe7c2p-20, 0x1.6340593d3b444p-20, 0x1.35875d2bda8e5p-20, 0x1.0c845102620d1p-20, 0x1.d015ec4b71c51p-21, 0x1.8fe0621d2ff63p-21, 0x1.581405c56036ep-21, 0x1.285f06a6b9ebep-21, 0x1.0071b4b324297p-21, 0x1.bffceb09ca27ep-22, 0x1.8d736f1f598f9p-22, 0x1.68b3ce6241758p-22, }}, 
      {{-0x1.20f4d6c3c0735p-4, -0x1.20a173d9210ccp-4, -0x1.1ff7c3e12e6aep-4, -0x1.1ed7992ec5035p-4, -0x1.1d2212268bc0cp-4, -0x1.1abd1c84e0f84p-4, -0x1.1794f72ecad6cp-4, -0x1.139c8353f9adap-4, -0x1.0eccf0a79454cp-4, -0x1.092518e7f5ff9p-4, -0x1.02a8b962c0793p-4, -0x1.f6bf45572b9d4p-5, -0x1.e6a9d55b5bff8p-5, -0x1.d52c4ef355d71p-5, -0x1.c2656d745c812p-5, -0x1.ae762971426afp-5, -0x1.99808a9cfb379p-5, -0x1.83a6a124f459p-5, -0x1.6d09a8c51f938p-5, -0x1.55c95646915b8p-5, -0x1.3e034e7fed64cp-5, -0x1.25d2c479ea3afp-5, -0x1.0d503b2b0c727p-5, -0x1.e922cccd1cd3fp-6, -0x1.b7524c3d93dd9p-6, -0x1.854f2dea47a41p-6, -0x1.53346665af185p-6, -0x1.2117ff3d5b4c7p-6, -0x1.de1700897d15dp-7, -0x1.7a38c31db1d03p-7, -0x1.16a900c327437p-7, -0x1.66ea4a91b5534p-8, -0x1.4294ab7a7aac7p-9, 0x1.1c3973af3d153p-11, 0x1.cf16bd79b6186p-9, 0x1.aac9ce0affcp-8, 0x1.36a7ab7bacb65p-7, 0x1.97968938b31adp-7, 0x1.f83bb8bdef581p-7, 0x1.2c515db5c661ap-6, 0x1.5c6c0344aefd4p-6, 0x1.8c745d55d6625p-6, 0x1.bc7132d17d9fbp-6, 0x1.ec6966a15ecbep-6, 0x1.0e31f05cdf36ep-5, 0x1.2633bd0db974dp-5, 0x1.3e3d759e3176cp-5, 0x1.56525e2f4513fp-5, 0x1.6e759bbb556dcp-5, 0x1.86aa2dad82a48p-5, 0x1.9ef2e8034d22fp-5, 0x1.b7526de771a41p-5, 0x1.cfcb2cbc0eb68p-5, 0x1.e85f578fc0d68p-5, 0x1.0088717ebe96bp-4, 0x1.0cf0c0bd03392p-4, 0x1.19695009b08f3p-4, 0x1.25f2b1d3dc206p-4, 0x1.328d534c87bf8p-4, 0x1.3f397b8147446p-4, 0x1.4bf74ab996426p-4, 0x1.58c6ba1809535p-4, 0x1.65a79b7fc9442p-4, 0x1.729999bdda2e9p-4, 0x1.7f9c38f4e8af5p-4, 0x1.8caed7497cc08p-4, 0x1.99d0adcba79a2p-4, 0x1.a700d19aa0a9fp-4, 0x1.b43e353e1f488p-4, 0x1.c187aa30b7b4cp-4, 0x1.cedbe2964a1a8p-4, 0x1.dc397318fa6acp-4, 0x1.e99ed4e7506fp-4, 0x1.f70a67cdb6d4p-4, 0x1.023d3a32eea88p-3, 0x1.08f6972b2a298p-3, 0x1.0fb05b4e82fd9p-3, 0x1.16698eefb8ab5p-3, 0x1.1d21335dcba25p-3, 0x1.23d6440a9992bp-3, 0x1.2a87b7ad6f583p-3, 0x1.3134815fa689p-3, 0x1.37db91b190b1p-3, 0x1.3e7bd7b627ecp-3, 0x1.451442042505ep-3, 0x1.4ba3bfab60c78p-3, 0x1.5229411d84ddp-3, 0x1.58a3b9094bb48p-3, 0x1.5f121d27b8eaep-3, 0x1.657366fadc534p-3, 0x1.6bc6947de4a9cp-3, 0x1.720aa8c65ec3p-3, 0x1.783eac96a056bp-3, 0x1.7e61aee1924acp-3, 0x1.8472c5400ca3p-3, 0x1.8a710c581a484p-3, 0x1.905ba836a351p-3, 0x1.9631c49be3d4fp-3, 0x1.9bf2953b54a85p-3, 0x1.a19d55ef90198p-3, 0x1.a7314ae2e0d94p-3, 0x1.acadc0ad24d26p-3, 0x1.b2120c67b219bp-3, 0x1.b75d8bb7f4ec4p-3, 0x1.bc8fa4d17b0d4p-3, 0x1.c1a7c6701e32bp-3, 0x1.c6a567cb0637cp-3, 0x1.cb88088129545p-3, 0x1.d04f307ffc082p-3, 0x1.d4fa6fe4f373bp-3, 0x1.d9895eda74ee6p-3, 0x1.ddfb9d70d04dap-3, 0x1.e250d373cfd6cp-3, 0x1.e688b03d67f59p-3, 0x1.eaa2ea86047fap-3, 0x1.ee9f4032f3f16p-3, 0x1.f27d7623497b6p-3, 0x1.f63d57fbb9d17p-3, 0x1.f9deb7f1b5947p-3, 0x1.fd616e962ae5fp-3, 0x1.0062ad501418ap-2, 0x1.0205305bde441p-2, 0x1.039835a09f74ap-2, 0x1.051bb5149d015p-2, 0x1.068fa9589c212p-2, 0x1.07f40f9ebf22bp-2, 0x1.0948e791f90dep-2, 0x1.0a8e333e200aap-2, 0x1.0bc3f6f8a757fp-2, 0x1.0cea394a10393p-2, 0x1.0e0102d815cd6p-2, 0x1.0f085e5097c6bp-2, 0x1.100058554949cp-2, 0x1.10e8ff6823f2fp-2, 0x1.11c263d89e934p-2, 0x1.128c97b1a48efp-2, 0x1.1347aea84f30dp-2, 0x1.13f3be0b55f26p-2, 0x1.1490dcb3393ecp-2, 0x1.151f22f3192cp-2, 0x1.159eaa8a37ba6p-2, 0x1.160f8e961eaf6p-2, 0x1.1671eb855cbb8p-2, 0x1.16c5df0adb3dp-2, 0x1.170b8811b9b5bp-2, 0x1.174306b1b0461p-2, 0x1.176c7c23edbep-2, 0x1.17880ab862c05p-2, 0x1.1795d5cb7ece7p-2, 0x1.179601bc4a917p-2, 0x1.1788b3e2df606p-2, 0x1.176e128730943p-2, 0x1.174644d822b3bp-2, 0x1.171172e2e5ea9p-2, 0x1.16cfc58a8c4fep-2, 0x1.1681667fddbf8p-2, 0x1.1626803956cdap-2, 0x1.15bf3deb588b3p-2, 0x1.154bcb807c5bp-2, 0x1.14cc55920934p-2, 0x1.1441096088fdcp-2, 0x1.13aa14cc72291p-2, 0x1.1307a64eec1bdp-2, 0x1.1259ecf2a1b04p-2, 0x1.11a1184ca388ep-2, 0x1.10dd58755796ep-2, 0x1.100ede016fa9p-2, 0x1.0f35d9faec4bep-2, 0x1.0e527dda232e9p-2, 0x1.0d64fb7ec9ecfp-2, 0x1.0c6d852905b0fp-2, 0x1.0b6c4d727de76p-2, 0x1.0a61874771993p-2, 0x1.094d65dfce155p-2, 0x1.08301cb848afbp-2, 0x1.0709df8b79d18p-2, 0x1.05dae24afc6f5p-2, 0x1.04a359188c9e7p-2, 0x1.0363783f2f661p-2, 0x1.021b742c5a913p-2, 0x1.00cb816924dacp-2, 0x1.fee7a926f5016p-3, 0x1.fc2944aeb8c8ep-3, 0x1.f95c3ed04804ap-3, 0x1.f68100f3acb93p-3, 0x1.f397f474fda36p-3, 0x1.f0a1829732ad1p-3, 0x1.ed9e147712036p-3, 0x1.ea8e12fe42ffdp-3, 0x1.e771e6d680bb8p-3, 0x1.e449f85ceef07p-3, 0x1.e116af95a0fe8p-3, 0x1.ddd8741f45004p-3, 0x1.da8fad26fe5fcp-3, 0x1.d73cc15c78b6ep-3, 0x1.d3e016e6278bdp-3, 0x1.d07a1355c1dd9p-3, 0x1.cd0b1b9cf6ddap-3, 0x1.c99394025d986p-3, 0x1.c613e016a8584p-3, 0x1.c28c62aa0db11p-3, 0x1.befd7dc208a06p-3, 0x1.bb67928f474bcp-3, 0x1.b7cb0163f61bbp-3, 0x1.b42829aa45c4fp-3, 0x1.b07f69db43201p-3, 0x1.acd11f75f8e3ep-3, 0x1.a91da6f6e16bp-3, 0x1.a5655bcfa8859p-3, 0x1.a1a8985f364c1p-3, 0x1.9de7b5ea164e7p-3, 0x1.9a230c9328a65p-3, 0x1.965af354a85b9p-3, 0x1.928fbff9863a8p-3, 0x1.8ec1c71717397p-3, 0x1.8af15c0712ea6p-3, 0x1.871ed0e1eba4dp-3, 0x1.834a7679795e4p-3, 0x1.7f749c53f3acfp-3, 0x1.7b9d90a749084p-3, 0x1.77c5a054be28fp-3, 0x1.73ed16e4eb886p-3, 0x1.70143e8404c28p-3, 0x1.6c3b5ffe762bap-3, 0x1.6862c2bdd0af1p-3, 0x1.648aacc60a1f5p-3, 0x1.60b362b3084a2p-3, 0x1.5cdd27b677b28p-3, 0x1.59083d95fb21bp-3, 0x1.5534e4a997081p-3, 0x1.51635bda73f3bp-3, 0x1.4d93e0a1e21d2p-3, 0x1.49c6af08ab3e1p-3, 0x1.45fc01a6a3bcdp-3, 0x1.423411a285ba4p-3, 0x1.3e6f16b20a94ap-3, 0x1.3aad471a4e4c5p-3, 0x1.36eed7b067b08p-3, 0x1.3333fbda4526fp-3, 0x1.2f7ce58fc625dp-3, 0x1.2bc9c55c0dd9ep-3, 0x1.281aca5f0c55fp-3, 0x1.2470224f43929p-3, 0x1.20c9f97bbdafep-3, 0x1.1d287ace38df4p-3, 0x1.198bcfcd86519p-3, 0x1.15f420a010ba7p-3, 0x1.1261940e9dc28p-3, 0x1.0ed44f872f248p-3, 0x1.0b4c772017af5p-3, 0x1.07ca2d9b30d46p-3, 0x1.044d94693c30dp-3, 0x1.00d6cbad68457p-3, 0x1.facbe481e9b3bp-4, 0x1.f3f64b6dffaa7p-4, 0x1.ed2d04c0d3aefp-4, 0x1.e670469fb87dap-4, 0x1.dfc044bbd8695p-4, 0x1.d91d305aa5accp-4, 0x1.d287385e8a122p-4, 0x1.cbfe894fb8067p-4, 0x1.c5834d652eb23p-4, 0x1.bf15ac8dddbbcp-4, 0x1.b8b5cc79f180bp-4, 0x1.b263d0a440bb7p-4, 0x1.ac1fda5bdb963p-4, 0x1.a5ea08cdaa929p-4, 0x1.9fc2790e32638p-4, 0x1.99a946236416ep-4, 0x1.939e890e844b9p-4, 0x1.8da258d626753p-4, 0x1.87b4ca902a694p-4, 0x1.81d5f16bce27fp-4, 0x1.7c05debbc6adbp-4, 0x1.7644a2005beffp-4, 0x1.709248f18b01cp-4, 0x1.6aeedf8928cp-4, 0x1.655a700d06996p-4, 0x1.5fd50319107a8p-4, 0x1.5a5e9fa968ca8p-4, 0x1.54f74b247d5e2p-4, 0x1.4f9f096515bb3p-4, 0x1.4a55dcc452efep-4, 0x1.451bc623a8328p-4, 0x1.3ff0c4f6c2f8cp-4, 0x1.3ad4d74d64a1ap-4, 0x1.35c7f9dd2e669p-4, 0x1.30ca280b5640dp-4, 0x1.2bdb5bf64c26ep-4, 0x1.26fb8e7f483dap-4, 0x1.222ab753c691cp-4, 0x1.1d68ccf6e7b82p-4, 0x1.18b5c4cabbcc6p-4, 0x1.141193197391bp-4, 0x1.0f7c2b1e77b88p-4, 0x1.0af57f0f61e15p-4, 0x1.067d8024e1eb8p-4, 0x1.02141ea37cbdep-4, 0x1.fb7293c865343p-5, 0x1.f2d9e0ba0c41fp-5, 0x1.ea5dff52cc439p-5, 0x1.e1fec924ebfabp-5, 0x1.d9bc162e6c087p-5, 0x1.d195bce91692ap-5, 0x1.c98b925a5156cp-5, 0x1.c19d6a22a6e7cp-5, 0x1.b9cb168d11a4cp-5, 0x1.b214689dfff8p-5, 0x1.aa79302214537p-5, 0x1.a2f93bbc9fddp-5, 0x1.9b9458f5d6bcap-5, 0x1.944a5448c3535p-5, 0x1.8d1af930f0428p-5, 0x1.86061237c7dccp-5, 0x1.7f0b6901b54f6p-5, 0x1.782ac65af9189p-5, 0x1.7163f2443cc06p-5, 0x1.6ab6b3feddbc2p-5, 0x1.6422d218ef7dfp-5, 0x1.5da81278fd204p-5, 0x1.57463a69812eap-5, 0x1.50fd0ea418784p-5, 0x1.4acc535c758dcp-5, 0x1.44b3cc4b07e5p-5, 0x1.3eb33cb765c4dp-5, 0x1.38ca678269228p-5, 0x1.32f90f30148e3p-5, 0x1.2d3ef5f12ef02p-5, 0x1.279bddac9f971p-5, 0x1.220f88088820dp-5, 0x1.1c99b6731c979p-5, 0x1.173a2a2b3da29p-5, 0x1.11f0a448d0eb3p-5, 0x1.0cbce5c4dec02p-5, 0x1.079eaf8170094p-5, 0x1.0295c2512ea98p-5, 0x1.fb43bdfd8d161p-6, 0x1.f1858ca825e6bp-6, 0x1.e7f0724212af2p-6, 0x1.de83f084df884p-6, 0x1.d53f8950b4895p-6, 0x1.cc22beb8d8f74p-6, 0x1.c32d130fcb7e9p-6, 0x1.ba5e08f2f0dfp-6, 0x1.b1b52355d5853p-6, 0x1.a931e58d0bec1p-6, 0x1.a0d3d3589411cp-6, 0x1.989a70edfbdap-6, 0x1.90854301f41c3p-6, 0x1.8893ced1a5a83p-6, 0x1.80c59a2b9c096p-6, 0x1.791a2b784a40bp-6, 0x1.719109c23ffafp-6, 0x1.6a29bcbe007b2p-6, 0x1.62e3ccd17f72dp-6, 0x1.5bbec31b46988p-6, 0x1.54ba29794ff27p-6, 0x1.4dd58a8f7fb9fp-6, 0x1.471071cddc194p-6, 0x1.406a6b766e5b2p-6, 0x1.39e304a2daec4p-6, 0x1.3379cb49a4eacp-6, 0x1.2d2e4e4333c95p-6, 0x1.27001d4e90776p-6, 0x1.20eec915d3b94p-6, 0x1.1af9e3325a187p-6, 0x1.1520fe30b4f9bp-6, 0x1.0f63ad94511cbp-6, 0x1.09c185daeb24dp-6, 0x1.043a1c7fc1486p-6, 0x1.fd9a0ffd10f75p-7, 0x1.f2f3bfac4a2fp-7, 0x1.e8807916728e5p-7, 0x1.de3f6f54dfd09p-7, 0x1.d42fd795210ffp-7, 0x1.ca50e91cd7eebp-7, 0x1.c0a1dd4d147f7p-7, 0x1.b721efa569663p-7, 0x1.add05dc69503ep-7, 0x1.a4ac6774c54cep-7, 0x1.9bb54e999db3p-7, 0x1.92ea5745cb104p-7, 0x1.8a4ac7b264e7p-7, 0x1.81d5e841df739p-7, 0x1.798b0380c6da6p-7, 0x1.716966262314cp-7, 0x1.69705f13a4f9bp-7, 0x1.619f3f557ed61p-7, 0x1.59f55a21f80e9p-7, 0x1.527204d8d5204p-7, 0x1.4b149702685fcp-7, 0x1.43dc6a4e7db4fp-7, 0x1.3cc8da92f4fd7p-7, 0x1.35d945ca4afcp-7, 0x1.2f0d0c11bfc3dp-7, 0x1.28638fa775d1cp-7, 0x1.21dc34e83834p-7, 0x1.1b76624d37676p-7, 0x1.15318069813fp-7, 0x1.0f0cf9e753a3ep-7, 0x1.09083b855743cp-7, 0x1.0322b41393758p-7, 0x1.fab7a8e0ba616p-8, 0x1.ef661f0a3166dp-8, 0x1.e44fb48596555p-8, 0x1.d973573d3adf4p-8, 0x1.cecff91c80752p-8, 0x1.c46490084c3a7p-8, 0x1.ba3015d77bd26p-8, 0x1.b031884ae3ac9p-8, 0x1.a667e9054b591p-8, 0x1.9cd23d83353ap-8, 0x1.936f8f1272b26p-8, 0x1.8a3eeac98b4b9p-8, 0x1.813f617f2152dp-8, 0x1.787007c10b96ep-8, 0x1.6fcff5cb5ff2ap-8, 0x1.675e477f724dap-8, 0x1.5f1a1c5a9a78dp-8, 0x1.5702976ce84f4p-8, 0x1.4f16df4fd987fp-8, 0x1.47561e1cd3da8p-8, 0x1.3fbf8163b9524p-8, 0x1.38523a2147fd8p-8, 0x1.310d7cb573245p-8, 0x1.29f080d9c0b79p-8, 0x1.22fa819789c28p-8, 0x1.1c2abd3e3eccep-8, 0x1.158075598fcf4p-8, 0x1.0efaeea7a432ap-8, 0x1.0899710f45dd9p-8, 0x1.025b4796057fap-8, 0x1.f87f80ace3721p-9, 0x1.ec8c58ec63a85p-9, 0x1.e0dbc0383ebep-9, 0x1.d56c64cd220d7p-9, 0x1.ca3cfac2ca8cp-9, 0x1.bf4c3bf8ad14dp-9, 0x1.b498e80235fe5p-9, 0x1.aa21c41366b2bp-9, 0x1.9fe59aed3f7dfp-9, 0x1.95e33ccaa0b46p-9, 0x1.8c197f4cd6479p-9, 0x1.82873d6869b99p-9, 0x1.792b5751f650dp-9, 0x1.7004b26b40499p-9, 0x1.6712393033d27p-9, 0x1.5e52db242706bp-9, 0x1.55c58cbf341d6p-9, 0x1.4d69475b8a96cp-9, 0x1.453d09231efd1p-9, 0x1.3d3fd4fd2bebap-9, 0x1.3570b27c4213p-9, 0x1.2dceadcc15d05p-9, 0x1.2658d79f9dd45p-9, 0x1.1f0e451f5d23ap-9, 0x1.17ee0fd7b3d89p-9, 0x1.10f755a783c5fp-9, 0x1.0a2938aef0af7p-9, 0x1.0382df3e102edp-9, 0x1.fa06e7884b8b2p-10, 0x1.ed54497d3d83bp-10, 0x1.e0ec4951271c7p-10, 0x1.d4cd53d47a5ebp-10, 0x1.c8f5dd916b419p-10, 0x1.bd6462ab7ba62p-10, 0x1.b21766bf9d11fp-10, 0x1.a70d74c4b9ff4p-10, 0x1.9c451eec4a6edp-10, 0x1.91bcfe83bf865p-10, 0x1.8773b3d5c8e6bp-10, 0x1.7d67e60c0bb9cp-10, 0x1.7398431178804p-10, 0x1.6a037f74fd33p-10, 0x1.60a8564c111bep-10, 0x1.5785891692743p-10, 0x1.4e99dfa1a22e6p-10, 0x1.45e427ec457c1p-10, 0x1.3d63360b5b115p-10, 0x1.3515e40e8edbfp-10, 0x1.2cfb11e54dba9p-10, 0x1.2511a5444a718p-10, 0x1.1d58898b41ac9p-10, 0x1.15ceafaaec2a9p-10, 0x1.0e730e0bceb57p-10, 0x1.0744a074cb0eap-10, 0x1.004267f2b11b6p-10, 0x1.f2d6d57ee7f2p-11, 0x1.e57d6854a9054p-11, 0x1.d876a8ffbb5b1p-11, 0x1.cbc0c1e59cb37p-11, 0x1.bf59e709bea88p-11, 0x1.b34055e042ebcp-11, 0x1.a772552136f6bp-11, 0x1.9bee349c9dc54p-11, 0x1.90b24d0e77fdbp-11, 0x1.85bcfff4b1944p-11, 0x1.7b0cb7650b622p-11, 0x1.709fe5e389d0cp-11, 0x1.667506398f1b8p-11, 0x1.5c8a9b4ddb406p-11, 0x1.52df2ffd2c0b5p-11, 0x1.497156f3227c1p-11, 0x1.403faa846693ep-11, 0x1.3748cc88dbccdp-11, 0x1.2e8b6636a93cfp-11, 0x1.260627fdb89d9p-11, 0x1.1db7c963d97b9p-11, 0x1.159f08e1f638dp-11, 0x1.0dbaabc1389d5p-11, 0x1.06097df93c2ccp-11, 0x1.fd14a41c770fp-12, 0x1.ee7801e1041c2p-12, 0x1.e03ad3b7d034p-12, 0x1.d25ae4708e45ep-12, 0x1.c4d60af3e3e31p-12, 0x1.b7aa2a06fa077p-12, 0x1.aad5300e8739fp-12, 0x1.9e5516d3af66ap-12, 0x1.9227e349c7277p-12, 0x1.864ba55562f6fp-12, 0x1.7abe779455fb1p-12, 0x1.6f7e7f262827ap-12, 0x1.6489eb76645b4p-12, 0x1.59def6072e184p-12, 0x1.4f7be23d1209cp-12, 0x1.455efd2b6466bp-12, 0x1.3b869d62d7af1p-12, 0x1.31f122bf139b7p-12, 0x1.289cf636de795p-12, 0x1.1f8889ac1ca5ep-12, 0x1.16b257bd822d8p-12, 0x1.0e18e3983a83dp-12, 0x1.05bab8cb22da3p-12, 0x1.fb2cd6359f26fp-13, 0x1.eb552cabe6e33p-13, 0x1.dbebbc560155p-13, 0x1.cceddbfd157afp-13, 0x1.be58f18439db1p-13, 0x1.b02a719813907p-13, 0x1.a25fdf60341abp-13, 0x1.94f6cc31cba64p-13, 0x1.87ecd744b41c6p-13, 0x1.7b3fad682ebd2p-13, 0x1.6eed08bab6c0cp-13, 0x1.62f2b061f8e79p-13, 0x1.574e7844b8a19p-13, 0x1.4bfe40c6306a5p-13, 0x1.40fff6836b729p-13, 0x1.36519210fddd1p-13, 0x1.2bf117b98156fp-13, 0x1.21dc973ebf22cp-13, 0x1.18122b9abc6a1p-13, 0x1.0e8ffac38f074p-13, 0x1.0554356f35037p-13, 0x1.f8ba2db309dp-14, 0x1.e751c914a49d1p-14, 0x1.d66bdc3a53214p-14, 0x1.c6051a14c37b9p-14, 0x1.b61a48e125186p-14, 0x1.a6a841c078ac2p-14, 0x1.97abf04edcefcp-14, 0x1.8922523ef0ebfp-14, 0x1.7b0876f5fe394p-14, 0x1.6d5b7f2918ca5p-14, 0x1.60189c7f93a8fp-14, 0x1.533d11329378bp-14, 0x1.46c62fb440a74p-14, 0x1.3ab15a5465065p-14, 0x1.2efc02e9583d4p-14, 0x1.23a3aa788953ep-14, 0x1.18a5e0e383946p-14, 0x1.0e004493df436p-14, 0x1.03b0822b690c3p-14, 0x1.f368a86736cfep-15, 0x1.e01305a2f5b68p-15, 0x1.cd5bc6efb683cp-15, 0x1.bb3eb13d66839p-15, 0x1.a9b7a2f1d1a97p-15, 0x1.98c2935a0806ap-15, 0x1.885b9220b8e7cp-15, 0x1.787ec6c25903ep-15, 0x1.692870086c0d5p-15, 0x1.5a54e38705b64p-15, 0x1.4c008d1ce7678p-15, 0x1.3e27ee736f205p-15, 0x1.30c79e850ad52p-15, 0x1.23dc4925bc58ep-15, 0x1.1762ae8940b63p-15, 0x1.0b57a2d4aca34p-15, 0x1.ff701b510165ep-16, 0x1.e901d36d35801p-16, 0x1.d35e88a42dbaep-16, 0x1.be807a1262675p-16, 0x1.aa620a7404974p-16, 0x1.96fdbf5dd0b84p-16, 0x1.844e4076ba133p-16, 0x1.724e56b1f4b15p-16, 0x1.60f8eb93840bep-16, 0x1.5049087646eb1p-16, 0x1.4039d5d5156b1p-16, 0x1.30c69a98c9212p-16, 0x1.21eabb6ae246ep-16, 0x1.13a1ba06e4506p-16, 0x1.05e73493079cp-16, 0x1.f16dca0838492p-17, 0x1.d81940e8bf39dp-17, 0x1.bfc8ad21007adp-17, 0x1.a87421eae472fp-17, 0x1.9213e541f2dddp-17, 0x1.7ca06eb6bdefp-17, 0x1.68126650b27b5p-17, 0x1.5462a37bd30d6p-17, 0x1.418a2bebaea16p-17, 0x1.2f823298cc812p-17, 0x1.1e4416b1b1b2cp-17, 0x1.0dc962a37658cp-17, 0x1.fc17962e3ff23p-18, 0x1.de0a5bee5f558p-18, 0x1.c15f2310f62f8p-18, 0x1.a60a46f72e593p-18, 0x1.8c007002cbdf2p-18, 0x1.733691e799ed1p-18, 0x1.5ba1e9d9ac467p-18, 0x1.4537fcf540f3ap-18, 0x1.2fee9689277c7p-18, 0x1.1bbbc682be9ffp-18, 0x1.0895dfd2adcf1p-18, 0x1.ece6edd0174p-19, 0x1.ca96c05201477p-19, 0x1.aa295cfd1b243p-19, 0x1.8b8d63bc60424p-19, 0x1.6eb1ebd4abef6p-19, 0x1.5386810179e6bp-19, 0x1.39fb20d504d69p-19, 0x1.220038182a1a4p-19, 0x1.0b86a02098e75p-19, 0x1.ecff38c7309fp-20, 0x1.c5b9afbd8b3e4p-20, 0x1.a120c581eaf87p-20, 0x1.7f19601ad9e92p-20, 0x1.5f892694825a8p-20, 0x1.42567c670142p-20, 0x1.27687d1ed59fdp-20, 0x1.0ea6f7f18bb1ep-20, 0x1.eff4d6f3c9f0ep-21, 0x1.c6980393a2c0cp-21, 0x1.a10b186a81ebfp-21, 0x1.7f22fecc41c1p-21, 0x1.60b5deec0e7a7p-21, 0x1.459b186ce1fc4p-21, 0x1.2dab3a8a3591bp-21, 0x1.18bffd92a370cp-21, 0x1.06b43b1aa1a3cp-21, 0x1.eec7ceacba8e8p-22, 0x1.d55814da1ba13p-22, 0x1.c0d573da8480ap-22, 0x1.b0fe23b086d1dp-22, 0x1.a5925de225896p-22, 0x1.9e544fab1ce69p-22, 0x1.9b080ee7728d8p-22, 0x1.9b738dc0d3861p-22, 0x1.9f5e8f36b3516p-22, 0x1.a6929c3fdb07bp-22, 0x1.b0daf7cc211ap-22, 0x1.be0494af36f76p-22, 0x1.cdde0a71bd76p-22, 0x1.e0378b426d79fp-22, 0x1.f4e2da0d775fcp-22, 0x1.05d99fee830d7p-21, 0x1.123ec14f93ef4p-21, 0x1.1f8bee0075d3cp-21, 0x1.2dacf7b39d899p-21, 0x1.3c8e60d0822fbp-21, 0x1.4c1d57a8d6154p-21, 0x1.5c47b26d461f2p-21, 0x1.6cfbeabce90e6p-21, 0x1.7e2919a1b8d9fp-21, 0x1.8fbef361366ap-21, 0x1.a1adc3ce4108bp-21, 0x1.b3e66a4cb56aap-21, 0x1.c65a55dc00d5p-21, 0x1.d8fb818016ba9p-21, 0x1.ebbc70b1291cep-21, 0x1.fe902bb643929p-21, 0x1.08b51e1b83602p-20, 0x1.121f54e8f4374p-20, 0x1.1b80fb86d65ebp-20, 0x1.24d48ef020e2cp-20, 0x1.2e14c644e7b3p-20, 0x1.373c91470d895p-20, 0x1.404716d8d6961p-20, 0x1.492fb37d1a394p-20, 0x1.51f1f7e57d3c9p-20, 0x1.5a89a788316eap-20, 0x1.62f2b75972d3ap-20, 0x1.6b294c4ee7555p-20, 0x1.7329ba37f0dap-20, 0x1.7af0824dc031cp-20, 0x1.827a5205c7c48p-20, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      63, 0x1.c99999999999ap+2, 0x1.e56b53e41a34fp-4, -0x1.52431dc9c7a23p+0, -0x1.185bd71283e54p-3, 
      {{
        {0x1.01eb851eb851fp+2, 0x1.0333333333333p+2, 0x1.d4466b0da3cb1p-6, -0x1.414ca01781821p-6, 0x1.309e6fcec99c7p-10, 0x1.64bf6656cf8e1p-10}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.cddb5c6391ff9p-6, -0x1.4082d1d8a2347p-6, 0x1.460614ab09435p-10, 0x1.6468a11887c55p-10}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.bde292dc72924p-6, -0x1.3e4e69a43baeep-6, 0x1.7b7c2cd51da07p-10, 0x1.63f81e0ca6374p-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.ae0824f658645p-6, -0x1.3bc4852fef6b9p-6, 0x1.b0e1648a36902p-10, 0x1.639bb927702dfp-10}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.9e50584523f2ep-6, -0x1.38e53d1273f26p-6, 0x1.e638c05020fd3p-10, 0x1.62ecc552ee3ep-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8ebf710c4e111p-6, -0x1.35b0b160ac594p-6, 0x1.0dbaeef4af298p-9, 0x1.56889c2a9e9b9p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.7f59aba18e5b6p-6, -0x1.322873c1ea2a2p-6, 0x1.276b9444ae41ep-9, 0x1.47ce8d9848266p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.702323162e562p-6, -0x1.2e4fc5471ad55p-6, 0x1.4001787ce6de5p-9, 0x1.3995c65edbb11p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.611fc6b22a601p-6, -0x1.2a2a1f3d195d3p-6, 0x1.57864dc404257p-9, 0x1.2b3a5b4600937p-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.525359b9192f6p-6, -0x1.25baef9574c08p-6, 0x1.6df77b02ddca1p-9, 0x1.1ce838511d1b8p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.43c1736a2bcd8p-6, -0x1.2105a74cbe017p-6, 0x1.8355b26f59927p-9, 0x1.0e9398accc8ddp-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.356d7f002d9adp-6, -0x1.1c0db68eca11fp-6, 0x1.97a0c4491c1dp-9, 0x1.003fa3a1d0f6bp-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.275abbb1844c2p-6, -0x1.16d68dbf5c0f9p-6, 0x1.aad8bd5ba562bp-9, 0x1.e3d701c1738e3p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.198c3cb02fec4p-6, -0x1.11639d333a8bdp-6, 0x1.bcfd9a394ceb7p-9, 0x1.c72ed4be611e2p-11}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0c04e929cadbbp-6, -0x1.0bb8554330151p-6, 0x1.ce0f5bcd3d5c7p-9, 0x1.aa86a12ab5b85p-11}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.fd8ef88f139ffp-7, -0x1.05d82646f3caep-6, 0x1.de0e01d870f9bp-9, 0x1.8dde6f59a3ea9p-11}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.e3ad0a5c77a7fp-7, -0x1.ff8d012d0d343p-7, 0x1.ecf98c6bcd85ap-9, 0x1.71363d0fab95cp-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ca68cdfc94901p-7, -0x1.f30da913ab4e8p-7, 0x1.fad1fb82ca5b5p-9, 0x1.548e0ae6545cp-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b1c6b1a771c4ap-7, -0x1.e63924f1a6c43p-7, 0x1.03cba78f505c4p-8, 0x1.37e5d8b3c3229p-11}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.99cacb8c4b5c7p-7, -0x1.d9165576e1a85p-7, 0x1.09a4c39f7c04ep-8, 0x1.1b3da68467a7cp-11}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.8278d9d192195p-7, -0x1.cbac1b533ec4cp-7, 0x1.0ef451f1f79p-8, 0x1.fd2ae8a6878ap-12}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.6bd44294eb679p-7, -0x1.be015736a0b8p-7, 0x1.13ba5286ba6eep-8, 0x1.c3da844729286p-12}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.55e013eb315e7p-7, -0x1.b01ce9d0ea2aep-7, 0x1.17f6c55dcb9e7p-8, 0x1.8a8a1fe533988p-12}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.409f03e072c06p-7, -0x1.a205b3d1fdc12p-7, 0x1.1ba9aa7724e72p-8, 0x1.5139bb8582395p-12}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.2c137077f2facp-7, -0x1.93c295e9be233p-7, 0x1.1ed301d2cbb94p-8, 0x1.17e95723eb892p-12}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.183f5fac2a25dp-7, -0x1.855a70c80df5p-7, 0x1.2172cb70bb881p-8, 0x1.bd31e5879879ep-13}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.05247f6ec5043p-7, -0x1.76d4251ccfdf4p-7, 0x1.23890750f7d8bp-8, 0x1.4a911cc52704p-13}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.e5884b514a07ep-8, -0x1.68369397e6869p-7, 0x1.2515b5737e078p-8, 0x1.afe0a808bafe8p-14}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.c23ea073c07acp-8, -0x1.59889ce93492ap-7, 0x1.2618d5d850115p-8, 0x1.953e2d09c26c4p-15}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.a06d49f382e9dp-8, -0x1.4ad121c09ca8p-7, 0x1.2692687f6c987p-8, -0x1.aa27afd93a01bp-18}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.8014e36d90316p-8, -0x1.3c1702ce016e3p-7, 0x1.26826d68d4731p-8, -0x1.ffc819013e974p-15}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6135586d50846p-8, -0x1.2d6120c14589ap-7, 0x1.25e8e4948746bp-8, -0x1.e5259e04106c6p-14}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.43cde46c956b8p-8, -0x1.1eb65c4a4ba29p-7, 0x1.24c5ce0284d67p-8, -0x1.653397c348052p-13}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.27dd12d399c48p-8, -0x1.101d9618f65eep-7, 0x1.231929b2cdb34p-8, -0x1.d7d46084dcc72p-13}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.0d60bef901c4bp-8, -0x1.019daedd28644p-7, 0x1.20e2f7a561771p-8, -0x1.253a94a318192p-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.e8ac2843b5eafp-9, -0x1.e67b0e8d88b04p-8, 0x1.1e2337da40707p-8, -0x1.5e8af90412256p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b9731b03386d8p-9, -0x1.ca08000b59c61p-8, 0x1.1ad9ea5169de8p-8, -0x1.97db5d648d29ap-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.8d0dec744b7b7p-9, -0x1.adeff39389555p-8, 0x1.17070f0adef22p-8, -0x1.d12bc1c5599a1p-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.6372d2b7822aep-9, -0x1.9240aa85dca39p-8, 0x1.12aaa6069ee7dp-8, -0x1.053e13131d4a6p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.3c96a3ca42401p-9, -0x1.7707e64219043p-8, 0x1.0dc4af44a98e7p-8, -0x1.21e645435c347p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.186cd586c4275p-9, -0x1.5c53682803bf5p-8, 0x1.08552ac4ffd3fp-8, -0x1.3e8e7773fd9f4p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.edcefb4825f54p-10, -0x1.4230f1976229bp-8, 0x1.025c18879fdf5p-8, -0x1.5b36a9a3e9c36p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.afeea36c18fb6p-10, -0x1.28ae43eff983ep-8, 0x1.f7b2f1191a2ddp-9, -0x1.77dedbd4e4ce7p-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.77174e5ac243bp-10, -0x1.0fd920918f23bp-8, 0x1.e99a95a784cc3p-9, -0x1.94870e04b72b4p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.4324e6af2804ap-10, -0x1.ef7e91b7d0b4p-9, 0x1.da6f1eba8aba9p-9, -0x1.b12f40355e7dbp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.13f096bdf5cdep-10, -0x1.c0dcfc5d94c4ap-9, 0x1.ca308c5223fc7p-9, -0x1.cdd77265af4f2p-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.d2a1912af90a8p-11, -0x1.93e903d3f52dbp-9, 0x1.b8dede6e53cffp-9, -0x1.ea7fa495f03aap-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.86324bfb64d08p-11, -0x1.68be2ada7c72fp-9, 0x1.a67a150f1acdbp-9, -0x1.0393eb637ae9ep-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.423530f06614p-11, -0x1.3f77f430b56d4p-9, 0x1.9302303471958p-9, -0x1.11e8047a5f585p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.064692807eae8p-11, -0x1.1831e29629c97p-9, 0x1.7e772fde773bdp-9, -0x1.203c1d973438p-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.a3fa852af64ep-12, -0x1.e60ef194ceadep-10, 0x1.68d9140cb9b7ap-9, -0x1.2e90369ea914fp-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.49d52518e555fp-12, -0x1.a0287319da2a3p-10, 0x1.5227dcc0d36fcp-9, -0x1.3ce44ff475f2fp-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.fa694cd71c841p-13, -0x1.5ee74f3ae1672p-10, 0x1.3a6389f4e430dp-9, -0x1.4b3868275b327p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.7a4b53549458p-13, -0x1.22828b75b7a53p-10, 0x1.218c1bbebd596p-9, -0x1.598c8497273a7p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.11539c860f17fp-13, -0x1.d6625a9c4942dp-11, 0x1.07a191cd00cebp-9, -0x1.67e09135b7597p-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.7adeca2929081p-14, -0x1.7254746369213p-11, 0x1.d947da9ebfb6bp-10, -0x1.7634d8dd346fp-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.f1d79dd95bfp-15, -0x1.19496fc1dbe5p-11, 0x1.a12653b0c4a66p-10, -0x1.84884431832c2p-10}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.30a16fbacebp-15, -0x1.975eab9aa7f26p-12, 0x1.66deafdc8a92fp-10, -0x1.92dee5ca867d3p-10}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.518fc471927ffp-16, -0x1.13e87145f48b6p-12, 0x1.2a7073caf665ap-10, -0x1.a1298aa249423p-10}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.427f13285ap-17, -0x1.521822b5d6733p-13, 0x1.d7bad798706b5p-11, -0x1.afa0ec3bffdb8p-10}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.e25de1a2b8p-19, -0x1.5e99a0cff6ca6p-14, 0x1.563dc3ecd6dd3p-11, -0x1.bd71578e96acbp-10}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.bfbb024a08p-21, -0x1.04853be0ce721p-15, 0x1.a137868420209p-12, -0x1.cdb0df3b410ep-10}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.de8eaf5e1dc0fp-25, -0x1.2c6c05c43759dp-18, 0x1.18679ac12565ap-13, -0x1.c6eeacbdd833ep-10}, 
      }}, 
      0x1.f57366f748c2p-8, 0x1.3638a6e5a3001p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.7338e9b5b66e9p+0, 0x1.6fea9406ac959p+0, 0x1.6a8962fcdf1efp+0, 0x1.6343ec0e0e4fdp+0, 0x1.5a5410117197fp+0, 0x1.4ff998c4951f3p+0, 0x1.4475dfaea8a2p+0, 0x1.3808bf05a8708p+0, 0x1.2aeea00865809p+0, 0x1.1d5f555e07e3ep+0, 0x1.0f8d764968f79p+0, 0x1.01a606abad693p+0, 0x1.e7a0a0e09a1edp-1, 0x1.cc5bc5f8731c3p-1, 0x1.b1b56b590c0f9p-1, 0x1.97dad780b6fccp-1, 0x1.7eef6b903e845p-1, 0x1.670d945cd8c27p-1, 0x1.5047d8ecfbda7p-1, 0x1.3aa9f5f8078d2p-1, 0x1.2639f56a46d47p-1, 0x1.12f936da0f8bep-1, 0x1.00e56006eed1dp-1, 0x1.dff2610f777c8p-2, 0x1.c05a6dc2ae53cp-2, 0x1.a2f0ce7a01cdp-2, 0x1.87a12b050d7a9p-2, 0x1.6e55ab83907e8p-2, 0x1.56f78d18650f7p-2, 0x1.416f920062dfcp-2, 0x1.2da653f545453p-2, 0x1.1b847eec6a845p-2, 0x1.0af2f979e641fp-2, 0x1.f7b5ff1520cb6p-3, 0x1.dc4c678bec5f2p-3, 0x1.c37d5694f2c62p-3, 0x1.ad1dece669f67p-3, 0x1.990450e9a7606p-3, 0x1.8707be4383106p-3, 0x1.77009753d5d9ap-3, 0x1.68c878dc5120cp-3, 0x1.5c3a4f041c463p-3, 0x1.51326ae54b1bfp-3, 0x1.478e9803438a4p-3, 0x1.3f2e30e4c7383p-3, 0x1.37f231a52bc9bp-3, 0x1.31bd4731c872dp-3, 0x1.2c73da45d3098p-3, 0x1.27fc15c2df61dp-3, 0x1.243de867233b6p-3, 0x1.212302098fde3p-3, 0x1.1e96cc906f939p-3, 0x1.1c8660eced28ap-3, 0x1.1ae0788f1804dp-3, 0x1.19955bf065a8cp-3, 0x1.1896cee45b7edp-3, 0x1.17d7fb5b7bbbep-3, 0x1.174d5b2e2ba78p-3, 0x1.16eca161c8a06p-3, 0x1.16aca343032fep-3, 0x1.1685419df0189p-3, 0x1.166f5252b5816p-3, 0x1.16648a843836bp-3, 0x1.165f69974418dp-3, 0x1.165b2535babb6p-3, 0x1.1653967d70a99p-3, 0x1.1645287cf9417p-3, 0x1.162cc80eef1b3p-3, 0x1.1607d521c2307p-3, 0x1.15d415637bc75p-3, 0x1.158fa8502ac23p-3, 0x1.1538fc879ce0cp-3, 0x1.14cec66411964p-3, 0x1.144ff79e49d84p-3, 0x1.13bbb81eda502p-3, 0x1.13115f77d9864p-3, 0x1.12506fac8ffdcp-3, 0x1.11788ff0fad87p-3, 0x1.10898941394c1p-3, 0x1.0f8341d3c1fe6p-3, 0x1.0e65bb33f12ep-3, 0x1.0d310e45e3d09p-3, 0x1.0be56a1bb58b7p-3, 0x1.0a83111d55804p-3, 0x1.090a571db3decp-3, 0x1.077ba10b55b9ap-3, 0x1.05d760ec01cb7p-3, 0x1.041e17e00a96ep-3, 0x1.025051c519705p-3, 0x1.006ea62a3a7ffp-3, 0x1.fcf36eb2d9146p-4, 0x1.f8e45db73b213p-4, 0x1.f4b18205b8ad8p-4, 0x1.f05c4ea5a1851p-4, 0x1.ebe6457611106p-4, 0x1.e750f519012b8p-4, 0x1.e29df24822066p-4, 0x1.ddcede7908a93p-4, 0x1.d8e55f167f0f3p-4, 0x1.d3e31f75e1392p-4, 0x1.cec9d12c2b067p-4, 0x1.c99b2609bb816p-4, 0x1.c458d3f72ba1ep-4, 0x1.bf0490ddd25eap-4, 0x1.b9a011b972f9cp-4, 0x1.b42d0b789d3ffp-4, 0x1.aead2f4a1d7bep-4, 0x1.a9222bdeee188p-4, 0x1.a38dab582d567p-4, 0x1.9df1520edfae6p-4, 0x1.984ebf5b9cbabp-4, 0x1.92a78a8f5e082p-4, 0x1.8cfd43b23fd47p-4, 0x1.8751732372b25p-4, 0x1.81a596e85e5cbp-4, 0x1.7bfb2440608efp-4, 0x1.765386ae6b39ap-4, 0x1.70b01dbeabdffp-4, 0x1.6b123ebb68a39p-4, 0x1.657b33e8574dp-4, 0x1.5fec3a661a4efp-4, 0x1.5a6683ab2ef87p-4, 0x1.54eb35933a5b4p-4, 0x1.4f7b682694f97p-4, 0x1.4a18268097d1p-4, 0x1.44c26ff591ec9p-4, 0x1.3f7b361f3adf8p-4, 0x1.3a435cadea5cep-4, 0x1.351bbb5b873aep-4, 0x1.30051d15ad9e7p-4, 0x1.2b003ea2ac6cdp-4, 0x1.260dd0492ad58p-4, 0x1.212e76b826227p-4, 0x1.1c62c97d8d237p-4, 0x1.17ab531ee0845p-4, 0x1.13089306e7bfap-4, 0x1.0e7afd726211cp-4, 0x1.0a02fa2f460fdp-4, 0x1.05a0e58a1932cp-4, 0x1.015511f40095p-4, 0x1.fa3f8f03c71bap-5, 0x1.f2028615c3926p-5, 0x1.e9f36ebc3b1ddp-5, 0x1.e2129d4210e9ep-5, 0x1.da6053837a9b1p-5, 0x1.d2dcbf976dda6p-5, 0x1.cb87fe0be6135p-5, 0x1.c4621c694d472p-5, 0x1.bd6b188406c3ep-5, 0x1.b6a2df2b43c9ap-5, 0x1.b0094dbfa8988p-5, 0x1.a99e34c26cbb9p-5, 0x1.a36157e3a7f7dp-5, 0x1.9d526ca4a691bp-5, 0x1.97711affc832cp-5, 0x1.91bcffdc0bc13p-5, 0x1.8c35ae039f6f3p-5, 0x1.86daad21dbb3bp-5, 0x1.81ab796d587b9p-5, 0x1.7ca7856c13c45p-5, 0x1.77ce3babb4695p-5, 0x1.731efeb273999p-5, 0x1.6e99282f66597p-5, 0x1.6a3c097932afcp-5, 0x1.6606ed4e6dfap-5, 0x1.61f918e750231p-5, 0x1.5e11cbaca7251p-5, 0x1.5a503eb30535dp-5, 0x1.56b3a5777166cp-5, 0x1.533b2f6547272p-5, 0x1.4fe6089e0a954p-5, 0x1.4cb359b137e73p-5, 0x1.49a2473ed67dp-5, 0x1.46b1f2aa3356cp-5, 0x1.43e17b5ec9498p-5, 0x1.412fff7ab7d2cp-5, 0x1.3e9c9bac8bf1ep-5, 0x1.3c266aea54bccp-5, 0x1.39cc86e2b804fp-5, 0x1.378e08f948d99p-5, 0x1.356a0af34aa2cp-5, 0x1.335fa7126682ep-5, 0x1.316df7dac5919p-5, 0x1.2f941827b803cp-5, 0x1.2dd123d622d8bp-5, 0x1.2c24387766a56p-5, 0x1.2a8c75a375181p-5, 0x1.2908fce24c02bp-5, 0x1.2798f17e477a2p-5, 0x1.263b78c8983a7p-5, 0x1.24efbab57818ep-5, 0x1.23b4e24d52039p-5, 0x1.228a1dc65ef6cp-5, 0x1.216e9e5b807dbp-5, 0x1.2061983776b5dp-5, 0x1.1f6242c3e264fp-5, 0x1.1e6fd918a8da5p-5, 0x1.1d899a3421315p-5, 0x1.1caec8fd53efp-5, 0x1.1bdeac291b0e5p-5, 0x1.1b188e30f8428p-5, 0x1.1a5bbd846d8f9p-5, 0x1.19a78cc659007p-5, 0x1.18fb52e741889p-5, 0x1.18566b2b4b33ep-5, 0x1.17b8352265292p-5, 0x1.1720149710018p-5, 0x1.168d71934f03bp-5, 0x1.15ffb879fd52bp-5, 0x1.15765a18084a4p-5, 0x1.14f0cbafdd6dbp-5, 0x1.146e86fc5fecbp-5, 0x1.13ef0a1a58c5cp-5, 0x1.1371d76a2573cp-5, 0x1.12f6758b1c32fp-5, 0x1.127c6f688838cp-5, 0x1.12035445704dp-5, 0x1.118ab7c07756ap-5, 0x1.111231c2f88d2p-5, 0x1.10995e591b77ap-5, 0x1.101fdd90e99e4p-5, 0x1.0fa553785d62cp-5, 0x1.0f2968285415dp-5, 0x1.0eabc7c610a41p-5, 0x1.0e2c2275afd08p-5, 0x1.0daa2c3c90a8ap-5, 0x1.0d259cda62522p-5, 0x1.0c9e2fae365e9p-5, 0x1.0c13a3b3e3f04p-5, 0x1.0b85bb873a1e2p-5, 0x1.0af43d594abc4p-5, 0x1.0a5ef2d852306p-5, 0x1.09c5a91204199p-5, 0x1.09283055dc8bfp-5, 0x1.08865c1e6708p-5, 0x1.07e00307630e7p-5, 0x1.0734fec80ff96p-5, 0x1.06852c23359e1p-5, 0x1.05d06accfed36p-5, 0x1.05169d502465ep-5, 0x1.0457a8f7cd1d8p-5, 0x1.039375bd13332p-5, 0x1.02c9ee36f7d63p-5, 0x1.01faff8c9db33p-5, 0x1.01269964b340ep-5, 0x1.004cadce8b46dp-5, 0x1.feda6253a4c14p-6, 0x1.fd1034259a7aap-6, 0x1.fb3ac2a692f0dp-6, 0x1.f95a03a740c96p-6, 0x1.f76df1120f0cp-6, 0x1.f57688c5f7476p-6, 0x1.f373cc701ffb1p-6, 0x1.f165c1637b6c3p-6, 0x1.ef4c70730734p-6, 0x1.ed27e5d342483p-6, 0x1.eaf831006734fp-6, 0x1.e8bd64a2362b1p-6, 0x1.e6779668f65b1p-6, 0x1.e426dee75467cp-6, 0x1.e1cb596ec83d5p-6, 0x1.df6523ef128e5p-6, 0x1.dcf45ed8c54c7p-6, 0x1.da792d0304d98p-6, 0x1.d7f3b3933248cp-6, 0x1.d56419e34fd19p-6, 0x1.d2ca896480221p-6, 0x1.d0272d7e18e67p-6, 0x1.cd7a336dad027p-6, 0x1.cac3ca2b69b24p-6, 0x1.c80422523433p-6, 0x1.c53b6e09777c5p-6, 0x1.c269e0ef3df91p-6, 0x1.bf8fb001a7fefp-6, 0x1.bcad1187080f1p-6, 0x1.b9c23cf494b04p-6, 0x1.b6cf6ad458122p-6, 0x1.b3d4d4ac96c03p-6, 0x1.b0d2b4eaa321p-6, 0x1.adc946d05f0d5p-6, 0x1.aab8c66260a8ep-6, 0x1.a7a170558428bp-6, 0x1.a48381fbb23c8p-6, 0x1.a15f393033c3bp-6, 0x1.9e34d443fba94p-6, 0x1.9b0491ea620a4p-6, 0x1.97ceb126cde95p-6, 0x1.9493713c2847ap-6, 0x1.9153119e1e44ep-6, 0x1.8e0dd1e31a348p-6, 0x1.8ac3f1b5ed2e7p-6, 0x1.8775b0c702682p-6, 0x1.84234ebd6367bp-6, 0x1.80cd0b2808366p-6, 0x1.7d73256fe2c1dp-6, 0x1.7a15dccad97dbp-6, 0x1.76b5702faf2a7p-6, 0x1.73521e4ab3dcdp-6, 0x1.6fec25732ade8p-6, 0x1.6c83c3a0dce3ep-6, 0x1.691936619254bp-6, 0x1.65acbace7ece4p-6, 0x1.623e8d81f0e6dp-6, 0x1.5eceea8d97d4p-6, 0x1.5b5e0d71a6bafp-6, 0x1.57ec3114db4a4p-6, 0x1.54798fbd2795fp-6, 0x1.5106630882a6ep-6, 0x1.4d92e3e5d5303p-6, 0x1.4a1f4a8dd831fp-6, 0x1.46abce7c1dd42p-6, 0x1.4338a66866f57p-6, 0x1.3fc6084074939p-6, 0x1.3c542922aae65p-6, 0x1.38e33d5960e1ep-6, 0x1.35737856db6c5p-6, 0x1.32050cb17704ap-6, 0x1.2e982c1fbdb5bp-6, 0x1.2b2d077433261p-6, 0x1.27c3ce991d233p-6, 0x1.245cb08cbb5b3p-6, 0x1.20f7db5e50c9bp-6, 0x1.1d957c2c11d78p-6, 0x1.1a35bf21e9cep-6, 0x1.16d8cf7869cf9p-6, 0x1.137ed77370bcdp-6, 0x1.1028005ff1388p-6, 0x1.0cd47290d2f77p-6, 0x1.0984555b62c67p-6, 0x1.0637cf144f4c5p-6, 0x1.02ef050e76ef1p-6, 0x1.ff54373873328p-7, 0x1.f8d26c26fc713p-7, 0x1.f258eda694157p-7, 0x1.ebe7fe91f33dap-7, 0x1.e57fdfe5d9a33p-7, 0x1.df20d0bdfc49ep-7, 0x1.d8cb0e48a57f7p-7, 0x1.d27ed3b3ea738p-7, 0x1.cc3c5a1a351c4p-7, 0x1.c603d87646b9ep-7, 0x1.bfd583a50f4fcp-7, 0x1.b9b18e7957d1dp-7, 0x1.b39829df06747p-7, 0x1.ad898506766a7p-7, 0x1.a785cd8be8672p-7, 0x1.a18d2f8e7d71fp-7, 0x1.9b9fd5ad134a3p-7, 0x1.95bde8e69f8d4p-7, 0x1.8fe7906480b2cp-7, 0x1.8a1cf13d30695p-7, 0x1.845e2e4328ea5p-7, 0x1.7eab67f286fp-7, 0x1.7904bc89e03a5p-7, 0x1.736a484f04308p-7, 0x1.6ddc25f35e8b3p-7, 0x1.685a6f0064fc1p-7, 0x1.62e53c2f0d1b6p-7, 0x1.5d7ca58f88e94p-7, 0x1.5820c271652acp-7, 0x1.52d1a90c2cd1bp-7, 0x1.4d8f6dfb68825p-7, 0x1.485a23af3462fp-7, 0x1.4331d9fa0835p-7, 0x1.3e169de002d5fp-7, 0x1.390879be55f7fp-7, 0x1.340775cb1438ap-7, 0x1.2f1398d61911ep-7, 0x1.2a2ce91fd5612p-7, 0x1.25536d115fddp-7, 0x1.20872ba47bda6p-7, 0x1.1bc82c5b7421cp-7, 0x1.171676c327f9ep-7, 0x1.12721197a28aap-7, 0x1.0ddb01bd57454p-7, 0x1.0951494f77196p-7, 0x1.04d4e702ccc1ep-7, 0x1.0065d60b4d43fp-7, 0x1.f8081d29dd7a6p-8, 0x1.ef5f0d7a446e7p-8, 0x1.e6d067b35c91ap-8, 0x1.de5c1789530f3p-8, 0x1.d6020bc0b999dp-8, 0x1.cdc23727e2b1cp-8, 0x1.c59c903e72e49p-8, 0x1.bd910f952cabcp-8, 0x1.b59fad3ce40b8p-8, 0x1.adc85dd5d1789p-8, 0x1.a60b0fe9f9d2cp-8, 0x1.9e67aa30199afp-8, 0x1.96de0b232b7aap-8, 0x1.8f6e0a100b7ffp-8, 0x1.8817796872cbap-8, 0x1.80da29e0bad51p-8, 0x1.79b5edaff4549p-8, 0x1.72aa9b3faa14ep-8, 0x1.6bb80eb854aa5p-8, 0x1.64de2a17072ap-8, 0x1.5e1cd3cc87d41p-8, 0x1.5773f436c8d9cp-8, 0x1.50e37282b43a6p-8, 0x1.4a6b319fbe833p-8, 0x1.440b0de4f6a8ep-8, 0x1.3dc2dbde3b791p-8, 0x1.3792687a55496p-8, 0x1.31797a8c27606p-8, 0x1.2b77d54ef6719p-8, 0x1.258d3b6ac92fap-8, 0x1.1fb971db8fd4p-8, 0x1.19fc422526169p-8, 0x1.14557b670677p-8, 0x1.0ec4f225cc569p-8, 0x1.094a7eed0fb32p-8, 0x1.03e5fc2b24b8dp-8, 0x1.fd2e8791ff132p-9, 0x1.f2bc59f85eeddp-9, 0x1.e87515622072fp-9, 0x1.de58557eb921fp-9, 0x1.d465abe84ded2p-9, 0x1.ca9ca1bf00428p-9, 0x1.c0fcba7c6ad4bp-9, 0x1.b785778775efbp-9, 0x1.ae365be7c7a51p-9, 0x1.a50eef5eb28adp-9, 0x1.9c0ec03aeeef9p-9, 0x1.9335638919068p-9, 0x1.8a8273b6e5293p-9, 0x1.81f58e37023adp-9, 0x1.798e50f6fe82ep-9, 0x1.714c5865e0e37p-9, 0x1.692f3e6e3c712p-9, 0x1.61369a5103c82p-9, 0x1.596200fed310fp-9, 0x1.51b10583d253bp-9, 0x1.4a23394d59882p-9, 0x1.42b82c551fcb7p-9, 0x1.3b6f6d6625aa5p-9, 0x1.34488aa4fc433p-9, 0x1.2d431254d5791p-9, 0x1.265e939eaa62ep-9, 0x1.1f9a9f0beda6cp-9, 0x1.18f6c6831e669p-9, 0x1.12729cd123f93p-9, 0x1.0c0db50580565p-9, 0x1.05c7a1ff6de4cp-9, 0x1.ff3fecee6284dp-10, 0x1.f32c8b4080248p-10, 0x1.e754489a4f0cbp-10, 0x1.dbb65497ee94ep-10, 0x1.d051e714d4f7ep-10, 0x1.c52640e1d972ep-10, 0x1.ba32a9f03fd14p-10, 0x1.af766cab1a6dep-10, 0x1.a4f0cf6c543abp-10, 0x1.9aa10e3c9c59cp-10, 0x1.9086578fea49bp-10, 0x1.869fcdf75d0c4p-10, 0x1.7cec8eb8501a7p-10, 0x1.736bbab0cff04p-10, 0x1.6a1c7d5139eabp-10, 0x1.60fe0decbae17p-10, 0x1.580faa6ed7c26p-10, 0x1.4f508e6ebb154p-10, 0x1.46bfec70c69b4p-10, 0x1.3e5ceeef7a826p-10, 0x1.3626c2fe4a08p-10, 0x1.2e1ca8a621816p-10, 0x1.263e009c3efb1p-10, 0x1.1e8a4e9669b7dp-10, 0x1.17012c11ec6ffp-10, 0x1.0fa22f0247651p-10, 0x1.086ccecccb6f5p-10, 0x1.01605461ec711p-10, 0x1.f4f7bc5a16e5cp-11, 0x1.e77cee77215a4p-11, 0x1.da4e6dd0e5c2p-11, 0x1.cd6ab24a8f06ap-11, 0x1.c0d084f9b3763p-11, 0x1.b47eda04a7df9p-11, 0x1.a8748f5c5271ap-11, 0x1.9cb033eaaf74bp-11, 0x1.912ffa1cb9849p-11, 0x1.85f1e50c8ca7p-11, 0x1.7af421151d7dep-11, 0x1.70355e9a0e05bp-11, 0x1.65b4ff73c7989p-11, 0x1.5b72fa9436263p-11, 0x1.516f7dbb0a521p-11, 0x1.47aa772e9554ep-11, 0x1.3e233de67d6e1p-11, 0x1.34d87dd279c21p-11, 0x1.2bc86a235884bp-11, 0x1.22f116ab4d014p-11, 0x1.1a50cce36fe7ap-11, 0x1.11e63a3d6566ep-11, 0x1.09b069504c866p-11, 0x1.01ae8bffb3589p-11, 0x1.f3bf5bfacdf85p-12, 0x1.e484e692163b4p-12, 0x1.d5aa111443914p-12, 0x1.c72ab6d16bf9p-12, 0x1.b9031b495ad3bp-12, 0x1.ab30dbdba6024p-12, 0x1.9db3649c9e846p-12, 0x1.908b9997ad835p-12, 0x1.83badd3ded947p-12, 0x1.7741fe9ad0f99p-12, 0x1.6b209d267d61p-12, 0x1.5f55362434061p-12, 0x1.53dda1f9e57ebp-12, 0x1.48b795ae18cddp-12, 0x1.3de0da876c74ap-12, 0x1.33573695ef3fp-12, 0x1.29183e58b8b7dp-12, 0x1.1f214e38b9449p-12, 0x1.156fb37f758a9p-12, 0x1.0c00d0cd2121ap-12, 0x1.02d212ea55e99p-12, 0x1.f3c1a813bd94p-13, 0x1.e254f53c5fd6ep-13, 0x1.d159df77ff35ap-13, 0x1.c0ce406e5ad2p-13, 0x1.b0b2205a75e61p-13, 0x1.a106b799270f6p-13, 0x1.91cd0586dfe54p-13, 0x1.8304f892e6e82p-13, 0x1.74ad7284715f6p-13, 0x1.66c4ca815d9d9p-13, 0x1.5949628bf4ac7p-13, 0x1.4c39fe6bf6cacp-13, 0x1.3f95853e7cd4cp-13, 0x1.335a31cf0ba53p-13, 0x1.2784d2ec3bf69p-13, 0x1.1c10bbcb4fa8cp-13, 0x1.10f858a882d0ep-13, 0x1.0635e8054554p-13, 0x1.f7880d81b87f1p-14, 0x1.e33c38974f8dcp-14, 0x1.cf81848e6502fp-14, 0x1.bc5416fc64546p-14, 0x1.a9b2e77d47eefp-14, 0x1.979eb584be8ep-14, 0x1.8618424c2d19fp-14, 0x1.751eb9a43353dp-14, 0x1.64af798573f41p-14, 0x1.54c7472d3aaap-14, 0x1.4563d09d7b625p-14, 0x1.3684775854b95p-14, 0x1.2829c2846925dp-14, 0x1.1a5361c85c6edp-14, 0x1.0cfe423769091p-14, 0x1.0024ae6c88887p-14, 0x1.e780aa28d650bp-15, 0x1.cf98a13909e0dp-15, 0x1.b88b89e25259p-15, 0x1.a255cb68b1953p-15, 0x1.8cf23759797c8p-15, 0x1.785710538491ep-15, 0x1.6475d2da613d8p-15, 0x1.513de360c7ca8p-15, 0x1.3ea14793e6edap-15, 0x1.2c99d778248d1p-15, 0x1.1b2af332dbf9cp-15, 0x1.0a5ca573f8bf8p-15, 0x1.f466232f34981p-16, 0x1.d552739173de4p-16, 0x1.b769b0d2b2e19p-16, 0x1.9aa0bac370852p-16, 0x1.7efd9681eddd2p-16, 0x1.6488c5c5ebdb4p-16, 0x1.4b3ce50b92455p-16, 0x1.330674d3441b3p-16, 0x1.1bce0e648c1eep-16, 0x1.0580ea4a5d441p-16, 0x1.e02834c7080efp-17, 0x1.b708d75479732p-17, 0x1.8fa883e114169p-17, 0x1.6a0f3a5e7dcffp-17, 0x1.463f191f3c71p-17, 0x1.242c95495a8a7p-17, 0x1.03b7af32e1033p-17, 0x1.c95fb6ab201bfp-18, 0x1.8ddf7227284ccp-18, 0x1.54e99aba8f77dp-18, 0x1.1e944f6196a94p-18, 0x1.d5856c175beb2p-19, 0x1.726556b22abbbp-19, 0x1.13b27f418d7f7p-19, 0x1.73bede0beaec1p-20, 0x1.94865cdcf775cp-21, 0x1.50f35b81a5d42p-23, -0x1.b71e07430f813p-22, -0x1.fb9db4a4d5cdfp-21, -0x1.85d9a2fda7e34p-20, -0x1.030367fdac134p-19, -0x1.3f6fead1a3acap-19, -0x1.787d8565ba446p-19, -0x1.ae50b81f18f74p-19, -0x1.e0e1c0affd43ap-19, -0x1.080caebc335bep-18, -0x1.1df9296f8fac6p-18, -0x1.32490e2b5f0f6p-18, -0x1.45363838db731p-18, -0x1.5713bf541425dp-18, -0x1.67f60b66ce794p-18, -0x1.779663ddc5183p-18, -0x1.85c85c42a1e29p-18, -0x1.92b74cab55187p-18, -0x1.9e84b79e78f82p-18, -0x1.a91ab29e88c99p-18, -0x1.b28488ea50655p-18, -0x1.bb07b32c20176p-18, -0x1.c2d7e9a48f1cbp-18, -0x1.c9ec30662b5b4p-18, -0x1.d026cb7273277p-18, -0x1.d58ce99930adbp-18, -0x1.da3fe9f1f684ep-18, -0x1.de4afccb70ed3p-18, -0x1.e19bcb20513ep-18, -0x1.e4292448ae203p-18, -0x1.e5fee6ac6f7ebp-18, -0x1.e72bf646b9688p-18, -0x1.e7b9e5a6b6227p-18, -0x1.e7ad8270e1ca9p-18, -0x1.e70c259886ed1p-18, -0x1.e5f730100981dp-18, -0x1.e49b95e45cc29p-18, -0x1.e2e32f70f313dp-18, -0x1.e0aa51d1a9b86p-18, -0x1.de182c595c51dp-18, -0x1.db422e8f7eacap-18, -0x1.d801af47a3c01p-18, -0x1.d450086bf9874p-18, -0x1.d048b7e78eb3bp-18, -0x1.cbfc0d4ad4a43p-18, -0x1.c76a74b4ebc76p-18, -0x1.c28f836b11f9p-18, -0x1.bd69dd80b20f4p-18, -0x1.b8048b367b523p-18, -0x1.b279f4950ec18p-18, -0x1.acda6d9fa1247p-18, -0x1.a71739a5f445ep-18, -0x1.a1249c31a90e5p-18, -0x1.9b151b2b49a62p-18, -0x1.94f1e2fc1a2b1p-18, -0x1.8ea5f3203dfd4p-18, -0x1.8827d120983f8p-18, -0x1.8180593f17745p-18, -0x1.7ab3f3286a96ep-18, -0x1.73db2a6e9b348p-18, -0x1.6d0b1ead84ff5p-18, -0x1.66314001b23bdp-18, -0x1.5f5e55bc0a906p-18, -0x1.589133bf6f615p-18, -0x1.51a6ce61b9b1cp-18, -0x1.4aa86aab85a75p-18, -0x1.43ab820d4e133p-18, -0x1.3cb622aa9b86fp-18, -0x1.35c77b8ea038ap-18, -0x1.2edee3d8b1135p-18, -0x1.27fcffe523edap-18, -0x1.2123328317e5cp-18, -0x1.1a52b4e436b49p-18, -0x1.138c4f3ae6abcp-18, -0x1.0cd045b5a770ep-18, -0x1.061eeb71d5781p-18, -0x1.fef04aca3dceep-19, -0x1.f1b256c0ef744p-19, -0x1.e47d91672589ap-19, -0x1.d7624b18ae2dp-19, -0x1.ca7dc8a78fbdfp-19, -0x1.bdcd9be360f15p-19, -0x1.b13ee460955c7p-19, -0x1.a4c2828a751ecp-19, -0x1.9867dd6fe3b31p-19, -0x1.8c353e061e412p-19, -0x1.8043d2877ce8fp-19, -0x1.748919ea631eap-19, -0x1.68dd3295c8c8dp-19, -0x1.5d5b6972c35b7p-19, -0x1.52143186991cfp-19, -0x1.4703e496bd2b4p-19, -0x1.3c2592d0ccd24p-19, -0x1.31772f57dae8cp-19, -0x1.26f88993aa323p-19, -0x1.1caa3419efebcp-19, -0x1.128cdb4492136p-19, -0x1.08a0edb28b47cp-19, -0x1.fdcce08290e4ep-20, -0x1.eaba256f3a7eep-20, -0x1.d80927c5a93f4p-20, -0x1.c5ba8b5c22881p-20, -0x1.b3d088afb0297p-20, -0x1.a24dde91a393dp-20, -0x1.91337bd74094fp-20, -0x1.8080c3b689e32p-20, -0x1.70398337ccd85p-20, -0x1.606040dbdaf2dp-20, -0x1.50d265483a04dp-20, -0x1.4172cbc473335p-20, -0x1.327ab854b6226p-20, -0x1.23f91c921b11ep-20, -0x1.15d7dc6bb2bc7p-20, -0x1.08052a581604p-20, -0x1.f55d705bb2708p-21, -0x1.db7fa63e93ae1p-21, -0x1.c2296863d7982p-21, -0x1.a97b6956a8c41p-21, -0x1.9190b3ab34e6ap-21, -0x1.7a64d8d337e31p-21, -0x1.63ee0c9a8f9fbp-21, -0x1.4e25eb67e57b9p-21, -0x1.3908b676e93bdp-21, -0x1.2493a3a89d784p-21, -0x1.10c3e13c26dcdp-21, -0x1.fb2c9623b9204p-22, -0x1.d60f82469b87ap-22, -0x1.b22bb1c7c3e01p-22, -0x1.8f7e9a8509525p-22, -0x1.6e0751ccc0ab4p-22, -0x1.4dc3f1934da5dp-22, -0x1.2eadecbd99ee1p-22, -0x1.10bb61680bf98p-22, -0x1.e7d507f85e178p-23, -0x1.b07e806aa9de1p-23, -0x1.7afc705bab2e9p-23, -0x1.470ba1097823ap-23, -0x1.15f4ba5e46d22p-23, -0x1.ce309216e8c62p-24, -0x1.73330c252c4d8p-24, -0x1.1c45f6e182139p-24, -0x1.9308afbfb6b78p-25, -0x1.ea83901ef98d5p-26, -0x1.7baee8593633ep-27, 0x1.83831f8c7650ap-28, 0x1.7407aa67c35c7p-26, 0x1.3ddaeea74c913p-25, 0x1.b9eecaae65265p-25, 0x1.1731f91ca5a42p-24, 0x1.4eb815a714b9ap-24, 0x1.838d615d66679p-24, 0x1.b54d7c593ec7p-24, 0x1.e40af7c55c5a9p-24, 0x1.07f8df6efa9c1p-23, 0x1.1c906fafd37bap-23, 0x1.2fd71d36a33cbp-23, 0x1.41d5eee2b3c1ap-23, 0x1.52954fdd60097p-23, 0x1.621def7128051p-23, 0x1.7079f288fc346p-23, 0x1.7db4ffc99d687p-23, 0x1.89d80208587b7p-23, 0x1.94e4c91adbb5dp-23, 0x1.9eebd2e46059bp-23, 0x1.a806ed92b0296p-23, 0x1.b00fef385907fp-23, 0x1.b73cbdd5efa32p-23, 0x1.bd872144d4186p-23, 0x1.c2ec1e18fcf5cp-23, 0x1.c779f31c1d034p-23, 0x1.cb3ad1aacab26p-23, 0x1.ce36baf0076fep-23, 0x1.d0751c5650b11p-23, 0x1.d1fd345a5ed06p-23, 0x1.d2d63685916ap-23, 0x1.d3076953e7482p-23, 0x1.d2982857dad37p-23, 0x1.d18ffb4d5d999p-23, 0x1.cff5ee49cc92bp-23, 0x1.cdd050f1e4da7p-23, 0x1.cb2577f2813cp-23, 0x1.c7fcec9926f97p-23, 0x1.c4596abf5fa8dp-23, 0x1.c03943828a19dp-23, 0x1.bbb62c66aed13p-23, 0x1.b6cc970922a3dp-23, 0x1.b175f9a8672a8p-23, 0x1.abc8f7f9e1e29p-23, 0x1.a5cbff3dc05c1p-23, 0x1.9f7dc282454bp-23, 0x1.98e012531ed53p-23, 0x1.91fdd26cd1da2p-23, 0x1.8ae54b04f7c84p-23, 0x1.8382fdf512819p-23, 0x1.7bea721d49d92p-23, 0x1.740f0a8c8a7ap-23, 0x1.6c0c5a154282bp-23, 0x1.63e43330a13c7p-23, 0x1.5b94caabddea2p-23, 0x1.532152d015bbcp-23, 0x1.4a8dd9f261668p-23, 0x1.41de515b3f3a5p-23, 0x1.39167cf44ed49p-23, 0x1.3039fd71b4422p-23, 0x1.274c563662a19p-23, 0x1.1e50eed61183p-23, 0x1.154b1408cae69p-23, 0x1.0c3df776e59c1p-23, 0x1.032cab4e12b0ep-23, 0x1.f4342a3aba118p-24, 0x1.e211b3797155ap-24, 0x1.cff6accaac98p-24, 0x1.bde78e652368ap-24, 0x1.abe9210cf81a8p-24, 0x1.9a00cbe3fdce3p-24, 0x1.883463fe83de6p-24, 0x1.7689d468aa439p-24, 0x1.650678f0a420bp-24, 0x1.53ad2b9817c9bp-24, 0x1.427c4932892c7p-24, 0x1.317512ecc588p-24, 0x1.20aa85e118f38p-24, 0x1.102b2221f1a3p-24, 0x1.ffe3e2c98f942p-25, 0x1.df8e97cdb3895p-25, 0x1.bf42730eae872p-25, 0x1.9fd6e813f41c4p-25, 0x1.8131911b14781p-25, 0x1.631db80b4c98bp-25, 0x1.4597af94374efp-25, 0x1.28a5631b43494p-25, 0x1.0c4ceaa3dba9bp-25, 0x1.e12550231a4f3p-26, 0x1.aaf6e429641dep-26, 0x1.7615a871ee19dp-26, 0x1.42888168f8435p-26, 0x1.10557f61d8167p-26, 0x1.bef4936e4b277p-27, 0x1.600c761216eacp-27, 0x1.0417b1c761089p-27, 0x1.55c87c17105acp-28, 0x1.524bbf8019daep-29, 0x1.28b2e5ced03d5p-35, -0x1.3d5a4e43a40c3p-29, -0x1.39ce031ab2748p-28, -0x1.cf07e161e5034p-28, -0x1.2f286474b97cep-27, -0x1.73d0d49762deap-27, -0x1.b578de29e98a4p-27, -0x1.f41be9bf03ec6p-27, -0x1.17dc509c210a6p-26, -0x1.342d8ac973934p-26, -0x1.4f0a5578c84edp-26, -0x1.6870a02272a56p-26, -0x1.804ffc0050eccp-26, -0x1.9667f79e04601p-26, -0x1.ab22e66541f1p-26, -0x1.bee0144c4b1b6p-26, -0x1.d0d592eca5804p-26, -0x1.e13fc24cf0635p-26, -0x1.f038929350f8bp-26, -0x1.fdc44e08b76d6p-26, -0x1.04f3c88658fb8p-25, -0x1.0a501c48da228p-25, -0x1.0eeb0d64eb0c3p-25, -0x1.12bc8f3768a15p-25, -0x1.15f960a8b8024p-25, -0x1.18ac14a8eee0fp-25, -0x1.1a9c073131e53p-25, -0x1.1bd00db294b81p-25, -0x1.1c5885a09f5fcp-25, -0x1.1c3a4c8c07883p-25, -0x1.1b7746159f3f8p-25, -0x1.1a1126be8c2dfp-25, -0x1.1809e754f5d4fp-25, -0x1.1563b6b564f7bp-25, -0x1.1220e8865e8e9p-25, -0x1.0e43db6391b99p-25, -0x1.09ceea3fc49a5p-25, -0x1.04c47751a2a8fp-25, -0x1.fe4dedc4bbd1bp-26, -0x1.f1f1cb94a0ac7p-26, -0x1.e47969eebabb9p-26, -0x1.d5e9a6bc03d2cp-26, -0x1.c6485c9ab45e3p-26, -0x1.b59cd75f5102dp-26, -0x1.a3ecc5cad42e5p-26, -0x1.913c47095420fp-26, -0x1.7d8bb19288b5cp-26, -0x1.68ccba87075f4p-26, -0x1.5342cb287e0b5p-26, -0x1.3ccbd30277d21p-26, -0x1.256168c189c56p-26, -0x1.0d176e5ffb7fbp-26, -0x1.e7e7743759da1p-27, -0x1.b3f6b6cec60edp-27, -0x1.7e67621be0a6ep-27, -0x1.47447d37defb7p-27, -0x1.0e992b07ec536p-27, -0x1.a8e13099fed3fp-28, -0x1.31abde40647dp-28, -0x1.6f50547d63036p-29, -0x1.d79ca805948b9p-31, 0x1.11bee3fa87cf7p-30, 0x1.8ca98022d751p-29, 0x1.4ab14e859f767p-28, 0x1.d16de48dce80ap-28, 0x1.2d3a06d82527bp-27, 0x1.72d66683a4f9fp-27, 0x1.b980bf9dcbdbfp-27, }}, 
      {{0x1.736c9728567dbp+0, 0x1.70b4c38e69a09p+0, 0x1.6c3fc19924de8p+0, 0x1.6628581c51ea6p+0, 0x1.5e90f22c3bd4cp+0, 0x1.55a10179b994bp+0, 0x1.4b82a2bfab44fp+0, 0x1.4060bcf1c45eap+0, 0x1.3465a07111382p+0, 0x1.27ba12bd7d198p+0, 0x1.1a84abbdfc57p+0, 0x1.0ce96c3c8cb27p+0, 0x1.fe12f71c74f0fp-1, 0x1.e20601e0a1893p-1, 0x1.c5e224358bae5p-1, 0x1.a9d766db4a333p-1, 0x1.8e0fcee1d4958p-1, 0x1.72af975d63034p-1, 0x1.57d5815f034c8p-1, 0x1.3d9b351820fd6p-1, 0x1.2415aebb8dcccp-1, 0x1.0b55b1ded3481p-1, 0x1.e6d07d6d0c29fp-2, 0x1.b8ae0a8efb7cap-2, 0x1.8c51a6f71d9dcp-2, 0x1.61c3f7b025ffbp-2, 0x1.390966bbb94fdp-2, 0x1.1222cb9d70c83p-2, 0x1.da1c00da417f6p-3, 0x1.938cc82c7a6d5p-3, 0x1.508a95a470e54p-3, 0x1.1104bcd599effp-3, 0x1.a9cfc02d1767bp-4, 0x1.383cf4502685p-4, 0x1.9a45449b5474fp-5, 0x1.a13eb6e99b60ep-6, 0x1.321e6108a8b37p-9, -0x1.3d38c9018772cp-6, -0x1.4506eea9a225p-5, -0x1.e08a83cf37f33p-5, -0x1.38ca545c80273p-4, -0x1.7c49857b261fap-4, -0x1.baf9821373ed3p-4, -0x1.f51095b0b43fap-4, -0x1.15623c10e0304p-3, -0x1.2e250fba79f42p-3, -0x1.44eacb78a7229p-3, -0x1.59cced91abf54p-3, -0x1.6ce45d2e585ffp-3, -0x1.7e495c74d7064p-3, -0x1.8e137c587d4dfp-3, -0x1.9c5992323bff9p-3, -0x1.a931af43897e1p-3, -0x1.b4b11a2eeb092p-3, -0x1.beec4a51ab5d2p-3, -0x1.c7f6e4d5eb2c7p-3, -0x1.cfe3bb4f768c4p-3, -0x1.d6c4cbbb1a4fcp-3, -0x1.dcab41bf582p-3, -0x1.e1a7791116043p-3, -0x1.e5c900df2d4dep-3, -0x1.e91ea02500b08p-3, -0x1.ebb65ac25051ep-3, -0x1.ed9d7735ab1f6p-3, -0x1.eee084d7bd01ep-3, -0x1.ef8b6277c5c72p-3, -0x1.efa9453c28248p-3, -0x1.ef44bfad4ca1dp-3, -0x1.ee67c8d4626b2p-3, -0x1.ed1bc35ab92efp-3, -0x1.eb69849a923e7p-3, -0x1.e9595b94b17dep-3, -0x1.e6f317c000543p-3, -0x1.e43e0fac6d0d7p-3, -0x1.e141276f0fd26p-3, -0x1.de02d6d3ad17dp-3, -0x1.da892f4bb3b2dp-3, -0x1.d6d9e1973c671p-3, -0x1.d2fa4328be613p-3, -0x1.ceef533c110dp-3, -0x1.cabdbfb43163cp-3, -0x1.c669e9a70d829p-3, -0x1.c1f7e9c697cd2p-3, -0x1.bd6b946dd7013p-3, -0x1.b8c87d9e12197p-3, -0x1.b411fc991826cp-3, -0x1.af4b2f654a738p-3, -0x1.aa76fe085f39bp-3, -0x1.a5981d84ab419p-3, -0x1.a0b112c892ad9p-3, -0x1.9bc435381b1d7p-3, -0x1.96d3b153a62f3p-3, -0x1.91e18b04465bfp-3, -0x1.8cef9fe658816p-3, -0x1.87ffa97f87af1p-3, -0x1.83133f318db75p-3, -0x1.7e2bd844d428ap-3, -0x1.794acda83311fp-3, -0x1.74715baaee6edp-3, -0x1.6fa0a3a04116fp-3, -0x1.6ad9ad52f0546p-3, -0x1.661d687d3910bp-3, -0x1.616cae1d9e846p-3, -0x1.5cc841bbf5419p-3, -0x1.5830d2aa0e8p-3, -0x1.53a6fd2b1c1fep-3, -0x1.4f2b4b928c9b2p-3, -0x1.4abe375cbc106p-3, -0x1.46602a2e48e89p-3, -0x1.42117ed0a9adcp-3, -0x1.3dd282237f85fp-3, -0x1.39a373f45a251p-3, -0x1.358487dbde186p-3, -0x1.3175e607bb543p-3, -0x1.2d77abf24e2a2p-3, -0x1.2989ed238026dp-3, -0x1.25acb3daf1d7dp-3, -0x1.21e001af224bfp-3, -0x1.1e23d035f5461p-3, -0x1.1a7811980aa4fp-3, -0x1.16dcb11a8f846p-3, -0x1.135193b23867fp-3, -0x1.0fd6988567127p-3, -0x1.0c6b996139eecp-3, -0x1.09106b379a499p-3, -0x1.05c4de931d249p-3, -0x1.0288bff90b582p-3, -0x1.feb7b0a31b24dp-4, -0x1.f87bda9ce82f6p-4, -0x1.f25d837d86ae5p-4, -0x1.ec5c2bc1a6eadp-4, -0x1.e6774f74d83dep-4, -0x1.e0ae66c7136adp-4, -0x1.db00e68ccb6c2p-4, -0x1.d56e40ca31c63p-4, -0x1.cff5e53b31f24p-4, -0x1.ca9741c01f695p-4, -0x1.c551c2c328fc2p-4, -0x1.c024d3a8a7bc3p-4, -0x1.bb0fdf351f10ap-4, -0x1.b6124fdc41f77p-4, -0x1.b12b900fc7047p-4, -0x1.ac5b0a96edca1p-4, -0x1.a7a02ad918edp-4, -0x1.a2fa5d16d422ep-4, -0x1.9e690ea4ac631p-4, -0x1.99ebae2bc184bp-4, -0x1.9581abe040fa4p-4, -0x1.912a79aa4985ap-4, -0x1.8ce58b4db2749p-4, -0x1.88b25696de7bdp-4, -0x1.8490538359939p-4, -0x1.807efc5e421a9p-4, -0x1.7c7dcdd75541ap-4, -0x1.788c471f5d1b9p-4, -0x1.74a9ea05da485p-4, -0x1.70d63b0c3cd79p-4, -0x1.6d10c170e76eap-4, -0x1.6959073d5e227p-4, -0x1.65ae9958fd58dp-4, -0x1.62110795e8a1fp-4, -0x1.5e7fe4b589f3ep-4, -0x1.5afac66b5d7ep-4, -0x1.578145638785p-4, -0x1.5412fd49f9f95p-4, -0x1.50af8ccc6e3d7p-4, -0x1.4d5695970dd11p-4, -0x1.4a07bc4fedce8p-4, -0x1.46c2a895d91ep-4, -0x1.4387050026976p-4, -0x1.40547f1a144dfp-4, -0x1.3d2ac758d6da8p-4, -0x1.3a0991112f7p-4, -0x1.36f0927145e29p-4, -0x1.33df847b5326p-4, -0x1.30d622fbcc36ap-4, -0x1.2dd42c7b66172p-4, -0x1.2ad962314e947p-4, -0x1.27e587f8d60e7p-4, -0x1.24f86447cb49p-4, -0x1.2211c021cda9cp-4, -0x1.1f316709048a7p-4, -0x1.1c5726ee434c8p-4, -0x1.1982d022cad67p-4, -0x1.16b4354b949bcp-4, -0x1.13eb2b53c7b83p-4, -0x1.1127895d939e6p-4, -0x1.0e6928b189dc1p-4, -0x1.0bafe4adbd489p-4, -0x1.08fb9ab6c7739p-4, -0x1.064c2a2a1955ep-4, -0x1.03a1744f90a7ap-4, -0x1.00fb5c4975c68p-4, -0x1.fcb38e065e1b9p-5, -0x1.f779364163a57p-5, -0x1.f24781e080bbcp-5, -0x1.ed1e44b9d5fa3p-5, -0x1.e7fd55bfdf62ep-5, -0x1.e2e48ee1ca3dbp-5, -0x1.ddd3cceaf619ep-5, -0x1.d8caef64b3519p-5, -0x1.d3c9d87ba80bcp-5, -0x1.ced06ce5bf2b3p-5, -0x1.c9de93c65e068p-5, -0x1.c4f43691c1be6p-5, -0x1.c01140f095391p-5, -0x1.bb35a0a4d55e7p-5, -0x1.b6614570f54bfp-5, -0x1.b19420ffe199ep-5, -0x1.acce26cc6c566p-5, -0x1.a80f4c08d2549p-5, -0x1.a3578786de774p-5, -0x1.9ea6d1a04b414p-5, -0x1.99fd24200cf8p-5, -0x1.955a7a2d07ee6p-5, -0x1.90bed03565243p-5, -0x1.8c2a23da5505cp-5, -0x1.879c73dc7ddf1p-5, -0x1.8315c008812d4p-5, -0x1.7e9609235a969p-5, -0x1.7a1d50d7a5b17p-5, -0x1.75ab99a483ac6p-5, -0x1.7140e6cd6fdd3p-5, -0x1.6cdd3c4a848ccp-5, -0x1.68809eb909a65p-5, -0x1.642b134bd6034p-5, -0x1.5fdc9fbbb1c5p-5, -0x1.5b954a38c8a8ap-5, -0x1.5755195dc1dd3p-5, -0x1.531c1423af2d2p-5, -0x1.4eea41d61a6afp-5, -0x1.4abfaa071c5dp-5, -0x1.469c548382cacp-5, -0x1.428049473963dp-5, -0x1.3e6b907284b3ap-5, -0x1.3a5e32408dcc7p-5, -0x1.365836feaca4dp-5, -0x1.3259a703c02e8p-5, -0x1.2e628aa76f33fp-5, -0x1.2a72ea39b4dc1p-5, -0x1.268acdfad9e55p-5, -0x1.22aa3e13fa9e8p-5, -0x1.1ed14290404f6p-5, -0x1.1affe356d24bdp-5, -0x1.17362824fd8f3p-5, -0x1.1374188851163p-5, -0x1.0fb9bbd8f0c15p-5, -0x1.0c0719345928bp-5, -0x1.085c3778a6acdp-5, -0x1.04b91d403422fp-5, -0x1.011dd0dd8df3p-5, -0x1.fb14b0af80ac2p-6, -0x1.f3fd72cdb61fdp-6, -0x1.ecf5f2e11cfaep-6, -0x1.e5fe3b0a13753p-6, -0x1.df1654b88e865p-6, -0x1.d83e48a760f58p-6, -0x1.d1761ed7e70b4p-6, -0x1.cabdde8debf66p-6, -0x1.c4158e4bf1b4fp-6, -0x1.bd7d33d00235dp-6, -0x1.b6f4d410db403p-6, -0x1.b07c733b898a8p-6, -0x1.aa1414b1832efp-6, -0x1.a3bbbb07417e1p-6, -0x1.9d7368031dab5p-6, -0x1.973b1c9c4dd8p-6, -0x1.9112d8fa09865p-6, -0x1.8afa9c730a3b7p-6, -0x1.84f2658d8a17p-6, -0x1.7efa31ff9087p-6, -0x1.7911feaf882a6p-6, -0x1.7339c7b51e96dp-6, -0x1.6d71885a56c8ep-6, -0x1.67b93b1cbd5bp-6, -0x1.6210d9aebfebfp-6, -0x1.5c785cf91839p-6, -0x1.56efbd1c898d1p-6, -0x1.5176f173ea2f6p-6, -0x1.4c0df09670602p-6, -0x1.46b4b05a1ac66p-6, -0x1.416b25d63b598p-6, -0x1.3c3145661a37p-6, -0x1.370702abace12p-6, -0x1.31ec50926f439p-6, -0x1.2ce12152452adp-6, -0x1.27e566728a2c2p-6, -0x1.22f910cd49aa9p-6, -0x1.1e1c1092a1c82p-6, -0x1.194e554c35d24p-6, -0x1.148fcde0b192p-6, -0x1.0fe068974b33dp-6, -0x1.0b40131b5341dp-6, -0x1.06aeba7fd852dp-6, -0x1.022c4b4352764p-6, -0x1.fb7162a6bc37ap-7, -0x1.f2a7b021128cbp-7, -0x1.e9fb54a45802ep-7, -0x1.e16c24d49128dp-7, -0x1.d8f9f453111e4p-7, -0x1.d0a495c627aecp-7, -0x1.c86bdae0ee61dp-7, -0x1.c04f946b2236ap-7, -0x1.b84f9248f4ed1p-7, -0x1.b06ba382e559p-7, -0x1.a8a3964db10a2p-7, -0x1.a0f7381233a8bp-7, -0x1.9966557547b9bp-7, -0x1.91f0ba5f99511p-7, -0x1.8a963205748a6p-7, -0x1.835686ee73a34p-7, -0x1.7c3182fd260c2p-7, -0x1.7526ef76a3c51p-7, -0x1.6e36950a1f526p-7, -0x1.67603bd87648ep-7, -0x1.60a3ab7bc3424p-7, -0x1.5a00ab0ecca29p-7, -0x1.537701347d379p-7, -0x1.4d06741f1679bp-7, -0x1.46aec9975982ep-7, -0x1.406fc703762e2p-7, -0x1.3a49316debb79p-7, -0x1.343acd8c498e2p-7, -0x1.2e445fc5e1ca7p-7, -0x1.2865ac3a7ebe7p-7, -0x1.229e76c9132b4p-7, -0x1.1cee831662067p-7, -0x1.1755949391d5cp-7, -0x1.11d36e849663ap-7, -0x1.0c67d40667ec8p-7, -0x1.07128814fbcf9p-7, -0x1.01d34d9106387p-7, -0x1.f953ce8b198dep-8, -0x1.ef2c2fdab79a3p-8, -0x1.e52f4470d432ep-8, -0x1.db5c91a283a4dp-8, -0x1.d1b39cc4da84cp-8, -0x1.c833eb37ce996p-8, -0x1.bedd02711f5edp-8, -0x1.b5ae68069bd86p-8, -0x1.aca7a1b8e82d3p-8, -0x1.a3c8357cac88dp-8, -0x1.9b0fa9840a13p-8, -0x1.927d8447148b8p-8, -0x1.8a114c8bf45bep-8, -0x1.81ca896e94fa3p-8, -0x1.79a8c2681877p-8, -0x1.71ab7f5648cb8p-8, -0x1.69d2488317ca4p-8, -0x1.621ca6ac629dap-8, -0x1.5a8a230bf0632p-8, -0x1.531a475fb5bb9p-8, -0x1.4bcc9df216f43p-8, -0x1.44a0b1a1fed65p-8, -0x1.3d960dea6709bp-8, -0x1.36ac3ee8f29e7p-8, -0x1.2fe2d1635b219p-8, -0x1.293952cb9fe7dp-8, -0x1.22af514326d9dp-8, -0x1.1c445b9d372dap-8, -0x1.15f801617dfb1p-8, -0x1.0fc9d2cf679abp-8, -0x1.09b960e2ccc3p-8, -0x1.03c63d5a6f844p-8, -0x1.fbdff58002f9bp-9, -0x1.f06c58e2275aap-9, -0x1.e530cd4fa6241p-9, -0x1.da2c7d04930e5p-9, -0x1.cf5e940decb2cp-9, -0x1.c4c6404c3b052p-9, -0x1.ba62b16f837f6p-9, -0x1.b03318ee9facp-9, -0x1.a636a9fcf28b1p-9, -0x1.9c6c9982bbe02p-9, -0x1.92d41e1b53057p-9, -0x1.896c701c54f43p-9, -0x1.8034c9a5b7fe9p-9, -0x1.772c66b94b7e9p-9, -0x1.6e528554d5fe5p-9, -0x1.65a6658adfea5p-9, -0x1.5d27499275ab7p-9, -0x1.54d475cc381fap-9, -0x1.4cad30b9cf4a4p-9, -0x1.44b0c2e9eadcap-9, -0x1.3cde76dd46d07p-9, -0x1.353598eb381a1p-9, -0x1.2db5772cad0c8p-9, -0x1.265d61738593fp-9, -0x1.1f2ca9511cdc6p-9, -0x1.1822a22bc3169p-9, -0x1.113ea15edaca1p-9, -0x1.0a7ffe5eee475p-9, -0x1.03e612d97498p-9, -0x1.fae07591d7f7ep-10, -0x1.ee3ba8f05c6fp-10, -0x1.e1dc80e7a78c5p-10, -0x1.d5c1c2d8b93efp-10, -0x1.c9ea381ee7b3ep-10, -0x1.be54adc16828p-10, -0x1.b2fff434cebe4p-10, -0x1.a7eadf3a1a213p-10, -0x1.9d1445e141a91p-10, -0x1.927b02ae0403ap-10, -0x1.881df3d518fap-10, -0x1.7dfbfb83475bap-10, -0x1.7414001e7fb1p-10, -0x1.6a64ec730cdacp-10, -0x1.60edafc37a321p-10, -0x1.57ad3db7cc3a6p-10, -0x1.4ea28e2f061e5p-10, -0x1.45cc9cfb8c19fp-10, -0x1.3d2a699735f1dp-10, -0x1.34baf6debd0afp-10, -0x1.2c7d4ae2ae6ap-10, -0x1.24706ed763ecp-10, -0x1.1c936f24a9198p-10, -0x1.14e55b8cc2635p-10, -0x1.0d65475bfffe2p-10, -0x1.06124991b39dbp-10, -0x1.fdd6f9f0d2edbp-11, -0x1.efe00057b6b9ep-11, -0x1.e23deb21876c3p-11, -0x1.d4ef068bd263ep-11, -0x1.c7f1a62057a37p-11, -0x1.bb44247c093fcp-11, -0x1.aee4e3034b53ep-11, -0x1.a2d24986a1245p-11, -0x1.970ac5ebe349ep-11, -0x1.8b8ccbfdeb678p-11, -0x1.8056d577cba93p-11, -0x1.7567624abc594p-11, -0x1.6abcf8f745053p-11, -0x1.605626c57f008p-11, -0x1.56317fb2f722fp-11, -0x1.4c4d9e148d0c5p-11, -0x1.42a92217f55c6p-11, -0x1.3942b16661992p-11, -0x1.3018f71a2c1ecp-11, -0x1.272aa406ca45p-11, -0x1.1e766f1fb71b1p-11, -0x1.15fb15b0f03cap-11, -0x1.0db75b37e4ad3p-11, -0x1.05aa08e6a681ep-11, -0x1.fba3da2f54c3bp-12, -0x1.ec5bb6135dfbbp-12, -0x1.dd795624f2704p-12, -0x1.cefa76552a606p-12, -0x1.c0dcdee970532p-12, -0x1.b31e64a08e92bp-12, -0x1.a5bce79e1586fp-12, -0x1.98b651632ded7p-12, -0x1.8c0892d321904p-12, -0x1.7fb1a34d57288p-12, -0x1.73af815a350b7p-12, -0x1.680034a21c082p-12, -0x1.5ca1d0098391ep-12, -0x1.519272cd748f4p-12, -0x1.46d0480023f73p-12, -0x1.3c5984ad8c3e5p-12, -0x1.322c65bd3363fp-12, -0x1.28472ec839153p-12, -0x1.1ea82a85bb278p-12, -0x1.154dac7cb15eap-12, -0x1.0c3612e1493ffp-12, -0x1.035fc75f50f07p-12, -0x1.f5927c4f20502p-13, -0x1.e4e1e71ef1d8cp-13, -0x1.d4aad2c226597p-13, -0x1.c4ea4a540c6fp-13, -0x1.b59d60aba730bp-13, -0x1.a6c133cc993c7p-13, -0x1.9852f1a5eee14p-13, -0x1.8a4fdb96c8029p-13, -0x1.7cb54705aa425p-13, -0x1.6f809af56e6ep-13, -0x1.62af4c19d8af8p-13, -0x1.563ed9adbb89cp-13, -0x1.4a2cccdb99fa4p-13, -0x1.3e76baf6b2b48p-13, -0x1.331a490681062p-13, -0x1.28152e57ef9c7p-13, -0x1.1d6534861167p-13, -0x1.13083527c4c6cp-13, -0x1.08fc169b95d8cp-13, -0x1.fe7d92e34d937p-14, -0x1.eb9c8de089cd5p-14, -0x1.d9512090c6bcfp-14, -0x1.c7975c0cca82dp-14, -0x1.b66b5fcf8378ep-14, -0x1.a5c95b1b52815p-14, -0x1.95ad8ff63495bp-14, -0x1.861455c83f919p-14, -0x1.76fa1981a9b83p-14, -0x1.685b5bc32aaedp-14, -0x1.5a34b018dc4b7p-14, -0x1.4c82bfe602ed6p-14, -0x1.3f424fa6fc024p-14, -0x1.327041c9ee29ap-14, -0x1.260993b7399c5p-14, -0x1.1a0b5729c281fp-14, -0x1.0e72ae2ee4c96p-14, -0x1.033cce2558adp-14, -0x1.f0ce0dc6be3dap-15, -0x1.dbdd8b61db6d9p-15, -0x1.c7a31b9d4f2b4p-15, -0x1.b419d2069073fp-15, -0x1.a13cb4a552c7ap-15, -0x1.8f06b877dd845p-15, -0x1.7d72d59b46cc9p-15, -0x1.6c7c216713d21p-15, -0x1.5c1ddb14e5cd4p-15, -0x1.4c5366942134fp-15, -0x1.3d184191cf7b3p-15, -0x1.2e6800e2f825cp-15, -0x1.203e5a57a57edp-15, -0x1.12973005d512bp-15, -0x1.056e910ddbb5bp-15, -0x1.f1815d9cbcb66p-16, -0x1.d913a7b7b5839p-16, -0x1.c18cd4ac6a407p-16, -0x1.aae61d14bad0ap-16, -0x1.9519333ffeb3bp-16, -0x1.80202466fa8bap-16, -0x1.6bf50eb7c8b8dp-16, -0x1.5891e01a385a8p-16, -0x1.45f04c3cef4cfp-16, -0x1.3409f7a9b8f61p-16, -0x1.22d8ad84b267cp-16, -0x1.12567bd34ac8ap-16, -0x1.027db2ad94287p-16, -0x1.e691a888a23acp-17, -0x1.c965006a1ef85p-17, -0x1.ad6ac170fb63ep-17, -0x1.929843e3f859cp-17, -0x1.78e2f210797f2p-17, -0x1.6040703dbd42cp-17, -0x1.48a6d04d00764p-17, -0x1.320cca3674531p-17, -0x1.1c69ef9522409p-17, -0x1.07b6b5c6a7f62p-17, -0x1.e7d8615f8702ep-18, -0x1.c20724a208a13p-18, -0x1.9deb86aed5c7bp-18, -0x1.7b76b531608b1p-18, -0x1.5a99c3a868fep-18, -0x1.3b462cf88d416p-18, -0x1.1d6ddfcb2cad8p-18, -0x1.0103199562d8ap-18, -0x1.cbf0ef7623834p-19, -0x1.98826f260b23fp-19, -0x1.67a29be644043p-19, -0x1.393a5d5974bc4p-19, -0x1.0d32db598830cp-19, -0x1.c6e9fb6fb18bbp-20, -0x1.77d2c417a6d4bp-20, -0x1.2cf11baa20dafp-20, -0x1.cc2cd840ea703p-21, -0x1.462bd539a6fc3p-21, -0x1.8f1cb4cb5225fp-22, -0x1.403f28c964dbap-23, 0x1.045e1cfce4f4ap-24, 0x1.15004ac73eec8p-22, 0x1.dc1c9a9aa50dap-22, 0x1.4b7921363b4f5p-21, 0x1.a2ff3bc5892e9p-21, 0x1.f4d9e4c5a3f2p-21, 0x1.20a0a16ad34a6p-20, 0x1.44378e166f0cbp-20, 0x1.654ed05babe72p-20, 0x1.8402928e8d9dfp-20, 0x1.a06d73a39e8a7p-20, 0x1.baa8855294d84p-20, 0x1.d2cbd05b028b9p-20, 0x1.e8eeefa8b496p-20, 0x1.fd2916c0c728fp-20, 0x1.07c83ab2b649cp-19, 0x1.101ce83b62c1bp-19, 0x1.179c8513d53a1p-19, 0x1.1e5107576fedap-19, 0x1.24447fe399134p-19, 0x1.2980ea6d2d335p-19, 0x1.2e1028909d92p-19, 0x1.31fbc4aab2d65p-19, 0x1.354c190b4c9ccp-19, 0x1.3807ffb632903p-19, 0x1.3a35ee6c7ceb1p-19, 0x1.3bdd15146d57cp-19, 0x1.3d04f029dbfb8p-19, 0x1.3db456fd6bfb9p-19, 0x1.3df18905937e4p-19, 0x1.3dc2b243f4ad9p-19, 0x1.3d2df31f0d68dp-19, 0x1.3c3925175df4fp-19, 0x1.3ae9ee4a02077p-19, 0x1.39460a4ed223ep-19, 0x1.375349b203e3cp-19, 0x1.351720284be52p-19, 0x1.32961a222730cp-19, 0x1.2fd3d0d8f1128p-19, 0x1.2cd3a3b630d2fp-19, 0x1.29999e908d8adp-19, 0x1.262a9cdf16d8ep-19, 0x1.228bca4d2939cp-19, 0x1.1ec20b2d33da3p-19, 0x1.1ad10ea9172f3p-19, 0x1.16baf904a90f9p-19, 0x1.1281c4e2ce241p-19, 0x1.0e287aa4a649ep-19, 0x1.09b29a45ab0c8p-19, 0x1.05235a220cf39p-19, 0x1.007de8a46c9edp-19, 0x1.f78b021ac0712p-20, 0x1.edf9cbe47dea6p-20, 0x1.e44c17dcb5bc7p-20, 0x1.da84e4adb38p-20, 0x1.d0a7a1b3a2b17p-20, 0x1.c6b8a56fd587ep-20, 0x1.bcbc7577fe681p-20, 0x1.b2b71ab106dcfp-20, 0x1.a8abf40148766p-20, 0x1.9e9d9156f96d4p-20, 0x1.948dff9c7f4ep-20, 0x1.8a7fdbc8c0f18p-20, 0x1.8076efe0aa258p-20, 0x1.7677644062605p-20, 0x1.6c84cc44872a9p-20, 0x1.62a171a38705dp-20, 0x1.58cdd630ecef9p-20, 0x1.4f0ab09cf5ea4p-20, 0x1.455a989c90ecp-20, 0x1.3bc0189bb81a7p-20, 0x1.323c7c68e1407p-20, 0x1.28d105d1287ffp-20, 0x1.1f7f1fb4512ebp-20, 0x1.1647f0f68c83p-20, 0x1.0d2c8aec4a35fp-20, 0x1.042e3f5aa07b1p-20, 0x1.f69d48fefa289p-21, 0x1.e51ea4b5f422cp-21, 0x1.d3e3295aa9162p-21, 0x1.c2ec07daa1a04p-21, 0x1.b2390d706a61cp-21, 0x1.a1ca44aff79afp-21, 0x1.91a0de81f65efp-21, 0x1.81bdd3aef82ddp-21, 0x1.72216a38c4868p-21, 0x1.62ccf8337075bp-21, 0x1.53c2e5772a4a4p-21, 0x1.4504843615fb5p-21, 0x1.3691ea124acc6p-21, 0x1.286a7ecd7fae8p-21, 0x1.1a8d88a6dd18dp-21, 0x1.0cfc11c8d2c61p-21, 0x1.ff6ccedb3c76ep-22, 0x1.e576bea50c8b8p-22, 0x1.cc158727ce2fbp-22, 0x1.b34955652c24cp-22, 0x1.9b11a030b4725p-22, 0x1.836daa19beb91p-22, 0x1.6c5cd1d8d64d3p-22, 0x1.55de63d76fc17p-22, 0x1.3ff1d66f6fa1ep-22, 0x1.2a95709b9c379p-22, 0x1.15c7c39878feep-22, 0x1.01867137792ccp-22, 0x1.db9f26b677f4ep-23, 0x1.b543c3ee23388p-23, 0x1.8ff91e097099dp-23, 0x1.6bbcf8fa36d64p-23, 0x1.488bfe3273abbp-23, 0x1.266294bea6a7fp-23, 0x1.053d7c4c38b3cp-23, 0x1.ca32dfa247b42p-24, 0x1.8be27ae04f175p-24, 0x1.4f8202b6f25cap-24, 0x1.150bb39394981p-24, 0x1.b8f87bc319f25p-25, 0x1.4b9495601d887p-25, 0x1.c39f578960f46p-26, 0x1.ee70c85e4156cp-27, 0x1.8ea8a3c6dbedfp-29, -0x1.196281e2dcd98p-27, -0x1.447fe5f9f9057p-26, -0x1.f5b8cafc09951p-26, -0x1.503dbfa3a1379p-25, -0x1.a27412f600a47p-25, -0x1.f18ec22a6b411p-25, -0x1.1ecf22b2c80ep-24, -0x1.435a5bbbf02aap-24, -0x1.6672963da2407p-24, -0x1.88213b232a84fp-24, -0x1.a86f2457c8025p-24, -0x1.c764106e00ac6p-24, -0x1.e5073f5cb940cp-24, -0x1.00b048201a412p-23, -0x1.0e3c7aae36531p-23, -0x1.1b2c7e8163f54p-23, -0x1.27844923cf964p-23, -0x1.3348fc490876ap-23, -0x1.3e7f2abfee30bp-23, -0x1.492861eb74323p-23, -0x1.5347cddecba38p-23, -0x1.5ce22273e66fep-23, -0x1.65fbc83ee8b45p-23, -0x1.6e97297b09e93p-23, -0x1.76b88a324e639p-23, -0x1.7e64a4133063dp-23, -0x1.859ec2c5fb8d8p-23, -0x1.8c6a202cf2ee5p-23, -0x1.92ca38a5ba0a6p-23, -0x1.98c27d7417decp-23, -0x1.9e564346b73f6p-23, -0x1.a388cef11def8p-23, -0x1.a85d63f720c5cp-23, -0x1.acd74e86a66dbp-23, -0x1.b0f9e14c79b2bp-23, -0x1.b4c85fb21571fp-23, -0x1.b845dc14ba7edp-23, -0x1.bb7526a53a8aap-23, -0x1.be58df5e9bfafp-23, -0x1.c0f3a3b597bfdp-23, -0x1.c348423ebb432p-23, -0x1.c559bd2c76a3p-23, -0x1.c72af77d139a9p-23, -0x1.c8be8b805685dp-23, -0x1.ca17453c572d1p-23, -0x1.cb379c93428c9p-23, -0x1.cc20b05db0902p-23, -0x1.ccd57234bdc7ap-23, -0x1.cd58fc3eea17bp-23, -0x1.cdaceb6be43f7p-23, -0x1.cdd3716d59c9dp-23, -0x1.cdced94a42e4ap-23, -0x1.cda152907e7fep-23, -0x1.cd4cfc7fac92fp-23, -0x1.ccd40030d8045p-23, -0x1.cc38314fc7521p-23, -0x1.cb7ae7a18f674p-23, -0x1.ca9ddffbadd8cp-23, -0x1.c9a3631c7553dp-23, -0x1.c88d3907b6d4ap-23, -0x1.c75cb854db0ecp-23, -0x1.c61392cdd0bddp-23, -0x1.c4b36c20d64cp-23, -0x1.c33dcf940fbap-23, -0x1.c1b433391ccfdp-23, -0x1.c017fbc504f1dp-23, -0x1.be6a81437cb29p-23, -0x1.bcad13c576d12p-23, -0x1.bae10140ba496p-23, -0x1.b90796a2863fbp-23, -0x1.b72210625b4a7p-23, -0x1.b5318b08c9f69p-23, -0x1.b3371ef8accc9p-23, -0x1.b133e90f75b0fp-23, -0x1.af28c75785375p-23, -0x1.ad16e5379d89bp-23, -0x1.aaff2b6ab3395p-23, -0x1.a8e27b6449bcdp-23, -0x1.a6c1bc853a3eap-23, -0x1.a49dc85e3bed1p-23, -0x1.a2776be10b2cp-23, -0x1.a04f6a8b8a1fcp-23, -0x1.9e2686649e115p-23, -0x1.9bfd7445771cp-23, -0x1.99d4dba9fcb6dp-23, -0x1.97ad6967100c2p-23, -0x1.9587b5ac54a2ap-23, -0x1.93646447f210fp-23, -0x1.9143e9c55c917p-23, -0x1.8f26e3a42389p-23, -0x1.8d0dbe94a4b6bp-23, -0x1.8af8ed76208e4p-23, -0x1.88e8de90634f9p-23, -0x1.86de12eabd0e1p-23, -0x1.84d8ec686391p-23, -0x1.82d9c5aaf38d2p-23, -0x1.80e0fcc89c1a2p-23, -0x1.7eeeea5f9de38p-23, -0x1.7d03c617ee625p-23, -0x1.7b1fcb2bea661p-23, -0x1.794348508078cp-23, -0x1.776e8e231e3b8p-23, -0x1.75a1b98285563p-23, -0x1.73dd1ea563312p-23, -0x1.7220bc0c84035p-23, -0x1.706ce161de7e2p-23, -0x1.6ec1ac75609dfp-23, -0x1.6d1f37fc74bap-23, -0x1.6b859ed3d78d1p-23, -0x1.69f4f8855573ap-23, -0x1.686d58d5499fbp-23, -0x1.66eed04709ad5p-23, -0x1.65796cb39eb11p-23, -0x1.640d38e540025p-23, -0x1.62aa3c9af98f8p-23, -0x1.61507c7bd9449p-23, -0x1.5ffffa1a50326p-23, -0x1.5eb8b3d79bcfap-23, -0x1.5d7aa45f68399p-23, -0x1.5c45c1c857513p-23, -0x1.5b19fd54bf418p-23, -0x1.59f745619f56ep-23, -0x1.58dd88dc8c42p-23, -0x1.57ccb8c3e9d27p-23, -0x1.56c4c66e611abp-23, -0x1.55c5a161a206dp-23, -0x1.54cf35b329d7fp-23, -0x1.53e1679cd9969p-23, -0x1.52fc0d1e09d8fp-23, -0x1.521ef923ee271p-23, -0x1.514a178bc43acp-23, -0x1.507d5d9050541p-23, -0x1.4fb8ae2f5ed73p-23, -0x1.4efbc7df8decdp-23, -0x1.4e467caa3b469p-23, -0x1.4d98d3f760b33p-23, -0x1.4cf29f723cc11p-23, -0x1.4c53aaa35605fp-23, -0x1.4bbbcc5ca228cp-23, -0x1.4b2ad92f826cep-23, -0x1.4aa08265119bbp-23, -0x1.4a1d0762b6abfp-23, -0x1.499fcf8c8802fp-23, -0x1.4928d85bc043ap-23, -0x1.48b7f27ebfcp-23, -0x1.484cf08869c5ep-23, -0x1.47e812ef60956p-23, -0x1.4788a7f7ec096p-23, -0x1.472d983159b9fp-23, -0x1.46d8733f248f1p-23, -0x1.4688476d596adp-23, -0x1.463ce8b9e0754p-23, -0x1.45f628a28d415p-23, -0x1.45b3d86e2aae5p-23, -0x1.4575c80969213p-23, -0x1.453bb00f3796cp-23, -0x1.4505a47ce767bp-23, -0x1.44d343627e097p-23, -0x1.44a461760a23cp-23, -0x1.4478d9c547c6bp-23, -0x1.445077b769e94p-23, -0x1.442b0695bb307p-23, -0x1.440863f904c5ap-23, -0x1.43e862842f99p-23, -0x1.43cad7e1f3798p-23, -0x1.43af8b895f954p-23, -0x1.439645ff966c4p-23, -0x1.437ef3d649e6bp-23, -0x1.436962865eff9p-23, -0x1.435563bdb3bb8p-23, -0x1.4342cb4acbd63p-23, -0x1.43316cd7d8f65p-23, -0x1.43211e4d8859cp-23, -0x1.4311b9efaa98fp-23, -0x1.430325807208ep-23, -0x1.42f50c6718c7bp-23, -0x1.42e767480bb5cp-23, -0x1.42da0e4b99e18p-23, -0x1.42ccd9bed1441p-23, -0x1.42bfa0324f167p-23, -0x1.42b23a11e8d8bp-23, -0x1.42a4892512a6bp-23, -0x1.42966386d8043p-23, -0x1.4287a6474b18dp-23, -0x1.42782f22171fbp-23, -0x1.4267dbb5cd9c1p-23, -0x1.42568a692ef7bp-23, -0x1.42441a930f8cdp-23, -0x1.42306c4d067ddp-23, -0x1.421b6045da24cp-23, -0x1.4204d7d0169ep-23, -0x1.41ecb50df29e2p-23, -0x1.41d2dad83935ep-23, -0x1.41b72c3fa2e6cp-23, -0x1.41998c2382f4p-23, -0x1.4179df547810dp-23, -0x1.41580c72f4c93p-23, -0x1.4133fa89d9808p-23, -0x1.410d92b8f21bdp-23, -0x1.40e4b4f47ccb3p-23, -0x1.40b94e6927a4ap-23, -0x1.408b499e35faep-23, -0x1.405a8ea214711p-23, -0x1.402707ef0c17bp-23, -0x1.3ff0a0cbd5413p-23, -0x1.3fb74526ad3d8p-23, -0x1.3f7ae198efc47p-23, -0x1.3f3b6365b117cp-23, -0x1.3ef8b86525028p-23, -0x1.3eb2ce8012103p-23, -0x1.3e698e0ccbf96p-23, -0x1.3e1d4002bcd7p-23, -0x1.3dccdf236ac86p-23, -0x1.3d7979e471c7dp-23, -0x1.3d227289c379bp-23, -0x1.3cc7d0791ce75p-23, -0x1.3c698978e37eap-23, -0x1.3c0791b179108p-23, -0x1.3ba1ddaae01a9p-23, }}, 
      {{0x1.74085fdb25c09p+0, 0x1.731f6029a1bf2p+0, 0x1.719ece5e19881p+0, 0x1.6f8c2888797c9p+0, 0x1.6ceeb2705ee9cp+0, 0x1.69cf099267569p+0, 0x1.6636b9a5db1ddp+0, 0x1.622fddbf1066p+0, 0x1.5dc4d27c36421p+0, 0x1.58fff93602ec6p+0, 0x1.53eb89fde1354p+0, 0x1.4e9171850628ep+0, 0x1.48fb38335596ap+0, 0x1.4331f039e7d38p+0, 0x1.3d3e290178ca7p+0, 0x1.3727e6d35e8e6p+0, 0x1.30f69df60b0ecp+0, 0x1.2ab130af1e5ffp+0, 0x1.245defbc51481p+0, 0x1.1e029ce20504dp+0, 0x1.17a46f3324153p+0, 0x1.114818b8dd352p+0, 0x1.0af1cd2559167p+0, 0x1.04a549437d4e8p+0, 0x1.fccbb5bc48665p-1, 0x1.f06cd1c3794b5p-1, 0x1.e432f706e5649p-1, 0x1.d8228885f15a9p-1, 0x1.cc3f4b48c8e0fp-1, 0x1.c08c75105bd51p-1, 0x1.b50cba27553ddp-1, 0x1.a9c25a3e316bp-1, 0x1.9eaf2c432534ep-1, 0x1.93d4a9409b466p-1, 0x1.8933f64c77ec2p-1, 0x1.7ecded8330561p-1, 0x1.74a3261d32299p-1, 0x1.6ab3fbc141282p-1, 0x1.61009523ef186p-1, 0x1.5788e9f37502dp-1, 0x1.4e4cc81faa5d2p-1, 0x1.454bd89ec2649p-1, 0x1.3c85a3c4b9239p-1, 0x1.33f99530cf78fp-1, 0x1.2ba6ff53035e6p-1, 0x1.238d1e96672fcp-1, 0x1.1bab1c426d1c9p-1, 0x1.1400111fb46afp-1, 0x1.0c8b07e4943a5p-1, 0x1.054aff6a20aa6p-1, 0x1.fc7dd95818d23p-2, 0x1.eecb79314d65fp-2, 0x1.e17cab6e4156p-2, 0x1.d48f33523a58dp-2, 0x1.c800cd153f4eap-2, 0x1.bbcf306423ad9p-2, 0x1.aff812a31a47p-2, 0x1.a47928f588ee9p-2, 0x1.99502a0e972c2p-2, 0x1.8e7acfce7d8ecp-2, 0x1.83f6d8b0bca1fp-2, 0x1.79c2090f0b72dp-2, 0x1.6fda2c3c767d8p-2, 0x1.663d157bb743bp-2, 0x1.5ce8a0d393a1bp-2, 0x1.53dab3c3d18cdp-2, 0x1.4b113ddd2fc19p-2, 0x1.428a393eaaffdp-2, 0x1.3a43aafa5d9cbp-2, 0x1.323ba36441ea6p-2, 0x1.2a703e4d268dcp-2, 0x1.22dfa32c2057dp-2, 0x1.1b880538a58aep-2, 0x1.1467a3774235cp-2, 0x1.0d7cc8ba748bp-2, 0x1.06c5cb98fdb3ap-2, 0x1.00410e5aaa27p-2, 0x1.f3d9fdb906dc8p-3, 0x1.e7902cdb06f2ap-3, 0x1.dba1b349b70d9p-3, 0x1.d00bb066b15bbp-3, 0x1.c4cb5961ae1dp-3, 0x1.b9ddf8ce9d32ap-3, 0x1.af40ee373cc1cp-3, 0x1.a4f1adaa36841p-3, 0x1.9aedbf467ace1p-3, 0x1.9132bec40c45bp-3, 0x1.87be5af96f579p-3, 0x1.7e8e555e6ff9p-3, 0x1.75a0818e07ff1p-3, 0x1.6cf2c4c6ed878p-3, 0x1.6483156eab6a6p-3, 0x1.5c4f7a95a5676p-3, 0x1.54560b7ecec96p-3, 0x1.4c94ef2a35d58p-3, 0x1.450a5be1ac309p-3, 0x1.3db496c8bbb13p-3, 0x1.3691f36d20e4ep-3, 0x1.2fa0d359a0ffp-3, 0x1.28dfa5a9e2628p-3, 0x1.224ce69fb3167p-3, 0x1.1be71f3aca4e9p-3, 0x1.15ace4d265d25p-3, 0x1.0f9cd8b20612ep-3, 0x1.09b5a7b91f99ep-3, 0x1.03f609fdc6354p-3, 0x1.fcb984e53e92bp-4, 0x1.f1d13d1f3cc14p-4, 0x1.e730ebfadde66p-4, 0x1.dcd65486d22e1p-4, 0x1.d2bf4cef7409bp-4, 0x1.c8e9bde31916fp-4, 0x1.bf53a1fab3d13p-4, 0x1.b5fb052609cffp-4, 0x1.acde041bb8a0ep-4, 0x1.a3facbcd72cbp-4, 0x1.9b4f98dfddafep-4, 0x1.92dab72670583p-4, 0x1.8a9a81239822bp-4, 0x1.828d5f8c8a746p-4, 0x1.7ab1c8d0f6419p-4, 0x1.730640a6d8d0cp-4, 0x1.6b895799aa86fp-4, 0x1.6439aa9d0a167p-4, 0x1.5d15e2a322c26p-4, 0x1.561cb4361eabfp-4, 0x1.4f4cdf148df04p-4, 0x1.48a52dd12737bp-4, 0x1.42247575660a9p-4, 0x1.3bc99526b21f6p-4, 0x1.359375ce8039fp-4, 0x1.2f8109c541dbbp-4, 0x1.29914c7facd8bp-4, 0x1.23c3423e95661p-4, 0x1.1e15f7c182382p-4, 0x1.188881fb9d17p-4, 0x1.1319fdcad883ep-4, 0x1.0dc98fb190cbap-4, 0x1.089663929398bp-4, 0x1.037fac6f35b32p-4, 0x1.fd09484effd0fp-5, 0x1.f34916793a4d1p-5, 0x1.e9bd512ab32b6p-5, 0x1.e0649288f1fc8p-5, 0x1.d73d80a1e2485p-5, 0x1.ce46cd004930bp-5, 0x1.c57f3443c9a6dp-5, 0x1.bce57dbc350d1p-5, 0x1.b4787b08462ddp-5, 0x1.ac3707b7c24eap-5, 0x1.a42008f0cb3dep-5, 0x1.9c326d182902cp-5, 0x1.946d2b7c8a79ap-5, 0x1.8ccf4404ba0dep-5, 0x1.8557bee0a84dap-5, 0x1.7e05ac3d2cae4p-5, 0x1.76d823fa4e0e7p-5, 0x1.6fce45641c77bp-5, 0x1.68e736ee194d2p-5, 0x1.622225f104be1p-5, 0x1.5b7e466ae58f1p-5, 0x1.54fad2c152436p-5, 0x1.4e970b85eea1cp-5, 0x1.4852373d0aeecp-5, 0x1.422ba226485d2p-5, 0x1.3c229e072ea5ep-5, 0x1.363681f7af9d3p-5, 0x1.3066aa307dad4p-5, 0x1.2ab277db32bfbp-5, 0x1.251950e43a91dp-5, 0x1.1f9a9fce617c7p-5, 0x1.1a35d387f348p-5, 0x1.14ea5f4170617p-5, 0x1.0fb7ba45d4296p-5, 0x1.0a9d5fd454709p-5, 0x1.059acefb7c38fp-5, 0x1.00af8a759ccf7p-5, 0x1.f7b6310d3237bp-6, 0x1.ee3a05b60620fp-6, 0x1.e4e9acd0e52f4p-6, 0x1.dbc4469e03e2cp-6, 0x1.d2c8f977e1d29p-6, 0x1.c9f6f19ad06bp-6, 0x1.c14d60ee9ff3dp-6, 0x1.b8cb7ed269054p-6, 0x1.b07087ea4833p-6, 0x1.a83bbdef1512dp-6, 0x1.a02c677fe1f4fp-6, 0x1.9841cff5471e3p-6, 0x1.907b473674974p-6, 0x1.88d8218ffb15cp-6, 0x1.8157b78c335e1p-6, 0x1.79f965cd17c93p-6, 0x1.72bc8ce7a0d15p-6, 0x1.6ba09140930e4p-6, 0x1.64a4daeac92fdp-6, 0x1.5dc8d586cda08p-6, 0x1.570bf023b9f6fp-6, 0x1.506d9d21422dp-6, 0x1.49ed5212f629dp-6, 0x1.438a87a4b4b2fp-6, 0x1.3d44b98041b08p-6, 0x1.371b6633e6704p-6, 0x1.310e0f1a0ff07p-6, 0x1.2b1c3841e5916p-6, 0x1.25456858d779dp-6, 0x1.1f89289513cabp-6, 0x1.19e704a0e355ep-6, 0x1.145e8a86d8bc4p-6, 0x1.0eef4a9ec9813p-6, 0x1.0998d77b905edp-6, 0x1.045ac5d986903p-6, 0x1.fe69591b7d3d7p-7, 0x1.f44c48ebc211bp-7, 0x1.ea5d90d1774abp-7, 0x1.e09c6a4eda7cfp-7, 0x1.d708129e5aca1p-7, 0x1.cd9fca974a72ep-7, 0x1.c462d693b95d7p-7, 0x1.bb507e573edc9p-7, 0x1.b2680cf6e129bp-7, 0x1.a9a8d0c1eab73p-7, 0x1.a1121b2bbcd6ep-7, 0x1.98a340b6838e6p-7, 0x1.905b98dec0bfap-7, 0x1.883a7e07a0924p-7, 0x1.803f4d680bdc8p-7, 0x1.786966f891df8p-7, 0x1.70b82d61f6adbp-7, 0x1.692b05ec8c3a6p-7, 0x1.61c158701c5f8p-7, 0x1.5a7a8f447ffe1p-7, 0x1.53561732bd3abp-7, 0x1.4c535f66b6affp-7, 0x1.4571d9616cb64p-7, 0x1.3eb0f8ebd5ae9p-7, 0x1.3810340a2708bp-7, 0x1.318f02ef9ea38p-7, 0x1.2b2cdff2b9ab6p-7, 0x1.24e94781d596ap-7, 0x1.1ec3b8183d5c2p-7, 0x1.18bbb2339c8e9p-7, 0x1.12d0b849dac14p-7, 0x1.0d024ebf52f77p-7, 0x1.074ffbdd5fa96p-7, 0x1.01b947c937918p-7, 0x1.f87b78f632dc4p-8, 0x1.edb9cb6b858c5p-8, 0x1.e32ca1fc67e3bp-8, 0x1.d8d31b2778648p-8, 0x1.ceac58d08a3bp-8, 0x1.c4b78031b837fp-8, 0x1.baf3b9ccfcedep-8, 0x1.b160315e2330cp-8, 0x1.a7fc15cd326eap-8, 0x1.9ec6992144963p-8, 0x1.95bef073c5429p-8, 0x1.8ce453e405a0dp-8, 0x1.8435fe8b35f2p-8, 0x1.7bb32e70a3bb3p-8, 0x1.735b247e5fd2fp-8, 0x1.6b2d24761689p-8, 0x1.632874e64a09fp-8, 0x1.5b4c5f1fcf78cp-8, 0x1.53982f2b8e759p-8, 0x1.4c0b33c083127p-8, 0x1.44a4be39f6f34p-8, 0x1.3d64228dfdfb4p-8, 0x1.3648b7441d7b9p-8, 0x1.2f51d56c35cf1p-8, 0x1.287ed8959c606p-8, 0x1.21cf1ec664696p-8, 0x1.1b420872dc553p-8, 0x1.14d6f875316a7p-8, 0x1.0e8d540543071p-8, 0x1.086482b095f27p-8, 0x1.025bee5275915p-8, 0x1.f8e60618639fp-9, 0x1.ed525e7b1d26cp-9, 0x1.e1fbc6fa93fcep-9, 0x1.d6e1252394bbcp-9, 0x1.cc0162d3cf618p-9, 0x1.c15b6e2bae7ap-9, 0x1.b6ee398050a0bp-9, 0x1.acb8bb4dd9d37p-9, 0x1.a2b9ee29d0086p-9, 0x1.98f0d0b5d0b5ap-9, 0x1.8f5c6592654f9p-9, 0x1.85fbb35208c0dp-9, 0x1.7ccdc46c601cep-9, 0x1.73d1a7319c6b5p-9, 0x1.6b066dbdfec9ep-9, 0x1.626b2ded8cf83p-9, 0x1.59ff014fe209ep-9, 0x1.51c1051c36d36p-9, 0x1.49b05a257749ep-9, 0x1.41cc24ce91df2p-9, 0x1.3a138cfed4efbp-9, 0x1.3285be16a8849p-9, 0x1.2b21e6e3ddaebp-9, 0x1.23e73996c64bfp-9, 0x1.1cd4ebb7015bep-9, 0x1.15ea36187b201p-9, 0x1.0f2654d08f927p-9, 0x1.0888872b45a1bp-9, 0x1.02100fa0b4a5ap-9, 0x1.f7786794e24a1p-10, 0x1.eb1878b251cbap-10, 0x1.defeea148399fp-10, 0x1.d32a593b52521p-10, 0x1.c799699740571p-10, 0x1.bc4ac47567774p-10, 0x1.b13d18eb8938p-10, 0x1.a66f1bc44b09fp-10, 0x1.9bdf876bbbad4p-10, 0x1.918d1bdbfb7cp-10, 0x1.87769e8a22a1dp-10, 0x1.7d9ada534d9b4p-10, 0x1.73f89f69cdbc4p-10, 0x1.6a8ec3428a20fp-10, 0x1.615c208273c22p-10, 0x1.585f96ec1a304p-10, 0x1.4f980b4d885dap-10, 0x1.4704676e2a6ap-10, 0x1.3ea399fd0d80dp-10, 0x1.3674967f45ff4p-10, 0x1.2e76553e91468p-10, 0x1.26a7d3383219fp-10, 0x1.1f08120bc75c3p-10, 0x1.179617ea719c6p-10, 0x1.1050ef85d5bc4p-10, 0x1.0937a7ff65643p-10, 0x1.024954d7aabbep-10, 0x1.f70a1bbb7a3bap-11, 0x1.e9d3de3e1ed47p-11, 0x1.dcee31aedfc8bp-11, 0x1.d0575ec279ba7p-11, 0x1.c40db64be78fdp-11, 0x1.b80f911d4c966p-11, 0x1.ac5b4fead6614p-11, 0x1.a0ef5b29b0c61p-11, 0x1.95ca22f439f33p-11, 0x1.8aea1eea3c091p-11, 0x1.804dce132df73p-11, 0x1.75f3b6c0716bcp-11, 0x1.6bda667035983p-11, 0x1.620071b0cbacep-11, 0x1.58647404d1b44p-11, 0x1.4f050fc7b4cc4p-11, 0x1.45e0ee1290d2fp-11, 0x1.3cf6bea148989p-11, 0x1.344537b77c109p-11, 0x1.2bcb160585448p-11, 0x1.23871c8d73062p-11, 0x1.1b78148838c61p-11, 0x1.139ccd4b2a4d6p-11, 0x1.0bf41c2dfc51fp-11, 0x1.047cdc7170a19p-11, 0x1.fa6bde4d46286p-12, 0x1.ec3c762d99df4p-12, 0x1.de695956e2764p-12, 0x1.d0f06bad7bf9ep-12, 0x1.c3cf9bf7c5c65p-12, 0x1.b704e3af1a9aap-12, 0x1.aa8e46d0c752fp-12, 0x1.9e69d3af60355p-12, 0x1.9295a2c4d5a62p-12, 0x1.870fd6852db14p-12, 0x1.7bd69b32416eep-12, 0x1.70e826b077f5cp-12, 0x1.6642b85bde139p-12, 0x1.5be498dde6e83p-12, 0x1.51cc1a0343785p-12, 0x1.47f796926d7ebp-12, 0x1.3e6572220199fp-12, 0x1.351418f07440fp-12, 0x1.2c01ffbc47f85p-12, 0x1.232da39d52328p-12, 0x1.1a9589e096373p-12, 0x1.12383fe170cafp-12, 0x1.0a145ae7b4e68p-12, 0x1.022878022e17ep-12, 0x1.f4e677c4631bcp-13, 0x1.e5e6a56bd6a8ep-13, 0x1.d74ee004c4517p-13, 0x1.c91c9cfb86b77p-13, 0x1.bb4d5fd5252d2p-13, 0x1.addeb9e8bf445p-13, 0x1.a0ce4a1cfcfc7p-13, 0x1.9419bcaa51d3dp-13, 0x1.87becae112edep-13, 0x1.7bbb3af270b7ap-13, 0x1.700cdfb97d27cp-13, 0x1.64b19882bee62p-13, 0x1.59a750d012b2p-13, 0x1.4eec0018e23b3p-13, 0x1.447da986aea12p-13, 0x1.3a5a5bb02525dp-13, 0x1.30803055150e4p-13, 0x1.26ed4c1db5179p-13, 0x1.1d9fde601f971p-13, 0x1.149620ebb6e9ep-13, 0x1.0bce57db85d28p-13, 0x1.0346d16cf01e4p-13, 0x1.f5fbcbb0768aep-14, 0x1.e5e3ee50c7998p-14, 0x1.d642e21f87007p-14, 0x1.c715916fbec6dp-14, 0x1.b858f917d7b3p-14, 0x1.aa0a27fea32bp-14, 0x1.9c263ea376d06p-14, 0x1.8eaa6ea7849f2p-14, 0x1.8193fa5e7e6c2p-14, 0x1.74e0346b1cbdcp-14, 0x1.688c7f6af140cp-14, 0x1.5c964db07a0ddp-14, 0x1.50fb2106e7dbep-14, 0x1.45b88a79657eep-14, 0x1.3acc2a16aac2bp-14, 0x1.3033aeaba535ep-14, 0x1.25ecd575dc715p-14, 0x1.1bf569d701983p-14, 0x1.124b44f42c76fp-14, 0x1.08ec4d4e32dcdp-14, 0x1.ffacecfcaf596p-15, 0x1.ee0f81b0fbb41p-15, 0x1.dcfc7227322f4p-15, 0x1.cc6feffa28e63p-15, 0x1.bc664463dbcfbp-15, 0x1.acdbcfe896f1cp-15, 0x1.9dcd09ed7283p-15, 0x1.8f36807119d29p-15, 0x1.8114d7b44bd17p-15, 0x1.7364c9c551c9dp-15, 0x1.662325eeafff4p-15, 0x1.594cd0163a5b8p-15, 0x1.4cdec01f1d592p-15, 0x1.40d6016506cb5p-15, 0x1.352fb2527b71ap-15, 0x1.29e9040c21f54p-15, 0x1.1eff3a193fd7dp-15, 0x1.146fa9fc065a5p-15, 0x1.0a37bab6c1991p-15, 0x1.0054e44c17681p-15, 0x1.ed895ea1c5a6fp-16, 0x1.db096936775a2p-16, 0x1.c9253a2508841p-16, 0x1.b7d842c07b6e2p-16, 0x1.a71e13a32e02p-16, 0x1.96f25b6012a5fp-16, 0x1.8750e584e29fdp-16, 0x1.7835995c3a66p-16, 0x1.699c78f5a6163p-16, 0x1.5b81a0ef7a4ccp-16, 0x1.4de147fab205bp-16, 0x1.40b7bf1c2e48bp-16, 0x1.3401718f965c6p-16, 0x1.27bae40d68b0ap-16, 0x1.1be0b3db4e8c5p-16, 0x1.106f95ab6018p-16, 0x1.056454a6fff74p-16, 0x1.f577a3aafd69p-17, 0x1.e0e607b1186b3p-17, 0x1.cd0ded847d033p-17, 0x1.b9e997784931bp-17, 0x1.a77370ab261d1p-17, 0x1.95a60b162c978p-17, 0x1.847c1d9605e7dp-17, 0x1.73f082980ac4bp-17, 0x1.63fe379c4c1d9p-17, 0x1.54a05db4b4a31p-17, 0x1.45d23a1f91fb6p-17, 0x1.378f3677eb10cp-17, 0x1.29d2dff56f6cbp-17, 0x1.1c98e5c057794p-17, 0x1.0fdd16d55db02p-17, 0x1.039b60231ae3p-17, 0x1.ef9f96cb4cda1p-18, 0x1.d8ecfd893c3d4p-18, 0x1.c317799a4b14fp-18, 0x1.ae17c85d1d58cp-18, 0x1.99e6ddadd8c51p-18, 0x1.867de111343bep-18, 0x1.73d62ab189ccbp-18, 0x1.61e9414131202p-18, 0x1.50b0d93b9c99ep-18, 0x1.4026d547b8091p-18, 0x1.30454704d406bp-18, 0x1.21066f83a8ac1p-18, 0x1.1264beeef8ea4p-18, 0x1.045ad3361361cp-18, 0x1.edc6eb96500e2p-19, 0x1.d3f331e81a6cfp-19, 0x1.bb30aa5cf08p-19, 0x1.a375cf432e2bap-19, 0x1.8cb9637d25ce5p-19, 0x1.76f2731ef05a2p-19, 0x1.6218532a73225p-19, 0x1.4e229ec39282ep-19, 0x1.3b09324d400fap-19, 0x1.28c426b4e20d1p-19, 0x1.174bcf3284a8fp-19, 0x1.0698b9c4d95dbp-19, 0x1.ed47612515a7ap-20, 0x1.cecb737d762a8p-20, 0x1.b1b029c80a091p-20, 0x1.95e86f2135026p-20, 0x1.7b6795dc1d0aap-20, 0x1.6221572ee842ap-20, 0x1.4a09d5104826fp-20, 0x1.33159a54a6303p-20, 0x1.1d39974f1a044p-20, 0x1.086b1a180a71ap-20, 0x1.e93f971f69f5fp-21, 0x1.c39b515315808p-21, 0x1.9fd6039212fcp-21, 0x1.7ddcef33e0932p-21, 0x1.5d9def3728c99p-21, 0x1.3f07739c97ddfp-21, 0x1.2208832cea418p-21, 0x1.0690c193c0a64p-21, 0x1.d920e319fb945p-22, 0x1.a7f0d6da95edbp-22, 0x1.797411f7d9efcp-22, 0x1.4d8e21c67e79dp-22, 0x1.2423595778545p-22, 0x1.fa31b1b0c4558p-23, 0x1.b0a94a60fcb2fp-23, 0x1.6b7b7d95d93f7p-23, 0x1.2a7858382bcc1p-23, 0x1.dae3cedff9027p-24, 0x1.68781bb2402b5p-24, 0x1.fab119c260f1bp-25, 0x1.3265ab1da4f2fp-25, 0x1.ddb89394f4229p-27, -0x1.b682be0e73d1fp-28, -0x1.b1d6b5040ee7dp-26, -0x1.6f72be899be8ap-25, -0x1.faefff846463dp-25, -0x1.3df30975cec15p-24, -0x1.7968f4c2dd546p-24, -0x1.b015be13d28ddp-24, -0x1.e2336f76ac6c8p-24, -0x1.07fd37ea5db13p-23, -0x1.1cd0bea8dbcabp-23, -0x1.2faed8ac22c52p-23, -0x1.40b1235ec0e64p-23, -0x1.4ff040f390cffp-23, -0x1.5d83bd06c6955p-23, -0x1.6981f9f4b6674p-23, -0x1.74003b09f0cacp-23, -0x1.7d12d10c9afabp-23, -0x1.84cd54f4c7556p-23, -0x1.8b42d1af6086fp-23, -0x1.9085cb69dbeb4p-23, -0x1.94a82ad1f2b29p-23, -0x1.97bb1da2dc59bp-23, -0x1.99cef67bf962bp-23, -0x1.9af3142e13fp-23, -0x1.9b35e476022cbp-23, -0x1.9aa5112c3a65bp-23, -0x1.994dc23f9237cp-23, -0x1.973cc3fac9267p-23, -0x1.947e7b68918f8p-23, -0x1.911ec60ca08bep-23, -0x1.8d28f043434bep-23, -0x1.88a7c7363e0ffp-23, -0x1.83a5a96aea52dp-23, -0x1.7e2c82f13c4bfp-23, -0x1.7845bf2ef8b2p-23, -0x1.71fa4340cc76ap-23, -0x1.6b5279ea355b4p-23, -0x1.64566b21fb99dp-23, -0x1.5d0dd04bab80bp-23, -0x1.5580187516947p-23, -0x1.4db45d46306c4p-23, -0x1.45b15677981ap-23, -0x1.3d7d58f36f854p-23, -0x1.351e5ffbc5e03p-23, -0x1.2c9a19bcdb843p-23, -0x1.23f5e86e26e98p-23, -0x1.1b36ebedb5dd8p-23, -0x1.1261fe73f0b03p-23, -0x1.097baa03742c2p-23, -0x1.0088222f4d6c8p-23, -0x1.ef16a87ba4b8dp-24, -0x1.dd11ff5f5e01bp-24, -0x1.cb0978a12a4a7p-24, -0x1.b903de4cb66e6p-24, -0x1.a70785a191804p-24, -0x1.951a55c5fe8fcp-24, -0x1.8341d71a56669p-24, -0x1.71833fb459952p-24, -0x1.5fe3771e66e4ep-24, -0x1.4e671184bc9b6p-24, -0x1.3d12677481aa1p-24, -0x1.2be99b8876702p-24, -0x1.1af0582c2fe75p-24, -0x1.0a29c26bf8209p-24, -0x1.f33152fde7243p-25, -0x1.d27f77c1c8295p-25, -0x1.b2433d1800024p-25, -0x1.9281c15ba9a7ap-25, -0x1.733fc6ee7faa7p-25, -0x1.54817e58ce5cp-25, -0x1.364a6436adc87p-25, -0x1.189d60595c44bp-25, -0x1.f6f9fea4eb179p-26, -0x1.bdd70d31eea73p-26, -0x1.85d5e60746083p-26, -0x1.4efa000c90743p-26, -0x1.19465c9928ecdp-26, -0x1.c97af72a0fdbp-27, -0x1.62c28cb2de8f1p-27, -0x1.fccc4e9b27c7cp-28, -0x1.38cf3a6432cb3p-28, -0x1.e641b6a96f6d3p-30, 0x1.03ba873bb904dp-30, 0x1.ed5c5560bba7ep-29, 0x1.a7b0ca56c4de4p-28, 0x1.29fdee0a7e5fbp-27, 0x1.7dcb4f51d5824p-27, 0x1.cf443e9a8329ep-27, 0x1.0f3607c9ae092p-26, 0x1.35a3133e4509cp-26, 0x1.5aeb58d9f2c61p-26, 0x1.7f117da8db23cp-26, 0x1.a2189ce3ab566p-26, 0x1.c4040391fd863p-26, 0x1.e4d6b308e3935p-26, 0x1.024a33e4dc33dp-25, 0x1.11a031f19b305p-25, 0x1.206f5a287d8d2p-25, 0x1.2eb997f01415cp-25, 0x1.3c80ecb7f1692p-25, 0x1.49c757dada574p-25, 0x1.568ed5fd3a1fep-25, 0x1.62d9675087a5ep-25, 0x1.6ea8ed0cefa21p-25, 0x1.79ffbebb19576p-25, 0x1.84e01048f67bap-25, 0x1.8f4c37f85b443p-25, 0x1.99468e558ef1p-25, 0x1.a2d166d8ddff9p-25, 0x1.abef119e3eebap-25, 0x1.b4a1d6ff2d16ap-25, 0x1.bcebeb62b01eep-25, 0x1.c4cf761c31492p-25, 0x1.cc4ead011b412p-25, 0x1.d36be1050957fp-25, 0x1.da296cf818ccdp-25, 0x1.e089a0063e6e2p-25, 0x1.e68ebb5b4d4f5p-25, 0x1.ec3b0363b0285p-25, 0x1.f190c31dd4a8cp-25, 0x1.f692406c1ea8fp-25, 0x1.fb41b79e3df73p-25, 0x1.ffa1591a72df8p-25, 0x1.01d9a350b2586p-24, 0x1.03bcd0fa82761p-24, 0x1.057ae0eab1c7p-24, 0x1.07161be11fc28p-24, 0x1.088dc0b0ea1dbp-24, 0x1.09e42790e6217p-24, 0x1.0b19cb0ad183cp-24, 0x1.0c2fc8082256fp-24, 0x1.0d271eedc5d1fp-24, 0x1.0e00c42169d4fp-24, 0x1.0ebda1e605a81p-24, 0x1.0f5ea557eee34p-24, 0x1.0fe4bb6401da1p-24, 0x1.1050c9779fec4p-24, 0x1.10a3af2967377p-24, 0x1.10de4b796f85bp-24, 0x1.110179401e67bp-24, 0x1.110e0bff4ac1p-24, 0x1.1104d22cacaf7p-24, 0x1.10e698d4a516dp-24, 0x1.10b42b2b27c2p-24, 0x1.106e4fd824556p-24, 0x1.1015c983c534ep-24, 0x1.0fab566996c8fp-24, 0x1.0f2faeaabd857p-24, 0x1.0ea37ad59f2b6p-24, 0x1.0e0753eb87e73p-24, 0x1.0d5c32b8e45a8p-24, 0x1.0ca286cffec32p-24, 0x1.0bdadce7b52f1p-24, 0x1.0b05e7923dd14p-24, 0x1.0a2449cc6048dp-24, 0x1.093690c5daafp-24, 0x1.083d599fb3c19p-24, 0x1.07392e1f017c9p-24, 0x1.062a9745aacbap-24, 0x1.05121a588f181p-24, 0x1.03f039df3420ep-24, 0x1.02c5749c020afp-24, 0x1.0192450e7ba9cp-24, 0x1.005722c3bd1bp-24, 0x1.fe29025225c6bp-25, 0x1.fb959d48b5cdfp-25, 0x1.f8f4eedf1caebp-25, 0x1.f647cb501ed6ap-25, 0x1.f38efff10a306p-25, 0x1.f0cb522c03413p-25, 0x1.edfd82485fd39p-25, 0x1.eb264a7a50cd6p-25, 0x1.e8465d5557deap-25, 0x1.e55e664f1b69fp-25, 0x1.e26f0a2558f88p-25, 0x1.df78e744195a1p-25, 0x1.dc7c9662f44b3p-25, 0x1.d97aab157fd99p-25, 0x1.d673b440489efp-25, 0x1.d3683c50e6db3p-25, 0x1.d058c90928904p-25, 0x1.cd45db5dc0787p-25, 0x1.ca2fee04834c4p-25, 0x1.c7177539a4ceap-25, 0x1.c3fcdf5fbbbf5p-25, 0x1.c0e0965fcaaf8p-25, 0x1.bdc300b54c0cep-25, 0x1.baa4819f6bd72p-25, 0x1.b785781e7eeb8p-25, 0x1.b4663e5070e92p-25, 0x1.b14729bd2b45fp-25, 0x1.ae288b7574a1bp-25, 0x1.ab0ab0339da2p-25, 0x1.a7ede2479564ap-25, 0x1.a4d2681b9a35p-25, 0x1.a1b87a658dc24p-25, 0x1.9ea072b2c6474p-25, 0x1.9b8a7934a766ap-25, 0x1.9876c6c074bcbp-25, 0x1.95659443b957fp-25, 0x1.925714abc48c3p-25, 0x1.8f4b77e055fap-25, 0x1.8c42e6e927799p-25, 0x1.893d6d6989a81p-25, 0x1.863b5f9cd9858p-25, 0x1.833d066f59cb7p-25, 0x1.80422bf062807p-25, 0x1.7d4b0eb39d4c8p-25, 0x1.7a57d2bbf392fp-25, 0x1.7768921396256p-25, 0x1.747d646ee3875p-25, 0x1.71965f9c40f72p-25, 0x1.6eb3978bd73e4p-25, 0x1.6bd51e69405f3p-25, 0x1.68fb04b3ee641p-25, 0x1.662559493d1dfp-25, 0x1.6354293ddd04ep-25, 0x1.60877fb9b9082p-25, 0x1.5dbf66308afp-25, 0x1.5afbe4a5d665p-25, 0x1.583d01996d4e5p-25, 0x1.5582c260e8c5fp-25, 0x1.52cd2ad884abp-25, 0x1.501c3d98a9901p-25, 0x1.4d6ffbfcf5df1p-25, 0x1.4ac865ba1ae6dp-25, 0x1.482577a67badap-25, 0x1.45872ded295a7p-25, 0x1.42ed8f6c1d158p-25, 0x1.4058991f4f58ep-25, 0x1.3dc83c9532802p-25, 0x1.3b3c8df90256ep-25, 0x1.38b555188cf92p-25, 0x1.3632a09a6fdbbp-25, 0x1.33b45fb4d6bffp-25, 0x1.313aacea1ac81p-25, 0x1.2ec568beb28fbp-25, 0x1.2c5489edad0a1p-25, 0x1.29e8060ce269cp-25, 0x1.277fd24eda19fp-25, 0x1.251be35e4d505p-25, 0x1.22bc27608e78bp-25, 0x1.2060a41c0fc0cp-25, 0x1.1e093ace6c178p-25, 0x1.1bb5e4449233ep-25, 0x1.1966930b07a97p-25, 0x1.171b39ad8664ep-25, 0x1.14d3ca8198bdep-25, 0x1.12903ca433c55p-25, 0x1.10507733e7e35p-25, 0x1.0e146c79890fbp-25, 0x1.0bdc180111b8bp-25, 0x1.09a7657f3ca68p-25, 0x1.077646323a971p-25, 0x1.0548ab39ac481p-25, 0x1.031e85a0b901dp-25, 0x1.00f7c656b9d1ep-25, 0x1.fda8bc7b11652p-26, 0x1.f9687cffc20c7p-26, 0x1.f52eb0494d8bdp-26, 0x1.f0fb388c19136p-26, 0x1.eccdf81aca818p-26, 0x1.e8a6d1652a17ep-26, 0x1.e485a6fc81d47p-26, 0x1.e06a5b919b262p-26, 0x1.dc54d1edb9794p-26, 0x1.d844ecf22a0fap-26, 0x1.d43a8fbb52b62p-26, 0x1.d0359ddc896bfp-26, 0x1.cc35fb775116fp-26, 0x1.c83b8d1e802d6p-26, 0x1.c44637b44d576p-26, 0x1.c055e06277b0dp-26, 0x1.bc6a6c878577bp-26, 0x1.b883c195ed7f2p-26, 0x1.b4a1c557157e3p-26, 0x1.b0c45e9a37ffbp-26, 0x1.aceb74f5882e7p-26, 0x1.a916f01e55097p-26, 0x1.a546b7e14cf27p-26, 0x1.a17ab499b27f4p-26, 0x1.9db2cf79625dbp-26, 0x1.99eef22d788bp-26, 0x1.962f07baece17p-26, 0x1.9272ff3080071p-26, 0x1.8ebabc33d9249p-26, 0x1.8b05aec88c1a3p-26, 0x1.87552879514a8p-26, 0x1.83a7a532233bap-26, 0x1.7ffd9a12eeef4p-26, 0x1.7c56df5f66818p-26, 0x1.78b36436e2831p-26, 0x1.7516fc5ca733fp-26, 0x1.717c8b5157cefp-26, 0x1.6ddcdc2c718ccp-26, 0x1.6a46883f4e79ap-26, 0x1.66b30335b3ebcp-26, 0x1.63225e8b834c5p-26, 0x1.5f9499c389c22p-26, 0x1.5c09ac7d6b61cp-26, 0x1.588186b1979bep-26, 0x1.54fbd94093119p-26, 0x1.517946e70f96p-26, 0x1.4df93c2ef96b1p-26, 0x1.4a7bb35bc5b53p-26, 0x1.4700bc5405e1bp-26, 0x1.438846ca6ed59p-26, 0x1.4012455cedc4ep-26, 0x1.3c9ec354f4271p-26, 0x1.392daccf61d86p-26, 0x1.35beef538cc83p-26, 0x1.3252882c9823ep-26, 0x1.2ee871a760bb1p-26, 0x1.2b80a51546c0ap-26, 0x1.281b1be2466afp-26, 0x1.24b7cff403352p-26, 0x1.2156bba2cc03bp-26, 0x1.1df7d9b324195p-26, 0x1.1a9b255d637e7p-26, 0x1.17409a28e4b7fp-26, 0x1.13e852d73e234p-26, 0x1.1091f0c54d2afp-26, 0x1.0d3dcc35b780ap-26, 0x1.09ebc3476c6c4p-26, 0x1.069bd4027890dp-26, 0x1.034dfb937d7e9p-26, 0x1.0002342b4c8c3p-26, 0x1.f97118a871fadp-27, 0x1.f2e1e9c2172b6p-27, 0x1.ec56de0dadb09p-27, 0x1.e5cff7ec2a3c9p-27, 0x1.df4d37868dbedp-27, 0x1.d8ce9d8ebf038p-27, 0x1.d2542b572d3bbp-27, 0x1.cbdde2cd7213ap-27, 0x1.c56bc66dbda25p-27, 0x1.befdd940253dep-27, 0x1.b8941ed0cc7a3p-27, 0x1.b22e9b536349cp-27, 0x1.abcd5346580f5p-27, 0x1.a5704bbc165cfp-27, 0x1.9f178a4a9625p-27, 0x1.98c3150de219fp-27, 0x1.9272f28922f55p-27, 0x1.8c2729ac5bd4ap-27, 0x1.85dfc1ba85335p-27, 0x1.7f9cc27e2e6b6p-27, 0x1.795e341cfe79bp-27, 0x1.73241f127dec6p-27, 0x1.6cee8c3936fb5p-27, 0x1.66bd84c294bd3p-27, 0x1.6091122f9cc56p-27, 0x1.5a693e4647f96p-27, 0x1.544612ef1ee4ap-27, 0x1.4e2799a8d91a7p-27, 0x1.480dd7deb4aa5p-27, 0x1.41f8a6ab75059p-27, 0x1.3bea8a4ce685cp-27, 0x1.35dcba638e3e2p-27, 0x1.2fd7299a4bee1p-27, 0x1.29d5e8861e5d3p-27, 0x1.23d995da020dcp-27, 0x1.1de24f6912c8p-27, 0x1.17f023fb396e8p-27, 0x1.120320989932fp-27, }}, 
      {{0x1.5b800f7452a78p-2, 0x1.519e1dbe5a627p-1, 0x1.e370658e16211p-1, 0x1.2ebdabad97fc3p+0, 0x1.5e3923fd2ef7fp+0, 0x1.7f91ae2675d91p+0, 0x1.9303092fbf48p+0, 0x1.996494c11080bp+0, 0x1.93f6ac1fee90bp+0, 0x1.8438b7477521ap+0, 0x1.6bc80bebdf6d7p+0, 0x1.4c46c853e9e53p+0, 0x1.27497724e47c3p+0, 0x1.fc94acb631ff1p-1, 0x1.a5425e933a73ap-1, 0x1.4afda7001503p-1, 0x1.dfad9fdae6397p-2, 0x1.2b1af7fa6098ep-2, 0x1.eca1d45a9487bp-4, -0x1.6ea0c3a56287bp-5, -0x1.9c0e0a8381977p-3, -0x1.6410aae229692p-2, -0x1.eef719bcf823ep-2, -0x1.370c1b62329e9p-1, -0x1.708e546df92cep-1, -0x1.a3f5e3e995136p-1, -0x1.d1505071dac0fp-1, -0x1.f8c00a74df32cp-1, -0x1.0d3c038df334dp+0, -0x1.1b5bf22f48d3fp+0, -0x1.26e448ccbac78p+0, -0x1.2ffcbaa21039ep+0, -0x1.36cf02f9a190bp+0, -0x1.3b85e5c9de2efp+0, -0x1.3e4c5ec5afed3p+0, -0x1.3f4cf95631c52p+0, -0x1.3eb14c3f6a37ap+0, -0x1.3ca19404780dcp+0, -0x1.3944676907d44p+0, -0x1.34be81c6c324ap+0, -0x1.2f329f68220cfp+0, -0x1.28c168a0e3931p+0, -0x1.218968c32d869p+0, -0x1.19a70e646e782p+0, -0x1.1134b2c9e5d21p+0, -0x1.084aa6c557a32p+0, -0x1.fdfe87588a854p-1, -0x1.eacdfeac0c79p-1, -0x1.d729046fd6071p-1, -0x1.c3317db90b12ep-1, -0x1.af06143654f6ep-1, -0x1.9ac2673351411p-1, -0x1.867f3c7af02cbp-1, -0x1.7252b0849ba2bp-1, -0x1.5e50656e65b66p-1, -0x1.4a89b05c588d6p-1, -0x1.370dc4ef8c2cap-1, -0x1.23e9dea8a7f31p-1, -0x1.11296826b0613p-1, -0x1.fdac408f27253p-2, -0x1.d9f07a7f28129p-2, -0x1.b72d1b7dc8462p-2, -0x1.956d3074a1801p-2, -0x1.74b970d6dca22p-2, -0x1.5518762a0a7a5p-2, -0x1.368ef03184776p-2, -0x1.191fd5d318413p-2, -0x1.f99925902478p-3, -0x1.c32a646c3dffdp-3, -0x1.8ef10c8fa4498p-3, -0x1.5ce899c202c0fp-3, -0x1.2d0aa32162969p-3, -0x1.fe9e335da4eaep-4, -0x1.a75903d5a3cd1p-4, -0x1.543050efd595bp-4, -0x1.050ca525677ecp-4, -0x1.73a9a6ee31a51p-5, -0x1.c9b921e42bc67p-6, -0x1.75ea8b77ee0cap-7, 0x1.15aa044e544eep-8, 0x1.37daf95117d1dp-6, 0x1.0e694cf2008c6p-5, 0x1.7a646a39a41c2p-5, 0x1.e01ab5842cf9fp-5, 0x1.1fe3f6109806dp-4, 0x1.4cd3b6e80a8c8p-4, 0x1.76f9fc21d4736p-4, 0x1.9e73c20e26266p-4, 0x1.c35d86f090832p-4, 0x1.e5d33c38b3abdp-4, 0x1.02f81c5efdbadp-3, 0x1.11e792a61380fp-3, 0x1.1fc4fe937ef6ap-3, 0x1.2c9cfdb1bd394p-3, 0x1.387bcd9596286p-3, 0x1.436d4a0a387abp-3, 0x1.4d7ce83752e0bp-3, 0x1.56b5bae23692bp-3, 0x1.5f226e1720d09p-3, 0x1.66cd490dd0d1ep-3, 0x1.6dc0305c089c6p-3, 0x1.7404a3f1e3e45p-3, 0x1.79a3c39d27p-3, 0x1.7ea64f49e05b3p-3, 0x1.8314a8c26bd7ep-3, 0x1.86f6d764d7a6dp-3, 0x1.8a5488d3fc38ep-3, 0x1.8d3514b911f28p-3, 0x1.8f9f7efe023d7p-3, 0x1.919a7a0b694e6p-3, 0x1.932c6a918553dp-3, 0x1.945b690bea0ebp-3, 0x1.952d4524a675ep-3, 0x1.95a788b888d14p-3, 0x1.95cf7954a062fp-3, 0x1.95aa1bee52fbcp-3, 0x1.953c374d4acc2p-3, 0x1.948a559e5b9e9p-3, 0x1.9398c7fa9065cp-3, 0x1.926ba8a310ed6p-3, 0x1.9106dc7553c55p-3, 0x1.8f6e160625c66p-3, 0x1.8da4d7fc73733p-3, 0x1.8bae764707fd2p-3, 0x1.898e189e5f01ep-3, 0x1.8746bd184fdabp-3, 0x1.84db394342874p-3, 0x1.824e3be3ced91p-3, 0x1.7fa24f9469feep-3, 0x1.7cd9dc2185e4dp-3, 0x1.79f7278dcdefp-3, 0x1.76fc5845d828bp-3, 0x1.73eb76f736d26p-3, 0x1.70c66f5659f63p-3, 0x1.6d8f1173d3f6p-3, 0x1.6a4713ba70d2cp-3, 0x1.66f0141df64eep-3, 0x1.638b98c27d4d6p-3, 0x1.601b11604fd5cp-3, 0x1.5c9fd8e61c15bp-3, 0x1.591b3646e585cp-3, 0x1.558e5d112caf2p-3, 0x1.51fa6eb7bd61dp-3, 0x1.4e607be0462e2p-3, 0x1.4ac184fd7663ap-3, 0x1.471e7ad3e9c0ap-3, 0x1.43783f89df11fp-3, 0x1.3fcfa7b8a23abp-3, 0x1.3c257af63863ep-3, 0x1.387a743aef7a5p-3, 0x1.34cf42ab924f2p-3, 0x1.31248a84fe203p-3, 0x1.2d7ae5a472746p-3, 0x1.29d2e3ce4858ap-3, 0x1.262d0b36155ffp-3, 0x1.2289d945e1a09p-3, 0x1.1ee9c32967a1p-3, 0x1.1b4d360b2a098p-3, 0x1.17b4976561f5bp-3, 0x1.14204595bb841p-3, 0x1.10909866a68a9p-3, 0x1.0d05e15a5794fp-3, 0x1.09806bdd6d54fp-3, 0x1.06007d9c36c7dp-3, 0x1.028656f671baap-3, 0x1.fe2466ba61822p-4, 0x1.f7489310dc271p-4, 0x1.f079973e86c64p-4, 0x1.e9b7cefb4ccc4p-4, 0x1.e3038e20e099fp-4, 0x1.dc5d21381a296p-4, 0x1.d5c4cdc0ca68p-4, 0x1.cf3ad26c9fb7dp-4, 0x1.c8bf6792d49ebp-4, 0x1.c252bfbf08a73p-4, 0x1.bbf508166b97cp-4, 0x1.b5a6688f22827p-4, 0x1.af67042338db5p-4, 0x1.a936f9244e79ap-4, 0x1.a316619eadc45p-4, 0x1.9d0553a7ee6eep-4, 0x1.9703e197523bcp-4, 0x1.91121a3035376p-4, 0x1.8b3008d080472p-4, 0x1.855db5b0b86bcp-4, 0x1.7f9b2628a22f1p-4, 0x1.79e85ce88372bp-4, 0x1.74455a1b8fe4cp-4, 0x1.6eb21b7c193adp-4, 0x1.692e9c78930d4p-4, 0x1.63bad66dd3e98p-4, 0x1.5e56c0dbd5f64p-4, 0x1.59025182f76acp-4, 0x1.53bd7c6f0355fp-4, 0x1.4e8834096de17p-4, 0x1.49626942b4edp-4, 0x1.444c0bbef881ap-4, 0x1.3f4509eeddd3fp-4, 0x1.3a4d51197b0d3p-4, 0x1.3564cd68b2b82p-4, 0x1.308b6a021e277p-4, 0x1.2bc11126a54abp-4, 0x1.2705ac479f388p-4, 0x1.2259240eab906p-4, 0x1.1dbb6067a4c53p-4, 0x1.192c489441d9dp-4, 0x1.14abc34192934p-4, 0x1.1039b696458bdp-4, 0x1.0bd608381573dp-4, 0x1.07809d503601bp-4, 0x1.03395a9942fp-4, 0x1.fe0048e82dfd3p-5, 0x1.f5a9bdebfe0bdp-5, 0x1.ed6edbd550417p-5, 0x1.e54f69a429aaap-5, 0x1.dd4b2dca8609fp-5, 0x1.d561ee49eda18p-5, 0x1.cd9370d771e03p-5, 0x1.c5df7aeeb4a84p-5, 0x1.be45d1cc4c159p-5, 0x1.b6c63a61e343ap-5, 0x1.af60795be65cdp-5, 0x1.a814533b87011p-5, 0x1.a0e18c748cd1bp-5, 0x1.99c7e97c551dp-5, 0x1.92c72ec471666p-5, 0x1.8bdf20acf871dp-5, 0x1.850f838235c24p-5, 0x1.7e581b8e0f974p-5, 0x1.77b8ad314f172p-5, 0x1.7130fcf2dabcep-5, 0x1.6ac0cf7ddd1cfp-5, 0x1.6467e9960d13bp-5, 0x1.5e2610100cafcp-5, 0x1.57fb07d7819f4p-5, 0x1.51e69600b5954p-5, 0x1.4be87fd967183p-5, 0x1.46008aed8e683p-5, 0x1.402e7cfffe8ecp-5, 0x1.3a721c004cb9bp-5, 0x1.34cb2e0837f3ap-5, 0x1.2f397963c9f16p-5, 0x1.29bcc49edb744p-5, 0x1.2454d68f3614ap-5, 0x1.1f017655810c8p-5, 0x1.19c26b56327fcp-5, 0x1.14977d31ab32dp-5, 0x1.0f8073c2ab119p-5, 0x1.0a7d1724d3debp-5, 0x1.058d2fbeb7a43p-5, 0x1.00b08648e49a8p-5, 0x1.f7cdc79cdd75dp-6, 0x1.ee60234fdd5dfp-6, 0x1.e517b2ea920a1p-6, 0x1.dbf40a3656bcep-6, 0x1.d2f4bd8cc6d53p-6, 0x1.ca1961e5c620fp-6, 0x1.c1618ce3e2f9bp-6, 0x1.b8ccd4d83ab0cp-6, 0x1.b05ad0bd48ff2p-6, 0x1.a80b182da3e46p-6, 0x1.9fdd435d2a813p-6, 0x1.97d0eb1955502p-6, 0x1.8fe5a8d09136dp-6, 0x1.881b169c26e89p-6, 0x1.8070cf470cbffp-6, 0x1.78e66e4e9cffbp-6, 0x1.717b8fddde4bep-6, 0x1.6a2fd0c707aa3p-6, 0x1.6302ce7f8a7e7p-6, 0x1.5bf427210dc1fp-6, 0x1.5503796eaca65p-6, 0x1.4e3064db75658p-6, 0x1.477a898edb1fp-6, 0x1.40e188656d80fp-6, 0x1.3a6502ee326ddp-6, 0x1.34049b668e318p-6, 0x1.2dbff4b739eecp-6, 0x1.2796b27436401p-6, 0x1.218878dfa0b83p-6, 0x1.1b94ecede3997p-6, 0x1.15bbb4492084ep-6, 0x1.0ffc7552a6227p-6, 0x1.0a56d722316e2p-6, 0x1.04ca8183c76f4p-6, 0x1.feae39eae15bcp-7, 0x1.f3f8a54c3598p-7, 0x1.e97398ecb57acp-7, 0x1.df1e69f52bc19p-7, 0x1.d4f86efb07863p-7, 0x1.cb010003d9edfp-7, 0x1.c1377686970bp-7, 0x1.b79b2d6a57cbap-7, 0x1.ae2b8103f5c49p-7, 0x1.a4e7cf136d485p-7, 0x1.9bcf76c2c284ep-7, 0x1.92e1d8a6f22d7p-7, 0x1.8a1e56c24904ap-7, 0x1.8184548730374p-7, 0x1.791336da063d3p-7, 0x1.70ca6411cec53p-7, 0x1.68a943f7a0571p-7, 0x1.60af3fc54042cp-7, 0x1.58dbc22397276p-7, 0x1.512e3729a2bcp-7, 0x1.49a60c5c75cfap-7, 0x1.4242b0b01ed06p-7, 0x1.3b039488e30c1p-7, 0x1.33e829bc0eb29p-7, 0x1.2cefe3901cf21p-7, 0x1.261a36bc3bb1ep-7, 0x1.1f669967637ebp-7, 0x1.18d483273da5p-7, 0x1.12636cff2965bp-7, 0x1.0c12d15f7c8f2p-7, 0x1.05e22c2534649p-7, 0x1.ffa1f5338fc28p-8, 0x1.f3bd76e5d4b6ep-8, 0x1.e815dda3d6b7ep-8, 0x1.dcaa2c85b1111p-8, 0x1.d1796977705f3p-8, 0x1.c6829d37e90b2p-8, 0x1.bbc4d35804d5ep-8, 0x1.b13f1a39f16d1p-8, 0x1.a6f0830f9bfbfp-8, 0x1.9cd821d7daae9p-8, 0x1.92f50d5a09e4p-8, 0x1.89465f206cfffp-8, 0x1.7fcb33722eb07p-8, 0x1.7682a94e96d3p-8, 0x1.6d6be26b03b27p-8, 0x1.64860334601b8p-8, 0x1.5bd032d373dedp-8, 0x1.53499b31e516fp-8, 0x1.4af168fd18c75p-8, 0x1.42c6cba4166d9p-8, 0x1.3ac8f54eff7a6p-8, 0x1.32f71ad095b38p-8, 0x1.2b50739463b52p-8, 0x1.23d4398e0cb7ap-8, 0x1.1c81a92e3a1bap-8, 0x1.1558016199052p-8, 0x1.0e56839a368dcp-8, 0x1.077c73e13bf5fp-8, 0x1.00c918eb219edp-8, 0x1.f477784da0d59p-9, 0x1.e7a75381646cp-9, 0x1.db20612b295f1p-9, 0x1.cee1442b2f6d7p-9, 0x1.c2e8a439bb8fcp-9, 0x1.b7352d95efbd9p-9, 0x1.abc590c87d927p-9, 0x1.a098828c53a81p-9, 0x1.95acbbe6abb24p-9, 0x1.8b00fa6a91907p-9, 0x1.809400963f57ap-9, 0x1.7664962f6343fp-9, 0x1.6c718880bac3dp-9, 0x1.62b9aa614b31ep-9, 0x1.593bd3fae411dp-9, 0x1.4ff6e256f8c07p-9, 0x1.46e9b6c98e136p-9, 0x1.3e13365d834f1p-9, 0x1.357249680ed34p-9, 0x1.2d05db6125a07p-9, 0x1.24ccdb0e80e5ap-9, 0x1.1cc63af93a411p-9, 0x1.14f0f2119322dp-9, 0x1.0d4bfc566970dp-9, 0x1.05d65b523bcb1p-9, 0x1.fd1e2c8f7fd6cp-10, 0x1.eeea73f6b4197p-10, 0x1.e10fb03dd6515p-10, 0x1.d38c0cfb7203p-10, 0x1.c65dbc2f64aap-10, 0x1.b982f4c30fd04p-10, 0x1.acf9f1af29295p-10, 0x1.a0c0f1fe41f6bp-10, 0x1.94d639ae4aacep-10, 0x1.8938133b96c67p-10, 0x1.7de4d178bdf22p-10, 0x1.72dad13db7088p-10, 0x1.68187a833b686p-10, 0x1.5d9c409f1f6ffp-10, 0x1.5364a18add89fp-10, 0x1.4970245703c8ep-10, 0x1.3fbd571fb4095p-10, 0x1.364accf4304dbp-10, 0x1.2d171c2553698p-10, 0x1.2420dd57cdbafp-10, 0x1.1b66ab8976616p-10, 0x1.12e725027dd78p-10, 0x1.0aa0ecf7356fbp-10, 0x1.0292ad77adc65p-10, 0x1.f57632761288cp-11, 0x1.e631d9bad293ap-11, 0x1.d755de9302957p-11, 0x1.c8dfe26eee211p-11, 0x1.bacd97c19bee3p-11, 0x1.ad1cbe67725ffp-11, 0x1.9fcb1fd2298fbp-11, 0x1.92d68bbf7c54ap-11, 0x1.863cd61722e4p-11, 0x1.79fbd6449680ep-11, 0x1.6e116811d6e5bp-11, 0x1.627b6dbd220cdp-11, 0x1.5737d2c8d7503p-11, 0x1.4c448ee580763p-11, 0x1.419fa851cd329p-11, 0x1.3747352e9d001p-11, 0x1.2d395b83d157p-11, 0x1.2374500260d91p-11, 0x1.19f653de1013p-11, 0x1.10bdb24804f8bp-11, 0x1.07c8be19a690dp-11, 0x1.fe2ba036b8a2ep-12, 0x1.ed468c33cbec6p-12, 0x1.dcdf058c8236bp-12, 0x1.ccf1dc71c5e25p-12, 0x1.bd7bedcd023e1p-12, 0x1.ae7a25a87f313p-12, 0x1.9fe981b1df724p-12, 0x1.91c71361c3738p-12, 0x1.8410014ed9f6cp-12, 0x1.76c1874f6a9dap-12, 0x1.69d8f543449dep-12, 0x1.5d53acd8cc3b7p-12, 0x1.512f1ef8c417bp-12, 0x1.4568c9a041655p-12, 0x1.39fe36bb4552ap-12, 0x1.2eecfc0f07255p-12, 0x1.2432bbd65bee1p-12, 0x1.19cd256f8532fp-12, 0x1.0fb9f59913e43p-12, 0x1.05f6f615af977p-12, 0x1.f903f9d98d91ap-13, 0x1.e6b1d76381154p-13, 0x1.d4f35e5c4081p-13, 0x1.c3c47f1a24918p-13, 0x1.b32141bd8250fp-13, 0x1.a305c73d26535p-13, 0x1.936e49e15c2fcp-13, 0x1.84571cf22e465p-13, 0x1.75bcabcb71ab9p-13, 0x1.679b78c26c48dp-13, 0x1.59f01c42bf7f3p-13, 0x1.4cb74462cabbdp-13, 0x1.3fedb4f56465p-13, 0x1.33904805429adp-13, 0x1.279bee1b9ef7dp-13, 0x1.1c0dada865675p-13, 0x1.10e2a0ab549b5p-13, 0x1.0617f07c3ad02p-13, 0x1.f755a16a46dabp-14, 0x1.e330f6596514ep-14, 0x1.cfbc5f055f9e6p-14, 0x1.bcf26edf1a4cbp-14, 0x1.aacdde0452dbfp-14, 0x1.99499b656239ap-14, 0x1.8860d7dd88f2p-14, 0x1.780f03841f99p-14, 0x1.684fbc9042018p-14, 0x1.591eb6d7be564p-14, 0x1.4a77a8021c2bep-14, 0x1.3c56437e4c0c7p-14, 0x1.2eb649ac7ca08p-14, 0x1.2193a2f6a84ecp-14, 0x1.14ea77a88345cp-14, 0x1.08b7354d61768p-14, 0x1.f9ecf5ddf0955p-15, 0x1.e349e5e08c83ap-15, 0x1.cd7e58aca54d5p-15, 0x1.b8831079b20bcp-15, 0x1.a4508ff39a563p-15, 0x1.90df709357ccp-15, 0x1.7e28cb70e597ap-15, 0x1.6c267f1858c11p-15, 0x1.5ad32b2978ba7p-15, 0x1.4a29deaa28137p-15, 0x1.3a259e4a531d9p-15, 0x1.2ac0ff73e2b1fp-15, 0x1.1bf60eba9752cp-15, 0x1.0dbe9504d98fbp-15, 0x1.00149e76f9986p-15, 0x1.e5e60329f160cp-16, 0x1.ccab414ba5786p-16, 0x1.b4727f395801cp-16, 0x1.9d35fd4f9d863p-16, 0x1.86ef70b4038ddp-16, 0x1.719721280798ap-16, 0x1.5d23cd0346875p-16, 0x1.498b50021a727p-16, 0x1.36c3ad5585798p-16, 0x1.24c3fcc972cc3p-16, 0x1.1384d8f202604p-16, 0x1.03002b7c96f8dp-16, 0x1.e660eb15e71f9p-17, 0x1.c81fc7b22576dp-17, 0x1.ab2f2fd3e3e94p-17, 0x1.8f7f0b7ddfaddp-17, 0x1.74fe1e1ae7aa3p-17, 0x1.5b9c51e71a111p-17, 0x1.434d02021789ap-17, 0x1.2c080113823b3p-17, 0x1.15c8b7b51f978p-17, 0x1.008bd04ff8debp-17, 0x1.d8997c67734bdp-18, 0x1.b208cd5ba2e19p-18, 0x1.8d52b33f928bap-18, 0x1.6a62136c7bcd7p-18, 0x1.49220fc63fdf8p-18, 0x1.297f239ad304dp-18, 0x1.0b66d125d20bp-18, 0x1.dd8da5cbfc428p-19, 0x1.a719b16fd3ebap-19, 0x1.734df199dbf3p-19, 0x1.420816ba90077p-19, 0x1.1326a0a9d21bbp-19, 0x1.cd0f7980eca05p-20, 0x1.781423967736fp-20, 0x1.2720806e9b898p-20, 0x1.b412f57f2f0ccp-21, 0x1.216a013971d68p-21, 0x1.2c4b5d9af5e3bp-22, 0x1.2245b35cfec23p-25, -0x1.ab273bcb7877ap-23, -0x1.c1c63b4ecc84ep-22, -0x1.506c90cc4d26bp-21, -0x1.b9a8604624a8ep-21, -0x1.0e682cae9ae2cp-20, -0x1.3d0c993a6919bp-20, -0x1.68df0c3dc2e33p-20, -0x1.9205847644bb7p-20, -0x1.b8ae7cd2ca964p-20, -0x1.dd0c47efa8ef2p-20, -0x1.ff4f74b1888ccp-20, -0x1.0fd1857bbaa7cp-19, -0x1.1f156996092e8p-19, -0x1.2d81604022848p-19, -0x1.3b1f935bbe8fep-19, -0x1.47f6f748f23c4p-19, -0x1.540c8d389aaa9p-19, -0x1.5f6542338d193p-19, -0x1.6a078ffb6b55p-19, -0x1.73fba1c7c3fe3p-19, -0x1.7d4a09ae9c505p-19, -0x1.85fa4a49a84b5p-19, -0x1.8e12143228488p-19, -0x1.9595b105de8e6p-19, -0x1.9c89e8c6a8c8fp-19, -0x1.a2f606ae0a56bp-19, -0x1.a8e3d28434699p-19, -0x1.ae5d843928212p-19, -0x1.b36bb801a7318p-19, -0x1.b814dc73bfdcp-19, -0x1.bc5e1d2ea089dp-19, -0x1.c04cf28f81a97p-19, -0x1.c3e842b72309p-19, -0x1.c7385e1abbef7p-19, -0x1.ca45e4f33d813p-19, -0x1.cd1805fad88ep-19, -0x1.cfb2c6f73d248p-19, -0x1.d216b47080ef6p-19, -0x1.d442d6aa97122p-19, -0x1.d637b69986a44p-19, -0x1.d7f8f8a541376p-19, -0x1.d98bca72a7432p-19, -0x1.daf38522f43a8p-19, -0x1.dc30c133f7f04p-19, -0x1.dd4408bbd8afep-19, -0x1.de30378cd6662p-19, -0x1.def9e810b869ap-19, -0x1.dfa58ecdcee17p-19, -0x1.e03668b1e6938p-19, -0x1.e0ae804306dap-19, -0x1.e10f1bb6036b9p-19, -0x1.e1591e5c34d53p-19, -0x1.e18d4be181e6p-19, -0x1.e1ac7b6bffa86p-19, -0x1.e1b7c7ed40aedp-19, -0x1.e1b0c323a395ep-19, -0x1.e19974fecd2dp-19, -0x1.e173dcfec9d9fp-19, -0x1.e1416293f56c3p-19, -0x1.e102e51a95a16p-19, -0x1.e0b91f98a499ep-19, -0x1.e064a5f318343p-19, -0x1.e005a4d3127c9p-19, -0x1.df9c2d80ac6e4p-19, -0x1.df28cc0d6abd2p-19, -0x1.deac604400c96p-19, -0x1.de279c811be75p-19, -0x1.dd9b1d552dec4p-19, -0x1.dd07a0f466cd8p-19, -0x1.dc6db6a53cb1ep-19, -0x1.dbcd6f113c8e5p-19, -0x1.db269a5d80463p-19, -0x1.da7944e989d37p-19, -0x1.d9c5e969b269ap-19, -0x1.d90d30ca63123p-19, -0x1.d84f8ded59206p-19, -0x1.d78ce91072e62p-19, -0x1.d6c42414573dbp-19, -0x1.d5f36e6acafdap-19, -0x1.d51a82bddbae4p-19, -0x1.d43b6c80940a4p-19, -0x1.d3579c6c41703p-19, -0x1.d26e604ebab3ap-19, -0x1.d17f55f513cd7p-19, -0x1.d08b79fe5786cp-19, -0x1.cf92b456b9b0ep-19, -0x1.ce93071dfc427p-19, -0x1.cd8abcec8b3d2p-19, -0x1.cc7a26bec857p-19, -0x1.cb62a796db963p-19, -0x1.ca446d4c3d87ap-19, -0x1.c91e31719ba1fp-19, -0x1.c7ef643acaa8p-19, -0x1.c6b90264829p-19, -0x1.c57beb8adcdf4p-19, -0x1.c437ff8e08156p-19, -0x1.c2eccd73c1fa1p-19, -0x1.c19a0293ce6a8p-19, -0x1.c03f7fc9cef75p-19, -0x1.bedd1cd989531p-19, -0x1.bd70fbc5166cap-19, -0x1.bbf88d173e6edp-19, -0x1.ba756d53cf3efp-19, -0x1.b8ea0d0d4f50bp-19, -0x1.b75433fa706ffp-19, -0x1.b5b2bdc72a071p-19, -0x1.b4083d9aecc34p-19, -0x1.b25546d31e6bdp-19, -0x1.b09851c97a08dp-19, -0x1.aed09040c3a86p-19, -0x1.acfe3787e5b44p-19, -0x1.ab21cb2231355p-19, -0x1.a93b9973d1d43p-19, -0x1.a74b0b6cd4c7fp-19, -0x1.a54e45d9e7e65p-19, -0x1.a3440ea355144p-19, -0x1.a12dbac97549ep-19, -0x1.9f0c926a36f9bp-19, -0x1.9cdf374c238dep-19, -0x1.9aa4f4e688471p-19, -0x1.985ff53469f54p-19, -0x1.96117e5b3ccfap-19, -0x1.93b910e32ddb2p-19, -0x1.91567df2d9e15p-19, -0x1.8ee76e5c30af4p-19, -0x1.8c69e86eafd85p-19, -0x1.89e01045967eep-19, -0x1.8748689e356d3p-19, -0x1.84a35047a4ba1p-19, -0x1.81f4a4d1f0e01p-19, -0x1.7f3bb0892b8f9p-19, -0x1.7c76789245769p-19, -0x1.79a4956720bebp-19, -0x1.76c651639335ap-19, -0x1.73dbf0096ee62p-19, -0x1.70e595025188ep-19, -0x1.6de343a16820ep-19, -0x1.6ad522cb0751ep-19, -0x1.67bb4f1cd4496p-19, -0x1.649608c7a9914p-19, -0x1.6165846484bc2p-19, -0x1.5e29fd5e4a22bp-19, -0x1.5ae40601eaae1p-19, -0x1.579454ca94cefp-19, -0x1.543a2eae9d936p-19, -0x1.50d3d4c62d84dp-19, -0x1.4d619d14edfp-19, -0x1.49e5260ac21e8p-19, -0x1.465fc1e7878ebp-19, -0x1.42d071122aceap-19, -0x1.3f37175311026p-19, -0x1.3b92141cc52efp-19, -0x1.37e2614b1ad0dp-19, -0x1.342b3ac7d624ep-19, -0x1.306ac8a8b896dp-19, -0x1.2ca00b45c689p-19, -0x1.28cb8aa1fa1abp-19, -0x1.24ede56073a27p-19, -0x1.21077f50f4027p-19, -0x1.1d189608e075bp-19, -0x1.192153d09a0e8p-19, -0x1.1521e54e69a01p-19, -0x1.111a7c6f8de3ep-19, -0x1.0d0b548b55b7ep-19, -0x1.08f4b1d4c03c9p-19, -0x1.04d6d643019f5p-19, -0x1.00b1f2b434625p-19, -0x1.f90c42e8bd143p-20, -0x1.f0a6e9d817ed1p-20, -0x1.e83430b829f6ep-20, -0x1.dfb497106f759p-20, -0x1.d7281c730e597p-20, -0x1.ce8ee181e3524p-20, -0x1.c5ed1697b12e4p-20, -0x1.bd464234c36b1p-20, -0x1.b4946dd325bf1p-20, -0x1.abd68bbcdffecp-20, -0x1.a30f9c55329cap-20, -0x1.9a41ca239b2fp-20, -0x1.91682c09edb8dp-20, -0x1.888583bfeffffp-20, -0x1.7f9e94ffc4bbdp-20, -0x1.76b1d8069ce43p-20, -0x1.6dbde95dc8075p-20, -0x1.64c35489c5fe5p-20, -0x1.5bc307c126c9dp-20, -0x1.52bdc01b0267bp-20, -0x1.49b4109b2667p-20, -0x1.40a67cc9cecdfp-20, -0x1.379589a4a0f84p-20, -0x1.2e81c26c7219bp-20, -0x1.256bb09291425p-20, -0x1.1c53cc06ec84ap-20, -0x1.133a715701bf9p-20, -0x1.0a1fe927d480ep-20, -0x1.0104854cf9edp-20, -0x1.efd193905d6b5p-21, -0x1.dd9abcd527425p-21, -0x1.cb652124be1a7p-21, -0x1.b930da874e665p-21, -0x1.a703746f170aep-21, -0x1.94e041ee281c6p-21, -0x1.82b98a8145bf7p-21, -0x1.70969617b1e6fp-21, -0x1.5e8149ee27851p-21, -0x1.4c72ace27c9d5p-21, -0x1.3a6a854b32d78p-21, -0x1.286adbee780adp-21, -0x1.1674d6bc9bbb4p-21, -0x1.048a222e43359p-21, -0x1.e55dd2e92a2c7p-22, -0x1.c1c80631a3fa7p-22, -0x1.9e45a1b719257p-22, -0x1.7ad6c8b71234bp-22, -0x1.578bddbc6bfd8p-22, -0x1.34665c5faab4ep-22, -0x1.11606c55002b1p-22, -0x1.dcf635ce29003p-23, -0x1.9772b75183522p-23, -0x1.523ad799bedd3p-23, -0x1.0d51bff8c0facp-23, -0x1.9173d5fc6ea61p-24, -0x1.08eb1e9eb5b7cp-24, -0x1.021c1355abed1p-25, 0x1.874e5d97a6eadp-30, 0x1.191dd283a7a71p-25, 0x1.12421318ce873p-24, 0x1.973918d9cb92ep-24, 0x1.0db39a1a62008p-23, 0x1.4f5afc0c8d5e5p-23, 0x1.90a8720c67836p-23, 0x1.d18242f05c33ap-23, 0x1.08f6d972e5508p-22, 0x1.28f72b63bd962p-22, 0x1.48bf6c67016edp-22, 0x1.684df61ff7137p-22, 0x1.87a1aa32c2d47p-22, 0x1.a6b98917a2cf3p-22, 0x1.c5949d6434bap-22, 0x1.e431fb43eb90fp-22, 0x1.014860d71b07cp-21, 0x1.10580cda6ecf8p-21, 0x1.1f4791fcbad23p-21, 0x1.2e167f68dff2ap-21, 0x1.3cc4674ac9563p-21, 0x1.4b50fae07e47bp-21, 0x1.59bbf45ec9ec4p-21, 0x1.680451319e822p-21, 0x1.76292cc80d102p-21, 0x1.842c09dd8c5p-21, 0x1.920b85cdeff9ep-21, 0x1.9fc6bc8c4498ep-21, 0x1.ad5e5eed77efbp-21, 0x1.bad20696e75c4p-21, 0x1.c8211e954745dp-21, 0x1.d54b41d8ffeb3p-21, 0x1.e250551a8d08p-21, 0x1.ef3058f075dbdp-21, 0x1.fbea65fd7644dp-21, 0x1.043f51bc98feap-20, 0x1.0a76315cf9c98p-20, 0x1.109a093a33b0bp-20, 0x1.16aab348515efp-20, 0x1.1ca803c944493p-20, 0x1.2291e08ff6698p-20, 0x1.2868346a7b611p-20, 0x1.2e2aeb8fc792p-20, 0x1.33d9f3456f933p-20, 0x1.397539f1f233dp-20, 0x1.3efcaf2fec8a4p-20, 0x1.447043d7b085dp-20, 0x1.49cfea00b01a5p-20, 0x1.4f1b9500de25ep-20, 0x1.5453396faad3ap-20, 0x1.5976cd35b33c4p-20, 0x1.5e8647a79680dp-20, 0x1.6381a194bb605p-20, 0x1.6868d520be98bp-20, 0x1.6d3bdd6817e3ap-20, 0x1.71fab6410d1p-20, 0x1.76a55c3b165cep-20, 0x1.7b3bccae5910dp-20, 0x1.7fbe060660bfcp-20, 0x1.842c09249649ap-20, 0x1.8885db5c56264p-20, 0x1.8ccb82b8c5395p-20, 0x1.90fcfb3cb3b66p-20, 0x1.951a3eab64c12p-20, 0x1.99235501e7167p-20, 0x1.9d186d18bd1aep-20, 0x1.a0f99a048f4e2p-20, 0x1.a4c6a19525b26p-20, 0x1.a87f956421c08p-20, 0x1.ac2492bc6f4dap-20, 0x1.afb5a8989f99fp-20, 0x1.b332e340cce3ap-20, 0x1.b69c4e24ec184p-20, 0x1.b9f1fbdf8bb59p-20, 0x1.bd33f6bc434d9p-20, 0x1.c06250585c853p-20, 0x1.c37d1916ed217p-20, 0x1.c684629d22b29p-20, 0x1.c978526212327p-20, 0x1.cc58e25fc9363p-20, 0x1.cf260541d25d5p-20, 0x1.d1e015c2528e7p-20, 0x1.d4870a3cec7fap-20, 0x1.d71af9a502208p-20, 0x1.d99bfb5d3974dp-20, 0x1.dc0a2729cf287p-20, 0x1.de6594e06c8e4p-20, 0x1.e0ae5d72aa103p-20, 0x1.e2e49a2c6d52bp-20, 0x1.e508644de8affp-20, 0x1.e719d5de2ae92p-20, 0x1.e9190a11b0efcp-20, 0x1.eb061ef47045bp-20, 0x1.ece1340665cfcp-20, 0x1.eeaa651f1ade4p-20, 0x1.f061c91b6f13ap-20, 0x1.f207653fe92eap-20, 0x1.f39b7f53aaep-20, 0x1.f51e5952c6109p-20, 0x1.f68fc5eef27edp-20, 0x1.f7effaad932a6p-20, 0x1.f93f2082d44dcp-20, 0x1.fa7d58b807ad4p-20, 0x1.fbaac531cd8ccp-20, 0x1.fcc78566f777ep-20, 0x1.fdd3afa9397c8p-20, 0x1.fecf5d5e4af21p-20, 0x1.ffbadab50144dp-20, 0x1.004b2a5027bb6p-19, 0x1.00b0dd9cd9f01p-19, 0x1.010e9a9a4e12ap-19, 0x1.01647958b7228p-19, 0x1.01b28d07ccf3ap-19, 0x1.01f8e7a8a70fbp-19, 0x1.02379b25b2591p-19, 0x1.026eb9ab76da9p-19, 0x1.029e5593bdc0bp-19, 0x1.02c6815e1e6b1p-19, 0x1.02e74fa235e86p-19, 0x1.0300d30661ac1p-19, 0x1.03131e4552dfcp-19, 0x1.031e443362debp-19, 0x1.032257b85387fp-19, 0x1.031f6bc2b7adp-19, 0x1.0315934c53b58p-19, 0x1.0304e1a044ae1p-19, 0x1.02ed6a7abbc47p-19, 0x1.02cf412ea375p-19, 0x1.02aa78a8a9301p-19, 0x1.027f22d472dc7p-19, 0x1.024d4da175f41p-19, 0x1.02151d6f2bbbap-19, 0x1.01d69acacacd6p-19, 0x1.0191d5db74a9cp-19, 0x1.0146e60209146p-19, 0x1.00f5dec711388p-19, 0x1.009ed37e27f84p-19, 0x1.0041d790c75f5p-19, 0x1.ffbdfce48b97dp-20, 0x1.feecb731945f3p-20, 0x1.fe1004f2ff244p-20, 0x1.fd280d09e9eedp-20, 0x1.fc34f621374b9p-20, 0x1.fb36e9a258613p-20, 0x1.fa2e072cb851ep-20, 0x1.f91a7daff7745p-20, 0x1.f7fc6fa1a1e8cp-20, 0x1.f6d4042a66ca6p-20, 0x1.f5a161edff80ap-20, 0x1.f464af8e3dc39p-20, 0x1.f31e138ed366dp-20, }}, 
      {{0x1.2e6cd984d8ebep-2, 0x1.2a11b8b570c1fp-1, 0x1.b4c036fc91a42p-1, 0x1.1a1e8e8fda90fp+0, 0x1.532f7dec31f47p+0, 0x1.84e4f49b91e0bp+0, 0x1.aeea2227268bdp+0, 0x1.d13374058db06p+0, 0x1.ebeeda7607332p+0, 0x1.ff757478f9d3bp+0, 0x1.061f91ee51c74p+1, 0x1.096c11bb625c5p+1, 0x1.09ec438d60adep+1, 0x1.07eebae509df8p+1, 0x1.03c1f37768e7bp+1, 0x1.fb64ac6d75fcap+0, 0x1.ec11958a69d06p+0, 0x1.da1378f3cd294p+0, 0x1.c5e8f8cbed779p+0, 0x1.b005d91edbbd5p+0, 0x1.98d2c7006160cp+0, 0x1.80ad73de03ff5p+0, 0x1.67e8ed924e855p+0, 0x1.4ece20a90e6b2p+0, 0x1.359c7668977d8p+0, 0x1.1c8a83a60585cp+0, 0x1.03c6c0179e068p+0, 0x1.d6f07fae9a923p-1, 0x1.a77ed4aa20ca8p-1, 0x1.796d568a70b57p-1, 0x1.4ce63641a8e6ep-1, 0x1.220a3b2b7f8f8p-1, 0x1.f1e3d3932c444p-2, 0x1.a35d269080b93p-2, 0x1.58969ae5c4efap-2, 0x1.119ba6ee0970fp-2, 0x1.9cdd411ac7c28p-3, 0x1.1e144e518b642p-3, 0x1.4d8995608c74dp-4, 0x1.b662d7ac8ac71p-6, -0x1.9000bb48f1a6cp-6, -0x1.27a54f335f343p-4, -0x1.ddc5ef7b709bdp-4, -0x1.436ce620197a1p-3, -0x1.91af6f6e4486p-3, -0x1.d9ebb8fbc25fdp-3, -0x1.0e321f6e0a769p-2, -0x1.2cae10edb675bp-2, -0x1.488b48b2ee696p-2, -0x1.61eb26d567724p-2, -0x1.78ee9f6582861p-2, -0x1.8db60f34e8d52p-2, -0x1.a06118aef1283p-2, -0x1.b10e87bbcb931p-2, -0x1.bfdc3bbc547e9p-2, -0x1.cce716c081d87p-2, -0x1.d84af13278904p-2, -0x1.e222914b2c835p-2, -0x1.ea87a5bef4eb3p-2, -0x1.f192c32653faep-2, -0x1.f75b63b85444ap-2, -0x1.fbf7e8f98999p-2, -0x1.ff7d9f0e2a7bfp-2, -0x1.010060b3c8c9fp-1, -0x1.01ca4047436fep-1, -0x1.02258469d5b36p-1, -0x1.021ac4db25b34p-1, -0x1.01b21eec46eb1p-1, -0x1.00f339aead6c9p-1, -0x1.ffca9491d6852p-2, -0x1.fd1e30c940e3ap-2, -0x1.f9ee0555e53e8p-2, -0x1.f646068d2452bp-2, -0x1.f23168c73edf8p-2, -0x1.edbaa94c3cfffp-2, -0x1.e8eb97213a6dap-2, -0x1.e3cd5baa98819p-2, -0x1.de68831826978p-2, -0x1.d8c50496aef2p-2, -0x1.d2ea4a3dd746ap-2, -0x1.ccdf38c04e957p-2, -0x1.c6aa36d259dabp-2, -0x1.c0513456ec5dcp-2, -0x1.b9d9b13dc319cp-2, -0x1.b348c428ec103p-2, -0x1.aca320bd71044p-2, -0x1.a5ed1db2046fap-2, -0x1.9f2aba8e5686cp-2, -0x1.985fa517f0fadp-2, -0x1.918f3e84b7e25p-2, -0x1.8abca051c30ecp-2, -0x1.83eaa0f1c11a4p-2, -0x1.7d1bd82c390e8p-2, -0x1.7652a34bc1616p-2, -0x1.6f91291b26909p-2, -0x1.68d95d9b33d02p-2, -0x1.622d05976434ap-2, -0x1.5b8db9f25765fp-2, -0x1.54fceac52c91dp-2, -0x1.4e7be24d6bca1p-2, -0x1.480bc7a032778p-2, -0x1.41ada13acd2bap-2, -0x1.3b62576245e73p-2, -0x1.352ab65defaadp-2, -0x1.2f077091d3004p-2, -0x1.28f920743626ap-2, -0x1.23004a662cd13p-2, -0x1.1d1d5e703133p-2, -0x1.1750b9dedb966p-2, -0x1.119aa8c6bae6ap-2, -0x1.0bfb676e909e6p-2, -0x1.0673239bf0adap-2, -0x1.0101fdccc5ddbp-2, -0x1.f75014b07cce9p-3, -0x1.eccaa4ef61f9bp-3, -0x1.e273aa835c906p-3, -0x1.d84b111e3b68bp-3, -0x1.ce50b39d5a21bp-3, -0x1.c4845d9bf0d53p-3, -0x1.bae5cce1560bdp-3, -0x1.b174b2b39532bp-3, -0x1.a830b51a2d305p-3, -0x1.9f197004a855dp-3, -0x1.962e76582fe0dp-3, -0x1.8d6f52f09f782p-3, -0x1.84db898cfbe29p-3, -0x1.7c7297a3d1eafp-3, -0x1.7433f52c88717p-3, -0x1.6c1f155b6748p-3, -0x1.643367480afd2p-3, -0x1.5c705687afb73p-3, -0x1.54d54bc0101a7p-3, -0x1.4d61ad2a5ffep-3, -0x1.4614df086c8b3p-3, -0x1.3eee4413e4258p-3, -0x1.37ed3de56489cp-3, -0x1.31112d4ed421ap-3, -0x1.2a5972ad745dp-3, -0x1.23c56e38516a2p-3, -0x1.1d54804786301p-3, -0x1.17060991817fcp-3, -0x1.10d96b638118cp-3, -0x1.0ace07d7c9042p-3, -0x1.04e3420560df2p-3, -0x1.fe30fc51279edp-4, -0x1.f2da439141e54p-4, -0x1.e7c127b6b2cbdp-4, -0x1.dce479c7b8c16p-4, -0x1.d2430e1900ae6p-4, -0x1.c7dbbc7c01a4cp-4, -0x1.bdad606a24c4cp-4, -0x1.b3b6d92accc0cp-4, -0x1.a9f709f1d8cbbp-4, -0x1.a06cd9f81460ep-4, -0x1.971734923ffdep-4, -0x1.8df509464a20ep-4, -0x1.85054bda50b6dp-4, -0x1.7c46f45e00db6p-4, -0x1.73b8ff3342743p-4, -0x1.6b5a6d169d9abp-4, -0x1.632a43236dabp-4, -0x1.5b278ad3e9018p-4, -0x1.535151ffd7d49p-4, -0x1.4ba6aadae721bp-4, -0x1.4426abf14d4cap-4, -0x1.3cd070224220dp-4, -0x1.35a31698a7f8dp-4, -0x1.2e9dc2c2269c5p-4, -0x1.27bf9c45dbdcap-4, -0x1.2107cefb23698p-4, -0x1.1a758adf10934p-4, -0x1.14080407a5caap-4, -0x1.0dbe72961bd27p-4, -0x1.079812aa453afp-4, -0x1.0194245625c2ap-4, -0x1.f763d71f9619dp-5, -0x1.ebe16043552ccp-5, -0x1.e09f7b368b5a4p-5, -0x1.d59cc685919b7p-5, -0x1.cad7e80cb6434p-5, -0x1.c04f8cd89cb8p-5, -0x1.b602690616c54p-5, -0x1.abef37a2a12fp-5, -0x1.a214ba8d33a8p-5, -0x1.9871ba56c68b1p-5, -0x1.8f050622be8acp-5, -0x1.85cd7387d927bp-5, -0x1.7cc9de70f2ccdp-5, -0x1.73f928fd1d599p-5, -0x1.6b5a3b601cb5cp-5, -0x1.62ec03c43d40dp-5, -0x1.5aad762cecd48p-5, -0x1.529d8c58d62a6p-5, -0x1.4abb45a312fc9p-5, -0x1.4305a6e4ca845p-5, -0x1.3b7bba58a2842p-5, -0x1.341c8f7f4e043p-5, -0x1.2ce73b03b98a9p-5, -0x1.25dad69e7cd9ep-5, -0x1.1ef680f9887f5p-5, -0x1.18395d953718p-5, -0x1.11a294aec030cp-5, -0x1.0b315326d28d8p-5, -0x1.04e4ca67a0a61p-5, -0x1.fd786096301ecp-6, -0x1.f16d7e041755dp-6, -0x1.e5a769f8fa949p-6, -0x1.da24a9a4ec592p-6, -0x1.cee3ca598fd11p-6, -0x1.c3e3615b8be71p-6, -0x1.b9220bb557d31p-6, -0x1.ae9e6e0c2094bp-6, -0x1.a4573475df1f6p-6, -0x1.9a4b124fa61edp-6, -0x1.9078c213fc64fp-6, -0x1.86df0531f286fp-6, -0x1.7d7ca3e5e39d5p-6, -0x1.74506d13ee867p-6, -0x1.6b5936233869bp-6, -0x1.6295dad8fa747p-6, -0x1.5a053d33abbc8p-6, -0x1.51a645473c2a4p-6, -0x1.4977e11afb3a9p-6, -0x1.41790488f0307p-6, -0x1.39a8a91dd8584p-6, -0x1.3205cdf8f9aa3p-6, -0x1.2a8f77abefcc1p-6, -0x1.2344b01b50661p-6, -0x1.1c248660daf1ap-6, -0x1.152e0eaf1aab5p-6, -0x1.0e60623598c66p-6, -0x1.07ba9f0525d91p-6, -0x1.013be7f400ce2p-6, -0x1.f5c6c904f62fp-7, -0x1.e960818179605p-7, -0x1.dd435a6baf8d6p-7, -0x1.d16dbd8f8edfbp-7, -0x1.c5de1d4739951p-7, -0x1.ba92f44b3abap-7, -0x1.af8ac58326d01p-7, -0x1.a4c41bd788986p-7, -0x1.9a3d8a05e4abdp-7, -0x1.8ff5aa7695f38p-7, -0x1.85eb1f13de588p-7, -0x1.7c1c91212e572p-7, -0x1.7288b112766bcp-7, -0x1.692e366409757p-7, -0x1.600bdf73b8f12p-7, -0x1.5720715ba415p-7, -0x1.4e6ab7ce6123ep-7, -0x1.45e984f413bfep-7, -0x1.3d9bb147b4c8p-7, -0x1.35801b74b1534p-7, -0x1.2d95a834dfa99p-7, -0x1.25db422f7df2bp-7, -0x1.1e4fd9d9703aep-7, -0x1.16f26556b2424p-7, -0x1.0fc1e05c81a9fp-7, -0x1.08bd4c13f72c4p-7, -0x1.01e3aefccc715p-7, -0x1.f66829a127374p-8, -0x1.e95b1ccd0b669p-8, -0x1.dc9e633089159p-8, -0x1.d030324f22344p-8, -0x1.c40ec9498e547p-8, -0x1.b83870abaa8b5p-8, -0x1.acab7a3b06f37p-8, -0x1.a16640c5f8799p-8, -0x1.966727f378b3bp-8, -0x1.8bac9c144ad3p-8, -0x1.813511f5818d4p-8, -0x1.76ff06b4769abp-8, -0x1.6d08ff93e38e8p-8, -0x1.635189d1c3a8bp-8, -0x1.59d73a7dcf0f2p-8, -0x1.5098ae507a52p-8, -0x1.47948982b62f5p-8, -0x1.3ec977a695ddbp-8, -0x1.36362b8112c19p-8, -0x1.2dd95ee4e12a2p-8, -0x1.25b1d28e30ee9p-8, -0x1.1dbe4dff2a5a3p-8, -0x1.15fd9f5cfc55bp-8, -0x1.0e6e9b4d63517p-8, -0x1.07101cd4de6b8p-8, -0x1.ffc20a6ae7b5cp-9, -0x1.f1c0779cb8536p-9, -0x1.e4195bf8e7c12p-9, -0x1.d6ca9df6efb5cp-9, -0x1.c9d22f8fd6ac7p-9, -0x1.bd2e0e0317bd2p-9, -0x1.b0dc419c8858fp-9, -0x1.a4dadd7b2cb7cp-9, -0x1.9927ff5925beep-9, -0x1.8dc1cf54ae3fep-9, -0x1.82a67fba672bp-9, -0x1.77d44cd0e0239p-9, -0x1.6d497ca5455f2p-9, -0x1.63045ed936c27p-9, -0x1.59034c7157136p-9, -0x1.4f44a7a4fbf68p-9, -0x1.45c6dbae82de1p-9, -0x1.3c885c9ca34ccp-9, -0x1.3387a72493a3ep-9, -0x1.2ac3407542e9ep-9, -0x1.2239b60b6cfdep-9, -0x1.19e99d86bac18p-9, -0x1.11d1947fafbd9p-9, -0x1.09f0405e5d5e4p-9, -0x1.02444e31e43a5p-9, -0x1.f598e511445ap-10, -0x1.e70ed292346cdp-10, -0x1.d8e7eb174868bp-10, -0x1.cb21c2e9c1078p-10, -0x1.bdb9fc21ddf36p-10, -0x1.b0ae465ed92a3p-10, -0x1.a3fc5e805caeep-10, -0x1.97a20e6158a23p-10, -0x1.8b9d2c940cbafp-10, -0x1.7feb9c1f3d3b4p-10, -0x1.748b4c3ca5669p-10, -0x1.697a381885b24p-10, -0x1.5eb66692a2213p-10, -0x1.543dea0032b09p-10, -0x1.4a0edfef7b1c4p-10, -0x1.402770ec67d79p-10, -0x1.3685d046892e4p-10, -0x1.2d283bd826befp-10, -0x1.240cfbce55ea2p-10, -0x1.1b3262721c384p-10, -0x1.1296cbf2656b3p-10, -0x1.0a389e2ef2629p-10, -0x1.021648844da88p-10, -0x1.f45c873109281p-11, -0x1.e4fe22524e882p-11, -0x1.d60e77b451feap-11, -0x1.c78aae0ba9f8ap-11, -0x1.b96ffd1be2b56p-11, -0x1.abbbad5b43b42p-11, -0x1.9e6b1799afcadp-11, -0x1.917ba4a6e4afp-11, -0x1.84eaccfd4d34fp-11, -0x1.78b6186c025d8p-11, -0x1.6cdb1dc2e4c4fp-11, -0x1.6157828006093p-11, -0x1.5628fa7e1ac77p-11, -0x1.4b4d47a4267efp-11, -0x1.40c23996f3b94p-11, -0x1.3685ad6c126f4p-11, -0x1.2c958d5f22d2ap-11, -0x1.22efd08945fb8p-11, -0x1.19927a9acbabbp-11, -0x1.107b9b96ec0f8p-11, -0x1.07a94f910d5d3p-11, -0x1.fe337cd6606d3p-12, -0x1.ed963729105b2p-12, -0x1.dd774b900ee52p-12, -0x1.cdd34d9553c5dp-12, -0x1.bea6e653bfae2p-12, -0x1.afeed3f4e3b96p-12, -0x1.a1a7e9324919ap-12, -0x1.93cf0cdc17b5dp-12, -0x1.86613966200bp-12, -0x1.795b7c7c86b59p-12, -0x1.6cbaf69ec8e1cp-12, -0x1.607cdabf0ab59p-12, -0x1.549e6de31bee8p-12, -0x1.491d06c378d54p-12, -0x1.3df60d6678903p-12, -0x1.3326fab625844p-12, -0x1.28ad581182c66p-12, -0x1.1e86bedc15f24p-12, -0x1.14b0d80f5a185p-12, -0x1.0b295bd2c85e2p-12, -0x1.01ee111d0be5cp-12, -0x1.f1f99ac2fd23cp-13, -0x1.e0a6e88fa724ep-13, -0x1.cfdfeed800a8dp-13, -0x1.bfa0ac44be6a3p-13, -0x1.afe53a6c621d9p-13, -0x1.a0a9cd4a9a963p-13, -0x1.91eab29cd63c2p-13, -0x1.83a4512daae4fp-13, -0x1.75d3281130655p-13, -0x1.6873cddd11281p-13, -0x1.5b82efe9732ep-13, -0x1.4efd51a595165p-13, -0x1.42dfcc08e1131p-13, -0x1.37274d216d7c8p-13, -0x1.2bd0d7bd021efp-13, -0x1.20d983214c235p-13, -0x1.163e7ac766f36p-13, -0x1.0bfcfe0c39548p-13, -0x1.02125fcc10434p-13, -0x1.f0f80bc75826dp-14, -0x1.de6ed13356d9ap-14, -0x1.cc8423ef23a8cp-14, -0x1.bb333a3e2c4a6p-14, -0x1.aa776b52fafd3p-14, -0x1.9a4c2e38ec733p-14, -0x1.8aad18f860c89p-14, -0x1.7b95dff4b0232p-14, -0x1.6d02557b51b9fp-14, -0x1.5eee696e4bc43p-14, -0x1.515628f09f976p-14, -0x1.4435bdff47d12p-14, -0x1.37896ee5bc618p-14, -0x1.2b4d9d87d96bfp-14, -0x1.1f7ec683eec46p-14, -0x1.14198038a079cp-14, -0x1.091a79c116cb4p-14, -0x1.fcfcf3f41d9fdp-15, -0x1.e884bd4a0fae5p-15, -0x1.d4c6376da2cd5p-15, -0x1.c1bb75adeeff7p-15, -0x1.af5eb6113b8afp-15, -0x1.9daa60d45067bp-15, -0x1.8c9907ec416c6p-15, -0x1.7c25665d1818ep-15, -0x1.6c4a5f5672be4p-15, -0x1.5d02fd1a87eb6p-15, -0x1.4e4a6fc8b41bep-15, -0x1.401c0c1bd6967p-15, -0x1.32734a2dd4961p-15, -0x1.254bc450eeb79p-15, -0x1.18a135dedd44dp-15, -0x1.0c6f7a10deda3p-15, -0x1.00b28af538a19p-15, -0x1.eacd013f25cp-16, -0x1.d50f214da47fap-16, -0x1.c0241bb447eadp-16, -0x1.ac04d0013d11ep-16, -0x1.98aa56c51f05bp-16, -0x1.860dffe5cd59p-16, -0x1.7429504437c9ap-16, -0x1.62f5ff2ba008p-16, -0x1.526df4258bf0ap-16, -0x1.428b45a029a11p-16, -0x1.33483857983acp-16, -0x1.249f3f084aba3p-16, -0x1.168af9ba71408p-16, -0x1.090634464d785p-16, -0x1.f817c86360901p-17, -0x1.df2e4d115ba1bp-17, -0x1.c7467cd22a69dp-17, -0x1.b05729281a168p-17, -0x1.9a576f7298179p-17, -0x1.853eb92bb2b3cp-17, -0x1.7104ba8d0e588p-17, -0x1.5da16e4ca8656p-17, -0x1.4b0d0ffd8b709p-17, -0x1.394016a900a3p-17, -0x1.283331c943bf8p-17, -0x1.17df49be3aae9p-17, -0x1.083d82022e368p-17, -0x1.f28e77e3d35a3p-18, -0x1.d5ec2e56e1872p-18, -0x1.ba87dce682f7ap-18, -0x1.a055a4898b5d1p-18, -0x1.874a064195f8dp-18, -0x1.6f59dbf5f7df1p-18, -0x1.587a57b732e3p-18, -0x1.42a107e5c0f1p-18, -0x1.2dc3dbebf25dep-18, -0x1.19d924fb96e28p-18, -0x1.06d790979e543p-18, -0x1.e96c3ca6ffdc8p-19, -0x1.c6d829de2fb7ap-19, -0x1.a5e1f6e02474bp-19, -0x1.86793109473edp-19, -0x1.688deeed5acb3p-19, -0x1.4c10dd19ffb9fp-19, -0x1.30f3455d87825p-19, -0x1.17270b424c497p-19, -0x1.fd3d3d14e605cp-20, -0x1.ce99d2f8495d1p-20, -0x1.a24a84fd62834p-20, -0x1.7836cd37c83ap-20, -0x1.5046fa465d5b3p-20, -0x1.2a643f0dee214p-20, -0x1.0678bcd245d2ap-20, -0x1.c8defcdfbd467p-21, -0x1.8868cd152e16fp-21, -0x1.4b68321a816b6p-21, -0x1.11b7d1effc26p-21, -0x1.b667364fa3813p-22, -0x1.4f716c30be51ap-22, -0x1.dc95e06fc723dp-23, -0x1.2565626ddaebdp-23, -0x1.e34ed412b883fp-25, 0x1.4cc22cc6ef353p-26, 0x1.84a61a526e20bp-24, 0x1.51cc996f31ef4p-23, 0x1.d870942a24967p-23, 0x1.2b533efc81f61p-22, 0x1.6668c8c837199p-22, 0x1.9da8426701a48p-22, 0x1.d13ec2b9f8804p-22, 0x1.00abaaaca90aep-21, 0x1.170da849599e9p-21, 0x1.2bd9428a39914p-21, 0x1.3f218f6c200cdp-21, 0x1.50f8adf103a18p-21, 0x1.616fb8cfee4cbp-21, 0x1.7096efb4722acp-21, 0x1.7e7e08b0f03cfp-21, 0x1.8b3476a0e58dep-21, 0x1.96c977159c152p-21, 0x1.a14be7ad75937p-21, 0x1.aaca0e626dd39p-21, 0x1.b3518188fd7e4p-21, 0x1.baef368bb7962p-21, 0x1.c1af9b71dae88p-21, 0x1.c79e973370529p-21, 0x1.ccc7758e09d6cp-21, 0x1.d134d1ff43953p-21, 0x1.d4f0a238cd85ep-21, 0x1.d8045c133f0adp-21, 0x1.da7915450bb2cp-21, 0x1.dc577c8185b3cp-21, 0x1.dda7b2f4330fcp-21, 0x1.de7132e5b8fa2p-21, 0x1.debaeb4afadefp-21, 0x1.de8b87a9c4339p-21, 0x1.dde9afba23cf6p-21, 0x1.dcdc1169c965ap-21, 0x1.db6939befbdebp-21, 0x1.d997678ea96d6p-21, 0x1.d76c79c21dca7p-21, 0x1.d4edf89cd9843p-21, 0x1.d2212845fb504p-21, 0x1.cf0b18d12edccp-21, 0x1.cbb0af954b732p-21, 0x1.c816a6914643ap-21, 0x1.c4418157cabffp-21, 0x1.c0357e98f1a7dp-21, 0x1.bbf68d67f459bp-21, 0x1.b78846d95a1d7p-21, 0x1.b2ede9c4c8b03p-21, 0x1.ae2a5d8b414aap-21, 0x1.a940475dce5aap-21, 0x1.a4322ffbf624cp-21, 0x1.9f02a34c2c412p-21, 0x1.99b4339f7758dp-21, 0x1.94496196251e8p-21, 0x1.8ec488b15eb2ep-21, 0x1.8927da2e7984p-21, 0x1.837568d8266b9p-21, 0x1.7daf2d251e256p-21, 0x1.77d70114a2c2cp-21, 0x1.71ee9dedee463p-21, 0x1.6bf7a1357fa63p-21, 0x1.65f395115c0b2p-21, 0x1.5fe3f5c4b6b2cp-21, 0x1.59ca32150c065p-21, 0x1.53a7a95e0f8e9p-21, 0x1.4d7da8d3e0a78p-21, 0x1.474d63df9f486p-21, 0x1.4117e6b4b85cp-21, 0x1.3ade0ff4dd787p-21, 0x1.34a09f7538009p-21, 0x1.2e605177b08fdp-21, 0x1.281deb800b31ap-21, 0x1.21da2f53c79c3p-21, 0x1.1b95c7f3e4ceep-21, 0x1.1551498fdd967p-21, 0x1.0f0d40a7afee8p-21, 0x1.08ca3a6eef425p-21, 0x1.0288c0da576b1p-21, 0x1.f892a98ad0ce8p-22, 0x1.ec18d60eaf789p-22, 0x1.dfa4d6f77d401p-22, 0x1.d3376492fe053p-22, 0x1.c6d1266789b7dp-22, 0x1.ba72b947a11d2p-22, 0x1.ae1cb113609c7p-22, 0x1.a1cf970fc7728p-22, 0x1.958be853a7fc3p-22, 0x1.8952156b8ca01p-22, 0x1.7d228538a9107p-22, 0x1.70fd94058ec28p-22, 0x1.64e39ae1d5ba2p-22, 0x1.58d4ef0a2196dp-22, 0x1.4cd1de164857cp-22, 0x1.40daaa999228bp-22, 0x1.34ef8e3be5b58p-22, 0x1.2910bc9ac129ep-22, 0x1.1d3e6326828cap-22, 0x1.1178ab2a5d267p-22, 0x1.05bfbecd23288p-22, 0x1.f42792a53fe61p-23, 0x1.dce9e4726b255p-23, 0x1.c5c6b44d3913dp-23, 0x1.aebe35aade49fp-23, 0x1.97d08ebb6d29p-23, 0x1.80fdd97a2069bp-23, 0x1.6a462f297a8a2p-23, 0x1.53a9be0170be3p-23, 0x1.3d28ccfc43811p-23, 0x1.26c3a4ed704bcp-23, 0x1.107a74416801cp-23, 0x1.f49a929c5d57ep-24, 0x1.c8783f1365249p-24, 0x1.9c8de10a4c5f3p-24, 0x1.70dba3ad56585p-24, 0x1.456208bff1de6p-24, 0x1.1a21a2683c95fp-24, 0x1.de359e0826f97p-25, 0x1.889ba7245b316p-25, 0x1.3375efeb1347fp-25, 0x1.bd89aa63d88aap-26, 0x1.1510e9d5d8d1bp-26, 0x1.b60865342d047p-28, -0x1.c90a60c7d1c1ap-29, -0x1.bdade019e1482p-27, -0x1.839ca94667a71p-26, -0x1.13b89761dfbc4p-25, -0x1.6529d8d30f462p-25, -0x1.b6219336db6ddp-25, -0x1.034f7749f3e46p-24, -0x1.2b5054dc61608p-24, -0x1.5312a62dccab6p-24, -0x1.7a95e33972a16p-24, -0x1.a1d9e3feef69p-24, -0x1.c8dea3efe8d0ap-24, -0x1.efa3fb4b881ap-24, -0x1.0b14b5226fccep-23, -0x1.1e36f9ee0520fp-23, -0x1.313858535b80ap-23, -0x1.4418a004a3538p-23, -0x1.56d7a5297b93ap-23, -0x1.6975118f9d865p-23, -0x1.7bf08e0fd9a5dp-23, -0x1.8e49cefcdbb3ep-23, -0x1.a08080702a6e5p-23, -0x1.b2944eb577324p-23, -0x1.c484f572742c7p-23, -0x1.d652419d5eb51p-23, -0x1.e7fc0434843edp-23, -0x1.f98205f84f6c9p-23, -0x1.0571f71f15aaep-22, -0x1.0e10a0d3e096dp-22, -0x1.169cc48ffc212p-22, -0x1.1f1636e9d5bfp-22, -0x1.277cccb4f5463p-22, -0x1.2fd0544c02442p-22, -0x1.3810addde4dd5p-22, -0x1.403dcba633e8cp-22, -0x1.485791829f353p-22, -0x1.505dd20fa6666p-22, -0x1.5850569bbecdfp-22, -0x1.602ee759c90a5p-22, -0x1.67f96837a920ap-22, -0x1.6fafb2c8111a9p-22, -0x1.77518b76dce63p-22, -0x1.7edec6e115ffbp-22, -0x1.8657405af425cp-22, -0x1.8dbad05180e7ep-22, -0x1.9509501d80834p-22, -0x1.9c429c5cb022bp-22, -0x1.a3668d2eb8c27p-22, -0x1.aa7513260a34cp-22, -0x1.b16de91b9ad67p-22, -0x1.b8510033bdc1p-22, -0x1.bf1e1ad13606dp-22, -0x1.c5d5131dfaf19p-22, -0x1.cc75c78da3349p-22, -0x1.d3001dfe1061fp-22, -0x1.d973fb56b5909p-22, -0x1.dfd13f1db7b2bp-22, -0x1.e617c88c2cc7bp-22, -0x1.ec477af0c6e65p-22, -0x1.f2603acafef4ep-22, -0x1.f861e3a78740cp-22, -0x1.fe4c5a0ee6fbbp-22, -0x1.020fc45fcb73bp-21, -0x1.04edb157f1605p-21, -0x1.07bfe5a21f4e4p-21, -0x1.0a864cce505e1p-21, -0x1.0d40dd0c84d8cp-21, -0x1.0fef8ba702bbcp-21, -0x1.12924bfd69d4fp-21, -0x1.152912c0fcb37p-21, -0x1.17b3d71df74d2p-21, -0x1.1a329246ca0b7p-21, -0x1.1ca5397c11368p-21, -0x1.1f0bc8b147144p-21, -0x1.21663a43aeb41p-21, -0x1.23b48596b7a28p-21, -0x1.25f6a23e9f672p-21, -0x1.282c894aa8f32p-21, -0x1.2a56349e714fap-21, -0x1.2c73a14ce0493p-21, -0x1.2e84cdaf95495p-21, -0x1.3089b7594fa2p-21, -0x1.32825a3b5e1f2p-21, -0x1.346eb3aa770a6p-21, -0x1.364ec2ce386e7p-21, -0x1.3822827b3dc61p-21, -0x1.39e9f041d41efp-21, -0x1.3ba51659a3c06p-21, -0x1.3d53f86fdef6bp-21, -0x1.3ef69447db41bp-21, -0x1.408ce99e25532p-21, -0x1.421700d44595ap-21, -0x1.4394dac5fe398p-21, -0x1.4506766ac1684p-21, -0x1.466bd973fd984p-21, -0x1.47c50a7d10d5ap-21, -0x1.49120f5e8da12p-21, -0x1.4a52ee762d4c6p-21, -0x1.4b87aeee156bap-21, -0x1.4cb05874d63bdp-21, -0x1.4dccf2e773e69p-21, -0x1.4edd86127495cp-21, -0x1.4fe219bce9cd4p-21, -0x1.50dab6303e128p-21, -0x1.51c76511df018p-21, -0x1.52a831d406d55p-21, -0x1.537d29433c124p-21, -0x1.54465869264cep-21, -0x1.5503cb4286b2p-21, -0x1.55b58cae3c205p-21, -0x1.565ba87587e12p-21, -0x1.56f62c4a2ca32p-21, -0x1.578524b0b54f5p-21, -0x1.5808a04bef79ap-21, -0x1.5880b65a89399p-21, -0x1.58ed729d2e257p-21, -0x1.594edffb2bd71p-21, -0x1.59a5133463b4cp-21, -0x1.59f01c75dd756p-21, -0x1.5a300c74627a4p-21, -0x1.5a64f40a4121cp-21, -0x1.5a8ee46a9c79ep-21, -0x1.5aadee8ba8892p-21, -0x1.5ac225d31b663p-21, -0x1.5acba1cecae84p-21, -0x1.5aca77ce98e4fp-21, -0x1.5abeb6ac5c196p-21, -0x1.5aa87135b3c28p-21, -0x1.5a87c08029107p-21, -0x1.5a5cb818cea28p-21, -0x1.5a276c3e22aadp-21, -0x1.59e7f2251a5ebp-21, -0x1.599e5fdd8edb4p-21, -0x1.594acc23cbfdp-21, -0x1.58ed4e1140f76p-21, -0x1.5885fcc749e6dp-21, -0x1.5814eeff658ap-21, -0x1.579a3af562e3bp-21, -0x1.5715f78b9976ep-21, -0x1.56883d70e44d9p-21, -0x1.55f1250fdf887p-21, -0x1.5550c5eec53fdp-21, -0x1.54a73bb6ba0f5p-21, -0x1.53f49bcf4bc8fp-21, -0x1.533900140ccccp-21, -0x1.52748266b06p-21, -0x1.51a73baaab712p-21, -0x1.50d1453579856p-21, -0x1.4ff2b8b53852p-21, -0x1.4f0bb00489b71p-21, -0x1.4e1c44c37ec25p-21, -0x1.4d249119fa5p-21, -0x1.4c24afc95b431p-21, -0x1.4b1cbb26c9dd8p-21, -0x1.4a0cce240a4dbp-21, -0x1.48f502863056dp-21, -0x1.47d574df9b9e4p-21, -0x1.46ae3db02186bp-21, -0x1.457f78c8f4864p-21, -0x1.444940f6c8f11p-21, -0x1.430bb13b8a421p-21, -0x1.41c6e5be3deddp-21, -0x1.407af947e15aap-21, -0x1.3f2806a04453ep-21, -0x1.3dce2a61d8fe1p-21, -0x1.3c6d7f05ca5ddp-21, -0x1.3b061fe19fafcp-21, -0x1.3998282f85ce6p-21, -0x1.3823b3940a818p-21, -0x1.36a8ddcd58b16p-21, -0x1.3527c267cfe1dp-21, -0x1.33a07bfe20496p-21, -0x1.321327ad6ec0dp-21, -0x1.307fddc69fc44p-21, -0x1.2ee6bd4e5928ep-21, -0x1.2d47dfdd5955ep-21, -0x1.2ba360f1b2216p-21, -0x1.29f95be841d01p-21, -0x1.2849ec0ac4595p-21, -0x1.26952c93b7fcdp-21, -0x1.24db38ab6e7a9p-21, -0x1.231c2b6b29bddp-21, -0x1.21581fda1e8ep-21, -0x1.1f8f30ec46f4p-21, -0x1.1dc1798163a9ap-21, -0x1.1bef1463cbf55p-21, -0x1.1a181c483e2a5p-21, -0x1.183cabce4f42ep-21, -0x1.165cdd8030fffp-21, -0x1.1478cbcf7af44p-21, -0x1.1290910f7fe9cp-21, -0x1.10a447717fe41p-21, -0x1.0eb409053f9f9p-21, -0x1.0cbfefb9ef616p-21, -0x1.0ac8155f06b6fp-21, -0x1.08cc93aa8f179p-21, -0x1.06cd844456bf1p-21, -0x1.04cb00b82248bp-21, -0x1.02c522496ab12p-21, -0x1.00bc01ffddd98p-21, -0x1.fd5f71a8e4b35p-22, -0x1.f940bfa4c262p-22, -0x1.f51c1f800df12p-22, -0x1.f0f1c1d2b4d51p-22, -0x1.ecc1d7764f06fp-22, -0x1.e88c90f85ff72p-22, -0x1.e4521e3d683f8p-22, -0x1.e012af7db9babp-22, -0x1.dbce7b6aa9981p-22, -0x1.d7859c20a921p-22, -0x1.d33855f2ce41fp-22, -0x1.cee6cf12bc93ap-22, -0x1.ca9135fa6be3cp-22, -0x1.c637b8742f999p-22, -0x1.c1da7583f674cp-22, -0x1.bd79aae49e3ap-22, -0x1.b915a4705f799p-22, -0x1.b4ae534e546c3p-22, -0x1.b043fcecd7e93p-22, -0x1.abd6cc3145034p-22, -0x1.a766ebe01b8cp-22, -0x1.a2f486699b664p-22, -0x1.9e7fc6bed4c73p-22, -0x1.9a08d873fbc7dp-22, -0x1.958fdd3026b0ep-22, -0x1.911504b3bb5e9p-22, -0x1.8c987719d075ep-22, -0x1.881a5b2bbb2f9p-22, -0x1.839ad8fea5de2p-22, -0x1.7f1a182ea64d9p-22, -0x1.7a983e843a99ap-22, -0x1.761572dcfd0cap-22, -0x1.7191db8e72cdbp-22, -0x1.6d0d9e4f7c33fp-22, -0x1.6888e0864c26ep-22, -0x1.6403c643c1a24p-22, -0x1.5f7e7406fb269p-22, -0x1.5af90dc6cdf47p-22, -0x1.5673b700d31dp-22, -0x1.51ee92ca15edap-22, -0x1.4d69c3bc67ecdp-22, -0x1.48e56be68d7c4p-22, -0x1.4461aab93ede7p-22, -0x1.3fdea84753f3ap-22, -0x1.3b5c7efc63008p-22, -0x1.36db5124316a4p-22, -0x1.325b3ebda3569p-22, -0x1.2ddc677b51f74p-22, -0x1.295eeacbbe521p-22, -0x1.24e2e6524a9c6p-22, -0x1.206879429c18dp-22, -0x1.1befc14f35e1ap-22, -0x1.1778dbc75be7cp-22, -0x1.1303e5a3e4297p-22, -0x1.0e90fb6f26685p-22, -0x1.0a2039437166ap-22, -0x1.05b1bacd1ea15p-22, -0x1.01459b4c1d88fp-22, -0x1.f9b7eb284b8bdp-23, -0x1.f0e9c815af365p-23, -0x1.e821015763181p-23, -0x1.df5dca1041edp-23, -0x1.d6a054a314a52p-23, -0x1.cde8d281e2d9dp-23, -0x1.c53774338fcddp-23, -0x1.bc8c697081c6ap-23, -0x1.b3e7e1022819cp-23, -0x1.ab4a09a7717fcp-23, -0x1.a2b31050494b3p-23, -0x1.9a23215ff1d6fp-23, -0x1.919a68aa75aabp-23, -0x1.891911127d7a7p-23, -0x1.809f44ab53041p-23, -0x1.782d2cbd9104cp-23, -0x1.6fc2f1c6bb002p-23, -0x1.6760bb7b6e07dp-23, -0x1.5f06b0cb2ce04p-23, -0x1.56b4f7f727f0ep-23, -0x1.4e6bb7756c296p-23, -0x1.462b05ea52daap-23, -0x1.3df32dba68613p-23, -0x1.35c42542acc8ep-23, -0x1.2d9e255e17bd7p-23, -0x1.25814c5cda6f9p-23, -0x1.1d6dbaaca3cf5p-23, -0x1.15639057217c9p-23, -0x1.0d62ecb538c54p-23, }}, 
      {{-0x1.5d3921394ddc2p-3, -0x1.6eef54a1d0635p-4, 0x1.bf3a9afbf3aecp-6, 0x1.4dfec4ebe7f08p-3, 0x1.36096555a2a12p-2, 0x1.bd2276d38e31fp-2, 0x1.19fe2afb084dfp-1, 0x1.4ac619de614f5p-1, 0x1.6fba00b5b8f82p-1, 0x1.88b0e4210622ap-1, 0x1.963e1512c4d96p-1, 0x1.99728b7a54207p-1, 0x1.93aa6194be1a1p-1, 0x1.86659a3a32d05p-1, 0x1.732ae01e1bbc8p-1, 0x1.5b72b594ab1f8p-1, 0x1.40998310a656p-1, 0x1.23d714e987d1cp-1, 0x1.063a4620a99c6p-1, 0x1.d14f908e1d896p-2, 0x1.97b6414d9a527p-2, 0x1.60d246ae507e7p-2, 0x1.2d86b36d983fep-2, 0x1.fcef96f8b0f67p-3, 0x1.a82645019e39ap-3, 0x1.5d2f43450e045p-3, 0x1.1c3a56055e86bp-3, 0x1.ca6eb6f5bcf89p-4, 0x1.6fc642eb34a1dp-4, 0x1.27a59ec40cd99p-4, 0x1.e1f77b3484ab4p-5, 0x1.951ab0170890ap-5, 0x1.6606cfb79cbbep-5, 0x1.51ee6c6a76ecap-5, 0x1.55f87649adeb9p-5, 0x1.6f501b9352a58p-5, 0x1.9b3146719fe44p-5, 0x1.d6f22fb10b335p-5, 0x1.10053ad7fdd5fp-4, 0x1.3a0c0e0b86e51p-4, 0x1.687167bdaa871p-4, 0x1.9a2edfa40c387p-4, 0x1.ce542ae1fc6b8p-4, 0x1.0203829e9e7eap-3, 0x1.1d416069ee9e2p-3, 0x1.388bc905d88f2p-3, 0x1.5394d5185d1a9p-3, 0x1.6e1817e1868dap-3, 0x1.87da101533b19p-3, 0x1.a0a791f9d591ap-3, 0x1.b8552e790caa9p-3, 0x1.cebe9a23e5c03p-3, 0x1.e3c61699755fep-3, 0x1.f753e0328c223p-3, 0x1.04aad0a630218p-2, 0x1.0cdef60ff7018p-2, 0x1.1441dddf99f0fp-2, 0x1.1ad0fe43845a4p-2, 0x1.208b8e14e9b12p-2, 0x1.257250a70507ep-2, 0x1.2987654dd75f8p-2, 0x1.2cce1a83eec15p-2, 0x1.2f4ac48a5be2fp-2, 0x1.3102975f78f3p-2, 0x1.31fb83e330b2cp-2, 0x1.323c180045e6ep-2, 0x1.31cb61b33ace7p-2, 0x1.30b0d4c48d824p-2, 0x1.2ef4331146f7fp-2, 0x1.2c9d773782274p-2, 0x1.29b4c1831ab63p-2, 0x1.264246f14061fp-2, 0x1.224e4226f05bfp-2, 0x1.1de0e6338103fp-2, 0x1.190252feed13ap-2, 0x1.13ba8b3c54206p-2, 0x1.0e116bcc66cc9p-2, 0x1.080ea46248fbfp-2, 0x1.01b9b163486f3p-2, 0x1.f633ada0fd114p-3, 0x1.e86c38605195bp-3, 0x1.da2a92b0349b1p-3, 0x1.cb7bc7dedf334p-3, 0x1.bc6c5b71f0eacp-3, 0x1.ad0846b9c9512p-3, 0x1.9d5af7944fcd8p-3, 0x1.8d6f5058ad0bap-3, 0x1.7d4fa80d0e3adp-3, 0x1.6d05cc672a37dp-3, 0x1.5c9b03380db3cp-3, 0x1.4c180d898df8p-3, 0x1.3b852ab467745p-3, 0x1.2aea1b4bc1261p-3, 0x1.1a4e25b27a0f9p-3, 0x1.09b819314988dp-3, 0x1.f25ca49d58819p-4, 0x1.d16d7eaf5a94dp-4, 0x1.b0adc75ce8802p-4, 0x1.9027ba1735d7bp-4, 0x1.6fe4cf05145f4p-4, 0x1.4fedc2d1236c2p-4, 0x1.304aa185393afp-4, 0x1.1102cd52a44afp-4, 0x1.e43a0f44d21dcp-5, 0x1.a73ef4bbbdad1p-5, 0x1.6b1f7c0d34106p-5, 0x1.2fe5c5b847749p-5, 0x1.eb35dfafb1d5cp-6, 0x1.788e44d075b88p-6, 0x1.07e33e7630c0cp-6, 0x1.328335c56f003p-7, 0x1.65a45ae41c0ap-9, -0x1.edd20c1d8aef7p-9, -0x1.4c0514e0c9a8bp-7, -0x1.0c1d656d17aacp-6, -0x1.70052962d5b5ep-6, -0x1.d1b559c2a72adp-6, -0x1.18954a2e8a5e1p-5, -0x1.47313ec24d28fp-5, -0x1.74add6d2bd372p-5, -0x1.a10ad1524c76fp-5, -0x1.cc4857498593bp-5, -0x1.f666f3af7c886p-5, -0x1.0fb3c6ba513d7p-4, -0x1.23a5b021e4795p-4, -0x1.3709faa660c0ep-4, -0x1.49e18f02417acp-4, -0x1.5c2d773e7220fp-4, -0x1.6deedb8939d5ep-4, -0x1.7f26ffb133ec3p-4, -0x1.8fd74103a0389p-4, -0x1.a00113baa754ep-4, -0x1.afa60080b23bdp-4, -0x1.bec7a2b118f14p-4, -0x1.cd67a6817d51ap-4, -0x1.db87c6c72643p-4, -0x1.e929cb44ceffbp-4, -0x1.f64f8760338a7p-4, -0x1.017d6c42763adp-3, -0x1.0796d241fffffp-3, -0x1.0d74ec3173fa6p-3, -0x1.1318b3ac4be1ep-3, -0x1.188324cfe847bp-3, -0x1.1db53d9e7c5eep-3, -0x1.22affd8c96ae8p-3, -0x1.2774652f38f0ep-3, -0x1.2c0375ca88525p-3, -0x1.305e30d3e50a1p-3, -0x1.348597a812aafp-3, -0x1.387aab551888cp-3, -0x1.3c3e6c40ba9e3p-3, -0x1.3fd1d9d0ce521p-3, -0x1.4335f237934c3p-3, -0x1.466bb24526838p-3, -0x1.4974152efcabp-3, -0x1.4c50145a6550fp-3, -0x1.4f00a72a7e7bap-3, -0x1.5186c2d7739d2p-3, -0x1.53e35a58a5058p-3, -0x1.56175e462f822p-3, -0x1.5823bca5f0b9bp-3, -0x1.5a0960cad4cf3p-3, -0x1.5bc933543ff83p-3, -0x1.5d641a1fcdde3p-3, -0x1.5edaf81f013b7p-3, -0x1.602ead3ef49e4p-3, -0x1.6160166cd80f6p-3, -0x1.62700d90e9527p-3, -0x1.635f6975a984ap-3, -0x1.642efdba5616bp-3, -0x1.64df9ad56765ep-3, -0x1.65720e0f5d019p-3, -0x1.65e72178ba7c5p-3, -0x1.663f9beb58506p-3, -0x1.667c410e6d69cp-3, -0x1.669dd14e63706p-3, -0x1.66a509d583747p-3, -0x1.6692a497d2578p-3, -0x1.66675860b85dep-3, -0x1.6623d8ccbe88bp-3, -0x1.65c8d63f69fabp-3, -0x1.6556fdee6bf9ep-3, -0x1.64cef9f7abc06p-3, -0x1.64317164f025fp-3, -0x1.637f08207752bp-3, -0x1.62b85ef9ff5fap-3, -0x1.61de13bfb4c88p-3, -0x1.60f0c14cac374p-3, -0x1.5ff0ff80b186fp-3, -0x1.5edf633bafb9dp-3, -0x1.5dbc7e7352fefp-3, -0x1.5c88e04fafc1ap-3, -0x1.5b45152e4a7a7p-3, -0x1.59f1a69276576p-3, -0x1.588f1b28b8875p-3, -0x1.571df6e80c9abp-3, -0x1.559ebb30121fp-3, -0x1.5411e6c573abdp-3, -0x1.5277f5bca4bddp-3, -0x1.50d1617dbd842p-3, -0x1.4f1ea0eb6f01ap-3, -0x1.4d602887063c9p-3, -0x1.4b966a6ea49b1p-3, -0x1.49c1d64337f7cp-3, -0x1.47e2d9236a167p-3, -0x1.45f9ddcf03bcbp-3, -0x1.44074cd3ecf02p-3, -0x1.420b8c9994629p-3, -0x1.40070147f6726p-3, -0x1.3dfa0cb32d3f6p-3, -0x1.3be50e6ec478cp-3, -0x1.39c863fd75c6p-3, -0x1.37a468f1b38f3p-3, -0x1.357976e4f16abp-3, -0x1.3347e5595b3d4p-3, -0x1.311009b159788p-3, -0x1.2ed2374fe396fp-3, -0x1.2c8ebfc7ef1dbp-3, -0x1.2a45f2f241218p-3, -0x1.27f81edc84d67p-3, -0x1.25a58fac119b8p-3, -0x1.234e8f9ab1065p-3, -0x1.20f36718b036ap-3, -0x1.1e945cf9d90b4p-3, -0x1.1c31b6893bcd8p-3, -0x1.19cbb7793420fp-3, -0x1.1762a1c70229fp-3, -0x1.14f6b5b41f3b4p-3, -0x1.128831e1f05d9p-3, -0x1.1017537c4a991p-3, -0x1.0da45652a6e42p-3, -0x1.0b2f74d0e4cd7p-3, -0x1.08b8e7e539c49p-3, -0x1.0640e6f09427fp-3, -0x1.03c7a7d47ce45p-3, -0x1.014d5f1735e87p-3, -0x1.fda48008962a1p-4, -0x1.f8acf9691ce62p-4, -0x1.f3b48bfaff60ep-4, -0x1.eebb96b6e1dc5p-4, -0x1.e9c275d9ed428p-4, -0x1.e4c9830eaefacp-4, -0x1.dfd115ae9643dp-4, -0x1.dad982f13f259p-4, -0x1.d5e31deff3a41p-4, -0x1.d0ee3785f6b74p-4, -0x1.cbfb1e2eb6b1cp-4, -0x1.c70a1e02be672p-4, -0x1.c21b80dbcad3cp-4, -0x1.bd2f8e8b132e5p-4, -0x1.b8468d0137b97p-4, -0x1.b360c0547f22bp-4, -0x1.ae7e6aaa48c1p-4, -0x1.a99fcc1b408aep-4, -0x1.a4c522abb58e9p-4, -0x1.9feeaa626546bp-4, -0x1.9b1c9d726350cp-4, -0x1.964f3461187fcp-4, -0x1.9186a615f0de6p-4, -0x1.8cc327d184fa1p-4, -0x1.8804ed18968c5p-4, -0x1.834c27a5d4c93p-4, -0x1.7e99076fe2adap-4, -0x1.79ebbac37c797p-4, -0x1.75446e64ba7a4p-4, -0x1.70a34da791b72p-4, -0x1.6c088276c0001p-4, -0x1.6774354b18c27p-4, -0x1.62e68d1d54f3ap-4, -0x1.5e5faf5ee6444p-4, -0x1.59dfc00187acap-4, -0x1.5566e18c02223p-4, -0x1.50f53532e5bcp-4, -0x1.4c8adaeaf9db5p-4, -0x1.4827f16ff4a17p-4, -0x1.43cc964085194p-4, -0x1.3f78e595c2b3cp-4, -0x1.3b2cfa5e022c2p-4, -0x1.36e8ee40e3783p-4, -0x1.32acd9ace5a5bp-4, -0x1.2e78d3e95f62ap-4, -0x1.2a4cf3263462fp-4, -0x1.26294c84dd2a9p-4, -0x1.220df419f854ep-4, -0x1.1dfafce9dce7ap-4, -0x1.19f078e4af92p-4, -0x1.15ee78e68663p-4, -0x1.11f50cbe01a2dp-4, -0x1.0e044337e3a04p-4, -0x1.0a1c2a2be49f9p-4, -0x1.063cce8706146p-4, -0x1.02663c51a45f8p-4, -0x1.fd30fd627c8a5p-5, -0x1.f5a73fcf21ddp-5, -0x1.ee2f52a3200ebp-5, -0x1.e6c946d1d8eeap-5, -0x1.df752b92fda4fp-5, -0x1.d8330e736d944p-5, -0x1.d102fb6789219p-5, -0x1.c9e4fcdaddc74p-5, -0x1.c2d91bbaf5af4p-5, -0x1.bbdf5f7d74b35p-5, -0x1.b4f7ce2294d93p-5, -0x1.ae226c3674ed5p-5, -0x1.a75f3cd43190cp-5, -0x1.a0ae41ad301b7p-5, -0x1.9a0f7b147fe03p-5, -0x1.9382e80c35644p-5, -0x1.8d088651ecdacp-5, -0x1.86a052690ec47p-5, -0x1.804a47a28fa19p-5, -0x1.7a0660228fb07p-5, -0x1.73d494e47f62bp-5, -0x1.6db4ddbef122fp-5, -0x1.67a731687a60ap-5, -0x1.61ab857eac772p-5, -0x1.5bc1ce8ee23cfp-5, -0x1.55ea001fac415p-5, -0x1.50240cb997abbp-5, -0x1.4a6fe5ef0d987p-5, -0x1.44cd7c639d46ap-5, -0x1.3f3cbfd2ffe74p-5, -0x1.39bd9f17b609fp-5, -0x1.345008311bd16p-5, -0x1.2ef3e848d6077p-5, -0x1.29a92bb7ccd8p-5, -0x1.246fbe0ac1374p-5, -0x1.1f478a068726dp-5, -0x1.1a3079ac36217p-5, -0x1.152a763e29d0fp-5, -0x1.103568470f039p-5, -0x1.0b5137a39a80ep-5, -0x1.067dcb8e483edp-5, -0x1.01bb0aab53971p-5, -0x1.fa11b625261a6p-6, -0x1.f0ce44aa561a9p-6, -0x1.e7ab8afc5176ep-6, -0x1.dea9521d383f8p-6, -0x1.d5c761ee8c0a6p-6, -0x1.cd058126589b4p-6, -0x1.c463754e8c696p-6, -0x1.bbe102d3dde7ep-6, -0x1.b37ded26f41aap-6, -0x1.ab39f6eb11169p-6, -0x1.a314e228a2566p-6, -0x1.9b0e7076d6d0fp-6, -0x1.932663107e127p-6, -0x1.8b5c7acd4e503p-6, -0x1.83b078007845bp-6, -0x1.7c221a45e0b14p-6, -0x1.74b1204db0c9p-6, -0x1.6d5d47b8d07a8p-6, -0x1.66264d1620652p-6, -0x1.5f0bec087c717p-6, -0x1.580ddf9222aa8p-6, -0x1.512be2763e4bap-6, -0x1.4a65af99091b9p-6, -0x1.43bb0244bd502p-6, -0x1.3d2b963eaa226p-6, -0x1.36b727a39e92bp-6, -0x1.305d7292081a4p-6, -0x1.2a1e32b6eefa5p-6, -0x1.23f922dd03041p-6, -0x1.1dedfc9eda634p-6, -0x1.17fc7856d3323p-6, -0x1.12244d581f19bp-6, -0x1.0c6532697ef64p-6, -0x1.06bede67c58c3p-6, -0x1.013108e9d9bf2p-6, -0x1.f776d5797cb4ep-7, -0x1.ecbb7c2c3f2b5p-7, -0x1.e22f7cda8b954p-7, -0x1.d7d25000e7b41p-7, -0x1.cda36e45baaadp-7, -0x1.c3a24efd2d76ep-7, -0x1.b9ce66f65ac0dp-7, -0x1.b02727e448dd3p-7, -0x1.a6ac0091a3ca6p-7, -0x1.9d5c5ddcd5c59p-7, -0x1.9437ac49b7f3fp-7, -0x1.8b3d59cd0d5eep-7, -0x1.826cd76872f6p-7, -0x1.79c59a33ca35ep-7, -0x1.71471b9385cc6p-7, -0x1.68f0d88d1c76cp-7, -0x1.60c25060370ddp-7, -0x1.58bb02b85decep-7, -0x1.50da6de382776p-7, -0x1.49200d7854fe3p-7, -0x1.418b59bd7bd4dp-7, -0x1.3a1bc7f5be36cp-7, -0x1.32d0cb8105d68p-7, -0x1.2ba9d79186c83p-7, -0x1.24a66113431e4p-7, -0x1.1dc5e0590904dp-7, -0x1.1707d2308e309p-7, -0x1.106bb8239eb11p-7, -0x1.09f117de0e7f3p-7, -0x1.039779e33b2d2p-7, -0x1.fabccfc8b7411p-8, -0x1.ee8ad634e8a5cp-8, -0x1.e29815ff2591ep-8, -0x1.d6e3994fb9e4bp-8, -0x1.cb6c65a96366cp-8, -0x1.c0317d68b27bcp-8, -0x1.b531e23ee6a1cp-8, -0x1.aa6c981d4d6d5p-8, -0x1.9fe0a7f32c38fp-8, -0x1.958d21ab00604p-8, -0x1.8b711cfdc92b8p-8, -0x1.818bb8f889878p-8, -0x1.77dc1a622000dp-8, -0x1.6e6169794557p-8, -0x1.651acfa72b34p-8, -0x1.5c0775b78f323p-8, -0x1.532682eeb3c18p-8, -0x1.4a771d0a1ac5dp-8, -0x1.41f868fa8d774p-8, -0x1.39a98c08fff87p-8, -0x1.3189ad1e34f08p-8, -0x1.2997f5fb78a05p-8, -0x1.21d39443b2dfap-8, -0x1.1a3bba367c5c6p-8, -0x1.12cf9ef6ac4a7p-8, -0x1.0b8e7e3aa444fp-8, -0x1.04779766b9cb9p-8, -0x1.fb14588ed953ep-9, -0x1.ed8affa7c38dfp-9, -0x1.e051aadac7439p-9, -0x1.d366e1c4bacb5p-9, -0x1.c6c92e4ed1af7p-9, -0x1.ba771ec8aa254p-9, -0x1.ae6f47a427ff7p-9, -0x1.a2b0440b71ce6p-9, -0x1.9738b526f9e32p-9, -0x1.8c074091e66dbp-9, -0x1.811a8ed51d27p-9, -0x1.76714aacedc05p-9, -0x1.6c0a2166ed27dp-9, -0x1.61e3c4178fd2p-9, -0x1.57fce905da53fp-9, -0x1.4e544cb0a6999p-9, -0x1.44e8b222f515fp-9, -0x1.3bb8e2b8459e8p-9, -0x1.32c3ada9e0929p-9, -0x1.2a07e7b50f4c2p-9, -0x1.21846af7b3814p-9, -0x1.193816f6a591dp-9, -0x1.1121d09b0d9c4p-9, -0x1.094081e8c98e8p-9, -0x1.019319096432ap-9, -0x1.f4310cd156a9cp-10, -0x1.e59f740728467p-10, -0x1.d76f415fa87d8p-10, -0x1.c99e457def2e2p-10, -0x1.bc2a4aad45961p-10, -0x1.af111e2d09c7dp-10, -0x1.a2509e574085fp-10, -0x1.95e6c8ce9944ep-10, -0x1.89d1c2720eafep-10, -0x1.7e0fd44c1412fp-10, -0x1.729f5d2170bd1p-10, -0x1.677ebcf5b5b7dp-10, -0x1.5cac43cca99d2p-10, -0x1.52262c795fcd3p-10, -0x1.47eaa6c2f6a3cp-10, -0x1.3df7ebef2b33dp-10, -0x1.344c524b989ccp-10, -0x1.2ae653abc69efp-10, -0x1.21c48100da902p-10, -0x1.18e5675c44db3p-10, -0x1.104773d1a0074p-10, -0x1.07e8e68551004p-10, -0x1.ff8fbebcd182p-11, -0x1.efc5041c37174p-11, -0x1.e06e436c23659p-11, -0x1.d188bc2791004p-11, -0x1.c3124298dcebap-11, -0x1.b508f886a85f7p-11, -0x1.a76ae1556dac5p-11, -0x1.9a3585947a93dp-11, -0x1.8d65d684e60fcp-11, -0x1.80f86538e6a35p-11, -0x1.74e9d72bec677p-11, -0x1.6937609d6f767p-11, -0x1.5ddf063c914f5p-11, -0x1.52df8187376a2p-11, -0x1.4837d1c6a54dep-11, -0x1.3de6aed5d4e7ep-11, -0x1.33ea22ccf9cbep-11, -0x1.2a3f7aa87a314p-11, -0x1.20e3900b18e62p-11, -0x1.17d342f375e1ap-11, -0x1.0f0be8ae0028bp-11, -0x1.068b8122b3a0fp-11, -0x1.fca13fcafcd81p-12, -0x1.ecb42a1098136p-12, -0x1.dd4cf49555cbcp-12, -0x1.ce67adfb2e1bfp-12, -0x1.bfff1411b298p-12, -0x1.b20d2135ab9aap-12, -0x1.a48c27b663f43p-12, -0x1.9777f75d39d37p-12, -0x1.8ace6db06a85cp-12, -0x1.7e8f1849f4fbfp-12, -0x1.72ba19f7e7cb1p-12, -0x1.674ef33bb1814p-12, -0x1.5c4bd34933267p-12, -0x1.51adaee885ec5p-12, -0x1.4770da4b8109ep-12, -0x1.3d91a7fed809fp-12, -0x1.340cb283a8dccp-12, -0x1.2adec937eed37p-12, -0x1.2204bc2783ac7p-12, -0x1.197b498c88336p-12, -0x1.113f3754e45bfp-12, -0x1.094d66a37e3e4p-12, -0x1.01a2b8a78f9eap-12, -0x1.f477cd49b6b22p-13, -0x1.e62b3a3644e89p-13, -0x1.d859eb08f8df7p-13, -0x1.caffff15657ccp-13, -0x1.be1bbed9530a7p-13, -0x1.b1acb13ec92e1p-13, -0x1.a5b23785f02dap-13, -0x1.9a2aa95f0892dp-13, -0x1.8f134e37ab67cp-13, -0x1.8468e6ae2293ap-13, -0x1.7a2855473b8bdp-13, -0x1.704f03136daaap-13, -0x1.66daa5e53314bp-13, -0x1.5dc87261b88d4p-13, -0x1.55145df387412p-13, -0x1.4cb91419e8ec9p-13, -0x1.44b0997229bbp-13, -0x1.3cf5187f9037p-13, -0x1.35816eaa63941p-13, -0x1.2e516c9d06a55p-13, -0x1.2761e9e234e49p-13, -0x1.20b0bb7f8f411p-13, -0x1.1a3c8843b69e9p-13, -0x1.14046fd50ccd4p-13, -0x1.0e0787e80ac86p-13, -0x1.08446bda84acep-13, -0x1.02b9351079769p-13, -0x1.fac7aea0a2573p-14, -0x1.f0850d2d76aeap-14, -0x1.e6a7dc2f82483p-14, -0x1.dd2e300edd5aep-14, -0x1.d415d341ef03cp-14, -0x1.cb5b1b3aeca08p-14, -0x1.c2f8db51503dap-14, -0x1.bae984ea74c25p-14, -0x1.b32854bd4035bp-14, -0x1.abb1afb14db3dp-14, -0x1.a482a56ca35bfp-14, -0x1.9d980fd62f863p-14, -0x1.96edeeaac881cp-14, -0x1.907f6a76b85dfp-14, -0x1.8a4776daf985p-14, -0x1.8441d1197f083p-14, -0x1.7e6bf963863cdp-14, -0x1.78c56523f0054p-14, -0x1.734e6719baa96p-14, -0x1.6e06732f0af16p-14, -0x1.68eb28883b587p-14, -0x1.63f93434d04fep-14, -0x1.5f2e4ba04cf4fp-14, -0x1.5a89bdef6af95p-14, -0x1.560adefac3498p-14, -0x1.51af9df372208p-14, -0x1.4d74dbc9dbd7dp-14, -0x1.49578b4c152bep-14, -0x1.4555544eabbd1p-14, -0x1.416c9103a7e6ap-14, -0x1.3d9c0d3d1f213p-14, -0x1.39e2cd6b07c35p-14, -0x1.363fe73c371bcp-14, -0x1.32b2633edfd63p-14, -0x1.2f392017de838p-14, -0x1.2bd2b378054e4p-14, -0x1.287d6a69ca40ap-14, -0x1.2537957424275p-14, -0x1.21ffe04db7faap-14, -0x1.1ed5492cd9f72p-14, -0x1.1bb6e46ae663bp-14, -0x1.18a3de040efbp-14, -0x1.159ba0d460955p-14, -0x1.129da919a3e2bp-14, -0x1.0fa929a2f776bp-14, -0x1.0cbd23a2866d6p-14, -0x1.09d8b53da25c1p-14, -0x1.06fb0bd7dbcd8p-14, -0x1.042342ab6df96p-14, -0x1.015092e2b1fc6p-14, -0x1.fd0506db66b5fp-15, -0x1.f771872288cf7p-15, -0x1.f1e5bf49771c3p-15, -0x1.ec60484269296p-15, -0x1.e6df8bbbd032ep-15, -0x1.e1623cf457e51p-15, -0x1.dbe7bb0edc016p-15, -0x1.d670a088436fp-15, -0x1.d0fe5a1784f3fp-15, -0x1.cb907e286919fp-15, -0x1.c623f208877c3p-15, -0x1.c0b664d6b699cp-15, -0x1.bb480d226fb97p-15, -0x1.b5d8c171a8532p-15, -0x1.b066ca55f4241p-15, -0x1.aaf1bdb706af6p-15, -0x1.a57b62b3cd55dp-15, -0x1.a0052c54b9252p-15, -0x1.9a8e40a9de675p-15, -0x1.9514932713f0bp-15, -0x1.8f977ec77befbp-15, -0x1.8a180eeae8ee8p-15, -0x1.8496867448d11p-15, -0x1.7f1169972adc9p-15, -0x1.79876270c118cp-15, -0x1.73f8486d0f76bp-15, -0x1.6e645e80156cbp-15, -0x1.68cbcf3f7f113p-15, -0x1.632e897cf810fp-15, -0x1.5d8c84aa20cc7p-15, -0x1.57e79c3835cb1p-15, -0x1.52426119955e4p-15, -0x1.4c9ae6e701c13p-15, -0x1.46ee832c5e971p-15, -0x1.413f724428fe1p-15, -0x1.3b8eb5a02ce26p-15, -0x1.35d9a2d34b18p-15, -0x1.301fbbf9e7863p-15, -0x1.2a629468bf7cfp-15, -0x1.24a2f90a94e17p-15, -0x1.1ee0bb3d2631bp-15, -0x1.191b690e86052p-15, -0x1.1352c9d621a9ep-15, -0x1.0d8781c87376dp-15, -0x1.07bb67a36793p-15, -0x1.01efc1e01892ep-15, -0x1.f846efc2d17bfp-16, -0x1.ecaafdd6775adp-16, -0x1.e10e8e6b8ba4bp-16, -0x1.d57354e81620ap-16, -0x1.c9d5bc259346cp-16, -0x1.be33c91ef75f1p-16, -0x1.b28eb69b61a87p-16, -0x1.a6e76680bdd01p-16, -0x1.9b42cdf17690fp-16, -0x1.8fa4ec7199becp-16, -0x1.840a7f72e135bp-16, -0x1.78764b7bc2f4ap-16, -0x1.6ce7f1e44779cp-16, -0x1.615a0d7375193p-16, -0x1.55ce989930f1bp-16, -0x1.4a492c7454807p-16, -0x1.3ecae49d1e3d2p-16, -0x1.3353e502756e3p-16, -0x1.27e468504d253p-16, -0x1.1c7ce06a15fccp-16, -0x1.111dd3de76be2p-16, -0x1.05c7ca8c816f1p-16, -0x1.f4f65f3a0aefcp-17, -0x1.de70d25d5dfc2p-17, -0x1.c7ffce6ec9a67p-17, -0x1.b1a42c99a60f8p-17, -0x1.9b5de8d9e29e5p-17, -0x1.852c933fe5dffp-17, -0x1.6f1337a1937b4p-17, -0x1.59176745d93adp-17, -0x1.43397ab42afb2p-17, -0x1.2d76763feb603p-17, -0x1.17cd001ba085ep-17, -0x1.02418fab1804cp-17, -0x1.d9aa6618c303bp-18, -0x1.af188e37852a6p-18, -0x1.84cbbde02c66fp-18, -0x1.5aba48a38375ap-18, -0x1.30eea89e727f5p-18, -0x1.076eacf9cb7c5p-18, -0x1.bc749aa48b9e6p-19, -0x1.6aa2fdf224ec4p-19, -0x1.196a5b9e06259p-19, -0x1.919b319c06cb5p-20, -0x1.e33fdbdcc0f56p-21, -0x1.4ba5161ae36a5p-22, 0x1.2a0b6b2b1c7a9p-22, 0x1.cd3e06bd0e3ebp-21, 0x1.81660dc56e432p-20, 0x1.0d69502c445cdp-19, 0x1.596f572c2f23dp-19, 0x1.a4c1ca489f37ep-19, 0x1.ef5d7c454d5bdp-19, 0x1.1ca0012ab74c4p-18, 0x1.4133a1f475e57p-18, 0x1.6567d15bef338p-18, 0x1.893b37551618ap-18, 0x1.acb210eb182c8p-18, 0x1.cfce6f9552608p-18, 0x1.f286502fe8536p-18, 0x1.0a6bfd2c606d1p-17, 0x1.1b631abdfc2cp-17, 0x1.2c2899cd7d4e9p-17, 0x1.3cb9137f683d9p-17, 0x1.4d15a08cb595ap-17, 0x1.5d404d94833a9p-17, 0x1.6d3794cc57559p-17, 0x1.7cfa0f28fcdap-17, 0x1.8c8776f9121fdp-17, 0x1.9bdfc63e02eap-17, 0x1.ab02e18e3ba38p-17, 0x1.b9f09aa6046a1p-17, 0x1.c8a8bde7b0b93p-17, 0x1.d72b1a29ed19p-17, 0x1.e57782920b0c1p-17, 0x1.f38dcc2ebfbcdp-17, 0x1.00b6e54a92d0dp-16, 0x1.078ba7b5070fep-16, 0x1.0e45175284b65p-16, 0x1.14e323b2c7404p-16, 0x1.1b65c641277e2p-16, 0x1.21ccfc5188567p-16, 0x1.2818b4517e241p-16, 0x1.2e48dac482931p-16, 0x1.345dc985cceccp-16, 0x1.3a579b62820bap-16, 0x1.403559e26e381p-16, 0x1.45f7847c6d69cp-16, 0x1.4b9e9a5c37198p-16, 0x1.512a2d9438affp-16, 0x1.569a3d763fe48p-16, 0x1.5beee55e1cae9p-16, 0x1.612834c5cc0ecp-16, 0x1.66464235d0439p-16, 0x1.6b49421afec44p-16, 0x1.70314579a102p-16, 0x1.74fe0ba8d3c6cp-16, 0x1.79afa0c9b8824p-16, 0x1.7e466d2ba9c16p-16, 0x1.82c28752c71a5p-16, 0x1.8723defc0d74cp-16, 0x1.8b6a8b27744d5p-16, 0x1.8f96aeff74151p-16, 0x1.93a86b487ae06p-16, 0x1.979fded676367p-16, 0x1.9b7d28574f851p-16, 0x1.9f406756c589ap-16, 0x1.a2e9bd02fadacp-16, 0x1.a6794d1cbc6e9p-16, 0x1.a9ef3d958431bp-16, 0x1.ad4bb2a5e39bep-16, 0x1.b08ecbf72eab4p-16, 0x1.b3b8b92a8482ep-16, 0x1.b6c9b0b99b479p-16, 0x1.b9c1b316fa7cfp-16, 0x1.bca11125f4d93p-16, 0x1.bf67e976b9111p-16, 0x1.c2165f459d147p-16, 0x1.c4aca4752253bp-16, 0x1.c72ae89450152p-16, 0x1.c9915a7c3fea9p-16, 0x1.cbe02984752f3p-16, 0x1.ce17859e8a738p-16, 0x1.d0379f78a49ecp-16, 0x1.d240a87492f4fp-16, 0x1.d432d26795b53p-16, 0x1.d60e5030e22dap-16, 0x1.d7d354e563b43p-16, 0x1.d9821590cae4fp-16, 0x1.db1ac4f76682dp-16, 0x1.dc9d97ba8c33bp-16, 0x1.de0ac7e5c9042p-16, 0x1.df628f44788c1p-16, 0x1.e0a51713c6df6p-16, 0x1.e1d29d9de86d4p-16, 0x1.e2eb5de83e6afp-16, 0x1.e3ef890873cfap-16, 0x1.e4df56fc508e1p-16, 0x1.e5bb027f2dfd5p-16, 0x1.e682c54ee4393p-16, 0x1.e736d725d7e59p-16, 0x1.e7d76eac95896p-16, 0x1.e864cb3118f8ep-16, 0x1.e8df21ac0a477p-16, 0x1.e946b2a4cc5fbp-16, 0x1.e99bb079bceb1p-16, 0x1.e9de569cd5a93p-16, 0x1.ea0ee0bc1af46p-16, 0x1.ea2d89a75b492p-16, 0x1.ea3a8bea4c3efp-16, 0x1.ea36221e2296bp-16, 0x1.ea2086f1cd31ap-16, 0x1.e9f9f5242b8fep-16, 0x1.e9c2a780840d4p-16, 0x1.e97ad8d7efe4bp-16, 0x1.e922c3fc7d5p-16, 0x1.e8baa3bcd07ap-16, 0x1.e842b2df0edaep-16, 0x1.e7bb2c1a20b7ep-16, 0x1.e7244a0b5d58cp-16, 0x1.e67e472d3fafcp-16, 0x1.e5c95dd7dbce3p-16, 0x1.e505c84ecc4d4p-16, 0x1.e433c0ccc54ffp-16, 0x1.e35381817985cp-16, 0x1.e2654488a2691p-16, 0x1.e16943d8ae8b3p-16, 0x1.e05fb90392cfap-16, 0x1.df48dccd1f481p-16, 0x1.de24e7b764171p-16, 0x1.dcf4140b03812p-16, 0x1.dbb69c82f4ddap-16, 0x1.da6cb988afeacp-16, 0x1.d9169c50d4849p-16, 0x1.d7b479cd014dep-16, 0x1.d64696c643983p-16, 0x1.d4cd29ad82d99p-16, 0x1.d34865f332182p-16, 0x1.d1b881c4f3063p-16, 0x1.d01db3d4562bfp-16, 0x1.ce7833722cd06p-16, 0x1.ccc833f33d45bp-16, 0x1.cb0dedd163341p-16, 0x1.c949955c474d9p-16, 0x1.c77b5fa9ea5f2p-16, 0x1.c5a3816a71ba4p-16, 0x1.c3c22d0a51841p-16, 0x1.c1d798ac2cdd1p-16, 0x1.bfe3fc2b69e22p-16, 0x1.bde782d1922fap-16, 0x1.bbe262de8f9bcp-16, 0x1.b9d4ce9e38fb7p-16, 0x1.b7bef7f07c6b4p-16, 0x1.b5a1105a5cb4fp-16, 0x1.b37b4951f194dp-16, 0x1.b14dd3cffb883p-16, 0x1.af18df987df47p-16, 0x1.acdc9dbdfc0cdp-16, 0x1.aa993e198ce31p-16, 0x1.a84eefddcff3fp-16, 0x1.a5fde0ef9a845p-16, 0x1.a3a63e1772a23p-16, 0x1.a148355313111p-16, 0x1.9ee3f6fa74495p-16, 0x1.9c79bb62d9bdep-16, 0x1.9a099ed99ee6fp-16, 0x1.9793bac952115p-16, 0x1.95185f8e38b75p-16, 0x1.9297aedf2df89p-16, 0x1.9011cefbb166bp-16, 0x1.8d86e9b5956b7p-16, 0x1.8af7285aec711p-16, 0x1.8862b57f788ffp-16, 0x1.85c9c0f4f48b8p-16, 0x1.832c7812df60ep-16, 0x1.808aeb4fc8c94p-16, 0x1.7de53b0ca0a67p-16, 0x1.7b3bad49df5e8p-16, 0x1.788e66cd09f8ep-16, 0x1.75dd867b0d8b7p-16, 0x1.732930c9a664p-16, 0x1.70718afbad2eap-16, 0x1.6db6ba9c25701p-16, 0x1.6af8e45664ab1p-16, 0x1.68382c47cdbd5p-16, 0x1.6574b60b23bfep-16, 0x1.62aea4ca719cdp-16, 0x1.5fe61b540311ep-16, 0x1.5d1b3c0f868bep-16, 0x1.5a4e28eaa91a4p-16, 0x1.577f035e3d16dp-16, 0x1.54adec8845a2cp-16, 0x1.51db052d938a6p-16, 0x1.4f066d223b9ffp-16, 0x1.4c3042cbf3d2ep-16, 0x1.4958a4f758e37p-16, 0x1.467fb32f876ddp-16, 0x1.43a58eac6b79fp-16, 0x1.40ca61f1d39f5p-16, 0x1.3dee24bc879eep-16, 0x1.3b110ab8ab076p-16, 0x1.383339f069624p-16, 0x1.3554c4ef88b63p-16, 0x1.3275c71bdfab8p-16, 0x1.2f965c1dde76ap-16, 0x1.2cb69f025e055p-16, 0x1.29d6aa508b1e6p-16, 0x1.26f69818cd1ccp-16, 0x1.241681fb134dbp-16, 0x1.2136812b8906p-16, 0x1.1e56ae86f5298p-16, 0x1.1b7721730d24ep-16, 0x1.1897f4ba0c07p-16, 0x1.15b93cd9170c5p-16, 0x1.12db12b7f0c87p-16, 0x1.0ffd8cf6bd6eap-16, 0x1.0d20c1ca8dc4p-16, 0x1.0a44c6abeeb37p-16, 0x1.0769b0bf9c90dp-16, }}, 
      {{-0x1.851a339aa6a7dp-3, -0x1.4b7803b5f3e49p-3, -0x1.e76fd8083089fp-4, -0x1.0ce0e71fdc5f3p-4, -0x1.7fa21495310fep-8, 0x1.d11fafebcfbf7p-5, 0x1.e8aa374dbed2cp-4, 0x1.6f7de47ced081p-3, 0x1.e259fc2202fb7p-3, 0x1.254df2ea1c58cp-2, 0x1.5370f10010b9p-2, 0x1.7b43d643cab9ap-2, 0x1.9cbe1c9acee02p-2, 0x1.b80e62f6e755fp-2, 0x1.cd8acb4cbcd93p-2, 0x1.dda414d7311c6p-2, 0x1.e8db39b825f51p-2, 0x1.efb9469d3e557p-2, 0x1.f2c91c9f6974bp-2, 0x1.f292ceccc8c55p-2, 0x1.ef9852562527ep-2, 0x1.ea533fecc2ca1p-2, 0x1.e3336d432691dp-2, 0x1.da9e2e2a7b1f1p-2, 0x1.d0ee14e576c2bp-2, 0x1.c67310a54517ep-2, 0x1.bb72cf938a35fp-2, 0x1.b0294f4026323p-2, 0x1.a4c98ad4a5fc1p-2, 0x1.997e3a36b8942p-2, 0x1.8e6a985aeb168p-2, 0x1.83ab2980ec1ffp-2, 0x1.79567c152418ap-2, 0x1.6f7de0886bf62p-2, 0x1.662e15aa50047p-2, 0x1.5d6fe81b4205dp-2, 0x1.5548c42a8f327p-2, 0x1.4dbb39ea33aa7p-2, 0x1.46c773b0f3743p-2, 0x1.406b9fa83b341p-2, 0x1.3aa44d2bc5e53p-2, 0x1.356cbec0b8c87p-2, 0x1.30bf317be14a1p-2, 0x1.2c951ad0e46c4p-2, 0x1.28e75dcb9c8bcp-2, 0x1.25ae789a19c3cp-2, 0x1.22e2ab30017b5p-2, 0x1.207c17c0ae17dp-2, 0x1.1e72ddcc685ffp-2, 0x1.1cbf30759cb61p-2, 0x1.1b5968c00f8p-2, 0x1.1a3a14443eaaep-2, 0x1.195a00cd68c6ap-2, 0x1.18b2454b74345p-2, 0x1.183c4878cb5a8p-2, 0x1.17f1c58c1d46cp-2, 0x1.17cccf44e30bfp-2, 0x1.17c7d19780d67p-2, 0x1.17dd9234051ecp-2, 0x1.1809301996c47p-2, 0x1.184622615fcdp-2, 0x1.18903665dae61p-2, 0x1.18e38d66ab7eap-2, 0x1.193c99c4f4f6bp-2, 0x1.19981bf080222p-2, 0x1.19f31f1a79a2fp-2, 0x1.1a4af5bf6e56ap-2, 0x1.1a9d36175cdecp-2, 0x1.1ae7b67818ffap-2, 0x1.1b2889b46d206p-2, 0x1.1b5dfb8096a98p-2, 0x1.1b868ce3a9534p-2, 0x1.1ba0f0bc3356ep-2, 0x1.1bac085d44374p-2, 0x1.1ba6e047d74e5p-2, 0x1.1b90ad02fbc7bp-2, 0x1.1b68c81422ab8p-2, 0x1.1b2ead180a9a6p-2, 0x1.1ae1f6fc68e4ep-2, 0x1.1a825d5b1b2ebp-2, 0x1.1a0fb1f79ba7fp-2, 0x1.1989de6057085p-2, 0x1.18f0e1b504d09p-2, 0x1.1844ce91ff9e2p-2, 0x1.1785c9208b189p-2, 0x1.16b405485dcf6p-2, 0x1.15cfc5010cfc8p-2, 0x1.14d956be9b6e9p-2, 0x1.13d113f723c0fp-2, 0x1.12b75fc1be6dfp-2, 0x1.118ca58a687d8p-2, 0x1.105157e25b9b8p-2, 0x1.0f05ef65a068bp-2, 0x1.0daae9bd7bc03p-2, 0x1.0c40c8bae8606p-2, 0x1.0ac8118683fa3p-2, 0x1.09414be8f0decp-2, 0x1.07ad019f7a1f9p-2, 0x1.060bbdc37dddbp-2, 0x1.045e0c3b95bb3p-2, 0x1.02a479376bcdbp-2, 0x1.00df90b7e1d8fp-2, 0x1.fe1fbc3d5e176p-3, 0x1.fa6bd79750c4cp-3, 0x1.f6a48586e9da8p-3, 0x1.f2cad4c49bfebp-3, 0x1.eedfd03486c06p-3, 0x1.eae47e7525f56p-3, 0x1.e6d9e183522fep-3, 0x1.e2c0f66b8560bp-3, 0x1.de9ab508ff55bp-3, 0x1.da680fd0027a9p-3, 0x1.d629f39ece653p-3, 0x1.d1e14796b8e56p-3, 0x1.cd8eecfb28186p-3, 0x1.c933bf1522c36p-3, 0x1.c4d0931cf6777p-3, 0x1.c0663829c865fp-3, 0x1.bbf5772586d4p-3, 0x1.b77f12c701eefp-3, 0x1.b303c7927a4bfp-3, 0x1.ae844bddd2074p-3, 0x1.aa014fda3e24fp-3, 0x1.a57b7da35c0d4p-3, 0x1.a0f3795091bb9p-3, 0x1.9c69e10a00b8dp-3, 0x1.97df4d20ff907p-3, 0x1.93545029d5354p-3, 0x1.8ec97716ae6bdp-3, 0x1.8a3f495476fd3p-3, 0x1.85b648e896bbfp-3, 0x1.812ef28e6baf1p-3, 0x1.7ca9bdd551db3p-3, 0x1.78271d3fd6fdcp-3, 0x1.73a77e624484ep-3, 0x1.6f2b4a00f05a3p-3, 0x1.6ab2e42fa2c1ap-3, 0x1.663eac70d5841p-3, 0x1.61cefdd471cccp-3, 0x1.5d642f17084a9p-3, 0x1.58fe92c1121cep-3, 0x1.549e77460f733p-3, 0x1.5044272387626p-3, 0x1.4befe8ff96428p-3, 0x1.47a1ffc7628a4p-3, 0x1.435aaacdc7522p-3, 0x1.3f1a25e8eaa55p-3, 0x1.3ae0a98f1bfbdp-3, 0x1.36ae6af427b1cp-3, 0x1.32839c25f7eedp-3, 0x1.2e606c27c17afp-3, 0x1.2a45070d1fdbfp-3, 0x1.263196151fdc8p-3, 0x1.22263fc3e16e7p-3, 0x1.1e2327fb80d5cp-3, 0x1.1a28701506dcep-3, 0x1.163636f84da24p-3, 0x1.124c9932c7868p-3, 0x1.0e6bb10e4a804p-3, 0x1.0a9396a765925p-3, 0x1.06c460022364cp-3, 0x1.02fe211e63512p-3, 0x1.fe81d818ee13fp-4, 0x1.f719a201a3c6ap-4, 0x1.efc3bccc5dd61p-4, 0x1.e88041df6c40fp-4, 0x1.e14f4756c3c41p-4, 0x1.da30e0267d218p-4, 0x1.d3251c3acb407p-4, 0x1.cc2c089847817p-4, 0x1.c545af7c5bf9fp-4, 0x1.be72187b47b8fp-4, 0x1.b7b1489c4f177p-4, 0x1.b10342764ccaap-4, 0x1.aa68064c1c429p-4, 0x1.a3df9226b32d6p-4, 0x1.9d69e1eda2d69p-4, 0x1.9706ef80047cdp-4, 0x1.90b6b2cd876e2p-4, 0x1.8a7921ed4b7d5p-4, 0x1.844e3132d834fp-4, 0x1.7e35d34370ed6p-4, 0x1.782ff92bfe121p-4, 0x1.723c92756a0b9p-4, 0x1.6c5b8d36badb2p-4, 0x1.668cd626d176p-4, 0x1.60d058af2079fp-4, 0x1.5b25fefdea32ap-4, 0x1.558db2165a46p-4, 0x1.500759df430d7p-4, 0x1.4a92dd326e5afp-4, 0x1.453021ec936f2p-4, 0x1.3fdf0cfc1d786p-4, 0x1.3a9f826df38b2p-4, 0x1.35716579a59ddp-4, 0x1.3054988e73a92p-4, 0x1.2b48fd60ac648p-4, 0x1.264e74f5afafp-4, 0x1.2164dfae29558p-4, 0x1.1c8c1d4ff6dfcp-4, 0x1.17c40d10f5c2ap-4, 0x1.130c8da230376p-4, 0x1.0e657d39d7cb6p-4, 0x1.09ceb99b9066ap-4, 0x1.054820203c20fp-4, 0x1.00d18dbe98f75p-4, 0x1.f8d5be290e13fp-5, 0x1.f027e0df334d7p-5, 0x1.e7993ba81c27ep-5, 0x1.df298605a6e92p-5, 0x1.d6d8770000305p-5, 0x1.cea5c5346c18cp-5, 0x1.c69126e41fe56p-5, 0x1.be9a5200c74d2p-5, 0x1.b6c0fc364a706p-5, 0x1.af04daf3f6e32p-5, 0x1.a765a3772b09ap-5, 0x1.9fe30ad77e277p-5, 0x1.987cc61257782p-5, 0x1.91328a14113e7p-5, 0x1.8a040bbee8df1p-5, 0x1.82f0fff1d7c3ep-5, 0x1.7bf91b9101372p-5, 0x1.751c138f70f5fp-5, 0x1.6e599cf835cd6p-5, 0x1.67b16cf53f0fcp-5, 0x1.612338d4482e7p-5, 0x1.5aaeb60ba66bbp-5, 0x1.54539a407e7bcp-5, 0x1.4e119b4e54b6dp-5, 0x1.47e86f4e5c8e8p-5, 0x1.41d7cc9cf9af9p-5, 0x1.3bdf69dd586ebp-5, 0x1.35fefdfc7b944p-5, 0x1.30364035477c3p-5, 0x1.2a84e815f9b83p-5, 0x1.24eaad8602287p-5, 0x1.1f6748cac5106p-5, 0x1.19fa728a9c387p-5, 0x1.14a3e3cebd2d7p-5, 0x1.0f63560559e7dp-5, 0x1.0a388304ee46fp-5, 0x1.0523251082c83p-5, 0x1.0022f6dbd155dp-5, 0x1.f66f671c7ca1fp-6, 0x1.ecc22d88da607p-6, 0x1.e33db92273359p-6, 0x1.d9e182fe1e513p-6, 0x1.d0ad05247a1ccp-6, 0x1.c79fba9800c9bp-6, 0x1.beb91f5ab6d6ep-6, 0x1.b5f8b07200b5ep-6, 0x1.ad5debe85ed14p-6, 0x1.a4e850ce15075p-6, 0x1.9c975f3a588bap-6, 0x1.946a984dea4b6p-6, 0x1.8c617e36e9c1ep-6, 0x1.847b9434b0f27p-6, 0x1.7cb85e9a7c2b8p-6, 0x1.751762d074b99p-6, 0x1.6d982753aa915p-6, 0x1.663a33b5ea177p-6, 0x1.5efd109e83f94p-6, 0x1.57e047cc1746cp-6, 0x1.50e36416d8cd7p-6, 0x1.4a05f17278a46p-6, 0x1.43477ceee9503p-6, 0x1.3ca794b824a7ap-6, 0x1.3625c8155803cp-6, 0x1.2fc1a76841b3p-6, 0x1.297ac42d3a1edp-6, 0x1.2350b0fbe7f09p-6, 0x1.1d430188365c3p-6, 0x1.17514aa2e6c99p-6, 0x1.117b2239712a6p-6, 0x1.0bc01f5524343p-6, 0x1.061fda19ecf09p-6, 0x1.0099ebc52dc83p-6, 0x1.f65bdd5a06a98p-7, 0x1.ebb6fc7ffed57p-7, 0x1.e1446e0a360cdp-7, 0x1.d7036d36f6602p-7, 0x1.ccf33773a115cp-7, 0x1.c3130c5a60f95p-7, 0x1.b9622daf4343fp-7, 0x1.afdfdf5d19a09p-7, 0x1.a68b6772d3d16p-7, 0x1.9d640e21525ddp-7, 0x1.94691db9c32cap-7, 0x1.8b99e2ac07f8p-7, 0x1.82f5ab84b76d5p-7, 0x1.7a7bc8ea95c87p-7, 0x1.722b8d9b7840cp-7, 0x1.6a044e68dc76bp-7, 0x1.620562346d958p-7, 0x1.5a2e21ecce6aep-7, 0x1.527de88abac0cp-7, 0x1.4af4130e6102ap-7, 0x1.4390007cea0bfp-7, 0x1.3c5111dd58a49p-7, 0x1.3536aa35a07p-7, 0x1.2e402e87151b1p-7, 0x1.276d05cab9ba1p-7, 0x1.20bc98ed7eb48p-7, 0x1.1a2e52cca46b4p-7, 0x1.13c1a03245fbbp-7, 0x1.0d75efd20e172p-7, 0x1.074ab24604574p-7, 0x1.013f5a0b28546p-7, 0x1.f6a6b6fbf840ap-8, 0x1.eb0c59ad90c52p-8, 0x1.dfae8c4b92787p-8, 0x1.d48c429e8e16cp-8, 0x1.c9a4740f57e42p-8, 0x1.bef61b9f7a38bp-8, 0x1.b48037e1cbccbp-8, 0x1.aa41caf34630fp-8, 0x1.a039da73cda4fp-8, 0x1.96676f7ecf8c2p-8, 0x1.8cc996a3a21e7p-8, 0x1.835f5fddab3d1p-8, 0x1.7a27de8c540d2p-8, 0x1.7122296b0aecdp-8, 0x1.684d5a892d7bfp-8, 0x1.5fa88f4240e44p-8, 0x1.5732e8363cb6p-8, 0x1.4eeb89421b4a2p-8, 0x1.46d1997866c44p-8, 0x1.3ee443199f846p-8, 0x1.3722b38c9c1fdp-8, 0x1.2f8c1b5683bc9p-8, 0x1.281fae12cc5e5p-8, 0x1.20dca26b13c32p-8, 0x1.19c2320edc1a9p-8, 0x1.12cf99ab98f5ap-8, 0x1.0c0418e4c2af4p-8, 0x1.055ef24c0e6d1p-8, 0x1.fdbed6b3fe238p-9, 0x1.f10998cc5cd23p-9, 0x1.e49cc1414be6fp-9, 0x1.d876ec11ec362p-9, 0x1.cc96bacff98cp-9, 0x1.c0fad48ec600fp-9, 0x1.b5a1e5d3db848p-9, 0x1.aa8aa086f365cp-9, 0x1.9fb3bbe1d906ep-9, 0x1.951bf46002d22p-9, 0x1.8ac20bae91a3cp-9, 0x1.80a4c89c6597ep-9, 0x1.76c2f70acd186p-9, 0x1.6d1b67df0ca6fp-9, 0x1.63acf0f4534d6p-9, 0x1.5a766d0e94bcbp-9, 0x1.5176bbcd7ba1ap-9, 0x1.48acc19f646a9p-9, 0x1.401767b36d4d4p-9, 0x1.37b59bea64f1ep-9, 0x1.2f8650c64fb37p-9, 0x1.27887d58b5913p-9, 0x1.1fbb1d3029f71p-9, 0x1.181d3046480dfp-9, 0x1.10adbaeef97fcp-9, 0x1.096bc5ca0e94ep-9, 0x1.02565db78c6f7p-9, 0x1.f6d9279cf6b3ep-10, 0x1.e95afaaa6346ep-10, 0x1.dc30677370c1ep-10, 0x1.cf57a9105fccbp-10, 0x1.c2cf02bc64432p-10, 0x1.b694bfb409147p-10, 0x1.aaa7330c03968p-10, 0x1.9f04b7833cbe5p-10, 0x1.93abaf5472c2ep-10, 0x1.889a840cbb602p-10, 0x1.7dcfa66ae3e9bp-10, 0x1.73498e4b013cbp-10, 0x1.6906ba9d2157fp-10, 0x1.5f05b1640839fp-10, 0x1.5544ffb8a3b5ep-10, 0x1.4bc339c39580fp-10, 0x1.427efab3a5be1p-10, 0x1.3976e49fee037p-10, 0x1.30a9a05de203ep-10, 0x1.2815dd4b1657p-10, 0x1.1fba511267ee5p-10, 0x1.1795b774b926fp-10, 0x1.0fa6d21cce416p-10, 0x1.07ec6883f5a92p-10, 0x1.006547e8d3392p-10, 0x1.f22086ac1e4cfp-11, 0x1.e3d86763ba354p-11, 0x1.d5efef9bda468p-11, 0x1.c864e8db8b70ep-11, 0x1.bb352879ef241p-11, 0x1.ae5e8f620ab17p-11, 0x1.a1df09b27242fp-11, 0x1.95b48e430d2b4p-11, 0x1.89dd1e245039dp-11, 0x1.7e56c42b4b676p-11, 0x1.731f949b9d9acp-11, 0x1.6835acfa2a5e2p-11, 0x1.5d973407b9926p-11, 0x1.534259dc46d2p-11, 0x1.49355811e451cp-11, 0x1.3f6e71ebfdc88p-11, 0x1.35ebf469fa6ccp-11, 0x1.2cac3638d76eep-11, 0x1.23ad977f21edcp-11, 0x1.1aee818783dacp-11, 0x1.126d6654103bep-11, 0x1.0a28c02a1f15p-11, 0x1.021f11274cef5p-11, 0x1.f49dc5dfec97bp-12, 0x1.e56d8d03af015p-12, 0x1.d6aaa85b02c47p-12, 0x1.c852575e9bb06p-12, 0x1.ba61e8adfa972p-12, 0x1.acd6ba55a9066p-12, 0x1.9fae39e623aa9p-12, 0x1.92e5e44bf3b2p-12, 0x1.867b456dc4aa1p-12, 0x1.7a6bf7ac4bfcdp-12, 0x1.6eb5a345f259ep-12, 0x1.6355fdb83e03ep-12, 0x1.584ac94c49df7p-12, 0x1.4d91d49232c64p-12, 0x1.4328f9ed4ea2cp-12, 0x1.390e1f43e5297p-12, 0x1.2f3f35dba77a1p-12, 0x1.25ba3a8b2b66p-12, 0x1.1c7d35fa47681p-12, 0x1.13863cf5c6521p-12, 0x1.0ad37087ec6a8p-12, 0x1.0262fdb27fb54p-12, 0x1.f46639a304717p-13, 0x1.e48421b2a4247p-13, 0x1.d51c4d689b7b1p-13, 0x1.c62b69ed51b15p-13, 0x1.b7ae37d19d3a9p-13, 0x1.a9a18b6ffaa6p-13, 0x1.9c024d05bbf92p-13, 0x1.8ecd7826140b1p-13, 0x1.82001a99eca84p-13, 0x1.759753321fd2bp-13, 0x1.6990512d700a4p-13, 0x1.5de854818cf12p-13, 0x1.529caed50af1p-13, 0x1.47aac4222dbdep-13, 0x1.3d100b1055ef1p-13, 0x1.32ca0b5d9d249p-13, 0x1.28d65c0068d5ep-13, 0x1.1f32a11f7d226p-13, 0x1.15dc8b189462dp-13, 0x1.0cd1d73f73757p-13, 0x1.041051472c0f7p-13, 0x1.f72baa621bd36p-14, 0x1.e6c0a0261ae48p-14, 0x1.d6db7e3801928p-14, 0x1.c7785ae081e76p-14, 0x1.b893638dd4c77p-14, 0x1.aa28d9f5db94dp-14, 0x1.9c3514540f32dp-14, 0x1.8eb4802b19fffp-14, 0x1.81a3a57d37982p-14, 0x1.74ff28304d413p-14, 0x1.68c3c6657f7e8p-14, 0x1.5cee545384885p-14, 0x1.517bb7abd9c18p-14, 0x1.4668e4f6821b3p-14, 0x1.3bb2dffb3bc46p-14, 0x1.3156bf389fb97p-14, 0x1.2751aff76ae07p-14, 0x1.1da0f8f041845p-14, 0x1.1441f9fce46ep-14, 0x1.0b3228fffb837p-14, 0x1.026f0d90dc9f4p-14, 0x1.f3ec7af0a2b24p-15, 0x1.e38ab71589f7bp-15, 0x1.d3b4320fa157ep-15, 0x1.c4647078e9e2ap-15, 0x1.b5971cffcda5ap-15, 0x1.a748087257e3cp-15, 0x1.997326283aee3p-15, 0x1.8c1487035c8c3p-15, 0x1.7f2855a46cc62p-15, 0x1.72aad4f11f99ap-15, 0x1.66985fce2aceep-15, 0x1.5aed692a6836p-15, 0x1.4fa67bd14215ep-15, 0x1.44c03a7f3b6a6p-15, 0x1.3a37607c0f62ap-15, 0x1.3008c2189b441p-15, 0x1.26314bcff51f4p-15, 0x1.1cae00cb70393p-15, 0x1.137bfa3ab0ec9p-15, 0x1.0a98692ff0febp-15, 0x1.020099b6453e9p-15, 0x1.f363e783d50e5p-16, 0x1.e353efa25954cp-16, 0x1.d3cc726402de8p-16, 0x1.c4c8b5b59f47fp-16, 0x1.b644241f3011p-16, 0x1.a83a592e733b6p-16, 0x1.9aa72840e2d48p-16, 0x1.8d8693bd5ed8bp-16, 0x1.80d4b78a212e2p-16, 0x1.748db4f2cdd47p-16, 0x1.68adadbc6ba18p-16, 0x1.5d30cfb35b19bp-16, 0x1.5213650164f3p-16, 0x1.4751dc3193481p-16, 0x1.3ce8c529cf9fap-16, 0x1.32d4cad7a47b7p-16, 0x1.2912b3e7245ecp-16, 0x1.1f9f69956aed2p-16, 0x1.1677fe8e5c049p-16, 0x1.0d99ac3dde6a7p-16, 0x1.0501c79a699fep-16, 0x1.f95b6f783aebdp-17, 0x1.e935f11a35cd3p-17, 0x1.d98e4fcca630cp-17, 0x1.ca601e75f8b9ep-17, 0x1.bba73991dead7p-17, 0x1.ad5f9c2c2b0c9p-17, 0x1.9f8537a21b4ap-17, 0x1.9213ebd33733p-17, 0x1.85079ee7db9cbp-17, 0x1.785c5aa15b4a5p-17, 0x1.6c0e596088be2p-17, 0x1.601a02191e485p-17, 0x1.547bddd6897b5p-17, 0x1.49308e4108259p-17, 0x1.3e34c80c89fafp-17, 0x1.3385539ebe187p-17, 0x1.291f13aaaa21dp-17, 0x1.1eff0fd746f24p-17, 0x1.15227c714e2cep-17, 0x1.0b86bdd9fa276p-17, 0x1.02296cf4721a1p-17, 0x1.f210ad9e1c4eap-18, 0x1.e042e0e1f7fdcp-18, 0x1.cee57e2404cep-18, 0x1.bdf485f334aa2p-18, 0x1.ad6be8d89b76bp-18, 0x1.9d47a5db0883ap-18, 0x1.8d83e72a1b2dcp-18, 0x1.7e1d09e59de22p-18, 0x1.6f0f90d421c1ep-18, 0x1.60581f7d11015p-18, 0x1.51f38025c056bp-18, 0x1.43dea73cd2abep-18, 0x1.3616acd442548p-18, 0x1.2898c14501519p-18, 0x1.1b6225c2ed7fap-18, 0x1.0e702c4c05a23p-18, 0x1.01c03b40a82e7p-18, 0x1.ea9fa4747b584p-19, 0x1.d2392a6b1653fp-19, 0x1.ba48be45ca9a7p-19, 0x1.a2ca955409f3fp-19, 0x1.8bbb3c16c723dp-19, 0x1.75174bb9b557p-19, 0x1.5edb46fcc3b77p-19, 0x1.4903becbfde19p-19, 0x1.338d8820a0f2bp-19, 0x1.1e75bd685aee5p-19, 0x1.09b9951670eecp-19, 0x1.eaac949e0e3b5p-20, 0x1.c2924fd7e469dp-20, 0x1.9b1f322b2d35ap-20, 0x1.744e6351cfd7dp-20, 0x1.4e1b61d41fab7p-20, 0x1.2881fbcc36db5p-20, 0x1.037e3c495c951p-20, 0x1.be18b54189e17p-21, 0x1.76516c187b685p-21, 0x1.2f9fb5e80d562p-21, 0x1.d3fa1fca549fcp-22, 0x1.4ac6b9cf1f29ap-22, 0x1.8733688f17fc8p-23, 0x1.f341a9661e947p-25, -0x1.1360c62e62acp-24, -0x1.8c63093c49d1ap-23, -0x1.45ad32c765669p-22, -0x1.c353ee8f64231p-22, -0x1.1f96e30872113p-21, -0x1.5ca12170eb0b7p-21, -0x1.98cc3475032c7p-21, -0x1.d41b66ee130b7p-21, -0x1.0748f4d7635c7p-20, -0x1.24196b28d5123p-20, -0x1.40808afc3bda2p-20, -0x1.5c7fa8b3ce418p-20, -0x1.7817f5efe9ccp-20, -0x1.934a7d3cabb02p-20, -0x1.ae182da0ee8d4p-20, -0x1.c881f4a1d26fbp-20, -0x1.e288cd232270ap-20, -0x1.fc2dc12a4a33p-20, -0x1.0ab8e7c14fd5cp-19, -0x1.172ae355a50dep-19, -0x1.236d1f323628ep-19, -0x1.2f7fd5ae025fbp-19, -0x1.3b633b9689c1dp-19, -0x1.47179444883fcp-19, -0x1.529d3b23a11d9p-19, -0x1.5df48b3fb8831p-19, -0x1.691dc8e1910efp-19, -0x1.74192b4770bbdp-19, -0x1.7ee6e6442c907p-19, -0x1.898720d5b9e3dp-19, -0x1.93f9f3c0df3fdp-19, -0x1.9e3f79cf2728cp-19, -0x1.a857e02943041p-19, -0x1.b243638b0b06p-19, -0x1.bc023a926ed9ap-19, -0x1.c59486e4957c2p-19, -0x1.cefa5d944c9c2p-19, -0x1.d833d66c04781p-19, -0x1.e14113e3952dcp-19, -0x1.ea22462e4d467p-19, -0x1.f2d7a282815fbp-19, -0x1.fb614abaf1f57p-19, -0x1.01dfa1091638cp-18, -0x1.05f8c10316937p-18, -0x1.09fc07ea325a8p-18, -0x1.0de9858de3752p-18, -0x1.11c15bc6c82cfp-18, -0x1.1583a7885402cp-18, -0x1.193072b3852b6p-18, -0x1.1cc7c1fa17355p-18, -0x1.2049ac70ed82ep-18, -0x1.23b642d5c876bp-18, -0x1.270d95ba8c6ffp-18, -0x1.2a4fb734638a6p-18, -0x1.2d7cb9fd3f8d3p-18, -0x1.3094ad41aa3fcp-18, -0x1.33979c0d73e94p-18, -0x1.3685925237318p-18, -0x1.395e9b4f94bc3p-18, -0x1.3c22cd552c848p-18, -0x1.3ed2478c8edeep-18, -0x1.416d28489a0cfp-18, -0x1.43f3859505b63p-18, -0x1.466575b33606ap-18, -0x1.48c312e7a9e73p-18, -0x1.4b0c6f5ae2ac7p-18, -0x1.4d4195ca35844p-18, -0x1.4f6299a9cdcd6p-18, -0x1.516f96dd2c71dp-18, -0x1.5368adc1e78d5p-18, -0x1.554e0012d2d64p-18, -0x1.571fa39845abcp-18, -0x1.58ddb42354f17p-18, -0x1.5a885723a39p-18, -0x1.5c1faae8cb0d6p-18, -0x1.5da3cbca09d56p-18, -0x1.5f14d86ba0e52p-18, -0x1.6072f02f84dfap-18, -0x1.61be321da055ap-18, -0x1.62f6c4d97e90dp-18, -0x1.641cb329ce36p-18, -0x1.65304201b867ap-18, -0x1.66317d7114ce8p-18, -0x1.672098c116024p-18, -0x1.67fdb7b7c4175p-18, -0x1.68c8fdeb3d7d5p-18, -0x1.69828dbcc7035p-18, -0x1.6a2a8bb567efcp-18, -0x1.6ac11f0cefbdcp-18, -0x1.6b466f894f3fp-18, -0x1.6bbaa48b0b7a6p-18, -0x1.6c1de66b43e25p-18, -0x1.6c70609648369p-18, -0x1.6cb23b9606b2fp-18, -0x1.6ce39fe9967e5p-18, -0x1.6d04b4c57b238p-18, -0x1.6d15a6c5a6106p-18, -0x1.6d16a626e0213p-18, -0x1.6d07dd7461c7ap-18, -0x1.6ce97898b84e8p-18, -0x1.6cbba51d72b82p-18, -0x1.6c7e908755079p-18, -0x1.6c3268f96a635p-18, -0x1.6bd75d85f9b6p-18, -0x1.6b6d949f0221fp-18, -0x1.6af54132a3ddbp-18, -0x1.6a6e93e47411dp-18, -0x1.69d9ba86b1543p-18, -0x1.6936e46cf68d4p-18, -0x1.688642af0b22ep-18, -0x1.67c803dc7788ep-18, -0x1.66fc57843f6b6p-18, -0x1.66236cf81cee2p-18, -0x1.653d748d5ad67p-18, -0x1.644a9f898d2ccp-18, -0x1.634b1ebaf62f2p-18, -0x1.623f2292df323p-18, -0x1.6126dd883e68fp-18, -0x1.600281034a66bp-18, -0x1.5ed23a4d2c8dep-18, -0x1.5d963a0874506p-18, -0x1.5c4eb2e86b8d1p-18, -0x1.5afbd694ae848p-18, -0x1.599dd44faea03p-18, -0x1.5834de0eb64b5p-18, -0x1.56c12673a50bbp-18, -0x1.5542de1d59cb7p-18, -0x1.53ba359a6a7dbp-18, -0x1.52275df31ec0bp-18, -0x1.508a883452b83p-18, -0x1.4ee3e5494d7bcp-18, -0x1.4d33a603797c1p-18, -0x1.4b79fb2612099p-18, -0x1.49b7156a456c5p-18, -0x1.47eb2574a74eap-18, -0x1.46165bb20ac38p-18, -0x1.4438e83f0c783p-18, -0x1.4252fae256bf7p-18, -0x1.4064c32a99655p-18, -0x1.3e6e70975f393p-18, -0x1.3c7032bd8e32p-18, -0x1.3a6a392b2b2ffp-18, -0x1.385cb305b40e7p-18, -0x1.3647cefb2b5cfp-18, -0x1.342bbbdc2098p-18, -0x1.3208a7ece4651p-18, -0x1.2fdec00805433p-18, -0x1.2dae32a43ac3ap-18, -0x1.2b772ded975e9p-18, -0x1.2939df794fd48p-18, -0x1.26f671bad6517p-18, -0x1.24ad135d5c87bp-18, -0x1.225df0ce88268p-18, -0x1.200935dc64309p-18, -0x1.1daf0e5fb5ebp-18, -0x1.1b4fa5a9bce43p-18, -0x1.18eb267a5b87ap-18, -0x1.1681bc7e404a3p-18, -0x1.141390eff538dp-18, -0x1.11a0ccb062eeep-18, -0x1.0f299c34e095cp-18, -0x1.0cae27cd8b7e7p-18, -0x1.0a2e9847ed8cfp-18, -0x1.07ab164a30a75p-18, -0x1.0523ca10cac4ep-18, -0x1.0298db6f3e77fp-18, -0x1.000a71d579c9bp-18, -0x1.faf168a8d04f5p-19, -0x1.f5c7934694a8bp-19, -0x1.f097b03bcb8e2p-19, -0x1.eb620b61ed5eep-19, -0x1.e626ef9749c62p-19, -0x1.e0e6a704b9314p-19, -0x1.dba17b1ff6a26p-19, -0x1.d657b41259293p-19, -0x1.d10999f86fd76p-19, -0x1.cbb7739880d44p-19, -0x1.c66186eae4f0ep-19, -0x1.c108193420d6ap-19, -0x1.bbab6ee139e39p-19, -0x1.b64bcb9d27cd3p-19, -0x1.b0e97232d879fp-19, -0x1.ab84a3ed44e9cp-19, -0x1.a61da1be3bfefp-19, -0x1.a0b4ac495b95dp-19, -0x1.9b4a00b6aaca1p-19, -0x1.95dde1a4b16e5p-19, -0x1.907089a1c6689p-19, -0x1.8b0239ac2866p-19, -0x1.8593272787aa2p-19, -0x1.8023902dab90bp-19, -0x1.7ab3aece2e0ebp-19, -0x1.7543bc54e7a3p-19, -0x1.6fd3f10fa5a62p-19, -0x1.6a64849f2fecep-19, -0x1.64f5af388618bp-19, -0x1.5f87a247d01fp-19, -0x1.5a1a973470085p-19, -0x1.54aec0bfb3046p-19, -0x1.4f445244cabddp-19, -0x1.49db7e32cc148p-19, -0x1.4474760a1ccc2p-19, -0x1.3f0f688b12674p-19, -0x1.39ac8c66696fcp-19, -0x1.344c0c80f89d6p-19, -0x1.2eee1153c3cc5p-19, -0x1.2992d1a47ca54p-19, -0x1.243a75d3c5ad5p-19, -0x1.1ee52a17fb4fep-19, -0x1.199319907f186p-19, -0x1.14446e7aaf348p-19, -0x1.0ef952431b31p-19, -0x1.09b1ed82d15fdp-19, -0x1.046e680b8c585p-19, -0x1.fe5dd1c80571fp-20, -0x1.f3e72c92ffbacp-20, -0x1.e9792b6308252p-20, -0x1.df141795e676ep-20, -0x1.d4b838fe45327p-20, -0x1.ca65d5e51f113p-20, -0x1.c01d330b0422dp-20, -0x1.b5de93abd593p-20, -0x1.abaa3986128c6p-20, -0x1.a18064e121b2dp-20, -0x1.9761548f90721p-20, -0x1.8d4d45efe5fa5p-20, -0x1.834474ede29bap-20, -0x1.79471c002e053p-20, -0x1.6f5574208b9p-20, -0x1.656fb4d70b418p-20, -0x1.5b96146360765p-20, -0x1.51c8c7b97dbbcp-20, -0x1.4808025ed041fp-20, -0x1.3e53f64869f5cp-20, -0x1.34acd424812e7p-20, -0x1.2b12cb97efd2ap-20, -0x1.21860aae95d43p-20, -0x1.1806be022a38ap-20, -0x1.0e951093ea0a6p-20, -0x1.05312d5efde23p-20, -0x1.f7b693cb73d4bp-21, -0x1.e526d2d0141fep-21, -0x1.d2b3afa911ca9p-21, -0x1.c05d58e4dd5adp-21, -0x1.ae2419dd5d2fdp-21, -0x1.9c08384f42467p-21, -0x1.8a0967e2523c1p-21, -0x1.7828a78f41c86p-21, -0x1.6667327496cc2p-21, -0x1.54c3335168bc1p-21, -0x1.433dcfa6ee269p-21, -0x1.31d73ab96ec35p-21, -0x1.208fa835cb952p-21, -0x1.0f674ad3d4ef8p-21, -0x1.fcbcb2a56e54fp-22, -0x1.dae9fdd1592d7p-22, -0x1.b956b7773aae2p-22, -0x1.980357c5a2d28p-22, -0x1.76f02f0354698p-22, -0x1.561d832a19a99p-22, -0x1.358b9ff5024dep-22, -0x1.153acc23feca7p-22, -0x1.ea568a9ae64cp-23, -0x1.aaba9bbb9dd1p-23, -0x1.6ba248c641e0cp-23, -0x1.2d0dfb12710dbp-23, -0x1.ddfc2cc1a1454p-24, -0x1.62e602633b791p-24, -0x1.d1b44f0170075p-25, -0x1.bf65003d84607p-26, 0x1.0383a032c58e4p-29, 0x1.fc159ab6e1a91p-26, 0x1.e9c43ffd0e8a1p-25, 0x1.69b1d5afef4e5p-24, 0x1.dd748f1acb486p-24, 0x1.28145bbf57efp-23, 0x1.60e7a5a2e7dedp-23, 0x1.9933caa97a12fp-23, 0x1.d0f8b28877eb5p-23, 0x1.041b24f7bf335p-22, 0x1.1f763e5705579p-22, 0x1.3a8dad4efe1fbp-22, 0x1.556165d5831f2p-22, 0x1.6ff16b162d3e2p-22, 0x1.8a3dc24419585p-22, 0x1.a44672545c5d5p-22, 0x1.be0b84c06c2afp-22, 0x1.d78d056bf6003p-22, 0x1.f0cb02a837575p-22, 0x1.04e2c6a0289b3p-21, 0x1.113e5c3625945p-21, 0x1.1d784cd84fe09p-21, 0x1.2990a470909ebp-21, 0x1.35877017bc80ep-21, 0x1.415cbe3c42791p-21, 0x1.4d109e2ad089p-21, 0x1.58a31ff928563p-21, 0x1.641454d4673ebp-21, 0x1.6f644ea4090e4p-21, 0x1.7a932256a280ep-21, 0x1.85a0e359d4be5p-21, 0x1.908da6961c9b8p-21, 0x1.9b5982a5bfddap-21, 0x1.a6048eab5de8bp-21, 0x1.b08ee2a5ea0bdp-21, 0x1.baf8977552029p-21, 0x1.c541c6d52022ep-21, 0x1.cf6a8b549e22p-21, 0x1.d973004b68cf1p-21, 0x1.e35b41a8cfc01p-21, 0x1.ed236a1ee9fb2p-21, 0x1.f6cbb3d1b9ec3p-21, 0x1.0029f767e6471p-20, 0x1.04de4a585f54p-20, 0x1.0982cbe23841fp-20, 0x1.0e178f8968f13p-20, 0x1.129ca649b9a5bp-20, 0x1.171221227787ep-20, 0x1.1b78115825d94p-20, }}, 
      {{-0x1.c76a630fe78f6p-6, -0x1.a50d9b76d9849p-4, -0x1.a7a51d8eb8c26p-3, -0x1.484027349529p-2, -0x1.b5858c12ab60cp-2, -0x1.077dc9dc350c1p-1, -0x1.263b92dab7f16p-1, -0x1.34defc760e8abp-1, -0x1.32debb660c904p-1, -0x1.20de25679a7eap-1, -0x1.00506da890e25p-1, -0x1.a65683089c79fp-2, -0x1.3752e79b1c20cp-2, -0x1.7071bc6931972p-3, -0x1.6ca558b912568p-5, 0x1.914be99d8e7cp-4, 0x1.f3367e7f27769p-3, 0x1.8ed68724a7a68p-2, 0x1.1089eeeb52a93p-1, 0x1.56ef9d115306bp-1, 0x1.999e57883ba96p-1, 0x1.d7d024668949ap-1, 0x1.0878f9ab03335p+0, 0x1.224f04365674p+0, 0x1.394b21859ef1dp+0, 0x1.4d5f40bc37accp+0, 0x1.5e8ba580bffa2p+0, 0x1.6cdc6cda2711fp+0, 0x1.786748d535026p+0, 0x1.8149766ab90dep+0, 0x1.87a5eec83b7c7p+0, 0x1.8ba3d34722f3ep+0, 0x1.8d6d11cfcf05p+0, 0x1.8d2d3e37ef2c2p+0, 0x1.8b109c6592ce9p+0, 0x1.8743568fbeda6p+0, 0x1.81f0dad3445c3p+0, 0x1.7b435b6002a27p+0, 0x1.73636ca39aca9p+0, 0x1.6a77bd10e63f9p+0, 0x1.60a4e280ed2c8p+0, 0x1.560d399b3f6d1p+0, 0x1.4ad0d41346f25p+0, 0x1.3f0d72db41b86p+0, 0x1.32de89cf3d67bp+0, 0x1.265d4ac722474p+0, 0x1.19a0b660e8ff2p+0, 0x1.0cbdb11d98cd9p+0, 0x1.ff8e3742ee32bp-1, 0x1.e59bda2f82f6dp-1, 0x1.cbc29dd3a3252p-1, 0x1.b21d7249b4973p-1, 0x1.98c41e17715cap-1, 0x1.7fcb76d4f8dafp-1, 0x1.674598a76241cp-1, 0x1.4f421c008c523p-1, 0x1.37ce4939f54fdp-1, 0x1.20f549c56d459p-1, 0x1.0ac056cfd2e4ap-1, 0x1.ea6dca9749228p-2, 0x1.c0bd9ed56d7efp-2, 0x1.9878f72df4611p-2, 0x1.71a601f814de9p-2, 0x1.4c48936c80a6fp-2, 0x1.286265714a6dp-2, 0x1.05f352fae458cp-2, 0x1.c9f31e512872ap-3, 0x1.8ae3b08660587p-3, 0x1.4eaf4d96616fdp-3, 0x1.154ab181c6e5ep-3, 0x1.bd516556c84f1p-4, 0x1.557514dc4e844p-4, 0x1.e5c05cf494befp-5, 0x1.2ae06314c8ad4p-5, 0x1.e80664157c944p-7, -0x1.693c0845b8d7bp-8, -0x1.95d12f6f7ebe1p-6, -0x1.5f90e4a24f268p-5, -0x1.eb70a294eb384p-5, -0x1.376c4699615bdp-4, -0x1.750cba291f1f4p-4, -0x1.aec1eba8ca2ap-4, -0x1.e4b3c8df8d342p-4, -0x1.0b84e41e11658p-3, -0x1.22f56416d7a75p-3, -0x1.38be7b2e06d36p-3, -0x1.4cf2da55e6235p-3, -0x1.5fa4c55bb4413p-3, -0x1.70e608e020fdp-3, -0x1.80c7f4fd819d8p-3, -0x1.8f5b58c804e2cp-3, -0x1.9cb07c3d40302p-3, -0x1.a8d72142a5a7bp-3, -0x1.b3de7e8fb630cp-3, -0x1.bdd5411ddaae2p-3, -0x1.c6c98c9ab73bcp-3, -0x1.cec8f9e051e62p-3, -0x1.d5e09bb3a7c1fp-3, -0x1.dc1cfddd0a0f6p-3, -0x1.e18a2857bd3eep-3, -0x1.e633a2f28edfcp-3, -0x1.ea2475f1d652dp-3, -0x1.ed672f2cc75a2p-3, -0x1.f005e4664c412p-3, -0x1.f20a36717f6d6p-3, -0x1.f37d55e6dc7d3p-3, -0x1.f46805aad609dp-3, -0x1.f4d29f71f3507p-3, -0x1.f4c5176be1d1p-3, -0x1.f446ffa82eaf3p-3, -0x1.f35f8c8fec303p-3, -0x1.f21597e57c95ap-3, -0x1.f06fa4ba8975ep-3, -0x1.ee73e33c6d152p-3, -0x1.ec2833780b968p-3, -0x1.e992295415d79p-3, -0x1.e6b70fc4c0116p-3, -0x1.e39beb6fd62c3p-3, -0x1.e0457e5673ae2p-3, -0x1.dcb84ab90995cp-3, -0x1.d8f89582baf76p-3, -0x1.d50a6982e3eafp-3, -0x1.d0f19a32859ap-3, -0x1.ccb1c5d3e6838p-3, -0x1.c84e58294022p-3, -0x1.c3ca8d28b2291p-3, -0x1.bf2972e1d78bep-3, -0x1.ba6deba1daba5p-3, -0x1.b59ab07dc31fbp-3, -0x1.b0b2532ce04fdp-3, -0x1.abb73fa723deep-3, -0x1.a6abbe4c90ffep-3, -0x1.a191f5d260aecp-3, -0x1.9c6bec9ee0dabp-3, -0x1.973b8a5db34ffp-3, -0x1.920299d90f95dp-3, -0x1.8cc2ca673fda6p-3, -0x1.877db10c23f2bp-3, -0x1.8234c9e7bc50ap-3, -0x1.7ce979bacb1a1p-3, -0x1.779d0eff0aefbp-3, -0x1.7250c2db465f2p-3, -0x1.6d05ba62017dcp-3, -0x1.67bd07cabcc4cp-3, -0x1.6277ab50385adp-3, -0x1.5d3693fead593p-3, -0x1.57faa0b8884f3p-3, -0x1.52c4a133f6445p-3, -0x1.4d9556b7438acp-3, -0x1.486d74bebca5p-3, -0x1.434da1c66904p-3, -0x1.3e36781e005dap-3, -0x1.3928868d95123p-3, -0x1.342450d6691fep-3, -0x1.2f2a504a72446p-3, -0x1.2a3af47c31c0cp-3, -0x1.2556a3cf780c6p-3, -0x1.207dbbe329d88p-3, -0x1.1bb0920105c0cp-3, -0x1.16ef73a5f2653p-3, -0x1.123aa6fffa2b8p-3, -0x1.0d926b4f1b1e1p-3, -0x1.08f6f93b004b7p-3, -0x1.04688332a4d1cp-3, -0x1.ffce6ba66f8aep-4, -0x1.f6e67088f7379p-4, -0x1.ee195907f45a7p-4, -0x1.e5675f4d3fef9p-4, -0x1.dcd0b4442f8fbp-4, -0x1.d455803c5dcecp-4, -0x1.cbf5e379411bbp-4, -0x1.c3b1f69ed0ff1p-4, -0x1.bb89cb135a57ap-4, -0x1.b37d6b76b6471p-4, -0x1.ab8cdc21255edp-4, -0x1.a3b81b8b64cp-4, -0x1.9bff22a0f379p-4, -0x1.9461e510b4d73p-4, -0x1.8ce051a7c50ccp-4, -0x1.857a52ab9c551p-4, -0x1.7e2fce2890453p-4, -0x1.7700a638cd2e6p-4, -0x1.6fecb9456477p-4, -0x1.68f3e2430b371p-4, -0x1.6215f8f06c394p-4, -0x1.5b52d216d5642p-4, -0x1.54aa3fc8197e2p-4, -0x1.4e1c11903958ap-4, -0x1.47a8149bc15abp-4, -0x1.414e13e2e3259p-4, -0x1.3b0dd85f1d356p-4, -0x1.34e7293eb204bp-4, -0x1.2ed9cc09f8f5bp-4, -0x1.28e584bd4773dp-4, -0x1.230a15e6b55c6p-4, -0x1.1d4740cfa886bp-4, -0x1.179cc5a6339d2p-4, -0x1.120a639936113p-4, -0x1.0c8fd8eb05443p-4, -0x1.072ce30743da4p-4, -0x1.01e13ea15aa16p-4, -0x1.f9594fa888984p-5, -0x1.ef1db4710d17p-5, -0x1.e50f21e1e9dafp-5, -0x1.db2d0d73d1a81p-5, -0x1.d176ec0142e16p-5, -0x1.c7ec31f868a5cp-5, -0x1.be8c537df0fe9p-5, -0x1.b556c47e7dc55p-5, -0x1.ac4af8be9a99cp-5, -0x1.a36863f9fe28ep-5, -0x1.9aae7a0e1ea5bp-5, -0x1.921caf1bf749bp-5, -0x1.89b27796283b4p-5, -0x1.816f484574ba9p-5, -0x1.79529655a4f6dp-5, -0x1.715bd77244295p-5, -0x1.698a81e8d545ap-5, -0x1.61de0cbeeb90cp-5, -0x1.5a55efb614543p-5, -0x1.52f1a3498cb22p-5, -0x1.4bb0a0b6aa39ap-5, -0x1.44926213f9f7ep-5, -0x1.3d96626bea97p-5, -0x1.36bc1dccaf541p-5, -0x1.30031148d479ap-5, -0x1.296abaf179fb5p-5, -0x1.22f299d8384dp-5, -0x1.1c9a2e1e5ced2p-5, -0x1.1660f909c6ad3p-5, -0x1.10467d12a74c4p-5, -0x1.0a4a3de481d95p-5, -0x1.046bc05760f19p-5, -0x1.fd5514d7e8e17p-6, -0x1.f20c46a379bd2p-6, -0x1.e6fc26ea7f79ap-6, -0x1.dc23c91a4ddcfp-6, -0x1.d182433ccb0ddp-6, -0x1.c716adee7b868p-6, -0x1.bce0244fd463cp-6, -0x1.b2ddc4015b31dp-6, -0x1.a90ead2fccecfp-6, -0x1.9f7202a84408fp-6, -0x1.9606e9e680cd3p-6, -0x1.8ccc8b14b5f64p-6, -0x1.83c210ff3c698p-6, -0x1.7ae6a906cf244p-6, -0x1.7239831bed09ap-6, -0x1.69b9d1c62d9efp-6, -0x1.6166ca30e4995p-6, -0x1.593fa43337696p-6, -0x1.51439a4dced66p-6, -0x1.4971e99fbb648p-6, -0x1.41c9d1d949f6cp-6, -0x1.3a4a95346a1d2p-6, -0x1.32f37875b1097p-6, -0x1.2bc3c2f2cbb4fp-6, -0x1.24babe979566fp-6, -0x1.1dd7b7e4baad5p-6, -0x1.1719fde74585dp-6, -0x1.1080e22cbd7p-6, -0x1.0a0bb8b8f0863p-6, -0x1.03b9d80115f69p-6, -0x1.fb1531d8843e4p-7, -0x1.eefaadab2ec87p-7, -0x1.e322df1830e68p-7, -0x1.d78c869b7d8aep-7, -0x1.cc36697cce18cp-7, -0x1.c11f51ba9424dp-7, -0x1.b6460df879c92p-7, -0x1.aba9717529556p-7, -0x1.a148540694844p-7, -0x1.97219217f59aap-7, -0x1.8d340ca4a4791p-7, -0x1.837ea92d25eeap-7, -0x1.7a0051a6fb00ep-7, -0x1.70b7f46a5695ep-7, -0x1.67a4842156252p-7, -0x1.5ec4f7bba8c0dp-7, -0x1.56184a6681482p-7, -0x1.4d9d7b868779ap-7, -0x1.45538eb0b088dp-7, -0x1.3d398b9ffafc2p-7, -0x1.354e7e27e0a7p-7, -0x1.2d917624a8d4bp-7, -0x1.2601876b87806p-7, -0x1.1e9dc9bca0d4ap-7, -0x1.176558b7d6a0ep-7, -0x1.105753d3b59e2p-7, -0x1.0972de54f1d4fp-7, -0x1.02b71f44c76d9p-7, -0x1.f84682cb47638p-8, -0x1.eb6ce64c2ba99p-8, -0x1.dedfcd259d4c5p-8, -0x1.d29da29136adfp-8, -0x1.c6a4d8cf2a9dcp-8, -0x1.baf3e90fc43dbp-8, -0x1.af89535f6351ap-8, -0x1.a4639e9319p-8, -0x1.9981583444fdfp-8, -0x1.8ee1146a77b0cp-8, -0x1.84816de3b3ba2p-8, -0x1.7a6105bb8de15p-8, -0x1.707e836221eb1p-8, -0x1.66d894840946ap-8, -0x1.5d6decf3e1fcbp-8, -0x1.543d4695ac3e9p-8, -0x1.4b45614ad798fp-8, -0x1.428502de1282ap-8, -0x1.39faf6ee83544p-8, -0x1.31a60eda37263p-8, -0x1.298521a813b5bp-8, -0x1.21970bf198df6p-8, -0x1.19daafccd3147p-8, -0x1.124ef4b6e41ddp-8, -0x1.0af2c77f72af4p-8, -0x1.03c51a34d5707p-8, -0x1.f989c821218e6p-9, -0x1.ebe242c7826adp-9, -0x1.de91a706ba5e1p-9, -0x1.d196016950f41p-9, -0x1.c4ed68339f9d3p-9, -0x1.b895fb3d9ead4p-9, -0x1.ac8de3cc9bd61p-9, -0x1.a0d3546d0846cp-9, -0x1.956488cbd243p-9, -0x1.8a3fc58f9fc48p-9, -0x1.7f635831c85e8p-9, -0x1.74cd96d7c5ea5p-9, -0x1.6a7ce02dfffap-9, -0x1.606f9b44fb394p-9, -0x1.56a437717cd8p-9, -0x1.4d192c2eff4fp-9, -0x1.43ccf902a92fp-9, -0x1.3abe255cffad6p-9, -0x1.31eb4078336ecp-9, -0x1.2952e132509a7p-9, -0x1.20f3a5e42160fp-9, -0x1.18cc343651868p-9, -0x1.10db38f853ba3p-9, -0x1.091f67fbf4e1ep-9, -0x1.01977bf87f627p-9, -0x1.f4846ceb15139p-10, -0x1.e63cbf7775002p-10, -0x1.d8558d8e3779cp-10, -0x1.cacc826bbd7e1p-10, -0x1.bd9f565d58576p-10, -0x1.b0cbce78b6034p-10, -0x1.a44fbc3e945b1p-10, -0x1.9828fd31e7a03p-10, -0x1.8c557a6f90049p-10, -0x1.80d328558dcp-10, -0x1.75a00645a3613p-10, -0x1.6aba1e8870a4ap-10, -0x1.601f864dc2648p-10, -0x1.55ce5dbd04568p-10, -0x1.4bc4d003d326bp-10, -0x1.4201134f1cafbp-10, -0x1.388168a03332p-10, -0x1.2f441b7832648p-10, -0x1.26478160126a5p-10, -0x1.1d89f95dafa39p-10, -0x1.1509eb6d44c69p-10, -0x1.0cc5c8175bccdp-10, -0x1.04bc08350476bp-10, -0x1.f9d659d35ff46p-11, -0x1.eaa37f972391cp-11, -0x1.dbdca64e447a4p-11, -0x1.cd7f04848bef7p-11, -0x1.bf87e304586bcp-11, -0x1.b1f49cbaa38f4p-11, -0x1.a4c29e20470ebp-11, -0x1.97ef643399499p-11, -0x1.8b787b2b15f55p-11, -0x1.7f5b7d1d5dd37p-11, -0x1.739610e02678dp-11, -0x1.6825e9533beb9p-11, -0x1.5d08c5353d288p-11, -0x1.523c6f7dc228dp-11, -0x1.47bec0182e4fp-11, -0x1.3d8d9cc419384p-11, -0x1.33a6f9d46b973p-11, -0x1.2a08da8f6e355p-11, -0x1.20b1510747505p-11, -0x1.179e7d637d301p-11, -0x1.0ece8cb5af237p-11, -0x1.063fb78f24173p-11, -0x1.fbe0813824637p-12, -0x1.ebbce70c52555p-12, -0x1.dc1148a13ca34p-12, -0x1.ccda5e856b6dfp-12, -0x1.be14f2acf566ap-12, -0x1.afbde207e65d9p-12, -0x1.a1d21e5af2faap-12, -0x1.944eafd747225p-12, -0x1.8730b60112151p-12, -0x1.7a75679e7497bp-12, -0x1.6e1a11a3ab35ep-12, -0x1.621c154d23e1fp-12, -0x1.5678e5c3ddff1p-12, -0x1.4b2e05bef8f13p-12, -0x1.4039058bf556fp-12, -0x1.359781cbeecadp-12, -0x1.2b472306d2879p-12, -0x1.21459e0a2d4dfp-12, -0x1.1790b4e287374p-12, -0x1.0e2638224af2dp-12, -0x1.0504081eb62c4p-12, -0x1.f8502b9cb53f3p-13, -0x1.e720c617eb0cdp-13, -0x1.d676044bdb72p-13, -0x1.c64c2999cfab7p-13, -0x1.b69f95398a8b8p-13, -0x1.a76cbf1d579dap-13, -0x1.98b0353f6b89bp-13, -0x1.8a6699bd227d6p-13, -0x1.7c8ca1ddfc9edp-13, -0x1.6f1f15e984ef7p-13, -0x1.621ad18d08357p-13, -0x1.557cc491c6105p-13, -0x1.4941f3ae0e5bfp-13, -0x1.3d677943298c4p-13, -0x1.31ea85d9d1724p-13, -0x1.26c8602b0f0c2p-13, -0x1.1bfe6491455eep-13, -0x1.118a03dd06257p-13, -0x1.0768c1c0beaf8p-13, -0x1.fb3066629ef66p-14, -0x1.e82bfa42b7f14p-14, -0x1.d5bfa7b20235ep-14, -0x1.c3e6f5c53237bp-14, -0x1.b29d8a9322e14p-14, -0x1.a1df2b9745ebep-14, -0x1.91a7bd6839459p-14, -0x1.81f342a13a54ap-14, -0x1.72bdda4d9b5a3p-14, -0x1.6403be5d3d041p-14, -0x1.55c1429971bfep-14, -0x1.47f2d44564fd5p-14, -0x1.3a94fa3f84c73p-14, -0x1.2da45540fc311p-14, -0x1.211d9fdf19776p-14, -0x1.14fdae1f90273p-14, -0x1.09416cafe427ep-14, -0x1.fbcbbfdf7e9b7p-15, -0x1.e5d046007364fp-15, -0x1.d08acdf5fa753p-15, -0x1.bbf5e4bd5247bp-15, -0x1.a80c4159c2146p-15, -0x1.94c8c3ffb67dep-15, -0x1.8226748388df2p-15, -0x1.70207f3cb7579p-15, -0x1.5eb230480c619p-15, -0x1.4dd6ee2d1225fp-15, -0x1.3d8a360019ccbp-15, -0x1.2dc79b554ccdcp-15, -0x1.1e8acd1f9bb88p-15, -0x1.0fcf9e600ced4p-15, -0x1.01920f30aec4p-15, -0x1.e79ca33f064c7p-16, -0x1.cd018deed295fp-16, -0x1.b34beab03fa47p-16, -0x1.9a74f301dbd47p-16, -0x1.8275f67ca2bf8p-16, -0x1.6b485489099cdp-16, -0x1.54e58a6f740a7p-16, -0x1.3f474e28e364p-16, -0x1.2a67a6455163cp-16, -0x1.1640ef61c1e0fp-16, -0x1.02cdc89a32941p-16, -0x1.e011dbd5bcfbfp-17, -0x1.bbda25286b931p-17, -0x1.98e9a03950268p-17, -0x1.77356be9be31ep-17, -0x1.56b2eabd0488ap-17, -0x1.37582a691f18fp-17, -0x1.191c2567b8b75p-17, -0x1.f7ed70ac77d89p-18, -0x1.bfc093a81cf3bp-18, -0x1.89a297c771197p-18, -0x1.5583a8ba0fbe9p-18, -0x1.23530494d7b6ap-18, -0x1.e5ff07c6c3f79p-19, -0x1.88f145c259bdep-19, -0x1.2f5f12a5e685ap-19, -0x1.b25e22051c5c3p-20, -0x1.0c9720a5cf7aep-20, -0x1.b5043f5c58b42p-22, 0x1.5e6d618f02cd4p-23, 0x1.7d872124a6a88p-21, 0x1.4bd45118fd4a6p-20, 0x1.d33642b83526fp-20, 0x1.2a8f29d057532p-19, 0x1.68de429e458bap-19, 0x1.a49d302994f79p-19, 0x1.ddddf145c4c65p-19, 0x1.0a58990c7bd6ep-18, 0x1.24940d872fae2p-18, 0x1.3daad7d2a058dp-18, 0x1.55a785a33e1bep-18, 0x1.6c951bc839c4dp-18, 0x1.827e0244e1bfcp-18, 0x1.976af508f9655p-18, 0x1.ab628d6aed52dp-18, 0x1.be69ad8102edfp-18, 0x1.d08494513c26cp-18, 0x1.e1b8003dbd755p-18, 0x1.f209ca3769514p-18, 0x1.00c0648bdbff6p-17, 0x1.0812204d65de1p-17, 0x1.0efda7ff89fcp-17, 0x1.158658355bc5cp-17, 0x1.1baf63c6449dcp-17, 0x1.217bebba22f31p-17, 0x1.26ef0858c1821p-17, 0x1.2c0bbe8b0d1edp-17, 0x1.30d4f77fa2086p-17, 0x1.354d8be0cabcap-17, 0x1.397854656b4fap-17, 0x1.3d581ed964dc1p-17, 0x1.40ef7d4842eap-17, 0x1.44409063bdca8p-17, 0x1.474cfe44dd462p-17, 0x1.4a16243cc3086p-17, 0x1.4c9d5f42b5813p-17, 0x1.4ee4396683b24p-17, 0x1.50ec6afde1a5cp-17, 0x1.52b7bf732287bp-17, 0x1.5447f404a21b3p-17, 0x1.559ea4298a812p-17, 0x1.56bd552516087p-17, 0x1.57a59db18a52ep-17, 0x1.58594931bd188p-17, 0x1.58da57b5ba8bep-17, 0x1.592add9ba1328p-17, 0x1.594cdcd3a3f8cp-17, 0x1.59422b986f499p-17, 0x1.590c6a95b973bp-17, 0x1.58ad040214d82p-17, 0x1.58252fe0208a4p-17, 0x1.5775fd314315dp-17, 0x1.56a061b18fc88p-17, 0x1.55a55027ab46bp-17, 0x1.5485cb8cf9179p-17, 0x1.5342e863a3b63p-17, 0x1.51ddbd45baa0ap-17, 0x1.505751fd1ff46p-17, 0x1.4eb096ba19d41p-17, 0x1.4cea686f7b961p-17, 0x1.4b05a6bfda3c5p-17, 0x1.49034c2d159f6p-17, 0x1.46e46e5146f22p-17, 0x1.44aa25d7c2797p-17, 0x1.42557665bcfd3p-17, 0x1.3fe748063422ep-17, 0x1.3d6071b23578bp-17, 0x1.3ac1caaec855dp-17, 0x1.380c36a39504ep-17, 0x1.3540a50e85c97p-17, 0x1.3260051c824b8p-17, 0x1.2f6b331bcf483p-17, 0x1.2c62e7493d497p-17, 0x1.2947b3ef96fcdp-17, 0x1.261a1ad1d610bp-17, 0x1.22daac77f3bcep-17, 0x1.1f8a17c707d16p-17, 0x1.1c2918caf89dep-17, 0x1.18b85669f2c38p-17, 0x1.15385a8759d51p-17, 0x1.11a9ae59f53a8p-17, 0x1.0e0cf11bddd06p-17, 0x1.0a62cfe90538bp-17, 0x1.06abf1f47119ap-17, 0x1.02e8ef17531c2p-17, 0x1.fe34a4298efe4p-18, 0x1.f6813ccf143a6p-18, 0x1.eeb8a85b372ffp-18, 0x1.e6dbe2ce1b8cfp-18, 0x1.deebe41104a59p-18, 0x1.d6e9a08fd275bp-18, 0x1.ced60aa40f3e4p-18, 0x1.c6b2149cb47f3p-18, 0x1.be7eb345198cp-18, 0x1.b63cdc81f481ep-18, 0x1.aded7cfff97eep-18, 0x1.a5916c960cacap-18, 0x1.9d29720d6e256p-18, 0x1.94b656a0e1962p-18, 0x1.8c38f11ebc83ap-18, 0x1.83b2194975ba4p-18, 0x1.7b22965619a88p-18, 0x1.728b2388324b1p-18, 0x1.69ec83f52b4c7p-18, 0x1.614783d0f7f8fp-18, 0x1.589ce3974db7dp-18, 0x1.4fed4d533a6e8p-18, 0x1.4739614d33bc3p-18, 0x1.3e81c86d5881ep-18, 0x1.35c739c724fap-18, 0x1.2d0a705122309p-18, 0x1.244c1c88ba29cp-18, 0x1.1b8cd8ffc4869p-18, 0x1.12cd19ecc7051p-18, 0x1.0a0d391cb5574p-18, 0x1.014dc4a45ee05p-18, 0x1.f11f32e6ccd03p-19, 0x1.dfa6f7dea569ep-19, 0x1.ce33c3293d09dp-19, 0x1.bcc68e7cdd92dp-19, 0x1.ab60af3364083p-19, 0x1.9a032f50a91aep-19, 0x1.88ae98e6c4e1dp-19, 0x1.776389629cb42p-19, 0x1.66231bbb49c7p-19, 0x1.54eea343f71c9p-19, 0x1.43c720fe4d636p-19, 0x1.32ad3d67477bcp-19, 0x1.21a1ca9ae5bb6p-19, 0x1.10a5ede873f03p-19, 0x1.ff7578504c913p-20, 0x1.ddc2164b396b6p-20, 0x1.bc33388373403p-20, 0x1.9aca69c911ea6p-20, 0x1.798942a4d84d5p-20, 0x1.58714dd527d35p-20, 0x1.3783524e5e14fp-20, 0x1.16bfc26fc6068p-20, 0x1.ec519af3e9769p-21, 0x1.ab81e685a0c15p-21, 0x1.6b115dc01ecfcp-21, 0x1.2b01cfb46d715p-21, 0x1.d6b0468675d73p-22, 0x1.582ef75ca6fb9p-22, 0x1.b5047e82bc736p-23, 0x1.76b6feb76b8dcp-24, -0x1.e49546cd08773p-26, -0x1.32bad56e93ddfp-23, -0x1.13896d4619077p-22, -0x1.8cc9de8df8b09p-22, -0x1.028eb2808c58cp-21, -0x1.3e40d92997b1ep-21, -0x1.79784642140cbp-21, -0x1.b4320273ae934p-21, -0x1.ee6d37d3b9b48p-21, -0x1.14144a2303e7dp-20, -0x1.30b052e594864p-20, -0x1.4d0961e32b167p-20, -0x1.691ed781a58bfp-20, -0x1.84eff9df42d12p-20, -0x1.a07ce1a53f525p-20, -0x1.bbc58c3f0361cp-20, -0x1.d6c8770274c88p-20, -0x1.f185824b277f6p-20, -0x1.05fdf243d5a61p-19, -0x1.1314c6d1d7313p-19, -0x1.200714a2f393p-19, -0x1.2cd4f194f742ep-19, -0x1.397e2bac9a731p-19, -0x1.460273173dfc7p-19, -0x1.52617c9e3f1afp-19, -0x1.5e9b064c60e15p-19, -0x1.6aaed7da83bf4p-19, -0x1.769cb59369c75p-19, -0x1.8264695bf02ebp-19, -0x1.8e05ba19954bap-19, -0x1.998073aae214dp-19, -0x1.a4d46399dbf77p-19, -0x1.b0014b566b312p-19, -0x1.bb06ea2b8a6e9p-19, -0x1.c5e5433c6896fp-19, -0x1.d09c8790b07c7p-19, -0x1.db2c8e90f64fdp-19, -0x1.e594fc6ac1911p-19, -0x1.efd584553810ep-19, -0x1.f9ee3eebf29c2p-19, -0x1.01ef9255ae651p-18, -0x1.06d438258080ap-18, -0x1.0ba4f75d389ebp-18, -0x1.106187d85e485p-18, -0x1.150a0ef82b0cdp-18, -0x1.199ea1918c0a6p-18, -0x1.1e1f3532f28e3p-18, -0x1.228bbeb4bb47bp-18, -0x1.26e438f9e333ep-18, -0x1.2b28a3371434ap-18, -0x1.2f58ff297c4a9p-18, -0x1.33754fc47c1ap-18, -0x1.377d98a3d7b99p-18, -0x1.3b71ddb113932p-18, -0x1.3f522341c7963p-18, -0x1.431e6edf4f785p-18, -0x1.46d6c85d5bcd3p-18, -0x1.4a7b3a3dd33b6p-18, -0x1.4e0bd097b0cdp-18, -0x1.518896a52b9fep-18, -0x1.54f197060c905p-18, -0x1.5846e1e597ca8p-18, -0x1.5b888721e8799p-18, -0x1.5eb67195c04bbp-18, -0x1.61d092f5c624cp-18, -0x1.64d7364780c07p-18, -0x1.67ca7a94499a5p-18, -0x1.6aaa59e18274p-18, -0x1.6d76d576cd307p-18, -0x1.703030ec42c79p-18, -0x1.72d66a917cec9p-18, -0x1.75697027315fep-18, -0x1.77e968a33e89p-18, -0x1.7a5679ad1cf2ap-18, -0x1.7cb0b864dd126p-18, -0x1.7ef8375f25579p-18, -0x1.812d0ba122fd1p-18, -0x1.834f4c4a094c2p-18, -0x1.855f11a17bbaep-18, -0x1.875c7481563a2p-18, -0x1.89478e2774c65p-18, -0x1.8b20786f7f6c4p-18, -0x1.8ce74e48e55ebp-18, -0x1.8e9c2bff019c8p-18, -0x1.903f2efa73c94p-18, -0x1.91d074da49bddp-18, -0x1.93501a31c168p-18, -0x1.94be3af2e509bp-18, -0x1.961af63a44c52p-18, -0x1.97666d86ccbadp-18, -0x1.98a0adda30353p-18, -0x1.99c9cd2d64f0bp-18, -0x1.9ae2236c4e243p-18, -0x1.9be9b8187437cp-18, -0x1.9ce088f9ece2cp-18, -0x1.9dc6d50d7d573p-18, -0x1.9e9cc1ab9ab16p-18, -0x1.9f626bdab529bp-18, -0x1.a017f44aee2e3p-18, -0x1.a0bd7a10826a7p-18, -0x1.a15313d588021p-18, -0x1.a1d8e51244b1bp-18, -0x1.a24f2b04b98cfp-18, -0x1.a2b60aa9569e9p-18, -0x1.a30d8e7fcd0afp-18, -0x1.a355db52d7c78p-18, -0x1.a38f2184a2174p-18, -0x1.a3b986102e411p-18, -0x1.a3d52b3fb38fcp-18, -0x1.a3e234c64d842p-18, -0x1.a3e0c786ceeb4p-18, -0x1.a3d10908f7ff2p-18, -0x1.a3b31f2771af6p-18, -0x1.a3872fca5fe6fp-18, -0x1.a34d60810e4e8p-18, -0x1.a305d679cbd11p-18, -0x1.a2b0b7ded7cbep-18, -0x1.a24e2d3ec84fep-18, -0x1.a1de5a83cd18fp-18, -0x1.a16160a7ad4edp-18, -0x1.a0d7754a2d77ep-18, -0x1.a040b07362b94p-18, -0x1.9f9d3d91b8adfp-18, -0x1.9eed47103386bp-18, -0x1.9e30f1d0b768fp-18, -0x1.9d686401b2788p-18, -0x1.9c93c480c9429p-18, -0x1.9bb33a5505fbfp-18, -0x1.9ac6ec911cea4p-18, -0x1.99cf024c2e34dp-18, -0x1.98cba29d9159fp-18, -0x1.97bcf4a622415p-18, -0x1.96a31f4b0e985p-18, -0x1.957e4989b1cbap-18, -0x1.944e9a7e5f0ecp-18, -0x1.9314394b8ebe8p-18, -0x1.91cf4cf87b321p-18, -0x1.907ffbb70114p-18, -0x1.8f266c4f0cfaap-18, -0x1.8dc2c6a2a9a8fp-18, -0x1.8c5530a192dd3p-18, -0x1.8addd14f6368p-18, -0x1.895ccf271105ap-18, -0x1.87d250605205ep-18, -0x1.863e7b9d1056dp-18, -0x1.84a17758f871ap-18, -0x1.82fb696c3fcb8p-18, -0x1.814c775ace504p-18, -0x1.7f94c8a416233p-18, -0x1.7dd4823e85061p-18, -0x1.7c0bcaf5d251ap-18, -0x1.7a3ac6d8fa475p-18, -0x1.78619bac4d9e5p-18, -0x1.76806f0f9dc72p-18, -0x1.7497664076df9p-18, -0x1.72a6a6450b9d6p-18, -0x1.70ae53fb08264p-18, -0x1.6eae941762369p-18, -0x1.6ca78b2481963p-18, -0x1.6a995d80c4355p-18, -0x1.68842f5d8ae7fp-18, -0x1.666824be274adp-18, -0x1.64456176f9808p-18, -0x1.621c092d1643ap-18, -0x1.5fec3f571cc55p-18, -0x1.5db6273f3ce9bp-18, -0x1.5b79e4036d2e5p-18, -0x1.5937988f6b42dp-18, -0x1.56ef679206ad2p-18, -0x1.54a17376d6bb4p-18, -0x1.524dde68765cbp-18, -0x1.4ff4ca5542732p-18, -0x1.4d9658f93cc5ap-18, -0x1.4b32abff5b4c6p-18, -0x1.48c9e5261e867p-18, -0x1.465c25c4f6a0dp-18, -0x1.43e98dc84ba54p-18, -0x1.41723d1141015p-18, -0x1.3ef65490f6dp-18, -0x1.3c75f86d4217ep-18, -0x1.39f1498720e65p-18, -0x1.376860a6428ecp-18, -0x1.34db5e4c4ae36p-18, -0x1.324a63a2b63bap-18, -0x1.2fb58ff37794ap-18, -0x1.2d1d01f3b9b77p-18, -0x1.2a80d811924a4p-18, -0x1.27e1309186ed1p-18, -0x1.253e29607bfdbp-18, -0x1.2297e03dc4e13p-18, -0x1.1fee729fbecb2p-18, -0x1.1d41fdc1407bap-18, -0x1.1a929f87d7a0fp-18, -0x1.17e07378ad2b4p-18, -0x1.152b944c40ad6p-18, -0x1.127421b6dda78p-18, -0x1.0fba3618b85bfp-18, -0x1.0cfded25d0fa7p-18, -0x1.0a3f624b5ea7ap-18, -0x1.077eb0aecaed7p-18, -0x1.04bbf32f42a8ep-18, -0x1.01f7445933cccp-18, -0x1.fe617d15f746bp-19, -0x1.f8d0f7939ab2dp-19, -0x1.f33d2bb3bd2bap-19, -0x1.eda64c8238302p-19, -0x1.e80c8cc365772p-19, -0x1.e2701eca01f7p-19, -0x1.dcd133ec8af0cp-19, -0x1.d72ffc61ede09p-19, -0x1.d18ca5eaeedf6p-19, -0x1.cbe7648c11682p-19, -0x1.c6406b4c61626p-19, -0x1.c097e0ca8168ap-19, -0x1.baedf58fd17fdp-19, -0x1.b542d83a75089p-19, -0x1.af96b60098adap-19, -0x1.a9e9bb918a8f9p-19, -0x1.a43c14cad52edp-19, -0x1.9e8dec14cb49dp-19, -0x1.98df6b9bd36cap-19, -0x1.9330c207a4a7dp-19, -0x1.8d821a0fc5946p-19, -0x1.87d3983b7b419p-19, -0x1.822565ca78683p-19, -0x1.7c77ac4574a5ap-19, -0x1.76ca93b7862cfp-19, -0x1.711e436503096p-19, -0x1.6b72e20465f9fp-19, -0x1.65c895cc3c6dcp-19, -0x1.601f8470812cdp-19, -0x1.5a77d3223aebdp-19, -0x1.54d1a68db7332p-19, -0x1.4f2d22d9c65fbp-19, -0x1.498a6ba9e87f5p-19, -0x1.43e9a41ed1535p-19, -0x1.3e4aeed6ace9ap-19, -0x1.38ae6dec0f86p-19, -0x1.331442f741ac7p-19, -0x1.2d7c8f1a8fa46p-19, -0x1.27e77308761fep-19, -0x1.22550edffe976p-19, -0x1.1cc5822ef27cdp-19, -0x1.1738ebd91d156p-19, -0x1.11af699cb345ep-19, -0x1.0c291c6330a74p-19, -0x1.06a6200e28667p-19, -0x1.012691404129fp-19, -0x1.f7551a9c695fcp-20, -0x1.ec6460e2b804ap-20, -0x1.e17b2cc10c53ap-20, -0x1.d699b4bb40d27p-20, -0x1.cbc02e677838p-20, -0x1.c0eece6e22089p-20, -0x1.b625c88ab30dcp-20, -0x1.ab654f8bd810fp-20, -0x1.a0ad9542e5692p-20, -0x1.95fecbc4749dbp-20, -0x1.8b5920251f51dp-20, -0x1.80bcc50f88a13p-20, -0x1.7629e71009b26p-20, -0x1.6ba0b3d220cbp-20, -0x1.612157ea8d447p-20, -0x1.56abff0df2c9dp-20, -0x1.4c40d411a690bp-20, }}, 
      {{0x1.706636e3947d8p-2, 0x1.4d7c9bc1d77fep-1, 0x1.b47e6f3dce248p-1, 0x1.ef644e34ca99cp-1, 0x1.030fc82c50e11p+0, 0x1.011e2911a8d9ap+0, 0x1.ecc5b7855638bp-1, 0x1.cd58df2e79f12p-1, 0x1.a9df33b29b634p-1, 0x1.869f68df372a4p-1, 0x1.66759376a5e7ap-1, 0x1.4b17f02b73ff4p-1, 0x1.355aad05b8243p-1, 0x1.256c58f5bffa2p-1, 0x1.1b089c1853521p-1, 0x1.15a0f56b9a191p-1, 0x1.147c533225d32p-1, 0x1.16cec1e7e39aap-1, 0x1.1bca808158b87p-1, 0x1.22abbaa7ee729p-1, 0x1.2ac00d7730209p-1, 0x1.336ad3e141c96p-1, 0x1.3c270f8bab8efp-1, 0x1.44879bc3664e6p-1, 0x1.4c363495f00eap-1, 0x1.52f1bcedcb78fp-1, 0x1.588c141180aep-1, 0x1.5ce7b54fb53d9p-1, 0x1.5ff54bd3ac793p-1, 0x1.61b157e9dc3cp-1, 0x1.6221f959bb6c9p-1, 0x1.6154eaf7715d1p-1, 0x1.5f5db5c93bf31p-1, 0x1.5c541ddafca2dp-1, 0x1.5852c7e1bdda4p-1, 0x1.537614ea11fcap-1, 0x1.4ddb301ac92c8p-1, 0x1.479f49d30dc65p-1, 0x1.40defb1a2dd69p-1, 0x1.39b5cc605f3bp-1, 0x1.323ddab379525p-1, 0x1.2a8f96c14c576p-1, 0x1.22c1996340b5bp-1, 0x1.1ae889f0ad4bap-1, 0x1.1317130e33fcfp-1, 0x1.0b5de311b6697p-1, 0x1.03cbb56fc9e0bp-1, 0x1.f8dac61a4cdebp-2, 0x1.ea9bef646fdf3p-2, 0x1.dced966343c56p-2, 0x1.cfdf3a225520dp-2, 0x1.c37d636d4510cp-2, 0x1.b7d1e08cb375bp-2, 0x1.ace4011451772p-2, 0x1.a2b8d0bdb255ep-2, 0x1.9953508c4c75ep-2, 0x1.90b4adab4c7c7p-2, 0x1.88dc75a34be26p-2, 0x1.81c8c7a589ce4p-2, 0x1.7b7682c618ffdp-2, 0x1.75e1711531f4ap-2, 0x1.71046f9503181p-2, 0x1.6cd993198604dp-2, 0x1.695a4a24942b2p-2, 0x1.667f7bd92cc19p-2, 0x1.6441a4238e30ep-2, 0x1.6298ed35d7229p-2, 0x1.617d467cb5ebp-2, 0x1.60e6792d7066bp-2, 0x1.60cc3a9418c23p-2, 0x1.61263c4463e55p-2, 0x1.61ec3a5566871p-2, 0x1.631607cb91749p-2, 0x1.649b9957df6a9p-2, 0x1.66750e8bcb30fp-2, 0x1.689ab9a7c41fdp-2, 0x1.6b05261942367p-2, 0x1.6dad1dd0d4c5bp-2, 0x1.708bad7c3a3ccp-2, 0x1.739a27cf790a5p-2, 0x1.76d227ecb4ddcp-2, 0x1.7a2d9309196e7p-2, 0x1.7da699744ef77p-2, 0x1.8137b6fce61e4p-2, 0x1.84dbb2e9784a1p-2, 0x1.888d9f76dbf5bp-2, 0x1.8c48d8e0d9e25p-2, 0x1.9009043fa70bep-2, 0x1.93ca0dbc4acd4p-2, 0x1.978826ead913p-2, 0x1.9b3fc48c6607ep-2, 0x1.9eed9c52fb01ep-2, 0x1.a28ea2b92ca49p-2, 0x1.a620085319d63p-2, 0x1.a99f37acfa2bcp-2, 0x1.ad09d2c7cc383p-2, 0x1.b05db08f502e9p-2, 0x1.b398dac1ea00dp-2, 0x1.b6b98b32f0716p-2, 0x1.b9be297d858bap-2, 0x1.bca548c3b9798p-2, 0x1.bf6da4ed5a23dp-2, 0x1.c21620a17859ep-2, 0x1.c49dc2e333659p-2, 0x1.c703b4b378242p-2, 0x1.c9473f4b45897p-2, 0x1.cb67c9dc37a89p-2, 0x1.cd64d7beb0087p-2, 0x1.cf3e06d046adep-2, 0x1.d0f30d8ecdb21p-2, 0x1.d283b9a0a7d07p-2, 0x1.d3efee4dbba0bp-2, 0x1.d537a2f0bb86dp-2, 0x1.d65ae1a094362p-2, 0x1.d759c5d2903c5p-2, 0x1.d8347b05e45b6p-2, 0x1.d8eb3b84b2cf1p-2, 0x1.d97e4f3ec986fp-2, 0x1.d9ee0aa18175ep-2, 0x1.da3acd7f88ac9p-2, 0x1.da650224e6579p-2, 0x1.da6d1c5bf9f8p-2, 0x1.da539881e419p-2, 0x1.da18fac911f93p-2, 0x1.d9bdce6ca6f73p-2, 0x1.d942a4eba5829p-2, 0x1.d8a8156a0fbc5p-2, 0x1.d7eebc10558f8p-2, 0x1.d717396621141p-2, 0x1.d62231c4aee79p-2, 0x1.d5104cd9e8d1ap-2, 0x1.d3e2352257ceap-2, 0x1.d298976798274p-2, 0x1.d134225a2c0eap-2, 0x1.cfb5862c200ap-2, 0x1.ce1d7421ce78p-2, 0x1.cc6c9e37579ecp-2, 0x1.caa3b6d523c62p-2, 0x1.c8c3707d2fe71p-2, 0x1.c6cc7d7c81cd1p-2, 0x1.c4bf8fab8be12p-2, 0x1.c29d583613c87p-2, 0x1.c0668762bd175p-2, 0x1.be1bcc5a9db14p-2, 0x1.bbbdd4fbd2abap-2, 0x1.b94d4db7c2fa8p-2, 0x1.b6cae16b7b639p-2, 0x1.b43739358a156p-2, 0x1.b192fc5b5948ap-2, 0x1.aeded03454767p-2, 0x1.ac1b580c38851p-2, 0x1.a9493508fffcdp-2, 0x1.a669061b2f36fp-2, 0x1.a37b67ed3e7e8p-2, 0x1.a080f4d231858p-2, 0x1.9d7a44b8c8365p-2, 0x1.9a67ed1e322c2p-2, 0x1.974a81012c2a6p-2, 0x1.942290dd09f4dp-2, 0x1.90f0aaa49d68bp-2, 0x1.8db559b5a00a6p-2, 0x1.8a7126d0d050ep-2, 0x1.8724981cfc1a5p-2, 0x1.83d031264efdap-2, 0x1.807472d4ede0ep-2, 0x1.7d11db6a00c06p-2, 0x1.79a8e685e34c3p-2, 0x1.763a0d29e1fd6p-2, 0x1.72c5c5b411518p-2, 0x1.6f4c83e0f9b8bp-2, 0x1.6bceb8d28b797p-2, 0x1.684cd3127bdc6p-2, 0x1.64c73e9284f1dp-2, 0x1.613e64b27f50dp-2, 0x1.5db2ac486242ap-2, 0x1.5a2479a2c10ap-2, 0x1.56942e8a983d7p-2, 0x1.53022a4c4c288p-2, 0x1.4f6ec9c22a331p-2, 0x1.4bda6757d4885p-2, 0x1.48455b0be0624p-2, 0x1.44affa7915114p-2, 0x1.411a98e37c425p-2, 0x1.3d85873e81052p-2, 0x1.39f1142dd39d8p-2, 0x1.365d8c0cbdb8ep-2, 0x1.32cb38fcdb1d2p-2, 0x1.2f3a62f063a6dp-2, 0x1.2bab4fab6efacp-2, 0x1.281e42c6e5e91p-2, 0x1.24937dbdecdc7p-2, 0x1.210b3ffe09229p-2, 0x1.1d85c6ed2c27ep-2, 0x1.1a034de82b9ap-2, 0x1.16840e4854922p-2, 0x1.13083f74c1a6ap-2, 0x1.0f9016f2e9c16p-2, 0x1.0c1bc86a36e03p-2, 0x1.08ab85a087147p-2, 0x1.053f7e7fdbd3p-2, 0x1.01d7e1295950bp-2, 0x1.fce9b40f3bb94p-3, 0x1.f62d27a5fa3b8p-3, 0x1.ef7a6f18ac0a4p-3, 0x1.e8d1d8fedc6edp-3, 0x1.e233b0a8e2ebep-3, 0x1.dba03e4a72f6p-3, 0x1.d517c70c6bd85p-3, 0x1.ce9a8d035ebeap-3, 0x1.c828cf28d46e9p-3, 0x1.c1c2c971fe388p-3, 0x1.bb68b4fbe4dcbp-3, 0x1.b51ac82c9288ap-3, 0x1.aed936b56655cp-3, 0x1.a8a43184f6da4p-3, 0x1.a27be6c8cf3dfp-3, 0x1.9c60820d8423ep-3, 0x1.96522c6a81cep-3, 0x1.90510c9b0a641p-3, 0x1.8a5d46f9fdcaep-3, 0x1.8476fd73e74ebp-3, 0x1.7e9e4f8c1e03ap-3, 0x1.78d35a7dd7031p-3, 0x1.73163965c7a5ap-3, 0x1.6d67055945482p-3, 0x1.67c5d5625e0f7p-3, 0x1.6232be7216127p-3, 0x1.5cadd36269ec6p-3, 0x1.5737251222b1cp-3, 0x1.51cec28c2910bp-3, 0x1.4c74b92228eddp-3, 0x1.4729146ec99e6p-3, 0x1.41ebde494caccp-3, 0x1.3cbd1ec0899d9p-3, 0x1.379cdc2bd59d7p-3, 0x1.328b1b4ce1cfdp-3, 0x1.2d87df6f38edbp-3, 0x1.28932a755d9eap-3, 0x1.23acfcd31c7a7p-3, 0x1.1ed5558381d1p-3, 0x1.1a0c320b86008p-3, 0x1.15518e8f78105p-3, 0x1.10a565f1d894fp-3, 0x1.0c07b1eb8319fp-3, 0x1.07786b134d1afp-3, 0x1.02f788d81b53dp-3, 0x1.fd0a02f3b5e6fp-4, 0x1.f441941bd60e8p-4, 0x1.eb95ad245e615p-4, 0x1.e306340e2f223p-4, 0x1.da930d087ea5cp-4, 0x1.d23c1a8080d29p-4, 0x1.ca013d1b04d08p-4, 0x1.c1e253a997b5ep-4, 0x1.b9df3b2e9ec82p-4, 0x1.b1f7cef83b4e8p-4, 0x1.aa2be8c9a3cap-4, 0x1.a27b610162025p-4, 0x1.9ae60eae9d154p-4, 0x1.936bc7936f99p-4, 0x1.8c0c601de6164p-4, 0x1.84c7ab65bf3d3p-4, 0x1.7d9d7b3964992p-4, 0x1.768da039e8eacp-4, 0x1.6f97e9fc4281cp-4, 0x1.68bc2723b7c8ep-4, 0x1.61fa256eba987p-4, 0x1.5b51b1b7b3c0dp-4, 0x1.54c297f1717abp-4, 0x1.4e4ca328c1a7p-4, 0x1.47ef9d910a1aap-4, 0x1.41ab509ab113fp-4, 0x1.3b7f850c49c6ep-4, 0x1.356c0316c5d36p-4, 0x1.2f7092608a03p-4, 0x1.298cfa0830424p-4, 0x1.23c100a3abe68p-4, 0x1.1e0c6c41dce5p-4, 0x1.186f027304031p-4, 0x1.12e888583562bp-4, 0x1.0d78c2b5ea9f2p-4, 0x1.081f7604a2599p-4, 0x1.02dc667c333dap-4, 0x1.fb5eb032830dbp-5, 0x1.f1301d3d9d0bbp-5, 0x1.e72c9b2e7aaf1p-5, 0x1.dd53b0b0c74bdp-5, 0x1.d3a4e4189086bp-5, 0x1.ca1fbb7b005a3p-5, 0x1.c0c3bcc885babp-5, 0x1.b7906de2d5f56p-5, 0x1.ae8554abf9064p-5, 0x1.a5a1f70ea0952p-5, 0x1.9ce5db0219c04p-5, 0x1.9450868dddcafp-5, 0x1.8be17fd0c9ffcp-5, 0x1.83984d0deedf9p-5, 0x1.7b7474bdae57fp-5, 0x1.73757d9f8fe15p-5, 0x1.6b9aeec9bfe2cp-5, 0x1.63e44fb4a6caep-5, 0x1.5c51284290d5p-5, 0x1.54e100c45aa8p-5, 0x1.4d9361fcefb93p-5, 0x1.4667d52600c54p-5, 0x1.3f5de3f786a3ep-5, 0x1.387518b243c5ap-5, 0x1.31acfe2b7d147p-5, 0x1.2b051fd7d9bcdp-5, 0x1.247d09d467466p-5, 0x1.1e1448ed6fa6p-5, 0x1.17ca6aa3674dbp-5, 0x1.119efd2e75c4p-5, 0x1.0b918f8177d39p-5, 0x1.05a1b14da7729p-5, 0x1.ff9de60f64926p-6, 0x1.f431cbdc62f0fp-6, 0x1.e8fe3820f633p-6, 0x1.de0250a9c7aa4p-6, 0x1.d33d3cfc091fep-6, 0x1.c8ae265e631dp-6, 0x1.be5437e06a04bp-6, 0x1.b42e9e60d030fp-6, 0x1.aa3c8892415ccp-6, 0x1.a07d26ffafe9bp-6, 0x1.96efac108f257p-6, 0x1.8d934c0d9fecep-6, 0x1.84673d25a562cp-6, 0x1.7b6ab7720e63ep-6, 0x1.729cf4fb9689ap-6, 0x1.69fd31bfae513p-6, 0x1.618aabb75295cp-6, 0x1.5944a2de99984p-6, 0x1.512a593baa24p-6, 0x1.493b12e3a5c08p-6, 0x1.417615fc36465p-6, 0x1.39daaab9911b7p-6, 0x1.32681b59d2abbp-6, 0x1.2b1db41eb2432p-6, 0x1.23fac34827f9bp-6, 0x1.1cfe9912417d7p-6, 0x1.162887b856927p-6, 0x1.0f77e37e10b01p-6, 0x1.08ec02bcb6bdp-6, 0x1.02843df10a75dp-6, 0x1.f87fdf8ac0bb6p-7, 0x1.ec3cea27fb3c5p-7, 0x1.e03e59c01082cp-7, 0x1.d482f08b086ecp-7, 0x1.c90974c819974p-7, 0x1.bdd0b0934235p-7, 0x1.b2d771c6b2e85p-7, 0x1.a81c89f2d49fap-7, 0x1.9d9ece70d7e36p-7, 0x1.935d188d5ca88p-7, 0x1.895645bfb80fap-7, 0x1.7f8937de57454p-7, 0x1.75f4d53f333d6p-7, 0x1.6c9808b7e467fp-7, 0x1.6371c178a476ap-7, 0x1.5a80f2c81a78bp-7, 0x1.51c493ae69814p-7, 0x1.493b9ea42ac34p-7, 0x1.40e51159f32f4p-7, 0x1.38bfeca8479aap-7, 0x1.30cb34adc848p-7, 0x1.2905f1151d062p-7, 0x1.216f2d70f2ca1p-7, 0x1.1a05f99591fc2p-7, 0x1.12c969d6218dp-7, 0x1.0bb897121f071p-7, 0x1.04d29e8b2e386p-7, 0x1.fc2d43128570fp-8, 0x1.ef0789c04ad8cp-8, 0x1.e23260e44524dp-8, 0x1.d5ac1d9a8d615p-8, 0x1.c97319f502d34p-8, 0x1.bd85b515c0aa3p-8, 0x1.b1e253be7c164p-8, 0x1.a6876130e962p-8, 0x1.9b735027d5cafp-8, 0x1.90a49ba836e05p-8, 0x1.8619c773b2ea8p-8, 0x1.7bd15ffac414dp-8, 0x1.71c9f9ccaeeccp-8, 0x1.680230a2706cbp-8, 0x1.5e78a6395e8ccp-8, 0x1.552c013eba5bp-8, 0x1.4c1aec8726e2fp-8, 0x1.434416bc2ced1p-8, 0x1.3aa6328cd9414p-8, 0x1.323ff75151179p-8, 0x1.2a1021f5ab76p-8, 0x1.221575f273e18p-8, 0x1.1a4ebe14aaaacp-8, 0x1.12bacce59addp-8, 0x1.0b587c9808cc6p-8, 0x1.0426ae7f6db1cp-8, 0x1.fa48946116c74p-9, 0x1.eca078fbcd582p-9, 0x1.df52ed112c2e5p-9, 0x1.d25dda28c931ap-9, 0x1.c5bf307991243p-9, 0x1.b974e71fbd4d4p-9, 0x1.ad7cfcfeaafecp-9, 0x1.a1d57a0e87ebep-9, 0x1.967c70c3044e2p-9, 0x1.8b6fff3650f2cp-9, 0x1.80ae4fd1eb44bp-9, 0x1.76359949aaa96p-9, 0x1.6c041de828618p-9, 0x1.62182a557b5f6p-9, 0x1.58701425d2d1ap-9, 0x1.4f0a388980e52p-9, 0x1.45e4fb6850fb5p-9, 0x1.3cfec70b3630bp-9, 0x1.34560c49d7bebp-9, 0x1.2be9430fb048ep-9, 0x1.23b6eb002da2p-9, 0x1.1bbd8c0ce5a8p-9, 0x1.13fbb6e4098dap-9, 0x1.0c70052c6a722p-9, 0x1.0519198a425bfp-9, 0x1.fbeb3ec7d62eep-10, 0x1.ee0894c12a84fp-10, 0x1.e087ab543f879p-10, 0x1.d366062943a0fp-10, 0x1.c6a134c9f8555p-10, 0x1.ba36d1e1265d4p-10, 0x1.ae248364ebadap-10, 0x1.a267fb8527a07p-10, 0x1.96fef9dd61cc9p-10, 0x1.8be74c4f02ec6p-10, 0x1.811ecf15a9e6fp-10, 0x1.76a36c0699289p-10, 0x1.6c73194fe81edp-10, 0x1.628bd83a475a8p-10, 0x1.58ebb466c9f2ep-10, 0x1.4f90c3b8764e4p-10, 0x1.467926c98b20ep-10, 0x1.3da3098f923f6p-10, 0x1.350ca3d378714p-10, 0x1.2cb4394afda58p-10, 0x1.2498195e3319ep-10, 0x1.1cb69ec0bc14dp-10, 0x1.150e2f05afe63p-10, 0x1.0d9d3a3c8a224p-10, 0x1.06623a9593c4p-10, 0x1.feb767fbb9abep-11, 0x1.f110673810856p-11, 0x1.e3cc9e0fef893p-11, 0x1.d6e94640262c4p-11, 0x1.ca63a52974a12p-11, 0x1.be390922c68cbp-11, 0x1.b266c86b04f79p-11, 0x1.a6ea430a9f0edp-11, 0x1.9bc0e8122dc41p-11, 0x1.90e83d1ecfbaep-11, 0x1.865de580bb65dp-11, 0x1.7c1fa5bee50e1p-11, 0x1.722b61136b315p-11, 0x1.687f10d95506fp-11, 0x1.5f18b8ddb7807p-11, 0x1.55f65d8171d9bp-11, 0x1.4d160047e71fcp-11, 0x1.4475a480a1742p-11, 0x1.3c1359795da74p-11, 0x1.33ed4458708adp-11, 0x1.2c01a380c5a5fp-11, 0x1.244ec891f4c96p-11, 0x1.1cd30b443aae1p-11, 0x1.158cbbe7d5467p-11, 0x1.0e7a1da12fd1dp-11, 0x1.07996d688baf2p-11, 0x1.00e8f45d66ebep-11, 0x1.f4ce3ab25bc89p-12, 0x1.e825054d01becp-12, 0x1.dbd3d7434d56bp-12, 0x1.cfd8732acf007p-12, 0x1.c43097975a7dcp-12, 0x1.b8d9cfe8aa7fbp-12, 0x1.add165b94a9f8p-12, 0x1.a3147c0b643p-12, 0x1.98a0489afbcf8p-12, 0x1.8e724f9b19045p-12, 0x1.848883750331bp-12, 0x1.7ae13725e39c1p-12, 0x1.717ae896a6cb2p-12, 0x1.6853fcf4b626fp-12, 0x1.5f6a905e2ba9ap-12, 0x1.56bc6fbe7e275p-12, 0x1.4e473d6063309p-12, 0x1.4608abe5ed771p-12, 0x1.3dfeb317110bbp-12, 0x1.3627a7ed1f79ep-12, 0x1.2e822f59abbbbp-12, 0x1.270d1258af8e6p-12, 0x1.1fc705b8ee73ep-12, 0x1.18ae7e0879d44p-12, 0x1.11c1a5bf9ee8cp-12, 0x1.0afe7f3d4af72p-12, 0x1.04632756bef32p-12, 0x1.fbdc32885521fp-13, 0x1.ef3c9e834deedp-13, 0x1.e2e65853ce40dp-13, 0x1.d6d873e5e0482p-13, 0x1.cb11c475de71dp-13, 0x1.bf908d48579d6p-13, 0x1.b4528d5b9aefcp-13, 0x1.a95546b5fa9fcp-13, 0x1.9e96478a37429p-13, 0x1.94134c1e6aef5p-13, 0x1.89ca364c889acp-13, 0x1.7fb8f56635469p-13, 0x1.75dd7c668b92fp-13, 0x1.6c35cb3fa209ep-13, 0x1.62bff59f14ed5p-13, 0x1.597a15b256d7dp-13, 0x1.50623a02bacffp-13, 0x1.4776713818b45p-13, 0x1.3eb4ff2918e3p-13, 0x1.361c985f0c01cp-13, 0x1.2dac6f0aeae6fp-13, 0x1.256400025955p-13, 0x1.1d42c57b83dd4p-13, 0x1.1548055ed6052p-13, 0x1.0d72cf8c9d75dp-13, 0x1.05c21bc0f9966p-13, 0x1.fc69dcbb8c96bp-14, 0x1.ed94dc458ab64p-14, 0x1.df03af23c72d6p-14, 0x1.d0b4a19f8974ep-14, 0x1.c2a582c2bf936p-14, 0x1.b4d3a11719e45p-14, 0x1.a73c11a76e0ffp-14, 0x1.99dc082dea4e7p-14, 0x1.8cb11211e4a01p-14, 0x1.7fb92d8769da4p-14, 0x1.72f2cb159977ap-14, 0x1.665cc35a2a5d4p-14, 0x1.59f6423f209d1p-14, 0x1.4dbea4320720ap-14, 0x1.41b54553a291cp-14, 0x1.35d9581996c45p-14, 0x1.2a29e345b587cp-14, 0x1.1ea5e46830009p-14, 0x1.134c74960a435p-14, 0x1.081cdc2edb9eep-14, 0x1.fa2d16215cf3p-15, 0x1.e471d18c5680bp-15, 0x1.cf0638cb3cbf6p-15, 0x1.b9e811cdd7017p-15, 0x1.a5150407eddcfp-15, 0x1.908b0770f2673p-15, 0x1.7c48861f83189p-15, 0x1.684c2f1b7826ap-15, 0x1.5494a83bede44p-15, 0x1.41205704bd59fp-15, 0x1.2ded635d45cbap-15, 0x1.1af9ef499b83fp-15, 0x1.08446ae5bdc53p-15, 0x1.eb97c4a7f4c2cp-16, 0x1.c7200f06a5fcbp-16, 0x1.a321a443be13ap-16, 0x1.7f9bdf3b9d1ep-16, 0x1.5c8cf093bb00bp-16, 0x1.39f27a39e8c2bp-16, 0x1.17cad1bf5b4b2p-16, 0x1.ec2a9cad4f5d6p-17, 0x1.a9a27d08301b9p-17, 0x1.67fa2041dfb31p-17, 0x1.272d3941e1521p-17, 0x1.ce6f95d72499fp-18, 0x1.502db8ec96a7fp-18, 0x1.a7213b6f6681bp-19, 0x1.625373662a703p-20, -0x1.064575af91473p-21, -0x1.31162b271b7ccp-19, -0x1.0eb55535a367cp-18, -0x1.834a62d16f828p-18, -0x1.f64d4797800b4p-18, -0x1.33e0a3d9a7208p-17, -0x1.6bd509adeb227p-17, -0x1.a305d65c26b6p-17, -0x1.d974d0623d6d7p-17, -0x1.0791897316112p-16, -0x1.220898779f3d5p-16, -0x1.3c1ff886fa4dp-16, -0x1.55d85c9b17bbfp-16, -0x1.6f328b0604fbp-16, -0x1.882f091ecfa0cp-16, -0x1.a0ce310167e2bp-16, -0x1.b910902ea8c97p-16, -0x1.d0f6eda6005e3p-16, -0x1.e881e5df71933p-16, -0x1.ffb1b78a69795p-16, -0x1.0b43408104ad8p-15, -0x1.16804c6cfbb8p-15, -0x1.219053a28280bp-15, -0x1.2c73b97e53a63p-15, -0x1.372ace0744a26p-15, -0x1.41b5b35a1964dp-15, -0x1.4c143792dfea3p-15, -0x1.5645f2abc6b17p-15, -0x1.604b0135918d3p-15, -0x1.6a243f2ad9bfap-15, -0x1.73d2518aa080fp-15, -0x1.7d552acd92c49p-15, -0x1.86acd78a9db8ap-15, -0x1.8fd9d452d2305p-15, -0x1.98dc4aef32d2p-15, -0x1.a1b3d938eeeep-15, -0x1.aa603b5827634p-15, -0x1.b2e1c3c8601bap-15, -0x1.bb390b647804dp-15, -0x1.c36652f42eb9dp-15, -0x1.cb697be88371cp-15, -0x1.d3429ccb0d7adp-15, -0x1.daf23129cf173p-15, -0x1.e278a81a60661p-15, -0x1.e9d62dfe86796p-15, -0x1.f10adbd689e95p-15, -0x1.f816d431ef163p-15, -0x1.fefa48c427c4ep-15, -0x1.02dab567c622p-14, -0x1.06240314f2d9fp-14, -0x1.0958e0e00806ap-14, -0x1.0c799d3515b4p-14, -0x1.0f869b606374dp-14, -0x1.127fb9fb1d378p-14, -0x1.1564f9e424e3dp-14, -0x1.1836c0c7a0302p-14, -0x1.1af53a10f090ep-14, -0x1.1da0599c28e02p-14, -0x1.203828d33ed9cp-14, -0x1.22bccc407a193p-14, -0x1.252e701363ee2p-14, -0x1.278d3b134ec44p-14, -0x1.29d93e1641ecap-14, -0x1.2c126c4d6efd8p-14, -0x1.2e38c90ec8464p-14, -0x1.304c9459e425ap-14, -0x1.324e0c14773d3p-14, -0x1.343d30c7286e6p-14, -0x1.361a132216af3p-14, -0x1.37e504c9d54adp-14, -0x1.399e42f1844e4p-14, -0x1.3b45e41c41b4ap-14, -0x1.3cdc045436d52p-14, -0x1.3e609028cfa9dp-14, -0x1.3fd38004dd298p-14, -0x1.4135230b35cb4p-14, -0x1.428580a2a8bedp-14, -0x1.43c4c5f9b34b7p-14, -0x1.44f35c9eaa2e2p-14, -0x1.4611568b1810fp-14, -0x1.471eb2c9e7ddap-14, -0x1.481b8e7f00c9ap-14, -0x1.490812b4c9b36p-14, -0x1.49e467b721de4p-14, -0x1.4ab0b3834e3f6p-14, -0x1.4b6d1b5be255fp-14, -0x1.4c19c49de0bdp-14, -0x1.4cb6d621722e5p-14, -0x1.4d447735a598ep-14, -0x1.4dc2cef5a338cp-14, -0x1.4e3204edbe0b4p-14, -0x1.4e9245aaae952p-14, -0x1.4ee3bfe3ab087p-14, -0x1.4f268ee77dfa2p-14, -0x1.4f5ac0d29922ap-14, -0x1.4f8080d7da998p-14, -0x1.4f980bd5d9e75p-14, -0x1.4fa1963901b01p-14, -0x1.4f9d359953d89p-14, -0x1.4f8b10e3ef0d7p-14, -0x1.4f6b3dcdae343p-14, -0x1.4f3deebbb9e47p-14, -0x1.4f036ada39e09p-14, -0x1.4ebbc3a2df00fp-14, -0x1.4e6716e55d5f8p-14, -0x1.4e0591f7e4e84p-14, -0x1.4d97623c1791dp-14, -0x1.4d1cb2867680ep-14, -0x1.4c95ac42631efp-14, -0x1.4c0278606350cp-14, -0x1.4b633fd4530b2p-14, -0x1.4ab82bc8f8e0ap-14, -0x1.4a0165aa1415cp-14, -0x1.493f16fe91743p-14, -0x1.4871691d40f7bp-14, -0x1.479884ddca976p-14, -0x1.46b492a65b02dp-14, -0x1.45c5baec7ff55p-14, -0x1.44cc26ee0493dp-14, -0x1.43c8002e269a6p-14, -0x1.42b96e4b8635ap-14, -0x1.41a099d724e8p-14, -0x1.407db8418efbp-14, -0x1.3f50f9d4ca16ap-14, -0x1.3e1a728a8ba1fp-14, -0x1.3cda493ec979ep-14, -0x1.3b90af1ec9278p-14, -0x1.3a3dcf8422fbap-14, -0x1.38e1c56701ffdp-14, -0x1.377cc01d5ff1dp-14, -0x1.360ef2d3c343bp-14, -0x1.34988078b4a2ep-14, -0x1.33198c8338345p-14, -0x1.31923f3a663c1p-14, -0x1.3002c1b707bd2p-14, -0x1.2e6b3c715984bp-14, -0x1.2ccbd750c6ec2p-14, -0x1.2b24b9e7829a5p-14, -0x1.29760b93661ebp-14, -0x1.27bff384fd012p-14, -0x1.260298b568166p-14, -0x1.243e21d7d190ap-14, -0x1.2272b55647087p-14, -0x1.20a0796154002p-14, -0x1.1ec79410eb0b1p-14, -0x1.1ce82b8494b09p-14, -0x1.1b0265b45d0c6p-14, -0x1.191667de97019p-14, -0x1.172456ea3583p-14, -0x1.152c5abd8f64bp-14, -0x1.132e990fa244bp-14, -0x1.112b2f16a259ap-14, -0x1.0f2244f9c6d77p-14, -0x1.0d14029232e3ep-14, -0x1.0b00884bc8283p-14, -0x1.08e7f98f7e08p-14, -0x1.06ca7a4b4eb7dp-14, -0x1.04a82dc4adeb9p-14, -0x1.02813724b752p-14, -0x1.0055ba154f79p-14, -0x1.fc4bb1c96de0bp-15, -0x1.f7e366c36d311p-15, -0x1.f372d677defa2p-15, -0x1.eefa48604f3aap-15, -0x1.ea79fed913565p-15, -0x1.e5f239bb2ba8p-15, -0x1.e1633a4a965fdp-15, -0x1.dccd41bb30c77p-15, -0x1.d8309077c62d4p-15, -0x1.d38d662c44b32p-15, -0x1.cee401dce801bp-15, -0x1.ca34a1f1ea8e3p-15, -0x1.c57f843f092e5p-15, -0x1.c0c4e60c78afep-15, -0x1.bc050412a1d0cp-15, -0x1.b7401a5256764p-15, -0x1.b27663f7bcafep-15, -0x1.ada81c2748db5p-15, -0x1.a8d57da2599f6p-15, -0x1.a3fec066cce93p-15, -0x1.9f241eee55592p-15, -0x1.9a45d113aefdep-15, -0x1.95640e380f649p-15, -0x1.907f0da68a37p-15, -0x1.8b9705ea7a2bbp-15, -0x1.86ac2cdf8fe92p-15, -0x1.81beb7bdd967p-15, -0x1.7ccedb1a490ap-15, -0x1.77dccaea5e638p-15, -0x1.72e8ba8489a1fp-15, -0x1.6df2dc97d0e5bp-15, -0x1.68fb634388e82p-15, -0x1.64027ff69968p-15, -0x1.5f086387b55b7p-15, -0x1.5a0d3e17ab05ep-15, -0x1.55113f39adee9p-15, -0x1.501495f0b356cp-15, -0x1.4b17708d43e8ep-15, -0x1.4619fc9efd1dep-15, -0x1.411c674b51637p-15, -0x1.3c1edcf51befep-15, -0x1.372189774e9afp-15, -0x1.32249803a855dp-15, -0x1.2d283327bdeb1p-15, -0x1.282c84d094551p-15, -0x1.2331b65ff9f37p-15, -0x1.1e37f0a6f934ap-15, -0x1.193f5b9493099p-15, -0x1.14481ebb2bff9p-15, -0x1.0f5260e276865p-15, -0x1.0a5e4893676aap-15, -0x1.056bfb6c34852p-15, -0x1.007b9e7d63549p-15, -0x1.f71aac82dd5dp-16, -0x1.ed428d3bffacfp-16, -0x1.e36f25c32a57ap-16, -0x1.d9a0bb88541d5p-16, -0x1.cfd792d02b10dp-16, -0x1.c613eeb5fd241p-16, -0x1.bc56112d1cd7fp-16, -0x1.b29e3b0227a7bp-16, -0x1.a8ecabdcafe57p-16, -0x1.9f41a240790fp-16, -0x1.959d5b8deeb3ap-16, -0x1.8c001401d4776p-16, -0x1.826a06b54613ep-16, -0x1.78db6da224cefp-16, -0x1.6f5481ad23efcp-16, -0x1.65d57aad72dfap-16, -0x1.5c5e8f6d530bp-16, -0x1.52eff5a6e6bfdp-16, -0x1.4989e1fe67abep-16, -0x1.402c87ed7812bp-16, -0x1.36d819a6d4b07p-16, -0x1.2d8cc8651447cp-16, -0x1.244ac531f34a5p-16, -0x1.1b123ff0384a6p-16, -0x1.11e366af34ec5p-16, -0x1.08be63f446fa9p-16, -0x1.ff46c5dac4d8ap-17, -0x1.ed25289861c25p-17, -0x1.db18438ce7ccp-17, -0x1.c92066389b805p-17, -0x1.b73de0c47e803p-17, -0x1.a57101feb8bbap-17, -0x1.93ba16e61d921p-17, -0x1.82196a390d511p-17, -0x1.708f454d8bd18p-17, -0x1.5f1bef44ccb6ep-17, -0x1.4dbfad82d0988p-17, -0x1.3c7ac393500efp-17, -0x1.2b4d726662259p-17, -0x1.1a37faec3c2b3p-17, -0x1.093a9ceb39627p-17, -0x1.f0ab23575ee27p-18, -0x1.cf122a7a2326dp-18, -0x1.adaac110ca01bp-18, -0x1.8c7555816a136p-18, -0x1.6b7252df8b368p-18, -0x1.4aa220f16b6adp-18, -0x1.2a0524ed845d3p-18, -0x1.099bbf681768ep-18, -0x1.d2cc9e4da04f5p-19, -0x1.92ca5eb3f55e5p-19, -0x1.53316fb33e89dp-19, -0x1.14027926b37cp-19, -0x1.aa7c3731ead4fp-20, -0x1.2dc9e8d3ff57dp-20, -0x1.63de7e740fe0ep-21, -0x1.b76c19aa7419fp-23, 0x1.0ce9af3c456ep-22, 0x1.790f84a708a3fp-21, 0x1.34f9040724c12p-20, 0x1.ac8d5cf6311b4p-20, 0x1.11a1f9ab93cffp-19, 0x1.4c8df54481766p-19, 0x1.870a385f34ef8p-19, 0x1.c1165ca2b4cbbp-19, 0x1.fab1f828635e7p-19, 0x1.19ee549f57ffp-18, 0x1.364b214aab46p-18, 0x1.526f3e24c7659p-18, 0x1.6e5a6e8005982p-18, 0x1.8a0c913da98c6p-18, 0x1.a5858b8c90eaap-18, 0x1.c0c54069833dcp-18, 0x1.dbcb940e7eaaep-18, 0x1.f6986cc55f45p-18, 0x1.0895d9a664b6ep-17, 0x1.15c2a95eb77a4p-17, 0x1.22d29c3b75024p-17, 0x1.2fc5aa04857fcp-17, 0x1.3c9bcb8ebc199p-17, 0x1.4954fabadc4e9p-17, 0x1.55f13278e8c7fp-17, 0x1.62706ec1da724p-17, 0x1.6ed2ac8ae373ap-17, 0x1.7b17e9c103256p-17, 0x1.8740257721fa1p-17, 0x1.934b600a8945ap-17, 0x1.9f399a861b28dp-17, 0x1.ab0ad680d698ep-17, 0x1.b6bf15cd80b17p-17, 0x1.c25657f982cdp-17, 0x1.cdd0ade602b14p-17, 0x1.d92e159f0bab5p-17, 0x1.e46e925c93ed4p-17, 0x1.ef922e68d5fccp-17, 0x1.fa98f1db95202p-17, 0x1.02c172b2296eap-16, 0x1.08280947aa781p-16, 0x1.0d8041ddb785dp-16, 0x1.12ca2208a316dp-16, 0x1.1805afbf02402p-16, 0x1.1d32f156a32c3p-16, 0x1.2251ed7b52564p-16, 0x1.2762aba87cc9dp-16, 0x1.2c65321cd6ed2p-16, 0x1.315989ef23e1ap-16, 0x1.363fba8733b9cp-16, 0x1.3b17cc69a601fp-16, 0x1.3fe1c86139fbep-16, 0x1.449db7953214dp-16, 0x1.494ba3796909dp-16, }}, 
      {{0x1.329e475c844cfp-3, 0x1.7f9e44bddf141p-2, 0x1.3425db211ae7dp-1, 0x1.924b751b1e2d8p-1, 0x1.d3964d37a9ddap-1, 0x1.f995686839e1fp-1, 0x1.04a7e8a747c04p+0, 0x1.045ae468cb631p+0, 0x1.fd5964a0d0cp-1, 0x1.ebe1b45c04aecp-1, 0x1.d7e3d14cf66dcp-1, 0x1.c3efecb0d8efap-1, 0x1.b1b5ae96f0769p-1, 0x1.a2300bf5a249ap-1, 0x1.95d046158b714p-1, 0x1.8ca41f9f02bccp-1, 0x1.8675d0384982ep-1, 0x1.82e58eed15677p-1, 0x1.817d304208d04p-1, 0x1.81be9df1e2d72p-1, 0x1.832e079fda4bdp-1, 0x1.8558a51c6aee9p-1, 0x1.87d8cee3ae133p-1, 0x1.8a58164dede2ap-1, 0x1.8c8fea1961a85p-1, 0x1.8e49386e1235p-1, 0x1.8f5b669c861a2p-1, 0x1.8faae193473e7p-1, 0x1.8f2778b4fe117p-1, 0x1.8dcaa717cc805p-1, 0x1.8b95e4911aa5ap-1, 0x1.88910f84e5294p-1, 0x1.84c8f9e637bfap-1, 0x1.804e1ef13108dp-1, 0x1.7b33839ea1be7p-1, 0x1.758dc171f1c3ap-1, 0x1.6f7239ab12901p-1, 0x1.68f66dcbdf1ep-1, 0x1.622f79ca2fc76p-1, 0x1.5b31ac1d66326p-1, 0x1.541037c99511dp-1, 0x1.4cdcfc9028a1ap-1, 0x1.45a861ab78a28p-1, 0x1.3e813fe6eb5efp-1, 0x1.3774d849e1018p-1, 0x1.308ed4d32c29fp-1, 0x1.29d95106f8bd3p-1, 0x1.235ce8663c2efp-1, 0x1.1d20c942acd19p-1, 0x1.172acaafd778p-1, 0x1.117f84897e2c6p-1, 0x1.0c2268b04ddf8p-1, 0x1.0715dcc22c14fp-1, 0x1.025b53b867167p-1, 0x1.fbe6cdf3e6e5ap-2, 0x1.f3bbdd1d3675p-2, 0x1.ec34307189974p-2, 0x1.e54cfa9d241d1p-2, 0x1.df026e70ba62fp-2, 0x1.d94fe50beb5fep-2, 0x1.d4300129688ffp-2, 0x1.cf9ccf8e497bp-2, 0x1.cb8fe4ab80a87p-2, 0x1.c802778652117p-2, 0x1.c4ed7a04e1d7ap-2, 0x1.c249aebe45f4ap-2, 0x1.c00fbc7016396p-2, 0x1.be383f3d7f8dep-2, 0x1.bcbbd7da7eab7p-2, 0x1.bb9338c902944p-2, 0x1.bab731ca7ca93p-2, 0x1.ba20b9abb8247p-2, 0x1.b9c8f68d58245p-2, 0x1.b9a944cc60b15p-2, 0x1.b9bb3ca9ddeefp-2, 0x1.b9f8b6d170176p-2, 0x1.ba5bcfd695305p-2, 0x1.badeeac67172ap-2, 0x1.bb7cb2e24d935p-2, 0x1.bc301c9ca4ab6p-2, 0x1.bcf465f563872p-2, 0x1.bdc5163fe4e33p-2, 0x1.be9dfd813a2bdp-2, 0x1.bf7b335830862p-2, 0x1.c059159efc4ap-2, 0x1.c13446c54e431p-2, 0x1.c209abcb6197dp-2, 0x1.c2d66a4497f27p-2, 0x1.c397e5cc06388p-2, 0x1.c44bbdb968367p-2, 0x1.c4efca6c12974p-2, 0x1.c5821a98f88c4p-2, 0x1.c600f0d752f9ap-2, 0x1.c66ac0af0ec02p-2, 0x1.c6be2c409da9cp-2, 0x1.c6fa01a6abcaap-2, 0x1.c71d3852bff05p-2, 0x1.c726eee9f8bdbp-2, 0x1.c716689405182p-2, 0x1.c6eb0abb130f3p-2, 0x1.c6a45ae46e516p-2, 0x1.c641fc2338ef3p-2, 0x1.c5c3ad34bf653p-2, 0x1.c52946584cc0dp-2, 0x1.c472b73272835p-2, 0x1.c3a00533bd217p-2, 0x1.c2b149a484a61p-2, 0x1.c1a6b00d5ac2bp-2, 0x1.c08074caedbb6p-2, 0x1.bf3ee373dfae7p-2, 0x1.bde25597a1e4fp-2, 0x1.bc6b31762c503p-2, 0x1.bad9e8b901f53p-2, 0x1.b92ef75a059dap-2, 0x1.b76ae28937424p-2, 0x1.b58e37a0949cp-2, 0x1.b3998b29d1148p-2, 0x1.b18d77faf6823p-2, 0x1.af6a9e571ca01p-2, 0x1.ad31a31b5555cp-2, 0x1.aae32f0f490f9p-2, 0x1.a87fee2f62b2dp-2, 0x1.a6088f02db0fep-2, 0x1.a37dc214ccd37p-2, 0x1.a0e0396687278p-2, 0x1.9e30a7e8244c6p-2, 0x1.9b6fc10d120e8p-2, 0x1.989e3862ad144p-2, 0x1.95bcc125019f1p-2, 0x1.92cc0de48591fp-2, 0x1.8fccd03999b36p-2, 0x1.8cbfb873cbbd4p-2, 0x1.89a5754c91447p-2, 0x1.867eb3adac318p-2, 0x1.834c1e7a39ccap-2, 0x1.800e5e51c896ap-2, 0x1.7cc619615ba03p-2, 0x1.7973f33fee603p-2, 0x1.76188cc73e995p-2, 0x1.72b483ef30febp-2, 0x1.6f4873b367a57p-2, 0x1.6bd4f3febfa13p-2, 0x1.685a9996e119cp-2, 0x1.64d9f607b2599p-2, 0x1.61539796116ecp-2, 0x1.5dc8093a8df7fp-2, 0x1.5a37d298ae0ep-2, 0x1.56a377f43f8f4p-2, 0x1.530b7a3047016p-2, 0x1.4f7056d230b95p-2, 0x1.4bd287ffaf7ffp-2, 0x1.4832847e1e3d9p-2, 0x1.4490bfb82fbabp-2, 0x1.40eda9c3b9a5ap-2, 0x1.3d49af66da3a1p-2, 0x1.39a53a1f41e7cp-2, 0x1.3600b02929694p-2, 0x1.325c7486d0314p-2, 0x1.2eb8e70c830ccp-2, 0x1.2b16646c2ea94p-2, 0x1.2775463c634d5p-2, 0x1.23d5e301f03c4p-2, 0x1.20388e3fbc077p-2, 0x1.1c9d98846b3e2p-2, 0x1.19054f72b6cd2p-2, 0x1.156ffdccef90ap-2, 0x1.11ddeb859585bp-2, 0x1.0e4f5dcd8e4b8p-2, 0x1.0ac4971ed3d7bp-2, 0x1.073dd749b27a1p-2, 0x1.03bb5b84b3367p-2, 0x1.003d5e7a175a9p-2, 0x1.f98830a8260bcp-3, 0x1.f29f7d976e36ap-3, 0x1.ebc10a70e6bdbp-3, 0x1.e4ed3939056p-3, 0x1.de246761bae11p-3, 0x1.d766ede97baa7p-3, 0x1.d0b5217b4a26ep-3, 0x1.ca0f5286afcb9p-3, 0x1.c375cd553949fp-3, 0x1.bce8da276dab6p-3, 0x1.b668bd5579a46p-3, 0x1.aff5b76869abap-3, 0x1.a990052d42d8ep-3, 0x1.a337dfcdd44f9p-3, 0x1.9ced7cf0aabbbp-3, 0x1.96b10ed481c21p-3, 0x1.9082c4625b252p-3, 0x1.8a62c9406904dp-3, 0x1.845145ee8e3a2p-3, 0x1.7e4e5fe558053p-3, 0x1.785a39aaf8108p-3, 0x1.7274f2e07e0f2p-3, 0x1.6c9ea8552642cp-3, 0x1.66d7742477425p-3, 0x1.611f6dd357de6p-3, 0x1.5b76aa60aeae5p-3, 0x1.55dd3c4ec4465p-3, 0x1.505333b4aed63p-3, 0x1.4ad89e5bcc547p-3, 0x1.456d87dc75de7p-3, 0x1.4011f9ad5f17fp-3, 0x1.3ac5fb29d0e62p-3, 0x1.3589919e3402bp-3, 0x1.305cc0620c96ep-3, 0x1.2b3f88f54b0fp-3, 0x1.2631eb1247fa6p-3, 0x1.2133e4b2fc2c1p-3, 0x1.1c457216f89cp-3, 0x1.17668dd6025e4p-3, 0x1.129730fc0b89p-3, 0x1.0dd753203ebe8p-3, 0x1.0926ea6e3f162p-3, 0x1.0485eba7bd9bcp-3, 0x1.ffe8945900291p-4, 0x1.f6e3f01e8848p-4, 0x1.edfdcc5f2beacp-4, 0x1.e5360896df7f8p-4, 0x1.dc8c82084578cp-4, 0x1.d40113bd51e88p-4, 0x1.cb93969775f19p-4, 0x1.c343e176d965dp-4, 0x1.bb11c9689347cp-4, 0x1.b2fd21c5222a5p-4, 0x1.ab05bc37e7fadp-4, 0x1.a32b68bdcf704p-4, 0x1.9b6df5b06fbcbp-4, 0x1.93cd2fe5ffdcdp-4, 0x1.8c48e2da67552p-4, 0x1.84e0d8cdcbdb5p-4, 0x1.7d94daced1361p-4, 0x1.7664b0b8948e6p-4, 0x1.6f50213616c4bp-4, 0x1.6856f1d6e9668p-4, 0x1.6178e7311bf1dp-4, 0x1.5ab5c501140dp-4, 0x1.540d4e3a7b5cdp-4, 0x1.4d7f4509fb5ep-4, 0x1.470b6ad3228c1p-4, 0x1.40b18037e816p-4, 0x1.3a71452e8f81bp-4, 0x1.344a791eb37b6p-4, 0x1.2e3cdaf8de49ap-4, 0x1.2848294117c9p-4, 0x1.226c220eb808ep-4, 0x1.1ca8830b1aa09p-4, 0x1.16fd0978befe4p-4, 0x1.11697245655ap-4, 0x1.0bed7a213a9e7p-4, 0x1.0688dd91c2a8bp-4, 0x1.013b58fadea9ep-4, 0x1.f809513eabb09p-5, 0x1.edc9113eef0d4p-5, 0x1.e3b569fa2c839p-5, 0x1.d9cdd34f9f6dap-5, 0x1.d011c51d03a32p-5, 0x1.c680b75edb1dfp-5, 0x1.bd1a2243ec86cp-5, 0x1.b3dd7e32871f8p-5, 0x1.aaca43c68fd8bp-5, 0x1.a1dfebd2b7ff7p-5, 0x1.991def6c6b3e2p-5, 0x1.9083c80256545p-5, 0x1.8810ef7668ad3p-5, 0x1.7fc4e032b31e9p-5, 0x1.779f15344866cp-5, 0x1.6f9f0a0d43169p-5, 0x1.67c43ae36f933p-5, 0x1.600e24726397fp-5, 0x1.587c44151b5b9p-5, 0x1.510e17d650fccp-5, 0x1.49c31e8288eadp-5, 0x1.429ad7b66df6ap-5, 0x1.3b94c3e6a2f5ap-5, 0x1.34b06461938b2p-5, 0x1.2ded3b4e9de29p-5, 0x1.274acbaeb91b5p-5, 0x1.20c89961b0c11p-5, 0x1.1a66293006e73p-5, 0x1.142300d6cf2a1p-5, 0x1.0dfea7121082ap-5, 0x1.07f8a3a36746p-5, 0x1.02107f5485daap-5, 0x1.f88b87edf1cf7p-6, 0x1.ed2ff8c6d1456p-6, 0x1.e20d68f5a1c92p-6, 0x1.d722f25578fcp-6, 0x1.cc6fb0e79ffb9p-6, 0x1.c1f2c2e16b26dp-6, 0x1.b7ab48b717174p-6, 0x1.ad986521d78e3p-6, 0x1.a3b93d2148304p-6, 0x1.9a0cf7f9e10c6p-6, 0x1.9092bf32f21a3p-6, 0x1.8749be96f3726p-6, 0x1.7e3124374efd3p-6, 0x1.75482072db09bp-6, 0x1.6c8de5fca4697p-6, 0x1.6401a9e10ed11p-6, 0x1.5ba2a3885316dp-6, 0x1.53700cb65932dp-6, 0x1.4b692188962f5p-6, 0x1.438d207316fddp-6, 0x1.3bdb4a3e4d83cp-6, 0x1.3452e20685fa4p-6, 0x1.2cf32d3d3cec1p-6, 0x1.25bb73ab1a916p-6, 0x1.1eaaff714d06ap-6, 0x1.17c11d09a255ep-6, 0x1.10fd1b4538ce3p-6, 0x1.0a5e4b49ee791p-6, 0x1.03e4008f0045dp-6, 0x1.fb1b21b294699p-7, 0x1.eeb4a86fe4f28p-7, 0x1.e2934a03d0d3cp-7, 0x1.d6b5bfa853c4dp-7, 0x1.cb1ac72073ce2p-7, 0x1.bfc122b44eca5p-7, 0x1.b4a7992bfd8a8p-7, 0x1.a9ccf5c9902b3p-7, 0x1.9f3008424c6a5p-7, 0x1.94cfa4b74fc57p-7, 0x1.8aaaa3ad5bac1p-7, 0x1.80bfe20436bcp-7, 0x1.770e40edbaf52p-7, 0x1.6d94a5e4eaf5ep-7, 0x1.6451faa4cab43p-7, 0x1.5b452d1f312c5p-7, 0x1.526d2f73e8e02p-7, 0x1.49c8f7e8cf128p-7, 0x1.415780e381dc3p-7, 0x1.3917c8e405ab8p-7, 0x1.3108d27f23b11p-7, 0x1.2929a4575b5ebp-7, 0x1.21794912f89f8p-7, 0x1.19f6cf4f0ad1ap-7, 0x1.12a1498fe90aep-7, 0x1.0b77ce304896fp-7, 0x1.0479775147a38p-7, 0x1.fb4ac59acea43p-8, 0x1.edf564611d52dp-8, 0x1.e0f1156a64d15p-8, 0x1.d43c2a8ac093fp-8, 0x1.c7d4fcf91310ep-8, 0x1.bbb9ed4c70487p-8, 0x1.afe9636c7f235p-8, 0x1.a461ce71d4088p-8, 0x1.9921a476d1b15p-8, 0x1.8e27625fafd55p-8, 0x1.83718ba2c2034p-8, 0x1.78feaa1b78444p-8, 0x1.6ecd4df1292b3p-8, 0x1.64dc0d95253fdp-8, 0x1.5b2985d5bdeb9p-8, 0x1.51b459fc743e5p-8, 0x1.487b33e9e58d8p-8, 0x1.3f7cc420fbbddp-8, 0x1.36b7c1b696d38p-8, 0x1.2e2aea21aab67p-8, 0x1.25d500f0d1971p-8, 0x1.1db4cf71b9ff1p-8, 0x1.15c9245c1abacp-8, 0x1.0e10d3920c8aap-8, 0x1.068ab60333e51p-8, 0x1.fe6b536f7a5b5p-9, 0x1.f02123fb4de36p-9, 0x1.e234af52613e1p-9, 0x1.d4a3d2a74d5b8p-9, 0x1.c76c7704ef4e4p-9, 0x1.ba8c914bd3643p-9, 0x1.ae0221d163972p-9, 0x1.a1cb33aaaed8p-9, 0x1.95e5dbc3021d1p-9, 0x1.8a5037ed2fa91p-9, 0x1.7f086e21c244p-9, 0x1.740cac11cf53fp-9, 0x1.695b272391ab7p-9, 0x1.5ef21cd352bd7p-9, 0x1.54cfd35a48625p-9, 0x1.4af29a6ca91c9p-9, 0x1.4158cbd7cb031p-9, 0x1.3800cbd204e98p-9, 0x1.2ee908df09885p-9, 0x1.260ffb4622ac4p-9, 0x1.1d742431d63e2p-9, 0x1.15140ca4a4b39p-9, 0x1.0cee44799a7b6p-9, 0x1.050161a2b42f9p-9, 0x1.fa97ff938f01dp-10, 0x1.eb9980c0b568cp-10, 0x1.dd049624e401ap-10, 0x1.ced69cf25815ap-10, 0x1.c10d01ba76ff3p-10, 0x1.b3a541aa967bbp-10, 0x1.a69ceb2df9d08p-10, 0x1.99f19dc5888cap-10, 0x1.8da10917c1cbp-10, 0x1.81a8eb6928d2bp-10, 0x1.76070fcde73b9p-10, 0x1.6ab94c71fa701p-10, 0x1.5fbd8147f6cbdp-10, 0x1.55119753fe30dp-10, 0x1.4ab380a162486p-10, 0x1.40a138ce3a53p-10, 0x1.36d8c5fc6e5a4p-10, 0x1.2d5839e5af28cp-10, 0x1.241db2cc32ac2p-10, 0x1.1b275c0a751efp-10, 0x1.12736e19a5f98p-10, 0x1.0a002e079331p-10, 0x1.01cbec7772986p-10, 0x1.f3aa08cfc2413p-11, 0x1.e433b408ac548p-11, 0x1.d531b37e23912p-11, 0x1.c6a0efa8d92f4p-11, 0x1.b87e606c5c841p-11, 0x1.aac70d865697cp-11, 0x1.9d780f47e6c63p-11, 0x1.908e8f580170dp-11, 0x1.8407c9549df9dp-11, 0x1.77e10b3af297ep-11, 0x1.6c17b5844f975p-11, 0x1.60a93adf31f6dp-11, 0x1.55931f7359fafp-11, 0x1.4ad2f7b6766e3p-11, 0x1.406667049f7e6p-11, 0x1.364b1e54839ccp-11, 0x1.2c7edb635ef5bp-11, 0x1.22ff688b8f435p-11, 0x1.19ca9d2e72ea5p-11, 0x1.10de5e5ae0bd7p-11, 0x1.08389f40c1d12p-11, 0x1.ffaec243ee49bp-12, 0x1.ef7165690e55cp-12, 0x1.dfb55e60b32cfp-12, 0x1.d076fac65adf1p-12, 0x1.c1b29e3a21f8bp-12, 0x1.b364c225548d4p-12, 0x1.a589f635491a5p-12, 0x1.981ee105b1addp-12, 0x1.8b20407dc11b9p-12, 0x1.7e8ae9a1f1c7ep-12, 0x1.725bc7f533288p-12, 0x1.668fdcac307a4p-12, 0x1.5b243deecc1fp-12, 0x1.5016163c68e7dp-12, 0x1.4562a3e686e31p-12, 0x1.3b0738879f8d5p-12, 0x1.3101383fe86afp-12, 0x1.274e1884d406fp-12, 0x1.1deb5e5065ab7p-12, 0x1.14d69bd690ccep-12, 0x1.0c0d6e56ad8cdp-12, 0x1.038d7d05981edp-12, 0x1.f6a8f40b4a6fp-13, 0x1.e6c04b796a1d2p-13, 0x1.d75ca794bea19p-13, 0x1.c879df9a068cp-13, 0x1.ba13ff65326eap-13, 0x1.ac2743e2ca722p-13, 0x1.9eb00f51cd88ep-13, 0x1.91aad96cec43fp-13, 0x1.8514223c8a27cp-13, 0x1.78e86dc9e29ecp-13, 0x1.6d244ad1e6761p-13, 0x1.61c460c1115acp-13, 0x1.56c57cd269a6ap-13, 0x1.4c2495fba38a4p-13, 0x1.41dec3d19f633p-13, 0x1.37f12bb4d7fa5p-13, 0x1.2e58edb2dd9f7p-13, 0x1.25131c36ec8f7p-13, 0x1.1c1cc54a3fbfbp-13, 0x1.13730b488b739p-13, 0x1.0b1341f2dc0f8p-13, 0x1.02fb00d715572p-13, 0x1.f65040193a361p-14, 0x1.e7313d1283266p-14, 0x1.d894f9cabd383p-14, 0x1.ca773c6452b55p-14, 0x1.bcd37d93da428p-14, 0x1.afa50de07b8fdp-14, 0x1.a2e76274ba6bdp-14, 0x1.96966419a8ff4p-14, 0x1.8aae97d6c8a74p-14, 0x1.7f2d0aa08adfbp-14, 0x1.740f080b3a2e3p-14, 0x1.6951bf587a39p-14, 0x1.5ef203489749fp-14, 0x1.54ec4285dcc22p-14, 0x1.4b3cb8860f53dp-14, 0x1.41dfbb796113ap-14, 0x1.38d2016fc8da5p-14, 0x1.3010bf74cd005p-14, 0x1.279997f556e5p-14, 0x1.1f6a616814292p-14, 0x1.1780dd5618bdcp-14, 0x1.0fda7f7fcce24p-14, 0x1.087461b980cc2p-14, 0x1.014b70b475abbp-14, 0x1.f4b98565dc723p-15, 0x1.e74bde5a74351p-15, 0x1.da4a6f73665b6p-15, 0x1.cdb2d24ba0f35p-15, 0x1.c1830a3c62142p-15, 0x1.b5b8ca794ed26p-15, 0x1.aa5110886f35ap-15, 0x1.9f48350d6aab7p-15, 0x1.949a48e1b9efcp-15, 0x1.8a43735176f36p-15, 0x1.80401cf66b816p-15, 0x1.768ce3f471b39p-15, 0x1.6d267d0685469p-15, 0x1.6409a772783a5p-15, 0x1.5b3339e326203p-15, 0x1.52a02b93e71b9p-15, 0x1.4a4d83816c5b4p-15, 0x1.42384138334e7p-15, 0x1.3a5d6bbe31ff3p-15, 0x1.32ba54ac8b028p-15, 0x1.2b4ce2a06ba24p-15, 0x1.24139fd2cf754p-15, 0x1.1d0d77c3c8dc3p-15, 0x1.163954d8569d9p-15, 0x1.0f95e21d26139p-15, 0x1.092189f42ad8fp-15, 0x1.02da9c1b3e095p-15, 0x1.f97ef77084bc5p-16, 0x1.ed9d745120ae9p-16, 0x1.e20e0dbe75bb1p-16, 0x1.d6cdf093f6706p-16, 0x1.cbd9b43dd27a3p-16, 0x1.c12d5817bbffdp-16, 0x1.b6c49c6ffc0fbp-16, 0x1.ac9b6fae742f4p-16, 0x1.a2ae36af0e912p-16, 0x1.98f9e8fcd5bbep-16, 0x1.8f7c12e8a74ebp-16, 0x1.8632c8f1e24e1p-16, 0x1.7d1c8d5aa6ef4p-16, 0x1.743823adec105p-16, 0x1.6b8452ded12d4p-16, 0x1.62ffb162144edp-16, 0x1.5aa8a30984996p-16, 0x1.527d844e0a02ep-16, 0x1.4a7cd8572a401p-16, 0x1.42a560f670952p-16, 0x1.3af613e683818p-16, 0x1.336ddf0bdaf1bp-16, 0x1.2c0b63ece5a09p-16, 0x1.24ccf490eeb1bp-16, 0x1.1db0d53dfc75ap-16, 0x1.16b5804e839e2p-16, 0x1.0fd9b9f65439ap-16, 0x1.091c73ce2062fp-16, 0x1.027c9c8f027e6p-16, 0x1.f7f1fca4bbedep-17, 0x1.eb2080e802836p-17, 0x1.de821392c4ea5p-17, 0x1.d21467c1d1764p-17, 0x1.c5d5f4953badap-17, 0x1.b9c6001685468p-17, 0x1.ade4292647f22p-17, 0x1.a22fb80db8cc3p-17, 0x1.96a74456260dfp-17, 0x1.8b4913ef15558p-17, 0x1.8013de16cddfep-17, 0x1.7506f96c15dfap-17, 0x1.6a21bac5d19b9p-17, 0x1.5f62f39e45119p-17, 0x1.54c920a71b518p-17, 0x1.4a52db116b575p-17, 0x1.3fff0e3db0a26p-17, 0x1.35ccea6348c7fp-17, 0x1.2bbbc3134332p-17, 0x1.21caf8d6c4ceep-17, 0x1.17f9f24e209efp-17, 0x1.0e481c0d05f25p-17, 0x1.04b4e6e5d4d9ep-17, 0x1.f67f877ddb565p-18, 0x1.e3d03aebff827p-18, 0x1.d15aa2ecf7548p-18, 0x1.bf1d67120ceb8p-18, 0x1.ad1756d748e49p-18, 0x1.9b47ac820d5ebp-18, 0x1.89adf807d4bcep-18, 0x1.7849afade90afp-18, 0x1.6719efeded40ep-18, 0x1.561dc28d78e39p-18, 0x1.4554822fe8c57p-18, 0x1.34bdc0b858feap-18, 0x1.2458d776b00efp-18, 0x1.1424dfd8fa2f1p-18, 0x1.0421297483be3p-18, 0x1.e89aec5bb5046p-19, 0x1.c953627764fd5p-19, 0x1.aa6b0d8188b9ap-19, 0x1.8be08cbcd7706p-19, 0x1.6db23fa670f08p-19, 0x1.4fdee853e108p-19, 0x1.326626d8b3a2ep-19, 0x1.154929806573fp-19, 0x1.f1143aba2d46cp-20, 0x1.b8518b556ef72p-20, 0x1.8042e1ec6f952p-20, 0x1.48e2f1da91833p-20, 0x1.1232f45f98dap-20, 0x1.b866678f35e43p-21, 0x1.4dbff1ba86576p-21, 0x1.c8e26369609fp-22, 0x1.f20be82dc5007p-23, 0x1.5fbf58142dffep-25, -0x1.3c9fee7bd662ap-23, -0x1.65e3f885b5c15p-22, -0x1.1564c48e7ae1ap-21, -0x1.767c1a28aed7dp-21, -0x1.d637846dc9bf9p-21, -0x1.1a4ee26c6a95cp-20, -0x1.48da55f503a9ap-20, -0x1.76be96ead2826p-20, -0x1.a3fb638d5efabp-20, -0x1.d090c9aab0698p-20, -0x1.fc7f5c9ccd0c8p-20, -0x1.13e3d3467e65cp-19, -0x1.29334687b7afdp-19, -0x1.3e2bd3b26163dp-19, -0x1.52cfa78163087p-19, -0x1.6721a4fc341dap-19, -0x1.7b1ff6e4e7e7bp-19, -0x1.8ec9feead4a1ap-19, -0x1.a222ab00e9806p-19, -0x1.b52ad3d26f9bfp-19, -0x1.c7e15cbf1b8bap-19, -0x1.da45ebb6f4b3bp-19, -0x1.ec5918d94e082p-19, -0x1.fe1bbe15af84ap-19, -0x1.07c7411fe68aap-18, -0x1.1058a3693c979p-18, -0x1.18c1704606b13p-18, -0x1.21015a7e3016ep-18, -0x1.291923918a9cp-18, -0x1.310982e573757p-18, -0x1.38d21c68de4b2p-18, -0x1.4072db5f32a78p-18, -0x1.47ecccc50ec93p-18, -0x1.4f40a1ad7f62fp-18, -0x1.566e5dcf8dc5bp-18, -0x1.5d761bfe8b2a1p-18, -0x1.64572283f48abp-18, -0x1.6b10ee2968844p-18, -0x1.71a47cb8876acp-18, -0x1.78118e4362d47p-18, -0x1.7e5889b085203p-18, -0x1.847adc4952725p-18, -0x1.8a787169866a7p-18, -0x1.9050e30662ff3p-18, -0x1.96044f083f3dap-18, -0x1.9b9306a95bb1bp-18, -0x1.a0fd574f8b555p-18, -0x1.a6438529bac16p-18, -0x1.ab65cc78340d3p-18, -0x1.b064727e6573ep-18, -0x1.b53fb98637accp-18, -0x1.b9f7eb53ad853p-18, -0x1.be8d4e5227706p-18, -0x1.c3002aeb33229p-18, -0x1.c750dedccd3b2p-18, -0x1.cb7fd15b42ba9p-18, -0x1.cf8d16ea45363p-18, -0x1.d3788b94be969p-18, -0x1.d74287dfe14p-18, -0x1.daebb04314ab9p-18, -0x1.de7482ce1895cp-18, -0x1.e1dcf9887467fp-18, -0x1.e5255bce96215p-18, -0x1.e84da87dca677p-18, -0x1.eb565647cda6p-18, -0x1.ee403090ef23cp-18, -0x1.f10b238d2524ep-18, -0x1.f3b750e4d70f6p-18, -0x1.f6451a892dabp-18, -0x1.f8b4e22dad6cp-18, -0x1.fb06fefb4ac53p-18, -0x1.fd3bc284e9c5cp-18, -0x1.ff537c7719aa3p-18, -0x1.00a73e889641cp-17, -0x1.01968acb947f3p-17, -0x1.0277cc38c96bdp-17, -0x1.034b2c4d479f4p-17, -0x1.0410d43f916dfp-17, -0x1.04c8ec5f340b1p-17, -0x1.05739c5694ba1p-17, -0x1.06110c31357a4p-17, -0x1.06a165bd536a5p-17, -0x1.0724d3601e6b1p-17, -0x1.079b7bd78731p-17, -0x1.0805881f9cba7p-17, -0x1.08633a64a4397p-17, -0x1.08b4c9a27e232p-17, -0x1.08fa36cd1263cp-17, -0x1.0933a95ecdc1dp-17, -0x1.09615bf726d55p-17, -0x1.09837c75029dcp-17, -0x1.099a1bc2a4f7cp-17, -0x1.09a5711044286p-17, -0x1.09a5ba5410debp-17, -0x1.099b1786f96adp-17, -0x1.0985a9d9de848p-17, -0x1.09659ba1f39c2p-17, -0x1.093b18effffbfp-17, -0x1.09064cdf6b718p-17, -0x1.08c761b07550bp-17, -0x1.087e81335ae7bp-17, -0x1.082bd50185da1p-17, -0x1.07cf8688daae8p-17, -0x1.0769befdd0027p-17, -0x1.06faa74e17962p-17, -0x1.068268283d547p-17, -0x1.06012a1a1e8cfp-17, -0x1.057715bd51534p-17, -0x1.04e453d0e812cp-17, -0x1.04490cd706795p-17, -0x1.03a56850c4a2ap-17, -0x1.02f98d9380f34p-17, -0x1.0245a82a4791ep-17, -0x1.0189e0036b458p-17, -0x1.00c653a17184bp-17, -0x1.fff65e4c82041p-18, -0x1.fe5138df5f248p-18, -0x1.fc9d7d3a6c6e8p-18, -0x1.fadb7831a0099p-18, -0x1.f90b76e9f1b6ap-18, -0x1.f72dc5285a99p-18, -0x1.f542ae370640dp-18, -0x1.f34a7d885d4eep-18, -0x1.f1457d19bb943p-18, -0x1.ef33f475b1039p-18, -0x1.ed162c812d0afp-18, -0x1.eaec6f6f5f7dp-18, -0x1.e8b704ed3e066p-18, -0x1.e67633728a7bep-18, -0x1.e42a417f12f7ap-18, -0x1.e1d37538cd5e8p-18, -0x1.df721418432bdp-18, -0x1.dd0662ef71aap-18, -0x1.da90a5f4ae006p-18, -0x1.d81120c381b2p-18, -0x1.d58816569daa8p-18, -0x1.d2f5c8f588285p-18, -0x1.d05a7a221632p-18, -0x1.cdb66abf73abp-18, -0x1.cb09db6b1ec07p-18, -0x1.c8550bbffa903p-18, -0x1.c59839e8d7191p-18, -0x1.c2d3a67448eb9p-18, -0x1.c0078ccf3727fp-18, -0x1.bd342aad65c31p-18, -0x1.ba59bd2b70e6dp-18, -0x1.b7787fa13ec39p-18, -0x1.b490acebe889bp-18, -0x1.b1a27f5ce2331p-18, -0x1.aeae309f1b075p-18, -0x1.abb3f9a96d4c2p-18, -0x1.a8b412ca334bfp-18, -0x1.a5aeb3a6b003ap-18, -0x1.a2a412f2642b9p-18, -0x1.9f94676550412p-18, -0x1.9c7fe67592dc9p-18, -0x1.9966c4c6feeacp-18, -0x1.96493696de34bp-18, -0x1.93276f849e98dp-18, -0x1.9001a2397a559p-18, -0x1.8cd800d6f945cp-18, -0x1.89aabd161d1c5p-18, -0x1.867a07907577fp-18, -0x1.83461084acd6dp-18, -0x1.800f0733c3fcfp-18, -0x1.7cd51a76fb8a7p-18, -0x1.79987864765fbp-18, -0x1.76594e6f89409p-18, -0x1.7317c94057b76p-18, -0x1.6fd414caf002dp-18, -0x1.6c8e5cd16fec4p-18, -0x1.6946cbd26d5ffp-18, -0x1.65fd8c2407943p-18, -0x1.62b2c728ef2b2p-18, -0x1.5f66a547f710fp-18, -0x1.5c194ef0d04bep-18, -0x1.58caeb9d79193p-18, -0x1.557ba2240c9cp-18, -0x1.522b98b82922ap-18, -0x1.4edaf4eb54be2p-18, -0x1.4b89dbad57c39p-18, -0x1.4838714daad95p-18, -0x1.44e6d97c3129ap-18, -0x1.4195374a24bbap-18, -0x1.3e43ad2b14623p-18, -0x1.3af25cf5fd0b5p-18, -0x1.37a167e67bda8p-18, -0x1.3450ee9dedcffp-18, -0x1.3101112402342p-18, -0x1.2db1eee72d4f7p-18, -0x1.2a63a6be4aa29p-18, -0x1.271656eaf0f67p-18, -0x1.23ca1d1b290bcp-18, -0x1.207f166a130ccp-18, -0x1.1d355f61177fep-18, -0x1.19ed13fa538d4p-18, -0x1.16a64f9fffa82p-18, -0x1.13612d26e5c09p-18, -0x1.101dc6d5a29f1p-18, -0x1.0cdc3668cfc45p-18, -0x1.099c9525e149fp-18, -0x1.065efbc18e687p-18, -0x1.0323821b5a76dp-18, -0x1.ffd48024d235cp-19, -0x1.f96699ac251a8p-19, -0x1.f2fd7dbd38f4fp-19, -0x1.ec99586c2ed54p-19, -0x1.e63a54dd403e6p-19, -0x1.dfe09d608818fp-19, -0x1.d98c5a9986ea9p-19, -0x1.d33db53b2d6fep-19, -0x1.ccf4d44c0395cp-19, -0x1.c6b1de229a566p-19, -0x1.c074f8084ac0bp-19, -0x1.ba3e41bc35af2p-19, -0x1.b40de4a0a0417p-19, -0x1.ade40bd1d7fd6p-19, -0x1.a7c0c77261389p-19, -0x1.a1a43ff82fd29p-19, -0x1.9b8e95138d32p-19, -0x1.957fe5a8ef3ep-19, -0x1.8f784fcb8b18ep-19, -0x1.8977f0a341226p-19, -0x1.837ee52992abep-19, -0x1.7d8d482eaec8cp-19, -0x1.77a334fb3117fp-19, -0x1.71c0c58eeb9bcp-19, -0x1.6be61313554f7p-19, -0x1.661335ce14a56p-19, -0x1.6048451ac1009p-19, -0x1.5a8557c471b3fp-19, -0x1.54ca8459bb6b2p-19, -0x1.4f17e2061b2e7p-19, -0x1.496d82faec63bp-19, -0x1.43cb77d58d589p-19, -0x1.3e31d9c6725dcp-19, -0x1.38a0b9ca5dc8bp-19, -0x1.331828de0fa0bp-19, -0x1.2d9837fe8b5fp-19, -0x1.2820f77ddf967p-19, -0x1.22b27752d6522p-19, -0x1.1d4cc7c2982d2p-19, -0x1.17eff80a41f93p-19, -0x1.129c11e67c6f8p-19, -0x1.0d512181b252dp-19, -0x1.080f3890c9791p-19, -0x1.02d662ace6dbp-19, -0x1.fb4d54022039fp-20, -0x1.f10032471645ep-20, -0x1.e6c5748a13581p-20, -0x1.dc9d2e5a68e88p-20, -0x1.d28771fd8864ap-20, -0x1.c884509508261p-20, -0x1.be93da2aa1adp-20, -0x1.b4b61db9842cep-20, -0x1.aaeb293a7fbddp-20, -0x1.a13309a55bc77p-20, -0x1.978dcaed71b38p-20, -0x1.8dfb7807d86e8p-20, -0x1.847c1af95deb9p-20, -0x1.7b0fbcd9d5632p-20, -0x1.71b665a975c4bp-20, -0x1.68701c22193c9p-20, -0x1.5f3ce65d72ec5p-20, -0x1.561cc9fdbf905p-20, -0x1.4d0fcc7a56511p-20, -0x1.4415f5ccd9b2fp-20, -0x1.3b2f3bec05375p-20, -0x1.325ba86fa8f6ep-20, -0x1.299b3fdeb7752p-20, -0x1.20edff459de71p-20, -0x1.1853e61e59f77p-20, -0x1.0fccf35f815fbp-20, -0x1.07592530b707ap-20, -0x1.fdf0f1eaa5ab3p-21, -0x1.ed55d6ab6062dp-21, -0x1.dce0f08ac1cc3p-21, -0x1.cc92361c92516p-21, -0x1.bc699d333438fp-21, -0x1.ac6711572aa1ep-21, -0x1.9c8a9c19d0d1p-21, -0x1.8cd4144ced634p-21, -0x1.7d4377747cdap-21, -0x1.6dd8b28dcdb69p-21, -0x1.5e93b2f167d3p-21, -0x1.4f7464c530123p-21, -0x1.407ab322dec8ap-21, }}, 
      {{-0x1.f8e28e2dd5e59p-2, -0x1.f7d661ae83e2ep-2, -0x1.f61a175bb2f3fp-2, -0x1.f3b199d079f34p-2, -0x1.f0a23556cf70fp-2, -0x1.ecf2690c6bc23p-2, -0x1.e8a9b43584c53p-2, -0x1.e3d065addc894p-2, -0x1.de6f6fe81c595p-2, -0x1.d890413f1d6cp-2, -0x1.d23c9f3aa550bp-2, -0x1.cb7e8385b7d21p-2, -0x1.c45ffa127832p-2, -0x1.bceb00bc1232dp-2, -0x1.b529694dbdf84p-2, -0x1.ad24bf0f9eebep-2, -0x1.a4e630dd6187dp-2, -0x1.9c76807145be4p-2, -0x1.93ddf718ba077p-2, -0x1.8b245f91ed8d8p-2, -0x1.825104705bd69p-2, -0x1.796ab2244e2d6p-2, -0x1.7077bba1f1131p-2, -0x1.677e00a5012cdp-2, -0x1.5e82f4a791d4bp-2, -0x1.558ba5ccf49cap-2, -0x1.4c9cc3350cdbcp-2, -0x1.43baa26117793p-2, -0x1.3ae94383d868dp-2, -0x1.322c54c02330bp-2, -0x1.29873478193ddp-2, -0x1.20fcf2e4710f6p-2, -0x1.189053364cc71p-2, -0x1.1043cc88d2918p-2, -0x1.08198ae379476p-2, -0x1.00137084e6d87p-2, -0x1.f0662f438b0d7p-3, -0x1.e0f3a96a473edp-3, -0x1.d1d172e3a61c6p-3, -0x1.c30130adf69b3p-3, -0x1.b48411bd0a551p-3, -0x1.a65ad864fb2bep-3, -0x1.9885e49ec6648p-3, -0x1.8b053ee916661p-3, -0x1.7dd8a382535cep-3, -0x1.70ff8db82ac86p-3, -0x1.6479430ae742fp-3, -0x1.5844dde82bb35p-3, -0x1.4c6157c7d700cp-3, -0x1.40cd927e671f5p-3, -0x1.358860a1c786bp-3, -0x1.2a908ce716ed8p-3, -0x1.1fe4e069aeb72p-3, -0x1.158427d4b38efp-3, -0x1.0b6d3770e0d7ap-3, -0x1.019eee1f6fd73p-3, -0x1.f0306ea2bbb2bp-4, -0x1.ddb0181e8ac3ep-4, -0x1.cbbae653d0d57p-4, -0x1.ba4f015c99b5dp-4, -0x1.a96aa973fddc1p-4, -0x1.990c3399756cfp-4, -0x1.89320569502b5p-4, -0x1.79da9062e4653p-4, -0x1.6b044cd201931p-4, -0x1.5cadb48d63892p-4, -0x1.4ed53db71ff6p-4, -0x1.417955a6ebc33p-4, -0x1.34985c2091cbap-4, -0x1.28309ef35ac65p-4, -0x1.1c40561989282p-4, -0x1.10c5a069a44bap-4, -0x1.05be80e617a55p-4, -0x1.f651b965b4e4p-5, -0x1.e204f368d4627p-5, -0x1.ce91fbaec9a87p-5, -0x1.bbf3ddf929596p-5, -0x1.aa256704818f1p-5, -0x1.992126c223cffp-5, -0x1.88e173a19e15p-5, -0x1.79606ecf51065p-5, -0x1.6a98094b39596p-5, -0x1.5c8209b98478fp-5, -0x1.4f1812cdc55a9p-5, -0x1.4253aa316f998p-5, -0x1.362e3fc6b905bp-5, -0x1.2aa13529df7eep-5, -0x1.1fa5e55426f1dp-5, -0x1.1535ac458ba1p-5, -0x1.0b49ee9c14fabp-5, -0x1.01dc2101c2e6cp-5, -0x1.f1cb9eb8dd7c3p-6, -0x1.e0c1475a68528p-6, -0x1.d08cd91ee489dp-6, -0x1.c122469392e3fp-6, -0x1.b275e2cbb1946p-6, -0x1.a47c6b8b84c6dp-6, -0x1.972b12615ee1ap-6, -0x1.8a7784a333d3fp-6, -0x1.7e57f24b1d529p-6, -0x1.72c313b0d82c6p-6, -0x1.67b02e2175f73p-6, -0x1.5d17175972cb8p-6, -0x1.52f037e818d5fp-6, -0x1.49348c854551dp-6, -0x1.3fdda664ca309p-6, -0x1.36e5aa943c51dp-6, -0x1.2e475071753fep-6, -0x1.25fddf4936f01p-6, -0x1.1e052b2e2240bp-6, -0x1.1659911901e98p-6, -0x1.0ef7f26395cfep-6, -0x1.07ddafaf70b5cp-6, -0x1.0108a34a69594p-6, -0x1.f4ee3643e07dep-7, -0x1.e84fa4aca4689p-7, -0x1.dc33d4fd25643p-7, -0x1.d099c959c235p-7, -0x1.c58134863cb7ep-7, -0x1.baea6b4c30707p-7, -0x1.b0d655bafc944p-7, -0x1.a746605b25457p-7, -0x1.9e3c6d6da9d74p-7, -0x1.95bac64df5179p-7, -0x1.8dc40d0b216a4p-7, -0x1.865b2e4bbad2bp-7, -0x1.7f83538cf3434p-7, -0x1.793fd5cca5677p-7, -0x1.739430abdbe73p-7, -0x1.6e83f6158d37p-7, -0x1.6a12c273ce1e9p-7, -0x1.6644317beb47fp-7, -0x1.631bd3989c183p-7, -0x1.609d23f7c4576p-7, -0x1.5ecb7f3ffd854p-7, -0x1.5daa1af0c0df5p-7, -0x1.5d3bfd6ef03c7p-7, -0x1.5d83f6be4d4a7p-7, -0x1.5e8499e76a5e1p-7, -0x1.6040370893375p-7, -0x1.62b8d60f70eb1p-7, -0x1.65f0321869eefp-7, -0x1.69e7b56fed8e9p-7, -0x1.6ea076313b09dp-7, -0x1.741b337dbcfb8p-7, -0x1.7a585347a81a2p-7, -0x1.8157e0a9ea8a9p-7, -0x1.89198ac778fdap-7, -0x1.919ca42b4fdb5p-7, -0x1.9ae022a2a3561p-7, -0x1.a4e29f8a852e3p-7, -0x1.afa25889f54c2p-7, -0x1.bb1d30b17b294p-7, -0x1.c750b1f926a9fp-7, -0x1.d43a0f160f566p-7, -0x1.e1d625a05c36p-7, -0x1.f021808303286p-7, -0x1.ff185aae7f79bp-7, -0x1.075b5103e1d53p-6, -0x1.0f7bfd468cc7ep-6, -0x1.17ebe0d54987dp-6, -0x1.20a888dc0fdd6p-6, -0x1.29af62cda49c5p-6, -0x1.32fdbe437ccd6p-6, -0x1.3c90cee9fbea8p-6, -0x1.4665ae7664b75p-6, -0x1.50795ea4355ap-6, -0x1.5ac8cb37669cbp-6, -0x1.6550cc018a888p-6, -0x1.700e26e79497ep-6, -0x1.7afd91e669791p-6, -0x1.861bb51468c1ap-6, -0x1.91652c9e4bc61p-6, -0x1.9cd68abdafd98p-6, -0x1.a86c59a7f2735p-6, -0x1.b4231d73f5883p-6, -0x1.bff755f5a8c35p-6, -0x1.cbe5808e40f6fp-6, -0x1.d7ea19f01acebp-6, -0x1.e4019fd56f53ap-6, -0x1.f02892a9050a5p-6, -0x1.fc5b77203900bp-6, -0x1.044b6be2e38cfp-5, -0x1.0a6ba33a6b389p-5, -0x1.108caee1ee06ep-5, -0x1.16ace12f82e71p-5, -0x1.1cca9228ed3e7p-5, -0x1.22e4201ff64c7p-5, -0x1.28f7f0463b24fp-5, -0x1.2f046f386dd87p-5, -0x1.350811810916ap-5, -0x1.3b01541279cf2p-5, -0x1.40eebcb8d0694p-5, -0x1.46ceda830acedp-5, -0x1.4ca046240aa56p-5, -0x1.5261a24b6193bp-5, -0x1.58119bf60d425p-5, -0x1.5daeeab7534c8p-5, -0x1.633850f9dd7e8p-5, -0x1.68ac9c394d45ap-5, -0x1.6e0aa5346fd5dp-5, -0x1.7351501846641p-5, -0x1.787f8ca423e5bp-5, -0x1.7d9456470ae94p-5, -0x1.828eb4369130fp-5, -0x1.876db97f79448p-5, -0x1.8c3085104b823p-5, -0x1.90d641be15094p-5, -0x1.955e2643a30c1p-5, -0x1.99c7753b69542p-5, -0x1.9e117d14556b2p-5, -0x1.a23b9801d24f7p-5, -0x1.a6452be736686p-5, -0x1.aa2daa3ed4608p-5, -0x1.adf48ffcf6517p-5, -0x1.b199656ef3757p-5, -0x1.b51bbe16a22bp-5, -0x1.b87b38826760bp-5, -0x1.bbb77e2210729p-5, -0x1.bed04318bdd8cp-5, -0x1.c1c5460c09385p-5, -0x1.c4964ff0a3b5cp-5, -0x1.c74333d4a3124p-5, -0x1.c9cbcea7a4a1ap-5, -0x1.cc3007010bc2ap-5, -0x1.ce6fcce47800ap-5, -0x1.d08b1984b3f48p-5, -0x1.d281ef053eacfp-5, -0x1.d454583aa02b2p-5, -0x1.d6026869b16bp-5, -0x1.d78c3b05ffb81p-5, -0x1.d8f1f36f71a9ap-5, -0x1.da33bcaf5a1b7p-5, -0x1.db51c9351168cp-5, -0x1.dc4c529246e12p-5, -0x1.dd2399371aa5fp-5, -0x1.ddd7e42e2e61cp-5, -0x1.de6980d8be718p-5, -0x1.ded8c2aae384p-5, -0x1.df2602e81ba6p-5, -0x1.df51a0602c52cp-5, -0x1.df5bff2c7a07fp-5, -0x1.df45886dee599p-5, -0x1.df0eaa0b7bffap-5, -0x1.deb7d67158cb5p-5, -0x1.de418450fca42p-5, -0x1.ddac2e61fb042p-5, -0x1.dcf85323beb08p-5, -0x1.dc2674a0404efp-5, -0x1.db37182fb9f53p-5, -0x1.da2ac63d73242p-5, -0x1.d9020a0da14eep-5, -0x1.d7bd718470a32p-5, -0x1.d65d8cee3e919p-5, -0x1.d4e2eec907255p-5, -0x1.d34e2b8f144b6p-5, -0x1.d19fd982ef096p-5, -0x1.cfd8907c9c7f1p-5, -0x1.cdf8e9b828732p-5, -0x1.cc017fa586931p-5, -0x1.c9f2edb9c5774p-5, -0x1.c7cdd0419ceccp-5, -0x1.c592c4355b62cp-5, -0x1.c342670e27396p-5, -0x1.c0dd569ca4d5bp-5, -0x1.be6430e0f30dep-5, -0x1.bbd793e40712fp-5, -0x1.b9381d9260752p-5, -0x1.b6866b98186d5p-5, -0x1.b3c31b3e4453ep-5, -0x1.b0eec949b2a86p-5, -0x1.ae0a11daf875ep-5, -0x1.ab15904fc7b13p-5, -0x1.a811df2599d2p-5, -0x1.a4ff97dd9c024p-5, -0x1.a1df52e1dd3d5p-5, -0x1.9eb1a76bbe04dp-5, -0x1.9b772b6b955b1p-5, -0x1.983073718ee12p-5, -0x1.94de1297b2f83p-5, -0x1.91809a6d1c6a9p-5, -0x1.8e189ae250b4p-5, -0x1.8aa6a236b5fcdp-5, -0x1.872b3ce724aa7p-5, -0x1.83a6f59d899e8p-5, -0x1.801a552194364p-5, -0x1.7c85e24a695b2p-5, -0x1.78ea21f15a976p-5, -0x1.754796e58f958p-5, -0x1.719ec1e0a9c92p-5, -0x1.6df0217c5103dp-5, -0x1.6a3c3228a29fbp-5, -0x1.66836e2387d3fp-5, -0x1.62c64d70e0e66p-5, -0x1.5f0545d383789p-5, -0x1.5b40cac704328p-5, -0x1.57794d7a4953fp-5, -0x1.53af3ccad6587p-5, -0x1.4fe30540da2c6p-5, -0x1.4c15110be590fp-5, -0x1.4845c80052d43p-5, -0x1.44758f9553f51p-5, -0x1.40a4cae3a0845p-5, -0x1.3cd3daa4bc92ap-5, -0x1.39031d32d3befp-5, -0x1.3532ee8923787p-5, -0x1.3163a844ee1e1p-5, -0x1.2d95a1a6ecc82p-5, -0x1.29c92f9545036p-5, -0x1.25fea49def223p-5, -0x1.223650f991b8ap-5, -0x1.1e70828eccfacp-5, -0x1.1aad84f5e2a45p-5, -0x1.16eda17cd0397p-5, -0x1.13311f2bb871fp-5, -0x1.0f7842c9ae746p-5, -0x1.0bc34ee1d1a38p-5, -0x1.081283c8b6d3ep-5, -0x1.04661fa220515p-5, -0x1.00be5e66f9726p-5, -0x1.fa36f3d727ee2p-6, -0x1.f2fb53cc4fcedp-6, -0x1.ebca47eb03c6cp-6, -0x1.e4a4374feb69ap-6, -0x1.dd898504ee764p-6, -0x1.d67a900fcd6b5p-6, -0x1.cf77b3810f416p-6, -0x1.c881468335831p-6, -0x1.c1979c6a436ebp-6, -0x1.babb04c379de1p-6, -0x1.b3ebcb655a41cp-6, -0x1.ad2a387fd1034p-6, -0x1.a67690ac90761p-6, -0x1.9fd114ffa57c3p-6, -0x1.993a0318176cep-6, -0x1.92b19530a6f1cp-6, -0x1.8c380230c25fp-6, -0x1.85cd7dbd6873dp-6, -0x1.7f72384a33371p-6, -0x1.79265f2a5de73p-6, -0x1.72ea1ca1dc812p-6, -0x1.6cbd97f66ad66p-6, -0x1.66a0f580a6304p-6, -0x1.609456bd11d7bp-6, -0x1.5a97da5d1db8cp-6, -0x1.54ab9c581952ap-6, -0x1.4ecfb5fc1ccd8p-6, -0x1.49043dfed5ea7p-6, -0x1.4349488e3fd71p-6, -0x1.3d9ee7614f0b1p-6, -0x1.380529c867aa5p-6, -0x1.327c1cbdd0627p-6, -0x1.2d03caf5ecfd3p-6, -0x1.279c3cef675a9p-6, -0x1.22457903250d1p-6, -0x1.1cff83741f679p-6, -0x1.17ca5e7f0bb15p-6, -0x1.12a60a69dca65p-6, -0x1.0d9285930f30ap-6, -0x1.088fcc80d60f3p-6, -0x1.039dd9f0078fap-6, -0x1.fd794dc5c3879p-7, -0x1.f3d8555f32788p-7, -0x1.ea58b61d72a33p-7, -0x1.e0fa58528a305p-7, -0x1.d7bd214d5c376p-7, -0x1.cea0f375178b9p-7, -0x1.c5a5ae644a0dfp-7, -0x1.bccb2f036a13ap-7, -0x1.b4114fa309f21p-7, -0x1.ab77e81585d84p-7, -0x1.a2fecdc84110fp-7, -0x1.9aa5d3dc8390dp-7, -0x1.926ccb3fc7f7ep-7, -0x1.8a5382c3a2d56p-7, -0x1.8259c7352caa6p-7, -0x1.7a7f63740ad05p-7, -0x1.72c42088e4996p-7, -0x1.6b27c5bb7a257p-7, -0x1.63aa18a83b253p-7, -0x1.5c4add556a351p-7, -0x1.5509d647d10ap-7, -0x1.4de6c496eeea6p-7, -0x1.46e16800c9b44p-7, -0x1.3ff97efd3977dp-7, -0x1.392ec6d0c603dp-7, -0x1.3280fb9f1b502p-7, -0x1.2befd87cfb95cp-7, -0x1.257b1781cca25p-7, -0x1.1f2271d8b0138p-7, -0x1.18e59fd135ad8p-7, -0x1.12c458ef86723p-7, -0x1.0cbe53fc503ecp-7, -0x1.06d347140b7bep-7, -0x1.0102e7b611a82p-7, -0x1.f699d5a617f77p-8, -0x1.eb6209b680d39p-8, -0x1.e05dd39866248p-8, -0x1.d58c9a7c27d2bp-8, -0x1.caedc4e160c32p-8, -0x1.c080b8affa28dp-8, -0x1.b644db50a8879p-8, -0x1.ac3991c48fb24p-8, -0x1.a25e40bc0bcc5p-8, -0x1.98b24cacfe2a2p-8, -0x1.8f3519e82c582p-8, -0x1.85e60cadf3b74p-8, -0x1.7cc489427be73p-8, -0x1.73cff400ea2bdp-8, -0x1.6b07b16e2cad9p-8, -0x1.626b264afd998p-8, -0x1.59f9b7a539fcdp-8, -0x1.51b2cae8b0adfp-8, -0x1.4995c5ef3f081p-8, -0x1.41a20f1054882p-8, -0x1.39d70d2fd0e73p-8, -0x1.323427cc6f5e3p-8, -0x1.2ab8c70d77dadp-8, -0x1.236453cfe2e82p-8, -0x1.1c3637b31841bp-8, -0x1.152ddd24f4c1cp-8, -0x1.0e4aaf6d61f85p-8, -0x1.078c1ab94de1ap-8, -0x1.00f18c255f0efp-8, -0x1.f4f4e38fbb2afp-9, -0x1.e84c75749e4b9p-9, -0x1.dbe8ae4527429p-9, -0x1.cfc87076ff493p-9, -0x1.c3eaa0ba276c6p-9, -0x1.b84e26087717dp-9, -0x1.acf1e9b432b28p-9, -0x1.a1d4d775f5f7ap-9, -0x1.96f5dd7991c84p-9, -0x1.8c53ec6a60a18p-9, -0x1.81edf77eac615p-9, -0x1.77c2f4825a45bp-9, -0x1.6dd1dbe0f55a7p-9, -0x1.6419a8aee80c8p-9, -0x1.5a9958b1fd177p-9, -0x1.514fec69721cp-9, -0x1.483c671508f2dp-9, -0x1.3f5dcebbd3cp-9, -0x1.36b32c321e28fp-9, -0x1.2e3b8b1ee953ap-9, -0x1.25f5fa00b210cp-9, -0x1.1de18a31d0009p-9, -0x1.15fd4fec3b98ap-9, -0x1.0e48624cb5f9p-9, -0x1.06c1db55907ep-9, -0x1.fed1afe1b544dp-10, -0x1.f078efe4a629ap-10, -0x1.e277bc30e1bc7p-10, -0x1.d4cc601b0619bp-10, -0x1.c7752cd033f3p-10, -0x1.ba707955ba1e4p-10, -0x1.adbca288e0aa9p-10, -0x1.a1580b1d2443dp-10, -0x1.95411b9a10c21p-10, -0x1.8976425880598p-10, -0x1.7df5f37eb60e1p-10, -0x1.72bea8fc72869p-10, -0x1.67cee285de822p-10, -0x1.5d25258e1c5bap-10, -0x1.52bffd414bb05p-10, -0x1.489dfa7e28d1ap-10, -0x1.3ebdb3ce4e0fap-10, -0x1.351dc55f64d44p-10, -0x1.2bbcd0fa74dc4p-10, -0x1.22997dfb98c47p-10, -0x1.19b27948d1696p-10, -0x1.11067548f32c2p-10, -0x1.089429d979bd1p-10, -0x1.005a544499f0ep-10, -0x1.f0af6e6d6408p-11, -0x1.e11635662e599p-11, -0x1.d1e69813376ep-11, -0x1.c31e3b945ff0ap-11, -0x1.b4bacf73e9cebp-11, -0x1.a6ba0d8d1da09p-11, -0x1.9919b9f47bf14p-11, -0x1.8bd7a2de56f24p-11, -0x1.7ef1a0857b7f5p-11, -0x1.726595115460dp-11, -0x1.66316c7ba5f84p-11, -0x1.5a531c75d101bp-11, -0x1.4ec8a44e5c092p-11, -0x1.43900cd54a2ebp-11, -0x1.38a768407d2cap-11, -0x1.2e0cd210d771dp-11, -0x1.23be6ef51eac4p-11, -0x1.19ba6caf39964p-11, -0x1.0fff01f6942dap-11, -0x1.068a6e5c863afp-11, -0x1.fab5f45f2f2d5p-12, -0x1.e8ddecbd549f4p-12, -0x1.d78978b8a5827p-12, -0x1.c6b55c0403001p-12, -0x1.b65e6ae62df75p-12, -0x1.a6818a00922f2p-12, -0x1.971bae146b181p-12, -0x1.8829dbc9d8da3p-12, -0x1.79a92775e8851p-12, -0x1.6b96b4e0184c1p-12, -0x1.5defb709f6d64p-12, -0x1.50b16ff464d34p-12, -0x1.43d9306781c1ep-12, -0x1.376457b89f68fp-12, -0x1.2b5053916e506p-12, -0x1.1f9a9fb7a6135p-12, -0x1.1440c5d40d5eap-12, -0x1.09405d3ad25a4p-12, -0x1.fd2e15662b6b5p-13, -0x1.e885007f48b09p-13, -0x1.d480f9cf8aad2p-13, -0x1.c11d9900ccf3ap-13, -0x1.ae568eea3ce63p-13, -0x1.9c27a52498436p-13, -0x1.8a8cbd9f61991p-13, -0x1.7981d23404e49p-13, -0x1.6902f43f17d99p-13, -0x1.590c4c35103acp-13, -0x1.499a193b46e0ep-13, -0x1.3aa8b0c0915f8p-13, -0x1.2c347e1735897p-13, -0x1.1e3a020f4f5a7p-13, -0x1.10b5d292f8559p-13, -0x1.03a49a437c34cp-13, -0x1.ee06302dc8204p-14, -0x1.d59c3ded471c1p-14, -0x1.be052abedcd0fp-14, -0x1.a73aea055fc4dp-14, -0x1.913794d1bfa0dp-14, -0x1.7bf56926f6cb3p-14, -0x1.676ec944b8859p-14, -0x1.539e3af128f83p-14, -0x1.407e66c6829edp-14, -0x1.2e0a17833884ep-14, -0x1.1c3c39575a7c5p-14, -0x1.0b0fd93ea1945p-14, -0x1.f50048a22fa42p-15, -0x1.d510ce3b2234p-15, -0x1.b6481a088a201p-15, -0x1.989d3f25a227ap-15, -0x1.7c078bc8ea86bp-15, -0x1.607e8806d33a9p-15, -0x1.45f9f4976f0ecp-15, -0x1.2c71c9a408a26p-15, -0x1.13de3596a280ap-15, -0x1.f86f37de9aac2p-16, -0x1.caed28402da3dp-16, -0x1.9f27d0ca393b8p-16, -0x1.7511295e5389cp-16, -0x1.4c9b8b0dd88bp-16, -0x1.25b9adefdf90fp-16, -0x1.005ea703031cep-16, -0x1.b8fbcc33d2a8p-17, -0x1.7416678ff975fp-17, -0x1.31f55ebe2e57p-17, -0x1.e50333c414f67p-18, -0x1.6b494d7c85039p-18, -0x1.ed22d35fc59adp-19, -0x1.0d6246df90cep-19, -0x1.b7f4a523b06dp-22, 0x1.2cb092f9e3182p-20, 0x1.5af00d6109561p-19, 0x1.0b8a1958d7512p-18, 0x1.6587024d06e96p-18, 0x1.bb9255b3c4382p-18, 0x1.06e74e6d0d7b1p-17, 0x1.2e2eae5fe602dp-17, 0x1.53af8e3c673c4p-17, 0x1.7779b5c3895b6p-17, 0x1.999c73f06464dp-17, 0x1.ba26a20c4f91cp-17, 0x1.d926a69a7c278p-17, 0x1.f6aa7846691ap-17, 0x1.095fd05965f3fp-16, 0x1.16b99fa54810ap-16, 0x1.236905f9e95bp-16, 0x1.2f742ce52a1dcp-16, 0x1.3ae10cd7f561dp-16, 0x1.45b56e74ad473p-16, 0x1.4ff6ebcccc696p-16, 0x1.59aaf1a041b3p-16, 0x1.62d6c08d22e8p-16, 0x1.6b7f6e41e2a9bp-16, 0x1.73a9e6a2c3634p-16, 0x1.7b5aece92479cp-16, 0x1.82971cc3f6eaep-16, 0x1.8962eb67a37f5p-16, 0x1.8fc2a89f0b738p-16, 0x1.95ba7fd4371b3p-16, 0x1.9b4e7912c2ad6p-16, 0x1.a0827a06737acp-16, 0x1.a55a46f029e2fp-16, 0x1.a9d98399cb8f8p-16, 0x1.ae03b43f8e3ap-16, 0x1.b1dc3e7b20307p-16, 0x1.b5666a24201a7p-16, 0x1.b8a562297667cp-16, 0x1.bb9c356bde1c2p-16, 0x1.be4dd78ecd3c3p-16, 0x1.c0bd21c4fb4adp-16, 0x1.c2ecd39a1e672p-16, 0x1.c4df93b4f5a5p-16, 0x1.c697f09562961p-16, 0x1.c818615034acep-16, 0x1.c9634644af2ddp-16, 0x1.ca7ae9cb1d777p-16, 0x1.cb6180e57a5afp-16, 0x1.cc192be3d3e7ep-16, 0x1.cca3f70afca7p-16, 0x1.cd03db3434d47p-16, 0x1.cd3abe672351bp-16, 0x1.cd4a7474ca13p-16, 0x1.cd34bf87bcd46p-16, 0x1.ccfb50b86064dp-16, 0x1.cc9fc89716484p-16, 0x1.cc23b7b4a8debp-16, 0x1.cb889f2a07016p-16, 0x1.cacff115d7c92p-16, 0x1.c9fb111f148fp-16, 0x1.c90b54ec41a37p-16, 0x1.c802049c6a198p-16, 0x1.c6e05b3bcf40fp-16, 0x1.c5a78732c76ap-16, 0x1.c458aab62618ep-16, 0x1.c2f4dc31cfe8ap-16, 0x1.c17d26ae8a7f3p-16, 0x1.bff28a390a471p-16, 0x1.be55fc43657efp-16, 0x1.bca8680497873p-16, 0x1.baeaaed5085fdp-16, 0x1.b91da88811db6p-16, 0x1.b74223c379adcp-16, 0x1.b558e654174dbp-16, 0x1.b362ad81221f1p-16, 0x1.b1602e5b454f3p-16, 0x1.af52160a7d1fdp-16, 0x1.ad390a1955565p-16, 0x1.ab15a8bc523f3p-16, 0x1.a8e8891b6644dp-16, 0x1.a6b23b94bb0afp-16, 0x1.a47349ff3c90fp-16, 0x1.a22c37eb1d847p-16, 0x1.9fdd82e075e84p-16, 0x1.9d87a29b8190fp-16, 0x1.9b2b09483ea9fp-16, 0x1.98c823b8b8e5dp-16, 0x1.965f599eaf9cp-16, 0x1.93f10dbedead8p-16, 0x1.917d9e24b1567p-16, 0x1.8f05645569ed5p-16, 0x1.8c88b57d67a15p-16, 0x1.8a07e2a1763f6p-16, 0x1.878338c9a0517p-16, 0x1.84fb012db6a14p-16, 0x1.826f815f1eef6p-16, 0x1.7fe0fb724f13dp-16, 0x1.7d4fae2370baap-16, 0x1.7abbd4feb967dp-16, 0x1.7825a88347853p-16, 0x1.758d5e471faabp-16, 0x1.72f3291969b4bp-16, 0x1.705739218f74p-16, 0x1.6db9bc0091bcfp-16, 0x1.6b1adcee9a0e6p-16, 0x1.687ac4d820d9ep-16, 0x1.65d99a7a874a1p-16, 0x1.6337827f0cef2p-16, 0x1.60949f95f66c5p-16, 0x1.5df1128d76f47p-16, 0x1.5b4cfa6bc5ddep-16, 0x1.58a8748607672p-16, 0x1.56039c96268b7p-16, 0x1.535e8cd0b835ap-16, 0x1.50b95df961fc2p-16, 0x1.4e1427769bd9fp-16, 0x1.4b6eff64e61cep-16, 0x1.48c9faa934204p-16, 0x1.46252d01b45f5p-16, 0x1.4380a91751005p-16, 0x1.40dc808d9cd8ep-16, 0x1.3e38c41155477p-16, 0x1.3b958367e82dp-16, 0x1.38f2cd7db715cp-16, 0x1.3650b072f0a71p-16, 0x1.33af39a85ba3bp-16, 0x1.310e75cc23618p-16, 0x1.2e6e70e4c8aa4p-16, 0x1.2bcf365cb2948p-16, 0x1.2930d10df9b9fp-16, 0x1.26934b4a13c95p-16, 0x1.23f6aee5a7629p-16, 0x1.215b0540b16fbp-16, 0x1.1ec0574f3b534p-16, 0x1.1c26ada1e74c5p-16, 0x1.198e106de6401p-16, 0x1.16f687941eb5dp-16, 0x1.14601aa8048f3p-16, 0x1.11cad0f78f8a8p-16, 0x1.0f36b18fa4676p-16, 0x1.0ca3c343241b2p-16, 0x1.0a120cb0c69cbp-16, 0x1.0781944821d7ep-16, 0x1.04f2604dc8998p-16, 0x1.026476e17dfd2p-16, 0x1.ffafbc032acb5p-17, 0x1.fa99371e8c077p-17, 0x1.f5856aa5ecddep-17, 0x1.f07461fe0645ep-17, 0x1.eb662867025f7p-17, 0x1.e65ac9030fb77p-17, 0x1.e1524edcd7b8dp-17, 0x1.dc4cc4ea8492bp-17, 0x1.d74a361478837p-17, 0x1.d24aad3a64a61p-17, 0x1.cd4e3535ecd8ap-17, 0x1.c854d8de8a212p-17, 0x1.c35ea30e1ce4ep-17, 0x1.be6b9ea3e2f4p-17, 0x1.b97bd685efadcp-17, 0x1.b48f55a5c3fbp-17, 0x1.afa62700b611fp-17, 0x1.aac055a2f75bbp-17, 0x1.a5ddeca86ca0fp-17, 0x1.a0fef73fc53aep-17, 0x1.9c2380aa0939ap-17, 0x1.974b943bdc356p-17, 0x1.92773d5f91177p-17, 0x1.8da68794661b5p-17, 0x1.88d97e6f7e202p-17, 0x1.84102d9c653edp-17, 0x1.7f4aa0dbfef87p-17, 0x1.7a88e405d1ad3p-17, 0x1.75cb030777efep-17, 0x1.711109e4318ep-17, 0x1.6c5b04b3cbfa3p-17, 0x1.67a8ffa2885bap-17, 0x1.62fb06f09b4aap-17, 0x1.5e5126f1c22b9p-17, 0x1.59ab6c0a65a3p-17, 0x1.5509e2b0e7eeap-17, 0x1.506c976b58e7ap-17, 0x1.4bd396ce68a9p-17, 0x1.473eed7c74defp-17, 0x1.42aea823fde66p-17, 0x1.3e22d37e4b571p-17, 0x1.399b7c4ddfd73p-17, 0x1.3518af5d8b2c7p-17, 0x1.309a797f24d25p-17, 0x1.2c20e78874a41p-17, 0x1.27ac0652b7362p-17, 0x1.233be2b96180ap-17, 0x1.1ed089983a0dbp-17, 0x1.1a6a07c95d1c6p-17, 0x1.16086a238b212p-17, 0x1.11abbd78ce52p-17, 0x1.0d540e94b388fp-17, 0x1.09016a3ab9e98p-17, 0x1.04b3dd24f2ce6p-17, 0x1.006b740117d85p-17, 0x1.f85076dfbc46bp-18, 0x1.efd48007afd5bp-18, 0x1.e7631c7d94986p-18, 0x1.defc651f25256p-18, 0x1.d6a072a32fa9bp-18, 0x1.ce4f5d962e035p-18, 0x1.c6093e55e3ac5p-18, 0x1.bdce2d0f27efp-18, 0x1.b59e41bb4ef8p-18, 0x1.ad79941a34859p-18, 0x1.a5603bb2705cbp-18, 0x1.9d524fcc7313ep-18, 0x1.954fe7713f38fp-18, 0x1.8d59196595abcp-18, 0x1.856dfc288012ep-18, 0x1.7d8ea5f0b26ebp-18, 0x1.75bb2ca86a726p-18, 0x1.6df3a5ec4d44ap-18, 0x1.66382707da6b5p-18, 0x1.5e88c4f3e4aaap-18, 0x1.56e5945392765p-18, 0x1.4f4ea97246b39p-18, 0x1.47c41840e2e14p-18, 0x1.4045f453b228p-18, 0x1.38d450e12adbep-18, 0x1.316f40bead35bp-18, 0x1.2a16d65f3deap-18, 0x1.22cb23d1b5883p-18, 0x1.1b8c3abeddb17p-18, 0x1.145a2c6741edep-18, 0x1.0d3509a1bf9adp-18, 0x1.061ce2d9c3fcfp-18, 0x1.fe23901c51b4p-19, 0x1.f02791a0095a7p-19, 0x1.e245e88215796p-19, 0x1.d47eb2236842bp-19, 0x1.c6d20b001d159p-19, 0x1.b9400eaea7d05p-19, 0x1.abc8d7de0c42p-19, 0x1.9e6c80517eadep-19, 0x1.912b20e17757ap-19, 0x1.8404d175a74aep-19, 0x1.76f9a90917db3p-19, 0x1.6a09bda6a2bfep-19, 0x1.5d352462e8031p-19, 0x1.507bf1610c9bap-19, 0x1.43de37cfe5d0fp-19, 0x1.375c09e8fde49p-19, 0x1.2af578f09f99bp-19, 0x1.1eaa9534a41b8p-19, 0x1.127b6e09c99cap-19, 0x1.066811ceb456cp-19, 0x1.f4e11bd2f7dc2p-20, 0x1.dd29dd929f5c6p-20, 0x1.c5aa7fcc05584p-20, 0x1.ae63177b8c404p-20, 0x1.9753b7b14cab5p-20, 0x1.807c718f931c3p-20, 0x1.69dd544a681a6p-20, 0x1.53766d27fedfep-20, 0x1.3d47c784eff1ap-20, 0x1.27516cd46e27cp-20, 0x1.119364a24693ap-20, 0x1.f81b6929581b4p-21, 0x1.cd80c0dd9ff71p-21, 0x1.a356d4208fe04p-21, 0x1.799da2f6cf09ap-21, 0x1.505529abf4ddp-21, 0x1.277d60d754268p-21, 0x1.fe2c7ad10a173p-22, 0x1.ae3f614b8ce78p-22, 0x1.5f335066f126p-22, 0x1.11081c40dfffap-22, 0x1.877b23ae92becp-23, 0x1.dd4ddc1905c92p-24, 0x1.5e4c554b41315p-25, -0x1.ee07b51955824p-26, -0x1.a2aba78624bc2p-24, -0x1.632c2dab4c342p-23, -0x1.f344bd71dfa22p-23, -0x1.40d024cda52c2p-22, -0x1.871fd2eeadc94p-22, -0x1.cc91d984f90f8p-22, -0x1.089357b6a117cp-21, -0x1.2a6f68f2d3095p-21, -0x1.4bdd624256fb7p-21, -0x1.6cdd888b944cap-21, -0x1.8d7023c608b4bp-21, -0x1.ad957ef440472p-21, -0x1.cd4de81dbf9edp-21, -0x1.ec99b039a4cb5p-21, -0x1.05bc9593a438fp-20, -0x1.14f657d140117p-20, -0x1.23fa4b9dfee17p-20, -0x1.32c89f26a10c6p-20, -0x1.416181f5cb9eep-20, -0x1.4fc524ef7ad26p-20, -0x1.5df3ba4ac2f29p-20, -0x1.6bed758a2ab45p-20, -0x1.79b28b790d5cdp-20, -0x1.874332247512p-20, -0x1.949fa0d552802p-20, -0x1.a1c81008de1c3p-20, -0x1.aebcb96bc9f8ap-20, -0x1.bb7dd7d6dec63p-20, -0x1.c80ba747b5dc3p-20, -0x1.d46664d8a8569p-20, -0x1.e08e4ebaec378p-20, -0x1.ec83a43233c3dp-20, -0x1.f846a58edbef8p-20, -0x1.01ebca13a22cdp-19, -0x1.079b59293e45ap-19, -0x1.0d3221b0957b1p-19, -0x1.12b045cc6401cp-19, -0x1.1815e81634201p-19, -0x1.1d632b9bb6884p-19, -0x1.229833db5b509p-19, -0x1.27b524c25f4f7p-19, -0x1.2cba22a8fb95ap-19, -0x1.31a7524f6c7ffp-19, -0x1.367cd8db31dc3p-19, -0x1.3b3adbd4be4eap-19, -0x1.3fe1812457c51p-19, -0x1.4470ef0de98dap-19, -0x1.48e94c2f76014p-19, -0x1.4d4abf7d61151p-19, -0x1.519570401c4b4p-19, -0x1.55c98611f9d69p-19, -0x1.59e728db6df28p-19, -0x1.5dee80d0502f2p-19, -0x1.61dfb66cb58c8p-19, -0x1.65baf27305558p-19, -0x1.69805de913ccp-19, -0x1.6d3022151bf8dp-19, -0x1.70ca687b72875p-19, -0x1.744f5adad6ae3p-19, -0x1.77bf232aeece3p-19, -0x1.7b19eb99dfa17p-19, }}, 
      {{-0x1.f8f2d6e990dd3p-2, -0x1.f817290d22aa7p-2, -0x1.f6aa83a003869p-2, -0x1.f4af18f0ce4e2p-2, -0x1.f227e94f707d7p-2, -0x1.ef18af0b17028p-2, -0x1.eb85c757ddc8ap-2, -0x1.e7741ab85857dp-2, -0x1.e2e90688a55e3p-2, -0x1.ddea483dc0109p-2, -0x1.d87dea3b36a5ep-2, -0x1.d2aa31db179b4p-2, -0x1.cc758e4c5c945p-2, -0x1.c5e6881cc94bcp-2, -0x1.bf03b17ba822ap-2, -0x1.b7d3976ea3095p-2, -0x1.b05cb4484659fp-2, -0x1.a8a563b04db17p-2, -0x1.a0b3d87d2316p-2, -0x1.988e1482dc9ccp-2, -0x1.9039e25d0fe88p-2, -0x1.87bcd11b843b7p-2, -0x1.7f1c31a1d5e13p-2, -0x1.765d157970f69p-2, -0x1.6d844ecc7ab66p-2, -0x1.6496713e9e2e8p-2, -0x1.5b97d35cf46abp-2, -0x1.528c9066e306p-2, -0x1.49788a3cfc194p-2, -0x1.405f6b4f59c6ap-2, -0x1.3744a87119786p-2, -0x1.2e2b8281ebe34p-2, -0x1.251707e827139p-2, -0x1.1c0a15dd66c36p-2, -0x1.130759953b2aap-2, -0x1.0a115148f2aacp-2, -0x1.012a4d3538689p-2, -0x1.f0a8e12d03599p-3, -0x1.df236560c1048p-3, -0x1.cdc7bfd3f8a61p-3, -0x1.bc99360f73d83p-3, -0x1.ab9abd0ee9a0cp-3, -0x1.9acefc443ff2p-3, -0x1.8a3850e640822p-3, -0x1.79d8d186e6efdp-3, -0x1.69b251e9bf36dp-3, -0x1.59c6670fb211ep-3, -0x1.4a166b6b7d4b8p-3, -0x1.3aa38330ab9b8p-3, -0x1.2b6ea0ae35074p-3, -0x1.1c7888a5f8a8dp-3, -0x1.0dc1d692cbb82p-3, -0x1.fe96019fcbf7dp-4, -0x1.e228b92b93e21p-4, -0x1.c63c4384fbcb3p-4, -0x1.aad0dcc9364e1p-4, -0x1.8fe69405669cbp-4, -0x1.757d513482ce5p-4, -0x1.5b94daa6b966fp-4, -0x1.422cd9cfcce5p-4, -0x1.2944df7d2e105p-4, -0x1.10dc67774964ep-4, -0x1.f1e5b727c6ae2p-5, -0x1.c30f2c82bb637p-5, -0x1.9533c928b5d84p-5, -0x1.68520fc4d92c2p-5, -0x1.3c686deaa72dfp-5, -0x1.11753dc5c199fp-5, -0x1.ceed8e56df268p-6, -0x1.7cd6804ca2ff3p-6, -0x1.2ca19a2836d15p-6, -0x1.bc9601b0adaa2p-7, -0x1.239d69123059cp-7, -0x1.1ca23d4b2f032p-8, 0x1.abbc4dbe04f23p-14, 0x1.22ca9452f5e19p-8, 0x1.1be1991bcdac9p-7, 0x1.a2d6011582552p-7, 0x1.13263c63d47f3p-6, 0x1.5327a9f356a12p-6, 0x1.9174a23bd0097p-6, 0x1.ce12adb062f92p-6, 0x1.0483c20bea021p-5, 0x1.212c860314cdp-5, 0x1.3d06acf5c80a7p-5, 0x1.5815575cacd03p-5, 0x1.725bbb101aed2p-5, 0x1.8bdd223628793p-5, 0x1.a49cea02d2866p-5, 0x1.bc9e814e013aep-5, 0x1.d3e56703905ebp-5, 0x1.ea752871fd034p-5, 0x1.0028afbe3fa45p-4, 0x1.0abed85ac415p-4, 0x1.14fee4b3563c6p-4, 0x1.1eeaaec578895p-4, 0x1.288412e032aa5p-4, 0x1.31ccee9adf5eep-4, 0x1.3ac71fcc426ap-4, 0x1.43748384063eap-4, 0x1.4bd6f508a208fp-4, 0x1.53f04cdb7d9d7p-4, 0x1.5bc25fc501c94p-4, 0x1.634efdea14861p-4, 0x1.6a97f1ec573c2p-4, 0x1.719f00164d378p-4, 0x1.7865e594682a9p-4, 0x1.7eee57bbcaaeep-4, 0x1.853a035f659bp-4, 0x1.8b4a8c33f14d8p-4, 0x1.91218c43186d3p-4, 0x1.96c0936e09988p-4, 0x1.9c2926ff816fcp-4, 0x1.a15cc14d423e8p-4, 0x1.a65cd168caa54p-4, 0x1.ab2abadf0cfd2p-4, 0x1.afc7d586cb19dp-4, 0x1.b4356d5d2b461p-4, 0x1.b874c26ff6943p-4, 0x1.bc8708d50015cp-4, 0x1.c06d68ae13216p-4, 0x1.c428fe38b373dp-4, 0x1.c7bad9e9080c1p-4, 0x1.cb24008f3f13ap-4, 0x1.ce656b868b685p-4, 0x1.d18008ed328ep-4, 0x1.d474bbe4a6acep-4, 0x1.d7445cd928a94p-4, 0x1.d9efb9cffc0c2p-4, 0x1.dc7796bb9c7a6p-4, 0x1.dedcadd5138bbp-4, 0x1.e11faff9cb67ep-4, 0x1.e341450d3a8c7p-4, 0x1.e5420c5d99261p-4, 0x1.e7229d0b1c0bfp-4, 0x1.e8e3867118cb4p-4, 0x1.ea8550905f51ep-4, 0x1.ec087c7a616d5p-4, 0x1.ed6d84bc90d2dp-4, 0x1.eeb4ddcb6dfd1p-4, 0x1.efdef66cf8b5ep-4, 0x1.f0ec3821e2344p-4, 0x1.f1dd078d515p-4, 0x1.f2b1c4dac129ep-4, 0x1.f36acc21a7992p-4, 0x1.f40875c6ab13cp-4, 0x1.f48b16da18e6ap-4, 0x1.f4f301736371ap-4, 0x1.f540850973a27p-4, 0x1.f573eec7afc4p-4, 0x1.f58d89df6bfe6p-4, 0x1.f58d9fd5e5f4p-4, 0x1.f57478ce6c7b9p-4, 0x1.f5425bd0cc194p-4, 0x1.f4f78f0bf3e58p-4, 0x1.f4945814a6e7p-4, 0x1.f418fc206256p-4, 0x1.f385c03c575bcp-4, 0x1.f2dae9808ba8fp-4, 0x1.f218bd3f35fe6p-4, 0x1.f13f81303fc9fp-4, 0x1.f04f7b991d19bp-4, 0x1.ef48f37103b0ep-4, 0x1.ee2c308183012p-4, 0x1.ecf97b83b3915p-4, 0x1.ebb11e39fdd1dp-4, 0x1.ea5363869483dp-4, 0x1.e8e0977edcc1fp-4, 0x1.e759077bab08dp-4, 0x1.e5bd0226ad35cp-4, 0x1.e40cd784fa71ep-4, 0x1.e248d8fef342fp-4, 0x1.e07159659a37p-4, 0x1.de86acf57a488p-4, 0x1.dc8929574532dp-4, 0x1.da79259e4b23cp-4, 0x1.d856fa44d81b3p-4, 0x1.d6230126c0dbap-4, 0x1.d3dd957a0dd44p-4, 0x1.d18713c6116bcp-4, 0x1.cf1fd9d8e9ad1p-4, 0x1.cca846bb994f9p-4, 0x1.ca20baa4d6041p-4, 0x1.c78996eaa6696p-4, 0x1.c4e33df2ed91p-4, 0x1.c22e132303bd8p-4, 0x1.bf6a7ace63655p-4, 0x1.bc98da24ad528p-4, 0x1.b9b9971eed01fp-4, 0x1.b6cd186c574e1p-4, 0x1.b3d3c55e8df59p-4, 0x1.b0ce05d577d17p-4, 0x1.adbc422ad46f3p-4, 0x1.aa9ee31d8b0edp-4, 0x1.a77651bcd9f6dp-4, 0x1.a442f753661d3p-4, 0x1.a1053d524e554p-4, 0x1.9dbd8d3c43c4ep-4, 0x1.9a6c5090bcbcbp-4, 0x1.9711f0b752aa5p-4, 0x1.93aed6eb54777p-4, 0x1.90436c2794b8cp-4, 0x1.8cd019128b6d9p-4, 0x1.895545eacd113p-4, 0x1.85d35a73e1065p-4, 0x1.824abde3829e3p-4, 0x1.7ebbd6cf55b44p-4, 0x1.7b270b1b10cdbp-4, 0x1.778cbfe72afd7p-4, 0x1.73ed59800caaap-4, 0x1.70493b4dcc327p-4, 0x1.6ca0c7c479eafp-4, 0x1.68f46054ff374p-4, 0x1.6544655e94ba5p-4, 0x1.61913620d0e25p-4, 0x1.5ddb30ae53069p-4, 0x1.5a22b1e00b9dfp-4, 0x1.5668154922caap-4, 0x1.52abb52b7fafdp-4, 0x1.4eedea6cecb41p-4, 0x1.4b2f0c8cdf321p-4, 0x1.476f719adb06ep-4, 0x1.43af6e2d7718ep-4, 0x1.3fef5559fde8dp-4, 0x1.3c2f78acab96ap-4, 0x1.3870282184c65p-4, 0x1.34b1b21dc7463p-4, 0x1.30f46369efe42p-4, 0x1.2d38872c54e97p-4, 0x1.297e66e451e76p-4, 0x1.25c64a660099bp-4, 0x1.221077d67eb38p-4, 0x1.1e5d33a8bc301p-4, 0x1.1aacc09acce06p-4, 0x1.16ff5fb3bde96p-4, 0x1.13555041e8578p-4, 0x1.0faecfd9be7cap-4, 0x1.0c0c1a551067fp-4, 0x1.086d69d2c4d31p-4, 0x1.04d2f6b6ff225p-4, 0x1.013cf7abb438bp-4, 0x1.fb5743434c131p-5, 0x1.f43e4fa3846adp-5, 0x1.ed2f777dc5fb7p-5, 0x1.e62b1a6fd766ep-5, 0x1.df3194b47caddp-5, 0x1.d8433f29098f8p-5, 0x1.d1606f5398ed6p-5, 0x1.ca897769defe6p-5, 0x1.c3bea6588a5b9p-5, 0x1.bd0047cb36022p-5, 0x1.b64ea434dc1cp-5, 0x1.afaa00d8c7727p-5, 0x1.a9129fd3fb728p-5, 0x1.a288c02709444p-5, 0x1.9c0c9dc04fd7cp-5, 0x1.959e71869af13p-5, 0x1.8f3e71641e644p-5, 0x1.88ecd051c8371p-5, 0x1.82a9be62dae61p-5, 0x1.7c7568d0d7dffp-5, 0x1.764ffa07a35bep-5, 0x1.703999b1edd98p-5, 0x1.6a326cc5cd20bp-5, 0x1.643a959188fa3p-5, 0x1.5e5233c895a58p-5, 0x1.58796490b06f8p-5, 0x1.52b0428f2465ap-5, 0x1.4cf6e5f624d92p-5, 0x1.474d649245caep-5, 0x1.41b3d1d806a2dp-5, 0x1.3c2a3ef168834p-5, 0x1.36b0bacb96e8cp-5, 0x1.314752248f3b2p-5, 0x1.2bee0f98d3a11p-5, 0x1.26a4fbb1188cap-5, 0x1.216c1cefedb4cp-5, 0x1.1c4377df64f27p-5, 0x1.172b0f1ea7e01p-5, 0x1.1222e36f86c9ep-5, 0x1.0d2af3c3f00b6p-5, 0x1.08433d4b5a67bp-5, 0x1.036bbb8015597p-5, 0x1.fd48d069039ddp-6, 0x1.f3da774063235p-6, 0x1.ea8c58d9cebafp-6, 0x1.e15e5f86f001dp-6, 0x1.d85072b1190f5p-6, 0x1.cf6276f27c161p-6, 0x1.c6944e2f1ec2ep-6, 0x1.bde5d7ad7bfafp-6, 0x1.b556f02edc6b1p-6, 0x1.ace7720750cbdp-6, 0x1.a4973535645e8p-6, 0x1.9c660f796d9bp-6, 0x1.9453d46c879a8p-6, 0x1.8c605597338d8p-6, 0x1.848b62879373fp-6, 0x1.7cd4c8e74efc2p-6, 0x1.753c549110f04p-6, 0x1.6dc1cfa5a7c17p-6, 0x1.666502a0b7974p-6, 0x1.5f25b46d1abfbp-6, 0x1.5803aa78c9152p-6, 0x1.50fea8c866bb5p-6, 0x1.4a16720a67e5cp-6, 0x1.434ac7a9cd2cep-6, 0x1.3c9b69e07926ep-6, 0x1.360817c9215fp-6, 0x1.2f908f70d457ep-6, 0x1.29348de8181cp-6, 0x1.22f3cf53a4e22p-6, 0x1.1cce0efcb6d82p-6, 0x1.16c30760fa99p-6, 0x1.10d272420ead3p-6, 0x1.0afc08b4a8dbdp-6, 0x1.053f832f4a31p-6, 0x1.ff39333137846p-7, 0x1.f42606aabf908p-7, 0x1.e944eeabf9625p-7, 0x1.de955847677fbp-7, 0x1.d416afdace2b1p-7, 0x1.c9c8612819639p-7, 0x1.bfa9d76d6fc9cp-7, 0x1.b5ba7d7c9ca27p-7, 0x1.abf9bdd1b4d0bp-7, 0x1.a26702a90642cp-7, 0x1.9901b61458db9p-7, 0x1.8fc9420f7595bp-7, 0x1.86bd1094062cbp-7, 0x1.7ddc8bacbf38ep-7, 0x1.75271d87e7098p-7, 0x1.6c9c308937d61p-7, 0x1.643b2f5b109a2p-7, 0x1.5c0384ff0f5bap-7, 0x1.53f49cde0aff6p-7, 0x1.4c0de2d76cacfp-7, 0x1.444ec34ff4dccp-7, 0x1.3cb6ab3fe571ap-7, 0x1.35450840a07e6p-7, 0x1.2df94899a6e2ap-7, 0x1.26d2db4d1d2a5p-7, 0x1.1fd13023bc175p-7, 0x1.18f3b7b82fa4fp-7, 0x1.1239e38208694p-7, 0x1.0ba325e0177f9p-7, 0x1.052ef222533eep-7, 0x1.fdb9792681dd6p-8, 0x1.f157f501c5d5cp-8, 0x1.e538448a67982p-8, 0x1.d959569c5155fp-8, 0x1.cdba1c4a9c1e9p-8, 0x1.c25988edd131ep-8, 0x1.b736923169637p-8, 0x1.ac5030207f4b9p-8, 0x1.a1a55d31acf49p-8, 0x1.9735165224c86p-8, 0x1.8cfe5af0106fbp-8, 0x1.83002d04379b7p-8, 0x1.7939911aeac8p-8, 0x1.6fa98e5c3ea44p-8, 0x1.664f2e93ac612p-8, 0x1.5d297e36ee192p-8, 0x1.54378c6c5a952p-8, 0x1.4b786b10928ep-8, 0x1.42eb2ebba3295p-8, 0x1.3a8eeec5896ep-8, 0x1.3262c54a2f2d2p-8, 0x1.2a65cf2cddfe9p-8, 0x1.22972c1b3bbd6p-8, 0x1.1af5fe8fad0cfp-8, 0x1.13816bd35361p-8, 0x1.0c389bff83129p-8, 0x1.051ab9feddf95p-8, 0x1.fc4de71bbb40ap-9, 0x1.eeb8f27630778p-9, 0x1.e174fccdfd979p-9, 0x1.d480728693cc4p-9, 0x1.c7d9c5a41babfp-9, 0x1.bb7f6dc8ba98fp-9, 0x1.af6fe8314ec65p-9, 0x1.a3a9b7b16d863p-9, 0x1.982b64aed20a7p-9, 0x1.8cf37d1c28e3fp-9, 0x1.8200947346e3ap-9, 0x1.775143aed3ceap-9, 0x1.6ce429436345p-9, 0x1.62b7e91833052p-9, 0x1.58cb2c7f398cp-9, 0x1.4f1ca22ceee6ep-9, 0x1.45aafe2f80564p-9, 0x1.3c74f9e5b7616p-9, 0x1.337953f56ab1ap-9, 0x1.2ab6d041a25dfp-9, 0x1.222c37e0483efp-9, 0x1.19d8590f9a55ep-9, 0x1.11ba072b45623p-9, 0x1.09d01aa130161p-9, 0x1.021970e60d706p-9, 0x1.f529d8d327c59p-10, 0x1.e682e91536478p-10, 0x1.d83beb15a715bp-10, 0x1.ca52c104dd94cp-10, 0x1.bcc556a717b8fp-10, 0x1.af91a13acfa85p-10, 0x1.a2b59f5ed66e5p-10, 0x1.962f58f83783ep-10, 0x1.89fcdf17c5a6p-10, 0x1.7e1c4bdf665f2p-10, 0x1.728bc2670ebfap-10, 0x1.67496ea1cd9a5p-10, 0x1.5c5385425c26bp-10, 0x1.51a8439fbe678p-10, 0x1.4745ef99b0e67p-10, 0x1.3d2ad77ce7261p-10, 0x1.335551e75e584p-10, 0x1.29c3bdac66e55p-10, 0x1.207481b8e1be1p-10, 0x1.17660cf7311dbp-10, 0x1.0e96d6335415p-10, 0x1.06055bff06964p-10, 0x1.fb60492b71444p-11, 0x1.eb2b7b817bf43p-11, 0x1.db697976d3ca1p-11, 0x1.cc177c2eb033dp-11, 0x1.bd32cb414258fp-11, 0x1.aeb8bc84ba012p-11, 0x1.a0a6b3d5f0dbbp-11, 0x1.92fa22e1e9381p-11, 0x1.85b088ef031dp-11, 0x1.78c772a6f9c7fp-11, 0x1.6c3c79e09e123p-11, 0x1.600d456a50771p-11, 0x1.543788d4b9065p-11, 0x1.48b9043d90741p-11, 0x1.3d8f841b406ep-11, 0x1.32b8e1085abbap-11, 0x1.2832ff9016edfp-11, 0x1.1dfbcffa72d5p-11, 0x1.14114e1999ec6p-11, 0x1.0a718116ddc3cp-11, 0x1.011a7b40f4b06p-11, 0x1.f014b3b420d43p-12, 0x1.de7e89cd639dap-12, 0x1.cd6eddf9d0912p-12, 0x1.bce22a281c5b2p-12, 0x1.acd4fca9f7237p-12, 0x1.9d43f7d5d5134p-12, 0x1.8e2bd1a90f1fap-12, 0x1.7f89536b6810dp-12, 0x1.7159595417185p-12, 0x1.6398d22e8eda7p-12, 0x1.5644bf020fa28p-12, 0x1.495a32b8c47ffp-12, 0x1.3cd651c8d6fcep-12, 0x1.30b651de57674p-12, 0x1.24f7798606baap-12, 0x1.19971fd9bf527p-12, 0x1.0e92ac2d69ac1p-12, 0x1.03e795bd2f907p-12, 0x1.f326c6ba78ea5p-13, 0x1.df275653db1cep-13, 0x1.cbcc2472e3a4cp-13, 0x1.b910989d163bdp-13, 0x1.a6f03718e4912p-13, 0x1.9566a0572247ap-13, 0x1.846f905f4c3cbp-13, 0x1.7406de3de086ep-13, 0x1.64287b7421729p-13, 0x1.54d0736bac7a6p-13, 0x1.45faeaea62501p-13, 0x1.37a41f89982afp-13, 0x1.29c8672f68391p-13, 0x1.1c642f89d3bc4p-13, 0x1.0f73fd8b837bbp-13, 0x1.02f46cecc3c7p-13, 0x1.edc45f568e0a9p-14, 0x1.d6741b1e5eb2bp-14, 0x1.bff1c760cd443p-14, 0x1.aa3747fbfc64ep-14, 0x1.953ea991ba6cfp-14, 0x1.8102209e260d7p-14, 0x1.6d7c089460eccp-14, 0x1.5aa6e2fd5e556p-14, 0x1.487d569c40d94p-14, 0x1.36fa2e967f555p-14, 0x1.2618599ed9a1bp-14, 0x1.15d2e9243ec84p-14, 0x1.06251086aeffdp-14, 0x1.ee1448994478bp-15, 0x1.d0fb32bd0b6ebp-15, 0x1.b4f6088959187p-15, 0x1.99fc30d472d27p-15, 0x1.80054ec2813cfp-15, 0x1.6709405aeb087p-15, 0x1.4f001d1fc49fp-15, 0x1.37e234aed0af1p-15, 0x1.21a80d68bf4e8p-15, 0x1.0c4a631eebd8fp-15, 0x1.ef844b8f5c22cp-16, 0x1.c810f07222fe4p-16, 0x1.a22d5dd94e442p-16, 0x1.7dcc9d89a6835p-16, 0x1.5ae217bb4be92p-16, 0x1.396190bd89833p-16, 0x1.193f26b10bf72p-16, 0x1.f4de9e912bc03p-17, 0x1.b9cdab26bbd2bp-17, 0x1.8135afb4016b1p-17, 0x1.4b018b03c16dcp-17, 0x1.171cb9fbdaf6fp-17, 0x1.cae6a7249320dp-18, 0x1.6be409b640fd6p-18, 0x1.110c1a53535f7p-18, 0x1.7474e93b27b83p-19, 0x1.9d2f26e01c592p-20, 0x1.81dd91c569584p-22, -0x1.9b84b3dbe195fp-21, -0x1.edfef8386c413p-20, -0x1.805dba0b02de6p-19, -0x1.019c3fde708dp-18, -0x1.3fe5469cf7198p-18, -0x1.7b266b1e38521p-18, -0x1.b37b47493ff7bp-18, -0x1.e8fe9b122879p-18, -0x1.0de529308e65ap-17, -0x1.25fbc56d494f7p-17, -0x1.3ccf4cbc09463p-17, -0x1.526b880681135p-17, -0x1.66dbe1529d0d6p-17, -0x1.7a2b66614a64dp-17, -0x1.8c64cb3a7eaebp-17, -0x1.9d926caf0b59cp-17, -0x1.adbe52ca951f2p-17, -0x1.bcf23331303f5p-17, -0x1.cb37737656beap-17, -0x1.d8972b5b40799p-17, -0x1.e51a270d18a2fp-17, -0x1.f0c8e94414915p-17, -0x1.fbabad653cdd2p-17, -0x1.02e534c5e3f26p-16, -0x1.0796684511258p-16, -0x1.0bed29efae9fcp-16, -0x1.0fed12ce8f5c4p-16, -0x1.13999d20c15e3p-16, -0x1.16f62543a6f0ep-16, -0x1.1a05ea9430faep-16, -0x1.1ccc104a68502p-16, -0x1.1f4b9e503d2bp-16, -0x1.21878210def5bp-16, -0x1.23828f45eefedp-16, -0x1.253f80bc05a56p-16, -0x1.26c0f913e81ebp-16, -0x1.2809837e1f3f2p-16, -0x1.291b9472d5a89p-16, -0x1.29f98a61da202p-16, -0x1.2aa5ae617be4cp-16, -0x1.2b2234d66582ep-16, -0x1.2b713e182c949p-16, -0x1.2b94d7109c973p-16, -0x1.2b8ef9d7871edp-16, -0x1.2b618e49cc806p-16, -0x1.2b0e6a9c1829bp-16, -0x1.2a9753ea8680ep-16, -0x1.29fdfec2a2684p-16, -0x1.29440fab8392fp-16, -0x1.286b1ba8e6ap-16, -0x1.2774a8bb3f4e9p-16, -0x1.26622e5bbae82p-16, -0x1.253515f55d314p-16, -0x1.23eebb59c12efp-16, -0x1.22906d33ae5b1p-16, -0x1.211b6d751e838p-16, -0x1.1f90f1c32fe0cp-16, -0x1.1df223dec42c1p-16, -0x1.1c402209b4361p-16, -0x1.1a7bff698cfbap-16, -0x1.18a6c466ed7bbp-16, -0x1.16c16f0aca474p-16, -0x1.14ccf35831649p-16, -0x1.12ca3ba3c3a5cp-16, -0x1.10ba28e8bd422p-16, -0x1.0e9d931a968a2p-16, -0x1.0c754975fb454p-16, -0x1.0a4212cd2a14fp-16, -0x1.0804add4118ccp-16, -0x1.05bdd168938b1p-16, -0x1.036e2cd8ee6dep-16, -0x1.01166828dad11p-16, -0x1.fd6e48a6dd985p-17, -0x1.f8a1f71660d5p-17, -0x1.f3c902f1b224fp-17, -0x1.eee486eeda31cp-17, -0x1.e9f5919db09cap-17, -0x1.e4fd25d88cf9p-17, -0x1.dffc3b32e56efp-17, -0x1.daf3be629e5bfp-17, -0x1.d5e491a7601bcp-17, -0x1.d0cf8d2dbb286p-17, -0x1.cbb57f6f51dbbp-17, -0x1.c6972d8fce2d7p-17, -0x1.c17553b824364p-17, -0x1.bc50a56bdba37p-17, -0x1.b729cddfaa64ep-17, -0x1.b201704914542p-17, -0x1.acd8282e5a1efp-17, -0x1.a7ae89b2535b7p-17, -0x1.a28521ddbea7cp-17, -0x1.9d5c76e6b07p-17, -0x1.98350875890b1p-17, -0x1.930f4fe6a134cp-17, -0x1.8debc08b833d7p-17, -0x1.88cac7e7a9114p-17, -0x1.83accded640abp-17, -0x1.7e92353703858p-17, -0x1.797b5b3e7efadp-17, -0x1.74689893aadb3p-17, -0x1.6f5a410f20e47p-17, -0x1.6a50a4056da5p-17, -0x1.654c0c7636218p-17, -0x1.604cc13b6790bp-17, -0x1.5b5305360f93p-17, -0x1.565f1778c8b78p-17, -0x1.517133729035ep-17, -0x1.4c899115e512p-17, -0x1.47a8650025387p-17, -0x1.42cde09e0c566p-17, -0x1.3dfa324fd87a6p-17, -0x1.392d858bbfa82p-17, -0x1.346802fe920fbp-17, -0x1.2fa9d0acf5069p-17, -0x1.2af312106ff3dp-17, -0x1.2643e8363c061p-17, -0x1.219c71db03351p-17, -0x1.1cfccb863c1c3p-17, -0x1.18650fa44e417p-17, -0x1.13d556a00c72fp-17, -0x1.0f4db6fa582c6p-17, -0x1.0ace4562068f4p-17, -0x1.065714c930bb4p-17, -0x1.01e8367b82f21p-17, -0x1.fb037464e7897p-18, -0x1.f2475c510471bp-18, -0x1.e99c3e59b7abep-18, -0x1.e102316974e97p-18, -0x1.d87949da281d3p-18, -0x1.d00199968a8b1p-18, -0x1.c79b3039657f3p-18, -0x1.bf461b2bc8adep-18, -0x1.b70265c2991dp-18, -0x1.aed0195b07e4ap-18, -0x1.a6af3d7390084p-18, -0x1.9e9fd7c77711ap-18, -0x1.96a1ec650faafp-18, -0x1.8eb57dc68df6ep-18, -0x1.86da8ce7ad153p-18, -0x1.7f11195af2a76p-18, -0x1.7759215d81fa1p-18, -0x1.6fb2a1eb0763cp-18, -0x1.681d96cf97ed6p-18, -0x1.6099fab8e6ec4p-18, -0x1.5927c74876f1fp-18, -0x1.51c6f521a092ep-18, -0x1.4a777bf9fba4dp-18, -0x1.433952a72a11cp-18, -0x1.3c0c6f2d14cdap-18, -0x1.34f0c6ca518b3p-18, -0x1.2de64e046da19p-18, -0x1.26ecf8b48b625p-18, -0x1.2004ba115b3dbp-18, -0x1.192d84baad546p-18, -0x1.12674ac21f6f2p-18, -0x1.0bb1fdb647f3ap-18, -0x1.050d8eaaa1982p-18, -0x1.fcf3dc7f3e4dep-19, -0x1.efee1957867ccp-19, -0x1.e309b3858c005p-19, -0x1.d64689f863b11p-19, -0x1.c9a47af5e8cd7p-19, -0x1.bd23642668c56p-19, -0x1.b0c322a0ef481p-19, -0x1.a48392f5a5713p-19, -0x1.98649139f29a8p-19, -0x1.8c65f910efd0dp-19, -0x1.8087a5b620efp-19, -0x1.74c97204cd9cp-19, -0x1.692b38819f5b1p-19, -0x1.5dacd36051af9p-19, -0x1.524e1c8d6fe21p-19, -0x1.470eedb264ef6p-19, -0x1.3bef203cfb265p-19, -0x1.30ee8d660022cp-19, -0x1.260d0e342ab5cp-19, -0x1.1b4a7b83229b3p-19, -0x1.10a6ae080bc6p-19, -0x1.06217e5477cf8p-19, -0x1.f77589b5d4b12p-20, -0x1.e2e4b3e6e4576p-20, -0x1.ce902bbc31f01p-20, -0x1.ba77a189f928bp-20, -0x1.a69ac582b6d76p-20, -0x1.92f947b7eaacp-20, -0x1.7f92d821f8cccp-20, -0x1.6c6726a19f624p-20, -0x1.5975e30571b26p-20, -0x1.46bebd0bef152p-20, -0x1.344164686ba38p-20, -0x1.21fd88c417159p-20, -0x1.0ff2d9c149d9bp-20, -0x1.fc420df9f6de2p-21, -0x1.d90f8020ae256p-21, -0x1.b64d692684618p-21, -0x1.93fb2839ff101p-21, -0x1.72181c8c611ecp-21, -0x1.50a3a550612edp-21, -0x1.2f9d21bca461bp-21, -0x1.0f03f10f8f1a4p-21, -0x1.ddaee51c8cd83p-22, -0x1.9e2e0b0360fc4p-22, -0x1.5f84127a6c4efp-22, -0x1.21afba3797b3fp-22, -0x1.c95f81f39294ap-23, -0x1.5105cb2d173d6p-23, -0x1.b49f9ba9d5544p-24, -0x1.94ec1ef3e5f27p-25, 0x1.c76125c304ebp-28, 0x1.0029cde137b6dp-24, 0x1.e0aa26fd78a95p-24, 0x1.5efe10ca6a507p-23, 0x1.cc1260b807995p-23, 0x1.1bca4293224bap-22, 0x1.50c37fffc841fp-22, 0x1.84f62996840cdp-22, 0x1.b86380549e65fp-22, 0x1.eb0cc53e1d428p-22, 0x1.0e799cb0aa78p-21, 0x1.270c0eeb7a441p-21, 0x1.3f3e59e48040ep-21, 0x1.57111e37ded0fp-21, 0x1.6e84fc8adc13dp-21, 0x1.859a958b90bbep-21, 0x1.9c5289f70508p-21, 0x1.b2ad7a90f69b7p-21, 0x1.c8ac082af0cdbp-21, 0x1.de4ed3a4fa4bfp-21, 0x1.f3967dea897dcp-21, 0x1.0441d3fac0745p-20, 0x1.0e8b796704ea7p-20, 0x1.18a87fc5796bcp-20, 0x1.229937a8a8fcfp-20, 0x1.2c5df1aa504fdp-20, 0x1.35f6fe6c18136p-20, 0x1.3f64ae965470bp-20, 0x1.48a752d91648fp-20, 0x1.51bf3bea9d735p-20, 0x1.5aacba88f0df9p-20, 0x1.63701f78813fep-20, 0x1.6c09bb83ca7f2p-20, 0x1.7479df7acbb51p-20, 0x1.7cc0dc33f9439p-20, 0x1.84df0289d1b84p-20, 0x1.8cd4a35ccd8ep-20, 0x1.94a20f9071c6cp-20, 0x1.9c47980b4c763p-20, 0x1.a3c58db780428p-20, 0x1.ab1c418163996p-20, 0x1.b24c045678aacp-20, 0x1.b95527245fa09p-20, 0x1.c037fad9116b1p-20, 0x1.c6f4d06165986p-20, 0x1.cd8bf8a7e6921p-20, 0x1.d3fdc4948d977p-20, 0x1.da4a850ae7bc7p-20, 0x1.e0728aeab2b6p-20, 0x1.e676270c38234p-20, 0x1.ec55aa41b1ce2p-20, 0x1.f2116554a4e7dp-20, 0x1.f7a9a905a614ep-20, 0x1.fd1ec60a3cb4dp-20, 0x1.013886860f719p-19, 0x1.03d067542570cp-19, 0x1.06572db6a06cp-19, 0x1.08cd01ecfe8eep-19, 0x1.0b320c2e23f08p-19, 0x1.0d8674a7bd33ep-19, 0x1.0fca637dbcac7p-19, 0x1.11fe00c987624p-19, 0x1.142174990c2dbp-19, 0x1.1634e6ee506d3p-19, 0x1.18387fbe9aba6p-19, 0x1.1a2c66f1d7d92p-19, 0x1.1c10c461ae5dfp-19, 0x1.1de5bfd8a9639p-19, 0x1.1fab8111bd2e7p-19, 0x1.21622fb73b1e8p-19, 0x1.2309f3623046dp-19, 0x1.24a2f399ca5bcp-19, 0x1.262d57d256996p-19, 0x1.27a9476c6c78fp-19, 0x1.2916e9b451785p-19, 0x1.2a7665e1094b4p-19, 0x1.2bc7e313ce639p-19, 0x1.2d0b8856f6529p-19, 0x1.2e417c9d6dc6fp-19, 0x1.2f69e6c1b11b1p-19, 0x1.3084ed850eadap-19, 0x1.3192b78f21b78p-19, 0x1.32936b6cac4d9p-19, 0x1.33872f8efa943p-19, 0x1.346e2a4b117e3p-19, 0x1.354881d8fdd35p-19, 0x1.36165c530b94dp-19, 0x1.36d7dfb4f26dap-19, 0x1.378d31dae301cp-19, 0x1.3836788137f4ap-19, 0x1.38d3d9433f32ep-19, 0x1.3965799ab4c88p-19, 0x1.39eb7edf1d6f8p-19, 0x1.3a660e44c69cap-19, 0x1.3ad54cdc5d01bp-19, 0x1.3b395f91c7b5bp-19, 0x1.3b926b2bba1aap-19, 0x1.3be0944af7efcp-19, 0x1.3c23ff69a613ep-19, 0x1.3c5cd0da8e977p-19, 0x1.3c8b2cc863156p-19, 0x1.3caf373543a43p-19, 0x1.3cc913f9e20d3p-19, 0x1.3cd8e6c4b5bb6p-19, 0x1.3cded319d5af9p-19, 0x1.3cdafc51fa484p-19, 0x1.3ccd8599c4365p-19, 0x1.3cb691f160d4dp-19, 0x1.3c96442beba23p-19, 0x1.3c6cbeeec5ecap-19, 0x1.3c3a24b0df818p-19, 0x1.3bfe97ba37479p-19, 0x1.3bba3a23712d7p-19, 0x1.3b6d2dd526eaep-19, 0x1.3b17948764923p-19, 0x1.3ab98fc13debp-19, 0x1.3a5340d82463bp-19, 0x1.39e4c8ef73c6ep-19, 0x1.396e48f7c82d2p-19, 0x1.38efe1aeeeffap-19, 0x1.3869b39f1ca25p-19, 0x1.37dbdf1e8e7cdp-19, 0x1.3746844f217ccp-19, 0x1.36a9c31dccebfp-19, 0x1.3605bb424f6dep-19, 0x1.355a8c3eb9fa3p-19, 0x1.34a8555f009abp-19, 0x1.33ef35b8bcbd7p-19, 0x1.332f4c2aa80a8p-19, 0x1.3268b75c5e228p-19, 0x1.319b95be03448p-19, 0x1.30c80587fbab8p-19, 0x1.2fee24ba5640fp-19, 0x1.2f0e111cc5b2p-19, 0x1.2e27e83e50e1fp-19, 0x1.2d3bc774db032p-19, 0x1.2c49cbdd1090ep-19, 0x1.2b52125a026e1p-19, 0x1.2a54b7950757dp-19, 0x1.2951d7fd6fcd9p-19, 0x1.28498fc84c6bcp-19, 0x1.273bfaf0356d9p-19, 0x1.262935350c6aep-19, 0x1.25115a1bfd7fbp-19, 0x1.23f484ef2bb57p-19, 0x1.22d2d0bd8d45dp-19, 0x1.21ac585ae5433p-19, 0x1.2081365f6ad28p-19, 0x1.1f518527b3431p-19, 0x1.1e1d5ed4ca45p-19, 0x1.1ce4dd4be4aa3p-19, 0x1.1ba81a3648305p-19, 0x1.1a672f015f1ap-19, 0x1.192234de8eadfp-19, 0x1.17d944c3140c9p-19, 0x1.168c776810defp-19, 0x1.153be54a8592cp-19, 0x1.13e7a6ab3ee8p-19, 0x1.128fd38ec257cp-19, 0x1.113483bd6d34dp-19, 0x1.0fd5cec371c9ep-19, 0x1.0e73cbf0c735cp-19, 0x1.0d0e925933cb6p-19, 0x1.0ba638d46420ep-19, 0x1.0a3ad5fde8c16p-19, 0x1.08cc8035297e4p-19, 0x1.075b4d9dd0145p-19, 0x1.05e7541f7b807p-19, 0x1.0470a9660123ap-19, 0x1.02f762e177232p-19, 0x1.017b95c651cedp-19, 0x1.fffaae1afd72p-20, 0x1.fcf976e8fb00cp-20, 0x1.f9f3aefafb937p-20, 0x1.f6e97edf378e1p-20, }}, 
      {{-0x1.f923c06bf4ae8p-2, -0x1.f8da735d5cfep-2, -0x1.f8609483f0bf7p-2, -0x1.f7b695262ca0dp-2, -0x1.f6dd114663ecdp-2, -0x1.f5d4ccc1307d8p-2, -0x1.f49eafc6dcce5p-2, -0x1.f33bc308e0733p-2, -0x1.f1ad2be25b68ep-2, -0x1.eff428a548056p-2, -0x1.ee120d1c3f5edp-2, -0x1.ec083f3ffecf7p-2, -0x1.e9d834189f781p-2, -0x1.e7836cc217c8dp-2, -0x1.e50b738f212f4p-2, -0x1.e271d94a65c38p-2, -0x1.dfb8329a0455ap-2, -0x1.dce0158c2d0bfp-2, -0x1.d9eb1754a971bp-2, -0x1.d6daca427044dp-2, -0x1.d3b0bbf2bffcbp-2, -0x1.d06e73c4be2eap-2, -0x1.cd15718e071efp-2, -0x1.c9a72c8e0a616p-2, -0x1.c625129bf9bbfp-2, -0x1.c290878984fe7p-2, -0x1.beeae4b38f069p-2, -0x1.bb3578b9a2ff6p-2, -0x1.b7718754f39p-2, -0x1.b3a0494824dc7p-2, -0x1.afc2ec61c7292p-2, -0x1.abda938c58839p-2, -0x1.a7e856e78886fp-2, -0x1.a3ed43e77a9afp-2, -0x1.9fea5d77985a6p-2, -0x1.9be09c1f64c97p-2, -0x1.97d0ee285297cp-2, -0x1.93bc37c44c816p-2, -0x1.8fa35334ddc64p-2, -0x1.8b8710f354713p-2, -0x1.876837da492e2p-2, -0x1.834785511a4e6p-2, -0x1.7f25ad79d7c2dp-2, -0x1.7b035b6225c06p-2, -0x1.76e1313762948p-2, -0x1.72bfc87e5b4f7p-2, -0x1.6e9fb24e9f1a1p-2, -0x1.6a8177916f73fp-2, -0x1.6665994417b2bp-2, -0x1.624c90bd6f1p-2, -0x1.5e36cff6135f1p-2, -0x1.5a24c1d2ef559p-2, -0x1.5616ca71816e9p-2, -0x1.520d47754d6e6p-2, -0x1.4e089055ed8cp-2, -0x1.4a08f6ad20872p-2, -0x1.460ec6844f669p-2, -0x1.421a46a0f9bd9p-2, -0x1.3e2bb8cf895cdp-2, -0x1.3a435a2c1f7bep-2, -0x1.36616368f00bp-2, -0x1.32860911ddc5dp-2, -0x1.2eb17bcd092ddp-2, -0x1.2ae3e898220c6p-2, -0x1.271d790251b3fp-2, -0x1.235e5362a721cp-2, -0x1.1fa69b0af9202p-2, -0x1.1bf67077409c8p-2, -0x1.184df17975bedp-2, -0x1.14ad39620b787p-2, -0x1.1114612520d88p-2, -0x1.0d837f7c9492ap-2, -0x1.09faa90721db9p-2, -0x1.0679f064b7de4p-2, -0x1.03016650401f5p-2, -0x1.ff22336e05bd8p-3, -0x1.f8522f9bd197p-3, -0x1.f192d84985011p-3, -0x1.eae4416fb229bp-3, -0x1.e4467bffe22c6p-3, -0x1.ddb99601e5e5cp-3, -0x1.d73d9aaed88f5p-3, -0x1.d0d2928a234dep-3, -0x1.ca788378d5422p-3, -0x1.c42f70d7a0277p-3, -0x1.bdf75b8fb2ad5p-3, -0x1.b7d0422abfb56p-3, -0x1.b1ba20e653e2ep-3, -0x1.abb4f1c6b62e1p-3, -0x1.a5c0aca97f749p-3, -0x1.9fdd4757f7fc9p-3, -0x1.9a0ab5996ecfbp-3, -0x1.9448e94593b9p-3, -0x1.8e97d256e49d8p-3, -0x1.88f75efd434a8p-3, -0x1.83677bb0b49bap-3, -0x1.7de813444e3f5p-3, -0x1.78790ef958611p-3, -0x1.731a56929a6d4p-3, -0x1.6dcbd067d3d03p-3, -0x1.688d617951bbdp-3, -0x1.635eed83a4988p-3, -0x1.5e40571362a69p-3, -0x1.59317f98e4789p-3, -0x1.5432477c07951p-3, -0x1.4f428e2fcc275p-3, -0x1.4a623245d4c79p-3, -0x1.45911181b5015p-3, -0x1.40cf08ec02475p-3, -0x1.3c1bf4e51238p-3, -0x1.3777b13767f6p-3, -0x1.32e21929ba961p-3, -0x1.2e5b07908a157p-3, -0x1.29e256df3aec7p-3, -0x1.2577e138b135ep-3, -0x1.211b807f59d19p-3, -0x1.1ccd0e64a5086p-3, -0x1.188c6477dd948p-3, -0x1.14595c34685efp-3, -0x1.1033cf0f57d57p-3, -0x1.0c1b968458209p-3, -0x1.08108c21eb6d8p-3, -0x1.04128994f8ef8p-3, -0x1.002168b3acd6ap-3, -0x1.f87a070f4d301p-4, -0x1.f0ca68aee243bp-4, -0x1.e933ab5eb0aa2p-4, -0x1.e1b584d30647ap-4, -0x1.da4fab6ad428cp-4, -0x1.d301d63d4b858p-4, -0x1.cbcbbd262c83ap-4, -0x1.c4ad18d0d68ecp-4, -0x1.bda5a2c21a443p-4, -0x1.b6b51560f023bp-4, -0x1.afdb2bfded4ffp-4, -0x1.a917a2d9b9391p-4, -0x1.a26a372a6d51cp-4, -0x1.9bd2a71fe95e6p-4, -0x1.9550b1e7417b9p-4, -0x1.8ee417ad3932p-4, -0x1.888c999fe1686p-4, -0x1.8249f9ef6a701p-4, -0x1.7c1bfbce2f74dp-4, -0x1.760263700af66p-4, -0x1.6ffcf60900707p-4, -0x1.6a0b79cb4862ap-4, -0x1.642db5e4c7dd8p-4, -0x1.5e63727c02e3dp-4, -0x1.58ac78ac94876p-4, -0x1.5308928335342p-4, -0x1.4d778af95d0e2p-4, -0x1.47f92df08da5ep-4, -0x1.428d482d4984cp-4, -0x1.3d33a751c6c31p-4, -0x1.37ec19d865472p-4, -0x1.32b66f0df0f17p-4, -0x1.2d92770bb8282p-4, -0x1.288002b181a96p-4, -0x1.237ee39f652a2p-4, -0x1.1e8eec2f90f5p-4, -0x1.19afef7003658p-4, -0x1.14e1c11c3d59bp-4, -0x1.10243596f3f02p-4, -0x1.0b7721e3c89acp-4, -0x1.06da5ba10bc01p-4, -0x1.024db9018d421p-4, -0x1.fba2218d05ab8p-5, -0x1.f2c8747308b04p-5, -0x1.ea0e1a4d4cca9p-5, -0x1.e172c3ad6176ap-5, -0x1.d8f62212f2691p-5, -0x1.d097e7e0c4f07p-5, -0x1.c857c85202be3p-5, -0x1.c035776fd86cfp-5, -0x1.b830aa076aee8p-5, -0x1.b04915a021c55p-5, -0x1.a87e70725367dp-5, -0x1.a0d0715e48e5cp-5, -0x1.993ecfe3a52p-5, -0x1.91c944192b59ap-5, -0x1.8a6f86a4e630cp-5, -0x1.833150b4b0c1dp-5, -0x1.7c0e5bf7235cap-5, -0x1.75066294de856p-5, -0x1.6e191f2a39877p-5, -0x1.67464cc15062p-5, -0x1.608da6cc6ef1dp-5, -0x1.59eee920dd908p-5, -0x1.5369cff206049p-5, -0x1.4cfe17ccf4f9bp-5, -0x1.46ab7d94336f8p-5, -0x1.4071be7bf6018p-5, -0x1.3a509806a154ep-5, -0x1.3447c801a026cp-5, -0x1.2e570c8287762p-5, -0x1.287e23e4897ecp-5, -0x1.22bcccc632963p-5, -0x1.1d12c6076cc21p-5, -0x1.177fcec7c7eap-5, -0x1.1203a66507b3bp-5, -0x1.0c9e0c79ebc77p-5, -0x1.074ec0dd38776p-5, -0x1.021583a0f8668p-5, -0x1.f9e42a23e7557p-6, -0x1.efc86b6ebaefep-6, -0x1.e5d74ca5661abp-6, -0x1.dc104fbf8c874p-6, -0x1.d272f729f206p-6, -0x1.c8fec5c73f8fp-6, -0x1.bfb33ef11179p-6, -0x1.b68fe6795805dp-6, -0x1.ad9440abf2565p-6, -0x1.a4bfd2508e547p-6, -0x1.9c1220acba93ep-6, -0x1.938ab18637878p-6, -0x1.8b290b256f6a3p-6, -0x1.82ecb4581eb6bp-6, -0x1.7ad5347424ba9p-6, -0x1.72e2135a753cap-6, -0x1.6b12d97a2a81ep-6, -0x1.63670fd3b377cp-6, -0x1.5bde3ffc17af8p-6, -0x1.5477f42053fa2p-6, -0x1.4d33b708bf763p-6, -0x1.4611141c893edp-6, -0x1.3f0f976533fdfp-6, -0x1.382ecd922532ep-6, -0x1.316e43fc2c071p-6, -0x1.2acd88a916e9cp-6, -0x1.244c2a4f3bcdp-6, -0x1.1de9b859054ffp-6, -0x1.17a5c2e878df1p-6, -0x1.117fdadab02a4p-6, -0x1.0b7791cb4dae1p-6, -0x1.058c7a17e1c13p-6, -0x1.ff7c4dc691322p-7, -0x1.f4185831d6e8ap-7, -0x1.e8ec3ce000b99p-7, -0x1.ddf726dd574f9p-7, -0x1.d33842da282e6p-7, -0x1.c8aebf30bcb35p-7, -0x1.be59cbeb26dd4p-7, -0x1.b4389ac8e3dbbp-7, -0x1.aa4a5f444381ep-7, -0x1.a08e4e97ab224p-7, -0x1.97039fc29644cp-7, -0x1.8da98b8e742d5p-7, -0x1.847f4c933693p-7, -0x1.7b841f3bc2c87p-7, -0x1.72b741ca19b58p-7, -0x1.6a17f45b4ff75p-7, -0x1.61a578eb42727p-7, -0x1.595f135822146p-7, -0x1.51440965adf4cp-7, -0x1.4953a2c04baf7p-7, -0x1.418d28ffd4bb5p-7, -0x1.39efe7aa2be1ap-7, -0x1.327b2c359ec6cp-7, -0x1.2b2e460b0841cp-7, -0x1.24088687b8049p-7, -0x1.1d0940ff257c9p-7, -0x1.162fcabc657b4p-7, -0x1.0f7b7b0368d79p-7, -0x1.08ebab120503ap-7, -0x1.027fb620c2ef8p-7, -0x1.f86df2c6f3f93p-8, -0x1.ec21a81363e3cp-8, -0x1.e0194e7dacb49p-8, -0x1.d453ac545c6e3p-8, -0x1.c8cf8bdd50facp-8, -0x1.bd8bbb54e4388p-8, -0x1.b2870cecb852dp-8, -0x1.a7c056ca26a87p-8, -0x1.9d3673044f8dap-8, -0x1.92e83fa1cf6c2p-8, -0x1.88d49e961ca15p-8, -0x1.7efa75be8b49dp-8, -0x1.7558aedf008cap-8, -0x1.6bee379e53255p-8, -0x1.62ba01825a95cp-8, -0x1.59bb01ebb4084p-8, -0x1.50f032113a127p-8, -0x1.48588efb3a521p-8, -0x1.3ff3197e58495p-8, -0x1.37bed6363fd0ep-8, -0x1.2fbacd8001f8ep-8, -0x1.27e60b7446486p-8, -0x1.203f9fe133169p-8, -0x1.18c69e4421d0bp-8, -0x1.117a1dc31a1ccp-8, -0x1.0a5939261c01fp-8, -0x1.03630ed030ed9p-8, -0x1.f92d8170a61e3p-9, -0x1.ebe6e8c441441p-9, -0x1.def0a5acd7806p-9, -0x1.d24911372c42cp-9, -0x1.c5ee8b5b9f2a8p-9, -0x1.b9df7aee58796p-9, -0x1.ae1a4d8f21a58p-9, -0x1.a29d779916832p-9, -0x1.9767741203ad8p-9, -0x1.8c76c49993659p-9, -0x1.81c9f15847c62p-9, -0x1.775f88ee3c1ccp-9, -0x1.6d362061bd2ap-9, -0x1.634c530dba89bp-9, -0x1.59a0c29006012p-9, -0x1.503216b78309bp-9, -0x1.46fefd721d806p-9, -0x1.3e062ababf34bp-9, -0x1.3546588716bep-9, -0x1.2cbe46b5578fap-9, -0x1.246cbaf9df076p-9, -0x1.1c5080cccc898p-9, -0x1.14686957912acp-9, -0x1.0cb34b626e77p-9, -0x1.05300341f1d78p-9, -0x1.fbbae588e1115p-10, -0x1.ed75023eef7c1p-10, -0x1.df8c35ba91309p-10, -0x1.d1fe63949e148p-10, -0x1.c4c979c5401f5p-10, -0x1.b7eb707f172f3p-10, -0x1.ab624a0a40b88p-10, -0x1.9f2c129fad258p-10, -0x1.9346e04466922p-10, -0x1.87b0d2a519f67p-10, -0x1.7c6812f1aef37p-10, -0x1.716ad3b905e7ap-10, -0x1.66b750c4fe12cp-10, -0x1.5c4bcef67858bp-10, -0x1.52269c21c3d9bp-10, -0x1.48460eeb192ep-10, -0x1.3ea886a3514dbp-10, -0x1.354c6b24e6c75p-10, -0x1.2c302cb12f426p-10, -0x1.235243cdc20bp-10, -0x1.1ab13122342f4p-10, -0x1.124b7d561829cp-10, -0x1.0a1fb8ef39391p-10, -0x1.022c7c302076p-10, -0x1.f4e0cdede1705p-11, -0x1.e5d44138f5c7p-11, -0x1.d730afa7576fp-11, -0x1.c8f385128c234p-11, -0x1.bb1a3b87ea033p-11, -0x1.ada25b09299e9p-11, -0x1.a089794dee209p-11, -0x1.93cd3985b3efap-11, -0x1.876b4c1a7b544p-11, -0x1.7b616e743ce21p-11, -0x1.6fad6abcd9ba7p-11, -0x1.644d17a4e63c3p-11, -0x1.593e5828ff2f2p-11, -0x1.4e7f1b5801045p-11, -0x1.440d5c19c7529p-11, -0x1.39e720f6aea72p-11, -0x1.300a7bdfcc821p-11, -0x1.267589f7e9e13p-11, -0x1.1d26735d17d0ap-11, -0x1.141b6af30fc5p-11, -0x1.0b52ae2e4e2f2p-11, -0x1.02ca84dfc9562p-11, -0x1.f5028202f5051p-12, -0x1.e4ea7d0732906p-12, -0x1.d549c63500bddp-12, -0x1.c61d3c1ab9637p-12, -0x1.b761d00af00f1p-12, -0x1.a91485bca5abdp-12, -0x1.9b3272ecdd3d9p-12, -0x1.8db8bf01842dfp-12, -0x1.80a4a2add38d1p-12, -0x1.73f36797f8bc2p-12, -0x1.67a2680080e69p-12, -0x1.5baf0e6a8c71ap-12, -0x1.5016d5460a231p-12, -0x1.44d7469ac498bp-12, -0x1.39edfbb528345p-12, -0x1.2f589cd444bafp-12, -0x1.2514e0d91fd31p-12, -0x1.1b208cf763a34p-12, -0x1.117974674e8c6p-12, -0x1.081d7819230bcp-12, -0x1.fe150cd360615p-13, -0x1.ec7d35b0811c7p-13, -0x1.db6f7b7b845a8p-13, -0x1.cae8080a6a01dp-13, -0x1.bae31dcad80ecp-13, -0x1.ab5d1737dd49fp-13, -0x1.9c5266527aaabp-13, -0x1.8dbf941c09337p-13, -0x1.7fa14013c426bp-13, -0x1.71f41fb60f49ep-13, -0x1.64b4fdfea272bp-13, -0x1.57e0baec703c8p-13, -0x1.4b744b0875a28p-13, -0x1.3f6cb6ee4a295p-13, -0x1.33c71ad74528ap-13, -0x1.2880a627c2387p-13, -0x1.1d969afe5eeaep-13, -0x1.13064dc5ea7a2p-13, -0x1.08cd24c8a8226p-13, -0x1.fdd12f8cceebfp-14, -0x1.eaac5f18f5f4ep-14, -0x1.d8270b1ed773bp-14, -0x1.c63c870dee655p-14, -0x1.b4e846182d97fp-14, -0x1.a425da71aab66p-14, -0x1.93f0f494454dfp-14, -0x1.84456286f8324p-14, -0x1.751f0f293a21bp-14, -0x1.667a0181afcbp-14, -0x1.58525c10d4926p-14, -0x1.4aa45c26f5cd2p-14, -0x1.3d6c593dc967dp-14, -0x1.30a6c455bcca7p-14, -0x1.245027560f167p-14, -0x1.18652470eaf8cp-14, -0x1.0ce2758a8d68bp-14, -0x1.01c4eba37ffd3p-14, -0x1.ee12dc8cb5b9ep-15, -0x1.d959f5f0bc8fep-15, -0x1.c559495ada00ap-15, -0x1.b20b267d340dfp-15, -0x1.9f6a05c8ace3fp-15, -0x1.8d708765d1d28p-15, -0x1.7c197234d5276p-15, -0x1.6b5fb2d19b6ddp-15, -0x1.5b3e5a9f1a899p-15, -0x1.4bb09ed6a8e77p-15, -0x1.3cb1d79ddff2ap-15, -0x1.2e3d7f20c120ap-15, -0x1.204f30b1b73b1p-15, -0x1.12e2a7ee752d1p-15, -0x1.05f3bfe963c9ap-15, -0x1.f2fce4b2089f4p-16, -0x1.dafdad95530fp-16, -0x1.c3e243b6dfad6p-16, -0x1.ada348e87b7cfp-16, -0x1.98399617c0029p-16, -0x1.839e39d86c41bp-16, -0x1.6fca76f9478e7p-16, -0x1.5cb7c320f1845p-16, -0x1.4a5fc5728f46ep-16, -0x1.38bc553bcee8bp-16, -0x1.27c778a98c7fep-16, -0x1.177b63854c652p-16, -0x1.07d275fafe1b1p-16, -0x1.f18e76c8c7ebep-17, -0x1.d4a8d23afc194p-17, -0x1.b8e9bac017257p-17, -0x1.9e473c4a3b83ep-17, -0x1.84b7b01e76f4fp-17, -0x1.6c31bab3612b5p-17, -0x1.54ac499f3cd16p-17, -0x1.3e1e9192e221cp-17, -0x1.28800c6028309p-17, -0x1.13c8770e8900dp-17, -0x1.ffdf9ff626016p-18, -0x1.d9dcaa0753044p-18, -0x1.b57903804584p-18, -0x1.92a61b89921c9p-18, -0x1.7155d5e1cccddp-18, -0x1.517a879022e1bp-18, -0x1.3306f3ad37b64p-18, -0x1.15ee4840f2e78p-18, -0x1.f4483666745ep-19, -0x1.bf38cea655f22p-19, -0x1.8c9712def1b7cp-19, -0x1.5c4c7b0a1a706p-19, -0x1.2e4337f7f36f8p-19, -0x1.02662df6a2ce3p-19, -0x1.b141df302a328p-20, -0x1.61bf713afcf5dp-20, -0x1.161ed2040fad5p-20, -0x1.9c7600b6e0637p-21, -0x1.13e060f0ecedfp-21, -0x1.246f0b9a1ec73p-22, -0x1.738773041712cp-25, 0x1.757636168a4dap-23, 0x1.97924c8aadb61p-22, 0x1.3446dcc013ddcp-21, 0x1.97113650a5f13p-21, 0x1.f460c38f7a486p-21, 0x1.263617b2873a8p-20, 0x1.4fb426dbdcbf4p-20, 0x1.76c414dbcc752p-20, 0x1.9b7e89e517f56p-20, 0x1.bdfb578239848p-20, 0x1.de517f2a26c86p-20, 0x1.fc9738a6d54b7p-20, 0x1.0c70fc2357106p-19, 0x1.19a33a741bae9p-19, 0x1.25ec56ef0a789p-19, 0x1.3155f84dbb39fp-19, 0x1.3be96f230326ap-19, 0x1.45afb88c65922p-19, 0x1.4eb180cebe3a8p-19, 0x1.56f725e427249p-19, 0x1.5e88b9f3cc943p-19, 0x1.656e05b9c26adp-19, 0x1.6bae8ad945e02p-19, 0x1.715186244be38p-19, 0x1.765df1cb970a1p-19, 0x1.7ada87859a11cp-19, 0x1.7ecdc29f7c614p-19, 0x1.823de1ffeb5f5p-19, 0x1.8530ea1ea605fp-19, 0x1.87aca6e8d4fbap-19, 0x1.89b6ad988f263p-19, 0x1.8b545e7ec99bfp-19, 0x1.8c8ae6c18d5f4p-19, 0x1.8d5f42093b3c7p-19, 0x1.8dd63c248af0fp-19, 0x1.8df4729d19883p-19, 0x1.8dbe5642ea591p-19, 0x1.8d382ca89d449p-19, 0x1.8c661195d550dp-19, 0x1.8b4bf870ba3f2p-19, 0x1.89edad9876de5p-19, 0x1.884ed7b802237p-19, 0x1.8672f90d7ab89p-19, 0x1.845d70a77cb87p-19, 0x1.82117b99abc18p-19, 0x1.7f9236259dec5p-19, 0x1.7ce29cdc3d57cp-19, 0x1.7a058db7ca601p-19, 0x1.76fdc928b6271p-19, 0x1.73cdf31e9e2c5p-19, 0x1.707894068a2e4p-19, 0x1.6d0019c1f3a3p-19, 0x1.6966d894c7e4dp-19, 0x1.65af0c0c7ee73p-19, 0x1.61dad7e224ecp-19, 0x1.5dec48d2034fdp-19, 0x1.59e5556e7bbf6p-19, 0x1.55c7deea81435p-19, 0x1.5195b1dfab775p-19, 0x1.4d50870b49a5p-19, 0x1.48fa0407f3be1p-19, 0x1.4493bbfe50d5dp-19, 0x1.401f3052c3d17p-19, 0x1.3b9dd14c77924p-19, 0x1.3710feb6d331dp-19, 0x1.327a087cfe1e1p-19, 0x1.2dda2f4173669p-19, 0x1.2932a4f0024ccp-19, 0x1.24848d4a31223p-19, 0x1.1fd0fe702d975p-19, 0x1.1b19016470a0fp-19, 0x1.165d928bbb586p-19, 0x1.119fa228023edp-19, 0x1.0ce014cf8c038p-19, 0x1.081fc3df43461p-19, 0x1.035f7deb46b55p-19, 0x1.fd400e5050848p-20, 0x1.f3c433a6bd0dfp-20, 0x1.ea4ccd2eeccbdp-20, 0x1.e0db29d94ee0fp-20, 0x1.d77086eb4eb06p-20, 0x1.ce0e10b462c4bp-20, 0x1.c4b4e33b90925p-20, 0x1.bb660ae5e0721p-20, 0x1.b2228519810f3p-20, 0x1.a8eb40d7a4f74p-20, 0x1.9fc11f5400936p-20, 0x1.96a4f4868c766p-20, 0x1.8d9787b67e369p-20, 0x1.84999401f9f47p-20, 0x1.7babc8dfb40bbp-20, 0x1.72ceca9c5ba26p-20, 0x1.6a0332d3562d8p-20, 0x1.614990e2b0415p-20, 0x1.58a26a5a85626p-20, 0x1.500e3b6aa3e5ep-20, 0x1.478d77498557p-20, 0x1.3f2088991c4e8p-20, 0x1.36c7d1c658c2dp-20, 0x1.2e83ad67bdb05p-20, 0x1.26546e949c08dp-20, 0x1.1e3a613c703a2p-20, 0x1.1635ca78ca5cfp-20, 0x1.0e46e8dbf9704p-20, 0x1.066df4bfefa6ep-20, 0x1.fd56411b854bdp-21, 0x1.edfd320b83474p-21, 0x1.ded10b06699bfp-21, 0x1.cfd2107a86b31p-21, 0x1.c1007d0ca2eabp-21, 0x1.b25c82105dcb7p-21, 0x1.a3e647fa4e72dp-21, 0x1.959deed10b5e2p-21, 0x1.87838e980b8cap-21, 0x1.799737b5a6c95p-21, 0x1.6bd8f355f7acbp-21, 0x1.5e48c3ca7e211p-21, 0x1.50e6a4e2e5508p-21, 0x1.43b28c45b247fp-21, 0x1.36ac69c234ae7p-21, 0x1.29d427a0d4be5p-21, 0x1.1d29aaee79057p-21, 0x1.10acd3c8ec535p-21, 0x1.045d7da1ec7e5p-21, 0x1.f076ff0b27b5dp-22, 0x1.d88d58b15b563p-22, 0x1.c0fda6310808fp-22, 0x1.a9c77e2777d16p-22, 0x1.92ea70488fd35p-22, 0x1.7c6605ca99e2dp-22, 0x1.6639c1cac2ce7p-22, 0x1.506521b323e28p-22, 0x1.3ae79d999236dp-22, 0x1.25c0a896b144p-22, 0x1.10efb120c4b46p-22, 0x1.f8e842b66335ep-23, 0x1.d09abecadbdf9p-23, 0x1.a8f59b4dd906dp-23, 0x1.81f796290f551p-23, 0x1.5b9f66f0a6396p-23, 0x1.35ebbf5697e9dp-23, 0x1.10db4bb79cc33p-23, 0x1.d8d9671228356p-24, 0x1.913d338c390a9p-24, 0x1.4adf3ac9386d7p-24, 0x1.05bcb36345dcap-24, 0x1.83a59ae26bf9ap-25, 0x1.fc7accd1a633ap-26, 0x1.ecec4e525fc76p-27, -0x1.59c714e23975fp-31, -0x1.075ddfc3c997fp-26, -0x1.ff44684e7209cp-26, -0x1.7946bbbea631dp-25, -0x1.f0a25da80d26ep-25, -0x1.32dd7a2d2f5p-24, -0x1.6c4b2e631649ep-24, -0x1.a49d3abd8b1cp-24, -0x1.dbd68ee71686bp-24, -0x1.08fd0d45f9abcp-23, -0x1.238566789ecbep-23, -0x1.3d85ca55260bap-23, -0x1.56ffaf980b324p-23, -0x1.6ff48c50446c3p-23, -0x1.8865d5b5d0a61p-23, -0x1.a05500057aae9p-23, -0x1.b7c37e630c8fep-23, -0x1.ceb2c2b5e9991p-23, -0x1.e5243d8e2af7p-23, -0x1.fb195e0ac99fep-23, -0x1.0849c8de8b2b2p-22, -0x1.12ca224ac16bp-22, -0x1.1d0e70634d478p-22, -0x1.2717675b3434ap-22, -0x1.30e5ba73f0c8p-22, -0x1.3a7a1bf52d7ecp-22, -0x1.43d53d2330b56p-22, -0x1.4cf7ce38fd3eap-22, -0x1.55e27e6037215p-22, -0x1.5e95fbab391e3p-22, -0x1.6712f30ee842ep-22, -0x1.6f5a105d5ba0cp-22, -0x1.776bfe42632a6p-22, -0x1.7f49663baf506p-22, -0x1.86f2f097f506dp-22, -0x1.8e694471d5202p-22, -0x1.95ad07ac512e5p-22, -0x1.9cbedef07c4bcp-22, -0x1.a39f6daafd4eap-22, -0x1.aa4f5609fd5dcp-22, -0x1.b0cf38fa9f12bp-22, -0x1.b71fb628014bap-22, -0x1.bd416bf9cb77ap-22, -0x1.c334f793eab8p-22, -0x1.c8faf4d351edcp-22, -0x1.ce93fe4fb6c05p-22, -0x1.d400ad5af2f98p-22, -0x1.d94199ff1fd55p-22, -0x1.de575affd684dp-22, -0x1.e34285da8c6a5p-22, -0x1.e803aec600725p-22, -0x1.ec9b68b3a2538p-22, -0x1.f10a454f3db44p-22, -0x1.f550d5015e22cp-22, -0x1.f96fa6ee3caffp-22, -0x1.fd6748f7e53p-22, -0x1.009c23df711f4p-21, -0x1.02719751d665ap-21, -0x1.043443e3acc07p-21, -0x1.05e46e06df02ap-21, -0x1.0782598edd614p-21, -0x1.090e49b221c1bp-21, -0x1.0a88810a65733p-21, -0x1.0bf141955dcd6p-21, -0x1.0d48ccb63f919p-21, -0x1.0e8f6335f906ap-21, -0x1.0fc5454411a35p-21, -0x1.10eab277f5682p-21, -0x1.11ffe9d1a87efp-21, -0x1.130529ba5580cp-21, -0x1.13fab005a1ccep-21, -0x1.14e0b9f2bf025p-21, -0x1.15b7842d0e059p-21, -0x1.167f4acd3079bp-21, -0x1.17384959c25f3p-21, -0x1.17e2bac8ddebdp-21, -0x1.187ed980c32cep-21, -0x1.190cdf58b43cap-21, -0x1.198d059a09bacp-21, -0x1.19ff85012cc05p-21, -0x1.1a6495be9abe4p-21, -0x1.1abc6f77c89d7p-21, -0x1.1b0749482c25ap-21, -0x1.1b4559c21148p-21, -0x1.1b76d6efa6857p-21, -0x1.1b9bf653fe43cp-21, -0x1.1bb4ecebdeca1p-21, -0x1.1bc1ef2eea53p-21, -0x1.1bc3311064e41p-21, -0x1.1bb8e6001e589p-21, -0x1.1ba340eb8a148p-21, -0x1.1b82743e666c2p-21, -0x1.1b56b1e3cece3p-21, -0x1.1b202b47468cep-21, -0x1.1adf115528025p-21, -0x1.1a93947c03f9ap-21, -0x1.1a3de4ad6be7cp-21, -0x1.19de315e776dbp-21, -0x1.1974a9890079fp-21, -0x1.19017bac6534ap-21, -0x1.1884d5ce65208p-21, -0x1.17fee57bc66f7p-21, -0x1.176fd7c94da83p-21, -0x1.16d7d954b9726p-21, -0x1.16371645458fcp-21, -0x1.158dba4caa1dbp-21, -0x1.14dbf0a7c8c04p-21, -0x1.1421e41f8a3a1p-21, -0x1.135fbf09ae688p-21, -0x1.1295ab49861ddp-21, -0x1.11c3d250aa71bp-21, -0x1.10ea5d1fb7fd2p-21, -0x1.100974472ec01p-21, -0x1.0f213fe84b929p-21, -0x1.0e31e7b5675fdp-21, -0x1.0d3b92f2e2ce8p-21, -0x1.0c3e6877ffec9p-21, -0x1.0b3a8eaf65282p-21, -0x1.0a302b97e275dp-21, -0x1.091f64c52a795p-21, -0x1.08085f609898p-21, -0x1.06eb4029bb529p-21, -0x1.05c82b772f534p-21, -0x1.049f4537192d4p-21, -0x1.0370b0efda5f2p-21, -0x1.023c91c0f3c1bp-21, -0x1.01030a6356edbp-21, -0x1.ff887a54f1b79p-22, -0x1.fd009809648e1p-22, -0x1.fa6eb0f7d8c4p-22, -0x1.f7d3076c70aa9p-22, -0x1.f52ddced5fac8p-22, -0x1.f27f723bc7346p-22, -0x1.efc8075520b12p-22, -0x1.ed07db745b0ccp-22, -0x1.ea3f2d1352104p-22, -0x1.e76e39ec2f2f2p-22, -0x1.e4953efa0bdcp-22, -0x1.e1b4787aa5ccbp-22, -0x1.decc21ef6b60bp-22, -0x1.dbdc761ed9a7fp-22, -0x1.d8e5af15bce6p-22, -0x1.d5e8062860051p-22, -0x1.d2e3b3f399725p-22, -0x1.cfd8f05dee937p-22, -0x1.ccc7f29919008p-22, -0x1.c9b0f1230077ep-22, -0x1.c69421c70c71dp-22, -0x1.c371b99f40aadp-22, -0x1.c049ed15429f2p-22, -0x1.bd1cefe3db8a5p-22, -0x1.b9eaf517fc80bp-22, -0x1.b6b42f11d40edp-22, -0x1.b378cf861d087p-22, -0x1.b039077f63325p-22, -0x1.acf5075ee362ep-22, -0x1.a9acfeddd8eecp-22, -0x1.a6611d0ec0f0cp-22, -0x1.a311905e8aa89p-22, -0x1.9fbe869578878p-22, -0x1.9c682cd889bf5p-22, -0x1.990eafaaa2c9ep-22, -0x1.95b23aeda308fp-22, -0x1.9252f9e3a6ab7p-22, -0x1.8ef117300279bp-22, -0x1.8b8cbcd856b0dp-22, -0x1.88261445d8beep-22, -0x1.84bd4646a211fp-22, -0x1.81527b0ed73dfp-22, -0x1.7de5da399dca2p-22, -0x1.7a778aca21369p-22, -0x1.7707b32cfd76cp-22, -0x1.7396793944e32p-22, -0x1.70240231eeda2p-22, -0x1.6cb072c686887p-22, -0x1.693bef14ae4b2p-22, -0x1.65c69aa903807p-22, -0x1.6250988072699p-22, -0x1.5eda0b093a43fp-22, -0x1.5b63142422452p-22, -0x1.57ebd525798d5p-22, -0x1.54746ed66f2fap-22, -0x1.50fd017653a16p-22, -0x1.4d85acbb7864bp-22, -0x1.4a0e8fd447f68p-22, -0x1.4697c968aa4a2p-22, -0x1.4321779af6708p-22, -0x1.3fabb809100e8p-22, -0x1.3c36a7cdd5123p-22, -0x1.38c263821293fp-22, -0x1.354f073d631f4p-22, -0x1.31dcae97afc5cp-22, -0x1.2e6b74aa3c861p-22, -0x1.2afb7410b8627p-22, -0x1.278cc6ea26baap-22, -0x1.241f86da65723p-22, -0x1.20b3cd0b206fbp-22, -0x1.1d49b22d146ddp-22, -0x1.19e14e78e1bccp-22, -0x1.167ab9b06e6f7p-22, -0x1.13160b1ff5fc9p-22, -0x1.0fb3599eef5dep-22, -0x1.0c52bb91607bdp-22, -0x1.08f446e938fa3p-22, -0x1.059811271ad3ap-22, -0x1.023e2f5b40033p-22, -0x1.fdcd6c4de6955p-23, -0x1.f723737beee55p-23, -0x1.f07e9bcd8a2d3p-23, -0x1.e9df0bf83407ap-23, -0x1.e344e9dc9fbf6p-23, -0x1.dcb05a882ec6fp-23, -0x1.d6218237a4799p-23, -0x1.cf9884590fdep-23, -0x1.c915838ddd127p-23, -0x1.c298a1acd4462p-23, -0x1.bc21ffc4cab58p-23, -0x1.b5b1be1e74723p-23, -0x1.af47fc3edfe09p-23, -0x1.a8e4d8e95290bp-23, -0x1.a28872215b968p-23, -0x1.9c32e52d0f634p-23, -0x1.95e44e96ff5dep-23, -0x1.8f9cca305924ep-23, -0x1.895c73132c8cfp-23, -0x1.832363a4a8668p-23, -0x1.7cf1b596f842bp-23, -0x1.76c781eb48f62p-23, -0x1.70a4e0f41f314p-23, -0x1.6a89ea570ad86p-23, -0x1.6476b50ee865ep-23, -0x1.5e6b576de47ffp-23, -0x1.5867e71fcd092p-23, -0x1.526c792b8c34bp-23, -0x1.4c7921f558628p-23, -0x1.468df540ed33fp-23, -0x1.40ab0633ffa8bp-23, -0x1.3ad067572950cp-23, -0x1.34fe2a9855082p-23, -0x1.2f34614c8fd26p-23, -0x1.29731c32b3626p-23, -0x1.23ba6b74cbf7fp-23, -0x1.1e0a5eaa29cc1p-23, -0x1.186304d90b2f4p-23, -0x1.12c46c78c9a14p-23, -0x1.0d2ea373be0b2p-23, -0x1.07a1b7292234dp-23, -0x1.021db46ec5f58p-23, -0x1.f9454f2646c77p-24, -0x1.ee6138bec126ap-24, -0x1.e38f3c31ccab3p-24, -0x1.d8cf6f06698aep-24, -0x1.ce21e5c3b0372p-24, -0x1.c386b3f43d95ap-24, -0x1.b8fdec2a1196fp-24, -0x1.ae87a001dfc3dp-24, -0x1.a423e0267ccp-24, -0x1.99d2bc553e606p-24, -0x1.8f94436078a2p-24, -0x1.85688333c79ddp-24, -0x1.7b4f88d72be0ep-24, -0x1.714960721452bp-24, -0x1.6756154eecec5p-24, -0x1.5d75b1dfa4411p-24, -0x1.53a83fbfead8fp-24, -0x1.49edc7b88fea6p-24, -0x1.404651c321c6bp-24, -0x1.36b1e50d2787ap-24, -0x1.2d3087fb938d1p-24, -0x1.23c2402d8485fp-24, -0x1.1a67127f7b9cp-24, -0x1.111f030f6169cp-24, }}, 
      {{-0x1.0436bda6e3885p-8, -0x1.f89f0ff5a40f3p-8, -0x1.6722e7f2a71f2p-7, -0x1.bbe4c6aebc5c3p-7, -0x1.f4ed955f4946ep-7, -0x1.06e1fc67cfb2p-6, -0x1.0195151ec18b7p-6, -0x1.d318a8ce83f81p-7, -0x1.7cab4733b51f9p-7, -0x1.0005183e7830ep-7, -0x1.78bbe659fddf2p-9, 0x1.9c314496fcc61p-9, 0x1.4d443dfb0180dp-7, 0x1.28caa26f74054p-6, 0x1.b860a1d2d43edp-6, 0x1.29d3362c7cde1p-5, 0x1.7c665799c8af2p-5, 0x1.d2fedac8f6b9ap-5, 0x1.1659bc4f51249p-4, 0x1.44503808aa908p-4, 0x1.72f55b0811bb9p-4, 0x1.a1e139f23bc7bp-4, 0x1.d0b2735fcd2f6p-4, 0x1.ff0ed9c100fbdp-4, 0x1.1651f05d88b71p-3, 0x1.2c936b79a3833p-3, 0x1.422a7a5444526p-3, 0x1.56f9a36714365p-3, 0x1.6ae73ecec8da2p-3, 0x1.7ddd5268a5ba7p-3, 0x1.8fc9657cd05fdp-3, 0x1.a09c4e4fcdc25p-3, 0x1.b049fb9ca6ed2p-3, 0x1.bec93ba6cfb52p-3, 0x1.cc138247d6dcbp-3, 0x1.d824af1976e9p-3, 0x1.e2fad4a0fe2f5p-3, 0x1.ec96012d1555p-3, 0x1.f4f809ea51487p-3, 0x1.fc24588d06ea3p-3, 0x1.010fdde7c673p-2, 0x1.03781d74f45cfp-2, 0x1.054e76099dda2p-2, 0x1.0696e7064a37p-2, 0x1.0755d2540d50dp-2, 0x1.078fec1af70f1p-2, 0x1.074a2bdc98bb2p-2, 0x1.0689bee179348p-2, 0x1.0553fbe6e7093p-2, 0x1.03ae57f9c3eeap-2, 0x1.019e5c6abfb54p-2, 0x1.fe533b91371dap-3, 0x1.f8ab679b46509p-3, 0x1.f250645c7124bp-3, 0x1.eb4d446e57b5dp-3, 0x1.e3acfa5733aa9p-3, 0x1.db7a4ea5eff14p-3, 0x1.d2bfd75206f3cp-3, 0x1.c987f04478366p-3, 0x1.bfdcb4f103f6dp-3, 0x1.b5c7fae8b73e7p-3, 0x1.ab534d505f8ffp-3, 0x1.a087e9273fb33p-3, 0x1.956eba4b86b04p-3, 0x1.8a10592bb4a59p-3, 0x1.7e75091505c33p-3, 0x1.72a4b71047522p-3, 0x1.66a6f93f7801bp-3, 0x1.5a830eaf8072cp-3, 0x1.4e3fdf923cb27p-3, 0x1.41e3fdd5d0dc3p-3, 0x1.3575a60f1390ep-3, 0x1.28fac0ad7c8c9p-3, 0x1.1c78e36fbad85p-3, 0x1.0ff55310ae406p-3, 0x1.03750525137e8p-3, 0x1.edf94445804a1p-4, 0x1.d5210f15bab8cp-4, 0x1.bc699461e28aap-4, 0x1.a3da71325be69p-4, 0x1.8b7abad183cfep-4, 0x1.735103c6e94a3p-4, 0x1.5b6360e469089p-4, 0x1.43b76e5d48f32p-4, 0x1.2c5254e027f1ep-4, 0x1.1538cead51f3bp-4, 0x1.fcde594761babp-5, 0x1.cff2b67e6adb1p-5, 0x1.a3b5cf0858052p-5, 0x1.782e07a704a23p-5, 0x1.4d61194914141p-5, 0x1.23541a4281432p-5, 0x1.f4170e8a70d6ep-6, 0x1.a316982b2c011p-6, 0x1.53ad97eecf6d3p-6, 0x1.05e1d3a19deep-6, 0x1.737040043aaedp-7, 0x1.bcd1bf4edfe3fp-8, 0x1.32cf12a68fc62p-9, -0x1.06a97742b728ep-9, -0x1.995c8b0729b95p-8, -0x1.545607cbbbda4p-7, -0x1.d8a0f99ad4163p-7, -0x1.2cc7cc4dda163p-6, -0x1.6b91bac01cd04p-6, -0x1.a8af8fb92df3p-6, -0x1.e423085066eaep-6, -0x1.0ef726f7c5f82p-5, -0x1.2b09f6d41c5fdp-5, -0x1.464b68050bf19p-5, -0x1.60bd18ba9c7f4p-5, -0x1.7a60cd71cce73p-5, -0x1.93386d928338cp-5, -0x1.ab460044276e1p-5, -0x1.c28ba97674b0dp-5, -0x1.d90ba71bfa201p-5, -0x1.eec84e93e7ef2p-5, -0x1.01e2052057c65p-4, -0x1.0c00aba493af2p-4, -0x1.15c161c0e7a29p-4, -0x1.1f2575be02022p-4, -0x1.282e3c5c72e5fp-4, -0x1.30dd0ffeee418p-4, -0x1.39334fe450cd3p-4, -0x1.41325f7071f11p-4, -0x1.48dba582ce28dp-4, -0x1.50308bda2311ep-4, -0x1.57327e841f7a3p-4, -0x1.5de2eb5855083p-4, -0x1.6443417da8646p-4, -0x1.6a54f0f978eadp-4, -0x1.70196a47d67cep-4, -0x1.75921dfc133c3p-4, -0x1.7ac07c691b201p-4, -0x1.7fa5f550f0c71p-4, -0x1.8443f79acbee4p-4, -0x1.889bf10f4e38bp-4, -0x1.8caf4e1a57e34p-4, -0x1.907f799206b26p-4, -0x1.940ddc82747f3p-4, -0x1.975bddfdd1492p-4, -0x1.9a6ae2f07b097p-4, -0x1.9d3c4df8bf89bp-4, -0x1.9fd17f41fc12cp-4, -0x1.a22bd462c0df8p-4, -0x1.a44ca83dd5265p-4, -0x1.a63552e5b5db9p-4, -0x1.a7e7298276e79p-4, -0x1.a9637e39c5b8p-4, -0x1.aaaba018dbeaap-4, -0x1.abc0db0030cfep-4, -0x1.aca47790e0f85p-4, -0x1.ad57bb1b72167p-4, -0x1.addbe790111adp-4, -0x1.ae323b6ffb622p-4, -0x1.ae5bf1c00beaap-4, -0x1.ae5a41fc5e7eap-4, -0x1.ae2e600cde9b2p-4, -0x1.add97c3ac3d4fp-4, -0x1.ad5cc326d1844p-4, -0x1.acb95dc06d0f7p-4, -0x1.abf0713d5d18dp-4, -0x1.ab031f122e0a3p-4, -0x1.a9f284eb4a112p-4, -0x1.a8bfbca691877p-4, -0x1.a76bdc4d8c69p-4, -0x1.a5f7f61028867p-4, -0x1.a465183fe4cap-4, -0x1.a2b44d4b974c1p-4, -0x1.a0e69bbb899bep-4, -0x1.9efd062e20018p-4, -0x1.9cf88b54edd3ap-4, -0x1.9ada25f223846p-4, -0x1.98a2ccd68505bp-4, -0x1.965372dfb5806p-4, -0x1.93ed06f6ec6aep-4, -0x1.917074101488cp-4, -0x1.8edea1294bd81p-4, -0x1.8c38714ac798fp-4, -0x1.897ec38719166p-4, -0x1.86b272fbd499cp-4, -0x1.83d456d2964edp-4, -0x1.80e5424268444p-4, -0x1.7de60491838c6p-4, -0x1.7ad7691772a73p-4, -0x1.77ba373f8d1dp-4, -0x1.748f328bd1ec6p-4, -0x1.71571a9818b21p-4, -0x1.6e12ab1da03b4p-4, -0x1.6ac29bf6f31ecp-4, -0x1.6767a1242586ep-4, -0x1.64026acf68d56p-4, -0x1.6093a551f4c6ap-4, -0x1.5d1bf939447fp-4, -0x1.599c0b4ca592fp-4, -0x1.56147c9317fbep-4, -0x1.5285ea597dbe4p-4, -0x1.4ef0ee3919057p-4, -0x1.4b561e1e55045p-4, -0x1.47b60c4fdb022p-4, -0x1.44114775ed3ecp-4, -0x1.40685aa20b602p-4, -0x1.3cbbcd56d850ep-4, -0x1.390c239044e81p-4, -0x1.3559ddcbfa9a3p-4, -0x1.31a5791202814p-4, -0x1.2def6efdac9b3p-4, -0x1.2a3835c6aba21p-4, -0x1.2680404a6c878p-4, -0x1.22c7fe15a17b2p-4, -0x1.1f0fdb6dfe8e2p-4, -0x1.1b58415c2a3b9p-4, -0x1.17a195b5d8dep-4, -0x1.13ec3b2815e21p-4, -0x1.10389141b56fdp-4, -0x1.0c86f47ded4e9p-4, -0x1.08d7be4f12069p-4, -0x1.052b452976509p-4, -0x1.0181dc8e6a89bp-4, -0x1.fbb7aa2eb14efp-5, -0x1.f472f901f8a37p-5, -0x1.ed363b6d6685ap-5, -0x1.e60201bbc63dep-5, -0x1.ded6d6c2e6b29p-5, -0x1.d7b53ffab4e5ep-5, -0x1.d09dbd9470239p-5, -0x1.c990ca91fd249p-5, -0x1.c28edcdd49bc5p-5, -0x1.bb98655fcae94p-5, -0x1.b4add019fec41p-5, -0x1.adcf843afe9e8p-5, -0x1.a6fde438106ep-5, -0x1.a0394de44101bp-5, -0x1.99821a87f404ep-5, -0x1.92d89ef8723eep-5, -0x1.8c3d2baf6a744p-5, -0x1.85b00ce269d6p-5, -0x1.7f318a9a3c2a2p-5, -0x1.78c1e8ca3de15p-5, -0x1.7261676791526p-5, -0x1.6c1042803baf2p-5, -0x1.65ceb2522411p-5, -0x1.5f9ceb61ecdfbp-5, -0x1.597b1e91b05e4p-5, -0x1.5369793790e33p-5, -0x1.4d68253421a7ep-5, -0x1.47774908a3f8p-5, -0x1.419707ed153a5p-5, -0x1.3bc781e60bb81p-5, -0x1.3608d3da638a8p-5, -0x1.305b17a8afb7dp-5, -0x1.2abe643c7d92fp-5, -0x1.2532cda355f61p-5, -0x1.1fb86521895bbp-5, -0x1.1a4f3946be65bp-5, -0x1.14f75602410fp-5, -0x1.0fb0c4b7117a6p-5, -0x1.0a7b8c4fb5886p-5, -0x1.0557b151c24cep-5, -0x1.004535f126e39p-5, -0x1.f688344661182p-6, -0x1.eca8b7628be22p-6, -0x1.e2ebec96c6e96p-6, -0x1.d951c734899bap-6, -0x1.cfda36a2a225fp-6, -0x1.c68526806a486p-6, -0x1.bd527ec876776p-6, -0x1.b44223f29f9e5p-6, -0x1.ab53f7158ab3fp-6, -0x1.a287d6078603ep-6, -0x1.99dd9b7edea87p-6, -0x1.91551f3196fb9p-6, -0x1.88ee35f483a0cp-6, -0x1.80a8b1d9d6e4ep-6, -0x1.7884624f0a455p-6, -0x1.7081143a3700bp-6, -0x1.689e9216d5f54p-6, -0x1.60dca411dc3d2p-6, -0x1.593b102551637p-6, -0x1.51b99a333ed34p-6, -0x1.4a58042011217p-6, -0x1.43160dec5e86bp-6, -0x1.3bf375ce18df5p-6, -0x1.34eff8492be4dp-6, -0x1.2e0b50478639p-6, -0x1.2745373090c6fp-6, -0x1.209d650010f5dp-6, -0x1.1a13905c7c025p-6, -0x1.13a76eacbfb7dp-6, -0x1.0d58b42d7275fp-6, -0x1.072714057eebcp-6, -0x1.0112405a3edc5p-6, -0x1.f633d4c61ac11p-7, -0x1.ea7b84f8adf21p-7, -0x1.defaf0742614bp-7, -0x1.d3b174f38b6fep-7, -0x1.c89e6ee7f8185p-7, -0x1.bdc1399a782efp-7, -0x1.b3192f4d007fap-7, -0x1.a8a5a95a5c89ap-7, -0x1.9e660055209cap-7, -0x1.94598c25ab4c7p-7, -0x1.8a7fa4272990fp-7, -0x1.80d79f43c229bp-7, -0x1.7760d40fb9d38p-7, -0x1.6e1a98e3c1928p-7, -0x1.650443f65f952p-7, -0x1.5c1d2b746e771p-7, -0x1.5364a598d343dp-7, -0x1.4ada08c341668p-7, -0x1.427cab8e4541p-7, -0x1.3a4be4e46e6c4p-7, -0x1.32470c14ab3acp-7, -0x1.2a6d78e5edb19p-7, -0x1.22be83a9f5185p-7, -0x1.1b39854f6d1aap-7, -0x1.13ddd7733d2eap-7, -0x1.0caad4712d68ep-7, -0x1.059fd773d2868p-7, -0x1.fd787907825a7p-8, -0x1.effec12c47eefp-8, -0x1.e2d143353516p-8, -0x1.d5eebd10f58e7p-8, -0x1.c955eed6dc43bp-8, -0x1.bd059adee4bf8p-8, -0x1.b0fc85d8813c8p-8, -0x1.a53976e03a6abp-8, -0x1.99bb37942fd18p-8, -0x1.8e80942774dep-8, -0x1.83885b7457003p-8, -0x1.78d15f0d9ffbp-8, -0x1.6e5a734ec2abap-8, -0x1.64226f6b1065fp-8, -0x1.5a282d7beebd3p-8, -0x1.506a8a8e231c4p-8, -0x1.46e866ae22ba6p-8, -0x1.3da0a4f3916dbp-8, -0x1.34922b8bcd035p-8, -0x1.2bbbe3c3b8586p-8, -0x1.231cba10980a3p-8, -0x1.1ab39e1839517p-8, -0x1.127f82b84e7b8p-8, -0x1.0a7f5e0d065bdp-8, -0x1.02b22976f2211p-8, -0x1.f62dc34062376p-9, -0x1.e7590d01eb356p-9, -0x1.d8e436c6b328ep-9, -0x1.cacd4dcd46637p-9, -0x1.bd12660392c34p-9, -0x1.afb19a0b2cf3p-9, -0x1.a2a90b3bfa24fp-9, -0x1.95f6e1a6290adp-9, -0x1.89994c12dab7dp-9, -0x1.7d8e8003d9722p-9, -0x1.71d4b9b25fb27p-9, -0x1.666a3c0cdb9f2p-9, -0x1.5b4d50b3d81a5p-9, -0x1.507c47f606521p-9, -0x1.45f578cb5ed1cp-9, -0x1.3bb740cf8b9dp-9, -0x1.31c0043b8d431p-9, -0x1.280e2dde96f89p-9, -0x1.1ea02f16320cp-9, -0x1.15747fc5d2ecbp-9, -0x1.0c899e4dab69dp-9, -0x1.03de0f80f3059p-9, -0x1.f6e0bd3727d0dp-10, -0x1.e67e3a6e950e3p-10, -0x1.d691c68063963p-10, -0x1.c7189dd1fb336p-10, -0x1.b810093cfbac1p-10, -0x1.a9755df5b608fp-10, -0x1.9b45fd70aac8cp-10, -0x1.8d7f55474aed1p-10, -0x1.801edf1be79c5p-10, -0x1.7322207d17475p-10, -0x1.6686aac82d3e4p-10, -0x1.5a4a1b0b46501p-10, -0x1.4e6a19e6e0514p-10, -0x1.42e45b6e8412fp-10, -0x1.37b69f095d554p-10, -0x1.2cdeaf521d757p-10, -0x1.225a61f682e8dp-10, -0x1.1827979681048p-10, -0x1.0e443ba32316dp-10, -0x1.04ae443cfaf8dp-10, -0x1.f6c764249bf8cp-11, -0x1.e4c5207a5b2b4p-11, -0x1.d351e8422736cp-11, -0x1.c269fa910c5e2p-11, -0x1.b209aa850679bp-11, -0x1.a22d5eff4ded8p-11, -0x1.92d1925ef2c36p-11, -0x1.83f2d23ac413p-11, -0x1.758dbf1b80995p-11, -0x1.679f0c359237cp-11, -0x1.5a237f23674d5p-11, -0x1.4d17ef9ef2c38p-11, -0x1.4079473c040d6p-11, -0x1.3444812238b2p-11, -0x1.2876a9c76121bp-11, -0x1.1d0cdea9bc8f6p-11, -0x1.12044e0ae2674p-11, -0x1.075a36aa72cd5p-11, -0x1.fa17cf029ce0ap-12, -0x1.e62d7efa6e267p-12, -0x1.d2f05a7887e66p-12, -0x1.c05b5d9321831p-12, -0x1.ae69a2b2e5962p-12, -0x1.9d16620cfea14p-12, -0x1.8c5cf11e66a79p-12, -0x1.7c38c22746178p-12, -0x1.6ca563a803f2ep-12, -0x1.5d9e7fdecf1d7p-12, -0x1.4f1fdc46c17e9p-12, -0x1.41255917a290bp-12, -0x1.33aaf0c6f1cd8p-12, -0x1.26acb78a658cap-12, -0x1.1a26dadaf7bf3p-12, -0x1.0e15a0f9a290fp-12, -0x1.02756875822bbp-12, -0x1.ee854f6544224p-13, -0x1.d8f3d8e5079e3p-13, -0x1.c42fb6bc2b4bp-13, -0x1.b0325f2105648p-13, -0x1.9cf574471edc8p-13, -0x1.8a72c37b44045p-13, -0x1.78a44441cbc36p-13, -0x1.6784177706f2p-13, -0x1.570c8674622adp-13, -0x1.473802361337ep-13, -0x1.38012284f90f7p-13, -0x1.2962a5238522dp-13, -0x1.1b576cfc9893ap-13, -0x1.0dda815603da7p-13, -0x1.00e70d0598da7p-13, -0x1.e8f0bb528c8ffp-14, -0x1.d113c5c3875c9p-14, -0x1.ba2e5b21adcadp-14, -0x1.a437de33f8706p-14, -0x1.8f27f14bf0218p-14, -0x1.7af674d35aa6p-14, -0x1.679b85dedb481p-14, -0x1.550f7cc6a4c57p-14, -0x1.434aebc5b18b8p-14, -0x1.32469d9d4e93bp-14, -0x1.21fb944013ab1p-14, -0x1.1263078145972p-14, -0x1.037663ca50464p-14, -0x1.ea5e91aae65f2p-15, -0x1.cf0f10dfef27ep-15, -0x1.b4f24a7dffaecp-15, -0x1.9bfca318678efp-15, -0x1.8422dc2fbd50ap-15, -0x1.6d5a11dc9f5d7p-15, -0x1.5797b88afa605p-15, -0x1.42d19abbd761ep-15, -0x1.2efdd6d510757p-15, -0x1.1c12dcf9d01ddp-15, -0x1.0a076ceceb12cp-15, -0x1.f1a527ff19689p-16, -0x1.d0d75611f0252p-16, -0x1.b194a8cfca02bp-16, -0x1.93ccf4201351fp-16, -0x1.77709740e86e9p-16, -0x1.5c707903e1614p-16, -0x1.42be0426ae3d4p-16, -0x1.2a4b23b669489p-16, -0x1.130a3f8b5a9f2p-16, -0x1.f9dc71a8da188p-17, -0x1.cfd4cd74a7f4fp-17, -0x1.a7e526197d212p-17, -0x1.81f5ee15a3d0ep-17, -0x1.5df0706cd90adp-17, -0x1.3bbeca755c8e1p-17, -0x1.1b4be5d138ad4p-17, -0x1.f906e4f540c6dp-18, -0x1.bea3c2014f375p-18, -0x1.8748b9b36d7fep-18, -0x1.52d18dbbd5925p-18, -0x1.211b5fbd7dce3p-18, -0x1.e4094d7b5204bp-19, -0x1.8ada49a9572b3p-19, -0x1.366bba39b8f3ep-19, -0x1.cd042756c51e3p-20, -0x1.35c84b456a3p-20, -0x1.4d6c2093cfb57p-21, -0x1.f641280ec57dcp-24, 0x1.824b261fd388p-22, 0x1.b31ef369e9fc3p-21, 0x1.4beef02a83d7bp-20, 0x1.b80a3cb14b74bp-20, 0x1.0f1b56699a6fp-19, 0x1.3f62f5b8f8631p-19, 0x1.6d030fb299e86p-19, 0x1.982104bf69456p-19, 0x1.c0e090cc9390ep-19, 0x1.e763d9819c8efp-19, 0x1.05e5be08b383bp-18, 0x1.171b4d56b6e0ep-18, 0x1.276174cef637p-18, 0x1.36c65e0820b27p-18, 0x1.4557883755b5dp-18, 0x1.5321ce3f33a0ap-18, 0x1.60316c8f72416p-18, 0x1.6c9206d52d8cap-18, 0x1.784ead8d02e38p-18, 0x1.8371e36a2fb39p-18, 0x1.8e05a28feb858p-18, 0x1.981361b29a5abp-18, 0x1.a1a41907a475ap-18, 0x1.aac047145c3afp-18, 0x1.b36ff5592ace4p-18, 0x1.bbbabcde2b3b6p-18, 0x1.c3a7ca9881e05p-18, 0x1.cb3de3afd6581p-18, 0x1.d28369a3a180ap-18, 0x1.d97e5e520d802p-18, 0x1.e03467df40a3fp-18, 0x1.e6aad47656e6fp-18, 0x1.ece69dfaf22c4p-18, 0x1.f2ec6d938def8p-18, 0x1.f8c09f18b8acap-18, 0x1.fe67446cb1aafp-18, 0x1.01f21459cbfb7p-17, 0x1.049d69b9da8e2p-17, 0x1.073745cf7f562p-17, 0x1.09c12d3ba2e4cp-17, 0x1.0c3c8734360f5p-17, 0x1.0eaa9ee25a03bp-17, 0x1.110ca4b435d3p-17, 0x1.1363afa3a9f67p-17, 0x1.15b0be737d8bep-17, 0x1.17f4b8e083655p-17, 0x1.1a3070c79ca44p-17, 0x1.1c64a3420cd6fp-17, 0x1.1e91f9b91223p-17, 0x1.20b90aee9ad3dp-17, 0x1.22da5bfa62b61p-17, 0x1.24f66144b3bf2p-17, 0x1.270d7f6ea276bp-17, 0x1.29200c3a5b194p-17, 0x1.2b2e4f646b2c3p-17, 0x1.2d38837956a69p-17, 0x1.2f3ed6a00bf14p-17, 0x1.31416b5e9ba85p-17, 0x1.33405956748bbp-17, 0x1.353badf98085cp-17, 0x1.37336d37c6d66p-17, 0x1.39279225edbeap-17, 0x1.3b180f9f0987cp-17, 0x1.3d04d0dbb5765p-17, 0x1.3eedba07d16b9p-17, 0x1.40d2a8cd6ea4bp-17, 0x1.42b374ddc3ed9p-17, 0x1.448ff0713f8b8p-17, 0x1.4667e8c435706p-17, 0x1.483b268cda069p-17, 0x1.4a096e6b363bfp-17, 0x1.4bd281567071ep-17, 0x1.4d961d03122fp-17, 0x1.4f53fc44f78dap-17, 0x1.510bd76d18f7bp-17, 0x1.52bd64a2254bfp-17, 0x1.5468583625f77p-17, 0x1.560c64f4e97bfp-17, 0x1.57a93c72caa11p-17, 0x1.593e8f535406ep-17, 0x1.5acc0d8e8e2b4p-17, 0x1.5c5166b1cdf47p-17, 0x1.5dce4a1d26dd3p-17, 0x1.5f42673d28d9dp-17, 0x1.60ad6dc222b0ep-17, 0x1.620f0dd3807e4p-17, 0x1.6366f83fbb1b6p-17, 0x1.64b4deaa04303p-17, 0x1.65f873b53ba0dp-17, 0x1.67316b2bc9782p-17, 0x1.685f7a2474cd4p-17, 0x1.698257255f14ep-17, 0x1.6a99ba43c2c95p-17, 0x1.6ba55d435fecfp-17, 0x1.6ca4fbaf721b2p-17, 0x1.6d9852f70a2cep-17, 0x1.6e7f2282d77a4p-17, 0x1.6f592bca65521p-17, 0x1.702632685227p-17, 0x1.70e5fc2b04e6p-17, 0x1.71985125d9eb1p-17, 0x1.723cfbbd7e54fp-17, 0x1.72d3c8b679135p-17, 0x1.735c873ea179fp-17, 0x1.73d708f704ccap-17, 0x1.744321fc05d3dp-17, 0x1.74a0a8eca898ap-17, 0x1.74ef76ef30231p-17, 0x1.752f67b643b0cp-17, 0x1.75605982ff9bfp-17, 0x1.75822d27753aap-17, 0x1.7594c6076d6cdp-17, 0x1.75980a188f859p-17, 0x1.758be1e16adb4p-17, 0x1.75703876ecd22p-17, 0x1.7544fb79e54fbp-17, 0x1.750a1b1363befp-17, 0x1.74bf89f09f58ap-17, 0x1.74653d3d8cc02p-17, 0x1.73fb2c9ec53eap-17, 0x1.7381522c2ac95p-17, 0x1.72f7aa68fdbf1p-17, 0x1.725e343c56163p-17, 0x1.71b4f0e941bfcp-17, 0x1.70fbe406883fep-17, 0x1.703313752ce59p-17, 0x1.6f5a8757167abp-17, 0x1.6e724a052c9a6p-17, 0x1.6d7a680573966p-17, 0x1.6c72efffd721ep-17, 0x1.6b5bf2b4083e8p-17, 0x1.6a3582ee3c5fap-17, 0x1.68ffb57b7ab3cp-17, 0x1.67baa11e1056dp-17, 0x1.66665e821fe6bp-17, 0x1.650308314911p-17, 0x1.6390ba86b7e44p-17, 0x1.620f93a2eef3ep-17, 0x1.607fb35f4adefp-17, 0x1.5ee13b4181839p-17, 0x1.5d344e6ebc514p-17, 0x1.5b79119fbbc6fp-17, 0x1.59afab139fa01p-17, 0x1.57d8428330b57p-17, 0x1.55f301143947ep-17, 0x1.5400114d05a47p-17, 0x1.51ff9f079f9c6p-17, 0x1.4ff1d764fd043p-17, 0x1.4dd6e8c0423b7p-17, 0x1.4baf02a260cabp-17, 0x1.497a55b5ac5a8p-17, 0x1.473913b8f9333p-17, 0x1.44eb6f73fd69bp-17, 0x1.42919caa164f3p-17, 0x1.402bd00eb0892p-17, 0x1.3dba3f39527b4p-17, 0x1.3b3d20995b2edp-17, 0x1.38b4ab6a8d93bp-17, 0x1.362117a91e3bdp-17, 0x1.33829e05d94c8p-17, 0x1.30d977db5c8fdp-17, 0x1.2e25df228c15ep-17, 0x1.2b680e6780781p-17, 0x1.28a040be9a261p-17, 0x1.25ceb1b98fa78p-17, 0x1.22f39d5d485dbp-17, 0x1.200f401707e17p-17, 0x1.1d21d6b2618ebp-17, 0x1.1a2b9e4f3164ap-17, 0x1.172cd4579f465p-17, 0x1.1425b6765b035p-17, 0x1.1116828d4b3c8p-17, 0x1.0dff76ac2c6ebp-17, 0x1.0ae0d1076df5p-17, 0x1.07bacfef488c6p-17, 0x1.048db1c6af395p-17, 0x1.0159b4fba065cp-17, 0x1.fc3e2ffba0524p-18, 0x1.f5bc326e9bfd1p-18, 0x1.ef2dee0851e47p-18, 0x1.e893df54f1612p-18, 0x1.e1ee82a6a8be6p-18, 0x1.db3e54061471p-18, 0x1.d483cf24bbc05p-18, 0x1.cdbf6f4e9262p-18, 0x1.c6f1af5c364d9p-18, 0x1.c01b09a67ac12p-18, 0x1.b93bf7f8c9d22p-18, 0x1.b254f3857045cp-18, 0x1.ab6674d9bfe8p-18, 0x1.a470f3d1eb8ebp-18, 0x1.9d74e78e2a8a7p-18, 0x1.9672c666ef2afp-18, 0x1.8f6b05e35358bp-18, 0x1.885e1aaf28156p-18, 0x1.814c78900c888p-18, 0x1.7a36925dbed2cp-18, 0x1.731cd9f69c5bfp-18, 0x1.6bffc0392bf56p-18, 0x1.64dfb4fb098f6p-18, 0x1.5dbd26ffcb4e5p-18, 0x1.569883f331fbdp-18, 0x1.4f7238609c7e6p-18, 0x1.484aafab7099ap-18, 0x1.41225409d5b92p-18, 0x1.39f98e7d6609bp-18, 0x1.32d0c6cd5d794p-18, 0x1.2ba86380dc07ap-18, 0x1.2480c9d95c8b8p-18, 0x1.1d5a5dccdd12p-18, 0x1.1635820279db3p-18, 0x1.0f1297ccccc63p-18, 0x1.07f1ff255b1abp-18, 0x1.00d416a990c99p-18, 0x1.f372772c8963p-19, 0x1.e54393873894fp-19, 0x1.d71c3746a1da3p-19, 0x1.c8fd1479796bdp-19, 0x1.bae6da546e64cp-19, 0x1.acda352d0c769p-19, 0x1.9ed7ce75fe68bp-19, 0x1.90e04cb9ac5b2p-19, 0x1.82f453980b741p-19, 0x1.751483c2a74e4p-19, 0x1.67417afade06ap-19, 0x1.597bd40e17c83p-19, 0x1.4bc426d42c5b6p-19, 0x1.3e1b082f96744p-19, 0x1.30810a09aeb36p-19, 0x1.22f6bb53f5f62p-19, 0x1.157ca8087c86p-19, 0x1.08135926fb9dbp-19, 0x1.f576a96e925ap-20, 0x1.daea3b9375fefp-20, 0x1.c08268f1ed933p-20, 0x1.a6402bd21a9bap-20, 0x1.8c2478970b5edp-20, 0x1.72303dc230567p-20, 0x1.586463f42e049p-20, 0x1.3ec1cdf434363p-20, 0x1.254958b85539cp-20, 0x1.0bfbdb6758cd8p-20, 0x1.e5b44ec629ec6p-21, 0x1.b3ca109e14471p-21, 0x1.823a882745949p-21, 0x1.510735da64c7cp-21, 0x1.20318ee1fa7d2p-21, 0x1.df75fa57b8801p-22, 0x1.7f49befa15ffdp-22, 0x1.1fe113158ac1fp-22, 0x1.827d102766f8dp-23, 0x1.8d9266032fb58p-24, 0x1.956b5095f9685p-28, -0x1.57afb0e75ce5ep-24, -0x1.62bbef9fb9985p-23, -0x1.0bfe4f7e5dcb5p-22, -0x1.65cae22d88631p-22, -0x1.bec1b382083a7p-22, -0x1.0b706dd11908cp-21, -0x1.3713438586361p-21, -0x1.62487b29ef38ap-21, -0x1.8d0f3efd45915p-21, -0x1.b766c3188804fp-21, -0x1.e14e454e3c717p-21, -0x1.056286884e214p-20, -0x1.19e535ac4afadp-20, -0x1.2e2edd420652ep-20, -0x1.423f2f1cc0785p-20, -0x1.5615e1a4e2bfp-20, -0x1.69b2afca4c6dp-20, -0x1.7d1558f4d139p-20, -0x1.903da0f531fd1p-20, -0x1.a32b4ff5ba55dp-20, -0x1.b5de3269ade21p-20, -0x1.c8561900175a9p-20, -0x1.da92d89248512p-20, -0x1.ec944a1677dc7p-20, -0x1.fe5a4a8e5cdb9p-20, -0x1.07f25d7c3f245p-19, -0x1.1099c01f93216p-19, -0x1.1923419530cfcp-19, -0x1.218ed8274ff9p-19, -0x1.29dc7bff07b2ap-19, -0x1.320c271c6a72dp-19, -0x1.3a1dd54eac85ep-19, -0x1.4211842b8684p-19, -0x1.49e73307ee329p-19, -0x1.519ee2f06c3e1p-19, -0x1.593896a0667a4p-19, -0x1.60b4527b3c7d9p-19, -0x1.68121c8430fb3p-19, -0x1.6f51fc561a0bap-19, -0x1.7673fb1c07081p-19, -0x1.7d78238995b0cp-19, -0x1.845e81d2fc631p-19, -0x1.8b2723a53c167p-19, -0x1.91d2181ebf4c5p-19, -0x1.985f6fc7de7bfp-19, -0x1.9ecf3c8ae484dp-19, -0x1.a52191ac94417p-19, -0x1.ab5683c4a4e11p-19, -0x1.b16e28b70c0d6p-19, -0x1.b76897ab71185p-19, -0x1.bd45e9063b2d9p-19, -0x1.c3063661cda3p-19, -0x1.c8a99a870eb24p-19, -0x1.ce30316579c11p-19, -0x1.d39a180cdbaa7p-19, -0x1.d8e76ca5a9a04p-19, -0x1.de184e6a6d536p-19, -0x1.e32cdda074086p-19, -0x1.e8253b915b9b4p-19, -0x1.ed018a83e5e51p-19, -0x1.f1c1edb508152p-19, -0x1.f666895151a9p-19, -0x1.faef826ec17fbp-19, -0x1.ff5cff0570513p-19, -0x1.01d792f4df8dcp-18, -0x1.03f30f62c5665p-18, -0x1.06010908c3d9dp-18, -0x1.08019487b35a3p-18, -0x1.09f4c6e1c509p-18, -0x1.0bdab5776f8f7p-18, -0x1.0db3760461b9cp-18, -0x1.0f7f1e9c4131p-18, -0x1.113dc5a7ed813p-18, -0x1.12ef81e2a4921p-18, -0x1.14946a571b4e2p-18, -0x1.162c965c5e162p-18, -0x1.17b81d930f73cp-18, -0x1.193717e2d4579p-18, -0x1.1aa99d7789dcfp-18, -0x1.1c0fc6be5269ap-18, -0x1.1d69ac631618dp-18, -0x1.1eb7674de2002p-18, -0x1.1ff910a04e16p-18, -0x1.212ec1b2d012p-18, -0x1.2258941254a12p-18, -0x1.2376a17db526bp-18, -0x1.248903e34c9d7p-18, -0x1.258fd55e6be7ap-18, -0x1.268b303526e4dp-18, -0x1.277b2ed60ac2bp-18, -0x1.285febd59407ap-18, -0x1.293981ec02dd6p-18, -0x1.2a080bf32185dp-18, -0x1.2acba4e45b3a8p-18, -0x1.2b8467d61dc05p-18, -0x1.2c326ff9f69e4p-18, -0x1.2cd5d89a8d2a1p-18, -0x1.2d6ebd1990305p-18, -0x1.2dfd38ed96105p-18, -0x1.2e8167a03cd4fp-18, -0x1.2efb64cc49b9ap-18, -0x1.2f6b4c1ba2a3ap-18, -0x1.2fd139458c348p-18, -0x1.302d480cbfcc5p-18, -0x1.307f943db3fc8p-18, -0x1.30c839acbdc7ap-18, -0x1.3107543486e86p-18, -0x1.313cffb44b9a9p-18, -0x1.3169580e05a74p-18, -0x1.318c792500a5fp-18, -0x1.31a67edc34e1cp-18, -0x1.31b78514c15f9p-18, -0x1.31bfa7ac3c62cp-18, -0x1.31bf027b688a4p-18, -0x1.31b5b154c4bep-18, -0x1.31a3d002f9d0bp-18, -0x1.31897a476a6dbp-18, -0x1.3166cbd8f9ca9p-18, -0x1.313be062b2edfp-18, -0x1.3108d3827851fp-18, -0x1.30cdc0c7bd53dp-18, -0x1.308ac3b22a04fp-18, -0x1.303ff7b0a54eep-18, -0x1.2fed781fe1ff3p-18, -0x1.2f9360497a807p-18, -0x1.2f31cb627e2ffp-18, -0x1.2ec8d48aa4b92p-18, -0x1.2e5896cb1e4a1p-18, -0x1.2de12d157b6a6p-18, -0x1.2d62b242cd06fp-18, -0x1.2cdd4112a7172p-18, -0x1.2c50f42a0702dp-18, -0x1.2bbde6125b2dfp-18, -0x1.2b243138c79f3p-18, -0x1.2a83efed449aap-18, -0x1.29dd3c619dd11p-18, -0x1.293030a8bc80fp-18, -0x1.287ce6b5df244p-18, -0x1.27c3785baf655p-18, -0x1.2703ff4b8dfa2p-18, -0x1.263e951502d0ap-18, -0x1.25735324bdaf7p-18, -0x1.24a252c3fa471p-18, -0x1.23cbad17eeed3p-18, -0x1.22ef7b214c0ffp-18, -0x1.220dd5bb40958p-18, -0x1.2126d59b26464p-18, -0x1.203a934fe38f7p-18, -0x1.1f492741404dep-18, -0x1.1e52a9af5bbdep-18, -0x1.1d5732b24ece8p-18, -0x1.1c56da39ac721p-18, -0x1.1b51b80bef323p-18, -0x1.1a47e3c600b4fp-18, -0x1.193974dadb329p-18, -0x1.182682930eac7p-18, -0x1.170f240c6ec7ap-18, -0x1.15f37039a7de1p-18, -0x1.14d37de1e637ep-18, }}, 
      {{-0x1.c50235662b2bep-9, -0x1.be21dbbcb12c8p-8, -0x1.46211d7562c29p-7, -0x1.a35d2a544fe1fp-7, -0x1.f402aa2762b92p-7, -0x1.1ad7a67444fa6p-6, -0x1.33348b2926d2dp-6, -0x1.42509a054fe73p-6, -0x1.4799432c7ab73p-6, -0x1.42ae741a0388cp-6, -0x1.335f13615fe07p-6, -0x1.19a4b9f782339p-6, -0x1.eb3df9fa7c7bep-7, -0x1.8f1d12b56aa5bp-7, -0x1.1fa085c24d39bp-7, -0x1.3b622db2b8c92p-8, -0x1.4bb2e7ff0fd51p-12, 0x1.325ac783c5f7bp-8, 0x1.4bad1145dd097p-7, 0x1.05e7a12877e64p-6, 0x1.6c1c3553f8271p-6, 0x1.d7c4746af5007p-6, 0x1.2418655926194p-5, 0x1.5e59e9051ac0cp-5, 0x1.9a51f8eb0756p-5, 0x1.d7ae5a7ee3f1cp-5, 0x1.0b0ff7432905dp-4, 0x1.2aad8e5b637c1p-4, 0x1.4a8c1265d1f36p-4, 0x1.6a89ac2b7fb21p-4, 0x1.8a86a02f6eb8cp-4, 0x1.aa6558d052a77p-4, 0x1.ca0a690c5a46cp-4, 0x1.e95c8917450fbp-4, 0x1.042246ea21d5p-3, 0x1.1356ae13ba507p-3, 0x1.2241ec7b050f3p-3, 0x1.30db6b48cd136p-3, 0x1.3f1b8018ef4dep-3, 0x1.4cfb6204b4c31p-3, 0x1.5a751e368604dp-3, 0x1.67838c396ed3ep-3, 0x1.7422422e9f1c5p-3, 0x1.804d890bba629p-3, 0x1.8c0250fe386a5p-3, 0x1.973e260ab23ffp-3, 0x1.a1ff24f9df392p-3, 0x1.ac43f0a1173c6p-3, 0x1.b60ba7909404dp-3, 0x1.bf55da2eb4e36p-3, 0x1.c822814519b63p-3, 0x1.d071f5025bd0fp-3, 0x1.d844e47179085p-3, 0x1.df9c4d66c5c6cp-3, 0x1.e67974e0f67cep-3, 0x1.ecdddfdc2c447p-3, 0x1.f2cb4c9427fe7p-3, 0x1.f843ac324a4ddp-3, 0x1.fd491ce3bf90cp-3, 0x1.00eef229ed4f9p-2, 0x1.03023543451a6p-2, 0x1.04df9a8760ca5p-2, 0x1.0688714e44014p-2, 0x1.07fe136f46e38p-2, 0x1.0941e359897d6p-2, 0x1.0a554a52043eep-2, 0x1.0b39b6d539926p-2, 0x1.0bf09b1a96434p-2, 0x1.0c7b6bb79e3c2p-2, 0x1.0cdb9e61152ecp-2, 0x1.0d12a8c863dcbp-2, 0x1.0d21ff938698dp-2, 0x1.0d0b156ded4f5p-2, 0x1.0ccf5a30ba372p-2, 0x1.0c703a20e6b3cp-2, 0x1.0bef1d41e2b05p-2, 0x1.0b4d66bb521f6p-2, 0x1.0a8c7450a169dp-2, 0x1.09ad9de9302dap-2, 0x1.08b23527edd4fp-2, 0x1.079b8511438cdp-2, 0x1.066ad1be4429fp-2, 0x1.0521581c19a97p-2, 0x1.03c04db6c490cp-2, 0x1.0248e08e41711p-2, 0x1.00bc36f53ecf2p-2, 0x1.fe36def128926p-3, 0x1.facf419d73d2ep-3, 0x1.f743b39d131dfp-3, 0x1.f39642d93f92fp-3, 0x1.efc8ed7d765fp-3, 0x1.ebdda20903248p-3, 0x1.e7d63f6a49d6bp-3, 0x1.e3b49522b4ccdp-3, 0x1.df7a637260974p-3, 0x1.db295b8aa46a2p-3, 0x1.d6c31fc68d215p-3, 0x1.d24943e8a2de6p-3, 0x1.cdbd4d5d2b6b7p-3, 0x1.c920b38051369p-3, 0x1.c474dfe788a78p-3, 0x1.bfbb2eadb0bf8p-3, 0x1.baf4eec15ec15p-3, 0x1.b6236234ec359p-3, 0x1.b147be8fcd078p-3, 0x1.ac632d20d6a4bp-3, 0x1.a776cb511054ep-3, 0x1.a283aaf6cd751p-3, 0x1.9d8ad2a8b8be9p-3, 0x1.988d3e1093e85p-3, 0x1.938bde3d75fb2p-3, 0x1.8e8799f550edcp-3, 0x1.89814e058e287p-3, 0x1.8479cd929c1d2p-3, 0x1.7f71e2664f0cp-3, 0x1.7a6a4d3ce8183p-3, 0x1.7563c610bf285p-3, 0x1.705efc645f315p-3, 0x1.6b5c978b1e995p-3, 0x1.665d36f00978fp-3, 0x1.6161725b2aee1p-3, 0x1.5c69da351a39dp-3, 0x1.5776f7c8d0f29p-3, 0x1.52894d83bd16dp-3, 0x1.4da1573417cd8p-3, 0x1.48bf8a4572c15p-3, 0x1.43e455fb8a281p-3, 0x1.3f1023ab5c59ep-3, 0x1.3a4356f27b86ap-3, 0x1.357e4decbd9b1p-3, 0x1.30c161682b8c8p-3, 0x1.2c0ce51759619p-3, 0x1.276127c211dcfp-3, 0x1.22be73747817p-3, 0x1.1e250dac8e50ap-3, 0x1.19953786436bap-3, 0x1.150f2de5fe3d8p-3, 0x1.109329a1ba15bp-3, 0x1.0c215fa8baa06p-3, 0x1.07ba0129e5383p-3, 0x1.035d3bb8c40d1p-3, 0x1.fe1672e28427fp-4, 0x1.f5884234549bep-4, 0x1.ed102c8cda13bp-4, 0x1.e4ae72ea823cbp-4, 0x1.dc6350623cf17p-4, 0x1.d42efa5b51bd9p-4, 0x1.cc11a0c904319p-4, 0x1.c40b6e624d636p-4, 0x1.bc1c88d783e93p-4, 0x1.b44511062fe02p-4, 0x1.ac85232b0aff8p-4, 0x1.a4dcd71231ff2p-4, 0x1.9d4c4045ba559p-4, 0x1.95d36e3a8fa11p-4, 0x1.8e726c7bcc474p-4, 0x1.872942d48c6ap-4, 0x1.7ff7f578499e4p-4, 0x1.78de8529cee08p-4, 0x1.71dcef60d57d2p-4, 0x1.6af32e6e527cdp-4, 0x1.6421399f8410dp-4, 0x1.5d67055fca40ap-4, 0x1.56c4835956766p-4, 0x1.5039a294bc4a3p-4, 0x1.49c64f976ecf3p-4, 0x1.436a7481335b2p-4, 0x1.3d25f9289591dp-4, 0x1.36f8c3366417dp-4, 0x1.30e2b6403f12cp-4, 0x1.2ae3b3e2427d7p-4, 0x1.24fb9bd7d24cp-4, 0x1.1f2a4c1392936p-4, 0x1.196fa0d690746p-4, 0x1.13cb74c6a658bp-4, 0x1.0e3da1041ed91p-4, 0x1.08c5fd3e9fcd7p-4, 0x1.03645fc961eb5p-4, 0x1.fc313b5d76eep-5, 0x1.f1c5158609c3cp-5, 0x1.e783f36db6c62p-5, 0x1.dd6d78518e559p-5, 0x1.d381456c96587p-5, 0x1.c9befa18c3aa1p-5, 0x1.c02633eedb1ebp-5, 0x1.b6b68ee53c925p-5, 0x1.ad6fa56da7d86p-5, 0x1.a4511091fda7ap-5, 0x1.9b5a68100987dp-5, 0x1.928b427456833p-5, 0x1.89e335341bfa6p-5, 0x1.8161d4c64679ep-5, 0x1.7906b4bb9f614p-5, 0x1.70d167d62602p-5, 0x1.68c1801f905cap-5, 0x1.60d68eff06209p-5, 0x1.5910254e153c2p-5, 0x1.516dd36cea2f7p-5, 0x1.49ef2955c9acbp-5, 0x1.4293b6afdbb49p-5, 0x1.3b5b0ae1428dbp-5, 0x1.3444b5208a9c3p-5, 0x1.2d50448570fc4p-5, 0x1.267d48190d8b1p-5, 0x1.1fcb4ee55a07fp-5, 0x1.1939e804267dap-5, 0x1.12c8a2ad7552dp-5, 0x1.0c770e454826cp-5, 0x1.0644ba68df3d4p-5, 0x1.003136fb7229p-5, 0x1.f4782864c41d3p-6, 0x1.e8c9c541d1549p-6, 0x1.dd5666869b32bp-6, 0x1.d21d2f13393ddp-6, 0x1.c71d42c3cd7ecp-6, 0x1.bc55c6841f337p-6, 0x1.b1c5e062501adp-6, 0x1.a76cb7a0b904bp-6, 0x1.9d4974c6f129ap-6, 0x1.935b41b20267cp-6, 0x1.89a149a3d38a1p-6, 0x1.801ab951d1c0dp-6, 0x1.76c6bef2d6791p-6, 0x1.6da48a4c563f8p-6, 0x1.64b34cbed7f96p-6, 0x1.5bf23951c06a5p-6, 0x1.536084be6e825p-6, 0x1.4afd657ab73aep-6, 0x1.42c813c2b945cp-6, 0x1.3abfc9a21f12p-6, 0x1.32e3c2fcbabedp-6, 0x1.2b333d969ba6fp-6, 0x1.23ad791b8ebdcp-6, 0x1.1c51b72616684p-6, 0x1.151f3b45d91ddp-6, 0x1.0e154b0590ab6p-6, 0x1.07332df078af9p-6, 0x1.00782d97462b2p-6, 0x1.f3c72b294c10ap-7, 0x1.e6e967228f0cfp-7, 0x1.da55ae8ef48f2p-7, 0x1.ce0aa50cc2cf9p-7, 0x1.c206f269773e7p-7, 0x1.b64942a693275p-7, 0x1.aad045fda34cp-7, 0x1.9f9ab0e391f29p-7, 0x1.94a73c0b3823dp-7, 0x1.89f4a4674e79p-7, 0x1.7f81ab2baf65dp-7, 0x1.754d15cdedceep-7, 0x1.6b55ae0568be4p-7, 0x1.619a41caa821ap-7, 0x1.5819a3564350fp-7, 0x1.4ed2a91f32664p-7, 0x1.45c42dd897359p-7, 0x1.3ced106f08074p-7, 0x1.344c3405655dep-7, 0x1.2be07ff12cfe1p-7, 0x1.23a8dfb66a058p-7, 0x1.1ba443032cad8p-7, 0x1.13d19daaa40a8p-7, 0x1.0c2fe79fcd658p-7, 0x1.04be1cefc743p-7, 0x1.faf67b779b6f5p-8, 0x1.eccc9c65be67p-8, 0x1.defcad1613ce6p-8, 0x1.d184c5f4e9cep-8, 0x1.c463076034b4p-8, 0x1.b795999872a49p-8, 0x1.ab1aacb119122p-8, 0x1.9ef078807969cp-8, 0x1.93153c8f34504p-8, 0x1.878740073fa8fp-8, 0x1.7c44d1a27f1ddp-8, 0x1.714c4799024d9p-8, 0x1.669bff8edc847p-8, 0x1.5c325e81b3d66p-8, 0x1.520dd0b5f78e9p-8, 0x1.482cc9a3d1199p-8, 0x1.3e8dc3e3ce903p-8, 0x1.352f411b4f9e6p-8, 0x1.2c0fc9e8baf66p-8, 0x1.232dedcf7e915p-8, 0x1.1a884323d9e45p-8, 0x1.121d66f68d58cp-8, 0x1.09ebfd004eefcp-8, 0x1.01f2af8d2e92ep-8, 0x1.f4605ecfacba9p-9, 0x1.e546678967101p-9, 0x1.d694f45a0931fp-9, 0x1.c8498cd3bdafdp-9, 0x1.ba61c4de44a03p-9, 0x1.acdb3c8cc24e4p-9, 0x1.9fb39ff393892p-9, 0x1.92e8a6fe053cep-9, 0x1.8678154418fe8p-9, 0x1.7a5fb9e0571a2p-9, 0x1.6e9d6f459950ap-9, 0x1.632f1b14f99b8p-9, 0x1.5812adf3d1d56p-9, 0x1.4d462361da57bp-9, 0x1.42c7818f64bf2p-9, 0x1.3894d933c959ap-9, 0x1.2eac4563f02adp-9, 0x1.250beb691c5d2p-9, 0x1.1bb1fa97d61a1p-9, 0x1.129cac2726027p-9, 0x1.09ca4307f41e6p-9, 0x1.01390bbcb3ec9p-9, 0x1.f1ceb862a13ebp-10, 0x1.e1a72726c2cfbp-10, 0x1.d1f83455429edp-10, 0x1.c2bec2636aa1bp-10, 0x1.b3f7c55e9366ep-10, 0x1.a5a0429ee828ap-10, 0x1.97b5507ae2648p-10, 0x1.8a3415fb66747p-10, 0x1.7d19ca90aad0ep-10, 0x1.7063b5c7b992dp-10, 0x1.640f2f00acdbdp-10, 0x1.58199d25b4c79p-10, 0x1.4c807662d2a2p-10, 0x1.41413fde70cb5p-10, 0x1.36598d728096cp-10, 0x1.2bc70166af62bp-10, 0x1.21874c2b2bce8p-10, 0x1.17982c14509f2p-10, 0x1.0df76d171a4d3p-10, 0x1.04a2e88665ff7p-10, 0x1.f73109a21944bp-11, 0x1.e5ac6a81906bfp-11, 0x1.d4b3f373d1728p-11, 0x1.c443bcf7f5dacp-11, 0x1.b457f7c61a92dp-11, 0x1.a4ecec5417a14p-11, 0x1.95fefa5b85164p-11, 0x1.878a98618dd4p-11, 0x1.798c5340872e7p-11, 0x1.6c00cdb3129afp-11, 0x1.5ee4bfe10a112p-11, 0x1.5234f6edf67c9p-11, 0x1.45ee548966b6fp-11, 0x1.3a0dce80d994fp-11, 0x1.2e906e5323605p-11, 0x1.237350c5dea44p-11, 0x1.18b3a57c3fdafp-11, 0x1.0e4eae8f923fdp-11, 0x1.0441c0297d4b6p-11, 0x1.f514803f7f84ep-12, 0x1.e24b4b237b956p-12, 0x1.d022f10efc161p-12, 0x1.be96a324caa71p-12, 0x1.ada1b2ded0979p-12, 0x1.9d3f9155cc16ep-12, 0x1.8d6bce8c55df8p-12, 0x1.7e2218bcbeaacp-12, 0x1.6f5e3baa116f2p-12, 0x1.611c1ff42eb47p-12, 0x1.5357ca6f2c391p-12, 0x1.460d5b7d5d162p-12, 0x1.39390e6c712bcp-12, 0x1.2cd738d5d45dap-12, 0x1.20e44a016bff8p-12, 0x1.155cca4bc6822p-12, 0x1.0a3d5a8ee5364p-12, 0x1.ff05671ba7ddp-13, 0x1.ea534ac67714cp-13, 0x1.d65e2de4ef3dep-13, 0x1.c3200ab748a79p-13, 0x1.b09306e4c39d7p-13, 0x1.9eb1726e228dfp-13, 0x1.8d75c6a5c1bdfp-13, 0x1.7cdaa52cafcedp-13, 0x1.6cdad6f56684ep-13, 0x1.5d714b4a9ce4dp-13, 0x1.4e9916dc6db5fp-13, 0x1.404d72d11b0e9p-13, 0x1.3289bbdba9f95p-13, 0x1.2549715719248p-13, 0x1.18883465cbee9p-13, 0x1.0c41c7164da39p-13, 0x1.00720b8c4cb15p-13, 0x1.ea2a065c72039p-14, 0x1.d44d9baf075ccp-14, 0x1.bf47521db2d3cp-14, 0x1.ab0fde825866ep-14, 0x1.97a02e0108a3dp-14, 0x1.84f1648f5165dp-14, 0x1.72fcdb8229f43p-14, 0x1.61bc20259d659p-14, 0x1.5128f25b237bcp-14, 0x1.413d4340ad563p-14, 0x1.31f333df0bbf5p-14, 0x1.234513e02d5c8p-14, 0x1.152d604c5335ap-14, 0x1.07a6c24f17e6cp-14, 0x1.f5581c0771485p-15, 0x1.dc70828fe9817p-15, 0x1.c48d052cd498p-15, 0x1.ada43fce79a15p-15, 0x1.97ad1b30512fdp-15, 0x1.829ecab492e72p-15, 0x1.6e70ca4e1f157p-15, 0x1.5b1adc77013c1p-15, 0x1.489508323657ap-15, 0x1.36d7971acfba5p-15, 0x1.25db137e70b47p-15, 0x1.1598468473f24p-15, 0x1.0608365f9bc4ep-15, 0x1.ee484915b0cf7p-16, 0x1.d1cb18254db48p-16, 0x1.b68c3fcf61f4ep-16, 0x1.9c7f927a35dcdp-16, 0x1.83994be1292fbp-16, 0x1.6bce0dfa98d4ep-16, 0x1.5512ddf08ceb7p-16, 0x1.3f5d212d46dadp-16, 0x1.2aa29a7c89b58p-16, 0x1.16d9673d0b6f8p-16, 0x1.03f7fca61b181p-16, 0x1.e3ea4a3fedf71p-17, 0x1.c18ffb574031bp-17, 0x1.a0cfe6bb1cfcdp-17, 0x1.819981d1aba1fp-17, 0x1.63dcd8762de0bp-17, 0x1.478a884f86671p-17, 0x1.2c93bc49e081dp-17, 0x1.12ea282aad139p-17, 0x1.f500088e785c5p-18, 0x1.c69012ac13d2fp-18, 0x1.9a6ad8be30604p-18, 0x1.7077b58c4861dp-18, 0x1.489eece65c4a9p-18, 0x1.22c9a42836aabp-18, 0x1.fdc3b5e738c42p-19, 0x1.b9a4c837206b1p-19, 0x1.790dbd8a7923p-19, 0x1.3bd75f756fb43p-19, 0x1.01dbf5cbcfa42p-19, 0x1.95ee741aba929p-20, 0x1.2e0c962c8365fp-20, 0x1.979e84eb2210dp-21, 0x1.bbd81588781d4p-22, 0x1.742f0a36f9c41p-24, -0x1.dc2bd53d1a40cp-23, -0x1.1338c25072c84p-21, -0x1.a67143ca47ef2p-21, -0x1.188eea3b2ff37p-20, -0x1.59d1c948ba34ep-20, -0x1.9731c2beeebe6p-20, -0x1.d0dd611da9cd5p-20, -0x1.0380a3bc631edp-19, -0x1.1ce4214d672d5p-19, -0x1.34adacdaaa011p-19, -0x1.4af0ef462f4ep-19, -0x1.5fc0be8e2348dp-19, -0x1.732f25679d26p-19, -0x1.854d6a9a35916p-19, -0x1.962c18220ff68p-19, -0x1.a5db021b5c35ep-19, -0x1.b4694d72045e8p-19, -0x1.c1e5765f4e8fdp-19, -0x1.ce5d56b346282p-19, -0x1.d9de2be9ea85p-19, -0x1.e4749d0baada5p-19, -0x1.ee2cc0669db6ep-19, -0x1.f712210f8e731p-19, -0x1.ff2fc437e1069p-19, -0x1.0348172d7edb6p-18, -0x1.069eb41dc68aep-18, -0x1.09a081dd15847p-18, -0x1.0c521040b6a6ap-18, -0x1.0eb7b844b8ea5p-18, -0x1.10d59e3c703fep-18, -0x1.12afb3ee0d686p-18, -0x1.1449ba9b1b676p-18, -0x1.15a744fc635ebp-18, -0x1.16cbb9264d027p-18, -0x1.17ba526075558p-18, -0x1.187622ec9f9eep-18, -0x1.190215bbf8de2p-18, -0x1.1960f01742441p-18, -0x1.19955336b5ep-18, -0x1.19a1bdccda197p-18, -0x1.19888d81d71cfp-18, -0x1.194c0062a647bp-18, -0x1.18ee36415e03dp-18, -0x1.1871320b7c24p-18, -0x1.17d6db0ffb758p-18, -0x1.1720fe3d4691p-18, -0x1.16514f50d4a2ap-18, -0x1.156969fd2a6f3p-18, -0x1.146ad3039db5bp-18, -0x1.1356f94514feap-18, -0x1.122f36c64dd31p-18, -0x1.10f4d1ac117e9p-18, -0x1.0fa8fd2d64da9p-18, -0x1.0e4cda7be268fp-18, -0x1.0ce179a415b4dp-18, -0x1.0b67da62e2cbdp-18, -0x1.09e0ecf5f2dfap-18, -0x1.084d92e045431p-18, -0x1.06ae9fa999bfap-18, -0x1.0504d9944c216p-18, -0x1.0350fa4dee977p-18, -0x1.0193af9662428p-18, -0x1.ff9b37c23aa77p-19, -0x1.fbfeade197628p-19, -0x1.f852dcd4b56d9p-19, -0x1.f498ccc610c6fp-19, -0x1.f0d173d112a4bp-19, -0x1.ecfdb70588b8bp-19, -0x1.e91e6b6112983p-19, -0x1.e53456bd055acp-19, -0x1.e14030b13014bp-19, -0x1.dd42a36eecd38p-19, -0x1.d93c4c8e4cd64p-19, -0x1.d52dbdd66df5fp-19, -0x1.d1177df9c772ap-19, -0x1.ccfa094acda1dp-19, -0x1.c8d5d2686069ep-19, -0x1.c4ab42e146e2ap-19, -0x1.c07abbd06ff1fp-19, -0x1.bc449671b62cdp-19, -0x1.b80924af68211p-19, -0x1.b3c8b1a787d26p-19, -0x1.af83822dda865p-19, -0x1.ab39d5428b064p-19, -0x1.a6ebe4879497ep-19, -0x1.a299e4abf036bp-19, -0x1.9e4405d4ca8ep-19, -0x1.99ea73fe2db3ep-19, -0x1.958d575704802p-19, -0x1.912cd49ae57f3p-19, -0x1.8cc90d62564fep-19, -0x1.886220729e055p-19, -0x1.83f82a062ef9ap-19, -0x1.7f8b4412cf97ep-19, -0x1.7b1b8689a298dp-19, -0x1.76a90795515d3p-19, -0x1.7233dbd299bd4p-19, -0x1.6dbc16871daabp-19, -0x1.6941c9d28c7afp-19, -0x1.64c506debcae6p-19, -0x1.6045de0a7a756p-19, -0x1.5bc45f14693acp-19, -0x1.5740993e65919p-19, -0x1.52ba9b726023fp-19, -0x1.4e327462a2f53p-19, -0x1.49a832a7575c2p-19, -0x1.451be4dba8d67p-19, -0x1.408d99b57f334p-19, -0x1.3bfd601e1056bp-19, -0x1.376b4746763adp-19, -0x1.32d75ebb9646p-19, -0x1.2e41b6768d6b7p-19, -0x1.29aa5eed86f19p-19, -0x1.251169203293ep-19, -0x1.2076e6a653e89p-19, -0x1.1bdae9b881ecfp-19, -0x1.173d853b2144ap-19, -0x1.129eccc5dfcdcp-19, -0x1.0dfed4aad9bd4p-19, -0x1.095db1fbe97d8p-19, -0x1.04bb7a8ff384ap-19, -0x1.0018450566335p-19, -0x1.f6e8518bc5295p-20, -0x1.ed9e7c0d2c971p-20, -0x1.e4533b9551ffp-20, -0x1.db06c3c17585ap-20, -0x1.d1b949c8bb4fp-20, -0x1.c86b04764e64p-20, -0x1.bf1c2c256fe41p-20, -0x1.b5ccfabbd4b6ep-20, -0x1.ac7daba3059a3p-20, -0x1.a32e7bbfbcfadp-20, -0x1.99dfa96989fb6p-20, -0x1.909174613545dp-20, -0x1.87441dc5891d8p-20, -0x1.7df7e80805d8ep-20, -0x1.74ad16e0f73fbp-20, -0x1.6b63ef432b5fap-20, -0x1.621cb74d94babp-20, -0x1.58d7b63f3e362p-20, -0x1.4f953467948fep-20, -0x1.46557b1882c21p-20, -0x1.3d18d497b358dp-20, -0x1.33df8c0eaf3efp-20, -0x1.2aa9ed7d0233cp-20, -0x1.217845a680e4ap-20, -0x1.184ae205a9572p-20, -0x1.0f2210b9ce7dfp-20, -0x1.05fe2078cc0bp-20, -0x1.f9bec0fb34b82p-21, -0x1.e78c40f35c7fdp-21, -0x1.d56561087ef3p-21, -0x1.c34ac214641abp-21, -0x1.b13d057ccf912p-21, -0x1.9f3ccd14c1f93p-21, -0x1.8d4abafbda621p-21, -0x1.7b67717f9df83p-21, -0x1.699392ff40bcep-21, -0x1.57cfc1c974c65p-21, -0x1.461ca000d1601p-21, -0x1.347acf7f359c9p-21, -0x1.22eaf1b64aa4fp-21, -0x1.116da795290e2p-21, -0x1.0003916b0368ep-21, -0x1.dd5a9d9bff4d4p-22, -0x1.bad6fcfc2c77ep-22, -0x1.987d7c9696119p-22, -0x1.764f55fb76867p-22, -0x1.544dc0763ae44p-22, -0x1.3279f0dc547d2p-22, -0x1.10d519611cbadp-22, -0x1.dec0d2c8d94c9p-23, -0x1.9c3a1a91daed1p-23, -0x1.5a185c8d4b7c1p-23, -0x1.185de4829ff1p-23, -0x1.ae19ee8aa7e47p-24, -0x1.2c4fa4bbf640dp-24, -0x1.56c2af129fb96p-25, -0x1.5a9b1978bc566p-27, 0x1.4f57b1734bddap-26, 0x1.a42cb7d05df62p-25, 0x1.4f69c1824c477p-24, 0x1.cbcc05084c071p-24, 0x1.239c9043dda73p-23, 0x1.60d6905a89343p-23, 0x1.9d9212ac43a63p-23, 0x1.d9cd30d888759p-23, 0x1.0ac307331d468p-22, 0x1.285d6c7beb8e4p-22, 0x1.45b4e43871e0ep-22, 0x1.62c88f8da25b8p-22, 0x1.7f9794ea6af64p-22, 0x1.9c21201655484p-22, 0x1.b864623fa9c84p-22, 0x1.d460920dc7e11p-22, 0x1.f014ebad066d4p-22, 0x1.05c0586cb04d2p-21, 0x1.135194776482p-21, 0x1.20bdd076c0cafp-21, 0x1.2e04b5c31dd57p-21, 0x1.3b25f090baa7dp-21, 0x1.48212ff2d1751p-21, 0x1.54f625de6744ap-21, 0x1.61a4872c917acp-21, 0x1.6e2c0b9c6dac1p-21, 0x1.7a8c6dd497dadp-21, 0x1.86c56b63666a6p-21, 0x1.92d6c4bf23ffap-21, 0x1.9ec03d475fed6p-21, 0x1.aa819b42b3f8p-21, 0x1.b61aa7dd66137p-21, 0x1.c18b2f2a72408p-21, 0x1.ccd3001fa50adp-21, 0x1.d7f1ec929c267p-21, 0x1.e2e7c93882dffp-21, 0x1.edb46da15928bp-21, 0x1.f857b4348ce6fp-21, 0x1.0168bd1757723p-20, 0x1.0690cfcd58f15p-20, 0x1.0ba403a80bf3bp-20, 0x1.10a24b763a6fep-20, 0x1.158b9b68069f8p-20, 0x1.1a5fe90b2bc3ep-20, 0x1.1f1f2b48dea99p-20, 0x1.23c95a630b07fp-20, 0x1.285e6ff07e5eap-20, 0x1.2cde66d9f5f28p-20, 0x1.31493b56df8c3p-20, 0x1.359eeaea57513p-20, 0x1.39df745ea6d82p-20, 0x1.3e0ad7c213bcbp-20, 0x1.422116636da3ap-20, 0x1.462232cda7d31p-20, 0x1.4a0e30c4040fep-20, 0x1.4de5153e53629p-20, 0x1.51a6e66458588p-20, 0x1.5553ab89f9f32p-20, 0x1.58eb6d2ac2bc5p-20, 0x1.5c6e34e55eb2fp-20, 0x1.5fdc0d782cc48p-20, 0x1.633502bb29341p-20, 0x1.6679219d03a9bp-20, 0x1.69a8781d65d56p-20, 0x1.6cc31548dee33p-20, 0x1.6fc9093472b34p-20, 0x1.72ba64f82b6d8p-20, 0x1.75973aab02a74p-20, 0x1.785f9d5df9db5p-20, 0x1.7b13a11719849p-20, 0x1.7db35acca9dep-20, 0x1.803ee060c905dp-20, 0x1.82b6489c204eap-20, 0x1.8519ab28ec937p-20, 0x1.8769208eadb7ap-20, 0x1.89a4c22cd2bf4p-20, 0x1.8bccaa35d80adp-20, 0x1.8de0f3aab9bc5p-20, 0x1.8fe1ba55b3693p-20, 0x1.91cf1ac55ae07p-20, 0x1.93a932485a0b1p-20, 0x1.95701ee770628p-20, 0x1.9723ff61911edp-20, 0x1.98c4f326db66fp-20, 0x1.9a531a535d772p-20, 0x1.9bce95aa94dc8p-20, 0x1.9d378692a85c6p-20, 0x1.9e8e0f0f83e14p-20, 0x1.9fd251be29716p-20, 0x1.a10471cfc06d5p-20, 0x1.a224930559d0fp-20, 0x1.a332d9aaf3eabp-20, 0x1.a42f6a929521cp-20, 0x1.a51a6b1012858p-20, 0x1.a5f400f4bcff5p-20, 0x1.a6bc528a18f23p-20, 0x1.a773868e0edb9p-20, 0x1.a819c42e12c83p-20, 0x1.a8af3302e76dfp-20, 0x1.a933fb0bdcafcp-20, 0x1.a9a844ab56b66p-20, 0x1.aa0c38a1923e8p-20, 0x1.aa600008d8af7p-20, 0x1.aaa3c4514c6dbp-20, 0x1.aad7af3caf6a6p-20, 0x1.aafbeada20798p-20, 0x1.ab10a1824bf27p-20, 0x1.ab15fdd34a75bp-20, 0x1.ab0c2aac9b5d9p-20, 0x1.aaf3532b9152dp-20, 0x1.aacba2a6e7488p-20, 0x1.aa9544ab4fa73p-20, 0x1.aa5064f7881acp-20, 0x1.a9fd2f78fd7e6p-20, 0x1.a99bd047a168ap-20, 0x1.a92c73a28cefep-20, 0x1.a8af45ec95994p-20, 0x1.a82473a8a4052p-20, 0x1.a78c297647b6ep-20, 0x1.a6e6940e4e52p-20, 0x1.a633e03f9b673p-20, 0x1.a5743aebc326fp-20, 0x1.a4a7d103b65f7p-20, 0x1.a3cecf84b0313p-20, 0x1.a2e96375440cfp-20, 0x1.a1f7b9e20e4d6p-20, 0x1.a0f9ffdad81cap-20, 0x1.9ff0626fba31dp-20, 0x1.9edb0eae13bfep-20, 0x1.9dba319d9623fp-20, 0x1.9c8df83dc06a3p-20, 0x1.9b568f8311086p-20, 0x1.9a1424545907fp-20, 0x1.98c6e38814f44p-20, 0x1.976ef9e1ebd3fp-20, 0x1.960c94102bd4cp-20, 0x1.949fdea9617b1p-20, 0x1.93290629d7c31p-20, 0x1.91a836f148adbp-20, 0x1.901d9d40af3d4p-20, 0x1.8e896537dea52p-20, 0x1.8cebbad3984bep-20, 0x1.8b44c9eb11b02p-20, 0x1.8994be2df6d0ep-20, 0x1.87dbc32292a25p-20, 0x1.861a0423c9644p-20, 0x1.844fac5f141fcp-20, 0x1.827ce6d2a3583p-20, 0x1.80a1de4b9e8e6p-20, 0x1.7ebebd645964p-20, 0x1.7cd3ae826ac4bp-20, 0x1.7ae0dbd541babp-20, 0x1.78e66f5473eecp-20, 0x1.76e492be1b262p-20, 0x1.74db6f953ad14p-20, 0x1.72cb2f206d16cp-20, 0x1.70b3fa685e4a5p-20, 0x1.6e95fa36640f9p-20, 0x1.6c7157131a406p-20, 0x1.6a4639452a7bdp-20, 0x1.6814c8cffb7f1p-20, 0x1.65dd2d72843bbp-20, 0x1.639f8ea616dc1p-20, 0x1.615c139d464c2p-20, 0x1.5f12e342b4b33p-20, 0x1.5cc424381259fp-20, 0x1.5a6ffcd551993p-20, 0x1.581693276f901p-20, 0x1.55b80cef80dfep-20, 0x1.53548fa1edacbp-20, 0x1.50ec40659fc89p-20, 0x1.4e7f4413075d7p-20, 0x1.4c0dbf3381963p-20, 0x1.4997d60072094p-20, 0x1.471dac62be22ap-20, 0x1.449f65f1f58b1p-20, 0x1.421d25f3c8f58p-20, 0x1.3f970f5b6419fp-20, 0x1.3d0d44c8f6f4fp-20, 0x1.3a7fe88901ecdp-20, 0x1.37ef1c94051d2p-20, 0x1.355b028ddc9f9p-20, 0x1.32c3bbc57a384p-20, 0x1.302969345afbbp-20, 0x1.2d8c2b7e3eacap-20, 0x1.2aec22f0c5bc6p-20, 0x1.28496f83175d7p-20, 0x1.25a430d5c5d7ap-20, 0x1.22fc863256a11p-20, 0x1.20528e8b0e7c5p-20, 0x1.1da6687aebb4bp-20, 0x1.1af83245531b9p-20, 0x1.184809d5d8b16p-20, 0x1.15960cc04fc98p-20, 0x1.12e258409bc58p-20, 0x1.102d093a831ep-20, 0x1.0d763c39b3ff9p-20, 0x1.0abe0d71e5d76p-20, 0x1.080498bea40f6p-20, 0x1.0549f9a35ba91p-20, 0x1.028e4b4b80b5cp-20, 0x1.ffa351151074ep-21, 0x1.fa2857b7d3236p-21, 0x1.f4abdec6c2d02p-21, 0x1.ef2e19da21b9cp-21, 0x1.e9af3bdafbf0ap-21, 0x1.e42f770387b97p-21, 0x1.deaefcdf934eep-21, 0x1.d92dfe4d2e21cp-21, 0x1.d3acab7cb339p-21, 0x1.ce2b33f15e27p-21, 0x1.c8a9c681c0a2bp-21, 0x1.c328915893702p-21, 0x1.bda7c1f500a03p-21, 0x1.b827852b2262dp-21, 0x1.b2a80724e5p-21, 0x1.ad29736277995p-21, 0x1.a7abf4bb1789ep-21, 0x1.a22fb55dde14cp-21, 0x1.9cb4ded23bc1ep-21, 0x1.973b99f8dbb93p-21, 0x1.91c40f0ca42b6p-21, 0x1.8c4e65a31166fp-21, 0x1.86dac4ad5ed5cp-21, 0x1.81695279444cdp-21, 0x1.7bfa34b1e1032p-21, 0x1.768d9060b423dp-21, 0x1.712389ee5bf55p-21, 0x1.6bbc45237a20fp-21, 0x1.6657e529cc51dp-21, 0x1.60f68c8d58a85p-21, 0x1.5b985d3d16bfp-21, 0x1.563d788be0db3p-21, 0x1.50e5ff31bbd15p-21, 0x1.4b92114cfdef9p-21, 0x1.4641ce630fc2fp-21, 0x1.40f5556181406p-21, 0x1.3bacc49f5ecdcp-21, 0x1.366839ddf540fp-21, 0x1.3127d24a42945p-21, 0x1.2bebaa7db0364p-21, 0x1.26b3de7fcb391p-21, 0x1.218089c6e280dp-21, 0x1.1c51c739380efp-21, 0x1.1727b12e3d5e9p-21, 0x1.120261703236cp-21, 0x1.0ce1f13cd84a9p-21, 0x1.07c6794693741p-21, 0x1.02b011b5ba5b9p-21, 0x1.fb3da453c3a1dp-22, 0x1.f125a37630026p-22, 0x1.e7184df60800ep-22, 0x1.dd15cfec09bb2p-22, 0x1.d31e546934ff2p-22, 0x1.c93205793790cp-22, 0x1.bf510c24dad18p-22, 0x1.b57b90745e099p-22, 0x1.abb1b9722f3b8p-22, 0x1.a1f3ad2ce3a8dp-22, 0x1.984190ba6cb36p-22, 0x1.8e9b883a91826p-22, 0x1.8501b6d888114p-22, 0x1.7b743ece4e096p-22, 0x1.71f34167474c1p-22, 0x1.687edf0258219p-22, 0x1.5f173714799e1p-22, 0x1.55bc682ab64cap-22, 0x1.4c6e8fedfe2b1p-22, 0x1.432dcb250ae4p-22, 0x1.39fa35b63b46p-22, 0x1.30d3eaab3748ep-22, 0x1.27bb04329a2cbp-22, 0x1.1eaf9ba2bd491p-22, 0x1.15b1c97c449b5p-22, 0x1.0cc1a56cabc9ep-22, 0x1.03df465070019p-22, 0x1.f615846c7bd7cp-23, }}, 
      {{-0x1.a4ca0fbb99765p-1, -0x1.a4cf84bfffdbp-1, -0x1.a4d1d4afef907p-1, -0x1.a4c85274e0d24p-1, -0x1.a4a90c0d73c7dp-1, -0x1.a469f9982ab1dp-1, -0x1.a401e3550149p-1, -0x1.a368fb5f0d944p-1, -0x1.a2993416e137fp-1, -0x1.a18e60bf99aecp-1, -0x1.a0462e40f95fbp-1, -0x1.9ec00081276ap-1, -0x1.9cfcbe9319c54p-1, -0x1.9afe95b04d78cp-1, -0x1.98c8b8e97d09bp-1, -0x1.965f21c5957ap-1, -0x1.93c654a9f548ep-1, -0x1.91032ad9d137bp-1, -0x1.8e1aa30f87423p-1, -0x1.8b11b91cde897p-1, -0x1.87ed449372642p-1, -0x1.84b1de2b71c6fp-1, -0x1.8163cb6d037ffp-1, -0x1.7e06f00206658p-1, -0x1.7a9ec405e6e49p-1, -0x1.772e4ea421df6p-1, -0x1.73b82458dd366p-1, -0x1.703e682f67d32p-1, -0x1.6cc2cf66952ecp-1, -0x1.6946a6f159821p-1, -0x1.65cada599ae81p-1, -0x1.624ffb9b09899p-1, -0x1.5ed64b9b51b66p-1, -0x1.5b5dc2f3ab5d3p-1, -0x1.57e61acd64084p-1, -0x1.546ed59f4bc6p-1, -0x1.50f747a4d5b2ep-1, -0x1.4d7e9ef14b7f9p-1, -0x1.4a03eb099f016p-1, -0x1.468623f6495bep-1, -0x1.430430c46c2fap-1, -0x1.3f7ced720d223p-1, -0x1.3bef30450a1d4p-1, -0x1.3859ce8f4b3ddp-1, -0x1.34bba0e4f363cp-1, -0x1.311386caf060dp-1, -0x1.2d6069e573fa5p-1, -0x1.29a140ae93b55p-1, -0x1.25d510bdbb559p-1, -0x1.21faf0a8c58fap-1, -0x1.1e1209877b4b4p-1, -0x1.1a19982210ebdp-1, -0x1.1610edd2dd2b9p-1, -0x1.11f771232dfe3p-1, -0x1.0dcc9e2aa343dp-1, -0x1.099006b809c72p-1, -0x1.0541524a2cdbbp-1, -0x1.00e03dde9cdcep-1, -0x1.f8d93737ddfadp-2, -0x1.efcca4b90ad11p-2, -0x1.e69aba3cf4c2ap-2, -0x1.dd4394b9c67afp-2, -0x1.d3c776ac76511p-2, -0x1.ca26c686c4dfp-2, -0x1.c0620d049d329p-2, -0x1.b679f36e68704p-2, -0x1.ac6f41cd4a9fcp-2, -0x1.a242dd15c485cp-2, -0x1.97f5c54ca46b3p-2, -0x1.8d8913a9cf607p-2, -0x1.82fdf8bbf329p-2, -0x1.7855ba8fd8943p-2, -0x1.6d91b2ddb0cbdp-2, -0x1.62b34d3e6c7bbp-2, -0x1.57bc056add6adp-2, -0x1.4cad65862047dp-2, -0x1.4189047491783p-2, -0x1.365084405a14dp-2, -0x1.2b05908c6c23p-2, -0x1.1fa9dd1699911p-2, -0x1.143f244948953p-2, -0x1.08c725dd27f3p-2, -0x1.fa874b16319fp-3, -0x1.e36cd39cefb7cp-3, -0x1.cc42756f8acbfp-3, -0x1.b50bc19f36507p-3, -0x1.9dcc4813a05b7p-3, -0x1.868795911a70dp-3, -0x1.6f4131de24a89p-3, -0x1.57fc9e07a0b4bp-3, -0x1.40bd52c302223p-3, -0x1.2986beeda1b05p-3, -0x1.125c46284f0b4p-3, -0x1.f6827f1c8139ep-4, -0x1.c871e90cb326cp-4, -0x1.9a8d3f5bb2f9fp-4, -0x1.6cdad7b6c12cbp-4, -0x1.3f60e672a7715p-4, -0x1.12257ced0c59cp-4, -0x1.ca5d1030c6656p-5, -0x1.71039e60a3405p-5, -0x1.1849e52934b26p-5, -0x1.8075ab21f9eb3p-6, -0x1.a3843ca5630d5p-7, -0x1.246de93963bafp-9, 0x1.0e270ef19313fp-7, 0x1.310e69071f698p-6, 0x1.d9504cf982255p-6, 0x1.3fe3a2faaa71bp-5, 0x1.92310a51fb014p-5, 0x1.e3881416e4b5bp-5, 0x1.19f0679873107p-4, 0x1.4199d0e3e168ap-4, 0x1.68bca486357b2p-4, 0x1.8f556c70313c6p-4, 0x1.b560ddaf13115p-4, 0x1.dadbd82273021p-4, 0x1.ffc36624efa15p-4, 0x1.120a5e1453bb4p-3, 0x1.23e69c24487f9p-3, 0x1.357530e7cec61p-3, 0x1.46b4f45b3ba22p-3, 0x1.57a4d28c64c73p-3, 0x1.6843cb516c74fp-3, 0x1.7890f1fc04461p-3, 0x1.888b6d0998582p-3, 0x1.983275d09b199p-3, 0x1.a785582b5603bp-3, 0x1.b6837220778c1p-3, 0x1.c52c3389a9f32p-3, 0x1.d37f1db871634p-3, 0x1.e17bc3198465ep-3, 0x1.ef21c6d6e6cdap-3, 0x1.fc70dc78e6c1cp-3, 0x1.04b463c31a8b5p-2, 0x1.0b04ad91a3c8bp-2, 0x1.11293cd89504ep-2, 0x1.17220a35f13c8p-2, 0x1.1cef158448a71p-2, 0x1.229065a9b5873p-2, 0x1.28060866d7384p-2, 0x1.2d501225d2f3ep-2, 0x1.326e9dc97593cp-2, 0x1.3761cc7c6ed5bp-2, 0x1.3c29c580c63c6p-2, 0x1.40c6b5ff82145p-2, 0x1.4538d0d89a1dbp-2, 0x1.49804e732fb36p-2, 0x1.4d9d6c8e21dd8p-2, 0x1.51906e10fcdeep-2, 0x1.55599add4e084p-2, 0x1.58f93fa061fb4p-2, 0x1.5c6fada5793b8p-2, 0x1.5fbd3aa8706abp-2, 0x1.62e240a8e79fep-2, 0x1.65df1dbdeccdfp-2, 0x1.68b433ea2afc8p-2, 0x1.6b61e8f0a8p-2, 0x1.6de8a62a0d2c2p-2, 0x1.7048d85a89844p-2, 0x1.7282ef88450e6p-2, 0x1.74975ed27128fp-2, 0x1.76869c48f4918p-2, 0x1.785120c4b7113p-2, 0x1.79f767c090c5p-2, 0x1.7b79ef32dc207p-2, 0x1.7cd93767ae9f7p-2, 0x1.7e15c2dbbbadp-2, 0x1.7f301617e14d1p-2, 0x1.8028b78d5cc86p-2, 0x1.81002f72b41a3p-2, 0x1.81b707a146ef8p-2, 0x1.824dcb7393161p-2, 0x1.82c507a42786ap-2, 0x1.831d4a2d491ccp-2, 0x1.835722294ba0ep-2, 0x1.83731fb398fc3p-2, 0x1.8371d3ca6e803p-2, 0x1.8353d0314d2eep-2, 0x1.8319a7541ad01p-2, 0x1.82c3ec2af91a9p-2, 0x1.8253321ece8c5p-2, 0x1.81c80cee82423p-2, 0x1.81231094eadp-2, 0x1.8064d12f6d755p-2, 0x1.7f8de2e55284fp-2, 0x1.7e9ed9cfc7157p-2, 0x1.7d9849e28f7e2p-2, 0x1.7c7ac6d56aa22p-2, 0x1.7b46e40e22122p-2, 0x1.79fd348b48c99p-2, 0x1.789e4acfa25cfp-2, 0x1.772ab8ce3a149p-2, 0x1.75a30fd71ef44p-2, 0x1.7407e084cb495p-2, 0x1.7259baaa2ef2fp-2, 0x1.70992d41636ep-2, 0x1.6ec6c65afe357p-2, 0x1.6ce3130e08809p-2, 0x1.6aee9f6894746p-2, 0x1.68e9f660f11a2p-2, 0x1.66d5a1c77b58p-2, 0x1.64b22a3906a65p-2, 0x1.62801711e103ap-2, 0x1.603fee61680cfp-2, 0x1.5df234de37224p-2, 0x1.5b976ddae40a6p-2, 0x1.59301b3b4a874p-2, 0x1.56bcbd6a66d8fp-2, 0x1.543dd350bb3bfp-2, 0x1.51b3da4b3aa99p-2, 0x1.4f1f4e22bbfp-2, 0x1.4c80a903f19bap-2, 0x1.49d86377dfa9dp-2, 0x1.4726f45cd3dacp-2, 0x1.446cd0dfd451bp-2, 0x1.41aa6c768ff3ap-2, 0x1.3ee038d9bd9a6p-2, 0x1.3c0ea5fff6dd9p-2, 0x1.39362218ff7d9p-2, 0x1.365719897e46p-2, 0x1.3371f6e724c5bp-2, 0x1.308722f53e60cp-2, 0x1.2d9704a1a80f6p-2, 0x1.2aa201022cd37p-2, 0x1.27a87b524674ep-2, 0x1.24aad4f13c5c4p-2, 0x1.21a96d609ec94p-2, 0x1.1ea4a24321087p-2, 0x1.1b9ccf5bc7a9ep-2, 0x1.18924e8d6c7adp-2, 0x1.158577da9ae5ep-2, 0x1.1276a165b5553p-2, 0x1.0f661f716e952p-2, 0x1.0c5444618d1a8p-2, 0x1.094160bbf587dp-2, 0x1.062dc329ff86cp-2, 0x1.0319b87a0b48p-2, 0x1.00058ba15cf12p-2, 0x1.f9e30b7c66d39p-3, 0x1.f3bbdc343ebf5p-3, 0x1.ed96145926ecdp-3, 0x1.e7723b3b6171dp-3, 0x1.e150d4928432cp-3, 0x1.db326083e8653p-3, 0x1.d5175ba974ab1p-3, 0x1.cf003f18c8d1ap-3, 0x1.c8ed806ac4296p-3, 0x1.c2df91c36677fp-3, 0x1.bcd6e1d9fe516p-3, 0x1.b6d3dc01acc48p-3, 0x1.b0d6e8322da2ap-3, 0x1.aae06b10eef1dp-3, 0x1.a4f0c5fa618cp-3, 0x1.9f08570b901c3p-3, 0x1.9927792bf570dp-3, 0x1.934e84177de7ap-3, 0x1.8d7dcc68cbb3ep-3, 0x1.87b5a3a3a399dp-3, 0x1.81f6583f8caffp-3, 0x1.7c4035b295104p-3, 0x1.7693847c44484p-3, 0x1.70f08a30ae53ep-3, 0x1.6b578983a4809p-3, 0x1.65c8c2540de5bp-3, 0x1.604471b751746p-3, 0x1.5acad204db4c1p-3, 0x1.555c1ae1bc725p-3, 0x1.4ff8814c55f9fp-3, 0x1.4aa037a81946ep-3, 0x1.45536dc953c0bp-3, 0x1.4012510107b74p-3, 0x1.3add0c28cc50fp-3, 0x1.35b3c7aeb2bf7p-3, 0x1.3096a9a135221p-3, 0x1.2b85d5bb21e31p-3, 0x1.26816d6f8714cp-3, 0x1.21898ff5a153fp-3, 0x1.1c9e5a54c01bap-3, 0x1.17bfe77028569p-3, 0x1.12ee5012eb818p-3, 0x1.0e29aafbbc2ap-3, 0x1.09720ce8ab8e1p-3, 0x1.04c788a2e65b8p-3, 0x1.002a2f0a5c51dp-3, 0x1.f7341e42b1e24p-4, 0x1.ee2e6c30135f2p-4, 0x1.e5435eafea76p-4, 0x1.dc73091eb433p-4, 0x1.d3bd7b78f764bp-4, 0x1.cb22c271a4a01p-4, 0x1.c2a2e78861286p-4, 0x1.ba3df11f765bep-4, 0x1.b1f3e291ba17ap-4, 0x1.a9c4bc4822a9cp-4, 0x1.a1b07bcf2ec89p-4, 0x1.99b71bec137c3p-4, 0x1.91d894b1a61fep-4, 0x1.8a14db951d663p-4, 0x1.826be3827d91dp-4, 0x1.7add9cf0d3f36p-4, 0x1.7369f5f62a468p-4, 0x1.6c10da5b3c22p-4, 0x1.64d233aee7725p-4, 0x1.5dade9595776ap-4, 0x1.56a3e0aeec2fep-4, 0x1.4fb3fd02dcd9fp-4, 0x1.48de1fb99081bp-4, 0x1.4222285ab0c3ap-4, 0x1.3b7ff4a2f43cep-4, 0x1.34f76095a18f7p-4, 0x1.2e88468dc60cbp-4, 0x1.28327f4f243f9p-4, 0x1.21f5e216db09dp-4, 0x1.1bd244abbce2ap-4, 0x1.15c77b6e624d1p-4, 0x1.0fd55968eb8dfp-4, 0x1.09fbb05e7e7a8p-4, 0x1.043a50da74959p-4, 0x1.fd22147e794bep-5, 0x1.f1ff55a9eeaep-5, 0x1.e70bffaf868cbp-5, 0x1.dc47ab0b899fep-5, 0x1.d1b1ee59b3857p-5, 0x1.c74a5e701a72ap-5, 0x1.bd108e7975c05p-5, 0x1.b304100ed3dbep-5, 0x1.a9247350c2c72p-5, 0x1.9f7146ffdd13fp-5, 0x1.95ea1894d1e16p-5, 0x1.8c8e7457d154ap-5, 0x1.835de5776fd9bp-5, 0x1.7a57f61f0194bp-5, 0x1.717c2f8c57247p-5, 0x1.68ca1a25026a7p-5, 0x1.60413d8b05706p-5, 0x1.57e120b0f923dp-5, 0x1.4fa949edb07a8p-5, 0x1.47993f0f53c79p-5, 0x1.3fb0856df331fp-5, 0x1.37eea1fd95eeep-5, 0x1.3053195fd180dp-5, 0x1.28dd6ff4d548ap-5, 0x1.218d29ebf3e7cp-5, 0x1.1a61cb53c044p-5, 0x1.135ad8299e837p-5, 0x1.0c77d468e1458p-5, 0x1.05b8441970a4ep-5, 0x1.fe3756bbe1997p-6, 0x1.f1431d030942ap-6, 0x1.e492e40a1402cp-6, 0x1.d825b557e9232p-6, 0x1.cbfa9b11595c9p-6, 0x1.c010a0110783ep-6, 0x1.b466cffe8b79fp-6, 0x1.a8fc3764a5da8p-6, 0x1.9dcfe3c6ad3abp-6, 0x1.92e0e3b52ea13p-6, 0x1.882e46e1cbc77p-6, 0x1.7db71e324151ap-6, 0x1.737a7bd2b4a9ep-6, 0x1.697773474f1e4p-6, 0x1.5fad197cfaa1cp-6, 0x1.561a84d9911bap-6, 0x1.4cbecd4b3b6d2p-6, 0x1.43990c5728fbcp-6, 0x1.3aa85d279f0e6p-6, 0x1.31ebdc994e635p-6, 0x1.2962a94815b4cp-6, 0x1.210be39b21b01p-6, 0x1.18e6add05fd12p-6, 0x1.10f22c075ee09p-6, 0x1.092d844b97721p-6, 0x1.0197de9e29c2ap-6, 0x1.f460c9fde569p-7, 0x1.e5ec86ea6ba9ep-7, 0x1.d7d1502f31bc9p-7, 0x1.ca0d862762e76p-7, 0x1.bc9f8d6a30d76p-7, 0x1.af85ced7af7a2p-7, 0x1.a2beb7a503bb9p-7, 0x1.9648b9677a333p-7, 0x1.8a224a1eb5991p-7, 0x1.7e49e43e0cf0ap-7, 0x1.72be06b4eaf75p-7, 0x1.677d34f670fcap-7, 0x1.5c85f700209edp-7, 0x1.51d6d95ffa33cp-7, 0x1.476e6d39892d5p-7, 0x1.3d4b484a66015p-7, 0x1.336c04ede2b6p-7, 0x1.29cf422004d62p-7, 0x1.2073a37fde1bcp-7, 0x1.1757d1512c2d3p-7, 0x1.0e7a787d4f0bbp-7, 0x1.05da4a93a8129p-7, 0x1.faebfb92e4d6dp-8, 0x1.ea9899f1ae133p-8, 0x1.dab7ef3f4dff7p-8, 0x1.cb4783baa8a2cp-8, 0x1.bc44e8e13c6a5p-8, 0x1.adadb968f956fp-8, 0x1.9f7f99399547ap-8, 0x1.91b83564bbdp-8, 0x1.8455441d35c15p-8, 0x1.775484ad7b3c6p-8, 0x1.6ab3bf6d1805cp-8, 0x1.5e70c5b5bf11dp-8, 0x1.528971d72cf2p-8, 0x1.46fba70a50c43p-8, 0x1.3bc5516428928p-8, 0x1.30e465c77aa79p-8, 0x1.2656e1d63908ep-8, 0x1.1c1acbe21b68ap-8, 0x1.122e32dccf411p-8, 0x1.088f2e476d9a5p-8, 0x1.fe77bc42e95cep-9, 0x1.ec64d5aeef9d8p-9, 0x1.dae20a61e4171p-9, 0x1.c9ebcc7bddd6bp-9, 0x1.b97e9e88be825p-9, 0x1.a997135945018p-9, 0x1.9a31cddc20269p-9, 0x1.8b4b80f5f3203p-9, 0x1.7ce0ef58d59fdp-9, 0x1.6eeeeb5af9039p-9, 0x1.617256cd2cd97p-9, 0x1.546822d0684eep-9, 0x1.47cd4faafa1e3p-9, 0x1.3b9eec9d98654p-9, 0x1.2fda17b78b5dep-9, 0x1.247bfdaaa71b6p-9, 0x1.1981d99f25c22p-9, 0x1.0ee8f506e0be2p-9, 0x1.04aea7707886p-9, 0x1.f5a0acb4545a7p-10, 0x1.e296ea08f9fbbp-10, 0x1.d03b0889be5eap-10, 0x1.be8824af6a9fap-10, 0x1.ad797565e1935p-10, 0x1.9d0a4bafcce2bp-10, 0x1.8d36124b4539ep-10, 0x1.7df84d55c0b21p-10, 0x1.6f4c99f02662p-10, 0x1.612eade309571p-10, 0x1.539a5742b6852p-10, 0x1.468b7c13cd329p-10, 0x1.39fe19efbc5edp-10, 0x1.2dee45a96790ep-10, 0x1.22582af1f8af9p-10, 0x1.17380bfee537ap-10, 0x1.0c8a412e6f03bp-10, 0x1.024b38ae96f62p-10, 0x1.f0eeec46741dap-11, 0x1.de1724990bbd3p-11, 0x1.cc08755da1154p-11, 0x1.babc6273d2ba8p-11, 0x1.aa2c97e35a12p-11, 0x1.9a52e92df5f2ep-11, 0x1.8b2950a15954ep-11, 0x1.7ca9eeac4ec78p-11, 0x1.6ecf093392f33p-11, 0x1.61930ae84026bp-11, 0x1.54f082a00cb05p-11, 0x1.48e222aefa0ffp-11, 0x1.3d62c041441c2p-11, 0x1.326d52b82eb0cp-11, 0x1.27fcf307f40c2p-11, 0x1.1e0cdb165f35ap-11, 0x1.1498651bf90acp-11, 0x1.0b9b0b067d299p-11, 0x1.031065dc515c4p-11, 0x1.f5e85a45f45c8p-12, 0x1.e6846c8b6303cp-12, 0x1.d7ece7fba6a5fp-12, 0x1.ca19eb7f278e3p-12, 0x1.bd03ce473d43ep-12, 0x1.b0a31eae8d236p-12, 0x1.a4f0a116b943fp-12, 0x1.99e54ecb12e38p-12, 0x1.8f7a54e8c97f8p-12, 0x1.85a91347eae48p-12, 0x1.7c6b1b6a18362p-12, 0x1.73ba2f6ac747ep-12, 0x1.6b9040f4b004bp-12, 0x1.63e7703af1733p-12, 0x1.5cba0af4dc111p-12, 0x1.56028b5c71bc4p-12, 0x1.4fbb9734395c5p-12, 0x1.49dffecc219a5p-12, 0x1.446abc0e0c032p-12, 0x1.3f56f189e7936p-12, 0x1.3a9fe989de699p-12, 0x1.3641152598627p-12, 0x1.32360b5d66f9ap-12, 0x1.2e7a88359f8d9p-12, 0x1.2b0a6bd7741cdp-12, 0x1.27e1b9b4573bbp-12, 0x1.24fc97adb6a0ep-12, 0x1.22574d403080ep-12, 0x1.1fee42b124d95p-12, 0x1.1dbe00419251p-12, 0x1.1bc32d62d32d8p-12, 0x1.19fa8ff078d5p-12, 0x1.18610b6ac9716p-12, 0x1.16f3a0385ad47p-12, 0x1.15af6ae8bfa17p-12, 0x1.1491a379cf72p-12, 0x1.13979ca2fe057p-12, 0x1.12bec321b23dap-12, 0x1.12049d09f50cdp-12, 0x1.1166c919d6d74p-12, 0x1.10e2fe10bad4dp-12, 0x1.10770a08c3d4fp-12, 0x1.1020d1d5336c6p-12, 0x1.0fde506149f07p-12, 0x1.0fad96150632cp-12, 0x1.0f8cc83b72014p-12, 0x1.0f7a206b2d4f4p-12, 0x1.0f73ebf4e2208p-12, 0x1.0f788b511dfb3p-12, 0x1.0f8671939a839p-12, 0x1.0f9c23e0cb818p-12, 0x1.0fb838e56cf54p-12, 0x1.0fd9585245fbfp-12, 0x1.0ffe3a59d77eap-12, 0x1.1025a730a4109p-12, 0x1.104e76914493ep-12, 0x1.10778f41d9e6p-12, 0x1.109fe69cf30dbp-12, 0x1.10c6801cb692fp-12, 0x1.10ea6ce95a843p-12, 0x1.110acb6903de2p-12, 0x1.1126c6d2d58e7p-12, 0x1.113d96c49c3e9p-12, 0x1.114e7eda4c3e9p-12, 0x1.1158ce48e260ap-12, 0x1.115bdf79ca972p-12, 0x1.115717abbb964p-12, 0x1.1149e6920b8c8p-12, 0x1.1133c5f93f532p-12, 0x1.1114396ca6091p-12, 0x1.10eacdddf27c3p-12, 0x1.10b7194f92af7p-12, 0x1.1078ba80ae43bp-12, 0x1.102f589b4f461p-12, 0x1.0fdaa2e4e5924p-12, 0x1.0f7a5070535fbp-12, 0x1.0f0e1fd2578a3p-12, 0x1.0e95d6d816165p-12, 0x1.0e11423e08be8p-12, 0x1.0d80356b6850cp-12, 0x1.0ce28a2cfebap-12, 0x1.0c3820734664fp-12, 0x1.0b80de115cd0fp-12, 0x1.0abcae7e8d70dp-12, 0x1.09eb8298ef41fp-12, 0x1.090d5069d15b4p-12, 0x1.082212ec06389p-12, 0x1.0729c9d39cb64p-12, 0x1.06247956fe305p-12, 0x1.051229fa128bp-12, 0x1.03f2e85a77673p-12, 0x1.02c6c4fd47b53p-12, 0x1.018dd41ee6f16p-12, 0x1.00482d82fc1dbp-12, 0x1.fdebd88ef8b69p-13, 0x1.fb2e5d6e6fbbap-13, 0x1.f8582c3f2c0b8p-13, 0x1.f5698d4c24daap-13, 0x1.f262ce4098c5dp-13, 0x1.ef4441d851b4ep-13, 0x1.ec0e3f94107dp-13, 0x1.e8c1236fa45b2p-13, 0x1.e55d4d9b000abp-13, 0x1.e1e322345ee1p-13, 0x1.de5309063fb15p-13, 0x1.daad6d45bf2bp-13, 0x1.d6f2bd54fa714p-13, 0x1.d3236a865594bp-13, 0x1.cf3fe8e21653ap-13, 0x1.cb48aeede8d85p-13, 0x1.c73e35773a724p-13, 0x1.c320f75d408aap-13, 0x1.bef1715fb690ap-13, 0x1.bab021ed6d0e7p-13, 0x1.b65d88f577c82p-13, 0x1.b1fa27b99299cp-13, 0x1.ad8680a2e9063p-13, 0x1.a9031717a2209p-13, 0x1.a4706f52c1a3bp-13, 0x1.9fcf0e3d3245fp-13, 0x1.9b1f79490dcfbp-13, 0x1.9662364ce27dap-13, 0x1.9197cb61d3c5dp-13, 0x1.8cc0bec295fc8p-13, 0x1.87dd96abc5a6ap-13, 0x1.82eed93de36f1p-13, 0x1.7df50c600ff6bp-13, 0x1.78f0b5a471ae3p-13, 0x1.73e25a2de1a68p-13, 0x1.6eca7e964d6c9p-13, 0x1.69a9a6d6c1221p-13, 0x1.64805630df47bp-13, 0x1.5f4f0f184a1dfp-13, 0x1.5a16531e2b41ap-13, 0x1.54d6a2dd82576p-13, 0x1.4f907de808561p-13, 0x1.4a4462b49452bp-13, 0x1.44f2ce8e57923p-13, 0x1.3f9c3d84ddf6ep-13, 0x1.3a412a5cfe04ap-13, 0x1.34e20e823a639p-13, 0x1.2f7f61fa556eap-13, 0x1.2a199b57d93ecp-13, 0x1.24b12faf1b9f2p-13, 0x1.1f46928aceb5bp-13, 0x1.19da35e1a631fp-13, 0x1.146c8a0d6f93dp-13, 0x1.0efdfdc1597b7p-13, 0x1.098efe026debbp-13, 0x1.041ff61ffd3d6p-13, 0x1.fd629f587c6c2p-14, 0x1.f286e4ed8fce4p-14, 0x1.e7ad890be8a62p-14, 0x1.dcd754251013fp-14, 0x1.d2050b04bb248p-14, 0x1.c7376ec9ec9cdp-14, 0x1.bc6f3cdecd1b9p-14, 0x1.b1ad2ef31f905p-14, 0x1.a6f1faf63d006p-14, 0x1.9c3e5313dff87p-14, 0x1.9192e5af64c2p-14, 0x1.86f05d61c2365p-14, 0x1.7c5760f80f152p-14, 0x1.71c89371357cap-14, 0x1.674493ff7a2f5p-14, 0x1.5ccbfe06b9db9p-14, 0x1.525f691f17753p-14, 0x1.47ff6915bbe14p-14, 0x1.3dac8defc01e8p-14, 0x1.336763ec95b92p-14, 0x1.2930738a5d8f6p-14, 0x1.1f084188e062ep-14, 0x1.14ef4eeeae797p-14, 0x1.0ae6190e3eb3cp-14, 0x1.00ed198b19595p-14, 0x1.ee098cc15dd49p-15, 0x1.da5b23cf4e421p-15, 0x1.c6cfd5baa3377p-15, 0x1.b36878d5a2b2p-15, 0x1.a025dc595691fp-15, 0x1.8d08c8755d28ap-15, 0x1.7a11fe5fc71bap-15, 0x1.67423867bc20dp-15, 0x1.549a2a06344b7p-15, 0x1.421a7feff53ffp-15, 0x1.2fc3e02933234p-15, 0x1.1d96ea1795bbap-15, 0x1.0b943697a4be4p-15, 0x1.f378b01f6e3f2p-16, 0x1.d01fb508983d6p-16, 0x1.ad1e875cf3146p-16, 0x1.8a76261dbb2ccp-16, 0x1.6827840a6ee77p-16, 0x1.463387c9a6e4ep-16, 0x1.249b0c1762c5fp-16, 0x1.035edfef6e7c6p-16, 0x1.c4ff8d798bd2p-17, 0x1.83fcf10a06afap-17, 0x1.43b7442e201c4p-17, 0x1.042fca70123b5p-17, 0x1.8acf634e13ee6p-18, 0x1.0ec0249ee3c58p-18, 0x1.2867bfb387328p-19, 0x1.b2c72c5c3d0c5p-22, -0x1.7151b5471f373p-20, -0x1.a49a65d1031cfp-19, -0x1.46bc77860d282p-18, -0x1.b9a0faf7a52f3p-18, -0x1.157cd152419c3p-17, -0x1.4d62bc6146294p-17, -0x1.8481d5d30bbf4p-17, -0x1.bad9c682975f9p-17, -0x1.f06a489c0e337p-17, -0x1.129993a2651b9p-16, -0x1.2c9a1f1cc77b9p-16, -0x1.4636bcbc568fp-16, -0x1.5f6f6a6f709adp-16, -0x1.78442dea40b6bp-16, -0x1.90b514767df7bp-16, -0x1.a8c232c8179dp-16, -0x1.c06ba4d038d14p-16, -0x1.d7b18d9134727p-16, -0x1.ee9416f0ec75bp-16, -0x1.0289b8c81c289p-15, -0x1.0d97ea4e07a9p-15, -0x1.1874bed31b718p-15, -0x1.2320583badb2ap-15, -0x1.2d9adb7412c0dp-15, -0x1.37e4705a74583p-15, -0x1.41fd41ab3f72dp-15, -0x1.4be57ceb6011dp-15, -0x1.559d5255ededep-15, -0x1.5f24f4c6281f5p-15, -0x1.687c99a5bf9dp-15, -0x1.71a478d752125p-15, -0x1.7a9ccca4fe3aap-15, -0x1.8365d1abcab42p-15, -0x1.8bffc6ca159b5p-15, -0x1.946aed0be8ccp-15, -0x1.9ca78799bbfe5p-15, -0x1.a4b5dba58d632p-15, -0x1.ac9630597bc2dp-15, -0x1.b448cec663da5p-15, -0x1.bbce01d22d035p-15, -0x1.c32616271d984p-15, -0x1.ca515a227ad64p-15, -0x1.d1501dc48c5aep-15, -0x1.d822b2a046ff6p-15, -0x1.dec96bcabec7ap-15, -0x1.e5449dcc72982p-15, -0x1.eb949e905e4ecp-15, -0x1.f1b9c5564813bp-15, -0x1.f7b46aa23300ep-15, -0x1.fd84e82ee7897p-15, -0x1.0195cc6f5c0a1p-14, -0x1.04546c56cd075p-14, -0x1.06fe825194836p-14, -0x1.09943d62788ccp-14, -0x1.0c15cd045d69bp-14, -0x1.0e836123dc1f9p-14, -0x1.10dd2a187ee75p-14, -0x1.1323589ec7092p-14, -0x1.15561dd1a9cecp-14, -0x1.1775ab249a559p-14, -0x1.1982325d539b3p-14, -0x1.1b7be58e5175ap-14, -0x1.1d62f710eac9bp-14, -0x1.1f37997f96735p-14, -0x1.20f9ffb074a26p-14, -0x1.22aa5cb04505fp-14, -0x1.2448e3bc91676p-14, -0x1.25d5c83effe38p-14, -0x1.27513dc7ef8dbp-14, -0x1.28bb7809de1d7p-14, -0x1.2a14aad46e225p-14, -0x1.2b5d0a0fac723p-14, -0x1.2c94c9b78d42ap-14, -0x1.2dbc1dd768e4fp-14, -0x1.2ed33a85935a9p-14, -0x1.2fda53df48375p-14, -0x1.30d19e0458021p-14, -0x1.31b94d1333cb7p-14, -0x1.32919524d0998p-14, -0x1.335aaa4909a4cp-14, -0x1.3414c082bfee9p-14, -0x1.34c00bc43f048p-14, -0x1.355cbfeb9722p-14, -0x1.35eb10bf5ac37p-14, -0x1.366b31eb16257p-14, -0x1.36dd56fc419f8p-14, -0x1.3741b35ee6e52p-14, -0x1.37987a5a94757p-14, -0x1.37e1df0f78225p-14, -0x1.381e147361454p-14, -0x1.384d4d4f277a4p-14, -0x1.386fbc3ba9c4ap-14, -0x1.3885939f4d114p-14, -0x1.388f05ab743bfp-14, -0x1.388c4459febfap-14, -0x1.387d816afbd21p-14, -0x1.3862ee621fb62p-14, -0x1.383cbc84dbb8dp-14, -0x1.380b1cd7f6763p-14, -0x1.37ce401d89897p-14, -0x1.378656d311414p-14, -0x1.3733912f5db39p-14, -0x1.36d61f20dd5a5p-14, -0x1.366e304bb3fbbp-14, -0x1.35fbf4082c021p-14, -0x1.357f9960d327dp-14, -0x1.34f94f11159a6p-14, -0x1.34694383a4b07p-14, -0x1.33cfa4d0f9024p-14, -0x1.332ca0be11376p-14, -0x1.328064baf47b1p-14, -0x1.31cb1de19d9aap-14, -0x1.310cf8f4a1dd9p-14, -0x1.3046225df5f35p-14, -0x1.2f76c62dfba7cp-14, -0x1.2e9f101a89786p-14, -0x1.2dbf2b7dca593p-14, -0x1.2cd7435544ed3p-14, -0x1.2be7824118f88p-14, -0x1.2af01283281a6p-14, -0x1.29f11dfe49289p-14, -0x1.28eace3587f8ap-14, -0x1.27dd4c4b85685p-14, -0x1.26c8c101bd469p-14, -0x1.25ad54b804cdbp-14, -0x1.248b2f6c0b46bp-14, -0x1.236278b8bd218p-14, -0x1.223357d5e0e0bp-14, -0x1.20fdf397aa1cap-14, -0x1.1fc2726e535f8p-14, -0x1.1e80fa65d24dfp-14, -0x1.1d39b12591376p-14, -0x1.1becbbf01cf0bp-14, -0x1.1a9a3fa2fa50bp-14, -0x1.194260b65d3acp-14, -0x1.17e5433d1f40dp-14, -0x1.16830ae4af3ebp-14, -0x1.151bdaf4d810ep-14, -0x1.13afd64fc28fep-14, -0x1.123f1f71e6f8cp-14, -0x1.10c9d8721e0a1p-14, -0x1.0f502301afc9ep-14, -0x1.0dd2206c635f7p-14, -0x1.0c4ff19887b96p-14, -0x1.0ac9b7071a486p-14, -0x1.093f90d3f9fa8p-14, -0x1.07b19eb60f0afp-14, -0x1.061fffff75578p-14, -0x1.048ad39dc837dp-14, -0x1.02f2381a63573p-14, -0x1.01564b9a899e4p-14, -0x1.ff6e57bfa00cp-15, -0x1.fc29ec90e6aecp-15, -0x1.f8df8f9f10894p-15, -0x1.f58f7a1b0733p-15, -0x1.f239e470f1d82p-15, -0x1.eedf064937308p-15, -0x1.eb7f168940c6bp-15, -0x1.e81a4b54381e3p-15, -0x1.e4b0da0c137a4p-15, -0x1.e142f7525d1afp-15, -0x1.ddd0d709548ccp-15, -0x1.da5aac54c5c03p-15, -0x1.d6e0a99b36f5bp-15, -0x1.d3630086f1313p-15, -0x1.cfe1e206cbc9fp-15, -0x1.cc5d7e4f9a1cp-15, -0x1.c8d604dd3b307p-15, -0x1.c54ba473827c2p-15, -0x1.c1be8b1fb2e5dp-15, -0x1.be2ee639a691dp-15, -0x1.ba9ce264cf689p-15, -0x1.b708ab9187f54p-15, -0x1.b3726cfe7f49ap-15, -0x1.afda5139d3755p-15, -0x1.ac4082225b8cp-15, -0x1.a8a528e905201p-15, -0x1.a5086e1231bd5p-15, -0x1.a16a7976d556cp-15, -0x1.9dcb7245efdb8p-15, -0x1.9a2b7f060da45p-15, -0x1.968ac5967bdb9p-15, -0x1.92e96b30b1231p-15, -0x1.8f479469bbfep-15, -0x1.8ba565339a2b8p-15, -0x1.880300de9f7f7p-15, -0x1.84608a1b120dep-15, -0x1.80be22fa66dc7p-15, -0x1.7d1becf09c1fp-15, -0x1.797a08d5e8d7ap-15, -0x1.75d896e82d699p-15, -0x1.7237b6cc0a765p-15, -0x1.6e97878ed0431p-15, -0x1.6af827a7bf606p-15, -0x1.6759b4f95b562p-15, -0x1.63bc4cd324b64p-15, -0x1.60200bf2f864ap-15, -0x1.5c850e866a8c2p-15, -0x1.58eb702c671cap-15, -0x1.55534bf6b0c7fp-15, -0x1.51bcbc6b39145p-15, -0x1.4e27db85a8b7ap-15, -0x1.4a94c2b8ee117p-15, -0x1.47038af09767ep-15, -0x1.43744c926f6efp-15, -0x1.3fe71f7fe0e37p-15, -0x1.3c5c1b1753a98p-15, -0x1.38d35635db579p-15, -0x1.354ce738a48bap-15, -0x1.31c8e3fe3a426p-15, -0x1.2e4761e82d2d6p-15, -0x1.2ac875dcbe486p-15, -0x1.274c3447b3c6fp-15, -0x1.23d2b11c481dep-15, -0x1.205bffd69a962p-15, -0x1.1ce8337cd2c63p-15, -0x1.19775ea0e79cdp-15, -0x1.16099361e4p-15, -0x1.129ee36d2ea97p-15, -0x1.0f3760004f088p-15, -0x1.0bd319e9fb1d2p-15, -0x1.0872218bac126p-15, -0x1.051486db16be7p-15, -0x1.01ba59635932dp-15, }}, 
      {{-0x1.a4c862c8ac2a4p-1, -0x1.a4ca914f617c1p-1, -0x1.a4cccd23bd1d4p-1, -0x1.a4cd37b421371p-1, -0x1.a4c98f0437c23p-1, -0x1.a4bf6486819bfp-1, -0x1.a4ac4b2cd61f7p-1, -0x1.a48dfadbaf5a6p-1, -0x1.a46269758d2a1p-1, -0x1.a427dab4b664ap-1, -0x1.a3dce86ce0e87p-1, -0x1.a38084d8eb5f8p-1, -0x1.a311f87623dcfp-1, -0x1.a290dcb88480dp-1, -0x1.a1fd14a89d9bbp-1, -0x1.a156c444220bfp-1, -0x1.a09e4748c95d3p-1, -0x1.9fd427e7808f8p-1, -0x1.9ef915bb861aap-1, -0x1.9e0ddd456f775p-1, -0x1.9d13601428cb1p-1, -0x1.9c0a8db4f78cfp-1, -0x1.9af45d7670ff3p-1, -0x1.99d1c9007e601p-1, -0x1.98a3c7bc5bdacp-1, -0x1.976b4b0258b91p-1, -0x1.96293affb61bbp-1, -0x1.94de7444ddeefp-1, -0x1.938bc5eb0c31bp-1, -0x1.9231f04039353p-1, -0x1.90d1a3e84bcap-1, -0x1.8f6b81634876p-1, -0x1.8e0018e930248p-1, -0x1.8c8fea8d60635p-1, -0x1.8b1b669c90e09p-1, -0x1.89a2ee29d7aebp-1, -0x1.8826d3c0657a6p-1, -0x1.86a75c30f98fp-1, -0x1.8524bf7335848p-1, -0x1.839f29941ce86p-1, -0x1.8216bbac11925p-1, -0x1.808b8cd78dadap-1, -0x1.7efdab2eae138p-1, -0x1.7d6d1cb85ee2p-1, -0x1.7bd9e056a51ddp-1, -0x1.7a43eeaa07a34p-1, -0x1.78ab3aea9e7d3p-1, -0x1.770fb3b5b54f9p-1, -0x1.757143cf465cdp-1, -0x1.73cfd2d6ddfe5p-1, -0x1.722b45efb89b7p-1, -0x1.7083805c18b28p-1, -0x1.6ed8640bfe4d1p-1, -0x1.6d29d21f8d7d8p-1, -0x1.6b77ab5d8043cp-1, -0x1.69c1d09e1e8c1p-1, -0x1.6808232b3c0cdp-1, -0x1.664a8515c92f4p-1, -0x1.6488d9818a928p-1, -0x1.62c304e78aedbp-1, -0x1.60f8ed4fdd137p-1, -0x1.5f2a7a8346097p-1, -0x1.5d5796355d435p-1, -0x1.5b802c27b5049p-1, -0x1.59a42a4691b65p-1, -0x1.57c380bfb7de9p-1, -0x1.55de2213cc4fdp-1, -0x1.53f40322c09b1p-1, -0x1.52051b33c01a2p-1, -0x1.501163f90604fp-1, -0x1.4e18d99005774p-1, -0x1.4c1b7a7e422dap-1, -0x1.4a1947ab3341fp-1, -0x1.481244578538bp-1, -0x1.46067612073eep-1, -0x1.43f5e4aa8ecafp-1, -0x1.41e09a2311a0ap-1, -0x1.3fc6a29f3980ep-1, -0x1.3da80c52a5dc8p-1, -0x1.3b84e76e139c7p-1, -0x1.395d460b9bd19p-1, -0x1.37313c1a33f4ep-1, -0x1.3500df4899f0fp-1, -0x1.32cc46efd27p-1, -0x1.30938bfd578f8p-1, -0x1.2e56c8dd1a0e5p-1, -0x1.2c1619636fca2p-1, -0x1.29d19ab7066a3p-1, -0x1.27896b3af4633p-1, -0x1.253daa78f7475p-1, -0x1.22ee790bf67a4p-1, -0x1.209bf88ad49f7p-1, -0x1.1e464b73a1587p-1, -0x1.1bed9517361bbp-1, -0x1.1991f985459dp-1, -0x1.17339d78eb311p-1, -0x1.14d2a645bf3c6p-1, -0x1.126f39c573f82p-1, -0x1.10097e4605fe4p-1, -0x1.0da19a787dbeep-1, -0x1.0b37b56048ea6p-1, -0x1.08cbf6432ce8cp-1, -0x1.065e8499d295dp-1, -0x1.03ef8800ed77p-1, -0x1.017f282afc6e4p-1, -0x1.fe1b19a54c3cap-2, -0x1.f935bb5b57e12p-2, -0x1.f44e84c0ea1ecp-2, -0x1.ef65c4e460e4fp-2, -0x1.ea7bca830c97ep-2, -0x1.e590e3f3ba774p-2, -0x1.e0a55f1254f9p-2, -0x1.dbb9892c9bdc8p-2, -0x1.d6cdaeefe8845p-2, -0x1.d1e21c57fc661p-2, -0x1.ccf71c9ecccd8p-2, -0x1.c80cfa2d4b125p-2, -0x1.c323fe8d1c0eep-2, -0x1.be3c725b3c34cp-2, -0x1.b9569d3b86206p-2, -0x1.b472c5cd13c2cp-2, -0x1.af91319f762a7p-2, -0x1.aab22528b64a7p-2, -0x1.a5d5e3bc20108p-2, -0x1.a0fcaf81c6a3ap-2, -0x1.9c26c96ec15aap-2, -0x1.9754713e1bb28p-2, -0x1.9285e56a678efp-2, -0x1.8dbb6327f85cep-2, -0x1.88f5265fb2dcfp-2, -0x1.843369aa79f01p-2, -0x1.7f76664d21888p-2, -0x1.7abe5434ef38ap-2, -0x1.760b69f49c0eep-2, -0x1.715ddcc1d2e95p-2, -0x1.6cb5e07325173p-2, -0x1.6813a77e7154cp-2, -0x1.637762f7b534ap-2, -0x1.5ee14290496ap-2, -0x1.5a5174967a6d6p-2, -0x1.55c825f58487cp-2, -0x1.51458235e3ddap-2, -0x1.4cc9b37dfa3d8p-2, -0x1.4854e293056a9p-2, -0x1.43e736da610c3p-2, -0x1.3f80d65b0e8bcp-2, -0x1.3b21e5bf8432p-2, -0x1.36ca8857b8147p-2, -0x1.327ae01b6cfb3p-2, -0x1.2e330dacb24bep-2, -0x1.29f3305a9fc3dp-2, -0x1.25bb66243fd17p-2, -0x1.218bcbbbac816p-2, -0x1.1d647c8955526p-2, -0x1.194592af73a7bp-2, -0x1.152f270da3bcbp-2, -0x1.11215144a219p-2, -0x1.0d1c27ba2ca5p-2, -0x1.091fbf9d01a6p-2, -0x1.052c2ce8ff463p-2, -0x1.0141826b59fb5p-2, -0x1.fabfa38dde262p-3, -0x1.f30e56f15ee04p-3, -0x1.eb6f3db837bccp-3, -0x1.e3e2745fad07bp-3, -0x1.dc6815348f56dp-3, -0x1.d500385c9bfddp-3, -0x1.cdaaf3e00355p-3, -0x1.c6685bb300981p-3, -0x1.bf3881bf89846p-3, -0x1.b81b75ef17798p-3, -0x1.b111463474ffbp-3, -0x1.aa19fe95a30e6p-3, -0x1.a335a935c71e1p-3, -0x1.9c644e5f1cbf9p-3, -0x1.95a5f48cf2a1bp-3, -0x1.8efaa075ab1ccp-3, -0x1.88625514bafa9p-3, -0x1.81dd13b4ad86ap-3, -0x1.7b6adbf91fd19p-3, -0x1.750babe8bf79ep-3, -0x1.6ebf7ff738be1p-3, -0x1.6886530f2b983p-3, -0x1.62601e9c06761p-3, -0x1.5c4cda93e719ap-3, -0x1.564c7d815f53ep-3, -0x1.505efc8d38de2p-3, -0x1.4a844b882254ep-3, -0x1.44bc5cf44c5d7p-3, -0x1.3f07220ef999fp-3, -0x1.39648ad9f5fbfp-3, -0x1.33d48624fc7fep-3, -0x1.2e5701970c31bp-3, -0x1.28ebe9b79bc52p-3, -0x1.239329f7c623fp-3, -0x1.1e4cacbb4da54p-3, -0x1.19185b6194b65p-3, -0x1.13f61e4e76d91p-3, -0x1.0ee5dcf3065dep-3, -0x1.09e77dd6325dcp-3, -0x1.04fae69d4ecc1p-3, -0x1.001ffc148143fp-3, -0x1.f6ad446e2521fp-4, -0x1.ed3d786f3d964p-4, -0x1.e3f059105d27ep-4, -0x1.dac5a9c44fbafp-4, -0x1.d1bd2c9c5bf5bp-4, -0x1.c8d6a257a6246p-4, -0x1.c011ca7271b06p-4, -0x1.b76e633511aacp-4, -0x1.aeec29c29bc46p-4, -0x1.a68ada2764bc7p-4, -0x1.9e4a2f673129fp-4, -0x1.9629e38b2939ap-4, -0x1.8e29afaf914f8p-4, -0x1.86494c11386b8p-4, -0x1.7e88701aabccp-4, -0x1.76e6d271248c1p-4, -0x1.6f64290137aeep-4, -0x1.6800290b40db6p-4, -0x1.60ba872f8f2aep-4, -0x1.5992f77a4d5bcp-4, -0x1.52892d6f29cep-4, -0x1.4b9cdc14bfb23p-4, -0x1.44cdb5ffba8d9p-4, -0x1.3e1b6d5dbe48bp-4, -0x1.3785b4000884ep-4, -0x1.310c3b65db3c3p-4, -0x1.2aaeb4c69bbb9p-4, -0x1.246cd11bbca8cp-4, -0x1.1e46412a62b8fp-4, -0x1.183ab58cced1ap-4, -0x1.1249debb86042p-4, -0x1.0c736d16416b2p-4, -0x1.06b710ec99c57p-4, -0x1.01147a867f85dp-4, -0x1.f716b458dd40ep-5, -0x1.ec36c05ed6913p-5, -0x1.e18879e18b022p-5, -0x1.d70b41d33bbe5p-5, -0x1.ccbe7964694adp-5, -0x1.c2a18211fced5p-5, -0x1.b8b3bdb304ff4p-5, -0x1.aef48e85fee82p-5, -0x1.a563573db5138p-5, -0x1.9bff7b0db2a52p-5, -0x1.92c85db64bdd7p-5, -0x1.89bd63903ad38p-5, -0x1.80ddf197d9ab7p-5, -0x1.78296d77f398ep-5, -0x1.6f9f3d943579dp-5, -0x1.673ec91332133p-5, -0x1.5f0777e8139eep-5, -0x1.56f8b2dbe2637p-5, -0x1.4f11e39670df6p-5, -0x1.475274a6eb11cp-5, -0x1.3fb9d18c10f7p-5, -0x1.384766bc0c657p-5, -0x1.30faa1abf927fp-5, -0x1.29d2f0d712518p-5, -0x1.22cfc3c58e4afp-5, -0x1.1bf08b13277cep-5, -0x1.1534b8754ec69p-5, -0x1.0e9bbec1184a1p-5, -0x1.082511f0d2b93p-5, -0x1.01d0272955cd9p-5, -0x1.f738e97e07654p-6, -0x1.eb12e4750c5c1p-6, -0x1.df2d30ba7e281p-6, -0x1.d386c24aede16p-6, -0x1.c81e8fa489f0ep-6, -0x1.bcf391ce6bc2ap-6, -0x1.b204c45f64b25p-6, -0x1.a751258446ac1p-6, -0x1.9cd7b605b749fp-6, -0x1.9297794d80c23p-6, -0x1.888f756b7c18ap-6, -0x1.7ebeb319f921cp-6, -0x1.75243dc1c1e49p-6, -0x1.6bbf237da710bp-6, -0x1.628e751dac0c9p-6, -0x1.59914629c3d4ap-6, -0x1.50c6ace436993p-6, -0x1.482dc24b8e52fp-6, -0x1.3fc5a21c434ecp-6, -0x1.378d6ad1eb77cp-6, -0x1.2f843da830a1dp-6, -0x1.27a93e9b590d2p-6, -0x1.1ffb946886bbap-6, -0x1.187a688da037ep-6, -0x1.1124e748f195dp-6, -0x1.09fa3f987b1e8p-6, -0x1.02f9a338f4b05p-6, -0x1.f8448d4923947p-7, -0x1.eae6c222f8d0ep-7, -0x1.ddd858e01033bp-7, -0x1.d117cad15994bp-7, -0x1.c4a396b388a8dp-7, -0x1.b87a40aa04d0ep-7, -0x1.ac9a52397934ep-7, -0x1.a1025a41f177bp-7, -0x1.95b0ecf8873b9p-7, -0x1.8aa4a3e0b2c45p-7, -0x1.7fdc1dc52c6a2p-7, -0x1.7555feb07c6c1p-7, -0x1.6b10efe52c773p-7, -0x1.610b9fd59f1b2p-7, -0x1.5744c21b9e0fcp-7, -0x1.4dbb0f6f8e688p-7, -0x1.446d459f60857p-7, -0x1.3b5a27853f23cp-7, -0x1.32807cfde7976p-7, -0x1.29df12ded4d86p-7, -0x1.2174baec22152p-7, -0x1.19404bce3a2dcp-7, -0x1.1140a10745bebp-7, -0x1.09749ae87132cp-7, -0x1.01db1e86ffbedp-7, -0x1.f4e62b62505cap-8, -0x1.e676ddc5a1cabp-8, -0x1.d8663a743c4a4p-8, -0x1.cab230d7aefffp-8, -0x1.bd58b96f8386fp-8, -0x1.b057d5b954fbdp-8, -0x1.a3ad901916e29p-8, -0x1.9757fbc0d3cf7p-8, -0x1.8b5534986627ap-8, -0x1.7fa35f24f9b64p-8, -0x1.7440a870553d8p-8, -0x1.692b45f022a06p-8, -0x1.5e61756cec2c1p-8, -0x1.53e17ce91ef36p-8, -0x1.49a9aa87f92d3p-8, -0x1.3fb8547431ed4p-8, -0x1.360bd8c6dbf85p-8, -0x1.2ca29d6e0823ap-8, -0x1.237b10135e6a3p-8, -0x1.1a93a602d5b0dp-8, -0x1.11eadc114812p-8, -0x1.097f36831a4ebp-8, -0x1.014f40f2d76cp-8, -0x1.f2b31c6fd5ff5p-9, -0x1.e339709aa6a43p-9, -0x1.d42ec070b004cp-9, -0x1.c5905bded9b4cp-9, -0x1.b75ba08235193p-9, -0x1.a98df975c4319p-9, -0x1.9c24df20c53c4p-9, -0x1.8f1dd704f1f84p-9, -0x1.8276738d0d275p-9, -0x1.762c53dbb39d6p-9, -0x1.6a3d239a53083p-9, -0x1.5ea69ac87016fp-9, -0x1.53667d8b2f9f7p-9, -0x1.487a9bfd46c8dp-9, -0x1.3de0d1ff129dep-9, -0x1.3397070701408p-9, -0x1.299b2df25ec0fp-9, -0x1.1feb44d68e9bep-9, -0x1.168554d26afp-9, -0x1.0d6771e018cb7p-9, -0x1.048fbaa758e2bp-9, -0x1.f7f8b09fe8da9p-10, -0x1.e756fca994e74p-10, -0x1.d736d4ae6d3d4p-10, -0x1.c794c7e57babdp-10, -0x1.b86d7922a5ba2p-10, -0x1.a9bd9e7fa1f7ep-10, -0x1.9b8201062acf1p-10, -0x1.8db77c5ae0f94p-10, -0x1.805afe68f65e7p-10, -0x1.7369870ee2a97p-10, -0x1.66e027cbc420bp-10, -0x1.5abc036e1fc5cp-10, -0x1.4efa4dc2b2591p-10, -0x1.43984b452e824p-10, -0x1.389350d0f5576p-10, -0x1.2de8c3536797dp-10, -0x1.2396177edea98p-10, -0x1.1998d17e8122fp-10, -0x1.0fee84ab2c4dfp-10, -0x1.0694d3413a57dp-10, -0x1.fb12dc2e80677p-11, -0x1.e99428ab9aa49p-11, -0x1.d8a9265fd6a03p-11, -0x1.c84d8b398c2ecp-11, -0x1.b87d2824282c2p-11, -0x1.a933e87f68255p-11, -0x1.9a6dd197bcc61p-11, -0x1.8c270221673afp-11, -0x1.7e5bb1b487855p-11, -0x1.7108304bfa08bp-11, -0x1.6428e5c54e1e4p-11, -0x1.57ba516347e11p-11, -0x1.4bb90951802e4p-11, -0x1.4021ba2a8461cp-11, -0x1.34f1267f8a0c4p-11, -0x1.2a242661e28afp-11, -0x1.1fb7a6ee7dfe4p-11, -0x1.15a8a9dad0037p-11, -0x1.0bf445044d28p-11, -0x1.0297a200ab263p-11, -0x1.f31ffb616cf6fp-12, -0x1.e1b54fa9afc81p-12, -0x1.d0ea0545a6942p-12, -0x1.c0b904bb822c6p-12, -0x1.b11d59df56058p-12, -0x1.a2123309d12eap-12, -0x1.9392e0520f043p-12, -0x1.859ad2cabc6adp-12, -0x1.78259bc35914ap-12, -0x1.6b2eec0bc1578p-12, -0x1.5eb2933bec604p-12, -0x1.52ac7efe359d6p-12, -0x1.4718ba5d4d907p-12, -0x1.3bf36d155290ep-12, -0x1.3138dae7bb094p-12, -0x1.26e562f2eb9b1p-12, -0x1.1cf57f0c6fe67p-12, -0x1.1365c31e4197cp-12, -0x1.0a32dc87b100dp-12, -0x1.0159918077a34p-12, -0x1.f1ad80feb9eb2p-13, -0x1.e14ebf46a6076p-13, -0x1.d190f83ff41c1p-13, -0x1.c26e73588dcb4p-13, -0x1.b3e1a3e9edeb2p-13, -0x1.a5e528212c0a7p-13, -0x1.9873c7eee42a3p-13, -0x1.8b8873fa912bdp-13, -0x1.7f1e449cd0432p-13, -0x1.733078dda2b98p-13, -0x1.67ba7578aa033p-13, -0x1.5cb7c3e67faep-13, -0x1.5224116a89ba3p-13, -0x1.47fb2e2652612p-13, -0x1.3e390c3173b27p-13, -0x1.34d9beb71ef04p-13, -0x1.2bd97916a6ef9p-13, -0x1.23348e0b2d21ap-13, -0x1.1ae76ed5788f1p-13, -0x1.12eeaa6c3fd74p-13, -0x1.0b46ecb00651ep-13, -0x1.03ecfda372014p-13, -0x1.f9bb81503bde4p-14, -0x1.ec2c677f1dc4cp-14, -0x1.df26dda131944p-14, -0x1.d2a545e1e9d53p-14, -0x1.c6a233649ae49p-14, -0x1.bb1868e7a42d6p-14, -0x1.b002d77015ea3p-14, -0x1.a55c9cfaa196cp-14, -0x1.9b21033784717p-14, -0x1.914b7e4adf18bp-14, -0x1.87d7ab95e8ce8p-14, -0x1.7ec15087a5986p-14, -0x1.760459736aea9p-14, -0x1.6d9cd86f7d6cbp-14, -0x1.6587043a6f681p-14, -0x1.5dbf3725ae25bp-14, -0x1.5641ee0966e53p-14, -0x1.4f0bc73c5e3fep-14, -0x1.481981932e1f9p-14, -0x1.4167fb65e4b6ap-14, -0x1.3af4319bd264bp-14, -0x1.34bb3ebc203ap-14, -0x1.2eba5a05cae43p-14, -0x1.28eed68d3d7f5p-14, -0x1.2356225dfdd02p-14, -0x1.1dedc5a44828dp-14, -0x1.18b361d9b1ebap-14, -0x1.13a4b0f9226aap-14, -0x1.0ebf84b6e5d61p-14, -0x1.0a01c5bdff527p-14, -0x1.056972f272b14p-14, -0x1.00f4a0b9c789ap-14, -0x1.f942f08b77af3p-15, -0x1.f0dc6dcc9202fp-15, -0x1.e8b25abd9335ap-15, -0x1.e0c17e7f4e333p-15, -0x1.d906c48b80f3ap-15, -0x1.d17f3b7892022p-15, -0x1.ca2813c95900ap-15, -0x1.c2fe9ec226ae4p-15, -0x1.bc004d47acb63p-15, -0x1.b52aaec643677p-15, -0x1.ae7b701f1f7b1p-15, -0x1.a7f05a9dd1f3p-15, -0x1.a18752f73af1bp-15, -0x1.9b3e584cc8e4p-15, -0x1.951383382e144p-15, -0x1.8f0504ddb111fp-15, -0x1.891126071b25p-15, -0x1.83364640d9859p-15, -0x1.7d72db03035f5p-15, -0x1.77c56edd225b2p-15, -0x1.722ca0a923951p-15, -0x1.6ca722c40adf2p-15, -0x1.6733ba4d7dbc6p-15, -0x1.61d13e6bfbf47p-15, -0x1.5c7e9796c41dbp-15, -0x1.573abee64603p-15, -0x1.5204bd6908456p-15, -0x1.4cdbab7e0276bp-15, -0x1.47beb03348922p-15, -0x1.42ad00ab53cebp-15, -0x1.3da5df866d402p-15, -0x1.38a89c4f0edfcp-15, -0x1.33b492edfcc32p-15, -0x1.2ec92b2101dd5p-15, -0x1.29e5d7f63c14fp-15, -0x1.250a174ba3611p-15, -0x1.203571535531cp-15, -0x1.1b67781abc4f9p-15, -0x1.169fc717be673p-15, -0x1.11de02b6ef271p-15, -0x1.0d21d7f0167ebp-15, -0x1.086afbdda445p-15, -0x1.03b92b55d82cbp-15, -0x1.fe1855153458ap-16, -0x1.f4c789540065p-16, -0x1.eb7f970603179p-16, -0x1.e2402e5ccef1cp-16, -0x1.d9090b70fd0b6p-16, -0x1.cfd9f5a10c6c8p-16, -0x1.c6b2bef1fd471p-16, -0x1.bd934377c46fdp-16, -0x1.b47b68c13c59dp-16, -0x1.ab6b1d4d6e633p-16, -0x1.a262580096f3cp-16, -0x1.996117a29bdd4p-16, -0x1.90676261e8454p-16, -0x1.87754558bb75ep-16, -0x1.7e8ad419aba2dp-16, -0x1.75a8283f1f727p-16, -0x1.6ccd60ff2a2efp-16, -0x1.63faa2c5f2967p-16, -0x1.5b3016cffe48bp-16, -0x1.526deacd7f0cep-16, -0x1.49b450859b0c6p-16, -0x1.41037d7f3173dp-16, -0x1.385baaadb0508p-16, -0x1.2fbd141f59ebbp-16, -0x1.2727f8b2c4964p-16, -0x1.1e9c99ca7d6f1p-16, -0x1.161b3b08e9021p-16, -0x1.0da4220c467dcp-16, -0x1.0537962ec64d4p-16, -0x1.f9abc093d4a96p-17, -0x1.e8fe94f673236p-17, -0x1.d8683fda874fdp-17, -0x1.c7e95945a44e8p-17, -0x1.b7827a8894dbfp-17, -0x1.a7343ddf83b51p-17, -0x1.96ff3e1856bp-17, -0x1.86e416399e457p-17, -0x1.76e361364c84p-17, -0x1.66fdb99a0efcdp-17, -0x1.5733b944baa6dp-17, -0x1.4785f92241731p-17, -0x1.37f510eb5ce8cp-17, -0x1.288196e680f49p-17, -0x1.192c1fafb1896p-17, -0x1.09f53e0032a3fp-17, -0x1.f5bb04fcece14p-18, -0x1.d7caf714e5182p-18, -0x1.ba1b6a2b401a7p-18, -0x1.9cad70e81e76cp-18, -0x1.7f82187799184p-18, -0x1.629a683628bfap-18, -0x1.45f76177f7eadp-18, -0x1.2999ff45672b1p-18, -0x1.0d83362538464p-18, -0x1.e367e7d1f4c24p-19, -0x1.ac5a3efd5c39ep-19, -0x1.75df3187f5d7bp-19, -0x1.3ff870c8496b5p-19, -0x1.0aa79f5f1e284p-19, -0x1.abdca20c7b839p-20, -0x1.439c14ac095ecp-20, -0x1.b9210252f8dffp-21, -0x1.daf2ccb0c505dp-22, -0x1.223572609d4adp-24, 0x1.44e41765d0d52p-22, 0x1.66abecaaa2461p-21, 0x1.14312c79ee128p-20, 0x1.73c87a36696e5p-20, 0x1.d219d14a4566dp-20, 0x1.1791a19b173eep-19, 0x1.457180a2dc79dp-19, 0x1.72abae35b8cedp-19, 0x1.9f3f629a8120ep-19, 0x1.cb2be5cca474dp-19, 0x1.f6708f6fa6d21p-19, 0x1.10866357e8c97p-18, 0x1.2580011492d83p-18, 0x1.3a24e3e3b95e3p-18, 0x1.4e74d65135e09p-18, 0x1.626faa6e0c213p-18, 0x1.761539bbf58d4p-18, 0x1.8965651739baap-18, 0x1.9c6014a194f7fp-18, 0x1.af0537ac168e3p-18, 0x1.c154c49a49bb4p-18, 0x1.d34eb8ce4a08cp-18, 0x1.e4f3188b3fea5p-18, 0x1.f641eedb44639p-18, 0x1.039da6ba325dp-17, 0x1.0befa64d8349ap-17, 0x1.14170582aef22p-17, 0x1.1c13d6df00be3p-17, 0x1.23e63002c804fp-17, 0x1.2b8e299a4f061p-17, 0x1.330bdf4d67256p-17, 0x1.3a5f6fb1285a5p-17, 0x1.4188fc371b917p-17, 0x1.4888a91cd2009p-17, 0x1.4f5e9d5d8d191p-17, 0x1.560b029f751e2p-17, 0x1.5c8e0525eb005p-17, 0x1.62e7d3bfa6fa7p-17, 0x1.69189fb632c9ap-17, 0x1.6f209cbe992b3p-17, 0x1.750000e750e15p-17, 0x1.7ab70489cf077p-17, 0x1.8045e2382b794p-17, 0x1.85acd6ae09186p-17, 0x1.8aec20bf843ap-17, 0x1.900401499c19dp-17, 0x1.94f4bb212429bp-17, 0x1.99be9303a2408p-17, 0x1.9e61cf8631802p-17, 0x1.a2deb9064240ep-17, 0x1.a7359999ef57bp-17, 0x1.ab66bcff07e58p-17, 0x1.af72708d69fcdp-17, 0x1.b3590325b769dp-17, 0x1.b71ac52375422p-17, 0x1.bab8084cf3a3cp-17, 0x1.be311fc54c1fp-17, 0x1.c1865ffc33d8p-17, 0x1.c4b81ea0c6951p-17, 0x1.c7c6b291fa48fp-17, 0x1.cab273d0cb9a5p-17, 0x1.cd7bbb7247d5ap-17, 0x1.d022e3912675ap-17, 0x1.d2a84740b2758p-17, 0x1.d50c427e7f3bap-17, 0x1.d74f3225d5109p-17, 0x1.d97173e2794c6p-17, 0x1.db7366233e4eep-17, 0x1.dd55680e18948p-17, 0x1.df17d972c89f9p-17, 0x1.e0bb1abf6639dp-17, 0x1.e23f8cf3836c2p-17, 0x1.e3a59194f4479p-17, 0x1.e4ed8aa409721p-17, 0x1.e617da8ffbb3ep-17, 0x1.e724e42c0a382p-17, 0x1.e8150aa44ddd4p-17, 0x1.e8e8b172f89b3p-17, 0x1.e9a03c5603e1fp-17, 0x1.ea3c0f4491256p-17, 0x1.eabc8e654aef6p-17, 0x1.eb221e03fc2f8p-17, 0x1.eb6d228833981p-17, 0x1.eb9e006bad563p-17, 0x1.ebb51c31c1a2bp-17, 0x1.ebb2da5d4cc63p-17, 0x1.eb979f68d1cecp-17, 0x1.eb63cfbdb8215p-17, 0x1.eb17cfabd119dp-17, 0x1.eab403610323ap-17, 0x1.ea38cee1d8856p-17, 0x1.e9a696016871ep-17, 0x1.e8fdbc59f43d2p-17, 0x1.e83ea5458ea8dp-17, 0x1.e769b3d6d5ec1p-17, 0x1.e67f4ad28e8d6p-17, 0x1.e57fcca8493e2p-17, 0x1.e46b9b6c7df72p-17, 0x1.e34318d1e5f92p-17, 0x1.e206a6236307cp-17, 0x1.e0b6a43e3d1dcp-17, 0x1.df53738be9f35p-17, 0x1.dddd73fd50fc5p-17, 0x1.dc5505047be03p-17, 0x1.daba859026d9p-17, 0x1.d90e54062b146p-17, 0x1.d750ce3f24b0bp-17, 0x1.d58251818b7edp-17, 0x1.d3a33a7d05691p-17, 0x1.d1b3e5469559bp-17, 0x1.cfb4ad5415fbep-17, 0x1.cda5ed7817edap-17, 0x1.cb87ffde79da3p-17, 0x1.c95b3e0864ef8p-17, 0x1.c72000c8eabc4p-17, 0x1.c4d6a041737f2p-17, 0x1.c27f73ded513bp-17, 0x1.c01ad255ef5f7p-17, 0x1.bda911a126aeep-17, 0x1.bb2a86fcf048ap-17, 0x1.b89f86e5f9babp-17, 0x1.b60865160a749p-17, 0x1.b365748212949p-17, 0x1.b0b7075774458p-17, 0x1.adfd6efa4c313p-17, 0x1.ab38fc033f743p-17, 0x1.a869fe3da5cccp-17, 0x1.a590c4a5c0c2ap-17, 0x1.a2ad9d672de4fp-17, 0x1.9fc0d5db492e1p-17, 0x1.9ccaba87e8c0fp-17, 0x1.99cb971de3547p-17, 0x1.96c3b6781b345p-17, 0x1.93b3629a6afecp-17, 0x1.909ae4b07870bp-17, 0x1.8d7a850cddaadp-17, 0x1.8a528b287c414p-17, 0x1.87233da1b378cp-17, 0x1.83ece23bffb7fp-17, 0x1.80afbddf2b00dp-17, 0x1.7d6c149737529p-17, 0x1.7a222993d5c0fp-17, 0x1.76d23f2834038p-17, 0x1.737c96cae3f59p-17, 0x1.70217115ca4b2p-17, 0x1.6cc10dc62a185p-17, 0x1.695babbcaee7fp-17, 0x1.65f188fd76d2p-17, 0x1.6282e2b07a3f1p-17, 0x1.5f0ff521bce7fp-17, 0x1.5b98fbc1b70a1p-17, 0x1.581e3125b3142p-17, 0x1.549fcf0864f87p-17, 0x1.511e0e4a68feep-17, 0x1.4d9926f2dbaafp-17, 0x1.4a11503016176p-17, 0x1.4686c0585c0dap-17, 0x1.42f9aceaab8c2p-17, 0x1.3f6a4a8fb1a0fp-17, 0x1.3bd8cd1a78a56p-17, 0x1.38456789679d8p-17, 0x1.34b04c074275p-17, 0x1.3119abec314b1p-17, 0x1.2d81b7bedfabap-17, 0x1.29e89f35764f5p-17, 0x1.264e9136e6dccp-17, 0x1.22b3bbdc098bp-17, 0x1.1f184c70d7bc4p-17, 0x1.1b7c6f75c5b97p-17, 0x1.17e050a0fbdb6p-17, 0x1.14441adfc730ep-17, 0x1.10a7f857c58a6p-17, 0x1.0d0c12687a711p-17, 0x1.097091ac98e33p-17, 0x1.05d59dfb98944p-17, 0x1.023b5e6b11f6fp-17, 0x1.fd43f2a0b564dp-18, 0x1.f6132883de25dp-18, 0x1.eee4a83247f0ap-18, 0x1.e7b8b9e73c393p-18, 0x1.e08fa469e9c0bp-18, 0x1.d969ad1095b7cp-18, 0x1.d24717c3cbb95p-18, 0x1.cb282701e5f82p-18, 0x1.c40d1be22d5fep-18, 0x1.bcf636183c4a2p-18, 0x1.b5e3b3f762118p-18, 0x1.aed5d2764297fp-18, 0x1.a7cccd320b281p-18, 0x1.a0c8de71a5522p-18, 0x1.99ca3f29c23e8p-18, 0x1.92d126fff3e3ep-18, 0x1.8bddcc4e5e224p-18, 0x1.84f064272f16fp-18, 0x1.7e0922581896ap-18, 0x1.7728396df2964p-18, 0x1.704ddab84f736p-18, 0x1.697a364d392bp-18, 0x1.62ad7b0c49b1dp-18, 0x1.5be7d6a2a38bp-18, 0x1.5529758e61bfbp-18, 0x1.4e72832236886p-18, 0x1.47c329890dfeap-18, 0x1.411b91c9a188fp-18, 0x1.3a7be3c9ff2bp-18, 0x1.33e44653299f8p-18, 0x1.2d54df14b2aeep-18, 0x1.26cdd2a854147p-18, 0x1.204f44956bdadp-18, 0x1.19d95754c6d4ep-18, 0x1.136c2c53f65a9p-18, 0x1.0d07e3f8c493ap-18, 0x1.06ac9da5099a2p-18, 0x1.005a77ba253f1p-18, 0x1.f4231f38c8afbp-19, 0x1.e7a4036d18c2fp-19, 0x1.db37d2fa94a21p-19, 0x1.cedec2e5b4587p-19, 0x1.c2990654fc6b4p-19, 0x1.b666ce976fae4p-19, 0x1.aa484b2ba159dp-19, 0x1.9e3da9c6c4d31p-19, 0x1.9247165b49018p-19, 0x1.8664bb1fa2ea8p-19, 0x1.7a96c0952467p-19, 0x1.6edd4d8e5b861p-19, 0x1.63388735f8d35p-19, 0x1.57a891157070bp-19, 0x1.4c2d8d1b5fd01p-19, 0x1.40c79ba23ef1p-19, 0x1.3576db76d7f94p-19, 0x1.2a3b69dea03f9p-19, 0x1.1f15629ddb26dp-19, 0x1.1404dffe52469p-19, 0x1.0909fad5988e6p-19, 0x1.fc49951648f68p-20, 0x1.e6aaca3cf4e1cp-20, 0x1.d137be5ad30b6p-20, 0x1.bbf097f3f7467p-20, 0x1.a6d57ae1a40d8p-20, 0x1.91e6885e0a7afp-20, 0x1.7d23df0f84852p-20, 0x1.688d9b14d4f09p-20, 0x1.5423d61153a88p-20, 0x1.3fe6a737ce0d7p-20, 0x1.2bd62355d3a3p-20, 0x1.17f25cdf8505ep-20, 0x1.043b63faeb353p-20, 0x1.e1628d1531652p-21, 0x1.baa820720796p-21, 0x1.9447950715bb9p-21, 0x1.6e40f989d3599p-21, 0x1.489458807a5a8p-21, 0x1.2341b85612b71p-21, 0x1.fc9236e0cd723p-22, 0x1.b3550089865e2p-22, 0x1.6acbc2d7bd494p-22, 0x1.22f66b6baa423p-22, 0x1.b7a9c0feb6047p-23, 0x1.2ace02151a353p-23, 0x1.3eb293ac6147dp-24, 0x1.54b3a1bb3cfdep-27, -0x1.cd72636e7aba8p-25, -0x1.f53d503ea3eb1p-24, -0x1.807b79c087afdp-23, -0x1.0279d043f40d9p-22, -0x1.4403ddd84bec1p-22, -0x1.84dc3b4edf5f5p-22, -0x1.c503444902ea8p-22, -0x1.023cad1aff24bp-21, -0x1.219f72181a7d4p-21, -0x1.40aa276d04ce1p-21, -0x1.5f5d061e73448p-21, -0x1.7db849d36beabp-21, -0x1.9bbc30c57b829p-21, -0x1.b968fbb04ff7dp-21, -0x1.d6beedc0b3059p-21, -0x1.f3be4c8698897p-21, -0x1.0833aff223defp-20, -0x1.165d38ff73e41p-20, -0x1.245be797dc084p-20, -0x1.322fe2fa82676p-20, -0x1.3fd95371cfdbap-20, -0x1.4d58624c36ef3p-20, -0x1.5aad39d4c8ffcp-20, -0x1.67d8054c19c7ep-20, -0x1.74d8f0e196335p-20, -0x1.81b029ac6a369p-20, -0x1.8e5ddda4c9cdbp-20, -0x1.9ae23b9dae6c8p-20, -0x1.a73d733dd50c6p-20, -0x1.b36fb4f95591p-20, -0x1.bf79320b49299p-20, -0x1.cb5a1c6fe1aefp-20, -0x1.d712a6ddd5387p-20, -0x1.e2a304c01cb37p-20, -0x1.ee0b6a309ffb6p-20, -0x1.f94c0bf1f2231p-20, -0x1.02328fb4ceedbp-19, -0x1.07ab6d4d2398dp-19, -0x1.0d10ba0f3e462p-19, -0x1.1262919193fb2p-19, -0x1.17a10fb09a2cdp-19, -0x1.1ccc508ca1f53p-19, -0x1.21e4708736c51p-19, -0x1.26e98c40052ep-19, -0x1.2bdbc09309ae6p-19, -0x1.30bb2a95d324p-19, -0x1.3587e794894a6p-19, -0x1.3a4215103cf69p-19, -0x1.3ee9d0bc1dda5p-19, -0x1.437f387b54931p-19, -0x1.48026a5ecad95p-19, -0x1.4c7384a2ac354p-19, -0x1.50d2a5ac6d978p-19, -0x1.551fec08a88eap-19, -0x1.595b7668aaf8ap-19, }}, 
      {{-0x1.737990eab602bp-14, -0x1.87557f67213d9p-12, -0x1.dac347f1b9bd2p-11, -0x1.ccdf12f64ad15p-10, -0x1.8ab4bff198a29p-9, -0x1.36d2d46c61c09p-8, -0x1.cbf380f19748cp-8, -0x1.43f9759dbe8b9p-7, -0x1.b65d6e5edadeep-7, -0x1.1eb685636f443p-6, -0x1.6c6400fdff86p-6, -0x1.c3baa64d8613dp-6, -0x1.11fdef8b00349p-5, -0x1.461965d53f89ep-5, -0x1.7da03fe035143p-5, -0x1.b7f3fa031d412p-5, -0x1.f46c95a487cddp-5, -0x1.192ececb1e85fp-4, -0x1.388d43811abbfp-4, -0x1.57fd33b7e3b46p-4, -0x1.772d8106dd841p-4, -0x1.95d19a6f8e5d9p-4, -0x1.b3a26936e93a2p-4, -0x1.d05efb720696ep-4, -0x1.ebccf43322b3fp-4, -0x1.02dc64a731194p-3, -0x1.0efaeb35dd40dp-3, -0x1.1a2f26538ac72p-3, -0x1.246982b66175dp-3, -0x1.2d9d9f4e3ec2p-3, -0x1.35c222a981b6bp-3, -0x1.3cd08a07e40bcp-3, -0x1.42c4f423fd0e2p-3, -0x1.479de96dea6eap-3, -0x1.4b5c23295e25bp-3, -0x1.4e02529f3085dp-3, -0x1.4f94e95713a0bp-3, -0x1.5019e31956199p-3, -0x1.4f98924a6856ap-3, -0x1.4e196f0a24056p-3, -0x1.4ba5e95ecf1ebp-3, -0x1.48483e97a5088p-3, -0x1.440b51fb2641bp-3, -0x1.3efa88c2b4413p-3, -0x1.3921a955f283cp-3, -0x1.328cbdacf74c7p-3, -0x1.2b47f8b7c3fd1p-3, -0x1.235f9ea371ae9p-3, -0x1.1adfefd187a1dp-3, -0x1.11d51653ad753p-3, -0x1.084b15bcff51ap-3, -0x1.fc9b7a34eff9cp-4, -0x1.e7d135c9e757cp-4, -0x1.d24de5819318p-4, -0x1.bc2769c267ebfp-4, -0x1.a572edcfd48ecp-4, -0x1.8e44dc37bf1c5p-4, -0x1.76b0d5a97108cp-4, -0x1.5ec9a9f608482p-4, -0x1.46a152ffaef7ap-4, -0x1.2e48f161a751fp-4, -0x1.15d0ca9fd4bcap-4, -0x1.fa90916172d98p-5, -0x1.c97bf571da02dp-5, -0x1.987f2da57c52cp-5, -0x1.67b3f9805617dp-5, -0x1.373272d0dfe6ap-5, -0x1.0711160aae6eep-5, -0x1.aec9979bfdafcp-6, -0x1.5081e6dced07bp-6, -0x1.e6ddb93e46e6bp-7, -0x1.2f62afc4e4404p-7, -0x1.eb3b68a76dd4ap-9, 0x1.b537fd8dfdae6p-10, 0x1.c99a82e270c32p-8, 0x1.8f7743db8bd3ap-7, 0x1.1b3e8ef596422p-6, 0x1.6cddb6cfc4eadp-6, 0x1.bc89906ca34ccp-6, 0x1.051a4fa090d81p-5, 0x1.2ae9ac0ee6177p-5, 0x1.4fae03312b1c6p-5, 0x1.736358d23cff7p-5, 0x1.960681eee5b49p-5, 0x1.b7951818e138ap-5, 0x1.d80d6d2d4953p-5, 0x1.f76e7f64aa926p-5, 0x1.0adbf6e0ef28ap-4, 0x1.1974f671f52edp-4, 0x1.27829e1f116d8p-4, 0x1.35058ddc8ddf7p-4, 0x1.41fea0df080e8p-4, 0x1.4e6ee8d6ee7bcp-4, 0x1.5a57a961f60d5p-4, 0x1.65ba53b2796f4p-4, 0x1.7098826c6cbbp-4, 0x1.7af3f5b756323p-4, 0x1.84ce8f848fd02p-4, 0x1.8e2a5008db67bp-4, 0x1.9709526839dafp-4, 0x1.9f6dc992c83c7p-4, 0x1.a759fd5150bbfp-4, 0x1.aed047801aefcp-4, 0x1.b5d31176838a6p-4, 0x1.bc64d199c40bfp-4, 0x1.c288091943dfbp-4, 0x1.c83f41d2e49b7p-4, 0x1.cd8d0c5d8542ep-4, 0x1.d273fe3814963p-4, 0x1.d6f6b01b933e5p-4, 0x1.db17bc6e48c25p-4, 0x1.ded9bdd67a813p-4, 0x1.e23f4deb2df97p-4, 0x1.e54b040120a89p-4, 0x1.e7ff7412992e4p-4, 0x1.ea5f2dc06d408p-4, 0x1.ec6cbb6ac3f6fp-4, 0x1.ee2aa1602bc99p-4, 0x1.ef9b5d21a9b21p-4, 0x1.f0c164ba48f6cp-4, 0x1.f19f262910635p-4, 0x1.f23706dbfed91p-4, 0x1.f28b633af239ap-4, 0x1.f29e8e4152e03p-4, 0x1.f272d1257f4e1p-4, 0x1.f20a6b0cde8f2p-4, 0x1.f16790cbb12p-4, 0x1.f08c6cafb9dfdp-4, 0x1.ef7b1e54dfa2ap-4, 0x1.ee35ba82eb7d1p-4, 0x1.ecbe4b13b761bp-4, 0x1.eb16cee10483ep-4, 0x1.e94139b954216p-4, 0x1.e73f745b26219p-4, 0x1.e5135c75fd723p-4, 0x1.e2bec4b0a0eb8p-4, 0x1.e04374b426604p-4, 0x1.dda3293b3252cp-4, 0x1.dadf942512958p-4, 0x1.d7fa5c8c4502fp-4, 0x1.d4f51ee007c8ep-4, 0x1.d1d16d0097cb9p-4, 0x1.ce90ce5dddccfp-4, 0x1.cb34c01817fd2p-4, 0x1.c7beb52273a53p-4, 0x1.c43016671bc5bp-4, 0x1.c08a42ecb0593p-4, 0x1.bcce8ffcd1c96p-4, 0x1.b8fe494bb6087p-4, 0x1.b51ab12064ca9p-4, 0x1.b125007da8f2ap-4, 0x1.ad1e674b77dcfp-4, 0x1.a9080c80b0a04p-4, 0x1.a4e30e4d11d74p-4, 0x1.a0b0824365f41p-4, 0x1.9c7175839dfb9p-4, 0x1.9826ece5031f9p-4, 0x1.93d1e5202af36p-4, 0x1.8f7352f8d8faap-4, 0x1.8b0c236794bfdp-4, 0x1.869d3bc2fc5c6p-4, 0x1.822779e8c1825p-4, 0x1.7dabb46648c07p-4, 0x1.792abaa0e264cp-4, 0x1.74a554fd93a84p-4, 0x1.701c45086c195p-4, 0x1.6b90459b61762p-4, 0x1.67020b04ac836p-4, 0x1.6272432ca43bp-4, 0x1.5de195bb12c0cp-4, 0x1.5950a43c04765p-4, 0x1.54c00a440be7fp-4, 0x1.50305d93fc27p-4, 0x1.4ba22e3c16c1ap-4, 0x1.471606beadb1cp-4, 0x1.428c6c323943dp-4, 0x1.3e05de62e1132p-4, 0x1.3982d7f37849ep-4, 0x1.3503ce7def9a9p-4, 0x1.308932b33c3fp-4, 0x1.2c13707ab3fd3p-4, 0x1.27a2ef10e15c1p-4, 0x1.23381125cf816p-4, 0x1.1ed334facf213p-4, 0x1.1a74b47fb77c3p-4, 0x1.161ce56fa1aabp-4, 0x1.11cc196d237b5p-4, 0x1.0d829e1e068dfp-4, 0x1.0940bd468367cp-4, 0x1.0506bce3fab37p-4, 0x1.00d4df47343cbp-4, 0x1.f956c65c45342p-5, 0x1.f11507ba59246p-5, 0x1.e8e4f26ffd0e5p-5, 0x1.e0c6efb3ccba3p-5, 0x1.d8bb625b70ea5p-5, 0x1.d0c2a70a849dp-5, 0x1.c8dd146095f67p-5, 0x1.c10afb2644942p-5, 0x1.b94ca6798182cp-5, 0x1.b1a25bf8f3a71p-5, 0x1.aa0c5bee83107p-5, 0x1.a28ae1790eb9bp-5, 0x1.9b1e22b54baap-5, 0x1.93c650e5d8042p-5, 0x1.8c83989a7afa4p-5, 0x1.855621d69d434p-5, 0x1.7e3e1036f3bbap-5, 0x1.773b831668dd1p-5, 0x1.704e95b23d4ecp-5, 0x1.69775f4d6a1cfp-5, 0x1.62b5f353427bp-5, 0x1.5c0a617957e09p-5, 0x1.5574b5e0a7318p-5, 0x1.4ef4f9360a5d4p-5, 0x1.488b30d1f68dap-5, 0x1.42375ed7873eep-5, 0x1.3bf98252d74f9p-5, 0x1.35d19756acf45p-5, 0x1.2fbf971978eb5p-5, 0x1.29c37811accc3p-5, 0x1.23dd2e1167c1fp-5, 0x1.1e0caa6180b71p-5, 0x1.1851dbdbebd89p-5, 0x1.12acaf057fa79p-5, 0x1.0d1d0e271c6aep-5, 0x1.07a2e16635a69p-5, 0x1.023e0edcc447fp-5, 0x1.f9dcf5613e218p-6, 0x1.ef680e547af24p-6, 0x1.e51d2995d339p-6, 0x1.dafc04c4bb571p-6, 0x1.d1045a47ab5ffp-6, 0x1.c735e17524ee2p-6, 0x1.bd904ebba6876p-6, 0x1.b41353c88c91ep-6, 0x1.aabe9fade849ap-6, 0x1.a191df0749e83p-6, 0x1.988cbc1d90482p-6, 0x1.8faedf09aff2dp-6, 0x1.86f7edd6827b8p-6, 0x1.7e678ca1a2605p-6, 0x1.75fd5dbb4d1cbp-6, 0x1.6db901c55fd43p-6, 0x1.659a17d160841p-6, 0x1.5da03d7da98afp-6, 0x1.55cb0f11ae61fp-6, 0x1.4e1a279964c81p-6, 0x1.468d20ffd0f95p-6, 0x1.3f239428c3b69p-6, 0x1.37dd1909be29cp-6, 0x1.30b946c20c886p-6, 0x1.29b7b3b21c61cp-6, 0x1.22d7f591ffd29p-6, 0x1.1c19a18740cbdp-6, 0x1.157c4c39e6e04p-6, 0x1.0eff89e8cdd97p-6, 0x1.08a2ee7d41d36p-6, 0x1.02660d9deb6b2p-6, 0x1.f890f58213cc5p-7, 0x1.ec93927c12c65p-7, 0x1.e0d318bcd9483p-7, 0x1.d54eaedc272dap-7, 0x1.ca057b95d0ec4p-7, 0x1.bef6a5e7d3531p-7, 0x1.b421552f3e553p-7, 0x1.a984b143fb18ep-7, 0x1.9f1fe2935f376p-7, 0x1.94f21239b8cfp-7, 0x1.8afa6a1ab3092p-7, 0x1.813814f8b7aafp-7, 0x1.77aa3e8b4978p-7, 0x1.6e501394532ebp-7, 0x1.6528c1f488abbp-7, 0x1.5c3378becab99p-7, 0x1.536f684aa140ap-7, 0x1.4adbc245ca6edp-7, 0x1.4277b9c4ee528p-7, 0x1.3a4283536f72ep-7, 0x1.323b55026a217p-7, 0x1.2a616676e3a54p-7, 0x1.22b3f0f72c9fcp-7, 0x1.1b322f778476fp-7, 0x1.13db5ea5f5beap-7, 0x1.0caebcf582258p-7, 0x1.05ab8aa892c83p-7, 0x1.fda213b57c71dp-8, 0x1.f03cfd13c951fp-8, 0x1.e3265d3d4b6f5p-8, 0x1.d65cc3e875336p-8, 0x1.c9dec4bf5c86bp-8, 0x1.bdaaf76d13a41p-8, 0x1.b1bff7a9cdfcbp-8, 0x1.a61c654602b77p-8, 0x1.9abee434612a2p-8, 0x1.8fa61c92db6b8p-8, 0x1.84d0bab2a7be3p-8, 0x1.7a3d6f1f49b95p-8, 0x1.6feaeea4b4ea2p-8, 0x1.65d7f2548b768p-8, 0x1.5c03378a79993p-8, 0x1.526b7fefc824fp-8, 0x1.490f917e16938p-8, 0x1.3fee3681599dfp-8, 0x1.37063d991c664p-8, 0x1.2e5679b8fae8dp-8, 0x1.25ddc2288a9f1p-8, 0x1.1d9af28280a36p-8, 0x1.158ceab340f56p-8, 0x1.0db28ef6d52f5p-8, 0x1.060ac7d64cecdp-8, 0x1.fd2904491956bp-9, 0x1.ee9d5df529ff2p-9, 0x1.e0708766a2a32p-9, 0x1.d2a073cdb689ap-9, 0x1.c52b1ecaaad52p-9, 0x1.b80e8c6291658p-9, 0x1.ab48c8f342a21p-9, 0x1.9ed7e92686f92p-9, 0x1.92ba09e46171dp-9, 0x1.86ed5044d051ep-9, 0x1.7b6fe980b507p-9, 0x1.70400ae237c53p-9, 0x1.655bf1b46dfe2p-9, 0x1.5ac1e3328b30ep-9, 0x1.50702c767418fp-9, 0x1.46652266d6046p-9, 0x1.3c9f21a4c5b1p-9, 0x1.331c8e78e490ap-9, 0x1.29dbd4c01f98ap-9, 0x1.20db67d80cad5p-9, 0x1.1819c28ae3d9p-9, 0x1.0f9566fb31046p-9, 0x1.074cde8f205a1p-9, 0x1.fe7d73b737e14p-10, 0x1.eed3211e2c477p-10, 0x1.df9802b835028p-10, 0x1.d0c963c7611a6p-10, 0x1.c2649d3f0b53bp-10, 0x1.b4671597e2907p-10, 0x1.a6ce40a3939ddp-10, 0x1.99979f6056dbdp-10, 0x1.8cc0bfcc23d2ap-10, 0x1.80473cb7c0c0ep-10, 0x1.7428bd99b2a2fp-10, 0x1.6862f66117d65p-10, 0x1.5cf3a7484a713p-10, 0x1.51d89ca7bf668p-10, 0x1.470faec879941p-10, 0x1.3c96c1b6f428fp-10, 0x1.326bc515b539ep-10, 0x1.288cb3f034c7p-10, 0x1.1ef7948dbabfbp-10, 0x1.15aa78445c8cfp-10, 0x1.0ca37b4c30a6cp-10, 0x1.03e0c4929bb87p-10, 0x1.f6c10b1baf473p-11, 0x1.e641f42151cd9p-11, 0x1.d640d03ca333fp-11, 0x1.c6ba3f7d72383p-11, 0x1.b7aaf5a5e388bp-11, 0x1.a90fb9d3cea98p-11, 0x1.9ae5662aba0e7p-11, 0x1.8d28e77ea7f27p-11, 0x1.7fd73cff53191p-11, 0x1.72ed77e4317fp-11, 0x1.6668bb192928ep-11, 0x1.5a463aebe712bp-11, 0x1.4e833cba049dp-11, 0x1.431d16a01d053p-11, 0x1.38112f2955077p-11, 0x1.2d5cfcffecab1p-11, 0x1.22fe069e8f8f4p-11, 0x1.18f1e2028786p-11, 0x1.0f36345ead76p-11, 0x1.05c8b1cf6cf4fp-11, 0x1.f94e3a1eac637p-12, 0x1.e79e8e59a84fap-12, 0x1.d67e1e81b16f4p-12, 0x1.c5e8c44c22697p-12, 0x1.b5da7462d7a4cp-12, 0x1.a64f3dd6980eap-12, 0x1.9743499380a54p-12, 0x1.88b2d9d747893p-12, 0x1.7a9a49a974c16p-12, 0x1.6cf60c555c023p-12, 0x1.5fc2ace5db843p-12, 0x1.52fccda37c31p-12, 0x1.46a12793d204fp-12, 0x1.3aac89fb432eep-12, 0x1.2f1bd9e084ef4p-12, 0x1.23ec1191d739bp-12, 0x1.191a402c783d8p-12, 0x1.0ea38925b8106p-12, 0x1.048523d603666p-12, 0x1.f578b60b8abacp-13, 0x1.e28d18f8d9d8p-13, 0x1.d04251219bfbbp-13, 0x1.be936377c8b2fp-13, 0x1.ad7b785a16d89p-13, 0x1.9cf5dac0bf288p-13, 0x1.8cfdf76d1ce9dp-13, 0x1.7d8f5c1ddd07bp-13, 0x1.6ea5b6c617dbfp-13, 0x1.603cd4c8278acp-13, 0x1.5250a23471e08p-13, 0x1.44dd290ad051fp-13, 0x1.37de9080c82c2p-13, 0x1.2b511c4a08a18p-13, 0x1.1f312be4b9389p-13, 0x1.137b39e9b3a14p-13, 0x1.082bdb5f4f111p-13, 0x1.fa7f7e202a71ep-14, 0x1.e56759c8d9786p-14, 0x1.d1090a7f928d6p-14, 0x1.bd5e80c1ddbb4p-14, 0x1.aa61db8aaf75bp-14, 0x1.980d672040a2dp-14, 0x1.865b9be6ed973p-14, 0x1.75471d3b1552ap-14, 0x1.64cab8516b093p-14, 0x1.54e1631c05d83p-14, 0x1.45863b3673cbap-14, 0x1.36b484d76369cp-14, 0x1.2867a9c7d3bcp-14, 0x1.1a9b385fe0459p-14, 0x1.0d4ae289c79c7p-14, 0x1.00727cca03963p-14, 0x1.e81bfa98d1e3ap-15, 0x1.d032f5f01ed44p-15, 0x1.b922590d78aep-15, 0x1.a2e2cf450f29dp-15, 0x1.8d6d4011a8961p-15, 0x1.78bacd63194a9p-15, 0x1.64c4d1f7ef5cfp-15, 0x1.5184dfc02761ap-15, 0x1.3ef4be49f0dfdp-15, 0x1.2d0e693763adfp-15, 0x1.1bcc0ebe2df26p-15, 0x1.0b280e2ff5cd3p-15, 0x1.f639ed1723f32p-16, 0x1.d74b0a2f0e95ep-16, 0x1.b97948097deecp-16, 0x1.9cbad233be7f2p-16, 0x1.810628ceabe68p-16, 0x1.66521e059d831p-16, 0x1.4c95d397a1b36p-16, 0x1.33c8b86eacfcap-16, 0x1.1be28647006e2p-16, 0x1.04db3f64c9cf1p-16, 0x1.dd5658b77507p-17, 0x1.b295b3c165a69p-17, 0x1.89662d5b0457bp-17, 0x1.61b9e2e3dcadep-17, 0x1.3b836da019d74p-17, 0x1.16b5ded316508p-17, 0x1.e68977df4b266p-18, 0x1.a247f5ca0187p-18, 0x1.608ffd084763ep-18, 0x1.214b25f906f24p-18, 0x1.c8c7a9ce7743ep-19, 0x1.538a66cb80afdp-19, 0x1.c56ca762a24b7p-20, 0x1.d892c981b0f64p-21, 0x1.b605337ee4b0ep-24, -0x1.5b2d1b62f9e7ep-21, -0x1.6ee0a380033aep-20, -0x1.146067967ccf4p-19, -0x1.6dbbc17a28411p-19, -0x1.c3a16bbf08275p-19, -0x1.0b17a817c1b75p-18, -0x1.32c1200793fe5p-18, -0x1.58dafedffe324p-18, -0x1.7d72a3193e5bdp-18, -0x1.a094ed0322767p-18, -0x1.c24e432db1448p-18, -0x1.e2aa96ba6dffep-18, -0x1.00dab3c12f46ep-17, -0x1.0fbce41198e96p-17, -0x1.1e0130f4ef252p-17, -0x1.2bacbc4ef7999p-17, -0x1.38c47718b0345p-17, -0x1.454d23280ef56p-17, -0x1.514b54eb5076bp-17, -0x1.5cc37514e4f09p-17, -0x1.67b9c23ada48p-17, -0x1.72325267b9061p-17, -0x1.7c3114a13a7b2p-17, -0x1.85b9d25ff5222p-17, -0x1.8ed030fb9e5c9p-17, -0x1.9777b30b14e0bp-17, -0x1.9fb3b9baaf687p-17, -0x1.a7878614b394ap-17, -0x1.aef63a4132bc2p-17, -0x1.b602dab8ce9c4p-17, -0x1.bcb04f701f91bp-17, -0x1.c30164f62c7dap-17, -0x1.c8f8cd8b2f2c3p-17, -0x1.ce99222ce1a0fp-17, -0x1.d3e4e39880f66p-17, -0x1.d8de7b462bae4p-17, -0x1.dd883c5a5a763p-17, -0x1.e1e4648def51bp-17, -0x1.e5f51d0f3b531p-17, -0x1.e9bc7b5ad2033p-17, -0x1.ed3c820c17bc4p-17, -0x1.f07721a635055p-17, -0x1.f36e3956e430bp-17, -0x1.f62397b02eb9bp-17, -0x1.f898fb5d056b9p-17, -0x1.fad013ce82b63p-17, -0x1.fcca81e206bfcp-17, -0x1.fe89d8818b663p-17, -0x1.0007ce9f51053p-16, -0x1.00aea472fbc0dp-16, -0x1.013a24074637p-16, -0x1.01aafdd0e3a9bp-16, -0x1.0201dcb053d8p-16, -0x1.023f6630331a3p-16, -0x1.02643ac268d2p-16, -0x1.0270f5fa4ba24p-16, -0x1.02662ec471bbap-16, -0x1.0244779c397eep-16, -0x1.020c5ebf251ddp-16, -0x1.01be6e5e2b18ep-16, -0x1.015b2ccc9547p-16, -0x1.00e31cadc1cbbp-16, -0x1.0056bd1f65d16p-16, -0x1.ff6d13c76b346p-17, -0x1.fe05f7108ba14p-17, -0x1.fc790f190d0c4p-17, -0x1.fac7410a7aad1p-17, -0x1.f8f16c7e5311fp-17, -0x1.f6f86bc0a6b6fp-17, -0x1.f4dd140d88c18p-17, -0x1.f2a035ce081ddp-17, -0x1.f0429cd0e88adp-17, -0x1.edc51080d6036p-17, -0x1.eb2854184f0b9p-17, -0x1.e86d26d3262ep-17, -0x1.e594441cdf4fcp-17, -0x1.e29e63bdb1b28p-17, -0x1.df8c3a045bb6ep-17, -0x1.dc5e77eebb019p-17, -0x1.d915cb4f3f06bp-17, -0x1.d5b2def20c50ap-17, -0x1.d2365abdf3e32p-17, -0x1.cea0e3d5a895fp-17, -0x1.caf31cb609eb7p-17, -0x1.c72da552cfda2p-17, -0x1.c3511b3283e1dp-17, -0x1.bf5e19876742ep-17, -0x1.bb5539488470ep-17, -0x1.b7371147c063fp-17, -0x1.b3043647f7703p-17, -0x1.aebd3b109e926p-17, -0x1.aa62b0817eac4p-17, -0x1.a5f525a3686a5p-17, -0x1.a17527b9ac291p-17, -0x1.9ce342511c113p-17, -0x1.983fff4eca77ep-17, -0x1.938be6fd856e4p-17, -0x1.8ec7801a561c6p-17, -0x1.89f34fe00b1e2p-17, -0x1.850fda1282057p-17, -0x1.801da107dff58p-17, -0x1.7b1d25b2c6723p-17, -0x1.760ee7a9d01acp-17, -0x1.70f3653095644p-17, -0x1.6bcb1b3d61ecep-17, -0x1.6696858121a0ap-17, -0x1.61561e6c71c2cp-17, -0x1.5c0a5f3556415p-17, -0x1.56b3bfdc1ca13p-17, -0x1.5152b72fc469bp-17, -0x1.4be7bad1aa579p-17, -0x1.46733f394c0fdp-17, -0x1.40f5b7b75c254p-17, -0x1.3b6f96782def3p-17, -0x1.35e14c865318fp-17, -0x1.304b49cc40bc6p-17, -0x1.2aadfd1674761p-17, -0x1.2509d41463a0bp-17, -0x1.1f5f3b59d9d1cp-17, -0x1.19ae9e5fcbfabp-17, -0x1.13f86784e73a5p-17, -0x1.0e3d000e1ba53p-17, -0x1.087cd0266d256p-17, -0x1.02b83edfe1203p-17, -0x1.f9df646454681p-18, -0x1.ee471df743158p-18, -0x1.e2a871ff64a26p-18, -0x1.d70425cebae02p-18, -0x1.cb5afc7f2804dp-18, -0x1.bfadb6f2d8bcdp-18, -0x1.b3fd13d1c2daep-18, -0x1.a849cf87d269p-18, -0x1.9c94a443231eap-18, -0x1.90de49f22d27bp-18, -0x1.8527764155b39p-18, -0x1.7970dc992d07bp-18, -0x1.6dbb2e1c6f2d3p-18, -0x1.620719a5135f4p-18, -0x1.56554bc2ccb27p-18, -0x1.4aa66eb8ada96p-18, -0x1.3efb2a7a5f69ap-18, -0x1.335424ab48b2p-18, -0x1.27b2009a8287cp-18, -0x1.1c155f42fd651p-18, -0x1.107edf47b223fp-18, -0x1.04ef1cf297aacp-18, -0x1.f2cd64652d43ap-19, -0x1.dbcc6d333d308p-19, -0x1.c4dc7eb6943ep-19, -0x1.adfebe96286bbp-19, -0x1.97344db63305fp-19, -0x1.807e48354fee4p-19, -0x1.69ddc5697d2f7p-19, -0x1.5353d7df284cdp-19, -0x1.3ce18d56d0f9bp-19, -0x1.2687eec2d4be5p-19, -0x1.1048004731dd2p-19, -0x1.f445826e720e3p-20, -0x1.c832582c00255p-20, -0x1.9c586d2b04a2ep-20, -0x1.70b9a32dff5b3p-20, -0x1.4557d253ae7dcp-20, -0x1.1a34c91b52663p-20, -0x1.dea498c6a13dbp-21, -0x1.89642edcd8b13p-21, -0x1.34abb7c79d6fp-21, -0x1.c0fd0758e5b1ep-22, -0x1.19bf9f0d0889bp-22, -0x1.ce9629c65dc61p-24, 0x1.8a5846784e595p-25, 0x1.aa18263cd48acp-23, 0x1.7797b2ca26e3cp-22, 0x1.0c7415f98d223p-21, 0x1.5c7bf4360a52cp-21, 0x1.abe0bbcac5766p-21, 0x1.fa9fc71a18094p-21, 0x1.245b419663a39p-20, 0x1.4b1137c9b9e02p-20, 0x1.71708f2c6ff7ep-20, 0x1.977819f32f99ap-20, 0x1.bd26b3761d6f6p-20, 0x1.e27b402524acep-20, 0x1.03ba56bd11384p-19, 0x1.1608f8f5d1342p-19, 0x1.2829066f6b28dp-19, 0x1.3a1a034c2d657p-19, 0x1.4bdb7815fc5e2p-19, 0x1.5d6cf1b88ae62p-19, 0x1.6ece0176fde3ap-19, 0x1.7ffe3ce43cd9fp-19, 0x1.90fd3ddb4d67dp-19, 0x1.a1caa276104b5p-19, 0x1.b2660d033f03ep-19, 0x1.c2cf23ff9ee8fp-19, 0x1.d305920a930c8p-19, 0x1.e30905dd360efp-19, 0x1.f2d9324184aa5p-19, 0x1.013ae703365cep-18, 0x1.08ef49fc1fe32p-18, 0x1.1089a16a02334p-18, 0x1.1809ce9fc3661p-18, 0x1.1f6fb4de37179p-18, 0x1.26bb394f5ceb2p-18, 0x1.2dec43016928cp-18, 0x1.3502bae054ed4p-18, 0x1.3bfe8bb0ffdb2p-18, 0x1.42dfa20b35503p-18, 0x1.49a5ec546293bp-18, 0x1.50515ab9bc9e2p-18, 0x1.56e1df2a0bf2cp-18, 0x1.5d576d50d3371p-18, 0x1.63b1fa8f85beep-18, 0x1.69f17df7fd2adp-18, 0x1.7015f046d27d7p-18, 0x1.761f4bdcc83f6p-18, 0x1.7c0d8cb99dca6p-18, 0x1.81e0b07550c93p-18, 0x1.8798b63a1d3dp-18, 0x1.8d359ebf50c83p-18, 0x1.92b76c41b247ap-18, 0x1.981e227ef9685p-18, 0x1.9d69c6ae6d976p-18, 0x1.a29a5f7b57e12p-18, 0x1.a7aff4fef7b8dp-18, 0x1.acaa90ba034dep-18, 0x1.b18a3d8e7691ap-18, 0x1.b64f07ba18afcp-18, 0x1.baf8fccf5cb5bp-18, 0x1.bf882bafebf1fp-18, 0x1.c3fca48620cf5p-18, 0x1.c85678bf2440ep-18, 0x1.cc95bb044d85p-18, 0x1.d0ba7f35e955ep-18, 0x1.d4c4da64110dep-18, 0x1.d8b4e2c916792p-18, 0x1.dc8aafc3ae834p-18, 0x1.e04659d04dcf4p-18, 0x1.e3e7fa83523e3p-18, 0x1.e76fac838c26bp-18, 0x1.eadd8b8336e96p-18, 0x1.ee31b43ac754dp-18, 0x1.f16c4462c50c2p-18, 0x1.f48d5aade0bcfp-18, 0x1.f79516c2db5b8p-18, 0x1.fa83993735663p-18, 0x1.fd590388b1d31p-18, 0x1.000abc0c0fc73p-17, 0x1.015c8d1193627p-17, 0x1.02a206df85bbep-17, 0x1.03db3be962235p-17, 0x1.05083f08801c6p-17, 0x1.06292379a889ap-17, 0x1.073dfcda21ef8p-17, 0x1.0846df24c1531p-17, 0x1.0943deaf8b80bp-17, 0x1.0a351028be47ap-17, 0x1.0b1a889441c33p-17, 0x1.0bf45d48d835ap-17, 0x1.0cc2a3edce70ap-17, 0x1.0d85727810bd7p-17, 0x1.0e3cdf27b0c15p-17, 0x1.0ee900855f6c5p-17, 0x1.0f89ed5ff5071p-17, 0x1.101fbcc9bfe58p-17, 0x1.10aa86163adc5p-17, 0x1.112a60d77fd62p-17, 0x1.119f64dbd9ae3p-17, 0x1.1209aa2b91218p-17, 0x1.126949063cf24p-17, 0x1.12be59e0971p-17, 0x1.1308f5623e948p-17, 0x1.13493463654a9p-17, 0x1.137f2fea6dc89p-17, 0x1.13ab0129d04dfp-17, 0x1.13ccc17ded53p-17, 0x1.13e48a6ada0bep-17, 0x1.13f2759a3468dp-17, 0x1.13f69cd905125p-17, 0x1.13f11a15ccc54p-17, 0x1.13e2075e52ff1p-17, 0x1.13c97eddb0e6dp-17, 0x1.13a79ada48e71p-17, 0x1.137c75b3e632cp-17, 0x1.134829e1b5f4cp-17, 0x1.130ad1f069dbep-17, 0x1.12c488806c604p-17, 0x1.12756843eb199p-17, 0x1.121d8bfd0949cp-17, 0x1.11bd0e7c31ae4p-17, 0x1.11540a9e399f1p-17, 0x1.10e29b4ab450fp-17, 0x1.1068db723515bp-17, 0x1.0fe6e60cba8a9p-17, 0x1.0f5cd617fcf34p-17, 0x1.0ecac695d1a09p-17, 0x1.0e30d28a9d08cp-17, 0x1.0d8f14fbb34c2p-17, 0x1.0ce5a8edf2cdp-17, 0x1.0c34a9642c0d5p-17, 0x1.0b7c315dba8c2p-17, 0x1.0abc5bd500ab6p-17, 0x1.09f543be09331p-17, 0x1.0927040526aabp-17, 0x1.0851b78da8e49p-17, 0x1.0775793071d25p-17, 0x1.069263bab11d9p-17, 0x1.05a891eca4f0dp-17, 0x1.04b81e784f38fp-17, 0x1.03c1240037705p-17, 0x1.02c3bd1658839p-17, 0x1.01c0043ae5c83p-17, 0x1.00b613db20f4fp-17, 0x1.ff4c0ca083144p-18, 0x1.fd1febbcc92bep-18, 0x1.fae7f966ef6e3p-18, 0x1.f8a469cc66cc6p-18, 0x1.f65570ea17c27p-18, 0x1.f3fb428a92dd4p-18, 0x1.f19612440f649p-18, 0x1.ef2613768a021p-18, 0x1.ecab7949f796dp-18, 0x1.ea2676ac86791p-18, 0x1.e7973e50c5c1cp-18, 0x1.e4fe02ac035d7p-18, 0x1.e25af5f4d5591p-18, 0x1.dfae4a215cdb2p-18, 0x1.dcf830e5a356dp-18, 0x1.da38dbb234473p-18, 0x1.d7707bb2c193ep-18, 0x1.d49f41cc871bfp-18, 0x1.d1c55e9d1d829p-18, 0x1.cee3027904a2fp-18, 0x1.cbf85d6a73318p-18, 0x1.c9059f30073bap-18, 0x1.c60af73b8e941p-18, 0x1.c30894b0ef3d9p-18, 0x1.bffea665170ap-18, 0x1.bced5adcb9132p-18, 0x1.b9d4e04b5f127p-18, 0x1.b6b5649264d25p-18, 0x1.b38f15400f938p-18, 0x1.b0621f8e8f418p-18, 0x1.ad2eb0631a2b7p-18, 0x1.a9f4f44d0fa7ap-18, 0x1.a6b5178528d6ap-18, 0x1.a36f45ecd3c52p-18, 0x1.a023ab0d33c2fp-18, 0x1.9cd2721693004p-18, 0x1.997bc5dfbf205p-18, 0x1.961fd0e54c6f2p-18, 0x1.92bebd48ddfd2p-18, 0x1.8f58b4d0c7f2bp-18, 0x1.8bede0e76d939p-18, 0x1.887e6a9aa62dcp-18, 0x1.850a7a9b51032p-18, 0x1.8192393ce651cp-18, 0x1.7e15ce75032b6p-18, 0x1.7a9561dafa7dcp-18, 0x1.77111aa78259ap-18, 0x1.73891fb45e57fp-18, 0x1.6ffd977be282ap-18, 0x1.6c6ea818e7ccap-18, 0x1.68dc774679ecfp-18, 0x1.65472a5f70789p-18, 0x1.61aee65e54147p-18, 0x1.5e13cfdd2ap-18, 0x1.5a760b1562369p-18, 0x1.56d5bbdf9899ap-18, 0x1.533305b3891fbp-18, 0x1.4f8e0ba7db5f1p-18, 0x1.4be6f07233d8fp-18, 0x1.483dd66714451p-18, 0x1.4492df79c3a53p-18, 0x1.40e62d3c760bap-18, 0x1.3d37e0e03a294p-18, 0x1.39881b35015f2p-18, 0x1.35d6fca9b7f4ep-18, 0x1.3224a54c40c5cp-18, 0x1.2e7134c9a5acdp-18, 0x1.2abcca6e475dcp-18, 0x1.27078525c091fp-18, 0x1.2351837b47be8p-18, 0x1.1f9ae399b5219p-18, 0x1.1be3c34bbbd44p-18, 0x1.182c3ffc46068p-18, 0x1.147476b68163bp-18, 0x1.10bc8425f8ba2p-18, 0x1.0d0484970949fp-18, 0x1.094c93f733c34p-18, 0x1.0594cdd53c8e9p-18, 0x1.01dd4d61701c3p-18, 0x1.fc4c5adc35034p-19, 0x1.f4df10df86477p-19, 0x1.ed72f0fad55d7p-19, 0x1.e6082ea21d0a9p-19, 0x1.de9efc8fd7d14p-19, 0x1.d7378cc5abba7p-19, 0x1.cfd2108d7e758p-19, 0x1.c86eb879bd66bp-19, 0x1.c10db466d20c3p-19, 0x1.b9af337b68e59p-19, 0x1.b25364296b0f7p-19, 0x1.aafa742ec7729p-19, 0x1.a3a49096d8bf9p-19, 0x1.9c51e5bb1a70cp-19, 0x1.95029f4399337p-19, 0x1.8db6e8284140ap-19, 0x1.866eeab1f3a4p-19, 0x1.7f2ad07b577dap-19, 0x1.77eac271dcd62p-19, 0x1.70aee8d6d1e64p-19, 0x1.69776b403330cp-19, 0x1.6244709a0f2fbp-19, 0x1.5b161f275fa7bp-19, 0x1.53ec9c8315b5fp-19, 0x1.4cc80da14d111p-19, 0x1.45a896d0447d6p-19, 0x1.3e8e5bb985869p-19, 0x1.37797f630c38ep-19, 0x1.306a24303af93p-19, 0x1.29606be32fc86p-19, 0x1.225c779e2b665p-19, 0x1.1b5e67e43d1aap-19, 0x1.14665c9a9234ep-19, 0x1.0d74750970cf3p-19, 0x1.0688cfddfd7aep-19, 0x1.ff471656497p-20, 0x1.f18988d4adc5p-20, 0x1.e3d930fafee45p-20, 0x1.d636475f8fa51p-20, 0x1.c8a1036db3421p-20, 0x1.bb199b6842fc4p-20, 0x1.ada0446c03759p-20, 0x1.a0353272574a5p-20, 0x1.92d898539c5a4p-20, }}, 
      {{-0x1.e646695b667dbp-7, -0x1.e3791415e8317p-6, -0x1.67660292a303ep-5, -0x1.d9d96cfb7e9bep-5, -0x1.2460e11b33d43p-4, -0x1.5a0ab855a637p-4, -0x1.8dff979123c6bp-4, -0x1.c0646307b7f39p-4, -0x1.f164edb3ad8fbp-4, -0x1.1096cc9e9e9a8p-3, -0x1.27f381996ad0cp-3, -0x1.3ed9b459da6b3p-3, -0x1.5556afea194f3p-3, -0x1.6b73c61f450bdp-3, -0x1.813680d28a29cp-3, -0x1.96a10abeab60dp-3, -0x1.abb2b7d3d15d2p-3, -0x1.c0689b03b0a8p-3, -0x1.d4be1ca97202ep-3, -0x1.e8ad88cb3829p-3, -0x1.fc308fa4437a9p-3, -0x1.07a05aa95e1bep-2, -0x1.10ebd7a7395c1p-2, -0x1.19f7d7cb6ddbap-2, -0x1.22c1cf349a3c1p-2, -0x1.2b47a1f1bf801p-2, -0x1.3387b1a8105efp-2, -0x1.3b80e4fff9581p-2, -0x1.4332a9d0d68d6p-2, -0x1.4a9cf2fb88ea1p-2, -0x1.51c032d521e71p-2, -0x1.589d52eed045cp-2, -0x1.5f35a9f194cd8p-2, -0x1.658af02c84e8ep-2, -0x1.6b9f335ceefd5p-2, -0x1.7174ca2132e6ap-2, -0x1.770e477252857p-2, -0x1.7c6e6e6d50fd5p-2, -0x1.819826a4b6b59p-2, -0x1.868e7123e8a61p-2, -0x1.8b545e41791c4p-2, -0x1.8fed045314f65p-2, -0x1.945b774cf29cfp-2, -0x1.98a2c14f9635p-2, -0x1.9cc5dc212fbf4p-2, -0x1.a0c7ab8b7c137p-2, -0x1.a4aaf893d9723p-2, -0x1.a8726d80f93a8p-2, -0x1.ac2092a00a4a9p-2, -0x1.afb7cbba518dfp-2, -0x1.b33a562bc266ap-2, -0x1.b6aa478b2acfap-2, -0x1.ba098cd4d32fap-2, -0x1.bd59ea0903642p-2, -0x1.c09cfa308701p-2, -0x1.c3d42fba2b7b3p-2, -0x1.c700d5250b5b6p-2, -0x1.ca240dec67f18p-2, -0x1.cd3ed7aac1d4ep-2, -0x1.d0520b6ac994p-2, -0x1.d35e5f1daa2f7p-2, -0x1.d664672efccf2p-2, -0x1.d964982f8fb5ep-2, -0x1.dc5f4890e5d39p-2, -0x1.df54b26c00bccp-2, -0x1.e244f54ebb90cp-2, -0x1.e530180b80d99p-2, -0x1.e8160a87c8986p-2, -0x1.eaf6a786306c8p-2, -0x1.edd1b66984211p-2, -0x1.f0a6ecee7287dp-2, -0x1.f375f0d9f8cf7p-2, -0x1.f63e599af7317p-2, -0x1.f8ffb1dd9b6ebp-2, -0x1.fbb9790f98593p-2, -0x1.fe6b24d45d05fp-2, -0x1.008a11345671bp-1, -0x1.01d9ebfa97caep-1, -0x1.0324d2e7dbfa4p-1, -0x1.046a73d58c2fbp-1, -0x1.05aa7adac9e7dp-1, -0x1.06e492d2fe2ebp-1, -0x1.081865dbd98e9p-1, -0x1.09459dcaecb08p-1, -0x1.0a6be49b01edbp-1, -0x1.0b8ae4d16e595p-1, -0x1.0ca249db92571p-1, -0x1.0db1c064cbeefp-1, -0x1.0eb8f6a51bf5ap-1, -0x1.0fb79ca8c2ddap-1, -0x1.10ad64912341fp-1, -0x1.119a02cf2f373p-1, -0x1.127d2e57ae02cp-1, -0x1.1356a0d1a7a0bp-1, -0x1.142616bf3ffa3p-1, -0x1.14eb4fa14efdap-1, -0x1.15a60e15fdeffp-1, -0x1.165617f2b7d0dp-1, -0x1.16fb3659b08bbp-1, -0x1.179535cb4bbfep-1, -0x1.1823e633a90d2p-1, -0x1.18a71af493b01p-1, -0x1.191eaaec1d562p-1, -0x1.198a707819614p-1, -0x1.19ea4976bc1dbp-1, -0x1.1a3e17449277bp-1, -0x1.1a85beb80aee6p-1, -0x1.1ac1281ac256ap-1, -0x1.1af03f20c9358p-1, -0x1.1b12f2de0c5adp-1, -0x1.1b2935ba12a72p-1, -0x1.1b32fd623608cp-1, -0x1.1b3042ba82578p-1, -0x1.1b2101cd5d402p-1, -0x1.1b0539ba1df22p-1, -0x1.1adceca2b0eeap-1, -0x1.1aa81f986c78bp-1, -0x1.1a66da882d2fap-1, -0x1.1a192825d9d3cp-1, -0x1.19bf15d764dccp-1, -0x1.1958b39f64827p-1, -0x1.18e6140754c9fp-1, -0x1.18674c099a76bp-1, -0x1.17dc72fb560a9p-1, -0x1.1745a27619f7ep-1, -0x1.16a2f641916e4p-1, -0x1.15f48c3d2879bp-1, -0x1.153a8449bf202p-1, -0x1.1475003376aa2p-1, -0x1.13a4239ba0201p-1, -0x1.12c813e2d8bd7p-1, -0x1.11e0f8135bd2fp-1, -0x1.10eef8cb90b22p-1, -0x1.0ff24028dddd1p-1, -0x1.0eeaf9b2c570dp-1, -0x1.0dd9524652b4dp-1, -0x1.0cbd7801dbe27p-1, -0x1.0b979a311be3cp-1, -0x1.0a67e939aad87p-1, -0x1.092e9687d3d85p-1, -0x1.07ebd47bd086p-1, -0x1.069fd65766b5ep-1, -0x1.054ad02beec0ap-1, -0x1.03ecf6c8c0f8bp-1, -0x1.02867faa0ea7dp-1, -0x1.0117a0e823485p-1, -0x1.ff41224e26f34p-2, -0x1.fc430f0dab055p-2, -0x1.f93577278ead6p-2, -0x1.f618ca6f3fd4cp-2, -0x1.f2ed795598224p-2, -0x1.efb3f4cc6e35fp-2, -0x1.ec6cae2afe657p-2, -0x1.e918171324617p-2, -0x1.e5b6a1576beadp-2, -0x1.e248bee1f270ap-2, -0x1.decee19c15a0ap-2, -0x1.db497b56f4322p-2, -0x1.d7b8fdb4b5ebbp-2, -0x1.d41dda12a25edp-2, -0x1.d0788173f8451p-2, -0x1.ccc9646d8f2dap-2, -0x1.c910f312380a3p-2, -0x1.c54f9cdfdbbb1p-2, -0x1.c185d0ad5bffdp-2, -0x1.bdb3fc9926167p-2, -0x1.b9da8df883599p-2, -0x1.b5f9f14798e9p-2, -0x1.b212921a1c153p-2, -0x1.ae24db0cb250ap-2, -0x1.aa3135b6fdf92p-2, -0x1.a6380a9e51602p-2, -0x1.a239c12909d44p-2, -0x1.9e36bf928a514p-2, -0x1.9a2f6adfd413bp-2, -0x1.962426d4c1058p-2, -0x1.921555e9cdfcp-2, -0x1.8e03594283498p-2, -0x1.89ee90a46aedfp-2, -0x1.85d75a6e97788p-2, -0x1.81be1391b6c5ep-2, -0x1.7da31788b109cp-2, -0x1.7986c051ca07ep-2, -0x1.7569666848709p-2, -0x1.714b60be9b764p-2, -0x1.6d2d04b8fe9d2p-2, -0x1.690ea62898af7p-2, -0x1.64f097470c9aap-2, -0x1.60d328b28571cp-2, -0x1.5cb6a96a2dc02p-2, -0x1.589b66cb17726p-2, -0x1.5481ac8d8bfc1p-2, -0x1.5069c4c2c8adep-2, -0x1.4c53f7d31bcdbp-2, -0x1.48408c7c65f5ap-2, -0x1.442fc7d0f990bp-2, -0x1.4021ed36d805bp-2, -0x1.3c173e6745f65p-2, -0x1.380ffb6eb774fp-2, -0x1.340c62ad10ab6p-2, -0x1.300cb0d634ca2p-2, -0x1.2c1120f2e5e55p-2, -0x1.2819ec61eeb3bp-2, -0x1.24274ad9946efp-2, -0x1.2039726950643p-2, -0x1.1c50977bcbed1p-2, -0x1.186cecd91d105p-2, -0x1.148ea3a940b43p-2, -0x1.10b5eb76d3454p-2, -0x1.0ce2f231fd425p-2, -0x1.0915e4339dcc2p-2, -0x1.054eec40a12f5p-2, -0x1.018e338d902b3p-2, -0x1.fba7c38494a39p-3, -0x1.f44039fbdfdp-3, -0x1.ece613b5ea3ap-3, -0x1.e59996e6c1983p-3, -0x1.de5b06ca5a382p-3, -0x1.d72aa3ad9e85cp-3, -0x1.d008aaf7c8765p-3, -0x1.c8f55733ec351p-3, -0x1.c1f0e01ad037fp-3, -0x1.bafb7a9cedca7p-3, -0x1.b41558ecb5539p-3, -0x1.ad3eaa88f78cep-3, -0x1.a6779c477e39ep-3, -0x1.9fc0585fd53fbp-3, -0x1.991906762d3f8p-3, -0x1.9281cba66f72ap-3, -0x1.8bfaca8f5f99cp-3, -0x1.8584235de9e7p-3, -0x1.7f1df3d880bd6p-3, -0x1.78c8576a8eab2p-3, -0x1.7283673001e6ep-3, -0x1.6c4f3a00e25ap-3, -0x1.662be47cf5becp-3, -0x1.601979176ba89p-3, -0x1.5a18082298809p-3, -0x1.54279fdbac1bfp-3, -0x1.4e484c7671ffap-3, -0x1.487a18290b7bcp-3, -0x1.42bd0b37af0d8p-3, -0x1.3d112c005ef64p-3, -0x1.37767f0694626p-3, -0x1.31ed06feeef67p-3, -0x1.2c74c4dacd7dep-3, -0x1.270db7d3ddcd5p-3, -0x1.21b7dd77a4bacp-3, -0x1.1c7331b2e9efcp-3, -0x1.173faedd1d938p-3, -0x1.121d4dc3a634fp-3, -0x1.0d0c05b513706p-3, -0x1.080bcc8c47c9p-3, -0x1.031c96bb8034fp-3, -0x1.fc7caeae860f7p-4, -0x1.f2e200427c4d7p-4, -0x1.e9690325f7cbdp-4, -0x1.e01195d10e5c8p-4, -0x1.d6db9455dc6e6p-4, -0x1.cdc6d875409dcp-4, -0x1.c4d339b36ecdbp-4, -0x1.bc008d6c34178p-4, -0x1.b34ea6e6f61e9p-4, -0x1.aabd576a7a181p-4, -0x1.a24c6e505ca8dp-4, -0x1.99fbb9184364ap-4, -0x1.91cb037acfacep-4, -0x1.89ba177c3cc3dp-4, -0x1.81c8bd7ebb8dp-4, -0x1.79f6bc54805f1p-4, -0x1.7243d95184a92p-4, -0x1.6aafd85cff0e4p-4, -0x1.633a7c028ac29p-4, -0x1.5be385830315p-4, -0x1.54aab4e511917p-4, -0x1.4d8fc90569fb3p-4, -0x1.46927fa6bceb8p-4, -0x1.3fb2958156586p-4, -0x1.38efc6526f684p-4, -0x1.3249cceb300d1p-4, -0x1.2bc0633f6066dp-4, -0x1.25534273cc916p-4, -0x1.1f0222ec58edep-4, -0x1.18ccbc59c1fb3p-4, -0x1.12b2c5c717ebdp-4, -0x1.0cb3f5a6dcff4p-4, -0x1.06d001dfe4593p-4, -0x1.01069fd9d7d47p-4, -0x1.f6af0912e9a7bp-5, -0x1.eb84c8f8f53aep-5, -0x1.e08de7ca985d3p-5, -0x1.d5c9cd4c8ab99p-5, -0x1.cb37e0b98a097p-5, -0x1.c0d788d7d8369p-5, -0x1.b6a82c0e20c9dp-5, -0x1.aca93077d0349p-5, -0x1.a2d9fbf8d4834p-5, -0x1.9939f450d261ap-5, -0x1.8fc87f2dc279cp-5, -0x1.8685023e0b963p-5, -0x1.7d6ee34208a4p-5, -0x1.7485881d095b3p-5, -0x1.6bc856e5c8fb6p-5, -0x1.6336b5f6584b1p-5, -0x1.5ad00bfb92c7cp-5, -0x1.5293c003f9058p-5, -0x1.4a81398e20196p-5, -0x1.4297e0969609p-5, -0x1.3ad71da546285p-5, -0x1.333e59da6c2b7p-5, -0x1.2bccfefb06cd1p-5, -0x1.2482777cd0b78p-5, -0x1.1d5e2e91caf33p-5, -0x1.165f90334ce42p-5, -0x1.0f86092ca9ab7p-5, -0x1.08d107255c809p-5, -0x1.023ff8aacf5bp-5, -0x1.f7a49a736a7dp-6, -0x1.eb0eea8df321bp-6, -0x1.debdc490878bfp-6, -0x1.d2b00d783dba3p-6, -0x1.c6e4ac6369b39p-6, -0x1.bb5a8aa06541ep-6, -0x1.b01093bb7d875p-6, -0x1.a505b58c45105p-6, -0x1.9a38e042191f1p-6, -0x1.8fa906700031cp-6, -0x1.85551d17d67f5p-6, -0x1.7b3c1bb4d0de7p-6, -0x1.715cfc45599ap-6, -0x1.67b6bb544c20cp-6, -0x1.5e4858018cbf6p-6, -0x1.5510d40a193fp-6, -0x1.4c0f33cf5ced1p-6, -0x1.43427e5e20028p-6, -0x1.3aa9bd74c93bap-6, -0x1.3243fd89179fdp-6, -0x1.2a104dcd63f5p-6, -0x1.220dc03550891p-6, -0x1.1a3b6979fbb9dp-6, -0x1.1298611dbadc2p-6, -0x1.0b23c16f59fe9p-6, -0x1.03dca78ce4becp-6, -0x1.f98466cbf336ep-7, -0x1.eba70f7b714bbp-7, -0x1.de1f94588a407p-7, -0x1.d0ec463f9ef92p-7, -0x1.c40b7bbab1f91p-7, -0x1.b77b9101e60cep-7, -0x1.ab3ae7fb7b79cp-7, -0x1.9f47e83affb31p-7, -0x1.93a0feffc3499p-7, -0x1.88449f32b7dbdp-7, -0x1.7d31416395a88p-7, -0x1.726563c58db99p-7, -0x1.67df8a2b2ffd3p-7, -0x1.5d9e3e01d9bedp-7, -0x1.53a00e4c94921p-7, -0x1.49e38f9e77fccp-7, -0x1.40675c147195p-7, -0x1.372a134ea1517p-7, -0x1.2e2a5a693da9p-7, -0x1.2566dbf4f43f7p-7, -0x1.1cde47eef7d15p-7, -0x1.148f53b893ae8p-7, -0x1.0c78ba0e592c6p-7, -0x1.04993afefbbedp-7, -0x1.f9df37c36ff2cp-8, -0x1.eaf54e99048aap-8, -0x1.dc725a13afb7fp-8, -0x1.ce54041c6a859p-8, -0x1.c09800da9e45bp-8, -0x1.b33c0e9e0592fp-8, -0x1.a63df5c81881cp-8, -0x1.999b88b4c1042p-8, -0x1.8d52a3a300627p-8, -0x1.81612c9ca6db4p-8, -0x1.75c5135e14456p-8, -0x1.6a7c513d78e79p-8, -0x1.5f84e9117ce8dp-8, -0x1.54dce717f10aap-8, -0x1.4a8260dbeeb5dp-8, -0x1.4073751be2123p-8, -0x1.36ae4baf33036p-8, -0x1.2d31156bbb7a6p-8, -0x1.23fa0c0b1737dp-8, -0x1.1b07720f985bp-8, -0x1.125792a964c1fp-8, -0x1.09e8c19b0423ap-8, -0x1.01b95b1e2f2fbp-8, -0x1.f38f879071927p-9, -0x1.e424d0dd26cf1p-9, -0x1.d52f7c164af94p-9, -0x1.c6ac834164d01p-9, -0x1.b898f03df3e4fp-9, -0x1.aaf1dc8e3aa02p-9, -0x1.9db4711fae31ap-9, -0x1.90dde6136a742p-9, -0x1.846b8286f0ae2p-9, -0x1.785a9c5c89713p-9, -0x1.6ca898045d6d6p-9, -0x1.6152e844eef55p-9, -0x1.56570e04684dp-9, -0x1.4bb29811cf836p-9, -0x1.416322ee34aafp-9, -0x1.376658968113p-9, -0x1.2db9f04d29cb6p-9, -0x1.245bae647365bp-9, -0x1.1b496408d02bep-9, -0x1.1280ef0b529b2p-9, -0x1.0a0039ad07ce1p-9, -0x1.01c53a6a0ca9p-9, -0x1.f39be78a9e928p-10, -0x1.e430e8292ec5ep-10, -0x1.d545aa99e486bp-10, -0x1.c6d6799f10314p-10, -0x1.b8dfb66d5f6dp-10, -0x1.ab5dd8478263ap-10, -0x1.9e4d6c19e65cep-10, -0x1.91ab1417b91d3p-10, -0x1.857387591fa3ep-10, -0x1.79a3917986cep-10, -0x1.6e3812379fd12p-10, -0x1.632dfd15f815bp-10, -0x1.588258fc96471p-10, -0x1.4e323fdb84f3cp-10, -0x1.443ade4e8c0c3p-10, -0x1.3a997341b2ca4p-10, -0x1.314b4f96d3304p-10, -0x1.284dd5cc5ea76p-10, -0x1.1f9e79a5060bdp-10, -0x1.173abfd04f4ap-10, -0x1.0f203d9484a23p-10, -0x1.074c987981b9ap-10, -0x1.ff7b0be9077b6p-11, -0x1.f0e1962a8c3bfp-11, -0x1.e2c87867dee88p-11, -0x1.d52b7940abdf7p-11, -0x1.c8067ca4039a9p-11, -0x1.bb5583337f3d2p-11, -0x1.af14a9a75325cp-11, -0x1.a3402835f30e7p-11, -0x1.97d451fcafe6p-11, -0x1.8ccd946b3b67dp-11, -0x1.822876b0fa38cp-11, -0x1.77e1992c9d3acp-11, -0x1.6df5b4de082d2p-11, -0x1.64619ada444a9p-11, -0x1.5b2233c1861aap-11, -0x1.52347f372baa1p-11, -0x1.4995935cd15f2p-11, -0x1.41429c4dba916p-11, -0x1.3938db9e7fd55p-11, -0x1.3175a7dd3e885p-11, -0x1.29f66c144e2dap-11, -0x1.22b8a74f8efa2p-11, -0x1.1bb9ec22df5bep-11, -0x1.14f7e033997aep-11, -0x1.0e703bc37edd6p-11, -0x1.0820c93d83af2p-11, -0x1.020764c56246fp-11, -0x1.f843f790d4bf4p-12, -0x1.ecdd1921188dp-12, -0x1.e1d64bb3144e5p-12, -0x1.d72bccd012d8ap-12, -0x1.ccd9f94424fe9p-12, -0x1.c2dd4c54b67fbp-12, -0x1.b9325ef9b0e45p-12, -0x1.afd5e71a45bf9p-12, -0x1.a6c4b6ce41119p-12, -0x1.9dfbbba27d4ep-12, -0x1.9577fde0c7d6dp-12, -0x1.8d369fdc2c435p-12, -0x1.8534dd3ff2826p-12, -0x1.7d700a61bb058p-12, -0x1.75e5939991316p-12, -0x1.6e92fc999fae8p-12, -0x1.6775dfccbe6cdp-12, -0x1.608bedb6111ffp-12, -0x1.59d2ec54b7dcdp-12, -0x1.5348b68b53b35p-12, -0x1.4ceb3b89c6563p-12, -0x1.46b87e3ab020fp-12, -0x1.40ae94b3da9cfp-12, -0x1.3acba7a967e48p-12, -0x1.350df1e567795p-12, -0x1.2f73bfc0769dcp-12, -0x1.29fb6e9e2ba9p-12, -0x1.24a36c6d99ca7p-12, -0x1.1f6a372a672b4p-12, -0x1.1a4e5c62ef25cp-12, -0x1.154e78bf1a6dbp-12, -0x1.1069378c1d06fp-12, -0x1.0b9d5248c7f34p-12, -0x1.06e9903628e87p-12, -0x1.024cc5e9ec625p-12, -0x1.fb8ba9c6e437cp-13, -0x1.f2a75646a9c3dp-13, -0x1.e9ea858bebbb7p-13, -0x1.e153433f6a217p-13, -0x1.d8dfb1b808986p-13, -0x1.d08e093d95aadp-13, -0x1.c85c974fd95a3p-13, -0x1.c049bdf2fe92fp-13, -0x1.b853f2febfb0fp-13, -0x1.b079bf745f35dp-13, -0x1.a8b9bed717e58p-13, -0x1.a1129e88ef302p-13, -0x1.99831d2cd163p-13, -0x1.920a0a0ba8c37p-13, -0x1.8aa6447e151b3p-13, -0x1.8356bb5956ed3p-13, -0x1.7c1a6c6112f45p-13, -0x1.74f063bbccfdcp-13, -0x1.6dd7bb6c8068bp-13, -0x1.66cf9acdf032ep-13, -0x1.5fd73612ed09dp-13, -0x1.58edcdca815a5p-13, -0x1.5212ae64ed722p-13, -0x1.4b452fc02fabfp-13, -0x1.4484b4b36f14cp-13, -0x1.3dd0aaa07f03ap-13, -0x1.37288907f51ebp-13, -0x1.308bd11f35f9ep-13, -0x1.29fa0d6b046f1p-13, -0x1.2372d15bec8aap-13, -0x1.1cf5b8ee7df2cp-13, -0x1.1682684d27575p-13, -0x1.10188b764e591p-13, -0x1.09b7d5e38077bp-13, -0x1.03600234a336ap-13, -0x1.fa21a3babcd62p-14, -0x1.ed9419a859f16p-14, -0x1.e117028adb5b3p-14, -0x1.d4aa068e9fc94p-14, -0x1.c84cd92253b45p-14, -0x1.bbff386a3bc14p-14, -0x1.afc0ecb56cc1cp-14, -0x1.a391c7fc15c34p-14, -0x1.9771a55cc5a17p-14, -0x1.8b6068a1635eep-14, -0x1.7f5dfdc7d4a48p-14, -0x1.736a588cffeb6p-14, -0x1.678573fe057fep-14, -0x1.5baf520aa2d6cp-14, -0x1.4fe7fb1dc190bp-14, -0x1.442f7db7eedccp-14, -0x1.3885ee0e3dfafp-14, -0x1.2ceb65ac2feb8p-14, -0x1.216003199ae14p-14, -0x1.15e3e982264dep-14, -0x1.0a7740625277p-14, -0x1.fe34666bb65dbp-15, -0x1.e799e252ec083p-15, -0x1.d11f59a02f5fbp-15, -0x1.bac537b4603b2p-15, -0x1.a48beda21e8f8p-15, -0x1.8e73f1a57b77ap-15, -0x1.787dbea64ced7p-15, -0x1.62a9d3bb527bbp-15, -0x1.4cf8b3b42d546p-15, -0x1.376ae4a89b85bp-15, -0x1.2200ef8b7e287p-15, -0x1.0cbb5fc1f1267p-15, -0x1.ef3585837de56p-16, -0x1.c53f4f5cd0034p-16, -0x1.9b953e0514886p-16, -0x1.72387467c46cbp-16, -0x1.492a16c9b5e21p-16, -0x1.206b4a21c3edbp-16, -0x1.effa6713cef92p-17, -0x1.9fc1ef50c3c58p-17, -0x1.502f745453d9dp-17, -0x1.01453a7db4c32p-17, -0x1.660b04814f7c7p-18, -0x1.95ca1cccbd9e2p-19, -0x1.88e7f355e995bp-21, 0x1.9d233332bb843p-20, 0x1.fc90067856013p-19, 0x1.93dc64f60297dp-18, 0x1.1400e1c6c7ab9p-17, 0x1.5d5a01ad246fbp-17, 0x1.a5f78e587e371p-17, 0x1.edd78e8869ef1p-17, 0x1.1a7c0a0a812bdp-16, 0x1.3dab9e38ef572p-16, 0x1.607998912aacbp-16, 0x1.82e514160b706p-16, 0x1.a4ed323ab5677p-16, 0x1.c6911b16816ep-16, 0x1.e7cffd8c38d99p-16, 0x1.045487ba5f9f6p-15, 0x1.148dc6df63dd3p-15, 0x1.24935e4a5d63bp-15, 0x1.3464f3bae9f91p-15, 0x1.440230a9144eep-15, 0x1.536ac250ae742p-15, 0x1.629e59baf2335p-15, 0x1.719cabc77e97dp-15, 0x1.8065713401b26p-15, 0x1.8ef866a184b8ep-15, 0x1.9d554c999baf6p-15, 0x1.ab7be7921c356p-15, 0x1.b96bffee9f638p-15, 0x1.c7256202c976cp-15, 0x1.d4a7de126af57p-15, 0x1.e1f3484ff4baep-15, 0x1.ef0778dc30a0ap-15, 0x1.fbe44bc278ae5p-15, 0x1.0444d07acabacp-14, 0x1.0a7bae25cb11cp-14, 0x1.1096b2bc3705ap-14, 0x1.1695d4047b5a1p-14, 0x1.1c7909ad75a55p-14, 0x1.22404d4b960bdp-14, 0x1.27eb9a5464745p-14, 0x1.2d7aee1a7175cp-14, 0x1.32ee47c90fc93p-14, 0x1.3845a85edc35bp-14, 0x1.3d8112a98456ep-14, 0x1.42a08b3ff1f0ap-14, 0x1.47a4187cb6eeap-14, 0x1.4c8bc278b4d6bp-14, 0x1.51579304b1dfp-14, 0x1.560795a3b1a74p-14, 0x1.5a9bd7842aa6cp-14, 0x1.5f14677a26df5p-14, 0x1.637155f7e1cb1p-14, 0x1.67b2b507d1d25p-14, 0x1.6bd898452f2a6p-14, 0x1.6fe314d571aecp-14, 0x1.73d241609f5d8p-14, 0x1.77a6360ab7a27p-14, 0x1.7b5f0c6c100eap-14, 0x1.7efcdf89d34a4p-14, 0x1.827fcbcf261e1p-14, 0x1.85e7ef04e1519p-14, 0x1.8935684adb461p-14, 0x1.8c68580f9ef2cp-14, 0x1.8f80e0092cc57p-14, 0x1.927f232d35aa3p-14, 0x1.956345a997498p-14, 0x1.982d6cdc3d2b7p-14, 0x1.9addbf4bff51ep-14, 0x1.9d7464a08fc9bp-14, 0x1.9ff1859acfa38p-14, 0x1.a2554c0d5deddp-14, 0x1.a49fe2d479ed3p-14, 0x1.a6d175cecd2ccp-14, 0x1.a8ea31d585606p-14, 0x1.aaea44b4eb4c2p-14, 0x1.acd1dd24a0dbfp-14, 0x1.aea12ac0349eep-14, 0x1.b0585dffa33e5p-14, 0x1.b1f7a82fd38e1p-14, 0x1.b37f3b6b3c0b1p-14, 0x1.b4ef4a92b8fe1p-14, 0x1.b6480945ed857p-14, 0x1.b789abdc6ac8ap-14, 0x1.b8b4675e23064p-14, 0x1.b9c8717ca0fd1p-14, 0x1.bac6008bf57a1p-14, 0x1.bbad4b7b82abbp-14, 0x1.bc7e89cf8a031p-14, 0x1.bd39f399dc825p-14, 0x1.bddfc1738e725p-14, 0x1.be702c76055d7p-14, 0x1.beeb6e34ad92dp-14, 0x1.bf51c0b636f72p-14, 0x1.bfa35e6e4e228p-14, 0x1.bfe0823750167p-14, 0x1.c009674c18f98p-14, 0x1.c01e4941b7cd5p-14, 0x1.c01f6401956f9p-14, 0x1.c00cf3c34a8a5p-14, 0x1.bfe73506f9059p-14, 0x1.bfae648f4b666p-14, 0x1.bf62bf5be2118p-14, 0x1.bf0482a3e0fabp-14, 0x1.be93ebd0113e5p-14, 0x1.be113875e5b5cp-14, 0x1.bd7ca651db9ddp-14, 0x1.bcd673427b91p-14, 0x1.bc1edd4319a7cp-14, 0x1.bb562266c0d4bp-14, 0x1.ba7c80d384ef8p-14, 0x1.b99236bd68a9bp-14, 0x1.b8978261d0068p-14, 0x1.b78ca202b02bbp-14, 0x1.b671d3e23f18fp-14, 0x1.b547563e47803p-14, 0x1.b40d674be8b38p-14, 0x1.b2c4453354c67p-14, 0x1.b16c2e0b9b4acp-14, 0x1.b0055fd684449p-14, 0x1.ae90187cdace3p-14, 0x1.ad0c95ca1ccfep-14, 0x1.ab7b156914e77p-14, 0x1.a9dbd4dfce944p-14, 0x1.a82f118c42226p-14, 0x1.a67508a0a850dp-14, 0x1.a4adf7200d044p-14, 0x1.a2da19dad759p-14, 0x1.a0f9ad6bd8d0bp-14, 0x1.9f0cee34bd9cfp-14, 0x1.9d14185b4c425p-14, 0x1.9b0f67c620774p-14, 0x1.98ff1819f1155p-14, 0x1.96e364b68f9acp-14, 0x1.94bc88b45ac84p-14, 0x1.928abee1572d4p-14, 0x1.904e41bec6b38p-14, 0x1.8e074b7e86e27p-14, 0x1.8bb61600b8cf7p-14, 0x1.895adad165d11p-14, 0x1.86f5d3261ad31p-14, 0x1.848737dbe9452p-14, 0x1.820f4175138c8p-14, 0x1.7f8e28171b472p-14, 0x1.7d042388c6e9p-14, 0x1.7a716b301d718p-14, 0x1.77d63610c3f1cp-14, 0x1.7532baca032ap-14, 0x1.72872f9546924p-14, 0x1.6fd3ca444fe75p-14, 0x1.6d18c03fc46e5p-14, 0x1.6a5646859a277p-14, 0x1.678c91a7bc4e9p-14, 0x1.64bbd5ca9c953p-14, 0x1.61e446a3fda5ep-14, 0x1.5f0617798f5b4p-14, 0x1.5c217b1fd9543p-14, 0x1.5936a3f91523p-14, 0x1.5645c3f4240dp-14, 0x1.534f0c8b79423p-14, 0x1.5052aec43de86p-14, 0x1.4d50db2d5ad9dp-14, 0x1.4a49c1deaa04cp-14, 0x1.473d92782b943p-14, 0x1.442c7c213d418p-14, 0x1.4116ad87f5adap-14, 0x1.3dfc54e08a2d3p-14, 0x1.3add9fe4a5163p-14, 0x1.37babbd2ea885p-14, 0x1.3493d56e68d9ap-14, 0x1.316918fe3e842p-14, 0x1.2e3ab24d2affep-14, 0x1.2b08cca92618cp-14, 0x1.27d392e31ep-14, 0x1.249b2f4ea9799p-14, 0x1.215fcbc1d3cc6p-14, 0x1.1e219194fdc62p-14, 0x1.1ae0a9a294f46p-14, 0x1.179d3c470c9dbp-14, 0x1.14577160ba72bp-14, 0x1.110f704fe2724p-14, 0x1.0dc55ff6b1dd8p-14, 0x1.0a7966b940a97p-14, 0x1.072baa7da29bap-14, 0x1.03dc50ac08ccp-14, 0x1.008b7e2ee12b8p-14, 0x1.fa72aee61359dp-15, 0x1.f3cc00cfe6cc2p-15, 0x1.ed2338ffcd4f6p-15, 0x1.e6789d607ead6p-15, 0x1.dfcc72e37186cp-15, 0x1.d91efd81769b7p-15, 0x1.d270803b74dcfp-15, 0x1.cbc13d1b1267dp-15, 0x1.c511753391bb3p-15, 0x1.be6168a29c904p-15, 0x1.b7b15691216e4p-15, 0x1.b1017d342330ep-15, 0x1.aa5219cdeba33p-15, 0x1.a3a368aef100bp-15, 0x1.9cf5a536d67b6p-15, 0x1.964909d5a8915p-15, 0x1.8f9dd00cd37c4p-15, 0x1.88f430706f616p-15, 0x1.824c62a86ef54p-15, 0x1.7ba69d71ebabbp-15, 0x1.750316a03c945p-15, 0x1.6e62031e76c85p-15, 0x1.67c396f0b8289p-15, 0x1.612805357f715p-15, 0x1.5a8f80271e99fp-15, 0x1.53fa391d25489p-15, 0x1.4d68608dd9ae2p-15, 0x1.46da260fa7a8cp-15, 0x1.404fb85ab5ba7p-15, 0x1.39c9454a65766p-15, 0x1.3346f9dedf198p-15, 0x1.2cc9023eafdf9p-15, 0x1.264f89b86404dp-15, 0x1.1fdabac4005b1p-15, 0x1.196abf04e1d4bp-15, 0x1.12ffbf4b4e84dp-15, 0x1.0c99e3961cf61p-15, 0x1.06395314608c2p-15, 0x1.ffbc684e2df59p-16, 0x1.f31158c5fc2c7p-16, 0x1.e671c1249c84dp-16, 0x1.d9dde96cb247dp-16, 0x1.cd561812c6162p-16, 0x1.c0da9200cb58bp-16, 0x1.b46b9a99b86dbp-16, 0x1.a80973bd0e42ap-16, 0x1.9bb45dca8848ep-16, 0x1.8f6c97a58ad72p-16, 0x1.83325eb8e016ap-16, 0x1.7705eefa72c61p-16, 0x1.6ae782eecc76p-16, 0x1.5ed753aced1ebp-16, 0x1.52d598e1f6097p-16, 0x1.46e288d4c7c1p-16, 0x1.3afe58696f028p-16, 0x1.2f293b254d07fp-16, 0x1.236363329cf91p-16, 0x1.17ad016411232p-16, 0x1.0c064538a078fp-16, 0x1.006f5cdf4b6c5p-16, 0x1.e9d0ea7530026p-17, 0x1.d2e373c906a84p-17, 0x1.bc16aa647ff05p-17, 0x1.a56ae06f5e4f8p-17, 0x1.8ee0659639f1ap-17, 0x1.787787127f298p-17, 0x1.62308fb1554aap-17, 0x1.4c0bc7dac8873p-17, 0x1.3609759968aep-17, 0x1.2029dca1d654p-17, 0x1.0a6d3e59b47d5p-17, 0x1.e9a7b3beac673p-18, 0x1.bebbd821f5184p-18, 0x1.94175f278b9f4p-18, 0x1.69bab9b658f74p-18, 0x1.3fa65460212cap-18, 0x1.15da97700254dp-18, 0x1.d8afcdf2bf36cp-19, 0x1.863d45cadc38bp-19, 0x1.345e4e026d882p-19, 0x1.c6272c33d1767p-20, 0x1.24bb8b22f096fp-20, 0x1.08f5f01834ed9p-21, -0x1.a995d61b8f665p-24, -0x1.7100a9a20ac4cp-21, -0x1.5538dd0bfaebfp-20, -0x1.f0c1f3c392ce9p-20, -0x1.458d52ad5169ep-19, -0x1.92210657ecc9bp-19, -0x1.de1ba9734b14bp-19, -0x1.14be6bcc98ff7p-18, -0x1.3a2219a872b12p-18, -0x1.5f38b2f9feb2dp-18, -0x1.84020fca30be2p-18, -0x1.a87e0b713954ap-18, -0x1.ccac848923449p-18, -0x1.f08d5ce122263p-18, -0x1.0a103cb85dd58p-17, -0x1.1bb2e12574926p-17, -0x1.2d2e91490ba2fp-17, -0x1.3e83443543b43p-17, -0x1.4fb0f2773eb64p-17, -0x1.60b796112ab0ap-17, -0x1.71972a737ca11p-17, -0x1.824fac7786abbp-17, -0x1.92e11a5957b34p-17, -0x1.a34b73b140952p-17, -0x1.b38eb96e2d3eap-17, -0x1.c3aaedcff3abep-17, -0x1.d3a014611b6eap-17, -0x1.e36e31f170694p-17, -0x1.f3154c903218fp-17, -0x1.014ab5c31d1d2p-16, -0x1.08f74ba83dab7p-16, -0x1.10906ccd2447ep-16, -0x1.18161e9c13282p-16, -0x1.1f886710f1449p-16, -0x1.26e74cb6ac35ap-16, -0x1.2e32d6a478ebcp-16, -0x1.356b0c7b461f1p-16, -0x1.3c8ff66311edp-16, -0x1.43a19d08327dp-16, -0x1.4aa00998de0efp-16, -0x1.518b45c2b8cc7p-16, -0x1.58635bafcd723p-16, -0x1.5f285604822c9p-16, -0x1.65da3fdd2a03bp-16, -0x1.6c7924cb0f884p-16, -0x1.730510d297cdep-16, -0x1.797e1068b088ap-16, -0x1.7fe4307000ea2p-16, -0x1.86377e37315c6p-16, -0x1.8c7807762cf1ap-16, -0x1.92a5da4bf7fdcp-16, -0x1.98c1053c7ec1ap-16, -0x1.9ec9972e17b6p-16, -0x1.a4bf9f6789b2fp-16, -0x1.aaa32d8dd649p-16, -0x1.b07451a1afcbbp-16, }}, 
      {{-0x1.a312ea263183bp-1, -0x1.a31d61ae7bedbp-1, -0x1.a32053733dbf8p-1, -0x1.a30ffa317ea0bp-1, -0x1.a2e4062d0cddfp-1, -0x1.a2981c61952cdp-1, -0x1.a22b4ab93247ep-1, -0x1.a19f1e8fb4788p-1, -0x1.a0f6b5af308d6p-1, -0x1.a035f1a467a6fp-1, -0x1.9f60daebddec4p-1, -0x1.9e7b33f20003bp-1, -0x1.9d8835af00d72p-1, -0x1.9c8a6d7ebbd55p-1, -0x1.9b83b3c6428dcp-1, -0x1.9a7533e6f78fcp-1, -0x1.995f7f4bc9138p-1, -0x1.9842a6b47d0b2p-1, -0x1.971e561c36557p-1, -0x1.95f1f0a301f9bp-1, -0x1.94bcaabacb1f4p-1, -0x1.937da18198a3fp-1, -0x1.9233eeb36a4a6p-1, -0x1.90deb8fc1c53fp-1, -0x1.8f7d40b406d2dp-1, -0x1.8e0ee93e7fc14p-1, -0x1.8c933f5cf5617p-1, -0x1.8b09fcd857029p-1, -0x1.897309e8293b6p-1, -0x1.87ce7cbdda8ffp-1, -0x1.861c9795a0396p-1, -0x1.845dc5a613a8cp-1, -0x1.8292973e1c62p-1, -0x1.80bbbd565c27bp-1, -0x1.7eda04d0ea001p-1, -0x1.7cee519832d78p-1, -0x1.7af999c48a13dp-1, -0x1.78fce0e78a412p-1, -0x1.76f93394f6f89p-1, -0x1.74efa33a53541p-1, -0x1.72e14250e0aap-1, -0x1.70cf20f11a6ffp-1, -0x1.6eba49cafec66p-1, -0x1.6ca3bf836a7bcp-1, -0x1.6a8c7a746c3a6p-1, -0x1.687566ccac7acp-1, -0x1.665f6308adedp-1, -0x1.644b3ebfc7fbap-1, -0x1.6239b9be297c9p-1, -0x1.602b8364e4759p-1, -0x1.5e213a48f0b88p-1, -0x1.5c1b6c0a2b117p-1, -0x1.5a1a955b8e2efp-1, -0x1.581f223631926p-1, -0x1.56296e30fd5f7p-1, -0x1.5439c4f76bdaap-1, -0x1.525062da24a61p-1, -0x1.506d7574ad0e8p-1, -0x1.4e911c63df79dp-1, -0x1.4cbb6a094b161p-1, -0x1.4aec6458040aap-1, -0x1.492405a7d46f6p-1, -0x1.47623d8c1f814p-1, -0x1.45a6f1ac1a592p-1, -0x1.43f1fe9a524b2p-1, -0x1.424338a9c59c7p-1, -0x1.409a6cbf0e638p-1, -0x1.3ef7611c67177p-1, -0x1.3d59d6277d30ep-1, -0x1.3bc187283cfcap-1, -0x1.3a2e2affecde4p-1, -0x1.389f74d8132fap-1, -0x1.371514c8c3c86p-1, -0x1.358eb87614874p-1, -0x1.340c0ba48c391p-1, -0x1.328cb8c47a7dcp-1, -0x1.311069743b4fep-1, -0x1.2f96c6f97591ep-1, -0x1.2e1f7ab176b89p-1, -0x1.2caa2e78d9f71p-1, -0x1.2b368d0aadf2dp-1, -0x1.29c442575e7adp-1, -0x1.2852fbd3a2b2p-1, -0x1.26e268bfc1094p-1, -0x1.25723a6775578p-1, -0x1.2402245acfb41p-1, -0x1.2291dca05de17p-1, -0x1.21211be0fc143p-1, -0x1.1faf9d8d9cb19p-1, -0x1.1e3d1fff66adap-1, -0x1.1cc964927b052p-1, -0x1.1b542fbbb9b96p-1, -0x1.19dd4919da176p-1, -0x1.18647b82292fcp-1, -0x1.16e995093be9ap-1, -0x1.156c6707e52a1p-1, -0x1.13ecc61cb9bc9p-1, -0x1.126a8a2a685a8p-1, -0x1.10e58e532f7bcp-1, -0x1.0f5db0f1ae13ap-1, -0x1.0dd2d38f50507p-1, -0x1.0c44dad896d1ep-1, -0x1.0ab3ae8f6d55cp-1, -0x1.091f397bc80bep-1, -0x1.0787695abbe8fp-1, -0x1.05ec2ecc405d4p-1, -0x1.044d7d3fc589dp-1, -0x1.02ab4adfcd922p-1, -0x1.0105907caae88p-1, -0x1.feb892ed17a3dp-2, -0x1.fb5ee74de529bp-2, -0x1.f7fe1e9374da6p-2, -0x1.f4963dcb8fad3p-2, -0x1.f1274e6af688dp-2, -0x1.edb15e1e00e3dp-2, -0x1.ea347e992334cp-2, -0x1.e6b0c56983e63p-2, -0x1.e3264bc5be77fp-2, -0x1.df952e5f01aafp-2, -0x1.dbfd8d3299de3p-2, -0x1.d85f8b5c0acbfp-2, -0x1.d4bb4ee7cc71dp-2, -0x1.d11100a6c4a6p-2, -0x1.cd60cc0287e79p-2, -0x1.c9aaded27a0bap-2, -0x1.c5ef6931d791ep-2, -0x1.c22e9d56b6252p-2, -0x1.be68af6a018e9p-2, -0x1.ba9dd5608723bp-2, -0x1.b6ce46d509869p-2, -0x1.b2fa3ce36de07p-2, -0x1.af21f204fd4ep-2, -0x1.ab45a1edc3bb1p-2, -0x1.a765896b0bbc9p-2, -0x1.a381e642f3e3ep-2, -0x1.9f9af7152505dp-2, -0x1.9bb0fb3ca18b1p-2, -0x1.97c432b2b14dbp-2, -0x1.93d4ddf2e2fb6p-2, -0x1.8fe33de023dcep-2, -0x1.8bef93aae6189p-2, -0x1.87fa20b85a462p-2, -0x1.8403268aaabc1p-2, -0x1.800ae6aa42b45p-2, -0x1.7c11a2900ecfdp-2, -0x1.78179b90be019p-2, -0x1.741d12c8f4cf3p-2, -0x1.7022490a7123cp-2, -0x1.6c277eca196ecp-2, -0x1.682cf40ef1569p-2, -0x1.6432e861eac31p-2, -0x1.60399abe95017p-2, -0x1.5c4149849c608p-2, -0x1.584a326a1a43ep-2, -0x1.5454926eaa402p-2, -0x1.5060a5cf45909p-2, -0x1.4c6ea7fadac9cp-2, -0x1.487ed3879a4e5p-2, -0x1.44916228f8d88p-2, -0x1.40a68ca65a74dp-2, -0x1.3cbe8ad266d0fp-2, -0x1.38d99382fe10fp-2, -0x1.34f7dc89caa7bp-2, -0x1.31199aad6b5b7p-2, -0x1.2d3f01a32c39bp-2, -0x1.296844094f5cbp-2, -0x1.25959361de072p-2, -0x1.21c7200dfbeecp-2, -0x1.1dfd1949baf38p-2, -0x1.1a37ad286676dp-2, -0x1.1677089147349p-2, -0x1.12bb573cd7b35p-2, -0x1.0f04c3b26555fp-2, -0x1.0b5377461a1ap-2, -0x1.07a79a176c5edp-2, -0x1.0401530feccaep-2, -0x1.0060c7e276b54p-2, -0x1.f98c3a1564b9dp-3, -0x1.f262eb99e5358p-3, -0x1.eb45e86cc29a5p-3, -0x1.e435723af4191p-3, -0x1.dd31c845a2cd7p-3, -0x1.d63b2764432eap-3, -0x1.cf51ca07397b1p-3, -0x1.c875e83b00521p-3, -0x1.c1a7b7abc8b13p-3, -0x1.bae76ba991914p-3, -0x1.b435352cabb4ep-3, -0x1.ad9142dab273fp-3, -0x1.a6fbc10bd7363p-3, -0x1.a074d9d09ca2ep-3, -0x1.99fcb4f7e1ddp-3, -0x1.939378154776cp-3, -0x1.8d394687de48cp-3, -0x1.86ee41812817p-3, -0x1.80b2880c578a7p-3, -0x1.7a863715d6891p-3, -0x1.74696973085eap-3, -0x1.6e5c37ea40ab7p-3, -0x1.685eb93af543p-3, -0x1.627102261ce62p-3, -0x1.5c932576b592cp-3, -0x1.56c5340a807b2p-3, -0x1.51073cdad3fb2p-3, -0x1.4b594d059b4a9p-3, -0x1.45bb6fd66a6a7p-3, -0x1.402daecfb1bd6p-3, -0x1.3ab011b40b216p-3, -0x1.35429e8f951d3p-3, -0x1.2fe559c160863p-3, -0x1.2a984604f4239p-3, -0x1.255b647bd051ep-3, -0x1.202eb4b7027b8p-3, -0x1.1b1234c0bcf73p-3, -0x1.1605e125f50efp-3, -0x1.1109b4fffbbf9p-3, -0x1.0c1da9fe1ca0cp-3, -0x1.0741b86f35c36p-3, -0x1.0275d74b4a493p-3, -0x1.fb73f87a212cp-4, -0x1.f21c3756e31b4p-4, -0x1.e8e4518606d5fp-4, -0x1.dfcc2afee0b98p-4, -0x1.d6d3a569ac30fp-4, -0x1.cdfaa03220a1dp-4, -0x1.c540f899e32acp-4, -0x1.bca689cad5323p-4, -0x1.b42b2ce93a7f2p-4, -0x1.abceb925ac4d5p-4, -0x1.a39103cef03bap-4, -0x1.9b71e0637e4e3p-4, -0x1.937120a30013ap-4, -0x1.8b8e949f6dfadp-4, -0x1.83ca0ace194e1p-4, -0x1.7c2350186ae3ap-4, -0x1.749a2fec6de7ep-4, -0x1.6d2e744d1e7dcp-4, -0x1.65dfe5e279eafp-4, -0x1.5eae4c0954b6ap-4, -0x1.57996ce2ebfecp-4, -0x1.50a10d6439c23p-4, -0x1.49c4f1650623dp-4, -0x1.4304dbaeb8a4bp-4, -0x1.3c608e0ae3872p-4, -0x1.35d7c9518a683p-4, -0x1.2f6a4d772a0bdp-4, -0x1.2917d99a7429p-4, -0x1.22e02c11ca795p-4, -0x1.1cc302787200fp-4, -0x1.16c019bb81614p-4, -0x1.10d72e2688f9bp-4, -0x1.0b07fb6ff044ap-4, -0x1.05523cc516554p-4, -0x1.ff6b59ac421fp-5, -0x1.f4640bc31b7d7p-5, -0x1.e98e037eec0dcp-5, -0x1.dee8b3d92a4dep-5, -0x1.d4738f29fe3e6p-5, -0x1.ca2e073d342f7p-5, -0x1.c0178d669a601p-5, -0x1.b62f9295daab9p-5, -0x1.ac758769cc0dap-5, -0x1.a2e8dc43327c5p-5, -0x1.9989015706c7cp-5, -0x1.905566c02fa0ap-5, -0x1.874d7c90b652fp-5, -0x1.7e70b2e27abb8p-5, -0x1.75be79e766d05p-5, -0x1.6d3641f91c1bcp-5, -0x1.64d77ba8277afp-5, -0x1.5ca197cab57e1p-5, -0x1.5494078ac8d2cp-5, -0x1.4cae3c73fc38dp-5, -0x1.44efa880c248p-5, -0x1.3d57be2738242p-5, -0x1.35e5f06579e08p-5, -0x1.2e99b2cd8a85cp-5, -0x1.27727990c5df8p-5, -0x1.206fb98ae483p-5, -0x1.1990e84c8f998p-5, -0x1.12d57c258797fp-5, -0x1.0c3cec2e65fbcp-5, -0x1.05c6b051f1f61p-5, -0x1.fee482ac116fcp-6, -0x1.f27e31c864b7cp-6, -0x1.e659632379719p-6, -0x1.da750dcf124c6p-6, -0x1.ced02ad2e21bbp-6, -0x1.c369b53a9f6cbp-6, -0x1.b840aa236071cp-6, -0x1.ad5408c8459a4p-6, -0x1.a2a2d28e7876ap-6, -0x1.982c0b1078949p-6, -0x1.8deeb828cc22dp-6, -0x1.83e9e1fc0379bp-6, -0x1.7a1c9302206bcp-6, -0x1.7085d80f67b3bp-6, -0x1.6724c05c962a2p-6, -0x1.5df85d8e7be04p-6, -0x1.54ffc3bd1673ap-6, -0x1.4c3a097a12af4p-6, -0x1.43a647d6c878dp-6, -0x1.3b439a69b8146p-6, -0x1.33111f5376723p-6, -0x1.2b0df743320b5p-6, -0x1.2339457aa5608p-6, -0x1.1b922fd1a7a9p-6, -0x1.1417deb9403f8p-6, -0x1.0cc97d3e41bacp-6, -0x1.05a6390b8dc43p-6, -0x1.fd5a84d7ba2a5p-7, -0x1.efbb98965522ap-7, -0x1.e26e186f6ddf8p-7, -0x1.d57074c5633afp-7, -0x1.c8c1234106a95p-7, -0x1.bc5e9ed17d435p-7, -0x1.b04767ab6b421p-7, -0x1.a47a034794275p-7, -0x1.98f4fc60c5588p-7, -0x1.8db6e2f11d77bp-7, -0x1.82be4c2ed94c9p-7, -0x1.7809d2887a9a7p-7, -0x1.6d9815a07a26fp-7, -0x1.6367ba4852463p-7, -0x1.59776a7b392ebp-7, -0x1.4fc5d55836a39p-7, -0x1.4651af1bdd4b7p-7, -0x1.3d19b1198dac2p-7, -0x1.341c99b448d5ep-7, -0x1.2b592c5724c4fp-7, -0x1.22ce316d580c3p-7, -0x1.1a7a7659e759cp-7, -0x1.125ccd6f0c786p-7, -0x1.0a740de52177bp-7, -0x1.02bf13d16a31cp-7, -0x1.f6798038e3bcep-8, -0x1.e7d7f0f047a8dp-8, -0x1.d9974eab66a17p-8, -0x1.cbb577b6571f9p-8, -0x1.be3053b1a3c2dp-8, -0x1.b105d37c897dep-8, -0x1.a433f11ee7cafp-8, -0x1.97b8afb2b5068p-8, -0x1.8b921b4d06fcap-8, -0x1.7fbe48e6f2ed6p-8, -0x1.743b564601339p-8, -0x1.690769e4429fdp-8, -0x1.5e20b2d85898fp-8, -0x1.538568bcfa5a2p-8, -0x1.4933cb9884e25p-8, -0x1.3f2a23c42a109p-8, -0x1.3566c1d3039a9p-8, -0x1.2be7fe78f628bp-8, -0x1.22ac3a716cc3p-8, -0x1.19b1de6615a5ap-8, -0x1.10f75ad55826ep-8, -0x1.087b27f8ca55cp-8, -0x1.003bc5ab929bdp-8, -0x1.f06f76a19bbfep-9, -0x1.e0db2f738cc03p-9, -0x1.d1b7e2188f106p-9, -0x1.c302c951c7fd3p-9, -0x1.b4b92e2261fd1p-9, -0x1.a6d8679c45417p-9, -0x1.995ddaacc356cp-9, -0x1.8c46f9e94bc5p-9, -0x1.7f91455c6b004p-9, -0x1.733a4a52b484dp-9, -0x1.673fa3280e572p-9, -0x1.5b9ef71521ab5p-9, -0x1.5055f9fcdd009p-9, -0x1.45626c3a579fep-9, -0x1.3ac21a6edfe43p-9, -0x1.3072dd506ae63p-9, -0x1.2672997809c8ep-9, -0x1.1cbf3f31117b8p-9, -0x1.1356ca481e733p-9, -0x1.0a3741dacc8a3p-9, -0x1.015eb827b1dc5p-9, -0x1.f19694bce4d19p-10, -0x1.e0f640e11c13ep-10, -0x1.d0d8d9c4a6097p-10, -0x1.c13ad938a9c5ap-10, -0x1.b218cd7a799f4p-10, -0x1.a36f58d7ffb34p-10, -0x1.953b315528dc2p-10, -0x1.87792051d7e4ep-10, -0x1.7a2602315429cp-10, -0x1.6d3ec601de80ap-10, -0x1.60c06d25ca913p-10, -0x1.54a80afd2ccb2p-10, -0x1.48f2c49093336p-10, -0x1.3d9dd03cb5e3cp-10, -0x1.32a6755f25fe6p-10, -0x1.280a0c03ac46p-10, -0x1.1dc5fc92fcdadp-10, -0x1.13d7bf824445p-10, -0x1.0a3cdd038b8a3p-10, -0x1.00f2ecb765edbp-10, -0x1.efef2abe5d9b2p-11, -0x1.de911921b31ep-11, -0x1.cdc72cd63bf5p-11, -0x1.bd8d0a966b473p-11, -0x1.adde7306bcb1ap-11, -0x1.9eb74224673fbp-11, -0x1.90136eb6c7849p-11, -0x1.81ef09c21f146p-11, -0x1.74463dfd0cb1dp-11, -0x1.67154f478de04p-11, -0x1.5a589a23c1774p-11, -0x1.4e0c933197635p-11, -0x1.422dc6ab8fbdap-11, -0x1.36b8d7e606e9dp-11, -0x1.2baa80d03f8e7p-11, -0x1.20ff9177979fbp-11, -0x1.16b4ef8c881aap-11, -0x1.0cc795e990fedp-11, -0x1.0334941c82cadp-11, -0x1.f3f21be227509p-12, -0x1.e22475fba269dp-12, -0x1.d0facc6652a33p-12, -0x1.c06fdad75c653p-12, -0x1.b07e81fdc65bbp-12, -0x1.a121c6ab3850ep-12, -0x1.9254d1009b86fp-12, -0x1.8412eb9e285eap-12, -0x1.765782d79d17bp-12, -0x1.691e23eb9fab1p-12, -0x1.5c627c3ebe081p-12, -0x1.5020589a75321p-12, -0x1.4453a46f31ecfp-12, -0x1.38f86919eca69p-12, -0x1.2e0acd2d8263ap-12, -0x1.238713bf25dc1p-12, -0x1.19699bb6505b2p-12, -0x1.0faedf2001bffp-12, -0x1.06537285612f6p-12, -0x1.faa8088b4efcfp-13, -0x1.e95ab7e5be49cp-13, -0x1.d8b8b36529fb5p-13, -0x1.c8bbeb41745bcp-13, -0x1.b95e7e6d1e572p-13, -0x1.aa9ab967f4edap-13, -0x1.9c6b15186c361p-13, -0x1.8eca35aa85036p-13, -0x1.81b2e974ce2fep-13, -0x1.752027e37df4ep-13, -0x1.690d1068dc3f1p-13, -0x1.5d74e9737965fp-13, -0x1.52531f69973fdp-13, -0x1.47a343ab6201fp-13, -0x1.3d610b980e6a4p-13, -0x1.33884f9b44b6bp-13, -0x1.2a150a3db2a73p-13, -0x1.2103573b24884p-13, -0x1.184f729eb47bbp-13, -0x1.0ff5b7e26d5d2p-13, -0x1.07f2a11542f21p-13, -0x1.0042c60542107p-13, -0x1.f1c5b6dbe1411p-14, -0x1.e39f645975b7ep-14, -0x1.d60c6cf1c187cp-14, -0x1.c906de40334fcp-14, -0x1.bc88f9902c8a6p-14, -0x1.b08d3268928bfp-14, -0x1.a50e2d1e71f3cp-14, -0x1.9a06bd726ad1fp-14, -0x1.8f71e535590b1p-14, -0x1.854ad2f46bc5ep-14, -0x1.7b8ce0ae50e32p-14, -0x1.7233929007e1fp-14, -0x1.693a95b8b1f59p-14, -0x1.609dbf066a6e4p-14, -0x1.585909e8f8222p-14, -0x1.5068973bf73dfp-14, -0x1.48c8ac2ae2de2p-14, -0x1.4175b11749ad6p-14, -0x1.3a6c308a8dc6fp-14, -0x1.33a8d62b73b6ep-14, -0x1.2d286dbb1dffbp-14, -0x1.26e7e21997025p-14, -0x1.20e43c4f37b21p-14, -0x1.1b1aa29d26acbp-14, -0x1.1588579381d75p-14, -0x1.102ab92d7ba3cp-14, -0x1.0aff3ff495c5bp-14, -0x1.06037e27a9954p-14, -0x1.01351ee83ff98p-14, -0x1.f923cade1beefp-15, -0x1.f02f588635d62p-15, -0x1.e788c8f13bb2fp-15, -0x1.df2c29e562356p-15, -0x1.d715b359970b2p-15, -0x1.cf41c60cb7f8dp-15, -0x1.c7acea2b4b6fdp-15, -0x1.c053cdfbe14ep-15, -0x1.b9334495684a8p-15, -0x1.b248449e0949fp-15, -0x1.ab8fe7149758p-15, -0x1.a50766211045fp-15, -0x1.9eac1bedb3675p-15, -0x1.987b81890de65p-15, -0x1.92732dcfe68bbp-15, -0x1.8c90d45f33217p-15, -0x1.86d2448c53471p-15, -0x1.8135686780ccdp-15, -0x1.7bb843c3a1cd5p-15, -0x1.7658f345111edp-15, -0x1.7115ab794f07dp-15, -0x1.6becb7f3fa79ap-15, -0x1.66dc7a730854cp-15, -0x1.61e36a0911a51p-15, -0x1.5d00124ee5507p-15, -0x1.5831129a0c2e6p-15, -0x1.53751d3b4b335p-15, -0x1.4ecaf6c0755ddp-15, -0x1.4a31753e490b7p-15, -0x1.45a77f9f7c3edp-15, -0x1.412c0cf746c54p-15, -0x1.3cbe23dd27216p-15, -0x1.385cd9c985c18p-15, -0x1.3407527a5af8fp-15, -0x1.2fbcbf5c6bdf1p-15, -0x1.2b7c5ef7cc7dap-15, -0x1.27457c6304c1p-15, -0x1.23176eb97b707p-15, -0x1.1ef19896fdb69p-15, -0x1.1ad367972c4dap-15, -0x1.16bc53d9d2cb7p-15, -0x1.12abdf8a41398p-15, -0x1.0ea1966b97018p-15, -0x1.0a9d0d6930bcfp-15, -0x1.069de2298c297p-15, -0x1.02a3baa6520c2p-15, -0x1.fd5c898dd8681p-16, -0x1.f57a6bfdfbc2ap-16, -0x1.eda095e194eb3p-16, -0x1.e5ce8e22c1536p-16, -0x1.de03e8a4e1492p-16, -0x1.d6404598d15ffp-16, -0x1.ce8350db419aap-16, -0x1.c6ccc157eec7ap-16, -0x1.bf1c587170f6ap-16, -0x1.b771e170b6f09p-16, -0x1.afcd30f7499ddp-16, -0x1.a82e2478dbe04p-16, -0x1.a094a1b940afep-16, -0x1.9900964f2e85p-16, -0x1.9171f72c0bdecp-16, -0x1.89e8c028b8a5cp-16, -0x1.8264f394eae27p-16, -0x1.7ae699ce289bfp-16, -0x1.736dc0d8461b1p-16, -0x1.6bfa7bfb18852p-16, -0x1.648ce3643e059p-16, -0x1.5d2513cc17d1ap-16, -0x1.55c32e1fcc903p-16, -0x1.4e67572cf49dap-16, -0x1.4711b752e605cp-16, -0x1.3fc27a35ed5d6p-16, -0x1.3879ce763467p-16, -0x1.3137e56a419c8p-16, -0x1.29fcf2dc2e5c2p-16, -0x1.22c92cc98a591p-16, -0x1.1b9ccb27716e1p-16, -0x1.147807a6ee89p-16, -0x1.0d5b1d7f82e34p-16, -0x1.064649385cb74p-16, -0x1.fe7390f01e6d2p-17, -0x1.f06bb3a665d4ep-17, -0x1.e2757940de0dfp-17, -0x1.d4916197c6fd6p-17, -0x1.c6bfed5e12669p-17, -0x1.b9019dd28f78p-17, -0x1.ab56f47800144p-17, -0x1.9dc072cdbcc73p-17, -0x1.903e9a0f1cff9p-17, -0x1.82d1eaf3b773fp-17, -0x1.757ae57618f9cp-17, -0x1.683a089c5f95ap-17, -0x1.5b0fd2435ca08p-17, -0x1.4dfcbeee8b23dp-17, -0x1.4101499a43effp-17, -0x1.341deb8fdc1e4p-17, -0x1.27531c3ebc66dp-17, -0x1.1aa15116900b8p-17, -0x1.0e08fd64d8c6ep-17, -0x1.018a9233fdc09p-17, -0x1.ea4cfc5d08311p-18, -0x1.d1ba5b0472efp-18, -0x1.b95e138f579d1p-18, -0x1.a138f3d4be104p-18, -0x1.894bc42a29ee9p-18, -0x1.71974738c4ab5p-18, -0x1.5a1c39ddc29d3p-18, -0x1.42db5309bbbc4p-18, -0x1.2bd543a5ac71ep-18, -0x1.150ab67ac3d07p-18, -0x1.fcf8a038b6639p-19, -0x1.d0555daa8fcbfp-19, -0x1.a42cd531fbf71p-19, -0x1.788029ec46336p-19, -0x1.4d5072189fc95p-19, -0x1.229eb70c1b698p-19, -0x1.f0d7ea44d3d8p-20, -0x1.9d7237737edacp-20, -0x1.4b0e1a6285553p-20, -0x1.f35a7ba24a415p-21, -0x1.52a2651c826c4p-21, -0x1.67edbe3131e63p-22, -0x1.75aa3f3988503p-25, 0x1.065f8a757baa3p-22, 0x1.1ba60860aa8f2p-21, 0x1.b206040075b1cp-21, 0x1.2326e472ef06p-20, 0x1.6c3dccd3f6cf6p-20, 0x1.b446f51ba004fp-20, 0x1.fb41afb2831ddp-20, 0x1.2096b391fdf43p-19, 0x1.4304cef1b7253p-19, 0x1.64eaf6fa59454p-19, 0x1.8649044fa7bb2p-19, 0x1.a71edb0fe2633p-19, 0x1.c76c6aa53459ap-19, 0x1.e731ad9e02b4dp-19, 0x1.033754bd8c963p-18, 0x1.1291b742b66c5p-18, 0x1.21a80bccbd4abp-18, 0x1.307a64fdbf703p-18, 0x1.3f08da9175124p-18, 0x1.4d538944e8625p-18, 0x1.5b5a92bc27ebp-18, 0x1.691e1d69596dep-18, 0x1.769e54724bae6p-18, 0x1.83db67957e764p-18, 0x1.90d58b113f408p-18, 0x1.9d8cf7871357fp-18, 0x1.aa01e9e3840a3p-18, 0x1.b634a340dc1fep-18, 0x1.c22568cdf1ce7p-18, 0x1.cdd483b259bc6p-18, 0x1.d94240f3ef48ep-18, 0x1.e46ef15b36415p-18, 0x1.ef5ae95981afcp-18, 0x1.fa0680ed684ccp-18, 0x1.023909c415185p-17, 0x1.074efff9ddd64p-17, 0x1.0c45541b725a9p-17, 0x1.111c38be44d37p-17, 0x1.15d3e1fc51934p-17, 0x1.1a6c85674e483p-17, 0x1.1ee659fbacf5cp-17, 0x1.23419813c13acp-17, 0x1.277e795b4164cp-17, 0x1.2b9d38c29230ap-17, 0x1.2f9e12723b78dp-17, 0x1.338143bf0c474p-17, 0x1.37470b1da2f89p-17, 0x1.3aefa8167f49ap-17, 0x1.3e7b5b3a01cfp-17, 0x1.41ea6614fdb26p-17, 0x1.453d0b24da51p-17, 0x1.48738dcc4f7d5p-17, 0x1.4b8e32485b8a6p-17, 0x1.4e8d3da4a6c6bp-17, 0x1.5170f5b10dd36p-17, 0x1.5439a0f6a9fd2p-17, 0x1.56e786ad8ee14p-17, 0x1.597aeeb1d7d23p-17, 0x1.5bf42179ef8c4p-17, 0x1.5e53680c5fb9dp-17, 0x1.60990bf60c8cfp-17, 0x1.62c557401b529p-17, 0x1.64d89466f4ed5p-17, 0x1.66d30e50a405dp-17, 0x1.68b51043cd6f5p-17, 0x1.6a7ee5de8d2a5p-17, 0x1.6c30db0de384ep-17, 0x1.6dcb3c051f589p-17, 0x1.6f4e5535341cp-17, 0x1.70ba7344d5642p-17, 0x1.720fe3082aa2p-17, 0x1.734ef1791ba41p-17, 0x1.7477ebaf6200dp-17, 0x1.758b1ed939086p-17, 0x1.7688d83407f27p-17, 0x1.777165050a9bp-17, 0x1.78451292a16cp-17, 0x1.79042e1cffddbp-17, 0x1.79af04d83c0c8p-17, 0x1.7a45e3e553b1cp-17, 0x1.7ac9184bf96e4p-17, 0x1.7b38eef4b2c9ap-17, 0x1.7b95b4a2b838dp-17, 0x1.7bdfb5edf086dp-17, 0x1.7c173f3dd444p-17, 0x1.7c3c9cc386013p-17, 0x1.7c501a74be646p-17, 0x1.7c520406702efp-17, 0x1.7c42a4e82ed1ap-17, 0x1.7c22483ef2275p-17, 0x1.7bf138e0ae08bp-17, 0x1.7bafc14f9086bp-17, 0x1.7b5e2bb5e18cdp-17, 0x1.7afcc1e199049p-17, 0x1.7a8bcd4089687p-17, 0x1.7a0b96dbfa3ap-17, 0x1.797c67554ba3bp-17, 0x1.78de86e20cdf4p-17, 0x1.78323d489cf57p-17, 0x1.7777d1dc8ef6dp-17, 0x1.76af8b7b9b706p-17, 0x1.75d9b08a5dfe1p-17, 0x1.74f686f15c5d1p-17, 0x1.7406541a35d88p-17, 0x1.73095cecd597ep-17, 0x1.71ffe5cce4568p-17, 0x1.70ea3296fc231p-17, 0x1.6fc8869e98e94p-17, 0x1.6e9b24ab9892cp-17, 0x1.6d624ef80d4d8p-17, 0x1.6c1e472e5ac27p-17, 0x1.6acf4e670e1f8p-17, 0x1.6975a5271991fp-17, 0x1.68118b5e088c5p-17, 0x1.66a340646acf8p-17, 0x1.652b02fa29d65p-17, 0x1.63a911453065cp-17, 0x1.621da8d0121dcp-17, 0x1.60890688b47aap-17, 0x1.5eeb66bf10566p-17, 0x1.5d4505243ceap-17, 0x1.5b961cc94e215p-17, 0x1.59dee81e94eecp-17, 0x1.581fa0f2933d6p-17, 0x1.56588071632ep-17, 0x1.5489bf23e4ae6p-17, 0x1.52b394ef4a2edp-17, 0x1.50d639147cfccp-17, 0x1.4ef1e22f98198p-17, 0x1.4d06c63791e6ep-17, 0x1.4b151a7e0ce25p-17, 0x1.491d13aee435p-17, 0x1.471ee5d00c92fp-17, 0x1.451ac4416fap-17, 0x1.4310e1bced174p-17, 0x1.410170565dac7p-17, 0x1.3eeca17b7785ap-17, 0x1.3cd2a5f4199a8p-17, 0x1.3ab3ade255a5ep-17, 0x1.388fe8c2ac633p-17, 0x1.3667856c826f4p-17, 0x1.343ab2123d64ap-17, 0x1.32099c41ab9efp-17, 0x1.2fd470e4698bp-17, 0x1.2d9b5c4073a3fp-17, 0x1.2b5e89f89ac05p-17, 0x1.291e250d039cap-17, 0x1.26da57dbc10fbp-17, 0x1.24934c2181b2ep-17, 0x1.22492afa2d1d6p-17, 0x1.1ffc1ce1b2b1ep-17, 0x1.1dac49b4a013bp-17, 0x1.1b59d8b0ffaa5p-17, 0x1.1904f077148e4p-17, 0x1.16adb70a43235p-17, 0x1.145451d1ee751p-17, 0x1.11f8e59a54daap-17, 0x1.0f9b96957744dp-17, 0x1.0d3c885c1eaacp-17, 0x1.0adbddeed0e43p-17, 0x1.0879b9b6cc6e2p-17, 0x1.06163d86f85edp-17, 0x1.03b18a9d27808p-17, 0x1.014bc1a2fcbe3p-17, 0x1.fdca055e10649p-18, 0x1.f8fada8c02efdp-18, 0x1.f42a40b783fd1p-18, 0x1.ef5874a8ee917p-18, 0x1.ea85b20bab7ccp-18, 0x1.e5b233709f1p-18, 0x1.e0de325043878p-18, 0x1.dc09e70d4a0f6p-18, 0x1.d73588f704711p-18, 0x1.d2614e4bca244p-18, 0x1.cd8d6c3b84dcap-18, 0x1.c8ba16ea2e645p-18, 0x1.c3e781726ab5bp-18, 0x1.bf15dde7fb75cp-18, 0x1.ba455d5a40b03p-18, 0x1.b5762fd6f460dp-18, 0x1.b0a8846cbb0ap-18, 0x1.abdc892db89e4p-18, 0x1.a7126b321ec8ep-18, 0x1.a24a569ac673bp-18, 0x1.9d847694005aep-18, 0x1.98c0f5583815fp-18, 0x1.93fffc327c089p-18, 0x1.8f41b38122ba9p-18, 0x1.8a8642b86d03p-18, 0x1.85cdd0655dd0dp-18, 0x1.811882305bc2ap-18, 0x1.7c667cdfb83acp-18, 0x1.77b7e45a71892p-18, 0x1.730cdbaae054cp-18, 0x1.6e6585015c15ep-18, 0x1.69c201b6e630ep-18, 0x1.6522724fe4588p-18, 0x1.6086f67e9e1e1p-18, 0x1.5befad260f8a1p-18, 0x1.575cb45c77f7ap-18, 0x1.52ce296e03755p-18, 0x1.4e4428df7ba3dp-18, 0x1.49bece70d691dp-18, 0x1.453e351fe01cep-18, 0x1.40c2772aadb4ep-18, 0x1.3c4bae126b7a9p-18, 0x1.37d9f29de67e8p-18, 0x1.336d5cdc12644p-18, 0x1.2f060426a2e84p-18, 0x1.2aa3ff2497468p-18, 0x1.264763cca75dap-18, 0x1.21f04767f48d6p-18, 0x1.1d9ebe949a041p-18, 0x1.1952dd47f468bp-18, 0x1.150cb6d14450dp-18, 0x1.10cc5ddc2d8bfp-18, 0x1.0c91e47304483p-18, 0x1.085d5c0152b4fp-18, 0x1.042ed5564907ep-18, 0x1.000660a7321e2p-18, 0x1.f7c81b235f3f3p-19, 0x1.ef8fd63c7fd71p-19, 0x1.e7640f8539109p-19, 0x1.df44e2c7edb43p-19, 0x1.d7326ab28bb66p-19, 0x1.cf2cc0db1a65bp-19, 0x1.c733fdc4913b3p-19, 0x1.bf4838e348a27p-19, 0x1.b76988a16e369p-19, 0x1.af98026365f9cp-19, 0x1.a7d3ba8c5a3dep-19, 0x1.a01cc4826866ep-19, 0x1.987332b2fbca9p-19, 0x1.90d7169767666p-19, 0x1.894880b8d8fcp-19, 0x1.81c780b490c73p-19, 0x1.7a54254047e5cp-19, 0x1.72ee7c2e30b6p-19, 0x1.6b969270f6a24p-19, 0x1.644c741ff66a9p-19, 0x1.5d102c7b23ff1p-19, 0x1.55e1c5ef03f3fp-19, 0x1.4ec14a189d773p-19, 0x1.47aec1c970e2bp-19, 0x1.40aa350b3f093p-19, 0x1.39b3ab23eb9b8p-19, 0x1.32cb2a9911279p-19, 0x1.2bf0b933df744p-19, 0x1.25245c04d86e7p-19, 0x1.1e6617672c3d2p-19, 0x1.17b5ef04bb5b2p-19, 0x1.1113e5d95cc3ap-19, 0x1.0a7ffe3665d62p-19, 0x1.03fa39c640a3bp-19, 0x1.fb05331f891bep-20, 0x1.ee323bf2ee86dp-20, 0x1.e17b8d9a78d4p-20, 0x1.d4e12676c3253p-20, 0x1.c86303bbcc40cp-20, 0x1.bc012177ecfc1p-20, 0x1.afbb7a99c57a6p-20, 0x1.a39208f670bf5p-20, 0x1.9784c54fd077dp-20, 0x1.8b93a75ad6747p-20, 0x1.7fbea5c5a12d1p-20, 0x1.7405b63d1287dp-20, 0x1.6868cd731952ep-20, 0x1.5ce7df2457089p-20, 0x1.5182de1df03bp-20, 0x1.4639bc4317d32p-20, 0x1.3b0c6a92a94dp-20, 0x1.2ffad92cbe56dp-20, 0x1.2504f757cc892p-20, 0x1.1a2ab3861be55p-20, 0x1.0f6bfb5bdfe3ap-20, 0x1.04c8bbb360c02p-20, 0x1.f481c1445d839p-21, 0x1.dfa8aafe3b89ep-21, 0x1.cb0609cc548ecp-21, 0x1.b699b17ac2cc9p-21, 0x1.a2637475dd406p-21, 0x1.8e6323d147368p-21, 0x1.7a988f525f269p-21, 0x1.670385796b337p-21, 0x1.53a3d38a2e686p-21, 0x1.40794595ca3b3p-21, 0x1.2d83a682bc4b1p-21, 0x1.1ac2c0158086dp-21, 0x1.08365afa1d5eap-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      34, 0x1.6666666666666p+2, 0x1.c3c35709eb083p+0, 0x1.8a7a60aebb8b6p+0, -0x1.39debc801a7a8p-10, 
      {{
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.d6ca904e1573dp-9, -0x1.14efe2d467d34p-7, 0x1.e8b5ed7e3b7a5p-8, -0x1.7adb5bd08c5f3p-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.a1ccd00d125fbp-9, -0x1.fa6c7b5fd9968p-8, 0x1.cc4be034fdbfdp-8, -0x1.6e12a8fff8289p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.7169d45d9363dp-9, -0x1.cdc4530707dd4p-8, 0x1.b0d746bb64bcfp-8, -0x1.633438e528b95p-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.455b445867adap-9, -0x1.a3d097b007dd2p-8, 0x1.96335c109b48bp-8, -0x1.57d26b5e6495ep-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.1d5cf1351cf7ep-9, -0x1.7c7becf6b95a7p-8, 0x1.7c69fa6986f0cp-8, -0x1.4c93d0d19905cp-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.f259ac93ff11cp-10, -0x1.57b09a2546fdbp-8, 0x1.63787df368432p-8, -0x1.414bc7c8edaf1p-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.b1163218346a7p-10, -0x1.3558ff427d74ep-8, 0x1.4b5f9bc4566fbp-8, -0x1.360645b5c470ap-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7674121e6cb74p-10, -0x1.155f75b456829p-8, 0x1.341f2356b480fp-8, -0x1.2ac016487395cp-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.41fc400bb7d0ap-10, -0x1.ef5cb14eeb111p-9, 0x1.1db721aadf09p-8, -0x1.1f7a154e39b53p-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.133c0382a2a71p-10, -0x1.b860059d54a75p-9, 0x1.08279345011b8p-8, -0x1.143407e1cf83ap-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d389f0c66e875p-11, -0x1.859d9dfad2c91p-9, 0x1.e6e0f2282315ep-9, -0x1.08edfdcb18d78p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.8a5a1d95f9933p-11, -0x1.56ea2ffcd01aap-9, 0x1.bf23a5b0128f4p-9, -0x1.fb4fe59f584e5p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.4a1d1629eee71p-11, -0x1.2c1a713d67384p-9, 0x1.991741441f231p-9, -0x1.e4c3d02304cdep-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.12100bb351296p-11, -0x1.05031755713eap-9, 0x1.74bbc4db1860ap-9, -0x1.ce37ba85d928ap-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.c2f1afbc3a65dp-12, -0x1.c2f1afbc3ac39p-10, 0x1.5211307774e43p-9, -0x1.b7aba4f18a5d5p-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.6f4bf9a2941bep-12, -0x1.82a0d0e1079e9p-10, 0x1.311784188a83p-9, -0x1.a11f8f5acbf02p-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.27dd4a5d91ed2p-12, -0x1.48bcfd4b85c45p-10, 0x1.11cebfbe88044p-9, -0x1.8a9379c4b1d39p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.d6ca904e1566fp-13, -0x1.14efa02dee757p-10, 0x1.e86dc6d2c229p-10, -0x1.7407642e9c334p-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.7169d45d9358fp-13, -0x1.cdc44974f86ddp-11, 0x1.b09fde322abb2p-10, -0x1.5d7b4e97db45p-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.1d5cf1351cec1p-13, -0x1.7c7bec46d09cep-11, 0x1.7c33c59b63712p-10, -0x1.46ef39038dc33p-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b116321834534p-14, -0x1.3558ff35ded8dp-11, 0x1.4b297d0e0e2cbp-10, -0x1.30632366630b6p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.41fc400bb7b78p-14, -0x1.ef5cb14d07ccp-12, 0x1.1d81048b7f51bp-10, -0x1.19d70dea03736p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.d389f0c66e4c1p-15, -0x1.859d9dfaf8d09p-12, 0x1.e674b81d9734p-11, -0x1.034af7f344c1cp-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.4a1d1629eec1p-15, -0x1.2c1a713c5a14p-12, 0x1.98ab07549c2d6p-11, -0x1.d97dc78b71f5p-11}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c2f1afbc3a0ffp-16, -0x1.c2f1afc400c93p-13, 0x1.51a4f632e4af5p-11, -0x1.ac6591da0e636p-11}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.27dd4a5d919cp-16, -0x1.48bcfd2e81e5ap-13, 0x1.116286b895b9p-11, -0x1.7f4d8df0b6643p-11}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7169d45d925p-17, -0x1.cdc44a4d8cb8cp-14, 0x1.afc762dc27ee1p-12, -0x1.5234d03c054bdp-11}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b1163218333p-18, -0x1.3558fc0d918cbp-14, 0x1.4a512463bff14p-12, -0x1.251ec7eef1efap-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.d389f0c66b801p-19, -0x1.859db58bd9c7dp-15, 0x1.e4c30404eeb9cp-13, -0x1.effd4798c7982p-12}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c2f1afbc333fep-20, -0x1.c2f0ffd42b419p-16, 0x1.4ff70823e60cbp-13, -0x1.9608733287b02p-12}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.7169d45d89p-21, -0x1.cdc96a70c9894p-17, 0x1.ac4f64c31445cp-14, -0x1.3afa06fc52b1ap-12}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.d389f0c654p-23, -0x1.857755bc29b26p-18, 0x1.dea5f4575eeadp-15, -0x1.c80d0c4c0165ep-13}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.7169d45d50001p-25, -0x1.cfffc57e30b96p-20, 0x1.9a090d2055c3ap-16, -0x1.f703be84334d6p-14}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.7169d44efffffp-29, -0x1.8b1dd02652f39p-23, 0x1.b0e804dda8cp-18, -0x1.5096d8f0397e8p-13}, 
      }}, 
      0x1.3cb87fb1608e1p-9, -0x1.e8294a384bc81p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{-0x1.6008601ab99a5p-1, -0x1.5977e894bd611p-1, -0x1.4eeea42fb246dp-1, -0x1.40e82f484460bp-1, -0x1.2fefafabbedc5p-1, -0x1.1c949a630828dp-1, -0x1.07632c8bbdfa1p-1, -0x1.e1bf01f0c8669p-2, -0x1.b3050ba470c6cp-2, -0x1.83709afcfbfd2p-2, -0x1.53beb4c129117p-2, -0x1.24913a78d8038p-2, -0x1.ecdfc338da998p-3, -0x1.9393a06e87fc3p-3, -0x1.3def46905dce3p-3, -0x1.d8f6a58087ce5p-4, -0x1.3f38e1a206398p-4, -0x1.5e5fd98841332p-5, -0x1.498422ed5e4ccp-7, 0x1.4a78f6fe782dbp-6, 0x1.8876d3da972ep-5, 0x1.2bc56285588f2p-4, 0x1.8973d560fe4f6p-4, 0x1.dd92860859888p-4, 0x1.143e602366dd2p-3, 0x1.354cbe8c524d2p-3, 0x1.522c0ed3a66b5p-3, 0x1.6b16d4f0dba89p-3, 0x1.80494001dc471p-3, 0x1.9200304365cffp-3, 0x1.a078675b483cdp-3, 0x1.abeddb55b840cp-3, 0x1.b49b2a8208308p-3, 0x1.bab92b1fe7bc5p-3, 0x1.be7e95037c6c2p-3, 0x1.c01fc153ed946p-3, 0x1.bfce7d88f40c5p-3, 0x1.bdb9ef0b8b328p-3, 0x1.ba0e84748553ap-3, 0x1.b4f5f227e8478p-3, 0x1.ae9738318e018p-3, 0x1.a716af7418e31p-3, 0x1.9e961c9913a99p-3, 0x1.9534c7601cea3p-3, 0x1.8b0f95295af7bp-3, 0x1.804125c119e96p-3, 0x1.74e1f19c07e12p-3, 0x1.690868deff219p-3, 0x1.5cc91297ce7e4p-3, 0x1.5036abbf4a03ap-3, 0x1.436245ad7e51p-3, 0x1.365b63b6d1aep-3, 0x1.293017ad3cc4dp-3, 0x1.1bed1d35e7305p-3, 0x1.0e9df3dee06a4p-3, 0x1.014cf79c3a10bp-3, 0x1.e806f03c36ccdp-4, 0x1.cd939cf518523p-4, 0x1.b34ee31bf6a85p-4, 0x1.994611e49bbp-4, 0x1.7f84fd09a835cp-4, 0x1.66161d729537ep-4, 0x1.4d02af4746b3ep-4, 0x1.3452cd91323d6p-4, 0x1.1c0d8bc3441cep-4, 0x1.04390d378a059p-4, 0x1.d9b5350577b75p-5, 0x1.abed6a4f81cf1p-5, 0x1.7f2253755d1f1p-5, 0x1.535a402203db4p-5, 0x1.289a545e81fa2p-5, 0x1.fdcd4ca69847ap-6, 0x1.ac84a6b948d73p-6, 0x1.5d5f37e477f3p-6, 0x1.105fe2abf9bf2p-6, 0x1.8b104c9fa6c77p-7, 0x1.f360b4264c1cdp-8, 0x1.b277c1b1510c5p-9, -0x1.c2b0e112e575bp-11, -0x1.41614b1fe7d83p-8, -0x1.20fa928e48bdfp-7, -0x1.9d121d3616906p-7, -0x1.0a80f709c7a79p-6, -0x1.446af61a37331p-6, -0x1.7c4d8a9212395p-6, -0x1.b22fb1963d332p-6, -0x1.e618d5c7ec1d4p-6, -0x1.0c08614a1a2dbp-5, -0x1.240fcc53eb747p-5, -0x1.3b26e02884e02p-5, -0x1.5151f1a95d28cp-5, -0x1.66956e5af5c48p-5, -0x1.7af5daea9f834p-5, -0x1.8e77cd7bae5abp-5, -0x1.a11fea2175a9bp-5, -0x1.b2f2dfa778096p-5, -0x1.c3f563f46ad91p-5, -0x1.d42c31264824p-5, -0x1.e39c02bf109c6p-5, -0x1.f24993488bde3p-5, -0x1.001cccdfcec13p-4, -0x1.06b863c3fda5fp-4, -0x1.0cf9e32fdfb8ap-4, -0x1.12e39b423ad01p-4, -0x1.1877d692adb54p-4, -0x1.1db8d9663f871p-4, -0x1.22a8e0f9a4d6cp-4, -0x1.274a22e3ff1aep-4, -0x1.2b9ecc853d6f8p-4, -0x1.2fa902833e612p-4, -0x1.336ae057f9699p-4, -0x1.36e677ea36962p-4, -0x1.3a1dd1308098ep-4, -0x1.3d12e9e34b202p-4, -0x1.3fc7b53b16a94p-4, -0x1.423e1bb6f7ce8p-4, -0x1.4477faed8ac98p-4, -0x1.4677256aeb9f7p-4, -0x1.483d6295859b1p-4, -0x1.49cc6e97a184p-4, -0x1.4b25fa53f268ep-4, -0x1.4c4bab64dea9fp-4, -0x1.4d3f1c1f2c7c2p-4, -0x1.4e01db998624ep-4, -0x1.4e956dbd66945p-4, -0x1.4efb4b5f8f56p-4, -0x1.4f34e258ccc9ep-4, -0x1.4f4395a172233p-4, -0x1.4f28bd7cb74edp-4, -0x1.4ee5a7a99964fp-4, -0x1.4e7b9781e7ddp-4, -0x1.4debc61f8e6d7p-4, -0x1.4d3762aaa786fp-4, -0x1.4c5f92a164cb4p-4, -0x1.4b6571e7c2297p-4, -0x1.4a4a12e796346p-4, -0x1.490e7f0735fd9p-4, -0x1.47b3b711101dcp-4, -0x1.463ab328b1d43p-4, -0x1.44a462cd33534p-4, -0x1.42f1ad6fca84ep-4, -0x1.4123730faccdap-4, -0x1.3f3a8c2b0aa18p-4, -0x1.3d37c98d3b116p-4, -0x1.3b1bf4d6f4148p-4, -0x1.38e7d15393c0ep-4, -0x1.369c1c19826f7p-4, -0x1.34398bb07438p-4, -0x1.31c0d04fd9614p-4, -0x1.2f3294ba7c303p-4, -0x1.2c8f7eae96d19p-4, -0x1.29d82ea3d458p-4, -0x1.270d3fb95b30ep-4, -0x1.242f48503f67ep-4, -0x1.213edaa8a9debp-4, -0x1.1e3c84eaa338bp-4, -0x1.1b28d101f2c34p-4, -0x1.180444e68dae1p-4, -0x1.14cf6326a9caep-4, -0x1.118aab295ffd5p-4, -0x1.0e3699280af05p-4, -0x1.0ad3a64a0ee69p-4, -0x1.0762490143b41p-4, -0x1.03e2f559ebe3p-4, -0x1.00561d11b11d9p-4, -0x1.f9785f49850d2p-5, -0x1.f22b3502412d5p-5, -0x1.eac5929356c7ap-5, -0x1.e3484bfc62efp-5, -0x1.dbb4321559661p-5, -0x1.d40a12be0d7cdp-5, -0x1.cc4ab9348dd02p-5, -0x1.c476ee66ca44fp-5, -0x1.bc8f791f94cd5p-5, -0x1.b4951e29edcfap-5, -0x1.ac88a07f283f3p-5, -0x1.a46ac17fdfc64p-5, -0x1.9c3c41236a111p-5, -0x1.93fdde17fe302p-5, -0x1.8bb055de4ce98p-5, -0x1.835464e964338p-5, -0x1.7aeac6bf68408p-5, -0x1.727436131015fp-5, -0x1.69f16cd46abf1p-5, -0x1.6163243d719d3p-5, -0x1.58ca14de6b929p-5, -0x1.5026f6aa40582p-5, -0x1.477a80fedb16cp-5, -0x1.3ec56aa86fca7p-5, -0x1.360869e148f22p-5, -0x1.2d44344db6ceap-5, -0x1.24797ef88e895p-5, -0x1.1ba8fe521cb0ep-5, -0x1.12d36628d3a7dp-5, -0x1.09f969a243f68p-5, -0x1.011bbb30f1b44p-5, -0x1.f0761911d6581p-6, -0x1.deb01d2a7836fp-6, -0x1.cce6e2db04be8p-6, -0x1.bb1bc8986ab7ep-6, -0x1.a9502b052616bp-6, -0x1.978564d3e984dp-6, -0x1.85bcceaca6815p-6, -0x1.73f7bf11ecc1ep-6, -0x1.62378a46f492ep-6, -0x1.507d82355b1bcp-6, -0x1.3ecaf6528c4e5p-6, -0x1.2d2133814160cp-6, -0x1.1b8183f4e41fp-6, -0x1.09ed2f10d6389p-6, -0x1.f0caf2a249989p-7, -0x1.cdd748507bd02p-7, -0x1.ab01dbcbec40dp-7, -0x1.884d23331ae43p-7, -0x1.65bb8de8480dp-7, -0x1.434f8455600c6p-7, -0x1.210b67b20f179p-7, -0x1.fde3239659708p-8, -0x1.ba08a997f469p-8, -0x1.768bf60ed798fp-8, -0x1.33718d870e738p-8, -0x1.e17bc813c15f5p-9, -0x1.5ceab9503c359p-9, -0x1.b271242fb6f27p-10, -0x1.59b749aefb1d6p-11, 0x1.5b69504b51257p-12, 0x1.58a0594655933p-10, 0x1.2c33246d2f63bp-9, 0x1.ab0e26e0d8d73p-9, 0x1.146cb84fc6162p-8, 0x1.52c6b310d7fcfp-8, 0x1.90914a2f31bbap-8, 0x1.cdc8d8b682245p-8, 0x1.0534e748b7a0cp-7, 0x1.2338586b75845p-7, 0x1.40ed0d08f61fbp-7, 0x1.5e515d45eebf3p-7, 0x1.7b63ac47f372ep-7, 0x1.982268563976cp-7, 0x1.b48c0af7e2893p-7, 0x1.d09f191d0ddeap-7, 0x1.ec5a2327ce268p-7, 0x1.03dde287a068cp-6, 0x1.1161533e675bp-6, 0x1.1eb6bd6fa13bcp-6, 0x1.2bdd80c20cbebp-6, 0x1.38d502ce8ceb5p-6, 0x1.459caf32103b3p-6, 0x1.5233f794ec5eep-6, 0x1.5e9a53a8e22e6p-6, 0x1.6acf4136a8064p-6, 0x1.76d24420e5fcp-6, 0x1.82a2e66848bb8p-6, 0x1.8e40b82e375ccp-6, 0x1.99ab4fb699f94p-6, 0x1.a4e24968e45e3p-6, 0x1.afe547d0393c1p-6, 0x1.bab3f39a970b1p-6, 0x1.c54dfb96aab94p-6, 0x1.cfb314af72ea3p-6, 0x1.d9e2f9ea7a15bp-6, 0x1.e3dd6c5fd6cd2p-6, 0x1.eda233362bddfp-6, 0x1.f7311b9ba8badp-6, 0x1.0044fc5ee2657p-5, 0x1.04d651dfe1d84p-5, 0x1.094c7dd8f7353p-5, 0x1.0da772c286a92p-5, 0x1.11e725ffd6763p-5, 0x1.160b8fd9644c2p-5, 0x1.1a14ab75b0919p-5, 0x1.1e0276d24d93dp-5, 0x1.21d4f2bc2a09cp-5, 0x1.258c22c771ad9p-5, 0x1.29280d47466ffp-5, 0x1.2ca8bb4540aa4p-5, 0x1.300e387a990d1p-5, 0x1.3358933f40f2p-5, 0x1.3687dc8d2495p-5, 0x1.399c27e95cef5p-5, 0x1.3c958b6071a5dp-5, 0x1.3f741f75103f4p-5, 0x1.4237ff28a0b42p-5, 0x1.44e147cb39538p-5, 0x1.4770191a2319cp-5, 0x1.49e49518a3f0cp-5, 0x1.4c3ee00ba13bp-5, 0x1.4e7f206d7b49bp-5, 0x1.50a57ee15b079p-5, 0x1.52b22626f41ap-5, 0x1.54a5430dd6102p-5, 0x1.567f046880b47p-5, 0x1.583f9afeea92ep-5, 0x1.59e73980f5332p-5, 0x1.5b7614795e94fp-5, 0x1.5cec623eef9bap-5, 0x1.5e4a5ae83e2f1p-5, 0x1.5f90383e5b83fp-5, 0x1.60be35af2418ap-5, 0x1.61d4903f543c5p-5, 0x1.62d386769bbb3p-5, 0x1.63bb585518275p-5, 0x1.648c4756c5ddp-5, 0x1.654696467c6ccp-5, 0x1.65ea8951f822ep-5, 0x1.667865d936fcp-5, 0x1.66f0726a0cc33p-5, 0x1.6752f6c25dc2ep-5, 0x1.67a03bba8e575p-5, 0x1.67d88b39c57b9p-5, 0x1.67fc3020343fcp-5, 0x1.680b7638e06cbp-5, 0x1.6806aa336c6c6p-5, 0x1.67ee199617c27p-5, 0x1.67c212ac563e7p-5, 0x1.6782e479e55b3p-5, 0x1.6730deafeb67p-5, 0x1.66cc519fb817ap-5, 0x1.66558e2bc9718p-5, 0x1.65cce5c1783ecp-5, 0x1.6532aa38c948dp-5, 0x1.64872ddfda398p-5, 0x1.63cac36a009c6p-5, 0x1.62fdbdd5786a9p-5, 0x1.6220706bf884cp-5, 0x1.61332eb32c465p-5, 0x1.60364c612429ap-5, 0x1.5f2a1d50ce841p-5, 0x1.5e0ef576bdaa3p-5, 0x1.5ce528d6032ffp-5, 0x1.5bad0b75c5fd2p-5, 0x1.5a66f1567c8d2p-5, 0x1.59132e67a2ae1p-5, 0x1.57b2167d8ab12p-5, 0x1.5643fd475f294p-5, 0x1.54c93644befb1p-5, 0x1.534214bd44f2bp-5, 0x1.51aeebb60e039p-5, 0x1.50100de93cffap-5, 0x1.4e65cdbd0f204p-5, 0x1.4cb07d3b42898p-5, 0x1.4af06e08bc7d2p-5, 0x1.4925f15d6074ep-5, 0x1.475157fc23c18p-5, 0x1.4572f22b526bdp-5, 0x1.438b0fad1ace4p-5, 0x1.4199ffb846917p-5, 0x1.3fa010f13574ep-5, 0x1.3d9d916318d41p-5, 0x1.3b92ce7962e4dp-5, 0x1.398014f981409p-5, 0x1.3765b0fccd432p-5, 0x1.3543edeabb09cp-5, 0x1.331b1673270efp-5, 0x1.30eb748a6a00fp-5, 0x1.2eb5515cd6a05p-5, 0x1.2c78f55fcd0ecp-5, 0x1.2a36a828359bep-5, 0x1.27eeb088ef4b6p-5, 0x1.25a1547accc55p-5, 0x1.234ed91bb0575p-5, 0x1.20f782b7cf622p-5, 0x1.1e9b94b431c0bp-5, 0x1.1c3b518cbd768p-5, 0x1.19d6fade1ec6p-5, 0x1.176ed15d512f5p-5, 0x1.150314cec4286p-5, 0x1.12940408dce05p-5, 0x1.1021dcf0ca8b3p-5, 0x1.0dacdc7810954p-5, 0x1.0b353e9a61c29p-5, 0x1.08bb3e5bd1286p-5, 0x1.063f15c6f242cp-5, 0x1.03c0fdebab12ep-5, 0x1.01412eddb4f6cp-5, 0x1.fd7fbf67417bp-6, 0x1.f87a8d0bd19dbp-6, 0x1.f37330dc3ef02p-6, 0x1.ee6a130c6d1cap-6, 0x1.e95f99cff376ap-6, 0x1.e4542959465abp-6, 0x1.df4823d928556p-6, 0x1.da3be97e7778bp-6, 0x1.d52fd87651f3cp-6, 0x1.d0244cec9a5dcp-6, 0x1.cb19a10cbcbe4p-6, 0x1.c6102d02d1e1p-6, 0x1.c10846fcee4a4p-6, 0x1.bc02432d817fp-6, 0x1.b6fe73c6473c5p-6, 0x1.b1fd2911b3debp-6, 0x1.acfeb14ced929p-6, 0x1.a80358ce576edp-6, 0x1.a30b69f80d6d4p-6, 0x1.9e172d3edb8f1p-6, 0x1.9926e92d2170ap-6, 0x1.943ae246234e6p-6, 0x1.8f535b66a469ap-6, 0x1.8a7095618265dp-6, 0x1.8592cf12d09dap-6, 0x1.80ba45b2c5aeap-6, 0x1.7be7348788454p-6, 0x1.7719d50712dfcp-6, 0x1.72525edb69db1p-6, 0x1.6d9107e5b5e92p-6, 0x1.68d60442ad7c1p-6, 0x1.6421864f9b1d9p-6, 0x1.5f73beaf9453bp-6, 0x1.5accdc510172cp-6, 0x1.562d0c73489e6p-6, 0x1.51947aac95a3dp-6, 0x1.4d0350ef6ba64p-6, 0x1.4879b78fff32dp-6, 0x1.43f7d5493425ep-6, 0x1.3f7dcf40dc29fp-6, 0x1.3b0bc90cd933fp-6, 0x1.36a1e4b63a16cp-6, 0x1.324042bd995fdp-6, 0x1.2de7022050b7cp-6, 0x1.2996405d4639bp-6, 0x1.254e197bb526dp-6, 0x1.210ea8134f684p-6, 0x1.1cd80555ffa62p-6, 0x1.18aa491df0e68p-6, 0x1.148589df4414ep-6, 0x1.1069dcdf8a88p-6, 0x1.0c57562f4eef8p-6, 0x1.084e087473ae9p-6, 0x1.044e055f0376ap-6, 0x1.00575d4d9bd25p-6, 0x1.f8d43ee541b3fp-7, 0x1.f10cb392d6fa5p-7, 0x1.e958321fe4348p-7, 0x1.e1b6d1836af97p-7, 0x1.da28a62affae4p-7, 0x1.d2adc200a7316p-7, 0x1.cb46347e6bec5p-7, 0x1.c3f20ad21c942p-7, 0x1.bcb1500ff957bp-7, 0x1.b5840d73a96acp-7, 0x1.ae6a4a9e51e9ep-7, 0x1.a7640de0e2868p-7, 0x1.a0715c77a0ce3p-7, 0x1.99923a9989ffdp-7, 0x1.92c6ab822fe0cp-7, 0x1.8c0eb14ad7c81p-7, 0x1.856a4ca40f8dep-7, 0x1.7ed97c74487ddp-7, 0x1.785c3d67f0395p-7, 0x1.71f2898a1611cp-7, 0x1.6b9c57d6f79b4p-7, 0x1.65599c6c142b2p-7, 0x1.5f2a47fac01f9p-7, 0x1.590e48e61ae2fp-7, 0x1.53058b64f3632p-7, 0x1.4d0ffa832219cp-7, 0x1.472d8117b5bf7p-7, 0x1.415e0ab443974p-7, 0x1.3ba1846c9421ep-7, 0x1.35f7dd4ee330ep-7, 0x1.30610671c50a1p-7, 0x1.2adcf283da617p-7, 0x1.256b94e4de802p-7, 0x1.200ce05b0e12dp-7, 0x1.1ac0c58e91f77p-7, 0x1.158731819af15p-7, 0x1.10600c43559f7p-7, 0x1.0b4b3817c502cp-7, 0x1.064891443c6efp-7, 0x1.0157ee9ab821cp-7, 0x1.f8f2458f6d44dp-8, 0x1.ef57fc72640c7p-8, 0x1.e5e0a2e70f463p-8, 0x1.dc8bdefa2a1fbp-8, 0x1.d3596017bcf5dp-8, 0x1.ca48e23f5de21p-8, 0x1.c15a2f8a8411p-8, 0x1.b88d1f8bb2b93p-8, 0x1.afe194ee4979cp-8, 0x1.a75778934c4d8p-8, 0x1.9eeeb43f1c45p-8, 0x1.96a72bd41368dp-8, 0x1.8e80b765f3799p-8, 0x1.867b1e435b3f1p-8, 0x1.7e9613f85f135p-8, 0x1.76d137c66ec94p-8, 0x1.6f2c16c18901bp-8, 0x1.67a630608cd98p-8, 0x1.603efcfc7e1e2p-8, 0x1.58f5f55fe57f4p-8, 0x1.51ca9a6b41401p-8, 0x1.4abc7bcec6334p-8, 0x1.43cb3cee1b82cp-8, 0x1.3cf696fe48eaap-8, 0x1.363e5894cceeep-8, 0x1.2fa262bae6785p-8, 0x1.2922a2d4190c4p-8, 0x1.22bf0b86cba7dp-8, 0x1.1c778cdbb318ap-8, 0x1.164c0c78a3d04p-8, 0x1.103c5f312846ap-8, 0x1.0a4844ac8bfb5p-8, 0x1.046f65b8a189bp-8, 0x1.fd62aaf3bbb5ap-9, 0x1.f21b2ab2c81f1p-9, 0x1.e707365a8b8d9p-9, 0x1.dc25b172767f6p-9, 0x1.d1758770a4843p-9, 0x1.c6f5b9c930d75p-9, 0x1.bca56b85ea4c5p-9, 0x1.b283e7c4b2649p-9, 0x1.a890a32df06d3p-9, 0x1.9ecb38316f8d3p-9, 0x1.95335ec6487aep-9, 0x1.8bc8e0ea08dcap-9, 0x1.828b8d7d815fbp-9, 0x1.797b2b4ff4fcap-9, 0x1.70976e168bf54p-9, 0x1.67dfeeb580e01p-9, 0x1.5f5427acc5ed3p-9, 0x1.56f375c63aeb3p-9, 0x1.4ebd1c7f591d9p-9, 0x1.46b04d2b399ep-9, 0x1.3ecc2f8663b87p-9, 0x1.370fea69ce689p-9, 0x1.2f7aab76517ap-9, 0x1.280bacf760b4ep-9, 0x1.20c239cbec499p-9, 0x1.199dafaff1611p-9, 0x1.129d80810c66dp-9, 0x1.0bc132cb58bbap-9, 0x1.0508613021874p-9, 0x1.fce56f17e039fp-10, 0x1.efffd9725fe68p-10, 0x1.e35f71594e8d9p-10, 0x1.d70390650a47cp-10, 0x1.caeb6229c7673p-10, 0x1.bf15d45ed0a57p-10, 0x1.b381950e626a8p-10, 0x1.a82d21a583844p-10, 0x1.9d16e4d7d2129p-10, 0x1.923d5c445adf7p-10, 0x1.879f3b5b39338p-10, 0x1.7d3b806605524p-10, 0x1.731173a8dcbacp-10, 0x1.69208f207ca42p-10, 0x1.5f6855d1730ep-10, 0x1.55e828c942d48p-10, 0x1.4c9f2a54b27d8p-10, 0x1.438c3b79933e2p-10, 0x1.3aae159678929p-10, 0x1.32037676620d2p-10, 0x1.298b4d818d1d9p-10, 0x1.2144d7f68f2f1p-10, 0x1.192fa07c850fbp-10, 0x1.114b6086e069p-10, 0x1.0997cbbb3cde2p-10, 0x1.0214554ad6a54p-10, 0x1.f58004470954dp-11, 0x1.e732b2c235d09p-11, 0x1.d93cfbfd5b8d7p-11, 0x1.cb9ae2b31b0acp-11, 0x1.be48de4a0108ap-11, 0x1.b1448b7261323p-11, 0x1.a48d1303c31b3p-11, 0x1.98231266658f8p-11, 0x1.8c07f1b60d925p-11, 0x1.803d105d8ff1fp-11, 0x1.74c2cf3e94866p-11, 0x1.699816cd601d4p-11, 0x1.5eba62d7ecc27p-11, 0x1.54263e004a093p-11, 0x1.49d7f90168a8fp-11, 0x1.3fcc59edcc1f8p-11, 0x1.360113835174bp-11, 0x1.2c74ed7bd1359p-11, 0x1.2327a4f57a869p-11, 0x1.1a1991ac15d77p-11, 0x1.114b25f54a1edp-11, 0x1.08bc63bbb8409p-11, 0x1.006c622feed6fp-11, 0x1.f0b20d689062fp-12, 0x1.e0fe2d0ab5d0dp-12, 0x1.d1b56b81595bep-12, 0x1.c2d07ddb2b367p-12, 0x1.b44a5b12d75e7p-12, 0x1.a62176b85ce59p-12, 0x1.9857c0d8dfbeep-12, 0x1.8af146c848522p-12, 0x1.7df1fe522b0f3p-12, 0x1.715bc28ac61a4p-12, 0x1.652d6d9273eafp-12, 0x1.59634451e079bp-12, 0x1.4df827ea23562p-12, 0x1.42e6cc250588p-12, 0x1.382a85e3d444dp-12, 0x1.2dbf9e81ec035p-12, 0x1.23a33bcd1e523p-12, 0x1.19d30ef9a9885p-12, 0x1.104d272b78f4ap-12, 0x1.07101da492735p-12, 0x1.fc36b3697bf41p-13, 0x1.eadde025f3e9fp-13, 0x1.da15eec8e8a9ep-13, 0x1.c9dd609b055e1p-13, 0x1.ba300e24378d6p-13, 0x1.ab075adddb378p-13, 0x1.9c5b82d3257cdp-13, 0x1.8e256b6bcbfcap-13, 0x1.80603e19128bcp-13, 0x1.730a34889bd2dp-13, 0x1.6623d618d58a4p-13, 0x1.59ae66a664a87p-13, 0x1.4daa631786fdap-13, 0x1.4216c3178d33cp-13, 0x1.36f0e25dacb8fp-13, 0x1.2c34a5e098856p-13, 0x1.21dd321c7f419p-13, 0x1.17e6b5d9129bap-13, 0x1.0e501f0506839p-13, 0x1.051a4e2b6846ap-13, 0x1.f8898f8401959p-14, 0x1.e7962e490d22fp-14, 0x1.d74ab8004a9dbp-14, 0x1.c79648886951bp-14, 0x1.b86c63a8d6e2ap-14, 0x1.a9c775e3ab30ep-14, 0x1.9ba817b95a76ap-14, 0x1.8e1264fcaba88p-14, 0x1.810af9f2277fp-14, 0x1.74945fdf9496fp-14, 0x1.68ad6357869ep-14, 0x1.5d51e1634b05fp-14, 0x1.527d01575b013p-14, 0x1.4829b37475525p-14, 0x1.3e4fb800a5e06p-14, 0x1.34e22eaef8456p-14, 0x1.2bd5f0d725549p-14, 0x1.23292b5232361p-14, 0x1.1ae17b246023ep-14, 0x1.13017faf9f627p-14, 0x1.0b827b13d3302p-14, 0x1.045aa56af179cp-14, 0x1.fb103636da8ep-15, 0x1.ee224b562a486p-15, 0x1.e1f528bfcbf6p-15, 0x1.d68496b4c62f5p-15, 0x1.cbc486150596p-15, 0x1.c1a94f933067bp-15, 0x1.b828a8fb15532p-15, 0x1.af35954063b5ap-15, 0x1.a6be1c746a9bbp-15, 0x1.9eafb1989d067p-15, 0x1.96ff502bca411p-15, 0x1.8fb4969579308p-15, 0x1.88df0ef90f2bap-15, 0x1.8289d60d4d424p-15, 0x1.7cb1922e347f3p-15, 0x1.774d3fe916f66p-15, 0x1.725c8100ffa51p-15, 0x1.6de4b0940ec95p-15, 0x1.69dd757617dccp-15, 0x1.6629cc13df5ap-15, 0x1.62afc0a31b2e8p-15, 0x1.5f72a46968ddfp-15, 0x1.5c85b633d36a5p-15, 0x1.59e91dea80ce2p-15, 0x1.578981549e3c4p-15, 0x1.556039af9ec09p-15, 0x1.537a82cde3a64p-15, 0x1.51dfbfe6493c9p-15, 0x1.50879bcc7d3e8p-15, 0x1.4f660ee6acaf3p-15, 0x1.4e74683a97455p-15, 0x1.4db17f59b364p-15, 0x1.4d1f25732bffdp-15, 0x1.4cbfbed8feef5p-15, 0x1.4c9435a1ca026p-15, 0x1.4c9a216a435c3p-15, 0x1.4cc8fff534a7bp-15, 0x1.4d124b991330ep-15, 0x1.4d6c5154856a6p-15, 0x1.4ddd18eb24e22p-15, 0x1.4e7052f83ca7cp-15, 0x1.4f24a671355b2p-15, 0x1.4fef8b682caecp-15, 0x1.50d05903d90c5p-15, 0x1.51cfccd842c67p-15, 0x1.52f1117808c71p-15, 0x1.542c295fa9c1bp-15, 0x1.55718f9cc0fc8p-15, 0x1.56bab20e954b7p-15, 0x1.580f6398a3c6fp-15, 0x1.596e46b804506p-15, 0x1.5acf290b47665p-15, 0x1.5c381f13b6759p-15, 0x1.5db0a470facd2p-15, 0x1.5f34175b7df15p-15, 0x1.60bbdae7c3cedp-15, 0x1.62454d733446fp-15, 0x1.63cfc43a6d3dfp-15, 0x1.655af0be7b694p-15, 0x1.66e69a69c85ffp-15, 0x1.6871bd2bdda93p-15, 0x1.69fb57a2c3255p-15, 0x1.6b8331180c2e1p-15, 0x1.6d08e23c2325cp-15, 0x1.6e8c1b183d227p-15, 0x1.700cfbf93ecd5p-15, 0x1.718b400a2295p-15, 0x1.73038a2f6064cp-15, 0x1.7471d0ab899d7p-15, 0x1.75d74640a628ap-15, 0x1.77346cd843b4p-15, 0x1.7885d51822447p-15, 0x1.79cd155e72ec2p-15, 0x1.7b0da12be814ep-15, 0x1.7c47516a3595dp-15, 0x1.7d7956486645cp-15, 0x1.7e9f83d46bfcp-15, 0x1.7fb68d67f4204p-15, 0x1.80bf4aae79337p-15, 0x1.81b98c8f6ec6ep-15, 0x1.82a82e3ae7111p-15, 0x1.838be69f059ffp-15, 0x1.84623781035d6p-15, 0x1.8529f874cd89bp-15, 0x1.85e366e48a5fap-15, 0x1.868e7f9c439d7p-15, 0x1.872b204dfb2c9p-15, 0x1.87b9196d2834ap-15, 0x1.883837d7c688dp-15, 0x1.88a850284b2e2p-15, 0x1.89093bbf52b6bp-15, 0x1.895ae0e7f3bd9p-15, 0x1.899d2b4feef66p-15, 0x1.89cfdcd5025bcp-15, 0x1.89f309c6de957p-15, 0x1.8a0696830defdp-15, 0x1.8a0a69c9f057ap-15, 0x1.89fe73212e57fp-15, 0x1.89e2ab2df891cp-15, 0x1.89b7168fa96e6p-15, 0x1.897bc30a25b11p-15, 0x1.8930bf9c31b33p-15, 0x1.88d60dba6ee7p-15, 0x1.886a9845b7f02p-15, 0x1.87f33d92091b2p-15, 0x1.8767162d0bea6p-15, 0x1.86ce8272dc173p-15, 0x1.86258f1815417p-15, 0x1.856df0da974dep-15, 0x1.84a72af9f7e1fp-15, 0x1.83d09e14ad0fp-15, 0x1.82eb086b8b9e1p-15, 0x1.81f6d0cca88e9p-15, 0x1.80f3ee1594286p-15, 0x1.7fe27be207c86p-15, 0x1.7ec28bd46fe96p-15, 0x1.7d944c9fbe58cp-15, 0x1.7c57d4fcb1d79p-15, 0x1.7b0d607c39c2bp-15, 0x1.79b5108faaa3cp-15, 0x1.784f19d016844p-15, 0x1.76dba810a95d1p-15, 0x1.755ae900a0af1p-15, 0x1.73cd0aa90c477p-15, 0x1.72323d37aa8a3p-15, 0x1.708ab3d17eb1dp-15, 0x1.6ed6a44a43f7p-15, 0x1.6d1645aae598bp-15, 0x1.6b49cde1586abp-15, 0x1.6971752bcc3bap-15, 0x1.678d80cb38b32p-15, 0x1.659e35e06d9ccp-15, 0x1.63a367068fc4ap-15, 0x1.619cb3c5de5cbp-15, 0x1.5f8b84ec94b9p-15, 0x1.5d70b2face616p-15, 0x1.5b4a86e800ae7p-15, 0x1.5919ecd0c2e73p-15, 0x1.56dfd991196c8p-15, 0x1.549c6c261c8dfp-15, 0x1.524f148b76093p-15, 0x1.4ff8380751798p-15, 0x1.4d98937357a4cp-15, 0x1.4b3039437468bp-15, 0x1.48bf4b3184d47p-15, 0x1.4645f33ecf25fp-15, 0x1.43c45cb6cb4a4p-15, 0x1.413af24c1dcdep-15, 0x1.3ea9dcdf46e2cp-15, 0x1.3c1162b1e5064p-15, 0x1.39711655afdfdp-15, 0x1.36ca8c181ecdp-15, 0x1.341ce9c8daa1dp-15, 0x1.316914317ed5fp-15, 0x1.2eae85f7c1e1ap-15, 0x1.2beda21b0d227p-15, 0x1.2926fa3deb916p-15, 0x1.265b2b829da3fp-15, 0x1.23896ac28f198p-15, 0x1.20b283d3646b4p-15, 0x1.1dd69b774af16p-15, 0x1.1af5e44194e3ap-15, 0x1.181096e1aadf2p-15, 0x1.1526eb95f2614p-15, 0x1.1239199405cd8p-15, 0x1.0f4754e47b4b4p-15, 0x1.0c51c8510161fp-15, 0x1.0958a517e9978p-15, 0x1.065c358fa3e08p-15, 0x1.035cb24fdfd68p-15, 0x1.005a14a9c77dep-15, 0x1.faa991baddd15p-16, 0x1.f4996b9bbac4cp-16, 0x1.ee84846b7447fp-16, 0x1.e86b95d08fa3cp-16, 0x1.e24eb802cc5ep-16, 0x1.dc2e351f145e4p-16, 0x1.d60a6a23d4516p-16, 0x1.cfe3b5578ae5fp-16, 0x1.c9ba734bd1e0ap-16, 0x1.c38efec7bc7b4p-16, 0x1.bd61b0fdb1745p-16, 0x1.b732e1a6ebce2p-16, 0x1.b102e70f5d145p-16, 0x1.aad2162abbfd2p-16, 0x1.a4a0c2a5f2efbp-16, 0x1.9e6f3f0953bc6p-16, 0x1.983ddcbf4a951p-16, 0x1.920cebf250862p-16, 0x1.8bdcbb9861a5fp-16, 0x1.85ad98f97edc7p-16, 0x1.7f7fcfcd6ac6p-16, 0x1.7953aa55fd3f1p-16, 0x1.732971f0c3d47p-16, 0x1.6d016e7a6d906p-16, 0x1.66dc311cc56eep-16, 0x1.60b9289aa50d5p-16, 0x1.5a9971378aba9p-16, 0x1.547d05b9a55dbp-16, 0x1.4e6427ba75e37p-16, 0x1.484f119c424a3p-16, 0x1.423dfeefa9f2ep-16, 0x1.3c3136a031adep-16, 0x1.3629147a1c63ep-16, 0x1.3025ee79b29b9p-16, 0x1.2a25a67186d6bp-16, 0x1.242b30119b6dbp-16, 0x1.1e3a2c10c01c2p-16, 0x1.184be81559fc1p-16, 0x1.12639c0f68457p-16, 0x1.0c8149b95718ap-16, 0x1.06a505521cbb6p-16, 0x1.00cfdcf7ffbb2p-16, 0x1.f600e6dd45601p-17, 0x1.ea70eb694c587p-17, 0x1.deee4b790b005p-17, 0x1.d37a3b26b0fe6p-17, 0x1.c814fff8133a9p-17, 0x1.bcbecbf5197p-17, 0x1.b178073a16d94p-17, 0x1.a6414767fd3bcp-17, 0x1.9b19255f79dfcp-17, 0x1.900aa9d58b671p-17, 0x1.84f9cb187f78fp-17, 0x1.7a072c6bcec56p-17, 0x1.6f227ec507f46p-17, 0x1.644d0d0e8c8bfp-17, 0x1.598eedf633d87p-17, 0x1.4ede35ed44beep-17, 0x1.443fb7c2a3e2ap-17, 0x1.39b4129b5e3c6p-17, 0x1.2f3b3a0f7d113p-17, 0x1.24d53579744f2p-17, 0x1.1a823227feca3p-17, 0x1.10425edd22ccp-17, 0x1.0615ec77ec168p-17, 0x1.f7f9c9c7f901p-18, 0x1.e3ef3fc8d7071p-18, 0x1.d00ca84e7319bp-18, 0x1.bc52f2ae0a27dp-18, 0x1.a8c047ed72fe8p-18, 0x1.9556a15f9242dp-18, 0x1.82168bb3b261ap-18, 0x1.6eff7f98bac04p-18, 0x1.5c126d8243165p-18, 0x1.494df903f3dc7p-18, 0x1.36b35de122ce3p-18, 0x1.2443ea0691505p-18, 0x1.11fec0533dfdcp-18, 0x1.ffcae21ccb661p-19, 0x1.dbeac99035a7dp-19, 0x1.b8601679edc22p-19, 0x1.952c111617601p-19, 0x1.724f6e8b212d3p-19, 0x1.4fca893073696p-19, 0x1.2d99e3e2397c9p-19, 0x1.0bc10040689d9p-19, 0x1.d480e321b2bfbp-20, 0x1.922ef4d54fab9p-20, 0x1.508c585db27e1p-20, 0x1.0f995f0f798a9p-20, 0x1.9eac8f0e03a6bp-21, 0x1.1f867e996243p-21, 0x1.438165fae84c4p-22, 0x1.2adaadb5b8bb5p-24, -0x1.5687ebf624a7p-23, -0x1.9e946905fb873p-22, -0x1.478c732ff23fbp-21, -0x1.be6cb96366a16p-21, -0x1.19f61510877c1p-20, -0x1.54064f0bfb55cp-20, -0x1.8d662c91e4c5fp-20, -0x1.c61631e152ac1p-20, -0x1.fe168e673ea29p-20, -0x1.1ab35071bfbf1p-19, -0x1.3603eb7021a86p-19, -0x1.50fd32f274c56p-19, -0x1.6b9dc757e6dbcp-19, -0x1.85ef872492848p-19, -0x1.9fdcd226f980cp-19, -0x1.b97b352ff7c67p-19, -0x1.d2c3437d76437p-19, -0x1.ebb301c553251p-19, -0x1.0226dbf43db88p-18, -0x1.0e4937616f415p-18, -0x1.1a40f841beebep-18, -0x1.260e07c3bcedfp-18, -0x1.31b09add7d737p-18, -0x1.3d28a9fd580b4p-18, -0x1.487556bd1a995p-18, -0x1.539fc3e2969p-18, -0x1.5e93e6773c156p-18, -0x1.696661ea2c8c1p-18, -0x1.740ddef8b091fp-18, -0x1.7e8c8c517fc57p-18, -0x1.88e17953a47aap-18, -0x1.930dad09a1238p-18, -0x1.9d11493f40849p-18, -0x1.a6ec448120ca5p-18, -0x1.b09e9f24fd8bep-18, -0x1.ba277a8f2c53ep-18, -0x1.c3886dbd82079p-18, -0x1.ccc54ba73e29bp-18, -0x1.d5db53f4b6ae7p-18, -0x1.dec866139b995p-18, -0x1.e78e468d98329p-18, -0x1.f02d6526f8961p-18, -0x1.f8a5cb54c28bp-18, -0x1.007b958ef39a5p-17, -0x1.04932ba568ba4p-17, -0x1.08a17d95b39b5p-17, -0x1.0c84e3f5061d3p-17, -0x1.105dbacd6b284p-17, -0x1.14304a2b2274fp-17, -0x1.17f1cc1e4236p-17, -0x1.1b9e9660584bfp-17, -0x1.1f23118a6c45ep-17, -0x1.22a670c9487fdp-17, -0x1.2617778993b4cp-17, -0x1.29768a31ccc9ep-17, -0x1.2cc3d5627ad9bp-17, -0x1.2fffd3f8e521ap-17, -0x1.332a9e92a0706p-17, -0x1.364431cb7fc56p-17, -0x1.394caf486ebddp-17, -0x1.3c443bac5121fp-17, -0x1.3f2ae3cb5fbf1p-17, -0x1.4200db203e613p-17, -0x1.44c7a43fb9ed8p-17, -0x1.477be1ffabc83p-17, -0x1.4a212549a9f1cp-17, -0x1.4cb63561cfe0cp-17, -0x1.4f3b4b67e06afp-17, -0x1.51b0714bc23a5p-17, -0x1.5415e3b619e34p-17, -0x1.566cb0ed4541dp-17, -0x1.58b352b65e8cep-17, -0x1.5aeaf1faeac8ep-17, -0x1.5d12838a9a61dp-17, -0x1.5f2c23d2b0bc1p-17, -0x1.61371ba5c07f6p-17, -0x1.6333335d1123p-17, -0x1.6520b51008f2cp-17, -0x1.66ffc5f014f5fp-17, -0x1.68d04c7826a6cp-17, -0x1.6a93ec8dd483ap-17, -0x1.6c48d35bab303p-17, -0x1.6deef5bb10d1ap-17, -0x1.6f88eb666adc9p-17, -0x1.7114de59e499cp-17, -0x1.72934b79ca4abp-17, -0x1.7404dd8bf262cp-17, -0x1.756906152b443p-17, -0x1.76c04a5fde6a5p-17, -0x1.780ac3ed7d229p-17, -0x1.7948948fa8abp-17, -0x1.7a79dfc74eaa7p-17, -0x1.7b9ec982a46bfp-17, -0x1.7cb775795f6fap-17, -0x1.7dc40675906cep-17, -0x1.7ec4994216c7fp-17, -0x1.7fb939ff331ecp-17, -0x1.80a040b6d60d8p-17, -0x1.8183cc354c984p-17, -0x1.82524845e3fa6p-17, -0x1.83188763a535ap-17, -0x1.83d4b4279ab63p-17, -0x1.848585d0a8cf1p-17, -0x1.852b6e2f384a7p-17, -0x1.85c68140e5192p-17, -0x1.865667bab305p-17, -0x1.86deadf0828dfp-17, -0x1.875895b0f193bp-17, -0x1.87ca568580e7ap-17, -0x1.883201dbaec0cp-17, -0x1.888fab263d0dp-17, -0x1.88e365329cdc7p-17, -0x1.892d716a042ffp-17, -0x1.896df2409a539p-17, -0x1.89a4e96b895e6p-17, -0x1.89d16462a8047p-17, -0x1.89da91d7cd588p-17, -0x1.8a11a3fab4159p-17, -0x1.8a259d4509c32p-17, -0x1.8a3023e68349fp-17, -0x1.8a31799e41871p-17, -0x1.8a2a3808d3ad9p-17, -0x1.8a1a9ac04653fp-17, -0x1.8a02917341edfp-17, -0x1.89e29836bfff6p-17, -0x1.89ba7993e28d5p-17, -0x1.898a39faadb7fp-17, -0x1.8951c1b4d1a8fp-17, -0x1.8916f5d9022eep-17, -0x1.88ca740b721b2p-17, -0x1.887d0710d9e37p-17, -0x1.882713c7e7aaap-17, -0x1.87c9bee7226afp-17, -0x1.87656be065c3dp-17, -0x1.86f9f32f47e59p-17, -0x1.8688842ec0c5fp-17, -0x1.860fb3e87ef0dp-17, -0x1.859023831d50dp-17, -0x1.850a1a1041a21p-17, -0x1.847d73dbf4c22p-17, -0x1.83ea8a6db69b8p-17, -0x1.835158fac6918p-17, -0x1.82b1930a3710cp-17, -0x1.820e0a398fda8p-17, -0x1.8161a851e9804p-17, -0x1.80af43b9b0cb8p-17, -0x1.7ff9ee3dc2a11p-17, -0x1.7f412bd462073p-17, -0x1.7e83fd447497bp-17, -0x1.7db40f3f2822ap-17, -0x1.7ce6cbb7fc35ap-17, -0x1.7c177a9e84f4fp-17, -0x1.7b402eaaeee82p-17, -0x1.7a634d0300c07p-17, -0x1.7981f73ac262fp-17, -0x1.789cabf92a0a1p-17, -0x1.77b298901adaep-17, -0x1.76c39a702446p-17, -0x1.75d056e112542p-17, -0x1.74d86895d571ap-17, -0x1.73db6fdc2cbefp-17, -0x1.72d9434425b03p-17, -0x1.71d3e7e8d708fp-17, -0x1.70cd6119f81d9p-17, -0x1.6fc04faea85c6p-17, -0x1.6eaf5ad1ba6fp-17, -0x1.6d9a8caf2f4fdp-17, -0x1.6c81e265d0f38p-17, -0x1.6b6463ac70dp-17, -0x1.6a4c26e64fd89p-17, -0x1.6921f0bbf6423p-17, -0x1.67fc3cc75247ap-17, -0x1.66d140ddfbe74p-17, -0x1.65a43b992ac82p-17, -0x1.64749dee7946ep-17, -0x1.634186bdaa7b4p-17, -0x1.6214d0a61effdp-17, -0x1.60cfdad60e716p-17, -0x1.5f94ecd796e49p-17, -0x1.5e548d5bd0b65p-17, -0x1.5d12410591d3p-17, -0x1.5bcf0a134638dp-17, -0x1.5a8618836e063p-17, -0x1.593c32f8f6a5cp-17, -0x1.57efd7dd54d25p-17, -0x1.56a11ada3207bp-17, -0x1.555022470138cp-17, -0x1.53fba96189759p-17, -0x1.52a773d40e8ap-17, -0x1.514f8f6d775e2p-17, -0x1.4ff5d3fbf4b04p-17, -0x1.4e9a202b6c5a3p-17, -0x1.4d3c746c02f82p-17, -0x1.4bdd0dc6f48bfp-17, -0x1.4a7b970398028p-17, -0x1.4917e38b9df23p-17, -0x1.47c02b3274b93p-17, -0x1.464a5e668a9a7p-17, -0x1.44e53d2edafcdp-17, -0x1.4379c1a397886p-17, -0x1.422a5c9afd84fp-17, -0x1.40a39134950ep-17, -0x1.3f36e14fb57fbp-17, -0x1.3dc7f6ed9a82ep-17, -0x1.3c57e4c61368ep-17, -0x1.3ae6e94ee2886p-17, -0x1.3976bb3b70dcp-17, -0x1.3801003bfa5abp-17, -0x1.368c2eee22ad1p-17, -0x1.3516a7522e6b5p-17, -0x1.33a034c7f8984p-17, -0x1.3228d5a49422bp-17, -0x1.30b0d0b15c836p-17, -0x1.2f37fb82a1e55p-17, -0x1.2dbe3df16db3p-17, -0x1.2c43d65fe9094p-17, -0x1.2ac8c26c32695p-17, -0x1.294d323188725p-17, -0x1.27d12080b1b73p-17, -0x1.26533d53142a3p-17, -0x1.24d763b74e901p-17, -0x1.2359e9410f6fep-17, -0x1.21dc07c545f33p-17, -0x1.205daf0d2b0fdp-17, -0x1.1ede23cf84ef1p-17, -0x1.1d857fb8725fep-17, -0x1.1be0c1967443bp-17, -0x1.1a624c9f778a5p-17, -0x1.18e22e0f8cef5p-17, -0x1.1761a672e41d9p-17, -0x1.15e9baf1fe6dfp-17, -0x1.146780182f0b9p-17, -0x1.12e4f37f54a5cp-17, -0x1.1174b778375f5p-17, -0x1.0fe437b85227fp-17, -0x1.0e66f34115d3dp-17, -0x1.0ce8172d5083ap-17, -0x1.0b6920fc812e4p-17, -0x1.09e7e9ca5673cp-17, -0x1.086bf9b12587fp-17, -0x1.06edd81783fccp-17, -0x1.056fee43a1745p-17, -0x1.03f264c277658p-17, -0x1.027532a54133fp-17, -0x1.00f8659a2b4f8p-17, -0x1.fef8094fc36a3p-18, -0x1.fc002de97bc5ep-18, -0x1.f90943f04152ep-18, -0x1.f61356f8debd7p-18, -0x1.f31e1169a13c6p-18, -0x1.f03e43d4b33c4p-18, -0x1.ed35d0b357b2ap-18, -0x1.ea46cb11cc842p-18, -0x1.e756f0ed22f21p-18, -0x1.e4680d17a51cdp-18, -0x1.e1782a67411dap-18, -0x1.de52bdfab57c2p-18, -0x1.dba324250edbcp-18, -0x1.d8bb72fab72a5p-18, -0x1.d5d372c8d0af8p-18, -0x1.d2ee59248046ep-18, -0x1.d00a0c5184df7p-18, -0x1.cd25daff891bap-18, -0x1.ca0cf8fa435bdp-18, -0x1.c763f88c82f86p-18, -0x1.c490345b10b4cp-18, -0x1.c17075fd53daap-18, -0x1.bed29839cb487p-18, -0x1.bbfdc3837dc1p-18, -0x1.b92851cd24b56p-18, -0x1.b654a528e05c9p-18, -0x1.b382e69fe7addp-18, -0x1.b0b2e68a4b96p-18, -0x1.ade649198c38ap-18, -0x1.ab1a49b74cc4ap-18, -0x1.a8515d4e68971p-18, -0x1.a589c9f899553p-18, -0x1.a2c4b430989dfp-18, -0x1.a001e40d3bfe2p-18, -0x1.9d415b33f13e1p-18, -0x1.9a83230d0c58dp-18, -0x1.97c7417342cffp-18, -0x1.950db67d51739p-18, -0x1.92567e1259bedp-18, -0x1.8fa169adc802ep-18, -0x1.8ceca3d2f9f2fp-18, -0x1.8a435ab72f612p-18, -0x1.87909a737932cp-18, -0x1.84c83f85cc64dp-18, -0x1.823d04e897e4ep-18, -0x1.7f981d9dcdc49p-18, -0x1.7cf48164d7075p-18, }}, 
      {{-0x1.6184b8643a536p-1, -0x1.5f4cdcb881eb6p-1, -0x1.5bb0a38731707p-1, -0x1.56cba17fb882ep-1, -0x1.50be1639a5944p-1, -0x1.49aa98d911105p-1, -0x1.41b46c829b65p-1, -0x1.38fe507ef8ccbp-1, -0x1.2fa9ac454745bp-1, -0x1.25d6006e7035bp-1, -0x1.1ba08ba627056p-1, -0x1.112416e6e6961p-1, -0x1.0678df4d3df6bp-1, -0x1.f7692bfd4b61cp-2, -0x1.e1d4e07ed2bb4p-2, -0x1.cc568624c33p-2, -0x1.b70b4d5ff19f2p-2, -0x1.a20c3de6e2232p-2, -0x1.8d6e8cd71648fp-2, -0x1.7943f481a2a7dp-2, -0x1.659b0b2483d99p-2, -0x1.527f9682e5fap-2, -0x1.3ffadb050898p-2, -0x1.2e13e51b24a6p-2, -0x1.1ccfcd20d79e1p-2, -0x1.0c31f54c7b301p-2, -0x1.f878847ce6e2ep-3, -0x1.d9de9d0d9cad5p-3, -0x1.bc9532183e5b6p-3, -0x1.a0995ead5af5ap-3, -0x1.85e6a642379a2p-3, -0x1.6c7738610aa57p-3, -0x1.54442c559743fp-3, -0x1.3d45b68ad3725p-3, -0x1.27735724e721fp-3, -0x1.12c403115b24dp-3, -0x1.fe5c8ffdeabd5p-4, -0x1.d950d6a9c1566p-4, -0x1.b6510a654348dp-4, -0x1.95492f123b2d6p-4, -0x1.76254375d208p-4, -0x1.58d1628ffd1dap-4, -0x1.3d39df6ea7157p-4, -0x1.234b5c4dc05d1p-4, -0x1.0af2dd8d8b381p-4, -0x1.e83bb1fe9f6efp-5, -0x1.bd7483b4eef49p-5, -0x1.956d240a15248p-5, -0x1.7003a1faf9b3cp-5, -0x1.4d1731327750ap-5, -0x1.2c88301800261p-5, -0x1.0e382adb7f00cp-5, -0x1.e413b7dd495ddp-6, -0x1.afc254d3ef921p-6, -0x1.7f464d633b719p-6, -0x1.526c0b60bf98ap-6, -0x1.290235682e214p-6, -0x1.02d9a14d1151p-6, -0x1.bf8a8984cb3aap-7, -0x1.7f3449bc6b93ap-7, -0x1.445e8a3f985p-7, -0x1.0ebb2b5d6667dp-7, -0x1.bbff859a438ccp-8, -0x1.63caef5b3c3dcp-8, -0x1.1451bc9e3b1ddp-8, -0x1.9a27502d6314bp-9, -0x1.1b2d71d18c4f6p-9, -0x1.559bf5c9c94e7p-10, -0x1.20b23989999b2p-11, 0x1.b105b6ee8957bp-14, 0x1.5c5c3bc50d59ep-11, 0x1.2a79c421b49f2p-10, 0x1.9159c5028f2fcp-10, 0x1.e4225a222297p-10, 0x1.120b2d4623b67p-9, 0x1.2934074952113p-9, 0x1.381cfd2ecfec2p-9, 0x1.3f4fd00f37ff6p-9, 0x1.3f4f1bd607517p-9, 0x1.3896b1d3ea4b8p-9, 0x1.2b9beafb5a389p-9, 0x1.18cdf9621f9bbp-9, 0x1.0096361135e8cp-9, 0x1.c6b0d0fff5de8p-10, 0x1.82e61d8d7f938p-10, 0x1.367f3b6511e5cp-10, 0x1.c44b09df21a56p-11, 0x1.0cf27618e8329p-11, 0x1.208fb2563013cp-13, -0x1.12039c567f5f7p-12, -0x1.656f97204234ap-11, -0x1.261295041d097p-10, -0x1.9e1830acff218p-10, -0x1.0d2b1fddb14b5p-9, -0x1.4d3061f96f5ecp-9, -0x1.8ee8e7f41c117p-9, -0x1.d2249bcf83b4fp-9, -0x1.0b5b118334688p-8, -0x1.2e395e0f5b29fp-8, -0x1.51990ee0d67edp-8, -0x1.75672b2959fbp-8, -0x1.9991d6ec7dfb5p-8, -0x1.be08447b33d79p-8, -0x1.e2baa69e3d03cp-8, -0x1.03cd11f5e1ff2p-7, -0x1.164c651ffb8fbp-7, -0x1.28d4c154f8eb3p-7, -0x1.3b60030c8771cp-7, -0x1.4de8695cb3b9cp-7, -0x1.606890d9b16b9p-7, -0x1.72db6ebda1891p-7, -0x1.853c4c3d759f9p-7, -0x1.9786c215ebf8cp-7, -0x1.a9b6b45bfe504p-7, -0x1.bbc84e72356e1p-7, -0x1.cdb7ff2e5c3e6p-7, -0x1.df827548ca09p-7, -0x1.f1249bef37558p-7, -0x1.014dcbb5262a7p-6, -0x1.09f260fb99efep-6, -0x1.127ed467d7043p-6, -0x1.1af204aeb35b5p-6, -0x1.234ae742f75b4p-6, -0x1.2b88870d39c3dp-6, -0x1.33aa03369deb2p-6, -0x1.3bae8e02687b5p-6, -0x1.43956bb757d6bp-6, -0x1.4b5df1959f54cp-6, -0x1.530784d8cc482p-6, -0x1.5a9199c6c0916p-6, -0x1.61fbb2cc2db54p-6, -0x1.69455fa68f0dep-6, -0x1.706e3c9785ab4p-6, -0x1.7775f1a1ec714p-6, -0x1.7e5c31d5b6bfap-6, -0x1.8520baa2d01a1p-6, -0x1.8bc35334d3923p-6, -0x1.9243cbe06c638p-6, -0x1.98a1fd91f824fp-6, -0x1.9eddc943461efp-6, -0x1.a4f7177cb0dc1p-6, -0x1.aaedd7db0241p-6, -0x1.b0c2009cfbe46p-6, -0x1.b6738e33b9206p-6, -0x1.bc0282d7c5da4p-6, -0x1.c16ee6272b4fcp-6, -0x1.c6b8c4cc0a104p-6, -0x1.cbe030239d83ap-6, -0x1.d0e53dea6b13ap-6, -0x1.d5c807f1f1474p-6, -0x1.da88abde89438p-6, -0x1.df274ae7b221ep-6, -0x1.e3a4099932e7ep-6, -0x1.e7ff0f9c35e33p-6, -0x1.ec38878434be7p-6, -0x1.f0509e9ddd20bp-6, -0x1.f44784c05d073p-6, -0x1.f81d6c1f206a6p-6, -0x1.fbd2891e52cb8p-6, -0x1.ff67122a2dd0fp-6, -0x1.016d9fc7dbf52p-5, -0x1.0317a5ab7ec48p-5, -0x1.04b1b890683d9p-5, -0x1.063bf703b4036p-5, -0x1.07b6803ff9e69p-5, -0x1.0921741f7c1b2p-5, -0x1.0a7cf3111f52dp-5, -0x1.0bc91e0db25bbp-5, -0x1.0d06168e8a53fp-5, -0x1.0e33fe8587dc3p-5, -0x1.0f52f854bfc05p-5, -0x1.106326c888e45p-5, -0x1.1164ad1238003p-5, -0x1.1257aebfd43f9p-5, -0x1.133c4fb803b02p-5, -0x1.1412b43414f57p-5, -0x1.14db00ba8da19p-5, -0x1.15955a1a064ffp-5, -0x1.1641e564293b3p-5, -0x1.16e0c7e8d07d6p-5, -0x1.177227314d20bp-5, -0x1.17f628fc07343p-5, -0x1.186cf3388551dp-5, -0x1.18d6ac03e3ad8p-5, -0x1.193379a5a4dbfp-5, -0x1.1983828cdf7d1p-5, -0x1.19c6ed4de7657p-5, -0x1.19fde0a00155fp-5, -0x1.1a28835b91246p-5, -0x1.1a46fc79e9878p-5, -0x1.1a597312d9cf4p-5, -0x1.1a600e5aa096ep-5, -0x1.1a5af5a3d09c4p-5, -0x1.1a4a505b4c4fap-5, -0x1.1a2e46089fe5bp-5, -0x1.1a06fe4d6ac12p-5, -0x1.19d4a0e3922e1p-5, -0x1.1997559bd100bp-5, -0x1.194f445b6c5b2p-5, -0x1.18fc951c99023p-5, -0x1.189f6fed23f7p-5, -0x1.1837fcea8ae0bp-5, -0x1.17c6644118678p-5, -0x1.174ace2a6c704p-5, -0x1.16c562eb6f82bp-5, -0x1.16364ad25280ep-5, -0x1.159dae34cfcfap-5, -0x1.14fbb56dffc6fp-5, -0x1.145088dcc6e3bp-5, -0x1.139c50e0b9e8ep-5, -0x1.12df35db0616fp-5, -0x1.12196029950d8p-5, -0x1.114af826ef972p-5, -0x1.107426280fa36p-5, -0x1.0f95127aadbf8p-5, -0x1.0eade5637adc1p-5, -0x1.0dbec71c6e79bp-5, -0x1.0cc7dfd2f6ee5p-5, -0x1.0bc957a6186dp-5, -0x1.0ac356a484a9bp-5, -0x1.09b604cbb3561p-5, -0x1.08a18a06e3bf3p-5, -0x1.07860e2a1e8e8p-5, -0x1.0663b8f08cc24p-5, -0x1.053ab1ffbd6b4p-5, -0x1.040b20e0eddd1p-5, -0x1.02d52cfeaa654p-5, -0x1.0198fda5989b8p-5, -0x1.0056ba01f7ba1p-5, -0x1.fe1d12398fe6p-6, -0x1.fb8123b3db615p-6, -0x1.f8d9f5ec98c89p-6, -0x1.f627d60b8d2e6p-6, -0x1.f36b10e26e99cp-6, -0x1.f0a3f2e8cb872p-6, -0x1.edd2c83871c82p-6, -0x1.eaf7dc88f59d2p-6, -0x1.e8137b2c042cbp-6, -0x1.e525ef09fc597p-6, -0x1.e22f829f62704p-6, -0x1.df307fef6763p-6, -0x1.dc293090448f9p-6, -0x1.d919dd9e999a3p-6, -0x1.d602cfb7c4f17p-6, -0x1.d2e44ef8fa2e4p-6, -0x1.cfbea2fac0bbep-6, -0x1.cc9212d2c8801p-6, -0x1.c95ee508f1701p-6, -0x1.c6255f940deb1p-6, -0x1.c2e5c7ddd31c9p-6, -0x1.bfa062b9747c5p-6, -0x1.bc5574622d718p-6, -0x1.b9054077de61dp-6, -0x1.b5b009fbf1865p-6, -0x1.b256134e4a4f4p-6, -0x1.aef79e2a4bffdp-6, -0x1.ab94eba415c5dp-6, -0x1.a82e3c25c3095p-6, -0x1.a4c3cf6ca61bbp-6, -0x1.a155e486eddc3p-6, -0x1.9de4b9cfbd136p-6, -0x1.9a708cedf4d3cp-6, -0x1.96f99ad0f4034p-6, -0x1.93801fae55a14p-6, -0x1.900457000ebfep-6, -0x1.8c867b829bf85p-6, -0x1.8906c73100258p-6, -0x1.85857344e4c22p-6, -0x1.8202b833dc55cp-6, -0x1.7e7ecdaca7b14p-6, -0x1.7af9ea96eedcap-6, -0x1.77744510e3ebp-6, -0x1.73ee126d863fcp-6, -0x1.706787333fe5fp-6, -0x1.6ce0d71a7dfa7p-6, -0x1.695a350c59fa4p-6, -0x1.65d3d3212bd77p-6, -0x1.624de29f8d594p-6, -0x1.5ec893fb57dbbp-6, -0x1.5b4416d5806bbp-6, -0x1.57c099f9c30d7p-6, -0x1.543e4b6be606dp-6, -0x1.50bd583287691p-6, -0x1.4d3decb8101fp-6, -0x1.49c0345b13e1fp-6, -0x1.464459bb1466bp-6, -0x1.42ca869ee2ff7p-6, -0x1.3f52e3f55a623p-6, -0x1.3bdd99d40fb39p-6, -0x1.386acf76de6bcp-6, -0x1.34faab414340ep-6, -0x1.318d52bfa2aa4p-6, -0x1.2e22eaa7b8c31p-6, -0x1.2abb96d8377a7p-6, -0x1.27577a586793ep-6, -0x1.23f6b7597633ap-6, -0x1.20996f3661dedp-6, -0x1.1d3fc274b0089p-6, -0x1.19e9d0c593ea2p-6, -0x1.1697b906802dp-6, -0x1.134999420dba1p-6, -0x1.0fff8eb0f36c1p-6, -0x1.0cb9b5baffdfp-6, -0x1.097829f8339dcp-6, -0x1.063b06321b58cp-6, -0x1.03026464ca69ap-6, -0x1.ff9cbb81297a6p-7, -0x1.f93e1557251e4p-7, -0x1.f2e90585c3ff3p-7, -0x1.ec9db9b5931cbp-7, -0x1.e65c5dfd4d063p-7, -0x1.e0251cee343a4p-7, -0x1.d9f81fa014db5p-7, -0x1.d3d58d98cb0dcp-7, -0x1.cdbd8ce056b3ap-7, -0x1.c7b0420f7f436p-7, -0x1.c1add0443ba08p-7, -0x1.bbb6592314c46p-7, -0x1.b5c9fce23dd2fp-7, -0x1.afe8da3aacb69p-7, -0x1.aa130eb0a8a82p-7, -0x1.a448b642a6bd4p-7, -0x1.9e89eb79614bp-7, -0x1.98d6c7aa45358p-7, -0x1.932f62c6503a6p-7, -0x1.8d93d36cf6167p-7, -0x1.88042ef05d9bap-7, -0x1.8280895a01b3bp-7, -0x1.7d08f56f4f91fp-7, -0x1.779d84b69abedp-7, -0x1.723e477b85ceap-7, -0x1.6ceb4cd415639p-7, -0x1.67a4a2a556d15p-7, -0x1.626a55a82b58p-7, -0x1.5d3c716d83d22p-7, -0x1.581b0066525c6p-7, -0x1.53060be27ab69p-7, -0x1.4dfd9c1bdc455p-7, -0x1.4901b838552bdp-7, -0x1.4412664f6d94bp-7, -0x1.3f2fab6f5af06p-7, -0x1.3a598ba209f57p-7, -0x1.359009f202587p-7, -0x1.30d3286f7f26ep-7, -0x1.2c22e83571e1cp-7, -0x1.277f496e7be21p-7, -0x1.22e84b5a18277p-7, -0x1.1e5dec51b5871p-7, -0x1.19e029cdbf1fcp-7, -0x1.156f006aa5ed7p-7, -0x1.110a6bedeeba4p-7, -0x1.0cb2674b201c7p-7, -0x1.0866eca8beabbp-7, -0x1.0427f56583561p-7, -0x1.ffeaf4336c061p-8, -0x1.f79ee563e93c1p-8, -0x1.ef6bac591dc77p-8, -0x1.e751362cda78ep-8, -0x1.df4f6e3278f3bp-8, -0x1.d7663eb58f8abp-8, -0x1.cf9591129fcd7p-8, -0x1.c7dd4bf67f8e3p-8, -0x1.c03d55c2c7923p-8, -0x1.b8b5948ad9e59p-8, -0x1.b145ebf294e8p-8, -0x1.a9ee3eaf92806p-8, -0x1.a2ae6eae48ad7p-8, -0x1.9b865cc24f7dcp-8, -0x1.9475e8b644a8p-8, -0x1.8d7cf158e8f9ep-8, -0x1.869b548745cbap-8, -0x1.7fd0ef35481acp-8, -0x1.791d9d771ac4p-8, -0x1.72813a8863768p-8, -0x1.6bfba0d56bab9p-8, -0x1.658caa02decc1p-8, -0x1.5f342ef5e5819p-8, -0x1.58f207dbb569ep-8, -0x1.52c60c323f55fp-8, -0x1.4cb012cfd4f2ap-8, -0x1.46aff1ea234dep-8, -0x1.40c57f1e39e39p-8, -0x1.3af08f77dab45p-8, -0x1.3530f778a1d46p-8, -0x1.2f868b1f2488ap-8, -0x1.29f11dedec5c4p-8, -0x1.247082f25e3a4p-8, -0x1.1f048ccb9c762p-8, -0x1.19ad0daf3ca27p-8, -0x1.1469d7810604cp-8, -0x1.0f3abb9ea89a9p-8, -0x1.0a1f8b4a3b13fp-8, -0x1.051817562aa7cp-8, -0x1.002430509f34dp-8, -0x1.f6874ce2ce7d9p-9, -0x1.ecec934262717p-9, -0x1.e377d5eb287f5p-9, -0x1.da28b0efa9dc7p-9, -0x1.d0fec3adf9a7dp-9, -0x1.c7f9af9d87245p-9, -0x1.bf1910e0fde43p-9, -0x1.b65c860520a27p-9, -0x1.adc3ad43bfa0fp-9, -0x1.a54e248c36c5bp-9, -0x1.9cfb89ad4c2bcp-9, -0x1.94cb7a64c9b47p-9, -0x1.8cbd9468aac85p-9, -0x1.84d1756ff9973p-9, -0x1.7d06bb3bb3aa2p-9, -0x1.755d039ef9303p-9, -0x1.6dd3ec865d5d8p-9, -0x1.666b13ffdf1cdp-9, -0x1.5f22184309b93p-9, -0x1.57f897b82a37ap-9, -0x1.50ee3101acf1ep-9, -0x1.4a0282fd3d40dp-9, -0x1.43352cd165868p-9, -0x1.3c85cdf31b80ep-9, -0x1.35f4062898be6p-9, -0x1.2f7f7594cf96ap-9, -0x1.2927bcbbcf6p-9, -0x1.22ec7c87b8333p-9, -0x1.1ccd5648a466dp-9, -0x1.16c9eb70a5147p-9, -0x1.10e1df1eba19bp-9, -0x1.0b14d391f592ap-9, -0x1.05626ae801454p-9, -0x1.ff9495de964fcp-10, -0x1.f4982cb7226bep-10, -0x1.e9cee4c6eb0cdp-10, -0x1.df3808cc04c9bp-10, -0x1.d4d2e49e7409ep-10, -0x1.ca9ec54b45b07p-10, -0x1.c09af91e65bf5p-10, -0x1.b6c6cfabac718p-10, -0x1.ad2199d7c62dcp-10, -0x1.a3aaa9df6e80fp-10, -0x1.9a61535a95231p-10, -0x1.9144eb37c9e76p-10, -0x1.8854c790409c5p-10, -0x1.7f904032d35d2p-10, -0x1.76f6ae3a1c067p-10, -0x1.6e876bac7d13bp-10, -0x1.6641d4a1aeefap-10, -0x1.5e25467698ceap-10, -0x1.56311fe445e11p-10, -0x1.4e64c109b2f5p-10, -0x1.46bf8b827efabp-10, -0x1.3f40e27585015p-10, -0x1.37e82a702d157p-10, -0x1.30b4ca745dbd1p-10, -0x1.29a6289c7ea04p-10, -0x1.22bbb0a0cc3a9p-10, -0x1.1bf4cc4149fbep-10, -0x1.1550e85560024p-10, -0x1.0ecf732dea874p-10, -0x1.086fdc91827dap-10, -0x1.023195d69b0bep-10, -0x1.f82823c33c2d3p-11, -0x1.ec2d8a4a50f93p-11, -0x1.e0724b3cf8b9ap-11, -0x1.d4f555b2f1bf8p-11, -0x1.c9b59bdc1f57ep-11, -0x1.beb212fecdf77p-11, -0x1.b3e9b3752faa4p-11, -0x1.a95b78ad58ec4p-11, -0x1.9f06611b0eb57p-11, -0x1.94e96e408ca52p-11, -0x1.8b03a49ee5cf9p-11, -0x1.81540c4934c8fp-11, -0x1.77d9afbd32133p-11, -0x1.6e939d4b41f05p-11, -0x1.6580e66c761a1p-11, -0x1.5ca09ffa4f041p-11, -0x1.53f1e23b8b615p-11, -0x1.4b73c8dff4e7fp-11, -0x1.432572c90d65ep-11, -0x1.3b06029af4e06p-11, -0x1.33149cdfbb248p-11, -0x1.2b506aaa667f3p-11, -0x1.23b8960aab918p-11, -0x1.1c4c4c7ebb2fcp-11, -0x1.150abd9adba36p-11, -0x1.0df31b3b85652p-11, -0x1.0704998d46873p-11, -0x1.003e6f29fb69bp-11, -0x1.f33faa92df9acp-12, -0x1.e650101f0fbe8p-12, -0x1.d9ac8d72880f5p-12, -0x1.cd53a7911a9afp-12, -0x1.c143ea5310cbfp-12, -0x1.b57beaa5e6b8ap-12, -0x1.a9fa49e86aee5p-12, -0x1.9ebda6fb59118p-12, -0x1.93c4a34512ef9p-12, -0x1.890df8d0d9536p-12, -0x1.7e9858b9b96e1p-12, -0x1.746276503d0c3p-12, -0x1.6a6b0dcc85f79p-12, -0x1.60b0df0d7c589p-12, -0x1.5732ac3f91d1ep-12, -0x1.4def3a4e97652p-12, -0x1.44e55141e4344p-12, -0x1.3c13bce176fe9p-12, -0x1.33794d62e3291p-12, -0x1.2b14d81ecdae1p-12, -0x1.22e538b0c24f1p-12, -0x1.1ae9506d0ff71p-12, -0x1.132008a432d62p-12, -0x1.0b8850f48dfd4p-12, -0x1.04211fca2874cp-12, -0x1.f9d2e33d24c16p-13, -0x1.ebc090730849fp-13, -0x1.de0953c8affe9p-13, -0x1.d0ab416897949p-13, -0x1.c3a47400764bdp-13, -0x1.b6f30c18999fdp-13, -0x1.aa952fce68f6cp-13, -0x1.9e890ad83a835p-13, -0x1.92ccceb8a6f8cp-13, -0x1.875eb305c01d3p-13, -0x1.7c3cf5b63fe13p-13, -0x1.7165db71726d2p-13, -0x1.66d7b00bbd4f8p-13, -0x1.5c90c77e1a532p-13, -0x1.528f7f747eb79p-13, -0x1.48d240c0fcee5p-13, -0x1.3f577f3ded994p-13, -0x1.361db7cc7d7bbp-13, -0x1.2d236e9fa70e5p-13, -0x1.24672fbed8077p-13, -0x1.1be790946f17ep-13, -0x1.13a32fbda4e08p-13, -0x1.0b98b1ec47b5bp-13, -0x1.03c6be078781ap-13, -0x1.f857f8bdc4cfdp-14, -0x1.e98e336beb444p-14, -0x1.db2d950cb6715p-14, -0x1.cd339798fe71dp-14, -0x1.bf9dc486e2bbap-14, -0x1.b269b3109772fp-14, -0x1.a595070a04c2dp-14, -0x1.991d700231294p-14, -0x1.8d00a8ad743bbp-14, -0x1.813c76896cb85p-14, -0x1.75cea998b1f2ap-14, -0x1.6ab51c2e61835p-14, -0x1.5fedb2f31775fp-14, -0x1.55765d660f9b3p-14, -0x1.4b4d16d7142cap-14, -0x1.416fe75cee62bp-14, -0x1.37dce28f5045dp-14, -0x1.2e922953883aap-14, -0x1.258de51dbb2a8p-14, -0x1.1cce4421ebc78p-14, -0x1.14517e5f316e8p-14, -0x1.0c15d2865b56ap-14, -0x1.0419898e91be8p-14, -0x1.f8b5ef2b2c69ep-15, -0x1.e9b0f6f64f62dp-15, -0x1.db20faec06f7p-15, -0x1.cd02db5916708p-15, -0x1.bf53839c0b03ap-15, -0x1.b20fe07a9aaap-15, -0x1.a5353a1ab40bap-15, -0x1.98c1821cd80b5p-15, -0x1.8cb0c12e9c5cbp-15, -0x1.8101720553539p-15, -0x1.75b0a310ee9cbp-15, -0x1.6abb4ab2f43a9p-15, -0x1.601ee57a3c2d1p-15, -0x1.55d8eaa34ba96p-15, -0x1.4be6c9b03ba37p-15, -0x1.42460f3d8fed5p-15, -0x1.38f48247209e7p-15, -0x1.2fefe3254cc9ep-15, -0x1.2735fd395248p-15, -0x1.1ec4b04ae9051p-15, -0x1.1699ef3d6e1c9p-15, -0x1.0eb3bc65d7453p-15, -0x1.071021d880cd6p-15, -0x1.ff5a4f100e886p-16, -0x1.f1119cee3ded5p-16, -0x1.e3422e1aef1c8p-16, -0x1.d5e823e89a336p-16, -0x1.c8ffe5f11d80cp-16, -0x1.bc8634804b4ebp-16, -0x1.b07819310ddacp-16, -0x1.a4d2bb2b2cdeep-16, -0x1.99932e82917dp-16, -0x1.8eb659ce90435p-16, -0x1.8438fea9b8896p-16, -0x1.7a17daeb66b9cp-16, -0x1.704fc8fe90b07p-16, -0x1.66ddcb681d40dp-16, -0x1.5dbf036558d16p-16, -0x1.54f0a39372355p-16, -0x1.4c6fef1b11dap-16, -0x1.443a47e56b189p-16, -0x1.3c4d406020b2fp-16, -0x1.34a6a1401f29fp-16, -0x1.2d445abbe5061p-16, -0x1.262466041f36dp-16, -0x1.1f44a7937350bp-16, -0x1.18a2e126592f2p-16, -0x1.123cb1cf37782p-16, -0x1.0c0fee0680a32p-16, -0x1.061a506d4d276p-16, -0x1.0059af3030676p-16, -0x1.f5998d3a2e1c5p-17, -0x1.eae357fc31735p-17, -0x1.e08dbb50d0512p-17, -0x1.d695793780899p-17, -0x1.ccf711e716694p-17, -0x1.c3af0e20993f6p-17, -0x1.baba356c3a0ap-17, -0x1.b215a47eb7cc9p-17, -0x1.a9be954fb4d9bp-17, -0x1.a1b235332171bp-17, -0x1.99ed7fc0fe719p-17, -0x1.926d585b669c1p-17, -0x1.8b2ead62651dfp-17, -0x1.842ea04a3d0d4p-17, -0x1.7d6aa97da6d13p-17, -0x1.76e0a126a2839p-17, -0x1.708e9d9b57cf4p-17, -0x1.6a72b2c164fb3p-17, -0x1.648ac12c30fd3p-17, -0x1.5ed47d8a867dfp-17, -0x1.594daa52a1ebp-17, -0x1.53f438e070669p-17, -0x1.4ec5ae3c5dbb5p-17, -0x1.49c192ce701bap-17, -0x1.44e68cb958f97p-17, -0x1.403162c8eb15ap-17, -0x1.3ba0a18c72bf3p-17, -0x1.373285e248a5fp-17, -0x1.32e5325cf8f54p-17, -0x1.2eb709a292618p-17, -0x1.2aa6d389b8441p-17, -0x1.26b3950916c78p-17, -0x1.22dc47a6caf49p-17, -0x1.1f1fb0fd592ccp-17, -0x1.1b7c7764f24b1p-17, -0x1.17f1425d9d925p-17, -0x1.147cc35a570c4p-17, -0x1.111db7b73fcc3p-17, -0x1.0dd2f6052fe02p-17, -0x1.0a9b74450748ep-17, -0x1.077627f8919c3p-17, -0x1.0461097360f66p-17, -0x1.015bb8c5eef88p-17, -0x1.fcd37c1771ca6p-18, -0x1.f70244271f646p-18, -0x1.f15478bb0fba4p-18, -0x1.ebbc2cf93596bp-18, -0x1.e63c2e0931bc5p-18, -0x1.e0d4110fc17ep-18, -0x1.db828fa9cc517p-18, -0x1.d646068a48a13p-18, -0x1.d11cd7c0d81c7p-18, -0x1.cc04cc7ca8793p-18, -0x1.c6fbbf294b19ep-18, -0x1.c20137db6d125p-18, -0x1.bd1460956d8e3p-18, -0x1.b834c4ef25e72p-18, -0x1.b361b4ca0f001p-18, -0x1.ae9a1d5bae61dp-18, -0x1.a9dcc9e035568p-18, -0x1.a5297b0877172p-18, -0x1.a07efca0f1f99p-18, -0x1.9bdcbbfe314b5p-18, -0x1.9741e6d3875c9p-18, -0x1.92ad872f4e957p-18, -0x1.8e1e7dc4341ecp-18, -0x1.8994ad021c18p-18, -0x1.8510e2cbcbb6fp-18, -0x1.8091910afcdf1p-18, -0x1.7c155baef50d8p-18, -0x1.779d492de8227p-18, -0x1.7328436454214p-18, -0x1.6eb46ad830311p-18, -0x1.6a41da3a4c24ep-18, -0x1.65d118c07958bp-18, -0x1.6162266b1c1a3p-18, -0x1.5cf4a14514327p-18, -0x1.588810568c6p-18, -0x1.541bfc0985d47p-18, -0x1.4faff39328969p-18, -0x1.4b43a1978f67bp-18, -0x1.46d6d34262d4ap-18, -0x1.42696296ed8e1p-18, -0x1.3dfcd5968ff62p-18, -0x1.398d44c3ddb23p-18, -0x1.351e019331cbfp-18, -0x1.30adb4f003b69p-18, -0x1.2c3c6f6c1617ep-18, -0x1.27ca21f7767bp-18, -0x1.2356c7b662d4bp-18, -0x1.1ee27c64c82f4p-18, -0x1.1a6bd890cf6b7p-18, -0x1.15f2f2614ac29p-18, -0x1.117b4e42f2562p-18, -0x1.0d0300bfd8383p-18, -0x1.0887716dc49c2p-18, -0x1.040af1272f7b4p-18, -0x1.ff1ad8882e194p-19, -0x1.f61daf8945d99p-19, -0x1.ed1e632974049p-19, -0x1.e41cfa657bbbp-19, -0x1.db198aa38ebdcp-19, -0x1.d2143df876d46p-19, -0x1.c90d6a80ec268p-19, -0x1.c0050c19c0dc2p-19, -0x1.b6fb781d83354p-19, -0x1.adf0d8ae5b6bfp-19, -0x1.a4e56b737a803p-19, -0x1.9bd96c47f9d4cp-19, -0x1.92cd22ad72c24p-19, -0x1.89c0a04f66b3cp-19, -0x1.80b3f259dc1bap-19, -0x1.77a78940dcad3p-19, -0x1.6e9c392d6d72fp-19, -0x1.658f13275223p-19, -0x1.5c862d8fdf94bp-19, -0x1.5380ca4770dffp-19, -0x1.4a7afa01cadaap-19, -0x1.417753aa30142p-19, -0x1.3875d2a8c5642p-19, -0x1.2f76e6c454c1p-19, -0x1.267b0d3253826p-19, -0x1.1d828c83bc232p-19, -0x1.148dc0f8c17e5p-19, -0x1.0b9cefc63b7eep-19, -0x1.02b0a5803a018p-19, -0x1.f392dc2c1ce1ep-20, -0x1.e1cbd5b5b1befp-20, -0x1.d010480331429p-20, -0x1.be6038d1163bcp-20, -0x1.acbbdb2448efp-20, -0x1.9b23cc5549b25p-20, -0x1.8998b4f8cd909p-20, -0x1.781b49fc36937p-20, -0x1.66ac6f1d72cb7p-20, -0x1.554d54e375211p-20, -0x1.43fe76b579665p-20, -0x1.3293601f4dcfdp-20, -0x1.21ce3d6be6befp-20, -0x1.10494cad78104p-20, -0x1.fec3664c913e5p-21, -0x1.dcca00ab92635p-21, -0x1.baf87f0d51e28p-21, -0x1.994fec1530b58p-21, -0x1.77d0552dd4ae6p-21, -0x1.567ab562353ddp-21, -0x1.354c4f90d7d39p-21, -0x1.14502fccf4f21p-21, -0x1.e6fae5d1ccf66p-22, -0x1.a5b2806f17e35p-22, -0x1.64c44ab98ee7ep-22, -0x1.2439c9af22b62p-22, -0x1.c81c00984651fp-23, -0x1.4890665e5708fp-23, -0x1.939c34f0c0a67p-24, -0x1.2f6b3e22a0063p-25, 0x1.8a2f69d7b733ap-26, 0x1.5b20e98d1b953p-24, 0x1.29015763f92d4p-23, 0x1.a395329a88873p-23, 0x1.0ea44f042463ap-22, 0x1.4b0c2da99b9edp-22, 0x1.87009c3b542fp-22, 0x1.c280182a3fd9cp-22, 0x1.fd88f3ea56042p-22, 0x1.1c0cd319d36c9p-21, 0x1.3917a50b6ba4bp-21, 0x1.55e633bb82596p-21, 0x1.7273d833eb0fp-21, 0x1.8ec0d5a7c05c1p-21, 0x1.aaf2ccf8594b4p-21, 0x1.c6c6ecc00e5d4p-21, 0x1.e239464b96e37p-21, 0x1.fd906cbb375ddp-21, 0x1.0c50f2e1eeedap-20, 0x1.19b800a7f0a75p-20, 0x1.26fd707999776p-20, 0x1.3420dab509444p-20, 0x1.4121dd703cac5p-20, 0x1.4e0235a2f43bap-20, 0x1.5ac45f9e81cb5p-20, 0x1.675ff1854cc8ep-20, 0x1.73d85c87a6e17p-20, 0x1.802c830d8f1bap-20, 0x1.8c67423c6ef4cp-20, 0x1.987280d530df6p-20, 0x1.a4699e9cc18d3p-20, 0x1.b01cd30470693p-20, 0x1.bbc66ecfa8269p-20, 0x1.c7596997e0938p-20, 0x1.d2b632e68369ep-20, 0x1.ddeb5863574e2p-20, 0x1.e905436123452p-20, 0x1.f3f9a5c124cd5p-20, 0x1.fec98d1fc1c87p-20, 0x1.04baa89f3ac25p-19, 0x1.09fe75dbb7accp-19, 0x1.0f30301c1cd45p-19, 0x1.144fd52ddbea5p-19, 0x1.195d578b2fa47p-19, 0x1.1e58bb09afe61p-19, 0x1.2341ff6fde7d3p-19, 0x1.281923d20c26p-19, 0x1.2cde27b781648p-19, 0x1.31910d6ac2123p-19, 0x1.3631d6e9e7d69p-19, 0x1.3ac0896c1ddfbp-19, 0x1.3f3d28d5cf7bfp-19, 0x1.43a7b9fec3d19p-19, 0x1.480044111632p-19, 0x1.4c46ce975eb2fp-19, 0x1.507b61b51e8edp-19, 0x1.549e062750d62p-19, 0x1.58aec539e0991p-19, 0x1.5cada8f22d0f6p-19, 0x1.609abc860cb3p-19, 0x1.64760d0119812p-19, 0x1.683fa95a6f484p-19, 0x1.6bf7a18e92978p-19, 0x1.6f9e059fd0eb8p-19, 0x1.7332e564a8b59p-19, 0x1.76b64ff447b88p-19, 0x1.7a2853bae234p-19, 0x1.7d89009c5b634p-19, 0x1.80d867b6ddfaep-19, 0x1.84169c13da8d4p-19, 0x1.8743b1bbbd353p-19, 0x1.8a5fbda38befdp-19, 0x1.8d6adce2c1e6ep-19, 0x1.9062ca14fea02p-19, 0x1.934e7cad239a6p-19, 0x1.96272f8ad4629p-19, 0x1.98ef4b2ef3d5bp-19, 0x1.9ba6e202c92d2p-19, 0x1.9e4e0ad178fep-19, 0x1.a0e4da8c26e05p-19, 0x1.a36b5b510868ap-19, 0x1.a5e168d4e99efp-19, 0x1.a84728c83306fp-19, 0x1.aaa9e9dd1fe93p-19, 0x1.acf76d4180f11p-19, 0x1.af1a92c1174e7p-19, 0x1.b142979ba4968p-19, 0x1.b35b96459a5a2p-19, 0x1.b564b1f3d2c9cp-19, 0x1.b75ddaddb9fbp-19, 0x1.b942d7893110dp-19, 0x1.bb2189938101ap-19, 0x1.bced796d6d3b4p-19, 0x1.beab887575e36p-19, 0x1.c05a4d0f4cc56p-19, 0x1.c1fa16ea034b1p-19, 0x1.c38b540649c42p-19, 0x1.c50e093b3a668p-19, 0x1.c681c978aaf6fp-19, 0x1.c7e9203c0affap-19, 0x1.c92da103a6aa2p-19, 0x1.ca92a53eadc5fp-19, 0x1.cbc842ee77f55p-19, 0x1.ccf8430da2d7p-19, 0x1.ce1e28886d70ap-19, 0x1.cf2ca9c8ddcbcp-19, 0x1.d035ff1f7cf3p-19, 0x1.d1321c333f2acp-19, 0x1.d2204426240b2p-19, 0x1.d301122246548p-19, 0x1.d3d5064339cf6p-19, 0x1.d49c5c77acc5ap-19, 0x1.d5573d5b46c5ap-19, 0x1.d605ba42dc19bp-19, 0x1.d6a8294969099p-19, 0x1.d73e77b8766ffp-19, 0x1.d7c8c7f48c1cdp-19, 0x1.d8476bfbd46c9p-19, 0x1.d8ba581ba0c25p-19, 0x1.d921b5bc49884p-19, 0x1.d97d71f9530bcp-19, 0x1.d9cdf0f16e978p-19, 0x1.da12a434e4c61p-19, 0x1.da4e44e137987p-19, 0x1.da7f6c4798ee4p-19, 0x1.daa3ffca2c65fp-19, 0x1.dabe3a6a1e237p-19, 0x1.dacb9234d0ef1p-19, 0x1.dad1721c2b9bfp-19, 0x1.dacd71516a683p-19, 0x1.dabedc8a0ed31p-19, 0x1.daa6169b2a196p-19, 0x1.da836d99309a5p-19, 0x1.da570bf03fd7p-19, 0x1.da2113053fcc1p-19, 0x1.d9e1a669227e2p-19, 0x1.d998e89f865b1p-19, 0x1.d946facff9b35p-19, 0x1.d8ebfd9cfd813p-19, 0x1.d888119b16ecdp-19, 0x1.d81b57a3d7226p-19, 0x1.d7a5f2840dd78p-19, 0x1.d72803344aa04p-19, 0x1.d6a12e327372cp-19, 0x1.d612cc5ae81d7p-19, 0x1.d57bea45f8aa2p-19, 0x1.d4dce5b896682p-19, 0x1.d43616351789p-19, 0x1.d38749c72c643p-19, 0x1.d2d0f3de788d5p-19, 0x1.d21302db21352p-19, 0x1.d14d9ba0927f2p-19, 0x1.d080dd1780f35p-19, 0x1.cface35edd742p-19, 0x1.ced1bcf30c6e6p-19, 0x1.cdef54d6e9c0bp-19, 0x1.cd085eda98571p-19, 0x1.cc16db0d9e29ep-19, 0x1.cb20c50f6fd22p-19, 0x1.ca263b85b11cbp-19, 0x1.c920f369d167fp-19, 0x1.c817bffe6e6e1p-19, 0x1.c7080f03c9488p-19, 0x1.c5f284303e52fp-19, 0x1.c4d6de3661f06p-19, 0x1.c3b55bcc6bf1bp-19, 0x1.c28e01b32cbdfp-19, 0x1.c1604352b86abp-19, 0x1.c031cc6b80265p-19, 0x1.bef62bcc2800fp-19, 0x1.bdba38749c09dp-19, 0x1.bc77c8a9f0df8p-19, 0x1.bb31678be9dbap-19, 0x1.b9e4cd359956p-19, 0x1.b893ac6899582p-19, 0x1.b73dd2d102502p-19, 0x1.b5e337ffe7098p-19, 0x1.b483cefdd1648p-19, 0x1.b31f2a637d11ap-19, 0x1.b1b5a8b4460dp-19, 0x1.b04a72f3848bap-19, 0x1.aedb49e1eef1ep-19, 0x1.ad66caded5543p-19, 0x1.abee63264d887p-19, 0x1.aa7225a65075fp-19, 0x1.a8f1b0ac1501cp-19, 0x1.a76ce7bc86aa8p-19, 0x1.a5e7beea224fbp-19, 0x1.a46ed3464f67fp-19, 0x1.a2cb1123a2ffep-19, 0x1.a12c90edbb49bp-19, 0x1.9fa87ac47522p-19, 0x1.9e1f7cba14b2cp-19, 0x1.9c8f62458f6fp-19, 0x1.9ad260f7d0992p-19, 0x1.9932a79a58972p-19, 0x1.978f1f3b71d36p-19, 0x1.95e82f0ff5ac8p-19, 0x1.943df924c7849p-19, 0x1.9291b76bd191fp-19, 0x1.90e35ce68d596p-19, 0x1.8f327c1e8120ep-19, 0x1.8d7f25b532349p-19, 0x1.8bc97a54ed43cp-19, 0x1.8a1180598b8c9p-19, 0x1.88575da690598p-19, 0x1.869c3f015ee15p-19, 0x1.84dd6a51b5599p-19, 0x1.831daefc1a82cp-19, 0x1.815bfe8527445p-19, 0x1.7f98714bc969ep-19, 0x1.7dd2bd817dd2fp-19, 0x1.7c0b9ecc5a23p-19, 0x1.7a4547d842995p-19, 0x1.787b2bd0215e4p-19, 0x1.76b0440b9a016p-19, 0x1.74e146e2f604p-19, 0x1.7313e54784d27p-19, 0x1.714591f982cep-19, 0x1.6f758bafd7dcep-19, 0x1.6da43e1e606ebp-19, 0x1.6bd1d218abdc5p-19, 0x1.69fe2778c5ca5p-19, 0x1.682a9fa8102c1p-19, 0x1.66557eb631f48p-19, 0x1.647ece693565fp-19, 0x1.62a8c96883c38p-19, 0x1.60d199dda48fbp-19, 0x1.5ef9b100d63eep-19, 0x1.5d216821456e8p-19, 0x1.5b48704396e2cp-19, 0x1.596f0ab6d0a92p-19, 0x1.57953fb2da24ap-19, 0x1.55bb1b79eab52p-19, 0x1.53e0aaf7d5543p-19, 0x1.5205fb0d7ace6p-19, 0x1.502b1855d6053p-19, 0x1.4e500ea6b5383p-19, 0x1.4c74e683a4429p-19, 0x1.4a999729be4a9p-19, 0x1.48b885f26fcc7p-19, 0x1.46e6ff986661cp-19, 0x1.450860f52f2b2p-19, 0x1.432ce285985e5p-19, 0x1.41528d36e7327p-19, 0x1.3f78306ea6dddp-19, 0x1.3d9e0bb259498p-19, 0x1.3bc40bdd3a894p-19, 0x1.39e9a594bf61fp-19, 0x1.3811a32be65dp-19, 0x1.3637f223a5d07p-19, 0x1.345f5a5eeb5d1p-19, 0x1.328809b40d9a1p-19, 0x1.30b10d01300a1p-19, 0x1.2eda2897fb99ap-19, 0x1.2d03df93a1326p-19, 0x1.2b2e4b0c12f23p-19, 0x1.29594b9f64db9p-19, 0x1.2783bea09a9bp-19, 0x1.259311c5b09b3p-19, 0x1.23ddb587b70f2p-19, 0x1.220d80c44976ap-19, 0x1.203cf8ef35dfep-19, 0x1.1e6d06ce0bdfbp-19, 0x1.1c9df1dcfa6b6p-19, 0x1.1acff148c3c77p-19, 0x1.1902a6be21227p-19, 0x1.17367ebd8b072p-19, 0x1.156b5ea731e9cp-19, 0x1.13a12d26baf6p-19, 0x1.11d7c9387f863p-19, 0x1.1012d12e1ab23p-19, 0x1.0e48ca49cc09cp-19, 0x1.0c83e33695a67p-19, 0x1.0abf561c79e98p-19, 0x1.08fbe7600724ap-19, 0x1.0739e14c8ac5dp-19, 0x1.0578f20de3cefp-19, 0x1.03ba64f132716p-19, 0x1.01fc69c47f6acp-19, 0x1.003fa3bfaab64p-19, 0x1.fd087b9397031p-20, 0x1.f994737d0f352p-20, 0x1.f62335897fc31p-20, 0x1.f2b4d1192ae4ap-20, 0x1.ef4909b48c859p-20, 0x1.ebdd2d9eb71fcp-20, 0x1.e87d97eb8e2abp-20, 0x1.e50ea43ff146p-20, 0x1.e1b776ea67f41p-20, 0x1.de66a7a235e2p-20, 0x1.db18a28d90134p-20, 0x1.d7a9b62ba5aafp-20, 0x1.d454593aab86dp-20, 0x1.d10915db1b329p-20, 0x1.cdbc7d95a3dabp-20, 0x1.ca721a4eaf4a4p-20, 0x1.c727ee7f7f7a4p-20, 0x1.c3e5f6f0e99f9p-20, 0x1.c0a713a544b8ep-20, 0x1.bd6a286cdaac9p-20, 0x1.ba31a0891b1c8p-20, 0x1.b6fc2ec695eb3p-20, 0x1.b3c8d3c1320b1p-20, 0x1.b0919fd5a9c1ap-20, 0x1.ad6406dc920c2p-20, 0x1.aa46d56d9e226p-20, 0x1.a722047d8c307p-20, 0x1.a4009623b5b5p-20, 0x1.a0e2baa7a144p-20, 0x1.9dc8583eb1786p-20, 0x1.9ab0b240abcc3p-20, 0x1.97a3df1b8e007p-20, 0x1.948f25161ace8p-20, 0x1.91840af73c704p-20, 0x1.8e7b2587a5806p-20, 0x1.8b77588c004dep-20, 0x1.8876d4eb6d2fp-20, 0x1.857b91407655p-20, 0x1.82906e19879d4p-20, 0x1.7f8a3ac326b73p-20, 0x1.7c9913859eb0bp-20, 0x1.79aafe3b90218p-20, 0x1.76c093ca86adbp-20, 0x1.73db936cc5698p-20, 0x1.70f6f46321b01p-20, 0x1.6e17c738768fdp-20, 0x1.6b3c5f202c46ep-20, 0x1.6864be5baae64p-20, 0x1.6590e9c2f3399p-20, 0x1.62c0af88aaf15p-20, 0x1.5ff49f79e2257p-20, 0x1.5d2c206d21fc8p-20, 0x1.5a6777c400146p-20, 0x1.57a69ebafcb1fp-20, 0x1.54e9854c87a19p-20, 0x1.5231ca16cfa1cp-20, 0x1.4f7add70acbf3p-20, 0x1.4cc8be6853dfap-20, 0x1.4a2690eafdccfp-20, 0x1.476d8239c1c4dp-20, 0x1.44cb43c378284p-20, 0x1.42283c7117024p-20, 0x1.3fb288385a8c1p-20, 0x1.3cee614f4817cp-20, 0x1.3a58fcbb7468bp-20, 0x1.37c641e38fdbap-20, 0x1.35373e4cb4421p-20, 0x1.32ac74eaf96f3p-20, 0x1.30251622ba14p-20, 0x1.2da16c817a727p-20, 0x1.2b206c92b4d04p-20, 0x1.28a477afe22b7p-20, 0x1.262c441c21ea9p-20, 0x1.23b7990575009p-20, 0x1.214869c4f8459p-20, 0x1.1edbb7302062p-20, 0x1.1c723a474d9dep-20, 0x1.1a0cb52472ceep-20, 0x1.17ab1d2a59fdcp-20, 0x1.154d5fec2e495p-20, 0x1.12f3738053159p-20, 0x1.1098dfb2bc464p-20, 0x1.0e4af83ea11c5p-20, 0x1.0bfc6a2a4b574p-20, 0x1.09b1913e4f0ecp-20, 0x1.076a3490588d1p-20, 0x1.0525515ac379fp-20, 0x1.0311f24b78addp-20, 0x1.00aca63b22406p-20, 0x1.fce823c6a357p-21, 0x1.f8781881dace8p-21, 0x1.f416a48ba02bap-21, 0x1.efc35955e6872p-21, 0x1.eb6f8f56373fp-21, 0x1.e723d0385d6d1p-21, 0x1.e2ef425642852p-21, 0x1.de9cc968bba35p-21, 0x1.da69aec8a954dp-21, 0x1.d63b981da405ap-21, 0x1.d2144ca060a08p-21, 0x1.cdf3facf234c4p-21, 0x1.c9dae5b7fffe8p-21, 0x1.c5c8e5083d56fp-21, 0x1.c1bdf5040b934p-21, 0x1.bdba3ea0cb738p-21, 0x1.b9bd8e3f7cccap-21, 0x1.b5c7ecf240dafp-21, 0x1.b1d954174e328p-21, 0x1.adf1bd6e4040fp-21, 0x1.aa1121f22eb91p-21, 0x1.a6377a19c9a43p-21, 0x1.a264a57569c89p-21, 0x1.9e9dd2e537f61p-21, 0x1.9ad3b30e1153ep-21, 0x1.9715f3cf1f58cp-21, 0x1.935ec29362e1cp-21, 0x1.8fae243fd7e8cp-21, 0x1.8c01ded38f069p-21, 0x1.88235e7dc685p-21, 0x1.84c447288ab09p-21, 0x1.8130241ecde4dp-21, 0x1.7da1037bcf695p-21, 0x1.7a1961d9dc2efp-21, 0x1.7697dc141b1dbp-21, 0x1.731c73dd6dffcp-21, 0x1.6f94de37a3fd8p-21, 0x1.6c39d4f7b845ap-21, 0x1.68d2c3c051c18p-21, 0x1.654c4f1ce1487p-21, 0x1.621633ca5ab81p-21, 0x1.5ec3df9153278p-21, 0x1.5b76621b90f0cp-21, 0x1.582f20f5acbffp-21, 0x1.54ee32a68591p-21, 0x1.51b3ac3323706p-21, 0x1.4e7f41aa0d44fp-21, 0x1.4b513a5257751p-21, 0x1.4829fe8fa3352p-21, 0x1.45073b45e9af3p-21, 0x1.41eb4d08328e5p-21, 0x1.3ed598da0529dp-21, 0x1.3bc6058bfd656p-21, 0x1.38bc90f1a6592p-21, 0x1.35b9315aa0cfdp-21, 0x1.32bbd2801ec26p-21, 0x1.2fc46087b1d5fp-21, 0x1.2cd2cb6bfba52p-21, 0x1.29e6bc88a4083p-21, 0x1.2701ff1b89892p-21, 0x1.2420759551cfep-21, 0x1.2124be43dd7dfp-21, 0x1.1e717cc35b239p-21, 0x1.1ba416491650ap-21, 0x1.18dab68c65ebep-21, }}, 
      std::vector<double>(1200, 0.0), 
      {{0x1.8b1e82f20451cp-5, 0x1.7b5e6d192e65dp-4, 0x1.0bfc971999a08p-3, 0x1.4b62cd378c4f3p-3, 0x1.7b33496089e19p-3, 0x1.9bcdbd2163856p-3, 0x1.ae3bd7d809bfcp-3, 0x1.b3eb67b391271p-3, 0x1.ae7da5209555ap-3, 0x1.9fa56bee5401ap-3, 0x1.89102035f63a6p-3, 0x1.6c564bf66ddf6p-3, 0x1.4af1d9c7af65cp-3, 0x1.263874ab47c2cp-3, 0x1.feb1a11504b63p-4, 0x1.aeb46357d12efp-4, 0x1.5e3ae01f0f2b1p-4, 0x1.0ebdef6f77e56p-4, 0x1.82e5fe0a2028ap-5, 0x1.dd490d0c0a4ccp-6, 0x1.88e8b7699fb3dp-7, -0x1.09b719a1bbb4bp-8, -0x1.35c12477401f5p-6, -0x1.0a3cd4956ec71p-5, -0x1.6f02cdb4d0234p-5, -0x1.c91cb8a30b523p-5, -0x1.0c4f8c4fa155bp-4, -0x1.2ee04bcc81831p-4, -0x1.4c69b1103f666p-4, -0x1.651f6cc469449p-4, -0x1.793d399ba7384p-4, -0x1.8904a1b361b2cp-4, -0x1.94bb07a28584ep-4, -0x1.9ca80f3538f5ap-4, -0x1.a11440b585a1ep-4, -0x1.a247f115ac1acp-4, -0x1.a08a52f4fafp-4, -0x1.9c20cce243398p-4, -0x1.954e650700a59p-4, -0x1.8c53574229cc2p-4, -0x1.816cce51e59acp-4, -0x1.74d4aa7630a51p-4, -0x1.66c1682174fap-4, -0x1.576614c555bb6p-4, -0x1.46f24db266d72p-4, -0x1.35924ab9ddcebp-4, -0x1.236ef4ac5aa76p-4, -0x1.10ae02eccd865p-4, -0x1.fae431d0f477cp-5, -0x1.d3b5d5715e7a8p-5, -0x1.ac0ac994d0affp-5, -0x1.8417a8a552cc3p-5, -0x1.5c0c1820d5d3dp-5, -0x1.34131a255c2d5p-5, -0x1.0c5367a2137abp-5, -0x1.c9df4ba21570dp-6, -0x1.7c0d8f97b088ep-6, -0x1.2f688c456580fp-6, -0x1.c8419321a7f1bp-7, -0x1.34c1e7d9e4a58p-7, -0x1.493917540f2f1p-8, -0x1.811f06282a9e7p-11, 0x1.c29a10ba474a8p-9, 0x1.eabbc08b4d973p-8, 0x1.75ece7c150095p-7, 0x1.f233351c9b3bp-7, 0x1.350b6c8390b87p-6, 0x1.6ec1e25f67b11p-6, 0x1.a6358af1e610cp-6, 0x1.db6158b503f85p-6, 0x1.072138f2681e1p-5, 0x1.1f6bf72e05264p-5, 0x1.369157ab1a2bbp-5, 0x1.4c9292f7ac047p-5, 0x1.61719d32501bp-5, 0x1.7531091ff4c74p-5, 0x1.87d4028c01a38p-5, 0x1.995e336a2198p-5, 0x1.a9d3bba0dcb65p-5, 0x1.b9391dd88ad8ap-5, 0x1.c793371c5fd8bp-5, 0x1.d4e736ec86cadp-5, 0x1.e13a8a539093ep-5, 0x1.ec92db6ea557cp-5, 0x1.f6f60432781a9p-5, 0x1.003502e1cc671p-4, 0x1.047a81b9dc005p-4, 0x1.084e9d7228064p-4, 0x1.0bb47f88ff3c8p-4, 0x1.0eaf537f19594p-4, 0x1.114257e166eb6p-4, 0x1.1370b9c460ca6p-4, 0x1.153db2a74ab37p-4, 0x1.16ac77283c455p-4, 0x1.17c036926b632p-4, 0x1.187c1c97670e6p-4, 0x1.18e34d2028501p-4, 0x1.18f8e3f782039p-4, 0x1.18bff2b03e0cap-4, 0x1.183b81491e8p-4, 0x1.176e8b633d4b8p-4, 0x1.165c00c89c2d1p-4, 0x1.1506c4238d32p-4, 0x1.1371a9ad56fb4p-4, 0x1.119f779e7eb8bp-4, 0x1.0f92e59704861p-4, 0x1.0d4e9be3acbe3p-4, 0x1.0ad532e80914dp-4, 0x1.082933361d5b2p-4, 0x1.054d154c515cbp-4, 0x1.0243415f36e0bp-4, 0x1.fe1c1e7df8cb2p-5, 0x1.f75f8c80ca909p-5, 0x1.f0553a9f8f16ap-5, 0x1.e90175a2fcc59p-5, 0x1.e1686912dc91ep-5, 0x1.d98e1fe40587ep-5, 0x1.d17684ff3fcb5p-5, 0x1.c925630a44dc5p-5, 0x1.c09e64c27a8dfp-5, 0x1.b7e515266e5f4p-5, 0x1.aefce070b21bap-5, 0x1.a5e914717a2d5p-5, 0x1.9cace0e8ad3abp-5, 0x1.934b580e70e12p-5, 0x1.89c76f31dedc7p-5, 0x1.8023ff5a4c207p-5, 0x1.7663c5d9dcfb7p-5, 0x1.6c8964f141489p-5, 0x1.6297647e4908ap-5, 0x1.58903284c317ep-5, 0x1.4e7623dada9a3p-5, 0x1.444b7510f3b8cp-5, 0x1.3a124b23c0601p-5, 0x1.2fccb4024c45bp-5, 0x1.257ca701e81bep-5, 0x1.1b2405b4c5438p-5, 0x1.10c49d4f8de7p-5, 0x1.06602690bc8dp-5, 0x1.f7f08be03908bp-6, 0x1.e31d1a5aea666p-6, 0x1.ce48f8c497751p-6, 0x1.b9770422cdda3p-6, 0x1.a4a9f632c938ep-6, 0x1.8fe46794989d9p-6, 0x1.7b28d2e272246p-6, 0x1.6679957502ecfp-6, 0x1.51d8ee9f6eaacp-6, 0x1.3d4900cb601dap-6, 0x1.28cbd48f5d47dp-6, 0x1.14635a72fbc12p-6, 0x1.00116a67a61bdp-6, 0x1.d7af878ba61ccp-7, 0x1.af701f1a08ae5p-7, 0x1.8767c4fae7092p-7, 0x1.5f997b2ad59ddp-7, 0x1.38081b76ebe36p-7, 0x1.10b659db749a2p-7, 0x1.d34d906ba85f2p-8, 0x1.85b7b07e07e0cp-8, 0x1.38afb77aff1p-8, 0x1.d87416081d417p-9, 0x1.40b5b0a5413bp-9, 0x1.5458648ebc598p-10, 0x1.4df29284026a6p-13, -0x1.fca9030405797p-11, -0x1.11e93d7eae4cep-9, -0x1.a35753839881ap-9, -0x1.19b72d3af7aedp-8, -0x1.61143c531923bp-8, -0x1.a7c00f6abd4dp-8, -0x1.edb80094c654bp-8, -0x1.197cc5af91183p-7, -0x1.3bc124ec4a922p-7, -0x1.5da7f9ffd6ee8p-7, -0x1.7f302f25b4a13p-7, -0x1.a058bbf3ea3dap-7, -0x1.c120a4998e8ccp-7, -0x1.e186f94aa7661p-7, -0x1.00c56ae0eb832p-6, -0x1.1095b05e4cc0dp-6, -0x1.2033e5bb2bec8p-6, -0x1.2f9fa898edac5p-6, -0x1.3ed89b6c371e7p-6, -0x1.4dde6553078abp-6, -0x1.5cb0b1ed1da8p-6, -0x1.6b4f31359dc34p-6, -0x1.79b9976927622p-6, -0x1.87ef9cf48a5cfp-6, -0x1.95f0fe1786466p-6, -0x1.a3bd7b01c2948p-6, -0x1.b154d82a237bap-6, -0x1.beb6dd4256685p-6, -0x1.cbe35621a3e7ap-6, -0x1.d8da124f83885p-6, -0x1.e59ae4be83f7cp-6, -0x1.f225a4108a287p-6, -0x1.fe7a2a815fdb6p-6, -0x1.054c2aebac699p-5, -0x1.0b4003aa945d3p-5, -0x1.111891d8ec6d2p-5, -0x1.16d5c98caa11ep-5, -0x1.1c77a09199f86p-5, -0x1.21fe0e666c9ap-5, -0x1.27690c39f523dp-5, -0x1.2cb894e7f98ap-5, -0x1.31eca4f5c77e9p-5, -0x1.37053a90672dp-5, -0x1.3c0255899099p-5, -0x1.40e3f757a7bfdp-5, -0x1.45aa230e7e065p-5, -0x1.4a54dd61aa788p-5, -0x1.4ee42c9ed6b05p-5, -0x1.535818ac61747p-5, -0x1.57b0ab0417a3fp-5, -0x1.5bedeeb3db564p-5, -0x1.600ff057ece3ep-5, -0x1.6416be1bc9441p-5, -0x1.680267b942893p-5, -0x1.6bd2fe7ae362p-5, -0x1.6f88951fd6b6p-5, -0x1.73233fba6e7dfp-5, -0x1.76a31411b634fp-5, -0x1.7a0829905a42bp-5, -0x1.7d5298b6b9154p-5, -0x1.80827b86bf787p-5, -0x1.8397edbbe2d46p-5, -0x1.86930c542015cp-5, -0x1.8973f59928966p-5, -0x1.8c3ac940e6bcap-5, -0x1.8ee7a8665e063p-5, -0x1.917ab58020e27p-5, -0x1.93f4145a57ef6p-5, -0x1.9653ea1466368p-5, -0x1.989a5d1cf329p-5, -0x1.9ac795269fe05p-5, -0x1.9cdbbb2d9e11p-5, -0x1.9ed6f96dcb1e8p-5, -0x1.a0b97b5be5ff6p-5, -0x1.a2836da8d1d02p-5, -0x1.a434fe36bcb9p-5, -0x1.a5ce5c11ab877p-5, -0x1.a74fb76e7d0e6p-5, -0x1.a8b941a6cd14dp-5, -0x1.aa0b2d318e5c4p-5, -0x1.ab45ad9ea0dbbp-5, -0x1.ac68f78c37fap-5, -0x1.ad7540a7f2f99p-5, -0x1.ae6abfa93ea2p-5, -0x1.af49ac44839a6p-5, -0x1.b0123f2ae714dp-5, -0x1.b0c4b202ea1b5p-5, -0x1.b1613f622852bp-5, -0x1.b1e822c71c5dfp-5, -0x1.b2599892b7ec8p-5, -0x1.b2b5de01e273bp-5, -0x1.b2fd3126e4e8p-5, -0x1.b32fd0e2bf4c1p-5, -0x1.b34dfcde54badp-5, -0x1.b357f583516d9p-5, -0x1.b34dfbf5d353dp-5, -0x1.b330520cb1c51p-5, -0x1.b2ff3a4bcac2p-5, -0x1.b2baf7df65d12p-5, -0x1.b263ce8e4c642p-5, -0x1.b1fa02ab1a64fp-5, -0x1.b17dd92cdff3ap-5, -0x1.b0ef978630ae6p-5, -0x1.b04f83a5776ep-5, -0x1.af9de405bf57dp-5, -0x1.aedaff85eb40ep-5, -0x1.ae071d6ef1a4bp-5, -0x1.ad22856ffff6fp-5, -0x1.ac2d7f946745cp-5, -0x1.ab28543c0010fp-5, -0x1.aa134c14d33c1p-5, -0x1.a8eeb013d4193p-5, -0x1.a7bac9730fa01p-5, -0x1.a677e1a04291fp-5, -0x1.a52642336defdp-5, -0x1.a3c634dc62123p-5, -0x1.a2580357bb55ap-5, -0x1.a0dbf7a8877cbp-5, -0x1.9f525bd2e551ep-5, -0x1.9dbb7a19c4a41p-5, -0x1.9c179c9e5d1fcp-5, -0x1.9a670d60c64e7p-5, -0x1.98aa164af9dbp-5, -0x1.96e1014719329p-5, -0x1.950c184285de6p-5, -0x1.932ba5156f459p-5, -0x1.913ff16479f74p-5, -0x1.8f49469c41236p-5, -0x1.8d47eded88b34p-5, -0x1.8b3c3050b6bfcp-5, -0x1.892656803a81dp-5, -0x1.8706a8f1ce2d8p-5, -0x1.84dd6fcfaa05bp-5, -0x1.82aaf2f1a19f3p-5, -0x1.806f79d6c5158p-5, -0x1.7e2b4ba1cc7cfp-5, -0x1.7bdeaf1198edep-5, -0x1.7989ea738cf4p-5, -0x1.772d43acfec68p-5, -0x1.74c900259a7c4p-5, -0x1.725d64d1615b5p-5, -0x1.6feab6294709fp-5, -0x1.6d71381e3babep-5, -0x1.6af12e17c4a6ap-5, -0x1.686adaf0d8514p-5, -0x1.65de80f88d85dp-5, -0x1.634c61e145e5fp-5, -0x1.60b4beb0f7398p-5, -0x1.5e17d7e18250bp-5, -0x1.5b75ed5c45601p-5, -0x1.58cf3e4b2255fp-5, -0x1.562409228be2bp-5, -0x1.53748bc2dd8d9p-5, -0x1.50c1035fba508p-5, -0x1.4e09ac733b4c9p-5, -0x1.4b4ec2a51349cp-5, -0x1.489080f59da09p-5, -0x1.45cf21b38f65ep-5, -0x1.430ade5e66345p-5, -0x1.4043efb7eb037p-5, -0x1.3d7a8dbda5448p-5, -0x1.3aaeefa5d74aep-5, -0x1.37e14bdd75915p-5, -0x1.3511d80649a03p-5, -0x1.3240c8f4fe6f8p-5, -0x1.2f6e52afbe187p-5, -0x1.2c9aa86c67bb4p-5, -0x1.29c5fc8f370b3p-5, -0x1.26f080a978847p-5, -0x1.241a65711b909p-5, -0x1.2143dae366ee6p-5, -0x1.1e6d0ffca7bc1p-5, -0x1.1b9632fec936bp-5, -0x1.18bf714cced56p-5, -0x1.15e8f77192142p-5, -0x1.1312f11f45326p-5, -0x1.103d892ed5ecdp-5, -0x1.0d68e9a02a5bap-5, -0x1.0a953b9a63186p-5, -0x1.07c2a76a25e64p-5, -0x1.04f15484516bap-5, -0x1.02216984504c7p-5, -0x1.fea6185948491p-6, -0x1.f90cc2cf76e6dp-6, -0x1.f3771a90a4bc3p-6, -0x1.ede566141bb1bp-6, -0x1.e857ea24501cdp-6, -0x1.e2cee9e0755efp-6, -0x1.dd4aa6be00385p-6, -0x1.d7cb608e97732p-6, -0x1.d251556aec4f9p-6, -0x1.ccdcc1fe77ebp-6, -0x1.c76de10e1a865p-6, -0x1.c204ebf33f4fbp-6, -0x1.bca21a4dc1cffp-6, -0x1.b745a20714572p-6, -0x1.b1efb7e7839f6p-6, -0x1.aca08ed9ea197p-6, -0x1.a75857ea7127bp-6, -0x1.a2174316257bp-6, -0x1.9cdd7ea95be2p-6, -0x1.97ab3763cacfdp-6, -0x1.9280988493ce7p-6, -0x1.8d5dcbd00cc25p-6, -0x1.8842f991d49acp-6, -0x1.8330489fb799cp-6, -0x1.7e25de621ab91p-6, -0x1.7923decfda057p-6, -0x1.742a6c7abb9f2p-6, -0x1.6f39a88d4b8d7p-6, -0x1.6a51b2d20dffdp-6, -0x1.6572a9b9a5741p-6, -0x1.609caa5c2da0fp-6, -0x1.5bcfd07f2cd5dp-6, -0x1.570c369a4c35ep-6, -0x1.5251f5dbd63f4p-6, -0x1.4da1262d9b5b9p-6, -0x1.48f9de39b779fp-6, -0x1.445c336f82956p-6, -0x1.3fc83a085bf05p-6, -0x1.3b3e050ca7f9ep-6, -0x1.36bda658b20d9p-6, -0x1.32472ea19f166p-6, -0x1.2ddaad7b89db4p-6, -0x1.297831546d2c3p-6, -0x1.251fc7a08383p-6, -0x1.20d17c8d128afp-6, -0x1.1c8d5b681496ep-6, -0x1.18536e6173ed4p-6, -0x1.1423beb0a2693p-6, -0x1.0ffe5494d81b8p-6, -0x1.0be336d289e0dp-6, -0x1.07d26c4128f43p-6, -0x1.03cbfa2173c96p-6, -0x1.ff9fc8aae41a4p-7, -0x1.f7bc5d931d508p-7, -0x1.efedb8198cb7fp-7, -0x1.e833dbb15e467p-7, -0x1.e08eca2d33f6ep-7, -0x1.d8fe83bcaf485p-7, -0x1.d18306f1a76eap-7, -0x1.ca1c50d116a1cp-7, -0x1.c2ca5cda0ba0bp-7, -0x1.bb8d250c7f102p-7, -0x1.b464a1f258fa8p-7, -0x1.ad50caafdb3c1p-7, -0x1.a651950cbd883p-7, -0x1.9f66f578c058ap-7, -0x1.9890df11c71d8p-7, -0x1.91cf43ad97839p-7, -0x1.8b2213f653a85p-7, -0x1.84893f589950ep-7, -0x1.7e04b3fd1ff45p-7, -0x1.77945f10a83b6p-7, -0x1.71382c7bab648p-7, -0x1.6af0071ca1709p-7, -0x1.64bbd8d20b006p-7, -0x1.5e9b8a7aa8384p-7, -0x1.588f042062b7ap-7, -0x1.52962c6898d1ap-7, -0x1.4cb0e9adcf70cp-7, -0x1.46df21c04e5a5p-7, -0x1.4120b852e25cp-7, -0x1.3b7591e23a2a8p-7, -0x1.35dd9158ad9b5p-7, -0x1.3058990ff8c94p-7, -0x1.2ae68aa67c79p-7, -0x1.258746f83df27p-7, -0x1.203aae1c1e072p-7, -0x1.1b009f63b76ecp-7, -0x1.15d8f95f951c7p-7, -0x1.10c399e7fcc6ep-7, -0x1.0bc05e34b1ddp-7, -0x1.06cf22ef8a977p-7, -0x1.01efc4515cdfcp-7, -0x1.fa443cb669722p-8, -0x1.f0cc19ac53372p-8, -0x1.e776d6b728bdp-8, -0x1.de442b2fdde64p-8, -0x1.d533ce4e67cd1p-8, -0x1.cc457722ac013p-8, -0x1.c378dc54aee1p-8, -0x1.bacdb3c7de794p-8, -0x1.b243b233f343bp-8, -0x1.a9da8ad79a0bbp-8, -0x1.a191eeb3a6299p-8, -0x1.99698e010b981p-8, -0x1.9161152ebdb7dp-8, -0x1.897830d96b94fp-8, -0x1.81ae8bf24ab3dp-8, -0x1.7a03d149ff4eep-8, -0x1.7277ac72b76a7p-8, -0x1.6b09ca8e47d92p-8, -0x1.63b9db02e6469p-8, -0x1.5c878fe61780bp-8, -0x1.55729e08966f4p-8, -0x1.4e7abc8abd2fdp-8, -0x1.479fa40893684p-8, -0x1.40e10d698ec58p-8, -0x1.3a3eb07d94906p-8, -0x1.33b842afb4eccp-8, -0x1.2d4d75832a69cp-8, -0x1.26fdf6161c514p-8, -0x1.20c96c76c99bcp-8, -0x1.1aaf7f23385d6p-8, -0x1.14afcd660af2ep-8, -0x1.0ec9f89460a1bp-8, -0x1.08fda20406eaep-8, -0x1.034a6e22266bdp-8, -0x1.fb600d0ab33a8p-9, -0x1.f05c36a9d649ap-9, -0x1.e588c7f4e6996p-9, -0x1.dae53d5b07eccp-9, -0x1.d0711f653824dp-9, -0x1.c62bfd02f4d57p-9, -0x1.bc1568178faa2p-9, -0x1.b22cee30964bp-9, -0x1.a87213a0bca6bp-9, -0x1.9ee44ee21b143p-9, -0x1.958305d611b01p-9, -0x1.8c4d8d6e7a79ep-9, -0x1.83432be6515f2p-9, -0x1.7a631c1a85ccbp-9, -0x1.71ac946a09211p-9, -0x1.691ecd22c2a1ap-9, -0x1.60b90720e25dfp-9, -0x1.587a923e79cf7p-9, -0x1.5062d0f44123ep-9, -0x1.48713cc6a3c3ep-9, -0x1.40a56432eef6p-9, -0x1.38fee3e0dcb66p-9, -0x1.317d67aa71343p-9, -0x1.2a20a2521d172p-9, -0x1.22e84435201f5p-9, -0x1.1bd3f4cfd18a6p-9, -0x1.14e34d2c9caf7p-9, -0x1.0e15d5778d3adp-9, -0x1.076b01ecda76cp-9, -0x1.00e234783d575p-9, -0x1.f4f580345c4cfp-10, -0x1.e867dd4b2f3a3p-10, -0x1.dc1a0eb5a0859p-10, -0x1.d00aad39e2c88p-10, -0x1.c438675fea447p-10, -0x1.b8a20caa3bd4dp-10, -0x1.ad4692fb9b658p-10, -0x1.a22517cf7f418p-10, -0x1.973cdcb00e70fp-10, -0x1.8c8d3fa44bb6bp-10, -0x1.8215b0b92c2adp-10, -0x1.77d5a61d4590fp-10, -0x1.6dcc907298a06p-10, -0x1.63f9d0e791515p-10, -0x1.5a5cb2578fd96p-10, -0x1.50f46631af9d9p-10, -0x1.47c0054310f65p-10, -0x1.3ebe93f731809p-10, -0x1.35ef091755924p-10, -0x1.2d5055805b9a3p-10, -0x1.24e16abe6be4ep-10, -0x1.1ca13f1b4f72ap-10, -0x1.148ed0cb52eb7p-10, -0x1.0ca92cb233f48p-10, -0x1.04ef786b1e262p-10, -0x1.fac1edad90da5p-11, -0x1.ebfa034dc7a16p-11, -0x1.dd85fc776edfbp-11, -0x1.cf64afe350ca4p-11, -0x1.c19504e548d1bp-11, -0x1.b415f794dde45p-11, -0x1.a6e68642b997fp-11, -0x1.9a058b5773bf4p-11, -0x1.8d71a13fd8df6p-11, -0x1.812922783665ep-11, -0x1.752a3edb03f72p-11, -0x1.69731abc2a9cep-11, -0x1.5e01f0d85e09ep-11, -0x1.52d53051fab3fp-11, -0x1.47eb8e55d348fp-11, -0x1.3d44049cb2f81p-11, -0x1.32ddbb64437fdp-11, -0x1.28b7e4f81de93p-11, -0x1.1ed1975204297p-11, -0x1.1529b27fb25fcp-11, -0x1.0bbede8e2a01bp-11, -0x1.028fa2e54798ap-11, -0x1.f3350d4381812p-12, -0x1.e1bc9230b23b6p-12, -0x1.d0b3de9ea6c9dp-12, -0x1.c0196b7ac6a99p-12, -0x1.afec291e857f4p-12, -0x1.a02af348f1906p-12, -0x1.90d435cfe238bp-12, -0x1.81e59ed3dfbb7p-12, -0x1.735c017778e13p-12, -0x1.653383b1f0582p-12, -0x1.57681521e838cp-12, -0x1.49f613c89fa5fp-12, -0x1.3cdaeb5f6a173p-12, -0x1.301560c5d5ff3p-12, -0x1.23a562b7ef93fp-12, -0x1.178c062a03dbap-12, -0x1.0bc9d4f404957p-12, -0x1.005ec1bd78b19p-12, -0x1.ea92ea9b5fc92p-13, -0x1.d50e7efdc1982p-13, -0x1.c0294b943111p-13, -0x1.abdc03d408a4ap-13, -0x1.982024e371eb1p-13, -0x1.84f0cc4fa3f6fp-13, -0x1.724b1a3ef5103p-13, -0x1.602ddf9f62f15p-13, -0x1.4e98f2fc95282p-13, -0x1.3d8c6197c3025p-13, -0x1.2d077e36581e3p-13, -0x1.1d08033ed73e1p-13, -0x1.0d8993356a3d1p-13, -0x1.fd0bb15c48b6cp-14, -0x1.dfeacfaecefb2p-14, -0x1.c3a27849354bp-14, -0x1.a828ace4a7f3ap-14, -0x1.8d79a1d7c7f37p-14, -0x1.7397b7056d1eep-14, -0x1.5a890536934d2p-14, -0x1.425376bde4d65p-14, -0x1.2af93dae78805p-14, -0x1.147744a9cac5fp-14, -0x1.fd8be75f5dfd8p-15, -0x1.d3b69c1fe189dp-15, -0x1.ab5a2a55b5ac4p-15, -0x1.846461bfb23f1p-15, -0x1.5ec67ba1cbe4dp-15, -0x1.3a74be5f34c5ap-15, -0x1.17655dc400907p-15, -0x1.eb1fbc3e1ed2ap-16, -0x1.a9db683966b0ep-16, -0x1.6af66b736535fp-16, -0x1.2e6e45efdfe42p-16, -0x1.e88147570095ap-17, -0x1.78cacefca1994p-17, -0x1.0d969c1236023p-17, -0x1.4d5f5a588df12p-18, -0x1.0f7463b76f7d1p-19, 0x1.b196b3fa51a31p-21, 0x1.d96e6e76eeb83p-19, 0x1.9bf3071215d1cp-18, 0x1.21f49003eb268p-17, 0x1.7248f1f5c2df9p-17, 0x1.bef81c701c64cp-17, 0x1.04070caa72383p-16, 0x1.26d1098180eb6p-16, 0x1.47eaa30aa4334p-16, 0x1.6766ffbfebf98p-16, 0x1.85557f173cbd4p-16, 0x1.a1bc055e091f2p-16, 0x1.bc99bef7669a7p-16, 0x1.d5f2885121066p-16, 0x1.edd796b0d7bcfp-16, 0x1.0232cb2a13adap-15, 0x1.0cdd6fb98fac9p-15, 0x1.16f71afc8ba24p-15, 0x1.208557171fb5dp-15, 0x1.29887c49b6036p-15, 0x1.31fdee1c9f59ap-15, 0x1.39e2a2a9f1df7p-15, 0x1.41354624f941dp-15, 0x1.47f75f9941c8p-15, 0x1.4e2de1a6d622ep-15, 0x1.53ddf74b969d9p-15, 0x1.590c8fd7883b5p-15, 0x1.5dc07ce813c85p-15, 0x1.6206656d0bd39p-15, 0x1.65e7c0cb8a32cp-15, 0x1.6966a70f59bd6p-15, 0x1.6c7f1d6ec050dp-15, 0x1.6f2fcb4fc245bp-15, 0x1.717f35c454b8ap-15, 0x1.737624701f65cp-15, 0x1.75169d315a456p-15, 0x1.765c38140e6cap-15, 0x1.77440b9dab4d3p-15, 0x1.77d0a782d32aep-15, 0x1.78078df366559p-15, 0x1.77edf96d38473p-15, 0x1.77887d890dd78p-15, 0x1.76dc3846fd0d4p-15, 0x1.75f1064f3790bp-15, 0x1.74d0d2a183e51p-15, 0x1.737c51b43e862p-15, 0x1.71f5641d8e715p-15, 0x1.7033a4d7b8dacp-15, 0x1.6e342741776b4p-15, 0x1.6bf8edf176153p-15, 0x1.698627b33f6dbp-15, 0x1.66dcb23dcc8fap-15, 0x1.63fb32f475f4fp-15, 0x1.60e557177be36p-15, 0x1.5da67ae553bcap-15, 0x1.5a4911c8b823ap-15, 0x1.56cc03b94d17dp-15, 0x1.5328d941b7022p-15, 0x1.4f604bef71a5ap-15, 0x1.4b79d6225fd8cp-15, 0x1.47792ef73d81ep-15, 0x1.4356f60a372efp-15, 0x1.3f14b857023dap-15, 0x1.3ab4ff3b821b4p-15, 0x1.363c6059086a5p-15, 0x1.31ac3a0f1a3a6p-15, 0x1.2d02fe43c6733p-15, 0x1.2842fa68a736bp-15, 0x1.2371ca9d27761p-15, 0x1.1e8ab98e99c31p-15, 0x1.198c2f3e61f5ap-15, 0x1.1480327158d46p-15, 0x1.0f69957144b0dp-15, 0x1.0a46a855b30bcp-15, 0x1.05175abaa7f94p-15, 0x1.ffb50940daea2p-16, 0x1.f522eb6781bffp-16, 0x1.ea7f7c49b4643p-16, 0x1.dfcbc7176e1c4p-16, 0x1.d503031f65cap-16, 0x1.ca23c39ceeba9p-16, 0x1.bf33a763377f9p-16, 0x1.b43cb6b532b25p-16, 0x1.a9437c9921938p-16, 0x1.9e44247567433p-16, 0x1.9341806249aa4p-16, 0x1.883e05f5fc581p-16, 0x1.7d37b14c110f6p-16, 0x1.722cd57636fbp-16, 0x1.6720cfa05cfb7p-16, 0x1.5c16e35e57485p-16, 0x1.5110941757aabp-16, 0x1.460e18dbce663p-16, 0x1.3b1074a8e8e75p-16, 0x1.301a29c278d7ap-16, 0x1.252b4a5f3dcdcp-16, 0x1.1a43e81d99291p-16, 0x1.0f65f2e73da39p-16, 0x1.049228ea65048p-16, 0x1.f3931f55aa87p-17, 0x1.de1a58a5719e4p-17, 0x1.c8bbd8cfe1a21p-17, 0x1.b3794565e1241p-17, 0x1.9e54139d87e62p-17, 0x1.894ce2f37aa01p-17, 0x1.7467f88996a36p-17, 0x1.5fa3eb420aaf8p-17, 0x1.4b02d2b422ea9p-17, 0x1.3685d9d2a8184p-17, 0x1.222dd36b65bc3p-17, 0x1.0dfd7edbb4a1dp-17, 0x1.f3ebb23568d21p-18, 0x1.cc27aab84927p-18, 0x1.a4b034332295dp-18, 0x1.7d89d2b923775p-18, 0x1.56bcde5a31f8p-18, 0x1.3054af22cb94bp-18, 0x1.0a4e98c81e87ap-18, 0x1.c94650b622594p-19, 0x1.7e9ba17fccb3bp-19, 0x1.349d8c0266c7ap-19, 0x1.d6af17be7b29ep-20, 0x1.45a1fe05ab34ap-20, 0x1.6c473899da8ecp-21, 0x1.41808f3e7618ap-23, -0x1.90d5eb287ecb2p-22, -0x1.de16d47e5631fp-21, -0x1.78512b8e71898p-20, -0x1.00064d56c3c1ap-19, -0x1.431a51d3319abp-19, -0x1.8563e4170fc5ep-19, -0x1.c6e2a65f3b461p-19, -0x1.03c7490262941p-18, -0x1.23aa101c8d038p-18, -0x1.431a65970da1dp-18, -0x1.622a3e29384fep-18, -0x1.80dd6594526efp-18, -0x1.9f32de7f02dd9p-18, -0x1.bd30f9d48f853p-18, -0x1.da75173748eb2p-18, -0x1.f7ac0c754758ap-18, -0x1.0a16fe41b53adp-17, -0x1.1832a8a7827c4p-17, -0x1.2623d92e55c28p-17, -0x1.33df867236aeap-17, -0x1.415f49ff75d58p-17, -0x1.4eab9d9b569b8p-17, -0x1.5bc62cdced388p-17, -0x1.68af464b6d553p-17, -0x1.7564b76c64308p-17, -0x1.81e6c9a50e835p-17, -0x1.8e36055dafeadp-17, -0x1.9a51ff5bdff43p-17, -0x1.a63b7a2cdf217p-17, -0x1.b1f2c86d35b7ap-17, -0x1.bd77fb99551a1p-17, -0x1.c8cb70bbdac5ep-17, -0x1.d3ed7f7ea8707p-17, -0x1.dede494b94d35p-17, -0x1.e99e232e02afcp-17, -0x1.f42d6feb8eb89p-17, -0x1.fe8c7e286bf63p-17, -0x1.045de1fd5a5f5p-16, -0x1.095dd52e87daep-16, -0x1.0e464eff779e4p-16, -0x1.1317ad45cb692p-16, -0x1.17d26a3ee4925p-16, -0x1.1c76a516030e6p-16, -0x1.20fe4ba14ba6ep-16, -0x1.2571c9e881ecp-16, -0x1.29d1be45f6c76p-16, -0x1.2e1cc40deb1ddp-16, -0x1.324d1b9a5f6c6p-16, -0x1.36652d2843b72p-16, -0x1.3a6d1d30a478p-16, -0x1.3e5dbe89d9ad1p-16, -0x1.42380c8e8ff5ap-16, -0x1.45fd7acd272d7p-16, -0x1.49aceaef6ee9ep-16, -0x1.4d460dceba8edp-16, -0x1.50cf5416a4211p-16, -0x1.544f78727740ap-16, -0x1.57af5fb3cbddp-16, -0x1.5afb76edff114p-16, -0x1.5e33cd87dc42ap-16, -0x1.614f6775c1985p-16, -0x1.645ffadf0264fp-16, -0x1.6763cbd2ea17fp-16, -0x1.6a4f304bf0011p-16, -0x1.6d2ab752cd13bp-16, -0x1.6ff43668e28c3p-16, -0x1.72a98627bc38ap-16, -0x1.754c57e96c1afp-16, -0x1.77deb82ca98ap-16, -0x1.7a5f6ec94eba9p-16, -0x1.7cceddb389eb8p-16, -0x1.7f2d5c54fa129p-16, -0x1.817b39eb848c3p-16, -0x1.83b87e7fd3732p-16, -0x1.85e54bfbf24cp-16, -0x1.880237b9d989ap-16, -0x1.8a0f311b6ecc4p-16, -0x1.8c0c66557c06fp-16, -0x1.8dfa4c47e935fp-16, -0x1.8fd928502b501p-16, -0x1.91a892dc14f8cp-16, -0x1.93696192b66ccp-16, -0x1.951afceafa2e2p-16, -0x1.96be2d73f4876p-16, -0x1.9853a1ad8a6a6p-16, -0x1.99db2b5aa7133p-16, -0x1.9b54e159f0895p-16, -0x1.9cc0f4c4dc61ap-16, -0x1.9e1f9891909cp-16, -0x1.9f70fdecc4fb8p-16, -0x1.a0b5561a06932p-16, -0x1.a1ecd66467345p-16, -0x1.a317bad30f25p-16, -0x1.a43642fa16548p-16, -0x1.a548aa46e2da3p-16, -0x1.a64f236b12d93p-16, -0x1.a749dbfe02748p-16, -0x1.a838fbb6f3f79p-16, -0x1.a91ca3c0f156fp-16, -0x1.a9f4ffb5ab4dbp-16, -0x1.aac23998f82f7p-16, -0x1.ab84825d48f17p-16, -0x1.ac3c0b3dc192p-16, -0x1.ace9044b43abep-16, -0x1.ad8b9b80d35fdp-16, -0x1.ae2493cd7f0a2p-16, -0x1.aeb26ad675a2dp-16, -0x1.af36fddf2a209p-16, -0x1.afb1e8e7404adp-16, -0x1.b023591675d44p-16, -0x1.b08b73bad242p-16, -0x1.b0ea61c7285cfp-16, -0x1.b14059c9204a1p-16, -0x1.b18d94abac45cp-16, -0x1.b1d24f5824a09p-16, -0x1.b211576095126p-16, -0x1.b244e01365672p-16, -0x1.b267d76f89c69p-16, -0x1.b28a845cc2436p-16, -0x1.b2aa0e1900682p-16, -0x1.b2c0478798ac2p-16, -0x1.b2cb2cc95353fp-16, -0x1.b2eed8758ae9p-16, -0x1.b2c5b33d364bbp-16, -0x1.b2bd67f514f37p-16, -0x1.b2aea17d04372p-16, -0x1.b29732c3f26fbp-16, -0x1.b277ed92db6cfp-16, -0x1.b251bfd0e7735p-16, -0x1.b2250b5fa9079p-16, -0x1.b1f1d0b468668p-16, -0x1.b1b90c567405p-16, -0x1.b173cfa5d2be1p-16, -0x1.b1366463aac1ap-16, -0x1.b0e93386a9cd5p-16, -0x1.b0988ce72c027p-16, -0x1.b0428abf58d7bp-16, -0x1.afe57fba95bdp-16, -0x1.af84c34190ea2p-16, -0x1.af1ea758461d2p-16, -0x1.aeb30a0e5032ep-16, -0x1.ae4234250a84dp-16, -0x1.adcc6179cd311p-16, -0x1.ad51b7e027dc3p-16, -0x1.acd2507edfea1p-16, -0x1.ac4eecee84c12p-16, -0x1.abc59f53a84bcp-16, -0x1.ab388e88535c9p-16, -0x1.aaa7c4cefdd8dp-16, -0x1.aa1216c48bf8ep-16, -0x1.a9781b8863c3cp-16, -0x1.a8da15bbe995ap-16, -0x1.a839079fa46a4p-16, -0x1.a78f1a52c70fp-16, -0x1.a6e259810462bp-16, -0x1.a63af6ad03656p-16, -0x1.a593bbc7c2db3p-16, -0x1.a4dd047359e54p-16, -0x1.a424ba2f5af5dp-16, -0x1.a35d450f28d01p-16, -0x1.a2a1a053a5ccap-16, -0x1.a1e40a9471288p-16, -0x1.a120fc348a4b8p-16, -0x1.a05a072b9b937p-16, -0x1.9f90143d38b8ap-16, -0x1.9ec29476dc047p-16, -0x1.9df26b33cd376p-16, -0x1.9d1fc83d814efp-16, -0x1.9c4a8979cc5e4p-16, -0x1.9b72bbc4e93c7p-16, -0x1.9a98706bf6fa1p-16, -0x1.99bbb73cd250dp-16, -0x1.98dc9e41e43e2p-16, -0x1.97fb333b16fc7p-16, -0x1.971793e40984cp-16, -0x1.96316c16c2e82p-16, -0x1.95499433562abp-16, -0x1.945f9df9b158ep-16, -0x1.9373c1abd7283p-16, -0x1.9286260370e1ap-16, -0x1.9196a89fe739ep-16, -0x1.90a56c0802fafp-16, -0x1.8fb2640442d97p-16, -0x1.8ebd9bbfc2545p-16, -0x1.8dc73fdbe6077p-16, -0x1.8ccf36bf75f0cp-16, -0x1.8bd57b44e7fecp-16, -0x1.8ada41734c83ep-16, -0x1.89de9656d2879p-16, -0x1.88dfe2d46a398p-16, -0x1.87e115f7d8f98p-16, -0x1.86dfad785bc96p-16, -0x1.85deb30a70a2cp-16, -0x1.84dbf1d173dd8p-16, -0x1.83d7f26a77183p-16, -0x1.82d2c135b7128p-16, -0x1.81cc606fc3089p-16, -0x1.80c4f7177ed3fp-16, -0x1.7fbcb09649c7ap-16, -0x1.7eb32d63b9a82p-16, -0x1.7daabee4a257cp-16, -0x1.7c9e3b1ad2241p-16, -0x1.7b92e5774ed21p-16, -0x1.7a864b1d9a4dcp-16, -0x1.79794ae44add9p-16, -0x1.786b36f08a221p-16, -0x1.775d0da7130d5p-16, -0x1.764d6fb1614d6p-16, -0x1.753dbdce2c961p-16, -0x1.742d9120c3657p-16, -0x1.731c5e65828c6p-16, -0x1.720b0aa1f2ee9p-16, -0x1.70f8efa9b906bp-16, -0x1.6fe4d36c9ec5bp-16, -0x1.6ecfe687fbb12p-16, -0x1.6dbd0bc7706acp-16, -0x1.6caa9789ef95dp-16, -0x1.6b95aa4daad07p-16, -0x1.6a7fd575182e4p-16, -0x1.696d5758b797ap-16, -0x1.6861297bb1256p-16, -0x1.6745340aca8e3p-16, -0x1.662d03dc5b201p-16, -0x1.651a5d28f9a91p-16, -0x1.64090aa8aebfep-16, -0x1.62f51b7e9fcc7p-16, -0x1.61d37cee851c1p-16, -0x1.60c137a9bb5b4p-16, -0x1.5fad3d0284d74p-16, -0x1.5e95c93d093e1p-16, -0x1.5d7ae597959f5p-16, -0x1.5c63f2f26bed6p-16, -0x1.5b4ef27bd6373p-16, -0x1.5a394340d5dbbp-16, -0x1.59230c43870b4p-16, -0x1.580ca54a78b58p-16, -0x1.56f6505759bc2p-16, -0x1.55dfca8717d7ap-16, -0x1.54ca106a2a3ep-16, -0x1.53b396040819bp-16, -0x1.529dbcd23d491p-16, -0x1.5187b9de2832p-16, -0x1.5070da8135a4fp-16, -0x1.4f57189e4e284p-16, -0x1.4e3e8a2bfe2e2p-16, -0x1.4d395bdc72b33p-16, -0x1.4c217d0220e68p-16, -0x1.4b0e3ea8df2c3p-16, -0x1.49eacb7d43938p-16, -0x1.48dabd7aa289p-16, -0x1.47c97da1439bp-16, -0x1.46b68e9ae3da5p-16, -0x1.45a2ecd0b89dap-16, -0x1.448f596be6041p-16, -0x1.437bed9972904p-16, -0x1.4269801b3a0a4p-16, -0x1.41586f05a985ep-16, -0x1.4046f3cc433cdp-16, -0x1.3f33f9a463506p-16, -0x1.3e2266f539704p-16, -0x1.3d117c6d9474dp-16, -0x1.3c010a2ee761ap-16, -0x1.3af0d0019a2f2p-16, -0x1.39e0f7d44448bp-16, -0x1.38d18095afb2bp-16, -0x1.37c26ba5911c6p-16, -0x1.36b3bafaac5bp-16, -0x1.35a5700d4dc9ep-16, -0x1.34978cf8993efp-16, -0x1.338a12d27f473p-16, -0x1.327d0052ed283p-16, -0x1.31704f6d2625ap-16, -0x1.30657fae5c716p-16, -0x1.2f5a477e63963p-16, -0x1.2e4d2d3213b3bp-16, -0x1.2d421d7dfdb19p-16, -0x1.2c3832fde937cp-16, -0x1.2b2edb2763c57p-16, -0x1.2a26886b2dc0ap-16, -0x1.291d9052d1372p-16, -0x1.2811837a24686p-16, -0x1.2709fc23753dep-16, -0x1.26033a1fa58afp-16, -0x1.24f9bbbdd7053p-16, -0x1.23f694ec3453cp-16, -0x1.22f26b3af8be2p-16, -0x1.21ebf66155495p-16, -0x1.20e61cd462029p-16, -0x1.1fe13fa9889e1p-16, -0x1.1edd12bef8a35p-16, -0x1.1dd8dff713dd1p-16, -0x1.1cc7eb4c0fe8dp-16, -0x1.1bd393192a1ddp-16, -0x1.1ad25753a87cfp-16, -0x1.19d13d01edf02p-16, -0x1.18d068079dff1p-16, -0x1.17d025b5a2313p-16, -0x1.16d053c251c38p-16, -0x1.15d1262110ed8p-16, -0x1.14d287b97498cp-16, -0x1.13d46628cc456p-16, -0x1.12d7c89d9bb72p-16, -0x1.11da4cba84912p-16, -0x1.10df03f91d7b1p-16, -0x1.0fe0c11335717p-16, -0x1.0ee5cb739f569p-16, -0x1.0dead49bafa45p-16, -0x1.0cf054c31af8p-16, -0x1.0bf6a2f62fbedp-16, -0x1.0afd7e4e42d6cp-16, -0x1.0a053b7094e8p-16, -0x1.090d14ee3fb4ap-16, -0x1.0815435ea0b0fp-16, -0x1.071d997f9a5e6p-16, -0x1.0627e8ff547a2p-16, -0x1.053212d17559bp-16, -0x1.043cc6219fdfep-16, -0x1.0347dbe383c5cp-16, -0x1.0253a75171eb4p-16, -0x1.0160168896b26p-16, -0x1.00698d4fd81ap-16, -0x1.fef0c473b1ffcp-17, -0x1.fd1b5593e8abcp-17, -0x1.fb3ede3131432p-17, -0x1.f946ce5eb62f2p-17, -0x1.f757051afd653p-17, -0x1.f58f2b050c535p-17, -0x1.f3bb6b384041ep-17, -0x1.f1e61d75b104ap-17, -0x1.efe944f46e229p-17, -0x1.ee182dcc01056p-17, -0x1.ec44fbcb35ec3p-17, -0x1.ea6916b179244p-17, -0x1.e88f702a5e20fp-17, -0x1.e6bb87f299dfdp-17, -0x1.e4e5780e6e646p-17, -0x1.e30c052e2a179p-17, -0x1.e13c8c2bf5edap-17, -0x1.df72301bfdd0cp-17, -0x1.dda27c536f94ap-17, -0x1.dbd185097a365p-17, -0x1.da018c845b224p-17, -0x1.d8331c519ac45p-17, -0x1.d66558510b152p-17, -0x1.d4a02177d4e49p-17, -0x1.d2d0b023d949bp-17, -0x1.d108a0c95f93bp-17, -0x1.cf4cde686712dp-17, -0x1.cd7a064ed25b1p-17, -0x1.cbb5514111161p-17, -0x1.c9f1dc9dc68d5p-17, -0x1.c837aa27ad5acp-17, -0x1.c66b8463bcf6dp-17, -0x1.c4abc2ade1534p-17, -0x1.c2eb74ef61645p-17, -0x1.c12cc46adf5a5p-17, -0x1.bf499b421f66cp-17, -0x1.bdb2f22e8d19p-17, -0x1.bbf7b7a24ff0fp-17, -0x1.ba3d9c59303d7p-17, -0x1.b884a0f891986p-17, -0x1.b6ccd4a386585p-17, -0x1.b515423b7e9d9p-17, -0x1.b36087fe0a1bfp-17, -0x1.b1abd5a894b4p-17, -0x1.aff87073362c7p-17, -0x1.ae461b3694a37p-17, -0x1.ac9583977f03ep-17, -0x1.aae61fb3b4fcbp-17, -0x1.a935bcea99391p-17, -0x1.a787469ceca3cp-17, -0x1.a5e564fa60366p-17, -0x1.a42eccf80121bp-17, -0x1.a2849c102602ep-17, -0x1.a0d98fc9fe222p-17, -0x1.9f4b6628a7f24p-17, -0x1.9d8a85e44fa6cp-17, -0x1.9be53a90ac86p-17, -0x1.9a405bd822028p-17, -0x1.989d0a5308fc9p-17, -0x1.96f9640192e77p-17, -0x1.955f150937f44p-17, -0x1.93bce1e5121cp-17, -0x1.92127dde8688dp-17, -0x1.9075363d76aa7p-17, -0x1.8ed756daa81c8p-17, -0x1.8d3a6199da196p-17, -0x1.8bab84338dba3p-17, -0x1.8a1061562556dp-17, -0x1.8874382a3a0f8p-17, -0x1.86da71db12697p-17, -0x1.8542a95c6d5b6p-17, -0x1.83ac6dbb9cc14p-17, -0x1.8217a62495a9cp-17, -0x1.80b8d9ad726c4p-17, -0x1.7ef26e0b36ba5p-17, -0x1.7d61be8f40282p-17, -0x1.7bd1b9dedc92p-17, -0x1.7a404392b33a4p-17, -0x1.78a67fb578eedp-17, -0x1.774678b94ab01p-17, -0x1.75ad08063c0b5p-17, -0x1.7421298b45793p-17, -0x1.7271e88cfc55dp-17, -0x1.70effc01e86a6p-17, -0x1.6f7229ae285cep-17, -0x1.6df6137298649p-17, -0x1.6c72d5778fe3bp-17, -0x1.6af36679720cep-17, -0x1.695a91aa1fda7p-17, -0x1.67dca57c23359p-17, -0x1.665cf8ca53928p-17, -0x1.64dd450a4496fp-17, -0x1.635c779fe17b5p-17, -0x1.61e015edaeddep-17, -0x1.606307f07f4b8p-17, -0x1.5ee7934368ef4p-17, -0x1.5d6c13917b4ecp-17, -0x1.5bf234aecc89ep-17, -0x1.5a7967ab70ba3p-17, -0x1.5901ab26bee9ep-17, -0x1.578afe6f615f5p-17, -0x1.561571f34fe88p-17, -0x1.54a0d038237f8p-17, -0x1.532d237cee4d2p-17, -0x1.51c2335b846cfp-17, -0x1.5048ad650e47dp-17, -0x1.4ed92a0df3423p-17, -0x1.4d69f967af9bp-17, -0x1.4bfbb12706613p-17, -0x1.4a8d66414779ep-17, -0x1.490873bfa24a7p-17, -0x1.47b6eff1d656ap-17, -0x1.464d741584135p-17, -0x1.44ec37bcbb3b3p-17, -0x1.437c99dbe2b2fp-17, -0x1.4215a0821a8c4p-17, -0x1.40af09d7ffa5ap-17, -0x1.3f3554d098dbdp-17, -0x1.3de5f1fef74dep-17, -0x1.3c866ee79412p-17, -0x1.3b09e5c9e5109p-17, -0x1.39c14d64e955p-17, -0x1.3862ded2d9edfp-17, -0x1.3704811f314e2p-17, -0x1.35a71b0b88486p-17, -0x1.344ab7469ab3bp-17, -0x1.32ef46ddcaa6ap-17, -0x1.319e98d00c7f4p-17, -0x1.303bdd152fd12p-17, -0x1.2ee3befc8f108p-17, -0x1.2d8c126423968p-17, -0x1.2c356ae34f2cap-17, -0x1.2adfc91dd0521p-17, -0x1.298b6fcb48a84p-17, -0x1.28388376e2f41p-17, -0x1.26e6e5f5d2a3bp-17, -0x1.259650b89a46ap-17, -0x1.244694af71853p-17, -0x1.22f79f50e5d49p-17, -0x1.21a931594539dp-17, -0x1.205e6d761ceb3p-17, -0x1.1f10bcd2319eep-17, -0x1.1db8d2166bf68p-17, -0x1.1c7c9aa5b18f9p-17, -0x1.1b33ff61bc5a7p-17, -0x1.19e6d493d4a74p-17, }}, 
      {{-0x1.05aa0aecf85fep+0, -0x1.f3ee207aa274fp-1, -0x1.d4cdfefff4179p-1, -0x1.b224802fa71a2p-1, -0x1.8ec1fa080f0fdp-1, -0x1.6c7b2400a8feep-1, -0x1.4c7217fa8c801p-1, -0x1.2f4afd928a11ap-1, -0x1.1552159400a8cp-1, -0x1.fd2e8d74cf6e4p-2, -0x1.d6043394ee4c7p-2, -0x1.b4c06ff7c7bdp-2, -0x1.98dfc87100b57p-2, -0x1.81cefe0ca7541p-2, -0x1.6ef5aba341217p-2, -0x1.5fbda4537d749p-2, -0x1.5397e1358ccedp-2, -0x1.49ff9ddfc935bp-2, -0x1.427c22cb510abp-2, -0x1.3ca195dd0805p-2, -0x1.3811198241595p-2, -0x1.347871d71bfc2p-2, -0x1.319152c9cb4e9p-2, -0x1.2f20829a65e18p-2, -0x1.2cf4d83627638p-2, -0x1.2ae634c54d082p-2, -0x1.28d47889beda1p-2, -0x1.26a68af3fb916p-2, -0x1.24496314399bp-2, -0x1.21af3118347bbp-2, -0x1.1ece919f39922p-2, -0x1.1ba1d4d191667p-2, -0x1.18265e025036fp-2, -0x1.145c10e810bd4p-2, -0x1.1044d37616f7p-2, -0x1.0be41e0436689p-2, -0x1.073e9ed823381p-2, -0x1.0259e55d41adap-2, -0x1.fa78400ffcdc2p-3, -0x1.efd7c5eac5a91p-3, -0x1.e4dfedf1c206ap-3, -0x1.d99e6a65b5f39p-3, -0x1.ce20ccd3d5becp-3, -0x1.c274535ba2566p-3, -0x1.b6a5c404c4ccfp-3, -0x1.aac151c7d2e67p-3, -0x1.9ed285a31069p-3, -0x1.92e42f9fbff2p-3, -0x1.8700604a3d63ep-3, -0x1.7b30634dc65c4p-3, -0x1.6f7cbdfa11f38p-3, -0x1.63ed31a99e90dp-3, -0x1.5888c1517e6afp-3, -0x1.4d55b7545f596p-3, -0x1.4259aaaa9b0c9p-3, -0x1.37998cb40d40ap-3, -0x1.2d19abbb7cbd8p-3, -0x1.22ddc0c3c3828p-3, -0x1.18e8f8602539p-3, -0x1.0f3df9d4879dbp-3, -0x1.05def2d285c2ap-3, -0x1.f99b41013567ap-4, -0x1.e816abb05e4f9p-4, -0x1.d7320f58d5dccp-4, -0x1.c6eea81eb11cfp-4, -0x1.b74d0bb18befap-4, -0x1.a84d4162d9c8ep-4, -0x1.99eecfc13803p-4, -0x1.8c30c2bb8d60fp-4, -0x1.7f11ba3948c4cp-4, -0x1.728ff8141117ap-4, -0x1.66a96addf763ap-4, -0x1.5b5bb39c8d86bp-4, -0x1.50a42f175368ep-4, -0x1.467fff8195973p-4, -0x1.3cec1620a39cbp-4, -0x1.33e538993a1c6p-4, -0x1.2b68059d31a33p-4, -0x1.2370fdaee003bp-4, -0x1.1bfc854ca4515p-4, -0x1.1506ee221a21bp-4, -0x1.0e8c79fac202ap-4, -0x1.08895e471db37p-4, -0x1.02f9c6abeda3cp-4, -0x1.fbb3b81b22f31p-5, -0x1.f24b89c1b90d6p-5, -0x1.e9b34e4498852p-5, -0x1.e1e35d6549cacp-5, -0x1.dad41d10100dep-5, -0x1.d47e01803b6a5p-5, -0x1.ced98dd8c10edp-5, -0x1.c9df66e069966p-5, -0x1.c58847b8e6325p-5, -0x1.c1cd0808ac62dp-5, -0x1.bea69e35cdcaap-5, -0x1.bc0e24af72403p-5, -0x1.b9fcda7c6cc61p-5, -0x1.b86c2152d786ap-5, -0x1.b755815833847p-5, -0x1.b6b2aa599fe2fp-5, -0x1.b67d753a9f9e2p-5, -0x1.b6afe3c11bff9p-5, -0x1.b744218042d6ep-5, -0x1.b83482babe343p-5, -0x1.b97b8580b4454p-5, -0x1.bb13d427b4805p-5, -0x1.bcf84360c00f9p-5, -0x1.bf23d0b63e30dp-5, -0x1.c191a3c72bd3ep-5, -0x1.c43d0e4fa86c4p-5, -0x1.c7218b5e79dccp-5, -0x1.ca3abee3daf83p-5, -0x1.cd84756165384p-5, -0x1.d0faa359d155dp-5, -0x1.d49964844d2e2p-5, -0x1.d85cfa77f1aeep-5, -0x1.dc41ccaaf778bp-5, -0x1.e04468a3e1ba6p-5, -0x1.e461806172412p-5, -0x1.e895e8cc09c5dp-5, -0x1.ecde99b5a02f8p-5, -0x1.f138ad105114fp-5, -0x1.f5a15e03fc884p-5, -0x1.fa160809fff4dp-5, -0x1.fe94260282d3fp-5, -0x1.018ca8a57fd78p-4, -0x1.03d1a07348b5cp-4, -0x1.0617e45ebe138p-4, -0x1.085e6c60dfa08p-4, -0x1.0aa43de176665p-4, -0x1.0ce86b3c927dp-4, -0x1.0f2a13994f8e6p-4, -0x1.1168628da89c9p-4, -0x1.13a28f6b9f774p-4, -0x1.15d7dccad3a2dp-4, -0x1.18079856fb214p-4, -0x1.1a311a62d729fp-4, -0x1.1c53c547e197fp-4, -0x1.1e6f054375da1p-4, -0x1.208250409a4bep-4, -0x1.228d252aeb1fbp-4, -0x1.248f0b6619c7p-4, -0x1.268792ad90f6cp-4, -0x1.2876530031c6p-4, -0x1.2a5aec1cf8911p-4, -0x1.2c3504d971e2dp-4, -0x1.2e044ae95fa1cp-4, -0x1.2fc872e45e428p-4, -0x1.318137ee7d47cp-4, -0x1.332e5b1d8538p-4, -0x1.34cfa32b934c3p-4, -0x1.3664dc76e0f6cp-4, -0x1.37edd8d866cd1p-4, -0x1.396a6f2bc57afp-4, -0x1.3ada7ae6031bp-4, -0x1.3c3ddbf883befp-4, -0x1.3d9476cb2b975p-4, -0x1.3ede33f55236fp-4, -0x1.401affd7b497fp-4, -0x1.414aca61deb7p-4, -0x1.426d8701427d6p-4, -0x1.43832c7c7badp-4, -0x1.448bb4a87cf9dp-4, -0x1.45871c26fdcp-4, -0x1.467562513e8f3p-4, -0x1.475689260fed9p-4, -0x1.482a95123556ep-4, -0x1.48f18cbafe596p-4, -0x1.49ab78e505a1cp-4, -0x1.4a58645c368a1p-4, -0x1.4af85bcfbc04dp-4, -0x1.4b8b6daa65882p-4, -0x1.4c11aa0040beep-4, -0x1.4c8b227370391p-4, -0x1.4cf7ea203adf7p-4, -0x1.4d581580b494bp-4, -0x1.4dabba525f8f7p-4, -0x1.4df2ef80b2cbp-4, -0x1.4e2dcd128db94p-4, -0x1.4e5c6c1834fecp-4, -0x1.4e7ee698bffcp-4, -0x1.4e95577fd8d89p-4, -0x1.4e9fda8d3e902p-4, -0x1.4e9e8c4669f08p-4, -0x1.4e9189e99c76dp-4, -0x1.4e78f161a8987p-4, -0x1.4e54e13a76cfbp-4, -0x1.4e257896b9c57p-4, -0x1.4dead72739631p-4, -0x1.4da51d1dc47bbp-4, -0x1.4d546b283feb1p-4, -0x1.4cf8e270619fdp-4, -0x1.4c92a483cb466p-4, -0x1.4c21d35deedbap-4, -0x1.4ba6915aec748p-4, -0x1.4b21012e0fa91p-4, -0x1.4a9145e15def5p-4, -0x1.49f782cefb1ddp-4, -0x1.4953db9a95256p-4, -0x1.48a6742b85847p-4, -0x1.47ef70a80cbb6p-4, -0x1.472ef5712c42p-4, -0x1.4665271dd4f7ap-4, -0x1.45922a757cb1dp-4, -0x1.44b6246b1e95p-4, -0x1.43d13a1903724p-4, -0x1.42e390bc92f16p-4, -0x1.41ed4db2c8b05p-4, -0x1.40ee9673db343p-4, -0x1.3fe7908e81bfp-4, -0x1.3ed861a65b4aep-4, -0x1.3dc12f6dbaaadp-4, -0x1.3ca21fa36d6fcp-4, -0x1.3b7b580eef965p-4, -0x1.3a4cfe7d2e952p-4, -0x1.391738bd47d89p-4, -0x1.37da2c9d89907p-4, -0x1.3695ffe893afep-4, -0x1.354ad863314a7p-4, -0x1.33f8dbca5c2a7p-4, -0x1.32a02fcca3c9bp-4, -0x1.3140fa03281a9p-4, -0x1.2fdb5ffd5c146p-4, -0x1.2e6f873d0dedep-4, -0x1.2cfd951e6792p-4, -0x1.2b85aee70ce7fp-4, -0x1.2a07f9cb88602p-4, -0x1.28849adc69da7p-4, -0x1.26fbb705d7d17p-4, -0x1.256d73129c452p-4, -0x1.23d9f3a989a29p-4, -0x1.22415d4a79485p-4, -0x1.20a3d44c3897ep-4, -0x1.1f017cd9e5f27p-4, -0x1.1d5a7af161e89p-4, -0x1.1baef2615aba7p-4, -0x1.19ff06c72398fp-4, -0x1.184adb8d0278ep-4, -0x1.169293e891c7p-4, -0x1.14d652d98a14bp-4, -0x1.13163b24f5a19p-4, -0x1.11526f5947cbap-4, -0x1.0f8b11c976bdp-4, -0x1.0dc0448af608ap-4, -0x1.0bf22974f1482p-4, -0x1.0a20e22006177p-4, -0x1.084c8fe142236p-4, -0x1.067553ccc7955p-4, -0x1.049b4eb49ce7ap-4, -0x1.02bea12345fa1p-4, -0x1.00df6b5df56f5p-4, -0x1.fdfb9ac5029ep-5, -0x1.fa33cdcc6fe92p-5, -0x1.f667aea97adfap-5, -0x1.f2977b9ddbfebp-5, -0x1.eec3725396e6fp-5, -0x1.eaebcfdae65fbp-5, -0x1.e710d0a83ede5p-5, -0x1.e332b0925f216p-5, -0x1.df51aacf7d263p-5, -0x1.db6df9f5278cep-5, -0x1.d787d7f474866p-5, -0x1.d39f7e19594bfp-5, -0x1.cfb525088db07p-5, -0x1.cbc904be275bbp-5, -0x1.c7db548c6ada1p-5, -0x1.c3ec4b185172ap-5, -0x1.bffc1e5a00136p-5, -0x1.bc0b039ab029ap-5, -0x1.b8192f7258cbdp-5, -0x1.b426d5c7fa048p-5, -0x1.b03429cf9a136p-5, -0x1.ac415e08bf3b2p-5, -0x1.a84ea43d515b1p-5, -0x1.a45c2d8094ddbp-5, -0x1.a06a2a2e62df9p-5, -0x1.9c78c9ea52e9ep-5, -0x1.98883b9ff2897p-5, -0x1.9498ad7fd9a3cp-5, -0x1.90aa4cfd025a2p-5, -0x1.8cbd46ca1117p-5, -0x1.88d1c6cda1a94p-5, -0x1.84e7f85a5a7d7p-5, -0x1.810005d3ea94cp-5, -0x1.7d1a19162d479p-5, -0x1.79365b205ccf4p-5, -0x1.7554f42bba113p-5, -0x1.71760badfe8c9p-5, -0x1.6d99c8623c356p-5, -0x1.69c0504bf6dcbp-5, -0x1.65e9c8b1e3718p-5, -0x1.621656142be4ep-5, -0x1.5e461c3159015p-5, -0x1.5a793e02e7bbbp-5, -0x1.56afddc2b3d11p-5, -0x1.52ea1ceb0f596p-5, -0x1.4f281c36988f1p-5, -0x1.4b69fba0eb231p-5, -0x1.47afda66987f6p-5, -0x1.43f9d7056b54ep-5, -0x1.40480f3b1a0f1p-5, -0x1.3c9aa006c05b4p-5, -0x1.38f1a5ae62c16p-5, -0x1.354d3bb6b6f7ep-5, -0x1.31ad7cee5d651p-5, -0x1.2e128364017aap-5, -0x1.2a7c686abb085p-5, -0x1.26eb449d0bd96p-5, -0x1.235f2fdfa66d5p-5, -0x1.1fd8416004465p-5, -0x1.1c568f91d125dp-5, -0x1.18da3033563a2p-5, -0x1.1563385415c85p-5, -0x1.11f1bc4c23f74p-5, -0x1.0e85cfc15fd11p-5, -0x1.0b1f85ad530abp-5, -0x1.07bef05a2708ap-5, -0x1.046421625cbe4p-5, -0x1.010f29b3c887dp-5, -0x1.fb80332fc70d3p-6, -0x1.f4ee01442f0e2p-6, -0x1.ee67db8eacce2p-6, -0x1.e7eddeb9ee37ep-6, -0x1.e18026142ac15p-6, -0x1.db1ecbacf39dp-6, -0x1.d4c9e852c0098p-6, -0x1.ce819395dc27ap-6, -0x1.c845e3cc16827p-6, -0x1.c216ee148c8e8p-6, -0x1.bbf4c65b6be6dp-6, -0x1.b5df7f5dfa9b8p-6, -0x1.afd72aae5ca7ep-6, -0x1.a9dbd8b77c96dp-6, -0x1.a3ed98c0f2bf8p-6, -0x1.9e0c78e1d2ddep-6, -0x1.983886593fb2ap-6, -0x1.9271cce9b4a75p-6, -0x1.8cb8578610564p-6, -0x1.870c3000b6c3p-6, -0x1.816d5f1f77586p-6, -0x1.7bdbeca114063p-6, -0x1.7657df4aa3822p-6, -0x1.70e13cd98b115p-6, -0x1.6b780a0fe429ap-6, -0x1.661c4ac5c1021p-6, -0x1.60ce01d3ca97p-6, -0x1.5b8d312a5eacdp-6, -0x1.5659d9d567915p-6, -0x1.5133fbfa3e44cp-6, -0x1.4c1b96dd9908dp-6, -0x1.4710a8e8b7031p-6, -0x1.42132fadac1a6p-6, -0x1.3d2327eba7e6ap-6, -0x1.38408d9328ed1p-6, -0x1.336b5bcbd6127p-6, -0x1.2ea38cef5c1ep-6, -0x1.29e91aad6d378p-6, -0x1.253bfddc33cfep-6, -0x1.209c2eb207246p-6, -0x1.1c09a4952028bp-6, -0x1.1784561279fdp-6, -0x1.130c39a7c0379p-6, -0x1.0ea144c62ae8ap-6, -0x1.0a436bd48538fp-6, -0x1.05f2a33576902p-6, -0x1.01aede8b8dd7dp-6, -0x1.faf02199492d4p-7, -0x1.f29c58be3c597p-7, -0x1.ea62463b9b4f2p-7, -0x1.e241ccb3d6f97p-7, -0x1.da3acdbbd073ap-7, -0x1.d24d29ea380dep-7, -0x1.ca78c0d10c61p-7, -0x1.c2bd71141ab0dp-7, -0x1.bb1b18651eb94p-7, -0x1.b39193909e87ep-7, -0x1.ac20be884762dp-7, -0x1.a4c8746568828p-7, -0x1.9d888f72746bap-7, -0x1.9660e932a697cp-7, -0x1.8f515a693886bp-7, -0x1.8859bb20cf1bcp-7, -0x1.8179e2b2a3048p-7, -0x1.7ab1a7cdc10cdp-7, -0x1.7400e07dfa3a1p-7, -0x1.6d676232e1f96p-7, -0x1.66e501c69b0c4p-7, -0x1.60799384a03b8p-7, -0x1.5a24eb3114266p-7, -0x1.53e6dc0912e36p-7, -0x1.4dbf38e232422p-7, -0x1.47add3f9bfc99p-7, -0x1.41b27f40a9301p-7, -0x1.3bcd0c2fa99bcp-7, -0x1.35fd4bea28795p-7, -0x1.30430f40466f3p-7, -0x1.2a9e2601f5bcdp-7, -0x1.250e6109ed5b2p-7, -0x1.1f93900c57826p-7, -0x1.1a2d81df6c28bp-7, -0x1.14dc065540756p-7, -0x1.0f9eec5f56b83p-7, -0x1.0a7602be41397p-7, -0x1.0561180a890c5p-7, -0x1.005ffac0ba51fp-7, -0x1.f6e4f2842c3b9p-8, -0x1.ed30c36f224cbp-8, -0x1.e3a3043029517p-8, -0x1.da3b50ba3177cp-8, -0x1.d0f94504b0eaep-8, -0x1.c7dc7cb825752p-8, -0x1.bee493409ebbap-8, -0x1.b611241afe649p-8, -0x1.ad61cad3e5eefp-8, -0x1.a4d622f0ae145p-8, -0x1.9c6dc8197f9dcp-8, -0x1.942855f2be6fp-8, -0x1.8c05680fd1a1dp-8, -0x1.84049a6a6c768p-8, -0x1.7c2588e1d72d9p-8, -0x1.7467cf8a39e13p-8, -0x1.6ccb0ac359b43p-8, -0x1.654ed722b4177p-8, -0x1.5df2d19e80667p-8, -0x1.56b69709c5a96p-8, -0x1.4f99c5105283bp-8, -0x1.489bfa00bb6f4p-8, -0x1.41bcd3578f848p-8, -0x1.3afbf063a4ec5p-8, -0x1.3458f01e6a3ep-8, -0x1.2dd372157491p-8, -0x1.276b164292da1p-8, -0x1.211f7d0495789p-8, -0x1.1af0471bdf2aep-8, -0x1.14dd15a93b416p-8, -0x1.0ee58a30526f3p-8, -0x1.0909469d63ddep-8, -0x1.0347ed580f95ap-8, -0x1.fb42429793407p-9, -0x1.f0290bf86725p-9, -0x1.e5437f53cc476p-9, -0x1.da90e6c79eb64p-9, -0x1.d0108e2fef3cfp-9, -0x1.c5c1c36555f46p-9, -0x1.bba3d6100531cp-9, -0x1.b1b61781f3f88p-9, -0x1.a7f7da8165d9bp-9, -0x1.9e687306e221p-9, -0x1.950735ec3932cp-9, -0x1.8bd378a8a7e99p-9, -0x1.82cc90c12ea0dp-9, -0x1.79f1d4b3bcc3ap-9, -0x1.71429a019248dp-9, -0x1.68be37cd6b33fp-9, -0x1.606405b8abc2dp-9, -0x1.58335cfbfb185p-9, -0x1.502b9914857fep-9, -0x1.484c1862a934dp-9, -0x1.40943cb1ea345p-9, -0x1.39036b86f452fp-9, -0x1.31990e1f81e7ep-9, -0x1.2a54911aaf8c8p-9, -0x1.233563ca3f8b3p-9, -0x1.1c3af74341d64p-9, -0x1.1564bd4333d68p-9, -0x1.0eb2272e1b566p-9, -0x1.0822a4da806bp-9, -0x1.01b5a43d1c43ep-9, -0x1.f6d520e26ebe8p-10, -0x1.ea81ac79315f7p-10, -0x1.de6fb87f4d503p-10, -0x1.d29e1b4c28652p-10, -0x1.c70bad3677519p-10, -0x1.bbb74e1c26ff6p-10, -0x1.b09fe8943466fp-10, -0x1.a5c473f586593p-10, -0x1.9b23f54433cc8p-10, -0x1.90bd7e8a5aa87p-10, -0x1.86902d42eb3cap-10, -0x1.7c9b2685de85ep-10, -0x1.72dd93ad5eb2fp-10, -0x1.69569d5401bf5p-10, -0x1.60056762a4c2ap-10, -0x1.56e90da6f5f74p-10, -0x1.4e00a1c563564p-10, -0x1.454b2b0ffecep-10, -0x1.3cc7a85873f9ep-10, -0x1.3475122fedf89p-10, -0x1.2c5260723d6d3p-10, -0x1.245e8ef0cdc11p-10, -0x1.1c98a23ac31cap-10, -0x1.14ffabf708bb3p-10, -0x1.0d92cc94b2641p-10, -0x1.06513b116b302p-10, -0x1.fe74816c54629p-11, -0x1.f09a5977332eap-11, -0x1.e312c062b614bp-11, -0x1.d5dc88ac520bfp-11, -0x1.c8f680e7c627dp-11, -0x1.bc5f6c2e8a645p-11, -0x1.b015fca2a10d8p-11, -0x1.a418cf9020758p-11, -0x1.986669213507cp-11, -0x1.8cfd360c97dd7p-11, -0x1.81db90c92005ep-11, -0x1.76ffca2a09b49p-11, -0x1.6c68335309071p-11, -0x1.62132850d88d3p-11, -0x1.57ff198850e5bp-11, -0x1.4e2a92d985399p-11, -0x1.44943fcc6eb98p-11, -0x1.3b3aec26f149bp-11, -0x1.321d811e80defp-11, -0x1.293aff9aea058p-11, -0x1.20927867d1146p-11, -0x1.182303698c823p-11, -0x1.0febb709691d6p-11, -0x1.07eba0fa6fcefp-11, -0x1.0021c13c281c9p-11, -0x1.f11a0fc16c338p-12, -0x1.e258ab472da61p-12, -0x1.d3fcfdfa9c8d2p-12, -0x1.c604a20177284p-12, -0x1.b86d2de5b9f38p-12, -0x1.ab343e6d1639p-12, -0x1.9e577d04b14d8p-12, -0x1.91d4a4b6b9a39p-12, -0x1.85a98b551629fp-12, -0x1.79d42e8a374bp-12, -0x1.6e52b9cf65084p-12, -0x1.63237e41e3dbp-12, -0x1.5844e4513e71fp-12, -0x1.4db563fd6c1b6p-12, -0x1.437386c40a645p-12, -0x1.397de8904e975p-12, -0x1.2fd329df6d186p-12, -0x1.2671d5621b30ep-12, -0x1.1d584c6da1f7cp-12, -0x1.1484c6b368713p-12, -0x1.0bf5608f5ebe5p-12, -0x1.03a830a62e647p-12, -0x1.f736c0288dc48p-13, -0x1.e79a7f65c7d78p-13, -0x1.d878a97411ac8p-13, -0x1.c9ceaf89937bp-13, -0x1.bb9a4aa10f173p-13, -0x1.add94837d05f7p-13, -0x1.a08954a19b1bep-13, -0x1.93a7d7b4bd5ecp-13, -0x1.8731f2e79cccdp-13, -0x1.7b24a3a4046e2p-13, -0x1.6f7cea0d573b1p-13, -0x1.64382a4498886p-13, -0x1.595431b603b6ap-13, -0x1.4ecf13c3245dbp-13, -0x1.44a75053f8315p-13, -0x1.3adb5639d32c5p-13, -0x1.31694ac069cc6p-13, -0x1.284ed339cdbbbp-13, -0x1.1f890060b3e9cp-13, -0x1.17146e9e8b64ep-13, -0x1.0eed98f976396p-13, -0x1.07114bd965dd3p-13, -0x1.fefa290875a87p-14, -0x1.f05ec878828dap-14, -0x1.e24efc1efec1cp-14, -0x1.d4cb23dab7b27p-14, -0x1.c7d27ba7a7c85p-14, -0x1.bb63bf269120ep-14, -0x1.af7bf417d5d5fp-14, -0x1.a4163c2735269p-14, -0x1.992cbe78723f1p-14, -0x1.8eb9618d45588p-14, -0x1.84b6a22b1514cp-14, -0x1.7b2049c3f758ep-14, -0x1.71f37c42df426p-14, -0x1.692e83e0e297dp-14, -0x1.60d05e00e0514p-14, -0x1.58d831b9a5d6bp-14, -0x1.5144ac2c362c1p-14, -0x1.4a136967a7f6ep-14, -0x1.4340a1c3f93c2p-14, -0x1.3cc7442017ce8p-14, -0x1.36a18febfcc86p-14, -0x1.30ca1437cad56p-14, -0x1.2b3cc152588f3p-14, -0x1.25f79ca38124ep-14, -0x1.20fabad26b84fp-14, -0x1.1c476de01d4fcp-14, -0x1.17defa1ed74efp-14, -0x1.13c16c5b68505p-14, -0x1.0fed18a503c9dp-14, -0x1.0c5edd7d099f8p-14, -0x1.0912d77878191p-14, -0x1.060514e499c7dp-14, -0x1.03320b7876161p-14, -0x1.0096c6baacaa9p-14, -0x1.fc61b251c0103p-15, -0x1.f7fc5a4462b9p-15, -0x1.f3f9d41743cfcp-15, -0x1.f05717f52d6c5p-15, -0x1.ed12109fc28d4p-15, -0x1.ea2972b5b38a1p-15, -0x1.e79bfa2f182b9p-15, -0x1.e56779198e212p-15, -0x1.e3884dd1bd86cp-15, -0x1.e1f98c1df3384p-15, -0x1.e0b5a8f51f723p-15, -0x1.dfb79292189dp-15, -0x1.defb8e67c6161p-15, -0x1.de7f8e9a95107p-15, -0x1.de42d6a7cc1f4p-15, -0x1.de451633f4965p-15, -0x1.de85885da9bb6p-15, -0x1.df02adf04d86cp-15, -0x1.dfba1d536cedap-15, -0x1.e0a8b60c59047p-15, -0x1.e1caf14de0f5cp-15, -0x1.e31de7f37853p-15, -0x1.e4a0344976717p-15, -0x1.e651842caf664p-15, -0x1.e830ca797dcdcp-15, -0x1.ea3ae226643a8p-15, -0x1.ec6adc44730bcp-15, -0x1.eebb8f6a755d3p-15, -0x1.f1290e01cfb4fp-15, -0x1.f3b149b2276bdp-15, -0x1.f653dad042613p-15, -0x1.f91147b97b8fcp-15, -0x1.fbea374737e4cp-15, -0x1.fedece96e8506p-15, -0x1.00f7495f5016fp-14, -0x1.028ba546cdf25p-14, -0x1.042b845810594p-14, -0x1.05d61dea9b447p-14, -0x1.078ab64d8b22p-14, -0x1.0946ba124248p-14, -0x1.0b08c71da3b94p-14, -0x1.0cd074dbb291p-14, -0x1.0e9e4f70e3799p-14, -0x1.10727ec879bebp-14, -0x1.124bf31be449ap-14, -0x1.14294420bb96dp-14, -0x1.160a16c0ac3f2p-14, -0x1.17ef0bbc992fp-14, -0x1.19d8880e8e64p-14, -0x1.1bc61cd0ea8a3p-14, -0x1.1db6e9379c775p-14, -0x1.1faa17b26ded9p-14, -0x1.219eedffd447fp-14, -0x1.2394a774ad28ep-14, -0x1.258a0a0870c6cp-14, -0x1.277d704fb44acp-14, -0x1.296f09dc0eb4ap-14, -0x1.2b5e45a94942ep-14, -0x1.2d4c99d6d6584p-14, -0x1.2f3a663788f92p-14, -0x1.31275b5136fe6p-14, -0x1.3312db34ca5fep-14, -0x1.34fcc973d933bp-14, -0x1.36e564ab77d41p-14, -0x1.38cc18b515866p-14, -0x1.3aaf2661da688p-14, -0x1.3c8d37139a787p-14, -0x1.3e66612184955p-14, -0x1.403ba62d423e5p-14, -0x1.420cf3a6401f4p-14, -0x1.43d93870c6f74p-14, -0x1.459fde1fff061p-14, -0x1.47623d7773129p-14, -0x1.491fed7187734p-14, -0x1.4ad8af525b9f8p-14, -0x1.4c8be0dc648p-14, -0x1.4e395a3351c39p-14, -0x1.4fe1619f0ceebp-14, -0x1.5183af3b4ae37p-14, -0x1.531f80a52a506p-14, -0x1.54b59201f85bcp-14, -0x1.56462c1528a8fp-14, -0x1.57cfe9233c49ep-14, -0x1.59526fa13f8abp-14, -0x1.5ace0e89aaec9p-14, -0x1.5c42d9062cf3dp-14, -0x1.5db109c6a4d18p-14, -0x1.5f188054277b6p-14, -0x1.6078ca65d7776p-14, -0x1.61d1e64786298p-14, -0x1.63243cb64eff1p-14, -0x1.646ff891b7162p-14, -0x1.65b4c4b337864p-14, -0x1.66f1fc5ff6373p-14, -0x1.68275f98b7f18p-14, -0x1.695544d5f452ep-14, -0x1.6a7b90a69adcbp-14, -0x1.6b9a23d090393p-14, -0x1.6cb137f1a4b8fp-14, -0x1.6dc0feb88fbdcp-14, -0x1.6ec94dfdf82abp-14, -0x1.6fc9fd25e6ed6p-14, -0x1.70c302ec64fb8p-14, -0x1.71b47ca8dc9f4p-14, -0x1.729e6a08a81d6p-14, -0x1.738090a98b6p-14, -0x1.745b16e6fd40fp-14, -0x1.752e2681dbc65p-14, -0x1.75f99bfacf82cp-14, -0x1.76bd8062cc80fp-14, -0x1.7779d5d82b818p-14, -0x1.782e9e65c82eap-14, -0x1.78dbde3c5e214p-14, -0x1.79819b3f1e33fp-14, -0x1.7a1fdd0efdf76p-14, -0x1.7ab6bc6565032p-14, -0x1.7b460b8a516c6p-14, -0x1.7bce0610720a5p-14, -0x1.7c4ea93028d5ep-14, -0x1.7cc7ff3e5d1dbp-14, -0x1.7d3a16466a86cp-14, -0x1.7da4e65181372p-14, -0x1.7e086c824ccfep-14, -0x1.7e64c4e2d892bp-14, -0x1.7eba09c1fa968p-14, -0x1.7f0867299ec05p-14, -0x1.7f4ff6956e1f7p-14, -0x1.7f902dfb465dap-14, -0x1.7fc95ae20139dp-14, -0x1.7ffbeaa744ce4p-14, -0x1.8027b381140e1p-14, -0x1.804cbdf276db3p-14, -0x1.806b18a2a634dp-14, -0x1.8082de87a2a8ep-14, -0x1.8093fa6cdbbacp-14, -0x1.809e9b5773adp-14, -0x1.80a2c9ff24769p-14, -0x1.80a09ac119c3fp-14, -0x1.8098240aea994p-14, -0x1.8089614ad2974p-14, -0x1.80747abe1a9eep-14, -0x1.80597cbec4714p-14, -0x1.8038727a484bep-14, -0x1.80115dd2d0a92p-14, -0x1.7fe42747e2b66p-14, -0x1.7fb0e1b687afap-14, -0x1.7f77f1567bb14p-14, -0x1.7f397a413df11p-14, -0x1.7ef58aef746bdp-14, -0x1.7eac6009b49d3p-14, -0x1.7e5c0c2ab5e3dp-14, -0x1.7e0823e003e67p-14, -0x1.7dad4ffa6ebbp-14, -0x1.7d4dc08229ec7p-14, -0x1.7ce94c51e72a7p-14, -0x1.7c7f9d849ec9fp-14, -0x1.7c10896fa3968p-14, -0x1.7b9c703adb72cp-14, -0x1.7b236de2ea9aap-14, -0x1.7aa5a11bab9eap-14, -0x1.7a22fa4b2a73cp-14, -0x1.799b8f98f1814p-14, -0x1.790f787aa1998p-14, -0x1.787ebc8673aa3p-14, -0x1.77e975d6f5fe1p-14, -0x1.774fb6a21aa07p-14, -0x1.76b18e5fc9866p-14, -0x1.760f102671012p-14, -0x1.75684e5a4a194p-14, -0x1.74bd58f490e32p-14, -0x1.740e41ceda9d9p-14, -0x1.735b1b3feb6c9p-14, -0x1.72a3f6fb9c284p-14, -0x1.71e8e8b9b2e7fp-14, -0x1.712a042ce515bp-14, -0x1.70675d5ea4d5ep-14, -0x1.6fa10a8a996fdp-14, -0x1.6ed71fce267ddp-14, -0x1.6e099c75d274dp-14, -0x1.6d37f827167cfp-14, -0x1.6c62ee94fbf4ap-14, -0x1.6b8ad33d56913p-14, -0x1.6aafbbe6c609p-14, -0x1.69d0ee4165234p-14, -0x1.68ee9ed631431p-14, -0x1.6809de74a81a9p-14, -0x1.6722012cd1401p-14, -0x1.6636f60e3a0eep-14, -0x1.6548d9822ca2p-14, -0x1.6457b3bab4722p-14, -0x1.63639bfdc10fap-14, -0x1.626d11f0c25b3p-14, -0x1.617493af44f95p-14, -0x1.6078a25ad46f3p-14, -0x1.5f7a19e1c4d33p-14, -0x1.5e7903386be9bp-14, -0x1.5d74fdc2b15b6p-14, -0x1.5c6edc759a389p-14, -0x1.5b66ae6ea223ep-14, -0x1.5a5c489edb842p-14, -0x1.594f842848691p-14, -0x1.5840674d21c31p-14, -0x1.572f74c53ca83p-14, -0x1.561c00ed037dep-14, -0x1.5506b2d94fbdp-14, -0x1.53ef6f5585408p-14, -0x1.52d63b9db5977p-14, -0x1.51bb2509859bep-14, -0x1.509e41e22a843p-14, -0x1.4f7f9ccc6aafp-14, -0x1.4e5f2fd9a5bcap-14, -0x1.4d3d25f3847d1p-14, -0x1.4c1979f8119f5p-14, -0x1.4af435728870dp-14, -0x1.49cd714d59261p-14, -0x1.48a53fd8311dbp-14, -0x1.477b8b7db1167p-14, -0x1.465080953cd46p-14, -0x1.4523fdf780778p-14, -0x1.43f62ee51289ap-14, -0x1.42c73b5fd0be4p-14, -0x1.419718e5d89ccp-14, -0x1.4065cbd9b3129p-14, -0x1.3f335eb412748p-14, -0x1.3dffdc8a324cep-14, -0x1.3ccb501a5beb3p-14, -0x1.3b95c3f45d63cp-14, -0x1.3a5f42ee39c21p-14, -0x1.3927d875cde12p-14, -0x1.37ef903dc31b6p-14, -0x1.36b6756ec770bp-14, -0x1.357c923396e0fp-14, -0x1.3441efff49108p-14, -0x1.33069788bc3p-14, -0x1.31ca90e6eb339p-14, -0x1.308de4f622b1dp-14, -0x1.2f509c86b2247p-14, -0x1.2e12c0d647e61p-14, -0x1.2cd45b0d489a1p-14, -0x1.2b957442097ebp-14, -0x1.2a561581d892cp-14, -0x1.29164fce02917p-14, -0x1.27d6149ff8c43p-14, -0x1.269584179f70cp-14, -0x1.25549f233819fp-14, -0x1.24136e15466c9p-14, -0x1.22d1f75683069p-14, -0x1.219042a06920dp-14, -0x1.204e5cae2e22ap-14, -0x1.1f0c5781407c7p-14, -0x1.1dca443dce1bep-14, -0x1.1c881bb4d81dfp-14, -0x1.1b45875a0152dp-14, -0x1.1a025327434c7p-14, -0x1.18bf6a58d5828p-14, -0x1.177cf9e4ac77dp-14, -0x1.163ab36dc53a2p-14, -0x1.14f7fec8c17d2p-14, -0x1.13b4d629e8339p-14, -0x1.1272da6f1545ep-14, -0x1.113108544348cp-14, -0x1.0fef2ba74c6aep-14, -0x1.0ead357c9433dp-14, -0x1.0d6b4ef279a24p-14, -0x1.0c299b7368ffdp-14, -0x1.0ae828ac49efbp-14, -0x1.09a6f56824fc7p-14, -0x1.08664a8b76775p-14, -0x1.072520577df56p-14, -0x1.05e5894ff6d16p-14, -0x1.04a57e95a4625p-14, -0x1.0365fdbf3c7cbp-14, -0x1.0226d5b753eeap-14, -0x1.00e80df50bap-14, -0x1.ff53a2a91b836p-15, -0x1.fcd800c7cf54ep-15, -0x1.fa5d365e7782ep-15, -0x1.f7e356117f14bp-15, -0x1.f56a6fa13dd6cp-15, -0x1.f2f28e89e9f5p-15, -0x1.f07bbb0840ea6p-15, -0x1.ee0629d8aadc9p-15, -0x1.eb9156a0854bcp-15, -0x1.e91dd74b8c69ap-15, -0x1.e6ab9835b2d61p-15, -0x1.e43a95062c78bp-15, -0x1.e1caa84516795p-15, -0x1.df5c06c158414p-15, -0x1.dceef2ed9e0e6p-15, -0x1.da825b99d39e2p-15, -0x1.d8175ed8704cap-15, -0x1.d5aed2b4c96a2p-15, -0x1.d3482af93fddbp-15, -0x1.d0e17983ec825p-15, -0x1.ce7c779f07998p-15, -0x1.cc177d197ff41p-15, -0x1.c9b5ddefc8235p-15, -0x1.c755ebdf39671p-15, -0x1.c4f73c23f998bp-15, -0x1.c29a09f83a744p-15, -0x1.c03e773776835p-15, -0x1.bde4548d59637p-15, -0x1.bb8bde416ff81p-15, -0x1.b9351fd30069ep-15, -0x1.b6e0102024fe1p-15, -0x1.b48cb2c32fb4ep-15, -0x1.b23b0c9b720e7p-15, -0x1.afeb21ffb3d8p-15, -0x1.ad9cf6ab719dcp-15, -0x1.ab508dc2c8c9bp-15, -0x1.a905e4b26defcp-15, -0x1.a6bd2769cdd0ep-15, -0x1.a4761352042c9p-15, -0x1.a230e6ea01cbcp-15, -0x1.9fed9c604cf3ep-15, -0x1.9dac353605019p-15, -0x1.9b6cad59b4234p-15, -0x1.992f0b8c6b802p-15, -0x1.96f34eb09d62dp-15, -0x1.94b9794d2dff9p-15, -0x1.928195447815fp-15, -0x1.904b9cad01edcp-15, -0x1.8e178ce22f7b8p-15, -0x1.8be56d1a0d659p-15, -0x1.89b5d2d5630fap-15, -0x1.87876fbc74df4p-15, -0x1.855bcbc8b51b2p-15, -0x1.8331a477a73aap-15, -0x1.810967bdb75adp-15, -0x1.7ee29dc5fe863p-15, -0x1.7cbe8738291e2p-15, -0x1.7a9c93c7d0547p-15, -0x1.787d42c9ed1d5p-15, -0x1.765ff20b0389ep-15, -0x1.74440688fb0bap-15, -0x1.7229f6de3ca49p-15, -0x1.7012a16f2c1e8p-15, -0x1.6dfc9be2b24ffp-15, -0x1.6be935d0c9a1fp-15, -0x1.69d858243d7cap-15, -0x1.67c85052acf64p-15, -0x1.65bb8b8921498p-15, -0x1.63b0a687a8b75p-15, -0x1.61a7a9e7011d1p-15, -0x1.5fa0f388001fp-15, -0x1.5d9c685389f35p-15, -0x1.5b99eee44c92dp-15, -0x1.5999a0c971613p-15, -0x1.579b50d61d065p-15, -0x1.559eadb9f9f8ap-15, -0x1.53a41dfa78f43p-15, -0x1.51ac71388fdf4p-15, -0x1.4fb72be960453p-15, -0x1.4dc360527dfeap-15, -0x1.4bd19a16c664ep-15, -0x1.49e2e39aa115bp-15, -0x1.47f79a7174aa1p-15, -0x1.460bc1bd3e1fap-15, -0x1.442365e0b344p-15, -0x1.423c243b8dff7p-15, -0x1.4058381ac735fp-15, -0x1.3e76370883d0fp-15, -0x1.3c950f21d73d8p-15, -0x1.3ab7059284df7p-15, -0x1.38db2a1648d51p-15, -0x1.37018c45d8d91p-15, -0x1.352a16483bf3ep-15, -0x1.3354d7447fbd5p-15, -0x1.3181ac5d7eb56p-15, -0x1.2fb0a744dd22p-15, -0x1.2de1cccf5c30fp-15, -0x1.2c15197fe3fbap-15, -0x1.2a4a8d90ee1d1p-15, -0x1.288218dce4071p-15, -0x1.26bc196c2040ep-15, -0x1.24f7ca79e4721p-15, -0x1.2335e42844f7cp-15, -0x1.217610ba53a85p-15, -0x1.1fb841ac45c45p-15, -0x1.1dfc3c707bb67p-15, -0x1.1c4276dfee00ap-15, -0x1.1a8d07932b13fp-15, -0x1.18d78ca4e997cp-15, -0x1.1724b357f299fp-15, -0x1.1572153a44c08p-15, -0x1.13c3c401cf95ap-15, -0x1.12176f4a29856p-15, -0x1.106cf8622c787p-15, -0x1.0ec47ef5333d7p-15, -0x1.0d1e15deee168p-15, -0x1.0b79be0975273p-15, -0x1.09d7a9d3f42edp-15, -0x1.0834007405ea4p-15, -0x1.069982628f237p-15, -0x1.04fdd1d55e465p-15, -0x1.0363f4602e11fp-15, -0x1.01cc41effa0aep-15, -0x1.0036912294b4p-15, -0x1.fd45f642c6098p-16, -0x1.fa22e3369d64bp-16, -0x1.f703ea1ccd764p-16, -0x1.f3e909198986ep-16, -0x1.f0d23db26d766p-16, -0x1.edbf852bda83fp-16, -0x1.eab0dcd7fa97ep-16, -0x1.e7a641ced2aacp-16, -0x1.e49fb0bf808fbp-16, -0x1.e19d25b3f1a99p-16, -0x1.de9fdef679d8bp-16, -0x1.dba4dd10c6b6cp-16, -0x1.d8adae63a9d24p-16, -0x1.d5bb21c0a7579p-16, -0x1.d2ccecc25637bp-16, -0x1.cfe2ddf26510cp-16, -0x1.ccfd4201709d9p-16, -0x1.ca1a9a4ff1f18p-16, -0x1.c738764895561p-16, -0x1.c45e6c9867bddp-16, -0x1.c1881c5053267p-16, -0x1.beb2f18153bedp-16, -0x1.bbe6c95106f7cp-16, -0x1.b91d2f67604ap-16, -0x1.b654f5af4080bp-16, -0x1.b390aaa84ca63p-16, -0x1.b0d0a1ebb77f7p-16, -0x1.ae149d478ffa8p-16, -0x1.ab5c4cde39cf6p-16, -0x1.a8a3f6c5c5432p-16, -0x1.a5f77aeee3995p-16, -0x1.a34b0dc55189dp-16, -0x1.a0a1fc43c4e6ep-16, -0x1.9dfcc6d366469p-16, -0x1.9b5b44ba23209p-16, -0x1.98bd71d47442cp-16, -0x1.96235549269b4p-16, -0x1.938ce5e0af34ap-16, -0x1.90fa1fbc3cd7ap-16, -0x1.8e6b7a9bdbba4p-16, -0x1.8bdf994ade594p-16, -0x1.89588c9af31b7p-16, -0x1.86d329eeafae5p-16, -0x1.8452ddf6add09p-16, -0x1.81d62002719ecp-16, -0x1.7f5d48afa3018p-16, -0x1.7ce764453bd0ap-16, -0x1.7a7307bf6c272p-16, -0x1.7803ea940f27dp-16, -0x1.7599214c11362p-16, -0x1.73331784ce9dep-16, -0x1.70ce9e252edb5p-16, -0x1.6e6d307edc944p-16, -0x1.6c0f8577309ecp-16, -0x1.69b57879659b2p-16, -0x1.675ebeac2b527p-16, -0x1.650c21856c7ddp-16, -0x1.62bc687f7589cp-16, -0x1.606f34c6c73f7p-16, -0x1.5e2714f1f3c0bp-16, -0x1.5be162f98787ap-16, -0x1.599ed04e8d784p-16, -0x1.575fcf157e5dp-16, -0x1.552300acaf9dap-16, -0x1.52ed05a2fc1eep-16, -0x1.50b8f3479bbbcp-16, -0x1.4e883e3d9eed7p-16, -0x1.4c565140e8235p-16, -0x1.4a2c5c7ac198bp-16, -0x1.4804f55ceeeb4p-16, -0x1.45df48bc65351p-16, -0x1.43bbe18880e1cp-16, -0x1.419e023441b37p-16, -0x1.3f84157969467p-16, -0x1.3d6a4ec74fc67p-16, -0x1.3b561175bc176p-16, -0x1.3946879a99cb3p-16, -0x1.373811935fd74p-16, -0x1.352c2c835dc22p-16, -0x1.33235550ee8bp-16, -0x1.311da74fc4bd8p-16, -0x1.2f1ae442d5543p-16, -0x1.2d1ce942e5e65p-16, -0x1.2b1f835c36b76p-16, -0x1.292638258f233p-16, -0x1.272fb9515c1e4p-16, -0x1.253c7e9db511dp-16, -0x1.234c9ea61098p-16, -0x1.215f2566a26f4p-16, -0x1.1f760338b76f3p-16, -0x1.1d8d18a2eb576p-16, -0x1.1ba89b4e83281p-16, -0x1.19c6f3e69ee4cp-16, -0x1.17e829efeb691p-16, -0x1.16071ec4553c9p-16, -0x1.143335d06e682p-16, -0x1.125d01b269984p-16, -0x1.1089a217607d7p-16, -0x1.0eb912e3e727dp-16, -0x1.0ceb4b628a365p-16, -0x1.0b209ac5b98e7p-16, -0x1.09581b1a77caap-16, -0x1.0792bbee026dep-16, -0x1.05d0116ad9497p-16, -0x1.04101d7f65874p-16, -0x1.0252fd6b4dcccp-16, -0x1.00990d698437ep-16, -0x1.fdc105a4f97e7p-17, -0x1.fa567f5c64f9fp-17, -0x1.f6f573318381fp-17, -0x1.f39195ccd89dp-17, -0x1.f0377de6a1a7dp-17, -0x1.ece304340e4d1p-17, -0x1.e9969f7b8c1e7p-17, -0x1.e6477b768858fp-17, -0x1.e30217f572491p-17, -0x1.dfc1b4bfac13fp-17, -0x1.dc86ba0f0a07fp-17, -0x1.d950724475441p-17, -0x1.d6211fdb0ed3fp-17, -0x1.d2f5fbeb64839p-17, -0x1.cfc8de977d5ddp-17, -0x1.cca7655d22cb5p-17, -0x1.c989caaea8e69p-17, -0x1.c6714a70782f7p-17, -0x1.c364ae2a6da02p-17, -0x1.c055c46dee4cfp-17, -0x1.bd4a6610e4fbdp-17, -0x1.ba449c57e17dap-17, -0x1.b744263ffec11p-17, -0x1.b448c14422ebfp-17, -0x1.b1524540e89ccp-17, -0x1.ae79cf1aa79cdp-17, -0x1.ab73b863c89ffp-17, -0x1.a88b8d43621f5p-17, -0x1.a5a7eead1397p-17, -0x1.a2c8791b96df1p-17, -0x1.9febf12d4addfp-17, -0x1.9d1fffe60b55cp-17, -0x1.9a4de5ef386fep-17, -0x1.977c7895fb139p-17, -0x1.94abec683729ap-17, -0x1.91e8b95a09d7ep-17, -0x1.8f2f75bed6224p-17, -0x1.8c7b465852b82p-17, -0x1.89c108144354ap-17, -0x1.870de41b5f145p-17, -0x1.845a1d06fbfb7p-17, -0x1.81b2fbfe2a23bp-17, -0x1.7f10ba156b09p-17, -0x1.7c6e7fab4b8cep-17, -0x1.79cf7dada779dp-17, -0x1.77387701b161ep-17, -0x1.74a453dd5b301p-17, -0x1.72145b87606d2p-17, -0x1.6f8895b032e97p-17, -0x1.6d00ec82c11dcp-17, -0x1.6a7d5f3766078p-17, -0x1.67fde8ce9d1f4p-17, -0x1.658283fe78b88p-17, -0x1.630b317bf188ep-17, -0x1.6097db139ae3ap-17, -0x1.5e288b8d998d2p-17, -0x1.5bbdc27a97ba9p-17, -0x1.59555b1459e4bp-17, -0x1.56f26dee46e45p-17, -0x1.5492eab89e1bbp-17, -0x1.5237494da1c1bp-17, -0x1.4fdf589409a6ep-17, -0x1.4d872c5e4cef5p-17, -0x1.4b3b808e3a6f8p-17, -0x1.48ef53d7c9402p-17, -0x1.46a83f4670e36p-17, -0x1.44621f816d59ap-17, -0x1.42211c0a4fe6cp-17, -0x1.3fe396a364b0ep-17, -0x1.3da2b8f1816cap-17, -0x1.3b73dd229b878p-17, -0x1.39432ccf174c2p-17, -0x1.370ce31930bfbp-17, -0x1.34e8586efb9b1p-17, -0x1.32c14683daf55p-17, -0x1.309d840462deep-17, -0x1.2e7d499fbe466p-17, -0x1.2c6094175527bp-17, -0x1.2a4758e962957p-17, -0x1.28014b2ef311ap-17, -0x1.261f7dbc980a8p-17, -0x1.2410d231d09dcp-17, -0x1.2205395a167f6p-17, -0x1.1ffd1bbc7b2bdp-17, -0x1.1df86491f8968p-17, -0x1.1bf721226962dp-17, -0x1.19f9570a13b03p-17, -0x1.17fef7a89783fp-17, -0x1.1607e7e86d89cp-17, -0x1.141413ff6f87ap-17, -0x1.122370c471e5p-17, -0x1.1035dbd8732a9p-17, -0x1.0e4c781caad2ap-17, -0x1.0c650279f1b7dp-17, -0x1.0a81d52e1db82p-17, -0x1.08a0e4e371011p-17, -0x1.06c3771cb3d4cp-17, -0x1.04e83fe7bdc6ap-17, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{0x1.fcf8885f2ac53p-1, 0x1.fc87fe2974414p-1, 0x1.fbcd9f1d19ed1p-1, 0x1.facb24b4073d7p-1, 0x1.f982daafc998dp-1, 0x1.f7f787d9983f5p-1, 0x1.f62c55f1c00a2p-1, 0x1.f424ba3b7dccap-1, 0x1.f1e45f932284p-1, 0x1.ef6f129b2cc1fp-1, 0x1.ecc8b04565ee3p-1, 0x1.e9f516ca3832ep-1, 0x1.e6f818fe0f382p-1, 0x1.e3d573dec80a4p-1, 0x1.e090c626c375dp-1, 0x1.dd2d89ad78039p-1, 0x1.d9af0e5c4a201p-1, 0x1.d618768077bbp-1, 0x1.d26cb446b45ebp-1, 0x1.ceae8831ec529p-1, 0x1.cae08063e01e7p-1, 0x1.c704f8937d0f4p-1, 0x1.c31e1a91b9497p-1, 0x1.bf2ddf42437cfp-1, 0x1.bb360ff145ac9p-1, 0x1.b73847f30247fp-1, 0x1.b335f67cff2acp-1, 0x1.af3060ab0b101p-1, 0x1.ab28a3a47c37fp-1, 0x1.a71fb6d7d9d74p-1, 0x1.a3166e449f01cp-1, 0x1.9f0d7ccbfdc89p-1, 0x1.9b057682a4826p-1, 0x1.96fed2fe59df6p-1, 0x1.92f9ef9b197e6p-1, 0x1.8ef711b3f23d8p-1, 0x1.8af668cc8a01fp-1, 0x1.86f810a8a1e32p-1, 0x1.82fc134f72c3fp-1, 0x1.7f026af91d5bp-1, 0x1.7b0b03e4ce425p-1, 0x1.7715be1688042p-1, 0x1.73226efbdb4e8p-1, 0x1.6f30e2f7153bdp-1, 0x1.6b40ded0b4a26p-1, 0x1.6752210f2f6e3p-1, 0x1.6364633542f3ep-1, 0x1.5f775ae7400d1p-1, 0x1.5b8abaf7e4582p-1, 0x1.579e345d79fccp-1, 0x1.53b1771016c7ep-1, 0x1.4fc432d1e4989p-1, 0x1.4bd617e27a8ffp-1, 0x1.47e6d79e550dfp-1, 0x1.43f6250b8a92ap-1, 0x1.4003b554e0e34p-1, 0x1.3c0f4034691dfp-1, 0x1.3818804ecbd37p-1, 0x1.341f338066c1bp-1, 0x1.30231b1d60719p-1, 0x1.2c23fc25c739fp-1, 0x1.28219f6ece521p-1, 0x1.241bd1c22ca69p-1, 0x1.201263f49b367p-1, 0x1.1c052af45c483p-1, 0x1.17f3ffd0b25d2p-1, 0x1.13debfbb13d68p-1, 0x1.0fc54c02e67bbp-1, 0x1.0ba78a0c77a4fp-1, 0x1.07856343da95bp-1, 0x1.035ec50c4b5b5p-1, 0x1.fe67415945681p-2, 0x1.f607d672bec05p-2, 0x1.ed9f3af96fbfdp-2, 0x1.e52d67ba3fdafp-2, 0x1.dcb25c8540146p-2, 0x1.d42e1ff6a2495p-2, 0x1.cba0bf3e8f8ap-2, 0x1.c30a4de85c28bp-2, 0x1.ba6ae5a18934ap-2, 0x1.b1c2a600f02e1p-2, 0x1.a911b44e6f25bp-2, 0x1.a0583b4b4e761p-2, 0x1.97966afba12cap-2, 0x1.8ecc7870c200dp-2, 0x1.85fa9d9518d38p-2, 0x1.7d2118f935e97p-2, 0x1.74402da25b1p-2, 0x1.6b5822da7efdap-2, 0x1.62694401c535fp-2, 0x1.5973e06175707p-2, 0x1.50784b00631cbp-2, 0x1.4776da78c17fep-2, 0x1.3e6fe8cf5a4dfp-2, 0x1.3563d34c104ffp-2, 0x1.2c52fa53a62d8p-2, 0x1.233dc142b4acfp-2, 0x1.1a248e49bbbf4p-2, 0x1.1107ca4a3c4fp-2, 0x1.07e7e0b4ce81cp-2, 0x1.fd8a7ed01fd76p-3, 0x1.eb40ad20d52a8p-3, 0x1.d8f33111250dp-3, 0x1.c6a2f375675d4p-3, 0x1.b450e10462bd5p-3, 0x1.a1fdea1beeaf5p-3, 0x1.8fab02867fabfp-3, 0x1.7d5921418b9a5p-3, 0x1.6b094044b18eep-3, 0x1.58bc5c4980befp-3, 0x1.46737493d6cp-3, 0x1.342f8abab80a6p-3, 0x1.21f1a27199134p-3, 0x1.0fbac15207478p-3, 0x1.fb17dd4b4cee8p-4, 0x1.d6cc6660f3ce9p-4, 0x1.b29531f6e0789p-4, 0x1.8e74563e5f91ap-4, 0x1.6a6beb1e3b956p-4, 0x1.467e09c93f122p-4, 0x1.22accc552b00dp-4, 0x1.fdf49aa44f1bep-5, 0x1.b6d14ec56394bp-5, 0x1.6ff3e9a823bf4p-5, 0x1.29609e6ec095bp-5, 0x1.c6373becd09bfp-6, 0x1.3a522c17fe83ep-6, 0x1.5e34c2892211ap-7, 0x1.24c1309d9958p-9, -0x1.94b116aa16a86p-8, -0x1.dc555cff449a6p-7, -0x1.765aeed329d6ep-6, -0x1.fdb4f06a62613p-6, -0x1.421856f171cddp-5, -0x1.84e31a1401ee2p-5, -0x1.c736d1f131159p-5, -0x1.0487ccb85587fp-4, -0x1.2534cb5f83aa8p-4, -0x1.45a07dfdf387fp-4, -0x1.65c903f2389c7p-4, -0x1.85ac833d18aafp-4, -0x1.a54928d2f2909p-4, -0x1.c49d28eb28ad4p-4, -0x1.e3a6bf4d71278p-4, -0x1.013217ce735fep-3, -0x1.1069e2d0739b8p-3, -0x1.1f79eac5cdf6dp-3, -0x1.2e615e1f0e453p-3, -0x1.3d1f6fc5108ddp-3, -0x1.4bb357389e54bp-3, -0x1.5a1c50b0c3cb9p-3, -0x1.68599d37d5e13p-3, -0x1.766a82c733bd2p-3, -0x1.844e4c61a15a6p-3, -0x1.92044a2c5d8e4p-3, -0x1.9f8bd186ccc83p-3, -0x1.ace43d20c940ap-3, -0x1.ba0ced0f95f33p-3, -0x1.c70546e1648f4p-3, -0x1.d3ccb5af87006p-3, -0x1.e062aa2f295dfp-3, -0x1.ecc69ac0b691dp-3, -0x1.f8f8037dcf13ap-3, -0x1.027b3322f2192p-2, -0x1.0860a564b40aep-2, -0x1.0e2c1f49d35a8p-2, -0x1.13dd6a899bf55p-2, -0x1.197453d09214bp-2, -0x1.1ef0aac350474p-2, -0x1.24524200c3ap-2, -0x1.2998ef23b9bc8p-2, -0x1.2ec48ac3ce437p-2, -0x1.33d4f075b0d27p-2, -0x1.38c9fecacc975p-2, -0x1.3da3975051957p-2, -0x1.42619e8da1c8ep-2, -0x1.4703fc0227e08p-2, -0x1.4b8a9a22971d4p-2, -0x1.4ff566559af04p-2, -0x1.544450eff738p-2, -0x1.58774d301d135p-2, -0x1.5c8e51393b52p-2, -0x1.6089560dc7705p-2, -0x1.646857898939ep-2, -0x1.682b545b2914bp-2, -0x1.6bd24dfd45ca8p-2, -0x1.6f5d48af17174p-2, -0x1.72cc4b6ca0826p-2, -0x1.761f5fe6732f9p-2, -0x1.795692790f5fp-2, -0x1.7c71f223d8db2p-2, -0x1.7f71907fb2ff9p-2, -0x1.825581b539cbcp-2, -0x1.851ddc72a845fp-2, -0x1.87cab9e1691c1p-2, -0x1.8a5c359b5738ap-2, -0x1.8cd26d9fb2415p-2, -0x1.8f2d8247cbd6fp-2, -0x1.916d963b734c6p-2, -0x1.9392ce651da38p-2, -0x1.959d51e5d68ffp-2, -0x1.978d4a08f61a4p-2, -0x1.9962e237a4907p-2, -0x1.9b1e47ec3048bp-2, -0x1.9cbfaaa53302ep-2, -0x1.9e473bd891e83p-2, -0x1.9fb52ee65b3ccp-2, -0x1.a109b90b7dcd8p-2, -0x1.a2451154690f9p-2, -0x1.a367708f8f56bp-2, -0x1.a471113fd522cp-2, -0x1.a5622f8eea6fep-2, -0x1.a63b093f97b5ap-2, -0x1.a6fbdd9ffdb4ep-2, -0x1.a7a4ed7bccea4p-2, -0x1.a8367b0e7515ep-2, -0x1.a8b0c9f556f69p-2, -0x1.a9141f21f12dcp-2, -0x1.a960c0cc13bdp-2, -0x1.a996f66418598p-2, -0x1.a9b70885246cep-2, -0x1.a9c140e776148p-2, -0x1.a9b5ea52c014fp-2, -0x1.a99550909450fp-2, -0x1.a95fc05ee4aeap-2, -0x1.a915876297562p-2, -0x1.a8b6f41a33217p-2, -0x1.a84455d0a58dcp-2, -0x1.a7bdfc902624cp-2, -0x1.a7243915359b2p-2, -0x1.a6775cc1c08e7p-2, -0x1.a5b7b9905fbbp-2, -0x1.a4e5a207c0374p-2, -0x1.a401692e2d8c8p-2, -0x1.a30b627d45272p-2, -0x1.a203e1d5d15bfp-2, -0x1.a0eb3b73cea65p-2, -0x1.9fc1c3e29b1ecp-2, -0x1.9e87cff157337p-2, -0x1.9d3db4a76df67p-2, -0x1.9be3c739506f7p-2, -0x1.9a7a5cfd61bffp-2, -0x1.9901cb611255dp-2, -0x1.977a67de2f748p-2, -0x1.95e487f0631f3p-2, -0x1.9440810aeb6ccp-2, -0x1.928ea88e85513p-2, -0x1.90cf53bf898aap-2, -0x1.8f02d7bc46af4p-2, -0x1.8d29897389db2p-2, -0x1.8b43bd9b64ef7p-2, -0x1.8951c8a82928dp-2, -0x1.8753fec397cd9p-2, -0x1.854ab3c453129p-2, -0x1.83363b257a19ap-2, -0x1.8116e7fe8df1fp-2, -0x1.7eed0cfb7ff01p-2, -0x1.7cb8fc5504a19p-2, -0x1.7a7b07c919552p-2, -0x1.78338093c6c42p-2, -0x1.75e2b76817318p-2, -0x1.7388fc694bdd8p-2, -0x1.71269f2448218p-2, -0x1.6ebbee8934668p-2, -0x1.6c4938e55b29ep-2, -0x1.69cecbdd3d6c2p-2, -0x1.674cf466e04cbp-2, -0x1.64c3fec44f6bep-2, -0x1.6234367e58eb3p-2, -0x1.5f9de65f80661p-2, -0x1.5d01586f26b2cp-2, -0x1.5a5ed5ece749fp-2, -0x1.57b6a74c2e6b8p-2, -0x1.5509142fff32dp-2, -0x1.52566366f267dp-2, -0x1.4f9edae767021p-2, -0x1.4ce2bfcbe45fp-2, -0x1.4a22564fb452ep-2, -0x1.475de1cba701ep-2, -0x1.4495a4b311a84p-2, -0x1.41c9e090f3a58p-2, -0x1.3efad60553d3ap-2, -0x1.3c28c4c2c9686p-2, -0x1.3953eb8c32235p-2, -0x1.367c8832971aap-2, -0x1.33a2d79341e8ap-2, -0x1.30c71595f7acp-2, -0x1.2de97d2b62363p-2, -0x1.2b0a484ba615ap-2, -0x1.2829aff51f546p-2, -0x1.2547ec2b46acap-2, -0x1.226533f5c1666p-2, -0x1.1f81bd5f95b6bp-2, -0x1.1c9dbd7686b33p-2, -0x1.19b9684a976adp-2, -0x1.16d4f0edaefa5p-2, -0x1.13f0897362e46p-2, -0x1.110c62f0e3b79p-2, -0x1.0e28ad7d0c734p-2, -0x1.0b45983091965p-2, -0x1.08635126520cp-2, -0x1.0582057bc6e1cp-2, -0x1.02a1e15191c63p-2, -0x1.ff861f98511fp-3, -0x1.f9cb76293e33cp-3, -0x1.f41418b317143p-3, -0x1.ee6057a00f2cdp-3, -0x1.e8b0816996a3ep-3, -0x1.e304e29ac0514p-3, -0x1.dd5dc5d2dc7cap-3, -0x1.d7bb73c843fcep-3, -0x1.d21e334b4e715p-3, -0x1.cc8649497638p-3, -0x1.c6f3f8d0a77e5p-3, -0x1.c1678312b8a87p-3, -0x1.bbe12769096d4p-3, -0x1.b66123584a687p-3, -0x1.b0e7b2946537dp-3, -0x1.ab750f048a6bdp-3, -0x1.a60970c760e4ep-3, -0x1.a0a50e3755bc1p-3, -0x1.9b481bef04cd4p-3, -0x1.95f2cccdcb797p-3, -0x1.90a551fc66d8cp-3, -0x1.8b5fdaf1b7bf1p-3, -0x1.862295779afbdp-3, -0x1.80edadafdb1cp-3, -0x1.7bc14e1936671p-3, -0x1.769d9f9479f8ep-3, -0x1.7182c969b0348p-3, -0x1.6c70f14d66f8p-3, -0x1.67683b65f9543p-3, -0x1.6268ca50fb929p-3, -0x1.5d72bf28a498p-3, -0x1.5886398950c94p-3, -0x1.53a3579707935p-3, -0x1.4eca360316f1p-3, -0x1.49faf011aef0fp-3, -0x1.45359f9f8c2eep-3, -0x1.407a5d27a8767p-3, -0x1.3bc93fc8efca5p-3, -0x1.37225d4c01bd5p-3, -0x1.3285ca28f1e95p-3, -0x1.2df3998d0cccbp-3, -0x1.296bdd60a3b0bp-3, -0x1.24eea64cd50b9p-3, -0x1.207c03c15f707p-3, -0x1.1c1403fa658b9p-3, -0x1.17b6b40642d48p-3, -0x1.13641fcb53f03p-3, -0x1.0f1c520dc0d52p-3, -0x1.0adf5475452d5p-3, -0x1.06ad2f92ed48ep-3, -0x1.0285eae6df61p-3, -0x1.fcd319cc1bf94p-4, -0x1.f4b035ffe0f96p-4, -0x1.eca3334863f87p-4, -0x1.e4ac1890ad05bp-4, -0x1.dccaeadab9659p-4, -0x1.d4ffad4ab45fap-4, -0x1.cd4a613209587p-4, -0x1.c5ab061a80799p-4, -0x1.be2199d12a178p-4, -0x1.b6ae187156687p-4, -0x1.af507c6f5a36p-4, -0x1.a808bea351cd2p-4, -0x1.a0d6d653c98a4p-4, -0x1.99bab9403c2d4p-4, -0x1.92b45bab9b60cp-4, -0x1.8bc3b066a0d7fp-4, -0x1.84e8a8da14b0ap-4, -0x1.7e233510f457fp-4, -0x1.777343c27e57ap-4, -0x1.70d8c25c2a154p-4, -0x1.6a539d0b733c3p-4, -0x1.63e3bec79c01bp-4, -0x1.5d89115b409dap-4, -0x1.57437d6dd84a7p-4, -0x1.5112ea8d15e61p-4, -0x1.4af73f3625be3p-4, -0x1.44f060ded1acep-4, -0x1.3efe33fe817f9p-4, -0x1.39209c171e83p-4, -0x1.33577bbdd9555p-4, -0x1.2da2b4a3c9b79p-4, -0x1.2802279e72c0bp-4, -0x1.2275b4b021986p-4, -0x1.1cfd3b1035524p-4, -0x1.17989933382b9p-4, -0x1.1247acd2e5c85p-4, -0x1.0d0a52f602a5p-4, -0x1.07e067f81d5dcp-4, -0x1.02c9c79128bafp-4, -0x1.fb8c99b9f05d5p-5, -0x1.f1aba4c52b3f2p-5, -0x1.e7f06436f186fp-5, -0x1.de5a8af54503bp-5, -0x1.d4e9cae716998p-5, -0x1.cb9dd501f96f5p-5, -0x1.c27659577993dp-5, -0x1.b973072250daep-5, -0x1.b0938cd333964p-5, -0x1.a7d7981d7c3b5p-5, -0x1.9f3ed6038aaecp-5, -0x1.96c8f2e2d6296p-5, -0x1.8e759a7fce8ep-5, -0x1.864478117058p-5, -0x1.7e35364cace8fp-5, -0x1.76477f6f79d1ep-5, -0x1.6e7afd4ba9938p-5, -0x1.66cf595193762p-5, -0x1.5f443c9a6588ap-5, -0x1.57d94ff24c662p-5, -0x1.508e3be252814p-5, -0x1.4962a8ba066f8p-5, -0x1.42563e98e50a6p-5, -0x1.3b68a577821f5p-5, -0x1.34998530819f8p-5, -0x1.2de885894a71cp-5, -0x1.27554e3a7f901p-5, -0x1.20df86f850af8p-5, -0x1.1a86d77a77de5p-5, -0x1.144ae78417d2bp-5, -0x1.0e2b5eeb4ab41p-5, -0x1.0827e5a09682p-5, -0x1.024023b60a388p-5, -0x1.f8e782cc9206dp-6, -0x1.ed84ce367c5e1p-6, -0x1.e2577ae96c041p-6, -0x1.d75eda9d7370ep-6, -0x1.cc9a3f8f77fdfp-6, -0x1.c208fc8d0fb7fp-6, -0x1.b7aa650022abbp-6, -0x1.ad7dccfa132adp-6, -0x1.a382893e82d7cp-6, -0x1.99b7ef4dcbb28p-6, -0x1.901d556f07d9cp-6, -0x1.86b212b9dee4ap-6, -0x1.7d757f1fc192p-6, -0x1.7466f37515492p-6, -0x1.6b85c979c145ap-6, -0x1.62d15be19f9d3p-6, -0x1.5a49065c7e637p-6, -0x1.51ec259dcaf35p-6, -0x1.49ba176400b46p-6, -0x1.41b23a7fab824p-6, -0x1.39d3eeda3dbe7p-6, -0x1.321e957c913d1p-6, -0x1.2a919094fa6b3p-6, -0x1.232c437d3b166p-6, -0x1.1bee12c0330e7p-6, -0x1.14d6641f0d31p-6, -0x1.0de49e96791fp-6, -0x1.07182a6367b0bp-6, -0x1.007071078c4dep-6, -0x1.f3d9ba9b7bcdfp-7, -0x1.e719b69bdb59ep-7, -0x1.da9fb0e1fda4bp-7, -0x1.ce6a86e8b84e7p-7, -0x1.c27918da6e4e5p-7, -0x1.b6ca49977bc2ap-7, -0x1.ab5cfebbdcb93p-7, -0x1.a03020a479e4cp-7, -0x1.95429a742249cp-7, -0x1.8a935a1817244p-7, -0x1.8021504c04081p-7, -0x1.75eb709dc5be5p-7, -0x1.6bf0b170d1702p-7, -0x1.62300c00f726bp-7, -0x1.58a87c652cbep-7, -0x1.4f590191a61a4p-7, -0x1.46409d59bcf3cp-7, -0x1.3d5e54719c667p-7, -0x1.34b12e6f5e5c5p-7, -0x1.2c3835cbddd04p-7, -0x1.23f277e3b8371p-7, -0x1.1bdf04f70d09ep-7, -0x1.13fcf029f663p-7, -0x1.0c4b4f8417b3p-7, -0x1.04c93beff9828p-7, -0x1.faeba274ed51ap-8, -0x1.eca05c22ec214p-8, -0x1.deaee8059db48p-8, -0x1.d1158ef51500ap-8, -0x1.c3d29f825bc3fp-8, -0x1.b6e46df3a1859p-8, -0x1.aa49543f98e31p-8, -0x1.9dffb2084e51dp-8, -0x1.9205ec9685246p-8, -0x1.865a6ed377129p-8, -0x1.7afba94325d87p-8, -0x1.6fe811fd94c3p-8, -0x1.651e24a8809f3p-8, -0x1.5a9c626fa4653p-8, -0x1.506151fde1e1ap-8, -0x1.466b7f751e83bp-8, -0x1.3cb97c666400ap-8, -0x1.3349dfc9743a8p-8, -0x1.2a1b45f43de8bp-8, -0x1.212c509205d1p-8, -0x1.187ba69a04f3fp-8, -0x1.1007f44679911p-8, -0x1.07cfeb0a9d91p-8, -0x1.ffa4831298975p-9, -0x1.f01b6714b1032p-9, -0x1.e10203e1d9379p-9, -0x1.d255e56211cb1p-9, -0x1.c414a188fb859p-9, -0x1.b63bd8413c893p-9, -0x1.a8c933566d6e4p-9, -0x1.9bba665ed3b42p-9, -0x1.8f0d2ea502dep-9, -0x1.82bf53115355ep-9, -0x1.76cea4128ea73p-9, -0x1.6b38fb879fcdbp-9, -0x1.5ffc3ca713626p-9, -0x1.551653e85a244p-9, -0x1.4a8536ec1c402p-9, -0x1.4046e46347c64p-9, -0x1.365963f873d9ap-9, -0x1.2cbac63687906p-9, -0x1.23692470f596bp-9, -0x1.1a62a0ab374a8p-9, -0x1.11a5657fef752p-9, -0x1.092fa608cbdbep-9, -0x1.00ff9dc5a9a9dp-9, -0x1.f227210719a15p-10, -0x1.e2d39488a37edp-10, -0x1.d4013e4b15bbfp-10, -0x1.c5acd68f2706bp-10, -0x1.b7d3256968bf1p-10, -0x1.aa71029165b6ep-10, -0x1.9d83552f337fdp-10, -0x1.910713a94868p-10, -0x1.84f94373e7e92p-10, -0x1.7956f8de60a63p-10, -0x1.6e1d56e355879p-10, -0x1.63498ef47bca4p-10, -0x1.58d8e0ccfae97p-10, -0x1.4ec89a3d0105p-10, -0x1.451616faa75dep-10, -0x1.3bbec0710392ap-10, -0x1.32c00d8ebd036p-10, -0x1.2a1782962464p-10, -0x1.21c2b0ed14238p-10, -0x1.19bf36ec84436p-10, -0x1.120abfb1476c5p-10, -0x1.0aa302ec40e6ap-10, -0x1.0385c4b2f2485p-10, -0x1.f961aaa2f5899p-11, -0x1.ec442233dc36fp-11, -0x1.dfaec0702518cp-11, -0x1.d39d6d03b0b01p-11, -0x1.c80c26949113fp-11, -0x1.bcf7026614059p-11, -0x1.b25a2c017e61dp-11, -0x1.a831e4d98f217p-11, -0x1.9e7a83f2e946ep-11, -0x1.9530758b32c7fp-11, -0x1.8c503ac23ec98p-11, -0x1.83d669421fbb4p-11, -0x1.7bbfaae99441cp-11, -0x1.7408bd76a7783p-11, -0x1.6cae7231570cep-11, -0x1.65adad99a3102p-11, -0x1.5f0367118519bp-11, -0x1.58aca88dcad0dp-11, -0x1.52a68e414e9fep-11, -0x1.4cee464f392c5p-11, -0x1.4781107885fc4p-11, -0x1.425c3dcef41fp-11, -0x1.3d7d30650527dp-11, -0x1.38e15b01e30ebp-11, -0x1.348640d3d48c4p-11, -0x1.3069752510c4ap-11, -0x1.2c889b0fc2a82p-11, -0x1.28e1653546497p-11, -0x1.2571957360f6dp-11, -0x1.2236fc9ce91adp-11, -0x1.1f2f7a3166337p-11, -0x1.1c58fc16f37fbp-11, -0x1.19b17e535d31fp-11, -0x1.17370ac909bbep-11, -0x1.14e7b8efcd983p-11, -0x1.12c1ad9472b96p-11, -0x1.10c31a93e6ae4p-11, -0x1.0eea3e9b0685dp-11, -0x1.0d3564e5782d2p-11, -0x1.0ba2e4fd1c40bp-11, -0x1.0a31227b579dap-11, -0x1.08de8ccb2e978p-11, -0x1.07a99eeb16ff9p-11, -0x1.0690df30e9c13p-11, -0x1.0592df0db9ecp-11, -0x1.04ae3ad332a81p-11, -0x1.03e199790272dp-11, -0x1.032bac645e103p-11, -0x1.028b2f2ea2c0ap-11, -0x1.01fee76e11859p-11, -0x1.0185a47f721b3p-11, -0x1.011e3f4f942bap-11, -0x1.00c79a25d1365p-11, -0x1.0080a07073f4cp-11, -0x1.004846901ccap-11, -0x1.001d89a5db4cap-11, -0x1.fffedec0df49ap-12, -0x1.ffda0b968521cp-12, -0x1.ffcac63c4f3f8p-12, -0x1.ffcf4b1b39b12p-12, -0x1.ffe5e636415a7p-12, -0x1.000679681acd1p-11, -0x1.00216d87ac651p-11, -0x1.00430bd1cbd66p-11, -0x1.006a97b8382e2p-11, -0x1.00975b9a2b813p-11, -0x1.00c8a89aba81ap-11, -0x1.00fdd6764ff84p-11, -0x1.0136435a40656p-11, -0x1.017153bbe850ap-11, -0x1.01ae723136089p-11, -0x1.01ed0f49bd6c3p-11, -0x1.022ca16830959p-11, -0x1.026ca49d33f8p-11, -0x1.02ac9a81feb47p-11, -0x1.02ec0a13d6b38p-11, -0x1.032a7f9111dcap-11, -0x1.03678c55bb6d4p-11, -0x1.03a2c6b93f6c4p-11, -0x1.03dbc9eced9c8p-11, -0x1.041235daf5952p-11, -0x1.0445af04fffefp-11, -0x1.0475de65d0778p-11, -0x1.04a27150d2009p-11, -0x1.04cb1953cd26cp-11, -0x1.04ef8c193e435p-11, -0x1.050f834a87092p-11, -0x1.052abc730c81fp-11, -0x1.0540f8e3b39fbp-11, -0x1.0551fd979779cp-11, -0x1.055d93184dd3dp-11, -0x1.05638563db166p-11, -0x1.0563a3d1da438p-11, -0x1.055dc0fa8e3dp-11, -0x1.0551b29d57376p-11, -0x1.053f51885490ap-11, -0x1.0526798052164p-11, -0x1.050709294c643p-11, -0x1.04e0e1ef4413ap-11, -0x1.04b3e7f030b17p-11, -0x1.048001e533672p-11, -0x1.0445190d71a72p-11, -0x1.04031918bf6f1p-11, -0x1.03b9f0132384p-11, -0x1.03698e50834f8p-11, -0x1.0311e6592843dp-11, -0x1.02b2ecd5f66eep-11, -0x1.024c987d9679dp-11, -0x1.01dee20284361p-11, -0x1.0169c40059b6cp-11, -0x1.00ed3aeaa6baap-11, -0x1.006944fb99ec6p-11, -0x1.ffbbc44609c5ap-12, -0x1.fe9627ec8e532p-12, -0x1.fd61bb3f5b5adp-12, -0x1.fc1e879ee4216p-12, -0x1.facc9957b28a5p-12, -0x1.f96bff8592981p-12, -0x1.f7fccbf5fcb81p-12, -0x1.f67f130bb08p-12, -0x1.f4f2eba30ed29p-12, -0x1.f3586ef6fdd33p-12, -0x1.f1afb886d3695p-12, -0x1.eff8e5fc3975fp-12, -0x1.ee3417129557bp-12, -0x1.ec616d7e9d5f2p-12, -0x1.ea810cd655d87p-12, -0x1.e8931a7a12637p-12, -0x1.e697bd7dff4e4p-12, -0x1.e48f1e93d9c62p-12, -0x1.e27967f620157p-12, -0x1.e056c552b0dd7p-12, -0x1.de2763b77f169p-12, -0x1.dbeb717dee70ep-12, -0x1.d9a31e38097c4p-12, -0x1.d74e9a9e72b5fp-12, -0x1.d4ee187d1648fp-12, -0x1.d281caa2e92d9p-12, -0x1.d009e4d01dc59p-12, -0x1.cd869ba5e949cp-12, -0x1.caf824963974ep-12, -0x1.c85eb5d42d2fcp-12, -0x1.c5ba8644a2686p-12, -0x1.c30bcd703bf56p-12, -0x1.c052c3744ca6cp-12, -0x1.bd8fa0f588bffp-12, -0x1.bac29f125136bp-12, -0x1.b7ebf75689028p-12, -0x1.b50be3ad9a19fp-12, -0x1.b2229e576e243p-12, -0x1.af3061dc3ed42p-12, -0x1.ac356901094bcp-12, -0x1.a931eebcaca1dp-12, -0x1.a6262e2de348p-12, -0x1.a312628f8f3fcp-12, -0x1.9ff6c7305ad68p-12, -0x1.9cd39767c9a97p-12, -0x1.99a90e8dc7d15p-12, -0x1.967767f14b44ep-12, -0x1.933edecffef0dp-12, -0x1.8fffae4dacf68p-12, -0x1.8cba116ca6042p-12, -0x1.896e430591ce7p-12, -0x1.861c7dc07c25p-12, -0x1.82c4fc0d199cap-12, -0x1.7f67f81c7003dp-12, -0x1.7c05abda2b11cp-12, -0x1.789e50e62b2ebp-12, -0x1.7532208e68e6ep-12, -0x1.71c153c9d0f6fp-12, -0x1.6e4c2331aff36p-12, -0x1.6ad2c6fd019f7p-12, -0x1.675576fb0811fp-12, -0x1.63d46a8f2b9d2p-12, -0x1.604fd8aafb148p-12, -0x1.5cc7f7cb58122p-12, -0x1.593cfdf368a14p-12, -0x1.55af20a865224p-12, -0x1.521e94ee499ddp-12, -0x1.4e8b8f4435201p-12, -0x1.4af643a09222ap-12, -0x1.475ee56e5462dp-12, -0x1.43c5a789baddep-12, -0x1.402abc3d6a863p-12, -0x1.3c8e5540069fp-12, -0x1.38f0a3b1467d4p-12, -0x1.3551d817befa1p-12, -0x1.31b2225e86f73p-12, -0x1.2e11b1d3a85a5p-12, -0x1.2a70b525ac3fbp-12, -0x1.26cf5a61f0094p-12, -0x1.232dcef3315f1p-12, -0x1.1f8c3fa00cadbp-12, -0x1.1bead889ed215p-12, -0x1.1849c52ac488p-12, -0x1.14a930550bc5p-12, -0x1.1109443245cf9p-12, -0x1.0d6a2a425168ep-12, -0x1.09cc0b5a5d251p-12, -0x1.062f0fa4b7aebp-12, -0x1.02935e9ff8f3dp-12, -0x1.fdf23e3cc90c6p-13, -0x1.f6c0ee8bca342p-13, -0x1.ef93191fd4987p-13, -0x1.e8690791934f2p-13, -0x1.e143021fb6f01p-13, -0x1.da214faf30213p-13, -0x1.d30435cc2748cp-13, -0x1.cbebf8a91fe0bp-13, -0x1.c4d8db200b2e8p-13, -0x1.bdcb1eb27f34fp-13, -0x1.b6c3038b628bbp-13, -0x1.afc0c87f80171p-13, -0x1.a8c4ab0e36abfp-13, -0x1.a1cee763caa3p-13, -0x1.9adfb8591a2f5p-13, -0x1.93f75776e6a47p-13, -0x1.8d15fcf645f3bp-13, -0x1.863bdfc2a97d2p-13, -0x1.7f69357b6077cp-13, -0x1.789e3275f0b98p-13, -0x1.71db09c045299p-13, -0x1.6b1fed2208872p-13, -0x1.646d0d1f45598p-13, -0x1.5dc298fac084cp-13, -0x1.5720beb864fcp-13, -0x1.5087ab1f61fcdp-13, -0x1.49f789bcd8824p-13, -0x1.437084e625a3p-13, -0x1.3cf2c5bc1c873p-13, -0x1.367e742d11b9ep-13, -0x1.3013b6f80234bp-13, -0x1.29b2b3afd8249p-13, -0x1.235b8ebd28c4fp-13, -0x1.1d0e6b622447bp-13, -0x1.16cb6bbce6817p-13, -0x1.1092b0caac5eap-13, -0x1.0a645a6b3d962p-13, -0x1.044087638bb2ap-13, -0x1.fc4eaac274ca9p-14, -0x1.f031c1fa09d33p-14, -0x1.e42a8b7e1566cp-14, -0x1.d8393c43065f4p-14, -0x1.cc5e0727a1fe3p-14, -0x1.c0991cfac5808p-14, -0x1.b4eaac846f2b2p-14, -0x1.a952e28a17954p-14, -0x1.9dd1e9d6f9975p-14, -0x1.9267eb4191f07p-14, -0x1.87150db32e336p-14, -0x1.7bd9762deab3ap-14, -0x1.70b547d40a52fp-14, -0x1.65a8a3ee6eedep-14, -0x1.5ab3a9f41c08fp-14, -0x1.4fd6778f2bbfep-14, -0x1.451128a60140cp-14, -0x1.3a63d76022b62p-14, -0x1.2fce9c2db4ed1p-14, -0x1.25518dcf7e462p-14, -0x1.1aecc15bdc009p-14, -0x1.10a04a460e804p-14, -0x1.066c3a651b4acp-14, -0x1.f8a143f600e25p-15, -0x1.e49b1f7638d37p-15, -0x1.d0c621a2475fbp-15, -0x1.bd2261cd78aa4p-15, -0x1.a9aff4568931ap-15, -0x1.966eeab596d2bp-15, -0x1.835f53870ec7cp-15, -0x1.70813a9ac395dp-15, -0x1.5dd4a8ff1ad14p-15, -0x1.4b59a5103288ap-15, -0x1.39103282fadcap-15, -0x1.26f8527335c84p-15, -0x1.1512037009954p-15, -0x1.035d41894fbdbp-15, -0x1.e3b40cb75eccbp-16, -0x1.c1109239516dp-16, -0x1.9ecffd4e33366p-16, -0x1.7cf2331389571p-16, -0x1.5b771421cd70bp-16, -0x1.3a5e7ca4e41fp-16, -0x1.19a8447978932p-16, -0x1.f2a87e817b27ep-17, -0x1.b2c478f41b3c2p-17, -0x1.73a40f30edcb6p-17, -0x1.3546d03922b91p-17, -0x1.ef5886a7dd918p-18, -0x1.75a7d075472a9p-18, -0x1.faf4dd2892128p-19, -0x1.0d9e86c98de3fp-19, -0x1.1a52339150eadp-22, 0x1.8814ad4becfcep-20, 0x1.a861dde8f764fp-19, 0x1.44df7b63b05f3p-18, 0x1.b412310afc84bp-18, 0x1.10e53e560780dp-17, 0x1.4704eb84f7d81p-17, 0x1.7c68e2509c7fdp-17, 0x1.b111eaa7b4e3bp-17, 0x1.e500d2004fda3p-17, 0x1.0c1b35990988p-16, 0x1.2559c727a773cp-16, 0x1.3e3c8c3db0bd9p-16, 0x1.56c3f5e37ff8cp-16, 0x1.6ef0778450e06p-16, 0x1.86c286dc5ff6ap-16, 0x1.9e3a9be6f1a4p-16, 0x1.b55930c93ba95p-16, 0x1.cc1ec1c3aa59bp-16, 0x1.e28bcd2089229p-16, 0x1.f8a0d31f2e488p-16, 0x1.072f2af2c69dbp-15, 0x1.11e26cb6c46c1p-15, 0x1.1c6a71bb0260ap-15, 0x1.26c77db8a5cdfp-15, 0x1.30f9d53abe0e8p-15, 0x1.3b01bd958101bp-15, 0x1.44df7cdff1c93p-15, 0x1.4e9359eafc205p-15, 0x1.581d9c3974d78p-15, 0x1.617e8bf9d0107p-15, 0x1.6ab671fdf0b99p-15, 0x1.73c597b389f53p-15, 0x1.7cac471e24986p-15, 0x1.856acacf2e1p-15, 0x1.8e016ddf65d59p-15, 0x1.96707be7f6f0ep-15, 0x1.9eb840fb9b911p-15, 0x1.a6d909a09536dp-15, 0x1.aed322c9e0839p-15, 0x1.b6a6d9d056a8bp-15, 0x1.be547c6d49245p-15, 0x1.c5dc58b403bedp-15, 0x1.cd3ebd0c184bfp-15, 0x1.d47bf82ac76ffp-15, 0x1.db94590e167fap-15, 0x1.e2882ef68054ap-15, 0x1.e957c960f4ac7p-15, 0x1.f0037802fc9bdp-15, 0x1.f68b8ac3b73e3p-15, 0x1.fcf051b70d7dp-15, 0x1.01990e8c8bf5ap-14, 0x1.04a89ea4518b8p-14, 0x1.07a7016111f3dp-14, 0x1.0a945f0d85026p-14, 0x1.0d70dffe50ea3p-14, 0x1.103cac900afdfp-14, 0x1.12f7ed24b2694p-14, 0x1.15a2ca2168862p-14, 0x1.183d6becc700cp-14, 0x1.1ac7faec04ff5p-14, 0x1.1d429f812ea5ep-14, 0x1.1fad82090a74fp-14, 0x1.2208cad92f79ep-14, 0x1.2454a23e29e83p-14, 0x1.269130797195bp-14, 0x1.28be9dbf6df88p-14, 0x1.2add1235d7763p-14, 0x1.2cecb5f1fe09bp-14, 0x1.2eedb0f6a48aep-14, 0x1.30e02b32ce708p-14, 0x1.32c44c7fe072ap-14, 0x1.349a3c9ff4574p-14, 0x1.3662233c425c7p-14, 0x1.381c27e3c6714p-14, 0x1.39c87209b2fe6p-14, 0x1.3b672903d3496p-14, 0x1.3cf874096dedep-14, 0x1.3e7c7a31d7b67p-14, 0x1.3ff36272d1ad9p-14, 0x1.415d539f42279p-14, 0x1.42ba746645874p-14, 0x1.440aeb519e249p-14, 0x1.454edec4e8bc9p-14, 0x1.468674fc21f5bp-14, 0x1.47b1d40a6728bp-14, 0x1.48d121d91b80fp-14, 0x1.49e48426ebf6ap-14, 0x1.4aec2086977a9p-14, 0x1.4be81c5e1da29p-14, 0x1.4cd89ce598aa8p-14, 0x1.4dbdc7262b468p-14, 0x1.4e97bff9a4f19p-14, 0x1.4f66ac093ebfcp-14, 0x1.502aafccb8bf6p-14, 0x1.50e3ef8992031p-14, 0x1.51928f5288029p-14, 0x1.5236b306815cbp-14, 0x1.52d07e501807p-14, 0x1.536014a497566p-14, 0x1.53e599437ecbep-14, 0x1.54612f35d5aefp-14, 0x1.54d2f94d8bcep-14, 0x1.553b1a252390bp-14, 0x1.5599b41ea0548p-14, 0x1.55eee963291cp-14, 0x1.563adbe2b4409p-14, 0x1.567dad5377546p-14, 0x1.56b77f314d1cdp-14, 0x1.56e872bd5c389p-14, 0x1.5710a8fd7a659p-14, 0x1.573042bc14ba1p-14, 0x1.57476087c2797p-14, 0x1.575622b2aa842p-14, 0x1.575ca95204e19p-14, 0x1.575b143e738fap-14, 0x1.5751831347294p-14, 0x1.5740152e01e18p-14, 0x1.5726e9ae62522p-14, 0x1.57061f762eb3cp-14, 0x1.56ddd528cfce2p-14, 0x1.56ae292b381bfp-14, 0x1.567739a3bae68p-14, 0x1.56392479a1ce8p-14, 0x1.55f4075528a74p-14, 0x1.55a7ff9f9b8c8p-14, 0x1.55552a82d8c86p-14, 0x1.54fba4e96af27p-14, 0x1.549b8b7e3f9e1p-14, 0x1.5434faaccb33ap-14, 0x1.53c80ea0ffefp-14, 0x1.5354e3470fe6dp-14, 0x1.52db944b6feeep-14, 0x1.525c3d1adad5dp-14, 0x1.51d6f8e2711ap-14, 0x1.514be28f98d89p-14, 0x1.50bb14cfd039cp-14, 0x1.5024aa1135454p-14, 0x1.4f88bc823a954p-14, 0x1.4ee76611bc6a1p-14, 0x1.4e40c06f0eb75p-14, 0x1.4d94e50a6939ep-14, 0x1.4ce3ed146cf8dp-14, 0x1.4c2df17e8052ap-14, 0x1.4b730afb0b56cp-14, 0x1.4ab351fdc6ac6p-14, 0x1.49eedebb7bcd9p-14, 0x1.4925c929fb7abp-14, 0x1.48582900bf232p-14, 0x1.478615b914da2p-14, 0x1.46afa68e0283ap-14, 0x1.45d4f27c90c56p-14, 0x1.44f61043e891ap-14, 0x1.44131665b5df7p-14, 0x1.432c1b2624c8ep-14, 0x1.4241348c53eefp-14, 0x1.415278624ff8fp-14, 0x1.405ffc358fe0dp-14, 0x1.3f69d55701619p-14, 0x1.3e7018db1a423p-14, 0x1.3d72db9abfa3cp-14, 0x1.3c723232e0f22p-14, 0x1.3b6e31050c25ap-14, 0x1.3a66ec3764c1bp-14, 0x1.395c77b5534a7p-14, 0x1.384ee72f8e469p-14, 0x1.373e4e1ca5237p-14, 0x1.362abfb90db7dp-14, 0x1.35144f075ca68p-14, 0x1.33fb0ed0676a8p-14, 0x1.32df11a43ac6bp-14, 0x1.31c069da4adf1p-14, 0x1.309f2991314a2p-14, 0x1.2f7b62af3a4c5p-14, 0x1.2e5526e3287bp-14, 0x1.2d2c87a41d235p-14, 0x1.2c019631d446bp-14, 0x1.2ad4639529e9cp-14, 0x1.29a500a0b0adbp-14, 0x1.28737df0ba763p-14, 0x1.273febebcdaf2p-14, 0x1.260a5ac2baeafp-14, 0x1.24d2da7163954p-14, 0x1.23997abea117p-14, 0x1.225e4b3d39a7p-14, 0x1.21215b4bc711dp-14, 0x1.1fe2ba150e465p-14, 0x1.1ea2769055cdfp-14, 0x1.1d609f824a67p-14, 0x1.1c1d437cf153cp-14, 0x1.1ad870dffd8f8p-14, 0x1.199235d93afe8p-14, 0x1.184aa064c788ap-14, 0x1.1701be4dd8e6p-14, 0x1.15b79d2f4472ep-14, 0x1.146c4a7302e31p-14, 0x1.131fd35313c7ap-14, 0x1.11d244d9f302ep-14, 0x1.1083abe3282dap-14, 0x1.0f34151aff40cp-14, 0x1.0de38cff78b71p-14, 0x1.0c921fe09e381p-14, 0x1.0b3fd9e088b82p-14, 0x1.09ecc6f41dcd4p-14, 0x1.0898f2e36b044p-14, 0x1.07446949d9f08p-14, 0x1.05ef3596b54c8p-14, 0x1.0499630d62fb4p-14, 0x1.0342fcc5f4b03p-14, 0x1.01ec0dad6ebb4p-14, 0x1.0094a086701bap-14, 0x1.fe797fd27cc79p-15, 0x1.fbc8ec87e7ae4p-15, 0x1.f9179bb6b437ep-15, 0x1.f665a196b2c33p-15, 0x1.f3b3120e10757p-15, 0x1.f10000b1f61d9p-15, 0x1.ee4c80c79c2f2p-15, 0x1.eb98a54586bb5p-15, 0x1.e8e480d42b2cbp-15, 0x1.e63025cd31af1p-15, 0x1.e37ba63dae714p-15, 0x1.e0c713e748b83p-15, 0x1.de12803fefee9p-15, 0x1.db5dfc726207ap-15, 0x1.d8a999602ce8bp-15, 0x1.d5f567a167128p-15, 0x1.d3417785c05e5p-15, 0x1.d08dd9151b1d3p-15, 0x1.cdda9c10cee98p-15, 0x1.cb27cff329785p-15, 0x1.c87583f1ea81ep-15, 0x1.c5c3c6fd84157p-15, 0x1.c312a7c2a182bp-15, 0x1.c06234aa49f04p-15, 0x1.bdb27bdb34786p-15, 0x1.bb038b39e2d2p-15, 0x1.b855706a52be6p-15, 0x1.b5a838cf3d476p-15, 0x1.b2fbf18bdba2p-15, 0x1.b050a7846547ap-15, 0x1.ada6675f0ce24p-15, 0x1.aafd3d83d6817p-15, 0x1.a855361d85c0fp-15, 0x1.a5ae5d1b331b3p-15, 0x1.a308be308c0b5p-15, 0x1.a06464d542372p-15, 0x1.9dc15c471d6abp-15, 0x1.9b1faf8b1c8c1p-15, 0x1.987f696ca7856p-15, 0x1.95e0947e6f5e4p-15, 0x1.93433b1c53e71p-15, 0x1.90a7676afae09p-15, 0x1.8e0d2358783d7p-15, 0x1.8b74789d529efp-15, 0x1.88dd70bcfb4eep-15, 0x1.86481506c9bacp-15, 0x1.83b46e963fe82p-15, 0x1.812286535c3dcp-15, 0x1.7e9264f3e7802p-15, 0x1.7c0412fbf11e3p-15, 0x1.797798bda7334p-15, 0x1.76ecfe5b4cc52p-15, 0x1.74644bc673f77p-15, 0x1.71dd88c17a267p-15, 0x1.6f58bce004ebfp-15, 0x1.6cd5ef877904bp-15, 0x1.6a5527ef1c8a5p-15, 0x1.67d66d21a56dep-15, 0x1.6559c5fcff767p-15, 0x1.62df39331d948p-15, 0x1.6066cd4a75769p-15, 0x1.5df0889f7d146p-15, 0x1.5b7c7163529bbp-15, 0x1.590a8d9df32c3p-15, 0x1.569ae32e75915p-15, 0x1.542d77cb04226p-15, 0x1.51c251014ef8cp-15, 0x1.4f5974388e6d6p-15, 0x1.4cf2e6b0644fp-15, 0x1.4a8ead81f882ap-15, 0x1.482ccda0a7c1p-15, 0x1.45cd4bda94103p-15, 0x1.43702cd8fdc16p-15, 0x1.4115752056895p-15, 0x1.3ebd29119efafp-15, 0x1.3c674cea97e38p-15, 0x1.3a13e4c58c3f5p-15, 0x1.37c2f49afb726p-15, 0x1.35748041971f2p-15, 0x1.33288b6e471c9p-15, 0x1.30df19b51dbd5p-15, 0x1.2e982e8a1f0c4p-15, 0x1.2c53cd40ba69cp-15, 0x1.2a11f90d8ce7ep-15, 0x1.27d2b505bcff5p-15, 0x1.2596041fce0d2p-15, 0x1.235be934800f9p-15, 0x1.212466fedf245p-15, 0x1.1eef801c33adfp-15, 0x1.1cbd370d96927p-15, 0x1.1a8d8e37a9887p-15, 0x1.186087e2b9aep-15, 0x1.1636263c47e2ap-15, 0x1.140e6b5620651p-15, 0x1.11e95927ac0dap-15, 0x1.0fc6f18e3b9b4p-15, 0x1.0da7364d225cdp-15, 0x1.0b8a290e2c018p-15, 0x1.096fcb626f5d8p-15, 0x1.07581ec1fca1p-15, 0x1.0543248d2085ep-15, 0x1.0330de0bc6dd5p-15, 0x1.01214c6f090abp-15, 0x1.fe28e1a09f6e2p-16, 0x1.fa1498656fb9fp-16, 0x1.f605bf061b7a1p-16, 0x1.f1fc572fe1123p-16, 0x1.edf86264dccb1p-16, 0x1.e9f9e1fd418d3p-16, 0x1.e600d726d5bbfp-16, 0x1.e20d42e6ada42p-16, 0x1.de1f2619dfa18p-16, 0x1.da368174a575cp-16, 0x1.d6535585ded7cp-16, 0x1.d275a2b4d044fp-16, 0x1.ce9d69441572dp-16, 0x1.cacaa9509b04dp-16, 0x1.c6fd62d36de0dp-16, 0x1.c33595a192d51p-16, 0x1.bf73416de9612p-16, 0x1.bbb665c757565p-16, 0x1.b7ff021c81719p-16, 0x1.b44d15ba10ec6p-16, 0x1.b0a09fcc4a9cdp-16, 0x1.acf99f5fab535p-16, 0x1.a9581361153fap-16, 0x1.a5bbfa9ef19d3p-16, 0x1.a22553c8ca607p-16, 0x1.9e941d71ee1d8p-16, 0x1.9b08560e8f9a2p-16, 0x1.9781fbf8b2d02p-16, 0x1.94010d6c750bbp-16, 0x1.9085888be6aabp-16, 0x1.8d0f6b5d2d5fp-16, 0x1.899eb3cd42be5p-16, 0x1.86335fae0dde4p-16, 0x1.82cd6cb915a49p-16, 0x1.7f6cd88eed0fp-16, 0x1.7c11a0b71660dp-16, 0x1.78bbc2a31a54p-16, 0x1.756b3bab133b4p-16, 0x1.722009124896fp-16, 0x1.6eda2803fa591p-16, 0x1.6b99959725068p-16, 0x1.685e4ecc199f5p-16, 0x1.6528508f18274p-16, 0x1.61f797b7916a2p-16, 0x1.5ecc2108e8196p-16, 0x1.5ba5e93306ad3p-16, }}, 
      {{0x1.fd119e5cd4b19p-1, 0x1.fcec0b6a7196fp-1, 0x1.fcada98415be5p-1, 0x1.fc56d293caa8cp-1, 0x1.fbe7ffe07a93p-1, 0x1.fb61c66294f32p-1, 0x1.fac4d2d772158p-1, 0x1.fa11e5cace5f2p-1, 0x1.f949cfbdaecc2p-1, 0x1.f86d6d85431adp-1, 0x1.f77da4f25e96ep-1, 0x1.f67b61ca9074p-1, 0x1.f567931654ffdp-1, 0x1.f44328c3d9506p-1, 0x1.f30f119b185b2p-1, 0x1.f1cc397e5605bp-1, 0x1.f07b87f0fde45p-1, 0x1.ef1ddede6cae4p-1, 0x1.edb4199a1b2bbp-1, 0x1.ec3f0c12c733dp-1, 0x1.eabf82328e9ep-1, 0x1.e9363f66645cap-1, 0x1.e7a3fe47bf2a5p-1, 0x1.e6097063e6e2ap-1, 0x1.e4673e1cbbf01p-1, 0x1.e2be069f554dfp-1, 0x1.e10e5fed31ed7p-1, 0x1.df58d6f52dc04p-1, 0x1.dd9defb9b4c75p-1, 0x1.dbde258206786p-1, 0x1.da19eb14a3b85p-1, 0x1.d851aaf933c83p-1, 0x1.d685c7c06c4b8p-1, 0x1.d4b69c50b4bf4p-1, 0x1.d2e47c3660ea1p-1, 0x1.d10fb3f6875c3p-1, 0x1.cf388963953d3p-1, 0x1.cd5f3bf2de8bfp-1, 0x1.cb8405127ca82p-1, 0x1.c9a7187eea39bp-1, 0x1.c7c8a497d653dp-1, 0x1.c5e8d2b3c4d36p-1, 0x1.c407c7721386bp-1, 0x1.c225a30b18776p-1, 0x1.c042819e0f3c8p-1, 0x1.be5e7b7c9c971p-1, 0x1.bc79a573ba653p-1, 0x1.ba941111e3742p-1, 0x1.b8adccea645ddp-1, 0x1.b6c6e4d5bcc63p-1, 0x1.b4df622f007a4p-1, 0x1.b2f74c0e347afp-1, 0x1.b10ea77fa589bp-1, 0x1.af2577b838a5dp-1, 0x1.ad3bbe46c4a8ap-1, 0x1.ab517b4278f46p-1, 0x1.a966ad7667a4ap-1, 0x1.a77b528a426c8p-1, 0x1.a58f67285f067p-1, 0x1.a3a2e7211bd72p-1, 0x1.a1b5cd8bbd9c2p-1, 0x1.9fc814e4ddae6p-1, 0x1.9dd9b72a86885p-1, 0x1.9beaadf61849fp-1, 0x1.99faf29413937p-1, 0x1.980a7e19e31f8p-1, 0x1.96194979c2e69p-1, 0x1.94274d94e0472p-1, 0x1.9234834bccef1p-1, 0x1.9040e38d60e24p-1, 0x1.8e4c676423d0bp-1, 0x1.8c570802588edp-1, 0x1.8a60beccc2707p-1, 0x1.886985643a839p-1, 0x1.867155ae2d4cap-1, 0x1.847829dc13b4cp-1, 0x1.827dfc71fe78fp-1, 0x1.8082c84c43801p-1, 0x1.7e8688a4626adp-1, 0x1.7c89391530346p-1, 0x1.7a8ad59e590e6p-1, 0x1.788b5aa748879p-1, 0x1.768ac501859dep-1, 0x1.748911ea9027p-1, 0x1.72863f0d49039p-1, 0x1.70824a82f5d3ap-1, 0x1.6e7d32d3e4599p-1, 0x1.6c76f6f7ba153p-1, 0x1.6a6f965578e1cp-1, 0x1.686710c340825p-1, 0x1.665d6685d37c4p-1, 0x1.6452984fe4f8bp-1, 0x1.6246a7413990dp-1, 0x1.603994e59c903p-1, 0x1.5e2b6333aebb2p-1, 0x1.5c1c148b9846ep-1, 0x1.5a0babb598834p-1, 0x1.57fa2be080d8cp-1, 0x1.55e798a01796bp-1, 0x1.53d3f5eb679e9p-1, 0x1.51bf481aff5a5p-1, 0x1.4fa993e7220f3p-1, 0x1.4d92de65eae64p-1, 0x1.4b7b2d0966b7ep-1, 0x1.4962859da3114p-1, 0x1.4748ee46b6684p-1, 0x1.452e6d7ec09dcp-1, 0x1.43130a13e51e7p-1, 0x1.40f6cb2641b81p-1, 0x1.3ed9b825ddf3fp-1, 0x1.3cbbd8d09a39bp-1, 0x1.3a9d353018c97p-1, 0x1.387dd597a5d4fp-1, 0x1.365dc2a21c4c4p-1, 0x1.343d052fc8777p-1, 0x1.321ba6644a905p-1, 0x1.2ff9afa47485bp-1, 0x1.2dd72a942a9a4p-1, 0x1.2bb421143f2d7p-1, 0x1.29909d4051276p-1, 0x1.276ca96ca58ebp-1, 0x1.2548502405839p-1, 0x1.23239c2597655p-1, 0x1.20fe9862ba628p-1, 0x1.1ed94ffce127ep-1, 0x1.1cb3ce436c575p-1, 0x1.1a8e1eb186506p-1, 0x1.18684cebfddf6p-1, 0x1.164264bf22e75p-1, 0x1.141c721ca29aap-1, 0x1.11f6811965775p-1, 0x1.0fd09deb6f044p-1, 0x1.0daad4e7bd1edp-1, 0x1.0b85328029ebap-1, 0x1.095fc3415032ap-1, 0x1.073a93d0710dp-1, 0x1.0515b0e95b1dp-1, 0x1.02f1275c562bcp-1, 0x1.00cd040c0fa86p-1, 0x1.fd52a7d7178a2p-2, 0x1.f90c47f8311dep-2, 0x1.f4c702968b484p-2, 0x1.f082f1e1be6c7p-2, 0x1.ec403019dae56p-2, 0x1.e7fed78b6f503p-2, 0x1.e3bf028b9ab75p-2, 0x1.df80cb7425c65p-2, 0x1.db444c9fa9a08p-2, 0x1.d709a065bd4ffp-2, 0x1.d2d0e117337aep-2, 0x1.ce9a28fa60e47p-2, 0x1.ca65924772524p-2, 0x1.c6333724cacd2p-2, 0x1.c20331a375ac7p-2, 0x1.bdd59bbba1ddep-2, 0x1.b9aa8f492de36p-2, 0x1.b582260843362p-2, 0x1.b15c7991ff4b6p-2, 0x1.ad39a3592e314p-2, 0x1.a919bca715716p-2, 0x1.a4fcde984ec84p-2, 0x1.a0e32219b3231p-2, 0x1.9ccc9fe55c0b3p-2, 0x1.98b9707faebf1p-2, 0x1.94a9ac3481adfp-2, 0x1.909d6b144cf2ap-2, 0x1.8c94c4f175322p-2, 0x1.888fd15da1e88p-2, 0x1.848ea7a72be75p-2, 0x1.80915ed69f2d6p-2, 0x1.7c980dac4bb2cp-2, 0x1.78a2ca9defb7p-2, 0x1.74b1abd472c5ap-2, 0x1.70c4c729b4f61p-2, 0x1.6cdc322674998p-2, 0x1.68f80200434d3p-2, 0x1.65184b979651cp-2, 0x1.613d2375e4f4fp-2, 0x1.5d669dcbdd69fp-2, 0x1.5994ce6fb1d18p-2, 0x1.55c7c8db7203fp-2, 0x1.51ffa02b81805p-2, 0x1.4e3c671d1bdf4p-2, 0x1.4a7e300cf1763p-2, 0x1.46c50cf5d521dp-2, 0x1.43110f6f815f9p-2, 0x1.3f6248ad6dad1p-2, 0x1.3bb8c97db9745p-2, 0x1.3814a2482d662p-2, 0x1.3475e30d48b49p-2, 0x1.30dc9b656ca5ep-2, 0x1.2d48da800f31p-2, 0x1.29baaf230aa0fp-2, 0x1.263227a9fada8p-2, 0x1.22af5205abc9p-2, 0x1.1f323bbb9ea9ap-2, 0x1.1bbaf1e59f2c3p-2, 0x1.184981316787bp-2, 0x1.14ddf5e05a8c7p-2, 0x1.11785bc74c39fp-2, 0x1.0e18be4e5b0adp-2, 0x1.0abf2870db493p-2, 0x1.076ba4bd52381p-2, 0x1.041e3d557f4fbp-2, 0x1.00d6fbee78639p-2, 0x1.fb2bd3a1a431p-3, 0x1.f4b61fb1b1417p-3, 0x1.ee4cecedaed84p-3, 0x1.e7f04b5eddd6cp-3, 0x1.e1a04a37ec657p-3, 0x1.db5cf7d5dd4aap-3, 0x1.d52661c100d81p-3, 0x1.cefc94ae0d83bp-3, 0x1.c8df9c7f4cbafp-3, 0x1.c2cf8445e2fb1p-3, 0x1.bccc5643332d9p-3, 0x1.b6d61bea4e55dp-3, 0x1.b0ecdde1858bep-3, 0x1.ab10a4040848bp-3, 0x1.a54175639a716p-3, 0x1.9f7f584a63e55p-3, 0x1.99ca523cc7153p-3, 0x1.942267fb5582cp-3, 0x1.8e879d84d252cp-3, 0x1.88f9f61842111p-3, 0x1.8379743711538p-3, 0x1.7e0619a746cbap-3, 0x1.789fe775c60f4p-3, 0x1.7346ddf89dd02p-3, 0x1.6dfafcd1688cap-3, 0x1.68bc42efb6ed4p-3, 0x1.638aae938835p-3, 0x1.5e663d4fc9bbp-3, 0x1.594eec0ce9beep-3, 0x1.5444b70b67985p-3, 0x1.4f4799e680eedp-3, 0x1.4a578f96d0ddep-3, 0x1.457492750b3ecp-3, 0x1.409e9c3cb38d4p-3, 0x1.3bd5a60edf3abp-3, 0x1.3719a87501aeap-3, 0x1.326a9b63b4c2dp-3, 0x1.2dc8763d91f5p-3, 0x1.29332fd608f62p-3, 0x1.24aabe743e23p-3, 0x1.202f17d5e9df5p-3, 0x1.1bc031323c55ap-3, 0x1.175dff3cc67fp-3, 0x1.1308762861681p-3, 0x1.0ebf89aa1819ap-3, 0x1.0a832cfc188a9p-3, 0x1.065352e0967f6p-3, 0x1.022feda4c2a43p-3, 0x1.fc31de4765661p-4, 0x1.f41c919294f74p-4, 0x1.ec1fd72a5b6c5p-4, 0x1.e43b903b4787ep-4, 0x1.dc6f9d2508771p-4, 0x1.d4bbdd8031cd5p-4, 0x1.cd2030240143p-4, 0x1.c59c732c22b14p-4, 0x1.be3083fe6d048p-4, 0x1.b6dc3f5084cbep-4, 0x1.af9f812d95a6ep-4, 0x1.a87a24fbec08bp-4, 0x1.a16c058290be1p-4, 0x1.9a74fceecf56bp-4, 0x1.9394e4d9c5b47p-4, 0x1.8ccb964dced62p-4, 0x1.8618e9cbf93eap-4, 0x1.7f7cb75165422p-4, 0x1.78f6d65c97b7p-4, 0x1.72871df2c3539p-4, 0x1.6c2d64a500ce9p-4, 0x1.65e980957c446p-4, 0x1.5fbb477c9131dp-4, 0x1.59a28eaddc3a3p-4, 0x1.539f2b1d36c3ep-4, 0x1.4db0f163ad4cdp-4, 0x1.47d7b5c45a7b2p-4, 0x1.42134c313ce66p-4, 0x1.3c63884ff4127p-4, 0x1.36c83d7e74184p-4, 0x1.31413ed7a106ep-4, 0x1.2bce5f37e25a2p-4, 0x1.266f714199979p-4, 0x1.212447619377p-4, 0x1.1becb3d35f5c2p-4, 0x1.16c888a597dbcp-4, 0x1.11b797be17e7p-4, 0x1.0cb9b2de218a4p-4, 0x1.07ceaba66e53ap-4, 0x1.02f6539b2fb7bp-4, 0x1.fc60f84ff0d4dp-5, 0x1.f2f9ed473e6b5p-5, 0x1.e9b728a7fce73p-5, 0x1.e0984ce35efa1p-5, 0x1.d79cfc575aee2p-5, 0x1.cec4d955c11b3p-5, 0x1.c60f862b44fd2p-5, 0x1.bd7ca52648b81p-5, 0x1.b50bd89d937fep-5, 0x1.acbcc2f6dc5ebp-5, 0x1.a48f06ad2fb04p-5, 0x1.9c8246572cdabp-5, 0x1.949624ad2b0c4p-5, 0x1.8cca448f249f7p-5, 0x1.851e490a98ff4p-5, 0x1.7d91d5602995p-5, 0x1.76248d0930071p-5, 0x1.6ed613bd1d947p-5, 0x1.67a60d76bce1cp-5, 0x1.60941e7952001p-5, 0x1.599feb5590eedp-5, 0x1.52c918ee76e97p-5, 0x1.4c0f4c7dfc4ddp-5, 0x1.45722b99a6d76p-5, 0x1.3ef15c36f7431p-5, 0x1.388c84afb4d29p-5, 0x1.32434bc6197e9p-5, 0x1.2c1558a8dd16cp-5, 0x1.260252f713b27p-5, 0x1.2009e2c404bdcp-5, 0x1.1a2bb09abfe1p-5, 0x1.14676581b242cp-5, 0x1.0ebcaafe048bdp-5, 0x1.092b2b16e537fp-5, 0x1.03b29058b449ap-5, 0x1.fca50bb00c5c4p-6, 0x1.f2156e6934a0bp-6, 0x1.e7b5a1383a7f3p-6, 0x1.dd84fd99c4c88p-6, 0x1.d382de30f23a1p-6, 0x1.c9ae9ecc3704cp-6, 0x1.c0079c6a22673p-6, 0x1.b68d353de70eap-6, 0x1.ad3ec8b38b82ep-6, 0x1.a41bb774116bbp-6, 0x1.9b236369518adp-6, 0x1.92552fc1a9f8ep-6, 0x1.89b080f36fddfp-6, 0x1.8134bcc042334p-6, 0x1.78e14a3812a27p-6, 0x1.70b591bc1ab09p-6, 0x1.68b0fd0182ccap-6, 0x1.60d2f713fed0cp-6, 0x1.591aec581341p-6, 0x1.51884a8d54e92p-6, 0x1.4a1a80d06654dp-6, 0x1.42d0ff9ccb0f5p-6, 0x1.3bab38cea2f62p-6, 0x1.34a89fa4241a4p-6, 0x1.2dc8a8befa988p-6, 0x1.270aca257fa0ap-6, 0x1.206e7b43ce027p-6, 0x1.19f334eca8486p-6, 0x1.1398715a3d0c3p-6, 0x1.0d5dac2ec8cfap-6, 0x1.074262751bbp-6, 0x1.014612a0ef3fep-6, 0x1.f6d0791e477e5p-7, 0x1.eb50c30bc7fdfp-7, 0x1.e00c086924c2ep-7, 0x1.d50151676342p-7, 0x1.ca2fa90946bep-7, 0x1.bf961d228435ep-7, 0x1.b533be56e6d7ap-7, 0x1.ab07a01911ef8p-7, 0x1.a110d8a9210fep-7, 0x1.974e811326724p-7, 0x1.8dbfb52d4ddddp-7, 0x1.84639395f5b3bp-7, 0x1.7b393db16f513p-7, 0x1.723fd7a7d8c72p-7, 0x1.697688625ffaap-7, 0x1.60dc7988cabbbp-7, 0x1.5870d77e8031dp-7, 0x1.5032d15f9519ap-7, 0x1.482198fda8287p-7, 0x1.403c62dc9893dp-7, 0x1.3882662f1531ap-7, 0x1.30f2dcd3040b7p-7, 0x1.298d034ddb4f7p-7, 0x1.225018c8caf75p-7, 0x1.1b3b5f0cc658bp-7, 0x1.144e1a7e75a4ap-7, 0x1.0d87921a069c6p-7, 0x1.06e70f6eebd2cp-7, 0x1.006bde9b73adp-7, 0x1.f42a9c90b18cfp-8, 0x1.e7c55f482be7bp-8, 0x1.dba6acbcafa93p-8, 0x1.cfcd314652dc1p-8, 0x1.c4379e2c5db33p-8, 0x1.b8e4a99b5a90ep-8, 0x1.add30e9b3c4afp-8, 0x1.a3018d0532861p-8, 0x1.986ee97975e74p-8, 0x1.8e19ed54fc58bp-8, 0x1.840166a6d7749p-8, 0x1.7a242825e641bp-8, 0x1.70810925ddc49p-8, 0x1.6716e58cb06ccp-8, 0x1.5de49dc7bcedep-8, 0x1.54e916c0c1b56p-8, 0x1.4c2339d2d8d0fp-8, 0x1.4391f4bf72257p-8, 0x1.3b3439a339f17p-8, 0x1.3308feeacb852p-8, 0x1.2b0f3f4785315p-8, 0x1.2345f9a43485cp-8, 0x1.1bac3119ba1e6p-8, 0x1.1440ece3c514fp-8, 0x1.0d033855539edp-8, 0x1.05f222cd54997p-8, 0x1.fe197f5678d84p-9, 0x1.f0a44c8707eb4p-9, 0x1.e382e3a86de91p-9, 0x1.d6b382f31803cp-9, 0x1.ca347044ae382p-9, 0x1.be03f9094c442p-9, 0x1.b220722484934p-9, 0x1.a68837da9784bp-9, 0x1.9b39adb96b14fp-9, 0x1.90333e8205222p-9, 0x1.85735c117502ap-9, 0x1.7af87f4a7ad27p-9, 0x1.70c127fe878e7p-9, 0x1.66cbdcd77d271p-9, 0x1.5d172b40e5368p-9, 0x1.53a1a751c5e7cp-9, 0x1.4a69ebb61b1a6p-9, 0x1.416e9998b83c2p-9, 0x1.38ae588d2481p-9, 0x1.3027d6796ab94p-9, 0x1.27d9c78065008p-9, 0x1.1fc2e5ebaf7a5p-9, 0x1.17e1f21640012p-9, 0x1.1035b2566c971p-9, 0x1.08bcf2e8e9899p-9, 0x1.017685db23c38p-9, 0x1.f4c285ec6abd9p-10, 0x1.e6f80f53bc4dbp-10, 0x1.d98b6def0c7a4p-10, 0x1.cc7a72bb4e654p-10, 0x1.bfc2f985e9e88p-10, 0x1.b362e8c41f066p-10, 0x1.a758316aa9877p-10, 0x1.9ba0cec4ee606p-10, 0x1.903ac64d56d53p-10, 0x1.85242785d0c44p-10, 0x1.7a5b0bd029c9cp-10, 0x1.6fdd964779ba8p-10, 0x1.65a9f39949912p-10, 0x1.5bbe59df4296dp-10, 0x1.5219087981ee5p-10, 0x1.48b847e8c0352p-10, 0x1.3f9a69a944efp-10, 0x1.36bdc80e1d7f4p-10, 0x1.2e20c61c445e4p-10, 0x1.25c1cf66f2accp-10, 0x1.1d9f57eb9213p-10, 0x1.15b7dbee6aa6fp-10, 0x1.0e09dfd78ebe4p-10, 0x1.0693f010513dap-10, 0x1.fea941c1b5bb9p-11, 0x1.f0951c9c98945p-11, 0x1.e2e8b7f28922bp-11, 0x1.d5a169f918cc2p-11, 0x1.c8bc979936edbp-11, 0x1.bc37b42d8b73dp-11, 0x1.b010414316a24p-11, 0x1.a443ce5986c73p-11, 0x1.98cff8a4ddacp-11, 0x1.8db26acf4ab7bp-11, 0x1.82e8dcbccdbbp-11, 0x1.7871134de56b4p-11, 0x1.6e48e0250e6fdp-11, 0x1.646e216b69973p-11, 0x1.5adec1968cdcp-11, 0x1.5198b72fb9192p-11, 0x1.489a049aa949bp-11, 0x1.3fe0b7de981bfp-11, 0x1.376aea6e5f9c4p-11, 0x1.2f36c0f264eacp-11, 0x1.27426b133d43ap-11, 0x1.1f8c23449eea2p-11, 0x1.18122e9106acp-11, 0x1.10d2dc66a5ee4p-11, 0x1.09cc86648e339p-11, 0x1.02fd90287381p-11, 0x1.f8c8ce3b6f81p-12, 0x1.ebff049a037ebp-12, 0x1.df9ac4574c066p-12, 0x1.d39920da57a87p-12, 0x1.c7f73fa915cafp-12, 0x1.bcb2580ca0f2bp-12, 0x1.b1c7b2b78fdc6p-12, 0x1.a734a96ca8c3ep-12, 0x1.9cf6a6a75707ap-12, 0x1.930b2545601ap-12, 0x1.896fb032d4dafp-12, 0x1.8021e21576e21p-12, 0x1.771f64fb8d561p-12, 0x1.6e65f209d8961p-12, 0x1.65f3512c78b0ap-12, 0x1.5dc558c91fc54p-12, 0x1.55d9ed7084fe5p-12, 0x1.4e2f01939e77dp-12, 0x1.46c29538b637bp-12, 0x1.3f92b5b1d9068p-12, 0x1.389d7d5486641p-12, 0x1.31e113331de2fp-12, 0x1.2b5baad62de52p-12, 0x1.250b83f8c2a89p-12, 0x1.1eeeea43eb1d8p-12, 0x1.1904350d029adp-12, 0x1.1349c7149a732p-12, 0x1.0dbe0e4561494p-12, 0x1.085f83764c761p-12, 0x1.032caa2bfa5e8p-12, 0x1.fc4820b79e16cp-13, 0x1.f2889c6179307p-13, 0x1.e9180b9f7f0b6p-13, 0x1.dff3c63e4287ep-13, 0x1.d719371af02b5p-13, 0x1.ce85dbb35beb3p-13, 0x1.c63743b9c53b6p-13, 0x1.be2b10a9b8a29p-13, 0x1.b65ef55d9aa54p-13, 0x1.aed0b5a80b2d4p-13, 0x1.a77e25ef376fep-13, 0x1.a0652ac8fafeap-13, 0x1.9983b89876a41p-13, 0x1.92d7d32f3ee3cp-13, 0x1.8c5f8d6e11c79p-13, 0x1.861908eacba61p-13, 0x1.8002759335c48p-13, 0x1.7a1a1156f7a0fp-13, 0x1.745e27ce89b9fp-13, 0x1.6ecd11e75b997p-13, 0x1.6965358fdd0cfp-13, 0x1.64250564c384dp-13, 0x1.5f0b00617ccd4p-13, 0x1.5a15b190ec89dp-13, 0x1.5543afc07328bp-13, 0x1.50939d340ddc1p-13, 0x1.4c04275c891a1p-13, 0x1.4794068f1d332p-13, 0x1.4341fdbd8000bp-13, 0x1.3f0cda30b0a28p-13, 0x1.3af37344934d3p-13, 0x1.36f4aa24e1912p-13, 0x1.330f698c49142p-13, 0x1.2f42a58355269p-13, 0x1.2b8d5b22bd89fp-13, 0x1.27ee9055b5383p-13, 0x1.2465539d38f81p-13, 0x1.20f0bbd5cb713p-13, 0x1.1d8fe7fd9c6fep-13, 0x1.1a41fefc362b4p-13, 0x1.17062f6b0f547p-13, 0x1.13dbaf5ffc544p-13, 0x1.10c1bc38039d3p-13, 0x1.0db79a64d3ba8p-13, 0x1.0abc9538f6ea4p-13, 0x1.07cffeb75accp-13, 0x1.04f12f6262f75p-13, 0x1.021f860d7eafdp-13, 0x1.feb4cf5bd40e7p-14, 0x1.f9427e5d99f8bp-14, 0x1.f3e6fa88fda7fp-14, 0x1.eea130832f06p-14, 0x1.e97017da7a8p-14, 0x1.e452b2b3b1867p-14, 0x1.df480d790f28p-14, 0x1.da4f3e8d0812fp-14, 0x1.d56765fc8e13ep-14, 0x1.d08fad3547fc9p-14, 0x1.cbc746bbed92fp-14, 0x1.c70d6de4daf37p-14, 0x1.c261668f7821ap-14, 0x1.bdc27ce25bf24p-14, 0x1.b930050794c9ap-14, 0x1.b4a95aed1833fp-14, 0x1.b02de2055f861p-14, 0x1.abbd0509e1e0dp-14, 0x1.a75635bf16ea9p-14, 0x1.a2f8ecb9e7963p-14, 0x1.9ea4a92642074p-14, 0x1.9a58f090a43a2p-14, 0x1.96154eaed52a3p-14, 0x1.91d9552b56f27p-14, 0x1.8da49b716dba1p-14, 0x1.8976be7bb62d3p-14, 0x1.854f60a277dc7p-14, 0x1.812e296c13531p-14, 0x1.7d12c55eede73p-14, 0x1.78fce5d43fcbbp-14, 0x1.74ec40cbba4fap-14, 0x1.70e090c188832p-14, 0x1.6cd99483ac799p-14, 0x1.68d70f094b93cp-14, 0x1.64d8c74bfe2f5p-14, 0x1.60de8820fc62ep-14, 0x1.5ce820134bf95p-14, 0x1.58f5613f88cb3p-14, 0x1.5506213134ba5p-14, 0x1.511a38c025386p-14, 0x1.4d3183ee6f156p-14, 0x1.494be1c8d4e16p-14, 0x1.4569344648f44p-14, 0x1.41896029e9ed8p-14, 0x1.3dac4ce4dd842p-14, 0x1.39d1e4795ea9dp-14, 0x1.35fa135ef3d62p-14, 0x1.3224c866d53d1p-14, 0x1.2e51f4a17736ep-14, 0x1.2a818b456c02dp-14, 0x1.26b38195e5e1bp-14, 0x1.22e7ceca71eb5p-14, 0x1.1f1e6bf805be1p-14, 0x1.1b5753f9e5e87p-14, 0x1.1792835ba5594p-14, 0x1.13cff8436d972p-14, 0x1.100fb25e3dbfcp-14, 0x1.0c51b2cadd583p-14, 0x1.0895fc06ff8a1p-14, 0x1.04dc91dcaa4b9p-14, 0x1.0125794fe98c2p-14, 0x1.fae17118b3562p-15, 0x1.f37cadaad96acp-15, 0x1.ec1cb8ea011bbp-15, 0x1.e4c1a5573146fp-15, 0x1.dd6b87430edadp-15, 0x1.d61a74aea2c3ep-15, 0x1.cece852f5664dp-15, 0x1.c787d1d38c6bdp-15, 0x1.c0467507be99fp-15, 0x1.b90a8a7bb971fp-15, 0x1.b1d42f0b65a16p-15, 0x1.aaa380a4953ddp-15, 0x1.a3789e3215912p-15, 0x1.9c53a7839a923p-15, 0x1.9534bd38878dfp-15, 0x1.8e1c00ac0f2a8p-15, 0x1.870993e0ddf69p-15, 0x1.7ffd996d8501p-15, 0x1.78f8346afd451p-15, 0x1.71f98862419edp-15, 0x1.6b01b93b7c458p-15, 0x1.6410eb2d9645ap-15, 0x1.5d2742aead33fp-15, 0x1.5644e464dbbeap-15, 0x1.4f69f518b68d6p-15, 0x1.489699a5c6475p-15, 0x1.41caf6eea54d8p-15, 0x1.3b0731d0d1704p-15, 0x1.344b6f171783dp-15, 0x1.2d97d36f3cb37p-15, 0x1.26ec835f07dccp-15, 0x1.2049a338a3626p-15, 0x1.19af57127f07ep-15, 0x1.131dc2bbb2d91p-15, 0x1.0c9509b46d2cdp-15, 0x1.06154f247fabdp-15, 0x1.ff3d6ba86e806p-16, 0x1.f262c04758c6p-16, 0x1.e59ae007b207ap-16, 0x1.d8e60ddfdddcdp-16, 0x1.cc448bcdcb58bp-16, 0x1.bfb69ac92aefcp-16, 0x1.b33c7ab8a4805p-16, 0x1.a6d66a6822c6cp-16, 0x1.9a84a77d6dc0cp-16, 0x1.8e476e6ecd524p-16, 0x1.821efa7a1e7cap-16, 0x1.760b859ced6edp-16, 0x1.6a0d488c6cff8p-16, 0x1.5e247aaedda53p-16, 0x1.52515214616f7p-16, 0x1.46940372760f8p-16, 0x1.3aecc21d06c98p-16, 0x1.2f5bc00147f68p-16, 0x1.23e12da3338afp-16, 0x1.187d3a169bc07p-16, 0x1.0d3012fe1d96dp-16, 0x1.01f9e486e73e8p-16, 0x1.edb5b2cbd1ec8p-17, 0x1.d7a635acb409bp-17, 0x1.c1c5a12e16e9cp-17, 0x1.ac1441d1bbd9fp-17, 0x1.9692611bf70e8p-17, 0x1.814045923a608p-17, 0x1.6c1e32b871675p-17, 0x1.572c69122324bp-17, 0x1.426b26231c13p-17, 0x1.2ddaa46da8e72p-17, 0x1.197b1b768eb88p-17, 0x1.054cbfc5bc8dfp-17, 0x1.e29f85d15d67cp-18, 0x1.bb08a6ea1802fp-18, 0x1.93d53a1dc9e6p-18, 0x1.6d0590cdad48ap-18, 0x1.4699f68990c74p-18, 0x1.2092b1106f493p-18, 0x1.f5e000b7e4954p-19, 0x1.ab643d5a564f1p-19, 0x1.61b2812f0158p-19, 0x1.18cb2a191604dp-19, 0x1.a15d15a0dec1cp-20, 0x1.12b9d5fced30cp-20, 0x1.0b5a1d7178836p-21, -0x1.72371b8161861p-26, -0x1.1f4f3a554a996p-21, -0x1.17eefa5ed3fbdp-20, -0x1.9e9ecfd84a2fdp-20, -0x1.11db87110a782p-19, -0x1.539bdd137522ap-19, -0x1.949076823433ap-19, -0x1.d4b969de2dc38p-19, -0x1.0a0b6bbbbbe13p-18, -0x1.2954749fc71bap-18, -0x1.4837e95d53ce1p-18, -0x1.66b5e8635544cp-18, -0x1.84ce94bc71f95p-18, -0x1.a28216006caedp-18, -0x1.bfd0983d4a3b8p-18, -0x1.dcba4be49e9afp-18, -0x1.f93f65b8ba4b3p-18, -0x1.0ab00f5c25ac7p-17, -0x1.188e5a052c9b7p-17, -0x1.263ab37662adp-17, -0x1.33b53e4e66817p-17, -0x1.40fe1f22f782bp-17, -0x1.4e157c756fff6p-17, -0x1.5afb7eaad8759p-17, -0x1.67b04ffffe3cdp-17, -0x1.74341c80c2f71p-17, -0x1.808711fc67f9cp-17, -0x1.8ca95ffd57851p-17, -0x1.989b37be62b98p-17, -0x1.a45ccc1f4151ep-17, -0x1.afee519d26332p-17, -0x1.bb4ffe47d3969p-17, -0x1.c68209b6bd9dap-17, -0x1.d184acffc7a01p-17, -0x1.dc5822ae60978p-17, -0x1.e6fca6b7eeacep-17, -0x1.f17276737a503p-17, -0x1.fbb9d08fd887cp-17, -0x1.02e97a849e3dep-16, -0x1.07df12900d1e4p-16, -0x1.0cbdd1a8395eap-16, -0x1.1185d9a39ff3cp-16, -0x1.16374cece3e53p-16, -0x1.1ad24e7dd67c4p-16, -0x1.1f5701db6326dp-16, -0x1.23c58b109cb16p-16, -0x1.281e0eaa7f5eap-16, -0x1.2c60b1b311967p-16, -0x1.308d99ad6d53bp-16, -0x1.34a4ec913e7fdp-16, -0x1.38a6d0c5f9f82p-16, -0x1.3c936d1f93ebfp-16, -0x1.406ae8d96069fp-16, -0x1.442d6b92072fap-16, -0x1.47db1d47d2fcfp-16, -0x1.4b7426545285fp-16, -0x1.4ef8af683d211p-16, -0x1.5268e1877166p-16, -0x1.55c4e60584a24p-16, -0x1.590ce681464p-16, -0x1.5c410ce119304p-16, -0x1.5f61834f3139fp-16, -0x1.626e74362df64p-16, -0x1.65680a3ceeecp-16, -0x1.684e70433dadap-16, -0x1.6b21d15e61a0fp-16, -0x1.6de258d5bd247p-16, -0x1.7090321ed9df7p-16, -0x1.732b88da1fd85p-16, -0x1.75b488cfe4741p-16, -0x1.782b5decb405dp-16, -0x1.7a90343e6e7f1p-16, -0x1.7ce337f1228dfp-16, -0x1.7f24954ba0abdp-16, -0x1.815478ac8ad5bp-16, -0x1.83730e874ded7p-16, -0x1.858083616df95p-16, -0x1.877d03cf5b7dcp-16, -0x1.8968bc71a0c0ep-16, -0x1.8b43d9f24a23dp-16, -0x1.8d0e89023c787p-16, -0x1.8ec8f656479b6p-16, -0x1.90734ea49491p-16, -0x1.920dbea1ff75fp-16, -0x1.939872ffab144p-16, -0x1.95139868b6572p-16, -0x1.967f5b7fae027p-16, -0x1.97dbe8dbec667p-16, -0x1.99296d07a0f8ep-16, -0x1.9a68147d80bcep-16, -0x1.9b980ba6a12f1p-16, -0x1.9cb97ed7f7adcp-16, -0x1.9dcc9a509382ap-16, -0x1.9ed18a378fdd6p-16, -0x1.9fc87a99f25a1p-16, -0x1.a0b19768e17p-16, -0x1.a18d0c776061bp-16, -0x1.a25b0578ce732p-16, -0x1.a31badfeb7069p-16, -0x1.a3cf31775ba21p-16, -0x1.a475bb2c044f2p-16, -0x1.a50f763f1e431p-16, -0x1.a59c8daa85c22p-16, -0x1.a61d2c3e30926p-16, -0x1.a6917c9ea5fd4p-16, -0x1.a6f9a942e995bp-16, -0x1.a755dc73b4572p-16, -0x1.a7a64049ff633p-16, -0x1.a7eafead7ee58p-16, -0x1.a82441533a828p-16, -0x1.a85231bc15eb8p-16, -0x1.a874f933fb94cp-16, -0x1.a88cc0d03e606p-16, -0x1.a899b16e8e493p-16, -0x1.a89bf3b438b63p-16, -0x1.a893b00cb561cp-16, -0x1.a8810ea855d7bp-16, -0x1.a864377b95a2bp-16, -0x1.a83d523e5089dp-16, -0x1.a80c866a75a8ap-16, -0x1.a7d1fb3b034dep-16, -0x1.a78dd7ab4dccp-16, -0x1.a7404276ad539p-16, -0x1.a6e962172130ep-16, -0x1.a6895cc4826f1p-16, -0x1.a6205873f472dp-16, -0x1.a5ae7ad6facaap-16, -0x1.a533e95ae405ep-16, -0x1.a4b0c9285abd2p-16, -0x1.a4253f22885a3p-16, -0x1.a3916fe6986fap-16, -0x1.a2f57fcb12fd1p-16, -0x1.a25192df4464ap-16, -0x1.a1a5cceb05368p-16, -0x1.a0f2516e13046p-16, -0x1.a037439f7f8b9p-16, -0x1.9f74c66d8d661p-16, -0x1.9eaafc7d27da5p-16, -0x1.9dda08297835dp-16, -0x1.9d020b83a2cap-16, -0x1.9c232852b7cap-16, -0x1.9b3d8012cf972p-16, -0x1.9a5133f4f522fp-16, -0x1.995e64df1bd8ap-16, -0x1.9865336c09466p-16, -0x1.9765bfeae11a7p-16, -0x1.96602a5edff5ep-16, -0x1.9554927f7d4acp-16, -0x1.944317b80227fp-16, -0x1.932bd92791de9p-16, -0x1.920ef5a0dce8p-16, -0x1.90ec8baab32dp-16, -0x1.8fc4b97f3a428p-16, -0x1.8e979d0c3b3c4p-16, -0x1.8d6553f2fdecfp-16, -0x1.8c2dfb88c1f4dp-16, -0x1.8af1b0d616243p-16, -0x1.89b090972cca3p-16, -0x1.886ab73bbd712p-16, -0x1.872040e75874ap-16, -0x1.85d149719c547p-16, -0x1.847dec65f9e56p-16, -0x1.83264503d06bbp-16, -0x1.81ca6e3ecb47dp-16, -0x1.806a82bef7947p-16, -0x1.7f069ce0cb5b1p-16, -0x1.7d9ed6b57a9b4p-16, -0x1.7c334a0302199p-16, -0x1.7ac410446839ep-16, -0x1.795142aa0ad16p-16, -0x1.77dafa1a0d66ap-16, -0x1.76614f30226d9p-16, -0x1.74e45a3ddb43dp-16, -0x1.7364334b1c339p-16, -0x1.71e0f2166a467p-16, -0x1.705aae14e8632p-16, -0x1.6ed17e72cb512p-16, -0x1.6d457a13f0524p-16, -0x1.6bb6b793c6cc1p-16, -0x1.6a254d45c9567p-16, -0x1.68915135d37b4p-16, -0x1.66fad92854273p-16, -0x1.6561fa9aec303p-16, -0x1.63c6cac48b28cp-16, -0x1.62295e95ee31ap-16, -0x1.6089cab9f2d7fp-16, -0x1.5ee823961d1bfp-16, -0x1.5d447d4aebbfcp-16, -0x1.5b9eebb414164p-16, -0x1.59f78268b020fp-16, -0x1.584e54bc47bbdp-16, -0x1.56a375bedfbf5p-16, -0x1.54f6f83d2c714p-16, -0x1.5348eec17d252p-16, -0x1.51996b93fff8bp-16, -0x1.4fe880badea61p-16, -0x1.4e363ffad68eep-16, -0x1.4c82bad809b36p-16, -0x1.4ace0295e914ep-16, -0x1.49182837fdbfap-16, -0x1.47613c823f437p-16, -0x1.45a94ff975b2ep-16, -0x1.43f072e3d6b95p-16, -0x1.4236b54995b87p-16, -0x1.407c26f528f53p-16, -0x1.3ec0d773bf0b9p-16, -0x1.3d04d615cb726p-16, -0x1.3b4831ef6ccd1p-16, -0x1.398af9d8f4641p-16, -0x1.37cd3c6f53ab6p-16, -0x1.360f0814fe85dp-16, -0x1.34506af1d37d1p-16, -0x1.329172f3d7d44p-16, -0x1.30d22dcfacfbcp-16, -0x1.2f12a90134235p-16, -0x1.2d52f1cbe117fp-16, -0x1.2b93153b50ddbp-16, -0x1.29d32023983a4p-16, -0x1.28131f220643ap-16, -0x1.26531e9d96f1fp-16, -0x1.24932ac73ec91p-16, -0x1.22d34f9acdd36p-16, -0x1.211398ded8933p-16, -0x1.1f541225bd941p-16, -0x1.1d94c6cdee326p-16, -0x1.1bd5c2027bd6bp-16, -0x1.1a170ebb6c44ap-16, -0x1.1858b7be743bcp-16, -0x1.169ac79f69517p-16, -0x1.14dd48c09cbc1p-16, -0x1.1320455384a86p-16, -0x1.1163c7594d1p-16, -0x1.0fa7d8a2f31aap-16, -0x1.0dec82d218f7ep-16, -0x1.0c31cf5982881p-16, -0x1.0a77c77d7bae6p-16, -0x1.08be7454686e9p-16, -0x1.0705dec6fdd9fp-16, -0x1.054e0f912dafep-16, -0x1.03970f4275a1ap-16, -0x1.01e0e63e48866p-16, -0x1.002b9cbc6139p-16, -0x1.fcee759335888p-17, -0x1.f987909097cc9p-17, -0x1.f62299e139a05p-17, -0x1.f2bfa0a1f4e15p-17, -0x1.ef5eb39dbd8c6p-17, -0x1.ebffe14e644c1p-17, -0x1.e8a337dd0b34p-17, -0x1.e548c52365b0dp-17, -0x1.e1f096acbed1fp-17, -0x1.de9ab9b6a63a3p-17, -0x1.db473b32178fp-17, -0x1.d7f627c46c95ap-17, -0x1.d4a78bc84f508p-17, -0x1.d15b734e191c7p-17, -0x1.ce11ea1d40be8p-17, -0x1.cacafbb58908p-17, -0x1.c786b34f2aa2p-17, -0x1.c4451bdc13fc7p-17, -0x1.c1064008b8d51p-17, -0x1.bdca2a3d2cae8p-17, -0x1.ba90e49db7409p-17, -0x1.b75a790b8cfp-17, -0x1.b426f1262fe39p-17, -0x1.b0f6564c53b79p-17, -0x1.adc8b19bfa509p-17, -0x1.aa9e0bf3c7f84p-17, -0x1.a7766df4434cep-17, -0x1.a451dfffc9b98p-17, -0x1.a1306a3ba87cbp-17, -0x1.9e1214918944fp-17, -0x1.9af6e6afd14e1p-17, -0x1.97dee80a471d4p-17, -0x1.94ca1fdae7cafp-17, -0x1.91b8952311548p-17, -0x1.8eaa4eac0a146p-17, -0x1.8b9f5307d49bp-17, -0x1.8897a89231a6ap-17, -0x1.85935570960c8p-17, -0x1.82925f93c8553p-17, -0x1.7f94ccb8a34aep-17, -0x1.7c9aa2683b71cp-17, -0x1.79a3e5f8ef688p-17, -0x1.76b09c8f7c9bdp-17, -0x1.73c0cb1f3d3edp-17, -0x1.70d4766ae0c29p-17, -0x1.6deba3058ef2cp-17, -0x1.6b0655536dfdp-17, -0x1.6824918a1b7f2p-17, -0x1.65465bb1ad0d9p-17, -0x1.626bb7a55d23cp-17, -0x1.5f94a913ea41ap-17, -0x1.5cc13380b5b5ap-17, -0x1.59f15a446dab4p-17, -0x1.5725208d410c9p-17, -0x1.545c895fc4a6dp-17, -0x1.51979797c874ep-17, -0x1.4ed64de92896bp-17, -0x1.4c18aedfb2cdp-17, -0x1.495ebce073179p-17, -0x1.46a87a2a3be53p-17, -0x1.43f5e8d60dd77p-17, -0x1.41470ad80abcdp-17, -0x1.3e9be1ff8a516p-17, -0x1.3bf46ff83a79ep-17, -0x1.3950b64ac84ffp-17, -0x1.36b0b65cf7c42p-17, -0x1.34147172508e9p-17, -0x1.317be8ad7201ap-17, -0x1.2ee71d0f7de13p-17, -0x1.2c560f798c0eep-17, -0x1.29c8c0ad1aa96p-17, -0x1.273f314c225e1p-17, -0x1.24b961da0a663p-17, -0x1.223752bc5df74p-17, -0x1.1fb9043ac2c07p-17, -0x1.1d3e768013f54p-17, -0x1.1ac7a99ab6088p-17, -0x1.18549d7cbbdb2p-17, -0x1.15e551fd010e6p-17, -0x1.1379c6d7a944ap-17, -0x1.1111fbae0c635p-17, -0x1.0eadf00789fd5p-17, -0x1.0c4da3525a01p-17, -0x1.09f114e3955d9p-17, -0x1.079843f7cec67p-17, -0x1.05432fb398018p-17, -0x1.02f1d7242cd3p-17, -0x1.00a4393f803f9p-17, -0x1.fcb4a9c9e2d3p-18, -0x1.f82851bb63c6ap-18, -0x1.f3a367bafce25p-18, -0x1.ef25e905192cbp-18, -0x1.eaafd2ac7ee58p-18, -0x1.e641219b720efp-18, -0x1.e1d9d293ee5cbp-18, -0x1.dd79e2313be0fp-18, -0x1.d9214ce816893p-18, -0x1.d4d00f07c7249p-18, -0x1.d08624bb20be6p-18, -0x1.cc438a08f6cb3p-18, -0x1.c8083ad50fd8fp-18, -0x1.c3d432e1555afp-18, -0x1.bfa76dcd6b08cp-18, -0x1.bb81e718d281bp-18, -0x1.b7639a2323814p-18, -0x1.b34c822c1e518p-18, -0x1.af3c9a5535cdbp-18, -0x1.ab33dda2badb2p-18, -0x1.a73246faf418ep-18, -0x1.a337d12835fb5p-18, -0x1.9f4476d913cc4p-18, -0x1.9b5832a1578b6p-18, -0x1.9772fef9ec9a4p-18, -0x1.9394d64297496p-18, -0x1.8fbdb2c1d2d56p-18, -0x1.8bed8ea5a1813p-18, -0x1.8824640434e98p-18, -0x1.84622cdd0e4p-18, -0x1.80a6e318a98dbp-18, -0x1.7cf28089fb513p-18, -0x1.7944feee5925bp-18, -0x1.759e57eec4f06p-18, -0x1.71fe851fe10fp-18, -0x1.6e658002b8aa2p-18, -0x1.6ad3420569c31p-18, -0x1.6747c483b26fbp-18, -0x1.63c300c72958cp-18, -0x1.6044f008a9c2cp-18, -0x1.5ccd8b6f6126ep-18, -0x1.595ccc12d8527p-18, -0x1.55f2aafaddc82p-18, -0x1.528f211f9a813p-18, -0x1.4f32276a62514p-18, -0x1.4bdbb6b710f25p-18, -0x1.488bc7d2be8dbp-18, -0x1.4542537dc7fdcp-18, -0x1.41ff526bbe5fap-18, -0x1.3ec2bd438883p-18, -0x1.3b8c8ca00bd0dp-18, -0x1.385cb9113a144p-18, -0x1.35333b1b77904p-18, -0x1.32100b38d44e1p-18, -0x1.2ef321d96201bp-18, -0x1.2bdc7763250d1p-18, -0x1.28cc043302941p-18, -0x1.25c1c09d1d959p-18, -0x1.22bda4ec9738bp-18, -0x1.1fbfa964a9d7ap-18, -0x1.1cc7c640f0c46p-18, -0x1.19d5f3b59d51fp-18, -0x1.16ea29efdd6ffp-18, -0x1.140461163c839p-18, -0x1.112491492a4b9p-18, -0x1.0e4ab2a301818p-18, -0x1.0b76bd38cdp-18, -0x1.08a8a91a24989p-18, -0x1.05e06e51ca739p-18, -0x1.031e04e646b5p-18, -0x1.006164d9a8a72p-18, -0x1.fb550c53dc676p-19, -0x1.f5f2c1a42a446p-19, -0x1.f09bd992299b8p-19, -0x1.eb504406b0076p-19, -0x1.e60ff0e5b0cafp-19, -0x1.e0dad00db4c58p-19, -0x1.dbb0d15917811p-19, -0x1.d691e49f48dbdp-19, -0x1.d17df9b413fd9p-19, -0x1.cc7500690d64cp-19, -0x1.c776e88d6cdafp-19, -0x1.c283a1eee9161p-19, -0x1.bd9b1c5af2783p-19, -0x1.b8bd479dab9e1p-19, -0x1.b3ea1383e662dp-19, -0x1.af216fdab5c57p-19, -0x1.aa634c707fba9p-19, -0x1.a5af9914838a1p-19, -0x1.a1064598cd99dp-19, -0x1.9c6741d0a6c9dp-19, -0x1.97d27d935201bp-19, -0x1.9347e8baac8c9p-19, -0x1.8ec7732468d85p-19, -0x1.8a510cb1e7d65p-19, -0x1.85e4a549b1fcdp-19, -0x1.81822cd630ffdp-19, -0x1.7d299347e4bfcp-19, -0x1.78dac894ac8cap-19, -0x1.7495bcb814f83p-19, -0x1.705a5fb4dbcb9p-19, -0x1.6c28a1937e841p-19, -0x1.680072644a5d2p-19, -0x1.63e1c23ebe5cep-19, -0x1.5fcc8141b0391p-19, -0x1.5bc09f9449fb5p-19, -0x1.57be0d65f4ad5p-19, -0x1.53c4baee92915p-19, -0x1.4fd4986f90f41p-19, -0x1.4bed96331530bp-19, -0x1.480fa48d633f9p-19, -0x1.443ab3dbcd9fap-19, -0x1.406eb486b8b14p-19, -0x1.3cab96ffc2976p-19, -0x1.38f14bc4871c3p-19, -0x1.353fc35c144a9p-19, -0x1.3196ee5a4682ap-19, -0x1.2df6bd5c67c87p-19, -0x1.2a5f210d54745p-19, -0x1.26d00a2223279p-19, -0x1.2349695cd1a23p-19, -0x1.1fcb2f8b105aep-19, -0x1.1c554d88082bap-19, -0x1.18e7b43a8e4dep-19, -0x1.158254975f0ccp-19, -0x1.12251f9f6d6c4p-19, -0x1.0ed00661b054dp-19, -0x1.0b82f9fa6c69ep-19, -0x1.083deb93467bep-19, -0x1.0500cc63d5611p-19, -0x1.01cb8db15797fp-19, -0x1.fd3c419fbf3aep-20, -0x1.f6f0ee42855e3p-20, -0x1.f0b5042cb174ap-20, -0x1.ea88665c1b69bp-20, -0x1.e46af7ed78217p-20, -0x1.de5c9c19c7274p-20, -0x1.d85d3639cf09fp-20, -0x1.d26ca9c2b935ap-20, -0x1.cc8ada4a99ca8p-20, -0x1.c6b7ab84318f8p-20, -0x1.c0f30143365fcp-20, -0x1.bb3cbf79a1b88p-20, -0x1.b594ca38dec9ap-20, -0x1.affb05b237fcbp-20, -0x1.aa6f5636df06fp-20, -0x1.a4f1a03899d9cp-20, -0x1.9f81c848e41ecp-20, -0x1.9a1fb31ab32ap-20, -0x1.94cb458095354p-20, -0x1.8f84646f382ap-20, -0x1.8a4af4fb1c7ccp-20, -0x1.851edc5b9ac96p-20, -0x1.7fffffe6d50adp-20, -0x1.7aee45168a89bp-20, -0x1.75e991843cf5ap-20, -0x1.70f1caec948bap-20, }}, 
      std::vector<double>(1200, 0.0), 
      {{0x1.3fc64ca103c62p-8, 0x1.4082b69381026p-7, 0x1.e288ad6018afbp-7, 0x1.4340ae05b0996p-6, 0x1.966b2a3a671b3p-6, 0x1.eae6acea88fddp-6, 0x1.2062764eaea5ep-5, 0x1.4c03f970bd268p-5, 0x1.785202076d9c8p-5, 0x1.a540daa3569a2p-5, 0x1.d2c0049e01de5p-5, 0x1.005d9e8a899e9p-4, 0x1.178db83fc3782p-4, 0x1.2ee3cc1cbeb8cp-4, 0x1.4652bfdab7d75p-4, 0x1.5dcd384d5c675p-4, 0x1.7545e3179b729p-4, 0x1.8cafb490f2effp-4, 0x1.a3fe1aa0c4a8p-4, 0x1.bb252577c9da6p-4, 0x1.d219a72106fbp-4, 0x1.e8d14ae8ce9d5p-4, 0x1.ff42a59499a8ap-4, 0x1.0ab29fae97195p-3, 0x1.1598cc475fdddp-3, 0x1.205094d16833p-3, 0x1.2ad72fcb097f3p-3, 0x1.352a4a95382e3p-3, 0x1.3f4804d9ab61ep-3, 0x1.492eeafc5c0e9p-3, 0x1.52ddefd62bae9p-3, 0x1.5c5465ee74ea8p-3, 0x1.6591f861f7046p-3, 0x1.6e96a39e9c011p-3, 0x1.7762ae155d103p-3, 0x1.7ff6a0fdf7ba9p-3, 0x1.88534142f385p-3, 0x1.907988a811cfep-3, 0x1.986a9f393ad57p-3, 0x1.a027d50c815dbp-3, 0x1.a7b29c5ed7bc1p-3, 0x1.af0c84107429ap-3, 0x1.b6373283b4e15p-3, 0x1.bd3460df76c46p-3, 0x1.c405d6b44ba29p-3, 0x1.caad6602bc31p-3, 0x1.d12ce79fbc7e9p-3, 0x1.d78637f3b4aadp-3, 0x1.ddbb340ff2e8cp-3, 0x1.e3cdb715cc745p-3, 0x1.e9bf97ea9b651p-3, 0x1.ef92a73367647p-3, 0x1.f548ad9328bc7p-3, 0x1.fae36a2670432p-3, 0x1.0032489bb5c03p-2, 0x1.02e6e592b2e34p-2, 0x1.059059bd7d267p-2, 0x1.082f6c17428b7p-2, 0x1.0ac4dc844391ep-2, 0x1.0d516395fcd2p-2, 0x1.0fd5b25e6ae9cp-2, 0x1.12527250aba7ap-2, 0x1.14c8452d60cabp-2, 0x1.1737c4f95fd45p-2, 0x1.19a183fd52982p-2, 0x1.1c060ccd19f47p-2, 0x1.1e65e255d14e9p-2, 0x1.20c17ff17c898p-2, 0x1.2319597f7f47cp-2, 0x1.256ddb8114ec1p-2, 0x1.27bf6b39188bep-2, 0x1.2a0e66ce87bacp-2, 0x1.2c5b257133028p-2, 0x1.2ea5f7802be07p-2, 0x1.30ef26b1887d8p-2, 0x1.3336f63b2fb8ap-2, 0x1.357da2fc58319p-2, 0x1.37c363a78981ep-2, 0x1.3a0868ece7ca2p-2, 0x1.3c4cdda49e78cp-2, 0x1.3e90e6f94f06p-2, 0x1.40d4a4926238fp-2, 0x1.431830be297bap-2, 0x1.455ba09bc45f1p-2, 0x1.479f0444b7d68p-2, 0x1.49e266f63171dp-2, 0x1.4c25cf39f5b5ep-2, 0x1.4e693f0eed42dp-2, 0x1.50acb41157d14p-2, 0x1.52f027a29e6d9p-2, 0x1.55338f10ccdc4p-2, 0x1.5776dbbda8ea5p-2, 0x1.59b9fb45762e3p-2, 0x1.5bfcd7a55ebdep-2, 0x1.5e3f576185414p-2, 0x1.60815daac6f8dp-2, 0x1.62c2ca84263f4p-2, 0x1.65037ae7e883ep-2, 0x1.674348ec5e82bp-2, 0x1.69820be86379fp-2, 0x1.6bbf989782a78p-2, 0x1.6dfbc13dd4a5bp-2, 0x1.703655cb84612p-2, 0x1.726f240000ef7p-2, 0x1.74a5f78cda132p-2, 0x1.76da9a3843785p-2, 0x1.790cd3ff3b241p-2, 0x1.7b3c6b374f22cp-2, 0x1.7d6924b001933p-2, 0x1.7f92c3d3c5c72p-2, 0x1.81b90ac88ccep-2, 0x1.83dbba8fe8e1p-2, 0x1.85fa9326b53b2p-2, 0x1.881553a448117p-2, 0x1.8a2bba5924207p-2, 0x1.8c3d84ed27993p-2, 0x1.8e4a707d32b86p-2, 0x1.905239b840be8p-2, 0x1.92549cfbefc64p-2, 0x1.945156706ffd9p-2, 0x1.96482223dd566p-2, 0x1.9838bc24f2878p-2, 0x1.9a22e09d20cdap-2, 0x1.9c064be9f7bfep-2, 0x1.9de2bab5ebbc5p-2, 0x1.9fb7ea1065cf2p-2, 0x1.a18597852732dp-2, 0x1.a34b8132f72cdp-2, 0x1.a50965e198a27p-2, 0x1.a6bf051707676p-2, 0x1.a86c1f2bfb81dp-2, 0x1.aa10755fabcc8p-2, 0x1.ababc9ead4cd4p-2, 0x1.ad3de011ff58ep-2, 0x1.aec67c3704d2fp-2, 0x1.b04563e9d25a5p-2, 0x1.b1ba5df86ca4ep-2, 0x1.b325327e2ed36p-2, 0x1.b485aaf248a23p-2, 0x1.b5db92357c694p-2, 0x1.b726b49f1ab5ep-2, 0x1.b866e0094057cp-2, 0x1.b99be3dc551c2p-2, 0x1.bac59119cd6bbp-2, 0x1.bbe3ba66308d9p-2, 0x1.bcf6341266a25p-2, 0x1.bdfcd4244de7cp-2, 0x1.bef7725e9c1b2p-2, 0x1.bfe5e8480c6acp-2, 0x1.c0c81131ddec2p-2, 0x1.c19dca3da3e88p-2, 0x1.c266f2626db75p-2, 0x1.c3236a7144d55p-2, 0x1.c3d315190921fp-2, 0x1.c475d6e9ab442p-2, 0x1.c50b9656ca0c1p-2, 0x1.c5943bb9b505dp-2, 0x1.c60fb152dc263p-2, 0x1.c67de34aa82d4p-2, 0x1.c6debfb1c87ebp-2, 0x1.c7323680f35c3p-2, 0x1.c778399821be7p-2, 0x1.c7b0bcbd46cc5p-2, 0x1.c7dbb59a86e5ep-2, 0x1.c7f91bbbf77f8p-2, 0x1.c808e88ce4486p-2, 0x1.c80b1754a42aap-2, 0x1.c7ffa532fe24dp-2, 0x1.c7e6911c24256p-2, 0x1.c7bfdbd4476cbp-2, 0x1.c78b87eacadb6p-2, 0x1.c74999b514ef6p-2, 0x1.c6fa17490bfe6p-2, 0x1.c69d087735a32p-2, 0x1.c63276c48a85cp-2, 0x1.c5ba6d63f775p-2, 0x1.c534f92f973fep-2, 0x1.c4a228a1a38d8p-2, 0x1.c4020bcd257e7p-2, 0x1.c354b4566689p-2, 0x1.c29a356b27472p-2, 0x1.c1d2a3ba9d184p-2, 0x1.c0fe156d4042bp-2, 0x1.c01ca21c662fdp-2, 0x1.bf2e62c9b1e06p-2, 0x1.be3371d65a279p-2, 0x1.bd2beafa4cb7bp-2, 0x1.bc17eb3b2aeaap-2, 0x1.baf790e32e5aap-2, 0x1.b9cafb77eb2cap-2, 0x1.b8924bb0ff00bp-2, 0x1.b74da36ea7418p-2, 0x1.b5fd25b0487fcp-2, 0x1.b4a0f68ae2e43p-2, 0x1.b3393b1f7c134p-2, 0x1.b1c619918126bp-2, 0x1.b047b8fd1cc68p-2, 0x1.aebe416d8e942p-2, 0x1.ad29dbd37b1b9p-2, 0x1.ab8ab1fb417c2p-2, 0x1.a9e0ee834fbf2p-2, 0x1.a82cbcd2806b7p-2, 0x1.a66e490e7c7ebp-2, 0x1.a4a5c01227f48p-2, 0x1.a2d34f641bf08p-2, 0x1.a0f7252d2a94ap-2, 0x1.9f11702ef783bp-2, 0x1.9d225fba9d24ep-2, 0x1.9b2a23a76a17ap-2, 0x1.9928ec49ae7cfp-2, 0x1.971eea69a3a3fp-2, 0x1.950c4f3a69b3bp-2, 0x1.92f14c51217bap-2, 0x1.90ce139c1e029p-2, 0x1.8ea2d75a33ff1p-2, 0x1.8c6fca122888fp-2, 0x1.8a351e8a3bf0cp-2, 0x1.87f307bfd522dp-2, 0x1.85a9b8df50aa8p-2, 0x1.8359653bed9ccp-2, 0x1.81024047dfe5dp-2, 0x1.7ea47d8c8716ep-2, 0x1.7c4050a2c6a18p-2, 0x1.79d5ed2b87da8p-2, 0x1.776586c85dda6p-2, 0x1.74ef511452b55p-2, 0x1.72737f9cda155p-2, 0x1.6ff245daeeeep-2, 0x1.6d6bd72c53ef1p-2, 0x1.6ae066cd02252p-2, 0x1.685027d0bd6c8p-2, 0x1.65bb4d1cd2ac8p-2, 0x1.63220962004bbp-2, 0x1.60848f16886b7p-2, 0x1.5de310706b9a4p-2, 0x1.5b3dbf5fd0d2fp-2, 0x1.5894cd89942f3p-2, 0x1.55e86c4200b4ap-2, 0x1.5338cc87b6fd9p-2, 0x1.50861efeb9b4ap-2, 0x1.4dd093eba7cddp-2, 0x1.4b185b2f1fa65p-2, 0x1.485da44149b9ap-2, 0x1.45a09e2d91f4dp-2, 0x1.42e1778e84399p-2, 0x1.40205e89d8605p-2, 0x1.3d5d80cca1da8p-2, 0x1.3a990b87abc0bp-2, 0x1.37d32b6bf9d17p-2, 0x1.350c0ca7764d6p-2, 0x1.3243dae1c1afbp-2, 0x1.2f7ac1392ca02p-2, 0x1.2cb0ea3fd9798p-2, 0x1.29e67ff901e0dp-2, 0x1.271babd66381p-2, 0x1.245096b5d1472p-2, 0x1.218568deea725p-2, 0x1.1eba4a00f5b2ep-2, 0x1.1bef6130df795p-2, 0x1.1924d4e75be56p-2, 0x1.165acaff2a91ap-2, 0x1.139168b38032cp-2, 0x1.10c8d29e8a997p-2, 0x1.0e012cb81cbaap-2, 0x1.0b3a9a5477be3p-2, 0x1.08753e2331f5fp-2, 0x1.05b13a2e4255ap-2, 0x1.02eeafd9233a6p-2, 0x1.002dbfe01a23p-2, 0x1.fadd14af2e526p-3, 0x1.f5625d5765a4fp-3, 0x1.efeb973f90f04p-3, 0x1.ea78fe9c5705dp-3, 0x1.e50ace4feb706p-3, 0x1.dfa13fe9e2794p-3, 0x1.da3c8ba7358e5p-3, 0x1.d4dce87279caap-3, 0x1.cf828be4427b4p-3, 0x1.ca2daa43bbee7p-3, 0x1.c4de7687642bbp-3, 0x1.bf952255fcd82p-3, 0x1.ba51de07a12b7p-3, 0x1.b514d8a707dfap-3, 0x1.afde3ff2e68e1p-3, 0x1.aaae405f872eep-3, 0x1.a585051875595p-3, 0x1.a062b802585f9p-3, 0x1.9b4781bcf17b1p-3, 0x1.963389a531b8ep-3, 0x1.9126f5d7785c2p-3, 0x1.8c21eb31f009ep-3, 0x1.87248d5705772p-3, 0x1.822efeaffce04p-3, 0x1.7d41606f9f403p-3, 0x1.785bd2950e3b6p-3, 0x1.737e73ee9d523p-3, 0x1.6ea9621cd2a83p-3, 0x1.69dcb9957b256p-3, 0x1.651895a6cbc9p-3, 0x1.605d107aa54aep-3, 0x1.5baa4319dde43p-3, 0x1.5700456fa9014p-3, 0x1.525f2e4d0439dp-3, 0x1.4dc7136c42317p-3, 0x1.4938097496599p-3, 0x1.44b223fdbcd8cp-3, 0x1.40357593a5f7p-3, 0x1.3bc20fba315f4p-3, 0x1.375802f0f3eeep-3, 0x1.32f75eb70b986p-3, 0x1.2ea0318ef7ab9p-3, 0x1.2a5289027e4fbp-3, 0x1.260e71a69744fp-3, 0x1.21d3f71f5bec3p-3, 0x1.1da324240643bp-3, 0x1.197c0282ec5e9p-3, 0x1.155e9b2580425p-3, 0x1.114af6145eb85p-3, 0x1.0d411a7b52b01p-3, 0x1.09410ead6876cp-3, 0x1.054ad828f903dp-3, 0x1.015e7b9bba8d4p-3, 0x1.faf7f9cda93fep-4, 0x1.f346be45da5dep-4, 0x1.eba949487795fp-4, 0x1.e41f9dfd2ba0ep-4, 0x1.dca9be12fdf6bp-4, 0x1.d547a9c8609c5p-4, 0x1.cdf95ff346bd6p-4, 0x1.c6bede092b70dp-4, 0x1.bf9820270a6a2p-4, 0x1.b885211964fbcp-4, 0x1.b185da642cb56p-4, 0x1.aa9a444a9c6b6p-4, 0x1.a3c255d71d8e4p-4, 0x1.9cfe04e30f9a1p-4, 0x1.964d461e82545p-4, 0x1.8fb00d17e9b46p-4, 0x1.89264c43c1158p-4, 0x1.82aff5041b693p-4, 0x1.7c4cf7b026be6p-4, 0x1.75fd439b9eb92p-4, 0x1.6fc0c71e2c363p-4, 0x1.69976f9ab4668p-4, 0x1.638129869516cp-4, 0x1.5d7de070d1222p-4, 0x1.578d7f092119ep-4, 0x1.51afef26fc2e3p-4, 0x1.4be519d081c7bp-4, 0x1.462ce741542c5p-4, 0x1.40873ef1607eap-4, 0x1.3af4079b8901bp-4, 0x1.3573274441d1dp-4, 0x1.3004834010efap-4, 0x1.2aa8003a00ed3p-4, 0x1.255d8239f3f01p-4, 0x1.2024ecaae3599p-4, 0x1.1afe226107af9p-4, 0x1.15e9059feeecep-4, 0x1.10e578207192ap-4, 0x1.0bf35b16972fep-4, 0x1.07128f3763dd7p-4, 0x1.0242f4be85e28p-4, 0x1.fb08d6e7ea8c1p-5, 0x1.f1ada562ee755p-5, 0x1.e87412d00d3fdp-5, 0x1.df5bdc4a5632p-5, 0x1.d664be305f89ep-5, 0x1.cd8e742e9171fp-5, 0x1.c4d8b9493df23p-5, 0x1.bc4347e682b1ap-5, 0x1.b3cdd9d8007f5p-5, 0x1.ab7828645a8f9p-5, 0x1.a341ec509bb09p-5, 0x1.9b2adde945a49p-5, 0x1.9332b50b5d51dp-5, 0x1.8b59292d1f56dp-5, 0x1.839df166a0901p-5, 0x1.7c00c47a386edp-5, 0x1.748158dcb3b8bp-5, 0x1.6d1f64bd6417ap-5, 0x1.65da9e0df9213p-5, 0x1.5eb2ba8a32a9dp-5, 0x1.57a76fbf6397ep-5, 0x1.50b87313c0fefp-5, 0x1.49e579cd8e653p-5, 0x1.432e391a1163dp-5, 0x1.3c9266146b3dbp-5, 0x1.3611b5cc30aaap-5, 0x1.2fabdd4bece0ap-5, 0x1.2960919f621d8p-5, 0x1.232f87d9b56dbp-5, 0x1.1d18751b62827p-5, 0x1.171b0e980fdd1p-5, 0x1.1137099c2d252p-5, 0x1.0b6c1b9274a4ep-5, 0x1.05b9fa0943414p-5, 0x1.00205ab7bf89ap-5, 0x1.f53de705d1b61p-6, 0x1.ea6af504d6cdap-6, 0x1.dfc74c0ad573ap-6, 0x1.d552592e0790ap-6, 0x1.cb0b8a058e79ap-6, 0x1.c0f24cb20f96ap-6, 0x1.b7060fe5ed1dcp-6, 0x1.ad4642ed5765bp-6, 0x1.a3b255b609c6ep-6, 0x1.9a49b8d6d36a5p-6, 0x1.910bdd96c3e96p-6, 0x1.87f835f41eedep-6, 0x1.7f0e34ab1d27cp-6, 0x1.764d4d3c51c87p-6, 0x1.6db4f3f2ef9efp-6, 0x1.65449deaafe91p-6, 0x1.5cfbc11596a9cp-6, 0x1.54d9d44172bcdp-6, 0x1.4cde4f1d0fcf6p-6, 0x1.4508aa3d511efp-6, 0x1.3d585f21fa986p-6, 0x1.35cce83a425f3p-6, 0x1.2e65c0e942aap-6, 0x1.2722658a172e9p-6, 0x1.20025373dc4adp-6, 0x1.190508fd6f8d7p-6, 0x1.122a0581076e4p-6, 0x1.0b70c95f88e09p-6, 0x1.04d8d603ca9a5p-6, 0x1.fcc35bcb039a8p-7, 0x1.f015a9183ec9ap-7, 0x1.e3a79d22ef92dp-7, 0x1.d778434872c29p-7, 0x1.cb86a9147049ap-7, 0x1.bfd1de4533108p-7, 0x1.b458f4cf93047p-7, 0x1.a91b00e298c62p-7, 0x1.9e1718eae2034p-7, 0x1.934c55959dabp-7, 0x1.88b9d1d36222bp-7, 0x1.7e5eaada7dc6cp-7, 0x1.743a0029557f2p-7, 0x1.6a4af3882b542p-7, 0x1.6090a90ad6f09p-7, 0x1.570a47122f53fp-7, 0x1.4db6f64d217b2p-7, 0x1.4495e1b9afacfp-7, 0x1.3ba636a57ab21p-7, 0x1.32e724ae4d95ap-7, 0x1.2a57ddc25ef29p-7, 0x1.21f796203365bp-7, 0x1.19c5845671c8bp-7, 0x1.11c0e1439485cp-7, 0x1.09e8e8151b8dfp-7, 0x1.023cd646f1f52p-7, 0x1.f577d744ac51ep-8, 0x1.e6cad47956fdfp-8, 0x1.d8712cec6f8d3p-8, 0x1.ca696df10f89cp-8, 0x1.bcb22969ad4a1p-8, 0x1.af49f5c47330dp-8, 0x1.a22f6df716938p-8, 0x1.9561317ad968ep-8, 0x1.88dde447daebap-8, 0x1.7ca42ed042cd7p-8, 0x1.70b2bdfb35ce8p-8, 0x1.6508431f9131fp-8, 0x1.59a373fe37daep-8, 0x1.4e830abc522fap-8, 0x1.43a5c5dd5b99dp-8, 0x1.390a683cb2356p-8, 0x1.2eafb90756a1p-8, 0x1.249483b514efdp-8, 0x1.1ab79801c38fbp-8, 0x1.1117c9e6424a5p-8, 0x1.07b3f191418adp-8, 0x1.fd15d6bf68246p-9, 0x1.eb372fab8ddd9p-9, 0x1.d9c9b72d1e011p-9, 0x1.c8cb3eb98186bp-9, 0x1.b8399fe50174ep-9, 0x1.a812bc526606cp-9, 0x1.98547da31e0dep-9, 0x1.88fcd5661f419p-9, 0x1.7a09bd077e133p-9, 0x1.6b7935bef62b7p-9, 0x1.5d49487ec1b79p-9, 0x1.4f7805e2897b4p-9, 0x1.4203861d8498cp-9, 0x1.34e9e8e879f1ep-9, 0x1.282955708ba33p-9, 0x1.1bbffa449b54dp-9, 0x1.0fac0d438477cp-9, 0x1.03ebcb89944b6p-9, 0x1.f0faf2bd5b2abp-10, 0x1.dabec4464df01p-10, 0x1.c51fb07bfdfbdp-10, 0x1.b01a6a13b74cep-10, 0x1.9babb18508371p-10, 0x1.87d054e47fe41p-10, 0x1.74852fbe25e4fp-10, 0x1.61c72aefe0e1p-10, 0x1.4f933c83adfa4p-10, 0x1.3de6678ac924p-10, 0x1.2cbdbbf7131c7p-10, 0x1.1c1656767c30bp-10, 0x1.0bed604bf75fp-10, 0x1.f8801e563a594p-11, 0x1.da174a24f8124p-11, 0x1.bc9ae04a1ba45p-11, 0x1.a005950ba7957p-11, 0x1.8452346417b8ep-11, 0x1.697ba1b7f3211p-11, 0x1.4f7cd78ad4427p-11, 0x1.3650e7361305p-11, 0x1.1df2f89daa734p-11, 0x1.065e49e846219p-11, 0x1.df1c5e6734729p-12, 0x1.b2fc2499bf548p-12, 0x1.8852e4d0ea84p-12, 0x1.5f17c7ad6d6fbp-12, 0x1.37421f7ec46c9p-12, 0x1.10c967ae5834dp-12, 0x1.d74a8865ed66cp-13, 0x1.8f9b0206181c6p-13, 0x1.4a74230af7eaep-13, 0x1.07c6201024623p-13, 0x1.8f02f4cb9a1c8p-14, 0x1.132dfdf36419ep-14, 0x1.37df151eed536p-15, 0x1.4952e46a441c2p-17, -0x1.14f8e548744bep-16, -0x1.5eccab24e4de8p-15, -0x1.15698a0c3cd55p-14, -0x1.7762de05b996fp-14, -0x1.d56cd0434f135p-14, -0x1.17d0ac864e164p-13, -0x1.430cf61c71a93p-13, -0x1.6c77bd91b9407p-13, -0x1.941d3b5ff4877p-13, -0x1.ba0968ba869ecp-13, -0x1.de4800961cdebp-13, -0x1.0072404c081c5p-12, -0x1.10f51506a784bp-12, -0x1.20b2017041485p-12, -0x1.2fae6b44613ddp-12, -0x1.3def9b7c018a5p-12, -0x1.4b7abec3e0feap-12, -0x1.5854e5f14bc95p-12, -0x1.648306758ec98p-12, -0x1.7009fad0dd046p-12, -0x1.7aee83020a019p-12, -0x1.853544fa156ffp-12, -0x1.8ee2cd07217b4p-12, -0x1.97fb8e44a2b41p-12, -0x1.a083e30621415p-12, -0x1.a8800d44cd592p-12, -0x1.aff4370626a81p-12, -0x1.b6e472c72b668p-12, -0x1.bd54bbe34fe9ap-12, -0x1.c348f6fa750dbp-12, -0x1.c8c4f255fd716p-12, -0x1.cdcc664d6d263p-12, -0x1.d262f5a8926cdp-12, -0x1.d68c2e00e92f3p-12, -0x1.da4b88229fe72p-12, -0x1.dda468695c003p-12, -0x1.e09a1f213a3d9p-12, -0x1.e32fe8e064db6p-12, -0x1.e568eee585955p-12, -0x1.e748476f22f9fp-12, -0x1.e8d0f6176f5a2p-12, -0x1.ea05ec29ae28cp-12, -0x1.eaea08fae22ccp-12, -0x1.eb801a3e0849ap-12, -0x1.ebcadc58eda8ap-12, -0x1.ebccfab71e96fp-12, -0x1.eb89101cd88b7p-12, -0x1.eb01a6f6bb75p-12, -0x1.ea3939aabbb12p-12, -0x1.e93232e617bf4p-12, -0x1.e7eeedeb47337p-12, -0x1.e671b6ddf6354p-12, -0x1.e4bccb0f11a93p-12, -0x1.e2d2594502118p-12, -0x1.e0b48207fd85bp-12, -0x1.de6557e6efd8cp-12, -0x1.dbe6dfc0ee7a4p-12, -0x1.d93b1109989a9p-12, -0x1.d663d60e3234dp-12, -0x1.d3630c3a0da83p-12, -0x1.d03a8458fe43ep-12, -0x1.ccec02d85a6d9p-12, -0x1.c9794008a8051p-12, -0x1.c5e3e85cbe023p-12, -0x1.c22d9ca8d7365p-12, -0x1.be57f25fed0d8p-12, -0x1.ba6473d0f5efdp-12, -0x1.b654a061e9084p-12, -0x1.b229eccb56a94p-12, -0x1.ade5c351c68ap-12, -0x1.a98983fe521b2p-12, -0x1.a51684d6e0487p-12, -0x1.a08e1215889bp-12, -0x1.9bf16e5decd6dp-12, -0x1.9741d2f37112fp-12, -0x1.92806fec6a7f5p-12, -0x1.8dae6c669a883p-12, -0x1.88cce6b94b56fp-12, -0x1.83dcf4a6c2fd5p-12, -0x1.7edfa38d19002p-12, -0x1.79d5f896e6f4p-12, -0x1.74c0f0e96b2e4p-12, -0x1.6fa181d3944b7p-12, -0x1.6a7898fb90282p-12, -0x1.65471c8afd5f1p-12, -0x1.600deb5b8ceb3p-12, -0x1.5acddd2159dep-12, -0x1.5587c29613db8p-12, -0x1.503c65a1cda6cp-12, -0x1.4aec898484c78p-12, -0x1.4598eafda5135p-12, -0x1.40424073c40fp-12, -0x1.3ae93a1b4da4cp-12, -0x1.358e821be0e35p-12, -0x1.3032bcb6440eap-12, -0x1.2ad68868d23a7p-12, -0x1.257a7e12d051ap-12, -0x1.201f3117fe041p-12, -0x1.1ac52f82fd038p-12, -0x1.156d0226d5b91p-12, -0x1.10172cc0274fcp-12, -0x1.0ac42e16b6c55p-12, -0x1.0574801bbcd0fp-12, -0x1.0028980a8c1e7p-12, -0x1.f5c1cd0d4eb85p-13, -0x1.eb3baf734b7f7p-13, -0x1.e0bfa6e1cf99dp-13, -0x1.d64e7a7532a42p-13, -0x1.cbe8e903bcbe8p-13, -0x1.c18fa954dca5p-13, -0x1.b7436a580d9ebp-13, -0x1.ad04d3593fb6ep-13, -0x1.a2d48436452b8p-13, -0x1.98b315908e1a6p-13, -0x1.8ea1190065b05p-13, -0x1.849f19456c47ap-13, -0x1.7aad9a76c2434p-13, -0x1.70cd1a31cc6d4p-13, -0x1.66fe0fc89d5c3p-13, -0x1.5d40ec6de4bdap-13, -0x1.53961b6263bc5p-13, -0x1.49fe021f8d395p-13, -0x1.407900819a68p-13, -0x1.370770f12ed38p-13, -0x1.2da9a88b5c41bp-13, -0x1.245ff7490baa4p-13, -0x1.1b2aa8268f9bep-13, -0x1.120a014914cc4p-13, -0x1.08fe4422c8171p-13, -0x1.0007ad986212bp-13, -0x1.ee4cec46fc2f3p-14, -0x1.dcb5a3ea81141p-14, -0x1.cb49e231b96eep-14, -0x1.ba09ff273bc8cp-14, -0x1.a8f64b0ccfe8ep-14, -0x1.980f0e9805c4p-14, -0x1.87548b3241d52p-14, -0x1.76c6fb32e9704p-14, -0x1.6666921aeeb91p-14, -0x1.56337cceeaf2p-14, -0x1.462de1ce2dd9fp-14, -0x1.3655e16a03152p-14, -0x1.26ab95fac7566p-14, -0x1.172f1415a3a02p-14, -0x1.07e06abd70696p-14, -0x1.f17f472a41807p-15, -0x1.d3998621a9427p-15, -0x1.b60f9149fab4bp-15, -0x1.98e15de828d52p-15, -0x1.7c0ed7f92a6ddp-15, -0x1.5f97e287f1e99p-15, -0x1.437c5803f1abap-15, -0x1.27bc0a92b4d66p-15, -0x1.0c56c46414677p-15, -0x1.e29890022a121p-16, -0x1.ad38a12d2ac7fp-16, -0x1.788d248a906a9p-16, -0x1.449574cdf132dp-16, -0x1.1150dfaf209e2p-16, -0x1.bd7d4ceb9ae14p-17, -0x1.59bbfcfe9b20ep-17, -0x1.eeb84711388c5p-18, -0x1.2cb7fd6d62586p-18, -0x1.b5cdbeec4d7f4p-20, 0x1.3c64dc2267395p-20, 0x1.08f1f1befdc17p-18, 0x1.c01adf5b8106p-18, 0x1.3a4c2099aef4bp-17, 0x1.93373c9341415p-17, 0x1.ead10409e2624p-17, 0x1.208de30ecafcbp-16, 0x1.4b0cefe6ff5fp-16, 0x1.74e6dda0cbff1p-16, 0x1.9e1ce78638a76p-16, 0x1.c6b04eb39664p-16, 0x1.eea259ca24a3ep-16, 0x1.0afa2a48a55bp-15, 0x1.1e53c7d2b081p-15, 0x1.315eb0132c8e1p-15, 0x1.441b8fb4d4db1p-15, 0x1.568b155623c51p-15, 0x1.68adf165ee276p-15, 0x1.7a84d5fd49a48p-15, 0x1.8c1076be7fa56p-15, 0x1.9d5188b174f21p-15, 0x1.ae48c2248b5e2p-15, 0x1.bef6da8d6dd6ap-15, 0x1.cf5c8a693c1c5p-15, 0x1.df7a8b1e558b4p-15, 0x1.ef5196e3119c8p-15, 0x1.fee2689df6133p-15, 0x1.0716dde6813eep-14, 0x1.0e9a2635b3604p-14, 0x1.15fb6b6d07435p-14, 0x1.1d3b0be1ae41bp-14, 0x1.245966046a7ccp-14, 0x1.2b56d8555aa0fp-14, 0x1.3233c1584f787p-14, 0x1.38f07f8b65321p-14, 0x1.3f8d715cfab49p-14, 0x1.460af52116abfp-14, 0x1.4c696908ce5b1p-14, 0x1.52a92b196c4c8p-14, 0x1.58ca9922d69dfp-14, 0x1.5ece10b8c4cacp-14, 0x1.64b3ef299e4ddp-14, 0x1.6a7c91773815ap-14, 0x1.7028544ed9dd6p-14, 0x1.75b79403962d8p-14, 0x1.7b2aac863b2b9p-14, 0x1.8081f95f84981p-14, 0x1.85bdd5a9885c3p-14, 0x1.8ade9c0a7877bp-14, 0x1.8fe4a6aeccb51p-14, 0x1.94d04f42cfa4ep-14, 0x1.99a1eeeecb5a4p-14, 0x1.9e59de517d29cp-14, 0x1.a2f8757bd2875p-14, 0x1.a77e0bebe8bdfp-14, 0x1.abeaf889b6b19p-14, 0x1.b03f91a2555d9p-14, 0x1.b47c2ce40970cp-14, 0x1.b8a11f5b82f09p-14, 0x1.bcaebd70467dp-14, 0x1.c0a55ae0db223p-14, 0x1.c4854ac041d36p-14, 0x1.c84edf7353ae5p-14, 0x1.cc026aae62e5p-14, 0x1.cfa03d71cf3e1p-14, 0x1.d328a80865f2cp-14, 0x1.d69bfa050298fp-14, 0x1.d9fa8240e2652p-14, 0x1.dd448ed9d6ff5p-14, 0x1.e07a6d2ff7a3cp-14, 0x1.e39c69e51bd44p-14, 0x1.e6aad0da40cfep-14, 0x1.e9a5ed2f7b29cp-14, 0x1.ec8e094261761p-14, 0x1.ef636eacd2d67p-14, 0x1.f2266643fe612p-14, 0x1.f4d738182413ep-14, 0x1.f7762b73c041fp-14, 0x1.fa0386daaa663p-14, 0x1.fc7f9009fa1d7p-14, 0x1.feea8bf8192a5p-14, 0x1.00a25f69dd529p-13, 0x1.01c73602014f2p-13, 0x1.02e3eb146715fp-13, 0x1.03f89f8d3694ap-13, 0x1.050573f4de9e1p-13, 0x1.060a8870226cdp-13, 0x1.0707fcc07669dp-13, 0x1.07fdf0444bd5p-13, 0x1.08ec81f6ce1e5p-13, 0x1.09d3d07087baap-13, 0x1.0ab3f9e777c19p-13, 0x1.0b8d1c2f6f9a9p-13, 0x1.0c5f54ba902ffp-13, 0x1.0d2ac09999324p-13, 0x1.0def7c7c6c99bp-13, 0x1.0eada4b21159cp-13, 0x1.0f655529b7b04p-13, 0x1.1016a9730c02fp-13, 0x1.10c1bcbe9f5b6p-13, 0x1.1166a9de4a7b1p-13, 0x1.12058b461c8c8p-13, 0x1.129e7b0ca97fdp-13, 0x1.133192ebf0a07p-13, 0x1.13beec41b13ffp-13, 0x1.1446a01028c39p-13, 0x1.14c8c6fea828fp-13, 0x1.1545795a6c327p-13, 0x1.15bccf172bb77p-13, 0x1.162edfcfe6cedp-13, 0x1.169bc2c75be6dp-13, 0x1.17038ee928001p-13, 0x1.17665aca21a6ap-13, 0x1.17c43ca9496fdp-13, 0x1.181d4a70b7c4cp-13, 0x1.187199b606447p-13, 0x1.18c13fbb5245cp-13, 0x1.190c516fe62cfp-13, 0x1.1952e37136861p-13, 0x1.19950a0b97108p-13, 0x1.19d2d93af9b27p-13, 0x1.1a0c64abb755bp-13, 0x1.1a41bfbb9268fp-13, 0x1.1a72fd7a7152fp-13, 0x1.1aa030ab1c7fbp-13, 0x1.1ac96bc451ff6p-13, 0x1.1aeec0f161595p-13, 0x1.1b10421310545p-13, 0x1.1b2e00c05ad15p-13, 0x1.1b480e4778e76p-13, 0x1.1b5e7baec0f83p-13, 0x1.1b7159b54b9eap-13, 0x1.1b80b8d40a01p-13, 0x1.1b8ca93e73a83p-13, 0x1.1b953ae33e3eap-13, 0x1.1b9a7d6d8a678p-13, 0x1.1b9c804594493p-13, 0x1.1b9b52917f1d7p-13, 0x1.1b9703363578ep-13, 0x1.1b8fa0d84d2cbp-13, 0x1.1b8539dceec2ep-13, 0x1.1b77dc6a8ff14p-13, 0x1.1b679669b70e2p-13, 0x1.1b547585d509dp-13, 0x1.1b3e872e3d213p-13, 0x1.1b25d896e76cp-13, 0x1.1b0a76b9568bfp-13, 0x1.1aec6e554aea9p-13, 0x1.1acbcbf187fbdp-13, 0x1.1aa89bdccdbd5p-13, 0x1.1a82ea2e820cap-13, 0x1.1a5ac2c78aa06p-13, 0x1.1a30315329b5ap-13, 0x1.1a034147b79c1p-13, 0x1.19d3fde763772p-13, 0x1.19a272410b6a4p-13, 0x1.196ea930eb563p-13, 0x1.1938ad61716aep-13, 0x1.1900894c0c6b5p-13, 0x1.18c64739e0b9p-13, 0x1.1889f1446a75p-13, 0x1.184b9156727fp-13, 0x1.180b312cb7cb1p-13, 0x1.17c8da569a84dp-13, 0x1.17849636da1c7p-13, 0x1.173e6e04543aep-13, 0x1.16f66acab632ap-13, 0x1.16ac956b29f04p-13, 0x1.1660f69d27d82p-13, 0x1.161396ef02637p-13, 0x1.15c47ec6b54a5p-13, 0x1.1573b662639d8p-13, 0x1.152145d92356dp-13, 0x1.14cd351bb998fp-13, 0x1.14778bf519afep-13, 0x1.1420520b0acc9p-13, 0x1.13c78edeec602p-13, 0x1.136d49ce4aba6p-13, 0x1.13118a138dc71p-13, 0x1.12b456c67ba8bp-13, 0x1.1255b6dccb89cp-13, 0x1.11f5b12ae7445p-13, 0x1.11944c64744aep-13, 0x1.11318f1ce1f8bp-13, 0x1.10cd7fc7fe3p-13, 0x1.106824ba92fa9p-13, 0x1.1001842aecbe9p-13, 0x1.0f99a4317d466p-13, 0x1.0f308ac95ac0fp-13, 0x1.0ec63dd0c8aabp-13, 0x1.0e5ac309a8647p-13, 0x1.0dee201a30f2bp-13, 0x1.0d805a8d68965p-13, 0x1.0d1177d390e31p-13, 0x1.0ca17d42ce47cp-13, 0x1.0c30701784d5p-13, 0x1.0bbe5574f3292p-13, 0x1.0b4b32658d69ap-13, 0x1.0ad70bdb90143p-13, 0x1.0a61e6b1854d6p-13, 0x1.09ebc7aa9b586p-13, 0x1.0974b3732c998p-13, 0x1.08fcaea145cb5p-13, 0x1.0883bdb4f70eep-13, 0x1.0809e518d038cp-13, 0x1.078f29225a699p-13, 0x1.07138e1262d0dp-13, 0x1.06971815872fdp-13, 0x1.0619cb449abb1p-13, 0x1.059baba5187ecp-13, 0x1.051cbd296b6d3p-13, 0x1.049d03b169c52p-13, 0x1.041c830ab2be4p-13, 0x1.039b3ef107b55p-13, 0x1.03193b0eac8c5p-13, 0x1.02967afccabf2p-13, 0x1.02130243e02d3p-13, 0x1.018ed45bf60b2p-13, 0x1.0109f4ad0facap-13, 0x1.0084668f91332p-13, 0x1.fffc5a98e7977p-14, 0x1.feee983b4fb93p-14, 0x1.fddf8c5cf2008p-14, 0x1.fccf3d376d1b2p-14, 0x1.fbbdb0e871ccbp-14, 0x1.faaaed71f72c6p-14, 0x1.f996f8bb3e0d8p-14, 0x1.f881d89130795p-14, 0x1.f76b92a6f733dp-14, 0x1.f6542c969f779p-14, 0x1.f53babe178a26p-14, 0x1.f42215f0ddf8p-14, 0x1.f3077016ad878p-14, 0x1.f1ebbf8dd67b5p-14, 0x1.f0cf097aadc49p-14, 0x1.efb152ebbf124p-14, 0x1.ee92a0da0dab6p-14, 0x1.ed72f829b4c32p-14, 0x1.ec525daa7061ap-14, 0x1.eb30d617c6d2bp-14, 0x1.ea0e6619e0d22p-14, 0x1.e8eb1245ad934p-14, 0x1.e7c6df1d934b2p-14, 0x1.e6a1d111ceaacp-14, 0x1.e57bec80baedap-14, 0x1.e45535b7675fp-14, 0x1.e32db0f1ef9ebp-14, 0x1.e205625bed1f4p-14, 0x1.e0dc4e10c2ceap-14, 0x1.dfb2781c01f7bp-14, 0x1.de87e479ef90fp-14, 0x1.dd5c97179ba77p-14, 0x1.dc3093d3b7bdep-14, 0x1.db03de7e72c58p-14, 0x1.d9d67ad9f7378p-14, 0x1.d8a86c9ae594cp-14, 0x1.d779b76871387p-14, 0x1.d64a5edcf9777p-14, 0x1.d51a66861ba3ep-14, 0x1.d3e9d1e4f3e74p-14, 0x1.d2b8a46eb661dp-14, 0x1.d186e18cc8631p-14, 0x1.d0548c9d1e161p-14, 0x1.cf21a8f251ed2p-14, 0x1.cdee39d42d8a5p-14, 0x1.ccba427fd4fbcp-14, 0x1.cb85c627f02a2p-14, 0x1.ca50c7f4fdb6ep-14, 0x1.c91b4b0593d5ep-14, 0x1.c7e5526e9d8d7p-14, 0x1.c6aee13bb4c8ap-14, 0x1.c577fa6f22574p-14, 0x1.c440a10242cf6p-14, 0x1.c308d7e59891p-14, 0x1.c1d0a2013d438p-14, 0x1.c0980234ee721p-14, 0x1.bf5efb583c61fp-14, 0x1.be25903acaecap-14, 0x1.bcebc3a468eacp-14, 0x1.bbb198557fe4ep-14, 0x1.ba77110703dcep-14, 0x1.b93c306ab5f52p-14, 0x1.b800f92b5e15dp-14, 0x1.b6c56dece4259p-14, 0x1.b589914c8f161p-14, 0x1.b44d65e0e6446p-14, 0x1.b310ee3a4a981p-14, 0x1.b1d42ce2cd14bp-14, 0x1.b097245e687edp-14, 0x1.af59d72b25639p-14, 0x1.ae1c47c157586p-14, 0x1.acde789383c27p-14, 0x1.aba06c0eb2e7ap-14, 0x1.aa62249a7abd2p-14, 0x1.a923a4994c5e2p-14, 0x1.a7e4ee684c69ap-14, 0x1.a6a6045f920fbp-14, 0x1.a566e8d24b18ap-14, 0x1.a4279e0eb84acp-14, 0x1.a2e8265e9419p-14, 0x1.a1a88406c0216p-14, 0x1.a068b947bf7e3p-14, 0x1.9f28c85d8be68p-14, 0x1.9de8b37fd8835p-14, 0x1.9ca87ce20019ep-14, 0x1.9b6826b33ba15p-14, 0x1.9a27b31ec47cep-14, 0x1.98e7244bbbcd9p-14, 0x1.97a67c5d52145p-14, 0x1.9665bd72f6362p-14, 0x1.9524e9a825bf4p-14, 0x1.93e40314e452bp-14, 0x1.92a30bcd5d72fp-14, 0x1.916205e245c95p-14, 0x1.9020f360b12c8p-14, 0x1.8edfd65256008p-14, 0x1.8d9eb0bd862fcp-14, 0x1.8c5d84a5494a6p-14, 0x1.8b1c540929b91p-14, 0x1.89db20e5b3bd8p-14, 0x1.8899ed3412ba5p-14, 0x1.8758baea7e2fdp-14, 0x1.86178bfbeb5f2p-14, 0x1.84d662584e808p-14, 0x1.83953fecc4bc7p-14, 0x1.825426a32505ep-14, 0x1.81131862a7747p-14, 0x1.7fd2170f66ce9p-14, 0x1.7e91248aca481p-14, 0x1.7d5042b340553p-14, 0x1.7c0f7364988f2p-14, 0x1.7aceb877c6741p-14, 0x1.798e13c3028cbp-14, 0x1.784d8719daa31p-14, 0x1.770d144d2696cp-14, 0x1.75ccbd2b1abd5p-14, 0x1.748c837f4d499p-14, 0x1.734c6912c033fp-14, 0x1.720c6fabd4707p-14, 0x1.70cc990e5d34dp-14, 0x1.6f8ce6fbb1ce6p-14, 0x1.6e4d5b327b314p-14, 0x1.6d0df76efbaabp-14, 0x1.6bcebd6b0b18fp-14, 0x1.6a8faeddcb6ffp-14, 0x1.6950cd7c339dbp-14, 0x1.68121af872743p-14, 0x1.66d39902a43f6p-14, 0x1.659549480762ep-14, 0x1.64572d73cfd7cp-14, 0x1.6319472e93d05p-14, 0x1.61db981e89828p-14, 0x1.609e21e792af8p-14, 0x1.5f60e62b121fdp-14, 0x1.5e23e6881cd16p-14, 0x1.5ce7249b5b29ap-14, 0x1.5baaa1ff27f17p-14, 0x1.5a6e604b61db1p-14, 0x1.59326115a46f2p-14, 0x1.57f6a5f119924p-14, 0x1.56bb306eb63acp-14, 0x1.5580021ccff94p-14, 0x1.54451c879d986p-14, 0x1.530a8138d23b3p-14, 0x1.51d031b7ea773p-14, 0x1.50962f89e38d3p-14, 0x1.4f5c7c3176517p-14, 0x1.4e23192efae36p-14, 0x1.4cea080076e8bp-14, 0x1.4bb14a21747aep-14, 0x1.4a78e10b4868cp-14, 0x1.4940ce34cb989p-14, 0x1.48091312a062fp-14, 0x1.46d1b116bb23cp-14, 0x1.459aa9b126c31p-14, 0x1.4463fe4f093a9p-14, 0x1.432db05ba2d8bp-14, 0x1.41f7c13f727a5p-14, 0x1.40c23260e3337p-14, 0x1.3f8d0523bf136p-14, 0x1.3e583ae9900fbp-14, 0x1.3d23d511570efp-14, 0x1.3befd4f7e2eb1p-14, 0x1.3abc3bf75902p-14, 0x1.39890b67b54aap-14, 0x1.3856449e45bedp-14, 0x1.3723e8ee41233p-14, 0x1.35f1f9a81849fp-14, 0x1.34c0781a1d6d3p-14, 0x1.338f658fe2c68p-14, 0x1.325ec352eabcdp-14, 0x1.312e92a9df64dp-14, 0x1.2ffed4d945edp-14, 0x1.2ecf8b22f80c8p-14, 0x1.2da0b6c69580dp-14, 0x1.2c725900f8fb5p-14, 0x1.2b44730cc69ffp-14, 0x1.2a17062213eep-14, 0x1.28ea13765fa4cp-14, 0x1.27bd9c3cd9481p-14, 0x1.2691a1a6212cbp-14, 0x1.256624e052eb2p-14, 0x1.243b271713f72p-14, 0x1.2310a97377e1cp-14, 0x1.21e6ad1c1f553p-14, 0x1.20bd333524fccp-14, 0x1.1f943ce00b81p-14, 0x1.1e6bcb3be5576p-14, 0x1.1d43df65325a5p-14, 0x1.1c1c7a760fe22p-14, 0x1.1af59d85d2166p-14, 0x1.19cf49a9845f7p-14, 0x1.18a97ff3686abp-14, 0x1.17844173674bbp-14, 0x1.165f8f36bb8efp-14, 0x1.153b6a48315bp-14, 0x1.1417d3afd1f3fp-14, 0x1.12f4cc736b612p-14, 0x1.11d25595dc1aap-14, 0x1.10b07017c7b8p-14, 0x1.0f8f1cf6e43cap-14, 0x1.0e6e5d2ec54b6p-14, 0x1.0d4e31b7f47c8p-14, 0x1.0c2e9b88dc17cp-14, 0x1.0b0f9b95059adp-14, 0x1.09f132cd831cp-14, 0x1.08d36220c3b1ap-14, 0x1.07b62a7aae498p-14, 0x1.06998cc491164p-14, 0x1.057d89e5143abp-14, 0x1.046222c05eb7cp-14, 0x1.03475838023f3p-14, 0x1.022d2b2af684fp-14, 0x1.01139c75982a2p-14, 0x1.fff559e36c7fdp-15, 0x1.fdc4baed0bb2bp-15, 0x1.fb955db146408p-15, 0x1.f96743d42080cp-15, 0x1.f73a6ef48e7ap-15, 0x1.f50ee0ac2abe8p-15, 0x1.f2e49a8fbef8ap-15, 0x1.f0bb9e2e7e1ecp-15, 0x1.ee93ed12b9505p-15, 0x1.ec6d88c191a78p-15, 0x1.ea4872bad5fe9p-15, 0x1.e824ac7963229p-15, 0x1.e6023772d4ec2p-15, 0x1.e3e11517cc24ap-15, 0x1.e1c146d37c506p-15, 0x1.dfa2ce0c6425fp-15, 0x1.dd85ac23543cbp-15, 0x1.db69e2747fc9ap-15, 0x1.d94f7256b3f13p-15, 0x1.d7365d1bb6e5p-15, 0x1.d51ea41047879p-15, 0x1.d308487bf177cp-15, 0x1.d0f34ba17759dp-15, 0x1.cedfaebe0f90bp-15, 0x1.cccd730a6691ap-15, 0x1.cabc99b9b2e6fp-15, 0x1.c8ad23fa5866p-15, 0x1.c69f12f59df72p-15, 0x1.c49267cfc7864p-15, 0x1.c28723a82d123p-15, 0x1.c07d4798f0741p-15, 0x1.be74d4b7a14ep-15, 0x1.bc6dcc143ab77p-15, 0x1.ba682eba7fa3p-15, 0x1.b863fdb07a152p-15, 0x1.b66139f7f5cd9p-15, 0x1.b45fe48d4b83p-15, 0x1.b25ffe687de03p-15, 0x1.b061887bfc761p-15, 0x1.ae6483b606fa1p-15, 0x1.ac68f0ff4fcbep-15, 0x1.aa6ed13c51265p-15, 0x1.a876254c3360cp-15, 0x1.a67eee098fd9bp-15, 0x1.a4892c4a30788p-15, 0x1.a294e0df08795p-15, 0x1.a0a20c9467397p-15, 0x1.9eb0b031a38cep-15, 0x1.9cc0cc79a168cp-15, 0x1.9ad2622a29a23p-15, 0x1.98e571fcdb532p-15, 0x1.96f9fca5ff02dp-15, 0x1.951002d5f1758p-15, 0x1.93278537a8a66p-15, 0x1.9140847241e5ep-15, 0x1.8f5b01276fc4dp-15, 0x1.8d76fbf52561ap-15, 0x1.8b94757402e29p-15, 0x1.89b36e389accdp-15, 0x1.87d3e6d2d888dp-15, 0x1.85f5dfce0459p-15, 0x1.841959b14ec81p-15, 0x1.823e54fedd1bp-15, 0x1.8064d23511e67p-15, 0x1.7e8cd1cd257d3p-15, 0x1.7cb6543cb29d9p-15, 0x1.7ae159f4153afp-15, 0x1.790de36033b21p-15, 0x1.773bf0e8c0bfep-15, 0x1.756b82f1fa9fcp-15, 0x1.739c99db2a415p-15, 0x1.71cf35ffca5c8p-15, 0x1.700357b6d5196p-15, }}, 
      {{0x1.fd3185ed21564p-1, 0x1.fcf1ac241f5f5p-1, 0x1.fc8a6d6cce78cp-1, 0x1.fbff6fefbed73p-1, 0x1.fb54a60d84f3ap-1, 0x1.fa8df44529b96p-1, 0x1.f9aefabf032a2p-1, 0x1.f8baf73181c2p-1, 0x1.f7b4b73058464p-1, 0x1.f69e9554e306dp-1, 0x1.f57a7d5b26b0fp-1, 0x1.f449f47d6fccep-1, 0x1.f30e242e9221p-1, 0x1.f1c7e5ea0ffc3p-1, 0x1.f077cf3c70361p-1, 0x1.ef1e3d71b0492p-1, 0x1.edbb608d32054p-1, 0x1.ec4f455422be5p-1, 0x1.ead9de4dbd7ccp-1, 0x1.e95b0baf284e2p-1, 0x1.e7d2a235325adp-1, 0x1.e64070f6b4976p-1, 0x1.e4a4463fb978ap-1, 0x1.e2fdf388e26edp-1, 0x1.e14d50a034027p-1, 0x1.df923e19157ap-1, 0x1.ddcca7191fe49p-1, 0x1.dbfc8296a21aap-1, 0x1.da21d41ca20dcp-1, 0x1.d83cac26d26dep-1, 0x1.d64d282672d3p-1, 0x1.d453723f89a26p-1, 0x1.d24fc0cc5637bp-1, 0x1.d04255b34f5dfp-1, 0x1.ce2b7d9a90084p-1, 0x1.cc0b8f0228135p-1, 0x1.c9e2e94d80839p-1, 0x1.c7b1f3c2c98ddp-1, 0x1.c5791c8654bf6p-1, 0x1.c338d796bb006p-1, 0x1.c0f19dcdcf9dcp-1, 0x1.bea3ebe98ffb4p-1, 0x1.bc50419f966eap-1, 0x1.b9f720bcf132dp-1, 0x1.b7990c53bf7ccp-1, 0x1.b53687f78231dp-1, 0x1.b2d01708a629fp-1, 0x1.b0663c0f8326p-1, 0x1.adf97826c605ap-1, 0x1.ab8a4a74ff6cap-1, 0x1.a9192fb4ebc11p-1, 0x1.a6a6a1cbe440fp-1, 0x1.a433176dcd373p-1, 0x1.a1bf03cdc46c7p-1, 0x1.9f4ad65ac9782p-1, 0x1.9cd6fa878b4d4p-1, 0x1.9a63d79c8afbfp-1, 0x1.97f1d093bec97p-1, 0x1.958143fce792fp-1, 0x1.93128be9ce64p-1, 0x1.90a5fde1a8f4bp-1, 0x1.8e3beadaec90bp-1, 0x1.8bd49f3addf0bp-1, 0x1.897062da3cd68p-1, 0x1.870f790e710c1p-1, 0x1.84b220b6a6fa3p-1, 0x1.8258944c5c848p-1, 0x1.800309f6e2cc3p-1, 0x1.7db1b3a166e7p-1, 0x1.7b64bf131c9acp-1, 0x1.791c56093164ep-1, 0x1.76d89e5234ae4p-1, 0x1.7499b9eaad7c1p-1, 0x1.725fc71a9a1a4p-1, 0x1.702ae093a2553p-1, 0x1.6dfb1d8fc5f28p-1, 0x1.6bd091f05e111p-1, 0x1.69ab4e5d47373p-1, 0x1.678b6064134bdp-1, 0x1.6570d29725ca5p-1, 0x1.635bacaca1901p-1, 0x1.614bf39d119d8p-1, 0x1.5f41a9c1bba37p-1, 0x1.5d3ccef28da0fp-1, 0x1.5b3d60a3980e5p-1, 0x1.59435a020ce35p-1, 0x1.574eb410ba3aep-1, 0x1.555f65c3f91c5p-1, 0x1.5375641d0c72bp-1, 0x1.5190a244ed1fap-1, 0x1.4fb111a67f33bp-1, 0x1.4dd6a2082e193p-1, 0x1.4c0141a4f1e4fp-1, 0x1.4a30dd44b9669p-1, 0x1.486560543a4a6p-1, 0x1.469eb4fc2bb2cp-1, 0x1.44dcc437e4775p-1, 0x1.431f75eb66b82p-1, 0x1.4166b0f8d29b2p-1, 0x1.3fb25b5546cddp-1, 0x1.3e025a1d2d78dp-1, 0x1.3c5691a7f8b9ep-1, 0x1.3aaee59b4e33p-1, 0x1.390b38fda6157p-1, 0x1.376b6e485c8edp-1, 0x1.35cf677938acp-1, 0x1.34370623695b5p-1, 0x1.32a22b7ffa5p-1, 0x1.3110b87dc2c1fp-1, 0x1.2f828dd0ce799p-1, 0x1.2df78c014242ap-1, 0x1.2c6f9379be67cp-1, 0x1.2aea84953f003p-1, 0x1.29683fac7d92dp-1, 0x1.27e8a522d1a4ep-1, 0x1.266b95729498bp-1, 0x1.24f0f139094dfp-1, 0x1.23789941c783cp-1, 0x1.22026e91aef07p-1, 0x1.208e52715f6d6p-1, 0x1.1f1c26773b0bcp-1, 0x1.1dabcc90f1dadp-1, 0x1.1c3d270c98e9cp-1, 0x1.1ad018a14d658p-1, 0x1.1964847766778p-1, 0x1.17fa4e3036c4cp-1, 0x1.169159ed5f18cp-1, 0x1.15298c57b2ac8p-1, 0x1.13c2caa5b1df6p-1, 0x1.125cfaa19886fp-1, 0x1.10f802af074f3p-1, 0x1.0f93c9d043fe1p-1, 0x1.0e3037ab1618ep-1, 0x1.0ccd348d41aeep-1, 0x1.0b6aa970a19ap-1, 0x1.0a087ffee16edp-1, 0x1.08a6a294ddb38p-1, 0x1.0744fc45a74b1p-1, 0x1.05e378dd2f92ap-1, 0x1.048204e29f659p-1, 0x1.03208d9a58253p-1, 0x1.01bf0107a5cf5p-1, 0x1.005d4dee1f47p-1, 0x1.fdf6c7a5765f3p-2, 0x1.fb3265f931649p-2, 0x1.f86d58eb05fcfp-2, 0x1.f5a7841454ecfp-2, 0x1.f2e0cc943a6afp-2, 0x1.f019190efbaa9p-2, 0x1.ed5051acf46c9p-2, 0x1.ea8660190eb0ap-2, 0x1.e7bb2f7ec4183p-2, 0x1.e4eeac87aeb2ap-2, 0x1.e220c558b18d5p-2, 0x1.df51698eb9788p-2, 0x1.dc808a3b1c9ap-2, 0x1.d9ae19df9d331p-2, 0x1.d6da0c6a12ae2p-2, 0x1.d404572fc06e2p-2, 0x1.d12cf0e85c92bp-2, 0x1.ce53d1a8cb86dp-2, 0x1.cb78f2dd9531fp-2, 0x1.c89c4f4516de3p-2, 0x1.c5bde2e9786d8p-2, 0x1.c2ddab1a646c5p-2, 0x1.bffba6668ee2dp-2, 0x1.bd17d495052c2p-2, 0x1.ba32369e51d21p-2, 0x1.b74acea576a1cp-2, 0x1.b4619ff0bdd88p-2, 0x1.b176aee26b364p-2, 0x1.ae8a00f1496fbp-2, 0x1.ab9b9ca12051ap-2, 0x1.a8ab897b0d6c9p-2, 0x1.a5b9d005cab7dp-2, 0x1.a2c679bde0899p-2, 0x1.9fd1910dc90acp-2, 0x1.9cdb214608acdp-2, 0x1.99e33695396d1p-2, 0x1.96e9de0014569p-2, 0x1.93ef255972373p-2, 0x1.90f31b3a4d36fp-2, 0x1.8df5cef9c34f6p-2, 0x1.8af750a51cb95p-2, 0x1.87f7b0f7d4fd6p-2, 0x1.84f70153afe4cp-2, 0x1.81f553b8d5e41p-2, 0x1.7ef2babdfbf57p-2, 0x1.7bef49889c28ep-2, 0x1.78eb13c539a45p-2, 0x1.75e62d9fbb822p-2, 0x1.72e0abbbd4e14p-2, 0x1.6fdaa32d86e85p-2, 0x1.6cd42971b4606p-2, 0x1.69cd5466cfb2dp-2, 0x1.66c63a45a1888p-2, 0x1.63bef19a295bbp-2, 0x1.60b7913c96aafp-2, 0x1.5db0304a63285p-2, 0x1.5aa8e61f866adp-2, 0x1.57a1ca4fca9bfp-2, 0x1.549af4a03cdacp-2, 0x1.51947d00c3007p-2, 0x1.4e8e7b85cae7fp-2, 0x1.4b890862222b3p-2, 0x1.48843be0ec394p-2, 0x1.45802e5fb9d98p-2, 0x1.427cf848c6815p-2, 0x1.3f7ab20d57874p-2, 0x1.3c7974203ef61p-2, 0x1.397956f083c1dp-2, 0x1.367a72e42cbb8p-2, 0x1.337ce05331c85p-2, 0x1.3080b7829047dp-2, 0x1.2d86109f84dc6p-2, 0x1.2a8d03baea251p-2, 0x1.2795a8c4bdbb1p-2, 0x1.24a01787c85e2p-2, 0x1.21ac67a56b129p-2, 0x1.1ebab09192125p-2, 0x1.1bcb098eccaeep-2, 0x1.18dd89aa86a0ep-2, 0x1.15f247b96c007p-2, 0x1.13095a53e9631p-2, 0x1.1022d7d2d633p-2, 0x1.0d3ed64c3f914p-2, 0x1.0a5d6b9056676p-2, 0x1.077ead26826bp-2, 0x1.04a2b04a94cb2p-2, 0x1.01c989ea1e7e1p-2, 0x1.fde69d43d45cbp-3, 0x1.f8402577265e9p-3, 0x1.f29fd4568102dp-3, 0x1.ed05d11b00c5ap-3, 0x1.e772424a7f293p-3, 0x1.e1e54db3cea88p-3, 0x1.dc5f186b25489p-3, 0x1.d6dfc6c6cd88p-3, 0x1.d1677c5c115cdp-3, 0x1.cbf65bfc59f8ap-3, 0x1.c68c87b290a44p-3, 0x1.c12a20c0b3813p-3, 0x1.bbcf479da3779p-3, 0x1.b67c1bf326098p-3, 0x1.b130bc9c1beep-3, 0x1.abed47a2ec719p-3, 0x1.a6b1da40267ffp-3, 0x1.a17e90d94a233p-3, 0x1.9c5386ffc88cap-3, 0x1.9730d77032bb9p-3, 0x1.92169c1194201p-3, 0x1.8d04edf4f693fp-3, 0x1.87fbe5551796dp-3, 0x1.82fb9996419a5p-3, 0x1.7e04214653ec4p-3, 0x1.7915921ce96afp-3, 0x1.743000fbac153p-3, 0x1.6f5381eed1109p-3, 0x1.6a80282da8ebp-3, 0x1.65b6061b6827dp-3, 0x1.60f52d47fa5bp-3, 0x1.5c3dae710cae8p-3, 0x1.578f99832133ep-3, 0x1.52eafd9acff2bp-3, 0x1.4e4fe9061d13ep-3, 0x1.49be6945f15a5p-3, 0x1.45368b0f9fcep-3, 0x1.40b85a4e97618p-3, 0x1.3c43e2261d638p-3, 0x1.37d92cf324f77p-3, 0x1.3378444e3e4ddp-3, 0x1.2f21310d99363p-3, 0x1.2ad3fb471e908p-3, 0x1.2690aa529289bp-3, 0x1.225744cbdae8ep-3, 0x1.1e27d095439ap-3, 0x1.1a0252d9e2e37p-3, 0x1.15e6d0100200bp-3, 0x1.11d54bfb9917fp-3, 0x1.0dcdc9b0da231p-3, 0x1.09d04b96c3c35p-3, 0x1.05dcd369c3096p-3, 0x1.01f3623e5eea3p-3, 0x1.fc27f107de463p-4, 0x1.f47d2c0eb44eap-4, 0x1.ece673ebbcfa6p-4, 0x1.e563c5bfbd7d1p-4, 0x1.ddf51d777758p-4, 0x1.d69a75d15e436p-4, 0x1.cf53c8635520dp-4, 0x1.c8210da088d64p-4, 0x1.c1023cdf3ed7bp-4, 0x1.b9f74c5eb1c4ap-4, 0x1.b300314cefc74p-4, 0x1.ac1cdfccd195p-4, 0x1.a54d4afbd0023p-4, 0x1.9e9164f800494p-4, 0x1.97e91ee5fbeabp-4, 0x1.915468f6cc6a7p-4, 0x1.8ad3326ddc55cp-4, 0x1.846569a6dde71p-4, 0x1.7e0afc1bb4a78p-4, 0x1.77c3d66a596fdp-4, 0x1.718fe45ab5f6fp-4, 0x1.6b6f10e47facbp-4, 0x1.65614635096edp-4, 0x1.5f666db50d25ep-4, 0x1.597e700e7183dp-4, 0x1.53a93531fe57ap-4, 0x1.4de6a45d0fd3p-4, 0x1.4836a41f3c443p-4, 0x1.42991a5fec16fp-4, 0x1.3d0dec63eb804p-4, 0x1.3794fed2eb198p-4, 0x1.322e35bcf7831p-4, 0x1.2cd9749fe023p-4, 0x1.27969e6c9328ep-4, 0x1.2265958c6af79p-4, 0x1.1d463be669702p-4, 0x1.183872e469ea3p-4, 0x1.133c1b783e3c9p-4, 0x1.0e511620bbf11p-4, 0x1.097742eec29b7p-4, 0x1.04ae818a1fb5cp-4, 0x1.ffed626cec02ap-5, 0x1.f69f61b003c9fp-5, 0x1.ed72bdf0b218cp-5, 0x1.e467339622ca9p-5, 0x1.db7c7e64b0365p-5, 0x1.d2b25986f1208p-5, 0x1.ca087f9696d3ep-5, 0x1.c17eaaa531305p-5, 0x1.b9149444d14d7p-5, 0x1.b0c9f5906d7bdp-5, 0x1.a89e8734410ep-5, 0x1.a0920175f3d54p-5, 0x1.98a41c3c93e1cp-5, 0x1.90d48f187e5e6p-5, 0x1.8923114b1298ap-5, 0x1.818f59ce43406p-5, 0x1.7a191f5c025d4p-5, 0x1.72c01875868efp-5, 0x1.6b83fb6a6723fp-5, 0x1.64647e5f94a6ap-5, 0x1.5d6157562a5c5p-5, 0x1.567a3c321fbffp-5, 0x1.4faee2c0c20b5p-5, 0x1.48ff00bf20bb6p-5, 0x1.426a4be040612p-5, 0x1.3bf079d32ed5dp-5, 0x1.35914048fa3bap-5, 0x1.2f4c54fa72831p-5, 0x1.29216dadd3b79p-5, 0x1.2310403c42354p-5, 0x1.1d1882972f4adp-5, 0x1.1739eacd8c407p-5, 0x1.11742f10ddb34p-5, 0x1.0bc705ba2e38ep-5, 0x1.0632254ee0fdbp-5, 0x1.00b54485575a6p-5, 0x1.f6a03492f6a3dp-6, 0x1.ec04bb825631cp-6, 0x1.e1978ca0eba33p-6, 0x1.d758173b8b444p-6, 0x1.cd45cb2bc62d3p-6, 0x1.c36018dfa7239p-6, 0x1.b9a671613fa1dp-6, 0x1.b018465de60ebp-6, 0x1.a6b50a2d3dc58p-6, 0x1.9d7c2fd8061edp-6, 0x1.946d2b1e9f961p-6, 0x1.8b87707f61151p-6, 0x1.82ca753c9f24p-6, 0x1.7a35af62a2e9dp-6, 0x1.71c895cd26074p-6, 0x1.6982a02ce0be4p-6, 0x1.6163470c9a22cp-6, 0x1.596a03d636e41p-6, 0x1.519650d77cc9ep-6, 0x1.49e7a94698f9cp-6, 0x1.425d894683c0ap-6, 0x1.3af76deb25bc7p-6, 0x1.33b4d53d4ddf1p-6, 0x1.2c953e3e800a3p-6, 0x1.259828ec7f688p-6, 0x1.1ebd1644b9d0ep-6, 0x1.180388477c466p-6, 0x1.116b01fb06652p-6, 0x1.0af3076e5baa1p-6, 0x1.049b1dbc048b5p-6, 0x1.fcc596190450dp-7, 0x1.f0932d317fbcap-7, 0x1.e49e11587488cp-7, 0x1.d8e5554e2bf2fp-7, 0x1.cd680dfff6ab3p-7, 0x1.c225528bb895p-7, 0x1.b71c3c43190efp-7, 0x1.ac4be6ae6a0a1p-7, 0x1.a1b36f8f583f5p-7, 0x1.9751f6e32d9d7p-7, 0x1.8d269ee517f09p-7, 0x1.83308c0fcadf7p-7, 0x1.796ee51f39d6p-7, 0x1.6fe0d311f3a47p-7, 0x1.6685812a2844ep-7, 0x1.5d5c1cee927bp-7, 0x1.5463d62b15746p-7, 0x1.4b9bdef138a2p-7, 0x1.43036b985a3e4p-7, 0x1.3a99b2bd985c8p-7, 0x1.325ded43bca4dp-7, 0x1.2a4f5652beee7p-7, 0x1.226d2b573dffep-7, 0x1.1ab6ac01acep-7, 0x1.132b1a4565b1ap-7, 0x1.0bc9ba578c6cap-7, 0x1.0491d2adb002ep-7, 0x1.fb0557f8d23eap-8, 0x1.ed37226b61669p-8, 0x1.dfb79f0e2978cp-8, 0x1.d2856cafb96e8p-8, 0x1.c59f2e8dd3108p-8, 0x1.b9038c5116cc1p-8, 0x1.acb1320843722p-8, 0x1.a0a6d02365133p-8, 0x1.94e31b6e84a0ep-8, 0x1.8964cd0c6a232p-8, 0x1.7e2aa270cb27fp-8, 0x1.73335d5a8a5d8p-8, 0x1.687dc3cd9a025p-8, 0x1.5e08a00cc0c68p-8, 0x1.53d2c0930c34dp-8, 0x1.49daf80d3e522p-8, 0x1.40201d52ee65ap-8, 0x1.36a10b5f7b4f6p-8, 0x1.2d5ca14af7f59p-8, 0x1.2451c242c2685p-8, 0x1.1b7f55822918bp-8, 0x1.12e4464a9c175p-8, 0x1.0a7f83dc2c03dp-8, 0x1.0250016d769d4p-8, 0x1.f4a96c47922dp-9, 0x1.e5193a15fae7cp-9, 0x1.d5ed6a1a76f6ap-9, 0x1.c72401d5827bdp-9, 0x1.b8bb0e62ae606p-9, 0x1.aab0a467d5a5p-9, 0x1.9d02e0041314fp-9, 0x1.8fafe4be357f5p-9, 0x1.82b5dd7362194p-9, 0x1.7612fc45b7708p-9, 0x1.69c57a8a3697dp-9, 0x1.5dcb98b761988p-9, 0x1.52239e5319eccp-9, 0x1.46cbd9e099ff6p-9, 0x1.3bc2a0ce9a049p-9, 0x1.31064f64e935dp-9, 0x1.269548b26e135p-9, 0x1.1c6df67ae7984p-9, 0x1.128ec9245badfp-9, 0x1.08f637a51ebeap-9, 0x1.ff457ee289f31p-10, 0x1.ed25c8d07ddeep-10, 0x1.db8a6184f7a17p-10, 0x1.ca7069fe2efbcp-10, 0x1.b9d50fa2a0982p-10, 0x1.a9b58c1c6d8c3p-10, 0x1.9a0f2534c4fcp-10, 0x1.8adf2caed8a5fp-10, 0x1.7c23002399d6ep-10, 0x1.6dd808dcca1bbp-10, 0x1.5ffbbbb0a7526p-10, 0x1.528b98dd99fb9p-10, 0x1.45852be5d6094p-10, 0x1.38e60b6acb43dp-10, 0x1.2cabd90a18fdep-10, 0x1.20d4413848144p-10, 0x1.155cfb1e1e556p-10, 0x1.0a43c874767b6p-10, 0x1.ff0ceac1254bdp-11, 0x1.ea45b0a2bc9bep-11, 0x1.d62da3b79fab8p-11, 0x1.c2c09930cabf2p-11, 0x1.affa79ffe55a1p-11, 0x1.9dd742924935p-11, 0x1.8c53028d08c86p-11, 0x1.7b69dc88110ecp-11, 0x1.6b1805c9cde1ap-11, 0x1.5b59c6050de5bp-11, 0x1.4c2b7714ef305p-11, 0x1.3d8984bafb7f1p-11, 0x1.2f706c5cb7b2ep-11, 0x1.21dcbcc300763p-11, 0x1.14cb15d7921p-11, 0x1.0838286606127p-11, 0x1.f8416bb60749dp-12, 0x1.e1032009bf7e9p-12, 0x1.caaf31a9e1484p-12, 0x1.b53f8441f18afp-12, 0x1.a0ae1aca6b30cp-12, 0x1.8cf5170de52cep-12, 0x1.7a0eb930f70eap-12, 0x1.67f55f380f8f4p-12, 0x1.56a38492356e3p-12, 0x1.4613c1a018584p-12, 0x1.3640cb41849e8p-12, 0x1.2725726169adep-12, 0x1.18bca3811ad2bp-12, 0x1.0b01664913dc5p-12, 0x1.fbddba2f463f4p-13, 0x1.e300892470bbdp-13, 0x1.cb61e66d155efp-13, 0x1.b4f8b1ddc3c04p-13, 0x1.9fbbfd4a7a9fep-13, 0x1.8ba30bb5181eap-13, 0x1.78a55076c2d5dp-13, 0x1.66ba6e72f2668p-13, 0x1.55da374a95c2bp-13, 0x1.45fcaa8b3a3dfp-13, 0x1.3719f4ed2faffp-13, 0x1.292a6f87bddb1p-13, 0x1.1c269f0eb8711p-13, 0x1.100733115da82p-13, 0x1.04c5053876c3p-13, 0x1.f4b231187ac54p-14, 0x1.e17931708f153p-14, 0x1.cfd1b2a3d44c8p-14, 0x1.bfaeaa48963c3p-14, 0x1.b1035af6dc6fdp-14, 0x1.a3c352e3cb018p-14, 0x1.97e26a851b16cp-14, 0x1.8d54c33a3f524p-14, 0x1.840ec5f490c1ap-14, 0x1.7c0521e633cfp-14, 0x1.752ccb37c0052p-14, 0x1.6f7af9be803a8p-14, 0x1.6ae527bf1ed14p-14, 0x1.676110a4cf2bap-14, 0x1.64e4afd50e60bp-14, 0x1.63663f6d2620cp-14, 0x1.62dc37197e06p-14, 0x1.633d4ae682b3ep-14, 0x1.64806a15db14ep-14, 0x1.669cbdfbe9acap-14, 0x1.6989a8dfdc32ap-14, 0x1.6d3ec4dfb94f3p-14, 0x1.71b3e2d82a8dfp-14, 0x1.76e1095224b5ap-14, 0x1.7cbe73736110bp-14, 0x1.83448ff4dffb6p-14, 0x1.8a6c00160cbcfp-14, 0x1.922d96a0437d1p-14, 0x1.9a8256e344c72p-14, 0x1.a36373bd5fe8cp-14, 0x1.acca4e9f499bbp-14, 0x1.b6b0769ed068bp-14, 0x1.c10fa783d81bep-14, 0x1.cbe1c8dc350cdp-14, 0x1.d720ed15a8d0cp-14, 0x1.e2c75098a4b8ep-14, 0x1.eecf58e6c5471p-14, 0x1.fb3393bec727fp-14, 0x1.03f75b21a9fa3p-13, 0x1.0a7dce11df2c9p-13, 0x1.112aa3672c9a8p-13, 0x1.17fb6e4def3fcp-13, 0x1.1eedd4049a5c5p-13, 0x1.25ff8b755acfcp-13, 0x1.2d2e5cd64fb31p-13, 0x1.34782146640f4p-13, 0x1.3bdac270fa2cp-13, 0x1.43543a2e93da5p-13, 0x1.4ae2922a401f8p-13, 0x1.5283e38786133p-13, 0x1.5a365689ca0bp-13, 0x1.61f8223ca5114p-13, 0x1.69c78c1f8207p-13, 0x1.71a2e7d0bd932p-13, 0x1.798896bbae0fbp-13, 0x1.817707c791267p-13, 0x1.896cb70850815p-13, 0x1.91682d6fdeb2cp-13, 0x1.99680083711c9p-13, 0x1.a16ad20d184b5p-13, 0x1.a96f4fd4e0c27p-13, 0x1.b17433563bb97p-13, 0x1.b9784179fac83p-13, 0x1.c17a4a504e46fp-13, 0x1.c97928cbd0ff4p-13, 0x1.d173c27e69239p-13, 0x1.d96907582293ep-13, 0x1.e157f1657651dp-13, 0x1.e93f84908a299p-13, 0x1.f11ece624f074p-13, 0x1.f8f4e5c5e2761p-13, 0x1.006075661e578p-12, 0x1.04410338f415ep-12, 0x1.081bb53285254p-12, 0x1.0bf0286698f42p-12, 0x1.0fbdfe0a16f1ep-12, 0x1.1384db57e6752p-12, 0x1.1744697617978p-12, 0x1.1afc555c25fe4p-12, 0x1.1eac4fb9275e5p-12, 0x1.22540cdb26d83p-12, 0x1.25f3449631f6bp-12, 0x1.2989b22c8bc31p-12, 0x1.2d171437493c4p-12, 0x1.309b2c8f4d478p-12, 0x1.3415c0366a027p-12, 0x1.37869741bf22cp-12, 0x1.3aed7cc3b7822p-12, 0x1.3e4a3eb6f4e7dp-12, 0x1.419cade9ac68dp-12, 0x1.44e49de92addcp-12, 0x1.4821e4ee49d62p-12, 0x1.4b545bc9a0177p-12, 0x1.4e7bddd0cdd66p-12, 0x1.519848cba55bep-12, 0x1.54a97ce2313ep-12, 0x1.57af5c8aa97b7p-12, 0x1.5aa9cc78230a6p-12, 0x1.5d98b3899d13fp-12, 0x1.607bfab91f4c6p-12, 0x1.63538d0b69c35p-12, 0x1.661f578044945p-12, 0x1.68df4902b0843p-12, 0x1.6b935259c080ep-12, 0x1.6e3b6619dfab4p-12, 0x1.70d7789639272p-12, 0x1.73677fd208f3bp-12, 0x1.75eb7373782eap-12, 0x1.78634cb563779p-12, 0x1.7acf065a62e28p-12, 0x1.7d2e9c9fed62dp-12, 0x1.7f820d31812aap-12, 0x1.81c9571c5819dp-12, 0x1.84047ac363c8dp-12, 0x1.863379d3841f3p-12, 0x1.88565737f8e94p-12, 0x1.8a6d170f5f0adp-12, 0x1.8c77bea062086p-12, 0x1.8e76544f73393p-12, 0x1.9068df940352fp-12, 0x1.924f68ee7d298p-12, 0x1.9429f9de5767p-12, 0x1.95f89cd86fabfp-12, 0x1.97bb5d3d8a9dep-12, 0x1.997247515282ap-12, 0x1.9b1d68311e77p-12, 0x1.9cbccdcb52517p-12, 0x1.9e5086d6e0beap-12, 0x1.9fd8a2cadeeeap-12, 0x1.a15531d68b8d3p-12, 0x1.a2c644d9848fdp-12, 0x1.a42bed5bd0e19p-12, 0x1.a5863d868b495p-12, 0x1.a6d5481ccd43dp-12, 0x1.a81920743d16ep-12, 0x1.a951da6e6eaa2p-12, 0x1.aa7f8a723101ap-12, 0x1.aba24564bf591p-12, 0x1.acba20a3c911fp-12, 0x1.adc731fedaa6ap-12, 0x1.aec98fb1ada75p-12, 0x1.afc1505e0ad3p-12, 0x1.b0ae8b065f6edp-12, 0x1.b19157081b38ep-12, 0x1.b269cc163cbdbp-12, 0x1.b33802343c412p-12, 0x1.b3fc11b0eda5ap-12, 0x1.b4b613219c6c3p-12, 0x1.b5661f5d17f08p-12, 0x1.b60c4f775203fp-12, 0x1.b6a8bcbcc94a1p-12, 0x1.b73b80ae17295p-12, 0x1.b7c4b4fbba14fp-12, 0x1.b844738202845p-12, 0x1.b8bad64503f81p-12, 0x1.b927f76cd3754p-12, 0x1.b98bf141b556bp-12, 0x1.b9e6de289fc9cp-12, 0x1.ba38d89f8d19ep-12, 0x1.ba81fb3a14b2p-12, 0x1.bac2609e5360fp-12, 0x1.bafa23816e48cp-12, 0x1.bb295ea4bce4p-12, 0x1.bb502cd2b4715p-12, 0x1.bb6ea8dc04e8ap-12, 0x1.bb84ed94e36d9p-12, 0x1.bb9315d2448bp-12, 0x1.bb993c67325a8p-12, 0x1.bb977c2284d9fp-12, 0x1.bb8defcc3bad8p-12, 0x1.bb7cb2233cc2dp-12, 0x1.bb63dddb168f6p-12, 0x1.bb438d99efca3p-12, 0x1.bb1bdbf628566p-12, 0x1.baece374910c3p-12, 0x1.bab6be866e5d6p-12, 0x1.ba7987878555bp-12, 0x1.ba3558bc664dfp-12, 0x1.b9ea4c50c8bcfp-12, 0x1.b9987c559fdf2p-12, 0x1.b94002bfd58e1p-12, 0x1.b8e0f9668a24ap-12, 0x1.b87b7a01af5c6p-12, 0x1.b80f9e28a2b75p-12, 0x1.b79d7f50ddfbcp-12, 0x1.b72536cca32e4p-12, 0x1.b6a6ddc9d43bap-12, 0x1.b6228d50b250ep-12, 0x1.b5985e42d4982p-12, 0x1.b5086959fe155p-12, 0x1.b472c7272cb49p-12, 0x1.b3d79011af8dfp-12, 0x1.b336dc562dd8dp-12, 0x1.b290c405b8aep-12, 0x1.b1e55f052b9adp-12, 0x1.b134c50c29386p-12, 0x1.b07f0da480b2bp-12, 0x1.afc4502973c8cp-12, 0x1.af04a3c7287c9p-12, 0x1.ae401f79cc659p-12, 0x1.ad76da0d5209ap-12, 0x1.aca8ea1cbf6c1p-12, 0x1.abd66611a0304p-12, 0x1.aaff6423a9ba6p-12, 0x1.aa23fa584a25p-12, 0x1.a9443e822f8e9p-12, 0x1.a8604640f77c5p-12, 0x1.a7782700e3315p-12, 0x1.a68bf5fa6c0b5p-12, 0x1.a59bc83227238p-12, 0x1.a4a7b2786153cp-12, 0x1.a3afc968f9d52p-12, 0x1.a2b4216b20f2cp-12, 0x1.a1b4ceb149a07p-12, 0x1.a0b1e538e987p-12, 0x1.9fab78ca644dp-12, 0x1.9ea19cf8f1eb1p-12, 0x1.9d94652296909p-12, 0x1.9c83e4701afbcp-12, 0x1.9b702dd4dcbcap-12, 0x1.9a59540ef2afep-12, 0x1.993f69a72148fp-12, 0x1.982280f0ec95ep-12, 0x1.9702ac0a8fb0fp-12, 0x1.95dffcdd2b96bp-12, 0x1.94ba851cc3ff2p-12, 0x1.9392564855e24p-12, 0x1.926781aa09e8cp-12, 0x1.913a18574fe4ep-12, 0x1.900a2b30f4708p-12, 0x1.8ed7cae34e698p-12, 0x1.8da307e6773d6p-12, 0x1.8c6bf27e7e407p-12, 0x1.8b329abb8580dp-12, 0x1.89f7107a0386ap-12, 0x1.88b96362f4de8p-12, 0x1.8779a2ec22ce6p-12, 0x1.8637de585ec7ep-12, 0x1.84f424b7b6a66p-12, 0x1.83ae84e7d25bdp-12, 0x1.82670d9412905p-12, 0x1.811dcd35fa04dp-12, 0x1.7fd2d2156df9cp-12, 0x1.7e862a48fbfd4p-12, 0x1.7d37e3b6243a7p-12, 0x1.7be80c11b6b2dp-12, 0x1.7a96b0e023dbdp-12, 0x1.7943df75c26cap-12, 0x1.77efa4f7264a1p-12, 0x1.769a0e59881b7p-12, 0x1.754328630dccdp-12, 0x1.73eaffab21ed5p-12, 0x1.7291a09adad19p-12, 0x1.7137176d44e27p-12, 0x1.6fdb702fc94bfp-12, 0x1.6e7eb6c2879c3p-12, 0x1.6d20f6d8bb183p-12, 0x1.6bc23bf91a35ep-12, 0x1.6a62917e281fcp-12, 0x1.69020296a6a63p-12, 0x1.67a09a45eb5d2p-12, 0x1.663e6364440acp-12, 0x1.64db689f64172p-12, 0x1.6377b47abdb81p-12, 0x1.6213514fecadap-12, 0x1.60ae494f0b602p-12, 0x1.5f48a67f2b1f2p-12, 0x1.5de272beb2418p-12, 0x1.5c7bb7c3bf39ep-12, 0x1.5b147f1c831c3p-12, 0x1.59acd22fb882dp-12, 0x1.5844ba3cfe87ap-12, 0x1.56dc405d508fdp-12, 0x1.55736d83575c3p-12, 0x1.540a4a7bd6ecdp-12, 0x1.52a0dfee0e6dfp-12, 0x1.5137365c28cf3p-12, 0x1.4fcd56239fd7dp-12, 0x1.4e63477d9f3afp-12, 0x1.4cf9127f615ddp-12, 0x1.4b8ebf1aa80ap-12, 0x1.4a24551e1031dp-12, 0x1.48b9dc357c392p-12, 0x1.474f5bea84197p-12, 0x1.45e4dba4c4a4ep-12, 0x1.447a62aa5104p-12, 0x1.430ff8201062ap-12, 0x1.41a5a30a28ac3p-12, 0x1.403b6a4c5c381p-12, 0x1.3ed154aa6dc4dp-12, 0x1.3d6768c87be47p-12, 0x1.3bfdad2b681e4p-12, 0x1.3a9428393d9d4p-12, 0x1.392ae03987a8bp-12, 0x1.37c1db55ba1f6p-12, 0x1.36591f9986963p-12, 0x1.34f0b2f345ba6p-12, 0x1.33889b3447eecp-12, 0x1.3220de113eae4p-12, 0x1.30b981229cec3p-12, 0x1.2f5289e4e7b1ep-12, 0x1.2debfdb91cccep-12, 0x1.2c85e1e509baap-12, 0x1.2b203b939d9f9p-12, 0x1.29bb0fd552364p-12, 0x1.285663a07bf94p-12, 0x1.26f23bd1a34eep-12, 0x1.258e9d2be0694p-12, 0x1.242b8c593064p-12, 0x1.22c90deacfca4p-12, 0x1.2167265987999p-12, 0x1.2005da060b61ep-12, 0x1.1ea52d3941547p-12, 0x1.1d452424a230dp-12, 0x1.1be5c2e28a55cp-12, 0x1.1a870d768bb7fp-12, 0x1.192907cdbcb2bp-12, 0x1.17cbb5bf08315p-12, 0x1.166f1b0b83b49p-12, 0x1.15133b5eb439cp-12, 0x1.13b81a4ee9343p-12, 0x1.125dbb5d81e7ep-12, 0x1.110421f73e071p-12, 0x1.0fab517488e7ep-12, 0x1.0e534d19c6fa8p-12, 0x1.0cfc18179cf19p-12, 0x1.0ba5b58b3b6b1p-12, 0x1.0a50287ea9b2dp-12, 0x1.08fb73e90c778p-12, 0x1.07a79aaeecf2cp-12, 0x1.06549fa28492p-12, 0x1.0502858400118p-12, 0x1.03b14f01c37cep-12, 0x1.0260feb8b23e7p-12, 0x1.0111973470df4p-12, 0x1.ff8635df512afp-13, 0x1.fceb18a895a3bp-13, 0x1.fa51db77a51a6p-13, 0x1.f7ba82df1093p-13, 0x1.f5251351776ecp-13, 0x1.f291912216a2cp-13, 0x1.f00000853868bp-13, 0x1.ed706590b4259p-13, 0x1.eae2c43c6c83ep-13, 0x1.e8572062c48b3p-13, 0x1.e5cd7dc11dba1p-13, 0x1.e345dff8519f1p-13, 0x1.e0c04a8d1deecp-13, 0x1.de3cc0e8999b9p-13, 0x1.dbbb4658a653cp-13, 0x1.d93bde10667f7p-13, 0x1.d6be8b28a9574p-13, 0x1.d44350a057e0bp-13, 0x1.d1ca315ce5853p-13, 0x1.cf53302abd0eep-13, 0x1.ccde4fbd9e559p-13, 0x1.ca6b92b119a44p-13, 0x1.c7fafb88e54b4p-13, 0x1.c58c8cb15003fp-13, 0x1.c320487f99363p-13, 0x1.c0b63132588dbp-13, 0x1.be4e48f1f22bp-13, 0x1.bbe891d0e07fdp-13, 0x1.b9850dcc1cca8p-13, 0x1.b723becb83f7bp-13, 0x1.b4c4a6a221649p-13, 0x1.b267c70e92dap-13, 0x1.b00d21bb74a28p-13, 0x1.adb4b83f9de36p-13, 0x1.ab5e8c1e904d2p-13, 0x1.a90a9ec8c2de1p-13, 0x1.a6b8f19bf68d5p-13, 0x1.a46985e396ab1p-13, 0x1.a21c5cd8ff224p-13, 0x1.9fd177a3d123bp-13, 0x1.9d88d75a48b74p-13, 0x1.9b427d01877e9p-13, 0x1.98fe698de96p-13, 0x1.96bc9de351fcap-13, 0x1.947d1ad5768c8p-13, 0x1.923fe128241fep-13, 0x1.9004f18f9a989p-13, 0x1.8dcc4cb0c81c4p-13, 0x1.8b95f321873aep-13, 0x1.8961e5690203p-13, 0x1.873023ffe38bbp-13, 0x1.8500af50a2b76p-13, 0x1.82d387b7cfa9ep-13, 0x1.80a8ad8446391p-13, 0x1.7e8020f77c49ep-13, 0x1.7c59e245bc5c4p-13, 0x1.7a35f1966ae5fp-13, 0x1.78144f0441c55p-13, 0x1.75f4fa9d8c9a7p-13, 0x1.73d7f4646e21fp-13, 0x1.71bd3c4f18f3fp-13, 0x1.6fa4d2480a101p-13, 0x1.6d8eb62e48d0dp-13, 0x1.6b7ae7d5995c6p-13, 0x1.69696706b649ep-13, 0x1.675a337f8de17p-13, 0x1.654d4cf3700b9p-13, 0x1.6342b30b53ac7p-13, 0x1.613a656601dfdp-13, 0x1.5f34639847833p-13, 0x1.5d30ad2d35295p-13, 0x1.5b2f41a64b3cep-13, 0x1.5930207ba623p-13, 0x1.5733491c3d482p-13, 0x1.5538baee0727bp-13, 0x1.5340754e303d5p-13, 0x1.514a77914474p-13, 0x1.4f56c1036617dp-13, 0x1.4d6550e87bc55p-13, 0x1.4b76267c54717p-13, 0x1.498940f2e10e6p-13, 0x1.479e9f784b109p-13, 0x1.45b6413131ae4p-13, 0x1.43d0253acde6fp-13, 0x1.41ec4aab1a24fp-13, 0x1.400ab09103c7dp-13, 0x1.3e2b55f48aaa8p-13, 0x1.3c4e39d6e7de8p-13, 0x1.3a735b32bd693p-13, 0x1.389ab8fc33fc8p-13, 0x1.36c4522126339p-13, 0x1.34f025894018cp-13, 0x1.331e321626c78p-13, 0x1.314e76a39c73fp-13, 0x1.2f80f207a0d76p-13, 0x1.2db5a3129f20ap-13, 0x1.2bec888f80dep-13, 0x1.2a25a143d9398p-13, 0x1.2860ebf002b2p-13, 0x1.269e674f3f882p-13, 0x1.24de1217d6917p-13, 0x1.231feafb3825ep-13, 0x1.2163f0a61cbfep-13, 0x1.1faa21c09f1b5p-13, 0x1.1df27cee5ad54p-13, 0x1.1c3d00ce8ea64p-13, 0x1.1a89abfc33cdap-13, 0x1.18d87d0e1e7e4p-13, 0x1.17297297137ccp-13, 0x1.157c8b25eb404p-13, 0x1.13d1c545a95dbp-13, 0x1.12291f7d90587p-13, 0x1.1082985145a9cp-13, 0x1.0ede2e40e3c49p-13, 0x1.0d3bdfc91fea1p-13, 0x1.0b9bab6355defp-13, 0x1.09fd8f85a20abp-13, 0x1.08618aa2fe4a6p-13, 0x1.06c79b2b54da6p-13, 0x1.052fbf8b950e8p-13, 0x1.0399f62dd1f14p-13, 0x1.02063d7956fbbp-13, 0x1.007493d2b4b16p-13, 0x1.fdc9ef37c3e87p-14, 0x1.faaece688da65p-14, 0x1.f797c1f1b2ba4p-14, 0x1.f484c68859e1dp-14, 0x1.f175d8dd1350bp-14, 0x1.ee6af59bf5832p-14, 0x1.eb64196ccfaf2p-14, 0x1.e86140f34863dp-14, 0x1.e56268cefdf6fp-14, 0x1.e2678d9bb8f52p-14, 0x1.df70abf17ff32p-14, 0x1.dc7dc064cd98ap-14, 0x1.d98ec786a4715p-14, 0x1.d6a3bde4b68e5p-14, 0x1.d3bca00982592p-14, 0x1.d0d96a7c74cdcp-14, 0x1.cdfa19c202b2fp-14, 0x1.cb1eaa5bdb0b3p-14, 0x1.c84718c8fae53p-14, 0x1.c5736185c861dp-14, 0x1.c2a3810c2f867p-14, 0x1.bfd773d3d2e0cp-14, 0x1.bd0f365200b78p-14, 0x1.ba4ac4f9fce6ap-14, 0x1.b78a1c3cf9aa8p-14, 0x1.b4cd388a4bdddp-14, 0x1.b214164f6e93ep-14, 0x1.af5eb1f828ed3p-14, 0x1.acad07eea91d2p-14, 0x1.a9ff149ba13c5p-14, 0x1.a754d466504aap-14, 0x1.a4ae43b4af38ap-14, 0x1.a20b5eeb74afap-14, 0x1.9f6c226e4190dp-14, 0x1.9cd08a9fa1adbp-14, 0x1.9a3893e126cd6p-14, 0x1.97a43a93935ebp-14, 0x1.95137b16cb27fp-14, 0x1.928651ca1a9d3p-14, 0x1.8ffcbb0c19273p-14, 0x1.8d76b33ad8b21p-14, 0x1.8af436b3f782dp-14, 0x1.887541d4b2977p-14, 0x1.85f9d0f9ee1e6p-14, 0x1.8381e080580cap-14, 0x1.810d6cc475a12p-14, 0x1.7e9c7222a6a25p-14, 0x1.7c2eecf74efb4p-14, 0x1.79c4d99ed9136p-14, 0x1.775e3475c9fb5p-14, 0x1.74faf9d8d84dep-14, 0x1.729b2624ee878p-14, 0x1.703eb5b74b171p-14, 0x1.6de5a4ed88a76p-14, 0x1.6b8ff025a5afep-14, 0x1.693d93be21ffep-14, 0x1.66ee8c15fc956p-14, 0x1.64a2d58ce1e8bp-14, 0x1.625a6c8305ea4p-14, 0x1.60154d596fd95p-14, 0x1.5dd37471ceda4p-14, 0x1.5b94de2eafd32p-14, 0x1.595986f378048p-14, 0x1.57216b246cc84p-14, 0x1.54ec8726d8adap-14, 0x1.52bad760fdc8ap-14, 0x1.508c583a289bdp-14, 0x1.4e61061ac5e5p-14, 0x1.4c38dd6c5f028p-14, 0x1.4a13da99ac815p-14, 0x1.47f1fa0eb1adp-14, 0x1.45d338389f32bp-14, 0x1.43b791860ec18p-14, 0x1.419f0266e2cc2p-14, 0x1.3f89874c697afp-14, 0x1.3d771ca95adf3p-14, 0x1.3b67bef1ec95bp-14, 0x1.395b6a9bcb4a6p-14, 0x1.37521c1e3b82p-14, 0x1.354bcff20b306p-14, 0x1.33488291a923cp-14, 0x1.3148307928711p-14, 0x1.2f4ad6264edd2p-14, 0x1.2d507018886edp-14, 0x1.2b58fad1155e9p-14, 0x1.296472d2dfef6p-14, 0x1.2772d4a2c3688p-14, 0x1.25841cc74745p-14, 0x1.239847c8f6eecp-14, 0x1.21af523222832p-14, 0x1.1fc9388f0d4d7p-14, 0x1.1de5f76df4cd4p-14, 0x1.1c058b5f05011p-14, 0x1.1a27f0f46ac6p-14, 0x1.184d24c264c6ep-14, 0x1.1675235f1e8e3p-14, 0x1.149fe962fb1aap-14, 0x1.12cd736852c21p-14, 0x1.10fdbe0bae761p-14, 0x1.0f30c5ebaf43ep-14, 0x1.0d6687a928a1bp-14, 0x1.0b9effe70afeap-14, 0x1.09da2b4a9409fp-14, 0x1.0818067b17657p-14, 0x1.06588e22473e4p-14, 0x1.049bbeebfcff3p-14, 0x1.02e1958664bacp-14, 0x1.012a0ea1f342cp-14, 0x1.feea4de2d60b1p-15, 0x1.fb85b653c7f64p-15, 0x1.f82650059691cp-15, 0x1.f4cc146bdd35ap-15, 0x1.f176fcfee9823p-15, 0x1.ee27033bcf8c8p-15, 0x1.eadc20a48d2dap-15, 0x1.e7964ebfc9e1p-15, 0x1.e45587193cba8p-15, 0x1.e119c3416004dp-15, 0x1.dde2fccd9549p-15, 0x1.dab12d585a44bp-15, 0x1.d7844e80d939dp-15, 0x1.d45c59eb86609p-15, 0x1.d1394941a7916p-15, 0x1.ce1b16319f91bp-15, 0x1.cb01ba6ede3a1p-15, 0x1.c7ed2fb1e74dfp-15, 0x1.c4dd6fb8510b6p-15, 0x1.c1d27444e1b5ep-15, 0x1.becc371f5c10ep-15, 0x1.bbcab214e94cbp-15, 0x1.b8cddef78fc17p-15, 0x1.b5d5b79ed4579p-15, 0x1.b2e235e7308a8p-15, 0x1.aff353b282754p-15, 0x1.ad090ae7c071p-15, 0x1.aa235573496cfp-15, 0x1.a7422d4692c96p-15, 0x1.a4658c587a7cap-15, 0x1.a18d6ca522536p-15, 0x1.9eb9c82de3b0ep-15, 0x1.9bea98f99068ap-15, 0x1.991fd91422c2dp-15, 0x1.9659828f00dcp-15, 0x1.93978f80f008bp-15, 0x1.90d9fa05ee489p-15, 0x1.8e20bc3f85dccp-15, 0x1.8b6bd05479b14p-15, 0x1.88bb3070f6b96p-15, 0x1.860ed6c6a8d5p-15, 0x1.8366bd8c6be99p-15, 0x1.80c2defebc4adp-15, 0x1.7e23355f4c723p-15, 0x1.7b87baf5624eep-15, 0x1.78f06a0d8bf96p-15, 0x1.765d3cf9de63ep-15, 0x1.73ce2e11d3d8dp-15, 0x1.714337b2429c8p-15, 0x1.6ebc543d93b0dp-15, 0x1.6c397e1b7b7efp-15, 0x1.69baafb93fbc9p-15, 0x1.673fe3898104dp-15, 0x1.64c9140465b7dp-15, 0x1.62563ba770e82p-15, 0x1.5fe754f5bee25p-15, 0x1.5d7c5a77ad435p-15, 0x1.5b1546bb39ba7p-15, 0x1.58b21453bf61fp-15, 0x1.5652bdda018dfp-15, 0x1.53f73dec690c5p-15, 0x1.519f8f2e8c2adp-15, 0x1.4f4bac49bd075p-15, 0x1.4cfb8fec9306fp-15, 0x1.4aaf34cb1c8e6p-15, 0x1.4866959f041e1p-15, 0x1.4621ad271858p-15, 0x1.43e07627fdfb9p-15, 0x1.41a2eb6b66227p-15, 0x1.3f6907c0c8e1cp-15, 0x1.3d32c5fcca014p-15, 0x1.3b0020f9bbc46p-15, 0x1.38d11397182a7p-15, 0x1.36a598ba0f9bap-15, 0x1.347dab4cf5e97p-15, 0x1.3259463fcd60bp-15, 0x1.30386487cf88ap-15, 0x1.2e1b011fbdd6ep-15, 0x1.2c011707aa33ap-15, 0x1.29eaa1452740ep-15, 0x1.27d79ae30e58ep-15, 0x1.25c7fef1b6addp-15, 0x1.23bbc886c9b1bp-15, 0x1.21b2f2bd43ce8p-15, 0x1.1fad78b5ae683p-15, 0x1.1dab5595a500bp-15, 0x1.1bac84887c084p-15, 0x1.19b100be7b6d7p-15, 0x1.17b8c56da521cp-15, 0x1.15c3cdd0f796bp-15, 0x1.13d215290a1b8p-15, 0x1.11e396bb9a4a5p-15, 0x1.0ff84dd3c71efp-15, 0x1.0e1035c1f4dc9p-15, 0x1.0c2b49dbdc8b7p-15, 0x1.0a49857c70979p-15, 0x1.086ae404007bbp-15, 0x1.068f60d809eadp-15, 0x1.04b6f7634fdf2p-15, 0x1.02e1a315efdc1p-15, 0x1.010f5f6507233p-15, 0x1.fe804f968fb9cp-16, 0x1.fae7ef906ff6bp-16, 0x1.f75595c1ebe3ep-16, 0x1.f3c9393ef212p-16, 0x1.f042d1266c095p-16, 0x1.ecc254a12037cp-16, 0x1.e947bae294342p-16, 0x1.e5d2fb2843b38p-16, 0x1.e2640cba4e31dp-16, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
    }}, 
    {
      51, 0x1p+3, 0x1.16aaeb87624b8p+2, 0x1.3ca1fe5d1a64ep+4, -0x1.e69c6d23a548cp-5, 
      {{
        {0x1.5cccccccccccdp+2, 0x1.6p+2, -0x1.4768df5f1c08dp-5, -0x1.5a988d502c049p-4, 0x1.794911a43c49fp-3, -0x1.6845cdd075bf9p-4}, 
        {0x1.6p+2, 0x1.6333333333333p+2, -0x1.6662ef3bdf59bp-5, -0x1.11d743022b159p-4, 0x1.5e43d567cd0edp-3, -0x1.68431fdf8c9d1p-4}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, -0x1.7e5ba39ddbf26p-5, -0x1.9cfacc034a18ap-5, 0x1.433ecc9d6f5p-3, -0x1.6839f67135a4fp-4}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, -0x1.8fdd53521c0e5p-5, -0x1.2115bf24bbd16p-5, 0x1.283a73bb5816fp-3, -0x1.684b9a4217a16p-4}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, -0x1.9b7253c258699p-5, -0x1.5ffeffede50f6p-6, 0x1.0d34c8299650dp-3, -0x1.67f8849379705p-4}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, -0x1.a1a4f8f4f84p-5, -0x1.26dc4cac56aabp-7, 0x1.e46aafa37404p-4, -0x1.691d87a3a9658p-4}, 
        {0x1.7p+2, 0x1.7333333333333p+2, -0x1.a2ff958d114ecp-5, 0x1.1c0611ff3796dp-9, 0x1.ae3fdb4ae7687p-4, -0x1.6073d7e5c291fp-4}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, -0x1.a00c33f0b891dp-5, 0x1.8a0eeea8d2626p-7, 0x1.7961ae1ba3d2cp-4, -0x1.4dfb74172c3eap-4}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, -0x1.99518aee7a71ap-5, 0x1.51f65ac52bf3bp-6, 0x1.4748c31829fcbp-4, -0x1.3cfb2ccf43cdep-4}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, -0x1.8f4ff262d2f18p-5, 0x1.cb5dd81a8a146p-6, 0x1.17bcaf92ac9d1p-4, -0x1.2b961e2af069dp-4}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, -0x1.82811c5e7e6ecp-5, 0x1.19230c2766841p-5, 0x1.d59922e5444dep-5, -0x1.1a4c107199eep-4}, 
        {0x1.8p+2, 0x1.8333333333333p+2, -0x1.73581526799f8p-5, 0x1.43dcbd7a10282p-5, 0x1.80e8b78ffc86ep-5, -0x1.08fac668b738ap-4}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, -0x1.624143340192fp-5, 0x1.6660e3e59c6b9p-5, 0x1.316a48d6f8c3p-5, -0x1.ef56d96621c51p-5}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, -0x1.4fa2673493b21p-5, 0x1.813477a161d7dp-5, 0x1.ce3a83a8e765p-6, -0x1.ccb71bfffda4ap-5}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, -0x1.3bda9c09edbe9p-5, 0x1.94dc6b7181e95p-5, 0x1.440394dc1b4b2p-6, -0x1.aa17a5deba714p-5}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, -0x1.274256ca0dd49p-5, 0x1.a1ddb38ff65b9p-5, 0x1.885f5fcc2d2p-7, -0x1.87781ca4e116ap-5}, 
        {0x1.9p+2, 0x1.9333333333333p+2, -0x1.122b66bf3268ap-5, 0x1.a8bd43d28cd66p-5, 0x1.3afb6a05b28d3p-8, -0x1.64d8988864b91p-5}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, -0x1.f9c1eacfb4916p-6, 0x1.aa001029eb1d3p-5, -0x1.c4eecdab193cdp-10, -0x1.4239130f19acep-5}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, -0x1.cf4f0ced89382p-6, 0x1.a62b0c7f82aedp-5, -0x1.f3e697167eb6cp-8, -0x1.1f998debac20fp-5}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, -0x1.a579efa5e1c66p-6, 0x1.9dc32cbebde32p-5, -0x1.a682a0b2403eap-7, -0x1.f9f4119b222a1p-6}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, -0x1.7cb1032f3df17p-6, 0x1.914d64d257fe4p-5, -0x1.1f25ec96cba55p-6, -0x1.b4b50688ac4cap-6}, 
        {0x1.ap+2, 0x1.a333333333333p+2, -0x1.55556c289e1f9p-6, 0x1.814ea8a5cfb9ap-5, -0x1.60a77a5e7f16ep-6, -0x1.6f75fec47c1fcp-6}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, -0x1.2fbb03998369ap-6, 0x1.6e4bec224510cp-5, -0x1.97c5fa2f2b4ebp-6, -0x1.2a36ea9d849bdp-6}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, -0x1.0c2856f1ef9b9p-6, 0x1.58ca23398f85fp-5, -0x1.c4816a2d3265fp-6, -0x1.c9f00966c8ddap-7}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, -0x1.d5ad5014ca663p-7, 0x1.414e41bd072f5p-5, -0x1.e6d9d1481b109p-6, -0x1.3f70e4715e719p-7}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, -0x1.97e3da47cec65p-7, 0x1.285d3bf74a4b9p-5, -0x1.fecf159d688c5p-6, -0x1.69ed8f0d95781p-8}, 
        {0x1.bp+2, 0x1.b333333333333p+2, -0x1.5f31a1cff41cap-7, 0x1.0e7c046e5df7cp-5, -0x1.0630cbe3c246cp-5, -0x1.534f1c9246c42p-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, -0x1.2bb964d143976p-7, 0x1.e85f2882cb355p-6, -0x1.07c7f79fa502p-5, 0x1.7f73b1173a5c4p-9}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, -0x1.fb0694818f8cfp-8, 0x1.b3f997df4961fp-6, -0x1.042faec36d42dp-5, 0x1.d6528b0a2805p-8}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, -0x1.a8f9c3c91942p-8, 0x1.80d1cfbd8015p-6, -0x1.f6bc451cdf6b9p-6, 0x1.72a58d44005fep-7}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, -0x1.60f248a73f0f8p-8, 0x1.4fef9af56d951p-6, -0x1.daefda849297cp-6, 0x1.042e48cf0c3a4p-6}, 
        {0x1.cp+2, 0x1.c333333333333p+2, -0x1.2260e5ec1e71ep-8, 0x1.2264c45f7bd0cp-6, -0x1.b3e8e93250c24p-6, 0x1.1f8b61da04b6ep-6}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, -0x1.d907bc7c4dffep-9, 0x1.f1eb1f6a1830cp-7, -0x1.88c7341e69a71p-6, 0x1.0b6a11c2c88d3p-6}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, -0x1.7d08e0b304ee6p-9, 0x1.a75fc0c6ef07bp-7, -0x1.60aa7e4131f86p-6, 0x1.fccc3ff29e94bp-7}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, -0x1.2f28a69ef9a01p-9, 0x1.64a825721d43p-7, -0x1.3a81930effaccp-6, 0x1.def44adf322e2p-7}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, -0x1.dbc192eb4e23ep-10, 0x1.295906091bc88p-7, -0x1.1695a70b0f1c9p-6, 0x1.c221df322eae3p-7}, 
        {0x1.dp+2, 0x1.d333333333333p+2, -0x1.6f82a2fed687cp-10, 0x1.ea037e8596105p-8, -0x1.e9a6396830d2ap-7, 0x1.a5095f6bf9878p-7}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, -0x1.16e1282f0e7e6p-10, 0x1.8e663adf2aec6p-8, -0x1.aa7e6b17fe97ep-7, 0x1.8803a6a429413p-7}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, -0x1.9eacceb07c521p-11, 0x1.3efb14c0abd33p-8, -0x1.6fb11218f8681p-7, 0x1.6af8e5fbee90ep-7}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, -0x1.2d107ef8e7719p-11, 0x1.f5c6292a6ea2fp-9, -0x1.393eef99949e3p-7, 0x1.4def7dd70545fp-7}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, -0x1.a924a70e0dbc3p-12, 0x1.827e6942cf826p-9, -0x1.0727cfec87073p-7, 0x1.30e5bb852fa95p-7}, 
        {0x1.ep+2, 0x1.e333333333333p+2, -0x1.2260e5ec1e6eep-12, 0x1.2260e5f4fec4dp-9, -0x1.b2d78131195bep-8, 0x1.13dc0963cb17ap-7}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, -0x1.7d08e0b304eap-13, 0x1.a75f3266941p-10, -0x1.60157e5ff6086p-8, 0x1.eda4e15b0aa53p-8}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, -0x1.dbc192eb4e1ddp-14, 0x1.2958fc5f15cf5p-10, -0x1.16098fc5813ccp-8, 0x1.b390c434acedfp-8}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, -0x1.16e1282f0e6bp-14, 0x1.8e66355686ea7p-11, -0x1.a967b17b34fcdp-9, 0x1.7980231f49fa6p-8}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, -0x1.2d107ef8e74e1p-15, 0x1.f5c6474e3e3e1p-12, -0x1.3827a6f1d1feep-9, 0x1.3f627d7fea27fp-8}, 
        {0x1.fp+2, 0x1.f333333333333p+2, -0x1.2260e5ec1e28p-16, 0x1.226074a6606d8p-12, -0x1.b0adcf63b119ep-10, 0x1.05756df76eb6p-8}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, -0x1.dbc192eb4d2p-18, 0x1.295c494cdd1bcp-13, -0x1.13cdc09c0846ap-10, 0x1.95a6153ad50ddp-9}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, -0x1.2d107ef8e4cp-19, 0x1.f594db8559d34p-15, -0x1.3437dae190b95p-11, 0x1.25aac0e53a278p-9}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, -0x1.dbc192eb26p-22, 0x1.2ac8fb7b59c7p-16, -0x1.080934b00ed74p-12, 0x1.43e89571a6418p-10}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, -0x1.dbc192e940001p-26, 0x1.fcdbbb6edfef2p-20, -0x1.16c36c15df9p-14, 0x1.b17ba1dbe4258p-10}, 
      }}, 
      -0x1.97e514ae2b255p-6, 0x1.3a580d7fa629dp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.1c38c5c90060dp-9, -0x1.1679584ab1bb3p-7, -0x1.301b60b0fcd29p-6, -0x1.0490a375e8a71p-5, -0x1.865537f70f0f1p-5, -0x1.0c4f8b2d0c99ap-4, -0x1.5b813ab00cd41p-4, -0x1.aec195be940adp-4, -0x1.0228600aa112bp-3, -0x1.2d56eb03bb96bp-3, -0x1.584a2d566e16ap-3, -0x1.827be767bf545p-3, -0x1.ab7f2ebf6ec69p-3, -0x1.d2fd998df3e3bp-3, -0x1.f8b46d6a90478p-3, -0x1.0e38f67c4adc6p-2, -0x1.1f096aaf828b2p-2, -0x1.2ec00cc4b57b5p-2, -0x1.3d56737267feap-2, -0x1.4aca7af13165ep-2, -0x1.571d8d0046ab9p-2, -0x1.6253ff88da9cep-2, -0x1.6c7484500776bp-2, -0x1.7587a8bf538c8p-2, -0x1.7d97660522ca8p-2, -0x1.84aec1093fc7bp-2, -0x1.8ad979006cdf9p-2, -0x1.9023c318c336bp-2, -0x1.949a11b6664b8p-2, -0x1.9848e5bffc004p-2, -0x1.9b3ca8d096cd6p-2, -0x1.9d818ed25ba35p-2, -0x1.9f237e34dcc1dp-2, -0x1.a02dfdc8355c2p-2, -0x1.a0ac26faf2357p-2, -0x1.a0a89c09eff4ep-2, -0x1.a02d81c39408ap-2, -0x1.9f447bcf12243p-2, -0x1.9df6aac15bceep-2, -0x1.9c4cac1aae8cbp-2, -0x1.9a4e9c1d50fbp-2, -0x1.980418ad90e32p-2, -0x1.95744494ce3c4p-2, -0x1.92a5cb4832918p-2, -0x1.8f9ee574c6eb9p-2, -0x1.8c655e4184097p-2, -0x1.88fe98b84d7e9p-2, -0x1.856f94f9afb54p-2, -0x1.81bcf54b2e28dp-2, -0x1.7deb032acdb58p-2, -0x1.79fdb484d52d3p-2, -0x1.75f8b0f856e22p-2, -0x1.71df56febf90fp-2, -0x1.6db4c0d4474f8p-2, -0x1.697bc90cfc9b7p-2, -0x1.65370eed3e886p-2, -0x1.60e8fa76f62b8p-2, -0x1.5c93c0521a481p-2, -0x1.5839657e31c1ep-2, -0x1.53dbc2d19a2cep-2, -0x1.4f7c883d37bc5p-2, -0x1.4b1d3fd2b6a9ep-2, -0x1.46bf508b4aca3p-2, -0x1.426400d39d1a5p-2, -0x1.3e0c78e1f1369p-2, -0x1.39b9c4dd3f35dp-2, -0x1.356cd6dd6fd0dp-2, -0x1.312688c80e4d1p-2, -0x1.2ce79e104bdd2p-2, -0x1.28b0c55c708bdp-2, -0x1.24829a121594dp-2, -0x1.205da5cc9622fp-2, -0x1.1c4261bb4d684p-2, -0x1.183137ec4fa6ep-2, -0x1.142a8480eb3b6p-2, -0x1.102e96cd57a91p-2, -0x1.0c3db2694d67dp-2, -0x1.0858102666b72p-2, -0x1.047ddf007687cp-2, -0x1.00af44ef8800cp-2, -0x1.f9d8bf7401883p-3, -0x1.f26a8b4f38703p-3, -0x1.eb140c6fb3e48p-3, -0x1.e3d555740ab1ep-3, -0x1.dcae6dd7b0a4bp-3, -0x1.d59f52f0f09dp-3, -0x1.cea7f909565a6p-3, -0x1.c7c84c29aa3fcp-3, -0x1.c10031191e63fp-3, -0x1.ba4f85f70cafcp-3, -0x1.b3b6232a45e5ap-3, -0x1.ad33dbcb5e1a5p-3, -0x1.a6c87e7e30602p-3, -0x1.a073d5d6021bcp-3, -0x1.9a35a8e2ff92p-3, -0x1.940dbbbe22f4bp-3, -0x1.8dfbcfcab37ffp-3, -0x1.87ffa45f73ad8p-3, -0x1.8218f6c9984f9p-3, -0x1.7c4782f156d05p-3, -0x1.768b0377c2c22p-3, -0x1.70e332063bcd6p-3, -0x1.6b4fc7aecf9c3p-3, -0x1.65d07cdf8dda5p-3, -0x1.606509c6d5c39p-3, -0x1.5b0d267e01208p-3, -0x1.55c88b11e008p-3, -0x1.5096effa91a4fp-3, -0x1.4b780dd10ff53p-3, -0x1.466b9da68e7ep-3, -0x1.4171594471fc2p-3, -0x1.3c88fad966896p-3, -0x1.37b23d6a440ep-3, -0x1.32ecdce1e45fap-3, -0x1.2e3895c6402b3p-3, -0x1.299525a982e63p-3, -0x1.25024b26d45f9p-3, -0x1.207fc59804291p-3, -0x1.1c0d557b2c6f1p-3, -0x1.17aabc7501f2cp-3, -0x1.1357bcfe60ef3p-3, -0x1.0f141ab3e8c47p-3, -0x1.0adf9a7079c12p-3, -0x1.06ba01f481242p-3, -0x1.02a3180f65ae5p-3, -0x1.fd3549b2c883p-4, -0x1.f540e2cfd1474p-4, -0x1.ed688f827d781p-4, -0x1.e5abe64c29e01p-4, -0x1.de0a7fe3e629dp-4, -0x1.d683f6bf433acp-4, -0x1.cf17e772320e7p-4, -0x1.c7c5f0e517019p-4, -0x1.c08db3d74cba9p-4, -0x1.b96ed2c4cb514p-4, -0x1.b268f24d2e83cp-4, -0x1.ab7bb91b06995p-4, -0x1.a4a6cf7793e53p-4, -0x1.9de9df629f438p-4, -0x1.974494da8f997p-4, -0x1.90b69da71131ap-4, -0x1.8a3fa90900ae7p-4, -0x1.83df67dcbe82ep-4, -0x1.7d958cca5a041p-4, -0x1.7761cc1105b85p-4, -0x1.7143db47a5b56p-4, -0x1.6b3b7176dd59bp-4, -0x1.6548473ec016p-4, -0x1.5f6a16afc8026p-4, -0x1.59a09b1279d02p-4, -0x1.53eb90f16d6c5p-4, -0x1.4e4ab63aad1ddp-4, -0x1.48bdca2bb87b5p-4, -0x1.43448d1fb0804p-4, -0x1.3ddec085defeap-4, -0x1.388c26fc44c54p-4, -0x1.334c844f46695p-4, -0x1.2e1f9d54ee705p-4, -0x1.290537d2fd23ep-4, -0x1.23fd1a8a6e6ddp-4, -0x1.1f070d4436e7fp-4, -0x1.1a22d8c06ce54p-4, -0x1.15504698f03aep-4, -0x1.108f213799e8cp-4, -0x1.0bdf33e2d3845p-4, -0x1.07404abf1ba82p-4, -0x1.02b232bbacb22p-4, -0x1.fc6973014ed52p-5, -0x1.f38f5ad1e44a2p-5, -0x1.ead5bb161f9f5p-5, -0x1.e23c336ed5ea9p-5, -0x1.d9c264d298164p-5, -0x1.d167f16f93dfap-5, -0x1.c92c7ca6d491dp-5, -0x1.c10fab14af1f6p-5, -0x1.b911228cc8f3cp-5, -0x1.b1308a0604381p-5, -0x1.a96d898373675p-5, -0x1.a1c7ca0b09911p-5, -0x1.9a3ef5ab3f5edp-5, -0x1.92d2b7791bf13p-5, -0x1.8b82bb841ca66p-5, -0x1.844eaec45e85dp-5, -0x1.7d363f0fd338ap-5, -0x1.76391b1a8e71ap-5, -0x1.6f56f2737f7bbp-5, -0x1.688f7585a67f4p-5, -0x1.61e2558c34edfp-5, -0x1.5b4f447d53fd2p-5, -0x1.54d5f50a40178p-5, -0x1.4e761aa8f3614p-5, -0x1.482f69874f7fdp-5, -0x1.42019688b639ep-5, -0x1.3bec573d4ff66p-5, -0x1.35ef61dc7d957p-5, -0x1.300a6d408ced9p-5, -0x1.2a3d30e738ddcp-5, -0x1.248764ef6c804p-5, -0x1.1ee8c2152f991p-5, -0x1.196101ac3a35ep-5, -0x1.13efdd9b08ba3p-5, -0x1.0e951058e733p-5, -0x1.095054ed66023p-5, -0x1.042166eedd2ccp-5, -0x1.fe100500001b1p-6, -0x1.f407c8991c30cp-6, -0x1.ea29930bc94cp-6, -0x1.e074dfc287432p-6, -0x1.d6e92b2e8467fp-6, -0x1.cd85f2c608351p-6, -0x1.c44ab501c1b0ap-6, -0x1.bb36f1593d131p-6, -0x1.b24a283f02dfap-6, -0x1.a983db1d5064ep-6, -0x1.a0e38c54c97c4p-6, -0x1.9868bf3c609dp-6, -0x1.9012f81e8f6edp-6, -0x1.87e1bc3aaee41p-6, -0x1.7fd491c00ba05p-6, -0x1.77eaffcd7c6a6p-6, -0x1.70248e6fccd9cp-6, -0x1.6880c6a192697p-6, -0x1.60ff324af2c49p-6, -0x1.599f5c40da84ep-6, -0x1.5260d043fba63p-6, -0x1.4b431b00130c2p-6, -0x1.4445ca0b7d8c7p-6, -0x1.3d686be75c863p-6, -0x1.36aa90002623ap-6, -0x1.300bc6ad8a9c5p-6, -0x1.298ba1319fb2p-6, -0x1.2329b1b746709p-6, -0x1.1ce58b51fc082p-6, -0x1.16bec1feaf052p-6, -0x1.10b4eaa5dd26ep-6, -0x1.0ac79b1db56f3p-6, -0x1.04f66a2a7d77ap-6, -0x1.fe81def89f6d4p-7, -0x1.f34d8756cf442p-7, -0x1.e84f006ae2f47p-7, -0x1.dd857efd6c1e4p-7, -0x1.d2f039af8040bp-7, -0x1.c88e6907c73ddp-7, -0x1.be5f477b1e572p-7, -0x1.b462116822cbdp-7, -0x1.aa960505ba9e3p-7, -0x1.a0fa624be9e5dp-7, -0x1.978e6ae9d4345p-7, -0x1.8e51625015433p-7, -0x1.85428dd008ea2p-7, -0x1.7c6134bfd30eep-7, -0x1.73aca08cf0594p-7, -0x1.6b241cac49092p-7, -0x1.62c6f66a4377ep-7, -0x1.5a947cb27021cp-7, -0x1.528bffee4707cp-7, -0x1.4aacd21ae0395p-7, -0x1.42f6470df7738p-7, -0x1.3b67b4ce62c2cp-7, -0x1.340073cc72b7dp-7, -0x1.2cbfded1a4d62p-7, -0x1.25a552a23e3ecp-7, -0x1.1eb02d78bced4p-7, -0x1.17dfcea0b2b14p-7, -0x1.11339670986b3p-7, -0x1.0aaae6b791b1fp-7, -0x1.04452374d8566p-7, -0x1.fc03670118bcap-8, -0x1.efc00186f1232p-8, -0x1.e3beef9d1e4ecp-8, -0x1.d7ff0dde5f95ap-8, -0x1.cc7f3a5308334p-8, -0x1.c13e533ca8b19p-8, -0x1.b63b37748db68p-8, -0x1.ab74c864ab3c8p-8, -0x1.a0e9eccd6e9ffp-8, -0x1.9699930ef836p-8, -0x1.8c82b1be62984p-8, -0x1.82a4460794252p-8, -0x1.78fd5063bf81p-8, -0x1.6f8cd10c3044dp-8, -0x1.6651c5cf02cfep-8, -0x1.5d4b2a6a10da6p-8, -0x1.5477fb73f4f65p-8, -0x1.4bd73abfc5064p-8, -0x1.4367f35f071ap-8, -0x1.3b293b6ba2eafp-8, -0x1.331a32988d022p-8, -0x1.2b39fded427dp-8, -0x1.2387c26029c9dp-8, -0x1.1c02a093d6215p-8, -0x1.14a9b380d922ep-8, -0x1.0d7c129fc3efep-8, -0x1.0678d6d57d361p-8, -0x1.ff3e40c67de6p-9, -0x1.f1dc373e94db1p-9, -0x1.e4ca04f42e2fep-9, -0x1.d80633d51ba07p-9, -0x1.cb8f5840bfc61p-9, -0x1.bf64040f2ac65p-9, -0x1.b382bcc161737p-9, -0x1.a7e9f869c172ap-9, -0x1.9c98215f313b2p-9, -0x1.918b9ee957c08p-9, -0x1.86c2e18b58614p-9, -0x1.7c3c6fbd3d3aep-9, -0x1.71f6ee4daea5cp-9, -0x1.67f11fdcaec07p-9, -0x1.5e29daf252857p-9, -0x1.549ffb9506516p-9, -0x1.4b52575793bdbp-9, -0x1.423fb6733a4c3p-9, -0x1.3966d0a08b6fcp-9, -0x1.30c64c13a1543p-9, -0x1.285cc1cc520e3p-9, -0x1.2028cb5b10695p-9, -0x1.182917b0b94e3p-9, -0x1.105c7c3f3cfddp-9, -0x1.08c1f794c6c39p-9, -0x1.0158a4e59f26dp-9, -0x1.f43f55f1c998ep-10, -0x1.e62c60fee195bp-10, -0x1.d876a953de457p-10, -0x1.cb1c46eba754bp-10, -0x1.be1b0a56eefefp-10, -0x1.b1706dd65d109p-10, -0x1.a519b74c9442dp-10, -0x1.9914467906c6fp-10, -0x1.8d5de242c8349p-10, -0x1.81f4d4f1c96e6p-10, -0x1.76d7ce9706c14p-10, -0x1.6c05b15d55571p-10, -0x1.617d70135116ep-10, -0x1.573e00955e7edp-10, -0x1.4d4640b9b1c1p-10, -0x1.4394ba09da95dp-10, -0x1.3a27655cc99a6p-10, -0x1.30fbae25694b2p-10, -0x1.280ecdbff4cdp-10, -0x1.1f5e4cc9884eap-10, -0x1.16e85c3f0e8f5p-10, -0x1.0eabdbcff335p-10, -0x1.06a81c1480051p-10, -0x1.fdb92424b709p-11, -0x1.ee9159fcf11dep-11, -0x1.dfd7a46029fabp-11, -0x1.d18aa1a8a5c6ep-11, -0x1.c3a842e07a899p-11, -0x1.b62d2c852805fp-11, -0x1.a914b73da862cp-11, -0x1.9c59beebaf086p-11, -0x1.8ff7a83c0b961p-11, -0x1.83eb1fddbf841p-11, -0x1.783268f450627p-11, -0x1.6cccfb8c6b94cp-11, -0x1.61ba858b6e332p-11, -0x1.56fa1ac69ab7ap-11, -0x1.4c8a56db615cep-11, -0x1.426a056fc4d45p-11, -0x1.38981f8383632p-11, -0x1.2f12f7edcf894p-11, -0x1.25d7b71bad585p-11, -0x1.1ce2c29833e01p-11, -0x1.14305ba3ed803p-11, -0x1.0bbd08a81ee02p-11, -0x1.03866f86ee988p-11, -0x1.f71818190b73p-12, -0x1.e79c63e4a1a15p-12, -0x1.d8982699190c9p-12, -0x1.ca06d31eba96bp-12, -0x1.bbe40a3ca8fedp-12, -0x1.ae2daa57df72cp-12, -0x1.a0e2d0bf3da43p-12, -0x1.94022b0371024p-12, -0x1.8789328578d5ep-12, -0x1.7b747b0a86ab2p-12, -0x1.6fbff3c32346bp-12, -0x1.6466638f177cfp-12, -0x1.59638a46d0c3ep-12, -0x1.4eb7ad343b748p-12, -0x1.44645569500dbp-12, -0x1.3a65e4efdeacbp-12, -0x1.30b51c586d20ap-12, -0x1.274d0343d51c3p-12, -0x1.1e2b7a23be81ep-12, -0x1.154f42488f07bp-12, -0x1.0cb8342d31d1fp-12, -0x1.0466d816e038ep-12, -0x1.f8b5288e30e19p-13, -0x1.e923ac588dabfp-13, -0x1.da156b48cec78p-13, -0x1.cb8354774718dp-13, -0x1.bd6a366eab0fep-13, -0x1.afd038b6781dcp-13, -0x1.a2b35fd1fea4p-13, -0x1.9603e2b7b2407p-13, -0x1.89b64b8eea427p-13, -0x1.7dc6741bcfff1p-13, -0x1.722e9ecdcbcb3p-13, -0x1.66ea5477b5638p-13, -0x1.5bfb1c6c0482ep-13, -0x1.51653174e8af3p-13, -0x1.4728f30ca2902p-13, -0x1.3d42bc7a5d7efp-13, -0x1.33b1c88bc9a35p-13, -0x1.2a75950d5b59dp-13, -0x1.218a1b45b3b06p-13, -0x1.18f260f713139p-13, -0x1.10ad26d08f77dp-13, -0x1.08adbfaa536f5p-13, -0x1.00f0e633e504bp-13, -0x1.f2ed4d3198015p-14, -0x1.e46d0010a0fe9p-14, -0x1.d650ab51d1b55p-14, -0x1.c895bed54d2e4p-14, -0x1.bb436cdc61725p-14, -0x1.ae6092f1a11b5p-14, -0x1.a1eaf1f11b334p-14, -0x1.95d9afe75dfafp-14, -0x1.8a2f9d2a7a1dep-14, -0x1.7ef6f21b59c58p-14, -0x1.74252f1a78e8dp-14, -0x1.69b2c56382dedp-14, -0x1.5f94dcf877c6dp-14, -0x1.55c28ae96e61p-14, -0x1.4c4b3a8e00f4p-14, -0x1.432dd7304ad0ap-14, -0x1.3a5dd38834299p-14, -0x1.31d017289714bp-14, -0x1.297c551216b1p-14, -0x1.21611abbb0efap-14, -0x1.19831bed89eadp-14, -0x1.11e5b6ba4b05fp-14, -0x1.0a84a587e037bp-14, -0x1.035a850d5275dp-14, -0x1.f8e5adcfbd9ap-15, -0x1.ebab671569b7ap-15, -0x1.ded8265d51a44p-15, -0x1.d2574f09cb81ap-15, -0x1.c61eb141658f8p-15, -0x1.ba4bc2e9a717ap-15, -0x1.aeddd98b351cp-15, -0x1.a3cbbad116e85p-15, -0x1.9919d503f1b35p-15, -0x1.8ec72968a9deap-15, -0x1.84c40c3e8a89ep-15, -0x1.7afc7cde65523p-15, -0x1.716d495f8fdep-15, -0x1.6822088d94cabp-15, -0x1.5f1c327ec441p-15, -0x1.565291416075ap-15, -0x1.4dce38cfd234cp-15, -0x1.45a4634bca77ep-15, -0x1.3db85c61c604fp-15, -0x1.35ec64873d483p-15, -0x1.2e46b66fcc983p-15, -0x1.26defa61b87dbp-15, -0x1.1fa745fe4d078p-15, -0x1.1899c1dad746cp-15, -0x1.11ba367ca6558p-15, -0x1.0b0d23eca7c3fp-15, -0x1.049732a222bb5p-15, -0x1.fcaf0b12311ccp-16, -0x1.f07cbd80605abp-16, -0x1.e478008d279edp-16, -0x1.d8b2d99d69d88p-16, -0x1.cd3832c73a053p-16, -0x1.c1fd02712ec66p-16, -0x1.b71024caa58fcp-16, -0x1.ac7b9cb95145bp-16, -0x1.a229114beb282p-16, -0x1.97eb4e85fe577p-16, -0x1.8de88f46dea6dp-16, -0x1.842740109f5cep-16, -0x1.7a9249ef133ecp-16, -0x1.712c46db3009ep-16, -0x1.67f66b0c45ea2p-16, -0x1.5eef9b64fe5a8p-16, -0x1.5616d73583f5dp-16, -0x1.4d6e4e4230cb5p-16, -0x1.44fdd39112fbdp-16, -0x1.3cc6ac17ff39fp-16, -0x1.34ae7fc90d112p-16, -0x1.2cb10d534dcd5p-16, -0x1.24d7a90b6bca9p-16, -0x1.1d20b8aaf6755p-16, -0x1.1598376963495p-16, -0x1.0e36c7cb73579p-16, -0x1.06f288e8e06aap-16, -0x1.ff7fbf0a339b1p-17, -0x1.f16e879c171edp-17, -0x1.e3904fc74e732p-17, -0x1.d5e94ba1db1eep-17, -0x1.c87bf40acc815p-17, -0x1.bb47103338203p-17, -0x1.ae48cf81f79p-17, -0x1.a17ed211112a5p-17, -0x1.94e618ee01aa2p-17, -0x1.887bf5090d0c9p-17, -0x1.7c41101041f66p-17, -0x1.704245672eebep-17, -0x1.6489176c8c734p-17, -0x1.58f3e4260482fp-17, -0x1.4d7b27a926bb6p-17, -0x1.422eddc7eab19p-17, -0x1.371abb9e45efp-17, -0x1.2c30ec8c33dfbp-17, -0x1.216323efa3843p-17, -0x1.16c637449c6c7p-17, -0x1.0c4b67fd9e8ecp-17, -0x1.01f6bd52b308dp-17, -0x1.ef9337773fea3p-18, -0x1.db86758ea9f08p-18, -0x1.c7c3e047c8627p-18, -0x1.b4523c68fea2p-18, -0x1.a1238a47a5102p-18, -0x1.8e404692ca948p-18, -0x1.7ba27de5c7972p-18, -0x1.6948f0796c3d5p-18, -0x1.572f88fa4d7e1p-18, -0x1.4551b3b23b0bdp-18, -0x1.33c524dc176b1p-18, -0x1.22a73b329abd3p-18, -0x1.11a81715d61c5p-18, -0x1.00e18b8f19f5fp-18, -0x1.e0e13773adc83p-19, -0x1.c077e4c7f46e6p-19, -0x1.a08f8a53353eap-19, -0x1.81166ed154713p-19, -0x1.621d555a2caabp-19, -0x1.43a5abd42e29bp-19, -0x1.25ad793fbd435p-19, -0x1.083342214f4f9p-19, -0x1.d66c422762fb2p-20, -0x1.9d6ad31143e3bp-20, -0x1.6560994b4f413p-20, -0x1.2e49727618005p-20, -0x1.f052547cca0c7p-21, -0x1.85f053ed2303dp-21, -0x1.1d6e3a0ad98cbp-21, -0x1.6d8a7395f830fp-22, -0x1.47b3a541589e9p-23, 0x1.1298c9a3cf5dfp-25, 0x1.c9bee2dbf1fbp-23, 0x1.a25ed758ac19ap-22, 0x1.2eec92526a4b8p-21, 0x1.8a29ab2945299p-21, 0x1.e3b044a631981p-21, 0x1.1ddcff678fc7ep-20, 0x1.48fa8ca83e90ap-20, 0x1.732fc549af636p-20, 0x1.9c7f6db7508e1p-20, 0x1.c4eb9e8d205f9p-20, 0x1.ec75eb005bc1fp-20, 0x1.098fb8b49a4dcp-19, 0x1.1c74cee16d886p-19, 0x1.2eeae3b9354cfp-19, 0x1.40f291bc1641p-19, 0x1.528c667072edp-19, 0x1.63b8fecadb2bbp-19, 0x1.747920d7b47b1p-19, 0x1.84cda8bdbf92bp-19, 0x1.94b693f990484p-19, 0x1.a433e14f5f35ep-19, 0x1.b347681515bd1p-19, 0x1.c1f22e9ac7af5p-19, 0x1.d03bc2fb0eb13p-19, 0x1.de1d34dffa044p-19, 0x1.eb8a52f18825cp-19, 0x1.f88992ecf2609p-19, 0x1.02979b0e74356p-18, 0x1.08b935a0e8916p-18, 0x1.0ea81ee5a6c16p-18, 0x1.1464e2a6f568ap-18, 0x1.19f00e6df1715p-18, 0x1.1f4a18461b377p-18, 0x1.2473d1bb938bdp-18, 0x1.296c0b071144dp-18, 0x1.2e369ebb1a1cdp-18, 0x1.32cfc2c1c36fep-18, 0x1.373aacc020459p-18, 0x1.3b770ce8fcb77p-18, 0x1.3f8553ce6b4e3p-18, 0x1.4365f9acd506p-18, 0x1.47195539e4649p-18, 0x1.4a9fde9258c8fp-18, 0x1.4dfa1ebda543ep-18, 0x1.512877637f542p-18, 0x1.542c0a9dd8204p-18, 0x1.5703e0b6dfe17p-18, 0x1.59b18d3012c19p-18, 0x1.5c3558f6b0c37p-18, 0x1.5e91ae7ed7448p-18, 0x1.60c3de6e8164cp-18, 0x1.62c9ca8702891p-18, 0x1.64ab1840e790ap-18, 0x1.66650b9340745p-18, 0x1.67f800706f98p-18, 0x1.696244e4a0cb4p-18, 0x1.6aaaab99f90c6p-18, 0x1.6bcbae6eeb66dp-18, 0x1.6cc7d2e38182ap-18, 0x1.6d9fa789073dap-18, 0x1.6e539f8a1faeep-18, 0x1.6ee79befc792ep-18, 0x1.6f51b7dd0604ep-18, 0x1.6f9da366555fbp-18, 0x1.6fc80484c1ae2p-18, 0x1.6fd0f6fda836dp-18, 0x1.6fb941efbb75p-18, 0x1.6f81744197a52p-18, 0x1.6f2a4ae2cf4e7p-18, 0x1.6eb3d6c8b4263p-18, 0x1.6e1f19e2ebd6dp-18, 0x1.6d6c72f542f02p-18, 0x1.6c9c6db49077p-18, 0x1.6baf99f12e257p-18, 0x1.6aa67a1752b94p-18, 0x1.6981961b3dfa1p-18, 0x1.68417da88a5e7p-18, 0x1.66e77be724626p-18, 0x1.657204fb2892cp-18, 0x1.63e393669481bp-18, 0x1.623c3cdd16d15p-18, 0x1.607c5b5a16253p-18, 0x1.5ea47f45cb09p-18, 0x1.5cb53ba05e9ecp-18, 0x1.5aaeff5fe0b2dp-18, 0x1.58927ca0a1e8fp-18, 0x1.566017efd7162p-18, 0x1.541867dd036cp-18, 0x1.51bbef3794ce9p-18, 0x1.4f4b3426940aap-18, 0x1.4cc6bb39ea1c4p-18, 0x1.4a2f0821a779ep-18, 0x1.4784a52070b8bp-18, 0x1.44c80516f3f2ap-18, 0x1.41f9ba776ad05p-18, 0x1.3f1a43776c7a8p-18, 0x1.3c2a212f2fep-18, 0x1.3929ca28ad208p-18, 0x1.3619b8e1f7946p-18, 0x1.32fa733e1bd16p-18, 0x1.2fcc7c02a3572p-18, 0x1.2c904c21f6b56p-18, 0x1.29465c04abea3p-18, 0x1.25ef23d626307p-18, 0x1.228b17c7c1736p-18, 0x1.1f1ab680481ddp-18, 0x1.1b9eb23cb61e6p-18, 0x1.1816d6c64bb6fp-18, 0x1.14844befbbafcp-18, 0x1.10e72be43f9dp-18, 0x1.0d3fff1d7bf1ep-18, 0x1.098f308f8e0afp-18, 0x1.05d52d9d81ee3p-18, 0x1.0212454d7a122p-18, 0x1.fc92c081858b3p-19, 0x1.f4e81849f952ap-19, 0x1.ed33ca52ddc75p-19, 0x1.e57087715adcp-19, 0x1.dd9f69b36a855p-19, 0x1.d5c3b0b7afc2ep-19, 0x1.cdda45da2073fp-19, 0x1.c5e64d63800b4p-19, 0x1.bdf28c29b8b6ep-19, 0x1.b5e0a06ece72bp-19, 0x1.add0ff9f91c59p-19, 0x1.a5b91755c74b9p-19, 0x1.9d99ddf21de44p-19, 0x1.9574170919d3p-19, 0x1.8d4843880cbccp-19, 0x1.8517fa8de6134p-19, 0x1.7ce2d15043bc6p-19, 0x1.74aa757598e69p-19, 0x1.6c6f1834c5e3fp-19, 0x1.64327f9138778p-19, 0x1.5bf08cff2fb91p-19, 0x1.53afa9e397a6p-19, 0x1.4b6e31fe944d9p-19, 0x1.432cd932cdf27p-19, 0x1.3aec39784da25p-19, 0x1.32ace9ddafbb5p-19, 0x1.2a6f7fc18c4e9p-19, 0x1.22348c5625b16p-19, 0x1.19fc9b5339adbp-19, 0x1.11c81710d6e0bp-19, 0x1.0999369e6e16bp-19, 0x1.016c49683c6c5p-19, 0x1.f28c1f55c68e3p-20, 0x1.e24aaee76b894p-20, 0x1.d215875fec8b2p-20, 0x1.c1eda9ffd2323p-20, 0x1.b1d40b81e238cp-20, 0x1.a1c999bae4643p-20, 0x1.91cf3ca476d01p-20, 0x1.81e5d9932c4adp-20, 0x1.720e620d47c9dp-20, 0x1.624973f49224bp-20, 0x1.52965c748b65fp-20, 0x1.43034b91828cep-20, 0x1.3372e58a2624bp-20, 0x1.2401448afdefbp-20, 0x1.14a5f34c18f85p-20, 0x1.0561f57293356p-20, 0x1.ec6c0b2f5b0c1p-21, 0x1.ce45bf79e6a1p-21, 0x1.b0523df03380ap-21, 0x1.9292ef8a6f438p-21, 0x1.75090f8dfdbbcp-21, 0x1.57b5d6b53267bp-21, 0x1.3a9a61c3cc23dp-21, 0x1.1db6be8146da1p-21, 0x1.00dbccb3d1b92p-21, 0x1.c94178d02f689p-22, 0x1.90e4641eccb15p-22, 0x1.58fdf18bef8dap-22, 0x1.219388e9635b8p-22, 0x1.d54bea26de32dp-23, 0x1.688a3681a4e53p-23, 0x1.f9470cc7ff0bap-24, 0x1.23b4acec6d47fp-24, 0x1.40cfdf1dd79d6p-26, -0x1.0263829b515d4p-25, -0x1.50765cbb78efp-24, -0x1.0ecbcb8ea3abdp-23, -0x1.73d92d6c14881p-23, -0x1.d8a887e680e73p-23, -0x1.1df20721cbef7p-22, -0x1.4f046b66348c2p-22, -0x1.7f86ba2a0059dp-22, -0x1.af7803522bcebp-22, -0x1.ded7d99c261c2p-22, -0x1.06d3338fae61fp-21, -0x1.1df156daee296p-21, -0x1.34b7c7c9175p-21, -0x1.4b451fdc81fe5p-21, -0x1.6182a6efe4d09p-21, -0x1.77718f686c6bfp-21, -0x1.8d23755980b98p-21, -0x1.a26d3db42f536p-21, -0x1.b777c794eb4c8p-21, -0x1.cc3645cac577dp-21, -0x1.e0a7ee87c2e1ep-21, -0x1.f4ccfa14090c9p-21, -0x1.044faacb7e5c4p-20, -0x1.0e1727e2f1ab4p-20, -0x1.17b4c8a292723p-20, -0x1.212bff0758462p-20, -0x1.2a7c5eeb65a94p-20, }}, 
      {{0x1.4f54a7a927c3cp-9, 0x1.014ba39291dc8p-8, 0x1.d16a0a9302936p-9, 0x1.5904eaa8874c3p-10, -0x1.5b120a55079dap-9, -0x1.08da300786933p-7, -0x1.e0d1d74fbac08p-7, -0x1.69fe9c2aac817p-6, -0x1.ec159811792acp-6, -0x1.39086b6dcc902p-5, -0x1.7bf5ede00e433p-5, -0x1.bd21ccc40280fp-5, -0x1.fb298ddfb963bp-5, -0x1.1a7a4479a46c7p-4, -0x1.34d66b07aeee9p-4, -0x1.4c5bb39eba249p-4, -0x1.60d6059f14dp-4, -0x1.7226df0d45c14p-4, -0x1.8041c837bfe7dp-4, -0x1.8b2924be57d52p-4, -0x1.92eb6532868e6p-4, -0x1.97a08f428db8ap-4, -0x1.9968172ea856p-4, -0x1.98670469a03a3p-4, -0x1.94c65bc36991dp-4, -0x1.8eb1ca987ccfap-4, -0x1.86568b3b239dep-4, -0x1.7be27ba62fa1bp-4, -0x1.6f8360782b7e4p-4, -0x1.61664dbb46a3ep-4, -0x1.51b73160edd4fp-4, -0x1.40a07813cd59ap-4, -0x1.2e4ac8767dc9ep-4, -0x1.1adcd5eee133ap-4, -0x1.067b42013bd22p-4, -0x1.e291082bfe7eap-5, -0x1.b6c9d8f17e6c4p-5, -0x1.89dd38e38a7fbp-5, -0x1.5c0320b45623dp-5, -0x1.2d6f66755945p-5, -0x1.fca3a8adf19ddp-6, -0x1.9daca8c50874dp-6, -0x1.3e4a387c8804ap-6, -0x1.bd8b9c108617fp-7, -0x1.fd88f0a5be8afp-8, -0x1.02e0cbe5c9136p-9, 0x1.f0aee68c06b1cp-9, 0x1.3784b60741084p-7, 0x1.f0fa58825a20dp-7, 0x1.541ed190a6c48p-6, 0x1.ae8429e3256cep-6, 0x1.03c70e5b510abp-5, 0x1.2f90a7681c1eep-5, 0x1.5a92eab74b32p-5, 0x1.84c378914ae5p-5, 0x1.ae196450678fbp-5, 0x1.d68d183e958c4p-5, 0x1.fe18386ab27fep-5, 0x1.125ac4c0d368cp-4, 0x1.25306c21bf59fp-4, 0x1.378b72846999cp-4, 0x1.496aa71632ffcp-4, 0x1.5acd3f1f6e1ap-4, 0x1.6bb2cd0dbe693p-4, 0x1.7c1b38103a668p-4, 0x1.8c06b46f02e83p-4, 0x1.9b75bc2912ed2p-4, 0x1.aa69082e59231p-4, 0x1.b8e189cb99087p-4, 0x1.c6e06496d33eap-4, 0x1.d466e8fbcb214p-4, 0x1.e1768eb0412c1p-4, 0x1.ee10efd5dbdfp-4, 0x1.fa37c4713e261p-4, 0x1.02f66f230e7e8p-3, 0x1.089912734aaa4p-3, 0x1.0e04c916a1b63p-3, 0x1.133a977b0320cp-3, 0x1.183b88233642fp-3, 0x1.1d08aa4f27e06p-3, 0x1.21a310bda06c7p-3, 0x1.260bd098cdc3ap-3, 0x1.2a44007961aedp-3, 0x1.2e4cb78bc53fbp-3, 0x1.32270cbc4161bp-3, 0x1.35d416080caa9p-3, 0x1.3954e7d586abp-3, 0x1.3caa946b8bb6ep-3, 0x1.3fd62b681379bp-3, 0x1.42d8b95fc39bfp-3, 0x1.45b3476b27885p-3, 0x1.4866dae9ee4a6p-3, 0x1.4af4750992463p-3, 0x1.4d5d12df20edap-3, 0x1.4fa1acad9c7fbp-3, 0x1.51c3363e95a34p-3, 0x1.53c29e652b378p-3, 0x1.55a0cefbc4e7ep-3, 0x1.575eacdea563bp-3, 0x1.58fd18090c934p-3, 0x1.5a7ceafd1987cp-3, 0x1.5bdefb09d2ad9p-3, 0x1.5d24185da3dafp-3, 0x1.5e4d0daa0c172p-3, 0x1.5f5aa15663c27p-3, 0x1.604d94296f9afp-3, 0x1.6126a1ceda098p-3, 0x1.61e680e605c49p-3, 0x1.628de336b4f2p-3, 0x1.631d75ac9d18ap-3, 0x1.6395e05aaba23p-3, 0x1.63f7c6b8a92b5p-3, 0x1.6443c798c9427p-3, 0x1.647a7d4414c64p-3, 0x1.649c7db0b49bp-3, 0x1.64aa5a7d6ebcbp-3, 0x1.64a4a10f5b596p-3, 0x1.648bdac9538dep-3, 0x1.64608d0eb49a7p-3, 0x1.6423395b8a2d7p-3, 0x1.63d45d7c0b332p-3, 0x1.63747397a7896p-3, 0x1.6303f2431abe8p-3, 0x1.62834cb51bff3p-3, 0x1.61f2f2db9065bp-3, 0x1.615351658fea7p-3, 0x1.60a4d1f121df6p-3, 0x1.5fe7db2cceb7ap-3, 0x1.5f1cd0de6942bp-3, 0x1.5e441402a166ap-3, 0x1.5d5e02f6ca6acp-3, 0x1.5c6af986e8918p-3, 0x1.5b6b50fc73e5dp-3, 0x1.5a5f604524c74p-3, 0x1.59477c0f22787p-3, 0x1.5823f6d1bab09p-3, 0x1.56f520e3a1f4ep-3, 0x1.55bb489dd2c07p-3, 0x1.5476ba6e93e9bp-3, 0x1.5327c0e2971dfp-3, 0x1.51cea4bc26b9dp-3, 0x1.506bad105edc9p-3, 0x1.4eff1f55dbfaap-3, 0x1.4d893f6e1b518p-3, 0x1.4c0a4fbacdc2bp-3, 0x1.4a829134fea29p-3, 0x1.48f2437abc2aap-3, 0x1.4759a4d6f3247p-3, 0x1.45b8f252d9a67p-3, 0x1.441067ca3bcfbp-3, 0x1.42603ff754ac7p-3, 0x1.40a8b479d421bp-3, 0x1.3ee9fde36195dp-3, 0x1.3d2453c86cbf4p-3, 0x1.3b57eccc20ec9p-3, 0x1.3984fea67121p-3, 0x1.37abbe2c3cc17p-3, 0x1.35cc5f5be91aep-3, 0x1.33e7156909e69p-3, 0x1.31fc12c2bace6p-3, 0x1.300b89187346ap-3, 0x1.2e15a9632a511p-3, 0x1.2c1aa3ea8f7e3p-3, 0x1.2a1aa85451ab9p-3, 0x1.2815e5a09a4bap-3, 0x1.260c8a2fc42fdp-3, 0x1.23fec3d684337p-3, 0x1.21ecbfc28259bp-3, 0x1.1fd6aaa3434f7p-3, 0x1.1dbcb09cb9255p-3, 0x1.1b9efd4832913p-3, 0x1.197dbbbd78881p-3, 0x1.1759169698743p-3, 0x1.153137f100519p-3, 0x1.1306496fc6bep-3, 0x1.10d8743e923dep-3, 0x1.0ea7e112d969ep-3, 0x1.0c74b82c3ae4ap-3, 0x1.0a3f215d8ce2dp-3, 0x1.080744060c05ap-3, 0x1.05cd47150504fp-3, 0x1.0391510a99b76p-3, 0x1.015387f9530dfp-3, 0x1.fe28230d879b9p-4, 0x1.f9a625d5c2e0fp-4, 0x1.f52161f0fa833p-4, 0x1.f09a2019e9baep-4, 0x1.ec10a82383115p-4, 0x1.e7854126442fp-4, 0x1.e2f8316a36997p-4, 0x1.de69be3a8eaa3p-4, 0x1.d9da2c1710d29p-4, 0x1.d549bea2ad069p-4, 0x1.d0b8b8aa3ac56p-4, 0x1.cc275c12a068dp-4, 0x1.c795e9e8739bdp-4, 0x1.c304a255c4e9dp-4, 0x1.be73c4a20aa28p-4, 0x1.b9e38f30cd524p-4, 0x1.b5543f804465ap-4, 0x1.b0c61227fd5a9p-4, 0x1.ac3942d6f0ee1p-4, 0x1.a7ae0c519302cp-4, 0x1.a324a8701e578p-4, 0x1.9e9d501d6b389p-4, 0x1.9a183b54b5831p-4, 0x1.9595a11f665a2p-4, 0x1.9115b79492ac5p-4, 0x1.8c98b3d769925p-4, 0x1.881eca1532cb4p-4, 0x1.83a82d83e88fp-4, 0x1.7f35105ff958ep-4, 0x1.7ac5a3ed0316p-4, 0x1.765a187281172p-4, 0x1.71f29d3c2434p-4, 0x1.6d8f609713a24p-4, 0x1.69308fd5ebc4bp-4, 0x1.64d65745ad4cbp-4, 0x1.6080e2372e37ep-4, 0x1.5c305af974ca4p-4, 0x1.57e4eada5edb8p-4, 0x1.539eba267ed4dp-4, 0x1.4f5df0281be6ap-4, 0x1.4b22b3276f9b2p-4, 0x1.46ed28695bceep-4, 0x1.42bd742fd221ap-4, 0x1.3e93b9ba7a62dp-4, 0x1.3a701b47c36c1p-4, 0x1.3652ba15ab546p-4, 0x1.323bb661f490cp-4, 0x1.2e2b2f68d4897p-4, 0x1.2a2143657cfedp-4, 0x1.261e0f918d033p-4, 0x1.2221b02823b3ep-4, 0x1.1e2c40697ecdap-4, 0x1.1a3dda9e530ffp-4, 0x1.16569818bd408p-4, 0x1.12769132331b1p-4, 0x1.0e9ddd4878835p-4, 0x1.0acc92bb877cp-4, 0x1.0702c6f106cccp-4, 0x1.03408e5fe9b96p-4, 0x1.ff0bf92cb5646p-5, 0x1.f7a64887c8505p-5, 0x1.f0502e6c24b6bp-5, 0x1.e909cc9919d53p-5, 0x1.e1d342ddc62e8p-5, 0x1.daacaf0edc0fep-5, 0x1.d3962d1d26e16p-5, 0x1.cc8fd74655f32p-5, 0x1.c599c64a97cdbp-5, 0x1.beb41187c7e78p-5, 0x1.b7decee4fc441p-5, 0x1.b11a129255ff9p-5, 0x1.aa65eebc45dfcp-5, 0x1.a3c27371b3e7dp-5, 0x1.9d2faec2ab717p-5, 0x1.96adad34a39dbp-5, 0x1.903c7a478cf86p-5, 0x1.89dc20c99e15ep-5, 0x1.838caabf08084p-5, 0x1.7d4e20d7fb5fep-5, 0x1.772089b25533dp-5, 0x1.7103e94f03576p-5, 0x1.6af84119eabfep-5, 0x1.64fd90a02fd8fp-5, 0x1.5f13d6b497a39p-5, 0x1.593b1273c9e52p-5, 0x1.5373439bf5e03p-5, 0x1.4dbc69e7298cfp-5, 0x1.4816839e1fcbap-5, 0x1.42818c048e0acp-5, 0x1.3cfd7a8a97cb5p-5, 0x1.378a430907b7cp-5, 0x1.3227d78c2f1cp-5, 0x1.2cd62a8994e72p-5, 0x1.279530be1401bp-5, 0x1.2264e1a581697p-5, 0x1.1d453625f73p-5, 0x1.183625e0ed90ap-5, 0x1.1337a4517a271p-5, 0x1.0e499f14c417cp-5, 0x1.096bfe4919504p-5, 0x1.049ea71352b61p-5, 0x1.ffc2feba2941ap-6, 0x1.f668e282aed1bp-6, 0x1.ed2ed92ddf525p-6, 0x1.e414cb77eabd4p-6, 0x1.db1aa3e922ce9p-6, 0x1.d24045a1411c1p-6, 0x1.c985850ffd24cp-6, 0x1.c0ea25aee7fb6p-6, 0x1.b86dddc45a6e3p-6, 0x1.b0105f01e9c06p-6, 0x1.a7d161217741ap-6, 0x1.9fb0aa7fb5598p-6, 0x1.97ae130f993e7p-6, 0x1.8fc9802722789p-6, 0x1.8802da8e3c581p-6, 0x1.805a025a5716fp-6, 0x1.78cec67be87ep-6, 0x1.7160e17f9c79cp-6, 0x1.6a0ffbdbc93f3p-6, 0x1.62dbb39d371d6p-6, 0x1.5bc3a7bb58e3cp-6, 0x1.54c784bcfc8c5p-6, 0x1.4de70ddffdaa3p-6, 0x1.47221dce6d3adp-6, 0x1.40789df68ee7ep-6, 0x1.39ea79329c33cp-6, 0x1.33778ffae4478p-6, 0x1.2d1fb0f53c82dp-6, 0x1.26e293d29c268p-6, 0x1.20bfd60137131p-6, 0x1.1ab6fdb45f6abp-6, 0x1.14c788974dad1p-6, 0x1.0ef10387f397cp-6, 0x1.09331f00986b5p-6, 0x1.038db3aa4bf53p-6, 0x1.fc016c5f56e52p-7, 0x1.f1184b2e212ccp-7, 0x1.e65ffd5c519f5p-7, 0x1.dbd864ebdfe24p-7, 0x1.d1812c394f5d1p-7, 0x1.c75999ea72a18p-7, 0x1.bd607e0b6381dp-7, 0x1.b39459c2347dap-7, 0x1.a9f3c0dccbf99p-7, 0x1.a07db6f91ca3ep-7, 0x1.9731d38b8c27cp-7, 0x1.8e102019dff32p-7, 0x1.8518dc8e4b724p-7, 0x1.7c4c58d47df98p-7, 0x1.73aae39a6d0a6p-7, 0x1.6b34a4b0227eep-7, 0x1.62e94cc2bfcf4p-7, 0x1.5ac7c74f0d18cp-7, 0x1.52ce4091cd02bp-7, 0x1.4afa9c898e22dp-7, 0x1.434b1d2f29c77p-7, 0x1.3bbed3af72386p-7, 0x1.3455a7a0325ebp-7, 0x1.2d100830d83a9p-7, 0x1.25ee8ba4fcb98p-7, 0x1.1ef1bac908941p-7, 0x1.181a0be643b05p-7, 0x1.1167cfdaaf17bp-7, 0x1.0adad92be9c54p-7, 0x1.04721129642bep-7, 0x1.fc56f52e3e731p-8, 0x1.f0097e23e3523p-8, 0x1.e3f7bf9887a0bp-8, 0x1.d81f6cd63ab5fp-8, 0x1.cc8053f47ed69p-8, 0x1.c11bd8ce95a3cp-8, 0x1.b5f3954580153p-8, 0x1.ab083839afa7ep-8, 0x1.a059b64ce4a0ap-8, 0x1.95e83a05ec624p-8, 0x1.8bb4268a860ap-8, 0x1.81bceec25de3ep-8, 0x1.78005576603d9p-8, 0x1.6e7af95194eafp-8, 0x1.652932e7f854dp-8, 0x1.5c07b2050b686p-8, 0x1.5314bd71cbe97p-8, 0x1.4a514b1ef8487p-8, 0x1.41bf8252260b5p-8, 0x1.395fc32abcbe1p-8, 0x1.31301798c12bep-8, 0x1.292e891ad9855p-8, 0x1.215ac708fbd3cp-8, 0x1.19b5877a0b3bap-8, 0x1.123f4381036fcp-8, 0x1.0af78563c8a9ap-8, 0x1.03dd0e421c001p-8, 0x1.f9dc099869d06p-9, 0x1.ec4f2b5e4d488p-9, 0x1.df0f653cbaf31p-9, 0x1.d21fd9c6435e3p-9, 0x1.c585a760a8269p-9, 0x1.b93d7aa158ac3p-9, 0x1.ad3dd16f92dd3p-9, 0x1.a1806fa1ea3b4p-9, 0x1.96038c6c2338ep-9, 0x1.8ac709b2f6cf8p-9, 0x1.7fccef75c9fdp-9, 0x1.7518812eaa524p-9, 0x1.6aaae8d5d656cp-9, 0x1.608371ff7ff13p-9, 0x1.56a0b8060cd15p-9, 0x1.4cfe86b0cf173p-9, 0x1.439c18f5f0e95p-9, 0x1.3a80cded62f45p-9, 0x1.31acde3f6fc45p-9, 0x1.2914517d8f46ap-9, 0x1.20aea715992dfp-9, 0x1.1879771d64d5bp-9, 0x1.1070e436b01dbp-9, 0x1.08925aaab8dcep-9, 0x1.00e0d476165f6p-9, 0x1.f2c3a3f3e747ap-10, 0x1.e42e62296161ep-10, 0x1.d5fddc6563dafp-10, 0x1.c83341e9c7622p-10, 0x1.bad0459c8454bp-10, 0x1.add0223ca8817p-10, 0x1.a13b5af4c3184p-10, 0x1.9512265b11305p-10, 0x1.893ef239897d8p-10, 0x1.7dbdcb47b821ap-10, 0x1.7290e24cce1e6p-10, 0x1.67aa053edf26dp-10, 0x1.5cfb8026926bbp-10, 0x1.5284a0f4caee6p-10, 0x1.484e5ad548f6bp-10, 0x1.3e618a48d2ebfp-10, 0x1.34bdef982f683p-10, 0x1.2b5c65fbf2e8ap-10, 0x1.22418c9d3ddfbp-10, 0x1.1979ab1465d09p-10, 0x1.10fbed1bf744cp-10, 0x1.08c24c85d8b26p-10, 0x1.00c319b24ec56p-10, 0x1.f1ed1c724cb4bp-11, 0x1.e2dbe19264b1fp-11, 0x1.d4538b0f96cd2p-11, 0x1.c63d7496ca555p-11, 0x1.b88543aaafe12p-11, 0x1.ab1bb327bef8p-11, 0x1.9dffa2f36e151p-11, 0x1.913d38d579fcbp-11, 0x1.84de2f535f032p-11, 0x1.78dba9ac1f80fp-11, 0x1.6d2bfbee641c2p-11, 0x1.61eab681aa99ep-11, 0x1.572c1c09a6704p-11, 0x1.4cbf5d69d5711p-11, 0x1.428f5ad5f4f1ep-11, 0x1.389258f0a798cp-11, 0x1.2eea8f744df2fp-11, 0x1.25990879b278ap-11, 0x1.1c9573f4af745p-11, 0x1.13e6a06799775p-11, 0x1.0b8d1c25a2dfbp-11, 0x1.03789f932b49dp-11, 0x1.f72718e235506p-12, 0x1.e7b65ae0a89d2p-12, 0x1.d8bbfc0176b32p-12, 0x1.ca3e27968ca14p-12, 0x1.bc29c49c6fd3p-12, 0x1.ae9634aa74f58p-12, 0x1.a1b7bdafc04c5p-12, 0x1.954d043473267p-12, 0x1.8911cd48f3be5p-12, 0x1.7d1667b861b4ap-12, 0x1.719422502991ap-12, 0x1.666bea7ba6bccp-12, 0x1.5b919c5d0e984p-12, 0x1.510fa9c842053p-12, 0x1.46f22dfb7a475p-12, 0x1.3d459c19fc09ep-12, 0x1.34092fd3718b2p-12, 0x1.2b186ccdb18b3p-12, 0x1.224e86d612cdbp-12, 0x1.19c200270ffb8p-12, 0x1.11811215a636p-12, 0x1.097f5a4361186p-12, 0x1.01cf3eac6554ap-12, 0x1.f4fb6283694c4p-13, 0x1.e6e101cb915f8p-13, 0x1.d8e3d05c85ec9p-13, 0x1.cb60ff1a36cb6p-13, 0x1.be691739f85e5p-13, 0x1.b1ca4ef98d6fep-13, 0x1.a58bbefd64e64p-13, 0x1.99b107a43e8c9p-13, 0x1.8e3827334b2abp-13, 0x1.831f52917987p-13, 0x1.786c49e4680e3p-13, 0x1.6e31f62b5d1c4p-13, 0x1.6473512640427p-13, 0x1.5af22c115be16p-13, 0x1.51a4eaaff4063p-13, 0x1.48a199b5c54c3p-13, 0x1.3fe4ce7719758p-13, 0x1.378a205f26159p-13, 0x1.2f7fe998b308fp-13, 0x1.27afbe23535f5p-13, 0x1.1fff4fc96fff2p-13, 0x1.18a61b6775a4ap-13, 0x1.117e39d25a144p-13, 0x1.0a8c175c2f52fp-13, 0x1.03d243c6c365dp-13, 0x1.fa9ddaba2b28cp-14, 0x1.edff396e9ed3fp-14, 0x1.e1c2afcb3ea8cp-14, 0x1.d5e0fe717712p-14, 0x1.ca53d7ecd61ecp-14, 0x1.bf1bf14f6e8d8p-14, 0x1.b4531c0b1769ap-14, 0x1.aa0a7802aee9ep-14, 0x1.9ffad310d111fp-14, 0x1.9615335295827p-14, 0x1.8c79bc697a73p-14, 0x1.833d13ab8d6bp-14, 0x1.7a42767639309p-14, 0x1.716efe4f5cf9ep-14, 0x1.68e87b62d6b9dp-14, 0x1.60922238c288dp-14, 0x1.58722933e21c5p-14, 0x1.5089f34de571ep-14, 0x1.48d6f0dbd2919p-14, 0x1.4157557198f91p-14, 0x1.3a061536a7e79p-14, 0x1.32e557696afcbp-14, 0x1.2beefac36eb6ep-14, 0x1.252235e6afacbp-14, 0x1.1e7bfce8086d1p-14, 0x1.17f852024e766p-14, 0x1.119334fc03176p-14, 0x1.0b5b4ff40ebeap-14, 0x1.05624319c736p-14, 0x1.fee036aa2b62bp-15, 0x1.f32e76a704408p-15, 0x1.e7d0db456400fp-15, 0x1.dca502a26f7bfp-15, 0x1.d1af7fb48a977p-15, 0x1.c6e3c5027701cp-15, 0x1.bc4a0968a6ee7p-15, 0x1.b1e176e24876cp-15, 0x1.a7a74fe45a079p-15, 0x1.9d99350bc68f9p-15, 0x1.93b52432138c4p-15, 0x1.89f948ee03685p-15, 0x1.8063c6e814bbfp-15, 0x1.76f3aaaa26f07p-15, 0x1.6da55d2d8947ep-15, 0x1.64798f81bd9cdp-15, 0x1.5b6dfc670021bp-15, 0x1.5280b6721b655p-15, 0x1.49aff63f3886cp-15, 0x1.40f9abdac1722p-15, 0x1.385e9ab0ee5d8p-15, 0x1.2febbe4c3e37p-15, 0x1.2782300dc3e9p-15, 0x1.1f3e6dcb33bc6p-15, 0x1.170ea3c1bc0d1p-15, 0x1.0ef118e3a1c6dp-15, 0x1.06e9c9419dcbcp-15, 0x1.fdf058af93c2cp-16, 0x1.ee36aebd57d19p-16, 0x1.dea504faed4c3p-16, 0x1.cf3a12938c6abp-16, 0x1.bff496dfb407ep-16, 0x1.b0d38d8fd313ap-16, 0x1.a1d5f093b9a8p-16, 0x1.92fad7975662fp-16, 0x1.84416e8d8844ep-16, 0x1.75a8f1af748c4p-16, 0x1.6730a4503d55cp-16, 0x1.58d7d56b78ed6p-16, 0x1.4a9e0c4140ecp-16, 0x1.3c82db0bbe60bp-16, 0x1.2e858ca131c92p-16, 0x1.20a5a61448c45p-16, 0x1.12e17b6a04acdp-16, 0x1.053a3613ed7a5p-16, 0x1.ef63b1491c12cp-17, 0x1.d48d5e7fb8db1p-17, 0x1.b9eb128a7fe62p-17, 0x1.9f7fbcb48172cp-17, 0x1.854c174668492p-17, 0x1.6b4fc3e532e46p-17, 0x1.518a80f2f2e06p-17, 0x1.37fc29182ab7fp-17, 0x1.1ea1f220b8da3p-17, 0x1.0587375a1924fp-17, 0x1.d927c198f8272p-18, 0x1.a7cb3b47262ffp-18, 0x1.76d1eeb6648b6p-18, 0x1.4646a41aacbd4p-18, 0x1.1629e55f72cb6p-18, 0x1.ccf80040f4743p-19, 0x1.6e7afb825454ep-19, 0x1.10ddce52d8b04p-19, 0x1.6843c51219786p-20, 0x1.6120a9fff91e1p-21, -0x1.58387c69eece3p-26, -0x1.7309923a303b3p-21, -0x1.6bdcb9bd67f4p-20, -0x1.0e32c4f188a47p-19, -0x1.6591daaafc041p-19, -0x1.bc0437c9d266ap-19, -0x1.08c0edb6fc922p-18, -0x1.330c5ec7048eap-18, -0x1.5ce03320e0e3bp-18, -0x1.863b56fbefb4dp-18, -0x1.af1ab9ae35959p-18, -0x1.d783f5bfc3dc5p-18, -0x1.ff702cd408a54p-18, -0x1.13707b5a3b814p-17, -0x1.26e9dc5c16c0bp-17, -0x1.3a24085331801p-17, -0x1.4d19386f3891cp-17, -0x1.5fe2f8a1dde0cp-17, -0x1.725ab7f3591e7p-17, -0x1.849514a73d049p-17, -0x1.969002dab191ap-17, -0x1.a84a1cf508774p-17, -0x1.b9c2d7f39c9f7p-17, -0x1.cafa20432f392p-17, -0x1.dbeeeb550d46ep-17, -0x1.eca1a009617b6p-17, -0x1.fd11b0daa0535p-17, -0x1.069f54d5a547dp-16, -0x1.0e93ea2c8d12fp-16, -0x1.1667236e8b36fp-16, -0x1.1e18c227a75cap-16, -0x1.25a81434713ep-16, -0x1.2d161c0eef0b2p-16, -0x1.34607c418f5bfp-16, -0x1.3b894825329dbp-16, -0x1.428feabb9b371p-16, -0x1.49741774aceadp-16, -0x1.5035c821c17dp-16, -0x1.56d4fb2c53bf8p-16, -0x1.5d51809d86602p-16, -0x1.63ab8ca40208bp-16, -0x1.69e2e09998075p-16, -0x1.6ff78f942c53ap-16, -0x1.75e99506edde8p-16, -0x1.7bb8ef77b3475p-16, -0x1.81659fa4e1c0ap-16, -0x1.86efa85650105p-16, -0x1.8c571fc6cdadbp-16, -0x1.919be71f097edp-16, -0x1.96be29382e4adp-16, -0x1.9bbdd9282d09fp-16, -0x1.a09b04e316cb7p-16, -0x1.a555e23ffb38dp-16, -0x1.a9ee9506c657p-16, -0x1.ae651097380f8p-16, -0x1.b2b9538e16427p-16, -0x1.b6eb82cf6567dp-16, -0x1.bafbc2ca790dp-16, -0x1.beea377aa0c4bp-16, -0x1.c2b716ebd2015p-16, -0x1.c66276d23eaecp-16, -0x1.c9eafe9652e1p-16, -0x1.cd540a73917a4p-16, -0x1.d09bd45eb710bp-16, -0x1.d3c1e31c59a58p-16, -0x1.d6c75c1735a21p-16, -0x1.d9ac389e9ff26p-16, -0x1.dc70a8add15c6p-16, -0x1.df1522a500415p-16, -0x1.e1941b488faeep-16, -0x1.e3fdb3e464fe4p-16, -0x1.e6415c4600bafp-16, -0x1.e8666c8feaf7cp-16, -0x1.ea6f086c7efd2p-16, -0x1.ec5082baec50ap-16, -0x1.ee1af6a0a460dp-16, -0x1.efc45ddd4fe02p-16, -0x1.f1497ad5c092ep-16, -0x1.f2bc8b6006ceep-16, -0x1.f40b8dc1c3d6ap-16, -0x1.f53d146bef605p-16, -0x1.f6514e8158b68p-16, -0x1.f7487b179919ep-16, -0x1.f822d5baa9872p-16, -0x1.f8e0b8b16c079p-16, -0x1.f9822c5d428b4p-16, -0x1.fa0bebbaaaf4cp-16, -0x1.fa76b09e6c70cp-16, -0x1.fac39fa4a1edcp-16, -0x1.faf40b35ab27cp-16, -0x1.fb0d01aab1823p-16, -0x1.fb0b4917bc26ap-16, -0x1.faef530b2f7bep-16, -0x1.fab975f94f4ddp-16, -0x1.fa6a02748334ap-16, -0x1.fa0146ac2b6ffp-16, -0x1.f97f96c29d3a5p-16, -0x1.f8e543827eb85p-16, -0x1.f832dc61a989cp-16, -0x1.f765dd19b50c3p-16, -0x1.f685b5a9d01fep-16, -0x1.f58b92f15e76dp-16, -0x1.f47aa73d59388p-16, -0x1.f353092769d3fp-16, -0x1.f21504f60818cp-16, -0x1.f0c0ed97d555dp-16, -0x1.ef5717a06abf7p-16, -0x1.edd7d8911b38bp-16, -0x1.ec438166ff0f9p-16, -0x1.ea9a45ba55835p-16, -0x1.e8dcb8fa7b5c7p-16, -0x1.e70c2a1c915fap-16, -0x1.e52177a42b43bp-16, -0x1.e32d336f4484fp-16, -0x1.e1211578cc14p-16, -0x1.df0261901248bp-16, -0x1.dcd1458f7eacp-16, -0x1.da8e122e529ddp-16, -0x1.d8391e5bb6faep-16, -0x1.d5d2baa80eb43p-16, -0x1.d35b3fcdd8b7bp-16, -0x1.d0d301a76e3dap-16, -0x1.ce3a558d7a294p-16, -0x1.cb9192f3a5bbbp-16, -0x1.c8d934aaeebd3p-16, -0x1.c618239ea9742p-16, -0x1.c33a3b92f5f45p-16, -0x1.c0540f02e6044p-16, -0x1.bd5fb3f5f1f08p-16, -0x1.ba5d4aa288e89p-16, -0x1.b74d5e7aab6f4p-16, -0x1.b42d1d017a395p-16, -0x1.b1046a9fdd51p-16, -0x1.adcc645fd92f8p-16, -0x1.aa87f4105fd01p-16, -0x1.a737582a0ae2dp-16, -0x1.a3dad7e74d9bfp-16, -0x1.a072bdf50c115p-16, -0x1.9d001a5bbfffp-16, -0x1.9981124c1e7b4p-16, -0x1.95f823ac50a7ep-16, -0x1.9263ff4ff2aedp-16, -0x1.8ec75f961c5e5p-16, -0x1.8b2003aadc609p-16, -0x1.876f3c4195bfep-16, -0x1.83b5bcd2b1e2fp-16, -0x1.7ff3adc4293b7p-16, -0x1.7c258f984bc57p-16, -0x1.7853ac09c533bp-16, -0x1.747876db35d5ep-16, -0x1.7094990fa113ep-16, -0x1.6ca478bb471d4p-16, -0x1.68b7b8cd021c4p-16, -0x1.64bf24c1095eep-16, -0x1.60bfb3d9560bcp-16, -0x1.5cb9e8718c8efp-16, -0x1.58ae38bd9d599p-16, -0x1.549aac60f8fa9p-16, -0x1.508566e88a9ccp-16, -0x1.4c6880d146b64p-16, -0x1.4846e3c8af898p-16, -0x1.44207f5da2a2ap-16, }}, 
      {{0x1.58a051ce93e29p-6, 0x1.8529d616fbf19p-6, 0x1.ae89b954aa0cfp-6, 0x1.c8c9b230a49d8p-6, 0x1.cf7862c14bb02p-6, 0x1.c289211558004p-6, 0x1.a459dc5c12f6dp-6, 0x1.787584ac03051p-6, 0x1.42cf61d2cd867p-6, 0x1.074cec2c95db9p-6, 0x1.93056ce4eda77p-7, 0x1.192474babdb03p-7, 0x1.4c71d79517294p-8, 0x1.f41620bb3f491p-10, -0x1.ab20521442f05p-11, -0x1.8bdbe51f2b0dbp-9, -0x1.3141cd707625cp-8, -0x1.7559426c78127p-8, -0x1.9149386373a6cp-8, -0x1.8510e34fcffb9p-8, -0x1.516da1fc641e2p-8, -0x1.ef678696d718fp-9, -0x1.e6b08ac868ecbp-10, 0x1.344ca251c8e58p-11, 0x1.cd2083322a1e4p-9, 0x1.c3e29a8fdcc9cp-8, 0x1.5df26956ddb9cp-7, 0x1.e5f9882052353p-7, 0x1.3c5b449d9c804p-6, 0x1.8a6fdaf45b982p-6, 0x1.dc9aaa886b5ap-6, 0x1.1921189bae3e4p-5, 0x1.456a1fa03bbadp-5, 0x1.72e353bca4adfp-5, 0x1.a14bd6eb7ec31p-5, 0x1.d0671bdadb748p-5, 0x1.fffcef8555d7ap-5, 0x1.17ecb7fda7a29p-4, 0x1.2fe6799a50d85p-4, 0x1.47d5f260b3c8p-4, 0x1.5fa74eee7014bp-4, 0x1.77489d26c77adp-4, 0x1.8ea9b2a82c332p-4, 0x1.a5bc11f9160ep-4, 0x1.bc72d0063c72ep-4, 0x1.d2c27a9df8ee5p-4, 0x1.e8a0fef995cp-4, 0x1.fe0590b711d8fp-4, 0x1.0974482fea121p-3, 0x1.13a1b9c55bf03p-3, 0x1.1d88573f536cap-3, 0x1.2725cfb50c64fp-3, 0x1.30783d651e6d7p-3, 0x1.397e1c7d79a6ap-3, 0x1.4236427bb203p-3, 0x1.4a9fd605662ccp-3, 0x1.52ba475dbd46dp-3, 0x1.5a854986584ep-3, 0x1.6200cbef3b23ap-3, 0x1.692cf4b3ccfe1p-3, 0x1.700a1b4ff0f3ep-3, 0x1.7698c3ba8f3b8p-3, 0x1.7cd999d97c2dp-3, 0x1.82cd6d426111ep-3, 0x1.88752d53f2ea1p-3, 0x1.8dd1e58341d3dp-3, 0x1.92e4b9f291d9ep-3, 0x1.97aee440ade4bp-3, 0x1.9c31b09f240c1p-3, 0x1.a06e7b13b6ff6p-3, 0x1.a466acf5b3e5dp-3, 0x1.a81bbaa68e625p-3, 0x1.ab8f2174df744p-3, 0x1.aec265af3dc81p-3, 0x1.b1b710e67a7bcp-3, 0x1.b46eb057e4747p-3, 0x1.b6ead37fe95bp-3, 0x1.b92d0ad43938ep-3, 0x1.bb36e698ea0d4p-3, 0x1.bd09f5da8a4dfp-3, 0x1.bea7c586d985cp-3, 0x1.c011df9d7e613p-3, 0x1.c149ca767d89fp-3, 0x1.c2510825feb27p-3, 0x1.c32915ebd72b8p-3, 0x1.c3d36bbf744b3p-3, 0x1.c4517be1274aap-3, 0x1.c4a4b28732ap-3, 0x1.c4ce758c7e709p-3, 0x1.c4d02437dc748p-3, 0x1.c4ab16fe64a75p-3, 0x1.c4609f661d6aep-3, 0x1.c3f207de14a02p-3, 0x1.c360939f207c6p-3, 0x1.c2ad7eb4f295dp-3, 0x1.c1d9fdd1891d5p-3, 0x1.c0e73e68493a1p-3, 0x1.bfd666967afe3p-3, 0x1.bea8953f39809p-3, 0x1.bd5ee20dadbb2p-3, 0x1.bbfa5d7a8d097p-3, 0x1.ba7c10e5d9d4cp-3, 0x1.b8e4fea7e5a4cp-3, 0x1.b7362228164b7p-3, 0x1.b57070120e54ap-3, 0x1.b394d647969ffp-3, 0x1.b1a43c142b281p-3, 0x1.af9f823caa6d8p-3, 0x1.ad878332468ccp-3, 0x1.ab5d132baa39bp-3, 0x1.a9210039ee5d3p-3, 0x1.a6d41280fe3b2p-3, 0x1.a4770c4ac2c97p-3, 0x1.a20aaa2591634p-3, 0x1.9f8fa31a526d7p-3, 0x1.9d06a8bee5e2fp-3, 0x1.9a706756d22ccp-3, 0x1.97cd8607fa382p-3, 0x1.951ea6ee18d91p-3, 0x1.92646738b295cp-3, 0x1.8f9f5f5ea6d3cp-3, 0x1.8cd02334c6653p-3, 0x1.89f7420619f97p-3, 0x1.871546c4600ap-3, 0x1.842ab8243a87dp-3, 0x1.813818af82b0ep-3, 0x1.7e3de6ef2e243p-3, 0x1.7b3c9d8e65736p-3, 0x1.7834b36a3e1bbp-3, 0x1.75269bb06f975p-3, 0x1.7212c60658358p-3, 0x1.6ef99e9d4ffdep-3, 0x1.6bdb8e459e5fap-3, 0x1.68b8fa915a3aap-3, 0x1.659245f148593p-3, 0x1.6267cfc3d92c8p-3, 0x1.5f39f46bfb2a5p-3, 0x1.5c090d70ae688p-3, 0x1.58d571926f385p-3, 0x1.559f74d959bdbp-3, 0x1.526768ac05f9ep-3, 0x1.4f2d9bea7ef7dp-3, 0x1.4bf25aff94e87p-3, 0x1.48b5efee4d49bp-3, 0x1.4578a266a3bd7p-3, 0x1.423ab7dc29629p-3, 0x1.3efc7395daf38p-3, 0x1.3bbe16b9e109cp-3, 0x1.387fe05f0b919p-3, 0x1.35420da0afb0ep-3, 0x1.3204d9ad0e382p-3, 0x1.2ec87dcffc2f1p-3, 0x1.2b8d3180bd6ap-3, 0x1.28532a72ed18ep-3, 0x1.251a9ca4658e5p-3, 0x1.21e3ba670175dp-3, 0x1.1eaeb46b4d2bcp-3, 0x1.1b7bb9ce26642p-3, 0x1.184af82600563p-3, 0x1.151c9b8c8fd68p-3, 0x1.11f0cea7349f1p-3, 0x1.0ec7bab16fb8cp-3, 0x1.0ba18787bd499p-3, 0x1.087e5bb2eb4a8p-3, 0x1.055e5c6e5c2d7p-3, 0x1.0241adb032935p-3, 0x1.fe50e468741cfp-4, 0x1.f82596ff8ce9p-4, 0x1.f201b3dfa0d8cp-4, 0x1.ebe57979009e2p-4, 0x1.e5d123fef1703p-4, 0x1.dfc4ed786c425p-4, 0x1.d9c10dcf4f65fp-4, 0x1.d3c5badca9c8bp-4, 0x1.cdd328740aa0fp-4, 0x1.c7e9886f23c91p-4, 0x1.c2090ab9a7eb1p-4, 0x1.bc31dd5d414d7p-4, 0x1.b6642c8f20c36p-4, 0x1.b0a022b70c643p-4, 0x1.aae5e879e1641p-4, 0x1.a535a4c37413p-4, 0x1.9f8f7cd14d85ap-4, 0x1.99f3943c68654p-4, 0x1.94620d018cac9p-4, 0x1.8edb078a132fdp-4, 0x1.895ea2b2f8e77p-4, 0x1.83ecfbd5a5fcbp-4, 0x1.7e862ed258c38p-4, 0x1.792a56171521dp-4, 0x1.73d98aa51c5ebp-4, 0x1.6e93e419ede34p-4, 0x1.695978b5d25b3p-4, 0x1.642a5d6476c6cp-4, 0x1.5f06a5c16154fp-4, 0x1.59ee642170ce4p-4, 0x1.54e1a997b90d3p-4, 0x1.4fe085fc0e1eep-4, 0x1.4aeb07f164a48p-4, 0x1.46013cec3260fp-4, 0x1.41233138bc7b2p-4, 0x1.3c50f000f691ep-4, 0x1.378a835231c84p-4, 0x1.32cff422d4444p-4, 0x1.2e214a5841c25p-4, 0x1.297e8ccc3a0f5p-4, 0x1.24e7c15225eb8p-4, 0x1.205cecbcf42e8p-4, 0x1.1bde12e4878fbp-4, 0x1.176b36aabbc22p-4, 0x1.13045a0081424p-4, 0x1.0ea97deb0b9c3p-4, 0x1.0a5aa288e5a8cp-4, 0x1.0617c7175efbep-4, 0x1.01e0e9f72a166p-4, 0x1.fb6c1162759c3p-5, 0x1.f32e3ff8e0daep-5, 0x1.eb0857811c128p-5, 0x1.e2fa4e39a54bcp-5, 0x1.db0418d7cd387p-5, 0x1.d325aa91b682bp-5, 0x1.cb5ef527cc3ecp-5, 0x1.c3afe8edb1413p-5, 0x1.bc1874d32ae19p-5, 0x1.b498866ca7d1bp-5, 0x1.ad3009fc4a8a9p-5, 0x1.a5deea7b5c93cp-5, 0x1.9ea511a40287ap-5, 0x1.978267fa6847bp-5, 0x1.9076d4d51df4fp-5, 0x1.89823e6421ba2p-5, 0x1.82a489b87fd39p-5, 0x1.7bdd9acc091adp-5, 0x1.752d548b50947p-5, 0x1.6e9398e09b686p-5, 0x1.681048be4eacap-5, 0x1.61a34426d67f1p-5, 0x1.5b4c6a316e7p-5, 0x1.550b990d5c574p-5, 0x1.4ee0ae06b0a74p-5, 0x1.48cb858fb46ccp-5, 0x1.42cbfb4fb37fap-5, 0x1.3ce1ea32834a5p-5, 0x1.370d2c74c15cfp-5, 0x1.314d9ba78a1cp-5, 0x1.2ba310abea63bp-5, 0x1.260d63abe0ff9p-5, 0x1.208c6c1b45798p-5, 0x1.1b2000c6810d7p-5, 0x1.15c7f7edff381p-5, 0x1.1084276428d5dp-5, 0x1.0b54649f286b1p-5, 0x1.063884b432435p-5, 0x1.01305c3de0cbfp-5, 0x1.f8777e79ba458p-6, 0x1.eeb5021927f82p-6, 0x1.e518e8ec56a45p-6, 0x1.dba2d7d00ab9ap-6, 0x1.d252736d4d42p-6, 0x1.c927608f63009p-6, 0x1.c02144166f1d8p-6, 0x1.b73fc280fba09p-6, 0x1.ae827f43b266dp-6, 0x1.a5e91c4e28748p-6, 0x1.9d733a136b211p-6, 0x1.95207830d7cedp-6, 0x1.8cf0767988f6fp-6, 0x1.84e2d5e7c19f8p-6, 0x1.7cf738f2d44bp-6, 0x1.752d4302d6c37p-6, 0x1.6d84972fc1da8p-6, 0x1.65fcd6de95793p-6, 0x1.5e95a0fcfb4e4p-6, 0x1.574e924e7388bp-6, 0x1.502746e95f671p-6, 0x1.491f5c376797fp-6, 0x1.4236729d00de4p-6, 0x1.3b6c2de7c0acbp-6, 0x1.34c03429656f9p-6, 0x1.2e322b6387695p-6, 0x1.27c1b7067686fp-6, 0x1.216e7673630a9p-6, 0x1.1b38054edbe8bp-6, 0x1.151dfdae75429p-6, 0x1.0f1ffb5356829p-6, 0x1.093d9e9bdf291p-6, 0x1.03768dd53eep-6, 0x1.fb94e864aad6fp-7, 0x1.f071fd6372b7ep-7, 0x1.e583b066a34e7p-7, 0x1.dac94cc9b385ep-7, 0x1.d04211a3e01f9p-7, 0x1.c5ed350792693p-7, 0x1.bbc9eb50673f9p-7, 0x1.b1d7700029db1p-7, 0x1.a8150ce2b8b38p-7, 0x1.9e821c781ca86p-7, 0x1.951e0650317bcp-7, 0x1.8be836a6f7575p-7, 0x1.82e0147456258p-7, 0x1.7a04fa65ba0f8p-7, 0x1.7156345beda85p-7, 0x1.68d30192ec96p-7, 0x1.607a9afbc3a7fp-7, 0x1.584c3c7ab2c3ap-7, 0x1.50472f132fef2p-7, 0x1.486ad02445d6ep-7, 0x1.40b691c760b74p-7, 0x1.3929f3a3f1d55p-7, 0x1.31c4780e11b18p-7, 0x1.2a859a913a214p-7, 0x1.236cca2ac7fa3p-7, 0x1.1c796585194c1p-7, 0x1.15aab89c7271p-7, 0x1.0effff3d6d33fp-7, 0x1.08787091b8433p-7, 0x1.021351b5c9d7dp-7, 0x1.f7a00b458773cp-8, 0x1.eb5c211d0612dp-8, 0x1.df5a1c23b1ffap-8, 0x1.d39946248b9c9p-8, 0x1.c818e7c3b74ecp-8, 0x1.bcd83a1605b6dp-8, 0x1.b1d64e90ef92p-8, 0x1.a711edbe147c5p-8, 0x1.9c89884e33f94p-8, 0x1.923b567fb54a3p-8, 0x1.8825a223cf5e9p-8, 0x1.7e470ee28ba63p-8, 0x1.749eb51a9e396p-8, 0x1.6b2c0736a07cap-8, 0x1.61eea316e9ab3p-8, 0x1.58e6343dda6dap-8, 0x1.501266eedc03fp-8, 0x1.4772cc7f190b3p-8, 0x1.3f069f83c7333p-8, 0x1.36cc8967d46cdp-8, 0x1.2ec2a71e95401p-8, 0x1.26e6e2e28617ap-8, 0x1.1f37712d2fcfap-8, 0x1.17b3253fd4278p-8, 0x1.105975a434827p-8, 0x1.092a40464f683p-8, 0x1.022581afc6136p-8, 0x1.f6965af2cb84ep-9, 0x1.e93655320c6fcp-9, 0x1.dc2a8c2964375p-9, 0x1.cf71e4877f52cp-9, 0x1.c309f1534676fp-9, 0x1.b6eef8bc65484p-9, 0x1.ab1cc4de81b4dp-9, 0x1.9f8fa72036b0bp-9, 0x1.944533168874bp-9, 0x1.893c89d4c0819p-9, 0x1.7e75f8008b3b8p-9, 0x1.73f1f5eaa58e8p-9, 0x1.69b0551dd481ap-9, 0x1.5fb0628b1379ap-9, 0x1.55f19449b5e7bp-9, 0x1.4c738c413f7d8p-9, 0x1.433542b8d1f3ap-9, 0x1.3a347d7afe6aap-9, 0x1.316e36016c12ep-9, 0x1.28df39e4f044fp-9, 0x1.208499b9ad925p-9, 0x1.185c8a0c22e03p-9, 0x1.10672a1256bffp-9, 0x1.08a576ca71342p-9, 0x1.011730e0ca165p-9, 0x1.f374ee87d5cd8p-10, 0x1.e51adad5e39d8p-10, 0x1.d71ec68c293f1p-10, 0x1.c980c2d46f9b2p-10, 0x1.bc40898e8206cp-10, 0x1.af5c89e86ef6p-10, 0x1.a2d221edd34c7p-10, 0x1.969de168a1487p-10, 0x1.8abb02c07113dp-10, 0x1.7f25d180988cbp-10, 0x1.73df9ef15f0b8p-10, 0x1.68eb23e697491p-10, 0x1.5e454f51bc784p-10, 0x1.53e6da55162dbp-10, 0x1.49cad1ac88067p-10, 0x1.3fef5cc3a8766p-10, 0x1.3653c346afc81p-10, 0x1.2cf8bcec34e7p-10, 0x1.23dfd8e2ee573p-10, 0x1.1b093df5f4e63p-10, 0x1.1273d1db1cb38p-10, 0x1.0a1e070fe9da5p-10, 0x1.02046cedd3b56p-10, 0x1.f44bc529a4a71p-11, 0x1.e50d8aa66456cp-11, 0x1.d64d4d96fb47ep-11, 0x1.c7f9d7b3cd8fp-11, 0x1.ba06bd0887e11p-11, 0x1.ac6fe5b2bbb5ap-11, 0x1.9f2f4f81f1f41p-11, 0x1.9240a948b32e6p-11, 0x1.85a7032add616p-11, 0x1.7968c715ac16dp-11, 0x1.6d8790a610547p-11, 0x1.61ffdc548f29bp-11, 0x1.56d1989ba3352p-11, 0x1.4bfd12bc5e0d1p-11, 0x1.417e5b3ba696ap-11, 0x1.375a3c4f6ba3ep-11, 0x1.2d9012fff0043p-11, 0x1.2410f9292bcf2p-11, 0x1.1ad9a3ed8cf5p-11, 0x1.11eadd61f316cp-11, 0x1.093ac011ee1c2p-11, 0x1.00bfc6c7110f8p-11, 0x1.f0f1e28019177p-12, 0x1.e0d6ffcaee211p-12, 0x1.d1393573e7667p-12, 0x1.c2170ffb50991p-12, 0x1.b366456383e7dp-12, 0x1.a52ba62524ee8p-12, 0x1.9775daab3601ap-12, 0x1.8a389204aa5b2p-12, 0x1.7d6b19db36775p-12, 0x1.710022de2af37p-12, 0x1.64ecdae735172p-12, 0x1.594673b6111abp-12, 0x1.4e0caa3fa29c4p-12, 0x1.433023407ab16p-12, 0x1.38a31d0cfdb96p-12, 0x1.2e5b3667b71b8p-12, 0x1.24571a2e8b3b4p-12, 0x1.1a9dc36a28907p-12, 0x1.11349ca3b3565p-12, 0x1.0816a8bd66c4ep-12, 0x1.fe7a60507d7ddp-13, 0x1.ed716f6460a61p-13, 0x1.dd2a6db3a2cfdp-13, 0x1.cd6749b22097ap-13, 0x1.be0c934a83dcdp-13, 0x1.af0d2659d1caep-13, 0x1.a0929e77bb951p-13, 0x1.929d36fd17843p-13, 0x1.852176c4d1ec8p-13, 0x1.7826b2abca8a9p-13, 0x1.6bac8af42ac8ep-13, 0x1.5f9dec9d6cb42p-13, 0x1.53df6499feb75p-13, 0x1.486ce8de90c3bp-13, 0x1.3d5779989fec9p-13, 0x1.32a20d641359ep-13, 0x1.28403b9ccb01dp-13, 0x1.1e3f7af9aade2p-13, 0x1.14beba47763a8p-13, 0x1.0b95898253e69p-13, 0x1.0299dc001bcc8p-13, 0x1.f3aa042e8eb1dp-14, 0x1.e2d25b0d493adp-14, 0x1.d285d24663c6cp-14, 0x1.c2b4806809e7fp-14, 0x1.b369ea537d17p-14, 0x1.a4b39261b2dcbp-14, 0x1.969f521907b6dp-14, 0x1.892b0a04557fp-14, 0x1.7c29d7264da91p-14, 0x1.6f6ed72683bcap-14, 0x1.6314364c8ac15p-14, 0x1.572a0b9cbef3ep-14, 0x1.4ba0cd7140b69p-14, 0x1.408d8c068fc65p-14, 0x1.35fe9d8245ea1p-14, 0x1.2bd43628f1d5ep-14, 0x1.21ce100d328abp-14, 0x1.1822a96b88d51p-14, 0x1.0edb2038b8109p-14, 0x1.05d9578eb96c4p-14, 0x1.fa41c712a1cb4p-15, 0x1.e966a443d588cp-15, 0x1.d91dc7eb74cc7p-15, 0x1.c964017fae819p-15, 0x1.ba3f006634fcep-15, 0x1.abc3c8fa34616p-15, 0x1.9df49bf6ee914p-15, 0x1.9087e07f26bdcp-15, 0x1.83719f60243bep-15, 0x1.76caad33a4388p-15, 0x1.6a8e52841f0e7p-15, 0x1.5edb98f0524cap-15, 0x1.539d1d034e243p-15, 0x1.48b8529fded75p-15, 0x1.3e0e3c8c2df1cp-15, 0x1.33de227fd8219p-15, 0x1.29fb9a57236e4p-15, 0x1.206b1cbb44fd7p-15, 0x1.172ef52e2b51bp-15, 0x1.0e4476dfd44a2p-15, 0x1.05a836cfaea2fp-15, 0x1.faac7ab71f3f9p-16, 0x1.ea93c4ea681e3p-16, 0x1.dafe187885e73p-16, 0x1.cbeb4c104c1d2p-16, 0x1.bd77ae6d2cda6p-16, 0x1.afb571c5ee779p-16, 0x1.a252f793eaae5p-16, 0x1.953eb3cebeecep-16, 0x1.889c31e3bfb53p-16, 0x1.7c81a72b23e89p-16, 0x1.70cde74f8e7p-16, 0x1.656236a4f372ep-16, 0x1.5a682ace07cebp-16, 0x1.4fbed015653ccp-16, 0x1.456c65a361016p-16, 0x1.3b71cd8342fe2p-16, 0x1.31cb87124bb3p-16, 0x1.28770ff3ee7bap-16, 0x1.1f6da8424ef29p-16, 0x1.16b1f67034e5dp-16, 0x1.0e3bee42a8acbp-16, 0x1.060a722f421e4p-16, 0x1.fc331e5a3bcd8p-17, 0x1.ecc8c887afd84p-17, 0x1.ddcc377ed40c6p-17, 0x1.cf5c517979b0ap-17, 0x1.c19dde1320781p-17, 0x1.b416cdaab2475p-17, 0x1.a6ee50ca1acp-17, 0x1.9a474e944552dp-17, 0x1.8dfbfab41d76dp-17, 0x1.821079fc7778ap-17, 0x1.767685300d7c7p-17, 0x1.6b35fe3530628p-17, 0x1.604d2a98d4a8p-17, 0x1.55b850499cbe3p-17, 0x1.4b741f3401a81p-17, 0x1.417dadf77a708p-17, 0x1.37d24898febcep-17, 0x1.2e6f3dbbc9c65p-17, 0x1.2552c28ebde76p-17, 0x1.1c7880d9cb56fp-17, 0x1.13e057dc16fd6p-17, 0x1.0b8746caa72f1p-17, 0x1.036aa6de58065p-17, 0x1.f70fee5efc512p-18, 0x1.e7b8c8ae926a5p-18, 0x1.d8d0182e9f882p-18, 0x1.ca6dbade41fe9p-18, 0x1.bc550cdcd24ddp-18, 0x1.aeb9de5e01182p-18, 0x1.a179d187fd91ap-18, 0x1.949085ce731ffp-18, 0x1.8803fc625a4c2p-18, 0x1.7bd1d80f1b745p-18, 0x1.6ff7187e7d8dp-18, 0x1.647108ade7162p-18, 0x1.593d353e14befp-18, 0x1.4e59442e2fafdp-18, 0x1.43c30cc6d0ddap-18, 0x1.397874fd9cf6ap-18, 0x1.2f777e029b11p-18, 0x1.25be3f8d556c1p-18, 0x1.1c4ae79d0e4ep-18, 0x1.131bb2832bb44p-18, 0x1.0a2eed8c9e142p-18, 0x1.0183038604c57p-18, 0x1.f22cd5600f78bp-19, 0x1.e1cf2c38287d8p-19, 0x1.d1ea34b3f74f5p-19, 0x1.c27a726b9e3e9p-19, 0x1.b37e49d435e92p-19, 0x1.a4f456a00f1f1p-19, 0x1.96d8824b76909p-19, 0x1.89283a02e156ap-19, 0x1.7be1ec6e8b443p-19, 0x1.6f03542f514b6p-19, 0x1.628a4b007e4e7p-19, 0x1.5674cb37f5a22p-19, 0x1.4ac0e247a4be6p-19, 0x1.3f6c34ecd3c44p-19, 0x1.3476f7c7bc716p-19, 0x1.29db259b0f6f5p-19, 0x1.1f9c486fae514p-19, 0x1.15b5446dc74e8p-19, 0x1.0c256e6bc75a1p-19, 0x1.02eb4018df6a7p-19, 0x1.f40a70a3a6af6p-20, 0x1.e2e3a3a314b8cp-20, 0x1.d25f4583cb452p-20, 0x1.c27ab05392415p-20, 0x1.b3330d4184ac8p-20, 0x1.a486301538e67p-20, 0x1.96705db877961p-20, 0x1.88f01568bcb7cp-20, 0x1.7c02a489a0801p-20, 0x1.6fa76f05067bdp-20, 0x1.63d9139032d32p-20, 0x1.5892ef055f08dp-20, 0x1.4dd936196c407p-20, 0x1.43a69c250358p-20, 0x1.39f9363c35566p-20, 0x1.30c789c71937bp-20, 0x1.28236a95a771ep-20, 0x1.1ff75b11eed3cp-20, 0x1.184763f467e09p-20, 0x1.1112aaa255b99p-20, 0x1.0a56a6147cb5ap-20, 0x1.042288888a793p-20, 0x1.fc65d780bd722p-21, 0x1.f1b1c771fde3cp-21, 0x1.e7d7fb3daaf8bp-21, 0x1.ded5daacb44bp-21, 0x1.d6ab9c5f99304p-21, 0x1.cf56122ce5a72p-21, 0x1.c8d17dbb2421ep-21, 0x1.c31a25a747efp-21, 0x1.be2c22af6e8e1p-21, 0x1.ba03b27e2b512p-21, 0x1.b69d6a3649cf7p-21, 0x1.b3f676c41eceap-21, 0x1.b20864f3d36b7p-21, 0x1.b0cfb9404537ep-21, 0x1.b04ba323466eap-21, 0x1.b0755eb9595ccp-21, 0x1.b14d3aa21ad92p-21, 0x1.b2cbc7c4064ffp-21, 0x1.b4ee4445ae6e1p-21, 0x1.b7b170c65312cp-21, 0x1.bb11880ceab9p-21, 0x1.bf0b119a7ab26p-21, 0x1.c399d9f619373p-21, 0x1.c8bb2f8823dep-21, 0x1.ce6ab0b900052p-21, 0x1.d4a524e53e8bdp-21, 0x1.db66dfaa7f686p-21, 0x1.e2ac4978e0fddp-21, 0x1.ea71d44345066p-21, 0x1.f2b3f4a5dd81fp-21, 0x1.fb6ee6bab2c41p-21, 0x1.024fd520974f6p-20, 0x1.0721277419cabp-20, 0x1.0c29dc4cada2ap-20, 0x1.116837597a5f1p-20, 0x1.16da2252cbf52p-20, 0x1.1c7db9a272c79p-20, 0x1.2251938e1c68bp-20, 0x1.2854328a4651bp-20, 0x1.2e83c4da22513p-20, 0x1.34de7dfe613e8p-20, 0x1.3b62a2278408fp-20, 0x1.420e37e324c86p-20, 0x1.48dfcf3b27771p-20, 0x1.4fd9aecd1d9aap-20, 0x1.56f0ad465cf66p-20, 0x1.5e2aa1e2431ffp-20, 0x1.6585346aad2fap-20, 0x1.6cfd2c2febd78p-20, 0x1.74915bb46e938p-20, 0x1.7c4019e286173p-20, 0x1.8406d320392f6p-20, 0x1.8bf8cb1778e38p-20, 0x1.93da42a175df7p-20, 0x1.9be705dcaa0c5p-20, 0x1.a403b8c776049p-20, 0x1.ac2ce69209affp-20, 0x1.b474094316511p-20, 0x1.bcbbe6abdff19p-20, 0x1.c51490e8a2029p-20, 0x1.cd95df12c0553p-20, 0x1.d5e6cee60e2c6p-20, 0x1.de5eecb8c5ef1p-20, 0x1.e6dd5c39092e4p-20, 0x1.ef61478bca102p-20, 0x1.f7e96ce851b2ep-20, 0x1.003a14baea6cbp-19, 0x1.0480b6de604fap-19, 0x1.08c741b82518dp-19, 0x1.0d0a7959fa8a7p-19, 0x1.114f05895cfc1p-19, 0x1.159460bcb5c39p-19, 0x1.19d5fb2d8db73p-19, 0x1.1e1370ec8df0fp-19, 0x1.224d4f7b385c1p-19, 0x1.2682f472a3652p-19, 0x1.2ab3bcfb4f962p-19, 0x1.2edf1090e0c37p-19, 0x1.33045eeda540fp-19, 0x1.372311f247689p-19, 0x1.3b3a9809e3565p-19, 0x1.3f4a04f047e84p-19, 0x1.435551f013e59p-19, 0x1.4750a70f094cap-19, 0x1.4b46dde3e558fp-19, 0x1.4f32e3eea34dap-19, 0x1.53149b1aa08e8p-19, 0x1.56eb9316a2566p-19, 0x1.5ab7544bfa04ep-19, 0x1.5e7767c111c23p-19, 0x1.622b583d066f8p-19, 0x1.65d2b80cdc3f5p-19, 0x1.696d3bb15b5e4p-19, 0x1.6cfa2a29f5667p-19, 0x1.70778b95f7d89p-19, 0x1.73f1c81d28626p-19, 0x1.774c05eb6951cp-19, 0x1.7a9fa0ef6b1d9p-19, 0x1.7de38d50fe45p-19, 0x1.8117b3846b469p-19, 0x1.843bc00125dcp-19, 0x1.874f5fec57a8bp-19, 0x1.8a523a44a15acp-19, 0x1.8d4400d1b678bp-19, 0x1.902462efeaf86p-19, 0x1.92f3130ce2589p-19, 0x1.95afc075eafd3p-19, 0x1.9859ca224e8p-19, 0x1.9ae18ccfb5ffcp-19, 0x1.9d769395bee1cp-19, 0x1.9fe957a1154c9p-19, 0x1.a24831a240d36p-19, 0x1.a493690f3d6c8p-19, 0x1.a6ca6aac27a08p-19, 0x1.a8f19adc66f31p-19, 0x1.aafdd35e3cf61p-19, 0x1.acf954f3defdcp-19, 0x1.aee015f5718fap-19, 0x1.b0b216d3a230ap-19, 0x1.b26f376dd34f1p-19, 0x1.b41740955b8abp-19, 0x1.b5ae7155edd4ap-19, 0x1.b7279b027c493p-19, 0x1.b89028a161edp-19, 0x1.b9e38f3aa8df1p-19, 0x1.bb1ff9ec9b087p-19, 0x1.bc477697c5c44p-19, 0x1.bd59029d7d6b1p-19, 0x1.be5430333a226p-19, 0x1.bf38921316c0ap-19, 0x1.c00ce76aa8b72p-19, 0x1.c0c34171caa49p-19, 0x1.c16609314ecdep-19, 0x1.c1f3884746e05p-19, 0x1.c26c1ec7e4e49p-19, 0x1.c2cae578c84e1p-19, 0x1.c31502d682dabp-19, 0x1.c348e5058826bp-19, 0x1.c366729e3eeedp-19, 0x1.c36d66a7544adp-19, 0x1.c361294282c02p-19, 0x1.c338d3a73e539p-19, 0x1.c2fdc732bf212p-19, 0x1.c2ac03378fb62p-19, 0x1.c24407ec6917p-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.4d8292e779e48p-13, 0x1.4caa4f752a597p-11, 0x1.74b1f2f4b8ba4p-10, 0x1.4966bd8843686p-9, 0x1.ff05c3105286fp-9, 0x1.6cd21bc3749f1p-8, 0x1.ebbd13ddae57fp-8, 0x1.3da58d7913441p-7, 0x1.8d3a46032c302p-7, 0x1.e413ee367b637p-7, 0x1.20d37e9fdc02bp-6, 0x1.52b380781bb65p-6, 0x1.8764148e73c83p-6, 0x1.bea0460cb1e07p-6, 0x1.f824964b3ba79p-6, 0x1.19d7b23e29881p-5, 0x1.38809eec7587ep-5, 0x1.57ee8cdda3429p-5, 0x1.7804425a61da6p-5, 0x1.98a5dea7df5dap-5, 0x1.b9b8e26c45c99p-5, 0x1.db24331d83eacp-5, 0x1.fcd01a5e6d6b1p-5, 0x1.0f532107c7ef8p-4, 0x1.2048d6deef3fap-4, 0x1.313f5900a1d87p-4, 0x1.422d7523e6a12p-4, 0x1.530a96bba679ap-4, 0x1.63cec0df461efp-4, 0x1.747287f03b47fp-4, 0x1.84ef0b1b615a8p-4, 0x1.953dedcf23ec8p-4, 0x1.a559513ab3b26p-4, 0x1.b53bcde64b4cfp-4, 0x1.c4e06d70db56bp-4, 0x1.d442a47c852fap-4, 0x1.e35e4cd0a0083p-4, 0x1.f22f9fb5fb1ffp-4, 0x1.005998481f41p-3, 0x1.0772f3db02123p-3, 0x1.0e627ec3f6226p-3, 0x1.1526fae326203p-3, 0x1.1bbf4d9222e64p-3, 0x1.222a7d8b467fdp-3, 0x1.2867b0edf3e4ap-3, 0x1.2e762b5e8a1eap-3, 0x1.34554c40d0d2bp-3, 0x1.3a048d0ba265cp-3, 0x1.3f837fb4849ccp-3, 0x1.44d1cd31f30ep-3, 0x1.49ef341315fp-3, 0x1.4edb872bbcd76p-3, 0x1.5396ac536a693p-3, 0x1.58209b365868p-3, 0x1.5c795c376a78p-3, 0x1.60a107620514bp-3, 0x1.6497c36ae94c4p-3, 0x1.685dc4bf18cdbp-3, 0x1.6bf34ca0036a7p-3, 0x1.6f58a84c1e9ecp-3, 0x1.728e30333aba7p-3, 0x1.75944735d96cdp-3, 0x1.786b59eee137cp-3, 0x1.7b13de070db29p-3, 0x1.7d8e519191a2cp-3, 0x1.7fdb3a7156428p-3, 0x1.81fb25c65c90fp-3, 0x1.83eea762c6669p-3, 0x1.85b6594711716p-3, 0x1.8752db2520b1cp-3, 0x1.88c4d1e9a8485p-3, 0x1.8a0ce74b9bb34p-3, 0x1.8b2bc961581d7p-3, 0x1.8c222a3b1e8d3p-3, 0x1.8cf0bf82a304bp-3, 0x1.8d98421f65cf2p-3, 0x1.8e196ddf860e6p-3, 0x1.8e750124e5126p-3, 0x1.8eabbc9646097p-3, 0x1.8ebe62d4497dfp-3, 0x1.8eadb831fc7ffp-3, 0x1.8e7a8270df55dp-3, 0x1.8e258880229bap-3, 0x1.8daf923f0312ap-3, 0x1.8d196842103a2p-3, 0x1.8c63d39b3e077p-3, 0x1.8b8f9da4a0511p-3, 0x1.8a9d8fcdaf6p-3, 0x1.898e736af8a14p-3, 0x1.886311881a0a6p-3, 0x1.871c32bbfcc1bp-3, 0x1.85ba9eff29378p-3, 0x1.843f1d841eb28p-3, 0x1.82aa7491a665dp-3, 0x1.80fd695f03456p-3, 0x1.7f38bff1e97edp-3, 0x1.7d5d3afe376c5p-3, 0x1.7b6b9bc75ca91p-3, 0x1.7964a203523f9p-3, 0x1.77490bbf3204ep-3, 0x1.751995453da12p-3, 0x1.72d6f9046277p-3, 0x1.7081ef7927f18p-3, 0x1.6e1b2f17eeb52p-3, 0x1.6ba36c388d063p-3, 0x1.691b590328b89p-3, 0x1.6683a55e506c4p-3, 0x1.63dcfede49876p-3, 0x1.612810b58157ep-3, 0x1.5e6583a623fe2p-3, 0x1.5b95fdf4c78acp-3, 0x1.58ba235c23645p-3, 0x1.55d29501d3f4cp-3, 0x1.52dff16c1906fp-3, 0x1.4fe2d47886ea8p-3, 0x1.4cdbd753ab3d9p-3, 0x1.49cb9071990dfp-3, 0x1.46b293874e3cbp-3, 0x1.43917184fbd31p-3, 0x1.4068b8910fda5p-3, 0x1.3d38f4041bfc3p-3, 0x1.3a02ac6571561p-3, 0x1.36c667687c0dcp-3, 0x1.3384a7eadb228p-3, 0x1.303dedf31d9bfp-3, 0x1.2cf2b6b030864p-3, 0x1.29a37c796de62p-3, 0x1.2650b6cf4135ap-3, 0x1.22fada5c6cd89p-3, 0x1.1fa258f7d706ep-3, 0x1.1c47a1a6e373dp-3, 0x1.18eb20a053899p-3, 0x1.158d3f4fa38c4p-3, 0x1.122e6458dbd92p-3, 0x1.0ecef39cde2cp-3, 0x1.0b6f4e3e1d53p-3, 0x1.080fd2a5b5a4ap-3, 0x1.04b0dc88f8b09p-3, 0x1.0152c4ef46577p-3, 0x1.fbebc47096169p-4, 0x1.f53510451fba7p-4, 0x1.ee820fa4a3954p-4, 0x1.e7d35fb162014p-4, 0x1.e12998763b641p-4, 0x1.da854cf60f8ddp-4, 0x1.d3e70b3b9f47p-4, 0x1.cd4f5c69d5a9dp-4, 0x1.c6bec4cc8758fp-4, 0x1.c035c3e98d32p-4, 0x1.b9b4d4923c3c4p-4, 0x1.b33c6cf52aff8p-4, 0x1.acccfeb04d0edp-4, 0x1.a666f6e348a09p-4, 0x1.a00abe421447ep-4, 0x1.99b8b927c42d3p-4, 0x1.937147a9855edp-4, 0x1.8d34c5a9d0b88p-4, 0x1.87038aebb66c2p-4, 0x1.80ddeb264ce69p-4, 0x1.7ac4361839be2p-4, 0x1.74b6b79b4b571p-4, 0x1.6eb5b7b825011p-4, 0x1.68c17ab9f386bp-4, 0x1.62da41422540fp-4, 0x1.5d00485c2529p-4, 0x1.5733c99110a28p-4, 0x1.5174fafb655bbp-4, 0x1.4bc40f5aa4448p-4, 0x1.46213626e2ef1p-4, 0x1.408c9ba44b57ep-4, 0x1.3b0668f6830dp-4, 0x1.358ec433f9b4bp-4, 0x1.3025d07918f74p-4, 0x1.2acbadfb54beap-4, 0x1.25807a1c18a0ep-4, 0x1.20444f7b8de29p-4, 0x1.1b17460b3c007p-4, 0x1.15f973207b4ecp-4, 0x1.10eae986bd061p-4, 0x1.0bebb991a3a2bp-4, 0x1.06fbf12ee921bp-4, 0x1.021b9bf815096p-4, 0x1.fa958687f55b5p-5, 0x1.f112dc70082cp-5, 0x1.e7af43b2865e8p-5, 0x1.de6ac23a9780dp-5, 0x1.d54559f5a4e08p-5, 0x1.cc3f08f41e8d7p-5, 0x1.c357c989cc401p-5, 0x1.ba8f926d9ee29p-5, 0x1.b1e656d9096acp-5, 0x1.a95c06a6d7df4p-5, 0x1.a0f08e718ade1p-5, 0x1.98a3d7b1303fap-5, 0x1.9075c8d8baf42p-5, 0x1.88664572d7fd9p-5, 0x1.80752e3e3f1eep-5, 0x1.78a26149853bbp-5, 0x1.70edba0e61a04p-5, 0x1.6957118c77cb1p-5, 0x1.61de3e6396957p-5, 0x1.5a8314ed752e1p-5, 0x1.53456756eab96p-5, 0x1.4c2505b8a202p-5, 0x1.4521be2f48293p-5, 0x1.3e3b5cf338ceep-5, 0x1.3771ac6fa53a9p-5, 0x1.30c475593a637p-5, 0x1.2a337ec443622p-5, 0x1.23be8e3a4b1b7p-5, 0x1.1d6567cf3e8ddp-5, 0x1.1727ce360b2cfp-5, 0x1.110582d4c5438p-5, 0x1.0afe45d849af7p-5, 0x1.0511d6476749cp-5, 0x1.fe7fe42b16ccbp-6, 0x1.f310ac69e65efp-6, 0x1.e7d57d50ca0b9p-6, 0x1.dccdcd28e318ap-6, 0x1.d1f910a07b8fap-6, 0x1.c756baebb2451p-6, 0x1.bce63de43d402p-6, 0x1.b2a70a2846bbp-6, 0x1.a8988f386c7aap-6, 0x1.9eba3b94dc8f5p-6, 0x1.950b7cd9973d1p-6, 0x1.8b8bbfd9d98fbp-6, 0x1.823a70bab202fp-6, 0x1.7916fb0cc20ffp-6, 0x1.7020c9e532403p-6, 0x1.675747f5d8c67p-6, 0x1.5eb9dfa49bc3cp-6, 0x1.5647fb22082ecp-6, 0x1.4e01047f2b702p-6, 0x1.45e465c2af006p-6, 0x1.3df188fd35523p-6, 0x1.3627d85d0298ap-6, 0x1.2e86be40ef4b4p-6, 0x1.270da54aab72fp-6, 0x1.1fbbf870520a9p-6, 0x1.1891230d55996p-6, 0x1.118c90f2c11a8p-6, 0x1.0aadae76da8fcp-6, 0x1.03f3e88423bbdp-6, 0x1.fabd594f790eep-7, 0x1.eddad23e57ff1p-7, 0x1.e13f19cb3223fp-7, 0x1.d4e90f80ce23fp-7, 0x1.c8d7949694d9ep-7, 0x1.bd098c07976b3p-7, 0x1.b17ddaa89268cp-7, 0x1.a633673cc9638p-7, 0x1.9b291a8a058bep-7, 0x1.905ddf6b6b5c4p-7, 0x1.85d0a2e3707ddp-7, 0x1.7b80542cde337p-7, 0x1.716be4cadd7a9p-7, 0x1.679248981f2ccp-7, 0x1.5df275d5272ccp-7, 0x1.548b6535ba9dap-7, 0x1.4b5c11ed7f387p-7, 0x1.426379bbba02ep-7, 0x1.39a09cf65831ep-7, 0x1.31127e942a6dp-7, 0x1.28b8243664306p-7, 0x1.209096315e735p-7, 0x1.189adf94ad9ffp-7, 0x1.10d60e3280054p-7, 0x1.094132a65cb05p-7, 0x1.01db605b381eep-7, 0x1.f5475b21d53b3p-8, 0x1.e73266c21c757p-8, 0x1.d9761b868e3d4p-8, 0x1.cc10b721f5dcep-8, 0x1.bf007d10fc3cdp-8, 0x1.b243b69f69575p-8, 0x1.a5d8b2ec7351bp-8, 0x1.99bdc6edfb6e7p-8, 0x1.8df14d72ef718p-8, 0x1.8271a724aa08ap-8, 0x1.773d3a877b074p-8, 0x1.6c5273fa56e5dp-8, 0x1.61afc5b5b055ap-8, 0x1.5753a7c9896bcp-8, 0x1.4d3c981ac12bap-8, 0x1.43691a5f9f21fp-8, 0x1.39d7b81bbbbe9p-8, 0x1.3087009b2d379p-8, 0x1.277588ed15f46p-8, 0x1.1ea1ebdd94c7dp-8, 0x1.160ac9ef14ba3p-8, 0x1.0daec95319a7ep-8, 0x1.058c95e276015p-8, 0x1.fb45c22a14157p-9, 0x1.ebe0c3f1e44c4p-9, 0x1.dce7aa5297afbp-9, 0x1.ce57f9890534ep-9, 0x1.c02f40c465299p-9, 0x1.b26b1a1141d57p-9, 0x1.a5092a43b515cp-9, 0x1.980720e0c8bccp-9, 0x1.8b62b8074fd4cp-9, 0x1.7f19b4580dffp-9, 0x1.7329e4dd3950ep-9, 0x1.679122f185f8ap-9, 0x1.5c4d522674bb8p-9, 0x1.515c602a61d6fp-9, 0x1.46bc44adfac25p-9, 0x1.3c6b01493ae7fp-9, 0x1.3266a1602b01bp-9, 0x1.28ad3a071ddaap-9, 0x1.1f3ce9e6992f7p-9, 0x1.1613d91f04037p-9, 0x1.0d30392c03e44p-9, 0x1.049044c7921f4p-9, 0x1.f8647f99c8fb2p-10, 0x1.e828ee361e24p-10, 0x1.d86a80ef0bdffp-10, 0x1.c925f4e10c3bp-10, 0x1.ba58187e6f2dbp-10, 0x1.abfdcb53be2a7p-10, 0x1.9e13fdcbb1543p-10, 0x1.9097b0f32db7ap-10, 0x1.8385f63cedf21p-10, 0x1.76dbef458bac9p-10, 0x1.6a96cd97151f6p-10, 0x1.5eb3d26cf946fp-10, 0x1.53304e77d4926p-10, 0x1.4809a1a15416fp-10, 0x1.3d3d3ad045cc3p-10, 0x1.32c897acefb74p-10, 0x1.28a944654d301p-10, 0x1.1edcdb71cec21p-10, 0x1.1561055a134b4p-10, 0x1.0c33787a08affp-10, 0x1.0351f8c74801ep-10, 0x1.f574af2dadbddp-11, 0x1.e4d4e6c64a177p-11, 0x1.d4c06f24dab9dp-11, 0x1.c533387b00b17p-11, 0x1.b6294beda5405p-11, 0x1.a79ecb240f4ap-11, 0x1.998fefd8106b2p-11, 0x1.8bf90b66b727p-11, 0x1.7ed686620bb1p-11, 0x1.7224e023f4d33p-11, 0x1.65e0ae61ae12ap-11, 0x1.5a069cc087b6fp-11, 0x1.4e936c6b7515dp-11, 0x1.4383f3aa38f9ap-11, 0x1.38d51d78c933ap-11, 0x1.2e83e9207dc4fp-11, 0x1.248d69d20510fp-11, 0x1.1aeec64064ec7p-11, 0x1.11a5383d3ba7dp-11, 0x1.08ae0c5668f01p-11, 0x1.0006a17496bd5p-11, 0x1.ef58d0f58d93dp-12, 0x1.df39c7cf453f1p-12, 0x1.cfab4eeeb9c37p-12, 0x1.c0a8af8e4e7d1p-12, 0x1.b22d53f33cfcdp-12, 0x1.a434c6b9b6e1p-12, 0x1.96bab222af048p-12, 0x1.89badf6443115p-12, 0x1.7d3135fd039cbp-12, 0x1.7119bb091115ep-12, 0x1.6570909a036e2p-12, 0x1.5a31f5111e5f1p-12, 0x1.4f5a427ce9898p-12, 0x1.44e5edf7f7381p-12, 0x1.3ad1870aaff37p-12, 0x1.3119b70fe2f48p-12, 0x1.27bb409b5718cp-12, 0x1.1eb2fee2f0113p-12, 0x1.15fde52a11535p-12, 0x1.0d98fe304c1cep-12, 0x1.05816ba19aafcp-12, 0x1.fb68cb1272795p-13, 0x1.ec5e738e252aep-13, 0x1.ddde970efdca7p-13, 0x1.cfe4257a68eaep-13, 0x1.c26a373b38f9fp-13, 0x1.b56c0c3fe381dp-13, 0x1.a8e50afd094ccp-13, 0x1.9cd0bf736bd49p-13, 0x1.912ada3bda52p-13, 0x1.85ef2f97a6ec5p-13, 0x1.7b19b68442f45p-13, 0x1.70a687d4dd8dap-13, 0x1.6691dd4f0baap-13, 0x1.5cd810cdc29cep-13, 0x1.53759b671872dp-13, 0x1.4a671496166bep-13, 0x1.41a9316a19b18p-13, 0x1.3938c3b9968bbp-13, 0x1.3112b958b411ap-13, 0x1.29341b54ea7b5p-13, 0x1.219a0d33b3c6ap-13, 0x1.1a41cc36b1614p-13, 0x1.1328aea2ac4ddp-13, 0x1.0c4c2309a4e9dp-13, 0x1.05a9af9b1cf9bp-13, 0x1.fe7de2ed0aafcp-14, 0x1.f213380242199p-14, 0x1.e60ef08237536p-14, 0x1.da6cc8754b1c6p-14, 0x1.cf28a4a5423b2p-14, 0x1.c43e9166c3282p-14, 0x1.b9aac168c2554p-14, 0x1.af698c8ee6e6ap-14, 0x1.a5776ecfc8cf9p-14, 0x1.9bd1071995b3ep-14, 0x1.9273163fa5414p-14, 0x1.895a7debd5cf3p-14, 0x1.80843f9965274p-14, 0x1.77ed7b93cc4e7p-14, 0x1.6f936ffb6fccp-14, 0x1.677377d25bb4fp-14, 0x1.5f8b0a0d98f51p-14, 0x1.57d7b8ac783b6p-14, 0x1.50572fd68d5a2p-14, 0x1.490734fcfa67bp-14, 0x1.41e5a605956f1p-14, 0x1.3af07877c8604p-14, 0x1.3425b8afef8dcp-14, 0x1.2d838917be07ep-14, 0x1.27082165635a4p-14, 0x1.20b1cddd4077fp-14, 0x1.1a7eee9a8f377p-14, 0x1.146df6dcbb025p-14, 0x1.0e7d6c56dafe1p-14, 0x1.08abe689c0ac7p-14, 0x1.02f80e1cd72eap-14, 0x1.fac1387b62b94p-15, 0x1.efc8b4089ceep-15, 0x1.e5043fb82ae74p-15, 0x1.da71a9defa08cp-15, 0x1.d00edd329a681p-15, 0x1.c5d9dfb40a519p-15, 0x1.bbd0d19dd1ebap-15, 0x1.b1f1ec6273459p-15, 0x1.a83b81ac166p-15, 0x1.9eabfa63a271dp-15, 0x1.9541d5c177e8dp-15, 0x1.8bfba86696605p-15, 0x1.82d81b7846118p-15, 0x1.79d5ebc660b7ep-15, 0x1.70f3e8f86e939p-15, 0x1.6830f4bcde697p-15, 0x1.5f8c0204e705fp-15, 0x1.5704144344225p-15, 0x1.4e983eb025d5p-15, 0x1.4647a39472f29p-15, 0x1.3e11739b8f34p-15, 0x1.35f4ed29c4dfbp-15, 0x1.2df15bb7b2838p-15, 0x1.26061734663f9p-15, 0x1.1e32836d1d764p-15, 0x1.16760f77a40f7p-15, 0x1.0ed03525296d8p-15, 0x1.07407877afe9ap-15, 0x1.ff8cce380f5fp-16, 0x1.f0c32fd33bd21p-16, 0x1.e22354ce17c4fp-16, 0x1.d3ac8ca389e28p-16, 0x1.c55e3655afd28p-16, 0x1.b737bf8f1c916p-16, 0x1.a938a3cdca9a4p-16, 0x1.9b606b94dddcfp-16, 0x1.8daeaba5f190ap-16, 0x1.80230441cd246p-16, 0x1.72bd207152b4ep-16, 0x1.657cb553a62e1p-16, 0x1.58618175d5ceap-16, 0x1.4b6b4c2f4d177p-16, 0x1.3e99e506bff19p-16, 0x1.31ed23197a512p-16, 0x1.2564e48ce3ef8p-16, 0x1.19010e05e7766p-16, 0x1.0cc18a2311bf5p-16, 0x1.00a648ff215bcp-16, 0x1.e95e7f6dcc789p-17, 0x1.d1b8cfed5bd8fp-17, 0x1.ba5b7f157e274p-17, 0x1.a3468fe9bab2p-17, 0x1.8c7a0c1666917p-17, 0x1.75f60329a842ap-17, 0x1.5fba89db8bc79p-17, 0x1.49c7b96624cd8p-17, 0x1.341daedb1a093p-17, 0x1.1ebc8a86927bfp-17, 0x1.09a46f5a12e35p-17, 0x1.e9ab04bfb0d55p-18, 0x1.c09fd465a5f62p-18, 0x1.98279cfce2e52p-18, 0x1.7042af0c8d119p-18, 0x1.48f15b715ad96p-18, 0x1.2233f27f5325dp-18, 0x1.f815866dfa14ap-19, 0x1.acec351e8629ep-19, 0x1.62ec85790c15dp-19, 0x1.1a17051862f28p-19, 0x1.a4d87318d0055p-20, 0x1.17d93e926ec86p-20, 0x1.1a62a2129e116p-21, 0x1.385e203128273p-26, -0x1.022b2a8f5de39p-21, -0x1.04b33c69f7328p-20, -0x1.85f6fc6b51a3ep-20, -0x1.027038e128a5fp-19, -0x1.40b7ab7e09f95p-19, -0x1.7dd1c2fba384p-19, -0x1.b9be7c865c39p-19, -0x1.f47de5ee67248p-19, -0x1.17080f0f38e4bp-18, -0x1.333aaab987be6p-18, -0x1.4ed6e70b638edp-18, -0x1.69dcee21fadf7p-18, -0x1.844cf345c178fp-18, -0x1.9e2732f66b28ap-18, -0x1.b76bf30e52de5p-18, -0x1.d01b82c2d9361p-18, -0x1.e8363ab8af3f5p-18, -0x1.ffbc7d05333edp-18, -0x1.0b575a99027bcp-17, -0x1.1686ac1a345a1p-17, -0x1.216c72381244bp-17, -0x1.2c08f0d254f9fp-17, -0x1.365c7071b86e9p-17, -0x1.40673e41071dbp-17, -0x1.4a29ac025d536p-17, -0x1.53a41000ceab6p-17, -0x1.5cd6c50880904p-17, -0x1.65c22a54c1ed3p-17, -0x1.6e66a3851be37p-17, -0x1.76c4988a2b221p-17, -0x1.7edc7594c5178p-17, -0x1.86aeab027659ep-17, -0x1.8e3bad4dbc8bap-17, -0x1.9583f4f80c198p-17, -0x1.9c87fe735726cp-17, -0x1.a3484a1051ec1p-17, -0x1.a9c55be688b48p-17, -0x1.afffbbbace26dp-17, -0x1.b5f7f4ec7c3c9p-17, -0x1.bbae965a5d6f9p-17, -0x1.c124324c9e4acp-17, -0x1.c6595e5d3fa2cp-17, -0x1.cb4eb35b2b638p-17, -0x1.d004cd30ef3b7p-17, -0x1.d47c4acee20e6p-17, -0x1.d8b5ce10329bp-17, -0x1.dcb1fb9e950bap-17, -0x1.e0717ada3098cp-17, -0x1.e3f4f5c0b21d1p-17, -0x1.e73d18ce234f4p-17, -0x1.ea4a92e76de14p-17, -0x1.ed1e153bad394p-17, -0x1.efb8532d94385p-17, -0x1.f21a02386923ap-17, -0x1.f443d9d679b21p-17, -0x1.f63693620954dp-17, -0x1.f7f2e9fe1b586p-17, -0x1.f9799a7e4244p-17, -0x1.facb634c417e2p-17, -0x1.fbe9044bd7b01p-17, -0x1.fcd33ec4dd03fp-17, -0x1.fd8ad5487742cp-17, -0x1.fe108b960d183p-17, -0x1.fe652686f212cp-17, -0x1.fe896bf07dccep-17, -0x1.fe7e2290a899p-17, -0x1.fe4411f5c260cp-17, -0x1.fddc0266e36c3p-17, -0x1.fd46bcc97f9d8p-17, -0x1.fc850a8ad1fb8p-17, -0x1.fb97b58d52fabp-17, -0x1.fa7f881060f3p-17, -0x1.f93d4c99b5c0ap-17, -0x1.f7d1cde148167p-17, -0x1.f63dd6bc72e87p-17, -0x1.f4823205f73b5p-17, -0x1.f29faa8ef896bp-17, -0x1.f0970b0608655p-17, -0x1.ee691de55bea8p-17, -0x1.ec16ad62634d1p-17, -0x1.e9a083596e62ep-17, -0x1.e707693b56dbap-17, -0x1.e44c27f7f4f78p-17, -0x1.e16f87f100339p-17, -0x1.de7250e94e6bdp-17, -0x1.db5549f221ca5p-17, -0x1.d819395c0cba1p-17, -0x1.d4bee4a74cf0cp-17, -0x1.d1471073c75b6p-17, -0x1.cdb2807096831p-17, -0x1.ca01f752a5451p-17, -0x1.c63636c02cb4dp-17, -0x1.c24fff45e3a81p-17, -0x1.be50104c708dep-17, -0x1.ba37280892083p-17, -0x1.b606036f81d2cp-17, -0x1.b1bd5e27a7b66p-17, -0x1.ad5df2812e18cp-17, -0x1.a8e8796a08a7bp-17, -0x1.a45daa6276f57p-17, -0x1.9fbe3b725dcfbp-17, -0x1.9b0ae1205de76p-17, -0x1.96444e668a4eep-17, -0x1.916b34a864aa3p-17, -0x1.8c8043ae98cadp-17, -0x1.8784299917ec2p-17, -0x1.827792d86fd19p-17, -0x1.7d5b2a289cea8p-17, -0x1.782f9887ced52p-17, -0x1.72f585300d4ebp-17, -0x1.6dad958d0d7b9p-17, -0x1.68586d38905bcp-17, -0x1.62f6adf5e7a31p-17, -0x1.5d88f7a9e8e02p-17, -0x1.580fe8567c6abp-17, -0x1.528c1c1595p-17, -0x1.4cfe2d14ae681p-17, -0x1.4766b38e2d396p-17, -0x1.41c645c7a726ep-17, -0x1.3c1d780f00fc6p-17, -0x1.366cdcb35cf71p-17, -0x1.30b504040eb78p-17, -0x1.2af67c4ef549cp-17, -0x1.2531d1dbee67dp-17, -0x1.1f678eec1bd8fp-17, -0x1.19983bb400933p-17, -0x1.13c45e5c66e23p-17, -0x1.0dec7b0274945p-17, -0x1.081113b3974c3p-17, -0x1.0232a86dbb68fp-17, -0x1.f8a36e3c2fcffp-18, -0x1.ecdd774287bcp-18, -0x1.e1145f81896f7p-18, -0x1.d5491667c47p-18, -0x1.c97c8744bba5dp-18, -0x1.bdaf99412a5e6p-18, -0x1.b1e32f62d96f3p-18, -0x1.a61828922da06p-18, -0x1.9a4f5f96ee78ep-18, -0x1.8e89ab1dea47p-18, -0x1.82c7ddb7a092dp-18, -0x1.770ac5dab2b6ap-18, -0x1.6b532dec42936p-18, -0x1.5fa1dc3ffef58p-18, -0x1.53f7931da550dp-18, -0x1.485510c31f0cbp-18, -0x1.3cbb0f6b4d464p-18, -0x1.312a455138379p-18, -0x1.25a364b49f6a4p-18, -0x1.1a271bdfc3828p-18, -0x1.0eb61531b4feep-18, -0x1.0350f71aa31c8p-18, -0x1.eff0c85448164p-19, -0x1.d959f627fb3bep-19, -0x1.c2dead672710dp-19, -0x1.ac801c30e2344p-19, -0x1.963f690c0011cp-19, -0x1.801db2fe36e5ap-19, -0x1.6a1c119c123b7p-19, -0x1.543b951524772p-19, -0x1.3e7d46467b811p-19, -0x1.28e226c7c4ffcp-19, -0x1.136b30fe74907p-19, -0x1.fc32b05419e5fp-20, -0x1.d1db10f42dab8p-20, -0x1.a7d14e36c29d8p-20, -0x1.7e17249989a69p-20, -0x1.54ae42defe693p-20, -0x1.2b984a2a90781p-20, -0x1.02d6ce3ae287ap-20, -0x1.b4d6aae8f516ap-21, -0x1.64aeb2320aa5cp-21, -0x1.15388ad60e323p-21, -0x1.8cede70c14d47p-22, -0x1.e1b2466f15c9ep-23, -0x1.58df8a9cc8e6ep-24, 0x1.0bc3cffed7ab7p-24, 0x1.b53955db728c7p-23, 0x1.70c6bcc29357dp-22, 0x1.02b569fcbf3c7p-21, 0x1.4c42651fe5c27p-21, 0x1.950853daab909p-21, 0x1.dd05513280dbep-21, 0x1.121bc76e0a634p-20, 0x1.354eaa6e5119ap-20, 0x1.581a809c4950ep-20, 0x1.7a7e83d01673ap-20, 0x1.9c79f899afa7ep-20, 0x1.be0c2e0e31fbdp-20, 0x1.df347d9d5baa8p-20, 0x1.fff24af4cab44p-20, 0x1.102281e59e59cp-19, 0x1.20160fdcfbbd3p-19, 0x1.2fd3900ec0706p-19, 0x1.3f5ac7f46a7bbp-19, 0x1.4eab81b795d9ap-19, 0x1.5dc58c28524b6p-19, 0x1.6ca8baa4f301ap-19, 0x1.7b54e504d7c63p-19, 0x1.89c9e781a863ep-19, 0x1.9807a2a901c89p-19, 0x1.a60dfb4c184d9p-19, 0x1.b3dcda5f79f4p-19, 0x1.c1742cee6460dp-19, 0x1.ced3e40bffdb1p-19, 0x1.dbfbf4b8f287cp-19, 0x1.e8ec57d426f65p-19, 0x1.f5a50a044006ap-19, 0x1.011305d211db3p-18, 0x1.0737b059a936p-18, 0x1.0d40886171167p-18, 0x1.132d936f4482bp-18, 0x1.18fed8c187449p-18, 0x1.1eb4613f3f85cp-18, 0x1.244e37743bc68p-18, 0x1.29cc6786a7953p-18, 0x1.2f2eff2d45239p-18, 0x1.34760da5326a4p-18, 0x1.39a1a3ab09cd6p-18, 0x1.3eb1d3754dedap-18, 0x1.43a6b0a4a547ep-18, 0x1.4880503cd1a19p-18, 0x1.4d3ec8a14f583p-18, 0x1.51e2318990cb5p-18, 0x1.566aa3f6aab6fp-18, 0x1.5ad83a2fca948p-18, 0x1.5f2b0fb2e413ep-18, 0x1.63634131d0adfp-18, 0x1.6780ec8a0e0c7p-18, 0x1.6b8430bc5ab92p-18, 0x1.6f6d2de30d195p-18, 0x1.733c052ce3d77p-18, 0x1.76f0d8d29160bp-18, 0x1.7a8bcc11a313fp-18, 0x1.7e0d03235272bp-18, 0x1.8174a33553ea1p-18, 0x1.84c2d26128db1p-18, 0x1.87f7b7a88e338p-18, 0x1.8b137aef2f346p-18, 0x1.8e1644ea986ebp-18, 0x1.91003f22b8e43p-18, 0x1.93d193eb68206p-18, 0x1.968a6e5c16378p-18, }}, 
      {{-0x1.027e547cf0e97p-7, -0x1.0275214f4ecd1p-6, -0x1.839b8130dc8bdp-6, -0x1.025806bd96fc1p-5, -0x1.42da744f38135p-5, -0x1.8358155c3423bp-5, -0x1.c3d5942dea6afp-5, -0x1.022c669d2ddcep-4, -0x1.227431276bf92p-4, -0x1.42c5aaa0dc17ap-4, -0x1.63245737a7178p-4, -0x1.83939860a6c1ep-4, -0x1.a4168dbcb444p-4, -0x1.c4affc8ab55d6p-4, -0x1.e5623d14b43e7p-4, -0x1.031796b520372p-3, -0x1.138c14594899p-3, -0x1.240f01328dee6p-3, -0x1.34a082616d144p-3, -0x1.454078fc90cf9p-3, -0x1.55ee83b3c3af5p-3, -0x1.66aa01498feb3p-3, -0x1.777213b09520cp-3, -0x1.8845a3a150c3ep-3, -0x1.99236483bd076p-3, -0x1.aa09d88e78f66p-3, -0x1.baf755025f529p-3, -0x1.cbea066e638b8p-3, -0x1.dcdff4eb5659fp-3, -0x1.edd70842e5ff7p-3, -0x1.fecd0bf7f07dep-3, -0x1.07dfd994624efp-2, -0x1.10564e22f9e8ap-2, -0x1.18c8aa4d06143p-2, -0x1.2135adcfea31ap-2, -0x1.299c1312f933ap-2, -0x1.31fa909fc5c0bp-2, -0x1.3a4fda812a9abp-2, -0x1.429aa38977eeep-2, -0x1.4ad99e80773b5p-2, -0x1.530b7f3a14f1cp-2, -0x1.5b2efb9699cf8p-2, -0x1.6342cc6d7c3eep-2, -0x1.6b45ae63d4466p-2, -0x1.733662af7e4e4p-2, -0x1.7b13afc80c5e1p-2, -0x1.82dc62068db4p-2, -0x1.8a8f4c353d645p-2, -0x1.922b48101b7c7p-2, -0x1.99af36b76cac2p-2, -0x1.a11a0115156dp-2, -0x1.a86a9835afa44p-2, -0x1.af9ff59640c1cp-2, -0x1.b6b91b6757293p-2, -0x1.bdb514c65a845p-2, -0x1.c492f5edc5f57p-2, -0x1.cb51dc5cf50bbp-2, -0x1.d1f0eef831a2ep-2, -0x1.d86f5e2190be1p-2, -0x1.decc63cb34c5dp-2, -0x1.e507438373d4ep-2, -0x1.eb1f4a7b63d05p-2, -0x1.f113cf883c728p-2, -0x1.f6e4331ffb7ap-2, -0x1.fc8fdf51adf01p-2, -0x1.010b23dcde535p-1, -0x1.03bb74b946dcfp-1, -0x1.0658a580e834ap-1, -0x1.08e27e215bb94p-1, -0x1.0b58cb26b3ee5p-1, -0x1.0dbb5dadee6dp-1, -0x1.100a0b563ba53p-1, -0x1.1244ae3139ad8p-1, -0x1.146b24b239aa4p-1, -0x1.167d519ca6397p-1, -0x1.187b1bf1a232cp-1, -0x1.1a646edcf2343p-1, -0x1.1c3939a143e59p-1, -0x1.1df96f83e337bp-1, -0x1.1fa507b7ede5bp-1, -0x1.213bfd49142c5p-1, -0x1.22be4f05f491cp-1, -0x1.242bff6a1ca37p-1, -0x1.25851487bf987p-1, -0x1.26c997f127e71p-1, -0x1.27f996a1f2c23p-1, -0x1.291520e81d682p-1, -0x1.2a1c4a4ceb158p-1, -0x1.2b0f297db05b9p-1, -0x1.2bedd834875ffp-1, -0x1.2cb87320f8046p-1, -0x1.2d6f19d097425p-1, -0x1.2e11ee97a7d83p-1, -0x1.2ea11679c0061p-1, -0x1.2f1cb9127b61bp-1, -0x1.2f85007e3cb8ep-1, -0x1.2fda194307b3p-1, -0x1.301c323974d6dp-1, -0x1.304b7c75c5aa3p-1, -0x1.30682b311ce34p-1, -0x1.307273b2df7fcp-1, -0x1.306a8d3a41d7fp-1, -0x1.3050b0e8062b2p-1, -0x1.302519a86cdfap-1, -0x1.2fe8041d5def1p-1, -0x1.2f99ae88cc28p-1, -0x1.2f3a58b75602fp-1, -0x1.2eca43eb2603bp-1, -0x1.2e49b2c71827dp-1, -0x1.2db8e93a23b92p-1, -0x1.2d182c6b0de8fp-1, -0x1.2c67c2a466f84p-1, -0x1.2ba7f340d41e6p-1, -0x1.2ad90697a899dp-1, -0x1.29fb45e9cf04fp-1, -0x1.290efb4f0591dp-1, -0x1.281471a36f602p-1, -0x1.270bf4757a0c5p-1, -0x1.25f5cff41ba4dp-1, -0x1.24d250dd69e7ep-1, -0x1.23a1c46d893e1p-1, -0x1.2264784df92b2p-1, -0x1.211aba853b1f4p-1, -0x1.1fc4d966d72efp-1, -0x1.1e632383bd267p-1, -0x1.1cf5e79b057dep-1, -0x1.1b7d748b106b9p-1, -0x1.19fa19430466ap-1, -0x1.186c24b4ada32p-1, -0x1.16d3e5c6bb751p-1, -0x1.1531ab47606edp-1, -0x1.1385c3df51477p-1, -0x1.11d07e0525d43p-1, -0x1.101227f118209p-1, -0x1.0e4b0f91275c2p-1, -0x1.0c7b827d960a7p-1, -0x1.0aa3cdedcdcbfp-1, -0x1.08c43ead9cdecp-1, -0x1.06dd2112d6943p-1, -0x1.04eec0f35093p-1, -0x1.02f9699b3ea84p-1, -0x1.00fd65c3ea132p-1, -0x1.fdf5ff159010ap-2, -0x1.f9e500d1d2fa4p-2, -0x1.f5c862558dbc3p-2, -0x1.f1a0b3d0cc4d4p-2, -0x1.ed6e83fbb08bdp-2, -0x1.e932600820e8fp-2, -0x1.e4ecd39422993p-2, -0x1.e09e689ce09dfp-2, -0x1.dc47a772597dbp-2, -0x1.d7e916abb8f39p-2, -0x1.d3833b1c50636p-2, -0x1.cf1697c9366e5p-2, -0x1.caa3addf8156bp-2, -0x1.c62afcab225c8p-2, -0x1.c1ad018e5782fp-2, -0x1.bd2a37f9b744dp-2, -0x1.b8a31964cf2ep-2, -0x1.b4181d4753976p-2, -0x1.af89b912e085ep-2, -0x1.aaf8602d426f7p-2, -0x1.a66483eb4b4c5p-2, -0x1.a1ce938c2b28bp-2, -0x1.9d36fc354ae56p-2, -0x1.989e28eea8b5cp-2, -0x1.9404829fb0a4ep-2, -0x1.8f6a700c8b68ep-2, -0x1.8ad055d3e7eb1p-2, -0x1.8636966d34151p-2, -0x1.819d922749ba6p-2, -0x1.7d05a727834c5p-2, -0x1.786f316940b51p-2, -0x1.73da8abdcc13p-2, -0x1.6f480acca8724p-2, -0x1.6ab807143c012p-2, -0x1.662ad2eadb064p-2, -0x1.61a0bf802b3d2p-2, -0x1.5d1a1bdee00a4p-2, -0x1.589734eecb1ffp-2, -0x1.541855773c4e3p-2, -0x1.4f9dc621b23e2p-2, -0x1.4b27cd7cd5114p-2, -0x1.46b6afffba733p-2, -0x1.424ab00d70094p-2, -0x1.3de40df8c6897p-2, -0x1.398308085e592p-2, -0x1.3527da7af1bdfp-2, -0x1.30d2bf8bd8ac7p-2, -0x1.2c83ef77c552dp-2, -0x1.283ba081b488ep-2, -0x1.23fa06f813077p-2, -0x1.1fbf553a105c2p-2, -0x1.1b8bbbbd20ed9p-2, -0x1.175f6912a955dp-2, -0x1.133a89edd5b8ap-2, -0x1.0f1d492992861p-2, -0x1.0b07cfceac621p-2, -0x1.06fa451a133aap-2, -0x1.02f4ce8336706p-2, -0x1.fdef1f85093c1p-3, -0x1.f60555b007225p-3, -0x1.ee2c802400e59p-3, -0x1.e664dc27b122dp-3, -0x1.deaea3b9abeacp-3, -0x1.d70a0d9e3b19ap-3, -0x1.cf774d6d66aaap-3, -0x1.c7f693a10bfecp-3, -0x1.c0880da31d9a2p-3, -0x1.b92be5dbf1d5ep-3, -0x1.b1e243c0aa31fp-3, -0x1.aaab4be1a6f8ap-3, -0x1.a3871ff90b97fp-3, -0x1.9c75def94841bp-3, -0x1.9577a51bb361ep-3, -0x1.8e8c8bef1b292p-3, -0x1.87b4aa66660c6p-3, -0x1.80f014e7244ffp-3, -0x1.7a3edd582a5e1p-3, -0x1.73a1133018a58p-3, -0x1.6d16c383e4589p-3, -0x1.669ff9154cd2ap-3, -0x1.603cbc614ad52p-3, -0x1.59ed13ae6804ep-3, -0x1.53b1031b0d9b8p-3, -0x1.4d888cabb36e5p-3, -0x1.4773b0590629ap-3, -0x1.41726c1deb3dcp-3, -0x1.3b84bc056faffp-3, -0x1.35aa9a389ac57p-3, -0x1.2fe3ff0c272c2p-3, -0x1.2a30e10e18f48p-3, -0x1.24913513321e4p-3, -0x1.1f04ee445208cp-3, -0x1.198bfe2b9f3bcp-3, -0x1.142654c1a15a6p-3, -0x1.0ed3e07a264fdp-3, -0x1.09948e510b55fp-3, -0x1.046849d6d91fep-3, -0x1.fe9dfa7a7b6dp-4, -0x1.f49122c6a8634p-4, -0x1.eaa9dbc39ed4dp-4, -0x1.e0e7f22dd8c43p-4, -0x1.d74b30648d818p-4, -0x1.cdd35e80ea10cp-4, -0x1.c480426cfdea8p-4, -0x1.bb519ffa550e2p-4, -0x1.b24738f81df7cp-4, -0x1.a960cd490cbcap-4, -0x1.a09e1af8d49a5p-4, -0x1.97fede514746p-4, -0x1.8f82d1ef104f2p-4, -0x1.8729aed61b8aap-4, -0x1.7ef32c8593debp-4, -0x1.76df010b86c1cp-4, -0x1.6eece11826706p-4, -0x1.671c8010ad237p-4, -0x1.5f6d9021dd954p-4, -0x1.57dfc25228665p-4, -0x1.5072c69369b66p-4, -0x1.49264bd44f7bfp-4, -0x1.41fa00115a87p-4, -0x1.3aed90657f1bep-4, -0x1.3400a91a6a9acp-4, -0x1.2d32f5b867dep-4, -0x1.26842115e5204p-4, -0x1.1ff3d56699d51p-4, -0x1.1981bc4a54b84p-4, -0x1.132d7edb66a51p-4, -0x1.0cf6c5bcb54a8p-4, -0x1.06dd39276f3a1p-4, -0x1.00e080f8685a9p-4, -0x1.f600897a33fe3p-5, -0x1.ea785780928b9p-5, -0x1.df27ba2cac0eep-5, -0x1.d40dff5262ee4p-5, -0x1.c92a7487ffed5p-5, -0x1.be7c673cc0a24p-5, -0x1.b40324cec6e37p-5, -0x1.a9bdfaa058a1ep-5, -0x1.9fac362c7f53ep-5, -0x1.95cd251afd6e5p-5, -0x1.8c201553a9c2bp-5, -0x1.82a4551121465p-5, -0x1.795932f2ecd0fp-5, -0x1.703dfe0eeed79p-5, -0x1.6752060259e13p-5, -0x1.5e949b01f8d19p-5, -0x1.56050de9eb858p-5, -0x1.4da2b04ccd8c8p-5, -0x1.456cd482545ebp-5, -0x1.3d62cdb558bdbp-5, -0x1.3583eff158fabp-5, -0x1.2dcf902f736bcp-5, -0x1.26450462d58d9p-5, -0x1.1ee3a384af4b5p-5, -0x1.17aac59f9f2aep-5, -0x1.1099c3daa4082p-5, -0x1.09aff8838a2b4p-5, -0x1.02ecbf18e8d5dp-5, -0x1.f89ee8a74685bp-6, -0x1.ebaeec5fe9adp-6, -0x1.df0847ec14814p-6, -0x1.d2a9bc844f232p-6, -0x1.c6920e18d8fdep-6, -0x1.bac003603294fp-6, -0x1.af3265e4fe6fp-6, -0x1.a3e80212fb317p-6, -0x1.98dfa743352f8p-6, -0x1.8e1827c78487cp-6, -0x1.839058f53e7cdp-6, -0x1.7947132f2e6f2p-6, -0x1.6f3b31eedb67p-6, -0x1.656b93cd1c49fp-6, -0x1.5bd71a89fe405p-6, -0x1.527cab13fd4bcp-6, -0x1.495b2d8e9ff12p-6, -0x1.40718d58775f1p-6, -0x1.37beb9107765cp-6, -0x1.2f41a29ac0fddp-6, -0x1.26f93f24d41c5p-6, -0x1.1ee48729357d7p-6, -0x1.17027672945dbp-6, -0x1.0f520c1e512ap-6, -0x1.07d24a9e9f8fap-6, -0x1.008237bc0f245p-6, -0x1.f2c1b92d57d2dp-7, -0x1.e4da8b4d41b2ap-7, -0x1.d74d0578d68b3p-7, -0x1.ca174e013704dp-7, -0x1.bd3791e65ad81p-7, -0x1.b0ac04d4e37bap-7, -0x1.a472e1234a28fp-7, -0x1.988a67ce14c53p-7, -0x1.8cf0e07391c22p-7, -0x1.81a4994eb5a0ap-7, -0x1.76a3e73145b7cp-7, -0x1.6bed257d8450dp-7, -0x1.617eb61f13831p-7, -0x1.575701835acd3p-7, -0x1.4d7476914ad61p-7, -0x1.43d58aa0a6084p-7, -0x1.3a78b970a2f74p-7, -0x1.315c851e1f06p-7, -0x1.287f76195fe68p-7, -0x1.1fe01b1b51ca4p-7, -0x1.177d091a467ccp-7, -0x1.0f54db3e7ebaep-7, -0x1.076632d5fa78ep-7, -0x1.ff5f6e9067cecp-8, -0x1.f0602c12b6359p-8, -0x1.e1cc051a6a2fp-8, -0x1.d3a06c737c23bp-8, -0x1.c5dae0b2d29bap-8, -0x1.b878ec1a60094p-8, -0x1.ab78247c7754p-8, -0x1.9ed62b1ed0ba3p-8, -0x1.9290ac9cf6b3cp-8, -0x1.86a560ca6b567p-8, -0x1.7b120a9432ea9p-8, -0x1.6fd477e22d852p-8, -0x1.64ea8177ebc7ap-8, -0x1.5a520ad53e18ap-8, -0x1.50090216983c6p-8, -0x1.460d5fd506062p-8, -0x1.3c5d2705f9318p-8, -0x1.32f664daefd43p-8, -0x1.29d730a0b219fp-8, -0x1.20fdab9ea3b49p-8, -0x1.186800f5dd90bp-8, -0x1.1014658010a7p-8, -0x1.080117ae64dd5p-8, -0x1.002c5f6847db6p-8, -0x1.f1291bd4652d6p-9, -0x1.e26ffb488168fp-9, -0x1.d42a2431fa3ccp-9, -0x1.c6546f77d4633p-9, -0x1.b8ebc7a08bc3cp-9, -0x1.abed288fb2ce2p-9, -0x1.9f559f432fe17p-9, -0x1.932249912d276p-9, -0x1.875055e5db66dp-9, -0x1.7bdd0301a0ec4p-9, -0x1.70c59fb74c62cp-9, -0x1.66078aaa95ed6p-9, -0x1.5ba0320f10d78p-9, -0x1.518d13671683ap-9, -0x1.47cbbb439047dp-9, -0x1.3e59c5037039dp-9, -0x1.3534da94247e1p-9, -0x1.2c5ab431f0b1bp-9, -0x1.23c91829098bfp-9, -0x1.1b7dda96e7ab5p-9, -0x1.1376dd2c4b26ap-9, -0x1.0bb20eef63254p-9, -0x1.042d6bfec1417p-9, -0x1.f9cdfaa94f1a2p-10, -0x1.ebb9b1159e1d7p-10, -0x1.de1a3f3db6256p-10, -0x1.d0ec016e25b3ep-10, -0x1.c42b6bd02b98fp-10, -0x1.b7d509f5381c7p-10, -0x1.abe57e6489766p-10, -0x1.a059822970094p-10, -0x1.952de462c95c2p-10, -0x1.8a5f89d3cbb98p-10, -0x1.7feb6c75fd4bdp-10, -0x1.75ce9b0c6679cp-10, -0x1.6c0638b84af36p-10, -0x1.628f7c8e73fbfp-10, -0x1.5967b12eb3493p-10, -0x1.508c345bd0d7bp-10, -0x1.47fa769579081p-10, -0x1.3faffab2d39f8p-10, -0x1.37aa557f0ead8p-10, -0x1.2fe72d56b0bb4p-10, -0x1.286439c661e73p-10, -0x1.211f432b73fc8p-10, -0x1.1a162255100bdp-10, -0x1.1346c027121ccp-10, -0x1.0caf153ea3da1p-10, -0x1.064d299734b19p-10, -0x1.001f14319eb5ap-10, -0x1.f445f578ec2b2p-11, -0x1.e8ae227a6b6c6p-11, -0x1.dd7333768b977p-11, -0x1.d291c7d856ed4p-11, -0x1.c80699c2068ebp-11, -0x1.bdce7d6a85e3fp-11, -0x1.b3e6607e0ea5bp-11, -0x1.aa4b4980c76f8p-11, -0x1.a0fa573413996p-11, -0x1.97f0bfff363eep-11, -0x1.8f2bd1596c6dp-11, -0x1.86a8ef374960ep-11, -0x1.7e65937aac2ebp-11, -0x1.765f4d64d9f2ap-11, -0x1.6e93c10b959e4p-11, -0x1.6700a6d0338dcp-11, -0x1.5fa3cad9d5bc7p-11, -0x1.587b0c90e3acfp-11, -0x1.51845e1e9afb3p-11, -0x1.4abdc3eda9de6p-11, -0x1.4425542def5c8p-11, -0x1.3db9365a26d5fp-11, -0x1.3777a2c06e0cap-11, -0x1.315ee20cc84dp-11, -0x1.2b6d4cd5ee6f8p-11, -0x1.25a14b2cdb299p-11, -0x1.1ff9542db839ap-11, -0x1.1a73ed93ee57bp-11, -0x1.150fab4f7c558p-11, -0x1.0fcb2f1dcbfbfp-11, -0x1.0aa528237ff56p-11, -0x1.059c5288ba78bp-11, -0x1.00af7717ff9dfp-11, -0x1.f7bad5bc8c395p-12, -0x1.ee4a1d9b75ca6p-12, -0x1.e50a9ec6445eap-12, -0x1.dbfa489682a23p-12, -0x1.d3172018804b9p-12, -0x1.ca5f3f5fdf604p-12, -0x1.c1d0d4e0e0ff5p-12, -0x1.b96a22cd0ecfp-12, -0x1.b1297e73a508bp-12, -0x1.a90d4fa6003d5p-12, -0x1.a114101f2af0fp-12, -0x1.993c4aef0af3fp-12, -0x1.91849bea0cf44p-12, -0x1.89ebaf1a86b57p-12, -0x1.82704037006ffp-12, -0x1.7b111a1ad684ap-12, -0x1.73cd16436845p-12, -0x1.6ca31c4f074adp-12, -0x1.6592217f7ca4fp-12, -0x1.5e992841ac1c9p-12, -0x1.57b73fb4f6a16p-12, -0x1.50eb8337f1bf1p-12, -0x1.4a3519f75193ep-12, -0x1.4393367fe3c03p-12, -0x1.3d05165385b38p-12, -0x1.368a0180d5eep-12, -0x1.30214a3da9acbp-12, -0x1.29ca4c8419844p-12, -0x1.23846db215993p-12, -0x1.1d4f1c2c5c56ep-12, -0x1.1729cf03f769dp-12, -0x1.1114059c8cd9ap-12, -0x1.0b0d47572fb47p-12, -0x1.0515233e81254p-12, -0x1.fe565f6b73fa5p-13, -0x1.f29e14531a388p-13, -0x1.e700ad87f0502p-13, -0x1.db7d80438118cp-13, -0x1.d013ee1489863p-13, -0x1.c4c36452933bp-13, -0x1.b98b5b9659e31p-13, -0x1.ae6b573769391p-13, -0x1.a362e4caf1cb9p-13, -0x1.98719ba7ecf21p-13, -0x1.8d971c703411cp-13, -0x1.82d3109b89152p-13, -0x1.78252a07aa858p-13, -0x1.6d8d228af5904p-13, -0x1.630abb8bbd368p-13, -0x1.589dbd9aa4809p-13, -0x1.4e45f80eb859dp-13, -0x1.440340a6e19e7p-13, -0x1.39d5732e744bbp-13, -0x1.2fbc7123922ap-13, -0x1.25b8216173762p-13, -0x1.1bc86fcd9a3cep-13, -0x1.11ed4d07ebe81p-13, -0x1.0826ae1d3db28p-13, -0x1.fce9187a8900dp-14, -0x1.e9adc8e450e7ep-14, -0x1.d69b6eba3d794p-14, -0x1.c3b211e617033p-14, -0x1.b0f1c0779b48cp-14, -0x1.9e5a8e2b03ca3p-14, -0x1.8bec93f32d6b1p-14, -0x1.79a7ef861bc16p-14, -0x1.678cc2f22fdf7p-14, -0x1.559b3432db132p-14, -0x1.43d36ccf02c34p-14, -0x1.32359975bef2dp-14, -0x1.20c1e9a36561dp-14, -0x1.0f788f47804f4p-14, -0x1.fcb37ce79611fp-15, -0x1.dacb5a10f462bp-15, -0x1.b93924ce9ef8ep-15, -0x1.97fd4e5366a78p-15, -0x1.771849b628facp-15, -0x1.568a8b6b02c1dp-15, -0x1.365488c1f1aabp-15, -0x1.1676b76df65e1p-15, -0x1.ede31a2be1d53p-16, -0x1.af8afdc242c12p-16, -0x1.71e60221e25ebp-16, -0x1.34f50d3a72481p-16, -0x1.f172036300d54p-17, -0x1.7a657c6bfb79ap-17, -0x1.04c639a531a9cp-17, -0x1.212bc95046d24p-18, -0x1.dd61b70f7cf88p-21, 0x1.4dde42e02df15p-19, 0x1.86a33892d32bap-18, 0x1.31b69260dea65p-17, 0x1.9ea50dac4a0a5p-17, 0x1.050ddc92e29e4p-16, 0x1.3a0ca8784b837p-16, 0x1.6e4e51820f047p-16, 0x1.a1d247e940095p-16, 0x1.d498056e16529p-16, 0x1.034f86ce241cp-15, 0x1.1bf37707880c8p-15, 0x1.34379f52adeb7p-15, 0x1.4c1bd0db05001p-15, 0x1.639fe21db751cp-15, 0x1.7ac3af003bf44p-15, 0x1.918718e0e79eep-15, 0x1.a7ea06a4fa824p-15, 0x1.bdec64c23c542p-15, 0x1.d38e254e0d318p-15, 0x1.e8cf4002ceed3p-15, 0x1.fdafb248102c4p-15, 0x1.0917bf991b816p-14, 0x1.132757c38e165p-14, 0x1.1d06a8dee7716p-14, 0x1.26b5bcfea05f1p-14, 0x1.3034a10b39103p-14, 0x1.398364bffc3e7p-14, 0x1.42a21aa87e947p-14, 0x1.4b90d81cb3a36p-14, 0x1.544fb53b86335p-14, 0x1.5cdecce56ccb1p-14, 0x1.653e3cb64f4cep-14, 0x1.6d6e24ff5eb38p-14, 0x1.756ea8c08e0ecp-14, 0x1.7d3fed9ee07cfp-14, 0x1.84e21bddc6971p-14, 0x1.8c555e5635a39p-14, 0x1.9399e26d5a9f7p-14, 0x1.9aafd80bdbc64p-14, 0x1.a1977191f847fp-14, 0x1.a850e3ce9f4d1p-14, 0x1.aedc65f4c2a3bp-14, 0x1.b53a3190e98dep-14, 0x1.bb6a827d3262p-14, 0x1.c16d96d661a9bp-14, 0x1.c743aeef50c2bp-14, 0x1.cced0d4671b9ep-14, 0x1.d269f6787428dp-14, 0x1.d7bab1343af2cp-14, 0x1.dcdf862e2c456p-14, 0x1.e1d8c013cf101p-14, 0x1.e6a6ab7fdbc61p-14, 0x1.eb4996ec49ea4p-14, 0x1.efc1d2a558014p-14, 0x1.f40fb0bc3b3edp-14, 0x1.f83384fafa3c7p-14, 0x1.fc2da4d6a78e9p-14, 0x1.fffe676257b34p-14, 0x1.01d312a12bed5p-13, 0x1.03929c4eda2b9p-13, 0x1.053dfe8930658p-13, 0x1.06d567d38520ap-13, 0x1.0859075f2360cp-13, 0x1.09c90d045a702p-13, 0x1.0b25a93c327bap-13, 0x1.0c6f0d1a08ddfp-13, 0x1.0da56a450a306p-13, 0x1.0ec8f2f16198ep-13, 0x1.0fd9d9d9fa02dp-13, 0x1.10d85239f1e1dp-13, 0x1.11c48fc672ef4p-13, 0x1.129ec6a8727c5p-13, 0x1.13672b7660a75p-13, 0x1.141df32df1afdp-13, 0x1.14c3532dfdcf5p-13, 0x1.155781308e1b5p-13, 0x1.15dab344b18ecp-13, 0x1.164d1fc8d02dep-13, 0x1.16aefd6438e7bp-13, 0x1.17008301e469cp-13, 0x1.1741e7cae6e3dp-13, 0x1.1773632048abbp-13, 0x1.17952c95d12c9p-13, 0x1.17a77bec99fe1p-13, 0x1.17aa890d4f1d6p-13, 0x1.179e8c0326e5dp-13, 0x1.1783bcf6ac198p-13, 0x1.175a5428d4796p-13, 0x1.172289ed5ceb1p-13, 0x1.16dc96a67a16bp-13, 0x1.1688b2bf84b65p-13, 0x1.162716a85923ep-13, 0x1.15b7fad107107p-13, 0x1.153b97a488a2ep-13, 0x1.14b2258458104p-13, 0x1.141bdcc4fc012p-13, 0x1.1378f5a88a716p-13, 0x1.12c9a85ae1516p-13, 0x1.120e2cedde3f3p-13, 0x1.1146bb54f41fep-13, 0x1.10738b610612cp-13, 0x1.0f94d4bcfea55p-13, 0x1.0eaaceea1b5e3p-13, 0x1.0db5b13bba2ddp-13, 0x1.0cb5b2d43c4b4p-13, 0x1.0bab0aa189978p-13, 0x1.0a95ef5916cdp-13, 0x1.0976977567c9fp-13, 0x1.084d39328ca52p-13, 0x1.071a0a8a95c12p-13, 0x1.05dd4133032c3p-13, 0x1.0497129a10df9p-13, 0x1.0347b3e315348p-13, 0x1.01ef59e43bed6p-13, 0x1.008e3923ee61p-13, 0x1.fe490bac4a42cp-14, 0x1.fb64e7b334388p-14, 0x1.f8706d6b6a5c1p-14, 0x1.f56c0330bef9cp-14, 0x1.f2580ea616871p-14, 0x1.ef34f4b274d51p-14, 0x1.ec03197ca5932p-14, 0x1.e8c2e065efd35p-14, 0x1.e574ac0765e3ap-14, 0x1.e218de2e76342p-14, 0x1.deafd7d84d97dp-14, 0x1.db39f92edd42dp-14, 0x1.d7b7a1861c3a5p-14, 0x1.d4292f5869641p-14, 0x1.d08f0042c426bp-14, 0x1.cce97103dcd27p-14, 0x1.c938dd77f161dp-14, 0x1.c57da096da7a2p-14, 0x1.c1b8147135706p-14, 0x1.bde8922ecd295p-14, 0x1.ba0f720bd7ef1p-14, 0x1.b62d0b56e2377p-14, 0x1.b241b46ff677dp-14, 0x1.ae4dc2c596864p-14, 0x1.aa518ad358b7ap-14, 0x1.a64d6020e9decp-14, 0x1.a241954092fefp-14, 0x1.9e2e7bcd5006ap-14, 0x1.9a14646aa0cadp-14, 0x1.95f39ec29a5a4p-14, 0x1.91cc79858dd1bp-14, 0x1.8d9f42684a806p-14, 0x1.896c46249105p-14, 0x1.8533d07805444p-14, 0x1.80f62c2301c02p-14, 0x1.7cb3a2e957ce3p-14, 0x1.786c7d90c3ff7p-14, 0x1.742103e16dd8bp-14, 0x1.6fd17ca57ca37p-14, 0x1.6b7e2da923ad7p-14, 0x1.67275bbaff3d5p-14, 0x1.62cd4aab10438p-14, 0x1.5e703d4c3c99bp-14, 0x1.5a107573b94f8p-14, 0x1.55ae33f984156p-14, 0x1.5149b8b960e12p-14, 0x1.4ce3429321a05p-14, 0x1.487b0f6a515f6p-14, 0x1.44115c282c82cp-14, 0x1.3fa664bb2bdccp-14, 0x1.3b3a64191228cp-14, 0x1.36cd943e7e83fp-14, 0x1.32602e30a2b7bp-14, 0x1.2df269fe4a988p-14, 0x1.29847ebfdb7bap-14, 0x1.2516a2998e5ecp-14, 0x1.20a90abc34fcp-14, 0x1.1c3beb6632917p-14, 0x1.17cf77e500a0ep-14, 0x1.1363e296551d3p-14, 0x1.0ef95ce9c11adp-14, 0x1.0a90176165234p-14, 0x1.06284193bf467p-14, 0x1.01c20a2d7396ep-14, 0x1.fabb3de62c8a4p-15, 0x1.f1f65982cb9e5p-15, 0x1.e935bf1f96d42p-15, 0x1.e079c4e44fa1dp-15, 0x1.d7c2bf3440b57p-15, 0x1.cf1100b21b4f2p-15, 0x1.c664da42807dep-15, 0x1.bdbe9b113a271p-15, 0x1.b51e90930f0a2p-15, 0x1.ac8506898f2b3p-15, 0x1.a3f247083684p-15, 0x1.9b669a771e9b6p-15, 0x1.92e2479676a13p-15, 0x1.8a6593830b32ap-15, 0x1.81f0c1bac4c0cp-15, 0x1.7984141f787fdp-15, 0x1.711fcafa25c9bp-15, 0x1.68c424ffe6b9dp-15, 0x1.60715f576f767p-15, 0x1.5827b59b57a82p-15, 0x1.4fe761ddd146fp-15, 0x1.47b09cad63877p-15, 0x1.3f839d19e531dp-15, 0x1.376098b7fed46p-15, 0x1.2f47c3a484f84p-15, 0x1.2739508a0fea4p-15, }}, 
      {{-0x1.116ee547001afp-1, -0x1.1175f66ab02b3p-1, -0x1.11818d347e7a4p-1, -0x1.119185b072ff3p-1, -0x1.11a5cd8e37969p-1, -0x1.11be678b8a60bp-1, -0x1.11db6a078e719p-1, -0x1.11fcfb22e66c9p-1, -0x1.12234be032911p-1, -0x1.124e9320ba375p-1, -0x1.127f08f92c482p-1, -0x1.12b4e29e37674p-1, -0x1.12f04f035d34ep-1, -0x1.1331742fcc2edp-1, -0x1.13786d3fd79a2p-1, -0x1.13c54902950c1p-1, -0x1.1418091fea234p-1, -0x1.1470a1b282551p-1, -0x1.14cef941ce404p-1, -0x1.1532e9099e834p-1, -0x1.159c3d7ed211fp-1, -0x1.160ab7029b29bp-1, -0x1.167e0ab7e41d7p-1, -0x1.16f5e370498c4p-1, -0x1.1771e2a7e7022p-1, -0x1.17f1a188c2219p-1, -0x1.1874b1f0055aep-1, -0x1.18fa9f706f843p-1, -0x1.1982f04e5e0dp-1, -0x1.1a0d2672bc3a7p-1, -0x1.1a98c052d074fp-1, -0x1.1b2539cb8481ep-1, -0x1.1bb20cef35abep-1, -0x1.1c3eb2c58c6d8p-1, -0x1.1ccaa3fd1eb3dp-1, -0x1.1d55598eea5cbp-1, -0x1.1dde4d53e11b7p-1, -0x1.1e64fa8ce7a14p-1, -0x1.1ee8de5dc364fp-1, -0x1.1f69783b8948p-1, -0x1.1fe64a4f2e0f3p-1, -0x1.205ed9ccdbdbp-1, -0x1.20d2af40bbe1fp-1, -0x1.214156d1e10cfp-1, -0x1.21aa607bfe1afp-1, -0x1.220d60408e329p-1, -0x1.2269ee5017032p-1, -0x1.22bfa72c1bf7dp-1, -0x1.230e2bc25e66p-1, -0x1.23552181f4d05p-1, -0x1.2394326ac4009p-1, -0x1.23cb0d17d6a72p-1, -0x1.23f964c50f16cp-1, -0x1.241ef1509d8a8p-1, -0x1.243b6f38aa3bcp-1, -0x1.244e9f958ec2bp-1, -0x1.24584810fcdf4p-1, -0x1.245832da6408ep-1, -0x1.244e2e98e4b4ep-1, -0x1.243a0e5b1743ep-1, -0x1.241ba984e8c46p-1, -0x1.23f2dbbbc9955p-1, -0x1.23bf84d164a86p-1, -0x1.238188ad12da6p-1, -0x1.2338cf3437047p-1, -0x1.22e54431aefa4p-1, -0x1.2286d73c7cdc3p-1, -0x1.221d7b9dcdaf4p-1, -0x1.21a928367c74ap-1, -0x1.2129d7642de69p-1, -0x1.209f86e61e5cdp-1, -0x1.200a37c1b9d0cp-1, -0x1.1f69ee2713c69p-1, -0x1.1ebeb155500ap-1, -0x1.1e088b7f0e7f2p-1, -0x1.1d4789aeea15p-1, -0x1.1c7bbbac16817p-1, -0x1.1ba533df2a68ap-1, -0x1.1ac40737207dfp-1, -0x1.19d84d0e994c3p-1, -0x1.18e21f11651e2p-1, -0x1.17e1992260259p-1, -0x1.16d6d941a49d9p-1, -0x1.15c1ff731a623p-1, -0x1.14a32da5697d2p-1, -0x1.137a87995211dp-1, -0x1.124832c970ecp-1, -0x1.110c565270068p-1, -0x1.0fc71adba9a41p-1, -0x1.0e78aa803d186p-1, -0x1.0d2130b899a81p-1, -0x1.0bc0da4480d04p-1, -0x1.0a57d51580673p-1, -0x1.08e65039e5e76p-1, -0x1.076c7bc82bfefp-1, -0x1.05ea88cae3ec8p-1, -0x1.0460a92d18e89p-1, -0x1.02cf0fa72f946p-1, -0x1.0135efac408efp-1, -0x1.ff2afaafde8fcp-2, -0x1.fbdbdab9754c7p-2, -0x1.f87ee9e59137dp-2, -0x1.f514938e5a9e3p-2, -0x1.f19d43d753579p-2, -0x1.ee19678dca34ap-2, -0x1.ea896c0a3b09ep-2, -0x1.e6edbf129dfb6p-2, -0x1.e346cebda598dp-2, -0x1.df950956e5314p-2, -0x1.dbd8dd43e03f4p-2, -0x1.d812b8ea004adp-2, -0x1.d4430a956e9c1p-2, -0x1.d06a4060ceac3p-2, -0x1.cc88c81dd8018p-2, -0x1.c89f0f3ecb11ep-2, -0x1.c4ad82c0c27c3p-2, -0x1.c0b48f16d59bp-2, -0x1.bcb4a01614cb3p-2, -0x1.b8ae20e25072ap-2, -0x1.b4a17bdbb2b11p-2, -0x1.b08f1a8d20bdap-2, -0x1.ac77659b64d09p-2, -0x1.a85ac4b51ae2cp-2, -0x1.a4399e835fd23p-2, -0x1.a014589b3e84bp-2, -0x1.9beb576fd5c32p-2, -0x1.97befe4535eaep-2, -0x1.938faf23f20ffp-2, -0x1.8f5dcacd617bdp-2, -0x1.8b29b0b08cb29p-2, -0x1.86f3bedfc58d1p-2, -0x1.82bc5206e27e5p-2, -0x1.7e83c5621d745p-2, -0x1.7a4a72b5917dfp-2, -0x1.7610b245510d1p-2, -0x1.71d6dace15b78p-2, -0x1.6d9d417e83bd3p-2, -0x1.696439f0fabc8p-2, -0x1.652c1625f7f96p-2, -0x1.60f5267efb441p-2, -0x1.5cbfb9b9f6696p-2, -0x1.588c1ced3bbd9p-2, -0x1.545a9b83eae0dp-2, -0x1.502b7f3ad8a84p-2, -0x1.4bff101ded567p-2, -0x1.47d59485f8b17p-2, -0x1.43af5116f087ep-2, -0x1.3f8c88bea2p-2, -0x1.3b6d7cb3c64c1p-2, -0x1.37526c7582ae7p-2, -0x1.333b95cb44697p-2, -0x1.2f2934c4ff333p-2, -0x1.2b1b83bbc723cp-2, -0x1.2712bb52c0671p-2, -0x1.230f12786521ep-2, -0x1.1f10be681cb42p-2, -0x1.1b17f2ac2306bp-2, -0x1.1724e11fb4e5dp-2, -0x1.1337b9f18e29p-2, -0x1.0f50aba6a259ap-2, -0x1.0b6fe31d208e7p-2, -0x1.07958b8faf926p-2, -0x1.03c1ce98e960cp-2, -0x1.ffe9a86e1cf75p-3, -0x1.f85d859fe5c1p-3, -0x1.f0df7e6a2fb05p-3, -0x1.e96fd94ffd069p-3, -0x1.e20ed9bd44d92p-3, -0x1.dabcc01049d8ap-3, -0x1.d379c9a336953p-3, -0x1.cc4630d6161ecp-3, -0x1.c5222d1907948p-3, -0x1.be0df2f6bd59dp-3, -0x1.b709b41f3658cp-3, -0x1.b0159f72b5b8cp-3, -0x1.a931e10cee7aap-3, -0x1.a25ea2505e947p-3, -0x1.9b9c09f1dc30bp-3, -0x1.94ea3c04453b5p-3, -0x1.8e495a045cac3p-3, -0x1.87b982e4c153cp-3, -0x1.813ad31a08b85p-3, -0x1.7acd64a6eff06p-3, -0x1.74714f28a0b87p-3, -0x1.6e26a7e31471p-3, -0x1.67ed81cd763aep-3, -0x1.61c5ed9ea058ap-3, -0x1.5baff9d99df5cp-3, -0x1.55abb2da2dceep-3, -0x1.4fb922e1512a9p-3, -0x1.49d85221d58b4p-3, -0x1.440946cce0233p-3, -0x1.3e4c051e723f3p-3, -0x1.38a08f69e788ep-3, -0x1.3306e6266b7dap-3, -0x1.2d7f07fb60d2p-3, -0x1.2808f1ccc1cc3p-3, -0x1.22a49ec7663adp-3, -0x1.1d52086d3fbfp-3, -0x1.181126a180188p-3, -0x1.12e1efb4a893dp-3, -0x1.0dc4587081b7cp-3, -0x1.08b85423fcf5fp-3, -0x1.03bdd4aef9542p-3, -0x1.fda9951bd2995p-4, -0x1.f3fa49cac8e61p-4, -0x1.ea6da31b187a2p-4, -0x1.e1037a3ac1ec7p-4, -0x1.d7bba5ebc9205p-4, -0x1.ce95fa9a55f43p-4, -0x1.c5924a7275f15p-4, -0x1.bcb065759ea6bp-4, -0x1.b3f0198feeec2p-4, -0x1.ab5132ad0da19p-4, -0x1.a2d37accd1e53p-4, -0x1.9a76ba1788c54p-4, -0x1.923ab6f1fe408p-4, -0x1.8a1f361120f2p-4, -0x1.8223fa8d60f3ep-4, -0x1.7a48c5f5b5ea8p-4, -0x1.728d5862509efp-4, -0x1.6af17086f7cddp-4, -0x1.6374cbc51166p-4, -0x1.5c17263d515adp-4, -0x1.54d83ae1159a8p-4, -0x1.4db7c383681edp-4, -0x1.46b578e9aa9dcp-4, -0x1.3fd112dbecb9cp-4, -0x1.390a4834e54fcp-4, -0x1.3260cef199703p-4, -0x1.2bd45c40a836bp-4, -0x1.2564a491417dap-4, -0x1.1f115ba1c2d8p-4, -0x1.18da348dfeb28p-4, -0x1.12bee1dd2d41p-4, -0x1.0cbf158f84c15p-4, -0x1.06da812b7e2e7p-4, -0x1.0110d5cac2578p-4, -0x1.f6c3884d8781fp-5, -0x1.eb99f94a060c5p-5, -0x1.e0a45ec5fe472p-5, -0x1.d5e21883a5ca8p-5, -0x1.cb5285e301c37p-5, -0x1.c0f505f7da996p-5, -0x1.b6c8f79f09824p-5, -0x1.accdb9932d091p-5, -0x1.a302aa80bbbb4p-5, -0x1.996729197827cp-5, -0x1.8ffa94274dedp-5, -0x1.86bc4a9e9505bp-5, -0x1.7dababafbe246p-5, -0x1.74c816d862d77p-5, -0x1.6c10ebf3d5f4ap-5, -0x1.63858b4b0bd63p-5, -0x1.5b2555a404fccp-5, -0x1.52efac50a219cp-5, -0x1.4ae3f13cf808p-5, -0x1.430186fd0e95bp-5, -0x1.3b47d0da24838p-5, -0x1.33b632df6aff1p-5, -0x1.2c4c11e641666p-5, -0x1.2508d3a1ef356p-5, -0x1.1debdeaae383ap-5, -0x1.16f49a897b78ap-5, -0x1.10226fc04df4fp-5, -0x1.0974c7d5ff412p-5, -0x1.02eb0d5eaa20ap-5, -0x1.f90958099c32cp-6, -0x1.ec822123a4d82p-6, -0x1.e03f51ec3cdf8p-6, -0x1.d43fc8a18bd44p-6, -0x1.c88265ed9e087p-6, -0x1.bd060cf41d64p-6, -0x1.b1c9a35f4e50ep-6, -0x1.a6cc116c48534p-6, -0x1.9c0c41f66830fp-6, -0x1.918922821449ap-6, -0x1.8741a346c9f94p-6, -0x1.7d34b7387b0ebp-6, -0x1.7361541039eddp-6, -0x1.69c6725442709p-6, -0x1.60630d5f6b7cdp-6, -0x1.57362367ece71p-6, -0x1.4e3eb58582c81p-6, -0x1.457bc7b7187dbp-6, -0x1.3cec60e7c5dc4p-6, -0x1.348f8af34d01bp-6, -0x1.2c6452aa0ef0fp-6, -0x1.2469c7d46feb9p-6, -0x1.1c9efd35cb342p-6, -0x1.1503088eda149p-6, -0x1.0d95029fabb4bp-6, -0x1.065407291fb03p-6, -0x1.fe7e69dbf10c8p-7, -0x1.f0ab5b66e89abp-7, -0x1.e32d2c83018afp-7, -0x1.d6022cc51f6edp-7, -0x1.c928b1c5eb9f8p-7, -0x1.bc9f171ff98c5p-7, -0x1.b063be6d13b57p-7, -0x1.a4750f42ec6e8p-7, -0x1.98d1772f1eb55p-7, -0x1.8d7769b27ae38p-7, -0x1.8265603bbe31ep-7, -0x1.7799da21bee72p-7, -0x1.6d135c9cee3bfp-7, -0x1.62d072c05e653p-7, -0x1.58cfad72401adp-7, -0x1.4f0fa363d1f96p-7, -0x1.458ef108e4157p-7, -0x1.3c4c388ee2aa6p-7, -0x1.334621d36b8d3p-7, -0x1.2a7b5a5a7c9a1p-7, -0x1.21ea95443ad51p-7, -0x1.19928b4253a5bp-7, -0x1.1171fa8d0a9dap-7, -0x1.0987a6d7e6476p-7, -0x1.01d259461fbccp-7, -0x1.f4a1c0bd58b01p-8, -0x1.e6041ffff36b2p-8, -0x1.d7c982a70acbep-8, -0x1.c9efa58215046p-8, -0x1.bc744fc33fd24p-8, -0x1.af5552e4ea797p-8, -0x1.a2908a8ed5273p-8, -0x1.9623dc7af7abcp-8, -0x1.8a0d3859ebd54p-8, -0x1.7e4a97b706721p-8, -0x1.72d9fddc43da5p-8, -0x1.67b977b5c1a1ap-8, -0x1.5ce71bb4ff6d6p-8, -0x1.526109b3fedcp-8, -0x1.48256ad826e86p-8, -0x1.3e327174d90c8p-8, -0x1.348658ee30558p-8, -0x1.2b1f659b46de5p-8, -0x1.21fbe4a87e1adp-8, -0x1.191a2bf9d18d9p-8, -0x1.10789a0cd98cep-8, -0x1.081595daf56fep-8, -0x1.ffdf1d76b0eb9p-9, -0x1.f009f88a3fee3p-9, -0x1.e0a8bc62a232fp-9, -0x1.d1b87879c80d9p-9, -0x1.c3364c15beee5p-9, -0x1.b51f660d0fde9p-9, -0x1.a771048b119abp-9, -0x1.9a2874d4c5b87p-9, -0x1.8d43130d3b141p-9, -0x1.80be49facbcabp-9, -0x1.749792cc2beabp-9, -0x1.68cc74ddf90e9p-9, -0x1.5d5a85807701p-9, -0x1.523f67bda1f2cp-9, -0x1.4778cc1fb146cp-9, -0x1.3d047077a1b0cp-9, -0x1.32e01fa45c635p-9, -0x1.2909b15a32af8p-9, -0x1.1f7f09eacd9c1p-9, -0x1.163e1a0d5f5a3p-9, -0x1.0d44dea799c2bp-9, -0x1.04916096a8c3cp-9, -0x1.f84368f1971ebp-10, -0x1.e7e7f4ef28d78p-10, -0x1.d80cbc24c2bf2p-10, -0x1.c8ae2bd2fee17p-10, -0x1.b9c8c713a33ccp-10, -0x1.ab592671e408p-10, -0x1.9d5bf7837f44fp-10, -0x1.8fcdfc833c1b1p-10, -0x1.82ac0bec425f6p-10, -0x1.75f3101696d79p-10, -0x1.69a006d4eee33p-10, -0x1.5db001137ab84p-10, -0x1.52202277ebff8p-10, -0x1.46eda10276648p-10, -0x1.3c15c4afe99efp-10, -0x1.3195e71d2402dp-10, -0x1.276b732bff5d9p-10, -0x1.1d93e4a8a6893p-10, -0x1.140cc7f0c61fep-10, -0x1.0ad3b99be78d5p-10, -0x1.01e666248bfa2p-10, -0x1.f28513258f6c3p-11, -0x1.e1cbde4fe5363p-11, -0x1.d19ce217749d2p-11, -0x1.c1f3eff43959p-11, -0x1.b2ccf5e6034e4p-11, -0x1.a423fdd55aa5dp-11, -0x1.95f52cf74f7e5p-11, -0x1.883cc332f5745p-11, -0x1.7af71a8a01ef6p-11, -0x1.6e20a6830b04p-11, -0x1.61b5f397194a2p-11, -0x1.55b3a6a0c80bdp-11, -0x1.4a167c4dec649p-11, -0x1.3edb48947042cp-11, -0x1.33fef627fed31p-11, -0x1.297e85f35397dp-11, -0x1.1f570e92a947bp-11, -0x1.1585bbd185fcap-11, -0x1.0c07ce2a39fcp-11, -0x1.02da9a47bb53ap-11, -0x1.f3f7111399788p-12, -0x1.e2d0291771defp-12, -0x1.d23b9958b0aa3p-12, -0x1.c234a33258c91p-12, -0x1.b2b6abb55c583p-12, -0x1.a3bd3ac80b48p-12, -0x1.9543fa475c3e2p-12, -0x1.8746b52e1b117p-12, -0x1.79c156bf13895p-12, -0x1.6cafe9b523854p-12, -0x1.600e9774a450ep-12, -0x1.53d9a743ceff8p-12, -0x1.480d7d83e2e29p-12, -0x1.3ca69af0ec0dfp-12, -0x1.31a19be4da576p-12, -0x1.26fb379d8e49bp-12, -0x1.1cb03f86fcbbep-12, -0x1.12bd9e8acdb9dp-12, -0x1.09205860a2f61p-12, -0x1.ffab11c943edcp-13, -0x1.edb4c6dff0efp-13, -0x1.dc58646abc68ap-13, -0x1.cb90ab42d9e5ep-13, -0x1.bb58877db6c58p-13, -0x1.abab0f3978349p-13, -0x1.9c838171f4cbep-13, -0x1.8ddd44dea7e9bp-13, -0x1.7fb3e6d1e5b43p-13, -0x1.72031a21dc82ep-13, -0x1.64c6b6180f9bfp-13, -0x1.57fab564921bbp-13, -0x1.4b9b351ada203p-13, -0x1.3fa473b284c2ap-13, -0x1.3412d00cbf043p-13, -0x1.28e2c883e91fep-13, -0x1.1e10f9fc6de79p-13, -0x1.139a1efe2e15bp-13, -0x1.097b0ed0a046ep-13, -0x1.ff61793e31a23p-14, -0x1.ec706d4178507p-14, -0x1.da1d4a8f71b3p-14, -0x1.c86294e56ac0ep-14, -0x1.b73b014a265d8p-14, -0x1.a6a1748b8fb3ep-14, -0x1.969101bf57fcfp-14, -0x1.8704e8d36a3b3p-14, -0x1.77f89521fc00bp-14, -0x1.69679c1254dedp-14, -0x1.5b4dbbc1cea28p-14, -0x1.4da6d9b85bf73p-14, -0x1.406f01a1799ebp-14, -0x1.33a2640e6ca02p-14, -0x1.273d5545de4bfp-14, -0x1.1b3c4c15f7c34p-14, -0x1.0f9be0af0e91fp-14, -0x1.0458cb8c2fbd6p-14, -0x1.f2dfc8b0f75ap-15, -0x1.ddbc41ccc4e67p-15, -0x1.c941285259988p-15, -0x1.b568da6f8dd0ep-15, -0x1.a22deca89c7e4p-15, -0x1.8f8b27f8779b9p-15, -0x1.7d7b8805847ebp-15, -0x1.6bfa39535ae69p-15, -0x1.5b02978d23a2dp-15, -0x1.4a902bdd5486bp-15, -0x1.3a9eab48ea3bdp-15, -0x1.2b29f5213fe89p-15, -0x1.1c2e1178d60a7p-15, -0x1.0da72fac92c7dp-15, -0x1.ff2349dd97a62p-16, -0x1.e3d3d5c63ad73p-16, -0x1.c9593c97a6694p-16, -0x1.afacfb617fe35p-16, -0x1.96c8d03a17703p-16, -0x1.7ea6b7c6b6c64p-16, -0x1.6740ead97e3bap-16, -0x1.5091dc2359521p-16, -0x1.3a9435f1099c7p-16, -0x1.2542d807510d2p-16, -0x1.1098d582a830ap-16, -0x1.f922e5a6a7a12p-17, -0x1.d250478e850dcp-17, -0x1.acb1134e843b3p-17, -0x1.883ce2aea819bp-17, -0x1.64eba3236d97ep-17, -0x1.42b592687f1f8p-17, -0x1.21933b285c4fp-17, -0x1.017d71c8964cfp-17, -0x1.c4daa295ba1d8p-18, -0x1.88b870bcd76ffp-18, -0x1.4e878ce41897cp-18, -0x1.163bb1e02c14dp-18, -0x1.bf92221d4b1c5p-19, -0x1.56489a9f5d5efp-19, -0x1.e109d761524c5p-20, -0x1.1c6405d241295p-20, -0x1.79dc9eda6cf79p-22, 0x1.638f8745cb897p-22, 0x1.09d2cd06b6f87p-20, 0x1.b479f7ecdd58cp-20, 0x1.2c7e3c13c4321p-19, 0x1.7bbe15240fbabp-19, 0x1.c80ce0558e65ep-19, 0x1.08bd34710793cp-18, 0x1.2c0af95291326p-18, 0x1.4df7206390a44p-18, 0x1.6e88ce09166b1p-18, 0x1.8dc6ec68a071dp-18, 0x1.abb82e4ec5b8dp-18, 0x1.c86311fbcbb66p-18, 0x1.e3cde3c556b69p-18, 0x1.fdfec0ad0cf64p-18, 0x1.0b7dcc55efac9p-17, 0x1.1765188ff593fp-17, 0x1.22b81384133adp-17, 0x1.2d79789151659p-17, 0x1.37abf0f089d89p-17, 0x1.415214bb430cbp-17, 0x1.4a6e6bd309c36p-17, 0x1.53036ebdf462dp-17, 0x1.5b13877ed86a5p-17, 0x1.62a112691d1a4p-17, 0x1.69ae5ee6a4715p-17, 0x1.703db028f4cd3p-17, 0x1.76513dd9f8c31p-17, 0x1.7beb34c731fep-17, 0x1.810db783615d2p-17, 0x1.85badef9bba2p-17, 0x1.89f4baf8bf208p-17, 0x1.8dbd52c8e47fcp-17, 0x1.9116a59e43429p-17, 0x1.9402ab14efb5p-17, 0x1.9683539dd7eadp-17, 0x1.989a88f53fac4p-17, 0x1.9a4a2e858e1dbp-17, 0x1.9b9421c38c774p-17, 0x1.9c7a3a898e96bp-17, 0x1.9cfe4b68f11d2p-17, 0x1.9d2221f891a63p-17, 0x1.9ce787210dbe5p-17, 0x1.9c503f5da599cp-17, 0x1.9b5e0b02bff34p-17, 0x1.9a12a6742d4f3p-17, 0x1.986fca5847157p-17, 0x1.96772bd1c3142p-17, 0x1.942a7ca42f9b1p-17, 0x1.918b6b6eea1b3p-17, 0x1.8e9ba3c80c2e9p-17, 0x1.8b5cce6ac609cp-17, 0x1.87d0914f414bp-17, 0x1.83f88fc8fd1bap-17, 0x1.7fd66aa123e5bp-17, 0x1.7b6bc0381a088p-17, 0x1.76ba2c8e024f8p-17, 0x1.71c3495e21264p-17, 0x1.6c88ae2a48b12p-17, 0x1.670bf049bf886p-17, 0x1.614ea2f5d15e5p-17, 0x1.5b52575174153p-17, 0x1.55189c76291a4p-17, 0x1.4ea2ff77fd7a9p-17, 0x1.47f30b6cb8389p-17, 0x1.410a4968de7c8p-17, 0x1.39ea407d1b10bp-17, 0x1.329475c0d938ep-17, 0x1.2b0a6c4e5b3d6p-17, 0x1.234da53cf3cc2p-17, 0x1.1b5f9f9badbd9p-17, 0x1.1341d86fdfc23p-17, 0x1.0af5caabe6164p-17, 0x1.027cef2b5b7e5p-17, 0x1.f3b17954c1014p-18, 0x1.e2154f80367d6p-18, 0x1.d02845a37775dp-18, 0x1.bded3c1fd9f8fp-18, 0x1.ab670ec432e22p-18, 0x1.989894b9841b4p-18, 0x1.8584a0720e33cp-18, 0x1.722dffa271055p-18, 0x1.5e977b1985b1ep-18, 0x1.4ac3d69d839a7p-18, 0x1.36b5d0e45e2b7p-18, 0x1.2270236de0781p-18, 0x1.0df5826d080c9p-18, 0x1.f2913962d1f49p-19, 0x1.c8d837281f617p-19, 0x1.9ec545a15d9dp-19, 0x1.745da0e6fa5c4p-19, 0x1.49a6797c00788p-19, 0x1.1ea4f3f8528b3p-19, 0x1.e6bc51cbb6d8cp-20, 0x1.8fae49335fd16p-20, 0x1.3829ce327ed38p-20, 0x1.c0718ecc54414p-21, 0x1.0fca03891c462p-21, 0x1.79c1817191a03p-23, -0x1.4e20a7a3413f3p-23, -0x1.060ca00f8c99bp-21, -0x1.b90a3d6ddd215p-21, -0x1.363739e5263a3p-20, -0x1.9013767dce404p-20, -0x1.ea10c587a1f3cp-20, -0x1.22131a4c28443p-19, -0x1.4f257722e3a47p-19, -0x1.7c3b1d298efd3p-19, -0x1.a94fbf029f2a5p-19, -0x1.d65f1e13a8164p-19, -0x1.01b285682e2a2p-18, -0x1.182eb26d7a7c8p-18, -0x1.2ea20d895387ap-18, -0x1.450a95e57fa6ap-18, -0x1.5b665269af688p-18, -0x1.71b351d2d1b1ep-18, -0x1.87efaaaeac2ebp-18, -0x1.9e197b7132b9fp-18, -0x1.b42eea8233edp-18, -0x1.ca2e26453f58ap-18, -0x1.e015652bbed2bp-18, -0x1.f5e2e5b756a0fp-18, -0x1.05ca7743bd576p-17, -0x1.1094e72a88f95p-17, -0x1.1b4fedfbd69ccp-17, -0x1.25fabb3e03244p-17, -0x1.3094828eaa565p-17, -0x1.3b1c7ba5ac54bp-17, -0x1.4591e25936322p-17, -0x1.4ff3f69c54c29p-17, -0x1.5a41fc82ddeacp-17, -0x1.647b3c3825491p-17, -0x1.6e9f020a76dc6p-17, -0x1.78ac9e62dac15p-17, -0x1.82a365ca6cd99p-17, -0x1.8c82b0e875afbp-17, -0x1.9649dc7f64912p-17, -0x1.9ff8496ccb3bap-17, -0x1.a98d5ca4d72d5p-17, -0x1.b3087f2c11f72p-17, -0x1.bc691e1da9901p-17, -0x1.c5aeaaa454288p-17, -0x1.ced899f3ce316p-17, -0x1.d7e6654a79699p-17, -0x1.e0d789e9d0481p-17, -0x1.e9ab8914c12b4p-17, -0x1.f261e804a5bp-17, -0x1.fafa2fe7e5f03p-17, -0x1.01b9f6efebe04p-16, -0x1.05e7597abcc0dp-16, -0x1.0a050a0c880ffp-16, -0x1.0e12d50d0477dp-16, -0x1.121088d0017c6p-16, -0x1.15fdf592d932ep-16, -0x1.19daed75f9d07p-16, -0x1.1da7447ce4f21p-16, -0x1.2162d088f4c7ap-16, -0x1.250d6956b269ep-16, -0x1.28a6e877f602fp-16, -0x1.2c2f29519a186p-16, -0x1.2fa60917c1805p-16, -0x1.330b66c7394e6p-16, -0x1.365f2322888bep-16, -0x1.39a120ad3940ap-16, -0x1.3cd143a841b73p-16, -0x1.3fef720c520a9p-16, -0x1.42fb938672046p-16, -0x1.45f59172b2d3ep-16, -0x1.48dd56d680ee9p-16, -0x1.4bb2d05e62e1cp-16, -0x1.4e75ec5510b3p-16, -0x1.51269aa00a89ep-16, -0x1.53c4ccbd47a6fp-16, -0x1.565075ba21179p-16, -0x1.58c98a3133d64p-16, -0x1.5b300041fb505p-16, -0x1.5d83cf8fec413p-16, -0x1.5fc4f138cd1f4p-16, -0x1.61f35fd08d18bp-16, -0x1.640f175e4339p-16, -0x1.66181553020d9p-16, -0x1.680e5886bab07p-16, -0x1.69f1e133a07adp-16, -0x1.6bc2b0ee4f559p-16, -0x1.6d80caa133058p-16, -0x1.6f2c3286bb813p-16, -0x1.70c4ee2661d9cp-16, -0x1.724b044a3bf03p-16, -0x1.73be7cfb5e846p-16, -0x1.751f617f22f89p-16, -0x1.766dbc4db39f1p-16, -0x1.77a9990e6ff3cp-16, -0x1.78d304909d458p-16, -0x1.79ea0cc86dc8fp-16, -0x1.7aeec0c7170e4p-16, -0x1.7be130b3c0a38p-16, -0x1.7cc16dcb8ee3dp-16, -0x1.7d8f8a56a0cafp-16, -0x1.7e4b99a2dfeffp-16, -0x1.7ef5b00272c31p-16, -0x1.7f8de2c27b4dp-16, -0x1.801448256ca98p-16, -0x1.8088f75eddb23p-16, -0x1.80ec088efb19fp-16, -0x1.813d94bb8983dp-16, -0x1.817db5c993195p-16, -0x1.81ac867864eap-16, -0x1.81ca225ede0d2p-16, -0x1.81d6a5e24beb7p-16, -0x1.81d22e32fbdd8p-16, -0x1.81bcd94616dfcp-16, -0x1.8196c5d132aa5p-16, -0x1.81601343955a5p-16, -0x1.8118e1c1aec28p-16, -0x1.80c1522246665p-16, -0x1.805985e5b6e28p-16, -0x1.7fe19f314d4c2p-16, -0x1.7f59c0cc6f3f5p-16, -0x1.7ec20e19ceae2p-16, -0x1.7e1aab11ecc17p-16, -0x1.7d63bc3e9a5dbp-16, -0x1.7c9d66b7a9759p-16, -0x1.7bc7d01d1a2b4p-16, -0x1.7ae31e9128f4cp-16, -0x1.79ef78b3c734p-16, -0x1.78ed059e13165p-16, -0x1.77dbece005d32p-16, -0x1.76bc567764dbep-16, -0x1.758e6aced12fbp-16, -0x1.745252b687276p-16, -0x1.73083761afcp-16, -0x1.71b04260c19d7p-16, -0x1.704a9d9f88a2fp-16, -0x1.6ed7735ed7dc3p-16, -0x1.6d56ee2fa8bb5p-16, -0x1.6bc938ef5f9d2p-16, -0x1.6a2e7ec47c63p-16, -0x1.6886eb191e0c4p-16, -0x1.66d2a997a0943p-16, -0x1.6511e626b3583p-16, -0x1.6344cce61f503p-16, -0x1.616b8a2a15db6p-16, -0x1.5f864a76ddf25p-16, -0x1.5d953a7dc6539p-16, -0x1.5b98871730c6dp-16, -0x1.59905d43d9f95p-16, -0x1.577cea246934cp-16, -0x1.555e5af8242fap-16, -0x1.5334dd1757fccp-16, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      32, 0x1p+2, 0x1.d9aa061af1a4ap+1, 0x1.af68ced7b09bp+2, -0x1.027008cde7bc6p-5, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.607cdf79e323fp-4, -0x1.bda39353587cep-2, 0x1.9c459a3ac8471p-1, -0x1.0b4636a4d09c4p-1}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0f5691543684ap-4, -0x1.6f3196944d29p-2, 0x1.742e453ba8fc3p-1, -0x1.0b4698875fa5dp-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.9a26c9257e36dp-5, -0x1.28c445e68f5bcp-2, 0x1.4c16e18dc109ep-1, -0x1.0b4510fd23ecep-1}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.3031a12eb05c9p-5, -0x1.d4b739c4f8fb4p-3, 0x1.23ffb89afba68p-1, -0x1.0b4acd4383899p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.bb31330f740fdp-6, -0x1.67ef575d7c1acp-3, 0x1.f7cf66d4e9702p-2, -0x1.0b3563b440a1dp-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.3e4d41e8a3907p-6, -0x1.0b306c30a146fp-3, 0x1.a7a5c8eba2d98p-2, -0x1.0b854daaed2e2p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c69a98e0b8a86p-7, -0x1.7cf8731261902p-4, 0x1.5764319ec217fp-2, -0x1.0a5b0f5f7d005p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.478e605c16f21p-7, -0x1.03986544208c2p-4, 0x1.077c136882fe9p-2, -0x1.0eb41e9691d63p-1}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.e5432aa47866dp-8, -0x1.54e325138366cp-5, 0x1.6c8c1476ae7d3p-3, -0x1.dc556c4578178p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7642b42288222p-8, -0x1.bf4bff1818fa8p-6, 0x1.bb4b4e5d481dcp-4, -0x1.507ca42f38c0cp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2bd74fbcb6b8ap-8, -0x1.365b8d0cee76bp-6, 0x1.e2cdd7b518efcp-5, -0x1.a55b1d5082a96p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.eb7afab63f28ap-9, -0x1.de2804c69af34p-7, 0x1.cbfb25d661ddfp-6, -0x1.1b7b4933607ffp-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.93ea31844594ep-9, -0x1.932b44290d2aap-7, 0x1.21e4605127f85p-6, -0x1.5edb906b50e41p-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.48fdbb994e49cp-9, -0x1.5a819d474d7a6p-7, 0x1.14bc248054efdp-6, -0x1.b0235c25934acp-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.09022dd9e1919p-9, -0x1.26667db5991d1p-7, 0x1.e8a62e616d60fp-7, -0x1.51bef39ef2ecfp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a5b12eb5df63bp-10, -0x1.f0231713b1eabp-8, 0x1.b5fcbd0995bd7p-7, -0x1.516e59550e5cep-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4ae313acaa0cap-10, -0x1.9d99e0b07e6c2p-8, 0x1.835f62d66d2f1p-7, -0x1.37e8828ec5f29p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.ff3466ab681p-11, -0x1.54ce20ccdec18p-8, 0x1.54961c0dcf7e3p-7, -0x1.2523cf7d501dep-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.83eb7770ccdc9p-11, -0x1.1515c36bfcdc1p-8, 0x1.289d89bb0379ep-7, -0x1.108fca14f5a63p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.2067c04c050f3p-11, -0x1.bbb3629d28a81p-9, 0x1.ff7656d623a7dp-8, -0x1.f8efd4a6b2d0dp-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.a2c764e68737p-12, -0x1.5cfb798e6e72fp-9, 0x1.b3b8c3bd226f3p-8, -0x1.d07d8c9b5186cp-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.27af9360d7a3ap-12, -0x1.0cce2a471824bp-9, 0x1.6e0c550c3c9a8p-8, -0x1.a81d1b631baaap-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.93ea318445914p-13, -0x1.93ea30cc44657p-10, 0x1.2e6e5dbd5edadp-8, -0x1.7fb7d7665d4ffp-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.09022dd9e18ddp-13, -0x1.2674330b4518ap-10, 0x1.e9bf2e0f3b514p-9, -0x1.575407a8933fcp-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.4ae313acaa05p-14, -0x1.9d9bd93e66d0cp-11, 0x1.82bf9229758a6p-9, -0x1.2eef39b3896d1p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.83eb7770ccc41p-15, -0x1.1515e4cd11f78p-11, 0x1.27de340d32b6cp-9, -0x1.068cf05c79ffap-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.a2c764e6870e1p-16, -0x1.5cfb93d81e7a7p-12, 0x1.b234a4afb5d37p-10, -0x1.bc432589afc1p-9}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.93ea3184451bep-17, -0x1.93e993f6c0971p-13, 0x1.2ced4ca0011a1p-10, -0x1.6bb00322e13f9p-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.4ae313aca8ap-18, -0x1.9da070a3f2ec2p-14, 0x1.7fa430f7e175p-11, -0x1.1a20a61b5eeadp-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a2c764e684c02p-20, -0x1.5cd934953a06ap-15, 0x1.acbacdceea9bp-12, -0x1.987d359d1fad8p-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4ae313ac91fffp-22, -0x1.9f9bbae4f910bp-17, 0x1.6f45c1ae159adp-13, -0x1.c28e0cdc2a5cdp-11}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.4ae313ab2p-26, -0x1.61e8d4504c616p-20, 0x1.83c21b0e572p-15, -0x1.2d7c72a114e95p-10}, 
      }}, 
      0x1.1bb08ee46e67cp-6, -0x1.b5402850de0b4p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.da72d6119a574p-2, 0x1.05c6e650894d4p-1, 0x1.1e3ae190ff2efp-1, 0x1.2c316eb90455ep-1, 0x1.2a9c7a50aef8cp-1, 0x1.18e9268b58b47p-1, 0x1.f2da4ad5addefp-2, 0x1.9fe9d69357e83p-2, 0x1.4167bf5d4f576p-2, 0x1.be5ebd99f7244p-3, 0x1.ff580430807a6p-4, 0x1.4307c638e8e65p-5, -0x1.1de055a1fbc44p-5, -0x1.89ded744e6577p-4, -0x1.25f0f6bb268b1p-3, -0x1.6aa947a06d3e1p-3, -0x1.94a9cedea2bd6p-3, -0x1.a67b2c6fa0062p-3, -0x1.a33ff4b3dd7fcp-3, -0x1.8e68a844d925ap-3, -0x1.6b78263ebdaa1p-3, -0x1.3dd70abbf3dacp-3, -0x1.08b400bdcbcdcp-3, -0x1.9ddddb604dab6p-4, -0x1.2619d39901a6ap-4, -0x1.5ccc86247488bp-5, -0x1.d26f17285b933p-7, 0x1.9ae34b3db523ap-7, 0x1.30e136615083ap-5, 0x1.e6c29c19fbcaep-5, 0x1.4329c510bb24ep-4, 0x1.873b57ccd38d6p-4, 0x1.bf6b23b004587p-4, 0x1.ebe09e0ef6d62p-4, 0x1.0682b6a37397cp-3, 0x1.11bb61c79726bp-3, 0x1.17fc2b00b2421p-3, 0x1.19b47c362dad5p-3, 0x1.175c69ef9670cp-3, 0x1.1170905aa524p-3, 0x1.086ea7b903b6fp-3, 0x1.f9a57ee81ba35p-4, 0x1.de2a14475d929p-4, 0x1.bf5055d411b31p-4, 0x1.9deff11a14888p-4, 0x1.7ad13efac6dbbp-4, 0x1.56ac1c7624216p-4, 0x1.32274c9c15caap-4, 0x1.0dd85012d7a4bp-4, 0x1.d487273f3500bp-5, 0x1.8fb9adaee8646p-5, 0x1.4e0f84dcc76p-5, 0x1.1031559b1dcc8p-5, 0x1.ad55cf962aaf9p-6, 0x1.43da19d2aeeedp-6, 0x1.c93e56521b721p-7, 0x1.204d2c9bc99e8p-7, 0x1.1b1f63f8f7269p-8, 0x1.168b375ba90dfp-11, -0x1.502540b4996c7p-9, -0x1.45c9119d38061p-8, -0x1.b6f91e1813119p-8, -0x1.fca7137047bd9p-8, -0x1.0c13beefc4897p-7, -0x1.05898a98fb259p-7, -0x1.d73b8468c057ep-8, -0x1.7ea0f3da26c14p-8, -0x1.03686c02551bp-8, -0x1.9f4c4903ee27ep-10, 0x1.4727c25781dbep-10, 0x1.270c7880a0e6ap-8, 0x1.0ac5fc7b2b433p-7, 0x1.8d6f9ef79555ap-7, 0x1.0d285ad84f92bp-6, 0x1.581d959056187p-6, 0x1.a703a71416bd8p-6, 0x1.f94aaa2d2c50ap-6, 0x1.2733b350429d8p-5, 0x1.52e9efd85ced7p-5, 0x1.7f87e620c92bbp-5, 0x1.acd0774d43fc3p-5, 0x1.da89ad98c5baap-5, 0x1.043e68bd47c5cp-4, 0x1.1b3b3bde1e11cp-4, 0x1.322342ad86a9fp-4, 0x1.48e017658d2cp-4, 0x1.5f5cf6650e50ep-4, 0x1.7586b8a11d2c5p-4, 0x1.8b4bc8d7e1d98p-4, 0x1.a09c1aeebea5bp-4, 0x1.b5691d4c9ccd3p-4, 0x1.c9a5ac25357e7p-4, 0x1.dd4603bb20f11p-4, 0x1.f03fae776ae66p-4, 0x1.0144bc30610b6p-3, 0x1.0a0dadc5ed479p-3, 0x1.1277394109419p-3, 0x1.1a7e733f8b77cp-3, 0x1.2220efed811f5p-3, 0x1.295cbb675b9cbp-3, 0x1.30305183053b8p-3, 0x1.369a96fa143a8p-3, 0x1.3c9ad1a499b3cp-3, 0x1.4230a1cd249fbp-3, 0x1.475bfb800e054p-3, 0x1.4c1d204a88372p-3, 0x1.507496fdf2339p-3, 0x1.54632a2aecaa1p-3, 0x1.57e9ddad90f5ep-3, 0x1.5b09eadb5e2c1p-3, 0x1.5dc4be91da247p-3, 0x1.601beda0538f7p-3, 0x1.62113767e230ap-3, 0x1.63a67bcea169fp-3, 0x1.64ddbab82b904p-3, 0x1.65b90e52382ecp-3, 0x1.663aa7ebfcc61p-3, 0x1.6664cd28755e2p-3, 0x1.6639d3d6c0ab7p-3, 0x1.65bc1fe0d7483p-3, 0x1.64ee20604dca7p-3, 0x1.63d24c8af2614p-3, 0x1.626b2257cdf71p-3, 0x1.60bb23ea97b47p-3, 0x1.5ec4d539f705ep-3, 0x1.5c8abae2751f1p-3, 0x1.5a0f587dc71cdp-3, 0x1.57552eb00bb16p-3, 0x1.545eba69d42edp-3, 0x1.512e732502771p-3, 0x1.4dc6ca087f78ep-3, 0x1.4a2a28db28fb7p-3, 0x1.465af1cc30be9p-3, 0x1.425b7d61b409ap-3, 0x1.3e2e1a8cc4abap-3, 0x1.39d50e502921cp-3, 0x1.355292fd07ae1p-3, 0x1.30a8d707c00a1p-3, 0x1.2bd9fddaed163p-3, 0x1.26e81ee4c33d8p-3, 0x1.21d545699b3acp-3, 0x1.1ca36fc27c927p-3, 0x1.1754904bdc58cp-3, 0x1.11ea8ce51bce4p-3, 0x1.0c673e6e0d362p-3, 0x1.06cc707bae3c3p-3, 0x1.011be2c8be495p-3, 0x1.f6ae90df8516dp-4, 0x1.eb008e2c4f0c4p-4, 0x1.df30efce64eb8p-4, 0x1.d342d1019e346p-4, 0x1.c73933d508d36p-4, 0x1.bb17012a68b51p-4, 0x1.aedf09340b115p-4, 0x1.a294071299254p-4, 0x1.96389e2a1d9e8p-4, 0x1.89cf5969ba694p-4, 0x1.7d5aad835e4f6p-4, 0x1.70dcfaeb8bc95p-4, 0x1.64588c9c1dd4bp-4, 0x1.57cf975459af3p-4, 0x1.4b443abd44b2fp-4, 0x1.3eb88377964fdp-4, 0x1.322e6b97de705p-4, 0x1.25a7d8eb2e8acp-4, 0x1.19269dafb2d1p-4, 0x1.0cac7a87b59b6p-4, 0x1.003b1f574d568p-4, 0x1.e7a855665506p-5, 0x1.cef2529000848p-5, 0x1.b6572edece6c2p-5, 0x1.9dd9c410fb67ap-5, 0x1.857ccd8110d7ap-5, 0x1.6d42e919438ccp-5, 0x1.552e95bdd8b74p-5, 0x1.3d42356158965p-5, 0x1.25800f28e58f1p-5, 0x1.0dea5089c198ap-5, 0x1.ed061a26b4839p-6, 0x1.be987bae18094p-6, 0x1.908f84e6258abp-6, 0x1.62eec530abf4dp-6, 0x1.35b9a2e0e90d6p-6, 0x1.08f355b361e6fp-6, 0x1.b93dd381bf908p-7, 0x1.617e7a1985acbp-7, 0x1.0aae09639b766p-7, 0x1.69a34419eeaf1p-8, 0x1.7fb8711a45df1p-9, 0x1.81006933e2716p-12, -0x1.1b71b823e4085p-9, -0x1.31768c8e7b2fap-8, -0x1.d321a5c06d6abp-8, -0x1.39599ceb95d61p-7, -0x1.88126d9560e06p-7, -0x1.d5b8517439c9fp-7, -0x1.11244b7e5dddcp-6, -0x1.36e06429218abp-6, -0x1.5c0f4f5a3a8bdp-6, -0x1.80b00394fd4b8p-6, -0x1.a4c192da3829cp-6, -0x1.c8432c421521fp-6, -0x1.eb34197336856p-6, -0x1.06c9dd4220b8ap-5, -0x1.17b0c205415bp-5, -0x1.284e7fea16f1dp-5, -0x1.38a2e7741304cp-5, -0x1.48add51cea955p-5, -0x1.586f3013c22f9p-5, -0x1.67e6e8823d04p-5, -0x1.7714f7605f12cp-5, -0x1.85f95d7746b4cp-5, -0x1.949425f28b1b8p-5, -0x1.a2e5651f2f624p-5, -0x1.b0ed3814e06b1p-5, -0x1.beabc361b3463p-5, -0x1.cc2132648da7ap-5, -0x1.d94db77534bdep-5, -0x1.e6318c3af1c6p-5, -0x1.f2ccf1e559c42p-5, -0x1.ff2030d1679ffp-5, -0x1.0595cbc175419p-4, -0x1.0b77bcf6354fbp-4, -0x1.113618b7dfb5ap-4, -0x1.16d10e84918f4p-4, -0x1.1c48d0aa59bd4p-4, -0x1.219d943c33a2bp-4, -0x1.26cf90ddefea9p-4, -0x1.2bdf008dac406p-4, -0x1.30cc1f0f4f6e6p-4, -0x1.35972a6298371p-4, -0x1.3a4062a4c1a19p-4, -0x1.3ec809de709bp-4, -0x1.432e641f407eap-4, -0x1.4773b73db3d31p-4, -0x1.4b984aa7742f3p-4, -0x1.4f9c673a6d0cfp-4, -0x1.5380574ba9c58p-4, -0x1.5744669fd2646p-4, -0x1.5ae8e2657e5ccp-4, -0x1.5e6e190c1e852p-4, -0x1.61d45a32952b2p-4, -0x1.651bf68d0448fp-4, -0x1.68453fc6f61d2p-4, -0x1.6b50887446a0dp-4, -0x1.6e3e241798504p-4, -0x1.710e67110e5f8p-4, -0x1.73c1a680097bp-4, -0x1.7658382dc2fbp-4, -0x1.78d2729b499a3p-4, -0x1.7b30acb9f6c35p-4, -0x1.7d733e0704f33p-4, -0x1.7f9a7e911b0f1p-4, -0x1.81a6c6b39d882p-4, -0x1.83986f40e8941p-4, -0x1.856fd154c521cp-4, -0x1.872d4641a5d47p-4, -0x1.88d1278ff257bp-4, -0x1.8a5bcf01c355p-4, -0x1.8bcd96798884ep-4, -0x1.8d26d7e4fa15fp-4, -0x1.8e67ed47961f3p-4, -0x1.8f9130b9b489fp-4, -0x1.90a2fc4b52eafp-4, -0x1.919da9eaece3cp-4, -0x1.92819366a02a7p-4, -0x1.934f1275561aap-4, -0x1.940680ad68888p-4, -0x1.94a83775fde99p-4, -0x1.9534900163143p-4, -0x1.95abe33ee0711p-4, -0x1.960e89dd0941ap-4, -0x1.965cdc440dfb2p-4, -0x1.96973281ac3d4p-4, -0x1.96bde449d3a87p-4, -0x1.96d148d64af03p-4, -0x1.96d1b7350a1d7p-4, -0x1.96bf85e33e228p-4, -0x1.969b0b0323ad5p-4, -0x1.96649c4b941c9p-4, -0x1.961c8efcd8217p-4, -0x1.95c337ce43ba1p-4, -0x1.9558eaf7b94ep-4, -0x1.94ddfc2be6c02p-4, -0x1.9452be94301b3p-4, -0x1.93b784d19a3f7p-4, -0x1.930ca0fd3226fp-4, -0x1.925264a0eda47p-4, -0x1.918920b0548bp-4, -0x1.90b12584cf468p-4, -0x1.8fcac2e35be39p-4, -0x1.8ed647ebcce9p-4, -0x1.8dd4031c68467p-4, -0x1.8cc4424af4955p-4, -0x1.8ba752b026adap-4, -0x1.8a7d80e6af673p-4, -0x1.894718e2d6e42p-4, -0x1.880465eecdfap-4, -0x1.86b5b2a89abbdp-4, -0x1.855b48fc769f5p-4, -0x1.83f57223dd4cap-4, -0x1.828476a86a36p-4, -0x1.81089e666ec3cp-4, -0x1.7f823074fca2dp-4, -0x1.7df17360072d1p-4, -0x1.7c56acf330c57p-4, -0x1.7ab22245624b6p-4, -0x1.790417b0eb371p-4, -0x1.774cd0d30809dp-4, -0x1.758c9088e50b6p-4, -0x1.73c398f195f4p-4, -0x1.71f22b78c6633p-4, -0x1.701888dc9ffd2p-4, -0x1.6e36f1293801bp-4, -0x1.6c4da3b57da21p-4, -0x1.6a5cdf2282de1p-4, -0x1.6864e1527270bp-4, -0x1.6665e75a94dbep-4, -0x1.64602d8227cddp-4, -0x1.6253ef4ac5a6fp-4, -0x1.604167794d99ep-4, -0x1.5e28d0220a7eap-4, -0x1.5c0a62b0e5ec5p-4, -0x1.59e657ebb0757p-4, -0x1.57bce7ed3d9f1p-4, -0x1.558e4a158252bp-4, -0x1.535ab4f83dd5p-4, -0x1.51225e566e1dfp-4, -0x1.4ee57b1f0bbb6p-4, -0x1.4ca43f731fd8fp-4, -0x1.4a5edead8857ep-4, -0x1.48158b83ccd3dp-4, -0x1.45c87804a8733p-4, -0x1.4377d5acc5a47p-4, -0x1.4123d560aaca8p-4, -0x1.3ecca74d98a06p-4, -0x1.3c727aecbff41p-4, -0x1.3a157ee122133p-4, -0x1.37b5e0f3cd72p-4, -0x1.3553ce16388d9p-4, -0x1.32ef726bec432p-4, -0x1.3088f962a9b51p-4, -0x1.2e208dca3a562p-4, -0x1.2bb659e2155e5p-4, -0x1.294a875cc045dp-4, -0x1.26dd3f5a65627p-4, -0x1.246eaa59f4f4ap-4, -0x1.21fef024c94b4p-4, -0x1.1f8e37bb548b3p-4, -0x1.1d1ca74977a4ep-4, -0x1.1aaa642757049p-4, -0x1.183792e491441p-4, -0x1.15c4575c54212p-4, -0x1.1350d4cd56efp-4, -0x1.10dd2de7e93e6p-4, -0x1.0e6984d4c489ep-4, -0x1.0bf5fb342d512p-4, -0x1.0982b21680cfp-4, -0x1.070fc9ecb8937p-4, -0x1.049d6275eb0c1p-4, -0x1.022b9ab36f48ap-4, -0x1.ff7521cd995e6p-5, -0x1.fa94c52ccedcfp-5, -0x1.f5b6592fd03f5p-5, -0x1.f0da163a58101p-5, -0x1.ec00338cd285p-5, -0x1.e728e74b0302ep-5, -0x1.e254668ee3fc4p-5, -0x1.dd82e56387f96p-5, -0x1.d8b496bcce917p-5, -0x1.d3e9ac68e4777p-5, -0x1.cf2256fb678b4p-5, -0x1.ca5ec5c3656dbp-5, -0x1.c59f26c9c6e1bp-5, -0x1.c0e3a6d328acep-5, -0x1.bc2c7173bec5bp-5, -0x1.b779b1181da95p-5, -0x1.b2cb8f10ed9a9p-5, -0x1.ae22339e501fp-5, -0x1.a97dc5faa7819p-5, -0x1.a4de6c5c62545p-5, -0x1.a0444bf292de5p-5, -0x1.9baf88e0db89dp-5, -0x1.9720463c0272ep-5, -0x1.9296a607ef026p-5, -0x1.8e12c937f31cep-5, -0x1.8994cfb1993f5p-5, -0x1.851cd851bd225p-5, -0x1.80ab00f34221ap-5, -0x1.7c3f667526bc6p-5, -0x1.77da24bf59504p-5, -0x1.737b56c63f482p-5, -0x1.6f23168d3c80ap-5, -0x1.6ad17d29eaf2cp-5, -0x1.6686a2c86636bp-5, -0x1.62429eab57d45p-5, -0x1.5e05872b47579p-5, -0x1.59cf71b62d3d8p-5, -0x1.55a072dfd3e0dp-5, -0x1.51789e59f113bp-5, -0x1.4d5806f735543p-5, -0x1.493ebeb8c816ap-5, -0x1.452cd6c88ad2dp-5, -0x1.41225f7e098b4p-5, -0x1.3d1f68629675dp-5, -0x1.39240033c948dp-5, -0x1.353034e69031ap-5, -0x1.314413aa11ffbp-5, -0x1.2d5fa8eac29fcp-5, -0x1.298300559a6c9p-5, -0x1.25ae24dbae9adp-5, -0x1.21e120b50c5b4p-5, -0x1.1e1bfd645b20ap-5, -0x1.1a5ec3b8c555dp-5, -0x1.16a97bd1f9fdcp-5, -0x1.12fc2d22f967ep-5, -0x1.0f56de7844225p-5, -0x1.0bb995f4e087bp-5, -0x1.0824591729d9p-5, -0x1.04972cbc9e7fp-5, -0x1.0112152691f04p-5, -0x1.fb2a2bf985b8dp-6, -0x1.f440649cfb97bp-6, -0x1.ed66d92acb36bp-6, -0x1.e69d8d71faf71p-6, -0x1.dfe4842621e75p-6, -0x1.d93bbee4e2ea6p-6, -0x1.d2a33e3cfe99cp-6, -0x1.cc1b01b4af9aep-6, -0x1.c5a307cf034b4p-6, -0x1.bf3b4e109f5a1p-6, -0x1.b8e3d103716dbp-6, -0x1.b29c8c3a3ae4fp-6, -0x1.ac657a54a300ep-6, -0x1.a63e950495319p-6, -0x1.a027d515d3befp-6, -0x1.9a213276d7fdcp-6, -0x1.942aa440dbe46p-6, -0x1.8e4420bece5f7p-6, -0x1.886d9d76dc69p-6, -0x1.82a70f2f2ee51p-6, -0x1.7cf069f409be5p-6, -0x1.7749a1150fba9p-6, -0x1.71b2a724d6d1p-6, -0x1.6c2b6df6cdd7fp-6, -0x1.66b3e6a5ce55p-6, -0x1.614c0195cf5ep-6, -0x1.5bf3ae7a61989p-6, -0x1.56aadc64485ebp-6, -0x1.517179cfefd7fp-6, -0x1.4c4774aa96801p-6, -0x1.472cba7f99379p-6, -0x1.422138558ea81p-6, -0x1.3d24dab345dep-6, -0x1.38378dbffee82p-6, -0x1.33593d1b23b6p-6, -0x1.2e89d3d9122fbp-6, -0x1.29c93c84869bep-6, -0x1.251761044ebe5p-6, -0x1.20742ab75a7dep-6, -0x1.1bdf82710c3f5p-6, -0x1.1759508ffc22p-6, -0x1.12e17d1966183p-6, -0x1.0e77efd467728p-6, -0x1.0a1c9061b42d4p-6, -0x1.05cf464c1ab2p-6, -0x1.018ff910102a9p-6, -0x1.fabd202bdc8f1p-7, -0x1.f275e53a7f8fcp-7, -0x1.ea4a0f3aee347p-7, -0x1.e2396b487ec08p-7, -0x1.da43c56ef1bd6p-7, -0x1.d268e87fa590ap-7, -0x1.caa89e05eed97p-7, -0x1.c302ae658209dp-7, -0x1.bb76e125cfb1bp-7, -0x1.b404fd620a937p-7, -0x1.acacca4dc2ed8p-7, -0x1.a56e0fb4c8d58p-7, -0x1.9e48965c0cfabp-7, -0x1.973c282d0947ap-7, -0x1.9048901d825cbp-7, -0x1.896d99cde5fd8p-7, -0x1.82ab10e21189bp-7, -0x1.7c00c025a349ap-7, -0x1.756e70d0dfd5ap-7, -0x1.6ef3e9e808f63p-7, -0x1.6890efc9e9a54p-7, -0x1.6245447216549p-7, -0x1.5c10a80359388p-7, -0x1.55f2d9bc68c25p-7, -0x1.4feb99541befbp-7, -0x1.49faa86024516p-7, -0x1.441fcb8fa0e12p-7, -0x1.3e5acb7d52405p-7, -0x1.38ab74e5897d1p-7, -0x1.331198200347ap-7, -0x1.2d8d07de1047ep-7, -0x1.281d975747b71p-7, -0x1.22c318340f3c4p-7, -0x1.1d7d5896c7354p-7, -0x1.184c21a0dc4dep-7, -0x1.132f36c31f9e7p-7, -0x1.0e26560a1f073p-7, -0x1.0931394198befp-7, -0x1.044f982d51cf5p-7, -0x1.ff0256116bdb6p-8, -0x1.f58b5a7aa709cp-8, -0x1.ec39c022d13fbp-8, -0x1.e30d17be74b4bp-8, -0x1.da050111554e7p-8, -0x1.d12129e7df477p-8, -0x1.c861490f68d0dp-8, -0x1.bfc517e432253p-8, -0x1.b74c4b125b4eep-8, -0x1.aef68bd1fdb84p-8, -0x1.a6c372d1f88dp-8, -0x1.9eb286408b599p-8, -0x1.96c33af7da388p-8, -0x1.8ef4f8a474433p-8, -0x1.874720a8a2568p-8, -0x1.7fb9165663757p-8, -0x1.784a4719355adp-8, -0x1.70fa320eb07f4p-8, -0x1.69c86dfb7fd0ep-8, -0x1.62b4abd91fcf9p-8, -0x1.5bbeb5ebf740dp-8, -0x1.54e66ade7ae5p-8, -0x1.4e2bb5679d66dp-8, -0x1.478e8158f445bp-8, -0x1.410eafdad8c7ep-8, -0x1.3aac0cdf0cd52p-8, -0x1.346647bd115edp-8, -0x1.2e3cf050a870fp-8, -0x1.282f7901e2eb6p-8, -0x1.223d3d17ef8d6p-8, -0x1.1c6589ebc51a5p-8, -0x1.16a7a93dd65bep-8, -0x1.1102eb2296457p-8, -0x1.0b76ae7ddd499p-8, -0x1.0602679234557p-8, -0x1.00a5a477e7d4fp-8, -0x1.f6c01ea18697bp-9, -0x1.ec62dbd97aebap-9, -0x1.e2333cfab3e86p-9, -0x1.d8312277fd66p-9, -0x1.ce5c7e8ba49b5p-9, -0x1.c4b53fb55d0b9p-9, -0x1.bb3b3b9c14b7ap-9, -0x1.b1ee1ec7d95bp-9, -0x1.a8cd650c87b2fp-9, -0x1.9fd85c652563cp-9, -0x1.970e30dff789bp-9, -0x1.8e6dfd42e836ap-9, -0x1.85f6daa7b7c0dp-9, -0x1.7da7ea486544ap-9, -0x1.758057fa70308p-9, -0x1.6d7f57f89b786p-9, -0x1.65a4231fa28b4p-9, -0x1.5dedf7fc05173p-9, -0x1.565c2018a4279p-9, -0x1.4eedf8fe519d4p-9, -0x1.47a2fbf1e68edp-9, -0x1.407abf7e7ac2ap-9, -0x1.3974f0381b689p-9, -0x1.329141be9e658p-9, -0x1.2bcf5c9cf675fp-9, -0x1.252ecf0fca26p-9, -0x1.1eaf078e82c2ap-9, -0x1.184f5b9afde31p-9, -0x1.120f167110f9ap-9, -0x1.0bed909fa35d7p-9, -0x1.05ea41d9ddc41p-9, -0x1.0004c7230534dp-9, -0x1.f479b2bbb81ccp-10, -0x1.e9246a20f39fep-10, -0x1.de08f9a74c414p-10, -0x1.d32647037ca6dp-10, -0x1.c87ad262bbf4cp-10, -0x1.be04dc5841843p-10, -0x1.b3c2a9bd8f36cp-10, -0x1.a9b2c695dbec8p-10, -0x1.9fd446e27181ep-10, -0x1.96268d24fd99cp-10, -0x1.8ca96d7803381p-10, -0x1.835ca41ac0bcep-10, -0x1.7a3fcaecc17b2p-10, -0x1.7152332f093e7p-10, -0x1.6892f6bd64c17p-10, -0x1.60011d275fc6bp-10, -0x1.579bc4ea38f85p-10, -0x1.4f62439e05f96p-10, -0x1.475435e114885p-10, -0x1.3f717ad35db94p-10, -0x1.37ba175e81c08p-10, -0x1.302e07998d0ecp-10, -0x1.28cd03deb1212p-10, -0x1.21964cfa2041bp-10, -0x1.1a8897709e74bp-10, -0x1.13a228c15b627p-10, -0x1.0ce11fb658418p-10, -0x1.0643cf0c55889p-10, -0x1.ff9207beb2e76p-11, -0x1.f2e030a7df9abp-11, -0x1.e6719365da416p-11, -0x1.da45c8e5a5fafp-11, -0x1.ce5bdf099d78dp-11, -0x1.c2b20b324f241p-11, -0x1.b745cfd837162p-11, -0x1.ac148efb8054cp-11, -0x1.a11c268c50f8fp-11, -0x1.965b6746cfd12p-11, -0x1.8bd233e55b945p-11, -0x1.818150b655373p-11, -0x1.7769f5858b70ep-11, -0x1.6d8d4686f12cbp-11, -0x1.63ebe45ebbfa1p-11, -0x1.5a85b2a0557f8p-11, -0x1.5159cb17f3d3fp-11, -0x1.48668af422f4p-11, -0x1.3fa9a3a2f73f8p-11, -0x1.372045f16ab19p-11, -0x1.2ec787bdd08bep-11, -0x1.269cf65ae8d46p-11, -0x1.1e9f178978f5ap-11, -0x1.16cd93a8eeaafp-11, -0x1.0f28fcc018844p-11, -0x1.07b24536ffbc4p-11, -0x1.006a220091384p-11, -0x1.f2a12fbe32c13p-12, -0x1.e4c96f96dd0a8p-12, -0x1.d7496e98ad5c4p-12, -0x1.ca1c5f11dd1b9p-12, -0x1.bd3d042cf7e23p-12, -0x1.b0a6cbd022601p-12, -0x1.a456b1dfc563fp-12, -0x1.984b8d3836e25p-12, -0x1.8c855676bae23p-12, -0x1.8103ed1692853p-12, -0x1.75c64eff6b3f5p-12, -0x1.6acac3a9e4f79p-12, -0x1.600faeda4a587p-12, -0x1.559453bc8f874p-12, -0x1.4b58f3d18eb9ep-12, -0x1.415e2b0926b2cp-12, -0x1.37a3eea3ac831p-12, -0x1.2e28e1b0c9c9bp-12, -0x1.24ea7e1ad39cap-12, -0x1.1be5dde241c6dp-12, -0x1.1318611e91306p-12, -0x1.0a7fc84a8ea5dp-12, -0x1.021a46c4f36dp-12, -0x1.f3ce460f533afp-13, -0x1.e3cecbda6a78bp-13, -0x1.d43aff2b1708p-13, -0x1.c517317afb1fep-13, -0x1.b663507174261p-13, -0x1.a81948f782e8ap-13, -0x1.9a30bac191764p-13, -0x1.8ca38efcc3543p-13, -0x1.7f7148ebf6b54p-13, -0x1.729c93f881cc6p-13, -0x1.6626b64f5f903p-13, -0x1.5a0cdf9aa7dd7p-13, -0x1.4e487925382dbp-13, -0x1.42d0ef217f9c1p-13, -0x1.379d9361c745fp-13, -0x1.2ca76267c1485p-13, -0x1.21eaac583f8fdp-13, -0x1.176821df16356p-13, -0x1.0d2479b4289aep-13, -0x1.03265cdaa76ap-13, -0x1.f2e6c16b1738ep-14, -0x1.e01b4c1389a06p-14, -0x1.cde70add64191p-14, -0x1.bc41b5be46cadp-14, -0x1.ab1f96cfdae8p-14, -0x1.9a7126d3dd448p-14, -0x1.8a2676f30e169p-14, -0x1.7a396f88c3ae4p-14, -0x1.6ab514592be59p-14, -0x1.5bad103cddb4bp-14, -0x1.4d2ab0fcf10a3p-14, -0x1.3f224d18e0631p-14, -0x1.317d57735be8dp-14, -0x1.242ec42d23401p-14, -0x1.173a9ebe7bcd9p-14, -0x1.0aab6be00cfe8p-14, -0x1.fd0ae848a5427p-15, -0x1.e58940f9b1ddp-15, -0x1.cec805f470a25p-15, -0x1.b8c009bcad3bbp-15, -0x1.a36ac70460048p-15, -0x1.8ec5aa148b275p-15, -0x1.7ac8241582cecp-15, -0x1.6763be3f984f8p-15, -0x1.548582bbb5c49p-15, -0x1.421bdbf6a87e4p-15, -0x1.301e92e24fc26p-15, -0x1.1e9343dd8e0e5p-15, -0x1.0d8b9c88491a3p-15, -0x1.fa37a09b9a17fp-16, -0x1.da9cac5e5f311p-16, -0x1.bc3c32bb4867p-16, -0x1.9efb2153b098ap-16, -0x1.82c3caf2212a1p-16, -0x1.6780967a93c56p-16, -0x1.4d0e2de6c3229p-16, -0x1.3357b84059f4cp-16, -0x1.1a7eb473b4f0fp-16, -0x1.02ad9b1720da1p-16, -0x1.d796a41e475e5p-17, -0x1.ab15f9c2b5e4bp-17, -0x1.7f971e04a46adp-17, -0x1.556c41eb3d86cp-17, -0x1.2cf2ddd934ef4p-17, -0x1.062b56b0d8ca8p-17, -0x1.c1be6f314c212p-18, -0x1.79bf0e2bd057bp-18, -0x1.342e397b40683p-18, -0x1.e20e3360fed08p-19, -0x1.60b7a15fa1eaep-19, -0x1.c93c76c7daf1p-20, -0x1.b85686cbd5ad9p-21, 0x1.555ad1c7343efp-26, 0x1.b7186c9a81db5p-21, 0x1.a7f8a8b401d1bp-20, 0x1.36a78201e7efcp-19, 0x1.97155c3ccd368p-19, 0x1.f57643df91fc9p-19, 0x1.28506340cd6e1p-18, 0x1.53a2d2e40d4c9p-18, 0x1.7ca7d42473804p-18, 0x1.a3d92813be941p-18, 0x1.c9733221dbe5p-18, 0x1.ed237e5c0c922p-18, 0x1.073f0bc08892ap-17, 0x1.16c173d2e6202p-17, 0x1.256b1ff7738c4p-17, 0x1.339fb9237e56dp-17, 0x1.41580d8a4ad43p-17, 0x1.4e5bd5b6a9e33p-17, 0x1.5ad676f522d28p-17, 0x1.66fe182e94c18p-17, 0x1.728faa39be28bp-17, 0x1.7d3fe51e95b9dp-17, 0x1.8721fcefd97d5p-17, 0x1.906a72d7133d4p-17, 0x1.993623c918597p-17, 0x1.a18bd6b180193p-17, 0x1.a96c3a713214dp-17, 0x1.b0d69b29b35f4p-17, 0x1.b7c83c145916ep-17, 0x1.be36806de19a1p-17, 0x1.c415dd8af6a99p-17, 0x1.c95c6fa13a7a1p-17, 0x1.ce02fb981143dp-17, 0x1.d21868a2e1a93p-17, 0x1.d5d5404a15bf3p-17, 0x1.d97510562000bp-17, 0x1.dce3ac66df50fp-17, 0x1.dfdf6652fe6fp-17, 0x1.e26b19e955183p-17, 0x1.e4c96d4ad91fdp-17, 0x1.e6e8a9065e825p-17, 0x1.e88fe605879aep-17, 0x1.e9be27c6ac269p-17, 0x1.ea9a8e4ee7c77p-17, 0x1.eb44e4f29aa33p-17, 0x1.ebc3e2aaa074bp-17, 0x1.ebfcc26f12aafp-17, 0x1.ebcc99897c6b7p-17, 0x1.eb3f985d9878bp-17, 0x1.ea91d9c13fc0ep-17, 0x1.e9c61a7434da7p-17, 0x1.e8e36553d0f47p-17, 0x1.e7e74317313c7p-17, 0x1.e699a738f48f6p-17, 0x1.e4f4ca841670ep-17, 0x1.e31d75da95106p-17, 0x1.e12661caff5fcp-17, 0x1.df10944e60b1bp-17, 0x1.dcd993eff237bp-17, 0x1.da802e1509a5ap-17, 0x1.d80409ae82e4cp-17, 0x1.d5646ae516179p-17, 0x1.d2a0a5bad7a7ap-17, 0x1.cfb863803993p-17, 0x1.cca6f9c07b5cep-17, 0x1.c9614ce8ca21ep-17, 0x1.c5f02a66e7cc6p-17, 0x1.c27702690b2c8p-17, 0x1.bef4531e98f2bp-17, 0x1.bb600945c41d1p-17, 0x1.b7cf8fd6d142ep-17, 0x1.b4263e2d6e0c2p-17, 0x1.b04929d694831p-17, 0x1.ac4e12fe462d6p-17, 0x1.a84927d0c7965p-17, 0x1.a43db768c9ca5p-17, 0x1.a029f31de42afp-17, 0x1.9c0ba3d655278p-17, 0x1.97e236b06ee0bp-17, 0x1.93ac404347ccp-17, 0x1.8f6c3c15e9232p-17, 0x1.8b248cb905af3p-17, 0x1.86d3eed0de2b7p-17, 0x1.826ddb4b09344p-17, 0x1.7deb802648f69p-17, 0x1.7966f006db144p-17, 0x1.74f27380bacd4p-17, 0x1.7088866112737p-17, 0x1.6c0da77f1e4c7p-17, 0x1.677f786961643p-17, 0x1.62eec98d5611p-17, 0x1.5e60d00daa00cp-17, 0x1.59d3d0b4645d5p-17, 0x1.5546cfd8fb3c8p-17, 0x1.50ba60d31c79bp-17, 0x1.4c2e56d36ae2p-17, 0x1.47a3d2864e4dbp-17, 0x1.431c6a712952fp-17, 0x1.3e8fa1428fe9ap-17, 0x1.39f3669b409c2p-17, 0x1.3559bf981d711p-17, 0x1.30d02bf996691p-17, 0x1.2c5416e2dad9bp-17, 0x1.27d894925bd5dp-17, 0x1.23550408aa378p-17, 0x1.1ed51024e09c1p-17, 0x1.1a5d15599797ep-17, 0x1.15ece229e8ca7p-17, 0x1.1181121a7c36fp-17, 0x1.0d1b09d813835p-17, 0x1.08bb05728ab11p-17, 0x1.045fec00db774p-17, 0x1.000b00daa191cp-17, 0x1.f7796aeaf4591p-18, 0x1.eeea071659055p-18, 0x1.e667cfd16d31ep-18, 0x1.ddf3cc021c679p-18, 0x1.d591a5c13964p-18, 0x1.cd3dd1a3a00aep-18, 0x1.c4f6f2c0372d4p-18, 0x1.bcc23508327fap-18, 0x1.b49e3e509b57p-18, 0x1.ac89cc4113813p-18, 0x1.a4803fe64dab7p-18, 0x1.9c87c84766856p-18, 0x1.94a930b778387p-18, 0x1.8cd89192bdaa1p-18, 0x1.851544e23cc43p-18, 0x1.7d65b5f96532bp-18, 0x1.75ca38cbb10c6p-18, 0x1.6e41d992e965ep-18, 0x1.66cc97aa0603dp-18, 0x1.5f6a4ba8a401bp-18, 0x1.5816dfe118f1ap-18, 0x1.50d155fa971b3p-18, 0x1.49a43140d73fep-18, 0x1.428df2d5fbdabp-18, 0x1.3b86364c870cep-18, 0x1.34901c12f1e66p-18, 0x1.2daf461f747fbp-18, 0x1.26e1fea26e9eep-18, 0x1.2027fee0abb47p-18, 0x1.1980ed459bc96p-18, 0x1.12ed4d14904f2p-18, 0x1.0c6ced3a35d36p-18, 0x1.05ffb4763adaep-18, 0x1.ff4b0b3c115a3p-19, 0x1.f2bda51838a28p-19, 0x1.e6567dfcfdf4ep-19, 0x1.da15ef4aa2f6cp-19, 0x1.cdfbe06b7937ep-19, 0x1.c20824aef9932p-19, 0x1.b63a7e70aad25p-19, 0x1.aa928d49fd24ep-19, 0x1.9f0fdf199dc9bp-19, 0x1.93b37675bce11p-19, 0x1.887df2fc9c8afp-19, 0x1.7d6d7c83c86b9p-19, 0x1.727ecada9fa93p-19, 0x1.67b53ed236309p-19, 0x1.5d18b89cceb2dp-19, 0x1.529bbdd82b704p-19, 0x1.48431c1e442acp-19, 0x1.3e177513ca57dp-19, 0x1.33fc98cc38edcp-19, 0x1.2a0ef55a7b61ep-19, 0x1.20492ccf88c6dp-19, 0x1.16a423af381ccp-19, 0x1.0d227d045949ap-19, 0x1.03c3cc467baa6p-19, 0x1.f5117db663689p-20, 0x1.e2dd25c4e069fp-20, 0x1.d0edb57ca9b7p-20, 0x1.bf433b920811bp-20, 0x1.add9b2c3939b3p-20, 0x1.9cb2fcf1497c9p-20, 0x1.8bcc776cf14d1p-20, 0x1.7b2f2b1256ea7p-20, 0x1.6ace32d0f069p-20, 0x1.5aac54b2caa78p-20, 0x1.4acb314c57f68p-20, 0x1.3b29a566bd9fap-20, 0x1.2bc6b19f5cbdep-20, 0x1.1ca19144b307p-20, 0x1.0db9dd8c12153p-20, 0x1.fe1d821bf120bp-21, 0x1.e14e7d7e0291ep-21, 0x1.c4dbc5dc8de5p-21, 0x1.a8ed3dd633ccep-21, 0x1.8d7276f11ee93p-21, 0x1.726acf6b940b6p-21, 0x1.57d58b518e99ep-21, 0x1.3db1a99668c55p-21, 0x1.23fdf9d9fe5eap-21, 0x1.0abcf64b260fap-21, 0x1.e3bb76e795425p-22, 0x1.b2df00ab96503p-22, 0x1.82e791da83ff7p-22, 0x1.53bbaf025afc1p-22, 0x1.255774cd427a1p-22, 0x1.ef9d45686f181p-23, 0x1.9624c93d6e237p-23, 0x1.3e77cf76dc66ep-23, 0x1.cf41a243f1efap-24, 0x1.258f969e7bc8ep-24, 0x1.fcaa866595d93p-26, -0x1.24473e946c881p-27, -0x1.8a375e3a97451p-25, -0x1.62beca5230e9bp-24, -0x1.fd17af53884f8p-24, -0x1.4af4048cd3217p-23, -0x1.9584ee5d2c6ffp-23, -0x1.deacb0e8cbac4p-23, -0x1.133dce4228995p-22, -0x1.368423bcfaaap-22, -0x1.59272636734d2p-22, -0x1.7afccbee0513ap-22, -0x1.9c086fb5e7d98p-22, -0x1.bccd8c4a4082ap-22, -0x1.dca62d583764bp-22, -0x1.fc26588698ea5p-22, -0x1.0d81b59c2967dp-21, -0x1.1c8cb2f8127ap-21, -0x1.2b49456b5b79ep-21, -0x1.39c0d4f9d25f7p-21, -0x1.47f494660f17fp-21, -0x1.55d24436aa376p-21, -0x1.630373d6ae1d8p-21, -0x1.70c270ad4809dp-21, -0x1.7dc9ac03317f1p-21, -0x1.8a97d57537e6ap-21, -0x1.971b2a4ef49bbp-21, -0x1.a35811ed1b4a1p-21, -0x1.af5530779f352p-21, -0x1.bb132d04c0507p-21, -0x1.c68eec5c822cap-21, -0x1.d1c9cde8dd01fp-21, -0x1.dcc6567370f0ep-21, -0x1.e7811373c3a6cp-21, -0x1.f208b9bc8a6cep-21, -0x1.fc512471fd55p-21, -0x1.032ad60d94ad5p-20, -0x1.0813dd5b62cacp-20, -0x1.0ce19face8602p-20, -0x1.119578a098ba7p-20, -0x1.1622204511b03p-20, -0x1.1a99e1c55ad09p-20, -0x1.1ef862350347cp-20, -0x1.233d7e9955603p-20, -0x1.2764425875fa1p-20, -0x1.2b77bf254d506p-20, -0x1.2f6ee939f5526p-20, -0x1.334cdee45055cp-20, -0x1.370f72e1d571ap-20, -0x1.3ab67a5b2aee3p-20, -0x1.3e498d21cacf4p-20, -0x1.41ccce719234ap-20, -0x1.4536c4822db6dp-20, -0x1.4885ae1960fc9p-20, -0x1.4bbd14d241f2bp-20, -0x1.4ee13a12f016p-20, -0x1.51ec6d25eecf3p-20, -0x1.54e662b08e6a7p-20, -0x1.57ccc2e71c25bp-20, -0x1.5a9e6738a68bbp-20, -0x1.5d5e36dd5087ep-20, -0x1.600bcf8e3041cp-20, -0x1.6295a96096533p-20, -0x1.65120b9d0d1d8p-20, -0x1.678675ba6a60dp-20, -0x1.69e0c4ea8aff3p-20, -0x1.6c4aa2a6ed293p-20, -0x1.6e7089eca3153p-20, -0x1.7092cf25771e9p-20, -0x1.72a4c0649ffa1p-20, -0x1.74a9348624ae8p-20, -0x1.769d4abde0c76p-20, -0x1.788a8e9590e69p-20, -0x1.7a54e24e0a759p-20, -0x1.7c17b881ac3dep-20, -0x1.7dcd6502a12e1p-20, -0x1.7f7333c11dcecp-20, -0x1.8109e3aaa1ebap-20, -0x1.828be4b5cff81p-20, -0x1.83fd36aa085f2p-20, -0x1.85702e6924a5fp-20, -0x1.86cdd7192396bp-20, -0x1.881d1cfc90816p-20, -0x1.895cc4ba6fe88p-20, -0x1.8a90184df089dp-20, -0x1.8bb74570418cdp-20, -0x1.8cd1fb10cef4bp-20, -0x1.8de5220c053e3p-20, -0x1.8eed848644e89p-20, -0x1.8fd893706e736p-20, -0x1.90bc316c4ae4cp-20, -0x1.9195e1ded3ad2p-20, -0x1.926d7699d0df8p-20, -0x1.9339e3a2f62d4p-20, -0x1.93f2a757a5bc9p-20, -0x1.94a25baf12fcdp-20, -0x1.954969a5847c9p-20, -0x1.95e5361a40643p-20, -0x1.9677201cba5a3p-20, -0x1.96fe946441b92p-20, -0x1.977ad9ff1dd47p-20, -0x1.97f03fda66b4p-20, -0x1.985b12f1ab2c2p-20, -0x1.98c0f22cbb31ep-20, -0x1.98f4b81824855p-20, -0x1.99685b6c4eda2p-20, -0x1.99b52d86aa896p-20, -0x1.99f001adb89f2p-20, -0x1.9a0fe3d0f9fd1p-20, -0x1.9a4d18f60efe9p-20, -0x1.9a69d08809bd4p-20, -0x1.9a974a92e062dp-20, -0x1.9aa808031b663p-20, -0x1.9ab2a7a5cdfa1p-20, -0x1.9ab7d05d7e4e4p-20, -0x1.9ab617e3b30a8p-20, -0x1.9aacf824731f6p-20, -0x1.9a9d7b95cb99dp-20, -0x1.9a87e2c8c6892p-20, -0x1.9a6c92dcb3d6ap-20, -0x1.9a48663c9b61ep-20, -0x1.9a1de9c70f96ep-20, -0x1.99ede2f72d47bp-20, -0x1.99b5c24d6b474p-20, -0x1.99795b6715995p-20, -0x1.99380a42f936p-20, -0x1.98f15552f38bap-20, -0x1.9897fcf22dc7dp-20, -0x1.9841f8138b782p-20, -0x1.97f497894ad93p-20, -0x1.97903adb4b008p-20, -0x1.972ce7250d4fbp-20, -0x1.96c8cb533c05p-20, -0x1.96556bf1a0d06p-20, -0x1.95e668873f333p-20, -0x1.95396b88722a9p-20, -0x1.94efccf1bdc83p-20, -0x1.9467a419f22dcp-20, -0x1.93e35b17be143p-20, -0x1.935595493bb02p-20, -0x1.92c783fefd41bp-20, -0x1.9234c6888c013p-20, -0x1.919d39b560cfbp-20, -0x1.9101646858ccp-20, -0x1.9062924dedcfp-20, -0x1.8fc2f821363cdp-20, -0x1.8f20297a75564p-20, -0x1.8e650303fd4cdp-20, -0x1.8dbe6d1b7bca2p-20, -0x1.8cea43ae06b59p-20, -0x1.8c572627a7d11p-20, -0x1.8b9fea57afa2bp-20, -0x1.8adddb9aa3a47p-20, -0x1.8a1c516bfb3cp-20, -0x1.8959497b41cfp-20, -0x1.8894032d80f98p-20, -0x1.87cce2e23d2dp-20, -0x1.8703b2f9f1028p-20, -0x1.862d3b12ea1d2p-20, -0x1.8556eaa7e6d49p-20, -0x1.848d54f1157eap-20, -0x1.8358248d0a1ddp-20, -0x1.82e152905f2c2p-20, -0x1.81ff3db0cefb8p-20, -0x1.813a2ecc72c63p-20, -0x1.803debeab71cdp-20, -0x1.7f593688db25p-20, -0x1.7e734b0ec8e4dp-20, -0x1.7d9c389312e04p-20, -0x1.7ca52513b6ad4p-20, -0x1.7bb6dc952da0ep-20, }}, 
      {{0x1.cc3af4e9acbe8p-2, 0x1.df12a64d34353p-2, 0x1.f6687ab5541a4p-2, 0x1.06002fcadf18dp-1, 0x1.0dc234e0e491cp-1, 0x1.114e70d31b896p-1, 0x1.1049790932bc6p-1, 0x1.0aeb2761a5946p-1, 0x1.01c65a781494ap-1, 0x1.eb38a963fde06p-2, 0x1.ce7914073674cp-2, 0x1.aede88f0c405bp-2, 0x1.8dd19fa6021fap-2, 0x1.6c85ca2be6d0bp-2, 0x1.4bf4c88d6e40bp-2, 0x1.2cdfb06587fedp-2, 0x1.0fd34e60b8796p-2, 0x1.ea5ca2707a39fp-3, 0x1.ba505eb78cb82p-3, 0x1.8fb03095141acp-3, 0x1.6a770d107be77p-3, 0x1.4a786a5992b44p-3, 0x1.2f6ab5f062a4ep-3, 0x1.18f043707dbfcp-3, 0x1.069ebcbe79b31p-3, 0x1.f00a5af63e3d7p-4, 0x1.d9619a0948c03p-4, 0x1.c8615cf357b5cp-4, 0x1.bc30fde8efa7p-4, 0x1.b404f13ea64fbp-4, 0x1.af215c95940d4p-4, 0x1.acdb9f05f45bp-4, 0x1.ac9b027d8acp-4, 0x1.add8c701b40e1p-4, 0x1.b01fb09f0d184p-4, 0x1.b30b3a6cd46ebp-4, 0x1.b6468b68b1b26p-4, 0x1.b98b4240ce7bfp-4, 0x1.bca02abdf240cp-4, 0x1.bf57ecfc62283p-4, 0x1.c18fbd3c950d2p-4, 0x1.c32e1429f9ffdp-4, 0x1.c4217b2c6abe2p-4, 0x1.c45f6cc24db73p-4, 0x1.c3e3455c9dc8cp-4, 0x1.c2ad4c7e24332p-4, 0x1.c0c1db47adacbp-4, 0x1.be28990f6df0ap-4, 0x1.baebc825bf1fp-4, 0x1.b717a76f54183p-4, 0x1.b2b9ecb9fff7cp-4, 0x1.ade153bad25c3p-4, 0x1.a89d3aa8e2538p-4, 0x1.a2fd4a59c4183p-4, 0x1.9d112bdf86c6dp-4, 0x1.96e84cae72228p-4, 0x1.9091af8a45ebdp-4, 0x1.8a1bc6ec25ed8p-4, 0x1.8394563fe9e5dp-4, 0x1.7d08592484b3cp-4, 0x1.7683f0c5d75c6p-4, 0x1.70125758db8dcp-4, 0x1.69bdd90648b53p-4, 0x1.638fd14778f4bp-4, 0x1.5d90abcbb7721p-4, 0x1.57c7e7ba132cdp-4, 0x1.523c1d1b0997ap-4, 0x1.4cf303cc0e478p-4, 0x1.47f17bde5376p-4, 0x1.433b976a27d3fp-4, 0x1.3ed4a51c82843p-4, 0x1.3abf3bb2868bp-4, 0x1.36fd46035017p-4, 0x1.33900f170704dp-4, 0x1.30784e4734fcdp-4, 0x1.2db633a62bff2p-4, 0x1.2b497391ccc75p-4, 0x1.2931523a1031cp-4, 0x1.276caea056058p-4, 0x1.25fa0d3f2edd2p-4, 0x1.24d7a2142100cp-4, 0x1.24035a679d0a1p-4, 0x1.237ae5e7134f8p-4, 0x1.233bbf6de366cp-4, 0x1.2343352987bfcp-4, 0x1.238e705e5ca7dp-4, 0x1.241a7c47c4563p-4, 0x1.24e44c94b0aecp-4, 0x1.25e8c35b16304p-4, 0x1.2724b66d4f739p-4, 0x1.2894f4225f6b4p-4, 0x1.2a3647c4b98dbp-4, 0x1.2c057d91bb95bp-4, 0x1.2dff663acfd98p-4, 0x1.3020da30026d8p-4, 0x1.3266bc699a18ap-4, 0x1.34cdfd1ae75cbp-4, 0x1.37539bba79d7p-4, 0x1.39f4a91b93db8p-4, 0x1.3cae4903bed61p-4, 0x1.3f7db367b4a55p-4, 0x1.426035bea3594p-4, 0x1.455333bcdb406p-4, 0x1.4854283394b1ap-4, 0x1.4b60a584be0c2p-4, 0x1.4e76560a77ca2p-4, 0x1.5192fc3c5eb9fp-4, 0x1.54b473077a6d3p-4, 0x1.57d8ad9248374p-4, 0x1.5afdb7479284cp-4, 0x1.5e21b3d873414p-4, 0x1.6142de7fd7a3cp-4, 0x1.645f8a4fe508p-4, 0x1.6776215725f4fp-4, 0x1.6a852484bbf65p-4, 0x1.6d8b2ae52733ep-4, 0x1.7086e15aca85ap-4, 0x1.73770a0383921p-4, 0x1.765a7b887383dp-4, 0x1.793020a55652ep-4, 0x1.7bf6f77307bep-4, 0x1.7eae10d1a1ad4p-4, 0x1.81548fccd2063p-4, 0x1.83e9a8d582df7p-4, 0x1.866ca13d7592ap-4, 0x1.88dcce77a3ce1p-4, 0x1.8b39958efda6cp-4, 0x1.8d826a7615476p-4, 0x1.8fb6cf69f3d93p-4, 0x1.91d65428486f1p-4, 0x1.93e0959dfcf91p-4, 0x1.95d53d25e1ff1p-4, 0x1.97b3fff910039p-4, 0x1.997c9e85f033p-4, 0x1.9b2ee40a4c512p-4, 0x1.9ccaa5ed0174dp-4, 0x1.9e4fc34abb6d4p-4, 0x1.9fbe244ccd976p-4, 0x1.a115ba09230e6p-4, 0x1.a2567d7432a88p-4, 0x1.a3806f6ca3148p-4, 0x1.a493981031d37p-4, 0x1.a590065f4e87p-4, 0x1.a675cf985d322p-4, 0x1.a7450f6402255p-4, 0x1.a7fde6c238742p-4, 0x1.a8a07c1721248p-4, 0x1.a92cfab5a73f1p-4, 0x1.a9a3928c7c72dp-4, 0x1.aa0477df7edeep-4, 0x1.aa4fe2e30c853p-4, 0x1.aa860f5139087p-4, 0x1.aaa73cb601a5ep-4, 0x1.aab3ad4020006p-4, 0x1.aaaba657d9f04p-4, 0x1.aa8f6fe23bc6fp-4, 0x1.aa5f542e9174dp-4, 0x1.aa1b9fc3e0c27p-4, 0x1.a9c4a123a7a42p-4, 0x1.a95aa878b3da7p-4, 0x1.a8de07bb1ab29p-4, 0x1.a84f123a3271ep-4, 0x1.a7ae1c5471939p-4, 0x1.a6fb7bb5167e9p-4, 0x1.a63786df021fp-4, 0x1.a5629527edb94p-4, 0x1.a47cfe8ac62f6p-4, 0x1.a3871b8822f3p-4, 0x1.a281451586ce1p-4, 0x1.a16bd43fd5676p-4, 0x1.a04722b48b55bp-4, 0x1.9f1389f83e51ap-4, 0x1.9dd1634459be4p-4, 0x1.9c81083655758p-4, 0x1.9b22d2091fe1cp-4, 0x1.99b719bce0d4ap-4, 0x1.983e37fe2c27bp-4, 0x1.96b885175736ap-4, 0x1.952658e407fafp-4, 0x1.93880ab681f4fp-4, 0x1.91ddf164268a5p-4, 0x1.902862d5ee504p-4, 0x1.8e67b4e9b47fcp-4, 0x1.8c9c3c0e36d0dp-4, 0x1.8ac64c732a5f8p-4, 0x1.88e6395073b13p-4, 0x1.86fc550d2e5cap-4, 0x1.8508f1388c8ddp-4, 0x1.830c5e67873ecp-4, 0x1.8106ec7e2aebfp-4, 0x1.7ef8ea53de0e7p-4, 0x1.7ce2a5a26046cp-4, 0x1.7ac46b65687aep-4, 0x1.789e878469a2dp-4, 0x1.767144c44822ap-4, 0x1.743ced146d8a1p-4, 0x1.7201c96614ba6p-4, 0x1.6fc02134a7d6ep-4, 0x1.6d783b6029567p-4, 0x1.6b2a5d7c2aac6p-4, 0x1.68d6cc12c89dbp-4, 0x1.667dca9bad24cp-4, 0x1.641f9b797c6fcp-4, 0x1.61bc7ff48a752p-4, 0x1.5f54b83b64b27p-4, 0x1.5ce883631f672p-4, 0x1.5a781f69daafdp-4, 0x1.5803c936aa991p-4, 0x1.558bbc9a91dp-4, 0x1.5310345a2002dp-4, 0x1.509169c42f936p-4, 0x1.4e0f95dfcffb1p-4, 0x1.4b8aefc69b6f1p-4, 0x1.4903ade882cb7p-4, 0x1.467a059aa5edfp-4, 0x1.43ee2b1f5317p-4, 0x1.4160519aeb4fap-4, 0x1.3ed0ab2c28532p-4, 0x1.3c3f68df04b83p-4, 0x1.39acbac43a888p-4, 0x1.3718cfe070dcap-4, 0x1.3483d6307a5a7p-4, 0x1.31edfaa9e9823p-4, 0x1.2f576942d81e5p-4, 0x1.2cc04cf813ebap-4, 0x1.2a28cfcbd6db4p-4, 0x1.27911ac653fcbp-4, 0x1.24f95600549aap-4, 0x1.2261a864015a7p-4, 0x1.1fca3862ada97p-4, 0x1.1d332b1efd344p-4, 0x1.1a9ca4c954bc9p-4, 0x1.1806c8ece1008p-4, 0x1.1571ba03f1733p-4, 0x1.12dd99ae64e58p-4, 0x1.104a88aea0d46p-4, 0x1.0db8a6eb48281p-4, 0x1.0b2813556ebf7p-4, 0x1.0898ec46c1046p-4, 0x1.060b4f10e470ap-4, 0x1.037f58367d05dp-4, 0x1.00f5237cc4329p-4, 0x1.fcd997c5f152p-5, 0x1.f7ccd7293fdep-5, 0x1.f2c437f798f65p-5, 0x1.edbfeb834aaf7p-5, 0x1.e8c021a20fd4bp-5, 0x1.e3c508b42f297p-5, 0x1.dececdbae925cp-5, 0x1.d9dd9beb9416cp-5, 0x1.d4f19dc2a336fp-5, 0x1.d00afc09b7323p-5, 0x1.cb29ddb946242p-5, 0x1.c64e693aa79ddp-5, 0x1.c178c34404ccap-5, 0x1.bca90f53b9237p-5, 0x1.b7df6fa938ba5p-5, 0x1.b31c054731aa6p-5, 0x1.ae5eeff9b9972p-5, 0x1.a9a84e61cef77p-5, 0x1.a4f83df4e11adp-5, 0x1.a04edafc0bd53p-5, 0x1.9bac40ab04f3ep-5, 0x1.9710891055c76p-5, 0x1.927bcd36927f6p-5, 0x1.8dee250d99649p-5, 0x1.8967a77e6e491p-5, 0x1.84e86a720011p-5, 0x1.807082c8f48bp-5, 0x1.7c00044d655acp-5, 0x1.77970234d163fp-5, 0x1.73358e8a6aacep-5, 0x1.6edbba37e00eap-5, 0x1.6a8995883406fp-5, 0x1.663f2f9bb3027p-5, 0x1.61fc9794d7741p-5, 0x1.5dc1da5ea6925p-5, 0x1.598f051daecfbp-5, 0x1.556423d2b4162p-5, 0x1.514141ae2ac4p-5, 0x1.4d26691adba56p-5, 0x1.4913a3d0a8071p-5, 0x1.4508fac571c41p-5, 0x1.41067636141b4p-5, 0x1.3d0c1daa3faap-5, 0x1.3919f7f9c071fp-5, 0x1.35300b501be6bp-5, 0x1.314e5d3044cbep-5, 0x1.2d74f2792f8cdp-5, 0x1.29a3cf7562ddep-5, 0x1.25daf7ba2edb4p-5, 0x1.221a6e5e227dap-5, 0x1.1e6235cc4c461p-5, 0x1.1ab24fec88c38p-5, 0x1.170abe16b79c8p-5, 0x1.136b8118d23a5p-5, 0x1.0fd4993a9a5fbp-5, 0x1.0c46063f89341p-5, 0x1.08bfc76b0a3d7p-5, 0x1.0541db873e725p-5, 0x1.01cc40ec222a2p-5, 0x1.fcbdeae1045efp-6, 0x1.f5f3ec768388cp-6, 0x1.ef3a81ba834d9p-6, 0x1.e891a2a245b56p-6, 0x1.e1f947d046763p-6, 0x1.db716884c5127p-6, 0x1.d4f9fbe6657f3p-6, 0x1.ce92f7beaf2abp-6, 0x1.c83c50fb12aa7p-6, 0x1.c1f5fc348bc81p-6, 0x1.bbbfed49778ddp-6, 0x1.b59a1749cbd62p-6, 0x1.af846caa2f703p-6, 0x1.a97edf2fcc5aep-6, 0x1.a3896020dae3ap-6, 0x1.9da3e00a4b4a6p-6, 0x1.97ce4ee7cd8edp-6, 0x1.92089c3384326p-6, 0x1.8c52b6ec1a2f1p-6, 0x1.86ac8d607ad4fp-6, 0x1.81160d7d7841ap-6, 0x1.7b8f24c0199abp-6, 0x1.7617c00f245b4p-6, 0x1.70afcbd624638p-6, 0x1.6b573415cd3f2p-6, 0x1.660de46b493fdp-6, 0x1.60d3c80d8d819p-6, 0x1.5ba8c9c9a60c9p-6, 0x1.568cd40690673p-6, 0x1.517fd0ed3e75bp-6, 0x1.4c81aa0ea957dp-6, 0x1.479248f63e22fp-6, 0x1.42b196b538338p-6, 0x1.3ddf7b90bb837p-6, 0x1.391be0de8e95ap-6, 0x1.3466ae16c86b4p-6, 0x1.2fbfcb374714bp-6, 0x1.2b27201288728p-6, 0x1.269c93fd0b794p-6, 0x1.22200e21a76f9p-6, 0x1.1db17575053ap-6, 0x1.1950b0b13974ap-6, 0x1.14fda65bf4734p-6, 0x1.10b83cce2aba6p-6, 0x1.0c805a36f9faep-6, 0x1.0855e49c6bfep-6, 0x1.0438c1df37e1fp-6, 0x1.0028d79978722p-6, 0x1.f84c166a0bac5p-7, 0x1.f06084e00c9b4p-7, 0x1.e88ec55860fc4p-7, 0x1.e0d6a15c767aep-7, 0x1.d937e3a534ab5p-7, 0x1.d1b25633b7c62p-7, 0x1.ca45c2dc159dap-7, 0x1.c2f1f35dda102p-7, 0x1.bbb6b15191112p-7, 0x1.b493c627d1c72p-7, 0x1.ad88fb382cf9dp-7, 0x1.a69619ca06f1bp-7, 0x1.9fbaeb143ecddp-7, 0x1.98f7384119f96p-7, 0x1.924aca6fdc4edp-7, 0x1.8bb56ac2f2e67p-7, 0x1.8536e233bdfa1p-7, 0x1.7ecef9e3eb3abp-7, 0x1.787d7aef0cc17p-7, 0x1.72422e87f308dp-7, 0x1.6c1cddf26e25ep-7, 0x1.660d51e4cc594p-7, 0x1.60135426db61dp-7, 0x1.5a2eae4302063p-7, 0x1.545f28fa3ba63p-7, 0x1.4ea48e6aab6bp-7, 0x1.48fea821002aap-7, 0x1.436d3fcc4346bp-7, 0x1.3df01f70b0376p-7, 0x1.3887111d6fc15p-7, 0x1.3331df0563142p-7, 0x1.2df053883ed38p-7, 0x1.28c239305a88ap-7, 0x1.23a75ab5fd7acp-7, 0x1.1e9f83019b7c9p-7, 0x1.19aa7d2e229cfp-7, 0x1.14c8148be50f7p-7, 0x1.0ff814a32d5f4p-7, 0x1.0b3a49338b8efp-7, 0x1.068e7e30c9d4dp-7, 0x1.01f47fc6e2563p-7, 0x1.fad834c6984ep-8, 0x1.f1ea356fb9805p-8, 0x1.e91e9b73f74c7p-8, 0x1.e07501425740dp-8, 0x1.d7ed01c8cab43p-8, 0x1.cf863896d2a42p-8, 0x1.c74041a3b6ca5p-8, 0x1.bf1ab8a79b2cdp-8, 0x1.b7153c6fc539cp-8, 0x1.af2f6aad57539p-8, 0x1.a768e0454d473p-8, 0x1.9fc13d0c641b5p-8, 0x1.983820ae72406p-8, 0x1.90cd2b499931bp-8, 0x1.897ffdaee6468p-8, 0x1.8250395d07f55p-8, 0x1.7b3d807bd360cp-8, 0x1.744775db38191p-8, 0x1.6d6dbcf5b9259p-8, 0x1.66affa04fe01dp-8, 0x1.600dd1f01fb69p-8, 0x1.5986e99db349bp-8, 0x1.531ae867c8b54p-8, 0x1.4cc973e4d1cbp-8, 0x1.469233f4005acp-8, 0x1.4074d12cae2aap-8, 0x1.3a70f4bd4b9b2p-8, 0x1.348648112faa9p-8, 0x1.2eb47586e4cacp-8, 0x1.28fb2854554efp-8, 0x1.235a0c57731c1p-8, 0x1.1dd0ce1af5613p-8, 0x1.185f1aeb97881p-8, 0x1.1304a0d9e0127p-8, 0x1.0dc10eb1845fp-8, 0x1.089413f2a987fp-8, 0x1.037d60d8ea2aep-8, 0x1.fcf94cb8da239p-9, 0x1.f3232c64c5798p-9, 0x1.e977c59b6a9bdp-9, 0x1.dff67ebfbb3a4p-9, 0x1.d69ebfb0f7456p-9, 0x1.cd6ff1c8e4617p-9, 0x1.c4697fdbb400ep-9, 0x1.bb8ad638e6d2ep-9, 0x1.b2d362a91ee17p-9, 0x1.aa42946a77617p-9, 0x1.a1d7dc3784919p-9, 0x1.9992ac5c5fb8cp-9, 0x1.917278db91f3dp-9, 0x1.8976b6b3a0cfp-9, 0x1.819edc79b32a8p-9, 0x1.79ea626e1a0dep-9, 0x1.7258c29e49abfp-9, 0x1.6ae977ee5c52ep-9, 0x1.639bfeac401a4p-9, 0x1.5c6fd4923544fp-9, 0x1.556478eb1ecffp-9, 0x1.4e796cac564bp-9, 0x1.47ae320faeca4p-9, 0x1.41024ac42348fp-9, 0x1.3a753ef270c64p-9, 0x1.3406953fa0ccep-9, 0x1.2db5d352b21c7p-9, 0x1.278284a688f87p-9, 0x1.216c33ea91922p-9, 0x1.1b726cb4db6c2p-9, 0x1.1594be26ab09cp-9, 0x1.0fd2b4eee524p-9, 0x1.0a2be221d6ba6p-9, 0x1.049fd7166d9e6p-9, 0x1.fe5c4c996f7afp-10, 0x1.f3acc7bf4c6fdp-10, 0x1.e9304af82374cp-10, 0x1.dee604d17501dp-10, 0x1.d4cd270020a29p-10, 0x1.cae4e60496ecbp-10, 0x1.c12c78c1f0493p-10, 0x1.b7a3185d3321cp-10, 0x1.ae480045ebe2fp-10, 0x1.a51a6e1d1d9bep-10, 0x1.9c19a190b803ap-10, 0x1.9344dc691d9e5p-10, 0x1.8a9b62bee23bdp-10, 0x1.821c7b2ff3b87p-10, 0x1.79c76f04b0b3dp-10, 0x1.719b8a43e6e82p-10, 0x1.69981bc119d5cp-10, 0x1.61bc753d7cc3p-10, 0x1.5a07eb8d8e4d8p-10, 0x1.5279d672d636bp-10, 0x1.4b1190221e58bp-10, 0x1.43ce75035d298p-10, 0x1.3cafe33f8b9edp-10, 0x1.35b538c344945p-10, 0x1.2eddd69954383p-10, 0x1.2829214d26cf1p-10, 0x1.21967b9f7381ep-10, 0x1.1b254cd0b9c5ap-10, 0x1.14d4ff3a6a0ecp-10, 0x1.0ea4fe2cfa1dp-10, 0x1.0894b7fbe5335p-10, 0x1.02a39de6e6bf2p-10, 0x1.f9a247784deb3p-11, 0x1.ee397f753d2fcp-11, 0x1.e30bd4af48d47p-11, 0x1.d8183bced5ab6p-11, 0x1.cd5dace03b4c3p-11, 0x1.c2db235596a61p-11, 0x1.b88f9de1702f2p-11, 0x1.ae7a1e1c00931p-11, 0x1.a499a870b778fp-11, 0x1.9aed44ec3c362p-11, 0x1.9174012c9aaedp-11, 0x1.882ce8ab5c982p-11, 0x1.7f17103e55d21p-11, 0x1.76318d2748455p-11, 0x1.6d7b754e77bfbp-11, 0x1.64f3f2a70c376p-11, 0x1.5c9a27e422892p-11, 0x1.546d3130bf3bcp-11, 0x1.4c6c3eca8a611p-11, 0x1.449681a594f76p-11, 0x1.3ceb2bb110a5cp-11, 0x1.3569728cc3fa1p-11, 0x1.2e108f07c461cp-11, 0x1.26dfbe699755cp-11, 0x1.1fd63fabbd285p-11, 0x1.18f352e0c253ap-11, 0x1.12363ae2d114p-11, 0x1.0b9e3cf5aff81p-11, 0x1.052aa43d3348bp-11, 0x1.fdb578620912cp-12, 0x1.f15ba0cfb0957p-12, 0x1.e54663752a489p-12, 0x1.d9746b755b7bp-12, 0x1.cde46a31f4ab9p-12, 0x1.c29519731c90cp-12, 0x1.b7853a3f9aa9dp-12, 0x1.acb394906f368p-12, 0x1.a21ef6862216ep-12, 0x1.97c632e269c65p-12, 0x1.8da81f0038c4ap-12, 0x1.83c3916ea9c5bp-12, 0x1.7a1761ca9a963p-12, 0x1.70a269b0ef2dep-12, 0x1.67638673981bap-12, 0x1.5e599b030e39cp-12, 0x1.5583913b414ddp-12, 0x1.4ce05a1ac3525p-12, 0x1.446eed54f4f0fp-12, 0x1.3c2e48ff0c489p-12, 0x1.341d7183d5851p-12, 0x1.2c3b71ad9ee71p-12, 0x1.24875b2b665dcp-12, 0x1.1d0046806d6a6p-12, 0x1.15a552c2c83p-12, 0x1.0e75a420e21b2p-12, 0x1.077061cac4b88p-12, 0x1.0094b38a631fcp-12, 0x1.f3c37f883a496p-13, 0x1.e6ad552f0dee9p-13, 0x1.d9e52d1c36789p-13, 0x1.cd694e2032743p-13, 0x1.c13808a4f35cdp-13, 0x1.b54fba59c1a02p-13, 0x1.a9aecc984fbcap-13, 0x1.9e53c632514eep-13, 0x1.933d27d78a049p-13, 0x1.88698aeadb8cep-13, 0x1.7dd78c0f4f8fcp-13, 0x1.7385cd3c3327ep-13, 0x1.6972f83027e5p-13, 0x1.5f9dbdb8c7df4p-13, 0x1.5604d7421b26ep-13, 0x1.4ca7085e8cdddp-13, 0x1.43831f0edfd77p-13, 0x1.3a97dfbbfeb2ep-13, 0x1.31e41218a568dp-13, 0x1.29669ec41da76p-13, 0x1.211e2c791b8b7p-13, 0x1.19097fe8da338p-13, 0x1.11276964d1066p-13, 0x1.0976b56bb6f34p-13, 0x1.01f63ff2b3447p-13, 0x1.f549e7940dadcp-14, 0x1.e70390eae377cp-14, 0x1.d9177dfec5051p-14, 0x1.cb83be6c8bd65p-14, 0x1.be466c8ecddc1p-14, 0x1.b15da5229b23bp-14, 0x1.a4c724f5b7b9bp-14, 0x1.9882df28289c3p-14, 0x1.8c8c824232de4p-14, 0x1.80e4c48be58d3p-14, 0x1.7588c09487dd7p-14, 0x1.6a77112c20bf2p-14, 0x1.5fadfc3d19117p-14, 0x1.552be22fcf4ffp-14, 0x1.4aef3999a443bp-14, 0x1.40f66f005440ep-14, 0x1.373fdc6a9fb33p-14, 0x1.2dc9e52e00d36p-14, 0x1.2493154ac5bedp-14, 0x1.1b99de1e9c05p-14, 0x1.12dcc0f1ed99fp-14, 0x1.0a5a51d1fdf2dp-14, 0x1.02112abb88e2cp-14, 0x1.f3ff99042e576p-15, 0x1.e449a44b3ab28p-15, 0x1.d4fdcac0b9b0cp-15, 0x1.c6198b32184ap-15, 0x1.b79a9e9656888p-15, 0x1.a97ef1571fa92p-15, 0x1.9bc49b9f5486ep-15, 0x1.8e6997491fe86p-15, 0x1.816b5d7fe4e89p-15, 0x1.74c7d044a1c63p-15, 0x1.687c3ff874e25p-15, 0x1.5c86ae81e4dfep-15, 0x1.50e4c99d0bdbbp-15, 0x1.4594b123687d5p-15, 0x1.3a94ac15481efp-15, 0x1.2fe32852c6a2bp-15, 0x1.257e9baeb80ccp-15, 0x1.1b65410c139ddp-15, 0x1.119528fd2d589p-15, 0x1.080c9e04f7779p-15, 0x1.fd9330a64d4f7p-16, 0x1.eb946dcbb131bp-16, 0x1.da194a57ab759p-16, 0x1.c91dd7eb3858p-16, 0x1.b89e84cf09417p-16, 0x1.a89834d83af7bp-16, 0x1.990833d2104f4p-16, 0x1.89ebfc4afcb7dp-16, 0x1.7b41b7bfbf011p-16, 0x1.6d075a6373a7ap-16, 0x1.5f39c4b6ba35cp-16, 0x1.51d637158501ep-16, 0x1.44d8c34068bfbp-16, 0x1.383ec7eb89806p-16, 0x1.2c055acadf9c5p-16, 0x1.2028ad355eb12p-16, 0x1.14a6efa5b471bp-16, 0x1.097df07a413b1p-16, 0x1.fd57988cfa4e7p-17, 0x1.e85d8d4a02947p-17, 0x1.d40a199c7b33bp-17, 0x1.c059437dda041p-17, 0x1.ad46d44fe69ebp-17, 0x1.9ace71b913029p-17, 0x1.88ebb07b5c031p-17, 0x1.779a3bdf12f86p-17, 0x1.66d6015d23643p-17, 0x1.569b23dbe02f8p-17, 0x1.46e5d02c9b8a3p-17, 0x1.37b24d73dfe26p-17, 0x1.28fd4646ed21cp-17, 0x1.1ac3ead0bc685p-17, 0x1.0d03b05efc156p-17, 0x1.ff73bbad96ecbp-18, 0x1.e5c68839fa782p-18, 0x1.ccf8b91beb6a9p-18, 0x1.b503a2fb20768p-18, 0x1.9de0347bbe966p-18, 0x1.878b4e28a3a64p-18, 0x1.71f78bd531c6ep-18, 0x1.5d29245860c23p-18, 0x1.491412ea5df26p-18, 0x1.35b40326cc4f7p-18, 0x1.2303f798ced85p-18, 0x1.10ff492ee11adp-18, 0x1.ff431871e8f81p-19, 0x1.ddcca87050f41p-19, 0x1.bd91fee57fa9bp-19, 0x1.9e887f209ea08p-19, 0x1.80a53411f60a3p-19, 0x1.63de20c754368p-19, 0x1.482ae24d19b6ep-19, 0x1.2d8586529bff5p-19, 0x1.13e86bb74e698p-19, 0x1.f69ac711021edp-20, 0x1.c7599c4b0d9fbp-20, 0x1.9a009ff336645p-20, 0x1.6e8827f49c688p-20, 0x1.44dd34c831c54p-20, 0x1.1ce596bd69378p-20, 0x1.ed2a28ec815cbp-21, 0x1.a3c917f900b5cp-21, 0x1.5d8edfa5b4159p-21, 0x1.1a465daf99902p-21, 0x1.b3df421584143p-22, 0x1.391381122090cp-22, 0x1.8796c169dd9b4p-23, 0x1.4fa7c4c4950d6p-24, -0x1.6c08b12b5b55ap-26, -0x1.f166245a18f39p-24, -0x1.ba048d934fabfp-23, -0x1.3964ac3e968adp-22, -0x1.90d0e917cbf7bp-22, -0x1.e31acf567913cp-22, -0x1.18d7dfb09e4e6p-21, -0x1.3e0a6f71a3d2bp-21, -0x1.614fc4331684cp-21, -0x1.82a6c4a27dbfap-21, -0x1.a223bf52150f8p-21, -0x1.bfe7f48c796e7p-21, -0x1.dbee6fda576acp-21, -0x1.f645901670998p-21, -0x1.077c85c9af80ep-20, -0x1.1308f412c429p-20, -0x1.1dccd96fa1523p-20, -0x1.27cf3d610670cp-20, -0x1.31196f1961c41p-20, -0x1.39b5b1762ee8p-20, -0x1.41b15f11ec10ep-20, -0x1.490ad410af83bp-20, -0x1.4fced537f9a8bp-20, -0x1.560083a816aaep-20, -0x1.5ba0cf5f5da88p-20, -0x1.60ae76465d872p-20, -0x1.653b2761ed74ep-20, -0x1.6946f9396bb61p-20, -0x1.6cdb023cab055p-20, -0x1.6ff29d96dac78p-20, -0x1.7296ca8209b79p-20, -0x1.74cb06cfed932p-20, -0x1.769333bea94acp-20, -0x1.77f3d2e350f04p-20, -0x1.78f1e3781b7f4p-20, -0x1.79925b118d65ap-20, -0x1.79d953c4a2535p-20, -0x1.79ca1db572b98p-20, -0x1.7968fe9053599p-20, -0x1.78b98552e1a25p-20, -0x1.77c02902235d3p-20, -0x1.767f5bc88ce45p-20, -0x1.74fd298841e43p-20, -0x1.733cc758932b7p-20, -0x1.713eb27238354p-20, -0x1.6f041bf8379p-20, -0x1.6c8e3b80350cap-20, -0x1.69dfdc189ceaap-20, -0x1.66fb5f439e91p-20, -0x1.63e4cf8c8248ep-20, -0x1.60a3394aabcbp-20, -0x1.5d39f096b6cep-20, -0x1.59a7dfa751737p-20, -0x1.55edf6f2ecf5dp-20, -0x1.52105444285abp-20, -0x1.4e0fcd5ceb922p-20, -0x1.49f0fa9406cfp-20, -0x1.45b4bf2741c04p-20, -0x1.415c27d78fdf9p-20, -0x1.3ce7c25b5fa6cp-20, -0x1.385982d1730bp-20, -0x1.33b3c69913166p-20, -0x1.2ef7e9a88122bp-20, -0x1.2a23552abe181p-20, -0x1.253f728083378p-20, -0x1.204b657a67df3p-20, -0x1.1b50728430d9bp-20, -0x1.163cc5b08e68ap-20, -0x1.1117e794d9147p-20, -0x1.0beef1a0f64e1p-20, -0x1.06b76120b033ap-20, -0x1.017007fdcd8f1p-20, -0x1.f84ee4897b196p-21, -0x1.edc2104c4f6a3p-21, -0x1.e318330407b1fp-21, -0x1.d876cb983faa4p-21, -0x1.cdac8b611c2a8p-21, -0x1.c304f78a06dbep-21, -0x1.b844c0deb135dp-21, -0x1.ad7c0175cd8c1p-21, -0x1.a2baae8c45147p-21, -0x1.97f62b98c2305p-21, -0x1.8d35da3bfdd7bp-21, -0x1.827bafa6616e1p-21, -0x1.77c4d8a5ae8ap-21, -0x1.6d3495533f323p-21, -0x1.6280ecb8a1dcbp-21, -0x1.57d007159bde6p-21, -0x1.4d3f1fe482c9dp-21, -0x1.42bbe7c1e2a82p-21, -0x1.38400e2b5ba3fp-21, -0x1.2dd7b875a288cp-21, -0x1.237c1ee02a175p-21, -0x1.192eac5c5d191p-21, -0x1.0ef1a51c7f9cbp-21, -0x1.04c62e0ab4fap-21, -0x1.f55bb338b014bp-22, -0x1.e151cf7481686p-22, -0x1.cd6e97cd8323bp-22, -0x1.b9af881734463p-22, -0x1.a616f87d6ac14p-22, -0x1.92a85bb927dd4p-22, -0x1.7f6681020dafcp-22, -0x1.6c52c0ecdca82p-22, -0x1.596d333ad80e5p-22, -0x1.46b5dad8dfd2ap-22, -0x1.342ccb4924e4p-22, -0x1.21d42125c38f1p-22, -0x1.0fafb789f8addp-22, -0x1.fb8012a7a3b41p-23, -0x1.d7ff563598ab2p-23, -0x1.b4ddca42827dap-23, -0x1.922d7e328c3a1p-23, -0x1.6fdf264eba42ep-23, -0x1.4e09a02998702p-23, -0x1.2c8d331ec3ae4p-23, -0x1.0b9bf0c7cf24fp-23, -0x1.d5ccd1d0344aap-24, -0x1.95667f6bd809dp-24, -0x1.55cae376d0f84p-24, -0x1.1709f54d18991p-24, -0x1.b25a570bc2b6p-25, -0x1.3849404e3815bp-25, -0x1.7eed18fbed03cp-26, -0x1.22d5ec473187cp-27, 0x1.5e25a063de4a9p-28, 0x1.3e5f3b88d8d6bp-26, 0x1.10caa67d379ecp-25, 0x1.8096844762ddfp-25, 0x1.ee8a6045853ebp-25, 0x1.2d7ff32e00e23p-24, 0x1.62fda16841a8bp-24, 0x1.97894b81ee8bfp-24, 0x1.cb58e7d707ffdp-24, 0x1.fe71d5a2dd901p-24, 0x1.182ff944b578bp-23, 0x1.30aed61edb983p-23, 0x1.48deb37258edep-23, 0x1.60aec56275593p-23, 0x1.77eb93efad08ap-23, 0x1.8f0ef0eb3f0dcp-23, 0x1.a5ae5eef3e72ap-23, 0x1.bbcb838634c3bp-23, 0x1.d180277527755p-23, 0x1.e6dcefcefd617p-23, 0x1.fbaf16dbd9833p-23, 0x1.082e4be389ab9p-22, 0x1.1248134194e21p-22, 0x1.1c29a34928f48p-22, 0x1.25e379d2f8ff5p-22, 0x1.2f6add59979a8p-22, 0x1.38bf5275061c2p-22, 0x1.41e64b872bc55p-22, 0x1.4ae543f1b3005p-22, 0x1.53b77b4c5784cp-22, 0x1.5c454037324f2p-22, 0x1.64a8557565317p-22, 0x1.6cedea64b429bp-22, 0x1.74f5dcd6655e6p-22, 0x1.7cdad11fd418ap-22, 0x1.849b10be48686p-22, 0x1.8c20bd0854ea7p-22, 0x1.93871633b7b1bp-22, 0x1.9abf1b0481f2p-22, 0x1.a1cb0226fee67p-22, 0x1.a8ae1b9ec35e8p-22, 0x1.af68f406e9b11p-22, 0x1.b5fa3b2889605p-22, 0x1.bc6150302418bp-22, 0x1.c29fd0cdcfb64p-22, 0x1.c8b88d4cb3bd1p-22, 0x1.ceae04b11fec7p-22, 0x1.d47d30651723p-22, 0x1.da27871eadb3ap-22, 0x1.dfaabebb8d93p-22, 0x1.e5060983e3cddp-22, 0x1.ea48bce097d1cp-22, 0x1.ef583c46a641p-22, 0x1.f44810b8239d9p-22, 0x1.f914209b8007dp-22, 0x1.fdc3561d48e8cp-22, 0x1.01265948df1dp-21, 0x1.035a313d78c98p-21, 0x1.057e4c6da8fc1p-21, 0x1.0793cc3aa6d77p-21, 0x1.09976a33f9887p-21, 0x1.0b8bf2699bbcp-21, 0x1.0d70105fe2b29p-21, 0x1.0f441e8598a3dp-21, 0x1.1108b14bd880ep-21, 0x1.12be71d0c86b9p-21, 0x1.14664d2638933p-21, 0x1.1601b18207a2ap-21, 0x1.178d4d33dd973p-21, 0x1.1909a16358e24p-21, 0x1.1a78b7e515867p-21, 0x1.1bdff5c146b35p-21, 0x1.1d39678d5e334p-21, 0x1.1e7815bcdccadp-21, 0x1.1fb47a0291a75p-21, 0x1.20def5a0d86b5p-21, 0x1.21f7cda24143bp-21, 0x1.2319e50dd32fbp-21, 0x1.2424d82531512p-21, 0x1.251cf50c49388p-21, 0x1.260f50310863ep-21, 0x1.26f5bc7709375p-21, 0x1.27cf3dc59fb59p-21, 0x1.289d418aa29b3p-21, 0x1.2960c09b4de23p-21, 0x1.2a1aeca0c3903p-21, 0x1.2acb4c849e07ep-21, 0x1.2b7043c4be954p-21, 0x1.2c0b49c3e27a9p-21, 0x1.2c9ef9cfc651ap-21, 0x1.2d210e27c22ep-21, 0x1.2d9e5103f85cep-21, 0x1.2e141b84724c4p-21, 0x1.2e7e9e7814493p-21, 0x1.2edf329502858p-21, 0x1.2f36ecd66e1e1p-21, 0x1.2f86573f4264fp-21, 0x1.2fcd10e05d13cp-21, 0x1.300b0298e3a48p-21, 0x1.303b79e6284f5p-21, 0x1.306cf53ca51e5p-21, 0x1.309224622642ep-21, 0x1.30b01bfbc2efcp-21, 0x1.30c69ec5eea5fp-21, 0x1.30d582723fa3ep-21, 0x1.30dcb9c6aa6bbp-21, 0x1.30dc5dc1e1056p-21, 0x1.30d2018c2caf3p-21, 0x1.30c8e09e65b9ap-21, 0x1.30b4523fd992fp-21, 0x1.30977fe6273efp-21, 0x1.3074b8aac708bp-21, 0x1.304f970f0553ap-21, 0x1.301ea2e1da678p-21, 0x1.2fe786545f041p-21, 0x1.2fa562ac73916p-21, 0x1.2f733d8711c2fp-21, 0x1.2f2caab0c213cp-21, 0x1.2eda84ed62c18p-21, 0x1.2e89e7336f95ap-21, 0x1.2e31b8d6702ccp-21, 0x1.2dd36b90d7fc3p-21, 0x1.2d6e53a021d4p-21, 0x1.2d0d835e1ed1cp-21, 0x1.2ca21c3e82351p-21, 0x1.2c313891a4131p-21, 0x1.2bbbf2eb5f288p-21, 0x1.2b44499ba4f24p-21, 0x1.2ac878b4c6f9dp-21, 0x1.2a42888dc4f21p-21, 0x1.29b2f8ca5ea02p-21, 0x1.292e639ac9f52p-21, 0x1.289a2f1674b7fp-21, 0x1.280d346991158p-21, 0x1.277b59a03b10bp-21, 0x1.26df91fcda036p-21, 0x1.263e036b0164ep-21, 0x1.259b6b62184bap-21, 0x1.24f905a565761p-21, 0x1.244c75afdeebap-21, 0x1.23896d9bd3d2bp-21, 0x1.22f10c3751c68p-21, 0x1.223c865645d7fp-21, 0x1.21887ebe1e6f3p-21, 0x1.20cf0805433dep-21, 0x1.20121b3d38c19p-21, 0x1.1f53f211bf19dp-21, 0x1.1e943b1d7e763p-21, 0x1.1dd0fc49eca1bp-21, 0x1.1d0a5b8581d83p-21, 0x1.1c40f3f96da7ep-21, 0x1.1b72582811867p-21, 0x1.1aa8cb431ded4p-21, 0x1.19d89d436f844p-21, 0x1.19001434001f2p-21, 0x1.182bd3f9d502fp-21, 0x1.17562b1e190fbp-21, 0x1.167ee8dbd3fcbp-21, 0x1.159fe5a68637fp-21, 0x1.14c23aa61891bp-21, 0x1.13e4212c90f24p-21, 0x1.13053a244f032p-21, 0x1.1223d1b5c107dp-21, 0x1.1141fb20778c9p-21, 0x1.105c675316f2ep-21, 0x1.0f74d5dac0fcbp-21, 0x1.0e8a5a549f3f2p-21, 0x1.0d9d0c83da287p-21, 0x1.0cb07ed0fe49ep-21, 0x1.0bc56ee9c73d7p-21, 0x1.0ad85637d3d3p-21, 0x1.09e85096be7ap-21, 0x1.08f57d335018ap-21, 0x1.080495f68b749p-21, 0x1.07107046495bbp-21, 0x1.06187afe9330bp-21, 0x1.0525447f25ddbp-21, 0x1.042ffa30c96e2p-21, 0x1.033ab37bee073p-21, 0x1.02450bafc1102p-21, 0x1.014697883bf03p-21, 0x1.004a125a79a13p-21, 0x1.fea46f3543b15p-22, 0x1.fcabd05529f23p-22, 0x1.facca7e376c31p-22, 0x1.f8c64c12002ap-22, 0x1.f6cc50049801cp-22, 0x1.f4c9e8c044413p-22, 0x1.f2cd2da70c0d7p-22, 0x1.f0cfd9ee8ea0cp-22, 0x1.eedbcb41543fap-22, 0x1.ecd12aaa051cep-22, 0x1.eacecc501e70ap-22, 0x1.e8d073dd8f07cp-22, 0x1.e6ce818923a6ap-22, 0x1.e4cf89d18f7ccp-22, 0x1.e2c0362ad2159p-22, 0x1.e0c4cd76d0ab4p-22, 0x1.debde786fd4eep-22, 0x1.dcbb820aa751cp-22, 0x1.dab7abebb86a3p-22, 0x1.d8b1790409904p-22, 0x1.d6ac788f0fe3p-22, 0x1.d4a8b5d86bb1dp-22, 0x1.d2a4cc9bcf384p-22, 0x1.d0a54d721ebaep-22, 0x1.cea37307607d2p-22, 0x1.cc9392567fb29p-22, 0x1.ca8a7a9abdb92p-22, 0x1.c8829b3951a48p-22, 0x1.c6807a177970ep-22, 0x1.c47e5f4727c14p-22, 0x1.c2786c514b7fbp-22, 0x1.c073c63c5bfdcp-22, 0x1.be6fcbdfaedabp-22, 0x1.bc6d1526d483cp-22, 0x1.ba6a81510b46ep-22, 0x1.b867189ce9d76p-22, 0x1.b661d4b3b3908p-22, 0x1.b46123e691a76p-22, 0x1.b25f2fca9a6b7p-22, 0x1.b06105aabbf45p-22, 0x1.ae51fd326d27cp-22, 0x1.ac61e0a6852f8p-22, 0x1.aa68decb294fep-22, 0x1.a867200d8da0fp-22, 0x1.a660dd02501e5p-22, 0x1.a46afa34bfcb3p-22, 0x1.a267b225c4ad7p-22, 0x1.a077232adbabep-22, 0x1.9e7b7cb4eadcdp-22, 0x1.9c8185c989614p-22, 0x1.9a88e7d9891b6p-22, 0x1.9890af2c31cbcp-22, 0x1.969989c93bebdp-22, 0x1.94a4627144895p-22, 0x1.92b20cebfce58p-22, 0x1.90c27a5d26d52p-22, 0x1.8ed08df541912p-22, 0x1.8cdfbc7d9b743p-22, 0x1.8af0db1511e7dp-22, 0x1.88ffc2ab67502p-22, 0x1.8710d9189050fp-22, 0x1.852210fd34c33p-22, 0x1.833e2e0665dafp-22, 0x1.814eb2feb7284p-22, 0x1.7f611eca3572ep-22, 0x1.7d81f1c234bfdp-22, 0x1.7b9966ef72d7bp-22, 0x1.79b9a552615a9p-22, 0x1.77d63fd5eafddp-22, 0x1.75f0e25b79079p-22, 0x1.7415e7a72464cp-22, 0x1.7220f4836ed73p-22, 0x1.70524ed8af74bp-22, 0x1.6e716d6cabdbp-22, 0x1.6c9b336da3128p-22, 0x1.6abb99d54198cp-22, 0x1.68e5fce85a852p-22, 0x1.671134673d78p-22, 0x1.653c7a9d64a3bp-22, 0x1.63686746d0395p-22, 0x1.6196991a0de2cp-22, 0x1.5fc86be643ed6p-22, 0x1.5dfb8953b6253p-22, 0x1.5c24bd4815476p-22, 0x1.5a5999cedbb8fp-22, 0x1.58866f2adf971p-22, 0x1.56c2dc2f5edbbp-22, 0x1.54fb46e673948p-22, 0x1.5331ec9d3c25p-22, 0x1.516c7decc5988p-22, 0x1.4fa950d3e6852p-22, 0x1.4de7a46516a24p-22, 0x1.4c27a1cdce8ep-22, 0x1.4a69a8869e005p-22, 0x1.48a989686ad8fp-22, 0x1.46ed1cbfb3e88p-22, 0x1.453649d45d495p-22, 0x1.4374b85a2f87ep-22, 0x1.41c86ce4842d5p-22, 0x1.4011e9e33b3e5p-22, 0x1.3e6545803289fp-22, 0x1.3cab8a0362becp-22, 0x1.3afa7e5f7fce2p-22, 0x1.394b0ffdab78p-22, 0x1.379ef5dc14c93p-22, 0x1.35f4532412a64p-22, 0x1.34484d0cfc9b1p-22, }}, 
      std::vector<double>(1100, 0.0), 
      {{-0x1.7e9455fb6f00cp-9, -0x1.939892a5b8a8cp-6, -0x1.ac28ea752ba02p-5, -0x1.19825a8fb57d2p-4, -0x1.036ef0a92659ep-4, -0x1.0e8b98d822d74p-5, 0x1.412b100bfa7d6p-6, 0x1.6b7f2f3313c93p-4, 0x1.56f279ebba89ep-3, 0x1.fe016230cdb1fp-3, 0x1.4fa293ba624ap-2, 0x1.98edadb116026p-2, 0x1.d7de5233febf2p-2, 0x1.055eae118ebb2p-1, 0x1.1874ef0d241e9p-1, 0x1.254e2a616c0d2p-1, 0x1.2c55fbb7ddb4fp-1, 0x1.2e2d47f3c5a68p-1, 0x1.2b94547b69229p-1, 0x1.255933c530499p-1, 0x1.1c4a49f546ceap-1, 0x1.112c76679bb3cp-1, 0x1.04b457a464f79p-1, 0x1.ef04375a530bap-2, 0x1.d43ead03fb396p-2, 0x1.b9fccdcc32612p-2, 0x1.a0f602bbf72dp-2, 0x1.89b713fc5f6d1p-2, 0x1.74a5eb6fce72dp-2, 0x1.6205f4f837982p-2, 0x1.51fcc4a7a632dp-2, 0x1.4496c09104d23p-2, 0x1.39cb9ddfe0931p-2, 0x1.3182901786ef5p-2, 0x1.2b9615daa9c5p-2, 0x1.27d758e16fa17p-2, 0x1.26111e244720fp-2, 0x1.260a473e2dd86p-2, 0x1.2787eac5516acp-2, 0x1.2a4f0c03d9148p-2, 0x1.2e25f8f0f224ep-2, 0x1.32d558e2bcb34p-2, 0x1.3828f8ba1ab6bp-2, 0x1.3df05c1e957dcp-2, 0x1.43ff19f227f14p-2, 0x1.4a2d10e0e72p-2, 0x1.50567e5610a7cp-2, 0x1.565bf94efc6b2p-2, 0x1.5c22550f22186p-2, 0x1.6192746bba0a3p-2, 0x1.6699156bbffebp-2, 0x1.6b26962311698p-2, 0x1.6f2eb211679c8p-2, 0x1.72a83a6875fedp-2, 0x1.758ccd9ac2574p-2, 0x1.77d8914aba694p-2, 0x1.7989eef3778e1p-2, 0x1.7aa152682ba0ap-2, 0x1.7b20e9d8f63bep-2, 0x1.7b0c681921acdp-2, 0x1.7a68ca6ccea61p-2, 0x1.793c22b186412p-2, 0x1.778d66263cc13p-2, 0x1.75644097a535ap-2, 0x1.72c8eb790bbb5p-2, 0x1.6fc408aaf8401p-2, 0x1.6c5e80b5c9ec2p-2, 0x1.68a1647c49bbcp-2, 0x1.6495d24ff775dp-2, 0x1.6044de6fbfc3ap-2, 0x1.5bb77e8036f95p-2, 0x1.56f6781ce6e41p-2, 0x1.520a52110a18ap-2, 0x1.4cfb47e4f8a6ap-2, 0x1.47d13fab4b4a7p-2, 0x1.4293c1fe9c8e8p-2, 0x1.3d49f37aa5d3ap-2, 0x1.37fa901cc6a5ep-2, 0x1.32abe7fa59665p-2, 0x1.2d63dd678d226p-2, 0x1.2827e43cb6a54p-2, 0x1.22fd024273882p-2, 0x1.1de7d07721de3p-2, 0x1.18ec7d26b9ea3p-2, 0x1.140eceb130e74p-2, 0x1.0f5226a8df024p-2, 0x1.0ab985ce3c70ap-2, 0x1.06478f8e18a36p-2, 0x1.01fe8ed55aa4cp-2, 0x1.fbc0f3b968baap-3, 0x1.f3ddee42c1a22p-3, 0x1.ec56c39dd01e6p-3, 0x1.e52d9c378ed87p-3, 0x1.de641cf1fcca4p-3, 0x1.d7fb6ea8ace2ep-3, 0x1.d1f44884536ebp-3, 0x1.cc4ef79e5e5d4p-3, 0x1.c70b67e8e6e35p-3, 0x1.c2292c369910ep-3, 0x1.bda785abd1c04p-3, 0x1.b9856b96e4261p-3, 0x1.b5c192092bad7p-3, 0x1.b25a70e96d505p-3, 0x1.af4e4a033012p-3, 0x1.ac9b2f3d6a5d9p-3, 0x1.aa3f0834d686dp-3, 0x1.a8379735d18acp-3, 0x1.a6827f1ef0de8p-3, 0x1.a51d472016e68p-3, 0x1.a4055f6ef0a47p-3, 0x1.a338260441d59p-3, 0x1.a2b2e8fc44923p-3, 0x1.a272ebcbfbeefp-3, 0x1.a2756904d91d1p-3, 0x1.a2b7964130e0dp-3, 0x1.a336a67b687aap-3, 0x1.a3efcc908c6ccp-3, 0x1.a4e03d8a4e544p-3, 0x1.a60532b33b1d1p-3, 0x1.a75beb619127cp-3, 0x1.a8e1ae817b236p-3, 0x1.aa93cc3db8ba6p-3, 0x1.ac6f9f19f9581p-3, 0x1.ae728d23c7546p-3, 0x1.b09a09146ad3ep-3, 0x1.b2e392dc246e5p-3, 0x1.b54cb883f0ca3p-3, 0x1.b7d317089d61ap-3, 0x1.ba745a5c6dd7ap-3, 0x1.bd2e3e16b9aep-3, 0x1.bffe8de2a0675p-3, 0x1.c2e325a2d46a9p-3, 0x1.c5d9f13521029p-3, 0x1.c8e0ed47d9efep-3, 0x1.cbf62703d1fep-3, 0x1.cf17bbc119cfbp-3, 0x1.d243d938911d2p-3, 0x1.d578bde3fa56ap-3, 0x1.d8b4b8048c491p-3, 0x1.dbf625b132bc8p-3, 0x1.df3b74dea34b7p-3, 0x1.e28323606b6d2p-3, 0x1.e5cbbdd88e4f9p-3, 0x1.e913dfc5523bcp-3, 0x1.ec5a33a842c9cp-3, 0x1.ef9d72a8b2b58p-3, 0x1.f2dc635142c77p-3, 0x1.f615d9e65e794p-3, 0x1.f948b8b31a95p-3, 0x1.fc73eefa89fbbp-3, 0x1.ff9678111d642p-3, 0x1.0157adf2a0bfdp-2, 0x1.02ded76eaebe2p-2, 0x1.046048985f20cp-2, 0x1.05db96cac88ecp-2, 0x1.07505cfda9af7p-2, 0x1.08be3bd4a164dp-2, 0x1.0a24d91a57c82p-2, 0x1.0b83df4d276ffp-2, 0x1.0cdafdc994f85p-2, 0x1.0e29e8e533b66p-2, 0x1.0f70599f01b23p-2, 0x1.10ae0d265e88dp-2, 0x1.11e2c4bf9c9fp-2, 0x1.130e460aeaf2cp-2, 0x1.14305ad966d3bp-2, 0x1.1548d0ba96f2ep-2, 0x1.165778c3e721fp-2, 0x1.175c27ab94811p-2, 0x1.1856b5e2eb829p-2, 0x1.1946ff3ebb799p-2, 0x1.1a2ce2b68a7cdp-2, 0x1.1b08425106aa8p-2, 0x1.1bd9031c932a1p-2, 0x1.1c9f0d4b12033p-2, 0x1.1d5a4bed7641ep-2, 0x1.1e0aacb1d2805p-2, 0x1.1eb01fcea7e51p-2, 0x1.1f4a98115018fp-2, 0x1.1fda0ae3511ccp-2, 0x1.205e701c31891p-2, 0x1.20d7c1d210964p-2, 0x1.2145fc1b35692p-2, 0x1.21a91d4bcef91p-2, 0x1.220125d3bdcadp-2, 0x1.224e1840d171fp-2, 0x1.228ff8fdda96cp-2, 0x1.22c6ce2cec74p-2, 0x1.22f29fa8d38dfp-2, 0x1.23137715862f7p-2, 0x1.23295fe2af539p-2, 0x1.2334671cdfba9p-2, 0x1.23349b37becacp-2, 0x1.232a0c03eacbdp-2, 0x1.2314cac1c29a9p-2, 0x1.22f4ea279252p-2, 0x1.22ca7e4f74acp-2, 0x1.22959c953e29ap-2, 0x1.22565b5a5079ep-2, 0x1.220cd21b2a05fp-2, 0x1.21b9197831be3p-2, 0x1.215b4b3df0e2fp-2, 0x1.20f382476e305p-2, 0x1.2081da54931ep-2, 0x1.20066ff69538dp-2, 0x1.1f8160914f615p-2, 0x1.1ef2ca686dc77p-2, 0x1.1e5acca28671dp-2, 0x1.1db9872eb100cp-2, 0x1.1d0f1aa17644cp-2, 0x1.1c5ba82f6f373p-2, 0x1.1b9f519055c98p-2, 0x1.1ada392f1b77fp-2, 0x1.1a0c820d504c6p-2, 0x1.19364fbdb1912p-2, 0x1.1857c6483be9cp-2, 0x1.17710a19dcb2bp-2, 0x1.16824000d0b29p-2, 0x1.158b8d2dbbd1ap-2, 0x1.148d17365731dp-2, 0x1.138704101108fp-2, 0x1.127979fbb161dp-2, 0x1.11649f733403ap-2, 0x1.10489b2411a79p-2, 0x1.0f2593ed2140ap-2, 0x1.0dfbb0dc4bf74p-2, 0x1.0ccb192d8a8ddp-2, 0x1.0b93f44408ccdp-2, 0x1.0a5669a094ad3p-2, 0x1.0912a0c50014ep-2, 0x1.07c8c1437cb0cp-2, 0x1.0678f2b44b5ebp-2, 0x1.05235cabab5ccp-2, 0x1.03c826c0cf7e9p-2, 0x1.026778850e6b4p-2, 0x1.0101797a3f4fap-2, 0x1.ff2ca2116abc5p-3, 0x1.fc4c4cf906655p-3, 0x1.f96241ffea94dp-3, 0x1.f66ecf35ef4a1p-3, 0x1.f372425abb50ap-3, 0x1.f06ce8d98c177p-3, 0x1.ed5f0fc11e36p-3, 0x1.ea4903b1ca2d7p-3, 0x1.e72b10d434aa9p-3, 0x1.e40582d572b9p-3, 0x1.e0d8a4dfc01c4p-3, 0x1.dda4c19149f57p-3, 0x1.da6a22f7e7a63p-3, 0x1.d72912964be7ap-3, 0x1.d3e1d948c9e3p-3, 0x1.d094bf4c29db7p-3, 0x1.cd420c39db73ep-3, 0x1.c9ea06ee799edp-3, 0x1.c68cf59914e1ap-3, 0x1.c32b1dac7bf67p-3, 0x1.bfc4c3dbba988p-3, 0x1.bc5a2c1a30633p-3, 0x1.b8eb99993e34p-3, 0x1.b5794ebe87984p-3, 0x1.b2038d1cb9dcep-3, 0x1.ae8a9573e241cp-3, 0x1.ab0ea7b00718bp-3, 0x1.a79002e290adep-3, 0x1.a40ee53d450d4p-3, 0x1.a08b8c12b5f5fp-3, 0x1.9d0633d7c3e1ap-3, 0x1.997f181f7bd8cp-3, 0x1.95f67395df526p-3, 0x1.926c7ffe2d472p-3, 0x1.8ee1762f003c3p-3, 0x1.8b558e1493aecp-3, 0x1.87c8feaf1897p-3, 0x1.843bfe0e35ff6p-3, 0x1.80aec1548a38p-3, 0x1.7d217caa9c52fp-3, 0x1.7994635beaff4p-3, 0x1.7607a7b2d7c1fp-3, 0x1.727b7b0c10c0fp-3, 0x1.6ef00dd3ade3ep-3, 0x1.6b658f810ce62p-3, 0x1.67dc2e98afd9p-3, 0x1.645418aad8044p-3, 0x1.60cd7a55a660ep-3, 0x1.5d487f45eeb3fp-3, 0x1.59c552382f9bdp-3, 0x1.56441cf8a3462p-3, 0x1.52c50862ecc0fp-3, 0x1.4f483c629ccd4p-3, 0x1.4bcddff611392p-3, 0x1.4856192c26a7ep-3, 0x1.44e10d299cadfp-3, 0x1.416ee024903f5p-3, 0x1.3dffb56a5e758p-3, 0x1.3a93af61a55f1p-3, 0x1.372aef8be873dp-3, 0x1.33c596858d1p-3, 0x1.3063c4070f329p-3, 0x1.2d0596e6e5461p-3, 0x1.29ab2d1ac2f1cp-3, 0x1.2654a3b985ae7p-3, 0x1.230216fe2a1e5p-3, 0x1.1fb3a24b56ed9p-3, 0x1.1c6960245df01p-3, 0x1.19236a43fea95p-3, 0x1.15e1d98bd938bp-3, 0x1.12a4c60cee80ap-3, 0x1.0f6c4707a9d3ap-3, 0x1.0c3872ee92915p-3, 0x1.09095f6836f8ep-3, 0x1.05df2151d79ep-3, 0x1.02b9ccc416512p-3, 0x1.ff32ea2d18de9p-4, 0x1.f8fc59c313732p-4, 0x1.f2d00c000011ap-4, 0x1.ecae232603bb3p-4, 0x1.e696c00341e69p-4, 0x1.e08a01f242895p-4, 0x1.da8806dfc96dap-4, 0x1.d490eb52d42adp-4, 0x1.cea4ca731354bp-4, 0x1.c8c3be1557263p-4, 0x1.c2eddec314171p-4, 0x1.bd2343bf1ef64p-4, 0x1.b764030a6ac5dp-4, 0x1.b1b0316459a7fp-4, 0x1.ac07e24a372b3p-4, 0x1.a66b27fa293cdp-4, 0x1.a0da137878ff8p-4, 0x1.9b54b495371cdp-4, 0x1.95db19f8b4edbp-4, 0x1.906d512532c87p-4, 0x1.8b0b669221f19p-4, 0x1.85b565a824be1p-4, 0x1.806b58c91af96p-4, 0x1.7b2d494869c3dp-4, 0x1.75fb3f78b6239p-4, 0x1.70d5429e8fc8bp-4, 0x1.6bbb58f6a085ap-4, 0x1.66ad87bc54fe8p-4, 0x1.61abd33097d06p-4, 0x1.5cb63ea68ea18p-4, 0x1.57cccc9055157p-4, 0x1.52ef7e88614cap-4, 0x1.4e1e555793595p-4, 0x1.495950f893f7cp-4, 0x1.44a07098365e3p-4, 0x1.3ff3b293efc1dp-4, 0x1.3b53147848b31p-4, 0x1.36be9301a252dp-4, 0x1.32362a216b757p-4, 0x1.2db9d5052a6d5p-4, 0x1.29498e20df38bp-4, 0x1.24e54f3c24519p-4, 0x1.208d1179b1dafp-4, 0x1.1c40cd5e1e69cp-4, 0x1.18007ad433809p-4, 0x1.13cc112f4844fp-4, 0x1.0fa3872ae4427p-4, 0x1.0b86d2e91bd79p-4, 0x1.0775e9f2e4a74p-4, 0x1.0370c13b5f35p-4, 0x1.feee9a4a05c38p-5, 0x1.f713031066815p-5, 0x1.ef4ea378cca12p-5, 0x1.e7a16139f37bfp-5, 0x1.e00b212802de7p-5, 0x1.d88bc73706f2p-5, 0x1.d12336860fb5dp-5, 0x1.c9d1516321badp-5, 0x1.c295f94f0194ap-5, 0x1.bb710efbd1e55p-5, 0x1.b462725246bd8p-5, 0x1.ad6a02787f335p-5, 0x1.a6879dd546e72p-5, 0x1.9fbb221f8e036p-5, 0x1.99046c654766cp-5, 0x1.926359155d0b8p-5, 0x1.8bd7c4078eaf9p-5, 0x1.8561888688b72p-5, 0x1.7f0081565fd22p-5, 0x1.78b488b8fa67bp-5, 0x1.727d78728d5acp-5, 0x1.6c5b29ce1279fp-5, 0x1.664d75a217f3dp-5, 0x1.60543455ed61ap-5, 0x1.5a6f3de7535b5p-5, 0x1.549e69f0a2acp-5, 0x1.4ee18faf2e47dp-5, 0x1.49388609f95a2p-5, 0x1.43a323977e6b8p-5, 0x1.3e213ea29aa1dp-5, 0x1.38b2ad2f38f6dp-5, 0x1.3357450050f5ep-5, 0x1.2e0edb9d71b87p-5, 0x1.28d9465749397p-5, 0x1.23b65a4929d2dp-5, 0x1.1ea5ec5cb27fp-5, 0x1.19a7d15868d6p-5, 0x1.14bbddd94f595p-5, 0x1.0fe1e657a56cdp-5, 0x1.0b19bf3497b3ap-5, 0x1.06633cb620888p-5, 0x1.01be330cddeb2p-5, 0x1.fa54ecb09d2ccp-6, 0x1.f14fb5558c82bp-6, 0x1.e86c6819bf639p-6, 0x1.dfaaad0242f25p-6, 0x1.d70a2c0f63a4cp-6, 0x1.ce8a8d43baed2p-6, 0x1.c62b78acb1d84p-6, 0x1.bdec96680f33ep-6, 0x1.b5cd8ea549547p-6, 0x1.adce09b37e387p-6, 0x1.a5edb00469677p-6, 0x1.9e2c2a31f435dp-6, 0x1.9689210ae8cdbp-6, 0x1.8f043d885c488p-6, 0x1.879d28dc8c39ep-6, 0x1.80538c785e0f4p-6, 0x1.79271210cfa92p-6, 0x1.721763a362e26p-6, 0x1.6b242b7986231p-6, 0x1.644d142ce8aecp-6, 0x1.5d91c8ad319c7p-6, 0x1.56f1f4446ee25p-6, 0x1.506d429bc51f9p-6, 0x1.4a035fbf60b29p-6, 0x1.43b3f8227b37ep-6, 0x1.3d7eb8a2c7a13p-6, 0x1.37634e8baa3a2p-6, 0x1.316167990c0c3p-6, 0x1.2b78b1f9f326ap-6, 0x1.25a8dc535c57fp-6, 0x1.1ff195c3570c8p-6, 0x1.1a528de4d335fp-6, 0x1.14cb74d385b6fp-6, 0x1.0f5bfb2f4d715p-6, 0x1.0a03d21eef70fp-6, 0x1.04c2ab54aa8fap-6, 0x1.ff30721b60b34p-7, 0x1.f5085c2e106abp-7, 0x1.eb0c7b997890ep-7, 0x1.e13c3835ea1b4p-7, 0x1.d796faf5fe799p-7, 0x1.ce1c2df1c08ebp-7, 0x1.c4cb3c66c1ccep-7, 0x1.bba392bc0009ap-7, 0x1.b2a49e8b548c5p-7, 0x1.a9cdcea8469b2p-7, 0x1.a11e9317bcf03p-7, 0x1.98965d52cd8d3p-7, 0x1.90349fffa6f7dp-7, 0x1.87f8cef70e311p-7, 0x1.7fe25f80f3fbp-7, 0x1.77f0c81569122p-7, 0x1.7023806475183p-7, 0x1.687a0160cef5ap-7, 0x1.60f3c51b61827p-7, 0x1.599046eba878ep-7, 0x1.524f035e7e304p-7, 0x1.4b2f784516b5ep-7, 0x1.443124c481294p-7, 0x1.3d53896230d4ap-7, 0x1.3696280dbc739p-7, 0x1.2ff88425f134dp-7, 0x1.297a22791b591p-7, 0x1.231a893e50c7ap-7, 0x1.1cd940069ccdbp-7, 0x1.16b5cfa97e9c7p-7, 0x1.10afc231cdac5p-7, 0x1.0ac6a2cdf89f8p-7, 0x1.04f9fdc52651p-7, 0x1.fe92c0e901ac7p-8, 0x1.f368b2ae6bdd4p-8, 0x1.e874f034526e5p-8, 0x1.ddb69b6f7d742p-8, 0x1.d32cd930e9e55p-8, 0x1.c8d6d15fda4cp-8, 0x1.beb3af2003ddcp-8, 0x1.b4c2a0d9a4bafp-8, 0x1.ab02d81fe5d92p-8, 0x1.a17389774d7cp-8, 0x1.9813ebefab12dp-8, 0x1.8ee3388355e36p-8, 0x1.85e0a9f38b47bp-8, 0x1.7d0b7c8207467p-8, 0x1.7462ed5679933p-8, 0x1.6be63b1c683d5p-8, 0x1.6394a62db2121p-8, 0x1.5b6d70e517407p-8, 0x1.536fe0745f62p-8, 0x1.4b9b3d91db5bfp-8, 0x1.43eed501f1539p-8, 0x1.3c69f7ea1ab21p-8, 0x1.350bfbd30874p-8, 0x1.2dd43a4ce1cbcp-8, 0x1.26c21037dd8a3p-8, 0x1.1fd4dcca3eeeep-8, 0x1.190c007fc68b2p-8, 0x1.1266dc23345a2p-8, 0x1.0be4d01e04803p-8, 0x1.05853c3560fa5p-8, 0x1.fe8effa1604c1p-9, 0x1.f255f4d21ba0bp-9, 0x1.e65e19b92593dp-9, 0x1.daa6352d418efp-9, 0x1.cf2d15a512fd6p-9, 0x1.c3f194422fc5ap-9, 0x1.b8f294d0dcbb5p-9, 0x1.ae2f05fc862bfp-9, 0x1.a3a5e17549fcfp-9, 0x1.9956288a514a5p-9, 0x1.8f3ee0daab4p-9, 0x1.855f10e19cd8cp-9, 0x1.7bb5bca012035p-9, 0x1.7241e3a06374bp-9, 0x1.69027fde2ff54p-9, 0x1.5ff686997af3dp-9, 0x1.571ceadf73152p-9, 0x1.4e74a0b8ea7b3p-9, 0x1.45fca171c4596p-9, 0x1.3db3ef0a2913p-9, 0x1.359997b2b4996p-9, 0x1.2dacb8b939c0dp-9, 0x1.25ec7f744e133p-9, 0x1.1e582837607e2p-9, 0x1.16eefbdb23e7bp-9, 0x1.0fb04b702ff31p-9, 0x1.089b6aedbd877p-9, 0x1.01afab93f0f2dp-9, 0x1.f5d8ae0e29674p-10, 0x1.e8a1580d7ef87p-10, 0x1.dbb7baa826379p-10, 0x1.cf1a25cb89ab6p-10, 0x1.c2c6da1ef108p-10, 0x1.b6bc11d03ca04p-10, 0x1.aaf80a3ae2bfbp-10, 0x1.9f790cfdaf4d1p-10, 0x1.943d7799cb9fbp-10, 0x1.8943c13be2101p-10, 0x1.7e8a7e8ea12fap-10, 0x1.7410637203cb1p-10, 0x1.69d44245c4e46p-10, 0x1.5fd508886a177p-10, 0x1.5611b8866c651p-10, 0x1.4c8960afd3c8bp-10, 0x1.433b1183b6f5bp-10, 0x1.3a25d3ea8d823p-10, 0x1.3148a1fee92bcp-10, 0x1.28a263f06ca1bp-10, 0x1.2031f1aaa2e9fp-10, 0x1.17f61873d84a3p-10, 0x1.0feda27636a16p-10, 0x1.08175d96bc0dcp-10, 0x1.00721f7e88615p-10, 0x1.f1f98cbf44b01p-11, 0x1.e36c707f7d196p-11, 0x1.d53ac1a047416p-11, 0x1.c762658b8f5dcp-11, 0x1.b9e1541d7312ep-11, 0x1.acb59fdb2a36cp-11, 0x1.9fdd7c8e7716p-11, 0x1.93573fc64c99cp-11, 0x1.8721596aa834dp-11, 0x1.7b3a45b67dbaap-11, 0x1.6fa07cf78b56ep-11, 0x1.6452658ac92e7p-11, 0x1.594e505fac94bp-11, 0x1.4e92810aef507p-11, 0x1.441d36195acdp-11, 0x1.39ecc20cdf852p-11, 0x1.2fff9919378b1p-11, 0x1.265454907c1ecp-11, 0x1.1ce9aa90fd4aep-11, 0x1.13be588e73d2cp-11, 0x1.0ad10a1bed44fp-11, 0x1.0220472df981cp-11, 0x1.f354e5c94e583p-12, 0x1.e2dbb9d28f9dbp-12, 0x1.d2d1bcd0207e3p-12, 0x1.c333e33ad6c09p-12, 0x1.b3ffd0a1fe12bp-12, 0x1.a533155638b73p-12, 0x1.96cc1487e293bp-12, 0x1.88c8d5b0a768bp-12, 0x1.7b276c78e64c2p-12, 0x1.6de5b103a495ep-12, 0x1.61015753d95fbp-12, 0x1.54780eb74dea6p-12, 0x1.4847a2d1bafaap-12, 0x1.3c6e14f3026d4p-12, 0x1.30e9a8aa3b14fp-12, 0x1.25b8e079c532ep-12, 0x1.1ada60c16e7a6p-12, 0x1.104cccd336437p-12, 0x1.060e976c3fee1p-12, 0x1.f83bb143aad99p-13, 0x1.e4f079a3db6f3p-13, 0x1.d236459df24ebp-13, 0x1.c007aeb8c114p-13, 0x1.ae5fbd564e926p-13, 0x1.9d3a568e0025ep-13, 0x1.8c94533418e8bp-13, 0x1.7c6b373e9062bp-13, 0x1.6cbca2c8e6debp-13, 0x1.5d85c29890e0cp-13, 0x1.4ec329a331235p-13, 0x1.4070dae052893p-13, 0x1.328adbaca69e5p-13, 0x1.250d98637d8a5p-13, 0x1.17f650af9767p-13, 0x1.0b43291b5cf19p-13, 0x1.fde60477a2c81p-14, 0x1.e60a3f79261f4p-14, 0x1.cef172580da11p-14, 0x1.b89949dc2a6e4p-14, 0x1.a2fe6f6ca0979p-14, 0x1.8e1c586b37872p-14, 0x1.79ed72739f273p-14, 0x1.666b34d1fb1fbp-14, 0x1.538e58121f9b4p-14, 0x1.414f85153cca4p-14, 0x1.2fa839e8f58d4p-14, 0x1.1e938df4b634p-14, 0x1.0e0e6cce8cce3p-14, 0x1.fc2e915afffcp-15, 0x1.dd5a6e43bea6ap-15, 0x1.bf9ddd6d6ac75p-15, 0x1.a2f462e6dfc1dp-15, 0x1.875688c0bc415p-15, 0x1.6cba73a5e9728p-15, 0x1.53147140d6565p-15, 0x1.3a58216d899e9p-15, 0x1.227a88e7ee1ffp-15, 0x1.0b731b3bc8357p-15, 0x1.ea78716d910ep-16, 0x1.bfa40e1b214b9p-16, 0x1.96612315e07d9p-16, 0x1.6ea54d7e7cac4p-16, 0x1.4864542bea896p-16, 0x1.2392b22a2f57p-16, 0x1.0027d7cb42b4fp-16, 0x1.bc3cd9fb9aa11p-17, 0x1.7ae4907da310fp-17, 0x1.3c3aae336372fp-17, 0x1.002b2e914e55dp-17, 0x1.8d366954cf051p-18, 0x1.1edbad87c06aep-18, 0x1.6a20505340df8p-19, 0x1.3e8cca6fe2a3ep-20, -0x1.1952b4ed91a01p-22, -0x1.bad262710d974p-20, -0x1.8f81a5ef138fp-19, -0x1.1caeddf513b26p-18, -0x1.6d781921a1c26p-18, -0x1.ba2ef9de6c3cap-18, -0x1.01866f5014c0bp-17, -0x1.24283280e338fp-17, -0x1.451802f30facap-17, -0x1.645f2537ca867p-17, -0x1.81fde1c0861e2p-17, -0x1.9df857bd23b5bp-17, -0x1.b85df4bd9b83bp-17, -0x1.d1486cfc79adfp-17, -0x1.e8d6aca2423aep-17, -0x1.ff27a491e5059p-17, -0x1.0a2aa7d9f14a2p-16, -0x1.14380089f569ep-16, -0x1.1dbdbeb000279p-16, -0x1.26b8019371133p-16, -0x1.2f203345c8837p-16, -0x1.36f15206eefa9p-16, -0x1.3e2b40555419p-16, -0x1.44d3220ff3b12p-16, -0x1.4af1751c5276dp-16, -0x1.50910ef921ae3p-16, -0x1.55bf4a264f782p-16, -0x1.5a8963d86b8e4p-16, -0x1.5ef5657f71bf7p-16, -0x1.62fd5a257da61p-16, -0x1.66960a600a6a6p-16, -0x1.69bb1a562dc35p-16, -0x1.6c76a40937911p-16, -0x1.6eda6b857d206p-16, -0x1.70f0e9a3a0cb8p-16, -0x1.72b92abadf2edp-16, -0x1.742de7c91c025p-16, -0x1.754e04edb732p-16, -0x1.761ea9b88d428p-16, -0x1.76a35bebe32dfp-16, -0x1.76df6c163b33ep-16, -0x1.76d843957feccp-16, -0x1.768f1eb179c78p-16, -0x1.7608529151d5p-16, -0x1.7549a8814bd91p-16, -0x1.745a925bd7a0bp-16, -0x1.734226f5274cfp-16, -0x1.7203ff031e13fp-16, -0x1.709f58405aa35p-16, -0x1.6f0f7e330ed84p-16, -0x1.6d4eef08cd81ep-16, -0x1.6b5b552e9e412p-16, -0x1.69375bd4cf841p-16, -0x1.66e8569e35ffp-16, -0x1.6472ad3e22109p-16, -0x1.61dad1e8f2b69p-16, -0x1.5f27020636be1p-16, -0x1.5c5b5ffc58b4cp-16, -0x1.59733508e0c1ep-16, -0x1.566886f388b07p-16, -0x1.53400c3034078p-16, -0x1.5006e7c23095fp-16, -0x1.4cc29c53dbf95p-16, -0x1.496d55f28f873p-16, -0x1.46002ede5c848p-16, -0x1.427be657fee39p-16, -0x1.3ee53b0f4485bp-16, -0x1.3b403ea97d3c2p-16, -0x1.378efbd547ce5p-16, -0x1.33d20bb7021f2p-16, -0x1.300926aac8ec6p-16, -0x1.2c33601e8c0eap-16, -0x1.284f830f2790cp-16, -0x1.245ce5766b927p-16, -0x1.205c8a71e4d83p-16, -0x1.1c5265a381dd6p-16, -0x1.18453fe27bde1p-16, -0x1.143bb6143db9cp-16, -0x1.1036f472d6001p-16, -0x1.0c319859a504ap-16, -0x1.08258ebbb103cp-16, -0x1.0412a796eba8ap-16, -0x1.fffb5e1fe26afp-17, -0x1.f7d22fd6db04cp-17, -0x1.efa3d060e43f8p-17, -0x1.e76861c32e152p-17, -0x1.df2035e8c9eb7p-17, -0x1.d6d7f70a0e94bp-17, -0x1.ce9ec3887306dp-17, -0x1.c673cdf0513b5p-17, -0x1.be4ee8dfdcd7fp-17, -0x1.b63694816c7ebp-17, -0x1.ae32771fb5468p-17, -0x1.a638e2ae6c806p-17, -0x1.9e3f441f5c8a2p-17, -0x1.96489bdc44a35p-17, -0x1.8e5c7d901ef9fp-17, -0x1.867efc2f27fbbp-17, -0x1.7eb0c9d6cfaap-17, -0x1.76f27215ddb2cp-17, -0x1.6f43830256249p-17, -0x1.67a40cade23c3p-17, -0x1.6011ee9b92549p-17, -0x1.588bccffacb14p-17, -0x1.5110735f5edb3p-17, -0x1.499ea162eff83p-17, -0x1.42383b858e0bbp-17, -0x1.3ae52b2f51585p-17, -0x1.33ada0ed59e4fp-17, -0x1.2c8e0517e0adbp-17, -0x1.257e39ba2c338p-17, -0x1.1e7d13afd946dp-17, -0x1.179595e3f5ca3p-17, -0x1.10c3788c5de64p-17, -0x1.09ff374d385dp-17, -0x1.0348dc1949645p-17, -0x1.f94a530e4c9afp-18, -0x1.ec30ca35bbb2ep-18, -0x1.df46797eda6d4p-18, -0x1.d283848af28f4p-18, -0x1.c5e059852c421p-18, -0x1.b95bd50b6b497p-18, -0x1.ad07777b0bb69p-18, -0x1.a0e4d82f17df4p-18, -0x1.94f3f0e1156c2p-18, -0x1.8932fab1688ebp-18, -0x1.7d93e896fee1ap-18, -0x1.7214acbbe4706p-18, -0x1.66be3511cb889p-18, -0x1.5b94b0220d2ep-18, -0x1.5097ce7d21ab1p-18, -0x1.45c67c25e2581p-18, -0x1.3b1feb9a270b9p-18, -0x1.30a3801c9f61ap-18, -0x1.265073998ad9fp-18, -0x1.1c262122a6f14p-18, -0x1.1223fa08177c6p-18, -0x1.08485e3a2a41dp-18, -0x1.fd20356e3b57dp-19, -0x1.e9f9827db0aa7p-19, -0x1.d72c943f23444p-19, -0x1.c4b79964e0adbp-19, -0x1.b295a3c693746p-19, -0x1.a0cfff41c625p-19, -0x1.8f57d6db4d286p-19, -0x1.7e1edbecf20b8p-19, -0x1.6d2e73ae1c353p-19, -0x1.5c8fbedca9227p-19, -0x1.4c42874ccfaedp-19, -0x1.3c4584aa14a4cp-19, -0x1.2c956e85d651ap-19, -0x1.1d32b781aaaafp-19, -0x1.0e18bb7041b17p-19, -0x1.fe943054fc3a8p-20, -0x1.e18b9193c60dep-20, -0x1.c514989d09d17p-20, -0x1.a92226c2018f1p-20, -0x1.8dabfaa47ad4cp-20, -0x1.72c57d9bce2dfp-20, -0x1.587f8cb8f018ep-20, -0x1.3ed37d6448c22p-20, -0x1.25a28d07a782bp-20, -0x1.0cec74b981ac1p-20, -0x1.e97a6b79bf35bp-21, -0x1.ba2dc56929eb2p-21, -0x1.8beab49a22ddep-21, -0x1.5eab7f49af81cp-21, -0x1.326e5a5c502a7p-21, -0x1.072dc2aa699b1p-21, -0x1.b9cee7a04c81ap-22, -0x1.6738b91da9403p-22, -0x1.1673fb1f3759cp-22, -0x1.8eb8c3d3ec2cdp-23, -0x1.e84e14174473p-24, -0x1.7699f35f9fe42p-25, 0x1.a884b9bf3dedfp-26, 0x1.8891db93033d1p-24, 0x1.50473a6d6dca1p-23, 0x1.d8d54e61db367p-23, 0x1.2ef68d0fe445ep-22, 0x1.6fc0774e58e62p-22, 0x1.aef7b9228a4f4p-22, 0x1.ec86ad6d13271p-22, 0x1.143afca102b05p-21, 0x1.316d07060addap-21, 0x1.4dd78d03031a2p-21, 0x1.697d1417b81f2p-21, 0x1.8462994541c17p-21, 0x1.9e8d09cfecc5p-21, 0x1.b7fd7947fc409p-21, 0x1.d0ad36249b584p-21, 0x1.e8a9bff3955c9p-21, 0x1.fffaf88ad5556p-21, 0x1.0b4b4365d3c2ap-20, 0x1.16442f945197ep-20, 0x1.20e9da54843dbp-20, 0x1.2b3c0305f662ep-20, 0x1.353e1f79d3d2fp-20, 0x1.3eecfcfa8090bp-20, 0x1.484dd52ddf4d4p-20, 0x1.51626eeb82bd4p-20, 0x1.5a2a6a34ec324p-20, 0x1.62a7096a2f18p-20, 0x1.6ad9e52ee4943p-20, 0x1.72c46ff6ba9e4p-20, 0x1.7a683dcbcf92cp-20, 0x1.81c7edfd3c23dp-20, 0x1.88e48be0650d6p-20, 0x1.8fbd141c59d2ap-20, 0x1.9652bf709ecd4p-20, 0x1.9ca8beb963b77p-20, 0x1.a2c216efe8978p-20, 0x1.a89acd5d758edp-20, 0x1.ae3759eb1a94fp-20, 0x1.b3982b2453dcbp-20, 0x1.b8bfc20246168p-20, 0x1.bdadc0e4728adp-20, 0x1.c263c530890d5p-20, 0x1.c6e322fa46658p-20, 0x1.cb2d59aab15e9p-20, 0x1.cf426f7622f06p-20, 0x1.d3247161a7a49p-20, 0x1.d6d3f5c89e266p-20, 0x1.da52184f34bf1p-20, 0x1.dd9ffc8e8e59ep-20, 0x1.e0bec2671f2c4p-20, 0x1.e3af944dfac44p-20, 0x1.e673c54705436p-20, 0x1.e90b34df2710ep-20, 0x1.eb7787e6713d3p-20, 0x1.edb9d830e2731p-20, 0x1.efd4202fcee1p-20, 0x1.f1c622a9e39fdp-20, 0x1.f38df9981d164p-20, 0x1.f53225b5968fcp-20, 0x1.f6ae705bc22a6p-20, 0x1.f8053ce6ef6b3p-20, 0x1.f93efc416223bp-20, 0x1.fa51cbd2b44aap-20, 0x1.fb416bedb7faap-20, 0x1.fc11303e4a78fp-20, 0x1.fcc08fac3e2dfp-20, 0x1.fd50160b07f7bp-20, 0x1.fdc0dfb3f6521p-20, 0x1.fe13cafc55963p-20, 0x1.fe49fce4c8a4ap-20, 0x1.fe63fa1d8ebd5p-20, 0x1.fe620676aaf0dp-20, 0x1.fe45244daacf1p-20, 0x1.fe0f24912c54fp-20, 0x1.fdbc4ca0ed7b5p-20, 0x1.fd52a9b3cdaadp-20, 0x1.fcd1afd84a934p-20, 0x1.fc38b07563ddfp-20, 0x1.fb88c1b119622p-20, 0x1.fac2baa06e97ap-20, 0x1.f9e7505636ebap-20, 0x1.f8f70c6931aaap-20, 0x1.f7f29a7ff6fb8p-20, 0x1.f6d81302eae6bp-20, 0x1.f5aef7e88816cp-20, 0x1.f471177a70052p-20, 0x1.f32184b016dc6p-20, 0x1.f1c0b2cab1913p-20, 0x1.f04f170d5cf79p-20, 0x1.eecd2eca403e1p-20, 0x1.ed3b803dc362p-20, 0x1.eb9981914f463p-20, 0x1.e9ec0f8c42869p-20, 0x1.e82e959171387p-20, 0x1.e66268700e7ecp-20, 0x1.e4897b42ce021p-20, 0x1.e2a581eb4c478p-20, 0x1.e0b334ac08038p-20, 0x1.deb50b5f567fbp-20, 0x1.dca90c78f936p-20, 0x1.da9b9dbcfe3acp-20, 0x1.d87d4f6ebebb9p-20, 0x1.d6528e9fde0eap-20, 0x1.d4210a215294cp-20, 0x1.d1e53bbb4751ep-20, 0x1.cfa0433b58a8dp-20, 0x1.cd50c528d13dfp-20, 0x1.caff878b62886p-20, 0x1.c8a2f93b4b739p-20, 0x1.c63e962c4c7c4p-20, 0x1.c3d30ce46b8fep-20, 0x1.c161853418b26p-20, 0x1.bee99a31e460ep-20, 0x1.bc6a19dd91b31p-20, 0x1.b9e364f69691ap-20, 0x1.b75b53d0f97c9p-20, 0x1.b4caf33c64529p-20, 0x1.b238ba7f34133p-20, 0x1.afa1ab24fc64ep-20, 0x1.ad04f00310725p-20, 0x1.aa632a7e165fp-20, 0x1.a7be7c71c4467p-20, 0x1.a517f6d0ec4ecp-20, 0x1.a26bf3b4d3c29p-20, 0x1.9faec5d10d86ap-20, 0x1.9d0d29b6c2cefp-20, 0x1.9a595e6e139cdp-20, 0x1.97a43cdc7d364p-20, 0x1.94ec62c2ce21ap-20, 0x1.9232b0e6c0703p-20, 0x1.8f77d61687eeep-20, 0x1.8cbbe56f660abp-20, 0x1.89fe9724c5dap-20, 0x1.8740203faa20cp-20, 0x1.8480c7e950796p-20, 0x1.81bfef9b412adp-20, 0x1.7f01940dedd54p-20, 0x1.7c4111c077d6ep-20, 0x1.797e70fdb16b5p-20, 0x1.76be81e0c0578p-20, 0x1.73fefd722216fp-20, 0x1.71409f014c6ecp-20, 0x1.6e7f69212a105p-20, 0x1.6bc0c4d61ef0cp-20, 0x1.69038494d9866p-20, 0x1.6647a42759eap-20, 0x1.638ba58589776p-20, 0x1.60d2966e92174p-20, 0x1.5e1a634eae9bp-20, 0x1.5b6366957fabfp-20, 0x1.58ad7f1301c9ep-20, 0x1.55f8d021367bep-20, 0x1.5346827324b6bp-20, 0x1.5097cab12821bp-20, 0x1.4dead45e6afp-20, 0x1.4b3f4986b0967p-20, 0x1.489568d4358cfp-20, 0x1.45ef5165d0861p-20, 0x1.434a874b114e8p-20, 0x1.40a7e65e93051p-20, 0x1.3e0a0ccfab499p-20, 0x1.3b6e56bd720d5p-20, 0x1.38d5bbc81ba96p-20, 0x1.3640404eb982cp-20, 0x1.33ab0a0759838p-20, 0x1.3119dd208072ep-20, 0x1.2e8dacadfd1d3p-20, 0x1.2c03d54b65a99p-20, 0x1.2983e3667baaep-20, 0x1.26fb71e3deffbp-20, 0x1.247b7b5e83cd1p-20, 0x1.21fd79bfd70d7p-20, 0x1.1f8479e3b21a1p-20, 0x1.1d0f15d9c7fa8p-20, 0x1.1aa04c364ae4ap-20, 0x1.182ee57559f3dp-20, 0x1.15c3cafa6f8dbp-20, 0x1.135d7e2028f72p-20, 0x1.10fa38637cf8cp-20, 0x1.0e9bfd2cfa20fp-20, 0x1.0c3e15df73fd7p-20, 0x1.09e5e6b2da62ap-20, 0x1.0793cba91888bp-20, 0x1.0543c58680f38p-20, 0x1.02f7f427a2135p-20, 0x1.00afd0e89a649p-20, 0x1.fcd7c3583ced5p-21, 0x1.f858551b7bedep-21, 0x1.f3e0fd82908dcp-21, 0x1.ef74d0f2ad90fp-21, 0x1.eb10b75597d8p-21, 0x1.e6aaf6fb09be9p-21, 0x1.e25209f38a9b7p-21, 0x1.de0212921218dp-21, 0x1.d9bd0e8bf2727p-21, 0x1.d5803c8107e48p-21, 0x1.d148c484d194ep-21, 0x1.cd1ad58796aa4p-21, 0x1.c8f640c3b6b83p-21, 0x1.c4d94bd91ea0cp-21, 0x1.c0c49e7052ed1p-21, 0x1.bcb7ed990b18ap-21, 0x1.b8b28ede5500bp-21, 0x1.b4b7b2a4b8a19p-21, 0x1.b0c43b49a78c2p-21, 0x1.acdbba0ffa4ffp-21, 0x1.a8e67908f3f0ep-21, 0x1.a51def0259234p-21, 0x1.a14dd6a5f9087p-21, 0x1.9d837dfbb830dp-21, 0x1.99b9de31029ap-21, 0x1.9606ef3ef04a9p-21, 0x1.92529256473eap-21, 0x1.8eaf3c8eef439p-21, 0x1.8b0d3dc8f53b1p-21, 0x1.87745c3c57b9bp-21, 0x1.83e408bbfb32bp-21, 0x1.805bcd16eee17p-21, 0x1.7cdb9b7d2bff4p-21, 0x1.7964021670874p-21, 0x1.75f4ece8eaf2cp-21, 0x1.728e4889fcb6ep-21, 0x1.6f2eb482a8c38p-21, 0x1.6bd71f37161f6p-21, 0x1.6887bbf0307acp-21, 0x1.653f6bd3aa7e7p-21, 0x1.61ff5d443f179p-21, 0x1.5ec659c9a705ep-21, 0x1.5b998edf2c371p-21, 0x1.586de80473963p-21, 0x1.554a90e5f8a2fp-21, 0x1.523671397e702p-21, 0x1.4f229958ce02p-21, 0x1.4c19bd78b1922p-21, 0x1.491a5a33706efp-21, 0x1.461d6ac1ce963p-21, 0x1.432d7e6b8505p-21, 0x1.40266e7e2437fp-21, 0x1.3d5bd8682a0ebp-21, 0x1.3a7aca61d7175p-21, 0x1.37a7fdfce2e3bp-21, 0x1.34d65eb126098p-21, 0x1.32105c47b4a93p-21, 0x1.2f50fe24908bfp-21, 0x1.2c9821b583af4p-21, 0x1.29e61ba0a174dp-21, 0x1.273b7b6328ba6p-21, 0x1.2498e676f8cf4p-21, 0x1.21fd46fc51216p-21, 0x1.1f6227a82ffc8p-21, 0x1.1cd5369236edep-21, 0x1.1a3e103427625p-21, 0x1.17c9ace3f055p-21, 0x1.154e6b5de80cbp-21, 0x1.12d80cfce717ep-21, 0x1.106970b504601p-21, 0x1.0e01c98f6adbep-21, 0x1.0ba0bb7073881p-21, 0x1.094649624066bp-21, 0x1.06f2afe1bc976p-21, 0x1.04a1d4f591bd4p-21, 0x1.0258f85a2fc65p-21, 0x1.001b14ee311aap-21, 0x1.fb64cea9194e5p-22, 0x1.f75593be27e3bp-22, 0x1.f2f254b40f172p-22, 0x1.eeb8bf7cee08bp-22, 0x1.ea56f9631942dp-22, 0x1.e61a441aca5f5p-22, 0x1.e1ea3f7e85f04p-22, 0x1.ddd46d2287e84p-22, 0x1.d9aee2f702e19p-22, 0x1.d59f37d6145fp-22, }}, 
      {{0x1.767e2e4d8b508p-1, 0x1.a725a067c1eafp-1, 0x1.b3bb36d3b2cffp-1, 0x1.9e641b11252f8p-1, 0x1.7495fbced8505p-1, 0x1.435f008251abap-1, 0x1.13ef3de13622dp-1, 0x1.d6d3868ff0d3ap-2, 0x1.979d0a5bce36fp-2, 0x1.6a1fff6700c1dp-2, 0x1.4bf9994a808ddp-2, 0x1.39cf4979f662ap-2, 0x1.3025f93087c1p-2, 0x1.2bdbd1c0609d7p-2, 0x1.2a61050cf4b12p-2, 0x1.29c7357ccfcbdp-2, 0x1.28b8e99522db3p-2, 0x1.2664d935e9c45p-2, 0x1.22648d6b4733bp-2, 0x1.1ca2c59d7c129p-2, 0x1.15441326b35e6p-2, 0x1.0c92cf1291322p-2, 0x1.02eec11f290c7p-2, 0x1.f180b949e76ccp-3, 0x1.dcde7956819ap-3, 0x1.c8b6dc4636c9bp-3, 0x1.b5b21f3f77cc8p-3, 0x1.a45ba310a49f8p-3, 0x1.951fd7c0332f5p-3, 0x1.884c57c3c8f7cp-3, 0x1.7e119355c4c23p-3, 0x1.76858798f8b17p-3, 0x1.71a7168703c87p-3, 0x1.6f61abbfb6fd5p-3, 0x1.6f90ee9245c91p-3, 0x1.72045382043bbp-3, 0x1.76826e31b88d1p-3, 0x1.7ccbeea07aa76p-3, 0x1.849e3f31f6bbcp-3, 0x1.8db5c0a2e7ea8p-3, 0x1.97cfa229d6929p-3, 0x1.a2ab5b2fdc8f4p-3, 0x1.ae0bd1d80a43bp-3, 0x1.b9b83497f5599p-3, 0x1.c57c8c69c7311p-3, 0x1.d12a16b24998ap-3, 0x1.dc977436a8ca5p-3, 0x1.e7a0af5bbd16ep-3, 0x1.f2271eee0edf4p-3, 0x1.fc11318cfc112p-3, 0x1.02a515e900e34p-2, 0x1.06e0ede9c1209p-2, 0x1.0ab620cdc6e9bp-2, 0x1.0e20982210e14p-2, 0x1.111df6de6a2ep-2, 0x1.13ad6a9eba41cp-2, 0x1.15cf7ea7e8c53p-2, 0x1.1785f05d21beep-2, 0x1.18d385037b1b8p-2, 0x1.19bbe15e1548bp-2, 0x1.1a4363ea0e4dcp-2, 0x1.1a6f023941c7ap-2, 0x1.1a44297edc9edp-2, 0x1.19c8a22173448p-2, 0x1.190276147aae9p-2, 0x1.17f7d9b56e0f9p-2, 0x1.16af17197cfa5p-2, 0x1.152e7bb34093bp-2, 0x1.137c483f39f08p-2, 0x1.119ea2ec50871p-2, 0x1.0f9b8b7f1867ep-2, 0x1.0d78d1666b1c4p-2, 0x1.0b3c0b82ef399p-2, 0x1.08ea91706221cp-2, 0x1.06897637aee5dp-2, 0x1.041d844a52e9ep-2, 0x1.01ab3a8511a2dp-2, 0x1.fe6d9482bb54ep-3, 0x1.f9882c8f60428p-3, 0x1.f4ad652ee766p-3, 0x1.efe3c9b913babp-3, 0x1.eb314b37a772fp-3, 0x1.e69b43b2334d1p-3, 0x1.e2267a89a8d88p-3, 0x1.ddd7298583568p-3, 0x1.d9b1025391402p-3, 0x1.d5b734da0a48ep-3, 0x1.d1ec7518d0c55p-3, 0x1.ce5302597a0a8p-3, 0x1.caecad35d5d53p-3, 0x1.c7baded98d618p-3, 0x1.c4be9faaaf09cp-3, 0x1.c1f89dd01293fp-3, 0x1.bf6934804c4aap-3, 0x1.bd1071dfd8806p-3, 0x1.baee1e22fa2ecp-3, 0x1.b901c15a22e57p-3, 0x1.b74aa99e5e856p-3, 0x1.b5c7f0ebea367p-3, 0x1.b4788268fc545p-3, 0x1.b35b1fd2921dp-3, 0x1.b26e663579f91p-3, 0x1.b1b0d2ba7783ap-3, 0x1.b120c6ec4aa8ep-3, 0x1.b0bc8cd75f35cp-3, 0x1.b0825aebeb905p-3, 0x1.b0705769b7ef1p-3, 0x1.b0849bfe3d9ap-3, 0x1.b0bd3898aff24p-3, 0x1.b1183660bfb07p-3, 0x1.b1939a860da55p-3, 0x1.b22d685086e33p-3, 0x1.b2e3a3bd51b7fp-3, 0x1.b3b4533b90107p-3, 0x1.b49d819448df2p-3, 0x1.b59d3f9839131p-3, 0x1.b6b1a57dd41dep-3, 0x1.b7d8d43072b83p-3, 0x1.b910f6864f78cp-3, 0x1.ba58421f107cbp-3, 0x1.bbacf83e62c95p-3, 0x1.bd0d66a70b8c5p-3, 0x1.be77e805cbdf8p-3, 0x1.bfeae4756fb08p-3, 0x1.c164d215c3632p-3, 0x1.c2e4350eebad9p-3, 0x1.c4679fd432f57p-3, 0x1.c5edb391ecfa2p-3, 0x1.c7751fe3c95e4p-3, 0x1.c8fca2cb71716p-3, 0x1.ca83090c02e7ap-3, 0x1.cc072dc7d12e8p-3, 0x1.cd87fa1dba90bp-3, 0x1.cf04655f371a9p-3, 0x1.d07b74dbd90d5p-3, 0x1.d1ec3b219711dp-3, 0x1.d355d7fc5c82fp-3, 0x1.d4b778796933fp-3, 0x1.d610562b31f3ep-3, 0x1.d75fb6926cacdp-3, 0x1.d8a4eb5cf4c2cp-3, 0x1.d9df51fa2e977p-3, 0x1.db0e52ae6cc3ep-3, 0x1.dc31605b831ep-3, 0x1.dd47f8b14baf2p-3, 0x1.de51a36d5536p-3, 0x1.df4df1828b6ebp-3, 0x1.e03c7d2011032p-3, 0x1.e11ce9c363008p-3, 0x1.e1eee35c755d2p-3, 0x1.e2b21d83a2e7fp-3, 0x1.e36653aa51088p-3, 0x1.e40b49243b16bp-3, 0x1.e4a0c83933201p-3, 0x1.e526a181027dp-3, 0x1.e59cac097316dp-3, 0x1.e602c56da312bp-3, 0x1.e658d10d48493p-3, 0x1.e69eb75c2a582p-3, 0x1.e6d465f9e3605p-3, 0x1.e6f9cfe2aa78ep-3, 0x1.e70eece03a98ep-3, 0x1.e713b8d1926bdp-3, 0x1.e708339b95d3bp-3, 0x1.e6ec615a5fd24p-3, 0x1.e6c04a2f27319p-3, 0x1.e683f99f7edfbp-3, 0x1.e6377e3ffb8ecp-3, 0x1.e5dae9d16943dp-3, 0x1.e56e5151d00b9p-3, 0x1.e4f1cca8f578cp-3, 0x1.e465762e6df1fp-3, 0x1.e3c96a832abeep-3, 0x1.e31dc8b4ce2d4p-3, 0x1.e262b238969efp-3, 0x1.e1984aa09b1f8p-3, 0x1.e0beb743e1b4ap-3, 0x1.dfd61f25fbe6dp-3, 0x1.dedeab0c7865bp-3, 0x1.ddd885801ecfap-3, 0x1.dcc3daa0fd7dap-3, 0x1.dba0d7cbb91b1p-3, 0x1.da6fab952a43ep-3, 0x1.d93085ba2948p-3, 0x1.d7e3974d1f8c1p-3, 0x1.d689128c557a4p-3, 0x1.d5212aa1eda15p-3, 0x1.d3ac137c0698bp-3, 0x1.d22a01d18d188p-3, 0x1.d09b2b3d6548ep-3, 0x1.ceffc63ff5b43p-3, 0x1.cd580a0aad00fp-3, 0x1.cba42e4ab9d7bp-3, 0x1.c9e46b1f7cb1dp-3, 0x1.c818f92d526ecp-3, 0x1.c64211baeed45p-3, 0x1.c45fee9860eb8p-3, 0x1.c272c9e293b81p-3, 0x1.c07addf378fbap-3, 0x1.be7865591795cp-3, 0x1.bc6b9af304ce4p-3, 0x1.ba54b9fec5905p-3, 0x1.b833fdfa07b8fp-3, 0x1.b609a27725c11p-3, 0x1.b3d5e30b0a521p-3, 0x1.b198fb53b8687p-3, 0x1.af53270c0a71ap-3, 0x1.ad04a2137fe38p-3, 0x1.aaada8549a78cp-3, 0x1.a84e75a2f8d8p-3, 0x1.a5e745a9d416ep-3, 0x1.a37853fc393ep-3, 0x1.a101dc0e0985p-3, 0x1.9e84194bb86c7p-3, 0x1.9bff47073f301p-3, 0x1.9973a057ceb06p-3, 0x1.96e1600ce883ep-3, 0x1.9448c0b455f7cp-3, 0x1.91a9fc96ffb32p-3, 0x1.8f054dc8ec4c1p-3, 0x1.8c5aee1d13d2fp-3, 0x1.89ab171673ad9p-3, 0x1.86f601d6a67dap-3, 0x1.843be71ab59bfp-3, 0x1.817cff3ca4eb7p-3, 0x1.7eb98233c9eep-3, 0x1.7bf1a7961057bp-3, 0x1.7925a6942a929p-3, 0x1.7655b5e7a14dap-3, 0x1.73820bd30843cp-3, 0x1.70aade1337089p-3, 0x1.6dd061e47be1dp-3, 0x1.6af2cc05a398p-3, 0x1.681250b0fc567p-3, 0x1.652f239d5ae99p-3, 0x1.624977f4ba4afp-3, 0x1.5f61804bba989p-3, 0x1.5c776ea0aacabp-3, 0x1.598b7458c1fa6p-3, 0x1.569dc240bdb5bp-3, 0x1.53ae88899917dp-3, 0x1.50bdf6c8241ccp-3, 0x1.4dcc3bf25588ap-3, 0x1.4ad9865869ed9p-3, 0x1.47e603a1a8d67p-3, 0x1.44f1e0cc80eccp-3, 0x1.41fd4a2ce8cb8p-3, 0x1.3f086b6981673p-3, 0x1.3c136f7b79e81p-3, 0x1.391e80abfcd63p-3, 0x1.3629c899d38a1p-3, 0x1.3335702d98b72p-3, 0x1.30419f975517ap-3, 0x1.2d4e7e5803106p-3, 0x1.2a5c3337a6c67p-3, 0x1.276ae446ba47dp-3, 0x1.247ab6dd98e42p-3, 0x1.218bcf9dc11c4p-3, 0x1.1e9e52719e198p-3, 0x1.1bb2628b40763p-3, 0x1.18c82261a91c5p-3, 0x1.15dfb3b04716ap-3, 0x1.12f9377c05786p-3, 0x1.1014ce0c4b99dp-3, 0x1.0d3296f1bae35p-3, 0x1.0a52b1005afcp-3, 0x1.07753a5514c3ep-3, 0x1.049a505500a59p-3, 0x1.01c20fac8e33fp-3, 0x1.fdd928a11f216p-4, 0x1.f833f2fb8e269p-4, 0x1.f294b376e6262p-4, 0x1.ecfb9db7055c3p-4, 0x1.e768e3f147daap-4, 0x1.e1dcb6f25d1ccp-4, 0x1.dc574630f210cp-4, 0x1.d6d8bfada0947p-4, 0x1.d161501701985p-4, 0x1.cbf122b85da72p-4, 0x1.c68861819e8dcp-4, 0x1.c127350a9f4cfp-4, 0x1.bbcdc4954f371p-4, 0x1.b67c360edec3bp-4, 0x1.b132ae1427389p-4, 0x1.abf14ff6c5c2ap-4, 0x1.a6b83dc08246ap-4, 0x1.a1879835879bp-4, 0x1.9c5f7ed7dbf02p-4, 0x1.97400feb65c75p-4, 0x1.92296879a328fp-4, 0x1.8d1ba4528f0afp-4, 0x1.8816de12ccbe6p-4, 0x1.831b2f259375dp-4, 0x1.7e28afcbd78d6p-4, 0x1.793f7720392aep-4, 0x1.745f9b1b01feep-4, 0x1.6f893095b7e29p-4, 0x1.6abc4b4e9f19ep-4, 0x1.65f8fdec36c71p-4, 0x1.613f5a012ffc2p-4, 0x1.5c8f701118c4bp-4, 0x1.57e94f943d39fp-4, 0x1.534d06f9fb2e9p-4, 0x1.4ebaa3bd624d4p-4, 0x1.4a32324d735b7p-4, 0x1.45b3be2cb23fdp-4, 0x1.413f51e88116fp-4, 0x1.3cd4f718adac6p-4, 0x1.3874b669f0dcdp-4, 0x1.341e97a080b5cp-4, 0x1.2fd2a19bb47dfp-4, 0x1.2b90da5d5dd7ap-4, 0x1.27594711334cfp-4, 0x1.232bec10f9deap-4, 0x1.1f08cce1e7a2ap-4, 0x1.1aefec43febcdp-4, 0x1.16e14c279cc49p-4, 0x1.12dcedba7f147p-4, 0x1.0ee2d163bf681p-4, 0x1.0af2f6ce8804ap-4, 0x1.070d5cec6656ap-4, 0x1.03320201272e5p-4, 0x1.fec1c74f3eadep-5, 0x1.f733fda61d334p-5, 0x1.efba9fa74392fp-5, 0x1.e855a4b0c505dp-5, 0x1.e10502e00fa0dp-5, 0x1.d9c8af14f4da1p-5, 0x1.d2a09cf8864a1p-5, 0x1.cb8cbf087b28dp-5, 0x1.c48d06a6cfb6p-5, 0x1.bda164257cb1p-5, 0x1.b6c9c6d9b7f91p-5, 0x1.b0061d21825a5p-5, 0x1.a9565463f1171p-5, 0x1.a2ba592be1e01p-5, 0x1.9c3216fe41355p-5, 0x1.95bd787aef12cp-5, 0x1.8f5c6755f7ffap-5, 0x1.890ecc5b02e7cp-5, 0x1.82d48f7e397d3p-5, 0x1.7cad97ea94739p-5, 0x1.7699cc10dd47bp-5, 0x1.709911b517e46p-5, 0x1.6aab4df72b401p-5, 0x1.64d0655606bb5p-5, 0x1.5f083baf0cf29p-5, 0x1.5952b43c27294p-5, 0x1.53afb193afd37p-5, 0x1.4e1f15a9d26dap-5, 0x1.48a0c1d36b8bdp-5, 0x1.433496d526128p-5, 0x1.3dda74f22239p-5, 0x1.38923bf0f3c85p-5, 0x1.335bcb2e1920bp-5, 0x1.2e3701a33cf5cp-5, 0x1.2923bdeb82dfap-5, 0x1.2421de445420bp-5, 0x1.1f31408c4a651p-5, 0x1.1a51c242548fep-5, 0x1.158340867c1d1p-5, 0x1.10c5981d3a5abp-5, 0x1.0c18a575d2473p-5, 0x1.077c44b2a9508p-5, 0x1.02f051b24733fp-5, 0x1.fce9503198de9p-6, 0x1.f41246ae5c045p-6, 0x1.eb5b3d63ab559p-6, 0x1.e2c3ea8897201p-6, 0x1.da4c0406660aep-6, 0x1.d1f33f70e3777p-6, 0x1.c9b9521d48bdap-6, 0x1.c19df114872d9p-6, 0x1.b9a0d1184cfebp-6, 0x1.b1c1a6b382072p-6, 0x1.aa00263f15c77p-6, 0x1.a25c03ed0da6p-6, 0x1.9ad4f3e8074d1p-6, 0x1.936aaa3a481ccp-6, 0x1.8c1cdae6f3639p-6, 0x1.84eb39f3d64f6p-6, 0x1.7dd57b69e8b41p-6, 0x1.76db53597b5a6p-6, 0x1.6ffc75de3188p-6, 0x1.6938972353323p-6, 0x1.628f6b68c5f61p-6, 0x1.5c00a708b8cd9p-6, 0x1.558bfe7daca7cp-6, 0x1.4f3126682aabdp-6, 0x1.48efd39482edfp-6, 0x1.42c7bb0031121p-6, 0x1.3cb891dfb2397p-6, 0x1.36c20da3f4e73p-6, 0x1.30e3e3fed9a49p-6, 0x1.2b1dcae51d791p-6, 0x1.256f7893008e2p-6, 0x1.1fd8a38f05defp-6, 0x1.1a5902b2ee2b4p-6, 0x1.14f04d22dbfadp-6, 0x1.0f9e3a5f59b1ep-6, 0x1.0a62824833fe6p-6, 0x1.053cdd12ef585p-6, 0x1.002d03589484bp-6, 0x1.f6655c2d38a29p-7, 0x1.ec9b2d6273824p-7, 0x1.e2faeded3c0e6p-7, 0x1.d98412438f637p-7, 0x1.d0360fb9cdbedp-7, 0x1.c7105c87d8c31p-7, 0x1.be126fcf12e9ep-7, 0x1.b53bc1a14b66cp-7, 0x1.ac8bcafb5aecfp-7, 0x1.a40205d77ee8ap-7, 0x1.9b9ded1723b3cp-7, 0x1.935efcabfcb6ap-7, 0x1.8b44b1898c31fp-7, 0x1.834e89b1fdafdp-7, 0x1.7b7c0417dcc9ep-7, 0x1.73cca0be88e4bp-7, 0x1.6c3fe0bc87195p-7, 0x1.64d54639b8d02p-7, 0x1.5d8c54702669dp-7, 0x1.56648fad97632p-7, 0x1.4f5d7d562ed58p-7, 0x1.4876a3e846093p-7, 0x1.41af8afef2293p-7, 0x1.3b07bb53f3849p-7, 0x1.347ebec050ee4p-7, 0x1.2e14203d7c0d2p-7, 0x1.27c76be6c3a34p-7, 0x1.21982efaf12f1p-7, 0x1.1b85f7dcc74cdp-7, 0x1.15905612ea12p-7, 0x1.0fb6da480d5abp-7, 0x1.09f9164b6c8e1p-7, 0x1.04569d11cac2ep-7, 0x1.fd9e056c9b306p-8, 0x1.f2c3b8f6fbd3cp-8, 0x1.e81d819cee37p-8, 0x1.ddaa8eaa0eb06p-8, 0x1.d36a117fec072p-8, 0x1.c95b3de63cc4ep-8, 0x1.bf7d4a030f0c5p-8, 0x1.b5cf6e6e948e3p-8, 0x1.ac50e5c1cc60ap-8, 0x1.a300ecf12ed49p-8, 0x1.99dec3365f756p-8, 0x1.90e9aa0afb10fp-8, 0x1.8820e52d24759p-8, 0x1.7f83baa6530fp-8, 0x1.771172db3cf7dp-8, 0x1.6ec9585bb7609p-8, 0x1.66aab81991a17p-8, 0x1.5eb4e1603bfcap-8, 0x1.56e7259f0bf02p-8, 0x1.4f40d87ea79f4p-8, 0x1.47c14fd317415p-8, 0x1.4067e3af8b2d1p-8, 0x1.3933ee0da479cp-8, 0x1.3224cb28f08fp-8, 0x1.2b39d94667dd5p-8, 0x1.247278c6efa7p-8, 0x1.1dce0c3655616p-8, 0x1.174bf85292b12p-8, 0x1.10eba4115add3p-8, 0x1.0aac78a172c55p-8, 0x1.048de16668d16p-8, 0x1.fd1e97dc5a21bp-9, 0x1.f1604fc2902eep-9, 0x1.e5dfcddc24896p-9, 0x1.da9bf9607dd59p-9, 0x1.cf93bd33c9b72p-9, 0x1.c4c607c6fa847p-9, 0x1.ba31cb0c13d17p-9, 0x1.afd5fc7fd0193p-9, 0x1.a5b195499a98dp-9, 0x1.9bc3926a50c06p-9, 0x1.920af4f422c23p-9, 0x1.8886c23b90688p-9, 0x1.7f3603f650c8ap-9, 0x1.7617c83e25169p-9, 0x1.6d2b21741ed4ap-9, 0x1.646f26078ac52p-9, 0x1.5be2f00e08f7bp-9, 0x1.53859c93e8d91p-9, 0x1.4b564b8bf4421p-9, 0x1.43541f85c8057p-9, 0x1.3b7e3ce7ac848p-9, 0x1.33d3caad3b311p-9, 0x1.2c53f27af30f8p-9, 0x1.24fde0d21432ep-9, 0x1.1dd0c5e230de6p-9, 0x1.16cbd624cd7d4p-9, 0x1.0fee4ad8bfd13p-9, 0x1.0937624f92d8p-9, 0x1.02a65fed1a25bp-9, 0x1.f8751798f4ae4p-10, 0x1.ebe66425c37b5p-10, 0x1.df9f440a9281dp-10, 0x1.d39e5a086f7e2p-10, 0x1.c7e24b31cbb78p-10, 0x1.bc69bd8b7f8e5p-10, 0x1.b133578eb5303p-10, 0x1.a63dc0cede6cbp-10, 0x1.9b87a230b0b61p-10, 0x1.910fa8ae42e5p-10, 0x1.86d4875f02bcfp-10, 0x1.7cd4fa9f8a37ap-10, 0x1.730fc8bb26753p-10, 0x1.6983c3e64cbd1p-10, 0x1.602fc9bd1dbf5p-10, 0x1.5712c2c23d471p-10, 0x1.4e2ba0e252ffbp-10, 0x1.45795ada03e9ep-10, 0x1.3cfae97e1799fp-10, 0x1.34af450663e72p-10, 0x1.2c9562f542c32p-10, 0x1.24ac350e60b68p-10, 0x1.1cf2aa0c8c749p-10, 0x1.1567afe381f4ep-10, 0x1.0e0a36815f0bep-10, 0x1.06d9338579596p-10, 0x1.ffa74af374cd8p-11, 0x1.f1f12dc3b17f8p-11, 0x1.e48e413ca21f6p-11, 0x1.d77cd576a3d73p-11, 0x1.cabb571d0476bp-11, 0x1.be484ae22140dp-11, 0x1.b22245d498269p-11, 0x1.a647e3f5cdb64p-11, 0x1.9ab7be6164f18p-11, 0x1.8f7062b8bb8fdp-11, 0x1.84704d5cd96f4p-11, 0x1.79b5e7843a6cfp-11, 0x1.6f3f896436618p-11, 0x1.650b7fc6deb97p-11, 0x1.5b1813c8efcb6p-11, 0x1.51639347d7622p-11, 0x1.47ec58be9a61ap-11, 0x1.3eb0d1caa2b6ep-11, 0x1.35af840bb21e4p-11, 0x1.2ce710454469cp-11, 0x1.245633a4b142fp-11, 0x1.1bfbc6ed8c572p-11, 0x1.13d6bb553911fp-11, 0x1.0be614ee22702p-11, 0x1.0428e3231bbep-11, 0x1.f93c704e292e1p-12, 0x1.ea8a41a400a08p-12, 0x1.dc393d1655b26p-12, 0x1.ce47494b8c4dbp-12, 0x1.c0b233921ca24p-12, 0x1.b377b985c1fbp-12, 0x1.a695960850e29p-12, 0x1.9a098d046bc5fp-12, 0x1.8dd1724db5c5p-12, 0x1.81eb2ae0d245ap-12, 0x1.7654abcdc3d8ep-12, 0x1.6b0bf5eb21638p-12, 0x1.600f180faab7p-12, 0x1.555c321bfabebp-12, 0x1.4af17b92ce3f2p-12, 0x1.40cd48f8d372dp-12, 0x1.36ee0c31e6aabp-12, 0x1.2d524e7252e63p-12, 0x1.23f8a4c2c8262p-12, 0x1.1adfa281048f5p-12, 0x1.1205cf2d5f6d5p-12, 0x1.0969a220402bdp-12, 0x1.0109867e54a69p-12, 0x1.f1c7d48d35d0bp-13, 0x1.e1ee95e4f5683p-13, 0x1.d284851e8931p-13, 0x1.c38718675799dp-13, 0x1.b4f3f7cb72b8cp-13, 0x1.a6c8da7983f0cp-13, 0x1.99035db82c544p-13, 0x1.8ba0e7d8ebe75p-13, 0x1.7e9ea5d7440a1p-13, 0x1.71f9a6e70cb23p-13, 0x1.65af0be707639p-13, 0x1.59bc35dbe29bap-13, 0x1.4e1eef1e8b3c5p-13, 0x1.42d5340cad66p-13, 0x1.37dd6ed5d4729p-13, 0x1.2d35ec4d796e6p-13, 0x1.22dcf217cbc07p-13, 0x1.18d09dd40b24ap-13, 0x1.0f0ef1727a88bp-13, 0x1.0595ec6adfd61p-13, 0x1.f8c74db9c98a6p-14, 0x1.e6eccbb922af6p-14, 0x1.d5994a2c1d92fp-14, 0x1.c4ca2ad772e44p-14, 0x1.b47d00100220dp-14, 0x1.a4af5fcc74d2dp-14, 0x1.955e9a5358052p-14, 0x1.868775f9f683ap-14, 0x1.78260e1772494p-14, 0x1.6a360b4c4002bp-14, 0x1.5cb2fbe65dcf8p-14, 0x1.4f98c4ee22dd7p-14, 0x1.42e3f7837eacap-14, 0x1.3691e3ba3cdb3p-14, 0x1.2aa063048919ap-14, 0x1.1f0d6a02e7c75p-14, 0x1.13d697d6c3d03p-14, 0x1.08f9216e4e3f5p-14, 0x1.fce399fce9bfbp-15, 0x1.e87ad86a5ad1cp-15, 0x1.d4b239c896ad5p-15, 0x1.c185414044c4cp-15, 0x1.aef0d0831c388p-15, 0x1.9cf2e7ed8fcbep-15, 0x1.8b8a1eb6de686p-15, 0x1.7ab4f99b0547ep-15, 0x1.6a716a10b91bdp-15, 0x1.5abc9da7aa2bp-15, 0x1.4b92da1a41b1dp-15, 0x1.3cefa364a9036p-15, 0x1.2ecdcdd0cf248p-15, 0x1.2127a922a92c4p-15, 0x1.13f781cd11185p-15, 0x1.0738482469aadp-15, 0x1.f5cc3d3430b5cp-16, 0x1.ddfd05b42b65fp-16, 0x1.c7001a534247p-16, 0x1.b0d3992586104p-16, 0x1.9b751ce6523a9p-16, 0x1.86e0d1a2225d5p-16, 0x1.7310e786d7965p-16, 0x1.5ffda0313badcp-16, 0x1.4d9e0e918e8d4p-16, 0x1.3be90d93eaf2ep-16, 0x1.2ad636b0c6e4p-16, 0x1.1a5f0cb894f13p-16, 0x1.0a7f32ee81c89p-16, 0x1.f66731ab8ee65p-17, 0x1.d8f2468526499p-17, 0x1.bc97b0f7909f5p-17, 0x1.a14e29d2d42bcp-17, 0x1.870ce149affecp-17, 0x1.6dcd1bdd0c033p-17, 0x1.558a647bfd2e9p-17, 0x1.3e411de094e03p-17, 0x1.27ec5b399f99ep-17, 0x1.12847db7f957ep-17, 0x1.fbff2d19087cfp-18, 0x1.d4a62895e6066p-18, 0x1.aeea4310e758ep-18, 0x1.8ab9c2550e131p-18, 0x1.680535f1b3211p-18, 0x1.46c2013e7d4c4p-18, 0x1.26ed03c3ef5e9p-18, 0x1.08894640584e6p-18, 0x1.d72f80fbc191fp-19, 0x1.a02144c93eac2p-19, 0x1.6bc39383936eep-19, 0x1.39e4d249560ccp-19, 0x1.0a610a45f6f88p-19, 0x1.ba53b635d34f9p-20, 0x1.647b5a4f637p-20, 0x1.132b0d5c9ea5dp-20, 0x1.8c6b2429c077bp-21, 0x1.f5467339531b7p-22, 0x1.c14148825c3bep-23, -0x1.33a1270cf6feep-25, -0x1.2117d9f4de248p-22, -0x1.07fffafda9ce3p-21, -0x1.79ad1d540086fp-21, -0x1.e56ce387c59ddp-21, -0x1.257e4b1f9e0d2p-20, -0x1.551559222962cp-20, -0x1.817ce281a55ccp-20, -0x1.aad21bc3ac15ep-20, -0x1.d143f6e0cd146p-20, -0x1.f50cfc2361aeep-20, -0x1.0b3a346d1231cp-19, -0x1.1ae0bc8ef500dp-19, -0x1.298b0d1ee3745p-19, -0x1.372a004f7704p-19, -0x1.43a1b648f519ap-19, -0x1.4ee781fed31b2p-19, -0x1.5915933da0507p-19, -0x1.625b43557bc2fp-19, -0x1.6ad4253fe29fep-19, -0x1.727e04db0db08p-19, -0x1.794b704263954p-19, -0x1.7f39fa7047519p-19, -0x1.84560dbbc3d35p-19, -0x1.88abf715aa098p-19, -0x1.8c45e7e0f91e8p-19, -0x1.8f2ebadd7c6ep-19, -0x1.916c246a7d70ap-19, -0x1.9308c4f85dce2p-19, -0x1.9414eefaa03b7p-19, -0x1.94a3caf146ad8p-19, -0x1.94c69be61f1d5p-19, -0x1.9487776604392p-19, -0x1.93e4808a2b3f6p-19, -0x1.92d20f5c81aa6p-19, -0x1.914298d2de211p-19, -0x1.8f309dfa1801bp-19, -0x1.8ca3326c62bp-19, -0x1.89a806519c317p-19, -0x1.864a583276983p-19, -0x1.82953b9158311p-19, -0x1.7e9872b696ff3p-19, -0x1.7a5e63c58d6f7p-19, -0x1.75dbe6b985dbdp-19, -0x1.710299332496fp-19, -0x1.6bddc437cbd7fp-19, -0x1.668e28a66b46ep-19, -0x1.6121073fd04b4p-19, -0x1.5b887f1cbf0e1p-19, -0x1.55b36fab4aed4p-19, -0x1.4fa41ff77e05p-19, -0x1.49664d9a618e1p-19, -0x1.4304082605954p-19, -0x1.3c82639e4749dp-19, -0x1.35e2ea0966e3dp-19, -0x1.2f2504847883p-19, -0x1.284694e4132b4p-19, -0x1.2144dd0a6c553p-19, -0x1.1a1e7f2fb6d9bp-19, -0x1.12d6344b7d991p-19, -0x1.0b75b03520b45p-19, -0x1.040c80cf9f774p-19, -0x1.f955ffcf81731p-20, -0x1.eaa6f1908bf27p-20, -0x1.dbf14171b4302p-20, -0x1.cd19fdc10209dp-20, -0x1.be20a62690a32p-20, -0x1.af1b8fa2bca5ep-20, -0x1.a0161fd07079dp-20, -0x1.9102efb1a53a8p-20, -0x1.81d04b1cb2b3bp-20, -0x1.727f5a0f01fc7p-20, -0x1.632d26bb052c1p-20, -0x1.53fb67f1edbb1p-20, -0x1.44e8af01c52a4p-20, -0x1.35e161d11137cp-20, -0x1.26f5bf9086afcp-20, -0x1.1836096e6bfa6p-20, -0x1.098cfbbba3ffbp-20, -0x1.f5c594a3d6221p-21, -0x1.d87c6f1ddbd47p-21, -0x1.bb60c353462d5p-21, -0x1.9e8517dff46f8p-21, -0x1.81ec5f46caa19p-21, -0x1.6599753915aefp-21, -0x1.498958bbe3857p-21, -0x1.2dbca39178b2bp-21, -0x1.122a114416028p-21, -0x1.ed97c5c9c9e3ep-22, -0x1.b738d6d8bb305p-22, -0x1.812eac4bedcfdp-22, -0x1.4b8b45e33db94p-22, -0x1.168fd94eba08ep-22, -0x1.c4fe2cf3e1e78p-23, -0x1.5e887c136e518p-23, -0x1.f22bbd0b13799p-24, -0x1.29818ac9564fep-24, -0x1.90255f876c341p-26, 0x1.79eee3431aca6p-26, 0x1.1f1ef9c759a8cp-24, 0x1.ddc4368a96f4ap-24, 0x1.4cf61d5368b48p-23, 0x1.a9816a68866bp-23, 0x1.023c4d0501e6ap-22, 0x1.2f0e043d69334p-22, 0x1.5b5990bc6b182p-22, 0x1.871945ea3b6cfp-22, 0x1.b20c56490be33p-22, 0x1.dc3014aa058aep-22, 0x1.02c0f20544799p-21, 0x1.170469c7f80ecp-21, 0x1.2afef2018be3fp-21, 0x1.3eb4d47492eb8p-21, 0x1.52146336f986dp-21, 0x1.65154d9e2c811p-21, 0x1.77b8469be731ap-21, 0x1.89ffaa07e9411p-21, 0x1.9bed57246c5b2p-21, 0x1.ad82c8eada86cp-21, 0x1.bec1b9264adb2p-21, 0x1.cfab802693153p-21, 0x1.e04146d823d5fp-21, 0x1.f0865d2c4cfbep-21, 0x1.004083ed4cc6ap-20, 0x1.08172a1b80713p-20, 0x1.0fbfb6f6dfaap-20, 0x1.173b1f430c4ffp-20, 0x1.1e8bcecb9c93ep-20, 0x1.25addd3a94b9p-20, 0x1.2ca82ab162a8bp-20, 0x1.3380fa92497afp-20, 0x1.3a34106936fe2p-20, 0x1.40bd6feccd3a1p-20, 0x1.471e6a83d5214p-20, 0x1.4d567c0ee68fap-20, 0x1.536782a6bf6c5p-20, 0x1.5951dcc4b9e8ap-20, 0x1.5f175d2adacfap-20, 0x1.64b6be4281aadp-20, 0x1.6a30fc751bbb7p-20, 0x1.6f869c9bba55ep-20, 0x1.74ba3ceafa534p-20, 0x1.79cdeab986a2cp-20, 0x1.7ebe869b1046ep-20, 0x1.8387cbefe76a3p-20, 0x1.882ae8191e07ep-20, 0x1.8caf9c31841dp-20, 0x1.911526cbfb57dp-20, 0x1.95597ff70bf9dp-20, 0x1.997c7fb01b572p-20, 0x1.9d7ecd6bef988p-20, 0x1.a1611094c637ep-20, 0x1.a523f7de13cecp-20, 0x1.a8c80496fdc4bp-20, 0x1.ac4d8e0b5f66dp-20, 0x1.afb4d998250cfp-20, 0x1.b2ffadf85d1f5p-20, 0x1.b63075a456edap-20, 0x1.b9438b2a0db85p-20, 0x1.bc39328b55073p-20, 0x1.bf120cbb73588p-20, 0x1.c1cff85492148p-20, 0x1.c4746229ed536p-20, 0x1.c6fe667711963p-20, 0x1.c96e6dea0ea1ep-20, 0x1.cbc3221f1117dp-20, 0x1.ce011f0364975p-20, 0x1.d0258cd513b16p-20, 0x1.d2317a519dc54p-20, 0x1.d42614fff97c8p-20, 0x1.d6033ff68b55ep-20, 0x1.d7c958b1fe8b5p-20, 0x1.d978febddc8acp-20, 0x1.db12ba84f2e7p-20, 0x1.dc96c84b52bacp-20, 0x1.de0493c8eaf69p-20, 0x1.df5e383486511p-20, 0x1.e0a318cb86d59p-20, 0x1.e1d3cd61ef29bp-20, 0x1.e2f10085c599p-20, 0x1.e3fb5826093f5p-20, 0x1.e4f1193b4a204p-20, 0x1.e5d5802806d69p-20, 0x1.e6a74e3f9cacp-20, 0x1.e76724a84d313p-20, 0x1.e81580e315f6dp-20, 0x1.e8b2b11a3dd75p-20, 0x1.e93f1392b550dp-20, 0x1.e9bafd96fc791p-20, 0x1.ea26c0f70b015p-20, 0x1.ea82bd9d15aecp-20, 0x1.eacf5500020f7p-20, 0x1.eb0cc879e0007p-20, 0x1.eb3b772840ad3p-20, 0x1.eb5bb887fa8f9p-20, 0x1.eb6d87e5078c8p-20, 0x1.eb72120963694p-20, 0x1.eb6855ac31c6fp-20, 0x1.eb519c5a164dep-20, 0x1.eb2de3c8b29cbp-20, 0x1.eafdde77054adp-20, 0x1.eac155a89c35cp-20, 0x1.ea78a1429ca8p-20, 0x1.ea241d54eaac8p-20, 0x1.e9c5035746539p-20, 0x1.e95953ed256d4p-20, 0x1.e8e39af3b8eeap-20, 0x1.e86307e859943p-20, 0x1.e7d7ec7edf108p-20, 0x1.e742a284ad34cp-20, 0x1.e6a36f6bacf6p-20, 0x1.e5fa9a2ecd97dp-20, 0x1.e548773aea27ep-20, 0x1.e48d149f97eap-20, 0x1.e3c8af118a89fp-20, 0x1.e2fba33a9e273p-20, 0x1.e22671869e60dp-20, 0x1.e148f3c865147p-20, 0x1.e062d85b369cbp-20, 0x1.df75499f3d83bp-20, 0x1.de81007b44524p-20, 0x1.dd83849bebd3cp-20, 0x1.dc80d9536b923p-20, 0x1.db7660a14fd77p-20, 0x1.da64cdef65194p-20, 0x1.d94cbebfeb42ap-20, 0x1.d82e8d162c4edp-20, 0x1.d70a2e11544fep-20, 0x1.d5dfc572fc4dp-20, 0x1.d4af7ee694864p-20, 0x1.d379b837997d1p-20, 0x1.d23e92b76b895p-20, 0x1.d0fdeea2ea053p-20, 0x1.cfb8542591973p-20, 0x1.ce6e19f7e0cddp-20, 0x1.cd1e10c9d4c26p-20, 0x1.cbc9dfa823f2cp-20, 0x1.ca71796fdc36ap-20, 0x1.c914920ba5aaep-20, 0x1.c7b37fcf685dap-20, 0x1.c64e6880e9212p-20, 0x1.c4e56e32cf14bp-20, 0x1.c378b82b8e232p-20, 0x1.c2086a9c7ec4cp-20, 0x1.c094d3e873e91p-20, 0x1.bf1d97c759abdp-20, 0x1.bda34ff0ba1d8p-20, 0x1.bc25f09d5f9cfp-20, 0x1.baa59b4b4ace9p-20, 0x1.b9226dbc9c359p-20, 0x1.b79c80c313ecep-20, 0x1.b613edcdf4565p-20, 0x1.b4889268eae9ep-20, 0x1.b2fbc106556eep-20, 0x1.b16d41950cf1bp-20, 0x1.afda04b647dedp-20, 0x1.ae45eca5537b4p-20, 0x1.acb0e130aeecep-20, 0x1.ab18ccc8a9612p-20, 0x1.a97f12b87fe6ep-20, 0x1.a7e2cc604d8e8p-20, 0x1.a64876dd3447fp-20, 0x1.a4aa53d2fed7ep-20, 0x1.a30a2e4268df8p-20, 0x1.a1697f19c9de5p-20, 0x1.9fc74e9c5ff58p-20, 0x1.9e23e58d76404p-20, 0x1.9c7f186e44dd1p-20, 0x1.9adabdea546d6p-20, 0x1.9934ca2c12051p-20, 0x1.978de4a118596p-20, 0x1.95e5f30d99a52p-20, 0x1.943e168a34decp-20, 0x1.9294ce64e5298p-20, 0x1.90eb120986765p-20, 0x1.8f40c842bb31ap-20, 0x1.8d969a2c3611dp-20, 0x1.8bebacaa701f6p-20, 0x1.8a40e079cc42ep-20, 0x1.8895c8f566d8p-20, 0x1.86ea313cdec31p-20, 0x1.853eabbfeeab2p-20, 0x1.83931a8247756p-20, 0x1.81e766ac06ef3p-20, 0x1.803bfa6a8b2acp-20, 0x1.7e8e86137efd5p-20, 0x1.7ce510fff925ap-20, 0x1.7b39ea4ee4c4cp-20, 0x1.798ee2c71a645p-20, 0x1.77e421b42df59p-20, 0x1.7639c3fc4ec14p-20, 0x1.748fd67ba79f4p-20, 0x1.72e6785f376acp-20, 0x1.713d5e877ba05p-20, 0x1.6f94b00ef71cap-20, 0x1.6decb06c3beadp-20, 0x1.6c44c9623713dp-20, 0x1.6a9e63fe091e2p-20, 0x1.68f829585e837p-20, 0x1.6751fbe2bec34p-20, 0x1.65ad56fcc586cp-20, 0x1.64094ed06ab53p-20, 0x1.6265c0a4ca8bep-20, 0x1.60c32838d3b3cp-20, 0x1.5f2156edf66c8p-20, 0x1.5d807a9e63a07p-20, 0x1.5be099a6f6cecp-20, 0x1.5a41578193bbfp-20, 0x1.58a355072600cp-20, 0x1.57063f5ec13e6p-20, 0x1.5569ffd95e901p-20, 0x1.53ce98ac2862ap-20, 0x1.5234177175f8bp-20, 0x1.509ab6d4f6a7dp-20, 0x1.4f02ccdbde096p-20, 0x1.4d6be692c7563p-20, 0x1.4bd5eaedefab3p-20, 0x1.4a40cd2fd66e9p-20, 0x1.48ad488bd166cp-20, 0x1.47192d3d068b1p-20, 0x1.4588a6bc70ep-20, 0x1.43f8d9165c923p-20, 0x1.4269f56c3729fp-20, 0x1.40dc4c68e96ffp-20, 0x1.3f4fdff671404p-20, 0x1.3dc44d8ee5b18p-20, 0x1.3c3a23d0474f7p-20, 0x1.3ab18d678dad1p-20, 0x1.392a28c2b8f42p-20, 0x1.37a4df3ece0d3p-20, 0x1.361f1a8c1fcfcp-20, 0x1.349c1a77419bfp-20, 0x1.33192bc88538bp-20, 0x1.319850812f6edp-20, 0x1.3018cf02d7f26p-20, 0x1.2e9bd14fbad19p-20, 0x1.2d1d93a84456fp-20, 0x1.2ba1a3063801ep-20, 0x1.2a2802f157314p-20, 0x1.28aea5635b179p-20, 0x1.2737684b8e1e6p-20, 0x1.25c1eb3e9d3e3p-20, 0x1.244c56cd144a6p-20, 0x1.22d9edcae10f9p-20, 0x1.2168053310967p-20, 0x1.1ff79be16d9a1p-20, 0x1.1e889e1379fccp-20, 0x1.1d1b02ebdf83fp-20, 0x1.1baeccd5ed08ap-20, 0x1.1a43fe6c974ccp-20, 0x1.18db06b7d5434p-20, 0x1.1773139eb5ff7p-20, 0x1.160c308f6ccb4p-20, 0x1.14a6f8dc5e704p-20, 0x1.13433f470149fp-20, 0x1.11e168f573524p-20, 0x1.1080f8470703bp-20, 0x1.0f216c70e6a51p-20, 0x1.0dc39df76158dp-20, 0x1.0c6728a15207ap-20, 0x1.0b0c213a2986fp-20, 0x1.09b29e13dec35p-20, 0x1.085a7bfd75d32p-20, 0x1.0703a80738aabp-20, 0x1.05ae7e9d19473p-20, 0x1.045aaff231c0ep-20, 0x1.03086f85c2654p-20, 0x1.01b65763cf9aep-20, 0x1.0067e5001d107p-20, 0x1.fe3413a4d9fd2p-21, 0x1.fb9ae4f962f5cp-21, 0x1.f902f6581f06fp-21, 0x1.f6706d27fce3bp-21, 0x1.f3debc9b4ecccp-21, 0x1.f1530be537a19p-21, 0x1.eec646383dc5fp-21, 0x1.ec3e1ffe9b422p-21, 0x1.e9b8b29e31b0dp-21, 0x1.e735fb7bf8f18p-21, 0x1.e4b612fcad461p-21, 0x1.e2392a65a89b6p-21, 0x1.dfbf3d39d93f5p-21, 0x1.dd483ab57533ep-21, 0x1.dad3b2a7418e7p-21, 0x1.d861ee0ca58f8p-21, 0x1.d5f2fc238968cp-21, 0x1.d38680b147ea1p-21, 0x1.d11ccf36010a8p-21, 0x1.ceb594394b8c5p-21, 0x1.cc526ecaeadc3p-21, 0x1.c9f0e609416ffp-21, 0x1.c791c87301666p-21, 0x1.c536de158c89cp-21, 0x1.c2de82ffc98c5p-21, 0x1.c0874d09d11dbp-21, 0x1.be347ad61ef91p-21, 0x1.bbe325032e3bcp-21, 0x1.b995890875fa1p-21, 0x1.b7473cc2c3ca3p-21, 0x1.b4ff6e0c006adp-21, 0x1.b2b8d2a00f3b9p-21, 0x1.b0778f4840871p-21, 0x1.ae3474839545p-21, 0x1.abf6f3dda62fbp-21, 0x1.a9bb813493609p-21, 0x1.a78272fb3d8ap-21, 0x1.a54bff0beb51ap-21, 0x1.a318284158eadp-21, 0x1.a0e6fa4096f97p-21, 0x1.9eb85de884a38p-21, 0x1.9c8bbed40dbadp-21, 0x1.9a62ef9b46932p-21, 0x1.9839440442048p-21, 0x1.96173832eae0bp-21, 0x1.93f4f2a12c7b4p-21, 0x1.91d52d5665f88p-21, 0x1.8fb845f5d258ep-21, 0x1.8d9de5b89414dp-21, 0x1.8b86006934a44p-21, 0x1.8970828bc0d02p-21, 0x1.875e5a08ceaf6p-21, 0x1.854cb5ec461eap-21, 0x1.833e903392c15p-21, 0x1.81339d0f244d1p-21, 0x1.7f245563025c1p-21, 0x1.7d23f3375fe6dp-21, 0x1.7b1f348b95bc2p-21, 0x1.791c5a1f40c69p-21, 0x1.771d98d6deafp-21, 0x1.75206eb1f7e94p-21, 0x1.732589c533335p-21, 0x1.712e806b72e7p-21, 0x1.6f37409a07e32p-21, 0x1.6d4340e9e977bp-21, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.0bc12c692d066p-1, -0x1.0b957aac9e478p-1, -0x1.0b48a8d75c20ap-1, -0x1.0ad74e2825365p-1, -0x1.0a3fc948f30ddp-1, -0x1.09830def57a37p-1, -0x1.08a4a29021f5p-1, -0x1.07aa1b22b393bp-1, -0x1.069a5d0aaa8ap-1, -0x1.057ce15c2c27p-1, -0x1.0459125fcff0bp-1, -0x1.0335cf60d08d6p-1, -0x1.02191741df37ep-1, -0x1.0107d544c059bp-1, -0x1.0005c9ba2017bp-1, -0x1.fe2b109e4e3c3p-2, -0x1.fc710cc4e4084p-2, -0x1.fade6955af487p-2, -0x1.f972409c322b7p-2, -0x1.f82a307731acdp-2, -0x1.f702a872078acp-2, -0x1.f5f7372694cd8p-2, -0x1.f502d3b72058ep-2, -0x1.f420210332d4cp-2, -0x1.f349a8f9e4cabp-2, -0x1.f27a0f16a1003p-2, -0x1.f1ac39a89e7e8p-2, -0x1.f0db71ffa3debp-2, -0x1.f0037bf891082p-2, -0x1.ef20a5aa392d7p-2, -0x1.ee2fd020e0ecfp-2, -0x1.ed2e722edf368p-2, -0x1.ec1a965f157e2p-2, -0x1.eaf2d50dc486bp-2, -0x1.e9b64b99db705p-2, -0x1.e86491874d89dp-2, -0x1.e6fdac4dd3068p-2, -0x1.e5820270e03fcp-2, -0x1.e3f24e5fb698fp-2, -0x1.e24f91809c673p-2, -0x1.e09b07b15f30cp-2, -0x1.ded61b71bfec6p-2, -0x1.dd025ada7e2f7p-2, -0x1.db216d7551a9ap-2, -0x1.d9350afec8d53p-2, -0x1.d73ef312b9b32p-2, -0x1.d540e5bdddd4fp-2, -0x1.d33c9ceb377c5p-2, -0x1.d133c6a1725d2p-2, -0x1.cf28000326ee8p-2, -0x1.cd1ad10488393p-2, -0x1.cb0da8c940c48p-2, -0x1.c901da9dc1ea7p-2, -0x1.c6f89b8024533p-2, -0x1.c4f3002d8156ep-2, -0x1.c2f1fba98412dp-2, -0x1.c0f65e36badfep-2, -0x1.bf00d4b6d25ecp-2, -0x1.bd11e86a6f298p-2, -0x1.bb29ff08d26b3p-2, -0x1.b9495b27c1424p-2, -0x1.b7701cec7209p-2, -0x1.b59e42fe6b847p-2, -0x1.b3d3abb56d14fp-2, -0x1.b210167b939adp-2, -0x1.b053255d14914p-2, -0x1.ae9c5ebeffc46p-2, -0x1.aceb2f36a4e02p-2, -0x1.ab3eeb7b65313p-2, -0x1.a996d26cec144p-2, -0x1.a7f20f2809361p-2, -0x1.a64fbb24af779p-2, -0x1.a4aee057e2f8bp-2, -0x1.a30e7b54c4336p-2, -0x1.a16d7d68368a3p-2, -0x1.9fcaceab0d51p-2, -0x1.9e2550070a373p-2, -0x1.9c7bdd2b649adp-2, -0x1.9acd4e6dfed13p-2, -0x1.99187a96c5846p-2, -0x1.975c38933e0dep-2, -0x1.9597611089cdp-2, -0x1.93c8cffa99051p-2, -0x1.91ef65dfa89p-2, -0x1.900a093762644p-2, -0x1.8e17a78d67509p-2, -0x1.8c17368f3ed9dp-2, -0x1.8a07b4fdec8f6p-2, -0x1.87e82b83af37fp-2, -0x1.85b7ad6e9cd72p-2, -0x1.83755950fa866p-2, -0x1.8120598858036p-2, -0x1.7eb7e4ac959ffp-2, -0x1.7c3b3de816f2fp-2, -0x1.79a9b53a76b2ep-2, -0x1.7702a7a71b22dp-2, -0x1.74457f511e41ep-2, -0x1.7171b385f3438p-2, -0x1.6e86c8b83eb4fp-2, -0x1.6b84506c501bdp-2, -0x1.6869e9179ffaap-2, -0x1.65373df4b98c1p-2, -0x1.61ec06ccd53a7p-2, -0x1.5e8807b877ca3p-2, -0x1.5b0b10d8422a5p-2, -0x1.5774fe0719071p-2, -0x1.53c5b686ba833p-2, -0x1.4ffd2ca7bf6ccp-2, -0x1.4c1b5d6dfa42p-2, -0x1.48205032113f3p-2, -0x1.440c164115693p-2, -0x1.3fdeca7ad819ap-2, -0x1.3b9890ef9c7dfp-2, -0x1.3739967dbe89p-2, -0x1.32c2106fcbcd6p-2, -0x1.2e323c1b88f4dp-2, -0x1.298a5e823f5p-2, -0x1.24cac3f2b1ee9p-2, -0x1.1ff3bfacf760fp-2, -0x1.1b05ab887bdffp-2, -0x1.1600e79c59959p-2, -0x1.10e5d9ea2aa96p-2, -0x1.0bb4ee0b72857p-2, -0x1.066e94e1b371bp-2, -0x1.01134449363d6p-2, -0x1.f746ed9d1de8cp-3, -0x1.ec3f56cdb0109p-3, -0x1.e110ca553c6b4p-3, -0x1.d5bc5626e36adp-3, -0x1.ca430f7819cc7p-3, -0x1.bea61245fb061p-3, -0x1.b2e680df7697fp-3, -0x1.a70583741f148p-3, -0x1.9b0447a77b344p-3, -0x1.8ee400288c6f3p-3, -0x1.82a5e44d6e151p-3, -0x1.764b2fb2b9539p-3, -0x1.69d521de8e812p-3, -0x1.5d44fde6ff0edp-3, -0x1.509c0a1ba8a33p-3, -0x1.43db8fb2474f1p-3, -0x1.3704da760f5d1p-3, -0x1.2a193879a01dp-3, -0x1.1d19f9cb5ae4fp-3, -0x1.1008702bf8743p-3, -0x1.02e5eec733622p-3, -0x1.eb6793dcb1f1ap-4, -0x1.d0e6ada94fb6fp-4, -0x1.b64bd69ab4552p-4, -0x1.9b99bb1668e2p-4, -0x1.80d307c3103b9p-4, -0x1.65fa690d24ce7p-4, -0x1.4b128aae2985ap-4, -0x1.301e173656288p-4, -0x1.151fb7986fcf7p-4, -0x1.f434256fb541bp-5, -0x1.be1f99f15f6c5p-5, -0x1.88070fa3ab7f5p-5, -0x1.51efc2c22955p-5, -0x1.1bdee802071edp-5, -0x1.cbb357839c54ep-6, -0x1.5fca627970da6p-6, -0x1.e81a470790966p-7, -0x1.110b6fbcbe006p-7, -0x1.d3e25dff1185dp-10, 0x1.36fe92033afedp-8, 0x1.70d3a6405f1b3p-7, 0x1.22b6ad18d00dap-6, 0x1.8c9c962672c15p-6, 0x1.f6121000a44f4p-6, 0x1.2f86ddd65e382p-5, 0x1.63c32d6391f9bp-5, 0x1.97b96861ce7f6p-5, 0x1.cb65121223f16p-5, 0x1.fec1bfd395c0cp-5, 0x1.18e58cda88c18p-4, 0x1.323e6d812c639p-4, 0x1.4b696965fb15fp-4, 0x1.64647235033bfp-4, 0x1.7d2d83fccf966p-4, 0x1.95c2a56a80af8p-4, 0x1.ae21e80317d02p-4, 0x1.c649685a0ec24p-4, 0x1.de374e45149f4p-4, 0x1.f5e9cd0d051fcp-4, 0x1.06af91cdfb72p-3, 0x1.124ace54328d7p-3, 0x1.1dc5c76ebc06p-3, 0x1.291fae802c959p-3, 0x1.3457bb0952261p-3, 0x1.3f6d2ab8ea457p-3, 0x1.4a5f4179e8ecep-3, 0x1.552d4980442a7p-3, 0x1.5fd69354412acp-3, 0x1.6a5a75dc57bc3p-3, 0x1.74b84e65910a1p-3, 0x1.7eef80aa84bc3p-3, 0x1.88ff76d8dafa9p-3, 0x1.92e7a1956cd69p-3, 0x1.9ca777fef5e81p-3, 0x1.a63e77af64502p-3, 0x1.afac24bbcaa6p-3, 0x1.b8f009b2fc9acp-3, 0x1.c209b79ad49p-3, 0x1.caf8c5ec3035fp-3, 0x1.d3bcd28da34e7p-3, 0x1.dc5581cceea9p-3, 0x1.e4c27e5739941p-3, 0x1.ed037930203dfp-3, 0x1.f51829a7937efp-3, 0x1.fd004d4e9d689p-3, 0x1.025dd3f5854bdp-2, 0x1.062501b500fc4p-2, 0x1.09d597e8ccf7cp-2, 0x1.0d6f8198b3408p-2, 0x1.10f2acc90b3b1p-2, 0x1.145f0a7211f21p-2, 0x1.17b48e76cf1f2p-2, 0x1.1af32f9b90a66p-2, 0x1.1e1ae77bf8ff9p-2, 0x1.212bb280adbebp-2, 0x1.24258fd4a2466p-2, 0x1.2708815a0e79fp-2, 0x1.29d48b9f08321p-2, 0x1.2c89b5d1d17d1p-2, 0x1.2f2809b4d8954p-2, 0x1.31af9392717a1p-2, 0x1.342062304a0adp-2, 0x1.367a86c2a1711p-2, 0x1.38be14df465d4p-2, 0x1.3aeb22705ba73p-2, 0x1.3d01c7a6f3961p-2, 0x1.3f021eed749fdp-2, 0x1.40ec44d9deeeap-2, 0x1.42c0581fe9e08p-2, 0x1.447e7983024d1p-2, 0x1.4626cbc82ca5dp-2, 0x1.47b973a7cf56p-2, 0x1.493697bf6b1acp-2, 0x1.4a9e60833f202p-2, 0x1.4bf0f82fe533p-2, 0x1.4d2e8abbe527dp-2, 0x1.4e5745c93f046p-2, 0x1.4f6b5896fb526p-2, 0x1.506af3f2b5494p-2, 0x1.51564a2a2ff74p-2, 0x1.522d8efcf1218p-2, 0x1.52f0f78de5614p-2, 0x1.53a0ba55187bap-2, 0x1.543d0f117a0a5p-2, 0x1.54c62ebab6cfap-2, 0x1.553c53732d4f8p-2, 0x1.559fb879f4e0fp-2, 0x1.55f09a1d05bc2p-2, 0x1.562f35ab7d2dcp-2, 0x1.565bc96801e5cp-2, 0x1.5676947b4b04cp-2, 0x1.567fd6e6ca589p-2, 0x1.5677d1777fefdp-2, 0x1.565ec5b8f5437p-2, 0x1.5634f5e85ff48p-2, 0x1.55faa4e7f40a4p-2, 0x1.55b01632622aep-2, 0x1.55558dce83212p-2, 0x1.54eb50433666ap-2, 0x1.5471a28b6dfa6p-2, 0x1.53e8ca0a72f3fp-2, 0x1.53510c8056f27p-2, 0x1.52aaaffea07afp-2, 0x1.51f5fadd2acb6p-2, 0x1.513333af3b563p-2, 0x1.5062a138d069ap-2, 0x1.4f848a6427b32p-2, 0x1.4e9936377dee8p-2, 0x1.4da0ebcb06001p-2, 0x1.4c9bf23f1b6dcp-2, 0x1.4b8a90b2af57ap-2, 0x1.4a6d0e39f05e6p-2, 0x1.4943b1d52b46ep-2, 0x1.480ec267e8bf4p-2, 0x1.46ce86b047d54p-2, 0x1.4583453e8f66dp-2, 0x1.442d446d0039p-2, 0x1.42ccca57de798p-2, 0x1.41621cd5b8d25p-2, 0x1.3fed816fe83a5p-2, 0x1.3e6f3d5b4f8aap-2, 0x1.3ce795714ef9ep-2, 0x1.3b56ce28f91f5p-2, 0x1.39bd2b907cbd3p-2, 0x1.381af146ccfdfp-2, 0x1.36706275818d4p-2, 0x1.34bdc1caeb06fp-2, 0x1.330351746aafdp-2, 0x1.31415318f69adp-2, 0x1.2f7807d3dd227p-2, 0x1.2da7b02fbbd7bp-2, 0x1.2bd08c21ad6a5p-2, 0x1.29f2db04b04d9p-2, 0x1.280edb953aa9ap-2, 0x1.2624cbed0d312p-2, 0x1.2434e97f31f23p-2, 0x1.223f7114305e1p-2, 0x1.20449ec674c6fp-2, 0x1.1e44adfee75c1p-2, 0x1.1c3fd971b7ee2p-2, 0x1.1a365b1b51b81p-2, 0x1.18286c3d87745p-2, 0x1.1616455ce695ep-2, 0x1.14001e3e3ae2fp-2, 0x1.11e62de4403cbp-2, 0x1.0fc8aa8d7b8cap-2, 0x1.0da7c9b244119p-2, 0x1.0b83c002f20ffp-2, 0x1.095cc166397c4p-2, 0x1.073300f7aae97p-2, 0x1.0506b1065dce5p-2, 0x1.02d80313c09dcp-2, 0x1.00a727d28b9ep-2, 0x1.fce89e4bb86bp-3, 0x1.f87f5040e50cbp-3, 0x1.f412c208238fep-3, 0x1.efa34e82041bbp-3, 0x1.eb314eeb6534p-3, 0x1.e6bd1adcff9ddp-3, 0x1.e247084b2a8ecp-3, 0x1.ddcf6b85d90ap-3, 0x1.d9569738df5d1p-3, 0x1.d4dcdc6c64982p-3, 0x1.d0628a8590b7ep-3, 0x1.cbe7ef4775bdep-3, 0x1.c76d56d41f7d9p-3, 0x1.c2f30bade6422p-3, 0x1.be7956b8e4a44p-3, 0x1.ba007f3ca4ca1p-3, 0x1.b588cae5f61cdp-3, 0x1.b1127dc8f19dfp-3, 0x1.ac9dda6328744p-3, 0x1.a82b219df92cfp-3, 0x1.a3ba92d10f35cp-3, 0x1.9f4c6bc50200fp-3, 0x1.9ae0e8b621061p-3, 0x1.967844575944cp-3, 0x1.9212b7d54099dp-3, 0x1.8db07ad94281dp-3, 0x1.8951c38ce2d8ep-3, 0x1.84f6c69d2910ap-3, 0x1.809fb73e19797p-3, 0x1.7c4cc72e553ecp-3, 0x1.77fe26bacb1b2p-3, 0x1.73b404c27fcacp-3, 0x1.6f6e8eba72a4ap-3, 0x1.6b2df0b18be09p-3, 0x1.66f25554ae0c1p-3, 0x1.62bbe5f2c9421p-3, 0x1.5e8aca810d2b5p-3, 0x1.5a5f299f2127bp-3, 0x1.5639289b7274ap-3, 0x1.5218eb778c009p-3, 0x1.4dfe94ec7c516p-3, 0x1.49ea466f47bb4p-3, 0x1.45dc203564449p-3, 0x1.41d441393e55ap-3, 0x1.3dd2c73ec9b8cp-3, 0x1.39d7ced8145cdp-3, 0x1.35e37369eaafap-3, 0x1.31f5cf307169ap-3, 0x1.2e0efb43d638bp-3, 0x1.2a2f0f9cf6bdfp-3, 0x1.2656231a13dbcp-3, 0x1.22844b838260ap-3, 0x1.1eb99d9062bb1p-3, 0x1.1af62ceb51a49p-3, 0x1.173a0c372197bp-3, 0x1.13854d138fe12p-3, 0x1.0fd80021f8ceap-3, 0x1.0c32350a093b2p-3, 0x1.0893fa7e72be1p-3, 0x1.04fd5e41954c9p-3, 0x1.016e6d2a2d40dp-3, 0x1.fbce664fef679p-4, 0x1.f4cf7690a3216p-4, 0x1.ede01f75b0d4bp-4, 0x1.e70073abffc22p-4, 0x1.e030843741c16p-4, 0x1.d970607b08f11p-4, 0x1.d2c01643cd911p-4, 0x1.cc1fb1cfe78cfp-4, 0x1.c58f3dd86da28p-4, 0x1.bf0ec39a180d3p-4, 0x1.b89e4addfc7dcp-4, 0x1.b23dda0243083p-4, 0x1.abed7602c5f58p-4, 0x1.a5ad2281a7077p-4, 0x1.9f7ce1cfbe07fp-4, 0x1.995cb4f4fee75p-4, 0x1.934c9bb8d2a83p-4, 0x1.8d4c94aa46c7ap-4, 0x1.875c9d28378a9p-4, 0x1.817cb1695857bp-4, 0x1.7baccc843156p-4, 0x1.75ece876f6847p-4, 0x1.703cfe2f54165p-4, 0x1.6a9d05921e503p-4, 0x1.650cf582e4e47p-4, 0x1.5f8cc3eb729c4p-4, 0x1.5a1c65c333511p-4, 0x1.54bbcf168063dp-4, 0x1.4f6af30dd1c2cp-4, 0x1.4a29c3f4d5f4p-4, 0x1.44f8334175e51p-4, 0x1.3fd6319ab3c88p-4, 0x1.3ac3aedf7c0e4p-4, 0x1.35c09a2d52ff5p-4, 0x1.30cce1e6eb4dcp-4, 0x1.2be873baa5122p-4, 0x1.27133ca8ec6a2p-4, 0x1.224d290a82a0bp-4, 0x1.1d962496abe4dp-4, 0x1.18ee1a693ebdep-4, 0x1.1454f5089eeafp-4, 0x1.0fca9e6b994bbp-4, 0x1.0b4effff27554p-4, 0x1.06e202ac168e6p-4, 0x1.02838edc9ac26p-4, 0x1.fc67190375765p-5, 0x1.f3e3c63164da7p-5, 0x1.eb7cf3605900cp-5, 0x1.e3326ddada7d1p-5, 0x1.db040222b22f7p-5, 0x1.d2f17bfadbe99p-5, 0x1.cafaa6712d146p-5, 0x1.c31f4be7d8da1p-5, 0x1.bb5f361ebfe48p-5, 0x1.b3ba2e3c844a2p-5, 0x1.ac2ffcd77b5aep-5, 0x1.a4c069fe5da1p-5, 0x1.9d6b3d40d7ec1p-5, 0x1.96303db7d4eebp-5, 0x1.8f0f320db4eb6p-5, 0x1.8807e08634ce4p-5, 0x1.811a0f064193p-5, 0x1.7a45831b8ecc7p-5, 0x1.738a020400d6cp-5, 0x1.6ce750b4eddfap-5, 0x1.665d33e2280aep-5, 0x1.5feb7004e6decp-5, 0x1.5991c96284006p-5, 0x1.53500412fd892p-5, 0x1.4d25e4075856ep-5, 0x1.47132d0fe3661p-5, 0x1.4117a2e22f865p-5, 0x1.3b33091f081d3p-5, 0x1.3565235820438p-5, 0x1.2fadb515a68dcp-5, 0x1.2a0c81dbb3e22p-5, 0x1.24814d2f874b6p-5, 0x1.1f0bda9ca8cf2p-5, 0x1.19abedb9df3c5p-5, 0x1.14614a2df9a38p-5, 0x1.0f2bb3b48467cp-5, 0x1.0a0aee224ba48p-5, 0x1.04febd69bcdb8p-5, 0x1.0006e59f2a5fdp-5, 0x1.f64655f9d7d8p-6, 0x1.eca6a3cea0da2p-6, 0x1.e32e3de10427bp-6, 0x1.d9dcadb879538p-6, 0x1.d0b17d46bf4f6p-6, 0x1.c7ac36eee4749p-6, 0x1.becc658be7ceep-6, 0x1.b611947733b42p-6, 0x1.ad7b4f8ee0101p-6, 0x1.a509233bace97p-6, 0x1.9cba9c76b0338p-6, 0x1.948f48cf1807cp-6, 0x1.8c86b66f3da79p-6, 0x1.84a07421f66abp-6, 0x1.7cdc1157654fep-6, 0x1.75391e29a5d91p-6, 0x1.6db72b6163e82p-6, 0x1.6655ca7a15503p-6, 0x1.5f148da62554p-6, 0x1.57f307d2d4d9p-6, 0x1.50f0ccabf27e2p-6, 0x1.4a0d709f86bc1p-6, 0x1.434888e11b652p-6, 0x1.3ca1ab6ce6ff8p-6, 0x1.36186f0afc578p-6, 0x1.2fac6b520813dp-6, 0x1.295d38aa1dc3bp-6, 0x1.232a704f32995p-6, 0x1.1d13ac53a148fp-6, 0x1.171887a248947p-6, 0x1.11389e00c3df8p-6, 0x1.0b738c114f527p-6, 0x1.05c8ef54a2d7cp-6, 0x1.0038662ba5b0fp-6, 0x1.f5831fb1f3df5p-7, 0x1.eac81904d3589p-7, 0x1.e03efa645c79fp-7, 0x1.d5e707b06ed92p-7, 0x1.cbbf86962fd5ep-7, 0x1.c1c7be923ef5ap-7, 0x1.b7fef8f207a87p-7, 0x1.ae6480d5823d3p-7, 0x1.a4f7a3305e3e2p-7, 0x1.9bb7aecae507bp-7, 0x1.92a3f442fb54fp-7, 0x1.89bbc60caf64bp-7, 0x1.80fe7872b63b4p-7, 0x1.786b61969fb5p-7, 0x1.7001d970fc862p-7, 0x1.67c139d136d29p-7, 0x1.5fa8de5d7d11cp-7, 0x1.57b8249214f34p-7, 0x1.4fee6bc0f7721p-7, 0x1.484b1511268a1p-7, 0x1.40cd837d82b6cp-7, 0x1.39751bd42e734p-7, 0x1.324144b51a8a5p-7, 0x1.2b316690e1367p-7, 0x1.2444eba7603c7p-7, 0x1.1d7b40061519dp-7, 0x1.16d3d18695e86p-7, 0x1.104e0fccc3541p-7, 0x1.09e96c44e1a72p-7, 0x1.03a55a21b386dp-7, 0x1.fb029cb4ae172p-8, 0x1.eef97f5015902p-8, 0x1.e32e4d07f3b4p-8, 0x1.d79ffa49de22ep-8, 0x1.cc4d7ef990f6ap-8, 0x1.c135d66be23adp-8, 0x1.b657ff61abd1ap-8, 0x1.abb2fc023ae8fp-8, 0x1.a145d1d633665p-8, 0x1.970f89c139c3p-8, 0x1.8d0f2ffd13d5p-8, 0x1.8343d412e40c5p-8, 0x1.79ac88d5a0c91p-8, 0x1.7048645bed395p-8, 0x1.67167ff9ae18dp-8, 0x1.5e15f839bd67p-8, 0x1.5545ecd79d8d2p-8, 0x1.4ca580b8d2b9cp-8, 0x1.4433d9e65aa2ap-8, 0x1.3bf02185efebcp-8, 0x1.33d983d339dabp-8, 0x1.2bef30193a862p-8, 0x1.243058aaf5752p-8, 0x1.1c9c32dcf603fp-8, 0x1.1531f6fdfd546p-8, 0x1.0df0e0503129p-8, 0x1.06d82d01a3d59p-8, 0x1.ffce3c4b763bap-9, 0x1.f239ef5ae0be2p-9, 0x1.e4f200c0f545p-9, 0x1.d7f503abdbd55p-9, 0x1.cb4190da10c46p-9, 0x1.bed6468b98a1p-9, 0x1.b2b1c87379eaap-9, 0x1.a6d2bfa931b73p-9, 0x1.9b37da99c6f5cp-9, 0x1.8fdfccf987b31p-9, 0x1.84c94fb4c36a1p-9, 0x1.79f320e1b0d0dp-9, 0x1.6f5c03b11aa5cp-9, 0x1.6502c0603d0b9p-9, 0x1.5ae624299fef9p-9, 0x1.51050136c48b5p-9, 0x1.475e2e9138173p-9, 0x1.3df088142eb7cp-9, 0x1.34baee5db1c63p-9, 0x1.2bbc46c04f01bp-9, 0x1.22f37b34533a7p-9, 0x1.1a5f7a498c17p-9, 0x1.11ff3718b839dp-9, 0x1.09d1a93535e33p-9, 0x1.01d5cc9e944d4p-9, 0x1.f41543652d7e7p-10, 0x1.e4de5a3d32e0fp-10, 0x1.d604efa40ca5dp-10, 0x1.c7871ddf299cdp-10, 0x1.b96307801cf76p-10, 0x1.ab96d74745274p-10, 0x1.9e20c00947d1cp-10, 0x1.90fefc937208ap-10, 0x1.842fcf8faead6p-10, 0x1.77b1836a0fe73p-10, 0x1.6b826a35c099ap-10, 0x1.5fa0dd91fa5c4p-10, 0x1.540b3e8f6f69fp-10, 0x1.48bff596384b8p-10, 0x1.3dbd724b47e8bp-10, 0x1.33022b766c56cp-10, 0x1.288c9ee8e8c6p-10, 0x1.1e5b51630c7a3p-10, 0x1.146cce7b69385p-10, 0x1.0abfa885a6ap-10, 0x1.0152787923872p-10, 0x1.f047bbb0cf079p-11, 0x1.de64fd31ec26ap-11, 0x1.ccfa0e13b6f14p-11, 0x1.bc04537a0a394p-11, 0x1.ab813edc621a8p-11, 0x1.9b6e4dd791357p-11, 0x1.8bc909ff1b639p-11, 0x1.7c8f08aeaccb9p-11, 0x1.6dbdeadafb707p-11, 0x1.5f535ce5f613ap-11, 0x1.514d1670e0cb3p-11, 0x1.43a8da2fbe689p-11, 0x1.366475bd6aa36p-11, 0x1.297dc16fd43e4p-11, 0x1.1cf2a02d239bfp-11, 0x1.10c0ff4023472p-11, 0x1.04e6d62fbe68ap-11, 0x1.f2c44d257609fp-12, 0x1.dc61f7d1d27d8p-12, 0x1.c6a2d6e209a37p-12, 0x1.b18327ffdccf3p-12, 0x1.9cff3bb5339c6p-12, 0x1.89137518dce5ep-12, 0x1.75bc4983ac4cep-12, 0x1.62f64041cb6c5p-12, 0x1.50bdf2483ae76p-12, 0x1.3f1009e81aaap-12, 0x1.2de94285e61f4p-12, 0x1.1d46684f6a577p-12, 0x1.0d2457f31d444p-12, 0x1.fafffcb29ba92p-13, 0x1.dcacb0ba8982bp-13, 0x1.bf48e50fb1cb8p-13, 0x1.a2ced1942969dp-13, 0x1.8738cc7770734p-13, 0x1.6c8149a8ec847p-13, 0x1.52a2da59a2d12p-13, 0x1.39982c782c1f7p-13, 0x1.215c0a2fbeb15p-13, 0x1.09e9596a28483p-13, 0x1.e67636a5293dfp-14, 0x1.ba98d7b16df13p-14, 0x1.90310273375b7p-14, 0x1.6735570cdde6ap-14, 0x1.3f9ca85a322bbp-14, 0x1.195dfb0d4b4cep-14, 0x1.e8e1097d0c4d6p-15, 0x1.a19756302c02ap-15, 0x1.5cce05d728abap-15, 0x1.1a749eb139d8fp-15, 0x1.b4f603d1d3191p-16, 0x1.39a2d3d3b0437p-16, 0x1.85a1a3009f218p-17, 0x1.4187337b15ac2p-18, -0x1.dc7c13af05d1bp-20, -0x1.0f9174b898a96p-17, -0x1.db7abb0c6ac7fp-17, -0x1.4fc14a331233fp-16, -0x1.adef836ae24d3p-16, -0x1.043139574250bp-15, -0x1.2f99f56598841p-15, -0x1.593e9572ead1bp-15, -0x1.812b7092f273bp-15, -0x1.a76c96c459ed9p-15, -0x1.cc0dd25122a21p-15, -0x1.ef1aa9267bdc8p-15, -0x1.084f2f0f63baep-14, -0x1.1851f92f328a2p-14, -0x1.279b1346d02efp-14, -0x1.362fbe120a166p-14, -0x1.44151b4f3bd5cp-14, -0x1.51502e60c0e17p-14, -0x1.5de5dce001c75p-14, -0x1.69daef3aca65ap-14, -0x1.75341141fb83fp-14, -0x1.7ff5d2c0cfa7bp-14, -0x1.8a24a8090cfccp-14, -0x1.93c4ea8005808p-14, -0x1.9cdad92e1de5ap-14, -0x1.a56a993fdd6d1p-14, -0x1.ad783692554e7p-14, -0x1.b507a434328cbp-14, -0x1.bc1cbce67a952p-14, -0x1.c2bb439f82628p-14, -0x1.c8e6e4033f81ep-14, -0x1.cea332e3e162cp-14, -0x1.d3f3aeb3a73bcp-14, -0x1.d8dbc003131p-14, -0x1.dd5eb9ef8bec1p-14, -0x1.e17fda9a3837bp-14, -0x1.e5424b95a9264p-14, -0x1.e8a922550976fp-14, -0x1.ebb7609a3fca5p-14, -0x1.ee6ff4dfcf193p-14, -0x1.f0d5babefc682p-14, -0x1.f2eb7b5ba0709p-14, -0x1.f4b3edc3ae2cbp-14, -0x1.f631b756fc474p-14, -0x1.f7676c2519819p-14, -0x1.f8578f4f20517p-14, -0x1.f904936394ad4p-14, -0x1.f970dabe1d088p-14, -0x1.f99eb7db29d81p-14, -0x1.f9906db88c22ap-14, -0x1.f94830256d105p-14, -0x1.f8c8241d1f4d1p-14, -0x1.f812601657a48p-14, -0x1.f728ec59fd5eep-14, -0x1.f60dc34f15fd9p-14, -0x1.f4c2d1cdaa30bp-14, -0x1.f349f7696b83ep-14, -0x1.f1a506c0c8f31p-14, -0x1.efd5c5c4b59a2p-14, -0x1.edddee0341c55p-14, -0x1.ebbf2cefe5223p-14, -0x1.e97b24285f3dfp-14, -0x1.e71369bad1771p-14, -0x1.e4898869f625bp-14, -0x1.e1deffed107dap-14, -0x1.df15453476947p-14, -0x1.dc2dc2a530fafp-14, -0x1.d929d85c9191dp-14, -0x1.d60adc67810d9p-14, -0x1.d2d21b03ba4f5p-14, -0x1.cf80d6d7a0d1ep-14, -0x1.cc18492ce9774p-14, -0x1.c899a228f4766p-14, -0x1.c50609041e7a2p-14, -0x1.c15e9c40158b7p-14, -0x1.bda471dcf823bp-14, -0x1.b9d8978c74a23p-14, -0x1.b5fc12e740a35p-14, -0x1.b20fe19b9e522p-14, -0x1.ae14f9a0b1e97p-14, -0x1.aa0c4965c5f94p-14, -0x1.a5f6b80169d79p-14, -0x1.a1d5255e6c6e6p-14, -0x1.9da86a696fcc1p-14, -0x1.9971593de4aa1p-14, -0x1.9530bd5008e05p-14, -0x1.90e75b9565f64p-14, -0x1.8c95f2b2c7f62p-14, -0x1.883d3b200f4b4p-14, -0x1.83dde752070a2p-14, -0x1.7f78a3e0c1d8fp-14, -0x1.7b0e17ada6aeep-14, -0x1.769ee407a340ep-14, -0x1.722ba4d099af8p-14, -0x1.6db4f0a01735ep-14, -0x1.693b58e68e59ap-14, -0x1.64bf6a0ecd1fcp-14, -0x1.6041ab9fdd2ebp-14, -0x1.5bc2a05c8dad4p-14, -0x1.5742c664eabbp-14, -0x1.52c29752de0ep-14, -0x1.4e42885b083ffp-14, -0x1.49c30a68d120ep-14, -0x1.45448a3ce302fp-14, -0x1.40c77087f8c63p-14, -0x1.3c4c2207c76b9p-14, -0x1.37d2ffa1b9087p-14, -0x1.335c667db9047p-14, -0x1.2ee8b02084679p-14, -0x1.2a7832833f8efp-14, -0x1.260b402edb2dep-14, -0x1.21a228524f6ap-14, -0x1.1d3d36db282ddp-14, -0x1.18dcb48c44504p-14, -0x1.1480e714719b5p-14, -0x1.102a11255ddap-14, -0x1.0bd872878962ep-14, -0x1.078c4830e5769p-14, -0x1.0345cc57e6deap-14, -0x1.fe0a6d1279441p-15, -0x1.f59577743cee1p-15, -0x1.ed2d1cb8041c1p-15, -0x1.e4d1bcde9762fp-15, -0x1.dc83b32a9d127p-15, -0x1.d44356453fd3dp-15, -0x1.cc10f85ef8a6ap-15, -0x1.c3ece753f27c7p-15, -0x1.bbd76ccb93e9bp-15, -0x1.b3d0ce5960eabp-15, -0x1.abd94d9c18db1p-15, -0x1.a3f1285d028b3p-15, -0x1.9c1898ade9447p-15, -0x1.944fd505e508bp-15, -0x1.8c97105e44b0ap-15, -0x1.84ee7a4ec1023p-15, -0x1.7d563f27d2c2cp-15, -0x1.75ce880dc9e59p-15, -0x1.6e577b1354f9ap-15, -0x1.66f13b503b73fp-15, -0x1.5f9be8fd2e0e9p-15, -0x1.5857a1897337fp-15, -0x1.51247fb2d3f81p-15, -0x1.4a029b9c80be6p-15, -0x1.42f20ae578725p-15, -0x1.3bf2e0bd53b46p-15, -0x1.35052dfa6ce19p-15, -0x1.2e29012c8aef8p-15, -0x1.275e66b3b2c5ep-15, -0x1.20a568d0585b1p-15, -0x1.19fe0fb8fd16ap-15, -0x1.136861ab391a6p-15, -0x1.0ce462fd5e635p-15, -0x1.06721631bc68dp-15, -0x1.00117c05a2391p-15, -0x1.f38527060c924p-16, -0x1.e70ab42063159p-16, -0x1.dab397009dddcp-16, -0x1.ce7fc4420f7b1p-16, -0x1.c26f2d96659a1p-16, -0x1.b681c1dfb02dap-16, -0x1.aab76d4e1ab7ap-16, -0x1.9f10197b3c08p-16, -0x1.938bad82e3f46p-16, -0x1.882a0e1fde2fep-16, -0x1.7ceb1dc1581cep-16, -0x1.71cebca7c1309p-16, -0x1.66d4c8f855e8p-16, -0x1.5bfd1ed6ce518p-16, -0x1.5147987a76c3ep-16, -0x1.46b40e44b2506p-16, -0x1.3c4256d5d3591p-16, -0x1.31f2472171b98p-16, -0x1.27c3b281f2dabp-16, -0x1.1db66acdd92e1p-16, -0x1.13ca40688cf88p-16, -0x1.09ff025410befp-16, -0x1.00547e4546dcbp-16, -0x1.ed9501665073cp-17, -0x1.dac1a9cef4b5bp-17, -0x1.c82e8a1f361a5p-17, -0x1.b5db34980cc37p-17, -0x1.a3c7397ea1b7cp-17, -0x1.91f22739f9c1dp-17, -0x1.805b8a6ecbefp-17, -0x1.6f02ee1c9f32fp-17, -0x1.5de7dbb6305abp-17, -0x1.4d09db3e324dbp-17, -0x1.3c68735df0c78p-17, -0x1.2c032980344b5p-17, -0x1.1bd981e52bc85p-17, -0x1.0beaffbc9edb3p-17, -0x1.f86e4a74dbcf7p-18, -0x1.d97ae75618dbbp-18, -0x1.bafad71485ca7p-18, -0x1.9ced1929dd61cp-18, -0x1.7f50abbaadaedp-18, -0x1.62248bbc82beep-18, -0x1.4567b516fe4a2p-18, -0x1.291922c787bd2p-18, -0x1.0d37cf04f39d7p-18, -0x1.e38566bad5deap-19, -0x1.ad7191aacc50ep-19, -0x1.7832100ed0309p-19, -0x1.43c4d2800bf53p-19, -0x1.1027c9311ea4p-19, -0x1.bab1c8556796ep-20, -0x1.56ac26f031b81p-20, -0x1.e8751d71552d7p-21, -0x1.26b1c20fc65bbp-21, -0x1.a018030a573bp-23, 0x1.4e5979b8026dcp-23, 0x1.0c2b8fbd5e25cp-21, 0x1.c1c1c314d6da9p-21, 0x1.3a3091b876d09p-20, 0x1.9208eb17e0d95p-20, 0x1.e86dfd543628bp-20, 0x1.1eb1ea600b27ep-19, 0x1.48773d0d4bbb2p-19, 0x1.7188f925e455cp-19, 0x1.99e91f14db9fp-19, 0x1.c199ad1ef31abp-19, 0x1.e89c9f483f958p-19, 0x1.0779f79b76c3cp-18, 0x1.1a50ca0e4247p-18, 0x1.2cd3c14df6f95p-18, 0x1.3f03d659279ccp-18, 0x1.50e200d270338p-18, 0x1.626f36f2823f2p-18, 0x1.73ac6d826fb6cp-18, 0x1.849a97cef2e38p-18, 0x1.953aa7a22d8b7p-18, 0x1.a58d8d39d0151p-18, 0x1.b594373edbae3p-18, 0x1.c54f92bf9d215p-18, 0x1.d4c08b2781b9p-18, 0x1.e3e80a385ecd6p-18, 0x1.f2c6f805c2ba6p-18, 0x1.00af1d76c6bc4p-17, 0x1.07d75bc998dc7p-17, 0x1.0edca86d6ec08p-17, 0x1.15bf73f25265cp-17, 0x1.1c802e04104d4p-17, 0x1.231f456834d91p-17, 0x1.299d27fbf533p-17, 0x1.2ffa42b32ce65p-17, 0x1.3637019678ed2p-17, 0x1.3c53cfc1c9a34p-17, 0x1.4251176300f85p-17, 0x1.482f41b9309a4p-17, 0x1.4deeb713aadf1p-17, 0x1.538fded0ca9d4p-17, 0x1.59131f5de2745p-17, 0x1.5e78de35c53c6p-17, 0x1.63c17fe0fd5d6p-17, 0x1.68ed67f4f1e58p-17, 0x1.6dfcf914683dap-17, 0x1.72f094ee7f502p-17, 0x1.77c89c3f24445p-17, 0x1.7c856eced033cp-17, 0x1.81276b72b1f53p-17, 0x1.85aef00d15dfep-17, 0x1.8a1c598da534dp-17, 0x1.8e7003f1b10f4p-17, 0x1.92aa4a44e0c5dp-17, 0x1.96cb86a1519f3p-17, 0x1.9ad4123074c1ep-17, 0x1.9ec4452bbf069p-17, 0x1.a29c76dd4eb33p-17, 0x1.a65cfda0f1c5bp-17, 0x1.aa062ee4a7a78p-17, 0x1.ad985f298d875p-17, 0x1.b113e20535578p-17, 0x1.b4790a228810cp-17, 0x1.b7c8294290e5fp-17, 0x1.bb01903e3ee7fp-17, 0x1.be258f06e82a9p-17, 0x1.c13474a7d051ep-17, 0x1.c42e8f4762be3p-17, 0x1.c7142c285b6c9p-17, 0x1.c9e597ab47c03p-17, 0x1.cca31d4fc5016p-17, 0x1.cf4d07b61b17dp-17, 0x1.d1e3a0a08ae35p-17, 0x1.d46730f4c20d6p-17, 0x1.d6d800bd6bacbp-17, 0x1.d936572b8a25dp-17, 0x1.db827a98065dep-17, 0x1.ddbcb085392a1p-17, 0x1.dfe53da0f7e3bp-17, 0x1.e1fc65c5a3583p-17, 0x1.e4026bfc0d73ep-17, 0x1.e5f7927cfe5eap-17, 0x1.e7dc1ab2e7b5fp-17, 0x1.e9b0453bd730ep-17, 0x1.eb7451ea9e0f2p-17, 0x1.ed287fc88a177p-17, 0x1.eecd0d17cb85fp-17, 0x1.f06237549546cp-17, 0x1.f1e83b3730bf5p-17, 0x1.f35f54b5409fbp-17, 0x1.f4c7bf0432584p-17, 0x1.f621b49a5fc5ap-17, 0x1.f76d6f30df3dbp-17, 0x1.f8ab27c58d421p-17, 0x1.f9db169cc29c5p-17, 0x1.fafd734301d47p-17, 0x1.fc12748ef6ccfp-17, 0x1.fd1a50a2e1ee3p-17, 0x1.fe153cee86774p-17, 0x1.ff036e30cdddfp-17, 0x1.ffe5187a0844ap-17, 0x1.005d379693532p-16, 0x1.00c1d280e3b53p-16, 0x1.01207602e15b4p-16, 0x1.01793acf8f413p-16, 0x1.01cc3946debfbp-16, 0x1.021989768eed6p-16, 0x1.0261431b19b06p-16, 0x1.02a37da0764c9p-16, 0x1.02e05023279afp-16, 0x1.0317d170e55f7p-16, 0x1.034a180970daep-16, 0x1.03773a1fadd11p-16, 0x1.039f4d9a525b2p-16, 0x1.03c26814d2883p-16, 0x1.03e09ee02b913p-16, 0x1.03fa0703cec16p-16, 0x1.040eb53e43975p-16, 0x1.041ebe0623f8bp-16, 0x1.042a358af0c4p-16, 0x1.04312fb5fc00bp-16, 0x1.0433c02b0f52fp-16, 0x1.0431fa4923027p-16, 0x1.042bf12b6a088p-16, 0x1.0421b7aa1f6cdp-16, 0x1.0413605b28671p-16, 0x1.0400fd92f75ap-16, 0x1.03eaa16520fc2p-16, 0x1.03d05da56f9a5p-16, 0x1.03b243e88bb57p-16, 0x1.03906584c22a5p-16, 0x1.036ad392a70c2p-16, 0x1.03419eedf44c1p-16, 0x1.0314d8363afd1p-16, 0x1.02e48fcf9bcadp-16, 0x1.02b0d5e3c3e65p-16, 0x1.0279ba6244eebp-16, 0x1.023f4d019cac5p-16, 0x1.02019d3fa4c11p-16, 0x1.01c0ba62737abp-16, 0x1.017cb37916733p-16, 0x1.0135975c448cfp-16, 0x1.00eb74aefc78ep-16, 0x1.009e59df24aeep-16, 0x1.004e552637a51p-16, 0x1.fff6e9142f52fp-17, 0x1.ff4b8bbb9bab6p-17, 0x1.fe9aad839d06ep-17, 0x1.fde46949b5adep-17, 0x1.fd28d989897bap-17, 0x1.fc68185dbd3f8p-17, 0x1.fba23f81381d6p-17, 0x1.fad7685077aa3p-17, 0x1.fa07abcaf3e2ep-17, 0x1.f9332294452b1p-17, 0x1.f859e4f58e07fp-17, 0x1.f77c0addc04ccp-17, 0x1.f699abe3ed6b6p-17, 0x1.f5b2df47cf5cfp-17, 0x1.f4c7bbf343a7ep-17, 0x1.f3d8587b2f135p-17, 0x1.f2e4cb209c718p-17, 0x1.f1ed29d1cfe22p-17, 0x1.f0f18a2bb7c1bp-17, 0x1.eff2017aebbfp-17, 0x1.eeeea4bc8dadp-17, 0x1.ede7889f63fa2p-17, 0x1.ecdcc184a2021p-17, 0x1.ebce6381a27ccp-17, 0x1.eabc8260b7055p-17, 0x1.e9a731a1a40ap-17, 0x1.e88e847b04c38p-17, 0x1.e7728ddb4d2c1p-17, 0x1.e653606a02ba8p-17, 0x1.e5310e8825964p-17, 0x1.e40baa5180616p-17, 0x1.e2e3459d9ea87p-17, 0x1.e1b7f2007b437p-17, 0x1.e089c0cb9daf1p-17, 0x1.df58c30efade9p-17, 0x1.de250999f2e03p-17, 0x1.dceea4fc31af2p-17, 0x1.dbb5a58612a3cp-17, 0x1.da7a1b4a2cc53p-17, 0x1.d93c161dde938p-17, 0x1.d7fba59a3eb44p-17, 0x1.d6b8d91ccbc43p-17, 0x1.d573bfc83d4fp-17, 0x1.d42c688568f3fp-17, 0x1.d2e2e20435f3dp-17, 0x1.d1973abc3764fp-17, 0x1.d04980ed59238p-17, 0x1.cef9c2a0badf8p-17, 0x1.cda80da9c07d8p-17, 0x1.cc546fa6953b9p-17, 0x1.cafef6009aa9ap-17, 0x1.c9a7aded6aa06p-17, 0x1.c84ea46ff1b8dp-17, 0x1.c6f3e6588f009p-17, 0x1.c5978045ec267p-17, 0x1.c4397ea5db6a1p-17, 0x1.c2d9edb5e1f5fp-17, 0x1.c178d9840483cp-17, 0x1.c0164def3655p-17, 0x1.beb256a849de8p-17, 0x1.bd4cff3255aa4p-17, 0x1.bbe652e37e1a1p-17, 0x1.ba7e5ce598414p-17, 0x1.b9152836ccbe7p-17, 0x1.b7aabfa9de594p-17, 0x1.b63f2de74d1f1p-17, 0x1.b4d27d6db12ep-17, 0x1.b364b89222785p-17, 0x1.b1f5e98109bbep-17, 0x1.b0861a3e9b018p-17, 0x1.af1554a7672bap-17, 0x1.ada3a27115decp-17, 0x1.ac310d2aad903p-17, 0x1.aabd9e3cfcba8p-17, 0x1.a9495eebc14cbp-17, 0x1.a7d45855d557cp-17, 0x1.a65e9375461d4p-17, 0x1.a4e819205495ep-17, 0x1.a370f20a39707p-17, 0x1.a1f926c30f742p-17, 0x1.a080bfb858163p-17, 0x1.9f07c535f1ea2p-17, 0x1.9d8e3f663855fp-17, 0x1.9c1436528dec2p-17, 0x1.9a99b1e3bb893p-17, 0x1.991eb9e281e24p-17, 0x1.97a355f819c82p-17, 0x1.96278daea1ae6p-17, 0x1.94ab68715ff66p-17, 0x1.932eed8d47855p-17, }}, 
      {{-0x1.0bca9101abcdp-1, -0x1.0bbc3f12164bap-1, -0x1.0ba37e6997058p-1, -0x1.0b7f673418084p-1, -0x1.0b4f44a36ea2dp-1, -0x1.0b12cabbbc206p-1, -0x1.0aca2bc87984ep-1, -0x1.0a76146308059p-1, -0x1.0a1797a8a848bp-1, -0x1.09b014162aea1p-1, -0x1.0941170b1fa23p-1, -0x1.08cc42916c075p-1, -0x1.08533733b3a56p-1, -0x1.07d7827afa40ap-1, -0x1.075a91fa6bfefp-1, -0x1.06ddaa76aa999p-1, -0x1.0661e291ff477p-1, -0x1.05e820608dc14p-1, -0x1.0571194fe78dep-1, -0x1.04fd53dbd65c7p-1, -0x1.048d2a9a60861p-1, -0x1.0420d03927844p-1, -0x1.03b85415606c1p-1, -0x1.0353a725d97c1p-1, -0x1.02f2a0fb85b8dp-1, -0x1.029504a914275p-1, -0x1.023a856d15a36p-1, -0x1.01e2cb0404e84p-1, -0x1.018d7590363eep-1, -0x1.013a210d2c877p-1, -0x1.00e8684a00317p-1, -0x1.0097e76b9496bp-1, -0x1.00483dfb2a161p-1, -0x1.fff221117b73p-2, -0x1.ff5413d504cebp-2, -0x1.feb5b847c9123p-2, -0x1.fe1681fe0cd39p-2, -0x1.fd75f4c720657p-2, -0x1.fcd3a4eaa0a32p-2, -0x1.fc2f3708e3544p-2, -0x1.fb885fb067da3p-2, -0x1.fadee2b848179p-2, -0x1.fa32926d9daaep-2, -0x1.f9834e9ff6c86p-2, -0x1.f8d103970eb5p-2, -0x1.f81ba8fa670e7p-2, -0x1.f76340b1bdb0ep-2, -0x1.f6a7d5c428ec4p-2, -0x1.f5e97b3a5ba5cp-2, -0x1.f5284b07af2ebp-2, -0x1.f46464fcb758p-2, -0x1.f39dedc56b3ecp-2, -0x1.f2d50df473eb7p-2, -0x1.f209f11ca6e4bp-2, -0x1.f13cc4f9680fep-2, -0x1.f06db8a658781p-2, -0x1.ef9cfbe6817b7p-2, -0x1.eecabe7af9bb3p-2, -0x1.edf72f88e261p-2, -0x1.ed227d0e765c8p-2, -0x1.ec4cd366d24fap-2, -0x1.eb765cdc07a83p-2, -0x1.ea9f414701837p-2, -0x1.e9c7a5bcac6b1p-2, -0x1.e8efac47d4309p-2, -0x1.e81773af1a011p-2, -0x1.e73f174660da7p-2, -0x1.e666aecb070d3p-2, -0x1.e58e4e4a49306p-2, -0x1.e4b60611155e9p-2, -0x1.e3dde2a4a72c3p-2, -0x1.e305ecc33aa75p-2, -0x1.e22e296c25242p-2, -0x1.e15699eea4cbdp-2, -0x1.e07f3bfebe79fp-2, -0x1.dfa809cf82ca8p-2, -0x1.ded0fa3211039p-2, -0x1.ddfa00b8c02p-2, -0x1.dd230dddd40ccp-2, -0x1.dc4c0f2d2b51fp-2, -0x1.db74ef705f74bp-2, -0x1.da9d96dcd10ccp-2, -0x1.d9c5eb43293ecp-2, -0x1.d8edd03fd88abp-2, -0x1.d815276c330d6p-2, -0x1.d73bd08fbe745p-2, -0x1.d661a9d15ef5ep-2, -0x1.d5868fe8117f1p-2, -0x1.d4aa5e4aed29cp-2, -0x1.d3ccef602a72ep-2, -0x1.d2ee1caaf5b2fp-2, -0x1.d20dbef7e1bdfp-2, -0x1.d12bae87cf923p-2, -0x1.d047c33926937p-2, -0x1.cf61d4af412e9p-2, -0x1.ce79ba77fd9dcp-2, -0x1.cd8f4c2f59bddp-2, -0x1.cca261a1158c6p-2, -0x1.cbb2d2e85000fp-2, -0x1.cac0788d21c3p-2, -0x1.c9cb2ba03008p-2, -0x1.c8d2c5d442958p-2, -0x1.c7d72195dffddp-2, -0x1.c6d81a20faa3bp-2, -0x1.c5d58b94c16f7p-2, -0x1.c4cf53059667dp-2, -0x1.c3c54e8d47c51p-2, -0x1.c2b75d5993da4p-2, -0x1.c1a55fb90f227p-2, -0x1.c08f37267c48ap-2, -0x1.bf74c652aad54p-2, -0x1.be55f12cf2ef7p-2, -0x1.bd329cea5d266p-2, -0x1.bc0ab00b8cb0dp-2, -0x1.bade126183e2p-2, -0x1.b9acad114d63p-2, -0x1.b8766a96a575p-2, -0x1.b73b36c5b29fdp-2, -0x1.b5fafecbdf668p-2, -0x1.b4b5b12fe5b65p-2, -0x1.b36b3dd11f6bap-2, -0x1.b21b95e6298dcp-2, -0x1.b0c6abfae9a79p-2, -0x1.af6c73ee042fcp-2, -0x1.ae0ce2edd1a45p-2, -0x1.aca7ef74dce63p-2, -0x1.ab3d9145f9c9bp-2, -0x1.a9cdc168010dfp-2, -0x1.a8587a212f871p-2, -0x1.a6ddb6f247b69p-2, -0x1.a55d749166dc1p-2, -0x1.a3d7b0e4aa877p-2, -0x1.a24c6afc9ebfdp-2, -0x1.a0bba30e8576ep-2, -0x1.9f255a6e789a2p-2, -0x1.9d8993896dcb5p-2, -0x1.9be851df22c9cp-2, -0x1.9a4199fbf2fcap-2, -0x1.98957172a18e6p-2, -0x1.96e3ded60fbd3p-2, -0x1.952ce9b2f47d9p-2, -0x1.93709a8984474p-2, -0x1.91aefac71cd7fp-2, -0x1.8fe814bfeec2cp-2, -0x1.8e1bf3a8a45cp-2, -0x1.8c4aa39011e1ep-2, -0x1.8a743158e7671p-2, -0x1.8898aab367233p-2, -0x1.86b81e172651fp-2, -0x1.84d29abcd66cep-2, -0x1.82e8309813ac7p-2, -0x1.80f8f051427d5p-2, -0x1.7f04eb3f74ep-2, -0x1.7d0c33625b382p-2, -0x1.7b0edb5c416bcp-2, -0x1.790cf66c17021p-2, -0x1.7706986784e3ep-2, -0x1.74fbd5b50e1bp-2, -0x1.72ecc34640671p-2, -0x1.70d97691ec4cp-2, -0x1.6ec2058e71cc9p-2, -0x1.6ca686ac142e5p-2, -0x1.6a8710cf5e738p-2, -0x1.6863bb4b94265p-2, -0x1.663c9ddd334a4p-2, -0x1.6411d0a47dc86p-2, -0x1.61e36c2018d84p-2, -0x1.5fb18927b3e3ap-2, -0x1.5d7c40e6c3a4ap-2, -0x1.5b43acd747622p-2, -0x1.5907e6bc9e717p-2, -0x1.56c9089e7031p-2, -0x1.54872cc39d3fbp-2, -0x1.52426dad447dfp-2, -0x1.4ffae611d7e54p-2, -0x1.4db0b0d83e1f8p-2, -0x1.4b63e9130708cp-2, -0x1.4914a9fbb1578p-2, -0x1.46c30eedfe57bp-2, -0x1.446f336357ae5p-2, -0x1.421932ee48e76p-2, -0x1.3fc1293606a61p-2, -0x1.3d6731f20a80ep-2, -0x1.3b0b68e5c0046p-2, -0x1.38ade9dc4580fp-2, -0x1.364ed0a43bcc5p-2, -0x1.33ee390baf14ep-2, -0x1.318c3edc0d56fp-2, -0x1.2f28fdd63421ep-2, -0x1.2cc491ae8f83bp-2, -0x1.2a5f160950442p-2, -0x1.27f8a676b2d64p-2, -0x1.25915e6f5e7a6p-2, -0x1.23295950d5f75p-2, -0x1.20c0b259fec28p-2, -0x1.1e5784a7bf769p-2, -0x1.1bedeb31af713p-2, -0x1.198400c6dff39p-2, -0x1.1719e00ab7baep-2, -0x1.14afa371e81bcp-2, -0x1.1245653f75774p-2, -0x1.0fdb3f81d5ad7p-2, -0x1.0d714c1026c06p-2, -0x1.0b07a4877b042p-2, -0x1.089e62483989cp-2, -0x1.06359e73995eap-2, -0x1.03cd71e92e62dp-2, -0x1.0165f5449012cp-2, -0x1.fdfe81b629174p-3, -0x1.f932d9734862dp-3, -0x1.f4692145415c7p-3, -0x1.efa18817ca072p-3, -0x1.eadc3c39b6514p-3, -0x1.e6196b5949238p-3, -0x1.e1594280bdbb5p-3, -0x1.dc9bee12f0b02p-3, -0x1.d7e199c83cddfp-3, -0x1.d32a70ab7a9e2p-3, -0x1.ce769d1735892p-3, -0x1.c9c648b301e3p-3, -0x1.c5199c70ffc4dp-3, -0x1.c070c08b8b22ep-3, -0x1.bbcbdc830e204p-3, -0x1.b72b171bff5e1p-3, -0x1.b28e965d0c44fp-3, -0x1.adf67f8d62189p-3, -0x1.a962f733268a7p-3, -0x1.a4d421120e34ep-3, -0x1.a04a202a20d38p-3, -0x1.9bc516b69c44bp-3, -0x1.9745262d00e33p-3, -0x1.92ca6f3c3d892p-3, -0x1.8e5511cc0085bp-3, -0x1.89e52cfc2bc16p-3, -0x1.857adf2466ca4p-3, -0x1.811645d3da384p-3, -0x1.7cb77dd1002d5p-3, -0x1.785ea3199d4bfp-3, -0x1.740bd0e2d32ffp-3, -0x1.6fbf219954542p-3, -0x1.6b78aee1b41dap-3, -0x1.67389198cf885p-3, -0x1.62fee1d45ba61p-3, -0x1.5ecbb6e38230bp-3, -0x1.5a9f274fa22c4p-3, -0x1.567948dd26875p-3, -0x1.525a308c72b7ep-3, -0x1.4e41f29aef03dp-3, -0x1.4a30a2842118dp-3, -0x1.46265302e28d3p-3, -0x1.42231612af203p-3, -0x1.3e26fcf0fbc62p-3, -0x1.3a32181eb2a66p-3, -0x1.36447761b0db1p-3, -0x1.325e29c6667fap-3, -0x1.2e7f3da17c05bp-3, -0x1.2aa7c0918f4a7p-3, -0x1.26d7bf810080cp-3, -0x1.230f46a7cef0ap-3, -0x1.1f4e618d7da1ap-3, -0x1.1b951b0b0fc4cp-3, -0x1.17e37d4d116f1p-3, -0x1.143991d5a1355p-3, -0x1.1097617e9890fp-3, -0x1.0cfcf47bad3cp-3, -0x1.096a525cac0e6p-3, -0x1.05df820fb3dc4p-3, -0x1.025c89e37f477p-3, -0x1.fdc2df1365eefp-4, -0x1.f6dc703273c82p-4, -0x1.f005d021433fep-4, -0x1.e93f06b10cf0fp-4, -0x1.e2881a8bf8224p-4, -0x1.dbe1113a0822ap-4, -0x1.d549ef260b676p-4, -0x1.cec2b7a291b43p-4, -0x1.c84b6ceef59cep-4, -0x1.c1e4103c64452p-4, -0x1.bb8ca1b2e6e2p-4, -0x1.b5452076831acp-4, -0x1.af0d8aac49d1ap-4, -0x1.a8e5dd7f75c21p-4, -0x1.a2ce152692eacp-4, -0x1.9cc62ce8929d7p-4, -0x1.96ce1f21f0ccap-4, -0x1.90e5e549d8a5p-4, -0x1.8b0d77f73e3e6p-4, -0x1.8544cee5fe757p-4, -0x1.7f8be0fbf89cbp-4, -0x1.79e2a44e263e3p-4, -0x1.74490e25afb2dp-4, -0x1.6ebf1304f7ed9p-4, -0x1.6944a6aca819cp-4, -0x1.63d9bc20ae61bp-4, -0x1.5e7e45ad3f86p-4, -0x1.593234ebc5ceep-4, -0x1.53f57ac7d1931p-4, -0x1.4ec80783fd9adp-4, -0x1.49a9cabec6abep-4, -0x1.449ab37762068p-4, -0x1.3f9ab01281978p-4, -0x1.3aa9ae5f1396ap-4, -0x1.35c79b9af499dp-4, -0x1.30f464779774p-4, -0x1.2c2ff51e9d6bbp-4, -0x1.277a39366b74p-4, -0x1.22d31be6a71efp-4, -0x1.1e3a87dcb3e96p-4, -0x1.19b067501542cp-4, -0x1.1534a406d0c1bp-4, -0x1.10c72759b8117p-4, -0x1.0c67da38ac038p-4, -0x1.0816a52ecebdp-4, -0x1.03d37066a5b5bp-4, -0x1.ff3c475c62a94p-5, -0x1.f6ed4cf5e5ed3p-5, -0x1.eeb9bfdbc8b2ep-5, -0x1.e6a16daec1363p-5, -0x1.dea42375f903cp-5, -0x1.d6c1ada6a3dabp-5, -0x1.cef9d82b757b2p-5, -0x1.c74c6e6bf1759p-5, -0x1.bfb93b53abd86p-5, -0x1.b840095954091p-5, -0x1.b0e0a285b8937p-5, -0x1.a99ad07a947p-5, -0x1.a26e5c794ccf3p-5, -0x1.9b5b0f6988e49p-5, -0x1.9460b1dfa5cecp-5, -0x1.8d7f0c231671ap-5, -0x1.86b5e6349159cp-5, -0x1.800507d433b7fp-5, -0x1.796c38877536dp-5, -0x1.72eb3f9efef74p-5, -0x1.6c81e43c68dc5p-5, -0x1.662fed57d4b78p-5, -0x1.5ff521c5620cp-5, -0x1.59d1483a8e788p-5, -0x1.53c4275371e34p-5, -0x1.4dcd8597da47ep-5, -0x1.47ed29804aaacp-5, -0x1.4222d97adc7f1p-5, -0x1.3c6e5beffcce9p-5, -0x1.36cf774716086p-5, -0x1.3145f1eb0ff01p-5, -0x1.2bd1924ebce84p-5, -0x1.26721ef11f79bp-5, -0x1.21275e619c277p-5, -0x1.1bf11744097b7p-5, -0x1.16cf10549fb4dp-5, -0x1.11c1106bda633p-5, -0x1.0cc6de822a823p-5, -0x1.07e041b39c447p-5, -0x1.030d01435b181p-5, -0x1.fc99c93e3ac7p-6, -0x1.f33f66c4e61dbp-6, -0x1.ea0a6ab3f4079p-6, -0x1.e0fa650cf2b09p-6, -0x1.d80ee63fca80fp-6, -0x1.cf477f308b998p-6, -0x1.c6a3c13d0c299p-6, -0x1.be233e425b249p-6, -0x1.b5c588a1f7273p-6, -0x1.ad8a3346e3958p-6, -0x1.a570d1aa81e9p-6, -0x1.9d78f7d9417a1p-6, -0x1.95a23a7729fdfp-6, -0x1.8dec2ec42f213p-6, -0x1.86566aa055b1p-6, -0x1.7ee0848fb9cddp-6, -0x1.778a13be6328p-6, -0x1.7052b003efb7fp-6, -0x1.6939f1e70de81p-6, -0x1.623f72a0e8ac6p-6, -0x1.5b62cc2046e59p-6, -0x1.54a3990ca5d81p-6, -0x1.4e0174c9171dcp-6, -0x1.477bfb7705438p-6, -0x1.4112c9f8cc108p-6, -0x1.3ac57df436c54p-6, -0x1.3493b5d4d2b93p-6, -0x1.2e7d10ce1ec8ep-6, -0x1.28812edda7c5p-6, -0x1.229fb0ccedfd7p-6, -0x1.1cd838333e221p-6, -0x1.172a67775c663p-6, -0x1.1195e1d11d582p-6, -0x1.0c1a4b4ad8053p-6, -0x1.06b748c2bbf73p-6, -0x1.016c7fec12caep-6, -0x1.f8732ea0a6a72p-7, -0x1.ee3c6ca066af5p-7, -0x1.e4340a490eac6p-7, -0x1.da5959be2b442p-7, -0x1.d0abaed697de6p-7, -0x1.c72a5f1dbe1e9p-7, -0x1.bdd4c1d49ba8fp-7, -0x1.b4aa2ff2a0804p-7, -0x1.abaa04266492fp-7, -0x1.a2d39ad61df33p-7, -0x1.9a2652201005ep-7, -0x1.91a189da9f367p-7, -0x1.8944a39468e3bp-7, -0x1.810f02942469dp-7, -0x1.79000bd8588acp-7, -0x1.71172616e265ap-7, -0x1.6953b9bc799d6p-7, -0x1.61b530ebf52a7p-7, -0x1.5a3af77d76d74p-7, -0x1.52e47afd7a96fp-7, -0x1.4bb12aabb8d31p-7, -0x1.44a07779ff4b1p-7, -0x1.3db1d40adace4p-7, -0x1.36e4b4b028c0fp-7, -0x1.30388f69933ccp-7, -0x1.29acdbe2f057dp-7, -0x1.234113727cf7bp-7, -0x1.1cf4b1170b425p-7, -0x1.16c731761e56ap-7, -0x1.10b812d9dc154p-7, -0x1.0ac6d52ef676fp-7, -0x1.04f2fa02809eep-7, -0x1.fe7808ff58494p-8, -0x1.f342f2dad10e4p-8, -0x1.e845be58193d7p-8, -0x1.dd7f7b658dd53p-8, -0x1.d2ef3d1a54515p-8, -0x1.c89419b0f0f75p-8, -0x1.be6d2a821d07ep-8, -0x1.b4798bff2d31ap-8, -0x1.aab85daca23c8p-8, -0x1.a128c21c622b1p-8, -0x1.97c9dee80ca98p-8, -0x1.8e9adcab12b01p-8, -0x1.859ae6fcbb4ap-8, -0x1.7cc92c6a36ff2p-8, -0x1.7424de705d1bdp-8, -0x1.6bad3175af577p-8, -0x1.63615cc3d978p-8, -0x1.5b409a81a384dp-8, -0x1.534a27ac5ff69p-8, -0x1.4b7d441190823p-8, -0x1.43d9324869ad4p-8, -0x1.3c5d37ab40fdap-8, -0x1.35089c5113eedp-8, -0x1.2ddaab06c0a68p-8, -0x1.26d2b14878156p-8, -0x1.1fefff3b21bdp-8, -0x1.1931e7a5771e8p-8, -0x1.1297bfe9638fbp-8, -0x1.0c20dffd45a9cp-8, -0x1.05cca26514da4p-8, -0x1.ff34c8575055fp-9, -0x1.f31309b7b7157p-9, -0x1.e732ccf3783ffp-9, -0x1.db92daf78afcfp-9, -0x1.d0320187f09bp-9, -0x1.c50f1332325b7p-9, -0x1.ba28e73fa5d39p-9, -0x1.af7e59a7c350dp-9, -0x1.a50e4b029471dp-9, -0x1.9ad7a07b0ccbap-9, -0x1.90d943c171312p-9, -0x1.871222fdc37bfp-9, -0x1.7d8130c23c681p-9, -0x1.742563fdd9235p-9, -0x1.6afdb7eecd478p-9, -0x1.62092c15280ebp-9, -0x1.5946c42569c49p-9, -0x1.50b587fb48816p-9, -0x1.4854838c4c5c8p-9, -0x1.4022c6daac5c5p-9, -0x1.381f65e824a4bp-9, -0x1.304978a8e83bp-9, -0x1.28a01af684277p-9, -0x1.21226c831827bp-9, -0x1.19cf90cc303dep-9, -0x1.12a6af0e40f12p-9, -0x1.0ba6f237c7cb6p-9, -0x1.04cf88dc972fcp-9, -0x1.fc3f4a52d23fcp-10, -0x1.ef2cf9ae7a2b8p-10, -0x1.e266923e37867p-10, -0x1.d5ea8d5b486b6p-10, -0x1.c9b76b2db5af1p-10, -0x1.bdcbb294226d5p-10, -0x1.b225f10bc9bf2p-10, -0x1.a6c4ba9851a89p-10, -0x1.9ba6a9ac5fadcp-10, -0x1.90ca5f11f3fc9p-10, -0x1.862e81d314865p-10, -0x1.7bd1bf22cfebfp-10, -0x1.71b2ca46496bp-10, -0x1.67d05c7ded547p-10, -0x1.5e2934ef1077cp-10, -0x1.54bc188d7fccp-10, -0x1.4b87d2056c6b4p-10, -0x1.428b31a5d3674p-10, -0x1.39c50d4a6d25fp-10, -0x1.3134404685cd1p-10, -0x1.28d7ab4f70597p-10, -0x1.20ae3467f0488p-10, -0x1.18b6c6cae4fb4p-10, -0x1.10f052d734d9fp-10, -0x1.0959cdfaf6d0dp-10, -0x1.01f2329f8ab71p-10, -0x1.f571002b5b89cp-11, -0x1.e75775032a3c3p-11, -0x1.d995d58f13aebp-11, -0x1.cc2a3cf138595p-11, -0x1.bf12cf7eefa4p-11, -0x1.b24dba9b4c883p-11, -0x1.a5d93491c0989p-11, -0x1.99b37c7130861p-11, -0x1.8ddad9e7cb338p-11, -0x1.824d9d1ea80a6p-11, -0x1.770a1e96966ddp-11, -0x1.6c0ebf04f221fp-11, -0x1.6159e730b40c6p-11, -0x1.56ea07d0924c5p-11, -0x1.4cbd9968f4dc9p-11, -0x1.42d31c2a8db14p-11, -0x1.392917d17adep-11, -0x1.2fbe1b849a803p-11, -0x1.2690bdb579957p-11, -0x1.1d9f9c00c1d31p-11, -0x1.14e95b0e7e47ap-11, -0x1.0c6ca673e58c7p-11, -0x1.0428309447bd9p-11, -0x1.f835650689821p-12, -0x1.e885d7cdfd75fp-12, -0x1.d93f45b62385ep-12, -0x1.ca5f47a78bd7ep-12, -0x1.bbe383023ff1fp-12, -0x1.adc9a966cac6fp-12, -0x1.a00f787de34ap-12, -0x1.92b2b9c3191e4p-12, -0x1.85b1424dc0b89p-12, -0x1.7908f29d2f87fp-12, -0x1.6cb7b66339cf7p-12, -0x1.60bb8451c6e1ap-12, -0x1.55125de794654p-12, -0x1.49ba4f3e81dc5p-12, -0x1.3eb16ed99bc4fp-12, -0x1.33f5dd75ba0e3p-12, -0x1.2985c5d894eefp-12, -0x1.1f5f5ca279ad1p-12, -0x1.1580e01fb5154p-12, -0x1.0be8981a6e169p-12, -0x1.0294d5ae776b9p-12, -0x1.f307e638a6e5p-13, -0x1.e168a73c1531p-13, -0x1.d048c677dbe7ap-13, -0x1.bfa52d45e1fc5p-13, -0x1.af7ad5f39bd28p-13, -0x1.9fc6cb73df0bep-13, -0x1.9086290a19e28p-13, -0x1.81b619fe8b73cp-13, -0x1.7353d94dc9961p-13, -0x1.655cb15dc3cd7p-13, -0x1.57cdfbb0f0f9fp-13, -0x1.4aa5209c06717p-13, -0x1.3ddf96fd9662fp-13, -0x1.317ae3f59d1dep-13, -0x1.25749a9eb214ap-13, -0x1.19ca5bc8e937fp-13, -0x1.0e79d5b47c7a4p-13, -0x1.0380c3cfb3c9ap-13, -0x1.f1b9dce686d87p-14, -0x1.dd1855458767p-14, -0x1.c918b396ac3ap-14, -0x1.b5b6d30b684b4p-14, -0x1.a2eea6afd4553p-14, -0x1.90bc38f118a54p-14, -0x1.7f1bab2648ee3p-14, -0x1.6e09351b4d955p-14, -0x1.5d81249bee256p-14, -0x1.4d7fdd04c2151p-14, -0x1.3e01d6d18b2ap-14, -0x1.2f039f311ad9cp-14, -0x1.2081d79964b4cp-14, -0x1.1279355d21d0cp-14, -0x1.04e68145a861ep-14, -0x1.ef8d2e56144e1p-15, -0x1.d62ccb22e1d27p-15, -0x1.bda5da8aa37c2p-15, -0x1.a5f281f7923dcp-15, -0x1.8f0d09e942146p-15, -0x1.78efdd3465373p-15, -0x1.639588526a47dp-15, -0x1.4ef8b8a99522p-15, -0x1.3b143bde990d8p-15, -0x1.27e2ff25f7219p-15, -0x1.15600e9be6ea1p-15, -0x1.0386949c4ffc2p-15, -0x1.e4a3b23d04887p-16, -0x1.c37a822d2b36bp-16, -0x1.a3889ba8db092p-16, -0x1.84c538d8d482ap-16, -0x1.6727ca3af10a7p-16, -0x1.4aa7f57859974p-16, -0x1.2f3d944165b5ap-16, -0x1.14e0b3328db21p-16, -0x1.f71321619f4c5p-17, -0x1.c66137c5d5a75p-17, -0x1.979ce72d3f405p-17, -0x1.6ab7ca7b895ecp-17, -0x1.3fa3d7d2352ecp-17, -0x1.16535e8dd0ca3p-17, -0x1.dd720a9da1577p-18, -0x1.918f902abf96bp-18, -0x1.48e5ecb48d056p-18, -0x1.035c626de5a7cp-18, -0x1.81b5a652a1921p-19, -0x1.029379a862aaep-19, -0x1.1248d7f174a98p-20, -0x1.53bd4a9222c05p-23, 0x1.654743fdb59fdp-21, 0x1.855dd98975aedp-20, 0x1.2704cf86d3259p-19, 0x1.867bb9be898b3p-19, 0x1.e13ae1b48ab2cp-19, 0x1.1bb43ca9449ap-18, 0x1.4494da2cc9c8p-18, 0x1.6b5166f78f0fdp-18, 0x1.8ffb873cd980cp-18, 0x1.b2a4688ce651fp-18, 0x1.d35cc4968089cp-18, 0x1.f234e3ceab00dp-18, 0x1.079e5008e10b1p-17, 0x1.1541b3978c12ep-17, 0x1.220c1ebb13a03p-17, 0x1.2e04e011c809cp-17, 0x1.393313e4b62f9p-17, 0x1.439da55bceb14p-17, 0x1.4d4b4f98bf993p-17, 0x1.56429ee89a67ap-17, 0x1.5e89f1d3443cdp-17, 0x1.66277a35e0d5dp-17, 0x1.6d213e507b73bp-17, 0x1.737d19d3f81c1p-17, 0x1.7940bedf53416p-17, 0x1.7e71b705e3433p-17, 0x1.83156444857a9p-17, 0x1.873101f5c0a89p-17, 0x1.8ac9a5c3281d7p-17, 0x1.8de4408ab7214p-17, 0x1.90859f4a60837p-17, 0x1.92b26bf7c0564p-17, 0x1.946f2e5deda48p-17, 0x1.95c04cfa3a54ap-17, 0x1.96aa0dc364e0bp-17, 0x1.973096ff0f601p-17, 0x1.9757f0018e75p-17, 0x1.972401fc72473p-17, 0x1.969898b4b7f47p-17, 0x1.95b96344d783p-17, 0x1.9489f4d2d9f03p-17, 0x1.930dc54005c69p-17, 0x1.914831dd82ccp-17, 0x1.8f3c7e1633005p-17, 0x1.8cedd41229575p-17, 0x1.8a5f4561f2359p-17, 0x1.8793cb9925253p-17, 0x1.848e48ecf734p-17, 0x1.815188ce6937bp-17, 0x1.7de0407f67eb1p-17, 0x1.7a3d0fa15d19cp-17, 0x1.766a80ccedep-17, 0x1.726b0a136c837p-17, 0x1.6e410d8ebdbb7p-17, 0x1.69eed9e309f3p-17, 0x1.6576aac4076fep-17, 0x1.60daa97009e71p-17, 0x1.5c1ced30d5cecp-17, 0x1.573f7bd295595p-17, 0x1.52444a1c11b26p-17, 0x1.4d2d3c4171902p-17, 0x1.47fc265515fd3p-17, 0x1.42b2ccb8c2f0fp-17, 0x1.3d52e4860a83bp-17, 0x1.37de13fb4395p-17, 0x1.3255f2e07b3b9p-17, 0x1.2cbc0aeb60105p-17, 0x1.2711d82531683p-17, 0x1.2158c944dafb5p-17, 0x1.1b92401318f81p-17, 0x1.15bf91be6fcd1p-17, 0x1.0fe2073bc3035p-17, 0x1.09fadd97817fcp-17, 0x1.040b464e103eep-17, 0x1.fc28cf3b5f433p-18, 0x1.f02eb9abbc3c8p-18, 0x1.e42a6d5287ca2p-18, 0x1.d81df6f0c341fp-18, 0x1.cc0b4f38a1073p-18, 0x1.bff45b642e16ep-18, 0x1.b3daedc0dc701p-18, 0x1.a7c0c63ca350ap-18, 0x1.9ba792ed5076bp-18, 0x1.8f90f095406f7p-18, 0x1.837e6b2419fdp-18, 0x1.77717e384a4fp-18, 0x1.6b6b9592f86acp-18, 0x1.5f6e0d98319a1p-18, 0x1.537a33bc7f2bap-18, 0x1.479146fca530ep-18, 0x1.3bb478484c48dp-18, 0x1.2fe4eaf14e5ap-18, 0x1.2423b51404cf7p-18, 0x1.1871dffdcf248p-18, 0x1.0cd06890e891ep-18, 0x1.01403fa855a6cp-18, 0x1.eb8494e6aa687p-19, 0x1.d4aec5ab7a259p-19, 0x1.be00af7ea054ep-19, 0x1.a77bdb0b36888p-19, 0x1.9121bc701b167p-19, 0x1.7af3b3eb423adp-19, 0x1.64f30e76a55f7p-19, 0x1.4f21066ba27d3p-19, 0x1.397ec415c66eep-19, 0x1.240d5e5340138p-19, 0x1.0ecddb1c0a5cfp-19, 0x1.f382602b3de61p-20, 0x1.c9d0863e28f15p-20, 0x1.a087d5a31d6ep-20, 0x1.77a9de12f97d8p-20, 0x1.4f3812c2d6c36p-20, 0x1.2733cb60df692p-20, 0x1.ff3c8a0b3ac2ap-21, 0x1.b0f1462d4ca83p-21, 0x1.6387e07445a09p-21, 0x1.17023e44ed592p-21, 0x1.96c42dd50d51fp-22, 0x1.0151ea5bc0e78p-22, 0x1.b6c1c7606a7f4p-24, -0x1.20ee75ad445c8p-25, -0x1.682d740db1a07p-23, -0x1.42387f9750a3fp-22, -0x1.ce8198c94d5d9p-22, -0x1.2c786329a7168p-21, -0x1.70c2869fd9164p-21, -0x1.b41eda458f271p-21, -0x1.f68d2147efba2p-21, -0x1.1c069e9f55845p-20, -0x1.3c4f968046da8p-20, -0x1.5c2185c05de66p-20, -0x1.7b7c8750142ddp-20, -0x1.9a60c30f92d1ap-20, -0x1.b8ce6d4776a03p-20, -0x1.d6c5c620b91a1p-20, -0x1.f4471926c4c2ap-20, -0x1.08a95e676cf19p-19, -0x1.16f488fa83252p-19, -0x1.250541badc33cp-19, -0x1.32dbc2d7d197dp-19, -0x1.40784b0f8bbbep-19, -0x1.4ddb1d75c9893p-19, -0x1.5b04814359acdp-19, -0x1.67f4c1a2952bcp-19, -0x1.74ac2d7f989e5p-19, -0x1.812b1758110b9p-19, -0x1.8d71d50e14251p-19, -0x1.9980bfbdc633ep-19, -0x1.a558338fa2369p-19, -0x1.b0f88f90f6b91p-19, -0x1.bc62358b9f40fp-19, -0x1.c79589df2978fp-19, -0x1.d292f35bb5a8cp-19, -0x1.dd5adb1c8e8a8p-19, -0x1.e7edac66dee55p-19, -0x1.f24bd4855a0d8p-19, -0x1.fc75c2aa2b90cp-19, -0x1.0335f3e5b958ep-18, -0x1.08175b44dcac2p-18, -0x1.0cdf5186ab5adp-18, -0x1.118e1176776dp-18, -0x1.1623d68820724p-18, -0x1.1aa0dccb6ef73p-18, -0x1.1f0560de9afb8p-18, -0x1.23519fe1ee056p-18, -0x1.2785d76c01244p-18, -0x1.2ba2457dea3bdp-18, -0x1.2fa72878445dp-18, -0x1.3394bf1039d9fp-18, -0x1.376b4845ad6d4p-18, -0x1.3b2b03583ffb6p-18, -0x1.3ed42fbec93ap-18, -0x1.42670d1d5f1eap-18, -0x1.45e3db3cd89cfp-18, -0x1.494ada01e4e23p-18, -0x1.4c9c4965141aap-18, -0x1.4fd8696af1cb5p-18, -0x1.52ff7a1bb68cp-18, -0x1.5611bb7ce7339p-18, -0x1.590f6d8a063aap-18, -0x1.5bf8d02d8f7b5p-18, -0x1.5ece233ac984bp-18, -0x1.618fa6678dff3p-18, -0x1.643d9945f8b3cp-18, -0x1.66d83b3fc0ddbp-18, -0x1.695fcb8f57caap-18, -0x1.6bd4893bdcf3ep-18, -0x1.6e36b313aa623p-18, -0x1.708687a76d257p-18, -0x1.72c4454657fa3p-18, -0x1.74f029f8cd5d2p-18, -0x1.770a737d06a24p-18, -0x1.79135f42b4c26p-18, -0x1.7b0b2a67c5b5cp-18, -0x1.7cf211b41f323p-18, -0x1.7ec85196f0646p-18, -0x1.808e26232448p-18, -0x1.8243cb0c93f64p-18, -0x1.83e97ba48d751p-18, -0x1.857f72d7d86dfp-18, -0x1.8705eb2c0df4cp-18, -0x1.887d1ebc86868p-18, -0x1.89e54738f783cp-18, -0x1.8b3e9de288621p-18, -0x1.8c895b8a83bfcp-18, -0x1.8dc5b88fead4ap-18, -0x1.8ef3ecddfc708p-18, -0x1.90142fea83c56p-18, -0x1.9126b8b440451p-18, -0x1.922bbdc1a48acp-18, -0x1.9323751fae0d6p-18, -0x1.940e146031528p-18, -0x1.94ebd099102adp-18, -0x1.95bcde635896dp-18, -0x1.968171da4ea0ap-18, -0x1.9739be9a8985ap-18, -0x1.97e5f7c11effdp-18, -0x1.98864feb1e1cp-18, -0x1.991af93551d56p-18, -0x1.99a4253b48a1p-18, -0x1.9a220516ed3e2p-18, -0x1.9a94c9609e0efp-18, -0x1.9afca22e87136p-18, -0x1.9b59bf14a1e8ep-18, -0x1.9bac4f24920cep-18, -0x1.9bf480ed79eadp-18, -0x1.9c32827bd43c4p-18, -0x1.9c668159ee3eep-18, -0x1.9c90aa8f8dc6ep-18, -0x1.9cb12aa25be4p-18, -0x1.9cc82d9617e6p-18, -0x1.9cd5deeca455p-18, -0x1.9cda69a67ed8fp-18, -0x1.9cd5f8430c076p-18, -0x1.9cc8b4c0d3574p-18, -0x1.9cb2c89e17509p-18, -0x1.9c945cd96c4aep-18, -0x1.9c6d99f1e111p-18, -0x1.9c3ea7e795a01p-18, -0x1.9c07ae3c83792p-18, -0x1.9bc8d3f4f8fe2p-18, -0x1.9b823f9830307p-18, -0x1.9b341730fff3dp-18, -0x1.9ade804e81805p-18, -0x1.9a81a004cce2bp-18, -0x1.9a1d9aed9bd63p-18, -0x1.99b295291be34p-18, -0x1.9940b25ef8b2dp-18, -0x1.98c815bead9fbp-18, -0x1.9848e20094a6ap-18, -0x1.97c33966abd64p-18, -0x1.97373dbdac9a9p-18, -0x1.96a5105d9a69ep-18, -0x1.960cd22ad4dfap-18, -0x1.956ea396ca271p-18, -0x1.94caa4a117c98p-18, -0x1.9420f4d866e3bp-18, -0x1.9371b35b52bb4p-18, -0x1.92bcfed94fe8p-18, -0x1.9202f593b6a72p-18, -0x1.9143b55ec4887p-18, -0x1.907f5ba2777cfp-18, -0x1.8fb6055b8f3a4p-18, -0x1.8ee7cf1c8bbcap-18, -0x1.8e14d50ea6989p-18, -0x1.8d3d32f2e2c84p-18, -0x1.8c61042316fe6p-18, -0x1.8b806392bb723p-18, -0x1.8a9b6bd02736ep-18, -0x1.89b237056d4e7p-18, -0x1.88c4def976432p-18, -0x1.87d37d10f3224p-18, -0x1.86de2a4f5e026p-18, -0x1.85e4ff580b8b5p-18, -0x1.84e8146f51884p-18, -0x1.83e7817b4dc8cp-18, -0x1.82e35e050d46fp-18, -0x1.81dbc13976c59p-18, -0x1.80d0c1ea80161p-18, -0x1.7fc276900284fp-18, -0x1.7eb0f548ca5d8p-18, -0x1.7d9c53db9a9bdp-18, -0x1.7c84a7b83fe57p-18, -0x1.7b6a05f88f0b6p-18, -0x1.7a4c83614deep-18, -0x1.792c34630dad8p-18, -0x1.78092d1b95d6p-18, -0x1.76e381569a886p-18, -0x1.75bb448ea2c67p-18, -0x1.749089ee465ddp-18, -0x1.73636450efe29p-18, -0x1.7233e643e8735p-18, -0x1.710222073f2c3p-18, -0x1.6fce298ee6363p-18, -0x1.6e980e837f6bep-18, -0x1.6d5fe2436b92ep-18, -0x1.6c25b5e39b53bp-18, -0x1.6ae99a3077899p-18, -0x1.69ab9faef35e4p-18, -0x1.686bd69d7af19p-18, -0x1.672a4ef4bdf98p-18, -0x1.65e718689b3e6p-18, -0x1.64a242691ba71p-18, -0x1.635bdc233ad5p-18, -0x1.6213f481eb1fbp-18, -0x1.60ca9a2ec5facp-18, -0x1.5f7fdb933a5p-18, -0x1.5e33c6d91e0e6p-18, -0x1.5ce669eb8655cp-18, -0x1.5b97d277d5d33p-18, -0x1.5a480dee909abp-18, -0x1.58f72983f7cbbp-18, -0x1.57a532311cd3fp-18, -0x1.565234b480d3cp-18, -0x1.54fe3d92ff3c3p-18, -0x1.53a95918941d1p-18, -0x1.525393592cd24p-18, -0x1.50fcf8316d2a3p-18, -0x1.4fa5934756925p-18, -0x1.4e4d700b50af7p-18, -0x1.4cf499b8bbc9bp-18, -0x1.4b9b1b56bee1fp-18, -0x1.4a40ffb9047c9p-18, -0x1.48e65180768e4p-18, -0x1.478b1b1bfa696p-18, -0x1.462f66c916797p-18, -0x1.44d33e94cfe91p-18, -0x1.4376ac5c5fa48p-18, -0x1.4219b9cda39fcp-18, -0x1.40bc7068113d7p-18, -0x1.3f5ed97d55904p-18, -0x1.3e00fe31fd652p-18, -0x1.3ca2e77e1f073p-18, -0x1.3b449e2ddf6ap-18, -0x1.39e62ae25e389p-18, -0x1.388796123a21cp-18, -0x1.3728e80a2e81cp-18, -0x1.35ca28ed9bb77p-18, -0x1.346b60b76ad7fp-18, -0x1.330c973a708b7p-18, -0x1.31add4220bde3p-18, -0x1.304f1ef2c83c6p-18, -0x1.2ef07f0b049efp-18, -0x1.2d91fba38ap-18, -0x1.2c339bd001d1bp-18, -0x1.2ad5667f99fe9p-18, -0x1.2977627d979f7p-18, -0x1.28199671c5f36p-18, -0x1.26bc08e135c1fp-18, -0x1.255ec02ea6d9bp-18, -0x1.2401c29b2a9fap-18, -0x1.22a51646750d8p-18, -0x1.2148c12f83de6p-18, -0x1.1fecc9354cef8p-18, -0x1.1e913416e402ap-18, -0x1.1d3607743ddf9p-18, -0x1.1bdb48ce9d47ep-18, -0x1.1a80fd8910583p-18, -0x1.19272ae8ea73ep-18, -0x1.17cdd6162285bp-18, -0x1.1675041bfa2bep-18, -0x1.151cb9e96172ep-18, -0x1.13c4fc514e2a6p-18, -0x1.126dd00b56636p-18, -0x1.111739b42122ep-18, -0x1.0fc13dcda7859p-18, -0x1.0e6be0bfbfad6p-18, -0x1.0d1726d89ab65p-18, -0x1.0bc3144d2997ap-18, -0x1.0a6fad3966108p-18, -0x1.091cf5a0ca45p-18, -0x1.07caf16ed101cp-18, -0x1.0679a4773695cp-18, -0x1.052912767bf7ap-18, -0x1.03d93f124d61ap-18, -0x1.028a2dd990713p-18, -0x1.013be2451e598p-18, -0x1.ffdcbf705ff32p-19, -0x1.fd435300af094p-19, -0x1.faab85ac59be6p-19, -0x1.f8155dbb1fd36p-19, -0x1.f580e14bec12dp-19, -0x1.f2ee165590d14p-19, -0x1.f05d02a7899e9p-19, -0x1.edcdabea9f9p-19, -0x1.eb4017a16dd6ap-19, -0x1.e8b44b2921218p-19, -0x1.e62a4bba2521fp-19, -0x1.e3a21e689ec08p-19, -0x1.e11bc82536742p-19, -0x1.de974dbd9c441p-19, -0x1.dc14b3dd1ac7ap-19, -0x1.d993ff0d18dap-19, -0x1.d71533b5db4b5p-19, -0x1.d498561f39e2bp-19, -0x1.d21d6a70a92b3p-19, -0x1.cfa474b22b698p-19, -0x1.cd2d78ccf60ep-19, -0x1.cab87a8b8df37p-19, -0x1.c8457d9acbeebp-19, -0x1.c5d48589eead7p-19, -0x1.c36595cb45ebcp-19, -0x1.c0f8b1b52369bp-19, -0x1.be8ddc81afaf9p-19, -0x1.bc25194f994c7p-19, -0x1.b9be6b22e3354p-19, -0x1.b759d4e4f3c22p-19, -0x1.b4f75965565f1p-19, -0x1.b296fb5a07a39p-19, -0x1.b038bd5ff7072p-19, -0x1.addca1fb6d7cfp-19, -0x1.ab82ab9897ce1p-19, -0x1.a92adc8bde388p-19, -0x1.a6d5371267dddp-19, -0x1.a481bd5270a84p-19, -0x1.a230715b88b32p-19, -0x1.9fe155276c77ap-19, -0x1.9d946a9a1e29ep-19, -0x1.9b49b38241f4cp-19, -0x1.99013199a0d52p-19, -0x1.96bae68575455p-19, -0x1.9476d3d6f62a5p-19, -0x1.9234fb0b7312fp-19, -0x1.8ff55d8cd14f7p-19, -0x1.8db7fcb2021ep-19, -0x1.8b7cd9bf35f91p-19, -0x1.8943f5e63e033p-19, -0x1.870d5246d5d05p-19, -0x1.84d8efef3b95cp-19, -0x1.82a6cfdc383bdp-19, -0x1.8076f2f970126p-19, -0x1.7e495a21f9458p-19, -0x1.7c1e062088d48p-19, -0x1.79f4f7afaba36p-19, -0x1.77ce2f7a234aap-19, -0x1.75a9ae1b514f9p-19, -0x1.7387741f51a94p-19, -0x1.716782035cbf8p-19, -0x1.6f49d83610a14p-19, -0x1.6d2e7717ccac8p-19, -0x1.6b155efabac79p-19, -0x1.68fe90235b75bp-19, -0x1.66ea0ac8ad09fp-19, -0x1.64d7cf1455bc3p-19, -0x1.62c7dd23063c3p-19, -0x1.60ba3504ccb41p-19, -0x1.5eaed6bd19657p-19, -0x1.5ca5c243241dcp-19, -0x1.5a9ef7823693ep-19, -0x1.589a7659cc1c5p-19, -0x1.56983e9ddadf4p-19, -0x1.5498501711871p-19, -0x1.529aaa8305f18p-19, -0x1.509f4d94826eep-19, -0x1.4ea638f39cd1p-19, -0x1.4caf6c3e1ab8ep-19, -0x1.4abae70788124p-19, -0x1.48c8a8d962e32p-19, -0x1.46d8b1336b6c9p-19, -0x1.44eaff8beb127p-19, -0x1.42ff934f94a69p-19, -0x1.41166be20d9b9p-19, -0x1.3f2f889dfbda8p-19, -0x1.3d4ae8d52bceep-19, -0x1.3b688bd0cbc6ap-19, -0x1.398870d1b64f3p-19, -0x1.37aa97105a93p-19, -0x1.35cefdbd2de9ap-19, -0x1.33f5a400cb8c3p-19, -0x1.321e88fbf80adp-19, -0x1.3049abc7e397ep-19, -0x1.2e770b767fec4p-19, -0x1.2ca6a7125c89dp-19, -0x1.2ad87d9f038aep-19, -0x1.290c8e191df35p-19, -0x1.2742d7767c562p-19, -0x1.257b58a665cf5p-19, -0x1.23b61091a8bb2p-19, -0x1.21f2fe1ab943dp-19, -0x1.2032201de2f4ep-19, -0x1.1e73757175b1bp-19, -0x1.1cb6fce5df131p-19, -0x1.1afcb545b7a92p-19, }}, 
      std::vector<double>(1100, 0.0), 
      {{-0x1.3fc63e0b25c0bp-7, -0x1.3fd535e7b174ep-6, -0x1.e00329fdf8fffp-6, -0x1.4051c86907befp-5, -0x1.90e893117bcd4p-5, -0x1.e1b873ae5cf39p-5, -0x1.194ae07459236p-4, -0x1.419d94718e357p-4, -0x1.69a9307bd965p-4, -0x1.913eedc32bc7bp-4, -0x1.b830bed557ec5p-4, -0x1.de54b11856148p-4, -0x1.01c39d2721696p-3, -0x1.13d64592ee008p-3, -0x1.25588a5187486p-3, -0x1.3644b8a1ad7a8p-3, -0x1.4698eee0e7f96p-3, -0x1.5656b2f4ef3acp-3, -0x1.658271559d764p-3, -0x1.7422f040d696dp-3, -0x1.8240c02630338p-3, -0x1.8fe5b04f50e8bp-3, -0x1.9d1c4d111370ep-3, -0x1.a9ef6b5041554p-3, -0x1.b669c3cf9b35ep-3, -0x1.c2959f91c7262p-3, -0x1.ce7c9599e09e8p-3, -0x1.da27598445dadp-3, -0x1.e59d99cfbff7cp-3, -0x1.f0e5ec3caf5a3p-3, -0x1.fc05c660f8235p-3, -0x1.0380c03760e2fp-2, -0x1.08ee30158925p-2, -0x1.0e4c5514729a8p-2, -0x1.139bdbc34926ep-2, -0x1.18dd074fdadc8p-2, -0x1.1e0fbeafffbdp-2, -0x1.23339a0f54817p-2, -0x1.2847f011ddc44p-2, -0x1.2d4be2968bdabp-2, -0x1.323e6abc1d7c9p-2, -0x1.371e63fedc05ap-2, -0x1.3bea965680024p-2, -0x1.40a1bf48b67efp-2, -0x1.454299ef3e57cp-2, -0x1.49cbe5f80b47cp-2, -0x1.4e3c6dab58c35p-2, -0x1.52930b06f27b6p-2, -0x1.56ceac000c1eep-2, -0x1.5aee55fdc5372p-2, -0x1.5ef1289e8b17fp-2, -0x1.62d65fd9e9e3dp-2, -0x1.669d558f822e8p-2, -0x1.6a458292a4eb3p-2, -0x1.6dce7f40f1191p-2, -0x1.713803b1092cp-2, -0x1.7481e785634e8p-2, -0x1.77ac216e19bafp-2, -0x1.7ab6c663bc27ap-2, -0x1.7da208a447c9ep-2, -0x1.806e367abd4d2p-2, -0x1.831bb8d9279bep-2, -0x1.85ab11cc599c3p-2, -0x1.881cdad038dc8p-2, -0x1.8a71c30af31a1p-2, -0x1.8caa8d751d1c7p-2, -0x1.8ec80ef45b415p-2, -0x1.90cb2c6dd04p-2, -0x1.92b4d8d53c6b7p-2, -0x1.9486133d51b3p-2, -0x1.963fe4ed6b4d8p-2, -0x1.97e35f807426p-2, -0x1.99719b106902dp-2, -0x1.9aebb471830d1p-2, -0x1.9c52cb7fb46c5p-2, -0x1.9da80180bbf15p-2, -0x1.9eec779cc681ep-2, -0x1.a0214d6f18f23p-2, -0x1.a1479fb007c06p-2, -0x1.a26086f90bd77p-2, -0x1.a36d16a388915p-2, -0x1.a46e5bc27f384p-2, -0x1.a5655c372a4ffp-2, -0x1.a65315e03b29ap-2, -0x1.a7387de33aa7dp-2, -0x1.a816800f5b13cp-2, -0x1.a8edfe58dab67p-2, -0x1.a9bfd06bf3baap-2, -0x1.aa8cc35639b4cp-2, -0x1.ab559945211ebp-2, -0x1.ac1b0958683f7p-2, -0x1.acddbf86ff72dp-2, -0x1.ad9e5c950ad1ap-2, -0x1.ae5d761991f26p-2, -0x1.af1b969276712p-2, -0x1.afd93d8547483p-2, -0x1.b096dfab91935p-2, -0x1.b154e729573f3p-2, -0x1.b213b3cc66a2bp-2, -0x1.b2d39b535262ap-2, -0x1.b394e9bae2143p-2, -0x1.b457e190db8bap-2, -0x1.b51cbc4b25c02p-2, -0x1.b5e3aaa2454f3p-2, -0x1.b6acd4ee56b66p-2, -0x1.b7785b85b47c1p-2, -0x1.b846571c8ad64p-2, -0x1.b916d924b3e2ep-2, -0x1.b9e9ec2d3a27ap-2, -0x1.babf944107f7p-2, -0x1.bb97cf4442dc9p-2, -0x1.bc72954ff16fp-2, -0x1.bd4fd90b9552ep-2, -0x1.be2f88046d58dp-2, -0x1.bf118b02299e8p-2, -0x1.bff5c658d7a46p-2, -0x1.c0dc1a37ee983p-2, -0x1.c1c462f65672ap-2, -0x1.c2ae795b5d96cp-2, -0x1.c39a32e494993p-2, -0x1.c48762088994dp-2, -0x1.c575d6766d2b9p-2, -0x1.c6655d52a6eaep-2, -0x1.c755c17069c9cp-2, -0x1.c846cb885c1aap-2, -0x1.c938426c680d8p-2, -0x1.ca29eb38ceb51p-2, -0x1.cb1b89829a254p-2, -0x1.cc0cdf8385896p-2, -0x1.ccfdae43856b2p-2, -0x1.cdedb5bffeae2p-2, -0x1.cedcb510dc9f7p-2, -0x1.cfca6a8b96d1cp-2, -0x1.d0b693e44ec97p-2, -0x1.d1a0ee4d1fde4p-2, -0x1.d2893693c1dc4p-2, -0x1.d36f293d9706bp-2, -0x1.d45282a243639p-2, -0x1.d532ff04e976ep-2, -0x1.d6105aac21f97p-2, -0x1.d6ea51f8c72cdp-2, -0x1.d7c0a17bab8c5p-2, -0x1.d893060a5015fp-2, -0x1.d9613cd2aae1bp-2, -0x1.da2b036e11d2p-2, -0x1.daf017f35a841p-2, -0x1.dbb039083aefdp-2, -0x1.dc6b25f1fdap-2, -0x1.dd209ea58ecafp-2, -0x1.ddd063d6f05d2p-2, -0x1.de7a370820664p-2, -0x1.df1dda9776bf1p-2, -0x1.dfbb11cd8393fp-2, -0x1.e051a0ea7097dp-2, -0x1.e0e14d32f2817p-2, -0x1.e169dcfcc5fbbp-2, -0x1.e1eb17babea2fp-2, -0x1.e264c608729ccp-2, -0x1.e2d6b1b57446ep-2, -0x1.e340a5d02ab4p-2, -0x1.e3a26eb045006p-2, -0x1.e3fbda00c4faap-2, -0x1.e44cb6c9a6d77p-2, -0x1.e494d57921fbp-2, -0x1.e4d407ec83497p-2, -0x1.e50a2178a2cp-2, -0x1.e536f6f1ed4d6p-2, -0x1.e55a5eb40982dp-2, -0x1.e57430a90fa32p-2, -0x1.e584465055102p-2, -0x1.e58a7ac4ce2a5p-2, -0x1.e586aac2fd671p-2, -0x1.e578b4ae77f75p-2, -0x1.e5607896f571cp-2, -0x1.e53dd83cf189bp-2, -0x1.e510b715d5b43p-2, -0x1.e4d8fa4fb54b1p-2, -0x1.e49688d4919e5p-2, -0x1.e4494b4d29e9cp-2, -0x1.e3f12c2359627p-2, -0x1.e38e1783f93dp-2, -0x1.e31ffb6055a1ep-2, -0x1.e2a6c76f262afp-2, -0x1.e2226d2d16aacp-2, -0x1.e192dfdcdc491p-2, -0x1.e0f81486d3dfcp-2, -0x1.e05201f830313p-2, -0x1.dfa0a0c1b94aap-2, -0x1.dee3eb36183a7p-2, -0x1.de1bdd67b8585p-2, -0x1.dd4875263beb8p-2, -0x1.dc69b1fb8580ep-2, -0x1.db7f95285a577p-2, -0x1.da8a21a09e52dp-2, -0x1.d9895c072dda9p-2, -0x1.d87d4aa95453dp-2, -0x1.d765f579e8728p-2, -0x1.d643660c0adc5p-2, -0x1.d515a78d8db72p-2, -0x1.d3dcc6c105932p-2, -0x1.d298d1f78968cp-2, -0x1.d149d90a259eap-2, -0x1.cfefed52fdb2fp-2, -0x1.ce8b21a62d3e2p-2, -0x1.cd1b8a4a5ff33p-2, -0x1.cba13cf129da9p-2, -0x1.ca1c50af20a95p-2, -0x1.c88cddf3ba98ap-2, -0x1.c6f2fe80fb1b3p-2, -0x1.c54ecd62e5f48p-2, -0x1.c3a066e6c6c67p-2, -0x1.c1e7e8925027bp-2, -0x1.c025711a89e9cp-2, -0x1.be59205aa256ep-2, -0x1.bc83174a9af01p-2, -0x1.baa377f5d8236p-2, -0x1.b8ba657194dcep-2, -0x1.b6c803d3439ebp-2, -0x1.b4cc7826d99b7p-2, -0x1.b2c7e86507582p-2, -0x1.b0ba7b696a449p-2, -0x1.aea458e8af5f6p-2, -0x1.ac85a966b1e53p-2, -0x1.aa5e962c9447dp-2, -0x1.a82f493edb589p-2, -0x1.a5f7ed538ac43p-2, -0x1.a3b8adc846658p-2, -0x1.a171b6987a307p-2, -0x1.9f2334539112p-2, -0x1.9ccd54133268p-2, -0x1.9a7043719576fp-2, -0x1.980c307fe04f7p-2, -0x1.95a149bca186ep-2, -0x1.932fbe0a5b17ep-2, -0x1.90b7bca629d85p-2, -0x1.8e39751e82edep-2, -0x1.8bb5174a131eep-2, -0x1.892ad33eb7357p-2, -0x1.869ad94898029p-2, -0x1.840559e164b94p-2, -0x1.816a85a7b3fe2p-2, -0x1.7eca8d5685828p-2, -0x1.7c25a1bcef29cp-2, -0x1.797bf3b5ea4a4p-2, -0x1.76cdb42051befp-2, -0x1.741b13d70014ap-2, -0x1.716443a91f6a2p-2, -0x1.6ea97452a3176p-2, -0x1.6bead674e9cc6p-2, -0x1.69289a8f91615p-2, -0x1.6662f0f976a2cp-2, -0x1.639a09d9e3bbcp-2, -0x1.60ce1521eb7c8p-2, -0x1.5dff4285f8864p-2, -0x1.5b2dc177863fep-2, -0x1.5859c11f0f719p-2, -0x1.558370562719ep-2, -0x1.52aafda1c83c5p-2, -0x1.4fd0972cd058ep-2, -0x1.4cf46ac2aeaadp-2, -0x1.4a16a5ca41952p-2, -0x1.47377540e6325p-2, -0x1.445705b5b8b59p-2, -0x1.4175834501a85p-2, -0x1.3e931993d69cbp-2, -0x1.3baff3cbead03p-2, -0x1.38cc3c978bc9bp-2, -0x1.35e81e1dd0fb6p-2, -0x1.3303c1fef7d0ep-2, -0x1.301f5150f01dbp-2, -0x1.2d3af49c12c4ap-2, -0x1.2a56d3d80b63ap-2, -0x1.27731668e9242p-2, -0x1.248fe31c5f7b7p-2, -0x1.21ad602730431p-2, -0x1.1ecbb322c31d6p-2, -0x1.1beb010ae46fap-2, -0x1.190b6e3bb137fp-2, -0x1.162d1e6fa845bp-2, -0x1.135034bde7dd7p-2, -0x1.1074d3988fdd7p-2, -0x1.0d9b1ccb4b77fp-2, -0x1.0ac3317a013p-2, -0x1.07ed321fa98b2p-2, -0x1.05193e8d46be5p-2, -0x1.024775e9022e6p-2, -0x1.feefed5adb1ffp-3, -0x1.f955bd51c7637p-3, -0x1.f3c095fa19cd8p-3, -0x1.ee30b03d00ef5p-3, -0x1.e8a643a9160a8p-3, -0x1.e321867219566p-3, -0x1.dda2ad70f9093p-3, -0x1.d829ec23fff6dp-3, -0x1.d2b774af51972p-3, -0x1.cd4b77dd8a1cap-3, -0x1.c7e625209b3cdp-3, -0x1.c287aa92df815p-3, -0x1.bd3034f856f0dp-3, -0x1.b7dfefc0187e9p-3, -0x1.b2970505f0565p-3, -0x1.ad559d942be53p-3, -0x1.a81be0e5901bap-3, -0x1.a2e9f5277581fp-3, -0x1.9dbfff3c1128cp-3, -0x1.989e22bce0c93p-3, -0x1.938481fd3932ap-3, -0x1.8e733e0cfd2eep-3, -0x1.896a76bb6de89p-3, -0x1.846a4a9a23c7ep-3, -0x1.7f72d7001d4cdp-3, -0x1.7a84380cf1186p-3, -0x1.759e88ac17b5fp-3, -0x1.70c1e2984ee6cp-3, -0x1.6bee5e5f1ad56p-3, -0x1.67241364571eap-3, -0x1.626317e5e31efp-3, -0x1.5dab80ff60b89p-3, -0x1.58fd62ae012c8p-3, -0x1.5458cfd470bd1p-3, -0x1.4fbdda3ec6b6p-3, -0x1.4b2c92a6870c7p-3, -0x1.46a508b6b9fc2p-3, -0x1.42274b100486p-3, -0x1.3db3674cda712p-3, -0x1.39496a05ada7ap-3, -0x1.34e95ed53391ap-3, -0x1.3093505cab50fp-3, -0x1.2c4748482b06cp-3, -0x1.28054f52fc0cap-3, -0x1.23cd6d4bf48a8p-3, -0x1.1f9fa919d8162p-3, -0x1.1b7c08bfbe7a6p-3, -0x1.176291617b606p-3, -0x1.13534748089b2p-3, -0x1.0f4e2de5f155bp-3, -0x1.0b5347dbbe216p-3, -0x1.076296fc63a7ep-3, -0x1.037c1c51a8922p-3, -0x1.ff3fb04124eedp-4, -0x1.f79b93db994b2p-4, -0x1.f00be10415048p-4, -0x1.e89093dcccd02p-4, -0x1.e129a7218106cp-4, -0x1.d9d714301f38dp-4, -0x1.d298d31171d58p-4, -0x1.cb6eda81aae05p-4, -0x1.c4591ff8f0687p-4, -0x1.bd5797b3d5a72p-4, -0x1.b66a34bbc2858p-4, -0x1.af90e8ef5b23p-4, -0x1.a8cba50ab457p-4, -0x1.a21a58af9b8cep-4, -0x1.9b7cf26db6292p-4, -0x1.94f35fca91fb2p-4, -0x1.8e7d8d49a7413p-4, -0x1.881b66743aa8ep-4, -0x1.81ccd5e132772p-4, -0x1.7b91c53cd6672p-4, -0x1.756a1d5072823p-4, -0x1.6f55c609e69e5p-4, -0x1.6954a6831d678p-4, -0x1.6366a5096dc6dp-4, -0x1.5d8ba724de06cp-4, -0x1.57c3919f558cfp-4, -0x1.520e488baccd1p-4, -0x1.4c6baf4cac85ap-4, -0x1.46dba89bebe96p-4, -0x1.415e16909844bp-4, -0x1.3bf2daa6215dfp-4, -0x1.3699d5c2caebcp-4, -0x1.3152e83e237a7p-4, -0x1.2c1df1e75dc3ap-4, -0x1.26fad20b9706p-4, -0x1.21e9677bf48cbp-4, -0x1.1ce99093b4319p-4, -0x1.17fb2b3e14f15p-4, -0x1.131e14fc2e6dfp-4, -0x1.0e522aeaa623fp-4, -0x1.099749c74af02p-4, -0x1.04ed4df69631ep-4, -0x1.005413890dcap-4, -0x1.f796ec812525ap-5, -0x1.eea6a32b1318fp-5, -0x1.e5d70177df7fcp-5, -0x1.dd27bd50a452p-5, -0x1.d4988c2951346p-5, -0x1.cc29230a3164fp-5, -0x1.c3d9369931453p-5, -0x1.bba87b23021c7p-5, -0x1.b396a4a3e8b55p-5, -0x1.aba366d07cd9fp-5, -0x1.a3ce751e15c73p-5, -0x1.9c1782cb18b7ep-5, -0x1.947e42e6fcd88p-5, -0x1.8d02685a3a1eep-5, -0x1.85a3a5ede518bp-5, -0x1.7e61ae532f485p-5, -0x1.773c342ab206fp-5, -0x1.7032ea0b7a118p-5, -0x1.69458289fd456p-5, -0x1.6273b03ebc459p-5, -0x1.5bbd25ccd5b35p-5, -0x1.552195e85e4a6p-5, -0x1.4ea0b35c7f494p-5, -0x1.483a3111752fap-5, -0x1.41edc2125fb0ap-5, -0x1.3bbb1992dc2a5p-5, -0x1.35a1eaf482e94p-5, -0x1.2fa1e9cc21ec8p-5, -0x1.29bac9e6e77a2p-5, -0x1.23ec3f4f4ec73p-5, -0x1.1e35fe51ec413p-5, -0x1.1897bb820bbfdp-5, -0x1.13112bbe2c3bbp-5, -0x1.0da2043452b54p-5, -0x1.0849fa662a165p-5, -0x1.0308c42d128b1p-5, -0x1.fbbc2f7bed99cp-6, -0x1.f193575a0d5e8p-6, -0x1.e7966de29ae05p-6, -0x1.ddc4e1d03fd6ep-6, -0x1.d41e22b0d6fcap-6, -0x1.caa1a0ebb617bp-6, -0x1.c14ecdc7c8de1p-6, -0x1.b8251b715e718p-6, -0x1.af23fcffba56fp-6, -0x1.a64ae67a5481ap-6, -0x1.9d994cddf7973p-6, -0x1.950ea62188a6p-6, -0x1.8caa693aa60b5p-6, -0x1.846c0e21f8f15p-6, -0x1.7c530dd75dfd1p-6, -0x1.745ee265cc8bp-6, -0x1.6c8f06e70166fp-6, -0x1.64e2f7870a8dcp-6, -0x1.5d5a31877d15cp-6, -0x1.55f433429e6c1p-6, -0x1.4eb07c2e2c766p-6, -0x1.478e8cde27d13p-6, -0x1.408de70742934p-6, -0x1.39ae0d813ee18p-6, -0x1.32ee84490e2e6p-6, -0x1.2c4ed082c6403p-6, -0x1.25ce787b7ac64p-6, -0x1.1f6d03aad1f78p-6, -0x1.1929fab484c92p-6, -0x1.1304e769b654dp-6, -0x1.0cfd54ca1894cp-6, -0x1.0712cf04eb1fbp-6, -0x1.0144e379f0bf4p-6, -0x1.f72641741fc1p-7, -0x1.ebfa2d100edabp-7, -0x1.e104abb1a6d9bp-7, -0x1.d644e1a818058p-7, -0x1.cbb9f5a83a0dbp-7, -0x1.c16310ccb3721p-7, -0x1.b73f5e95fdbb5p-7, -0x1.ad4e0cea1542ep-7, -0x1.a38e4c13f0aedp-7, -0x1.99ff4ec2ee93ep-7, -0x1.90a04a09ccdf7p-7, -0x1.8770755d9937fp-7, -0x1.7e6f0a945dcf5p-7, -0x1.759b45e3b21p-7, -0x1.6cf465df03831p-7, -0x1.6479ab75bfcp-7, -0x1.5c2a59f15dfdep-7, -0x1.5405b6f31b3cbp-7, -0x1.4c0b0a71c8baap-7, -0x1.44399eb739712p-7, -0x1.3c90c05da2e7bp-7, -0x1.350fbe4cec4acp-7, -0x1.2db5e9b7ca6c6p-7, -0x1.26829618951e9p-7, -0x1.1f75192e73cecp-7, -0x1.188ccaf9b556ep-7, -0x1.11c905b8caea9p-7, -0x1.0b2925e4a36ccp-7, -0x1.04ac8a2d1176fp-7, -0x1.fca526ea6f235p-8, -0x1.f035499f5eee2p-8, -0x1.e40846f58aa33p-8, -0x1.d81cedb8cecep-8, -0x1.cc7210fc6fa51p-8, -0x1.c1068812df0aep-8, -0x1.b5d92e856ffb3p-8, -0x1.aae8e40babadp-8, -0x1.a0348c82ffa6dp-8, -0x1.95bb0fe5c01fbp-8, -0x1.8b7b5a4291653p-8, -0x1.81745bb349961p-8, -0x1.77a50853ff1d8p-8, -0x1.6e0c5839d5995p-8, -0x1.64a94769ebaefp-8, -0x1.5b7ad5cfd650bp-8, -0x1.528007346381dp-8, -0x1.49b7e33449f69p-8, -0x1.4121753679d91p-8, -0x1.38bbcc629f181p-8, -0x1.3085fb9781eefp-8, -0x1.287f196197d75p-8, -0x1.20a63ff0f8434p-8, -0x1.18fa8d1012fe9p-8, -0x1.117b2219848a2p-8, -0x1.0a2723eea79ddp-8, -0x1.02fdbaedb6eb8p-8, -0x1.f7fc25cfc2bf7p-9, -0x1.ea4eb62f54322p-9, -0x1.dcf18c2df5f0ep-9, -0x1.cfe313aacab4dp-9, -0x1.c321bf1c8d55cp-9, -0x1.b6ac077df466ep-9, -0x1.aa806c3a370a5p-9, -0x1.9e9d731994958p-9, -0x1.9301a82d67acfp-9, -0x1.87ab9dbd1f1p-9, -0x1.7c99ec32a5b65p-9, -0x1.71cb3206cede6p-9, -0x1.673e13ae58facp-9, -0x1.5cf13b8670454p-9, -0x1.52e359c1b35cdp-9, -0x1.49132454de607p-9, -0x1.3f7f56e3e8e29p-9, -0x1.3626b2aef882bp-9, -0x1.2d07fe7fc6ef3p-9, -0x1.242206967f1bp-9, -0x1.1b739c979df83p-9, -0x1.12fb9778ddc08p-9, -0x1.0ab8d36f0a4dbp-9, -0x1.02aa31db94b46p-9, -0x1.f59d327509c47p-10, -0x1.e649ea209e2cdp-10, -0x1.d7586baf5614dp-10, -0x1.c8c6a1dffd31bp-10, -0x1.ba928116f9ea6p-10, -0x1.acba073b6f34dp-10, -0x1.9f3b3b93b1103p-10, -0x1.92142ea3ace53p-10, -0x1.8542fa096160fp-10, -0x1.78c5c05b9d86fp-10, -0x1.6c9aad07ec182p-10, -0x1.60bff4311397dp-10, -0x1.5533d28d9410dp-10, -0x1.49f48d47769efp-10, -0x1.3f0071daf4dc8p-10, -0x1.3455d5f6a03e3p-10, -0x1.29f3175b17b77p-10, -0x1.1fd69bbb46bb7p-10, -0x1.15fed09d844b4p-10, -0x1.0c6a2b3b964acp-10, -0x1.03172864d2637p-10, -0x1.f40898be10c45p-11, -0x1.e2604591bb12dp-11, -0x1.d1327cf66e581p-11, -0x1.c07c72d9c2edbp-11, -0x1.b03b6927f85ddp-11, -0x1.a06caf948ea7p-11, -0x1.910da35fc3094p-11, -0x1.821baf1eff67ep-11, -0x1.73944a844234cp-11, -0x1.6574fa2752a06p-11, -0x1.57bb4f4f45dabp-11, -0x1.4a64e7bc6814fp-11, -0x1.3d6f6d73305a4p-11, -0x1.30d8968797ef7p-11, -0x1.249e24e8e12a3p-11, -0x1.18bde62ea0bcdp-11, -0x1.0d35b365a36e7p-11, -0x1.020370de72616p-11, -0x1.ee4a1bf66d24p-12, -0x1.d93109fe7e57bp-12, -0x1.c4b7b5be38f91p-12, -0x1.b0da3e2120b04p-12, -0x1.9d94d6b7c8994p-12, -0x1.8ae3c75b4407p-12, -0x1.78c36bd1a8a44p-12, -0x1.67303374265b4p-12, -0x1.5626a0d5c0778p-12, -0x1.45a3496b28cfcp-12, -0x1.35a2d535d64p-12, -0x1.2621fe6cb4d8cp-12, -0x1.171d9129ea3e7p-12, -0x1.08926b163d342p-12, -0x1.f4faf6325e50fp-13, -0x1.d9b7820c10c61p-13, -0x1.bf549a9cb6059p-13, -0x1.a5cc816763bc8p-13, -0x1.8d1997f13d389p-13, -0x1.75365f2daa779p-13, -0x1.5e1d76e65e753p-13, -0x1.47c99d2893702p-13, -0x1.3235adb1d1308p-13, -0x1.1d5ca1646193ep-13, -0x1.09398db717246p-13, -0x1.eb8f4857f231p-14, -0x1.c60463906391ap-14, -0x1.a1c93d161b776p-14, -0x1.7ed4d9d7092ecp-14, -0x1.5d1e72ac107cap-14, -0x1.3c9d7354e17c8p-14, -0x1.1d49797d74a5ep-14, -0x1.fe34a7905cf0ep-15, -0x1.c41001a0b6be8p-15, -0x1.8c155c879e249p-15, -0x1.56356fde2c339p-15, -0x1.22614daa9f87dp-15, -0x1.e114c1399bc83p-16, -0x1.8144d48aeb427p-16, -0x1.253702af8b73cp-16, -0x1.99a03ff022dp-17, -0x1.dfd690eef98ap-18, -0x1.346d3c9c70b24p-19, 0x1.3c09077333c98p-19, 0x1.c93d998bf1778p-18, 0x1.73ea8669cedp-17, 0x1.fd147c737df4fp-17, 0x1.40254da5170f3p-16, 0x1.7edcda244351ep-16, 0x1.bac6c1a7174afp-16, 0x1.f3f85a5261269p-16, 0x1.15433aab3a063p-15, 0x1.2f42b0cf3d56ap-15, 0x1.4804775284f67p-15, 0x1.5f923785f3e89p-15, 0x1.75f55da711325p-15, 0x1.8b371a214f1d8p-15, 0x1.9f6062dbf9779p-15, 0x1.b279f470cd859p-15, 0x1.c48c536a8ef65p-15, 0x1.d59fcd74f4127p-15, 0x1.e5bc7a8e1426dp-15, 0x1.f4ea3e2a3c1c4p-15, 0x1.0198642c78d9dp-14, 0x1.084bcb72962b5p-14, 0x1.0e92fb31e8f57p-14, 0x1.147181aa9d8cdp-14, 0x1.19ead59375cd8p-14, 0x1.1f0256a1119b1p-14, 0x1.23bb4e06d9cbfp-14, 0x1.2818eef728e25p-14, 0x1.2c1e571f16b31p-14, 0x1.2fce8f23d81bdp-14, 0x1.332c8b17fcfbbp-14, 0x1.363b2af30abb4p-14, 0x1.38fd3b05fc93fp-14, 0x1.3b75746a5f93bp-14, 0x1.3da67d75de414p-14, 0x1.3f92ea22192e2p-14, 0x1.413d3c7bc2416p-14, 0x1.42a7e50a8551dp-14, 0x1.43d543382c929p-14, 0x1.44c7a5b4f4f6ep-14, 0x1.45814ad9e0cffp-14, 0x1.4604610b8fba3p-14, 0x1.4653071791d94p-14, 0x1.466f4c92a9974p-14, 0x1.465b3233eb072p-14, 0x1.4618aa2c9db78p-14, 0x1.45a998828c31ep-14, 0x1.450fd36460b9p-14, 0x1.444d237c020e5p-14, 0x1.436344454a68bp-14, 0x1.4253e45a9ab91p-14, 0x1.4120a5c62ca55p-14, 0x1.3fcb1e4e8c0a1p-14, 0x1.3e54d7c3b5239p-14, 0x1.3cbf504717c4ep-14, 0x1.3b0bfa96c2aecp-14, 0x1.393c3e5301634p-14, 0x1.37517844cf70bp-14, 0x1.354cfaa118a05p-14, 0x1.33300d4d5022fp-14, 0x1.30fbee1ec4435p-14, 0x1.2eb1d11cb6c8dp-14, 0x1.2c52e0bcc200bp-14, 0x1.29e03e2273c73p-14, 0x1.275b0159e398ep-14, 0x1.24c43991d80ccp-14, 0x1.221ced57bba35p-14, 0x1.1f661acc8d2fdp-14, 0x1.1ca0b7de6af08p-14, 0x1.19cdb27d4dd3bp-14, 0x1.16edf0cf15ff7p-14, 0x1.14025164e49d6p-14, 0x1.110bab6ae14ap-14, 0x1.0e0acedc0e67dp-14, 0x1.0b0084afb1182p-14, 0x1.07ed8f0af5d8cp-14, 0x1.04d2a96ceaf9ep-14, 0x1.01b088dd111aap-14, 0x1.fd0fb82c21ffdp-15, 0x1.f6b297629c8d9p-15, 0x1.f04af4a21cc08p-15, 0x1.e9da09930f383p-15, 0x1.e361048f8fc2p-15, 0x1.dce108f663ed4p-15, 0x1.d65b2f729be6bp-15, 0x1.cfd0864ac2126p-15, 0x1.c94211a6ee816p-15, 0x1.c2b0cbd9df94cp-15, 0x1.bc1da5a5b788dp-15, 0x1.b58986829cca5p-15, 0x1.aef54cdc5816fp-15, 0x1.a861ce595a6c3p-15, 0x1.a1cfd814e7bafp-15, 0x1.9b402ee140c2fp-15, 0x1.94b38f80cfc61p-15, 0x1.8e2aaee4887e9p-15, 0x1.87a63a62133ecp-15, 0x1.8126d7ef649d7p-15, 0x1.7aad265701799p-15, 0x1.7439bd6feaa9p-15, 0x1.6dcd2e4ff4d4dp-15, 0x1.6768037fa4b9ap-15, 0x1.610ac12d12cedp-15, 0x1.5ab5e55a73d63p-15, 0x1.5469e80f03bf8p-15, 0x1.4e273b856b45dp-15, 0x1.47ee4c5732062p-15, 0x1.41bf81ab3735p-15, 0x1.3b9b3d5db7d97p-15, 0x1.3581dc2d79292p-15, 0x1.2f73b5e08c562p-15, 0x1.29711d7005768p-15, 0x1.237a612c45e6ep-15, 0x1.1d8fcae3a6d7bp-15, 0x1.17b1a006ecc2cp-15, 0x1.11e021cdc0a41p-15, 0x1.0c1b8d58eb42ep-15, 0x1.06641bd4f446ep-15, 0x1.00ba029ac3db9p-15, 0x1.f63ae6a188741p-16, 0x1.eb1d3812c8affp-16, 0x1.e01b4ec525a6ap-16, 0x1.d535794677902p-16, 0x1.ca6bffb11ab92p-16, 0x1.bfbf23e3eb0c1p-16, 0x1.b52f21b9ad536p-16, 0x1.aabc2f3fba3fbp-16, 0x1.a0667ce90c36bp-16, 0x1.962e35bf4cccfp-16, 0x1.8c137f995d363p-16, 0x1.82167b462a8dep-16, 0x1.783744beb0504p-16, 0x1.6e75f3521afbep-16, 0x1.64d299d2eed39p-16, 0x1.5b4d46c11bc27p-16, 0x1.51e60474ae55ap-16, 0x1.489cd9462d838p-16, 0x1.3f71c7b617a1dp-16, 0x1.3664ce9315551p-16, 0x1.2d75e9207decfp-16, 0x1.24a50f38e8c94p-16, 0x1.1bf23573ba8dbp-16, 0x1.135d4d44d27ebp-16, 0x1.0ae6452006ce3p-16, 0x1.028d08980100fp-16, 0x1.f4a300fe3f661p-17, 0x1.e46726084ed8ap-17, 0x1.d46647a1f48bfp-17, 0x1.c4a0284e0441dp-17, 0x1.b51485f667a45p-17, 0x1.a5c31a2312cb4p-17, 0x1.96ab9a2ae2e07p-17, 0x1.87cdb76bb451cp-17, 0x1.79291f77ec4b6p-17, 0x1.6abd7c47f5e23p-17, 0x1.5c8a746749da5p-17, 0x1.4e8fab225ee1fp-17, 0x1.40ccc0b313d32p-17, 0x1.334152683cf27p-17, 0x1.25ecfad1c1168p-17, 0x1.18cf51e538347p-17, 0x1.0be7ed26e17bfp-17, 0x1.fe6cbf995f53dp-18, 0x1.e57475c609635p-18, 0x1.cce61adfd2e0ep-18, 0x1.b4c0c927c211cp-18, 0x1.9d03975664d5cp-18, 0x1.85ad98d6a94d3p-18, 0x1.6ebdde0956eb1p-18, 0x1.5833747aa9f84p-18, 0x1.420d671d10442p-18, 0x1.2c4abe7f53e86p-18, 0x1.16ea810188fe3p-18, 0x1.01ebb30981b28p-18, 0x1.da9aae647511ep-19, 0x1.b21cdcf960b4bp-19, 0x1.8a5bf0fad83ap-19, 0x1.6355e710c8c4bp-19, 0x1.3d08b9b891e6ep-19, 0x1.17726198f37a2p-19, 0x1.e521ab93060e9p-20, 0x1.9cc418580dc81p-20, 0x1.55c7f3547193bp-20, 0x1.102925014b769p-20, 0x1.97c72a0988767p-21, 0x1.11e655729fe49p-21, 0x1.1d4f36947d8bbp-22, 0x1.c0597da669a04p-26, -0x1.c041189e4b4eap-23, -0x1.d7338a91c54a1p-22, -0x1.64a1d7fab7fd4p-21, -0x1.db309fff4cd96p-21, -0x1.27a71cd45ddd2p-20, -0x1.60815d8eee42fp-20, -0x1.982b19c85b752p-20, -0x1.cea85556bf24dp-20, -0x1.01fe87fabadf3p-19, -0x1.1c16a27bfb47ap-19, -0x1.359e757d94454p-19, -0x1.4e97f9d4554c7p-19, -0x1.670525b436c4dp-19, -0x1.7ee7ec942ba16p-19, -0x1.96423f0af75dep-19, -0x1.ad160ab528fd5p-19, -0x1.c3653a1ba344fp-19, -0x1.d931b493cac48p-19, -0x1.ee7d5e2c53827p-19, -0x1.01a50bc84fa49p-18, -0x1.0bccdefbca38bp-18, -0x1.15b71585d7eb5p-18, -0x1.1f649a6cab85cp-18, -0x1.28d656dd322ddp-18, -0x1.320d3222f41a7p-18, -0x1.3b0a11a0851c9p-18, -0x1.43cdd8c81dcb2p-18, -0x1.4c596912620a6p-18, -0x1.54ada1f9cffc4p-18, -0x1.5ccb60f5c169p-18, -0x1.64b381724b4dp-18, -0x1.6c66dccccbdc6p-18, -0x1.73e64a4f4f5cdp-18, -0x1.7b329f2b5bf1ep-18, -0x1.824cae76fab3fp-18, -0x1.89354928c5274p-18, -0x1.8fed3e14d1c9bp-18, -0x1.967559ead70d5p-18, -0x1.9cce6732ddad9p-18, -0x1.a2f92e4bee4d3p-18, -0x1.a8f6756a03bafp-18, -0x1.aec70094e2a45p-18, -0x1.b46b91a67d6a8p-18, -0x1.b9e4e84be7b01p-18, -0x1.bf33c202b9a78p-18, -0x1.c458da19f98a5p-18, -0x1.c954e9b289b3fp-18, -0x1.ce28a7be9f6efp-18, -0x1.d2d4c9031a873p-18, -0x1.d75a0017b240bp-18, -0x1.dbb8fd67ce61p-18, -0x1.dff26f346bfd2p-18, -0x1.e4070195a4508p-18, -0x1.e7f75e7b36833p-18, -0x1.ebc42daf04f0fp-18, -0x1.ef6e14d77c3e9p-18, -0x1.f2f5b778f2b47p-18, -0x1.f65bb6f87edfp-18, -0x1.f9a0b29e6e7efp-18, -0x1.fcc5479833b28p-18, -0x1.ffca10fbe886bp-18, -0x1.0157d3e592823p-17, -0x1.02bb517a9b5bdp-17, -0x1.040fcbada9754p-17, -0x1.05558be99d6b6p-17, -0x1.068cda9532c91p-17, -0x1.07b5ff14e6213p-17, -0x1.08d13fcd03a74p-17, -0x1.09dee222e00f6p-17, -0x1.0adf2a7f30cb9p-17, -0x1.0bd25c4fb305fp-17, -0x1.0cb8ba09314a7p-17, -0x1.0d92852981d67p-17, -0x1.0e5ffe39750e7p-17, -0x1.0f2164cf03a66p-17, -0x1.0fd6f78f536ep-17, -0x1.1080f430cfb5fp-17, -0x1.111f977d5aa46p-17, -0x1.11b31d5452944p-17, -0x1.123bc0acca0acp-17, -0x1.12b9bb97b64e6p-17, -0x1.132d47421e6cbp-17, -0x1.13969bf788cc2p-17, -0x1.13f5f123c754cp-17, -0x1.144b7d55dd0e4p-17, -0x1.14977641ce51cp-17, -0x1.14da10c2cecd7p-17, -0x1.151380ddf4d6cp-17, -0x1.1543f9c3ffaa8p-17, -0x1.156badd3f2d29p-17, -0x1.158ace9db0ae8p-17, -0x1.15a18ce389379p-17, -0x1.15b0189d1e77cp-17, -0x1.15b6a0f97629p-17, -0x1.15b554614792ap-17, -0x1.15ac60796c6b1p-17, -0x1.159bf2250a1a7p-17, -0x1.15843587b83f5p-17, -0x1.15655608497a1p-17, -0x1.153f7e52b0a92p-17, -0x1.1512d85a576bdp-17, -0x1.14df8d5c535a9p-17, -0x1.14a5c5e1e5524p-17, -0x1.1465a9c280fd6p-17, -0x1.141f6026430b6p-17, -0x1.13d30f883239dp-17, -0x1.1380ddb811418p-17, -0x1.1328efdd19131p-17, -0x1.12cb6a77cbeacp-17, -0x1.126871648e8d3p-17, -0x1.120027dd87bf6p-17, -0x1.1192b07cdbb2p-17, -0x1.11202d3edbe44p-17, -0x1.10a8bf841df38p-17, -0x1.102c8813c54adp-17, -0x1.0faba71d79854p-17, -0x1.0f263c3ba495dp-17, -0x1.0e9c667573409p-17, -0x1.0e0e4440d704cp-17, -0x1.0d7bf38495dcdp-17, -0x1.0ce5919a88d4cp-17, -0x1.0c4b3b51680e3p-17, -0x1.0bad0cef0d3abp-17, -0x1.0b0b22322b4dep-17, -0x1.0a659654279ecp-17, -0x1.09bc840b826dfp-17, -0x1.0910058d96aap-17, -0x1.0860349054ccep-17, -0x1.07ad2a4c8bd2ap-17, -0x1.06f6ff7f668dbp-17, -0x1.063dcc6c67a83p-17, -0x1.0581a8df69d3dp-17, -0x1.04c2ac2e3f453p-17, -0x1.0400ed3aaa8a6p-17, -0x1.033c827400e81p-17, -0x1.027581d920bcbp-17, -0x1.01ac00fa0e1a8p-17, -0x1.00e014f9c28a6p-17, -0x1.0011d28fe8a28p-17, -0x1.fe829c14b5e02p-18, -0x1.fcdd369e0729ap-18, -0x1.fb339bbaed25dp-18, -0x1.f985f1a174236p-18, -0x1.f7d45dc14fc28p-18, -0x1.f61f04c736763p-18, -0x1.f4660aa014f41p-18, -0x1.f2a9927c78b28p-18, -0x1.f0e9bed3643afp-18, -0x1.ef26b16555a3fp-18, -0x1.ed608b3ef1182p-18, -0x1.eb976cbcbd79dp-18, -0x1.e9cb758db86ebp-18, -0x1.e7fcc4b639afap-18, -0x1.e62b7892b129bp-18, -0x1.e457aedaec03cp-18, -0x1.e28184a4637d4p-18, -0x1.e0a916651ff4bp-18, -0x1.dece7ff6790c9p-18, -0x1.dcf1dc97d946fp-18, -0x1.db1346f163129p-18, -0x1.d932d916b4667p-18, -0x1.d750ac8915ecp-18, -0x1.d56cda3a48faep-18, -0x1.d3877a8ed9a39p-18, -0x1.d1a0a56113946p-18, -0x1.cfb87202dbf2dp-18, -0x1.cdcef7406b74p-18, -0x1.cbe44b629932ap-18, -0x1.c9f8843131a0ap-18, -0x1.c80bb6f55f571p-18, -0x1.c61df87bc6a75p-18, -0x1.c42f5d16c7387p-18, -0x1.c23ff8a0d9e33p-18, -0x1.c04fde7ebaacap-18, -0x1.be5f21a15bb36p-18, -0x1.bc6dd487fddfp-18, -0x1.ba7c0942aafb4p-18, -0x1.b889d173e4561p-18, -0x1.b6973e52ba913p-18, -0x1.b4a460acdffa9p-18, -0x1.b2b148e8aff03p-18, -0x1.b0be0706bcec1p-18, -0x1.aecaaaa40ef5ap-18, -0x1.acd742fbe4682p-18, -0x1.aae3dee9d706ap-18, -0x1.a8f08ceb3ac3p-18, -0x1.a6fd5b20d21f4p-18, -0x1.a50a575106db2p-18, -0x1.a3178ee9a010bp-18, -0x1.a1250f01180b4p-18, -0x1.9f32e4589abc5p-18, -0x1.9d411b5d30a0dp-18, -0x1.9b4fc02a0d9ffp-18, -0x1.995ede89b54fcp-18, -0x1.976e81f7b0338p-18, -0x1.957eb5a21c5fdp-18, -0x1.938f846b1b881p-18, -0x1.91a0f8ea4ad8ap-18, -0x1.8fb31d6e440a3p-18, -0x1.8dc5fbfe7bd84p-18, -0x1.8bd99e5be772cp-18, -0x1.89ee0e0305533p-18, -0x1.8803542ce2f33p-18, -0x1.861979d077407p-18, -0x1.843087a445693p-18, -0x1.8248861fa6e24p-18, -0x1.80617d7bb6996p-18, -0x1.7e7b75b4c22ep-18, -0x1.7c96768b61872p-18, -0x1.7ab287860fd29p-18, -0x1.78cfaff256fdep-18, -0x1.76edf6e5928e5p-18, -0x1.750d633e4e676p-18, -0x1.732dfba59fce5p-18, -0x1.714fc690145aep-18, -0x1.6f72ca3ea09f8p-18, -0x1.6d970cbfd4474p-18, -0x1.6bbc93f133f65p-18, -0x1.69e3657fdbd9cp-18, -0x1.680b86e9fcb22p-18, -0x1.6634fd7f3c18p-18, -0x1.645fce6215db3p-18, -0x1.628bfe88c579bp-18, -0x1.60b992be72cp-18, -0x1.5ee88fa3a1e8p-18, -0x1.5d18f9af81f1dp-18, -0x1.5b4ad530a07f1p-18, -0x1.597e264dd5985p-18, -0x1.57b2f10788cd3p-18, -0x1.55e93937fbdafp-18, -0x1.542102942b7e2p-18, -0x1.525a50ace393p-18, -0x1.509526ef835ep-18, -0x1.4ed188a6ddca6p-18, -0x1.4d0f78fbae6f5p-18, -0x1.4b4efaf597c86p-18, -0x1.4990117bcbd2cp-18, -0x1.47d2bf55fd4cfp-18, -0x1.4617072cd959p-18, -0x1.445ceb8ab0199p-18, -0x1.42a46edc8c919p-18, -0x1.40ed9372683b7p-18, -0x1.3f385b800bdbap-18, -0x1.3d84c91deb6b8p-18, -0x1.3bd2de494d4cbp-18, -0x1.3a229ce598a1fp-18, -0x1.387406bc23bbap-18, -0x1.36c71d7d51bacp-18, -0x1.351be2c155fc8p-18, -0x1.337258085418bp-18, -0x1.31ca7ebb259b5p-18, -0x1.3024582c15a84p-18, -0x1.2e7fe596e26bfp-18, -0x1.2cdd2822076b8p-18, -0x1.2b3c20dec955ap-18, -0x1.299cd0c9923edp-18, -0x1.27ff38caf1ddcp-18, -0x1.266359b7e069dp-18, -0x1.24c934523e016p-18, -0x1.2330c9491c28cp-18, -0x1.219a19397b72cp-18, -0x1.200524ae9908fp-18, -0x1.1e71ec22a568bp-18, -0x1.1ce06ffeaabc3p-18, -0x1.1b50b09b854ebp-18, -0x1.19c2ae420feffp-18, -0x1.1836692b855fep-18, -0x1.16abe182297fdp-18, -0x1.15231761392e5p-18, -0x1.139c0ad5c5e8cp-18, -0x1.1216bbded099cp-18, -0x1.10932a6d90807p-18, -0x1.0f1156667d3a3p-18, -0x1.0d913fa07ea81p-18, -0x1.0c12e5e65f992p-18, -0x1.0a9648f6c3fdbp-18, -0x1.091b6884036edp-18, -0x1.07a24435581c9p-18, -0x1.062adba6779e4p-18, -0x1.04b52e684761p-18, -0x1.03413c012f171p-18, -0x1.01cf03ed1f0ecp-18, -0x1.005e859dee732p-18, -0x1.fddf80f81c92ep-19, -0x1.fb0567cc91c24p-19, -0x1.f82ebe64650cap-19, -0x1.f55b8358f2b1bp-19, -0x1.f28bb532737fep-19, -0x1.efbf52689da93p-19, -0x1.ecf659621f068p-19, -0x1.ea30c876bf934p-19, -0x1.e76e9dee53118p-19, -0x1.e4afd802850dfp-19, -0x1.e1f474ddfcaa5p-19, -0x1.df3c729daaf6fp-19, -0x1.dc87cf5172b1fp-19, -0x1.d9d688fb7627bp-19, -0x1.d7289d921b20fp-19, -0x1.d47e0afebc8a1p-19, }}, 
      {{-0x1.dc99f07fbedffp-2, -0x1.dc61f480a8fbep-2, -0x1.dbf8fdef3b6d3p-2, -0x1.db5f8d2d69f5dp-2, -0x1.da9e883e1e7eep-2, -0x1.d9c30216490fbp-2, -0x1.d8da628e52486p-2, -0x1.d7eff8f3650eep-2, -0x1.d70bf1774e5e2p-2, -0x1.d6334470fbb7bp-2, -0x1.d5682f8b0d58p-2, -0x1.d4aae4e23e46fp-2, -0x1.d3fa3cb7718efp-2, -0x1.d3544fe5d0e6fp-2, -0x1.d2b6f1ad196f5p-2, -0x1.d2200858b6adbp-2, -0x1.d18dc86b9f991p-2, -0x1.d0fed75c9414dp-2, -0x1.d0725afd44ee5p-2, -0x1.cfe7fa2d63d3p-2, -0x1.cf5fd2dc65b98p-2, -0x1.ceda68c2212d1p-2, -0x1.ce588fa9c39f9p-2, -0x1.cddb53ab6634dp-2, -0x1.cd63e13b58c38p-2, -0x1.ccf36e890679ap-2, -0x1.cc8b2741d7ea8p-2, -0x1.cc2c1b6fdfe77p-2, -0x1.cbd731da0b883p-2, -0x1.cb8d1e05c164fp-2, -0x1.cb4e59c12ede1p-2, -0x1.cb1b21f26aac7p-2, -0x1.caf376497159dp-2, -0x1.cad71b60ae9d9p-2, -0x1.cac59ecfc126ap-2, -0x1.cabe5cb47c904p-2, -0x1.cac0863cdd663p-2, -0x1.cacb28c80bddep-2, -0x1.cadd3542a2f05p-2, -0x1.caf5877212db2p-2, -0x1.cb12ecf2c6037p-2, -0x1.cb342bbbd79bap-2, -0x1.cb5808090faf8p-2, -0x1.cb7d4997fcc4cp-2, -0x1.cba2c02f4a261p-2, -0x1.cbc7476fc1b6dp-2, -0x1.cbe9c9f4dac27p-2, -0x1.cc0943cf58812p-2, -0x1.cc24c467b5706p-2, -0x1.cc3b6fd7e89b3p-2, -0x1.cc4c7fccdb5dbp-2, -0x1.cc5743ffe70f8p-2, -0x1.cc5b2257f553ep-2, -0x1.cc5796c0d0a57p-2, -0x1.cc4c32c5d903fp-2, -0x1.cc389cfbb6533p-2, -0x1.cc1c904332bdep-2, -0x1.cbf7daedd02e3p-2, -0x1.cbca5dcb515a6p-2, -0x1.cb940b2621f7ap-2, -0x1.cb54e5b375e14p-2, -0x1.cb0cff7aff68ep-2, -0x1.cabc78b95321cp-2, -0x1.ca637ebf727a9p-2, -0x1.ca024ad1775c2p-2, -0x1.c9992105f64c4p-2, -0x1.c9284f276f747p-2, -0x1.c8b02b98ed4b1p-2, -0x1.c831143ed770dp-2, -0x1.c7ab6d6ce8925p-2, -0x1.c71fa0da287b6p-2, -0x1.c68e1c9bcff1p-2, -0x1.c5f75227e96bfp-2, -0x1.c55bb560894acp-2, -0x1.c4bbbba8764c4p-2, -0x1.c417db0206ecp-2, -0x1.c370893901735p-2, -0x1.c2c63b182d5a4p-2, -0x1.c21963ab48876p-2, -0x1.c16a738deaf8ap-2, -0x1.c0b9d847de87dp-2, -0x1.c007fbb74f833p-2, -0x1.bf5543891f8b5p-2, -0x1.bea210bf91407p-2, -0x1.bdeebf475ad11p-2, -0x1.bd3ba59b1da8cp-2, -0x1.bc8914751ba9p-2, -0x1.bbd7568eeb78dp-2, -0x1.bb26b06eda1d4p-2, -0x1.ba77604281c9cp-2, -0x1.b9c99dc61b33cp-2, -0x1.b91d9a37e63ecp-2, -0x1.b87380570fa14p-2, -0x1.b7cb746d4e0aap-2, -0x1.b725946283c8fp-2, -0x1.b681f7d98c1bep-2, -0x1.b5e0b05572417p-2, -0x1.b541c9662fbb6p-2, -0x1.b4a548dc28d0fp-2, -0x1.b40b2f018a838p-2, -0x1.b37376d8b89e7p-2, -0x1.b2de165f0516ep-2, -0x1.b24afed2e3c85p-2, -0x1.b1ba1cfcdde16p-2, -0x1.b12b597a8e7c1p-2, -0x1.b09e990afe9c9p-2, -0x1.b013bcdbbbab3p-2, -0x1.af8aa2d616d47p-2, -0x1.af0325ebfed12p-2, -0x1.ae7d1e63fa42bp-2, -0x1.adf86223cf695p-2, -0x1.ad74c4f971d9p-2, -0x1.acf218e1df18dp-2, -0x1.ac702e4d9cc4fp-2, -0x1.abeed4629325bp-2, -0x1.ab6dd93b0e954p-2, -0x1.aaed0a21bbb7dp-2, -0x1.aa6c33ca7ae64p-2, -0x1.a9eb2287ec742p-2, -0x1.a969a27dae54dp-2, -0x1.a8e77fcf3919cp-2, -0x1.a86486cb5eeb9p-2, -0x1.a7e084147003cp-2, -0x1.a75b44c51168p-2, -0x1.a6d49691d0e59p-2, -0x1.a64c47e794a54p-2, -0x1.a5c22806f3fb5p-2, -0x1.a536071c9d825p-2, -0x1.a4a7b656e94adp-2, -0x1.a41707f8b4278p-2, -0x1.a383cf69addcap-2, -0x1.a2ede144381b7p-2, -0x1.a25513610478p-2, -0x1.a1b93ce08d7e2p-2, -0x1.a11a36329f3cap-2, -0x1.a077d91c04d33p-2, -0x1.9fd200ba90ab2p-2, -0x1.9f2889879d431p-2, -0x1.9e7b515928db3p-2, -0x1.9dca3761b55a7p-2, -0x1.9d151c2f0c166p-2, -0x1.9c5be1a80365cp-2, -0x1.9b9e6b096aefcp-2, -0x1.9adc9ce23597p-2, -0x1.9a165d0f026b9p-2, -0x1.994b92b51db7fp-2, -0x1.987c263d0d805p-2, -0x1.97a8014cc991cp-2, -0x1.96cf0ec1a93dp-2, -0x1.95f13aaa23542p-2, -0x1.950e723f6a179p-2, -0x1.9426a3def910cp-2, -0x1.9339bf041f67cp-2, -0x1.9247b44193045p-2, -0x1.9150753b16994p-2, -0x1.9053f49f44a04p-2, -0x1.8f522621783ecp-2, -0x1.8e4afe73e8be1p-2, -0x1.8d3e7341f7271p-2, -0x1.8c2c7b2aaee23p-2, -0x1.8b150dbb88c07p-2, -0x1.89f8236b63acdp-2, -0x1.88d5b595c1887p-2, -0x1.87adbe763e85ep-2, -0x1.868039244caf6p-2, -0x1.854d218f2b3ddp-2, -0x1.8414747a1b81dp-2, -0x1.82d62f78d20dfp-2, -0x1.819250ec210d7p-2, -0x1.8048d7fed8b3ep-2, -0x1.7ef9c4a2db213p-2, -0x1.7da5178e5ee51p-2, -0x1.7c4ad23962531p-2, -0x1.7aeaf6db43582p-2, -0x1.798588687e043p-2, -0x1.781a8a908b2e1p-2, -0x1.76aa01bbdc8fdp-2, -0x1.7533f309f183cp-2, -0x1.73b8644f81be8p-2, -0x1.72375c14b61cdp-2, -0x1.70b0e1937064ap-2, -0x1.6f24fcb59d247p-2, -0x1.6d93b61386731p-2, -0x1.6bfd16f22f7cp-2, -0x1.6a612941a8205p-2, -0x1.68bff79b5fb75p-2, -0x1.67198d406f029p-2, -0x1.656df617d6b31p-2, -0x1.63bd3eacb2ef7p-2, -0x1.6207742c5cd23p-2, -0x1.604ca4647a5p-2, -0x1.5e8cddc0feb9ap-2, -0x1.5cc82f4a0dc65p-2, -0x1.5afea8a1ce583p-2, -0x1.59305a0220aa5p-2, -0x1.575d543a3afcep-2, -0x1.5585a8ac2e80ep-2, -0x1.53a9694a4d0a8p-2, -0x1.51c8a89474d0ap-2, -0x1.4fe379953eb43p-2, -0x1.4df9efdf0f10fp-2, -0x1.4c0c1f890c2a3p-2, -0x1.4a1a1d2bf4ed1p-2, -0x1.4823fddedc6e8p-2, -0x1.4629d733ca953p-2, -0x1.442bbf34402cdp-2, -0x1.4229cc5d9ed41p-2, -0x1.4024159d77d86p-2, -0x1.3e1ab24dc433fp-2, -0x1.3c0dba30fff42p-2, -0x1.39fd456e3165ep-2, -0x1.37e96c8cda441p-2, -0x1.35d24870d51b4p-2, -0x1.33b7f2561b5e5p-2, -0x1.319a83cc7eba4p-2, -0x1.2f7a16b34cdc7p-2, -0x1.2d56c534ea6d8p-2, -0x1.2b30a9c258fp-2, -0x1.2907df0eb8a95p-2, -0x1.26dc800ab8f39p-2, -0x1.24aea7e005eb4p-2, -0x1.227e71ecaa3dcp-2, -0x1.204bf9be6de2fp-2, -0x1.1e175b0e30718p-2, -0x1.1be0b1bb3fee3p-2, -0x1.19a819c6b0ed1p-2, -0x1.176daf4eb4fp-2, -0x1.15318e89f67d6p-2, -0x1.12f3d3c2f4c5fp-2, -0x1.10b49b5367a5ap-2, -0x1.0e74019fa95c6p-2, -0x1.0c3223122831bp-2, -0x1.09ef1c16e1c49p-2, -0x1.07ab0916eb1d5p-2, -0x1.05660673ffc83p-2, -0x1.03203084260cbp-2, -0x1.00d9a38d5a2e2p-2, -0x1.fd24f7829d914p-3, -0x1.f895aa7275a0dp-3, -0x1.f40597e376b6fp-3, -0x1.ef74f78d8ee74p-3, -0x1.eae400df6f661p-3, -0x1.e652eaf6c6db6p-3, -0x1.e1c1ec98a42bcp-3, -0x1.dd313c2a0e08cp-3, -0x1.d8a10fa8b7873p-3, -0x1.d4119ca3fbf62p-3, -0x1.cf831835f3565p-3, -0x1.caf5b6fcc9ab1p-3, -0x1.c669ad1444094p-3, -0x1.c1df2e0f77c8cp-3, -0x1.bd566cf2b83fcp-3, -0x1.b8cf9c2dba255p-3, -0x1.b44aed95e9f92p-3, -0x1.afc8926101bfap-3, -0x1.ab48bb1fc816p-3, -0x1.a6cb97b9113e3p-3, -0x1.a2515764f8771p-3, -0x1.9dda28a8446ddp-3, -0x1.996639501592fp-3, -0x1.94f5b66dbdc61p-3, -0x1.9088cc52d757cp-3, -0x1.8c1fa68d8fefap-3, -0x1.87ba6fe530252p-3, -0x1.83595256d2971p-3, -0x1.7efc77125b3ap-3, -0x1.7aa40677963b4p-3, -0x1.76502813a0c73p-3, -0x1.7201029e75dfep-3, -0x1.6db6bbf8b8c69p-3, -0x1.69717929afc58p-3, -0x1.65315e5d77461p-3, -0x1.60f68ee35fffdp-3, -0x1.5cc12d2c88176p-3, -0x1.58915aca9a0fap-3, -0x1.5467386ec78b5p-3, -0x1.5042e5e8eac25p-3, -0x1.4c248226da1abp-3, -0x1.480c2b33e89d6p-3, -0x1.43f9fe389266p-3, -0x1.3fee177a542ccp-3, -0x1.3be8925badea1p-3, -0x1.37e9895c4ed14p-3, -0x1.33f11619671e8p-3, -0x1.2fff514e25df9p-3, -0x1.2c1452d45585bp-3, -0x1.283031a526353p-3, -0x1.245303da12783p-3, -0x1.207cdeadee29ep-3, -0x1.1cadd67e1187fp-3, -0x1.18e5fecba9354p-3, -0x1.15256a3d21812p-3, -0x1.116c2a9fb3fcap-3, -0x1.0dba50e9094b5p-3, -0x1.0a0fed3907cfap-3, -0x1.066d0edba4fb4p-3, -0x1.02d1c44ae61fp-3, -0x1.fe7c3661e05dbp-4, -0x1.f76440d455bfap-4, -0x1.f05bc00f035c3p-4, -0x1.e962caa16cf54p-4, -0x1.e279758d90c81p-4, -0x1.db9fd44cdf775p-4, -0x1.d4d5f8d54ad41p-4, -0x1.ce1bf39e8cf26p-4, -0x1.c771d3a778095p-4, -0x1.c0d7a67b6ec99p-4, -0x1.ba4d7837fc5ebp-4, -0x1.b3d35392818cp-4, -0x1.ad6941ddf361ep-4, -0x1.a70f4b10bd21ap-4, -0x1.a0c575caacb02p-4, -0x1.9a8bc75af96bp-4, -0x1.946243c64da24p-4, -0x1.8e48edccf4d6p-4, -0x1.883fc6f101281p-4, -0x1.8246cf7c8cf43p-4, -0x1.7c5e0687fdcf8p-4, -0x1.76856a0051632p-4, -0x1.70bcf6ad76963p-4, -0x1.6b04a838a46f1p-4, -0x1.655c7932ba478p-4, -0x1.5fc4631aa4664p-4, -0x1.5a3c5e63baf81p-4, -0x1.54c4627c2bf06p-4, -0x1.4f5c65d356d77p-4, -0x1.4a045de035161p-4, -0x1.44bc3f27b26c1p-4, -0x1.3f83fd430782dp-4, -0x1.3a5b8ae60f392p-4, -0x1.3542d9e58f449p-4, -0x1.3039db3d81b38p-4, -0x1.2b407f175197ep-4, -0x1.2656b4d009f97p-4, -0x1.217c6afe83b8dp-4, -0x1.1cb18f7982904p-4, -0x1.17f60f5dc379ap-4, -0x1.1349d7140627bp-4, -0x1.0eacd25702443p-4, -0x1.0a1eec3951c5bp-4, -0x1.05a00f2b4c516p-4, -0x1.01302500d2409p-4, -0x1.f99e2dee0d2b3p-5, -0x1.f0f99b73f6cap-5, -0x1.e87262d494072p-5, -0x1.e00853453b516p-5, -0x1.d7bb3afa480e6p-5, -0x1.cf8ae731eec8p-5, -0x1.c777243ed5e38p-5, -0x1.bf7fbd928ceb8p-5, -0x1.b7a47dc7ee09fp-5, -0x1.afe52ead3ae5ap-5, -0x1.a841994e2842bp-5, -0x1.a0b985fdb3195p-5, -0x1.994cbc5fd9875p-5, -0x1.91fb03731cddep-5, -0x1.8ac42199ddb01p-5, -0x1.83a7dca38f6acp-5, -0x1.7ca5f9d5c5389p-5, -0x1.75be3df5096b2p-5, -0x1.6ef06d4d904ccp-5, -0x1.683c4bbbc0b96p-5, -0x1.61a19cb48d37bp-5, -0x1.5b20234da3e86p-5, -0x1.54b7a24574f02p-5, -0x1.4e67dc0b06ebdp-5, -0x1.483092c5a99ep-5, -0x1.4211885c71b8ap-5, -0x1.3c0a7e7d92e04p-5, -0x1.361b36a58ae38p-5, -0x1.3043722620f7ap-5, -0x1.2a82f22d3b169p-5, -0x1.24d977cb86536p-5, -0x1.1f46c3faff2abp-5, -0x1.19ca97a53ad7ep-5, -0x1.1464b3a9a12f4p-5, -0x1.0f14d8e362ea3p-5, -0x1.09dac82f5b317p-5, -0x1.04b64271bed6dp-5, -0x1.ff4e113742ac3p-6, -0x1.f559b760b01f3p-6, -0x1.eb8ef9955cb8dp-6, -0x1.e1ed5a43f7761p-6, -0x1.d8745c1e1443fp-6, -0x1.cf238221b2faap-6, -0x1.c5fa4fa27e919p-6, -0x1.bcf84852b5c66p-6, -0x1.b41cf04bdb78p-6, -0x1.ab67cc1705e5bp-6, -0x1.a2d860b505d27p-6, -0x1.9a6e33a618d7dp-6, -0x1.9228caf18b8a1p-6, -0x1.8a07ad2ce99c7p-6, -0x1.820a618308ba3p-6, -0x1.7a306fbab5c85p-6, -0x1.7279603d3cdb9p-6, -0x1.6ae4bc1c95b4p-6, -0x1.63720d1961c6bp-6, -0x1.5c20dda8ad0f3p-6, -0x1.54f0b8f95a6fap-6, -0x1.4de12af97af47p-6, -0x1.46f1c05b3a223p-6, -0x1.40220699b9601p-6, -0x1.39718bfda5b82p-6, -0x1.32dfdfa184685p-6, -0x1.2c6c9175da281p-6, -0x1.26173245212bfp-6, -0x1.1fdf53b778ca6p-6, -0x1.19c4885636df1p-6, -0x1.13c6638f29a92p-6, -0x1.0de479b7ccff7p-6, -0x1.081e60102f4cp-6, -0x1.0273acc5bd32ap-6, -0x1.f9c7edeba1659p-7, -0x1.eeddad6037649p-7, -0x1.e427c9f1d7a7dp-7, -0x1.d9a577965b216p-7, -0x1.cf55ec34c27d4p-7, -0x1.c5385fa8ab5e3p-7, -0x1.bb4c0bc57dd43p-7, -0x1.b1902c5956454p-7, -0x1.a803ff2f98141p-7, -0x1.9ea6c41343c26p-7, -0x1.9577bcd0ed5fep-7, -0x1.8c762d388fc9ap-7, -0x1.83a15b1f0306ep-7, -0x1.7af88e5f44342p-7, -0x1.727b10db61f34p-7, -0x1.6a282e7d49e5ep-7, -0x1.61ff35374a27dp-7, -0x1.59ff7504601eep-7, -0x1.52283fe843bdap-7, -0x1.4a78e9ef4b5d4p-7, -0x1.42f0c92e0d4e9p-7, -0x1.3b8f35c0d3d1p-7, -0x1.345389caeb2e7p-7, -0x1.2d3d2175a36b4p-7, -0x1.264b5aef4f016p-7, -0x1.1f7d9669dd436p-7, -0x1.18d3361985a2ap-7, -0x1.124b9e3316eadp-7, -0x1.0be634ea4418ep-7, -0x1.05a2626fb2d93p-7, -0x1.feff21ddd8a72p-8, -0x1.f2fa59186b3d9p-8, -0x1.e73546c45a766p-8, -0x1.dbaecafebbfffp-8, -0x1.d065c9c76aec3p-8, -0x1.c5592afb8537ep-8, -0x1.ba87da4fce94dp-8, -0x1.aff0c74b0688fp-8, -0x1.a592e53f9d44cp-8, -0x1.9b6d2b45bd7b1p-8, -0x1.917e9434b21f3p-8, -0x1.87c61e9c5d065p-8, -0x1.7e42ccbe7c474p-8, -0x1.74f3a487a983bp-8, -0x1.6bd7af885e421p-8, -0x1.62edfaedafa95p-8, -0x1.5a359779e5145p-8, -0x1.51ad997d1f896p-8, -0x1.495518cda1359p-8, -0x1.412b30c01fe2bp-8, -0x1.392f001fecec6p-8, -0x1.315fa927150b9p-8, -0x1.29bc517651202p-8, -0x1.2244220cf039cp-8, -0x1.1af64740b194bp-8, -0x1.13d1f0b56cc4ep-8, -0x1.0cd65154e3419p-8, -0x1.06029f464007ap-8, -0x1.feac27cb60936p-9, -0x1.f19fd777e7ec7p-9, -0x1.e4decceba7p-9, -0x1.d8678db6d1cbbp-9, -0x1.cc38a58fb8d36p-9, -0x1.c050a640a8bbcp-9, -0x1.b4ae27975a269p-9, -0x1.a94fc7533c435p-9, -0x1.9e342914076ep-9, -0x1.9359f648950cep-9, -0x1.88bfde1d40a4fp-9, -0x1.7e64956ab5059p-9, -0x1.7446d6a443cb1p-9, -0x1.6a6561c6a1a6bp-9, -0x1.60befc4694935p-9, -0x1.575270ff8e561p-9, -0x1.4e1e902225385p-9, -0x1.45222f232af1ep-9, -0x1.3c5c28aa11ae9p-9, -0x1.33cb5c80092ap-9, -0x1.2b6eaf7ea081cp-9, -0x1.23450b7ee6214p-9, -0x1.1b4d5f48357d1p-9, -0x1.13869e7f8257fp-9, -0x1.0befc19642a3cp-9, -0x1.0487c5b9c8693p-9, -0x1.fa9b59854cc49p-10, -0x1.ec80fa47f55d8p-10, -0x1.debe83b5e5e9dp-10, -0x1.d15214bcc08a6p-10, -0x1.c439d51d423f5p-10, -0x1.b773f54a2f039p-10, -0x1.aafeae48fe036p-10, -0x1.9ed8419104c52p-10, -0x1.92fef8ec7fb2cp-10, -0x1.87712658ee60cp-10, -0x1.7c2d23e78bfa8p-10, -0x1.7131539ec2c21p-10, -0x1.667c1f5b37faep-10, -0x1.5c0bf8b176949p-10, -0x1.51df58cfa2d87p-10, -0x1.47f4c05f96cb3p-10, -0x1.3e4ab7693d9cap-10, -0x1.34dfcd356af02p-10, -0x1.2bb298303bedp-10, -0x1.22c1b5ccba51p-10, -0x1.1a0bca6849775p-10, -0x1.118f812df078bp-10, -0x1.094b8bfb06f46p-10, -0x1.013ea3430bb31p-10, -0x1.f2cf0be90f2f6p-11, -0x1.e389f2bb9eeb9p-11, -0x1.d4ab92246676dp-11, -0x1.c6318d9f10614p-11, -0x1.b81994c81accep-11, -0x1.aa6163287ef79p-11, -0x1.9d06c0033eeedp-11, -0x1.90077e22028c4p-11, -0x1.83617ba34b922p-11, -0x1.7712a1c901d2fp-11, -0x1.6b18e4c7ef646p-11, -0x1.5f724397323cep-11, -0x1.541cc7c06ba43p-11, -0x1.491685311834ap-11, -0x1.3e5d9a0bc6c1ap-11, -0x1.33f02e7abc435p-11, -0x1.29cc7481c128dp-11, -0x1.1ff0a7d2d2d53p-11, -0x1.165b0da0a8b19p-11, -0x1.0d09f47418016p-11, -0x1.03fbb400f87ddp-11, -0x1.f65d59f762bebp-12, -0x1.e54291deb8c08p-12, -0x1.d4a3f42a35881p-12, -0x1.c47e7656002bap-12, -0x1.b4cf1e98b61c9p-12, -0x1.a593039421e1ap-12, -0x1.96c74c075be8p-12, -0x1.88692e8320fbp-12, -0x1.7a75f11c86ccep-12, -0x1.6ceae92455732p-12, -0x1.5fc57adc871acp-12, -0x1.53031930efafbp-12, -0x1.46a1456eb5decp-12, -0x1.3a9d8f0057d38p-12, -0x1.2ef593265605cp-12, -0x1.23a6fcb4fd075p-12, -0x1.18af83d09e0bap-12, -0x1.0e0cedac33955p-12, -0x1.03bd0c47ff622p-12, -0x1.f37b7c6411becp-13, -0x1.e019dc8eb60c4p-13, -0x1.cd5126ebe2ce9p-13, -0x1.bb1d6100b089p-13, -0x1.a97aa782ad22bp-13, -0x1.98652de2e3771p-13, -0x1.87d93dd9601a7p-13, -0x1.77d336f3e7f85p-13, -0x1.684f8e25a30acp-13, -0x1.594acd58f1e91p-13, -0x1.4ac19302eb942p-13, -0x1.3cb091b970634p-13, -0x1.2f148fc9b03c5p-13, -0x1.21ea66d1d355dp-13, -0x1.152f035b6a08bp-13, -0x1.08df64784bee2p-13, -0x1.f9f136c16816ap-14, -0x1.e2ef96264ee84p-14, -0x1.ccb44feb72d23p-14, -0x1.b739eef4dafd4p-14, -0x1.a27b1f854afcp-14, -0x1.8e72ae8eac012p-14, -0x1.7b1b88fe9c55cp-14, -0x1.6870bb15c86c3p-14, -0x1.566d6fb9e348ep-14, -0x1.450cefd292521p-14, -0x1.344aa1a5a5854p-14, -0x1.2422083423b4p-14, -0x1.148ec29f435a8p-14, -0x1.058c8b8ccfbecp-14, -0x1.ee2e711e241e5p-15, -0x1.d255731e648a5p-15, -0x1.b78630797e173p-15, -0x1.9db8eef8b9dc8p-15, -0x1.84e625b757021p-15, -0x1.6d067c0f546f7p-15, -0x1.5612c8864b0f1p-15, -0x1.40040fc6a13b8p-15, -0x1.2ad3839ab57f7p-15, -0x1.167a81ea59497p-15, -0x1.02f293c1670c6p-15, -0x1.e06ad8b6cb9d5p-16, -0x1.bc79d0571cd9dp-16, -0x1.9a0617efff2bdp-16, -0x1.790407d6e4629p-16, -0x1.59684566ee709p-16, -0x1.3b27c14594c83p-16, -0x1.1e37b5aacfe25p-16, -0x1.028da4afb11edp-16, -0x1.d03ead61e0804p-17, -0x1.9dc5b15d8e9f2p-17, -0x1.6d9cf574b0f3ap-17, -0x1.3fb19cd058c18p-17, -0x1.13f14a9c97721p-17, -0x1.d4943e20cbed8p-18, -0x1.855568fe12cp-18, -0x1.3a04391bdaba5p-18, -0x1.e4ff75446356p-19, -0x1.5d4fbaa3a6ae3p-19, -0x1.b975bc32cde9bp-20, -0x1.8c10b48eb46e7p-21, 0x1.00f630973d418p-23, 0x1.f2e4ff8d1e35p-21, 0x1.c662864d3d81ep-20, 0x1.43adbca7dc52ap-19, 0x1.9e637b9a25c81p-19, 0x1.f385d7f708b73p-19, 0x1.21a35db35445cp-18, 0x1.46eb5519bfb5ap-18, 0x1.69b265f691101p-18, 0x1.8a0f79f356d36p-18, 0x1.a818d4c0196d8p-18, 0x1.c3e418232d88fp-18, 0x1.dd8647fa5cb97p-18, 0x1.f513ce0766c6dp-18, 0x1.05503ef111d0ap-17, 0x1.0f1fcc49daaabp-17, 0x1.1801e82345fb2p-17, 0x1.1fffa5e9fa1ep-17, 0x1.2721d51fef7d6p-17, 0x1.2d71030fa8e21p-17, 0x1.32f57c7ab4a96p-17, 0x1.37b74f349f8ecp-17, 0x1.3bbe4bbdf493fp-17, 0x1.3f1206d4ee4d7p-17, 0x1.41b9daf43fbc8p-17, 0x1.43bce9dc1018ap-17, 0x1.45221df6a6037p-17, 0x1.45f02bd0d8356p-17, 0x1.462d937a2aa88p-17, 0x1.45e0a1e0f5563p-17, 0x1.450f7225709d2p-17, 0x1.43bfeee38931p-17, 0x1.41f7d37ba1a4ap-17, 0x1.3fbcad4cce125p-17, 0x1.3d13dced6f20ep-17, 0x1.3a02975743bb9p-17, 0x1.368de70d7e699p-17, 0x1.32baad42ef666p-17, 0x1.2e8da2f0d31e8p-17, 0x1.2a0b59e5592c1p-17, 0x1.25383ddb717a7p-17, 0x1.20189578456f5p-17, 0x1.1ab0834ee968p-17, 0x1.150406db499e9p-17, 0x1.0f16fd7761961p-17, 0x1.08ed2344f03a1p-17, 0x1.028a141dfe3ccp-17, 0x1.f7e298e423b1ap-18, 0x1.ea4c544e504afp-18, 0x1.dc57dadec738bp-18, 0x1.ce0b7343581dp-18, 0x1.bf6d2c032fecfp-18, 0x1.b082dd1c81eeap-18, 0x1.a1522982fd474p-18, 0x1.91e080a8ddf31p-18, 0x1.82331fedf74ccp-18, 0x1.724f140a7a78dp-18, 0x1.62393a7d36961p-18, 0x1.51f642d7ca3f6p-18, 0x1.418ab01beefc6p-18, 0x1.30fada006a453p-18, 0x1.204aee320b205p-18, 0x1.0f7ef191c01dap-18, 0x1.fd3582be0e3ebp-19, 0x1.db4428d5702fdp-19, 0x1.b930f85a076d7p-19, 0x1.9702cbdcf131ap-19, 0x1.74c037a0faee3p-19, 0x1.526f8bc41847ep-19, 0x1.3016d6418e684p-19, 0x1.0dbbe4f190733p-19, 0x1.d6c88f0136843p-20, 0x1.922aa2a14a92ep-20, 0x1.4da8368ea5dd5p-20, 0x1.094b0b5990ad8p-20, 0x1.8a38e76168d6fp-21, 0x1.024aafccd9d16p-21, 0x1.eb71c96305852p-23, -0x1.8032c8a8a5adp-26, -0x1.247fe1aa46e54p-22, -0x1.17cfdf4cc70fbp-21, -0x1.9ca3592ed6d5p-21, -0x1.105682aff0572p-20, -0x1.51f01a6996fa8p-20, -0x1.93186e62b6125p-20, -0x1.d3c9c8d0e00d6p-20, -0x1.09ff606525a2bp-19, -0x1.29d91bed577a7p-19, -0x1.496fabb94fe71p-19, -0x1.68c0c74c4fb1p-19, -0x1.87ca47c158acep-19, -0x1.a68a26b09bfabp-19, -0x1.c4fe7d11f923ap-19, -0x1.e325822939429p-19, -0x1.007ec540cd0dbp-18, -0x1.0f4283720c27ep-18, -0x1.1ddd41aeb937p-18, -0x1.2c4e5327418d9p-18, -0x1.3a9517ba195dep-18, -0x1.48b0fb867b947p-18, -0x1.56a176757570fp-18, -0x1.64660bd414b25p-18, -0x1.71fe49e27b867p-18, -0x1.7f69c9717c5fbp-18, -0x1.8ca82d7cde535p-18, -0x1.99b922cac78b9p-18, -0x1.a69c5f8d10d9ep-18, -0x1.b351a3068b3f5p-18, -0x1.bfd8b5316e9ecp-18, -0x1.cc31666aab5b2p-18, -0x1.d85b8f1acac91p-18, -0x1.e4570f698e801p-18, -0x1.f023ceebd5baap-18, -0x1.fbc1bc57e7dcbp-18, -0x1.0398669da0508p-17, -0x1.09387eda07d82p-17, -0x1.0ec1281556585p-17, -0x1.1432668614324p-17, -0x1.198c4145973cap-17, -0x1.1ecec2313e6f9p-17, -0x1.23f9f5c8ccb45p-17, -0x1.290deb13196fdp-17, -0x1.2e0ab380037f2p-17, -0x1.32f062ccec254p-17, -0x1.37bf0ee9628a3p-17, -0x1.3c76cfdd1f4d9p-17, -0x1.4117bfae7319fp-17, -0x1.45a1fa49e80adp-17, -0x1.4a159d6a1e03bp-17, -0x1.4e72c88149407p-17, -0x1.52b99ca26414ep-17, -0x1.56ea3c6c4b635p-17, -0x1.5b04cbf3a232cp-17, -0x1.5f0970b06943p-17, -0x1.62f8516938306p-17, -0x1.66d1962127084p-17, -0x1.6a956804aeb0fp-17, -0x1.6e43f15932fc8p-17, -0x1.71dd5d6b87e18p-17, -0x1.7561d87f98607p-17, -0x1.78d18fc05e1d1p-17, -0x1.7c2cb130b1241p-17, -0x1.7f736b9d37ebcp-17, -0x1.82a5ee8ccc74bp-17, -0x1.85c46a33f2d77p-17, -0x1.88cf0f673e013p-17, -0x1.8bc60f8e86d8ap-17, -0x1.8ea99c98bf07ap-17, -0x1.9179e8efd5107p-17, -0x1.9437276dce3bcp-17, -0x1.96e18b50fe44p-17, -0x1.997948327c94bp-17, -0x1.9bfe91fb118b7p-17, -0x1.9e719cd9f98ap-17, -0x1.a0d29d3b5d176p-17, -0x1.a321c7bef71f1p-17, -0x1.a55f512fe581bp-17, -0x1.a78b6e7beddaep-17, -0x1.a9a654ac0c4dap-17, -0x1.abb038dbdc517p-17, -0x1.ada95032eb7dbp-17, -0x1.af91cfdd76738p-17, -0x1.b169ed05a0476p-17, -0x1.b331dcccfc0fcp-17, -0x1.b4e9d4462ef3fp-17, -0x1.b692086f4d93fp-17, -0x1.b82aae2c058f3p-17, -0x1.b9b3fa3ff80bp-17, -0x1.bb2e2149dc8a7p-17, -0x1.bc9957be7b6cdp-17, -0x1.bdf5d1e3b6d4ep-17, -0x1.bf43c3cc871e5p-17, -0x1.c0836153ef981p-17, -0x1.c1b4de19ac3cdp-17, -0x1.c2d86d7e0a21p-17, -0x1.c3ee429e1c1cap-17, -0x1.c4f69050419a9p-17, -0x1.c5f18920e1497p-17, -0x1.c6df5f4f35177p-17, -0x1.c7c044caca538p-17, -0x1.c8946b2fc06d8p-17, -0x1.c95c03c5001e1p-17, -0x1.ca173f7952533p-17, -0x1.cac64ee1212b4p-17, -0x1.cb6962344e8dfp-17, -0x1.cc00a94bef639p-17, -0x1.cc8c53a0adf8ap-17, -0x1.cd0c9048b916fp-17, -0x1.cd818df634d28p-17, -0x1.cdeb7af574931p-17, -0x1.ce4a852bfbfe8p-17, -0x1.ce9eda16c5fbp-17, -0x1.cee8a6c928c6dp-17, -0x1.cf2817eb9497ap-17, -0x1.cf5d59babe504p-17, -0x1.cf889806bbcd1p-17, -0x1.cfa9fe31d9926p-17, -0x1.cfc1b7303baecp-17, -0x1.cfcfed86d8e1bp-17, -0x1.cfd4cb4b33fdfp-17, -0x1.cfd07a22a4e2dp-17, -0x1.cfc3234204e5ep-17, -0x1.cfacef6d3b87fp-17, -0x1.cf8e06f7178c7p-17, -0x1.cf6691c0f9f18p-17, -0x1.cf36b73acd4bp-17, -0x1.cefe9e62b50ddp-17, -0x1.cebe6dc50d8fdp-17, -0x1.ce764b7cb869cp-17, -0x1.ce265d32efc9ep-17, -0x1.cdcec81f7d37cp-17, -0x1.cd6fb108d384fp-17, -0x1.cd093c4442aeap-17, -0x1.cc9b8db66c998p-17, -0x1.cc26c8d35f028p-17, -0x1.cbab109ef12b7p-17, -0x1.cb2887ad59bc8p-17, -0x1.ca9f50236f9e2p-17, -0x1.ca0f8bb72bad4p-17, -0x1.c9795bb02058bp-17, -0x1.c8dce0e81b0a3p-17, -0x1.c83a3bcb8907ap-17, -0x1.c7918c5a4135ep-17, -0x1.c6e2f227e8fa6p-17, -0x1.c62e8c5ccaf67p-17, -0x1.c57479b6741dp-17, -0x1.c4b4d888551b7p-17, -0x1.c3efc6bc906f4p-17, -0x1.c32561d49a5dcp-17, -0x1.c255c6e9fcf38p-17, -0x1.c18112af303p-17, -0x1.c0a7617077f62p-17, -0x1.bfc8cf146cf4ep-17, -0x1.bee5771cfa4bbp-17, -0x1.bdfd74a831642p-17, -0x1.bd10e2711f3cp-17, -0x1.bc1fdad0b0194p-17, -0x1.bb2a77be794cep-17, -0x1.ba30d2d1a86dfp-17, -0x1.b9330541de67bp-17, -0x1.b83127e81a622p-17, -0x1.b72b533f8ab98p-17, -0x1.b6219f66a6046p-17, -0x1.b514241fe66d9p-17, -0x1.b402f8d2c4767p-17, -0x1.b2ee348c9efdap-17, -0x1.b1d5ee01c46b1p-17, -0x1.b0ba3b8e30eb3p-17, -0x1.af9b3336aeaa3p-17, -0x1.ae78eaa99b43fp-17, -0x1.ad53773ff542cp-17, -0x1.ac2aedfe42b53p-17, -0x1.aaff639579344p-17, -0x1.a9d0ec63f4538p-17, -0x1.a89f9c766d81ep-17, -0x1.a76b8788e862dp-17, -0x1.a634c107a2098p-17, -0x1.a4fb5c0ffa709p-17, -0x1.a3bf6b716696bp-17, -0x1.a28101ae55a3cp-17, -0x1.a14030fd2babp-17, -0x1.9ffd0b49381b7p-17, -0x1.9eb7a23383d5p-17, -0x1.9d700713e018cp-17, -0x1.9c264af9abf8ap-17, -0x1.9ada7eacd930cp-17, -0x1.998cb2aec2e3p-17, -0x1.983cf73b159d1p-17, -0x1.96eb5c48b8d03p-17, -0x1.9597f18abf7d4p-17, -0x1.9442c6712f15cp-17, -0x1.92ebea29f5ebbp-17, -0x1.91936ba1b3837p-17, -0x1.90395984b91a5p-17, -0x1.8eddc23fcf168p-17, -0x1.8d80b4010ea44p-17, -0x1.8c223cb8b2adap-17, -0x1.8ac26a1a0e4ap-17, -0x1.8961499c4988dp-17, -0x1.87fee87b40d28p-17, -0x1.869b53b8379c2p-17, -0x1.8536981ad60c5p-17, -0x1.83d0c231e2e37p-17, -0x1.8269de5401b76p-17, -0x1.8101f8a09989p-17, -0x1.7f991d008325p-17, -0x1.7e2f5726dfdfcp-17, -0x1.7cc4b291cdb99p-17, -0x1.7b593a8b49a1ep-17, -0x1.79ecfa29cc8d1p-17, -0x1.787ffc5123a0ap-17, -0x1.77124bb3175f8p-17, -0x1.75a3f2d02cc79p-17, -0x1.7434fbf86ac1cp-17, -0x1.72c5714c09f3dp-17, -0x1.71555cbc24929p-17, -0x1.6fe4c80b6bf7cp-17, -0x1.6e73bcced702fp-17, -0x1.6d02446e4f0ap-17, -0x1.6b90682568508p-17, -0x1.6a1e3103f95ap-17, -0x1.68aba7eee4acfp-17, -0x1.6738d5a09915dp-17, -0x1.65c5c2a9b7629p-17, -0x1.64527771d7d3p-17, -0x1.62defc3813014p-17, -0x1.616b59139aa51p-17, -0x1.5ff795f474ed3p-17, -0x1.5e83baa3efca7p-17, -0x1.5d0fcec54afdap-17, -0x1.5b9bd9d659809p-17, -0x1.5a27e33000584p-17, -0x1.58b3f206e2142p-17, -0x1.57400d6bd0a7ep-17, -0x1.55cc3c4c84724p-17, -0x1.545885740b34fp-17, -0x1.52e4ef8b60d7bp-17, -0x1.51718119f11cbp-17, -0x1.4ffe4086236adp-17, -0x1.4e8b3415e3dbap-17, -0x1.4d1861ef16ab2p-17, -0x1.4ba5d0183348ep-17, -0x1.4a338478bffedp-17, -0x1.48c184d9b8fc1p-17, -0x1.474fd6e62533cp-17, -0x1.45de802b8a16dp-17, -0x1.446d861a6eb8cp-17, -0x1.42fcee06c504p-17, -0x1.418cbd285619cp-17, -0x1.401cf89b50d9dp-17, -0x1.3eada560b8da7p-17, -0x1.3d3ec85ec9fdcp-17, -0x1.3bd0666166428p-17, -0x1.3a62841a99c6cp-17, -0x1.38f52622f56d8p-17, -0x1.378850f9f094fp-17, -0x1.361c09065e405p-17, -0x1.34b05296d7bdcp-17, -0x1.334531e229bdep-17, -0x1.31daab07a2df8p-17, -0x1.3070c20f81362p-17, -0x1.2f077aeb5d82fp-17, -0x1.2d9ed9767445ep-17, -0x1.2c36e17619084p-17, -0x1.2acf969a0b1a2p-17, -0x1.2968fc7cdb762p-17, -0x1.280316a430c73p-17, -0x1.269de8812967fp-17, -0x1.25397570ca35fp-17, -0x1.23d5c0bc32984p-17, -0x1.2272cd98fe351p-17, -0x1.21109f29a2e88p-17, -0x1.1faf387dba44p-17, -0x1.1e4e9c92511bcp-17, -0x1.1ceece5230041p-17, -0x1.1b8fd0963e2e4p-17, -0x1.1a31a625c2fb2p-17, -0x1.18d451b6a88ffp-17, -0x1.1777d5eddbf64p-17, -0x1.161c355f8e1aep-17, -0x1.14c1728f6b6eep-17, -0x1.13678ff0f0a4ap-17, -0x1.120e8fe7be905p-17, -0x1.10b674c7d159bp-17, -0x1.0f5f40d5c1566p-17, -0x1.0e08f64702bcep-17, -0x1.0cb397423b63dp-17, -0x1.0b5f25df6f6f5p-17, -0x1.0a0ba42851bb7p-17, -0x1.08b9141881af7p-17, -0x1.0767779da60bfp-17, -0x1.0616d097d3f5cp-17, -0x1.04c720d9ca317p-17, -0x1.03786a290c3abp-17, -0x1.022aae3e348f1p-17, -0x1.00ddeec52b027p-17, -0x1.ff245aba9c379p-18, -0x1.fc8ed733748c6p-18, -0x1.f9fb5603040b4p-18, -0x1.f769da1faceb9p-18, -0x1.f4da66688101fp-18, -0x1.f24cfda5baceap-18, -0x1.efc1a288f8001p-18, -0x1.ed3857adca6e2p-18, -0x1.eab11f9a17378p-18, -0x1.e82bfcbe6c12bp-18, -0x1.e5a8f176393d4p-18, -0x1.e328000865ec4p-18, -0x1.e0a92aa78dfa5p-18, -0x1.de2c73728db29p-18, -0x1.dbb1dc7487de2p-18, -0x1.d93967a57ac7ep-18, -0x1.d6c316ea8b77p-18, -0x1.d44eec164ce03p-18, -0x1.d1dce8e91f974p-18, -0x1.cf6d0f116b2a3p-18, -0x1.ccff602c0b153p-18, -0x1.ca93ddc4a8661p-18, -0x1.c82a8955f3f57p-18, -0x1.c5c36449cec0ap-18, -0x1.c35e6ff9deeddp-18, -0x1.c0fbadaf98bb5p-18, -0x1.be9b1ea4c3158p-18, -0x1.bc3cc4038445ap-18, -0x1.b9e09ee6d056p-18, -0x1.b786b05a97c3bp-18, -0x1.b52ef95c179f3p-18, -0x1.b2d97ada26819p-18, -0x1.b08635b570803p-18, -0x1.ae352ac09ca4fp-18, -0x1.abe65ac09a2d2p-18, -0x1.a999c66cfeca2p-18, -0x1.a74f6e702fd85p-18, -0x1.a50753678de59p-18, -0x1.a2c175e3b86ccp-18, -0x1.a07dd668d9edbp-18, -0x1.9e3c756ed9ca2p-18, -0x1.9bfd536190bb3p-18, -0x1.99c070a0ecd8bp-18, -0x1.9785cd815ffd5p-18, -0x1.954d6a4bd3abfp-18, -0x1.9317473e0ece3p-18, -0x1.90e3648acb526p-18, -0x1.8eb1c25a0b7cdp-18, -0x1.8c8260c930ac9p-18, -0x1.8a553feb23ffdp-18, -0x1.882a5fc89cf13p-18, -0x1.8601c06063597p-18, -0x1.83db61a7540bdp-18, -0x1.81b743889f61dp-18, -0x1.7f9565e612714p-18, -0x1.7d75c8980731ap-18, -0x1.7b586b6dd77d9p-18, -0x1.793d4e2dd99d1p-18, -0x1.772470959cccep-18, -0x1.750dd259f9627p-18, -0x1.72f9732777687p-18, -0x1.70e752a23993cp-18, -0x1.6ed770663d8a9p-18, -0x1.6cc9cc07725f3p-18, -0x1.6abe6512135b7p-18, -0x1.68b53b0a8b2d9p-18, -0x1.66ae4d6dc657bp-18, -0x1.64a99bb139d08p-18, -0x1.62a725433401cp-18, -0x1.60a6e98abd5d4p-18, -0x1.5ea8e7e80e3fdp-18, -0x1.5cad1fb4579a3p-18, -0x1.5ab390423a44dp-18, -0x1.58bc38dd9c577p-18, -0x1.56c718cc096ddp-18, -0x1.54d42f4cb418cp-18, -0x1.52e37b9887296p-18, -0x1.50f4fce2607d7p-18, -0x1.4f08b25743706p-18, -0x1.4d1e9b1e22179p-18, -0x1.4b36b65860faep-18, -0x1.49510321aebaep-18, -0x1.476d8090429c2p-18, -0x1.458c2db4e8ec7p-18, -0x1.43ad099b372ep-18, -0x1.41d01349677cbp-18, -0x1.3ff549c0d9f84p-18, -0x1.3e1cabfdd6824p-18, -0x1.3c4638f7d157cp-18, -0x1.3a71efa15d3afp-18, -0x1.389fcee899d83p-18, -0x1.36cfd5b6e55f7p-18, -0x1.350202f1354bp-18, -0x1.333655781d4a3p-18, -0x1.316ccc27e97cp-18, -0x1.2fa565d8b12b6p-18, -0x1.2de0215e71e6fp-18, -0x1.2c1cfd891870dp-18, -0x1.2a5bf924b737cp-18, -0x1.289d12f979a92p-18, -0x1.26e049cbd5c3dp-18, -0x1.25259c5c8201fp-18, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      50, 0x1.070a3d70a3d71p+3, 0x1.3978277428815p+0, 0x1.607fcb1231e2fp+1, -0x1.b79299819f76cp-9, 
      {{
        {0x1.7147ae147ae14p+2, 0x1.7333333333333p+2, 0x1.49addf6c653a7p-7, -0x1.0d203b02728b2p-6, 0x1.498ab8bbad5ecp-7, -0x1.65507512f48bbp-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.39d3686df3aebp-7, -0x1.035c38872319fp-6, 0x1.4180976102bf6p-7, -0x1.5ec74e8f1ce47p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.20aebdb8800fp-7, -0x1.e73a5b2f66c82p-7, 0x1.34591e0871aa1p-7, -0x1.5746183f4595p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.0914d1e44b148p-7, -0x1.c9096a77a2beap-7, 0x1.2779b052df0ddp-7, -0x1.5000d02f0278p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.e5ea54a12162bp-8, -0x1.ac1e874e281fbp-7, 0x1.1ae00eeab55cap-7, -0x1.48ab792d5cb4fp-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.bc7f4c9f34984p-8, -0x1.9072af292bc3p-7, 0x1.0e8cd3f901e2bp-7, -0x1.415a6fb1d0a0ep-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.95c8fe4d7d82fp-8, -0x1.75fed9da5d15ap-7, 0x1.027fd62f23a98p-7, -0x1.3a083f0f37ff7p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.71a8901cc4c73p-8, -0x1.5cbc00b67a6cdp-7, 0x1.ed72413d231ffp-8, -0x1.32b65d82a686ep-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.4fffdc63edf49p-8, -0x1.44a31caa8bdbep-7, 0x1.d67160a0236fp-8, -0x1.2b6466c51eec9p-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.30b1715ff7875p-8, -0x1.2dad26bf6395ep-7, 0x1.bffd0c1e2783dp-8, -0x1.241275b5441c8p-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.13a09133fae5ap-8, -0x1.17d317f66193ep-7, 0x1.aa15434a28ce9p-8, -0x1.1cc0831fd9c34p-9}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.f16263d258c29p-9, -0x1.030de952e496p-7, 0x1.94ba06415eep-8, -0x1.156e90f2d6cb4p-9}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.bf8ffaddb66f5p-9, -0x1.dead27af84f88p-8, 0x1.7feb54fbf52a7p-8, -0x1.0e1c9ea9dcb24p-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.9194a334e3223p-9, -0x1.b94c210febadfp-8, 0x1.6ba92f7c049ccp-8, -0x1.06caac685d8aep-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.673c804ee9047p-9, -0x1.95eab0ccdec5p-8, 0x1.57f395c0fd98dp-8, -0x1.fef17449b0b9fp-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.40551d6f08141p-9, -0x1.747ac8ec44f11p-8, 0x1.44ca87cb06f85p-8, -0x1.f04d8fc3da909p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.1cad6da4b6266p-9, -0x1.54ee5b740388fp-8, 0x1.322e059a152c9p-8, -0x1.e1a9ab3d88523p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.f82b97973dcdcp-10, -0x1.37375a6a003bdp-8, 0x1.201e0f2e2cdccp-8, -0x1.d305c6b77de93p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.bcbff51747b0bp-10, -0x1.1b47b7d4209f3p-8, 0x1.0e9aa4874b56fp-8, -0x1.c461e23145739p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.86be48b1b8aap-10, -0x1.011165b84a56ap-8, 0x1.fb478b4ae4abbp-9, -0x1.b5bdfdab22103p-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.55cfb6e72b18bp-10, -0x1.d10cac38c5f03p-9, 0x1.da72e511421ddp-9, -0x1.a71a1925144ep-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.29a033d0a50a1p-10, -0x1.a330f60ca05cfp-9, 0x1.bab75661ad65p-9, -0x1.9876349eb788ap-10}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.01de831f9837p-10, -0x1.78738cf7ef12ap-9, 0x1.9c14df3c2c6dfp-9, -0x1.89d25018bcf07p-10}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.bc78703bc414ap-11, -0x1.50b855067d419p-9, 0x1.7e8b7fa0b7db8p-9, -0x1.7b2e6b928fb07p-10}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.7cdb6b5b97337p-11, -0x1.2be33244164a4p-9, 0x1.621b378f537b3p-9, -0x1.6c8a870c631d6p-10}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.44545c94134c4p-11, -0x1.09d808bc855aap-9, 0x1.46c40707ff3f8p-9, -0x1.5de6a2862b1fbp-10}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.1257480b793fep-11, -0x1.d4f578f72b2ecp-10, 0x1.2c85ee0abc03ap-9, -0x1.4f42be0029c33p-10}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.ccbba231c2986p-12, -0x1.9b5e631a249d1p-10, 0x1.1360ec9785aeap-9, -0x1.409ed979dac8fp-10}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.7fce748876063p-12, -0x1.66b297f98d6f3p-10, 0x1.f6aa055cc424fp-10, -0x1.31faf4f3dcfecp-10}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.3cf0ca8c9ab19p-12, -0x1.36b9dfacfc1e6p-10, 0x1.c8c4609e96321p-10, -0x1.2357106d7ec7ap-10}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.0337a6116d2a4p-12, -0x1.0b3c024c0702dp-10, 0x1.9d10eaf48ffa9p-10, -0x1.14b32be79c04fp-10}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.a3868e97b18bfp-13, -0x1.c8018fdc89539p-11, 0x1.738fa45e9efa4p-10, -0x1.060f476139748p-10}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.4f7e59a4eef7p-13, -0x1.819ff1569731ap-11, 0x1.4c408cdcd65cp-10, -0x1.eed6c5b665abbp-11}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.08c4273b240ffp-13, -0x1.42e2b935641efp-11, 0x1.2723a46f2854ep-10, -0x1.d18efcaa2bbf8p-11}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.9bb7dc1c7f581p-14, -0x1.0b5977a81da9dp-11, 0x1.0438eb1598405p-10, -0x1.b447339d23fe3p-11}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.3ac0432b1c18p-14, -0x1.b52779bbdef7cp-12, 0x1.c700c1a06b1acp-11, -0x1.96ff6a935eb5fp-11}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.d806c82ee39cp-15, -0x1.6042320c13edcp-12, 0x1.89f40b3d834c8p-11, -0x1.79b7a17e537c6p-11}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.5a2031bb1d23fp-15, -0x1.1722389f1c33cp-12, 0x1.514bb30429fa1p-11, -0x1.5c6fd8928dae4p-11}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.ee88d400ed27fp-16, -0x1.b1cd5ba759fp-13, 0x1.1d07b8ee2e525p-11, -0x1.3f280f0a75f75p-11}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.568a1623f1481p-16, -0x1.495d640d8344dp-13, 0x1.da503a26060ep-12, -0x1.21e047d11ff47p-11}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.c93688407ddfep-17, -0x1.e665966f67511p-14, 0x1.8359be341611ep-12, -0x1.049877f0a92aep-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.238ebca37bep-17, -0x1.5b17a3785e666p-14, 0x1.352c009f16853p-12, -0x1.cea190c6db843p-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.5f352cbdp-18, -0x1.da9ae39c1e5b9p-15, 0x1.df8def68eb301p-13, -0x1.94114061664efp-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.88feba54037ffp-19, -0x1.3306fd77febb7p-15, 0x1.66558f4bb2e36p-13, -0x1.59847478ddeb4p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.8e5b550288fffp-20, -0x1.70d96d514b8bfp-16, 0x1.fd5ba58213d41p-14, -0x1.1eea87eecbcc2p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.5f2fc0f98p-21, -0x1.8f1276da3d442p-17, 0x1.513553f2ccc0cp-14, -0x1.c90332de26979p-13}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.f4d829f410001p-23, -0x1.704b406550a69p-18, 0x1.903589604f225p-15, -0x1.52c3a6bab6b08p-13}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.f16263d28p-25, -0x1.02dc3275ad9b2p-19, 0x1.89e6b113c313fp-16, -0x1.c3b1b65faf46bp-14}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.ccbba23200001p-28, -0x1.a12aad80433b3p-22, 0x1.eb89db696794cp-18, -0x1.7422f13c24d9ep-15}, 
        {0x1.0666666666666p+3, 0x1.070a3d70a3d71p+3, 0x1.88feb8p-35, 0x1.816753973fd4p-27, 0x1.67cc35d6a8p-21, -0x1.5464e2197a90dp-12}, 
      }}, 
      0x1.4ec07b59502bcp-6, -0x1.82ed0b9467a9dp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.4d1398b6cef5ep-3, 0x1.4fcc23c41f173p-3, 0x1.538dbfd598bb3p-3, 0x1.576cbe554a09fp-3, 0x1.5a72624ab17b8p-3, 0x1.5bbf8cc75e00fp-3, 0x1.5aa1a9fa28cd7p-3, 0x1.569c0d69932b8p-3, 0x1.4f68cced416cbp-3, 0x1.44f42352ce587p-3, 0x1.3754da0a0ca01p-3, 0x1.26c38841ccdf9p-3, 0x1.1391d3a4b6266p-3, 0x1.fc44bcdd518a3p-4, 0x1.cdc3771f7bf3ep-4, 0x1.9c810626a4d25p-4, 0x1.695d101a6f2d3p-4, 0x1.352e30a070ab8p-4, 0x1.00bcafbe3dbd6p-4, 0x1.997cd07b60048p-5, 0x1.33aa4e6048e6p-5, 0x1.a2331b45d4374p-6, 0x1.cadcca3ace84ep-7, 0x1.9455f1308ec57p-9, -0x1.d50fe4471b05p-8, -0x1.1114b4967fe91p-6, -0x1.a0426f1aeb756p-6, -0x1.1132925cfebbcp-5, -0x1.4ba53c1cd1054p-5, -0x1.7f77678cfad7ep-5, -0x1.acbb3cb5e71dep-5, -0x1.d3939e9332216p-5, -0x1.f431494c9528ep-5, -0x1.0768122ffcc56p-4, -0x1.11da6effcb67ap-4, -0x1.1995692c52db5p-4, -0x1.1ec1154c057c1p-4, -0x1.218728b1bbc87p-4, -0x1.22124536d4598p-4, -0x1.208d69d040afdp-4, -0x1.1d23733fd42dp-4, -0x1.17fec00d50c24p-4, -0x1.1148c1afe554dp-4, -0x1.092a019de3d16p-4, -0x1.ff930b3663c68p-5, -0x1.ea99fed1dec87p-5, -0x1.d3b1401d42b33p-5, -0x1.bb1db4c14f5b1p-5, -0x1.a120f5315a36ap-5, -0x1.85f9375d46b9ep-5, -0x1.69e12c5e2915dp-5, -0x1.4d1004d6edf5bp-5, -0x1.2fb990a088c97p-5, -0x1.120e3f41d773bp-5, -0x1.e87625ddaf09bp-6, -0x1.acd3940a12e93p-6, -0x1.7181d10fc9d38p-6, -0x1.36c7b242b0e68p-6, -0x1.f9cbfb96d52bap-7, -0x1.882f36d368d38p-7, -0x1.192373cb2be3p-7, -0x1.5a1113551ff56p-8, -0x1.10cbd82560e6cp-9, 0x1.088f9dd09582ap-10, 0x1.0509f216bc457p-8, 0x1.bfdb868985533p-8, 0x1.391c9f8c989cep-7, 0x1.8de9fad698932p-7, 0x1.de35f51478d77p-7, 0x1.14f3ff71f4316p-6, 0x1.38772c4c63bacp-6, 0x1.599ed3211d3b5p-6, 0x1.78684eab815adp-6, 0x1.94d3a1a0d8a06p-6, 0x1.aee39cb3a70ffp-6, 0x1.c69d11dcf721ap-6, 0x1.dc0742cd37a42p-6, 0x1.ef2b49a987448p-6, 0x1.000a00a948df2p-5, 0x1.0766ef1da7d2fp-5, 0x1.0db35f1e79848p-5, 0x1.12f6ddfcce46dp-5, 0x1.17398598d9289p-5, 0x1.1a83e98018626p-5, 0x1.1cdf0061d9e3fp-5, 0x1.1e54190f10fd1p-5, 0x1.1eecbfda103f8p-5, 0x1.1eb2c1b9ff934p-5, 0x1.1db007f27cd9bp-5, 0x1.1beea1780b63cp-5, 0x1.1978944d06268p-5, 0x1.165818a9069abp-5, 0x1.129720694775ap-5, 0x1.0e3fc5383711ep-5, 0x1.095bf05880e54p-5, 0x1.03f57117c0818p-5, 0x1.fc2bd5e6b481p-6, 0x1.ef8daa6e039cap-6, 0x1.e222feb49e5bcp-6, 0x1.d3fe031513e8bp-6, 0x1.c53069367a93fp-6, 0x1.b5cb678aab6d4p-6, 0x1.a5dfc165af0c7p-6, 0x1.957db1127f93cp-6, 0x1.84b4f1d9205bap-6, 0x1.7394ae3dc218cp-6, 0x1.622b861cf4321p-6, 0x1.50878bf41f6dp-6, 0x1.3eb6400a442f1p-6, 0x1.2cc49e13e6a5fp-6, 0x1.1abf0a0fa2fc8p-6, 0x1.08b15c70a814p-6, 0x1.ed4dcb37603e4p-7, 0x1.c954a522b094fp-7, 0x1.a58bce5dc5e93p-7, 0x1.82068a3edb3a3p-7, 0x1.5ed70b7c3d9b1p-7, 0x1.3c0e9a354fbe2p-7, 0x1.19bd56f142ac9p-7, 0x1.efe4ab42c2c79p-8, 0x1.ad77a8e1d0835p-8, 0x1.6c4dfc072d7ecp-8, 0x1.2c7fef6175dafp-8, 0x1.dc488b5941c62p-9, 0x1.629f5f24766ebp-9, 0x1.d8542d8100de6p-10, 0x1.e42ebfef0dc8p-11, 0x1.2c5f77038aee2p-14, -0x1.8ad010b29d559p-11, -0x1.964136cd9e073p-10, -0x1.2fcd0d575793ep-9, -0x1.90a6c7058677bp-9, -0x1.ed9dca16a1cf3p-9, -0x1.23526d5b96843p-8, -0x1.4dd8ed89b01e2p-8, -0x1.765e4628ae4f1p-8, -0x1.9cdfabce7911p-8, -0x1.c15b93a812eb3p-8, -0x1.e3d186bd1fb89p-8, -0x1.0220f5c54cb65p-7, -0x1.1157238921b42p-7, -0x1.1f8c8d9eaa04cp-7, -0x1.2cc2e78792f5bp-7, -0x1.38fc32eee604p-7, -0x1.443aed4b706a4p-7, -0x1.4e81f44a14ebp-7, -0x1.57d4768c76319p-7, -0x1.6035edf231b85p-7, -0x1.67aa2a33966d1p-7, -0x1.6e353bc9b8815p-7, -0x1.73db7ca3a7438p-7, -0x1.78a16c3d1b6f8p-7, -0x1.7c8bd78ac458fp-7, -0x1.7f9fc5c1ae37p-7, -0x1.81e2492e59efcp-7, -0x1.8358b3b56218dp-7, -0x1.84086d5ee528cp-7, -0x1.83f72e2a3124cp-7, -0x1.832a894cbe9a3p-7, -0x1.81a84d07e25d7p-7, -0x1.7f764d0f17165p-7, -0x1.7c9a8f2fff199p-7, -0x1.791b04cb854cp-7, -0x1.74fdbab594c73p-7, -0x1.7048bf5dfd643p-7, -0x1.6b0226f96efdp-7, -0x1.65301bdfca437p-7, -0x1.5ed8a89bed7b3p-7, -0x1.5801e8f2b7da8p-7, -0x1.50b1edc959ba2p-7, -0x1.48eecb0a3eb9fp-7, -0x1.40be7b8e02532p-7, -0x1.3826fe816324ep-7, -0x1.2f2e367f2d872p-7, -0x1.25da0757b292dp-7, -0x1.1c3033e134895p-7, -0x1.1236898b061a9p-7, -0x1.07f29800a8e4p-7, -0x1.fad415a0e954p-8, -0x1.e54485d092716p-8, -0x1.cf41b5b9eeb68p-8, -0x1.b8d5f42e8be71p-8, -0x1.a20b6bf0ddc42p-8, -0x1.8aecff83c705cp-8, -0x1.73842eb9a0ba6p-8, -0x1.5bdb12cd019ap-8, -0x1.43fb2cea99e8dp-8, -0x1.2bede689c9cb6p-8, -0x1.13bc4ccd9b343p-8, -0x1.f6dedcc35c43fp-9, -0x1.c61fd40cc5318p-9, -0x1.954c98040ae8bp-9, -0x1.6475a0a18ee3ep-9, -0x1.33aaac20d956ep-9, -0x1.02fb970768596p-9, -0x1.a4ee4f6f1aa7ap-10, -0x1.44582c6de1e3dp-10, -0x1.c8a21fd5ff08ap-11, -0x1.09e7c4c04988cp-11, -0x1.32d9f2c0f48b2p-13, 0x1.bafd5931713cdp-13, 0x1.28491d572ece9p-11, 0x1.dfb832e51b677p-11, 0x1.4a6f2c3691365p-10, 0x1.a3c8d505e9dd1p-10, 0x1.fbd3f8f719eabp-10, 0x1.293e9dc2f7cf8p-9, 0x1.53d8b2e729fccp-9, 0x1.7daf6d2e6fb71p-9, 0x1.a6ba2fb14ecd8p-9, 0x1.cef0b5417962dp-9, 0x1.f64b9720290bbp-9, 0x1.0e61b99b14468p-8, 0x1.2128c518c6631p-8, 0x1.337798e8c2f4bp-8, 0x1.454b6d133b54ep-8, 0x1.56a1503b1c909p-8, 0x1.67769bbf66f3p-8, 0x1.77c90401038a4p-8, 0x1.87962c37a0e89p-8, 0x1.96dc27c28b6cfp-8, 0x1.a599111e51168p-8, 0x1.b3cb2b56e9dedp-8, 0x1.c1710be563395p-8, 0x1.ce8937b44d372p-8, 0x1.db12a5aadd069p-8, 0x1.e70c41147b229p-8, 0x1.f2753a20d6cc6p-8, 0x1.fd4cd31a711fcp-8, 0x1.03c94a5cbe6b3p-7, 0x1.08a2f1dcaf0eep-7, 0x1.0d335adf6e1d8p-7, 0x1.117a6224c184bp-7, 0x1.157819c2d9f8ap-7, 0x1.192c8b2eb7b5p-7, 0x1.1c97dc53c8e74p-7, 0x1.1fba3d2c518e8p-7, 0x1.2293ea96cdac5p-7, 0x1.2525367f64b0ep-7, 0x1.276e855f4c973p-7, 0x1.2970412438944p-7, 0x1.2b2ae7d6ea4b9p-7, 0x1.2c9efbeae8d3fp-7, 0x1.2dcd0dde4b1cdp-7, 0x1.2eb5b9fbf3974p-7, 0x1.2f59adc6c2454p-7, 0x1.2fb9a804b540cp-7, 0x1.2fd64929f2db1p-7, 0x1.2fb0971a62ca9p-7, 0x1.2f492668a1d85p-7, 0x1.2ea0f19b547b4p-7, 0x1.2db8d70d465f4p-7, 0x1.2c91c49e7ba34p-7, 0x1.2b2cb1ca68ff6p-7, 0x1.298aa51fb7ca9p-7, 0x1.27ac97105e713p-7, 0x1.2593990e6e5ebp-7, 0x1.2340b25dfe417p-7, 0x1.20b500671c7c4p-7, 0x1.1df19c0602e2cp-7, 0x1.1af7ae7359adp-7, 0x1.17c8607418b2cp-7, 0x1.1464da7c7f4fcp-7, 0x1.10ce4b4c8a08fp-7, 0x1.0d05e6271fe36p-7, 0x1.090cdd459a9e3p-7, 0x1.04e46d7379ecap-7, 0x1.008dd0bdb3a9cp-7, 0x1.f814941fde9e1p-8, 0x1.eeb63fa5e9d27p-8, 0x1.e503298b6315cp-8, 0x1.dafdd0b50726ap-8, 0x1.d0a8c5ebdc961p-8, 0x1.c606896791dd3p-8, 0x1.bb19b761fe449p-8, 0x1.afe4d616df3bdp-8, 0x1.a46a8d79f33fcp-8, 0x1.98ad652455945p-8, 0x1.8caff3cd26faep-8, 0x1.8074c31efdce7p-8, 0x1.73fe617a3d036p-8, 0x1.674f521b3612dp-8, 0x1.5a6a256e7f639p-8, 0x1.4d515e3f03aa7p-8, 0x1.400787330188bp-8, 0x1.328f2e83ed335p-8, 0x1.24eac646ec4b5p-8, 0x1.171cd702e80d5p-8, 0x1.0927b9e6e53bep-8, 0x1.f61bd7456ccd7p-9, 0x1.d9a398c3fe665p-9, 0x1.bceb7d108db2ap-9, 0x1.9ff8588643595p-9, 0x1.82ced73f8c606p-9, 0x1.6573a7cfd893cp-9, 0x1.47eb6ac45ee23p-9, 0x1.2a3a9af2fbf9p-9, 0x1.0c65ac2074da7p-9, 0x1.dce22bc8129e3p-10, 0x1.a0c22d514e1edp-10, 0x1.64741e747bab3p-10, 0x1.28004fa2e8383p-10, 0x1.d6ded4a147fd9p-11, 0x1.5d9310e11f38p-11, 0x1.c85b815df06fbp-12, 0x1.aafa25d5b430dp-13, -0x1.d55c71daa2541p-16, -0x1.0ffe01f51b385p-12, -0x1.012f2fb89b6ccp-11, -0x1.7a2cfa98d169p-11, -0x1.f2e9374896ca5p-11, -0x1.35aafbcea5919p-10, -0x1.71b28d4f7f687p-10, -0x1.ad84936316acbp-10, -0x1.e91a39c0ccd21p-10, -0x1.1236863d86761p-9, -0x1.2fbb6995d131cp-9, -0x1.4d18a6fb95fdap-9, -0x1.6a4b30b0ca58fp-9, -0x1.87502339e283dp-9, -0x1.a424acccad848p-9, -0x1.c0c5e1ff09eep-9, -0x1.dd3112b44e7fp-9, -0x1.f9639607022cbp-9, -0x1.0aad6544373a5p-8, -0x1.188a222e6cbfep-8, -0x1.2646c51b959f6p-8, -0x1.33e22469cd84ap-8, -0x1.415b22c097743p-8, -0x1.4eb0a514d069fp-8, -0x1.5be19f61781bbp-8, -0x1.68ed0d6305091p-8, -0x1.75d1f30746cfbp-8, -0x1.828f5c0a7124p-8, -0x1.8f245e06ac4b8p-8, -0x1.9b90171745b5ep-8, -0x1.a7d1a7c0cc9fcp-8, -0x1.b3e84017868e4p-8, -0x1.bfd31ba9ffd5dp-8, -0x1.cb917c980d3f1p-8, -0x1.d722a9bd73158p-8, -0x1.e2860b14e5b7ep-8, -0x1.edbafc39cce13p-8, -0x1.f8c0eb230c424p-8, -0x1.01cba6e6ec02p-7, -0x1.071ed163baf78p-7, -0x1.0c59ac4acd869p-7, -0x1.117bf6f936c6fp-7, -0x1.168578283ba12p-7, -0x1.1b75f086e5afep-7, -0x1.204d2834f5899p-7, -0x1.250af3690c5afp-7, -0x1.29af2a7136b6p-7, -0x1.2e39ad69069dep-7, -0x1.32aa692f5f60ap-7, -0x1.37014ded512ecp-7, -0x1.3b3e4f2c2bb75p-7, -0x1.3f615ba9e4bacp-7, -0x1.436a5b0a910a8p-7, -0x1.475935b83353dp-7, -0x1.4b2dc3361bf93p-7, -0x1.4ee7e3b4aac77p-7, -0x1.5287766fda45cp-7, -0x1.560c686872ed9p-7, -0x1.5976b823896eap-7, -0x1.5cc677f73eae4p-7, -0x1.5ffbcee2cf051p-7, -0x1.6316ebb2048ap-7, -0x1.6618114e94dc8p-7, -0x1.68ff65ea2e96p-7, -0x1.6bcd0a4fdc1fp-7, -0x1.6e8106cedf8c7p-7, -0x1.711b417b36927p-7, -0x1.739b96a55b3cdp-7, -0x1.7601d4370611bp-7, -0x1.784dd5737455dp-7, -0x1.7a7f8cbfd8b7p-7, -0x1.7c9718abd74bp-7, -0x1.7e94c5ccfd318p-7, -0x1.80790d2f379bap-7, -0x1.8244855938318p-7, -0x1.83f7cb85b4026p-7, -0x1.85936b8060131p-7, -0x1.8717bd6e9f7bbp-7, -0x1.8884ec4d49a63p-7, -0x1.89dacd2181d05p-7, -0x1.8b190dd7c4941p-7, -0x1.8c3f37d874382p-7, -0x1.8d4cdbad64367p-7, -0x1.8e41b338904eap-7, -0x1.8f1dc37ec2d4p-7, -0x1.8fe171d8f1e9dp-7, -0x1.908d7c537fbb8p-7, -0x1.9122f1d6ac962p-7, -0x1.91a3024cb5e59p-7, -0x1.920ed0f68c55ap-7, -0x1.926742d562086p-7, -0x1.92acd5add437ep-7, -0x1.92df8a2827d26p-7, -0x1.92feee2e75679p-7, -0x1.930a2ed917ddap-7, -0x1.93005b835b838p-7, -0x1.92e094713bb71p-7, -0x1.92aa5301c3b33p-7, -0x1.925d92dde939fp-7, -0x1.91faee14e2bf5p-7, -0x1.91839272d4ab7p-7, -0x1.90f91e1b1f092p-7, -0x1.905d5a90c9754p-7, -0x1.8fb1ff7f07aefp-7, -0x1.8ef8554e2a55ep-7, -0x1.8e3113d63ba5cp-7, -0x1.8d5c41ede17c1p-7, -0x1.8c79370df19a5p-7, -0x1.8b86dc76f50ebp-7, -0x1.8a83d63fdb21fp-7, -0x1.896ee578873bdp-7, -0x1.88472aac0ce61p-7, -0x1.870c654acccb9p-7, -0x1.85bf0c5762fa2p-7, -0x1.8460493787c63p-7, -0x1.82f1cfee5a65bp-7, -0x1.81759ca3b9fadp-7, -0x1.7feda0a0134edp-7, -0x1.7e5b70d0718fdp-7, -0x1.7cc0103d432c8p-7, -0x1.7b1bce5996dadp-7, -0x1.796e4949fc836p-7, -0x1.77b6a0b3c6ad5p-7, -0x1.75f3ae8814c63p-7, -0x1.74244b03d64b7p-7, -0x1.72479282823a6p-7, -0x1.705d1cf50e8adp-7, -0x1.6e6513924626ep-7, -0x1.6c603bc024c3p-7, -0x1.6a4fd28eceb2p-7, -0x1.683563522cedap-7, -0x1.661281cdd4668p-7, -0x1.63e87a9c73612p-7, -0x1.61b8206e828d5p-7, -0x1.5f81be4bc1653p-7, -0x1.5d45221ac0998p-7, -0x1.5b01c910eb6f8p-7, -0x1.58b718fdfa16ep-7, -0x1.5664936e258e6p-7, -0x1.5409f44f15145p-7, -0x1.51a73d65b775dp-7, -0x1.4f3cb5257cbdep-7, -0x1.4ccae48f388aap-7, -0x1.4a5297211a264p-7, -0x1.47d4d74b2cee8p-7, -0x1.4552d5cc7047dp-7, -0x1.42cdc3763dd4p-7, -0x1.404679349b8c3p-7, -0x1.3dbd379806dbp-7, -0x1.3b317fd232354p-7, -0x1.38a22f9ed7761p-7, -0x1.360de279d51a7p-7, -0x1.3373782bb7e4ap-7, -0x1.30d2928a519b6p-7, -0x1.2e2bbff4ed919p-7, -0x1.2b804d259886fp-7, -0x1.28d1d2cb4286fp-7, -0x1.2621a8adccf8p-7, -0x1.237091790ea0ap-7, -0x1.20bec30fb219fp-7, -0x1.1e0c4986207cdp-7, -0x1.1b59705bb89d6p-7, -0x1.18a6f80591b73p-7, -0x1.15f60768bfe8dp-7, -0x1.1347a208e4326p-7, -0x1.109c13444352p-7, -0x1.0df264ea322adp-7, -0x1.0b4863551feb6p-7, -0x1.089b40ad345d6p-7, -0x1.05e8b79f262f9p-7, -0x1.0330314b32fc8p-7, -0x1.00734cfb46dbfp-7, -0x1.fb6ac6fd87067p-8, -0x1.f5f45873f2012p-8, -0x1.f088596c21bafp-8, -0x1.eb27a5bd97973p-8, -0x1.e5cf2619744bep-8, -0x1.e079eaf21b427p-8, -0x1.db23e562d84f2p-8, -0x1.d5cc054738da1p-8, -0x1.d074c6fe8447fp-8, -0x1.cb2350b413172p-8, -0x1.c5dd41d46becap-8, -0x1.c0a600daa4816p-8, -0x1.bb7cb31f580bcp-8, -0x1.b65bdf6014aap-8, -0x1.b13b58f056cd4p-8, -0x1.ac140159e0d91p-8, -0x1.a6e3b47c0fb3cp-8, -0x1.a1af0247b5f1bp-8, -0x1.9c7fa3fb52508p-8, -0x1.975fedf2173e1p-8, -0x1.9255f647a3feep-8, -0x1.8d61265472a32p-8, -0x1.887af18d58402p-8, -0x1.839a0b5274efep-8, -0x1.7eb64151301fcp-8, -0x1.79cb7c120c7dcp-8, -0x1.74db56bb5d8aap-8, -0x1.6fec52874a4b2p-8, -0x1.6b0724d42a3a6p-8, -0x1.663310e1b8e2fp-8, -0x1.61732e82d6096p-8, -0x1.5cc5ab24a0d3dp-8, -0x1.5824f8e445b66p-8, -0x1.538a58e72e9b3p-8, -0x1.4ef0dd45281dfp-8, -0x1.4a57c27e0180cp-8, -0x1.45c2f2d0a62fbp-8, -0x1.41393a3f71a93p-8, -0x1.3cc1196b1d5d7p-8, -0x1.385dfb34089d8p-8, -0x1.340f1ce81ff8p-8, -0x1.2fd01c2d376eap-8, -0x1.2b99ef1d69bfp-8, -0x1.2764e238fcb4cp-8, -0x1.232b6324223c3p-8, -0x1.1eed00493df54p-8, -0x1.1aaebbe7d3cb3p-8, -0x1.16781946d7f4fp-8, -0x1.124f0a45c8bd9p-8, -0x1.0e35a17f64e4fp-8, -0x1.0a2a7dcdf8b37p-8, -0x1.062b4df6563e7p-8, -0x1.023714dd69507p-8, -0x1.fc9da7c90e2b4p-9, -0x1.f4e9742e8d46bp-9, -0x1.ed54af689f64bp-9, -0x1.e5dd7ba892e3fp-9, -0x1.de7c42e9a5897p-9, -0x1.d729757b28682p-9, -0x1.cfe47e3aa06afp-9, -0x1.c8b4caa340f52p-9, -0x1.c1a2d3550d3c9p-9, -0x1.baaee2722777fp-9, -0x1.b3cfe60cbb77ap-9, -0x1.acfc0405669cdp-9, -0x1.a62fe4d28ef73p-9, -0x1.9f6d2eee7db77p-9, -0x1.98b627f339044p-9, -0x1.920cdf9bb567dp-9, -0x1.8b72f8d06a47ap-9, -0x1.84e8658a8d88dp-9, -0x1.7e6b6ba59314cp-9, -0x1.77fbd17155b21p-9, -0x1.719ff0641f098p-9, -0x1.6b65f39e827efp-9, -0x1.655bc87331a11p-9, -0x1.5f83d8c308909p-9, -0x1.59d0d22f9f8a4p-9, -0x1.542a3940ca678p-9, -0x1.4e799bc059111p-9, -0x1.48bc2e5e88444p-9, -0x1.4305d573ebc5ep-9, -0x1.3d6cbf304fadap-9, -0x1.37f51ab74942p-9, -0x1.3297627e70bb7p-9, -0x1.2d53febbd2959p-9, -0x1.28317ff66c3edp-9, -0x1.232b099af897fp-9, -0x1.1e2ef5f2086bep-9, -0x1.192f05a9c0503p-9, -0x1.142c139af0cb1p-9, -0x1.0f3196bb3e0dp-9, -0x1.0a47202f8d9c2p-9, -0x1.05696c0cc535fp-9, -0x1.00947f23233c7p-9, -0x1.f7a40559b5939p-10, -0x1.ee67109792afdp-10, -0x1.e5831cffef773p-10, -0x1.dcee3efa9c77p-10, -0x1.d491804955064p-10, -0x1.cc4b0b156d097p-10, -0x1.c3ee74a44a5aep-10, -0x1.bb6ea6dd7369ep-10, -0x1.b2fa7d28eb017p-10, -0x1.aabd91a71c023p-10, -0x1.a2a7eecbd62c5p-10, -0x1.9aa5535cebe94p-10, -0x1.92d50acaebba8p-10, -0x1.8b5be78868b3bp-10, -0x1.84329996cda16p-10, -0x1.7d314f038cc94p-10, -0x1.762920cecbfc6p-10, -0x1.6f0318006b2a3p-10, -0x1.67d72a466e5fdp-10, -0x1.60cdd2a3fcd52p-10, -0x1.59ea8a7ec93a2p-10, -0x1.5314b23d3273fp-10, -0x1.4c4e2ac0ed6cdp-10, -0x1.45b34fb7749f5p-10, -0x1.3f50299c1ab6bp-10, -0x1.391bccbaf65cp-10, -0x1.330a72912ca71p-10, -0x1.2d1807d8a7a07p-10, -0x1.274581327c321p-10, -0x1.2180517b20b9dp-10, -0x1.1badf8478867ap-10, -0x1.15e6db75f6617p-10, -0x1.1047b80e6927fp-10, -0x1.0ab187917761ep-10, -0x1.051b38e976a1p-10, -0x1.ff5d5da8de6d4p-11, -0x1.f4f4727d5b5d3p-11, -0x1.eae35f444298dp-11, -0x1.e11e64719677fp-11, -0x1.d79d330ea51ddp-11, -0x1.ce332af29aabfp-11, -0x1.c4a9c5b0b9f7ep-11, -0x1.bb1eeea28cd2fp-11, -0x1.b1d7b86120b32p-11, -0x1.a8be05fbea7e4p-11, -0x1.9fa8f1778f56fp-11, -0x1.96c62f420dabep-11, -0x1.8e37c95464d4cp-11, -0x1.85e24624a5acep-11, -0x1.7dab121cd9432p-11, -0x1.758c85839ed88p-11, -0x1.6d8743e750f55p-11, -0x1.65aeb4f01fa3p-11, -0x1.5e2191cc0818ap-11, -0x1.56bcbb0b6a675p-11, -0x1.4f5c669dcc969p-11, -0x1.4819735274fd4p-11, -0x1.40ce34d24816dp-11, -0x1.3999a2eac45dcp-11, -0x1.32b5cc5d87a79p-11, -0x1.2c0296bff3dfap-11, -0x1.25627441890c5p-11, -0x1.1ed8e0c2855a6p-11, -0x1.1871e25b76cf5p-11, -0x1.1239f7b393e8p-11, -0x1.0c3c78807eebfp-11, -0x1.0663b0f7f951ep-11, -0x1.0088d82bb8a91p-11, -0x1.f58766188dc73p-12, -0x1.ea2c57a1a4c94p-12, -0x1.decb714dd4d7ep-12, -0x1.d3c9649b64264p-12, -0x1.c948bb234c80dp-12, -0x1.beff4872c345p-12, -0x1.b4c884a06e73fp-12, -0x1.aaaa2909a702cp-12, -0x1.a0ab4faa6d578p-12, -0x1.96cb671c60c8dp-12, -0x1.8d41171edab8bp-12, -0x1.844a0497cd3c9p-12, -0x1.7b792acb2a2bap-12, -0x1.72958a2de08e3p-12, -0x1.69986ece6d3fcp-12, -0x1.60e2fa4f2b481p-12, -0x1.58a058a64846ap-12, -0x1.50856d6f20fd6p-12, -0x1.487da93265c56p-12, -0x1.40928bcd32057p-12, -0x1.38ca892e1fdf6p-12, -0x1.3127bf7f56287p-12, -0x1.29a8e322c99f4p-12, -0x1.224de752c8fc6p-12, -0x1.1b2fcb81ca43p-12, -0x1.1471cf5a67885p-12, -0x1.0ddddf693682bp-12, -0x1.0747b9a761b74p-12, -0x1.00a762c7a64aap-12, -0x1.f43ca03b7fc34p-13, -0x1.e7ebbc58ee64ap-13, -0x1.dbfdaef60e5d6p-13, -0x1.d02550e255af7p-13, -0x1.c467536874e2dp-13, -0x1.b8d9b4e5d0f74p-13, -0x1.ad7fa54edbd79p-13, -0x1.a2523f2be686ep-13, -0x1.978db35f40f3fp-13, -0x1.8d7dd4761dfd8p-13, -0x1.83719e8d3783fp-13, -0x1.791eeca0f2f6fp-13, -0x1.6f2b92978ebb5p-13, -0x1.65c1f66a82ae6p-13, -0x1.5c78acfd6d02dp-13, -0x1.534b2c94a054bp-13, -0x1.4a4a78ec037fep-13, -0x1.417ddb1880d7ep-13, -0x1.38e5d87c82bc2p-13, -0x1.307f1df432b55p-13, -0x1.28461726d7fb4p-13, -0x1.203757bb10652p-13, -0x1.184e69073e005p-13, -0x1.10858e7a24ae9p-13, -0x1.08f05f50d6d12p-13, -0x1.01ce4a2c228ebp-13, -0x1.f5e60e1b234b7p-14, -0x1.e7e1613c3e3d7p-14, -0x1.d9d76cf5e5a5fp-14, -0x1.cca7726c252f3p-14, -0x1.bfea137fd95bp-14, -0x1.b3458c5a492c5p-14, -0x1.a6cb796146593p-14, -0x1.9a95ce38c7976p-14, -0x1.8ead835b03076p-14, -0x1.8300702e15ca5p-14, -0x1.77938159a7f4ap-14, -0x1.6ccfba0cb58a2p-14, -0x1.6218ed77def76p-14, -0x1.575a1743f1312p-14, -0x1.4d3c64d95100dp-14, -0x1.4352981eb90dap-14, -0x1.398b0950dae81p-14, -0x1.2ff966b3e0914p-14, -0x1.26a3482d03b4cp-14, -0x1.1d885294b9849p-14, -0x1.14a8249bff271p-14, -0x1.0bfdf0c16c61fp-14, -0x1.038d66c27547ep-14, -0x1.f6a426de66943p-15, -0x1.e69295eb9be3fp-15, -0x1.d6de70c829238p-15, -0x1.c786ceadf2723p-15, -0x1.b88a40ef021e8p-15, -0x1.a9dd5e1a79b3cp-15, -0x1.9b87a1ca752bp-15, -0x1.8df3572b13303p-15, -0x1.80b4fbff193b8p-15, -0x1.734dfdafa5522p-15, -0x1.669fab2aac4e2p-15, -0x1.5a4e2d74fe40ep-15, -0x1.4e21e4ddf46f8p-15, -0x1.4237c172f0c6fp-15, -0x1.36a3da488079bp-15, -0x1.2b610d29713b2p-15, -0x1.2053c44f7c2d5p-15, -0x1.158f2d14b579p-15, -0x1.0b340a3ad676ep-15, -0x1.01056974f30a7p-15, -0x1.ee8b8a8318d89p-16, -0x1.db5a6626de81cp-16, -0x1.c893bf5c9210ap-16, -0x1.b64bc183f6938p-16, -0x1.a48307c22f686p-16, -0x1.93353a299528p-16, -0x1.825e5d89627b7p-16, -0x1.71fafc7f15777p-16, -0x1.62075a1351871p-16, -0x1.528477f52366dp-16, -0x1.436b90b0e7892p-16, -0x1.34bdaf80ee6f4p-16, -0x1.267612a45b1abp-16, -0x1.1892ba5212be3p-16, -0x1.0b0e2ed15577dp-16, -0x1.fbcd06123d4f7p-17, -0x1.e2317147a9f68p-17, -0x1.c964397e8ec23p-17, -0x1.b12ca412a10f4p-17, -0x1.997ee7bd372f8p-17, -0x1.82c8172cd7847p-17, -0x1.6c9799156876ap-17, -0x1.575132a7627cap-17, -0x1.428429d551a66p-17, -0x1.2e2ac69a490bbp-17, -0x1.1a6d76b2b41fdp-17, -0x1.07497c5c000fcp-17, -0x1.e9475ff63cfbfp-18, -0x1.c4b77a7be7d63p-18, -0x1.a1ab44a85851dp-18, -0x1.80119919417ap-18, -0x1.5f460a7d66bf1p-18, -0x1.3f507d339f19bp-18, -0x1.201eac6a2e83fp-18, -0x1.0207862629af2p-18, -0x1.c991c6b688522p-19, -0x1.913b91a2b317bp-19, -0x1.5a6fed30bd8fap-19, -0x1.255d2d3624817p-19, -0x1.e3e2c2bdd4d2fp-20, -0x1.80386c989484dp-20, -0x1.1ff1979508a5ap-20, -0x1.8506d55b68c3cp-21, -0x1.a117ea99808a7p-22, -0x1.10576eaedbc3cp-24, 0x1.0ddf219ff2ed1p-22, 0x1.2a43325e73e24p-21, 0x1.c82c2ed7f1081p-21, 0x1.306a1be5c86ebp-20, 0x1.7a2898f4a7fe6p-20, 0x1.c158bef82ccd1p-20, 0x1.03029136367dep-19, 0x1.240c9cf90113p-19, 0x1.44a89174dbb4fp-19, 0x1.6374f45253c88p-19, 0x1.80f117437abf5p-19, 0x1.9d4c6e0716777p-19, 0x1.b8e8a8afa74aap-19, 0x1.d3802c52b33dfp-19, 0x1.ed094ce3e2467p-19, 0x1.02d1f46b6ff99p-18, 0x1.0ec182b41c388p-18, 0x1.1a071da65e113p-18, 0x1.24f7ed828101dp-18, 0x1.2f5cea9b372bcp-18, 0x1.396c71ce7ff5bp-18, 0x1.430d0117aba81p-18, 0x1.4c399caf811a8p-18, 0x1.5508026c706a8p-18, 0x1.5d728597b3a44p-18, 0x1.6586ec36044e9p-18, 0x1.6d1e9a770c177p-18, 0x1.7489da0aef16p-18, 0x1.7b7eeb5c2fb39p-18, 0x1.82264e2a99069p-18, 0x1.88674c064cbc2p-18, 0x1.8e6c47e066568p-18, 0x1.9421c81ba7e4ap-18, 0x1.997df17115f54p-18, 0x1.9e8f26745b1abp-18, 0x1.a36e0106091cp-18, 0x1.a7dba3fe7f1a5p-18, 0x1.ac1288c6b7c4ap-18, 0x1.b00a5eedabc1bp-18, 0x1.b3cc620995ea5p-18, 0x1.b735e13164cedp-18, 0x1.ba3700442934dp-18, 0x1.bd6d5559e646ep-18, 0x1.bffb036dd3156p-18, 0x1.c2b421af7d8eep-18, 0x1.c4f7c600fd7f5p-18, 0x1.c70a23c01c9dfp-18, 0x1.c8fa7e0013e3p-18, 0x1.caa1b9f1981dp-18, 0x1.cc1a31e9b3c1fp-18, 0x1.cd5d39ad1da98p-18, 0x1.ce6e59163b0c2p-18, 0x1.cf7181b6da651p-18, 0x1.d03530b9d6f9ap-18, 0x1.d0c40195ede6ep-18, 0x1.d13145de9b9bp-18, 0x1.d17ae962dc5cap-18, 0x1.d18fe2323c6cfp-18, 0x1.d178fb69889b9p-18, 0x1.d147dd6b86c84p-18, 0x1.d0ee9437908c7p-18, 0x1.d07fe3d628fa4p-18, 0x1.cfe0efd56ccd7p-18, 0x1.cf1ef7abead8bp-18, 0x1.ce3fd5e32dac9p-18, 0x1.cd4304fb25569p-18, 0x1.cc03d7fd2e1c4p-18, 0x1.cae76fcb65553p-18, 0x1.c98f777abd093p-18, 0x1.c81b1f4e83216p-18, 0x1.c688ea4da85dfp-18, 0x1.c4f22394fe6fcp-18, 0x1.c31d37de2df5fp-18, 0x1.c144815af87b8p-18, 0x1.bf58e1f31ca51p-18, 0x1.bd4b8d931b0a8p-18, 0x1.bb2bca0139d1p-18, 0x1.b8f4c04ca2d24p-18, 0x1.b69fadd22d969p-18, 0x1.b4459bc96894ap-18, 0x1.b1d04290b3c45p-18, 0x1.af529f870389ap-18, 0x1.acc029f7a1b68p-18, 0x1.aa10c9b013ebfp-18, 0x1.a75bd6dac7ffp-18, 0x1.a480893b88e8bp-18, 0x1.a1a701edeae9bp-18, 0x1.9eb866abaf201p-18, 0x1.9bbff43de545dp-18, 0x1.98c99758182b8p-18, 0x1.95b4bd71344dp-18, 0x1.92985e387ecbcp-18, 0x1.8f521220142e1p-18, 0x1.8c025ec7a3926p-18, 0x1.88c63e8e3d003p-18, 0x1.8582a9fd4ab72p-18, 0x1.8220f1b770735p-18, 0x1.7eba56aeb1e23p-18, 0x1.7b37f822f6fdap-18, 0x1.77bb9de60d095p-18, 0x1.743a6110b5f71p-18, 0x1.70942e618b11ap-18, 0x1.6d111fe6f0b3ap-18, 0x1.69515db75cad5p-18, 0x1.65c973d46b4d5p-18, 0x1.621c07c98bb92p-18, 0x1.5e658df14a99dp-18, 0x1.5aa6bfeb86a4ap-18, 0x1.56e34747013p-18, 0x1.531d13c7d7d4dp-18, 0x1.4f4ab01c43084p-18, 0x1.4b7429daa1a94p-18, 0x1.479e210b3fc46p-18, 0x1.43cad36fd07edp-18, 0x1.40090679d05bbp-18, 0x1.3c0bb993bf11fp-18, }}, 
      {{0x1.4ce6df98a3968p-3, 0x1.4f366382cd65fp-3, 0x1.529c5821bcc8dp-3, 0x1.568823d18b1e9p-3, 0x1.5a57eb3a609b4p-3, 0x1.5d6c021c1b292p-3, 0x1.5f34a011d1a37p-3, 0x1.5f3a41fe1419bp-3, 0x1.5d21ad0b1f10ep-3, 0x1.58acaf6c74719p-3, 0x1.51b8a951e0938p-3, 0x1.483bba5961eb5p-3, 0x1.3c413b417043bp-3, 0x1.2de5f78e6737fp-3, 0x1.1d5477946dd39p-3, 0x1.0ac184d28cf2dp-3, 0x1.ecd2105ec58eep-4, 0x1.c1169a6d6adc6p-4, 0x1.92d55bcbdb03ap-4, 0x1.629333cc463bfp-4, 0x1.30d25d0d3827ap-4, 0x1.fc1f1f6a5a95bp-5, 0x1.95813f7baace7p-5, 0x1.2ea5e8c20efddp-5, 0x1.90ab991f0c213p-6, 0x1.8d185f2cd9daep-7, 0x1.87bd7e409eedep-17, -0x1.82937c58cfa2cp-7, -0x1.7ced19f30bf15p-6, -0x1.18f36e6bc1426p-5, -0x1.6fc39cc0c57fap-5, -0x1.c29ef4b7f7f4p-5, -0x1.08a63856cd372p-4, -0x1.2dd03e2ba689fp-4, -0x1.50bde775280b1p-4, -0x1.7165369841312p-4, -0x1.8fc101e64c0c2p-4, -0x1.abd0ab4f9b9b1p-4, -0x1.c59760965056bp-4, -0x1.dd1bb96395bf9p-4, -0x1.f2672b506919p-4, -0x1.02c2de10a7d5ap-3, -0x1.0b42c11fc752cp-3, -0x1.12bb318235cdfp-3, -0x1.1934d733ade63p-3, -0x1.1eb8ee46da405p-3, -0x1.235132c6a333bp-3, -0x1.2707ac927022dp-3, -0x1.29e6abc190891p-3, -0x1.2bf8a83170e4cp-3, -0x1.2d482c15e3e9fp-3, -0x1.2ddfc5d825a0dp-3, -0x1.2dc9fda49ff61p-3, -0x1.2d11450b53e7ap-3, -0x1.2bbfe59d9c592p-3, -0x1.29dffe90efc73p-3, -0x1.277b77c60567fp-3, -0x1.249bff7a5464fp-3, -0x1.214b021144b8cp-3, -0x1.1d91a620cf109p-3, -0x1.1978c80fbb3b1p-3, -0x1.1508f9658d757p-3, -0x1.104a709219623p-3, -0x1.0b451be548daep-3, -0x1.0600910c9e0b3p-3, -0x1.008412bb7a47ep-3, -0x1.f5ad1f7b63de7p-4, -0x1.e9fd4545a0bbp-4, -0x1.de05251ab2289p-4, -0x1.d1d0a5710cb2ep-4, -0x1.c56b068eea848p-4, -0x1.b8dee91ed7b1dp-4, -0x1.ac364c1ed2ffdp-4, -0x1.9f7a9615f3e37p-4, -0x1.92b490e184df9p-4, -0x1.85ec799b55f0cp-4, -0x1.7929f8950e63cp-4, -0x1.6c742d5c95a93p-4, -0x1.5fd1b203d86c5p-4, -0x1.53489f76096acp-4, -0x1.46de905fdbc6fp-4, -0x1.3a98a857c1ae5p-4, -0x1.2e7b978ce88c5p-4, -0x1.228b9ff7f6ap-4, -0x1.16cc9b94390fp-4, -0x1.0b41feca7885cp-4, -0x1.ffddbead1cc8bp-5, -0x1.e9abf03b51a04p-5, -0x1.d3f35bdf481c6p-5, -0x1.beb82db9ce6bp-5, -0x1.a9fdf232fc4b2p-5, -0x1.95c7a446fc224p-5, -0x1.8217bf20269a8p-5, -0x1.6ef035bc1a543p-5, -0x1.5c528b9e35239p-5, -0x1.4a3fcc66a5e5bp-5, -0x1.38b89b9e2a436p-5, -0x1.27bd41e61b9b9p-5, -0x1.174da40e65b32p-5, -0x1.07695dda16e8p-5, -0x1.f01f711ec5907p-6, -0x1.d27f67f38668bp-6, -0x1.b5f019d7482f7p-6, -0x1.9a6e9dec11009p-6, -0x1.7ff787e705b77p-6, -0x1.66870d6c829cbp-6, -0x1.4e19106488c0fp-6, -0x1.36a91bd2d7ce1p-6, -0x1.20327dc78997cp-6, -0x1.0ab023e2f7551p-6, -0x1.ec39c02febde2p-7, -0x1.c4e692b6501f4p-7, -0x1.9f5b8f81cdc7ep-7, -0x1.7b8d51a4b6ee7p-7, -0x1.59702b6f27b4fp-7, -0x1.38f82c89db04ap-7, -0x1.1a1955b66edd4p-7, -0x1.f98eec5174a63p-8, -0x1.c1eca01f44738p-8, -0x1.8d334db2bc66dp-8, -0x1.5b4a5836440d1p-8, -0x1.2c18e425a4c1cp-8, -0x1.ff0d5261de8cap-9, -0x1.aaf657bf01e7bp-9, -0x1.5bbc1de556a17p-9, -0x1.112edf4d56787p-9, -0x1.963d6be2d7561p-10, -0x1.12b9a67798cb8p-10, -0x1.2ee9f459d895p-11, -0x1.20a084514249ep-13, 0x1.1f0b788fb97d4p-12, 0x1.58d18734b381p-11, 0x1.0a33cffa76ef7p-10, 0x1.61795a6350702p-10, 0x1.b28c0d74ca4b4p-10, 0x1.fdbdd1ae20bfep-10, 0x1.21aec783351c8p-9, 0x1.41dc7b703c54bp-9, 0x1.5f8d9c727772ap-9, 0x1.7ae6ee8d3c701p-9, 0x1.940bf8ce116efp-9, 0x1.ab1f749af1f5dp-9, 0x1.c042b7714547dp-9, 0x1.d396603f07f28p-9, 0x1.e539f90860011p-9, 0x1.f54bdc6b08f41p-9, 0x1.01f48c28e38bcp-8, 0x1.08971f0dd7c27p-8, 0x1.0e9b55024b2fap-8, 0x1.140e482462cbap-8, 0x1.18fc97c69e096p-8, 0x1.1d72547d1c344p-8, 0x1.217b1b2facf73p-8, 0x1.25221ff114896p-8, 0x1.2871f6209daf8p-8, 0x1.2b74eed8e3934p-8, 0x1.2e34a71ac910bp-8, 0x1.30ba466038a43p-8, 0x1.330ec3563eef3p-8, 0x1.353a707626947p-8, 0x1.374540395de6ep-8, 0x1.3936b5b4a0becp-8, 0x1.3b15fc8df02c1p-8, 0x1.3ce99cd042277p-8, 0x1.3eb81753568b2p-8, 0x1.408757bc80295p-8, 0x1.425ce5477209bp-8, 0x1.443e0e7b2f968p-8, 0x1.462fa434a30dp-8, 0x1.48363303ad9e7p-8, 0x1.4a55eac852e79p-8, 0x1.4c92c993b336ep-8, 0x1.4ef057529fb16p-8, 0x1.5171e43709d43p-8, 0x1.541a871ff50e2p-8, 0x1.56ecf35c0c68dp-8, 0x1.59eb9dccd2a17p-8, 0x1.5d18cdeb3dd61p-8, 0x1.60766aa9a7f2cp-8, 0x1.640639de88c02p-8, 0x1.67c9e6cef0db8p-8, 0x1.6bc28cc1a43c9p-8, 0x1.6ff14e8dd61c4p-8, 0x1.745743d4394a9p-8, 0x1.78f4eb626fc39p-8, 0x1.7dcad992c3e61p-8, 0x1.82d9659f6f341p-8, 0x1.8820d199d3196p-8, 0x1.8da11ece706efp-8, 0x1.935a2bb2a4a85p-8, 0x1.994bb4c5f183bp-8, 0x1.9f7557ea8645p-8, 0x1.a5d6884eba2ep-8, 0x1.ac6eac56927ebp-8, 0x1.b33cff2da1bb1p-8, 0x1.ba4098c5dcb33p-8, 0x1.c1789a72e9e32p-8, 0x1.c8e3e80070c68p-8, 0x1.d081521ad182dp-8, 0x1.d84fa90ed8bf5p-8, 0x1.e04d9bfa786e1p-8, 0x1.e879cda2891a5p-8, 0x1.f0d2cc29672eep-8, 0x1.f9570ad0fb8e5p-8, 0x1.01028a6b7c775p-7, 0x1.056d98a8578c9p-7, 0x1.09ebe9669a7dp-7, 0x1.0e7ca037a5213p-7, 0x1.131edb25dad6fp-7, 0x1.17d1ba395edd4p-7, 0x1.1c9454f4492cbp-7, 0x1.2165c4557c8cp-7, 0x1.264524cc8b71ep-7, 0x1.2b317e27f6e29p-7, 0x1.3029d2036ea2dp-7, 0x1.352d566830a3ep-7, 0x1.3a3b00b486e26p-7, 0x1.3f51cec78792ep-7, 0x1.4470f071aaefp-7, 0x1.499759e459e2dp-7, 0x1.4ec41c7f5e57dp-7, 0x1.53f64fef58026p-7, 0x1.592cf212c26b3p-7, 0x1.5e672842999c9p-7, 0x1.63a3f089cd27fp-7, 0x1.68e26a57cc7d8p-7, 0x1.6e21a6fef05adp-7, 0x1.7360bf67bee35p-7, 0x1.789ecbb064fb5p-7, 0x1.7ddaf6b10bfb1p-7, 0x1.83143e844fe0ep-7, 0x1.8849fd63dc8eap-7, 0x1.8d7b240bba7b2p-7, 0x1.92a6fd579ffdbp-7, 0x1.97ccaa226169ap-7, 0x1.9ceb5d279cf58p-7, 0x1.a20250d787d6bp-7, 0x1.a710b5c586dd6p-7, 0x1.ac15d18b19742p-7, 0x1.b110e3a4093f5p-7, 0x1.b6013111cb4d7p-7, 0x1.bae5ffdb1e63ap-7, 0x1.bfbeafbdb7d05p-7, 0x1.c48a77a52dd13p-7, 0x1.c948d64c5170ap-7, 0x1.cdf902503ea57p-7, 0x1.d29a6f67db9aap-7, 0x1.d72c8edcce14fp-7, 0x1.dbaea9c645c3cp-7, 0x1.e0205189b2888p-7, 0x1.e480e92c81c36p-7, 0x1.e8cfedcde34dp-7, 0x1.ed0ce3c043dd5p-7, 0x1.f137409f35331p-7, 0x1.f54ea37696835p-7, 0x1.f952766409fddp-7, 0x1.fd4264720732p-7, 0x1.008f006fb890bp-6, 0x1.02727227dc186p-6, 0x1.044b56346ff62p-6, 0x1.06197eb0d57bep-6, 0x1.07dcc617ab4dbp-6, 0x1.0994fb20d280ap-6, 0x1.0b41fb163db01p-6, 0x1.0ce3a4ac1510bp-6, 0x1.0e79ce81ed13dp-6, 0x1.1004615083fafp-6, 0x1.118337d2655e8p-6, 0x1.12f63e6a48e06p-6, 0x1.145d55cd45994p-6, 0x1.15b863fe87604p-6, 0x1.17075e0e4740ep-6, 0x1.184a2ab6f2816p-6, 0x1.1980b98b3de64p-6, 0x1.1aaafe38662c6p-6, 0x1.1bc8e6cd0d807p-6, 0x1.1cda743d1b7a9p-6, 0x1.1ddf8e1848b5ap-6, 0x1.1ed837bb4666p-6, 0x1.1fc469150c8a4p-6, 0x1.20a420c4a4099p-6, 0x1.21775a8ee58ebp-6, 0x1.223e13d140af2p-6, 0x1.22f85611b1bcp-6, 0x1.23a6255660f28p-6, 0x1.24477dfc74334p-6, 0x1.24dc6780277d6p-6, 0x1.2564f411bfd33p-6, 0x1.25e1240ee6a6ep-6, 0x1.26510a8bf1edp-6, 0x1.26b4acb2b4c0dp-6, 0x1.270c21208454p-6, 0x1.275770601290fp-6, 0x1.2796ae0d15537p-6, 0x1.27c9eb7fb2e5p-6, 0x1.27f13ddfb8615p-6, 0x1.280cb6ffefc9fp-6, 0x1.281c702260cb3p-6, 0x1.28207cda2f27cp-6, 0x1.2818f7f0a34e6p-6, 0x1.2805f884c1b5cp-6, 0x1.27e79a7948dffp-6, 0x1.27bdf8cfe1dc9p-6, 0x1.27892e5ff55a3p-6, 0x1.274955ff4e42bp-6, 0x1.26fe90ad440e3p-6, 0x1.26a8fdc5fb0eap-6, 0x1.2648bb1ef2574p-6, 0x1.25dde67fca2cep-6, 0x1.2568a96ede696p-6, 0x1.24e91bf7e7726p-6, 0x1.245f65a258278p-6, 0x1.23cba7722632ep-6, 0x1.232e05fa83da9p-6, 0x1.2286a48012c77p-6, 0x1.21d5a7b366428p-6, 0x1.211b357e960f4p-6, 0x1.205773391166dp-6, 0x1.1f8a868645a72p-6, 0x1.1eb494a0cc5bp-6, 0x1.1dd5cbf4fc0dap-6, 0x1.1cee462858fa6p-6, 0x1.1bfe363f916afp-6, 0x1.1b05c27336b56p-6, 0x1.1a050b9eeef04p-6, 0x1.18fc4426463cep-6, 0x1.17eb8d8b10d28p-6, 0x1.16d3117c95a26p-6, 0x1.15b2fd25e3867p-6, 0x1.148b744aa7e2bp-6, 0x1.135ca1f47ca53p-6, 0x1.1226b10a90dd4p-6, 0x1.10e9c9eae2ecdp-6, 0x1.0fa615f8e037dp-6, 0x1.0e5bbe329c799p-6, 0x1.0d0aedbecc44bp-6, 0x1.0bb3cb652b167p-6, 0x1.0a5681ea04cacp-6, 0x1.08f33b83a6278p-6, 0x1.078a211b8f1ap-6, 0x1.061b574fba791p-6, 0x1.04a70f906ea72p-6, 0x1.032d6d8000995p-6, 0x1.01ae9ab4be40bp-6, 0x1.002abf8993461p-6, 0x1.fd4412b4d24d3p-7, 0x1.fa29309f773fap-7, 0x1.f7052a39dba92p-7, 0x1.f3d85ef268eebp-7, 0x1.f0a31321d3675p-7, 0x1.ed6595c813cc9p-7, 0x1.ea20372a662d9p-7, 0x1.e6d34768fa4cdp-7, 0x1.e37f0c74cf6c6p-7, 0x1.e023d9c28069ep-7, 0x1.dcc1f6ac8a76cp-7, 0x1.d959b670630fep-7, 0x1.d5eb5b2d44ce7p-7, 0x1.d2772a305dff9p-7, 0x1.cefd7fd3be796p-7, 0x1.cb7e8f243e792p-7, 0x1.c7faab6601718p-7, 0x1.c472179d0171ep-7, 0x1.c0e51a7b65da3p-7, 0x1.bd53fbcc45b64p-7, 0x1.b9bf008a39bd5p-7, 0x1.b6266ef8527c4p-7, 0x1.b28a7eb07fbdcp-7, 0x1.aeeb8e64efcaep-7, 0x1.ab49c828d76f4p-7, 0x1.a7a5704c19943p-7, 0x1.a3fec962bb186p-7, 0x1.a056029637f6cp-7, 0x1.9cab6c1a3e7f1p-7, 0x1.98ff3571cc248p-7, 0x1.95519dc03cfbcp-7, 0x1.91a2e3bbb4c85p-7, 0x1.8df34282aa5f9p-7, 0x1.8a42f646cf681p-7, 0x1.86923aa6e0fe9p-7, 0x1.82e149b7805bbp-7, 0x1.7f3059f0101e9p-7, 0x1.7b7fa27349251p-7, 0x1.77cf49f35cd44p-7, 0x1.741f9983f79b8p-7, 0x1.7070a5427b17p-7, 0x1.6cc2a9db5fd48p-7, 0x1.6915d3133cccfp-7, 0x1.656a556040c4fp-7, 0x1.61c05cee49a75p-7, 0x1.5e181b12b3547p-7, 0x1.5a71c7f336e91p-7, 0x1.56cd8b7978645p-7, 0x1.532b9c169d066p-7, 0x1.4f8c26a9bdf66p-7, 0x1.4bef53e721a1ap-7, 0x1.485549d524845p-7, 0x1.44be2c13f6b35p-7, 0x1.412a1c1a01fbfp-7, 0x1.3d993aeaeea08p-7, 0x1.3a0ba1827bb79p-7, 0x1.368177b93b5a1p-7, 0x1.32fadaccaf55ep-7, 0x1.2f77f167c633ap-7, 0x1.2bf8de5a068e2p-7, 0x1.287dccfa8e07fp-7, 0x1.2506e555b14d3p-7, 0x1.21944d22be3cfp-7, 0x1.1e262405cc75fp-7, 0x1.1abc90630539cp-7, 0x1.1757a50d80539p-7, 0x1.13f7799648bb1p-7, 0x1.109c21a2dfad1p-7, 0x1.0d45aa6ed12e5p-7, 0x1.09f42a8990d17p-7, 0x1.06a7ac6183adap-7, 0x1.0360465c6cedep-7, 0x1.001e0b65e7b55p-7, 0x1.f9c22e7fd0c0cp-8, 0x1.f3530e9743acfp-8, 0x1.eceef0442e8ap-8, 0x1.e69609bef44b3p-8, 0x1.e04893f918ep-8, 0x1.da06c522f04d9p-8, 0x1.d3d0acd60196bp-8, 0x1.cda67cc51619bp-8, 0x1.c7885542351c4p-8, 0x1.c17613ca28351p-8, 0x1.bb6fced8b10bp-8, 0x1.b57593bcfc3fp-8, 0x1.af87692f58a94p-8, 0x1.a9a568f8a0b43p-8, 0x1.a3cf9120a25d4p-8, 0x1.9e062c1c7b0ddp-8, 0x1.984930699aafdp-8, 0x1.9298d75693d57p-8, 0x1.8cf534bd0b8ecp-8, 0x1.875e70206075bp-8, 0x1.81d4a2f205624p-8, 0x1.7c57d8acbb04cp-8, 0x1.76e81cb1424b6p-8, 0x1.718571e101383p-8, 0x1.6c2fd24b334f2p-8, 0x1.66e731944ed98p-8, 0x1.61ab865c1b101p-8, 0x1.5c7ccfd5896dbp-8, 0x1.575b1346fe79ep-8, 0x1.524657fc4bbbdp-8, 0x1.4d3ea8aa93d42p-8, 0x1.4844124af6502p-8, 0x1.4356a485e979p-8, 0x1.3e764c74c70f3p-8, 0x1.39a33236c5a7ep-8, 0x1.34dd3d59a3ea9p-8, 0x1.30246d89f45d1p-8, 0x1.2b78bbd6a3518p-8, 0x1.26da1e43bb0bp-8, 0x1.22488878f074bp-8, 0x1.1dc3ea6717916p-8, 0x1.194c4171c784bp-8, 0x1.14e1841b4a16ep-8, 0x1.1083a2edfd052p-8, 0x1.0c32a2c5398ffp-8, 0x1.07ee7fce2f5fap-8, 0x1.03b72f0bae353p-8, 0x1.ff194b6b61a56p-9, 0x1.f6ddbd5d1d8cbp-9, 0x1.eebbac2238fdcp-9, 0x1.e6b3038489122p-9, 0x1.dec365b871163p-9, 0x1.d6ed2451d903bp-9, 0x1.cf2f9a79fba8ep-9, 0x1.c78ac36f9533bp-9, 0x1.bffe6d3e1f2a5p-9, 0x1.b88a58c3f401dp-9, 0x1.b12e59a27b667p-9, 0x1.a9ea57ab03825p-9, 0x1.a2be4d34467a8p-9, 0x1.9baa35a6bf879p-9, 0x1.94ae32716284p-9, 0x1.8dc99e98eb868p-9, 0x1.86fccaeac10acp-9, 0x1.80474a11143d7p-9, 0x1.79a9080130ecbp-9, 0x1.73217f2b0dc35p-9, 0x1.6cb0fe64cb62ep-9, 0x1.6657414b1f69bp-9, 0x1.601419eeb695p-9, 0x1.59e766d322b85p-9, 0x1.53d0f710ec878p-9, 0x1.4dd0919ecece9p-9, 0x1.47e5f2b79bd6p-9, 0x1.4210bbb16bfe3p-9, 0x1.3c508c0d2ae77p-9, 0x1.36a532ea94eefp-9, 0x1.310e9e6cdecbp-9, 0x1.2b8ce48ae0506p-9, 0x1.2620085205c33p-9, 0x1.20c7e34264781p-9, 0x1.1b842d173be64p-9, 0x1.165481314881bp-9, 0x1.11388ea9aa985p-9, 0x1.0c301898a97cbp-9, 0x1.073acf185fd1bp-9, 0x1.0258bacc19ee7p-9, 0x1.fb137261d14p-10, 0x1.f19b643feaf87p-10, 0x1.e849994381221p-10, 0x1.df1dd19ad4097p-10, 0x1.d61787b45b8b1p-10, 0x1.cd35f45547948p-10, 0x1.c477d9d973e28p-10, 0x1.bbdc7162a915p-10, 0x1.b363457d97921p-10, 0x1.ab0bf53542b9bp-10, 0x1.a2d6bad73ccb7p-10, 0x1.9ac3c8df63925p-10, 0x1.92d2e572d8474p-10, 0x1.8b03ac5a90616p-10, 0x1.8354ec6159a4dp-10, 0x1.7bc679f5917dcp-10, 0x1.745764f537296p-10, 0x1.6d0627e2fcbf9p-10, 0x1.65d3d1e63dcefp-10, 0x1.5ebf8ae572383p-10, 0x1.57c9cbd47f89ep-10, 0x1.50f2cf6daf22p-10, 0x1.4a3a8047a3aeap-10, 0x1.43a05cd3b268fp-10, 0x1.3d23afea31876p-10, 0x1.36c3bf9e7e4c2p-10, 0x1.307f90167635p-10, 0x1.2a56ec29434f4p-10, 0x1.2448f6a1338ffp-10, 0x1.1e557347a2657p-10, 0x1.187c7a48d5469p-10, 0x1.12bdf855a9628p-10, 0x1.0d19a5204393cp-10, 0x1.078f1705459edp-10, 0x1.021dc0f3dd0c4p-10, 0x1.f98ad451dec04p-11, 0x1.ef0ae35602d74p-11, 0x1.e4b9a7fdbc9ep-11, 0x1.da961c609158fp-11, 0x1.d09ff62ff1a72p-11, 0x1.c6d7dc4736fd7p-11, 0x1.bd3e501e3dab4p-11, 0x1.b3d2fb50abap-11, 0x1.aa94939dff65fp-11, 0x1.a1828f0b4fa96p-11, 0x1.989b3459ed08ep-11, 0x1.8fdf3f110689cp-11, 0x1.874c64aa4c6c1p-11, 0x1.7ee2e8ff9cf97p-11, 0x1.76a1d97beaee3p-11, 0x1.6e887f92cdcedp-11, 0x1.6695f2e763a65p-11, 0x1.5ec94a6ed841cp-11, 0x1.5721fcf028c0bp-11, 0x1.4f9fdcdb55fb6p-11, 0x1.48431f79bf135p-11, 0x1.410b68776646fp-11, 0x1.39f7ca50a937ep-11, 0x1.3306d4b9fc8f6p-11, 0x1.2c377e806a6f4p-11, 0x1.25893e2ef731ap-11, 0x1.1efbdbc8e6f19p-11, 0x1.188f202e33b9cp-11, 0x1.12428f61259a9p-11, 0x1.0c1575ff32751p-11, 0x1.06088674cc73ep-11, 0x1.0019c39155ac4p-11, 0x1.f49286a9ca4e9p-12, 0x1.e92d215cff6dp-12, 0x1.de032edf8d913p-12, 0x1.d31454c3707p-12, 0x1.c85f6957864bcp-12, 0x1.bde22cf34cc42p-12, 0x1.b39a0edd3f8bp-12, 0x1.a984ea26cfc43p-12, 0x1.9fa293207a9f2p-12, 0x1.95f29f08644e4p-12, 0x1.8c78adfd542c3p-12, 0x1.8331db2d58201p-12, 0x1.7a1b4332ba64ep-12, 0x1.7135fb005474bp-12, 0x1.6880d00d30418p-12, 0x1.5ffa58a768eecp-12, 0x1.57a0f58554a72p-12, 0x1.4f735981b2034p-12, 0x1.477011d9c505bp-12, 0x1.3f9683b2defd3p-12, 0x1.37e79f0bf5f41p-12, 0x1.30628ca586741p-12, 0x1.2906f3d97454ap-12, 0x1.21d246e9616e8p-12, 0x1.1ac6ad5274db1p-12, 0x1.13e0ca34eb0d2p-12, 0x1.0d227808d7b4bp-12, 0x1.068b1d2c09911p-12, 0x1.0018d88dac9a5p-12, 0x1.f391ee8842171p-13, 0x1.e734f96a33fbp-13, 0x1.db1a4dda919ddp-13, 0x1.cf4374f8cf0d8p-13, 0x1.c3b0a16f700d8p-13, 0x1.b860944003721p-13, 0x1.ad4f918835b72p-13, 0x1.a27ba822625e3p-13, 0x1.97e82974e3376p-13, 0x1.8d93aa48c7a4ep-13, 0x1.837d3751503ffp-13, 0x1.799ee3f84a96cp-13, 0x1.6ff4c1fd2b7e5p-13, 0x1.66820e1c961efp-13, 0x1.5d431d3983877p-13, 0x1.543a124d8ef9ap-13, 0x1.4b66cfb9a4d8dp-13, 0x1.42c69c5b100e8p-13, 0x1.3a58d6cc63557p-13, 0x1.321cf0d834ae1p-13, 0x1.2a1169870a5f5p-13, 0x1.22359c75aabf3p-13, 0x1.1a87bbebb6d1bp-13, 0x1.130a3ab83b8eap-13, 0x1.0bb641a958325p-13, 0x1.048e96c5d7128p-13, 0x1.fb21c59319abp-14, 0x1.ed7bef8e359b1p-14, 0x1.e0287cf19e1e4p-14, 0x1.d3228857aa9e8p-14, 0x1.c667b49f3d245p-14, 0x1.b9fc06f6b8e9cp-14, 0x1.addcabb31e8a1p-14, 0x1.a2079b550fcbap-14, 0x1.967d841f08a41p-14, 0x1.8b3c1477f523fp-14, 0x1.804105b313825p-14, 0x1.7588e385482d3p-14, 0x1.6b0f7a2e42a65p-14, 0x1.60d49b76b977ep-14, 0x1.56d97b049dc24p-14, 0x1.4d1d310c6c84fp-14, 0x1.439e96b587a76p-14, 0x1.3a5e7a345271ep-14, 0x1.31550c1c68defp-14, 0x1.2885bfd5b0e42p-14, 0x1.1fe3b3b0c084ep-14, 0x1.17894c58f7d3dp-14, 0x1.0f59f42e9889ap-14, 0x1.0761c6faf1486p-14, 0x1.ff368980f85a5p-15, 0x1.f014a9ab3b0dcp-15, 0x1.e156542de9e2bp-15, 0x1.d2f13d07b04b8p-15, 0x1.c4e4ea93e4df2p-15, 0x1.b7325783c69c5p-15, 0x1.a9ddc1a81f924p-15, 0x1.9cdd5a3f8bf7ap-15, 0x1.90326deea7023p-15, 0x1.83cbcb7cb3dd9p-15, 0x1.77db3f9b5bfbp-15, 0x1.6c27b6645c1bp-15, 0x1.60c0ac94ce214p-15, 0x1.55a59c6d7458ep-15, 0x1.4ad861f6f3c97p-15, 0x1.405088c1daa8dp-15, 0x1.361114942530fp-15, 0x1.2c0ccce2121fap-15, 0x1.225eefab430c9p-15, 0x1.18ec8ce7157cep-15, 0x1.0fb487e3573d7p-15, 0x1.06c34edf6b99dp-15, 0x1.fc0ec0dd3af07p-16, 0x1.eb02d068f6d91p-16, 0x1.da826d9631bdbp-16, 0x1.ca714ad33f3e8p-16, 0x1.baca1578aebb3p-16, 0x1.ab94154e29944p-16, 0x1.9cd71c1696088p-16, 0x1.8e783cef8c2e2p-16, 0x1.807ea91791be6p-16, 0x1.72e06cbeb0cd2p-16, 0x1.65a67f5a9897bp-16, 0x1.58cc58959045p-16, 0x1.4c4b9ec1e183ep-16, 0x1.40258401c5e74p-16, 0x1.345eef919fe5ap-16, 0x1.28e84e99ccfc5p-16, 0x1.1dd52236c27bcp-16, 0x1.1303b2f486927p-16, 0x1.0872054d162f4p-16, 0x1.fc7aa81bedfaap-17, 0x1.e8c18e25dceffp-17, 0x1.d586812b853b5p-17, 0x1.c2e53163b6eap-17, 0x1.b0b0e1c52aec4p-17, 0x1.9f2795ec4803ap-17, 0x1.8e1dda87b61b4p-17, 0x1.7d8a6ab6e9713p-17, 0x1.6d7d498a82ffap-17, 0x1.5df5aba8c722fp-17, 0x1.4edebaccf54d6p-17, 0x1.40369fd308e6ap-17, 0x1.3201fa667004ep-17, 0x1.243e663412c93p-17, 0x1.16eec95241bb4p-17, 0x1.0a098b0673644p-17, 0x1.fb211f5e894efp-18, 0x1.e2ce6a941b746p-18, 0x1.cb43c93f1744p-18, 0x1.b4a49a76be199p-18, 0x1.9eaea73046d63p-18, 0x1.8942cd47989a7p-18, 0x1.74e8fa13f899p-18, 0x1.618215da6040fp-18, 0x1.4dfd07a103383p-18, 0x1.3b3235862a8b9p-18, 0x1.292580e2381cp-18, 0x1.18175b843d495p-18, 0x1.06f129440934fp-18, 0x1.ed1962d6938b1p-19, 0x1.cdaf71e7b2141p-19, 0x1.afa4f45f3db55p-19, 0x1.92837a1c053d5p-19, 0x1.75e4620a895d2p-19, 0x1.5ac1c228ca681p-19, 0x1.40b46623730ecp-19, 0x1.278b600caef3ap-19, 0x1.0f628e2fd0867p-19, 0x1.efe1218362596p-20, 0x1.c2922e729f9dap-20, 0x1.96b9124772b9cp-20, 0x1.6ceda8cbf1537p-20, 0x1.451060f104ea6p-20, 0x1.1df87ab92429dp-20, 0x1.f207f9b61229bp-21, 0x1.ab6e4387effd2p-21, 0x1.66be81e2b98a9p-21, 0x1.252de59631505p-21, 0x1.cca6b4dd2812cp-22, 0x1.53d710b576adap-22, 0x1.c0bb14b8964f7p-23, 0x1.c6d4bb9fdff6ep-24, 0x1.f761dbb6f0267p-28, -0x1.75330ce1985ddp-24, -0x1.7b97afa5a03edp-23, -0x1.187036bdb4d27p-22, -0x1.737a38a927dcap-22, -0x1.c47f95901a082p-22, -0x1.0a1ab4e7ff22ap-21, -0x1.2fd2aa4d8c3e6p-21, -0x1.54fbfaacfaec9p-21, -0x1.76e7544504e05p-21, -0x1.96e1ef6c869c1p-21, -0x1.b6e2a80e98f78p-21, -0x1.d2afeca8f6142p-21, -0x1.eda1c9bb36293p-21, -0x1.03832b1bf4cdap-20, -0x1.0fe44744f465ep-20, -0x1.1b37f904bc34fp-20, -0x1.25873fcf35464p-20, -0x1.3083637f5150dp-20, -0x1.39ba01d4971cep-20, -0x1.41c1528c2180ep-20, -0x1.49481ae0ec029p-20, -0x1.51b6903eb5ce1p-20, -0x1.576cff854e94bp-20, -0x1.5ddad774c60c2p-20, -0x1.63b476394d2f2p-20, -0x1.6871f71057508p-20, -0x1.6baa57beb7fdcp-20, -0x1.71f775fbee974p-20, -0x1.7540a986bb263p-20, -0x1.79ea2c3b1aee6p-20, -0x1.793542be7f8dcp-20, -0x1.7d041629d30bep-20, -0x1.7f04a99bd012p-20, -0x1.8086aad2bc721p-20, -0x1.814c3c9f78939p-20, -0x1.825749786e91dp-20, -0x1.8229aa6dfa7ecp-20, -0x1.82369332ed009p-20, -0x1.8231dd786abfep-20, -0x1.81393588aba5bp-20, -0x1.804621bbcdc4cp-20, -0x1.7efbb9f1b6265p-20, -0x1.7d4db21c18ed3p-20, -0x1.7b59546de73bfp-20, -0x1.791f99de71e5fp-20, -0x1.76831fcb3fbe5p-20, -0x1.73e5629d6f019p-20, -0x1.71a6fb4d1288ep-20, -0x1.6dba31fdc66fap-20, -0x1.6a5f836c165f2p-20, -0x1.66c7d26d40fcap-20, -0x1.62e39bf2ffdcdp-20, -0x1.5ecaa685c9752p-20, -0x1.5aafd6b4527d6p-20, -0x1.562f32bf5e57dp-20, -0x1.5196c1e87451ep-20, -0x1.4cf4842af0af1p-20, -0x1.4774e22f07badp-20, -0x1.432151af61757p-20, -0x1.3e155cd01c3fep-20, -0x1.38d4926fd5b5ep-20, -0x1.331955b5b83e9p-20, -0x1.2daef7b6ee40bp-20, -0x1.27d97e8fea125p-20, -0x1.2253af8e01adbp-20, -0x1.1bb3ba57d4d7dp-20, -0x1.16ac5853e1ae4p-20, -0x1.1058d7a9f1bbap-20, -0x1.09e0e0a1d3b6bp-20, -0x1.0475db7dd2d7ep-20, -0x1.fbcfb97114c3p-21, -0x1.eeb3207fc961p-21, -0x1.e1db49db94564p-21, -0x1.d4a65c14390e5p-21, -0x1.c8bfd4da39724p-21, -0x1.ba1eb593c0525p-21, -0x1.ac66c858b2235p-21, -0x1.9ef421ad510efp-21, -0x1.93517b466346dp-21, -0x1.8533b0f89371ap-21, -0x1.76b7a368e3496p-21, -0x1.6957941dbc448p-21, -0x1.57848f9b74395p-21, -0x1.4caa84630996ap-21, -0x1.3f749994f0dp-21, -0x1.3229480c8a1e2p-21, -0x1.23a017abbeac7p-21, -0x1.1659d559f2338p-21, -0x1.08dca5a78b558p-21, -0x1.f35dddfdade05p-22, -0x1.d5cac3defdeefp-22, -0x1.bdab892dcf127p-22, -0x1.a19b841b63419p-22, -0x1.85e3d3fe18676p-22, -0x1.6a2d41bf35eaap-22, -0x1.4f4614e31c8fp-22, -0x1.34670097d34ccp-22, -0x1.151806522133cp-22, -0x1.f736fbda62138p-23, -0x1.c168319942869p-23, -0x1.8962a8919d516p-23, -0x1.526d84c7e410bp-23, -0x1.1f33b40afbf68p-23, -0x1.d00281b6e9e2ep-24, -0x1.64da1fce1998bp-24, -0x1.e132d955adc3cp-25, -0x1.1c8ce72b808a2p-25, -0x1.eef8f8a4e715fp-28, 0x1.e1bf28c7bc958p-27, 0x1.4eeae0bc773fdp-25, 0x1.17d05a80d520bp-24, 0x1.7eaa2e0f34a75p-24, 0x1.e6cb68afd4948p-24, 0x1.24e767adec037p-23, 0x1.5868e8df208bbp-23, 0x1.89cd1643fe9f2p-23, 0x1.bbc7a3e628ce6p-23, 0x1.f4220c67b7269p-23, 0x1.0e5fc976e3f8cp-22, 0x1.2a733fca01417p-22, 0x1.40db77c896953p-22, 0x1.581b3120dfe11p-22, 0x1.70e45f9e9dd85p-22, 0x1.87f5d2c9d40a4p-22, 0x1.9e51dec723497p-22, 0x1.b7188f3782095p-22, 0x1.cf9cbf71b728ep-22, 0x1.e63347cdf1dc2p-22, 0x1.fabb339bd9c6ep-22, 0x1.07f6d0ccc882fp-21, 0x1.12fba2a850aa7p-21, 0x1.1ea580a42f227p-21, 0x1.2ac211b55226p-21, 0x1.3530182b69c3cp-21, 0x1.3f57ece77617p-21, 0x1.49693756ddcc1p-21, 0x1.541220526d0a5p-21, 0x1.5e5d6d380d888p-21, 0x1.6946a1ba26325p-21, 0x1.72eda5e4d43cep-21, 0x1.7d4a6200f4f41p-21, 0x1.8645d2428fa4fp-21, 0x1.91312025ca99fp-21, 0x1.99ad67656e5c2p-21, 0x1.a33f06641903ep-21, 0x1.ac46eecf6324bp-21, 0x1.b57b6e2be4949p-21, 0x1.be8fb5055992fp-21, 0x1.c7756b3b61605p-21, 0x1.d043122a53a77p-21, 0x1.d907894062517p-21, 0x1.e1c73be528681p-21, 0x1.e9b4a92a899cp-21, 0x1.f0d89229438a1p-21, 0x1.fa77c681704d9p-21, }}, 
      {{0x1.4c5b773bf4816p-3, 0x1.4d271584896ap-3, 0x1.4e6252b10e0d2p-3, 0x1.4feda8808a093p-3, 0x1.51a3c133b7d8ep-3, 0x1.535d2247b665cp-3, 0x1.54f31188a8514p-3, 0x1.5641adafbcb53p-3, 0x1.57294e7b97443p-3, 0x1.578f4b9bc13e8p-3, 0x1.575e4c88615dep-3, 0x1.56864120844fp-3, 0x1.54fc1f193c238p-3, 0x1.52b976b2a5b22p-3, 0x1.4fbbf596f4084p-3, 0x1.4c04dc2ffdd51p-3, 0x1.479873019eae8p-3, 0x1.427d86ded62bp-3, 0x1.3cbce6d7694afp-3, 0x1.3660f3e055621p-3, 0x1.2f7537c7a0abp-3, 0x1.28060a88e63f9p-3, 0x1.2020412456d8bp-3, 0x1.17d0ecc371886p-3, 0x1.0f252204d19d2p-3, 0x1.0629c598d7758p-3, 0x1.f9d6d855b6767p-4, 0x1.e6ec67f0fb002p-4, 0x1.d3ab7fc439325p-4, 0x1.c02a21fb8cbe7p-4, 0x1.ac7d01388154fp-4, 0x1.98b7912d85512p-4, 0x1.84ebce6bcc636p-4, 0x1.712a5e3382191p-4, 0x1.5d828bed32856p-4, 0x1.4a023981c0566p-4, 0x1.36b61977fcf3ep-4, 0x1.23a97e0ebc1cap-4, 0x1.10e6969940039p-4, 0x1.fcecce8e4da9fp-5, 0x1.d8c1dec1e0428p-5, 0x1.b55a2904831fcp-5, 0x1.92c1aeead790ep-5, 0x1.7102a4fb1adf5p-5, 0x1.50259e4cb9c73p-5, 0x1.3031a9f1634abp-5, 0x1.112c47bb800ccp-5, 0x1.e633e4adc3849p-6, 0x1.abfb868539a7bp-6, 0x1.73b38f440f7cdp-6, 0x1.3d5e252de4b57p-6, 0x1.08fbb6ff37c16p-6, 0x1.ad161683d45dbp-7, 0x1.4c12621983e6p-7, 0x1.ddc95bce7523ep-8, 0x1.2b04f85ed7f7ap-8, 0x1.fefab05012a8fp-10, -0x1.2132e461146ecp-11, -0x1.819447f3a605cp-9, -0x1.564f5ec47f061p-8, -0x1.e4dace897f1d1p-8, -0x1.364a9f144d179p-7, -0x1.76d2baabc8eeap-7, -0x1.b41bd336c9f83p-7, -0x1.ee3b84348594p-7, -0x1.12a41bf607644p-6, -0x1.2cac53537ff8fp-6, -0x1.4541e35d68fc4p-6, -0x1.5c705db289495p-6, -0x1.72435c8426b64p-6, -0x1.86c678e916826p-6, -0x1.9a05472525c05p-6, -0x1.ac0b3ee69eb0dp-6, -0x1.bce3efc239c0dp-6, -0x1.cc9a4b9fc146fp-6, -0x1.db39e42a65f87p-6, -0x1.e8cd690f13ffp-6, -0x1.f55fb5266f9d9p-6, -0x1.007db1765fb56p-5, -0x1.05d5691caf0d1p-5, -0x1.0abc15431b1c3p-5, -0x1.0f36ab5bbc09dp-5, -0x1.134a01b1927bep-5, -0x1.16facf26c5fafp-5, -0x1.1a4dab159493p-5, -0x1.1d470b73901bdp-5, -0x1.1feb44646cf18p-5, -0x1.223e8a1c73319p-5, -0x1.2444ed6fa5629p-5, -0x1.2602596aa68e5p-5, -0x1.277ab4cad040ep-5, -0x1.28b18065f8a7fp-5, -0x1.29aa7a7764eb7p-5, -0x1.2a68f1d813519p-5, -0x1.2af0342877752p-5, -0x1.2b4369d8da3e9p-5, -0x1.2b65a5c54810ap-5, -0x1.2b59dcbe1a91cp-5, -0x1.2b22d7e32c09bp-5, -0x1.2ac342ce64be1p-5, -0x1.2a3db9a268362p-5, -0x1.2994bc5213ae4p-5, -0x1.28caa6048fb4bp-5, -0x1.27e1b93b08737p-5, -0x1.26dc1d9791e35p-5, -0x1.25bbe36b81779p-5, -0x1.248303d67e22fp-5, -0x1.23335f6af2ce5p-5, -0x1.21cec1cb22059p-5, -0x1.2056da966e11cp-5, -0x1.1ecd4863fac9ap-5, -0x1.1d33939b67d6bp-5, -0x1.1b8b2f21b26cep-5, -0x1.19d587638e6b3p-5, -0x1.1813db2339fb6p-5, -0x1.16477311d7d36p-5, -0x1.14717398b346ap-5, -0x1.1292f960e3eefp-5, -0x1.10ad0d9ed54f3p-5, -0x1.0ec0ac1f7932ap-5, -0x1.0ccec142f4fe8p-5, -0x1.0ad827976810ap-5, -0x1.08ddb28c6ad63p-5, -0x1.06e02593c75cbp-5, -0x1.04e035c0f7e65p-5, -0x1.02de8f5d82213p-5, -0x1.00dbd0123dc1dp-5, -0x1.fdb11e1d76f39p-6, -0x1.f9aaa64493445p-6, -0x1.f5a53a975de14p-6, -0x1.f1a1cbf4806f6p-6, -0x1.eda1316009536p-6, -0x1.e9a43907b47a4p-6, -0x1.e5ab9b631f4a6p-6, -0x1.e1b805c8835b1p-6, -0x1.ddca10245a497p-6, -0x1.d9e24a6f9bffcp-6, -0x1.d60133276267bp-6, -0x1.d22740ee87e76p-6, -0x1.ce54ddac134a3p-6, -0x1.ca8a5e30d68dbp-6, -0x1.c6c816c21bce8p-6, -0x1.c30e5a7287e6dp-6, -0x1.bf5d61ca635e2p-6, -0x1.bbb55c2eb13d6p-6, -0x1.b8167d20051c2p-6, -0x1.b480f0b526348p-6, -0x1.b0f4d18ee0585p-6, -0x1.ad7234e875564p-6, -0x1.a9f92e2fb4ddfp-6, -0x1.a689c8a645387p-6, -0x1.a3240e19d5b2ap-6, -0x1.9fc7ff215025bp-6, -0x1.9c75972f13cc5p-6, -0x1.992cceb53e46bp-6, -0x1.95ed93b7d90a8p-6, -0x1.92b7dd0efc2e9p-6, -0x1.8f8b99f96f7b3p-6, -0x1.8c68addf0f64cp-6, -0x1.894f003015ac5p-6, -0x1.863e7786aa4ddp-6, -0x1.8336f38edc3f2p-6, -0x1.8038536d754ccp-6, -0x1.7d42785505c7dp-6, -0x1.7a553a4aacde5p-6, -0x1.777074586dc38p-6, -0x1.7493fefb8831cp-6, -0x1.71bfb1d5a300bp-6, -0x1.6ef364a02bed8p-6, -0x1.6c2eee192b90bp-6, -0x1.697223b18f8e8p-6, -0x1.66bcda49579f5p-6, -0x1.640ee1fcc04abp-6, -0x1.6168132149f91p-6, -0x1.5ec83fcf16ee7p-6, -0x1.5c2f39477571ap-6, -0x1.599cd4cfb3a1dp-6, -0x1.5710ec09b261bp-6, -0x1.548b4ef77c14cp-6, -0x1.520bc6b35f21bp-6, -0x1.4f9256ee35895p-6, -0x1.4d1e9a231fc03p-6, -0x1.4ab0661467dc2p-6, -0x1.4847c4a9e790dp-6, -0x1.45e46aebb8da5p-6, -0x1.4386349bcc0e1p-6, -0x1.412cfab784b2cp-6, -0x1.3ed896247c98ep-6, -0x1.3c88e0357e249p-6, -0x1.3a3db214b339bp-6, -0x1.37f6ecd7b34cp-6, -0x1.35b468078861dp-6, -0x1.33760099752eap-6, -0x1.313b953821413p-6, -0x1.2f0506565a461p-6, -0x1.2cd23230ef0a3p-6, -0x1.2aa2fa069089fp-6, -0x1.28773fc513e81p-6, -0x1.264ee4dad7967p-6, -0x1.2429cc45c197p-6, -0x1.2207df05ccee9p-6, -0x1.1fe8fbfb6a394p-6, -0x1.1dcd098739f98p-6, -0x1.1bb3f596bcd09p-6, -0x1.199da5bef1624p-6, -0x1.178a039602125p-6, -0x1.1578f5c9b18f9p-6, -0x1.136a68ef25556p-6, -0x1.115e4914c909ep-6, -0x1.0f5483c55bed7p-6, -0x1.0d4d07a5a0c4bp-6, -0x1.0b47c3115b347p-6, -0x1.0944a3faff356p-6, -0x1.07439dce3bfa8p-6, -0x1.0544a237c3491p-6, -0x1.034797e08d48cp-6, -0x1.014c78c272194p-6, -0x1.fea6813d2ba68p-7, -0x1.fab7b618ad69ap-7, -0x1.f6cc78b7e2e22p-7, -0x1.f2e4b86717e04p-7, -0x1.ef0065a259e39p-7, -0x1.eb1f7061a675fp-7, -0x1.e741c39c37011p-7, -0x1.e367528ec4ec1p-7, -0x1.df900e547f962p-7, -0x1.dbbbea4c5ab77p-7, -0x1.d7eadb9215eb4p-7, -0x1.d41cd80d514c5p-7, -0x1.d051d307cc54p-7, -0x1.cc89d09ae551ep-7, -0x1.c8c4b8f5fbbf9p-7, -0x1.c50298ada830ap-7, -0x1.c14360268b519p-7, -0x1.bd870d97685bbp-7, -0x1.b9cd9f53e0a85p-7, -0x1.b61711e9b1e16p-7, -0x1.b2636623df912p-7, -0x1.aeb298d460e72p-7, -0x1.ab04b15655443p-7, -0x1.a759aee57c306p-7, -0x1.a3b194d3c60cbp-7, -0x1.a00c564ccc476p-7, -0x1.9c6a0af274b7p-7, -0x1.98caa963943adp-7, -0x1.952e3b9a1ce65p-7, -0x1.9194baaff1e9ep-7, -0x1.8dfe6993e187ep-7, -0x1.8a6addcbb6b74p-7, -0x1.86da8ef629571p-7, -0x1.834d4312dd2c6p-7, -0x1.7fc311e8379d9p-7, -0x1.7c3bfc2cac9fdp-7, -0x1.78b817c481a3p-7, -0x1.75376805b4449p-7, -0x1.71b9f556f2041p-7, -0x1.6e3fc8f4e2399p-7, -0x1.6ac8ec78b52c4p-7, -0x1.67556b80210b8p-7, -0x1.63e54d10d3cc6p-7, -0x1.60789f2d172ep-7, -0x1.5d0f5d6726dbfp-7, -0x1.59a9aa04c1abep-7, -0x1.564783b859f5ep-7, -0x1.52e8f1dab8f83p-7, -0x1.4f8e03f53e479p-7, -0x1.4c36c22dfd53cp-7, -0x1.48e33bef395bbp-7, -0x1.459378cfeb473p-7, -0x1.424789e632193p-7, -0x1.3eff78118ee26p-7, -0x1.3bbb4c66089ecp-7, -0x1.387b0bd318acfp-7, -0x1.353ec8add4f7ap-7, -0x1.32068e86c28b4p-7, -0x1.2ed269e34e0cap-7, -0x1.2ba254bd1ded4p-7, -0x1.287671b5b7722p-7, -0x1.254ec60458211p-7, -0x1.222b528f96349p-7, -0x1.1f0c24f240f75p-7, -0x1.1bf14a6944461p-7, -0x1.18dad23fed761p-7, -0x1.15c8b86021eadp-7, -0x1.12bb0cdffe953p-7, -0x1.0fb1deb7d507bp-7, -0x1.0cad387a55d6ap-7, -0x1.09ad19c9a8d66p-7, -0x1.06b193034ddf1p-7, -0x1.03baa878322e6p-7, -0x1.00c8686d1ed69p-7, -0x1.fbb5abb41c28ep-8, -0x1.f5e400834cd0ep-8, -0x1.f01bd407d295bp-8, -0x1.ea5d3704e34b2p-8, -0x1.e4a8391cab791p-8, -0x1.defcef2ab19bbp-8, -0x1.d95b6a4682e8cp-8, -0x1.d3c39b747c741p-8, -0x1.ce35b60b45551p-8, -0x1.c8b1a6b0af508p-8, -0x1.c337ae9ace82cp-8, -0x1.bdc78d3773787p-8, -0x1.b8617ef09723fp-8, -0x1.b30596f66e71dp-8, -0x1.adb3c90479fa5p-8, -0x1.a86c1caf41351p-8, -0x1.a32e8a876c6e4p-8, -0x1.9dfb3e18ff9b5p-8, -0x1.98d25236d10b5p-8, -0x1.93b39b950641bp-8, -0x1.8e9f3cc48a3ddp-8, -0x1.89953306744c3p-8, -0x1.8495937498209p-8, -0x1.7fa050d4918abp-8, -0x1.7ab5729697743p-8, -0x1.75d509b63fc2p-8, -0x1.70ff13aeda225p-8, -0x1.6c338a603e86dp-8, -0x1.67727e661a0cap-8, -0x1.62bbe94931cc4p-8, -0x1.5e0fdeae599f2p-8, -0x1.596e4cab7471ep-8, -0x1.54d7342078cp-8, -0x1.504aa9812c7b1p-8, -0x1.4bc8910d7a109p-8, -0x1.4750fe9a45bfap-8, -0x1.42e3f141b2a7bp-8, -0x1.3e814e83489c4p-8, -0x1.3a29340f2586ap-8, -0x1.35db961974779p-8, -0x1.319868339790fp-8, -0x1.2d5fb083f1ff7p-8, -0x1.29316a3556fe1p-8, -0x1.250d91b2a1035p-8, -0x1.20f422cfb0a16p-8, -0x1.1ce511d48ce94p-8, -0x1.18e05da6ac5b3p-8, -0x1.14e5fb6b7f361p-8, -0x1.10f5e977ac08cp-8, -0x1.0d102629b6c6cp-8, -0x1.0934a5f0ac552p-8, -0x1.05636444f7574p-8, -0x1.019c51a9fc6d2p-8, -0x1.fbbee55758df7p-9, -0x1.f459540c3fe42p-9, -0x1.ed07ff492d44dp-9, -0x1.e5cadc913d832p-9, -0x1.dea1b01f06e88p-9, -0x1.d78c8c4ede274p-9, -0x1.d08b41b9251dcp-9, -0x1.c99de44416574p-9, -0x1.c2c43ec0a10aap-9, -0x1.bbfe3ceba44a5p-9, -0x1.b54bbb00e2952p-9, -0x1.aeacb93338f33p-9, -0x1.a820ea5cde19cp-9, -0x1.a1a88a3f415efp-9, -0x1.9b437d7d30343p-9, -0x1.94f1411c11db7p-9, -0x1.8eb21e347484p-9, -0x1.8885d1e4cd5a2p-9, -0x1.826c49e121342p-9, -0x1.7c656a7e72086p-9, -0x1.76711565418e3p-9, -0x1.708f31024dda7p-9, -0x1.6abf9ffc36939p-9, -0x1.650208c6565edp-9, -0x1.5f56ee76a6b44p-9, -0x1.59bdb339726e4p-9, -0x1.54363e82ec6ap-9, -0x1.4ec08277a36b4p-9, -0x1.495c8f0261256p-9, -0x1.4409c92f378fep-9, -0x1.3ec87ee05e03dp-9, -0x1.39989288b7a18p-9, -0x1.3479a16302f9fp-9, -0x1.2f6bb3d6c2e88p-9, -0x1.2a6ea18b7acfdp-9, -0x1.258249c4d7d24p-9, -0x1.20a692f944ff9p-9, -0x1.1bdb6229106bp-9, -0x1.1720739592a2ep-9, -0x1.1275aee6792cfp-9, -0x1.0ddb2a4d1544fp-9, -0x1.095062684071p-9, -0x1.04d574daf46ap-9, -0x1.006a3ea8cc92ep-9, -0x1.f81cdc1d973f6p-10, -0x1.ef843c2ca4508p-10, -0x1.e70a4ca07b79fp-10, -0x1.deae5378c3b54p-10, -0x1.d6706c388abffp-10, -0x1.ce502c1ea3c3ap-10, -0x1.c64d5cbbfe0dp-10, -0x1.be67b57383606p-10, -0x1.b69eeb84c1a28p-10, -0x1.aef2cbe774eep-10, -0x1.a762d63d854ep-10, -0x1.9feeffbdc6882p-10, -0x1.989715e9c2897p-10, -0x1.915a61945bc77p-10, -0x1.8a38f0073488bp-10, -0x1.83327d2a6d5a2p-10, -0x1.7c4687e42d9cp-10, -0x1.7575044d85bb8p-10, -0x1.6ebdce0de89e6p-10, -0x1.6820298c14b31p-10, -0x1.619c3e7fb72f8p-10, -0x1.5b318da08235cp-10, -0x1.54dfcf96d1e18p-10, -0x1.4ea6bfce1d1d9p-10, -0x1.488647504188ap-10, -0x1.427da051dc1e8p-10, -0x1.3c8d2e994438cp-10, -0x1.36b493660b5bcp-10, -0x1.30f31d8c181c2p-10, -0x1.2b48ad872355cp-10, -0x1.25b51880b560dp-10, -0x1.20381c1a3ef6dp-10, -0x1.1ad16b61bc54cp-10, -0x1.1580c127a32e1p-10, -0x1.1045fc29ef8a1p-10, -0x1.0b206530e1715p-10, -0x1.060ffbfe30e89p-10, -0x1.0114e711f0938p-10, -0x1.f85d3fe1784fap-11, -0x1.eeb93b61b97d5p-11, -0x1.e53dc34448772p-11, -0x1.dbea1fd4148e4p-11, -0x1.d2be00750acebp-11, -0x1.c9b9bd96b4fcdp-11, -0x1.c0da093a8fcccp-11, -0x1.b821bbf7d6466p-11, -0x1.af8d56680a1fbp-11, -0x1.a71eca1fe3cb1p-11, -0x1.9ed4d5bc7b518p-11, -0x1.96ae87759fa08p-11, -0x1.8eabbfb249ce7p-11, -0x1.86cc0c6956664p-11, -0x1.7f0ee4897e5bep-11, -0x1.7773b97a60763p-11, -0x1.6ffa4bbc2b2bdp-11, -0x1.68a202650ba27p-11, -0x1.616a5ab3a4721p-11, -0x1.5a52f0a11218ep-11, -0x1.535b5010a7cbdp-11, -0x1.4c82f7ee8a652p-11, -0x1.45c96d6cda8dep-11, -0x1.3f2e4661c3741p-11, -0x1.38b14a1c73e04p-11, -0x1.32512472ba0ffp-11, -0x1.2c0efaa5d4e8cp-11, -0x1.25e97dfa09fe3p-11, -0x1.1fe03cac835dap-11, -0x1.19f2d93ca7c99p-11, -0x1.14210196ed545p-11, -0x1.0e6a509fa7c69p-11, -0x1.08cdb39813182p-11, -0x1.034bcc885292ep-11, -0x1.fbc8a90ccca9ap-12, -0x1.f12ab781e3bfep-12, -0x1.e6bfa3643cf18p-12, -0x1.dc85b0ceb8386p-12, -0x1.d27b785ed05f4p-12, -0x1.c8a2b94054ae8p-12, -0x1.bef8dc1b597e3p-12, -0x1.b57cf54472489p-12, -0x1.ac2f7bd53989bp-12, -0x1.a30ca1226366fp-12, -0x1.9a190db2866e1p-12, -0x1.914f517f7d812p-12, -0x1.88b0af6700606p-12, -0x1.803ca4ff73655p-12, -0x1.77f2203978febp-12, -0x1.6fd06672a4ef9p-12, -0x1.67d6ca3834245p-12, -0x1.60049cbca609bp-12, -0x1.5859096ddb671p-12, -0x1.50d469ba29a9ep-12, -0x1.49730a3c0c71cp-12, -0x1.4237d5f19f448p-12, -0x1.3b213cc975476p-12, -0x1.342f1602091f3p-12, -0x1.2d5ddda8751a3p-12, -0x1.26b0a51624c5fp-12, -0x1.202557fcbbc1ep-12, -0x1.19bb06d03bf01p-12, -0x1.1371c653cf54p-12, -0x1.0d48d69044fcdp-12, -0x1.073f83a389462p-12, -0x1.0155623be9273p-12, -0x1.f7139bcc8034fp-13, -0x1.ebb87090ca03ep-13, -0x1.e097a20ec3b6fp-13, -0x1.d5b1a5d279318p-13, -0x1.cb042f0f80382p-13, -0x1.c08dce501f1a7p-13, -0x1.b64fbe69c900cp-13, -0x1.ac46e55d54b38p-13, -0x1.a271407b9aae7p-13, -0x1.98d18a776fb4p-13, -0x1.8f66af55880afp-13, -0x1.862972ae9a2dep-13, -0x1.7d20d683128f7p-13, -0x1.74499f7d258dcp-13, -0x1.6b9d8def95bcdp-13, -0x1.6322fb88cd647p-13, -0x1.5ad6d8b300797p-13, -0x1.52b6eda3a124cp-13, -0x1.4ac39aad1e167p-13, -0x1.42fa9f6d7686ap-13, -0x1.3b5c25a7e5f24p-13, -0x1.33e83f734ab1dp-13, -0x1.2c9c739882379p-13, -0x1.257842f61fd3fp-13, -0x1.1e7b53f14bfe2p-13, -0x1.17a4f96ae5bf7p-13, -0x1.10f63adba7ec5p-13, -0x1.0a69b34eca99ep-13, -0x1.04044bb429fd7p-13, -0x1.fb847998dd173p-14, -0x1.ef3d66dc167e7p-14, -0x1.e343e01917d04p-14, -0x1.d78bfa89a3ff2p-14, -0x1.cc14d783f0039p-14, -0x1.c0dffbcf61e07p-14, -0x1.b5ea7de62099cp-14, -0x1.ab33482de08cp-14, -0x1.a0b92e5f5e364p-14, -0x1.967b64cd553e8p-14, -0x1.8c7590969991cp-14, -0x1.82ab3b3a05bc8p-14, -0x1.791b2b744ce4dp-14, -0x1.6fbe445f3ab8p-14, -0x1.66987880cf094p-14, -0x1.5da7cc36b9917p-14, -0x1.54eb53bfdd08dp-14, -0x1.4c62fa97ee1dbp-14, -0x1.44070a98d020ep-14, -0x1.3bdf4e429f856p-14, -0x1.33eb255a89244p-14, -0x1.2c21035d1fc29p-14, -0x1.248591cc41014p-14, -0x1.1d1676e1e9acfp-14, -0x1.15d3b4509f3dcp-14, -0x1.0ebcee41c56a7p-14, -0x1.07d1b7cfc1c26p-14, -0x1.010ae1ff6940ep-14, -0x1.f4e1dafcacd8dp-15, -0x1.e7fc1f07da47ap-15, -0x1.db66b06c3e6ap-15, -0x1.cf163267a0448p-15, -0x1.c3112fa2d7e48p-15, -0x1.b75531d94852bp-15, -0x1.abe217276c55dp-15, -0x1.a0b5298377769p-15, -0x1.95cb70ea43435p-15, -0x1.8b1fd9a0a19f5p-15, -0x1.80b7837f01db7p-15, -0x1.76926a3253534p-15, -0x1.6ca7a2f3110acp-15, -0x1.62fbeb28e6aa8p-15, -0x1.598bc9a07d9a9p-15, -0x1.5055fa028a843p-15, -0x1.47595d457d90ap-15, -0x1.3e94da538603p-15, -0x1.3608110e1d4f4p-15, -0x1.2db0481e20be4p-15, -0x1.25879ae4c3996p-15, -0x1.1d9d92de9a48bp-15, -0x1.15db3174fe775p-15, -0x1.0e4bf7a3abfd2p-15, -0x1.06ee1c10a706fp-15, -0x1.ff7f1d593a9e1p-16, -0x1.f17c017eb5ab1p-16, -0x1.e3d1ec33feb2ep-16, -0x1.d67f918a470ebp-16, -0x1.c981c0422e5aap-16, -0x1.bcd4e78c27566p-16, -0x1.b081bcc16733fp-16, -0x1.a46aad7ba4652p-16, -0x1.98b0952300dd6p-16, -0x1.8d4af139ff356p-16, -0x1.821b9ca4834adp-16, -0x1.77422e5f2ac01p-16, -0x1.6cb13c9ab4388p-16, -0x1.6262502b19ffcp-16, -0x1.5853e9a8a0093p-16, -0x1.4e88fa2ac9453p-16, -0x1.44ff59dd4b319p-16, -0x1.3bb2a27c1ba02p-16, -0x1.32ac1219399cbp-16, -0x1.29d68f84de67dp-16, -0x1.21436d1d70213p-16, -0x1.18d75ec2f9137p-16, -0x1.10bbc6ec14d4ep-16, -0x1.08d2c155805e1p-16, -0x1.011426d3b2009p-16, -0x1.f31fd5864a577p-17, -0x1.e4833acc5575ap-17, -0x1.d6437d74bd722p-17, -0x1.c86374b834fe1p-17, -0x1.bae1970c2fc08p-17, -0x1.adc3a58db32bcp-17, -0x1.a0efd970c799ap-17, -0x1.9484d386f8e63p-17, -0x1.887008d63c7a6p-17, -0x1.7c9260465c004p-17, -0x1.71253800dcaabp-17, -0x1.6604cacd3b0cbp-17, -0x1.5b3c4deb6f00ap-17, -0x1.50a440fece095p-17, -0x1.464e7a4ef8c5p-17, -0x1.3c64460a5cbb6p-17, -0x1.32afed1832fcdp-17, -0x1.293c3969dd21ap-17, -0x1.2015cd833f5e5p-17, -0x1.17256d24181cfp-17, -0x1.0e764cb6c2ffbp-17, -0x1.060d5c4fbbb9bp-17, -0x1.fbbad6855b19p-18, -0x1.ebc6d6a6f537ep-18, -0x1.dc36dc4a42b17p-18, -0x1.cd5340c60c5a5p-18, -0x1.be91698671c1p-18, -0x1.b06f1171a6d1fp-18, -0x1.a2a5aca19d63dp-18, -0x1.9546c64dad04ep-18, -0x1.88539131698e3p-18, -0x1.7bb889e271cb4p-18, -0x1.6f5a424497076p-18, -0x1.6372ac4e0c104p-18, -0x1.57e8e7416f2cp-18, -0x1.4ca7e86fd3fffp-18, -0x1.41c5129efdd0ep-18, -0x1.37327c8348832p-18, -0x1.2cf0d3b44e104p-18, -0x1.22fecda51ea02p-18, -0x1.1951acdf98b85p-18, -0x1.0fee264e90336p-18, -0x1.06d3eab16149fp-18, -0x1.fc00ece174664p-19, -0x1.eaf92c91b60c3p-19, -0x1.daa9768754c0cp-19, -0x1.ca65513f960abp-19, -0x1.bade2d1d306a8p-19, -0x1.ab31a60203677p-19, -0x1.9d0d232a9be8p-19, -0x1.8e9d59e0bd1e7p-19, -0x1.80fb75806f5cp-19, -0x1.739a3f5ad5ef4p-19, -0x1.66bd5b0f5e2e1p-19, -0x1.5a60fd8fee8b6p-19, -0x1.4e3c66ae02584p-19, -0x1.4270128d71662p-19, -0x1.37022d65a299fp-19, -0x1.2c1dfddd09317p-19, -0x1.21741236fedfdp-19, -0x1.17249470cdb39p-19, -0x1.0cca01a0dc3b8p-19, -0x1.039c9581da909p-19, -0x1.f4950bca0075bp-20, -0x1.e26e3aefad439p-20, -0x1.d0de6105d7bcap-20, -0x1.c02197cecc2bbp-20, -0x1.afd5b53274b58p-20, -0x1.a04a30735185dp-20, -0x1.9096ad851fcd6p-20, -0x1.824d3bc123813p-20, -0x1.7495385027558p-20, -0x1.665d0dddc8b77p-20, -0x1.597ed04afe26ep-20, -0x1.4c5eb909ceb45p-20, -0x1.3fb58b7ca6ab4p-20, -0x1.33f4c66a2f0c8p-20, -0x1.289b3dfe70fb7p-20, -0x1.1d720b7cb8ad7p-20, -0x1.12a32a245d671p-20, -0x1.08a54b5a4361fp-20, -0x1.fd4a3ccfde13ep-21, -0x1.eac134165b1c2p-21, -0x1.d7c2d982c91ecp-21, -0x1.c5d7ba721d95dp-21, -0x1.b4df21f3dd61dp-21, -0x1.a45cc9fe81aap-21, -0x1.947dfd79aaf22p-21, -0x1.8585a5c9c838ep-21, -0x1.76de49d1a5623p-21, -0x1.69a628410a79dp-21, -0x1.5c2a12ed85aeep-21, -0x1.4e30e0ea642f6p-21, -0x1.4163e585c0d82p-21, -0x1.367cd909e6591p-21, -0x1.2aeef5c77ac99p-21, -0x1.204469878c3d2p-21, -0x1.147683a025c42p-21, -0x1.0ad5023c35b27p-21, -0x1.013dce86db2a4p-21, -0x1.ef34cb3649243p-22, -0x1.dd54542a9d85p-22, -0x1.ccf43652b43a1p-22, -0x1.bd086d3962f28p-22, -0x1.ad7a721e25755p-22, -0x1.9e84e9f4b440ep-22, -0x1.9023d242ba024p-22, -0x1.82b4100e6c744p-22, -0x1.75e384b412d93p-22, -0x1.6a315320f431ap-22, -0x1.5d8c7e9161479p-22, -0x1.520879a0f2251p-22, -0x1.48d19c8a3adffp-22, -0x1.3ed419c91a964p-22, -0x1.340366cc4234p-22, -0x1.2c09845f8305ap-22, -0x1.266f2c90df6e6p-22, -0x1.1cb8326a8180bp-22, -0x1.1559011de7857p-22, -0x1.0d29a7af3e84dp-22, -0x1.086875af394a8p-22, -0x1.ff9b6172b6ae6p-23, -0x1.f2199ba630cd9p-23, -0x1.e6709a50b84e4p-23, -0x1.dd339f056a112p-23, -0x1.d4bd71f308686p-23, -0x1.c6edcf4ec5d2ep-23, -0x1.befaac8c77ae1p-23, -0x1.b9292ae009a04p-23, -0x1.b173a6f6fcfafp-23, -0x1.ab94ae816d36fp-23, -0x1.a56252e0be052p-23, -0x1.9f5bfa2a82e5dp-23, -0x1.996b78bd4f07ep-23, -0x1.94a45d3944fd1p-23, -0x1.917a0a30c1e69p-23, -0x1.8a9fe604ef8d9p-23, -0x1.87dc69f982d0ap-23, -0x1.869c3c7051be4p-23, -0x1.833dabfd55509p-23, -0x1.810bcc37f20e6p-23, -0x1.7f4d62e64f50cp-23, -0x1.7d9796e888adcp-23, -0x1.7c7014409e411p-23, -0x1.7b6bdc4057bb6p-23, -0x1.7aa75925c3748p-23, -0x1.7a2d265031279p-23, -0x1.7a23ce6ee0244p-23, -0x1.7c1f0f0fd42f6p-23, -0x1.782dce0715446p-23, -0x1.7d1d822f0bce4p-23, -0x1.7d55fe5b18625p-23, -0x1.7f5c51a6703b3p-23, -0x1.7d3784af9de6p-23, -0x1.7f549bcae1b54p-23, -0x1.81a89a4d9967ep-23, -0x1.8232e4b7c4b62p-23, -0x1.84c2619d5b971p-23, -0x1.876f13767e627p-23, -0x1.8a6556298cc2ap-23, -0x1.8b21f8cde17eep-23, -0x1.8d88ac96ba58p-23, -0x1.9173d88e963a8p-23, -0x1.9105fed080da6p-23, -0x1.934322e0ee8eap-23, -0x1.98ca5e2bfc653p-23, -0x1.9e155f32930e1p-23, -0x1.9c24168947a5dp-23, -0x1.a3b214be9fbebp-23, -0x1.a553ef240fc19p-23, -0x1.a7b337315f96ap-23, -0x1.ab9a68194813fp-23, -0x1.b10a6f0d3d5ffp-23, -0x1.b0a191633eep-23, -0x1.b4c82e70825cp-23, -0x1.b547f32a09ffdp-23, -0x1.bf2c9834d38cbp-23, -0x1.bf0b9974b56a4p-23, -0x1.c1ebffc435b4bp-23, -0x1.c53b728865879p-23, -0x1.c9db6f6394042p-23, -0x1.cb92ff3724dep-23, -0x1.d0ec454b1ae5fp-23, -0x1.d4052d2d6a547p-23, -0x1.d5418a9b5f76dp-23, -0x1.d997875d8097ep-23, -0x1.dc562a501470ap-23, -0x1.df4f20090057bp-23, -0x1.e2c388b22fa3ep-23, -0x1.e621a12468602p-23, -0x1.e96fcc5406343p-23, -0x1.ed3dacb90bd14p-23, -0x1.efcc40a865122p-23, -0x1.f2e1e8ea339e1p-23, -0x1.f62cc3f0d7b2ap-23, -0x1.f8ec658835e02p-23, -0x1.fbab9162f6c93p-23, -0x1.ff22598d6e40ep-23, -0x1.015bc4a911d67p-22, -0x1.026ef9824408fp-22, -0x1.04221b3bf3084p-22, -0x1.0554772242c01p-22, -0x1.05f679effbef9p-22, -0x1.09497776e4fc9p-22, -0x1.0930be752c894p-22, -0x1.0a5d1b1a30ae4p-22, -0x1.0b95c444a189ep-22, -0x1.0cf66809941c7p-22, -0x1.0dbb8254893efp-22, -0x1.0f466b0b6a371p-22, -0x1.1048cb84db0e3p-22, -0x1.122dfc985a305p-22, -0x1.11eae7241167ep-22, -0x1.135a6a44952cbp-22, -0x1.14eabea0f20f6p-22, -0x1.14301b880a1ddp-22, -0x1.15c2f186e5ebap-22, -0x1.173ef8956ce2dp-22, -0x1.17fbd21e9efefp-22, -0x1.18db8aa2c4b7p-22, -0x1.194170562bd29p-22, -0x1.1a76bcab4532bp-22, -0x1.1b56d9a7ca559p-22, -0x1.1c2d7cfb27aabp-22, -0x1.1bca6d91042ddp-22, -0x1.1c8cd84d2c6ep-22, -0x1.1d060551cc9dfp-22, -0x1.1e5545cb66861p-22, -0x1.202083b819ce4p-22, -0x1.1fa948504d247p-22, -0x1.1fd14c475dbcp-22, -0x1.1fe9f116f111dp-22, -0x1.20d773d83e559p-22, -0x1.20bab3b839148p-22, -0x1.20b2af1abd9bcp-22, -0x1.218a7688cca4ep-22, -0x1.221494d3eef8ap-22, -0x1.21a8ce3af6cdfp-22, -0x1.21ed3a41ad287p-22, -0x1.220b6c0562151p-22, -0x1.2240451923866p-22, -0x1.2214726e6154ap-22, -0x1.21b7dc0b20237p-22, -0x1.2312195fb2331p-22, -0x1.2242673d72f4fp-22, -0x1.21c47a7bcbca3p-22, -0x1.2286a2d8fe0cfp-22, -0x1.22784caf28d0bp-22, -0x1.215282bcf1d14p-22, -0x1.21755294217b1p-22, -0x1.213ccc65d432ap-22, -0x1.213cb2588edf7p-22, -0x1.20bd1377d7fd5p-22, -0x1.20ed9e1b38556p-22, -0x1.1f2d0d9212716p-22, -0x1.1f007593fbe01p-22, -0x1.1f918113ca43dp-22, -0x1.1ec9e1f6015aap-22, -0x1.1e92cec64399bp-22, -0x1.1df2b25facd13p-22, -0x1.1d8c636011904p-22, -0x1.1cc57ec3effc2p-22, -0x1.1bec44c2ef2bdp-22, -0x1.1cb252a1969dep-22, -0x1.1a815df27e0d4p-22, -0x1.1af7c42375747p-22, -0x1.1993491c109c1p-22, -0x1.190017a1e092fp-22, -0x1.1875992f96fd7p-22, -0x1.179853f6bd2abp-22, -0x1.163e7f5a42e45p-22, -0x1.15d8bef50bc5bp-22, -0x1.15655cabb06c3p-22, -0x1.1487f4f78a314p-22, -0x1.1352802fd8723p-22, -0x1.120cd9dbd0b7cp-22, -0x1.113649c649bcdp-22, -0x1.1059061ba1154p-22, -0x1.0fcd2fceecf61p-22, -0x1.0ec344f6f5aefp-22, -0x1.0dbe89a57912p-22, -0x1.0c6e2bf0e8a02p-22, -0x1.0b749f03812e1p-22, -0x1.0a69fb9a77d86p-22, -0x1.09b20e5aa917ep-22, -0x1.086e1ee2aea75p-22, -0x1.076dda11a45abp-22, -0x1.05cc7c335ed0fp-22, -0x1.04ef75da969p-22, -0x1.0395dcd8f3e79p-22, -0x1.025fc4a668074p-22, -0x1.00f2519104f22p-22, -0x1.ff5572d79e6c7p-23, -0x1.fcd2fdc67d6c4p-23, -0x1.fa37729a480c6p-23, -0x1.f7836f2117b8ep-23, -0x1.f4cf8a0ca85d5p-23, -0x1.f276974a9545p-23, -0x1.ef60a282d4cdp-23, -0x1.eb329eaf644cbp-23, -0x1.eb22d80022c63p-23, }}, 
      {{0x1.182df694feffp-4, 0x1.f9b7c44a09ce7p-4, 0x1.405559434effdp-3, 0x1.4f900c3349ff4p-3, 0x1.2c5825c67e6adp-3, 0x1.bc54a9803894ep-4, 0x1.bde7cca36f4ebp-5, -0x1.463b2301c3448p-7, -0x1.454151a957e2dp-4, -0x1.31cc1e386f7afp-3, -0x1.ba37c5aeba0c5p-3, -0x1.1b07df32cb3d6p-2, -0x1.50a1249962565p-2, -0x1.7ca6a1c901d26p-2, -0x1.9e80214aea095p-2, -0x1.b61e6118ea778p-2, -0x1.c3dcbeeeeb599p-2, -0x1.c865bdf785528p-2, -0x1.c49aee30074f2p-2, -0x1.b9806741fc01p-2, -0x1.a82be48206baap-2, -0x1.91b73718a1263p-2, -0x1.7735d9b4a13fdp-2, -0x1.59ad2bf297905p-2, -0x1.3a0f04fc45aa9p-2, -0x1.1936363d91f26p-2, -0x1.efc94e1f50eb3p-3, -0x1.ad8561ef119d6p-3, -0x1.6cbee4c1166eap-3, -0x1.2e63a6ece8d1cp-3, -0x1.e6681fa1b4138p-4, -0x1.778d832e41f65p-4, -0x1.1119283c4bep-4, -0x1.6752d9889fba3p-5, -0x1.7e86749301539p-6, -0x1.531f7e0a10714p-8, 0x1.5d05d3d859372p-7, 0x1.8bd8498934491p-6, 0x1.22172b245dc82p-5, 0x1.6c6dbd3dc778p-5, 0x1.a5c0da35f199ep-5, 0x1.cefe24f8c2b1cp-5, 0x1.e927f4d6bf5bdp-5, 0x1.f54e6df1a140fp-5, 0x1.f489be69bd5f3p-5, 0x1.e7f52d0ed8364p-5, 0x1.d0ab09af8cadep-5, 0x1.afc170eebc501p-5, 0x1.86478f87af769p-5, 0x1.55438f391e106p-5, 0x1.1db103fec3404p-5, 0x1.c0ff58db2d668p-6, 0x1.3d257148c0a88p-6, 0x1.63007038097cep-7, 0x1.fa0ac1c3c8d9p-10, -0x1.dc0dee5590969p-8, -0x1.1111a88a5b98bp-6, -0x1.ad49f2cc898f8p-6, -0x1.25434cc8e92f7p-5, -0x1.73dd9eb4ea045p-5, -0x1.c1fa027ae3034p-5, -0x1.07952d0e7162bp-4, -0x1.2d85e49f79d54p-4, -0x1.52a317febddcep-4, -0x1.76c5ca15b8ac6p-4, -0x1.99cbc7ab95ee8p-4, -0x1.bb975ea5dd1bep-4, -0x1.dc0f14e916052p-4, -0x1.fb1d63d681bd3p-4, -0x1.0c583a141bce9p-3, -0x1.1a5ced8a1bb7dp-3, -0x1.27972cb61b48ep-3, -0x1.3402cf580566p-3, -0x1.3f9d055a64482p-3, -0x1.4a6439db6cf27p-3, -0x1.5457f89fff82dp-3, -0x1.5d78d060737f8p-3, -0x1.65c83cc53612p-3, -0x1.6d488b941776fp-3, -0x1.73fcc78341025p-3, -0x1.79e8a1c9005d6p-3, -0x1.7f105e6f0cf68p-3, -0x1.8378c12c04bd3p-3, -0x1.8726fb909e14bp-3, -0x1.8a209b5da723p-3, -0x1.8c6b7d7a8298cp-3, -0x1.8e0dbc974177cp-3, -0x1.8f0da7012cf28p-3, -0x1.8f71b01d09a41p-3, -0x1.8f4065cbafc3cp-3, -0x1.8e80683cab6b5p-3, -0x1.8d385d91dce24p-3, -0x1.8b6eeca9a915p-3, -0x1.892ab2f8799cap-3, -0x1.86724014e78dap-3, -0x1.834c0edc70052p-3, -0x1.7fbe802dad145p-3, -0x1.7bcfd63a059c7p-3, -0x1.7786322188c07p-3, -0x1.72e78ed1d6679p-3, -0x1.6df9bf185bdd4p-3, -0x1.68c26b8aab5d5p-3, -0x1.6347100c2a87p-3, -0x1.5d8cfab2bea83p-3, -0x1.57994ae453ef1p-3, -0x1.5170efa1425f4p-3, -0x1.4b18a7de4663fp-3, -0x1.4495022a9e3b5p-3, -0x1.3dea5bbf2ffdbp-3, -0x1.371ce2e30e0bcp-3, -0x1.303094c65142ap-3, -0x1.29293fc3e87b6p-3, -0x1.220a83e35bde3p-3, -0x1.1ad7d2daf1c29p-3, -0x1.139471f6c960bp-3, -0x1.0c437ac5deaa6p-3, -0x1.04e7dba438a8cp-3, -0x1.fb08b452670ep-4, -0x1.ec3724f3c04f2p-4, -0x1.dd5ff2f6432aep-4, -0x1.ce87bdb46c9d4p-4, -0x1.bfb2d964ae0bep-4, -0x1.b0e5525351719p-4, -0x1.a222f25446e16p-4, -0x1.936f3f0eb75e5p-4, -0x1.84cd7e1f0a05ep-4, -0x1.7640bb158b0c5p-4, -0x1.67cbc36a97707p-4, -0x1.59712e5b6c829p-4, -0x1.4b335d7bdbb9cp-4, -0x1.3d147f160d67p-4, -0x1.2f1690284a3adp-4, -0x1.213b60c0b3b74p-4, -0x1.1384945624dd4p-4, -0x1.05f3a38be126fp-4, -0x1.f113c23a66b9ep-5, -0x1.d690f55893e08p-5, -0x1.bc60f23efb1c8p-5, -0x1.a285885c162fdp-5, -0x1.89004c63c2878p-5, -0x1.6fd297e7a0eb5p-5, -0x1.56fd8b636fda7p-5, -0x1.3e821252e9b54p-5, -0x1.2660ee857283p-5, -0x1.0e9ab27c4f91p-5, -0x1.ee5f87936c023p-6, -0x1.c040c8ee8f1a7p-6, -0x1.92d96b558d88p-6, -0x1.66296ab708b64p-6, -0x1.3a30841dcd9c2p-6, -0x1.0eee447b57125p-6, -0x1.c8c40a168af71p-7, -0x1.7515da95a5478p-7, -0x1.22cff9e5246efp-7, -0x1.a3e03d5e3a476p-8, -0x1.04e7864161868p-8, -0x1.a2c0cb12e426ep-10, 0x1.865df5fed500dp-11, 0x1.8f2550141973cp-9, 0x1.5bab2ac150551p-8, 0x1.ed1c406429b19p-8, 0x1.3df6913a437a7p-7, 0x1.84129c53b5b67p-7, 0x1.c8e6076143e2p-7, 0x1.063a549befe56p-6, 0x1.276137b4708b8p-6, 0x1.47e9a6fef48ep-6, 0x1.67d59edc6db8cp-6, 0x1.87271c7fb41e6p-6, 0x1.a5e01fd17e3b7p-6, 0x1.c402a9a8eb78ap-6, 0x1.e190b86172d22p-6, 0x1.fe8c460b66954p-6, 0x1.0d7ba484dc425p-5, 0x1.1b69da09a51a8p-5, 0x1.2911bc563305bp-5, 0x1.36743ec5d0226p-5, 0x1.439252d47ff8p-5, 0x1.506ce448341c8p-5, 0x1.5d04df8d3d2e8p-5, 0x1.695b2bbccb163p-5, 0x1.7570a6fbf275bp-5, 0x1.814631998b662p-5, 0x1.8cdca7baca36ep-5, 0x1.9834dda44920ap-5, 0x1.a34fa3df34918p-5, 0x1.ae2dc8fa363d9p-5, 0x1.b8d014e624f63p-5, 0x1.c3374cf9ab236p-5, 0x1.cd643043c580bp-5, 0x1.d7577b5c85853p-5, 0x1.e111e5d33655fp-5, 0x1.ea94224bb178bp-5, 0x1.f3dee1e65f002p-5, 0x1.fcf2cd699b4b1p-5, 0x1.02e8471fca03bp-4, 0x1.073c641d0439fp-4, 0x1.0b760d3e25ac3p-4, 0x1.0f958f91c19a8p-4, 0x1.139b37b02696dp-4, 0x1.1787519de297bp-4, 0x1.1b5a245bb6672p-4, 0x1.1f13f7fd89382p-4, 0x1.22b512e880c9dp-4, 0x1.263dba26b5915p-4, 0x1.29ae2ef641cd7p-4, 0x1.2d06b3e433652p-4, 0x1.304788af3bfa9p-4, 0x1.3370ed76e6bc3p-4, 0x1.36831fc8dbe03p-4, 0x1.397e5bacc95d4p-4, 0x1.3c62de3e0fc89p-4, 0x1.3f30e1fe470d8p-4, 0x1.41e8a169dd91p-4, 0x1.448a5426884e5p-4, 0x1.47163492adb43p-4, 0x1.498c78d3831e3p-4, 0x1.4bed57ef3bf45p-4, 0x1.4e3909924c921p-4, 0x1.506fc1c68da76p-4, 0x1.5291b6b62ffecp-4, 0x1.549f1c7cffb66p-4, 0x1.569826a41877ap-4, 0x1.587d0a5ccc3efp-4, 0x1.5a4df9dd64f6cp-4, 0x1.5c0b29967881bp-4, 0x1.5db4cafc959a6p-4, 0x1.5f4b10ab467f1p-4, 0x1.60ce2c25fe517p-4, 0x1.623e51a93a514p-4, 0x1.639bb021a8074p-4, 0x1.64e67d218a078p-4, 0x1.661ee6b70cfebp-4, 0x1.6745201e8e567p-4, 0x1.6859592a14fc1p-4, 0x1.695bc46e613f4p-4, 0x1.6a4c936078c6fp-4, 0x1.6b2bf790044f7p-4, 0x1.6bfa217df0a59p-4, 0x1.6cb74308e3af2p-4, 0x1.6d638c4d8e9c9p-4, 0x1.6dff2fa45abedp-4, 0x1.6e8a5e3215adp-4, 0x1.6f054a28d7aaep-4, 0x1.6f70256aee58cp-4, 0x1.6fcb205a35162p-4, 0x1.70166d40d5497p-4, 0x1.70523db3e51d5p-4, 0x1.707ec24f3e29fp-4, 0x1.709c2f63bfe0bp-4, 0x1.70aab63640448p-4, 0x1.70aa89994651p-4, 0x1.709bdb3a7aa0cp-4, 0x1.707edcee40963p-4, 0x1.7053c19e7f285p-4, 0x1.701abab61a067p-4, 0x1.6fd3fc0104c53p-4, 0x1.6f7fb8cba1b84p-4, 0x1.6f1e23dc93002p-4, 0x1.6eaf6f8cfd1c3p-4, 0x1.6e33cfb51ad35p-4, 0x1.6dab752c23a15p-4, 0x1.6d169407168b5p-4, 0x1.6c755f092642cp-4, 0x1.6bc80a91ae20ep-4, 0x1.6b0ec905f8102p-4, 0x1.6a49cf6116c73p-4, 0x1.69794e2a7502p-4, 0x1.689d7acee3864p-4, 0x1.67b685e934eb6p-4, 0x1.66c4a3f58abdap-4, 0x1.65c808094221ap-4, 0x1.64c0e58bfce53p-4, 0x1.63af708c2f46cp-4, 0x1.6293db676cd1bp-4, 0x1.616e58c1435e2p-4, 0x1.603f1c4a88a07p-4, 0x1.5f06569a2441bp-4, 0x1.5dc43b50190b1p-4, 0x1.5c78fdab6498ap-4, 0x1.5b24cf24b1d55p-4, 0x1.59c7e3d729f7fp-4, 0x1.58626d259e21fp-4, 0x1.56f49ce2adf14p-4, 0x1.557ea5ae7a9f8p-4, 0x1.5400b64ca341fp-4, 0x1.527b0305df18bp-4, 0x1.50edba76ac683p-4, 0x1.4f590fd9e50bdp-4, 0x1.4dbd339fef6bap-4, 0x1.4c1a564beaedap-4, 0x1.4a70a8cb477cbp-4, 0x1.48c05a3f7cf2cp-4, 0x1.47099a433951p-4, 0x1.454c98ba4ed7p-4, 0x1.438983cf1dacap-4, 0x1.41c08a3568fa6p-4, 0x1.3ff1db5a5031p-4, 0x1.3e1da6ffe7f9cp-4, 0x1.3c441910e7ccap-4, 0x1.3a6560f9dd70cp-4, 0x1.3881a8b373f19p-4, 0x1.369920e989775p-4, 0x1.34abf3b304082p-4, 0x1.32ba4d12560bp-4, 0x1.30c458aa1b7dp-4, 0x1.2eca423f196e5p-4, 0x1.2ccc34b94dd0bp-4, 0x1.2aca5bd1bf065p-4, 0x1.28c4e04f4d83dp-4, 0x1.26bbed088b6f7p-4, 0x1.24afaa357872ap-4, 0x1.22a040971f6e9p-4, 0x1.208dd84f617a3p-4, 0x1.1e78996daecf8p-4, 0x1.1c60ab66c0151p-4, 0x1.1a4635232d037p-4, 0x1.18295d820ec9cp-4, 0x1.160a4ad8ca502p-4, 0x1.13e922755f949p-4, 0x1.11c60a405242ep-4, 0x1.0fa1252061bf3p-4, 0x1.0d7a986cfa9f5p-4, 0x1.0b528724d5aa4p-4, 0x1.09291472a5c59p-4, 0x1.06fe62ac95c85p-4, 0x1.04d29459d943cp-4, 0x1.02a5cb0b9f3b8p-4, 0x1.0078280f96997p-4, 0x1.fc939840c4afcp-5, 0x1.f835aeb25e40ap-5, 0x1.f3d6d2a912df1p-5, 0x1.ef7741ffc8326p-5, 0x1.eb1739b5221c7p-5, 0x1.e6b6f5768d873p-5, 0x1.e256b0adc1c81p-5, 0x1.ddf6a4c888ba5p-5, 0x1.d99709cb81acdp-5, 0x1.d53819a340105p-5, 0x1.d0da0a37acd86p-5, 0x1.cc7d1137443cap-5, 0x1.c82164a7c0ca8p-5, 0x1.c3c73812f43fdp-5, 0x1.bf6ebe96dd283p-5, 0x1.bb182a0d0b3dp-5, 0x1.b6c3ab3071c87p-5, 0x1.b271712f78052p-5, 0x1.ae21aa60d8ce5p-5, 0x1.a9d4840701642p-5, 0x1.a58a29aee34c9p-5, 0x1.a142c70466098p-5, 0x1.9cfe856f5a14dp-5, 0x1.98bd90e77f6f4p-5, 0x1.948010f375293p-5, 0x1.90462ffb28c2p-5, 0x1.8c10154c594adp-5, 0x1.87dde7afb7d72p-5, 0x1.83afcc619b06dp-5, 0x1.7f85e6af1d46bp-5, 0x1.7b60588a85403p-5, 0x1.773f410bd49e4p-5, 0x1.7322bf5c470dfp-5, 0x1.6f0af142a79c8p-5, 0x1.6af7f4955bd26p-5, 0x1.66e9e7a1822eep-5, 0x1.62e0e9f5c9032p-5, 0x1.5edd1a5205176p-5, 0x1.5ade981c037f6p-5, 0x1.56e583c6f361cp-5, 0x1.52f1f847ce49ap-5, 0x1.4f040f9601fb3p-5, 0x1.4b1be0e794163p-5, 0x1.47397e484b758p-5, 0x1.435cf9cbce501p-5, 0x1.3f8661822420cp-5, 0x1.3bb5c4c2714d1p-5, 0x1.37eb3414219d1p-5, 0x1.3426c3063dde9p-5, 0x1.3068882039352p-5, 0x1.2cb09c9190399p-5, 0x1.28ff1b09641e8p-5, 0x1.25541d99f53d1p-5, 0x1.21afbbfd93ecbp-5, 0x1.1e12061430fcbp-5, 0x1.1a7b0f6d6d39fp-5, 0x1.16ead3632354dp-5, 0x1.1361596f4a0dap-5, 0x1.0fde9d0c6c551p-5, 0x1.0c629c0d105fap-5, 0x1.08ed56e20d9a4p-5, 0x1.057ed3a299387p-5, 0x1.021720651000cp-5, 0x1.fd6ca13c88141p-6, 0x1.f6b8fdaa20e67p-6, 0x1.f0138ce3dca3p-6, 0x1.e97c815bcdb3ep-6, 0x1.e2f4011a1946bp-6, 0x1.dc7a200764b94p-6, 0x1.d60edc6d840b8p-6, 0x1.cfb22090f2ac3p-6, 0x1.c963c74d45d26p-6, 0x1.c323a534bb4d9p-6, 0x1.bcf191b8de055p-6, 0x1.b6cd71f168dfep-6, 0x1.b0b741c524f5ep-6, 0x1.aaaf100efc399p-6, 0x1.a4b502138400bp-6, 0x1.9ec9534791b0fp-6, 0x1.98ec3d2d4dd2cp-6, 0x1.931df7233205dp-6, 0x1.8d5ea6e580c4fp-6, 0x1.87ae58a24c813p-6, 0x1.820cfc457e0fcp-6, 0x1.7c7a693506c89p-6, 0x1.76f6625fca024p-6, 0x1.7180a17187078p-6, 0x1.6c18e6d4c211dp-6, 0x1.66befe6b41a7cp-6, 0x1.6172cbae34e12p-6, 0x1.5c344caf59b4p-6, 0x1.570399120f24p-6, 0x1.51e0db93ddfaep-6, 0x1.4ccc472e6e04cp-6, 0x1.47c60ccfb485dp-6, 0x1.42ce4e428eafp-6, 0x1.3de5191b217dfp-6, 0x1.390a6028d8385p-6, 0x1.343dfb8f14f13p-6, 0x1.2f7fb3e3f2eabp-6, 0x1.2acf4761e33cbp-6, 0x1.262c745f26e7fp-6, 0x1.219700538adep-6, 0x1.1d0ec94dff7d2p-6, 0x1.1893b1af5ce45p-6, 0x1.1425c0d352b5ep-6, 0x1.0fc4fdd165d57p-6, 0x1.0b7181598d641p-6, 0x1.072b61833ee2fp-6, 0x1.02f2aadf43963p-6, 0x1.fd8eb37a39ef6p-7, 0x1.f552b190e5554p-7, 0x1.ed3108cde051cp-7, 0x1.e5295ea56807p-7, 0x1.dd3b5610b3b78p-7, 0x1.d566990ec4c0ap-7, 0x1.cdaae31b8ad41p-7, 0x1.c608007527aa2p-7, 0x1.be7dccf225bb9p-7, 0x1.b70c32bd40523p-7, 0x1.afb3293cd390ep-7, 0x1.a872b50c39bfep-7, 0x1.a14acd7c65487p-7, 0x1.9a3b87502d89bp-7, 0x1.9344b920bdf55p-7, 0x1.8c6627de85b23p-7, 0x1.859f68886f2e4p-7, 0x1.7eefef0408f87p-7, 0x1.7857275b2d278p-7, 0x1.71d4952fc8ae5p-7, 0x1.6b67ee908e341p-7, 0x1.6511259885818p-7, 0x1.5ed0592dd3b7bp-7, 0x1.58a5b5e10f453p-7, 0x1.52915752e9101p-7, 0x1.4c93364015478p-7, 0x1.46ab28c591288p-7, 0x1.40d8f2c293fe6p-7, 0x1.3b1c62df6b363p-7, 0x1.3575582035fd3p-7, 0x1.2fe3c9b70bb44p-7, 0x1.2a67917d44abbp-7, 0x1.25007437d468ap-7, 0x1.1fade9786da4p-7, 0x1.1a6f2ea511c9ep-7, 0x1.15436b6116fe8p-7, 0x1.1029ef2ff6bf7p-7, 0x1.0b226dbfbc05dp-7, 0x1.062d16561b229p-7, 0x1.014a739fdcf12p-7, 0x1.f8f641cf05a22p-8, 0x1.ef7ede88ef6e6p-8, 0x1.e62e87a5ca0bep-8, 0x1.dd042c85df01fp-8, 0x1.d3fe4a223d1bcp-8, 0x1.cb1bbeb8a0828p-8, 0x1.c25bab80844eep-8, 0x1.b9be153a2c76bp-8, 0x1.b14374bf428a3p-8, 0x1.a8ec538c03302p-8, 0x1.a0b8ce98998e6p-8, 0x1.98a83307c4503p-8, 0x1.90b8f14cd65fdp-8, 0x1.88e9000ea7079p-8, 0x1.81369b6f313e8p-8, 0x1.79a106b1397cep-8, 0x1.7228d61455629p-8, 0x1.6acf96a5e96edp-8, 0x1.6396e5418f736p-8, 0x1.5c7f85273b012p-8, 0x1.5588ec5ba8ebbp-8, 0x1.4eb174b27682cp-8, 0x1.47f6fc148ca44p-8, 0x1.41579709db197p-8, 0x1.3ad226a6d1954p-8, 0x1.34668671d6faap-8, 0x1.2e157c54bf805p-8, 0x1.27e025ca50855p-8, 0x1.21c76576e709dp-8, 0x1.1bcb621161d7cp-8, 0x1.15eb6947c6521p-8, 0x1.10261d4a77b35p-8, 0x1.0a79e30db64b3p-8, 0x1.04e58f355946dp-8, 0x1.fed1567703dcap-9, 0x1.f40714d03765p-9, 0x1.e96e19ee7a442p-9, 0x1.df07f604f9996p-9, 0x1.d4d51753e7eddp-9, 0x1.cad47267d377ep-9, 0x1.c103cebbc0448p-9, 0x1.b760204bf4b43p-9, 0x1.ade624cd463fcp-9, 0x1.a493a42d8da32p-9, 0x1.9b679c85fffb5p-9, 0x1.92632d820706ap-9, 0x1.8988178250c3ap-9, 0x1.80d7a3c4c95fp-9, 0x1.7851e558a594dp-9, 0x1.6ff5ddb43ae5p-9, 0x1.67c244552e83fp-9, 0x1.5fb6390346fd6p-9, 0x1.57d17304ab431p-9, 0x1.5014071efe368p-9, 0x1.487dcf6dffd66p-9, 0x1.410dd65526752p-9, 0x1.39c24d6001b1ep-9, 0x1.32997092ebe3dp-9, 0x1.2b929d5f94afep-9, 0x1.24ae6b394c489p-9, 0x1.1ded8c8a7a8a7p-9, 0x1.174f7c63beafdp-9, 0x1.10d25d291c279p-9, 0x1.0a74443158f58p-9, 0x1.0434450183aa9p-9, 0x1.fc243f20e2391p-10, 0x1.f01b49a7f6b3cp-10, 0x1.e44d4ce4a90ccp-10, 0x1.d8b9ddbc4b3d1p-10, 0x1.cd6016c0db872p-10, 0x1.c23ea5fc345eep-10, 0x1.b754d0190f3bcp-10, 0x1.aca32933a899ep-10, 0x1.a22d3eb328b71p-10, 0x1.97f5c31764f2ap-10, 0x1.8dfc4f9afda0ep-10, 0x1.843c058aa2207p-10, 0x1.7aad0cc30dfaep-10, 0x1.714869bf065c8p-10, 0x1.680cbe39aae99p-10, 0x1.5efeca3d0f70dp-10, 0x1.56239d90c4e96p-10, 0x1.4d7b59bc2abd1p-10, 0x1.4503365aa339cp-10, 0x1.3cba9b7d377fdp-10, 0x1.34a27c75b6df6p-10, 0x1.2cb8d08072508p-10, 0x1.24f85e9bdd1acp-10, 0x1.1d5ce27dc97f3p-10, 0x1.15e5e38883524p-10, 0x1.0e95a5ac6200bp-10, 0x1.076d69cc4b49fp-10, 0x1.006bae01df79ap-10, 0x1.f31daf521818cp-11, 0x1.e5b1659588d5dp-11, 0x1.d899eabcc719bp-11, 0x1.cbd9f5e203ecbp-11, 0x1.bf6d71ea0f0e5p-11, 0x1.b34d256bbf95cp-11, 0x1.a76f67bacc28ep-11, 0x1.9bc869bc6948p-11, 0x1.90543b114a46bp-11, 0x1.851d423703b1bp-11, 0x1.7a2c29468e803p-11, 0x1.6f7c3af2d258cp-11, 0x1.65077a16be59ep-11, 0x1.5ad42a8483ec3p-11, 0x1.50e93cd7c71a3p-11, 0x1.4743cda2b582fp-11, 0x1.3dda033c05319p-11, 0x1.34a0974b439f5p-11, 0x1.2b918e4e11966p-11, 0x1.22b139c8c103ep-11, 0x1.1a076c5eeb69cp-11, 0x1.119422ab1cba8p-11, 0x1.0950dab9ea07p-11, 0x1.013d3facecb5bp-11, 0x1.f2bca80b72932p-12, 0x1.e36c59229db27p-12, 0x1.d48319fe21a15p-12, 0x1.c5f9f5d34ea15p-12, 0x1.b7cd60b321f25p-12, 0x1.a9fc2a5693fa6p-12, 0x1.9c7cce198139p-12, 0x1.8f42c828f8433p-12, 0x1.8256ba3edadaap-12, 0x1.75c2ed5639c11p-12, 0x1.69792bde8d935p-12, 0x1.5d74e098894c6p-12, 0x1.51c4e0a205a16p-12, 0x1.466cfb94349a8p-12, 0x1.3b66c89af8d9cp-12, 0x1.30ae99a7ba63bp-12, 0x1.26419fb6ddc0ap-12, 0x1.1c1620b14c0cbp-12, 0x1.1220007f7bf35p-12, 0x1.0863df3f1916ep-12, 0x1.fddb5d2535bdap-13, 0x1.eb6fac573a921p-13, 0x1.d972be4f43fc1p-13, 0x1.c7f35f9b2b065p-13, 0x1.b6fc0ac7d787ep-13, 0x1.a6800067e192ap-13, 0x1.9672aea8bf5ffp-13, 0x1.86cff111ccca8p-13, 0x1.7795a950e3277p-13, 0x1.68c8f8a133bfbp-13, 0x1.5a7312d93285fp-13, 0x1.4c8486433424fp-13, 0x1.3eee45ed769d2p-13, 0x1.31b79b735bf89p-13, 0x1.24d18c9dcf617p-13, 0x1.18453299aef8ep-13, 0x1.0c24c4a87bdacp-13, 0x1.0062afe3dff67p-13, 0x1.e9e60dba4168ap-14, 0x1.d3aa96e3fa693p-14, 0x1.be1824111adafp-14, 0x1.a9334f75043acp-14, 0x1.94ffe4228f4cbp-14, 0x1.816c5cc51829dp-14, 0x1.6e5b2ebd600bp-14, 0x1.5bd93975a9979p-14, 0x1.49e4d99839831p-14, 0x1.3868f34edfa95p-14, 0x1.2783e18d2dcc6p-14, 0x1.173e9289d5615p-14, 0x1.077d4acb99f7ap-14, 0x1.f06337ce379f1p-15, 0x1.d2b2b5bd32b48p-15, 0x1.b5ea0a04d2267p-15, 0x1.9a045e28b3672p-15, 0x1.7f1f6cb9a80f5p-15, 0x1.655d51d46c0eap-15, 0x1.4c71599794055p-15, 0x1.34343874cd1e8p-15, 0x1.1c9d5150e8ec8p-15, 0x1.05e2d3098ac44p-15, 0x1.e042992900c5ap-16, 0x1.b63a7fb3e4b7fp-16, 0x1.8d93e9ae73a91p-16, 0x1.6651857e610e9p-16, 0x1.406f6575415bfp-16, 0x1.1beb726f8816p-16, 0x1.f174f8e7f99d9p-17, 0x1.ada908ce048f7p-17, 0x1.6ca146cce5a29p-17, 0x1.2ea4f2af19a86p-17, 0x1.e6404b0f66644p-18, 0x1.732683b8f03d2p-18, 0x1.03ceaa768f5dfp-18, 0x1.31681dae4083dp-19, 0x1.98d351c3a8b46p-21, -0x1.6f9f2954f6167p-21, -0x1.169fead03ac88p-19, -0x1.ca0be8a82efedp-19, -0x1.3b0aab246ae9dp-18, -0x1.8d53f9c398f5bp-18, -0x1.dc1c7a0da7cfep-18, -0x1.136e208b5d87cp-17, -0x1.3679529a28042p-17, -0x1.581180f396c36p-17, -0x1.78b2a1957d7b6p-17, -0x1.9780a35b3c2adp-17, -0x1.b44f6eba02d12p-17, -0x1.cfc2088bc6e9cp-17, -0x1.e9d9201177384p-17, -0x1.0144af8c8a98ep-16, -0x1.0ced880c1061bp-16, -0x1.17e7cfa381714p-16, -0x1.223935a4dc144p-16, -0x1.2bea7c322a1ep-16, -0x1.3503fbe8c723cp-16, -0x1.3d8a82986b993p-16, -0x1.458377c9d59c1p-16, -0x1.4cea81126d85dp-16, -0x1.53971af96f2d5p-16, -0x1.59aae3db8dc59p-16, -0x1.5f70db303bb71p-16, -0x1.64d54a74424ap-16, -0x1.6992818b8d006p-16, -0x1.6dcd48bf110b6p-16, -0x1.71a636639deefp-16, -0x1.751b3faa50edap-16, -0x1.78276a61fcd9dp-16, -0x1.7aca655827ac6p-16, -0x1.7d0c9896effedp-16, -0x1.7eef740fd61c9p-16, -0x1.8051ccbce1e11p-16, -0x1.816bb46519743p-16, -0x1.824b9bf716c78p-16, -0x1.82b0ef959fd44p-16, -0x1.82cc9a806f246p-16, -0x1.82a15844b455fp-16, -0x1.822cb6a6e0fb7p-16, -0x1.816f99e0bceb9p-16, -0x1.806cbea17238cp-16, -0x1.7f2a773e049fbp-16, -0x1.7d9bda94a1a3fp-16, -0x1.7bcf70c569295p-16, -0x1.79c79ee6ef7d6p-16, -0x1.778de1ffce55p-16, -0x1.751eec86d6797p-16, -0x1.7277ae7dcab8fp-16, -0x1.6f9e1fb988a91p-16, -0x1.6c991333cd706p-16, -0x1.6964c15955b8fp-16, -0x1.65edc3ec0988ap-16, -0x1.62500b4f02667p-16, -0x1.5ea1289553c63p-16, -0x1.5ab6fc05b0a4dp-16, -0x1.56a6912c2a6bbp-16, -0x1.527922b1de589p-16, -0x1.4e2d794142ffep-16, -0x1.49c28f45260c9p-16, -0x1.4536ff40cf63cp-16, -0x1.4095138227855p-16, -0x1.3bd56abab7c95p-16, -0x1.36f31b08c59b9p-16, -0x1.32002c084d3ccp-16, -0x1.2ce94ea08781cp-16, -0x1.27c55f838e83dp-16, -0x1.228e9d8041bdbp-16, -0x1.1d472130496a2p-16, -0x1.17ec245017967p-16, -0x1.12804a5ff15c3p-16, -0x1.0d04dd51839b4p-16, -0x1.077b16ba37197p-16, -0x1.01e3fccef5cfbp-16, -0x1.f880ff1e11a8bp-17, -0x1.ed25aaf1f770dp-17, -0x1.e1b62abf73bf5p-17, -0x1.d630c0a56fba2p-17, -0x1.ca9d6a20150e5p-17, -0x1.befcd5ec8d74dp-17, -0x1.b350c596e4626p-17, -0x1.a791e887a3c5bp-17, -0x1.9bd7745e2eb88p-17, -0x1.900fc4642c63bp-17, -0x1.8448c11deadap-17, -0x1.786fd7b8e88e1p-17, -0x1.6c99e0fd5e53p-17, -0x1.60b28c88d432p-17, -0x1.54cb1bf655188p-17, -0x1.48ff67431db0cp-17, -0x1.3d2a29b798c94p-17, -0x1.31548ec03780cp-17, -0x1.25870c83231e4p-17, -0x1.19c591f33cd58p-17, -0x1.0e087cad71e8ep-17, -0x1.0241f86c24375p-17, -0x1.ed1c9f9c5d791p-18, -0x1.d5c28c198b90bp-18, -0x1.be9eb398a06d5p-18, -0x1.a78206d657c0ep-18, -0x1.90823d386779p-18, -0x1.79846bf9c659p-18, -0x1.62b27cac57971p-18, -0x1.4c05ba6d55df6p-18, -0x1.35764dad76de7p-18, -0x1.1f039fd7d1e5ap-18, -0x1.08bb4e3078862p-18, -0x1.e5127625b8cbdp-19, -0x1.b90d5ce755e11p-19, -0x1.8d4ccf67492bcp-19, -0x1.61dd75c1f723ep-19, -0x1.36bd9e09ecffcp-19, -0x1.0bf108a55130ep-19, -0x1.c2f5a5dd47bbdp-20, -0x1.6eba47fc59552p-20, -0x1.1b2e83ec18a51p-20, -0x1.907b8c55ef041p-21, -0x1.d93ff9dd670a6p-22, -0x1.2281bd347eb53p-23, 0x1.5c88a86312b0dp-23, 0x1.ee6ebf1da766fp-22, 0x1.95cd77cf782bdp-21, 0x1.193fcb659bf7fp-20, 0x1.66cf0cab1a2e8p-20, 0x1.b3994e558fba8p-20, 0x1.ff92d4faaedd4p-20, 0x1.2549ddd20c2acp-19, 0x1.49f6a0b236a47p-19, 0x1.6f3415cbe89a9p-19, 0x1.93a999e48ef61p-19, 0x1.b79c48591a7a9p-19, 0x1.db21ad62cd797p-19, 0x1.fe2661ee170f1p-19, 0x1.106a9ae9e166ep-18, 0x1.2188aa4eaef8bp-18, 0x1.327a80110c4d9p-18, 0x1.436fa918f2392p-18, 0x1.53a310b764199p-18, 0x1.63e07bf32298ap-18, 0x1.73f57928ae566p-18, 0x1.83c2b826317bfp-18, 0x1.93755355b3f09p-18, 0x1.a2d179155a4cbp-18, 0x1.b1fb7cc909d1bp-18, 0x1.c0f42a13fe64cp-18, 0x1.cfa04c7275cd4p-18, 0x1.de3f81fe7c2dp-18, 0x1.ec937a9f1ccb6p-18, 0x1.faaa80eb73692p-18, 0x1.04437ef9d7fe1p-17, 0x1.0b1ba63076698p-17, 0x1.11c1fd089ca57p-17, 0x1.1875d5d8ff9fap-17, 0x1.1f00dd12fbb1ap-17, 0x1.255e9c40d3d83p-17, 0x1.2bacaeabdbbfp-17, 0x1.31e0075dd0f99p-17, 0x1.37f091a318f7dp-17, 0x1.3df0f3fd4dc2dp-17, 0x1.43cd564fcab3ap-17, 0x1.499714d8693e9p-17, 0x1.4f4099b3e7889p-17, 0x1.54ceb19b764b3p-17, 0x1.5a424432eac8cp-17, 0x1.5f9f9a645dc82p-17, 0x1.64e40f088da34p-17, 0x1.6a0de128f9a77p-17, 0x1.6f19d6d32d81ap-17, 0x1.740734cd4f245p-17, 0x1.78e3411710fb5p-17, 0x1.7da368770e51p-17, 0x1.824f3d41da251p-17, 0x1.86dc5cbcbab4dp-17, 0x1.8b511a1e8d4fap-17, 0x1.8faef4a45a269p-17, 0x1.93f05d8e587d6p-17, 0x1.982dbc9765c81p-17, 0x1.9c2c428d6d313p-17, 0x1.a02239976d341p-17, 0x1.a40c0c5262f22p-17, 0x1.a7d7b50fdbf3ep-17, 0x1.ab8e6883ae02ap-17, 0x1.af267e9c0f476p-17, 0x1.b2add14036e88p-17, 0x1.b612c293c7bfep-17, 0x1.b96d2b0050de8p-17, 0x1.bca985d83d12ep-17, 0x1.bfd53db390cddp-17, 0x1.c2f060449319p-17, 0x1.c5e63048dfda7p-17, 0x1.c8d2a4fdce953p-17, 0x1.cba321e577decp-17, 0x1.ce583e29b6ae9p-17, 0x1.d102a04dfc8c7p-17, 0x1.d392ad7c7be1dp-17, 0x1.d60b07f9afa5bp-17, 0x1.d8871d176f3a2p-17, 0x1.dacf5e4f90451p-17, 0x1.dd0e2fc1a19c4p-17, 0x1.df3a906d68b55p-17, 0x1.e14bf5286e6f4p-17, 0x1.e34bd237b8e02p-17, 0x1.e53ef8ced4225p-17, 0x1.e71d618dc2902p-17, 0x1.e8ed3a6c3808bp-17, 0x1.eaa1b42f4714fp-17, 0x1.ec4254450b216p-17, 0x1.edd804cf9dff3p-17, 0x1.ef5082b8a5a51p-17, 0x1.f0c0d29fd950dp-17, 0x1.f21ded93506fap-17, 0x1.f375d33ea756p-17, 0x1.f497b9dc2530bp-17, 0x1.f5c4a83ce24a8p-17, 0x1.f6d45e6d4d363p-17, 0x1.f7e33db8617dcp-17, 0x1.f8d60563dbb4cp-17, 0x1.f9b683392efd7p-17, 0x1.fa88f289a3fd6p-17, 0x1.fb4c3bc7e5467p-17, 0x1.fc00f220b3ebap-17, 0x1.fca77b76b2e83p-17, 0x1.fd3a76dfe291ep-17, 0x1.fdb63f68673d4p-17, 0x1.fe6a3ff52cd96p-17, 0x1.fe90bae7b7faep-17, }}, 
      {{0x1.edd61234623c9p-5, 0x1.d54b89bb31174p-4, 0x1.4451bdebed935p-3, 0x1.831ea7078979bp-3, 0x1.a52c90108215ep-3, 0x1.ab45c440740dcp-3, 0x1.980665fd24024p-3, 0x1.6f206194e9ab8p-3, 0x1.34c6f5f64bc65p-3, 0x1.da842f25068p-4, 0x1.3949a90b1b1b5p-4, 0x1.1a7fc093d9388p-5, -0x1.196377b20bb48p-7, -0x1.a52a805959959p-5, -0x1.7c98e6bf6c935p-4, -0x1.0ee577236069ap-3, -0x1.59cecb2bbf014p-3, -0x1.9e23d1241f647p-3, -0x1.db54819fbc917p-3, -0x1.088bfd11c2aefp-2, -0x1.1fafe9c78649p-2, -0x1.33263d9e4fe1cp-2, -0x1.43116a5b8624bp-2, -0x1.4fa18c2268437p-2, -0x1.591081af5bfc9p-2, -0x1.5f9e9c6c79332p-2, -0x1.638fe4fce1c3bp-2, -0x1.6529e048f1acap-2, -0x1.64b1c9efee2b6p-2, -0x1.626b32400e329p-2, -0x1.5e96f2fe41899p-2, -0x1.59726fc63a187p-2, -0x1.53370cff0f67cp-2, -0x1.4c19e021eada1p-2, -0x1.444b84e980ee6p-2, -0x1.3bf81007f8e54p-2, -0x1.33472157462b7p-2, -0x1.2a5c0306e2346p-2, -0x1.2155db82ed9a3p-2, -0x1.184fe54ee6ebp-2, -0x1.0f61b11117a14p-2, -0x1.069f685b07ef8p-2, -0x1.fc34290f85fbp-3, -0x1.ebbfc579c87a7p-3, -0x1.dbf8d12afb305p-3, -0x1.ccf1cc2bf467ep-3, -0x1.beb9068748621p-3, -0x1.b159179d60f92p-3, -0x1.a4d949e1ad95ap-3, -0x1.993e036671c2dp-3, -0x1.8e8923a887d07p-3, -0x1.84ba5aa89668fp-3, -0x1.7bcf7175acdcdp-3, -0x1.73c497522af6fp-3, -0x1.6c94a12269e1dp-3, -0x1.663942a2b0b62p-3, -0x1.60ab43ea04559p-3, -0x1.5be2ac3c9819ep-3, -0x1.57d6ecce47d92p-3, -0x1.547f03e89046dp-3, -0x1.51d19e8d38e42p-3, -0x1.4fc5331e27acfp-3, -0x1.4e501ecbfa822p-3, -0x1.4d68b3eef171bp-3, -0x1.4d0550f2ec461p-3, -0x1.4d1c6e7ba7844p-3, -0x1.4da4ad12f6592p-3, -0x1.4e94df28879cfp-3, -0x1.4fe41585297d3p-3, -0x1.5189a3b8f433dp-3, -0x1.537d298a47d2cp-3, -0x1.55b6973d0f2aep-3, -0x1.582e2f29a320dp-3, -0x1.5adc8b3eada45p-3, -0x1.5dba9e74bfea5p-3, -0x1.60c1b2f10460fp-3, -0x1.63eb6d9a386b5p-3, -0x1.6731ccc4465dap-3, -0x1.6a8f275f7eab6p-3, -0x1.6dfe2b2812e2p-3, -0x1.7179dcff8968bp-3, -0x1.74fd94a90ba29p-3, -0x1.7884fb6f0c6f7p-3, -0x1.7c0c0b1b1540fp-3, -0x1.7f8f09532d6d7p-3, -0x1.830a8577a2b2cp-3, -0x1.867b55c6e0c88p-3, -0x1.89de963ad789fp-3, -0x1.8d31a2dd125ffp-3, -0x1.9072154095b97p-3, -0x1.939dc253c258ep-3, -0x1.96b2b8d3ebec4p-3, -0x1.99af3a30ec9bep-3, -0x1.9c91bbc5c1a79p-3, -0x1.9f58e1ab8dd23p-3, -0x1.a2037c7be7a85p-3, -0x1.a49088030ef95p-3, -0x1.a6ff257fdab55p-3, -0x1.a94e9dbf90bep-3, -0x1.ab7e5901b5199p-3, -0x1.ad8ddfd768782p-3, -0x1.af7cd9897deeep-3, -0x1.b14b088e1f3abp-3, -0x1.b2f847daf3b25p-3, -0x1.b4848a6c02ed2p-3, -0x1.b5efd8f301eb1p-3, -0x1.b73a4f720e034p-3, -0x1.b8641c9d4fb2cp-3, -0x1.b96d7ef187db4p-3, -0x1.ba56c4dc79b96p-3, -0x1.bb2049c592ffbp-3, -0x1.bbca75ac56efp-3, -0x1.bc55bb07d5daep-3, -0x1.bcc295e436fe7p-3, -0x1.bd118b8228d33p-3, -0x1.bd432810f0471p-3, -0x1.bd57fedf73668p-3, -0x1.bd50a86d6efb6p-3, -0x1.bd2dc2bde8c6ep-3, -0x1.bcefef168cd55p-3, -0x1.bc97d253b1b2fp-3, -0x1.bc261515e6487p-3, -0x1.bb9b60362ad61p-3, -0x1.baf85f1955691p-3, -0x1.ba3dbf0623057p-3, -0x1.b96c2d26e56f9p-3, -0x1.b88455be5fcaap-3, -0x1.b786e5d7fbc5p-3, -0x1.b67489718259bp-3, -0x1.b54dec88a8489p-3, -0x1.b413b81881c8ep-3, -0x1.b2c69486782afp-3, -0x1.b1672799b27b3p-3, -0x1.aff615ec5133cp-3, -0x1.ae7400a472edp-3, -0x1.ace18799a32c2p-3, -0x1.ab3f4733deac8p-3, -0x1.a98dd96cade69p-3, -0x1.a7cdd52607923p-3, -0x1.a5ffce60f0aep-3, -0x1.a4245603eb86p-3, -0x1.a23bfa01a3b44p-3, -0x1.a04744cc6e063p-3, -0x1.9e46be116802ap-3, -0x1.9c3aea7b4dfc9p-3, -0x1.9a244a8c8c04ep-3, -0x1.98035bc2590d8p-3, -0x1.95d8997a02c2cp-3, -0x1.93a47acc9673fp-3, -0x1.916773e33ba81p-3, -0x1.8f21f552d1d8dp-3, -0x1.8cd46d37a78c5p-3, -0x1.8a7f46419343cp-3, -0x1.8822e7d21d92cp-3, -0x1.85bfb65c840b8p-3, -0x1.8356141c1d8bap-3, -0x1.80e65ef1da9dfp-3, -0x1.7e70f27ddfc9bp-3, -0x1.7bf6283cc6911p-3, -0x1.797655de26f0cp-3, -0x1.76f1ce73c6573p-3, -0x1.7468e2c8458bep-3, -0x1.71dbe0eb98b3bp-3, -0x1.6f4b141cf7585p-3, -0x1.6cb6c5af27688p-3, -0x1.6a1f3c3c19a8ep-3, -0x1.6784bc2e3521ap-3, -0x1.64e78752317bdp-3, -0x1.6247dd408cdaap-3, -0x1.5fa5fb90be091p-3, -0x1.5d021e226eb5bp-3, -0x1.5a5c7e19dded8p-3, -0x1.57b55353951fdp-3, -0x1.550cd3070267dp-3, -0x1.5263311aeae13p-3, -0x1.4fb89fac43a18p-3, -0x1.4d0d4f40d8ebfp-3, -0x1.4a616d82fafd4p-3, -0x1.47b528224bb4ep-3, -0x1.4508aa523dc4p-3, -0x1.425c1d217b4cbp-3, -0x1.3fafaa6706b37p-3, -0x1.3d0378eadb518p-3, -0x1.3a57ad4635133p-3, -0x1.37ac6c47f7df5p-3, -0x1.3501d8e8e54f8p-3, -0x1.3258151c1ee5fp-3, -0x1.2faf4146fce54p-3, -0x1.2d077cc4e6aeap-3, -0x1.2a60e65033129p-3, -0x1.27bb9a443f423p-3, -0x1.2517b56cbd7fdp-3, -0x1.227553808c924p-3, -0x1.1fd48e5c99763p-3, -0x1.1d357f0b47195p-3, -0x1.1a983e1072d37p-3, -0x1.17fce2f9cd7fdp-3, -0x1.156384b96a781p-3, -0x1.12cc3927db935p-3, -0x1.1037156ad4d64p-3, -0x1.0da42d893f0afp-3, -0x1.0b13956ba17ap-3, -0x1.08856017e4ca8p-3, -0x1.05f99f99c001ep-3, -0x1.0370659867d0dp-3, -0x1.00e9c32396735p-3, -0x1.fccb91504a4aep-4, -0x1.f7c90baef9623p-4, -0x1.f2cc13e8dbc8p-4, -0x1.edd4c72ef92ebp-4, -0x1.e8e341a09203ap-4, -0x1.e3f79e70a3025p-4, -0x1.df11f85577e0dp-4, -0x1.da3267dda3b51p-4, -0x1.d559042163aafp-4, -0x1.d085e74492858p-4, -0x1.cbb925779f231p-4, -0x1.c6f2d55796ee9p-4, -0x1.c2330b4617808p-4, -0x1.bd79db946542dp-4, -0x1.b8c758e27a5f4p-4, -0x1.b41b9548b818bp-4, -0x1.af76a2e5b6075p-4, -0x1.aad8922e40d1ep-4, -0x1.a64174173428dp-4, -0x1.a1b157b931e36p-4, -0x1.9d284bd67c3a3p-4, -0x1.98a65e6870ee1p-4, -0x1.942b9d43a06dfp-4, -0x1.8fb8153729dcfp-4, -0x1.8b4bd2ffee2bep-4, -0x1.86e6e13c70243p-4, -0x1.82894bce3fc77p-4, -0x1.7e331cdbe9317p-4, -0x1.79e45ecb49676p-4, -0x1.759d1acff42ep-4, -0x1.715d59b6f0ff3p-4, -0x1.6d25242ed4f02p-4, -0x1.68f4826c7dce4p-4, -0x1.64cb7b27ef659p-4, -0x1.60aa15c5d3f08p-4, -0x1.5c90580aa377dp-4, -0x1.587e48fe80af3p-4, -0x1.5473ed874e2dfp-4, -0x1.50714a358c9bp-4, -0x1.4c766516be8ep-4, -0x1.488342049050fp-4, -0x1.4497e285c7db1p-4, -0x1.40b44dc6d687fp-4, -0x1.3cd882e4a9402p-4, -0x1.390486c550855p-4, -0x1.35385b0051b32p-4, -0x1.317401d2c70b7p-4, -0x1.2db77c4426e2dp-4, -0x1.2a02ca5cdf6eep-4, -0x1.2655eedf94416p-4, -0x1.22b0e8823344cp-4, -0x1.1f13b7e819523p-4, -0x1.1b7e5c841d126p-4, -0x1.17f0d52cbb9d6p-4, -0x1.146b219743798p-4, -0x1.10ed3fd6b053dp-4, -0x1.0d772ee86471cp-4, -0x1.0a08ec4093b31p-4, -0x1.06a27533fc43cp-4, -0x1.0343c8412cccep-4, -0x1.ffd9c308c3e99p-5, -0x1.f93b7d4d11b84p-5, -0x1.f2acb5f41b903p-5, -0x1.ec2d66b3f914p-5, -0x1.e5bd88fe4c365p-5, -0x1.df5d10a809a29p-5, -0x1.d90bf7f682f7dp-5, -0x1.d2ca338601209p-5, -0x1.cc97b99ce3f8ap-5, -0x1.c6748038e5405p-5, -0x1.c0607b117a03cp-5, -0x1.ba5b9fcede472p-5, -0x1.b465e01d863d1p-5, -0x1.ae7f31654fa9ep-5, -0x1.a8a78631f8564p-5, -0x1.a2ded09fc23d3p-5, -0x1.9d250363c7e4p-5, -0x1.977a103e45395p-5, -0x1.91dde6bd0bd9ap-5, -0x1.8c507aea3a752p-5, -0x1.86d1bb3b37a1ap-5, -0x1.8161980692ecep-5, -0x1.7c00016c47d39p-5, -0x1.76ace5966be25p-5, -0x1.716835974301p-5, -0x1.6c31dea31cfc6p-5, -0x1.6709d068a96e8p-5, -0x1.61eff85549bf8p-5, -0x1.5ce4433b97c1cp-5, -0x1.57e69f2cd769dp-5, -0x1.52f6faa0000d9p-5, -0x1.4e154136a83a5p-5, -0x1.49415e7f8644dp-5, -0x1.447b4033b3014p-5, -0x1.3fc2d0dcb2a07p-5, -0x1.3b17ffd4b0cf8p-5, -0x1.367ab44612d5cp-5, -0x1.31eadb152157fp-5, -0x1.2d685f6a03bc8p-5, -0x1.28f32caf0b85dp-5, -0x1.248b2d53d010bp-5, -0x1.20304d716b30ep-5, -0x1.1be272771a648p-5, -0x1.17a189fbfbddfp-5, -0x1.136d7bdc63fcfp-5, -0x1.0f4634e3c04e2p-5, -0x1.0b2b9b686a3dap-5, -0x1.071d9af8abc1ep-5, -0x1.031c1a7a08141p-5, -0x1.fe4e09306216bp-6, -0x1.f67c84ed3b269p-6, -0x1.eec3787b38a2ep-6, -0x1.e722b4848b9bp-6, -0x1.df9a0c58a4559p-6, -0x1.d8294ada71c82p-6, -0x1.d0d04b7a69943p-6, -0x1.c98ed55ac0e32p-6, -0x1.c264bb36e101bp-6, -0x1.bb51cf21da9a4p-6, -0x1.b455de86dca6bp-6, -0x1.ad70baa309efap-6, -0x1.a6a23361c3a56p-6, -0x1.9fea17bd2f5c2p-6, -0x1.994837a9979fp-6, -0x1.92bc624c5b7e6p-6, -0x1.8c4666f0c1302p-6, -0x1.85e61504ccd1cp-6, -0x1.7f9b3bde8a596p-6, -0x1.7965ab2390579p-6, -0x1.73452facfb1ecp-6, -0x1.6d399c0a55d5ap-6, -0x1.6742bfb0cc4ccp-6, -0x1.6160652d6fafep-6, -0x1.5b925e03fa2d3p-6, -0x1.55d87d4e85b16p-6, -0x1.50328ae24130dp-6, -0x1.4aa05aa70d571p-6, -0x1.4521bb90ba6c9p-6, -0x1.3fb67c0208533p-6, -0x1.3a5e6a6f6456bp-6, -0x1.35195c2d0563p-6, -0x1.2fe71e59fbeefp-6, -0x1.2ac77af8bae53p-6, -0x1.25ba4670af729p-6, -0x1.20bf5381be9a9p-6, -0x1.1bd66f5c28481p-6, -0x1.16ff663629eap-6, -0x1.123a10089d6bcp-6, -0x1.0d8637d06ae76p-6, -0x1.08e3b0580dfb1p-6, -0x1.04524a2dae198p-6, -0x1.ffa3adad5b876p-7, -0x1.f6c4517cf359p-7, -0x1.ee06190b344d6p-7, -0x1.e568b4324d7b1p-7, -0x1.dcebbd5bb1ecbp-7, -0x1.d48edbeb77896p-7, -0x1.cc51b4777581ap-7, -0x1.c433ebaff74f8p-7, -0x1.bc3525473ad19p-7, -0x1.b4550adce94adp-7, -0x1.ac9346f7fcb33p-7, -0x1.a4ef6ebeb26c5p-7, -0x1.9d6938f4d40b5p-7, -0x1.960049d25f74ap-7, -0x1.8eb443cba0683p-7, -0x1.8784deb53e205p-7, -0x1.8071aeb1bbf9bp-7, -0x1.797a690a6fd9ap-7, -0x1.729eb2acc19b5p-7, -0x1.6bde3ff0d99aap-7, -0x1.6538b5f837fb9p-7, -0x1.5eadc22fb923p-7, -0x1.583d11bde219p-7, -0x1.51e651857768fp-7, -0x1.4ba930362c263p-7, -0x1.458556ca79e76p-7, -0x1.3f7a8aac64e7ep-7, -0x1.398842ad5bc18p-7, -0x1.33ae74dcc315fp-7, -0x1.2deca638ba2f1p-7, -0x1.284292472fc62p-7, -0x1.22afe7750763p-7, -0x1.1d345a42def4ep-7, -0x1.17cfa009998f9p-7, -0x1.128166135f41fp-7, -0x1.0d4973689841fp-7, -0x1.0827701e10d73p-7, -0x1.031b1148ab235p-7, -0x1.fc48228c5ffdcp-8, -0x1.f28450677135bp-8, -0x1.e8ea13d0d0f9dp-8, -0x1.df78e0c8fdb4p-8, -0x1.d6301245fbeffp-8, -0x1.cd0f2be98956dp-8, -0x1.c41593e19d012p-8, -0x1.bb42d1079937bp-8, -0x1.b296552237c7p-8, -0x1.aa0f8e901479p-8, -0x1.a1ae02f5dabb7p-8, -0x1.99713e28e6dcap-8, -0x1.9158a01519958p-8, -0x1.8963c24384371p-8, -0x1.81920e5a75decp-8, -0x1.79e30be57568ap-8, -0x1.725638498da06p-8, -0x1.6aeb16120e8ebp-8, -0x1.63a1257ac40bap-8, -0x1.5c77dd4852ff1p-8, -0x1.556edd5446338p-8, -0x1.4e858d574423ap-8, -0x1.47bb865bd17bcp-8, -0x1.4110512d8314fp-8, -0x1.3a837d80d5422p-8, -0x1.34149a17ba9d9p-8, -0x1.2dc3335335509p-8, -0x1.278edc7a0f9abp-8, -0x1.21772254437eap-8, -0x1.1b7baaa33b692p-8, -0x1.159bf6d78d793p-8, -0x1.0fd78b0c784c7p-8, -0x1.0a2e1646fe0b1p-8, -0x1.049f21fe5343fp-8, -0x1.fe54729d45c18p-9, -0x1.f39df0f194a3p-9, -0x1.e91a0e3336a25p-9, -0x1.dec7be699b38dp-9, -0x1.d4a68e5c9f6b8p-9, -0x1.cab56132efabfp-9, -0x1.c0f3d15b4e8aep-9, -0x1.b7610aa6eb84cp-9, -0x1.adfc38eaa7479p-9, -0x1.a4c4a1ca942fdp-9, -0x1.9bb9a123840afp-9, -0x1.92da86fb3993p-9, -0x1.8a268a0be6e2ap-9, -0x1.819cfe25c977p-9, -0x1.793d23934c8c3p-9, -0x1.71065cb256931p-9, -0x1.68f7eb3f98db2p-9, -0x1.61112211e4d89p-9, -0x1.5951612c753b7p-9, -0x1.51b809552767p-9, -0x1.4a4477248cb36p-9, -0x1.42f5edbb2c2f3p-9, -0x1.3bcc5ada85029p-9, -0x1.34c63e78ed572p-9, -0x1.2de395c99df2ep-9, -0x1.2723ac6e3cdd7p-9, -0x1.2085e65958e41p-9, -0x1.1a09a586a8308p-9, -0x1.13ae53f76aab8p-9, -0x1.0d7374ed3f736p-9, -0x1.0758711746218p-9, -0x1.015cb2094d29fp-9, -0x1.f6ff7430e4cd3p-10, -0x1.eb820bc9abc06p-10, -0x1.e04019ec17834p-10, -0x1.d5387dd9e96b4p-10, -0x1.ca6a47e07c7edp-10, -0x1.bfd49e85c7bddp-10, -0x1.b57612cdc7d93p-10, -0x1.ab4e19174b4fp-10, -0x1.a15b6c317e271p-10, -0x1.979d59cc1faecp-10, -0x1.8e12c7e6ea849p-10, -0x1.84babc0848495p-10, -0x1.7b944a2f2f3fap-10, -0x1.729e9258db438p-10, -0x1.69d8b78f819d7p-10, -0x1.6141e02522cb9p-10, -0x1.58d936c4d4cd1p-10, -0x1.509ded53fc1afp-10, -0x1.488efe996ed25p-10, -0x1.40ac2f857dfbfp-10, -0x1.38f42b070d229p-10, -0x1.31663b12dc8b5p-10, -0x1.2a01fc4e2e00ep-10, -0x1.22c5a27acdeefp-10, -0x1.1bb16c4e13772p-10, -0x1.14c44a0a153c7p-10, -0x1.0dfd6c326752ap-10, -0x1.075c17a53cb95p-10, -0x1.00dfb2faa4f4cp-10, -0x1.f50f28024de4cp-11, -0x1.e8a5b679d4b2dp-11, -0x1.dc81c989bbdd2p-11, -0x1.d0a2549dbcf0cp-11, -0x1.c5053a048ea08p-11, -0x1.b9aa3300cff84p-11, -0x1.ae8f57b9d5222p-11, -0x1.a3b3ab06f76fdp-11, -0x1.991678c25456bp-11, -0x1.8eb5d1f5efaf2p-11, -0x1.849094c026157p-11, -0x1.7aa5dd446d514p-11, -0x1.70f4764693718p-11, -0x1.677ac4461b8fbp-11, -0x1.5e38372664ee5p-11, -0x1.552b576babe05p-11, -0x1.4c53860ca28a2p-11, -0x1.43af87ddd1ddp-11, -0x1.3b3ed5ee98719p-11, -0x1.32ffc2f13858cp-11, -0x1.2af11a3c93131p-11, -0x1.231308c88de2ap-11, -0x1.1b631cc51d4a2p-11, -0x1.13e0147e4d3d2p-11, -0x1.0c8a65cc0e998p-11, -0x1.0560e9a57d719p-11, -0x1.fcc5106847eacp-12, -0x1.ef1c7e19b8667p-12, -0x1.e1c6e2f08e7ap-12, -0x1.d4c271fd5b46fp-12, -0x1.c80d0baf2398ep-12, -0x1.bba587a9b65b7p-12, -0x1.af87f339346a5p-12, -0x1.a3b5b51ef2bf5p-12, -0x1.982c208c48bdbp-12, -0x1.8ce912dede581p-12, -0x1.81ed1a473499bp-12, -0x1.7735760476bf4p-12, -0x1.6cc0e215ad3d5p-12, -0x1.628e06ad8e53ep-12, -0x1.589b59bfb706dp-12, -0x1.4ee78963a701dp-12, -0x1.45702ce12b3e1p-12, -0x1.3c35863bf336ap-12, -0x1.3334b928073dp-12, -0x1.2a6d9f1d67b1bp-12, -0x1.21dec11333a96p-12, -0x1.1986acfb5f2c1p-12, -0x1.11646df1f8b4ap-12, -0x1.0976bceeb0ab8p-12, -0x1.01bccbcfff5f1p-12, -0x1.f46a7c0c4d975p-13, -0x1.e5bd0ce482f3cp-13, -0x1.d76f34c83f481p-13, -0x1.c97e3c749cabp-13, -0x1.bbe95a38924fbp-13, -0x1.aeaee7225e101p-13, -0x1.a1cc82172836bp-13, -0x1.9540349628d05p-13, -0x1.890874985cba9p-13, -0x1.7d20298d839a2p-13, -0x1.718e028974cb1p-13, -0x1.66463c4b33caap-13, -0x1.5b4be557bc9e8p-13, -0x1.509c5c89d6543p-13, -0x1.463578a65b76cp-13, -0x1.3c15d6a46bfc7p-13, -0x1.323c64b3117f1p-13, -0x1.28a5da58b06p-13, -0x1.1f529b8da1e77p-13, -0x1.16414f32c8cfp-13, -0x1.0d6ea6ed84b85p-13, -0x1.04da19de49d11p-13, -0x1.f903e9130ec01p-14, -0x1.e8c9856802557p-14, -0x1.d9024b48ddee5p-14, -0x1.c9ab8b5cc94a6p-14, -0x1.bac241910614dp-14, -0x1.ac4796a1f62a2p-14, -0x1.9e319b10d823ep-14, -0x1.9081049e7ad8ap-14, -0x1.8334fdf2f0db8p-14, -0x1.764aee92e89fap-14, -0x1.69c0c05961affp-14, -0x1.5d941f3f56039p-14, -0x1.51c186a7ac64cp-14, -0x1.46471cab2f618p-14, -0x1.3b22bc2e77001p-14, -0x1.30519caa6a8p-14, -0x1.25d12af8abf5bp-14, -0x1.1ba2a5413f9dap-14, -0x1.11bfff1336f0ep-14, -0x1.0827b4e53ca53p-14, -0x1.fdb8355aad547p-15, -0x1.ebb1003d4b5e1p-15, -0x1.da36b07837146p-15, -0x1.c943f2ca6773bp-15, -0x1.b8d4fcd519a08p-15, -0x1.a8eb357cbc6ebp-15, -0x1.997e4b0730267p-15, -0x1.8a89ed07c7c2p-15, -0x1.7c0ff429a315dp-15, -0x1.6e0df2fdb030ep-15, -0x1.60780a94aec4ap-15, -0x1.53509d7de6cabp-15, -0x1.46995afb3998ep-15, -0x1.3a4d32f3f1dc3p-15, -0x1.2e62d74328715p-15, -0x1.22dfecbffea65p-15, -0x1.17bdcf92395b1p-15, -0x1.0cf8b54865142p-15, -0x1.0290a5d368d23p-15, -0x1.f102c6fd2194fp-16, -0x1.dd9153b2154c7p-16, -0x1.cacda7ae44123p-16, -0x1.b8a8695beec5fp-16, -0x1.a72633cffe51ep-16, -0x1.9644afdc076e5p-16, -0x1.85ec7a55373a9p-16, -0x1.7635277ee074dp-16, -0x1.670ad0541f26bp-16, -0x1.58765c761f1b5p-16, -0x1.4a695b475cbb3p-16, -0x1.3cc0728c40111p-16, -0x1.2fa89505d1974p-16, -0x1.230e1d946a154p-16, -0x1.16eb2a354bc3dp-16, -0x1.0b3eea383e1ccp-16, -0x1.00041fe84af1ap-16, -0x1.ea6f55d67ab02p-17, -0x1.d5adfe6d2beddp-17, -0x1.c1ba49f2a44b8p-17, -0x1.ae76de3f5f8e9p-17, -0x1.9c23291ebebc7p-17, -0x1.8a8c0ad5bd7a2p-17, -0x1.799390b9f7449p-17, -0x1.69586b6cd505bp-17, -0x1.59d4abd494e4bp-17, -0x1.4aef0812ea6dep-17, -0x1.3cacbb0f249dep-17, -0x1.2eff042803f57p-17, -0x1.21f529c6086b2p-17, -0x1.158eadc051f77p-17, -0x1.099852d805814p-17, -0x1.fc808355028abp-18, -0x1.e6c7eaeb4a717p-18, -0x1.d22cab57b9448p-18, -0x1.be8b33f554f96p-18, -0x1.abcc5b32ba939p-18, -0x1.9a164972d612ep-18, -0x1.893ddee70fd94p-18, -0x1.7936e404b84acp-18, -0x1.6a05aeff0edc4p-18, -0x1.5b9f26664ee7ap-18, -0x1.4dfab29f084a9p-18, -0x1.4122d364dd365p-18, -0x1.350245a9c82c4p-18, -0x1.29817af8f73b4p-18, -0x1.1efcfbd66d241p-18, -0x1.14cabce6708e5p-18, -0x1.0b643b7d86a77p-18, -0x1.02838218ed159p-18, -0x1.f46f738ec3a41p-19, -0x1.e54e4594f6e7cp-19, -0x1.d6f73db31d5a3p-19, -0x1.c99790a34b539p-19, -0x1.bd7439a83c0dfp-19, -0x1.b2265f8b92d5ep-19, -0x1.a7e0e07c73fcp-19, -0x1.9e72559df2d65p-19, -0x1.957abd2bf6b42p-19, -0x1.8e3c9acddede5p-19, -0x1.874ec816fb22cp-19, -0x1.8117436b1ce8ap-19, -0x1.7b9f908560203p-19, -0x1.76fedb57d851fp-19, -0x1.72ee6cc60e087p-19, -0x1.6f793f4f810cdp-19, -0x1.6c590d0554039p-19, -0x1.6a966a272fb92p-19, -0x1.693f612545451p-19, -0x1.67fef5b8be0cp-19, -0x1.6770dc23cbef5p-19, -0x1.6767f8a3abc9fp-19, -0x1.67dc2d7263b9dp-19, -0x1.688d3db868a1bp-19, -0x1.69f586e0c3a0dp-19, -0x1.6b99d706bad86p-19, -0x1.6dafccf9cff7ap-19, -0x1.7057b2eb9c588p-19, -0x1.731ec4613d83cp-19, -0x1.7647b87010adp-19, -0x1.796d7eaceaa3ep-19, -0x1.7d3c6d5c0f0b7p-19, -0x1.8140f7a01828p-19, -0x1.8581623cea31dp-19, -0x1.8a20c95b888fbp-19, -0x1.8ec4907a44c2dp-19, -0x1.93ad670e2fee8p-19, -0x1.98b8ccc1e7b1ep-19, -0x1.9e22dc2b15414p-19, -0x1.a3bbe39d9b435p-19, -0x1.a9397143d9271p-19, -0x1.af37360edf382p-19, -0x1.b4fd5eea660dfp-19, -0x1.bb25112d3a8ffp-19, -0x1.c14d9cf412348p-19, -0x1.c78aeabad9e85p-19, -0x1.cdfa48eb68237p-19, -0x1.d47045c0a24f6p-19, -0x1.daf4a53aad173p-19, -0x1.e1873b90a1d13p-19, -0x1.e827481057fa2p-19, -0x1.eed4cf6707091p-19, -0x1.f58d6d137b38dp-19, -0x1.fc4bd979407bbp-19, -0x1.0186a5161d382p-18, -0x1.04eb2ac35541p-18, -0x1.085ea82565897p-18, -0x1.0b9fba0609b8fp-18, -0x1.0f1c59ba17c0ap-18, -0x1.127dd1fbbb3cap-18, -0x1.15dffb625b37bp-18, -0x1.1933b054a3878p-18, -0x1.1c9517776cc6ap-18, -0x1.1fff7cbf85701p-18, -0x1.231ee11ac0572p-18, -0x1.268b3ce51d863p-18, -0x1.29e59a582fa82p-18, -0x1.2d48a51d279fp-18, -0x1.304cb7bfbd236p-18, -0x1.3351e09ef2c5fp-18, -0x1.3677fd732459ep-18, -0x1.39a1c23cf0591p-18, -0x1.3ca1f3616c8eap-18, -0x1.3fac2ebb42983p-18, -0x1.42c2cdfd41c8dp-18, -0x1.458fed83d9bd2p-18, -0x1.48778a53678bbp-18, -0x1.4b5c8d528b13ap-18, -0x1.4e2728cdc5a11p-18, -0x1.50f9bdb5a9b46p-18, -0x1.53bc9c5589984p-18, -0x1.5665490b9eb1p-18, -0x1.5908e3d91ce21p-18, -0x1.5b777c54b5fe7p-18, -0x1.5e0274901934ap-18, -0x1.608e9ee4f9c16p-18, -0x1.62ef2262ceb52p-18, -0x1.65456fae09e5bp-18, -0x1.6796896cf3cdfp-18, -0x1.69d62ce412311p-18, -0x1.6c0deac74e677p-18, -0x1.6e31fb80b8ef8p-18, -0x1.7047614d6245bp-18, -0x1.724f03ec0e6e8p-18, -0x1.7448ef66d3ed9p-18, -0x1.76358cf88a915p-18, -0x1.78138aeaa320cp-18, -0x1.79e72eca2d0dcp-18, -0x1.7b93b04fef154p-18, -0x1.7d592ec7df6d5p-18, -0x1.7ef0d1b74255bp-18, -0x1.8084eb414fb93p-18, -0x1.8208252c729dcp-18, -0x1.838a7b5140ab6p-18, -0x1.84e30478e7a23p-18, -0x1.86377c4e324bfp-18, -0x1.87754b50a35b7p-18, -0x1.88c3e81c17072p-18, -0x1.89eeab7bcd39cp-18, -0x1.8af992ccbeae6p-18, -0x1.8c3a38f1ce861p-18, -0x1.8d07e10c37e88p-18, -0x1.8e0998ef26a7p-18, -0x1.8efadd76cbc2fp-18, -0x1.8fb38743da3acp-18, -0x1.90944c11a543dp-18, -0x1.9140ae13b4ecep-18, -0x1.91f25921049ebp-18, -0x1.928ed668c546p-18, -0x1.9327bb5144503p-18, -0x1.9388aba7c15d3p-18, -0x1.94021053a49c1p-18, -0x1.94564cb273432p-18, -0x1.94d72413c0f46p-18, -0x1.95246791b15e8p-18, -0x1.9557bbe1141c8p-18, -0x1.958528cd96585p-18, -0x1.95b57402ca3cep-18, -0x1.95bb9da1d87e3p-18, -0x1.95d963464613p-18, -0x1.95c2dbbc2b3dap-18, -0x1.95b99f4cead62p-18, -0x1.959a7a24f3091p-18, -0x1.9576039bac23bp-18, -0x1.9546cb75a0c3ep-18, -0x1.950ae05b28a62p-18, -0x1.94c1708b1749dp-18, -0x1.946b1f3784e3dp-18, -0x1.9415a9260d187p-18, -0x1.938a83fbf2b5cp-18, -0x1.9342ead0eeedp-18, -0x1.92a1f2ec09663p-18, -0x1.92151a5dd217bp-18, -0x1.917db238c961fp-18, -0x1.90da5951c1c23p-18, -0x1.9027f39473cdap-18, -0x1.8f6f567bc1379p-18, -0x1.8eb26d9a4401p-18, -0x1.8de2379a61408p-18, -0x1.8ce517d71925dp-18, -0x1.8c3c276efe60dp-18, -0x1.8b50ebb798f82p-18, -0x1.8a5f63e4463d9p-18, -0x1.89675e770252cp-18, -0x1.885c1b5270115p-18, -0x1.8748103c625e6p-18, -0x1.86326c5fdd9aap-18, -0x1.851b9cfa0c492p-18, -0x1.842d449d51ep-18, -0x1.82bd4bfd90382p-18, -0x1.81841b361c045p-18, -0x1.804f796083dcp-18, -0x1.7ef68556b3143p-18, -0x1.7dc38c1af32f4p-18, -0x1.7c6728020df57p-18, -0x1.7aff486f335dfp-18, -0x1.799d2fc934939p-18, -0x1.781d822f304e8p-18, -0x1.76b7119b929d9p-18, -0x1.753e870e1657p-18, -0x1.73b58fbf83debp-18, -0x1.723622aebbef5p-18, -0x1.70aeaa7554928p-18, -0x1.6ef57b98e4c91p-18, -0x1.6d81382e3be03p-18, -0x1.6beea3f8a6c18p-18, -0x1.6a36a12969b61p-18, -0x1.6887becddfd82p-18, -0x1.66d24922e8b3p-18, -0x1.6528e3ed3c053p-18, -0x1.6365a55b8815ap-18, -0x1.619201848a1d9p-18, -0x1.5fda198c7776ap-18, -0x1.5e07d90a3a631p-18, -0x1.5c34448b05fdap-18, -0x1.5a5d9d64cbbdfp-18, -0x1.588535aa7743fp-18, -0x1.56aa2afe0e28cp-18, -0x1.54cc5ae53e335p-18, -0x1.52ebcf8d45b5ap-18, -0x1.50ebfe984c55cp-18, -0x1.4f0593d240c4ap-18, -0x1.4d05d4717d532p-18, -0x1.4b2674fe5ed73p-18, -0x1.4929fb16653a9p-18, -0x1.47162d82b1967p-18, -0x1.451f0818f31ffp-18, -0x1.431934b2d7292p-18, -0x1.411f6828e7381p-18, -0x1.3f00721fe1fdep-18, -0x1.3cec3393036d2p-18, -0x1.3ae35b9f01ea5p-18, -0x1.38d35ca251c8bp-18, -0x1.36bfe0ba99fe1p-18, -0x1.34a51087c9d97p-18, -0x1.32891118edfe7p-18, -0x1.305fac347024fp-18, -0x1.2e435770249f5p-18, -0x1.2c1d97aa72654p-18, -0x1.29feb3e13dbb7p-18, -0x1.27e9d3a581752p-18, -0x1.25ad059986957p-18, -0x1.2391e6cba665dp-18, -0x1.215fd2e5abf16p-18, -0x1.1f2b05d06809dp-18, -0x1.1d016181f4693p-18, -0x1.1aca0bfd3da4ep-18, -0x1.1898e46a0d3a8p-18, -0x1.167cdf27d320fp-18, -0x1.14381d9790385p-18, -0x1.1208669667b2dp-18, -0x1.0fd5f767d36b2p-18, -0x1.0d8ca48dc4e8bp-18, -0x1.0b5fd1c52bb0ap-18, -0x1.09268109c083ep-18, -0x1.06f2ec2673c61p-18, -0x1.04c195885d80dp-18, -0x1.0286ca058b174p-18, -0x1.0047cfec5cdfap-18, -0x1.fc1a88530859bp-19, -0x1.f7a3737c1068fp-19, -0x1.f331d9311069ep-19, -0x1.eeb988b42f5a8p-19, -0x1.ea42c104f9b09p-19, -0x1.e5d0fb464a08fp-19, -0x1.e166b9913b747p-19, -0x1.dcdafcfdc89ddp-19, -0x1.d8836d4363a19p-19, -0x1.d40a14c696d6bp-19, -0x1.cf84e127542bap-19, -0x1.cb10a2b4c6d04p-19, -0x1.c6a451f6f4592p-19, -0x1.c238f533ad765p-19, -0x1.bdd12447cae24p-19, -0x1.b960765ea7778p-19, -0x1.b4e76c2825da3p-19, -0x1.b0bb88f97660ep-19, -0x1.ac17e71b6f5b8p-19, }}, 
      {{-0x1.005012ddabc48p-2, -0x1.9833ede5531adp-3, -0x1.34d076310b3b4p-3, -0x1.05bafbd99ea52p-3, -0x1.220bc1cf0fc0ep-3, -0x1.8c6283baa3ba6p-3, -0x1.1cde140421c34p-2, -0x1.8beac9c9da291p-2, -0x1.048180739680fp-1, -0x1.451eec912f2f7p-1, -0x1.8387acc552453p-1, -0x1.bc5c8ddce35fap-1, -0x1.ed31b388f8387p-1, -0x1.0a400646d0e46p+0, -0x1.18c403899b0cep+0, -0x1.22170477246f3p+0, -0x1.266b06f50d1fcp+0, -0x1.2620c75d3ac2p+0, -0x1.21b8a61e565d5p+0, -0x1.19c5d87dd5f2fp+0, -0x1.0ee3f512ddfb4p+0, -0x1.01aec3f9caeep+0, -0x1.e578328e8ae11p-1, -0x1.c52eefbffbc19p-1, -0x1.a37e6586bbe71p-1, -0x1.81458e299bfdbp-1, -0x1.5f44592a827cep-1, -0x1.3e1bc4ec2070dp-1, -0x1.1e4f0ae1072b3p-1, -0x1.004589d336a1cp-1, -0x1.c89a5172a7d88p-2, -0x1.9539f892ddf25p-2, -0x1.66b00d492b147p-2, -0x1.3d1fe54aa8d21p-2, -0x1.188f6cb52eb52p-2, -0x1.f1d836d3d8d77p-3, -0x1.bc1f0dcee358p-3, -0x1.8f870cf29471cp-3, -0x1.6b8bc53dd0b64p-3, -0x1.4f9724bfbefb9p-3, -0x1.3b0711757490ep-3, -0x1.2d3233504961ap-3, -0x1.256bfe34e3199p-3, -0x1.23080b94552e8p-3, -0x1.255cd1dadccb7p-3, -0x1.2bc5cef85288bp-3, -0x1.35a53c9722ef8p-3, -0x1.426556e55faddp-3, -0x1.51794456557ecp-3, -0x1.625dac6f60691p-3, -0x1.749913739a003p-3, -0x1.87bc0536476fdp-3, -0x1.9b610eb5cce8dp-3, -0x1.af2c9509ba971p-3, -0x1.c2cc8adad8d04p-3, -0x1.d5f817866a64ap-3, -0x1.e86f308bfeb4cp-3, -0x1.f9fa280092a84p-3, -0x1.05349966511d7p-2, -0x1.0cc9f356e65f2p-2, -0x1.13ac5aeaf2631p-2, -0x1.19ce35b878a1ap-2, -0x1.1f24d50b6bd5ep-2, -0x1.23a837b725db1p-2, -0x1.2752cd536e8f1p-2, -0x1.2a213c14c1fefp-2, -0x1.2c1228945d66fp-2, -0x1.2d260016484b3p-2, -0x1.2d5ec613a3e98p-2, -0x1.2cbfe455b5793p-2, -0x1.2b4dfebb1dc78p-2, -0x1.290ec9b7eb346p-2, -0x1.2608e3ec9b254p-2, -0x1.2243b2b38b26bp-2, -0x1.1dc7411542dc2p-2, -0x1.189c21b4cbe96p-2, -0x1.12cb52783ff3ap-2, -0x1.0c5e2379955e6p-2, -0x1.055e1f6b04764p-2, -0x1.fba9ed28bee01p-3, -0x1.eb98d7d4c3e85p-3, -0x1.da9c87db4ed43p-3, -0x1.c8c86b2f33502p-3, -0x1.b62fba2e2b04ap-3, -0x1.a2e55fae2d697p-3, -0x1.8efbe550660bp-3, -0x1.7a8561342c257p-3, -0x1.659368285771cp-3, -0x1.5037001c1b29bp-3, -0x1.3a809629eed81p-3, -0x1.247ff6f9586b8p-3, -0x1.0e44474b6cb63p-3, -0x1.efb7ffe91831dp-4, -0x1.c2a9d4e56b3bap-4, -0x1.95783ca7141dep-4, -0x1.683c04213c02dp-4, -0x1.3b0c94d74c1fep-4, -0x1.0dfff7171de2p-4, -0x1.c255b424011adp-5, -0x1.69412c4f0f776p-5, -0x1.10e668e06a05p-5, -0x1.72cdeb722056bp-6, -0x1.8b8786d0c418bp-7, -0x1.ae7a494cbf5a1p-10, 0x1.1b237acb42f75p-7, 0x1.337831e41fd75p-6, 0x1.d69fd55825758p-6, 0x1.3b706f0fb96edp-5, 0x1.8a0bbdcd17681p-5, 0x1.d711cfa16964ep-5, 0x1.113a34cb2bb38p-4, 0x1.361381ffc45a7p-4, 0x1.5a0f5c0783a4ap-4, 0x1.7d2913b5e2dap-4, 0x1.9f5cb2622c814p-4, 0x1.c0a6f24f15841p-4, 0x1.e1053266d884fp-4, 0x1.003ab5ef4811dp-3, 0x1.0f7b1608d8eap-3, 0x1.1e43442f0846dp-3, 0x1.2c930a94a484fp-3, 0x1.3a6a7037b0a9fp-3, 0x1.47c9b37fc95adp-3, 0x1.54b145f4afe3dp-3, 0x1.6121ca3b645e7p-3, 0x1.6d1c0eef8c2fep-3, 0x1.78a10ad8dca3dp-3, 0x1.83b1db98c7501p-3, 0x1.8e4fc0ba69bc5p-3, 0x1.987c1841ab10ep-3, 0x1.a2385dc15ad7fp-3, 0x1.ab862695a89e5p-3, 0x1.b4671e120bbabp-3, 0x1.bcdd04908e45ap-3, 0x1.c4e9adc5cacf5p-3, 0x1.cc8efc02065bp-3, 0x1.d3cedf6bb6961p-3, 0x1.daab554721211p-3, 0x1.e12664a788cffp-3, 0x1.e7421bd1e99aap-3, 0x1.ed00908e3d224p-3, 0x1.f263de87d7df8p-3, 0x1.f76e244e25bd1p-3, 0x1.fc218251b493fp-3, 0x1.00400d9b72dd3p-2, 0x1.024608fff37d6p-2, 0x1.0423c3da8a199p-2, 0x1.05da4d97e9a57p-2, 0x1.076ab4bc44ffdp-2, 0x1.08d605fa47d7ap-2, 0x1.0a1d4b5937f7bp-2, 0x1.0b418c58635d9p-2, 0x1.0c43ce0cf7318p-2, 0x1.0d251268e9dc3p-2, 0x1.0de657a781c17p-2, 0x1.0e8898575aa17p-2, 0x1.0f0ccbb974de6p-2, 0x1.0f73e52001bc4p-2, 0x1.0fbed37033498p-2, 0x1.0fee814967eacp-2, 0x1.1003d547242c7p-2, 0x1.0fffb1bfaa846p-2, 0x1.0fe2f45bac241p-2, 0x1.0fae7614586eap-2, 0x1.0f630b6bd2b63p-2, 0x1.0f01849102d74p-2, 0x1.0e8aad03274b1p-2, 0x1.0dff4b78d0b79p-2, 0x1.0d6022034508ap-2, 0x1.0cadee48394fcp-2, 0x1.0be96974f6453p-2, 0x1.0b13481db4deap-2, 0x1.0a2c3a2b5112ap-2, 0x1.0934eb1efd3a1p-2, 0x1.082e022e702dcp-2, 0x1.07182252cbb37p-2, 0x1.05f3ea1488b19p-2, 0x1.04c1f3b94d2c3p-2, 0x1.0382d54c9a295p-2, 0x1.023720f1c4f8bp-2, 0x1.00df64d9b0bafp-2, 0x1.fef8561ecdf8bp-3, 0x1.fc1bf38f78577p-3, 0x1.f92aa6c30e098p-3, 0x1.f6256d55d90bdp-3, 0x1.f30d3d84093f9p-3, 0x1.efe3066bb7785p-3, 0x1.eca7b0123e27ep-3, 0x1.e95c1bc1428cdp-3, 0x1.e60124116df4dp-3, 0x1.e2979d62d17d5p-3, 0x1.df20558f1f3d4p-3, 0x1.db9c14466a717p-3, 0x1.d80b9b3e3be4ap-3, 0x1.d46fa62c78989p-3, 0x1.d0c8eb414508bp-3, 0x1.cd181b1746cb2p-3, 0x1.c95de0dc4f9f6p-3, 0x1.c59ae275ab61ap-3, 0x1.c1cfc083cd39bp-3, 0x1.bdfd16cbcabaep-3, 0x1.ba237c31a7bd8p-3, 0x1.b64382f897f1ap-3, 0x1.b25db8ad5b178p-3, 0x1.ae72a678c8bb8p-3, 0x1.aa82d0f36e4c4p-3, 0x1.a68eb8b679819p-3, 0x1.a296da2cf15c3p-3, 0x1.9e9baddf5f24dp-3, 0x1.9a9da84eb0012p-3, 0x1.969d3a2865561p-3, 0x1.929ad09fe2b52p-3, 0x1.8e96d5335f22ap-3, 0x1.8a91ae06b609cp-3, 0x1.868bbdb1faeffp-3, 0x1.828563bd318c2p-3, 0x1.7e7efc4eff954p-3, 0x1.7a78e08a2a0cp-3, 0x1.767366b3c8ba2p-3, 0x1.726ee1d85e5f7p-3, 0x1.6e6ba26b09dfap-3, 0x1.6a69f5f0c6b23p-3, 0x1.666a2735ab4f2p-3, 0x1.626c7eb01558dp-3, 0x1.5e714202509e1p-3, 0x1.5a78b48d5d5ecp-3, 0x1.568316f8eb8bcp-3, 0x1.5290a7bb6b4dcp-3, 0x1.4ea1a2fb60bfap-3, 0x1.4ab642f237414p-3, 0x1.46cebf300ea03p-3, 0x1.42eb4dcbbfcdbp-3, 0x1.3f0c220a155a9p-3, 0x1.3b316db4f4afcp-3, 0x1.375b605942494p-3, 0x1.338a27efa0345p-3, 0x1.2fbdf081aa4d3p-3, 0x1.2bf6e4455d217p-3, 0x1.28352b97a4a2ap-3, 0x1.2478ed39d7001p-3, 0x1.20c24e150c071p-3, 0x1.1d1171b87702bp-3, 0x1.19667a03a571bp-3, 0x1.15c1876684c8fp-3, 0x1.1222b8cd3562dp-3, 0x1.0e8a2b75df0d4p-3, 0x1.0af7fb67cd92bp-3, 0x1.076c431c5e8cap-3, 0x1.03e71bca6ccfcp-3, 0x1.00689d8b070c8p-3, 0x1.f9e1be08437e6p-4, 0x1.f2ffeb5cd3759p-4, 0x1.ec2beb4a5f929p-4, 0x1.e565e3b0bfe5ep-4, 0x1.deadf86647a44p-4, 0x1.d8044a78ec216p-4, 0x1.d168f99082c62p-4, 0x1.cadc22e9acd46p-4, 0x1.c45de19b3dc09p-4, 0x1.bdee4e8a38144p-4, 0x1.b78d80f2c9b1fp-4, 0x1.b13b8d8400d45p-4, 0x1.aaf887abe24bep-4, 0x1.a4c480caa60edp-4, 0x1.9e9f88dd589f2p-4, 0x1.9889adb0e70cap-4, 0x1.9282fbf50148fp-4, 0x1.8c8b7db112003p-4, 0x1.86a33c68a990dp-4, 0x1.80ca3f12509e7p-4, 0x1.7b008bdca2537p-4, 0x1.7546276cc732ap-4, 0x1.6f9b14e73e6dbp-4, 0x1.69ff5640278cdp-4, 0x1.6472ebbffc838p-4, 0x1.5ef5d46b8f3d8p-4, 0x1.59880e535e649p-4, 0x1.54299589855b8p-4, 0x1.4eda65b7049f9p-4, 0x1.499a793076508p-4, 0x1.4469c8f8fc24ap-4, 0x1.3f484d7b5c5ccp-4, 0x1.3a35fd91a6e6cp-4, 0x1.3532cf3041053p-4, 0x1.303eb78dedd05p-4, 0x1.2b59aa0b294eap-4, 0x1.26839a5c064f1p-4, 0x1.21bc7a3fc7a55p-4, 0x1.1d043b7532897p-4, 0x1.185ace8351d28p-4, 0x1.13c0230f89c2ep-4, 0x1.0f34283ed0398p-4, 0x1.0ab6cc0e2ebb3p-4, 0x1.0647fbf0162d3p-4, 0x1.01e7a4c3dfbbap-4, 0x1.fb2b64e2c53dap-5, 0x1.f2a420c6bf69fp-5, 0x1.ea39536cf8756p-5, 0x1.e1ead1617e2f5p-5, 0x1.d9b86ddf1efdap-5, 0x1.d1a1fb686e07cp-5, 0x1.c9a74ad5205f3p-5, 0x1.c1c82cdcfba4bp-5, 0x1.ba04705803087p-5, 0x1.b25be392e5927p-5, 0x1.aace5409bc068p-5, 0x1.a35b8eb05655cp-5, 0x1.9c035f747d15cp-5, 0x1.94c59171d55cep-5, 0x1.8da1ef5ba868ep-5, 0x1.869842eaf480cp-5, 0x1.7fa85522f32e7p-5, 0x1.78d1ee844625p-5, 0x1.7214d72178c3p-5, 0x1.6b70d66b7adbdp-5, 0x1.64e5b37181017p-5, 0x1.5e7334c6c501cp-5, 0x1.581920a8a719ap-5, 0x1.51d73ce899965p-5, 0x1.4bad4edd39711p-5, 0x1.459b1c31decd5p-5, 0x1.3fa068ae46e8bp-5, 0x1.39bcf9aa97bedp-5, 0x1.33f09322faed2p-5, 0x1.2e3af9272b444p-5, 0x1.289bef99ff4f4p-5, 0x1.23133a573f959p-5, 0x1.1da09cf3db6d9p-5, 0x1.1843db0d97d47p-5, 0x1.12fcb82c19182p-5, 0x1.0dcaf7cc4908cp-5, 0x1.08ae5d54348adp-5, 0x1.03a6ac2e49d63p-5, 0x1.fd674f7c4876cp-6, 0x1.f3aa26b6c04cfp-6, 0x1.ea156541d9744p-6, 0x1.e0a891bdf3731p-6, 0x1.d76332f588313p-6, 0x1.ce44d16c93dd7p-6, 0x1.c54cf46081c48p-6, 0x1.bc7b239f41913p-6, 0x1.b3cee89213337p-6, 0x1.ab47cc0198bdep-6, 0x1.a2e557a4198f5p-6, 0x1.9aa715509e2a6p-6, 0x1.928c8f876340dp-6, 0x1.8a95509cc812ap-6, 0x1.82c0e32a690eap-6, 0x1.7b0ed269ff06ap-6, 0x1.737ea9dd2e137p-6, 0x1.6c0ff66c117afp-6, 0x1.64c244af9833fp-6, 0x1.5d95241727f23p-6, 0x1.568822e46cc0fp-6, 0x1.4f9ad2aa22926p-6, 0x1.48ccc462c581ap-6, 0x1.421d8a04f1489p-6, 0x1.3b8cb5bcb14ffp-6, 0x1.3519d9b0edcfap-6, 0x1.2ec488874bea1p-6, 0x1.288c5407507a6p-6, 0x1.2270cfb1eab5cp-6, 0x1.1c718f6fe3213p-6, 0x1.168e28c8ae6ebp-6, 0x1.10c6334c5ce69p-6, 0x1.0b1948c59208ap-6, 0x1.0587044e49cabp-6, 0x1.000f02dda2e78p-6, 0x1.f561c6c114eeap-7, 0x1.ead885e97c07cp-7, 0x1.e0817e43b1d0ep-7, 0x1.d65bea3ee9f2ep-7, 0x1.cc66ffb55cf42p-7, 0x1.c2a1f7a7ee496p-7, 0x1.b90c08d111129p-7, 0x1.afa46ea52efbp-7, 0x1.a66a69c6e0219p-7, 0x1.9d5d417a8f0b8p-7, 0x1.947c44546ccc5p-7, 0x1.8bc6c75be55d6p-7, 0x1.833c2462973e5p-7, 0x1.7adbb73781405p-7, 0x1.72a4dba85bb1ep-7, 0x1.6a96e67346051p-7, 0x1.62b13013f1a2ap-7, 0x1.5af2fc6dea40ap-7, 0x1.535b9a68049b7p-7, 0x1.4bea50a9eef62p-7, 0x1.449e6b0b68c21p-7, 0x1.3d773bc2919ap-7, 0x1.36741eeaf7b19p-7, 0x1.2f947dd1905ddp-7, 0x1.28d7cac220bc6p-7, 0x1.223d82dc46002p-7, 0x1.1bc5263894c8ap-7, 0x1.156e34d89bc35p-7, 0x1.0f3829be533b1p-7, 0x1.092276d7342a1p-7, 0x1.032c8462d1428p-7, 0x1.faab62b0083c9p-8, 0x1.ef3aae73ccd01p-8, 0x1.e4059e877dfffp-8, 0x1.d90aef072d29ap-8, 0x1.ce497170fc462p-8, 0x1.c3c014c2b8dep-8, 0x1.b96de4d9983e7p-8, 0x1.af520aa094fe3p-8, 0x1.a56bc85d26391p-8, 0x1.9bba62d36b30cp-8, 0x1.923d1fe20945fp-8, 0x1.88f332f078a8ep-8, 0x1.7fdbb8f5e44abp-8, 0x1.76f5b56864ca5p-8, 0x1.6e401506db3cfp-8, 0x1.65b9b7af1b7f6p-8, 0x1.5d61765e76bc5p-8, 0x1.553638afb6662p-8, 0x1.4d36f7572bccbp-8, 0x1.4562c9f3b14eep-8, 0x1.3db8e80fd832p-8, 0x1.3638a66ed0193p-8, 0x1.2ee16f7f005b2p-8, 0x1.27b2b7e9a3602p-8, 0x1.20abf4e877cabp-8, 0x1.19cc8e4c3ffc7p-8, 0x1.1313da5f74188p-8, 0x1.0c81173d03a85p-8, 0x1.06136bb803c38p-8, 0x1.ff93eaf2941bap-9, 0x1.f34797444efc8p-9, 0x1.e740159587da7p-9, 0x1.db7bb95375175p-9, 0x1.cff90844a9a0bp-9, 0x1.c4b6a54f4ddacp-9, 0x1.b9b37436dfdd6p-9, 0x1.aeee6862f88d7p-9, 0x1.a46696abb21bcp-9, 0x1.9a1b1683b54c3p-9, 0x1.900af03a86d92p-9, 0x1.86350cf1e48bbp-9, 0x1.7c983f643fa5bp-9, 0x1.733340c9e69ebp-9, 0x1.6a04bb831c124p-9, 0x1.610b5e2223edfp-9, 0x1.5845e4c46bbe7p-9, 0x1.4fb31f1f4ea61p-9, 0x1.4751f2367c30fp-9, 0x1.3f21580bb027cp-9, 0x1.37205e0a821bbp-9, 0x1.2f4e25263e51fp-9, 0x1.27a9e357907bfp-9, 0x1.2032c3b4a371dp-9, 0x1.18e820ffdba72p-9, 0x1.11c9165bfd2d8p-9, 0x1.0ad4beea7c92p-9, 0x1.040a0bbc64d05p-9, 0x1.facfa5282c9d6p-10, 0x1.edd9c814080dfp-10, 0x1.e1304e6872749p-10, 0x1.d4d15c78a1633p-10, 0x1.c8bb7b0065d8dp-10, 0x1.bced8389b867dp-10, 0x1.b1666e9831a7fp-10, 0x1.a6251eee648f7p-10, 0x1.9b2843681b472p-10, 0x1.906e5f3b3dbf7p-10, 0x1.85f5e712f8ceap-10, 0x1.7bbd7c2cd6068p-10, 0x1.71c3e79a0848bp-10, 0x1.68082096124b6p-10, 0x1.5e890933f7588p-10, 0x1.55455ae6d3c01p-10, 0x1.4c3b5cc1f47a4p-10, 0x1.4368fad792d03p-10, 0x1.3acbfeb1c697ep-10, 0x1.32626edec7649p-10, 0x1.2a2aebe927a9ap-10, 0x1.2224d2f98167ap-10, 0x1.1a500ac32de62p-10, 0x1.12ac9b49e795ap-10, 0x1.0b3a0a518dde7p-10, 0x1.03f7693a5ab85p-10, 0x1.f9c6316e9001ep-11, 0x1.ebf655a866c6ap-11, 0x1.de7c54ae377bp-11, 0x1.d155895159446p-11, 0x1.c480cd1ccc649p-11, 0x1.b7fda186d5cf8p-11, 0x1.abcba83376fd1p-11, 0x1.9fe9e4815801dp-11, 0x1.94562a56b3651p-11, 0x1.890d10b860bdfp-11, 0x1.7e0a9d6ecddd2p-11, 0x1.734b437e50a3bp-11, 0x1.68ccdb18a48bfp-11, 0x1.5e8f06b3f094p-11, 0x1.5492c2ee1a65fp-11, 0x1.4ad91ac7a20fep-11, 0x1.4161f9adc85d1p-11, 0x1.382b986186d64p-11, 0x1.2f32c0e772bffp-11, 0x1.2673b0bd8758cp-11, 0x1.1deb09ed2db97p-11, 0x1.1596801f7cfe7p-11, 0x1.0d753b62f03edp-11, 0x1.05877e63dbd12p-11, 0x1.fb9c1d8277ba9p-12, 0x1.ec928ef105f58p-12, 0x1.ddf127cdf7ac8p-12, 0x1.cfb470aeb5259p-12, 0x1.c1d77618c8583p-12, 0x1.b454bea003e3ep-12, 0x1.a7287726f699p-12, 0x1.9a502bcfba87cp-12, 0x1.8dcb083005111p-12, 0x1.819a2667a0bp-12, 0x1.75be00f8c53ap-12, 0x1.6a35d4ce2a179p-12, 0x1.5eff5046147a8p-12, 0x1.5416a9f505d81p-12, 0x1.49772091cadbep-12, 0x1.3f1bc0657c05ep-12, 0x1.35013e6c04383p-12, 0x1.2b254a3c531e7p-12, 0x1.21888dc48b5dep-12, 0x1.182c34a043021p-12, 0x1.0f10d023eca2cp-12, 0x1.0635805a91688p-12, 0x1.fb305c7e569e8p-13, 0x1.ea6cfe3ec166ap-13, 0x1.da1d4767a903bp-13, 0x1.ca3ee1e0c0aacp-13, 0x1.bad0e783883dfp-13, 0x1.abd15b1f4b4dfp-13, 0x1.9d3cbded1882ep-13, 0x1.8f0ddf9a6e15dp-13, 0x1.813fa2f2752acp-13, 0x1.73cf5e721e41dp-13, 0x1.66bd2e66839cfp-13, 0x1.5a0984bcc18edp-13, 0x1.4db2022782eap-13, 0x1.41b17a4f5e06cp-13, 0x1.3602da8bfcb31p-13, 0x1.2aa30da06b616p-13, 0x1.1f908a95459c8p-13, 0x1.14ca214628479p-13, 0x1.0a4e7c80e3ef2p-13, 0x1.001c25ad3f5b8p-13, 0x1.ec62a55a70639p-14, 0x1.d917b5e03186ap-14, 0x1.c654fa069a21bp-14, 0x1.b416b03402923p-14, 0x1.a265ce7352d54p-14, 0x1.914451ada1eb7p-14, 0x1.80b00a9b4f081p-14, 0x1.709e077f04f6cp-14, 0x1.60fe1566eb8c4p-14, 0x1.51c1cf6a602dbp-14, 0x1.42e54b38bf573p-14, 0x1.3470782105589p-14, 0x1.266bb9cac38afp-14, 0x1.18d61e09e2501p-14, 0x1.0ba93e79d21bap-14, 0x1.fdc58ba490509p-15, 0x1.e5067feabce62p-15, 0x1.cd0b6a8c1d494p-15, 0x1.b5bec1b62842cp-15, 0x1.9f0ef32513babp-15, 0x1.88f7fe5ccf8f2p-15, 0x1.7381351ac3901p-15, 0x1.5eb0889dcc433p-15, 0x1.4a7a74f21dc65p-15, 0x1.36d90a7611ed4p-15, 0x1.23d188ae7cbc3p-15, 0x1.116ee9f0773abp-15, 0x1.ff6722128dfa4p-16, 0x1.dd2e07b4ee745p-16, 0x1.bc17842240d32p-16, 0x1.9c008101c84eap-16, 0x1.7cbec7ef98fc6p-16, 0x1.5e440864f3413p-16, 0x1.40ad221aaf471p-16, 0x1.241b4dfc6fca4p-16, 0x1.087845484007dp-16, 0x1.db5c89c53ab2p-17, 0x1.a7a17ba10edd1p-17, 0x1.75e7bcef4a6aep-17, 0x1.4616e0ab2b74p-17, 0x1.17eb948e534f4p-17, 0x1.d62b564a0a62ap-18, 0x1.7ed86063cb99bp-18, 0x1.2a193e14ddf88p-18, 0x1.b0954309631b5p-19, 0x1.12b911790c4d3p-19, 0x1.e7fcada77c804p-21, -0x1.9b1a7bd5bc61bp-23, -0x1.4fe05c30beb9dp-20, -0x1.3076326140675p-19, -0x1.b3c617ac2c707p-19, -0x1.191912db5bdeep-18, -0x1.55f8084c01dbap-18, -0x1.908840e40896bp-18, -0x1.c9081bd8b529ep-18, -0x1.ffc5a91b428f7p-18, -0x1.1a47e21c180e3p-17, -0x1.339a6d9dd7023p-17, -0x1.4c033c67279cdp-17, -0x1.63921ea19b47p-17, -0x1.7a1f5bd9139fep-17, -0x1.8f9e1160448ep-17, -0x1.a424125278dbbp-17, -0x1.b7c5c5ad6122p-17, -0x1.ca85c129e70c2p-17, -0x1.dc743e1343874p-17, -0x1.edcc4e009e8c4p-17, -0x1.fe76caaa0ab42p-17, -0x1.072a968026a2ep-16, -0x1.0ebbfcf07e786p-16, -0x1.15fc7f854acb5p-16, -0x1.1ce2631a4b768p-16, -0x1.2367600f90531p-16, -0x1.2994e19fe8a99p-16, -0x1.2f72069ebb934p-16, -0x1.350a01683056bp-16, -0x1.3a54bf4a2089fp-16, -0x1.3f543940ea50fp-16, -0x1.4402212865c6ap-16, -0x1.486815433b2ebp-16, -0x1.4c918984a933cp-16, -0x1.507a972a710fap-16, -0x1.542d0d337e55ap-16, -0x1.57a294334585fp-16, -0x1.5ad0381facc08p-16, -0x1.5dc0316ecdf53p-16, -0x1.607910ace7309p-16, -0x1.62fd11895797ap-16, -0x1.654926f1dac71p-16, -0x1.675d3cbe9948dp-16, -0x1.6939079390654p-16, -0x1.6ae085f66566cp-16, -0x1.6c5e84960cbaep-16, -0x1.6daf9f572a771p-16, -0x1.6ed424d4a875bp-16, -0x1.6fd2ac47ac6e3p-16, -0x1.70a2c62662bcbp-16, -0x1.714176b35afe9p-16, -0x1.71b7b2e4a352cp-16, -0x1.720890f7afbddp-16, -0x1.7238b8f1c59p-16, -0x1.72442cb49ded1p-16, -0x1.722db4d3d90c3p-16, -0x1.71f189c0b3122p-16, -0x1.718ae5e0552d1p-16, -0x1.7103b75c26e5dp-16, -0x1.7063c0ab57bf5p-16, -0x1.6fab85b5da5b8p-16, -0x1.6ed3807523cb3p-16, -0x1.6dd71f8b049a7p-16, -0x1.6cc09efb5e8eep-16, -0x1.6b90c14553095p-16, -0x1.6a442cfe87c14p-16, -0x1.68e724de44b76p-16, -0x1.676dac9215bb6p-16, -0x1.65ddbf76a2d5cp-16, -0x1.643727d663248p-16, -0x1.6277eca4e26c3p-16, -0x1.609f6f80da7fdp-16, -0x1.5eb2034989aep-16, -0x1.5cac639de11dp-16, -0x1.5aa587839a53dp-16, -0x1.58861581f4cb6p-16, -0x1.5650722e2161cp-16, -0x1.540721f8d6fb2p-16, -0x1.51b119c442175p-16, -0x1.4f4e1028f3387p-16, -0x1.4cd9b42f13b65p-16, -0x1.4a572f3913475p-16, -0x1.47c80c9c8177fp-16, -0x1.452934be634e5p-16, -0x1.427801312a603p-16, -0x1.3fbd2d71d901fp-16, -0x1.3cfbc8e6d8876p-16, -0x1.3a2ea1a3234ep-16, -0x1.3751001aa6f51p-16, -0x1.346abd60696fdp-16, -0x1.317b51fb2964ep-16, -0x1.2e81d0e735be9p-16, -0x1.2b80a5087ab6fp-16, -0x1.28766315fc419p-16, -0x1.25634c83c807fp-16, -0x1.22486b42b94adp-16, -0x1.1f272a044b16ap-16, -0x1.1bff570dc328ep-16, -0x1.18d0807218757p-16, -0x1.159c0e930307dp-16, -0x1.125e904fc82e5p-16, -0x1.0f1b105acbff4p-16, -0x1.0bd5375c56c51p-16, -0x1.088b9bd637728p-16, -0x1.053b71a843c0fp-16, -0x1.01e6a49ecc3cep-16, -0x1.fd1dec9c69ba2p-17, -0x1.f668bc5bf8d11p-17, -0x1.efad30d5590cep-17, -0x1.e8eb82d87e574p-17, -0x1.e2250c5cbfb49p-17, -0x1.db5a6004faa4dp-17, -0x1.d488410c6a132p-17, -0x1.cdb3a9b8dfe16p-17, -0x1.c6e0c573d950fp-17, -0x1.c005e473bdb3ep-17, -0x1.b929c0430d92dp-17, -0x1.b24d1157c9fc1p-17, -0x1.ab706c991bd03p-17, -0x1.a493be82e49e1p-17, -0x1.9db76b3a45807p-17, -0x1.96cf86639c1a6p-17, -0x1.8ff6e682e5954p-17, -0x1.892384fa08f97p-17, -0x1.8252f4e06af84p-17, -0x1.7b7275b98e8cbp-17, -0x1.7494cac1fe64bp-17, -0x1.6dc20616b5fe3p-17, -0x1.66f09c218328cp-17, -0x1.60262227aaa12p-17, -0x1.595db8fa1a6fbp-17, -0x1.5295d2620cfcap-17, -0x1.4bd84cd073a14p-17, -0x1.451d89beddf65p-17, -0x1.3e66197e5ba14p-17, -0x1.37b5882df3994p-17, -0x1.3108c1efbf92dp-17, -0x1.2a62901f20733p-17, -0x1.23c43323693bap-17, -0x1.1d2c0c828728ap-17, -0x1.169d0e6eeee6bp-17, -0x1.1012d2df4119ep-17, -0x1.098e679f76ab8p-17, -0x1.0313bd8065a1ap-17, -0x1.f93ef12fca165p-18, -0x1.ec685decfff5p-18, -0x1.dfa05467ab1f9p-18, -0x1.d2ebb1c9aa519p-18, -0x1.c64747a77eb17p-18, -0x1.b9b4c67103216p-18, -0x1.ad345cb9a19cep-18, -0x1.a0c65ecefc90cp-18, -0x1.946b224403162p-18, -0x1.882352a2f5fep-18, -0x1.7bee6c92e25b9p-18, -0x1.6fd007028dc23p-18, -0x1.63c173d1c921dp-18, -0x1.57cab928f77c7p-18, -0x1.4be7e659437fbp-18, -0x1.401a3f2edbfd2p-18, -0x1.3467a2805e21p-18, -0x1.28beeaef90a53p-18, -0x1.1d33c63a39dc6p-18, -0x1.11bf8c73167e2p-18, -0x1.065cdcb2e2691p-18, -0x1.f626d490f948cp-19, -0x1.dfc31cf4aabf6p-19, -0x1.c9b3631e1ecfp-19, -0x1.b384f7f61fb21p-19, -0x1.9da745e5b870bp-19, -0x1.87f87c4f9bfbcp-19, -0x1.7280773bc2b6p-19, -0x1.5d2ed048ae095p-19, -0x1.481718225d955p-19, -0x1.332b70f1bc2b3p-19, -0x1.1e71f3177c427p-19, -0x1.0a16fc57e6352p-19, -0x1.eb3e933a8a36ep-20, -0x1.c2e5bf8ab37e1p-20, -0x1.9ae6eae2efcddp-20, -0x1.7367a87b21bap-20, -0x1.4c3e5673f0316p-20, -0x1.258ee62efc4e9p-20, -0x1.fe79f3980307cp-21, -0x1.b28a591377507p-21, -0x1.6780abaa3d075p-21, -0x1.1d1f56e9462acp-21, -0x1.a76734da6abdfp-22, -0x1.15eae06a07726p-22, -0x1.0c3dde35a066ap-23, 0x1.044a6ff57f8c1p-27, 0x1.299a5688e6123p-23, 0x1.1fdcd2ad7b08p-22, 0x1.a94e5decccfb4p-22, 0x1.1890e8f506c61p-21, 0x1.5bba49e58768ap-21, 0x1.9df5e0251afbcp-21, 0x1.df2d7cf44ee93p-21, 0x1.101a0fd1e8adbp-20, 0x1.300d1c41c3f9dp-20, 0x1.4f9b0b4c846ep-20, 0x1.6ec13cf4d8936p-20, 0x1.8d7e6d364e259p-20, 0x1.abd7bf59bb921p-20, 0x1.c9ce6ec3d3166p-20, 0x1.e75dc1b0c8beep-20, 0x1.027678a3192f8p-19, 0x1.10a90edb83028p-19, 0x1.1ed70dc5d5f01p-19, 0x1.2cd37cb0594b9p-19, 0x1.3a9fa49ca7bf3p-19, 0x1.4831d5e063424p-19, 0x1.559484fdb3694p-19, 0x1.62c7c86277348p-19, 0x1.6fd0e71cac543p-19, 0x1.7c77af161e91ep-19, 0x1.893d039527ee6p-19, 0x1.95a4d3530106fp-19, 0x1.a1e504cee891cp-19, 0x1.adeaa10d08839p-19, 0x1.b9d4f69941bcbp-19, 0x1.c577eb55201cfp-19, 0x1.d0ec7b076bbc2p-19, 0x1.dc39b6010da5p-19, 0x1.e76153eccc2fep-19, 0x1.f23bc2d90b97bp-19, 0x1.fcf39aa8de592p-19, 0x1.03bded4cf0254p-18, 0x1.08eaccb52b585p-18, 0x1.0e05935c51d14p-18, 0x1.130b1b639faap-18, 0x1.17ebb71bf48ap-18, 0x1.1cb276c95c438p-18, 0x1.217536eec817fp-18, 0x1.261826e3d2086p-18, 0x1.2aa559a2740efp-18, 0x1.2f16e63031e81p-18, 0x1.337a7904a723ep-18, 0x1.37c11a2813ff7p-18, 0x1.3bf63dfbade2fp-18, 0x1.4012079e5f3a7p-18, 0x1.441adf923708ap-18, 0x1.480ddc509fbe7p-18, 0x1.4bea365a25ccap-18, 0x1.4fafa2ee0b9d1p-18, 0x1.53629ad35ef5ep-18, 0x1.56fda6dc7d453p-18, 0x1.5a82b52e65e38p-18, 0x1.5df529f47b1d7p-18, 0x1.6153298c751acp-18, 0x1.64a2d2c1dcc6fp-18, 0x1.67d7b352a2347p-18, 0x1.6af54bb5ae34ap-18, 0x1.6e053e858101dp-18, 0x1.710039c1f91c9p-18, 0x1.73ccc83c78035p-18, 0x1.76b405daba90dp-18, 0x1.796f67a369e44p-18, 0x1.7c1f0230cd1f2p-18, 0x1.7eba225a788ebp-18, 0x1.813c1cc05b468p-18, 0x1.83b2133530bb3p-18, 0x1.8612271d3778bp-18, 0x1.885b0152bc025p-18, 0x1.8a98a2e23e181p-18, 0x1.8cc0dad3570f5p-18, 0x1.8edb73a17965cp-18, 0x1.90e2acef9784p-18, 0x1.92d7e18522eabp-18, 0x1.94bc3f88362fcp-18, 0x1.968c5ab403302p-18, 0x1.984a1d1792184p-18, 0x1.99fc1aa852063p-18, 0x1.9b994372d231cp-18, 0x1.9d2a8d374cd06p-18, 0x1.9ea38746dc107p-18, 0x1.a017e3011c34ep-18, 0x1.a17684020949ap-18, 0x1.a2c4fa5eea0bap-18, 0x1.a4013589224p-18, 0x1.a534334a24e3bp-18, 0x1.a64f461ac612dp-18, 0x1.a760f4ca4cedbp-18, 0x1.a866085e3239p-18, 0x1.a95826402995ap-18, 0x1.aa3a5b9caed89p-18, 0x1.ab0cb414d38b5p-18, 0x1.abd75ed712f77p-18, 0x1.ac8ff70213ffcp-18, 0x1.ad3d5cb14b34p-18, 0x1.adcb3cd179601p-18, 0x1.ae6563e7c60fcp-18, 0x1.aee93492797d1p-18, 0x1.af5a9df281c4dp-18, 0x1.afc7daca7aab3p-18, 0x1.b020e4d8fb595p-18, 0x1.b06ae645a78ep-18, 0x1.b0ab1d2399464p-18, 0x1.b0e01edd5fd65p-18, 0x1.b108d2e0092dfp-18, 0x1.b12623e6f777cp-18, 0x1.b13518b22edc7p-18, 0x1.b134dabcd5326p-18, 0x1.b112eac577ffp-18, 0x1.b11868750607ap-18, }}, 
      {{-0x1.0fa3d41fb92p-2, -0x1.f6e4056a8f764p-3, -0x1.c5d2772ce19e3p-3, -0x1.9a3e46708f54bp-3, -0x1.7e0664e9f2573p-3, -0x1.76837362fa50bp-3, -0x1.85513fc0ea3b8p-3, -0x1.a959db5150358p-3, -0x1.dfcf945c8975p-3, -0x1.127c1ee2d3868p-2, -0x1.3a624406d6042p-2, -0x1.659c436cb0842p-2, -0x1.925706b9586d9p-2, -0x1.befcfb613c138p-2, -0x1.ea3e3a167c862p-2, -0x1.0988c1ab717d6p-1, -0x1.1c584f282355cp-1, -0x1.2d48fe0b55c04p-1, -0x1.3c307bc6a7275p-1, -0x1.48face70095dfp-1, -0x1.53a649daf708bp-1, -0x1.5c3fc61ba4e4bp-1, -0x1.62df339bf966cp-1, -0x1.67a49a4419b25p-1, -0x1.6ab587d9f0588p-1, -0x1.6c3aea62e96b9p-1, -0x1.6c5f4eeb3c381p-1, -0x1.6b4d7b7d32699p-1, -0x1.692f5878e87c8p-1, -0x1.662d1fed4c045p-1, -0x1.626cc67fd2c4bp-1, -0x1.5e1194a7bea5ep-1, -0x1.593be836fd9fdp-1, -0x1.5409150bb446bp-1, -0x1.4e935f024f0d6p-1, -0x1.48f207281b6adp-1, -0x1.433966ed850cbp-1, -0x1.3d7b1689e7eb5p-1, -0x1.37c61977f1bcdp-1, -0x1.32270fc740ddp-1, -0x1.2ca86990429d7p-1, -0x1.27529b6fda11ep-1, -0x1.222c516fbc7afp-1, -0x1.1d3aa0b4cf086p-1, -0x1.1881373283a89p-1, -0x1.14028882f72c2p-1, -0x1.0fbff7399679ap-1, -0x1.0bb9fa7288f1dp-1, -0x1.07f041a9dfc33p-1, -0x1.0461d4ce173c4p-1, -0x1.010d30dda061ap-1, -0x1.fbe0c207abda4p-2, -0x1.f6122a1c67f1ap-2, -0x1.f0a96c6f77684p-2, -0x1.eba0f1af998bp-2, -0x1.e6f2d8c7a14dfp-2, -0x1.e2991110c96a4p-2, -0x1.de8d709a7dd7dp-2, -0x1.dac9c7945f6dcp-2, -0x1.d747f112ef7eep-2, -0x1.d401e19344581p-2, -0x1.d0f1b3850fe28p-2, -0x1.ce11afa2d1f02p-2, -0x1.cb5c55ef394e9p-2, -0x1.c8cc61fe670ccp-2, -0x1.c65ccfeb0fcfbp-2, -0x1.c408df40baa58p-2, -0x1.c1cc151fe203fp-2, -0x1.bfa23dcde1e85p-2, -0x1.bd876cf84a778p-2, -0x1.bb77fdc1510e6p-2, -0x1.b97091d5e86a5p-2, -0x1.b76e0fd3e4067p-2, -0x1.b56da1fe13205p-2, -0x1.b36cb3413e47bp-2, -0x1.b168ee145fb0fp-2, -0x1.af60388246b56p-2, -0x1.ad50b29741f95p-2, -0x1.ab38b33093ca4p-2, -0x1.a916c529ee512p-2, -0x1.a6e9a4ac9c606p-2, -0x1.a4b03c2298b0ep-2, -0x1.a269a16db9415p-2, -0x1.a0151333ec79fp-2, -0x1.9db1f5ebebb2cp-2, -0x1.9b3fd12b9d373p-2, -0x1.98be4d08f458dp-2, -0x1.962d2fb0c5219p-2, -0x1.938c5ab101f9ap-2, -0x1.90dbc8a5541d3p-2, -0x1.8e1b8b475bd2dp-2, -0x1.8b4bc8bbaa3bfp-2, -0x1.886cba52be72p-2, -0x1.857ea9ca6b7f4p-2, -0x1.8281efeff31d9p-2, -0x1.7f76f2e99fec6p-2, -0x1.7c5e24d9e881bp-2, -0x1.793801ed7aeadp-2, -0x1.76050f241b2cp-2, -0x1.72c5d8b0d4736p-2, -0x1.6f7af1526af37p-2, -0x1.6c24f11044e7bp-2, -0x1.68c473e2b8242p-2, -0x1.655a18d258e99p-2, -0x1.61e68153e1f4bp-2, -0x1.5e6a507087db5p-2, -0x1.5ae629f82088cp-2, -0x1.575ab1efd1ecep-2, -0x1.53c88be07a0f2p-2, -0x1.50305a5d8564ap-2, -0x1.4c92be809df09p-2, -0x1.48f05779b3e06p-2, -0x1.4549c2131ddf6p-2, -0x1.419f9887961aep-2, -0x1.3df271ed8616bp-2, -0x1.3a42e24863572p-2, -0x1.36917a03e0b8bp-2, -0x1.32dec5eed356ap-2, -0x1.2f2b4f0f7d081p-2, -0x1.2b779a64f72c5p-2, -0x1.27c428e4d65fdp-2, -0x1.241177785e0b2p-2, -0x1.205ffeb268ee9p-2, -0x1.1cb032fa0c347p-2, -0x1.19028484a0e15p-2, -0x1.15575f3966a72p-2, -0x1.11af2a8a7aa77p-2, -0x1.0e0a49d13a62ep-2, -0x1.0a691c12e8e97p-2, -0x1.06cbfc454fbb1p-2, -0x1.033340ff0b5c7p-2, -0x1.ff3e79aa6695p-3, -0x1.f8207c7d1083p-3, -0x1.f10d1f9fb94c3p-3, -0x1.ea04f01c4768ap-3, -0x1.e30873a88b338p-3, -0x1.dc1828410a064p-3, -0x1.d53484b0c4dd1p-3, -0x1.ce5df8ae4b97cp-3, -0x1.c794ed0346a3cp-3, -0x1.c0d9c35c53a8ap-3, -0x1.ba2cd726858bap-3, -0x1.b38e7dd6d9abbp-3, -0x1.acff063702fa6p-3, -0x1.a67eb92aa2ad8p-3, -0x1.a00dda1d1c144p-3, -0x1.99aca6db38a1cp-3, -0x1.935b57e8b8d62p-3, -0x1.8d1a206af979p-3, -0x1.86e92eb55f78ep-3, -0x1.80c8ac3dbad6ep-3, -0x1.7ab8be16fd04ap-3, -0x1.74b984d439de4p-3, -0x1.6ecb1cc39253ap-3, -0x1.68ed9e3533c65p-3, -0x1.63211dba596fp-3, -0x1.5d65abf8edf8p-3, -0x1.57bb562934901p-3, -0x1.522226429704ep-3, -0x1.4c9a22d28e841p-3, -0x1.47234f5ec45dfp-3, -0x1.41bdac94a4369p-3, -0x1.3c693856b46c9p-3, -0x1.3725edd9f33dap-3, -0x1.31f3c5ea710d9p-3, -0x1.2cd2b6f14a0acp-3, -0x1.27c2b51c3d097p-3, -0x1.22c3b265f7c5bp-3, -0x1.1dd59ec9e6844p-3, -0x1.18f8686dcc9f6p-3, -0x1.142bfbc29cb66p-3, -0x1.0f7043679cd6ap-3, -0x1.0ac52885e91e9p-3, -0x1.062a92ae41dep-3, -0x1.01a0682461e69p-3, -0x1.fa4d1bccf9f2fp-4, -0x1.f179cf89511cap-4, -0x1.e8c6b04fbd408p-4, -0x1.e033818a5fe2cp-4, -0x1.d7c00447cc1e8p-4, -0x1.cf6bf8ff6b869p-4, -0x1.c7371b9979ad7p-4, -0x1.bf2128489068fp-4, -0x1.b729dc025e41ap-4, -0x1.af50ee78245b5p-4, -0x1.a79618399946ap-4, -0x1.9ff910a528889p-4, -0x1.98798dec99c4fp-4, -0x1.911745664fa28p-4, -0x1.89d1ebcf163edp-4, -0x1.82a934b5dac3p-4, -0x1.7b9cd3b7b0c06p-4, -0x1.74ac7bbdb93c6p-4, -0x1.6dd7df0bf5acfp-4, -0x1.671eaf64cb15dp-4, -0x1.60809ea169a1dp-4, -0x1.59fd5e79f9f99p-4, -0x1.5394a01481eecp-4, -0x1.4d4613be8237ap-4, -0x1.47116b0e1c5d6p-4, -0x1.40f657b195b19p-4, -0x1.3af489a22835fp-4, -0x1.350bb22a8de5ep-4, -0x1.2f3b838011339p-4, -0x1.2983aeda441afp-4, -0x1.23e3e5a04b4fep-4, -0x1.1e5bd9bbe768ep-4, -0x1.18eb3d63d2df6p-4, -0x1.1391c325c8c33p-4, -0x1.0e4f1ddbd091ep-4, -0x1.092300b91b4b3p-4, -0x1.040d1f607837dp-4, -0x1.fe1a5bfce6588p-5, -0x1.f445c1ce0d79p-5, -0x1.ea9bd969279a6p-5, -0x1.e11c0f1766997p-5, -0x1.d7c5cd97e28b8p-5, -0x1.ce98828b1bfe4p-5, -0x1.c5939bc2a8e4ap-5, -0x1.bcb6884d2647dp-5, -0x1.b400b8399fd75p-5, -0x1.ab719cf15cacdp-5, -0x1.a308a92c856b8p-5, -0x1.9ac5509ebfc7fp-5, -0x1.92a70885788f6p-5, -0x1.8aad470b1a61p-5, -0x1.82d78397de171p-5, -0x1.7b2536e0d06dfp-5, -0x1.7395db1d837e7p-5, -0x1.6c28ebb2e6db6p-5, -0x1.64dde5556a4fap-5, -0x1.5db445b70da5ep-5, -0x1.56ab8c515b42fp-5, -0x1.4fc339bcdef55p-5, -0x1.48fad00ad0982p-5, -0x1.4251d2738821ap-5, -0x1.3bc7c5951114fp-5, -0x1.355c2f7e2cc6fp-5, -0x1.2f0e97bbc5826p-5, -0x1.28de86bb484c5p-5, -0x1.22cb86b2af04ap-5, -0x1.1cd522b7296d4p-5, -0x1.16fae7ff487fdp-5, -0x1.113c64479a74bp-5, -0x1.0b9926f5d9c75p-5, -0x1.0610c1178763p-5, -0x1.00a2c44b4e494p-5, -0x1.f69d8c26b0719p-6, -0x1.ec28ad76d309bp-6, -0x1.e1e621be1bd86p-6, -0x1.d7d512fb9e7eap-6, -0x1.cdf4b3b9d560cp-6, -0x1.c444385f74bcap-6, -0x1.bac2d73c1540dp-6, -0x1.b16fc8ff03887p-6, -0x1.a84a4a7a3007bp-6, -0x1.9f519923d25fdp-6, -0x1.9684f660383e7p-6, -0x1.8de3a56c1ec7ep-6, -0x1.856ceb5c674c3p-6, -0x1.7d2011b55cf1cp-6, -0x1.74fc6255374d7p-6, -0x1.6d012bafd1f92p-6, -0x1.652dbc9d897b4p-6, -0x1.5d81670881f68p-6, -0x1.55fb804017988p-6, -0x1.4e9b5eb74792ep-6, -0x1.47605bf1bb1d8p-6, -0x1.4049d2ebb1527p-6, -0x1.395721cb512bbp-6, -0x1.3287a96eefda4p-6, -0x1.2bdacaf080d61p-6, -0x1.254fec5dab172p-6, -0x1.1ee673f9bc279p-6, -0x1.189dcb386355p-6, -0x1.12755d8de8f7bp-6, -0x1.0c6c98730a6c7p-6, -0x1.0682eba591546p-6, -0x1.00b7c872fb35cp-6, -0x1.f61546d2b2f45p-7, -0x1.eaf5e4a32bcf1p-7, -0x1.e0105a5219ec7p-7, -0x1.d5639c6f0f99p-7, -0x1.caeea34cfc77ap-7, -0x1.c0b06a733dc26p-7, -0x1.b6a7f3ac1cfeep-7, -0x1.acd4424929622p-7, -0x1.a3345e3b60afp-7, -0x1.99c7539b2da03p-7, -0x1.908c3170b8c9dp-7, -0x1.87820c56470d9p-7, -0x1.7ea7fafb0da18p-7, -0x1.75fd18c8232acp-7, -0x1.6d80839f86573p-7, -0x1.65315ce27e3cep-7, -0x1.5d0eca79673c6p-7, -0x1.5517f5fb12cd8p-7, -0x1.4d4c0a7f4f765p-7, -0x1.45aa3dd6da94ap-7, -0x1.3e31ba933fe9cp-7, -0x1.36e1bdecdf1b8p-7, -0x1.2fb977f7b6788p-7, -0x1.28b833fad1ee7p-7, -0x1.21dd2a126833cp-7, -0x1.1b279e1cdc504p-7, -0x1.1496d80cdf69fp-7, -0x1.0e2a21d2fa2d3p-7, -0x1.07e0c5057953ap-7, -0x1.01ba196aac9d2p-7, -0x1.f76ad063df9e6p-8, -0x1.eba41aefd88ecp-8, -0x1.e01ec25594015p-8, -0x1.d4d9755cd1652p-8, -0x1.c9d2f8ffa96afp-8, -0x1.bf0a090d9bcd8p-8, -0x1.b47d70a219921p-8, -0x1.aa2bfdf67297ep-8, -0x1.a0148199b9fdap-8, -0x1.9635d1aa2b251p-8, -0x1.8c8ecd3a651eep-8, -0x1.831e536317513p-8, -0x1.79e34ff1f5p-8, -0x1.70dcaa066af7bp-8, -0x1.680953941c896p-8, -0x1.5f68434acf7b9p-8, -0x1.56f871d492f4dp-8, -0x1.4eb8df2941722p-8, -0x1.46a88f095afbep-8, -0x1.3ec6893f4ff97p-8, -0x1.3711daa9a74edp-8, -0x1.2f899409af3c1p-8, -0x1.282ccafabee4bp-8, -0x1.20fa992ecd741p-8, -0x1.19f21cd257ce1p-8, -0x1.1312783819c89p-8, -0x1.0c5ad051df90cp-8, -0x1.05ca5123eade5p-8, -0x1.fec0517fafafap-9, -0x1.f2370e0b01612p-9, -0x1.e5f745efcac17p-9, -0x1.d9ff711f95f19p-9, -0x1.ce4e023d67993p-9, -0x1.c2e180fa9701p-9, -0x1.b7b8767ac6063p-9, -0x1.acd1716a5ada3p-9, -0x1.a22b096de7133p-9, -0x1.97c3e50f27d2dp-9, -0x1.8d9aa4ceb4e1dp-9, -0x1.83adec686e0efp-9, -0x1.79fc74fa18b3fp-9, -0x1.7084fe311125cp-9, -0x1.67463f6ef14bcp-9, -0x1.5e3efb5d8a064p-9, -0x1.556e050f3092ep-9, -0x1.4cd2292db7f2dp-9, -0x1.446a40c0d781ap-9, -0x1.3c3529a85566ap-9, -0x1.3431c844f0d7p-9, -0x1.2c5f05ff7515ep-9, -0x1.24bbcc35861ddp-9, -0x1.1d4715e3ee967p-9, -0x1.15ffd74e46082p-9, -0x1.0ee510ad2f719p-9, -0x1.07f5c5986f0d4p-9, -0x1.0130fe6a8b26p-9, -0x1.f52b9169e636dp-10, -0x1.e84672dc5d4ffp-10, -0x1.dbb0b9b57535dp-10, -0x1.cf68d35872fc9p-10, -0x1.c36cd6610ab45p-10, -0x1.b7bb107cdaf2cp-10, -0x1.ac51d87bb67c1p-10, -0x1.a12f9a4ef934p-10, -0x1.9652a1c782236p-10, -0x1.8bb96a47ef738p-10, -0x1.81626230bf08ap-10, -0x1.774c192a781b1p-10, -0x1.6d750994bad5bp-10, -0x1.63dbc409d248ep-10, -0x1.5a7edf9d31d94p-10, -0x1.515cf9609c9d1p-10, -0x1.4874b7afcd1bep-10, -0x1.3fc4c2d0e4353p-10, -0x1.374bbd5e14521p-10, -0x1.2f08c44627d5p-10, -0x1.26f9ecf9fd48ap-10, -0x1.1f1e84da7e38ep-10, -0x1.17752bf9af0e3p-10, -0x1.0ffcb93b53d58p-10, -0x1.08b40a917572ep-10, -0x1.019a046388e48p-10, -0x1.f55b13aa210c5p-11, -0x1.e7db3e7121117p-11, -0x1.dab25337fceb4p-11, -0x1.cdde3fa5e278ap-11, -0x1.c15d116b4b947p-11, -0x1.b52cd9af670efp-11, -0x1.a94ba29e66d37p-11, -0x1.9db795d9fdd1ep-11, -0x1.926eb73c6939cp-11, -0x1.876f562ed3158p-11, -0x1.7cb7a22d30ccap-11, -0x1.7245ff762f3aap-11, -0x1.6818afc6d55bbp-11, -0x1.5e2e27ddc5e7cp-11, -0x1.5484ade6ac4b8p-11, -0x1.4b1aa8dfff7dcp-11, -0x1.41eeccf6e1f4ap-11, -0x1.38ff85b66dba8p-11, -0x1.304b523fe238bp-11, -0x1.27d0c236fcc65p-11, -0x1.1f8e6e6211c3bp-11, -0x1.1782ffad9b337p-11, -0x1.0fad121d91312p-11, -0x1.080b5519537bcp-11, -0x1.009c9a53ae795p-11, -0x1.f2bef99a7098ap-12, -0x1.e4a5ab6124168p-12, -0x1.d6eaec2197c08p-12, -0x1.c98c764a699bp-12, -0x1.bc8805fc87a1fp-12, -0x1.afdb5cc7f65adp-12, -0x1.a38457e3a37eep-12, -0x1.9780d45c43b0ap-12, -0x1.8bceb3ceb972fp-12, -0x1.806c2ccb0d6e1p-12, -0x1.755749fe979a4p-12, -0x1.6a8dc00227d41p-12, -0x1.600ddd02c4a97p-12, -0x1.55d5a7ae6879ep-12, -0x1.4be35a6649c62p-12, -0x1.423512b1d1e96p-12, -0x1.38c99333f16bcp-12, -0x1.2f9e86add7427p-12, -0x1.26b2f9913baabp-12, -0x1.1e04ed195eaf1p-12, -0x1.1592fb1889f0cp-12, -0x1.0d5b8aded51a3p-12, -0x1.055d2547219f4p-12, -0x1.fb2caba8f6596p-13, -0x1.ec0ba25f514a6p-13, -0x1.dd5439eacba7p-13, -0x1.cf03cd7ebbe1ep-13, -0x1.c1178d9c44f1ap-13, -0x1.b38d1cea185f4p-13, -0x1.a661c4793b53cp-13, -0x1.999303b087eep-13, -0x1.8d1e922ab1128p-13, -0x1.81023263e900ap-13, -0x1.753b9c59e8795p-13, -0x1.69c90372a2637p-13, -0x1.5ea650cc8f2ddp-13, -0x1.53d4992fa5728p-13, -0x1.494f5c138fd78p-13, -0x1.3f1575f57193cp-13, -0x1.3524d6fb7c26cp-13, -0x1.2b7b759340a78p-13, -0x1.22176921613cdp-13, -0x1.18f71ea14ebc1p-13, -0x1.1018b9f19805bp-13, -0x1.077a5aa6c99b7p-13, -0x1.fe34e16a26914p-14, -0x1.edeed0aacc2dp-14, -0x1.de1f4ed173bb9p-14, -0x1.cec2ee70ca517p-14, -0x1.bfd6d4c2b4856p-14, -0x1.b158545e1252bp-14, -0x1.a343ad4235f8dp-14, -0x1.9596af21d8172p-14, -0x1.884f42246b8fap-14, -0x1.7b68eed43c5b8p-14, -0x1.6ee2b1f304a8p-14, -0x1.62b92d4ce0abcp-14, -0x1.56e9c9cfb209ap-14, -0x1.4b724822b2f21p-14, -0x1.405059a083822p-14, -0x1.3581b59d11e5dp-14, -0x1.2b04219eaeb74p-14, -0x1.20d5603e5d1b3p-14, -0x1.16f4204752fdcp-14, -0x1.0d5c087a9133bp-14, -0x1.040d90a4f45f2p-14, -0x1.f60cb8fa2ef25p-15, -0x1.e4830e4be727ep-15, -0x1.d384fb0a64bc5p-15, -0x1.c306ba1ec6969p-15, -0x1.b307312901495p-15, -0x1.a38247935ab0ep-15, -0x1.9474ce20bb337p-15, -0x1.85dc1d9bd5cfap-15, -0x1.77b52deacb9adp-15, -0x1.69fbc9a413f16p-15, -0x1.5cad3529694fbp-15, -0x1.4fc75597bb2d5p-15, -0x1.434555bcabfe5p-15, -0x1.37267b18cddp-15, -0x1.2b66a49f8ff79p-15, -0x1.2003ada9ce691p-15, -0x1.14fc22d43736ep-15, -0x1.0a4bd3609a867p-15, -0x1.ffe104861f0b7p-16, -0x1.ebd14132ec38fp-16, -0x1.d86429998d659p-16, -0x1.c5912e65fc0c6p-16, -0x1.b3581d7e43649p-16, -0x1.a1b0ff92be82fp-16, -0x1.909b2b2f1e18ep-16, -0x1.8011308b66ae9p-16, -0x1.70124544b0a6bp-16, -0x1.6095f0d794e2dp-16, -0x1.5197c32b7df69p-16, -0x1.431277169f864p-16, -0x1.350c46a8f339bp-16, -0x1.277f4045bc9d9p-16, -0x1.1a5e4636f67d2p-16, -0x1.0dadbaafb9cabp-16, -0x1.0169024541e1fp-16, -0x1.eb184436d3132p-17, -0x1.d42ac63c80fadp-17, -0x1.be054926e2584p-17, -0x1.a89de1b4b0227p-17, -0x1.93e7c0ed63453p-17, -0x1.7ff69c8aa7122p-17, -0x1.6ca6d965800a1p-17, -0x1.5a04fe2b9a26fp-17, -0x1.48051d04ec60bp-17, -0x1.36ab00184237fp-17, -0x1.25ec2bbbc633ap-17, -0x1.15c4e2231d0b2p-17, -0x1.0631454da6f99p-17, -0x1.ee5a2ad796d6p-18, -0x1.d15ea28c01e5p-18, -0x1.b575dd43de12cp-18, -0x1.9a952d8807b1bp-18, -0x1.80a732cb7d149p-18, -0x1.67b17eb04e8afp-18, -0x1.4fa9c14810d9p-18, -0x1.38860f9de898dp-18, -0x1.224232367dcedp-18, -0x1.0cd774386172ap-18, -0x1.f083d55324f4fp-19, -0x1.c8f306416c549p-19, -0x1.a2eaa7e64eb6bp-19, -0x1.7e5de26c715e2p-19, -0x1.5b39dd82c17f4p-19, -0x1.3980627267d4p-19, -0x1.19293970d4ad7p-19, -0x1.f448f7a5e52e2p-20, -0x1.b8d2901a22f66p-20, -0x1.7fe9cdb748759p-20, -0x1.49c4d30a2c52ep-20, -0x1.15151ca9e7b92p-20, -0x1.c665e10e54586p-21, -0x1.66df1eba2c537p-21, -0x1.0b9d60e21a32fp-21, -0x1.68d305fdec497p-22, -0x1.84bb4086a7469p-23, -0x1.1e238b233894fp-25, 0x1.cec635732690bp-24, 0x1.03b9f5edef074p-22, 0x1.8c8686dc45cc6p-22, 0x1.0767f2e04bad3p-21, 0x1.4549d4d5359ebp-21, 0x1.80050e3f2171fp-21, 0x1.b7adb1a1db0bep-21, 0x1.ec5ac258d45e9p-21, 0x1.0f135293ebddp-20, 0x1.269862ac6e68ep-20, 0x1.3cdb6bfb48a4fp-20, 0x1.51f1182099212p-20, 0x1.6554944ca4543p-20, 0x1.77c744576b312p-20, 0x1.890f7b7bf1009p-20, 0x1.992afa66ae588p-20, 0x1.a8268c9056f03p-20, 0x1.b61bef3b6e6c3p-20, 0x1.c30f1348fee3bp-20, 0x1.cf05b748b5284p-20, 0x1.da0dc4d9bc48p-20, 0x1.e433e20531764p-20, 0x1.ed523d2e5e7acp-20, 0x1.f5d2cb4d72531p-20, 0x1.fd5acab3ef81ap-20, 0x1.02032455fdf47p-19, 0x1.0503750f2468ap-19, 0x1.079f1983a42a9p-19, 0x1.09e3fd3ed0b29p-19, 0x1.0bd6556a8116ep-19, 0x1.0d6b6fab0ea12p-19, 0x1.0eb392e80358fp-19, 0x1.0fb4d8a07a548p-19, 0x1.10645858b2fa1p-19, 0x1.10c04251f54a4p-19, 0x1.10ebdc2910638p-19, 0x1.10d06f860f6f9p-19, 0x1.1071504ff5053p-19, 0x1.0fe46a5b783e9p-19, 0x1.0ef836c91b2afp-19, 0x1.0de415e29d24ep-19, 0x1.0c9b2ea79fc9ap-19, 0x1.0b2290d8048fp-19, 0x1.0974a5d1765e3p-19, 0x1.079739ea0604ep-19, 0x1.058c04857bc77p-19, 0x1.034d054f71bfep-19, 0x1.00f0c9f994e4bp-19, 0x1.fccf2cfc6bb07p-20, 0x1.f769329bf1e88p-20, 0x1.f1dd24e4e5191p-20, 0x1.ebea7c1aed1d4p-20, 0x1.e5b9a38d58f5bp-20, 0x1.df7a6c0827883p-20, 0x1.d8eded92b5174p-20, 0x1.d1c7e0a47c154p-20, 0x1.cabcd439b9d0dp-20, 0x1.c377c393029cep-20, 0x1.bc06eb8195227p-20, 0x1.b46149c1aaf11p-20, 0x1.ac944bf03a166p-20, 0x1.a4a0e1e9b969fp-20, 0x1.9c84e1d9de149p-20, 0x1.9442a79e7e08cp-20, 0x1.8bc8bdd27a99bp-20, 0x1.83772714df7a4p-20, 0x1.7ad1900d04595p-20, 0x1.722b77e98251fp-20, 0x1.696063ea9784ap-20, 0x1.606e144c79a7ap-20, 0x1.57711c1714c1ep-20, 0x1.4e675a1174262p-20, 0x1.4559db3f59f14p-20, 0x1.3c2c0c61b247ep-20, 0x1.32e0b196adb64p-20, 0x1.29afe2a9777f1p-20, 0x1.2058061488956p-20, 0x1.17064ab34bd59p-20, 0x1.0d9e9fbab3968p-20, 0x1.043428575fcc8p-20, 0x1.f5a05084ebf0cp-21, 0x1.e2a8d92398ce4p-21, 0x1.cfaf786dde90ap-21, 0x1.bcc2133da0674p-21, 0x1.a9d8989f558c1p-21, 0x1.96f731ab5cd0cp-21, 0x1.841edaadf8e9ep-21, 0x1.713d3962665a5p-21, 0x1.5e64e6222bdb1p-21, 0x1.4b6e75395cf7dp-21, 0x1.38c5d5b09bacep-21, 0x1.26163cd19f3d9p-21, 0x1.136279f4edc3cp-21, 0x1.00db046edd8a6p-21, 0x1.dcd4ed9dbd20bp-22, 0x1.b79a94fba353dp-22, 0x1.93049698c5108p-22, 0x1.6eb0cdee034d7p-22, 0x1.4a872cb8fc9b6p-22, 0x1.25fe12e7d8c3p-22, 0x1.0225a7cab7cb8p-22, 0x1.bccd5c89b8861p-23, 0x1.7458b8f0792aep-23, 0x1.2f7d5cc484d5ep-23, 0x1.d2ee764e40706p-24, 0x1.488209248f168p-24, 0x1.7dd5c218a248cp-25, 0x1.ac74d1065281p-27, -0x1.48e110adb9204p-26, -0x1.b1a1258601183p-25, -0x1.63f7f9d9ee604p-24, -0x1.e30ba91bfbc9dp-24, -0x1.3384484756266p-23, -0x1.742f7545668d8p-23, -0x1.b4f8b3f42967p-23, -0x1.f44bacbc7c9d4p-23, -0x1.19580ef9014f1p-22, -0x1.389bd428a44b9p-22, -0x1.57a0debb061b4p-22, -0x1.7622f219609d7p-22, -0x1.9457b3ddceeeap-22, -0x1.b2821e2a8c6dbp-22, -0x1.d0194dbd9496bp-22, -0x1.ed20feb37383fp-22, -0x1.04c8cc2fc752ap-21, -0x1.133a31e08f352p-21, -0x1.2143983209596p-21, -0x1.2f25efca26215p-21, -0x1.3ceedee594d26p-21, -0x1.4a6aa6778ba51p-21, -0x1.57c139ec6c038p-21, -0x1.650013c6f5edp-21, -0x1.720fca7a85c18p-21, -0x1.7ed03ca06dbc3p-21, -0x1.8b5964256e159p-21, -0x1.97e54c4e4d01ap-21, -0x1.a411ec668c535p-21, -0x1.b0388793dbeedp-21, -0x1.bc1c40698ad74p-21, -0x1.c7cdc275b2a11p-21, -0x1.d364620e77a57p-21, -0x1.dec10a5b72ed2p-21, -0x1.e9e9759a0f085p-21, -0x1.f4e04dd31c9fp-21, -0x1.ffa8bfa626f4ep-21, -0x1.0522cd34b14edp-20, -0x1.0a5b0bbe20d2p-20, -0x1.0f7b253e2ea85p-20, -0x1.1481a7fdd9b12p-20, -0x1.1971d6cfc1255p-20, -0x1.1e52971d6190ep-20, -0x1.2301c28666bf3p-20, -0x1.27ba5e3c2d34cp-20, -0x1.2c55b0e491699p-20, -0x1.30d6188bda6d3p-20, -0x1.353711e3e5f6fp-20, -0x1.397f5d61c1d97p-20, -0x1.3db13b1d88369p-20, -0x1.41ff2d982146fp-20, -0x1.4600dfc09e76ep-20, -0x1.49cdf5fd28b57p-20, -0x1.4d818161ba0a2p-20, -0x1.51685060110e6p-20, -0x1.553a2e81ff0ccp-20, -0x1.58d796bb1eef9p-20, -0x1.5c680a0646621p-20, -0x1.5fce10f6effb1p-20, -0x1.632997e6d3287p-20, -0x1.668137b1ae5f1p-20, -0x1.699c851c52a03p-20, -0x1.6cb89a048713cp-20, -0x1.6fc6bce6e6e12p-20, -0x1.72b672f894668p-20, -0x1.759c11a664f1ep-20, -0x1.786b5da7c23f2p-20, -0x1.7b1ecf13b102ap-20, -0x1.7dc10b1ff6a9ap-20, -0x1.80386b1c49857p-20, -0x1.82b2356a2acd2p-20, -0x1.851f7771b6911p-20, -0x1.876711f1e4472p-20, -0x1.89a2eeb0feb7fp-20, -0x1.8bc967e90df54p-20, -0x1.8de73e67702fp-20, -0x1.8fe729bbba1d8p-20, -0x1.91d77f8fb8952p-20, -0x1.93b41072cf79ap-20, -0x1.957f0b589d3f1p-20, -0x1.97390ab84a771p-20, -0x1.98e206c45865bp-20, -0x1.9a78a951c3c75p-20, -0x1.9c025ecd1c7f6p-20, -0x1.9d6927bffaa3fp-20, -0x1.9ed4aa2bf139ap-20, -0x1.a01c6bd1ecb48p-20, -0x1.a15bdb7a9f98cp-20, -0x1.a2895374f09bap-20, -0x1.a39e5203d2dd4p-20, -0x1.a4b06bcf62dd9p-20, -0x1.a5a7674a70eecp-20, -0x1.a689bd33874a9p-20, -0x1.a770bb7519ed2p-20, -0x1.a83a47061ddb4p-20, -0x1.a8eea01fdef8ap-20, -0x1.a9763dc5cdaeep-20, -0x1.aa3207e0b3b87p-20, -0x1.aacbd4f94e5a9p-20, -0x1.ab53591f6103cp-20, -0x1.abb2314b2e65ep-20, -0x1.ac22bf1b7848ap-20, -0x1.ac7159e27a5ddp-20, -0x1.acb7d738abbc4p-20, -0x1.acefbe7ad98d2p-20, -0x1.acf07660b4c2dp-20, -0x1.ad23ce7e2bbe1p-20, -0x1.ad377dd29c488p-20, -0x1.ad41d11472c94p-20, -0x1.ad33bdd1056cbp-20, -0x1.ad1e6dba6a1c1p-20, -0x1.acf112fa88b4cp-20, -0x1.acbc2406e3266p-20, -0x1.ac841d3a5b915p-20, -0x1.ac3028f5b6eb2p-20, -0x1.abe2577ba6479p-20, -0x1.ab7244ec7c313p-20, -0x1.ab0590a7df803p-20, -0x1.aa86fca9e3bd4p-20, -0x1.aa01d25abd1a7p-20, -0x1.a9739ea123d03p-20, -0x1.a8dac8b66e13p-20, -0x1.a8353c1616faep-20, -0x1.a782a4b0e7057p-20, -0x1.a6cb64bba8e33p-20, -0x1.a5f70f06686dap-20, -0x1.a528468140f04p-20, -0x1.a4540f852346fp-20, -0x1.a3704e81e5f4fp-20, -0x1.a2831c7fa46b5p-20, -0x1.a18adb2b5ecabp-20, -0x1.a085f61ff6c7fp-20, -0x1.9f7b34ca45aa8p-20, -0x1.9e6ba532f3414p-20, -0x1.9d4efbdd82c53p-20, -0x1.9c4a3443eb38fp-20, -0x1.9b0412d31e4f1p-20, -0x1.99d20c7b0677p-20, -0x1.989262be4bb7ap-20, -0x1.974f08f35d1f2p-20, -0x1.95fe96d595682p-20, -0x1.94a452a7f2461p-20, -0x1.934844c3c441cp-20, -0x1.91e945f24bf09p-20, -0x1.906aea261d30ep-20, -0x1.8f08a46dcebc4p-20, -0x1.8d8dea40bc902p-20, -0x1.8c12c51847ecep-20, -0x1.8a834a1d30316p-20, -0x1.8905f6fdd671ep-20, -0x1.876f8e7adb326p-20, -0x1.85cfbba4a8ca1p-20, -0x1.8432418628883p-20, -0x1.829343309cb67p-20, -0x1.80db0b9cb8858p-20, -0x1.7f280919a6193p-20, -0x1.7d6d67a1a93e2p-20, -0x1.7bb7bcc3c4cdap-20, -0x1.79fb69d5cc22p-20, -0x1.782f39edeed12p-20, -0x1.7669ff144cbe4p-20, -0x1.748a486bc5fb9p-20, -0x1.72c0431028e45p-20, -0x1.70e4f158ce765p-20, -0x1.6f09036425b4ep-20, -0x1.6d19175dc06f3p-20, -0x1.6b3ce1cca657fp-20, -0x1.6947744748f5p-20, -0x1.675dde2799941p-20, -0x1.65661c587001ap-20, -0x1.637084dc2d5b5p-20, -0x1.6176e620289e9p-20, -0x1.5f799680fd4b3p-20, -0x1.5d7724b7f1648p-20, -0x1.5b75626fe56dbp-20, -0x1.596af7835b3b5p-20, -0x1.575b3c8aba30ep-20, -0x1.554d06ce558c6p-20, -0x1.533874e1f343dp-20, -0x1.5133daab0eb2ep-20, -0x1.4f1b12826d3ebp-20, -0x1.4cf270f7ae9c2p-20, -0x1.4ade3d960d688p-20, -0x1.48c275f1cb69bp-20, -0x1.468a4d07dee7p-20, -0x1.44788e25371e3p-20, -0x1.424fbb87f1f7ep-20, -0x1.402dc62b6210ep-20, -0x1.3e096c68f5c7bp-20, -0x1.3bde529b02ed7p-20, -0x1.39b404a96a2f8p-20, -0x1.3783fdba7816bp-20, -0x1.354f4ec04f8afp-20, -0x1.3320327f15126p-20, -0x1.30ed95da29e01p-20, -0x1.2ebea91ce6abfp-20, -0x1.2c8f624fe91e1p-20, -0x1.2a5441b96f799p-20, -0x1.2822d721a4d8dp-20, -0x1.25e776040e2f1p-20, -0x1.23ac666d43b29p-20, -0x1.217601c6535ddp-20, -0x1.1f375a5d0cb5fp-20, -0x1.1d01040a285b9p-20, -0x1.1ac85f1b7c98ep-20, -0x1.188afa5942408p-20, -0x1.1652fb28d9d65p-20, -0x1.1418297e6493fp-20, -0x1.11d40f8b85bd6p-20, -0x1.0fa32572de87ep-20, -0x1.0d60d38471a02p-20, -0x1.0b28301a0c12p-20, -0x1.08f0dcb46708ep-20, -0x1.06b4bb8b2df05p-20, -0x1.0475909acaccp-20, -0x1.023829445cf62p-20, -0x1.0000f9721efa4p-20, -0x1.fb8ee53e04081p-21, -0x1.f71adcaad41f8p-21, -0x1.f2898e418b9f5p-21, -0x1.ee375dd742ff1p-21, -0x1.e9ca334a68602p-21, -0x1.e553ef65b8b4p-21, -0x1.e0f636fbd103p-21, -0x1.dc86a6d9da44bp-21, -0x1.d811ae3872f69p-21, -0x1.d3a9529dfa943p-21, -0x1.cf472b6188b74p-21, -0x1.cae62372aa5f2p-21, -0x1.c6880d1393465p-21, -0x1.c22827882e94ap-21, -0x1.bdc824d9315d4p-21, -0x1.b95d8642908f9p-21, -0x1.b516a7ecd9b8ap-21, }}, 
      {{-0x1.fd3498f0ad23cp-6, -0x1.c61aca7087c9bp-4, -0x1.b5f0437fedd56p-3, -0x1.451b5480eed88p-2, -0x1.a0575efda1d95p-2, -0x1.e459c5352e2bep-2, -0x1.0741fc82fe812p-1, -0x1.100e2a93798a3p-1, -0x1.0e5a0cd3e2e88p-1, -0x1.04755d740b2e4p-1, -0x1.e9926ad0258dcp-2, -0x1.c327bf1ab0282p-2, -0x1.99887a1b1a664p-2, -0x1.6fd5ffe83d4f3p-2, -0x1.4873864a456dcp-2, -0x1.25143ff24b8d2p-2, -0x1.06d18243c4a9ap-2, -0x1.dc87c7f6a2a21p-3, -0x1.b738c772b89aap-3, -0x1.9d77cd4346832p-3, -0x1.8e905571ed6b4p-3, -0x1.897b8b6d5776fp-3, -0x1.8cfe6f4279f8bp-3, -0x1.97c264abd7ad6p-3, -0x1.a868af83ec733p-3, -0x1.bd99639db1ac9p-3, -0x1.d60e64cc4f292p-3, -0x1.f09b0eb06d2c5p-3, -0x1.06188bb689c49p-2, -0x1.13f19ce67b7aep-2, -0x1.21730f24b3b3ap-2, -0x1.2e47f7e2e2798p-2, -0x1.3a2b7be3c202p-2, -0x1.44e7c5a8ccf12p-2, -0x1.4e54c2bf3dcdep-2, -0x1.5656c01d7086p-2, -0x1.5cdcf823e84c2p-2, -0x1.61e021ddaa265p-2, -0x1.65610ba5f6474p-2, -0x1.676749d969297p-2, -0x1.67fffdd430a3ep-2, -0x1.673cb91c2661ep-2, -0x1.65327d5360772p-2, -0x1.61f8d98fc4d08p-2, -0x1.5da924365a20cp-2, -0x1.585dd03cc5125p-2, -0x1.5231dc60bbbc8p-2, -0x1.4b4058daf67cep-2, -0x1.43a40313e1378p-2, -0x1.3b76f36214d39p-2, -0x1.32d25bfba890ap-2, -0x1.29ce570b09ff5p-2, -0x1.2081c07042171p-2, -0x1.17021b11badb5p-2, -0x1.0d637d2d70a15p-2, -0x1.03b8863ef36eap-2, -0x1.f424b5bfbfbf3p-3, -0x1.e1014c0ef8d36p-3, -0x1.ce233d395ba09p-3, -0x1.bba41fefdcd2fp-3, -0x1.a99aca1814017p-3, -0x1.981b6c59bf7abp-3, -0x1.8737aeac7357p-3, -0x1.76fed3342ac0ep-3, -0x1.677dd750fa5e8p-3, -0x1.58bf97bf350ccp-3, -0x1.4accf3ff084ebp-3, -0x1.3dacf1591b316p-3, -0x1.3164dd680e25fp-3, -0x1.25f86fc0b507dp-3, -0x1.1b69ea90a9445p-3, -0x1.11ba3a6154e37p-3, -0x1.08e914bf629d4p-3, -0x1.00f515fe5b708p-3, -0x1.f3b7b8e4981a7p-4, -0x1.e7344a93a5f39p-4, -0x1.dc57c74356a3fp-4, -0x1.d318b4ec3d95p-4, -0x1.cb6c648179685p-4, -0x1.c5471d1df4b96p-4, -0x1.c09c4372fcd71p-4, -0x1.bd5e7ed7898b1p-4, -0x1.bb7fdb9128b25p-4, -0x1.baf1ea7b90cbbp-4, -0x1.bba5ddf68a60bp-4, -0x1.bd8ca55fe272p-4, -0x1.c097049bbc7e4p-4, -0x1.c4b5ab181b272p-4, -0x1.c9d9476043a36p-4, -0x1.cff298d2cc1b5p-4, -0x1.d6f2819252b5fp-4, -0x1.deca11f5176d2p-4, -0x1.e76a98517bae4p-4, -0x1.f0c5a99cea215p-4, -0x1.facd2bc9e508p-4, -0x1.02b9af2ba423cp-3, -0x1.085570d26f882p-3, -0x1.0e335d8b68a95p-3, -0x1.144d2d21162afp-3, -0x1.1a9cce206301ap-3, -0x1.211c67cbef45ep-3, -0x1.27c65a95afbbfp-3, -0x1.2e9540a68ea53p-3, -0x1.3583ee3f47efap-3, -0x1.3c8d7199c941p-3, -0x1.43ad133b444fbp-3, -0x1.4ade54cf418dbp-3, -0x1.521cf0b4780dbp-3, -0x1.5964d91c48523p-3, -0x1.60b23712692e2p-3, -0x1.680168fe9aeb1p-3, -0x1.6f4f015fa0a56p-3, -0x1.7697c5ba37e6cp-3, -0x1.7dd8acf5288fep-3, -0x1.850edd342c3d8p-3, -0x1.8c37aba95180fp-3, -0x1.935099ca38e8fp-3, -0x1.9a575434c3f11p-3, -0x1.a149b1776f901p-3, -0x1.a825afea39ec7p-3, -0x1.aee97466c8ae4p-3, -0x1.b593493954383p-3, -0x1.bc219babc3e2dp-3, -0x1.c292fb0e89727p-3, -0x1.c8e6178b05ddep-3, -0x1.cf19bfd99a692p-3, -0x1.d52ce066039f6p-3, -0x1.db1e81d059087p-3, -0x1.e0edc780e5874p-3, -0x1.e699ed9af7f27p-3, -0x1.ec2248dc27ec4p-3, -0x1.f18644b20683fp-3, -0x1.f6c561760ce54p-3, -0x1.fbdf340f6e40cp-3, -0x1.0069b23f8f165p-2, -0x1.02d0d64a43acfp-2, -0x1.0524eb508422ap-2, -0x1.0765dea0fa848p-2, -0x1.0993a4e26acf9p-2, -0x1.0bae397b93ff9p-2, -0x1.0db59e33c38c6p-2, -0x1.0fa9db1951e03p-2, -0x1.118afdc230455p-2, -0x1.135918a9496e1p-2, -0x1.1514433e757bap-2, -0x1.16bc9998a03e9p-2, -0x1.18523b9ed318dp-2, -0x1.19d54ce2017e9p-2, -0x1.1b45f4935dbdep-2, -0x1.1ca45cfe2d925p-2, -0x1.1df0b328b5984p-2, -0x1.1f2b269f68d37p-2, -0x1.2053e9671441cp-2, -0x1.216b2fa1b6d21p-2, -0x1.22712f20b3b7cp-2, -0x1.23661f5c5e93dp-2, -0x1.244a395d1a941p-2, -0x1.251db772606d7p-2, -0x1.25e0d4f05afcfp-2, -0x1.2693ce0f6156cp-2, -0x1.2736dfecadbb6p-2, -0x1.27ca4855150d4p-2, -0x1.284e45909b0e6p-2, -0x1.28c3163ab37edp-2, -0x1.2928f953b6166p-2, -0x1.29802e156694cp-2, -0x1.29c8f3d451b82p-2, -0x1.2a0389e92bb15p-2, -0x1.2a302f99fe37p-2, -0x1.2a4f24182e4e6p-2, -0x1.2a60a66bcf3ecp-2, -0x1.2a64f565cdb3cp-2, -0x1.2a5c4f7b7e297p-2, -0x1.2a46f2cf5954cp-2, -0x1.2a251d2ca8452p-2, -0x1.29f70bf0ef293p-2, -0x1.29bcfc031c3acp-2, -0x1.297729d4ecde4p-2, -0x1.2925d13a39578p-2, -0x1.28c92d9fee198p-2, -0x1.28617a03f8404p-2, -0x1.27eef05194fafp-2, -0x1.2771ca2ece23ep-2, -0x1.26ea4102efeacp-2, -0x1.26588cee864aep-2, -0x1.25bce5d3d10dp-2, -0x1.251782e0427efp-2, -0x1.24689a9d5e54cp-2, -0x1.23b062eabe42dp-2, -0x1.22ef1108c436fp-2, -0x1.2224d997c3b86p-2, -0x1.2151f09035a2p-2, -0x1.2076893c7c85ap-2, -0x1.1f92d64f07fefp-2, -0x1.1ea709d9be8e6p-2, -0x1.1db35548772ffp-2, -0x1.1cb7e97641a7fp-2, -0x1.1bb4f68910342p-2, -0x1.1aaaabef873bep-2, -0x1.199938b48822ap-2, -0x1.1880cb4b03883p-2, -0x1.1761914c57de6p-2, -0x1.163bb7ea316bcp-2, -0x1.150f6be564c66p-2, -0x1.13dcd92e26664p-2, -0x1.12a42b2dfaf57p-2, -0x1.11658cc83de45p-2, -0x1.10212861138afp-2, -0x1.0ed727c339a8cp-2, -0x1.0d87b4310c18ap-2, -0x1.0c32f66700c62p-2, -0x1.0ad91695fc52bp-2, -0x1.097a3c7a6b41ep-2, -0x1.08168f4b2b3cbp-2, -0x1.06ae35c6e9a11p-2, -0x1.054155fc99809p-2, -0x1.03d015b17507p-2, -0x1.025a9a1da6043p-2, -0x1.00e1080ca1338p-2, -0x1.fec707a00a7fp-3, -0x1.fbc4624cb96ap-3, -0x1.f8ba66c4dec35p-3, -0x1.f5a95ad993822p-3, -0x1.f291837876f62p-3, -0x1.ef7324c5e7f5p-3, -0x1.ec4e81ce7111ep-3, -0x1.e923dcc8d9bd6p-3, -0x1.e5f376f53e418p-3, -0x1.e2bd90d8d6515p-3, -0x1.df826a194c7c3p-3, -0x1.dc4241d141ed4p-3, -0x1.d8fd55d46d629p-3, -0x1.d5b3e35269b3dp-3, -0x1.d266265b1114bp-3, -0x1.cf145a701a0bap-3, -0x1.cbbeba43bfe9bp-3, -0x1.c8657fdbe5ad5p-3, -0x1.c508e45885ea2p-3, -0x1.c1a91fed7d547p-3, -0x1.be4669dac4335p-3, -0x1.bae0f8b1ce913p-3, -0x1.b77902484f19cp-3, -0x1.b40ebbd597c29p-3, -0x1.b0a259cc53d35p-3, -0x1.ad340fba3f16ap-3, -0x1.a9c4103b3e0a6p-3, -0x1.a6528cfcee06ep-3, -0x1.a2dfb78911ab7p-3, -0x1.9f6bbf8e0be27p-3, -0x1.9bf6d59835782p-3, -0x1.9881284f45d8ep-3, -0x1.950ae5f36a4bap-3, -0x1.91943bd0a70dcp-3, -0x1.8e1d565af6ed5p-3, -0x1.8aa66148871a6p-3, -0x1.872f87ce58bc8p-3, -0x1.83b8f46c2a12cp-3, -0x1.8042d0ec8aae6p-3, -0x1.7ccd4652b1d5ep-3, -0x1.79587cce68eeap-3, -0x1.75e49b74f37e1p-3, -0x1.7271c903f29a4p-3, -0x1.6f002b4779ef5p-3, -0x1.6b8fe7b18e9ap-3, -0x1.682122e8daeb5p-3, -0x1.64b400f232b9ap-3, -0x1.6148a4d117eacp-3, -0x1.5ddf30fcb7638p-3, -0x1.5a77c6ca04137p-3, -0x1.5712873c92e2cp-3, -0x1.53af927b1e141p-3, -0x1.504f084f5c02dp-3, -0x1.4cf107bfd779p-3, -0x1.4995af1dcb263p-3, -0x1.463d1bfb024b7p-3, -0x1.42e76b13bb90ap-3, -0x1.3f94b84c888a4p-3, -0x1.3c451f2b31e5dp-3, -0x1.38f8ba6cb3f2dp-3, -0x1.35afa44681ef2p-3, -0x1.3269f67da951p-3, -0x1.2f27c9eedb196p-3, -0x1.2be936e721948p-3, -0x1.28ae54e41d711p-3, -0x1.25773a927ace6p-3, -0x1.2243fe4850855p-3, -0x1.1f14b55dead9ep-3, -0x1.1be9751d5652ap-3, -0x1.18c251e3c8df4p-3, -0x1.159f5fadf516ep-3, -0x1.1280b1c54630dp-3, -0x1.0f665aae5e686p-3, -0x1.0c506c5e412eep-3, -0x1.093ef81716c7p-3, -0x1.06320e7f27f97p-3, -0x1.0329bfd6c0feap-3, -0x1.00261bcc3f4b1p-3, -0x1.fa4e62ea9cf93p-4, -0x1.f45a1f73393e7p-4, -0x1.ee6f88b915015p-4, -0x1.e88eba07baad7p-4, -0x1.e2b7cc3e064c6p-4, -0x1.dcead8cd54afap-4, -0x1.d727f6ac3fa2fp-4, -0x1.d16f3c592e73fp-4, -0x1.cbc0bf76e9924p-4, -0x1.c61c9497c7727p-4, -0x1.c082cf1f19ca7p-4, -0x1.baf382c898e6cp-4, -0x1.b56ec01db9a41p-4, -0x1.aff4984fc4822p-4, -0x1.aa851a7ba3565p-4, -0x1.a520554f26ac6p-4, -0x1.9fc6564f8c776p-4, -0x1.9a772a78b7676p-4, -0x1.9532ddac61e37p-4, -0x1.8ff97b181823bp-4, -0x1.8acb0d215c93fp-4, -0x1.85a79d4b43e65p-4, -0x1.808f341fb9678p-4, -0x1.7b81d9132f5dbp-4, -0x1.767f93415c261p-4, -0x1.71886857e56bdp-4, -0x1.6c9c5d9b32986p-4, -0x1.67bb77758bb99p-4, -0x1.62e5b9bb66bb4p-4, -0x1.5e1b276f0b21ep-4, -0x1.595bc2fcda9bfp-4, -0x1.54a78e0e6aa02p-4, -0x1.4ffe89907b13cp-4, -0x1.4b60b5b1ec1f4p-4, -0x1.46ce11f05d293p-4, -0x1.42469d0b7188ap-4, -0x1.3dca55225d82bp-4, -0x1.395937b67a2cep-4, -0x1.34f3419e7502bp-4, -0x1.30986f39d9554p-4, -0x1.2c48bc66c475p-4, -0x1.28042424829ddp-4, -0x1.23caa13e473bbp-4, -0x1.1f9c2ddc001a5p-4, -0x1.1b78c377e79a8p-4, -0x1.17605b2486bc9p-4, -0x1.1352ed5b43053p-4, -0x1.0f507219bf535p-4, -0x1.0b58e0c768779p-4, -0x1.076c304ff763ep-4, -0x1.038a5737e0e8ep-4, -0x1.ff66970fb8973p-5, -0x1.f7ce059c2bce3p-5, -0x1.f04ae4153272dp-5, -0x1.e8dd1cbaf0207p-5, -0x1.e1849814273e3p-5, -0x1.da413f09cf8b7p-5, -0x1.d312f8f3c1c86p-5, -0x1.cbf9ad0bc9ffp-5, -0x1.c4f541884ce37p-5, -0x1.be059bb845d43p-5, -0x1.b72a9ff7cc40bp-5, -0x1.b064319244e03p-5, -0x1.a9b2333be91f5p-5, -0x1.a31486a8d88fep-5, -0x1.9c8b0d48a9058p-5, -0x1.9615a84a95f2ep-5, -0x1.8fb438d32a26dp-5, -0x1.8966a0005303ap-5, -0x1.832cbf30df0ep-5, -0x1.7d0676ec0f61cp-5, -0x1.76f3a8a29f428p-5, -0x1.70f43358cd881p-5, -0x1.6b07f5bd00e17p-5, -0x1.652eccd94112p-5, -0x1.5f68950b5b9fbp-5, -0x1.59b528f75c748p-5, -0x1.5414634105f18p-5, -0x1.4e861e5bd39acp-5, -0x1.490a351a0d603p-5, -0x1.43a083a6fb014p-5, -0x1.3e48e72b5fd52p-5, -0x1.39033dd363045p-5, -0x1.33cf6651fc111p-5, -0x1.2ead3f2841badp-5, -0x1.299ca5987d15dp-5, -0x1.249d75233ce8bp-5, -0x1.1faf88fa803dp-5, -0x1.1ad2b5cb6f644p-5, -0x1.1606d334aa195p-5, -0x1.114bb54609b38p-5, -0x1.0ca130ecea8b4p-5, -0x1.08071c57730e5p-5, -0x1.037d4ffbc8a33p-5, -0x1.fe074d6d78eb2p-6, -0x1.f533fd017fd28p-6, -0x1.ec806d92c0c5cp-6, -0x1.e3ec604045f66p-6, -0x1.db779495e802p-6, -0x1.d321c5e93503dp-6, -0x1.caeaa98ea367dp-6, -0x1.c2d1ed5444c6cp-6, -0x1.bad7390571c09p-6, -0x1.b2fa2f0464bfp-6, -0x1.ab3a702d481b7p-6, -0x1.a3979f2ebf5a2p-6, -0x1.9c1163f3ddc51p-6, -0x1.94a76e9f0a6dcp-6, -0x1.8d5976f96d082p-6, -0x1.86273d01b425p-6, -0x1.7f1087c3715cp-6, -0x1.78151f789c54cp-6, -0x1.7134cab3ea37dp-6, -0x1.6a6f4b3b30f7ep-6, -0x1.63c45a456bef3p-6, -0x1.5d33a7d5a684dp-6, -0x1.56bcdbef057f8p-6, -0x1.505f980498d9p-6, -0x1.4a1b7c7792c18p-6, -0x1.43f02a52e9dap-6, -0x1.3ddd4937ab1efp-6, -0x1.37e2889a1f415p-6, -0x1.31ffa1943e2fcp-6, -0x1.2c34566b9111fp-6, -0x1.2680704cff74dp-6, -0x1.20e3bc27a6af8p-6, -0x1.1b5e0634c335ep-6, -0x1.15ef164d4cf6ap-6, -0x1.1096ae2e0d5a6p-6, -0x1.0b54875984232p-6, -0x1.062852e96aa97p-6, -0x1.0111bd866e71dp-6, -0x1.f820e22dbdd8p-7, -0x1.ee48308859ca3p-7, -0x1.e498c2381304dp-7, -0x1.db1201ae99127p-7, -0x1.d1b362e857c7ap-7, -0x1.c87c6c9639754p-7, -0x1.bf6cacd1862acp-7, -0x1.b683ba4076cb7p-7, -0x1.adc12b2d2d4aep-7, -0x1.a52490eda839ap-7, -0x1.9cad75fd4afb7p-7, -0x1.945b586639cc3p-7, -0x1.8c2daecc0055fp-7, -0x1.8423ec30c2472p-7, -0x1.7c3d83bd627bdp-7, -0x1.7479ecb834fcep-7, -0x1.6cd8a4bdfe4dp-7, -0x1.65593071af8dep-7, -0x1.5dfb1a929de24p-7, -0x1.56bdf36b9ad7ap-7, -0x1.4fa150166d4bp-7, -0x1.48a4ca5dec1abp-7, -0x1.41c7f944697e5p-7, -0x1.3b0a7ca27454cp-7, -0x1.346be2b69bf23p-7, -0x1.2debb452bbfc6p-7, -0x1.27896d85dc0ffp-7, -0x1.21448214f0b8p-7, -0x1.1b1c6544e5dd2p-7, -0x1.151093a11d15bp-7, -0x1.0f209b7b1eb38p-7, -0x1.094c1ed0f297cp-7, -0x1.0392ce5e6a741p-7, -0x1.fbe8c13059b05p-8, -0x1.f0e10edfa7d14p-8, -0x1.e60dd550c4d1fp-8, -0x1.db6e502c4342p-8, -0x1.d101b4cbedf89p-8, -0x1.c6c739132162cp-8, -0x1.bcbe23e674a24p-8, -0x1.b2e5c5830e96cp-8, -0x1.a93d66dca765bp-8, -0x1.9fc43c671d426p-8, -0x1.96795516cd14p-8, -0x1.8d5b9fd5454e8p-8, -0x1.846a02c41a9dcp-8, -0x1.7ba380714699ap-8, -0x1.73075ad267a7ap-8, -0x1.6a9520482a92dp-8, -0x1.624c97828a5d3p-8, -0x1.5a2d920caa11p-8, -0x1.5237b5d547e95p-8, -0x1.4a6a6a5256b2ep-8, -0x1.42c4d77db45e8p-8, -0x1.3b4606ec05cd3p-8, -0x1.33ed1ae1f4cbcp-8, -0x1.2cb951fa9b953p-8, -0x1.25aa297f55b32p-8, -0x1.1ebf42fa4de58p-8, -0x1.17f846bf68e4fp-8, -0x1.1154bf646f73ep-8, -0x1.0ad3fd9b0627ep-8, -0x1.047514ca5efdcp-8, -0x1.fc6df044a433fp-9, -0x1.f03165191e4b8p-9, -0x1.e433390ace454p-9, -0x1.d872ed118822ap-9, -0x1.ccf08a91acecap-9, -0x1.c1ac2a7d79abcp-9, -0x1.b6a568428b766p-9, -0x1.abdb1e7b974d4p-9, -0x1.a14b8be294a3dp-9, -0x1.96f4ab67cdfabp-9, -0x1.8cd49b4905463p-9, -0x1.82e9f19e51ec6p-9, -0x1.7933d5a81942fp-9, -0x1.6fb1f5759cb11p-9, -0x1.6664334a414f5p-9, -0x1.5d4a5439f09eep-9, -0x1.5463b55a3dfbfp-9, -0x1.4baf3edac8b51p-9, -0x1.432b7982229c9p-9, -0x1.3ad6ced00df45p-9, -0x1.32afeaf6b6adp-9, -0x1.2ab5e45058798p-9, -0x1.22e84622fc8c8p-9, -0x1.1b46ec7c3771bp-9, -0x1.13d1a709601fcp-9, -0x1.0c87f5beb25a2p-9, -0x1.0568f25ab29dcp-9, -0x1.fce6c273abf4p-10, -0x1.ef4bafdf31a61p-10, -0x1.e1fdb66d8ad71p-10, -0x1.d4fa740b8e287p-10, -0x1.c8404f8ad2559p-10, -0x1.bbcec71601a1ep-10, -0x1.afa5b8d7a2e89p-10, -0x1.a3c4d36768ec1p-10, -0x1.982b1236a2cb2p-10, -0x1.8cd6e7fa80452p-10, -0x1.81c6a32e2f5f6p-10, -0x1.76f8cd7c6fdc8p-10, -0x1.6c6c458209707p-10, -0x1.6220207d36d17p-10, -0x1.58135969a26cp-10, -0x1.4e4479a22269p-10, -0x1.44b19fd2f2c7bp-10, -0x1.3b58f35edd0eep-10, -0x1.32393e3b8b3f8p-10, -0x1.2951f6e2f509ep-10, -0x1.20a2a3ec727b6p-10, -0x1.182a2934c8c81p-10, -0x1.0fe6b81d82262p-10, -0x1.07d680a97a0a5p-10, -0x1.fff07ce8bd706p-11, -0x1.f09616f3cc372p-11, -0x1.e19c1e0eccffdp-11, -0x1.d300e96bd3d64p-11, -0x1.c4c2cf1f95dbap-11, -0x1.b6dfec43e41e6p-11, -0x1.a9562ae96364dp-11, -0x1.9c23c7414c743p-11, -0x1.8f47ca82eb109p-11, -0x1.82c2af1b83461p-11, -0x1.76949a4d59dacp-11, -0x1.6abc07ac1a214p-11, -0x1.5f351e9d8bacep-11, -0x1.53fa80cbf0ba9p-11, -0x1.49075373c6d28p-11, -0x1.3e59b2fb4790ap-11, -0x1.33f301bcaedc8p-11, -0x1.29d4c1e0a059bp-11, -0x1.1ffddae4e559dp-11, -0x1.166bc773d28f1p-11, -0x1.0d1d27560723ep-11, -0x1.04116d06582f1p-11, -0x1.f68d09114fbb9p-12, -0x1.e571791a9e657p-12, -0x1.d4c9d2cde59e1p-12, -0x1.c493afb700dbap-12, -0x1.b4cf7844c792p-12, -0x1.a57ca9e2a2025p-12, -0x1.9697d8ff146aep-12, -0x1.881da7510d375p-12, -0x1.7a0e2c8a4c8c7p-12, -0x1.6c6b7f479c271p-12, -0x1.5f35506838fdp-12, -0x1.5267daa877f05p-12, -0x1.45fdc685021b8p-12, -0x1.39f08c9a749e4p-12, -0x1.2e38a221de78fp-12, -0x1.22d29002f02e3p-12, -0x1.17c2336f2123cp-12, -0x1.0d0a7003e77a3p-12, -0x1.02a776f7e6b01p-12, -0x1.f129bd346d14cp-13, -0x1.dda8eed25d61ap-13, -0x1.cad0b84b6794p-13, -0x1.b89b89af0ad37p-13, -0x1.a6fcff3fc1cbfp-13, -0x1.95e75dddcc84cp-13, -0x1.85523d0d0fc4fp-13, -0x1.753f86c819db4p-13, -0x1.65b4b76731ee1p-13, -0x1.56af7a9dbec26p-13, -0x1.48270ff54600fp-13, -0x1.3a191348244d1p-13, -0x1.2c883bf3e4b7p-13, -0x1.1f747bf485628p-13, -0x1.12d8a6f73a666p-13, -0x1.06af30f32ff68p-13, -0x1.f5e8ba36338f3p-14, -0x1.df4b512373267p-14, -0x1.c978f48bd9df5p-14, -0x1.b461ab8bd81aep-14, -0x1.a00a80d7e8f9ep-14, -0x1.8c79f35cd9afbp-14, -0x1.799ebcd657c9p-14, -0x1.67710f29b08c3p-14, -0x1.55fc08a06fa21p-14, -0x1.45403dc9abd13p-14, -0x1.353429f78cc84p-14, -0x1.25d13dfed3ba3p-14, -0x1.1711b72e8d50cp-14, -0x1.08e92723f669ep-14, -0x1.f6922929e8d8fp-15, -0x1.dc6647ad1e202p-15, -0x1.c360659a70ca2p-15, -0x1.ab70882e9f96p-15, -0x1.947fe85e0534cp-15, -0x1.7e97e311930aap-15, -0x1.69bdc09877d85p-15, -0x1.55e0451256794p-15, -0x1.42ee957e1735ep-15, -0x1.30e0145ba91aep-15, -0x1.1fae5e45b2311p-15, -0x1.0f59fa4a2eabdp-15, -0x1.ffcf02ec9a257p-16, -0x1.e2878b68829ep-16, -0x1.c6b8effcc1507p-16, -0x1.ac694403cf9e8p-16, -0x1.93741ebee4364p-16, -0x1.7be34e16615b2p-16, -0x1.65d2f55882f6ep-16, -0x1.5121047b54524p-16, -0x1.3db05bbf67e6bp-16, -0x1.2b795955781e1p-16, -0x1.1a7a3329b17abp-16, -0x1.0ab0ad4f6823bp-16, -0x1.f833fc80ee1ecp-17, -0x1.dd3f2745508dp-17, -0x1.c43f6739e62c1p-17, -0x1.ad4160d3c46d3p-17, -0x1.9836a59b4b6ffp-17, -0x1.84ec73b2bf1fep-17, -0x1.73915282426eep-17, -0x1.642bfb9298949p-17, -0x1.567d9192c92a2p-17, -0x1.4a60bf24edb04p-17, -0x1.3fca8e6a66d3ap-17, -0x1.36af11902ab6ep-17, -0x1.2f02ebae67ec9p-17, -0x1.28d8702d40049p-17, -0x1.2447126eee2d7p-17, -0x1.20fe93ee0fbcdp-17, -0x1.1ed2b777fabb9p-17, -0x1.1db3d64bf3fb4p-17, -0x1.1dccd0c9820dep-17, -0x1.1f2f64a5dc4bdp-17, -0x1.219eb49aa8ccdp-17, -0x1.25076af0f9b38p-17, -0x1.2963f959c8d2fp-17, -0x1.2eacc8490801bp-17, -0x1.34d9b16a4e2d8p-17, -0x1.3bdfb372f167ap-17, -0x1.43b51fd18d212p-17, -0x1.4c5e9f16f7205p-17, -0x1.55e6c5d578216p-17, -0x1.60265783ff05p-17, -0x1.6afbbeba15242p-17, -0x1.765a15c0f8427p-17, -0x1.824e296d6def5p-17, -0x1.8ef53f332a224p-17, -0x1.9c2facf77a61p-17, -0x1.a9e02cb250071p-17, -0x1.b8014e98cb94cp-17, -0x1.c690310ab2a1p-17, -0x1.d589d234da881p-17, -0x1.e4e3c0917d0a6p-17, -0x1.f4a94e78717ap-17, -0x1.02745d96378f7p-16, -0x1.0ab5cbad77acbp-16, -0x1.130a7fe84071bp-16, -0x1.1b882036637a5p-16, -0x1.2431d9db019bbp-16, -0x1.2cf5371fc964bp-16, -0x1.35cfef691872cp-16, -0x1.3ec1f64734b1bp-16, -0x1.47c900a245685p-16, -0x1.50e3b1e197caap-16, -0x1.5a0f96265f3c2p-16, -0x1.63496ab37a2bbp-16, -0x1.6c8e17a6f89fcp-16, -0x1.75db9880d0c1bp-16, -0x1.7f2fe4e2da377p-16, -0x1.888a84092d38ep-16, -0x1.91f360229d93fp-16, -0x1.9b626edc90fep-16, -0x1.a4c673a4e0957p-16, -0x1.ae22ea257d2d5p-16, -0x1.b785ebf89b9e6p-16, -0x1.c0e6c456d48c2p-16, -0x1.ca3dc848173c8p-16, -0x1.d38ab4fc71b84p-16, -0x1.dccded23062d4p-16, -0x1.e606ddfe61fd2p-16, -0x1.ef3326aa648acp-16, -0x1.f851f51ea0f6ap-16, -0x1.00b4dc5d77a79p-15, -0x1.05371fac7db5cp-15, -0x1.09adbf60e1995p-15, -0x1.0e1fcb3cb4121p-15, -0x1.1287724f0f716p-15, -0x1.16e46c1b08cf6p-15, -0x1.1b36c43804399p-15, -0x1.1f7e39781c617p-15, -0x1.23ba61fe091afp-15, -0x1.27ea6938d7635p-15, -0x1.2c0f8bea1bb4p-15, -0x1.30280f8dab46dp-15, -0x1.34339de9aa9f9p-15, -0x1.383170dc1c231p-15, -0x1.3c219b694a05ep-15, -0x1.400431716cb03p-15, -0x1.43d89ce94adbp-15, -0x1.479e2d126a9c8p-15, -0x1.4b553db3f9dd5p-15, -0x1.4eff915a1845p-15, -0x1.529a6fda17e88p-15, -0x1.5623a70f69649p-15, -0x1.599f5fc4ff7fp-15, -0x1.5d0b942be8d02p-15, -0x1.6067520ba5c97p-15, -0x1.63b2bc5c639bdp-15, -0x1.66eddc75a86b9p-15, -0x1.6a18ec187ba97p-15, -0x1.6d32e4380b957p-15, -0x1.703ca7a47595p-15, -0x1.7336a76c1d81ep-15, -0x1.761f25d359a55p-15, -0x1.78f814298343ep-15, -0x1.7bbf633fdc534p-15, -0x1.7e759937e5d6cp-15, -0x1.811aabb9445a2p-15, -0x1.83aedc1ac156ap-15, -0x1.8632082c03d0bp-15, -0x1.88a42797b927p-15, -0x1.8b053354a5b5ep-15, -0x1.8d5522d70298ep-15, -0x1.8f942093015e8p-15, -0x1.91c1ec6bf257cp-15, -0x1.93de7493f7ab6p-15, -0x1.95ea620810e24p-15, -0x1.97e4f115dff12p-15, -0x1.99ce99a72d08ep-15, -0x1.9ba7411695154p-15, -0x1.9d6f60508aaf2p-15, -0x1.9f25f3a39e02bp-15, -0x1.a0cc0bf7de4e4p-15, -0x1.a2611c0643b03p-15, -0x1.a3e61e4f48181p-15, -0x1.a55a442f3cd91p-15, -0x1.a6be98a743f48p-15, -0x1.a8127a6070bb8p-15, -0x1.a954e897ae204p-15, -0x1.aa8792cb6b94cp-15, -0x1.abaa43902647fp-15, -0x1.acbcd031636f8p-15, -0x1.adbf12f41403dp-15, -0x1.aeb19d0f2a417p-15, -0x1.af952fcee82f5p-15, -0x1.b068b3b432864p-15, -0x1.b12cc5f732b27p-15, -0x1.b1e11ce0e73fcp-15, -0x1.b28647763ed21p-15, -0x1.b31c716f475afp-15, -0x1.b3a3df617603ap-15, -0x1.b41c44dbf7666p-15, -0x1.b485c68710ad1p-15, -0x1.b4e0beae355f9p-15, -0x1.b52d5f4a731abp-15, -0x1.b56b723b605b7p-15, -0x1.b59bb032ee21ep-15, -0x1.b5bd9508b60cap-15, -0x1.b5d1bf57ab9b2p-15, -0x1.b5d8187a2bad8p-15, -0x1.b5d0e6901f7f5p-15, -0x1.b5bc431a3ca86p-15, -0x1.b59a4e2e53f31p-15, -0x1.b56b2c3b87edp-15, -0x1.b52f0bca5c111p-15, -0x1.b4e6474d53b24p-15, -0x1.b49034bc48561p-15, -0x1.b42f1cfa00354p-15, -0x1.b3bf5e58713b9p-15, -0x1.b344c445ef6f4p-15, -0x1.b2be1c49ae205p-15, -0x1.b22b5bea36cc9p-15, -0x1.b18ce037f57dap-15, -0x1.b0e2c8b36eec7p-15, -0x1.b02d43322eeb2p-15, -0x1.af6c32b30f37bp-15, -0x1.ae9f0383993a7p-15, -0x1.adc96866a35ecp-15, -0x1.ace7f6fb4935ep-15, -0x1.abfbb17071203p-15, -0x1.ab04e6ea4f6bap-15, -0x1.aa038352d764ap-15, -0x1.a8f83ab885649p-15, -0x1.a7e2e04486d6cp-15, -0x1.a6c3f16d6ba28p-15, -0x1.a59c4bdb71641p-15, -0x1.a4689d5ee66aap-15, -0x1.a32cb5ed3457ap-15, -0x1.a1e7e63d925bap-15, -0x1.a099b9f28fe4bp-15, -0x1.9f4334664d975p-15, -0x1.9de34b565b62dp-15, -0x1.9c7ae5a885b76p-15, -0x1.9b0a2c764faedp-15, -0x1.9990db4b0e1d1p-15, -0x1.9810097c03d82p-15, -0x1.9686e59f5c222p-15, -0x1.94f5d3953953dp-15, -0x1.935d25bbe0eaap-15, -0x1.91bcfcbfd7b02p-15, -0x1.901476624aef3p-15, -0x1.8e66aad1adafap-15, -0x1.8cb0c9419d80ap-15, -0x1.8af3b55f81a8cp-15, -0x1.89301c11961e6p-15, -0x1.8765db5a69277p-15, -0x1.8594e40ed96afp-15, -0x1.83bdda333f66ap-15, -0x1.81e02ae9e08f1p-15, -0x1.7ffcd7b309952p-15, -0x1.7e133ac574aa6p-15, -0x1.7c23ee1e42e31p-15, -0x1.7a2ee10059733p-15, -0x1.783475462bd0bp-15, -0x1.7634b127b3d87p-15, -0x1.742fab364bd5ap-15, -0x1.72254f5d80ba7p-15, -0x1.7015993647f51p-15, -0x1.6e018c54b27ffp-15, -0x1.6be8990fee2e6p-15, -0x1.69cb45c7b005dp-15, -0x1.67a9295efe52p-15, -0x1.6582b6c8fdcbp-15, -0x1.635822bee2eeep-15, -0x1.61294f098b88fp-15, -0x1.5ef70fcaf2439p-15, -0x1.5cbfd424672a5p-15, -0x1.5a853841a71d8p-15, -0x1.584798c339d1p-15, -0x1.5606145f6908ep-15, -0x1.53c139b54e69dp-15, -0x1.5178d79a3ec51p-15, -0x1.4f2d9556cbfaap-15, -0x1.4cded1ab6737fp-15, -0x1.4a8d9273494f2p-15, -0x1.4839340d691ecp-15, -0x1.45e24f48ed1a1p-15, -0x1.43890618db68bp-15, -0x1.412cbe0111227p-15, -0x1.3ece5adb699c1p-15, -0x1.3c6d90bef1705p-15, -0x1.3a0a5cce887e4p-15, -0x1.37a56016538e1p-15, -0x1.353e408afff96p-15, -0x1.32d50d83603d2p-15, -0x1.306afe15e103bp-15, -0x1.2dfe17e71c6a4p-15, -0x1.2b8ffccd4e266p-15, -0x1.29208c6fd183ap-15, -0x1.26af3946c6b7ep-15, -0x1.243ce0217c396p-15, -0x1.21c94a9038da2p-15, -0x1.1f548bb3d5693p-15, -0x1.1cdf0d10c05f7p-15, -0x1.1a6848fc0e3aap-15, -0x1.17f07f9d4b5dbp-15, -0x1.157830816458ap-15, -0x1.12fec83d37698p-15, -0x1.108513e931154p-15, -0x1.0e0ad0a7bbd7bp-15, -0x1.0b9066145f2a7p-15, -0x1.091485a190331p-15, -0x1.06991f6d6731p-15, -0x1.041d407d36367p-15, -0x1.01a1bdb39fbf9p-15, -0x1.fe4b6a1436565p-16, -0x1.f9532bace3615p-16, -0x1.f45b391b0c50dp-16, -0x1.ef639ed42e3ddp-16, -0x1.ea6c7eb33daadp-16, -0x1.e576061b2fc49p-16, -0x1.e07ff041e6d8dp-16, -0x1.db8a358d7894bp-16, -0x1.d69a90109b283p-16, -0x1.d1a2b4c71f5ap-16, }}, 
      {{0x1.2e5f617893618p-2, 0x1.acc4310ac9b47p-2, 0x1.7910914b070c1p-2, 0x1.9de29a9e4614ap-3, -0x1.1c8a210f0378dp-6, -0x1.f043947eb6e04p-3, -0x1.c5187a723c311p-2, -0x1.34768e3a05605p-1, -0x1.6f75aa3e7dfa3p-1, -0x1.94b9283c3eae5p-1, -0x1.a7675a31d199ep-1, -0x1.ab7c8703a9e3ap-1, -0x1.a50d37042df65p-1, -0x1.97d55027aeb95p-1, -0x1.86fe5340abcbcp-1, -0x1.750a940cda577p-1, -0x1.63d7861897c33p-1, -0x1.54ad2fb2337d1p-1, -0x1.48540c1a4e85dp-1, -0x1.3f2d046dbafdfp-1, -0x1.3948cc590a99p-1, -0x1.367d1cc465f48p-1, -0x1.3677128be53ebp-1, -0x1.38ca7981a40d4p-1, -0x1.3cfe13e769c4ap-1, -0x1.42951b2f8352ep-1, -0x1.49164d5d2d386p-1, -0x1.5010e4c80cd2bp-1, -0x1.571fd7af8bb7fp-1, -0x1.5debb79a1045bp-1, -0x1.642b7f368c7c7p-1, -0x1.69a492ef41d94p-1, -0x1.6e2a2d8d3d2d1p-1, -0x1.719c6716716e1p-1, -0x1.73e6fb15557abp-1, -0x1.74ffeb27f8de8p-1, -0x1.74e613e2365eap-1, -0x1.739fc50f8a143p-1, -0x1.713968d73fc37p-1, -0x1.6dc44230e8cbp-1, -0x1.695547a6fc407p-1, -0x1.64041d40eeb18p-1, -0x1.5dea2db5fb24bp-1, -0x1.5721e338b970ep-1, -0x1.4fc5ff0a3a3bep-1, -0x1.47f10d6185ae9p-1, -0x1.3fbcf263ead5ap-1, -0x1.37428e6528b4cp-1, -0x1.2e99783abec05p-1, -0x1.25d7c9e0be52ep-1, -0x1.1d11fbea8dfa6p-1, -0x1.145acd98a9eaap-1, -0x1.0bc3386cc5e84p-1, -0x1.035a6e1a33136p-1, -0x1.f65bbc0a09716p-2, -0x1.e69280dbbcb65p-2, -0x1.d76d4b1286aa7p-2, -0x1.c8fd1013dca8ep-2, -0x1.bb4fc57ed315cp-2, -0x1.ae7090f3584c2p-2, -0x1.a267fa8b00c7ap-2, -0x1.973c206a7d4f7p-2, -0x1.8cf0e9cd4d0f5p-2, -0x1.838839a9e74dap-2, -0x1.7b021fc7d9e93p-2, -0x1.735d08bf33a6bp-2, -0x1.6c95ec3f0a8b5p-2, -0x1.66a8794cf0859p-2, -0x1.618f4048bc722p-2, -0x1.5d43da498313ep-2, -0x1.59bf0de2ade4bp-2, -0x1.56f8f144c6998p-2, -0x1.54e909b44bff3p-2, -0x1.538668b485fa7p-2, -0x1.52c7c694a0ed3p-2, -0x1.52a39b0c192f1p-2, -0x1.5310333a0bcedp-2, -0x1.5403c6006de49p-2, -0x1.55748601f15d4p-2, -0x1.5758b1da1455cp-2, -0x1.59a6a276bdf25p-2, -0x1.5c54d7a8ee208p-2, -0x1.5f5a031dbed29p-2, -0x1.62ad11d01fb94p-2, -0x1.664534063e349p-2, -0x1.6a19e401741b3p-2, -0x1.6e22eb8709793p-2, -0x1.7258683d94a02p-2, -0x1.76b2cf1b4d29bp-2, -0x1.7b2aeed7e5b89p-2, -0x1.7fb9f1b46c55fp-2, -0x1.84595e666a8bcp-2, -0x1.8903188191c75p-2, -0x1.8db15ff2b150fp-2, -0x1.925ed0a6095f9p-2, -0x1.970660b2bc891p-2, -0x1.9ba35f213019ep-2, -0x1.a03171c268999p-2, -0x1.a4ac92aa673f7p-2, -0x1.a9110dd144fedp-2, -0x1.ad5b7e97ce894p-2, -0x1.b188cc494dfcbp-2, -0x1.b59627c29d60ap-2, -0x1.b981086549c29p-2, -0x1.bd47285ce434cp-2, -0x1.c0e682653983cp-2, -0x1.c45d4e4412ec9p-2, -0x1.c7a9fd74cb5c2p-2, -0x1.cacb3876d826fp-2, -0x1.cdbfdba3443cdp-2, -0x1.d086f402a7d3fp-2, -0x1.d31fbc629ed0bp-2, -0x1.d5899abd4537p-2, -0x1.d7c41d34a302fp-2, -0x1.d9cef74895994p-2, -0x1.dba9ffcc6243p-2, -0x1.dd552dfabe3a7p-2, -0x1.ded0972241bf6p-2, -0x1.e01c6cddcf6ap-2, -0x1.e138fa6e238d9p-2, -0x1.e226a2c9a2f6p-2, -0x1.e2e5df18b4f19p-2, -0x1.e3773c4492724p-2, -0x1.e3db595e90167p-2, -0x1.e412e6559c199p-2, -0x1.e41ea1d46879bp-2, -0x1.e3ff57c6b6305p-2, -0x1.e3b5e05d24833p-2, -0x1.e3431e481d18ap-2, -0x1.e2a7fd434b67ep-2, -0x1.e1e5715fff371p-2, -0x1.e0fc75acba697p-2, -0x1.dfee0ab978bc4p-2, -0x1.debb3619a4304p-2, -0x1.dd65017e7bc8fp-2, -0x1.dbec7958dd5efp-2, -0x1.da52ac394a939p-2, -0x1.d898aa7892779p-2, -0x1.d6bf851948b92p-2, -0x1.d4c84cf2f547dp-2, -0x1.d2b4128d1988cp-2, -0x1.d083e5987ec66p-2, -0x1.ce38d3f5afa42p-2, -0x1.cbd3e96934bc3p-2, -0x1.c9562f882a63bp-2, -0x1.c6c0ad1d577bap-2, -0x1.c414658ae0144p-2, -0x1.c15258b9b9ab7p-2, -0x1.be7b83049b2bp-2, -0x1.bb90dcc1bd27ap-2, -0x1.b89359d488b41p-2, -0x1.b583e9b5e08e9p-2, -0x1.b26377786a002p-2, -0x1.af32e971e0472p-2, -0x1.abf320eb38b61p-2, -0x1.a8a4fa39982edp-2, -0x1.a5494cce262d6p-2, -0x1.a1e0eb0aac978p-2, -0x1.9e6ca2095c0d4p-2, -0x1.9aed39a5fdbe9p-2, -0x1.976374af82061p-2, -0x1.93d010d77de39p-2, -0x1.9033c68774ffcp-2, -0x1.8c8f48e85f23ep-2, -0x1.88e346185ac1cp-2, -0x1.85306732714fbp-2, -0x1.8177504048263p-2, -0x1.7db8a03936862p-2, -0x1.79f4f122568cfp-2, -0x1.762cd83545e1p-2, -0x1.7260e5ec7869ap-2, -0x1.6e91a5ff43706p-2, -0x1.6abf9f73c5b6ap-2, -0x1.66eb54bdd461ap-2, -0x1.631543e89be3p-2, -0x1.5f3de6a1d29e1p-2, -0x1.5b65b2412e19p-2, -0x1.578d17d82e1cbp-2, -0x1.53b4845de43f5p-2, -0x1.4fdc60cb041a2p-2, -0x1.4c051237a5951p-2, -0x1.482ef9ca772bfp-2, -0x1.445a74e5c6f8cp-2, -0x1.4087dd4ed5d46p-2, -0x1.3cb78931f7bfdp-2, -0x1.38e9cb4dcc0e8p-2, -0x1.351ef2f71e7a9p-2, -0x1.31574c302f606p-2, -0x1.2d931fc48e4cp-2, -0x1.29d2b367b5f93p-2, -0x1.261649c2a9566p-2, -0x1.225e229073701p-2, -0x1.1eaa7aad76fabp-2, -0x1.1afb8c24c5684p-2, -0x1.17518e510d856p-2, -0x1.13acb5f0612fep-2, -0x1.100d353b624dbp-2, -0x1.0c733bf1f95a8p-2, -0x1.08def76993d3bp-2, -0x1.055092a6a8a38p-2, -0x1.01c8366d82c73p-2, -0x1.fc8c12b3c05e9p-3, -0x1.f5945fdd9502ap-3, -0x1.eea999465087cp-3, -0x1.e7cbffd932a09p-3, -0x1.e0fbd0aea76b7p-3, -0x1.da394531c5be4p-3, -0x1.d384933f8666dp-3, -0x1.ccdded3821b5fp-3, -0x1.c645821a2c7f5p-3, -0x1.bfbb7da2ac214p-3, -0x1.b940086e36d57p-3, -0x1.b2d3481dd9d03p-3, -0x1.ac755f5b1d844p-3, -0x1.a6266df47b708p-3, -0x1.9fe6910224951p-3, -0x1.99b5e2e8998e8p-3, -0x1.93947b9283afep-3, -0x1.8d8270749e018p-3, -0x1.877fd49b0860fp-3, -0x1.818cb8b4b5f6dp-3, -0x1.7ba92b3d7f269p-3, -0x1.75d5389685e7p-3, -0x1.7010eb1539a6fp-3, -0x1.6a5c4b17f5d63p-3, -0x1.64b75effdd27cp-3, -0x1.5f222b4e5d69fp-3, -0x1.599cb2b7478c3p-3, -0x1.5426f643dac17p-3, -0x1.4ec0f55aa815bp-3, -0x1.496aadd5d3a87p-3, -0x1.44241bef1fe7ap-3, -0x1.3eed3a6538d7p-3, -0x1.39c6027de8c5bp-3, -0x1.34ae6c3001c78p-3, -0x1.2fa66e280837cp-3, -0x1.2aadfdda34c0ep-3, -0x1.25c50f7d531b6p-3, -0x1.20eb9613a4b8ep-3, -0x1.1c21836e82836p-3, -0x1.1766c8585003ep-3, -0x1.12bb5496e3fd3p-3, -0x1.0e1f170cd83c4p-3, -0x1.0991fd9f8d1bap-3, -0x1.0513f54b441bcp-3, -0x1.00a4ea23d89a9p-3, -0x1.f8898eb896e5ep-4, -0x1.efe6eee49e4f4p-4, -0x1.e761c8144a12dp-4, -0x1.def9ec9af675p-4, -0x1.d6af2d254e30cp-4, -0x1.ce81591e446d1p-4, -0x1.c6703e9ffd7e8p-4, -0x1.be7baa7e54442p-4, -0x1.b6a368777197p-4, -0x1.aee7436819b3ap-4, -0x1.a74705278c04p-4, -0x1.9fc276b0c3b61p-4, -0x1.9859600bd99e1p-4, -0x1.910b8854b30dfp-4, -0x1.89d8b5cc406ap-4, -0x1.82c0ae06f82a6p-4, -0x1.7bc335ea64ec4p-4, -0x1.74e011d333a5cp-4, -0x1.6e170589cb2b1p-4, -0x1.6767d4590ff23p-4, -0x1.60d240e15b08ap-4, -0x1.5a560d58cea63p-4, -0x1.53f2fb59764bap-4, -0x1.4da8cc43c468ap-4, -0x1.4777411d585c5p-4, -0x1.415e1aa7c6cbap-4, -0x1.3b5d19780a805p-4, -0x1.3573fdc9e9d98p-4, -0x1.2fa287a748b12p-4, -0x1.29e876d7c9e6cp-4, -0x1.24458af19fd42p-4, -0x1.1eb9837f1b7cfp-4, -0x1.19441ff002e93p-4, -0x1.13e51fc0f41bfp-4, -0x1.0e9c426f765dcp-4, -0x1.09694764a8f77p-4, -0x1.044bee16f937ap-4, -0x1.fe87ebf637d5ep-5, -0x1.f4a23cfad65e8p-5, -0x1.eae64e9118331p-5, -0x1.e1539ff7b474ep-5, -0x1.d7e9b127faaf8p-5, -0x1.cea802334a28dp-5, -0x1.c58e13b0dcea4p-5, -0x1.bc9b669a21473p-5, -0x1.b3cf7c2d4ac78p-5, -0x1.ab29d62834e5bp-5, -0x1.a2a9f6ae8afd7p-5, -0x1.9a4f60674b6f6p-5, -0x1.921996b8cd591p-5, -0x1.8a081da921b6dp-5, -0x1.821a79cdc0308p-5, -0x1.7a50308fbd1a8p-5, -0x1.72a8c7d7fa07cp-5, -0x1.6b23c659f6667p-5, -0x1.63c0b35af8a6dp-5, -0x1.5c7f1703dfd6ep-5, -0x1.555e7a1701e37p-5, -0x1.4e5e663fd3c08p-5, -0x1.477e66179fe22p-5, -0x1.40be0503d46f9p-5, -0x1.3a1ccf3a6e167p-5, -0x1.339a520be2e6fp-5, -0x1.2d361b54f1fb9p-5, -0x1.26efba095ffc5p-5, -0x1.20c6bdfccfa1dp-5, -0x1.1abab7c56f1f1p-5, -0x1.14cb3922efe96p-5, -0x1.0ef7d4ac21562p-5, -0x1.09401e1046333p-5, -0x1.03a3a9f8e4876p-5, -0x1.fc441c12b8becp-6, -0x1.f175c1ccaff5cp-6, -0x1.e6db7476b988dp-6, -0x1.dc74651bd304cp-6, -0x1.d23fc766b6fcfp-6, -0x1.c83cd054cf757p-6, -0x1.be6ab7670a02cp-6, -0x1.b4c8b6160e775p-6, -0x1.ab560806dac31p-6, -0x1.a211eaec29813p-6, -0x1.98fb9eaee6d69p-6, -0x1.90126555c7b3cp-6, -0x1.875582ed13c07p-6, -0x1.7ec43dae4c0cbp-6, -0x1.765dddedd2a7bp-6, -0x1.6e21ae15d1fcfp-6, -0x1.660efaaaadfd1p-6, -0x1.5e25125065ef9p-6, -0x1.566345ac07aa8p-6, -0x1.4ec8e7b580d48p-6, -0x1.47554d751d2cdp-6, -0x1.4007cdcd29037p-6, -0x1.38dfc21f512c3p-6, -0x1.31dc85f1e861bp-6, -0x1.2afd769a427b6p-6, -0x1.2441f3e5c4054p-6, -0x1.1da95f9240e77p-6, -0x1.17331d5beee87p-6, -0x1.10de930e71f26p-6, -0x1.0aab288ad968dp-6, -0x1.049847774326ep-6, -0x1.fd4ab6d620669p-7, -0x1.f1a3a46fe3e4cp-7, -0x1.e63a377032722p-7, -0x1.db0d53ac62357p-7, -0x1.d01be0f0338dep-7, -0x1.c564cc56d683ep-7, -0x1.bae7060e9da74p-7, -0x1.b0a182d24d02fp-7, -0x1.a6933b11053e9p-7, -0x1.9cbb2a7a1b31dp-7, -0x1.93185027dead2p-7, -0x1.89a9ae5fc409bp-7, -0x1.806e4b0c4b4b3p-7, -0x1.77652f3475271p-7, -0x1.6e8d681183d2p-7, -0x1.65e606ff5f764p-7, -0x1.5d6e21ca18c7bp-7, -0x1.5524d29fd622ap-7, -0x1.4d093863a9deep-7, -0x1.451a752f2bb53p-7, -0x1.3d57b0060b332p-7, -0x1.35c0111dfabf9p-7, -0x1.2e52c3dd4d6d5p-7, -0x1.270ef5808e0a4p-7, -0x1.1ff3d5f5dd998p-7, -0x1.1900969e9ac08p-7, -0x1.12346ca263a61p-7, -0x1.0b8e908a3bcbep-7, -0x1.050e3fe0cb95ep-7, -0x1.fd657929e3b81p-8, -0x1.f0f69bfb226dep-8, -0x1.e4ce80716823fp-8, -0x1.d8ebc6c9460f8p-8, -0x1.cd4d1555c1701p-8, -0x1.c1f115d6fbb56p-8, -0x1.b6d67432cbf9dp-8, -0x1.abfbded0d952dp-8, -0x1.a15ffeec1c991p-8, -0x1.970186cf90b2cp-8, -0x1.8cdf27d31c093p-8, -0x1.82f79b5d43308p-8, -0x1.7949a3e9daa04p-8, -0x1.6fd40fa086e9fp-8, -0x1.6695b8658a395p-8, -0x1.5d8d854a58a7p-8, -0x1.54ba6555cdf5ep-8, -0x1.4c1b4f4548eccp-8, -0x1.43af3d51ce2c4p-8, -0x1.3b75297392c9fp-8, -0x1.336c0aaf0035fp-8, -0x1.2b92d4d3eff1fp-8, -0x1.23e8780fe0525p-8, -0x1.1c6be527ee818p-8, -0x1.151c0f7450b67p-8, -0x1.0df7f1ecf57ap-8, -0x1.06fe91a2d0746p-8, -0x1.002f01599f004p-8, -0x1.f310c2be4596fp-9, -0x1.e613be5f2e27cp-9, -0x1.d96565a84fad2p-9, -0x1.cd0433b2018d7p-9, -0x1.c0eea579ba72ap-9, -0x1.b5233437dfaefp-9, -0x1.a9a04e229dbep-9, -0x1.9e645527e4afbp-9, -0x1.936da146addfcp-9, -0x1.88ba84b015523p-9, -0x1.7e49585aa54a8p-9, -0x1.74187d5e3d7bbp-9, -0x1.6a266b52a2b86p-9, -0x1.6071b11ef6769p-9, -0x1.56f8f84e57f55p-9, -0x1.4dbb02b587dc5p-9, -0x1.44b6a545a8317p-9, -0x1.3beac155fe648p-9, -0x1.33563bb8159f2p-9, -0x1.2af7f45eac3ddp-9, -0x1.22cec448962a6p-9, -0x1.1ad978fd10b41p-9, -0x1.1316d3df12aa4p-9, -0x1.0b8594beafac8p-9, -0x1.04247ae9df4aep-9, -0x1.f9e49be1abe1p-10, -0x1.ebdbc49786c79p-10, -0x1.de2c3c71ad358p-10, -0x1.d0d3f1d1a9b21p-10, -0x1.c3d0faa4d5202p-10, -0x1.b72189f6facddp-10, -0x1.aac3e704f894ap-10, -0x1.9eb6600654c2p-10, -0x1.92f740faf35dbp-10, -0x1.8784ce3d94b9bp-10, -0x1.7c5d3e8ad035fp-10, -0x1.717ebe98d9f31p-10, -0x1.66e77bf9c88f8p-10, -0x1.5c95ab26c33b6p-10, -0x1.52879163c9426p-10, -0x1.48bb8406419a9p-10, -0x1.3f2fed00057dep-10, -0x1.35e349960d07ep-10, -0x1.2cd4282a27b6ep-10, -0x1.240126ad80f78p-10, -0x1.1b68f3c283957p-10, -0x1.130a3fbaccf7p-10, -0x1.0ae3d56e5d4dp-10, -0x1.02f462e606756p-10, -0x1.f6752e50d6011p-11, -0x1.e76a1a24d717dp-11, -0x1.d8c4a94b9f863p-11, -0x1.ca82012fa7736p-11, -0x1.bc9f713c81acdp-11, -0x1.af1a83b3516c1p-11, -0x1.a1f10bfb563d1p-11, -0x1.95211c2589865p-11, -0x1.88a8db1c35da4p-11, -0x1.7c866b731ee35p-11, -0x1.70b7d5261f3eep-11, -0x1.653b0b1fdfcf9p-11, -0x1.5a0e0787bf23p-11, -0x1.4f2ece92aa3d6p-11, -0x1.449b95d0e4646p-11, -0x1.3a52a6bc69433p-11, -0x1.30524e7bac40bp-11, -0x1.2698be1de9088p-11, -0x1.1d23ee30f7895p-11, -0x1.13f1aa0136cebp-11, -0x1.0affb28b0bdcap-11, -0x1.024bf67c51647p-11, -0x1.f3a98f7536deap-12, -0x1.e331de4535f4p-12, -0x1.d32f1b3518814p-12, -0x1.c39fb84c6d185p-12, -0x1.b4818f785a01bp-12, -0x1.a5d1fb5c2b1d5p-12, -0x1.978d8cfa27921p-12, -0x1.89b08cbed3d14p-12, -0x1.7c37bcdf077ecp-12, -0x1.6f2030fdc56f9p-12, -0x1.6267d17530903p-12, -0x1.560cf3f53d712p-12, -0x1.4a0e07498eafep-12, -0x1.3e69298b5e30bp-12, -0x1.331bd3169b9e8p-12, -0x1.2822cd556054ep-12, -0x1.1d7a9a45ffa5fp-12, -0x1.132009b95e665p-12, -0x1.0910b717ce302p-12, -0x1.fe96de79327aep-13, -0x1.eb9f550225ce4p-13, -0x1.d93a016c2cb6cp-13, -0x1.c764cdb15a16p-13, -0x1.b61b9bf9c073p-13, -0x1.a558d9ddcfa24p-13, -0x1.951659c91aa96p-13, -0x1.854e6a06d755dp-13, -0x1.75fca57d3f1fbp-13, -0x1.671e4e203d5ccp-13, -0x1.58b1f54c1f095p-13, -0x1.4ab6db22e7f69p-13, -0x1.3d2bb30debf6dp-13, -0x1.300e48c139d99p-13, -0x1.235b186f95aecp-13, -0x1.170dd500efbdp-13, -0x1.0b2204c46ed85p-13, -0x1.ff2819207a7ccp-14, -0x1.e8c24bf9add0fp-14, -0x1.d30f1ca49c151p-14, -0x1.be0d2a72beb25p-14, -0x1.a9ba78dc41141p-14, -0x1.9613aca5b90bap-14, -0x1.8313b867be654p-14, -0x1.70b3f8303c981p-14, -0x1.5eecec10d499dp-14, -0x1.4db6e23328464p-14, -0x1.3d0bd738fc6d6p-14, -0x1.2ce770fc33f0dp-14, -0x1.1d483824929bcp-14, -0x1.0e2d51495d942p-14, -0x1.ff2b43936eebep-15, -0x1.e2fc3f8e348eep-15, -0x1.c7c566db99615p-15, -0x1.ad7e0eadc986dp-15, -0x1.941ec3185e14p-15, -0x1.7ba17a3db4787p-15, -0x1.6401dc773c2a6p-15, -0x1.4d3a94e616e9ep-15, -0x1.374460e995fafp-15, -0x1.2216b17f9b3f3p-15, -0x1.0da8ef3b7de6fp-15, -0x1.f3eaa810454d4p-16, -0x1.cdf257c0e8ca2p-16, -0x1.a96443ae8db1ap-16, -0x1.8635f2e0a59c5p-16, -0x1.645721aff8182p-16, -0x1.43b7eab3c7e71p-16, -0x1.244cd8ef4912bp-16, -0x1.060dd2e5c589p-16, -0x1.d1e7394f678acp-17, -0x1.99edc677dab91p-17, -0x1.64205df19b1f4p-17, -0x1.306f24163e98dp-17, -0x1.fd904057a2ec5p-18, -0x1.9e3ab6e66738cp-18, -0x1.42c3ec820f5fp-18, -0x1.d677f993f1f72p-19, -0x1.2f3dda391a3c4p-19, -0x1.1f50c7ebf841p-20, 0x1.184197c664c9fp-24, 0x1.354b7936bad4dp-20, 0x1.2695c1cf33fe6p-19, 0x1.acce83df8d29cp-19, 0x1.1691a494a02cep-18, 0x1.53b2db468d20cp-18, 0x1.8ddc774d14de5p-18, 0x1.c5346f5a17c5fp-18, 0x1.f9cfaf52dfabap-18, 0x1.15db38349857ep-17, 0x1.2d83dbc63c5e2p-17, 0x1.43fd25a47568fp-17, 0x1.595e2f1214ad2p-17, 0x1.6daf5e0e67fb5p-17, 0x1.80eee28774d62p-17, 0x1.931a9d6ff6aa9p-17, 0x1.a44321117e16dp-17, 0x1.b4721d73b5ecep-17, 0x1.c3a6d01026415p-17, 0x1.d1d9fb05ddb42p-17, 0x1.df0d1c067cd64p-17, 0x1.eb4cd7464a8e5p-17, 0x1.f6aad79f9811ep-17, 0x1.009e59873dd13p-16, 0x1.058da62c087fep-16, 0x1.0a287928d4bf9p-16, 0x1.0e6939d29bdc5p-16, 0x1.12491bb03e173p-16, 0x1.15cf37f6c8a0fp-16, 0x1.190298cb4106p-16, 0x1.1bdfcd5c1bd2ap-16, 0x1.1e634047fbb1dp-16, 0x1.20916449b1f0ap-16, 0x1.2273ec779d5f4p-16, 0x1.241623aa2854p-16, 0x1.257e6759e069dp-16, 0x1.26aa34eedeebdp-16, 0x1.2794ea4a7eaccp-16, 0x1.2840b3517110dp-16, 0x1.28b3c0269b3fp-16, 0x1.28ef3f692bf3ap-16, 0x1.28f18933074bcp-16, 0x1.28b9ba4c008cfp-16, 0x1.284c1079d1e93p-16, 0x1.27ac790be8354p-16, 0x1.26dd7df47a56cp-16, 0x1.25e07003f07b1p-16, 0x1.24ba0aa1de1c3p-16, 0x1.236fea81bd2f6p-16, 0x1.21ffc68d91534p-16, 0x1.206753e28c572p-16, 0x1.1eac612ceca97p-16, 0x1.1cd16bb5d617dp-16, 0x1.1ad2779eed606p-16, 0x1.18ae78464c6e2p-16, 0x1.1668f85b3c6a2p-16, 0x1.1404a4cc788b6p-16, 0x1.118279f4fd169p-16, 0x1.0ee5d8b7f78fdp-16, 0x1.0c35950f304e8p-16, 0x1.096f9620de361p-16, 0x1.0690b604dab07p-16, 0x1.039b7057153dfp-16, 0x1.009361cf27ff6p-16, 0x1.faed6f00fa5cdp-17, 0x1.f488bbe8fcd8dp-17, 0x1.edfdf41761289p-17, 0x1.e75173fe7b224p-17, 0x1.e088dd28e21cbp-17, 0x1.d9a1e18e71c24p-17, 0x1.d29dd5951077p-17, 0x1.cb7a438fdfdf6p-17, 0x1.c43cc24f88059p-17, 0x1.bceb4588ad41cp-17, 0x1.b5848d4ee9ff6p-17, 0x1.ae0e095a055b2p-17, 0x1.a684fbcc945fep-17, 0x1.9ee47d509e8dep-17, 0x1.9732f19c656p-17, 0x1.8f72f0e8e85b6p-17, 0x1.87a671cb78978p-17, 0x1.7fcc6de303b61p-17, 0x1.77e55af0f07bp-17, 0x1.6ff1869f77953p-17, 0x1.67f31ff8c0facp-17, 0x1.5fef927519448p-17, 0x1.57e5b71f12b73p-17, 0x1.4fd61cfc45a8cp-17, 0x1.47c42ff549972p-17, 0x1.3fac467bd8d29p-17, 0x1.378cf189f7aadp-17, 0x1.2f6b21c03b7bap-17, 0x1.2748ac9d1193dp-17, 0x1.1f26512743667p-17, 0x1.17050e22864a6p-17, 0x1.0ee4b946bda1ap-17, 0x1.06c451e95960cp-17, 0x1.fd43a057b3c87p-18, 0x1.ed036d035e05dp-18, 0x1.dccfe7590f236p-18, 0x1.cca9d5de27d72p-18, 0x1.bc8a578afd694p-18, 0x1.ac6dfee79a735p-18, 0x1.9c5e1b73dfff2p-18, 0x1.8c5beafbc41a2p-18, 0x1.7c66068f6a668p-18, 0x1.6c82c6d1f2e27p-18, 0x1.5caca3338e4cdp-18, 0x1.4ce7111b47452p-18, 0x1.3d324a1e5b737p-18, 0x1.2d8cd907efd9dp-18, 0x1.1df5f666e4ee1p-18, 0x1.0e722cb0d6b23p-18, 0x1.fdff2eb4087bp-19, 0x1.df5ea06529cc4p-19, 0x1.c0de354d0d865p-19, 0x1.a282cf602c183p-19, 0x1.84507d3b995c3p-19, 0x1.66525c93f3a1ap-19, 0x1.48889090e10b7p-19, 0x1.2aeb41fa13605p-19, 0x1.0d805fcac43dcp-19, 0x1.e093dbc20f5d9p-20, 0x1.a6867871dd8ddp-20, 0x1.6ccf69a3cc75ap-20, 0x1.338bdd6e95d9cp-20, 0x1.f58a3b408aedp-21, 0x1.84d41ff124013p-21, 0x1.14d648e2875b2p-21, 0x1.4b871d7c2cf67p-22, 0x1.bcc640a1f7c4cp-24, -0x1.ad8b52eb3bcc8p-24, -0x1.44158c1d7f104p-22, -0x1.0d80323ccacbp-21, -0x1.7811707c1abdep-21, -0x1.e1b66a0e0cf36p-21, -0x1.253209dd71b19p-20, -0x1.590f6a53454e2p-20, -0x1.8c77312a77566p-20, -0x1.bf6276d6abfc4p-20, -0x1.f1e042b2ab6d9p-20, -0x1.11f3a6b1dd56p-19, -0x1.2ab3e81a18f2p-19, -0x1.433533bb0f8f2p-19, -0x1.5b7c4a0e1a42fp-19, -0x1.7385db945f9b2p-19, -0x1.8b4f87544a077p-19, -0x1.a2da27839f0dcp-19, -0x1.ba265a8c32661p-19, -0x1.d13437494f997p-19, -0x1.e803302b3732fp-19, -0x1.fe935e4df2be5p-19, -0x1.0a73c1147c627p-18, -0x1.157e362ffd22ep-18, -0x1.2066bc96a4911p-18, -0x1.2b336e8a02518p-18, -0x1.35df7be4d52dbp-18, -0x1.406c126097d7bp-18, -0x1.4ad91862bae03p-18, -0x1.5526c0bb0057ap-18, -0x1.5f554cfb2f2fcp-18, -0x1.6967adcfa93a2p-18, -0x1.735611b60e69dp-18, -0x1.7d249e26b0963p-18, -0x1.86d4218fece9ap-18, -0x1.90698a70c519bp-18, -0x1.99e063afb4e4bp-18, -0x1.a336286fdbd41p-18, -0x1.ac6da5ae26f3cp-18, -0x1.b5852685d455ep-18, -0x1.be7f751975705p-18, -0x1.c75c85f14beecp-18, -0x1.d018ba4981724p-18, -0x1.d8b7b3ffd0c6ep-18, -0x1.e139633b6ae14p-18, -0x1.e99cbf4703432p-18, -0x1.f1e318fb31ae3p-18, -0x1.fa0b95b72dc16p-18, -0x1.010adb18f98dcp-17, -0x1.05014f5607aep-17, -0x1.08e8992547017p-17, -0x1.0cc1e4e4f8b2fp-17, -0x1.108cfaa22f356p-17, -0x1.14491f78fa551p-17, -0x1.17f73f273266ep-17, -0x1.1b9706eaba046p-17, -0x1.1f28c7fde193fp-17, -0x1.22ac396b2fd69p-17, -0x1.2621af8637ed3p-17, -0x1.29892f7112ca7p-17, -0x1.2ce2d88da0e46p-17, -0x1.302ebfa5fdbdfp-17, -0x1.336ce82a2df3p-17, -0x1.369dbcf6fc78dp-17, -0x1.39c0c29024565p-17, -0x1.3cd6035246c2dp-17, -0x1.3fde992a426ddp-17, -0x1.42d97f730f92fp-17, -0x1.45c751d7b49f6p-17, -0x1.48a807f1dfbf4p-17, -0x1.4b7b2b1f91d7dp-17, -0x1.4e428b45254bcp-17, -0x1.50fc4e3f5db1dp-17, -0x1.53a93ac0121c8p-17, -0x1.564a34a2890c1p-17, -0x1.58de387bd8b47p-17, -0x1.5b659b46a2f8ap-17, -0x1.5ddf3ec9471d1p-17, -0x1.604fde57fb0bcp-17, -0x1.62b2c37bb3795p-17, -0x1.65099d728e52ap-17, -0x1.67543c4c9d0c9p-17, -0x1.6993375d701d3p-17, -0x1.6bc60d9db4543p-17, -0x1.6ded7a5d9bad9p-17, -0x1.700913a19b7p-17, -0x1.721806e622fa6p-17, -0x1.741da0dcb58b5p-17, -0x1.7616f40c582dcp-17, -0x1.78055ed8ee468p-17, -0x1.79e8ee61042ap-17, -0x1.7bc0af67a483ap-17, -0x1.7d8d7f16250c6p-17, -0x1.7f4f94a2be529p-17, -0x1.810726aef7bf5p-17, -0x1.82b3abf8dc5d8p-17, -0x1.845619af116bdp-17, -0x1.85ed63dbcd2b9p-17, -0x1.877ae6b18f047p-17, -0x1.88fdc41ddbef3p-17, -0x1.8a76a55f5185ap-17, -0x1.8be578647b1a3p-17, -0x1.8d4a43f777335p-17, -0x1.8ea5168765bc3p-17, -0x1.8ff606aeb875dp-17, -0x1.913d7440aa844p-17, -0x1.927aa4de5bc71p-17, -0x1.93adfd4f328cfp-17, -0x1.94d98d48e3c58p-17, -0x1.95face3d17b93p-17, -0x1.9712cfbe1ac2cp-17, -0x1.9821960b8b6d3p-17, -0x1.992738165f18dp-17, -0x1.9a23fcc388c2ep-17, -0x1.9b17ec20ea78fp-17, -0x1.9c02f9838f126p-17, -0x1.9ce77267cd542p-17, -0x1.9dbf3d02599b6p-17, -0x1.9e90660758e2fp-17, -0x1.9f591b1b7b097p-17, -0x1.a0198544b609cp-17, -0x1.a0d14cee6e4b8p-17, -0x1.a18111dd2c08fp-17, -0x1.a228c6cfb56ebp-17, -0x1.a2c8dafa265fap-17, -0x1.a35f5f43c6923p-17, -0x1.a3f09a96807fap-17, -0x1.a4789f807e48bp-17, -0x1.a4f95ed519a9bp-17, -0x1.a5723cb53c94ap-17, -0x1.a5e465c62b9d6p-17, -0x1.a64e2f0fb126bp-17, -0x1.a6b0b57de03b6p-17, -0x1.a70c54bc9760ep-17, -0x1.a760ff2189aa5p-17, -0x1.a7add94bb805fp-17, -0x1.a7f406f8b6cfcp-17, -0x1.a8333cbaec6f1p-17, -0x1.a86c01422e8bcp-17, -0x1.a89e1473db1fcp-17, -0x1.a8c9b37b04a6bp-17, -0x1.a8eda1161a109p-17, -0x1.a90b36cdb57bdp-17, -0x1.a922f0a54cffap-17, -0x1.a9341ea2c8eb5p-17, -0x1.a93f1cd370048p-17, -0x1.a943a189ca26dp-17, -0x1.a94275bdea892p-17, -0x1.a93aa323c1864p-17, -0x1.a92d8e3bab444p-17, -0x1.a91a2a55e5908p-17, -0x1.a900d761c1774p-17, -0x1.a8e2084eb86b2p-17, -0x1.a8bd81ab715cep-17, -0x1.a893408052cb3p-17, -0x1.a863c1bd46101p-17, -0x1.a82e8aa92bdf2p-17, -0x1.a7f3886e2a13ap-17, -0x1.a7b3c83191023p-17, -0x1.a76eb4abff9f8p-17, -0x1.a724f314c07f1p-17, -0x1.a6d57b8e1f378p-17, -0x1.a680c4636ec57p-17, -0x1.a627aa17c358p-17, -0x1.a5c98fafc6cc3p-17, -0x1.a564c3621fe06p-17, -0x1.a4fe57b7552fbp-17, -0x1.a4917f485c7e9p-17, -0x1.a420e46ed0238p-17, -0x1.a3ab6e9a06965p-17, -0x1.a330cfa523a9ap-17, -0x1.a2b27ea225c77p-17, -0x1.a22f756701d4p-17, -0x1.a1a7d17bec059p-17, -0x1.a11c702ff1cdp-17, -0x1.a08cacc213836p-17, -0x1.9ff91a0f377e5p-17, -0x1.9f615a36163fcp-17, -0x1.9ec593e87321p-17, -0x1.9e25e1486facdp-17, -0x1.9d8229ca0cceap-17, -0x1.9cda981d83157p-17, -0x1.9c2f8a6e4dd22p-17, -0x1.9b808fdc7826p-17, -0x1.9ace4a2346ebfp-17, -0x1.9a17d55c39fb8p-17, -0x1.995eabfb61c18p-17, -0x1.98a1b949b194ap-17, -0x1.97e17d833617ap-17, -0x1.971d6c356cb1cp-17, -0x1.96569f2a25dffp-17, -0x1.958c37cac6c54p-17, -0x1.94bed0eda5814p-17, -0x1.93ee9ae319c9bp-17, -0x1.931b01894c8ebp-17, -0x1.92443d4456b28p-17, -0x1.916a5670053e4p-17, -0x1.908e322b2b75bp-17, -0x1.8faeb42b785cbp-17, -0x1.8eccb21bd8d17p-17, -0x1.8de6b5b129a9cp-17, -0x1.8cffe07daadc5p-17, -0x1.8c160d873c586p-17, -0x1.8b289ba2506d8p-17, -0x1.8a39ae51fc31ep-17, -0x1.8947adde38a72p-17, -0x1.8853032ed2063p-17, -0x1.875c268513ecfp-17, -0x1.8663068b6379fp-17, -0x1.856796224f341p-17, -0x1.8469ed43bedaep-17, -0x1.8369daf519f7p-17, -0x1.826772f73b8fep-17, -0x1.816156aae34e6p-17, -0x1.805c6eede3f46p-17, }}, 
      {{-0x1.24056873153a6p-1, -0x1.af2111d7107acp-2, -0x1.93f75562f756dp-2, -0x1.eef13ab0965afp-2, -0x1.48b2c08d64ab2p-1, -0x1.a68a4262776cep-1, -0x1.0016cdab64808p+0, -0x1.25dcc9510d995p+0, -0x1.4273c188ebbd3p+0, -0x1.55a83331c4b81p+0, -0x1.606fef36c720fp+0, -0x1.645345bd4e6ep+0, -0x1.6306113467df1p+0, -0x1.5e282c555e093p+0, -0x1.572306b93ef97p+0, -0x1.4f1b14dd35b49p+0, -0x1.46edd0c4b9034p+0, -0x1.3f370463cb227p+0, -0x1.3859c84aa08b8p+0, -0x1.328ae55958d59p+0, -0x1.2ddb2b8b9e785p+0, -0x1.2a40edf2a983bp+0, -0x1.27a03eb8728dap+0, -0x1.25d1c87bc14fp+0, -0x1.24a8494909ab7p+0, -0x1.23f4c9d7d938bp+0, -0x1.2389b7731a4ccp+0, -0x1.233d0bed571dfp+0, -0x1.22e9af0b3e157p+0, -0x1.22703a3371839p+0, -0x1.21b742c01690fp+0, -0x1.20ab4a6474096p+0, -0x1.1f3e6ff5aa79fp+0, -0x1.1d67f5bb4d411p+0, -0x1.1b23ae15a0b97p+0, -0x1.18715b796dae9p+0, -0x1.15540d879d7bfp+0, -0x1.11d182885eb8dp+0, -0x1.0df19236cea5fp+0, -0x1.09bda527143c6p+0, -0x1.05403ab526c3dp+0, -0x1.00847e42296fap+0, -0x1.f72bd6d06e1fap-1, -0x1.ed0001fcf5aadp-1, -0x1.e29c04bf454ap-1, -0x1.d8158a8223c2fp-1, -0x1.cd8114af24cfap-1, -0x1.c2f1c034ac586p-1, -0x1.b8791e13234ecp-1, -0x1.ae271af459a23p-1, -0x1.a409f1e1e54e2p-1, -0x1.9a2e2849cf413p-1, -0x1.909e930d4f8b3p-1, -0x1.8764638c563b4p-1, -0x1.7e8739fe09ecdp-1, -0x1.760d3ac4f8086p-1, -0x1.6dfb2563b92eap-1, -0x1.66546d0194eaap-1, -0x1.5f1b528cbfb36p-1, -0x1.5850ffff9d6a4p-1, -0x1.51f5a3d8e4721p-1, -0x1.4c088be9afda1p-1, -0x1.46883ece7c7a3p-1, -0x1.4172942b8d522p-1, -0x1.3cc4cb766ffacp-1, -0x1.387ba1a3a2d8ep-1, -0x1.3493659e838e1p-1, -0x1.31080b79ba25ap-1, -0x1.2dd53e3bc47c9p-1, -0x1.2af67026dc647p-1, -0x1.2866e97f117bap-1, -0x1.2621d5d972f46p-1, -0x1.24225000a3b5ap-1, -0x1.22636ca0eee52p-1, -0x1.20e043afd1636p-1, -0x1.1f93f8df0a329p-1, -0x1.1e79c2e4410d4p-1, -0x1.1d8cf1f794503p-1, -0x1.1cc8f5550a792p-1, -0x1.1c295ff0d86a9p-1, -0x1.1ba9ec61948acp-1, -0x1.1b46801095514p-1, -0x1.1afb2dbf2fc49p-1, -0x1.1ac437704402bp-1, -0x1.1a9e0fc772bd6p-1, -0x1.1a855ae43074ep-1, -0x1.1a76eed8f7fe8p-1, -0x1.1a6fd3b1c4cd8p-1, -0x1.1a6d4330db26ap-1, -0x1.1a6ca839baad2p-1, -0x1.1a6b9dfdf0ef9p-1, -0x1.1a67eef91ff81p-1, -0x1.1a5f93babbfedp-1, -0x1.1a50b16f419c9p-1, -0x1.1a39988f7ba3cp-1, -0x1.1a18c30209cb4p-1, -0x1.19ecd297ec327p-1, -0x1.19b48f43a1126p-1, -0x1.196ee521c7bcdp-1, -0x1.191ae2c2ee46bp-1, -0x1.18b7b773e21bdp-1, -0x1.1844b11a4c564p-1, -0x1.17c13aadb3ec5p-1, -0x1.172cda776aeb5p-1, -0x1.16873006c5813p-1, -0x1.15cff2e06869ap-1, -0x1.1506f0b3a55c1p-1, -0x1.142c0ba432f14p-1, -0x1.133f38ea7b20dp-1, -0x1.12407f4c663cdp-1, -0x1.112ff59fe16c1p-1, -0x1.100dc16e3ea51p-1, -0x1.0eda15c36cb26p-1, -0x1.0d9531d815699p-1, -0x1.0c3f5fd87d554p-1, -0x1.0ad8f400488a4p-1, -0x1.09624b61f35efp-1, -0x1.07dbcaee03ee3p-1, -0x1.0645deb714d3p-1, -0x1.04a0f8e3cd8adp-1, -0x1.02ed90ea3d51ap-1, -0x1.012c22f833d16p-1, -0x1.feba5e103b046p-2, -0x1.fb02708cea9a5p-2, -0x1.f7318936ce363p-2, -0x1.f348b7c84d99cp-2, -0x1.ef490edba622cp-2, -0x1.eb33a34d433d8p-2, -0x1.e7098af553824p-2, -0x1.e2cbdbb9a7d3bp-2, -0x1.de7bab2936c15p-2, -0x1.da1a0d958baafp-2, -0x1.d5a815214d91ap-2, -0x1.d126d18f281d9p-2, -0x1.cc974fb7a053fp-2, -0x1.c7fa98b047008p-2, -0x1.c351b18294069p-2, -0x1.be9d9b18db95ep-2, -0x1.b9df51906dfap-2, -0x1.b517cbc88d56p-2, -0x1.b047fb7658bd4p-2, -0x1.ab70ccf0816cdp-2, -0x1.a69326a1fb8b2p-2, -0x1.a1afe8f5ffb5cp-2, -0x1.9cc7ee8314fddp-2, -0x1.97dc0bc3bae5bp-2, -0x1.92ed0ec27a487p-2, -0x1.8dfbbf3e866d4p-2, -0x1.8908decb1857ap-2, -0x1.8415289c65f14p-2, -0x1.7f21515c9f87ap-2, -0x1.7a2e076203872p-2, -0x1.753bf2d67db2p-2, -0x1.704bb5987050cp-2, -0x1.6b5deb2644b87p-2, -0x1.667328d86bf99p-2, -0x1.618bfe11f1792p-2, -0x1.5ca8f43ba4735p-2, -0x1.57ca8eba23503p-2, -0x1.52f14b1ab9941p-2, -0x1.4e1da1563b4fbp-2, -0x1.495003dddae7dp-2, -0x1.4488df97820f1p-2, -0x1.3fc89c013d39cp-2, -0x1.3b0f9b732f46fp-2, -0x1.365e3b3f56cf3p-2, -0x1.31b4d3bbf3d74p-2, -0x1.2d13b85a069d5p-2, -0x1.287b37d63d3bfp-2, -0x1.23eb9c6b4e56bp-2, -0x1.1f652bed839c7p-2, -0x1.1ae827d8ac1cap-2, -0x1.1674cd72b5814p-2, -0x1.120b55f7a3195p-2, -0x1.0dabf6c683186p-2, -0x1.0956e177ec11dp-2, -0x1.050c43f4ca801p-2, -0x1.00cc4890c116dp-2, -0x1.f92e2c76d5ad9p-3, -0x1.f0d9a13f4fb66p-3, -0x1.e89b308c01d6fp-3, -0x1.e07315227180cp-3, -0x1.d86183e73107ep-3, -0x1.d066ac2d07323p-3, -0x1.c882b7b790ff1p-3, -0x1.c0b5cb2749736p-3, -0x1.b9000609714f9p-3, -0x1.b161830ac8bbap-3, -0x1.a9da5833d0fc8p-3, -0x1.a26a972672675p-3, -0x1.9b124d3fbe8abp-3, -0x1.93d183d017a33p-3, -0x1.8ca8403ae3008p-3, -0x1.8596842070bccp-3, -0x1.7e9c4d930e2e6p-3, -0x1.77b99743ed852p-3, -0x1.70ee58ac1abbdp-3, -0x1.6a3a8626f176ep-3, -0x1.639e11107235dp-3, -0x1.5d18e7ffeb034p-3, -0x1.56aaf6e19bfb9p-3, -0x1.505427116d61fp-3, -0x1.4a145f8e4a443p-3, -0x1.43eb85117c10ap-3, -0x1.3dd97a1ae1988p-3, -0x1.37de1f1c7ddefp-3, -0x1.31f9529da90e2p-3, -0x1.2c2af1556cd44p-3, -0x1.2672d63f534d4p-3, -0x1.20d0dab2bf13fp-3, -0x1.1b44d67c8c434p-3, -0x1.15ce9ff9caf16p-3, -0x1.106e0c34655e6p-3, -0x1.0b22eeed884a8p-3, -0x1.05ed1ab437c0ep-3, -0x1.00cc610962fd8p-3, -0x1.f78124ad7c0d3p-4, -0x1.ed92fc4223972p-4, -0x1.e3cde60eeffacp-4, -0x1.da317daf66734p-4, -0x1.d0bd5d37d2289p-4, -0x1.c7711d6215cf5p-4, -0x1.be4c55ad805c3p-4, -0x1.b54e9c791d1p-4, -0x1.ac77872432d04p-4, -0x1.a3c6aa16405d4p-4, -0x1.9b3b98e45cb5fp-4, -0x1.92d5e6696216dp-4, -0x1.8a9524eac417ap-4, -0x1.8278e6287057fp-4, -0x1.7a80bb796dd18p-4, -0x1.72ac35c736076p-4, -0x1.6afae5b182e7bp-4, -0x1.636c5b9a97391p-4, -0x1.5c0027ccf74e1p-4, -0x1.54b5da8473194p-4, -0x1.4d8d0404aa6e4p-4, -0x1.4685349c4fc1ep-4, -0x1.3f9dfcb503e96p-4, -0x1.38d6ecd47d7a6p-4, -0x1.322f95c925494p-4, -0x1.2ba788a564ddap-4, -0x1.253e56eb96b6ap-4, -0x1.1ef3927057b36p-4, -0x1.18c6cd784a99cp-4, -0x1.12b79ab7abb89p-4, -0x1.0cc58d5badd6cp-4, -0x1.06f0393b53f56p-4, -0x1.013732884cbdep-4, -0x1.f7341ce590c85p-5, -0x1.ec30c51e1646bp-5, -0x1.e1638a6e5ad84p-5, -0x1.d6cb9aea3e8c2p-5, -0x1.cc68260692e93p-5, -0x1.c2385cc683247p-5, -0x1.b83b71e7dbd48p-5, -0x1.ae7099b5121f8p-5, -0x1.a4d70a3d15833p-5, -0x1.9b6dfb3695f1ep-5, -0x1.9234a60442511p-5, -0x1.892a45d49a01fp-5, -0x1.804e17a1f444fp-5, -0x1.779f5a4e42c3ep-5, -0x1.6f1d4e9e551dfp-5, -0x1.66c7373e21f3fp-5, -0x1.5e9c58d6d65a2p-5, -0x1.569bf9e42648p-5, -0x1.4ec562eac1b32p-5, -0x1.4717de42bdd1dp-5, -0x1.3f92b864dda17p-5, -0x1.38353fcd09d5bp-5, -0x1.30fec4f019f14p-5, -0x1.29ee9a714feb9p-5, -0x1.230414dfedb18p-5, -0x1.1c3e8ae744116p-5, -0x1.159d552a5d62fp-5, -0x1.0f1fce59ed4f3p-5, -0x1.08c55340b454bp-5, -0x1.028d42b3b3b0ap-5, -0x1.f8edfb60b37ep-6, -0x1.ed03ce86be37ep-6, -0x1.e15ac8f89f8a2p-6, -0x1.d5f1b909e54a5p-6, -0x1.cac771222021p-6, -0x1.bfdac795d09ecp-6, -0x1.b52a971aec8bcp-6, -0x1.aab5be2d19a45p-6, -0x1.a07b1fb64b315p-6, -0x1.9679a27a9f9c7p-6, -0x1.8cb03165d7c22p-6, -0x1.831dbb6f5242p-6, -0x1.79c13369fced8p-6, -0x1.709990389478ap-6, -0x1.67a5cc9800046p-6, -0x1.5ee4e72f990f3p-6, -0x1.5655e2afcca5bp-6, -0x1.4df7c5a9515ep-6, -0x1.45c99a6e64603p-6, -0x1.3dca6f7096bc3p-6, -0x1.35f95678e9f6fp-6, -0x1.2e55657b0db7bp-6, -0x1.26ddb5aa4564fp-6, -0x1.1f9164958546cp-6, -0x1.186f92db8f4dep-6, -0x1.117764fe5a458p-6, -0x1.0aa80325203a9p-6, -0x1.040098f9a79d2p-6, -0x1.fb00ab52514f4p-7, -0x1.ee4cd86b92f5ep-7, -0x1.e1e424f8804fbp-7, -0x1.d5c5047eb221p-7, -0x1.c9edf119f2fb5p-7, -0x1.be5d6affb491dp-7, -0x1.b311f9d921f94p-7, -0x1.a80a2b3a6d758p-7, -0x1.9d4493b10ecddp-7, -0x1.92bfce1809213p-7, -0x1.887a7b806e984p-7, -0x1.7e7343432507fp-7, -0x1.74a8d30d215a4p-7, -0x1.6b19de4cec0d7p-7, -0x1.61c51f0c91c3ap-7, -0x1.58a9548cd5d16p-7, -0x1.4fc54461008fap-7, -0x1.4717b9c989d36p-7, -0x1.3e9f85c7a8ca2p-7, -0x1.365b7ef5d3fd4p-7, -0x1.2e4a8191d6b9bp-7, -0x1.266b6f5c5116p-7, -0x1.1ebd2f62ffc81p-7, -0x1.173eae1c367cdp-7, -0x1.0feedd4b35eecp-7, -0x1.08ccb3c84d97dp-7, -0x1.01d72d9214937p-7, -0x1.f61a9754d1719p-8, -0x1.e8dc27cdb1ddp-8, -0x1.dbf12272f58b8p-8, -0x1.cf57a68c01f3dp-8, -0x1.c30ddc5fb387cp-8, -0x1.b711f64264dc5p-8, -0x1.ab622fdceadebp-8, -0x1.9ffccd288ecf7p-8, -0x1.94e01bd33eecap-8, -0x1.8a0a71fc45c36p-8, -0x1.7f7a2e4e4b125p-8, -0x1.752db7dc42fc9p-8, -0x1.6b237e214659cp-8, -0x1.6159f863fefc2p-8, -0x1.57cfa5c9922f9p-8, -0x1.4e830db56141p-8, -0x1.4572bf7f65b55p-8, -0x1.3c9d51cdeca3dp-8, -0x1.34016319f4ebep-8, -0x1.2b9d9a61f3a9p-8, -0x1.2370a4f402ecbp-8, -0x1.1b7937d35ae3p-8, -0x1.13b60f03afb54p-8, -0x1.0c25ece042086p-8, -0x1.04c79a5b68056p-8, -0x1.fb33cd3c34ba2p-9, -0x1.ed374eb63486ep-9, -0x1.df97703230047p-9, -0x1.d251f64090bb9p-9, -0x1.c564b2554676fp-9, -0x1.b8cd8308ae2bp-9, -0x1.ac8a53e49957ap-9, -0x1.a0991db3d3fep-9, -0x1.94f7e3b730164p-9, -0x1.89a4b7caf23ep-9, -0x1.7e9db2045534ep-9, -0x1.73e0f5e96fb43p-9, -0x1.696cafa4dd3c6p-9, -0x1.5f3f153e0f9c8p-9, -0x1.555663c131268p-9, -0x1.4bb0e3883c6aap-9, -0x1.424ce67aa32a1p-9, -0x1.3928cb6c551dep-9, -0x1.3042fac085ae3p-9, -0x1.2799e987de656p-9, -0x1.1f2c17e09e679p-9, -0x1.16f80fe331783p-9, -0x1.0efc645b744f8p-9, -0x1.0737aeb5997e3p-9, -0x1.ff511cde5bb7cp-10, -0x1.f09b56b9bd227p-10, -0x1.e24b52fa23936p-10, -0x1.d45e7921a33aap-10, -0x1.c6d231a0b5af8p-10, -0x1.b9a3f92b70c01p-10, -0x1.acd15ed97a778p-10, -0x1.a0580819fc8d9p-10, -0x1.9435af850e7ccp-10, -0x1.886827d7f522bp-10, -0x1.7ced52ed42349p-10, -0x1.71c3238a045d1p-10, -0x1.66e79765c2b44p-10, -0x1.5c58b26c3e6cp-10, -0x1.52147be2d6114p-10, -0x1.4818fee327039p-10, -0x1.3e64466addcbp-10, -0x1.34f467218a418p-10, -0x1.2bc77dc093b4dp-10, -0x1.22dbb697599b2p-10, -0x1.1a2f4e552344fp-10, -0x1.11c0982571923p-10, -0x1.098dfa8bea0b6p-10, -0x1.0195f05149138p-10, -0x1.f3ae0c9c61b21p-11, -0x1.e49fa6527eb13p-11, -0x1.d5fde656b3ca3p-11, -0x1.c7c60a2e6a8f9p-11, -0x1.b9f54cae1ee32p-11, -0x1.ac88e4be0bc41p-11, -0x1.9f7e06b3b5e2bp-11, -0x1.92d1e90ddb88bp-11, -0x1.8681d5e15bdd5p-11, -0x1.7a8b24e3cadfap-11, -0x1.6eeb51c5d5697p-11, -0x1.639ff82f7e96ep-11, -0x1.58a6d8bfecc49p-11, -0x1.4dfdd53c2244bp-11, -0x1.43a2ea5c8ffdcp-11, -0x1.399428f2d9522p-11, -0x1.2fcfabb6f0ccdp-11, -0x1.26538c2465fc1p-11, -0x1.1d1de52edb748p-11, -0x1.142ccb8406653p-11, -0x1.0b7e48efc5f0ap-11, -0x1.03106fc462a74p-11, -0x1.f5c2ad3de11bcp-12, -0x1.e5de463086edbp-12, -0x1.d6701ac32dcfbp-12, -0x1.c774d18d02d63p-12, -0x1.b8e93512e6ac5p-12, -0x1.aaca4e50b5e2ep-12, -0x1.9d1546a570af3p-12, -0x1.8fc768ab1e312p-12, -0x1.82de0cfba91ap-12, -0x1.765692d00ccaap-12, -0x1.6a2e584a1904bp-12, -0x1.5e62b5dc52365p-12, -0x1.52f0ff267f1b8p-12, -0x1.47d69473d7e54p-12, -0x1.3d10def7a1d9fp-12, -0x1.329d63952529ep-12, -0x1.2879bdc12b22dp-12, -0x1.1ea3a5a8b78cap-12, -0x1.1518edd8dda89p-12, -0x1.0bd781271121ep-12, -0x1.02dd60b520e8p-12, -0x1.f4514f3056132p-13, -0x1.e36edf2c08c16p-13, -0x1.d31010bbff8c1p-13, -0x1.c331254f468a5p-13, -0x1.b3ce8c126f2b6p-13, -0x1.a4e488ceed62ep-13, -0x1.966f51e99163fp-13, -0x1.886b2cbbed00cp-13, -0x1.7ad495293e36ep-13, -0x1.6da83b6d5b2e1p-13, -0x1.60e32508857abp-13, -0x1.5482a726c35ffp-13, -0x1.488423fc0f372p-13, -0x1.3ce507753265ep-13, -0x1.31a2ac7e17a82p-13, -0x1.26ba61d6707fcp-13, -0x1.1c298ec153f92p-13, -0x1.11ed9bce0e33ep-13, -0x1.08043cbf409fdp-13, -0x1.fcd67923e6ff8p-14, -0x1.ea40d5ef2ca77p-14, -0x1.d84314efeda94p-14, -0x1.c6d84fc72034fp-14, -0x1.b5fb54b2f041p-14, -0x1.a5a6e6ef7cf33p-14, -0x1.95d6270163884p-14, -0x1.8684f70f7dcc6p-14, -0x1.77b01fa0cfebfp-14, -0x1.695514f5fb724p-14, -0x1.5b718abdf5e28p-14, -0x1.4e028b0efdb13p-14, -0x1.4104eb397f35dp-14, -0x1.3474b20a35175p-14, -0x1.284d98f8a537ep-14, -0x1.1c8c2757de287p-14, -0x1.112ce05af1397p-14, -0x1.062d4a01aa0ffp-14, -0x1.f716929b18935p-15, -0x1.e289c3bf2e3p-15, -0x1.ceaf9a8b9f29bp-15, -0x1.bb826502e3199p-15, -0x1.a8fb4119ce5bcp-15, -0x1.9712dc516045cp-15, -0x1.85c280b9da5bep-15, -0x1.7504d0a8ed20dp-15, -0x1.64d6da62559c4p-15, -0x1.553692cfdf1cap-15, -0x1.462259658a0dep-15, -0x1.37977f6969e79p-15, -0x1.29916e9348a39p-15, -0x1.1c0a7c406fbfcp-15, -0x1.0efc7fcac60c5p-15, -0x1.0261cf3dae173p-15, -0x1.ec6bae76d0dc6p-16, -0x1.d4eb53d94ae5cp-16, -0x1.be3ea16029eb4p-16, -0x1.a8638df39af17p-16, -0x1.93565017a6cc5p-16, -0x1.7f1233785a5fbp-16, -0x1.6b8fa90bee3d9p-16, -0x1.58c6324609e15p-16, -0x1.46ad42b609d2ep-16, -0x1.353e1358a21a2p-16, -0x1.2472e17e4ff4p-16, -0x1.144753949e974p-16, -0x1.04b98fdf15413p-16, -0x1.eb8e0b033b693p-17, -0x1.ced8099d6a106p-17, -0x1.b34709b06321cp-17, -0x1.98ce3f2b561c6p-17, -0x1.7f5feba52d144p-17, -0x1.66ed52ea56bb5p-17, -0x1.4f6c3f7499605p-17, -0x1.38d33043ea04bp-17, -0x1.231f3bdfdd9dp-17, -0x1.0e4d56ed928afp-17, -0x1.f4b645f985b4fp-18, -0x1.ce83e359def34p-18, -0x1.a9f3f70d0e4d4p-18, -0x1.86f65342941c7p-18, -0x1.657cd189def2ap-18, -0x1.457b3af9bdd0ap-18, -0x1.26e979634e8f5p-18, -0x1.09bd293695b4dp-18, -0x1.dbd012356c038p-19, -0x1.a6b7057ba9b5ep-19, -0x1.74104e2c3eb24p-19, -0x1.43c67900b1702p-19, -0x1.15ce19d0e6e16p-19, -0x1.d439424c88ef7p-20, -0x1.813e72d41c971p-20, -0x1.32730db8adca8p-20, -0x1.cf3da3f31a28fp-21, -0x1.4132f5dae050bp-21, -0x1.7513dcdc3fa58p-22, -0x1.d86713b384f22p-24, 0x1.ebd3f2da95909p-24, 0x1.5e8775795df59p-22, 0x1.1a85b42b22e19p-21, 0x1.7f82ed97bb754p-21, 0x1.de66e26f70de6p-21, 0x1.1bbc17929ab8ap-20, 0x1.4544f8f554ca2p-20, 0x1.6bdb5a83bcd1p-20, 0x1.8f944fd785fd8p-20, 0x1.b0a1028831531p-20, 0x1.cf421f22c4a48p-20, 0x1.ebb0ff3ac2653p-20, 0x1.0303e3aac37p-19, 0x1.0f1be2d8e66bcp-19, 0x1.1a19075017ab9p-19, 0x1.240398c351f08p-19, 0x1.2ceae00eb634cp-19, 0x1.34d7fbac176fp-19, 0x1.3bcf1e5fc7f11p-19, 0x1.41dce85b93dccp-19, 0x1.4716b6c820062p-19, 0x1.4b8ea7f42df03p-19, 0x1.4f4b4ac2a693ap-19, 0x1.524dad1bb7746p-19, 0x1.54912856f795bp-19, 0x1.56279e52073dfp-19, 0x1.571615101cdb7p-19, 0x1.575db43f49edp-19, 0x1.56fa3169c4d57p-19, 0x1.55eda28ef9cf3p-19, 0x1.5441d2f6fd43bp-19, 0x1.5203faa4650ffp-19, 0x1.4f4415902b3f3p-19, 0x1.4c144caf47fc7p-19, 0x1.487ac78c8e6cap-19, 0x1.4473b5f4797ecp-19, 0x1.3ff44d44222cfp-19, 0x1.3b05fa07ffcp-19, 0x1.35b55cd1a3cd9p-19, 0x1.2ffcf14709158p-19, 0x1.29d8ba9d2fee4p-19, 0x1.234f8b3d2e3b4p-19, 0x1.1c6f5059df13ep-19, 0x1.15484924a83d6p-19, 0x1.0de3a310581a9p-19, 0x1.063e1711d1bf9p-19, 0x1.fca171b3fba48p-20, 0x1.ec42870f63abcp-20, 0x1.db6e5c6c882e4p-20, 0x1.ca2719e446353p-20, 0x1.b86d69893dff7p-20, 0x1.a63b837f8b938p-20, 0x1.939ffc5565ae4p-20, 0x1.80a6084c7a2e6p-20, 0x1.6d54d97c0338ep-20, 0x1.59b059252eb6dp-20, 0x1.45c5a935d4fd1p-20, 0x1.31a40cbc4201dp-20, 0x1.1d45829f76cfep-20, 0x1.08a62b980cf9dp-20, 0x1.e7a921dd9776bp-21, 0x1.bdafa9aa3f8abp-21, 0x1.935074db89746p-21, 0x1.687f5d80b7d3dp-21, 0x1.3d55ff4022b35p-21, 0x1.11e62115b069cp-21, 0x1.cc587ed701adfp-22, 0x1.746f60238da23p-22, 0x1.1c795c9126415p-22, 0x1.88962478a89b5p-23, 0x1.af32cce18c35dp-24, 0x1.316b1091b765ap-26, -0x1.16c4304f70101p-24, -0x1.3d349059c9c69p-23, -0x1.ef5ccf63bb07bp-23, -0x1.50d353ce4f9e2p-22, -0x1.a9f83fbfd74d1p-22, -0x1.017456c766b97p-21, -0x1.2de41f2e08d4cp-21, -0x1.5a419fd63c66bp-21, -0x1.869550f31426ep-21, -0x1.b2cf989e2a5cap-21, -0x1.dee17df091e9ep-21, -0x1.0566b26c48f2cp-20, -0x1.1b41d006a4eb1p-20, -0x1.310876038ea6ap-20, -0x1.46bf587aa697dp-20, -0x1.5c595ac482d82p-20, -0x1.71daea26fedddp-20, -0x1.873d507d0d1ddp-20, -0x1.9c8280d487f7cp-20, -0x1.b1a9a2662857dp-20, -0x1.c6b22d9293e5cp-20, -0x1.db9a02e71e4ccp-20, -0x1.f05a7ee81874fp-20, -0x1.027a55686b7abp-19, -0x1.0cb3ddbce952bp-19, -0x1.16d7df7f345d2p-19, -0x1.20e866c28ba18p-19, -0x1.2ae6beb6a0661p-19, -0x1.34cf5ed100e14p-19, -0x1.3ea1ea4ea7944p-19, -0x1.485d8b304db27p-19, -0x1.520118678401cp-19, -0x1.5b8e184553311p-19, -0x1.6503c0a08ff24p-19, -0x1.6e6356b10a46fp-19, -0x1.77ac49841d71ap-19, -0x1.80d9b5f5f4ccp-19, -0x1.89ec7af65c3bap-19, -0x1.92e6d23c6198p-19, -0x1.9bcafbbe0516ep-19, -0x1.a493c80288b22p-19, -0x1.ad427861e50fp-19, -0x1.b5d82967f5a0ep-19, -0x1.be50056512018p-19, -0x1.c6aef36d89181p-19, -0x1.cef2d86dce5ep-19, -0x1.d71be48ab11bbp-19, -0x1.df2a991f6dbd2p-19, -0x1.e71ef6e4a4da6p-19, -0x1.eef7b658f4b52p-19, -0x1.f6b8c56824d49p-19, -0x1.fe54eaeb62db9p-19, -0x1.02ed22ee221f3p-18, -0x1.06a1ee89f24cdp-18, -0x1.0a494e36bd3abp-18, -0x1.0de1fada05f6fp-18, -0x1.116c3c9aa3b2p-18, -0x1.14e93c254e224p-18, -0x1.185809275484dp-18, -0x1.1bb8a7f3513f1p-18, -0x1.1f0b5e816ddd2p-18, -0x1.2250dc6af3b9bp-18, -0x1.2587dd8aca2bfp-18, -0x1.28b04000265cbp-18, -0x1.2bca68b25834bp-18, -0x1.2ed7cd1ae8bf9p-18, -0x1.31d6a10cb022ep-18, -0x1.34c7760637bc2p-18, -0x1.37aa798d0f55cp-18, -0x1.3a7f58a60bc03p-18, -0x1.3d4675c021bep-18, -0x1.40002d67a7be6p-18, -0x1.42abf053a5b6dp-18, -0x1.4549658484e41p-18, -0x1.47d935d512194p-18, -0x1.4a5bef5a53c6ep-18, -0x1.4cd06dc36989fp-18, -0x1.4f3831de1fc18p-18, -0x1.51928eedc7f79p-18, -0x1.53dedccce6d5p-18, -0x1.561e12428b25bp-18, -0x1.585012412961ep-18, -0x1.5a74c8fa66eap-18, -0x1.5c8c38da7c587p-18, -0x1.5e968c7ee98a7p-18, -0x1.6093e0600a108p-18, -0x1.6284485948e06p-18, -0x1.6467cf9f1f67fp-18, -0x1.663e8aa23a296p-18, -0x1.6808ae4ae2c8p-18, -0x1.69c65d3f06a68p-18, -0x1.6b768d569c7d3p-18, -0x1.6d1b9a682f603p-18, -0x1.6eb3afd0e76ep-18, -0x1.703f78986e7d9p-18, -0x1.71bef66b61403p-18, -0x1.73324e572b217p-18, -0x1.7499b02640eccp-18, -0x1.75f616f4178dap-18, -0x1.774525b2eb95cp-18, -0x1.788817bf2c836p-18, -0x1.79bf6bd32f483p-18, -0x1.7aecb4a34decp-18, -0x1.7c0eab779bc04p-18, -0x1.7d24890b0dbcbp-18, -0x1.7e2f325dc6d97p-18, -0x1.7f2e3d7ed6eafp-18, -0x1.8022c961f07dcp-18, -0x1.810c9a2c2eee2p-18, -0x1.81ea854f9ba2ep-18, -0x1.82be1f4d92df9p-18, -0x1.838755debbd0ep-18, -0x1.8445dc90bb4a1p-18, -0x1.84fa084573e07p-18, -0x1.85a3cd82fcb18p-18, -0x1.864329f306198p-18, -0x1.86d87d9535ecdp-18, -0x1.87633011f6a1fp-18, -0x1.87e4827adb8d1p-18, -0x1.885c298039fa3p-18, -0x1.88c99de8309dfp-18, -0x1.892daaf5543a9p-18, -0x1.8988220ce54cp-18, -0x1.89d9627f12ad2p-18, -0x1.8a2113cba7697p-18, -0x1.8a5fa0ff7785bp-18, -0x1.8a950e9c9814p-18, -0x1.8ac181fc8a884p-18, -0x1.8ae515634dd1ep-18, -0x1.8affcdbd1bee2p-18, -0x1.8b122e2747af3p-18, -0x1.8b1ba96da7262p-18, -0x1.8b1c549e1d044p-18, -0x1.8b155cd0b008cp-18, -0x1.8b05a130ff754p-18, -0x1.8aede49964a8dp-18, -0x1.8ace18a05db38p-18, -0x1.8aa5ff8b853dp-18, -0x1.8a76b5d6c2c91p-18, -0x1.8a3f38e59869fp-18, -0x1.89ffe70f51592p-18, -0x1.89b9db14389afp-18, -0x1.896bd63f2829dp-18, -0x1.891632c840f19p-18, -0x1.88b88d1059827p-18, -0x1.8855f363c8b04p-18, -0x1.87eb7f9c2f107p-18, -0x1.877a0667c6ca6p-18, -0x1.870135c12ac77p-18, -0x1.86823efa35a9cp-18, -0x1.85fc5eb8b9426p-18, -0x1.85700f74d7582p-18, -0x1.84dd45decf3e3p-18, -0x1.84438e1eb0decp-18, -0x1.83a4ae1992c17p-18, -0x1.82ff20b067b89p-18, -0x1.8253c91bc8b9ap-18, -0x1.81a291505b804p-18, -0x1.80eb12164a4acp-18, -0x1.802defd8cfa5fp-18, -0x1.7f6b36e4646f5p-18, -0x1.7ea3211623c3ep-18, -0x1.7dd522bbcb885p-18, -0x1.7d024a78dab74p-18, -0x1.7c2972648f6c2p-18, -0x1.7b4c18737bd1dp-18, -0x1.7a6937e04bad4p-18, -0x1.7981946153645p-18, -0x1.78950e3e90e18p-18, -0x1.77a3aae88e1a1p-18, -0x1.76ad7db8491edp-18, -0x1.75b29c3d6f3fep-18, -0x1.74b36322eaaf4p-18, -0x1.73aefc2040c0ap-18, -0x1.72a6917073868p-18, -0x1.719a68a25524p-18, -0x1.70899b20b9c4cp-18, -0x1.6f74ae048e4d3p-18, -0x1.6e5b9f4237792p-18, -0x1.6d3e7c820e6aep-18, -0x1.6c1da8bd900c4p-18, -0x1.6af917d369105p-18, -0x1.69d0b2771659p-18, -0x1.68a5f17da72f3p-18, -0x1.677530255a71dp-18, -0x1.664232126ab8ep-18, -0x1.650bacee41576p-18, -0x1.63d1e0bddc401p-18, -0x1.6294b86be6b07p-18, -0x1.615463de0a8a4p-18, -0x1.601109bd18df8p-18, -0x1.5ecac26081e31p-18, -0x1.5d80a2fe71ffp-18, -0x1.5c352a0f4196cp-18, -0x1.5ae61e6a1c5f7p-18, -0x1.599477154ab8ap-18, -0x1.583ff0635baecp-18, -0x1.56e932792c5cp-18, -0x1.558f969cd6c81p-18, -0x1.54337cd451767p-18, -0x1.52d526b802b7ap-18, -0x1.5174a92e5acc6p-18, -0x1.50116f4dea071p-18, -0x1.4eac3e5242a7ep-18, -0x1.4d44cafb2df11p-18, -0x1.4bdbf7f3812e5p-18, -0x1.4a70b9c7908c6p-18, -0x1.49038b78d8c6p-18, -0x1.479478eeed3e8p-18, -0x1.46234cf5dcf88p-18, -0x1.44b0cdd18d792p-18, -0x1.433c7e8208632p-18, -0x1.41c6a67354da7p-18, -0x1.404ef6caa057bp-18, -0x1.3ed6401befc8bp-18, -0x1.3d5b7b5e07dfap-18, -0x1.3be007028fe8ep-18, -0x1.3a62d11994a31p-18, -0x1.38e44d5a5b6ccp-18, -0x1.3764bd3003b12p-18, -0x1.35e4000e22633p-18, -0x1.34620a87a5079p-18, -0x1.32df3ded070a6p-18, -0x1.315b505451158p-18, -0x1.2fd614608f8cfp-18, -0x1.2e506294e8b28p-18, -0x1.2cc9b23ed133p-18, -0x1.2b42abb6c380ep-18, -0x1.29ba6b33cd7fep-18, -0x1.2831200cd6527p-18, -0x1.26a7c8b5ca022p-18, -0x1.251db858eaaabp-18, -0x1.239226acb6eap-18, -0x1.2207981b56d81p-18, -0x1.207bbc33f0cc4p-18, -0x1.1eefe85fd4e3p-18, -0x1.1d63848d8db6cp-18, -0x1.1bd67315d75e4p-18, -0x1.1a497f102436cp-18, -0x1.18bbfc115e6c2p-18, -0x1.172e4d44d43c8p-18, -0x1.15a08c5e9cb6dp-18, -0x1.1412b10e37c9bp-18, -0x1.1284db94e5189p-18, -0x1.10f6d09adf98bp-18, -0x1.0f68c5df99c08p-18, -0x1.0ddad7f06c9b3p-18, -0x1.0c4cd4d9f31edp-18, -0x1.0abef5d0fa4a6p-18, -0x1.09314b5deb02fp-18, -0x1.07a3add83de81p-18, -0x1.0616887b159eep-18, -0x1.04894f6364b83p-18, -0x1.02fc8d252f592p-18, -0x1.017032a734899p-18, -0x1.ffc877c9aa08p-19, -0x1.fcb04767988e7p-19, -0x1.f99a715e2c6f4p-19, -0x1.f6845be8b18fcp-19, -0x1.f36f9b41f3a6ap-19, -0x1.f05c045bfaedep-19, -0x1.ed49535855cb6p-19, -0x1.ea378bdee8dd6p-19, -0x1.e726d3c322ecbp-19, -0x1.e4180952412b6p-19, -0x1.e10a090d8f2d4p-19, -0x1.ddfd8e2139002p-19, -0x1.daf113c593e2ep-19, -0x1.d7e8d0bf992p-19, -0x1.d4e0dcc88f13cp-19, -0x1.d1d9b5856e931p-19, -0x1.ced52b4f21eaep-19, -0x1.cbd1c97df4674p-19, -0x1.c8cff44a01427p-19, -0x1.c5d00b2a3bb05p-19, -0x1.c2d202c3d2p-19, -0x1.bfd5d1c28a90fp-19, -0x1.bcdb8c522d143p-19, -0x1.b9e30543d9c1bp-19, -0x1.b6ec921bf4eap-19, -0x1.b3f66ffb4a047p-19, -0x1.b1054dfc8ac3p-19, }}, 
      {{0x1.7e04b0e693cc5p-1, 0x1.7def1d6ea63d2p-1, 0x1.7dcb49b720ce2p-1, 0x1.7d995fab689c9p-1, 0x1.7d598a51c8f7p-1, 0x1.7d0bead17b9e6p-1, 0x1.7cb08e990d953p-1, 0x1.7c4767a3ed722p-1, 0x1.7bd04748c8c97p-1, 0x1.7b4adb8e5ad6dp-1, 0x1.7ab6aec311378p-1, 0x1.7a1328f535577p-1, 0x1.795f92e1a44cfp-1, 0x1.789b19f46d6b5p-1, 0x1.77c4d501f1a73p-1, 0x1.76dbc96c143cp-1, 0x1.75def073d1d8ep-1, 0x1.74cd3c8352c75p-1, 0x1.73a59e472fc28p-1, 0x1.72670977262adp-1, 0x1.711079370215ep-1, 0x1.6fa0f4000f79bp-1, 0x1.6e178f09fa575p-1, 0x1.6c73712f941e4p-1, 0x1.6ab3d550994c5p-1, 0x1.68d80c3526321p-1, 0x1.66df7dfa4ebafp-1, 0x1.64c9ab112b2abp-1, 0x1.62962cdadc88cp-1, 0x1.6044b5ec97bf7p-1, 0x1.5dd51206e2d3ap-1, 0x1.5b4725cad7dap-1, 0x1.589aee37b96ap-1, 0x1.55d07ffa5a701p-1, 0x1.52e8069706297p-1, 0x1.4fe1c375a796bp-1, 0x1.4cbe0cd707094p-1, 0x1.497d4cb919dbp-1, 0x1.461fffaf86736p-1, 0x1.42a6b3b4c837p-1, 0x1.3f1206f7a9256p-1, 0x1.3b62a6a833574p-1, 0x1.37994dc6b9bb7p-1, 0x1.33b6c3f71bap-1, 0x1.2fbbdc5a06ee7p-1, 0x1.2ba9746dad9dep-1, 0x1.278072f70a413p-1, 0x1.2341c6f4a5242p-1, 0x1.1eee669b82d9dp-1, 0x1.1a874e5ec933p-1, 0x1.160d80026e2a6p-1, 0x1.118201b937272p-1, 0x1.0ce5dd4e1ec9dp-1, 0x1.083a1f592b2aap-1, 0x1.037fd67fa55abp-1, 0x1.fd70257f18af9p-2, 0x1.f3c7c98c2af5fp-2, 0x1.ea08baa1ef84p-2, 0x1.e035193471008p-2, 0x1.d64f039c4a7d5p-2, 0x1.cc5895163e9f3p-2, 0x1.c253e4d5ae778p-2, 0x1.b84305292782p-2, 0x1.ae2802b038506p-2, 0x1.a404e3a1b623p-2, 0x1.99dba721a369ep-2, 0x1.8fae44a5e16d2p-2, 0x1.857eab68e09c2p-2, 0x1.7b4ec1e983e11p-2, 0x1.712065776edd7p-2, 0x1.66f569cb05051p-2, 0x1.5ccf98a863135p-2, 0x1.52b0b18c9ef8fp-2, 0x1.489a6964acda7p-2, 0x1.3e8e6a4d4c1b8p-2, 0x1.348e535b660e8p-2, 0x1.2a9bb86c4e774p-2, 0x1.20b821fd6c7dp-2, 0x1.16e50d0ac5e93p-2, 0x1.0d23eaf400f18p-2, 0x1.037621676f0a8p-2, 0x1.f3ba14a5702dp-3, 0x1.e0b3e7b19db85p-3, 0x1.cddc4099a5b12p-3, 0x1.bb358c6317bbbp-3, 0x1.a8c2207a76a43p-3, 0x1.96843ac2defd7p-3, 0x1.847e01ad3ea62p-3, 0x1.72b184569780fp-3, 0x1.6120baacd4ddep-3, 0x1.4fcd8599c9262p-3, 0x1.3eb9af33e333bp-3, 0x1.2de6eaf43d35ep-3, 0x1.1d56d5f19ffb6p-3, 0x1.0d0af720246eap-3, 0x1.fa097f2a33167p-4, 0x1.da8b159dbf45bp-4, 0x1.bb9d3e00cc859p-4, 0x1.9d425abffb1ebp-4, 0x1.7f7ca4f2815bdp-4, 0x1.624e2d0381259p-4, 0x1.45b8db6077d6ap-4, 0x1.29be712c32c01p-4, 0x1.0e6088f5d987dp-4, 0x1.e7412ee7283dcp-5, 0x1.b2ffd880b38f5p-5, 0x1.7fff6538fd225p-5, 0x1.4e41e46134f2dp-5, 0x1.1dc91fa4b9947p-5, 0x1.dd2d392bff7aep-6, 0x1.81573c7bc531ap-6, 0x1.28124d5989c4dp-6, 0x1.a2bfe233a590ap-7, 0x1.f504c5aade818p-8, 0x1.5db4fbcdfde1p-9, -0x1.19fd47395e222p-9, -0x1.be87f87b68f28p-8, -0x1.72e24b5953ba3p-7, -0x1.00ae510c2f4a6p-6, -0x1.455b1a9d6a686p-6, -0x1.877982920f6b1p-6, -0x1.c70bebe0c6455p-6, -0x1.020a8c9f7a155p-5, -0x1.1f4c1510baf03p-5, -0x1.3b4c4be27fdbbp-5, -0x1.560d191f27c1ap-5, -0x1.6f908ec979098p-5, -0x1.87d8e76d4fd7dp-5, -0x1.9ee884b4d3a09p-5, -0x1.b4c1ee025688p-5, -0x1.c967cf0ef0293p-5, -0x1.dcdcf68dff637p-5, -0x1.ef2454d58cd97p-5, -0x1.00207d45d8d55p-4, -0x1.081b0bac87893p-4, -0x1.0f837c5027c4ap-4, -0x1.165b841d6314bp-4, -0x1.1ca4e59d12d46p-4, -0x1.22617057adc9p-4, -0x1.2793003b3fc6dp-4, -0x1.2c3b7d03ee5b3p-4, -0x1.305cd9a702ebbp-4, -0x1.33f913c07e837p-4, -0x1.3712330329c25p-4, -0x1.39aa48ab279dep-4, -0x1.3bc36ef2f712ap-4, -0x1.3d5fc88aedcdp-4, -0x1.3e81801318157p-4, -0x1.3f2ac79784289p-4, -0x1.3f5dd80ef02f6p-4, -0x1.3f1cf0dbc7d6fp-4, -0x1.3e6a574f7e8d6p-4, -0x1.3d48563037428p-4, -0x1.3bb93d40affe5p-4, -0x1.39bf60ca76963p-4, -0x1.375d192a537f8p-4, -0x1.3494c25ef19c3p-4, -0x1.3168bb99b3b3ep-4, -0x1.2ddb66d1bc2bep-4, -0x1.29ef28591f13bp-4, -0x1.25a666743072bp-4, -0x1.210388f2fcbdep-4, -0x1.1c08f8ccd6df1p-4, -0x1.16b91fbe05d5dp-4, -0x1.111667e783de9p-4, -0x1.0b233b70d385cp-4, -0x1.04e2042be0a0dp-4, -0x1.fcaa5675e9782p-5, -0x1.eefe317160c9cp-5, -0x1.e0c466c42923ep-5, -0x1.d201c0851d3bp-5, -0x1.c2bb04c41a4efp-5, -0x1.b2f4f4ea220e7p-5, -0x1.a2b44d1d95ae3p-5, -0x1.91fdc3aa664e6p-5, -0x1.80d6086e4cfbcp-5, -0x1.6f41c448f3132p-5, -0x1.5d459890245c1p-5, -0x1.4ae61e87eda76p-5, -0x1.3827e6deb0bcap-5, -0x1.250f792d3c048p-5, -0x1.11a1537abf3aep-5, -0x1.fbc3d38976239p-6, -0x1.d3ab4b15b2f25p-6, -0x1.ab01cabd5f327p-6, -0x1.81cff8eec4ed9p-6, -0x1.581e64926b488p-6, -0x1.2df58441e2b4p-6, -0x1.035db58667542p-6, -0x1.b0be783e0bc19p-7, -0x1.5a04829d14242p-7, -0x1.029da6620674cp-7, -0x1.5533906324f4bp-8, -0x1.48224f99225e2p-9, 0x1.c1a125cbd78f5p-13, 0x1.821129a47f4f7p-9, 0x1.74c3858dbb05fp-8, 0x1.14902ff85566bp-7, 0x1.6f0112431ef5ep-7, 0x1.c9a628c8f0b06p-7, 0x1.1238b92bff80dp-6, 0x1.3faa971695125p-6, 0x1.6d21ee54115bap-6, 0x1.9a981ff8e056p-6, 0x1.c806ae4a60e56p-6, 0x1.f5673d046ebafp-6, 0x1.1159c8cc2d8ddp-5, 0x1.27f2c9b294cfp-5, 0x1.3e7ba5f4be449p-5, 0x1.54f17377845c7p-5, 0x1.6b515957db297p-5, 0x1.81988ffa4f12ap-5, 0x1.97c461177f373p-5, 0x1.add227c58a062p-5, 0x1.c3bf507e969c4p-5, 0x1.d98959247e149p-5, 0x1.ef2dd101968b3p-5, 0x1.02552c63669c4p-4, 0x1.0cfe51437df73p-4, 0x1.179138d7d3ae1p-4, 0x1.220ccd7f8df24p-4, 0x1.2c70023c0783p-4, 0x1.36b9d2a9657bp-4, 0x1.40e942f5f20a6p-4, 0x1.4afd5fd85e6bap-4, 0x1.54f53e84cd764p-4, 0x1.5ecffca0d4babp-4, 0x1.688cc036658c9p-4, 0x1.722ab7a5abb48p-4, 0x1.7ba91995ec2aap-4, 0x1.850724e57327cp-4, 0x1.8e4420987c442p-4, 0x1.975f5bc751aecp-4, 0x1.a0582d8b702dbp-4, 0x1.a92df4ebe6f6fp-4, 0x1.b1e018c8e0bc9p-4, 0x1.ba6e07c65eb77p-4, 0x1.c2d7383654a9bp-4, 0x1.cb1b2801df4dp-4, 0x1.d3395c91fa54cp-4, 0x1.db3162b776aeep-4, 0x1.e302ce925b3c1p-4, 0x1.eaad3b78b5466p-4, 0x1.f2304bdccc664p-4, 0x1.f98ba932e40dap-4, 0x1.005f81eb3c912p-3, 0x1.03e509777eb49p-3, 0x1.07564a2a18376p-3, 0x1.0ab326390d984p-3, 0x1.0dfb831645adep-3, 0x1.112f49612f85cp-3, 0x1.144e64d82ff85p-3, 0x1.1758c449f072fp-3, 0x1.1a4e59868e181p-3, 0x1.1d2f1950a5affp-3, 0x1.1ffafb4e47d95p-3, 0x1.22b1f9f9d73dp-3, 0x1.25541292c9ba4p-3, 0x1.27e1450e660e4p-3, 0x1.2a59940864752p-3, 0x1.2cbd04b3910d1p-3, 0x1.2f0b9eca5bc08p-3, 0x1.31456c7f674f6p-3, 0x1.336a7a6e18585p-3, 0x1.357ad78b1e397p-3, 0x1.37769514fe94ep-3, 0x1.395dc684b18bcp-3, 0x1.3b30817e32896p-3, 0x1.3ceeddc12d34fp-3, 0x1.3e98f519ab43ap-3, 0x1.402ee350d301cp-3, 0x1.41b0c61dbe7c6p-3, 0x1.431ebd1658d3ep-3, 0x1.4478e9a05cfacp-3, 0x1.45bf6ee25fe3fp-3, 0x1.46f271b501653p-3, 0x1.481218942888ap-3, 0x1.491e8b906854cp-3, 0x1.4a17f4407b72fp-3, 0x1.4afe7db2e76bp-3, 0x1.4bd2545fb8804p-3, 0x1.4c93a61a6522fp-3, 0x1.4d42a203d734fp-3, 0x1.4ddf787c979c8p-3, 0x1.4e6a5b17224cdp-3, 0x1.4ee37c8a6487bp-3, 0x1.4f4b10a46010ap-3, 0x1.4fa14c3cffa1dp-3, 0x1.4fe665290cce2p-3, 0x1.501a922d5e2edp-3, 0x1.503e0af22b637p-3, 0x1.505107f69091fp-3, 0x1.5053c284440ap-3, 0x1.504674a378c42p-3, 0x1.5029590ef2236p-3, 0x1.4ffcab284e3ffp-3, 0x1.4fc0a6ec75231p-3, 0x1.4f7588e8491afp-3, 0x1.4f1b8e2d83ea1p-3, 0x1.4eb2f447c1b4ap-3, 0x1.4e3bf931ca60dp-3, 0x1.4db6db4b06f33p-3, 0x1.4d23d94d3016cp-3, 0x1.4c8332422b446p-3, 0x1.4bd5257a281fbp-3, 0x1.4b19f281e3a71p-3, 0x1.4a51d9192f1eap-3, 0x1.497d1929a0526p-3, 0x1.489bf2bd804bfp-3, 0x1.47aea5f6ea6a2p-3, 0x1.46b57307211f2p-3, 0x1.45b09a261afb7p-3, 0x1.44a05b8a3f37ep-3, 0x1.4384f7605ef1p-3, 0x1.425eadc3db3f1p-3, 0x1.412dbeb7047a4p-3, 0x1.3ff26a1bb0089p-3, 0x1.3eacefabfb073p-3, 0x1.3d5d8ef34a873p-3, 0x1.3c0487477602ap-3, 0x1.3aa217c2285a3p-3, 0x1.39367f3a7ca45p-3, 0x1.37c1fc3ebaa59p-3, 0x1.3644cd0e59a81p-3, 0x1.34bf2f9425a0ep-3, 0x1.333161609e633p-3, 0x1.319b9fa486532p-3, 0x1.2ffe272b9c32ap-3, 0x1.2e5934578e1acp-3, 0x1.2cad031b0de1ep-3, 0x1.2af9cef5285bdp-3, 0x1.293fd2ecb459bp-3, 0x1.277f498bff3c1p-3, 0x1.25b86cdca1fbap-3, 0x1.23eb7663830e8p-3, 0x1.22189f1cfc5cep-3, 0x1.20401f793d07p-3, 0x1.1e622f58c7501p-3, 0x1.1c7f06091b65dp-3, 0x1.1a96da41952c5p-3, 0x1.18a9e22060e89p-3, 0x1.16b85327ac9c6p-3, 0x1.14c2623af041p-3, 0x1.12c8439c63bf5p-3, 0x1.10ca2aea9d5dcp-3, 0x1.0ec84b1e4e171p-3, 0x1.0cc2d6882c8efp-3, 0x1.0ab9fecef7c6fp-3, 0x1.08adf4eda9531p-3, 0x1.069ee931c3b3fp-3, 0x1.048d0b39bf7a6p-3, 0x1.027889f3a465fp-3, 0x1.0061939bb8812p-3, 0x1.fc90ab76a4d8dp-4, 0x1.f859fa4f9bef9p-4, 0x1.f41f6c03363e8p-4, 0x1.efe15766dce8fp-4, 0x1.eba011e310cdbp-4, 0x1.e75bef7241388p-4, 0x1.e315429fd212ap-4, 0x1.decc5c8753561p-4, 0x1.da818cd3f997bp-4, 0x1.d63521c03b833p-4, 0x1.d1e76815b2308p-4, 0x1.cd98ab2d121a5p-4, 0x1.c94934ee733f1p-4, 0x1.c4f94dd1a3cfap-4, 0x1.c0a93cdec683cp-4, 0x1.bc5947af060afp-4, 0x1.b809b26d828acp-4, 0x1.b3babfd859812p-4, 0x1.af6cb141dee84p-4, 0x1.ab1fc691fb4c2p-4, 0x1.a6d43e47ad0fbp-4, 0x1.a28a557aab1e2p-4, 0x1.9e4247dd2e50cp-4, 0x1.99fc4fbdd8bcap-4, 0x1.95b8a609c0e39p-4, 0x1.9177824e9afa5p-4, 0x1.8d391abcf93a9p-4, 0x1.88fda42ab4242p-4, 0x1.84c552156644bp-4, 0x1.809056a50344ep-4, 0x1.7c5ee2ae8ac06p-4, 0x1.783125b6d3386p-4, 0x1.74074df56ad62p-4, 0x1.6fe188578cf01p-4, 0x1.6bc0008331c53p-4, 0x1.67a2e0da2c1e3p-4, 0x1.638a527d5d195p-4, 0x1.5f767d4fff01bp-4, 0x1.5b6787faf4b9dp-4, 0x1.575d97f038a35p-4, 0x1.5358d16e4c68p-4, 0x1.4f595783c5f6fp-4, 0x1.4b5f4c12d8fc8p-4, 0x1.476acfd5005f9p-4, 0x1.437c025ea2a3cp-4, 0x1.3f930222cab5p-4, 0x1.3bafec76ea8c2p-4, 0x1.37d2dd969ff04p-4, 0x1.33fbf0a78dcd8p-4, 0x1.302b3fbd33155p-4, 0x1.2c60e3dccbff5p-4, 0x1.289cf5013c167p-4, 0x1.24df8a1efef5ap-4, 0x1.2128b9281362ap-4, 0x1.1d78970ffb59p-4, 0x1.19cf37cfb23a2p-4, 0x1.162cae69ac7e3p-4, 0x1.12910cedd8cc9p-4, 0x1.0efc647da1c8dp-4, 0x1.0b6ec54ff2831p-4, 0x1.07e83eb53abbbp-4, 0x1.0468df1b75c9cp-4, 0x1.00f0b412293ddp-4, 0x1.faff949cde9a2p-5, 0x1.f42c5b5dee6cap-5, 0x1.ed67d27fffb07p-5, 0x1.e6b20e7eb7355p-5, 0x1.e00b2240d6648p-5, 0x1.d9731f2022b47p-5, 0x1.d2ea14f153185p-5, 0x1.cc70120bf0106p-5, 0x1.c60523522aeefp-5, 0x1.bfa95438a5a18p-5, 0x1.b95caece3ad4cp-5, 0x1.b31f3bc3b3723p-5, 0x1.acf102736cfcep-5, 0x1.a6d208e90264cp-5, 0x1.a0c253e8d420cp-5, 0x1.9ac1e6f790fe2p-5, 0x1.94d0c461a5f37p-5, 0x1.8eeeed42aa159p-5, 0x1.891c618cb5ca2p-5, 0x1.8359200f9e888p-5, 0x1.7da526803ab23p-5, 0x1.7800717f8079fp-5, 0x1.726afca196b8p-5, 0x1.6ce4c274de005p-5, 0x1.676dbc88d7984p-5, 0x1.6205e3750a4fcp-5, 0x1.5cad2edfca266p-5, 0x1.57639584ef674p-5, 0x1.52290d3c757d8p-5, 0x1.4cfd8b0110fdap-5, 0x1.47e102f6aa3cbp-5, 0x1.42d36870bfa08p-5, 0x1.3dd4adf8bdbc8p-5, 0x1.38e4c554370efp-5, 0x1.34039f8b16d1bp-5, 0x1.2f312ceda4ff8p-5, 0x1.2a6d5d1a8ffa3p-5, 0x1.25b81f04d848cp-5, 0x1.211160f995fbbp-5, 0x1.1c7910a5c087ap-5, 0x1.17ef1b1bd4258p-5, 0x1.13736cd95eeafp-5, 0x1.0f05f1cc85174p-5, 0x1.0aa695595d9e8p-5, 0x1.0655425f469cap-5, 0x1.0211e33e1da2cp-5, 0x1.fbb8c3b6c24bfp-6, 0x1.f3694f4e7ddc7p-6, 0x1.eb353b4320731p-6, 0x1.e31c58bd5ad15p-6, 0x1.db1e78188a617p-6, 0x1.d33b68ec1db69p-6, 0x1.cb72fa14c7ca5p-6, 0x1.c3c4f9bd97154p-6, 0x1.bc313568e26e4p-6, 0x1.b4b779f8f695p-6, 0x1.ad5793b8b5a9ep-6, 0x1.a6114e63ef92fp-6, 0x1.9ee4752f8ca3cp-6, 0x1.97d0d2d1c9289p-6, 0x1.90d63189e4e91p-6, 0x1.89f45b2801d06p-6, 0x1.832b1914a44a1p-6, 0x1.7c7a345816113p-6, 0x1.75e175a1b05e1p-6, 0x1.6f60a54ee4a27p-6, 0x1.68f78b722ec1dp-6, 0x1.62a5efd9cefd8p-6, 0x1.5c6b9a1669d7ap-6, 0x1.56485181862f4p-6, 0x1.503bdd43ca9f5p-6, 0x1.4a46045b19caap-6, 0x1.44668da0b0c46p-6, 0x1.3e9d3fcee0d7fp-6, 0x1.38e9e186dae8cp-6, 0x1.334c39561dee7p-6, 0x1.2dc40dbc08a0bp-6, 0x1.2851252ef382ap-6, 0x1.22f346217255cp-6, 0x1.1daa37073fb41p-6, 0x1.1875be5a1f83bp-6, 0x1.1355a29e82ca1p-6, 0x1.0e49aa6836c12p-6, 0x1.09519c5ecb71ep-6, 0x1.046d3f41e045dp-6, 0x1.ff38b3dab9c76p-7, 0x1.f5bd66bafb6fep-7, 0x1.ec68256595584p-7, 0x1.e3387e6ba5851p-7, 0x1.da2e00b5f3faep-7, 0x1.d1483b8c0a41ap-7, 0x1.c886be9afaafep-7, 0x1.bfe919fc35c8ap-7, 0x1.b76ede3bf1d2cp-7, 0x1.af179c5f6f417p-7, 0x1.a6e2e5eaeb7bcp-7, 0x1.9ed04ce77bb72p-7, 0x1.96df63e89361p-7, 0x1.8f0fbe118d58dp-7, 0x1.8760ef1a98f1bp-7, 0x1.7fd28b55ddd84p-7, 0x1.786427b44cee3p-7, 0x1.711559c9e8a36p-7, 0x1.69e5b7d29739ap-7, 0x1.62d4d8b5fa86ap-7, 0x1.5be2540b97ed5p-7, 0x1.550dc21ec26aep-7, 0x1.4e56bbf212a4cp-7, 0x1.47bcdb430bff3p-7, 0x1.413fba8d57dedp-7, 0x1.3adef50dfe852p-7, 0x1.349a26c655c28p-7, 0x1.2e70ec7ee6397p-7, 0x1.2862e3c9fe4dbp-7, 0x1.226fab06496fcp-7, 0x1.1c96e16144158p-7, 0x1.16d826d94865bp-7, 0x1.11331c3fc90c5p-7, 0x1.0ba7633b38e2ep-7, 0x1.06349e48d0d0fp-7, 0x1.00da70be67f8dp-7, 0x1.f730fd97572eep-8, 0x1.ecdcdaf805bedp-8, 0x1.e2b7c56eeea8bp-8, 0x1.d8c10a880c482p-8, 0x1.cef7f98d99884p-8, 0x1.c55be38999b38p-8, 0x1.bbec1b47d67c4p-8, 0x1.b2a7f55726c7cp-8, 0x1.a98ec80adae86p-8, 0x1.a09feb7ba24cdp-8, 0x1.97dab9887a30ep-8, 0x1.8f3e8dd75006bp-8, 0x1.86cac5d5a4b81p-8, 0x1.7e7ec0b869bfap-8, 0x1.7659df7ca6f24p-8, 0x1.6e5b84e716db2p-8, 0x1.668315840c463p-8, 0x1.5ecff7a6ef5d2p-8, 0x1.57419369e4fdap-8, 0x1.4fd752acf95d7p-8, 0x1.4890a1153e4c4p-8, 0x1.416cec0bfce19p-8, 0x1.3a6ba2bd6fd1dp-8, 0x1.338c3617900fdp-8, 0x1.2cce18c8b584ap-8, 0x1.2630bf3e14989p-8, 0x1.1fb39fa1feefdp-8, 0x1.195631da7b686p-8, 0x1.1317ef86e395ap-8, 0x1.0cf853fe91fafp-8, 0x1.06f6dc4e20f35p-8, 0x1.01130735f334ep-8, 0x1.f698aa4e9cd1ap-9, 0x1.eb4490851f0b6p-9, 0x1.e028c8a89971cp-9, 0x1.d5445da624408p-9, 0x1.ca965db93ce2ep-9, 0x1.c01dda66cadeap-9, 0x1.b5d9e8771f899p-9, 0x1.abc99ff0e07f8p-9, 0x1.a1ec1c12be28cp-9, 0x1.98407b4df189ap-9, 0x1.8ec5df3fde84fp-9, 0x1.857b6cac43fbap-9, 0x1.7c604b769de21p-9, 0x1.7373a69c4c5dfp-9, 0x1.6ab4ac2d6acefp-9, 0x1.62228d4718b3ap-9, 0x1.59bc7e0c16b65p-9, 0x1.5181b59e97a96p-9, 0x1.49716e19488a1p-9, 0x1.418ae4886f082p-9, 0x1.39cd58e2e7f6cp-9, 0x1.32380e037d8fbp-9, 0x1.2aca49a174bdp-9, 0x1.23835449cbb74p-9, 0x1.1c627957e8862p-9, 0x1.156706ee7c6bep-9, 0x1.0e904df042b99p-9, 0x1.07dda1f8eb8b9p-9, 0x1.014e5955898d7p-9, 0x1.f5c399fad6865p-10, 0x1.e92eb115bcbbdp-10, 0x1.dcdcb4676928ep-10, 0x1.d0cc6583d483ep-10, 0x1.c4fc8b18c3b2dp-10, 0x1.b96bf0de84ebfp-10, 0x1.ae196789fb3aap-10, 0x1.a303c4bd006d7p-10, 0x1.9829e2f7f5e21p-10, 0x1.8d8aa18b26075p-10, 0x1.8324e48813dbfp-10, 0x1.78f794b209e5ap-10, 0x1.6f019f7042fc1p-10, 0x1.6541f6bec4af8p-10, 0x1.5bb7911fc0cbp-10, 0x1.5261698d2aa13p-10, 0x1.493e7f69dce25p-10, 0x1.404dd67378184p-10, 0x1.378e76b378b8fp-10, 0x1.2eff6c716232p-10, 0x1.269fc8239b8fep-10, 0x1.1e6e9e61f01adp-10, 0x1.166b07d6f439ap-10, 0x1.0e942131cfa95p-10, 0x1.06e90b18b3f84p-10, 0x1.fed1d43482d1dp-11, 0x1.f025cd3fb69eap-11, 0x1.e1cc59bfb29bfp-11, 0x1.d3c3d99fe22f3p-11, 0x1.c60ab42ea2886p-11, 0x1.b89f5802c87d5p-11, 0x1.ab803ae08c992p-11, 0x1.9eabd99df0f62p-11, 0x1.9220b809b7f1ep-11, 0x1.85dd60d00699cp-11, 0x1.79e06560ab0e4p-11, 0x1.6e285dd57f451p-11, 0x1.62b3e8d8d3399p-11, 0x1.5781ab8b0e07dp-11, 0x1.4c90516a5d7f5p-11, 0x1.41de8c39819b3p-11, 0x1.376b13e6ac3dap-11, 0x1.2d34a673fc8d2p-11, 0x1.233a07de0a3ecp-11, 0x1.197a02045f996p-11, 0x1.0ff36491cfaaep-11, 0x1.06a504e48a497p-11, 0x1.fb1b7bed7db16p-12, 0x1.e958e0903f923p-12, 0x1.d800038bd3fbp-12, 0x1.c70ebb6bd0e57p-12, 0x1.b682e93ce6a01p-12, 0x1.a65a7862d4a73p-12, 0x1.96935e6b14513p-12, 0x1.872b9ae2d1b54p-12, 0x1.7821372c211d3p-12, 0x1.69724653b0c37p-12, 0x1.5b1ce4e67e2c2p-12, 0x1.4d1f38c8474aap-12, 0x1.3f77710c610a8p-12, 0x1.3223c5cc604dfp-12, 0x1.2522780002ac7p-12, 0x1.1871d156e21cdp-12, 0x1.0c10241227455p-12, 0x1.fff795b88dfd6p-13, 0x1.e8665149eb1aep-13, 0x1.d16950f725e3p-13, 0x1.bafd7ad3c13cep-13, 0x1.a51fc4a0437c2p-13, 0x1.8fcd338422bd3p-13, 0x1.7b02dbc49b536p-13, 0x1.66bde08064cf8p-13, 0x1.52fb736a9a902p-13, 0x1.3fb8d488d1ab4p-13, 0x1.2cf351ec88177p-13, 0x1.1aa847763b688p-13, 0x1.08d51e907bb4fp-13, 0x1.eeee9be7b8987p-14, 0x1.cd18b2c87fba5p-14, 0x1.ac23a2e9ca30bp-14, 0x1.8c0aa697612bbp-14, 0x1.6cc910c4ba2e4p-14, 0x1.4e5a4c9f0cecep-14, 0x1.30b9dd12ac34ep-14, 0x1.13e35c58e31c2p-14, 0x1.efa4f710cb64bp-15, 0x1.b90604472680bp-15, 0x1.83e19b5b7c02ap-15, 0x1.502fa2773dc85p-15, 0x1.1de82a1c008abp-15, 0x1.da06d892e539bp-16, 0x1.7af39770883a9p-16, 0x1.1e87a60be57abp-16, 0x1.8968cfdbd2b0dp-17, 0x1.b5ae3573641b4p-18, 0x1.89f11dbf2002cp-20, -0x1.cdf62a801725fp-19, -0x1.1376d50e65ab8p-17, -0x1.aec812a5da40cp-17, -0x1.22c587b5fad4fp-16, -0x1.6bec87a6a56bdp-16, -0x1.b2e568553efc1p-16, -0x1.f7bc478d19971p-16, -0x1.1d3e817f579eap-15, -0x1.3d999cc860435p-15, -0x1.5cf526474446cp-15, -0x1.7b56b0827e46ap-15, -0x1.98c3b0712679ep-15, -0x1.b5417e1dc8baap-15, -0x1.d0d55532424dap-15, -0x1.eb84559ab0c81p-15, -0x1.02a9c2020f402p-14, -0x1.0f23e53d7e35cp-14, -0x1.1b32fc76ae525p-14, -0x1.26d962dde5fdcp-14, -0x1.3219671da31cdp-14, -0x1.3cf54b9bfa43ap-14, -0x1.476f46c098b15p-14, -0x1.5189832d15991p-14, -0x1.5b46200093971p-14, -0x1.64a731144b32bp-14, -0x1.6daebf358bc6bp-14, -0x1.765ec8653e0acp-14, -0x1.7eb9400bf239bp-14, -0x1.86c00f39af587p-14, -0x1.8e7514d5e46bdp-14, -0x1.95da25dc0a094p-14, -0x1.9cf10d8d4f3e6p-14, -0x1.a3bb8da80da24p-14, -0x1.aa3b5e9888723p-14, -0x1.b0722fae0b47cp-14, -0x1.b661a749c867dp-14, -0x1.bc0b63115840ep-14, -0x1.c170f81d712d3p-14, -0x1.c693f327678f3p-14, -0x1.cb75d8b790e8bp-14, -0x1.d0182552baf56p-14, -0x1.d47c4da4e7cfbp-14, -0x1.d8a3beac6b5cdp-14, -0x1.dc8fdde3d2dfbp-14, -0x1.e042096b7279bp-14, -0x1.e3bb983191961p-14, -0x1.e6fdda18c4c2fp-14, -0x1.ea0a181da9032p-14, -0x1.ece194818fbcfp-14, -0x1.ef858ae9c7ed5p-14, -0x1.f1f73087c6f96p-14, -0x1.f437b43a360b5p-14, -0x1.f6483eb1d705p-14, -0x1.f829f2913462ep-14, -0x1.f9ddec8ed607cp-14, -0x1.fb6543965402p-14, -0x1.fcc108e769b36p-14, -0x1.fdf24835bd1fp-14, -0x1.fefa07c799cc6p-14, -0x1.ffd94891729b6p-14, -0x1.0048832b6673ap-13, -0x1.00911be1f27c5p-13, -0x1.00c6e74524703p-13, -0x1.00ea5bbe2d258p-13, -0x1.00fbed54498afp-13, -0x1.00fc0db97f424p-13, -0x1.00eb2c5756883p-13, -0x1.00c9b65bae3a8p-13, -0x1.009816c490f7p-13, -0x1.0056b66cc5946p-13, -0x1.0005fc160fd47p-13, -0x1.ff4c98ec71515p-14, -0x1.fe701482745a9p-14, -0x1.fd772c69ca16cp-14, -0x1.fc629e45037c1p-14, -0x1.fb3323f47336ap-14, -0x1.f9e973aab2a8p-14, -0x1.f8863ffe73264p-14, -0x1.f70a37ff1c33ep-14, -0x1.f57607487dbabp-14, -0x1.f3ca5614623dcp-14, -0x1.f207c94cfe9f5p-14, -0x1.f02f029f4c487p-14, -0x1.ee40a08c12721p-14, -0x1.ec3d3e77b0939p-14, -0x1.ea2574bcfc0b7p-14, -0x1.e7f9d8baad458p-14, -0x1.e5bafce54bfedp-14, -0x1.e36970d5478ebp-14, -0x1.e105c1574c0bp-14, -0x1.de90787a8d016p-14, -0x1.dc0a1d9e0e95dp-14, -0x1.d9733580922b2p-14, -0x1.d6cc424cfc85ep-14, -0x1.d415c3a88019p-14, -0x1.d15036be74d87p-14, -0x1.ce7c164e6ce76p-14, -0x1.cb99dab874e73p-14, -0x1.c8a9fa096d7dfp-14, -0x1.c5ace805c2ee3p-14, -0x1.c2a31636738e5p-14, -0x1.bf8cf3f3c593p-14, -0x1.bc6aee7178f47p-14, -0x1.b93d70c7cce05p-14, -0x1.b604e3ff04af1p-14, -0x1.b2c1af19d2054p-14, -0x1.af74371fa5bcdp-14, -0x1.ac1cdf25a6edcp-14, -0x1.a8bc085a2b472p-14, -0x1.a552120bbb18p-14, -0x1.a1df59b4600b4p-14, -0x1.9e643b016b62cp-14, -0x1.9ae10fdbd2cc2p-14, -0x1.975630725f0fap-14, -0x1.93c3f340b40ffp-14, -0x1.902aad17d42bdp-14, -0x1.8c8ab126718b6p-14, -0x1.88e4510078022p-14, -0x1.8537dca684069p-14, -0x1.8185a28e4296fp-14, -0x1.7dcdefa84d1a2p-14, -0x1.7a110f67baa4ap-14, -0x1.764f4bc9ef915p-14, -0x1.7288ed5c7f549p-14, -0x1.6ebe3b43f73c3p-14, -0x1.6aef7b425f251p-14, -0x1.671cf1be364fep-14, -0x1.6346e1c7731f3p-14, -0x1.5f6d8d1e5e3bep-14, -0x1.5b913439aacf7p-14, -0x1.57b2164b4d015p-14, -0x1.53d07146e0ea2p-14, -0x1.4fec81e7657d2p-14, -0x1.4c0683b386b0dp-14, -0x1.481eb1047cf63p-14, -0x1.4435430a0ad16p-14, -0x1.404a71cf72252p-14, -0x1.3c5e7441758c4p-14, -0x1.387180326fe2cp-14, -0x1.3483ca5ef514dp-14, -0x1.3095867274e88p-14, -0x1.2ca6e70c88bc8p-14, -0x1.28b81dc46c8aep-14, -0x1.24c95b2d72aeap-14, -0x1.20dacedc21b6ep-14, -0x1.1ceca769bda0cp-14, -0x1.18ff1277ac7e5p-14, -0x1.15123cb50962ap-14, -0x1.112651e136441p-14, -0x1.0d3b7ccfedf0ep-14, -0x1.0951e76d8a6e7p-14, -0x1.0569bac23cf44p-14, -0x1.01831ef5b7c01p-14, -0x1.fb3c76a5aa113p-15, -0x1.f3766c95eea3cp-15, -0x1.ebb46af294d41p-15, -0x1.e3f6bb4c9b118p-15, -0x1.dc3da59641179p-15, -0x1.d48970288903cp-15, -0x1.ccda5fca52ca2p-15, -0x1.c530b7b68982dp-15, -0x1.bd8cb9a1271ecp-15, -0x1.b5eea5bd5b95cp-15, -0x1.ae56bac5be22fp-15, -0x1.a6c535ff2f233p-15, -0x1.9f3a533ebb2aep-15, -0x1.97b64cf013a0cp-15, -0x1.90395c1aa8c8fp-15, -0x1.88c3b86704aa2p-15, -0x1.81559822e941ep-15, -0x1.79ef3048e057ep-15, -0x1.7290b482907dbp-15, -0x1.6b3a572f10e92p-15, -0x1.63ec4967c3ba7p-15, -0x1.5ca6bb054865dp-15, -0x1.5569daa347c1bp-15, -0x1.4e35d5a669207p-15, -0x1.470ad83ec989ap-15, -0x1.3fe90d6dfa8dap-15, -0x1.38d09f0c16312p-15, -0x1.31c1b5cae821dp-15, -0x1.2abc793a1f02bp-15, -0x1.23c10fcbdc7ap-15, -0x1.1ccf9ed8dd7b5p-15, -0x1.15e84aa4442cfp-15, -0x1.0f0b36606eef8p-15, -0x1.083884322d76dp-15, -0x1.0170553434ef4p-15, -0x1.f56592f866614p-16, -0x1.e800003cb6c73p-16, -0x1.dab02e5f1b37p-16, -0x1.cd7657963e858p-16, -0x1.c052b42adab38p-16, -0x1.b3457a7f03f13p-16, -0x1.a64edf1606a05p-16, -0x1.996f1499522d3p-16, -0x1.8ca64be11eaa3p-16, -0x1.7ff4b3fca4e53p-16, -0x1.735a7a35a6b9ep-16, -0x1.66d7ca189188bp-16, -0x1.5a6ccd7ad0a0cp-16, -0x1.4e19ac8195d67p-16, -0x1.41de8da8164f2p-16, -0x1.35bb95c5889c8p-16, -0x1.29b0e813b5d6fp-16, -0x1.1dbea634ece9cp-16, }}, 
      {{0x1.7e060013f2997p-1, 0x1.7df455495ceaap-1, 0x1.7dd6f6dc2e09p-1, 0x1.7dadfe36a866ap-1, 0x1.7d798808ae0e5p-1, 0x1.7d39af1a46d07p-1, 0x1.7cee8749c860fp-1, 0x1.7c98192f7f42p-1, 0x1.7c365eac04ff7p-1, 0x1.7bc9407b806d1p-1, 0x1.7b5094c9a3671p-1, 0x1.7acc1eaf740cp-1, 0x1.7a3b8e7a5c281p-1, 0x1.799e8298ac745p-1, 0x1.78f489084f5a4p-1, 0x1.783d2126fc2bp-1, 0x1.7777bdc6bf59dp-1, 0x1.76a3c76d724ebp-1, 0x1.75c09ea9791b9p-1, 0x1.74cd9e69a1bbbp-1, 0x1.73ca1e4943f1bp-1, 0x1.72b574c4be4fcp-1, 0x1.718ef94d2923cp-1, 0x1.705606347bc3ap-1, 0x1.6f09fa6d8ed49p-1, 0x1.6daa3b1d38581p-1, 0x1.6c3634fb53594p-1, 0x1.6aad5d83d1231p-1, 0x1.690f33f8f5636p-1, 0x1.675b4238b5af5p-1, 0x1.65911d67bebf1p-1, 0x1.63b066751562p-1, 0x1.61b8ca797d81bp-1, 0x1.5faa02f5f8af6p-1, 0x1.5d83d5f4aa6c2p-1, 0x1.5b46160f6408bp-1, 0x1.58f0a25ef5437p-1, 0x1.568366563a10bp-1, 0x1.53fe598ba3ea7p-1, 0x1.51617f73ce687p-1, 0x1.4eace70f73b87p-1, 0x1.4be0aa8edecd3p-1, 0x1.48fceeecc4fd8p-1, 0x1.4601e3823ab3ep-1, 0x1.42efc1954ec91p-1, 0x1.3fc6cbe3a0819p-1, 0x1.3c874e2a26064p-1, 0x1.39319cab2ebe3p-1, 0x1.35c613b38a325p-1, 0x1.3245171fa543ep-1, 0x1.2eaf11e148cb8p-1, 0x1.2b047586966b3p-1, 0x1.2745b9c2c5c1ep-1, 0x1.23735bf90ff39p-1, 0x1.1f8ddeca25e2ep-1, 0x1.1b95c9a48391ep-1, 0x1.178ba857d99ecp-1, 0x1.13700aabc5988p-1, 0x1.0f4383f9fccbdp-1, 0x1.0b06aacc0b2c5p-1, 0x1.06ba187cb711cp-1, 0x1.025e68dd1c792p-1, 0x1.fbe873bb01578p-2, 0x1.f2f85673c4122p-2, 0x1.e9edbc5480dbap-2, 0x1.e0c9ea2d1d39fp-2, 0x1.d78e269c91d7cp-2, 0x1.ce3bb9872f616p-2, 0x1.c4d3eb93e0812p-2, 0x1.bb5805b039ecep-2, 0x1.b1c9509b28237p-2, 0x1.a82914760fc07p-2, 0x1.9e78985c26587p-2, 0x1.94b921ffd30bfp-2, 0x1.8aebf54de20a7p-2, 0x1.8112541650f7cp-2, 0x1.772d7dba812ecp-2, 0x1.6d3eaee09aab1p-2, 0x1.6347212be51a3p-2, 0x1.59480af9edbd1p-2, 0x1.4f429f243740dp-2, 0x1.45380cc65302p-2, 0x1.3b297f0822338p-2, 0x1.31181cec1ecd6p-2, 0x1.2705092174d94p-2, 0x1.1cf161d9c2553p-2, 0x1.12de40a256162p-2, 0x1.08ccba40bf7dep-2, 0x1.fd7bbd2521554p-3, 0x1.e96570e040388p-3, 0x1.d5589b2465e08p-3, 0x1.c1573cf4c7734p-3, 0x1.ad634cbc52bc9p-3, 0x1.997eb628b8393p-3, 0x1.85ab5a0a313b6p-3, 0x1.71eb0e37d0e85p-3, 0x1.5e3f9d781d32bp-3, 0x1.4aaac76dbbefp-3, 0x1.372e408808048p-3, 0x1.23cbb1f7520b3p-3, 0x1.1084b9a49f797p-3, 0x1.fab5d45986dffp-4, 0x1.d49f95bd2aa91p-4, 0x1.aec9af784ce2p-4, 0x1.893702fd93777p-4, 0x1.63ea5b3b939cbp-4, 0x1.3ee66caf3dbbep-4, 0x1.1a2dd57b1446cp-4, 0x1.eb863b05b952ap-5, 0x1.a3516d171611dp-5, 0x1.5bc1f8be4ebcbp-5, 0x1.14dc69e8d2235p-5, 0x1.9d4a42676a973p-6, 0x1.1240a890e7efcp-6, 0x1.114838ff8c4f2p-7, 0x1.f180560e453cp-16, -0x1.0c5e3c8151d18p-7, -0x1.0b5742a41ef13p-6, -0x1.8ef542d5fe14bp-6, -0x1.0881529ff8217p-5, -0x1.48bc9ffa8d6e1p-5, -0x1.88299bd5fe432p-5, -0x1.c6c57f58e2162p-5, -0x1.0246d4f5ee5b8p-4, -0x1.20bfd056d3739p-4, -0x1.3ecc86f252263p-4, -0x1.5c6be03725b04p-4, -0x1.799cd596568cbp-4, -0x1.965e72391ceebp-4, -0x1.b2afd2b60addbp-4, -0x1.ce9024c58a43dp-4, -0x1.e9fea6f5d8ce8p-4, -0x1.027d542f47ac4p-3, -0x1.0fc1c429df895p-3, -0x1.1ccc5b0c6d4cdp-3, -0x1.299cd849ad38p-3, -0x1.363302fea2a94p-3, -0x1.428ea9cbd37a2p-3, -0x1.4eafa2ae85202p-3, -0x1.5a95cad9fb8f9p-3, -0x1.66410690d0bfcp-3, -0x1.71b140fe5960ap-3, -0x1.7ce66c1025b65p-3, -0x1.87e0804faaeabp-3, -0x1.929f7cbc0ceb2p-3, -0x1.9d2366a418a6ap-3, -0x1.a76c49806b284p-3, -0x1.b17a36cdd3a0fp-3, -0x1.bb4d45e7ebf9fp-3, -0x1.c4e593e3ed381p-3, -0x1.ce43436bc95b9p-3, -0x1.d7667c9982d32p-3, -0x1.e04f6cd2d318dp-3, -0x1.e8fe46a51428bp-3, -0x1.f17341a17ca66p-3, -0x1.f9ae9a39a3424p-3, -0x1.00d848ce2c291p-2, -0x1.04bcb6c96a5e5p-2, -0x1.0884bc2f19d46p-2, -0x1.0c30804aa83ap-2, -0x1.0fc02c8177b62p-2, -0x1.1333ec4223a64p-2, -0x1.168becf3f1c82p-2, -0x1.19c85de672722p-2, -0x1.1ce970414b75ep-2, -0x1.1fef56f436e76p-2, -0x1.22da46a72e50ap-2, -0x1.25aa75aac5645p-2, -0x1.28601be8b6639p-2, -0x1.2afb72d49e73dp-2, -0x1.2d7cb55ce9749p-2, -0x1.2fe41fdbf22b2p-2, -0x1.3231f009502bfp-2, -0x1.346664eb58c81p-2, -0x1.3681bec8d2ff7p-2, -0x1.38843f1add25cp-2, -0x1.3a6e287f00b4cp-2, -0x1.3c3fbea97f4c3p-2, -0x1.3df94657cdde9p-2, -0x1.3f9b054342e3bp-2, -0x1.41254213f71d8p-2, -0x1.42984453dc771p-2, -0x1.43f4546203102p-2, -0x1.4539bb6615b4p-2, -0x1.4668c34406403p-2, -0x1.4781b68fee619p-2, -0x1.4884e0822669dp-2, -0x1.49728ceb8890ap-2, -0x1.4a4b0829f0056p-2, -0x1.4b0e9f1ce54cfp-2, -0x1.4bbd9f1a7f66fp-2, -0x1.4c5855e47b7bbp-2, -0x1.4cdf119d81d77p-2, -0x1.4d5220bea411bp-2, -0x1.4db1d20d0ce78p-2, -0x1.4dfe748fe076dp-2, -0x1.4e38578653e41p-2, -0x1.4e5fca5df47fp-2, -0x1.4e751ca924907p-2, -0x1.4e789e15cb9c1p-2, -0x1.4e6a9e6435419p-2, -0x1.4e4b6d5e2868ap-2, -0x1.4e1b5ace2c2aep-2, -0x1.4ddab6770346ap-2, -0x1.4d89d00b57113p-2, -0x1.4d28f72595defp-2, -0x1.4cb87b4002ac6p-2, -0x1.4c38abacf75c3p-2, -0x1.4ba9d78f56e4ap-2, -0x1.4b0c4dd333632p-2, -0x1.4a605d26a2ce6p-2, -0x1.49a653f2c5cb5p-2, -0x1.48de8054fd91bp-2, -0x1.4809301855b5cp-2, -0x1.4726b0af182b6p-2, -0x1.46374f2c960edp-2, -0x1.453b583f1d4bp-2, -0x1.4433182a1e2ecp-2, -0x1.431edac07d6ecp-2, -0x1.41feeb5f17d9ap-2, -0x1.40d394e77206fp-2, -0x1.3f9d21ba9390dp-2, -0x1.3e5bdbb41470ep-2, -0x1.3d100c2551817p-2, -0x1.3bb9fbd0d07ebp-2, -0x1.3a59f2e5cf218p-2, -0x1.38f038fbfe355p-2, -0x1.377d150f63d27p-2, -0x1.3600cd7c6df98p-2, -0x1.347ba7fc2a90bp-2, -0x1.32ede9a0a9297p-2, -0x1.3157d6d188c0cp-2, -0x1.2fb9b348aa00ap-2, -0x1.2e13c20f0a689p-2, -0x1.2c664579c9ae5p-2, -0x1.2ab17f27516cep-2, -0x1.28f5affca62b3p-2, -0x1.27331822db917p-2, -0x1.2569f704b185ap-2, -0x1.239a8b4c5011ap-2, -0x1.21c512e12d815p-2, -0x1.1fe9cae612694p-2, -0x1.1e08efb743f09p-2, -0x1.1c22bce8cdc57p-2, -0x1.1a376d44f1736p-2, -0x1.18473acab08ep-2, -0x1.16525eac7caep-2, -0x1.1459114f0556bp-2, -0x1.125b8a4823c39p-2, -0x1.105a005de5ef8p-2, -0x1.0e54a985b946ap-2, -0x1.0c4bbae3adf94p-2, -0x1.0a3f68c9dd7e2p-2, -0x1.082fe6b7e711cp-2, -0x1.061d675a89adap-2, -0x1.04081c8b5b067p-2, -0x1.01f0375094f7ep-2, -0x1.ffabcfb9fc6bap-3, -0x1.fb72bb1fdacp-3, -0x1.f7358deac265cp-3, -0x1.f2f4a38c6392dp-3, -0x1.eeb055d0b33e2p-3, -0x1.ea68fcdea9ffep-3, -0x1.e61eef392c48fp-3, -0x1.e1d281c01cd3p-3, -0x1.dd8407b19a2a6p-3, -0x1.d933d2ab6670fp-3, -0x1.d4e232ac6ecbp-3, -0x1.d08f76167fa8ap-3, -0x1.cc3be9b0199a9p-3, -0x1.c7e7d8a66a37ap-3, -0x1.c3938c8f69125p-3, -0x1.bf3f4d6c11b54p-3, -0x1.baeb61aac291cp-3, -0x1.b6980e29b5701p-3, -0x1.b24596399a2dbp-3, -0x1.adf43ba04bdf4p-3, -0x1.a9a43e9b9f74bp-3, -0x1.a555dde451266p-3, -0x1.a10956b10a83bp-3, -0x1.9cbee4b97afa3p-3, -0x1.9876c23990e82p-3, -0x1.943127f4bf003p-3, -0x1.8fee4d3963fabp-3, -0x1.8bae67e434ea6p-3, -0x1.8771ac63ce456p-3, -0x1.83384dbc4953fp-3, -0x1.7f027d8ae6bb5p-3, -0x1.7ad06c09cc62fp-3, -0x1.76a24813d32eap-3, -0x1.72783f285d846p-3, -0x1.6e527d6f43d07p-3, -0x1.6a312dbcc3abcp-3, -0x1.661479958b294p-3, -0x1.61fc8932bd191p-3, -0x1.5de983860c2abp-3, -0x1.59db8e3dddf9ap-3, -0x1.55d2cdc9727fep-3, -0x1.51cf655d18ba7p-3, -0x1.4dd176f6650ffp-3, -0x1.49d923607a2ffp-3, -0x1.45e68a3847643p-3, -0x1.41f9c9f0d879bp-3, -0x1.3e12ffd7a76bep-3, -0x1.3a324818f275bp-3, -0x1.3657bdc40f7f1p-3, -0x1.32837acfcbdb5p-3, -0x1.2eb5981ec963ap-3, -0x1.2aee2d83dab03p-3, -0x1.272d51c663b7ep-3, -0x1.23731aa6bc31bp-3, -0x1.1fbf9ce28caf5p-3, -0x1.1c12ec392f3c9p-3, -0x1.186d1b700d5afp-3, -0x1.14ce3c56fc3b4p-3, -0x1.11365fcc9815ap-3, -0x1.0da595c29959ap-3, -0x1.0a1bed4229de1p-3, -0x1.06997470376d9p-3, -0x1.031e3891be683p-3, -0x1.ff548c2021c18p-4, -0x1.f87b50fa3b734p-4, -0x1.f1b0d52f5a67ap-4, -0x1.eaf52c9f2eab3p-4, -0x1.e4486993f664ep-4, -0x1.ddaa9ccaccbaap-4, -0x1.d71bd57bfc3c2p-4, -0x1.d09c216336e88p-4, -0x1.ca2b8cc7cab0cp-4, -0x1.c3ca2284bd582p-4, -0x1.bd77ec10ddc7p-4, -0x1.b734f186c3c57p-4, -0x1.b10139acbfe18p-4, -0x1.aadcc9fcb6384p-4, -0x1.a4c7a6abf2361p-4, -0x1.9ec1d2b2d3a25p-4, -0x1.98cb4fd4844acp-4, -0x1.92e41ea67f3c4p-4, -0x1.8d0c3e981c629p-4, -0x1.8743adf9f871p-4, -0x1.818a6a054c41ep-4, -0x1.7be06ee336d79p-4, -0x1.7645b7b3e9481p-4, -0x1.70ba3e95c24c5p-4, -0x1.6b3dfcac542bep-4, -0x1.65d0ea27569b1p-4, -0x1.6072fe497ebc4p-4, -0x1.5b242f6f447b7p-4, -0x1.55e4731591387p-4, -0x1.50b3bde058a08p-4, -0x1.4b9203a1188c8p-4, -0x1.467f375d460ccp-4, -0x1.417b4b549fb72p-4, -0x1.3c8631076b8cep-4, -0x1.379fd93c9f3d6p-4, -0x1.32c83407ef403p-4, -0x1.2dff30cfc46d8p-4, -0x1.2944be5321ee2p-4, -0x1.2498caaf6b539p-4, -0x1.1ffb43661a818p-4, -0x1.1b6c156258e9fp-4, -0x1.16eb2cfe88131p-4, -0x1.12787609a9914p-4, -0x1.0e13dbccb9fdp-4, -0x1.09bd490fed1ebp-4, -0x1.0574a81fd7fc5p-4, -0x1.0139e2d280b0bp-4, -0x1.fa19c518b02ffp-5, -0x1.f1db208a3778ap-5, -0x1.e9b7a9194c56ap-5, -0x1.e1af2f1f41031p-5, -0x1.d9c1823845181p-5, -0x1.d1ee714c7328bp-5, -0x1.ca35ca98bfbdp-5, -0x1.c2975bb7a0876p-5, -0x1.bb12f1a9a36a5p-5, -0x1.b3a858ddc7ebep-5, -0x1.ac575d39b3b79p-5, -0x1.a51fca21bb7fp-5, -0x1.9e016a80bed1bp-5, -0x1.96fc08cfda163p-5, -0x1.900f6f1dec87fp-5, -0x1.893b6716f836p-5, -0x1.827fba0b54437p-5, -0x1.7bdc30f6b9832p-5, -0x1.7550948720471p-5, -0x1.6edcad2378e49p-5, -0x1.688042f242cb5p-5, -0x1.623b1ddfee22p-5, -0x1.5c0d05a522feap-5, -0x1.55f5c1ccd75ddp-5, -0x1.4ff519ba4622dp-5, -0x1.4a0ad4aebb85cp-5, -0x1.4436b9cf417c3p-5, -0x1.3e78902a1d574p-5, -0x1.38d01ebc313b4p-5, -0x1.333d2c76384bfp-5, -0x1.2dbf8041da085p-5, -0x1.2856e106a0cccp-5, -0x1.230315aec3a5cp-5, -0x1.1dc3e52bdf992p-5, -0x1.1899167b762dep-5, -0x1.138270ab6056ep-5, -0x1.0e7fbade19f6p-5, -0x1.0990bc4ee434bp-5, -0x1.04b53c55d0a3ap-5, -0x1.ffda04d7568fdp-6, -0x1.f66fac5b91047p-6, -0x1.ed2afec3544bbp-6, -0x1.e40b8bf1253bcp-6, -0x1.db10e425e4255p-6, -0x1.d23a9807730c1p-6, -0x1.c98838a72663cp-6, -0x1.c0f95787f45c7p-6, -0x1.b88d86a475bcfp-6, -0x1.b0445874a81c2p-6, -0x1.a81d5ff3847a3p-6, -0x1.a01830a453b36p-6, -0x1.98345e97df0ffp-6, -0x1.90717e71617f4p-6, -0x1.88cf256b4de5ap-6, -0x1.814ce95be20c1p-6, -0x1.79ea60b98c86ap-6, -0x1.72a7229f199afp-6, -0x1.6b82c6cfcbbf1p-6, -0x1.647ce5bb1b6dbp-6, -0x1.5d95188080d49p-6, -0x1.56caf8f2dc671p-6, -0x1.501e219be67a2p-6, -0x1.498e2dbf46363p-6, -0x1.431ab95dac0dbp-6, -0x1.3cc36137a3049p-6, -0x1.3687c2d04957p-6, -0x1.30677c6fe80dp-6, -0x1.2a622d26567bap-6, -0x1.247774cd47f59p-6, -0x1.1ea6f40a661d8p-6, -0x1.18f04c5166ff2p-6, -0x1.13531fe5cc9aep-6, -0x1.0dcf11dcc5841p-6, -0x1.0863c61eac63dp-6, -0x1.0310e168985e7p-6, -0x1.fbac129b74365p-7, -0x1.f165c87133aa7p-7, -0x1.e74e32d879978p-7, -0x1.dd64a20a533e7p-7, -0x1.d3a867f4b08ccp-7, -0x1.ca18d83c142d1p-7, -0x1.c0b5483ce1136p-7, -0x1.b77d0f0ca3d07p-7, -0x1.ae6f857b2c0b6p-7, -0x1.a58c0613420ecp-7, -0x1.9cd1ed1b6ea19p-7, -0x1.9440989668cd8p-7, -0x1.8bd768435c3dbp-7, -0x1.8395bd9e2021ap-7, -0x1.7b7afbdf1b077p-7, -0x1.738687fb26b66p-7, -0x1.6bb7c8a334b3dp-7, -0x1.640e2643c2eedp-7, -0x1.5c890b04506bcp-7, -0x1.5527e2c68cf99p-7, -0x1.4dea1b256e29ap-7, -0x1.46cf23742671bp-7, -0x1.3fd66cbd06592p-7, -0x1.38ff69c024eeap-7, -0x1.32498ef1feabep-7, -0x1.2bb45279f5873p-7, -0x1.253f2c30a0befp-7, -0x1.1ee9959e292bap-7, -0x1.18b309f858de7p-7, -0x1.129b0620bd2f8p-7, -0x1.0ca108a29aea7p-7, -0x1.06c491b0d107ep-7, -0x1.0105232396ab1p-7, -0x1.f6c480ec9cbfep-8, -0x1.ebb6dd89fed5ep-8, -0x1.e0e0699411508p-8, -0x1.d64035b70d6f6p-8, -0x1.cbd555d170182p-8, -0x1.c19ee0eed097cp-8, -0x1.b79bf14238bacp-8, -0x1.adcba420d6aecp-8, -0x1.a42d19fc0f046p-8, -0x1.9abf765bc623ap-8, -0x1.9181dfd892f42p-8, -0x1.88738015aa4ebp-8, -0x1.7f9383bab1619p-8, -0x1.76e11a6dba056p-8, -0x1.6e5b76cce9c8dp-8, -0x1.6601ce681a3a9p-8, -0x1.5dd359ba746a8p-8, -0x1.55cf542419eddp-8, -0x1.4df4fbe351311p-8, -0x1.4643920e2772dp-8, -0x1.3eba5a8ba4afdp-8, -0x1.37589c0d210d5p-8, -0x1.301da0078ac93p-8, -0x1.2908b2ac8bca8p-8, -0x1.221922e3beae4p-8, -0x1.1b4e4243b0987p-8, -0x1.14a7650b2d558p-8, -0x1.0e23e21a1c4c3p-8, -0x1.07c312eabe8b9p-8, -0x1.0184538a7cd26p-8, -0x1.f6ce05261e306p-9, -0x1.ead502470bf17p-9, -0x1.df1c65b237175p-9, -0x1.d3a2fb909895ep-9, -0x1.c86794eb9a242p-9, -0x1.bd69079ef6685p-9, -0x1.b2a62e4ab429dp-9, -0x1.a81de84520625p-9, -0x1.9dcf198ca4d82p-9, -0x1.93b8aaba0fdf8p-9, -0x1.89d988f22ac7bp-9, -0x1.8030a5d8127fdp-9, -0x1.76bcf77f51becp-9, -0x1.6d7d785d9c97dp-9, -0x1.6471273d6cad9p-9, -0x1.5b97072ff1b0fp-9, -0x1.52ee1f7f3fcdcp-9, -0x1.4a757ba0d9d98p-9, -0x1.422c2b27ba07cp-9, -0x1.3a1141b6fcbfcp-9, -0x1.3223d6f450562p-9, -0x1.2a63067a4e418p-9, -0x1.22cdefcb5ecc1p-9, -0x1.1b63b64443d26p-9, -0x1.1423810ec1e8cp-9, -0x1.0d0c7b14888d7p-9, -0x1.061dd2f24132ap-9, -0x1.fead75d4f6c2fp-10, -0x1.f16cd1b12af93p-10, -0x1.e4782c48635d5p-10, -0x1.d7cdff684bfdp-10, -0x1.cb6ccbc49e822p-10, -0x1.bf5318dcdc13p-10, -0x1.b37f74e493172p-10, -0x1.a7f074a9a8145p-10, -0x1.9ca4b37c72eb9p-10, -0x1.919ad317597b3p-10, -0x1.86d17b8680c53p-10, -0x1.7c475b0feb4cep-10, -0x1.71fb261c0c8b6p-10, -0x1.67eb971df28f4p-10, -0x1.5e176e7c4106dp-10, -0x1.547d727a1fe77p-10, -0x1.4b1c6f2055fe9p-10, -0x1.41f33626add15p-10, -0x1.39009edd9aa9cp-10, -0x1.3043861801ab1p-10, -0x1.27bace154af4ap-10, -0x1.1f655e6be59cfp-10, -0x1.174223f3286a5p-10, -0x1.0f5010aef8497p-10, -0x1.078e1bb9e8133p-10, -0x1.fff68261f0e99p-11, -0x1.f12d043d692ccp-11, -0x1.e2bdc8ce205f8p-11, -0x1.d4a6e5665df6ep-11, -0x1.c6e678bab34d3p-11, -0x1.b97aaabb353f4p-11, -0x1.ac61ac6c45e06p-11, -0x1.9f99b7c082764p-11, -0x1.93210f729021ep-11, -0x1.86f5fedfb9f2ep-11, -0x1.7b16d9e2e3a5cp-11, -0x1.6f81fcaff9959p-11, -0x1.6435cbafde8dcp-11, -0x1.5930b35cac065p-11, -0x1.4e71281eac994p-11, -0x1.43f5a6298e16bp-11, -0x1.39bcb15a03831p-11, -0x1.2fc4d5141a1ap-11, -0x1.260ca421a6694p-11, -0x1.1c92b89153532p-11, -0x1.1355b3963b1a2p-11, -0x1.0a543d67b80aep-11, -0x1.018d0521dd5cp-11, -0x1.f1fd814c5a9b3p-12, -0x1.e15058f9c7cddp-12, -0x1.d110176ddb08ep-12, -0x1.c13a4f9eae60dp-12, -0x1.b1cca11cead16p-12, -0x1.a2c4b7d8a2afdp-12, -0x1.94204be8cf34bp-12, -0x1.85dd21531b7b9p-12, -0x1.77f907d2d17bcp-12, -0x1.6a71daa3a0647p-12, -0x1.5d45804b033d3p-12, -0x1.5071ea6310b78p-12, -0x1.43f51565f047dp-12, -0x1.37cd087aa511ap-12, -0x1.2bf7d54204831p-12, -0x1.207397a473ff7p-12, -0x1.153e75a13d367p-12, -0x1.0a569f1d4cf6ap-12, -0x1.ff749b6876089p-13, -0x1.eacf8911f26f7p-13, -0x1.d6baa02f0c07ep-13, -0x1.c3328c0e8ed8cp-13, -0x1.b03409fdc1772p-13, -0x1.9dbbe8edcffd8p-13, -0x1.8bc709206e632p-13, -0x1.7a525bcf32d8ap-13, -0x1.695ae2d98acb8p-13, -0x1.58ddb07294e39p-13, -0x1.48d7e6cf2c8afp-13, -0x1.3946b7d4e259ap-13, -0x1.2a2764ce3c7c2p-13, -0x1.1b773e1b3521fp-13, -0x1.0d33a2e66d2f4p-13, -0x1.feb401b34c922p-14, -0x1.e3cfa7ab712f1p-14, -0x1.c9b54b53ded24p-14, -0x1.b0601b986f67ap-14, -0x1.97cb622b5c8b8p-14, -0x1.7ff282f676583p-14, -0x1.68d0fb9a8a15dp-14, -0x1.526262e7b8733p-14, -0x1.3ca2685b7fa1p-14, -0x1.278cd3a50e4bbp-14, -0x1.131d842256043p-14, -0x1.fea0e0d38fc84p-15, -0x1.d8434b9c9a314p-15, -0x1.b31a8fd5f3e4ep-15, -0x1.8f1f2059fbc3p-15, -0x1.6c499ac448c99p-15, -0x1.4a92c69051d9dp-15, -0x1.29f3943c5b53ap-15, -0x1.0a651c703ecbdp-15, -0x1.d7c13e53bf9b4p-16, -0x1.9cbf05dbbb97bp-16, -0x1.63b6a7ecd0a84p-16, -0x1.2c9b86e5a4a6bp-16, -0x1.eec29add055c2p-17, -0x1.87f7da0d24b69p-17, -0x1.24bf390174d45p-17, -0x1.8a035a472e11p-18, -0x1.a2a2c302455b5p-19, -0x1.f3c808f82012ap-22, 0x1.18cca2135d3dep-19, 0x1.31c12277ffa6cp-18, 0x1.d0fd0ed7aa46bp-18, 0x1.3521213de0077p-17, 0x1.7edbfff339ce2p-17, 0x1.c5c25277fc40fp-17, 0x1.04f36bdca2297p-16, 0x1.25adf08f4a5c1p-16, 0x1.4519aa72b11edp-16, 0x1.633f5833462ecp-16, 0x1.8027852dc6e1ep-16, 0x1.9bda8a8523e53p-16, 0x1.b6609043256abp-16, 0x1.cfc18e5f07752p-16, 0x1.e8054dce40dbp-16, 0x1.ff3369884cd5bp-16, 0x1.0aa9a7c1c05e7p-15, 0x1.153620db43b71p-15, 0x1.1f42ab84bcc1cp-15, 0x1.28d2be227027ap-15, 0x1.31e9ba832d5bfp-15, 0x1.3a8aee4fdaac7p-15, 0x1.42b9937e8a5cep-15, 0x1.4a78d0c14e3fbp-15, 0x1.51cbb9f324332p-15, 0x1.58b5507fb0cbp-15, 0x1.5f3883d04e642p-15, 0x1.655831ade79abp-15, 0x1.6b1726a79f69fp-15, 0x1.70781e733d95bp-15, 0x1.757dc44e6b51ap-15, 0x1.7a2ab359a061cp-15, 0x1.7e8176f6ef04fp-15, 0x1.82848b225dc1p-15, 0x1.86365ccb287d6p-15, 0x1.89994a291edbdp-15, 0x1.8cafa30faf035p-15, 0x1.8f7ba9446d35ap-15, 0x1.91ff90cb40097p-15, 0x1.943d80375aaa2p-15, 0x1.963790fa24bf4p-15, 0x1.97efcfaae7882p-15, 0x1.99683c575e2e9p-15, 0x1.9aa2cac4816f8p-15, 0x1.9ba162bc45313p-15, 0x1.9c65e04dad252p-15, 0x1.9cf21413d08d2p-15, 0x1.9d47c377d8dbp-15, 0x1.9d68a8f06ec9bp-15, 0x1.9d5674436113cp-15, 0x1.9d12cac260addp-15, 0x1.9c9f478942791p-15, 0x1.9bfd7bb76b035p-15, 0x1.9b2eeeaa908cbp-15, 0x1.9a351e3919f94p-15, 0x1.99117ee7d7021p-15, 0x1.97c57c221c876p-15, 0x1.9652786ce295cp-15, 0x1.94b9cd9d10aafp-15, 0x1.92fccd08aa887p-15, 0x1.911cbfba36ffdp-15, 0x1.8f1ae69d96b8cp-15, 0x1.8cf87ab5119bbp-15, 0x1.8ab6ad433bdecp-15, 0x1.8856a7fb2c68fp-15, 0x1.85d98d2b16601p-15, 0x1.834077e948497p-15, 0x1.808c7c3cedfa9p-15, 0x1.7dbea7484c7a9p-15, 0x1.7ad7ff718225ep-15, 0x1.77d9848a9c0a8p-15, 0x1.74c42ff70987ep-15, 0x1.7198f4d1debc6p-15, 0x1.6e58c0146d6afp-15, 0x1.6b0478b811a88p-15, 0x1.679cffda22e47p-15, 0x1.642330dfe4f15p-15, 0x1.6097e196453bfp-15, 0x1.5cfbe254dc3c8p-15, 0x1.594ffe1b8031ep-15, 0x1.5594fab5cbe15p-15, 0x1.51cb98d4f3504p-15, 0x1.4df49431d59e3p-15, 0x1.4a10a3a809c0bp-15, 0x1.46207953499cep-15, 0x1.4224c2ab9efebp-15, 0x1.3e1e28a1057d8p-15, 0x1.3a0d4fb5a7559p-15, 0x1.35f2d81883755p-15, 0x1.31cf5dbe638edp-15, 0x1.2da3787ab1038p-15, 0x1.296fbc1884e62p-15, 0x1.2534b871dc687p-15, 0x1.20f2f987caed4p-15, 0x1.1cab0797c6459p-15, 0x1.185d6733341b8p-15, 0x1.140a9954e338ap-15, 0x1.0fb31b7544dcap-15, 0x1.0b57679fd8ae7p-15, 0x1.06f7f486b5e4dp-15, 0x1.029535986a264p-15, 0x1.fc5f3621a45dp-16, 0x1.f38f2418d2a33p-16, 0x1.eabb0937c0aap-16, 0x1.e1e3b3ab05e91p-16, 0x1.d909ebcc6cb94p-16, 0x1.d02e744646ffcp-16, 0x1.c7520a34a94dp-16, 0x1.be7565468d7b2p-16, 0x1.b59937dcb4d6dp-16, 0x1.acbe2f2c0d8f8p-16, 0x1.a3e4f3583fe8ap-16, 0x1.9b0e27942d463p-16, 0x1.923a6a3d5643p-16, 0x1.896a54f9841e7p-16, 0x1.809e7cd23eacfp-16, 0x1.77d772502d627p-16, 0x1.6f15c1945ca7ap-16, 0x1.6659f2745dd81p-16, 0x1.5da488917bb01p-16, 0x1.54f60373214d5p-16, 0x1.4c4ede9f66532p-16, 0x1.43af91aeb3d13p-16, 0x1.3b189066ed196p-16, 0x1.328a4ad16b72cp-16, 0x1.2a052d50bd452p-16, 0x1.2189a0b4bd916p-16, 0x1.19180a50e6d4dp-16, 0x1.10b0cc11e4cf5p-16, 0x1.0854448f7efa6p-16, 0x1.0002cf20b172cp-16, 0x1.ef7987dec371fp-17, 0x1.df04f017d7a0bp-17, 0x1.cea87afbaad7fp-17, 0x1.be64c6ad98c2bp-17, 0x1.ae3a6b86fa48ap-17, 0x1.9e29fc3a5bf65p-17, 0x1.8e3405f5506dbp-17, 0x1.7e59107ebb3cbp-17, 0x1.6e999e599b2ecp-17, 0x1.5ef62ce215342p-17, 0x1.4f6f346d79389p-17, 0x1.4005286700a8dp-17, 0x1.30b8776ccdf74p-17, 0x1.21898b6dbfd4cp-17, 0x1.1278c9c5400c7p-17, 0x1.038693564c11cp-17, 0x1.e9668945df3a4p-18, 0x1.cbfe6bd4ea46ap-18, 0x1.aed57682cb80cp-18, 0x1.91ec4956ec053p-18, 0x1.75437c624ba06p-18, 0x1.58db9ff48ff33p-18, 0x1.3cb53cc9f5b11p-18, 0x1.20d0d43896a79p-18, 0x1.052ee058981c8p-18, 0x1.d39fa86aba0ebp-19, 0x1.9d6837e9af4cfp-19, 0x1.67b83a06c4addp-19, 0x1.32906c7827fbbp-19, 0x1.fbe3004358c1p-20, 0x1.93b832b6e402dp-20, 0x1.2ca1a09bd7482p-20, 0x1.8d40c4b979952p-21, 0x1.86d5e468c74eep-22, -0x1.0f185e3114e83p-27, -0x1.93671ba76af47p-22, -0x1.8cf915a902dd4p-21, -0x1.2705d3022acd4p-20, -0x1.86750a92b7d08p-20, -0x1.e4c9b0bd47ebfp-20, -0x1.2101ac27c64bfp-19, -0x1.4f10d39f31271p-19, -0x1.7c922b129c029p-19, -0x1.a98597e6c862bp-19, -0x1.d5eb085febe59p-19, -0x1.00e139b3e2453p-18, -0x1.1685ec2b44d32p-18, -0x1.2be39f5dcd477p-18, -0x1.40fa5b147c9dcp-18, -0x1.55ca2aff21e2ap-18, -0x1.6a531e9ae069ep-18, -0x1.7e954919ec273p-18, -0x1.9290c14a54c7ap-18, -0x1.a645a17fc3aaap-18, -0x1.b9b407798063ep-18, -0x1.ccdc144a0d5ffp-18, -0x1.dfbdec45d9808p-18, -0x1.f259b6ea82d3p-18, -0x1.0257cf631b32p-17, -0x1.0b5fe8b30fed3p-17, -0x1.14453fa039e92p-17, -0x1.1d07edd089015p-17, -0x1.25a80e498fbd1p-17, -0x1.2e25bd67a47c4p-17, -0x1.368118d4dfc4dp-17, -0x1.3eba3f7df0debp-17, -0x1.46d151893e242p-17, -0x1.4ec6704fb71acp-17, -0x1.5699be524548ap-17, -0x1.5e4b5f3192f8p-17, -0x1.65db77a56bf2cp-17, -0x1.6d4a2d74b3d4fp-17, -0x1.7497a76cd4e84p-17, -0x1.7bc40d59ca595p-17, -0x1.82cf87fe9db94p-17, -0x1.89ba410d55d19p-17, -0x1.9084631f93d9cp-17, -0x1.972e19aed01e2p-17, -0x1.9db7910d5d878p-17, -0x1.a420f65fa104bp-17, -0x1.aa6a779411aa3p-17, -0x1.b094435de83f7p-17, -0x1.b69e892d0b317p-17, -0x1.bc8979282e02ap-17, -0x1.c25544257725fp-17, -0x1.c8021ba5480c3p-17, -0x1.cd9031cbbf7e4p-17, -0x1.d2ffb95a6732fp-17, -0x1.d850e5a9b90b3p-17, -0x1.dd83eaa41de2fp-17, -0x1.e298fcc03e00ap-17, -0x1.e79050fa4cac3p-17, -0x1.ec6a1cd031511p-17, -0x1.f126963a4e7fp-17, -0x1.f5c5f3a74349p-17, -0x1.fa486bf66f96dp-17, -0x1.feae367295492p-17, -0x1.017bc566c1fd3p-16, -0x1.0392508db389cp-16, -0x1.059ad8e62583cp-16, -0x1.07957ad44b953p-16, -0x1.098252e6591ecp-16, -0x1.0b617dd1e9914p-16, -0x1.0d331871ce611p-16, -0x1.0ef73fc4387dp-16, -0x1.10ae10e86181bp-16, -0x1.1257a91c1f4f2p-16, -0x1.13f425ba128adp-16, -0x1.1583a437c8e1cp-16, -0x1.17064223c278p-16, -0x1.187c1d2361015p-16, -0x1.19e552f107217p-16, -0x1.1b42015a8c1b3p-16, -0x1.1c92463ea4e25p-16, -0x1.1dd63f8b88cap-16, -0x1.1f0e0b3dbaf3cp-16, -0x1.2039c75da96c1p-16, -0x1.215991fdef215p-16, -0x1.226d893a610e2p-16, -0x1.2375cb35a1167p-16, -0x1.24727618136aap-16, -0x1.2563a80e4032ap-16, -0x1.26497f470b6e3p-16, -0x1.272419f29572p-16, -0x1.27f39640b73cep-16, -0x1.28b8125f06757p-16, -0x1.2971ac7896018p-16, }}, 
      {{0x1.7e09ee74e3a0cp-1, 0x1.7e0409d3ec7cp-1, 0x1.7dfa3b7705273p-1, 0x1.7dec88d0fd17dp-1, 0x1.7ddaf87768b33p-1, 0x1.7dc5914df492p-1, 0x1.7dac59abfe745p-1, 0x1.7d8f568f1d47ap-1, 0x1.7d6e8ae73896cp-1, 0x1.7d49f7035f4ffp-1, 0x1.7d2198223fa68p-1, 0x1.7cf56825fe181p-1, 0x1.7cc55d69277a9p-1, 0x1.7c916ab148f8cp-1, 0x1.7c597f3b30189p-1, 0x1.7c1d86dcb5b0ap-1, 0x1.7bdd6a380c033p-1, 0x1.7b990efcd79ap-1, 0x1.7b505833a7e46p-1, 0x1.7b032690c78f4p-1, 0x1.7ab158cbbb1c7p-1, 0x1.7a5acbf91e685p-1, 0x1.79ff5be4ec657p-1, 0x1.799ee36b8e5ep-1, 0x1.79393cd05d36ap-1, 0x1.78ce42108082bp-1, 0x1.785dcd315c097p-1, 0x1.77e7b889ed69bp-1, 0x1.776bdf06b360ep-1, 0x1.76ea1c67d7e7dp-1, 0x1.76624d79860d4p-1, 0x1.75d4504667612p-1, 0x1.754004446077dp-1, 0x1.74a54a7bbb5ccp-1, 0x1.740405a8f4114p-1, 0x1.735c1a596d06ap-1, 0x1.72ad6f03596b1p-1, 0x1.71f7ec19280ep-1, 0x1.713b7c18c4d7p-1, 0x1.70780b9703efcp-1, 0x1.6fad894784afbp-1, 0x1.6edbe60161d6ap-1, 0x1.6e0314c0f61b8p-1, 0x1.6d230aa703217p-1, 0x1.6c3bbef57f6e4p-1, 0x1.6b4d2b0a4a0efp-1, 0x1.6a574a5806533p-1, 0x1.695a1a5d53148p-1, 0x1.68559a9a98086p-1, 0x1.6749cc8695173p-1, 0x1.6636b381e28ffp-1, 0x1.651c54c98d8a2p-1, 0x1.63fab768f1e2ep-1, 0x1.62d1e42af6ffp-1, 0x1.61a1e58acd731p-1, 0x1.606ac7a44acf5p-1, 0x1.5f2c9823fae0ap-1, 0x1.5de76637008f9p-1, 0x1.5c9b427ad6a53p-1, 0x1.5b483eed08a4dp-1, 0x1.59ee6edaee10dp-1, 0x1.588de6d17be5ep-1, 0x1.5726bc8d34364p-1, 0x1.55b906ea45b5p-1, 0x1.5444ddd4dd9d9p-1, 0x1.52ca5a39ba417p-1, 0x1.514995f703f47p-1, 0x1.4fc2abcd712e1p-1, 0x1.4e35b751bcb05p-1, 0x1.4ca2d4de72fc9p-1, 0x1.4b0a2186182dfp-1, 0x1.496bbb05aad96p-1, 0x1.47c7bfb7865dp-1, 0x1.461e4e86a4d88p-1, 0x1.446f86e243e17p-1, 0x1.42bb88b1e9c15p-1, 0x1.41027449cf6a9p-1, 0x1.3f446a5faa4e7p-1, 0x1.3d818bffd9d01p-1, 0x1.3bb9fa82f5098p-1, 0x1.39edd783b8e1p-1, 0x1.381d44d55475bp-1, 0x1.3648647a13719p-1, 0x1.346f589a647fbp-1, 0x1.3292437c397a3p-1, 0x1.30b1477abf1dfp-1, 0x1.2ecc86fe6ee77p-1, 0x1.2ce4247570192p-1, 0x1.2af8424c50f11p-1, 0x1.290902e70c64p-1, 0x1.2716889a60c67p-1, 0x1.2520f5a57252p-1, 0x1.23286c2bb78f5p-1, 0x1.212d0e2f2f695p-1, 0x1.1f2efd8adbdep-1, 0x1.1d2e5bed83b55p-1, 0x1.1b2b4ad4b2ac7p-1, 0x1.1925eb87fdcc7p-1, 0x1.171e5f1483c93p-1, 0x1.1514c648a9a17p-1, 0x1.130941b013b7fp-1, 0x1.10fbf18fd504ep-1, 0x1.0eecf5e2d6932p-1, 0x1.0cdc6e5673fcap-1, 0x1.0aca7a474a7a3p-1, 0x1.08b738be38fdap-1, 0x1.06a2c86d91c5ep-1, 0x1.048d47ae78cf8p-1, 0x1.0276d47e6e783p-1, 0x1.005f8c7d068e9p-1, 0x1.fc8f19d38ecd3p-2, 0x1.f85de544633b3p-2, 0x1.f42bb43fdcb25p-2, 0x1.eff8beee44f05p-2, 0x1.ebc53ca9c9e51p-2, 0x1.e79163fbb2934p-2, 0x1.e35d6a99d183ep-2, 0x1.df2985643a839p-2, 0x1.daf5e86333bfep-2, 0x1.d6c2c6c560f26p-2, 0x1.d29052de290a3p-2, 0x1.ce5ebe2451edfp-2, 0x1.ca2e3930cd0fap-2, 0x1.c5fef3bdb9375p-2, 0x1.c1d11ca5919b1p-2, 0x1.bda4e1e28f1ap-2, 0x1.b97a708e2d16fp-2, 0x1.b551f4e0e238fp-2, 0x1.b12b9a31f946cp-2, 0x1.ad078af7943afp-2, 0x1.a8e5f0c6d2f7cp-2, 0x1.a4c6f4541e0b8p-2, 0x1.a0aabd73903e4p-2, 0x1.9c91731982dddp-2, 0x1.987b3b5b36a05p-2, 0x1.94683b6f99fe8p-2, 0x1.905897b02ad24p-2, 0x1.8c4c7399f1e8p-2, 0x1.8843f1ce98129p-2, 0x1.843f341591acdp-2, 0x1.803e5b5d632d3p-2, 0x1.7c4187bcf66f8p-2, 0x1.7848d87507be8p-2, 0x1.74546bf1a5568p-2, 0x1.70645fcbbddbep-2, 0x1.6c78d0cac620ep-2, 0x1.6891dae666d5fp-2, 0x1.64af99483f568p-2, 0x1.60d2264db537p-2, 0x1.5cf99b89ced13p-2, 0x1.592611c71c547p-2, 0x1.5557a109ad96bp-2, 0x1.518e609110b1bp-2, 0x1.4dca66da59dc4p-2, 0x1.4a0bc9a238e5ep-2, 0x1.46529de71388ep-2, 0x1.429ef7eb2a4abp-2, 0x1.3ef0eb36c232fp-2, 0x1.3b488a9a5a61cp-2, 0x1.37a5e830e0c59p-2, 0x1.34091561f472ep-2, 0x1.307222e427fc1p-2, 0x1.2ce120bf49108p-2, 0x1.29561e4eb0766p-2, 0x1.25d12a438fd2p-2, 0x1.225252a747c86p-2, 0x1.1ed9a4ddbf73p-2, 0x1.1b672da7bcb59p-2, 0x1.17faf92541da2p-2, 0x1.149512d7eb2d9p-2, 0x1.113585a54c2b8p-2, 0x1.0ddc5bd954241p-2, 0x1.0a899f28aaf74p-2, 0x1.073d58b3162b2p-2, 0x1.03f79105d8bb7p-2, 0x1.00b8501e158c9p-2, 0x1.faff3ad65f561p-3, 0x1.f49affa25a5f4p-3, 0x1.ee43fb562a97fp-3, 0x1.e7fa399a9bce1p-3, 0x1.e1bdc50ff6d92p-3, 0x1.db8ea752b3261p-3, 0x1.d56ce9002bc79p-3, 0x1.cf5891bb51e38p-3, 0x1.c951a83151edcp-3, 0x1.c358321e3c68cp-3, 0x1.bd6c3451a5d99p-3, 0x1.b78db2b34093bp-3, 0x1.b1bcb04773009p-3, 0x1.abf92f33e7be9p-3, 0x1.a64330c40fadp-3, 0x1.a09ab56dab01fp-3, 0x1.9affbcd53d432p-3, 0x1.957245d28220bp-3, 0x1.8ff24e74d8a27p-3, 0x1.8a7fd407a66adp-3, 0x1.851ad316b06b9p-3, 0x1.7fc347726f346p-3, 0x1.7a792c345994ep-3, 0x1.753c7bc3220c7p-3, 0x1.700d2fd6f1973p-3, 0x1.6aeb417d97ebep-3, 0x1.65d6a91eab044p-3, 0x1.60cf5e7fa9487p-3, 0x1.5bd558c8069e1p-3, 0x1.56e88e8538968p-3, 0x1.5208f5aeb104fp-3, 0x1.4d3683a9d26cep-3, 0x1.48712d4dde47dp-3, 0x1.43b8e6e7cd4dep-3, 0x1.3f0da43e26dc9p-3, 0x1.3a6f5894ccef4p-3, 0x1.35ddf6b0b8417p-3, 0x1.315970dbad67ep-3, 0x1.2ce1b8e7e75cp-3, 0x1.2876c033b3f3bp-3, 0x1.241877ad078ddp-3, 0x1.1fc6cfd5046e3p-3, 0x1.1b81b8c3794d4p-3, 0x1.1749222a4e50fp-3, 0x1.131cfb58f123ap-3, 0x1.0efd333fa7895p-3, 0x1.0ae9b872e65a9p-3, 0x1.06e2792e8c59ap-3, 0x1.02e76359224ebp-3, 0x1.fdf0c90dffbf9p-4, 0x1.f62ad3fae2929p-4, 0x1.ee7cc16b91b7cp-4, 0x1.e6e66ac0d4a3fp-4, 0x1.df67a8cf891b1p-4, 0x1.d80053e693276p-4, 0x1.d0b043d49bcep-4, 0x1.c9774fedcfc44p-4, 0x1.c2554f1175ae1p-4, 0x1.bb4a17af7b90ep-4, 0x1.b4557fcddbd03p-4, 0x1.ad775d0dfce34p-4, 0x1.a6af84b1ef9d5p-4, 0x1.9ffdcba194d5bp-4, 0x1.9962066fb1d18p-4, 0x1.92dc095eecee1p-4, 0x1.8c6ba866acbdp-4, 0x1.8610b737e9c1cp-4, 0x1.7fcb0941e246ep-4, 0x1.799a71b6ba253p-4, 0x1.737ec39004068p-4, 0x1.6d77d193339c6p-4, 0x1.67856e55fb14fp-4, 0x1.61a76c428e58fp-4, 0x1.5bdd9d9bd6752p-4, 0x1.5627d481890a4p-4, 0x1.5085e2f42baf5p-4, 0x1.4af79ad905087p-4, 0x1.457ccdfdf4007p-4, 0x1.40154e1d334f7p-4, 0x1.3ac0ece1078a7p-4, 0x1.357f7be759d92p-4, 0x1.3050ccc53abefp-4, 0x1.2b34b10a52c4fp-4, 0x1.262afa443d81p-4, 0x1.21337a01cfd9dp-4, 0x1.1c4e01d64c2d5p-4, 0x1.177a635c7f102p-4, 0x1.12b87039cc65cp-4, 0x1.0e07fa212599bp-4, 0x1.0968d2d5eec7fp-4, 0x1.04dacc2ecd611p-4, 0x1.005db818699cap-4, 0x1.f7e2d1302cd2ap-5, 0x1.ef2b5f9cd90abp-5, 0x1.e694bff39f8d4p-5, 0x1.de1e96f1c7b28p-5, 0x1.d5c88999dc56dp-5, 0x1.cd923d384e9fap-5, 0x1.c57b5767f482ap-5, 0x1.bd837e16636ap-5, 0x1.b5aa57882e58cp-5, 0x1.adef8a5cf7056p-5, 0x1.a652bd936fd43p-5, 0x1.9ed3988d2a188p-5, 0x1.9771c312520a3p-5, 0x1.902ce5554136cp-5, 0x1.8904a7f5fe4cep-5, 0x1.81f8b4058b4b4p-5, 0x1.7b08b3092ca69p-5, 0x1.74344efd7a3fbp-5, 0x1.6d7b3259689d5p-5, 0x1.66dd081125756p-5, 0x1.60597b98e0dd1p-5, 0x1.59f038e7750c2p-5, 0x1.53a0ec78f9b76p-5, 0x1.4d6b435132209p-5, 0x1.474eeafdea419p-5, 0x1.414b9199317dap-5, 0x1.3b60e5cb85d6cp-5, 0x1.358e96cdd8c98p-5, 0x1.2fd4546b888c6p-5, 0x1.2a31cf0439a4cp-5, 0x1.24a6b78d95be3p-5, 0x1.1f32bf94fc152p-5, 0x1.19d5994116157p-5, 0x1.148ef75350e1ep-5, 0x1.0f5e8d294b98ep-5, 0x1.0a440ebe26a34p-5, 0x1.053f30abbef4bp-5, 0x1.004fa82bdc477p-5, 0x1.f6ea56327d3f7p-6, 0x1.ed5edfe14dc36p-6, 0x1.e3fc5ba375a05p-6, 0x1.dac238ffcddd8p-6, 0x1.d1afe8c63ea2dp-6, 0x1.c8c4dd11342dp-6, 0x1.c0008946dd931p-6, 0x1.b762621a566edp-6, 0x1.aee9dd8ca4314p-6, 0x1.a69672ed9b88ep-6, 0x1.9e679adc9dad1p-6, 0x1.965ccf4939827p-6, 0x1.8e758b73b09a7p-6, 0x1.86b14bed557e9p-6, 0x1.7f0f8e98dc9dp-6, 0x1.778fd2aa7b3eap-6, 0x1.703198a800dc9p-6, 0x1.68f46268c09b6p-6, 0x1.61d7b31574716p-6, 0x1.5adb0f27f3f75p-6, 0x1.53fdfc6ae213cp-6, 0x1.4d4001f93a479p-6, 0x1.46a0a83dc33d1p-6, 0x1.401f78f278311p-6, 0x1.39bbff1fc8237p-6, 0x1.3375c71bd39f7p-6, 0x1.2d4c5e8989713p-6, 0x1.273f5457b277bp-6, 0x1.214e38bfe63e3p-6, 0x1.1b789d457b5c5p-6, 0x1.15be14b44c361p-6, 0x1.101e331f7ff3bp-6, 0x1.0a988de03a252p-6, 0x1.052cbb943ae9fp-6, 0x1.ffb4a838d3fa1p-7, 0x1.f541e136bb0eep-7, 0x1.eb0056e786ca3p-7, 0x1.e0ef408d990c4p-7, 0x1.d70dd7e4f2b32p-7, 0x1.cd5b591fd7b31p-7, 0x1.c3d702e32e385p-7, 0x1.ba801642f014cp-7, 0x1.b155d6be681bp-7, 0x1.a8578a3c5d2d9p-7, 0x1.9f8479073a7ddp-7, 0x1.96dbedc90c298p-7, 0x1.8e5d35876f2e1p-7, 0x1.86079f9f70785p-7, 0x1.7dda7dc164eaep-7, 0x1.75d523ec9f9d5p-7, 0x1.6df6e86b15cffp-7, 0x1.663f23cd0880cp-7, 0x1.5ead30e48ad0ap-7, 0x1.57406cc10598bp-7, 0x1.4ff836aaaa1bcp-7, 0x1.48d3f01ddf16ap-7, 0x1.41d2fcc68fd6ap-7, 0x1.3af4c27b8d533p-7, 0x1.3438a939c96cap-7, 0x1.2d9e1b1f99572p-7, 0x1.27248467ee2cfp-7, 0x1.20cb536581416p-7, 0x1.1a91f87df140ep-7, 0x1.1477e624f1c0cp-7, 0x1.0e7c90d759503p-7, 0x1.089f6f163a83ap-7, 0x1.02dff961e94bap-7, 0x1.fa7b546a37341p-8, 0x1.ef6ffbffad97cp-8, 0x1.e49ce6450ee14p-8, 0x1.da0113d1f2cd1p-8, 0x1.cf9b890ab0418p-8, 0x1.c56b4e165761ep-8, 0x1.bb6f6ed4b2f2dp-8, 0x1.b1a6fad437bb1p-8, 0x1.a8110547f78cfp-8, 0x1.9eaca4fda69bep-8, 0x1.9578f453877c5p-8, 0x1.8c75112e6fa0bp-8, 0x1.83a01cefbc139p-8, 0x1.7af93c6b53b43p-8, 0x1.727f97ddb73ddp-8, 0x1.6a325ae201443p-8, 0x1.6210b46802552p-8, 0x1.5a19d6aa46de4p-8, 0x1.524cf7244b838p-8, 0x1.4aa94e889628ep-8, 0x1.432e18b6eb213p-8, 0x1.3bda94b283357p-8, 0x1.34ae04985517fp-8, 0x1.2da7ad9556f6p-8, 0x1.26c6d7dce0b03p-8, 0x1.200ace9f0d827p-8, 0x1.1972dfff1df48p-8, 0x1.12fe5d0a101cep-8, 0x1.0cac99ad06a27p-8, 0x1.067cecabf543cp-8, 0x1.006eaf9841443p-8, 0x1.f5027d8ee0679p-9, 0x1.e967f293bca16p-9, 0x1.de0c81c337819p-9, 0x1.d2eef3f295d68p-9, 0x1.c80e17360466p-9, 0x1.bd68beceb4543p-9, 0x1.b2fdc318d773dp-9, 0x1.a8cc0179f0781p-9, 0x1.9ed25c4f37fa2p-9, 0x1.950fbadc07b04p-9, 0x1.8b8309389354fp-9, 0x1.822b3840a57e7p-9, 0x1.79073d828e911p-9, 0x1.7016132e27f5p-9, 0x1.6756b8041d1b2p-9, 0x1.5ec82f453240ep-9, 0x1.566980a1c40fbp-9, 0x1.4e39b8296cf4ap-9, 0x1.4637e63ad5405p-9, 0x1.3e631f738617bp-9, 0x1.36ba7ca0287acp-9, 0x1.2f3d1aac8ed06p-9, 0x1.27ea1a94458ep-9, 0x1.20c0a152f6457p-9, 0x1.19bfd7d536397p-9, 0x1.12e6eae93c2c7p-9, 0x1.0c350b2ffd351p-9, 0x1.05a96d0e3b7f3p-9, 0x1.fe86913bc459fp-10, 0x1.f203b33ee9d8ap-10, 0x1.e5c8bed74184ap-10, 0x1.d9d439ca308dep-10, 0x1.ce24b0d4b978ap-10, 0x1.c2b8b78ffcfd3p-10, 0x1.b78ee8553dedfp-10, 0x1.aca5e4231bdd3p-10, 0x1.a1fc5282554a4p-10, 0x1.9790e16b40338p-10, 0x1.8d62452b8cf87p-10, 0x1.836f384c2d422p-10, 0x1.79b67b77c9e9dp-10, 0x1.7036d561321d7p-10, 0x1.66ef12aa5aa25p-10, 0x1.5dde05cbbdeacp-10, 0x1.550286fb9ee6ap-10, 0x1.4c5b74160d7bp-10, 0x1.43e7b085083fcp-10, 0x1.3ba62528d568cp-10, 0x1.3395c040dae8fp-10, 0x1.2bb57554961bcp-10, 0x1.24043d1ce35efp-10, 0x1.1c81156dbf45bp-10, 0x1.152b01200e8c4p-10, 0x1.0e0107fbee484p-10, 0x1.070236a32ca12p-10, 0x1.002d9e7bfb4a4p-10, 0x1.f304ab383ed57p-11, 0x1.e5feed6880825p-11, 0x1.d94841f71438dp-11, 0x1.ccdef03724229p-11, 0x1.c0c148391d9d1p-11, 0x1.b4eda2a3b8a05p-11, 0x1.a962608d493b1p-11, 0x1.9e1deb55dc2bdp-11, 0x1.931eb481ca253p-11, 0x1.88633594e0d0ep-11, 0x1.7de9efede8d2ep-11, 0x1.73b16ca2e4ab9p-11, 0x1.69b83c5dab79ap-11, 0x1.5ffcf73941c96p-11, 0x1.567e3c9f6dd6ap-11, 0x1.4d3ab32708819p-11, 0x1.4431087286c99p-11, 0x1.3b5ff10f89297p-11, 0x1.32c628564f088p-11, 0x1.2a627049f3b42p-11, 0x1.2233917934efap-11, 0x1.1a385adf7e31ap-11, 0x1.126fa1c6c920fp-11, 0x1.0ad841a97a766p-11, 0x1.03711c150dcfep-11, 0x1.f872311a41875p-12, 0x1.ea5e48de0ff9p-12, 0x1.dca465ab1ce38p-12, 0x1.cf4278faf1f57p-12, 0x1.c2367f54b8998p-12, 0x1.b57e80178151cp-12, 0x1.a9188d45eedc2p-12, 0x1.9d02c35264d83p-12, 0x1.913b48ebebeb6p-12, 0x1.85c04ecc3eaf5p-12, 0x1.7a900f8667a38p-12, 0x1.6fa8cf564b1cdp-12, 0x1.6508dbf13e11bp-12, 0x1.5aae8c56c2481p-12, 0x1.509840a2be9dcp-12, 0x1.46c461dfcaae9p-12, 0x1.3d3161db2737fp-12, 0x1.33ddbaf84ca7bp-12, 0x1.2ac7f0068822dp-12, 0x1.21ee8c1603ee1p-12, 0x1.1950224e7d07dp-12, 0x1.10eb4dc6678bep-12, 0x1.08beb15a92fe5p-12, 0x1.00c8f786a568ap-12, 0x1.f211a47cfbe58p-13, 0x1.e2f9f58fa2448p-13, 0x1.d4486329aa3a1p-13, 0x1.c5fa7c3eeaf76p-13, 0x1.b80ddd8a0983dp-13, 0x1.aa803145badd6p-13, 0x1.9d4f2ee68e1aap-13, 0x1.90789ad6b0c19p-13, 0x1.83fa46329c67ap-13, 0x1.77d20e86bb1d8p-13, 0x1.6bfddd8eb6cc7p-13, 0x1.607ba8f58ebbcp-13, 0x1.55497216f0724p-13, 0x1.4a6545c1d874p-13, 0x1.3fcd3bfc29ccep-13, 0x1.357f77c7623bp-13, 0x1.2b7a26e6dc78p-13, 0x1.21bb81a5db902p-13, 0x1.1841caa09dbf3p-13, 0x1.0f0b4e8c76b34p-13, 0x1.06166402437e7p-13, 0x1.fac2d6925f325p-14, 0x1.e9d59c4603681p-14, 0x1.d961ff32cb497p-14, 0x1.c964f7961d60ep-14, 0x1.b9db8f76d1534p-14, 0x1.aac2e243ab854p-14, 0x1.9c181c764046ap-14, 0x1.8dd87b34ed853p-14, 0x1.80014bf8e8fa6p-14, 0x1.728fec3437772p-14, 0x1.6581c8fb4bacfp-14, 0x1.58d45eaea2cddp-14, 0x1.4c8538a6ebd9ap-14, 0x1.4091f0e1f2611p-14, 0x1.34f82fb2f40f5p-14, 0x1.29b5ab71f2ccp-14, 0x1.1ec8282f2033cp-14, 0x1.142d7766529c6p-14, 0x1.09e377b429e85p-14, 0x1.ffd0291a15c4p-15, 0x1.ec728bea8cb56p-15, 0x1.d9aa2075b4398p-15, 0x1.c773076064c87p-15, 0x1.b5c978d28e5ecp-15, 0x1.a4a9c3f05ec71p-15, 0x1.94104e5c019bep-15, 0x1.83f993b2fa06ep-15, 0x1.74622514c0ff3p-15, 0x1.6546a8a59a5b3p-15, 0x1.56a3d919e32dp-15, 0x1.4876853f17608p-15, 0x1.3abb8f8913175p-15, 0x1.2d6feda26a7e9p-15, 0x1.2090a7fe54cd7p-15, 0x1.141ad96c62462p-15, 0x1.080baeafa999cp-15, 0x1.f8c0cc2bfd55dp-16, 0x1.e22c9e28bb50bp-16, 0x1.cc5593c348bc4p-16, 0x1.b7368e2f6fc32p-16, 0x1.a2ca8ea4bd381p-16, 0x1.8f0cb5a6eec8ep-16, 0x1.7bf8424f40921p-16, 0x1.698891999ff9cp-16, 0x1.57b91db588bb2p-16, 0x1.46857d5c4a2b7p-16, 0x1.35e9632740f84p-16, 0x1.25e09ceed4c49p-16, 0x1.1667132726e74p-16, 0x1.0778c845bd3cep-16, 0x1.f223b04c13bb5p-17, 0x1.d65ceee85525bp-17, 0x1.bb95e634bafd7p-17, 0x1.a1c75f5dc2438p-17, 0x1.88ea51d2e19f9p-17, 0x1.70f7e22edb829p-17, 0x1.59e9612c6fef5p-17, 0x1.43b84aa056ee1p-17, 0x1.2e5e4470b8889p-17, 0x1.19d51da0a8a52p-17, 0x1.0616cd54e384dp-17, 0x1.e63ae3c616e31p-18, 0x1.c1c69fc9a1c7p-18, 0x1.9ec5a2a3eed4ep-18, 0x1.7d2d093bd6403p-18, 0x1.5cf237b1a1797p-18, 0x1.3e0ad7b6e59cp-18, 0x1.206cd6df4e14p-18, 0x1.040e650a64406p-18, 0x1.d1cbe599e3d39p-19, 0x1.9dd45fc9d9f83p-19, 0x1.6c24136b3e27bp-19, 0x1.3ca953a93094dp-19, 0x1.0f52e91b83c65p-19, 0x1.c8201e199f8a2p-20, 0x1.75a0e14668afdp-20, 0x1.27084c7c35a96p-20, 0x1.b86ecb44f33dp-21, 0x1.2a200531ddc74p-21, 0x1.45d310c819acep-22, 0x1.14911566fa03ap-24, -0x1.5c776ed981454p-23, -0x1.94b952d97ef3ap-22, -0x1.375f0d4525f65p-21, -0x1.9e58670acb787p-21, -0x1.ff7ab857c12c1p-21, -0x1.2d7b569e2947dp-20, -0x1.587dd22f11de6p-20, -0x1.80dbdbbd4b75fp-20, -0x1.a6abe184cf663p-20, -0x1.ca03b7239433fp-20, -0x1.eaf89968a09aep-20, -0x1.04cf98f6e84d9p-19, -0x1.1305cd7265e55p-19, -0x1.2028b13f69efdp-19, -0x1.2c41c73fa4328p-19, -0x1.375a4fc40f847p-19, -0x1.417b4a3b90b3cp-19, -0x1.4aad76d0aded4p-19, -0x1.52f957f6de9fep-19, -0x1.5a6733f89062p-19, -0x1.60ff167bbfedbp-19, -0x1.66c8d1f61a74bp-19, -0x1.6bcc011835525p-19, -0x1.7010083e41ffep-19, -0x1.739c16bdc21afp-19, -0x1.7677284c46d13p-19, -0x1.78a8064113126p-19, -0x1.7a3548e064784p-19, -0x1.7b2558945baf4p-19, -0x1.7b7e6f2c843ebp-19, -0x1.7b4698fe18bbap-19, -0x1.7a83b6194b17cp-19, -0x1.793b7b62526d3p-19, -0x1.777373aa0b431p-19, -0x1.753100c5eeeb3p-19, -0x1.72795c972361cp-19, -0x1.6f519a13bdcd9p-19, -0x1.6bbea642aa965p-19, -0x1.67c54935e649fp-19, -0x1.636a2702385d7p-19, -0x1.5eb1c0a723c91p-19, -0x1.59a074f6dbad9p-19, -0x1.543a81762cdb8p-19, -0x1.4e840342459bdp-19, -0x1.4880f7daea224p-19, -0x1.42353dfc242a9p-19, -0x1.3ba4966b65643p-19, -0x1.34d2a4b8b0402p-19, -0x1.2dc2f0095d141p-19, -0x1.2678e3cf6ced3p-19, -0x1.1ef7d084da733p-19, -0x1.1742ec63cf47bp-19, -0x1.0f5d541218527p-19, -0x1.074a0b4fa7286p-19, -0x1.fe17fb37bb726p-20, -0x1.ed4bfdb9de6d7p-20, -0x1.dc3597f60ec34p-20, -0x1.cada16fdcfb5bp-20, -0x1.b93e9c4fded39p-20, -0x1.a7681f056d208p-20, -0x1.955b6cecfced7p-20, -0x1.831d2ba5f13e7p-20, -0x1.70b1d9afdaef7p-20, -0x1.5e1dcf782a416p-20, -0x1.4b6540615c209p-20, -0x1.388c3bbfd4ebbp-20, -0x1.2596adcf766a1p-20, -0x1.128860a3d652fp-20, -0x1.fec9fa36b450ap-21, -0x1.d8601780fe762p-21, -0x1.b1d9eb4c678c4p-21, -0x1.8b3e0a9704aebp-21, -0x1.6492cec58622ep-21, -0x1.3dde5764f0b35p-21, -0x1.17268b9c774a6p-21, -0x1.e0e237a342987p-22, -0x1.9387062c77d6ap-22, -0x1.464611547ddb3p-22, -0x1.f25305a1ef811p-23, -0x1.5876448523abbp-23, -0x1.7e11600b94eaep-24, -0x1.30e2fb78528ccp-26, 0x1.c8f5283c457b9p-25, 0x1.09f39899c1ee5p-23, 0x1.a0f682a9b817ep-23, 0x1.1b9b5216e59bcp-22, 0x1.66529d02cc987p-22, 0x1.b09a0eb5ccedbp-22, 0x1.fa6adfd4ba159p-22, 0x1.21df496b7ab5p-21, 0x1.464778f6ef89bp-21, 0x1.6a6b067deef54p-21, 0x1.8e471bd962689p-21, 0x1.b1d903bb4999ap-21, 0x1.d51e28cdee706p-21, 0x1.f81414c14873bp-21, 0x1.0d5c37b44f2b9p-20, 0x1.1e847eede95a1p-20, 0x1.2f81d0cddb6abp-20, 0x1.40532be11abb4p-20, 0x1.50f79c17eb38bp-20, 0x1.616e3a60a64e8p-20, 0x1.71b62c4984fp-20, 0x1.81cea39e9c906p-20, 0x1.91b6de0a16cdp-20, 0x1.a16e24be676dp-20, 0x1.b0f3cc1e2e515p-20, 0x1.c047336166cb6p-20, 0x1.cf67c4478f5d2p-20, 0x1.de54f2c232bbep-20, 0x1.ed0e3ca9ef207p-20, 0x1.fb93296874f02p-20, 0x1.04f1a4dc61429p-19, 0x1.0bff1baa54369p-19, 0x1.12f1ca5958911p-19, 0x1.19c9865f58b36p-19, 0x1.2086294b0bee7p-19, 0x1.272790a2b556fp-19, 0x1.2dad9dc417949p-19, 0x1.341835c56dd4ap-19, 0x1.3a674157a53fcp-19, 0x1.409aaca85b0f3p-19, 0x1.46b267441ea84p-19, 0x1.4cae63fbc850bp-19, 0x1.528e98c7419a7p-19, 0x1.5852feacda434p-19, 0x1.5dfb91a66cc21p-19, 0x1.63885087cdb7ep-19, 0x1.68f93ce6dd4fap-19, 0x1.6e4e5b03980b2p-19, 0x1.7387b1b08c707p-19, 0x1.78a54a3b3197p-19, 0x1.7da730573205cp-19, 0x1.828d720993fa3p-19, 0x1.87581f91ecbe9p-19, 0x1.8c074b56d622bp-19, 0x1.909b09d2961c8p-19, 0x1.9513717f4a778p-19, 0x1.99709ac4e3fe6p-19, 0x1.9db29fe62e5f8p-19, 0x1.a1d99cef7a952p-19, 0x1.a5e5afa3c7125p-19, 0x1.a9d6f76e166cep-19, 0x1.adad954f9d416p-19, 0x1.b169abd0abe97p-19, 0x1.b50b5ef139a8p-19, 0x1.b892d41966096p-19, 0x1.bc00320a17a8cp-19, 0x1.bf53a0d0e404bp-19, 0x1.c28d49b808d35p-19, 0x1.c5ad5739a779dp-19, 0x1.c8b3f4f26eac3p-19, 0x1.cba14f9527c03p-19, 0x1.ce7594df5d50dp-19, 0x1.d130f38b249f6p-19, 0x1.d3d39b4432e51p-19, 0x1.d65dbc9c64418p-19, 0x1.d8cf8900ef064p-19, 0x1.db2932af7e387p-19, 0x1.dd6aecab92665p-19, 0x1.df94eab47e21fp-19, 0x1.e1a7613b27af4p-19, 0x1.e3a28558b020bp-19, 0x1.e5868cc4fa2b6p-19, 0x1.e753adcd7d139p-19, 0x1.e90a1f4c758efp-19, 0x1.eaaa18a009659p-19, 0x1.ec33d1a2935eep-19, 0x1.eda782a1c4947p-19, 0x1.ef056456d1d19p-19, 0x1.f04dafdee0f06p-19, 0x1.f1809eb40b843p-19, 0x1.f29e6aa56ffa8p-19, 0x1.f3a74dd0aa71fp-19, 0x1.f49b829b8a18fp-19, 0x1.f57b43ac2dd5fp-19, 0x1.f646cbe2e97e9p-19, 0x1.f6fe5654328cdp-19, 0x1.f7a21e434b105p-19, 0x1.f8325f1b7fb8cp-19, 0x1.f8af546b237aep-19, 0x1.f91939dce81ffp-19, 0x1.f9704b3337e0ep-19, 0x1.f9b4c442fc97p-19, 0x1.f9e6e0ee70248p-19, 0x1.fa06dd206713ep-19, 0x1.fa14f4c76f66ep-19, 0x1.fa1163d17ca16p-19, 0x1.f9fc6627236b6p-19, 0x1.f9d637a6e39c7p-19, 0x1.f99f14220a69p-19, 0x1.f9573757b210ep-19, 0x1.f8fedcf1c736ep-19, 0x1.f89640801b018p-19, 0x1.f81d9d7564fcdp-19, 0x1.f7952f23695b8p-19, 0x1.f6fd30b7cafffp-19, 0x1.f655dd38895c7p-19, 0x1.f59f6f80a0559p-19, 0x1.f4da223d681afp-19, 0x1.f4062feb39131p-19, 0x1.f323d2d29fe46p-19, 0x1.f2334505c1eaap-19, 0x1.f134c05d19589p-19, 0x1.f0287e751f6dfp-19, 0x1.ef0eb8ac7a1cp-19, 0x1.ede7a820bdebp-19, 0x1.ecb385aba048ep-19, 0x1.eb7289e1c978p-19, 0x1.ea24ed109cbf8p-19, 0x1.e8cae73bb1a0ap-19, 0x1.e764b01a3973dp-19, 0x1.e5f27f15b10f5p-19, 0x1.e4748b484f902p-19, 0x1.e2eb0b7b4cc81p-19, 0x1.e15636246970fp-19, 0x1.dfb64164c3fd6p-19, 0x1.de0b6307b60fep-19, 0x1.dc55d08021e1p-19, 0x1.da95bee7a9102p-19, 0x1.d8cb62fdf149fp-19, 0x1.d6f6f126b486cp-19, 0x1.d5189d67c3734p-19, 0x1.d3309b68c8e92p-19, 0x1.d13f1e72b004dp-19, 0x1.cf44596d1ba1p-19, 0x1.cd407edd9f755p-19, 0x1.cb33c0e7ccc52p-19, 0x1.c91e514b64a0ep-19, 0x1.c7006163a0955p-19, 0x1.c4da2226c5b84p-19, 0x1.c2abc424d246bp-19, 0x1.c0757786d429cp-19, 0x1.be376c0e8f097p-19, 0x1.bbf1d1154d14bp-19, 0x1.b9a4d58be7136p-19, 0x1.b750a7fa33b53p-19, 0x1.b4f5767d85572p-19, 0x1.b2936ec92b243p-19, 0x1.b02abe25c01bdp-19, 0x1.adbb9170639dep-19, 0x1.ab46151a9921ep-19, 0x1.a8ca752a98585p-19, 0x1.a648dd3a0528ap-19, 0x1.a3c17875c7577p-19, 0x1.a134719e6ed3fp-19, 0x1.9ea1f307993abp-19, 0x1.9c0a2697c571cp-19, 0x1.996d35c805433p-19, 0x1.96cb49a4b822cp-19, 0x1.94248acc41719p-19, 0x1.9179216f95264p-19, 0x1.8ec935520357bp-19, 0x1.8c14edca26e4bp-19, 0x1.895c71c083815p-19, 0x1.869fe7b0553ep-19, 0x1.83df75a742b49p-19, 0x1.811b41460d6e2p-19, 0x1.7e536fc0555bcp-19, 0x1.7b8825dcba45dp-19, 0x1.78b987f4b2dep-19, 0x1.75e7b9f56d91ap-19, 0x1.7312df5f9dceap-19, 0x1.703b1b47c4129p-19, 0x1.6d6090564abd5p-19, 0x1.6a8360c7f834ap-19, 0x1.67a3ae6e70986p-19, 0x1.64c19aafe9171p-19, 0x1.61dd468802688p-19, 0x1.5ef6d287cb1cp-19, 0x1.5c0e5ed61e22bp-19, 0x1.59240b304b22cp-19, 0x1.5637f6ea89c2ap-19, 0x1.534a40efc2e51p-19, 0x1.505b07c2863c2p-19, 0x1.4d6a697d05188p-19, 0x1.4a7883d201a51p-19, 0x1.4785740cf17d2p-19, 0x1.449157128b7bdp-19, 0x1.419c496114facp-19, 0x1.3ea66711445ebp-19, 0x1.3bafcbd6786ecp-19, 0x1.38b892ff0626cp-19, 0x1.35c0d7751ab03p-19, 0x1.32c8b3bf6cef2p-19, 0x1.2fd0420117766p-19, 0x1.2cd79bfab4258p-19, 0x1.29dedb0ac232p-19, 0x1.26e6182e543ep-19, }}, 
      {{0x1.51a01524365b2p-7, 0x1.525cec1de65d1p-6, 0x1.fd3dda03a33a4p-6, 0x1.54e5ac820b4e4p-5, 0x1.ac0ac549ba6e2p-5, 0x1.01f9ae4eed076p-4, 0x1.2e3377f8d2a0ap-4, 0x1.5a8b53ad8e348p-4, 0x1.86d29b9efdc82p-4, 0x1.b2d727f16a3f4p-4, 0x1.de66850fbce84p-4, 0x1.04a844f913d19p-3, 0x1.19b4a5571e73cp-3, 0x1.2e453966ae9cfp-3, 0x1.424a0d1388ca8p-3, 0x1.55b694c3b4c8ep-3, 0x1.6881b230a9361p-3, 0x1.7aa595bc1ae37p-3, 0x1.8c1f853dc0e57p-3, 0x1.9cef902f4c473p-3, 0x1.ad1837fb5c84fp-3, 0x1.bc9e1218ec608p-3, 0x1.cb87688ec72e7p-3, 0x1.d9dbdc7fe82f2p-3, 0x1.e7a40d7ebc225p-3, 0x1.f4e9479cd1a72p-3, 0x1.00da9cbffe235p-2, 0x1.0708d99ad803ep-2, 0x1.0d0437041d355p-2, 0x1.12d16e9ed49cfp-2, 0x1.187503b198184p-2, 0x1.1df333cb62dafp-2, 0x1.234feb103707dp-2, 0x1.288ebbcd3431ap-2, 0x1.2db2d8f00f3a3p-2, 0x1.32bf12fe74305p-2, 0x1.37b5d72da6561p-2, 0x1.3c9930409308dp-2, 0x1.416ac8d9df9bap-2, 0x1.462beef796824p-2, 0x1.4add98566b792p-2, 0x1.4f806782ddaaap-2, 0x1.5414b1666f997p-2, 0x1.589a83268dff1p-2, 0x1.5d11a83197db9p-2, 0x1.6179b05c90a0ap-2, 0x1.65d1f5f969ec8p-2, 0x1.6a19a3d2a5b36p-2, 0x1.6e4fbafd15171p-2, 0x1.727318740937bp-2, 0x1.76827a773c373p-2, 0x1.7a7c85a437b62p-2, 0x1.7e5fc9c705e6p-2, 0x1.822ac65fb5a33p-2, 0x1.85dbeedb89993p-2, 0x1.8971ae81d03d9p-2, 0x1.8cea6c153438ep-2, 0x1.90448d2b0d8b8p-2, 0x1.937e793ab58ffp-2, 0x1.96969c6746056p-2, 0x1.998b6a06736dfp-2, 0x1.9c5b5ee7652ebp-2, 0x1.9f05035c88b4ep-2, 0x1.a186ed0b718dap-2, 0x1.a3dfc085e0babp-2, 0x1.a60e32af03dfdp-2, 0x1.a81109effd56dp-2, 0x1.a9e71f3eacb49p-2, 0x1.ab8f5ef9ad875p-2, 0x1.ad08c99c55ac7p-2, 0x1.ae52744d8332p-2, 0x1.af6b894bd16f6p-2, 0x1.b0534839d012ep-2, 0x1.b109064cae6d3p-2, 0x1.b18c2e5fad267p-2, 0x1.b1dc40eea111ap-2, 0x1.b1f8d3f9abfcfp-2, 0x1.b1e192d42bdffp-2, 0x1.b1963de0e75eap-2, 0x1.b116aa3d3b4fep-2, 0x1.b062c15d1b07ap-2, 0x1.af7a809981b17p-2, 0x1.ae5df8b2e877ep-2, 0x1.ad0d4d493d06ap-2, 0x1.ab88b44ab3691p-2, 0x1.a9d0755ace45ap-2, 0x1.a7e4e932c260ap-2, 0x1.a5c678fc6a22bp-2, 0x1.a3759da8cbcp-2, 0x1.a0f2df4332d69p-2, 0x1.9e3ed441c77f1p-2, 0x1.9b5a20d475ebp-2, 0x1.98457632edcb2p-2, 0x1.950191ea769bfp-2, 0x1.918f3d2c30946p-2, 0x1.8def4c1c6722dp-2, 0x1.8a229d237565ep-2, 0x1.862a1840b987ep-2, 0x1.8206ae600a379p-2, 0x1.7db958b208d7dp-2, 0x1.79431807ae141p-2, 0x1.74a4f43159db1p-2, 0x1.6fdffb61a8b8cp-2, 0x1.6af541944c21ep-2, 0x1.65e5dff90cd57p-2, 0x1.60b2f46329782p-2, 0x1.5b5da0bd2c3c4p-2, 0x1.55e70a814d24cp-2, 0x1.50505a367f3bp-2, 0x1.4a9abaf22927ep-2, 0x1.44c759de9976cp-2, 0x1.3ed765c635a05p-2, 0x1.38cc0ea360592p-2, 0x1.32a6853514f0ep-2, 0x1.2c67fa982e14ep-2, 0x1.26119fe5434a8p-2, 0x1.1fa4a5d3192ccp-2, 0x1.19223c5d8a08p-2, 0x1.128b9270d37bdp-2, 0x1.0be1d59934052p-2, 0x1.052631b6bd9d7p-2, 0x1.fcb3a16a950b7p-3, 0x1.eefbb490db112p-3, 0x1.e126e756991a7p-3, 0x1.d3377ec88d637p-3, 0x1.c52fba1882d73p-3, 0x1.b711d23312a92p-3, 0x1.a8dff95c46e98p-3, 0x1.9a9c5ad2df9fdp-3, 0x1.8c491a7a04c42p-3, 0x1.7de854892946cp-3, 0x1.6f7c1d41dd2d7p-3, 0x1.610680ab6028p-3, 0x1.52898253ab9acp-3, 0x1.44071d15c9e49p-3, 0x1.358142e539cbbp-3, 0x1.26f9dc9e2beb9p-3, 0x1.1872c9da639c3p-3, 0x1.09ede0ca876cap-3, 0x1.f6d9dc2757128p-4, 0x1.d9e36961deb19p-4, 0x1.bcfbdbb1dc369p-4, 0x1.a02691cdcb068p-4, 0x1.8366d68eb01c5p-4, 0x1.66bfe0d00ef96p-4, 0x1.4a34d3563abe6p-4, 0x1.2dc8bcbaa8d26p-4, 0x1.117e975e05c3ep-4, 0x1.eab292bf6c5f9p-5, 0x1.b2b7493509669p-5, 0x1.7b10cd4c64fe1p-5, 0x1.43c471bb539b6p-5, 0x1.0cd760d334994p-5, 0x1.ac9d393cd2175p-6, 0x1.405dfe0b66de1p-6, 0x1.a9f4e7f407935p-7, 0x1.a9eebdb9b06ccp-8, 0x1.d4eb823c474cap-15, -0x1.9ec3090573d61p-8, -0x1.9e9b9f96c8c46p-7, -0x1.35e4d7761951ap-6, -0x1.9b6e4a9ed4594p-6, -0x1.ffe2e6bacd40ep-6, -0x1.319dda50cac43p-5, -0x1.62b903e7747ccp-5, -0x1.933fbece3d22cp-5, -0x1.c32efe3a0db1bp-5, -0x1.f283d97d75fbep-5, -0x1.109dc5cd7617cp-4, -0x1.27a9b969ff74ep-4, -0x1.3e64881ad69b6p-4, -0x1.54cd039107b52p-4, -0x1.6ae20e6bcae46p-4, -0x1.80a29bfaf9ef3p-4, -0x1.960db0007c735p-4, -0x1.ab225e70c2361p-4, -0x1.bfdfcb3252f2cp-4, -0x1.d44529dc96508p-4, -0x1.e851bd75e1b7ep-4, -0x1.fc04d830d74afp-4, -0x1.07aeed949a209p-3, -0x1.112e1b100a24dp-3, -0x1.1a7fb39be30cp-3, -0x1.23a37d5795ebp-3, -0x1.2c99454e65542p-3, -0x1.3560df54cbacbp-3, -0x1.3dfa25e5b9edbp-3, -0x1.4664f9ffc851p-3, -0x1.4ea143024d7d5p-3, -0x1.56aeee8a714b1p-3, -0x1.5e8df05030966p-3, -0x1.663e42036b9e3p-3, -0x1.6dbfe328f0df8p-3, -0x1.7512d8f796e41p-3, -0x1.7c372e3565059p-3, -0x1.832cf314cdc7fp-3, -0x1.89f43d12055ap-3, -0x1.908d26d07278fp-3, -0x1.96f7cff84446p-3, -0x1.9d345d1427c5dp-3, -0x1.a342f76f3064ep-3, -0x1.a923ccf2e64e7p-3, -0x1.aed7100586e7p-3, -0x1.b45cf76881163p-3, -0x1.b9b5be1720305p-3, -0x1.bee1a32578d79p-3, -0x1.c3e0e99f9613fp-3, -0x1.c8b3d868e1597p-3, -0x1.cd5aba1bd8d85p-3, -0x1.d1d5dcea04404p-3, -0x1.d625927c3ed67p-3, -0x1.da4a2fd34383ep-3, -0x1.de440d2890da2p-3, -0x1.e21385cf9d22cp-3, -0x1.e5b8f8175d1e6p-3, -0x1.e934c52c247bap-3, -0x1.ec8750f9dd631p-3, -0x1.efb1020e9e217p-3, -0x1.f2b2417d94245p-3, -0x1.f58b7ac255e0ap-3, -0x1.f83d1ba492d7dp-3, -0x1.fac7941c229c3p-3, -0x1.fd2b56357c819p-3, -0x1.ff68d5f68e4dcp-3, -0x1.00c044a1fffd7p-2, -0x1.01b973e36cff4p-2, -0x1.02a035694cc19p-2, -0x1.0374c6a5d2b29p-2, -0x1.043765c71e487p-2, -0x1.04e851aae14p-2, -0x1.0587c9d2405ap-2, -0x1.06160e55e94f2p-2, -0x1.06935fda609fap-2, -0x1.06ffff8487adfp-2, -0x1.075c2eee564fp-2, -0x1.07a8301bd3ae8p-2, -0x1.07e445703e438p-2, -0x1.0810b1a3754bbp-2, -0x1.082db7b793196p-2, -0x1.083b9aeec411bp-2, -0x1.083a9ec155f78p-2, -0x1.082b06d3fd4dap-2, -0x1.080d16ee561a2p-2, -0x1.07e112f199df7p-2, -0x1.07a73ecf93298p-2, -0x1.075fde81c17afp-2, -0x1.070b3600bd70ap-2, -0x1.06a9893bd05a3p-2, -0x1.063b1c10c3adbp-2, -0x1.05c03243e855fp-2, -0x1.05390f78579e6p-2, -0x1.04a5f7286723p-2, -0x1.04072c9e542b2p-2, -0x1.035cf2ed2911ap-2, -0x1.02a78ce9d29dap-2, -0x1.01e73d24704a8p-2, -0x1.011c45e1d5d14p-2, -0x1.0046e915433bep-2, -0x1.feced0b4a0daap-3, -0x1.fcfc09de1bc19p-3, -0x1.fb15ff5caab32p-3, -0x1.f91d3214a0755p-3, -0x1.f712220e5f224p-3, -0x1.f4f54e6c29e02p-3, -0x1.f2c73560575a8p-3, -0x1.f0885423ea44dp-3, -0x1.ee3926ed84764p-3, -0x1.ebda28e8bba8ap-3, -0x1.e96bd42dc8d0fp-3, -0x1.e6eea1b9991a9p-3, -0x1.e463096630b0dp-3, -0x1.e1c981e370edp-3, -0x1.df2280b02b0bep-3, -0x1.dc6e7a1397294p-3, -0x1.d9ade117143d7p-3, -0x1.d6e12780471abp-3, -0x1.d408bdcb7ee6fp-3, -0x1.d125132679773p-3, -0x1.ce36956b6b64fp-3, -0x1.cb3db11c5f38fp-3, -0x1.c83ad15ed8506p-3, -0x1.c52e5ff7cbf64p-3, -0x1.c218c547dab26p-3, -0x1.befa6847d8c2cp-3, -0x1.bbd3ae8596cb3p-3, -0x1.b8a4fc20fa903p-3, -0x1.b56eb3c94ffd9p-3, -0x1.b23136bae6b31p-3, -0x1.aeece4bce6fc5p-3, -0x1.aba21c1f718c5p-3, -0x1.a85139b9f3ffep-3, -0x1.a4fa98e9bd968p-3, -0x1.a19e9390cfbb3p-3, -0x1.9e3d8214e97c5p-3, -0x1.9ad7bb5ec6083p-3, -0x1.976d94d996f9ap-3, -0x1.93ff6272b36b6p-3, -0x1.908d7699792efp-3, -0x1.8d18223f61e88p-3, -0x1.899fb4d8496ep-3, -0x1.86247c5ae2c36p-3, -0x1.82a6c54159f42p-3, -0x1.7f26da8a29d1fp-3, -0x1.7ba505b914015p-3, -0x1.78218ed848863p-3, -0x1.749cbc79b4e58p-3, -0x1.7116d3b87d7f4p-3, -0x1.6d90183a96937p-3, -0x1.6a08cc3288606p-3, -0x1.66813061558f3p-3, -0x1.62f98418814b2p-3, -0x1.5f72053c39688p-3, -0x1.5beaf0459e74ap-3, -0x1.586480452a8e5p-3, -0x1.54deeee538ca8p-3, -0x1.515a746ca1b4fp-3, -0x1.4dd747c17a1f3p-3, -0x1.4a559e6bea903p-3, -0x1.46d5ac99184bfp-3, -0x1.4357a51e2fc79p-3, -0x1.3fdbb97b8196ap-3, -0x1.3c6219dfb00e6p-3, -0x1.38eaf52afbb2bp-3, -0x1.357678f2978d7p-3, -0x1.3204d18417e94p-3, -0x1.2e9629e8f0005p-3, -0x1.2b2aabe9ff80bp-3, -0x1.27c280132b7f9p-3, -0x1.245dcdb710eefp-3, -0x1.20fcbaf2b7134p-3, -0x1.1d9f6cb157f6dp-3, -0x1.1a4606b02fe5fp-3, -0x1.16f0ab825afedp-3, -0x1.139f7c94b9ca4p-3, -0x1.10529a31df81bp-3, -0x1.0d0a23860ae31p-3, -0x1.09c636a3236afp-3, -0x1.0686f084bf5a3p-3, -0x1.034c6d142fe42p-3, -0x1.0016c72c90e0fp-3, -0x1.f9cc313dbb8fep-4, -0x1.f374f46c17e05p-4, -0x1.ed2807764b64fp-4, -0x1.e6e597f2d5a59p-4, -0x1.e0add184dc8b8p-4, -0x1.da80dde4743cfp-4, -0x1.d45ee4e6e6f8fp-4, -0x1.ce480c86f265p-4, -0x1.c83c78ed14afdp-4, -0x1.c23c4c77c65a4p-4, -0x1.bc47a7c3c050ap-4, -0x1.b65ea9b433f18p-4, -0x1.b0816f7afc0a3p-4, -0x1.aab014a0d6a05p-4, -0x1.a4eab30d82948p-4, -0x1.9f31630fe6114p-4, -0x1.99843b6626ba4p-4, -0x1.93e35145b17eep-4, -0x1.8e4eb86343a7ep-4, -0x1.88c682fadfaa9p-4, -0x1.834ac1d7bb4bep-4, -0x1.7ddb845c1d677p-4, -0x1.7878d889301aap-4, -0x1.7322cb06c4aecp-4, -0x1.6dd9672b08bd2p-4, -0x1.689cb7022df43p-4, -0x1.636cc355fc0bbp-4, -0x1.5e4993b55a47ap-4, -0x1.59332e7bc1958p-4, -0x1.542998d8a1a46p-4, -0x1.4f2cd6d6b10ep-4, -0x1.4a3ceb632dd7dp-4, -0x1.4559d855079c3p-4, -0x1.40839e73fb469p-4, -0x1.3bba3d7f97106p-4, -0x1.36fdb4362d99bp-4, -0x1.324e005bb2aabp-4, -0x1.2dab1ec084416p-4, -0x1.29150b4822345p-4, -0x1.248bc0efc9dc8p-4, -0x1.200f39d50271cp-4, -0x1.1b9f6f3c10f2ap-4, -0x1.173c599657d0fp-4, -0x1.12e5f088a0a1cp-4, -0x1.0e9c2af14ec07p-4, -0x1.0a5efeee7bf53p-4, -0x1.062e61e3fe965p-4, -0x1.020a48815d044p-4, -0x1.fbe54d8f46d4p-5, -0x1.f3cee01e518ebp-5, -0x1.ebd12e1a781cap-5, -0x1.e3ec1bb370309p-5, -0x1.dc1f8be907741p-5, -0x1.d46b6095f4e46p-5, -0x1.cccf7a7a7892fp-5, -0x1.c54bb946d2ef5p-5, -0x1.bddffba58bddcp-5, -0x1.b68c1f458c107p-5, -0x1.af5000e40b19p-5, -0x1.a82b7c564c935p-5, -0x1.a11e6c9335331p-5, -0x1.9a28abbcaab0ep-5, -0x1.934a1328d13c4p-5, -0x1.8c827b6b1372fp-5, -0x1.85d1bc5d01e15p-5, -0x1.7f37ad27057a2p-5, -0x1.78b42448e5b91p-5, -0x1.7246f7a223d87p-5, -0x1.6beffc7a2b1ap-5, -0x1.65af07884db17p-5, -0x1.5f83ecfba8b3dp-5, -0x1.596e8082c90bcp-5, -0x1.536e955332dfep-5, -0x1.4d83fe30bca45p-5, -0x1.47ae8d74bc144p-5, -0x1.41ee151511bf6p-5, -0x1.3c4266ab01ecp-5, -0x1.36ab5379ee83ep-5, -0x1.3128ac75e39d1p-5, -0x1.2bba4249fb329p-5, -0x1.265fe55e9f163p-5, -0x1.211965df9e8d3p-5, -0x1.1be693c21e475p-5, -0x1.16c73eca68ab7p-5, -0x1.11bb36918f584p-5, -0x1.0cc24a8aeca1p-5, -0x1.07dc4a097f63fp-5, -0x1.0309044524cp-5, -0x1.fc9090bf584a4p-6, -0x1.f333cad388abfp-6, -0x1.e9fb54cfa0fa4p-6, -0x1.e0e6ccad1968cp-6, -0x1.d7f5d05f3976cp-6, -0x1.cf27fddbe7f4fp-6, -0x1.c67cf32434ac7p-6, -0x1.bdf44e4cb394fp-6, -0x1.b58dad857eab9p-6, -0x1.ad48af220e464p-6, -0x1.a524f1a0c6cf4p-6, -0x1.9d2213b2580f4p-6, -0x1.953fb440c7524p-6, -0x1.8d7d72765d668p-6, -0x1.85daedc44462fp-6, -0x1.7e57c5e8f5942p-6, -0x1.76f39af66b98dp-6, -0x1.6fae0d58233c4p-6, -0x1.6886bdd8de641p-6, -0x1.617d4da83d79cp-6, -0x1.5a915e6018ca6p-6, -0x1.53c29209a73cfp-6, -0x1.4d108b22882dep-6, -0x1.467aeca170687p-6, -0x1.400159fade287p-6, -0x1.39a377257256bp-6, -0x1.3360e89e2965ap-6, -0x1.2d39536c73d03p-6, -0x1.272c5d260401p-6, -0x1.2139abf2953p-6, -0x1.1b60e68f6eb2dp-6, -0x1.15a1b452bd13ep-6, -0x1.0ffbbd2ed82a1p-6, -0x1.0a6ea9b546566p-6, -0x1.04fa2319a7d4dp-6, -0x1.ff3ba668f54b1p-7, -0x1.f4b2c90b77f46p-7, -0x1.ea59046e9fe0ap-7, -0x1.e02db03edf40bp-7, -0x1.d63025858c811p-7, -0x1.cc5fbead0bab8p-7, -0x1.c2bbd784b5a3ep-7, -0x1.b943cd447364cp-7, -0x1.aff6fe900903fp-7, -0x1.a6d4cb7a513bfp-7, -0x1.9ddc958813a09p-7, -0x1.950dbfb29a162p-7, -0x1.8c67ae6a52f37p-7, -0x1.83e9c798ce7ap-7, -0x1.7b9372a2f8d2ep-7, -0x1.7364186abedc7p-7, -0x1.6b5b2350ba023p-7, -0x1.6377ff359b57p-7, -0x1.5bba197b656d1p-7, -0x1.5420e1066c7adp-7, -0x1.4cabc63e41628p-7, -0x1.455a3b0e4675p-7, -0x1.3e2bb2e666f72p-7, -0x1.371fa2bb427abp-7, -0x1.303581066505dp-7, -0x1.296cc5c679e17p-7, -0x1.22c4ea7efca53p-7, -0x1.1c3d6a382cb0ap-7, -0x1.15d5c17e7beddp-7, -0x1.0f8d6e6231a61p-7, -0x1.0963f076aa669p-7, -0x1.0358c8d19c8a4p-7, -0x1.fad6f41463f52p-8, -0x1.ef37106ffa699p-8, -0x1.e3d0f1e3c2717p-8, -0x1.d8a3a699b93b5p-8, -0x1.cdae3fb52b343p-8, -0x1.c2efd1500a03fp-8, -0x1.b8677277cffa9p-8, -0x1.ae143d2a16151p-8, -0x1.a3f54e5157e44p-8, -0x1.9a09c5c114c1dp-8, -0x1.9050c63245772p-8, -0x1.86c9753f47f73p-8, -0x1.7d72fb5fc457ep-8, -0x1.744c83e47eef1p-8, -0x1.6b553cf2e3c8fp-8, -0x1.628c57809d614p-8, -0x1.59f1074ecb185p-8, -0x1.518282e55265fp-8, -0x1.4940038dfcd18p-8, -0x1.4128c54f8b7ffp-8, -0x1.393c06e874589p-8, -0x1.317909c9c6d91p-8, -0x1.29df12120a292p-8, -0x1.226d66877bdc9p-8, -0x1.1b2350930cfd5p-8, -0x1.14001c3a8537cp-8, -0x1.0d03181b0f4dbp-8, -0x1.062b9563870bbp-8, -0x1.fef1cf9d51b1p-9, -0x1.f1d4cb3aacc24p-9, -0x1.e4fecf216457cp-9, -0x1.d86e91c88a0bbp-9, -0x1.cc22ce900352dp-9, -0x1.c01a45b4966a4p-9, -0x1.b453bc439942bp-9, -0x1.a8cdfc0f1b241p-9, -0x1.9d87d3a1a7dc9p-9, -0x1.92801631cd933p-9, -0x1.87b59b960abf6p-9, -0x1.7d2740383d76bp-9, -0x1.72d3e509669c2p-9, -0x1.68ba6f753e554p-9, -0x1.5ed9c9557b6p-9, -0x1.5530e0e5ec632p-9, -0x1.4bbea8b76140cp-9, -0x1.428217a38afb1p-9, -0x1.397a28c06ef33p-9, -0x1.30a5db53d8773p-9, -0x1.280432c6dfb4dp-9, -0x1.1f94369994239p-9, -0x1.1754f2567d45ep-9, -0x1.0f4575861e3bp-9, -0x1.0764d3a294e71p-9, -0x1.ff64481693fb3p-10, -0x1.f05903f16aa2p-10, -0x1.e1a618df7aba8p-10, -0x1.d349cc6bb694cp-10, -0x1.c5426b8959232p-10, -0x1.b78e4a7becb26p-10, -0x1.aa2bc4bea43e4p-10, -0x1.9d193cecde033p-10, -0x1.90551ca98a55cp-10, -0x1.83ddd487c6f97p-10, -0x1.77b1dbf31ac37p-10, -0x1.6bcfb117ce83ep-10, -0x1.6035d8cb75387p-10, -0x1.54e2de75a4a9p-10, -0x1.49d553f8ed114p-10, -0x1.3f0bd19ba3c0dp-10, -0x1.3484f5f171a3dp-10, -0x1.2a3f65c4478b9p-10, -0x1.2039cbfe177fep-10, -0x1.1672d9924de2cp-10, -0x1.0ce94567e5f4bp-10, -0x1.039bcc433fa1ap-10, -0x1.f5126160faa15p-11, -0x1.e36075db3d6c1p-11, -0x1.d21f71aacf17p-11, -0x1.c14cfb93c74f7p-11, -0x1.b0e6c53ed42c3p-11, -0x1.a0ea8b0f7cb69p-11, -0x1.915613fae60d8p-11, -0x1.8227315ec064bp-11, -0x1.735bbed8a49a9p-11, -0x1.64f1a21db55bap-11, -0x1.56e6cad3af8b7p-11, -0x1.493932687e589p-11, -0x1.3be6dbec1240fp-11, -0x1.2eedd3e931fa4p-11, -0x1.224c304035919p-11, -0x1.160010000e7f1p-11, -0x1.0a079b41ec48cp-11, -0x1.fcc206089f5bcp-12, -0x1.e615020b4dda4p-12, -0x1.d004af4235084p-12, -0x1.ba8da3555ae3cp-12, -0x1.a5ac8497818ep-12, -0x1.915e09c033a21p-12, -0x1.7d9ef9a8612aep-12, -0x1.6a6c2b048dc05p-12, -0x1.57c2842292acap-12, -0x1.459efaa77d713p-12, -0x1.33fe934ccfc45p-12, -0x1.22de61a0a5c1p-12, -0x1.123b87c620fdbp-12, -0x1.0213363522326p-12, -0x1.e4c556f9da3b3p-13, -0x1.c64e680dc8908p-13, -0x1.a8bc53b031b0cp-13, -0x1.8c09e8afdef65p-13, -0x1.703210267bc62p-13, -0x1.552fcd0409366p-13, -0x1.3afe3b9eb14dfp-13, -0x1.2198913f2faa9p-13, -0x1.08fa1bb0a7738p-13, -0x1.e23c81a7fa3d6p-14, -0x1.b400fc6359cc1p-14, -0x1.8738d120c20fbp-14, -0x1.5bdb5710a4f5dp-14, -0x1.31e0123c2dc09p-14, -0x1.093eb2b4ea843p-14, -0x1.c3de279473d86p-15, -0x1.77d2768d554cap-15, -0x1.2e4ab1432322ep-15, -0x1.ce6f112327901p-16, -0x1.4513fb6d86f1p-16, -0x1.80cd83700ae33p-17, -0x1.012a7d7c1360ep-18, 0x1.dae4c188c00d6p-19, 0x1.6554f85cf3c3fp-17, 0x1.25ba11488a08dp-16, 0x1.94a5cc479a055p-16, 0x1.ff8794d404647p-16, 0x1.333c63fe6ce2dp-15, 0x1.64c91d7116975p-15, 0x1.94761e9c08c3fp-15, 0x1.c24f4deabe7c7p-15, 0x1.ee60518d472d7p-15, 0x1.0c5a4859fd90ap-14, 0x1.20ab9a617971fp-14, 0x1.3429953a3d633p-14, 0x1.46d9918a02f4bp-14, 0x1.58c0cac6f9d32p-14, 0x1.69e45fcd1feaap-14, 0x1.7a49536847904p-14, 0x1.89f48cde814a3p-14, 0x1.98ead8781a7p-14, 0x1.a730e808b7854p-14, 0x1.b4cb536d9d957p-14, 0x1.c1be9912524d1p-14, 0x1.ce0f1e6fc993ep-14, 0x1.d9c13086ab8c8p-14, 0x1.e4d9045ed3116p-14, 0x1.ef5ab779a71a4p-14, 0x1.f94a504db6d41p-14, 0x1.0155df5c6bca1p-13, 0x1.05c16e3a64c16p-13, 0x1.09e9b6c28abe6p-13, 0x1.0dd09052d88ecp-13, 0x1.1177c7dccce34p-13, 0x1.14e12019cd21ap-13, 0x1.180e51bfd946cp-13, 0x1.1b010bb557662p-13, 0x1.1dbaf341fe5f7p-13, 0x1.203da442c47edp-13, 0x1.228ab158ab0ffp-13, 0x1.24a3a41835149p-13, 0x1.2689fd3b18223p-13, 0x1.283f34caf6ba2p-13, 0x1.29c4ba510889cp-13, 0x1.2b1bf500b36e8p-13, 0x1.2c4643e4f340ap-13, 0x1.2d44fe092ead8p-13, 0x1.2e1972a442a09p-13, 0x1.2ec4e941cd1c2p-13, 0x1.2f48a1ea59a52p-13, 0x1.2fa5d54a6e5a8p-13, 0x1.2fddb4dac97d7p-13, 0x1.2ff16b04ea85p-13, 0x1.2fe21b4a570dap-13, 0x1.2fb0e26702fcap-13, 0x1.2f5ed677dcca2p-13, 0x1.2eed071cc25ap-13, 0x1.2e5c7d9a9e5d4p-13, 0x1.2dae3cffc1a8ap-13, 0x1.2ce3424205decp-13, 0x1.2bfc84620f8ddp-13, 0x1.2afaf48a5cd6ep-13, 0x1.29df7e2e3576p-13, 0x1.28ab072a55f1p-13, 0x1.275e6fe09adadp-13, 0x1.25fa9358399e5p-13, 0x1.24804758a2e4fp-13, 0x1.22f05c87a0c08p-13, 0x1.214b9e83d516bp-13, 0x1.1f92d401d9ca2p-13, 0x1.1dc6bee532d5p-13, 0x1.1be81c5bfa72ap-13, 0x1.19f7a4f81079cp-13, 0x1.17f60cc8d0d2dp-13, 0x1.15e403729b7b7p-13, 0x1.13c2344952f2cp-13, 0x1.119146654a9abp-13, 0x1.0f51dcbd65aa9p-13, 0x1.0d04963c010f8p-13, 0x1.0aaa0dd5f7ef9p-13, 0x1.0842daa082892p-13, 0x1.05cf8fe74b1e7p-13, 0x1.0350bd3f7b5b6p-13, 0x1.00c6ee9f35098p-13, 0x1.fc6558de73bf9p-14, 0x1.f728f7410bdcfp-14, 0x1.f1d9bb7c0d7ep-14, 0x1.ec78a20321d52p-14, 0x1.e706a0c8410e2p-14, 0x1.e184a76464087p-14, 0x1.dbf39f37ebf81p-14, 0x1.d6546b903b7e1p-14, 0x1.d0a7e9c7becf5p-14, 0x1.caeef167c66f5p-14, 0x1.c52a544b83f2p-14, 0x1.bf5adebcb8a73p-14, 0x1.b98157954be05p-14, 0x1.b39e805e43134p-14, 0x1.adb3156c09d73p-14, 0x1.a7bfcdfe86a82p-14, 0x1.a1c55c5b32d25p-14, 0x1.9bc46dece3e8bp-14, 0x1.95bdab5ad8915p-14, 0x1.8fb1b8a87af53p-14, 0x1.89a1354ccd907p-14, 0x1.838cbc4dcbb32p-14, 0x1.7d74e4591559dp-14, 0x1.775a3fde0632cp-14, 0x1.713d5d24729bdp-14, 0x1.6b1ec665e1fap-14, 0x1.64ff01e45a4efp-14, 0x1.5ede9200dbd2dp-14, 0x1.58bdf5525d898p-14, 0x1.529da6bba491cp-14, 0x1.4c7e1d802532ap-14, 0x1.465fcd597b971p-14, 0x1.4043268befe72p-14, 0x1.3a2895fa63993p-14, 0x1.34108539da9a1p-14, 0x1.2dfb5aa50f449p-14, 0x1.27e9796e59c89p-14, 0x1.21db41b44394p-14, 0x1.1bd110907f2acp-14, 0x1.15cb402c45847p-14, 0x1.0fca27cfdfcedp-14, 0x1.09ce1bf4b958cp-14, 0x1.03d76e54c184ap-14, 0x1.fbccdbf6e5d06p-15, 0x1.eff6ceaae83cp-15, 0x1.e42d487f467f6p-15, 0x1.d870d82da5a36p-15, 0x1.ccc2078d763dap-15, 0x1.c1215baeb63bap-15, 0x1.b58f54f8ffb8cp-15, 0x1.aa0c6f456f033p-15, 0x1.9e9921fb22145p-15, 0x1.9335e028bebfdp-15, 0x1.87e3189f64c62p-15, 0x1.7ca1360af6998p-15, 0x1.71709f0bf322ep-15, 0x1.6651b64fe966ap-15, 0x1.5b44daa82c52bp-15, 0x1.504a6722f6edap-15, 0x1.4562b31f9bf2fp-15, 0x1.3a8e1267ce66p-15, 0x1.2fccd54309f0ep-15, 0x1.251f488de5959p-15, 0x1.1a85b5ccdde27p-15, 0x1.1000634277321p-15, 0x1.058f94035f966p-15, 0x1.f6671010973e1p-16, 0x1.e1d8f884b5204p-16, 0x1.cd75555b883f9p-16, 0x1.b93c94c853384p-16, 0x1.a52f1f5bcf3efp-16, 0x1.914d582905301p-16, 0x1.7d979ce635d05p-16, 0x1.6a0e460ec79f7p-16, 0x1.56b1a70543ccbp-16, 0x1.43820e3168d89p-16, 0x1.307fc521e1a44p-16, 0x1.1dab10a867998p-16, 0x1.0b0430fa7ccd7p-16, 0x1.f116c39b6a243p-17, 0x1.cc81b4e6c2728p-17, 0x1.a8499bee73826p-17, 0x1.846ed6715c7fdp-17, 0x1.60f1ba0ef88e2p-17, 0x1.3dd2947896ea1p-17, 0x1.1b11aba915bddp-17, 0x1.f15e7c2a8b19ap-18, 0x1.ad5705bc8ca56p-18, 0x1.6a0d53fcd9f96p-18, 0x1.2781b8fd24838p-18, 0x1.cb68f27a0c05p-19, 0x1.494b981e77c93p-19, 0x1.91576fa546632p-20, 0x1.262636007ca1cp-21, -0x1.a0d61a851f126p-22, -0x1.60825d8bd4c9dp-20, -0x1.2ae9c0221a2c9p-19, -0x1.a414990cd511ap-19, -0x1.0de0f88d1134dp-18, -0x1.48f90a875cb76p-18, -0x1.8352b330ea362p-18, -0x1.bcee2d551337cp-18, -0x1.f5cbbd7c71047p-18, -0x1.16f5d8d9b0cfdp-17, -0x1.32a730a2115d2p-17, -0x1.4dfa16381d1d6p-17, -0x1.68eebe1872aa2p-17, -0x1.838560fb41f57p-17, -0x1.9dbe3bb320288p-17, -0x1.b7998f13e981dp-17, -0x1.d1179fd047dcdp-17, -0x1.ea38b65b91a69p-17, -0x1.017e8f685b7cdp-16, -0x1.0db29469bb423p-16, -0x1.19b893bc0246cp-16, -0x1.2590b8914fae1p-16, -0x1.313b2fb98dc1bp-16, -0x1.3cb827938ca78p-16, -0x1.4807d001aec8bp-16, -0x1.532a5a5cf349bp-16, -0x1.5e1ff9693b664p-16, -0x1.68e8e148d5e53p-16, -0x1.738547724e9c1p-16, -0x1.7df562a2fa15p-16, -0x1.88396ad5f245bp-16, -0x1.9251993972c8dp-16, -0x1.9c3e2821db688p-16, -0x1.a5ff53014faf5p-16, -0x1.af95565d2ff42p-16, -0x1.b9006fc499685p-16, -0x1.c240ddc4fc288p-16, -0x1.cb56dfe25ac51p-16, -0x1.d442b68dd23dbp-16, -0x1.dd04a31bcc3d7p-16, -0x1.e59ce7bb18a45p-16, -0x1.ee0bc76d8d9f2p-16, -0x1.f65185fe146a9p-16, -0x1.fe6e67f8d4af1p-16, -0x1.033159515e251p-15, -0x1.071755f92e52ep-15, -0x1.0ae94d43ca8bcp-15, -0x1.0ea762d1bc2bep-15, -0x1.1251ba910f6b7p-15, -0x1.15e878b92a5cp-15, -0x1.196bc1c75751ep-15, -0x1.1cdbba7b61ad9p-15, -0x1.203887d40201ap-15, -0x1.23824f0b87788p-15, -0x1.26b93594d07d5p-15, -0x1.29dd6117c8e56p-15, -0x1.2ceef76eb00fdp-15, -0x1.2fee1ea302c8cp-15, -0x1.32dafce9d0bc6p-15, -0x1.35b5b8a17c5d9p-15, -0x1.387e784ef9d04p-15, -0x1.3b35629a692d3p-15, -0x1.3dda9e4cfec2ap-15, -0x1.406e524dda97ap-15, -0x1.42f0a59fc3a35p-15, -0x1.4561bf5e3b7bcp-15, -0x1.47c1c6bb8cc6bp-15, -0x1.4a10e2fdabbf4p-15, -0x1.4c4f3b7c96141p-15, -0x1.4e7cf79f57177p-15, -0x1.509a3eda0203dp-15, -0x1.52a738abc96ebp-15, -0x1.54a40c9c8474cp-15, -0x1.5690e23aa225ep-15, -0x1.586de118c0b4ap-15, -0x1.5a3b30cc2ed63p-15, -0x1.5bf8f8eacd86cp-15, -0x1.5da76109076bap-15, -0x1.5f4690b801228p-15, -0x1.60d6af83c3cccp-15, -0x1.6257e4f1846ep-15, -0x1.63ca587dacf56p-15, -0x1.652e319a69251p-15, -0x1.668397ad93257p-15, -0x1.67cab20f900c3p-15, -0x1.6903a80972d6ap-15, -0x1.6a2ea0d39252dp-15, -0x1.6b4bc3941df43p-15, -0x1.6c5b375d5f119p-15, -0x1.6d5d232c956c1p-15, -0x1.6e51ade8715a6p-15, -0x1.6f38fe5f70c4bp-15, -0x1.70133b46f2133p-15, -0x1.70e08b39e296dp-15, -0x1.71a114b763383p-15, -0x1.7254fe217e151p-15, -0x1.72fc6dbc0d7a1p-15, -0x1.739789ab96f8fp-15, -0x1.742677f41251p-15, -0x1.74a95e77de1a3p-15, -0x1.752062f6def2ep-15, }}, 
      {{0x1.24480970fe962p-7, 0x1.249b45807bdf2p-6, 0x1.b7adc158d92f8p-6, 0x1.25c7fe8c92ea8p-5, 0x1.702f574f1550cp-5, 0x1.bb0ee727ff344p-5, 0x1.032e8a582d4f6p-4, 0x1.29032401ae4e3p-4, 0x1.4ef7770d12996p-4, 0x1.74faceaf00bc3p-4, 0x1.9afa93d173a7fp-4, 0x1.c0e33ce3b2f7ap-4, 0x1.e6a11c405493dp-4, 0x1.0610851ba411p-3, 0x1.18a87594f8d92p-3, 0x1.2b100a117505cp-3, 0x1.3d3fc8af6bb1p-3, 0x1.4f312957a1729p-3, 0x1.60dea0dadbc56p-3, 0x1.7243a2e9adbe6p-3, 0x1.835c9cb304988p-3, 0x1.9426e9cbf01a3p-3, 0x1.a4a0c4d437c69p-3, 0x1.b4c9351ba3de3p-3, 0x1.c49ffa5c57cbap-3, 0x1.d4257771c04dp-3, 0x1.e35a9cc93a168p-3, 0x1.f240d3238f064p-3, 0x1.006cf38df0683p-2, 0x1.0793fae56a6f2p-2, 0x1.0e96ad6175fc1p-2, 0x1.15764fc6ab8bdp-2, 0x1.1c34365e50c2dp-2, 0x1.22d1be4e1018dp-2, 0x1.295047bbe10f4p-2, 0x1.2fb130b79317ep-2, 0x1.35f5d0e05225p-2, 0x1.3c1f75ba36033p-2, 0x1.422f5fa6a18aep-2, 0x1.4826bf715fab3p-2, 0x1.4e06b46449ff9p-2, 0x1.53d04ad3594dap-2, 0x1.59847b13851b8p-2, 0x1.5f2428cf78861p-2, 0x1.64b022adf3d88p-2, 0x1.6a29223e97879p-2, 0x1.6f8fcc22c5c98p-2, 0x1.74e4b06933bbfp-2, 0x1.7a284b13b40e4p-2, 0x1.7f5b04bfa818p-2, 0x1.847d336a6109cp-2, 0x1.898f1b4b76b2bp-2, 0x1.8e90efbfe335ap-2, 0x1.9382d4415782dp-2, 0x1.9864dd65d3b8bp-2, 0x1.9d3711e41d7bap-2, 0x1.a1f96b9a30143p-2, 0x1.a6abd8932acfap-2, 0x1.ab4e3c0aa7456p-2, 0x1.afe06f6bba6c6p-2, 0x1.b462434a33068p-2, 0x1.b8d38054df519p-2, 0x1.bd33e83ff3891p-2, 0x1.c18336a6c6e9p-2, 0x1.c5c121e45c383p-2, 0x1.c9ed5be247746p-2, 0x1.ce0792dda339dp-2, 0x1.d20f7221ede04p-2, 0x1.d604a2b9b1457p-2, 0x1.d9e6cc14fa1d6p-2, 0x1.ddb594a5aaa63p-2, 0x1.e170a271cb807p-2, 0x1.e5179b9c023ecp-2, 0x1.e8aa26e26b415p-2, 0x1.ec27ec1409e06p-2, 0x1.ef90947d1fd2bp-2, 0x1.f2e3cb4aae394p-2, 0x1.f6213de5721dfp-2, 0x1.f9489c44b227cp-2, 0x1.fc5999392c3eap-2, 0x1.ff53eab07a33ap-2, 0x1.011ba4f8a4742p-1, 0x1.0281b9e85afa9p-1, 0x1.03dc1470933fdp-1, 0x1.052a96cd7ae66p-1, 0x1.066d253fa4b5p-1, 0x1.07a3a61ab21a3p-1, 0x1.08ce01d161b85p-1, 0x1.09ec22ff2e863p-1, 0x1.0afdf66fa3cbbp-1, 0x1.0c036b238e003p-1, 0x1.0cfc72542b11dp-1, 0x1.0de8ff747f76cp-1, 0x1.0ec90830f05cdp-1, 0x1.0f9c846d45edbp-1, 0x1.10636e41331f5p-1, 0x1.111dc1f383642p-1, 0x1.11cb7df4082dcp-1, 0x1.126ca2d466cdep-1, 0x1.1301333fdab7fp-1, 0x1.138933f20ab51p-1, 0x1.1404abad04d44p-1, 0x1.1473a32e7bb33p-1, 0x1.14d6252454f43p-1, 0x1.152c3e20a1f36p-1, 0x1.1575fc8d13a9bp-1, 0x1.15b3709dfb1d2p-1, 0x1.15e4ac44e7142p-1, 0x1.1609c322f1157p-1, 0x1.1622ca7ac408bp-1, 0x1.162fd9226eb9cp-1, 0x1.163107750c93cp-1, 0x1.16266f444f5a6p-1, 0x1.16102bc9f7bcap-1, 0x1.15ee599944e2dp-1, 0x1.15c11690654f1p-1, 0x1.158881c9f088cp-1, 0x1.1544bb8e72d13p-1, 0x1.14f5e546114p-1, 0x1.149c216a4dfb6p-1, 0x1.14379377f00f9p-1, 0x1.13c85fe117ea8p-1, 0x1.134eabff823dfp-1, 0x1.12ca9e06fec67p-1, 0x1.123c5cf820e8dp-1, 0x1.11a41093282ap-1, 0x1.1101e14b2a67p-1, 0x1.1055f8397e43ap-1, 0x1.0fa07f1166e8p-1, 0x1.0ee1a01407df8p-1, 0x1.0e1986049e043p-1, 0x1.0d485c1d02149p-1, 0x1.0c6e4e027289ap-1, 0x1.0b8b87baaa2b6p-1, 0x1.0aa035a13e8e1p-1, 0x1.09ac845d4c9ffp-1, 0x1.08b0a0d76dc89p-1, 0x1.07acb82ff9c7p-1, 0x1.06a0f7b593c49p-1, 0x1.058d8cdc00a28p-1, 0x1.0472a5334924fp-1, 0x1.03506e5f25903p-1, 0x1.0227160eb19fdp-1, 0x1.00f6c9f468d62p-1, 0x1.ff7f6f7cd72a9p-2, 0x1.fd041a1e0fe7fp-2, 0x1.fa7beeeb15d4ap-2, 0x1.f7e748cea75fdp-2, 0x1.f5468272561a9p-2, 0x1.f299f631ba9c4p-2, 0x1.efe1fe0e2782fp-2, 0x1.ed1ef3a2dc6e3p-2, 0x1.ea513019b7a49p-2, 0x1.e7790c205ee8dp-2, 0x1.e496dfdddfef6p-2, 0x1.e1ab02e8c7939p-2, 0x1.deb5cc3da9328p-2, 0x1.dbb79236177f4p-2, 0x1.d8b0aa8004b0bp-2, 0x1.d5a16a15965b1p-2, 0x1.d28a25355534bp-2, 0x1.cf6b2f5acd011p-2, 0x1.cc44db3784019p-2, 0x1.c9177aac5b82fp-2, 0x1.c5e35ec345bd7p-2, 0x1.c2a8d7a95b955p-2, 0x1.bf6834a9481ecp-2, 0x1.bc21c4260892bp-2, 0x1.b8d5d39601964p-2, 0x1.b584af7e64fe6p-2, 0x1.b22ea36ee419ap-2, 0x1.aed3f9fdb0b4p-2, 0x1.ab74fcc3c4791p-2, 0x1.a811f45973fb6p-2, 0x1.a4ab28534495ep-2, 0x1.a140df3f06786p-2, 0x1.9dd35ea12eea9p-2, 0x1.9a62eaf272c4ep-2, 0x1.96efc79d9f5d5p-2, 0x1.937a36fdab4fp-2, 0x1.90027a5c03123p-2, 0x1.8c88d1ef0d6f1p-2, 0x1.890d7cd8e2f5p-2, 0x1.8590b9263cdc4p-2, 0x1.8212c3cd92155p-2, 0x1.7e93d8ae69902p-2, 0x1.7b143290d569ep-2, 0x1.77940b2520ae7p-2, 0x1.74139b03a590ap-2, 0x1.709319accf9cdp-2, 0x1.6d12bd89426d2p-2, 0x1.6992bbea2e1aap-2, 0x1.66134909c3c9bp-2, 0x1.6294980bcf987p-2, 0x1.5f16dafe777edp-2, 0x1.5b9a42db19d93p-2, 0x1.581eff874c7e5p-2, 0x1.54a53fd5fb807p-2, 0x1.512d3188a5d5cp-2, 0x1.4db70150b4d52p-2, 0x1.4a42dad0f12acp-2, 0x1.46d0e89f10ddcp-2, 0x1.43615445610b9p-2, 0x1.3ff4464481aaep-2, 0x1.3c89e6154018cp-2, 0x1.39225a2a81ea9p-2, 0x1.35bdc7f347809p-2, 0x1.325c53dcc1f1fp-2, 0x1.2efe21547a90fp-2, 0x1.2ba352ca8ffb6p-2, 0x1.284c09b4021f9p-2, 0x1.24f8668d0e165p-2, 0x1.21a888db99d24p-2, 0x1.1e5c8f31b247fp-2, 0x1.1b1497300fbe3p-2, 0x1.17d0bd88af3aap-2, 0x1.14911e017368ap-2, 0x1.1155d376d2b16p-2, 0x1.0e1ef7de8f016p-2, 0x1.0aeca44a788cbp-2, 0x1.07bef0eb3ab08p-2, 0x1.0495f51331a07p-2, 0x1.0171c73943994p-2, 0x1.fca4f9f792ee1p-3, 0x1.f6705646ef7a7p-3, 0x1.f045cb4c9f10cp-3, 0x1.ea257f552d137p-3, 0x1.e40f9713a5fp-3, 0x1.de0435a79609fp-3, 0x1.d8037ca314154p-3, 0x1.d20d8c10d27a6p-3, 0x1.cc22827a319afp-3, 0x1.c6427ced5bc4p-3, 0x1.c06d970362e25p-3, 0x1.baa3eae6629cap-3, 0x1.b4e59157a26e1p-3, 0x1.af32a1b5b9826p-3, 0x1.a98b3202b5369p-3, 0x1.a3ef56ea3c142p-3, 0x1.9e5f23c7ae28ep-3, 0x1.98daaaac4aa61p-3, 0x1.9361fc65492ecp-3, 0x1.8df52881f4e8bp-3, 0x1.88943d59c4e9cp-3, 0x1.833f481269358p-3, 0x1.7df654a5da5f1p-3, 0x1.78b96de85a366p-3, 0x1.73889d8e74758p-3, 0x1.6e63ec32f5c17p-3, 0x1.694b615cdabf7p-3, 0x1.643f038533bc2p-3, 0x1.5f3ed81d03eb7p-3, 0x1.5a4ae39317dddp-3, 0x1.55632959c7b9cp-3, 0x1.5087abecbebc9p-3, 0x1.4bb86cd6a938dp-3, 0x1.46f56cb6e1b3bp-3, 0x1.423eab470aa84p-3, 0x1.3d942760a3041p-3, 0x1.38f5df0287491p-3, 0x1.3463cf566d693p-3, 0x1.2fddf4b648e1ap-3, 0x1.2b644ab1afb74p-3, 0x1.26f6cc13226c9p-3, 0x1.229572e55315ep-3, 0x1.1e40387853ccbp-3, 0x1.19f71566be1a1p-3, 0x1.15ba019ac4629p-3, 0x1.1188f4533eed3p-3, 0x1.0d63e4289be2fp-3, 0x1.094ac711cbc9ap-3, 0x1.053d926918016p-3, 0x1.013c3af0ea4dfp-3, 0x1.fa8d69b111e16p-4, 0x1.f2b9e78174439p-4, 0x1.eafdd580bd7ap-4, 0x1.e35918d1f871ap-4, 0x1.dbcb95965bf7dp-4, 0x1.d4552ef62ba3ap-4, 0x1.ccf5c72952605p-4, 0x1.c5ad3f7ff7b14p-4, 0x1.be7b786aeabc7p-4, 0x1.b7605183e8644p-4, 0x1.b05ba995c1b62p-4, 0x1.a96d5ea46633fp-4, 0x1.a2954df4c222p-4, 0x1.9bd3541487b8ep-4, 0x1.95274ce1cb4e1p-4, 0x1.8e9113928762dp-4, 0x1.881082bbf511ap-4, 0x1.81a57459cd438p-4, 0x1.7b4fc1d561418p-4, 0x1.750f440c96c6bp-4, 0x1.6ee3d358bdb8p-4, 0x1.68cd47954b1f1p-4, 0x1.62cb78266c8f7p-4, 0x1.5cde3bff7f935p-4, 0x1.570569a968059p-4, 0x1.5140d748c17a5p-4, 0x1.4b905aa3f69d8p-4, 0x1.45f3c92933fb1p-4, 0x1.406af7f43c56ep-4, 0x1.3af5bbd41e691p-4, 0x1.3593e950c95a1p-4, 0x1.304554b08248dp-4, 0x1.2b09d1fd3be8ap-4, 0x1.25e13509cefb4p-4, 0x1.20cb517714029p-4, 0x1.1bc7fab8de552p-4, 0x1.16d7041adae05p-4, 0x1.11f840c54f6d1p-4, 0x1.0d2b83c1bd0acp-4, 0x1.08709fff67622p-4, 0x1.03c76857bbaa2p-4, 0x1.fe5f5f253d9c7p-5, 0x1.f55290d53997cp-5, 0x1.ec680b21faa4p-5, 0x1.e39f73637caf2p-5, 0x1.daf86eeedf1d5p-5, 0x1.d272a31df00dep-5, 0x1.ca0db5567ac21p-5, 0x1.c1c94b1164c1fp-5, 0x1.b9a509e19a72bp-5, 0x1.b1a0977ac0ebbp-5, 0x1.a9bb99b7befa9p-5, 0x1.a1f5b6a10c73ap-5, 0x1.9a4e9472d587dp-5, 0x1.92c5d9a2eef42p-5, 0x1.8b5b2ce693a88p-5, 0x1.840e3537fe313p-5, 0x1.7cde99dbc97a7p-5, 0x1.75cc02662db0ap-5, 0x1.6ed616c00c931p-5, 0x1.67fc7f2bcb1bbp-5, 0x1.613ee44a10c42p-5, 0x1.5a9cef1e4c07dp-5, 0x1.54164913135dfp-5, 0x1.4daa9bfe6140dp-5, 0x1.47599225a0b63p-5, 0x1.4122d64198c48p-5, 0x1.3b0613822c473p-5, 0x1.3502f591f7483p-5, 0x1.2f192899c388fp-5, 0x1.29485943daea3p-5, 0x1.239034bf34888p-5, 0x1.1df068c282e26p-5, 0x1.1868a38f13e69p-5, 0x1.12f893f39f6b8p-5, 0x1.0d9fe94ee6264p-5, 0x1.085e539236989p-5, 0x1.03338343d57f1p-5, 0x1.fc3e53027ade1p-6, 0x1.f241f00291475p-6, 0x1.e871422c6d1bep-6, 0x1.decbaf5f39f8fp-6, 0x1.d5509eb8646a4p-6, 0x1.cbff78970330fp-6, 0x1.c2d7a69f029d3p-6, 0x1.b9d893bc27cc9p-6, 0x1.b101ac24ce3d2p-6, 0x1.a8525d5c7d44fp-6, 0x1.9fca16364c476p-6, 0x1.976846d710bb5p-6, 0x1.8f2c60b761445p-6, 0x1.8715d6a56a5aep-6, 0x1.7f241cc693ce6p-6, 0x1.7756a898fcc2ep-6, 0x1.6facf0f4ce2a8p-6, 0x1.68266e0d5d64ep-6, 0x1.60c299722fe82p-6, 0x1.5980ee0fd12cep-6, 0x1.5260e83084b66p-6, 0x1.4b62057ccc7a4p-6, 0x1.4483c4fbddb06p-6, 0x1.3dc5a713d701dp-6, 0x1.37272d89f062bp-6, 0x1.30a7db827408ep-6, 0x1.2a473580a4628p-6, 0x1.2404c16680f9cp-6, 0x1.1de0067465597p-6, 0x1.17d88d48970d2p-6, 0x1.11eddfdeaa1dcp-6, 0x1.0c1f898ed6125p-6, 0x1.066d170d2b46bp-6, 0x1.00d61668ab68p-6, 0x1.f6b42e149c7adp-7, 0x1.ebf15367d8ceap-7, 0x1.e162c0fe2a047p-7, 0x1.d7079db792812p-7, 0x1.ccdf131e5111dp-7, 0x1.c2e84d63f703cp-7, 0x1.b9227b5e810bfp-7, 0x1.af8cce8518ed4p-7, 0x1.a6267aecdcbfep-7, 0x1.9ceeb7455e71cp-7, 0x1.93e4bcd5278p-7, 0x1.8b07c775f2192p-7, 0x1.82571590eab0bp-7, 0x1.79d1e81ab6779p-7, 0x1.7177828f6a583p-7, 0x1.69472aee710fbp-7, 0x1.614029b6362b7p-7, 0x1.5961c9dfd80fp-7, 0x1.51ab58dac3766p-7, 0x1.4a1c26881c4d7p-7, 0x1.42b385361d3dcp-7, 0x1.3b70c99b7c4cep-7, 0x1.34534ad299285p-7, 0x1.2d5a6254adb17p-7, 0x1.26856bf4e11f5p-7, 0x1.1fd3c5db59949p-7, 0x1.1944d08035381p-7, 0x1.12d7eea6765adp-7, 0x1.0c8c8556e1f78p-7, 0x1.0661fbdad697ap-7, 0x1.0057bbb71a13fp-7, 0x1.f4da614d12234p-8, 0x1.e9439129b6f0dp-8, 0x1.dde9e7329354p-8, 0x1.d2cc47e260129p-8, 0x1.c7e99bf5603ap-8, 0x1.bd40d05e8b3p-8, 0x1.b2d0d63cb752cp-8, 0x1.a898a2cfa0da7p-8, 0x1.9e972f6d0b77cp-8, 0x1.94cb7975c303fp-8, 0x1.8b34824ab104dp-8, 0x1.81d14f41be669p-8, 0x1.78a0e99aec18ap-8, 0x1.6fa25e753bd07p-8, 0x1.66d4bec3b6a3p-8, 0x1.5e371f425ad89p-8, 0x1.55c8986b23ee6p-8, 0x1.4d88466affbc2p-8, 0x1.45754916cc534p-8, 0x1.3d8ec3e07053fp-8, 0x1.35d3ddcbca294p-8, 0x1.2e43c163dfbaep-8, 0x1.26dd9cafda0bdp-8, 0x1.1fa0a1283e364p-8, 0x1.188c03ac07b84p-8, 0x1.119efc75e0975p-8, 0x1.0ad8c71160d52p-8, 0x1.0438a2504de48p-8, 0x1.fb7ba080039bdp-9, 0x1.eecf2c3d6e9e6p-9, 0x1.e26a78a1f9a59p-9, 0x1.d64c1cae8448ep-9, 0x1.ca72b58695212p-9, 0x1.bedce65b9db9ep-9, 0x1.b38958585f2a6p-9, 0x1.a876ba8c3af9fp-9, 0x1.9da3c1d6e5f88p-9, 0x1.930f28d3fdd14p-9, 0x1.88b7afc6f15e5p-9, 0x1.7e9c1c86fdd04p-9, 0x1.74bb3a6b3f8a1p-9, 0x1.6b13da3709eb8p-9, 0x1.61a4d206454cap-9, 0x1.586cfd39f8525p-9, 0x1.4f6b3c6518c16p-9, 0x1.469e75395d71ep-9, 0x1.3e05927446dd8p-9, 0x1.359f83cc4e864p-9, 0x1.2d6b3dde4b479p-9, 0x1.2567ba1afd9fbp-9, 0x1.1d93f6b4adfd2p-9, 0x1.15eef68d170bp-9, 0x1.0e77c1235f311p-9, 0x1.072d628264444p-9, 0x1.000eeb2eff559p-9, 0x1.f236e02d2d82fp-10, 0x1.e4a414fbb84edp-10, 0x1.d763afdf69359p-10, 0x1.ca73f458624dcp-10, 0x1.bdd32e2ff9f59p-10, 0x1.b17fb1570a6e7p-10, 0x1.a577d9c5a540fp-10, 0x1.99ba0b5a64ad2p-10, 0x1.8e44b1ba3c544p-10, 0x1.83164030f3e61p-10, 0x1.782d3191968b1p-10, 0x1.6d880817a5173p-10, 0x1.63254d4828b5cp-10, 0x1.590391d395dffp-10, 0x1.4f216d77bf16cp-10, 0x1.457d7ee2653d3p-10, 0x1.3c166b93bddp-10, 0x1.32eadfc1be264p-10, 0x1.29f98e3b8096ep-10, 0x1.2141304d1d962p-10, 0x1.18c085a3ea277p-10, 0x1.10765432dc97bp-10, 0x1.086168178935dp-10, 0x1.0080937f671b2p-10, 0x1.f1a55d1a60635p-11, 0x1.e2ad2e7dd3c9p-11, 0x1.d41662a8c02d9p-11, 0x1.c5decc6ac86a7p-11, 0x1.b80449b1f3afdp-11, 0x1.aa84c358ed1d8p-11, 0x1.9d5e2cf6d83a6p-11, 0x1.908e84ae651fp-11, 0x1.8413d2ff4d2abp-11, 0x1.77ec2a96c51bbp-11, 0x1.6c15a821d3f79p-11, 0x1.608e721fd568dp-11, 0x1.5554b8b590f53p-11, 0x1.4a66b5812144ap-11, 0x1.3fc2ab6e62f6ep-11, 0x1.3566e68c096ecp-11, 0x1.2b51bbe17aac5p-11, 0x1.21818944f709bp-11, 0x1.17f4b532c5ba3p-11, 0x1.0ea9aea4b7c18p-11, 0x1.059eecea281e1p-11, 0x1.f9a5df023281cp-12, 0x1.e8887bdeb45b3p-12, 0x1.d7e2cf391bd14p-12, 0x1.c7b2075961feap-12, 0x1.b7f361b69c0d7p-12, 0x1.a8a42aae78bb4p-12, 0x1.99c1bd3d552e4p-12, 0x1.8b4982b857419p-12, 0x1.7d38f287ca05dp-12, 0x1.6f8d91e3a10b4p-12, 0x1.6244f38f5bcbap-12, 0x1.555cb79989b8cp-12, 0x1.48d28b1959f0cp-12, 0x1.3ca427efac841p-12, 0x1.30cf5487b818cp-12, 0x1.2551e3998d622p-12, 0x1.1a29b3eda943ep-12, 0x1.0f54b01ffd983p-12, 0x1.04d0ce66594d7p-12, 0x1.f53820abdbf81p-13, 0x1.e16905557256fp-13, 0x1.ce307a1ec4794p-13, 0x1.bb8ac3cd4695ep-13, 0x1.a9743c294d96ep-13, 0x1.97e951953cd9fp-13, 0x1.86e686a41bb83p-13, 0x1.766871b3c7316p-13, 0x1.666bbc8683431p-13, 0x1.56ed23e279f6bp-13, 0x1.47e9772d96305p-13, 0x1.395d980fde1fp-13, 0x1.2b467a148ed24p-13, 0x1.1da1224d72ddbp-13, 0x1.106aa6f93b1acp-13, 0x1.03a02f291ddd8p-13, 0x1.ee7de4d458d8bp-14, 0x1.d68870ddeda85p-14, 0x1.bf5ab1775e7f1p-14, 0x1.a8ef74a36dc52p-14, 0x1.9341a6c1a9938p-14, 0x1.7e4c51e7d2135p-14, 0x1.6a0a9d4b84caap-14, 0x1.5677cca2fe06ap-14, 0x1.438f3f9148e54p-14, 0x1.314c710f85ee4p-14, 0x1.1faaf6dbbbf2bp-14, 0x1.0ea680ea138a1p-14, 0x1.fc75b1b14549p-15, 0x1.dcc7c2c8c0e71p-15, 0x1.be3b2bc84f48dp-15, 0x1.a0c813818182ep-15, 0x1.8466cfed47a64p-15, 0x1.690fe5230ddedp-15, 0x1.4ebc0468bf10fp-15, 0x1.35640b32bd428p-15, 0x1.1d010238de334p-15, 0x1.058c1c88c0cfbp-15, 0x1.ddfd6d3930114p-16, 0x1.b2a4aaee96515p-16, 0x1.89014b8eab7c9p-16, 0x1.6106f611ded51p-16, 0x1.3aa99d64c34c1p-16, 0x1.15dd7ebdc166cp-16, 0x1.e52e400499e4cp-17, 0x1.a1969c6aaafc5p-17, 0x1.60de37c888e8fp-17, 0x1.22efbf504c8c3p-17, 0x1.cf6cca8debdabp-18, 0x1.5e3bbc44b6d3dp-18, 0x1.e449768078a0bp-19, 0x1.160250086b872p-19, 0x1.455ab524fc267p-21, -0x1.a80bb640f6349p-21, -0x1.1c522a79482c9p-19, -0x1.c5dcec2ce5a9p-19, -0x1.3373ac0d5e9acp-18, -0x1.7fd9f04b45122p-18, -0x1.c841a721fa4d1p-18, -0x1.066532785598ap-17, -0x1.26c97961f0921p-17, -0x1.455ca96fd1d64p-17, -0x1.622d62a68cf2cp-17, -0x1.7d49e61785b61p-17, -0x1.96c01807dd131p-17, -0x1.ae9d8211878a8p-17, -0x1.c4ef552f81eafp-17, -0x1.d9c26bb949f33p-17, -0x1.ed234b71c8b2fp-17, -0x1.ff1e27627f498p-17, -0x1.07df70e5e5d27p-16, -0x1.0f8886ff98c69p-16, -0x1.168ff914ebe89p-16, -0x1.1cfb4491f7111p-16, -0x1.22cfc215fb91fp-16, -0x1.2812a64b7c45p-16, -0x1.2cc902c02eb0bp-16, -0x1.30f7c6b467b7p-16, -0x1.34a3bfeab88b6p-16, -0x1.37d19b6b2d72bp-16, -0x1.3a85e64a9b957p-16, -0x1.3cc50e6b54591p-16, -0x1.3e936333033a3p-16, -0x1.3ff5164b9cf53p-16, -0x1.40ee3c4e403f4p-16, -0x1.4182cd76e0232p-16, -0x1.41b6a651934ecp-16, -0x1.418d885dd632dp-16, -0x1.410b1ab98a002p-16, -0x1.4032eabbc7eefp-16, -0x1.3f086c984e9b6p-16, -0x1.3d8efbf3c7cc4p-16, -0x1.3bc9dc7ec8685p-16, -0x1.39bc3a865fcc7p-16, -0x1.37692b86d089dp-16, -0x1.34d3aeb4cb5b8p-16, -0x1.31fead8c28ac6p-16, -0x1.2eecfc528bf6p-16, -0x1.2ba15a9be7bf8p-16, -0x1.281e73cef1091p-16, -0x1.2466df9beca57p-16, -0x1.207d227fcd186p-16, -0x1.1c63ae379f3ecp-16, -0x1.181ce2384348ap-16, -0x1.13ab0c1fa7557p-16, -0x1.0f106828bb939p-16, -0x1.0a4f21947b44p-16, -0x1.0569531a71075p-16, -0x1.0061074f0098cp-16, -0x1.f6707213105d7p-17, -0x1.ebe1a796830f9p-17, -0x1.e119683d74d2bp-17, -0x1.d61b4ff45f6abp-17, -0x1.caeade3523eb2p-17, -0x1.bf8b76c0b83a3p-17, -0x1.b400625438464p-17, -0x1.a84ccf543e5dp-17, -0x1.9c73d2794a721p-17, -0x1.907867735ce09p-17, -0x1.845d71942ba54p-17, -0x1.7825bc661f81p-17, -0x1.6bd3fc4c5d098p-17, -0x1.5f6acf1c0976ap-17, -0x1.52ecbcac28b5ep-17, -0x1.465c376a00bd2p-17, -0x1.39bb9ce64529ep-17, -0x1.2d0d365b75634p-17, -0x1.2053393d1fe64p-17, -0x1.138fc7b2f01fbp-17, -0x1.06c4f11f58812p-17, -0x1.f3e96533ca962p-18, -0x1.da41eedb56c25p-18, -0x1.c09733188d66fp-18, -0x1.a6ecc40f12ebfp-18, -0x1.8d4613023a08dp-18, -0x1.73a67137bc242p-18, -0x1.5a1110cdead99p-18, -0x1.40890593a698ep-18, -0x1.271145d5b17e4p-18, -0x1.0dacab2b88884p-18, -0x1.e8bbe6742f1e7p-19, -0x1.b64f80f2097dbp-19, -0x1.841935dafca81p-19, -0x1.521de1bd8fa07p-19, -0x1.20622f2566e68p-19, -0x1.ddd52fc5a3329p-20, -0x1.7b76cce36f288p-20, -0x1.19b16e89b9278p-20, -0x1.7119e7f40dd7p-21, -0x1.6043962cc5bep-22, 0x1.eee24dee4329fp-26, 0x1.9b45dba649657p-22, 0x1.8a54a4677d221p-21, 0x1.22bfd77284eabp-20, 0x1.7f8c0e84ff37p-20, 0x1.db8948b1f38e7p-20, 0x1.1b590f439d958p-19, 0x1.4880b6ecfac33p-19, 0x1.75392bddb969dp-19, 0x1.a1801f4c79601p-19, 0x1.cd53622a3d506p-19, 0x1.f8b0e42dcb7c3p-19, 0x1.11cb597de7f34p-18, 0x1.27017c9c2ccd7p-18, 0x1.3bf9fedb03b7cp-18, 0x1.50b4114d28387p-18, 0x1.652ef2497f13ap-18, 0x1.7969ed0007e8bp-18, 0x1.8d645921efd87p-18, 0x1.a11d9a731e1ecp-18, 0x1.b495207739c8p-18, 0x1.c7ca6610567b8p-18, 0x1.dabcf127c7f4ep-18, 0x1.ed6c52552f876p-18, 0x1.ffd8248c151c7p-18, 0x1.09000663eed7fp-17, 0x1.11f1dcdd94fdbp-17, 0x1.1ac171bf9c956p-17, 0x1.236ea5a5c1d3p-17, 0x1.2bf95d945b306p-17, 0x1.346182d3338dap-17, 0x1.3ca702cb3fd96p-17, 0x1.44c9cee49ea6bp-17, 0x1.4cc9dc62d2168p-17, 0x1.54a7244671b0bp-17, 0x1.5c61a32b01e9fp-17, 0x1.63f9592a22e1cp-17, 0x1.6b6e49b99c14p-17, 0x1.72c07b9320302p-17, 0x1.79eff89329099p-17, 0x1.80fccd9e5cb59p-17, 0x1.87e70a8720c6ap-17, 0x1.8eaec1f208fa9p-17, 0x1.9554093c28b18p-17, 0x1.9bd6f86256822p-17, 0x1.a237a9e7c8a13p-17, 0x1.a8763abf2b64bp-17, 0x1.ae92ca334a3fcp-17, 0x1.b48d79cffb09ap-17, 0x1.ba666d4c3dacep-17, 0x1.c01dca748e46fp-17, 0x1.c5b3b9172ccd8p-17, 0x1.cb2862ee581eep-17, 0x1.d07bf38d46eaap-17, 0x1.d5ae984d220a4p-17, 0x1.dac08039e65a7p-17, 0x1.dfb1dc0127ec7p-17, 0x1.e482ddde1a422p-17, 0x1.e933b98aebde2p-17, 0x1.edc4a42f1067p-17, 0x1.f235d44e55fddp-17, 0x1.f68781b96e65dp-17, 0x1.fab9e57f5be04p-17, 0x1.fecd39dd75be4p-17, 0x1.0160dd18899a4p-16, 0x1.034bd174e8eap-16, 0x1.052798bdba1fcp-16, 0x1.06f452280dd62p-16, 0x1.08b21d5e32156p-16, 0x1.0a611a78cb799p-16, 0x1.0c0169f92c1e5p-16, 0x1.0d932cc2fb716p-16, 0x1.0f168416b125ep-16, 0x1.108b918bc7606p-16, 0x1.11f2770b73a2ap-16, 0x1.134b56cb13557p-16, 0x1.1496534748dd2p-16, 0x1.15d38f3eec015p-16, 0x1.17032dadc21fbp-16, 0x1.182551c8bb7bbp-16, 0x1.193a1ef8779p-16, 0x1.1a41b8d50f132p-16, 0x1.1b3c4321f0b82p-16, 0x1.1c29e1c9c5249p-16, 0x1.1d0ab8da2638ap-16, 0x1.1ddeec7f94502p-16, 0x1.1ea6a10217028p-16, 0x1.1f61fac148018p-16, 0x1.20111e30ac82ep-16, 0x1.20b42fd429539p-16, 0x1.214b543d1d5eap-16, 0x1.21d6b00698807p-16, 0x1.225667d288cap-16, 0x1.22caa0466f6ep-16, 0x1.23337e08b2c39p-16, 0x1.239125bd87cdfp-16, 0x1.23e3bc041f7f5p-16, 0x1.242b65743ea11p-16, 0x1.2468469b4efd2p-16, 0x1.249a83fa21c98p-16, 0x1.24c242027cc1ap-16, 0x1.24dfa5149bb88p-16, 0x1.24f2d17cf5e62p-16, 0x1.24fbeb721d267p-16, 0x1.24fb1712b2d5bp-16, 0x1.24f078633e698p-16, 0x1.24dc334c1f6bdp-16, 0x1.24be6b97d3c43p-16, 0x1.249744f148d03p-16, 0x1.2466e2e19ff8fp-16, 0x1.242d68cedd784p-16, 0x1.23eaf9fa13f8cp-16, 0x1.239fb97df5176p-16, 0x1.234bca4d3d258p-16, 0x1.22ef4f31325eep-16, 0x1.228a6ac833425p-16, 0x1.221d3f848cf81p-16, 0x1.21a7efaae93dap-16, 0x1.212a9d516f043p-16, 0x1.20a56a5e36201p-16, 0x1.201878863f8d5p-16, 0x1.1f83e94c89cf1p-16, 0x1.1ee7de00b70efp-16, 0x1.1e4477be47ad2p-16, 0x1.1d99d76b86fdep-16, 0x1.1ce81db8c0cdep-16, 0x1.1c2f6b1f2e201p-16, 0x1.1b6fdfe041087p-16, 0x1.1aa99c04da30ep-16, 0x1.19dcbf5ca2653p-16, 0x1.1909697cfff5fp-16, 0x1.182fb9c0ac139p-16, 0x1.174fcf47138eep-16, 0x1.1669c8f3754ecp-16, 0x1.157dc56ca6819p-16, 0x1.148be31c568adp-16, 0x1.1394402e95f4dp-16, 0x1.1296fa9152934p-16, 0x1.11942ff3f4caep-16, 0x1.108bfdc6f099cp-16, 0x1.0f7e813b39cc7p-16, 0x1.0e6bd74225ba6p-16, 0x1.0d541c8d06649p-16, 0x1.0c376d8ca46e6p-16, 0x1.0b15e6712f439p-16, 0x1.09efa329ef458p-16, 0x1.08c4bf6501571p-16, 0x1.0795568f1ea7dp-16, 0x1.066183d37230dp-16, 0x1.0529621b5a039p-16, 0x1.03ed0c0e6692p-16, 0x1.02ac9c122d488p-16, 0x1.01682c4a23ce8p-16, 0x1.001fd69789afcp-16, 0x1.fda7693299f57p-17, 0x1.fb07bf5838881p-17, 0x1.f860e1d4b07afp-17, 0x1.f5b30257ff111p-17, 0x1.f2fe520d4d931p-17, 0x1.f043019b56308p-17, 0x1.ed81412411da7p-17, 0x1.eab94045102ccp-17, 0x1.e7eb2e1794408p-17, 0x1.e5173930a5f77p-17, 0x1.e23d8fa1784e4p-17, 0x1.df5e5ef76f204p-17, 0x1.dc79d43c4610ap-17, 0x1.d9901bf699738p-17, 0x1.d6a1622a3cc5bp-17, 0x1.d3add25849163p-17, 0x1.d0b5977f5de05p-17, 0x1.cdb8dc1c650abp-17, 0x1.cab7ca2ac9aafp-17, 0x1.c7b28b24c5d81p-17, 0x1.c4a9480409d6fp-17, 0x1.c19c2941effbep-17, 0x1.be8b56d8128bfp-17, 0x1.bb76f840ca8f5p-17, 0x1.b85f347786492p-17, 0x1.b54431f9bfa79p-17, 0x1.b22616c7232dp-17, 0x1.af050862200d7p-17, 0x1.abe12bd08dea2p-17, 0x1.a8baa59c87dfbp-17, 0x1.a59199d4aed1p-17, 0x1.a2662c0cbf486p-17, 0x1.9f387f5e63e06p-17, 0x1.9c08b669a88e2p-17, 0x1.98d6f355db73ap-17, 0x1.95a357d211757p-17, 0x1.926e0515c06eep-17, 0x1.8f371be19e92ep-17, 0x1.8bfebc804b094p-17, 0x1.88c506c6ede6cp-17, 0x1.858a1a15e7fecp-17, 0x1.824e15599f886p-17, 0x1.7f11170b2a2c9p-17, 0x1.7bd33d3123c17p-17, 0x1.7894a56087e77p-17, 0x1.75556cbd1e1f8p-17, 0x1.7215affa6be82p-17, 0x1.6ed58b5c9cc3ep-17, 0x1.6b951ab91256bp-17, 0x1.685479773c928p-17, 0x1.6513c2914988dp-17, 0x1.61d3109538adcp-17, 0x1.5e927da58aa9cp-17, 0x1.5b522379ca428p-17, 0x1.58121b5fc515dp-17, 0x1.54d27e3bfc02ap-17, 0x1.5193648abc2f1p-17, 0x1.4e54e660c65a1p-17, 0x1.4b171b6c2d15p-17, 0x1.47da1af52d5e8p-17, 0x1.449dfbdf265eap-17, }}, 
      {{0x1.aa8ae2b6c6e0dp-1, 0x1.aa7b974819e36p-1, 0x1.aa664ffce97f9p-1, 0x1.aa4e56a5a8e7ap-1, 0x1.aa34cb3fa0abfp-1, 0x1.aa17d33fd3f7fp-1, 0x1.a9f29be21394ep-1, 0x1.a9bde47638795p-1, 0x1.a970cadbe4bf5p-1, 0x1.a901a706a4ca6p-1, 0x1.a866d55814e19p-1, 0x1.a7975e7cd5b1cp-1, 0x1.a68b75d780845p-1, 0x1.a53cce34c5822p-1, 0x1.a3a6c87dc908cp-1, 0x1.a1c682309851bp-1, 0x1.9f9aca2f5b941p-1, 0x1.9d24026a27d0dp-1, 0x1.9a63f45a19defp-1, 0x1.975d9d7379a4ap-1, 0x1.9414f7ca21f9bp-1, 0x1.908ec23aad216p-1, 0x1.8cd04a949bdb7p-1, 0x1.88df3b8684ba2p-1, 0x1.84c16f708f867p-1, 0x1.807cc8c2f988cp-1, 0x1.7c17102bb8331p-1, 0x1.7795d88c3836bp-1, 0x1.72fe687adee76p-1, 0x1.6e55a8efacab4p-1, 0x1.69a018a4a8febp-1, 0x1.64e1c3a694c91p-1, 0x1.601e3e8e2bfa5p-1, 0x1.5b58a4dbdfe93p-1, 0x1.569399f59adefp-1, 0x1.51d14c4e93b69p-1, 0x1.4d137a4b3f638p-1, 0x1.485b787e6261fp-1, 0x1.43aa38e771ad6p-1, 0x1.3f0052e577bfcp-1, 0x1.3a5e0b9c45539p-1, 0x1.35c35e93979f2p-1, 0x1.3130066103792p-1, 0x1.2ca38535bcb67p-1, 0x1.281d2d30c32a5p-1, 0x1.239c285c9593dp-1, 0x1.1f1f8045578a2p-1, 0x1.1aa625195c5c8p-1, 0x1.162ef44a5a4e2p-1, 0x1.11b8bea93b2b4p-1, 0x1.0d424df98f273p-1, 0x1.08ca69fc3dbd3p-1, 0x1.044fdcf32671fp-1, 0x1.ffa2ef4223ca6p-2, 0x1.f69c29955cda1p-2, 0x1.ed89387c9d97ep-2, 0x1.e4680ad1d2f05p-2, 0x1.db36b2feaeae6p-2, 0x1.d1f36a864a103p-2, 0x1.c89c94d4f554ap-2, 0x1.bf30c16537b47p-2, 0x1.b5aead48ee905p-2, 0x1.ac1544251ced5p-2, 0x1.a263a0ae8bc42p-2, 0x1.98990cb4bdc23p-2, 0x1.8eb500c821d1dp-2, 0x1.84b72387aa44dp-2, 0x1.7a9f48a14367dp-2, 0x1.706d6f8fca211p-2, 0x1.6621c22079061p-2, 0x1.5bbc92c8e3cd2p-2, 0x1.513e5ad5f5604p-2, 0x1.46a7b87b914e4p-2, 0x1.3bf96ccbd8cd9p-2, 0x1.3134599c61665p-2, 0x1.26597f5f04a97p-2, 0x1.1b69faf35fa79p-2, 0x1.1067037583543p-2, 0x1.0551e80dcea79p-2, 0x1.f4581b8aef528p-3, 0x1.ddeddac592e22p-3, 0x1.c768229f6ac4bp-3, 0x1.b0ca271a0203bp-3, 0x1.9a173767d424dp-3, 0x1.8352ba0fb85fcp-3, 0x1.6c802932fe3ep-3, 0x1.55a30ef851918p-3, 0x1.3ebf021cf5fa2p-3, 0x1.27d7a2ad915d2p-3, 0x1.10f096e741895p-3, 0x1.f41b10831c58fp-4, 0x1.c6644142a2f77p-4, 0x1.98c40f690b3cep-4, 0x1.6b41c0ed75e8dp-4, 0x1.3de48dbb47efep-4, 0x1.10b39b5a34aebp-4, 0x1.c76bf1c7430d5p-5, 0x1.6de53686fd27cp-5, 0x1.14e0b3852b92cp-5, 0x1.78d7ab608c85bp-6, 0x1.924f0a027576fp-7, 0x1.acaa554d51bc2p-10, -0x1.244bcac0971bcp-7, -0x1.3d91b8a3f49ap-6, -0x1.e7612580a568ap-6, -0x1.47be9baf74d62p-5, -0x1.9ae7dd03f8b9fp-5, -0x1.ed219f6dda2f6p-5, -0x1.1f30c8512e67p-4, -0x1.474ee29cea0c4p-4, -0x1.6ee65d1b20abap-4, -0x1.95f2ab1bc716fp-4, -0x1.bc6f75310d8c6p-4, -0x1.e258997e24ee4p-4, -0x1.03d515f1d6954p-3, -0x1.16303b0604cf5p-3, -0x1.283bfbacc4d0fp-3, -0x1.39f6b25c53d27p-3, -0x1.4b5ed42bfec5fp-3, -0x1.5c72f0a40d168p-3, -0x1.6d31b18263a5bp-3, -0x1.7d99da74c4bap-3, -0x1.8daa48c98702dp-3, -0x1.9d61f3177c699p-3, -0x1.acbfe8ddd05c3p-3, -0x1.bbc3521c94867p-3, -0x1.ca6b6ee6a319cp-3, -0x1.d8b796ed85aecp-3, -0x1.e6a73907ead9ep-3, -0x1.f439dab3589c7p-3, -0x1.00b78bc8c5437p-2, -0x1.072350710d60fp-2, -0x1.0d601e7c6fc5ep-2, -0x1.136de358c16fp-2, -0x1.194c96705c403p-2, -0x1.1efc38e1be0c5p-2, -0x1.247cd53663e64p-2, -0x1.29ce7f19071ddp-2, -0x1.2ef1530b6a867p-2, -0x1.33e5761be6364p-2, -0x1.38ab159acd01ep-2, -0x1.3d4266cfdba4cp-2, -0x1.41aba6afc7949p-2, -0x1.45e7199212e0bp-2, -0x1.49f50ae743e83p-2, -0x1.4dd5ccef9049dp-2, -0x1.5189b87223149p-2, -0x1.55112c7508c6cp-2, -0x1.586c8df5dc5fcp-2, -0x1.5b9c47a3455a5p-2, -0x1.5ea0c9975bab6p-2, -0x1.617a8912fe867p-2, -0x1.642a003a31417p-2, -0x1.66afadd1839fep-2, -0x1.690c14fc9aa08p-2, -0x1.6b3fbcfde147fp-2, -0x1.6d4b30f764eddp-2, -0x1.6f2effacf2271p-2, -0x1.70ebbb476de95p-2, -0x1.7281f91977363p-2, -0x1.73f2516558cap-2, -0x1.753d5f24489ap-2, -0x1.7663bfcf03352p-2, -0x1.77661327b8ea4p-2, -0x1.7844fb055ebb6p-2, -0x1.79011b2057af1p-2, -0x1.799b18e07f4b6p-2, -0x1.7a139b2c9226cp-2, -0x1.7a6b4a3af812ep-2, -0x1.7aa2cf63ed3eap-2, -0x1.7abad4f505785p-2, -0x1.7ab4060613adbp-2, -0x1.7a8f0e4f64126p-2, -0x1.7a4c9a01568edp-2, -0x1.79ed559d4a132p-2, -0x1.7971edcfde15p-2, -0x1.78db0f4c839ffp-2, -0x1.782966aa59914p-2, -0x1.775da04253906p-2, -0x1.7678680ea5299p-2, -0x1.757a698b6e681p-2, -0x1.74644f98a1239p-2, -0x1.7336c45d24487p-2, -0x1.71f2712b20df7p-2, -0x1.7097fe6587581p-2, -0x1.6f281366b474bp-2, -0x1.6da356683f159p-2, -0x1.6c0a6c6be290dp-2, -0x1.6a5df9258132ap-2, -0x1.689e9ee63aefcp-2, -0x1.66ccfe889222bp-2, -0x1.64e9b75d9668p-2, -0x1.62f5671b159a8p-2, -0x1.60f0a9cac54cbp-2, -0x1.5edc19ba66119p-2, -0x1.5cb84f6cd606p-2, -0x1.5a85e18c122adp-2, -0x1.584564dc180b6p-2, -0x1.55f76c2eaddap-2, -0x1.539c8857fcc59p-2, -0x1.5135482408f9p-2, -0x1.4ec2384ceea2fp-2, -0x1.4c43e371ef04ap-2, -0x1.49bad20f3e22ep-2, -0x1.47278a768d94dp-2, -0x1.448a90c84f29dp-2, -0x1.41e466edacc17p-2, -0x1.3f358c9328967p-2, -0x1.3c7e7f23e9f05p-2, -0x1.39bfb9c5a89ap-2, -0x1.36f9b55534eafp-2, -0x1.342ce8639b809p-2, -0x1.3159c733d5b4bp-2, -0x1.2e80c3b90cf95p-2, -0x1.2ba24d956143bp-2, -0x1.28bed219367cdp-2, -0x1.25d6bc42ffbadp-2, -0x1.22ea74bf821a6p-2, -0x1.1ffa61ea8ec8bp-2, -0x1.1d06e7d02afffp-2, -0x1.1a10682e274a3p-2, -0x1.1717427619478p-2, -0x1.141bd3cfbd3ffp-2, -0x1.111e771bb0fcep-2, -0x1.0e1f84f68d314p-2, -0x1.0b1f53bc52e3p-2, -0x1.081e378c2b82ap-2, -0x1.051c824c77bcbp-2, -0x1.021a83af26dd4p-2, -0x1.fe31126caca5cp-3, -0x1.f82dbc726819p-3, -0x1.f22b97d23bf0fp-3, -0x1.ec2b32ae02932p-3, -0x1.e62d16f1d89f7p-3, -0x1.e031ca5fb59e8p-3, -0x1.da39ce9b62ce7p-3, -0x1.d445a136cc891p-3, -0x1.ce55bbbeb0e72p-3, -0x1.c86a93c79846ep-3, -0x1.c2849afb21627p-3, -0x1.bca43f2588559p-3, -0x1.b6c9ea4378677p-3, -0x1.b0f602900e357p-3, -0x1.ab28ea931851ap-3, -0x1.a563012f82fb6p-3, -0x1.9fa4a1b1efd29p-3, -0x1.99ee23df78a4ap-3, -0x1.943fdc048c9dap-3, -0x1.8e9a1b03f50d8p-3, -0x1.88fd2e65eca6ap-3, -0x1.836960674f5dap-3, -0x1.7ddef808dbe02p-3, -0x1.785e391e84e14p-3, -0x1.72e7645ec88e5p-3, -0x1.6d7ab77210cf2p-3, -0x1.68186d0219aecp-3, -0x1.62c0bcc9543f7p-3, -0x1.5d73dba245189p-3, -0x1.5831fb96e4975p-3, -0x1.52fb4befed873p-3, -0x1.4dcff94427652p-3, -0x1.48b02d879aa4fp-3, -0x1.439c101abece5p-3, -0x1.3e93c5d988ef8p-3, -0x1.3997712a71446p-3, -0x1.34a7320d568f4p-3, -0x1.2fc3262a535e9p-3, -0x1.2aeb68e068398p-3, -0x1.26201354197b4p-3, -0x1.21613c7de133ep-3, -0x1.1caef9388867cp-3, -0x1.18095c4f55359p-3, -0x1.1370768c213cp-3, -0x1.0ee456c53ebdbp-3, -0x1.0a6509eb3efbdp-3, -0x1.05f29b168c959p-3, -0x1.018d1394e0f63p-3, -0x1.fa68f5ed12c41p-4, -0x1.f1d1ae3716efep-4, -0x1.e9545881210c3p-4, -0x1.e0f0fa1760a6p-4, -0x1.d8a795321001fp-4, -0x1.d078290e44a5fp-4, -0x1.c862b2066d347p-4, -0x1.c06729aa60724p-4, -0x1.b88586d71d22ep-4, -0x1.b0bdbdce1e948p-4, -0x1.a90fc04c506a2p-4, -0x1.a17b7da0a8addp-4, -0x1.9a00e2c254cfdp-4, -0x1.929fda66890f8p-4, -0x1.8b584d15eec79p-4, -0x1.842a2141a5a89p-4, -0x1.7d153b57ee385p-4, -0x1.76197dd8638d3p-4, -0x1.6f36c967da9d6p-4, -0x1.686cfce3d93b2p-4, -0x1.61bbf575a762fp-4, -0x1.5b238ea502f1ep-4, -0x1.54a3a26a6a82bp-4, -0x1.4e3c0941094bfp-4, -0x1.47ec9a383cc78p-4, -0x1.41b52b04bc3c6p-4, -0x1.3b9590115ba77p-4, -0x1.358d9c8f6fff3p-4, -0x1.2f9d2286d0f33p-4, -0x1.29c3f2e57f8afp-4, -0x1.2401dd8ee76fep-4, -0x1.1e56b16ac7ba6p-4, -0x1.18c23c73bc0b2p-4, -0x1.13444bc56b651p-4, -0x1.0ddcabaa58351p-4, -0x1.088b27a958631p-4, -0x1.034f8a92b56e1p-4, -0x1.fc533d19dfa2ap-5, -0x1.f2325a425cfffp-5, -0x1.e83bfe8eab6c4p-5, -0x1.de6fbae395dc8p-5, -0x1.d4cd1f31c8ca6p-5, -0x1.cb53ba8c009cp-5, -0x1.c2031b3ca4f9ep-5, -0x1.b8dacedab5471p-5, -0x1.afda625e2260cp-5, -0x1.a701623378cccp-5, -0x1.9e4f5a4f0533ep-5, -0x1.95c3d63f55f5bp-5, -0x1.8d5e613f25709p-5, -0x1.851e8646ba5ep-5, -0x1.7d03d01cad054p-5, -0x1.750dc96627c85p-5, -0x1.6d3bfcb69553bp-5, -0x1.658df49ec7579p-5, -0x1.5e033bbb9e3ep-5, -0x1.569b5cc41d19dp-5, -0x1.4f55e2970b971p-5, -0x1.4832584810754p-5, -0x1.4130492c5190bp-5, -0x1.3a4f40e6997acp-5, -0x1.338ecb73078e3p-5, -0x1.2cee75324862ap-5, -0x1.266dcaf45862ap-5, -0x1.200c5a02e1661p-5, -0x1.19c9b02b20ad4p-5, -0x1.13a55bc75eba7p-5, -0x1.0d9eebc80b572p-5, -0x1.07b5efbc68a84p-5, -0x1.01e9f7dad2558p-5, -0x1.f8752a1153213p-6, -0x1.ed4eb1c3adb4ap-6, -0x1.e25fab7ffcbfdp-6, -0x1.d7a73d828b07dp-6, -0x1.cd248f9da8fdap-6, -0x1.c2d6cb45dce4ap-6, -0x1.b8bd1b9d8203bp-6, -0x1.aed6ad7fc277bp-6, -0x1.a522af8ae76fdp-6, -0x1.9ba0522a121f2p-6, -0x1.924ec79e5b461p-6, -0x1.892d44076aecfp-6, -0x1.803afd6b6d906p-6, -0x1.77772bbe8aa49p-6, -0x1.6ee108e9d8e93p-6, -0x1.6677d0d1b7ee7p-6, -0x1.5e3ac15bc7153p-6, -0x1.56291a74513bp-6, -0x1.4e421e133df5p-6, -0x1.468510409720bp-6, -0x1.3ef13718956c5p-6, -0x1.3785dacf4350dp-6, -0x1.304245b3be3cep-6, -0x1.2925c43302ef3p-6, -0x1.222fa4da5c39ep-6, -0x1.1b5f3859742edp-6, -0x1.14b3d1840d562p-6, -0x1.0e2cc55351a25p-6, -0x1.07c96ae6e3787p-6, -0x1.01891b8580f16p-6, -0x1.f6d6653acf8ccp-7, -0x1.eade1b88e9f6ap-7, -0x1.df28196fb056cp-7, -0x1.d3b322b7447afp-7, -0x1.c87dff73f13d4p-7, -0x1.bd877c04276a4p-7, -0x1.b2ce690deb1a7p-7, -0x1.a8519b7bd0745p-7, -0x1.9e0fec79758bdp-7, -0x1.9408396f8fe3ap-7, -0x1.8a3963ffadeebp-7, -0x1.80a251ff52803p-7, -0x1.7741ed72e8d3p-7, -0x1.6e1724883b4fap-7, -0x1.6520e99095e13p-7, -0x1.5c5e32fa9540fp-7, -0x1.53cdfb4bae7b7p-7, -0x1.4b6f41194b7fcp-7, -0x1.43410701b81cdp-7, -0x1.3b4253a4d03a1p-7, -0x1.3372319c469ecp-7, -0x1.2bcfaf73d991fp-7, -0x1.2459dfa122914p-7, -0x1.1d0fd87b58618p-7, -0x1.15f0b432ae0a3p-7, -0x1.0efb90c7ae4d5p-7, -0x1.082f9002509bfp-7, -0x1.018bd768db84bp-7, -0x1.f61f206d70b7p-8, -0x1.e973cea5ffe46p-8, -0x1.dd141a8e2377fp-8, -0x1.d0fe6c69c8dbcp-8, -0x1.c531339a7223p-8, -0x1.b9aae68bb5cc9p-8, -0x1.ae6a029f31805p-8, -0x1.a36d0c188bb86p-8, -0x1.98b28e092fe32p-8, -0x1.8e391a3c013cp-8, -0x1.83ff4920d4c88p-8, -0x1.7a03b9b7d4885p-8, -0x1.7045117cf100ap-8, -0x1.66c1fc52ffbe5p-8, -0x1.5d792c6ef6d63p-8, -0x1.54695a432ede5p-8, -0x1.4b91446a58a03p-8, -0x1.42efaf92abedfp-8, -0x1.3a83666900cbcp-8, -0x1.324b3983e2f7cp-8, -0x1.2a45ff4ea529fp-8, -0x1.227293f497cb5p-8, -0x1.1acfd94c2da97p-8, -0x1.135cb6c22a3cp-8, -0x1.0c18194503b4ap-8, -0x1.0500f3302c921p-8, -0x1.fc2c786ef8533p-9, -0x1.eeade2a583f22p-9, -0x1.e1842952ab30fp-9, -0x1.d4ad5afb99e62p-9, -0x1.c8279033983bep-9, -0x1.bbf0eb73ea8a8p-9, -0x1.b00798f3f30f8p-9, -0x1.a469ce81699a3p-9, -0x1.9915cb5933186p-9, -0x1.8e09d8000c19fp-9, -0x1.8344461be929bp-9, -0x1.78c3704d61486p-9, -0x1.6e85ba097d2c1p-9, -0x1.64898f73d7006p-9, -0x1.5acd6538fff45p-9, -0x1.514fb86961a28p-9, -0x1.480f0e5456137p-9, -0x1.3f09f4639ee42p-9, -0x1.363efff726bb5p-9, -0x1.2dacce417653ep-9, -0x1.25520423e0e81p-9, -0x1.1d2d4e0bcc57p-9, -0x1.153d5fcfe7463p-9, -0x1.0d80f48dbcb6bp-9, -0x1.05f6ce87ff1f5p-9, -0x1.fd3b6e099cebfp-10, -0x1.eee8fc5976bfbp-10, -0x1.e0f3f5d41cfe8p-10, -0x1.d35a15908efa7p-10, -0x1.c61923a8ba548p-10, -0x1.b92ef4fa47ce4p-10, -0x1.ac996ae83aa67p-10, -0x1.a056731da06d3p-10, -0x1.946407510b821p-10, -0x1.88c02d0865636p-10, -0x1.7d68f55e456dep-10, -0x1.725c7cc7a86fap-10, -0x1.6798eada7404cp-10, -0x1.5d1c7214fbc8ep-10, -0x1.52e54fa65492ep-10, -0x1.48f1cb3724aa4p-10, -0x1.3f4036b3dd661p-10, -0x1.35ceee172d17cp-10, -0x1.2c9c573541409p-10, -0x1.23a6e188c8e25p-10, -0x1.1aed05ff2d479p-10, -0x1.126d46c713229p-10, -0x1.0a262f1ebc266p-10, -0x1.021653236529cp-10, -0x1.f4789f4385a9dp-11, -0x1.e52d93cdacee8p-11, -0x1.d648df239a486p-11, -0x1.c7c7eccce25bp-11, -0x1.b9a83840d3c3p-11, -0x1.abe74c8f25b25p-11, -0x1.9e82c409110ep-11, -0x1.917847ec2d098p-11, -0x1.84c5900fc615fp-11, -0x1.786862921511ep-11, -0x1.6c5e938870eebp-11, -0x1.60a604af55c6bp-11, -0x1.553ca51d8bc9cp-11, -0x1.4a2070f71bf3dp-11, -0x1.3f4f7122f9dcep-11, -0x1.34c7bb0128431p-11, -0x1.2a87702296ee4p-11, -0x1.208cbe023bd4bp-11, -0x1.16d5ddbfb2ef7p-11, -0x1.0d6113dae5be5p-11, -0x1.042caff11e02dp-11, -0x1.f66e18f6fdefbp-12, -0x1.e4fd1d1cf506cp-12, -0x1.d4034b35f84fdp-12, -0x1.c37d965fddde1p-12, -0x1.b369057c4b952p-12, -0x1.a3c2b2b956a23p-12, -0x1.9487cb1c5f5dcp-12, -0x1.85b58e1088dd5p-12, -0x1.77494cf63e491p-12, -0x1.69406ab5d9629p-12, -0x1.5b985b53b06e4p-12, -0x1.4e4ea38732d7p-12, -0x1.4160d853795d5p-12, -0x1.34cc9ea2df25fp-12, -0x1.288faae333743p-12, -0x1.1ca7c0a5a1339p-12, -0x1.1112b24018036p-12, -0x1.05ce606f68f3ep-12, -0x1.f5b173fc37293p-13, -0x1.e05f76d47d666p-13, -0x1.cba2dd1e27bp-13, -0x1.b777d4a0659e6p-13, -0x1.a3daa48b91d81p-13, -0x1.90c7acd76f78dp-13, -0x1.7e3b65a3af22bp-13, -0x1.6c325e9c21504p-13, -0x1.5aa93e61251ep-13, -0x1.499cc1f2650c6p-13, -0x1.3909bc1d1c151p-13, -0x1.28ed14ee60453p-13, -0x1.1943c92897fe2p-13, -0x1.0a0ae9baed04dp-13, -0x1.f67f367a3ab84p-14, -0x1.d9be2adb63061p-14, -0x1.bdcd4566b7179p-14, -0x1.a2a73f437e886p-14, -0x1.8846f4fe9b6f7p-14, -0x1.6ea765a37b5f2p-14, -0x1.55c3b1d06de5cp-14, -0x1.3d971ad8f654ep-14, -0x1.261d01e98b972p-14, -0x1.0f50e730bfb4fp-14, -0x1.f25cd21c96ab6p-15, -0x1.c762868e71c3dp-15, -0x1.9daa9c7c5f4c9p-15, -0x1.752cfc6271b02p-15, -0x1.4de1c4f7c978ap-15, -0x1.27c149bd2728fp-15, -0x1.02c41195ac217p-15, -0x1.bdc5aac194514p-16, -0x1.782cfd54700a1p-16, -0x1.34b04cac86357p-16, -0x1.e6844d7a36628p-17, -0x1.67aae6420b082p-17, -0x1.d975c2d4d0c58p-18, -0x1.d66d99b1a3bf3p-19, -0x1.1a20f567935dp-24, 0x1.b6487b22a51ap-19, 0x1.b39d641d188ap-18, 0x1.4297d63f41867p-17, 0x1.a80355cef60efp-17, 0x1.051335aba95d1p-16, 0x1.348ae2c64b56ep-16, 0x1.6272c5846e4cep-16, 0x1.8ed4af0a9ba45p-16, 0x1.b9ba3020bfb74p-16, 0x1.e32c9afd11a61p-16, 0x1.059a827bcfe91p-15, 0x1.18ee241dc7d1ap-15, 0x1.2b9582b2f3e13p-15, 0x1.3d94d2907cd28p-15, 0x1.4ef02cd61fb48p-15, 0x1.5fab903022486p-15, 0x1.6fcae191a52b3p-15, 0x1.7f51ecebe2c5ap-15, 0x1.8e4465deae4a2p-15, 0x1.9ca5e866197a3p-15, 0x1.aa79f98190861p-15, 0x1.b7c407d78a6c4p-15, 0x1.c4876c52d93e3p-15, 0x1.d0c76abf2d642p-15, 0x1.dc87325c5f8d3p-15, 0x1.e7c9de73cfd92p-15, 0x1.f29276e25f098p-15, 0x1.fce3f0a560a03p-15, 0x1.0360972f2f3cbp-14, 0x1.0816806acafcbp-14, 0x1.0c9513bcfca95p-14, 0x1.10dda86d33619p-14, 0x1.14f18d8ed1ed2p-14, 0x1.18d20a3b38a6ap-14, 0x1.1c805dc9ef507p-14, 0x1.1ffdc0074b9adp-14, 0x1.234b616a08b94p-14, 0x1.266a6b468a842p-14, 0x1.295c0000b9c09p-14, 0x1.2c213b3d331c3p-14, 0x1.2ebb32103bd37p-14, 0x1.312af32b6ab1bp-14, 0x1.3371870ab768cp-14, 0x1.358ff01f68f83p-14, 0x1.37872af9c2862p-14, 0x1.39582e725db6fp-14, 0x1.3b03ebd0d08b4p-14, 0x1.3c8b4ef2c3d53p-14, 0x1.3def3e7106a59p-14, 0x1.3f309bc34357ap-14, 0x1.4050436369222p-14, 0x1.414f0cefac498p-14, 0x1.422dcb4b07843p-14, 0x1.42ed4cbda6dap-14, 0x1.438e5b13dcb77p-14, 0x1.4411bbbc3c205p-14, 0x1.44782fe4a5c08p-14, 0x1.44c2749679c03p-14, 0x1.44f142d26a7a2p-14, 0x1.45054faa7f258p-14, 0x1.44ff4c5ce2c7cp-14, 0x1.44dfe66bf8312p-14, 0x1.44a7c7b709faap-14, 0x1.44579691eb37cp-14, 0x1.43eff5db4749dp-14, 0x1.437185135c585p-14, 0x1.42dce07117a3p-14, 0x1.4232a0f724508p-14, 0x1.41735c87b59f2p-14, 0x1.409fa5f87a841p-14, 0x1.3fb80d2524dc7p-14, 0x1.3ebd1f02205afp-14, 0x1.3daf65ae3e4eap-14, 0x1.3c8f68842a49dp-14, 0x1.3b5dac2aeb0cap-14, 0x1.3a1ab2a62a54bp-14, 0x1.38c6fb6612921p-14, 0x1.3763035623cc6p-14, 0x1.35ef44ecbd931p-14, 0x1.346c3838e496bp-14, 0x1.32da52f069891p-14, 0x1.313a087d5c069p-14, 0x1.2f8bca0b06f6cp-14, 0x1.2dd006928a06fp-14, 0x1.2c072ae78c8a9p-14, 0x1.2a31a1c3c8ecfp-14, 0x1.284fd3d2bbfb6p-14, 0x1.266227bd10fe3p-14, 0x1.2469023326273p-14, 0x1.2264c5f7f8679p-14, 0x1.2055d3eb07e66p-14, 0x1.1e3c8b12b07afp-14, 0x1.1c1948a58bb6fp-14, 0x1.19ec6813fdd06p-14, 0x1.17b643112f01fp-14, 0x1.1577319bc835ep-14, 0x1.132f8a06c0ce5p-14, 0x1.10dfa10172e08p-14, 0x1.0e87c99feae36p-14, 0x1.0c285562cabd2p-14, 0x1.09c1943e9522dp-14, 0x1.0753d4a39272fp-14, 0x1.04df6384a644dp-14, 0x1.02648c5e36426p-14, 0x1.ffc7327b41877p-15, 0x1.fab9a58e4b515p-15, 0x1.f5a1007993e91p-15, 0x1.f07dcf08a5b3p-15, 0x1.eb509a5b6e3d4p-15, 0x1.e619e8f15383dp-15, 0x1.e0da3eb536476p-15, 0x1.db921d08c887fp-15, 0x1.d64202cf6ba99p-15, 0x1.d0ea6c78be9d6p-15, 0x1.cb8bd40b5c51cp-15, 0x1.c626b12e7761fp-15, 0x1.c0bb793467e2bp-15, 0x1.bb4a9f2376d2dp-15, 0x1.b5d493c0374dbp-15, 0x1.b059c59658d45p-15, 0x1.aadaa10139185p-15, 0x1.a5579035a74d4p-15, 0x1.9fd0fb4925cdfp-15, 0x1.9a47483b4c827p-15, 0x1.94badafd998e6p-15, 0x1.8f2c157b2a934p-15, 0x1.899b57a179b7dp-15, 0x1.8408ff66a261p-15, 0x1.7e7568d234ebbp-15, 0x1.78e0ee03a6fe4p-15, 0x1.734be739bef87p-15, 0x1.6db6aad9b249dp-15, 0x1.68218d762c5c7p-15, 0x1.628ce1d58aa87p-15, 0x1.5cf8f8f931716p-15, 0x1.57662223acd43p-15, 0x1.51d4aadef40f2p-15, 0x1.4c44df0299b19p-15, 0x1.46b708baaa88dp-15, 0x1.412b708c9258fp-15, 0x1.3ba25d5e2156ep-15, 0x1.361c147ac925fp-15, 0x1.3098d9995e101p-15, 0x1.2b18eee1eaf93p-15, 0x1.259c94f3659eap-15, 0x1.20240ae847a6ep-15, 0x1.1aaf8e5d44d7ep-15, 0x1.153f5b7574766p-15, 0x1.0fd3ace029e8cp-15, 0x1.0a6cbbddb1cdcp-15, 0x1.050ac044fb6d1p-15, 0x1.ff5be10f65e8fp-16, 0x1.f4ad036fdb93cp-16, 0x1.ea094f1942c19p-16, 0x1.df7128cdbb652p-16, 0x1.d4e4f2abc9ec2p-16, 0x1.ca650c38599d9p-16, 0x1.bff1d268bc15fp-16, 0x1.b58b9faa2a558p-16, 0x1.ab32cbebac754p-16, 0x1.a0e7aca78ec97p-16, 0x1.96aa94eaa8921p-16, 0x1.8c7bd55e79021p-16, 0x1.825bbc508cec2p-16, 0x1.784a95bc93245p-16, 0x1.6e48ab527c797p-16, 0x1.6456448107b45p-16, 0x1.5a73a67c99506p-16, 0x1.50a114479b321p-16, 0x1.46deceba9e656p-16, 0x1.3d2d148cfaf64p-16, 0x1.338c225b59d62p-16, 0x1.29fc32b0a33f5p-16, 0x1.207d7e0d57692p-16, 0x1.17103aeebb47p-16, 0x1.0db49dd737873p-16, 0x1.046ad955614a7p-16, 0x1.f6663c171055bp-17, 0x1.e41b356d8dc24p-17, 0x1.d1f4f86e1906p-17, 0x1.bff3db2b9ef7dp-17, 0x1.ae183019c6378p-17, 0x1.9c62461c10ff2p-17, 0x1.8ad26893a2318p-17, 0x1.7968df6e95eecp-17, 0x1.6825ef32773d3p-17, 0x1.5709d90d1967cp-17, 0x1.4614dae0aa659p-17, 0x1.35472f51f0f76p-17, 0x1.24a10dd45b2b9p-17, 0x1.1422aab86dc4ap-17, 0x1.03cc37388bed4p-17, 0x1.e73bc30a092a8p-18, 0x1.c72fa9a472ffp-18, 0x1.a77472caf894bp-18, 0x1.880a693fd23dep-18, 0x1.68f1d21896555p-18, 0x1.4a2aecd5f56dap-18, 0x1.2bb5f37e0e02p-18, 0x1.0d931ab32e76ap-18, 0x1.df85239874f0fp-19, 0x1.a48905d7c936dp-19, 0x1.6a32263312a6bp-19, 0x1.3080c4b2058bep-19, 0x1.eeea2f02a904fp-20, 0x1.7e1e9648b49dp-20, 0x1.0e9f0535e4df2p-20, 0x1.40d75e64761f7p-21, 0x1.9c25aad3a60c5p-23, -0x1.c0aec91431db4p-23, -0x1.44c7fd5f34acp-21, -0x1.0b65cef49ecc3p-20, -0x1.731b6e7f1c816p-20, -0x1.d985127492ea3p-20, -0x1.1f51801df472dp-19, -0x1.513ac691ec90bp-19, -0x1.827e8f08d9867p-19, -0x1.b31d1398b5d2cp-19, -0x1.e31695d11b40fp-19, -0x1.0935af4a65e78p-18, -0x1.208ddef79f1ebp-18, -0x1.37940577667cfp-18, -0x1.4e4851bec21fbp-18, -0x1.64aaf61c45facp-18, -0x1.7abc2826b79e7p-18, -0x1.907c20a7dee05p-18, -0x1.a5eb1b8bb085bp-18, -0x1.bb0957cdaf392p-18, -0x1.cfd71764ce043p-18, -0x1.e4549f330d67bp-18, -0x1.f88236f275b51p-18, -0x1.06301492bdcd7p-17, -0x1.0ff761811b461p-17, -0x1.19972a3150c7dp-17, -0x1.230f97da0d542p-17, -0x1.2c60d4f3911cdp-17, -0x1.358b0d2dc4cd3p-17, -0x1.3e8e6d6975214p-17, -0x1.476b23af00a33p-17, -0x1.50215f2753466p-17, -0x1.58b15013384a6p-17, -0x1.611b27c3e7bb4p-17, -0x1.695f1892f41e6p-17, -0x1.717d55dab2e95p-17, -0x1.797613ee2421p-17, -0x1.81498812d995ap-17, -0x1.88f7e877f50a9p-17, -0x1.90816c2ffcb5fp-17, -0x1.97e64b296448fp-17, -0x1.9f26be26a6fffp-17, -0x1.a642feb845ed5p-17, -0x1.ad3b4735a608ep-17, -0x1.b40fd2b6197b1p-17, -0x1.bac0dd09fa346p-17, -0x1.c14ea2b422303p-17, -0x1.c7b960e32b847p-17, -0x1.ce01556bbf6p-17, -0x1.d426bec1ca92bp-17, -0x1.da29dbf19b057p-17, -0x1.e00aec9a5e486p-17, -0x1.e5ca30e7d7ce8p-17, -0x1.eb67e98cbb73ep-17, -0x1.f0e457bc39ee2p-17, -0x1.f63fbd2488002p-17, -0x1.fb7a5be903ad6p-17, -0x1.004a3b4e4a422p-16, -0x1.02c7281df8fbap-16, -0x1.053416142c56ep-16, -0x1.079127111f329p-16, -0x1.09de7d220b8dcp-16, -0x1.0c1c3a7e33c3cp-16, -0x1.0e4a8184b7b45p-16, -0x1.106974ba21dcfp-16, -0x1.127936c570947p-16, -0x1.1479ea6e08061p-16, -0x1.166bb2991cb3fp-16, -0x1.184eb247a11f9p-16, -0x1.1a230c938c44fp-16, -0x1.1be8e4addab72p-16, -0x1.1da05ddc6763p-16, -0x1.1f499b777fdcfp-16, -0x1.20e4c0e7a55bfp-16, -0x1.2271f1a3ad8abp-16, -0x1.23f1512ebf517p-16, -0x1.25630315fe33p-16, -0x1.26c72aeec2e5p-16, -0x1.281dec54883ffp-16, -0x1.29676ae70b575p-16, -0x1.2aa3ca4851a1cp-16, -0x1.2bd32e1b01febp-16, -0x1.2cf5ba00788efp-16, -0x1.2e0b9196dcb6fp-16, -0x1.2f14d8778e515p-16, -0x1.3011b2357c8b4p-16, -0x1.3102425b5184ap-16, -0x1.31e6ac69deca3p-16, -0x1.32bf13d67c1eep-16, -0x1.338b9c09876adp-16, -0x1.344c685ce1c82p-16, -0x1.35019c1a3179cp-16, -0x1.35ab5a79bd5d8p-16, -0x1.3649c6a0ef048p-16, -0x1.36dd03a0ab002p-16, -0x1.37653474394ccp-16, -0x1.37e27bffb05b3p-16, -0x1.3854fd0ee9bafp-16, -0x1.38bcda53ff278p-16, -0x1.391a366638b66p-16, -0x1.396d33c0aea46p-16, -0x1.39b5f4c155c73p-16, -0x1.39f49ba7a213p-16, -0x1.3a294a9358ae4p-16, -0x1.3a542383aa151p-16, -0x1.3a754856134e9p-16, -0x1.3a8cdac525eb1p-16, -0x1.3a9afc67bef94p-16, -0x1.3a9fceafee002p-16, -0x1.3a9b72ea0db0bp-16, -0x1.3a8e0a3bc641dp-16, -0x1.3a77b5a321167p-16, -0x1.3a5895f5d0464p-16, -0x1.3a30cbe02f882p-16, -0x1.3a0077e46418ap-16, -0x1.39c7ba59b0829p-16, -0x1.3986b36b9f544p-16, -0x1.393d831954becp-16, -0x1.38ec4934ad0b5p-16, -0x1.38932561bc586p-16, -0x1.38323715e692cp-16, -0x1.37c99d975463dp-16, -0x1.375977fc653dp-16, -0x1.36e1e52aee3aep-16, -0x1.366303d7ada1cp-16, -0x1.35dcf285bac06p-16, -0x1.354fcf8616f7cp-16, -0x1.34bbb8f701839p-16, -0x1.3420ccc363c25p-16, -0x1.337f28a28d797p-16, -0x1.32d6ea17a346bp-16, -0x1.32282e7122bp-16, -0x1.317312c87101fp-16, -0x1.30b7b401b0cc3p-16, }}, 
      {{0x1.aa8ea19bb4487p-1, 0x1.aa894433c153cp-1, 0x1.aa81464b0cdeap-1, 0x1.aa779237c8b47p-1, 0x1.aa6ccd61e2d3ep-1, 0x1.aa6120a1d903p-1, 0x1.aa54225fa3136p-1, 0x1.aa44dab0eaa19p-1, 0x1.aa31d854e7703p-1, 0x1.aa194ea3ffe95p-1, 0x1.a9f936869813cp-1, 0x1.a9cf6e71a9682p-1, 0x1.a999d6f682175p-1, 0x1.a9566a9be9755p-1, 0x1.a9035087579fcp-1, 0x1.a89eea07912cp-1, 0x1.a827db681a5aep-1, 0x1.a79d10a4ba87p-1, 0x1.a6fdbea91d238p-1, 0x1.a64961cb1682dp-1, 0x1.a57fba24c5496p-1, 0x1.a4a0c663a30efp-1, 0x1.a3acbd8df3491p-1, 0x1.a2a4082b5dc28p-1, 0x1.a18739296d056p-1, 0x1.a05706c20cb2cp-1, 0x1.9f144399a0d1p-1, 0x1.9dbfd83bfaab8p-1, 0x1.9c5abd1363fa9p-1, 0x1.9ae5f4eb126ddp-1, 0x1.9962880651255p-1, 0x1.97d17fcf74e3p-1, 0x1.9633e31cd0ad4p-1, 0x1.948ab3065fa1bp-1, 0x1.92d6e84443757p-1, 0x1.9119710c85ee8p-1, 0x1.8f532f6580e09p-1, 0x1.8d84f7e1caf71p-1, 0x1.8baf90ba6f2d6p-1, 0x1.89d3b13c5dbb6p-1, 0x1.87f2017e75d57p-1, 0x1.860b1a5618c0dp-1, 0x1.841f8580dcc3fp-1, 0x1.822fbdfab9174p-1, 0x1.803c3078c0a91p-1, 0x1.7e453c01496a3p-1, 0x1.7c4b329b1b2f3p-1, 0x1.7a4e5a0df979dp-1, 0x1.784eecaf8d9cbp-1, 0x1.764d1a385884dp-1, 0x1.7449089ce9dd7p-1, 0x1.7242d4e82a4d4p-1, 0x1.703a941402591p-1, 0x1.6e3053de1c043p-1, 0x1.6c241b96e237fp-1, 0x1.6a15ece94030bp-1, 0x1.6805c499f1ebp-1, 0x1.65f39b3d7ee31p-1, 0x1.63df65e4383e7p-1, 0x1.61c916bbc4ba1p-1, 0x1.5fb09da5fccb1p-1, 0x1.5d95e8c4f3509p-1, 0x1.5b78e4fc387b1p-1, 0x1.59597e67722c4p-1, 0x1.5737a0c685d84p-1, 0x1.551337df9fff3p-1, 0x1.52ec2fd76f00fp-1, 0x1.50c2757ffe5dbp-1, 0x1.4e95f69e9b815p-1, 0x1.4c66a2293a2e4p-1, 0x1.4a34687bd3e71p-1, 0x1.47ff3b863a2e2p-1, 0x1.45c70ef2da0e1p-1, 0x1.438bd846e8528p-1, 0x1.414d8efc73911p-1, 0x1.3f0c2c96d138p-1, 0x1.3cc7acb1d590fp-1, 0x1.3a800d0c4b43p-1, 0x1.38354d8e113fep-1, 0x1.35e7704a46045p-1, 0x1.3396797de2795p-1, 0x1.31426f8b1e9ddp-1, 0x1.2eeb5af1f9096p-1, 0x1.2c9146463233ap-1, 0x1.2a343e2306b56p-1, 0x1.27d4511cf3b93p-1, 0x1.25718fb1c5278p-1, 0x1.230c0c372cab9p-1, 0x1.20a3dac81dd26p-1, 0x1.1e3911311e51ap-1, 0x1.1bcbc6dbc1719p-1, 0x1.195c14b9790a5p-1, 0x1.16ea152de2c7dp-1, 0x1.1475e3f8bcdp-1, 0x1.11ff9e1f9c647p-1, 0x1.0f8761d78cc58p-1, 0x1.0d0d4e6eac8a4p-1, 0x1.0a918435e3d28p-1, 0x1.0814246accd3fp-1, 0x1.05955121dc9ddp-1, 0x1.03152d30e3293p-1, 0x1.0093dc19ef3fcp-1, 0x1.fc2303ed4581ap-2, 0x1.f71c86c80f164p-2, 0x1.f2148addd2016p-2, 0x1.ed0b5b017c79p-2, 0x1.e801429a59ca2p-2, 0x1.e2f68d804af99p-2, 0x1.ddeb87d9493f5p-2, 0x1.d8e07df82bc3bp-2, 0x1.d3d5bc3cbf91bp-2, 0x1.cecb8ef5314f4p-2, 0x1.c9c24240c7d88p-2, 0x1.c4ba21f3f6c95p-2, 0x1.bfb3797dc027cp-2, 0x1.baae93ce6a06cp-2, 0x1.b5abbb3f7ee4cp-2, 0x1.b0ab397d1af89p-2, 0x1.abad57707a8d3p-2, 0x1.a6b25d2bcc0fep-2, 0x1.a1ba91d7366b6p-2, 0x1.9cc63b9f16c5ap-2, 0x1.97d59fa36639bp-2, 0x1.92e901e844ebdp-2, 0x1.8e00a547a0c9ep-2, 0x1.891ccb63f321bp-2, 0x1.843db49c068a1p-2, 0x1.7f639fffc3ccdp-2, 0x1.7a8ecb45f6dd2p-2, 0x1.75bf72c30b6a7p-2, 0x1.70f5d160af77fp-2, 0x1.6c3220965802ep-2, 0x1.67749862a2717p-2, 0x1.62bd6f4584465p-2, 0x1.5e0cda3b412e2p-2, 0x1.59630cb826f69p-2, 0x1.54c038a4fac33p-2, 0x1.50248e5c1be5cp-2, 0x1.4b903ca74b33cp-2, 0x1.470370be14343p-2, 0x1.427e5644cd993p-2, 0x1.3e01174c2d7f1p-2, 0x1.398bdc5163d04p-2, 0x1.351ecc3ebcffp-2, 0x1.30ba0c6cb9bd1p-2, 0x1.2c5dc0a3a2488p-2, 0x1.280a0b1d86cb1p-2, 0x1.23bf0c88a4e15p-2, 0x1.1f7ce40a347c2p-2, 0x1.1b43af418e7afp-2, 0x1.17138a4ba9793p-2, 0x1.12ec8fc6ea9d1p-2, 0x1.0eced8d73e862p-2, 0x1.0aba7d2a7b3edp-2, 0x1.06af92fd03b54p-2, 0x1.02ae2f1ea7046p-2, 0x1.fd6cc9ef73967p-3, 0x1.f5908d1cbfc95p-3, 0x1.edc7c91814ebbp-3, 0x1.e6129c8635dbbp-3, 0x1.de7123696beb9p-3, 0x1.d6e3772d634abp-3, 0x1.cf69aeb34f8ffp-3, 0x1.c803de5e4dd62p-3, 0x1.c0b2181fed8cdp-3, 0x1.b9746b84f2753p-3, 0x1.b24ae5c23022p-3, 0x1.ab3591c19252fp-3, 0x1.a434782f3606cp-3, 0x1.9d479f869eb34p-3, 0x1.966f0c1ff6ec5p-3, 0x1.8faac03d64653p-3, 0x1.88fabc18594dep-3, 0x1.825efdeef201bp-3, 0x1.7bd782114d6dbp-3, 0x1.756442eedf5p-3, 0x1.6f053923bfd2ep-3, 0x1.68ba5b85e6eccp-3, 0x1.62839f3262793p-3, 0x1.5c60f79a6f4b4p-3, 0x1.565256908a54dp-3, 0x1.5057ac555b1ap-3, 0x1.4a70e7a49396cp-3, 0x1.449df5c1a50a5p-3, 0x1.3edec2846168ep-3, 0x1.3933386576fa7p-3, 0x1.339b408ac545bp-3, 0x1.2e16c2d39878fp-3, 0x1.28a5a5e4b2af5p-3, 0x1.2347cf34366d3p-3, 0x1.1dfd2315635edp-3, 0x1.18c584c427fd8p-3, 0x1.13a0d6708d61cp-3, 0x1.0e8ef949ee4e9p-3, 0x1.098fcd8a094bdp-3, 0x1.04a3327fddf8cp-3, 0x1.ff920d34b9446p-4, 0x1.f6024ee5d0359p-4, 0x1.ec96e3af491dap-4, 0x1.e34f83ab3135fp-4, 0x1.da2be5852df0fp-4, 0x1.d12bbe8dfda3ep-4, 0x1.c84ec2ce82522p-4, 0x1.bf94a51a78075p-4, 0x1.b6fd1722b716p-4, 0x1.ae87c98720225p-4, 0x1.a6346be817959p-4, 0x1.9e02acf7a212cp-4, 0x1.95f23a8a191f8p-4, 0x1.8e02c1a678892p-4, 0x1.8633ee965102fp-4, 0x1.7e856cf54ab49p-4, 0x1.76f6e7c04d5c2p-4, 0x1.6f8809643f3c6p-4, 0x1.68387bcc65ed2p-4, 0x1.6107e87062307p-4, 0x1.59f5f861ceb85p-4, 0x1.530254597a4b8p-4, 0x1.4c2ca4c44723ap-4, 0x1.457491cfa8d5bp-4, 0x1.3ed9c375c719cp-4, 0x1.385be18942474p-4, 0x1.31fa93c09efa5p-4, 0x1.2bb581c157796p-4, 0x1.258c532a91cd7p-4, 0x1.1f7eaf9f8195dp-4, 0x1.198c3ed16fc96p-4, 0x1.13b4a88972f41p-4, 0x1.0df794b1cc53p-4, 0x1.0854ab5ef7e36p-4, 0x1.02cb94d868b3fp-4, 0x1.fab7f341ed276p-5, 0x1.f00b04fdf70f9p-5, 0x1.e58fb1084b385p-5, 0x1.db454a29f6989p-5, 0x1.d12b23e02f3c8p-5, 0x1.c740926a347c1p-5, 0x1.bd84ead6a3dd9p-5, 0x1.b3f7831042fd5p-5, 0x1.aa97b1ea39343p-5, 0x1.a164cf2bc7c37p-5, 0x1.985e339b7ae4fp-5, 0x1.8f833909dd99cp-5, 0x1.86d33a5ba8d3ap-5, 0x1.7e4d93937aa4p-5, 0x1.75f1a1db14bcp-5, 0x1.6dbec38c212ffp-5, 0x1.65b458388866p-5, 0x1.5dd1c0b251269p-5, 0x1.56165f13182d6p-5, 0x1.4e8196c318321p-5, 0x1.4712cc7fc6462p-5, 0x1.3fc9666213c7p-5, 0x1.38a4cbe44012ap-5, 0x1.31a465e74e67bp-5, 0x1.2ac79eb81f3c9p-5, 0x1.240de2142d0d9p-5, 0x1.1d769d2debedep-5, 0x1.17013eb0d8866p-5, 0x1.10ad36c52ca78p-5, 0x1.0a79f71348361p-5, 0x1.0466f2c6c6009p-5, 0x1.fce73d22843cdp-6, 0x1.f13ee159b766fp-6, 0x1.e5d3c1bcd296ep-6, 0x1.daa4d0eecf16p-6, 0x1.cfb104af48a6bp-6, 0x1.c4f755dd53049p-6, 0x1.ba76c079c6e14p-6, 0x1.b02e43a91ce15p-6, 0x1.a61ce1b4cedcap-6, 0x1.9c41a00c417e4p-6, 0x1.929b874545befp-6, 0x1.8929a31c26f7cp-6, 0x1.7feb027359f6p-6, 0x1.76deb752c064p-6, 0x1.6e03d6e69220cp-6, 0x1.6559797de796ep-6, 0x1.5cdeba88ecd2bp-6, 0x1.5492b896bbedap-6, 0x1.4c749552e68d4p-6, 0x1.44837582b416dp-6, 0x1.3cbe810213e34p-6, 0x1.3524e2c03bb62p-6, 0x1.2db5c8bc1a93ap-6, 0x1.26706400658dcp-6, 0x1.1f53e89f89d38p-6, 0x1.185f8daf477f5p-6, 0x1.11928d4422dfdp-6, 0x1.0aec246c944fcp-6, 0x1.046b932c0bb92p-6, 0x1.fc2038eb81727p-7, 0x1.efb20c4e9a93ep-7, 0x1.e38b32064d48dp-7, 0x1.d7aa4155cb2afp-7, 0x1.cc0dd732cc035p-7, 0x1.c0b4963989455p-7, 0x1.b59d26a075fb2p-7, 0x1.aac6362ba0d8dp-7, 0x1.a02e781ff3205p-7, 0x1.95d4a53626564p-7, 0x1.8bb77b8d7d72bp-7, 0x1.81d5be9e6624ap-7, 0x1.782e372cc874dp-7, 0x1.6ebfb33a4b26fp-7, 0x1.658905f85a2cep-7, 0x1.5c8907ba1acf9p-7, 0x1.53be95e637069p-7, 0x1.4b2892e882d01p-7, 0x1.42c5e62395b6fp-7, 0x1.3a957be24bff3p-7, 0x1.329645492677dp-7, 0x1.2ac73847a5a8p-7, 0x1.23274f8990276p-7, 0x1.1bb58a682ff54p-7, 0x1.1470ecdb7ec7cp-7, 0x1.0d587f6b525b4p-7, 0x1.066b4f2084409p-7, 0x1.ff50daec1df32p-8, 0x1.f21de09462d4dp-8, 0x1.e53be39f1fcd7p-8, 0x1.d8a920fcad4dbp-8, 0x1.cc63de0ae4636p-8, 0x1.c06a68775862p-8, 0x1.b4bb1621f0ce7p-8, 0x1.a95444ff5eb3cp-8, 0x1.9e345afbc772ap-8, 0x1.9359c5dd84ad3p-8, 0x1.88c2fb27f6c6ap-8, 0x1.7e6e77fe90ceap-8, 0x1.745ac107ec4e4p-8, 0x1.6a8662511560bp-8, 0x1.60efef31089d9p-8, 0x1.5796022c31dc1p-8, 0x1.4e773cd8543b8p-8, 0x1.459247c07423cp-8, 0x1.3ce5d248fd82ap-8, 0x1.347092942b9e9p-8, 0x1.2c3145669730ap-8, 0x1.2426ae0c038c2p-8, 0x1.1c4f963c59ef7p-8, 0x1.14aace00effbap-8, 0x1.0d372b99fdbfp-8, 0x1.05f38b6446209p-8, 0x1.fdbd9f7e2feddp-9, 0x1.efefc1e500c06p-9, 0x1.e27b5a2b5b095p-9, 0x1.d55e4feb62a8ep-9, 0x1.c89695f8db4c2p-9, 0x1.bc222a2f9db9ap-9, 0x1.afff154298bb1p-9, 0x1.a42b6a8b444ep-9, 0x1.98a547d9afa4cp-9, 0x1.8d6ad54509df8p-9, 0x1.827a44fce1bbfp-9, 0x1.77d1d31ac1971p-9, 0x1.6d6fc57463fe3p-9, 0x1.63526b6e80cfbp-9, 0x1.59781dd03b5c3p-9, 0x1.4fdf3e96f66cbp-9, 0x1.468638cacb8a8p-9, 0x1.3d6b8053a978dp-9, 0x1.348d91ced0b1cp-9, 0x1.2beaf2650d9a8p-9, 0x1.23822fa17671ep-9, 0x1.1b51df48a3f87p-9, 0x1.13589f309f5d8p-9, 0x1.0b9515193611p-9, 0x1.0405ee850009fp-9, 0x1.f953c125d02ecp-10, 0x1.eaff4fb079fadp-10, 0x1.dd0c1076b642ep-10, 0x1.cf77999d9e7e5p-10, 0x1.c23f8f5a6ec8cp-10, 0x1.b561a3aabe128p-10, 0x1.a8db960e874f3p-10, 0x1.9cab33429ebb9p-10, 0x1.90ce54fcb7f46p-10, 0x1.8542e1a848bb2p-10, 0x1.7a06cc246a2e8p-10, 0x1.6f181382f0c27p-10, 0x1.6474c2c874097p-10, 0x1.5a1af0ad6db69p-10, 0x1.5008bf606918p-10, 0x1.463c5c49195fdp-10, 0x1.3cb3ffcc9028ap-10, 0x1.336ded1262aa8p-10, 0x1.2a6871caef2b2p-10, 0x1.21a1e5f65c33dp-10, 0x1.1918abacebcd5p-10, 0x1.10cb2ee7e6ba7p-10, 0x1.08b7e54bd0762p-10, 0x1.00dd4df34ab8cp-10, 0x1.f273e2764f42bp-11, 0x1.e398c11e42154p-11, 0x1.d5266c6f76474p-11, 0x1.c71a2a51dcdafp-11, 0x1.b97151a36d048p-11, 0x1.ac2949d9288d8p-11, 0x1.9f3f8aa197d26p-11, 0x1.92b19b8981b54p-11, 0x1.867d13a1abb32p-11, 0x1.7a9f9926ccb2dp-11, 0x1.6f16e12b20694p-11, 0x1.63e0af413fe65p-11, 0x1.58fad528e132dp-11, 0x1.4e63327d333bap-11, 0x1.4417b464bb3f7p-11, 0x1.3a165542b8792p-11, 0x1.305d1c69f661ap-11, 0x1.26ea1dd16f446p-11, 0x1.1dbb79ca1729ap-11, 0x1.14cf5cb6595a2p-11, 0x1.0c23fec2d3d6ap-11, 0x1.03b7a3a0aee3fp-11, 0x1.f7113482849dp-12, 0x1.e72a792608af3p-12, 0x1.d7b7de8026ba7p-12, 0x1.c8b642dba5ce2p-12, 0x1.ba2298fbdf465p-12, 0x1.abf9e7a1a802fp-12, 0x1.9e39491246bcep-12, 0x1.90ddeaa1550e2p-12, 0x1.83e50c3cb7f3cp-12, 0x1.774bfffb71e5bp-12, 0x1.6b1029ae55769p-12, 0x1.5f2efe73bb6bdp-12, 0x1.53a6044cabedcp-12, 0x1.4872d1b522278p-12, 0x1.3d930d3de286p-12, 0x1.33046d28fd0f8p-12, 0x1.28c4b7080f63ep-12, 0x1.1ed1bf5cf114dp-12, 0x1.1529693c4e098p-12, 0x1.0bc9a5f241d82p-12, 0x1.02b074a910e8p-12, 0x1.f3b7c4235c962p-13, 0x1.e294101d17ecbp-13, 0x1.d1f21abf43735p-13, 0x1.c1ce4aa25abf3p-13, 0x1.b2251ed6ed524p-13, 0x1.a2f32e49d9ef4p-13, 0x1.9435272b9b5acp-13, 0x1.85e7ce5af4008p-13, 0x1.7807fed3386fbp-13, 0x1.6a92a91da15c6p-13, 0x1.5d84d2c61b248p-13, 0x1.50db95d3679cap-13, 0x1.44942041d162ep-13, 0x1.38abb381669e9p-13, 0x1.2d1fa3f759e4p-13, 0x1.21ed588193585p-13, 0x1.171249fe2b6eap-13, 0x1.0c8c02d4cdd66p-13, 0x1.02581e8362148p-13, 0x1.f0e8925aee5b5p-14, 0x1.ddbc7e5be3271p-14, 0x1.cb2799578695cp-14, 0x1.b9259a62064eap-14, 0x1.a7b256886df51p-14, 0x1.96c9c009949bp-14, 0x1.8667e5927e58ap-14, 0x1.7688f17fe0954p-14, 0x1.6729292462245p-14, 0x1.5844ec1377538p-14, 0x1.49d8b3700eb6dp-14, 0x1.3be1114000fd3p-14, 0x1.2e5aafc40c242p-14, 0x1.214250d2edf74p-14, 0x1.1494cd39be142p-14, 0x1.084f141f18af2p-14, 0x1.f8dc54d5caefcp-15, 0x1.e1de546381833p-15, 0x1.cb9e8447bd849p-15, 0x1.b61769ff05b4ep-15, 0x1.a143b20ffb754p-15, 0x1.8d1e2efc2466ep-15, 0x1.79a1d83c0b3ecp-15, 0x1.66c9c93ef7551p-15, 0x1.5491407170c1dp-15, 0x1.42f39e4bee251p-15, 0x1.31ec646552746p-15, 0x1.2177348d5e0c5p-15, 0x1.118fcfeb41ec7p-15, 0x1.023216235bbcbp-15, 0x1.e6b40903ec7e4p-16, 0x1.ca076a57ac4aep-16, 0x1.ae56bca5f799p-16, 0x1.939aa2e5dbe71p-16, 0x1.79cbf51f9f3e3p-16, 0x1.60e3bef75f13bp-16, 0x1.48db3e40ad67fp-16, 0x1.31abe19c9c5ap-16, 0x1.1b4f471ec2989p-16, 0x1.05bf3aff00c11p-16, 0x1.e1eb6ca14ca6dp-17, 0x1.b9d9bb87b3bb2p-17, 0x1.933e00e0341c3p-17, 0x1.6e0d2d49c4b4ep-17, 0x1.4a3c818963d71p-17, 0x1.27c18c4a3d807p-17, 0x1.069227f543bb6p-17, 0x1.cd48f11ccf257p-18, 0x1.8fddd3529c70ap-18, 0x1.54d058c51ce21p-18, 0x1.1c0e6adf9f214p-18, 0x1.cb0cece4cc522p-19, 0x1.624ecff8283dcp-19, 0x1.fb82a054bea4ep-20, 0x1.3a885fc37bd64p-20, 0x1.02e06fa0f98a5p-21, -0x1.8015b30937dc7p-23, -0x1.b4171e07ae688p-21, -0x1.7ce3c823d47bcp-20, -0x1.0c619ae5641d9p-19, -0x1.56f00af8705f2p-19, -0x1.9e378df338d97p-19, -0x1.e251bdc60f682p-19, -0x1.11abbd116bffap-18, -0x1.30b076dfb677p-18, -0x1.4e42c9bf8842fp-18, -0x1.6a6e1db96204ep-18, -0x1.853d87da7aa16p-18, -0x1.9ebbcc935b25fp-18, -0x1.b6f362028b8ffp-18, -0x1.cdee722e96a26p-18, -0x1.e3b6dd367fceep-18, -0x1.f8563b677427cp-18, -0x1.05eaefa73901dp-17, -0x1.0f1f6bda30cc2p-17, -0x1.17ccf8c769f72p-17, -0x1.1ff7dcef69bd4p-17, -0x1.27a43fc20acc9p-17, -0x1.2ed62a845533ep-17, -0x1.3591892a422cfp-17, -0x1.3bda2b2f66e04p-17, -0x1.41b3c46559c78p-17, -0x1.4721edc05e343p-17, -0x1.4c2826196def4p-17, -0x1.50c9d2ef90b81p-17, -0x1.550a411f528b2p-17, -0x1.58eca597ddc69p-17, -0x1.5c741e09b30b5p-17, -0x1.5fa3b1911f761p-17, -0x1.627e5159bee0ep-17, -0x1.6506d9412034cp-17, -0x1.6740106fcf20ap-17, -0x1.692ca9f1ab1bfp-17, -0x1.6acf4548bcf76p-17, -0x1.6c2a6efab1e42p-17, -0x1.6d40a11ca1d02p-17, -0x1.6e1443d7f1c9fp-17, -0x1.6ea7aded6efd4p-17, -0x1.6efd25334e8f6p-17, -0x1.6f16df116d48dp-17, -0x1.6ef700f6507c5p-17, -0x1.6e9fa0cd7deb5p-17, -0x1.6e12c56d6925ep-17, -0x1.6d526706eeac1p-17, -0x1.6c606f8d3581p-17, -0x1.6b3ebb1ddd203p-17, -0x1.69ef1864c477p-17, -0x1.687348fc281f4p-17, -0x1.66cd01cb1ea9cp-17, -0x1.64fdeb6107cfp-17, -0x1.6307a24da0b24p-17, -0x1.60ebb777e69e9p-17, -0x1.5eabb0708fe6ap-17, -0x1.5c4907c45988cp-17, -0x1.59c52d48c2158p-17, -0x1.5721866a84c8cp-17, -0x1.545f6e767d927p-17, -0x1.518036e185647p-17, -0x1.4e85278eb4a35p-17, -0x1.4b6f7f132dc9cp-17, -0x1.484072f75604cp-17, -0x1.44f92ff7365b8p-17, -0x1.419ada402c1e1p-17, -0x1.3e268dad5ddb3p-17, -0x1.3a9d5e01b19f5p-17, -0x1.37005720828a9p-17, -0x1.33507d45144e6p-17, -0x1.2f8ecd3785a4cp-17, -0x1.2bbc3c810c2f7p-17, -0x1.27d9b99dd10ap-17, -0x1.23e82c2e54723p-17, -0x1.1fe875265b141p-17, -0x1.1bdb6efae06fp-17, -0x1.17c1edcfe47a5p-17, -0x1.139cbfa261fe2p-17, -0x1.0f6cac737bebbp-17, -0x1.0b327670df785p-17, -0x1.06eeda1cf6f23p-17, -0x1.02a28e74dd226p-17, -0x1.fc9c8a2cf9451p-18, -0x1.f3e554c9a98c2p-18, -0x1.eb20cb55633c1p-18, -0x1.e250327ba8cc3p-18, -0x1.d974c53fcd72ep-18, -0x1.d08fb53d80875p-18, -0x1.c7a22ae8c0fdcp-18, -0x1.bead45caa7d3ep-18, -0x1.b5b21cbb73c84p-18, -0x1.acb1be1e76b3ep-18, -0x1.a3ad3018722afp-18, -0x1.9aa570c6df992p-18, -0x1.919b7674cf447p-18, -0x1.88902fce05624p-18, -0x1.7f848411c95ap-18, -0x1.767953436142p-18, -0x1.6d6f76589384bp-18, -0x1.6467bf686f6cbp-18, -0x1.5b62f9d7df52p-18, -0x1.5261ea851edecp-18, -0x1.49654ff181d93p-18, -0x1.406de26b0df65p-18, -0x1.377c5434a407bp-18, -0x1.2e9151abff2e2p-18, -0x1.25ad81714abdfp-18, -0x1.1cd1848a8babp-18, -0x1.13fdf687b80c1p-18, -0x1.0b336da62ea64p-18, -0x1.02727af1aa90ap-18, -0x1.f37754cc7edfbp-19, -0x1.e21f061f862dfp-19, -0x1.d0dd0e5463d57p-19, -0x1.bfb2687d77068p-19, -0x1.aea0068536a3dp-19, -0x1.9da6d1678e05ap-19, -0x1.8cc7a96a7495cp-19, -0x1.7c0366533f404p-19, -0x1.6b5ad79ef5c49p-19, -0x1.5acec4b3fc8d1p-19, -0x1.4a5fed15545bp-19, -0x1.3a0f0895acfafp-19, -0x1.29dcc7849e549p-19, -0x1.19c9d2e108ff3p-19, -0x1.09d6cc8562f82p-19, -0x1.f4089ea9ef3a9p-20, -0x1.d4a5dece42d52p-20, -0x1.b586746556fccp-20, -0x1.96ab6d6aa049ep-20, -0x1.7815cb3e70acfp-20, -0x1.59c682f0f1446p-20, -0x1.3bbe7d8f07587p-20, -0x1.1dfe98709c6fap-20, -0x1.0087a57fe9dcep-20, -0x1.c6b4d705107eap-21, -0x1.8cef4cbce8fc7p-21, -0x1.53c00ebfeb67ap-21, -0x1.1b286af819b0ap-21, -0x1.c6533646e8318p-22, -0x1.57898aa5b55f1p-22, -0x1.d3ebf19297ae5p-23, -0x1.f66a042f310bbp-24, -0x1.278ff3e54cb19p-26, 0x1.5db3517966f78p-24, 0x1.802ac868f4ad1p-23, 0x1.277f3c896605bp-22, 0x1.8da90a94354e7p-22, 0x1.f2919bae9b9bdp-22, 0x1.2b1bee47d649fp-21, 0x1.5c4d6c3418578p-21, 0x1.8cdcdc1962e4ep-21, 0x1.bcc9e0f218a9p-21, 0x1.ec142bda1069cp-21, 0x1.0d5dbdd644f0fp-20, 0x1.245fce573b196p-20, 0x1.3b103418be39p-20, 0x1.516ee21e85fc5p-20, 0x1.677bd19b0555fp-20, 0x1.7d3701c7e6c37p-20, 0x1.92a077bc5cdbbp-20, 0x1.a7b83e43dcf01p-20, 0x1.bc7e65b767617p-20, 0x1.d0f303d7b315fp-20, 0x1.e51633a6691ffp-20, 0x1.f8e8154167355p-20, 0x1.063466dfb6158p-19, 0x1.0fcc438535e2bp-19, 0x1.193bb7dfa90d9p-19, 0x1.2282dd84d24b5p-19, 0x1.2ba1d04197256p-19, 0x1.3498ae0a76f89p-19, 0x1.3d6796e94c79p-19, 0x1.460eacf05d5ap-19, 0x1.4e8e1428b89e6p-19, 0x1.56e5f2847f5f2p-19, 0x1.5f166fcfbd36ep-19, 0x1.671fb5a147983p-19, 0x1.6f01ef4d5a2a9p-19, 0x1.76bd49d761e6cp-19, 0x1.7e51f3e420651p-19, 0x1.85c01dabf4113p-19, 0x1.8d07f8eeebce1p-19, 0x1.9429b8e723562p-19, 0x1.9b25923bbfde1p-19, 0x1.a1fbbaf59d0eap-19, 0x1.a8ac6a724f6b5p-19, 0x1.af37d958aaaccp-19, 0x1.b59e418d1b25ap-19, 0x1.bbdfde263274ep-19, 0x1.c1fceb60e8b4p-19, 0x1.c7f5a697479c8p-19, 0x1.cdca4e332fd33p-19, 0x1.d37b21a5b2b85p-19, 0x1.d908615c41167p-19, 0x1.de724eb674e2bp-19, 0x1.e3b92bfbe4c96p-19, 0x1.e8dd3c52ef085p-19, 0x1.eddec3b6ee679p-19, 0x1.f2be06eee6864p-19, 0x1.f77b4b83fcd9p-19, 0x1.fc16d7b938832p-19, 0x1.0048794130aefp-18, 0x1.0274f1bd6dc5p-18, 0x1.0490f96edb213p-18, 0x1.069cb4bef0a74p-18, 0x1.0898485e7425dp-18, 0x1.0a83d9420c40ep-18, 0x1.0c5f8c9e0a763p-18, 0x1.0e2b87e2d9b6bp-18, 0x1.0fe7f0b8ba019p-18, 0x1.1194ecfd07739p-18, 0x1.1332a2bdd9a2fp-18, 0x1.14c13836b88cfp-18, 0x1.1640d3cd6b737p-18, 0x1.17b19c0e67bfep-18, 0x1.1913b7a971797p-18, 0x1.1a674d6ea5835p-18, 0x1.1bac844b259ap-18, 0x1.1ce383460cf3bp-18, 0x1.1e0c717da6e14p-18, 0x1.1f2776242af03p-18, 0x1.2034b87d09bd5p-18, 0x1.21345fd9f451p-18, 0x1.222693986af34p-18, 0x1.230b7b1ec1125p-18, 0x1.23e33dd9a77a6p-18, 0x1.24ae033974d53p-18, 0x1.256bf2afd75ecp-18, 0x1.261d33ad4fd5dp-18, 0x1.26c1ed9e8f069p-18, 0x1.275a47ea7b5e8p-18, 0x1.27e669efd10c4p-18, 0x1.28667b02c1d49p-18, 0x1.28daa26ad7c6bp-18, 0x1.2943076109cd7p-18, 0x1.299fd10d5fd78p-18, 0x1.29f12685288e2p-18, 0x1.2a372ec8f96f8p-18, 0x1.2a7210c2a76aap-18, 0x1.2aa1f3436a6d6p-18, 0x1.2ac6fd0248b79p-18, 0x1.2ae1549a0687ap-18, 0x1.2af120879f8cfp-18, 0x1.2af687287ae42p-18, 0x1.2af1aeb8f6b2p-18, 0x1.2ae2bd52abfa2p-18, 0x1.2ac9d8eaeefc2p-18, 0x1.2aa7275140946p-18, 0x1.2a7ace2dfab2dp-18, 0x1.2a44f300d2bd6p-18, 0x1.2a05bb1f6ca92p-18, 0x1.29bd4bb445fd7p-18, 0x1.296bc9bd27348p-18, 0x1.29115a09e6638p-18, 0x1.28ae213b5f366p-18, 0x1.284243c22eacdp-18, 0x1.27cde5dd8835cp-18, 0x1.27512b9a218fp-18, 0x1.26cc38d142196p-18, 0x1.263f31278b44dp-18, 0x1.25aa380c0b59dp-18, 0x1.250d70b74ba63p-18, 0x1.2468fe2a7d80ep-18, 0x1.23bd032e679afp-18, 0x1.2309a252a1234p-18, 0x1.224efdecd793ep-18, 0x1.218d3817fa454p-18, 0x1.20c472b3603d5p-18, 0x1.1ff4cf620960ap-18, 0x1.1f1e6f8a05af4p-18, 0x1.1e417453b504cp-18, 0x1.1d5dfea93aba2p-18, 0x1.1c742f35e045cp-18, 0x1.1b8426656ce85p-18, 0x1.1a8e04638e106p-18, 0x1.1991e91b59f96p-18, 0x1.188ff436ee893p-18, 0x1.1788451ed3f0ap-18, 0x1.167afaf9875bfp-18, 0x1.156834ab2713p-18, 0x1.145010d50e751p-18, 0x1.1332add55a9c2p-18, 0x1.121029c698813p-18, 0x1.10e8a27f690a5p-18, 0x1.0fbc35924439dp-18, 0x1.0e8b004d3698fp-18, 0x1.0d551fb99365ep-18, 0x1.0c1ab09b997eep-18, 0x1.0adbcf726542ap-18, 0x1.09989877a837ep-18, 0x1.0851279f8ac9bp-18, 0x1.0705989867644p-18, 0x1.05b606cac2633p-18, 0x1.04628d592653ap-18, 0x1.030b47200e566p-18, 0x1.01b04eb5d1155p-18, 0x1.0051be6a69b65p-18, 0x1.fddf608f37c49p-19, 0x1.fb147c217b2b2p-19, 0x1.f8430285c1421p-19, 0x1.f56b2629a14b4p-19, 0x1.f28d18edf80bp-19, 0x1.efa90c26e60dp-19, 0x1.ecbf309c39228p-19, 0x1.e9cfb68972263p-19, 0x1.e6dacd9d911a4p-19, 0x1.e3e0a4fba8bb9p-19, 0x1.e0e16b3b386f3p-19, 0x1.dddd4e682d694p-19, 0x1.dad47c0327da3p-19, 0x1.d7c721019eac3p-19, 0x1.d4b569ce73a98p-19, 0x1.d19f8249fc226p-19, 0x1.ce8595caa4104p-19, 0x1.cb67cf1d7c78cp-19, 0x1.c8465886481bfp-19, 0x1.c5215bbfcd504p-19, 0x1.c1f901fc9564bp-19, 0x1.becd73e779dcbp-19, 0x1.bb9ed9a3ec7ebp-19, 0x1.b86d5ace603eep-19, 0x1.b5391e7ce201dp-19, 0x1.b2024b40278c9p-19, 0x1.aec90723b0f3ep-19, 0x1.ab8d77ae4083bp-19, 0x1.a84fc1e2aee2p-19, 0x1.a5100a4051ab6p-19, 0x1.a1ce74c3af4dfp-19, 0x1.9e8b24e7752f6p-19, 0x1.9b463da4cf4c3p-19, 0x1.97ffe1743448dp-19, 0x1.94b8324e0c9e6p-19, 0x1.916f51ab40698p-19, 0x1.8e25608642513p-19, 0x1.8ada7f5b93896p-19, 0x1.878ece2a88657p-19, 0x1.84426c7628031p-19, 0x1.80f57945d6588p-19, 0x1.7da813262294p-19, 0x1.7a5a582997362p-19, 0x1.770c65e9af107p-19, 0x1.73be5987407e9p-19, 0x1.70704fab56b96p-19, 0x1.6d22648839485p-19, 0x1.69d4b3da84bdfp-19, 0x1.668758e9a4edbp-19, 0x1.633a6e88a34b1p-19, 0x1.5fee0f173f12fp-19, 0x1.5ca254827f239p-19, 0x1.59575845de52ap-19, 0x1.560d336bcdb4ep-19, 0x1.52c3fe8f36d8ep-19, 0x1.4f7bd1dbc74b1p-19, 0x1.4c34c50f10d0bp-19, 0x1.48eeef7953be6p-19, 0x1.45aa67fee587p-19, 0x1.426745186a615p-19, 0x1.3f259cd3ff4f5p-19, 0x1.3be584d6087e1p-19, 0x1.38a7125a496e7p-19, 0x1.356a5a3506eafp-19, 0x1.322f70d38cc4bp-19, 0x1.2ef66a3d2802bp-19, 0x1.2bbf5a143e772p-19, 0x1.288a53973554fp-19, 0x1.255769a150da9p-19, 0x1.2226aeaba547cp-19, 0x1.1ef834ce020fdp-19, 0x1.1bcc0dbfd9965p-19, 0x1.18a24ad95a7f4p-19, 0x1.157afd148ab9cp-19, 0x1.1256350db3dffp-19, 0x1.0f340304926f1p-19, 0x1.0c1476dd51b12p-19, 0x1.08f7a021740d2p-19, 0x1.05dd8e00b2b1ep-19, 0x1.02c64f51dcad4p-19, 0x1.ff63e52861986p-20, 0x1.f9410bdfea6dfp-20, 0x1.f3242e6e9728bp-20, 0x1.ed0d67ced1cdfp-20, 0x1.e6fcd2528e347p-20, 0x1.e0f287a56a323p-20, 0x1.daeea0ce77526p-20, 0x1.d4f1363223abap-20, 0x1.cefa5f93db3bfp-20, 0x1.c90a34187fb5ap-20, }}, 
      {{0x1.e52a456d0a955p-13, 0x1.da003ad5e4cf6p-11, 0x1.014066f034364p-9, 0x1.b501d126802f3p-9, 0x1.43f09c594e3dbp-8, 0x1.b881f805d50a9p-8, 0x1.1a55853576937p-7, 0x1.5af2fdbe8d723p-7, 0x1.9d531caff118cp-7, 0x1.e11a26089d0aap-7, 0x1.131faa91425fep-6, 0x1.367a4c428df52p-6, 0x1.5ac83175308e2p-6, 0x1.803d6f7e85f5ep-6, 0x1.a70f75868a23dp-6, 0x1.cf6f60c8ca6fep-6, 0x1.f985fa3d00a48p-6, 0x1.12b891f37a4fap-5, 0x1.29a13c8f30258p-5, 0x1.417f73897a15ap-5, 0x1.5a4f838dc5fefp-5, 0x1.740804e2dd919p-5, 0x1.8e9a83c0da156p-5, 0x1.a9f448ed3716fp-5, 0x1.c5ff3318cfaep-5, 0x1.e2a29463903a6p-5, 0x1.ffc40a22215c1p-5, 0x1.0ea423be5b646p-4, 0x1.1d89e6d7f4099p-4, 0x1.2c85c74df9d41p-4, 0x1.3b8abbf0ec9f9p-4, 0x1.4a8c73096cec5p-4, 0x1.597f8039acbdp-4, 0x1.68597f4683ba6p-4, 0x1.77112ca704306p-4, 0x1.859e74e2579d8p-4, 0x1.93fa7bd8f2bcdp-4, 0x1.a21f9d1bf13d2p-4, 0x1.b009666f7905bp-4, 0x1.bdb48d86968e8p-4, 0x1.cb1ee1f2c7451p-4, 0x1.d8473c29c4d59p-4, 0x1.e52d6a6ac30bbp-4, 0x1.f1d21c3289c1cp-4, 0x1.fe36ccd4d9eacp-4, 0x1.052ed6dceadb7p-3, 0x1.0b24c85422fccp-3, 0x1.10fee938de4b9p-3, 0x1.16bf23221f814p-3, 0x1.1c6790eab3995p-3, 0x1.21fa7546faaddp-3, 0x1.277a31e8a33f1p-3, 0x1.2ce93f396a11ep-3, 0x1.324a24b1eac9fp-3, 0x1.379f71ce7781ap-3, 0x1.3cebb7a13dc6bp-3, 0x1.423182fefcd07p-3, 0x1.477357421141ap-3, 0x1.4cb3a99e457e4p-3, 0x1.51f4dcff1f8a3p-3, 0x1.57393e69af4f7p-3, 0x1.5c8301da8593bp-3, 0x1.61d43f98552e4p-3, 0x1.672ef1f39a3f8p-3, 0x1.6c94f36bb13b2p-3, 0x1.7207fd31fd40fp-3, 0x1.7789a603c98ep-3, 0x1.7d1b6153ee2ecp-3, 0x1.82be7ebd688dfp-3, 0x1.887429b889152p-3, 0x1.8e3d698c6ed39p-3, 0x1.941b21771a602p-3, 0x1.9a0e11067102p-3, 0x1.a016d49d17a9dp-3, 0x1.a635e61e2261bp-3, 0x1.ac6b9dbb17099p-3, 0x1.b2b832dfe644ap-3, 0x1.b91bbd38d3b18p-3, 0x1.bf9635cea11f2p-3, 0x1.c62778356bb6dp-3, 0x1.cccf43cb12bcep-3, 0x1.d38d3d02239e6p-3, 0x1.da60eeb68e3d6p-3, 0x1.e149cb899cbc4p-3, 0x1.e8472f42dd0a8p-3, 0x1.ef586033df3e5p-3, 0x1.f67c909cd43aep-3, 0x1.fdb2e01062e81p-3, 0x1.027d2e6a812b9p-2, 0x1.062902a14a1f7p-2, 0x1.09dc648d69d47p-2, 0x1.0d96c56dd1329p-2, 0x1.115790850ad18p-2, 0x1.151e2bbac0f6dp-2, 0x1.18e9f838d9485p-2, 0x1.1cba5303dbddap-2, 0x1.208e958e6116dp-2, 0x1.246616474832dp-2, 0x1.2840292292265p-2, 0x1.2c1c201cb91cep-2, 0x1.2ff94bb86a42p-2, 0x1.33d6fb7696d21p-2, 0x1.37b47e48cd804p-2, 0x1.3b9122fdde63cp-2, 0x1.3f6c38a8d0058p-2, 0x1.43450f0229f39p-2, 0x1.471af6c3ac9b4p-2, 0x1.4aed41fe85cdbp-2, 0x1.4ebb446c1c525p-2, 0x1.528453b993136p-2, 0x1.5647c7ce181f7p-2, 0x1.5a04fb0c31a2dp-2, 0x1.5dbb4a8e1f475p-2, 0x1.616a165d7f09ap-2, 0x1.6510c1a657614p-2, 0x1.68aeb2e5b7fd5p-2, 0x1.6c4354141050bp-2, 0x1.6fce12cb71235p-2, 0x1.734e6069da97cp-2, 0x1.76c3b22fccbb4p-2, 0x1.7a2d815b38faep-2, 0x1.7d8b4b3f09431p-2, 0x1.80dc915765418p-2, 0x1.8420d95adab8ap-2, 0x1.8757ad4898674p-2, 0x1.8a809b73df216p-2, 0x1.8d9b368cd5172p-2, 0x1.90a715a6de07cp-2, 0x1.93a3d43c9f144p-2, 0x1.96911231d3944p-2, 0x1.996e73d3161c7p-2, 0x1.9c3ba1d3bc7f7p-2, 0x1.9ef84949eecedp-2, 0x1.a1a41ba90e78ep-2, 0x1.a43eceba997e5p-2, 0x1.a6c81c9597619p-2, 0x1.a93fc394b997ep-2, 0x1.aba5864b41f58p-2, 0x1.adf92b78cb3a6p-2, 0x1.b03a7dfc09bcbp-2, 0x1.b2694cc49fe67p-2, 0x1.b4856ac4181e3p-2, 0x1.b68eaede1a17cp-2, 0x1.b884f3d7ee061p-2, 0x1.ba681847656ep-2, 0x1.bc37fe813265dp-2, 0x1.bdf48c86c6c3bp-2, 0x1.bf9dabf3c1d3bp-2, 0x1.c13349eb05a78p-2, 0x1.c2b5570375517p-2, 0x1.c423c73475fccp-2, 0x1.c57e91c231931p-2, 0x1.c6c5b129b1cc2p-2, 0x1.c7f9230cd87f3p-2, 0x1.c918e81e3a7c7p-2, 0x1.ca25040cf2ed4p-2, 0x1.cb1d7d7068302p-2, 0x1.cc025db4151afp-2, 0x1.ccd3b10359b71p-2, 0x1.cd918635592f7p-2, 0x1.ce3beeb8edbbdp-2, 0x1.ced2fe80b3db9p-2, 0x1.cf56cbef393p-2, 0x1.cfc76fc3485ddp-2, 0x1.d0250504654f6p-2, 0x1.d06fa8ef6e68bp-2, 0x1.d0a77ae3704efp-2, 0x1.d0cc9c4eae066p-2, 0x1.d0df309bd9718p-2, 0x1.d0df5d1f8a431p-2, 0x1.d0cd4905eb7a4p-2, 0x1.d0a91d40a4aebp-2, 0x1.d073047506a66p-2, 0x1.d02b2aea726abp-2, 0x1.cfd1be7904885p-2, 0x1.cf66ee78847b4p-2, 0x1.ceeaebaf928ddp-2, 0x1.ce5de84321ce6p-2, 0x1.cdc017a62f973p-2, 0x1.cd11ae89c72ccp-2, 0x1.cc52e2cd4916bp-2, 0x1.cb83eb6ef947ep-2, 0x1.caa5007cd4f64p-2, 0x1.c9b65b05b0238p-2, 0x1.c8b8350a9983bp-2, 0x1.c7aac9708765bp-2, 0x1.c68e53f248c7ap-2, 0x1.c5631112c3d2ap-2, 0x1.c4293e0f72ca8p-2, 0x1.c2e118d331ea2p-2, 0x1.c18adfe949101p-2, 0x1.c026d270c5058p-2, 0x1.beb5301011dd6p-2, 0x1.bd3638e8d9eebp-2, 0x1.bbaa2d8c2eb24p-2, 0x1.ba114eeef0149p-2, 0x1.b86bde5e7daa5p-2, 0x1.b6ba1d75a739ep-2, 0x1.b4fc4e11e251ep-2, 0x1.b332b248c2484p-2, 0x1.b15d8c5db1513p-2, 0x1.af7d1eb7ed509p-2, 0x1.ad91abd8c15cbp-2, 0x1.ab9b7652044e5p-2, 0x1.a99ac0bcd1ce4p-2, 0x1.a78fcdb0878f2p-2, 0x1.a57adfb9fc242p-2, 0x1.a35c3952f75fap-2, 0x1.a1341cd9e4bffp-2, 0x1.9f02cc89c36e2p-2, 0x1.9cc88a72535f9p-2, 0x1.9a8598707ac29p-2, 0x1.983a3826e73b1p-2, 0x1.95e6aaf6e92dcp-2, 0x1.938b31f986e5bp-2, 0x1.91280df8c9c7dp-2, 0x1.8ebd7f69421p-2, 0x1.8c4bc663c0a62p-2, 0x1.89d3229f49afdp-2, 0x1.8753d36b38d45p-2, 0x1.84ce17a99f8eap-2, 0x1.82422dc9d28ebp-2, 0x1.7fb053c32e141p-2, 0x1.7d18c7100bfbfp-2, 0x1.7a7bc4a8ea9f8p-2, 0x1.77d988ffc728bp-2, 0x1.75324ffba7d61p-2, 0x1.728654f4531bdp-2, 0x1.6fd5d2ae3c6bdp-2, 0x1.6d21035699044p-2, 0x1.6a68207fa5ffdp-2, 0x1.67ab631d1a60ep-2, 0x1.64eb0380c669dp-2, 0x1.622739575d2d6p-2, 0x1.5f603ba56939cp-2, 0x1.5c9640c46cccep-2, 0x1.59c97e6028bdcp-2, 0x1.56fa297410418p-2, 0x1.54287648de1cdp-2, 0x1.5154987259561p-2, 0x1.4e7ec2cd39208p-2, 0x1.4ba7277d33007p-2, 0x1.48cdf7eb2bae1p-2, 0x1.45f364c38d5a4p-2, 0x1.43179df4c1934p-2, 0x1.403ad2adcbb52p-2, 0x1.3d5d315d0a7e5p-2, 0x1.3a7ee7af14084p-2, 0x1.37a0228dbb16ep-2, 0x1.34c10e1f2a65ep-2, 0x1.31e1d5c5294d3p-2, 0x1.2f02a41c75f2ep-2, 0x1.2c23a2fc431c5p-2, 0x1.2944fb75d2253p-2, 0x1.2666d5d42608ap-2, 0x1.2389599bd6849p-2, 0x1.20acad8afafdbp-2, 0x1.1dd0f7993189p-2, 0x1.1af65cf7be95fp-2, 0x1.181d0211c61b5p-2, 0x1.15450a8c9c134p-2, 0x1.126e99482d27ap-2, 0x1.0f99d05f7d5bdp-2, 0x1.0cc6d1293f57fp-2, 0x1.09f5bc387cda8p-2, 0x1.0726b15d598e2p-2, 0x1.0459cfa5e3f16p-2, 0x1.018f355efee06p-2, 0x1.fd8e002ab6c7dp-3, 0x1.f802992d0bb47p-3, 0x1.f27c6de406cc5p-3, 0x1.ecfbb4f5048ecp-3, 0x1.e780a38e2faap-3, 0x1.e20b6d6925663p-3, 0x1.dc9c44cdaba8dp-3, 0x1.d7335a9492114p-3, 0x1.d1d0de2aa3cc2p-3, 0x1.cc74fd93bad37p-3, 0x1.c71fe56debcfap-3, 0x1.c1d1c0f4c633bp-3, 0x1.bc8aba04b3231p-3, 0x1.b74af91e6269ep-3, 0x1.b212a56a555d6p-3, 0x1.ace1e4bc752c2p-3, 0x1.a7b8db97c3912p-3, 0x1.a297ad321b5c4p-3, 0x1.9d7e7b77ff0e1p-3, 0x1.986d67107accap-3, 0x1.93648f61170fep-3, 0x1.8e641291d418cp-3, 0x1.896c0d913a856p-3, 0x1.847c9c186e889p-3, 0x1.7f95d8af5599cp-3, 0x1.7ab7dcb0c6b3cp-3, 0x1.75e2c04ebfdap-3, 0x1.71169a96a9b0ep-3, 0x1.6c5381759bf79p-3, 0x1.679989bcb398cp-3, 0x1.62e8c72566f9dp-3, 0x1.5e414c55deaf1p-3, 0x1.59a32ae55e063p-3, 0x1.550e7360a3a51p-3, 0x1.5083354e53d64p-3, 0x1.4c017f3362d54p-3, 0x1.47895e9787058p-3, 0x1.431ae009a25d4p-3, 0x1.3eb60f2439029p-3, 0x1.3a5af691dab62p-3, 0x1.3609a01197ae3p-3, 0x1.31c2147b6e67p-3, 0x1.2d845bc4b7b1dp-3, 0x1.29507d0491e24p-3, 0x1.25267e784b1a7p-3, 0x1.21066587c56f4p-3, 0x1.1cf036c9d5c52p-3, 0x1.18e3f608a5508p-3, 0x1.14e1a64607a7p-3, 0x1.10e949bfcd4bep-3, 0x1.0cfae1f4155b4p-3, 0x1.09166fa58f6p-3, 0x1.053bf2dfc271p-3, 0x1.016b6afb4478dp-3, 0x1.fb49ad43ddb42p-4, 0x1.f3d067a6110b4p-4, 0x1.ec6affcedc9c7p-4, 0x1.e5196f2b51875p-4, 0x1.dddbadec09624p-4, 0x1.d6b1b30d35cbp-4, 0x1.cf9b745ea3a63p-4, 0x1.c898e68ba942ep-4, 0x1.c1a9fd2304a89p-4, 0x1.baceaa9ea84ddp-4, 0x1.b406e06b649f9p-4, 0x1.ad528ef09188bp-4, 0x1.a6b1a59794c9ep-4, 0x1.a02412d3587cap-4, 0x1.99a9c427a732ep-4, 0x1.9342a63074e9ap-4, 0x1.8ceea4a91636ap-4, 0x1.86adaa7354ceap-4, 0x1.807fa19e78418p-4, 0x1.7a64736e301a9p-4, 0x1.745c086168b78p-4, 0x1.6e664839096d8p-4, 0x1.688319fe97c3ep-4, 0x1.62b2640ac781fp-4, 0x1.5cf40c0be8419p-4, 0x1.5747f70c49821p-4, 0x1.51ae097877da2p-4, 0x1.4c26272566754p-4, 0x1.46b0335687273p-4, 0x1.414c10c3ba361p-4, 0x1.3bf9a19f34a4p-4, 0x1.36b8c79b4187ep-4, 0x1.318963eff3098p-4, 0x1.2c6b5760b4c12p-4, 0x1.275e8241c70c1p-4, 0x1.2262c47da0571p-4, 0x1.1d77fd9a3899p-4, 0x1.189e0cbe3711dp-4, 0x1.13d4d0b60b1acp-4, 0x1.0f1c27f8e957dp-4, 0x1.0a73f0adb290fp-4, 0x1.05dc08afbffc2p-4, 0x1.01544d9398d46p-4, 0x1.f9b9395719009p-5, 0x1.f0e9a6187261ap-5, 0x1.e8399b21e8d6ep-5, 0x1.dfa8d1c04235fp-5, 0x1.d73702ded3aacp-5, 0x1.cee3e70fccbd6p-5, 0x1.c6af36944b757p-5, 0x1.be98a9644ad7ap-5, 0x1.b69ff7365e5e8p-5, 0x1.aec4d7873d3ffp-5, 0x1.a70701a127b26p-5, 0x1.9f662ca311703p-5, 0x1.97e20f87b33fep-5, 0x1.907a612c5ee9ep-5, 0x1.892ed857ad888p-5, 0x1.81ff2bc005076p-5, 0x1.7aeb1211ec611p-5, 0x1.73f241f63f241p-5, 0x1.6d1472182bd67p-5, 0x1.6651592b0fdf1p-5, 0x1.5fa8adf029e9ap-5, 0x1.591a273c1f9c7p-5, 0x1.52a57bfc623a6p-5, 0x1.4c4a633c6311fp-5, 0x1.4608942aacd4p-5, 0x1.3fdfc61dc4f9cp-5, 0x1.39cfb098fca0ep-5, 0x1.33d80b5108c21p-5, 0x1.2df88e30870dep-5, 0x1.2830f15c48618p-5, 0x1.2280ed37948c1p-5, 0x1.1ce83a682c48bp-5, 0x1.176691da3ff61p-5, 0x1.11fbacc43b611p-5, 0x1.0ca744aa6919cp-5, 0x1.07691362880ecp-5, 0x1.0240d3172559p-5, 0x1.fa5c7c95e0cc2p-6, 0x1.f0621fb7c702cp-6, 0x1.e692060c925d9p-6, 0x1.dceba6cf58d09p-6, 0x1.d36e7a0351aefp-6, 0x1.ca19f87930735p-6, 0x1.c0ed9bd45d0d8p-6, 0x1.b7e8de8fd3859p-6, 0x1.af0b3c02ee82ep-6, 0x1.a6543065e7effp-6, 0x1.9dc338d624235p-6, 0x1.9557d35a521bbp-6, 0x1.8d117ee656411p-6, 0x1.84efbb5f06006p-6, 0x1.7cf2099d9e70dp-6, 0x1.7517eb732f02dp-6, 0x1.6d60e3abb6c74p-6, 0x1.65cc76111d1fp-6, 0x1.5e5a276e0b746p-6, 0x1.57097d9084cecp-6, 0x1.4fd9ff4c662dbp-6, 0x1.48cb347dac7cp-6, 0x1.41dca60a9ad86p-6, 0x1.3b0ddde5bfcbp-6, 0x1.345e670fc9edep-6, 0x1.2dcdcd99303f2p-6, 0x1.275b9ea3c6c05p-6, 0x1.2107686423efp-6, 0x1.1ad0ba22e7fc6p-6, 0x1.14b7243ddb334p-6, 0x1.0eba3828f3bdep-6, 0x1.08d9886f34b7cp-6, 0x1.0314a8b36ac3fp-6, 0x1.fad65b61b2511p-7, 0x1.efb95a7762de9p-7, 0x1.e4d17c83160bep-7, 0x1.da1df1933cb4dp-7, 0x1.cf9debe9fe855p-7, 0x1.c5509ffd5787ap-7, 0x1.bb3544771f2d9p-7, 0x1.b14b1234bc511p-7, 0x1.a7914446be774p-7, 0x1.9e0717f047397p-7, 0x1.94abcca63ccb3p-7, 0x1.8b7ea40e53afep-7, 0x1.827ee1fdee37cp-7, 0x1.79abcc78db9e2p-7, 0x1.7104abafd0c98p-7, 0x1.6888c9fef1eedp-7, 0x1.603773ebea359p-7, 0x1.580ff8243335bp-7, 0x1.5011a77aed46bp-7, 0x1.483bd4e6ce536p-7, 0x1.408dd57fd44d1p-7, 0x1.3907007cd83ccp-7, 0x1.31a6af3117c21p-7, 0x1.2a6c3d09881afp-7, 0x1.2357078a149f7p-7, 0x1.1c666e4adea59p-7, 0x1.1599d2f534366p-7, 0x1.0ef0994093255p-7, 0x1.086a26ef7cddep-7, 0x1.0205e3cc4e22dp-7, 0x1.f786734bd18d1p-8, 0x1.eb432898a715fp-8, 0x1.df40c31a93a24p-8, 0x1.d37e226152bbfp-8, 0x1.c7fa29e9d9945p-8, 0x1.bcb3c116e44dbp-8, 0x1.b1a9d32982b51p-8, 0x1.a6db4f399ad9fp-8, 0x1.9c47282e44ce2p-8, 0x1.91ec54b5c3e0ep-8, 0x1.87c9cf3e2123fp-8, 0x1.7dde95ec9712p-8, 0x1.7429aa9609bbfp-8, 0x1.6aaa12b6a48a2p-8, 0x1.615ed769a235ap-8, 0x1.584705611c134p-8, 0x1.4f61acdda39b7p-8, 0x1.46ade1a5f7882p-8, 0x1.3e2abafe5b36fp-8, 0x1.35d753a04b7efp-8, 0x1.2db2c9b1cfe1bp-8, 0x1.25bc3ebd01376p-8, 0x1.1df2d7a7460bep-8, 0x1.1655bca8d1f93p-8, 0x1.0ee41943d2413p-8, 0x1.079d1c3be7874p-8, 0x1.007ff78d491fdp-8, 0x1.f317c0c826523p-9, 0x1.e5801e2720d55p-9, 0x1.d8377e1b0fbbcp-9, 0x1.cb3c5db29b642p-9, 0x1.be8d40164e22bp-9, 0x1.b228ae7734f37p-9, 0x1.a60d37fd16e69p-9, 0x1.9a3971b511e1cp-9, 0x1.8eabf68039a1ap-9, 0x1.836367025912bp-9, 0x1.785e699029bdap-9, 0x1.6d9baa1e8406cp-9, 0x1.6319da3094ea5p-9, 0x1.58d7b0c701d8ep-9, 0x1.4ed3ea4ea6afep-9, 0x1.450d488f58322p-9, 0x1.3b82929b14479p-9, 0x1.323294bcd94ap-9, 0x1.291c2067dc764p-9, 0x1.203e0c26ab882p-9, 0x1.1797338a6b9d2p-9, 0x1.0f26771a56034p-9, 0x1.06eabc431bb2fp-9, 0x1.fdc5da8c7b0dap-10, 0x1.ee1bf254174a7p-10, 0x1.ded5a7522cf9dp-10, 0x1.cff0ea445b3d9p-10, 0x1.c16bb510655d2p-10, 0x1.b3440aa481895p-10, 0x1.a577f6d7cba7cp-10, 0x1.98058e4a604c1p-10, 0x1.8aeaee46924b3p-10, 0x1.7e263ca193919p-10, 0x1.71b5a79d2f917p-10, 0x1.659765c8aa247p-10, 0x1.59c9b5e35d683p-10, 0x1.4e4adebdc7e99p-10, 0x1.43192f1c63ed5p-10, 0x1.3832fd99d936ap-10, 0x1.2d96a88a093abp-10, 0x1.234295dcff2e6p-10, 0x1.19353301ed96ap-10, 0x1.0f6cf4cb2fee2p-10, 0x1.05e85751d6dc8p-10, 0x1.f94bbbb379531p-11, 0x1.e748256be9524p-11, 0x1.d5c30e5b1856dp-11, 0x1.c4b9a6c047cf9p-11, 0x1.b4292c56e5294p-11, 0x1.a40eea20fa98dp-11, 0x1.94683832eae9dp-11, 0x1.85327b7eee794p-11, 0x1.766b25a2bdf5fp-11, 0x1.680fb4b399648p-11, 0x1.5a1db30cc32a1p-11, 0x1.4c92b71d1d83dp-11, 0x1.3f6c6336556f1p-11, 0x1.32a8655c8db2bp-11, 0x1.2644771554a3p-11, 0x1.1a3e5d394096fp-11, 0x1.0e93e7c40b151p-11, 0x1.0342f1a7100a7p-11, 0x1.f092c134cf4a5p-12, 0x1.db4a49e1c58bfp-12, 0x1.c6a872d352859p-12, 0x1.b2a9460b65593p-12, 0x1.9f48e1b5f8bdfp-12, 0x1.8c8377d429ed2p-12, 0x1.7a554de6585p-12, 0x1.68babc9840bb8p-12, 0x1.57b02f6e3e4edp-12, 0x1.4732247373b49p-12, 0x1.373d2be892042p-12, 0x1.27cde7f521664p-12, 0x1.18e10c57092b4p-12, 0x1.0a735e16fdad7p-12, 0x1.f90366739f6fap-13, 0x1.de11e4ee7eb3p-13, 0x1.c40c25da20b7ap-13, 0x1.aaec37add781p-13, 0x1.92ac488bdaf78p-13, 0x1.7b46a5b16991cp-13, 0x1.64b5bae978b74p-13, 0x1.4ef412032ab5ap-13, 0x1.39fc5247e53b9p-13, 0x1.25c93ff49e2f9p-13, 0x1.1255bbb4b224p-13, 0x1.ff39843aec489p-14, 0x1.db32d66061a49p-14, 0x1.b88dd3aec04c6p-14, 0x1.974116d5bebdbp-14, 0x1.77436e688a4cap-14, 0x1.588bdbeb383aap-14, 0x1.3b1192dec6f26p-14, 0x1.1ecbf7d897129p-14, 0x1.03b29f9b6ca4dp-14, 0x1.d37a9c550145ep-15, 0x1.a1c7ebe273c7ep-15, 0x1.723d6dbd150e3p-15, 0x1.44cbbb1d25057p-15, 0x1.1963c4da120a9p-15, 0x1.dfeda3a95c031p-16, 0x1.90ecfa8ad9008p-16, 0x1.45a96a537764cp-16, 0x1.fc0ee2c59a6f5p-17, 0x1.73d85aa852463p-17, 0x1.e4f55fdfc165ap-18, 0x1.df0a22bd4d005p-19, 0x1.bedbb300f607fp-24, -0x1.aa132b0689e5cp-19, -0x1.a4e9c7444b66cp-18, -0x1.34815de6043fp-17, -0x1.90d7ee65b81cap-17, -0x1.e7a539aa4e019p-17, -0x1.1c8a6cb2267aap-16, -0x1.42a8b0bdc0644p-16, -0x1.664232b6039acp-16, -0x1.876b3ea5d064ap-16, -0x1.a637a566713fp-16, -0x1.c2babf18c58a8p-16, -0x1.dd076d878c193p-16, -0x1.f5301e992776ap-16, -0x1.05a3674b589b3p-15, -0x1.0fae85407e0dfp-15, -0x1.18c1f92854bffp-15, -0x1.20e61d932d879p-15, -0x1.282318c64883bp-15, -0x1.2e80ddc3367b2p-15, -0x1.34072d5ac8eb1p-15, -0x1.38bd9737f145bp-15, -0x1.3cab7adb85955p-15, -0x1.3fd808a55f886p-15, -0x1.424a42c853486p-15, -0x1.4408fe463a5ddp-15, -0x1.451ae3d9ff381p-15, -0x1.458670ef22766p-15, -0x1.4551f881ac49cp-15, -0x1.4483a40a5523dp-15, -0x1.43217459fd60dp-15, -0x1.4131427dfecc8p-15, -0x1.3eb8c08fdd68dp-15, -0x1.3bbd7a901dafdp-15, -0x1.3844d737d59dep-15, -0x1.345418bdc424bp-15, -0x1.2ff05dac76f1fp-15, -0x1.2b1ea19c44b0bp-15, -0x1.25e3bdfb6bd2dp-15, -0x1.20446aca3977p-15, -0x1.1a453f56777b4p-15, -0x1.13eab2f018746p-15, -0x1.0d391da340586p-15, -0x1.0634b8e08bc48p-15, -0x1.fdc3405e06513p-16, -0x1.ee87a3ab08e31p-16, -0x1.debe5efc81375p-16, -0x1.ce6efdbe61747p-16, -0x1.bda0d4a75580cp-16, -0x1.ac5b02fbfce7ep-16, -0x1.9aa473bf2595bp-16, -0x1.8883dee53418ep-16, -0x1.75ffca72fef8cp-16, -0x1.631e8ba565453p-16, -0x1.4fe64810fa2b8p-16, -0x1.3c5cf6b2d6106p-16, -0x1.28886104b939cp-16, -0x1.146e240e3fa0ap-16, -0x1.0013b1600efa2p-16, -0x1.d6fca044c8f4ap-17, -0x1.ad663c15154d8p-17, -0x1.836e209c852bap-17, -0x1.591de94989ad7p-17, -0x1.2e7ee447215c4p-17, -0x1.039a1468eb1d6p-17, -0x1.b0f065bbaf88p-18, -0x1.5a43620b4701ap-18, -0x1.033d742c1e214p-18, -0x1.57dcd3294a7edp-19, -0x1.519628827f6dcp-20, 0x1.a73261f53aa77p-25, 0x1.6c7c73e61731bp-20, 0x1.65fda917d01c2p-19, 0x1.0ae03aba834d5p-18, 0x1.62b674e892fa8p-18, 0x1.ba751be145c64p-18, 0x1.09081c6a186cap-17, 0x1.34be2152c8bc7p-17, 0x1.60570d9f3a831p-17, 0x1.8bcd865e8f252p-17, 0x1.b71c638603089p-17, 0x1.e23eae94d2148p-17, 0x1.0697d0adf42a9p-16, 0x1.1bf55267342f2p-16, 0x1.3135a7dc44746p-16, 0x1.4656b2d6c57e8p-16, 0x1.5b566ae5d15b3p-16, 0x1.7032dcd6760fep-16, 0x1.84ea2a223d83ep-16, 0x1.997a88694a95fp-16, 0x1.ade240e66d482p-16, 0x1.c21faff2e4868p-16, 0x1.d631447ecc55ep-16, 0x1.ea157f96df363p-16, 0x1.fdcaf3e6d3f38p-16, 0x1.08a822a2b9cddp-15, 0x1.1252141b1387fp-15, 0x1.1be2b0c0952b6p-15, 0x1.255962dbaec29p-15, 0x1.2eb59c65788fbp-15, 0x1.37f6d6d13b8bp-15, 0x1.411c92d6ff73dp-15, 0x1.4a26583f5e93ep-15, 0x1.5313b5b49f26dp-15, 0x1.5be4408c13226p-15, 0x1.6497949ac51bep-15, 0x1.6d2d5403377a5p-15, 0x1.75a52709c6c78p-15, 0x1.7dfebbe4d3238p-15, 0x1.8639c694856fep-15, 0x1.8e5600b41730dp-15, 0x1.96532952fe917p-15, 0x1.9e3104c958fd7p-15, 0x1.a5ef5c91f28fep-15, 0x1.ad8dff229a46ap-15, 0x1.b50cbfc4079abp-15, 0x1.bc6b766f97a68p-15, 0x1.c3a9ffa924a9p-15, 0x1.cac83c5abcb7bp-15, 0x1.d1c611b3f3dbcp-15, 0x1.d8a369059f72cp-15, 0x1.df602fa2b4f96p-15, 0x1.e5fc56bd61d21p-15, 0x1.ec77d34b2a53ap-15, 0x1.f2d29de23f884p-15, 0x1.f90cb29db20c8p-15, 0x1.ff2610ff0c339p-15, 0x1.028f5de93fed4p-14, 0x1.057b5c88c7622p-14, 0x1.085708e488333p-14, 0x1.0b2268fed895ap-14, 0x1.0ddd84490bf99p-14, 0x1.1088639711687p-14, 0x1.132311128fa41p-14, 0x1.15ad982f01cc8p-14, 0x1.1828059e306fep-14, 0x1.1a926744796cp-14, 0x1.1ceccc2d8c8bep-14, 0x1.1f374481a32f5p-14, 0x1.2171e17ad520fp-14, 0x1.239cb55aa1d8cp-14, 0x1.25b7d3600e5c7p-14, 0x1.27c34fbd23851p-14, 0x1.29bf3f8e57e09p-14, 0x1.2babb8d03d581p-14, 0x1.2d88d256ea2b4p-14, 0x1.2f56a3c4c2da9p-14, 0x1.311545822bbbdp-14, 0x1.32c4d0b4c2c35p-14, 0x1.34655f373eabap-14, 0x1.35f70b919aad9p-14, 0x1.3779f0f114485p-14, 0x1.38ee2b207e106p-14, 0x1.3a53d6813d73fp-14, 0x1.3bab1003aea6bp-14, 0x1.3cf3f5206f244p-14, 0x1.3e2ea3d14f05cp-14, 0x1.3f5b3a8aebdbep-14, 0x1.4079d83611e39p-14, 0x1.418a9c29910fdp-14, 0x1.428da6240858dp-14, 0x1.43831645ecac2p-14, 0x1.446b0d0c0355dp-14, 0x1.4545ab4970535p-14, 0x1.4613122296e07p-14, 0x1.46d36307664d3p-14, 0x1.4786bfae8013cp-14, 0x1.482d4a10057bdp-14, 0x1.48c7246104205p-14, 0x1.4954710e6fe38p-14, 0x1.49d552b88d4b4p-14, 0x1.4a49ec2ebd252p-14, 0x1.4ab2606ae59ffp-14, 0x1.4b0ed28d4bfdp-14, 0x1.4b5f65d896f6ep-14, 0x1.4ba43daddc82ap-14, 0x1.4bdd7d88b18b4p-14, 0x1.4c0b48fb78bacp-14, 0x1.4c2dc3abd773dp-14, 0x1.4c45114f1923dp-14, 0x1.4c5155a6ecd57p-14, 0x1.4c52b47de245dp-14, 0x1.4c4951a48356cp-14, 0x1.4c3550ee13122p-14, 0x1.4c16d62d96e5fp-14, 0x1.4bee0532fe51cp-14, 0x1.4bbb01c849adap-14, 0x1.4b7defaed7ac5p-14, 0x1.4b36f29cbd21cp-14, 0x1.4ae62e3a644e6p-14, 0x1.4a8bc61ff566dp-14, 0x1.4a27ddd2f2cebp-14, 0x1.49ba98c3f78e5p-14, 0x1.49441a4cafc98p-14, 0x1.48c485ad6a59dp-14, 0x1.483bfe0b4d147p-14, 0x1.47aaa66e306e4p-14, 0x1.4710a1bed41e1p-14, 0x1.466e12c4ed8dbp-14, 0x1.45c31c2568ea3p-14, 0x1.450fe060ae869p-14, 0x1.445481d12803fp-14, 0x1.439122a95de4fp-14, 0x1.42c5e4f2bfe74p-14, 0x1.41f2ea8bf47dp-14, 0x1.4118552798533p-14, 0x1.4036464adfeffp-14, 0x1.3f4cdf4c2aba3p-14, 0x1.3e5c4151e376ep-14, 0x1.3d648d514e387p-14, 0x1.3c65e40d73ab7p-14, 0x1.3b606615e09cap-14, 0x1.3a5433c5c3e41p-14, 0x1.39416d42e424fp-14, 0x1.3828327cbd2ddp-14, 0x1.3708a32b68921p-14, 0x1.35e2deceecc2bp-14, 0x1.34b704ae7575p-14, 0x1.338533d76352bp-14, 0x1.324d8b1cb364ep-14, 0x1.311029163a004p-14, 0x1.2fcd2c200fc5ap-14, 0x1.2e84b259d676dp-14, 0x1.2d36d9a63a802p-14, 0x1.2be3bfaa6222dp-14, 0x1.2a8b81cd51177p-14, 0x1.292e3d3792ce6p-14, 0x1.27cc0ed2c66c7p-14, 0x1.26651349040c6p-14, 0x1.24f96704a0c27p-14, 0x1.2389262fce978p-14, 0x1.22146cb4452adp-14, 0x1.209b563af5503p-14, 0x1.1f1dfe2bc6c53p-14, 0x1.1d9c7fad41e6fp-14, 0x1.1c16f5a46e02ap-14, 0x1.1a8d7ab49c30ap-14, 0x1.1900293f29003p-14, 0x1.176f1b636cf9ap-14, 0x1.15da6afe8ab7bp-14, 0x1.144231ab621d3p-14, 0x1.12a688c272ca4p-14, 0x1.11078959c2592p-14, 0x1.0f654c44d5b42p-14, 0x1.0dbfea14c9396p-14, 0x1.0c177b1814bd8p-14, 0x1.0a6c175abbd36p-14, 0x1.08bdd6a647219p-14, 0x1.070cd081c9f82p-14, 0x1.05591c3212f3dp-14, 0x1.03a2d0b9a2ceap-14, 0x1.01ea04d8ad73fp-14, 0x1.002ecf0d56b66p-14, 0x1.fce28b27ca391p-15, 0x1.f962fccd7d45cp-15, 0x1.f5df1e7d29044p-15, 0x1.f2571b25550b6p-15, 0x1.eecb1d31d9af2p-15, 0x1.eb3b4e8c2b4dfp-15, 0x1.e7a7d89c0adb1p-15, 0x1.e410e447b7f2ep-15, 0x1.e07699f469313p-15, 0x1.dcd92186f249p-15, 0x1.d938a263ec5e7p-15, 0x1.d5954370a8dc7p-15, 0x1.d1ef2b135a2b5p-15, 0x1.ce467f33b62dcp-15, 0x1.ca9b653b78addp-15, 0x1.c6ee02174939ep-15, 0x1.c33e7a373209cp-15, 0x1.bf8cf18ef16b9p-15, 0x1.bbd98b96cf6a5p-15, 0x1.b8246b4c5e8eep-15, 0x1.b46db333012e9p-15, 0x1.b0b5855499996p-15, 0x1.acfc034246e47p-15, 0x1.a9414e14f282p-15, 0x1.a585866e3e67ap-15, 0x1.a1c8cc79169cfp-15, 0x1.9e0b3fea70e7cp-15, 0x1.9a4d0002157a6p-15, 0x1.968e2b8b4285ap-15, 0x1.92cee0dd7aaadp-15, 0x1.8f0f3ddd6629dp-15, 0x1.8b4f5ffd618d9p-15, 0x1.878f643e63e56p-15, 0x1.83cf67310a76fp-15, 0x1.800f84f5fd42ep-15, 0x1.7c4fd93edc738p-15, 0x1.78907f4ef0e6bp-15, 0x1.74d191fc5961dp-15, 0x1.71132bb0b2d26p-15, 0x1.6d5566699720dp-15, 0x1.69985bb9f48adp-15, 0x1.65dc24ca93aa5p-15, 0x1.6220da5aff7c6p-15, 0x1.5e6694c258256p-15, 0x1.5aad6bf029acbp-15, 0x1.56f5776d55d05p-15, 0x1.533ece5ce83a7p-15, }}, 
      {{0x1.b571ca0827f16p-7, 0x1.b7b1f4b5943e1p-6, 0x1.4bd8f62fe2a3p-5, 0x1.bd00b85dd9bcep-5, 0x1.173f38399be04p-4, 0x1.4faad7e8bddcdp-4, 0x1.874b530a2dd6ap-4, 0x1.bdbef8f8745ap-4, 0x1.f2c0ca8b56165p-4, 0x1.13144de54d0f2p-3, 0x1.2bf3c3688cd76p-3, 0x1.4401506bd08d3p-3, 0x1.5b469d6692881p-3, 0x1.71d1bb4a9105bp-3, 0x1.87b2cf558380fp-3, 0x1.9cfa37d382ac5p-3, 0x1.b1b72d449134bp-3, 0x1.c5f6d6f2e60c4p-3, 0x1.d9c3c34899227p-3, 0x1.ed25b15f59562p-3, 0x1.0010cc83dc2ddp-2, 0x1.095ceff03a7cdp-2, 0x1.1277562712291p-2, 0x1.1b5f24dbbfb04p-2, 0x1.2412ca022bbap-2, 0x1.2c90316448105p-2, 0x1.34d4f752bb1ccp-2, 0x1.3cde969b6b284p-2, 0x1.44aa90aacap-2, 0x1.4c368f4e927d7p-2, 0x1.53807ffebecc6p-2, 0x1.5a86a8e124833p-2, 0x1.6147b7f2cb93ep-2, 0x1.67c2cce4b1d9cp-2, 0x1.6df77e4cb9262p-2, 0x1.73e5dad2d4f74p-2, 0x1.798e670140151p-2, 0x1.7ef2185745db5p-2, 0x1.84124e32e103fp-2, 0x1.88f0c917d763ap-2, 0x1.8d8fa0cc1480bp-2, 0x1.91f139b1e550dp-2, 0x1.961839b9c51e8p-2, 0x1.9a077d375a77dp-2, 0x1.9dc20bd808893p-2, 0x1.a14b0ded94824p-2, 0x1.a4a5c2349043bp-2, 0x1.a7d57434ca6b9p-2, 0x1.aadd7351ba358p-2, 0x1.adc10a99c5b19p-2, 0x1.b083795d2c5c1p-2, 0x1.b327ec906441bp-2, 0x1.b5b178f97c9ccp-2, 0x1.b8231624be5a2p-2, 0x1.ba7f9a1a1e88bp-2, 0x1.bcc9b5caf082cp-2, 0x1.bf03f22dd03ecp-2, 0x1.c130adfd93721p-2, 0x1.c3521c0f658d8p-2, 0x1.c56a4233c274dp-2, 0x1.c77af895ea4fbp-2, 0x1.c985e98d7ecfbp-2, 0x1.cb8c91d62aa93p-2, 0x1.cd904121b5b9cp-2, 0x1.cf921af948377p-2, 0x1.d19317e345f55p-2, 0x1.d39406c3c0c03p-2, 0x1.d5958e6e32883p-2, 0x1.d7982f5fcfae4p-2, 0x1.d99c459a7eedep-2, 0x1.dba20a992b793p-2, 0x1.dda99756cacb9p-2, 0x1.dfb2e66221d6p-2, 0x1.e1bdd5f8e2c67p-2, 0x1.e3ca2a255f64fp-2, 0x1.e5d78eda95ab8p-2, 0x1.e7e59a0adbc6dp-2, 0x1.e9f3cdb5fe4d8p-2, 0x1.ec0199ebfb714p-2, 0x1.ee0e5ec213199p-2, 0x1.f0196e381d767p-2, 0x1.f2220e0c9e6b1p-2, 0x1.f427797e35873p-2, 0x1.f628e2f96eff1p-2, 0x1.f82575b22df4p-2, 0x1.fa1c57282acd8p-2, 0x1.fc0ca896312ebp-2, 0x1.fdf5884bf2009p-2, 0x1.ffd612f279d46p-2, 0x1.00d6b25db291p-1, 0x1.01bd4d3d90c5fp-1, 0x1.029e69574b28fp-1, 0x1.03799736578b8p-1, 0x1.044e6922278ffp-1, 0x1.051c7383a495p-1, 0x1.05e34d417e31bp-1, 0x1.06a29013a56a9p-1, 0x1.0759d8ce4e906p-1, 0x1.0808c7a4d7e79p-1, 0x1.08af0064f5d94p-1, 0x1.094c2aaa83ad7p-1, 0x1.09dff20c5b8b6p-1, 0x1.0a6a0642952fap-1, 0x1.0aea1b468ac81p-1, 0x1.0b5fe96d02f51p-1, 0x1.0bcb2d7adb6aep-1, 0x1.0c2ba8b48e238p-1, 0x1.0c8120e8e94fbp-1, 0x1.0ccb60774fc9fp-1, 0x1.0d0a3651d2bfbp-1, 0x1.0d3d75fb7383p-1, 0x1.0d64f782dc75ap-1, 0x1.0d809779d7de4p-1, 0x1.0d9036e9c941dp-1, 0x1.0d93bb457049bp-1, 0x1.0d8b0e5830962p-1, 0x1.0d761e331c7f8p-1, 0x1.0d54dd17fc649p-1, 0x1.0d27416287bbdp-1, 0x1.0ced45700559ap-1, 0x1.0ca6e7857e736p-1, 0x1.0c5429b4b8b75p-1, 0x1.0bf511c01aa7cp-1, 0x1.0b89a8fda9104p-1, 0x1.0b11fc393e217p-1, 0x1.0a8e1b961fcc2p-1, 0x1.09fe1a7014dp-1, 0x1.09620f3c185edp-1, 0x1.08ba1368c59f9p-1, 0x1.0806433e98bffp-1, 0x1.0746bdc01b228p-1, 0x1.067ba48a12681p-1, 0x1.05a51bb3c5e7ap-1, 0x1.04c349af6d455p-1, 0x1.03d6572adb11cp-1, 0x1.02de6ef071146p-1, 0x1.01dbbdc86ddd5p-1, 0x1.00ce725a9ff02p-1, 0x1.ff6d7a211379fp-2, 0x1.fd299ff006c6fp-2, 0x1.fad1bd4cbf79cp-2, 0x1.f8663c3840ad1p-2, 0x1.f5e789527bb65p-2, 0x1.f35613a417e9bp-2, 0x1.f0b24c697f622p-2, 0x1.edfca6df2febcp-2, 0x1.eb35980f6842p-2, 0x1.e85d96a12a97ap-2, 0x1.e5751aa8a0481p-2, 0x1.e27c9d78df94p-2, 0x1.df7499771c34ap-2, 0x1.dc5d89ef3c9d9p-2, 0x1.d937eae9de7b1p-2, 0x1.d6043903befdep-2, 0x1.d2c2f14694964p-2, 0x1.cf7491034b9bdp-2, 0x1.cc1995adac08ep-2, 0x1.c8b27cb963748p-2, 0x1.c53fc3786fc51p-2, 0x1.c1c1e6fae717fp-2, 0x1.be3963f01a394p-2, 0x1.baa6b68908e1bp-2, 0x1.b70a5a5c297afp-2, 0x1.b364ca4a7a4eap-2, 0x1.afb68065d6d7ep-2, 0x1.abfff5d88e93ep-2, 0x1.a841a2ce33a54p-2, 0x1.a47bfe5d9b91dp-2, 0x1.a0af7e74128b6p-2, 0x1.9cdc97c1ad091p-2, 0x1.9903bda6bf2a2p-2, 0x1.95256222699ddp-2, 0x1.9141f5c23c0efp-2, 0x1.8d59e792dccdfp-2, 0x1.896da511bbe21p-2, 0x1.857d9a1fbd45bp-2, 0x1.818a30f4dc817p-2, 0x1.7d93d214bea6ep-2, 0x1.799ae4442c82dp-2, 0x1.759fcc7f6d1cap-2, 0x1.71a2edf17babcp-2, 0x1.6da4a9ec10a8ap-2, 0x1.69a55fe0760dep-2, 0x1.65a56d592426dp-2, 0x1.61a52df41948bp-2, 0x1.5da4fb5dee38dp-2, 0x1.59a52d4d984bfp-2, 0x1.55a61980db71bp-2, 0x1.51a813b95b752p-2, 0x1.4dab6dba514a1p-2, 0x1.49b07746d571dp-2, 0x1.45b77e20bf078p-2, 0x1.41c0ce080c04dp-2, 0x1.3dccb0bad41p-2, 0x1.39db6df5b9f44p-2, 0x1.35ed4b74d6ed4p-2, 0x1.32028cf51f55bp-2, 0x1.2e1b743633f79p-2, 0x1.2a3840fca06eap-2, 0x1.265931147f93cp-2, 0x1.227e80547d96p-2, 0x1.1ea868a13bb6dp-2, 0x1.1ad721f105633p-2, 0x1.170ae24fd9bdep-2, 0x1.1343dde3c616dp-2, 0x1.0f8246f183ac3p-2, 0x1.0bc64de160a0bp-2, 0x1.0810214466846p-2, 0x1.045fedd9bcad6p-2, 0x1.00b5de9447b39p-2, 0x1.fa243940f61c6p-3, 0x1.f2e99ed4b3837p-3, 0x1.ebbc39475888fp-3, 0x1.e49c5094aebf9p-3, 0x1.dd8a295dc19ccp-3, 0x1.d68604f629aep-3, 0x1.cf90217197237p-3, 0x1.c8a8b9b19baecp-3, 0x1.c1d00573a5a4dp-3, 0x1.bb06395f29bd4p-3, 0x1.b44b8713f9aefp-3, 0x1.ada01d38bdfadp-3, 0x1.a70427898bdd3p-3, 0x1.a077cee69ae93p-3, 0x1.99fb39630dfe3p-3, 0x1.938e8a53ca502p-3, 0x1.8d31e25e61c9cp-3, 0x1.86e55f87fe505p-3, 0x1.80a91d445bfaep-3, 0x1.7a7d3484b7daap-3, 0x1.7461bbc6c6adbp-3, 0x1.6e56c7239f417p-3, 0x1.685c685e9eac7p-3, 0x1.6272aef43cb36p-3, 0x1.5c99a828d3dd4p-3, 0x1.56d15f17546b6p-3, 0x1.5119dcbfe3162p-3, 0x1.4b73281661cc7p-3, 0x1.45dd4610d9a9ap-3, 0x1.405839b5ca881p-3, 0x1.3ae4042a62d41p-3, 0x1.3580a4c0861c7p-3, 0x1.302e1904c4af2p-3, 0x1.2aec5ccc1f504p-3, 0x1.25bb6a41ac27dp-3, 0x1.209b39f41257fp-3, 0x1.1b8bc2e2dc3bap-3, 0x1.168cfa8b9cc96p-3, 0x1.119ed4f6f1c6cp-3, 0x1.0cc144c5494ap-3, 0x1.07f43b3b8b16bp-3, 0x1.0337a84f82a4bp-3, 0x1.fd16f5684f75bp-4, 0x1.f3df3fcb4f686p-4, 0x1.eac8086a972dp-4, 0x1.e1d125aa3f691p-4, 0x1.d8fa6bc6deab6p-4, 0x1.d043acec18efap-4, 0x1.c7acb94ac594cp-4, 0x1.bf355f2eabc53p-4, 0x1.b6dd6b13d7149p-4, 0x1.aea4a7bb89986p-4, 0x1.a68ade40b2dc9p-4, 0x1.9e8fd62c14281p-4, 0x1.96b35587eb5f4p-4, 0x1.8ef520f334589p-4, 0x1.8754fbb48752bp-4, 0x1.7fd2a7cc8a2bep-4, 0x1.786de607f5c1dp-4, 0x1.7126761136ddcp-4, 0x1.69fc1681a1e22p-4, 0x1.62ee84f242308p-4, 0x1.5bfd7e0c3ef4bp-4, 0x1.5528bd98da13ap-4, 0x1.4e6ffe9109f25p-4, 0x1.47d2fb2caa099p-4, 0x1.41516cf14ca78p-4, 0x1.3aeb0cc0a29bdp-4, 0x1.349f92e6854d4p-4, 0x1.2e6eb7269b7a7p-4, 0x1.285830c99d929p-4, 0x1.225bb6aa3cd18p-4, 0x1.1c78ff41a9c6bp-4, 0x1.16afc0b3baa1bp-4, 0x1.10ffb0dabd3a5p-4, 0x1.0b688552e2e2fp-4, 0x1.05e9f3855cb66p-4, 0x1.0083b0b3199abp-4, 0x1.f66ae3fe5cd44p-5, 0x1.ebfdd8f1cf77cp-5, 0x1.e1bfaa4b0e1cp-5, 0x1.d7afc2135cf7dp-5, 0x1.cdcd8a64ee44dp-5, 0x1.c4186d7c75a02p-5, 0x1.ba8fd5ca16672p-5, 0x1.b1332e01ba157p-5, 0x1.a801e12acdef2p-5, 0x1.9efb5aaf6bd71p-5, 0x1.961f066aea71bp-5, 0x1.8d6c50b7e577ep-5, 0x1.84e2a67db2441p-5, 0x1.7c81753d4d9d3p-5, 0x1.74482b1dc1584p-5, 0x1.6c3636f8000d6p-5, 0x1.644b08624aeeep-5, 0x1.5c860fbb0812ep-5, 0x1.54e6be332c04dp-5, 0x1.4d6c85d820ce1p-5, 0x1.4616d99d36c67p-5, 0x1.3ee52d64a5dcp-5, 0x1.37d6f6081abefp-5, 0x1.30eba960d42a7p-5, 0x1.2a22be4f5754bp-5, 0x1.237bacc2b9681p-5, 0x1.1cf5edbf861f2p-5, 0x1.1690fb663ab59p-5, 0x1.104c50f9666d9p-5, 0x1.0a276ae36c6f2p-5, 0x1.0421c6bbe6a84p-5, 0x1.fc75c6995de9cp-6, 0x1.f0e4812d2641fp-6, 0x1.e58ebfab6136p-6, 0x1.da73870b12276p-6, 0x1.cf91dec965ae4p-6, 0x1.c4e8d0f0a1b52p-6, 0x1.ba776a1e6223ap-6, 0x1.b03cb98955769p-6, 0x1.a637d1065d212p-6, 0x1.9c67c50d2f42cp-6, 0x1.92cbacbc72ab1p-6, 0x1.8962a1dd5258cp-6, 0x1.802bc0e69cdd6p-6, 0x1.772628ff710d3p-6, 0x1.6e50fc015d3ecp-6, 0x1.65ab5e7a2fb97p-6, 0x1.5d3477ad44f63p-6, 0x1.54eb71946b9e2p-6, 0x1.4ccf78e07a6cfp-6, 0x1.44dfbcf9676ap-6, 0x1.3d1b6ffe175a4p-6, 0x1.3581c6c3c945dp-6, 0x1.2e11f8d52ef4bp-6, 0x1.26cb407130fa1p-6, 0x1.1facda895ce61p-6, 0x1.18b606c0136e7p-6, 0x1.11e6076667c74p-6, 0x1.0b3c2179a921cp-6, 0x1.04b79ca0c793dp-6, 0x1.fcaf8652acf6cp-7, 0x1.f037c408db9e3p-7, 0x1.e4069186793d3p-7, 0x1.d81a9326de7c1p-7, 0x1.cc727276af095p-7, 0x1.c10cde2bc4c29p-7, 0x1.b5e88a1cd47ebp-7, 0x1.ab042f3892c5fp-7, 0x1.a05e8b7c922bbp-7, 0x1.95f661ebc8fdcp-7, 0x1.8bca7a84dd408p-7, 0x1.81d9a23802e3bp-7, 0x1.7822aadcb127bp-7, 0x1.6ea46b27103bbp-7, 0x1.655dbe9d153b1p-7, 0x1.5c4d858b87a66p-7, 0x1.5372a4fab974ap-7, 0x1.4acc06a30c79cp-7, 0x1.425898e1559a5p-7, 0x1.3a174eab05739p-7, 0x1.32071f823861bp-7, 0x1.2a2707699eb2dp-7, 0x1.227606d839385p-7, 0x1.1af322acff53fp-7, 0x1.139d64226a236p-7, 0x1.0c73d8c1ebaf8p-7, 0x1.05759257395afp-7, 0x1.fd434dc759615p-8, 0x1.efee6122bde97p-8, 0x1.e2ea9b4cca276p-8, 0x1.d63640efe359p-8, 0x1.c9cf9ebaaa5f3p-8, 0x1.bdb5094635f7cp-8, 0x1.b1e4dcfc0d5a9p-8, 0x1.a65d7dfc4335p-8, 0x1.9b1d5803723f5p-8, 0x1.9022de50c3f45p-8, 0x1.856c8b8c09dc5p-8, 0x1.7af8e1abb8726p-8, 0x1.70c669db331ap-8, 0x1.66d3b460d16ep-8, 0x1.5d1f588445abcp-8, 0x1.53a7f474dcd67p-8, 0x1.4a6c2d2ffc7ebp-8, 0x1.416aae67a86c4p-8, 0x1.38a22a6939894p-8, 0x1.30115a0408234p-8, 0x1.27b6fc7071eeep-8, 0x1.1f91d736dea35p-8, 0x1.17a0b616ee864p-8, 0x1.0fe26aeee96dp-8, 0x1.0855cda32aa53p-8, 0x1.00f9bc05f8ab1p-8, 0x1.f39a337e76c35p-9, 0x1.e59da06958564p-9, 0x1.d7fb9ce42af96p-9, 0x1.cab2122363f24p-9, 0x1.bdbef449ca1a2p-9, 0x1.b120423a16619p-9, 0x1.a4d405692aa18p-9, 0x1.98d851b0a9d14p-9, 0x1.8d2b4521c4067p-9, 0x1.81cb07d8eee5cp-9, 0x1.76b5cbd1a2045p-9, 0x1.6be9ccbabc2b8p-9, 0x1.61654fcb56636p-9, 0x1.5726a39815a7p-9, 0x1.4d2c1fe8f1b0ep-9, 0x1.4374258f56f99p-9, 0x1.39fd1e3d0edf8p-9, 0x1.30c57c5b4b457p-9, 0x1.27cbbae265c62p-9, 0x1.1f0e5d322a844p-9, 0x1.168beeea5f37p-9, 0x1.0e4303c40c6ddp-9, 0x1.0632376b1bd64p-9, 0x1.fcb05ab111be8p-10, 0x1.ed67215a0aa8ep-10, 0x1.de8628185d4d9p-10, 0x1.d00ae2f05d76ep-10, 0x1.c1f2d45bba29bp-10, 0x1.b43b8d02f596cp-10, 0x1.a6e2ab779fd44p-10, 0x1.99e5dbef912b2p-10, 0x1.8d42d8014c814p-10, 0x1.80f7666141d1fp-10, 0x1.75015a9fef93p-10, 0x1.695e94e94bbdcp-10, 0x1.5e0d01c4ca781p-10, 0x1.530a99d6bb032p-10, 0x1.485561a22bc61p-10, 0x1.3deb694c40c4ap-10, 0x1.33cacc6005ee9p-10, 0x1.29f1b1939f977p-10, 0x1.205e4a8e12ecdp-10, 0x1.170ed3ae3328ep-10, 0x1.0e0193d268112p-10, 0x1.0534dc215753fp-10, 0x1.f94e0fa721ee8p-11, 0x1.e8acf7fc2a9c8p-11, 0x1.d8834ebb7631bp-11, 0x1.c8ce0446c51b7p-11, 0x1.b98a1b82dc00bp-11, 0x1.aab4a972c3ddcp-11, 0x1.9c4ad4d671ccfp-11, 0x1.8e49d5c9de0b9p-11, 0x1.80aef5663e2f8p-11, 0x1.73778d652a06dp-11, 0x1.66a107c4cf22dp-11, 0x1.5a28de6e762f4p-11, 0x1.4e0c9ade326d1p-11, 0x1.4249d5cc0e2e3p-11, 0x1.36de36d76d326p-11, 0x1.2bc774334b76ep-11, 0x1.2103525459a1fp-11, 0x1.168fa3a09c83bp-11, 0x1.0c6a4820a91ecp-11, 0x1.02912d31eee7ep-11, 0x1.f2049a7605112p-12, 0x1.df775ec21e547p-12, 0x1.cd76ce7d2b656p-12, 0x1.bbff2937e308p-12, 0x1.ab0cc651eb2acp-12, 0x1.9a9c146fb7fccp-12, 0x1.8aa998f3dcd2p-12, 0x1.7b31ef7a5415p-12, 0x1.6c31c955da31cp-12, 0x1.5da5ed124cee1p-12, 0x1.4f8b35f5d067dp-12, 0x1.41de938822a3ep-12, 0x1.349d0919ef1d3p-12, 0x1.27c3ad4f5b62ap-12, 0x1.1b4fa9ad6e315p-12, 0x1.0f3e3a29092dep-12, 0x1.038cacb8ca9bep-12, 0x1.f070c1d12dc02p-13, 0x1.da7d8edfb005ep-13, 0x1.c53ac39450e54p-13, 0x1.b0a383a2fa0c7p-13, 0x1.9cb312b4e8e28p-13, 0x1.8964d3a7abbcep-13, 0x1.76b447cd0943ep-13, 0x1.649d0e32201fp-13, 0x1.531ae2e75de64p-13, 0x1.42299e4f34c1cp-13, 0x1.31c5346e78603p-13, 0x1.21e9b4424a104p-13, 0x1.129347180475cp-13, 0x1.03be2fea03247p-13, 0x1.eacd957f4dc68p-14, 0x1.cf13182166d97p-14, 0x1.b446005816589p-14, 0x1.9a5f95442437fp-14, 0x1.81594b6532183p-14, 0x1.692cc379f44ffp-14, 0x1.51d3c96a5fa24p-14, 0x1.3b48533348f99p-14, 0x1.25847fdd54f2ap-14, 0x1.108296769536fp-14, 0x1.f87a0a247ea6dp-15, 0x1.d15cbfa072ee2p-15, 0x1.aba2bfd012a5ep-15, 0x1.8741c575f3fcfp-15, 0x1.642fd1d4ebb7ap-15, 0x1.42632ae9812dfp-15, 0x1.21d259acefecp-15, 0x1.02742863d7b7p-15, 0x1.c87f41e5498e3p-16, 0x1.8e58168406951p-16, 0x1.5661d7539e3a9p-16, 0x1.208c02c5d3fd9p-16, 0x1.d98d1424c7d69p-17, 0x1.76039c7cb5ccap-17, 0x1.165d3a803da6p-17, 0x1.74f8bcbe37697p-18, 0x1.89111c3c5d04ep-19, 0x1.b31f9e7cec35p-22, -0x1.0e82cd5da6b0bp-19, -0x1.23067c3a51355p-18, -0x1.b850bafe45c0ap-18, -0x1.23a916586f5efp-17, -0x1.681dbcf820e4bp-17, -0x1.a99df9bf5bf71p-17, -0x1.e840cd9fa2dd2p-17, -0x1.120e4b433c56bp-16, -0x1.2ea389d27d8e4p-16, -0x1.49eab4cfa5425p-16, -0x1.63ee135114003p-16, -0x1.7cb7a32e2144ap-16, -0x1.94511af31c6e4p-16, -0x1.aac3ebbf8ba33p-16, -0x1.c019432651d29p-16, -0x1.d45a0cf59f093p-16, -0x1.e78ef4f9478d3p-16, -0x1.f9c068b16789ep-16, -0x1.057b4c7ece663p-15, -0x1.0d9cbdddb60edp-15, -0x1.154866aeeab04p-15, -0x1.1c82093bd453ep-15, -0x1.234d4c9f0fefep-15, -0x1.29adbd7fc49dap-15, -0x1.2fa6cec7d2846p-15, -0x1.353bda58ba438p-15, -0x1.3a7021b67224dp-15, -0x1.3f46ceb2b4005p-15, -0x1.43c2f41071cd7p-15, -0x1.47e78e26237c2p-15, -0x1.4bb7837887245p-15, -0x1.4f35a5550273cp-15, -0x1.5264b064acd84p-15, -0x1.55474d3d72327p-15, -0x1.57e010eec3057p-15, -0x1.5a317d8b4b00ep-15, -0x1.5c3e02ae3fd6bp-15, -0x1.5e07fdfd48886p-15, -0x1.5f91bba7975e6p-15, -0x1.60dd76e084086p-15, -0x1.61ed5a5869252p-15, -0x1.62c380b10b516p-15, -0x1.6361f4efd0afap-15, -0x1.63cab2ec2c616p-15, -0x1.63ffa7bb6958p-15, -0x1.6402b219a99d4p-15, -0x1.63d5a2d077c11p-15, -0x1.637a3d19844a8p-15, -0x1.62f236fff2f3p-15, -0x1.623f39be1dc12p-15, -0x1.6162e219531ffp-15, -0x1.605ec0bad0b7fp-15, -0x1.5f345a86ca8f9p-15, -0x1.5de528f09f12bp-15, -0x1.5c729a4d228d2p-15, -0x1.5ade1221c61f6p-15, -0x1.5928e9733e7p-15, -0x1.57546f10479bfp-15, -0x1.5561e7dbe7161p-15, -0x1.53528f13ea1e6p-15, -0x1.51279697a5125p-15, -0x1.4ee2272a8e0e2p-15, -0x1.4c8360b62ef02p-15, -0x1.4a0c5a8ad59f4p-15, -0x1.477e239cef287p-15, -0x1.44d9c2c1e3ad8p-15, -0x1.422036eac9a55p-15, -0x1.3f52775dc0505p-15, -0x1.3c7173ed0be09p-15, -0x1.397e152dd05aap-15, -0x1.36793cac39db7p-15, -0x1.3363c51e590a6p-15, -0x1.303e829653545p-15, -0x1.2d0a42b253c4fp-15, -0x1.29c7cccb55851p-15, -0x1.2677e223391ffp-15, -0x1.231b3e10b795ap-15, -0x1.1fb2962a5b635p-15, -0x1.1c3e9a7101923p-15, -0x1.18bff577b28cbp-15, -0x1.15374c8bcc044p-15, -0x1.11a53fdb7120bp-15, -0x1.0e0a6a9a70884p-15, -0x1.0a676326f5706p-15, -0x1.06bcbb2cc8d4dp-15, -0x1.030affc759972p-15, -0x1.fea5734670ee5p-16, -0x1.f728da3cce69bp-16, -0x1.efa134cff411cp-16, -0x1.e80f7b3ca76bbp-16, -0x1.e0749dd9ed2f6p-16, -0x1.d8d18552e9c34p-16, -0x1.d12712de2b81fp-16, -0x1.c9762075a58bp-16, -0x1.c1bf8109ddfe2p-16, -0x1.ba0400b63484bp-16, -0x1.b24464f2eb46dp-16, -0x1.aa816cc4ae909p-16, -0x1.a2bbd0ece581cp-16, -0x1.9af44416a717cp-16, -0x1.932b7303aae4ap-16, -0x1.8b6204b6e5235p-16, -0x1.83989a9f24f53p-16, -0x1.7bcfd0bf0c8fap-16, -0x1.74083dd54762p-16, -0x1.6c42738294aaep-16, -0x1.647efe6fa6194p-16, -0x1.5cbe6670cc60cp-16, -0x1.55012ea9651d6p-16, -0x1.4d47d5ae44965p-16, -0x1.4592d5a63bff6p-16, -0x1.3de2a46ba3dadp-16, -0x1.3637b3aa9c013p-16, -0x1.2e9271001118dp-16, -0x1.26f346172ba5bp-16, -0x1.1f5a98c5f8f17p-16, -0x1.17c8cb293f605p-16, -0x1.103e3bc023386p-16, -0x1.08bb4585dc5efp-16, -0x1.0140400b8f65p-16, -0x1.f39aff22b9a1ep-17, -0x1.e4c6aa3c274bfp-17, -0x1.d6041d2e55127p-17, -0x1.c753edadd1b3ep-17, -0x1.b8b6ab862a305p-17, -0x1.aa2ce0c460651p-17, -0x1.9bb711e11999ep-17, -0x1.8d55bde8d1c4fp-17, -0x1.7f095ea30fb94p-17, -0x1.70d268b95b5d1p-17, -0x1.62b14bdbd8086p-17, -0x1.54a672e5e6185p-17, -0x1.46b24401489f4p-17, -0x1.38d520c793d12p-17, -0x1.2b0f666476c87p-17, -0x1.1d616db509c4fp-17, -0x1.0fcb8b66e6845p-17, -0x1.024e101826095p-17, -0x1.e9d290e6731c2p-18, -0x1.cf3afa9960f59p-18, -0x1.b4d5e77d36569p-18, -0x1.9aa3da88ab834p-18, -0x1.80a54fa809102p-18, -0x1.66dabbf1ec607p-18, -0x1.4d448dd8bb977p-18, -0x1.33e32d5b28004p-18, -0x1.1ab6fc32ed178p-18, -0x1.01c05603a5c61p-18, -0x1.d1ff210b9d8fep-19, -0x1.a0e9f7677362dp-19, -0x1.7041c3e3890bdp-19, -0x1.40071072947fbp-19, -0x1.103a5c7f2155fp-19, -0x1.c1b83a6f19c07p-20, -0x1.63d97bbaf52acp-20, -0x1.06d9401347ca6p-20, -0x1.55706fde1644ap-21, -0x1.3ddc06438ec47p-22, 0x1.5d3ace2cfb8bp-25, 0x1.91a7529e78a49p-22, 0x1.7a111c9f67df1p-21, 0x1.14c5a8d02df9ap-20, 0x1.6ba0d9471221bp-20, 0x1.c199e40f61696p-20, 0x1.0b584e290c308p-19, 0x1.357271c95cbd1p-19, 0x1.5f1b54a3d5936p-19, 0x1.8852f53655845p-19, 0x1.b119588eb891cp-19, 0x1.d96e8a1901b3cp-19, 0x1.00a94db7f015ep-18, 0x1.1462d214f0211p-18, 0x1.27e3e0d7de343p-18, 0x1.3b2c8b85a8aaap-18, 0x1.4e3ce65f386d8p-18, 0x1.6115084bcbb95p-18, 0x1.73b50ac416099p-18, 0x1.861d09bd93e5dp-18, 0x1.984d2398962f6p-18, 0x1.aa45790a9a982p-18, 0x1.bc062d0d9ae88p-18, 0x1.cd8f64cc8db65p-18, 0x1.dee14792bc4bep-18, 0x1.effbfeb9250ep-18, 0x1.006fdacba04bdp-17, 0x1.08c64cb889657p-17, 0x1.11016cb41ad68p-17, 0x1.19215335a557ap-17, 0x1.21261993e353fp-17, 0x1.290fd9fd4c0b7p-17, 0x1.30deaf7098486p-17, 0x1.3892b5b64c81dp-17, 0x1.402c09597103dp-17, 0x1.47aac7a0c2247p-17, 0x1.4f0f0e889db1cp-17, 0x1.5658fcbc1ccfep-17, 0x1.5d88b18f5ff16p-17, 0x1.649e4cf8c9474p-17, 0x1.6b99ef8c02eb8p-17, 0x1.727bba73566dcp-17, 0x1.7943cf6a93246p-17, 0x1.7ff250b96741ep-17, 0x1.8687612e0b0f4p-17, 0x1.8d032417d3a75p-17, 0x1.9365bd42810a7p-17, 0x1.99af50f0d80e6p-17, 0x1.9fe003d7f9182p-17, 0x1.a5f7fb1aafa1p-17, 0x1.abf75c44ac1dfp-17, 0x1.b1de4d460bb96p-17, 0x1.b7acf46efcdf6p-17, 0x1.bd63786b6f51bp-17, 0x1.c302003ec5ac7p-17, 0x1.c888b33fd34cbp-17, 0x1.cdf7b914dba78p-17, 0x1.d34f39afa8b05p-17, 0x1.d88f5d49c3d5dp-17, 0x1.ddb84c607276ep-17, 0x1.e2ca2fb1a022dp-17, 0x1.e7c53037ce16p-17, 0x1.eca97726df361p-17, 0x1.f1772de8a333fp-17, 0x1.f62e7e19958f6p-17, 0x1.facf91858fa23p-17, 0x1.ff5a9224ae8d4p-17, 0x1.01e7d50c27619p-16, 0x1.041781d3fc951p-16, 0x1.063c649f33a62p-16, 0x1.085692b371e1ep-16, 0x1.0a6621651d1f7p-16, 0x1.0c6b261616c4dp-16, 0x1.0e65b63454ee6p-16, 0x1.1055e738a9b3ep-16, 0x1.123bcea56fc43p-16, 0x1.141782055a504p-16, 0x1.15e916ea368c5p-16, 0x1.17b0a2ebbdc42p-16, 0x1.196e3ba67d0d2p-16, 0x1.1b21f6ba9eb4ep-16, 0x1.1ccbe9caf8dcap-16, 0x1.1e6c2a7bc936dp-16, 0x1.2002ce71d20bfp-16, 0x1.218feb5149d9cp-16, 0x1.231396bce090bp-16, 0x1.248de654c3604p-16, 0x1.25feefb5a6ff8p-16, 0x1.2766c877eec8ap-16, 0x1.28c5862eb2ae5p-16, 0x1.2a1b3e66e9f1dp-16, 0x1.2b6806a693aefp-16, 0x1.2cabf46bdeafep-16, 0x1.2de71d2c592e2p-16, 0x1.2f19965424e63p-16, 0x1.304375453d2efp-16, 0x1.3164cf56b2fa9p-16, 0x1.327db9d3f3a66p-16, 0x1.338e49fbfd0e8p-16, 0x1.34969500d3343p-16, 0x1.3596b006b7337p-16, 0x1.368eb0238e7fap-16, 0x1.377eaa5e3f51fp-16, 0x1.3866b3ae069a5p-16, 0x1.3946e0f9eb7d1p-16, 0x1.3a1f47181ea21p-16, 0x1.3aeffacd7880ep-16, 0x1.3bb910ccd6871p-16, 0x1.3c7a9db69db6dp-16, 0x1.3d34b61835588p-16, 0x1.3de76e6b8dec2p-16, 0x1.3e92db1689d74p-16, 0x1.3f37106aa1e18p-16, 0x1.3fd422a452edcp-16, 0x1.406a25eabedc5p-16, 0x1.40f92e4f3887fp-16, 0x1.41814fcccf09cp-16, 0x1.42029e47ede35p-16, 0x1.427d2d8dfde1p-16, 0x1.42f11154ec0b1p-16, 0x1.435e5d3ae75b1p-16, 0x1.43c524c5ef9a5p-16, 0x1.44257b638a713p-16, 0x1.447f74686ac5dp-16, 0x1.44d3231015386p-16, 0x1.45209a7c9c67ap-16, 0x1.4567edb64ca1ep-16, 0x1.45a92fab699a1p-16, 0x1.45e4732fd7efbp-16, 0x1.4619cafcec2fp-16, 0x1.464949b11db6fp-16, 0x1.467301cfcf3d6p-16, 0x1.469705c101b4bp-16, 0x1.46b567d1262e4p-16, 0x1.46ce3a30ecda7p-16, 0x1.46e18ef4fe6acp-16, 0x1.46ef7815d8c32p-16, 0x1.46f8076f92729p-16, 0x1.46fb4ec1b98d7p-16, 0x1.46f95faf1e5b4p-16, 0x1.46f24bbda4802p-16, 0x1.46e62456290bcp-16, 0x1.46d4fac44d272p-16, 0x1.46bee0365f057p-16, 0x1.46a3e5bd3c58ep-16, 0x1.46841c4c209a6p-16, 0x1.465f94b88f6bap-16, 0x1.46365fba3fb1bp-16, 0x1.46088deafb27ap-16, 0x1.45d62fc68dccp-16, 0x1.459f55aaa6e4ap-16, 0x1.45640fd6c2a82p-16, 0x1.45246e6c23097p-16, 0x1.44e0816db8a89p-16, 0x1.449858c012f87p-16, 0x1.444c0429528ep-16, 0x1.43fb93511c27ep-16, 0x1.43a715c0945b7p-16, 0x1.434e9ae250731p-16, 0x1.42f232024dc8ap-16, 0x1.4291ea4df3363p-16, 0x1.422dd2d406472p-16, 0x1.41c5fa84a6e56p-16, 0x1.415a703157469p-16, 0x1.40eb428cee3afp-16, 0x1.4078802b9f1adp-16, 0x1.4002378306063p-16, 0x1.3f8876ea1f3f8p-16, 0x1.3f0b4c9942d88p-16, 0x1.3e8ac6aa3b08ep-16, 0x1.3e06f3184efd5p-16, 0x1.3d7fdfc03a31cp-16, 0x1.3cf59a6035cfap-16, 0x1.3c68309819d34p-16, 0x1.3bd7afe954663p-16, 0x1.3b4425b6f61f5p-16, 0x1.3aad9f45d3285p-16, 0x1.3a1429bc7a97ep-16, 0x1.3977d2234faa4p-16, 0x1.38d8a564a017bp-16, 0x1.3836b04ca9d83p-16, 0x1.3791ff89ba1f9p-16, 0x1.36ea9fac354a9p-16, 0x1.36409d26b74c2p-16, 0x1.3594044e11838p-16, 0x1.34e4e15981805p-16, 0x1.34334062bd422p-16, 0x1.337f2d65f10f5p-16, 0x1.32c8b441f1e58p-16, 0x1.320fe0b8525f5p-16, 0x1.3154be6d790afp-16, 0x1.309758e8b9a24p-16, 0x1.2fd7bb9474bf7p-16, 0x1.2f15f1be2e33cp-16, 0x1.2e520696acbbap-16, 0x1.2d8c053218fb4p-16, 0x1.2cc3f88815fe1p-16, 0x1.2bf9eb73e5f6fp-16, 0x1.2b2de8b4814edp-16, 0x1.2a5ffaecb711ep-16, 0x1.29902ca3582bdp-16, 0x1.28be88434b947p-16, 0x1.27eb181baa6a7p-16, 0x1.2715e65ff8dfep-16, 0x1.263efd283bd86p-16, 0x1.256666710a349p-16, 0x1.248c2c1bbba7ep-16, 0x1.23b057eea1a64p-16, 0x1.22d2f3950bb65p-16, 0x1.21f4089f78715p-16, 0x1.2113a083c006fp-16, 0x1.2031c49d29db1p-16, 0x1.1f4e7e2ca1d89p-16, 0x1.1e69d658d0f0fp-16, 0x1.1d83d62e4858ap-16, 0x1.1c9c869fac0a7p-16, 0x1.1bb3f085d1c3bp-16, }}, 
      {{0x1.ba99080a6b485p-1, 0x1.baa0f99404becp-1, 0x1.bab70164df427p-1, 0x1.bad96a54f2761p-1, 0x1.baff782e69338p-1, 0x1.bb1d0827d406p-1, 0x1.bb25d2209ffbcp-1, 0x1.bb0f895f5a2dcp-1, 0x1.bad2df542c1bap-1, 0x1.ba6bb17f498d7p-1, 0x1.b9d8b4b78c8dbp-1, 0x1.b91ae06c9dedep-1, 0x1.b834c78dae837p-1, 0x1.b729fa91dfa42p-1, 0x1.b5fe80d95fd0ep-1, 0x1.b4b66ee03eb61p-1, 0x1.b35599713996p-1, 0x1.b1df631de0acep-1, 0x1.b0569fe4700fap-1, 0x1.aebd8a82e2f77p-1, 0x1.ad15c71c8217ep-1, 0x1.ab606f4930cf8p-1, 0x1.a99e243a6b763p-1, 0x1.a7cf243f5736ap-1, 0x1.a5f361886e80cp-1, 0x1.a40a9893d2848p-1, 0x1.a21465214cc39p-1, 0x1.a01054ef80546p-1, 0x1.9dfdf7d33ba97p-1, 0x1.9bdcecf7ffa6ep-1, 0x1.99aced47aab68p-1, 0x1.976dd319096d5p-1, 0x1.951f9f5c25147p-1, 0x1.92c27c8981e12p-1, 0x1.9056bfa10d913p-1, 0x1.8ddce787d0a78p-1, 0x1.8b559b11f4c7cp-1, 0x1.88c1a6027f5f1p-1, 0x1.8621f54420a34p-1, 0x1.837792976a35fp-1, 0x1.80c39feb382d2p-1, 0x1.7e07528c73ab6p-1, 0x1.7b43ee52ef4d2p-1, 0x1.787ac0ea2b544p-1, 0x1.75ad1d4e657bdp-1, 0x1.72dc579095b08p-1, 0x1.7009c0eeefa2cp-1, 0x1.6d36a44b146edp-1, 0x1.6a64430363052p-1, 0x1.6793d231bc5afp-1, 0x1.64c6784f78522p-1, 0x1.61fd4b3c4347bp-1, 0x1.5f394ea3fbf4p-1, 0x1.5c7b72be7b91dp-1, 0x1.59c493634e368p-1, 0x1.5715776ad5352p-1, 0x1.546ed055f0242p-1, 0x1.51d13a352a91bp-1, 0x1.4f3d3bc87458dp-1, 0x1.4cb346d089c61p-1, 0x1.4a33b88b7bb6p-1, 0x1.47beda560b5b4p-1, 0x1.4554e26bfe5fcp-1, 0x1.42f5f4c1e79c3p-1, 0x1.40a223f35b1b7p-1, 0x1.3e597240eccddp-1, 0x1.3c1bd299c85abp-1, 0x1.39e929ad23132p-1, 0x1.37c14f0028766p-1, 0x1.35a40e0571a81p-1, 0x1.339127336ae76p-1, 0x1.318851176c284p-1, 0x1.2f89396396785p-1, 0x1.2d9385f5d5e8ep-1, 0x1.2ba6d5d6ad34cp-1, 0x1.29c2c22ead0a4p-1, 0x1.27e6df31b478ep-1, 0x1.2612bcff49b6fp-1, 0x1.2445e8778865dp-1, 0x1.227fec04496afp-1, 0x1.20c050564fce3p-1, 0x1.1f069d165ee94p-1, 0x1.1d52598a41289p-1, 0x1.1ba30d2dd63ddp-1, 0x1.19f8404059241p-1, 0x1.18517c461a6ecp-1, 0x1.16ae4c7efe7e8p-1, 0x1.150e3e52164p-1, 0x1.1370e1aeb3df8p-1, 0x1.11d5c9636536ep-1, 0x1.103c8b6b40d03p-1, 0x1.0ea4c131f8b79p-1, 0x1.0d0e07cf28fa2p-1, 0x1.0b78003953bb4p-1, 0x1.09e24f7107c77p-1, 0x1.084c9ea4a0794p-1, 0x1.06b69b4d1a4e6p-1, 0x1.051ff7446ac8ap-1, 0x1.038868d5cd4bfp-1, 0x1.01efaac8735cep-1, 0x1.00557c65007bfp-1, 0x1.fd7342ec75e54p-2, 0x1.fa37c48aa7bd3p-2, 0x1.f6f8172445ac4p-2, 0x1.f3b3dd0f6a7efp-2, 0x1.f06ac15b0a465p-2, 0x1.ed1c77ab54c09p-2, 0x1.e9c8bc10ad0dep-2, 0x1.e66f52d9c9256p-2, 0x1.e310086189bc3p-2, 0x1.dfaab0d90b7bfp-2, 0x1.dc3f280e70a3p-2, 0x1.d8cd5130dc70ep-2, 0x1.d555169205876p-2, 0x1.d1d66965cfd6dp-2, 0x1.ce5141804a009p-2, 0x1.cac59d1262a21p-2, 0x1.c7338065b3a52p-2, 0x1.c39af597a3cd9p-2, 0x1.bffc0c542d3b8p-2, 0x1.bc56d990891adp-2, 0x1.b8ab7745f6965p-2, 0x1.b4fa042cdb133p-2, 0x1.b142a378665d2p-2, 0x1.ad857c92effb2p-2, 0x1.a9c2badb2b948p-2, 0x1.a5fa8d626457p-2, 0x1.a22d26abd63c4p-2, 0x1.9e5abc6d4b016p-2, 0x1.9a8387510bf81p-2, 0x1.96a7c2b946281p-2, 0x1.92c7ac84f1787p-2, 0x1.8ee384d64ab4ap-2, 0x1.8afb8ddaef627p-2, 0x1.87100b95a8294p-2, 0x1.832143a9e8d4dp-2, 0x1.7f2f7d291080bp-2, 0x1.7b3b00616d721p-2, 0x1.774416af058p-2, 0x1.734b0a4e2d9a1p-2, 0x1.6f50262fe64d4p-2, 0x1.6b53b5d005349p-2, 0x1.6756050d22871p-2, 0x1.635760024f2bp-2, 0x1.5f5812e2868bbp-2, 0x1.5b5869d5ddf5cp-2, 0x1.5758b0d866ea3p-2, 0x1.5359339ac1c5bp-2, 0x1.4f5a3d64546b7p-2, 0x1.4b5c18f72331p-2, 0x1.475f10753bc53p-2, 0x1.43636d47b1a21p-2, 0x1.3f6978071ca47p-2, 0x1.3b71786590fdfp-2, 0x1.377bb51a09e88p-2, 0x1.338873cd39786p-2, 0x1.2f97f907b4519p-2, 0x1.2baa88216f928p-2, 0x1.27c0633286662p-2, 0x1.23d9cb053a7dp-2, 0x1.1ff6ff0926301p-2, 0x1.1c183d479943ap-2, 0x1.183dc2590dd33p-2, 0x1.1467c95bb24ffp-2, 0x1.10968beafa80ap-2, 0x1.0cca42182c835p-2, 0x1.09032263e338ap-2, 0x1.054161b877941p-2, 0x1.018533654877cp-2, 0x1.fb9d9235b9681p-3, 0x1.f43ca5cf909b4p-3, 0x1.ece7fe6cb7444p-3, 0x1.e59ff5961142p-3, 0x1.de64e186e9b8fp-3, 0x1.d737152c72a68p-3, 0x1.d016e02674cd5p-3, 0x1.c9048ec931bbdp-3, 0x1.c2006a2064937p-3, 0x1.bb0ab7f3456adp-3, 0x1.b423bac992cffp-3, 0x1.ad4bb1f185436p-3, 0x1.a682d9869f7cap-3, 0x1.9fc96a795006bp-3, 0x1.991f9a975a88ap-3, 0x1.92859c94f2bc7p-3, 0x1.8bfba016820b4p-3, 0x1.8581d1bb0a9cp-3, 0x1.7f185b271800bp-3, 0x1.78bf631040251p-3, 0x1.72770d490eabdp-3, 0x1.6c3f7acd6ef5ep-3, 0x1.6618c9cf76eb7p-3, 0x1.600315c48a9c7p-3, 0x1.59fe7772d7d68p-3, 0x1.540b04ff1abd4p-3, 0x1.4e28d1faa298dp-3, 0x1.4857ef718e0e2p-3, 0x1.42986bf93c1ebp-3, 0x1.3cea53bee67f6p-3, 0x1.374db0965d5c3p-3, 0x1.31c28a08df41cp-3, 0x1.2c48e5640460ep-3, 0x1.26e0c5c8bfcf7p-3, 0x1.218a2c3a61aacp-3, 0x1.1c4517ada3c78p-3, 0x1.17118517b3beep-3, 0x1.11ef6f7d2fc97p-3, 0x1.0cded001255cdp-3, 0x1.07df9df3f4843p-3, 0x1.02f1cee227ca2p-3, 0x1.fc2aad465e35ep-4, 0x1.f2944ed0040cep-4, 0x1.e92063934f3bdp-4, 0x1.dfcec9af24aebp-4, 0x1.d69f5c4bc31a5p-4, 0x1.cd91f3b6ea80fp-4, 0x1.c4a6657fb48d4p-4, 0x1.bbdc849214f68p-4, 0x1.b3342151f3dc7p-4, 0x1.aaad09b5f8f8ap-4, 0x1.a2470961d8266p-4, 0x1.9a01e9c04ebf9p-4, 0x1.91dd721ca5215p-4, 0x1.89d967bbc3d16p-4, 0x1.81f58df4e15ffp-4, 0x1.7a31a649b1ccbp-4, 0x1.728d707e26e9dp-4, 0x1.6b08aaafba87p-4, 0x1.63a3116c3c95cp-4, 0x1.5c5c5fc82cd8bp-4, 0x1.55344f7494d99p-4, 0x1.4e2a98d46cb63p-4, 0x1.473ef3117f80ep-4, 0x1.40711430d55c8p-4, 0x1.39c0b126a247p-4, 0x1.332d7de9b4fdcp-4, 0x1.2cb72d866e15bp-4, 0x1.265d723136a5cp-4, 0x1.201ffd587e9ep-4, 0x1.19fe7fb63e364p-4, 0x1.13f8a960fc0adp-4, 0x1.0e0e29dc5a5dcp-4, 0x1.083eb0292c8ap-4, 0x1.0289ead512334p-4, 0x1.f9df1013365d3p-5, 0x1.eede6b35f2253p-5, 0x1.e411422c713e4p-5, 0x1.d976ef9e0f7bcp-5, 0x1.cf0ecdda1a109p-5, 0x1.c4d836f196bd6p-5, 0x1.bad284d032427p-5, 0x1.b0fd115448b69p-5, 0x1.a75736662b4c3p-5, 0x1.9de04e0e79a6p-5, 0x1.9497b28bbcd29p-5, 0x1.8b7cbe672823ap-5, 0x1.828ecc889b521p-5, 0x1.79cd3849d0d2ap-5, 0x1.71375d88d6f77p-5, 0x1.68cc98b9bfd0cp-5, 0x1.608c46f79ce86p-5, 0x1.5875c614bdb2ap-5, 0x1.508874aa39da4p-5, 0x1.48c3b226d3042p-5, 0x1.4126dedd2321ep-5, 0x1.39b15c1122967p-5, 0x1.32628c050cdb6p-5, 0x1.2b39d205a2f3p-5, 0x1.24369275cf2c3p-5, 0x1.1d5832d9b141p-5, 0x1.169e19e114389p-5, 0x1.1007af7154077p-5, 0x1.09945caeb23acp-5, 0x1.03438c0521c45p-5, 0x1.fa2952611b919p-6, 0x1.ee0e42892f1dbp-6, 0x1.e234c567bbb91p-6, 0x1.d69bbaad8013p-6, 0x1.cb4204e35d6fbp-6, 0x1.c02689760653dp-6, 0x1.b54830c0ced38p-6, 0x1.aaa5e617a36fbp-6, 0x1.a03e97d027384p-6, 0x1.96113749fd69cp-6, 0x1.8c1cb8f65ee6fp-6, 0x1.8260145ecdcfap-6, 0x1.78da442b31189p-6, 0x1.6f8a46271fd92p-6, 0x1.666f1b468ef7cp-6, 0x1.5d87c7a9c9fecp-6, 0x1.54d352a0cce72p-6, 0x1.4c50c6ae074dbp-6, 0x1.43ff31887afe1p-6, 0x1.3bdda41d579abp-6, 0x1.33eb3290f8a51p-6, 0x1.2c26f43f6e016p-6, 0x1.249003bc75a18p-6, 0x1.1d257ed2fd8f2p-6, 0x1.15e686842ad0bp-6, 0x1.0ed23f05f4a47p-6, 0x1.07e7cfc14aebap-6, 0x1.0126634fd307ep-6, 0x1.f51a4ef28cdaep-7, 0x1.e8369a60cb16ap-7, 0x1.dba0111f43093p-7, 0x1.cf5521aaa2335p-7, 0x1.c35440bf65ce3p-7, 0x1.b79be9511066fp-7, 0x1.ac2a9c80d85edp-7, 0x1.a0fee193c6dd4p-7, 0x1.961745e855484p-7, 0x1.8b725ceb785e5p-7, 0x1.810ec00d3c21dp-7, 0x1.76eb0eb4f3661p-7, 0x1.6d05ee34eb834p-7, 0x1.635e09bdc48f6p-7, 0x1.59f212515d396p-7, 0x1.50c0beb57c7e5p-7, 0x1.47c8cb6614a1ep-7, 0x1.3f08fa872e78ap-7, 0x1.368013d6ac2a6p-7, 0x1.2e2ce49da5c72p-7, 0x1.260e3fa1a96eep-7, 0x1.1e22fd1599cc8p-7, 0x1.1669fa8a81737p-7, 0x1.0ee21ae019649p-7, 0x1.078a46353152p-7, 0x1.006169d7edcd5p-7, 0x1.f2ccf06bc68e3p-8, 0x1.e530d19825e04p-8, 0x1.d7ec702d9b6b2p-8, 0x1.cafdcf02f314fp-8, 0x1.be62faacab23bp-8, 0x1.b21a095c1f1cdp-8, 0x1.a6211abedbbe3p-8, 0x1.9a7657ddb3116p-8, 0x1.8f17f2fbccd69p-8, 0x1.84042775c5024p-8, 0x1.793939a0aa6c2p-8, 0x1.6eb576a919144p-8, 0x1.64773472496d2p-8, 0x1.5a7cd17549df6p-8, 0x1.50c4b4a036541p-8, 0x1.474d4d357a2a1p-8, 0x1.3e1512ab56004p-8, 0x1.351a848b6bfa5p-8, 0x1.2c5c2a526361p-8, 0x1.23d8934fdc7bfp-8, 0x1.1b8e56865ad8ap-8, 0x1.137c128b949e9p-8, 0x1.0ba06d68cb2d6p-8, 0x1.03fa147b6d316p-8, 0x1.f90f78abc8b3bp-9, 0x1.ea9041413f263p-9, 0x1.dc7407f6de52ep-9, 0x1.ceb85fbdfe152p-9, 0x1.c15ae8fd4a5fap-9, 0x1.b4595154dbea9p-9, 0x1.a7b15362fd252p-9, 0x1.9b60b68940377p-9, 0x1.8f654eb25b2d3p-9, 0x1.83bcfc188a1b4p-9, 0x1.7865ab0c6ff03p-9, 0x1.6d5d53bcc54dap-9, 0x1.62a1f9fe806b7p-9, 0x1.5831ad159a0aap-9, 0x1.4e0a877e90af1p-9, 0x1.442aaeb868d33p-9, 0x1.3a90530f77346p-9, 0x1.3139af68c4cfbp-9, 0x1.2825090e0c8d3p-9, 0x1.1f50af7a73d1fp-9, 0x1.16bafc27e5c36p-9, 0x1.0e62525d27303p-9, 0x1.06451efc6bf3dp-9, 0x1.fcc3b0a5c277ep-10, 0x1.ed6dfbd11d005p-10, 0x1.de8630a24db44p-10, 0x1.d00971fafb3f9p-10, 0x1.c1f4f41ae4aafp-10, 0x1.b445fc459b238p-10, 0x1.a6f9e0693fd71p-10, 0x1.9a0e06c6c6407p-10, 0x1.8d7fe59b75146p-10, 0x1.814d02cbc0d57p-10, 0x1.7572f38f8eb2p-10, 0x1.69ef5c1f955bep-10, 0x1.5ebfef647f1dp-10, 0x1.53e26ea6c6d12p-10, 0x1.4954a94065dfbp-10, 0x1.3f147c4f840a1p-10, 0x1.351fd26a8c226p-10, 0x1.2b74a3558625ep-10, 0x1.2210f3b8c55bfp-10, 0x1.18f2d4d8a14c4p-10, 0x1.1018644eb9e5ap-10, 0x1.077fcbc4551e6p-10, 0x1.fe4e815bcc16dp-11, 0x1.ee1a08100590fp-11, 0x1.de5ec42a7ec54p-11, 0x1.cf19643b3737p-11, 0x1.c046ac5d6a0fdp-11, 0x1.b1e375bb0fb9dp-11, 0x1.a3ecae1255a07p-11, 0x1.965f573d26aa1p-11, 0x1.893886bb7482p-11, 0x1.7c75653f469f9p-11, 0x1.70132e3b752b9p-11, 0x1.640f2f7449d7p-11, 0x1.5866c892133d6p-11, 0x1.4d176ab677bd8p-11, 0x1.421e98134ba22p-11, 0x1.3779e383cb1a1p-11, 0x1.2d26f027c035ap-11, 0x1.23237100d05b1p-11, 0x1.196d28919a0d7p-11, 0x1.1001e87eceb49p-11, 0x1.06df91328078cp-11, 0x1.fc082301cc499p-12, 0x1.eadacc9ea29b7p-12, 0x1.da33347a23b33p-12, 0x1.ca0d8a9b7eab2p-12, 0x1.ba66192b7a42p-12, 0x1.ab3943d08e9e2p-12, 0x1.9c83870ea4aa1p-12, 0x1.8e4177aa14cd7p-12, 0x1.806fc20e488bep-12, 0x1.730b29b76a697p-12, 0x1.6610889f511efp-12, 0x1.597cceae03cb6p-12, 0x1.4d4d012ce6a2ep-12, 0x1.417e3a3d3564cp-12, 0x1.360da8519cc2p-12, 0x1.2af88daaa456cp-12, 0x1.203c3fd61ba86p-12, 0x1.15d627316aa12p-12, 0x1.0bc3be6eb8066p-12, 0x1.0202921ce4908p-12, 0x1.f1208063ea9dcp-13, 0x1.ded4ef3155e3fp-13, 0x1.cd1def805e6c5p-13, 0x1.bbf7205d9bc2dp-13, 0x1.ab5c402dd451bp-13, 0x1.9b492bdd1e24bp-13, 0x1.8bb9de12b5bc8p-13, 0x1.7caa6e69a0906p-13, 0x1.6e1710ae3f45dp-13, 0x1.5ffc142030302p-13, 0x1.5255e2b8d4f6dp-13, 0x1.45210075efc4fp-13, 0x1.385a0aa97e8b3p-13, 0x1.2bfdb74c31b11p-13, 0x1.2008d455e8ce5p-13, 0x1.14784718f0a7ep-13, 0x1.09490ba18a408p-13, 0x1.fcf06833c1a31p-14, 0x1.e805d061c8505p-14, 0x1.d3ccc90b7c1a8p-14, 0x1.c03ff42d1ab1cp-14, 0x1.ad5a1b64cb94dp-14, 0x1.9b162edf47e32p-14, 0x1.896f4449eda6fp-14, 0x1.786095cbec984p-14, 0x1.67e581064da86p-14, 0x1.57f9861a8b1d7p-14, 0x1.489846b672481p-14, 0x1.39bd852760fdp-14, 0x1.2b65237328b6fp-14, 0x1.1d8b227649e9p-14, 0x1.102ba10891c4ap-14, 0x1.0342db273914ap-14, 0x1.ed9a5247e6b17p-15, 0x1.d58dfdb50744ep-15, 0x1.be59d5d4f8835p-15, 0x1.a7f72bec0337cp-15, 0x1.925f83cf8192bp-15, 0x1.7d8c92740716ep-15, 0x1.69783c8cb23cp-15, 0x1.561c952ed7b82p-15, 0x1.4373dc804b138p-15, 0x1.31787e6fdfa62p-15, 0x1.20251174c1a95p-15, 0x1.0f7455577be82p-15, 0x1.fec2640470798p-16, 0x1.dfcd6cb3f3efep-16, 0x1.c2002e40485d6p-16, 0x1.a5515bb531662p-16, 0x1.89b7ef864c0ep-16, 0x1.6f2b298175935p-16, 0x1.55a28cc90071ep-16, 0x1.3d15dde1f04bbp-16, 0x1.257d20c9ca54cp-16, 0x1.0ed0971fc9caep-16, 0x1.f2117cabcc606p-17, 0x1.c83c9be64698bp-17, 0x1.a0146bbc551c9p-17, 0x1.798b396cc9ac3p-17, 0x1.5493bc6f92a19p-17, 0x1.3121135576fcdp-17, 0x1.0f26c0bdad901p-17, 0x1.dd3150bfd81d1p-18, 0x1.9ed6185ce56bbp-18, 0x1.632513132cb17p-18, 0x1.2a082d16f6a8cp-18, 0x1.e6d3fd81b3f83p-19, 0x1.7e6b8eec2e3dfp-19, 0x1.1aaed155737d5p-19, 0x1.76ed841d412f1p-20, 0x1.82763dd8dac9dp-21, 0x1.3fd1f9ec648e2p-24, -0x1.22271e6c01901p-21, -0x1.2e3bd62d862ecp-20, -0x1.c3be81ce2d0a1p-20, -0x1.28ee2966be763p-19, -0x1.6c6a06e699347p-19, -0x1.ac71456579bc5p-19, -0x1.e92161f375bc5p-19, -0x1.114b78f7e1624p-18, -0x1.2c76d5097fdp-18, -0x1.4620329954449p-18, -0x1.5e549574881ep-18, -0x1.75209afc8db2ap-18, -0x1.8a907d4456288p-18, -0x1.9eb01617a86c7p-18, -0x1.b18ae1e929085p-18, -0x1.c32c02a95b5f4p-18, -0x1.d39e428cff289p-18, -0x1.e2ec16b5f6a35p-18, -0x1.f11fa1d14e80bp-18, -0x1.fe42b69b2b78ap-18, -0x1.052f6d291595fp-17, -0x1.0abea38a02aa3p-17, -0x1.0fd37716c717bp-17, -0x1.14723d2b05a1ap-17, -0x1.189f28ec1fcap-17, -0x1.1c5e4c56d9d27p-17, -0x1.1fb39943408ap-17, -0x1.22a2e262d830ep-17, -0x1.252fdc32ea3d9p-17, -0x1.275e1dedad6ddp-17, -0x1.2931226e666f8p-17, -0x1.2aac49117cc97p-17, -0x1.2bd2d68d09a96p-17, -0x1.2ca7f5c309c3dp-17, -0x1.2d2eb88c06a6bp-17, -0x1.2d6a187db1fc9p-17, -0x1.2d5cf7a8c8776p-17, -0x1.2d0a2153583bdp-17, -0x1.2c744aac00053p-17, -0x1.2b9e1376f5866p-17, -0x1.2a8a06b967fcdp-17, -0x1.293a9b59e659fp-17, -0x1.27b234c0c3fc8p-17, -0x1.25f323703914dp-17, -0x1.23ffa59a61204p-17, -0x1.21d9e7afd9328p-17, -0x1.1f8404ed181cep-17, -0x1.1d0007e00540bp-17, -0x1.1a4feaebddbd6p-17, -0x1.177598c759c56p-17, -0x1.1472ecf87fe7ap-17, -0x1.1149b44b52d9cp-17, -0x1.0dfbad44f83a8p-17, -0x1.0a8a8893c6d7fp-17, -0x1.06f7e97b0ed56p-17, -0x1.0345663c466c3p-17, -0x1.fee910f918f7bp-18, -0x1.f70d9b4db6d4bp-18, -0x1.eefb4e96e18c8p-18, -0x1.e6b4f6f6ac3c8p-18, -0x1.de3d4a44b6282p-18, -0x1.d596e8bb64689p-18, -0x1.ccc45d9e0d8e6p-18, -0x1.c3c81fdcc5f69p-18, -0x1.baa492b03fd8ap-18, -0x1.b15c06324c144p-18, -0x1.a7f0b7f107abp-18, -0x1.9e64d37e0f7c2p-18, -0x1.94ba72f826bc8p-18, -0x1.8af39f9188455p-18, -0x1.81125210216dp-18, -0x1.7718734ce03c1p-18, -0x1.6d07dcabb3056p-18, -0x1.62e2589299a05p-18, -0x1.58a9a2d9fe302p-18, -0x1.4e5f693ca2b3p-18, -0x1.44054bc0f9dc4p-18, -0x1.399cdd20e6ee2p-18, -0x1.2f27a32f9ba8dp-18, -0x1.24a7173877283p-18, -0x1.1a1ca65ec064p-18, -0x1.0f89b1f78b138p-18, -0x1.04ef8fe29b773p-18, -0x1.f49f15be00884p-19, -0x1.df55c5be018bfp-19, -0x1.ca059aaf077bdp-19, -0x1.b4b0eb1a78d9bp-19, -0x1.9f59f9c1c4159p-19, -0x1.8a02f62f0ee34p-19, -0x1.74adfd41c4e82p-19, -0x1.5f5d19b96fb9dp-19, -0x1.4a1244b8b79f9p-19, -0x1.34cf6645647c3p-19, -0x1.1f9655c6c600ep-19, -0x1.0a68da7bc2f06p-19, -0x1.ea9157e256802p-20, -0x1.c06ee4e7c54f1p-20, -0x1.966d8ef91a805p-20, -0x1.6c906c381756ep-20, -0x1.42da76c42fa1p-20, -0x1.194e8d80b4924p-20, -0x1.dfdee9b205e4ap-21, -0x1.8d7faef9bfa63p-21, -0x1.3b848e2cc6e48p-21, -0x1.d3e4f3e7d7497p-22, -0x1.319c6b4a4686dp-22, -0x1.20715a4be42fdp-23, 0x1.03d756c351906p-26, 0x1.5f7b04acc9cc3p-23, 0x1.4e3f5438d731cp-22, 0x1.ebbb1816b79dcp-22, 0x1.4414a58893914p-21, 0x1.91c15c248dfd7p-21, 0x1.dee03b5b385a9p-21, 0x1.15b6f9c87cd39p-20, 0x1.3bb3ac885df94p-20, 0x1.6164b18cbf114p-20, 0x1.86c895744cc79p-20, 0x1.abddf56ac9b29p-20, 0x1.d0a37eb4e62c2p-20, 0x1.f517ee4599fc9p-20, 0x1.0c9d08270174cp-19, 0x1.1e845fed1a627p-19, 0x1.30417334fb0b4p-19, 0x1.41d3bdc6c3788p-19, 0x1.533ac244f9764p-19, 0x1.647609fb1bd69p-19, 0x1.758524b238478p-19, 0x1.8667a88477fdap-19, 0x1.971d31b2100adp-19, 0x1.a7a56277f63bcp-19, 0x1.b7ffe2e7d0201p-19, 0x1.c82c60be9fd56p-19, 0x1.d82a8f4053bd9p-19, 0x1.e7fa27118bebdp-19, 0x1.f79ae612a262fp-19, 0x1.0386479e9be7dp-18, 0x1.0b27754029643p-18, 0x1.12b0e25002e57p-18, 0x1.1a227789bdadep-18, 0x1.217c1ff2c273cp-18, 0x1.28bdc8ca6542cp-18, 0x1.2fe7617b09b59p-18, 0x1.36f8db8b3e3f6p-18, 0x1.3df22a8ef1fa6p-18, 0x1.44d34419e40e4p-18, 0x1.4b9c1fb156dfdp-18, 0x1.524cb6be927d6p-18, 0x1.58e504827fc7bp-18, 0x1.5f650607e3f6fp-18, 0x1.65ccba176febcp-18, 0x1.6c1c212bed306p-18, 0x1.72533d653117fp-18, 0x1.7872127d93c58p-18, 0x1.7e78a5bde4af5p-18, 0x1.8466fdf2c96f9p-18, 0x1.8a3d23615a9b5p-18, 0x1.8ffb1fbd28e25p-18, 0x1.95a0fe1d77d93p-18, 0x1.9b2ecaf31f122p-18, 0x1.a0a493fea8e41p-18, 0x1.a6026846bd49ep-18, 0x1.ab48580ea1385p-18, 0x1.b07674cd0c222p-18, 0x1.b58cd122c0f51p-18, 0x1.ba8b80d24bee6p-18, 0x1.bf7298b6d2a53p-18, 0x1.c4422ebbabd31p-18, 0x1.c8fa59d484583p-18, 0x1.cd9b31f48aee3p-18, 0x1.d224d0072f165p-18, 0x1.d6974de7e8274p-18, 0x1.daf2c65ad71f6p-18, 0x1.df37550556e16p-18, 0x1.e365166640102p-18, 0x1.e77c27cf97cbap-18, 0x1.eb7ca75ec086cp-18, 0x1.ef66b3f62f1bdp-18, 0x1.f33a6d367b4cap-18, 0x1.f6f7f377ea2eep-18, 0x1.fa9f67c3cb576p-18, 0x1.fe30ebce951edp-18, 0x1.00d650f8a5145p-17, 0x1.02895691d2527p-17, 0x1.0431987b1a273p-17, 0x1.05cf28c652f61p-17, 0x1.076219cbdf12dp-17, 0x1.08ea7e282b02dp-17, 0x1.0a6868b8aecbfp-17, 0x1.0bdbec9965b93p-17, 0x1.0d451d2242cfap-17, 0x1.0ea40de47f5bdp-17, 0x1.0ff8d2a8136f5p-17, 0x1.11437f6990141p-17, 0x1.1284285746385p-17, 0x1.13bae1cf37136p-17, 0x1.14e7c05caa2e8p-17, 0x1.160ad8b6082bcp-17, 0x1.17243fba6c323p-17, 0x1.18340a6fc2ba4p-17, 0x1.193a4e00620a2p-17, 0x1.1a371fb92b9a1p-17, 0x1.1b2a950756dc4p-17, 0x1.1c14c3769e4e2p-17, 0x1.1cf5c0af367ep-17, 0x1.1dcda273cc6bp-17, 0x1.1e9c7e9fdacb5p-17, 0x1.1f626b25bbbb9p-17, 0x1.201f7e0cc0ea7p-17, 0x1.20d3cd6fa6b3ap-17, 0x1.217f6f7ab662ap-17, 0x1.22227a6a30f17p-17, 0x1.22bd04887eb26p-17, 0x1.234f242cdbc6bp-17, 0x1.23d8efb97bd1cp-17, 0x1.245a7d9a20631p-17, 0x1.24d3e442a8bfcp-17, 0x1.25453a2d7ea63p-17, 0x1.25ae95da21311p-17, 0x1.26100dcbdeb54p-17, 0x1.2669b8884be63p-17, 0x1.26bbac95f75cbp-17, 0x1.2706007b3a153p-17, 0x1.2748cabcc1502p-17, 0x1.278421dc5c2ebp-17, 0x1.27b81c57cb537p-17, 0x1.27e4d0a78d0e1p-17, 0x1.280a553da2085p-17, 0x1.2828c0847c07ep-17, 0x1.284028ddd7a63p-17, 0x1.2850a4a1b323fp-17, 0x1.285a4a1d30a1bp-17, 0x1.285d2f918326ep-17, 0x1.28596b330a7f9p-17, 0x1.284f13284427ap-17, 0x1.283e3d88e3fcep-17, 0x1.2827005cd2916p-17, 0x1.2809719b564b4p-17, 0x1.27e5a72a21919p-17, 0x1.27bbb6dc828d1p-17, 0x1.278bb6728d941p-17, 0x1.2755bb98456dp-17, 0x1.2719dbe4d4237p-17, 0x1.26d82cd9d4703p-17, 0x1.2690c3e275157p-17, 0x1.2643b652cf888p-17, 0x1.25f119672a6f8p-17, 0x1.25990243632cp-17, 0x1.253b85f22fc4cp-17, 0x1.24d8b964794f3p-17, 0x1.2470b170bf47fp-17, 0x1.240382d27c12fp-17, 0x1.23914229954c9p-17, 0x1.231a03f9bf473p-17, 0x1.229ddcaa021d5p-17, 0x1.221ce084268d2p-17, 0x1.219723b42fa7cp-17, 0x1.210cba47e6844p-17, 0x1.207db82e5a901p-17, 0x1.1fea313768ca2p-17, 0x1.1f5239134ff69p-17, 0x1.1eb5e35250353p-17, 0x1.1e15436421ce9p-17, 0x1.1d706c97a6a92p-17, 0x1.1cc7721a8995fp-17, 0x1.1c1a66f8dd9ccp-17, 0x1.1b695e1cc005cp-17, 0x1.1ab46a4e04796p-17, 0x1.19fb9e31f5bc4p-17, 0x1.193f0c4af9e1cp-17, 0x1.187ec6f84c421p-17, 0x1.17bae0759eeffp-17, 0x1.16f36adaf61dbp-17, 0x1.1628781c5d767p-17, 0x1.155a1a09b4864p-17, 0x1.1488624e710bap-17, 0x1.13b36271624b8p-17, 0x1.12db2bd481a72p-17, 0x1.11ffcfb4c3eacp-17, 0x1.11215f29f8bb7p-17, 0x1.103feb268fefcp-17, 0x1.0f5b8477778c9p-17, 0x1.0e743bc405b8ap-17, 0x1.0d8a218dd9519p-17, 0x1.0c9d4630a3973p-17, 0x1.0badb9e22242cp-17, 0x1.0abb8cb1fb36p-17, 0x1.09c6ce89b1d0ap-17, 0x1.08cf8f2c96f1bp-17, 0x1.07d5de37ac92fp-17, 0x1.06d9cb219b1f5p-17, 0x1.05db653aaad17p-17, 0x1.04dabbacb5942p-17, 0x1.03d7dd7b2188ap-17, 0x1.02d2d982db429p-17, 0x1.01cbbe7a5783p-17, 0x1.00c29af199d94p-17, 0x1.ff6efaa459224p-18, 0x1.fd54e7be49773p-18, 0x1.fb37196a4ab58p-18, 0x1.f915ab94e2cadp-18, 0x1.f6f0b9ddc6d67p-18, 0x1.f4c85f982de24p-18, 0x1.f29cb7cad3312p-18, 0x1.f06ddd300662fp-18, 0x1.ee3bea35c3f45p-18, 0x1.ec06f8fdf81d7p-18, 0x1.e9cf235eaa0e1p-18, 0x1.e79482e20a0cdp-18, 0x1.e55730c6b1743p-18, 0x1.e31745ffe872fp-18, 0x1.e0d4db35d42ap-18, 0x1.de9008c5a966cp-18, 0x1.dc48e6c1d795ap-18, 0x1.d9ff8cf25e5ccp-18, 0x1.d7b412d4f0c5bp-18, 0x1.d5668f9d67ab6p-18, 0x1.d3171a3605bf3p-18, 0x1.d0c5c93f94a62p-18, 0x1.ce72b311bee5ep-18, 0x1.cc1dedbb74c64p-18, 0x1.c9c78f032a49dp-18, 0x1.c76fac67364b2p-18, 0x1.c5165b1e1bb2cp-18, 0x1.c2bbb016d4681p-18, 0x1.c05fbff94dd5p-18, 0x1.be029f26b99aap-18, 0x1.bba461b9d4786p-18, 0x1.b9451b8752ac6p-18, 0x1.b6e4e01e36b51p-18, 0x1.b483c2c831962p-18, 0x1.b221d68a28df7p-18, 0x1.afbf2e2475829p-18, 0x1.ad5bdc1360a08p-18, 0x1.aaf7f28f84627p-18, 0x1.a893838e2304cp-18, 0x1.a62ea0c1aee34p-18, 0x1.a3c95b9a27db8p-18, 0x1.a163c54588d43p-18, 0x1.9efdeeb0468f8p-18, 0x1.9c97e885ac7a1p-18, 0x1.9a31c3305b7dep-18, 0x1.97cb8edaaa468p-18, 0x1.95655b6f3310cp-18, 0x1.92ff38992afffp-18, 0x1.909935c4d3f79p-18, 0x1.8e33622010787p-18, 0x1.8bcdcc9ad60dcp-18, 0x1.896883e791e4fp-18, 0x1.8703967bb3baep-18, 0x1.849f12900dd71p-18, 0x1.823b06215a7eep-18, 0x1.7fd77ef0cbc94p-18, 0x1.7d748a845a989p-18, 0x1.7b123627705eep-18, 0x1.78b08eeb3bdb5p-18, 0x1.764fa1a741cb6p-18, 0x1.73ef7af9d3aafp-18, 0x1.719027489ef49p-18, 0x1.6f31b2c11451p-18, 0x1.6cd42958e216dp-18, 0x1.6a7796ce71f58p-18, 0x1.681c06a96e1f2p-18, 0x1.65c1843b589a5p-18, 0x1.63681a9fe3751p-18, 0x1.610fd4bd7e4a8p-18, 0x1.5eb8bd45cdep-18, 0x1.5c62deb6350e5p-18, 0x1.5a0e4358554e8p-18, 0x1.57baf54283bf4p-18, 0x1.5568fe584c008p-18, 0x1.5318684ae2a0ap-18, 0x1.50c93c99ba206p-18, 0x1.4e7b8493053a8p-18, 0x1.4c2f495410d18p-18, 0x1.49e493c9e1056p-18, 0x1.479b6cb1b37b3p-18, 0x1.4553dc995f58ap-18, 0x1.430debdff1321p-18, 0x1.40c9a2b605428p-18, 0x1.3e87091e72a0cp-18, 0x1.3c4626eeb95ap-18, 0x1.3a0703cf5ca93p-18, 0x1.37c9a73c90c4dp-18, 0x1.358e18869515dp-18, 0x1.33545ed2375cep-18, 0x1.311c81195a96ep-18, 0x1.2ee6862b635c8p-18, 0x1.2cb274adb58d8p-18, 0x1.2a80531c42b39p-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      31, 0x1.7e147ae147ae1p+2, 0x1.902b526355462p+0, 0x1.c2373267bea5ap+1, -0x1.2dc8a0518dac3p-7, 
      {{
        {0x1.1d70a3d70a3d7p+2, 0x1.2p+2, 0x1.6ef373456689p-6, -0x1.94bc61a102f77p-5, 0x1.3c556b38aecf7p-5, -0x1.751aff222231dp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.4f928b3861624p-6, -0x1.7be07c60d1978p-5, 0x1.3123f80c238b5p-5, -0x1.76838965b785dp-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.2b16486a00392p-6, -0x1.5e10a7d4c16c1p-5, 0x1.2318a2e51fdcdp-5, -0x1.77be4d1942d58p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.098335668eaf5p-6, -0x1.41a8f2e2d9b8cp-5, 0x1.15018000fa281p-5, -0x1.79a53100f887p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d56a7a505cbdbp-7, -0x1.26aade566f401p-5, 0x1.06d81af7573c6p-5, -0x1.78051a4c78aa1p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.9d105a3da29cap-7, -0x1.0d168c2b9a97ep-5, 0x1.f17ca0c28bd27p-6, -0x1.6f1d4833968bp-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.69b01416e79b8p-7, -0x1.e9cddcb206cf3p-6, 0x1.d5f4082513bb6p-6, -0x1.66cd857177723p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.3b03269685713p-7, -0x1.bc2782761ab98p-6, 0x1.bb0b04895df95p-6, -0x1.5e54bf3f957d5p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.10c4af2c3090cp-7, -0x1.9129ecf701919p-6, 0x1.a0c4a9649929ap-6, -0x1.55e6f65e7c509p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.d562d40a647d3p-8, -0x1.68c4e2b59ee05p-6, 0x1.872023b71ca34p-6, -0x1.4d763baa02c84p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.910f6418d1292p-8, -0x1.42e831ebf26c6p-6, 0x1.6e1dac0a5c6dfp-6, -0x1.45064af23b554p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.540f01d48cfa7p-8, -0x1.1f83a6c2381f9p-6, 0x1.55bd333831945p-6, -0x1.3c96241b1a841p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1de4de09a76d6p-8, -0x1.fd0e1bdd3e35fp-7, 0x1.3dfebd4fc2caap-6, -0x1.34260bc4a47ddp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.dc2ecdfeb3489p-9, -0x1.bfc468029b0c2p-7, 0x1.26e2493a9cdadp-6, -0x1.2bb5ef8ad87b1p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.886090f00ccd5p-9, -0x1.8709cb2934563p-7, 0x1.1067d7436637ap-6, -0x1.2345d45dbeb1dp-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.3f78d7627448fp-9, -0x1.52bdde8044865p-7, 0x1.f51eceabefd4dp-7, -0x1.1ad5b8e13257fp-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0097eec755e1dp-9, -0x1.22c03b3871665p-7, 0x1.cab1f2f08eae4p-7, -0x1.12659d95c24fp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.95c93f0ce216fp-10, -0x1.ede0f5044d04ep-8, 0x1.a1891b4d4b226p-7, -0x1.09f581d5479abp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.3b1859fbb10bap-10, -0x1.9e5c6b1a99f28p-8, 0x1.79a447d3b3985p-7, -0x1.018567b7e21c9p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.df095607c971ap-11, -0x1.56b20b1823a7ep-8, 0x1.53037844eb467p-7, -0x1.f22a8f0671c72p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.63054975df9dcp-11, -0x1.16a1075029ef6p-8, 0x1.2da6ad8ad5f14p-7, -0x1.e14a7c10fa5e6p-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.fe4ebe8bae4d4p-12, -0x1.bbd124ab9ba66p-9, 0x1.098de43cc32a6p-7, -0x1.d069bf7aa8b3cp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6118a8aa5f937p-12, -0x1.588fbb9b8affp-9, 0x1.cd725227203a1p-8, -0x1.bf8b7bf3f480bp-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.d1ab456ad9cp-13, -0x1.02fc3dad23196p-9, 0x1.8a509928eec0ap-8, -0x1.aea3fdcf81093p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.204dab9a14da9p-13, -0x1.7529f657ce66ap-10, 0x1.49b7ffe368317p-8, -0x1.9ddef11283319p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.47850b101b61p-14, -0x1.fb6294d6f5295p-11, 0x1.0ba35bba3aea4p-8, -0x1.8c99595595f42p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.486e10fe58141p-15, -0x1.3d120e41fd1cp-11, 0x1.a04be97462721p-9, -0x1.7d337c30adcc4p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.0e904185a3b7fp-16, -0x1.5ad9147ea199fp-12, 0x1.2defaa98fb1bcp-9, -0x1.66cf3fab7b294p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.38e42614947ffp-18, -0x1.28b65a83918d6p-13, 0x1.84962efe45ec5p-10, -0x1.6a84c6103e3a8p-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.438e79d652p-21, -0x1.2363cf421d0b2p-15, 0x1.5626a382a78b8p-11, -0x1.02a35c85fa067p-8}, 
        {0x1.7cccccccccccdp+2, 0x1.7e147ae147ae1p+2, 0x1.15be3c15953bp-28, 0x1.f0938b424f92p-21, 0x1.fc901484851bcp-15, -0x1.cb14de53cf857p-6}, 
      }}, 
      0x1.c23000197039dp+0, -0x1.03fe1e5f4564ep+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      {{-0x1.3ade88793b4b5p-1, -0x1.1c5ff30f7deb3p-1, -0x1.e8683a80372cap-2, -0x1.885f732a3852fp-2, -0x1.1c556c81b7f26p-2, -0x1.4f9d5d0dfe3c1p-3, -0x1.7031b9a99e47dp-5, 0x1.388bf71e15f61p-4, 0x1.94599e45cb05fp-3, 0x1.43f8429af814p-2, 0x1.b9c3981cf71d2p-2, 0x1.1511dd3a30e3cp-1, 0x1.49fe1fd5178a5p-1, 0x1.7b3b640e38bddp-1, 0x1.a87d23ff02dd9p-1, 0x1.d191543e2fcd9p-1, 0x1.f65c74d4c5de2p-1, 0x1.0b6aff2b63383p+0, 0x1.198294f92ca8fp+0, 0x1.257f0d7f26b0cp+0, 0x1.2f6fb107a6294p+0, 0x1.3767e9fa9877dp+0, 0x1.3d7e55c8d0046p+0, 0x1.41cbf68856909p+0, 0x1.446b8198f0a8ep+0, 0x1.4578c7fc894b1p+0, 0x1.451035f88ebf2p+0, 0x1.434e67662bf78p+0, 0x1.404fce6a2c30ap+0, 0x1.3c306a2bde07fp+0, 0x1.370b8b5ec7ae3p+0, 0x1.30fba4c9db793p+0, 0x1.2a1a262342d9fp+0, 0x1.227f5ff8a5d1p+0, 0x1.1a426f500d087p+0, 0x1.1179300a1de3p+0, 0x1.083834ef3544ep+0, 0x1.fd25891330911p-1, 0x1.e935b42a2a28p-1, 0x1.d4c2536f40626p-1, 0x1.bfea4eedb5a95p-1, 0x1.aaca20bbce805p-1, 0x1.957bea5defad6p-1, 0x1.80178d143e45bp-1, 0x1.6ab2c3e2c4649p-1, 0x1.55613ea8ff8a8p-1, 0x1.4034be2c83d34p-1, 0x1.2b3d3054e6f7dp-1, 0x1.1688cc3de0a06p-1, 0x1.02242e14af58fp-1, 0x1.dc34e45f4c8f2p-2, 0x1.b4ea9ebc59dfap-2, 0x1.8e7a60b7cb43fp-2, 0x1.68f2982c8840ap-2, 0x1.445f79e6bb5a6p-2, 0x1.20cb2dc72d4cap-2, 0x1.fc7bf17334c62p-3, 0x1.b97cc8e09b48fp-3, 0x1.78a2c9c488a2ap-3, 0x1.39f4f7e8d69aap-3, 0x1.faef6b3c5d465p-4, 0x1.865a06120cf7fp-4, 0x1.162972dd36e38p-4, 0x1.54b30b4da2118p-5, 0x1.0b8a70052ed8dp-6, -0x1.02300fad396eep-7, -0x1.fcb71e40d7c9cp-6, -0x1.b3c91fda58693p-5, -0x1.307c50f6d783dp-4, -0x1.8308d4096958ap-4, -0x1.d19f74661c864p-4, -0x1.0e2b717a992d8p-3, -0x1.31a3776dd37c1p-3, -0x1.534429693714fp-3, -0x1.731a4369425d2p-3, -0x1.9132caba30151p-3, -0x1.ad9afad9c67f2p-3, -0x1.c860333fae25bp-3, -0x1.e18fe883b462ep-3, -0x1.f937949c8f1b8p-3, -0x1.07b2556579234p-2, -0x1.121245d5b267bp-2, -0x1.1bc23d76f0b6bp-2, -0x1.24c8cb041372cp-2, -0x1.2d2c6640d5382p-2, -0x1.34f36c4656ad2p-2, -0x1.3c241c7277d99p-2, -0x1.42c495f50abe4p-2, -0x1.48dad53aa48dbp-2, -0x1.4e6cb26a67d43p-2, -0x1.537fdf7ce1ecep-2, -0x1.5819e778a725p-2, -0x1.5c402d290ce55p-2, -0x1.5ff7eab969ca6p-2, -0x1.6346311559ed2p-2, -0x1.662fe7e40a42ep-2, -0x1.68b9cd511515bp-2, -0x1.6ae876675ed81p-2, -0x1.6cc04ee3988f1p-2, -0x1.6e459a060f66fp-2, -0x1.6f7c72d9e61f9p-2, -0x1.7068ccbd26e4fp-2, -0x1.710e748fbed1bp-2, -0x1.7171109754a7ep-2, -0x1.7194220d3fcddp-2, -0x1.717b061ce8dc7p-2, -0x1.7128f662e10cfp-2, -0x1.70a109ee6e377p-2, -0x1.6fe636c133ffcp-2, -0x1.6efb52472c45ap-2, -0x1.6de31291ab0b2p-2, -0x1.6ca00f5abed7cp-2, -0x1.6b34c31c1e156p-2, -0x1.69a38bb4db1a5p-2, -0x1.67eeac1c9e127p-2, -0x1.66184cb425cd7p-2, -0x1.64227cbeef5d4p-2, -0x1.620f32bab4e56p-2, -0x1.5fe04e7860ca5p-2, -0x1.5d9798fb36d3cp-2, -0x1.5b36c5a4ed405p-2, -0x1.58bf73931dea9p-2, -0x1.56332e4012aecp-2, -0x1.53936dd6b2c09p-2, -0x1.50e198c2d6d48p-2, -0x1.4e1f042e1092ep-2, -0x1.4b4cf4b71889bp-2, -0x1.486c9f1195531p-2, -0x1.457f292673f5p-2, -0x1.4285aa5362a96p-2, -0x1.3f812c3a305e2p-2, -0x1.3c72ab761e91bp-2, -0x1.395b1817b6e2ap-2, -0x1.363b565f339f7p-2, -0x1.33143f0ed4189p-2, -0x1.2fe6a03c8743bp-2, -0x1.2cb33dae740d7p-2, -0x1.297ad14799c1dp-2, -0x1.263e0bdc2938cp-2, -0x1.22fd94e2e36afp-2, -0x1.1fba0beed3183p-2, -0x1.1c740833a1e14p-2, -0x1.192c195c925b8p-2, -0x1.15e2c7c8c1c6p-2, -0x1.129894fd8331bp-2, -0x1.0f4dfbd352feap-2, -0x1.0c0370f152b27p-2, -0x1.08b9630fdd295p-2, -0x1.05703b32753c9p-2, -0x1.02285cbbee6dfp-2, -0x1.fdc44de383e1ep-3, -0x1.f73be5812ebc6p-3, -0x1.f0b82ac9bc4d7p-3, -0x1.ea39bef9e701ep-3, -0x1.e3c13ad937f48p-3, -0x1.dd4f2f0e73cf8p-3, -0x1.d6e424a43832ep-3, -0x1.d0809dfab89e4p-3, -0x1.ca251573b5aa3p-3, -0x1.c3d1ff7f93ce2p-3, -0x1.bd87ca27487bap-3, -0x1.b746dd690c37cp-3, -0x1.b10f9b8650f11p-3, -0x1.aae261229c027p-3, -0x1.a4bf85847c17fp-3, -0x1.9ea75bdeecedap-3, -0x1.989a311b56269p-3, -0x1.92984e73fc51ep-3, -0x1.8ca1f8cccf20dp-3, -0x1.86b7704dbdc34p-3, -0x1.80d8f176a6919p-3, -0x1.7b06b4c938858p-3, -0x1.7540ef11e1d0bp-3, -0x1.6f87d18a3caa9p-3, -0x1.69db89f06bc74p-3, -0x1.643c42d36fbep-3, -0x1.5eaa2385c95b2p-3, -0x1.59255066d5487p-3, -0x1.53adeabfcb78fp-3, -0x1.4e441130b6357p-3, -0x1.48e7df9e3c2edp-3, -0x1.43996f49d0f0dp-3, -0x1.3e58d706fdddap-3, -0x1.39262b2dd8844p-3, -0x1.34017dce7c0e4p-3, -0x1.2eeadec2ab672p-3, -0x1.29e25bbfddd2ep-3, -0x1.24e8006464509p-3, -0x1.1ffbd65817912p-3, -0x1.1b1de54f4b8dp-3, -0x1.164e3337a82d5p-3, -0x1.118cc42879e1p-3, -0x1.0cd99a8ea9184p-3, -0x1.0834b72666e7bp-3, -0x1.039e19418709p-3, -0x1.fe2b7c6bc94cep-4, -0x1.f537459ac48acp-4, -0x1.ec5f829c9ca35p-4, -0x1.e3a426a7c36adp-4, -0x1.db0522132443ep-4, -0x1.d282629615a66p-4, -0x1.ca1bd394ab01bp-4, -0x1.c1d15e202fe1bp-4, -0x1.b9a2e91b50f0cp-4, -0x1.b190592777358p-4, -0x1.a99990f3d9a42p-4, -0x1.a1be712e98e4cp-4, -0x1.99fed8f1237acp-4, -0x1.925aa4f2d8edfp-4, -0x1.8ad1b08b1af51p-4, -0x1.8363d5aca9493p-4, -0x1.7c10ec1d03047p-4, -0x1.74d8ca9f073cfp-4, -0x1.6dbb464dcd8a9p-4, -0x1.66b832e86b58fp-4, -0x1.5fcf62fc7451ep-4, -0x1.5900a7b3e90cbp-4, -0x1.524bd0f712b99p-4, -0x1.4bb0ae503e94ep-4, -0x1.452f0cff3e38fp-4, -0x1.3ec6ba1a3b655p-4, -0x1.38778182384c5p-4, -0x1.32412e3c0bdfbp-4, -0x1.2c238a87353c1p-4, -0x1.261e5fb72e3fdp-4, -0x1.2031766aa8abep-4, -0x1.1a5c96924ae06p-4, -0x1.149f8777f24dp-4, -0x1.0efa0fcf86895p-4, -0x1.096bf5a056d12p-4, -0x1.03f4fe9fac57bp-4, -0x1.fd29dfb56dacp-5, -0x1.f2971bfb9bc25p-5, -0x1.e8313a8b45b5dp-5, -0x1.ddf7c346445a4p-5, -0x1.d3ea3d744effbp-5, -0x1.ca082fb745093p-5, -0x1.c0512016546eap-5, -0x1.b6c494397cec3p-5, -0x1.ad621162fa53ap-5, -0x1.a4291ca34a2edp-5, -0x1.9b193aa3c591p-5, -0x1.9231f004c9e6fp-5, -0x1.8972c15121b93p-5, -0x1.80db32da3183cp-5, -0x1.786ac8c26c2fcp-5, -0x1.702107aa64fedp-5, -0x1.67fd7406d7bc2p-5, -0x1.5fff921882a7ap-5, -0x1.5826e70d417dap-5, -0x1.5072f7dbe5b16p-5, -0x1.48e349ec64228p-5, -0x1.417762b4837a6p-5, -0x1.3a2ec84167a35p-5, -0x1.330900ce4329ep-5, -0x1.2c0593478009bp-5, -0x1.252407035694ap-5, -0x1.1e63e3e53a387p-5, -0x1.17c4b2687bb5ap-5, -0x1.1145fb3ee46c2p-5, -0x1.0ae74827f76a8p-5, -0x1.04a82329f9037p-5, -0x1.fd102de6d4c09p-6, -0x1.f10d5e7529f33p-6, -0x1.e546f1061bc35p-6, -0x1.d9bc00362744fp-6, -0x1.ce6ba7be503cp-6, -0x1.c35504a96b7fbp-6, -0x1.b877353a6a182p-6, -0x1.add159bde40a2p-6, -0x1.a36293adbf599p-6, -0x1.992a079bd4b98p-6, -0x1.8f26dbdf36f5bp-6, -0x1.85583a2763d28p-6, -0x1.7bbd4c9fd64efp-6, -0x1.72553f01bdba3p-6, -0x1.691f3cc676788p-6, -0x1.601a745213bcp-6, -0x1.5746146d8ef8p-6, -0x1.4ea150a6db246p-6, -0x1.462b5eaa763c3p-6, -0x1.3de3790fcfc7cp-6, -0x1.35c8dbc585fbdp-6, -0x1.2ddac4aa69e4cp-6, -0x1.261870e91ff52p-6, -0x1.1e811e15cef64p-6, -0x1.171409eff082cp-6, -0x1.0fd073bb0eb0ap-6, -0x1.08b59ff903463p-6, -0x1.01c2d8038dbd6p-6, -0x1.f5eed5dc3dee7p-7, -0x1.e8a5560a83619p-7, -0x1.dba7d9baf0787p-7, -0x1.cef5064144aeep-7, -0x1.c28b7c6bc9636p-7, -0x1.b669d93731bccp-7, -0x1.aa8ebab398bc2p-7, -0x1.9ef8c4dfd3bbcp-7, -0x1.93a6ab89dca94p-7, -0x1.8897318df74f9p-7, -0x1.7dc929c59838cp-7, -0x1.733b6f4b1cc49p-7, -0x1.68ecdcf7ef985p-7, -0x1.5edc45b519be7p-7, -0x1.550871050126cp-7, -0x1.4b701dbf846f4p-7, -0x1.42120851894f6p-7, -0x1.38ecf6dc711b4p-7, -0x1.2fffbf7a9280dp-7, -0x1.2749518a398f3p-7, -0x1.1ec8b10f94ebdp-7, -0x1.167cef3dc8a5ap-7, -0x1.0e651e73bdd9dp-7, -0x1.0680477b872a4p-7, -0x1.fd9ac20467168p-8, -0x1.ee96a296a4711p-8, -0x1.dff1e62760a13p-8, -0x1.d1aa4ab97b27ap-8, -0x1.c3bdac142e429p-8, -0x1.b62a18c02ac9p-8, -0x1.a8edd77a335ep-8, -0x1.9c075f1ee037fp-8, -0x1.8f7543e9cdde2p-8, -0x1.833613c81d671p-8, -0x1.77483a80318b7p-8, -0x1.6ba9f94ac4a21p-8, -0x1.605965349ed3p-8, -0x1.55547a6b7b8abp-8, -0x1.4a99389d41345p-8, -0x1.4025ba758ca7fp-8, -0x1.35f8497451948p-8, -0x1.2c0f6add4dea7p-8, -0x1.2269e0788e281p-8, -0x1.190693a02f4f5p-8, -0x1.0fe47891f7e81p-8, -0x1.07026a1cdf2c5p-8, -0x1.fcbe2bc585926p-9, -0x1.ebf1f2f145b4ap-9, -0x1.db9ce74038a19p-9, -0x1.cbbba2f15f6cp-9, -0x1.bc4ac92ffd0b7p-9, -0x1.ad471d8a571ecp-9, -0x1.9eadb496a1ca5p-9, -0x1.907c1ae961112p-9, -0x1.82b0640a20fe8p-9, -0x1.7549062778ae1p-9, -0x1.68448a52db849p-9, -0x1.5ba142fa6801bp-9, -0x1.4f5d2ffb5937ep-9, -0x1.43760b264f213p-9, -0x1.37e966c778adbp-9, -0x1.2cb4af39b17efp-9, -0x1.21d520664a1bbp-9, -0x1.1747d7d60cb8bp-9, -0x1.0d0a07d924d7ap-9, -0x1.03195611ad7ccp-9, -0x1.f2e80c9122862p-10, -0x1.e031cac593ec9p-10, -0x1.ce0de59ac3b87p-10, -0x1.bc7a16c10ffa5p-10, -0x1.ab739f5d7cf84p-10, -0x1.9af782617dc49p-10, -0x1.8b02bc67deeccp-10, -0x1.7b9228ca07c6p-10, -0x1.6ca20c605ca75p-10, -0x1.5e2dc6e75b96bp-10, -0x1.503021dad665fp-10, -0x1.42a422e2aa0d8p-10, -0x1.3585f1c9108e4p-10, -0x1.28d30417eb27dp-10, -0x1.1c898ab295fedp-10, -0x1.10a7bb63d3b7ap-10, -0x1.052b8748ebe3ap-10, -0x1.f425a6434d707p-11, -0x1.deb79d4a08bcdp-11, -0x1.ca0a04ab90de7p-11, -0x1.b619cea86484bp-11, -0x1.a2e270744e1b1p-11, -0x1.905d1f6be87fcp-11, -0x1.7e816685f477fp-11, -0x1.6d4736e14a792p-11, -0x1.5ca81a82c9478p-11, -0x1.4c9f6dabc44a2p-11, -0x1.3d293c570609bp-11, -0x1.2e4162bfca1bcp-11, -0x1.1fe3abc70b4fp-11, -0x1.120c7f76f85dfp-11, -0x1.04b99bb051ffcp-11, -0x1.efd37ebfd6e84p-12, -0x1.d737fd4fc5118p-12, -0x1.bf9ce02ba7d72p-12, -0x1.a8faf45f1be53p-12, -0x1.934853d16a135p-12, -0x1.7e7a8c9d9ab48p-12, -0x1.6a886755dd122p-12, -0x1.576965d5682ccp-12, -0x1.4514c2a7c0472p-12, -0x1.3381294727f56p-12, -0x1.22a5958c1e253p-12, -0x1.127a424ff8541p-12, -0x1.02f986bbd751dp-12, -0x1.e841ff3f3c7d5p-13, -0x1.cbe17bb2773c6p-13, -0x1.b0d06901da52cp-13, -0x1.9707946254eep-13, -0x1.7e7c156d1972ep-13, -0x1.672409cb3a5e8p-13, -0x1.50f8b0dfd1809p-13, -0x1.3bf3a546235dep-13, -0x1.280a0aed57ec5p-13, -0x1.152a073164e09p-13, -0x1.03409267e11bep-13, -0x1.e47fe7a0c307fp-14, -0x1.c43a7cce94c2ep-14, -0x1.a59806707ab72p-14, -0x1.8886c69e31e73p-14, -0x1.6d081f6417adp-14, -0x1.5322b1ca366ffp-14, -0x1.3acd32cf7028p-14, -0x1.23f1d8cbdb8b4p-14, -0x1.0e7f59e7c48cbp-14, -0x1.f4e687b288a8bp-15, -0x1.cfa4800fcbbbdp-15, -0x1.ad37095cc0b79p-15, -0x1.8d799ed5b6cdcp-15, -0x1.70237c53d604ep-15, -0x1.54f64e1393001p-15, -0x1.3be5ee3ad648fp-15, -0x1.24eb99b410e4cp-15, -0x1.0fd5d63bcb885p-15, -0x1.f8eade5333187p-16, -0x1.d59779d0a8609p-16, -0x1.b5cd4888e388ap-16, -0x1.99719e1a233adp-16, -0x1.803df8a7ac10dp-16, -0x1.69fa3dbc03232p-16, -0x1.569abf81ff7cfp-16, -0x1.463dda43c4ee6p-16, -0x1.38f1e66ea871bp-16, -0x1.2e9c57c4b7d36p-16, -0x1.26ed082039445p-16, -0x1.217531cc545a5p-16, -0x1.1e01b1bd89989p-16, -0x1.1cc6813991df6p-16, -0x1.1dc18adb00627p-16, -0x1.209543cd6ac58p-16, -0x1.25127038acaa5p-16, -0x1.2b36b37d4a396p-16, -0x1.32ed9139fcc86p-16, -0x1.3c1f3c90bc19bp-16, -0x1.46b5711e704fp-16, -0x1.529622c023f4fp-16, -0x1.5fb3de0665df8p-16, -0x1.6e1c7edc5c9d7p-16, -0x1.7dd75ce1a58c7p-16, -0x1.8ec6d2251469bp-16, -0x1.a0c165fe4f215p-16, -0x1.b3a3a483f19a6p-16, -0x1.c742f6f8e654bp-16, -0x1.dba285c6bafb2p-16, -0x1.f0e12dd7e0c16p-16, -0x1.036c8c79a7005p-15, -0x1.0ebd4622c2613p-15, -0x1.1a622a6a12da7p-15, -0x1.2642687c96223p-15, -0x1.324cb3448624fp-15, -0x1.3e841105b8772p-15, -0x1.4aeaea24e7e4fp-15, -0x1.577942108d3eap-15, -0x1.642b4664bade8p-15, -0x1.71038a0a45d16p-15, -0x1.7dfcc08c1ed27p-15, -0x1.8b0b4e8f5c491p-15, -0x1.9826178c1133ap-15, -0x1.a54b982393da2p-15, -0x1.b27b861ba873ap-15, -0x1.bfaa922783a52p-15, -0x1.ccd9c9abe5be4p-15, -0x1.da0297dc7bfabp-15, -0x1.e7286cadd8fdbp-15, -0x1.f4515ca20a331p-15, -0x1.00b745d646b3dp-14, -0x1.07381e743d612p-14, -0x1.0daa9ccc1a102p-14, -0x1.1411709d7c796p-14, -0x1.1a6b5d38cccc6p-14, -0x1.20b66b9ce3f5ap-14, -0x1.26f3609cf0511p-14, -0x1.2d20a76845fp-14, -0x1.333b92698b4b8p-14, -0x1.3942e441ae9bep-14, -0x1.3f35be12b478dp-14, -0x1.4513bd4331f2cp-14, -0x1.4add8828f64cdp-14, -0x1.50912259ac0acp-14, -0x1.562d1b0508c0ap-14, -0x1.5baf9b0a3ea05p-14, -0x1.611ab16f45147p-14, -0x1.666e19939d36ap-14, -0x1.6ba833092f917p-14, -0x1.70c7b255a20fbp-14, -0x1.75cbc6b1ae4adp-14, -0x1.7ab494439dc49p-14, -0x1.7f81ca15823acp-14, -0x1.843314a64baaap-14, -0x1.88c7fb93b6b76p-14, -0x1.8d4012c8bbccp-14, -0x1.919b6d4df64c2p-14, -0x1.95da012749d6bp-14, -0x1.99fb89f7b7d53p-14, -0x1.9dffca374aca5p-14, -0x1.a1e6a37062478p-14, -0x1.a5af140b76b22p-14, -0x1.a958fe2c646efp-14, -0x1.ace5d73f7c9acp-14, -0x1.b055ba6353c42p-14, -0x1.b3a6d0fbdc186p-14, -0x1.b6d9b32eb6465p-14, -0x1.b9eea924bfbb8p-14, -0x1.bce50057f9f2ep-14, -0x1.bfbd5b051ff2fp-14, -0x1.c278258d2b2c9p-14, -0x1.c5168a21f54dap-14, -0x1.c7978a452ecc2p-14, -0x1.c9f97f63701d2p-14, -0x1.cc3e0aac3d3fcp-14, -0x1.ce65fbe3cd511p-14, -0x1.d071865c816d7p-14, -0x1.d260a54100005p-14, -0x1.d4335cca9b4adp-14, -0x1.d5e97cf7a9d9bp-14, -0x1.d783b739231c4p-14, -0x1.d9020686a3a61p-14, -0x1.da6305370a794p-14, -0x1.dba9ffec9abfap-14, -0x1.dcd6c266fa452p-14, -0x1.dde749f828f54p-14, -0x1.deddd3a44ca51p-14, -0x1.dfba9ff523ba9p-14, -0x1.e07cdfe120173p-14, -0x1.e123af8320da4p-14, -0x1.e1b1e0e813487p-14, -0x1.e228f2a97d513p-14, -0x1.e286906e1ebc4p-14, -0x1.e2ca690fabcd9p-14, -0x1.e2f6cd4877e06p-14, -0x1.e30be86a397a8p-14, -0x1.e309c99b8f3bdp-14, -0x1.e2f0a3f57b1d3p-14, -0x1.e2c0dd34b30fap-14, -0x1.e27ada550f275p-14, -0x1.e21e84aa43be9p-14, -0x1.e1ac377d9b583p-14, -0x1.e1258c27c8864p-14, -0x1.e0893e64be29cp-14, -0x1.dfd828edc4887p-14, -0x1.df1374b2f9ae7p-14, -0x1.de3a0e2ba4edbp-14, -0x1.dd4dcb4f5770dp-14, -0x1.dc4edbc33e583p-14, -0x1.db3d1687345ecp-14, -0x1.da172d822e94dp-14, -0x1.d8dfc7a68b68bp-14, -0x1.d79828c6d3259p-14, -0x1.d63d8eabf29b1p-14, -0x1.d4d246a8608bfp-14, -0x1.d356d23986d74p-14, -0x1.d1cb39276514ep-14, -0x1.d02f819007e8p-14, -0x1.ce8442f3036bdp-14, -0x1.ccc9cb03c71d9p-14, -0x1.cb006845b4d3ap-14, -0x1.c928b21577b7fp-14, -0x1.c742a7243d7b3p-14, -0x1.c54eb22cc75d2p-14, -0x1.c34d42f39784bp-14, -0x1.c13f2526b8feep-14, -0x1.bf23b7887c282p-14, -0x1.bcfbdb7c9e0a7p-14, -0x1.bac7a4369a07ap-14, -0x1.b887e3d41be78p-14, -0x1.b63cd6e83c736p-14, -0x1.b3e6cba60f799p-14, -0x1.b1851dceccf84p-14, -0x1.af19625baa3ddp-14, -0x1.aca31b63aa88ap-14, -0x1.aa22dbb8b316cp-14, -0x1.a79963d473a61p-14, -0x1.a50697c9a991p-14, -0x1.a26ac652d55bap-14, -0x1.9fc63dd75dcbbp-14, -0x1.9d19465831ad2p-14, -0x1.9a6429a9f565cp-14, -0x1.97a73e76f06d5p-14, -0x1.94e2cbc9e2e8ep-14, -0x1.921714c82c1c5p-14, -0x1.8f445a9fbe7ccp-14, -0x1.8c6ae62cc2889p-14, -0x1.898afee2a6cadp-14, -0x1.86a4e5f329f56p-14, -0x1.83b8fd6542804p-14, -0x1.80c7698d41dd8p-14, -0x1.7dd062ad7ff81p-14, -0x1.7ad3ed92f5c74p-14, -0x1.77d2d62abdc46p-14, -0x1.74cd3f85922b7p-14, -0x1.71c2ec7b26a17p-14, -0x1.6eb438ffe035fp-14, -0x1.6ba1ef4ee010ep-14, -0x1.688bd3d2119fp-14, -0x1.657244dde407ep-14, -0x1.62556ed1d1ff1p-14, -0x1.5f356885c19b5p-14, -0x1.5c128f5d47981p-14, -0x1.58ed2197602d8p-14, -0x1.55c53c86fc4a9p-14, -0x1.529b3eadb2bfcp-14, -0x1.4f6f0666e9009p-14, -0x1.4c4109eabc776p-14, -0x1.49116c2e778fcp-14, -0x1.45e060f7c65eap-14, -0x1.42ae08a0eaaa7p-14, -0x1.3f7aa481e0b58p-14, -0x1.3c465b0c54dfdp-14, -0x1.3911491185097p-14, -0x1.35dbaf61a426dp-14, -0x1.32a5b597d7f11p-14, -0x1.2f6f8c33893a4p-14, -0x1.2c394b4213a86p-14, -0x1.29032c56ea63p-14, -0x1.25cd235a7a272p-14, -0x1.2297c567f1565p-14, -0x1.1f62dbbd53071p-14, -0x1.1c2eabe439292p-14, -0x1.18fb3d7027a69p-14, -0x1.15c8cf98c65bcp-14, -0x1.12978e6a72193p-14, -0x1.0f679e39c5746p-14, -0x1.0c39055feb804p-14, -0x1.090be861c9622p-14, -0x1.05e07966da40dp-14, -0x1.02b6cbfa12a6bp-14, -0x1.ff1dde67e6aa6p-15, -0x1.f8d238755a12bp-15, -0x1.f28ad8b0aa468p-15, -0x1.ec48014bdec44p-15, -0x1.e609e0340eap-15, -0x1.dfd049ae11d52p-15, -0x1.d99bcfa631bafp-15, -0x1.d36cc9fe674ddp-15, -0x1.cd433b9c8037bp-15, -0x1.c71f515c35931p-15, -0x1.c10130ad16655p-15, -0x1.bae912a5255e9p-15, -0x1.b4d71fdf3d7acp-15, -0x1.aecb9dca4293fp-15, -0x1.a8c6a12a77407p-15, -0x1.a2c84cdcb3e62p-15, -0x1.9cd0b586d9923p-15, -0x1.96e0392e969bbp-15, -0x1.90f6c0ea879fbp-15, -0x1.8b14c5914c96fp-15, -0x1.853a1c9664b1ep-15, -0x1.7f66ef2522d84p-15, -0x1.799b97824ece1p-15, -0x1.73d7d6386fc96p-15, -0x1.6e1bf0679a987p-15, -0x1.6868231feb515p-15, -0x1.62bd8bacd277fp-15, -0x1.5d195af28ae34p-15, -0x1.577e552d7f75cp-15, -0x1.51ebcfd5ea12cp-15, -0x1.4c61a04bfc914p-15, -0x1.46e0553bf9474p-15, -0x1.4167abcd386afp-15, -0x1.3bf7eefaf523fp-15, -0x1.3690f27547df2p-15, -0x1.313328fb87215p-15, -0x1.2bddf2b85cd99p-15, -0x1.26920deb1e784p-15, -0x1.214f6205cfd27p-15, -0x1.1c162cdbcc1a8p-15, -0x1.16e6118a8060bp-15, -0x1.11bf622e1de4fp-15, -0x1.0ca1ec57724eap-15, -0x1.078e1783b47d2p-15, -0x1.0283c8563a7fap-15, -0x1.fb0629fb77b25p-16, -0x1.f117e4cf10133p-16, -0x1.e73ce22ba1dbep-16, -0x1.dd75522577fddp-16, -0x1.d3c1224f3139bp-16, -0x1.ca2042ad20bdfp-16, -0x1.c0931c85f10e2p-16, -0x1.b7189bf39a083p-16, -0x1.adb44f71d84a8p-16, -0x1.a46211e01cd3ep-16, -0x1.9b23c4ab34ac4p-16, -0x1.91f8df9bec923p-16, -0x1.88e22c0508b1bp-16, -0x1.7fdfb4c0c0a07p-16, -0x1.76f0d909122d9p-16, -0x1.6e156348b6fc6p-16, -0x1.654e209f49662p-16, -0x1.5c9a00c8e5c3ep-16, -0x1.53fbc5f6a8bbbp-16, -0x1.4b706621fd737p-16, -0x1.42f8b9721a948p-16, -0x1.3a952eeeda64p-16, -0x1.32455077f71b1p-16, -0x1.2a09b2b15f5dcp-16, -0x1.21e1868bc884bp-16, -0x1.19cd83a983437p-16, -0x1.11cd6db0efe53p-16, -0x1.09e2b28680a27p-16, -0x1.02085f1a81e72p-16, -0x1.f48942d7b42b5p-17, -0x1.e524091e86c4ap-17, -0x1.d5e8e75a8593dp-17, -0x1.c6d5340532e55p-17, -0x1.b7e81d719c917p-17, -0x1.a92243032aa0fp-17, -0x1.9a83aeadda984p-17, -0x1.8c0bd110400fbp-17, -0x1.7dbb0d7b4678dp-17, -0x1.6f9098984c42dp-17, -0x1.618c12a41d3f6p-17, -0x1.53ae8e7e3ae34p-17, -0x1.45f7ba8646b74p-17, -0x1.3866a84289ce2p-17, -0x1.2afb5bb02fa16p-17, -0x1.1db5fced6e8f7p-17, -0x1.10971b591b0fbp-17, -0x1.039c17333fcaap-17, -0x1.ed8e895e852ffp-18, -0x1.d4316a7be7728p-18, -0x1.bb1cad8615f3p-18, -0x1.a251a21b372e8p-18, -0x1.89d02e1c98211p-18, -0x1.7197f77b05e8cp-18, -0x1.59a9ff24b528bp-18, -0x1.42022f1b2d27dp-18, -0x1.2aa4f2a61b3dfp-18, -0x1.138d450ea322ep-18, -0x1.f97be84f67b3p-19, -0x1.cc6b61a5c6fd1p-19, -0x1.9fe7affac3896p-19, -0x1.73f66a8169428p-19, -0x1.48887163f6f0ep-19, -0x1.1da7a7616e9ccp-19, -0x1.e6a55ac9f6eabp-20, -0x1.9309efe9b0bcp-20, -0x1.4083632640b08p-20, -0x1.dddacbe9b49e4p-21, -0x1.3d8693347c9bap-21, -0x1.3d16bee44ba07p-22, -0x1.da2a465cf21ebp-29, 0x1.315c55e93db17p-22, 0x1.312e104d8983cp-21, 0x1.c7ab3853d7638p-21, 0x1.2e0f1d2f666aep-20, 0x1.7747376b6c188p-20, 0x1.bf809a84c193ap-20, 0x1.035ed8f162c68p-19, 0x1.267a877ec9618p-19, 0x1.4918393d1dec2p-19, 0x1.6b3d62212c3e2p-19, 0x1.8ce5cf2542ca6p-19, 0x1.ae13200dce6f9p-19, 0x1.cec695aaee85fp-19, 0x1.eefc9972a58dep-19, 0x1.07609f6aa24aep-18, 0x1.17054a2f414dcp-18, 0x1.2670269402fffp-18, 0x1.359f74c2e4d12p-18, 0x1.44942fb4d0c44p-18, 0x1.534e12aaac9f6p-18, 0x1.61d15efdf7148p-18, 0x1.701a1721e361cp-18, 0x1.7e295190886e5p-18, 0x1.8c020cbaf2765p-18, 0x1.99a2f88e8df2bp-18, 0x1.a7109b09f03f6p-18, 0x1.b440a2f638f7cp-18, 0x1.c13d49bf013cfp-18, 0x1.ce032a38fc487p-18, 0x1.da9573ab58769p-18, 0x1.e6f2047492e08p-18, 0x1.f31ca54a215fep-18, 0x1.ff0fbe35d282bp-18, 0x1.056887d27b1bp-17, 0x1.0b2edf9295963p-17, 0x1.10dcc3fbce82ep-17, 0x1.1672c7106b7ecp-17, 0x1.1beea82db1e5bp-17, 0x1.2151a8cbe6aeep-17, 0x1.269b7dfb426fp-17, 0x1.2bce60e4bb05p-17, 0x1.30e9bb8e7f596p-17, 0x1.35edc622c3c9ep-17, 0x1.3ad8dac22fe4fp-17, 0x1.3fad433976efbp-17, 0x1.446a9bd49bcadp-17, 0x1.49111800d23aep-17, 0x1.4da0f439a1b9bp-17, 0x1.5219d274d149ep-17, 0x1.567e10e14af49p-17, 0x1.5acb2168dce8bp-17, 0x1.5f02fbbb709fep-17, 0x1.6324cfd30892p-17, 0x1.6731ebdd14f9ap-17, 0x1.6b29d401f48e8p-17, 0x1.6f0cc06c616b9p-17, 0x1.72db4a3549c08p-17, 0x1.7694f1add9a72p-17, 0x1.7a3a3670f7582p-17, 0x1.7dcbc723f997fp-17, 0x1.8149605b228e6p-17, 0x1.84b390ad74948p-17, 0x1.880a4eb7507cfp-17, 0x1.8b4d9614f219bp-17, 0x1.8e7e7094a628cp-17, 0x1.919aef788c3eep-17, 0x1.94a70f1e61482p-17, 0x1.979f439cd0023p-17, 0x1.9a8675fa6500cp-17, 0x1.9d5b035f0a09p-17, 0x1.a01d28c01b8edp-17, 0x1.a2cf2830a699ap-17, 0x1.a56ddfaa960e8p-17, 0x1.a7fc8db31150ap-17, 0x1.aa79fdb65cd02p-17, 0x1.ace68d2545d42p-17, 0x1.af439ca8e3289p-17, 0x1.b18efec734ccap-17, 0x1.b3ca56cdb6c33p-17, 0x1.b5f5b07a693ddp-17, 0x1.b8112e2b5de4dp-17, 0x1.ba22ad8039d0dp-17, 0x1.bc193ca631307p-17, 0x1.be064a298c20cp-17, 0x1.bfe41f4d00e87p-17, 0x1.c1b21bf2b1a9ap-17, 0x1.c37326ed937d4p-17, 0x1.c524d9042241p-17, 0x1.c6c82b3159d63p-17, 0x1.c85baba39bdd1p-17, 0x1.c9e3819dfdf73p-17, 0x1.cb5c238b15752p-17, 0x1.ccc713dd72262p-17, 0x1.ce25a9be4ed75p-17, 0x1.cf75e4be0ce6ap-17, 0x1.d0b857d59fec2p-17, 0x1.d1edfab812ecbp-17, 0x1.d31756a78a6c4p-17, 0x1.d434741cf3f8fp-17, 0x1.d54449526796cp-17, 0x1.d646fcfd0da2ap-17, 0x1.d73e50a1666cdp-17, 0x1.d82a10aee1e2p-17, 0x1.d9094d12fe1bdp-17, 0x1.d9dc192a268a8p-17, 0x1.daa41e43ac6a4p-17, 0x1.db60e5f91eb75p-17, 0x1.dc124120cff26p-17, 0x1.dcb80785c1af6p-17, 0x1.dd53b04f456d9p-17, 0x1.dde3839c6933dp-17, 0x1.de690c8ce10e8p-17, 0x1.dee43a197a791p-17, 0x1.df54ef0ea6662p-17, 0x1.dfbac3ab036a2p-17, 0x1.e018863ecffefp-17, 0x1.e0683b6196bc2p-17, 0x1.e0b26e23e9765p-17, 0x1.e0f06350ba1ffp-17, 0x1.e12607396e4bep-17, 0x1.e151ee13e981ep-17, 0x1.e1747e5c58b74p-17, 0x1.e18e13622386p-17, 0x1.e19da0c62959ep-17, 0x1.e1a33aa98329p-17, 0x1.e1a419cbdd2d7p-17, 0x1.e19a692a09daap-17, 0x1.e188b833b1bddp-17, 0x1.e16e9d55d2dd8p-17, 0x1.e14a708ba98bcp-17, 0x1.e11fa3abd4d0dp-17, 0x1.e0eccc9e4556ap-17, 0x1.e0b206b61e43dp-17, 0x1.e07001e635a42p-17, 0x1.e025fca38bcd1p-17, 0x1.dfd3b8390d7bcp-17, 0x1.df79fc34f219ap-17, 0x1.df1a0d44c53d2p-17, 0x1.deb3354b0f9a1p-17, 0x1.de44d49aff18p-17, 0x1.ddcfc411ef90dp-17, 0x1.dd536a9b8db19p-17, 0x1.dcd0be3f95dcdp-17, 0x1.dc479550bebc2p-17, 0x1.dbb78f4d4f3ap-17, 0x1.db253650c88e4p-17, 0x1.da84cda446e0bp-17, 0x1.d9e2baf67e457p-17, 0x1.d93a2d10b1801p-17, 0x1.d88af1302df92p-17, 0x1.d7da741a29afap-17, 0x1.d71cc1631ad97p-17, 0x1.d65c9b1ea0b17p-17, 0x1.d597b5041e223p-17, 0x1.d4cd5a12fa7b7p-17, 0x1.d3fd5d0beafb7p-17, 0x1.d3277a4805d79p-17, 0x1.d24ca65dd4621p-17, 0x1.d16dde43cbe2ap-17, 0x1.d086d47fd5204p-17, 0x1.cfa013795a344p-17, 0x1.ceb4e32b5597ep-17, 0x1.cdbf0be8b3d64p-17, 0x1.ccc8af0f82234p-17, 0x1.cbc70d5d98688p-17, 0x1.cacba936777ccp-17, 0x1.c9c6fb2155fcep-17, 0x1.c8be966d20e67p-17, 0x1.c7b1b57881fb8p-17, 0x1.c6a0277aee0cap-17, 0x1.c58b38371400fp-17, 0x1.c4736540f6c65p-17, 0x1.c35635820f523p-17, 0x1.c2324e6d5c295p-17, 0x1.c11095c0cb2bap-17, 0x1.bfe92f7efd5d3p-17, 0x1.bebe45de7965p-17, 0x1.bd8f4432d920fp-17, 0x1.bc5dca4427cf3p-17, 0x1.bb27841491e24p-17, 0x1.b9ed30f35e83dp-17, 0x1.b8b3d015da458p-17, 0x1.b774fb3118f8cp-17, 0x1.b6323d9d623d8p-17, 0x1.b4edc342bca16p-17, 0x1.b3a67010dbab4p-17, 0x1.b25c2093a053p-17, 0x1.b11184434b087p-17, 0x1.afbebf7d5a719p-17, 0x1.ae6df06dcbe3ep-17, 0x1.ad17a4a0542bbp-17, 0x1.abbf4bb2b75c7p-17, 0x1.aa67032c7671ap-17, 0x1.a909d1fc95211p-17, 0x1.a7ac6b1d9feedp-17, 0x1.a64b542de11c9p-17, 0x1.a4e8962dfe6cdp-17, 0x1.a3808e96ceba6p-17, 0x1.a21d3a465efa9p-17, 0x1.a0b41f58cfe76p-17, 0x1.9f49a6fe28179p-17, 0x1.9ddd0baef3b7dp-17, 0x1.9c6ed23deed0cp-17, 0x1.9afdaecdc8647p-17, 0x1.998bc38a71905p-17, 0x1.981936c09e1ecp-17, 0x1.96a44e6274b26p-17, 0x1.9530c3e3edafbp-17, 0x1.93b496f1a0bbbp-17, 0x1.923baeec23f24p-17, 0x1.90c0868f4a84p-17, 0x1.8f44360de1a61p-17, 0x1.8dc66084f9183p-17, 0x1.8c482940da07ep-17, 0x1.8ac7dd3bc6246p-17, 0x1.894668b3ed23ep-17, 0x1.87c5123dec838p-17, 0x1.8641f6fa3ce55p-17, 0x1.84bd02481f34bp-17, 0x1.8337421c7d22p-17, 0x1.81b209126238p-17, 0x1.802a84509fe1dp-17, 0x1.7ea2da5aa5b4dp-17, 0x1.7d1a325a7ef47p-17, 0x1.7b91465d838d4p-17, 0x1.7a0bbc0e36c7bp-17, 0x1.787c04fc6d56fp-17, 0x1.76eff91f08578p-17, 0x1.75651dfd4ce9p-17, 0x1.73d87e600aa86p-17, 0x1.724f7fb6718c6p-17, 0x1.70be901694d15p-17, 0x1.6f2f8f5ada92fp-17, 0x1.6da1037a0e567p-17, 0x1.6c1250d47919ap-17, 0x1.6a8306b010264p-17, 0x1.68f4acfd96109p-17, 0x1.6763c9641a6acp-17, 0x1.65d4bbbcc1f1dp-17, 0x1.6444ec14473c2p-17, 0x1.62b49b248468fp-17, 0x1.6125207391832p-17, 0x1.5f94cbc8fe5b9p-17, 0x1.5e0332bfa7188p-17, 0x1.5c728e967fbebp-17, 0x1.5ae2f5ab3a97p-17, 0x1.59529d1e36d68p-17, 0x1.57c1dbf570808p-17, 0x1.56315025bf03p-17, 0x1.54a45cccb4461p-17, 0x1.53169ff280d4fp-17, 0x1.518101788ecb5p-17, 0x1.4ff1cc00a49bbp-17, 0x1.4e6236d98715ep-17, 0x1.4cd3614bfc53ep-17, 0x1.4b435b1fa81a9p-17, 0x1.49b4e92096331p-17, 0x1.48271ade46f46p-17, 0x1.4699001ec1fe6p-17, 0x1.450b5437966e6p-17, 0x1.437e130407f1dp-17, 0x1.41f1265713e84p-17, 0x1.40649d8f44fc8p-17, 0x1.3ed96be7efbb4p-17, 0x1.3d4d3d697ed3cp-17, 0x1.3bc05b3115716p-17, 0x1.3a3806e208975p-17, 0x1.38ae3d76d6f8bp-17, 0x1.3725dca450e9ap-17, 0x1.359cee9450f7ap-17, 0x1.3413a6349cfd2p-17, 0x1.328bdf0f2ded9p-17, 0x1.3105b98992da4p-17, 0x1.2f7fa16c88f2bp-17, 0x1.2dfa23e239cc2p-17, 0x1.2c7542f86d871p-17, 0x1.2af12da5f4656p-17, 0x1.296de8264b6dbp-17, 0x1.27eb9dcb79594p-17, 0x1.2669e3b0fdd45p-17, 0x1.24e79eaa15bd3p-17, 0x1.23684403c6b24p-17, 0x1.21e8d24b684dfp-17, 0x1.206a085856053p-17, 0x1.1eec771f44c45p-17, 0x1.1d6f4a3feafe8p-17, 0x1.1bf44e8f3913fp-17, 0x1.1a788c1a409aep-17, 0x1.18fe26c9447c4p-17, 0x1.1784bd5579161p-17, 0x1.160c40abef466p-17, 0x1.1494ec996356cp-17, 0x1.131e9dac1e56ap-17, 0x1.11a9786de5c7fp-17, 0x1.10374ed07188cp-17, 0x1.0ec0c79bca889p-17, 0x1.0d4e44a06ab7dp-17, 0x1.0bdd560d62f9ep-17, 0x1.0a6be5dd509c6p-17, 0x1.08fc6931cf577p-17, 0x1.078e97485021fp-17, 0x1.0621dfd1cb73p-17, 0x1.04b43b97746ap-17, 0x1.03497499a39b4p-17, 0x1.01deff3b11775p-17, 0x1.0076553ac795cp-17, 0x1.fe1d210e4a7bdp-18, 0x1.fb4f89cf08888p-18, 0x1.f8838b16dadadp-18, 0x1.f5ba973d916ccp-18, 0x1.f2f3b7f99791cp-18, 0x1.f02871c57a5e4p-18, 0x1.ed6d2ed27df4dp-18, 0x1.eaacfcb1607b7p-18, 0x1.e7eeaebd7046dp-18, 0x1.e533bcf42e0ddp-18, 0x1.e27c3f3d6c01bp-18, 0x1.dfc4fc254b434p-18, 0x1.dd10563668b9p-18, 0x1.da5e510a3ded2p-18, 0x1.d7aecdcfb8dfdp-18, 0x1.d5023ee54ea78p-18, 0x1.d2579faf228f3p-18, 0x1.cfafd8026ac4ap-18, 0x1.cd0a1b6ac0cf8p-18, 0x1.ca672b7aabbfdp-18, 0x1.c7c6bfc64176p-18, 0x1.c52e0baa8a21p-18, 0x1.c291686c98a49p-18, 0x1.bff37eefdc074p-18, 0x1.bd5dd3353797p-18, 0x1.bac82ec712774p-18, 0x1.b8375a18973d6p-18, 0x1.b5a8a74c9ebe6p-18, 0x1.b31c45a590038p-18, 0x1.b090f4cb39b79p-18, 0x1.ae0afe1998dcfp-18, 0x1.ab86a18e82715p-18, 0x1.a90340c69f857p-18, 0x1.a683fbc20baa9p-18, 0x1.a406b9ee0458ep-18, 0x1.a18c3da96214cp-18, 0x1.9f14a7c1fe236p-18, 0x1.9c9f7ad1d6f89p-18, 0x1.9a2cbbe3e66dbp-18, 0x1.97bc40126a98dp-18, 0x1.954f26efbedfbp-18, 0x1.92e43382eb00bp-18, 0x1.907c4d5b45024p-18, 0x1.8e1681044c00fp-18, 0x1.8bb2f471c9efdp-18, 0x1.8953a9403a5ccp-18, 0x1.86f61533cc79cp-18, 0x1.849a0c9f7750fp-18, 0x1.824194ffca0a3p-18, 0x1.7fec45e45ef7ap-18, 0x1.7d98cb526df21p-18, 0x1.7b4892912303ep-18, 0x1.78fa4db2f59d5p-18, 0x1.76aefd777d5bp-18, 0x1.74664c2e8a0cdp-18, 0x1.722033737bfdp-18, 0x1.6fdd0ee88d493p-18, 0x1.6d9c8ad9b9abdp-18, 0x1.6b5dbda02afccp-18, 0x1.692278bf8bbc7p-18, 0x1.66e6d91f0da5p-18, 0x1.64b476c81a102p-18, 0x1.6282786886c49p-18, 0x1.604ee57b78fc4p-18, 0x1.5e20b9cb0d3bdp-18, 0x1.5bf558026f0bcp-18, 0x1.59cd27f3650dbp-18, 0x1.57a4f248d2293p-18, 0x1.5581b1001af76p-18, 0x1.5360c5b66ac3fp-18, 0x1.51424a1a5f873p-18, 0x1.4f257da94b6aap-18, 0x1.4d0d5d20b68b8p-18, 0x1.4af61c58a8e34p-18, 0x1.48e226531dfd8p-18, 0x1.46d0393850773p-18, 0x1.44bc1454a5c53p-18, 0x1.42b51e5bd5eep-18, 0x1.40ab528614d35p-18, 0x1.3ea45f2ff427cp-18, 0x1.3ca01e6cc4b43p-18, 0x1.3a9da9a0e355ap-18, 0x1.389e00dcb13f6p-18, 0x1.36a1b798b28a1p-18, 0x1.34a75e04135c1p-18, 0x1.32af98d449dd4p-18, 0x1.30ba5899288bap-18, 0x1.2ec83e33c8211p-18, 0x1.2cd85b0a1ad8ep-18, 0x1.2aea0afcb8bc6p-18, 0x1.28fecd94a6f18p-18, 0x1.27179d57d5af1p-18, 0x1.25308f29cc52ap-18, 0x1.234d4eed51p-18, 0x1.216d0dc8f4fe9p-18, 0x1.1f8e84dddae36p-18, 0x1.1db22d509c43cp-18, 0x1.1bd8ce74ce5dp-18, 0x1.1a02a67aec6b4p-18, 0x1.182e0af854ec3p-18, 0x1.165c07aa7c4cep-18, 0x1.148c28f1a377ep-18, 0x1.12bfb82453762p-18, 0x1.10f8ca2e3adf1p-18, 0x1.0f2cb64839bcbp-18, 0x1.0d67673595d76p-18, 0x1.0ba467756627bp-18, 0x1.09e3de196027bp-18, 0x1.08255c0d472e7p-18, 0x1.0669912c73108p-18, 0x1.04b06c3d9d167p-18, 0x1.02f90d98de362p-18, 0x1.0143981f39dcep-18, 0x1.ff243486c92a4p-19, 0x1.fbc594cf33fe3p-19, 0x1.f86a1b7b61115p-19, 0x1.f5115da662f7ap-19, 0x1.f1c23798eb8d2p-19, 0x1.ee75afad0a777p-19, 0x1.eb2db70d65adcp-19, 0x1.e7e9fc856797fp-19, 0x1.e4a7a1da9f428p-19, 0x1.e17229f65d8c2p-19, 0x1.de3b6f8e3613ap-19, 0x1.db0a5b43ac985p-19, 0x1.d7ddb08e92e69p-19, 0x1.d4b6035c37cd8p-19, 0x1.d1944bf01d28ep-19, 0x1.ce7568d9e5969p-19, 0x1.cb5a32412ff21p-19, 0x1.c84466663112ep-19, 0x1.c53548a99418bp-19, 0x1.c22826aecd989p-19, 0x1.bf1ff0012f1fdp-19, 0x1.bc1c6e9e4db31p-19, 0x1.b91d63b5b4023p-19, }}, 
      {{-0x1.4be6b3343f216p-1, -0x1.4168f016fe4b7p-1, -0x1.3347b9df292cp-1, -0x1.21f0fa6a914f2p-1, -0x1.0dd87126eb61p-1, -0x1.eee3ead47a169p-2, -0x1.be5b30ef3266bp-2, -0x1.8aea372bb8ee9p-2, -0x1.5554ba7c4388cp-2, -0x1.1e4cfa3cdc244p-2, -0x1.cce6107a118f3p-3, -0x1.5ca9af1cab05bp-3, -0x1.d9bb35783a57bp-4, -0x1.f965448b797ffp-5, -0x1.1d53e438b215ep-7, 0x1.604b3eaa82fb4p-5, 0x1.7dba3a5c42efep-4, 0x1.221f7d0c39b8dp-3, 0x1.8184e01614807p-3, 0x1.dccb06c2c5243p-3, 0x1.19e02d5c8a47fp-2, 0x1.4320f76aa1badp-2, 0x1.6a1cd69a1c88p-2, 0x1.8ece556168652p-2, 0x1.b134d27b8ee99p-2, 0x1.d153d08cb7305p-2, 0x1.ef325997d0f9fp-2, 0x1.056d3873053abp-1, 0x1.122c4a5427524p-1, 0x1.1ddda6a7a3356p-1, 0x1.2889649ebec91p-1, 0x1.3238427f37b19p-1, 0x1.3af37e6d69964p-1, 0x1.42c4b47954a4bp-1, 0x1.49b5c0d9ea76p-1, 0x1.4fd0a61c16549p-1, 0x1.551f76dcfcb58p-1, 0x1.59ac429bf7546p-1, 0x1.5d8105b4e165cp-1, 0x1.60a79b583fe8fp-1, 0x1.6329b20dd2be1p-1, 0x1.6510c28575e8dp-1, 0x1.66660798ef17dp-1, 0x1.6732783737df9p-1, 0x1.677ec28d6a1f6p-1, 0x1.6753486740e82p-1, 0x1.66b81c964fa8dp-1, 0x1.65b50132001f2p-1, 0x1.645166af4a1dap-1, 0x1.62946b8eb56d8p-1, 0x1.6084dc9f5c9bdp-1, 0x1.5e2935be71841p-1, 0x1.5b87a2daa9938p-1, 0x1.58a60196f01d9p-1, 0x1.5589e2c684a83p-1, 0x1.52388c7d19badp-1, 0x1.4eb6fc19e4e43p-1, 0x1.4b09e8870a759p-1, 0x1.4735c482b27b4p-1, 0x1.433ec1192f687p-1, 0x1.3f28d0021263dp-1, 0x1.3af7a6224953p-1, 0x1.36aebe03ee129p-1, 0x1.32515a4bfbcc7p-1, 0x1.2de2882e41b97p-1, 0x1.296521d94f1fp-1, 0x1.24dbd0ce8d0d8p-1, 0x1.20491046f4b99p-1, 0x1.1baf2f663cf2dp-1, 0x1.1710537abdef7p-1, 0x1.126e7a1efdb47p-1, 0x1.0dcb7b4dfcb7cp-1, 0x1.09290b62b7fe9p-1, 0x1.0488bd2376b57p-1, 0x1.ffd8069bb744bp-2, 0x1.f6a865c2403f6p-2, 0x1.ed8508d37e838p-2, 0x1.e4702bb584f64p-2, 0x1.db6bd84339d23p-2, 0x1.d279e8cd1c8d4p-2, 0x1.c99c0bfb9aa9fp-2, 0x1.c0d3c68da2896p-2, 0x1.b8227676a0483p-2, 0x1.af89555632cb1p-2, 0x1.a7097ab50e533p-2, 0x1.9ea3de694ec9p-2, 0x1.96595aa5e748bp-2, 0x1.8e2aadf5cb8bp-2, 0x1.86187d34ae80dp-2, 0x1.7e23552752419p-2, 0x1.764bacbd99f4p-2, 0x1.6e91e5bbbf0b5p-2, 0x1.66f64f2a3e74p-2, 0x1.5f79264da984dp-2, 0x1.581a982d3e38bp-2, 0x1.50dac2bed284fp-2, 0x1.49b9b6529ddcfp-2, 0x1.42b776276a4e2p-2, 0x1.3bd3fa47fa4bdp-2, 0x1.350f2fb82b3b8p-2, 0x1.2e68f9d4b14d2p-2, 0x1.27e13302b44fdp-2, 0x1.2177ad7484e39p-2, 0x1.1b2c344aacaedp-2, 0x1.14fe8b8e3a381p-2, 0x1.0eee71871bd95p-2, 0x1.08fb9f28fbf8fp-2, 0x1.0325c8448cca8p-2, 0x1.fad939e2841ep-3, 0x1.ef9f92071dcfp-3, 0x1.e49dea68c5d3ep-3, 0x1.d9d38e8e1b294p-3, 0x1.cf3fc4e889a24p-3, 0x1.c4e1cfa32a4d8p-3, 0x1.bab8ed13e65abp-3, 0x1.b0c45893f03fcp-3, 0x1.a7034adf28507p-3, 0x1.9d74faeaf95a7p-3, 0x1.94189dd3fce48p-3, 0x1.8aed67f3cbfddp-3, 0x1.81f28c9a2afa2p-3, 0x1.79273f49d80f2p-3, 0x1.708ab3431a494p-3, 0x1.681c1c3ad4e2ep-3, 0x1.5fdaae92c050dp-3, 0x1.57c59f8aba692p-3, 0x1.4fdc2581b7e1fp-3, 0x1.481d7853c3ca9p-3, 0x1.4088d124a5d95p-3, 0x1.391d6af03bb06p-3, 0x1.31da827b6b4bcp-3, 0x1.2abf567b1e2c7p-3, 0x1.23cb27c4f168bp-3, 0x1.1cfd39488a59bp-3, 0x1.1654d0571e507p-3, 0x1.0fd134788924fp-3, 0x1.0971afb81dc1bp-3, 0x1.03358ea684a5ep-3, 0x1.fa38401b5b7cbp-4, 0x1.ee496b9043fcbp-4, 0x1.e29d479c994d8p-4, 0x1.d7328245e3f8fp-4, 0x1.cc07ce1970571p-4, 0x1.c11be37022368p-4, 0x1.b66d7fcee049ap-4, 0x1.abfb660ee9013p-4, 0x1.a1c45e6306468p-4, 0x1.97c7363db37abp-4, 0x1.8e02c06f57bccp-4, 0x1.8475d53e9f875p-4, 0x1.7b1f50ee97acbp-4, 0x1.71fe17559596dp-4, 0x1.69110f1f64ee4p-4, 0x1.6057250fb1344p-4, 0x1.57cf4ae65fe69p-4, 0x1.4f78773f4458dp-4, 0x1.4751a5cc135f2p-4, 0x1.3f59d696ead52p-4, 0x1.37900f4e1c633p-4, 0x1.2ff359af4fe55p-4, 0x1.2882c45a82ff4p-4, 0x1.213d629af4449p-4, 0x1.1a224bf974bp-4, 0x1.13309ce728592p-4, 0x1.0c6776101f36bp-4, 0x1.05c5fbf537d5ap-4, 0x1.fe96b06dd7d12p-5, 0x1.f1ed6fba2fb76p-5, 0x1.e58e99b458d6cp-5, 0x1.d97898a23e33p-5, 0x1.cda9dfcc3413p-5, 0x1.c220ea08b66dap-5, 0x1.b6dc39db3b5bfp-5, 0x1.abda59503dd02p-5, 0x1.a119da112e7b8p-5, 0x1.969954c5b1a3p-5, 0x1.8c5769717a872p-5, 0x1.8252bea54fba3p-5, 0x1.788a02af338c5p-5, 0x1.6efbe9d6aca03p-5, 0x1.65a72f7d6ef2fp-5, 0x1.5c8a95792fd89p-5, 0x1.53a4e3be7113fp-5, 0x1.4af4e8da0c24p-5, 0x1.4279795fc87e9p-5, 0x1.3a316fead70fap-5, 0x1.321bad0699d31p-5, 0x1.2a37171f6acf4p-5, 0x1.22829a41483f1p-5, 0x1.1afd2835d76e1p-5, 0x1.13a5b80da896bp-5, 0x1.0c7b465cc578ap-5, 0x1.057cd509ad312p-5, 0x1.fd52d6d5dc7b1p-6, 0x1.f0002956e7641p-6, 0x1.e2ffc6cf5c05bp-6, 0x1.d64fd7eaf705ap-6, 0x1.c9ee94c050fbfp-6, 0x1.bdda3b30fcb14p-6, 0x1.b21114b8222d4p-6, 0x1.a69171881a557p-6, 0x1.9b59ac48f2415p-6, 0x1.906827ced8b17p-6, 0x1.85bb5033f3d61p-6, 0x1.7b51971d40385p-6, 0x1.71297b0d456ap-6, 0x1.674180ba9d426p-6, 0x1.5d9830d112ad3p-6, 0x1.542c2232425c9p-6, 0x1.4afbee139f1d5p-6, 0x1.4206398647bd4p-6, 0x1.3949abcfcdbcfp-6, 0x1.30c4fa1d044bep-6, 0x1.2876d9b8ca9b8p-6, 0x1.205e0ae9e8e54p-6, 0x1.18795328fe71ap-6, 0x1.10c77fa479f82p-6, 0x1.094763fc80a6bp-6, 0x1.01f7d782b6559p-6, 0x1.f5af786be39c5p-7, 0x1.e7cbedc30dd0dp-7, 0x1.da42e750c6e15p-7, 0x1.cd124843f8d6ep-7, 0x1.c038002ea4e4fp-7, 0x1.b3b208c28cd6bp-7, 0x1.a77e6792f5ce5p-7, 0x1.9b9b2cd0ab72p-7, 0x1.9006744f158fdp-7, 0x1.84be60f7d07cap-7, 0x1.79c1252b5c89dp-7, 0x1.6f0cf920e44d9p-7, 0x1.64a0213530444p-7, 0x1.5a78e9a0786c6p-7, 0x1.5095a9c3403d3p-7, 0x1.46f4c11fbbf4p-7, 0x1.3d9497e9b9026p-7, 0x1.3473a22f5192dp-7, 0x1.2b905880b9996p-7, 0x1.22e93f064e0ebp-7, 0x1.1a7ce0b174d7ep-7, 0x1.1249d1729e2ebp-7, 0x1.0a4ead195a702p-7, 0x1.028a1748ffbdap-7, 0x1.f5f576af1053cp-8, 0x1.e73e9852f0ab1p-8, 0x1.d8ed097c4a9e3p-8, 0x1.cafe4d6dd4ac5p-8, 0x1.bd6ff0113e13fp-8, 0x1.b03f9cf75aca2p-8, 0x1.a36af5215756ap-8, 0x1.96efb80675bc5p-8, 0x1.8acbb144bff96p-8, 0x1.7efcafb80e566p-8, 0x1.7380955cc85dp-8, 0x1.68554d23938dcp-8, 0x1.5d78d6a514024p-8, 0x1.52e9364c20a53p-8, 0x1.48a47a0d8eac8p-8, 0x1.3ea8bf057bf0ap-8, 0x1.34f42d0e5d24ep-8, 0x1.2b84f7bf91268p-8, 0x1.2259566805669p-8, 0x1.196f96c01afe6p-8, 0x1.10c607f28c86bp-8, 0x1.085b0580496fcp-8, 0x1.002cf5013b05fp-8, 0x1.f07488a3920d5p-9, 0x1.e102d94ab0ac4p-9, 0x1.d201de04354c7p-9, 0x1.c36eab192ab88p-9, 0x1.b5466a12b9cc9p-9, 0x1.a7865001a7162p-9, 0x1.9a2ba5e94e95cp-9, 0x1.8d33c47af279bp-9, 0x1.809c1347456f9p-9, 0x1.74620cb6ea421p-9, 0x1.68833a8138ef8p-9, 0x1.5cfd3accaef53p-9, 0x1.51cd99bc530d7p-9, 0x1.46f2265b54208p-9, 0x1.3c689c6ec49e9p-9, 0x1.322ecb0ffb256p-9, 0x1.284290fed60eap-9, 0x1.1ea1d7f0dbd87p-9, 0x1.154a99d9d528ap-9, 0x1.0c3adb627f1c4p-9, 0x1.0370ae3e94559p-9, 0x1.f5d45ca35243ep-10, 0x1.e54b0c5ed87cfp-10, 0x1.d541d80c69df5p-10, 0x1.c5b53ce80e01ep-10, 0x1.b6a1d620cb641p-10, 0x1.a8044d7178981p-10, 0x1.99d965434303fp-10, 0x1.8c1df005950f1p-10, 0x1.7ecedb7f5494p-10, 0x1.71e91dc9425a6p-10, 0x1.6569d9765e95fp-10, 0x1.594e1521ad704p-10, 0x1.4d9323db6fedbp-10, 0x1.423649e3fc708p-10, 0x1.3734dd628ff5fp-10, 0x1.2c8c4b36cd9bp-10, 0x1.223a113f4a015p-10, 0x1.183bbb06bbb8bp-10, 0x1.0e8ee27e6ea59p-10, 0x1.0531321d07898p-10, 0x1.f840dc4aa73ep-11, 0x1.e6b48769c5d19p-11, 0x1.d5b95ff454f2ep-11, 0x1.c54b1e789fbabp-11, 0x1.b565b797a6ff9p-11, 0x1.a605378f9d0ebp-11, 0x1.9725b67b2682cp-11, 0x1.88c374c614a7ep-11, 0x1.7adab422a5882p-11, 0x1.6d67e2feb299ap-11, 0x1.60677e92df27dp-11, 0x1.53d621eddbdaep-11, 0x1.47b078fdb6afcp-11, 0x1.3bf377d945accp-11, 0x1.309bfa17de2cbp-11, 0x1.25a6d60304e2ep-11, 0x1.1b1160009d616p-11, 0x1.10d85d163d4c2p-11, 0x1.06f9378b768cp-11, 0x1.fae230c528fc5p-12, 0x1.e87aa1e48371ap-12, 0x1.d6b68dc120f21p-12, 0x1.c590ec85e8efp-12, 0x1.b504e3b14ae87p-12, 0x1.a50dc01b8c7aap-12, 0x1.95a705de50a96p-12, 0x1.86cc3d916a847p-12, 0x1.78791ef7ca756p-12, 0x1.6aa9639a0c2ccp-12, 0x1.5d58cbf0ee6e4p-12, 0x1.5083441a075f7p-12, 0x1.4424c6235cc1p-12, 0x1.38398f759079cp-12, 0x1.2cbdd26c2a765p-12, 0x1.21ae10eb3cdcfp-12, 0x1.1706d97129addp-12, 0x1.0cc4d8e53d391p-12, 0x1.02e4ef5de6683p-12, 0x1.f2c7cfe22a768p-13, 0x1.e07d5c4d795cfp-13, 0x1.cee45d9e0ecd6p-13, 0x1.bdf6df7da2765p-13, 0x1.adaf2465a4a05p-13, 0x1.9e075966f191dp-13, 0x1.8efa269838611p-13, 0x1.808260d7ac0dp-13, 0x1.729b02f088cbep-13, 0x1.653f44ac7ac71p-13, 0x1.586a5a63fea6dp-13, 0x1.4c17d5f794958p-13, 0x1.4043498c68173p-13, 0x1.34e86d441b8f4p-13, 0x1.2a02f2454ea15p-13, 0x1.1f8ec329fb302p-13, 0x1.1587bf0b7f685p-13, 0x1.0bea14137fbacp-13, 0x1.02b1f2e6151d1p-13, 0x1.f3b7836a9ac4ap-14, 0x1.e2c80ba6e22bdp-14, 0x1.d28e40a352357p-14, 0x1.c303e78ead668p-14, 0x1.b42267ecb2657p-14, 0x1.a5e3f87b2815ep-14, 0x1.98427e972b09ep-14, 0x1.8b3833e2243edp-14, 0x1.7ebf8b00597cp-14, 0x1.72d30729257e6p-14, 0x1.676d7831b66fbp-14, 0x1.5c89e7c6aeecbp-14, 0x1.52233a22c5441p-14, 0x1.48348b850398ap-14, 0x1.3eb9e2ac30da3p-14, 0x1.35ac6931f2983p-14, 0x1.2d09c97a8a6a9p-14, 0x1.24cd48200ce68p-14, 0x1.1cf2a7ae745e9p-14, 0x1.15760eec33a84p-14, 0x1.0e53a40b0d88ap-14, 0x1.0787ba17c6aa9p-14, 0x1.010e6bb4147e5p-14, 0x1.f5cc93279d393p-15, 0x1.ea14b45ff7422p-15, 0x1.def00d47b4b05p-15, 0x1.d45852db9faa6p-15, 0x1.ca4724b9f16b8p-15, 0x1.c0b683b89976ep-15, 0x1.b79fa0bc2d673p-15, 0x1.aeff4ddf042fep-15, 0x1.a6cea692fec76p-15, 0x1.9f090ecf5bb09p-15, 0x1.97a90d49fa595p-15, 0x1.90a9dbbbed013p-15, 0x1.8a06f3f79a4d2p-15, 0x1.83bcd27d3b1c3p-15, 0x1.7dc877ee87787p-15, 0x1.7825b4810078dp-15, 0x1.72cfe9e53caf5p-15, 0x1.6dc35cadd2fap-15, 0x1.68fcc82e12fb3p-15, 0x1.64772314a0da8p-15, 0x1.603187644dfdep-15, 0x1.5c2755a5b0d72p-15, 0x1.5855606f4612bp-15, 0x1.54b886b97a57p-15, 0x1.514da09f5995fp-15, 0x1.4e11b8aa54bcbp-15, 0x1.4b0242fa5051dp-15, 0x1.481d08abaa00bp-15, 0x1.455ff6ffbe65fp-15, 0x1.42c8fa607713p-15, 0x1.4055aa30b7043p-15, 0x1.3e04319578146p-15, 0x1.3bd1e6f68e43dp-15, 0x1.39bd34c16a351p-15, 0x1.37c40742ec036p-15, 0x1.35e4ab2ab7427p-15, 0x1.341d7027c587fp-15, 0x1.326c4290a2d55p-15, 0x1.30cfe5a5182bbp-15, 0x1.2f4608d5eba55p-15, 0x1.2dcd7e6a9f7c4p-15, 0x1.2c64f33bcca0dp-15, 0x1.2b0b45765fb83p-15, 0x1.29bf076818356p-15, 0x1.287f21aa135f6p-15, 0x1.274a98820c639p-15, 0x1.26213403225e1p-15, 0x1.24ff5a831660ap-15, 0x1.23e657aeb41f6p-15, 0x1.22d4bdf2c199ep-15, 0x1.21ca928493ac1p-15, 0x1.20c3bd51ca3bcp-15, 0x1.1fc31dc6253bfp-15, 0x1.1ec6444564b9dp-15, 0x1.1dcc248224d6cp-15, 0x1.1cd439aa6c748p-15, 0x1.1bde4c7397f61p-15, 0x1.1aea3b074681p-15, 0x1.19f6404410a41p-15, 0x1.190232d39a94fp-15, 0x1.180da19bf0b5bp-15, 0x1.1717fc9acfd48p-15, 0x1.16217c39e167dp-15, 0x1.1528f1e30359fp-15, 0x1.142e72cdbda43p-15, 0x1.13315e29b148cp-15, 0x1.12316662375eap-15, 0x1.112e36fd86bc3p-15, 0x1.1028146046d6p-15, 0x1.0f1e555278ddbp-15, 0x1.0e0f6333d7dfbp-15, 0x1.0cfde01ccd7cap-15, 0x1.0be723e22a6d9p-15, 0x1.0acbf2287d3c2p-15, 0x1.09ac4bf1d3f31p-15, 0x1.0887952017252p-15, 0x1.075dc6f6ecfe4p-15, 0x1.062ecbdf2577bp-15, 0x1.04fa5817fb08cp-15, 0x1.03c0b8e8c59fcp-15, 0x1.0281bcf86325bp-15, 0x1.013d86905c4ccp-15, 0x1.ffe6f91cc1b5fp-16, 0x1.fd4843f6419bfp-16, 0x1.fa9dc2d118748p-16, 0x1.f7e865c7aece4p-16, 0x1.f529d92d26b38p-16, 0x1.f25c48f60dec5p-16, 0x1.ef859e1fe8a68p-16, 0x1.eca3b9b62e028p-16, 0x1.e9b71b77e9238p-16, 0x1.e6bf52a83ebfep-16, 0x1.e3bcbf817644ap-16, 0x1.e0af9ccdd9217p-16, 0x1.dd96e5dcfbfap-16, 0x1.da73c03c3bbdfp-16, 0x1.d7477c238590cp-16, 0x1.d410940caf1f2p-16, 0x1.d0cf381dd1b77p-16, 0x1.cd83eb19cabc1p-16, 0x1.ca2f5100037fp-16, 0x1.c6d18cc79a417p-16, 0x1.c369f4cbd5ccap-16, 0x1.bff9059af6606p-16, 0x1.bc7fa6e5045dcp-16, 0x1.b8fd3d59a2844p-16, 0x1.b57300d201befp-16, 0x1.b1e048ec875b1p-16, 0x1.ae4830032e7c8p-16, 0x1.aaa30b829e0f3p-16, 0x1.a6f90a1f8aa74p-16, 0x1.a347d7176356dp-16, 0x1.9f8fa6e666bc6p-16, 0x1.9bd08d6280a9cp-16, 0x1.980b5bfa21721p-16, 0x1.943f52212486ap-16, 0x1.906e0b5f639b1p-16, 0x1.8c96d3d52b076p-16, 0x1.88b921017f0a5p-16, 0x1.84d70e0b54d32p-16, 0x1.80efd7624e893p-16, 0x1.7d0436646a60dp-16, 0x1.7913df66a1a07p-16, 0x1.751f56802cfccp-16, 0x1.7126e54c8de2ep-16, 0x1.6d2a9335e9c0cp-16, 0x1.692aeb9bc45b2p-16, 0x1.6527aa88dc1dp-16, 0x1.6122aacd9aba3p-16, 0x1.5d19f4ac39e3p-16, 0x1.590ea7400db4cp-16, 0x1.5501d5ae25129p-16, 0x1.50f313b3889afp-16, 0x1.4ce23b5299183p-16, 0x1.48cd6d6d929acp-16, 0x1.44bc02f38694bp-16, 0x1.40a790e05c39bp-16, 0x1.3c91be1e5302cp-16, 0x1.387c8322920ccp-16, 0x1.34663b7ddb151p-16, 0x1.304ff04384c16p-16, 0x1.2c39d888db0c4p-16, 0x1.282443f7b791dp-16, 0x1.240e54390ec87p-16, 0x1.1ff96a9df59e5p-16, 0x1.1be5ea40060a5p-16, 0x1.17d3a0e07968fp-16, 0x1.13c2a3ea76b4p-16, 0x1.0fb2f8c86cce2p-16, 0x1.0ba4f815da38ep-16, 0x1.079915471dacap-16, 0x1.038edad8fdeb5p-16, 0x1.ff0e8824e9fa8p-17, 0x1.f70459bd2d94ap-17, 0x1.eeff4b77f15fbp-17, 0x1.e700d3734afcp-17, 0x1.df07c037ce1bap-17, 0x1.d7141e7a7979dp-17, 0x1.cf275c3944c58p-17, 0x1.c741ad322b488p-17, 0x1.bf641c853a8acp-17, 0x1.b78d9d2375d37p-17, 0x1.afbe4ec0c2e3dp-17, 0x1.a7f82595e6f76p-17, 0x1.a038e4994c12p-17, 0x1.9880018fc2916p-17, 0x1.90d61b8a8f6c2p-17, 0x1.8932d510c38e8p-17, 0x1.81987fc9acb25p-17, 0x1.7a08150cbf155p-17, 0x1.72805a128c351p-17, 0x1.6b03ac5071984p-17, 0x1.63918f94aa3d2p-17, 0x1.5c29dece99963p-17, 0x1.54cd5d5f50ed3p-17, 0x1.4d7af383fc6d5p-17, 0x1.4634c609bec1bp-17, 0x1.3ef87cf5e2631p-17, 0x1.37c85260a6ca6p-17, 0x1.30a430a0d5033p-17, 0x1.298c8bff07c69p-17, 0x1.227f9392a3859p-17, 0x1.1b7f6f9602fcep-17, 0x1.148ba89a93524p-17, 0x1.0da3c15559a82p-17, 0x1.06ca17e5bb599p-17, 0x1.fff71923ef41ep-18, 0x1.f274e6a992d31p-18, 0x1.e50c8e0de557cp-18, 0x1.d7c1ba8470c6bp-18, 0x1.ca8d20ad8b5b9p-18, 0x1.bd7375e36ab52p-18, 0x1.b0766540f487cp-18, 0x1.a3927c4f39891p-18, 0x1.96cb18e4104bp-18, 0x1.8a217cbba0c36p-18, 0x1.7d92717638de1p-18, 0x1.711d8d515912cp-18, 0x1.64c2f7ab07fa4p-18, 0x1.588550ff7e112p-18, 0x1.4c66a9020f88fp-18, 0x1.4062cda626aa4p-18, 0x1.347aef220f456p-18, 0x1.28afdd0cebb8bp-18, 0x1.1d00f8b9321f9p-18, 0x1.116e187ec94e1p-18, 0x1.05f8c708952p-18, 0x1.f5417b2026617p-19, 0x1.deca9115512b7p-19, 0x1.c88bb8ca2c701p-19, 0x1.b286f6495eb12p-19, 0x1.9cbd3e43cc268p-19, 0x1.872d537f07b5p-19, 0x1.71d6d3cdb8a6cp-19, 0x1.5cbb188bddb3fp-19, 0x1.47dfeaeb1718ap-19, 0x1.332e24698358cp-19, 0x1.1ebfe5a055917p-19, 0x1.0a8e1385343dcp-19, 0x1.ed241499b9739p-20, 0x1.c59490e101d9p-20, 0x1.9e92033b1d717p-20, 0x1.77f559c6d05bbp-20, 0x1.51d1295b177d5p-20, 0x1.2c1d75a901736p-20, 0x1.06d7a65b47b33p-20, 0x1.c406c53414127p-21, 0x1.7b4fd9820ad7p-21, 0x1.337624eb855fep-21, 0x1.d92752e20b81ep-22, 0x1.4cedfcf62a313p-22, 0x1.850c8a37fcdb9p-23, 0x1.cf249bd326c22p-25, -0x1.33de98ec3b3d2p-24, -0x1.a43def3a51d2fp-23, -0x1.557b83b726017p-22, -0x1.d719d61f7c698p-22, -0x1.2b897baa87b28p-21, -0x1.6aa71eead7a66p-21, -0x1.a8ed9c88a9bacp-21, -0x1.e64aa4ed22fc9p-21, -0x1.116c25bde93e1p-20, -0x1.2f47b0f22419bp-20, -0x1.4cbd8387fe52ep-20, -0x1.69b95e016184bp-20, -0x1.8653047193c9p-20, -0x1.a280d10675758p-20, -0x1.be4d8a46dcc2p-20, -0x1.d9b08ceaeb7a3p-20, -0x1.f4a6f8ad06632p-20, -0x1.0797d83710d6fp-19, -0x1.14aba6a694c1bp-19, -0x1.218dd4f4c82d1p-19, -0x1.2e3b351ea6028p-19, -0x1.3ab6a4c47f5a3p-19, -0x1.47026227f6f77p-19, -0x1.531b2aa439759p-19, -0x1.5f01a62411dfbp-19, -0x1.6ab4ef4b211fp-19, -0x1.7638340ca2b91p-19, -0x1.818e2c96f0842p-19, -0x1.8cb42813459b4p-19, -0x1.97a7b8aeeb3bap-19, -0x1.a26be63b22075p-19, -0x1.ad005ca1070fp-19, -0x1.b7693912d83eep-19, -0x1.c1a1278ed3c01p-19, -0x1.cbae26b4f67eap-19, -0x1.d58afea8b61e9p-19, -0x1.df3a954bea528p-19, -0x1.e8bddc85de552p-19, -0x1.f2168625bc1ddp-19, -0x1.fb410391d74c5p-19, -0x1.0220a07aa09ccp-18, -0x1.0689a1cab01a8p-18, -0x1.0add8fd0d9e31p-18, -0x1.0f1cdd0bfa51fp-18, -0x1.134579ddfcb18p-18, -0x1.175b16666995ap-18, -0x1.1b5c7002bdf6ap-18, -0x1.1f4897a12f567p-18, -0x1.23197a807e9b3p-18, -0x1.26e146d64c08bp-18, -0x1.2a9071e481f33p-18, -0x1.2e2b67d8c70ebp-18, -0x1.31b4b9afc07f6p-18, -0x1.3527d5fdccc53p-18, -0x1.3888ed4d087f5p-18, -0x1.3bd60b507a70fp-18, -0x1.3f115505fd932p-18, -0x1.4238a381bf52ep-18, -0x1.4550255caaa4p-18, -0x1.485412bddf7b5p-18, -0x1.4b4534c3d1aebp-18, -0x1.4e236c41a012dp-18, -0x1.50f18069c07ebp-18, -0x1.53ad4fbecd528p-18, -0x1.56597b24b4ceap-18, -0x1.58f3175c7042dp-18, -0x1.5b7ba1cbb1fe8p-18, -0x1.5df30c7b298cp-18, -0x1.605a326700137p-18, -0x1.62b11058bc6d6p-18, -0x1.64f7655e430c1p-18, -0x1.672de7a2529f5p-18, -0x1.69553f33f3c19p-18, -0x1.6b6c5379947p-18, -0x1.6d76fd32f3d86p-18, -0x1.6f69cc3913089p-18, -0x1.71534b3b5bb7ep-18, -0x1.732cfe6bb8f32p-18, -0x1.74f94a7d7876p-18, -0x1.76b5a42c50b58p-18, -0x1.786220ec37edap-18, -0x1.7a0146caa4ae4p-18, -0x1.7b93fde09fdabp-18, -0x1.7d17cddcf969p-18, -0x1.7e9004fcd670fp-18, -0x1.7ff4d07f6cc09p-18, -0x1.814f336b2bcbfp-18, -0x1.829d2bea96a0dp-18, -0x1.83dd3e97a8b0bp-18, -0x1.8511474bc2f52p-18, -0x1.86375d56f140bp-18, -0x1.8751ceceb0043p-18, -0x1.885f5ca24e5e4p-18, -0x1.895feaca4cf4fp-18, -0x1.8a51bdc9f242dp-18, -0x1.8b3f32bab40c7p-18, -0x1.8c19fe4f54b12p-18, -0x1.8cee8c66620b8p-18, -0x1.8db4ef6bb16a7p-18, -0x1.8e6fa74a46af3p-18, -0x1.8f2052d7b134dp-18, -0x1.8fc5893c64798p-18, -0x1.905f7d8a5edbcp-18, -0x1.90ef0bc874973p-18, -0x1.9173575281068p-18, -0x1.91edc368c9918p-18, -0x1.925ef99ad4a1bp-18, -0x1.92c5076d64564p-18, -0x1.93207c3217c68p-18, -0x1.9372b8a5157bfp-18, -0x1.93bb72b72f3f8p-18, -0x1.93fae6463bb7ap-18, -0x1.942fa24a10b6dp-18, -0x1.945dc9ecb8197p-18, -0x1.94818d5245b4cp-18, -0x1.949af41c7babbp-18, -0x1.94acc4882849dp-18, -0x1.94b607b96ed78p-18, -0x1.94b6be4b4d1ffp-18, -0x1.94af0021f6f4ep-18, -0x1.949dc879c6b8dp-18, -0x1.948607a87525fp-18, -0x1.9464e32360bd2p-18, -0x1.943d7713fd5fp-18, -0x1.940d6b191ed2bp-18, -0x1.93d59269fea52p-18, -0x1.939674f7aae84p-18, -0x1.934e0e860569bp-18, -0x1.93013f62ca2d6p-18, -0x1.92ac6ff42a8c4p-18, -0x1.924fe56c91e2p-18, -0x1.91edd0327888ap-18, -0x1.9183e392550aep-18, -0x1.91165203824dp-18, -0x1.909740cb80b61p-18, -0x1.901ed3656c5f8p-18, -0x1.8f9bc43d9c333p-18, -0x1.8f111b6be1f3bp-18, -0x1.8e807a32f8da8p-18, -0x1.8deab43fbe34bp-18, -0x1.8d4ea1f40200cp-18, -0x1.8cad279d40426p-18, -0x1.8c06150846f9p-18, -0x1.8b59dc41627bbp-18, -0x1.8aa6ccb4f48efp-18, -0x1.89ee4d7317e7cp-18, -0x1.8931d3fa7e3ddp-18, -0x1.886fb050a7393p-18, -0x1.87a88cac3017ap-18, -0x1.86dc92106fd4p-18, -0x1.860a94fe1d1c2p-18, -0x1.85357b2ae20d4p-18, -0x1.845aa28e35132p-18, -0x1.837c56173bce7p-18, -0x1.8298e49aba55dp-18, -0x1.81b0d35d11cdep-18, -0x1.80c452ad83346p-18, -0x1.7fd4896654ba4p-18, -0x1.7ee005eabe12fp-18, -0x1.7de6b576847b3p-18, -0x1.7cea84809bf95p-18, -0x1.7beab1ef8845dp-18, -0x1.7ae99bbdd7b14p-18, -0x1.79df7eff775d3p-18, -0x1.78d41e1c7f80fp-18, -0x1.77c4925ed40d5p-18, -0x1.76b29cc72b178p-18, -0x1.759cabaadc0fbp-18, -0x1.748513416689bp-18, -0x1.73682b67db5f1p-18, -0x1.7249291546afdp-18, -0x1.712636f47d3c1p-18, -0x1.7001218de1994p-18, -0x1.6eda4bbc84b51p-18, -0x1.6daf822b84165p-18, -0x1.6c8192d787f0fp-18, -0x1.6b50292b913a3p-18, -0x1.6a1dae3c4750dp-18, -0x1.68e85862f82a4p-18, -0x1.67b1625a66407p-18, -0x1.6676b3cb12ea6p-18, -0x1.653a23186e881p-18, -0x1.63fb4ea03dd88p-18, -0x1.62ba4267012c3p-18, -0x1.6177054899df4p-18, -0x1.6031821fcd156p-18, -0x1.5eeacb1adb94p-18, -0x1.5da143a0aa245p-18, -0x1.5c5667191402cp-18, -0x1.5b0930c5a44fep-18, -0x1.59bacc08ef5b6p-18, -0x1.586a986881ce6p-18, -0x1.5718a60ba009dp-18, -0x1.55c5490e86a8ap-18, -0x1.547035b968d3p-18, -0x1.531944b731edep-18, -0x1.51c1597189feap-18, -0x1.5067d872da26cp-18, -0x1.4f0d50ea93ae9p-18, -0x1.4db17f0965a5bp-18, -0x1.4c54490472609p-18, -0x1.4af67e413ac2p-18, -0x1.4996593c93f18p-18, -0x1.4836356014181p-18, -0x1.46d463bf7dafbp-18, -0x1.457290b008468p-18, -0x1.440f2a3f2813fp-18, -0x1.42aa5e70ba47dp-18, -0x1.41461c4b61535p-18, -0x1.3fdf5bb2b1747p-18, -0x1.3e792280fbf22p-18, -0x1.3d11985bff54fp-18, -0x1.3baa2a585253cp-18, -0x1.3a42023e037f6p-18, -0x1.38d8abeb26903p-18, -0x1.376f04832ef49p-18, -0x1.3604f2c7d1b82p-18, -0x1.349a73a5e2966p-18, -0x1.3332cc06f073bp-18, -0x1.31c42c330f737p-18, -0x1.3058acb4e9a66p-18, -0x1.2eecbc8e05cbep-18, -0x1.2d803074db006p-18, -0x1.2c143a2cdd7a8p-18, -0x1.2aa7fc0eacb0bp-18, -0x1.293b2d21c8ea9p-18, -0x1.27cdbf1dba571p-18, -0x1.26617383a3c0ep-18, -0x1.24f436b139cd9p-18, -0x1.2387299a8d79ep-18, -0x1.221adaabba1a4p-18, -0x1.20ae00f9f2d5fp-18, -0x1.1f40ee22e0a87p-18, -0x1.1dd41045ef6acp-18, -0x1.1c67aa96d6534p-18, -0x1.1afbc1e951356p-18, -0x1.198f9cc3e089bp-18, -0x1.18231d9ba266bp-18, -0x1.16b79e8805d2ap-18, -0x1.154c903e55722p-18, -0x1.13e19a38bee92p-18, -0x1.127656dbf4a5cp-18, -0x1.110bfee062ddep-18, -0x1.0fa24ac0852e5p-18, -0x1.0e38dd53f1cbbp-18, -0x1.0ccf8f8cf1e01p-18, -0x1.0b674843b6736p-18, -0x1.09fec1ec32fbap-18, -0x1.08972ec3674efp-18, -0x1.07301e8ddfe5bp-18, -0x1.05c9d7c11efc1p-18, -0x1.0463555fe560bp-18, -0x1.02ff69eee899p-18, -0x1.01980c4844fd3p-18, -0x1.003550d3a973bp-18, -0x1.fda2ba93daf81p-19, -0x1.fade3f5099795p-19, -0x1.f819a96146c1dp-19, -0x1.f556aa673af62p-19, -0x1.f2954de49df89p-19, -0x1.efd4baed5e7e2p-19, -0x1.ed1567acb2515p-19, -0x1.ea59dcd6dcf2fp-19, -0x1.e79ede86e8e46p-19, -0x1.e4e60063bc7ebp-19, -0x1.e22e8bffbdf39p-19, -0x1.df77169cdca9ap-19, -0x1.dcc2ec57a6b4ap-19, -0x1.da10aaf18f79p-19, -0x1.d760036ff7a8p-19, -0x1.d4b162a88beb9p-19, -0x1.d20495269624fp-19, -0x1.cf5881640b00ep-19, -0x1.ccae960b42d3fp-19, -0x1.ca074b4ea5634p-19, -0x1.c7624d6ca4baap-19, -0x1.c4bef724ceac7p-19, -0x1.c21dcb21322b7p-19, -0x1.bf7e18d14bf2ep-19, -0x1.bce0ceffc542cp-19, -0x1.ba45b5efed0b1p-19, -0x1.b7ac753c5d1b7p-19, -0x1.b515f4615b72ep-19, -0x1.b2805bce81b23p-19, -0x1.afee0e5e7a37bp-19, -0x1.ad5d83db55d93p-19, -0x1.aacee97686b01p-19, -0x1.a844267034b25p-19, -0x1.a5b923864c43cp-19, -0x1.a330befe0ba01p-19, -0x1.a0ac359872d05p-19, -0x1.9e2949457e888p-19, -0x1.9ba83b32b722bp-19, -0x1.99290884436aep-19, -0x1.96aca326c3aaep-19, -0x1.9433c8f411f7bp-19, -0x1.91bc82ec9088p-19, -0x1.8f46f60b688c1p-19, -0x1.8cd820ab88e11p-19, -0x1.8a642796e18f9p-19, -0x1.87f7bbcd7509ap-19, -0x1.8587c6f35b536p-19, -0x1.8321c3757a902p-19, -0x1.80bb55f88044cp-19, -0x1.7e57ebca7a7c1p-19, -0x1.7bf683b38b63cp-19, -0x1.7996d0f03cd88p-19, -0x1.773a7fc66859dp-19, -0x1.74e17f53a395fp-19, -0x1.72895ff02a7p-19, -0x1.7032e1b7a35bcp-19, -0x1.6de11f850cccap-19, -0x1.6b916431f89dcp-19, -0x1.6944114b3df96p-19, -0x1.66f91edb96f5dp-19, -0x1.64b13def0dc02p-19, -0x1.626abd8d0f5bdp-19, -0x1.6024bf0a19a31p-19, -0x1.5de777717815p-19, -0x1.5ba94b63f95dfp-19, -0x1.596d29f3c974cp-19, -0x1.5734762367fedp-19, -0x1.54fe521bb97f4p-19, -0x1.52ca9243392f9p-19, -0x1.509db5d3b5d61p-19, -0x1.4e6a7073c5b19p-19, -0x1.4c3ebbe3d1dedp-19, -0x1.4a151ab95202p-19, -0x1.47ec806005f3fp-19, -0x1.45cabd3a20da9p-19, -0x1.43a89329fffd2p-19, -0x1.418a732c14448p-19, -0x1.3f6d726b08eadp-19, -0x1.3d53e5a8ce9c5p-19, -0x1.3b3ca4f36a5f3p-19, -0x1.3928cebfdc2fcp-19, -0x1.3716a61c05cfdp-19, -0x1.35079f6cc97a3p-19, -0x1.32fb152d00092p-19, -0x1.30f148481056ep-19, -0x1.2ee8ce168292cp-19, -0x1.2ce4262a9158bp-19, -0x1.2ae29e6fb9be9p-19, -0x1.28e3606a5e88cp-19, -0x1.26e7c1f0c3e16p-19, -0x1.24eb4c8ce4b68p-19, -0x1.22f42d39cd245p-19, -0x1.20feb76dfb478p-19, -0x1.1f0c13be3cd32p-19, -0x1.1d1bd320daeb2p-19, -0x1.1b2f48c34b287p-19, -0x1.194416b6446a2p-19, -0x1.175ba241fc045p-19, -0x1.157687dd7de5cp-19, -0x1.13936b06ddba4p-19, -0x1.11b2dc349881fp-19, -0x1.0fd47e4ef2dd7p-19, -0x1.0dfa0b8b4d117p-19, -0x1.0c20c172cae27p-19, -0x1.0a4a95a24421ep-19, -0x1.08770b7d80334p-19, -0x1.06a69650043bdp-19, -0x1.04d978fa53823p-19, -0x1.030bbace57eaap-19, -0x1.01419417b613dp-19, -0x1.fef5edaf02c3dp-20, -0x1.fb6d956a59ac6p-20, -0x1.f7ecd9a53914dp-20, -0x1.f46c82290f1a1p-20, -0x1.f0f180259b2bep-20, -0x1.ed7b83853453p-20, -0x1.ea0c3cb2821b9p-20, -0x1.e6a2aa5c4c541p-20, -0x1.e33ccca8cb348p-20, -0x1.dfd9890a2faeap-20, -0x1.dc7fb680973ecp-20, -0x1.d928d969d5107p-20, -0x1.d5d6a79cb2391p-20, -0x1.d28a7001e371bp-20, -0x1.cf424ff0432d3p-20, -0x1.cbfd40e3240dfp-20, -0x1.c8beb794bf113p-20, -0x1.c5865331b0a0ep-20, -0x1.c251ab8777e5ap-20, -0x1.bf212ac38e9d4p-20, -0x1.bbf5c3c0c7a9cp-20, -0x1.b8d324aaa4c3cp-20, -0x1.b5b0dd2510fc4p-20, -0x1.b290fa186d5d6p-20, -0x1.af79839a91e4dp-20, -0x1.ac65571b6abfep-20, -0x1.a9569ed98cdf7p-20, -0x1.a64bef2efb16dp-20, -0x1.a347dbee82297p-20, -0x1.a04708f45129p-20, -0x1.9d4ab6409f622p-20, -0x1.9a533c2042fcap-20, -0x1.97606b8e59d7ap-20, -0x1.947227091eafap-20, -0x1.91887ac3dc1c5p-20, -0x1.8ea41bdb5e1c7p-20, -0x1.8bc30fca77949p-20, -0x1.88e1cc90688afp-20, -0x1.860ec3ac3d755p-20, -0x1.833cce5bf007bp-20, -0x1.806eca1af9e0ep-20, -0x1.7da48363fba68p-20, -0x1.7ade313084ap-20, -0x1.781cbd326bd58p-20, -0x1.75603ad98b48bp-20, -0x1.72a7e08cec376p-20, -0x1.6ff3d61f399b3p-20, -0x1.6d43f8a2e7bbfp-20, -0x1.6a98ca74445bbp-20, -0x1.67f19c2035751p-20, -0x1.654f2c18f75d9p-20, -0x1.62b0fc1d21f22p-20, -0x1.6015583bdb314p-20, -0x1.5d8000052c336p-20, -0x1.5aee68b247db3p-20, -0x1.5860e1f2c3016p-20, -0x1.55d75da54d54fp-20, -0x1.5350e385eff48p-20, -0x1.50d24222753a3p-20, -0x1.4e55608e8a146p-20, -0x1.4bdb521e850edp-20, -0x1.496697fb3fbfap-20, -0x1.46f5f2b3f366ep-20, -0x1.44894e09f7db3p-20, -0x1.4220b00066e1fp-20, -0x1.3fbca68012feep-20, -0x1.3d5c9847831f1p-20, -0x1.3aff26e27b0c9p-20, -0x1.38a692b159d77p-20, -0x1.36520f9580262p-20, -0x1.34007a0215602p-20, -0x1.31b3c49dcb13p-20, -0x1.2f6b048997f9fp-20, -0x1.2d270a19ffaa3p-20, -0x1.2ae4dc8337ac8p-20, -0x1.28a77c5ba87c7p-20, -0x1.266c9b4ef6e05p-20, -0x1.2437c46861ccp-20, -0x1.22066d4b3b935p-20, -0x1.1fd8200caf6f1p-20, -0x1.1dad5b39ea429p-20, -0x1.1b85a780b9e78p-20, -0x1.196244424c8c9p-20, -0x1.17432b132f3b5p-20, -0x1.1527d4ef86873p-20, -0x1.130fb55a47288p-20, -0x1.10fa82c5caf27p-20, -0x1.0ee9b4b8089d3p-20, -0x1.0cdc2089e3a58p-20, -0x1.0ad2df916e90cp-20, -0x1.08cc4cf2d74bfp-20, -0x1.06c96cc8e1c38p-20, -0x1.04ca2e09f53aep-20, -0x1.02ce7899cc683p-20, -0x1.00d620d2d1d79p-20, -0x1.fdc27321960bp-21, -0x1.f9df875dcf6dp-21, -0x1.f60429d69d5bdp-21, -0x1.f22eca1e7844p-21, -0x1.ee608091b3a2dp-21, -0x1.eaa01f8845f36p-21, -0x1.e6d76f86f71e1p-21, -0x1.e31daebb0e5a9p-21, -0x1.df680899f8d22p-21, -0x1.dbbb6dd761957p-21, -0x1.d815254dcc1f8p-21, -0x1.d475149fb3349p-21, -0x1.d0da6ad5cd34cp-21, -0x1.cd47620fa117ep-21, -0x1.c9bafc639ca2ep-21, -0x1.c633dbf382d3ep-21, -0x1.c2b3e2e6d4c26p-21, -0x1.bf393db6e8ef6p-21, -0x1.bbc5a8eed0728p-21, -0x1.b8582fbfed1adp-21, -0x1.b4f0ee2dad842p-21, -0x1.b18fd9b77dc28p-21, -0x1.ae342214c0806p-21, -0x1.aadf3b193c7ebp-21, -0x1.a79021b8bf43dp-21, -0x1.a44772c2d1589p-21, -0x1.a103f9c7065e6p-21, -0x1.9dc5ca7bdf246p-21, -0x1.9a8ff2f6b2ba5p-21, -0x1.975eb0c8f1fdcp-21, -0x1.94329f5ce75a2p-21, -0x1.910bd6a9efe82p-21, -0x1.8dec1d798fdcfp-21, -0x1.8ad20d51cb225p-21, -0x1.87bd79fbd48b3p-21, -0x1.84ae4872cbd5cp-21, -0x1.81a4c2cebad8ap-21, -0x1.7ea0b6928980ep-21, -0x1.7ba23f3114b67p-21, -0x1.78a98c23fd8e5p-21, -0x1.75b66b6b425a8p-21, -0x1.72c7956f4281cp-21, -0x1.6fdfe2e2cdb0ep-21, -0x1.6cfbb9b09d083p-21, -0x1.6a2073ebaae54p-21, -0x1.674c0de8da9efp-21, -0x1.6473002d47d08p-21, -0x1.61a5632bfa815p-21, -0x1.5edcd674b21a2p-21, -0x1.5c19d579f542ep-21, -0x1.595a5eec28916p-21, -0x1.56a177687c419p-21, -0x1.53ed574b94d83p-21, -0x1.513e2f9433c0bp-21, -0x1.4e934e7ed46fcp-21, -0x1.4befa44ae46e8p-21, -0x1.494eef918feefp-21, -0x1.46b453ab2fddbp-21, -0x1.441ce08f1c86ap-21, -0x1.4184bda490b17p-21, -0x1.3eff17e46a9d8p-21, -0x1.3c772225d4cadp-21, -0x1.39f467659067cp-21, -0x1.3776e9256c16ep-21, -0x1.34fc61e91eda1p-21, -0x1.3286dddd70537p-21, -0x1.30177864df704p-21, -0x1.2dababb35e32bp-21, -0x1.2b44a459697ccp-21, -0x1.28e19867f6876p-21, -0x1.2683c2a204257p-21, -0x1.2429f6ac04e54p-21, -0x1.21d50aad2a267p-21, -0x1.1f848e8ffe5e5p-21, -0x1.1d39468d2e43bp-21, -0x1.1af0cadeb8b8ap-21, -0x1.18ad7875e5496p-21, -0x1.166e840293721p-21, -0x1.143372afc5467p-21, -0x1.11fbee42d99b9p-21, -0x1.0fca4b930b34cp-21, -0x1.0d9d6a730d19bp-21, -0x1.0b72fa1290b61p-21, -0x1.094d86f9cf091p-21, -0x1.072b10c79c03p-21, -0x1.050e13e4e9b6fp-21, -0x1.02f9dcc6af391p-21, -0x1.00df4dbadd72ap-21, -0x1.fd9c1a11bb3f8p-22, -0x1.f9817e39bea44p-22, -0x1.f56eca27e4a32p-22, -0x1.f163e0e77eb26p-22, -0x1.ed60ffc242be3p-22, -0x1.e96618c4581fcp-22, -0x1.e571d9217ff9ep-22, -0x1.e1859aa12ad7ep-22, -0x1.dda25495615aap-22, -0x1.d9c5d8f3ba18dp-22, -0x1.d5f0319d9b71fp-22, -0x1.d2213db69d317p-22, -0x1.ce5c46d5e9c5ap-22, -0x1.ca9e66ef1af3bp-22, -0x1.c6e6d637e8849p-22, -0x1.c334ee7d3094bp-22, -0x1.bf8a813a22936p-22, -0x1.bbebc1202266cp-22, -0x1.b84fb641d1957p-22, -0x1.b4bbb8f71027fp-22, -0x1.b12eba7e94e8bp-22, -0x1.ada927858fa0ap-22, -0x1.aa2a7be6ec2e5p-22, -0x1.a6b25e643719p-22, -0x1.a340fec0a6954p-22, -0x1.9fd68e67369bp-22, -0x1.9c736cf4e7dcdp-22, -0x1.991603a1e39aap-22, -0x1.95bfa53bf4d68p-22, -0x1.926fda5f41f63p-22, -0x1.8f264c340c10ep-22, }}, 
      std::vector<double>(1199, 0.0), 
      {{0x1.3d9b63c7840dap-6, 0x1.8b0b9445923f6p-7, -0x1.37bdecbfa6827p-7, -0x1.6fab6cfd75a6fp-5, -0x1.7ae5659b58c5p-4, -0x1.33b70d2aec7f6p-3, -0x1.b9ddd5bd210ccp-3, -0x1.2582c3ef75e3cp-2, -0x1.7147bfd39854dp-2, -0x1.be25ca2d3cfbbp-2, -0x1.0523a0a0b5ccap-1, -0x1.2a0e805543f01p-1, -0x1.4d2ed9c7dea9bp-1, -0x1.6e01167947bcbp-1, -0x1.8c20001af683ap-1, -0x1.a7419baf1953bp-1, -0x1.bf33dc2b8e8bap-1, -0x1.d3d960f3ffd93p-1, -0x1.e5265d203a248p-1, -0x1.f31dbbdaaa21dp-1, -0x1.fdce89b81cc14p-1, -0x1.02a8d33dee5bp+0, -0x1.04e3dea8c08d1p+0, -0x1.05abbf987e563p+0, -0x1.05160ce4ba5e4p+0, -0x1.0339f2aaccb88p+0, -0x1.002fa1e2da48cp+0, -0x1.f81fac5b8ced6p-1, -0x1.ede6deefd9e16p-1, -0x1.e1e63a616d5a4p-1, -0x1.d44e31e9dacbp-1, -0x1.c54ddd6992fa1p-1, -0x1.b512a138f8dfep-1, -0x1.a3c7ea4ff1f69p-1, -0x1.9196fc048c519p-1, -0x1.7ea6ccd921e9p-1, -0x1.6b1bf022ab70ep-1, -0x1.57188a8e14329p-1, -0x1.42bc4fae4f956p-1, -0x1.2e24872341209p-1, -0x1.196c17ea84374p-1, -0x1.04ab989be82b6p-1, -0x1.dff2c6f113992p-2, -0x1.b6d35b128e43p-2, -0x1.8e1d400cdaf8fp-2, -0x1.65f0e6158e1efp-2, -0x1.3e6b12a8cab44p-2, -0x1.17a519204d645p-2, -0x1.e36a25e7489c8p-3, -0x1.995c2f827bfbap-3, -0x1.5140e810a85bfp-3, -0x1.0b33bc9a6f92dp-3, -0x1.8e96aa0e777a4p-4, -0x1.0b33ec919572bp-4, -0x1.18b78149be56p-5, -0x1.2234e265845dp-8, 0x1.8d9bc98fede6fp-6, 0x1.a8753169aaba5p-5, 0x1.4054b70693e03p-4, 0x1.a7b74d55c597ep-4, 0x1.053462bd7841p-3, 0x1.3439bbdf4bae3p-3, 0x1.60f29bde8ea45p-3, 0x1.8b6774adc1968p-3, 0x1.b3a20ec965086p-3, 0x1.d9ad5b53a982ep-3, 0x1.fd9549ebe874cp-3, 0x1.0fb350edc5a83p-2, 0x1.1f976f5a12828p-2, 0x1.2e7e07ee8a72ep-2, 0x1.3c6e5d8b74385p-2, 0x1.496fe0e1c2c3fp-2, 0x1.558a244dfc3b6p-2, 0x1.60c4d0ebb30a2p-2, 0x1.6b279cb7b67c5p-2, 0x1.74ba41b499a7cp-2, 0x1.7d8475f880537p-2, 0x1.858de491778e5p-2, 0x1.8cde273ad943ep-2, 0x1.937cc0c61c925p-2, 0x1.9971184c54266p-2, 0x1.9ec274e887de6p-2, 0x1.a377fa1d96b89p-2, 0x1.a798a4c033fa4p-2, 0x1.ab2b4863be0e5p-2, 0x1.ae368d2ab99ffp-2, 0x1.b0c0edfd8d6fap-2, 0x1.b2d0b72f5ef5dp-2, 0x1.b46c055dbd87ap-2, 0x1.b598c4b0b914ep-2, 0x1.b65cb06b63b72p-2, 0x1.b6bd52b382a7ep-2, 0x1.b6c0049be41dfp-2, 0x1.b669ee6b53acdp-2, 0x1.b5c007fae795ep-2, 0x1.b4c71951ead01p-2, 0x1.b383bb447d136p-2, 0x1.b1fa583c31795p-2, 0x1.b02f2d07b3eaap-2, 0x1.ae2649d33b089p-2, 0x1.abe3931d2fdffp-2, 0x1.a96ac2d83ef7fp-2, 0x1.a6bf6971aaf8ep-2, 0x1.a3e4ef1f5454cp-2, 0x1.a0de950f1d053p-2, 0x1.9daf7690409d4p-2, 0x1.9a5a8a72f3fc1p-2, 0x1.96e2a4429aee7p-2, 0x1.934a756603f85p-2, 0x1.8f948e7ef046fp-2, 0x1.8bc3607ac2ce8p-2, 0x1.87d93dcf0c7e6p-2, 0x1.83d85ba17202ap-2, 0x1.7fc2d2e3f5c23p-2, 0x1.7b9aa174fc3dap-2, 0x1.7761ab317c713p-2, 0x1.7319bb1950271p-2, 0x1.6ec4845692051p-2, 0x1.6a63a32ddd972p-2, 0x1.65f89e1f60668p-2, 0x1.6184e6da82269p-2, 0x1.5d09db14bc098p-2, 0x1.5888c586f561ap-2, 0x1.5402dec7b5e65p-2, 0x1.4f794e1333324p-2, 0x1.4aed2a2d79164p-2, 0x1.465f7a0643871p-2, 0x1.41d1359530d11p-2, 0x1.3d43466e584c8p-2, 0x1.38b688892e8cfp-2, 0x1.342bcacd56d89p-2, 0x1.2fa3cfcae89b2p-2, 0x1.2b1f4e3899c56p-2, 0x1.269ef19bd85dep-2, 0x1.22235abddbac3p-2, 0x1.1dad204bcd02dp-2, 0x1.193ccf4401a59p-2, 0x1.14d2eb713b40bp-2, 0x1.106fefe9be04ep-2, 0x1.0c144f84ae58ep-2, 0x1.07c075246c093p-2, 0x1.0374c43fd78d5p-2, 0x1.fe63325dca01bp-3, 0x1.f5ee93272867ap-3, 0x1.ed8c493a9589cp-3, 0x1.e53ce6e92b1d2p-3, 0x1.dd00f2f1ab47fp-3, 0x1.d4d8e928d9f81p-3, 0x1.ccc53af9b6253p-3, 0x1.c4c64ffe9e012p-3, 0x1.bcdc864926b7ap-3, 0x1.b50833696b87fp-3, 0x1.ad49a4484c9f7p-3, 0x1.a5a11ddcc0f62p-3, 0x1.9e0edd8fe64a4p-3, 0x1.969319ac2a3efp-3, 0x1.8f2e01ac6d859p-3, 0x1.87dfbe8cfe7fap-3, 0x1.80a87343d80d3p-3, 0x1.79883cf40097p-3, 0x1.727f33479437cp-3, 0x1.6b8d68bf05cdap-3, 0x1.64b2eaecfc69p-3, 0x1.5defc2b394182p-3, 0x1.5743f49f19becp-3, 0x1.50af81001aec5p-3, 0x1.4a32644386f57p-3, 0x1.43cc971799797p-3, 0x1.3d7e0e92454bcp-3, 0x1.3746bc88b3b43p-3, 0x1.31268f9dd6db5p-3, 0x1.2b1d73829b87fp-3, 0x1.252b51080ad1ep-3, 0x1.1f500e6b17318p-3, 0x1.198b8f4f9e6d6p-3, 0x1.13ddb5115547dp-3, 0x1.0e465ecb2560ep-3, 0x1.08c569866f5bcp-3, 0x1.035ab0443d95ap-3, 0x1.fc0c18858d498p-4, 0x1.f18ea9e93a4b4p-4, 0x1.e73cc05ca729cp-4, 0x1.dd1604937167bp-4, 0x1.d31a1c4f55367p-4, 0x1.c948aab6f6a1fp-4, 0x1.bfa1507d43a5cp-4, 0x1.b623ac06cf49bp-4, 0x1.accf59a03b203p-4, 0x1.a3a3f38a97a05p-4, 0x1.9aa1123d4b0e2p-4, 0x1.91c64c9c4063ap-4, 0x1.891337eb02ab9p-4, 0x1.80876810a3d82p-4, 0x1.78226fc1f4586p-4, 0x1.6fe3e0642ae11p-4, 0x1.67cb4a95820afp-4, 0x1.5fd83dc02c839p-4, 0x1.580a48d2bca0cp-4, 0x1.5060f9d2332aap-4, 0x1.48dbde463b946p-4, 0x1.417a831f0086fp-4, 0x1.3a3c74f4c4ebep-4, 0x1.3321400b8ea52p-4, 0x1.2c287069b82d3p-4, 0x1.255191e57f5a9p-4, 0x1.1e9c3036a3215p-4, 0x1.1807d72d6ccdep-4, 0x1.1194129740b12p-4, 0x1.0b406e5b47d3bp-4, 0x1.050c76abdcf7p-4, 0x1.fdef6f7b1fd87p-5, 0x1.f2037cc294de7p-5, 0x1.e6542f10597ecp-5, 0x1.dae0a15894192p-5, 0x1.cfa7ef4cfbcd4p-5, 0x1.c4a935d25cep-5, 0x1.b9e392b57a02fp-5, 0x1.af56253b878c5p-5, 0x1.a5000d6eab449p-5, 0x1.9ae06d4559b9dp-5, 0x1.90f667ca9d904p-5, 0x1.8741218cb81cfp-5, 0x1.7dbfc0b9504dfp-5, 0x1.74716d23de20dp-5, 0x1.6b55502943c8bp-5, 0x1.626a94f028c35p-5, 0x1.59b06867c927p-5, 0x1.5125f960017dep-5, 0x1.48ca785a1e922p-5, 0x1.409d17e0dc93bp-5, 0x1.389d0c858b9c3p-5, 0x1.30c98cbabf7aap-5, 0x1.2921d0e510ad1p-5, 0x1.21a5137a8a56bp-5, 0x1.1a52912057427p-5, 0x1.1329889732725p-5, 0x1.0c293aa96ec45p-5, 0x1.0550ea47aad98p-5, 0x1.fd3fb92ad9cdfp-6, 0x1.f02ab1a44c3eap-6, 0x1.e361511e61c25p-6, 0x1.d6e22eef5c051p-6, 0x1.caabe70d9dfd7p-6, 0x1.bebd19efd24c2p-6, 0x1.b3146c5019722p-6, 0x1.a7b087492f036p-6, 0x1.9c9018f9390f3p-6, 0x1.91b1d391b4c45p-6, 0x1.87146debe4dc8p-6, 0x1.7cb6a3718ac8ep-6, 0x1.729734031b4adp-6, 0x1.68b4e4076db1dp-6, 0x1.5f0e7c5738f0bp-6, 0x1.55a2ca5e5d458p-6, 0x1.4c709fe44ef5dp-6, 0x1.4376d332c8d21p-6, 0x1.3ab43f300d205p-6, 0x1.3227c321d045p-6, 0x1.29d042c7150d5p-6, 0x1.21aca5d56a45fp-6, 0x1.19bbd8ef8fe6ap-6, 0x1.11fcccd3809c2p-6, 0x1.0a6e763fbf91ap-6, 0x1.030fceb063235p-6, 0x1.f7bfa805c228dp-7, 0x1.e9bb1096ec704p-7, 0x1.dc0fe34bec7bbp-7, 0x1.cebc34654d58dp-7, 0x1.c1be201f6b076p-7, 0x1.b513cb6d427adp-7, 0x1.a8bb626f611ccp-7, 0x1.9cb31aee4ba42p-7, 0x1.90f9322693324p-7, 0x1.858bef25080bap-7, 0x1.7a699f35a41b5p-7, 0x1.6f90975f0faa6p-7, 0x1.64ff31ff06ebbp-7, 0x1.5ab3d27590b8fp-7, 0x1.50ace2799c062p-7, 0x1.46e8d4c4ec5a4p-7, 0x1.3d6623b5a6debp-7, 0x1.3423539830c38p-7, 0x1.2b1eeed66489bp-7, 0x1.22578741e199ap-7, 0x1.19cbb30f7eef3p-7, 0x1.117a0e6f42fc3p-7, 0x1.09613aafc6201p-7, 0x1.017fdefd4d8a1p-7, 0x1.f3a9585c98a53p-8, 0x1.e4bcb6c182c64p-8, 0x1.d6375e6c8541bp-8, 0x1.c816e24199366p-8, 0x1.ba58e30067c48p-8, 0x1.acfb06b4dd17p-8, 0x1.9ffaf91a227c8p-8, 0x1.93566bd022a28p-8, 0x1.870b19dd1b754p-8, 0x1.7b16ca9336cdcp-8, 0x1.6f7759833fefp-8, 0x1.642ab6d1eb90bp-8, 0x1.592ee5a3ac34cp-8, 0x1.4e81f79536af7p-8, 0x1.442205570b159p-8, 0x1.3a0d290b9bae4p-8, 0x1.30417b90da7aap-8, 0x1.26bd16c62b716p-8, 0x1.1d7e194c07e9bp-8, 0x1.1482b00816c9bp-8, 0x1.0bc91b12c8833p-8, 0x1.034fb220920aap-8, 0x1.f629c831d7653p-9, 0x1.e62e5d9df75c8p-9, 0x1.d6aa2d87013f9p-9, 0x1.c79a401cd55eep-9, 0x1.b8fb8de0855d8p-9, 0x1.aacb04b6175bcp-9, 0x1.9d058a7b9f951p-9, 0x1.8fa81938e38e4p-9, 0x1.82afcb15b35f2p-9, 0x1.7619e97b437f1p-9, 0x1.69e3eda471197p-9, 0x1.5e0b7f422d9edp-9, 0x1.528e63457cfc5p-9, 0x1.476a625459fb1p-9, 0x1.3c9d370602c9p-9, 0x1.3224861341fcfp-9, 0x1.27fddf747f0f4p-9, 0x1.1e26ca0fff533p-9, 0x1.149cda0ed78d7p-9, 0x1.0b5dbfc32be7dp-9, 0x1.026753a9dfcd8p-9, 0x1.f36f3de69f247p-10, 0x1.e299b78525a7fp-10, 0x1.d24ac8b34cf02p-10, 0x1.c27f43c320a1ep-10, 0x1.b333e4a1d53b9p-10, 0x1.a46538bf4308cp-10, 0x1.960f990756406p-10, 0x1.882f475bac37bp-10, 0x1.7ac0791910025p-10, 0x1.6dbf7eac1fddcp-10, 0x1.6128c8e0301d9p-10, 0x1.54f90bb499e93p-10, 0x1.492d52c16a36fp-10, 0x1.3dc30b4ce1a2ep-10, 0x1.32b7eddee7943p-10, 0x1.2809c7b6db3d9p-10, 0x1.1db64b2bb7798p-10, 0x1.13bb001ab9f42p-10, 0x1.0a154b796e389p-10, 0x1.00c2874e65ebap-10, 0x1.ef7fffa999ef8p-11, 0x1.de15d87ee2affp-11, 0x1.cd40fb8be3ecfp-11, 0x1.bcfbf00748f8p-11, 0x1.ad41e47f2fa8cp-11, 0x1.9e0ed45b24463p-11, 0x1.8f5f75ae8c221p-11, 0x1.8130ce6f73913p-11, 0x1.737fca1977301p-11, 0x1.664913c4a9397p-11, 0x1.598944c09a651p-11, 0x1.4d3d00f701bf7p-11, 0x1.4160e972fa988p-11, 0x1.35f1517521e4dp-11, 0x1.2aea0c643e7a4p-11, 0x1.2046a4dcb261p-11, 0x1.1602c9e75213ep-11, 0x1.0c1ae7ebc9487p-11, 0x1.028c418aed35cp-11, 0x1.f2a92867be599p-12, 0x1.e0e35848213fep-12, 0x1.cfc275e6f2e8ap-12, 0x1.bf41ec479b81fp-12, 0x1.af5d97508dc1bp-12, 0x1.a011cd7c727bbp-12, 0x1.915ae69202a8dp-12, 0x1.833469dda354ap-12, 0x1.759894af817bp-12, 0x1.6880d5f7a6165p-12, 0x1.5be6bcac905bdp-12, 0x1.4fc4ea37cfde8p-12, 0x1.441720e8b544fp-12, 0x1.38d99540ad19ap-12, 0x1.2e0877cbf97e4p-12, 0x1.23a009a6bb45ap-12, 0x1.199cf990a24ecp-12, 0x1.0ffcb06373cf9p-12, 0x1.06bd5ac9e9894p-12, 0x1.fbba844ffd731p-13, 0x1.eab459025fcd3p-13, 0x1.da61e9b0e691ep-13, 0x1.cabb79e3cc21dp-13, 0x1.bbb9207e4bebap-13, 0x1.ad53978cd6addp-13, 0x1.9f844195467b4p-13, 0x1.92445b82efdecp-13, 0x1.858cf481fab41p-13, 0x1.79576cc8a2cd2p-13, 0x1.6d9df56acc95ap-13, 0x1.625bf6bca6443p-13, 0x1.578eb7b38baeep-13, 0x1.4d34e4b89b8b2p-13, 0x1.434cd9fbe5a9cp-13, 0x1.39d3427f3235fp-13, 0x1.30c3d75f65c94p-13, 0x1.281aa6498fa19p-13, 0x1.1fd49ca45c092p-13, 0x1.17eee4255c855p-13, 0x1.10657428fb891p-13, 0x1.09327e28723cp-13, 0x1.024ff46df4d19p-13, 0x1.f77283e95cdd5p-14, 0x1.ead548054be49p-14, 0x1.dec00bec0ac77p-14, 0x1.d32c9a9a45e23p-14, 0x1.c819cb2d778a4p-14, 0x1.bd87e646b4f9ap-14, 0x1.b372f030c5c9ap-14, 0x1.a9d3e66777c46p-14, 0x1.a0a4d019d0f6cp-14, 0x1.97e3c9866a223p-14, 0x1.8f90b1583e1c7p-14, 0x1.87aa1fa4659fap-14, 0x1.802a4d0682d62p-14, 0x1.7906e18f89426p-14, 0x1.7237020a4f1dep-14, 0x1.6bb823ade1dadp-14, 0x1.658882c81764dp-14, 0x1.5fa10a6d5fc97p-14, 0x1.59fb03c7b2cf5p-14, 0x1.5495dc7d733b5p-14, 0x1.4f729ca587911p-14, 0x1.4a8ed2f6790bp-14, 0x1.45e5a48604cc5p-14, 0x1.4172b4f537cd2p-14, 0x1.3d34c612c784bp-14, 0x1.392d102a945fdp-14, 0x1.355c3d996aba3p-14, 0x1.31bfd13388afbp-14, 0x1.2e5273c25c9cdp-14, 0x1.2b0d0a2e0ff35p-14, 0x1.27ebefb34321ap-14, 0x1.24f200c58fe82p-14, 0x1.221eba27c7e7bp-14, 0x1.1f6c0a294ee71p-14, 0x1.1cd6c4478c8adp-14, 0x1.1a5e7689b988ap-14, 0x1.1801a26771e82p-14, 0x1.15bea241f60a2p-14, 0x1.1393e5564986ap-14, 0x1.117f8637fba9cp-14, 0x1.0f80a434cc3a9p-14, 0x1.0d97e655b9fd3p-14, 0x1.0bc5a1d8c79e2p-14, 0x1.0a07e89c029efp-14, 0x1.085c0f1b2b5f8p-14, 0x1.06bfe2e8c90c2p-14, 0x1.0530759b3ea63p-14, 0x1.03ae2b5dcf0edp-14, 0x1.023ac5064a61ep-14, 0x1.00d3e252ad0a3p-14, 0x1.fef11f1c28f64p-15, 0x1.fc515fd403dd5p-15, 0x1.f9c26402c6c14p-15, 0x1.f73fe52199fdep-15, 0x1.f4ca9bf4e24f9p-15, 0x1.f2633edbd2425p-15, 0x1.f007e37d56c4dp-15, 0x1.edb7a3c051e1fp-15, 0x1.eb73542c101dcp-15, 0x1.e939d89e91a7bp-15, 0x1.e70839d71b51p-15, 0x1.e4dc05bd73579p-15, 0x1.e2b5a5227b065p-15, 0x1.e09498985bd7dp-15, 0x1.de763a9fbe71cp-15, 0x1.dc5b220456e3fp-15, 0x1.da41a8348848fp-15, 0x1.d82b10b6a7d9bp-15, 0x1.d61969492105bp-15, 0x1.d408dd4381217p-15, 0x1.d1f53b0442a57p-15, 0x1.cfde0d0f925c3p-15, 0x1.cdc5710f2fc82p-15, 0x1.cbab0c1cb298p-15, 0x1.c98dd71221facp-15, 0x1.c76ec10b8cbb6p-15, 0x1.c54d4739d97bdp-15, 0x1.c327bfb7c3c2p-15, 0x1.c0fda1e298c88p-15, 0x1.bece82c295e8ap-15, 0x1.bc9a99cef0b4fp-15, 0x1.ba6345e2e38cfp-15, 0x1.b8271447836d5p-15, 0x1.b5e48c3d19c17p-15, 0x1.b39bd451616ebp-15, 0x1.b14e13a64487dp-15, 0x1.aefc25b9ddf4cp-15, 0x1.aca50dd53957bp-15, 0x1.aa47dd5ae6a53p-15, 0x1.a7e37b03e39fp-15, 0x1.a57894deeb2e3p-15, 0x1.a3079fc9fe8f3p-15, 0x1.a090228dab6a2p-15, 0x1.9e13064109acap-15, 0x1.9b901c512ef85p-15, 0x1.9906a51ac64ccp-15, 0x1.96769191df611p-15, 0x1.93e02d4d83671p-15, 0x1.914387cfe8892p-15, 0x1.8ea0a68896441p-15, 0x1.8bf82c755d539p-15, 0x1.894a350b83a73p-15, 0x1.8695b61cb893cp-15, 0x1.83dae62287ba8p-15, 0x1.811ad66e8c81cp-15, 0x1.7e55454c2e157p-15, 0x1.7b8a4cfcb7db9p-15, 0x1.78ba2314a6ca2p-15, 0x1.75e4ad9581f42p-15, 0x1.7309de6a4aa23p-15, 0x1.70298eafc4a34p-15, 0x1.6d44620e550acp-15, 0x1.6a5aebadc9112p-15, 0x1.676cc9b2ce3bap-15, 0x1.647a09306e6f6p-15, 0x1.6182ccb8b8ba9p-15, 0x1.5e874d58bd176p-15, 0x1.5b87b123e344dp-15, 0x1.58844333f4fd1p-15, 0x1.557d0af9a642ep-15, 0x1.527249da713f3p-15, 0x1.4f6479b753d1fp-15, 0x1.4c5329f10be8cp-15, 0x1.493e8659b6309p-15, 0x1.46273bbb93bd4p-15, 0x1.430d180f4956cp-15, 0x1.3ff0232821e48p-15, 0x1.3cd0f45fb66a6p-15, 0x1.39afe1c707981p-15, 0x1.368c8864747c3p-15, 0x1.3366e693cb59fp-15, 0x1.303f98b5935f8p-15, 0x1.2d16ecaf575f2p-15, 0x1.29ecacd2989ffp-15, 0x1.26c10a15ec6afp-15, 0x1.23945662de511p-15, 0x1.20669a0bf003fp-15, 0x1.1d3807871e3fep-15, 0x1.1a08c49765e94p-15, 0x1.16d91319b328ep-15, 0x1.13a921441a543p-15, 0x1.1078c6cfd970fp-15, 0x1.0d489eb0dc981p-15, 0x1.0a1881c1b5172p-15, 0x1.06e89e1e6ea81p-15, 0x1.03b9321c43ddp-15, 0x1.008a3adeb039ep-15, 0x1.fab7be9ed114dp-16, 0x1.f45cc500d79dep-16, 0x1.ee04acd2a1af8p-16, 0x1.e7ae54605c7cfp-16, 0x1.e159e6b69fb96p-16, 0x1.db08c8b78fa14p-16, 0x1.d4baae022c3eep-16, 0x1.ce6fab79144a8p-16, 0x1.c82816419c11bp-16, 0x1.c1e45fe241533p-16, 0x1.bba4a672910adp-16, 0x1.b5692f67039d1p-16, 0x1.af32418432731p-16, 0x1.a8ffef19241b3p-16, 0x1.a2d2835e79a94p-16, 0x1.9caa666b508ecp-16, 0x1.9687a23d5adbcp-16, 0x1.906a530f7a2c4p-16, 0x1.8a52f7cbbaefbp-16, 0x1.8441744290941p-16, 0x1.7e3687c7f2bdcp-16, 0x1.783173c668335p-16, 0x1.7232f1a9b20e9p-16, 0x1.6c3b73d0bbdc4p-16, 0x1.664b3b5011691p-16, 0x1.6061b815d4476p-16, 0x1.5a7f6ec540c7ep-16, 0x1.54a4ba0bb8012p-16, 0x1.4ed1959d07df8p-16, 0x1.4906219f570a5p-16, 0x1.4342807b4eb1p-16, 0x1.3d86f94613846p-16, 0x1.37d398c1cac7bp-16, 0x1.32287bf91c1f9p-16, 0x1.2c85eac908bb7p-16, 0x1.26ebfb317441ap-16, 0x1.215ab6ddece98p-16, 0x1.1bd231167de37p-16, 0x1.1652a5b265d09p-16, 0x1.10dc3372a5c95p-16, 0x1.0b6ef3aa0847fp-16, 0x1.060ac1efb6ac7p-16, 0x1.00affef6bedcfp-16, 0x1.f6bd99797a2e4p-17, 0x1.ec2e5a0b747f5p-17, 0x1.e1b23dadf7309p-17, 0x1.d74938fb33267p-17, 0x1.ccf44e972b65dp-17, 0x1.c2b3b913ae4acp-17, 0x1.b88641c9c4887p-17, 0x1.ae6cbe86fa126p-17, 0x1.a467cd716418p-17, 0x1.9a76a197d062dp-17, 0x1.909a3528dd74ap-17, 0x1.86d20fafa6165p-17, 0x1.7d1efa1c268f6p-17, 0x1.73806b58deb17p-17, 0x1.69f703a4404c9p-17, 0x1.60821e794fd8ap-17, 0x1.572234c28c366p-17, 0x1.4dd76a3135087p-17, 0x1.44a1b5fb93ef6p-17, 0x1.3b8131ffe6e39p-17, 0x1.32762f05cdd9fp-17, 0x1.29807f939418cp-17, 0x1.209fd1ed77176p-17, 0x1.17d490b8df052p-17, 0x1.0f1e55e387757p-17, 0x1.067e7c2b7ac12p-17, 0x1.fbe74dc429001p-18, 0x1.eafba1baa188ep-18, 0x1.da3c909d00096p-18, 0x1.c9a8b9f0ba984p-18, 0x1.b93f023220193p-18, 0x1.a900a929e5396p-18, 0x1.98ec21ea0c8c9p-18, 0x1.8902b20f57a98p-18, 0x1.7944f8de1ee5ep-18, 0x1.69b36829179cfp-18, 0x1.5a4b8c242bdf9p-18, 0x1.4b0e0c1744b8ep-18, 0x1.3bfc2137c1505p-18, 0x1.2d14ab0f0ff87p-18, 0x1.1e5744a8e29aep-18, 0x1.0fc48cadd4f31p-18, 0x1.015c7297388aep-18, 0x1.e63edea293bbap-19, 0x1.ca176f63a49dap-19, 0x1.ae44fa1dd9b78p-19, 0x1.92c5c34c3f20bp-19, 0x1.779c06ba592cep-19, 0x1.5cc52ee04810bp-19, 0x1.4241509c256a5p-19, 0x1.2810cce1f08a7p-19, 0x1.0e2ff86672db7p-19, 0x1.e94beb69cf637p-20, 0x1.b6da1b148fc3ep-20, 0x1.850acf4338e25p-20, 0x1.53dd9e63cc776p-20, 0x1.2350039acfbe1p-20, 0x1.e6cc8a267052dp-21, 0x1.883c516fd7899p-21, 0x1.2aea185c14b38p-21, 0x1.9db2909f96c52p-22, 0x1.d0028d165a971p-23, 0x1.a6c7d0860a0fdp-25, -0x1.efcdae07bedbcp-24, -0x1.2a55c3742c5f3p-22, -0x1.d6440fb19d7b4p-22, -0x1.3fe2ad6c98994p-21, -0x1.9364c10908095p-21, -0x1.e5c09a6bf4798p-21, -0x1.1b753cd1d5697p-20, -0x1.4375ed86e0a16p-20, -0x1.6ae026382c101p-20, -0x1.91b5d88505cd1p-20, -0x1.b7f435a3d679cp-20, -0x1.dda29ab68b8f5p-20, -0x1.01600be915bfdp-19, -0x1.13a57151cf5ap-19, -0x1.25a3148130c6p-19, -0x1.37576ba879d2dp-19, -0x1.48c4c80db97b8p-19, -0x1.59eda64194401p-19, -0x1.6acf136be24cdp-19, -0x1.7b6db1a7a282ap-19, -0x1.8bc4f4fec7bf1p-19, -0x1.9bd7a332168a2p-19, -0x1.aba5cb963d85ep-19, -0x1.bb3106715858cp-19, -0x1.ca7985902768p-19, -0x1.d97f1a0292756p-19, -0x1.e84333ae96112p-19, -0x1.f6c725dd176dp-19, -0x1.0284a9d6866dep-18, -0x1.098412ffc204ep-18, -0x1.1064ae14c8e53p-18, -0x1.17265b73f0e7dp-18, -0x1.1dc81736e4703p-18, -0x1.244bec6510e03p-18, -0x1.2aafd017a6debp-18, -0x1.30f3e5cd204e9p-18, -0x1.371a80e551a8ep-18, -0x1.3d24ab3844931p-18, -0x1.431026a0c4ae9p-18, -0x1.48dd929824b56p-18, -0x1.4e8db9c1e50dfp-18, -0x1.5420f401b52dp-18, -0x1.599855e964cd5p-18, -0x1.5ef29993ff924p-18, -0x1.643186ac1ea1ep-18, -0x1.6953f3fd94b32p-18, -0x1.6e5a9cc100808p-18, -0x1.73462fb43bdebp-18, -0x1.7817054432156p-18, -0x1.7ccdeaa56cfd9p-18, -0x1.816881dd55eb1p-18, -0x1.85e973707587cp-18, -0x1.8a4fad28d58aap-18, -0x1.8e9ce88869d3fp-18, -0x1.92d05a0bcc7fp-18, -0x1.96eba120b37d7p-18, -0x1.9aed997e69d29p-18, -0x1.9ed684bb0af8cp-18, -0x1.a2a753316a29bp-18, -0x1.a65f45201adc9p-18, -0x1.a9ffdac704a1p-18, -0x1.ad89e51e55f1ep-18, -0x1.b0fb811a2c519p-18, -0x1.b455508ce2c4ep-18, -0x1.b798ee6b79afdp-18, -0x1.bac62ece25145p-18, -0x1.bddd3bf886d6dp-18, -0x1.c0dcea2bb3272p-18, -0x1.c3c97f6b7dbbfp-18, -0x1.c69f387dac975p-18, -0x1.c95e1813a1bdep-18, -0x1.cc0935608dca1p-18, -0x1.ce9fad801e65p-18, -0x1.d12191e1875b4p-18, -0x1.d38f18690f711p-18, -0x1.d5e74eb0576f7p-18, -0x1.d82d096ea32a7p-18, -0x1.da5e60b856f39p-18, -0x1.dc7dca791691dp-18, -0x1.de892a49f7abdp-18, -0x1.e081666f58f1cp-18, -0x1.e267540b3bd95p-18, -0x1.e43b025db9e0fp-18, -0x1.e5fb7a5aeefc1p-18, -0x1.e7aaf39605c43p-18, -0x1.e948cf059709bp-18, -0x1.ead5485a88284p-18, -0x1.ec500ec20ea4dp-18, -0x1.edb8ce1a743a6p-18, -0x1.ef143213f4fd6p-18, -0x1.f05b6fb9854b3p-18, -0x1.f193a80823e4fp-18, -0x1.f2bc20d83f1e1p-18, -0x1.f3d392435259ap-18, -0x1.f4dc367e9234cp-18, -0x1.f5d4e5d339752p-18, -0x1.f6bed7b91382ap-18, -0x1.f799fd4569f94p-18, -0x1.f866d38e5ec1cp-18, -0x1.f92342636bb7ap-18, -0x1.f9d124c15b724p-18, -0x1.fa726e4ef175fp-18, -0x1.fb0528bade5c4p-18, -0x1.fb8a1a3d778ap-18, -0x1.fc0185e8c2a0ap-18, -0x1.fc6ab36d54ccfp-18, -0x1.fcc7b3466a21ap-18, -0x1.fd16e8480b7ffp-18, -0x1.fd5a8623f36ecp-18, -0x1.fd90c965955ddp-18, -0x1.fdba5c0248acbp-18, -0x1.fdd811a3fd8c2p-18, -0x1.fde9b80015738p-18, -0x1.fdef5b4112c81p-18, -0x1.fde8608ba2444p-18, -0x1.fdd76378fbe02p-18, -0x1.fdba8365857d5p-18, -0x1.fd9328f0a5daep-18, -0x1.fd60b8fda5db2p-18, -0x1.fd2325cf381a7p-18, -0x1.fcda0deb8f1e9p-18, -0x1.fc87d1ec7d9c3p-18, -0x1.fc2a94f76248ap-18, -0x1.fbc50156ba46p-18, -0x1.fb534c1c20051p-18, -0x1.fad8f803f6125p-18, -0x1.fa53c67cfee9bp-18, -0x1.f9c660175bfafp-18, -0x1.f93183fdd495ap-18, -0x1.f8924fe2f3307p-18, -0x1.f7e88478719a1p-18, -0x1.f73560945df41p-18, -0x1.f67c52fa72c72p-18, -0x1.f5ba3f2327f48p-18, -0x1.f4ef42bf27418p-18, -0x1.f41c728d62fd3p-18, -0x1.f3417e12021cap-18, -0x1.f25eb8cefc311p-18, -0x1.f17449146bc34p-18, -0x1.f08234f911f22p-18, -0x1.ef88e3c992b4ep-18, -0x1.ee88094fc2835p-18, -0x1.ed804c212c167p-18, -0x1.ec7195fc30bf8p-18, -0x1.eb5c0c7c5bcf9p-18, -0x1.ea3fa18ed672dp-18, -0x1.e91cb2a9e877fp-18, -0x1.e7f365d36d0d8p-18, -0x1.e6c3d24227dc5p-18, -0x1.e58e364797e82p-18, -0x1.e451ead751604p-18, -0x1.e3103f1e95086p-18, -0x1.e1c8832df79c5p-18, -0x1.e07b78f64dc58p-18, -0x1.df28d4969eaa1p-18, -0x1.ddd072e56c07fp-18, -0x1.dc73a08aa9fdap-18, -0x1.db10fd5490a7cp-18, -0x1.d9a8e3aad545ep-18, -0x1.d83ba30f8bdc4p-18, -0x1.d6cb1fca9c467p-18, -0x1.d554e88a1aeb3p-18, -0x1.d3d93f493a526p-18, -0x1.d25b4374e51e6p-18, -0x1.d0d6119685707p-18, -0x1.cf4ef820d1463p-18, -0x1.cdc2129b278bfp-18, -0x1.cc334b59ff121p-18, -0x1.ca9f0807c721fp-18, -0x1.c906aa43f6d44p-18, -0x1.c76ad77593affp-18, -0x1.c5cb773559471p-18, -0x1.c4288eb4ccba5p-18, -0x1.c280d8c72be09p-18, -0x1.c0d881240ccb1p-18, -0x1.bf2b78f5869e6p-18, -0x1.bd7b42a6cfe21p-18, -0x1.bbc81ae908d67p-18, -0x1.ba11cef459ad7p-18, -0x1.b8591ab0f09b2p-18, -0x1.b69ce026bed9dp-18, -0x1.b4ded3bed5106p-18, -0x1.b31d21cc0f03bp-18, -0x1.b158d58a5352fp-18, -0x1.af924501f6df4p-18, -0x1.adcb0068abe41p-18, -0x1.ac001589a62fcp-18, -0x1.aa322f2026d84p-18, -0x1.a86280900fd4cp-18, -0x1.a691f3d811576p-18, -0x1.a4bf4a8a1ac76p-18, -0x1.a2ea17c245b03p-18, -0x1.a111c2cb35897p-18, -0x1.9f398690a6df3p-18, -0x1.9d5fee7a59876p-18, -0x1.9b842e896ffbdp-18, -0x1.99a581681f635p-18, -0x1.97c6ab58f9e09p-18, -0x1.95e6e88960fap-18, -0x1.94056fe2aedd4p-18, -0x1.9222284b15446p-18, -0x1.903da95baee82p-18, -0x1.8e58e334c9f27p-18, -0x1.8c72d6387f965p-18, -0x1.8a8b559e854abp-18, -0x1.88a3e399c175dp-18, -0x1.86ba27af62d8cp-18, -0x1.84d0a161eb8p-18, -0x1.82e3f5d6d4132p-18, -0x1.80fa6b0291fd6p-18, -0x1.7f0e54c24b49dp-18, -0x1.7d228dc17e9f9p-18, -0x1.7b3595d1ed9d8p-18, -0x1.7948191e764c1p-18, -0x1.775a0c8470325p-18, -0x1.756afa795a5fbp-18, -0x1.737d5bb6357p-18, -0x1.718ded779a3bbp-18, -0x1.6f9f22731031cp-18, -0x1.6db0d5a551b89p-18, -0x1.6bc17e4043955p-18, -0x1.69d11c6fab506p-18, -0x1.67e225405544fp-18, -0x1.65f325c8e074dp-18, -0x1.6404167196e7ep-18, -0x1.6215b12b4d656p-18, -0x1.602718c7b1eb8p-18, -0x1.5e3787d97e02p-18, -0x1.5c49392f73ff5p-18, -0x1.5a5b4437aa4c7p-18, -0x1.586d960f68df1p-18, -0x1.5680c895d92edp-18, -0x1.5493e797c2232p-18, -0x1.52a71dbf58dadp-18, -0x1.50bb44a5f1d34p-18, -0x1.4ed0188b68972p-18, -0x1.4ce5506d8ca17p-18, -0x1.4af9dd731915ap-18, -0x1.4911857a92215p-18, -0x1.47296cf104bb6p-18, -0x1.45416b8771c97p-18, -0x1.4358fedeb8141p-18, -0x1.4171cba12fccdp-18, -0x1.3f8da248daeb8p-18, -0x1.3da806c009f33p-18, -0x1.3bc4b4949ff5p-18, -0x1.39e2187e98a1cp-18, -0x1.37fff76558f1fp-18, -0x1.361df86660da7p-18, -0x1.343d2641fde9ap-18, -0x1.325f2e6615c8p-18, -0x1.308260373b593p-18, -0x1.2ea3d980a7169p-18, -0x1.2cc6e14d36ccap-18, -0x1.2aed5e4abe4b1p-18, -0x1.29154318b08c8p-18, -0x1.273d6baed8251p-18, -0x1.2563d91f6250dp-18, -0x1.238e44360e6d6p-18, -0x1.21ba3b88fe389p-18, -0x1.1fe6fcff828b5p-18, -0x1.1e143bd216c3dp-18, -0x1.1c439da1ba48p-18, -0x1.1a74fd02d4a4bp-18, -0x1.18a7403e85f97p-18, -0x1.16da5d90eb1c9p-18, -0x1.150e33b62911fp-18, -0x1.1344e4963912fp-18, -0x1.117c99a0c0f33p-18, -0x1.0fb5d1a364815p-18, -0x1.0df01d65d0b82p-18, -0x1.0c2c0c66751dfp-18, -0x1.0a6a00ffb6381p-18, -0x1.08a9d1a2cb22fp-18, -0x1.06ea7472fa51ep-18, -0x1.052b7edf35c7ep-18, -0x1.036faf5caf158p-18, -0x1.01b56ee9d4b2bp-18, -0x1.fff8dbe33593ep-19, -0x1.fc875223646e7p-19, -0x1.f91d75953ec92p-19, -0x1.f5b533ea9de3bp-19, -0x1.f251f3f91cea2p-19, -0x1.eef11876c07e8p-19, -0x1.eb91efc20f5d2p-19, -0x1.e83570d8dc223p-19, -0x1.e4e05650fb8ep-19, -0x1.e18adf49daa4ap-19, -0x1.de3b265aceb82p-19, -0x1.daee0186eddaap-19, -0x1.d7a4e2b76e4a3p-19, -0x1.d45e19fa9062dp-19, -0x1.d11c691f19e2dp-19, -0x1.cddd8c891490ap-19, -0x1.caa2bbb26c957p-19, -0x1.c767fad6a6131p-19, -0x1.c433c3950cf6bp-19, -0x1.c1055afa60f8ep-19, -0x1.bdd965d6aaae6p-19, -0x1.baad71612764dp-19, -0x1.b787fb9b0ff59p-19, -0x1.b4679f6ea61c6p-19, -0x1.b1486c2cef0ebp-19, -0x1.ae2dc2a9a65edp-19, -0x1.ab1602c20f46p-19, -0x1.a804e6d1658bp-19, -0x1.a4f3f0bee3b42p-19, -0x1.a1e6e8535df08p-19, -0x1.9ee160bee6d07p-19, -0x1.9bdd56fce9606p-19, -0x1.98db1a23184c5p-19, -0x1.95dcccfa81cd5p-19, -0x1.92e64cca423a1p-19, -0x1.8fef7b410d7c7p-19, -0x1.8cfe4f6c23efap-19, -0x1.8a109f4f0e197p-19, -0x1.8727f8c92635ep-19, -0x1.843e99474daafp-19, -0x1.815e47292ffeap-19, -0x1.7e7dafd61c6d7p-19, -0x1.7ba5a5208f35bp-19, -0x1.78ce84df127e4p-19, -0x1.75fa36265ee2fp-19, -0x1.732afd940dcb8p-19, -0x1.705f6528f0132p-19, -0x1.6d96a82cf30dap-19, -0x1.6ad2ca6f62e29p-19, -0x1.6815c34b18a9dp-19, -0x1.65584af486748p-19, -0x1.629fb62da83f9p-19, -0x1.5fe995a8342cep-19, -0x1.5d391ac5c3886p-19, -0x1.5a8b8bbbae852p-19, -0x1.57e462b1fa3e9p-19, -0x1.553efb47ae1f7p-19, -0x1.529a0a6171c7fp-19, -0x1.4ffcc31573faap-19, -0x1.4d6426d0dd891p-19, -0x1.4acdfc7c83a0dp-19, -0x1.483a6966ee541p-19, -0x1.45ab166a7858cp-19, -0x1.4320c529c1ddp-19, -0x1.4098ccff6f6f3p-19, -0x1.3e14e57e49cadp-19, -0x1.3b9686285800dp-19, -0x1.391a515f7ap-19, -0x1.36a30dfc72055p-19, -0x1.342bea976b689p-19, -0x1.31bdc37a3fcc1p-19, -0x1.2f503e6fc33f6p-19, -0x1.2ce6a2c47cdd8p-19, -0x1.2a80f1da6a964p-19, -0x1.281f05cc20dbdp-19, -0x1.25c092f6ce967p-19, -0x1.2365b62ffafa7p-19, -0x1.2110d9168b7abp-19, -0x1.1ebd478ec024dp-19, -0x1.1c6dfa45fca43p-19, -0x1.1a1e54d7337p-19, -0x1.17d8dabc57bd2p-19, -0x1.159472a72990cp-19, -0x1.1355242d5cc86p-19, -0x1.1114e4ebbce75p-19, -0x1.0edc13415e2d2p-19, -0x1.0ca622ef695f7p-19, -0x1.0a73bb7be7cd1p-19, -0x1.0844cdd13bc39p-19, -0x1.06192eb2cdde4p-19, -0x1.03f128df3b857p-19, -0x1.01cd4ae8da0dp-19, -0x1.ff59e1b85fe84p-20, -0x1.fb20f80c9bbf4p-20, -0x1.f6e6e5ff02a74p-20, -0x1.f2bf2d98766dap-20, -0x1.ee99b5d856f5dp-20, -0x1.ea7a55a01a968p-20, -0x1.e6639e88f4059p-20, -0x1.e2552c6b4292fp-20, -0x1.de4715da28e53p-20, -0x1.da45c3e2f2bb8p-20, -0x1.d64a02ed9d7aep-20, -0x1.d254cb7de8d85p-20, -0x1.ce6598c3fa601p-20, -0x1.ca7e7936ebdcep-20, -0x1.c69e6315d9ad7p-20, -0x1.c2c6580086f6bp-20, -0x1.beeb38356856dp-20, -0x1.bb22d2ab64539p-20, -0x1.b75ca71cc1b43p-20, -0x1.b39ffa43c65d3p-20, -0x1.afe1fd4a085ecp-20, -0x1.ac2f84409e703p-20, -0x1.a886ac9b1b326p-20, -0x1.a4e50cdd0a2a1p-20, -0x1.a14005ba9c13dp-20, -0x1.9da8a98c33bp-20, -0x1.9a141e79f2362p-20, -0x1.968aff8631c31p-20, -0x1.9306fffaca5bbp-20, -0x1.8f87f64e8ac07p-20, -0x1.8c0d45c815168p-20, -0x1.889b5b0f608dep-20, -0x1.852f14f3d48f4p-20, -0x1.81c97b721ebbap-20, -0x1.7e6ad44289e39p-20, -0x1.7b117019012e7p-20, -0x1.77bb32287163fp-20, -0x1.746ebce01d2e4p-20, -0x1.71259004fd316p-20, -0x1.6de84e131cb5bp-20, -0x1.6aac8b770dcf6p-20, -0x1.6775d56206c32p-20, -0x1.644604eef5e59p-20, -0x1.611d8f9e03e4cp-20, -0x1.5df9be79d7894p-20, -0x1.5adcc8d152d42p-20, -0x1.57c4a7cc3023cp-20, -0x1.54b32897ccbcep-20, -0x1.51a7dceb1fc82p-20, -0x1.4e9c8171d79f3p-20, -0x1.4b9e44ed0ef44p-20, -0x1.48a4fc8c6a592p-20, -0x1.45b237a88563fp-20, -0x1.42be56a80e3f8p-20, -0x1.3fd605d0e70dap-20, -0x1.3cf2dcea610e9p-20, -0x1.3a14436385a33p-20, -0x1.37375eaad07b4p-20, -0x1.34670148066e7p-20, -0x1.3199595ffd403p-20, -0x1.2ece5f401113bp-20, -0x1.2c0baa7830d4fp-20, -0x1.294cb7c64ae87p-20, -0x1.2693f137fb99bp-20, -0x1.23e16ae7df166p-20, -0x1.21330db75225fp-20, -0x1.1e8b0da6702dep-20, -0x1.1be583de1873ep-20, -0x1.1947ea7b64dep-20, -0x1.16ae5c2c490aep-20, -0x1.141a94d02d50cp-20, -0x1.118b5091d57eep-20, -0x1.0effcf907a1ecp-20, -0x1.0c7de98bd7714p-20, -0x1.09fe7b1ae749p-20, -0x1.07813e41a9b26p-20, -0x1.0509c08506259p-20, -0x1.029b62ced6c7dp-20, -0x1.002e289e2285ap-20, -0x1.fb909a6366d87p-21, -0x1.f6ca8474c6e87p-21, -0x1.f20f5046aa115p-21, -0x1.ed5d733905e93p-21, -0x1.e8b4f4d174daep-21, -0x1.e417cacba8b1p-21, -0x1.df84033d5e1a5p-21, -0x1.daf46d02c6bf7p-21, -0x1.d67392ef3bbfcp-21, -0x1.d1fa1583b12ep-21, -0x1.cd901d377e542p-21, -0x1.c920a87e0cb13p-21, -0x1.c4c50cc6b7824p-21, -0x1.c07117b891bf6p-21, -0x1.bc27192b7cc34p-21, -0x1.b7e4bd436a875p-21, -0x1.b3a533612f621p-21, -0x1.af76d6109783bp-21, -0x1.ab4f76b84d1e2p-21, -0x1.a72fe35bf493bp-21, -0x1.a3141672f42dap-21, -0x1.9f0c3fa36c7f5p-21, -0x1.9b032e4d77a25p-21, -0x1.9706b130a2468p-21, -0x1.930e9562b2178p-21, -0x1.8f265ffe7d8cbp-21, -0x1.8b3e310c19bd6p-21, -0x1.8760ff79d90d1p-21, -0x1.838de60b234acp-21, -0x1.7fbfe875c800ap-21, -0x1.7bfcb35095ed8p-21, -0x1.783f20528de47p-21, -0x1.748e702951651p-21, -0x1.70e1c35f76e3p-21, -0x1.6d3d20d34f62ap-21, -0x1.699fb4945b3ebp-21, -0x1.660d8fc41bee6p-21, -0x1.627c3505215e4p-21, -0x1.5ef7edaf2fc93p-21, -0x1.5b79033daac13p-21, -0x1.58092ded4d81bp-21, -0x1.5496d61c7560cp-21, -0x1.512dfe0e7443bp-21, -0x1.4dd120e45b2c7p-21, -0x1.4a772772a338cp-21, -0x1.4724e857658bap-21, -0x1.43d9d6a54dc3cp-21, -0x1.409b3d9ce2c23p-21, -0x1.3d5e199f2422dp-21, -0x1.3a2920f5c5394p-21, -0x1.36f8f7b69ba38p-21, -0x1.33d539854f414p-21, -0x1.30b44884bd1cp-21, -0x1.2d9ad056d67c4p-21, -0x1.2a8a69855412dp-21, -0x1.27802c4f8ee7dp-21, -0x1.247cdd59ece2cp-21, -0x1.217e3e7618189p-21, -0x1.1e87ca1b32c8fp-21, -0x1.1b992ba9f7678p-21, -0x1.18adaee61fd6bp-21, -0x1.15c6705cc916dp-21, -0x1.12edc1f0e9504p-21, -0x1.101a2491980abp-21, -0x1.0d48eeec9f342p-21, -0x1.0a78df10a46a3p-21, -0x1.07bbb0a0ba42dp-21, -0x1.04ffb60360bb9p-21, -0x1.02492a552aa02p-21, -0x1.ff293481c2afep-22, -0x1.f9d41aec6857ap-22, -0x1.f48e2fa731e5dp-22, -0x1.ef524d724c6d2p-22, -0x1.ea1ff773503cbp-22, -0x1.e4f87bbc6c7b6p-22, -0x1.dfdea6e212f28p-22, -0x1.dad5ebbdc63e1p-22, -0x1.d5d3ce74f18eap-22, -0x1.d0d6e82c9a1a6p-22, -0x1.cbe9a2f076feap-22, -0x1.c711a57766c1ap-22, -0x1.c23ac5ace63ecp-22, -0x1.bd701521fc434p-22, -0x1.b8b19b62e32c9p-22, -0x1.b3fdff865ea8dp-22, }}, 
      {{-0x1.742754d54478ap-2, -0x1.4328bfd4d2103p-3, 0x1.0368b2beb0375p-4, 0x1.1ef744fb98a42p-2, 0x1.ec7a43deafe43p-2, 0x1.5148b5703f127p-1, 0x1.9f12fe13363a5p-1, 0x1.df4f6433869acp-1, 0x1.093f6fd519e91p+0, 0x1.1ccfd7845d3a8p+0, 0x1.2afa7ec5ebd76p+0, 0x1.346ffb7e4b62bp+0, 0x1.39e2c285d259dp+0, 0x1.3bfe9a93d3e74p+0, 0x1.3b6357f1bfe66p+0, 0x1.38a1ec6b1b5e6p+0, 0x1.343b16146f9ddp+0, 0x1.2e9f2926b117p+0, 0x1.282e937a23307p+0, 0x1.213ad4263fe6dp+0, 0x1.1a07b519b7b84p+0, 0x1.12cca43a69ea6p+0, 0x1.0bb613d980c7ap+0, 0x1.04e6d38567775p+0, 0x1.fcf2ae3ad05d7p-1, 0x1.f101cd7780fc6p-1, 0x1.e61567e57da0dp-1, 0x1.dc3da748d3a8fp-1, 0x1.d38238aa68d8fp-1, 0x1.cbe3d4803b26bp-1, 0x1.c55d95e9a161cp-1, 0x1.bfe624b5086dfp-1, 0x1.bb70b6c5b812ep-1, 0x1.b7edec5ff8d47p-1, 0x1.b54c8b8bad06dp-1, 0x1.b37a1e0e3224p-1, 0x1.b263757366bfcp-1, 0x1.b1f5185176abdp-1, 0x1.b21b9b740d6efp-1, 0x1.b2c3e9fb23805p-1, 0x1.b3db7e66b9514p-1, 0x1.b5508ea41e5d5p-1, 0x1.b7122d806710dp-1, 0x1.b910629352244p-1, 0x1.bb3c3a7067d12p-1, 0x1.bd87d05c7770ap-1, 0x1.bfe65292835e8p-1, 0x1.c24c02268dd52p-1, 0x1.c4ae2f5c36c1dp-1, 0x1.c7033327b5c95p-1, 0x1.c942667e9801p-1, 0x1.cb64180151a21p-1, 0x1.cd61807296899p-1, 0x1.cf34b6431a54bp-1, 0x1.d0d8a0c556f87p-1, 0x1.d248eaf4d771cp-1, 0x1.d381f64a01615p-1, 0x1.d480cd9df72e6p-1, 0x1.d54318527b2c4p-1, 0x1.d5c70db9211b9p-1, 0x1.d60b68fd91e89p-1, 0x1.d60f5d6f5d586p-1, 0x1.d5d28b54f8931p-1, 0x1.d554f546d0818p-1, 0x1.d496f617c1a14p-1, 0x1.d3993757c3d53p-1, 0x1.d25ca86612b1bp-1, 0x1.d0e27619b1b58p-1, 0x1.cf2c02fbd67bp-1, 0x1.cd3ae011d6363p-1, 0x1.cb10c63293565p-1, 0x1.c8af8fd96aa9ep-1, 0x1.c6193385b18c2p-1, 0x1.c34fbe7cee1afp-1, 0x1.c0555036075p-1, 0x1.bd2c15caa9ad2p-1, 0x1.b9d6463e7c746p-1, 0x1.b6561ee09d3fep-1, 0x1.b2addffed07d1p-1, 0x1.aedfca4e023acp-1, 0x1.aaee1be39ac46p-1, 0x1.a6db0e587b222p-1, 0x1.a2a8d49a9b918p-1, 0x1.9e5999235e062p-1, 0x1.99ef7c9060346p-1, 0x1.956c942ed2059p-1, 0x1.90d2e8eee9bfep-1, 0x1.8c2476596baf7p-1, 0x1.876329d1ce3cep-1, 0x1.8290e1fc62148p-1, 0x1.7daf6df9658abp-1, 0x1.78c08d65903f3p-1, 0x1.73c5efcccbff7p-1, 0x1.6ec134972d8p-1, 0x1.69b3eafe36ec2p-1, 0x1.649f91fd6bc56p-1, 0x1.5f859861f6d9cp-1, 0x1.5a675cfcf4013p-1, 0x1.55462eb2e5eb7p-1, 0x1.50234cc90b0cep-1, 0x1.4affe717ecd9dp-1, 0x1.45dd1e58a6304p-1, 0x1.40bc048dfbf4p-1, 0x1.3b9d9d330afd5p-1, 0x1.3682ddd4cbf0ep-1, 0x1.316cae5a6f297p-1, 0x1.2c5be961aef0cp-1, 0x1.27515cd8c7e3fp-1, 0x1.224dca22c1d85p-1, 0x1.1d51e6c8aba53p-1, 0x1.185e5cc3c234fp-1, 0x1.1373caed125e2p-1, 0x1.0e92c5636fbbap-1, 0x1.09bbd5fd3bd69p-1, 0x1.04ef7cabf2d97p-1, 0x1.002e2feb44a18p-1, 0x1.f6f0ba2d9c3b9p-2, 0x1.ed9cd1b9a8402p-2, 0x1.e4615f47715e6p-2, 0x1.db3f0bb9dcac4p-2, 0x1.d23670d362748p-2, 0x1.c94819e2fd636p-2, 0x1.c0748485053cfp-2, 0x1.b7bc2134fae2bp-2, 0x1.af1f541370f0ep-2, 0x1.a69e75482f25ap-2, 0x1.9e39d1eb27024p-2, 0x1.95f1ac47757e9p-2, 0x1.8dc63ca74be3bp-2, 0x1.85b7b1aa3d622p-2, 0x1.7dc630efaacfbp-2, 0x1.75f1d765e089ap-2, 0x1.6e3aba01e98ddp-2, 0x1.66a0e5e8e4bd4p-2, 0x1.5f24612a39f75p-2, 0x1.57c52aeba40dbp-2, 0x1.50833bf66caaep-2, 0x1.495e871b64fe5p-2, 0x1.4256f94be1601p-2, 0x1.3b6c7a5a0202fp-2, 0x1.349eed1da2c13p-2, 0x1.2dee2f9e8af48p-2, 0x1.275a1bab4d1abp-2, 0x1.20e286e716ddbp-2, 0x1.1a874348d22dbp-2, 0x1.14481f18845bp-2, 0x1.0e24e565406edp-2, 0x1.081d5e2ded7e8p-2, 0x1.02314ea904789p-2, 0x1.f8c0f2c9d1929p-3, 0x1.ed553d659ae0ep-3, 0x1.e21ef889dcce8p-3, 0x1.d71d9c54dfe45p-3, 0x1.cc509cf1ccc31p-3, 0x1.c1b76b2281aa4p-3, 0x1.b7517487bce74p-3, 0x1.ad1e2414c63ep-3, 0x1.a31ce2519525bp-3, 0x1.994d1570c901ep-3, 0x1.8fae21b02b99ap-3, 0x1.863f69a8ecd96p-3, 0x1.7d004e699926ap-3, 0x1.73f02fa7f9c8fp-3, 0x1.6b0e6c3aaac47p-3, 0x1.625a61d767d77p-3, 0x1.59d36d9e14fd7p-3, 0x1.5178ec2b59846p-3, 0x1.494a39beacd8p-3, 0x1.4146b219fb39ep-3, 0x1.396db164705e2p-3, 0x1.31be937fd0be6p-3, 0x1.2a38b484fa3e7p-3, 0x1.22db710448ee5p-3, 0x1.1ba625ba086e8p-3, 0x1.149830239bc6ep-3, 0x1.0db0ee46a98bp-3, 0x1.06efbee53c67ap-3, 0x1.0054016f592cbp-3, 0x1.f3ba2d0647a98p-4, 0x1.e714beabe0155p-4, 0x1.dab67ce437f33p-4, 0x1.ce9e2eeb983e3p-4, 0x1.c2ca9dfb88d6ap-4, 0x1.b73a961ceadb4p-4, 0x1.abece5d391f06p-4, 0x1.a0e05e25b9004p-4, 0x1.9613d2f9f5637p-4, 0x1.8b861b01f245cp-4, 0x1.8136101881897p-4, 0x1.77228efb47688p-4, 0x1.6d4a77211b381p-4, 0x1.63acab9659b78p-4, 0x1.5a48127f86953p-4, 0x1.511b94e94a2dfp-4, 0x1.48261fd8a9a7p-4, 0x1.3f66a2d672ac1p-4, 0x1.36dc11882724ep-4, 0x1.2e8562519105dp-4, 0x1.26618f841cbaep-4, 0x1.1e6f964c93bfdp-4, 0x1.16ae781cd2277p-4, 0x1.0f1d395ae8d46p-4, 0x1.07bae1dea795cp-4, 0x1.00867d0f8950fp-4, 0x1.f2fe349741c2ep-5, 0x1.e54797c351918p-5, 0x1.d7e74f85fde35p-5, 0x1.cadb8f1a42942p-5, 0x1.be2290a40e29ep-5, 0x1.b1ba950fd2abbp-5, 0x1.a5a1e4747d0d5p-5, 0x1.99d6ce301c123p-5, 0x1.8e57a7899801p-5, 0x1.8322cdb5b681ep-5, 0x1.7836a4c27ee7p-5, 0x1.6d9196a11e932p-5, 0x1.633215087ece6p-5, 0x1.591697782e574p-5, 0x1.4f3d9dce68fcbp-5, 0x1.45a5acb9984d1p-5, 0x1.3c4d500cf189dp-5, 0x1.33331adfd1abdp-5, 0x1.2a55a5fb16164p-5, 0x1.21b3905a32ce1p-5, 0x1.194b80a882b3dp-5, 0x1.111c22c941b74p-5, 0x1.092428f75aad4p-5, 0x1.01624bd27e451p-5, 0x1.f3aa943f97397p-6, 0x1.e4f7d18091d77p-6, 0x1.d6a9e3f61c78dp-6, 0x1.c8be6d9cf3268p-6, 0x1.bb331abb987a6p-6, 0x1.ae05a4db33b6bp-6, 0x1.a133cee0af176p-6, 0x1.94bb68a797231p-6, 0x1.889a4afa91e25p-6, 0x1.7cce5c82b165cp-6, 0x1.71558d122a33cp-6, 0x1.662dd6ab3e485p-6, 0x1.5b553ec631bf1p-6, 0x1.50c9d4ad30dddp-6, 0x1.4689b27d538f4p-6, 0x1.3c92fbbe188e8p-6, 0x1.32e3de0e3c909p-6, 0x1.297a91aec4e3ep-6, 0x1.2055575763184p-6, 0x1.1772790241163p-6, 0x1.0ed04ae0b6311p-6, 0x1.066d2a0bc0f4p-6, 0x1.fc8ef8d55cdb9p-7, 0x1.ecbb62d46870cp-7, 0x1.dd5c810503903p-7, 0x1.ce6f555778cddp-7, 0x1.bff0f043e59f7p-7, 0x1.b1de72de73bb7p-7, 0x1.a435103ed3eeap-7, 0x1.96f20b2b1bddfp-7, 0x1.8a12b59f23ffp-7, 0x1.7d9471fae69f4p-7, 0x1.7174affb7e077p-7, 0x1.65b0f0410cc75p-7, 0x1.5a46c1547cf57p-7, 0x1.4f33c01f5a5d3p-7, 0x1.447596af4255p-7, 0x1.3a09ff8a2337fp-7, 0x1.2feebf5305e64p-7, 0x1.2621ac682caf8p-7, 0x1.1ca0a5aaabbcep-7, 0x1.136998791cd1fp-7, 0x1.0a7a810fd1674p-7, 0x1.01d163f8b0129p-7, 0x1.f2d8ac8427d4ap-8, 0x1.e292eb4287a36p-8, 0x1.d2cdd90cfd734p-8, 0x1.c385e2eab1efp-8, 0x1.b4b78be19e48p-8, 0x1.a65f644a67f78p-8, 0x1.987a22c52b5d5p-8, 0x1.8b047e7f2b32cp-8, 0x1.7dfb545ea7006p-8, 0x1.715b8ebecba91p-8, 0x1.65222fc3b24a9p-8, 0x1.594c47c33ca18p-8, 0x1.4dd6fec8e450ap-8, 0x1.42bf89b79f5e4p-8, 0x1.38032cb59b9a5p-8, 0x1.2d9f47d36f804p-8, 0x1.23913d8880382p-8, 0x1.19d6902fcd174p-8, 0x1.106cce72cf3dcp-8, 0x1.07519c9cc11f7p-8, 0x1.fd0558a8cfb14p-9, 0x1.ebfb7675d3f6bp-9, 0x1.db8127c3daf6p-9, 0x1.cb921aa0f667ap-9, 0x1.bc2a17f6ec238p-9, 0x1.ad450d3827f2fp-9, 0x1.9edf04f8be829p-9, 0x1.90f4235b1b183p-9, 0x1.8380bc1f2400bp-9, 0x1.76812fd23c788p-9, 0x1.69f20231eb1fbp-9, 0x1.5dcfc10e41421p-9, 0x1.5217107c045ebp-9, 0x1.46c49a440523ep-9, 0x1.3bd524c91f736p-9, 0x1.314587914afa3p-9, 0x1.2712c5fd2a1aap-9, 0x1.1d39f1c70f683p-9, 0x1.13b8457551373p-9, 0x1.0a8b11fa87d74p-9, 0x1.01afbd7b04972p-9, 0x1.f2475a708236bp-10, 0x1.e1c8c228bc85ap-10, 0x1.d1de94e84fc03p-10, 0x1.c283f443c8796p-10, 0x1.b3b40a41408d8p-10, 0x1.a56a3b928a3bfp-10, 0x1.97a214fb4decbp-10, 0x1.8a57691f16695p-10, 0x1.7d864b5c96d14p-10, 0x1.712aeb2ee9e2p-10, 0x1.654179b5ef71bp-10, 0x1.59c651463e43bp-10, 0x1.4eb5b57913813p-10, 0x1.440bfb4a4d7dep-10, 0x1.39c58967c5348p-10, 0x1.2fdecf622796ap-10, 0x1.26546a8d460e3p-10, 0x1.1d2320be8cac5p-10, 0x1.1447e32090f63p-10, 0x1.0bbfeae827211p-10, 0x1.03887b5da2097p-10, 0x1.f73e16e52f64fp-11, 0x1.e8020bc7b65fdp-11, 0x1.d9579e2f54218p-11, 0x1.cb399a1ddcf7ap-11, 0x1.bda2cae75565cp-11, 0x1.b08e31e8b4d0bp-11, 0x1.a3f6b155f553cp-11, 0x1.97d79fc5332bap-11, 0x1.8c2c65329d1a2p-11, 0x1.80f0dc8be9368p-11, 0x1.76214126dc54fp-11, 0x1.6bb9f89595288p-11, 0x1.61b79d198b28p-11, 0x1.5816b30943db5p-11, 0x1.4ed3cbf4c69d9p-11, 0x1.45eb6d2211c33p-11, 0x1.3d5a0ea74aba7p-11, 0x1.351c4d9869c9ap-11, 0x1.2d2ec84788825p-11, 0x1.258dfe35dde05p-11, 0x1.1e36cec98044cp-11, 0x1.17261bcf19f79p-11, 0x1.1059634776e12p-11, 0x1.09ce3614b14e6p-11, 0x1.038264935168p-11, 0x1.fae77a7d5db58p-12, 0x1.ef4012c8c41e1p-12, 0x1.e40a172d9bc34p-12, 0x1.d941434b004d4p-12, 0x1.cee15a42424dcp-12, 0x1.c4e61e511f529p-12, 0x1.bb4ac42568b9dp-12, 0x1.b20a9502ae804p-12, 0x1.a9214cd8ec40cp-12, 0x1.a08adbab61108p-12, 0x1.98441b716018p-12, 0x1.904a076fe447p-12, 0x1.8899bfcebfffdp-12, 0x1.81309629d2c86p-12, 0x1.7a0b9e06b48a2p-12, 0x1.73283d43a1402p-12, 0x1.6c8444f53e659p-12, 0x1.661d237bc81c7p-12, 0x1.5ff06500026b8p-12, 0x1.59fb257581312p-12, 0x1.543a7a8ebb88ap-12, 0x1.4eab37a5b8fafp-12, 0x1.494af7aadcbe6p-12, 0x1.44177c3936b4cp-12, 0x1.3f0ed5775b0cfp-12, 0x1.3a2f19108335ap-12, 0x1.35764414d2fa2p-12, 0x1.30e2b96a00204p-12, 0x1.2c72d65051d24p-12, 0x1.28258cf083c01p-12, 0x1.23f9ab1a44253p-12, 0x1.1fedf0db36fap-12, 0x1.1c00d227ab49ep-12, 0x1.1830a20e27da3p-12, 0x1.147bb3109d5f4p-12, 0x1.10e07abaf424cp-12, 0x1.0d5d8f7438f5ap-12, 0x1.09f18757b7a98p-12, 0x1.069b05d775f2bp-12, 0x1.03589abd56501p-12, 0x1.0028fcddde27cp-12, 0x1.fa16dcbe5416dp-13, 0x1.f3fe780b59ec5p-13, 0x1.ee07e7eb2fbf6p-13, 0x1.e831786debd51p-13, 0x1.e279e2fac8c22p-13, 0x1.dcdfe7d175e28p-13, 0x1.d7618317344bap-13, 0x1.d1fd913181775p-13, 0x1.ccb366156d255p-13, 0x1.c7810d046781ap-13, 0x1.c26490e9c1cc5p-13, 0x1.bd5bfb710e8cp-13, 0x1.b865c67b3884bp-13, 0x1.b380ab51f70ep-13, 0x1.aeab504159543p-13, 0x1.a9e4ac5ca7e5ap-13, 0x1.a52c70f7b345ap-13, 0x1.a0825146624dp-13, 0x1.9be603330a053p-13, 0x1.97560b0166218p-13, 0x1.92d202d8a78a8p-13, 0x1.8e590fe461d32p-13, 0x1.89eb8423d8833p-13, 0x1.8588f2ab1505ep-13, 0x1.81308ec32b686p-13, 0x1.7ce0ff9d30807p-13, 0x1.7898f4c5a3189p-13, 0x1.74581c8aa04afp-13, 0x1.701e4cb3361e7p-13, 0x1.6bea9cd23b6fcp-13, 0x1.67bc4a9985a57p-13, 0x1.639309d35441fp-13, 0x1.5f6f53c5ebce6p-13, 0x1.5b50ba2b1fc5ap-13, 0x1.5736f809f878ep-13, 0x1.5321357bfed56p-13, 0x1.4f0fb01ce2ae7p-13, 0x1.4b01fcc49fcf9p-13, 0x1.46f984de837d2p-13, 0x1.42f5627c471a5p-13, 0x1.3ef4e1dc2d873p-13, 0x1.3af73544f70ecp-13, 0x1.36fbfbf94bba5p-13, 0x1.3303fa084cb3ep-13, 0x1.2f0f7d3b9fb74p-13, 0x1.2b1d34af9334p-13, 0x1.272d35324cc65p-13, 0x1.233f8a2b048cp-13, 0x1.1f54144f53c54p-13, 0x1.1b6b163c19ebdp-13, 0x1.17846e77f6e01p-13, 0x1.139f77a94d5a6p-13, 0x1.0fbce2d70e7efp-13, 0x1.0bdcb1449a924p-13, 0x1.07fefeb959616p-13, 0x1.0423e0d694bc7p-13, 0x1.004b0ebc27cf2p-13, 0x1.f8e91c62eecfep-14, 0x1.f13f68ec14fcbp-14, 0x1.e99a600321465p-14, 0x1.e1fa9dd5977f6p-14, 0x1.da5fb829bd9bap-14, 0x1.d2c9b5208da47p-14, 0x1.cb387d11db374p-14, 0x1.c3ac236708bd7p-14, 0x1.bc24444a18768p-14, 0x1.b4a1754b16e6p-14, 0x1.ad23e33cd25dbp-14, 0x1.a5ac0c86f8bebp-14, 0x1.9e392444ad34cp-14, 0x1.96cc72982cadap-14, 0x1.8f658659827fep-14, 0x1.88046a8c07abcp-14, 0x1.80a996d1050c9p-14, 0x1.7954c26701052p-14, 0x1.7206803bf85acp-14, 0x1.6abe99ade55c6p-14, 0x1.637db99d04c58p-14, 0x1.5c4368070d6c2p-14, 0x1.55104ac22989ap-14, 0x1.4de4efc68b7d6p-14, 0x1.46c06406d996dp-14, 0x1.3fa3cb5517c1bp-14, 0x1.388e537dba6fap-14, 0x1.318107558e619p-14, 0x1.2a7b56f33ac15p-14, 0x1.237dd65e7130bp-14, 0x1.1c88df6d69f33p-14, 0x1.159ccb3d17e8ap-14, 0x1.0eb8f66fc7bbep-14, 0x1.07ddb96c91828p-14, 0x1.010b8b983844ep-14, 0x1.f484f8ff86573p-15, 0x1.e705e4e485b9p-15, 0x1.d999933179edp-15, 0x1.cc3f7e6dae28p-15, 0x1.bef948278d594p-15, 0x1.b1c6ebfd9c122p-15, 0x1.a4a8c8584dac5p-15, 0x1.979f01d5fcbafp-15, 0x1.8aa9b5149450ep-15, 0x1.7dc92b2222087p-15, 0x1.70fd07a3ad0d5p-15, 0x1.6446c6fd8f39cp-15, 0x1.57a669909f3fap-15, 0x1.4b1a72db20748p-15, 0x1.3ea5a8e4f1574p-15, 0x1.32469269aa4b4p-15, 0x1.25fe41a762fbap-15, 0x1.19cc701f853e5p-15, 0x1.0db16be7450c6p-15, 0x1.01ad6d179b786p-15, 0x1.eb81d86abf92ep-16, 0x1.d3d7c1338563dp-16, 0x1.bc5c7c708e33dp-16, 0x1.a511297de70c9p-16, 0x1.8df4c0d03e0e3p-16, 0x1.770940fd760aap-16, 0x1.604fba560ed6ep-16, 0x1.49c62d4c0a767p-16, 0x1.336dcf9aabe73p-16, 0x1.1d47707135651p-16, 0x1.074f1abf50343p-16, 0x1.e316da1a81031p-17, 0x1.b7f415bc95614p-17, 0x1.8d345ec3830ebp-17, 0x1.62dbe36418b48p-17, 0x1.38e742cf0caf4p-17, 0x1.0f59123bd381p-17, 0x1.cc5f266be7075p-18, 0x1.7ad751c696364p-18, 0x1.2a1d01a756e21p-18, 0x1.b46422d737d83p-19, 0x1.1630f31d54ccp-19, 0x1.e67141b568ebep-21, -0x1.0b1b6044ffc95p-22, -0x1.758c8d9d81e7p-20, -0x1.52834a1a57f84p-19, -0x1.e8abd5f7135eap-19, -0x1.3e976b28959fp-18, -0x1.88085f4d4df7dp-18, -0x1.d0aa2dc1cf66cp-18, -0x1.0c3b853acf4f6p-17, -0x1.2fbc7bb38a2e5p-17, -0x1.52d5984b0526fp-17, -0x1.7587148865177p-17, -0x1.97d1cf4a685cp-17, -0x1.b9b1131a1f6cdp-17, -0x1.db2b27daee528p-17, -0x1.fc3d48a22f98bp-17, -0x1.0e743ad90219p-16, -0x1.1e961c0e26f39p-16, -0x1.2e8417663b6e9p-16, -0x1.3e3fd1039f976p-16, -0x1.4dc6c89496901p-16, -0x1.5d1b0ec99e6fap-16, -0x1.6c3c57b193a93p-16, -0x1.7b2c0fc4ec9efp-16, -0x1.89e7b760b04ap-16, -0x1.98710c6978135p-16, -0x1.a6c6dff9d5d48p-16, -0x1.b4ea7ff65e651p-16, -0x1.c2dc87b77a6d8p-16, -0x1.d09c8016156abp-16, -0x1.de2b87ff23448p-16, -0x1.eb8914592a4d9p-16, -0x1.f8b40ee58c617p-16, -0x1.02d6f7ce71a15p-15, -0x1.093b77c091f17p-15, -0x1.0f87a4488e452p-15, -0x1.15bb876b8c09cp-15, -0x1.1bd70b3b5d764p-15, -0x1.21dabdd24834bp-15, -0x1.27c6bc15ef423p-15, -0x1.2d9aa5d50f8fp-15, -0x1.3356f4d5a3f96p-15, -0x1.38fb78bd490f4p-15, -0x1.3e88da6dfe95cp-15, -0x1.43feb3a4d595bp-15, -0x1.495d754af0ba1p-15, -0x1.4ea57917af1f6p-15, -0x1.53d689a7ebde2p-15, -0x1.58ef815bc446ap-15, -0x1.5df2e5b781c8fp-15, -0x1.62df5d68575d3p-15, -0x1.67b6ed799d98ap-15, -0x1.6c778c80e665bp-15, -0x1.71215b4a45a6cp-15, -0x1.75b578c5680fbp-15, -0x1.7a342e2a6f7abp-15, -0x1.7e9d29a80df09p-15, -0x1.82f0b94bd254ep-15, -0x1.872f0f518328cp-15, -0x1.8b581ee87162ap-15, -0x1.8f6c1d74f313fp-15, -0x1.936b4f85e1205p-15, -0x1.9755f34d66f78p-15, -0x1.9b2c1bc0fc9cfp-15, -0x1.9eedc7e106ec7p-15, -0x1.a29ad1339e04ep-15, -0x1.a634759e31dp-15, -0x1.a9b9b0ca85d5fp-15, -0x1.ad2bda8b75adbp-15, -0x1.b08a7d662153ap-15, -0x1.b3d52e149a4b1p-15, -0x1.b70c76ccc52b4p-15, -0x1.ba31277d1382p-15, -0x1.bd424a15a5bd5p-15, -0x1.c041c033e1a36p-15, -0x1.c32e24776b9f5p-15, -0x1.c607d23578665p-15, -0x1.c8cfc4497c00ap-15, -0x1.cb854dcdd5c06p-15, -0x1.ce2925c02969fp-15, -0x1.d0bb0f990ec12p-15, -0x1.d33b6a7e3400dp-15, -0x1.d5aa2232f9538p-15, -0x1.d807f947001e3p-15, -0x1.da54be114db5ep-15, -0x1.dc908eced394p-15, -0x1.debbb694f9df1p-15, -0x1.e0d654a20c528p-15, -0x1.e2e00a96dd84ap-15, -0x1.e4d99fe87f3efp-15, -0x1.e6c380b8fcabap-15, -0x1.e89d6a89b31a7p-15, -0x1.ea67ef07d4892p-15, -0x1.ec22258260545p-15, -0x1.edcd332bbebabp-15, -0x1.ef69348fdf68fp-15, -0x1.f0f598d4671edp-15, -0x1.f27372304b96fp-15, -0x1.f3e27b7083a73p-15, -0x1.f542bf7cb23ep-15, -0x1.f6953b8c4216ap-15, -0x1.f7d98d9ab2537p-15, -0x1.f90f4c0050bf4p-15, -0x1.fa362b6441ae1p-15, -0x1.fb5057ea1b106p-15, -0x1.fc5cb64b8d51p-15, -0x1.fd5bb1a8abe5cp-15, -0x1.fe4cde3b2c9ep-15, -0x1.ff3168ddbc9fp-15, -0x1.000485e1adfb2p-14, -0x1.0069da0e1c585p-14, -0x1.00c89775cd4f9p-14, -0x1.01215bed3981p-14, -0x1.0173f0f40ff33p-14, -0x1.01c05a2a48aa5p-14, -0x1.02068c7b94a35p-14, -0x1.0246cedb321f5p-14, -0x1.028174219a97ep-14, -0x1.02b61fcca89afp-14, -0x1.02e540a72163fp-14, -0x1.030e813d00f1ep-14, -0x1.03322a0417149p-14, -0x1.03505ac412a95p-14, -0x1.03692414066c4p-14, -0x1.037ca38a605e2p-14, -0x1.038ac91121081p-14, -0x1.0393adc4697c9p-14, -0x1.03977cdb0ec18p-14, -0x1.0396243fcc522p-14, -0x1.038fe2290f212p-14, -0x1.03844920322f4p-14, -0x1.03745ebd66b0fp-14, -0x1.035f8890d876p-14, -0x1.034622e775028p-14, -0x1.0327f60b8718bp-14, -0x1.0304a79a4909dp-14, -0x1.02dd35b9ed1adp-14, -0x1.02b13a034b993p-14, -0x1.028115dbd2c1bp-14, -0x1.024ca0a6a123ep-14, -0x1.0213d9e427de7p-14, -0x1.01d699f813a8ap-14, -0x1.0195707dbdd3ap-14, -0x1.015011c97e3d4p-14, -0x1.010711786b414p-14, -0x1.00b9fbf358c5cp-14, -0x1.0068b18334f28p-14, -0x1.0013a0415f40dp-14, -0x1.ff763357283bdp-15, -0x1.febd7d742439p-15, -0x1.fdfdeb7cf2232p-15, -0x1.fd36c00adddd4p-15, -0x1.fc688168f532cp-15, -0x1.fb9386ffbdb6cp-15, -0x1.fab7b52b3b849p-15, -0x1.f9d5290afaba6p-15, -0x1.f8ec0b4c921f4p-15, -0x1.f7fc89f162b0bp-15, -0x1.f706d7c4fb659p-15, -0x1.f60ae89668166p-15, -0x1.f508696c3baf8p-15, -0x1.f3ffdc5e65e13p-15, -0x1.f2f1ffbdefcfbp-15, -0x1.f1ddf899a5e2ap-15, -0x1.f0c51e5c46ab3p-15, -0x1.efa5e9428c17p-15, -0x1.ee80d4a68e1aap-15, -0x1.ed56a9a2b9d5bp-15, -0x1.ec27c9e843101p-15, -0x1.eaf38d34bbd41p-15, -0x1.e9ba156bcb38bp-15, -0x1.e87b6cda9f49fp-15, -0x1.e737c252fcdc2p-15, -0x1.e5f00ed8fed78p-15, -0x1.e4a3252966b1p-15, -0x1.e35250d34d511p-15, -0x1.e1fc6f608de04p-15, -0x1.e0a21f48c450fp-15, -0x1.df43a6980ec79p-15, -0x1.dde153acfa01fp-15, -0x1.dc7b04b23a917p-15, -0x1.db0fcafcca8e9p-15, -0x1.d9a096dc9cf74p-15, -0x1.d82e850e37c9dp-15, -0x1.d6b81c8519b0cp-15, -0x1.d53df66bc0e45p-15, -0x1.d3c0aaf22125fp-15, -0x1.d23f877578bc3p-15, -0x1.d0bb336fd5f9p-15, -0x1.cf3391acd2b78p-15, -0x1.cda88c6025a2fp-15, -0x1.cc1a481fe3889p-15, -0x1.ca8941395901cp-15, -0x1.c8f4fce80d657p-15, -0x1.c75d9e3eadc12p-15, -0x1.c5c39564dc656p-15, -0x1.c426a787a5978p-15, -0x1.c2873e21c28c1p-15, -0x1.c0e4c1c0749f2p-15, -0x1.bf40c5087a656p-15, -0x1.bd99b96c77331p-15, -0x1.bbefad60df003p-15, -0x1.ba43d690b76dcp-15, -0x1.b895c988ecaddp-15, -0x1.b6e58994d8fe9p-15, -0x1.b5333b9eb5b6bp-15, -0x1.b37e55cfab601p-15, -0x1.b1c7eb9306d6dp-15, -0x1.b00f51e301697p-15, -0x1.ae5577624148cp-15, -0x1.ac994c5db8666p-15, -0x1.aadb6d6828fa5p-15, -0x1.a91c1595ad8edp-15, -0x1.a75af2ead698p-15, -0x1.a597f8276619fp-15, -0x1.a3d3fd01fb581p-15, -0x1.a20e9790946d2p-15, -0x1.a047ffd0b0286p-15, -0x1.9e7fc55adeeddp-15, -0x1.9cb61b6f5a22ep-15, -0x1.9aebc73396c11p-15, -0x1.991f8fc773fbbp-15, -0x1.9752de3ba9e03p-15, -0x1.9585185e9b7e5p-15, -0x1.93b62e22b8c1fp-15, -0x1.91e65801b3881p-15, -0x1.9015c290fcdb9p-15, -0x1.8e442f22d4c5fp-15, -0x1.8c7229c0e1e61p-15, -0x1.8a9fc4a83078dp-15, -0x1.88cbeff3da1e2p-15, -0x1.86f75fc1c5c79p-15, -0x1.8522e7f003586p-15, -0x1.834d98a60cc76p-15, -0x1.8177d95752083p-15, -0x1.7fa1c5f921288p-15, -0x1.7dcb0e69fb067p-15, -0x1.7bf44ccca4f98p-15, -0x1.7a1d025e8c49dp-15, -0x1.7845d51e1bf79p-15, -0x1.766e3ca52fb5fp-15, -0x1.7496662d1487bp-15, -0x1.72be8856a0ef4p-15, -0x1.70e69fff8fd91p-15, -0x1.6f0e95a39896bp-15, -0x1.6d362e4159e34p-15, -0x1.6b5e6461e4289p-15, -0x1.6986791e95735p-15, -0x1.67aedac1ff76ap-15, -0x1.65d77205b87efp-15, -0x1.640003a4bbd6cp-15, -0x1.6228507fe1e29p-15, -0x1.60518390a3eb5p-15, -0x1.5e7aaff0cf696p-15, -0x1.5ca52d0564982p-15, -0x1.5ace93deb40a2p-15, -0x1.58f948099166fp-15, -0x1.5723b3d431ceap-15, -0x1.554f258891909p-15, -0x1.537b2d889ce8p-15, -0x1.51a7fb4fd196ep-15, -0x1.4fd470e3fe806p-15, -0x1.4e01bdb876066p-15, -0x1.4c3000459b1ep-15, -0x1.4a5ee15ba5eefp-15, -0x1.488e27fc9c102p-15, -0x1.46be5af1523cap-15, -0x1.44ef32fa0aed8p-15, -0x1.4320c9362f949p-15, -0x1.41532575918c1p-15, -0x1.3f866d7fb40bdp-15, -0x1.3dba85d5fc6ebp-15, -0x1.3bef64784f1bfp-15, -0x1.3a252dbe6d2a5p-15, -0x1.385bbc7d8b9c3p-15, -0x1.369360edecdf8p-15, -0x1.34cbf69bab2fep-15, -0x1.330583212e92ap-15, -0x1.31400f7ea1046p-15, -0x1.2f7ba14f95f0ep-15, -0x1.2db8411e5bbc4p-15, -0x1.2bf5e10cc0effp-15, -0x1.2a34a2db209d3p-15, -0x1.28747649053b9p-15, -0x1.26b56d8c012e8p-15, -0x1.24f78422b1a91p-15, -0x1.233ac9de3f8c6p-15, -0x1.217f8386146dbp-15, -0x1.1fc529ff26ca3p-15, -0x1.1e0bf86741653p-15, -0x1.1c53e5acaa959p-15, -0x1.1a9d859c6fdeep-15, -0x1.18e821cdfc4eap-15, -0x1.1733e5d4ba75fp-15, -0x1.158177162e90fp-15, -0x1.13cf7adb37b92p-15, -0x1.121f6f0d237d7p-15, -0x1.10706bb0f5a1ap-15, -0x1.0ec3b8116ea9fp-15, -0x1.0d17a0d880705p-15, -0x1.0b6caedfc829ep-15, -0x1.09c3589e1729fp-15, -0x1.081b7cc6f47bdp-15, -0x1.067510ed42c82p-15, -0x1.04cf711759f46p-15, -0x1.032c8e1c83d2ep-15, -0x1.018a759e3797dp-15, -0x1.ffd3a4838a31fp-16, -0x1.fc954da8a4f45p-16, -0x1.f95a22cb66e8bp-16, -0x1.f62259aad03d1p-16, -0x1.f2ecd07925f65p-16, -0x1.efbb238dde05bp-16, -0x1.ec8bac7a40dcep-16, -0x1.e95f3a65e18bdp-16, -0x1.e636394c04392p-16, -0x1.e31143c7594abp-16, -0x1.dfeea9e2a16fbp-16, -0x1.dccec8f4d253bp-16, -0x1.d9b251e6dc202p-16, -0x1.d6998f398a5fep-16, -0x1.d383e21582041p-16, -0x1.d0711b5e90642p-16, -0x1.cd612faf5bd89p-16, -0x1.ca5589644b4cfp-16, -0x1.c74c8f12ac19bp-16, -0x1.c4473af0b36cep-16, -0x1.c1445ce7cfa67p-16, -0x1.be452bb685daap-16, -0x1.bb4984b23f85cp-16, -0x1.b8511708e26d7p-16, -0x1.b55c401751c5ap-16, -0x1.b26a0f5c39dc4p-16, -0x1.af7bdf5f2a949p-16, -0x1.ac90d5e9e559fp-16, -0x1.a9a8e93b3d36cp-16, -0x1.a6c4d893ca16p-16, -0x1.a3e370b99be15p-16, -0x1.a105df668f4a4p-16, -0x1.9e2abbd0fad7cp-16, -0x1.9b54bf28207e7p-16, -0x1.98815d30b1636p-16, -0x1.95b1c7fc712bcp-16, -0x1.92e52230dcefep-16, -0x1.901be59c9586p-16, -0x1.8d5605b0e6e9fp-16, -0x1.8a933609f8a56p-16, -0x1.87d45f6f5391cp-16, -0x1.8518ef0c5f0c8p-16, -0x1.8260ec90e4486p-16, -0x1.7fac97e3b9fa3p-16, -0x1.7cfb4d030c8eap-16, -0x1.7a4d183c5287ap-16, -0x1.77a2dfb70aea8p-16, -0x1.74fc2f15a28ecp-16, -0x1.7258d0d760bd2p-16, -0x1.6fb8d53a7bf8dp-16, -0x1.6d1c673d38f26p-16, -0x1.6a83048da881cp-16, -0x1.67ed376e3bee1p-16, -0x1.655b58e9798fbp-16, -0x1.62cc4b714f0dp-16, -0x1.6040d98980046p-16, -0x1.5db8e104b287cp-16, -0x1.5b3480582bdecp-16, -0x1.58b3727b65bb1p-16, -0x1.5635e8fd413d5p-16, -0x1.53bb95ab7fe17p-16, -0x1.5143fa82bef9fp-16, -0x1.4ed0f9a75e141p-16, -0x1.4c61bc8ba6133p-16, -0x1.49f52fd7c6a72p-16, -0x1.478b8b58a7ae1p-16, -0x1.4525cd5077c09p-16, -0x1.42c3c2e9092bfp-16, -0x1.40641ce03dfa1p-16, -0x1.3e0974ca7f7e5p-16, -0x1.3bb151e2aadacp-16, -0x1.395c447228e48p-16, -0x1.370a348fc5095p-16, -0x1.34bbfb4c8325ap-16, -0x1.3271f2052813dp-16, -0x1.302b2c54e5d05p-16, -0x1.2de6457fa2b44p-16, -0x1.2ba596418592p-16, -0x1.2968637fe4575p-16, -0x1.272f212b040c7p-16, -0x1.24f8d8f6fb3dp-16, -0x1.22c3c32b98173p-16, -0x1.20940d640bd5ap-16, -0x1.1e67d201f5d97p-16, -0x1.1c3ea2e01e7a7p-16, -0x1.1a18223dd5c7p-16, -0x1.17f4ca9167219p-16, -0x1.15d5b7772e7d5p-16, -0x1.13b92401ba9a5p-16, -0x1.119feb72cd96cp-16, -0x1.0f89e0f5afdb8p-16, -0x1.0d776546bb5eap-16, -0x1.0b68067ec7a3fp-16, -0x1.095bfa54ce7cdp-16, -0x1.0752a31dc3d23p-16, -0x1.054cc129d0b9cp-16, -0x1.034a470ef8b74p-16, -0x1.014b38009b72ap-16, -0x1.fe9d9adb33124p-17, -0x1.faaa52feb3e1dp-17, -0x1.f6be92b9833aep-17, -0x1.f2d96269f6ee9p-17, -0x1.eef9f709833ffp-17, -0x1.eb1e1441d91f1p-17, -0x1.e74c990f66d37p-17, -0x1.e380867c1adp-17, -0x1.dfba5c79915d9p-17, -0x1.dbfa08a441cffp-17, -0x1.d83ef29fd8e0bp-17, -0x1.d48a653c91ef5p-17, -0x1.d0dd20785d534p-17, -0x1.cd33a1698e6edp-17, -0x1.c9921224fb87fp-17, -0x1.c5f5e05662735p-17, -0x1.c2606e12a6fcap-17, -0x1.bed00900e9b75p-17, -0x1.bb4588629a863p-17, -0x1.b7c1a5a0c26f9p-17, -0x1.b44368926a9f9p-17, -0x1.b0c9d46210de8p-17, -0x1.ad571d7f5d91fp-17, -0x1.a9eb2ffb8756dp-17, -0x1.a684af09a3f9ap-17, -0x1.a32166569b7c4p-17, -0x1.9fc710e48e15cp-17, -0x1.9c723fd9915f4p-17, -0x1.9921798994b98p-17, -0x1.95d72fa359334p-17, -0x1.9291c16daa0cfp-17, -0x1.8f547dfdd8062p-17, -0x1.8c1a3a6e9fe74p-17, -0x1.88e5daa9d7ec7p-17, -0x1.85b887dd2bafcp-17, -0x1.828fed18d17dap-17, -0x1.7f6bdda272436p-17, -0x1.7c4e3a4c5593bp-17, -0x1.7936d7b8e80abp-17, -0x1.7622788e38ef2p-17, -0x1.731569fd09974p-17, -0x1.700e0cac53b9bp-17, -0x1.6d0c358c2b323p-17, -0x1.6a0d183686268p-17, -0x1.6715b65aa7091p-17, -0x1.6422595d5e193p-17, -0x1.61358541811b9p-17, -0x1.5e4d80a29531dp-17, -0x1.5b6a7c412fc15p-17, -0x1.588d046291f74p-17, -0x1.55b3f88e4b663p-17, -0x1.52df7c247aac9p-17, -0x1.50115e0bb47dcp-17, -0x1.4d496b17d7ca3p-17, -0x1.4a84ed563de76p-17, -0x1.47c630e14446fp-17, -0x1.450ae328ce593p-17, -0x1.42562413935e9p-17, -0x1.3fa5431a406a1p-17, -0x1.3cfab02443017p-17, -0x1.3a54016b9e7afp-17, -0x1.37b1d7df3789dp-17, -0x1.3515184531aeap-17, -0x1.327de08dd66fdp-17, -0x1.2feae1a8918b7p-17, -0x1.2d5c220106f7ap-17, -0x1.2ad2615edb47bp-17, -0x1.284df7c6b4e46p-17, -0x1.25cce00795845p-17, -0x1.2351e5617b2d7p-17, -0x1.20dbeaf954d6ep-17, -0x1.1e691d2e83ae6p-17, -0x1.1bfb9be2123ffp-17, -0x1.1991b65ac721p-17, -0x1.172f712743876p-17, -0x1.14cea413c39ffp-17, -0x1.1272e35508894p-17, -0x1.101bdc51fcd7cp-17, -0x1.0dc958bc0aebfp-17, -0x1.0b7b37cf93ee3p-17, -0x1.09317564963cep-17, -0x1.06ec74ded488bp-17, -0x1.04abea90a0724p-17, -0x1.026fceccd68cep-17, -0x1.00356714e8ep-17, -0x1.fc048a81916a4p-18, -0x1.f7a49b17decfp-18, -0x1.f34ec6ded4426p-18, -0x1.eefe4c9f585a4p-18, -0x1.eab842007f653p-18, -0x1.e679ba6b1dea1p-18, -0x1.e2438fb30a942p-18, -0x1.de15c198755aep-18, -0x1.d9f0e84c385e1p-18, -0x1.d5d3397f716ecp-18, -0x1.d1bdc71c03af7p-18, -0x1.cdafe835927bap-18, -0x1.c9aadb46ebbfep-18, -0x1.c5ab31387cb92p-18, -0x1.c1b7a1290cbbap-18, -0x1.bdc984a93ecc5p-18, -0x1.b9e1b981855bcp-18, -0x1.b6033eb2ebdf9p-18, -0x1.b22fd96e37562p-18, -0x1.ae5eb04fb9866p-18, -0x1.aa970003d039ep-18, -0x1.a6d5fb72c51adp-18, -0x1.a31dbce5da55ap-18, -0x1.9f6c583ae2c63p-18, -0x1.9bc2c7a2bd1a7p-18, -0x1.9820a9ab13199p-18, -0x1.94857b094592p-18, -0x1.90ef2c3cf22b6p-18, -0x1.8d64dfe4558e3p-18, -0x1.89df3e1eddeb6p-18, -0x1.86619134ca821p-18, -0x1.82e75fbb5a947p-18, -0x1.7f77197406a5bp-18, -0x1.7c0e1bf07d1adp-18, -0x1.78aeebf8e2a73p-18, -0x1.75506422a6592p-18, -0x1.71fc17343c96ap-18, -0x1.6eac2b191d269p-18, -0x1.6b6635f2e297bp-18, -0x1.68262ec0dbdd1p-18, -0x1.64ec2b47eb77dp-18, -0x1.61b8bb8b275eap-18, -0x1.5e8b5b689ee8cp-18, -0x1.5b64e2abff799p-18, -0x1.584513d3e284fp-18, -0x1.552d0554ada71p-18, -0x1.521a27924b0a8p-18, -0x1.4f0c29d4db371p-18, -0x1.4c05d9115a9f2p-18, -0x1.490514626bf5ap-18, -0x1.460c58becbe24p-18, -0x1.43190d542d6dp-18, -0x1.402b3e276714dp-18, -0x1.3d43579af0eaep-18, -0x1.3a61d2ef6f78bp-18, -0x1.378694ee9857cp-18, -0x1.34b1a660f6251p-18, -0x1.31e24ff196121p-18, -0x1.2f183a4f72212p-18, -0x1.2c55316f098e9p-18, -0x1.29945169283d4p-18, -0x1.26dcb771d504fp-18, -0x1.242c3e6ad72a2p-18, -0x1.21806db110b04p-18, -0x1.1ed79e4b1e491p-18, -0x1.1c36b63a3a69ap-18, -0x1.199b3a20633f8p-18, -0x1.1704b2a0c371p-18, -0x1.14719aa709cd9p-18, -0x1.11e7db560f5ddp-18, -0x1.0f6329aabab94p-18, -0x1.0ce1551ca84b7p-18, -0x1.0a667c6f333eap-18, -0x1.07ef0fe57741fp-18, -0x1.057eae95afb11p-18, -0x1.0313745c59bc8p-18, -0x1.00ad3ebc7d402p-18, -0x1.fc99316b792f3p-19, -0x1.f7de7014960f1p-19, -0x1.f3310fff4e94ap-19, -0x1.ee8c24ce131c4p-19, -0x1.e9f46514d741cp-19, -0x1.e562ec08e4b89p-19, -0x1.e0db5c7515ec4p-19, -0x1.dc61a5684696dp-19, -0x1.d7ef73fece363p-19, -0x1.d383f7aaf438cp-19, -0x1.cf236d069d9fep-19, -0x1.cace88e181963p-19, -0x1.c680c761214bep-19, -0x1.c2405ca098973p-19, -0x1.be056a02a2f8fp-19, -0x1.b9d4377b9c0ecp-19, -0x1.b5ac4c90f51edp-19, -0x1.b18da02a757bbp-19, -0x1.ad7826fb84f52p-19, -0x1.a96c25f46db0dp-19, -0x1.a566fc37828cfp-19, -0x1.a16c588525f61p-19, -0x1.9d7b2d27b887p-19, -0x1.99942701b69f1p-19, -0x1.95b0c39ff3ccap-19, -0x1.91d707aac39a7p-19, -0x1.8e0866e2e8ebcp-19, -0x1.8a4282a081866p-19, -0x1.8684843495fecp-19, -0x1.82ca36d7226dep-19, -0x1.7f1d178ebac4fp-19, -0x1.7b780cc79d857p-19, -0x1.77d8f2816dea7p-19, -0x1.7440577f8e531p-19, -0x1.70b6ed1dcf65fp-19, -0x1.6d2ed802b3a9ep-19, -0x1.69b11f486f68bp-19, -0x1.6638f9a789e3fp-19, -0x1.62cd6262bb0f1p-19, -0x1.5f62a4767c8d5p-19, -0x1.5c02dd9472494p-19, -0x1.58adf1048520dp-19, -0x1.555d61c3271bfp-19, -0x1.5211a7c67fa3ap-19, -0x1.4ecf5f396596dp-19, -0x1.4b97d04191626p-19, -0x1.4864d89490352p-19, -0x1.45384d3962ea2p-19, -0x1.42131d31abe44p-19, -0x1.3ef722f75e7a3p-19, -0x1.3bded56eb37b6p-19, -0x1.38cfa481c3085p-19, -0x1.35c72ff170db4p-19, -0x1.32c84f6615256p-19, -0x1.2fcbcb60dca2bp-19, -0x1.2cd66c8215edap-19, -0x1.29ea8ce646dffp-19, -0x1.2703f8e3955bbp-19, -0x1.2422c1c3e7873p-19, -0x1.21488fbf8c401p-19, -0x1.1e78ec73bc83p-19, -0x1.1baad45c217f3p-19, -0x1.18e5c67d3a0f1p-19, -0x1.1623dd94745bep-19, -0x1.136b0405d1fe3p-19, -0x1.10b760c6dfb25p-19, -0x1.0e0a68ea4e663p-19, -0x1.0b647513e849dp-19, -0x1.08c42e9a5cfe1p-19, -0x1.062a263fb094fp-19, -0x1.0394e556086dcp-19, -0x1.01064126dd5b8p-19, -0x1.fcfbf51320ed3p-20, -0x1.f7f6cba2162ap-20, -0x1.f2f89639c89p-20, -0x1.ee0bec730abf4p-20, -0x1.e92bc91c8c8p-20, -0x1.e45375c695773p-20, -0x1.df8075c91e993p-20, -0x1.dac460952d778p-20, -0x1.d610ae46106bap-20, -0x1.d165ebb37e821p-20, -0x1.ccc18271092b2p-20, -0x1.c82acc1e20453p-20, -0x1.c3a3bd9f4c51ap-20, -0x1.bf2341cc4ea2fp-20, -0x1.baac1f0975caep-20, -0x1.b63eeb17115e5p-20, -0x1.b1deb33b5990ep-20, -0x1.ad8b199d72db1p-20, -0x1.a93ea35626871p-20, -0x1.a4f9791f4b04ap-20, -0x1.a0c074017e16dp-20, -0x1.9c95d631756abp-20, -0x1.987071d794c61p-20, -0x1.9454b9568c844p-20, -0x1.904371baef01fp-20, -0x1.8c3df38b610a2p-20, }}, 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      {{-0x1.3afaef6be5cadp-1, -0x1.3b7835d6d9e3bp-1, -0x1.3c21031541b4ep-1, -0x1.3cef4315bd5b6p-1, -0x1.3ddbbc07bbe28p-1, -0x1.3ede5aae05047p-1, -0x1.3fee7a85787dfp-1, -0x1.41032743915ebp-1, -0x1.4213566a758d8p-1, -0x1.431618840f825p-1, -0x1.4402c22027cfap-1, -0x1.44d10d0816c57p-1, -0x1.4579324ceaeebp-1, -0x1.45f3fdee13577p-1, -0x1.463adcdecff1p-1, -0x1.4647e62dae41ap-1, -0x1.4615e00763a9dp-1, -0x1.45a0414040caep-1, -0x1.44e32fff53aa9p-1, -0x1.43db7e157a136p-1, -0x1.4286a37a06958p-1, -0x1.40e2b756c38b2p-1, -0x1.3eee67fe70834p-1, -0x1.3ca8f21b6a40ep-1, -0x1.3a1217582867dp-1, -0x1.372a14b88710bp-1, -0x1.33f198d16ddfp-1, -0x1.3069ba04305d2p-1, -0x1.2c93ecdbe7ecdp-1, -0x1.2871faa4e901ap-1, -0x1.2405f85138d89p-1, -0x1.1f523db87552ep-1, -0x1.1a595d3dd8d4p-1, -0x1.151e1be3d7ae2p-1, -0x1.0fa369d234335p-1, -0x1.09ec5b5127771p-1, -0x1.03fc223a77928p-1, -0x1.fbac0fbfa824bp-2, -0x1.eefacec93f8bp-2, -0x1.e1eb5110bd8dp-2, -0x1.d48475bc841b5p-2, -0x1.c6cd22db6bb3ap-2, -0x1.b8cc3d6eebe5ep-2, -0x1.aa88a234b0a3cp-2, -0x1.9c091f25b23f8p-2, -0x1.8d546da0a4e3dp-2, -0x1.7e712d3597d74p-2, -0x1.6f65df08a4c52p-2, -0x1.6038e1c1c2bc6p-2, -0x1.50f06e0006adep-2, -0x1.41929346f4eap-2, -0x1.3225355cd72b5p-2, -0x1.22ae0a116c5d2p-2, -0x1.13329764bc4a7p-2, -0x1.03b832062c10cp-2, -0x1.e887f848f81b6p-3, -0x1.c9b5c90f50134p-3, -0x1.ab034bdc3f74bp-3, -0x1.8c798d4e6b051p-3, -0x1.6e2130ca050e5p-3, -0x1.50027080cc389p-3, -0x1.32251dd44e9b6p-3, -0x1.1490a2093745fp-3, -0x1.ee97fe86105d4p-4, -0x1.b4bba380cb82bp-4, -0x1.7b98a2a12766p-4, -0x1.433aa5f6e58b3p-4, -0x1.0bac95ab72fc3p-4, -0x1.a9f137ef01f82p-5, -0x1.3e5052b6680c5p-5, -0x1.a90fe43d50341p-6, -0x1.b2a0ad354af9bp-7, -0x1.afeeebbb0429bp-11, 0x1.748fb4d282259p-7, 0x1.7ded4763092ap-6, 0x1.1ead75c7cdedap-5, 0x1.7c3ea0d688414p-5, 0x1.d7a1873c7349dp-5, 0x1.186752f7b7886p-4, 0x1.43dfc50988421p-4, 0x1.6e37634aefb7cp-4, 0x1.976bf4ee08052p-4, 0x1.bf7bb9bef13d8p-4, 0x1.e665650f964f3p-4, 0x1.06140c593fa55p-3, 0x1.1861b0036f032p-3, 0x1.2a1b958bf3696p-3, 0x1.3b41e4e88071cp-3, 0x1.4bd4f3a44a27dp-3, 0x1.5bd5429145ce9p-3, 0x1.6b437b85f295bp-3, 0x1.7a206f28158e1p-3, 0x1.886d12c4ea2b4p-3, 0x1.962a7e3707878p-3, 0x1.a359e9da5b2d3p-3, 0x1.affcac8e68e3fp-3, 0x1.bc1439c6fa9cbp-3, 0x1.c7a21fab672f9p-3, 0x1.d2a805447c3c8p-3, 0x1.dd27a8b91e88ep-3, 0x1.e722dd9991e54p-3, 0x1.f09b8b39689c2p-3, 0x1.f993ab180d377p-3, 0x1.0106a3abdce09p-2, 0x1.05053ca168168p-2, 0x1.08c6b3efaeb29p-2, 0x1.0c4c23485568p-2, 0x1.0f96a9e34bfa7p-2, 0x1.12a76bdd4ac42p-2, 0x1.157f919d0298p-2, 0x1.1820473ede03cp-2, 0x1.1a8abc0732132p-2, 0x1.1cc021dac270ap-2, 0x1.1ec1acbd6f198p-2, 0x1.20909256ecdd7p-2, 0x1.222e097d6032bp-2, 0x1.239b49c5b56d6p-2, 0x1.24d98b1991d9p-2, 0x1.25ea0552b770dp-2, 0x1.26cdefdbadea6p-2, 0x1.2786815595cd6p-2, 0x1.2814ef42f3056p-2, 0x1.287a6db74d0fap-2, 0x1.28b82f0b8125ap-2, 0x1.28cf639697545p-2, 0x1.28c1396afd7a7p-2, 0x1.288edc17f83c8p-2, 0x1.2839746f2ffc3p-2, 0x1.27c2284e28201p-2, 0x1.272a1a6b872a4p-2, 0x1.26726a2803a1cp-2, 0x1.259c3362d695ap-2, 0x1.24a88e518f38ep-2, 0x1.23988f5b285c9p-2, 0x1.226d46f637c3p-2, 0x1.2127c18a1e3a5p-2, 0x1.1fc9075314de9p-2, 0x1.1e521c48f8b9ep-2, 0x1.1cc40008b355fp-2, 0x1.1b1fadc02b93ap-2, 0x1.19661c1c94ff9p-2, 0x1.17983d3b0f91ep-2, 0x1.15b6fe9b6fd2ap-2, 0x1.13c349151dcc1p-2, 0x1.11be00cded527p-2, 0x1.0fa80532d7715p-2, 0x1.0d8230f27cce4p-2, 0x1.0b4d59f958cf6p-2, 0x1.090a516f929dcp-2, 0x1.06b9e3b84fdcfp-2, 0x1.045cd87277802p-2, 0x1.01f3f27ad6aabp-2, 0x1.feffdfdf07f7p-3, 0x1.fa031468fd402p-3, 0x1.f4f2ebf2e11c6p-3, 0x1.efd0c680fa0adp-3, 0x1.ea9dfacc25fadp-3, 0x1.e55bd653604d9p-3, 0x1.e00b9d6f05ce9p-3, 0x1.daae8b65b99acp-3, 0x1.d545d282d418dp-3, 0x1.cfd29c2e3b765p-3, 0x1.ca56090585ffp-3, 0x1.c4d130f65bc11p-3, 0x1.bf452359ec633p-3, 0x1.b9b2e71173e69p-3, 0x1.b41b7aa3a5ddep-3, 0x1.ae7fd45afe387p-3, 0x1.a8e0e264cba5cp-3, 0x1.a33f8af0f7f8cp-3, 0x1.9d9cac5267d55p-3, 0x1.97f91d1fee246p-3, 0x1.9255ac55b809bp-3, 0x1.8cb3217726cccp-3, 0x1.87123cb10eea1p-3, 0x1.8173b6fc34b64p-3, 0x1.7bd8424020f7ap-3, 0x1.7640897610c47p-3, 0x1.70ad30cc24b5ap-3, 0x1.6b1ed5c896422p-3, 0x1.65960f6d0be3ap-3, 0x1.60136e59eb78bp-3, 0x1.5a977cf1aa032p-3, 0x1.5522bf7c0d546p-3, 0x1.4fb5b44956dap-3, 0x1.4a50d3d54cfe6p-3, 0x1.44f490ea1dd4ep-3, 0x1.3fa158c315cb5p-3, 0x1.3a57932f19a9bp-3, 0x1.3517a2b2e846dp-3, 0x1.2fe1e4ab1b254p-3, 0x1.2ab6b16dd7052p-3, 0x1.25965c6c36178p-3, 0x1.20813453595a4p-3, 0x1.1b77832d29081p-3, 0x1.16798e80ac5b3p-3, 0x1.1187977211457p-3, 0x1.0ca1dae244722p-3, 0x1.07c8918e24203p-3, 0x1.02fbf02d4f974p-3, 0x1.fc784f20fa73p-4, 0x1.f312c97ee16a5p-4, 0x1.e9c7a22cdfd13p-4, 0x1.e09724c6972a1p-4, 0x1.d7819603e9adbp-4, 0x1.ce8733f127e7dp-4, 0x1.c5a8362657dedp-4, 0x1.bce4cdfd7ee75p-4, 0x1.b43d26c803407p-4, 0x1.abb1660305cdcp-4, 0x1.a341ab8acaceap-4, 0x1.9aee11cd2e0cbp-4, 0x1.92b6adfb0ded8p-4, 0x1.8a9b9038cb223p-4, 0x1.829cc3cdc01a7p-4, 0x1.7aba4f52c2e2p-4, 0x1.72f434dfafd22p-4, 0x1.6b4a7237f25c3p-4, 0x1.63bd00f61a00ap-4, 0x1.5c4bd6b6762b1p-4, 0x1.54f6e540b86bep-4, 0x1.4dbe1ab0a581cp-4, 0x1.46a1619dceddap-4, 0x1.3fa0a1425b7d3p-4, 0x1.38bbbda0dfef2p-4, 0x1.31f297a94b4fbp-4, 0x1.2b450d5ce205cp-4, 0x1.24b2f9f15617bp-4, 0x1.1e3c35f2f4d19p-4, 0x1.17e09765edc8ep-4, 0x1.119ff1e6beae6p-4, 0x1.0b7a16c9b8a9ep-4, 0x1.056ed539af437p-4, 0x1.fefbf4ab95634p-5, 0x1.f34ea29d08d18p-5, 0x1.e7d54703a394ep-5, 0x1.dc8f712cfcba5p-5, 0x1.d17cad2d6e9dcp-5, 0x1.c69c8413a0599p-5, 0x1.bbee7c1a7af17p-5, 0x1.b17218d9a1cb4p-5, 0x1.a726db7461178p-5, 0x1.9d0c42c72c326p-5, 0x1.9321cb93a2d77p-5, 0x1.8966f0ab30dc7p-5, 0x1.7fdb2b184277ap-5, 0x1.767df24621d41p-5, 0x1.6d4ebc2779babp-5, 0x1.644cfd5b86d09p-5, 0x1.5b782952019e3p-5, 0x1.52cfb26dc5988p-5, 0x1.4a530a263c8fcp-5, 0x1.4201a127937p-5, 0x1.39dae771c22f1p-5, 0x1.31de4c766c875p-5, 0x1.2a0b3f359e50ep-5, 0x1.22612e5970d7fp-5, 0x1.1adf88509dc27p-5, 0x1.1385bb67fd0fcp-5, 0x1.0c5335e30569dp-5, 0x1.0547661345fccp-5, 0x1.fcc374ddd084bp-6, 0x1.ef43434c764fcp-6, 0x1.e20d1570af7fbp-6, 0x1.d51fca0da70f3p-6, 0x1.c87a40d137661p-6, 0x1.bc1b5a77d6d72p-6, 0x1.b001f8eee9299p-6, 0x1.a42cff7568d02p-6, 0x1.989b52baf4778p-6, 0x1.8d4bd8fd66383p-6, 0x1.823d7a24e0043p-6, 0x1.776f1fde6103p-6, 0x1.6cdfb5b4ff4f2p-6, 0x1.628e2929b969fp-6, 0x1.587969c9fcf33p-6, 0x1.4ea06944db9c6p-6, 0x1.45021b7f058ebp-6, 0x1.3b9d76a591032p-6, 0x1.3271733f90739p-6, 0x1.297d0c3e8d35fp-6, 0x1.20bf3f0de3b0cp-6, 0x1.18370ba113751p-6, 0x1.0fe3748106c1dp-6, 0x1.07c37ed85ed01p-6, 0x1.ffac64fd90d96p-7, 0x1.f0353406c9aadp-7, 0x1.e11f856c9bc6cp-7, 0x1.d269796276482p-7, 0x1.c41135beb01f4p-7, 0x1.b614e60893e9ep-7, 0x1.a872bb84d0d68p-7, 0x1.9b28ed4099c37p-7, 0x1.8e35b81b18855p-7, 0x1.81975ecdc213ap-7, 0x1.754c29f32eb74p-7, 0x1.6952680cb427ep-7, 0x1.5da86d86cb724p-7, 0x1.524c94bc4c81bp-7, 0x1.473d3df8909bcp-7, 0x1.3c78cf78735dp-7, 0x1.31fdb56a51507p-7, 0x1.27ca61ed0ff52p-7, 0x1.1ddd4d0e2e7c7p-7, 0x1.1434f4c6ec7d2p-7, 0x1.0acfdcf8ae6e6p-7, 0x1.01ac8f6867c37p-7, 0x1.f1933772b1402p-8, 0x1.e04b2ece0e2a9p-8, 0x1.cf7e3b7cfe4ecp-8, 0x1.bf299fadec60ep-8, 0x1.af4aa91364c0ap-8, 0x1.9fdeb0d2d9125p-8, 0x1.90e31b7223ce9p-8, 0x1.825558c404ec3p-8, 0x1.7432e3d3909adp-8, 0x1.667942ceca9a3p-8, 0x1.592606f02156ep-8, 0x1.4c36cc67287eep-8, 0x1.3fa93a4091a76p-8, 0x1.337b024d52f6dp-8, 0x1.27a9e1093ed22p-8, 0x1.1c339d80c59e3p-8, 0x1.1116093638d6fp-8, 0x1.064f00067a18ep-8, 0x1.f7b8d01a3899cp-9, 0x1.e37863103e6f9p-9, 0x1.cfd8ad766f439p-9, 0x1.bcd5b7a54f7f1p-9, 0x1.aa6b9d8b705e9p-9, 0x1.98968e71cefe8p-9, 0x1.8752ccbfb27d8p-9, 0x1.769cadbdcbd74p-9, 0x1.6670995940ecp-9, 0x1.56cb09e60ea49p-9, 0x1.47a88be0fb1p-9, 0x1.3905bdb1a1f6bp-9, 0x1.2adf4f6bf2ffcp-9, 0x1.1d320291b728bp-9, 0x1.0ffaa9d3e271dp-9, 0x1.033628d402d1p-9, 0x1.edc2e7ca9ca13p-10, 0x1.d5f31f9be4f72p-10, 0x1.bef72310eb9acp-10, 0x1.a8c93c0a35a4cp-10, 0x1.9363d3d6f3c62p-10, 0x1.7ec172b8d6c03p-10, 0x1.6adcbf673f7a9p-10, 0x1.57b07e9442591p-10, 0x1.453792713699ap-10, 0x1.336cfa3463adp-10, 0x1.224bd19f1aa55p-10, 0x1.11cf5084c2d66p-10, 0x1.01f2ca527693dp-10, 0x1.e5635b2e912fep-11, 0x1.c80f071b5ab8ap-11, 0x1.abdfdf4b29882p-11, 0x1.90cd5e1f51029p-11, 0x1.76cf30926d42cp-11, 0x1.5ddd3553023dfp-11, 0x1.45ef7bdf62514p-11, 0x1.2efe43a3a227ap-11, 0x1.1901fb1abd598p-11, 0x1.03f33ef0b6208p-11, 0x1.df95b24ffd141p-12, 0x1.b903808166ac7p-12, 0x1.94222cc45a48dp-12, 0x1.70e4510e0d1a4p-12, 0x1.4f3cdb57900d7p-12, 0x1.2f1f0bff3b837p-12, 0x1.107e742f72c81p-12, 0x1.e69de8952bb13p-13, 0x1.af0974b928a0ap-13, 0x1.7a2881207632ap-13, 0x1.47e49754e98edp-13, 0x1.1827d31521425p-13, 0x1.d5b9bebc9a02ap-14, 0x1.7fdde70908ff2p-14, 0x1.2e93a09d73f25p-14, 0x1.c366f48b420e2p-15, 0x1.322e14e9db7e1p-15, 0x1.5263a70a434b7p-16, 0x1.414ad7cd1982dp-18, -0x1.44c8ed820ef4ep-17, -0x1.864be3f8ade5fp-16, -0x1.2df4f173ecc21p-15, -0x1.91e092bd13dbp-15, -0x1.ef286937e43efp-15, -0x1.230526461ddcfp-14, -0x1.4b61313332146p-14, -0x1.70c594035676ep-14, -0x1.934ebdd5dba99p-14, -0x1.b31852e877c76p-14, -0x1.d03d31235457ep-14, -0x1.ead774925d0e5p-14, -0x1.01803de456bfdp-13, -0x1.0c6876193d42bp-13, -0x1.16305b297f518p-13, -0x1.1ee38cf7eeb6ep-13, -0x1.268d55133ad12p-13, -0x1.2d38a8ba3fd1ap-13, -0x1.32f02ad3bab32p-13, -0x1.37be2dde304c3p-13, -0x1.3bacb5d6f20fp-13, -0x1.3ec57a17e2ccp-13, -0x1.4111e72c2230ap-13, -0x1.429b209ca8ba8p-13, -0x1.436a02b17b872p-13, -0x1.4387242e33fcap-13, -0x1.42fad80335d44p-13, -0x1.41cd2ef74d63fp-13, -0x1.4005f948804e6p-13, -0x1.3dacc845fe30ep-13, -0x1.3ac8efdf11ab1p-13, -0x1.3761882eb19bep-13, -0x1.337d6efb343e3p-13, -0x1.2f23492e93f2dp-13, -0x1.2a5984494f3d4p-13, -0x1.252657cc63bb5p-13, -0x1.1f8fc69a3540bp-13, -0x1.199ba053b77c2p-13, -0x1.134f82ab86a69p-13, -0x1.0cb0dab10d782p-13, -0x1.05c4e6192299p-13, -0x1.fd2168f6543d1p-14, -0x1.ee32511279081p-14, -0x1.dec5f282a8d23p-14, -0x1.cee56631c6894p-14, -0x1.be99723f245f7p-14, -0x1.adea8c3c88a57p-14, -0x1.9ce0db5e4c9edp-14, -0x1.8b843a996e48bp-14, -0x1.79dc3abee448dp-14, -0x1.67f02484b1d42p-14, -0x1.55c6fa84d9f39p-14, -0x1.43677b312197bp-14, -0x1.30d822ba30179p-14, -0x1.1e1f2cedb4af1p-14, -0x1.0b42970730522p-14, -0x1.f09042f45c6c8p-15, -0x1.ca6aa358e848cp-15, -0x1.a41ee750c54d6p-15, -0x1.7db7378cf1ae6p-15, -0x1.573d5098ee79bp-15, -0x1.30ba8600409b3p-15, -0x1.0a37c56784e6bp-15, -0x1.c77b331f36537p-16, -0x1.7aa85a81ff76bp-16, -0x1.2e069c64e585cp-16, -0x1.c349bf470d12p-17, -0x1.2b22b806acfa9p-17, -0x1.27667e0344ec7p-18, 0x1.756c77bc8c417p-24, 0x1.313df7d0e4822p-18, 0x1.2d51cb250482ap-17, 0x1.c0ed1347d5139p-17, 0x1.29ade1795e708p-16, 0x1.7244f0dc9d32ep-16, 0x1.ba324382f0721p-16, 0x1.00b6745e71d0bp-15, 0x1.23f63799bdc6fp-15, 0x1.46d4706303717p-15, 0x1.694d5f406a17p-15, 0x1.8b5d7e58af6fbp-15, 0x1.ad017f899a31ap-15, 0x1.ce364a882129cp-15, 0x1.eef8fb10f0d6bp-15, 0x1.07a36f9333c3cp-14, 0x1.178ebaab71ee2p-14, 0x1.273d358769d75p-14, 0x1.36adcd7b98852p-14, 0x1.45df85b0aa6ffp-14, 0x1.54d1765cd02dcp-14, 0x1.6382cc0309d66p-14, 0x1.71f2c6bb6d944p-14, 0x1.8020b978cb07bp-14, 0x1.8e0c095a018f2p-14, 0x1.9bb42cfcf0ed4p-14, 0x1.a918abd832e1ep-14, 0x1.b6391d980417ep-14, 0x1.c315297fda4fep-14, 0x1.cfac85d13b51p-14, 0x1.dbfef7357475cp-14, 0x1.e80c502d3185fp-14, 0x1.f3d470825ed57p-14, 0x1.ff5744c27eeadp-14, 0x1.054a62daee5a4p-13, 0x1.0ac67bf015d5ep-13, 0x1.101ff5816edbfp-13, 0x1.1556dcd1e2dfep-13, 0x1.1a6b444b297a9p-13, 0x1.1f5d4344d72a9p-13, 0x1.242cf5cc91b5fp-13, 0x1.28da7c7051ab3p-13, 0x1.2d65fc0963bc6p-13, 0x1.31cf9d8a28aa4p-13, 0x1.36178dcd44addp-13, 0x1.3a3dfd6572cfbp-13, 0x1.3e43206f4d0d1p-13, 0x1.42272e649a7f1p-13, 0x1.45ea61f0fafd7p-13, 0x1.498cf8c7ad94p-13, 0x1.4d0f337afab4fp-13, 0x1.5071555502339p-13, 0x1.53b3a4316e07bp-13, 0x1.56d66858501b1p-13, 0x1.59d9ec5a3b56dp-13, 0x1.5cbe7cee5518bp-13, 0x1.5f8468d090fdap-13, 0x1.622c00a1652c1p-13, 0x1.64b596c660b3cp-13, 0x1.67217f4c685cep-13, 0x1.69700fc9d30a6p-13, 0x1.6ba19f42cf946p-13, 0x1.6db6860da1334p-13, 0x1.6faf1db937667p-13, 0x1.718bc0f2fb31cp-13, 0x1.734ccb6e93db4p-13, 0x1.74f299ce3ae02p-13, 0x1.767d898c14387p-13, 0x1.77edf8e423544p-13, 0x1.794446bf2de38p-13, 0x1.7a80d29e63df7p-13, 0x1.7ba3fc87bf537p-13, 0x1.7cae24f30646cp-13, 0x1.7d9facb77348fp-13, 0x1.7e78f4fa6e02p-13, 0x1.7f3a5f1ec0f65p-13, 0x1.7fe44cb481a1ep-13, 0x1.80771f692beb4p-13, 0x1.80f338f91041bp-13, 0x1.8158fb20cf3e7p-13, 0x1.81a8c78fa389dp-13, 0x1.81e2ffda33c25p-13, 0x1.8208056e04b7dp-13, 0x1.821839858947p-13, 0x1.8213fd1c2be6fp-13, 0x1.81fbb0e37fa5ep-13, 0x1.81cfb5386d8c1p-13, 0x1.81906a1944f9ap-13, 0x1.813e2f1c1fc8fp-13, 0x1.80d963658f66p-13, 0x1.8062659fd836bp-13, 0x1.7fd993f289c89p-13, 0x1.7f3f4bfa822ebp-13, 0x1.7e93eac25d755p-13, 0x1.7dd7ccbb56933p-13, 0x1.7d0b4db64d492p-13, 0x1.7c2ec8dd96aa7p-13, 0x1.7b4298ae81166p-13, 0x1.7a4716f3c2612p-13, 0x1.793c9cbfd5c63p-13, 0x1.78238267df299p-13, 0x1.76fc1f7ee5b76p-13, 0x1.75c6cad131a43p-13, 0x1.7483da6018b7dp-13, 0x1.7333a35dc9f07p-13, 0x1.71d67a29d5671p-13, 0x1.706cb24d5a208p-13, 0x1.6ef69e780055fp-13, 0x1.6d74907cdf051p-13, 0x1.6be6d94fdce74p-13, 0x1.6a4dc90301314p-13, 0x1.68a9aec4147dfp-13, 0x1.66fad8da90fb5p-13, 0x1.654194a5b86d1p-13, 0x1.637e2e9ab3308p-13, 0x1.61b0f2433adcdp-13, 0x1.5fda2a3bfdbbep-13, 0x1.5dfa2033af328p-13, 0x1.5c111ce9c7189p-13, 0x1.5a1f682db70f8p-13, 0x1.582548de228cap-13, 0x1.562304e85d25p-13, 0x1.5418e147f65cp-13, 0x1.520722066d13cp-13, 0x1.4fee0a3b0f1fep-13, 0x1.4dcddc0ad8d8cp-13, 0x1.4ba6d8a8b1747p-13, 0x1.497940556cd3fp-13, 0x1.4745526033ffp-13, 0x1.450b4d2711a73p-13, 0x1.42cb6e17321b6p-13, 0x1.4085f1adc2a8dp-13, 0x1.3e3b137883858p-13, 0x1.3beb0e16ae661p-13, 0x1.39961b39b658p-13, 0x1.373c73a66b97p-13, 0x1.34de4f35e3effp-13, 0x1.327be4d6b601p-13, 0x1.30156a8e0f8c9p-13, 0x1.2dab157939aefp-13, 0x1.2b3d19ce8ddd2p-13, 0x1.28cbaadf20d5fp-13, 0x1.2656fb1823b72p-13, 0x1.23df3c04442bap-13, 0x1.21649e4d75fc8p-13, 0x1.1ee751be6d5e6p-13, 0x1.1c67854436f81p-13, 0x1.19e566f0145dbp-13, 0x1.176123f90dc94p-13, 0x1.14dae8bdd5ca8p-13, 0x1.1252e0c693be3p-13, 0x1.0fc936c6b493bp-13, 0x1.0d3e149ec9153p-13, 0x1.0ab1a35e9dd57p-13, 0x1.08240b46e0b92p-13, 0x1.059573cb504fap-13, 0x1.03060394a5d13p-13, 0x1.0075e082a0701p-13, 0x1.fbca5f5c081c1p-14, 0x1.f6a82ad545812p-14, 0x1.f1856a9300e86p-14, 0x1.ec626435aa781p-14, 0x1.e73f5be082575p-14, 0x1.e21c943d897cap-14, 0x1.dcfa4e81f095ep-14, 0x1.d7d8ca726f855p-14, 0x1.d2b8466727c71p-14, 0x1.cd98ff506803ap-14, 0x1.c87b30bac64ddp-14, 0x1.c35f14d3452e8p-14, 0x1.be44e46bf4fep-14, 0x1.b92cd6ffffb7cp-14, 0x1.b41722b841517p-14, 0x1.af03fc6f43589p-14, 0x1.a9f397b5f04fp-14, 0x1.a4e626d782ac1p-14, 0x1.9fdbdade22c99p-14, 0x1.9ad4e396fd2a4p-14, 0x1.95d16f96d0302p-14, 0x1.90d1ac3debb09p-14, 0x1.8bd5c5bc9a46ap-14, 0x1.86dde71769806p-14, 0x1.81ea3a2b3a059p-14, 0x1.7cfae7b1d39bep-14, 0x1.78101745aa2f2p-14, 0x1.7329ef665c092p-14, 0x1.6e48957cc703fp-14, 0x1.696c2ddf2f916p-14, 0x1.6494dbd53d9b5p-14, 0x1.5fc2c19c70d34p-14, 0x1.5af6006bb8b16p-14, 0x1.562eb877dc842p-14, 0x1.516d08f7630eap-14, 0x1.4cb110267ed68p-14, 0x1.47faeb4b40564p-14, 0x1.434ab6b94aa11p-14, 0x1.3ea08dd5d324ap-14, 0x1.39fc8b1b796d7p-14, 0x1.355ec81e48e42p-14, 0x1.30c75d8f3e9abp-14, 0x1.2c366340635b5p-14, 0x1.27abf0285004cp-14, 0x1.23281a661132p-14, 0x1.1eaaf744b9d1ap-14, 0x1.1a349b3f2d958p-14, 0x1.15c51a0386dcep-14, 0x1.115c8676f2f98p-14, 0x1.0cfaf2b90e5fep-14, 0x1.08a0702762e2fp-14, 0x1.044d0f61221b8p-14, 0x1.0000e04a4ca1fp-14, 0x1.f777e41ec62dep-15, 0x1.eefca650f70fcp-15, 0x1.e69022b9bb243p-15, 0x1.de32738c544e2p-15, 0x1.d5e3b1a72d2d9p-15, 0x1.cda3f49aaf0aep-15, 0x1.c57352af421b4p-15, 0x1.bd51e0ebdef7bp-15, 0x1.b53fb31c420a8p-15, 0x1.ad3cdbd6eda13p-15, 0x1.a5496c83a3f82p-15, 0x1.9d657560e9653p-15, 0x1.9591058a7cf27p-15, 0x1.8dcc2afeebd43p-15, 0x1.8616f2a54fbecp-15, 0x1.7e7168538536p-15, 0x1.76db96d336772p-15, 0x1.6f5587e7ed642p-15, 0x1.67df44546f222p-15, 0x1.6078d3e0066b9p-15, 0x1.59223d5c446bep-15, 0x1.51db86a9e1251p-15, 0x1.4aa4b4be58443p-15, 0x1.437dcba8d5c6ap-15, 0x1.3c66ce977a896p-15, 0x1.355fbfdc33accp-15, 0x1.2e68a0f1f6d9fp-15, 0x1.278172813a893p-15, 0x1.20aa34654ac77p-15, 0x1.19e2e5b09f42p-15, 0x1.132b84b1bfff8p-15, 0x1.0c840ef7c1f8cp-15, 0x1.05ec815719ce1p-15, 0x1.fec9afdb45d77p-16, 0x1.f1da1c4f2105ep-16, 0x1.e50a3d86cdfb4p-16, 0x1.d85a07acb3372p-16, 0x1.cbc96da12ccfbp-16, 0x1.bf586102e0a1p-16, 0x1.b306d236af0bap-16, 0x1.a6d4b070094d5p-16, 0x1.9ac1e9b8c0617p-16, 0x1.8ece6af8ef439p-16, 0x1.82fa1ffe65a74p-16, 0x1.7744f384a0a3ap-16, 0x1.6baecf3bc3918p-16, 0x1.60379bd07eb34p-16, 0x1.54df40f2b534fp-16, 0x1.49a5a55cf089ep-16, 0x1.3e8aaedb594a2p-16, 0x1.338e425237ba8p-16, 0x1.28b043c52fadep-16, 0x1.1df0965d84858p-16, 0x1.134f1c70d1edap-16, 0x1.08cbb7876bf8p-16, 0x1.fccc90c52f29dp-17, 0x1.e83d5e05be4dp-17, 0x1.d3e9955c115dcp-17, 0x1.bfd0f3ea31ecep-17, 0x1.abf3357490925p-17, 0x1.9850146db6326p-17, 0x1.84e74a0113015p-17, 0x1.71b88e1e692acp-17, 0x1.5ec39784d9cd3p-17, 0x1.4c081bcdd2af2p-17, 0x1.3985cf7716aaep-17, 0x1.273c65ed42796p-17, 0x1.152b9196abfep-17, 0x1.035303dc38e2ap-17, 0x1.e364da6774e8dp-18, 0x1.c092fa540d44dp-18, 0x1.9e2fc4d721425p-18, 0x1.7c3a959c2befbp-18, 0x1.5ab2c6b33e626p-18, 0x1.3997b0a33f59ap-18, 0x1.18e8aa7abad04p-18, 0x1.f14a13c1284f2p-19, 0x1.b198464b8ba28p-19, 0x1.72ba92ac6cb57p-19, 0x1.34af9c8f94c78p-19, 0x1.eeec0aa9be746p-20, 0x1.7618d85d56a1cp-20, 0x1.fdc5b906c3b29p-21, 0x1.128e9b0bb114cp-21, 0x1.5435e2348c159p-24, -0x1.74af093f9c5d2p-22, -0x1.9c11cf6c8d73p-21, -0x1.3d56e8f37b44fp-20, -0x1.ab189fb461998p-20, -0x1.0ba8741d627c2p-19, -0x1.41015095c6b27p-19, -0x1.759855ae6d19dp-19, -0x1.a96ef4d1c93bap-19, -0x1.dc86a0513c68ep-19, -0x1.077065a6e286bp-18, -0x1.203f74d1830dep-18, -0x1.38b137e78c382p-18, -0x1.50c6696e21a86p-18, -0x1.687fc425aa02ep-18, -0x1.7fde030004304p-18, -0x1.96e1e1162221fp-18, -0x1.ad8c199e108aep-18, -0x1.c3dd67e0d3a55p-18, -0x1.d9d68730bfe96p-18, -0x1.ef7832e102d8dp-18, -0x1.0261931d6e07p-17, -0x1.0cdc0e3b4874cp-17, -0x1.172be859455c5p-17, -0x1.21517ef4d4656p-17, -0x1.2b4d2f76311e6p-17, -0x1.351f572bbd9aap-17, -0x1.3ec85346a2e87p-17, -0x1.484880d6aa817p-17, -0x1.51a03cc697fe3p-17, -0x1.5acfe3d88e51p-17, -0x1.63d7d2a2c5b56p-17, -0x1.6cb8658bfe9c2p-17, -0x1.7571f8c7effa1p-17, -0x1.7e04e853fc35dp-17, -0x1.86718ff467c87p-17, -0x1.8eb84b30f88cep-17, -0x1.96d9755251d97p-17, -0x1.9ed5695e9c743p-17, -0x1.a6ac8217168ebp-17, -0x1.ae5f19f537aa7p-17, -0x1.b5ed8b2792338p-17, -0x1.bd582f8fdb19p-17, -0x1.c49f60c04e8c6p-17, -0x1.cbc377f9416d5p-17, -0x1.d2c4ce266201ep-17, -0x1.d9a3bbdcf6529p-17, -0x1.e0609959498f3p-17, -0x1.e6fbbe7caf54ap-17, -0x1.ed7582cb5a465p-17, -0x1.f3ce3d6a4f795p-17, -0x1.fa06451dd742p-17, -0x1.000ef823a36a1p-16, -0x1.030aca7184a66p-16, -0x1.05f6c4439a436p-16, -0x1.08d31030e3031p-16, -0x1.0b9fd89b7da29p-16, -0x1.0e5d47afd21ecp-16, -0x1.110b8763df008p-16, -0x1.13aac17678f7cp-16, -0x1.163b1f6ea8ba5p-16, -0x1.18bcca9af3fd5p-16, -0x1.1b2fec108c7d5p-16, -0x1.1d94acab13778p-16, -0x1.1feb350baec0dp-16, -0x1.2233ad9884e8cp-16, -0x1.246e3e7c51232p-16, -0x1.269b0fa5e69f4p-16, -0x1.28ba48c7724c5p-16, -0x1.2acc115636657p-16, -0x1.2cd0908a0c574p-16, -0x1.2ec7ed5cebb21p-16, -0x1.30b24e8a8ded6p-16, -0x1.328fda9019612p-16, -0x1.3460b7abb3061p-16, -0x1.36250bdc2e79ep-16, -0x1.37dcfce0a8653p-16, -0x1.3988b0386c8aep-16, -0x1.3b284b22688c6p-16, -0x1.3cbbf29d18751p-16, -0x1.3e43cb66418d5p-16, -0x1.3fbff9faa3174p-16, -0x1.4130a2960a7bbp-16, -0x1.4295e932a65a1p-16, -0x1.43eff1892f9aep-16, -0x1.453edf10b7b7bp-16, -0x1.4682d4fe95465p-16, -0x1.47bbf64600888p-16, -0x1.48ea65983d36bp-16, -0x1.4a0e45647b848p-16, -0x1.4b27b7d7968d7p-16, -0x1.4c36dedc1c42dp-16, -0x1.4d3bdc1a3b677p-16, -0x1.4e36d0f7dc0fep-16, -0x1.4f27de9874664p-16, -0x1.500f25dd0b8c2p-16, -0x1.50ecc7642d5abp-16, -0x1.51c0e38a234f6p-16, -0x1.528b9a68b0d06p-16, -0x1.534d0bd76609ep-16, -0x1.5405576b79055p-16, -0x1.54b49c77d91dap-16, -0x1.555afa0d5306ep-16, -0x1.55f88efaaa065p-16, -0x1.568d79ccacd85p-16, -0x1.5719d8ce3a02ep-16, -0x1.579dca0868e87p-16, -0x1.58196b429df4ep-16, -0x1.588cda02bdc6ap-16, -0x1.58f8338d60582p-16, -0x1.595b94e5d6c36p-16, -0x1.59b71ace4dd84p-16, -0x1.5a0ae1c80faf5p-16, -0x1.5a570613c1a1dp-16, -0x1.5a9ba3b165badp-16, -0x1.5ad8d660a7d0ep-16, -0x1.5b0eb9a0e4bb3p-16, -0x1.5b3d68b1a6f9fp-16, -0x1.5b64fe929e112p-16, -0x1.5b85960407bc9p-16, -0x1.5b9f4986bf11ep-16, -0x1.5bb2335c728b4p-16, -0x1.5bbe6d881d165p-16, -0x1.5bc411ce1253ep-16, -0x1.5bc339b44c6a8p-16, -0x1.5bbbfe8297428p-16, -0x1.5bae7942dd9ffp-16, -0x1.5b9ac2c19a442p-16, -0x1.5b80f38de374fp-16, -0x1.5b6123f9b19adp-16, -0x1.5b3b6c1a4b569p-16, -0x1.5b0fe3c894c54p-16, -0x1.5adea2a124656p-16, -0x1.5aa7c004b88b1p-16, -0x1.5a6b53185f022p-16, -0x1.5a2972c5f832bp-16, -0x1.59e235bc4cbf8p-16, -0x1.5995b26f9950ap-16, -0x1.5943ff1995c8p-16, -0x1.58ed31b9efc0cp-16, -0x1.58916016c2e5bp-16, -0x1.58309fbc8d698p-16, -0x1.57cb05feb3e44p-16, -0x1.5760a7f7e7a6p-16, -0x1.56f19a8a6e0dp-16, -0x1.567df26077b62p-16, -0x1.5605c3ec5c4bcp-16, -0x1.55892368f8ebp-16, -0x1.550824da362adp-16, -0x1.5482dc0d1f2a8p-16, -0x1.53f95c982606cp-16, -0x1.536bb9dbfb4cdp-16, -0x1.52da07036b648p-16, -0x1.52445703f69a8p-16, -0x1.51aabc9df7515p-16, -0x1.510d4a5d1040cp-16, -0x1.506c12988f2e1p-16, -0x1.4fc72773e3d0dp-16, -0x1.4f1e9adebbed6p-16, -0x1.4e727e958e67p-16, -0x1.4dc2e421f60abp-16, -0x1.4d0fdcdad1fc7p-16, -0x1.4c5979e4c76b1p-16, -0x1.4b9fcc32c28c4p-16, -0x1.4ae2e4862a7dbp-16, -0x1.4a22d36f2a0cfp-16, -0x1.495fa94d27548p-16, -0x1.4899764f25bb8p-16, -0x1.47d04a73f7ae3p-16, -0x1.4704358adbb39p-16, -0x1.46354733bbd69p-16, -0x1.45638edf89e21p-16, -0x1.448f1bd04dcap-16, -0x1.43b7fd19fdd7dp-16, -0x1.42de41a2aef18p-16, -0x1.4201f822ded22p-16, -0x1.41232f25d8eaep-16, -0x1.4041f509fdb99p-16, -0x1.3f5e5801402a1p-16, -0x1.3e7866116cec3p-16, -0x1.3d902d148bbb3p-16, -0x1.3ca5bab963f3cp-16, -0x1.3bb91c8378f94p-16, -0x1.3aca5fcba240ep-16, -0x1.39d991c06a6fp-16, -0x1.38e6bf666d042p-16, -0x1.37f1f5989cfa9p-16, -0x1.36fb41089351ap-16, -0x1.3602ae3efb236p-16, -0x1.3508499be3ca2p-16, -0x1.340c1f57434d3p-16, -0x1.330e3b812a423p-16, -0x1.320eaa01f4cd2p-16, -0x1.310d769ad2d09p-16, -0x1.300aace63d621p-16, -0x1.2f0658582cd4dp-16, -0x1.2e00843e64631p-16, -0x1.2cf93bc0c95ebp-16, -0x1.2bf089e1b9a9p-16, -0x1.2ae6797e89147p-16, -0x1.29db154fdc2f2p-16, -0x1.28ce67e9b0e8cp-16, -0x1.27c07bbbd6e87p-16, -0x1.26b15b1262d7ap-16, -0x1.25a11016128b3p-16, -0x1.248fa4cc61e89p-16, -0x1.237d2317ece5dp-16, -0x1.226994b8e7df7p-16, -0x1.2155034d537a1p-16, -0x1.203f785175b0dp-16, -0x1.1f28fd2001776p-16, -0x1.1e119af24b53ep-16, -0x1.1cf95ae0f8788p-16, -0x1.1be045e42f0aep-16, -0x1.1ac664d3ba2b4p-16, -0x1.19abc0675fb48p-16, -0x1.1890613764d1ap-16, -0x1.17744fbcc85c3p-16, -0x1.1657945183b5ep-16, -0x1.153a3730ca31ep-16, -0x1.141c407764986p-16, -0x1.12fdb8242a34ap-16, -0x1.11dea618292fcp-16, -0x1.10bf1216d3f5ap-16, -0x1.0f9f03c6719e2p-16, -0x1.0e7e82b07d0acp-16, -0x1.0d5d9641d4757p-16, -0x1.0c3c45caf8d9cp-16, -0x1.0b1a9880618bp-16, -0x1.09f8957adcc32p-16, -0x1.08d643b7df9e4p-16, -0x1.07b3aa1990316p-16, -0x1.0690cf672ebedp-16, -0x1.056dba4d925ecp-16, -0x1.044a715f3f55dp-16, -0x1.0326fb147f952p-16, -0x1.02035dcbfac4dp-16, -0x1.00df9fcaf6659p-16, -0x1.ff778e7ae828dp-17, -0x1.fd2fb46ccc495p-17, -0x1.fae7bd604fec4p-17, -0x1.f89fb5199be1dp-17, -0x1.f657a72c56925p-17, -0x1.f40f9efc4e0cap-17, -0x1.f1c7a7be20a36p-17, -0x1.ef7fcc7817fbp-17, -0x1.ed381801d6e4dp-17, -0x1.eaf095056e12p-17, -0x1.e8a94dffdae66p-17, -0x1.e6624d417da4bp-17, -0x1.e41b9cee51a34p-17, -0x1.e1d546fe9fffdp-17, -0x1.df8f553fd0973p-17, -0x1.dd49d1547e322p-17, -0x1.db04c4b4c0056p-17, -0x1.d8c038af2474p-17, -0x1.d67c36692a1ep-17, -0x1.d438c6df247ebp-17, -0x1.d1f5f2e53b021p-17, -0x1.cfb3c327dade8p-17, -0x1.cd72402c0376ap-17, -0x1.cb31724f73063p-17, -0x1.c8f161c9a2d57p-17, -0x1.c6b216ac37a25p-17, -0x1.c47398e2f336fp-17, -0x1.c235f0345461ap-17, -0x1.bff9244289119p-17, -0x1.bdbd3c8b3ec85p-17, -0x1.bb8240682a117p-17, -0x1.b948370f9f45dp-17, -0x1.b70f27952fa15p-17, -0x1.b4d718e986ac8p-17, -0x1.b2a011db499dap-17, -0x1.b06a191763b9fp-17, -0x1.ae3535295b5dp-17, -0x1.ac016c7b8d0f1p-17, -0x1.a9cec5582365bp-17, -0x1.a79d45e91fa98p-17, -0x1.a56cf43870e51p-17, -0x1.a33dd630bf18ep-17, -0x1.a10ff19e06e01p-17, -0x1.9ee34c2d641dfp-17, -0x1.9cb7eb6db366dp-17, -0x1.9a8dd4d031f78p-17, -0x1.98650da883794p-17, -0x1.963d9b2d12907p-17, -0x1.94178277e063p-17, -0x1.91f2c8866373p-17, -0x1.8fcf7239f0d3p-17, -0x1.8dad84585d8eap-17, -0x1.8b8d038c499b2p-17, -0x1.896df46529ee2p-17, -0x1.87505b57db7cep-17, -0x1.85343cbf4d4a8p-17, -0x1.83199cdc12e0fp-17, -0x1.81007fd5692a8p-17, -0x1.7ee8e9b95625dp-17, -0x1.7cd2de7cce5ecp-17, -0x1.7abe61fc35313p-17, -0x1.78ab77fbdb9b9p-17, -0x1.769a2427df193p-17, -0x1.748a6a14b84efp-17, -0x1.727c4d3fdf55bp-17, -0x1.706fd10f9abaap-17, -0x1.6e64f8d3461dp-17, -0x1.6c5bc7c434712p-17, -0x1.6a54410587a5cp-17, -0x1.684e67a4717e8p-17, -0x1.664a3e98d94f5p-17, -0x1.6447c8c54ab14p-17, -0x1.624708f774547p-17, -0x1.604801e87fe9bp-17, -0x1.5e4ab63d2aa1dp-17, -0x1.5c4f2885fa809p-17, -0x1.5a555b400b015p-17, -0x1.585d50d4b80fep-17, -0x1.56670b9a12c42p-17, -0x1.54728dd36e9ddp-17, -0x1.527fd9b14a757p-17, -0x1.508ef151bc928p-17, -0x1.4e9fd6c0bf0cfp-17, -0x1.4cb28bf8513c9p-17, -0x1.4ac712e0c361fp-17, -0x1.48dd6d512d8bap-17, -0x1.46f59d0f50753p-17, -0x1.450fa3d006f26p-17, -0x1.432b8337befdap-17, -0x1.41493cda4542dp-17, -0x1.3f68d23b22cc2p-17, -0x1.3d8a44ce5f216p-17, -0x1.3bad95f7dab1bp-17, -0x1.39d2c70c2c9e5p-17, -0x1.37f9d950b4998p-17, -0x1.3622cdfbd51f8p-17, -0x1.344da63505309p-17, -0x1.327a6315439b6p-17, -0x1.30a905a737fe2p-17, -0x1.2ed98ee767852p-17, -0x1.2d0bffc470952p-17, -0x1.2b40591f152b3p-17, -0x1.29769bcaf0bc9p-17, -0x1.27aec88dfb8dcp-17, -0x1.25e8e021442c8p-17, -0x1.2424e330f9862p-17, -0x1.2262d25ca288ap-17, -0x1.20a2ae373633ep-17, -0x1.1ee4774770ea6p-17, -0x1.1d282e07ef3fap-17, -0x1.1b6dd2e777e67p-17, -0x1.19b56649239c7p-17, -0x1.17fee8845868ap-17, -0x1.164a59e56a704p-17, -0x1.1497baad5a64ap-17, -0x1.12e70b121cd95p-17, -0x1.11384b3f2bd26p-17, -0x1.0f8b7b550eb82p-17, -0x1.0de09b6a11ccep-17, -0x1.0c37ab8a1ef98p-17, -0x1.0a90abb73700fp-17, -0x1.08eb9be914426p-17, -0x1.07487c0e23522p-17, -0x1.05a74c0aca13bp-17, -0x1.04080bba5ee1ap-17, -0x1.026abaee9b9c3p-17, -0x1.00cf597072ce7p-17, -0x1.fe6bcdff452c4p-18, -0x1.fb3cc6a66b881p-18, -0x1.f8119c3329bb2p-18, -0x1.f4ea4df142fdp-18, -0x1.f1c6db1bcdd3fp-18, -0x1.eea742dd7ddebp-18, -0x1.eb8b845112cc4p-18, -0x1.e8739e8136eccp-18, -0x1.e55f90695c8dbp-18, -0x1.e24f58f5685f5p-18, -0x1.df42f702a6bd3p-18, -0x1.dc3a695f4684fp-18, -0x1.d935aecb69c05p-18, -0x1.d634c5f8f616ap-18, -0x1.d337ad8bb514dp-18, -0x1.d03e641a2b326p-18, -0x1.cd48e82d43a7fp-18, -0x1.ca573840ecf13p-18, -0x1.c76952c4122bfp-18, -0x1.c47f36196d80cp-18, -0x1.c198e096b28e8p-18, -0x1.beb6508636faep-18, -0x1.bbd78425bc4f7p-18, -0x1.b8fc79a7fad9cp-18, -0x1.b6252f33c5763p-18, -0x1.b351a2e55020bp-18, -0x1.b081d2cd2275bp-18, -0x1.adb5bcf1d2215p-18, -0x1.aaed5f4eca6e4p-18, -0x1.a828b7d5a4b54p-18, -0x1.a567c46d9231ep-18, -0x1.a2aa82f448efbp-18, -0x1.9ff0f13d77ff6p-18, -0x1.9d3b0d13b2f2dp-18, -0x1.9a88d4381e90bp-18, -0x1.97da4462e74a9p-18, -0x1.952f5b4362f68p-18, -0x1.928816803d31fp-18, -0x1.8fe473b7c2088p-18, -0x1.8d44707fe36e1p-18, -0x1.8aa80a66c34eap-18, -0x1.880f3ef247c22p-18, -0x1.857a0ba0f2a4fp-18, -0x1.82e86de990064p-18, -0x1.805a633bc8dd9p-18, -0x1.7dcfe8ffd615bp-18, -0x1.7b48fc9756fe1p-18, -0x1.78c59b5cb9654p-18, -0x1.7645c2a40f2cfp-18, -0x1.73c96fbad6f2dp-18, -0x1.71509fe81d363p-18, -0x1.6edb506cfd2ecp-18, -0x1.6c697e847a76cp-18, -0x1.69fb2763c7a9p-18, -0x1.6790483a7bb35p-18, -0x1.6528de3282462p-18, -0x1.62c4e6708ba9ep-18, -0x1.60645e13fd2e4p-18, -0x1.5e0742372a861p-18, -0x1.5bad8fef749e7p-18, -0x1.5957444d813f7p-18, -0x1.57045c5d3d5acp-18, -0x1.54b4d52626d4dp-18, -0x1.5268abab462dcp-18, -0x1.501fdceb8d9ecp-18, -0x1.4dda65e186ab8p-18, -0x1.4b984384415cep-18, -0x1.495972c64507ap-18, -0x1.471df0973ae11p-18, -0x1.44e5b9e259524p-18, -0x1.42b0cb9010dadp-18, -0x1.407f2284fad32p-18, -0x1.3e50bba2cb892p-18, -0x1.3c2593c7ed154p-18, -0x1.39fda7cfc5ae6p-18, -0x1.37d8f4931fb71p-18, -0x1.35b776e77957cp-18, -0x1.33992ba069e6ap-18, -0x1.317e0f8e297ap-18, -0x1.2f661f7f5d35ep-18, -0x1.2d51583f7b6a8p-18, -0x1.2b3fb69885261p-18, -0x1.29313751bf104p-18, -0x1.2725d730dee7dp-18, -0x1.251d92f9583a9p-18, -0x1.2318676d1c5bfp-18, -0x1.2116514c071bap-18, }}, 
      {{-0x1.3ab657f92464ap-1, -0x1.3ae0ce1f94aedp-1, -0x1.3b1ae8813f264p-1, -0x1.3b636313bf17ap-1, -0x1.3bb8b4ee1902cp-1, -0x1.3c191cfe4463dp-1, -0x1.3c82ae86d1c33p-1, -0x1.3cf35cf2aa4a2p-1, -0x1.3d6906b928cabp-1, -0x1.3de17f2c840dep-1, -0x1.3e5a9722d973ep-1, -0x1.3ed22479914e6p-1, -0x1.3f46087d27671p-1, -0x1.3fb43545f7e61p-1, -0x1.401ab21e99257p-1, -0x1.40779f0a3add4p-1, -0x1.40c937822283dp-1, -0x1.410dd4810812ap-1, -0x1.4143edf223634p-1, -0x1.416a1b986bdfp-1, -0x1.417f1580f845p-1, -0x1.4181b411cce6dp-1, -0x1.4170efc4b9eb5p-1, -0x1.414be09c475c6p-1, -0x1.4111bd5f20493p-1, -0x1.40c1daa4fe273p-1, -0x1.405ba9beb0b79p-1, -0x1.3fdeb781b218cp-1, -0x1.3f4aaafe8b9dap-1, -0x1.3e9f442855888p-1, -0x1.3ddc5a72b3ccbp-1, -0x1.3d01db6ae4216p-1, -0x1.3c0fc94fbbd7bp-1, -0x1.3b0639abd4763p-1, -0x1.39e553f498b73p-1, -0x1.38ad503065be3p-1, -0x1.375e75a58f68dp-1, -0x1.35f91993afefdp-1, -0x1.347d9df860457p-1, -0x1.32ec7060315c6p-1, -0x1.314608c47ac5bp-1, -0x1.2f8ae8766a9efp-1, -0x1.2dbb99178ce9p-1, -0x1.2bd8ab9fe358ep-1, -0x1.29e2b77182dcbp-1, -0x1.27da597991e2bp-1, -0x1.25c0335e74967p-1, -0x1.2394eabad57edp-1, -0x1.215928653bc29p-1, -0x1.1f0d97c3c3fd3p-1, -0x1.1cb2e62b975b9p-1, -0x1.1a49c24bad8fap-1, -0x1.17d2dba262696p-1, -0x1.154ee1fd6c84fp-1, -0x1.12be8503b5b9ap-1, -0x1.102273c8a0bedp-1, -0x1.0d7b5c6842a32p-1, -0x1.0ac9ebac16eb4p-1, -0x1.080eccb7bdc1dp-1, -0x1.054aa8bd501c9p-1, -0x1.027e26b8dac95p-1, -0x1.ff53d66531a08p-2, -0x1.f99d300f0508cp-2, -0x1.f3d9986f9faebp-2, -0x1.ee0a47761de28p-2, -0x1.e8306eb2e6428p-2, -0x1.e24d39140a23ep-2, -0x1.dc61caaac6394p-2, -0x1.d66f4079804d1p-2, -0x1.d076b049b31e6p-2, -0x1.ca79288930a6dp-2, -0x1.c477b02e3fa1ap-2, -0x1.be7346a20b1edp-2, -0x1.b86ce3b0f1c65p-2, -0x1.b265778040b12p-2, -0x1.ac5dea88ef691p-2, -0x1.a6571d96f695bp-2, -0x1.a051e9cce6bc8p-2, -0x1.9a4f20ab5ec44p-2, -0x1.944f8c1c13f0dp-2, -0x1.8e53ee801bbeap-2, -0x1.885d02c127908p-2, -0x1.826b7c6576612p-2, -0x1.7c8007a633046p-2, -0x1.769b498805cd3p-2, -0x1.70bddff59f889p-2, -0x1.6ae861dc0897cp-2, -0x1.651b5f488275bp-2, -0x1.5f576187cb47cp-2, -0x1.599ceb469940cp-2, -0x1.53ec78b327223p-2, -0x1.4e467f9fa5707p-2, -0x1.48ab6fa575f66p-2, -0x1.431bb24908b13p-2, -0x1.3d97ab1e40a2fp-2, -0x1.381fb7ed41515p-2, -0x1.32b430d78e121p-2, -0x1.2d55687d5cccap-2, -0x1.2803ac230cccp-2, -0x1.22bf43d6a7ae5p-2, -0x1.1d8872955a69ap-2, -0x1.185f7670d53f3p-2, -0x1.134488b4848a5p-2, -0x1.0e37de0a8b8bbp-2, -0x1.0939a6a07fe01p-2, -0x1.044a0e4bcde22p-2, -0x1.fed2795b7ddc1p-3, -0x1.f52eaaae34f9dp-3, -0x1.eba8efd6a3a7p-3, -0x1.e24180866ba46p-3, -0x1.d8f88d1e4c615p-3, -0x1.cfce3ef17b535p-3, -0x1.c6c2b887d9272p-3, -0x1.bdd615defda33p-3, -0x1.b5086caa1dbf4p-3, -0x1.ac59cc90b18f9p-3, -0x1.a3ca3f6bd9206p-3, -0x1.9b59c982874cap-3, -0x1.930869c4590d5p-3, -0x1.8ad61a0327541p-3, -0x1.82c2cf2b447ccp-3, -0x1.7ace797a6c60ap-3, -0x1.72f904b55e3dcp-3, -0x1.6b42585c269c2p-3, -0x1.63aa57dd13079p-3, -0x1.5c30e2c657893p-3, -0x1.54d5d4f65c339p-3, -0x1.4d9906cac61bdp-3, -0x1.467a4d4e26a23p-3, -0x1.3f797a646c504p-3, -0x1.38965cf601f17p-3, -0x1.31d0c119b3a6dp-3, -0x1.2b28703d4b011p-3, -0x1.249d314cf73dcp-3, -0x1.1e2ec8d97475ep-3, -0x1.17dcf93d0a5ecp-3, -0x1.11a782bf51059p-3, -0x1.0b8e23b7d7ab5p-3, -0x1.059098af9b492p-3, -0x1.ff5d3902ce3d6p-4, -0x1.f3cfd0f22ec42p-4, -0x1.e87868e38a31dp-4, -0x1.dd566de5d09b7p-4, -0x1.d2694a98d874fp-4, -0x1.c7b067637e2c8p-4, -0x1.bd2b2aa7d0274p-4, -0x1.b2d8f8f547201p-4, -0x1.a8b935390ae79p-4, -0x1.9ecb40ec74c8ep-4, -0x1.950e7c41adf74p-4, -0x1.8b82464e938b4p-4, -0x1.8225fd35e581cp-4, -0x1.78f8fe4ec0eabp-4, -0x1.6ffaa64a7cdadp-4, -0x1.672a5158ef0bfp-4, -0x1.5e875b4b25e66p-4, -0x1.56111fb4a090dp-4, -0x1.4dc6fa0b0fefbp-4, -0x1.45a845c4ad988p-4, -0x1.3db45e752fc21p-4, -0x1.35ea9fe96872fp-4, -0x1.2e4a6641947eep-4, -0x1.26d30e0a6ab22p-4, -0x1.1f83f454f042p-4, -0x1.185c76cd1d408p-4, -0x1.115bf3cf5c261p-4, -0x1.0a81ca7ceb7c6p-4, -0x1.03cd5acf2d189p-4, -0x1.fa7c0b53d21c3p-5, -0x1.eda659d91d74dp-5, -0x1.e1186704fa1f8p-5, -0x1.d4d0fae4b3059p-5, -0x1.c8cedfd8f83a1p-5, -0x1.bd10e2b0fb71dp-5, -0x1.b195d2c3d4536p-5, -0x1.a65c8208437e1p-5, -0x1.9b63c52ae14b9p-5, -0x1.90aa73a2c6061p-5, -0x1.862f67c4bc1cp-5, -0x1.7bf17ed505769p-5, -0x1.71ef9917c63ffp-5, -0x1.682899e020b48p-5, -0x1.5e9b679e0c341p-5, -0x1.5546ebeaf81b7p-5, -0x1.4c2a1395427f2p-5, -0x1.4343ceaa929bbp-5, -0x1.3a9310811e052p-5, -0x1.3216cfbfe9d38p-5, -0x1.29ce06660717bp-5, -0x1.21b7b1d0e6bf5p-5, -0x1.19d2d2c1bcce5p-5, -0x1.121e6d620866ep-5, -0x1.0a99894746f2ep-5, -0x1.03433175db964p-5, -0x1.f834e8c663e55p-6, -0x1.ea3cc7ee54a02p-6, -0x1.dc9c2b19a1d8bp-6, -0x1.cf5143e4e08dep-6, -0x1.c25a4ad1f7e48p-6, -0x1.b5b57f45d15abp-6, -0x1.a9612784da645p-6, -0x1.9d5b90ae75009p-6, -0x1.91a30eb76120ep-6, -0x1.8635fc632808ap-6, -0x1.7b12bb3c9ca3ep-6, -0x1.7037b38d7e35ap-6, -0x1.65a354553bf3ep-6, -0x1.5b54133f0046p-6, -0x1.51486c96ed211p-6, -0x1.477ee33eb46e6p-6, -0x1.3df600a17e699p-6, -0x1.34ac54a73a1c5p-6, -0x1.2ba075a753be3p-6, -0x1.22d1005ae290ap-6, -0x1.1a3c97ce58c54p-6, -0x1.11e1e552b78afp-6, -0x1.09bf986e53ebdp-6, -0x1.01d466cd343a5p-6, -0x1.f43e18621e66p-7, -0x1.e53c94c1d9a5bp-7, -0x1.d6a1d230fece1p-7, -0x1.c86b6bee51bf3p-7, -0x1.ba9708dd88a38p-7, -0x1.ad225b645c11ap-7, -0x1.a00b214727ffdp-7, -0x1.934f238535754p-7, -0x1.86ec3634a1b6fp-7, -0x1.7ae0385dfade2p-7, -0x1.6f2913d7ab2b9p-7, -0x1.63c4bd210e826p-7, -0x1.58b1333d79cf2p-7, -0x1.4dec7f8f0b8bep-7, -0x1.4374b5b15c524p-7, -0x1.3947f35430d4ep-7, -0x1.2f646016044d8p-7, -0x1.25c82d5ea3624p-7, -0x1.1c719639c0912p-7, -0x1.135edf31944abp-7, -0x1.0a8e56298bd32p-7, -0x1.01fe523910e8cp-7, -0x1.f35a670ccf953p-8, -0x1.e332c64370112p-8, -0x1.d382a5c06b62fp-8, -0x1.c446fa6ee41aep-8, -0x1.b57cca31d712bp-8, -0x1.a7212b9b878bdp-8, -0x1.993145a5691f3p-8, -0x1.8baa4f688c007p-8, -0x1.7e898fd67f302p-8, -0x1.71cc5d72c35cap-8, -0x1.65701e0cbe648p-8, -0x1.5972467a63467p-8, -0x1.4dd05a5351693p-8, -0x1.4287ebacae81ep-8, -0x1.37969ad593686p-8, -0x1.2cfa1614389aap-8, -0x1.22b01963b6ceep-8, -0x1.18b66e3292beap-8, -0x1.0f0aeb21ea83bp-8, -0x1.05ab73c56f95fp-8, -0x1.f92bf0c814799p-9, -0x1.e790eb7285c1p-9, -0x1.d681e96ee8a9dp-9, -0x1.c5fb149577258p-9, -0x1.b5f8ae3942fe6p-9, -0x1.a6770eb14350fp-9, -0x1.9772a4e2dbc28p-9, -0x1.88e7f5cde4c6bp-9, -0x1.7ad39c1a6caeep-9, -0x1.6d3247a7fa593p-9, -0x1.6000bd1e74647p-9, -0x1.533bd5808cd4bp-9, -0x1.46e07dbfdec01p-9, -0x1.3aebb652996cap-9, -0x1.2f5a92cac031cp-9, -0x1.242a396f12cfep-9, -0x1.1957e2d5869a3p-9, -0x1.0ee0d97f53439p-9, -0x1.04c27976961d9p-9, -0x1.f5f45fdb1f795p-10, -0x1.e30af5bf0581ap-10, -0x1.d0c3d1660d758p-10, -0x1.bf1a2fbbe0c7bp-10, -0x1.ae096d15c259fp-10, -0x1.9d8d04808bb04p-10, -0x1.8da08f11d5eabp-10, -0x1.7e3fc33c1bda8p-10, -0x1.6f667425e7373p-10, -0x1.61109103fa4f6p-10, -0x1.533a247683b99p-10, -0x1.45df53e92838fp-10, -0x1.38fc5ef5f4daap-10, -0x1.2c8d9ecb56913p-10, -0x1.208f8594b67acp-10, -0x1.14fe9de61ba53p-10, -0x1.09d78a2a9fa65p-10, -0x1.fe2e082ab416dp-11, -0x1.e973b82aa5428p-11, -0x1.d579f197f80d4p-11, -0x1.c23aad0d208d1p-11, -0x1.afb00d73c27dep-11, -0x1.9dd45f0175ca5p-11, -0x1.8ca21639df716p-11, -0x1.7c13cef5e1168p-11, -0x1.6c244b6fac1f4p-11, -0x1.5cce73541188dp-11, -0x1.4e0d52d82df5ep-11, -0x1.3fdc19d43b7d1p-11, -0x1.32361ae2f3ec8p-11, -0x1.2516ca85c0897p-11, -0x1.1879be4d98ab7p-11, -0x1.0c5aac0826b77p-11, -0x1.00b568f1641e4p-11, -0x1.eb0bd1d36e5b4p-12, -0x1.d5907b6086e0cp-12, -0x1.c0f12c433fe9cp-12, -0x1.ad267af5e119p-12, -0x1.9a293540d348fp-12, -0x1.87f25ed0cbdcp-12, -0x1.767b2fd4bcd75p-12, -0x1.65bd13a33028p-12, -0x1.55b1a7686b1b2p-12, -0x1.4652b8daf17d2p-12, -0x1.379a44f7a97c1p-12, -0x1.298276c5ae424p-12, -0x1.1c05a620daf1bp-12, -0x1.0f1e568ba229ep-12, -0x1.02c736083c74bp-12, -0x1.edf637efc52dcp-13, -0x1.d76a10011382bp-13, -0x1.c1e041f3b2c84p-13, -0x1.ad4f67c03ddbcp-13, -0x1.99ae659ac3659p-13, -0x1.86f467f344fdp-13, -0x1.7518e17fd30fcp-13, -0x1.64138952d293dp-13, -0x1.53dc58fe7ba1p-13, -0x1.446b8ac1e6657p-13, -0x1.35b997c281d76p-13, -0x1.27bf365072a2bp-13, -0x1.1a755835820bfp-13, -0x1.0dd5290d6f0c4p-13, -0x1.01d80ca9c9c93p-13, -0x1.ecef3aff3ab74p-14, -0x1.d75b563da2c05p-14, -0x1.c2e87166ed51p-14, -0x1.af8af72276cf1p-14, -0x1.9d37b38b853ap-14, -0x1.8be3d16d1b397p-14, -0x1.7b84d78d057c6p-14, -0x1.6c10a6089a2d8p-14, -0x1.5d7d73c347d8ap-14, -0x1.4fc1cbe5e981ap-14, -0x1.42d48b6dbe9c7p-14, -0x1.36acdec9fea13p-14, -0x1.2b423f8b3d54bp-14, -0x1.208c72209028ep-14, -0x1.168383a4c44ep-14, -0x1.0d1fc7b9571d9p-14, -0x1.0459d670f1cc8p-14, -0x1.f855148ae1d48p-15, -0x1.e915fc399d483p-15, -0x1.dae916b7fb5e9p-15, -0x1.cdc1900b19c8ap-15, -0x1.c19309cb94635p-15, -0x1.b6519797916d6p-15, -0x1.abf1bb9ae9242p-15, -0x1.a268632ef4044p-15, -0x1.99aae392d3e41p-15, -0x1.91aef6b8f4c0dp-15, -0x1.8a6ab82b6e63dp-15, -0x1.83d4a20632879p-15, -0x1.7de38a06b4fb2p-15, -0x1.788e9eaebee56p-15, -0x1.73cd647b42715p-15, -0x1.6f97b32f7e83dp-15, -0x1.6be5b3322a743p-15, -0x1.68afdaff74965p-15, -0x1.65eeecaa5677cp-15, -0x1.639bf37207117p-15, -0x1.61b0416801e32p-15, -0x1.60256d25dcd05p-15, -0x1.5ef54f9491329p-15, -0x1.5e1a01c2a1ec2p-15, -0x1.5d8ddacb8bfaep-15, -0x1.5d4b6dcd5befp-15, -0x1.5d4d87ee36873p-15, -0x1.5d8f2e6eb5531p-15, -0x1.5e0b9ccc6159fp-15, -0x1.5ebe42efaac9cp-15, -0x1.5fa2c36904fc3p-15, -0x1.60b4f1b9a32f5p-15, -0x1.61f0d0ab32ab4p-15, -0x1.635290b1b192fp-15, -0x1.64d68e5a5ffd6p-15, -0x1.667950c7426d9p-15, -0x1.683788345affap-15, -0x1.6a0e0c8989ef9p-15, -0x1.6bf9dbf598adep-15, -0x1.6df8199623116p-15, -0x1.70060c2805b7ep-15, -0x1.72211cc2d6801p-15, -0x1.7446d59d8c9cdp-15, -0x1.7674e0dddd5efp-15, -0x1.78a9076e6e8d1p-15, -0x1.7ae12fe0d845ap-15, -0x1.7d1b5d55de44ap-15, -0x1.7f55ae70c999cp-15, -0x1.818e5c50a2358p-15, -0x1.83c3b9936e12fp-15, -0x1.85f4315f8c07ep-15, -0x1.881e467738948p-15, -0x1.8a40925036ab7p-15, -0x1.8c59c435f274ap-15, -0x1.8e68a06fc526dp-15, -0x1.906bff7022f0ep-15, -0x1.9262cd09e036fp-15, -0x1.944c07ab9dfd4p-15, -0x1.9626bfa16d5b2p-15, -0x1.97f2165dba56bp-15, -0x1.99ad3dc6462f2p-15, -0x1.9b5777888585cp-15, -0x1.9cf01472dd7c8p-15, -0x1.9e7673d30eb01p-15, -0x1.9fea02daa4116p-15, -0x1.a14a3c083aefcp-15, -0x1.a296a695864d2p-15, -0x1.a3ced5ea7cd09p-15, -0x1.a4f269156bccdp-15, -0x1.a6010a471507p-15, -0x1.a6fa6e5386558p-15, -0x1.a7de543786583p-15, -0x1.a8ac84a163aecp-15, -0x1.a964d17ece5f9p-15, -0x1.aa07158df68e5p-15, -0x1.aa9333f2bfabep-15, -0x1.ab0917d0008eap-15, -0x1.ab68b3e394d73p-15, -0x1.abb20226d0447p-15, -0x1.abe503714ccbp-15, -0x1.ac01bf2032638p-15, -0x1.ac0842bfbcc99p-15, -0x1.abf8a1b898d0cp-15, -0x1.abd2f4ff6b7c7p-15, -0x1.ab975ac7e8432p-15, -0x1.ab45f63ac3c8ep-15, -0x1.aadeef2ddfda9p-15, -0x1.aa6271dfd64ddp-15, -0x1.a9d0aeb5446edp-15, -0x1.a929d9f9185e7p-15, -0x1.a86e2b9f02cbbp-15, -0x1.a79ddf08d4465p-15, -0x1.a6b932cd472dap-15, -0x1.a5c0688183808p-15, -0x1.a4b3c484d8bp-15, -0x1.a3938dce0d7ep-15, -0x1.a2600dbaea316p-15, -0x1.a1198fe246ap-15, -0x1.9fc061e69bb9dp-15, -0x1.9e54d34bc29c3p-15, -0x1.9cd7354d9f457p-15, -0x1.9b47dab8da63p-15, -0x1.99a717c51d597p-15, -0x1.97f541f0d13fep-15, -0x1.9632afdea59f3p-15, -0x1.945fb9342902ap-15, -0x1.927cb67a4ec41p-15, -0x1.908a00ff09e8fp-15, -0x1.8e87f2b83efc9p-15, -0x1.8c76e62816a4p-15, -0x1.8a57364277a17p-15, -0x1.88293e53ced41p-15, -0x1.85ed59e8f7cf4p-15, -0x1.83a3e4b83b962p-15, -0x1.814d3a8b9e689p-15, -0x1.7ee9b72bd857p-15, -0x1.7c79b64c8801ep-15, -0x1.79fd93795ab49p-15, -0x1.7775aa0430b36p-15, -0x1.74e254f438b26p-15, -0x1.7243eef5c591p-15, -0x1.6f9ad24af172ap-15, -0x1.6ce758bd3579dp-15, -0x1.6a29db8fbc253p-15, -0x1.6762b3726d37fp-15, -0x1.64923875f2f46p-15, -0x1.61b8c200087a5p-15, -0x1.5ed6a6c0d0f47p-15, -0x1.5bec3ca8a3823p-15, -0x1.58f9d8de812f3p-15, -0x1.55ffcfb72dc53p-15, -0x1.52fe74acf6fe7p-15, -0x1.4ff61a57b5b9dp-15, -0x1.4ce71265ba73fp-15, -0x1.49d1ad9509035p-15, -0x1.46b63bad0405p-15, -0x1.43950b78d513cp-15, -0x1.406e6ac219d04p-15, -0x1.3d42a64be8d16p-15, -0x1.3a1209ce83298p-15, -0x1.36dcdff3415dbp-15, -0x1.33a37250fed31p-15, -0x1.30660968b91ep-15, -0x1.2d24eca2b9aacp-15, -0x1.29e0624c06bcep-15, -0x1.2698af93fef17p-15, -0x1.234e188a772edp-15, -0x1.2000e01e3d751p-15, -0x1.1cb1481ba0bap-15, -0x1.195f912b70bf2p-15, -0x1.160bfad212ccbp-15, -0x1.12b6c36f1201ep-15, -0x1.0f60283ca13a3p-15, -0x1.0c08654faa2ffp-15, -0x1.08afb597c250ap-15, -0x1.055652dfa0315p-15, -0x1.01fc75cda52fcp-15, -0x1.fd44abc89afe6p-16, -0x1.f6905306dbdd1p-16, -0x1.efdc4bd201d26p-16, -0x1.e928fe64b72f8p-16, -0x1.e276d0bb6a4b7p-16, -0x1.dbc6269702b4cp-16, -0x1.d51761806dd7p-16, -0x1.ce6ae0cbd3b74p-16, -0x1.c7c1019ca0faap-16, -0x1.c11a1ee920847p-16, -0x1.ba76917f24bcp-16, -0x1.b3d6b0081baa4p-16, -0x1.ad3acf0dd73b9p-16, -0x1.a6a340ff6a67dp-16, -0x1.a0105635c1e5ap-16, -0x1.99825cf94045dp-16, -0x1.92f9a1866db5ep-16, -0x1.8c766e13aec4cp-16, -0x1.85f90ad6d15cdp-16, -0x1.7f81be0a6f39dp-16, -0x1.7910cbf3be9edp-16, -0x1.72a676e86c69fp-16, -0x1.6c42ff5462b39p-16, -0x1.65e6a3bff730cp-16, -0x1.5f91a0d5d0ceap-16, -0x1.5944316942098p-16, -0x1.52fe8e7c0e1acp-16, -0x1.4cc0ef451ed39p-16, -0x1.468b89365d3fbp-16, -0x1.405e900361bc1p-16, -0x1.3a3a35a79560ep-16, -0x1.341eaa6cbbe77p-16, -0x1.2e0c1cf13a8cbp-16, -0x1.2802ba2e74917p-16, -0x1.2202ad7f5b9c9p-16, -0x1.1c0c20a6bba8ap-16, -0x1.161f3bd5e3e5ep-16, -0x1.103c25b2c8242p-16, -0x1.0a63035eeb47cp-16, -0x1.0493f87d38a47p-16, -0x1.fd9e4e71d7205p-17, -0x1.f22960971c6dbp-17, -0x1.e6c96607351e1p-17, -0x1.db7e9a9565a6p-17, -0x1.d04937582d022p-17, -0x1.c52972b5707c8p-17, -0x1.ba1f806f827f9p-17, -0x1.af2b91b0fc369p-17, -0x1.a44dd519db6f5p-17, -0x1.998676caf8ca1p-17, -0x1.8ed5a073242a7p-17, -0x1.843b795a3bc98p-17, -0x1.79b8266e58814p-17, -0x1.6f4bca4ee930ep-17, -0x1.64f68558cea84p-17, -0x1.5ab875b21cc77p-17, -0x1.5091b755d1886p-17, -0x1.4682641f3a2dp-17, -0x1.3c8a93d568911p-17, -0x1.32aa5c367e429p-17, -0x1.28e1d102d2904p-17, -0x1.1f3104084c7a3p-17, -0x1.1598052cd7581p-17, -0x1.0c16e279b1427p-17, -0x1.02ada82606a2ap-17, -0x1.f2b8c1429f00dp-18, -0x1.e046293c2bbfbp-18, -0x1.ce0396382ff15p-18, -0x1.bbf112e53e105p-18, -0x1.aa0ea6b48e0f7p-18, -0x1.985c55ef22e4dp-18, -0x1.86da21c82f11cp-18, -0x1.758808717225bp-18, -0x1.6466052d8c44cp-18, -0x1.53741063f7131p-18, -0x1.42b21fb24a952p-18, -0x1.322025ff9f5cbp-18, -0x1.21be138e41cd8p-18, -0x1.118bd60da63cep-18, -0x1.018958abfe864p-18, -0x1.e36d084f19835p-19, -0x1.c4267dbf03a4ap-19, -0x1.a53ed9ca3500bp-19, -0x1.86b5e017cb1bcp-19, -0x1.688b4ff43191bp-19, -0x1.4abee471fc129p-19, -0x1.2d50548850104p-19, -0x1.103f53326446fp-19, -0x1.e7171f1d20e0dp-20, -0x1.ae6969f5fbe6dp-20, -0x1.7674d668d5d79p-20, -0x1.3f38ace551662p-20, -0x1.08b42f0b51d32p-20, -0x1.a5cd2fc2de7d6p-21, -0x1.3b9e381a75d3ep-21, -0x1.a5b3a82450569p-22, -0x1.adf952c6f21c4p-23, -0x1.627fdf4e0373ep-27, 0x1.7c13c492831d9p-23, 0x1.84609b0955011p-22, 0x1.23f9f048c9826p-21, 0x1.8463be0c4500bp-21, 0x1.e36fa4ff6b8b3p-21, 0x1.208fce4557904p-20, 0x1.4ebad279eb10bp-20, 0x1.7c39e381cdef7p-20, 0x1.a90e09d63d4e4p-20, 0x1.d53851d9fb4c7p-20, 0x1.005ce5d852129p-19, 0x1.15c9c58998c98p-19, 0x1.2ae35394b498fp-19, 0x1.3faa1d30053bbp-19, 0x1.541eb121fabf2p-19, 0x1.68419facd848ap-19, 0x1.7c137a7c82dbcp-19, 0x1.8f94d49468565p-19, 0x1.a2c6423ce4b81p-19, 0x1.b5a858f2cf179p-19, 0x1.c83baf5573103p-19, 0x1.da80dd1635eccp-19, 0x1.ec787ae83c655p-19, 0x1.fe23226fc693ep-19, 0x1.07c0b7194a409p-18, 0x1.1049fcc4c1478p-18, 0x1.18adb0482c123p-18, 0x1.20ec200bf003ep-18, 0x1.29059acbc016bp-18, 0x1.30fa6f8f7dccep-18, 0x1.38caeda4a636cp-18, 0x1.407764971d8fbp-18, 0x1.4800242b1fb32p-18, 0x1.4f657c56e22aep-18, 0x1.56a7bd3c32c87p-18, 0x1.5dc73722939fap-18, 0x1.64c43a716b781p-18, 0x1.6b9f17aa1b7p-18, 0x1.72581f6266c56p-18, 0x1.78efa23eeb9f5p-18, 0x1.7f65f0edf2506p-18, 0x1.85bb5c223c98bp-18, 0x1.8bf0348df982bp-18, 0x1.9204caddd6a68p-18, 0x1.97f96fb42e3ffp-18, 0x1.9dce73a494abdp-18, 0x1.a384272f0d1f4p-18, 0x1.a91adabba792ap-18, 0x1.ae92de96418d6p-18, 0x1.b3ec82ea7e925p-18, 0x1.b92817bf88579p-18, 0x1.be45ecf4644c3p-18, 0x1.c346523c0843bp-18, 0x1.c829971996e83p-18, 0x1.ccf00adce7671p-18, 0x1.d199fc9eb85fep-18, 0x1.d627bb3da031bp-18, 0x1.da99955acd6fdp-18, 0x1.deefd956a3e24p-18, 0x1.e32ad54dd0dabp-18, 0x1.e74ad716482fep-18, 0x1.eb502c3c5c081p-18, 0x1.ef3b220013c22p-18, 0x1.f30c05523f6cep-18, 0x1.f6c322d1fcce4p-18, 0x1.fa60c6ca47a88p-18, 0x1.fde53d2f6c054p-18, 0x1.00a868ce6e1d6p-17, 0x1.0251e7a95cb46p-17, 0x1.03ef4099fcf45p-17, 0x1.058098e1f798fp-17, 0x1.0706159243b1p-17, 0x1.087fdb8a0bdd6p-17, 0x1.09ee0f75dea57p-17, 0x1.0b50d5cecc343p-17, 0x1.0ca852d97b4b4p-17, 0x1.0df4aaa55c791p-17, 0x1.0f36010be00c1p-17, 0x1.106c79afb9b74p-17, 0x1.119837fc22318p-17, 0x1.12b95f242a20cp-17, 0x1.13d012220bb8ep-17, 0x1.14dc73b68f604p-17, 0x1.15dea66870e89p-17, 0x1.16d6cc83de49p-17, 0x1.17c50819e095dp-17, 0x1.18a97affdb4fp-17, 0x1.198446cf1c406p-17, 0x1.1a558ce45efe5p-17, 0x1.1b1d6e5f50cffp-17, 0x1.1bdc0c223c60dp-17, 0x1.1c9186d1b041cp-17, 0x1.1d3dfed41fcb6p-17, 0x1.1de1945184252p-17, 0x1.1e7c67331b219p-17, 0x1.1f0e97231d74ep-17, 0x1.1f98438c78857p-17, 0x1.20198b9a97155p-17, 0x1.20928e39289e8p-17, 0x1.21036a13f0539p-17, 0x1.216c3d969a77p-17, 0x1.21cd26ec90fa5p-17, 0x1.22264400ddf2cp-17, 0x1.2277b27e0fc92p-17, 0x1.22c18fce249dcp-17, 0x1.2303f91a65f77p-17, 0x1.233f0b4b682ffp-17, 0x1.2372e308f1607p-17, 0x1.239f9cb9fd45ap-17, 0x1.23c55484b3046p-17, 0x1.23e4264e7699bp-17, 0x1.23fc2dbbdcbfep-17, 0x1.240d8630b87a5p-17, 0x1.24184ad02b5e8p-17, 0x1.241c967caac45p-17, 0x1.241a83d818b47p-17, 0x1.24122d43e8f22p-17, 0x1.2403ace123b7fp-17, 0x1.23ef1c908b9f1p-17, 0x1.23d495f2bfc6cp-17, 0x1.23b43268614dp-17, 0x1.238e0b123429dp-17, 0x1.236238d14aff3p-17, 0x1.2330d44735ef5p-17, 0x1.22f9f5d6329a2p-17, 0x1.22bdb5a14f6c4p-17, 0x1.227c2b8ca2d15p-17, 0x1.22356f3d86003p-17, 0x1.21e9981ad4f7fp-17, 0x1.2198bd4d1a2aap-17, 0x1.2142f5bed282bp-17, 0x1.20e8581ca6befp-17, 0x1.2088fad5b2ed7p-17, 0x1.2024f41bbd78fp-17, 0x1.1fbc59e385206p-17, 0x1.1f4f41e5058fep-17, 0x1.1eddc19bc378cp-17, 0x1.1e67ee470e48ep-17, 0x1.1deddcea4b1b5p-17, 0x1.1d6fa24d4240ep-17, 0x1.1ced52fc6fabp-17, 0x1.1c67034955a42p-17, 0x1.1bdcc74acb802p-17, 0x1.1b4eb2dd4d29p-17, 0x1.1abcd9a34d448p-17, 0x1.1a274f058cf8p-17, 0x1.198e263372aabp-17, 0x1.18f172235e78dp-17, 0x1.1851459304467p-17, 0x1.17adb307c6652p-17, 0x1.1706cccf0c7afp-17, 0x1.165ca4fe9f2acp-17, 0x1.15af4d7503289p-17, 0x1.14fed7d9ce8afp-17, 0x1.144b559e179dap-17, 0x1.1394d7fccccb1p-17, 0x1.12db6ffb0aa55p-17, 0x1.121f2e6880346p-17, 0x1.116023dfcf5f7p-17, 0x1.109e60c6f0a7bp-17, 0x1.0fd9f54f8ccbcp-17, 0x1.0f12f17760cbdp-17, 0x1.0e496508a6f9p-17, 0x1.0d7d5f9a7919dp-17, 0x1.0caef0912ba3fp-17, 0x1.0bde271eae257p-17, 0x1.0b0b1242f5a0dp-17, 0x1.0a35c0cc5efadp-17, 0x1.095e41581a583p-17, 0x1.0884a25282733p-17, 0x1.07a8f1f78a229p-17, 0x1.06cb3e531d571p-17, 0x1.05eb954185fc8p-17, 0x1.050a046fcc63ep-17, 0x1.0426995c2411bp-17, 0x1.0341615647fa1p-17, 0x1.025a697ff18a6p-17, 0x1.0171becd34e56p-17, 0x1.00876e04d60f5p-17, 0x1.ff3707818082ep-18, 0x1.fd5c18dcc0d68p-18, 0x1.fb7e289e1ed25p-18, 0x1.f99d4ef0f7047p-18, 0x1.f7b9a3aa061cfp-18, 0x1.f5d33e483e816p-18, 0x1.f3ea35f58fc1cp-18, 0x1.f1fea187ac089p-18, 0x1.f0109780ceb1fp-18, 0x1.ee202e108453cp-18, 0x1.ec2d7b146ddf9p-18, 0x1.ea38941915594p-18, 0x1.e8418e5ab142dp-18, 0x1.e6487ec5dd13bp-18, 0x1.e44d79f85dcbdp-18, 0x1.e2509441eee1ep-18, 0x1.e051e1a4f78f8p-18, 0x1.de5175d76142ep-18, 0x1.dc4f644365206p-18, 0x1.da4bc0083d464p-18, 0x1.d8469bfacdfcfp-18, 0x1.d6400aa67b957p-18, 0x1.d4381e4df475cp-18, 0x1.d22ee8ebd1a45p-18, 0x1.d0247c33644a1p-18, 0x1.ce18e9917f2b9p-18, 0x1.cc0c422d25e7ap-18, 0x1.c9fe96e843b3ep-18, 0x1.c7eff8607a9ap-18, 0x1.c5e076efbba71p-18, 0x1.c3d022ad0808cp-18, 0x1.c1bf0b6d3915bp-18, 0x1.bfad40c3b2b77p-18, 0x1.bd9ad2030284fp-18, 0x1.bb87ce3da7cacp-18, 0x1.b9744446c517bp-18, 0x1.b76042b2c9b7bp-18, 0x1.b54bd7d827dd2p-18, 0x1.b33711d002b83p-18, 0x1.b121fe76ccfdap-18, 0x1.af0cab6d18b74p-18, 0x1.acf726184b68cp-18, 0x1.aae17ba314862p-18, 0x1.a8cbb8fe393b2p-18, 0x1.a6b5eae12ce49p-18, 0x1.a4a01dcac57efp-18, 0x1.a28a5e01e8968p-18, 0x1.a074b79621bc5p-18, 0x1.9e5f36605053ap-18, 0x1.9c49e6034cb9cp-18, 0x1.9a34d1ec81533p-18, 0x1.9820055498ec8p-18, 0x1.960b8b400e8e1p-18, 0x1.93f76e7fd2a44p-18, 0x1.91e3b9b1f1e1bp-18, 0x1.8fd077421fe31p-18, 0x1.8dbdb16a59bfp-18, 0x1.8bab72338c9ebp-18, 0x1.8999c37625dbap-18, 0x1.8788aeda9decdp-18, 0x1.85783dda1129ep-18, 0x1.836879bedd2adp-18, 0x1.81596ba53ab22p-18, 0x1.7f4b1c7bc6df8p-18, 0x1.7d3d95042dd1bp-18, 0x1.7b30ddd390f8dp-18, 0x1.7924ff532630fp-18, 0x1.771a01c0d2897p-18, 0x1.750fed2f9cb2cp-18, 0x1.7306c9885acbap-18, 0x1.70fe9e8a1d502p-18, 0x1.6ef773cac6b5dp-18, 0x1.6cf150b78eda6p-18, 0x1.6aec3c9598e4fp-18, 0x1.68e83e8279e0ap-18, 0x1.66e55d749a286p-18, 0x1.64e3a03bcb487p-18, 0x1.62e30d81d45c7p-18, 0x1.60e3abcaefba9p-18, 0x1.5ee581763957fp-18, 0x1.5ce894be40a0fp-18, 0x1.5aecebb9838c1p-18, 0x1.58f28c5ae19b1p-18, 0x1.56f97c72193c5p-18, 0x1.5501c1ac42ddap-18, 0x1.530b619445f21p-18, 0x1.511661934b156p-18, 0x1.4f22c6f145886p-18, 0x1.4d3096d573747p-18, 0x1.4b3fd646a51c6p-18, 0x1.49508a2bc1292p-18, 0x1.4762b74c4a66bp-18, 0x1.45766250b7f6fp-18, 0x1.438b8fc2ec5bcp-18, 0x1.41a2440e9b35cp-18, 0x1.3fba8381d1997p-18, 0x1.3dd4524d53bc1p-18, 0x1.3befb484eccadp-18, 0x1.3a0cae200ee23p-18, 0x1.382b42fa12c13p-18, 0x1.364b76d2a5067p-18, 0x1.346d4d4e3605cp-18, 0x1.3290c9f658083p-18, 0x1.30b5f03a21df7p-18, 0x1.2edcc36e9f986p-18, 0x1.2d0546cf30bb8p-18, 0x1.2b2f7d7de847dp-18, 0x1.295b6a83dc8a2p-18, 0x1.278910d1973cp-18, 0x1.25b8733f6cd91p-18, 0x1.23e9948ddd77dp-18, 0x1.221c7765f9171p-18, 0x1.20511e59b09c5p-18, 0x1.1e878be4381d5p-18, 0x1.1cbfc26a4896ep-18, 0x1.1af9c43a9c718p-18, 0x1.1935938e1fed5p-18, 0x1.17733288638f5p-18, 0x1.15b2a337e960bp-18, 0x1.13f3e79673548p-18, 0x1.1237018958e2ap-18, 0x1.107bf2e1e21c6p-18, 0x1.0ec2bd5d9175fp-18, 0x1.0d0b62a67db41p-18, 0x1.0b55e45395a7cp-18, 0x1.09a243e8ea8b8p-18, 0x1.07f082d805543p-18, 0x1.0640a2803fc12p-18, 0x1.0492a42f012d6p-18, 0x1.02e689200a13cp-18, 0x1.013c527db9856p-18, 0x1.ff2802c2cab9bp-19, 0x1.fbdb2da74b841p-19, 0x1.f8922799133f1p-19, 0x1.f54cf267c97ep-19, 0x1.f20b8fc321d97p-19, 0x1.eece013b8b2e6p-19, 0x1.eb944842820cbp-19, 0x1.e85e662b4b7d9p-19, 0x1.e52c5c2b7ac08p-19, 0x1.e1fe2b5b3a81p-19, 0x1.ded3d4b5f08dfp-19, 0x1.dbad591ac429fp-19, 0x1.d88ab94d26172p-19, 0x1.d56bf5f532968p-19, 0x1.d2510fa02fa6ap-19, 0x1.cf3a06c11072cp-19, 0x1.cc26dbb10321ap-19, 0x1.c9178eafc4ff9p-19, 0x1.c60c1fe43174bp-19, 0x1.c3048f5c9ed45p-19, 0x1.c000dd0f5362ap-19, 0x1.bd0108db1bc93p-19, 0x1.ba051287916b5p-19, 0x1.b70cf9c58bf5cp-19, 0x1.b418be2f91345p-19, 0x1.b1285f4a5b62ap-19, 0x1.ae3bdc851ae35p-19, 0x1.ab53353a08abfp-19, 0x1.a86e68aeb25cfp-19, 0x1.a58d76145307ap-19, 0x1.a2b05c8850d98p-19, 0x1.9fd71b14aaa38p-19, 0x1.9d01b0b03339cp-19, 0x1.9a301c3ef9373p-19, 0x1.97625c92d3a55p-19, 0x1.9498706bac59ap-19, 0x1.91d25677b74c3p-19, 0x1.8f100d53dc164p-19, 0x1.8c51938c2c1e7p-19, 0x1.8996e79c36c2dp-19, 0x1.86e007ef47072p-19, 0x1.842cf2e0bf3d3p-19, 0x1.817da6bc868bfp-19, 0x1.7ed221bf59a3bp-19, 0x1.7c2a6216ffc7p-19, 0x1.798665e2b166ep-19, 0x1.76e62b337a223p-19, 0x1.7449b00c66502p-19, 0x1.71b0f262eda58p-19, 0x1.6f1bf01f357f9p-19, 0x1.6c8aa71c4a895p-19, 0x1.69fd1528887f2p-19, 0x1.67733805ec9dap-19, 0x1.64ed0d6a342f1p-19, 0x1.626a92ff38c75p-19, 0x1.5febc6635e5e5p-19, 0x1.5d70a529a6563p-19, 0x1.5af92cd9f380dp-19, 0x1.58855af170bcp-19, 0x1.56152ce2d0ee7p-19, 0x1.53a8a016719ddp-19, 0x1.513fb1eaa82ddp-19, 0x1.4eda5fb417313p-19, 0x1.4c78a6bdeefa1p-19, 0x1.4a1a8449ff786p-19, 0x1.47bff5911912bp-19, 0x1.4568f7c34f84bp-19, 0x1.4315880822393p-19, 0x1.40c5a37eba8c5p-19, 0x1.3e79473e2b347p-19, 0x1.3c307055a6727p-19, 0x1.39eb1bccbc534p-19, 0x1.37a946a38a88fp-19, 0x1.356aedd2e712fp-19, 0x1.33300e4cb870dp-19, 0x1.30f8a4fc167e3p-19, 0x1.2ec4aec56d9cap-19, 0x1.2c942886c59b3p-19, 0x1.2a670f1804951p-19, 0x1.283d5f4af2fa9p-19, 0x1.261715eb8cd93p-19, 0x1.23f42fc03e62bp-19, 0x1.21d4a989f2568p-19, 0x1.1fb880043f8c2p-19, 0x1.1d9fafe5b8804p-19, 0x1.1b8a35e00f125p-19, 0x1.19780ea01f78cp-19, 0x1.176936ce3fcd9p-19, 0x1.155dab0e69905p-19, 0x1.135568004cabap-19, 0x1.11506a3f875fep-19, 0x1.0f4eae63d0ec1p-19, 0x1.0d503101230e9p-19, 0x1.0b54eea7da4dcp-19, 0x1.095ce3e4ddbe5p-19, 0x1.07680d41c9abdp-19, 0x1.0576674521bfdp-19, 0x1.0387ee724eb31p-19, 0x1.019c9f49e65cep-19, 0x1.ff68ec93aa67fp-20, 0x1.fb9edfdab800fp-20, 0x1.f7db115a9d629p-20, 0x1.f41d7a007bbb1p-20, 0x1.f06612b4e8ec6p-20, 0x1.ecb4d45c664c8p-20, 0x1.e909b7d7be086p-20, 0x1.e564b603f4271p-20, 0x1.e1c5c7bab1c24p-20, 0x1.de2ce5d2a5df3p-20, 0x1.da9a091f76711p-20, 0x1.d70d2a7217f8ep-20, 0x1.d3864299264b8p-20, 0x1.d0054a60ff162p-20, 0x1.cc8a3a93fef92p-20, 0x1.c9150bfab690fp-20, 0x1.c5a5b75c37b4cp-20, 0x1.c23c357e259adp-20, 0x1.bed87f24fd7aap-20, 0x1.bb7a8d145280cp-20, 0x1.b822580ef3da8p-20, 0x1.b4cfd8d70cfe3p-20, 0x1.b183082e89f91p-20, 0x1.ae3bded71e5a2p-20, 0x1.aafa55924f925p-20, 0x1.a7be65220075dp-20, 0x1.a48806485da2p-20, 0x1.a15731c806ff3p-20, 0x1.9e2be06462c32p-20, 0x1.9b060ae1afe35p-20, 0x1.97e5aa051e4b3p-20, 0x1.94cab6952b18p-20, 0x1.91b5295980507p-20, 0x1.8ea4fb1b4ff9bp-20, 0x1.8b9a24a584835p-20, 0x1.88949ec4af7c2p-20, 0x1.8594624756d13p-20, 0x1.829967fe209d6p-20, 0x1.7fa3a8bbda144p-20, 0x1.7cb31d55a351ap-20, 0x1.79c7bea318db3p-20, 0x1.76e1857e750f4p-20, 0x1.74006ac497102p-20, 0x1.712467555002dp-20, 0x1.6e4d7413655d6p-20, 0x1.6b7b89e4a91cfp-20, 0x1.68aea1b227e3cp-20, 0x1.65e6b4683a445p-20, 0x1.6323baf6985adp-20, 0x1.6065ae50a5e52p-20, 0x1.5dac876d5a0c7p-20, 0x1.5af83f47644a3p-20, 0x1.5848cedd685bap-20, 0x1.559e2f31ee1dep-20, 0x1.52f8594b7f878p-20, 0x1.50574634dc8aap-20, 0x1.4dbaeefce653dp-20, 0x1.4b234cb6ec893p-20, 0x1.4890587a963b8p-20, 0x1.46020b64193d3p-20, 0x1.43785e943ebefp-20, 0x1.40f34b3078105p-20, 0x1.3e72ca62eec41p-20, 0x1.3bf6d55aad09ep-20, 0x1.397f654b959ccp-20, 0x1.370c736e82e3dp-20, 0x1.349df9018097ap-20, 0x1.3233ef4793442p-20, 0x1.2fce4f88e9dbep-20, 0x1.2d6d131306124p-20, 0x1.2b103338ae85cp-20, 0x1.28b7a9521cddbp-20, 0x1.26636ebcf243p-20, 0x1.24137cdc4f962p-20, 0x1.21c7cd18e908cp-20, 0x1.1f8058e116418p-20, 0x1.1d3d19a8c35f7p-20, 0x1.1afe08e9a9782p-20, 0x1.18c320234b222p-20, 0x1.168c58daf4751p-20, 0x1.1459ac9bdda01p-20, 0x1.122b14f71501fp-20, 0x1.10008b83ad472p-20, 0x1.0dda09debb1b5p-20, 0x1.0bb789ab6e10cp-20, 0x1.09990492f6ccdp-20, 0x1.077e7444c336ep-20, 0x1.0567d27656cfp-20, 0x1.035518e387c91p-20, 0x1.0146414e4a03bp-20, 0x1.fe768afdd1969p-21, 0x1.fa683e87e51edp-21, 0x1.f66190e4b51a5p-21, 0x1.f26275cafe4ccp-21, 0x1.ee6ae0fe282edp-21, 0x1.ea7ac64ea12a1p-21, 0x1.e6921999a091ep-21, 0x1.e2b0cec97bb98p-21, 0x1.ded6d9d5694f1p-21, 0x1.db042ec1d2c15p-21, 0x1.d738c1a01972dp-21, 0x1.d374868ef1ceap-21, 0x1.cfb771ba22424p-21, 0x1.cc01775ac52fdp-21, 0x1.c8528bb732553p-21, 0x1.c4aaa3231b9eep-21, 0x1.c109b1ff849fap-21, 0x1.bd6facbae13bdp-21, 0x1.b9dc87d0f4749p-21, 0x1.b65037cb03d3fp-21, 0x1.b2cab13fbbc11p-21, 0x1.af4be8d344f1ep-21, 0x1.abd3d337749c9p-21, 0x1.a862652b78125p-21, 0x1.a4f7937c2d863p-21, 0x1.a1935303b6c0bp-21, 0x1.9e3598aa1bafdp-21, 0x1.9ade5964a512ep-21, 0x1.978d8a369ea15p-21, 0x1.944320309f093p-21, 0x1.90ff10711c32fp-21, 0x1.8dc15023ff93p-21, 0x1.8a89d482f2f25p-21, 0x1.875892d51fde2p-21, 0x1.842d806f59da8p-21, 0x1.810892b41e623p-21, 0x1.7de9bf138624ep-21, 0x1.7ad0fb0b6300dp-21, 0x1.77be3c27262fbp-21, 0x1.74b177ffd4842p-21, 0x1.71aaa43c293b1p-21, 0x1.6ea9b6906168fp-21, 0x1.6baea4be82ff1p-21, 0x1.68b96495efba6p-21, 0x1.65c9ebf3d9956p-21, 0x1.62e030c2e2a12p-21, 0x1.5ffc28fb77a35p-21, 0x1.5d1dcaa35ccc2p-21, 0x1.5a450bcddffa1p-21, 0x1.5771e29bdfa55p-21, 0x1.54a4453bcd2dbp-21, 0x1.51dc29e9967d1p-21, 0x1.4f1986ee9b30cp-21, 0x1.4c5c52a1c1d06p-21, 0x1.49a4836746b07p-21, 0x1.46f20fb0f7ab1p-21, 0x1.4444edfdc95d5p-21, 0x1.419d14da464b7p-21, 0x1.3efa7ae01fbc9p-21, 0x1.3c5d16b6a47bp-21, 0x1.39c4df122ea36p-21, 0x1.3731cab4847d3p-21, 0x1.34a3d06c7e174p-21, 0x1.321ae71648d71p-21, 0x1.2f97059b35aabp-21, 0x1.2d1822f1d1b51p-21, 0x1.2a9e361dc6405p-21, 0x1.2829362fc94b8p-21, 0x1.25b91a45b0ad7p-21, 0x1.234dd98a532f1p-21, 0x1.20e76b3591c4bp-21, 0x1.1e85c68c36948p-21, 0x1.1c28e2dff445bp-21, 0x1.19d0b78f5a78dp-21, 0x1.177d3c05fb5dcp-21, 0x1.152e67bc18b11p-21, 0x1.12e43236e8379p-21, 0x1.109e930835aa9p-21, 0x1.0e5d81ceb6e16p-21, 0x1.0c20f63597249p-21, 0x1.09e8e7f4dfdd4p-21, 0x1.07b54ed0f43a2p-21, 0x1.0586229b038e5p-21, 0x1.035b5b308a08cp-21, 0x1.0134f07baec87p-21, }}, 
      std::vector<double>(1199, 0.0), 
      {{0x1.5bb0c5a35d9ep-7, 0x1.04ea79b47b52ap-6, 0x1.5bfc8fa9519d7p-6, 0x1.b2d2e945c59cfp-6, 0x1.0488fddae79d2p-5, 0x1.2f2156e1490afp-5, 0x1.58ec03eae0fcdp-5, 0x1.819ab446df852p-5, 0x1.a8da5291c5951p-5, 0x1.ce55dbc4f5d89p-5, 0x1.f1b8e2c164865p-5, 0x1.0958da17ffbd7p-4, 0x1.18798c0b019e5p-4, 0x1.261ada4a586ep-4, 0x1.321c8c7b352f9p-4, 0x1.3c623d117a777p-4, 0x1.44d39531f5c32p-4, 0x1.4b5c6b36f4f9dp-4, 0x1.4fecc89998f8ap-4, 0x1.5278dba61a002p-4, 0x1.52f8d8f28486fp-4, 0x1.5168d01a1df09p-4, 0x1.4dc876cb4f99ap-4, 0x1.481aecc783cc6p-4, 0x1.40667b0e820f5p-4, 0x1.36b45012d2065p-4, 0x1.2b103a82ee0b2p-4, 0x1.1d8863eb4e722p-4, 0x1.0e2d0c370fe1ep-4, 0x1.fa208dbea82ap-5, 0x1.d48b74d764aebp-5, 0x1.abc4c57e33f8dp-5, 0x1.7ff8ad17a111p-5, 0x1.5155205b49636p-5, 0x1.20097425318ep-5, 0x1.d88bfb1d36b21p-6, 0x1.6c7772b3cb073p-6, 0x1.f86fea8ee8849p-7, 0x1.106082de11e44p-7, 0x1.0c2a7aa1df908p-10, -0x1.a6bdbaba9a2b3p-8, -0x1.cd8bd7488d388p-7, -0x1.66226ca52aa47p-6, -0x1.e76896f961254p-6, -0x1.351f30aa5a463p-5, -0x1.7726299b6c25cp-5, -0x1.b99edd652e3d5p-5, -0x1.fc606cf8b30cbp-5, -0x1.1fa1c2caf7c3ep-4, -0x1.411137bf8f013p-4, -0x1.626c8c9e90255p-4, -0x1.83a28fe12f795p-4, -0x1.a4a2e9db0b23cp-4, -0x1.c55e1e17296d2p-4, -0x1.e5c58b8d740bbp-4, -0x1.02e5b5e7facdbp-3, -0x1.12b168a6881cfp-3, -0x1.223fd260fe8e8p-3, -0x1.318b50fb7d2adp-3, -0x1.408ea9ee4ad68p-3, -0x1.4f45080ffa1bp-3, -0x1.5da9f924edeb1p-3, -0x1.6bb96b3d7ca8ep-3, -0x1.796fa9eafa2a9p-3, -0x1.86c95b536137ep-3, -0x1.93c37d2a686p-3, -0x1.a05b61965bab5p-3, -0x1.ac8eac064fa6p-3, -0x1.b85b4dfec4765p-3, -0x1.c3bf83e135c4bp-3, -0x1.ceb9d1b2ae30ap-3, -0x1.d948ffe4dea57p-3, -0x1.e36c1824ed5aap-3, -0x1.ed226232bc2fdp-3, -0x1.f66b60c30c5b6p-3, -0x1.ff46ce6e9e24bp-3, -0x1.03da4d58054fbp-2, -0x1.07da7378f7c6p-2, -0x1.0ba401d752cfdp-2, -0x1.0f3736d1506b2p-2, -0x1.1294658926135p-2, -0x1.15bbf4920dfa8p-2, -0x1.18ae5ca7ad999p-2, -0x1.1b6c27700b4b3p-2, -0x1.1df5ee4838527p-2, -0x1.204c591bbb2dap-2, -0x1.22701d46cbcd3p-2, -0x1.2461fc8350873p-2, -0x1.2622c3e099945p-2, -0x1.27b34ac5ba8bbp-2, -0x1.291471fe6626fp-2, -0x1.2a4722d22ca55p-2, -0x1.2b4c4e25e4109p-2, -0x1.2c24eba71b2b5p-2, -0x1.2cd1f90157414p-2, -0x1.2d54791ce8f54p-2, -0x1.2dad73671f51p-2, -0x1.2dddf3239d44ap-2, -0x1.2de706c68dddbp-2, -0x1.2dc9bf577ee7bp-2, -0x1.2d872fdc9c09fp-2, -0x1.2d206cce0b0d5p-2, -0x1.2c968b912750fp-2, -0x1.2beaa1fb5a764p-2, -0x1.2b1dc5dc504acp-2, -0x1.2a310c8f44d97p-2, -0x1.29258a932c6cbp-2, -0x1.27fc532973f93p-2, -0x1.26b677fb1a9d2p-2, -0x1.255508c3e62fep-2, -0x1.23d9130376a1bp-2, -0x1.2243a1b3f9b83p-2, -0x1.2095bd064437p-2, -0x1.1ed06a23182b3p-2, -0x1.1cf4aaf15f2a8p-2, -0x1.1b037de11d998p-2, -0x1.18fdddbaf28b4p-2, -0x1.16e4c173e394fp-2, -0x1.14b91c054bae1p-2, -0x1.127bdc48b542bp-2, -0x1.102decd7730b5p-2, -0x1.0dd033edc7bbp-2, -0x1.0b6393516d746p-2, -0x1.08e8e83b55e06p-2, -0x1.06610b44752a5p-2, -0x1.03ccd0556be5bp-2, -0x1.012d0698f3b8p-2, -0x1.fd04f0e1b23dap-3, -0x1.f79bd6dad989ep-3, -0x1.f220408e772b2p-3, -0x1.ec93a5b5f1c23p-3, -0x1.e6f7744ed7eb9p-3, -0x1.e14d109a9d65bp-3, -0x1.db95d521e85ebp-3, -0x1.d5d312bb4673dp-3, -0x1.d006109503e53p-3, -0x1.ca300c41f820bp-3, -0x1.c45239c90f5a6p-3, -0x1.be6dc3b7699b4p-3, -0x1.b883cb34cf121p-3, -0x1.b295681a64887p-3, -0x1.aca3a90b5b60fp-3, -0x1.a6af938f8f0b7p-3, -0x1.a0ba242fcdf6bp-3, -0x1.9ac44e93c0cd7p-3, -0x1.94cefda142429p-3, -0x1.8edb139cf9adcp-3, -0x1.88e96a4c38794p-3, -0x1.82fad317d6a64p-3, -0x1.7d1017300e672p-3, -0x1.7729f7b12ad49p-3, -0x1.71492dc8f9e99p-3, -0x1.6b6e6adce0576p-3, -0x1.659a58b07d9c2p-3, -0x1.5fcd998cc97b6p-3, -0x1.5a08c86798614p-3, -0x1.544c790b6623ap-3, -0x1.4e99383f6f0cdp-3, -0x1.48ef8befe267ep-3, -0x1.434ff3563f45fp-3, -0x1.3dbae721ba0f6p-3, -0x1.3830d99f9a2ap-3, -0x1.32b236e38ed3ep-3, -0x1.2d3f64efe615cp-3, -0x1.27d8c3dd97ba9p-3, -0x1.227eae0421a86p-3, -0x1.1d317821215fbp-3, -0x1.17f1717faaa1p-3, -0x1.12bee41f4a828p-3, -0x1.0d9a14dab0ccfp-3, -0x1.0883438dfb3acp-3, -0x1.037aab3c9566cp-3, -0x1.fd01046d61e07p-4, -0x1.f329f47c7c261p-4, -0x1.e9708156ec9a3p-4, -0x1.dfd4fd21c0ddbp-4, -0x1.d657b1bda1756p-4, -0x1.ccf8e10cd4b59p-4, -0x1.c3b8c5380c0dep-4, -0x1.ba9790f2323f2p-4, -0x1.b1956fbb0938cp-4, -0x1.a8b28620979dep-4, -0x1.9feef1ff7789fp-4, -0x1.974acac1ef5cp-4, -0x1.8ec6219dd0a95p-4, -0x1.866101d12b3dep-4, -0x1.7e1b70ddbe5a8p-4, -0x1.75f56ec334257p-4, -0x1.6deef6381fbf6p-4, -0x1.6607fce1c0cbp-4, -0x1.5e40738a89114p-4, -0x1.5698465766303p-4, -0x1.4f0f5cfbcfb04p-4, -0x1.47a59aec9b9a6p-4, -0x1.405adf9196661p-4, -0x1.392f0675e655dp-4, -0x1.3221e7773582cp-4, -0x1.2b3356f3a9facp-4, -0x1.246325f6ab0f3p-4, -0x1.1db1226476d33p-4, -0x1.171d17248ce2ap-4, -0x1.10a6cc4aee448p-4, -0x1.0a4e074037b0dp-4, -0x1.04128ae898827p-4, -0x1.fbe82f9356dfap-5, -0x1.efe4d85e65f1dp-5, -0x1.e41a889d78044p-5, -0x1.d888b4d46252ap-5, -0x1.cd2ecde2b2c26p-5, -0x1.c20c41449adf6p-5, -0x1.b7207951ccd6dp-5, -0x1.ac6add7a4bd87p-5, -0x1.a1ead28146bdep-5, -0x1.979fbab5f6fb2p-5, -0x1.8d88f62a98422p-5, -0x1.83a5e2e97af4ep-5, -0x1.79f5dd283ca7fp-5, -0x1.70783f793415dp-5, -0x1.672c62fb0fccfp-5, -0x1.5e119f86ba99bp-5, -0x1.55274bdb8a98ep-5, -0x1.4c6cbdc9c5daep-5, -0x1.43e14a5b80765p-5, -0x1.3b8445fbe8cc6p-5, -0x1.3355049cfd6cap-5, -0x1.2b52d9dbbff07p-5, -0x1.237d1922eb801p-5, -0x1.1bd315cc3175p-5, -0x1.1454234015714p-5, -0x1.0cff95145a22dp-5, -0x1.05d4bf2920d54p-5, -0x1.fda5eb896069cp-6, -0x1.eff31b5bf242dp-6, -0x1.e28fb88bb3232p-6, -0x1.d57a6f3e51914p-6, -0x1.c8b1ed2b2f8d4p-6, -0x1.bc34e1c6d8919p-6, -0x1.b001fe6c37f5bp-6, -0x1.a417f683ac8cdp-6, -0x1.98757fa7fb9dcp-6, -0x1.8d1951c93ea4p-6, -0x1.8202274dd5b61p-6, -0x1.772ebd317026bp-6, -0x1.6c9dd3222ee73p-6, -0x1.624e2b9c1137bp-6, -0x1.583e8c0288775p-6, -0x1.4e6dbcb86e2fp-6, -0x1.44da893650618p-6, -0x1.3b83c01f30466p-6, -0x1.32683353b36ecp-6, -0x1.2986b803db09ep-6, -0x1.20de26bf5d6d2p-6, -0x1.186d5b8491b1bp-6, -0x1.103335ce0c5dbp-6, -0x1.082e989efa774p-6, -0x1.005e6a8e3e86cp-6, -0x1.f1832ba0bc9d6p-7, -0x1.e2ae1080a5a32p-7, -0x1.d43b66ce7110ep-7, -0x1.c6291905fc19fp-7, -0x1.b875191800a6dp-7, -0x1.ab1d60738463p-7, -0x1.9e1ff00d4a533p-7, -0x1.917ad0659e348p-7, -0x1.852c118c415a8p-7, -0x1.7931cb22ec722p-7, -0x1.6d8a1c5e148a3p-7, -0x1.62332c0447d1ep-7, -0x1.572b286c199c2p-7, -0x1.4c704778b9ccbp-7, -0x1.4200c695435ebp-7, -0x1.37daeaaebf9ecp-7, -0x1.2dfd002d12e08p-7, -0x1.24655aeac1cb6p-7, -0x1.1b12562bae11ap-7, -0x1.12025492d7cb6p-7, -0x1.0933c0172256bp-7, -0x1.00a509f7409ebp-7, -0x1.f0a9555980221p-8, -0x1.e08243bcac485p-8, -0x1.d0d1eca2d08b7p-8, -0x1.c1956bb5bac63p-8, -0x1.b2c9ea9e91a05p-8, -0x1.a46ca0e4f6b52p-8, -0x1.967ad3cd21d3bp-8, -0x1.88f1d634aa7acp-8, -0x1.7bcf086e8fac3p-8, -0x1.6f0fd81e321a3p-8, -0x1.62b1c01193b54p-8, -0x1.56b2481ac4f82p-8, -0x1.4b0f04e89fbe6p-8, -0x1.3fc597dec9bep-8, -0x1.34d3aeed511b9p-8, -0x1.2a370467855ebp-8, -0x1.1fed5edaa35d1p-8, -0x1.15f490e3ebaf6p-8, -0x1.0c4a790647b63p-8, -0x1.02ed017fd0c99p-8, -0x1.f3b4403de9c81p-9, -0x1.e21fac2f09021p-9, -0x1.d1185faf02dcep-9, -0x1.c09a89b767447p-9, -0x1.b0a26f08a3884p-9, -0x1.a12c69d3091fep-9, -0x1.9234e95fe3a1dp-9, -0x1.83b871bacee82p-9, -0x1.75b39b5a9a5d8p-9, -0x1.682312cad88d3p-9, -0x1.5b0398556b52cp-9, -0x1.4e51ffac78becp-9, -0x1.420b2f94dea5cp-9, -0x1.362c2190ab403p-9, -0x1.2ab1e18a4d4fbp-9, -0x1.1f998d8018b5dp-9, -0x1.14e05530774e1p-9, -0x1.0a8379c69871cp-9, -0x1.00804d88086b3p-9, -0x1.eda86704bf1c3p-10, -0x1.daf93e73e1c79p-10, -0x1.c8ee28b28702bp-10, -0x1.b7824cc211adep-10, -0x1.a6b0f0b28ddcdp-10, -0x1.96757905e200cp-10, -0x1.86cb68148361cp-10, -0x1.77ae5d7476507p-10, -0x1.691a156178b4fp-10, -0x1.5b0a682738287p-10, -0x1.4d7b498dbe62dp-10, -0x1.4068c846fcc3bp-10, -0x1.33cf0d5e2d5a4p-10, -0x1.27aa5ba9a28dcp-10, -0x1.1bf70f3e0c918p-10, -0x1.10b19ce3b19fdp-10, -0x1.05d6918e3459fp-10, -0x1.f6c523ab31599p-11, -0x1.e2a4b2e20a35p-11, -0x1.cf457568c8072p-11, -0x1.bca13c1e54b24p-11, -0x1.aab2031b0cce1p-11, -0x1.9971f0b73ead5p-11, -0x1.88db5495a5745p-11, -0x1.78e8a6b08c746p-11, -0x1.6994866c5cf61p-11, -0x1.5ad9b9ad95b61p-11, -0x1.4cb32bf2a3e0bp-11, -0x1.3f1bed720ac24p-11, -0x1.320f323ced167p-11, -0x1.25885163a1e2ep-11, -0x1.1982c42008decp-11, -0x1.0dfa2502d9c33p-11, -0x1.02ea2f2505114p-11, -0x1.f09d7ab9a5833p-12, -0x1.dc4792eeba58ap-12, -0x1.c8cad6ea945b5p-12, -0x1.b61fb1954c50bp-12, -0x1.a43ec746d8a03p-12, -0x1.9320f456aea72p-12, -0x1.82bf4bb2a146dp-12, -0x1.7313157cd172ap-12, -0x1.6415cdb223d5bp-12, -0x1.55c122d5a547cp-12, -0x1.480ef4a2fe1a1p-12, -0x1.3af952c99aac9p-12, -0x1.2e7a7bacd308cp-12, -0x1.228cdb2bb2cbfp-12, -0x1.172b096f58913p-12, -0x1.0c4fc9bff0758p-12, -0x1.01f6095f75972p-12, -0x1.f031bcd5c7cc7p-13, -0x1.dd670d847d6a7p-13, -0x1.cb82cdec9fb58p-13, -0x1.ba7c12790df69p-13, -0x1.aa4a38d2ea8cdp-13, -0x1.9ae4e5e14d9acp-13, -0x1.8c4403d420c84p-13, -0x1.7e5fc03a872eap-13, -0x1.71308a2444049p-13, -0x1.64af1050c8fb7p-13, -0x1.58d43f64cc599p-13, -0x1.4d99402df4a93p-13, -0x1.42f775f0dd6b9p-13, -0x1.38e87cbf7b837p-13, -0x1.2f6627daac817p-13, -0x1.266a801d033adp-13, -0x1.1defc270c8457p-13, -0x1.15f05e4ec1be6p-13, -0x1.0e66f4462e73ap-13, -0x1.074e548e616b8p-13, -0x1.00a17da1d629ap-13, -0x1.f4b735c23eb7bp-14, -0x1.e8f0067d9752ap-14, -0x1.dde46fe773106p-14, -0x1.d38bc679fdabap-14, -0x1.c9ddae41767f5p-14, -0x1.c0d218761fadcp-14, -0x1.b86141288cd6ep-14, -0x1.b083acfa4d22bp-14, -0x1.a93226e68af62p-14, -0x1.a265be18ed034p-14, -0x1.9c17c3d5117c6p-14, -0x1.9641c969b94a3p-14, -0x1.90dd9e3367386p-14, -0x1.8be54dac18b15p-14, -0x1.87531d892b4c1p-14, -0x1.83218be40889bp-14, -0x1.7f4b4d71a0b35p-14, -0x1.7bcb4bc379d7fp-14, -0x1.789ca399778bep-14, -0x1.75baa33b65786p-14, -0x1.7320c8df6c752p-14, -0x1.70cac11c2b939p-14, -0x1.6eb465670f4efp-14, -0x1.6cd9ba998c86dp-14, -0x1.6b36ef86d86d8p-14, -0x1.69c85b9449964p-14, -0x1.688a7d620e84ap-14, -0x1.6779f97c5cfbep-14, -0x1.669399145fcafp-14, -0x1.65d448c2efa8ep-14, -0x1.6539175761db8p-14, -0x1.64bf34aa633d7p-14, -0x1.6463f07ceb658p-14, -0x1.6424b960345aap-14, -0x1.63ff1ba132ac8p-14, -0x1.63f0c04182437p-14, -0x1.63f76bf5f962p-14, -0x1.6410fe2c6e861p-14, -0x1.643b7018e452fp-14, -0x1.6474d3cc4d908p-14, -0x1.64bb534eaecb3p-14, -0x1.650d2fc20b368p-14, -0x1.6568c08e0a15dp-14, -0x1.65cc728d69507p-14, -0x1.6636c74628b19p-14, -0x1.66a654259a42p-14, -0x1.6719c1c33883fp-14, -0x1.678fcb29761bp-14, -0x1.68073d23f499bp-14, -0x1.687ef593b0684p-14, -0x1.68f5e2c7004adp-14, -0x1.696b02d940d57p-14, -0x1.69dd6316878ffp-14, -0x1.6a4c1f63d7612p-14, -0x1.6ab661ac4f7fap-14, -0x1.6b1b61540fe4p-14, -0x1.6b7a62ae7b2e5p-14, -0x1.6bd2b67949cf4p-14, -0x1.6c23b95d58d3dp-14, -0x1.6c6cd370b701p-14, -0x1.6cad77bf00ed6p-14, -0x1.6ce523d56cb2fp-14, -0x1.6d135f528be2dp-14, -0x1.6d37bb795cb16p-14, -0x1.6d51d2c82f79ap-14, -0x1.6d614894025dep-14, -0x1.6d65c8a57fbddp-14, -0x1.6d5f06da39aedp-14, -0x1.6d4cbecb3670cp-14, -0x1.6d2eb37212fa4p-14, -0x1.6d04aed533766p-14, -0x1.6cce81b517c5cp-14, -0x1.6c8c033cffc1ep-14, -0x1.6c3d10b631f55p-14, -0x1.6be18d3e1db72p-14, -0x1.6b79617f6efefp-14, -0x1.6b047b6c661e9p-14, -0x1.6a82cdfcba833p-14, -0x1.69f450ee7352fp-14, -0x1.69590087a7e3ep-14, -0x1.68b0dd5b394dfp-14, -0x1.67fbec0f72eb4p-14, -0x1.673a352760383p-14, -0x1.666bc4cd35f5bp-14, -0x1.6590aa9f6b441p-14, -0x1.64a8f9803ecc4p-14, -0x1.63b4c76595fbp-14, -0x1.62b42d2b964b6p-14, -0x1.61a74668d3b5cp-14, -0x1.608e3144cd45ep-14, -0x1.5f690e4f0f3ep-14, -0x1.5e3800586a184p-14, -0x1.5cfb2c4d92e5bp-14, -0x1.5bb2b9133809ap-14, -0x1.5a5ecf6391b29p-14, -0x1.58ff99acf531fp-14, -0x1.579543f376b08p-14, -0x1.561ffbb11b36dp-14, -0x1.549fefb8d7dc9p-14, -0x1.5315501b275ffp-14, -0x1.51804e0af662cp-14, -0x1.4fe11bc4048dbp-14, -0x1.4e37ec7247aafp-14, -0x1.4c84f41a68dbfp-14, -0x1.4ac8678378bc6p-14, -0x1.49027c20d990ap-14, -0x1.473367fdeba24p-14, -0x1.455b61ab13206p-14, -0x1.437aa02a22898p-14, -0x1.41915adc9edc4p-14, -0x1.3f9fc972da55dp-14, -0x1.3da623db8ffdap-14, -0x1.3ba4a2347aac2p-14, -0x1.399b7cbb2ffbdp-14, -0x1.378aebbf8a6d3p-14, -0x1.357327962d4d2p-14, -0x1.3354688b6c0c5p-14, -0x1.312ee6d7556b6p-14, -0x1.2f02da92af53bp-14, -0x1.2cd07babb1797p-14, -0x1.2a9801dbc6481p-14, -0x1.2859a49dcddf2p-14, -0x1.26159b25311ffp-14, -0x1.23cc1c54c6414p-14, -0x1.217d5eb6bbacep-14, -0x1.1f299874a517dp-14, -0x1.1cd0ff50df987p-14, -0x1.1a73c89f0486dp-14, -0x1.1812293db3e53p-14, -0x1.15ac55909759cp-14, -0x1.1342817ac4179p-14, -0x1.10d4e0594f66cp-14, -0x1.0e63a4fe949d3p-14, -0x1.0bef01ad8eba9p-14, -0x1.09772815c86fcp-14, -0x1.06fc494f393bbp-14, -0x1.047e95d67dafep-14, -0x1.01fe3d89bfb49p-14, -0x1.fef6df4b991dap-15, -0x1.f9ecb5862ff94p-15, -0x1.f4de59a67d59fp-15, -0x1.efcc263d9158p-15, -0x1.eab6748608411p-15, -0x1.e59d9c60b2e97p-15, -0x1.e081f450fedaep-15, -0x1.db63d17a88d6p-15, -0x1.d643879ecdf29p-15, -0x1.d121691ac837p-15, -0x1.cbfdc6e536af1p-15, -0x1.c6d8f08d43e79p-15, -0x1.c1b33439ca38ep-15, -0x1.bc8cdea8832b2p-15, -0x1.b7663b2daed56p-15, -0x1.b23f93b3dee68p-15, -0x1.ad1930bbf30bap-15, -0x1.a7f3595dd55dap-15, -0x1.a2ce5348b68cdp-15, -0x1.9daa62c42e779p-15, -0x1.9887cab14ce7bp-15, -0x1.9366cc8c188ecp-15, -0x1.8e47a86c8fe89p-15, -0x1.892a9d088ffb1p-15, -0x1.840fe7b5ae1dbp-15, -0x1.7ef7c46b2d7eap-15, -0x1.79e26dc448f6fp-15, -0x1.74d01d027156fp-15, -0x1.6fc10a0fc38b5p-15, -0x1.6ab56b817e654p-15, -0x1.65ad769b0bbedp-15, -0x1.60a95f5051275p-15, -0x1.5ba95848e8969p-15, -0x1.56ad92e31dacdp-15, -0x1.51b63f3730207p-15, -0x1.4cc38c1a4858ap-15, -0x1.47d5a721bc041p-15, -0x1.42ecbca6a6fe6p-15, -0x1.3e08f7c9187b8p-15, -0x1.392a82739f513p-15, -0x1.3451855ef9327p-15, -0x1.2f7e28157193bp-15, -0x1.2ab090f6c18ap-15, -0x1.25e8e53bafe53p-15, -0x1.212748f998cap-15, -0x1.1c6bdf264771ap-15, -0x1.17b6c99bd3836p-15, -0x1.1308291c647dbp-15, -0x1.0e601d561e8ep-15, -0x1.09bec4e6c3072p-15, -0x1.05243d5fc875p-15, -0x1.0090a34a2bb69p-15, -0x1.f80824544e4dcp-16, -0x1.eefd490698fc2p-16, -0x1.e600e7b8f6c72p-16, -0x1.dd133186d7d43p-16, -0x1.d43455a209f03p-16, -0x1.cb64815a02213p-16, -0x1.c2a3e023924f7p-16, -0x1.b9f29ba0c5d63p-16, -0x1.b150dba8a877dp-16, -0x1.a8bec64f18202p-16, -0x1.a03c7fec33eedp-16, -0x1.97ca2b241bf69p-16, -0x1.8f67e8eed1689p-16, -0x1.8715d89f2d496p-16, -0x1.7ed417eac436dp-16, -0x1.76a2c2f191fa2p-16, -0x1.6e81f44508036p-16, -0x1.6671c4ef99ff8p-16, -0x1.5e724c7c44aa1p-16, -0x1.5683a0fd8a459p-16, -0x1.4ea5d71496b52p-16, -0x1.46d901f89a5a4p-16, -0x1.3f1d337dd15bbp-16, -0x1.37727c1ce164ep-16, -0x1.2fd8eaf948e29p-16, -0x1.28508de87d58ep-16, -0x1.20d9717908489p-16, -0x1.1973a0f8c9be8p-16, -0x1.121f267bdf2e3p-16, -0x1.0adc0ae376d6cp-16, -0x1.03aa55e47170cp-16, -0x1.f9141c1ab95d6p-17, -0x1.eaf6719aae6bp-17, -0x1.dcfbb4f4685fdp-17, -0x1.cf23ecad74878p-17, -0x1.c16f1d31cdb41p-17, -0x1.b3dd48dfccecap-17, -0x1.a66e70151d84ap-17, -0x1.9922913a1dad5p-17, -0x1.8bf9a8cd337fbp-17, -0x1.7ef3b16f3c7d4p-17, -0x1.7210a3ee809b1p-17, -0x1.65507751f31ddp-17, -0x1.58b320e4affe7p-17, -0x1.4c3894414ded2p-17, -0x1.3fe0c35c876d3p-17, -0x1.33ab9e8f2872bp-17, -0x1.279914a1eabf9p-17, -0x1.1ba912d6f1134p-17, -0x1.0fdb84f42d1edp-17, -0x1.0430554d92e2cp-17, -0x1.f14ed99e42c8ap-18, -0x1.da81660e7f1aap-18, -0x1.c3f81c5f44f99p-18, -0x1.adb2c66dcaca8p-18, -0x1.97b12b93fd5e5p-18, -0x1.81f310bb5935bp-18, -0x1.6c78386e25013p-18, -0x1.574062e9c11f4p-18, -0x1.424b4e30fdba6p-18, -0x1.2d98b61d1bee4p-18, -0x1.1928546d56c82p-18, -0x1.04f9e0d9bc413p-18, -0x1.e21a2244d0452p-19, -0x1.bac3323e66245p-19, -0x1.93ee55a06cabep-19, -0x1.6d9aecd9a4865p-19, -0x1.47c854ea6c8edp-19, -0x1.2275e77eace12p-19, -0x1.fb45f61815d6bp-20, -0x1.b29dc5df174dep-20, -0x1.6af1df13b0f86p-20, -0x1.2440dcb61506fp-20, -0x1.bd12a878cf507p-21, -0x1.3393ab9246e32p-21, -0x1.5803b194b97a6p-22, -0x1.32d1e2d2e1938p-24, 0x1.75989bdf176e9p-23, 0x1.be84aece5d5a9p-22, 0x1.5f3d63d96871dp-21, 0x1.dd5a637dde228p-21, 0x1.2cce3ab667ba8p-20, 0x1.6a03602698698p-20, 0x1.a64e38f615b5dp-20, 0x1.e1b05f78b6b7cp-20, 0x1.0e15b8a17d5d2p-19, 0x1.2ae0877f8dca9p-19, 0x1.47396e2174e53p-19, 0x1.63213fb332db9p-19, 0x1.7e98d0ae1debep-19, 0x1.99a0f6c5a892p-19, 0x1.b43a88d142607p-19, 0x1.ce665ebc273ffp-19, 0x1.e8255173a1801p-19, 0x1.00bc1d696cef8p-18, 0x1.0d2ffac893247p-18, 0x1.196eae99259d5p-18, 0x1.2578a6facde17p-18, 0x1.314e52627bbffp-18, 0x1.3cf01f9192731p-18, 0x1.485e7d8e3d7d8p-18, 0x1.5399db9c3a427p-18, 0x1.5ea2a93559d9dp-18, 0x1.69795601d354ap-18, 0x1.741e51d122606p-18, 0x1.7e920c92f8a62p-18, 0x1.88d4f65059d25p-18, 0x1.92e77f2541ac4p-18, 0x1.9cca17386d288p-18, 0x1.a67d2eb6fb36p-18, 0x1.b00135cdfae96p-18, 0x1.b9569ca308fc4p-18, 0x1.c27dd34f186ep-18, 0x1.cb7749d8ee79bp-18, 0x1.d443702f6b86fp-18, 0x1.dce2b62410591p-18, 0x1.e5558b650a2f4p-18, 0x1.ed9c5f781d684p-18, 0x1.f5b7a1b5d5533p-18, 0x1.fda7c144c46dep-18, 0x1.02b6968a4f95bp-17, 0x1.068429ecbdaa8p-17, 0x1.0a3cd20389269p-17, 0x1.0de0c5e61a731p-17, 0x1.11703c87b5a23p-17, 0x1.14eb6cb4ad9b4p-17, 0x1.18528d10c49e8p-17, 0x1.1ba5d4151fb0ep-17, 0x1.1ee5780ecc4edp-17, 0x1.2211af1bef8eap-17, 0x1.252aaf2ab7e9ap-17, 0x1.2830adf78113cp-17, 0x1.2b23e10b220d6p-17, 0x1.2e047db9026dp-17, 0x1.30d2b91daf589p-17, 0x1.338ec81d6a4c4p-17, 0x1.3638df626dce2p-17, 0x1.38d1335ba46a8p-17, 0x1.3b57f83b85bbbp-17, 0x1.3dcd61f653e91p-17, 0x1.4031a440ecdep-17, 0x1.4284f28f86e4cp-17, 0x1.44c78014c9583p-17, 0x1.46f97fbff81fap-17, 0x1.491b243c6e3adp-17, 0x1.4b2c9ff03bab3p-17, 0x1.4d2e24fb61e2fp-17, 0x1.4f1fe5367dc92p-17, 0x1.51021231d9809p-17, 0x1.52d4dd34dc009p-17, 0x1.5498773cd9936p-17, 0x1.564d10fc28101p-17, 0x1.57f2dad9910bep-17, 0x1.598a04ef5fbcdp-17, 0x1.5b12bf0a9a188p-17, 0x1.5c8d38aa6c646p-17, 0x1.5df9a0ff6988ep-17, 0x1.5f5826eb095d8p-17, 0x1.60a8f8feea6d7p-17, 0x1.61ec457c2c3c1p-17, 0x1.63223a531e905p-17, 0x1.644b05229485p-17, 0x1.6566d3376b79dp-17, 0x1.6675d18c14e6dp-17, 0x1.67782cc841557p-17, 0x1.686e114058e86p-17, 0x1.6957aaf5616bp-17, 0x1.6a3525942a779p-17, 0x1.6b06ac75888dfp-17, 0x1.6bcc6a9d96d8p-17, 0x1.6c868abb9a56fp-17, 0x1.6d353729faae9p-17, 0x1.6dd899edd04b8p-17, 0x1.6e70dcb68c7a4p-17, 0x1.6efe28de2784fp-17, 0x1.6f80a768b8f01p-17, 0x1.6ff881048ffa6p-17, 0x1.7065de09c3341p-17, 0x1.70c8e67a5bbabp-17, 0x1.7121c20238667p-17, 0x1.717097f6ee15cp-17, 0x1.71b58f57d7877p-17, 0x1.71f0cecdee717p-17, 0x1.72227cabfc80bp-17, 0x1.724abeee7a33ap-17, 0x1.7269bb3b904b2p-17, 0x1.727f96e37b3adp-17, 0x1.728c76e045fc8p-17, 0x1.72907fd5f0f92p-17, 0x1.728bd612793dbp-17, 0x1.727e9d8e2d824p-17, 0x1.7268f9ebcc6dap-17, 0x1.724b0e788eabep-17, 0x1.7224fe2c50b97p-17, 0x1.71f6eba9d52e5p-17, 0x1.71c0f93ed779dp-17, 0x1.718348e455629p-17, 0x1.713dfc3eba429p-17, 0x1.70f1349e0a431p-17, 0x1.709d12fe76ccep-17, 0x1.7041b8083a812p-17, 0x1.6fdf440fff8b9p-17, 0x1.6f75d7171f0bap-17, 0x1.6f0590cc03142p-17, 0x1.6e8e908a591bfp-17, 0x1.6e10f55b3d3ap-17, 0x1.6d8cddf5e8868p-17, 0x1.6d0268bfddc7bp-17, 0x1.6c71b3cd276a7p-17, 0x1.6bdadce06a3ep-17, 0x1.6b3e016bc1f33p-17, 0x1.6a9b3e90db0d7p-17, 0x1.69f2b1217bcb3p-17, 0x1.6944759fb807ep-17, 0x1.6890a83e4a95bp-17, 0x1.67d764e11cb5bp-17, 0x1.6718c71d8b447p-17, 0x1.6654ea3ad4412p-17, 0x1.658be9328b897p-17, 0x1.64bddeb0efe06p-17, 0x1.63eae5158240ep-17, 0x1.6313167346b78p-17, 0x1.62368c91391e5p-17, 0x1.615560eaca7e5p-17, 0x1.606facb050072p-17, 0x1.5f8588c758167p-17, 0x1.5e970dcb11fb5p-17, 0x1.5da4540d21cf6p-17, 0x1.5cad7395d176ep-17, 0x1.5bb2842479d4ap-17, 0x1.5ab39d2fdc244p-17, 0x1.59b0d5e6dec4ap-17, 0x1.58aa4530e0cdfp-17, 0x1.57a001ae5a098p-17, 0x1.569221b94b5acp-17, 0x1.5580bb658f739p-17, 0x1.546be48156c4cp-17, 0x1.5353b295da31cp-17, 0x1.52383ae797981p-17, 0x1.51199276f0563p-17, 0x1.4ff7ce00ac705p-17, 0x1.4ed301fe6fbb5p-17, 0x1.4dab42a737189p-17, 0x1.4c80a3efee0dcp-17, 0x1.4b53398bba491p-17, 0x1.4a2316ecba94fp-17, 0x1.48f04f4451c8ap-17, 0x1.47baf583adf68p-17, 0x1.46831c5c35a92p-17, 0x1.4548d6407b4c8p-17, 0x1.440c356464f47p-17, 0x1.42cd4bbd7c0fp-17, 0x1.418c2b03b4452p-17, 0x1.4048e4b1e1391p-17, 0x1.3f038a0616a5ep-17, 0x1.3dbc2c026b817p-17, 0x1.3c72db6d8276ap-17, 0x1.3b27a8d2ac56cp-17, 0x1.39daa482a406cp-17, 0x1.388bde93f8b59p-17, 0x1.373b66e3ad656p-17, 0x1.35e94d159bed5p-17, 0x1.3495a09509201p-17, 0x1.3340709525c78p-17, 0x1.31e9cc117d2dfp-17, 0x1.3091c1ce8fc0ep-17, 0x1.2f38605a4534bp-17, 0x1.2dddb60c628c5p-17, 0x1.2c81d10710fdbp-17, 0x1.2b24bf376d0cdp-17, 0x1.29c68e55c7afbp-17, 0x1.28674be64286fp-17, 0x1.27070539c28e3p-17, 0x1.25a5c76ddb36fp-17, 0x1.24439f6d58c1ep-17, 0x1.22e099f0dd301p-17, 0x1.217cc37f59768p-17, 0x1.2018286e851b7p-17, 0x1.1eb2d4e36a262p-17, 0x1.1d4cd4d30764fp-17, 0x1.1be634026a144p-17, 0x1.1a7efe075102p-17, 0x1.19173e48afb2bp-17, 0x1.17aeffff1a778p-17, 0x1.16464e35458a7p-17, 0x1.14dd33c881922p-17, 0x1.1373bb692c2fdp-17, 0x1.1209ef9b27e6bp-17, 0x1.109fdab657e75p-17, 0x1.0f3586e71b47cp-17, 0x1.0dcafe2eb2783p-17, 0x1.0c604a63aa0d8p-17, 0x1.0af575327c737p-17, 0x1.098a881dd0e73p-17, 0x1.081f8c7edd9bcp-17, 0x1.06b48b861921ep-17, 0x1.05498e3bd50adp-17, 0x1.03de9d8030129p-17, 0x1.0273c20bc45bfp-17, 0x1.010904701361ep-17, 0x1.ff3cda2fcb51ep-18, 0x1.fc68088fb56eep-18, 0x1.f993a43d7b5cap-18, 0x1.f6bfbd2c544e5p-18, 0x1.f3ec630547ad6p-18, 0x1.f119a5282d0c6p-18, 0x1.ee4792acbbaaap-18, 0x1.eb763a6340e6dp-18, 0x1.e8a5aad574f64p-18, 0x1.e5d5f24732c8cp-18, 0x1.e3071eb7743c6p-18, 0x1.e0393de1178d3p-18, 0x1.dd6c5d3b87a96p-18, 0x1.daa089fbd9d39p-18, 0x1.d7d5d11543862p-18, 0x1.d50c3f39dd4b1p-18, 0x1.d243e0dbb84cap-18, 0x1.cf7cc22d77629p-18, 0x1.ccb6ef22dd74cp-18, 0x1.c9f27371b6a8ap-18, 0x1.c72f5a92d5728p-18, 0x1.c46dafc31895dp-18, 0x1.c1ad7e03268bap-18, 0x1.beeed018c1e96p-18, 0x1.bc31b08f7aed5p-18, 0x1.b97629b970525p-18, 0x1.b6bc45aff836dp-18, 0x1.b4040e548668bp-18, 0x1.b14d8d51692fbp-18, 0x1.ae98cc1a025f6p-18, 0x1.abe5d3ebc94e4p-18, 0x1.a934adcefefaep-18, 0x1.a685629756157p-18, 0x1.a3d7fae4ae597p-18, 0x1.a12c7f239923bp-18, 0x1.9e82f78e2cb8p-18, 0x1.9bdb6c2c981e4p-18, 0x1.9935e4d5e361dp-18, 0x1.969269308b80ep-18, 0x1.93f100b33116dp-18, 0x1.9151b2a4ed63ap-18, 0x1.8eb4861e51618p-18, 0x1.8c19820a154cdp-18, 0x1.8980ad2563decp-18, 0x1.86ea0e00902ccp-18, 0x1.8455aaff96c91p-18, 0x1.81c38a5b485e6p-18, 0x1.7f33b2217eb8p-18, 0x1.7ca6283585f6dp-18, 0x1.7a1af250df68ap-18, 0x1.77921603c78fbp-18, 0x1.750b98b602337p-18, 0x1.72877fa7087eap-18, 0x1.7005cfef25313p-18, 0x1.6d868e7fdaa8fp-18, 0x1.6b09c023f1949p-18, 0x1.688f69807775ap-18, 0x1.66178f1546f5fp-18, 0x1.63a2353d73fd4p-18, 0x1.612f602fee418p-18, 0x1.5ebf13ffe6bbcp-18, 0x1.5c51549d6d9b6p-18, 0x1.59e625d5feee1p-18, 0x1.577d8b54fe907p-18, 0x1.551788a43749bp-18, 0x1.52b4212c636b3p-18, 0x1.5053583575288p-18, 0x1.4df530e76ec3fp-18, 0x1.4b99ae4ac3fa6p-18, 0x1.4940d3489922ap-18, 0x1.46eaa2ab80d56p-18, 0x1.44971f1fbf5f5p-18, 0x1.42464b33e00eap-18, 0x1.3ff829596bf02p-18, 0x1.3dacbbe50409dp-18, 0x1.3b64050ed2574p-18, 0x1.391e06f325b89p-18, 0x1.36dac392e3388p-18, 0x1.349a3cd3c8eb1p-18, 0x1.325c7480fa959p-18, 0x1.30216c4b9fa21p-18, 0x1.2de925cb284bfp-18, 0x1.2bb3a27d91122p-18, 0x1.2980e3c7edee8p-18, 0x1.2750eaf6d13b6p-18, 0x1.2523b93ec478ap-18, 0x1.22f94fbc97452p-18, 0x1.20d1af75b86fp-18, 0x1.1eacd958c1748p-18, 0x1.1c8ace3dd3098p-18, 0x1.1a6b8ee6d1e8ep-18, 0x1.184f1bffe83e8p-18, 0x1.1635761fea3fp-18, 0x1.141e9dc88600ap-18, 0x1.120a9366e9cap-18, 0x1.0ff95753e7861p-18, 0x1.0deae9d43ffeap-18, 0x1.0bdf4b195016p-18, 0x1.09d67b4124aaap-18, 0x1.07d07a56cbdedp-18, 0x1.05cd4852dbb34p-18, 0x1.03cce51bb5797p-18, 0x1.01cf5085e4a73p-18, 0x1.ffa914a89ba42p-19, 0x1.fbb9247120cabp-19, 0x1.f7cecfa6f594p-19, 0x1.f3ea156a54367p-19, 0x1.f00af4bae2ac9p-19, 0x1.ec316c786287p-19, 0x1.e85d7b636fbb6p-19, 0x1.e48f201d8cbfbp-19, 0x1.e0c6592a4b6a6p-19, 0x1.dd0324ef8aa14p-19, 0x1.d94581b6308b9p-19, 0x1.d58d6daac8854p-19, 0x1.d1dae6dddfeebp-19, 0x1.ce2deb44cbe6p-19, 0x1.ca8678ba2cb69p-19, 0x1.c6e48cfe460b3p-19, 0x1.c34825b7ce754p-19, 0x1.bfb140746753dp-19, 0x1.bc1fdaa8ea129p-19, 0x1.b893f1b2343bp-19, 0x1.b50d82d574b38p-19, 0x1.b18c8b40bb48ep-19, 0x1.ae11080b97359p-19, 0x1.aa9af637617eap-19, 0x1.a72a52afe2653p-19, 0x1.a3bf1a4bc38a5p-19, 0x1.a05949ccba04p-19, 0x1.9cf8dde08dce3p-19, 0x1.999dd321344f7p-19, 0x1.964826152ad9cp-19, 0x1.92f7d3303aaa1p-19, 0x1.8facd6d3a1d5bp-19, 0x1.8c672d4e98741p-19, 0x1.8926d2dedcb33p-19, 0x1.85ebc3b0d446ep-19, 0x1.82b5fbe05f64ep-19, 0x1.7f857778da7f9p-19, 0x1.7c5a3275d5967p-19, 0x1.793428c33ad5bp-19, 0x1.7613563dc9f2cp-19, 0x1.72f7b6b39f111p-19, 0x1.6fe145e44f00ap-19, 0x1.6ccfff817eda8p-19, 0x1.69c3df2f46938p-19, 0x1.66bce0844777fp-19, 0x1.63baff0a4ebb4p-19, 0x1.60be363eae3e7p-19, 0x1.5dc681925c44bp-19, 0x1.5ad3dc6a93b4dp-19, 0x1.57e64220e71f6p-19, 0x1.54fdae03ce8dcp-19, 0x1.521a1b56dc8afp-19, 0x1.4f3b8552f983ap-19, 0x1.4c61e72720dabp-19, 0x1.498d3bf7fc9bp-19, 0x1.46bd7ee0ed7c9p-19, 0x1.43f2aaf3ecea7p-19, 0x1.412cbb39ed47dp-19, 0x1.3e6baab336bf4p-19, 0x1.3baf745780ap-19, 0x1.38f81316b1e7cp-19, 0x1.364581d88c852p-19, 0x1.3397bb7d5f782p-19, 0x1.30eebade5cb6cp-19, 0x1.2e4a7acd5aeabp-19, 0x1.2baaf615aa289p-19, 0x1.2910277c0bdd6p-19, 0x1.267a09bee7d7dp-19, 0x1.23e89796de202p-19, 0x1.215bcbb6a2138p-19, 0x1.1ed3a0cb916c6p-19, 0x1.1c50117d9dc74p-19, 0x1.19d1186fec506p-19, 0x1.1756b040b8f15p-19, 0x1.14e0d3898750ap-19, 0x1.126f7cdff6f51p-19, 0x1.1002a6d50bf4fp-19, 0x1.0d9a4bf653ce1p-19, 0x1.0b3666cd6c56ep-19, 0x1.08d6f1e08f3f5p-19, 0x1.067be7b2cd714p-19, 0x1.042542c3fc9dep-19, 0x1.01d2fd914e461p-19, 0x1.ff0a252a37b1bp-20, 0x1.fa76f88f0de9fp-20, 0x1.f5ec6a3c25991p-20, 0x1.f16a6f18cbac3p-20, 0x1.ecf0fc08e3263p-20, 0x1.e88005ec3a7ep-20, 0x1.e417819ff22d9p-20, 0x1.dfb763fe0718bp-20, 0x1.db5fa1de1d772p-20, 0x1.d710301642857p-20, 0x1.d2c9037a7b888p-20, 0x1.ce8a10dd8c1aep-20, 0x1.ca534d10f3de9p-20, 0x1.c624ace602097p-20, 0x1.c1fe252c5a156p-20, 0x1.bddfaab4b308bp-20, 0x1.b9c9324f1135cp-20, 0x1.b5bab0cc3166ap-20, 0x1.b1b41afdd743p-20, 0x1.adb565b6274b1p-20, 0x1.a9be85c92912p-20, 0x1.a5cf700be1cf7p-20, 0x1.a1e819559cf4dp-20, 0x1.9e08767f226a4p-20, 0x1.9a307c643e8d1p-20, 0x1.96601fe276251p-20, 0x1.929755dacdcbfp-20, 0x1.8ed6133116124p-20, 0x1.8b1c4ccbfba37p-20, 0x1.8769f7966b869p-20, 0x1.83bf087e54e9bp-20, 0x1.801b7475fc16dp-20, 0x1.7c7f3073dec8fp-20, 0x1.78ea3172a407bp-20, 0x1.755c6c715ddeap-20, 0x1.71d5d6743e5fep-20, 0x1.6e566483e8652p-20, 0x1.6ade0baec3accp-20, 0x1.676cc108eddcap-20, 0x1.640279aaa4aep-20, 0x1.609f2ab34b89fp-20, 0x1.5d42c94682bfbp-20, 0x1.59ed4a8fb9c8ep-20, 0x1.569ea3bf985bbp-20, 0x1.5356ca0da6b1p-20, 0x1.5015b2b7be8e7p-20, 0x1.4cdb5302e0903p-20, 0x1.49a7a03a21c46p-20, 0x1.467a8fb055183p-20, 0x1.435416bed9d2p-20, 0x1.40342ac696e77p-20, 0x1.3d1ac13077817p-20, 0x1.3a07cf6c0da64p-20, 0x1.36fb4af1a491cp-20, 0x1.33f529409e329p-20, 0x1.30f55fe0b15fp-20, 0x1.2dfbe461acba2p-20, 0x1.2b08ac5b81141p-20, 0x1.281bad6e78c14p-20, 0x1.2534dd439d0f3p-20, 0x1.2254318bdb36dp-20, 0x1.1f79a001b266p-20, 0x1.1ca51e67ace9p-20, 0x1.19d6a2897604fp-20, 0x1.170e223c46576p-20, 0x1.144b935d34a57p-20, 0x1.118eebd3f64b2p-20, 0x1.0ed821905d0d8p-20, 0x1.0c272a8c57771p-20, 0x1.097bfccaae235p-20, 0x1.06d68e580e4d3p-20, 0x1.0436d54a82923p-20, 0x1.019cc7c297ca1p-20, 0x1.fe10b7d33e9c9p-21, 0x1.f8f30fe74a9cap-21, 0x1.f3e0843a7538ep-21, 0x1.eed9015c6aafep-21, 0x1.e9dc73ef65fafp-21, 0x1.e4eac8ab3669ep-21, 0x1.e003ec5b8d728p-21, 0x1.db27cbe04c65cp-21, 0x1.d656542e6fa1ap-21, 0x1.d18f724f163a5p-21, 0x1.ccd3135fe9bddp-21, 0x1.c821249438aabp-21, 0x1.c379933327322p-21, 0x1.bedc4c9aaae9ap-21, 0x1.ba493e3c831b8p-21, 0x1.b5c055a02e875p-21, 0x1.b14180634c3a6p-21, 0x1.acccac36df0bbp-21, 0x1.a861c6e419eeap-21, 0x1.a400be471e075p-21, 0x1.9fa98053896c4p-21, 0x1.9b5bfb120f7d5p-21, 0x1.97181ca0dff61p-21, 0x1.92ddd3348af9dp-21, 0x1.8ead0d16b6a69p-21, 0x1.8a85b8a7b25f7p-21, 0x1.8667c45d7d4ebp-21, 0x1.82531ec40a30ap-21, 0x1.7e47b67dc54bap-21, 0x1.7a457a4238b79p-21, 0x1.764c58e081a19p-21, 0x1.725c413c7fb87p-21, 0x1.6e7522510b428p-21, 0x1.6a96eb2e94172p-21, 0x1.66c18afbc555fp-21, 0x1.62f4f0f720c33p-21, 0x1.5f310c73d182fp-21, 0x1.5b75ccdc2b0bbp-21, 0x1.57c321afb5b46p-21, 0x1.5418fa8449dccp-21, 0x1.5077470761459p-21, 0x1.4cddf6fb20ac7p-21, 0x1.494cfa3a938abp-21, 0x1.45c440b3e3809p-21, 0x1.4243ba6eccee1p-21, 0x1.3ecb57869c42ep-21, 0x1.3b5b082e49eadp-21, 0x1.37f2bcaef6b1ap-21, 0x1.34926566fb7dep-21, 0x1.3139f2ccf389cp-21, 0x1.2de9556b802e2p-21, 0x1.2aa07de5d8cb4p-21, 0x1.275f5cf345f19p-21, 0x1.2425e36329b4cp-21, 0x1.20f402197fda4p-21, 0x1.1dc9aa119f6f7p-21, 0x1.1aa6cc5c1812bp-21, 0x1.178b5a201f323p-21, 0x1.1477449ae01c2p-21, 0x1.116a7d1f58f2cp-21, 0x1.0e64f516caf72p-21, }}, 
      {{-0x1.4daf0bcb74eebp-1, -0x1.4e176511cb522p-1, -0x1.4e970d64f9b78p-1, -0x1.4f219b312777cp-1, -0x1.4fab72eb9fe06p-1, -0x1.502a7a2eda419p-1, -0x1.50966b89b9a31p-1, -0x1.50e8eb9f69e39p-1, -0x1.511d76b10febcp-1, -0x1.513136b8f93d1p-1, -0x1.5122cd35a61afp-1, -0x1.50f218221ef5fp-1, -0x1.509ff70135d88p-1, -0x1.502e130b8c72dp-1, -0x1.4f9eac47f576bp-1, -0x1.4ef46c73dddeep-1, -0x1.4e3240096b3d4p-1, -0x1.4d5b354d9907ap-1, -0x1.4c7261129da5fp-1, -0x1.4b7ac8b6eb57bp-1, -0x1.4a7750d72bc08p-1, -0x1.496ab023c1c21p-1, -0x1.485765cc7c73dp-1, -0x1.473fb2fc3fbd3p-1, -0x1.462596e87903bp-1, -0x1.450acd03b8d52p-1, -0x1.43f0cceed7eap-1, -0x1.42d8cbcffc85ap-1, -0x1.41c3bec23dbfcp-1, -0x1.40b25e1b431cep-1, -0x1.3fa5294dfa59ap-1, -0x1.3e9c6b3a4def7p-1, -0x1.3d983ec19471ep-1, -0x1.3c98937e6d5aap-1, -0x1.3b9d3284c5258p-1, -0x1.3aa5c3140ee42p-1, -0x1.39b1cf2a49a5cp-1, -0x1.38c0c7ea553bbp-1, -0x1.37d209cb6c77ep-1, -0x1.36e4e08a6f26cp-1, -0x1.35f88ad7fd793p-1, -0x1.350c3dc06569ep-1, -0x1.341f27cbf6d5ep-1, -0x1.333073d7b14f5p-1, -0x1.323f4ba741843p-1, -0x1.314ada32273b8p-1, -0x1.30524dae75f8fp-1, -0x1.2f54d95c2f83dp-1, -0x1.2e51b7148058cp-1, -0x1.2d4828a073e52p-1, -0x1.2c3778dacf7cep-1, -0x1.2b1efca0dbd5bp-1, -0x1.29fe1395e2d6ap-1, -0x1.28d428bd1979p-1, -0x1.27a0b2ed9d31cp-1, -0x1.2663352408819p-1, -0x1.251b3eb4fc402p-1, -0x1.23c86b63dae2bp-1, -0x1.226a6360ba7a5p-1, -0x1.2100db3070492p-1, -0x1.1f8b93815e17fp-1, -0x1.1e0a58ef84104p-1, -0x1.1c7d03ba24ac3p-1, -0x1.1ae3776d1c4e5p-1, -0x1.193da27fe28bbp-1, -0x1.178b7debfefe1p-1, -0x1.15cd0cbc91ac6p-1, -0x1.14025b986a96fp-1, -0x1.122b804805b0ap-1, -0x1.104899389c0ebp-1, -0x1.0e59ccfd5fd2bp-1, -0x1.0c5f49cfd1d7bp-1, -0x1.0a5945100f74ep-1, -0x1.0847fac5cea22p-1, -0x1.062bad22b750cp-1, -0x1.0404a406a0558p-1, -0x1.01d32c8634444p-1, -0x1.ff2f30e8c5097p-2, -0x1.faa47bddef54cp-2, -0x1.f606eddd4d02dp-2, -0x1.f15741b57ad25p-2, -0x1.ec96384170ba7p-2, -0x1.e7c4979faafep-2, -0x1.e2e32a7188a2bp-2, -0x1.ddf2bf230a641p-2, -0x1.d8f4273b01185p-2, -0x1.d3e836b3bae9ep-2, -0x1.cecfc35c2072fp-2, -0x1.c9aba4413a3fdp-2, -0x1.c47cb12004c6cp-2, -0x1.bf43c1df70f6p-2, -0x1.ba01ae126bf77p-2, -0x1.b4b74c81c22e5p-2, -0x1.af6572bda9f9ap-2, -0x1.aa0cf4b6c56a3p-2, -0x1.a4aea45e5d59ap-2, -0x1.9f4b514d9f591p-2, -0x1.99e3c8739f22dp-2, -0x1.9478d3c9e10ffp-2, -0x1.8f0b3a0f2b299p-2, -0x1.899bbe885bbdap-2, -0x1.842b20c70e7e5p-2, -0x1.7eba1c75c5d78p-2, -0x1.7949692961f1bp-2, -0x1.73d9ba37a369ep-2, -0x1.6e6bbe927ad99p-2, -0x1.690020a7ec732p-2, -0x1.639786464be2bp-2, -0x1.5e32908493c14p-2, -0x1.58d1dbaea281fp-2, -0x1.5375ff3527316p-2, -0x1.4e1f8da103892p-2, -0x1.48cf1489f679fp-2, -0x1.43851c9057c3ap-2, -0x1.3e422959b6dcap-2, -0x1.3906b9902cc83p-2, -0x1.33d346e435c1cp-2, -0x1.2ea84610e48fcp-2, -0x1.298626e248588p-2, -0x1.246d543dddd59p-2, -0x1.1f5e342cdfe9fp-2, -0x1.1a5927e85a23ep-2, -0x1.155e8be6d443ap-2, -0x1.106eb7eb794f1p-2, -0x1.0b89ff169692cp-2, -0x1.06b0aff755fap-2, -0x1.01e3149e9727ep-2, -0x1.fa42e5659492bp-3, -0x1.f0d8170962baep-3, -0x1.e7863849e3e85p-3, -0x1.de4dbaf4ba049p-3, -0x1.d52f08b1ae789p-3, -0x1.cc2a83319a99ap-3, -0x1.c340845e3d953p-3, -0x1.ba715e8ada087p-3, -0x1.b1bd5ca577334p-3, -0x1.a924c268ac449p-3, -0x1.a0a7cc8dc2bb6p-3, -0x1.9846b0ff2a95ap-3, -0x1.90019f0b11ae7p-3, -0x1.87d8bf96084d8p-3, -0x1.7fcc354da85abp-3, -0x1.77dc1cdb0fb4fp-3, -0x1.70088d152f6fbp-3, -0x1.68519732ce897p-3, -0x1.60b746fc38311p-3, -0x1.5939a2fc742d2p-3, -0x1.51d8acb213f32p-3, -0x1.4a9460bf67929p-3, -0x1.436cb71a2a496p-3, -0x1.3c61a33a85543p-3, -0x1.357314496738ep-3, -0x1.2ea0f54e2b25p-3, -0x1.27eb2d5b77bf3p-3, -0x1.21519fbb5e37p-3, -0x1.1ad42c1aab816p-3, -0x1.1472aeb35dad6p-3, -0x1.0e2d00764c466p-3, -0x1.0802f733e6bc4p-3, -0x1.01f465c416039p-3, -0x1.f802385a7305p-4, -0x1.ec51cf9474092p-4, -0x1.e0d726df63a56p-4, -0x1.d591cf2059286p-4, -0x1.ca8154bee38c6p-4, -0x1.bfa53fe9dc0aap-4, -0x1.b4fd14da434d9p-4, -0x1.aa88541458c26p-4, -0x1.a0467aa6ce21bp-4, -0x1.963702681f19dp-4, -0x1.8c59623220a17p-4, -0x1.82ad0e1bb3b8p-4, -0x1.793177b0b109fp-4, -0x1.6fe60e2807aa9p-4, -0x1.66ca3e9819cbbp-4, -0x1.5ddd742959361p-4, -0x1.551f18472b12p-4, -0x1.4c8e92cf17942p-4, -0x1.442b4a3e501c1p-4, -0x1.3bf4a3dd8b10cp-4, -0x1.33ea03eb446edp-4, -0x1.2c0acdc464cacp-4, -0x1.2456640b5955fp-4, -0x1.1ccc28cda1a5ap-4, -0x1.156b7da7df32ep-4, -0x1.0e33c3e869eb1p-4, -0x1.07245cb07599dp-4, -0x1.003ca913cced8p-4, -0x1.f2f8146e59fa2p-5, -0x1.e5c3c2da94387p-5, -0x1.d8db20a503b86p-5, -0x1.cc3cf1ce8d6d2p-5, -0x1.bfe7fb529a407p-5, -0x1.b3db035703287p-5, -0x1.a814d1599a715p-5, -0x1.9c942e5b6fc74p-5, -0x1.9157e509d178bp-5, -0x1.865ec1e523909p-5, -0x1.7ba793659b369p-5, -0x1.71312a1deb594p-5, -0x1.66fa58dbf5488p-5, -0x1.5d01f4c78fe5dp-5, -0x1.5346d57f6ab14p-5, -0x1.49c7d53427711p-5, -0x1.4083d0c1b17d2p-5, -0x1.3779a7c6e7165p-5, -0x1.2ea83cbb9c2d9p-5, -0x1.260e75050cc4dp-5, -0x1.1dab3908c8c3fp-5, -0x1.157d743e24deep-5, -0x1.0d84153e438afp-5, -0x1.05be0dd2c039ap-5, -0x1.fc54a6060e16bp-6, -0x1.ed8fba40d524dp-6, -0x1.df2b4fa207399p-6, -0x1.d1256432c1fedp-6, -0x1.c37bfcca37972p-6, -0x1.b62d251ca9b67p-6, -0x1.a936efc857136p-6, -0x1.9c97766067273p-6, -0x1.904cd975f3e72p-6, -0x1.8455409f425aep-6, -0x1.78aeda7d3a3ebp-6, -0x1.6d57dcbf398c2p-6, -0x1.624e84254af19p-6, -0x1.57911480dd7c3p-6, -0x1.4d1dd8b40ad1cp-6, -0x1.42f322af7959bp-6, -0x1.390f4b6ef897bp-6, -0x1.2f70b2f4cf45bp-6, -0x1.2615c043f15cbp-6, -0x1.1cfce1590402ep-6, -0x1.14248b225bb44p-6, -0x1.0b8b3976fafabp-6, -0x1.032f6f0c97579p-6, -0x1.f61f6ad97f9dep-7, -0x1.e65539d2556eap-7, -0x1.d6fd791e6ab54p-7, -0x1.c8156435523a6p-7, -0x1.b99a43cf97977p-7, -0x1.ab896dc98f763p-7, -0x1.9de04504f9396p-7, -0x1.909c394974e1p-7, -0x1.83bac723e94edp-7, -0x1.773977c4ff82p-7, -0x1.6b15e0dea789cp-7, -0x1.5f4da480c4ba1p-7, -0x1.53de70f530ff3p-7, -0x1.48c6009af14e2p-7, -0x1.3e0219c0d7271p-7, -0x1.33908e7f88205p-7, -0x1.296f3c9311e64p-7, -0x1.1f9c0d33f5da2p-7, -0x1.1614f4efd83b2p-7, -0x1.0cd7f381d4644p-7, -0x1.03e313aa8552ap-7, -0x1.f668d60f87b9fp-8, -0x1.e59433d8832f3p-8, -0x1.d544966dc5663p-8, -0x1.c57668541859ap-8, -0x1.b626288597b69p-8, -0x1.a7506a1ffa7c7p-8, -0x1.98f1d412d6236p-8, -0x1.8b0720cde372fp-8, -0x1.7d8d1def543cbp-8, -0x1.7080abf27ab6cp-8, -0x1.63debdde7e59ep-8, -0x1.57a458f568d8fp-8, -0x1.4bce94638edbap-8, -0x1.405a98ef48615p-8, -0x1.3545a0a92f672p-8, -0x1.2a8cf69cba996p-8, -0x1.202df6816749bp-8, -0x1.16260c6c70facp-8, -0x1.0c72b48315a84p-8, -0x1.03117aad8bf3bp-8, -0x1.f3fff49503a9bp-9, -0x1.e277bbc6c4961p-9, -0x1.d185bdc274bdfp-9, -0x1.c1258a84dbbe5p-9, -0x1.b152cea24c54dp-9, -0x1.a20952b500c2ap-9, -0x1.9344facd0ec32p-9, -0x1.8501c5e20e1bbp-9, -0x1.773bcd466ef33p-9, -0x1.69ef441c696ep-9, -0x1.5d1876ccb3963p-9, -0x1.50b3ca7ee4cc6p-9, -0x1.44bdbc93bf9b4p-9, -0x1.3932e2212c74cp-9, -0x1.2e0fe7700eff2p-9, -0x1.23518f7bd78dep-9, -0x1.18f4b37407605p-9, -0x1.0ef6423f5f072p-9, -0x1.05534001335b3p-9, -0x1.f8118b40c3d1bp-10, -0x1.e62800a03136p-10, -0x1.d4e46235433f9p-10, -0x1.c44158dbe3531p-10, -0x1.b439b354662f5p-10, -0x1.a4c865643d7c7p-10, -0x1.95e886fa1aeedp-10, -0x1.87955356229fp-10, -0x1.79ca2835b41e1p-10, -0x1.6c828502ca44ep-10, -0x1.5fba0a0766d84p-10, -0x1.536c77a4082cp-10, -0x1.4795ad8a1d16ep-10, -0x1.3c31a9fa0b221p-10, -0x1.313c8904b3cfap-10, -0x1.26b283d0c8e82p-10, -0x1.1c8fefe33f0c1p-10, -0x1.12d13e6b79e87p-10, -0x1.0972fb92e45dep-10, -0x1.0071cdcfe42bfp-10, -0x1.ef94ea78980aep-11, -0x1.def395ded478dp-11, -0x1.cef980b59c37ep-11, -0x1.bfa0bd5567bbfp-11, -0x1.b0e38c537fbcdp-11, -0x1.a2bc5b4f718a1p-11, -0x1.9525c3c791fcdp-11, -0x1.881a89f30bf2ap-11, -0x1.7b959ba2515cep-11, -0x1.6f920f25cc71ep-11, -0x1.640b223a5affcp-11, -0x1.58fc38fbe52c5p-11, -0x1.4e60dcde3a6a7p-11, -0x1.4434bbaafb6b1p-11, -0x1.3a73a6854f175p-11, -0x1.311990f3a00d2p-11, -0x1.28228fee84972p-11, -0x1.1f8ad8f512e09p-11, -0x1.174ec12712a98p-11, -0x1.0f6abc63fcbp-11, -0x1.07db5c6eb5579p-11, -0x1.009d50176d8c5p-11, -0x1.f35ac4d333ac1p-12, -0x1.e610f3beaada7p-12, -0x1.d9572f32ff502p-12, -0x1.cd27ad3996bb9p-12, -0x1.c17cd625c4716p-12, -0x1.b651432117926p-12, -0x1.ab9fbcc0a9aep-12, -0x1.a16339a2fa995p-12, -0x1.9796dd16cf038p-12, -0x1.8e35f5cad1d57p-12, -0x1.853bfc8418ba5p-12, -0x1.7ca492de96098p-12, -0x1.746b82149a6f7p-12, -0x1.6c8cb9ce56d2fp-12, -0x1.65044ef924d21p-12, -0x1.5dce7aa6e17fp-12, -0x1.56e798f436889p-12, -0x1.504c27f589be8p-12, -0x1.49f8c6ac0270dp-12, -0x1.43ea34012975ap-12, -0x1.3e1d4dc958141p-12, -0x1.388f0fccb2455p-12, -0x1.333c92d74ad3fp-12, -0x1.2e230bcee2539p-12, -0x1.293fcaceddab1p-12, -0x1.24903a4b2c642p-12, -0x1.2011de384a5f5p-12, -0x1.1bc25339c283ap-12, -0x1.179f4dd624319p-12, -0x1.13a699b0996a3p-12, -0x1.0fd618c7efb98p-12, -0x1.0c2bc2bae08dcp-12, -0x1.08a5a411b14c7p-12, -0x1.0541dd8cd7d55p-12, -0x1.01fea378a94c9p-12, -0x1.fdb47a0c6d834p-13, -0x1.f7a60750d769fp-13, -0x1.f1cec4ebefb14p-13, -0x1.ec2bab1f7f2fcp-13, -0x1.e6b9d317698bp-13, -0x1.e17675c8da04ap-13, -0x1.dc5eead80aeefp-13, -0x1.d770a787f2d9fp-13, -0x1.d2a93db1919ddp-13, -0x1.ce065ac2bf876p-13, -0x1.c985c6c4720b7p-13, -0x1.c525636890206p-13, -0x1.c0e32b1f5809bp-13, -0x1.bcbd3033ccc7cp-13, -0x1.b8b19beec47bdp-13, -0x1.b4beadc098a7dp-13, -0x1.b0e2ba71ec7a8p-13, -0x1.ad1c2b5a479aap-13, -0x1.a9697d9ce2356p-13, -0x1.a5c9416ba41f1p-13, -0x1.a23a19503b193p-13, -0x1.9ebab97aa8d06p-13, -0x1.9b49e7155f16cp-13, -0x1.97e6779f09e1cp-13, -0x1.948f50497e22p-13, -0x1.9143655d8f4eep-13, -0x1.8e01b9a418363p-13, -0x1.8ac95dd41dd6dp-13, -0x1.879970050d5efp-13, -0x1.84711b264ddb6p-13, -0x1.814f967ae06e9p-13, -0x1.7e3425199aab7p-13, -0x1.7b1e157123cf3p-13, -0x1.780cc0d084042p-13, -0x1.74ff8af344f8ep-13, -0x1.71f5e19236843p-13, -0x1.6eef3bf7132c3p-13, -0x1.6beb1a9447067p-13, -0x1.68e906a024cb6p-13, -0x1.65e891b3eb4afp-13, -0x1.62e9556d6d85bp-13, -0x1.5feaf314f655bp-13, -0x1.5ced1345032cp-13, -0x1.59ef659638914p-13, -0x1.56f1a04e01656p-13, -0x1.53f3800fdb922p-13, -0x1.50f4c7916fe91p-13, -0x1.4df53f51daf63p-13, -0x1.4af4b552d6cdep-13, -0x1.47f2fcd503cb9p-13, -0x1.44efee16dddc7p-13, -0x1.41eb6615192cfp-13, -0x1.3ee5464e65d5fp-13, -0x1.3bdd7488eeb08p-13, -0x1.38d3da9a2c715p-13, -0x1.35c86630a9f61p-13, -0x1.32bb08a030aadp-13, -0x1.2fabb6af7cbf4p-13, -0x1.2c9a68681c344p-13, -0x1.298718e87f0f1p-13, -0x1.2671c637105cap-13, -0x1.235a7117af30fp-13, -0x1.20411ce28f09ep-13, -0x1.1d25cf5ced784p-13, -0x1.1a0890932f2c2p-13, -0x1.16e96ab499889p-13, -0x1.13c869f0876bap-13, -0x1.10a59c54cacd3p-13, -0x1.0d8111adebbfcp-13, -0x1.0a5adb6889795p-13, -0x1.07330c73cfe17p-13, -0x1.0409b925444c3p-13, -0x1.00def71e0b9bap-13, -0x1.fb65ba61e97a5p-14, -0x1.f50b0693ca43bp-14, -0x1.eeae04acf7edbp-14, -0x1.e84ee85e6e237p-14, -0x1.e1ede7043d8cdp-14, -0x1.db8b377c839c7p-14, -0x1.d5271200418c5p-14, -0x1.cec1affdcfe23p-14, -0x1.c85b4bf55c5ebp-14, -0x1.c1f42157334abp-14, -0x1.bb8c6c62ed8dp-14, -0x1.b5246a08db9b7p-14, -0x1.aebc57cd5fd18p-14, -0x1.a85473ac4ffbcp-14, -0x1.a1ecfbff1a501p-14, -0x1.9b862f63a395cp-14, -0x1.95204ca45ec16p-14, -0x1.8ebb92a1fa6dcp-14, -0x1.8858403e0e22cp-14, -0x1.81f69446f21bfp-14, -0x1.7b96cd64959a1p-14, -0x1.75392a069df84p-14, -0x1.6edde8538dd81p-14, -0x1.68854618d67dap-14, -0x1.622f80bbbc1efp-14, -0x1.5bdcd52b46f8ep-14, -0x1.558d7fd2edc2fp-14, -0x1.4f41bc8e3d6b5p-14, -0x1.48f9c69d513fep-14, -0x1.42b5d89a02a85p-14, -0x1.3c762c6dc5d0bp-14, -0x1.363afb4841511p-14, -0x1.30047d9667b78p-14, -0x1.29d2eafaddf9ep-14, -0x1.23a67a4653ac9p-14, -0x1.1d7f6170c67dep-14, -0x1.175dd592f3cf2p-14, -0x1.11420ae0d7426p-14, -0x1.0b2c34a45e105p-14, -0x1.051c8538824fcp-14, -0x1.fe265c0b2d5cap-15, -0x1.f220befa086a6p-15, -0x1.e628922bd2d48p-15, -0x1.da3e3294b7dc9p-15, -0x1.ce61fb29a4eb1p-15, -0x1.c29444dbd992ap-15, -0x1.b6d5669546613p-15, -0x1.ab25b535294dp-15, -0x1.9f85838e5346p-15, -0x1.93f52264c18ecp-15, -0x1.8874e06c9e4afp-15, -0x1.7d050a4a2a84fp-15, -0x1.71a5ea910cebp-15, -0x1.6657c9c4bde55p-15, -0x1.5b1aee598f51p-15, -0x1.4fef9cb600409p-15, -0x1.44d61734868cdp-15, -0x1.39ce9e2531201p-15, -0x1.2ed96fd07c804p-15, -0x1.23f6c87a3847ep-15, -0x1.1926e26426013p-15, -0x1.0e69f5d1bbd6ap-15, -0x1.03c0390c24835p-15, -0x1.f253c0cb9b8acp-16, -0x1.dd4e3c7ddb398p-16, -0x1.c87046138401ap-16, -0x1.b3ba3a9f5dc46p-16, -0x1.9f2c736ba00b3p-16, -0x1.8ac746042ec3dp-16, -0x1.768b0440ac78fp-16, -0x1.6277fc509f9afp-16, -0x1.4e8e78c5518f6p-16, -0x1.3acec09d9594dp-16, -0x1.273917521a003p-16, -0x1.13cdbce035167p-16, -0x1.008cedd69114ep-16, -0x1.daedc6c304f46p-17, -0x1.b517a6aea2ad1p-17, -0x1.8f97e08a22915p-17, -0x1.6a6ed2f644945p-17, -0x1.459cd632c9eb2p-17, -0x1.21223c392d799p-17, -0x1.f9fea1ae4aafdp-18, -0x1.b268b38f74a57p-18, -0x1.6b832d9c6fa9bp-18, -0x1.254e83a0b0c9bp-18, -0x1.bf963bbbbfa22p-19, -0x1.35f2b28adc8b3p-19, -0x1.5b661ea2bca74p-20, -0x1.36beff00623cdp-22, 0x1.7a798d8229dbbp-21, 0x1.c55eae15bfecbp-20, 0x1.655aac550b316p-19, 0x1.e6a028a7bccfbp-19, 0x1.333fd29b17d7ep-18, 0x1.727c874bc9ea1p-18, 0x1.b106322fb4d08p-18, 0x1.eedcdc5c123d7p-18, 0x1.16004c00dc369p-17, 0x1.3438c01b6a6efp-17, 0x1.5217dc64204b5p-17, 0x1.6f9db70393ad1p-17, 0x1.8cca6a4bd946cp-17, 0x1.a99e14a010d26p-17, 0x1.c618d85d35d3ep-17, 0x1.e23adbc239e8cp-17, 0x1.fe0448d7962eap-17, 0x1.0cbaa6aca9f1ap-16, 0x1.1a470d4f78b0cp-16, 0x1.27a772c2586c4p-16, 0x1.34dbf32aa98cfp-16, 0x1.41e4ac5a336b7p-16, 0x1.4ec1bdc361bfap-16, 0x1.5b73486f4d11p-16, 0x1.67f96ef29f52ap-16, 0x1.74545562dbeeap-16, 0x1.8084214c0cb4p-16, 0x1.8c88f9a68a25ap-16, 0x1.986306ccf410dp-16, 0x1.a4127271cf58ep-16, 0x1.af9767960bc96p-16, 0x1.baf2127f4e195p-16, 0x1.c622a0add50dp-16, 0x1.d12940d3b64f3p-16, 0x1.dc0622cb2368cp-16, 0x1.e6b9778d53039p-16, 0x1.f1437129c0a53p-16, 0x1.fba442bd630b6p-16, 0x1.02ee1034c54ffp-15, 0x1.07f59fa5d0bb3p-15, 0x1.0ce8eaba4501ap-15, 0x1.11c80cf0578aap-15, 0x1.16932237b0318p-15, 0x1.1b4a46ed9def9p-15, 0x1.1fed97d93644p-15, 0x1.247d322746da6p-15, 0x1.28f933667e50bp-15, 0x1.2d61b98400b7dp-15, 0x1.31b6e2c76ae0dp-15, 0x1.35f8cdcf6739cp-15, 0x1.3a27998e394b9p-15, 0x1.3e4365462c65bp-15, 0x1.424c508636e3dp-15, 0x1.46427b267d064p-15, 0x1.4a26054547ce1p-15, 0x1.4df70f43bccbdp-15, 0x1.51b5b9c28e5dcp-15, 0x1.5562259f467ep-15, 0x1.58fc73f10173bp-15, 0x1.5c84c6056b2a9p-15, 0x1.5ffb3d5ddf22p-15, 0x1.635ffbacc08f8p-15, 0x1.66b322d262754p-15, 0x1.69f4d4da92923p-15, 0x1.6d2533f9e6b59p-15, 0x1.7044628b08fe6p-15, 0x1.7352830c396d6p-15, 0x1.764fb81c82b9p-15, 0x1.793c2479a9662p-15, 0x1.7c17eafd9bb2cp-15, 0x1.7ee32e9c064p-15, 0x1.819e126038b87p-15, 0x1.8448b96ad5dbcp-15, 0x1.86e346ef7ff0dp-15, 0x1.896dde329ecbcp-15, 0x1.8be8a287a5bbp-15, 0x1.8e53b74ea6087p-15, 0x1.90af3ff270268p-15, 0x1.92fb5fe6c0093p-15, 0x1.95383aa6370d7p-15, 0x1.9765f3b07539dp-15, 0x1.9984ae88252ap-15, 0x1.9b948eb14aa17p-15, 0x1.9d95b7afad38ap-15, 0x1.9f884d04ee5f3p-15, 0x1.a16c722f0386ep-15, 0x1.a3424aa692c3dp-15, 0x1.a509f9dd5e319p-15, 0x1.a6c3a33c841d1p-15, 0x1.a86f6a231ab13p-15, 0x1.aa0d71e5020b3p-15, 0x1.ab9dddc8e94d6p-15, 0x1.ad20d10760d55p-15, 0x1.ae966ec95d68ap-15, 0x1.affeda26e9239p-15, 0x1.b15a3625c883fp-15, 0x1.b2a8a5b7ffbfap-15, 0x1.b3ea4bbaf4d47p-15, 0x1.b51f4af61436ep-15, 0x1.b647c619bd8fap-15, 0x1.b763dfbe162bep-15, 0x1.b873ba620538ap-15, 0x1.b977786a0cafcp-15, 0x1.ba6f3c1f22441p-15, 0x1.bb5b27adbabeep-15, 0x1.bc3b5d251ae67p-15, 0x1.bd0ffe75fabb9p-15, 0x1.bdd92d71c9c3fp-15, 0x1.be970bc9dca1bp-15, 0x1.bf49bb0e7baeap-15, 0x1.bff15cae2746bp-15, 0x1.c08e11f45c872p-15, 0x1.c11ffc091db15p-15, 0x1.c1a73bf033369p-15, 0x1.c223f288594fbp-15, 0x1.c296408a92b0cp-15, 0x1.c2fe4689706d5p-15, 0x1.c35c24f067ea8p-15, 0x1.c3affc032af9ep-15, 0x1.c3f9ebdcc5f2dp-15, 0x1.c43a146f632b8p-15, 0x1.c4709583a53d2p-15, 0x1.c49d8eb7d215fp-15, 0x1.c4c11f7f7cdd7p-15, 0x1.c4db67230a03bp-15, 0x1.c4ec84bf1e6bdp-15, 0x1.c4f497442c7cfp-15, 0x1.c4f3bd75ace55p-15, 0x1.c4ea15e9ef67ap-15, 0x1.c4d7bf09b540dp-15, 0x1.c4bcd70fb4237p-15, 0x1.c4997c08388a9p-15, 0x1.c46dcbd0b9ffep-15, 0x1.c439e4178671p-15, 0x1.c3fde25b71d72p-15, 0x1.c3b9e3eb36f8p-15, 0x1.c36e05e574277p-15, 0x1.c31a653867e7ep-15, 0x1.c2bf1ea172745p-15, 0x1.c25c4eacd48ap-15, 0x1.c1f211b59180ep-15, 0x1.c18083e52b8ffp-15, 0x1.c107c1335e43ep-15, 0x1.c087e565cff43p-15, 0x1.c0010c0fdc147p-15, 0x1.bf7350927fbf7p-15, 0x1.bedece1c2d0a9p-15, 0x1.be439fa8994d5p-15, 0x1.bda1e0008ea71p-15, 0x1.bcf9a9b9d3dbap-15, 0x1.bc4b1736fe917p-15, 0x1.bb9642a768deep-15, 0x1.badb4606ceee4p-15, 0x1.ba1a3b1d83f47p-15, 0x1.b9533b8065f0cp-15, 0x1.b88660908b87bp-15, 0x1.b7b3c37b48b1ep-15, 0x1.b6db7d3a31fa9p-15, 0x1.b5fda6931773cp-15, 0x1.b51a5817eebc6p-15, 0x1.b431aa26b3a7fp-15, 0x1.b343b4e974da6p-15, 0x1.b25090564ebd4p-15, 0x1.b158542f764e6p-15, 0x1.b05b18034fd2ap-15, 0x1.af58f32c4e692p-15, 0x1.ae51fcd102d09p-15, 0x1.ad464be426928p-15, 0x1.ac35f724c2909p-15, 0x1.ab21151df9554p-15, 0x1.aa07bc274be5p-15, 0x1.a8ea0264922dp-15, 0x1.a7c7fdc64426cp-15, 0x1.a6a1c4092ba92p-15, 0x1.a5776ab6bfec2p-15, 0x1.a44907253562fp-15, 0x1.a316ae7795834p-15, 0x1.a1e0759dc9385p-15, 0x1.a0a67154b5b55p-15, 0x1.9f68b626686a3p-15, 0x1.9e27586a2b8ccp-15, 0x1.9ce26c44a8af3p-15, 0x1.9b9a05a820986p-15, 0x1.9a4e38547bd67p-15, 0x1.98ff17d7695edp-15, 0x1.97acb78c83aa1p-15, 0x1.96572a9d9cb9ap-15, 0x1.94fe8402ab5b2p-15, 0x1.93a2d6822aa2dp-15, 0x1.924434b11a476p-15, 0x1.90e2b0f35c4fp-15, 0x1.8f7e5d7bc207ap-15, 0x1.8e174c4c2768ep-15, 0x1.8cad8f35db334p-15, 0x1.8b4137d9a6819p-15, 0x1.89d257a7fd0fcp-15, 0x1.8860ffe150752p-15, 0x1.86ed41961e8ddp-15, 0x1.85772da73421bp-15, 0x1.83fed4c5ebf19p-15, 0x1.828447745efe4p-15, 0x1.810796059e8a8p-15, 0x1.7f88d09de9111p-15, 0x1.7e080732de267p-15, 0x1.7c85498bc90d8p-15, 0x1.7b00a741c4be6p-15, 0x1.797a2fc004ae3p-15, 0x1.77f1f2440ed03p-15, 0x1.7667fdddfe3d6p-15, 0x1.74dc6170aad62p-15, 0x1.734f2bb2132ecp-15, 0x1.71c06b2b62535p-15, 0x1.70302e3961fddp-15, 0x1.6e9e830c93723p-15, 0x1.6d0b77a97dad1p-15, 0x1.6b7719e901566p-15, 0x1.69e17778884ffp-15, 0x1.684a9dda38264p-15, 0x1.66b29a655357cp-15, 0x1.65197a46637c1p-15, 0x1.637f4a7f929dfp-15, 0x1.61e417e8d3957p-15, 0x1.6047ef303de78p-15, 0x1.5eaadcda4b05ep-15, 0x1.5d0ced4211c15p-15, 0x1.5b6e2c99975a9p-15, 0x1.59cea6ea0c096p-15, 0x1.582e681419878p-15, 0x1.568d7bd01dcacp-15, 0x1.54ebedae6b831p-15, 0x1.5349c917b5d41p-15, 0x1.51a7194d32ebbp-15, 0x1.5003e968e7ab4p-15, 0x1.4e60445de7109p-15, 0x1.4cbc34f8afe2bp-15, 0x1.4b17c5df6ea0ap-15, 0x1.4973019245905p-15, 0x1.47cdf26b81b4bp-15, 0x1.4628a29ff9332p-15, 0x1.44831c3f4273p-15, 0x1.42dd693407b44p-15, 0x1.4137934445bfap-15, 0x1.3f91a411905b6p-15, 0x1.3deba5197fd24p-15, 0x1.3c459fb5c6354p-15, 0x1.3a9f9d1c94993p-15, 0x1.38f9a660dc4d5p-15, 0x1.3753c4729a841p-15, 0x1.35ae001f2176bp-15, 0x1.34086211411b9p-15, 0x1.3262f2d1d123ep-15, 0x1.30bdbac7d1686p-15, 0x1.2f18c238aeba6p-15, 0x1.2d74114879a6ep-15, 0x1.2bcfaffa59657p-15, 0x1.2a2ba630b65bbp-15, 0x1.2887fbada23cbp-15, 0x1.26e4b8130c472p-15, 0x1.2541e2e2f411fp-15, 0x1.239f837fd0f3cp-15, 0x1.21fda12cc52bbp-15, 0x1.205c430dee39dp-15, 0x1.1ebb7028af171p-15, 0x1.1d1b2f63e97e7p-15, 0x1.1b7b87885f909p-15, 0x1.19dc7f40e9de7p-15, 0x1.183e1d1ab6767p-15, 0x1.16a067859f5c9p-15, 0x1.150364d46a4f9p-15, 0x1.13671b3d06c15p-15, 0x1.11cb90d8cb169p-15, 0x1.1030cba4eec9fp-15, 0x1.0e96d182a73efp-15, 0x1.0cfda83766ce9p-15, 0x1.0b65556d23657p-15, 0x1.09cddeb2a4b22p-15, 0x1.0837497bc7853p-15, 0x1.06a19b21d72bp-15, 0x1.050cd8e3c76d7p-15, 0x1.037907e6602cp-15, 0x1.01e62d3486232p-15, 0x1.00544dbf98f56p-15, 0x1.fd86dcbf2c3b9p-16, 0x1.fa6727a6da7d6p-16, 0x1.f749858290613p-16, 0x1.f42dff6d85b45p-16, 0x1.f1149e525f49ap-16, 0x1.edfd6aebd4b4cp-16, 0x1.eae86dc4eb60bp-16, 0x1.e7d5af39ba8eap-16, 0x1.e4c53777cf7f4p-16, 0x1.e1b70e7ea22e2p-16, 0x1.deab3c1ff3b75p-16, 0x1.dba1c800ebb01p-16, 0x1.d89ab99a131cp-16, 0x1.d5961837c13b3p-16, 0x1.d293eafacaa43p-16, 0x1.cf9438d8fdeccp-16, 0x1.cc97089d75ceep-16, 0x1.c99c60e966867p-16, 0x1.c6a44834956e9p-16, 0x1.c3aec4cd70c8ep-16, 0x1.c0bbdcd9d022dp-16, 0x1.bdcb96574daf1p-16, 0x1.baddf71bdd98p-16, 0x1.b7f304d631702p-16, 0x1.b50ac50e31f92p-16, 0x1.b2253d25801f7p-16, 0x1.af427257e8fd9p-16, 0x1.ac6269bbd2aabp-16, 0x1.a9852842ba547p-16, 0x1.a6aab2b999d8cp-16, 0x1.a3d30dc95eab2p-16, 0x1.a0fe3df7714c6p-16, 0x1.9e2c47a5e4d99p-16, 0x1.9b5d2f13fe83cp-16, 0x1.9890f85f26f4dp-16, 0x1.95c7a782c0843p-16, 0x1.93014058a6c19p-16, 0x1.903dc699ba3fbp-16, 0x1.8d7d3dde4122dp-16, 0x1.8abfa99e527eap-16, 0x1.88050d325ba49p-16, 0x1.854d6bd3b26a9p-16, 0x1.8298c89c8d3e4p-16, 0x1.7fe72688a1ab7p-16, 0x1.7d3888759072ap-16, 0x1.7a8cf1233e29fp-16, 0x1.77e4633451579p-16, 0x1.753ee12e86078p-16, 0x1.729c6d7b1083dp-16, 0x1.6ffd0a670fe6fp-16, 0x1.6d60ba23e99efp-16, 0x1.6ac77ec7bee1fp-16, 0x1.68315a4dae405p-16, 0x1.659e4e962db77p-16, 0x1.630e5d679fda4p-16, 0x1.6081886e807e5p-16, 0x1.5df7d13dad831p-16, 0x1.5b71394efbfa6p-16, 0x1.58edc203cf7b1p-16, 0x1.566d6ca4f3375p-16, 0x1.53f03a6324569p-16, 0x1.51762c5776d7p-16, 0x1.4eff43839d9c4p-16, 0x1.4c8b80d2609cp-16, 0x1.4a1ae517eb69p-16, 0x1.47ad71124d764p-16, 0x1.454325697cf8ep-16, 0x1.42dc02afc8097p-16, 0x1.4078096247efp-16, 0x1.3e1739e915b8ep-16, 0x1.3bb99497b373p-16, 0x1.395f19ad4d005p-16, 0x1.3707c95518a8dp-16, 0x1.34b3a3a6b356p-16, 0x1.3262a8a646c31p-16, 0x1.3014d84516b92p-16, 0x1.2dca3261a5ce7p-16, 0x1.2b82b6c7f1ee2p-16, 0x1.293e6531f553bp-16, 0x1.26fd3d47db252p-16, 0x1.24bf3ea02f01cp-16, 0x1.228468c038859p-16, 0x1.204cbb1c68d08p-16, 0x1.1e183518c472cp-16, 0x1.1be6d608b496cp-16, 0x1.19b89d2f896dap-16, 0x1.178d89c0c972ap-16, 0x1.15659ae07dccbp-16, 0x1.1340cfa366e87p-16, 0x1.111f270f57fbcp-16, 0x1.0f00a01b97945p-16, 0x1.0ce539b0cab22p-16, 0x1.0accf2a96c64cp-16, 0x1.08b7c9d212f8dp-16, 0x1.06a5bde9a4918p-16, 0x1.0496cda1a7dd6p-16, 0x1.028af79e745d6p-16, 0x1.00823a777f7f1p-16, 0x1.fcf9296f1f8b3p-17, 0x1.f8f409ba0b226p-17, 0x1.f4f512b4465b5p-17, 0x1.f0fc412a75e0cp-17, 0x1.ed0991d19c68ep-17, 0x1.e91d0147fb872p-17, 0x1.e5368c1575ab9p-17, 0x1.e1562eabcc1b7p-17, 0x1.dd7be5671f34p-17, 0x1.d9a7ac8e3f1f3p-17, 0x1.d5d98053cd7f4p-17, 0x1.d2115cd62ab2ep-17, 0x1.ce4f3e1f9e2f1p-17, 0x1.ca93202726061p-17, 0x1.c6dcfed0b4df6p-17, 0x1.c32cd5edcf0d9p-17, 0x1.bf82a13daa433p-17, 0x1.bbde5c6e0a118p-17, 0x1.b840031b73ca2p-17, 0x1.b4a790d13a06cp-17, 0x1.b115010a39736p-17, 0x1.ad884f312c64cp-17, 0x1.aa0176a109f5ep-17, 0x1.a68072a5738f1p-17, 0x1.a3053e7aeba9bp-17, 0x1.9f8fd54f6029bp-17, 0x1.9c20324280d5dp-17, 0x1.98b6506608d72p-17, 0x1.95522abe3204p-17, 0x1.91f3bc4204237p-17, 0x1.8e9affdb88cecp-17, 0x1.8b47f0685cfffp-17, 0x1.87fa88b9f4cdap-17, 0x1.84b2c395e098p-17, 0x1.81709bb627d3cp-17, 0x1.7e340bc98b54dp-17, 0x1.7afd0e73f446cp-17, 0x1.77cb9e4ee0429p-17, 0x1.749fb5e986c71p-17, 0x1.71794fc9116d6p-17, 0x1.6e58666909701p-17, 0x1.6b3cf43bb275dp-17, 0x1.6826f3aa25f36p-17, 0x1.65165f14b69c2p-17, 0x1.620b30d36dc31p-17, 0x1.5f0563362f62bp-17, 0x1.5c04f084c9f6dp-17, 0x1.5909d2ff7df4bp-17, 0x1.561404df27962p-17, 0x1.5323805598334p-17, 0x1.50383f8dc742ap-17, 0x1.4d523cac0d258p-17, 0x1.4a7171ce8c127p-17, 0x1.4795d90d54d4fp-17, 0x1.44bf6c7aa5c83p-17, 0x1.41ee262329f65p-17, 0x1.3f22000e40499p-17, 0x1.3c5af43e367e1p-17, 0x1.3998fcb0853a1p-17, 0x1.36dc135e0dbcap-17, 0x1.3424323b3461fp-17, 0x1.317153384a6b1p-17, 0x1.2ec37041b7ee1p-17, 0x1.2c1a83401aad1p-17, 0x1.297686189432bp-17, 0x1.26d772ad0882bp-17, 0x1.243d42dc4930dp-17, 0x1.21a7f08238b04p-17, 0x1.1f1775780ea29p-17, 0x1.1c8bcb9498fc2p-17, 0x1.1a04ecac3d995p-17, 0x1.1782d29167a15p-17, 0x1.1505771494592p-17, 0x1.128cd40492fbap-17, 0x1.1018e32ea36bdp-17, 0x1.0da99e5eb42d3p-17, 0x1.0b3eff5f7646bp-17, 0x1.08d8fffab5e48p-17, 0x1.067799f9590bep-17, 0x1.041ac7239cb61p-17, 0x1.01c2814154a8p-17, 0x1.fedd8433df408p-18, 0x1.fa3f06e974b55p-18, 0x1.f5a97e31f069bp-18, 0x1.f11cdd9c48111p-18, 0x1.ec9918b7f2c91p-18, 0x1.e81e231541e03p-18, 0x1.e3abf045e8e11p-18, 0x1.df4273dce27a8p-18, 0x1.dae1a16ef63cdp-18, 0x1.d6896c930ec7ep-18, 0x1.d239c8e2659aep-18, 0x1.cdf2a9f8d539ap-18, 0x1.c9b40374f2d3ap-18, 0x1.c57dc8f87247fp-18, 0x1.c14fee2875b2ap-18, 0x1.bd2a66adb610bp-18, 0x1.b90d2634ca715p-18, 0x1.b4f8206e76123p-18, 0x1.b0eb490fb47acp-18, 0x1.ace693d2246adp-18, 0x1.a8e9f4742feb3p-18, 0x1.a4f55eb92adb1p-18, 0x1.a108c669b1c3fp-18, 0x1.9d241f53ec24ap-18, 0x1.99475d4b825a8p-18, 0x1.9572742a178ddp-18, 0x1.91a557cf4d26ap-18, 0x1.8ddffc21071cep-18, 0x1.8a22550b9d8b4p-18, 0x1.866c568209a63p-18, 0x1.82bdf47e2b7c4p-18, 0x1.7f172300bfdfdp-18, 0x1.7b77d611c7e02p-18, 0x1.77e001c09a5edp-18, 0x1.744f9a23fd6cdp-18, 0x1.70c6935aa0802p-18, 0x1.6d44e18acc531p-18, 0x1.69ca78e2e857ap-18, 0x1.66574d998a91dp-18, 0x1.62eb53ed84462p-18, 0x1.5f86802623fafp-18, 0x1.5c28c69359c98p-18, 0x1.58d21b8de40b1p-18, 0x1.558273775d2eap-18, 0x1.5239c2ba2211dp-18, 0x1.4ef7fdc9dd81dp-18, 0x1.4bbd192396a4cp-18, 0x1.4889094db4255p-18, 0x1.455bc2d812ae4p-18, 0x1.42353a5c506e5p-18, 0x1.3f15647db5bfbp-18, 0x1.3bfc35e959c31p-18, 0x1.38e9a3565ee68p-18, 0x1.35dda185e0738p-18, 0x1.32d8254332d54p-18, 0x1.2fd923641aefcp-18, 0x1.2ce090c8812adp-18, 0x1.29ee625b04bafp-18, 0x1.27028d10b9a07p-18, 0x1.241d05e94a169p-18, 0x1.213dc1ef3b2cbp-18, 0x1.1e64b637c798p-18, 0x1.1b91d7e3362b7p-18, 0x1.18c51c1ca1a36p-18, 0x1.15fe781a58a08p-18, 0x1.133de11daf404p-18, 0x1.10834c733ba42p-18, 0x1.0dceaf72ea1e8p-18, 0x1.0b1fff7fd56c6p-18, 0x1.08773208c0eaep-18, 0x1.05d43c87a4253p-18, 0x1.033714820c40ep-18, 0x1.009faf89237c2p-18, 0x1.fc1c0673e65dbp-19, 0x1.f7040a7a1fd6p-19, 0x1.f1f7568d366e3p-19, 0x1.ecf5d62d2bfa7p-19, 0x1.e7ff74f16f3aep-19, 0x1.e3141e89cd651p-19, 0x1.de33bebdd8ccfp-19, 0x1.d95e416ca7c17p-19, 0x1.d493928e0e248p-19, 0x1.cfd39e314fa5ap-19, 0x1.cb1e507e09cd3p-19, 0x1.c67395b3b2db9p-19, 0x1.c1d35a2a6f13dp-19, 0x1.bd3d8a528afe5p-19, 0x1.b8b212b4f631fp-19, 0x1.b430dff2f29ffp-19, 0x1.afb9dec61ef43p-19, 0x1.ab4cfc0107463p-19, 0x1.a6ea248e3faa8p-19, 0x1.a291457166745p-19, 0x1.9e424bc672a83p-19, 0x1.99fd24c264f58p-19, 0x1.95c1bdb2a774fp-19, 0x1.919003fd83417p-19, 0x1.8d67e521dfe7ep-19, 0x1.89494eb777dc8p-19, 0x1.85342e6f0f3e5p-19, 0x1.81287211bacbep-19, 0x1.7d2607823b7e4p-19, 0x1.792cdcbb576a1p-19, 0x1.753cdfd0ef062p-19, 0x1.7155feefb6445p-19, 0x1.6d78285cd97c8p-19, 0x1.69a34a7769bf7p-19, 0x1.65d753b6c13fp-19, 0x1.621432ab0ff63p-19, 0x1.5e59d5fcbb67ap-19, 0x1.5aa82c6d58cc6p-19, 0x1.56ff24d7470bdp-19, 0x1.535eae2e5e8d6p-19, 0x1.4fc6b77e37a6fp-19, 0x1.4c372fec38583p-19, 0x1.48b006b5b78f6p-19, 0x1.45312b3101249p-19, 0x1.41ba8cccebc88p-19, 0x1.3e4c1b10b8bc5p-19, 0x1.3ae5c59c81ebfp-19, 0x1.37877c2913e2ap-19, 0x1.34312e87bc374p-19, 0x1.30e2cca22c264p-19, 0x1.2d9c467ad71bbp-19, 0x1.2a5d8c2c0eff6p-19, 0x1.27268de949e88p-19, 0x1.23f73bfd89675p-19, 0x1.20cf86ccc644ap-19, 0x1.1daf5ed2ca82dp-19, 0x1.1a96b4a3a00c5p-19, 0x1.178578ebacf27p-19, 0x1.147b9c6f2632p-19, 0x1.1179100a7aebep-19, 0x1.0e7dc4b238b99p-19, 0x1.0b89ab728bb3dp-19, 0x1.089cb56fc39c2p-19, 0x1.05b6d3e61b5e8p-19, 0x1.02d7f8290f032p-19, 0x1.000013a44dcb8p-19, 0x1.fa5e2fb4c419ap-20, 0x1.f4c9ecccf6f1fp-20, 0x1.ef4341f5a95c9p-20, 0x1.e9ca12c2fb1b8p-20, 0x1.e45e42f617762p-20, 0x1.deffb67f51f16p-20, 0x1.d9ae517cc45dap-20, 0x1.d469f83c829dep-20, 0x1.cf328f39ca145p-20, 0x1.ca07fb1ef727ap-20, 0x1.c4ea20c30e9d2p-20, 0x1.bfd8e52bdc9f8p-20, 0x1.bad42d8bbea9p-20, 0x1.b5dbdf4287cafp-20, 0x1.b0efdfdd956e1p-20, 0x1.ac101516ec32dp-20, 0x1.a73c64d672b06p-20, 0x1.a274b53045b8fp-20, 0x1.9db8ec6529563p-20, 0x1.9908f0e2cdf61p-20, 0x1.9464a9423bbe3p-20, 0x1.8fcbfc49cdd46p-20, 0x1.8b3ed0ea9ee6ap-20, 0x1.86bd0e422f22ep-20, 0x1.82469b99dd52dp-20, 0x1.7ddb6065c7c8p-20, 0x1.797b444603a5fp-20, 0x1.75262f04d32c4p-20, 0x1.70dc08985bd2dp-20, 0x1.6c9cb920da45dp-20, 0x1.686828e987d46p-20, 0x1.643e4067c3febp-20, 0x1.601ee83b25c17p-20, 0x1.5c0a092d88448p-20, 0x1.57ff8c326bc04p-20, 0x1.53ff5a6686cfcp-20, 0x1.50095d104b067p-20, 0x1.4c1d7d9f1a062p-20, 0x1.483ba5ad3419bp-20, 0x1.4463befc5783fp-20, 0x1.4095b37758a2p-20, 0x1.3cd16d30a1ff2p-20, 0x1.3916d6632c356p-20, 0x1.3565d972a1ab5p-20, 0x1.31be60eaaab9p-20, 0x1.2e20577f37714p-20, 0x1.2a8ba80ae1bb9p-20, 0x1.27003d909c85dp-20, 0x1.237e0339d1d7dp-20, 0x1.2004e456d745cp-20, 0x1.1c94cc5f2e803p-20, 0x1.192da6f044d14p-20, 0x1.15cf5fcedf6efp-20, 0x1.1279e2e5720ddp-20, 0x1.0f2d1c44ef8eep-20, 0x1.0be8f823ce8b8p-20, 0x1.08ad62de60d77p-20, 0x1.057a48f6888ffp-20, 0x1.024f9712d3f25p-20, 0x1.fe5a73ff6b997p-21, 0x1.f8263d5b2f64ep-21, 0x1.f20264652fa33p-21, 0x1.ebeec3902c365p-21, 0x1.e5eb3599ee849p-21, }}, 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
    }}, 
    {
      31, 0x1.1cccccccccccdp+2, -0x1.4b2c24330c66p+6, 0x1p+0, 0x1p+0, 
      {{
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.add6c008fa15p-5, -0x1.308171aada54ep-8, -0x1.89ebdf465e2e5p-3, 0x1.e361596368ba8p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.a83cf99dd8da1p-5, -0x1.6a42bcdf9a5edp-6, -0x1.416a11dddb451p-3, 0x1.b674f6cde5458p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.9c2fcef394d5cp-5, -0x1.288ad90f2ad02p-5, -0x1.ff4aa67df1c2bp-4, 0x1.904360c8ec833p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.8b00d8b0c1fcep-5, -0x1.82caf4e4e36ddp-5, -0x1.87366fdb4468ap-4, 0x1.684426b1f0a61p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.75e342b0980eep-5, -0x1.c63a3310860d6p-5, -0x1.1b21fdd915cfdp-4, 0x1.40c0b05275c57p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.5debcc02f295fp-5, -0x1.f53b3795a07b2p-5, -0x1.75d05eb3e4f6dp-5, 0x1.191bcf26f9aa4p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4410c6ec50e5cp-5, -0x1.0916f84cd2d2fp-4, -0x1.9a4c2b3904b8fp-6, 0x1.e301aae803b25p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.292a18e5d61d5p-5, -0x1.0fb9806b3a982p-4, -0x1.e1f9791da3a28p-8, 0x1.93bf5155f6931p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0df13a9d49256p-5, -0x1.0fb577492b5e2p-4, 0x1.e704e3b0ac20fp-8, 0x1.449ac1834e208p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.e6026fea29614p-6, -0x1.0a3afea6c2aa7p-4, 0x1.3c8479d48d1cfp-6, 0x1.ea16e1be77065p-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b1ad60088e7a6p-6, -0x1.007acc0a032cp-4, 0x1.cf8b57274a6b1p-6, 0x1.4e12b382d1b41p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.7f9faa2d26251p-6, -0x1.e746ce88c2545p-5, 0x1.19e2134dab10dp-5, 0x1.4cf4756ff9b76p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.5058d9589c87p-6, -0x1.c9d6f6674ad8bp-5, 0x1.32dacf4faa982p-5, 0x1.30b567de88192p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.241dcd594d6cdp-6, -0x1.aa9538ad77eecp-5, 0x1.3e480334cfb29p-5, 0x1.f96067e9cfd51p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.f62172377a58p-7, -0x1.8a47ee0502165p-5, 0x1.47c1d1f46531dp-5, 0x1.34b412093d79ep-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.aa9241f62305bp-7, -0x1.69374249851c5p-5, 0x1.4d8b98b15e58ep-5, 0x1.11b3ba00de7dp-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.65ac124af3556p-7, -0x1.47bba7b0d29c7p-5, 0x1.501c7b3c93a2p-5, -0x1.4d376ad286215p-11}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.277beb385cb31p-7, -0x1.26293411cf48bp-5, 0x1.4f548d2faeeb3p-5, -0x1.b4bf0689c9c05p-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.dffba8cdc7034p-8, -0x1.04d52864ddafep-5, 0x1.4b3c5c533107p-5, -0x1.8b92559e350c6p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.7e39aa4a3e38cp-8, -0x1.c828eaf6ab962p-6, 0x1.43d19deb6cd52p-5, -0x1.1e5235567a787p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.2965e8cf73afp-8, -0x1.8878434278335p-6, 0x1.3914ef1e950a4p-5, -0x1.76df9c3b6fe91p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.c224e325c3f94p-9, -0x1.4b425abddb218p-6, 0x1.2b06260f8da4ap-5, -0x1.cf6bf04f8aa34p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.495ea22c5353dp-9, -0x1.113135a1719p-6, 0x1.19a54d0c920b6p-5, -0x1.13fc19a4a8295p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ce2a4c9c44b8ep-10, -0x1.b5ddae1b3578ep-7, 0x1.04f264b9d23b9p-5, -0x1.4042e6beaf8b8p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.33410b7e13c59p-10, -0x1.524a86b794a72p-7, 0x1.d9dac070a3bcp-6, -0x1.6c870df1466dap-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.7c53552cba5a4p-11, -0x1.f1f9ec6580f4cp-8, 0x1.a32ce4bfa5f77p-6, -0x1.98d52124845f6p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.aa1142b80852p-12, -0x1.5692332bdc247p-8, 0x1.65d9b960921c9p-6, -0x1.c4fe2a3c8d27dp-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.9b490df3daddep-13, -0x1.aa0a9722938c5p-9, 0x1.21e6cca449bd6p-6, -0x1.f1b16fc0d1cdfp-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.3683ef1d9a14p-14, -0x1.bff6a2556e22cp-10, 0x1.ae7ec48ebaf08p-7, -0x1.0e3066d79e1efp-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.2271a8b153dp-16, -0x1.50d345c796abep-11, 0x1.0c61ba0d5c11fp-7, -0x1.274ac6c482a12p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.375171fa09d4p-20, -0x1.893cd1cbfbf09p-14, 0x1.6cd371910386ep-9, -0x1.1cd9a9b712415p-5}, 
      }}, 
      0x1.f86f8764aff41p-4, 0x1.df48d5c1abfp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      {{0x1.24d143099f19fp-4, 0x1.b3ba5ea6bcfbbp-4, 0x1.1f76404e19414p-3, 0x1.62d31733db43bp-3, 0x1.a3aa0637d981ap-3, 0x1.e1c48e8aa3911p-3, 0x1.0e7e110261f82p-2, 0x1.2a9bb59c2d8cep-2, 0x1.453402811572ep-2, 0x1.5e44476057c5fp-2, 0x1.75cd86b7b879dp-2, 0x1.8bd3c6d4c5169p-2, 0x1.a05d7c9332f0fp-2, 0x1.b3730bfb12488p-2, 0x1.c51e5af791464p-2, 0x1.d56a753049145p-2, 0x1.e46340c02c0cdp-2, 0x1.f215434279752p-2, 0x1.fe8d740720f66p-2, 0x1.04ec8ba9c6d8p-1, 0x1.0a02ced3b139bp-1, 0x1.0e90436fff4e2p-1, 0x1.129ba3f41185ep-1, 0x1.162b99e60e16cp-1, 0x1.1946b42f254d1p-1, 0x1.1bf35f0db3d63p-1, 0x1.1e37dd9e3700fp-1, 0x1.201a448f4a452p-1, 0x1.21a0762a171f4p-1, 0x1.22d01f26e87d3p-1, 0x1.23aeb4ab14424p-1, 0x1.2441729e21322p-1, 0x1.248d5b0008b35p-1, 0x1.249735847c9fap-1, 0x1.24638fdd89eb8p-1, 0x1.23f6be5016f15p-1, 0x1.2354dc7661ba8p-1, 0x1.2281cea0f1066p-1, 0x1.21814306950bp-1, 0x1.2056b380a700ap-1, 0x1.1f05672ca387p-1, 0x1.1d90743d54d01p-1, 0x1.1bfac1e38888dp-1, 0x1.1a470a2aee679p-1, 0x1.1877dc0a30627p-1, 0x1.168f9d55d6374p-1, 0x1.14908cac209ccp-1, 0x1.127cc36ee6668p-1, 0x1.105637b3bf666p-1, 0x1.0e1ebe086e94ap-1, 0x1.0bd80b74889e1p-1, 0x1.0983b71942074p-1, 0x1.07233be8128a1p-1, 0x1.04b7fa6b31cbfp-1, 0x1.02433a1f9411p-1, 0x1.ff8c5653e3e16p-2, 0x1.fa83cf41e7813p-2, 0x1.f56eea419018ep-2, 0x1.f04f8bbe04a2dp-2, 0x1.eb27740902856p-2, 0x1.e5f841cb90a96p-2, 0x1.e0c373ff73b9p-2, 0x1.db8a6c3ae2752p-2, 0x1.d64e709ca511cp-2, 0x1.d110ad9ecf61ap-2, 0x1.cbd237e9819a2p-2, 0x1.c6940ded04bbep-2, 0x1.c157198465d01p-2, 0x1.bc1c3165934abp-2, 0x1.b6e41a726498dp-2, 0x1.b1af89200afp-2, 0x1.ac7f2298c6e1dp-2, 0x1.a7537de2083c4p-2, 0x1.a22d24f467aebp-2, 0x1.9d0c95bcd1257p-2, 0x1.97f242f1114cfp-2, 0x1.92de95071873bp-2, 0x1.8dd1eafa60f9ep-2, 0x1.88cc9b0ee6fc8p-2, 0x1.83cef37bb49f7p-2, 0x1.7ed93b18924d2p-2, 0x1.79ebb1fecba24p-2, 0x1.750691fc0c537p-2, 0x1.702a0f40d1f17p-2, 0x1.6b5658b335374p-2, 0x1.668b986d8885cp-2, 0x1.61c9f43325c48p-2, 0x1.5d118dbec2d5ep-2, 0x1.586283223d18ep-2, 0x1.53bcef100a9e9p-2, 0x1.4f20e9389d111p-2, 0x1.4a8e8679f0cfep-2, 0x1.4605d92a01a1cp-2, 0x1.4186f13e7f08p-2, 0x1.3d11dc96d4bebp-2, 0x1.38a6a72bd9842p-2, 0x1.34455b281d73fp-2, 0x1.2fee0116e0165p-2, 0x1.2ba0a013299eep-2, 0x1.275d3dd8d4777p-2, 0x1.2323defb4eb43p-2, 0x1.1ef486d1d1ba2p-2, 0x1.1acf37c9823ap-2, 0x1.16b3f3498bf66p-2, 0x1.12a2b9e8f2a48p-2, 0x1.0e9b8b67347b8p-2, 0x1.0a9e66dac27aap-2, 0x1.06ab4aa0606c4p-2, 0x1.02c234763c9dfp-2, 0x1.fdc643084d29ep-3, 0x1.f61c1cdf1cc43p-3, 0x1.ee85eea2c5536p-3, 0x1.e703afa9507b7p-3, 0x1.df955660aabfbp-3, 0x1.d83ad84e5c438p-3, 0x1.d0f42a4bd189p-3, 0x1.c9c1405360adbp-3, 0x1.c2a20db09b5c5p-3, 0x1.bb9685029fa89p-3, 0x1.b49e9831f535ep-3, 0x1.adba3898ab88dp-3, 0x1.a6e956e40da25p-3, 0x1.a02be321dd5f6p-3, 0x1.9981cccad7f57p-3, 0x1.92eb02ca90bb6p-3, 0x1.8c67737857e4p-3, 0x1.85f70cafc205dp-3, 0x1.7f99bb99d26b9p-3, 0x1.794f6cf3678d7p-3, 0x1.73180ceda5b25p-3, 0x1.6cf387326d8cfp-3, 0x1.66e1c6dc51f27p-3, 0x1.60e2b6b38434cp-3, 0x1.5af640a18468dp-3, 0x1.551c4e7426442p-3, 0x1.4f54c945c69c7p-3, 0x1.499f999b8e201p-3, 0x1.43fca7d0ffbebp-3, 0x1.3e6bdb87744b9p-3, 0x1.38ed1bec2b7b6p-3, 0x1.33804fbae4e0bp-3, 0x1.2e255d51ca22bp-3, 0x1.28dc2a8703559p-3, 0x1.23a49ca7f576ap-3, 0x1.1e7e98a151c9bp-3, 0x1.196a0312fbaa9p-3, 0x1.1466c01760ac3p-3, 0x1.0f74b33653362p-3, 0x1.0a93bfbe45f89p-3, 0x1.05c3c880e1fdp-3, 0x1.0104b0019398ep-3, 0x1.f8acb0ab3f796p-4, 0x1.ef71464310a86p-4, 0x1.e656e35c745fdp-4, 0x1.dd5d4a191c0bep-4, 0x1.d4843b8e09689p-4, 0x1.cbcb78535bea3p-4, 0x1.c332c05902252p-4, 0x1.bab9d2e5f849fp-4, 0x1.b2606e8d7aa7ap-4, 0x1.aa26518b304fap-4, 0x1.a20b3962542cfp-4, 0x1.9a0ee2d8f1e0cp-4, 0x1.92310a7f1b17p-4, 0x1.8a716c7a47408p-4, 0x1.82cfc406e659cp-4, 0x1.7b4bcc67f6239p-4, 0x1.73e53ffe7b74ep-4, 0x1.6c9bd93f3e20fp-4, 0x1.656f51eebe811p-4, 0x1.5e5f637d92f02p-4, 0x1.576bc73fe9b4p-4, 0x1.5094361695f3p-4, 0x1.49d86887a49aap-4, 0x1.4338170664adap-4, 0x1.3cb2f99537976p-4, 0x1.3648c84f55cf7p-4, 0x1.2ff93add1204ep-4, 0x1.29c408e7381c9p-4, 0x1.23a8e9ded88afp-4, 0x1.1da7953779646p-4, 0x1.17bfc24ef20d9p-4, 0x1.11f12844875a5p-4, 0x1.0c3b7e5cb52b1p-4, 0x1.069e7bbd5115ap-4, 0x1.0119d7be76403p-4, 0x1.f75a934687617p-5, 0x1.ecb11156f90a6p-5, 0x1.e23698899578p-5, 0x1.d7ea97c3850ap-5, 0x1.cdcc7e7bd9433p-5, 0x1.c3dbbc22553f9p-5, 0x1.ba17c07fcfcd1p-5, 0x1.b07ffbc51da0fp-5, 0x1.a713deae4d354p-5, 0x1.9dd2da552e634p-5, 0x1.94bc603ff9647p-5, 0x1.8bcfe25623be3p-5, 0x1.830cd357fcdcap-5, 0x1.7a72a6c560fbap-5, 0x1.7200cfe553bb8p-5, 0x1.69b6c3c03734fp-5, 0x1.6193f7a86a4e6p-5, 0x1.5997e0c2afa51p-5, 0x1.51c1f5b3dd44bp-5, 0x1.4a11ade95a20ep-5, 0x1.4286821135d5fp-5, 0x1.3b1feb882cdfcp-5, 0x1.33dd64ae3f2dp-5, 0x1.2cbe67e5efd7cp-5, 0x1.25c2706b7af2ep-5, 0x1.1ee8f9edbb473p-5, 0x1.183181b5c269p-5, 0x1.119b86994ad66p-5, 0x1.0b2689c7cd076p-5, 0x1.04d20ce647425p-5, 0x1.fd3b23d6badcp-6, 0x1.f111350d3c2cp-6, 0x1.e52551e073edcp-6, 0x1.d97680f371d46p-6, 0x1.ce03ccda26919p-6, 0x1.c2cc449c8e646p-6, 0x1.b7cefb5235197p-6, 0x1.ad0b085fa5754p-6, 0x1.a27f84fab14c3p-6, 0x1.982b8abed7249p-6, 0x1.8e0e3004b288p-6, 0x1.842686d808d8cp-6, 0x1.7a73a0d0bb4e9p-6, 0x1.70f498eddaa0fp-6, 0x1.67a8982581c96p-6, 0x1.5e8ed7409132cp-6, 0x1.55a692bb24ad5p-6, 0x1.4ceefdebd3a11p-6, 0x1.446738e741d01p-6, 0x1.3c0e54c2918d6p-6, 0x1.33e366adb7bbap-6, 0x1.2be59af3f4353p-6, 0x1.24143bdb76d51p-6, 0x1.1c6ea69edfd4p-6, 0x1.14f4318d73f8ap-6, 0x1.0da41c500bbf8p-6, 0x1.067d90c5ef3c3p-6, 0x1.feff6552d425ep-7, 0x1.f1536d0866befp-7, 0x1.e3f5d4e8b7e38p-7, 0x1.d6e55336dba27p-7, 0x1.ca208e5cb901cp-7, 0x1.bda6163112677p-7, 0x1.b1746c3fb89cbp-7, 0x1.a58a33cce3a4ap-7, 0x1.99e64c9638964p-7, 0x1.8e87b5b77f06fp-7, 0x1.836d581750c5ep-7, 0x1.7895cc25e43c7p-7, 0x1.6dff53b14967ep-7, 0x1.63a81c1235d92p-7, 0x1.598e96342e324p-7, 0x1.4fb1c2424acc6p-7, 0x1.461127b637a46p-7, 0x1.3cac6e02eb68cp-7, 0x1.3382dc49ab21cp-7, 0x1.2a930fb7762c2p-7, 0x1.21db20f8c2e52p-7, 0x1.19591de6109e8p-7, 0x1.110b8270f8a6ep-7, 0x1.08f15ee91b1fap-7, 0x1.010a3d65dcae8p-7, 0x1.f2ab979193591p-8, 0x1.e3a6f8d6df4acp-8, 0x1.d5047e386bb0ep-8, 0x1.c6c1213ec527dp-8, 0x1.b8d9c50d97039p-8, 0x1.ab4c1e4a4eff3p-8, 0x1.9e16f5c39d004p-8, 0x1.913960bbf7fafp-8, 0x1.84b1d5b06da8fp-8, 0x1.787e0530e9b81p-8, 0x1.6c9b646ea1034p-8, 0x1.6107bcd17fb29p-8, 0x1.55c142878fb77p-8, 0x1.4ac66a9e21ccep-8, 0x1.4015fdf5cc421p-8, 0x1.35af46e968004p-8, 0x1.2b91e670041d9p-8, 0x1.21bcee0a84759p-8, 0x1.182df1eb975bbp-8, 0x1.0ee1651b7ac57p-8, 0x1.05d46577e8d8dp-8, 0x1.fa0bde5ce643fp-9, 0x1.e8eb81a490023p-9, 0x1.d844bb6be4451p-9, 0x1.c81233772dfa6p-9, 0x1.b850f2853b81ap-9, 0x1.a902b7022b1d2p-9, 0x1.9a29f93bcc9p-9, 0x1.8bc48a5190daep-9, 0x1.7dcc8571b57fbp-9, 0x1.703d4908e98e4p-9, 0x1.6314c5de26f28p-9, 0x1.564f6da7507e6p-9, 0x1.49e57f5501728p-9, 0x1.3dcf498e56a07p-9, 0x1.320ba9cfbc1b6p-9, 0x1.26a006715aaf2p-9, 0x1.1b913171e5943p-9, 0x1.10df7415a1dbbp-9, 0x1.0689fd974dc04p-9, 0x1.f920acfa45e43p-10, 0x1.e5dbb1341d48cp-10, 0x1.d32f25d38909fp-10, 0x1.c103cb46b80d4p-10, 0x1.af4fbaa887c9ap-10, 0x1.9e1738a247352p-10, 0x1.8d631a7c52604p-10, 0x1.7d3a4e3916458p-10, 0x1.6d9f5b09c5a6p-10, 0x1.5e937c992c9e3p-10, 0x1.5019dc7c5a8aap-10, 0x1.423119d5669c2p-10, 0x1.34cd5620ca9f6p-10, 0x1.27d5ee0f6db32p-10, 0x1.1b333200742f6p-10, 0x1.0ee6f6436681bp-10, 0x1.02feea4e59bf8p-10, 0x1.eef8c563dce1ap-11, 0x1.d8c3a529dc42p-11, 0x1.c369cdb24c86ep-11, 0x1.aee41ed27cb28p-11, 0x1.9b1f9b58414abp-11, 0x1.88197ed133181p-11, 0x1.75de25439c383p-11, 0x1.64657ac92ff13p-11, 0x1.537c8832cff9ep-11, 0x1.4301e4231d3bbp-11, 0x1.331b0501fe3e2p-11, 0x1.23ce0a7dfaefp-11, 0x1.15138ca274c9cp-11, 0x1.0703ba4d4f324p-11, 0x1.f31628882c971p-12, 0x1.d9119226bcaf9p-12, 0x1.bff1b28f17ad6p-12, 0x1.a7dbc17972d7ep-12, 0x1.90fc47d092b4bp-12, 0x1.7b44b5fb8692ep-12, 0x1.6657a1253142bp-12, 0x1.520af9a3ac308p-12, 0x1.3ea212c6b7b46p-12, 0x1.2bfae783f6648p-12, 0x1.1a41f708ce64fp-12, 0x1.0975d8da1d225p-12, 0x1.f29323f0fdd2cp-13, 0x1.d3604686a1e18p-13, 0x1.b56ddf62bdfc8p-13, 0x1.98e40fd84cfbdp-13, 0x1.7dffcba6f5802p-13, 0x1.64ba30e6683afp-13, 0x1.4c9d114ee46d4p-13, 0x1.35aa680838bddp-13, 0x1.1fc38639b65aap-13, 0x1.0ad0576700b8fp-13, 0x1.ee652a76056d1p-14, 0x1.c985c3b8fdf4fp-14, 0x1.a62326ef00b92p-14, 0x1.84564398d53bcp-14, 0x1.64480a207700ep-14, 0x1.45ffb811fee85p-14, 0x1.29880a93e285cp-14, 0x1.0f17822e3d2e1p-14, 0x1.ed3bd29fd0766p-15, 0x1.bf18dbb5b951fp-15, 0x1.94cbeb487a824p-15, 0x1.6c4721188dd11p-15, 0x1.46ab6c6eb49dbp-15, 0x1.2492f32abea98p-15, 0x1.046de3abe56b3p-15, 0x1.cc7eba5e43c1ap-16, 0x1.94a4d9d8c0248p-16, 0x1.6167a24dae635p-16, 0x1.329d086333333p-16, 0x1.07d79eef56203p-16, 0x1.c19a7fcbc1093p-17, 0x1.7d0b99c6613a3p-17, 0x1.41df6f6b8d458p-17, 0x1.0ef8aff47a062p-17, 0x1.bfb6de515b7f6p-18, 0x1.701d47ed7f7e3p-18, 0x1.3078f631cb6e7p-18, 0x1.efa808158a949p-19, 0x1.925d42dfe15fcp-19, 0x1.4ad5a24b403f4p-19, 0x1.18354715cbef3p-19, 0x1.f422301b1df0ap-20, 0x1.ddb495176472bp-20, 0x1.e7607072eecd3p-20, 0x1.05ed960315295p-19, 0x1.2708f74f1e779p-19, 0x1.620c1c7bb50a5p-19, 0x1.af75c9f640064p-19, 0x1.faf22abdc3fa8p-19, 0x1.314eb144e7066p-18, 0x1.66e0abac5fe76p-18, 0x1.a0e071fe6a63ep-18, 0x1.e04d852a818c5p-18, 0x1.12704feaf91fdp-17, 0x1.37206b5ca3fdep-17, 0x1.5e11205ab6c5cp-17, 0x1.870687c398816p-17, 0x1.b1ba1fadf682ap-17, 0x1.de04921019da8p-17, 0x1.0601464909db2p-16, 0x1.1d58314c37291p-16, 0x1.35b695cf13f5bp-16, 0x1.4f5932131b8c2p-16, 0x1.68e091d4f3d51p-16, 0x1.833dc02713a05p-16, 0x1.9db8eef3d074dp-16, 0x1.b89148b8eaf11p-16, 0x1.d3c840de64c4fp-16, 0x1.ef5245295bf85p-16, 0x1.0591d7ba3aea4p-15, 0x1.1394f0a67438fp-15, 0x1.21aab1777077ep-15, 0x1.2fce6815743a1p-15, 0x1.3e07805e27823p-15, 0x1.4c3d1227ce39ep-15, 0x1.5a6dec80bbae7p-15, 0x1.68bafe148398p-15, 0x1.76e97caa4be45p-15, 0x1.8502e67bae6b4p-15, 0x1.932442c69fda8p-15, 0x1.a14479eb61c89p-15, 0x1.af3e4fca14364p-15, 0x1.bd1acb319ad54p-15, 0x1.cadee7a45c256p-15, 0x1.d887bc15fa80ep-15, 0x1.e60f826827687p-15, 0x1.f372c95973cb4p-15, 0x1.005abe41f8293p-14, 0x1.06e8246fcec48p-14, 0x1.0d5a8914da86ap-14, 0x1.13c1d71a01de9p-14, 0x1.1a0c05b596279p-14, 0x1.203f9f821c1p-14, 0x1.265a9fc07def6p-14, 0x1.2c5bb31d3fc55p-14, 0x1.3243259b2a0d1p-14, 0x1.3810560c38c36p-14, 0x1.3dbf6569964f5p-14, 0x1.435428b1e7eb1p-14, 0x1.48d0f0282aafdp-14, 0x1.4e2c1ddddd973p-14, 0x1.536a4906129cp-14, 0x1.588b1af313885p-14, 0x1.5d8b481172a71p-14, 0x1.6270adf328b01p-14, 0x1.6735b9170e266p-14, 0x1.6bdb8129103a8p-14, 0x1.706126a1efdcbp-14, 0x1.74c83eb6d0dc2p-14, 0x1.790f3a7bed2c6p-14, 0x1.7d366376fd54cp-14, 0x1.813d78c47d9b1p-14, 0x1.8524c3031d1cep-14, 0x1.88eb7925fed3p-14, 0x1.8c92dea8c3cabp-14, 0x1.9019ec79f0174p-14, 0x1.937fff18d316fp-14, 0x1.96c68dc0942f1p-14, 0x1.99eda792a95ccp-14, 0x1.9cf45175dc139p-14, 0x1.9fdb84f62d5c2p-14, 0x1.a2a24c6a9668p-14, 0x1.a54acd2a0cc7p-14, 0x1.a7d31204129dp-14, 0x1.aa3c8eeae5443p-14, 0x1.ac872ade044bfp-14, 0x1.aeb2db3bc535fp-14, 0x1.b0bfe3f4bf987p-14, 0x1.b2ae9941e28b6p-14, 0x1.b47f9c3e7f76dp-14, 0x1.b632c6c569409p-14, 0x1.b7c7ff79cac6cp-14, 0x1.b94064e022a61p-14, 0x1.ba9be4ad37cf7p-14, 0x1.bbda8dc28055cp-14, 0x1.bcfcf8c004f3bp-14, 0x1.be0376837456ap-14, 0x1.beee696f23661p-14, 0x1.bfbde15af306fp-14, 0x1.c0720b04ae717p-14, 0x1.c10c63790a967p-14, 0x1.c18c1eab16312p-14, 0x1.c1f0f39715a52p-14, 0x1.c23d53e92395p-14, 0x1.c270744cbe79p-14, 0x1.c28a81af24a55p-14, 0x1.c28bdb8c1a10bp-14, 0x1.c2761afa7cd51p-14, 0x1.c247ea9056622p-14, 0x1.c201fc4bce3e2p-14, 0x1.c1a5dce75e6dfp-14, 0x1.c132f05ba51f9p-14, 0x1.c0aaa127e875ap-14, 0x1.c00bf7c0cde68p-14, 0x1.bf5734a4ee5d4p-14, 0x1.be8ebde67e666p-14, 0x1.bdb14bdaad508p-14, 0x1.bcbf5fab1d097p-14, 0x1.bbba1a8e2120dp-14, 0x1.baa138d3f1432p-14, 0x1.b975696a4ca97p-14, 0x1.b8371418aaa1ep-14, 0x1.b6e692ab9c952p-14, 0x1.b584381730bbp-14, 0x1.b4108f19425ep-14, 0x1.b28ba6cdf5c5dp-14, 0x1.b0f6255f0969cp-14, 0x1.af50666d0d417p-14, 0x1.ad9b103695d47p-14, 0x1.abd5f391c4a39p-14, 0x1.aa020ec33ad1fp-14, 0x1.a81f1a22d114fp-14, 0x1.a62df2ef3d8fbp-14, 0x1.a42e90967b20fp-14, 0x1.a221ce74b1485p-14, 0x1.a007b9c6293cdp-14, 0x1.9de0df2694b28p-14, 0x1.9bad45b0d0cf1p-14, 0x1.996d547dc0c6ap-14, 0x1.97224b3ec4f66p-14, 0x1.94cb24644bd3ep-14, 0x1.9268a81122e84p-14, 0x1.8ffbd54645c2p-14, 0x1.8d8437ae26aedp-14, 0x1.8b0381904ba8p-14, 0x1.8877e99e03719p-14, 0x1.85e22f9109ee1p-14, 0x1.83451588b0d2bp-14, 0x1.809f01ea0021dp-14, 0x1.7def6bb99cecep-14, 0x1.7b374a9fadc5ep-14, 0x1.78784feed31e8p-14, 0x1.75b1726588ba5p-14, 0x1.72e2f52a7eeap-14, 0x1.700de837abc34p-14, 0x1.6d3265f038d28p-14, 0x1.6a50172b5dc7ap-14, 0x1.6767b45e9a874p-14, 0x1.6479805b1f875p-14, 0x1.6185ba397708dp-14, 0x1.5e8c983dba331p-14, 0x1.5b8e8b1a778b3p-14, 0x1.588bda544fca2p-14, 0x1.5584741e0a19bp-14, 0x1.5278b6208c78ep-14, 0x1.4f6919bf2d307p-14, 0x1.4c55ce8716af7p-14, 0x1.493f10faba196p-14, 0x1.4624ee1e4142fp-14, 0x1.4307f4cb3bd17p-14, 0x1.3fe800e8dcb89p-14, 0x1.3cc56909d196fp-14, 0x1.39a05f715da92p-14, 0x1.367951ddd3378p-14, 0x1.3350883666cfap-14, 0x1.3025f16cca78ap-14, 0x1.2cf9aab27047p-14, 0x1.29cc0c126d3a1p-14, 0x1.269d84c5aa82p-14, 0x1.236e047e506dcp-14, 0x1.203e212d55794p-14, 0x1.1d0cc40125268p-14, 0x1.19dcb8db5f13cp-14, 0x1.16aab86f6dfd3p-14, 0x1.13796adb31bd6p-14, 0x1.1048dd4bc3db4p-14, 0x1.0d17a104a8794p-14, 0x1.09e7906e1421bp-14, 0x1.06b829af4d4b7p-14, 0x1.03897e0d0f882p-14, 0x1.005be9f92f4a3p-14, 0x1.fa5ecbc004353p-15, 0x1.f4084108aaa45p-15, 0x1.edb42d3be9534p-15, 0x1.e763b4d2d6dd4p-15, 0x1.e116bd908dc2ap-15, 0x1.dacd685bcdb71p-15, 0x1.d487fd919cc9fp-15, 0x1.ce46ae4fd0b2cp-15, 0x1.c809e7ea05f8ep-15, 0x1.c1d1976b37e3ap-15, 0x1.bb9e073e88709p-15, 0x1.b57081f5a7143p-15, 0x1.af47ca74bc9f8p-15, 0x1.a9247f9090717p-15, 0x1.a307aef3e1697p-15, 0x1.9cf03c5b151e7p-15, 0x1.96df4188f12bcp-15, 0x1.90d447bab825cp-15, 0x1.8ad0fca1c225dp-15, 0x1.84d32e403c597p-15, 0x1.7edd44b762dc1p-15, 0x1.78edfe62a4cb2p-15, 0x1.7305ea111d93bp-15, 0x1.6d25cc9e29621p-15, 0x1.674c3601c6311p-15, 0x1.617c4fc836086p-15, 0x1.5bb2b77ae1014p-15, 0x1.55f30781c91b9p-15, 0x1.503a16d4788fp-15, 0x1.4a88a071b4294p-15, 0x1.44e0bac8ed9ffp-15, 0x1.3f422d659b2e7p-15, 0x1.39aba2392256ep-15, 0x1.341c3e5173baap-15, 0x1.2e975188fc3aep-15, 0x1.291c303f64e2p-15, 0x1.23a8f60fdfbfbp-15, 0x1.1e3f766b6d609p-15, 0x1.18df18f08ecbbp-15, 0x1.13884d06b4ac2p-15, 0x1.0e3aecdcf963dp-15, 0x1.08f73f03700dp-15, 0x1.03bc95615de62p-15, 0x1.fd18ccc00098fp-16, 0x1.f2cb5daef3dd2p-16, 0x1.e892c792b8c29p-16, 0x1.de6bde2649e36p-16, 0x1.d45a556e3c8abp-16, 0x1.ca5d096e9196fp-16, 0x1.c073ea981cf9ap-16, 0x1.b69e8a2655b8dp-16, 0x1.acdbda4b47a1fp-16, 0x1.a3304d17e316cp-16, 0x1.9997903166928p-16, 0x1.9015dc6d2b01bp-16, 0x1.86a6dcd241587p-16, 0x1.7d4c5f4e50b7p-16, 0x1.7407a2b1276c4p-16, 0x1.6ad5d50057d3bp-16, 0x1.61bbf52d52215p-16, 0x1.58b38ea17766cp-16, 0x1.4fc338ec7d3acp-16, 0x1.46e71d5726a2ap-16, 0x1.3e1f590191a72p-16, 0x1.356c77da07d31p-16, 0x1.2cce75f0071d2p-16, 0x1.244699e647d0fp-16, 0x1.1bd1c7f6d23bdp-16, 0x1.1374d339c02dp-16, 0x1.0b2a4afc59064p-16, 0x1.02f70d138ef6ep-16, 0x1.f5ac38b67f157p-17, 0x1.e59b979f58781p-17, 0x1.d5af9a03bccd5p-17, 0x1.c5ed7bb5098dcp-17, 0x1.b6564da773f93p-17, 0x1.a6e93f3f1a6b2p-17, 0x1.97a54da14350cp-17, 0x1.888cb4dfd7bb1p-17, 0x1.799f405d92872p-17, 0x1.6ad282bdaee55p-17, 0x1.5c37aaf7a76d6p-17, 0x1.4dc277467355fp-17, 0x1.3f771667720a7p-17, 0x1.315427012f2fep-17, 0x1.235c28e805bbp-17, 0x1.158b092dd8ed8p-17, 0x1.07e45db0b5c07p-17, 0x1.f4cfca28f7bc8p-18, 0x1.da18f0769070bp-18, 0x1.bfbd2f991ca71p-18, 0x1.a5aec83208696p-18, 0x1.8bf543cc5d986p-18, 0x1.7281f80194ae6p-18, 0x1.59639d1b01846p-18, 0x1.4093a08cf3197p-18, 0x1.280e192609686p-18, 0x1.0fde6495221dfp-18, 0x1.efe8696b5aa41p-19, 0x1.c0bd8563ffb0fp-19, 0x1.9224ec28761f1p-19, 0x1.642348181ca2bp-19, 0x1.36bef490ae6d7p-19, 0x1.09f869b8ec157p-19, 0x1.bb66223aa7765p-20, 0x1.641b1dfdee9cp-20, 0x1.0e0e14633e987p-20, 0x1.721aca7d33626p-21, 0x1.9533217a1eea1p-22, 0x1.29f56935a0fdap-24, -0x1.f73b431845768p-23, -0x1.1e9a33e1f7cbp-21, -0x1.bd0c39cb3cd95p-21, -0x1.2ca27b3af8404p-20, -0x1.79b78e60c20b7p-20, -0x1.c5b9c63757c1ep-20, -0x1.0847070ec57a3p-19, -0x1.2d26a708ba2c5p-19, -0x1.51810f95a4ce6p-19, -0x1.754f6fac12723p-19, -0x1.989a59908d6d7p-19, -0x1.bb5864e55ab4dp-19, -0x1.dd8ecfece0d43p-19, -0x1.ff4c3d6a3d7b8p-19, -0x1.1038fe9df174p-18, -0x1.208f5ab536cfcp-18, -0x1.30a877570b83cp-18, -0x1.407aaeb5a8c14p-18, -0x1.500f74ff64c6bp-18, -0x1.5f64be3a2ba69p-18, -0x1.6e783b623c2f2p-18, -0x1.7d5291ebe09c1p-18, -0x1.8beae011d5512p-18, -0x1.9a479bff3d396p-18, -0x1.a864c2677f599p-18, -0x1.b6492b36fd75bp-18, -0x1.c3e6b46d895d9p-18, -0x1.d15b39a75f865p-18, -0x1.de8702b034ac8p-18, -0x1.eb7b268ce9fc3p-18, -0x1.f8353c8ec8774p-18, -0x1.025aa94cda96cp-17, -0x1.087e114e68d6p-17, -0x1.0e882a170b139p-17, -0x1.147259fd7b1eap-17, -0x1.1a436983f0f34p-17, -0x1.1ff7d0007001fp-17, -0x1.25924cd56a568p-17, -0x1.2b1175cacf5e6p-17, -0x1.3070c4cb42686p-17, -0x1.35bfc84fecc1fp-17, -0x1.3aecc7374c3efp-17, -0x1.40008a195659p-17, -0x1.44fc793cb582p-17, -0x1.49de9f361a071p-17, -0x1.4ea8fb2a784ep-17, -0x1.535793bff1c4ep-17, -0x1.57f300219e105p-17, -0x1.5c6c4ebeecdc7p-17, -0x1.60d3f04f57d19p-17, -0x1.6523bd58849a2p-17, -0x1.6959e48f8818fp-17, -0x1.6d78d58babe0ap-17, -0x1.717f773f3174dp-17, -0x1.757376968fea9p-17, -0x1.794bc25c84b8ep-17, -0x1.7d104cf6ebd4bp-17, -0x1.80bed261c969bp-17, -0x1.84567dbaa2414p-17, -0x1.87d8d972bc507p-17, -0x1.8b448ba1c873p-17, -0x1.8e9ab08dffed3p-17, -0x1.91e09c0dd1c5p-17, -0x1.950baf8832c81p-17, -0x1.982556c75a25fp-17, -0x1.9b28ba9295b47p-17, -0x1.9e19c07099806p-17, -0x1.a0f5ce41203c2p-17, -0x1.a3bf66c40e8ddp-17, -0x1.a673eedb5c5a2p-17, -0x1.a91895e8e3108p-17, -0x1.aba53770c93ddp-17, -0x1.ae225f03f6a7p-17, -0x1.b08c828a7a10ap-17, -0x1.b2e3c31f86c0bp-17, -0x1.b52b18429641dp-17, -0x1.b75cce5d68f24p-17, -0x1.b97ef92e3a226p-17, -0x1.bb8f212c296cdp-17, -0x1.bd8f729144655p-17, -0x1.bf7fa550f5f74p-17, -0x1.c15cbfc276198p-17, -0x1.c32a4e52085dcp-17, -0x1.c4e6bb34aaf8bp-17, -0x1.c693904df3855p-17, -0x1.c830bd6718616p-17, -0x1.c9bd66f81017bp-17, -0x1.cb38f5dc0c678p-17, -0x1.cca9da2abe826p-17, -0x1.ce08123753542p-17, -0x1.cf57e060ce44ap-17, -0x1.d09974a43bc12p-17, -0x1.d1cc4f0c77e6cp-17, -0x1.d2f088c3bdafdp-17, -0x1.d4080e83281c3p-17, -0x1.d51043f927d1ep-17, -0x1.d60a598084287p-17, -0x1.d6f7ab785273dp-17, -0x1.d7d538a2bc0edp-17, -0x1.d8a7c8ebfa91fp-17, -0x1.d96e859502103p-17, -0x1.da298d6015bbp-17, -0x1.dad2817da976fp-17, -0x1.db71775b659bfp-17, -0x1.dc04f2e500bbep-17, -0x1.dc8da04ac74b8p-17, -0x1.dd07bcfc5f7fcp-17, -0x1.dd76eeeea8ce1p-17, -0x1.dddadb324e4f2p-17, -0x1.de332028d5243p-17, -0x1.de7fd09d42ab6p-17, -0x1.dec2188b43546p-17, -0x1.def9bb0233cbbp-17, -0x1.df27c2d3d49e1p-17, -0x1.df465f349578dp-17, -0x1.df5ed9e9bf161p-17, -0x1.df6b871277db4p-17, -0x1.df6efcc64e18cp-17, -0x1.df67dca39d6eep-17, -0x1.df5713965549fp-17, -0x1.df3cb0393db7p-17, -0x1.df1918fa56d98p-17, -0x1.deeb42d9b9947p-17, -0x1.deb4b716a567cp-17, -0x1.de757f5f08b56p-17, -0x1.de2d4f6b60585p-17, -0x1.dddcf4f3afb03p-17, -0x1.dd82483831f2dp-17, -0x1.dd2046a537d5cp-17, -0x1.dcb788c16cf7ap-17, -0x1.dc44a317ed8f2p-17, -0x1.dbc71fca8bad7p-17, -0x1.db483c168aaep-17, -0x1.dabd2b78f9102p-17, -0x1.da2a818cb81a4p-17, -0x1.d991d28fc73d2p-17, -0x1.d8f18f81a0e0ap-17, -0x1.d848e71bda901p-17, -0x1.d799e21e1bf4ap-17, -0x1.d6e53f4ec92b7p-17, -0x1.d6283221992aap-17, -0x1.d564a1f1c5d43p-17, -0x1.d49a64aadf981p-17, -0x1.d3c997f8c5cfdp-17, -0x1.d2f3c128f320fp-17, -0x1.d21508970b163p-17, -0x1.d132fe4e181fp-17, -0x1.d04972f17cce2p-17, -0x1.cf5aea02211f1p-17, -0x1.ce65bb2c22004p-17, -0x1.cd6bcc8d96093p-17, -0x1.cc6bcdc780a8p-17, -0x1.cb66d89cf3d98p-17, -0x1.ca5c7e70cb19bp-17, -0x1.c94c17d99267cp-17, -0x1.c8375ecb1e2p-17, -0x1.c71d0d22ffa78p-17, -0x1.c5feb6a4451e1p-17, -0x1.c4dbf7e1e031dp-17, -0x1.c3b2c1a9fdd09p-17, -0x1.c2862e36ef5cp-17, -0x1.c1548be2f84cap-17, -0x1.c0204aa6ee7cbp-17, -0x1.bee6f35a1866ap-17, -0x1.bda7f81e18087p-17, -0x1.bc649949d41ddp-17, -0x1.bb1ff5c5f697ap-17, -0x1.b9d644fc1a766p-17, -0x1.b886dcc7f03f3p-17, -0x1.b735af8e8ca2ap-17, -0x1.b5e243282adfp-17, -0x1.b4891b4b29b1ep-17, -0x1.b32bb2a028203p-17, -0x1.b1cc7e5709823p-17, -0x1.b069a806c1376p-17, -0x1.af03b57dad54bp-17, -0x1.ad9b2e250eba4p-17, -0x1.ac2ec567900aap-17, -0x1.aabf65971a046p-17, -0x1.a94e3e210488bp-17, -0x1.a7d75afa0764bp-17, -0x1.a661faf96e37dp-17, -0x1.a4e7c667cc06cp-17, -0x1.a36aed74315a6p-17, -0x1.a1eb70f003489p-17, -0x1.a06a98ce20e5p-17, -0x1.9ee6d41ba36a6p-17, -0x1.9d5ffd5da6c97p-17, -0x1.9bd8458e91f3p-17, -0x1.9a4ddd6bcb222p-17, -0x1.98c0c02ccf4e3p-17, -0x1.973329bb90cb9p-17, -0x1.95a4ab7e3a7c1p-17, -0x1.940effe65c15cp-17, -0x1.927bfadb50fa8p-17, -0x1.90e7091f77216p-17, -0x1.8f4f073f4717cp-17, -0x1.8db7020b34bf3p-17, -0x1.8c1c8fdf528acp-17, -0x1.8a7ef7101ce43p-17, -0x1.88e269da11b6dp-17, -0x1.8743bc29d4bbap-17, -0x1.85a36a00e0c0dp-17, -0x1.8402c9a188d98p-17, -0x1.825ffec7416a8p-17, -0x1.80bc66da334c7p-17, -0x1.7f17aa92e2aecp-17, -0x1.7d718d9f03855p-17, -0x1.7bcbeaa3c4e8fp-17, -0x1.7a2360a25f5dcp-17, -0x1.787a7fc68ee26p-17, -0x1.76d310f9a2463p-17, -0x1.7528c8cb5d179p-17, -0x1.737cbf519460ap-17, -0x1.71d19831ef331p-17, -0x1.7026c5cf0f173p-17, -0x1.6e77fce687b37p-17, -0x1.6ccd3b56dff44p-17, -0x1.6b1db64780e66p-17, -0x1.69722d577ece1p-17, -0x1.67c1eaccbb0b6p-17, -0x1.6612ce70a807cp-17, -0x1.64654458ab05p-17, -0x1.62b5ed1f9b1p-17, -0x1.61067284aad8dp-17, -0x1.5f5561f9c3accp-17, -0x1.5da546ebf885dp-17, -0x1.5bf8660399e25p-17, -0x1.5a4775880edcbp-17, -0x1.589597f63c127p-17, -0x1.56e6602137218p-17, -0x1.55374dd5ffdc6p-17, -0x1.53872bdff6946p-17, -0x1.51d7ce53f82a3p-17, -0x1.5027783964b0bp-17, -0x1.4e783b2f80457p-17, -0x1.4cca6bc236ab5p-17, -0x1.4b1a5944f1159p-17, -0x1.496bb3451bdcap-17, -0x1.47bdc289a91a3p-17, -0x1.4610c71bf91f7p-17, -0x1.44622938cf921p-17, -0x1.42b5b88bfefa9p-17, -0x1.4108ee3bdd04cp-17, -0x1.3f5c0249ac205p-17, -0x1.3db25ec2eb5dcp-17, -0x1.3c06ed4a6a773p-17, -0x1.3a5b1a090207bp-17, -0x1.38b1a8604cbd6p-17, -0x1.37087f6dc213ep-17, -0x1.35604bb34c9b9p-17, -0x1.33b776ee546f1p-17, -0x1.32103ea4b3188p-17, -0x1.306a42f5e0bb3p-17, -0x1.2ec3c066d9e6dp-17, -0x1.2d1fafbcc0c43p-17, -0x1.2b7b3882b028cp-17, }}, 
      {{0x1.22a74074d4246p+0, 0x1.2490163ce0464p+0, 0x1.26e679c0246b7p+0, 0x1.29855ae4bd69fp+0, 0x1.2c4e5170807eep+0, 0x1.2f2889f4614b6p+0, 0x1.31ffdf571c99ap+0, 0x1.34c419edd972cp+0, 0x1.37684de1f1d88p+0, 0x1.39e25361dbaadp+0, 0x1.3c2a5465d5a7ep+0, 0x1.3e3a6c13dcf46p+0, 0x1.400e553c4b4b9p+0, 0x1.41a324eb54008p+0, 0x1.42f70f9b5c83ap+0, 0x1.440936e1bde9bp+0, 0x1.44d97f4aa2d1cp+0, 0x1.45686d277227fp+0, 0x1.45b7074c5a128p+0, 0x1.45c6be26294a5p+0, 0x1.4599578160f7p+0, 0x1.4530dbe3d011dp+0, 0x1.448f872af555cp+0, 0x1.43b7bb017b51fp+0, 0x1.42abf373f7825p+0, 0x1.416ebd5867895p+0, 0x1.4002ae033097p+0, 0x1.3e6a5ce132c12p+0, 0x1.3ca85da3a97adp+0, 0x1.3abf3bff6d143p+0, 0x1.38b177520e665p+0, 0x1.368180662dd41p+0, 0x1.3431b691cdc4ap+0, 0x1.31c466431f262p+0, 0x1.2f3bc74efc057p+0, 0x1.2c99fbdbe5747p+0, 0x1.29e1107447c2ep+0, 0x1.2712faa60bde5p+0, 0x1.243199f6cea6dp+0, 0x1.213eb6e720df5p+0, 0x1.1e3c03ec6111bp+0, 0x1.1b2b1d9992d02p+0, 0x1.180d8ac44e82p+0, 0x1.14e4bda749dabp+0, 0x1.11b2140a346acp+0, 0x1.0e76d847810efp+0, 0x1.0b34419bbb041p+0, 0x1.07eb75312c2b8p+0, 0x1.049d86d0f0ceep+0, 0x1.014b79a1bdbbap+0, 0x1.fbec81832dce2p-1, 0x1.f53d8037d85a1p-1, 0x1.ee8b9b07235bap-1, 0x1.e7d8616ea63b1p-1, 0x1.e125495bd1d1fp-1, 0x1.da73afeb2fb12p-1, 0x1.d3c4dad019f71p-1, 0x1.cd19f9c0799c8p-1, 0x1.c674278eb498fp-1, 0x1.bfd46b372f947p-1, 0x1.b93bb94b529b7p-1, 0x1.b2aaf4cd461d1p-1, 0x1.ac22f01da13b9p-1, 0x1.a5a46df0b0b54p-1, 0x1.9f3022811e7bdp-1, 0x1.98c6b4520a64bp-1, 0x1.9268bc9932921p-1, 0x1.8c16c88886791p-1, 0x1.85d15a0f198fcp-1, 0x1.7f98e82062005p-1, 0x1.796ddf7886b7dp-1, 0x1.7350a37ccdf0cp-1, 0x1.6d418ed23a6ecp-1, 0x1.6740f3933f593p-1, 0x1.614f1c0c84ddcp-1, 0x1.5b6c4b4561645p-1, 0x1.5598bd5aa8c0ap-1, 0x1.4fd4a7fa334p-1, 0x1.4a203acf7ebacp-1, 0x1.447b9fe9f2641p-1, 0x1.3ee6fbe9f5ae9p-1, 0x1.39626e62ecc6bp-1, 0x1.33ee128ba8f35p-1, 0x1.2e89ff2fcb9b6p-1, 0x1.293646ba80da5p-1, 0x1.23f2f81252b45p-1, 0x1.1ec01e847619cp-1, 0x1.199dc1dd7170dp-1, 0x1.148be6ca58dep-1, 0x1.0f8a8f15319e9p-1, 0x1.0a99b9c03e87ap-1, 0x1.05b963521b5e7p-1, 0x1.00e985b092fe2p-1, 0x1.f85431366b343p-2, 0x1.eef6234b8965p-2, 0x1.e5b8c8ee6b264p-2, 0x1.dc9c0578bf09fp-2, 0x1.d39fb8ec93536p-2, 0x1.cac3bfed0f641p-2, 0x1.c207f417be94cp-2, 0x1.b96c2c052a24p-2, 0x1.b0f03bcf018e5p-2, 0x1.a893f4e25cc1cp-2, 0x1.a05726837c4bdp-2, 0x1.98399d6037ed8p-2, 0x1.903b24301d479p-2, 0x1.885b842c75ed4p-2, 0x1.809a843137984p-2, 0x1.78f7e96bb30e8p-2, 0x1.717377fbe86dcp-2, 0x1.6a0cf23e5a493p-2, 0x1.62c41926fba42p-2, 0x1.5b98ac528b4aep-2, 0x1.548a6a4fd89cdp-2, 0x1.4d9910a037a7cp-2, 0x1.46c45ba86c8d4p-2, 0x1.400c06ff2db42p-2, 0x1.396fcd52ba39ap-2, 0x1.32ef688317f5cp-2, 0x1.2c8a91c474da2p-2, 0x1.26410192fcb04p-2, 0x1.20126febc1a0cp-2, 0x1.19fe943a211e5p-2, 0x1.1405256d15decp-2, 0x1.0e25da0b74c1ap-2, 0x1.08606860a6b01p-2, 0x1.02b48624f5767p-2, 0x1.fa43d1db85dbcp-3, 0x1.ef508c1f970d7p-3, 0x1.e48ea5a44d874p-3, 0x1.d9fd885d9fecp-3, 0x1.cf9c9e5093404p-3, 0x1.c56b511efcd9dp-3, 0x1.bb690a93e654dp-3, 0x1.b19533d9cf515p-3, 0x1.a7ef376fef408p-3, 0x1.9e767eec4293bp-3, 0x1.952a744ed9e9cp-3, 0x1.8c0a8270c2f7cp-3, 0x1.831613f525045p-3, 0x1.7a4c940b0e637p-3, 0x1.71ad6e23aada5p-3, 0x1.69380e55e2228p-3, 0x1.60ebe15a629abp-3, 0x1.58c8543f45b7ep-3, 0x1.50ccd4a35000ep-3, 0x1.48f8d12dd8c87p-3, 0x1.414bb97701852p-3, 0x1.39c4fd14f80f4p-3, 0x1.32640ca764615p-3, 0x1.2b2859c4a890ap-3, 0x1.2411570eccbe5p-3, 0x1.1d1e77ee8b179p-3, 0x1.164f30984359ep-3, 0x1.0fa2f5e79ecc6p-3, 0x1.09193e45600ap-3, 0x1.02b180e4403bap-3, 0x1.f8d66bf37edecp-4, 0x1.ec8bad8772296p-4, 0x1.e081bb901ac67p-4, 0x1.d4b78c873ca55p-4, 0x1.c92c19afe552bp-4, 0x1.bdde5f2e035ddp-4, 0x1.b2cd5a69f9156p-4, 0x1.a7f80af855614p-4, 0x1.9d5d74d9fa683p-4, 0x1.92fc9c3cd1c5ap-4, 0x1.88d4883c44b8cp-4, 0x1.7ee4439acfd78p-4, 0x1.752ad9b9bfc99p-4, 0x1.6ba75a7beb84fp-4, 0x1.6258d79f32f97p-4, 0x1.593e64bd4a41ap-4, 0x1.505718d15c736p-4, 0x1.47a20d0f0d89ep-4, 0x1.3f1e5d7b6ccc7p-4, 0x1.36cb27d0224bep-4, 0x1.2ea78de16f21ep-4, 0x1.26b2b36ed95cap-4, 0x1.1eebbf2df244ap-4, 0x1.1751da33e69acp-4, 0x1.0fe42fe26370ap-4, 0x1.08a1eeed7be9dp-4, 0x1.018a4847b369dp-4, 0x1.f538dfdf62a66p-5, 0x1.e7af38155cebep-5, 0x1.da760bbf05307p-5, 0x1.cd8bd2fa89e37p-5, 0x1.c0ef0a14dc907p-5, 0x1.b49e338607d86p-5, 0x1.a897d5c6419ddp-5, 0x1.9cda7ddb76565p-5, 0x1.9164be12d17dcp-5, 0x1.86352db0d6cccp-5, 0x1.7b4a68aa3cae5p-5, 0x1.70a311311b367p-5, 0x1.663dce43f0a6ap-5, 0x1.5c194a2fe2b94p-5, 0x1.523435f87274cp-5, 0x1.488d499205e61p-5, 0x1.3f233f6cbdd27p-5, 0x1.35f4d5acc3de9p-5, 0x1.2d00d4da6c008p-5, 0x1.2446056e0d2fp-5, 0x1.1bc335e7c67c1p-5, 0x1.13773a2798ccbp-5, 0x1.0b60ea38df354p-5, 0x1.037f2687e936p-5, 0x1.f7a19e1f4d712p-6, 0x1.e8a997fb2a3fap-6, 0x1.da1410af5d9fep-6, 0x1.cbdee7be0151ap-6, 0x1.be0805bb6b1efp-6, 0x1.b08d61c4e165ep-6, 0x1.a36cf4d66350dp-6, 0x1.96a4c7163bc69p-6, 0x1.8a32e51716a57p-6, 0x1.7e15666c1405fp-6, 0x1.724a68a90d644p-6, 0x1.66d0101e9d5dep-6, 0x1.5ba48f316750fp-6, 0x1.50c61c12da4bfp-6, 0x1.4632fa94bd52p-6, 0x1.3be97537f90dep-6, 0x1.31e7df523e914p-6, 0x1.282c91ba43008p-6, 0x1.1eb5eb7207998p-6, 0x1.158252e670a1p-6, 0x1.0c90343878f1p-6, 0x1.03de016a4c13dp-6, 0x1.f6d47ec6878c8p-7, 0x1.e666f4530aa3bp-7, 0x1.d67094e9c2f54p-7, 0x1.c6ee8f882baabp-7, 0x1.b7de1256191dfp-7, 0x1.a93c4aaed3769p-7, 0x1.9b0679b258ebap-7, 0x1.8d39fba8665abp-7, 0x1.7fd44eca31d0fp-7, 0x1.72d30885edb0ep-7, 0x1.6633cad76c63bp-7, 0x1.59f42de92bee6p-7, 0x1.4e11b90b423b3p-7, 0x1.428a0c24c2351p-7, 0x1.375ad337be0cfp-7, 0x1.2c81e867c77abp-7, 0x1.21fd1de35ff1cp-7, 0x1.17ca55b0c0b22p-7, 0x1.0de778592c819p-7, 0x1.04526c04c2e67p-7, 0x1.f6126e66413dap-8, 0x1.e413f15b120dp-8, 0x1.d2a5bee8b8a57p-8, 0x1.c1c43ccab272bp-8, 0x1.b16bac5e05706p-8, 0x1.a19813f93bbcdp-8, 0x1.924588e71edfap-8, 0x1.8370690f1b7c9p-8, 0x1.75157ef0f7ceap-8, 0x1.673204cdbc84p-8, 0x1.59c35bd6a8907p-8, 0x1.4cc6a80ece27fp-8, 0x1.4038ac7498fa3p-8, 0x1.3415d3189bf25p-8, 0x1.285a9f995aafdp-8, 0x1.1d03e1a93b9ap-8, 0x1.120ef3b13a989p-8, 0x1.07797b43f7ccep-8, 0x1.fa82a9a59f89fp-9, 0x1.e6c85f9ca955fp-9, 0x1.d3bedf9ceb71dp-9, 0x1.c16078971a7e6p-9, 0x1.afa7651e48625p-9, 0x1.9e8eb83863db1p-9, 0x1.8e1247998bcbbp-9, 0x1.7e2e2d6b834a2p-9, 0x1.6ede4a3a669bep-9, 0x1.601de5f093522p-9, 0x1.51e83eb10d44dp-9, 0x1.4438ee2e8f2adp-9, 0x1.370bf5e7c15f8p-9, 0x1.2a5d347f7e8c8p-9, 0x1.1e2949d207f9cp-9, 0x1.126d0d8d0ba47p-9, 0x1.0725c69c6eac9p-9, 0x1.f8a09ddae9eabp-10, 0x1.e3d171b8e5e06p-10, 0x1.cfd4936b451efp-10, 0x1.bca18ee8fbebp-10, 0x1.aa3273d2b16b9p-10, 0x1.9882ac4a83226p-10, 0x1.878bbe77d583dp-10, 0x1.774625a736442p-10, 0x1.67ac1ce798835p-10, 0x1.58bac8fd30a9dp-10, 0x1.4a702d57f5353p-10, 0x1.3cc7155dcf7efp-10, 0x1.2fb8625e289a3p-10, 0x1.233d8110d71e6p-10, 0x1.1751abaadadaep-10, 0x1.0bef0fa45bdf5p-10, 0x1.010dcca014163p-10, 0x1.ed4bcf6bb2f48p-11, 0x1.d967e20c55bf1p-11, 0x1.c670bcb0b0e6ep-11, 0x1.b466bcc87fd5ep-11, 0x1.a344b9918c9d8p-11, 0x1.93046249a6128p-11, 0x1.839f941a7c44bp-11, 0x1.750b96d85aa03p-11, 0x1.673614966bbc1p-11, 0x1.5a0c1a64d17fcp-11, 0x1.4d8331c02c4ep-11, 0x1.4199c6df00979p-11, 0x1.36513a74348b7p-11, 0x1.2ba99098c2fffp-11, 0x1.21a03c10ae6e5p-11, 0x1.1831fc07d7ep-11, 0x1.0f5c6c26cbcd6p-11, 0x1.071b6f8dbd892p-11, 0x1.fec8c8ee7ceefp-12, 0x1.f04a5fd2492ep-12, 0x1.e298a678fded5p-12, 0x1.d5b13f1e3d279p-12, 0x1.c99d22bd5df37p-12, 0x1.be586a5641c04p-12, 0x1.b3e00cf90cc0cp-12, 0x1.aa3527b371baep-12, 0x1.a14e09ec82bd2p-12, 0x1.991a6c118ab71p-12, 0x1.9193cce379678p-12, 0x1.8abc2c374dc55p-12, 0x1.848a1084a0d58p-12, 0x1.7edd02e29435dp-12, 0x1.799cfa38b131ep-12, 0x1.74db92b89aebdp-12, 0x1.70986215719fcp-12, 0x1.6ccb0d03f8306p-12, 0x1.697dac9a5eb63p-12, 0x1.66a229656964bp-12, 0x1.6421cd0d43481p-12, 0x1.61f792e5103f1p-12, 0x1.602aed60cea87p-12, 0x1.5ec578e2b23b6p-12, 0x1.5dbf32db833eep-12, 0x1.5cfc367eb848fp-12, 0x1.5c6e7325e732ep-12, 0x1.5c25ebc287eb2p-12, 0x1.5c16c9807b949p-12, 0x1.5c4a9a58341e8p-12, 0x1.5cbefe3dac0a6p-12, 0x1.5d5cf6128fcfbp-12, 0x1.5e1f26446addbp-12, 0x1.5f0795e6d78ccp-12, 0x1.601935bcef734p-12, 0x1.615ad6844023fp-12, 0x1.62c92b4d302eap-12, 0x1.64533a2654147p-12, 0x1.65f7bfffbac1ap-12, 0x1.67b1fa5e1d00ep-12, 0x1.697ca5b2613f5p-12, 0x1.6b62c2a034279p-12, 0x1.6d5f868cf20c8p-12, 0x1.6f6271d95a963p-12, 0x1.716c85ef6ff2ap-12, 0x1.737e029421dc6p-12, 0x1.759817578dcp-12, 0x1.77b9f1094c78ap-12, 0x1.79e635fe35df4p-12, 0x1.7c1afd34b5bd8p-12, 0x1.7e4e2eea6ea99p-12, 0x1.8087662e7f423p-12, 0x1.82b61f86df46ap-12, 0x1.84e265b9e7b83p-12, 0x1.87108b036f643p-12, 0x1.893393eaa5d6cp-12, 0x1.8b4b74bad917bp-12, 0x1.8d59ed16a7f1fp-12, 0x1.8f5ef54447e92p-12, 0x1.91599823bb554p-12, 0x1.934830df8b10ap-12, 0x1.95288cd0420e2p-12, 0x1.96ff57ea1b561p-12, 0x1.98cc22226d4d2p-12, 0x1.9a8b88d0c1e04p-12, 0x1.9c35226878936p-12, 0x1.9dd07ff21d42ep-12, 0x1.9f5e2c30e3dep-12, 0x1.a0d5b70fe856bp-12, 0x1.a239f18b4945fp-12, 0x1.a38be37b4d739p-12, 0x1.a4cac0b9682a5p-12, 0x1.a5f6da8dc7fbdp-12, 0x1.a70ef43ae1d3dp-12, 0x1.a81275ff49f7cp-12, 0x1.a900020dbeb8ep-12, 0x1.a9d859b61372dp-12, 0x1.aaa0d798a9d48p-12, 0x1.ab55b322f45d6p-12, 0x1.abee4474f99cep-12, 0x1.ac787cb24cfa9p-12, 0x1.ace9bd740950fp-12, 0x1.ad444b1954a6p-12, 0x1.ad88a005eaf8ep-12, 0x1.adb77cea3ed57p-12, 0x1.add07ca84d438p-12, 0x1.add462349ae66p-12, 0x1.adc267ea93aabp-12, 0x1.ad9a64a3cb5ccp-12, 0x1.ad5c5984619cp-12, 0x1.ad09272a2165p-12, 0x1.ac9f1273a056ap-12, 0x1.ac20f4d72989ep-12, 0x1.ab8f354ed293ap-12, 0x1.aae6afa24638ep-12, 0x1.aa2a4882c107ap-12, 0x1.a957f2acaed95p-12, 0x1.a870cf49ceb79p-12, 0x1.a775798671615p-12, 0x1.a666105ebeed6p-12, 0x1.a542b880c4dafp-12, 0x1.a40bb437c022dp-12, 0x1.a2c0fec4d1e39p-12, 0x1.a16316113fd43p-12, 0x1.9ff250facc09bp-12, 0x1.9e6f1feaa7c3ap-12, 0x1.9cd8eb76156a5p-12, 0x1.9b30b49e5a16dp-12, 0x1.9976ba4685ff6p-12, 0x1.97aae9a973e2bp-12, 0x1.95cdff17a9586p-12, 0x1.93e0baec2596dp-12, 0x1.91e213dbbbfecp-12, 0x1.8fd3320836247p-12, 0x1.8db3ff9190a23p-12, 0x1.8b85b0f3240cfp-12, 0x1.894745087ba55p-12, 0x1.86f96b9ec25b5p-12, 0x1.849dffd688323p-12, 0x1.8233b41141b15p-12, 0x1.7fbae902e9181p-12, 0x1.7d3466f5d5818p-12, 0x1.7aa083e343402p-12, 0x1.780021616fd9cp-12, 0x1.75525b92972f8p-12, 0x1.7298109846283p-12, 0x1.6fd19c0010729p-12, 0x1.6cff97c5ecba7p-12, 0x1.6a221d327fccbp-12, 0x1.67398e8610f2ep-12, 0x1.644649eca1c9bp-12, 0x1.61486ea3fe3cdp-12, 0x1.5e405d96278cdp-12, 0x1.5b2e8f239998p-12, 0x1.58132438e7eefp-12, 0x1.54eeaa2455f85p-12, 0x1.51c1b4d8739cbp-12, 0x1.4e8c1cbab3cfp-12, 0x1.4b4d7987e6ca1p-12, 0x1.4807e1ac189e4p-12, 0x1.44baa337c3dd8p-12, 0x1.4165ecfc6fc03p-12, 0x1.3e0a185b0e766p-12, 0x1.3aa7f079f8fc4p-12, 0x1.373f1b3af7cep-12, 0x1.33d0ea6efb942p-12, 0x1.305c8cecf2937p-12, 0x1.2ce2610a9de6ep-12, 0x1.29637705b3fe8p-12, 0x1.25dfb8a56923bp-12, 0x1.2256daf2701b4p-12, 0x1.1eca380ac738ep-12, 0x1.1b396a4b85f97p-12, 0x1.17a49b8d4a6d4p-12, 0x1.140c67dfe893dp-12, 0x1.1071167858d97p-12, 0x1.0cd2dc027ccc8p-12, 0x1.0931e17e8edcfp-12, 0x1.058e5556ecb41p-12, 0x1.01e876aba15c1p-12, 0x1.fc8174e10c8ep-13, 0x1.f52e9c9060e12p-13, 0x1.edd89e641614dp-13, 0x1.e680990a73b8ap-13, 0x1.df2615ba47047p-13, 0x1.d7c9c52e324cp-13, 0x1.d06c9e1ac7a65p-13, 0x1.c90ef7c9732ffp-13, 0x1.c1b10a8e28bfep-13, 0x1.ba53140953a19p-13, 0x1.b2f4f43071c63p-13, 0x1.ab9902e92d93p-13, 0x1.a43e4e78524a8p-13, 0x1.9ce4919ddb1a9p-13, 0x1.958d44828962ap-13, 0x1.8e38a20e3866fp-13, 0x1.86e6df6418ac4p-13, 0x1.7f98028383271p-13, 0x1.784dc95d56c85p-13, 0x1.7106ad7dcb4c3p-13, 0x1.69c3987451ee6p-13, 0x1.62859e78fd718p-13, 0x1.5b4c0c5bbb6ap-13, 0x1.54191ce49a6aep-13, 0x1.4ceaf019713ddp-13, 0x1.45c1285fba977p-13, 0x1.3e9f5a8832cecp-13, 0x1.37840089767e6p-13, 0x1.306e081c2104dp-13, 0x1.2960150e077e3p-13, 0x1.225911e228c54p-13, 0x1.1b59d98b40facp-13, 0x1.146245286f694p-13, 0x1.0d72b2067cda6p-13, 0x1.068b3cccf9f91p-13, 0x1.ff59063f207ffp-14, 0x1.f1abbda27ab31p-14, 0x1.e41213da06123p-14, 0x1.d68a39ce51cbep-14, 0x1.c914c53a16522p-14, 0x1.bbb17b284ec8dp-14, 0x1.ae631e117df7p-14, 0x1.a127c92bcbc4ep-14, 0x1.9400e9a2b86f8p-14, 0x1.86eeb11f113c7p-14, 0x1.79f139922a2fbp-14, 0x1.6d09c2656ab42p-14, 0x1.603781171b356p-14, 0x1.5379bb5049419p-14, 0x1.46d3479246041p-14, 0x1.3a42f504517d7p-14, 0x1.2dc963f5025aap-14, 0x1.2166df817865dp-14, 0x1.151bbc6f08aebp-14, 0x1.08e79c0d81a32p-14, 0x1.f9998d27f3e89p-15, 0x1.e18f36fc9e4dp-15, 0x1.c9b349eb9fb73p-15, 0x1.b20d1ca0ed391p-15, 0x1.9a9ace6d53c9cp-15, 0x1.835422cc174eap-15, 0x1.6c3bf99549a77p-15, 0x1.555cb7a6e9168p-15, 0x1.3eae0d272b745p-15, 0x1.282e7e1e9e581p-15, 0x1.11e4ce761a0c7p-15, 0x1.f79ffade5ac4dp-16, 0x1.cbd763f83b34dp-16, 0x1.a078e318e4e6p-16, 0x1.7580e6041420ep-16, 0x1.4aef6e53fbde9p-16, 0x1.20c61279f2e8dp-16, 0x1.ee0e03af64a7ep-17, 0x1.9b65d3e35646ep-17, 0x1.4989d7cfc7fb1p-17, 0x1.f102eec435f22p-18, 0x1.50a020d21a36fp-18, 0x1.63b7a8ee04514p-19, 0x1.4c6ca57cf5452p-22, -0x1.0d588f8fc99d8p-19, -0x1.2068748a803bep-18, -0x1.b888943ab9c2ap-18, -0x1.277e5c11f8cacp-17, -0x1.71e8818a6679fp-17, -0x1.bb7b73614007bp-17, -0x1.021a107c4b1eap-16, -0x1.260d79b07ee73p-16, -0x1.4996348faa7a5p-16, -0x1.6cb8139d76e75p-16, -0x1.8f6d504e32a93p-16, -0x1.b1ba212042995p-16, -0x1.d396fa905efe1p-16, -0x1.f516612e6d626p-16, -0x1.0b0f43e833f9bp-15, -0x1.1b6452e6f7d54p-15, -0x1.2b828b7d924f1p-15, -0x1.3b6b871b2eb12p-15, -0x1.4b22a1cb020fcp-15, -0x1.5aa472ce6c21p-15, -0x1.69f2a2e63a49dp-15, -0x1.790d029491239p-15, -0x1.87f16047731f5p-15, -0x1.96a417c5119d1p-15, -0x1.a522ef89cae6bp-15, -0x1.b37312b553853p-15, -0x1.c18c434a4a616p-15, -0x1.cf71dde977f78p-15, -0x1.dd264b065b942p-15, -0x1.eaa89ddd4cdfcp-15, -0x1.f7f8d7c84c4a5p-15, -0x1.028b84fd345c1p-14, -0x1.090217aaac326p-14, -0x1.0f5ff6fb962fbp-14, -0x1.15a48fd6d9094p-14, -0x1.1bd141cb004f6p-14, -0x1.21e5e6f9a005cp-14, -0x1.27e1a632f5482p-14, -0x1.2dc5f0fbe9dddp-14, -0x1.33918b089c017p-14, -0x1.3946ba3d8bedcp-14, -0x1.3ee1ea2e94b3p-14, -0x1.44684f5db8429p-14, -0x1.49d573f85dd1fp-14, -0x1.4f2c76837dc81p-14, -0x1.546b9a8cebf83p-14, -0x1.5993d5e6ab7f2p-14, -0x1.5ea650ebe5e43p-14, -0x1.63a030a7c3a93p-14, -0x1.688513bb29308p-14, -0x1.6d520b1a637a4p-14, -0x1.720a20f135771p-14, -0x1.76acc6178bf0fp-14, -0x1.7b383128f0327p-14, -0x1.7fae3da7db073p-14, -0x1.840eae4973027p-14, -0x1.885ade61e95bep-14, -0x1.8c90d0e4d68c9p-14, -0x1.90b0d9cefdebep-14, -0x1.94bcad3b02d3fp-14, -0x1.98b47c019805p-14, -0x1.9c97b1f2c3e1bp-14, -0x1.a064e622428a7p-14, -0x1.a41e15fc6a8dep-14, -0x1.a7c3da26bee44p-14, -0x1.ab5674a1af384p-14, -0x1.aed434a5f55e2p-14, -0x1.b23ea60da1a2fp-14, -0x1.b594a2c9f741fp-14, -0x1.b8d93f1624572p-14, -0x1.bc0996391921p-14, -0x1.bf26ca7824d4fp-14, -0x1.c2313f5f31719p-14, -0x1.c52951425aab6p-14, -0x1.c8104d91a141dp-14, -0x1.cae3950a295bcp-14, -0x1.cda5ae48ae463p-14, -0x1.d0539709b3dcbp-14, -0x1.d2f1de8b49995p-14, -0x1.d57e0eb3cdb67p-14, -0x1.d7f8c37d8423ap-14, -0x1.da62b8ab7c206p-14, -0x1.dcba5f3fb4465p-14, -0x1.df0330b2fc6edp-14, -0x1.e1397c5576e8p-14, -0x1.e35f1bded4eafp-14, -0x1.e57527d3ba6b6p-14, -0x1.e77aec033d568p-14, -0x1.e970cf59c9c24p-14, -0x1.eb563c3098848p-14, -0x1.ed2c079dd6348p-14, -0x1.eef22ea2db8d5p-14, -0x1.f0aa0cdedb812p-14, -0x1.f2511cafff4c2p-14, -0x1.f3ea9eb6bdbfep-14, -0x1.f573b23db1617p-14, -0x1.f6eef6beb617ep-14, -0x1.f85b9768cf0d8p-14, -0x1.f9b9db50fa09fp-14, -0x1.fb09cb5af44d7p-14, -0x1.fc4bae30def52p-14, -0x1.fd7fa848b279cp-14, -0x1.fea52a0157bebp-14, -0x1.ffbeed72e8907p-14, -0x1.0064a2ab81fbdp-13, -0x1.00e3cf81b8a1p-13, -0x1.015c219d72e9ep-13, -0x1.01ce956315cfbp-13, -0x1.0239c6d3add52p-13, -0x1.029eef6ede183p-13, -0x1.02fdd9b2bce59p-13, -0x1.0356530f5181ep-13, -0x1.03a98332b8161p-13, -0x1.03f649db15cb4p-13, -0x1.043d2973140cp-13, -0x1.047df4c344d64p-13, -0x1.04b937474094p-13, -0x1.04ee9d51cc29bp-13, -0x1.051ea4fa16ccfp-13, -0x1.0548fc5923071p-13, -0x1.056da76a957a7p-13, -0x1.058d03844818bp-13, -0x1.05a70010f6efcp-13, -0x1.05bbdea9a6cdcp-13, -0x1.05cbae792aaeep-13, -0x1.05d5e55cda0a2p-13, -0x1.05db028815eefp-13, -0x1.05dbfea88ae7dp-13, -0x1.05d7707c7be4dp-13, -0x1.05ce0c5941ed2p-13, -0x1.05c00ed72d8ecp-13, -0x1.05ad31aeeaca2p-13, -0x1.0595db8a133c4p-13, -0x1.0579ea6914699p-13, -0x1.05599966bc03p-13, -0x1.05342e6f0b637p-13, -0x1.050b010fe384ap-13, -0x1.04dd5f689467dp-13, -0x1.04ac326275329p-13, -0x1.04760af96b276p-13, -0x1.043bab7d89106p-13, -0x1.03fd9b84885cfp-13, -0x1.03bb7a333e95cp-13, -0x1.0375b0827f9ddp-13, -0x1.032bca7cf47dp-13, -0x1.02de04bd28cfap-13, -0x1.028ca54bfe9afp-13, -0x1.0237749a02568p-13, -0x1.01dee95dfa9fp-13, -0x1.0182a2cdffebcp-13, -0x1.0122d2969c6fp-13, -0x1.00bfa5285cf95p-13, -0x1.005918adc092ep-13, -0x1.ffde0195c6e49p-14, -0x1.ff04a73c46184p-14, -0x1.fe23619cc3871p-14, -0x1.fd3cbe326e192p-14, -0x1.fc4faeb7a08efp-14, -0x1.fb5bf6f7111dcp-14, -0x1.fa626e76982cep-14, -0x1.f9644c7772b8dp-14, -0x1.f85eea50b95b8p-14, -0x1.f7548e3bea76ap-14, -0x1.f64498627514ep-14, -0x1.f52edd0182bep-14, -0x1.f4140f7f5d0fp-14, -0x1.f2f474e1ec8f9p-14, -0x1.f1ce9890da2bap-14, -0x1.f0a4d88615d1bp-14, -0x1.ef75a29876886p-14, -0x1.ee41937bd3d1dp-14, -0x1.ed091e6d48407p-14, -0x1.ebca683273af6p-14, -0x1.ea8a387c44102p-14, -0x1.e943752e5a60ap-14, -0x1.e7f80577a69cp-14, -0x1.e6a93a6624fap-14, -0x1.e555f73b1e84ap-14, -0x1.e3fef42a586aep-14, -0x1.e2a360fe2a8cbp-14, -0x1.e145573cb969ap-14, -0x1.dfe0c15fc44c5p-14, -0x1.de7a3cad0f331p-14, -0x1.dd1040e448d1ep-14, -0x1.dba1ce1f766d1p-14, -0x1.da3015909f9aap-14, -0x1.d8bb3056221abp-14, -0x1.d74358026e08ap-14, -0x1.d5c6de116e221p-14, -0x1.d4487776a49b7p-14, -0x1.d2c71d0f88765p-14, -0x1.d1424dc5d8ef4p-14, -0x1.cfba9c56598b3p-14, -0x1.ce2ffafc6918cp-14, -0x1.cca23645cd2a7p-14, -0x1.cb1289ae79ad6p-14, -0x1.c9800e50252c2p-14, -0x1.c7ea7922a9c6p-14, -0x1.c6529f6d0daacp-14, -0x1.c4b86d7888678p-14, -0x1.c31c2e5643821p-14, -0x1.c17d05f4dfe64p-14, -0x1.bfdbfc7a7db04p-14, -0x1.be39ba14118fap-14, -0x1.bc93bf6662b0dp-14, -0x1.baec942668eb6p-14, -0x1.b943633e89929p-14, -0x1.b7980e1e0f324p-14, -0x1.b5ebcb03eced9p-14, -0x1.b43cf0d1c3a08p-14, -0x1.b28c125917423p-14, -0x1.b0da38ad33a94p-14, -0x1.af26b4f1a1f2ap-14, -0x1.ad71f9ba77e85p-14, -0x1.abbb84221b2bp-14, -0x1.aa039acc0a15fp-14, -0x1.a84a08aee11f3p-14, -0x1.a68f9944b74bfp-14, -0x1.a4d3fdf723addp-14, -0x1.a316ae7fc6bfcp-14, -0x1.a15840808ea8fp-14, -0x1.9f99cac48f5fbp-14, -0x1.9dd98a04149d5p-14, -0x1.9c1841a66967ap-14, -0x1.9a56992f11333p-14, -0x1.98934e63f5c2bp-14, -0x1.96cf68901bf1bp-14, -0x1.950aedd6c998ap-14, -0x1.9346779083132p-14, -0x1.917ffffd7dd5ap-14, -0x1.8fb9f0b538a48p-14, -0x1.8df1ff1140701p-14, -0x1.8c2a70a7d90adp-14, -0x1.8a62c50d94e7fp-14, -0x1.889aeecf57138p-14, -0x1.86d12e7ff8199p-14, -0x1.8507ee9d18da5p-14, -0x1.833e6748f5e7cp-14, -0x1.8174c4c57aa69p-14, -0x1.7faa8ad2fe94ap-14, -0x1.7de0215544691p-14, -0x1.7c15f18c79b9ep-14, -0x1.7a4b28babf592p-14, -0x1.7880a1ce23445p-14, -0x1.76b5f38b4560fp-14, -0x1.74ebb0262b436p-14, -0x1.73213f9d43891p-14, -0x1.715613ffe471dp-14, -0x1.6f8bdd83ef882p-14, -0x1.6dc1998c03d09p-14, -0x1.6bf79c0cbdd8dp-14, -0x1.6a2dbd97f6ac3p-14, -0x1.686420fd102ccp-14, -0x1.669acd1d466dep-14, -0x1.64d1d1f5bd224p-14, -0x1.630926543adbdp-14, -0x1.6140c0501e26ap-14, -0x1.5f78dd8da47c8p-14, -0x1.5db168a83912dp-14, -0x1.5beaac5e0573ap-14, -0x1.5a23d297bf1ebp-14, -0x1.585df0cc84dc1p-14, -0x1.5699041aa2e2ep-14, -0x1.54d406aaf0e41p-14, -0x1.530f48cf6c165p-14, -0x1.514c42fcb01bep-14, -0x1.4f896249c312dp-14, -0x1.4dc6cd2530418p-14, -0x1.4c05a92e1e45cp-14, -0x1.4a451d16e588bp-14, -0x1.488407e22a655p-14, -0x1.46c5278ccc9cap-14, -0x1.450791dcf0c25p-14, -0x1.4349b04fabdf4p-14, -0x1.418cb10514292p-14, -0x1.3fd0dc9acb9afp-14, -0x1.3e15b68824843p-14, -0x1.3c5c0b4a82456p-14, -0x1.3aa283da3c609p-14, -0x1.38ea9e2d3c64ap-14, -0x1.373361ec42b39p-14, -0x1.357d39e9e23eap-14, -0x1.33c801e3fc75fp-14, -0x1.3213d1b2b9366p-14, -0x1.306103a214383p-14, -0x1.2eaefe28d642bp-14, -0x1.2cfe4fd57603ap-14, -0x1.2b4e2c040b902p-14, -0x1.299f8ea62bf2ap-14, -0x1.27f20191820d8p-14, -0x1.2645bb2a915d4p-14, -0x1.249ac51a496c1p-14, -0x1.22f079c18575ep-14, -0x1.2147bc67ccf3p-14, -0x1.1fa0163381a08p-14, -0x1.1dfa15c7758eep-14, -0x1.1c55013c5ed33p-14, -0x1.1ab0dc4e49e8fp-14, -0x1.190e5dda0f262p-14, -0x1.176d286c79883p-14, -0x1.15cd5a162b3a1p-14, -0x1.142e3e5467328p-14, -0x1.129126a7479c8p-14, -0x1.10f553429f309p-14, -0x1.0f5a7bd549104p-14, -0x1.0dc1281de3ea4p-14, -0x1.0c2934c32eca5p-14, -0x1.0a92905206e2ap-14, -0x1.08fd6ee9d4f6bp-14, -0x1.0769e977f2203p-14, -0x1.05d733dcf67c2p-14, -0x1.044648e94b6fp-14, -0x1.02b707ab7d47bp-14, -0x1.012854e96b17ep-14, -0x1.ff388da6a69f6p-15, -0x1.fc223765072e4p-15, -0x1.f90ea8bd7e03ap-15, -0x1.f5fdd9a99bb6ep-15, -0x1.f2f0a92140cedp-15, -0x1.efe5fb9a51eb4p-15, -0x1.ecde00a21c9c1p-15, -0x1.e9d9af7f14142p-15, -0x1.e6d819888fb4ap-15, -0x1.e3d9433d2eaf6p-15, -0x1.e0ddfd71eb8acp-15, -0x1.dde6752c5b108p-15, -0x1.daef6430b3dd9p-15, -0x1.d7fd5cff46c36p-15, -0x1.d50e9983579b3p-15, -0x1.d22228a54f1cep-15, -0x1.cf39525b75565p-15, -0x1.cc5329071f5d6p-15, -0x1.c96fb4ec64197p-15, -0x1.c690737e9ca4ep-15, -0x1.c3b3c033fd8b9p-15, -0x1.c0da4e2c013f7p-15, -0x1.be03c77fc114ap-15, -0x1.bb309438fc1c5p-15, -0x1.b860c8c6d6596p-15, -0x1.b593cc8bacff4p-15, -0x1.b2c9dedad94d3p-15, -0x1.b0041a68c879ep-15, -0x1.ad3f983721628p-15, -0x1.aa7f527087794p-15, -0x1.a7c3c20223493p-15, -0x1.a5099af5f9f2fp-15, -0x1.a2524faa94c04p-15, -0x1.9f9f422d2512bp-15, -0x1.9cef3156cd265p-15, -0x1.9a41025e6b924p-15, -0x1.979920319340cp-15, -0x1.94f12681ad817p-15, -0x1.924ef8f37debcp-15, -0x1.8fad9af25f349p-15, -0x1.8d10ac0994adcp-15, -0x1.8a77e0f8ad4e2p-15, -0x1.87e13ca74133ap-15, -0x1.854dd31fa2e2ep-15, -0x1.82bcf526f5e0bp-15, -0x1.803045ff807e5p-15, -0x1.7da7f043e479bp-15, -0x1.7b209e9d2a3bbp-15, -0x1.789cb7082a95dp-15, -0x1.761cd07d41e41p-15, -0x1.73a0aa12a1ef9p-15, -0x1.71272774d6069p-15, -0x1.6eb086c59e1ep-15, -0x1.6c3d13e313c94p-15, -0x1.69cc97009906p-15, -0x1.67606b8a3f271p-15, -0x1.64f6a5337943fp-15, -0x1.628ff6364f56ap-15, -0x1.602cc5b192a61p-15, -0x1.5dcce7388bce8p-15, -0x1.5b6fbcf68d0b3p-15, -0x1.59166ac47db5dp-15, -0x1.56bf2ddb7886dp-15, -0x1.546b58166d5dep-15, -0x1.521c6fc11cd32p-15, -0x1.4fceefffc3543p-15, -0x1.4d84731f1c4d9p-15, -0x1.4b3dd1368085cp-15, -0x1.48fa3ba16a386p-15, -0x1.46ba24dccd218p-15, -0x1.447bb98c3ea33p-15, -0x1.4241a9e0859cfp-15, -0x1.400b0ff16657ap-15, -0x1.3dd69eb79c59p-15, -0x1.3ba5b6bdba4d4p-15, -0x1.3977c89ad2624p-15, }}, 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      {{-0x1.c061816dacc76p-6, -0x1.4fdff59f7c446p-5, -0x1.bf121e84c8f44p-5, -0x1.16cfaa7135f36p-4, -0x1.4db08313fcec5p-4, -0x1.8419107781c7cp-4, -0x1.b9f79b725c0fap-4, -0x1.ef3b4aa8532dep-4, -0x1.11ea15758c927p-3, -0x1.2bd99a3328382p-3, -0x1.4565269407885p-3, -0x1.5e8624bfb40e6p-3, -0x1.7736754aeafc7p-3, -0x1.8f706dcbe45ep-3, -0x1.a72ed6d920a5fp-3, -0x1.be6ce990049f8p-3, -0x1.d5264cbb9764cp-3, -0x1.eb5711afd86d3p-3, -0x1.007dd8756acbep-2, -0x1.0b088344f04c9p-2, -0x1.154a274f907c1p-2, -0x1.1f4190b8dd474p-2, -0x1.28edb7d8a556bp-2, -0x1.324dbf5206bb6p-2, -0x1.3b60f22af85adp-2, -0x1.4426c1e6eb012p-2, -0x1.4c9ec4a6b891p-2, -0x1.54c8b34fbb6d7p-2, -0x1.5ca467bba018fp-2, -0x1.6431daf22b7f6p-2, -0x1.6b71236e0c506p-2, -0x1.7262736d7c026p-2, -0x1.7906174f635e2p-2, -0x1.7f5c73fd71699p-2, -0x1.8566056385e28p-2, -0x1.8b235cf4a5d2fp-2, -0x1.9095203d95848p-2, -0x1.95bc078524922p-2, -0x1.9a98dc7a1b63dp-2, -0x1.9f2c78eead7c3p-2, -0x1.a377c5a14660bp-2, -0x1.a77bb91273181p-2, -0x1.ab395667aff49p-2, -0x1.aeb1ac5ac7899p-2, -0x1.b1e5d4357a3bep-2, -0x1.b4d6f0d9119fdp-2, -0x1.b7862dd18f9a3p-2, -0x1.b9f4be7418f22p-2, -0x1.bc23dd083e177p-2, -0x1.be14c9fbc9b7p-2, -0x1.bfc8cb20b1463p-2, -0x1.c1412af4d072p-2, -0x1.c27f37f30f8fdp-2, -0x1.c38443ed9d1b4p-2, -0x1.c451a370e0169p-2, -0x1.c4e8ad2ecbc9cp-2, -0x1.c54ab97243821p-2, -0x1.c579219a388f5p-2, -0x1.c5753f9c32e47p-2, -0x1.c5406d8df8b55p-2, -0x1.c4dc053609dd3p-2, -0x1.c4495fa2a3d94p-2, -0x1.c389d4c70bed3p-2, -0x1.c29ebb1ed8a3cp-2, -0x1.c1896756fc37ap-2, -0x1.c04b2bfc51ep-2, -0x1.bee5592f69d77p-2, -0x1.bd593c5d67af6p-2, -0x1.bba81ffdac941p-2, -0x1.b9d34b5421837p-2, -0x1.b7dc0237ebd16p-2, -0x1.b5c384de52caep-2, -0x1.b38b0fa9b2d95p-2, -0x1.b133dafc44f8bp-2, -0x1.aebf1b0e9670bp-2, -0x1.ac2dffc97c79ep-2, -0x1.a981b4a368fc1p-2, -0x1.a6bb6080e737ep-2, -0x1.a3dc25982bb09p-2, -0x1.a0e5215785a39p-2, -0x1.9dd76c4e9657fp-2, -0x1.9ab41a1a2802ap-2, -0x1.977c3952896c3p-2, -0x1.9430d37c48f49p-2, -0x1.90d2ecfb31efap-2, -0x1.8d6385077509p-2, -0x1.89e395a4d8f36p-2, -0x1.8654139bdabf5p-2, -0x1.82b5ee74a7de9p-2, -0x1.7f0a1073d3796p-2, -0x1.7b515e98b1196p-2, -0x1.778cb89d43121p-2, -0x1.73bcf8f79cfc1p-2, -0x1.6fe2f4dcadf3ap-2, -0x1.6bff7c4459f82p-2, -0x1.681359eecea2dp-2, -0x1.641f536b04b12p-2, -0x1.6024291e55c1ap-2, -0x1.5c22964d1c258p-2, -0x1.581b512449de3p-2, -0x1.540f0ac3dfe76p-2, -0x1.4ffe6f4a45ce1p-2, -0x1.4bea25e0633c4p-2, -0x1.47d2d0c677f35p-2, -0x1.43b90d619fbd8p-2, -0x1.3f9d7449f98aap-2, -0x1.3b8099595fae9p-2, -0x1.37630bbaacdd9p-2, -0x1.334555f97c4d2p-2, -0x1.2f27fe125d801p-2, -0x1.2b0b85837281bp-2, -0x1.26f0695d6a7c8p-2, -0x1.22d72254d4474p-2, -0x1.1ec024d3bc974p-2, -0x1.1aabe10b91afbp-2, -0x1.169ac30740afp-2, -0x1.128d32bd8b26ap-2, -0x1.0e839423867c2p-2, -0x1.0a7e473f426d7p-2, -0x1.067da83a9021fp-2, -0x1.02820f75df388p-2, -0x1.fd17a33664492p-3, -0x1.f5367f6237907p-3, -0x1.ed614e5b8c946p-3, -0x1.e598a413f83dep-3, -0x1.dddd0da861428p-3, -0x1.d62f1186fd1a2p-3, -0x1.ce8f2f9538b9ep-3, -0x1.c6fde1558447dp-3, -0x1.bf7b9a0cf3b4cp-3, -0x1.b808c6e8b35bap-3, -0x1.b0a5cf2346f83p-3, -0x1.a95314298867fp-3, -0x1.a210f1bf6b7bfp-3, -0x1.9adfbe2472a05p-3, -0x1.93bfca37d6fd8p-3, -0x1.8cb1619c616e9p-3, -0x1.85b4cadbe71c7p-3, -0x1.7eca478a6b7fp-3, -0x1.77f21468e4402p-3, -0x1.712c698792b01p-3, -0x1.6a797a67fe3a4p-3, -0x1.63d9761e781adp-3, -0x1.5d4c87733e526p-3, -0x1.56d2d50321b21p-3, -0x1.506c815fbb50ep-3, -0x1.4a19ab2f34ee6p-3, -0x1.43da6d4b873c6p-3, -0x1.3daedee1513e3p-3, -0x1.3797138e2751ap-3, -0x1.31931b7e67f35p-3, -0x1.2ba3038a947dp-3, -0x1.25c6d55428965p-3, -0x1.1ffe9761ef76ep-3, -0x1.1a4a4d3bd8bc2p-3, -0x1.14a9f7864bf1fp-3, -0x1.0f1d941cf90aep-3, -0x1.09a51e2d24e7dp-3, -0x1.04408e4f74924p-3, -0x1.fddfb54262017p-4, -0x1.f365edba1da91p-4, -0x1.e913a8e6d478dp-4, -0x1.dee8c5441125cp-4, -0x1.d4e51d169e042p-4, -0x1.cb088699ff8a1p-4, -0x1.c152d42cdc614p-4, -0x1.b7c3d47c70f13p-4, -0x1.ae5b52aef944ep-4, -0x1.a519168d24a61p-4, -0x1.9bfce4aa81566p-4, -0x1.93067e8cfb24ap-4, -0x1.8a35a2d35bcbdp-4, -0x1.818a0d5ad0a35p-4, -0x1.7903776383836p-4, -0x1.70a197b43e9b5p-4, -0x1.686422bd22c8cp-4, -0x1.604acab9709d1p-4, -0x1.58553fd06958ep-4, -0x1.5083303549184p-4, -0x1.48d448465cff7p-4, -0x1.414832ab391c2p-4, -0x1.39de98721123p-4, -0x1.3297212c35fb7p-4, -0x1.2b717309bd8c3p-4, -0x1.246d32f45414ep-4, -0x1.1d8a04a940ef2p-4, -0x1.16c78ad2996f6p-4, -0x1.1025671faddc7p-4, -0x1.09a33a5cab905p-4, -0x1.0340a48981477p-4, -0x1.f9fa89dffccecp-5, -0x1.edb1747272678p-5, -0x1.e1a54504772eap-5, -0x1.d5d536dff2fcep-5, -0x1.ca4084852e31ep-5, -0x1.bee667cffe052p-5, -0x1.b3c61a1b9d4fap-5, -0x1.a8ded46534f8dp-5, -0x1.9e2fcf6d1e3adp-5, -0x1.93b843d6e18e7p-5, -0x1.89776a47fd811p-5, -0x1.7f6c7b8579aep-5, -0x1.7596b0904ce41p-5, -0x1.6bf542c09ddbp-5, -0x1.62876bdfe4745p-5, -0x1.594c6641f5bb2p-5, -0x1.50436cdcf9957p-5, -0x1.476bbb6058ed1p-5, -0x1.3ec48e4aa77b7p-5, -0x1.364d22fe8d175p-5, -0x1.2e04b7d6ba1fap-5, -0x1.25ea8c38e97b5p-5, -0x1.1dfde0a7f7eb1p-5, -0x1.163df6d515f3dp-5, -0x1.0eaa11b01c7a6p-5, -0x1.074175770794p-5, -0x1.000367c49e966p-5, -0x1.f1de5f3ca2fbdp-6, -0x1.e4082b0298bcap-6, -0x1.d682c6dd95715p-6, -0x1.c94cc9ef60ad1p-6, -0x1.bc64ce8ed5ac6p-6, -0x1.afc9725c452cbp-6, -0x1.a37956548091ap-6, -0x1.97731ee2999b2p-6, -0x1.8bb573f05f1cbp-6, -0x1.803f00f5a57e2p-6, -0x1.750e7506599cep-6, -0x1.6a2282df7d03ep-6, -0x1.5f79e0f2f712dp-6, -0x1.55134972654c7p-6, -0x1.4aed7a58d9e91p-6, -0x1.410735739e7d5p-6, -0x1.375f406a03dbap-6, -0x1.2df464c43fe38p-6, -0x1.24c56ff168bb2p-6, -0x1.1bd1334c98008p-6, -0x1.1316842133d5bp-6, -0x1.0a943bae6eac3p-6, -0x1.0249372a02bc4p-6, -0x1.f468af845ef9ap-7, -0x1.e4a9053e08becp-7, -0x1.d55141c5f73f6p-7, -0x1.c65f3f55d6f92p-7, -0x1.b7d0e01ab942cp-7, -0x1.a9a40e328ce75p-7, -0x1.9bd6bba85ce9cp-7, -0x1.8e66e26f9bce4p-7, -0x1.8152845e3ee59p-7, -0x1.7497ab25ed27fp-7, -0x1.6834684c29b2dp-7, -0x1.5c26d521b2348p-7, -0x1.506d12b8d792ep-7, -0x1.450549db2a05fp-7, -0x1.39edaafe3abb5p-7, -0x1.2f246e37b8cf4p-7, -0x1.24a7d330cb363p-7, -0x1.1a762118caa19p-7, -0x1.108da6974b545p-7, -0x1.06ecb9bd9f03cp-7, -0x1.fb236fef7428ep-8, -0x1.e8f60bf935326p-8, -0x1.d74e1f7c572dfp-8, -0x1.c62890b16c031p-8, -0x1.b5825403af669p-8, -0x1.a5586bee53c86p-8, -0x1.95a7e8d8ddc0ep-8, -0x1.866de8f2e3d61p-8, -0x1.77a7980f2906bp-8, -0x1.69522f7e1e363p-8, -0x1.5b6af5e7e33edp-8, -0x1.4def3f25b003ap-8, -0x1.40dc6c1ae130cp-8, -0x1.342fea8d902b1p-8, -0x1.27e734fedb57ap-8, -0x1.1bffd282d889bp-8, -0x1.107756983106fp-8, -0x1.054b60ff92332p-8, -0x1.f4f33b25b169fp-9, -0x1.dfff883853bfbp-9, -0x1.cbb73059a0a1dp-9, -0x1.b815d1e81071cp-9, -0x1.a517222b61409p-9, -0x1.92b6ed01f7a7p-9, -0x1.80f1148e57429p-9, -0x1.6fc190e44480cp-9, -0x1.5f246fb65b824p-9, -0x1.4f15d4037a851p-9, -0x1.3f91f5c495042p-9, -0x1.3095219aadae9p-9, -0x1.221bb87d078acp-9, -0x1.14222f6796b5ep-9, -0x1.06a50f09fde09p-9, -0x1.f341e6ed401fdp-10, -0x1.da2517a51994ap-10, -0x1.c1ed340b0a152p-10, -0x1.aa93e4d4fed81p-10, -0x1.9412f701a171cp-10, -0x1.7e645b3ba5244p-10, -0x1.6982253e74973p-10, -0x1.55668b3bd3e1bp-10, -0x1.420be54275c6ap-10, -0x1.2f6caca667901p-10, -0x1.1d837b6a671bep-10, -0x1.0c4b0baad2bb1p-10, -0x1.f77c6e14966f9p-11, -0x1.d7afec3d95e4ap-11, -0x1.b926bfc253a22p-11, -0x1.9bd7523b24efbp-11, -0x1.7fb847cb72d0ap-11, -0x1.64c07e09eef6ep-11, -0x1.4ae70aea4a38cp-11, -0x1.32233bab4f1edp-11, -0x1.1a6c93c7b0e0ap-11, -0x1.03bacbea373dbp-11, -0x1.dc0ba1ca94b4fp-12, -0x1.b28b855d4586cp-12, -0x1.8ae5e6b85e913p-12, -0x1.650bcc4c3bcdfp-12, -0x1.40ee9cd70cdc1p-12, -0x1.1e801d74d5292p-12, -0x1.fb64df702e0ep-13, -0x1.bcf01f8ed3ec9p-13, -0x1.8187a50213d3p-13, -0x1.4911c74f303b1p-13, -0x1.13758826e5dd6p-13, -0x1.c1351fb0cefdfp-14, -0x1.60d253a705b6p-14, -0x1.0594826a1eb06p-14, -0x1.5e9d757ee3e39p-15, -0x1.7754f53360a5ep-16, -0x1.0fd760263ae04p-18, 0x1.bb105303fc91cp-17, 0x1.edc6529a9364ep-16, 0x1.76b0c2d478383p-15, 0x1.ee792e8cc5586p-15, 0x1.2f4350e00bbbap-14, 0x1.6390a2dffa47bp-14, 0x1.9447a1cecc0ccp-14, 0x1.c18a67d560c77p-14, 0x1.eb7a1a6317877p-14, 0x1.091b77e29abeep-13, 0x1.1af01a4d2b89dp-13, 0x1.2b4a28982998bp-13, 0x1.3a38676636298p-13, 0x1.47c92e6b36211p-13, 0x1.540a6af4ca216p-13, 0x1.5f09a26cc7cc1p-13, 0x1.68d3f4cab5712p-13, 0x1.71761efaa1f75p-13, 0x1.78fc7d39b95d5p-13, 0x1.7f730d66c990bp-13, 0x1.84e571455a1e9p-13, 0x1.895ef0b7b8248p-13, 0x1.8cea7bf0263ddp-13, 0x1.8f92ad93a965bp-13, 0x1.9161ccd2eb9fp-13, 0x1.9261cf79dcd0ap-13, 0x1.929c5bf384d0bp-13, 0x1.921acb4279ea2p-13, 0x1.90e62af158f27p-13, 0x1.8f073efa80e28p-13, 0x1.8c8683a18e851p-13, 0x1.896c2f46ae15fp-13, 0x1.85c0342f01f18p-13, 0x1.818a4242a90b4p-13, 0x1.7cd1c8c2c0a72p-13, 0x1.779df7f571ef7p-13, 0x1.71f5c2caf8cdfp-13, 0x1.6bdfe076c8237p-13, 0x1.6562ce01e39b8p-13, 0x1.5e84cfd463cafp-13, 0x1.574bf334b099ep-13, 0x1.4fbe0fc086cf2p-13, 0x1.47e0c8dc8b2cbp-13, 0x1.3fb98f1d56b65p-13, 0x1.374da1a797a52p-13, 0x1.2ea20f86b4365p-13, 0x1.25bbb8ff47875p-13, 0x1.1c9f50d70493ap-13, 0x1.13515d960fa87p-13, 0x1.09d63ac1631f9p-13, 0x1.00321a0e7bba5p-13, 0x1.ecd209201784p-14, 0x1.d8fdb7b46171bp-14, 0x1.c4eeb642917bdp-14, 0x1.b0ac30a3cc444p-14, 0x1.9c3d0a44214ccp-14, 0x1.87a7e036eb9ddp-14, 0x1.72f30b40f0a65p-14, 0x1.5e24a1d63ad65p-14, 0x1.49427a0b0e8bbp-14, 0x1.34522b772b3b7p-14, 0x1.1f59111023fb5p-14, 0x1.0a5c4af78f84ep-14, 0x1.eac1807880545p-15, 0x1.c0d6412506a21p-15, 0x1.96ffcc02e358fp-15, 0x1.6d46ad0c77aa2p-15, 0x1.43b30b564dcccp-15, 0x1.1a4cac2ba8055p-15, 0x1.e235ec2e93fa8p-16, 0x1.9049e7af99321p-16, 0x1.3ee2ae7df1963p-16, 0x1.dc19f00f84d82p-17, 0x1.3ba9a9f58439cp-17, 0x1.3916d28f11127p-18, -0x1.2b2bd05cae6a5p-25, -0x1.3acb3ae12dda3p-18, -0x1.38109819c9449p-17, -0x1.d119e31689fdbp-17, -0x1.34382b95088bp-16, -0x1.7f01eaadb2216p-16, -0x1.c8e29f193e04bp-16, -0x1.08e99a3c02c89p-15, -0x1.2ce686cd0972p-15, -0x1.5065003514f5ep-15, -0x1.736228f6a68d2p-15, -0x1.95db592f90e1p-15, -0x1.b7ce1cbaaabc3p-15, -0x1.d93831557f82cp-15, -0x1.fa1784d8b8376p-15, -0x1.0d3519bf2b158p-14, -0x1.1d1743155e679p-14, -0x1.2cb17866bc6f8p-14, -0x1.3c0308644a842p-14, -0x1.4b0b55b0b2095p-14, -0x1.59c9d61f21b92p-14, -0x1.683e11f9c1a21p-14, -0x1.7667a3491322ep-14, -0x1.844635235a52ep-14, -0x1.91d983024125ep-14, -0x1.9f215818d3603p-14, -0x1.ac1d8eb3ec98fp-14, -0x1.b8ce0f9b54417p-14, -0x1.c532d17921d19p-14, -0x1.d14bd845976dbp-14, -0x1.dd1934b709188p-14, -0x1.e89b03b66b5e3p-14, -0x1.f3d16dd683bc5p-14, -0x1.febca6d16553dp-14, -0x1.04ae768449793p-13, -0x1.09d94484d1ea8p-13, -0x1.0edee68acefbdp-13, -0x1.13bf8a56cd8acp-13, -0x1.187b6210ca724p-13, -0x1.1d12a4119f79fp-13, -0x1.21858aae8cb38p-13, -0x1.25d454058f354p-13, -0x1.29ff41cb94502p-13, -0x1.2e06991cf4701p-13, -0x1.31eaa24ec1a7ap-13, -0x1.35aba8c1dfcccp-13, -0x1.3949fab73cd04p-13, -0x1.3cc5e926249d2p-13, -0x1.401fc79342cf3p-13, -0x1.4357ebe8b9d54p-13, -0x1.466eae518e28p-13, -0x1.496469133987p-13, -0x1.4c39786ae18dap-13, -0x1.4eee3a6ad73d8p-13, -0x1.51830ed9a927ep-13, -0x1.53f85711b9ff5p-13, -0x1.564e75e287813p-13, -0x1.5885cf73303acp-13, -0x1.5a9ec9250e053p-13, -0x1.5c99c977f7d84p-13, -0x1.5e7737f055496p-13, -0x1.60377cfc692e3p-13, -0x1.61db01dbd833ep-13, -0x1.63623087970c6p-13, -0x1.64cd739b4f4dfp-13, -0x1.661d363e8e48p-13, -0x1.6751e40fbf362p-13, -0x1.686be90ff102bp-13, -0x1.696bb18ebe43fp-13, -0x1.6a51aa173c3bep-13, -0x1.6b1e3f5e13148p-13, -0x1.6bd1de2ffdb1ap-13, -0x1.6c6cf360c6b5bp-13, -0x1.6cefebbb66a86p-13, -0x1.6d5b33f294814p-13, -0x1.6daf3891f8536p-13, -0x1.6dec65efea7cbp-13, -0x1.6e13281fdd11p-13, -0x1.6e23eae5e74ep-13, -0x1.6e1f19a9e15e2p-13, -0x1.6e051f6b7434p-13, -0x1.6dd666b7675a6p-13, -0x1.6d93599c3e39p-13, -0x1.6d3c61a05fde1p-13, -0x1.6cd1e7b8043b5p-13, -0x1.6c54543c3a694p-13, -0x1.6bc40ee1df9aep-13, -0x1.6b217eb11ef9ep-13, -0x1.6a6d09fd8621ap-13, -0x1.69a7165ed325dp-13, -0x1.68d008a95db8ap-13, -0x1.67e844e77f378p-13, -0x1.66f02e534747bp-13, -0x1.65e827504a924p-13, -0x1.64d091663b424p-13, -0x1.63a9cd3b452a3p-13, -0x1.62743a8f72b94p-13, -0x1.61303837df7fcp-13, -0x1.5fde241a365c7p-13, -0x1.5e7e5b28b8931p-13, -0x1.5d11395e9ef4fp-13, -0x1.5b9719bc94424p-13, -0x1.5a105645435bcp-13, -0x1.587d47faa6362p-13, -0x1.56de46db40153p-13, -0x1.5533a9df98a1ep-13, -0x1.537dc6f80f44ep-13, -0x1.51bcf30aa8339p-13, -0x1.4ff181f1bd5eap-13, -0x1.4e1bc679e2ea2p-13, -0x1.4c3c1260eaf9ap-13, -0x1.4a52b65440274p-13, -0x1.486001f08c574p-13, -0x1.466443c0506ebp-13, -0x1.445fc93b908f1p-13, -0x1.4252dec72d73fp-13, -0x1.403dcfb4c5d37p-13, -0x1.3e20e642766a6p-13, -0x1.3bfc6b9a9a094p-13, -0x1.39d0a7d430426p-13, -0x1.379de1f31b908p-13, -0x1.35645fe86c193p-13, -0x1.33246692e895bp-13, -0x1.30de39bf87051p-13, -0x1.2e921c2a9502dp-13, -0x1.2c404f802128bp-13, -0x1.29e9145d2d4dfp-13, -0x1.278caa50934f3p-13, -0x1.252b4fdc6623fp-13, -0x1.22c5427721691p-13, -0x1.205abe8cb3179p-13, -0x1.1debff80395f8p-13, -0x1.1b793fad5abb5p-13, -0x1.1902b869effa6p-13, -0x1.1688a20791784p-13, -0x1.140b33d527efp-13, -0x1.118aa42109cc7p-13, -0x1.0f07283a804e4p-13, -0x1.0c80f473c804bp-13, -0x1.09f83c23f2b51p-13, -0x1.076d31a8e35b5p-13, -0x1.04e006698cd2fp-13, -0x1.0250ead7b99a4p-13, -0x1.ff801ce48bf5ap-14, -0x1.fa5b3f8eb9c9p-14, -0x1.f53398ed18827p-14, -0x1.f009826664e7bp-14, -0x1.eadd538ce9e4cp-14, -0x1.e5af622393626p-14, -0x1.e080022270ffp-14, -0x1.db4f85bb6ed33p-14, -0x1.d61e3d5ef162bp-14, -0x1.d0ec77c095959p-14, -0x1.cbba81dc28892p-14, -0x1.c688a6fad739p-14, -0x1.c15730b731519p-14, -0x1.bc266702d5259p-14, -0x1.b6f6902b029ddp-14, -0x1.b1c7f0ddb3775p-14, -0x1.ac9acc2ea8b22p-14, -0x1.a76f639c08505p-14, -0x1.a245f713c58f8p-14, -0x1.9d1ec4f86b82dp-14, -0x1.97fa0a26541efp-14, -0x1.92d801f861886p-14, -0x1.8db8e64d1c9ffp-14, -0x1.889cef8bca8cdp-14, -0x1.838454a998413p-14, -0x1.7e6f4b2e4026p-14, -0x1.795e07392e3cep-14, -0x1.7450bb86a0a74p-14, -0x1.6f4799746d352p-14, -0x1.6a42d1072d459p-14, -0x1.654290eef1aep-14, -0x1.6047068c63f9fp-14, -0x1.5b505df58edb3p-14, -0x1.565ec1fac50c2p-14, -0x1.51725c2bb4262p-14, -0x1.4c8b54dbea6a9p-14, -0x1.47a9d327b6ccbp-14, -0x1.42cdfcf93a85p-14, -0x1.3df7f70cfdfc7p-14, -0x1.3927e4f676952p-14, -0x1.345de925233bbp-14, -0x1.2f9a24e8fd4a5p-14, -0x1.2adcb877116a6p-14, -0x1.2625c2ee5472fp-14, -0x1.2175625bfa894p-14, -0x1.1ccbb3c022bebp-14, -0x1.1828d3125266cp-14, -0x1.138cdb45efb5p-14, -0x1.0ef7e64ecf452p-14, -0x1.0a6a0d255502ap-14, -0x1.05e367cafad85p-14, -0x1.01640d4ea9faap-14, -0x1.f9d827a2263a4p-15, -0x1.f0f7211165c73p-15, -0x1.e8252f8c4b2d3p-15, -0x1.df6279f0f60c8p-15, -0x1.d6af256208136p-15, -0x1.ce0b554f66581p-15, -0x1.c5772b7de0f4p-15, -0x1.bcf2c80f8fd8ap-15, -0x1.b47e498b79b22p-15, -0x1.ac19cce551d92p-15, -0x1.a3c56d85ad297p-15, -0x1.9b81455162a34p-15, -0x1.934d6cb0e92a9p-15, -0x1.8b29fa984c986p-15, -0x1.8317048e1bc9dp-15, -0x1.7b149eb33eb54p-15, -0x1.7322dbc9bc7b5p-15, -0x1.6b41cd3c1a973p-15, -0x1.637183247d01bp-15, -0x1.5bb20c5372becp-15, -0x1.5403765705c9cp-15, -0x1.4c65cd8157b8p-15, -0x1.44d91cefc96cbp-15, -0x1.3d5d6e90e1108p-15, -0x1.35f2cb2b87079p-15, -0x1.2e993a6533f7ep-15, -0x1.2750c2c870987p-15, -0x1.201969cabee71p-15, -0x1.18f333d390805p-15, -0x1.11de24417b548p-15, -0x1.0ada3d710fee8p-15, -0x1.03e780c27a9b3p-15, -0x1.fa0bdd3e1b021p-16, -0x1.ec6b0cffbe1eap-16, -0x1.deec8de58738ep-16, -0x1.d1905b40774dap-16, -0x1.c4566ea1dab3ep-16, -0x1.b73ebfe697aa9p-16, -0x1.aa4945414fb3p-16, -0x1.9d75f3459c1afp-16, -0x1.90c4bcf1fd9e5p-16, -0x1.843593baedb59p-16, -0x1.77c86793f49a6p-16, -0x1.6b7d26fa71ce7p-16, -0x1.5f53beff733dcp-16, -0x1.534c1b507cb86p-16, -0x1.47662642920bep-16, -0x1.3ba1c8da5a329p-16, -0x1.2ffeead59af29p-16, -0x1.247d72b506a19p-16, -0x1.191d45c43f9fep-16, -0x1.0dde4823103b4p-16, -0x1.02c05ccdef253p-16, -0x1.ef86cb4e2af05p-17, -0x1.d9ce86fbf6e55p-17, -0x1.c457ac2ff7d3fp-17, -0x1.af21f87152639p-17, -0x1.9a2d2752ed092p-17, -0x1.8578f2834bc06p-17, -0x1.710511db7dfbap-17, -0x1.5cd13b6f0ba85p-17, -0x1.48dd23999e486p-17, -0x1.35287d0ec42bfp-17, -0x1.21b2f8e85552fp-17, -0x1.0e7c46b2c9dacp-17, -0x1.f70828fa7e287p-18, -0x1.d1941dcb50f25p-18, -0x1.ac9bc24d3999bp-18, -0x1.881e6a47a1b63p-18, -0x1.641b66efa89fdp-18, -0x1.409207012e412p-18, -0x1.1d8196d4ba09p-18, -0x1.f5d2c0f7fd47bp-19, -0x1.b19157abac247p-19, -0x1.6e3d7d528930dp-19, -0x1.2bd5b9716b788p-19, -0x1.d4b11f6958783p-20, -0x1.5389003c53871p-20, -0x1.a8601ca660b8cp-21, -0x1.5a8cefefa173fp-22, 0x1.2904569a7986ap-23, 0x1.3e3cc069b90c9p-21, 0x1.175963faabffp-20, 0x1.8dd4bb641c273p-20, 0x1.0149c86821189p-19, 0x1.3acc89ba23629p-19, 0x1.73743b8983ccp-19, 0x1.ab4279d6684bfp-19, 0x1.e238e2a3b7789p-19, 0x1.0c2c8ae714d02p-18, 0x1.26d25a77518d3p-18, 0x1.410eb19b1c81fp-18, 0x1.5ae262a7817eep-18, 0x1.744e40a05a1d3p-18, 0x1.8d531f24dee38p-18, 0x1.a5f1d2647035bp-18, 0x1.be2b2f0e0394ap-18, 0x1.d6000a40a7dfap-18, 0x1.ed71397f0a4cp-18, 0x1.023fc951075c8p-17, 0x1.0d95f5e4d2c1dp-17, 0x1.18bb8da8493f3p-17, 0x1.23b0fbe08450ap-17, 0x1.2e76abe297dep-17, 0x1.390d090f1a885p-17, 0x1.43747ec9ce4fp-17, 0x1.4dad7877026cfp-17, 0x1.57b8617374c6p-17, 0x1.6195a50f7dd37p-17, 0x1.6b45ae899a4a4p-17, 0x1.74c8e90939eecp-17, 0x1.7e1fbf9a1e608p-17, 0x1.874a9d268611bp-17, 0x1.9049ec732a2d6p-17, 0x1.991e1819625a9p-17, 0x1.a1c78a8384a21p-17, 0x1.aa46ade785216p-17, 0x1.b29bec43858p-17, 0x1.bac7af5920215p-17, 0x1.c2ca60a8d5edfp-17, 0x1.caa4696f535e1p-17, 0x1.d256329fc6acep-17, 0x1.d9e024e1dd5b1p-17, 0x1.e142a88c2a3c6p-17, 0x1.e87e25a206277p-17, 0x1.ef9303d0408fcp-17, 0x1.f681aa683e0b4p-17, 0x1.fd4a805d9b09cp-17, 0x1.01f6f621bb51ap-16, 0x1.05362a24073f3p-16, 0x1.08630f19c5349p-16, 0x1.0b7dd7b1faf5bp-16, 0x1.0e86b6651f5a5p-16, 0x1.117ddd73ea387p-16, 0x1.14637ee6216d3p-16, 0x1.1737cc892b88p-16, 0x1.19faf7ef17e9cp-16, 0x1.1cad326cfb649p-16, 0x1.1f4ead1a5df53p-16, 0x1.21df98cfd04fap-16, 0x1.24602625fecd6p-16, 0x1.26d085744b4d6p-16, 0x1.2930e6d03c5dbp-16, 0x1.2b817a0c930bdp-16, 0x1.2dc26eb879edp-16, 0x1.2ff3f41de8f3p-16, 0x1.3216394188996p-16, 0x1.34296ce1ebbcbp-16, 0x1.362dbd762698bp-16, 0x1.3823592dfa041p-16, 0x1.3a0a6df0b3359p-16, 0x1.3be3295c21dfbp-16, 0x1.3dadb8c47ef8p-16, 0x1.3f6a4933948b2p-16, 0x1.411907683926ap-16, 0x1.42ba1fd5e30a9p-16, 0x1.444dbea3d2268p-16, 0x1.45d40facf1d6p-16, 0x1.474d3e7f40d5dp-16, 0x1.48b9765b6980ep-16, 0x1.4a18e234572adp-16, 0x1.4b6bacae697b5p-16, 0x1.4cb2001fcb9edp-16, 0x1.4dec069020affp-16, 0x1.4f19e9b7975ebp-16, 0x1.503bd2fec8ca5p-16, 0x1.5151eb7eeffdfp-16, 0x1.525c5c0130077p-16, 0x1.535b4cfe6468fp-16, 0x1.544ee69fc8451p-16, 0x1.553750bda2428p-16, 0x1.5614b2dfaf30ep-16, 0x1.56e7343ccdba6p-16, 0x1.57aefbbb19c55p-16, 0x1.586c2fefb0a56p-16, 0x1.591ef71ed2413p-16, 0x1.59c7773b6b9e2p-16, 0x1.5a65d5e798946p-16, 0x1.5afa3874341e6p-16, 0x1.5b84c3e112b6fp-16, 0x1.5c059cdcf8fb3p-16, 0x1.5c7ce7c558a6ap-16, 0x1.5ceac8a6a59aep-16, 0x1.5d4f633cd84bfp-16, 0x1.5daadaf2c5db6p-16, 0x1.5dfd52e24e363p-16, 0x1.5e46edd4feee9p-16, 0x1.5e87ce43a8968p-16, 0x1.5ec0165661a1fp-16, 0x1.5eefe7e5c937ep-16, 0x1.5f17647a173fp-16, 0x1.5f36ad4b70ac4p-16, 0x1.5f4de342706b7p-16, 0x1.5f5d26f7fb6b3p-16, 0x1.5f6498b5c1982p-16, 0x1.5f64587683c28p-16, 0x1.5f5c85e5df041p-16, 0x1.5f4d4060fc92p-16, 0x1.5f36a6f6a8137p-16, 0x1.5f18d8678f0acp-16, 0x1.5ef3f326b872ep-16, 0x1.5ec8155951966p-16, 0x1.5e955cd777d23p-16, 0x1.5e5be72c04b4p-16, 0x1.5e1bd195bd57p-16, 0x1.5dd539068e64ep-16, 0x1.5d883a248901cp-16, 0x1.5d34f14a2fe62p-16, 0x1.5cdb7a8679889p-16, 0x1.5c7bf19d154a5p-16, 0x1.5c167207a5a32p-16, 0x1.5bab16f54aad5p-16, 0x1.5b39fb4b0c121p-16, 0x1.5ac339a48bbdbp-16, 0x1.5a46ec53f3dbdp-16, 0x1.59c52d62d074ap-16, 0x1.593e169244bf4p-16, 0x1.58b1c15b555a4p-16, 0x1.582046ef52f06p-16, 0x1.5789c03861b0dp-16, 0x1.56ee45d9d7b44p-16, 0x1.564df030b2711p-16, 0x1.55a8d753dca0dp-16, 0x1.54ff13146cf09p-16, 0x1.5450bafe9f532p-16, 0x1.539de659a571ap-16, 0x1.52e6ac28c9107p-16, 0x1.522b232b0169ap-16, 0x1.516b61dc29be7p-16, 0x1.50a77e750662fp-16, 0x1.4fdf8eeb9bee1p-16, 0x1.4f13a8f3ba4c2p-16, 0x1.4e43e2000a3dbp-16, 0x1.4d704f41aa9f5p-16, 0x1.4c9905a8eea52p-16, 0x1.4bbe19e5f97fbp-16, 0x1.4adfa068cc0dp-16, 0x1.49fdad6244a66p-16, 0x1.491854c44045dp-16, 0x1.482faa420301fp-16, 0x1.4743c150ea099p-16, 0x1.4654ad28a7722p-16, 0x1.456280c3d5efep-16, 0x1.446d4ee092515p-16, 0x1.43752a00c66f9p-16, 0x1.427a246a67df9p-16, 0x1.417c502888525p-16, 0x1.407bbf0b1d607p-16, 0x1.3f7882a804ab5p-16, 0x1.3e72ac5b32b2fp-16, 0x1.3d6a4d47543f1p-16, 0x1.3c5f765639043p-16, 0x1.3b52383900506p-16, 0x1.3a42a368d7471p-16, 0x1.3930c827953e3p-16, 0x1.381cb6800c729p-16, 0x1.37067e466361fp-16, 0x1.35ee2f18bd687p-16, 0x1.34d3d85f78b89p-16, 0x1.33b7894dd134ep-16, 0x1.329950e25a373p-16, 0x1.31793de76371ep-16, 0x1.30575ef36ac99p-16, 0x1.2f33c269886bap-16, 0x1.2e0e767a13186p-16, 0x1.2ce78922f3b99p-16, 0x1.2bbf08301e70bp-16, 0x1.2a95013c172d5p-16, 0x1.296981b02cc2fp-16, 0x1.283c96c55286cp-16, 0x1.270e4d8448a92p-16, 0x1.25deb2c5feee5p-16, 0x1.24add33431c3fp-16, 0x1.237bbb49f8edap-16, 0x1.224877542984ap-16, 0x1.211413718d73fp-16, 0x1.1fde9b936dd1bp-16, 0x1.1ea81b7e154c2p-16, 0x1.1d709ec99146ap-16, 0x1.1c3830e16f8efp-16, 0x1.1afedd05be2adp-16, 0x1.19c4ae4b57b9dp-16, 0x1.1889af9c1af14p-16, 0x1.174debb79bdf1p-16, 0x1.16116d3388cb5p-16, 0x1.14d43e7bfe86fp-16, 0x1.139669d3f2589p-16, 0x1.1257f955bae4fp-16, 0x1.1118f6f351c1dp-16, 0x1.0fd96c76eac8p-16, 0x1.0e99638376801p-16, 0x1.0d58e594ae621p-16, 0x1.0c17fbffa2c9dp-16, 0x1.0ad6aff3644cap-16, 0x1.09950a7929ea3p-16, 0x1.08531474b8cfep-16, 0x1.0710d6a4d3509p-16, 0x1.05ce59a3ac2fap-16, 0x1.048ba5e78698ap-16, 0x1.0348c3c29388dp-16, 0x1.0205bb639e06ep-16, 0x1.00c294d67680cp-16, 0x1.fefeb008bae13p-17, 0x1.fc7819689e0bdp-17, 0x1.f9f17516d460ep-17, 0x1.f76ad21abdbf6p-17, 0x1.f4e43f3956854p-17, 0x1.f25dcaf619d22p-17, 0x1.efd7839407d18p-17, 0x1.ed517716092b5p-17, 0x1.eacbb33fccf3bp-17, 0x1.e84645965757ep-17, 0x1.e5c13b6100b34p-17, 0x1.e33ca1a9f4622p-17, 0x1.e0b8853f2cf4cp-17, 0x1.de34f2b2c3734p-17, 0x1.dbb1f65c1f72ap-17, 0x1.d92f9c58029c3p-17, 0x1.d6adf089ca0e4p-17, 0x1.d42cfe9c16f97p-17, 0x1.d1acd2011de3ep-17, 0x1.cf2d75f39302cp-17, 0x1.ccaef57748c14p-17, 0x1.ca315b59f24e7p-17, 0x1.c7b4b233ac864p-17, 0x1.c539046790f0ep-17, 0x1.c2be5c249c587p-17, 0x1.c044c36639226p-17, 0x1.bdcc43f4daf4cp-17, 0x1.bb54e76667ea8p-17, 0x1.b8deb71f4d46ap-17, 0x1.b669bc52ee6c8p-17, 0x1.b3f60003fb57dp-17, 0x1.b1838b05642a9p-17, 0x1.af1265faef0e6p-17, 0x1.aca29959b142fp-17, 0x1.aa342d68c9069p-17, 0x1.a7c72a41b57f5p-17, 0x1.a55b97d114f68p-17, 0x1.a2f17dd753398p-17, 0x1.a088e3e9453fp-17, 0x1.9e21d1708280fp-17, 0x1.9bbc4dabdc99dp-17, 0x1.99585fb0303c9p-17, 0x1.96f60e6917e88p-17, 0x1.949560994b06bp-17, 0x1.92365cdacd793p-17, }}, 
      {{-0x1.da5d3af4fccaep-1, -0x1.da2f17525f598p-1, -0x1.d9eddc0f57d37p-1, -0x1.d999028e6759bp-1, -0x1.d92ff6144d396p-1, -0x1.d8b21b341487ep-1, -0x1.d81ed5c0f434dp-1, -0x1.d7758d85e7018p-1, -0x1.d6b5b1f83a73fp-1, -0x1.d5debd1182c71p-1, -0x1.d4f0357609073p-1, -0x1.d3e9b006ad793p-1, -0x1.d2cad0f81f83bp-1, -0x1.d1934c8516cc1p-1, -0x1.d042e74dad78fp-1, -0x1.ced976730c914p-1, -0x1.cd56df7c27682p-1, -0x1.cbbb180e325e1p-1, -0x1.ca062581ceb9ap-1, -0x1.c8381c5c6aaebp-1, -0x1.c6511fb42a422p-1, -0x1.c45160839d099p-1, -0x1.c2391cf1b175bp-1, -0x1.c0089f9196907p-1, -0x1.bdc03e9da366dp-1, -0x1.bb605b2fd5662p-1, -0x1.b8e9607a01c28p-1, -0x1.b65bc2ff7ee59p-1, -0x1.b3b7ffd1ada84p-1, -0x1.b0fe9bd08f9bbp-1, -0x1.ae3022f055ad7p-1, -0x1.ab4d2784a04ep-1, -0x1.a856419204715p-1, -0x1.a54c0e263fd61p-1, -0x1.a22f2eb767919p-1, -0x1.9f00488a47d9ap-1, -0x1.9bc004200e568p-1, -0x1.986f0cab4b149p-1, -0x1.950e0f8c425ecp-1, -0x1.919dbbd4808d8p-1, -0x1.8e1ec1d18d7bep-1, -0x1.8a91d29ea2d47p-1, -0x1.86f79fbd306f7p-1, -0x1.8350dab406bb8p-1, -0x1.7f9e34b4ea48fp-1, -0x1.7be05e485acd9p-1, -0x1.781806ff54762p-1, -0x1.7445dd2acc2f5p-1, -0x1.706a8d98aade5p-1, -0x1.6c86c3560ad6ep-1, -0x1.689b27767a6e5p-1, -0x1.64a860e005a61p-1, -0x1.60af141bcce1fp-1, -0x1.5cafe32aedba2p-1, -0x1.58ab6d5f84bbep-1, -0x1.54a24f3990775p-1, -0x1.50952247814a8p-1, -0x1.4c847d0a40434p-1, -0x1.4870f2dc7b63ep-1, -0x1.445b13dd08acbp-1, -0x1.40436cdc2f19p-1, -0x1.3c2a874baae64p-1, -0x1.3810e93141622p-1, -0x1.33f7151bbcabap-1, -0x1.2fdd8a1a28415p-1, -0x1.2bc4c3b528fb4p-1, -0x1.27ad39ea4cd13p-1, -0x1.2397612932fap-1, -0x1.1f83aa5268fd7p-1, -0x1.1b7282b7e1abcp-1, -0x1.1764541ee8836p-1, -0x1.135984c373d5ep-1, -0x1.0f52775cbecbap-1, -0x1.0b4f8b23126f4p-1, -0x1.07511bd6a322bp-1, -0x1.035781c7723ap-1, -0x1.fec623bc323e8p-2, -0x1.f6e83b4ade87ep-2, -0x1.ef15e6a9e8e35p-2, -0x1.e74fbbb7e02bap-2, -0x1.df9649da6af4dp-2, -0x1.d7ea1a16f4e6dp-2, -0x1.d04baf2c6b742p-2, -0x1.c8bb85ade4faep-2, -0x1.c13a141e220a8p-2, -0x1.b9c7cb0bc6806p-2, -0x1.b265152e3c679p-2, -0x1.ab12578320f27p-2, -0x1.a3cff16c2f3ccp-2, -0x1.9c9e3ccd942a9p-2, -0x1.957d8e2c9253p-2, -0x1.8e6e34ce6e7bcp-2, -0x1.87707ad78d575p-2, -0x1.8084a56ab8d7dp-2, -0x1.79aaf4c87b0fp-2, -0x1.72e3a46e82bafp-2, -0x1.6c2eeb37052fdp-2, -0x1.658cfb7816234p-2, -0x1.5efe0322e11fbp-2, -0x1.58822be2c5f05p-2, -0x1.52199b3c45fe5p-2, -0x1.4bc472abbea95p-2, -0x1.4582cfc3e75f1p-2, -0x1.3f54cc4c0c69p-2, -0x1.393a7e5e00b7cp-2, -0x1.3333f883ba5c5p-2, -0x1.2d4149d49ef58p-2, -0x1.27627e126fccep-2, -0x1.21979dc5da076p-2, -0x1.1be0ae5a9cd8cp-2, -0x1.163db23b4a8ebp-2, -0x1.10aea8ec9f2d6p-2, -0x1.0b338f2862f03p-2, -0x1.05cc5ef7dca43p-2, -0x1.00790fcdd2fa8p-2, -0x1.f6732d4021068p-3, -0x1.ec1bcc00e8da5p-3, -0x1.e1ebdc6b0937ap-3, -0x1.d7e33aa511fccp-3, -0x1.ce01be9e496f5p-3, -0x1.c4473c3cebc6cp-3, -0x1.bab3838b6abfbp-3, -0x1.b14660e4ad378p-3, -0x1.a7ff9d1f579cbp-3, -0x1.9edefdb80c7d2p-3, -0x1.95e444fabcf1ep-3, -0x1.8d0f322aeda51p-3, -0x1.845f81ab074edp-3, -0x1.7bd4ed22ac826p-3, -0x1.736f2ba41308dp-3, -0x1.6b2df1d0628a9p-3, -0x1.6310f1fb23f93p-3, -0x1.5b17dc4cb8eb5p-3, -0x1.53425ee3daec8p-3, -0x1.4b9025f63a7fep-3, -0x1.4400dbf01f0ccp-3, -0x1.3c9429932bc56p-3, -0x1.3549b614354cap-3, -0x1.2e21273832a9p-3, -0x1.271a217054131p-3, -0x1.203447f5334e9p-3, -0x1.196f3ce12f26p-3, -0x1.12caa149f0468p-3, -0x1.0c46155914d81p-3, -0x1.05e138641469dp-3, -0x1.ff3752069e01fp-4, -0x1.f2ea0a50b5486p-4, -0x1.e6d9d4670d2e9p-4, -0x1.db05ea1144b52p-4, -0x1.cf6d8445ff44p-4, -0x1.c40fdb518a82bp-4, -0x1.b8ec26fb06709p-4, -0x1.ae019ea82da56p-4, -0x1.a34f797fc8478p-4, -0x1.98d4ee8abf84ap-4, -0x1.8e9134d3eca4p-4, -0x1.848383869d5cep-4, -0x1.7aab120bdaa32p-4, -0x1.710718267a2e7p-4, -0x1.6796ce0dfe141p-4, -0x1.5e596c884fd17p-4, -0x1.554e2d025911fp-4, -0x1.4c7449a782735p-4, -0x1.43cafd78216f9p-4, -0x1.3b51845edc1b8p-4, -0x1.33071b45066b9p-4, -0x1.2aeb0026057cp-4, -0x1.22fc7221bb542p-4, -0x1.1b3ab18e04d06p-4, -0x1.13a500074ba38p-4, -0x1.0c3aa0803c434p-4, -0x1.04fad7509ad46p-4, -0x1.fbc9d4868e3p-5, -0x1.edf04146dfc17p-5, -0x1.e0678691fcaacp-5, -0x1.d32e39487f5fep-5, -0x1.c642f191a4179p-5, -0x1.b9a44aefb5311p-5, -0x1.ad50e45319847p-5, -0x1.a147602c07138p-5, -0x1.9586647af154ap-5, -0x1.8a0c9adfb3cb1p-5, -0x1.7ed8b0a787b43p-5, -0x1.73e956d9d00bep-5, -0x1.693d4243c567dp-5, -0x1.5ed32b8309c18p-5, -0x1.54a9cf0f31e7fp-5, -0x1.4abfed424985cp-5, -0x1.41144a605db1dp-5, -0x1.37a5ae9e1c1ebp-5, -0x1.2e72e62681f9cp-5, -0x1.257ac11fb2691p-5, -0x1.1cbc13aef55a6p-5, -0x1.1435b5fbe87e5p-5, -0x1.0be68432e75cbp-5, -0x1.03cd5e86bc189p-5, -0x1.f7d25263246d3p-6, -0x1.e87198ea804adp-6, -0x1.d9766935cfc9p-6, -0x1.cadea3e3edbf8p-6, -0x1.bca8319d18c7p-6, -0x1.aed1030e9d827p-6, -0x1.a15710e566b9dp-6, -0x1.94385bc780a6ap-6, -0x1.8772ec4ca1089p-6, -0x1.7b04d2f5be912p-6, -0x1.6eec2823b4d53p-6, -0x1.63270c0d1ce17p-6, -0x1.57b3a6b3498d2p-6, -0x1.4c9027d68249bp-6, -0x1.41bac6e9815b6p-6, -0x1.3731c30442269p-6, -0x1.2cf362d6247d4p-6, -0x1.22fdf49773b51p-6, -0x1.194fcdfa59f7p-6, -0x1.0fe74c1b434dbp-6, -0x1.06c2d370bdd08p-6, -0x1.fbc19f75c8965p-7, -0x1.ea7f67e49a17p-7, -0x1.d9bbf46d23e56p-7, -0x1.c9744778e4fa3p-7, -0x1.b9a57177349fcp-7, -0x1.aa4c90b82270ep-7, -0x1.9b66d146b5e7cp-7, -0x1.8cf16cc29fc71p-7, -0x1.7ee9aa3965d05p-7, -0x1.714cddff12a05p-7, -0x1.641869867d66ep-7, -0x1.5749bb392db18p-7, -0x1.4ade4e4ee95cep-7, -0x1.3ed3aaa4f2722p-7, -0x1.3327649503fe1p-7, -0x1.27d71ccc19da7p-7, -0x1.1ce08021092d1p-7, -0x1.1241476ae443fp-7, -0x1.07f7375752339p-7, -0x1.fc00408193c58p-8, -0x1.e8b3bc097084cp-8, -0x1.d604afb3521bcp-8, -0x1.c3ef004ad2b47p-8, -0x1.b26ea8a669f64p-8, -0x1.a17fb953e1fe4p-8, -0x1.911e5844f32ebp-8, -0x1.8146c07c0ac7bp-8, -0x1.71f541b96b4a5p-8, -0x1.632640287abcfp-8, -0x1.54d6340d6ab9cp-8, -0x1.4701a97350cc9p-8, -0x1.39a53fda977aep-8, -0x1.2cbda9e7e192cp-8, -0x1.2047ad1359907p-8, -0x1.14402158a7a59p-8, -0x1.08a3f0e74a45p-8, -0x1.fae02fa7180dp-9, -0x1.e543479020d2dp-9, -0x1.d06b677000fp-9, -0x1.bc52ef2395d22p-9, -0x1.a8f45fe54e12bp-9, -0x1.964a5bb547131p-9, -0x1.844fa4c306ad1p-9, -0x1.72ff1cd87bf6p-9, -0x1.6253c4c68bc32p-9, -0x1.5248bbd319bcp-9, -0x1.42d93f2885884p-9, -0x1.3400a946a87d3p-9, -0x1.25ba7175a95a8p-9, -0x1.18022b3a0fc8fp-9, -0x1.0ad385ca9d95fp-9, -0x1.fc54970f8a46ap-10, -0x1.e404c2e98319dp-10, -0x1.ccaf8d64caaf5p-10, -0x1.b64d27f6e662dp-10, -0x1.a0d5f645769adp-10, -0x1.8c428d25c14eap-10, -0x1.788bb19fb8438p-10, -0x1.65aa57f458188p-10, -0x1.5397a2a76021cp-10, -0x1.424ce18c883b2p-10, -0x1.31c390d80667dp-10, -0x1.21f55832c753cp-10, -0x1.12dc09d1d05b1p-10, -0x1.0471a1912f84dp-10, -0x1.ed6088243716ep-11, -0x1.d3247bb994154p-11, -0x1.ba24050b625adp-11, -0x1.a25457abb38bcp-11, -0x1.8baaf1edbc658p-11, -0x1.761d9b4408c19p-11, -0x1.61a262a5f72fcp-11, -0x1.4e2f9cfbb551dp-11, -0x1.3bbbe3908f422p-11, -0x1.2a3e128bfda8ap-11, -0x1.19ad47716b0f9p-11, -0x1.0a00dfa5f8b8fp-11, -0x1.f660edfb8de06p-12, -0x1.da67cc9d24ce5p-12, -0x1.c0068411f1379p-12, -0x1.a72db1b05837dp-12, -0x1.8fce648f77c1cp-12, -0x1.79da1ae02c64bp-12, -0x1.6542bf5147cfp-12, -0x1.51faa67f8f60ap-12, -0x1.3ff48c72afa3cp-12, -0x1.2f239225b2edep-12, -0x1.1f7b3b1b43aa4p-12, -0x1.10ef6afe832aep-12, -0x1.0374634d423e2p-12, -0x1.edfd821edf0b3p-13, -0x1.d706f531c6a3fp-13, -0x1.c1efbaad18d92p-13, -0x1.aea3174f63e72p-13, -0x1.9d0cf57fb48fp-13, -0x1.8d19e129f4c6p-13, -0x1.7eb703af2273dp-13, -0x1.71d21feab9076p-13, -0x1.66598e4c9c713p-13, -0x1.5c3c3909ff9e1p-13, -0x1.5369985cb0b12p-13, -0x1.4bd1aed9f9dd5p-13, -0x1.456505dcbd953p-13, -0x1.4014aa00e979bp-13, -0x1.3bd227b52b3ddp-13, -0x1.388f87dca34f3p-13, -0x1.363f4c81cb1dfp-13, -0x1.34d46d9ec612ap-13, -0x1.344255f46c083p-13, -0x1.347cdff3fd302p-13, -0x1.357852bc52277p-13, -0x1.37295f249d37fp-13, -0x1.39851cd78c74p-13, -0x1.3c81078268cf3p-13, -0x1.4012fc10ac77ap-13, -0x1.443135f8c84cap-13, -0x1.48d24c9a5eb4fp-13, -0x1.4ded30a9fe84dp-13, -0x1.537929a930364p-13, -0x1.596dd373288e2p-13, -0x1.5fc31bd2b88b5p-13, -0x1.6671402996c99p-13, -0x1.6d70cb24b7761p-13, -0x1.74ba927fc55d2p-13, -0x1.7c47b4d2707a6p-13, -0x1.8411976e600acp-13, -0x1.8c11e448faa37p-13, -0x1.944287f191b8cp-13, -0x1.9c9daf951ab74p-13, -0x1.a51dc70eb4081p-13, -0x1.adbd77014a8d5p-13, -0x1.b677a2ff584dp-13, -0x1.bf4767be5e1dp-13, -0x1.c82819545c4p-13, -0x1.d115418169fe3p-13, -0x1.da0a9e04782p-13, -0x1.e3041efb41e6p-13, -0x1.ebfde5497f49ap-13, -0x1.f4f4410da69d8p-13, -0x1.fde3b01f410a3p-13, -0x1.03646e4af367ep-12, -0x1.07d04dad2ecd5p-12, -0x1.0c33f56153973p-12, -0x1.108df89ae9874p-12, -0x1.14dcfdebae18bp-12, -0x1.191fbe9f49d58p-12, -0x1.1d55061a736c8p-12, -0x1.217bb13e73b8fp-12, -0x1.2592add0d67fp-12, -0x1.2998f9e78842bp-12, -0x1.2d8da3588ee92p-12, -0x1.316fc72d21b01p-12, -0x1.353e9119852c8p-12, -0x1.38f93af844d2dp-12, -0x1.3c9f0c48a6e8p-12, -0x1.402f59b166d35p-12, -0x1.43a984869be2p-12, -0x1.470cfa53028a1p-12, -0x1.4a59346411bf4p-12, -0x1.4d8db759cdbebp-12, -0x1.50aa12ba81c16p-12, -0x1.53ade087ecc67p-12, -0x1.5698c4d8a006dp-12, -0x1.596a6d7474b09p-12, -0x1.5c22917340be7p-12, -0x1.5ec0f0de70a73p-12, -0x1.6145545538e18p-12, -0x1.63af8cb458bc1p-12, -0x1.65ff72bfa73a3p-12, -0x1.6834e6ce31037p-12, -0x1.6a4fd0797b1e6p-12, -0x1.6c501e4e822cap-12, -0x1.6e35c581ce3bcp-12, -0x1.7000c1a4c9f14p-12, -0x1.71b1145e071dbp-12, -0x1.7346c5243cea4p-12, -0x1.74c1e0fa5ccd1p-12, -0x1.76227a2e3976ep-12, -0x1.7768a819ab033p-12, -0x1.789486e4e4806p-12, -0x1.79a6374b61c04p-12, -0x1.7a9dde61e2054p-12, -0x1.7b7ba55f1e18fp-12, -0x1.7c3fb96623785p-12, -0x1.7cea4b51cbadep-12, -0x1.7d7b8f828b8c4p-12, -0x1.7df3bdade8d96p-12, -0x1.7e5310af19a99p-12, -0x1.7e99c659c99e6p-12, -0x1.7ec81f4d5d3fp-12, -0x1.7ede5ecb007d1p-12, -0x1.7edcca8ca3034p-12, -0x1.7ec3aa9cd77fap-12, -0x1.7e934930bf989p-12, -0x1.7e4bf28340a5ep-12, -0x1.7dedf4b103861p-12, -0x1.7d799f969d0b3p-12, -0x1.7cef44ae7af55p-12, -0x1.7c4f36f15bb1cp-12, -0x1.7b99cab7beb44p-12, -0x1.7acf559bd4b64p-12, -0x1.79f02e5cd34cap-12, -0x1.78fcacc3d1a66p-12, -0x1.77f52988d0889p-12, -0x1.76d9fe39a5128p-12, -0x1.75ab85214f24fp-12, -0x1.746a192ff7529p-12, -0x1.731615e4c5b06p-12, -0x1.71afd7381c2e4p-12, -0x1.7037b98666e76p-12, -0x1.6eae197c3b112p-12, -0x1.6d1354032fe96p-12, -0x1.6b67c62f39591p-12, -0x1.69abcd2d3ebd7p-12, -0x1.67dfc631f219p-12, -0x1.66040e696ec5dp-12, -0x1.641902e83dbe6p-12, -0x1.621f009c27e9p-12, -0x1.6016643e0e7f5p-12, -0x1.5dff8a44875d5p-12, -0x1.5bdaced6e1cd1p-12, -0x1.59a88dc0e3f73p-12, -0x1.57692267249acp-12, -0x1.551ce7bb9bb5fp-12, -0x1.52c438331cebep-12, -0x1.505f6dbb85285p-12, -0x1.4deee1b1e4a9ap-12, -0x1.4b72ecd96cf22p-12, -0x1.48ebe752ee64p-12, -0x1.465a2894a353ap-12, -0x1.43be076281c1dp-12, -0x1.4117d9c7230e9p-12, -0x1.3e67f50c864aep-12, -0x1.3baeadb5d5f23p-12, -0x1.38ec577962556p-12, -0x1.3621453b09761p-12, -0x1.334dc906aa96bp-12, -0x1.3072340b56f22p-12, -0x1.2d8ed696adaefp-12, -0x1.2aa4001066a8ep-12, -0x1.27b1fef6b7a78p-12, -0x1.24b920da5a8dbp-12, -0x1.21b9b25b177e4p-12, -0x1.1eb3ff24c07dap-12, -0x1.1ba851ec951c7p-12, -0x1.1896f46e750b3p-12, -0x1.15802f6a8c46ap-12, -0x1.12644aa36919ep-12, -0x1.0f438cdc05114p-12, -0x1.0c1e3bd60fad6p-12, -0x1.08f49c50e5203p-12, -0x1.05c6f2080188cp-12, -0x1.02957fb212421p-12, -0x1.fec10e0054a68p-13, -0x1.f850913aca6bfp-13, -0x1.f1da085c3f8edp-13, -0x1.eb5df09fa400bp-13, -0x1.e4dcc53201178p-13, -0x1.de56ff328aab2p-13, -0x1.d7cd15b2bf81fp-13, -0x1.d13f7db77dd65p-13, -0x1.caaeaa39c6cbap-13, -0x1.c41b0c27bf228p-13, -0x1.bd8512664ada2p-13, -0x1.b6ed29d2ef128p-13, -0x1.b053bd45a3b8ep-13, -0x1.a9b93592af1bfp-13, -0x1.a31df98d535edp-13, -0x1.9c826e0a3cde8p-13, -0x1.95e6f5e23171dp-13, -0x1.8f4bf1f4e57dep-13, -0x1.88b1c12c6dc3ep-13, -0x1.8218c07fea203p-13, -0x1.7b814af72aafcp-13, -0x1.74ebb9ae373bdp-13, -0x1.6e5863d92e04fp-13, -0x1.67c79ec79d3f5p-13, -0x1.6139bde8ae6ccp-13, -0x1.5aaf12cf0a8f7p-13, -0x1.5427ed351052fp-13, -0x1.4da49b010a35ep-13, -0x1.472568496e9b9p-13, -0x1.40aa9f5970ee8p-13, -0x1.3a3488b527937p-13, -0x1.33c36b1e48477p-13, -0x1.2d578b98d7e2ap-13, -0x1.26f12d6fefb83p-13, -0x1.2090923a3cb53p-13, -0x1.1a35f9dee614ap-13, -0x1.13e1a29a66907p-13, -0x1.0d93c90371484p-13, -0x1.074ca80ff8e28p-13, -0x1.010c7919fb3abp-13, -0x1.f5a6e7c974195p-14, -0x1.e9439d4309ab3p-14, -0x1.dcef7be9a5beep-14, -0x1.d0aae9f702a6ep-14, -0x1.c4764a9fa47fap-14, -0x1.b851fe1cfd0fap-14, -0x1.ac3e61b7aaacfp-14, -0x1.a03bcfd1be28ep-14, -0x1.944a9ff0de826p-14, -0x1.886b26c8ea26dp-14, -0x1.7c9db6459fc88p-14, -0x1.70e29d958cb9cp-14, -0x1.653a2933b95d6p-14, -0x1.59a4a2f20311ep-14, -0x1.4e2252036193p-14, -0x1.42b37b063b4f1p-14, -0x1.3758600e2c24cp-14, -0x1.2c1140ae64b54p-14, -0x1.20de5a039eb5bp-14, -0x1.15bfe6be222f2p-14, -0x1.0ab61f2badebfp-14, -0x1.ff82728351b4ap-15, -0x1.e9c2d14d65daap-15, -0x1.d42dbd794d848p-15, -0x1.bec395547ca48p-15, -0x1.a984b2c9a5aecp-15, -0x1.94716b7411094p-15, -0x1.7f8a10b2d3b29p-15, -0x1.6aceefbba7837p-15, -0x1.564051ada6f9bp-15, -0x1.41de7ba48212p-15, -0x1.2da9aeca9cfcfp-15, -0x1.19a2286b96976p-15, -0x1.05c82206f231fp-15, -0x1.e437a2c338244p-16, -0x1.bd3ad130b3e1p-16, -0x1.969a2c6310cd6p-16, -0x1.70560a5c54b13p-16, -0x1.4a6eba384334cp-16, -0x1.24e4844e9533p-16, -0x1.ff6f54a9bbccdp-17, -0x1.b5d0cf00cbff3p-17, -0x1.6cede14fe7fe8p-17, -0x1.24c6e8ca68976p-17, -0x1.bab86cd3b2078p-18, -0x1.2d5c1e614ec2p-18, -0x1.42f2b1a4a209bp-19, -0x1.71077cb47296p-22, 0x1.c778fe06aef9ap-20, 0x1.f2a53bb326b9cp-19, 0x1.7f4c897e390bp-18, 0x1.01e5fed8b6fcfp-17, 0x1.43688520c6a34p-17, 0x1.842de987e54c6p-17, 0x1.c43647cfe194ep-17, 0x1.01c0e2a78feb5p-16, 0x1.2108485d07593p-16, 0x1.3ff170f5020b2p-16, 0x1.5e7c7cd2d7fa9p-16, 0x1.7ca990b506e7bp-16, 0x1.9a78d59ab72b9p-16, 0x1.b7ea78a8939a5p-16, 0x1.d4feab0ec6abbp-16, 0x1.f1b5a1ef20b6p-16, 0x1.0707cb21955a2p-15, 0x1.15066261b887cp-15, 0x1.22d6b6e7047b9p-15, 0x1.3078eaa783d24p-15, 0x1.3ded2153a6708p-15, 0x1.4b33804ac700bp-15, 0x1.584c2e8f537c4p-15, 0x1.653754bb39715p-15, 0x1.71f51cf47bb6cp-15, 0x1.7e85b2e22fe3ep-15, 0x1.8ae943a179fb1p-15, 0x1.971ffdba4fdf6p-15, 0x1.a32a111566c02p-15, 0x1.af07aef116434p-15, 0x1.bab909d78a653p-15, 0x1.c63e55942d628p-15, 0x1.d197c729cd57ep-15, 0x1.dcc594c8bea3bp-15, 0x1.e7c7f5c533f64p-15, 0x1.f29f228d920fdp-15, 0x1.fd4b54a14d7b7p-15, 0x1.03e66343c5e17p-14, 0x1.0911d9e2ed7cap-14, 0x1.0e282c6be2299p-14, 0x1.13297992ef6c4p-14, 0x1.1815e07e68c16p-14, 0x1.1ced80c2aeb9fp-14, 0x1.21b07a5de9af8p-14, 0x1.265eedb40c59fp-14, 0x1.2af8fb8ab8d97p-14, 0x1.2f7ec5054ed39p-14, 0x1.33f06ba127addp-14, 0x1.384e1131ba48fp-14, 0x1.3c97d7dcdad5ap-14, 0x1.40cde2172899bp-14, 0x1.44f052a07bb4ep-14, 0x1.48ff4c801b984p-14, 0x1.4cfaf301aeaccp-14, 0x1.50e369b1aa142p-14, 0x1.54b8d459e6287p-14, 0x1.587b56fe68d95p-14, 0x1.5c2b15da499dbp-14, 0x1.5fc8355c8b7c9p-14, 0x1.6352da25029dfp-14, 0x1.66cb290142af4p-14, 0x1.6a3146e9badb1p-14, 0x1.6d8558fed5e5dp-14, 0x1.70c784861a1c7p-14, 0x1.73f7eee75f0ecp-14, 0x1.7716bdaa37886p-14, 0x1.7a2416732b6f9p-14, 0x1.7d201f00efa9cp-14, 0x1.800afd2a4897fp-14, 0x1.82e4d6db45955p-14, 0x1.85add212bf78ep-14, 0x1.886614e005919p-14, 0x1.8b0dc5609629fp-14, 0x1.8da509bde17ep-14, 0x1.902c082af8289p-14, 0x1.92a2e6e24ca87p-14, 0x1.9509cc239b72ap-14, 0x1.9760de31e9b7ap-14, 0x1.99a8435167e01p-14, 0x1.9be021c56a8ddp-14, 0x1.9e089fce901c9p-14, 0x1.a021e3a8e7c0dp-14, 0x1.a22c1389b78e2p-14, 0x1.a427559e27fe6p-14, 0x1.a613d0095e46ap-14, 0x1.a7f1a8e28842bp-14, 0x1.a9c106334bd15p-14, 0x1.ab820df628513p-14, 0x1.ad34e6150722bp-14, 0x1.aed9b46773e42p-14, 0x1.b0709eb12ec08p-14, 0x1.b1f9caa09e515p-14, 0x1.b3755dcd6921fp-14, 0x1.b4e37db72303ep-14, 0x1.b6444fc3cf276p-14, 0x1.b797f93e9a0b5p-14, 0x1.b8de9f56a00a6p-14, 0x1.ba18671da57e2p-14, 0x1.bb45758683395p-14, 0x1.bc65ef64a4d3ap-14, 0x1.bd79f96a6a553p-14, 0x1.be81b8280f2fdp-14, 0x1.bf7d500a9fa28p-14, 0x1.c06ce55ada4b6p-14, 0x1.c1509c3c889f1p-14, 0x1.c22898ad11377p-14, 0x1.c2f4fe82a6dc2p-14, 0x1.c3b5f16b63ba1p-14, 0x1.c46b94ec4efdp-14, 0x1.c5160c608bd82p-14, 0x1.c5b57af881598p-14, 0x1.c64a03b900712p-14, 0x1.c6d3c97a95333p-14, 0x1.c752eee8ab119p-14, 0x1.c7c79680abadep-14, 0x1.c831e291798b1p-14, 0x1.c891f53b095e8p-14, 0x1.c8e7f06d14ccp-14, 0x1.c933f5e6e627fp-14, 0x1.c9762736804afp-14, 0x1.c9aea5b842b25p-14, 0x1.c9dd92966b665p-14, 0x1.ca030ec83b335p-14, 0x1.ca1f3b119d65p-14, 0x1.ca323802a0aa4p-14, 0x1.ca3c25f6fc95fp-14, 0x1.ca3d2515a588ep-14, 0x1.ca3555505ece4p-14, 0x1.ca24d663491e5p-14, 0x1.ca0bc7d49527dp-14, 0x1.c9ea48f40adep-14, 0x1.c9c078da85f73p-14, 0x1.c98e7669f41f8p-14, 0x1.c954604d15ec3p-14, 0x1.c91254f6bfe76p-14, 0x1.c8c872a1c6bfcp-14, 0x1.c876d750d40cp-14, 0x1.c81da0ce05042p-14, 0x1.c7bcecab0753bp-14, 0x1.c754d8407a937p-14, 0x1.c6e580adce0edp-14, 0x1.c66f02d942913p-14, 0x1.c5f17b6f97883p-14, 0x1.c56d06e3e52efp-14, 0x1.c4e1c16f9c8e7p-14, 0x1.c44fc71244d5ep-14, 0x1.c3b7339177c09p-14, 0x1.c3182278ddfbbp-14, 0x1.c272af19c4ddp-14, 0x1.c1c6f48b29323p-14, 0x1.c1150daa28be5p-14, 0x1.c05d151975b6dp-14, 0x1.bf9f254144bf8p-14, 0x1.bedb584f7827p-14, 0x1.be11c8378fafep-14, 0x1.bd428eb2c8fe1p-14, 0x1.bc6dc54026cb2p-14, 0x1.bb93852442101p-14, 0x1.bab3e769650b1p-14, 0x1.b9cf04dfa811bp-14, 0x1.b8e4f61cfe2d8p-14, 0x1.b7f5d37d3a836p-14, 0x1.b701b52230c0ap-14, 0x1.b608b2f3c8ebbp-14, 0x1.b50ae4a015027p-14, 0x1.b408619b8e398p-14, 0x1.b3014120f82a1p-14, 0x1.b1f59a3140645p-14, 0x1.b0e583948e747p-14, 0x1.afd113d998bf1p-14, 0x1.aeb86155fe941p-14, 0x1.ad9b82265865p-14, 0x1.ac7a8c2e88d5bp-14, 0x1.ab559519dd291p-14, 0x1.aa2cb25b5e522p-14, 0x1.a8fff92dcd593p-14, 0x1.a7cf7e93c930dp-14, 0x1.a69b57581fc61p-14, 0x1.a563980dfcd73p-14, 0x1.a42855111a96dp-14, 0x1.a2e9a285fcc2cp-14, 0x1.a1a7945a239e9p-14, 0x1.a0623e444f53bp-14, 0x1.9f19b3c4a8d59p-14, 0x1.9dce0825380ecp-14, 0x1.9c7f4e79bfabp-14, 0x1.9b2d999fec786p-14, 0x1.99d8fc407235ap-14, 0x1.988188ce72734p-14, 0x1.97275187e341dp-14, 0x1.95ca6875f1318p-14, 0x1.946adf6d43c6dp-14, 0x1.9308c80e371fcp-14, 0x1.91a433c564806p-14, 0x1.903d33cb8a5d6p-14, 0x1.8ed3d925f4a99p-14, 0x1.8d6834a6c823p-14, 0x1.8bfa56ed59b17p-14, 0x1.8a8a506661334p-14, 0x1.8918314c6422dp-14, 0x1.87a409a7dd381p-14, 0x1.862de94faad64p-14, 0x1.84b5dfe94bc12p-14, 0x1.833bfce92b7ecp-14, 0x1.81c04f931a511p-14, 0x1.8042e6fa1babep-14, 0x1.7ec3d2012b48dp-14, 0x1.7d431f5bd531bp-14, 0x1.7bc0dd8dd308dp-14, 0x1.7a3d1aebab76p-14, 0x1.78b7e59b0cf1dp-14, 0x1.77314b93120bbp-14, 0x1.75a95a9ca226bp-14, 0x1.74202052f1328p-14, 0x1.7295aa23686e3p-14, 0x1.710a054e4464ap-14, 0x1.6f7d3ee6c5342p-14, 0x1.6def63d3a0c44p-14, 0x1.6c6080cf439ffp-14, 0x1.6ad0a2682cd53p-14, 0x1.693fd5014410cp-14, 0x1.67ae24d22caa5p-14, 0x1.661b9de79a4f1p-14, 0x1.64884c239f026p-14, 0x1.62f43b3e309acp-14, 0x1.615f76c51d67ep-14, 0x1.5fca0a1c72b3bp-14, 0x1.5e34007f7a667p-14, 0x1.5c9d650052e77p-14, 0x1.5b0642886ea7dp-14, 0x1.596ea3d90400cp-14, 0x1.57d6938b5efdp-14, 0x1.563e1c111c9cfp-14, 0x1.54a547b4d5f9dp-14, 0x1.530c209a24988p-14, 0x1.5172b0bdf5756p-14, 0x1.4fd901f703dfep-14, 0x1.4e3f1df61744dp-14, 0x1.4ca50e4664756p-14, 0x1.4b0adc4deac97p-14, 0x1.4970914dad0cap-14, 0x1.47d63662263ap-14, 0x1.463bd483929fap-14, 0x1.44a174863a448p-14, 0x1.43071f1ace67ap-14, 0x1.416cdcced33e3p-14, 0x1.3fd2b60cc1197p-14, 0x1.3e38b31c473bdp-14, 0x1.3c9edc2332f8ep-14, 0x1.3b053925349f4p-14, 0x1.396bd20447c5cp-14, 0x1.37d2ae81212f4p-14, 0x1.3639d63b73c92p-14, 0x1.34a150b239727p-14, 0x1.3309254440c21p-14, 0x1.31715b304ee48p-14, 0x1.2fd9f9955b0eap-14, 0x1.2e430773016c1p-14, 0x1.2cac8ba9c7378p-14, 0x1.2b168cfb71049p-14, 0x1.2981120b5488ep-14, 0x1.27ec215ea278p-14, 0x1.2657c15cb9ebbp-14, 0x1.24c3f84f77a71p-14, 0x1.2330cc638a937p-14, 0x1.219e43a8b4f6dp-14, 0x1.200c64121bb73p-14, 0x1.1e7b3376aea82p-14, 0x1.1ceab7914da72p-14, 0x1.1b5af600ffbafp-14, 0x1.19cbf449b7cb8p-14, 0x1.183db7d43124fp-14, 0x1.16b045ee553f6p-14, 0x1.1523a3cb86819p-14, 0x1.1397d684f5a43p-14, 0x1.120ce319dc9a5p-14, 0x1.1082ce6fec181p-14, 0x1.0ef99d537fffp-14, 0x1.0d715477d4deap-14, 0x1.0be9f877690d3p-14, 0x1.0a638dd43229p-14, 0x1.08de18f7f8c92p-14, 0x1.07599e3497b91p-14, 0x1.05d621c43c1a1p-14, 0x1.0453a7c9b44a2p-14, 0x1.02d23450b7c51p-14, 0x1.0151cb4e26bb8p-14, 0x1.ffa4e140a275bp-15, 0x1.fca8501e7a263p-15, 0x1.f9adea99bbb99p-15, 0x1.f6b5b7eb0109fp-15, 0x1.f3bfbf1f98c39p-15, 0x1.f0cc071a52adbp-15, 0x1.edda969450457p-15, 0x1.eaeb741d252b7p-15, 0x1.e7fea61b6adbp-15, 0x1.e51432cd3b2a3p-15, 0x1.e22c2048be3d6p-15, 0x1.df46747cb70acp-15, 0x1.dc63353101d03p-15, 0x1.d982680717388p-15, 0x1.d6a4127a6a641p-15, 0x1.d3c839e0ef4c8p-15, 0x1.d0eee36b9ea1dp-15, 0x1.ce181426e7483p-15, 0x1.cb43d0fb3a22bp-15, 0x1.c8721ead65f2bp-15, 0x1.c5a301df2322ep-15, 0x1.c2d67f0f81aa3p-15, 0x1.c00c9a9b6276cp-15, 0x1.bd4558bdfc602p-15, 0x1.ba80bd912ea8dp-15, 0x1.b7becd0debffap-15, 0x1.b4ff8b0ce93d3p-15, 0x1.b242fb46d5f44p-15, 0x1.af892154c7178p-15, 0x1.acd200b0c2c39p-15, 0x1.aa1d9cb641f3bp-15, 0x1.a76bf8a27833ep-15, 0x1.a4bd1794b711ap-15, 0x1.a210fc8ef140fp-15, 0x1.9f67aa760e8ecp-15, 0x1.9cc12412774f5p-15, 0x1.9a1d6c105d259p-15, 0x1.977c85003dcbfp-15, 0x1.94de71572c37ap-15, 0x1.9243336f37477p-15, 0x1.8faacd87ec8c7p-15, 0x1.8d1541c696faep-15, 0x1.8a829236ba21bp-15, 0x1.87f2c0ca5cbf4p-15, 0x1.8565cf5a8340ep-15, 0x1.82dbbfa7874f4p-15, 0x1.8054935962632p-15, 0x1.7dd04c002844ap-15, 0x1.7b4eeb145b5a1p-15, 0x1.78d071f733fe1p-15, 0x1.7654e1f3153b8p-15, 0x1.73dc3c3bdb582p-15, 0x1.716681ef294b3p-15, 0x1.6ef3b414db4f9p-15, 0x1.6c83d39f4d253p-15, 0x1.6a16e16bc3fe2p-15, 0x1.67acde42a6b2cp-15, 0x1.6545cad7d26ccp-15, 0x1.62e1a7cb04f01p-15, 0x1.608075a830e9ap-15, 0x1.5e2234e7bf81ep-15, 0x1.5bc6e5eedffc5p-15, 0x1.596e890ff3cddp-15, 0x1.57191e8abaed3p-15, 0x1.54c6a68cb2389p-15, 0x1.5277213162b89p-15, 0x1.502a8e82ae024p-15, 0x1.4de0ee791c657p-15, 0x1.4b9a40fc21616p-15, 0x1.495685e266f17p-15, 0x1.4715bcf21821ap-15, 0x1.44d7e5e13615ap-15, 0x1.429d0055dc20fp-15, 0x1.40650be6762e6p-15, 0x1.3e30081a0c0ccp-15, 0x1.3bfdf468978acp-15, 0x1.39ced03b471e4p-15, 0x1.37a29aeca5e2p-15, 0x1.357953c90b469p-15, 0x1.3352fa0eba0ep-15, 0x1.312f8cee31004p-15, 0x1.2f0f0b8a637c1p-15, 0x1.2cf174f9023ep-15, 0x1.2ad6c842c598dp-15, 0x1.28bf046391d8bp-15, 0x1.26aa284acf2c8p-15, 0x1.249832db8b83fp-15, 0x1.228922ecd21bfp-15, 0x1.207cf749dea82p-15, 0x1.1e73aeb250d83p-15, 0x1.1c6d47da69979p-15, 0x1.1a69c16b4ec95p-15, 0x1.18691a033e71ap-15, 0x1.166b5035c746p-15, 0x1.1470628bf7e07p-15, 0x1.12784f849e844p-15, 0x1.108315948716bp-15, 0x1.0e90b326a5a26p-15, 0x1.0ca1269c4d76fp-15, 0x1.0ab46e4d66d82p-15, 0x1.08ca88889c62dp-15, 0x1.06e37393a0f2ep-15, 0x1.04ff2dab56e85p-15, 0x1.031db503ef235p-15, }}, 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
      std::vector<double>(949, 0.0), 
    }}, 
    {
      31, 0x1.999999999999ap+1, 0x1.faab025f3e6d2p+1, 0x1.d53736251ad5ap+1, -0x1.038cc4b68941bp-6, 
      {{
        {0x1.a666666666666p+0, 0x1.b333333333333p+0, 0x1.50c9cc6a86fd1p-5, -0x1.cdb4538a741cep-3, 0x1.c8e56c6d53129p-2, -0x1.d7af2660d883dp-3}, 
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.fab2eea89af53p-6, -0x1.75dce01031ecp-3, 0x1.a585165942d56p-2, -0x1.26bf5ad40ea55p-2}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.756cd5bedfa6p-6, -0x1.25fae35b1fa79p-3, 0x1.794ec8b973d63p-2, -0x1.569693e60c89cp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.0e3d81832c963p-6, -0x1.bf508a3816784p-4, 0x1.45eb65bd585bp-2, -0x1.918d304c7a28bp-2}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.8205a38e1d6bdp-7, -0x1.48fe4beea4df4p-4, 0x1.09afd1b1dfa1bp-2, -0x1.9138482ab8f71p-2}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.121322fb2e291p-7, -0x1.d582acc2314cap-5, 0x1.9b01f423baf9cp-3, -0x1.56624f3c62fbdp-2}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.867ca31dbf37p-8, -0x1.45a6830e90499p-5, 0x1.344adc5e6a147p-3, -0x1.244c5e6facc24p-2}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.1a8d3bfbc3e66p-8, -0x1.b7be23b60966bp-6, 0x1.b934b3469fb41p-4, -0x1.dfb1b041effcep-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.a4aa4b9b431f1p-9, -0x1.240ac2bc76a4p-6, 0x1.294c31993e1c2p-4, -0x1.78373f713c4abp-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.449f5b48cc5fbp-9, -0x1.876450ed3376fp-7, 0x1.70dda38824d6ep-5, -0x1.0fc58a71ac8cfp-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.02ecb0c9ed2eep-9, -0x1.147549164dea9p-7, 0x1.9b9b0754add2cp-6, -0x1.538894c1b26f5p-4}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.a5038b20398ep-10, -0x1.ad04a117bda25p-8, 0x1.9fc55c275250cp-7, -0x1.d7c3d61f77594p-6}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.56950569000b9p-10, -0x1.68044ff7386e9p-8, 0x1.123dcf1de1b68p-7, -0x1.ad1ff93478e86p-9}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.13f4cf93b97ffp-10, -0x1.32c71c46e180ep-8, 0x1.022635c583944p-7, -0x1.9ec7fe12bab4cp-8}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.b71cd7883a084p-11, -0x1.02423f968efcbp-8, 0x1.c614d23b6b26ap-8, -0x1.4e77bd20829c1p-8}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.588e6a4ded58ep-11, -0x1.aeb7e37c99dd3p-9, 0x1.93e942a9bdf5dp-8, -0x1.49529802dad2ep-8}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0a295b2c1c64ap-11, -0x1.62e03c4637272p-9, 0x1.628345761d22bp-8, -0x1.300945fda75ap-8}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.93f1f6609be0ap-12, -0x1.2088ae26e0a31p-9, 0x1.34e847c344089p-8, -0x1.1c258bc214572p-8}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.2c51d1840018cp-12, -0x1.ce077eabdefe3p-10, 0x1.0a490c6627621p-8, -0x1.06cf9f47896d9p-8}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.b4143e8aa060bp-13, -0x1.6b66439c32148p-10, 0x1.c5ba35d072561p-9, -0x1.e3b9c7fe7de04p-9}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.33e6a3b6cb099p-13, -0x1.17e8edc46757ap-10, 0x1.7d2b249d790e4p-9, -0x1.b99f2c59d5df1p-9}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a499d8c42031bp-14, -0x1.a499db04d550cp-11, 0x1.3aecddf665c6p-9, -0x1.8f92c2a0f3448p-9}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.13f4cf93b9767p-14, -0x1.329e3b45d2a02p-11, 0x1.fdfa81894f5e7p-10, -0x1.6582b64d1499cp-9}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.588e6a4ded48cp-15, -0x1.aeb205fd2fb3dp-12, 0x1.92b9b13efc63fp-10, -0x1.3b73027964058p-9}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.93f1f6609bb2p-16, -0x1.20883f3d32066p-12, 0x1.34173080f7fb1p-10, -0x1.11658f3fe3f41p-9}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.b4143e8aa00e2p-17, -0x1.6b664a251f6c1p-13, 0x1.c424a4a867316p-11, -0x1.ce9d823b1a45bp-10}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.a499d8c41facp-18, -0x1.a49934abe5325p-14, 0x1.395bca6378e88p-11, -0x1.7ab63c08b2611p-10}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.588e6a4debaffp-19, -0x1.aeb6cd8785acep-15, 0x1.8f7d70c1b9fe1p-12, -0x1.25c8535eb0334p-10}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.b4143e8a9bp-21, -0x1.6b427f4e36584p-16, 0x1.be70e3dea08cep-13, -0x1.a95d3d0250616p-11}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.588e6a4dd6001p-23, -0x1.b0c70cb01a87ap-18, 0x1.7e71e4edad6e8p-14, -0x1.d52af3a4143a1p-12}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.588e6a4c9fffep-27, -0x1.7087a50a61864p-21, 0x1.93c6e49352p-16, -0x1.39f0da866e7bbp-11}, 
      }}, 
      0x1.2768c1757cad2p-7, -0x1.c7505bedf2e6fp-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.4260344e60682p-4, -0x1.13083a6addfc5p-4, -0x1.931f2aee439b9p-5, -0x1.afbdf028c04ccp-6, -0x1.48f75d0ad1af7p-14, 0x1.cdffbe0586681p-6, 0x1.d4db131a26bafp-5, 0x1.602bf9f65ea13p-4, 0x1.d144d986588a8p-4, 0x1.1d85cb1e61489p-3, 0x1.4dc5514423995p-3, 0x1.78b65c0f45199p-3, 0x1.9df27e3a9c698p-3, 0x1.bd4be1ad173d7p-3, 0x1.d6c283686b1ep-3, 0x1.ea7a802ee67ecp-3, 0x1.f8b39cf09879p-3, 0x1.00e0fedc091c2p-2, 0x1.0303fede96ac6p-2, 0x1.02f885e66d9e3p-2, 0x1.00f6b968e54eep-2, 0x1.fa6ef3294cf3fp-3, 0x1.efe617258d3eap-3, 0x1.e2c0252e398aap-3, 0x1.d36597fff4dffp-3, 0x1.c239083a4b519p-3, 0x1.af96706731c1dp-3, 0x1.9bd2bd3be0becp-3, 0x1.873b9919d44fap-3, 0x1.721766cf9b16bp-3, 0x1.5ca5603046f04p-3, 0x1.471dcfe262825p-3, 0x1.31b25e7cd32dep-3, 0x1.1c8e6d0aff3d1p-3, 0x1.07d7783b1e538p-3, 0x1.e75b009326459p-4, 0x1.c056e576e9b51p-4, 0x1.9acf274cf52d6p-4, 0x1.76e7c9f18417bp-4, 0x1.54bd14e32de3ap-4, 0x1.3464534d04b31p-4, 0x1.15ec8b05bc2f5p-4, 0x1.f2be54065703fp-5, 0x1.bd8153cf2e7c3p-5, 0x1.8c2252ce31aa7p-5, 0x1.5e99f6ad19f33p-5, 0x1.34da5694ed65p-5, 0x1.0ecfefa6277dp-5, 0x1.d8c509241eb8dp-6, 0x1.9aebd8736fb5p-6, 0x1.63d58b40e7b6cp-6, 0x1.333e4a6de2452p-6, 0x1.08de4fabe855dp-6, 0x1.c8d5e39012276p-7, 0x1.8b2f2aa71f13cp-7, 0x1.582d04aef66b3p-7, 0x1.2f33387981a24p-7, 0x1.0fa5f0e660c59p-7, 0x1.f1d5cfc8deb17p-8, 0x1.d4d49bbeea25ap-8, 0x1.c71f0da7cf4dp-8, 0x1.c7939eac06ae1p-8, 0x1.d5198888fcd94p-8, 0x1.eea188d65a011p-8, 0x1.09933ed8f0bbap-7, 0x1.20d6efb8d4fe9p-7, 0x1.3ca404510b2cp-7, 0x1.5c88319951ffbp-7, 0x1.8016bd4b3738ep-7, 0x1.a6e8755a26a4p-7, 0x1.d09ba0b9d8d2bp-7, 0x1.fcd3e38a77e99p-7, 0x1.159d11f89fa27p-6, 0x1.2dbe316051872p-6, 0x1.46a6cb196958p-6, 0x1.6032c0247b61bp-6, 0x1.7a403fd313d3fp-6, 0x1.94afb18d3e61ep-6, 0x1.af639ac6f9feep-6, 0x1.ca4086ff49094p-6, 0x1.e52cef2c6dfeep-6, 0x1.0008910acf2bdp-5, 0x1.0d6b9671e70b5p-5, 0x1.1ab5631d5ca13p-5, 0x1.27dc9c063dcb4p-5, 0x1.34d8a5d49b012p-5, 0x1.41a19ae66b869p-5, 0x1.4e30419a0511cp-5, 0x1.5a7e0309d4117p-5, 0x1.6684e1b994b48p-5, 0x1.723f7166f9961p-5, 0x1.7da8ce4c63ddap-5, 0x1.88bc9587fef4ep-5, 0x1.9376dd9aea8f3p-5, 0x1.9dd42f630430fp-5, 0x1.a7d17f6b6f53fp-5, 0x1.b16c279c6685bp-5, 0x1.baa1e13ff6d5p-5, 0x1.c370bf1d457dp-5, 0x1.cbd7285552d2ap-5, 0x1.d3d3d2e088479p-5, 0x1.db65bec42a0f9p-5, 0x1.e28c3154ec0bap-5, 0x1.e946b0bd034a7p-5, 0x1.ef94ffc45dc5fp-5, 0x1.f57719ca55e88p-5, 0x1.faed2f015dde3p-5, 0x1.fff7a0dbadfebp-5, 0x1.024b7f4ce4fb3p-4, 0x1.04660114e28d3p-4, 0x1.064bc68ba6d92p-4, 0x1.07fd52cddc1d9p-4, 0x1.097b39f3f5678p-4, 0x1.0ac61fc57b68dp-4, 0x1.0bdeb6719ece5p-4, 0x1.0cc5bd664b676p-4, 0x1.0d7c00247b164p-4, 0x1.0e02553093f2cp-4, 0x1.0e599d042e898p-4, 0x1.0e82c109d78bbp-4, 0x1.0e7eb2bcfb8fcp-4, 0x1.0e4e6aa8c0eeap-4, 0x1.0df2e79760c8cp-4, 0x1.0d6d2dd00167fp-4, 0x1.0cbe462cb00e7p-4, 0x1.0be73d7792702p-4, 0x1.0ae923b60133bp-4, 0x1.09c50b6990abcp-4, 0x1.087c090d28c78p-4, 0x1.070f326d8f074p-4, 0x1.057f9e0eaebbbp-4, 0x1.03ce62caf440dp-4, 0x1.01fc9738da609p-4, 0x1.000b5128998ecp-4, 0x1.fbf74acbd447fp-5, 0x1.f79d4e672bde8p-5, 0x1.f30acfa66192p-5, 0x1.ee41ecc419d24p-5, 0x1.e944bee87917dp-5, 0x1.e415594e8fb84p-5, 0x1.deb5c909bab5dp-5, 0x1.d928149d28f04p-5, 0x1.d36e3b190aba6p-5, 0x1.cd8a33f94c6aep-5, 0x1.c77def013e8ebp-5, 0x1.c14b537ce28a1p-5, 0x1.baf43fdc023abp-5, 0x1.b47a8a205e933p-5, 0x1.addfff335f21cp-5, 0x1.a7266252993b9p-5, 0x1.a04f6d4f09263p-5, 0x1.995cd0d2142abp-5, 0x1.925033ab7f198p-5, 0x1.8b2b32620dee8p-5, 0x1.83ef5fd891149p-5, 0x1.7c9e457f6f40bp-5, 0x1.7539628a82077p-5, 0x1.6dc22bd6a355ap-5, 0x1.663a0cb361521p-5, 0x1.5ea266f460d5cp-5, 0x1.56fc923906bc6p-5, 0x1.4f49dc078a821p-5, 0x1.478b88b61e70ep-5, 0x1.3fc2d36f88e55p-5, 0x1.37f0ed65ff0ebp-5, 0x1.3016fdf9ddc76p-5, 0x1.283623df1cca4p-5, 0x1.204f755bb51b3p-5, 0x1.1863ff49de5cep-5, 0x1.1074c4daf48bep-5, 0x1.0882c0da609f6p-5, 0x1.008ee69d652c1p-5, 0x1.f134427d6dbc7p-6, 0x1.e14aa5407a839p-6, 0x1.d162a8359a4bp-6, 0x1.c17df024de2a5p-6, 0x1.b19e14770f8cep-6, 0x1.a1c49cdb71cbp-6, 0x1.91f300328cb1ap-6, 0x1.822aa6e84e0ecp-6, 0x1.726cedb3c8749p-6, 0x1.62bb2546d4cfbp-6, 0x1.531690085907ap-6, 0x1.438061adb3c98p-6, 0x1.33f9c1af7be2bp-6, 0x1.2483cd809a028p-6, 0x1.151f9804b8b08p-6, 0x1.05ce27914148bp-6, 0x1.ed20eb88f6e54p-7, 0x1.cecee34478e63p-7, 0x1.b0a80328ecb99p-7, 0x1.92ae0615831ebp-7, 0x1.74e2918a296c3p-7, 0x1.574734bd4ab9cp-7, 0x1.39dd6c01ce138p-7, 0x1.1ca6a4b4ae6cap-7, 0x1.ff487b29c3afep-8, 0x1.c5af07f7aa9adp-8, 0x1.8c8363f051e6ep-8, 0x1.53c7e03e1a466p-8, 0x1.1b7eb2af979e6p-8, 0x1.c753f2d6bb0b2p-9, 0x1.58977023fbc86p-9, 0x1.d5974b0429243p-10, 0x1.f7d06b46d7fb2p-11, 0x1.21421e992067ap-13, -0x1.634476d002497p-11, -0x1.857148c4b56eap-10, -0x1.2b9fa12c22dap-9, -0x1.9383793d44143p-9, -0x1.fa61c70822447p-9, -0x1.301c28825afb5p-8, -0x1.62828068f22bap-8, -0x1.9462f0e3b5e65p-8, -0x1.c5bc93743ef9p-8, -0x1.f68e98055ba4fp-8, -0x1.136c22a6ba445p-7, -0x1.2b4c7a7f1b394p-7, -0x1.42e808186897bp-7, -0x1.5a3e87229ecfdp-7, -0x1.714fbb44dcbe8p-7, -0x1.881b715c123ebp-7, -0x1.9ea17fde54e43p-7, -0x1.b4e1c5db0c7f3p-7, -0x1.cadc296999b54p-7, -0x1.e09096be1b3f5p-7, -0x1.f5ff0051154f1p-7, -0x1.0593afdac7ff5p-6, -0x1.1004db2736c9ap-6, -0x1.1a530690afef2p-6, -0x1.247e39e579b06p-6, -0x1.2e867fb1e7986p-6, -0x1.386be5032d384p-6, -0x1.422e798309785p-6, -0x1.4bce4fc1cce5ep-6, -0x1.554b7d69c20fcp-6, -0x1.5ea61b1f43b6fp-6, -0x1.67de4417e35a2p-6, -0x1.70f415b2e23afp-6, -0x1.79e7af48bd77ep-6, -0x1.82b9323469bc2p-6, -0x1.8b68c1fed5363p-6, -0x1.93f684847bb4bp-6, -0x1.9c62a1e7ba81ep-6, -0x1.a4ad444a9310cp-6, -0x1.acd6977d35359p-6, -0x1.b4dec8cc31096p-6, -0x1.bcc606f4cffbap-6, -0x1.c48c8235ed043p-6, -0x1.cc326c6b999fdp-6, -0x1.d3b7f917822b7p-6, -0x1.db1d5d3f8762dp-6, -0x1.e262cf31d5823p-6, -0x1.e98886521ba65p-6, -0x1.f08ebafee207cp-6, -0x1.f775a68c09e69p-6, -0x1.fe3d834afd1f9p-6, -0x1.0273464a7baf5p-5, -0x1.05b87f6eceee6p-5, -0x1.08ee8bb8b9455p-5, -0x1.0c158a3925e9cp-5, -0x1.0f2d9a4ddeafdp-5, -0x1.1236db9b85e8bp-5, -0x1.15316e0887f39p-5, -0x1.181d71bce1e42p-5, -0x1.1afb072543b6bp-5, -0x1.1dca4ef38fae1p-5, -0x1.208b6a16bba25p-5, -0x1.233e79ab9909bp-5, -0x1.25e39eeedde3p-5, -0x1.287afb33b70fcp-5, -0x1.2b04afdda3f08p-5, -0x1.2d80de5d34e02p-5, -0x1.2fefa83044e7ep-5, -0x1.32512ee3961b7p-5, -0x1.34a594108d68ap-5, -0x1.36ecf95449964p-5, -0x1.39278043fe727p-5, -0x1.3b554a63de6e8p-5, -0x1.3d7679216f9e3p-5, -0x1.3f8b2dcfbc67fp-5, -0x1.419389a5398dp-5, -0x1.438fadbb7759p-5, -0x1.457fbb0f65e44p-5, -0x1.4763d27ec64bap-5, -0x1.493c14c17fe54p-5, -0x1.4b08a261dd0ap-5, -0x1.4cc99bb735942p-5, -0x1.4e7f20e30fdebp-5, -0x1.502951ced09e8p-5, -0x1.51c84e2953825p-5, -0x1.535c35651d3a2p-5, -0x1.54e526b79614dp-5, -0x1.5663411831f82p-5, -0x1.57d6a33de13e3p-5, -0x1.593f6b9b44373p-5, -0x1.5a9db85b66d3ap-5, -0x1.5bf1a75fb40b3p-5, -0x1.5d3b563df15b5p-5, -0x1.5e7ae23de19aep-5, -0x1.5fb06856b9b76p-5, -0x1.60dc052e5394cp-5, -0x1.61fdd519f3c9dp-5, -0x1.6315f41f5c6aap-5, -0x1.64247df46cfabp-5, -0x1.65298dfd124efp-5, -0x1.66253f48e7459p-5, -0x1.6717ac910bacap-5, -0x1.6800f036d1c93p-5, -0x1.68e1244281ae1p-5, -0x1.69b862636a799p-5, -0x1.6a86c3f0f08cep-5, -0x1.6b4c61ec769c1p-5, -0x1.6c095502f08a6p-5, -0x1.6cbdb58ced9e7p-5, -0x1.6d699b8cfa097p-5, -0x1.6e0d1eadccb5dp-5, -0x1.6ea856415d4d4p-5, -0x1.6f3b594172b7ep-5, -0x1.6fc63e50fb36bp-5, -0x1.70491bbdc26f3p-5, -0x1.70c40781fb21ep-5, -0x1.713717456c581p-5, -0x1.71a2605e44d8ep-5, -0x1.7205f7d187e1ap-5, -0x1.7261f25307defp-5, -0x1.72b6644573cbp-5, -0x1.730361bb2399ep-5, -0x1.7348fe77e631cp-5, -0x1.73874df342cb2p-5, -0x1.73be635a8313ep-5, -0x1.73ee519201151p-5, -0x1.74172b35e5e67p-5, -0x1.7439029aac372p-5, -0x1.7453e9ce0012fp-5, -0x1.7467f2984027dp-5, -0x1.74752e7e7325fp-5, -0x1.747baec458384p-5, -0x1.747b846e82648p-5, -0x1.7474c0442f4fbp-5, -0x1.746772d0f58c3p-5, -0x1.7453ac6600e86p-5, -0x1.74397d1b15639p-5, -0x1.7418f4cfb5528p-5, -0x1.73f2232c40799p-5, -0x1.73c517a44db47p-5, -0x1.7391e178aa8a6p-5, -0x1.73588fba18c21p-5, -0x1.7319314b9d204p-5, -0x1.72d3d4e41027dp-5, -0x1.7288890f557b9p-5, -0x1.72375c2f6744fp-5, -0x1.71e05c7d88a89p-5, -0x1.7183980bd301cp-5, -0x1.71211cc723854p-5, -0x1.70b8f879537bdp-5, -0x1.704b38cb80516p-5, -0x1.6fd7eb4826f5cp-5, -0x1.6f5f1d5ce368p-5, -0x1.6ee0dc5bd250cp-5, -0x1.6e5d357ca3ccap-5, -0x1.6dd435dd92107p-5, -0x1.6d45ea847ec1ep-5, -0x1.6cb2606076588p-5, -0x1.6c19a44ba5247p-5, -0x1.6b7bc30da4a4ep-5, -0x1.6ad8c95db6ed1p-5, -0x1.6a30c3e4b4fb6p-5, -0x1.6983bf3e6f457p-5, -0x1.68d1c7fa78bbcp-5, -0x1.681aea9c95f86p-5, -0x1.675f339d2bb9bp-5, -0x1.669eaf69f2acdp-5, -0x1.65d96a67227f4p-5, -0x1.650f70f11ec46p-5, -0x1.6440cf5e8d68cp-5, -0x1.636d92028c1c1p-5, -0x1.6295c52ead6f1p-5, -0x1.61b975345fb51p-5, -0x1.60d8ae659cf01p-5, -0x1.5ff37d14ea768p-5, -0x1.5f09ed9519f86p-5, -0x1.5e1c0c38ecf69p-5, -0x1.5d29e553319c5p-5, -0x1.5c3385376dbe9p-5, -0x1.5b38f83b44af2p-5, -0x1.5a3a4ab855be5p-5, -0x1.5937890e5308dp-5, -0x1.5830bfa4ce618p-5, -0x1.5725faec78cb5p-5, -0x1.5617475f84a3p-5, -0x1.5504b181501f9p-5, -0x1.53ee45dd8641p-5, -0x1.52d411070c5fdp-5, -0x1.51b61f972970cp-5, -0x1.50947e2d3e3e2p-5, -0x1.4f6f396f34f0bp-5, -0x1.4e465e0aa4634p-5, -0x1.4d19f8b6770dp-5, -0x1.4bea16349e96fp-5, -0x1.4ab6c35396e2fp-5, -0x1.49800cef2e989p-5, -0x1.4845fff0433dbp-5, -0x1.4708a94c8078bp-5, -0x1.45c816046947ep-5, -0x1.44845321e4cfap-5, -0x1.433d6db6c7fd7p-5, -0x1.41f372dbc9c78p-5, -0x1.40a66fb03786fp-5, -0x1.3f56715a750a5p-5, -0x1.3e0385090d431p-5, -0x1.3cadb7f40e3efp-5, -0x1.3b55175e74426p-5, -0x1.39f9b096ec5ap-5, -0x1.389b90f80ae41p-5, -0x1.373ac5e7954f1p-5, -0x1.35d75cd523a9fp-5, -0x1.347163383e439p-5, -0x1.3308e68e4a07dp-5, -0x1.319df458bcfd8p-5, -0x1.30309a1bc1f36p-5, -0x1.2ec0e55d964cbp-5, -0x1.2d4ee3a699d65p-5, -0x1.2bdaa28200759p-5, -0x1.2a642f7ed7ed5p-5, -0x1.28eb983115074p-5, -0x1.2770ea324271ap-5, -0x1.25f43321a11ep-5, -0x1.247580a384a58p-5, -0x1.22f4e05ffcf11p-5, -0x1.21726000f2ca5p-5, -0x1.1fee0d3003557p-5, -0x1.1e67f5945c991p-5, -0x1.1ce026d0f472dp-5, -0x1.1b56ae8342149p-5, -0x1.19cb9a4299b4bp-5, -0x1.183ef7a02f049p-5, -0x1.16b0d4278e398p-5, -0x1.15213d5f5d361p-5, -0x1.139040ca165e7p-5, -0x1.11fdebe6765edp-5, -0x1.106a4c2f6e72bp-5, -0x1.0ed56f1b6a9eap-5, -0x1.0d3f621b0b87ep-5, -0x1.0ba832976363bp-5, -0x1.0a0fedefebd4bp-5, -0x1.0876a1788872cp-5, -0x1.06dc5a77be735p-5, -0x1.054126254d14p-5, -0x1.03a511a94ff16p-5, -0x1.02082a1be76aap-5, -0x1.006a7c854c561p-5, -0x1.fd982bbc77558p-6, -0x1.fa5a0620f2132p-6, -0x1.f71aa1ee6fe0fp-6, -0x1.f3da18be777e3p-6, -0x1.f098840d03067p-6, -0x1.ed55fd36ecbaep-6, -0x1.ea129d776df32p-6, -0x1.e6ce7de50a48p-6, -0x1.e389b76e3cd13p-6, -0x1.e04462d640d4fp-6, -0x1.dcfe98b25921ap-6, -0x1.d9b87167c4826p-6, -0x1.d672052a7032ep-6, -0x1.d32b6bfc72e05p-6, -0x1.cfe4bdae2fd88p-6, -0x1.cc9e11de7aed3p-6, -0x1.c9577ffb88691p-6, -0x1.c6111f42cf81fp-6, -0x1.c2cb06c1137e7p-6, -0x1.bf854d51963c1p-6, -0x1.bc40099c8f86dp-6, -0x1.b8fb52153b973p-6, -0x1.b5b73cf780b77p-6, -0x1.b273e045ad88cp-6, -0x1.af3151c67806cp-6, -0x1.abefa703adde8p-6, -0x1.a8aef54993fep-6, -0x1.a56f51a6f8df9p-6, -0x1.a230d0edd0c2p-6, -0x1.9ef387b3fccd7p-6, -0x1.9bb78a540912p-6, -0x1.987ceced5a454p-6, -0x1.9543c363a48a1p-6, -0x1.920c215d7a013p-6, -0x1.8ed61a41ef059p-6, -0x1.8ba1c13573bf6p-6, -0x1.886f2916626b9p-6, -0x1.853e64798da38p-6, -0x1.820f85a793acep-6, -0x1.7ee29e9b6f268p-6, -0x1.7bb7c102b4f5p-6, -0x1.788efe3fa4bbp-6, -0x1.7568676d1aa39p-6, -0x1.72440d63d50e9p-6, -0x1.6f2200c06974bp-6, -0x1.6c0251e8d1dap-6, -0x1.68e511109798ap-6, -0x1.65ca4e3aa04aep-6, -0x1.62b21937de227p-6, -0x1.5f9c81a2a6747p-6, -0x1.5c8996d6a77p-6, -0x1.597967e675674p-6, -0x1.566c038f93a85p-6, -0x1.5361782eb5a23p-6, -0x1.5059d3b5df3fap-6, -0x1.4d5523a60ee7p-6, -0x1.4a53750e18be8p-6, -0x1.4754d48f5ccb4p-6, -0x1.44594e68ba6e6p-6, -0x1.4160ee870bb4cp-6, -0x1.3e6bc0999ae29p-6, -0x1.3b79d0284cfc7p-6, -0x1.388b28a8b4f34p-6, -0x1.359fd58ef664dp-6, -0x1.32b7e257af1afp-6, -0x1.2fd35a88a6f77p-6, -0x1.2cf249a7083bfp-6, -0x1.2a14bb2326828p-6, -0x1.273aba3b2a655p-6, -0x1.246451d767dabp-6, -0x1.21918c643d5b9p-6, -0x1.1ec273ae102d9p-6, -0x1.1bf710c441391p-6, -0x1.192f6be79de1dp-6, -0x1.166b8c87c70a9p-6, -0x1.13ab7951bb973p-6, -0x1.10ef384f82e6dp-6, -0x1.0e36cf1746837p-6, -0x1.0b82430596e62p-6, -0x1.08d1997d67324p-6, -0x1.0624d82698e9ep-6, -0x1.037c0523ba6d2p-6, -0x1.00d72737d415fp-6, -0x1.fc6c8bac91704p-7, -0x1.f732d2320f26cp-7, -0x1.f201333710f12p-7, -0x1.ecd7c079290dap-7, -0x1.e7b68b9650233p-7, -0x1.e29da54c649dfp-7, -0x1.dd8d1cb104631p-7, -0x1.d884fe775366p-7, -0x1.d385545980fe6p-7, -0x1.ce8e24b9675bcp-7, -0x1.c99f728741992p-7, -0x1.c4b93d771cd43p-7, -0x1.bfdb8285a4b98p-7, -0x1.bb063cc4c09aap-7, -0x1.b63966605baa3p-7, -0x1.b174f9c461c35p-7, -0x1.acb8f2c8e473ap-7, -0x1.a8054fc647dep-7, -0x1.a35a1272ae287p-7, -0x1.9eb740721739cp-7, -0x1.9a1ce381cc2bfp-7, -0x1.958b09382bf93p-7, -0x1.9101c2535029bp-7, -0x1.8c8121a742be3p-7, -0x1.88093abb7494dp-7, -0x1.839a20371921ap-7, -0x1.7f33e2402d44fp-7, -0x1.7ad68cf3fab8cp-7, -0x1.7682271f21b5bp-7, -0x1.7236b15753a4ep-7, -0x1.6df42590a39bap-7, -0x1.69ba773e78c18p-7, -0x1.65899403a4879p-7, -0x1.616164e8dd903p-7, -0x1.5d41d0040f8c8p-7, -0x1.592aba7067cf6p-7, -0x1.551c0a6e44615p-7, -0x1.5115a97cc3efp-7, -0x1.4d17863d7409p-7, -0x1.492195f4e1d3dp-7, -0x1.4533d5823bf79p-7, -0x1.414e49b2d9dadp-7, -0x1.3d70fee510b6ep-7, -0x1.399c07fd61eafp-7, -0x1.35cf7cc1884a9p-7, -0x1.320b77bb0becdp-7, -0x1.2e5013cdfdd76p-7, -0x1.2a9d69b6bfddap-7, -0x1.26f38da29bfd2p-7, -0x1.23528d14214a3p-7, -0x1.1fba6d3cbc6ep-7, -0x1.1c2b29ec05ea9p-7, -0x1.18a4b52a9b3fep-7, -0x1.1526f78a7c11dp-7, -0x1.11b1d12b7d86dp-7, -0x1.0e451b64e3e56p-7, -0x1.0ae0aaf8fbfa5p-7, -0x1.078452ab01e83p-7, -0x1.042fe6054f1b4p-7, -0x1.00e33c17aecbp-7, -0x1.fb3c63e9ce096p-8, -0x1.f4c15971c0031p-8, -0x1.ee5535dc62467p-8, -0x1.e7f7ea6d4a6fp-8, -0x1.e1a97c596d1acp-8, -0x1.db6a030df255cp-8, -0x1.d539a52c8adc6p-8, -0x1.cf18948821501p-8, -0x1.c9070978fb9d6p-8, -0x1.c3053de1d9083p-8, -0x1.bd1368370104cp-8, -0x1.b731b6cf217bdp-8, -0x1.b1604bbaf3f9ap-8, -0x1.ab9f395ca5cadp-8, -0x1.a5ee7ff5ff4d1p-8, -0x1.a04e0c6120e1p-8, -0x1.9abdb81b16243p-8, -0x1.953d4aae6a894p-8, -0x1.8fcc7c6633cep-8, -0x1.8a6afa068836ap-8, -0x1.851869254df83p-8, -0x1.7fd46cad24e0fp-8, -0x1.7a9ea91fb6c86p-8, -0x1.7576c84b05f58p-8, -0x1.705c7c52c053ep-8, -0x1.6b4f8212ea5fdp-8, -0x1.664fa2f77454p-8, -0x1.615cb661124e2p-8, -0x1.5c76a299520fep-8, -0x1.579d5d3cd5b3bp-8, -0x1.52d0eae91047bp-8, -0x1.4e115df958521p-8, -0x1.495ed42d1cf68p-8, -0x1.44b973396b561p-8, -0x1.4021647978ce4p-8, -0x1.3b96d02581c31p-8, -0x1.3719d89fc7f7cp-8, -0x1.32aa9676da7f8p-8, -0x1.2e4915acc8ea1p-8, -0x1.29f554a017bb3p-8, -0x1.25af44a5165a4p-8, -0x1.2176cc02518bcp-8, -0x1.1d4bc8b137772p-8, -0x1.192e13110c286p-8, -0x1.151d7fbc73c2dp-8, -0x1.1119dff178926p-8, -0x1.0d2300728520cp-8, -0x1.0938a75ba2925p-8, -0x1.055a91ee1b341p-8, -0x1.018873999e00ap-8, -0x1.fb83eecd7a882p-9, -0x1.f40d88a6a6b5p-9, -0x1.ecad089f4f1bdp-9, -0x1.e561d940b078cp-9, -0x1.de2b8b82182c4p-9, -0x1.d709e17eeecb4p-9, -0x1.cffcd0f8d8e2fp-9, -0x1.c9047c7042327p-9, -0x1.c22124153ac96p-9, -0x1.bb531208fb3e9p-9, -0x1.b49a86b3e1f7p-9, -0x1.adf7a9d2f14ffp-9, -0x1.a76a83683a22ep-9, -0x1.a0f2fd610416ap-9, -0x1.9a90ec64dc1afp-9, -0x1.94441c9c21cc8p-9, -0x1.8e0c5eb79c67ap-9, -0x1.87e99201d7266p-9, -0x1.81dba95076085p-9, -0x1.7be2a9c21859ep-9, -0x1.75fea325701edp-9, -0x1.702fa2cb71ad3p-9, -0x1.6a75a2961e57fp-9, -0x1.64d077593c8b4p-9, -0x1.5f3fc2c279431p-9, -0x1.59c2ed578c4ffp-9, -0x1.54592c2bbef3bp-9, -0x1.4f01937e279ffp-9, -0x1.49bb34036f0e3p-9, -0x1.44853d2312f13p-9, -0x1.3f5f1c222f496p-9, -0x1.3a4890000023p-9, -0x1.3541ac161d228p-9, -0x1.304ac802e8306p-9, -0x1.2b6460d513ed9p-9, -0x1.268ef3ff1da66p-9, -0x1.21cade68215d1p-9, -0x1.1d18480e5456p-9, -0x1.18771fdae63a1p-9, -0x1.13e725b152796p-9, -0x1.0f67fcdd73ff5p-9, -0x1.0af9401a59791p-9, -0x1.069a921286bedp-9, -0x1.024ba7cbf17c7p-9, -0x1.fc1899486f43ep-10, -0x1.f3b8c16c3b28bp-10, -0x1.eb77a6d04440dp-10, -0x1.e355389154f41p-10, -0x1.db5167f3ace0ap-10, -0x1.d36c1b371ac9cp-10, -0x1.cba51f55b0a45p-10, -0x1.c3fc167b3148cp-10, -0x1.bc7064f73aff4p-10, -0x1.b501242fb3627p-10, -0x1.adad25ec6dff9p-10, -0x1.a6730eba85152p-10, -0x1.9f518500ea363p-10, -0x1.984768bd61d0ap-10, -0x1.9154033b22f91p-10, -0x1.8a77203b5f1f7p-10, -0x1.83b1091205c96p-10, -0x1.7d0263609dd55p-10, -0x1.766bfe2800c6bp-10, -0x1.6fee9dcc8e6cp-10, -0x1.698ad6981a55bp-10, -0x1.6340fc97ca5f9p-10, -0x1.5d112501079a3p-10, -0x1.56fb306595e3ep-10, -0x1.50fed88882d03p-10, -0x1.4b1bc1951ce33p-10, -0x1.45518d0173879p-10, -0x1.3f9fe5b2ccd89p-10, -0x1.3a067b1085363p-10, -0x1.3484e95d5da36p-10, -0x1.2f1a9c44dcc21p-10, -0x1.29c6bf8220dadp-10, -0x1.24884ab105babp-10, -0x1.1f5e2643eef99p-10, -0x1.1a475ab69beebp-10, -0x1.154336b7a78d1p-10, -0x1.10515d8668708p-10, -0x1.0b71b95752b01p-10, -0x1.06a459e1c129p-10, -0x1.01e94f8903d4dp-10, -0x1.fa8124aaeaaabp-11, -0x1.f153f1ee788d1p-11, -0x1.e84a6fecda51cp-11, -0x1.df63c0c96fb91p-11, -0x1.d69ec38447a0ep-11, -0x1.cdfa39b4d675fp-11, -0x1.c57519a877006p-11, -0x1.bd0eeca961fdfp-11, -0x1.b4c80390075c9p-11, -0x1.aca15fc4b80b2p-11, -0x1.a49c54bbc180fp-11, -0x1.9cba05bd6eb16p-11, -0x1.94fafad611d68p-11, -0x1.8d5f0a20c8f7p-11, -0x1.85e5a6e14aa45p-11, -0x1.7e8e5ab48dd73p-11, -0x1.77590551e7b5ep-11, -0x1.7045b20595a5cp-11, -0x1.695432389b0f3p-11, -0x1.6283d65036bfap-11, -0x1.5bd3718fd4e9ap-11, -0x1.5541915dc6efap-11, -0x1.4eccb7667f801p-11, -0x1.48737b834f55cp-11, -0x1.423498d1abb6ep-11, -0x1.3c0ef5f1ff963p-11, -0x1.3601b1e5fa841p-11, -0x1.300c3235ba066p-11, -0x1.2a2e281e8b255p-11, -0x1.2467866b6e198p-11, -0x1.1eb86d5208abbp-11, -0x1.19211a4021ddbp-11, -0x1.13a1de6b50ap-11, -0x1.0e3b015eef9f1p-11, -0x1.08ec6b1802a9fp-11, -0x1.03b52f2e159a2p-11, -0x1.fd26e4a70d4dfp-12, -0x1.f30a2e0f15d1cp-12, -0x1.e911d37c2b8ffp-12, -0x1.df3ebad211582p-12, -0x1.d59452d46a071p-12, -0x1.cc161989da8fp-12, -0x1.c2c55b7fa8645p-12, -0x1.b9a0e1e0b690bp-12, -0x1.b0a6ad9b6fa5fp-12, -0x1.a7d61503ab4bcp-12, -0x1.9f303e2995c54p-12, -0x1.96b69f5733fcfp-12, -0x1.8e692bf582857p-12, -0x1.8645d836da216p-12, -0x1.7e498069918a7p-12, -0x1.76712659e7e7dp-12, -0x1.6ebaaf14ec485p-12, -0x1.6724fde99c03dp-12, -0x1.5fafae37650cdp-12, -0x1.585ab4cdefcdp-12, -0x1.512617c932c6ep-12, -0x1.4a11d125d80ecp-12, -0x1.431ddc7245058p-12, -0x1.3c4a5c8d0ae13p-12, -0x1.3597b76eb36a4p-12, -0x1.2f0682aeeb008p-12, -0x1.28972ce230a3p-12, -0x1.22497d7828782p-12, -0x1.1c1c42556b83p-12, -0x1.160d908f85384p-12, -0x1.101b86530971ep-12, -0x1.0a44b5815833ap-12, -0x1.048774d44c297p-12, -0x1.fdc1ffccfb302p-13, -0x1.f29d0a9bfeaap-13, -0x1.e7a008665065bp-13, -0x1.dcd2b1c477fcbp-13, -0x1.d23e48891abe1p-13, -0x1.c7e4e427a010ap-13, -0x1.bdbfb0a0bdfc6p-13, -0x1.b3c62dc7df33p-13, -0x1.a9f6cca9932aep-13, -0x1.a057b6d650082p-13, -0x1.96efe001e8b9dp-13, -0x1.8dc0f35ab752bp-13, -0x1.84c737896ab6ap-13, -0x1.7bfce21c1f5a1p-13, -0x1.735ce2f66808ap-13, -0x1.6ae3ea2261f09p-13, -0x1.629042b79de37p-13, -0x1.5a614bf719c2dp-13, -0x1.5256f92f8eb4ep-13, -0x1.4a717449108d4p-13, -0x1.42b0def5efc57p-13, -0x1.3b152b39146b3p-13, -0x1.339e0b81ce841p-13, -0x1.2c4affc88b7c1p-13, -0x1.251b800bd157cp-13, -0x1.1e0f386a05c43p-13, -0x1.17264079af20fp-13, -0x1.1061322f35ce1p-13, -0x1.09c1012dfb9f8p-13, -0x1.03467ea64d4b2p-13, -0x1.f9e370161228bp-14, -0x1.ed83942db4336p-14, -0x1.e16b3eea0f1b1p-14, -0x1.d599795c485bep-14, -0x1.ca0c2b63e8d92p-14, -0x1.beba442d49734p-14, -0x1.b394abfd1134p-14, -0x1.a8940f7fa2bcdp-14, -0x1.9dc1912b2cad8p-14, -0x1.9329babab20ddp-14, -0x1.88cc37ca809a6p-14, -0x1.7ea03ed233816p-14, -0x1.74a3b61d38e73p-14, -0x1.6adc468b22a76p-14, -0x1.614da809fb95bp-14, -0x1.57f77bf39ef14p-14, -0x1.4ed89f19ccfeap-14, -0x1.45ef7f2f0fdc3p-14, -0x1.3d39186a77cap-14, -0x1.34b194183bf3p-14, -0x1.2c55a8426182cp-14, -0x1.242345c3ec4f6p-14, -0x1.1c1975229a3a6p-14, -0x1.1437e4befad76p-14, -0x1.0c7e86a073b3fp-14, -0x1.04ed56261f867p-14, -0x1.fb087532052eep-15, -0x1.ec85edd7a0fbap-15, -0x1.de52414e08bf2p-15, -0x1.d06c375f5424fp-15, -0x1.c2d23b31a23d7p-15, -0x1.b58282bc1e79p-15, -0x1.a87b3a83c7b9dp-15, -0x1.9bbabbc0f15ccp-15, -0x1.8f3fd09238307p-15, -0x1.8309d8059fbcap-15, -0x1.77185fbfc4c72p-15, -0x1.6b6a07bf71d3cp-15, -0x1.5ffbc7296d15bp-15, -0x1.54cac967dc769p-15, -0x1.49d9334957f61p-15, -0x1.3f306ca059358p-15, -0x1.34d7ee1ae2965p-15, -0x1.2ac6e014edfb4p-15, -0x1.20edfc8c64a5ep-15, -0x1.174b57c1825d8p-15, -0x1.0dda78cf22c35p-15, -0x1.048ca1788822ep-15, -0x1.f6ca46f179f8ep-16, -0x1.e4eff668d3c36p-16, -0x1.d399325b00d43p-16, -0x1.c2b32bd15f2d3p-16, -0x1.b22541733697p-16, -0x1.a1e8af43b420ep-16, -0x1.9209d8ac4e617p-16, -0x1.829500985a3d2p-16, -0x1.738909c88c1cbp-16, -0x1.64dc429e059fp-16, -0x1.5685adeff1485p-16, -0x1.488072793bcb8p-16, -0x1.3acaceaf58541p-16, -0x1.2d64495215598p-16, -0x1.204c9a345f72fp-16, -0x1.1383452196f4fp-16, -0x1.07078e376b59bp-16, -0x1.f5b1105f36bafp-17, -0x1.ddea3e3ea492bp-17, -0x1.c6b82b8134772p-17, -0x1.b01810c924f4fp-17, -0x1.9a06a7e70f8ep-17, -0x1.848066e7cfd6p-17, -0x1.6f81806854c1dp-17, -0x1.5b06371a6a874p-17, -0x1.470b47ddc387bp-17, -0x1.338e59b6cca29p-17, -0x1.208df7a747e5dp-17, -0x1.0e086c711ab93p-17, -0x1.f7f3cc589277fp-18, -0x1.d4b8d118f5cb4p-18, -0x1.b257f3a4d153fp-18, -0x1.90dbc41e87391p-18, -0x1.706352e54d5b5p-18, -0x1.50ef538029c8ep-18, -0x1.323fb14ae45e5p-18, -0x1.1436025de7626p-18, -0x1.edad0ce467453p-19, -0x1.b46b3f9569a62p-19, -0x1.7d0b54d603c4dp-19, -0x1.4785698d53f23p-19, -0x1.13863d92820f8p-19, -0x1.c19093ccce6c7p-20, -0x1.5e7cc73223151p-20, -0x1.fc130b3a7100bp-21, -0x1.40462d7c91fc4p-21, -0x1.1215cc485d5d4p-22, 0x1.49a5dbb0d7f9bp-24, 0x1.ab76e7fc35843p-22, 0x1.7cae673af00bep-21, 0x1.0f5886e29b166p-20, 0x1.5e1966d6d23cbp-20, 0x1.aaad65f6c2329p-20, 0x1.f518f5bbeff79p-20, 0x1.1eaf88faa00a2p-19, 0x1.41c2a283eae0ap-19, 0x1.63c9c7af31877p-19, 0x1.84c9b60fe1f14p-19, 0x1.a4c783d8d3099p-19, 0x1.c3c86d50ce1e5p-19, 0x1.e1d1cb006ab77p-19, 0x1.fee9198caeaa6p-19, 0x1.0d89fe3c639a6p-18, 0x1.1b2c185559cbfp-18, 0x1.285db9ab87a9ap-18, 0x1.3521b3b63fdbcp-18, 0x1.417abaf13d57fp-18, 0x1.4d6b4af2adc0fp-18, 0x1.58f57fd857fe3p-18, 0x1.641b123d495cfp-18, 0x1.6eddba6351296p-18, 0x1.793fd6f35ac9cp-18, 0x1.8344c31f6e46dp-18, 0x1.8cf05b497c1d2p-18, 0x1.9643cf073dd98p-18, 0x1.9f386ebbf3abep-18, 0x1.a7cd0c4cf977cp-18, 0x1.b0159fe1412a8p-18, 0x1.b81a6bfdf136p-18, 0x1.bfce125319a3dp-18, 0x1.c72a41d25984bp-18, 0x1.ce39885f1375p-18, 0x1.d501b8090079ap-18, 0x1.db83d7918b63fp-18, 0x1.e1c03f4673d34p-18, 0x1.e7b5e3135f27ep-18, 0x1.ed61ef7d1a732p-18, 0x1.f2c5c4d62420ep-18, 0x1.f7ea7a69ba68fp-18, 0x1.fcd67dabc7288p-18, 0x1.00c5f97e53b25p-17, 0x1.0303c15cf0a7dp-17, 0x1.05211acc188b9p-17, 0x1.071f630bf901ep-17, 0x1.0901e74e6ffb4p-17, 0x1.0aca325c05478p-17, 0x1.0c78ad7bcb2d8p-17, 0x1.0e0d9e241edfbp-17, 0x1.0f896b65021e2p-17, 0x1.10ec9850689aap-17, 0x1.1237b4facf9ep-17, 0x1.136b54b006c71p-17, 0x1.148809b6ac016p-17, 0x1.158e66be85cb5p-17, 0x1.167efc29d0e38p-17, 0x1.175a456366541p-17, 0x1.1820d78119fecp-17, 0x1.18d3450d644d2p-17, 0x1.1972122875fedp-17, 0x1.19fdc3bee044fp-17, 0x1.1a76dd7f2c99cp-17, 0x1.1adde059bb52ap-17, 0x1.1b33424a07da4p-17, 0x1.1b776cf9506d4p-17, 0x1.1baab565e62a7p-17, 0x1.1bcd7269cf6a7p-17, 0x1.1be018f81eb52p-17, 0x1.1be351afa1807p-17, 0x1.1bd7ea8bb7467p-17, 0x1.1bbe1cb8c3cc7p-17, 0x1.1b94d0e031ff4p-17, 0x1.1b5dbc9b777a6p-17, 0x1.1b1a7bd38a63ep-17, 0x1.1ac8c0ed6c50fp-17, 0x1.1a69ce985feb4p-17, 0x1.19fee7018101cp-17, 0x1.198829f6106d5p-17, 0x1.1905b92444454p-17, 0x1.1877dcf0b0d6fp-17, 0x1.17deebb6bfad4p-17, 0x1.173b3b62361f3p-17, 0x1.168d212332e0cp-17, 0x1.15d4fd4d1a0fcp-17, 0x1.151331f6a6b32p-17, 0x1.1447ab8a2bd4ap-17, 0x1.137161781c2c4p-17, 0x1.1290a1e03f687p-17, 0x1.11a8ba954ca4cp-17, 0x1.10ba41055ab77p-17, 0x1.0fc24fa87585cp-17, 0x1.0ec1061bc9518p-17, 0x1.0db8320a61cf5p-17, 0x1.0ca8558a7fc81p-17, 0x1.0b91695a90546p-17, 0x1.0a7379100b35bp-17, 0x1.094eabe4e4b19p-17, 0x1.0823352469eeap-17, 0x1.06f14ae236c0cp-17, 0x1.05b92250c82f6p-17, 0x1.047aeef6c82e8p-17, 0x1.0336e3497d2c3p-17, 0x1.01ed318fc402dp-17, 0x1.009e0c22506aap-17, 0x1.fe9349c92cbf2p-18, 0x1.fbe059311995bp-18, 0x1.f923a57cbf7f5p-18, 0x1.f65d8c4eaf41dp-18, 0x1.f38e6b839d908p-18, 0x1.f0b6a082e97adp-18, 0x1.edd68080d3a7fp-18, 0x1.eaee4995f4cf1p-18, 0x1.e7fe2021f9395p-18, 0x1.e5062f5bff34cp-18, 0x1.e206ce3437346p-18, 0x1.df007eb283c0ap-18, 0x1.dbf3fde452abep-18, 0x1.d8e237bc3668dp-18, 0x1.d5ca55bd50efp-18, 0x1.d2ab9de9563b1p-18, 0x1.cf864509c5205p-18, 0x1.cc5b2641de22cp-18, 0x1.c92c0c055fd11p-18, 0x1.c5f89dc636cafp-18, 0x1.c2c0a2144afddp-18, 0x1.bf8435c8e9c4p-18, 0x1.bc438e51b62edp-18, 0x1.b8fee4e351b73p-18, 0x1.b5b67422c1f3bp-18, 0x1.b26a792b3d12ap-18, 0x1.af1b3329c37cdp-18, 0x1.abc8df226760fp-18, 0x1.a873af8cc181ep-18, 0x1.a51bc562aae63p-18, 0x1.a1c13bff4ae7cp-18, 0x1.9e645d8b5d211p-18, 0x1.9b05d87157e83p-18, 0x1.97a5f3d030b8dp-18, 0x1.9442e5db6e89ep-18, 0x1.90dd8a5f6b7b3p-18, 0x1.8d7759a241122p-18, 0x1.8a0e07b5ddb5ep-18, 0x1.86a3dbc0299a7p-18, 0x1.8339a2ed5fbebp-18, 0x1.7fced84ecbe2p-18, 0x1.7c634513cf152p-18, 0x1.78f6f67e236e8p-18, 0x1.758a0caaa4f67p-18, 0x1.721cafa404fe8p-18, 0x1.6eaf1576d2997p-18, 0x1.6b413b86d67dcp-18, 0x1.67d342987c4cbp-18, 0x1.64656ea67d65ap-18, 0x1.60f7ca4b31a07p-18, 0x1.5d8a712971b2bp-18, 0x1.5a1d824d1f09p-18, 0x1.56b11a4a45a6ep-18, 0x1.534554aa40b8ap-18, 0x1.4fda4e185f628p-18, 0x1.4c70229f80d21p-18, 0x1.4906ec0d2776ap-18, 0x1.459ebb57ec29ap-18, 0x1.4237986486fadp-18, 0x1.3ed1904ff632cp-18, 0x1.3b6cbf655a4dcp-18, 0x1.380946ec32213p-18, 0x1.34a754da30ecap-18, 0x1.31474cd5458abp-18, 0x1.2de9865a6c812p-18, 0x1.2a8cee0fbc3cep-18, 0x1.2730b841b716bp-18, 0x1.23d6b9dd972a8p-18, 0x1.207f3bc924128p-18, 0x1.1d29d35025cefp-18, 0x1.19d66f01f7edap-18, }}, 
      {{-0x1.4d4da6fda26cp-4, -0x1.3d2dfe4811079p-4, -0x1.237d3a40a71d3p-4, -0x1.019b9889fe04cp-4, -0x1.b214c8c69abp-5, -0x1.56957b7fb0e61p-5, -0x1.e7255f9f6af65p-6, -0x1.174ba28b07d3fp-6, -0x1.08e6513006b17p-8, 0x1.28277a3f5b5b9p-7, 0x1.683bfea4d324cp-6, 0x1.1bb9bd267f779p-5, 0x1.7fbbba37e7e2cp-5, 0x1.df4060ecdc6b3p-5, 0x1.1ccd71044adc5p-4, 0x1.472724a029ebfp-4, 0x1.6e8372ae61dfdp-4, 0x1.92ca12f9d358cp-4, 0x1.b3f17fe0d77d6p-4, 0x1.d1fc6f3a008d8p-4, 0x1.ecf7928fe8ec9p-4, 0x1.027bcd24b1b6ep-3, 0x1.0d0bbdd60a6fdp-3, 0x1.163b78b076074p-3, 0x1.1e1c992fe6316p-3, 0x1.24c1eeacaae02p-3, 0x1.2a3f06e774accp-3, 0x1.2ea7cd739fb6fp-3, 0x1.32103c004dc01p-3, 0x1.348c19dc46cbep-3, 0x1.362ec82dbc3ap-3, 0x1.370b19bdda251p-3, 0x1.373333f490f9p-3, 0x1.36b877b3f1c49p-3, 0x1.35ab71083c43p-3, 0x1.341bcc5d502f9p-3, 0x1.3218504466f3bp-3, 0x1.2faedad8b9898p-3, 0x1.2cec625b0e279p-3, 0x1.29dcf81a0ee5bp-3, 0x1.268bcd7114f7fp-3, 0x1.23033a307c676p-3, 0x1.1f4cc4394b91p-3, 0x1.1b7127fd438d6p-3, 0x1.1778619ee3492p-3, 0x1.1369b67a93f07p-3, 0x1.0f4bbeeb03be2p-3, 0x1.0b2470366eb3p-3, 0x1.06f9266ea4024p-3, 0x1.02ceae36580c5p-3, 0x1.fd529c9cb66b7p-4, 0x1.f519a1e892257p-4, 0x1.ecf919cc71c35p-4, 0x1.e4f6dc169a0abp-4, 0x1.dd17fb84369f6p-4, 0x1.d560d5c10305bp-4, 0x1.cdd5227e60a6dp-4, 0x1.c678014669acap-4, 0x1.bf4c0761afa9ap-4, 0x1.b8534c66622b3p-4, 0x1.b18f75bdcd6c9p-4, 0x1.ab01c1b7f906cp-4, 0x1.a4ab120dc169cp-4, 0x1.9e8bf55074de4p-4, 0x1.98a4afc2b51f3p-4, 0x1.92f5439f87908p-4, 0x1.8d7d7862b8d18p-4, 0x1.883ce19a38b58p-4, 0x1.8332e54bdc36bp-4, 0x1.7e5ec1ad15f87p-4, 0x1.79bf92a4b8851p-4, 0x1.7554567846d53p-4, 0x1.711bf295224b8p-4, 0x1.6d153710d8011p-4, 0x1.693ee2578715fp-4, 0x1.6597a44315e8cp-4, 0x1.621e20c938005p-4, 0x1.5ed0f2e21391fp-4, 0x1.5baeae9f19aa2p-4, 0x1.58b5e380d41e7p-4, 0x1.55e51e595264ep-4, 0x1.533aeb0622c6cp-4, 0x1.50b5d5be25592p-4, 0x1.4e546c8ec9eaep-4, 0x1.4c15402bb0853p-4, 0x1.49f6e4fd51d45p-4, 0x1.47f7f3e77265ap-4, 0x1.46170b02b81cap-4, 0x1.4452ce4e88ef3p-4, 0x1.42a9e81aff3bap-4, 0x1.411b09d394a87p-4, 0x1.3fa4ec237aa6bp-4, 0x1.3e464f749f4fcp-4, 0x1.3cfdfc2d359e3p-4, 0x1.3bcac2e4abe65p-4, 0x1.3aab7c897e39fp-4, 0x1.399f0a7b0e4ccp-4, 0x1.38a4569e20eabp-4, 0x1.37ba5341d4acdp-4, 0x1.36dffb5c841f6p-4, 0x1.36145247e5134p-4, 0x1.355663d5e64f3p-4, 0x1.34a54439f7957p-4, 0x1.34000ff63aa8bp-4, 0x1.3365ebc51345dp-4, 0x1.32d6047f06973p-4, 0x1.324f8efd3b688p-4, 0x1.31d1c7ff72c26p-4, 0x1.315bf3f37ea5ep-4, 0x1.30ed5eee99039p-4, 0x1.30855c73170cep-4, 0x1.3023474696f34p-4, 0x1.2fc6814df00e4p-4, 0x1.2f6e735ee56b4p-4, 0x1.2f1a8d1420125p-4, 0x1.2eca449fe91dcp-4, 0x1.2e7d169f719cdp-4, 0x1.2e3285ed2e5fep-4, 0x1.2dea1b738d4fcp-4, 0x1.2da366004fc96p-4, 0x1.2d5dfa1aa2325p-4, 0x1.2d1971ccbef87p-4, 0x1.2cd56c804ef49p-4, 0x1.2c918eda17983p-4, 0x1.2c4d827d5abfep-4, 0x1.2c08f5ed0e47ap-4, 0x1.2bc39c5efcdfap-4, 0x1.2b7d2d9339c6fp-4, 0x1.2b3565aa645bdp-4, 0x1.2aec04fe02a5ap-4, 0x1.2aa0cff9f3f06p-4, 0x1.2a538ef4afb89p-4, 0x1.2a040e0a13049p-4, 0x1.29b21cf705c66p-4, 0x1.295d8ef3eea9dp-4, 0x1.29063a91e1ffbp-4, 0x1.28abf999eb287p-4, 0x1.284ea8ea5669bp-4, 0x1.27ee284adb3a4p-4, 0x1.278a5a655b671p-4, 0x1.27232490eff1bp-4, 0x1.26b86eb9388bp-4, 0x1.264a23437cadcp-4, 0x1.25d82ef0a3a86p-4, 0x1.256280c03975fp-4, 0x1.24e909d695442p-4, 0x1.246bbd631eefap-4, 0x1.23ea90866dcc6p-4, 0x1.23657a3944904p-4, 0x1.22dc733744194p-4, 0x1.224f75e783b48p-4, 0x1.21be7e457618fp-4, 0x1.212989cd144c6p-4, 0x1.2090976770544p-4, 0x1.1ff3a755ccf5dp-4, 0x1.1f52bb1de4eeep-4, 0x1.1eadd578bb80dp-4, 0x1.1e04fa4246f4ap-4, 0x1.1d582e6511ed9p-4, 0x1.1ca777c6cf81ep-4, 0x1.1bf2dd432f3ep-4, 0x1.1b3a6693c0ec8p-4, 0x1.1a7e1c42bce7ep-4, 0x1.19be079d28496p-4, 0x1.18fa32a675703p-4, 0x1.1832a80ceaf8ap-4, 0x1.1767731c87acbp-4, 0x1.16989fb2b096ap-4, 0x1.15c63a33cdf1cp-4, 0x1.14f04f84099b7p-4, 0x1.1416ecfb681bep-4, 0x1.133a205b4f99p-4, 0x1.1259f7c5db87ap-4, 0x1.117681b751037p-4, 0x1.108fccfdf1297p-4, 0x1.0fa5e8afd58b3p-4, 0x1.0eb8e4223e3e2p-4, 0x1.0dc8cee3dd008p-4, 0x1.0cd5b8b75119ep-4, 0x1.0bdfb18b25dd6p-4, 0x1.0ae6c9711b9f5p-4, 0x1.09eb1098178cbp-4, 0x1.08ec97489b9b1p-4, 0x1.07eb6de0972b6p-4, 0x1.06e7a4cc706c4p-4, 0x1.05e14c7ea3832p-4, 0x1.04d8756fe4da2p-4, 0x1.03cd301a3099ap-4, 0x1.02bf8cf879e86p-4, 0x1.01af9c7dab394p-4, 0x1.009d6f1337528p-4, 0x1.ff122a2ab7de5p-5, 0x1.fce53da4cf3f6p-5, 0x1.fab43911ed186p-5, 0x1.f87f3cc892a39p-5, 0x1.f64668f08c66ap-5, 0x1.f409dd7e71e92p-5, 0x1.f1c9ba326b81dp-5, 0x1.ef861e9682a0bp-5, 0x1.ed3f29f9aa98ap-5, 0x1.eaf4fb690a38p-5, 0x1.e8a7b1ab23888p-5, 0x1.e6576b3e4acd3p-5, 0x1.e40446584674bp-5, 0x1.e1ae60e418fb1p-5, 0x1.df55d87d582a4p-5, 0x1.dcfaca6b75929p-5, 0x1.da9d539f6e63cp-5, 0x1.d83d90b3d10e2p-5, 0x1.d5db9dece4aa9p-5, 0x1.d3779736fb06ap-5, 0x1.d11198232b41p-5, 0x1.cea9bbe3f3c56p-5, 0x1.cc401d500ebe9p-5, 0x1.c9d4d6d701b16p-5, 0x1.c768029a0ebefp-5, 0x1.c4f9ba4eb66e1p-5, 0x1.c28a175176d11p-5, 0x1.c019329af26b8p-5, 0x1.bda724c1ce5a3p-5, 0x1.bb3405fd86c55p-5, 0x1.b8bfee25a9d81p-5, 0x1.b64af4b1e2a8ep-5, 0x1.b3d530b9ba98ep-5, 0x1.b15eb8f3a3bd4p-5, 0x1.aee7a3b4be777p-5, 0x1.ac7006f1ac366p-5, 0x1.a9f7f83fce95bp-5, 0x1.a77f8cd62e2cep-5, 0x1.a506d98d7fd68p-5, 0x1.a28df2dfa00bp-5, 0x1.a014ece74d907p-5, 0x1.9d9bdb608c58ep-5, 0x1.9b22d1a99b727p-5, 0x1.98a9e2c4071dcp-5, 0x1.963121555913cp-5, 0x1.93b89fa73c0f1p-5, 0x1.91406fa75463ep-5, 0x1.8ec8a2e7540e2p-5, 0x1.8c514a9d876e2p-5, 0x1.89da77a5bd265p-5, 0x1.87643a82436ebp-5, 0x1.84eea35cb372dp-5, 0x1.8279c20672ccp-5, 0x1.8005a5f8e5d1ep-5, 0x1.7d925e55eef83p-5, 0x1.7b1ff9e896a34p-5, 0x1.78ae872611a1bp-5, 0x1.763e142ed7216p-5, 0x1.73ceaecfbadcfp-5, 0x1.71606482d98c5p-5, 0x1.6ef34270562f8p-5, 0x1.6c87556f1dae7p-5, 0x1.6a1caa05cc9a4p-5, 0x1.67b34c6bb92b6p-5, 0x1.654b48898ca94p-5, 0x1.62e4a9fbe3c99p-5, 0x1.607f7c1ab0715p-5, 0x1.5e1bc9dc0feeep-5, 0x1.5bb99e0ec9cc4p-5, 0x1.5959031d31ab8p-5, 0x1.56fa0335bc2abp-5, 0x1.549ca83f8666bp-5, 0x1.5240fbdbe336fp-5, 0x1.4fe70767de341p-5, 0x1.4d8ed3fd8e8bbp-5, 0x1.4b386a753c704p-5, 0x1.48e3d3663bf1dp-5, 0x1.46911727ff142p-5, 0x1.44403dd2fb8fap-5, 0x1.41f14f41a933cp-5, 0x1.3fa453118c3eep-5, 0x1.3d5950a43bd8bp-5, 0x1.3b104f2073196p-5, 0x1.38c9557317841p-5, 0x1.36846a5032d54p-5, 0x1.34419433e027bp-5, 0x1.3200d9632dd6bp-5, 0x1.2fc23fed15308p-5, 0x1.2d85cdab76bc1p-5, 0x1.2b4b88441f4a9p-5, 0x1.29137529bc7f5p-5, 0x1.26dd999cec6f6p-5, 0x1.24a9faad2d96ap-5, 0x1.22789d39d5222p-5, 0x1.204985f2fc6eep-5, 0x1.1e1cb95a73755p-5, 0x1.1bf23bc4b4f72p-5, 0x1.19ca1159e649fp-5, 0x1.17a43e16c90e7p-5, 0x1.1580c5cda638ap-5, 0x1.135fac273daadp-5, 0x1.1140f4a3aec74p-5, 0x1.0f24a29b69194p-5, 0x1.0d0ab9401a2ep-5, 0x1.0af33b9d9572p-5, 0x1.08de2c9ab3428p-5, 0x1.06cb8efa39254p-5, 0x1.04bb655baf5a1p-5, 0x1.02adb23bfe7b4p-5, 0x1.00a277f67f76fp-5, 0x1.fd33718b704cp-6, 0x1.f926ed887bc47p-6, 0x1.f51f67db1a68fp-6, 0x1.f11ce43da9b09p-6, 0x1.ed1f662f6f33p-6, 0x1.e926f0f5e147cp-6, 0x1.e533879e4bd44p-6, 0x1.e1452cfed779cp-6, 0x1.dd5be3b84e0dfp-6, 0x1.d977ae374443bp-6, 0x1.d5988eb5df8c3p-6, 0x1.d1be873d9b436p-6, 0x1.cde999a85d3ccp-6, 0x1.ca19c7a17262ep-6, 0x1.c64f12a6ba7cep-6, 0x1.c2897c09e58b7p-6, 0x1.bec904f1b6126p-6, 0x1.bb0dae5b59e7ap-6, 0x1.b757791bb927ap-6, 0x1.b3a665e0ca16bp-6, 0x1.affa7532a87e6p-6, 0x1.ac53a774a6013p-6, 0x1.a8b1fce633ba5p-6, 0x1.a51575a3d9f04p-6, 0x1.a17e11a829726p-6, 0x1.9debd0ccd0257p-6, 0x1.9a5eb2cbb9868p-6, 0x1.96d6b74031feap-6, 0x1.9353dda7f3b2p-6, 0x1.8fd625640f6b6p-6, 0x1.8c5d8db9b745bp-6, 0x1.88ea15d2e1ed6p-6, 0x1.857bbcbf0682dp-6, 0x1.82128173cea3p-6, 0x1.7eae62cdff52cp-6, 0x1.7b4f5f925e66p-6, 0x1.77f5766eb8455p-6, 0x1.74a0a5fa8dbd4p-6, 0x1.7150ecb8028b8p-6, 0x1.6e064914522e7p-6, 0x1.6ac0b9684bbebp-6, 0x1.67803bf8cdc88p-6, 0x1.6444cef70870fp-6, 0x1.610e7081b47e2p-6, 0x1.5ddd1ea4d2996p-6, 0x1.5ab0d75b734cdp-6, 0x1.5789988fd762p-6, 0x1.5467601bf378ep-6, 0x1.514a2bca41ba8p-6, 0x1.4e31f9560a53fp-6, 0x1.4b1ec66b8f175p-6, 0x1.481090a8425fp-6, 0x1.4507559b2a45dp-6, 0x1.420312c54547bp-6, 0x1.3f03c59a164a4p-6, 0x1.3c096b804459ap-6, 0x1.391401d21a068p-6, 0x1.362385de0f523p-6, 0x1.3337f4e70903bp-6, 0x1.30514c2495e04p-6, 0x1.2d6f88c3047bcp-6, 0x1.2a92a7e370977p-6, 0x1.27baa69beca69p-6, 0x1.24e781f7bf06cp-6, 0x1.221936f7b941ep-6, 0x1.1f4fc292b062dp-6, 0x1.1c8b21b60410dp-6, 0x1.19cb51461413fp-6, 0x1.17104e1eb3081p-6, 0x1.145a1513449f9p-6, 0x1.11a8a2ee28746p-6, 0x1.0efbf46fb7134p-6, 0x1.0c54064e5717fp-6, 0x1.09b0d53853f1bp-6, 0x1.07125dd54e9e8p-6, 0x1.04789cc5c11dcp-6, 0x1.01e38ea1a21cep-6, 0x1.fea65feff6d3ap-7, 0x1.f98efa9f96421p-7, 0x1.f480e651aac0fp-7, 0x1.ef7c1bf7f5aa9p-7, 0x1.ea8094764fb09p-7, 0x1.e58e48a232a3ep-7, 0x1.e0a531425c91bp-7, 0x1.dbc5470eab2bep-7, 0x1.d6ee82b02f7d3p-7, 0x1.d220dcc178805p-7, 0x1.cd5c4dcf00e69p-7, 0x1.c8a0ce57b79b9p-7, 0x1.c3ee56cd5ca89p-7, 0x1.bf44df94e9596p-7, 0x1.baa46106a559p-7, 0x1.b60cd36e12fd8p-7, 0x1.b17e2f09cc18cp-7, 0x1.acf86c0b4574p-7, 0x1.a87b82967ffffp-7, 0x1.a4076ac212aebp-7, 0x1.9f9c1c972201cp-7, 0x1.9b399011a2301p-7, 0x1.96dfbd2077842p-7, 0x1.928e9ba5abd75p-7, 0x1.8e462378fe67ep-7, 0x1.8a064c63903e4p-7, 0x1.85cf0e2439303p-7, 0x1.81a0606e0be2fp-7, 0x1.7d7a3ae7bdccp-7, 0x1.795c952bdf7cdp-7, 0x1.754766c89be56p-7, 0x1.713aa73f93bcfp-7, 0x1.6d364e05c594ep-7, 0x1.693a52841d663p-7, 0x1.6546ac16a87fep-7, 0x1.615b520df9979p-7, 0x1.5d783baeef15bp-7, 0x1.599d6033267d6p-7, 0x1.55cab6c919fa4p-7, 0x1.52003694357cep-7, 0x1.4e3dd6acf5b0fp-7, 0x1.4a838e20b3eadp-7, 0x1.46d153f180b7cp-7, 0x1.43271f1613667p-7, 0x1.3f84e679a44f9p-7, 0x1.3beaa0fc0161cp-7, 0x1.38584571a7beep-7, 0x1.34cdcaa3f3bap-7, 0x1.314b275170c78p-7, 0x1.2dd0522e2ab1ep-7, 0x1.2a5d41e3f5f0ap-7, 0x1.26f1ed12b1a95p-7, 0x1.238e4a50783e2p-7, 0x1.20325029b3017p-7, 0x1.1cddf5212b3d6p-7, 0x1.19912faffbfd2p-7, 0x1.164bf645899bp-7, 0x1.130e3f47704cep-7, 0x1.0fd80111915fp-7, 0x1.0ca931f643c1fp-7, 0x1.0981c83e77edcp-7, 0x1.0661ba2a135cdp-7, 0x1.0348fdf00d1ddp-7, 0x1.003789becc42cp-7, 0x1.fa5aa778dcc72p-8, 0x1.f454a40e36269p-8, 0x1.ee5cf56a83e13p-8, 0x1.e87387ab6fd79p-8, 0x1.e29846dfdaa3fp-8, 0x1.dccb1f07f7779p-8, 0x1.d70bfc156b116p-8, 0x1.d15ac9eb94147p-8, 0x1.cbb7745fabf71p-8, 0x1.c621e7391ae3bp-8, 0x1.c09a0e31d64c3p-8, 0x1.bb1fd4f6f3d85p-8, 0x1.b5b32729202dap-8, 0x1.b053f05d5a1ddp-8, 0x1.ab021c1d6d182p-8, 0x1.a5bd95e89ed46p-8, 0x1.a086493411476p-8, 0x1.9b5c216b623b7p-8, 0x1.963f09f0f797fp-8, 0x1.912eee1e6d281p-8, 0x1.8c2bb944f916dp-8, 0x1.873556add18c8p-8, 0x1.824bb19a951b7p-8, 0x1.7d6eb545d89d7p-8, 0x1.789e4ce32a946p-8, 0x1.73da63a107e89p-8, 0x1.6f22e4a752202p-8, 0x1.6a77bb19f061p-8, 0x1.65d8d21814426p-8, 0x1.614614bd26cd3p-8, 0x1.5cbf6e21243f2p-8, 0x1.5844c95903576p-8, 0x1.53d61176ef9bp-8, 0x1.4f73318aa5ef9p-8, 0x1.4b1c14a1de28dp-8, 0x1.46d0a5c8a2dacp-8, 0x1.4290d009e9a0ap-8, 0x1.3e5c7e701647ep-8, 0x1.3a339c05cccb1p-8, 0x1.361613d6c5d56p-8, 0x1.3203d0f0a6a6dp-8, 0x1.2dfcbe64196d8p-8, 0x1.2a00c745894c2p-8, 0x1.260fd6adf214bp-8, 0x1.2229d7bb43a47p-8, 0x1.1e4eb59025fp-8, 0x1.1a7e5b539f38bp-8, 0x1.16b8b430ed7ccp-8, 0x1.12fdab5865f54p-8, 0x1.0f4d2c009d325p-8, 0x1.0ba7216686e9ep-8, 0x1.080b76cc7c4cbp-8, 0x1.047a1779a496fp-8, 0x1.00f2eebab477dp-8, 0x1.faebcfc72bf04p-9, 0x1.f405dca23475fp-9, 0x1.ed33dad44c367p-9, 0x1.e675a141e229fp-9, 0x1.dfcb06e7050ep-9, 0x1.d933e2d9616dfp-9, 0x1.d2b00c4929928p-9, 0x1.cc3f5a81bdd4p-9, 0x1.c5e1a4e986e2ep-9, 0x1.bf96c301dfd31p-9, 0x1.b95e8c6675ab2p-9, 0x1.b338d8cc9a00ep-9, 0x1.ad25800307dd3p-9, 0x1.a72459f1ec2dfp-9, 0x1.a1353e9baa3ddp-9, 0x1.9b58061e0a92bp-9, 0x1.958c88b3dca2dp-9, 0x1.8fd29eb6c112dp-9, 0x1.8a2a20a12d5efp-9, 0x1.8492e7105c60ep-9, 0x1.7f0ccac5d07e9p-9, 0x1.7997a4a84f4ep-9, 0x1.74334dc43b173p-9, 0x1.6edf9f4b641aep-9, 0x1.699c72945b2edp-9, 0x1.6469a119b1c6cp-9, 0x1.5f4704797cfa9p-9, 0x1.5a34767523fc7p-9, 0x1.5531d0f2128d3p-9, 0x1.503eedfb4edf4p-9, 0x1.4b5ba7c3eb06dp-9, 0x1.4687d8aa4a152p-9, 0x1.41c35b3bbc756p-9, 0x1.3d0e0a38203afp-9, 0x1.3867c09584cfep-9, 0x1.33d059828dc1dp-9, 0x1.2f47b066acbe1p-9, 0x1.2acda0dfd8a9cp-9, 0x1.266206bf2f315p-9, 0x1.2204be04f6777p-9, 0x1.1db5a2dbbc75ap-9, 0x1.1974919215644p-9, 0x1.15416694a4725p-9, 0x1.111bfe69ba5fbp-9, 0x1.0d0435af9ef3dp-9, 0x1.08f9e91d57b5ep-9, 0x1.04fcf586be736p-9, 0x1.010d37e34a833p-9, 0x1.fa551aaf24dp-10, 0x1.f2a9a680f1725p-10, 0x1.eb17ce7dd133cp-10, 0x1.e39f4e8609c5bp-10, 0x1.dc3fe32a2dac5p-10, 0x1.d4f949b71bb34p-10, 0x1.cdcb4038c9dfap-10, 0x1.c6b5857472bf3p-10, 0x1.bfb7d8d0cfeb4p-10, 0x1.b8d1fa5086643p-10, 0x1.b203aa5d29ba3p-10, 0x1.ab4ca9b6e795ep-10, 0x1.a4acb93aeeef2p-10, 0x1.9e2399e9419ddp-10, 0x1.97b10cb628f42p-10, 0x1.9154d2890c813p-10, 0x1.8b0eac3eb0472p-10, 0x1.84de5ab7d2181p-10, 0x1.7ec39ef39de05p-10, 0x1.78be3a3217d0bp-10, 0x1.72cdee1ccaf1dp-10, 0x1.6cf27cf112aadp-10, 0x1.672ba9a80c2ep-10, 0x1.6179381925caep-10, 0x1.5bdaed135015dp-10, 0x1.56508e6ae9614p-10, 0x1.50d9e2fa76636p-10, 0x1.4b76b295c2b3ep-10, 0x1.4626c5efdbf92p-10, 0x1.40e9e675eb6dfp-10, 0x1.3bbfde219dad8p-10, 0x1.36a87747b816dp-10, 0x1.31a37c66c8155p-10, 0x1.2cb0b7fc485c6p-10, 0x1.27cff463a4a75p-10, 0x1.2300fbc42be7ap-10, 0x1.1e43980f2b01ep-10, 0x1.1997930e932dp-10, 0x1.14fcb68217674p-10, 0x1.1072cc4672bfdp-10, 0x1.0bf99e817d3b7p-10, 0x1.0790f7ce35779p-10, 0x1.0338a3631ce03p-10, 0x1.fde0da6207d45p-11, 0x1.f57043ef3b6b3p-11, 0x1.ed1f1ea3d7a49p-11, 0x1.e4ed0775be10ap-11, 0x1.dcd99d1a5d667p-11, 0x1.d4e47ffe635d4p-11, 0x1.cd0d5237b787dp-11, 0x1.c553b76feedf2p-11, 0x1.bdb754b8a27fbp-11, 0x1.b637d060488f3p-11, 0x1.aed4d1ac1843bp-11, 0x1.a78e008d29e53p-11, 0x1.a0630552ff333p-11, 0x1.995388694e52ep-11, 0x1.925f322c3738ep-11, 0x1.8b85aadd57d3ap-11, 0x1.84c69abc29fb2p-11, 0x1.7e21aa3d96162p-11, 0x1.779682542893fp-11, 0x1.7124ccb8cae72p-11, 0x1.6acc341f8885p-11, 0x1.648c644be294cp-11, 0x1.5e650a008273p-11, 0x1.5855d2d0e6243p-11, 0x1.525e6ce6be483p-11, 0x1.4c7e86cfee6c4p-11, 0x1.46b5cf697a2e6p-11, 0x1.4103f5f2fd25cp-11, 0x1.3b68aa4b517f4p-11, 0x1.35e39d48f6938p-11, 0x1.3074811b08f83p-11, 0x1.2b1b099882fdfp-11, 0x1.25d6ec6c760f9p-11, 0x1.20a7e11136759p-11, 0x1.1b8da09e53c5fp-11, 0x1.1687e575df2a9p-11, 0x1.11966ae5a9a38p-11, 0x1.0cb8ecd59afedp-11, 0x1.07ef27986bff6p-11, 0x1.0338d7e4b82b5p-11, 0x1.fd2b75f003f9ap-12, 0x1.f40b1da14278fp-12, 0x1.eb1024ce6f863p-12, 0x1.e23a0b9979e52p-12, 0x1.d98854356dc3ap-12, 0x1.d0fa825f80434p-12, 0x1.c8901a850df7p-12, 0x1.c048a0c83cc17p-12, 0x1.b823982444927p-12, 0x1.b02081ef1c684p-12, 0x1.a83edde2a26ebp-12, 0x1.a07e2ab354967p-12, 0x1.98dde7184bcbdp-12, 0x1.915d93093e2efp-12, 0x1.89fcb0ea5e15ep-12, 0x1.82bac6683ecafp-12, 0x1.7b975ce0e23efp-12, 0x1.7492015a0873ap-12, 0x1.6daa4425928ap-12, 0x1.66dfb865a79dap-12, 0x1.6031f39f9d0bdp-12, 0x1.59a08d797c3ffp-12, 0x1.532b1fa588827p-12, 0x1.4cd145e4d24d1p-12, 0x1.46929e052f201p-12, 0x1.406ec7b91364cp-12, 0x1.3a656441a6d93p-12, 0x1.347615f0896ecp-12, 0x1.2ea07fa120212p-12, 0x1.28e444449f08cp-12, 0x1.2341069b6cce8p-12, 0x1.1db6691d15ccdp-12, 0x1.18440e00a4916p-12, 0x1.12e997530ccd5p-12, 0x1.0da6a7117e118p-12, 0x1.087adf4df6571p-12, 0x1.0365e27116778p-12, 0x1.fccea74204a71p-13, 0x1.f2fdae7e2d49fp-13, 0x1.e95826a636762p-13, 0x1.dfdd5f6381b55p-13, 0x1.d68cab8766497p-13, 0x1.cd65600d1e63ap-13, 0x1.c466d31b53134p-13, 0x1.bb905bcb2a1f3p-13, 0x1.b2e153331f52ep-13, 0x1.aa5916b3eefe9p-13, 0x1.a1f70ad439453p-13, 0x1.99ba9d8f26dddp-13, 0x1.91a346f523c33p-13, 0x1.89b0877b87a3dp-13, 0x1.81e1e42510f07p-13, 0x1.7a36e1813f05p-13, 0x1.72aefeffcba1bp-13, 0x1.6b49b40ec0bacp-13, 0x1.64066fe4a8dc1p-13, 0x1.5ce49be519188p-13, 0x1.55e39facbbedcp-13, 0x1.4f02e554dd037p-13, 0x1.4841dc9b365b9p-13, 0x1.419ffc35a3074p-13, 0x1.3b1cc1846c8dfp-13, 0x1.34b7aef73aeadp-13, 0x1.2e704a6ebdf85p-13, 0x1.28461bf7eb2ffp-13, 0x1.2238ad1d3f692p-13, 0x1.1c4788b3223p-13, 0x1.16723a95e276ep-13, 0x1.10b84ee95d20dp-13, 0x1.0b1950cb5ebe8p-13, 0x1.0594c902b04f5p-13, 0x1.002a3dad11ac5p-13, 0x1.f5b267cd1e80ep-14, 0x1.eb4267445204cp-14, 0x1.e103992fadf6cp-14, 0x1.d6f534fd12bfp-14, 0x1.cd168d023d552p-14, 0x1.c367095af004ep-14, 0x1.b9e61c1b9102bp-14, 0x1.b09332e34acc7p-14, 0x1.a76daadba0e5bp-14, 0x1.9e74cafc19a3ep-14, 0x1.95a7c5bb9195bp-14, 0x1.8d05c154bd6c1p-14, 0x1.848de388d8d94p-14, 0x1.7c3f572f2855fp-14, 0x1.74194db5baffbp-14, 0x1.6c1b037fc96e5p-14, 0x1.6443c0d53b1d4p-14, 0x1.5c92d772c7a01p-14, 0x1.55079f96b894fp-14, 0x1.4da176c125272p-14, 0x1.465fbce61092p-14, 0x1.3f41d1e4e28c9p-14, 0x1.3847143df82dp-14, 0x1.316ee18c05d86p-14, 0x1.2ab89889bb569p-14, 0x1.24239b4d65cep-14, 0x1.1daf50240f578p-14, 0x1.175b207c001cdp-14, 0x1.112676f87ddd2p-14, 0x1.0b10bf0bd70b9p-14, 0x1.051967df0acabp-14, 0x1.fe7fd3c876ac8p-15, 0x1.f3079764386eep-15, 0x1.e7c94434675dfp-15, 0x1.dcc413f602f47p-15, 0x1.d1f73ccb5030dp-15, 0x1.c761e0b7d46dcp-15, 0x1.bd0308ef2acdep-15, 0x1.b2d9ae7cb179ep-15, 0x1.a8e4c9fb1f5a4p-15, 0x1.9f23606edd39fp-15, 0x1.959485e6e373fp-15, 0x1.8c375608d0d8p-15, 0x1.830ae9b904aa6p-15, 0x1.7a0e5248af1e6p-15, 0x1.71409d1895c95p-15, 0x1.68a0dc0c5878fp-15, 0x1.602e2cd76021ep-15, 0x1.57e7bb8ad9d93p-15, 0x1.4fccc035d00b3p-15, 0x1.47dc793200feep-15, 0x1.40162410c47fp-15, 0x1.3878f75a40c95p-15, 0x1.31041f94dfa83p-15, 0x1.29b6c165a3633p-15, 0x1.229000bdfe8e6p-15, 0x1.1b8f0a8ee9cc2p-15, 0x1.14b31cdbc483fp-15, 0x1.0dfb898d35c1dp-15, 0x1.0767b34bd1be5p-15, 0x1.00f70433785b6p-15, 0x1.f551d31e38ea2p-16, 0x1.e8f99be27ea41p-16, 0x1.dce43810549d5p-16, 0x1.d1107d335cddcp-16, 0x1.c57d372ed6945p-16, 0x1.ba291a9b6ddd3p-16, 0x1.af12c68e1ddfap-16, 0x1.a438df752a2d5p-16, 0x1.999a33a2696ep-16, 0x1.8f35cc2a8408ep-16, 0x1.850ad9e40ef3dp-16, 0x1.7b188b9b52834p-16, 0x1.715dec99c3015p-16, 0x1.67d9e0c1aa697p-16, 0x1.5e8b389604afdp-16, 0x1.5570c7402c303p-16, 0x1.4c896c0f58b85p-16, 0x1.43d412614883ep-16, 0x1.3b4fb131f36b3p-16, 0x1.32fb4d7139fb7p-16, 0x1.2ad5fbfe487b9p-16, 0x1.22dee037f3c76p-16, 0x1.1b1526ce969a6p-16, 0x1.1377fd768d731p-16, 0x1.0c068c61b0addp-16, 0x1.04bff075f77dap-16, 0x1.fb467b12eca37p-17, 0x1.ed5f0e637ee18p-17, 0x1.dfc7dc3e2837cp-17, 0x1.d27f56d8c9498p-17, 0x1.c584250a50516p-17, 0x1.b8d50ac659bfep-17, 0x1.ac70bc5eb75aep-17, 0x1.a055b533f4d0ep-17, 0x1.9482323d5ede4p-17, 0x1.88f45a179019p-17, 0x1.7daa6f89f235dp-17, 0x1.72a2de034a55dp-17, 0x1.67dc239103cf4p-17, 0x1.5d54d16b7f73p-17, 0x1.530bb73a9cb1bp-17, 0x1.4900029ce263p-17, 0x1.3f31019e25e4fp-17, 0x1.359dd483b3049p-17, 0x1.2c45457a7feacp-17, 0x1.2325f19834edbp-17, 0x1.1a3e875e2ef1bp-17, 0x1.118ddd30b4b5p-17, 0x1.0912d77259504p-17, 0x1.00cc4d712fb27p-17, 0x1.f17214538e2c5p-18, 0x1.e1afb7f8c190ep-18, 0x1.d24f3ffcc741fp-18, 0x1.c34e8926b7ee8p-18, 0x1.b4ab8f9f34d25p-18, 0x1.a6646af108756p-18, 0x1.98774a73746e7p-18, 0x1.8ae26fe6f44b9p-18, 0x1.7da4265130be8p-18, 0x1.70bab6da9f32ep-18, 0x1.6424617247e94p-18, 0x1.57df5fd90adb5p-18, 0x1.4be9f433e838bp-18, 0x1.40427c20f82a6p-18, 0x1.34e77cbaae5eep-18, 0x1.29d79ea355548p-18, 0x1.1f1196e98be14p-18, 0x1.1493fe90516dbp-18, 0x1.0a5d2679466b5p-18, 0x1.006b09c91c569p-18, 0x1.ed76fb45e74bcp-19, 0x1.da99094a3c93bp-19, 0x1.c838f4d0d7b5dp-19, 0x1.b653f5e1bb6e4p-19, 0x1.a4e78f725631ap-19, 0x1.93f1b23001dc6p-19, 0x1.8370a58457cf2p-19, 0x1.73625a15ee363p-19, 0x1.63c4080407c2cp-19, 0x1.5492c3129bca7p-19, 0x1.45cc3b2a54f9ep-19, 0x1.376e9543f3a45p-19, 0x1.2977c638bf0b1p-19, 0x1.1be56e7608d03p-19, 0x1.0eb51af2da34ep-19, 0x1.01e469454f299p-19, 0x1.eae20f64eddb5p-20, 0x1.d2b16900638d1p-20, 0x1.bb328429666b9p-20, 0x1.a4613307abfb5p-20, 0x1.8e39752dbc12bp-20, 0x1.78b777148fe05p-20, 0x1.63d79218ba6cbp-20, 0x1.4f9647a425fcfp-20, 0x1.3bf0284edde2dp-20, 0x1.28e1b1e22483ep-20, 0x1.1667e8d2685dcp-20, 0x1.0480108750fd9p-20, 0x1.e64c5334e7961p-21, 0x1.c4ad4fe34248bp-21, 0x1.a41cd0424e8dep-21, 0x1.84947ee9fb1e1p-21, 0x1.660e3a8915b68p-21, 0x1.488445845c2f9p-21, 0x1.2bf1240f1aa2ep-21, 0x1.104f12d0b7a96p-21, 0x1.eb2f035bba419p-22, 0x1.b786eb479484cp-22, 0x1.8599e167a541bp-22, 0x1.555fc776908c6p-22, 0x1.26d216b90c6bcp-22, 0x1.f3cd8af2954b7p-23, 0x1.9d217c559260fp-23, 0x1.49881d9089335p-23, 0x1.f1d2ec1dd7481p-24, 0x1.5659182f2f1f3p-24, 0x1.81057d9a01e27p-25, 0x1.81f7476a28af9p-27, -0x1.6a2a8ea9d7c1cp-26, -0x1.bffb681d3f078p-25, -0x1.6041add995b8p-24, -0x1.db7ad90185bbp-24, -0x1.28e4568af8d54p-23, -0x1.61a4b25cfae97p-23, -0x1.980e64523eb78p-23, -0x1.cc31a79e4adcap-23, -0x1.fe1e2740ed405p-23, -0x1.16f15b41e947p-22, -0x1.2dc6bdacefb46p-22, -0x1.439610ff649dcp-22, -0x1.5865f9daacf5p-22, -0x1.6c3ceb61aa2c8p-22, -0x1.7f2124396a37cp-22, -0x1.9118b06ae0a3dp-22, -0x1.a22981f11442fp-22, -0x1.b258f57d671dp-22, -0x1.c1ae570e1c978p-22, -0x1.d02da63dd2eb7p-22, -0x1.ddddf75e5190bp-22, -0x1.eac4f4681ef81p-22, -0x1.f6e86fa13f40cp-22, -0x1.0126fbc7422d6p-21, -0x1.067d59552e88fp-21, -0x1.0b79ad5fd6d4cp-21, -0x1.101e3f410f3e2p-21, -0x1.146d77faef24cp-21, -0x1.1869eadae310ep-21, -0x1.1c16096ce7be4p-21, -0x1.1f73d6412016dp-21, -0x1.2285046d3f90ep-21, -0x1.254bb494271fep-21, -0x1.27cac90fa57f1p-21, -0x1.2a04a7b8769c9p-21, -0x1.2bfb3c645498ap-21, -0x1.2db046abc17cdp-21, -0x1.2f253afb2d8a9p-21, -0x1.305c21b1c95bep-21, -0x1.31573ced61ef7p-21, -0x1.32187f8de9af3p-21, -0x1.32a182cfd286ap-21, -0x1.32f3bf4528e82p-21, -0x1.3310e5b4237fcp-21, -0x1.32fac5b2787d2p-21, -0x1.32b2ed66554cap-21, -0x1.323ac5f105b32p-21, -0x1.3193d8edb30ccp-21, -0x1.30bfbc58950f6p-21, -0x1.2fbff7eac5fc8p-21, -0x1.2e95f49314a7fp-21, -0x1.2d430e68198c9p-21, -0x1.2bc899643cf3fp-21, -0x1.2a27e2a793b9dp-21, -0x1.28622fd11a9d6p-21, -0x1.2678be1b1b371p-21, -0x1.246cc238af973p-21, -0x1.223f69459a07bp-21, -0x1.1ff1dac7bf646p-21, -0x1.1d853a9e3a275p-21, -0x1.1afaa9c062cd4p-21, -0x1.1853454ae72b6p-21, -0x1.1590247ebeffep-21, -0x1.12b256e911b8dp-21, -0x1.0fbae31a55aaap-21, -0x1.0caac551645e7p-21, -0x1.0982edb78135fp-21, -0x1.0644405eed191p-21, -0x1.02ef9acc89b53p-21, -0x1.ff0bb82e5dc3bp-22, -0x1.f80fce316c421p-22, -0x1.f0ed3d68943dap-22, -0x1.e9a5b639295a7p-22, -0x1.e23aae3fcb661p-22, -0x1.daada85b711f3p-22, -0x1.d3009199cdd3dp-22, -0x1.cb35046848218p-22, -0x1.c34c13b0fd148p-22, -0x1.bb46f5a826211p-22, -0x1.b3273b9411941p-22, -0x1.aaee519a05644p-22, -0x1.a29d7fab9eec4p-22, -0x1.9a3605731c333p-22, -0x1.91b916f7d7eefp-22, -0x1.8927d79ee9e16p-22, -0x1.80836eeff93b3p-22, -0x1.77cd1b2ab95f3p-22, -0x1.6f060e8a1b8a7p-22, -0x1.662f663a09ac8p-22, -0x1.5d4a21e4de663p-22, -0x1.545729b6e7b9cp-22, -0x1.4b5780389e53ap-22, -0x1.424c2eac85eedp-22, -0x1.39362b228500bp-22, -0x1.30165d688c268p-22, -0x1.26eda626fe63fp-22, -0x1.1dbce07b9dd8dp-22, -0x1.1484e1149a4c1p-22, -0x1.0b46745cdfa84p-22, -0x1.02025dbf84b25p-22, -0x1.f172d27c2a8bep-23, -0x1.ded9b23752221p-23, -0x1.cc3bb8c0a81bfp-23, -0x1.b994e16946c16p-23, -0x1.a6e969d120776p-23, -0x1.943d14e8377dbp-23, -0x1.818fca35a83fcp-23, -0x1.6ee274f00e565p-23, -0x1.5c3657b7cf339p-23, -0x1.498c9054d4982p-23, -0x1.36e6a22db0a67p-23, -0x1.24453dc29c4a4p-23, -0x1.11a99f728d23ep-23, -0x1.fe297975db785p-24, -0x1.d90f34fc61629p-24, -0x1.b4068b3b1f91bp-24, -0x1.8f1193ba35fc5p-24, -0x1.6a3230d7170dp-24, -0x1.4569eb088e076p-24, -0x1.20babbaa5f12bp-24, -0x1.f84d0d8b0c3a4p-25, -0x1.af5cd0d28b0f5p-25, -0x1.66a832b8408ffp-25, -0x1.1e328d399d929p-25, -0x1.abfd779cdba29p-26, -0x1.1c1f1623755e5p-26, -0x1.199f19331224ep-27, 0x1.ebb9ab0601991p-34, 0x1.201bb9f5caef3p-27, 0x1.1d91d8f9d6193p-26, 0x1.aa730aed04b4fp-26, 0x1.1b56cbb8e43c5p-25, 0x1.611e66512f7f1p-25, 0x1.a68e42231a02p-25, 0x1.eba3b43d9082p-25, 0x1.182dff82324a3p-24, 0x1.3a5ac3f252266p-24, 0x1.5c57c852e0374p-24, 0x1.7e242a5e787bcp-24, 0x1.9fbed3464720ep-24, 0x1.c126e19cf0687p-24, 0x1.e25b9147a391ep-24, 0x1.01ae1317eb28cp-23, 0x1.1213f4e4660fep-23, 0x1.225f164033485p-23, 0x1.328f23b66504cp-23, 0x1.42a3ce6f4390bp-23, 0x1.529ccbb80d633p-23, 0x1.6279d3e4cca4ep-23, 0x1.723aa123a3145p-23, 0x1.81deef324816fp-23, 0x1.91667c1d35c7bp-23, 0x1.a0d1092bf737cp-23, 0x1.b01e5b416c5bfp-23, 0x1.bf4e3a85799ddp-23, 0x1.ce6071b2ccc2cp-23, 0x1.dd54ce0eda908p-23, 0x1.ec2b21294d17cp-23, 0x1.fae3445ca612ep-23, 0x1.04be8caa43aap-22, 0x1.0bfc40f006013p-22, 0x1.132aabb60d303p-22, 0x1.1a49b767d815bp-22, 0x1.21594fac5608p-22, 0x1.28596280aec5cp-22, 0x1.2f49ea4a74823p-22, 0x1.362ae15679719p-22, 0x1.3cfc3d08d92fcp-22, 0x1.43bdf063ad832p-22, 0x1.4a6fea56cb1c4p-22, 0x1.511226e1e66fbp-22, 0x1.57a4a0f88c3b5p-22, 0x1.5e2752530333p-22, 0x1.649a35dd0361ap-22, 0x1.6afd47f21bc23p-22, 0x1.71508530b1971p-22, 0x1.7793eb99e34ep-22, 0x1.7dc778a92a9dfp-22, 0x1.83eb295c2201bp-22, 0x1.89fefd57f4e47p-22, 0x1.9002f67f8734ep-22, 0x1.95f718c320b4ap-22, 0x1.9bdb67e850fe2p-22, 0x1.a1afe4b0210dp-22, 0x1.a7748f784fa1ep-22, 0x1.ad2970675c32bp-22, 0x1.b2ce884ad976cp-22, 0x1.b863d7db8e6a7p-22, 0x1.bde96e54c3182p-22, 0x1.c35f4ac99870ap-22, 0x1.c8c571bf82a89p-22, 0x1.ce1bed1fcb1e5p-22, 0x1.d362c9096895fp-22, 0x1.d89a213e4695p-22, 0x1.ddc24a170c9d9p-22, 0x1.e2dae078332f6p-22, 0x1.e7e176b824b34p-22, 0x1.ecdac0c58399fp-22, 0x1.f1c6b4170d5d2p-22, 0x1.f6a0b2ad09cebp-22, 0x1.fb6b6e8c3a2bbp-22, 0x1.0013a07f0c998p-21, 0x1.0269f6bff0d4fp-21, 0x1.04b8b7a154e9ap-21, 0x1.06ffe6f30b08p-21, 0x1.093f8d547e21p-21, 0x1.0b77b01955274p-21, 0x1.0da856da7b66cp-21, 0x1.0fd189882a03ep-21, 0x1.11f3511f385efp-21, 0x1.140db746ff73ap-21, 0x1.1620c653cee26p-21, 0x1.182c83b6f9c1p-21, 0x1.1a30ba3cbcd78p-21, 0x1.1c2d57f0549e1p-21, 0x1.1e238f68763f8p-21, 0x1.20125d189c24fp-21, 0x1.21f9c60051c0bp-21, 0x1.23da08ddac014p-21, 0x1.25b331aab5534p-21, 0x1.2785480d905fdp-21, 0x1.295053a44c29fp-21, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.2e083235de31ep-8, 0x1.51a615ff8453bp-8, -0x1.bf0e2beb968dap-15, -0x1.6b5b8e0fbaeeep-7, -0x1.bd4094d6ff5e2p-6, -0x1.822fb1a59dfaap-5, -0x1.1d7cd7896def5p-4, -0x1.7f6be03cf7bf2p-4, -0x1.e25f11c391b6bp-4, -0x1.2143b9f6b3debp-3, -0x1.4e6c32eddeb46p-3, -0x1.7780aa60e1737p-3, -0x1.9baed1d535eb8p-3, -0x1.ba6fe3bd0d881p-3, -0x1.d37d6050183bp-3, -0x1.e6c5e9cd4a846p-3, -0x1.f462d5e279d6fp-3, -0x1.fc8ebc0715a7p-3, -0x1.ff9d228085db9p-3, -0x1.fdf34d7cd381fp-3, -0x1.f802257da35fcp-3, -0x1.ee4122fa9d2e1p-3, -0x1.e12a2929587dep-3, -0x1.d13637c81aa53p-3, -0x1.bedada4e519c2p-3, -0x1.aa883afcc09dp-3, -0x1.94a7c19af8b62p-3, -0x1.7d9b26ead2b6p-3, -0x1.65bbe848aa8dfp-3, -0x1.4d5b08a32fe4ep-3, -0x1.34c10e9603344p-3, -0x1.1c2e3148712abp-3, -0x1.03daa82638d4fp-3, -0x1.d7ee26af29d93p-4, -0x1.a959e95a02402p-4, -0x1.7c3e64b4d8003p-4, -0x1.50d53c75953e3p-4, -0x1.274cfb4b1fec1p-4, -0x1.ff943b497511p-5, -0x1.b4d026ace5855p-5, -0x1.6e746aab24063p-5, -0x1.2c995bab65f33p-5, -0x1.de95474b2797fp-6, -0x1.6d11ae7c7e847p-6, -0x1.0495d978d3a64p-6, -0x1.49fe5453dc3b9p-7, -0x1.3873bcf518f1dp-8, 0x1.357522a2a86bep-16, 0x1.1a1836ed9b33cp-8, 0x1.09b6d7c5856ep-7, 0x1.774427593eab1p-7, 0x1.d666f61f4aa84p-7, 0x1.13eca28ccd546p-6, 0x1.362cebb3dbfe4p-6, 0x1.525512a92298p-6, 0x1.68c64810bda24p-6, 0x1.79e168b58c0cbp-6, 0x1.8606501e9a1c9p-6, 0x1.8d934469a76c4p-6, 0x1.90e47825c4605p-6, 0x1.9053a0ca850fbp-6, 0x1.8c37a0a159925p-6, 0x1.84e4423b3eebfp-6, 0x1.7aaa031e3cea2p-6, 0x1.6dd5ebb495313p-6, 0x1.5eb1726187ec2p-6, 0x1.4d82687f4feb7p-6, 0x1.3a8af1012933ep-6, 0x1.26097fe93e119p-6, 0x1.1038e1fa46d05p-6, 0x1.f2a095fe86a6dp-7, 0x1.c306d1597a3e5p-7, 0x1.9204f24536e33p-7, 0x1.5ff4c679a65a3p-7, 0x1.2d29a2ce618ap-7, 0x1.f3e1393a0c91dp-8, 0x1.8d219044a75c7p-8, 0x1.2696f5f88a4aap-8, 0x1.8172464d50356p-9, 0x1.6fd5ae62cb77fp-10, -0x1.d42d68ad284d8p-14, -0x1.a2fc567e5a0c5p-10, -0x1.9008ac92a13f1p-9, -0x1.24d767d029f79p-8, -0x1.7ef70f502731ep-8, -0x1.d629704796de9p-8, -0x1.151dccac16212p-7, -0x1.3d80898bb82bbp-7, -0x1.6429b8ee345d7p-7, -0x1.8908f57d0e01ep-7, -0x1.ac10770179bd3p-7, -0x1.cd34e1a61d0fp-7, -0x1.ec6d17d904087p-7, -0x1.04d907751fe81p-6, -0x1.127f534444cf6p-6, -0x1.1f27c15a5c2fbp-6, -0x1.2ad1741d18783p-6, -0x1.357c4da5272bep-6, -0x1.3f28e00f5e431p-6, -0x1.47d85eb0d9488p-6, -0x1.4f8c90274adcep-6, -0x1.5647c133e3fe2p-6, -0x1.5c0cb85d7d9c2p-6, -0x1.60deaa4b7b61bp-6, -0x1.64c12ef4f8454p-6, -0x1.67b83772f1a7bp-6, -0x1.69c80499d46adp-6, -0x1.6af51e3909b79p-6, -0x1.6b444b08fd9eep-6, -0x1.6aba8912b64f2p-6, -0x1.695d06dd1b13cp-6, -0x1.67311ce1f1d62p-6, -0x1.643c47990bfccp-6, -0x1.608422020dbaap-6, -0x1.5c0e606015126p-6, -0x1.56e0cb8db89e7p-6, -0x1.51013c7217b3fp-6, -0x1.4a7597f7f6afp-6, -0x1.4343cb20aeabdp-6, -0x1.3b71c75d8d3d8p-6, -0x1.33057f7db6444p-6, -0x1.2a04e441777bbp-6, -0x1.2075e19d2d421p-6, -0x1.165e5c45e74e4p-6, -0x1.0bc42ed636e6cp-6, -0x1.00ad27dadf774p-6, -0x1.ea3e0f8a7e62p-7, -0x1.d23efd7401526p-7, -0x1.b968568308ec3p-7, -0x1.9fc530fc80f7fp-7, -0x1.85607933008c9p-7, -0x1.6a44f00c37694p-7, -0x1.4e7d27e86292cp-7, -0x1.321382434fc89p-7, -0x1.15122f496d8b4p-7, -0x1.ef0656e4f4cc9p-8, -0x1.b2e07ae42e712p-8, -0x1.75c5ed19d1ef1p-8, -0x1.37c96258515b2p-8, -0x1.f1fa3bd558c02p-9, -0x1.72e5e6130d3a6p-9, -0x1.e4f1100c73a83p-10, -0x1.c34ff48496e58p-11, 0x1.1e6c4f633c3ecp-13, 0x1.2b2f560596173p-10, 0x1.1a1f8b836c8fdp-9, 0x1.9f60268e1024fp-9, 0x1.129e0e3ad1eb7p-8, 0x1.55cb7805219a8p-8, 0x1.992a86bf272e2p-8, 0x1.dcade146757d5p-8, 0x1.10244d5e2f4b5p-7, 0x1.31f71ab235886p-7, 0x1.53c9521164e59p-7, 0x1.7595226a14729p-7, 0x1.9754ee8a72d0fp-7, 0x1.b9034e8ba2c01p-7, 0x1.da9b0f6d76494p-7, 0x1.fc17301b510a6p-7, 0x1.0eb97053fb9c8p-6, 0x1.1f54c1cf10acap-6, 0x1.2fdb563d9fa41p-6, 0x1.404b0e1eb3944p-6, 0x1.50a1e0adae588p-6, 0x1.60dddcf8e16b4p-6, 0x1.70fd28fc95708p-6, 0x1.80fdff3247e7dp-6, 0x1.90deae2731fb9p-6, 0x1.a09d9a4c0363dp-6, 0x1.b0393e15fd9c7p-6, 0x1.bfb02729c7e37p-6, 0x1.cf00f45c4df35p-6, 0x1.de2a572071e2ep-6, 0x1.ed2b1564813ecp-6, 0x1.fc0208169d523p-6, 0x1.05570bea5449bp-5, 0x1.0c971e11d2994p-5, 0x1.13c0beca1e5f1p-5, 0x1.1ad37b6880a41p-5, 0x1.21cee92b10af5p-5, 0x1.28b2a3cd676a1p-5, 0x1.2f7e4d8aa32d4p-5, 0x1.3631901ed6e67p-5, 0x1.3ccc1cfa65158p-5, 0x1.434dac1a44e24p-5, 0x1.49b5fae931f47p-5, 0x1.5004cc632421ep-5, 0x1.5639e9ec10113p-5, 0x1.5c552364c491p-5, 0x1.62564e270389ap-5, 0x1.683d440f7584fp-5, 0x1.6e09e392a9801p-5, 0x1.73bc10736286ep-5, 0x1.7953b3ecfa361p-5, 0x1.7ed0bbe422379p-5, 0x1.843319f5c3bdbp-5, 0x1.897ac353e2f63p-5, 0x1.8ea7b1585f811p-5, 0x1.93b9e1e5caa57p-5, 0x1.98b156f1c82ddp-5, 0x1.9d8e159cf1fc4p-5, 0x1.a25025bb8e1d8p-5, 0x1.a6f7921d2a8c2p-5, 0x1.ab8469114f596p-5, 0x1.aff6bc6e45f81p-5, 0x1.b44ea0ef8d86ap-5, 0x1.b88c2d816c6ap-5, 0x1.bcaf7b139e418p-5, 0x1.c0b8a4f2a693cp-5, 0x1.c4a7c928a9d3cp-5, 0x1.c87d086505566p-5, 0x1.cc38856b307ecp-5, 0x1.cfda6488da05ap-5, 0x1.d362cb7affee2p-5, 0x1.d6d1e1b667e37p-5, 0x1.da27d0b336a0dp-5, 0x1.dd64c3e008d59p-5, 0x1.e088e8330251bp-5, 0x1.e3946bb6cd262p-5, 0x1.e6877d6491122p-5, 0x1.e9624d4df7607p-5, 0x1.ec250cdd9d8edp-5, 0x1.eecfeee4a1c8p-5, 0x1.f1632758ade8dp-5, 0x1.f3deeaf350711p-5, 0x1.f6436ef8bfa19p-5, 0x1.f890e93d82badp-5, 0x1.fac79052c27bep-5, 0x1.fce79ba9b0471p-5, 0x1.fef1438361605p-5, 0x1.00726057f414dp-4, 0x1.01612626047a1p-4, 0x1.02450fd240c31p-4, 0x1.031e3a20cad2fp-4, 0x1.03ecc203531d2p-4, 0x1.04b0c4a33d13bp-4, 0x1.056a5f58fa958p-4, 0x1.0619af93b0076p-4, 0x1.06bed2c1f0d88p-4, 0x1.0759e64765122p-4, 0x1.07eb077f74454p-4, 0x1.087253c75bb8dp-4, 0x1.08efe8868e5fcp-4, 0x1.0963e32b88437p-4, 0x1.09ce611c6aebbp-4, 0x1.0a2f7fa5cc284p-4, 0x1.0a875bf0fbb71p-4, 0x1.0ad61303007c8p-4, 0x1.0b1bc1c1d88e6p-4, 0x1.0b5884fbf179p-4, 0x1.0b8c796b2b233p-4, 0x1.0bb7bbaec28b8p-4, 0x1.0bda683fc3d4ep-4, 0x1.0bf49b67dde57p-4, 0x1.0c06713dd379dp-4, 0x1.0c1005a68d0e4p-4, 0x1.0c11745977e8ap-4, 0x1.0c0ad8e5cb3d9p-4, 0x1.0bfc4eb508e57p-4, 0x1.0be5f105f8c78p-4, 0x1.0bc7dae6b1d99p-4, 0x1.0ba2272f0684cp-4, 0x1.0b74f07f28254p-4, 0x1.0b405140712cdp-4, 0x1.0b0463a833c66p-4, 0x1.0ac141bbe6636p-4, 0x1.0a7705540997cp-4, 0x1.0a25c81b3bd75p-4, 0x1.09cda38a6a25bp-4, 0x1.096eb0e5a570cp-4, 0x1.0909093b107a5p-4, 0x1.089cc5633fb9p-4, 0x1.0829fe02c14c4p-4, 0x1.07b0cb8d1fdffp-4, 0x1.0731464870b7fp-4, 0x1.06ab864f2ead2p-4, 0x1.061fa38f3c7f5p-4, 0x1.058db5c7bdabep-4, 0x1.04f5d4881dd96p-4, 0x1.045817306dbbp-4, 0x1.03b494f283c07p-4, 0x1.030b64d3bd63dp-4, 0x1.025c9dafa3c23p-4, 0x1.01a8563acf2eep-4, 0x1.00eea5048d96dp-4, 0x1.002fa076a24a7p-4, 0x1.fed6bda8c9f96p-5, 0x1.fd43ec759c813p-5, 0x1.fba6f942fa438p-5, 0x1.fa000fb7f49ebp-5, 0x1.f84f5b35f8516p-5, 0x1.f69506dc00ebbp-5, 0x1.f4d13d8a91496p-5, 0x1.f30429e72a917p-5, 0x1.f12df65dcdd4fp-5, 0x1.ef4ecd20e1516p-5, 0x1.ed66d829891b2p-5, 0x1.eb76413920fe8p-5, 0x1.e97d31dae7493p-5, 0x1.e77bd3654b64bp-5, 0x1.e5724efb0c973p-5, 0x1.e360cd8d4804bp-5, 0x1.e14777de5a809p-5, 0x1.df267684987fap-5, 0x1.dcfdf1eb927e7p-5, 0x1.dace125411d6fp-5, 0x1.d896ffd3ef3bcp-5, 0x1.d658e256715d9p-5, 0x1.d413e19cc7025p-5, 0x1.d1c8253e795e3p-5, 0x1.cf75d4aa1171dp-5, 0x1.cd1d172653a4bp-5, 0x1.cabe13d412aadp-5, 0x1.c858f1afd7234p-5, 0x1.c5edd7927d926p-5, 0x1.c37cec3083a59p-5, 0x1.c1065618ff9dp-5, 0x1.be8a3bb506e3fp-5, 0x1.bc08c347b3584p-5, 0x1.b98212ee5a878p-5, 0x1.b6f650a0c329dp-5, 0x1.b465a2314634dp-5, 0x1.b1d02d4d0564dp-5, 0x1.af36177c0d036p-5, 0x1.ac9786213a929p-5, 0x1.a9f49e797115p-5, 0x1.a74d859a6a782p-5, 0x1.a4a260718e452p-5, 0x1.a1f353c34972bp-5, 0x1.9f40842aaa78ap-5, 0x1.9c8a1618f16ccp-5, 0x1.99d02dd4deaecp-5, 0x1.9712ef79b80afp-5, 0x1.94527ef636fdfp-5, 0x1.918f000b8a531p-5, 0x1.8ec8964c7c596p-5, 0x1.8bff651c6e2c6p-5, 0x1.89338fae2b3afp-5, 0x1.8665390294b1p-5, 0x1.839483e76745cp-5, 0x1.80c192f617e7dp-5, 0x1.7dec88929fe05p-5, 0x1.7b1586ea26d4ep-5, 0x1.783caff19c9a4p-5, 0x1.75622564346bp-5, 0x1.728608c20b64ap-5, 0x1.6fa87b4ee85ap-5, 0x1.6cc99e111825cp-5, 0x1.69e991d02ff37p-5, 0x1.67087713919b9p-5, 0x1.64266e20e409bp-5, 0x1.614396fa74694p-5, 0x1.5e60115dc9a36p-5, 0x1.5b7bfcc23d7d4p-5, 0x1.58977857a3c98p-5, 0x1.55b2a304f35cp-5, 0x1.52cd9b66e7f47p-5, 0x1.4fe87fcea2662p-5, 0x1.4d036e4050d7cp-5, 0x1.4a1e8471cf456p-5, 0x1.4739dfc95345p-5, 0x1.44559d5c0e4acp-5, 0x1.4171d9ecccc2ep-5, 0x1.3e8eb1eaacbe5p-5, 0x1.3bac416fef5c9p-5, 0x1.38caa440de9e7p-5, 0x1.35e9f5cac4754p-5, 0x1.330a5122c98c2p-5, 0x1.302bd104c32d2p-5, 0x1.2d4e8fd1f7a6cp-5, 0x1.2a72a78fe148fp-5, 0x1.279831e7067ecp-5, 0x1.24bf4821f083fp-5, 0x1.21e8032c51404p-5, 0x1.1f127b922fd26p-5, 0x1.1c3ec97f31404p-5, 0x1.196d04bde39e1p-5, 0x1.169d44b70a439p-5, 0x1.13cfa070d7b59p-5, 0x1.11042e8e24be9p-5, 0x1.0e3b054d8aae3p-5, 0x1.0b743a888f895p-5, 0x1.08afe3b2e7b18p-5, 0x1.05ee15d9cec4dp-5, 0x1.032ee5a391654p-5, 0x1.0072674f35435p-5, 0x1.fb715d6889615p-6, 0x1.f6039e853d8dap-6, 0x1.f09bb8049bc4fp-6, 0x1.eb39cf2694219p-6, 0x1.e5de085a37a52p-6, 0x1.e088873d0f557p-6, 0x1.db396e9a65478p-6, 0x1.d5f0e06aa6ffp-6, 0x1.d0aefdd2fbe0cp-6, 0x1.cb73e72530caap-6, 0x1.c63fbbdfc842bp-6, 0x1.c1129aae68f22p-6, 0x1.bbeca16a6f4e9p-6, 0x1.b6cded1b8b3abp-6, 0x1.b1b699f8720ecp-6, 0x1.aca6c367622fp-6, 0x1.a79e83feaf14fp-6, 0x1.a29df585204e4p-6, 0x1.9da530f24cf7fp-6, 0x1.98b44e6f01c6ep-6, 0x1.93cb6555ce78fp-6, 0x1.8eea8c33cadd2p-6, 0x1.8a11d8c98e86ap-6, 0x1.8541600c6d753p-6, 0x1.80793627e497fp-6, 0x1.7bb96e7f1c204p-6, 0x1.77021bae91f15p-6, 0x1.72534f8da194p-6, 0x1.6dad1b3002514p-6, 0x1.690f8ee73abep-6, 0x1.647aba43e5d5cp-6, 0x1.5feeac1703576p-6, 0x1.5b6b72735580ap-6, 0x1.56f11aaec3b6fp-6, 0x1.527fb163f4c6fp-6, 0x1.4e1742741411bp-6, 0x1.49b7d908c7fbp-6, 0x1.45617f965128fp-6, 0x1.41143fddd563dp-6, 0x1.3cd022efa2047p-6, 0x1.3895312d7dddcp-6, 0x1.3463724cd8ab4p-6, 0x1.303aed58eff15p-6, 0x1.2c1ba8b4cf461p-6, 0x1.2805aa1d4dc98p-6, 0x1.23f8f6aafaba6p-6, 0x1.1ff592d4257c9p-6, 0x1.1bfb826eed5d1p-6, 0x1.180ac8b37c42dp-6, 0x1.1423683e6f1ccp-6, 0x1.104563134829fp-6, 0x1.0c70ba9f13ec3p-6, 0x1.08a56fbb07c53p-6, 0x1.04e382af3447ep-6, 0x1.012af3351f9c9p-6, 0x1.faf780f4a50d6p-7, 0x1.f3abd2459289ap-7, 0x1.ec72d696a7199p-7, 0x1.e54c8917e9108p-7, 0x1.de38e3f434017p-7, 0x1.d737e05608331p-7, 0x1.d049766c63edbp-7, 0x1.c96d9d6f98907p-7, 0x1.c2a44ba6822a7p-7, 0x1.bbed766bcbbecp-7, 0x1.b54912334e45dp-7, 0x1.aeb7128f7dc19p-7, 0x1.a8376a36ba2bcp-7, 0x1.a1ca0b089d944p-7, 0x1.9b6ee61318fc6p-7, 0x1.9525eb976862bp-7, 0x1.8eef0b0ef7534p-7, 0x1.88ca333011651p-7, 0x1.82b751f2aaa4ep-7, 0x1.7cb6549518845p-7, 0x1.76c727a0f2317p-7, 0x1.70e9b6f00772bp-7, 0x1.6b1dedb176797p-7, 0x1.6563b66ec484cp-7, 0x1.5fbafb11238dap-7, 0x1.5a23a4e67735ep-7, 0x1.549d9ca663913p-7, 0x1.4f28ca770d1dap-7, 0x1.49c515f1bb2eep-7, 0x1.447266271d758p-7, 0x1.3f30a1a38e926p-7, 0x1.39ffae730f071p-7, 0x1.34df7225558adp-7, 0x1.2fcfd1d1d8e6p-7, 0x1.2ad0b21c305b4p-7, 0x1.25e1f7387a665p-7, 0x1.210384f04e86ep-7, 0x1.1c353ea7ba05ap-7, 0x1.1777076273c12p-7, 0x1.12c8c1c923d23p-7, 0x1.0e2a502e61955p-7, 0x1.099b94937d359p-7, 0x1.051c70aca90e9p-7, 0x1.00acc5e496bddp-7, 0x1.f898eabf02433p-8, 0x1.eff6bffb35617p-8, 0x1.e772ccba0fb3cp-8, 0x1.df0cd1b7ac4d7p-8, 0x1.d6c48f33cff0ap-8, 0x1.ce99c4f6c25cbp-8, 0x1.c68c32578fe59p-8, 0x1.be9b964404f62p-8, 0x1.b6c7af4a72afep-8, 0x1.af103ba5789c2p-8, 0x1.a774f948c06f6p-8, 0x1.9ff5a5ee5183p-8, 0x1.9891ff23825b7p-8, 0x1.9149c2543c5e6p-8, 0x1.8a1cacd40dfd9p-8, 0x1.830a7be3e6534p-8, 0x1.7c12ecb49baeap-8, 0x1.7535bc658a9b8p-8, 0x1.6e72a800ea99fp-8, 0x1.67c96c75ca2b8p-8, 0x1.6139c6921c9b7p-8, 0x1.5ac372fddd082p-8, 0x1.54662e38d616fp-8, 0x1.4e21b49cfe477p-8, 0x1.47f5c265c9bb6p-8, 0x1.41e213bcfa855p-8, 0x1.3be664cc81718p-8, 0x1.360271d444a28p-8, 0x1.3035f741b84cep-8, 0x1.2a80b1c753243p-8, 0x1.24e25e70d3589p-8, 0x1.1f5abab257cd8p-8, 0x1.19e984700219fp-8, 0x1.148e79fcc95a4p-8, 0x1.0f495a10c7048p-8, 0x1.0a19e3b713b24p-8, 0x1.04ffd635ce20dp-8, 0x1.fff5e1e5d9b2dp-9, 0x1.f615e6b2dc49bp-9, 0x1.ec5f3985f2df3p-9, 0x1.e2d158d2b953cp-9, 0x1.d96bc2c5c8c01p-9, 0x1.d02df557880ebp-9, 0x1.c7176e7904c96p-9, 0x1.be27ac593ec68p-9, 0x1.b55e2dbd24ea6p-9, 0x1.acba726237b5ap-9, 0x1.a43bfb61641f8p-9, 0x1.9be24b86fa257p-9, 0x1.93ace795d7894p-9, 0x1.8b9b566b90f7ap-9, 0x1.83ad2100e5ff8p-9, 0x1.7be1d241f04c9p-9, 0x1.7438f6c291e11p-9, 0x1.6cb21c5242d1fp-9, 0x1.654cd17c10861p-9, 0x1.5e08a4fe1a576p-9, 0x1.56e525483f0d1p-9, 0x1.4fe1e010fc2f8p-9, 0x1.48fe620e87671p-9, 0x1.423a36ddff48p-9, 0x1.3b94e91fa3a8dp-9, 0x1.350e02c870b51p-9, 0x1.2ea50da4367bap-9, 0x1.285993fe55c55p-9, 0x1.222b21611dad2p-9, 0x1.1c19435ad1b09p-9, 0x1.16238a3351daep-9, 0x1.10498980681dbp-9, 0x1.0a8ad886399c8p-9, 0x1.04e71259bb89ep-9, 0x1.febbab7714d92p-10, 0x1.f3dd895c50588p-10, 0x1.e933079868c7dp-10, 0x1.debb72dc1ca6dp-10, 0x1.d4761961f3087p-10, 0x1.ca6248eec8acp-10, 0x1.c07f4cf4f32a9p-10, 0x1.b6cc6d092d606p-10, 0x1.ad48ebd2741dap-10, 0x1.a3f40691dfb0fp-10, 0x1.9accf55486fcbp-10, 0x1.91d2ebcf0d833p-10, 0x1.89051ad5ef663p-10, 0x1.8062b25485f34p-10, 0x1.77eae39acb70bp-10, 0x1.6f9ce3cf19e73p-10, 0x1.6777ee4d940a7p-10, 0x1.5f7b46be5bc86p-10, 0x1.57a63ab04bd35p-10, 0x1.4ff8228f8a15cp-10, 0x1.487061dd8a088p-10, 0x1.410e66a05f17ep-10, 0x1.39d1a8122c063p-10, 0x1.32b9a4ac1fc7ap-10, 0x1.2bc5dfb778a9ep-10, 0x1.24f5de9a8c717p-10, 0x1.1e49261e3a4aep-10, 0x1.17bf37e45d821p-10, 0x1.1157904710ac1p-10, 0x1.0b11a4c80e4dep-10, 0x1.04ece32f8646ep-10, 0x1.fdd162d212d31p-11, 0x1.f208dc3e780e2p-11, 0x1.e67ee41789bedp-11, 0x1.db3223c2eaa56p-11, 0x1.d02141599f2fep-11, 0x1.c54ae4fa3acc5p-11, 0x1.baadbe41bb855p-11, 0x1.b048897a8942p-11, 0x1.a61a14158d936p-11, 0x1.9c21400f9631cp-11, 0x1.925d05fb34452p-11, 0x1.88cc758c2c603p-11, 0x1.7f6eb49faea72p-11, 0x1.7642fce3af482p-11, 0x1.6d48985cea0dap-11, 0x1.647edd214e013p-11, 0x1.5be528a3c5784p-11, 0x1.537adaf22b329p-11, 0x1.4b3f5233daf16p-11, 0x1.4331e6b086435p-11, 0x1.3b51e7910ded4p-11, 0x1.339e9883a5279p-11, 0x1.2c173062108c4p-11, 0x1.24bad8f1e3779p-11, 0x1.1d88afc539b05p-11, 0x1.167fc8304f2a2p-11, 0x1.0f9f2e2a45ed1p-11, 0x1.08e5e9d058995p-11, 0x1.0253032f7044fp-11, 0x1.f7cb0bdc26802p-12, 0x1.eb3909084c443p-12, 0x1.deee358d22733p-12, 0x1.d2e8df76eecdap-12, 0x1.c7276d8b2e082p-12, 0x1.bba8609bdcaaap-12, 0x1.b06a541fea5b9p-12, 0x1.a56bfe309655fp-12, 0x1.9aac2ee7e2677p-12, 0x1.9029cee6c5e3p-12, 0x1.85e3dcc48436fp-12, 0x1.7bd9693766954p-12, 0x1.720991fe6cd43p-12, 0x1.68737bd7d9287p-12, 0x1.5f164c1863b67p-12, 0x1.55f122aeaa897p-12, 0x1.4d031565c23p-12, 0x1.444b2d207a1e4p-12, 0x1.3bc865701e584p-12, 0x1.3379ae797407dp-12, 0x1.2b5df0966baa8p-12, 0x1.237410c2916fp-12, 0x1.1bbaf4a3d186fp-12, 0x1.1431851918f2ap-12, 0x1.0cd6ae9cd35bdp-12, 0x1.05a95f6c61b21p-12, 0x1.fd51084da4bbep-13, 0x1.efa6087687a1cp-13, 0x1.e24f7f9b32a4bp-13, 0x1.d54b21090ed21p-13, 0x1.c8969bf5ea8f4p-13, 0x1.bc2faaeeefedap-13, 0x1.b01426ef6f93ap-13, 0x1.a44219998d334p-13, 0x1.98b7c9c749fecp-13, 0x1.8d73bebc7dd41p-13, 0x1.8274b8857257cp-13, 0x1.77b99ef70165bp-13, 0x1.6d416b5461eafp-13, 0x1.630b1225fe15p-13, 0x1.591572a11c254p-13, 0x1.4f5f4f4cf945ap-13, 0x1.45e750cb1e966p-13, 0x1.3cac10def8a14p-13, 0x1.33ac29d7f72fbp-13, 0x1.2ae645e29c668p-13, 0x1.22592a6397b5bp-13, 0x1.1a03bce3001aap-13, 0x1.11e50085603f6p-13, 0x1.09fc0c5bc53f1p-13, 0x1.0247fbf264bb7p-13, 0x1.f58fb91f5708cp-14, 0x1.e6f5353d4dd6cp-14, 0x1.d8bde70e81c58p-14, 0x1.cae6e03dc0e57p-14, 0x1.bd6cd57d01dd2p-14, 0x1.b04c433a48dc5p-14, 0x1.a381a5e074d42p-14, 0x1.9709ba7df2f87p-14, 0x1.8ae1b8e9f549dp-14, 0x1.7f077863f3279p-14, 0x1.7379741cf2f28p-14, 0x1.6836ad4280974p-14, 0x1.5d3e72065e345p-14, 0x1.5290195e61f08p-14, 0x1.482ac67104be1p-14, 0x1.3e0d433f7ea08p-14, 0x1.3435f95aaea2dp-14, 0x1.2aa30535b45f8p-14, 0x1.21525973d937p-14, 0x1.1841e5a036625p-14, 0x1.0f6fb6858d02dp-14, 0x1.06da0ad324ad9p-14, 0x1.fcfeb5a84ab13p-15, 0x1.ecbca8aa99191p-15, 0x1.dceb9be5dcdeep-15, 0x1.cd896c8990d1dp-15, 0x1.be94066c646dap-15, 0x1.b00947a48c79ep-15, 0x1.a1e6e7c9706bep-15, 0x1.942a5f75c7351p-15, 0x1.86d0d0cc3cf7ap-15, 0x1.79d6f97391c5ap-15, 0x1.6d393af769a61p-15, 0x1.60f3c253da7ecp-15, 0x1.5502cb75d1263p-15, 0x1.4962f038d525cp-15, 0x1.3e116be1d153cp-15, 0x1.330c3eb7bbef5p-15, 0x1.285226f7810aap-15, 0x1.1de2712246918p-15, 0x1.13bcae99cc73ep-15, 0x1.09e069fb9845ap-15, 0x1.004cef98d6173p-15, 0x1.ee0268cd77ef6p-16, 0x1.dbf7adb958bd6p-16, 0x1.ca765d1db5df2p-16, 0x1.b97ac5446eb19p-16, 0x1.a9010ad810ba9p-16, 0x1.990564e492dbcp-16, 0x1.89844683630c2p-16, 0x1.7a7a57b58c3fbp-16, 0x1.6be4393148b78p-16, 0x1.5dbe354c5c297p-16, 0x1.500413769353fp-16, 0x1.42b130bf89e19p-16, 0x1.35c0d7fca08bdp-16, 0x1.292eb39886849p-16, 0x1.1cf7296a3734bp-16, 0x1.11177d98dd838p-16, 0x1.058db3367798p-16, 0x1.f4b07a6d53bedp-17, 0x1.deeb4977e5085p-17, 0x1.c9c88f4743102p-17, 0x1.b544775eb43bbp-17, 0x1.a15a91ad287fcp-17, 0x1.8e05d31a7ac27p-17, 0x1.7b40acfc4afadp-17, 0x1.69056b68e191cp-17, 0x1.574ee8325445dp-17, 0x1.46194cd1fcd64p-17, 0x1.3562766dbb776p-17, 0x1.2529bae9c3fdbp-17, 0x1.156f1c8cf0a5bp-17, 0x1.063239b81a341p-17, 0x1.eee2e60ec11aap-18, 0x1.d253876f7c47dp-18, 0x1.b6aeda66e5876p-18, 0x1.9bedf175f4d77p-18, 0x1.820b83fc5d7ap-18, 0x1.69034ae8d25fap-18, 0x1.50d0636786028p-18, 0x1.396c24bbf63fdp-18, 0x1.22ce250861975p-18, 0x1.0ced1324b70cap-18, 0x1.ef7f423781fe8p-19, 0x1.c67a163eae9c2p-19, 0x1.9eba8250404cbp-19, 0x1.7831e3d918a33p-19, 0x1.52d34b13de6d9p-19, 0x1.2e93d0f0e747dp-19, 0x1.0b6ad25ee4a25p-19, 0x1.d2a3b0f1e2093p-20, 0x1.908864a3f90ddp-20, 0x1.507cef94dbf16p-20, 0x1.127c198073384p-20, 0x1.ad0090cb825bdp-21, 0x1.38fe8896d5c6ep-21, 0x1.919410de6a7edp-22, 0x1.7095fafa0dbefp-23, -0x1.a64ee0c1bae54p-26, -0x1.cdb1c1f0e6758p-23, -0x1.ad23121b2b01bp-22, -0x1.368db9cbeef53p-21, -0x1.934b623c9a7ccp-21, -0x1.eccca8158605dp-21, -0x1.2197d33784ce4p-20, -0x1.4b4ddf6a90901p-20, -0x1.739503c4290c7p-20, -0x1.9a6f885f0012ep-20, -0x1.bfdd1be800756p-20, -0x1.e3e4873b78a73p-20, -0x1.034b36ef41176p-19, -0x1.14045def9a79p-19, -0x1.242826c6b0abep-19, -0x1.33be99eff354ep-19, -0x1.42cd1fce9ed81p-19, -0x1.515737c29b62fp-19, -0x1.5f5f66f39bc59p-19, -0x1.6ce7ee0aaa9abp-19, -0x1.79f321724dc61p-19, -0x1.868368473c316p-19, -0x1.929b091ec8627p-19, -0x1.9e3c00f102ab8p-19, -0x1.a96820e32bb45p-19, -0x1.b42190fa9a9cp-19, -0x1.be6b8b086d7efp-19, -0x1.c84ac0f77e476p-19, -0x1.d1c4d03a3df54p-19, -0x1.dadeeacd753ffp-19, -0x1.e39d221a8baa8p-19, -0x1.ec039639e47cep-19, -0x1.f4180a66b71c8p-19, -0x1.fbe05b87a4e35p-19, -0x1.01aefbca5a1c3p-18, -0x1.0546187da53e8p-18, -0x1.08b297ffb39b1p-18, -0x1.0bf471adb048p-18, -0x1.0f0f282678b4fp-18, -0x1.1206dac417124p-18, -0x1.14dcdae2d3ff6p-18, -0x1.178f6eb74f3e2p-18, -0x1.1a1c9ba7c5684p-18, -0x1.1c847dd16247p-18, -0x1.1ec934376a13ap-18, -0x1.20ed7fcd29cdp-18, -0x1.22f3b1c1b19cfp-18, -0x1.24dd5a72d805cp-18, -0x1.26ab6bcaac70cp-18, -0x1.285e7887429b5p-18, -0x1.29f6e7a88832ap-18, -0x1.2b7514374c31dp-18, -0x1.2cd95e2fff42p-18, -0x1.2e243232cb9d5p-18, -0x1.2f560b2d6253fp-18, -0x1.306f6e78caafap-18, -0x1.3170e2feecb0fp-18, -0x1.325ae5505290ap-18, -0x1.332ddc8c29d19p-18, -0x1.33ea151163f56p-18, -0x1.348fc6f127efep-18, -0x1.351f2c2349269p-18, -0x1.35989ef57744ap-18, -0x1.35fca6d1d03cbp-18, -0x1.364bde091c94ep-18, -0x1.3686d19424638p-18, -0x1.36ae2a54f0f09p-18, -0x1.36c3158b86a31p-18, -0x1.36c71e11f8c94p-18, -0x1.36bb0865a72b5p-18, -0x1.369e2f304b65dp-18, -0x1.366fafd2be475p-18, -0x1.362fd04e9deacp-18, -0x1.35df9d990f48dp-18, -0x1.357f94c775314p-18, -0x1.350f76e3dbf7ep-18, -0x1.348f1fbfca6b1p-18, -0x1.33fed5202c6fcp-18, -0x1.335f098473655p-18, -0x1.32b035d9ee2c8p-18, -0x1.31f2cf825c58fp-18, -0x1.31273b5b6689ep-18, -0x1.304dc5ba435ep-18, -0x1.2f66a6bbc876cp-18, -0x1.2e720c478fdb1p-18, -0x1.2d7022466813fp-18, -0x1.2c6116b3ade3bp-18, -0x1.2b451a7c182ap-18, -0x1.2a1c60928c591p-18, -0x1.28e71c705f755p-18, -0x1.27a582791701ep-18, -0x1.2657c67a6eea2p-18, -0x1.24fe1774368adp-18, -0x1.2398a3ec70c77p-18, -0x1.22279a303677bp-18, -0x1.20ab27bd198a2p-18, -0x1.1f237a49bb279p-18, -0x1.1d90c02d70beep-18, -0x1.1bf3269c5a1cdp-18, -0x1.1a4ad54713d69p-18, -0x1.1897eb98884bfp-18, -0x1.16da87ecbac05p-18, -0x1.1512d9f6d9fcbp-18, -0x1.13412c6e9637dp-18, -0x1.1165c54d1c663p-18, -0x1.0f80b29119709p-18, -0x1.0d91ee86c1134p-18, -0x1.0b99a5097e347p-18, -0x1.0997f2a4c3ea7p-18, -0x1.078cc05ce933bp-18, -0x1.057830044bcecp-18, -0x1.035aab4b7d325p-18, -0x1.01347f59bff58p-18, -0x1.fe0b6c5a529e7p-19, -0x1.f99c70f6fa70ep-19, -0x1.f51c1db13a63bp-19, -0x1.f08b011095e5bp-19, -0x1.ebe9c4fc29aeap-19, -0x1.e738bdc071991p-19, -0x1.e277f26ae058ap-19, -0x1.dda760643b366p-19, -0x1.d8c7209134a49p-19, -0x1.d3d766a410e36p-19, -0x1.ced8746eea5bfp-19, -0x1.c9ca900c90071p-19, -0x1.c4adff3e8e89dp-19, -0x1.bf8306228fa12p-19, -0x1.ba49e7081f2fap-19, -0x1.b502e21afe102p-19, -0x1.afae364e4f11bp-19, -0x1.aa4c1a1cbcc46p-19, -0x1.a4dcc9305e738p-19, -0x1.9f607394a874ap-19, -0x1.99d74a9cc499ep-19, -0x1.94417e9cad4b2p-19, -0x1.8e9f43093049ap-19, -0x1.88f0d1fdf4c25p-19, -0x1.83366c197b6d3p-19, -0x1.7d704f4d822cep-19, -0x1.779ea7ea37b37p-19, -0x1.71c1903d5a7p-19, -0x1.6bd93236c8838p-19, -0x1.65e601a7eadafp-19, -0x1.5fe8c42eb2fa5p-19, -0x1.59e1c4d7a2a4ap-19, -0x1.53d04a03be8e7p-19, -0x1.4db42125b8965p-19, -0x1.478da2722c2c5p-19, -0x1.415d6616b4c2p-19, -0x1.3b247d19cb438p-19, -0x1.34e32119823a1p-19, -0x1.2e98f4740dbc6p-19, -0x1.2845ad9a59905p-19, -0x1.21e971faf4c85p-19, -0x1.1b84c238989edp-19, -0x1.1517caae6b23p-19, -0x1.0ea27b079fa0ep-19, -0x1.082553423e233p-19, -0x1.01a110cb5bf65p-19, -0x1.f62bd4a95545fp-20, -0x1.e90782f09f872p-20, -0x1.dbd525b912ad1p-20, -0x1.ce95102c9efe4p-20, -0x1.c147bdf53d718p-20, -0x1.b3edafe98e194p-20, -0x1.a68760912215ep-20, -0x1.991543a365657p-20, -0x1.8b97c83cba538p-20, -0x1.7e0f5ad743d54p-20, -0x1.707c662930973p-20, -0x1.62df5339a89dp-20, -0x1.5538890c191c3p-20, -0x1.47886c8727ef3p-20, -0x1.39cf60d4d38a6p-20, -0x1.2c0dc816ef774p-20, -0x1.1e44042565803p-20, -0x1.10727765dc2e3p-20, -0x1.029986561bb24p-20, -0x1.e973334b4f7fdp-21, -0x1.cda63cbf6aa47p-21, -0x1.b1cd0121c2401p-21, -0x1.95e8447b1ab8p-21, -0x1.79f8ad64031cep-21, -0x1.5dfed275b153ep-21, -0x1.41fb9248d6f37p-21, -0x1.25f0a360e813cp-21, -0x1.09df2234d4b8ap-21, -0x1.db8bc0bc5349cp-22, -0x1.a349e2b474c94p-22, -0x1.6afd7980c8664p-22, -0x1.32a9c9d0af77p-22, -0x1.f49cdd2e0bc1dp-23, -0x1.83d808a824bdap-23, -0x1.13085811296c4p-23, -0x1.4462a01f755dep-24, -0x1.8ab89d05539ccp-26, 0x1.fc0ae839f2ed6p-26, 0x1.60a9c09a6436dp-24, 0x1.212405a075332p-23, 0x1.91ee53a78fe47p-23, 0x1.0158b28035a3dp-22, 0x1.39b41484d259bp-22, 0x1.7205d1916827cp-22, 0x1.aa4cc93029a9bp-22, 0x1.e288e36f2be36p-22, 0x1.0d5c99ea88fb2p-21, 0x1.296e1faacfe62p-21, 0x1.45783d4063b11p-21, 0x1.617a37074e179p-21, 0x1.7d735a7cbe5edp-21, 0x1.9962faa146193p-21, 0x1.b5486d6873fdcp-21, 0x1.d1230ae854b78p-21, 0x1.ecf22fc1dbb8dp-21, 0x1.045a9d08f5b94p-20, 0x1.1235bb678072bp-20, 0x1.200a2720d5336p-20, 0x1.2dd794bada914p-20, 0x1.3b9db3c2477f5p-20, 0x1.495c36264bc15p-20, 0x1.5712cf402bb05p-20, 0x1.64c132b6410dp-20, 0x1.72671579e704cp-20, 0x1.800428c6e6ba9p-20, 0x1.8d981e42a8c94p-20, 0x1.9b22a80b35a52p-20, 0x1.a8a37e3b63bf3p-20, 0x1.b61a62049c3dap-20, 0x1.c3871b7c1711p-20, 0x1.d0e95d1ddd9bdp-20, 0x1.de40a70f892ap-20, 0x1.eb8ce84d7e61bp-20, 0x1.f8ce0d0930c64p-20, 0x1.0301b4ac478f8p-19, 0x1.09966f021d1dfp-19, 0x1.10252670fac1ep-19, 0x1.16adb642283ddp-19, 0x1.1d2ffa7e17f6ep-19, 0x1.23abd2c07a37ep-19, 0x1.2a21204e5f094p-19, 0x1.308fc4ecc8603p-19, 0x1.36f7a2e16d899p-19, 0x1.3d589de5b6bd5p-19, 0x1.43b29a76022c3p-19, 0x1.4a0574213bcc6p-19, 0x1.5050f25c0d53cp-19, 0x1.5694f8df3eb8ep-19, 0x1.5cd1ad05bd786p-19, 0x1.6306fbc28ff5p-19, 0x1.693485c11b28bp-19, 0x1.6f5a2cf46ac5fp-19, 0x1.7577f9be38372p-19, 0x1.7b8dd8e798b67p-19, 0x1.819babaa22a7ap-19, 0x1.87a1554af25e3p-19, 0x1.8d9ebbfe1a617p-19, 0x1.9393c79062004p-19, 0x1.9980609d70901p-19, 0x1.9f6470349eccdp-19, 0x1.a53fdfc9432fep-19, 0x1.ab129943e7d3bp-19, 0x1.b0dc8717aed45p-19, 0x1.b69d94466117bp-19, 0x1.bc55ac53987a2p-19, 0x1.c204bb30d0f9bp-19, 0x1.c7aaad391554ap-19, 0x1.cd476f40dcc77p-19, 0x1.d2daeea6cb577p-19, 0x1.d865194a467d2p-19, 0x1.dde5dd28b62edp-19, 0x1.e35d27958c485p-19, 0x1.e8cae5155ea7ap-19, 0x1.ee2f030be4a9ep-19, 0x1.f389719d28381p-19, 0x1.f8da23a56bac4p-19, 0x1.fe210f8184fd9p-19, 0x1.01af173b0b052p-18, 0x1.0448b1a204254p-18, 0x1.06dd49506f19bp-18, 0x1.096cd6f902cf1p-18, 0x1.0bf757ccd6b31p-18, 0x1.0e7ccf57d0d46p-18, 0x1.10fd336a4dd05p-18, 0x1.13787adc89f41p-18, 0x1.15ee9ef4e90bbp-18, 0x1.185f99d51c1c8p-18, 0x1.1acb65f1ae2e1p-18, 0x1.1d31fe0503847p-18, 0x1.1f935d16f04c5p-18, 0x1.21ef7e7c9dccdp-18, 0x1.24465db9c30cfp-18, 0x1.2697f6433b4d2p-18, 0x1.28e44345453fep-18, 0x1.2b2b3ff211296p-18, 0x1.2d6ce8f979f13p-18, 0x1.2fa93e22182a5p-18, 0x1.31e03cb06c5ap-18, 0x1.3411d3181458dp-18, 0x1.363e02ebf1ea5p-18, 0x1.3864d2ae9e9cbp-18, 0x1.3a862d204997dp-18, 0x1.3ca21f3fa89bep-18, 0x1.3eb8ab9086f12p-18, 0x1.40c9cac234321p-18, 0x1.42d577e615599p-18, 0x1.44dbb03f4a216p-18, 0x1.46dc71d2190cbp-18, 0x1.48d7bb16466d2p-18, 0x1.4acd8b2bb0d0fp-18, 0x1.4cbddf8b634c4p-18, 0x1.4ea8b706fbd6ep-18, 0x1.508e11c94a1cep-18, 0x1.526dee4c4ad3cp-18, 0x1.54484bc83c7p-18, 0x1.561d29bf0fce7p-18, 0x1.57ec87cb20a5fp-18, 0x1.59b665b3c85d1p-18, 0x1.5b7ac365a22f1p-18, 0x1.5d39a1078cafdp-18, 0x1.5ef2fecdd5e7p-18, 0x1.60a6dcca1f3aep-18, 0x1.62553ae78ae58p-18, 0x1.63fe196792f07p-18, 0x1.65a17940335abp-18, 0x1.673f5bc056973p-18, 0x1.68d7c2f0e2b83p-18, 0x1.6a6ab2d6a9bdep-18, 0x1.6bf82e794d467p-18, 0x1.6d802d753570fp-18, 0x1.6f02a9830d21cp-18, 0x1.707fb41b3bda4p-18, 0x1.71f750ffbf66bp-18, 0x1.73697dc3dee9ap-18, 0x1.74d63b45af8a5p-18, }}, 
      {{-0x1.fed04723adcc5p-5, -0x1.828915e50947ap-7, 0x1.9235148a8939p-5, 0x1.c1ca7c1e3e205p-4, 0x1.5123013a2d4a1p-3, 0x1.afc64e1287e0fp-3, 0x1.fb24a167d3878p-3, 0x1.19ea03d2c14cep-2, 0x1.2dd2541aaafe3p-2, 0x1.3a7cfb2d94e8dp-2, 0x1.41319a205f10cp-2, 0x1.432ec1a07ca9cp-2, 0x1.419881ca26a15p-2, 0x1.3d6fb4c71815bp-2, 0x1.378ed6a3b47bap-2, 0x1.30aa4dea1fd69p-2, 0x1.2952bfef5e8e9p-2, 0x1.21f8830c32a6ap-2, 0x1.1aef941c60834p-2, 0x1.1473aba082054p-2, 0x1.0eac33bad5994p-2, 0x1.09aff8830eacp-2, 0x1.05887d106a01dp-2, 0x1.0234ebbb0ae1ep-2, 0x1.ff59409aa8488p-3, 0x1.fbc29faa88f0bp-3, 0x1.f981a943f470cp-3, 0x1.f86d4d51da34ep-3, 0x1.f85a12d4d3d88p-3, 0x1.f91bf1752b788p-3, 0x1.fa87bb48736e2p-3, 0x1.fc742841da53bp-3, 0x1.feba93579af37p-3, 0x1.009bbbe20c8ccp-2, 0x1.01e55d8c7abep-2, 0x1.032be78d4c5c1p-2, 0x1.0462da5c9f504p-2, 0x1.057f73f5ffc0bp-2, 0x1.06789d6b3b5d4p-2, 0x1.0746d2b26e5afp-2, 0x1.07e406b8f228ep-2, 0x1.084b8550d8801p-2, 0x1.0879d42de5c2cp-2, 0x1.086c93d967278p-2, 0x1.0822614874e7fp-2, 0x1.079ab89206aa6p-2, 0x1.06d5d91d73c27p-2, 0x1.05d4ab8360d81p-2, 0x1.0498a94239138p-2, 0x1.0323c6541d37ap-2, 0x1.01785ca80a975p-2, 0x1.ff3232e0d57e9p-3, 0x1.fb11d86db1d1dp-3, 0x1.f695ef39c9b1ap-3, 0x1.f1c5076889dd5p-3, 0x1.eca5e3b1fc8ebp-3, 0x1.e73f63eb3a868p-3, 0x1.e198722a71263p-3, 0x1.dbb7f2461c58fp-3, 0x1.d5a4b385901ap-3, 0x1.cf65645fb0786p-3, 0x1.c900882a75ac7p-3, 0x1.c27c6e92f81b1p-3, 0x1.bbdf2ca8e827dp-3, 0x1.b52e97412e5e6p-3, 0x1.ae703e7c4cfe1p-3, 0x1.a7a96a5aa3507p-3, 0x1.a0df18577deb1p-3, 0x1.9a15f9fd6a327p-3, 0x1.93527465fb554p-3, 0x1.8c98a074cf58fp-3, 0x1.85ec4b9da2d11p-3, 0x1.7f50f9109891ap-3, 0x1.78c9e32cc9c9cp-3, 0x1.7259fd3f12023p-3, 0x1.6c03f5877b7b4p-3, 0x1.65ca37942bbc4p-3, 0x1.5faeeee141808p-3, 0x1.59b409b4c93ebp-3, 0x1.53db3c1616d12p-3, 0x1.4e2602ce877c2p-3, 0x1.4895a65d64f0dp-3, 0x1.432b3dd88b606p-3, 0x1.3de7b1b768442p-3, 0x1.38cbbe8c6ddb9p-3, 0x1.33d7f7b4829bap-3, 0x1.2f0cc9fcd458bp-3, 0x1.2a6a7e43af216p-3, 0x1.25f13c0d26c2cp-3, 0x1.21a10c092cff3p-3, 0x1.1d79da8248ab7p-3, 0x1.197b79b28a5cdp-3, 0x1.15a5a3f85a969p-3, 0x1.11f7fdecf488bp-3, 0x1.0e721859311e6p-3, 0x1.0b13720d8ed65p-3, 0x1.07db799c7046ap-3, 0x1.04c98efa885c2p-3, 0x1.01dd0507a74a3p-3, 0x1.fe2a45ff8bb77p-4, 0x1.f8e24bb12ac36p-4, 0x1.f3e083134d92bp-4, 0x1.ef234480fe098p-4, 0x1.eaa8db04395dp-4, 0x1.e66f866e27e74p-4, 0x1.e2757d4c3ae44p-4, 0x1.deb8eeb5d2fe3p-4, 0x1.db3803f798d41p-4, 0x1.d7f0e21a412fp-4, 0x1.d4e1ab4fa1412p-4, 0x1.d20880397340dp-4, 0x1.cf63811d11f98p-4, 0x1.ccf0cefa98bd3p-4, 0x1.caae8c899019ap-4, 0x1.c89adf2799443p-4, 0x1.c6b3efaa1b614p-4, 0x1.c4f7eb2770a3cp-4, 0x1.c36503a3d50a2p-4, 0x1.c1f970b7135e2p-4, 0x1.c0b37024d102dp-4, 0x1.bf914655adf0fp-4, 0x1.be913edd4e46p-4, 0x1.bdb1ace1c8444p-4, 0x1.bcf0eb725a249p-4, 0x1.bc4d5decbdc43p-4, 0x1.bbc5703a439d6p-4, 0x1.bb57970ff3cecp-4, 0x1.bb0250312f7d5p-4, 0x1.bac4228ac96dep-4, 0x1.ba9b9e627eb3cp-4, 0x1.ba875d7c07ea4p-4, 0x1.ba8603176bf4ep-4, 0x1.ba963c11194eep-4, 0x1.bab6bef3c07e3p-4, 0x1.bae64bdedfee5p-4, 0x1.bb23ac9428a7dp-4, 0x1.bb6db47f4078ap-4, 0x1.bbc3408c3e83cp-4, 0x1.bc23372008c32p-4, 0x1.bc8c88196bbfp-4, 0x1.bcfe2c9e475f7p-4, 0x1.bd7726ffc829ap-4, 0x1.bdf682ba47955p-4, 0x1.be7b543e9c2ffp-4, 0x1.bf04b8bc5035bp-4, 0x1.bf91d6231a0a3p-4, 0x1.c021dafea3613p-4, 0x1.c0b3fe22b104dp-4, 0x1.c1477e924d047p-4, 0x1.c1dba3816ceb3p-4, 0x1.c26fbc0d613f7p-4, 0x1.c3031eebdca3p-4, 0x1.c3952a636d7b6p-4, 0x1.c425443c849b1p-4, 0x1.c4b2d96d1e5dfp-4, 0x1.c53d5dd6019c9p-4, 0x1.c5c44c39bf187p-4, 0x1.c6472618cb53fp-4, 0x1.c6c57360481fdp-4, 0x1.c73ec23c9122bp-4, 0x1.c7b2a70dd54dep-4, 0x1.c820bc2da83a9p-4, 0x1.c888a199d82acp-4, 0x1.c8e9fcde3f474p-4, 0x1.c944791f1d01fp-4, 0x1.c997c6d7ed2c9p-4, 0x1.c9e39b6a9dea9p-4, 0x1.ca27b10180decp-4, 0x1.ca63c6beefd4ap-4, 0x1.ca97a0a6b7f6p-4, 0x1.cac3071b57615p-4, 0x1.cae5c682c54b6p-4, 0x1.caffaf6d83283p-4, 0x1.cb1096c99a118p-4, 0x1.cb18559593b2p-4, 0x1.cb16c8512d495p-4, 0x1.cb0bcecf63c6ap-4, 0x1.caf74c76a829dp-4, 0x1.cad928593326p-4, 0x1.cab14cd1bf754p-4, 0x1.ca7fa70a7d35fp-4, 0x1.ca4426ec60c68p-4, 0x1.c9febf5a09085p-4, 0x1.c9af663451419p-4, 0x1.c95613fd9b7e9p-4, 0x1.c8f2c37c72115p-4, 0x1.c88571b5b907p-4, 0x1.c80e1e1b6fe15p-4, 0x1.c78cca8ab52c8p-4, 0x1.c7017afed6491p-4, 0x1.c66c35450656p-4, 0x1.c5cd00f57b73fp-4, 0x1.c523e79891969p-4, 0x1.c470f4aa42ec1p-4, 0x1.c3b4355dab394p-4, 0x1.c2edb856a269ap-4, 0x1.c21d8d96e143fp-4, 0x1.c143c699d9c48p-4, 0x1.c06076654512bp-4, 0x1.bf73b16492b33p-4, 0x1.be7d8d2795669p-4, 0x1.bd7e203cec3bep-4, 0x1.bc75823be452cp-4, 0x1.bb63cbde021c8p-4, 0x1.ba4916fa372fbp-4, 0x1.b9257e5734c12p-4, 0x1.b7f91d793dd3bp-4, 0x1.b6c41090f3e51p-4, 0x1.b586748b138a4p-4, 0x1.b440672265c17p-4, 0x1.b2f206d4e9a83p-4, 0x1.b19b72bc60cf1p-4, 0x1.b03cca68bbd12p-4, 0x1.aed62dd50f43cp-4, 0x1.ad67bd7480cd7p-4, 0x1.abf19a3fa14fap-4, 0x1.aa73e5ae01c9fp-4, 0x1.a8eec198361fcp-4, 0x1.a762501973969p-4, 0x1.a5ceb382fd777p-4, 0x1.a4340e62626dbp-4, 0x1.a292838cf124ep-4, 0x1.a0ea361fb13fdp-4, 0x1.9f3b496d1bd26p-4, 0x1.9d85e0e3e691dp-4, 0x1.9bca1ffee4b3cp-4, 0x1.9a082a434d5e6p-4, 0x1.98402347d3df7p-4, 0x1.96722eb9e2cadp-4, 0x1.949e70574e99p-4, 0x1.92c50bdd2f2c1p-4, 0x1.90e624f67bc16p-4, 0x1.8f01df332a08cp-4, 0x1.8d185e08596b4p-4, 0x1.8b29c4d50388cp-4, 0x1.893636e44fe41p-4, 0x1.873dd767bb245p-4, 0x1.8540c96a740e4p-4, 0x1.833f2fc54d7ebp-4, 0x1.81392d186ddfp-4, 0x1.7f2ee3cac5387p-4, 0x1.7d20760cd1fe9p-4, 0x1.7b0e05dacc44ap-4, 0x1.78f7b4f9ec36p-4, 0x1.76dda4f088f75p-4, 0x1.74bff6fd84711p-4, 0x1.729ecc130197cp-4, 0x1.707a44d4f166ep-4, 0x1.6e52819a56ed6p-4, 0x1.6c27a26f9a9f2p-4, 0x1.69f9c71701148p-4, 0x1.67c90f0562226p-4, 0x1.6595995ca1bc5p-4, 0x1.635f84e73f261p-4, 0x1.6126f0165532p-4, 0x1.5eebf90195dbp-4, 0x1.5caebd68a44e6p-4, 0x1.5a6f5ab4c1777p-4, 0x1.582dedf9ea666p-4, 0x1.55ea93f3a04b5p-4, 0x1.53a569032863cp-4, 0x1.515e892c7ee2ep-4, 0x1.4f161015c9daap-4, 0x1.4ccc190782bffp-4, 0x1.4a80beed6df0cp-4, 0x1.48341c5832d75p-4, 0x1.45e64b7e7c134p-4, 0x1.4397663ca2ae2p-4, 0x1.414786132ec61p-4, 0x1.3ef6c42599d6ap-4, 0x1.3ca53939e7a1fp-4, 0x1.3a52fdb8daca4p-4, 0x1.380029aeab9a7p-4, 0x1.35acd4cc65ee8p-4, 0x1.3359166985ea3p-4, 0x1.31050584e8fc3p-4, 0x1.2eb0b8c49b33ap-4, 0x1.2c5c467527db9p-4, 0x1.2a07c4896dacbp-4, 0x1.27b3489b039afp-4, 0x1.255ee7eb01bcfp-4, 0x1.230ab7630a3bdp-4, 0x1.20b6cb96a9588p-4, 0x1.1e6338c4bdb56p-4, 0x1.1c1012d862231p-4, 0x1.19bd6d691e2e5p-4, 0x1.176b5bbaeab32p-4, 0x1.1519f0bea219ap-4, 0x1.12c93f12dcc4p-4, 0x1.10795904dee76p-4, 0x1.0e2a50917cb7ap-4, 0x1.0bdc37660cff8p-4, 0x1.098f1ee17ee91p-4, 0x1.074318155dd38p-4, 0x1.04f833c6924fap-4, 0x1.02ae826ddd9f4p-4, 0x1.0066143872c28p-4, 0x1.fc3df211764c2p-5, 0x1.f7b280ee1cf36p-5, 0x1.f329f3a4ac979p-5, 0x1.eea468414290fp-5, 0x1.ea21fc3fe870dp-5, 0x1.e5a2cc8ea587ep-5, 0x1.e126f58f9a46ap-5, 0x1.dcae931a9427bp-5, 0x1.d839c07e15ec8p-5, 0x1.d3c8988028f57p-5, 0x1.cf5b355f549bp-5, 0x1.caf1b0d3941ddp-5, 0x1.c68c240f734bp-5, 0x1.c22aa7c157757p-5, 0x1.bdcd54151ce05p-5, 0x1.b97440b5e67a3p-5, 0x1.b51f84cfcac28p-5, 0x1.b0cf371105e46p-5, 0x1.ac836daa99195p-5, 0x1.a83c3e50cef3ep-5, 0x1.a3f9be3bf3bep-5, 0x1.9fbc02296b133p-5, 0x1.9b831e5cef004p-5, 0x1.974f26a1dde96p-5, 0x1.93202e4c6ca4fp-5, 0x1.8ef6483ad5115p-5, 0x1.8ad186d6541cdp-5, 0x1.86b1fc1417f88p-5, 0x1.8297b975ebcb6p-5, 0x1.7e82d00adfe0ap-5, 0x1.7a7350700cedbp-5, 0x1.76694ad193829p-5, 0x1.7264ceebb853ep-5, 0x1.6e65ec0becd11p-5, 0x1.6a6cb111b0526p-5, 0x1.66792c6f481cdp-5, 0x1.628b6c2a66dbfp-5, 0x1.5ea37ddce4a5dp-5, 0x1.5ac16eb59bf06p-5, 0x1.56e54b7941993p-5, 0x1.530f2083455fcp-5, 0x1.4f3ef9c6a44c6p-5, 0x1.4b74e2ceb7929p-5, 0x1.47b0e6c000a2bp-5, 0x1.43f31058de034p-5, 0x1.403b69f235415p-5, 0x1.3c89fd8022dcbp-5, 0x1.38ded492a7095p-5, 0x1.3539f85675458p-5, 0x1.319b7195d2b7dp-5, 0x1.2e0348b980dccp-5, 0x1.2a7185c99ad62p-5, 0x1.26e6306e4a9e5p-5, 0x1.23614ff07e3afp-5, 0x1.1fe2eb3a85039p-5, 0x1.1c6b08d8cacf9p-5, 0x1.18f9aefa9e0cdp-5, 0x1.158ee373049d5p-5, 0x1.122aabb99db96p-5, 0x1.0ecd0ceb81b55p-5, 0x1.0b760bcc1c803p-5, 0x1.0825acc6038fap-5, 0x1.04dbf3ebb7637p-5, 0x1.0198e4f8699c2p-5, 0x1.fcb906a17a2c2p-6, 0x1.f64da40716984p-6, 0x1.efefa79582996p-6, 0x1.e99f161899bc6p-6, 0x1.e35bf3b633a64p-6, 0x1.dd2643f023a86p-6, 0x1.d6fe09a61ac76p-6, 0x1.d0e3471763c1dp-6, 0x1.cad5fde485c22p-6, 0x1.c4d62f10d2a7ep-6, 0x1.bee3db0406e8dp-6, 0x1.b8ff018c0b393p-6, 0x1.b327a1dee8dddp-6, 0x1.ad5dba9cb9119p-6, 0x1.a7a149d1d6904p-6, 0x1.a1f24cf90db95p-6, 0x1.9c50c0fdd3bbbp-6, 0x1.96bca23e5004cp-6, 0x1.9135ec8d3faefp-6, 0x1.8bbc9b33a4de5p-6, 0x1.8650a8f27d261p-6, 0x1.80f210048498cp-6, 0x1.7ba0ca20122e2p-6, 0x1.765cd0792e902p-6, 0x1.71261bc3c92adp-6, 0x1.6bfca4361990ep-6, 0x1.66e0618b02fcep-6, 0x1.61d14b04744d8p-6, 0x1.5ccf576d9fe6p-6, 0x1.57da7d1cfb42bp-6, 0x1.52f2b1f63e8d8p-6, 0x1.4e17eb6c2f6c4p-6, 0x1.494a1e827f822p-6, 0x1.44893fcfb4cbep-6, 0x1.3fd5437f3c346p-6, 0x1.3b2e1d539902fp-6, 0x1.3693c0a8c36f8p-6, 0x1.320620769c531p-6, 0x1.2d852f5357b25p-6, 0x1.2910df75f3f2dp-6, 0x1.24a922b871baep-6, 0x1.204dea99ffdbbp-6, 0x1.1bff284106dc5p-6, 0x1.17bccc7d0a4c2p-6, 0x1.1386c7c88c31cp-6, 0x1.0f5d0a4b00a95p-6, 0x1.0b3f83dad7532p-6, 0x1.072e23ff9b46fp-6, 0x1.0328d9f439073p-6, 0x1.fe5f2952ba29ap-7, 0x1.f684858fa7d7fp-7, 0x1.eec1a565eebdfp-7, 0x1.e7166515dc684p-7, 0x1.df82a05dc53b5p-7, 0x1.d806327e2293p-7, 0x1.d0a0f63d64e3p-7, 0x1.c952c5ebb7c3cp-7, 0x1.c21b7b66bd8e2p-7, 0x1.bafaf01d31a1ep-7, 0x1.b3f0fd12d10a1p-7, 0x1.acfd7ae46380fp-7, 0x1.a62041cbe90a5p-7, 0x1.9f5929a4f497dp-7, 0x1.98a809f1216a9p-7, 0x1.920cb9dc5b6b4p-7, 0x1.8b87104139ce5p-7, 0x1.8516e3acf2fb4p-7, 0x1.7ebc0a6346991p-7, 0x1.78765a620517dp-7, 0x1.7245a96495d0bp-7, 0x1.6c29cce73b014p-7, 0x1.66229a2a76253p-7, 0x1.602fe6365e3d1p-7, 0x1.5a5185de1aac7p-7, 0x1.54874dc384183p-7, 0x1.4ed1125ac815p-7, 0x1.492ea7ee3e182p-7, 0x1.439fe2a20e1a8p-7, 0x1.3e2496780661dp-7, 0x1.38bc9753136a2p-7, 0x1.3367b8fab3bacp-7, 0x1.2e25cf1e2df23p-7, 0x1.28f6ad5797d13p-7, 0x1.23da272ecd5dbp-7, 0x1.1ed0101c2b5ddp-7, 0x1.19d83b8b697d8p-7, 0x1.14f27cde73bf7p-7, 0x1.101ea77029791p-7, 0x1.0b5c8e9757b2ap-7, 0x1.06ac05a9aba57p-7, 0x1.020cdffea3d2p-7, 0x1.fafde1e51b814p-8, 0x1.f20417d2d131bp-8, 0x1.e92c08a3540c3p-8, 0x1.e0755b4defb55p-8, 0x1.d7dfb6e946fb5p-8, 0x1.cf6ac2b031edp-8, 0x1.c71626064b708p-8, 0x1.bee1887c53806p-8, 0x1.b6cc91d493f27p-8, 0x1.aed6ea072e70bp-8, 0x1.a700394679ee2p-8, 0x1.9f4828036bedep-8, 0x1.97ae5ef204e3p-8, 0x1.9032870dc3994p-8, 0x1.88d4499df0ee9p-8, 0x1.81935039cc055p-8, 0x1.7a6f44cc88dd9p-8, 0x1.7367d199040f3p-8, 0x1.6c7ca13d28439p-8, 0x1.65ad5eb530386p-8, 0x1.5ef9b55e9f933p-8, 0x1.586150fb2da25p-8, 0x1.51e3ddb391b75p-8, 0x1.4b81081a9bc94p-8, 0x1.45387d30170bcp-8, 0x1.3f09ea6442d51p-8, 0x1.38f4fd9b2583fp-8, 0x1.32f9653003fd4p-8, 0x1.2d16cff8f39f3p-8, 0x1.274ced4a04e7p-8, 0x1.219b6cf853e96p-8, 0x1.1c01ff5c6f589p-8, 0x1.168055544dd2dp-8, 0x1.11162044c907ep-8, 0x1.0bc3121a8b01bp-8, 0x1.0686dd4a9077p-8, 0x1.016134d2c1eaap-8, 0x1.f8a39874bf835p-9, 0x1.eeb0af25b8d02p-9, 0x1.e4e916f27971bp-9, 0x1.db4c3a30738b2p-9, 0x1.d1d98455f77b1p-9, 0x1.c89062017ce91p-9, 0x1.bf7041014284fp-9, 0x1.b678905b3db69p-9, 0x1.ada8c05499266p-9, 0x1.a50042779f135p-9, 0x1.9c7e8997cb57ep-9, 0x1.942309d2f5373p-9, 0x1.8bed38900deb5p-9, 0x1.83dc8c7a87841p-9, 0x1.7bf07d7c3b47dp-9, 0x1.742884b55d4dcp-9, 0x1.6c841c74f4635p-9, 0x1.6502c0324eb5ap-9, 0x1.5da3ec88a4ecbp-9, 0x1.56671f36c019p-9, 0x1.4f4bd722801c5p-9, 0x1.48519460aa229p-9, 0x1.4177d8409a666p-9, 0x1.3abe255ac5f8dp-9, 0x1.3423ffa0331cp-9, 0x1.2da8ec699159bp-9, 0x1.274c72832663cp-9, 0x1.210e1a348067ap-9, 0x1.1aed6d41e999fp-9, 0x1.14e9f6e6af6b5p-9, 0x1.0f0343c913e04p-9, 0x1.0938e1e791cc6p-9, 0x1.038a6082207bp-9, 0x1.fbeea0030b658p-10, 0x1.f0fe83bed981bp-10, 0x1.e643912581085p-10, 0x1.dbbcef051e3c7p-10, 0x1.d169c6038606bp-10, 0x1.c74940aaa99e2p-10, 0x1.bd5a8b88cc9f8p-10, 0x1.b39cd56326696p-10, 0x1.aa0f4f75e5951p-10, 0x1.a0b12dbb1f9adp-10, 0x1.9781a7301c7fp-10, 0x1.8e7ff6107accbp-10, 0x1.85ab58000f465p-10, 0x1.7d030e1b4ec22p-10, 0x1.74865cec1a7efp-10, 0x1.6c348c3ef1c2p-10, 0x1.640ce6de1b417p-10, 0x1.5c0eba3444086p-10, 0x1.543955e24c5c8p-10, 0x1.4c8c0b505fec7p-10, 0x1.45062d46c171ep-10, 0x1.3da70f99b91ddp-10, 0x1.366e06f2e2e79p-10, 0x1.2f5a68beacc3ap-10, 0x1.286b8b42cb7b8p-10, 0x1.21a0c5dceea2bp-10, 0x1.1af971652ad95p-10, 0x1.1474e8ac1a5b6p-10, 0x1.0e128907a86f4p-10, 0x1.07d1b2e20486p-10, 0x1.01b1ca3a63da1p-10, 0x1.f7646e1329b4p-11, 0x1.eba4cafe066f8p-11, 0x1.e0238c19c81fbp-11, 0x1.d4df9a7eef99dp-11, 0x1.c9d7e6beb9a62p-11, 0x1.bf0b67cf2046fp-11, 0x1.b47919afc399dp-11, 0x1.aa1ffbe6d02f9p-11, 0x1.9fff0ff971147p-11, 0x1.96155803bfbdp-11, 0x1.8c61d59262971p-11, 0x1.82e388dbfb54fp-11, 0x1.7999706d7a74fp-11, 0x1.708289562c7e7p-11, 0x1.679dcfd03e36dp-11, 0x1.5eea405b5bdbcp-11, 0x1.5666d930ded76p-11, 0x1.4e129bf38dfe7p-11, 0x1.45ec8f743d53ep-11, 0x1.3df3c163917d1p-11, 0x1.362747c8b1b36p-11, 0x1.2e8642190ec36p-11, 0x1.270fd9d49ac9ep-11, 0x1.1fc342952aed5p-11, 0x1.189fb98b2ecd4p-11, 0x1.11a484704eea9p-11, 0x1.0ad0f00570cp-11, 0x1.04244e3c7c048p-11, 0x1.fb3be86b5ec52p-12, 0x1.ee7a7079f5a16p-12, 0x1.e202dfde66eedp-12, 0x1.d5d3dd600b87p-12, 0x1.c9ec0915731a4p-12, 0x1.be49fb286b08p-12, 0x1.b2ec43ade22a4p-12, 0x1.a7d16b9048f0bp-12, 0x1.9cf7f67bd6741p-12, 0x1.925e65a43a6d4p-12, 0x1.88033b2ea7594p-12, 0x1.7de4fdfd6e7b2p-12, 0x1.74023d8f13ff4p-12, 0x1.6a5995a16819bp-12, 0x1.60e9b14b3939ap-12, 0x1.57b14d4a4024fp-12, 0x1.4eaf39563bce6p-12, 0x1.45e2586122117p-12, 0x1.3d499fc454aa8p-12, 0x1.34e415759f8b4p-12, 0x1.2cb0cd72fe8fep-12, 0x1.24aee6a37f48dp-12, 0x1.1cdd876ecedd3p-12, 0x1.153bda50ce902p-12, 0x1.0dc90a9e70359p-12, 0x1.068441aef7cabp-12, 0x1.fed94916237c5p-13, 0x1.f102a47ca6b3ep-13, 0x1.e382c5c0b04aep-13, 0x1.d657cecd085e9p-13, 0x1.c97fd4827df2ep-13, 0x1.bcf8e17855e2p-13, 0x1.b0c0fa05964a5p-13, 0x1.a4d62129673aap-13, 0x1.99365dd12af25p-13, 0x1.8ddfbfeb90ca1p-13, 0x1.82d064d899266p-13, 0x1.78067ae59fb0dp-13, 0x1.6d8043cacd79bp-13, 0x1.633c163dccde6p-13, 0x1.59385ed0f1b23p-13, 0x1.4f73a04fd6e56p-13, 0x1.45ec73aa942a4p-13, 0x1.3ca1876bef76p-13, 0x1.33919e901badbp-13, 0x1.2abb8e9186824p-13, 0x1.221e3c8e16502p-13, 0x1.19b8998f28071p-13, 0x1.11899e2e343f3p-13, 0x1.099046009fdfep-13, 0x1.01cb8b5af72a2p-13, 0x1.f474c7f6d2f51p-14, 0x1.e5b77e33c9d69p-14, 0x1.d75d0a39382b6p-14, 0x1.c96331c63ed6ap-14, 0x1.bbc7b47ddde32p-14, 0x1.ae8851e500343p-14, 0x1.a1a2cecd7d0aep-14, 0x1.9514f8b6a68bcp-14, 0x1.88dca63c5501dp-14, 0x1.7cf7b48a63ac7p-14, 0x1.716402d4fc13bp-14, 0x1.661f6daf1ef2ep-14, 0x1.5b27cc7b8f80dp-14, 0x1.507af2e05f47ep-14, 0x1.4616b721d7fa5p-14, 0x1.3bf8fcc8821d8p-14, 0x1.321fc1875bc24p-14, 0x1.288929446e893p-14, 0x1.1f3386105fe1p-14, 0x1.161d59a18664cp-14, 0x1.0d454f7aca52bp-14, 0x1.04aa30df8e6afp-14, 0x1.f895aac83e731p-15, 0x1.e84c27c076b31p-15, 0x1.d8756ea9f07aap-15, 0x1.c90ef448bb2f5p-15, 0x1.ba161026e61fbp-15, 0x1.ab880b72bd2a6p-15, 0x1.9d62357440f7dp-15, 0x1.8fa1f7a2d99b9p-15, 0x1.8244e45034004p-15, 0x1.7548bcc46d324p-15, 0x1.68ab6d9356b26p-15, 0x1.5c6b019f6675dp-15, 0x1.50858db4448dcp-15, 0x1.44f917f6bb332p-15, 0x1.39c37fc423658p-15, 0x1.2ee26ba025094p-15, 0x1.2453429d52999p-15, 0x1.1a13352a1794cp-15, 0x1.101f55e01dc1ep-15, 0x1.0674bed728dbep-15, 0x1.fa2177e6fa9fdp-16, 0x1.e7e1e0aef6f5fp-16, 0x1.d626da699cea5p-16, 0x1.c4ed66af5767dp-16, 0x1.b4333c6d7c54dp-16, 0x1.a3f67b930eca2p-16, 0x1.9435534c9496p-16, 0x1.84edb386d2353p-16, 0x1.761d1d8fb747fp-16, 0x1.67c09bfc5ad6p-16, 0x1.59d4dcb02a0ddp-16, 0x1.4c565ed47b221p-16, 0x1.3f41a46be991fp-16, 0x1.32935b1beb115p-16, 0x1.264875abcb0dap-16, 0x1.1a5e3508c51cap-16, 0x1.0ed22284a3828p-16, 0x1.03a1ff98c2da4p-16, 0x1.f19761b2ed122p-17, 0x1.dc9a52c46e883p-17, 0x1.c848b2ac3d9e5p-17, 0x1.b49e3cccf350cp-17, 0x1.a196685a947f5p-17, 0x1.8f2c4a1b00844p-17, 0x1.7d5a8288b6178p-17, 0x1.6c1b49116b59ep-17, 0x1.5b689f4eb652p-17, 0x1.4b3ca76c00e1p-17, 0x1.3b9208194948fp-17, 0x1.2c6440950e47bp-17, 0x1.1dafd35563d62p-17, 0x1.0f723a6ef5875p-17, 0x1.01a9a913af062p-17, 0x1.e8a95b642a45ap-18, 0x1.cee3a5012706bp-18, 0x1.b5feb0c25db16p-18, 0x1.9df63080ee59ep-18, 0x1.86c508eed6538p-18, 0x1.70657ae148218p-18, 0x1.5ad15d4fa894ep-18, 0x1.46025f90644c3p-18, 0x1.31f252c0e153fp-18, 0x1.1e9b5b8f0e1fdp-18, 0x1.0bf7e930fdac7p-18, 0x1.f404d1add92d5p-19, 0x1.d169cb245d7f9p-19, 0x1.b011a85b8835cp-19, 0x1.8fee69d1a6a55p-19, 0x1.70f20534acc02p-19, 0x1.530f7eaab6e24p-19, 0x1.363bc73c8052fp-19, 0x1.1a6e0bafe63fp-19, 0x1.ff3ebf22a6593p-20, 0x1.cb93ea7d3bbf5p-20, 0x1.99d07f4cfec93p-20, 0x1.69e8a67cbd511p-20, 0x1.3bcf44be01762p-20, 0x1.0f75e35202b99p-20, 0x1.c99966a784cecp-21, 0x1.7785920cc0724p-21, 0x1.288e0c0be16ddp-21, 0x1.b92745d3295cep-22, 0x1.26fbb9e782d6ap-22, 0x1.34f32d89aab8dp-23, 0x1.38f9d91aa8fafp-26, -0x1.b73309613cbb6p-24, -0x1.d35395d11abf2p-23, -0x1.60219604de96p-22, -0x1.d15b6a6ca97e5p-22, -0x1.1ec29381be89p-21, -0x1.5264cbb93bab9p-21, -0x1.83a5b18a594fap-21, -0x1.b2941e265702ep-21, -0x1.df404dd7ed23ap-21, -0x1.04df4c2f391fap-20, -0x1.1913a87dd6599p-20, -0x1.2c4a593b8fac4p-20, -0x1.3e905783b054ap-20, -0x1.4ff1da0902e4ap-20, -0x1.607a2666f35b9p-20, -0x1.70338653009f3p-20, -0x1.7f272a69daf21p-20, -0x1.8d5cfb62454bep-20, -0x1.9adb7cfa4caf2p-20, -0x1.a7a7e2be2e81p-20, -0x1.b3c64fc1dc622p-20, -0x1.bf3a22955b885p-20, -0x1.ca063a183cc4ep-20, -0x1.d42d88c52cba6p-20, -0x1.ddb453859491bp-20, -0x1.e6a1b854babp-20, -0x1.eeffed0684a2cp-20, -0x1.f6d9e5a142401p-20, -0x1.fe37680cab844p-20, -0x1.028d52a1d8dcep-19, -0x1.05c0c405640b4p-19, -0x1.08b4e54d6d0f8p-19, -0x1.0b6a54195989fp-19, -0x1.0de3b4691084bp-19, -0x1.10244d1f5833cp-19, -0x1.122e515e061f4p-19, -0x1.1402733e1047ap-19, -0x1.15a106729a20cp-19, -0x1.170b6850df126p-19, -0x1.1844611dc034cp-19, -0x1.194f762ca77dp-19, -0x1.1a2ffd778975bp-19, -0x1.1ae894a1156dbp-19, -0x1.1b7b12183a505p-19, -0x1.1be8bba3b4a99p-19, -0x1.1c328c3ae3e6p-19, -0x1.1c5968b77c3f6p-19, -0x1.1c5e39046008cp-19, -0x1.1c41e75fcc0acp-19, -0x1.1c0551483a436p-19, -0x1.1ba93bc425285p-19, -0x1.1b2e5c8e1f04cp-19, -0x1.1a95809154e44p-19, -0x1.19dfc24dcb961p-19, -0x1.190ea72136489p-19, -0x1.1823f61d164b9p-19, -0x1.1721550dd3742p-19, -0x1.1608151dd57cfp-19, -0x1.14d98a9bfd57bp-19, -0x1.13977fd5c29b3p-19, -0x1.1243c1e2bb98cp-19, -0x1.10ded4664d07fp-19, -0x1.0f677b0d9ab8cp-19, -0x1.0ddc26aa99ebbp-19, -0x1.0c3cef16c352cp-19, -0x1.0a8bee7f629d4p-19, -0x1.08cb93b52ab75p-19, -0x1.06fcb2dbba513p-19, -0x1.051e664761a6ap-19, -0x1.032fa4baadad8p-19, -0x1.01309371c7201p-19, -0x1.fe44f270ddfa4p-20, -0x1.fa0decc4cce27p-20, -0x1.f5bed4eb2f2abp-20, -0x1.f1598d8eaee92p-20, -0x1.ecdf443b1a2b5p-20, -0x1.e850b908ceea5p-20, -0x1.e3ae78d97f126p-20, -0x1.def9015f3b96dp-20, -0x1.da30d4563905p-20, -0x1.d556804ee5011p-20, -0x1.d06aa29e98d56p-20, -0x1.cb6de301abbe4p-20, -0x1.c660e99f61a17p-20, -0x1.c144519d724d4p-20, -0x1.bc189cb48f078p-20, -0x1.b6de2d5d59e9cp-20, -0x1.b1954e46af71p-20, -0x1.ac3e4b7e792e3p-20, -0x1.a6d994b43ffbap-20, -0x1.a167cb71f0b83p-20, -0x1.9be9a57c1f79cp-20, -0x1.965fc899a2c27p-20, -0x1.90caf8f713d75p-20, -0x1.8b2c8e091fd6dp-20, -0x1.8586468c0cdabp-20, -0x1.7fd901a10dc17p-20, -0x1.7a2408e6c9429p-20, -0x1.7466617d9c6a9p-20, -0x1.6ea05c1823811p-20, -0x1.68d32792aa42cp-20, -0x1.62ff517a49a5ep-20, -0x1.5d24945970894p-20, -0x1.5742c7c016913p-20, -0x1.515a39469db3bp-20, -0x1.4b6b68703aee3p-20, -0x1.4576dbb73bfecp-20, -0x1.3f7d152cff318p-20, -0x1.397e83e883ed1p-20, -0x1.337b7b1a68406p-20, -0x1.2d7436f2dfbc9p-20, -0x1.2768e7e60808fp-20, -0x1.2159bbe9cb727p-20, -0x1.1b46e30abba7dp-20, -0x1.15309055f6b4p-20, -0x1.0f16f83a164ap-20, -0x1.08fa4e2e08005p-20, -0x1.02dacb46d6e4fp-20, -0x1.f97154ebdfbcdp-21, -0x1.ed282bcd221c7p-21, -0x1.e0da766ce030dp-21, -0x1.d48895e87012ap-21, -0x1.c832e6f404111p-21, -0x1.bbd9c575a56c7p-21, -0x1.af7d8e58c1a6cp-21, -0x1.a31e9bcc170a5p-21, -0x1.96bd3b5188b56p-21, -0x1.8a59a73804a68p-21, -0x1.7df41677a0adbp-21, -0x1.718ce6c48a77dp-21, -0x1.6524b5e5c2e5fp-21, -0x1.58bc15edf37f9p-21, -0x1.4c531cd2db82bp-21, -0x1.3fe9aeb7917e5p-21, -0x1.338020b9aa4b2p-21, -0x1.2716a40504d63p-21, -0x1.1aacf177f3f79p-21, -0x1.0e43462795ca7p-21, -0x1.01da89aeb4bb1p-21, -0x1.eae6c47302343p-22, -0x1.d21bae7442c8dp-22, -0x1.b953425f71fa1p-22, -0x1.a08d864ba6e8fp-22, -0x1.87cba5b2716d1p-22, -0x1.6f0f0c38a6a11p-22, -0x1.56585d820c31ap-22, -0x1.3da788787ef53p-22, -0x1.24fc6506024e5p-22, -0x1.0c570abfa1acep-22, -0x1.e76f9ee9aa511p-23, -0x1.b63e536396811p-23, -0x1.851b33eb67a77p-23, -0x1.54074051a2405p-23, -0x1.230371c052c86p-23, -0x1.e42175059330ep-24, -0x1.8260094c286b6p-24, -0x1.20c46a896c4ddp-24, -0x1.7ea02d04ac80fp-25, -0x1.7812cb5c9a363p-26, 0x1.8e44d515a1823p-31, 0x1.90499bb8814dbp-26, 0x1.89b77b9dd7a2ap-25, 0x1.25774d2ad993bp-24, 0x1.85e3903276ab9p-24, 0x1.e61eb7782392bp-24, 0x1.23138190f305ap-23, 0x1.52fdb3f2cfe6cp-23, 0x1.82cdd395b6002p-23, 0x1.b28379bee2f5bp-23, 0x1.e21cb76343e6fp-23, 0x1.08cae63a78224p-22, 0x1.2076b096956e8p-22, 0x1.3813e2db56d47p-22, 0x1.4fa35a215351p-22, 0x1.67247a87be7fp-22, 0x1.7e95e398b79d8p-22, 0x1.95f4a692092d6p-22, 0x1.ad404063c1b1p-22, 0x1.c47a16a8c447ap-22, 0x1.dba363ab6128dp-22, 0x1.f2bc0872609cdp-22, 0x1.04e164208f6e4p-21, 0x1.105bb3dbadab2p-21, 0x1.1bcd33300fa24p-21, 0x1.273544ae52c42p-21, 0x1.3292ecfb30baap-21, 0x1.3de60005bd56fp-21, 0x1.492ed4a9b412cp-21, 0x1.546d988cc58c5p-21, 0x1.5fa2345b2fc4dp-21, 0x1.6acc71cbe95e2p-21, 0x1.75ec16b634a9ep-21, 0x1.8100edde2f425p-21, 0x1.8c0ac735642acp-21, 0x1.970975f82784cp-21, 0x1.a1fccefbc42c1p-21, 0x1.ace4a7f5aa59ap-21, 0x1.b7c0d7ade5e4fp-21, 0x1.c29136caebe25p-21, 0x1.cd55a07cb5952p-21, 0x1.d80df2818f4bcp-21, 0x1.e2ba0c82b8123p-21, 0x1.ed59cf28c411dp-21, 0x1.f7ed1b078c184p-21, 0x1.0139e76218255p-20, 0x1.0676e2110b6d1p-20, 0x1.0bad6737b5c6ap-20, 0x1.10dd5fb528619p-20, 0x1.1606b93654883p-20, 0x1.1b296a460e4ap-20, 0x1.2045706696be6p-20, 0x1.255ab793adf92p-20, 0x1.2a68e7e8cef16p-20, 0x1.2f6fcb823aa46p-20, 0x1.346fee62d7f79p-20, 0x1.39698a5033f6bp-20, 0x1.3e5c0322a0a28p-20, 0x1.4346eb3f48248p-20, 0x1.482a88f45fc0ap-20, 0x1.4d06fcbd00f4cp-20, 0x1.51dc330978491p-20, 0x1.56aa0e6105c76p-20, 0x1.5b705e88e0793p-20, 0x1.602edabe7ca5ep-20, 0x1.64e56e0f539bcp-20, 0x1.69946a0e76172p-20, 0x1.6e3c036720ba4p-20, 0x1.72dc391ca8031p-20, 0x1.7774bfbb98203p-20, 0x1.7c051614208a3p-20, 0x1.808d3e4b41d81p-20, 0x1.850d73b1fdf7fp-20, 0x1.8985c31ba0806p-20, 0x1.8df61a13676bfp-20, 0x1.925e6244b4bc2p-20, 0x1.96be8966f9312p-20, 0x1.9b1680cd580ccp-20, 0x1.9f663bc3f2ce9p-20, 0x1.a3adae6cbe85ap-20, 0x1.a7eccd710c764p-20, 0x1.ac238f59ef29cp-20, 0x1.b051eb06a1b42p-20, 0x1.b477cda11d437p-20, 0x1.b89532b54f39p-20, 0x1.bcaa15bdefa5ep-20, 0x1.c0b66c42c5846p-20, 0x1.c4ba2dd307781p-20, 0x1.c8b552f543be5p-20, 0x1.cca7d44511e09p-20, 0x1.d091a9d023281p-20, 0x1.d472c88b5890bp-20, 0x1.d84b2320339b5p-20, 0x1.dc1aace48804cp-20, 0x1.dfe1600332bf4p-20, 0x1.e39f417bb72bp-20, 0x1.e7545e4519d79p-20, 0x1.eb00a78028f9ep-20, 0x1.eea3cde4e1757p-20, 0x1.f23e0c143172dp-20, 0x1.f5cf9836d4683p-20, 0x1.f957eb3f33727p-20, 0x1.fcd72ccb3838ap-20, 0x1.0026c179f7bp-19, 0x1.01dd6ee89e682p-19, 0x1.038f978aaafbbp-19, 0x1.053d3842eec81p-19, 0x1.06e64f939f751p-19, 0x1.088adc44818a2p-19, 0x1.0a2add3937421p-19, 0x1.0bc6529b5589ap-19, 0x1.0d5d3d28a7f2ep-19, 0x1.0eef930de3c2dp-19, 0x1.107d338e12019p-19, 0x1.12061d54c961fp-19, 0x1.138a98f5a1d42p-19, 0x1.150aaeda35cbcp-19, 0x1.168610c705a8cp-19, 0x1.17fcb9f788206p-19, 0x1.196ed0bdfd196p-19, 0x1.1adc5bd8106d7p-19, 0x1.1c455491baaa9p-19, 0x1.1da9b6248edf5p-19, 0x1.1f097ebae003fp-19, 0x1.2064adf1655d3p-19, 0x1.21bb43efccbbcp-19, 0x1.230d410aa0c41p-19, 0x1.245aa5af38aa9p-19, 0x1.25a3726e906fcp-19, 0x1.26e7a80cb9aadp-19, 0x1.28274782433fdp-19, 0x1.296251ee41965p-19, 0x1.2a98c88813f1ep-19, 0x1.2bcaac9f116f1p-19, 0x1.2cf7ffa71b64ep-19, 0x1.2e20c346e79d7p-19, 0x1.2f44f94a0dbc6p-19, 0x1.3064a347df6fbp-19, 0x1.317fc20aaf238p-19, 0x1.32965591fa9p-19, 0x1.33a85e7e6cc26p-19, 0x1.34b5df753f25ap-19, 0x1.35bedcf9c5de2p-19, 0x1.36c35e212b277p-19, 0x1.37c36bc4dff54p-19, 0x1.38befbb1c2cd6p-19, 0x1.39b606589d48p-19, 0x1.3aa88eaf873f9p-19, 0x1.3b969e1a65583p-19, 0x1.3c8046526de76p-19, 0x1.3d6583f9f62f3p-19, 0x1.3e465587fff31p-19, 0x1.3f22bcf7c4b6ap-19, 0x1.3ffabd4e18b04p-19, 0x1.40ce59ce54f18p-19, 0x1.419d95e8d03bbp-19, 0x1.42687545c5a4fp-19, 0x1.432efbc5ed5bcp-19, 0x1.43f12d5bf1f3p-19, 0x1.44af0dba08399p-19, 0x1.4568a008b5e08p-19, 0x1.461de74bdbda2p-19, 0x1.46cee84cd75fap-19, 0x1.477babb3060f2p-19, 0x1.482436b8e4cabp-19, 0x1.48c87b1c39b42p-19, 0x1.4968835f7cb6bp-19, 0x1.4a04604a6db16p-19, 0x1.4a9bfe489ce09p-19, 0x1.4b2f764215555p-19, 0x1.4bbed34bfac04p-19, 0x1.4c4a138005daap-19, 0x1.4cd137e7fa453p-19, 0x1.4d5444349d9a1p-19, 0x1.4dd33cbefbc99p-19, 0x1.4e4e26e0cef3p-19, 0x1.4ec50a42d7229p-19, 0x1.4f37e6a094689p-19, 0x1.4fa6c11199a0ep-19, 0x1.5011a3d1b438ep-19, 0x1.5078910988eacp-19, 0x1.50db8d89f0841p-19, 0x1.513a9ed2af4b1p-19, 0x1.5195ca3248056p-19, 0x1.51ed14fae0747p-19, 0x1.5240848d9d00dp-19, 0x1.52901e63b3497p-19, 0x1.52dbe7ea36f4ap-19, 0x1.5323e64b50662p-19, 0x1.53681e7219f3dp-19, 0x1.53a8958f3a84cp-19, 0x1.53e5516e420a5p-19, 0x1.541e581ec227p-19, 0x1.5453b0c2944a8p-19, 0x1.54856439ea36bp-19, 0x1.54b377d6a63afp-19, 0x1.54dde8dfdc0b3p-19, 0x1.5504b58f15c4dp-19, 0x1.5527f388ea4f6p-19, 0x1.5547aa5a77635p-19, 0x1.5563db7bf3741p-19, 0x1.557c8bb03b7cfp-19, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.3ea66a72e719fp-1, -0x1.3eae5feb508fbp-1, -0x1.3ebaa45c2c6f2p-1, -0x1.3ec9d5ced907bp-1, -0x1.3eda343d19b43p-1, -0x1.3ee9c14f1a5c6p-1, -0x1.3ef65d7379c1bp-1, -0x1.3efde0eb6e1f9p-1, -0x1.3efe3077d33f9p-1, -0x1.3ef54dd04f047p-1, -0x1.3ee1643aba592p-1, -0x1.3ec0d1a4d785bp-1, -0x1.3e922ca479793p-1, -0x1.3e5447c3632bcp-1, -0x1.3e06327db6402p-1, -0x1.3da7385a6970ap-1, -0x1.3d36de835ca81p-1, -0x1.3cb4e03d80b2fp-1, -0x1.3c212a9909338p-1, -0x1.3b7bd7a6aa6c5p-1, -0x1.3ac5297250704p-1, -0x1.39fd84f6b71c8p-1, -0x1.39256d30c1e23p-1, -0x1.383d7e6e0691dp-1, -0x1.374669e8442f7p-1, -0x1.3640f1b782675p-1, -0x1.352de51e81c23p-1, -0x1.340e1d30abea3p-1, -0x1.32e279cdccebfp-1, -0x1.31abdeee16bcbp-1, -0x1.306b3238286a6p-1, -0x1.2f2158dab2783p-1, -0x1.2dcf35a3a37dcp-1, -0x1.2c75a74f6524ap-1, -0x1.2b15870b69028p-1, -0x1.29afa727fd895p-1, -0x1.2844d1f612174p-1, -0x1.26d5c8ce236d1p-1, -0x1.2563433dfc9bp-1, -0x1.23edee5b41bp-1, -0x1.22766c38fc4efp-1, -0x1.20fd537e68066p-1, -0x1.1f832f1d4f2fbp-1, -0x1.1e087e2634001p-1, -0x1.1c8db3b86c8f4p-1, -0x1.1b13370c3ff8dp-1, -0x1.19996394f035bp-1, -0x1.182089388aec5p-1, -0x1.16a8ec9b3ab21p-1, -0x1.1532c77bcf5cfp-1, -0x1.13be491f226cp-1, -0x1.124b96c80b825p-1, -0x1.10dacc399104ep-1, -0x1.0f6bfc41264ddp-1, -0x1.0dff3146d4577p-1, -0x1.0c946de14c474p-1, -0x1.0b2bad6c0a65ep-1, -0x1.09c4e49dd68c4p-1, -0x1.0860021e1519dp-1, -0x1.06fcef1791675p-1, -0x1.059b8fc78da14p-1, -0x1.043bc4081963ap-1, -0x1.02dd67d4d6b63p-1, -0x1.018053c980c79p-1, -0x1.00245d99ae7d6p-1, -0x1.fd92b102eb9cdp-2, -0x1.fade2b5d56258p-2, -0x1.f82ac9454983ap-2, -0x1.f5782718f3e45p-2, -0x1.f2c5df37aa393p-2, -0x1.f0138a99041e2p-2, -0x1.ed60c155e54eap-2, -0x1.eaad1b2408e1p-2, -0x1.e7f82fc4b4873p-2, -0x1.e54197675476fp-2, -0x1.e288eb00c33fbp-2, -0x1.dfcdc4980ee7p-2, -0x1.dd0fbf89917a9p-2, -0x1.da4e78c12d8fbp-2, -0x1.d7898eec83fe6p-2, -0x1.d4c0a2a5ee089p-2, -0x1.d1f356990328cp-2, -0x1.cf214fa161eep-2, -0x1.cc4a34e477b16p-2, -0x1.c96dafe6e345fp-2, -0x1.c68b6c9e11693p-2, -0x1.c3a3197ea7293p-2, -0x1.c0b467882d0c3p-2, -0x1.bdbf0a4e7d976p-2, -0x1.bac2b80157167p-2, -0x1.b7bf29726d702p-2, -0x1.b4b41a1a4d64cp-2, -0x1.b1a1481c54f19p-2, -0x1.ae867449f9249p-2, -0x1.ab6362258db78p-2, -0x1.a837d7e4b210ap-2, -0x1.a5039e728354bp-2, -0x1.a1c68171ad0c5p-2, -0x1.9e804f3e66dfap-2, -0x1.9b30d8f06a678p-2, -0x1.97d7f25ce7acfp-2, -0x1.947572187a89cp-2, -0x1.91093179181e5p-2, -0x1.8d930c97f7e2p-2, -0x1.8a12e25367967p-2, -0x1.8688945083f72p-2, -0x1.82f406fcc810fp-2, -0x1.7f55218f66815p-2, -0x1.7babce0a604c4p-2, -0x1.77f7f93b47412p-2, -0x1.743992bba4743p-2, -0x1.70708cf0eb7d7p-2, -0x1.6c9cdd0bf6171p-2, -0x1.68be7b07f845fp-2, -0x1.64d561a8dda84p-2, -0x1.60e18e790e27p-2, -0x1.5ce301c6839cap-2, -0x1.58d9be9f38cc6p-2, -0x1.54c5caccdc1cfp-2, -0x1.50a72ecfc6f7ap-2, -0x1.4c7df5d935d74p-2, -0x1.484a2dc4bf43bp-2, -0x1.440be71101dp-2, -0x1.3fc334d791056p-2, -0x1.3b702cc41b12fp-2, -0x1.3712e70acf9dap-2, -0x1.32ab7e5e050c1p-2, -0x1.2e3a0fe324aa7p-2, -0x1.29bebb26def7ap-2, -0x1.2539a210b38b1p-2, -0x1.20aae8d5d017fp-2, -0x1.1c12b5eb4931ap-2, -0x1.177131f7bfba1p-2, -0x1.12c687c473dc3p-2, -0x1.0e12e42dcecdep-2, -0x1.0956761371dd6p-2, -0x1.04916e47cdde6p-2, -0x1.ff87fefeaca14p-3, -0x1.f5dcbc7e97b37p-3, -0x1.ec21819878d72p-3, -0x1.e256be305df32p-3, -0x1.d87ce561295e3p-3, -0x1.ce946d57ff4f8p-3, -0x1.c49dcf2f64246p-3, -0x1.ba9986ca0e204p-3, -0x1.b08812ad8cf31p-3, -0x1.a669f3dcce10cp-3, -0x1.9c3fadb2a0282p-3, -0x1.9209c5bc33142p-3, -0x1.87c8c393b696fp-3, -0x1.7d7d30bb242ecp-3, -0x1.732798773f73fp-3, -0x1.68c887aae13bp-3, -0x1.5e608cb298098p-3, -0x1.53f03740b1371p-3, -0x1.49781839b0e35p-3, -0x1.3ef8c19147b46p-3, -0x1.3472c627d6336p-3, -0x1.29e6b9a8822cdp-3, -0x1.1f553067e199ap-3, -0x1.14bebf435abb4p-3, -0x1.0a23fb81228c3p-3, -0x1.ff0af561fcec7p-4, -0x1.e9c7a51b72f37p-4, -0x1.d47f31beb3ee5p-4, -0x1.bf32c6bc51a31p-4, -0x1.a9e38f2ce99a9p-4, -0x1.9492b59a656e8p-4, -0x1.7f4163cacc321p-4, -0x1.69f0c28cc173bp-4, -0x1.54a1f985b888cp-4, -0x1.3f562f01cb3eap-4, -0x1.2a0e87c547d2fp-4, -0x1.14cc26dfed66bp-4, -0x1.ff205b03b91b5p-5, -0x1.d4b775a464f49p-5, -0x1.aa5fd78eabf7fp-5, -0x1.801bb601d12f6p-5, -0x1.55ed4146ca1a8p-5, -0x1.2bd6a46abe4bep-5, -0x1.01da04fcb47d3p-5, -0x1.aff3059d0032p-6, -0x1.5c6e6f7195fcap-6, -0x1.092a6ec45da37p-6, -0x1.6c563c25a8b6dp-7, -0x1.8dd22a93e9e1ap-8, -0x1.10ab42d6e05a5p-10, 0x1.0439ce42e306cp-8, 0x1.25a6122cfa5a6p-7, 0x1.c87e6ef064fc2p-7, 0x1.354f38a7367d4p-6, 0x1.85ff55b6b402fp-6, 0x1.d64be71b25198p-6, 0x1.1318aa728a399p-5, 0x1.3ad60b7b8ace5p-5, 0x1.625c5a9b8b469p-5, 0x1.89a9e3dd9ef8p-5, 0x1.b0bcfb793819dp-5, 0x1.d793fde45979cp-5, 0x1.fe2d4fe3bf766p-5, 0x1.1243af4c8675p-4, 0x1.25504fc78f3fep-4, 0x1.383bc8624970fp-4, 0x1.4b055c5a43587p-4, 0x1.5dac532ed49b2p-4, 0x1.702ff8a3db6c1p-4, 0x1.828f9cc3b0849p-4, 0x1.94ca93e0620adp-4, 0x1.a6e0369430a66p-4, 0x1.b8cfe1c16574cp-4, 0x1.ca98f69181919p-4, 0x1.dc3ada73c327p-4, 0x1.edb4f71b25ac3p-4, 0x1.ff06ba7bc01d7p-4, 0x1.0817cb63d082cp-3, 0x1.10978135950d7p-3, 0x1.19023c047233ap-3, 0x1.2157bb3a748fcp-3, 0x1.2997c057ecf1cp-3, 0x1.31c20ef0b271ap-3, 0x1.39d66ca93420ep-3, 0x1.41d4a13360836p-3, 0x1.49bc764b57605p-3, 0x1.518db7b3f8639p-3, 0x1.5948333344e37p-3, 0x1.60ebb88e9f581p-3, 0x1.68781986e7a39p-3, 0x1.6fed29d4742b5p-3, 0x1.774abf22ec278p-3, 0x1.7e90b10d0870bp-3, 0x1.85bed91832e0cp-3, 0x1.8cd512b017a07p-3, 0x1.93d33b2211839p-3, 0x1.9ab931988a154p-3, 0x1.a186d71646491p-3, 0x1.a83c0e7197e8bp-3, 0x1.aed8bc4f87166p-3, 0x1.b55cc71ee8759p-3, 0x1.bbc817136621ap-3, 0x1.c21a962079b12p-3, 0x1.c8542ff45e4dbp-3, 0x1.ce74d1f2f053cp-3, 0x1.d47c6b308eb42p-3, 0x1.da6aec6ced62p-3, 0x1.e040480ddd328p-3, 0x1.e5fc721a11f9dp-3, 0x1.eb9f6033e4429p-3, 0x1.f129099408772p-3, 0x1.f6996704460adp-3, 0x1.fbf072da2a3cfp-3, 0x1.00971478dbabdp-2, 0x1.032943540915fp-2, 0x1.05aec56b17c7p-2, 0x1.08279ae5beb5cp-2, 0x1.0a93c4a44742bp-2, 0x1.0cf3443ce3856p-2, 0x1.0f461bf901861p-2, 0x1.118c4ed2a49f2p-2, 0x1.13c5e071b8b67p-2, 0x1.15f2d5296dd22p-2, 0x1.181331f58d145p-2, 0x1.1a26fc77d4cp-2, 0x1.1c2e3af5535d8p-2, 0x1.1e28f453c34edp-2, 0x1.20173016eb3a8p-2, 0x1.21f8f65dfb632p-2, 0x1.23ce4fe0f196bp-2, 0x1.259745edfc3d5p-2, 0x1.2753e266e07c1p-2, 0x1.29042fbe62fb5p-2, 0x1.2aa838f5b0accp-2, 0x1.2c400999cbf8p-2, 0x1.2dcbadc0fc89fp-2, 0x1.2f4b32083f955p-2, 0x1.30bea390bb979p-2, 0x1.32260ffd36c1ap-2, 0x1.3381856f9155ap-2, 0x1.34d112863f23dp-2, 0x1.3614c659c5dd7p-2, 0x1.374cb07a40af7p-2, 0x1.3878e0ece0c85p-2, 0x1.3999682975584p-2, 0x1.3aae5717f554p-2, 0x1.3bb7bf0e09a7cp-2, 0x1.3cb5b1cc9f54dp-2, 0x1.3da8417d76ec1p-2, 0x1.3e8f80b0b94f4p-2, 0x1.3f6b825a92298p-2, 0x1.403c59d0c9174p-2, 0x1.41021ac85fa35p-2, 0x1.41bcd95331e84p-2, 0x1.426ca9dd9ce98p-2, 0x1.4311a12c2329bp-2, 0x1.43abd459199c6p-2, 0x1.443b58d251f45p-2, 0x1.44c04456cff08p-2, 0x1.453aacf478102p-2, 0x1.45aaa905cc597p-2, 0x1.46104f2fa217cp-2, 0x1.466bb65ee4599p-2, 0x1.46bcf5c650b7dp-2, 0x1.470424dc40de1p-2, 0x1.47415b586deap-2, 0x1.4774b131c08cdp-2, 0x1.479e3e9c1cc5dp-2, 0x1.47be1c0635f8ep-2, 0x1.47d4621765a86p-2, 0x1.47e129ad8461bp-2, 0x1.47e48bdac942dp-2, 0x1.47dea1e3a7bddp-2, 0x1.47cf853cb7e9fp-2, 0x1.47b74f889f45dp-2, 0x1.47961a95fa5a7p-2, 0x1.476c005d50ecap-2, 0x1.47391aff09bdap-2, 0x1.46fd84c161604p-2, 0x1.46b9580e6816cp-2, 0x1.466caf720255p-2, 0x1.4617a597eef9ep-2, 0x1.45ba5549cc36fp-2, 0x1.4554d96d28c8fp-2, 0x1.44e74d0194bf2p-2, 0x1.4471cb1eb5c7fp-2, 0x1.43f46ef262f74p-2, 0x1.436f53bec24f5p-2, 0x1.42e294d86d52dp-2, 0x1.424e4da497ca2p-2, 0x1.41b299973cb0ap-2, 0x1.410f94314e368p-2, 0x1.406558feec5afp-2, 0x1.3fb40395a05d1p-2, 0x1.3efbaf9299ef5p-2, 0x1.3e3c7898f4c5bp-2, 0x1.3d767a500138bp-2, 0x1.3ca9d061929f3p-2, 0x1.3bd69678527f8p-2, 0x1.3afce83e18966p-2, 0x1.3a1ce15a4825bp-2, 0x1.39369d70336abp-2, 0x1.384a381d81478p-2, 0x1.3757ccf89c298p-2, 0x1.365f778f24e42p-2, 0x1.3561536467bf1p-2, 0x1.345d7befdc13p-2, 0x1.33540c9ba5a7ep-2, 0x1.324520c31d1d4p-2, 0x1.3130d3b15e0a2p-2, 0x1.3017409fd9121p-2, 0x1.2ef882b4ed744p-2, 0x1.2dd4b5028933bp-2, 0x1.2cabf284c93eep-2, 0x1.2b7e5620a6cap-2, 0x1.2a4bfaa2a74bap-2, 0x1.2914fabd8e3cep-2, 0x1.27d971091d5cp-2, 0x1.26997800d16bp-2, 0x1.25552a02ac904p-2, 0x1.240ca14e0209p-2, 0x1.22bff8024803cp-2, 0x1.216f481df1d67p-2, 0x1.201aab7d4f0abp-2, 0x1.1ec23bd96e5f7p-2, 0x1.1d6612c70b591p-2, 0x1.1c0649b57c417p-2, 0x1.1aa2f9edaab6cp-2, 0x1.193c3c91102f6p-2, 0x1.17d22a98b9169p-2, 0x1.1664dcd44da0fp-2, 0x1.14f46be92139fp-2, 0x1.1380f05145e5ep-2, 0x1.120a825aab147p-2, 0x1.10913a263a3f7p-2, 0x1.0f152fa7027dbp-2, 0x1.0d967aa163a5cp-2, 0x1.0c1532aa40ea1p-2, 0x1.0a916f263c41bp-2, 0x1.090b4748f5c55p-2, 0x1.0782d2144e217p-2, 0x1.05f82657b71acp-2, 0x1.046b5aaf7facep-2, 0x1.02dc85842f1d3p-2, 0x1.014bbd09e1cfbp-2, 0x1.ff722e7f53425p-3, 0x1.fc4953ddf6e4ep-3, 0x1.f91d155635027p-3, 0x1.f5ed9da11e5f8p-3, 0x1.f2bb170940e0fp-3, 0x1.ef85ab69abfa7p-3, 0x1.ec4d842cf5fe1p-3, 0x1.e912ca4c5a0d3p-3, 0x1.e5d5a64edb505p-3, 0x1.e29640486c948p-3, 0x1.df54bfd92fa97p-3, 0x1.dc114c2cb7622p-3, 0x1.d8cc0bf956c81p-3, 0x1.d585257f7bbcfp-3, 0x1.d23cbe89150cbp-3, 0x1.cef2fc6900694p-3, 0x1.cba803fa8679cp-3, 0x1.c85bf9a0dc305p-3, 0x1.c50f0146b6995p-3, 0x1.c1c13e5de14d8p-3, 0x1.be72d3dee4b9bp-3, 0x1.bb23e448ae28ep-3, 0x1.b7d491a04f8ep-3, 0x1.b484fd70b9258p-3, 0x1.b13548ca8ad6ep-3, 0x1.ade59443e4b4fp-3, 0x1.aa95fff846722p-3, 0x1.a746ab8876bf9p-3, 0x1.a3f7b61a76fc4p-3, 0x1.a0a93e5976e51p-3, 0x1.9d5b6275dc7ecp-3, 0x1.9a0e40254dc38p-3, 0x1.96c1f4a2c23ap-3, 0x1.93769caea6252p-3, 0x1.902c548ef86bcp-3, 0x1.8ce3380f7cbc1p-3, 0x1.899b6281ee901p-3, 0x1.8654eebe40827p-3, 0x1.830ff722dd662p-3, 0x1.7fcc9594fbd5fp-3, 0x1.7c8ae380e9da8p-3, 0x1.794af9da72f3p-3, 0x1.760cf11d3aae7p-3, 0x1.72d0e14d2a9fap-3, 0x1.6f96e1f6e0505p-3, 0x1.6c5f0a302beb3p-3, 0x1.6929709886fb4p-3, 0x1.65f62b599cc29p-3, 0x1.62c55027d7d87p-3, 0x1.5f96f442efc75p-3, 0x1.5c6b2c768138cp-3, 0x1.59420d1aae0c7p-3, 0x1.561baa14c0f37p-3, 0x1.52f816d7cf498p-3, 0x1.4fd7666572adfp-3, 0x1.4cb9ab4e71e63p-3, 0x1.499ef7b3809fp-3, 0x1.46875d45fba92p-3, 0x1.4372ed48a7d92p-3, 0x1.4061b8907efa7p-3, 0x1.3d53cf85793ddp-3, 0x1.3a4942235ccf4p-3, 0x1.37421ffa94767p-3, 0x1.343e783104741p-3, 0x1.313e5982ee538p-3, 0x1.2e41d243c86bbp-3, 0x1.2b48f05f2b5e2p-3, 0x1.2853c159b425ep-3, 0x1.25625251efd3bp-3, 0x1.2274b0014e53fp-3, 0x1.1f8ae6bd0e2adp-3, 0x1.1ca5027736433p-3, 0x1.19c30ebf8b581p-3, 0x1.16e516c48d488p-3, 0x1.140b25546c807p-3, 0x1.113544de12bc5p-3, 0x1.0e637f72213dcp-3, 0x1.0b95dec3f2857p-3, 0x1.08cc6c2aa3f79p-3, 0x1.060730a21dbdap-3, 0x1.034634cc19c75p-3, 0x1.008980f133972p-3, 0x1.fba23a03e5901p-4, 0x1.f63a212fb7762p-4, 0x1.f0dac5ed008a6p-4, 0x1.eb84361919b0fp-4, 0x1.e6367ee9c5bd6p-4, 0x1.e0f1acef4bc51p-4, 0x1.dbb5cc16a308ep-4, 0x1.d682e7aba5e84p-4, 0x1.d1590a5b317abp-4, 0x1.cc383e35614e8p-4, 0x1.c7208cafb286cp-4, 0x1.c211fea736cebp-4, 0x1.bd0c9c62c58a6p-4, 0x1.b8106d952d077p-4, 0x1.b31d795f63ae2p-4, 0x1.ae33c652b2289p-4, 0x1.a9535a72eb9d1p-4, 0x1.a47c3b389997ep-4, 0x1.9fae6d9329b72p-4, 0x1.9ae9f5eb27a7cp-4, 0x1.962ed8245a1bp-4, 0x1.917d179ffda42p-4, 0x1.8cd4b73eea7a5p-4, 0x1.8835b963c115fp-4, 0x1.83a01ff50fc59p-4, 0x1.7f13ec5f7f4b9p-4, 0x1.7a911f97f32bap-4, 0x1.7617ba1dada9cp-4, 0x1.71a7bbfc79107p-4, 0x1.6d4124cebc61fp-4, 0x1.68e3f3bf9cb39p-4, 0x1.6490278d19155p-4, 0x1.6045be8a1e8e9p-4, 0x1.5c04b6a0a1625p-4, 0x1.57cd0d53acd2dp-4, 0x1.539ebfc171aa8p-4, 0x1.4f79caa5532f7p-4, 0x1.4b5e2a59f00adp-4, 0x1.474bdadb285fep-4, 0x1.4342d7c81fd76p-4, 0x1.3f431c6539553p-4, 0x1.3b4ca39e16e72p-4, 0x1.375f68078e176p-4, 0x1.337b63e19b8adp-4, 0x1.2fa091195536cp-4, 0x1.2bcee94ad1819p-4, 0x1.280665c314b9p-4, 0x1.2446ff81f01aep-4, 0x1.2090af3be49p-4, 0x1.1ce36d5bfb05bp-4, 0x1.193f32059eb71p-4, 0x1.15a3f5166d14bp-4, 0x1.1211ae28049e7p-4, 0x1.0e885491d2afp-4, 0x1.0b07df6acdc04p-4, 0x1.0790458b43bdfp-4, 0x1.04217d8e8ed63p-4, 0x1.00bb7dd4c9956p-4, 0x1.fabc790914186p-5, 0x1.f4135f190e492p-5, 0x1.ed7b994a8ffc5p-5, 0x1.e6f512a58961p-5, 0x1.e07fb5cc0a3bap-5, 0x1.da1b6cfd7ed81p-5, 0x1.d3c82219d5c2p-5, 0x1.cd85bea4992d9p-5, 0x1.c7542bc81347fp-5, 0x1.c13352585661ep-5, 0x1.bb231ad63e117p-5, 0x1.b5236d726a57ep-5, 0x1.af3432102d693p-5, 0x1.a95550486e8b4p-5, 0x1.a386af6c8eb76p-5, 0x1.9dc8368928fe8p-5, 0x1.9819cc68ec9c6p-5, 0x1.927b5797456f2p-5, 0x1.8cecbe631cb5p-5, 0x1.876de6e17c3d1p-5, 0x1.81feb6f02e123p-5, 0x1.7c9f143846b05p-5, 0x1.774ee430beb48p-5, 0x1.720e0c20e95e4p-5, 0x1.6cdc7122e7315p-5, 0x1.67b9f82617e42p-5, 0x1.62a685f17b1p-5, 0x1.5da1ff2603295p-5, 0x1.58ac4840e6005p-5, 0x1.53c5459de03dfp-5, 0x1.4eecdb796b819p-5, 0x1.4a22edf2fa7a2p-5, 0x1.4567610f05d95p-5, 0x1.40ba18b9486d2p-5, 0x1.3c1af8c6b371ap-5, 0x1.3789e4f78c684p-5, 0x1.3306c0f9621e4p-5, 0x1.2e9170690645dp-5, 0x1.2a29d6d47794fp-5, 0x1.25cfd7bcc046ep-5, 0x1.21835697d76ebp-5, 0x1.1d4436d268f4cp-5, 0x1.19125bd1a226cp-5, 0x1.14eda8f4ee18ep-5, 0x1.10d60197a55bep-5, 0x1.0ccb4912be0dap-5, 0x1.08cd62be6943ap-5, 0x1.04dc31f3b01bcp-5, 0x1.00f79a0e01514p-5, 0x1.fa3efcd978b7bp-6, 0x1.f2a784e9580a5p-6, 0x1.eb289322fdc35p-6, 0x1.e3c1ee6e6bdf9p-6, 0x1.dc735dc712b9ap-6, 0x1.d53ca83e813ecp-6, 0x1.ce1d94ff1e49bp-6, 0x1.c715eb4eb65c1p-6, 0x1.c025729100e6cp-6, 0x1.b94bf24a26fa1p-6, 0x1.b289322119683p-6, 0x1.abdcf9e2030d4p-6, 0x1.a547118071e88p-6, 0x1.9ec74119af5b5p-6, 0x1.985d50f6cf38cp-6, 0x1.9209098edd17ep-6, 0x1.8bca3388f3d5p-6, 0x1.85a097be12ee1p-6, 0x1.7f8bff3b3988bp-6, 0x1.798c3343335cap-6, 0x1.73a0fd506e0fcp-6, 0x1.6dca2716ba29dp-6, 0x1.68077a8510f59p-6, 0x1.6258c1c72f749p-6, 0x1.5cbdc7473911p-6, 0x1.573655af4cf0ap-6, 0x1.51c237eaf493dp-6, 0x1.4c613928b21edp-6, 0x1.471324db5e15bp-6, 0x1.41d7c6bb83af5p-6, 0x1.3caeeac8adad7p-6, 0x1.37985d4abc5bp-6, 0x1.3293ead2f6939p-6, 0x1.2da1603d6dd48p-6, 0x1.28c08ab1e890cp-6, 0x1.23f137a51938ap-6, 0x1.1f3334d9a8382p-6, 0x1.1a8650612a414p-6, 0x1.15ea589d0883bp-6, 0x1.115f1c3f888ebp-6, 0x1.0ce46a4c94de4p-6, 0x1.087a121aa0258p-6, 0x1.041fe3535dac4p-6, 0x1.ffab5be9358p-7, 0x1.f73684a1dbd66p-7, 0x1.eee0e220a2226p-7, 0x1.e6aa1661ea7aap-7, 0x1.de91c40f369a9p-7, 0x1.d6978e80d0e8dp-7, 0x1.cebb19be99f19p-7, 0x1.c6fc0a80f63f2p-7, 0x1.bf5a06321d4e8p-7, 0x1.b7d4b2ee7d7bdp-7, 0x1.b06bb785f8ab4p-7, 0x1.a91ebb7c520f1p-7, 0x1.a1ed670a1a98ap-7, 0x1.9ad7631d28986p-7, 0x1.93dc595944d95p-7, 0x1.8cfbf418a241dp-7, 0x1.8635de6c4fd28p-7, 0x1.7f89c41c92b9p-7, 0x1.78f751a954165p-7, 0x1.727e344a675d3p-7, 0x1.6c1e19efac18fp-7, 0x1.65d6b14189c71p-7, 0x1.5fa7a9a0a53f9p-7, 0x1.5990b326514c8p-7, 0x1.53917ea46e4adp-7, 0x1.4da9bda57b0e5p-7, 0x1.47d9226c7b8c2p-7, 0x1.421f5ff4fbcf5p-7, 0x1.3c7c29f2c1b93p-7, 0x1.36ef34d1c6639p-7, 0x1.317835b5f5cfdp-7, 0x1.2c16e27ad8e93p-7, 0x1.26caf1b375265p-7, 0x1.21941aa9aea0bp-7, 0x1.1c72155e4839p-7, 0x1.17649a883d3ccp-7, 0x1.126b639450635p-7, 0x1.0d862aa4a4c8ep-7, 0x1.08b4aa9038832p-7, 0x1.03f69ee2754e5p-7, 0x1.fe9787b4bf1d7p-8, 0x1.f567acd48136p-8, 0x1.ec5d286dafb3dp-8, 0x1.e377772d7d146p-8, 0x1.dab61723ae2a6p-8, 0x1.d21887c0cba6cp-8, 0x1.c99e49d4d3243p-8, 0x1.c146df8e1463ep-8, 0x1.b911cc76cc87dp-8, 0x1.b0fe957451477p-8, 0x1.a90cc0c4fe12fp-8, 0x1.a13bd5fea028cp-8, 0x1.998b5e0c99339p-8, 0x1.91fae32e73e86p-8, 0x1.8a89f0f58b132p-8, 0x1.833814439bf44p-8, 0x1.7c04db48910cbp-8, 0x1.74efd580dd983p-8, 0x1.6df893b33805fp-8, 0x1.671ea7eefe74bp-8, 0x1.6061a589bbf8dp-8, 0x1.59c1211d90307p-8, 0x1.533cb086b0512p-8, 0x1.4cd3eae1873d8p-8, 0x1.46866888b2b3dp-8, 0x1.4053c3125cab3p-8, 0x1.3a3b954eaf029p-8, 0x1.343d7b452ae56p-8, 0x1.2e5912328673bp-8, 0x1.288df886c586bp-8, 0x1.22dbcde244cdap-8, 0x1.1d42331449a29p-8, 0x1.17c0ca17e5777p-8, 0x1.12573612642bdp-8, 0x1.0d051b5062fc6p-8, 0x1.07ca1f43dc54cp-8, 0x1.02a5e88191c7dp-8, 0x1.fb303d7dadb89p-9, 0x1.f140d59e468aap-9, 0x1.e77ced433dd43p-9, 0x1.dde3da7da2392p-9, 0x1.d474f58cd51aep-9, 0x1.cb2f98d8c4daap-9, 0x1.c21320ee4268bp-9, 0x1.b91eec792c537p-9, 0x1.b0525c40448dp-9, 0x1.a7acd32012ff4p-9, 0x1.9f2db60622329p-9, 0x1.96d46beb9e53cp-9, 0x1.8ea05dd1dc4e6p-9, 0x1.8690f6bb947a1p-9, 0x1.7ea5a3a9bac52p-9, 0x1.76ddd3957207cp-9, 0x1.6f38f76c0811cp-9, 0x1.67b6820949d13p-9, 0x1.6055e8338bc31p-9, 0x1.5916a096152e7p-9, 0x1.51f823bcd544p-9, 0x1.4af9ec0ef4a14p-9, 0x1.441b75caa6058p-9, 0x1.3d5c3f001ae9bp-9, 0x1.36bbc78c420cdp-9, 0x1.30399114c2617p-9, 0x1.29d51f02e3d36p-9, 0x1.238df67e6608cp-9, 0x1.1d639e698f042p-9, 0x1.17559f5b8f9e3p-9, 0x1.1163839cc6823p-9, 0x1.0b8cd720bc831p-9, 0x1.05d127831a9bfp-9, 0x1.003004019ef3dp-9, 0x1.f551faf063601p-10, 0x1.ea774cb82a714p-10, 0x1.dfcf256ec3d6fp-10, 0x1.d558b0488e876p-10, 0x1.cb131b9152a84p-10, 0x1.c0fd98a3088b4p-10, 0x1.b7175bdcff5efp-10, 0x1.ad5f9c9adc76bp-10, 0x1.a3d5952bc55c4p-10, 0x1.9a7882c938d05p-10, 0x1.9147a58e73676p-10, 0x1.8842406fe50aap-10, 0x1.7f67993222bd6p-10, 0x1.76b6f861651fep-10, 0x1.6e2fa949003p-10, 0x1.65d0f9eaca26fp-10, 0x1.5d9a3af75f044p-10, 0x1.558abfc3c2ce7p-10, 0x1.4da1de435215ep-10, 0x1.45deeefe26fd6p-10, 0x1.3e414d091a579p-10, 0x1.36c855fd74d3ap-10, 0x1.2f7369f16e344p-10, 0x1.2841eb6f7da8ap-10, 0x1.21333f6e9215p-10, 0x1.1a46cd4a60dfcp-10, 0x1.137bfebb4d292p-10, 0x1.0cd23fce28bb6p-10, 0x1.0648fedd8dae8p-10, 0x1.ffbf59122e38ap-11, 0x1.f32b775d908dap-11, 0x1.e6d542c54665fp-11, 0x1.dabba9cf867eap-11, 0x1.cedd9f50f70e8p-11, 0x1.c33a1a5f55cadp-11, 0x1.b7d016419db61p-11, 0x1.ac9e926219661p-11, 0x1.a1a4924041b99p-11, 0x1.96e11d619fad3p-11, 0x1.8c533f46323bap-11, 0x1.81fa0757cbfcbp-11, 0x1.77d488ddc63aap-11, 0x1.6de1daee83c81p-11, 0x1.6421186362aeap-11, 0x1.5a915fca251fdp-11, 0x1.5131d3573ae68p-11, 0x1.480198da8f161p-11, 0x1.3effd9b13656p-11, 0x1.362bc2b8f0a6bp-11, 0x1.2d84844300e99p-11, 0x1.2509520892881p-11, 0x1.1cb9631d6ddbp-11, 0x1.1493f1e3f147cp-11, 0x1.0c983c0158f42p-11, 0x1.04c5825093612p-11, 0x1.fa3611afd95bep-12, 0x1.eb302d779e50ap-12, 0x1.dc77ec685e91bp-12, 0x1.ce0be9008d541p-12, 0x1.bfeac3b73e611p-12, 0x1.b21322e5ecb1p-12, 0x1.a483b2b10c12ap-12, 0x1.973b24f28e467p-12, 0x1.8a383123d37aap-12, 0x1.7d799449e599ap-12, 0x1.70fe10de934ddp-12, 0x1.64c46ebb2d67cp-12, 0x1.58cb7b03d1aecp-12, 0x1.4d1208150910ap-12, 0x1.4196ed6ccac79p-12, 0x1.36590797dcd75p-12, 0x1.2b57381d2e2d1p-12, 0x1.2090656bb0b5ep-12, 0x1.16037ac5b5bfp-12, 0x1.0baf682f221e8p-12, 0x1.01932259002b9p-12, 0x1.ef5b452190d9p-13, 0x1.dbfbcd56f1383p-13, 0x1.c905e1ee69587p-13, 0x1.b6779049dd804p-13, 0x1.a44eee73e3549p-13, 0x1.928a1afcf9546p-13, 0x1.81273cd3dd07dp-13, 0x1.7024832829fd8p-13, 0x1.5f802547a7ca5p-13, 0x1.4f38627dc1fb6p-13, 0x1.3f4b81f0c078p-13, 0x1.2fb7d283c2906p-13, 0x1.207baab44b247p-13, 0x1.1195687ea67dbp-13, 0x1.0303713d2981fp-13, 0x1.e988630fa45acp-14, 0x1.cdac3a341b364p-14, 0x1.b26f5d61083e4p-14, 0x1.97cecfdfea8a5p-14, 0x1.7dc7a288919d4p-14, 0x1.6456f3911fc15p-14, 0x1.4b79ee4dea695p-14, 0x1.332dcafd94922p-14, 0x1.1b6fce93cd48ep-14, 0x1.043d4a80502fp-14, 0x1.db2738f4dcf74p-15, 0x1.aee05ca1acdf9p-15, 0x1.83a0eb5d5ff99p-15, 0x1.5963e7db7832fp-15, 0x1.30246bcba7967p-15, 0x1.07dda76aeb0bbp-15, 0x1.c115c24ec3358p-16, 0x1.744eea8854564p-16, 0x1.295daaf99122dp-16, 0x1.c072227709c6bp-17, 0x1.31b0a8c68a51ep-17, 0x1.4ccb5116cd5ddp-18, 0x1.e803183c80dd4p-21, -0x1.984177652268ep-19, -0x1.ceb8b332772d6p-18, -0x1.6573c9cc110e7p-17, -0x1.e0666bc45bdc9p-17, -0x1.2c21d9ae8b0ep-16, -0x1.668d661877a24p-16, -0x1.9f7d4d7c5ef1ep-16, -0x1.d6f8df5e822f2p-16, -0x1.0683a47f88c8fp-15, -0x1.20d7caffb53ccp-15, -0x1.3a7c5877fb4e8p-15, -0x1.5374b1f192192p-15, -0x1.6bc42c83a7defp-15, -0x1.836e0d9902ecbp-15, -0x1.9a758b34220f7p-15, -0x1.b0ddcc39b704fp-15, -0x1.c6a9e8b1ac81ep-15, -0x1.dbdcea0927574p-15, -0x1.f079cb5bd9734p-15, -0x1.0241bcd7e292ep-14, -0x1.0bfe6a1afa4ep-14, -0x1.15745645b5aecp-14, -0x1.1ea4e37a42577p-14, -0x1.27916d4de8756p-14, -0x1.303b48e7709c4p-14, -0x1.38a3c51bdb45fp-14, -0x1.40cc2a8c558c6p-14, -0x1.48b5bbc3940d2p-14, -0x1.5061b550cf9cfp-14, -0x1.57d14de293af2p-14, -0x1.5f05b6640c408p-14, -0x1.66001a16c015ap-14, -0x1.6cc19ead8d6ebp-14, -0x1.734b6464da1e3p-14, -0x1.799e861dcfd3ep-14, -0x1.7fbc1977c2c56p-14, -0x1.85a52ee72798dp-14, -0x1.8b5ad1ce5451cp-14, -0x1.90de089631c01p-14, -0x1.962fd4c56fed6p-14, -0x1.9b513316b94bcp-14, -0x1.a0431b8f64e4ep-14, -0x1.a506819607358p-14, -0x1.a99c54090fd31p-14, -0x1.ae057d52e6d68p-14, -0x1.b242e37f46c9ap-14, -0x1.b65568512231ap-14, -0x1.ba3de95555fc3p-14, -0x1.bdfd3ff81fe36p-14, -0x1.c19441980518fp-14, -0x1.c503bf99f2642p-14, -0x1.c84c877ad5889p-14, -0x1.cb6f62e35fb7ap-14, -0x1.ce6d17b99d2ap-14, -0x1.d1466833b7c3p-14, -0x1.d3fc12e863a07p-14, -0x1.d68ed2e257afbp-14, -0x1.d8ff5fb04525cp-14, -0x1.db4e6d74bb256p-14, -0x1.dd7cacf7b8f19p-14, -0x1.df8acbb63ce93p-14, -0x1.e17973f2ca4eap-14, -0x1.e3494cc4785d1p-14, -0x1.e4fafa269514ap-14, -0x1.e68f1d067adc1p-14, -0x1.e80653542117cp-14, -0x1.e961380f7ae5fp-14, -0x1.eaa06357ba714p-14, -0x1.ebc46a77bc7bbp-14, -0x1.eccddff48e8a3p-14, -0x1.edbd539b01df2p-14, -0x1.ee93528d0dd0fp-14, -0x1.ef50674dab374p-14, -0x1.eff519cf69p-14, -0x1.f081ef7f409a4p-14, -0x1.f0f76b50cb758p-14, -0x1.f1560dcc18a33p-14, -0x1.f19e55171e5fp-14, -0x1.f1d0bd03c3ee2p-14, -0x1.f1edbf19141aep-14, -0x1.f1f5d29fdb2f9p-14, -0x1.f1e96cac94cbep-14, -0x1.f1c9002add08ap-14, -0x1.f194fde7a0f41p-14, -0x1.f14dd49bc5f35p-14, -0x1.f0f3f0f5fe5e9p-14, -0x1.f087bda48de73p-14, -0x1.f009a35f6d77ep-14, -0x1.ef7a08f196e84p-14, -0x1.eed95342f8393p-14, -0x1.ee27e5613f61bp-14, -0x1.ed662088ad505p-14, -0x1.ec94642dd14f2p-14, -0x1.ebb30e04bf7dep-14, -0x1.eac27a0b07a87p-14, -0x1.e9c3028f3b044p-14, -0x1.e8b5003903d81p-14, -0x1.e798ca1221ec4p-14, -0x1.e66eb58d73fb8p-14, -0x1.e537168f4e67bp-14, -0x1.e3f23f7425304p-14, -0x1.e2a08118e4745p-14, -0x1.e1422ae1f9e38p-14, -0x1.dfd78ac1c1747p-14, -0x1.de60ed40ea833p-14, -0x1.dcde9d841ac55p-14, -0x1.db50e5537407p-14, -0x1.d9b80d20745edp-14, -0x1.d8145c0d153c6p-14, -0x1.d66617f1e3748p-14, -0x1.d4ad856440bbep-14, -0x1.d2eae7bc08686p-14, -0x1.d11e811ae9f25p-14, -0x1.cf4892705d5cfp-14, -0x1.cd695b813e921p-14, -0x1.cb811aeb35476p-14, -0x1.c9900e2ce7ac2p-14, -0x1.c79671a937126p-14, -0x1.c59480ada009ep-14, -0x1.c38a75768373ep-14, -0x1.c1788935ae3f8p-14, -0x1.bf5ef415e1bc4p-14, -0x1.bd3ded40f2daep-14, -0x1.bb15aae38df28p-14, -0x1.b8e6623293732p-14, -0x1.b6b0476f1383p-14, -0x1.b4738deb96e05p-14, -0x1.b230680fd43cfp-14, -0x1.afe7075d79393p-14, -0x1.ad979c744bd5dp-14, -0x1.ab425715fe6f9p-14, -0x1.a8e7662b08f09p-14, -0x1.a686f7c5af6e9p-14, -0x1.a4213926b754fp-14, -0x1.a1b656c08626dp-14, -0x1.9f467c3b8ec81p-14, -0x1.9cd1d479b429ep-14, -0x1.9a588999b8eefp-14, -0x1.97dac4fb0d75bp-14, -0x1.9558af411ff63p-14, -0x1.92d27056f64e5p-14, -0x1.90482f7220fd7p-14, -0x1.8dba1316721f6p-14, -0x1.8b2841185f63ep-14, -0x1.8892dea10a76cp-14, -0x1.85fa1030c2abap-14, -0x1.835df9a2a5ff1p-14, -0x1.80bebe2eaf77ap-14, -0x1.7e1c806d77512p-14, -0x1.7b776259d4611p-14, -0x1.78cf8554ff83fp-14, -0x1.76250a28973p-14, -0x1.73781109756fcp-14, -0x1.70c8b999dc877p-14, -0x1.6e1722ec5c118p-14, -0x1.6b636b86633dcp-14, -0x1.68adb16291da1p-14, -0x1.65f611f32f019p-14, -0x1.633caa24628bdp-14, -0x1.6081965ecf674p-14, -0x1.5dc4f2891c7e1p-14, -0x1.5b06da0b12bfbp-14, -0x1.584767cf162bdp-14, -0x1.5586b64514a8ep-14, -0x1.52c4df6320c3p-14, -0x1.5001fca93b62ap-14, -0x1.4d3e272200bd1p-14, -0x1.4a797765fa3f6p-14, -0x1.47b4059ba98c1p-14, -0x1.44ede97b3081ep-14, -0x1.42273a4e9a8d7p-14, -0x1.3f600ef4e3761p-14, -0x1.3c987de35a6dbp-14, -0x1.39d09d27ab0b6p-14, -0x1.3708826881674p-14, -0x1.344042e8707a7p-14, -0x1.3177f38706762p-14, -0x1.2eafa8c23cfaap-14, -0x1.2be776b81eceap-14, -0x1.291f712878661p-14, -0x1.2657ab76f2dfbp-14, -0x1.239038ab7df1dp-14, -0x1.20c92b7419d73p-14, -0x1.1e0296265e66ep-14, -0x1.1b3c8ac15088cp-14, -0x1.18771aedf057cp-14, -0x1.15b25801019dfp-14, -0x1.12ee52fc26a7ep-14, -0x1.102b1c8fa5b0fp-14, -0x1.0d68c51b27d74p-14, -0x1.0aa75caf844b2p-14, -0x1.07e6f30f5491dp-14, -0x1.052797b057c3ap-14, -0x1.026959bc9e202p-14, -0x1.ff58902860ca9p-15, -0x1.f9e0e29b367aap-15, -0x1.f46bc76e99175p-15, -0x1.eef95ab12561p-15, -0x1.e989b7e4f54d9p-15, -0x1.e41cfa032d0a1p-15, -0x1.deb33b7c05118p-15, -0x1.d94c963acad56p-15, -0x1.d3e923a5a09c1p-15, -0x1.ce88fca232aabp-15, -0x1.c92c3994f798ap-15, -0x1.c3d2f2656f4cfp-15, -0x1.be7d3e7da3cf8p-15, -0x1.b92b34ce51effp-15, -0x1.b3dcebcdd1b02p-15, -0x1.ae92797cb4bb5p-15, -0x1.a94bf3669986fp-15, -0x1.a4096ea35ea65p-15, -0x1.9ecaffd898689p-15, -0x1.9990bb3bdd32bp-15, -0x1.945ab4946095fp-15, -0x1.8f28ff3bac802p-15, -0x1.89fbae204f94ep-15, -0x1.84d2d3c62765ap-15, -0x1.7fae824a036dap-15, -0x1.7a8ecb604b8ddp-15, -0x1.7573c0589fcacp-15, -0x1.705d721de14e3p-15, -0x1.6b4bf138b7ae1p-15, -0x1.663f4dd01ae98p-15, -0x1.613797ab89c8cp-15, -0x1.5c34de32e7fedp-15, -0x1.57373071a5edcp-15, -0x1.523e9d166637ap-15, -0x1.4d4b327622a12p-15, -0x1.485cfe8b066ebp-15, -0x1.43740ef7c1c1p-15, -0x1.3e907107228a1p-15, -0x1.39b231ae9ae87p-15, -0x1.34d95d8eae523p-15, -0x1.300600f4eeab2p-15, -0x1.2b3827db5adbep-15, -0x1.266fddeb94473p-15, -0x1.21ad2e7ee48d2p-15, -0x1.1cf0249f4264cp-15, -0x1.1838cb085169ep-15, -0x1.13872c2954643p-15, -0x1.0edb5224f5132p-15, -0x1.0a3546d394d9fp-15, -0x1.059513c33387ap-15, -0x1.00fac23996f09p-15, -0x1.f8ccb667340fep-16, -0x1.efafced03de98p-16, -0x1.e69ede8e6ff4ep-16, -0x1.dd99f5f8d9f3fp-16, -0x1.d4a124dcbdb3bp-16, -0x1.cbb47a84104c6p-16, -0x1.c2d405b16c808p-16, -0x1.b9ffd4a5f2945p-16, -0x1.b137f521146cp-16, -0x1.a87c7463ba6e1p-16, -0x1.9fcd5f2fcbe59p-16, -0x1.972ac1cc546acp-16, -0x1.8e94a805c62dfp-16, -0x1.860b1d30a230fp-16, -0x1.7d8e2c2aaf90fp-16, -0x1.751ddf5ad1bb4p-16, }}, 
      {{-0x1.3ea494ea5d681p-1, -0x1.3ea749427744p-1, -0x1.3eab97450d3c2p-1, -0x1.3eb1357d0bcd5p-1, -0x1.3eb7c47cfea1ep-1, -0x1.3ebed42b021bp-1, -0x1.3ec5e8e194708p-1, -0x1.3ecc801bfc1bdp-1, -0x1.3ed2148f5fdfep-1, -0x1.3ed621a93799dp-1, -0x1.3ed8267741ebp-1, -0x1.3ed7a8022d46dp-1, -0x1.3ed4332628226p-1, -0x1.3ecd5df54c36ap-1, -0x1.3ec2c8b04f862p-1, -0x1.3eb41e6220fd4p-1, -0x1.3ea1152b2e445p-1, -0x1.3e896e48edd4bp-1, -0x1.3e6cf5e5d4b6ep-1, -0x1.3e4b82bd2778fp-1, -0x1.3e24f59d15f4cp-1, -0x1.3df938d06ccdbp-1, -0x1.3dc83f77dd41fp-1, -0x1.3d9204d9940b9p-1, -0x1.3d568bac96c6dp-1, -0x1.3d15dd64355b6p-1, -0x1.3cd0097ed5acbp-1, -0x1.3c8524da7c3d5p-1, -0x1.3c354910b6387p-1, -0x1.3be093daf0b98p-1, -0x1.3b87267fd5458p-1, -0x1.3b292549e6d5fp-1, -0x1.3ac6b7075fadp-1, -0x1.3a600493203bdp-1, -0x1.39f53866699cfp-1, -0x1.39867e330a235p-1, -0x1.391402859e17dp-1, -0x1.389df26f87a01p-1, -0x1.38247b3840ca6p-1, -0x1.37a7ca15ae76ep-1, -0x1.37280beb25d48p-1, -0x1.36a56d0ed233dp-1, -0x1.3620191536cbep-1, -0x1.35983aa2828ep-1, -0x1.350dfb4175292p-1, -0x1.3481833f90a1ap-1, -0x1.33f2f98e56d56p-1, -0x1.336283a94f6b2p-1, -0x1.32d0458094338p-1, -0x1.323c61679f5ffp-1, -0x1.31a6f8081488bp-1, -0x1.3110285842f95p-1, -0x1.30780f9517992p-1, -0x1.2fdec93f35a67p-1, -0x1.2f446f1af726ep-1, -0x1.2ea91933053a8p-1, -0x1.2e0cdddd4c81bp-1, -0x1.2d6fd1c203b1ap-1, -0x1.2cd207e488882p-1, -0x1.2c3391add00c5p-1, -0x1.2b947ef831d14p-1, -0x1.2af4de1c542b7p-1, -0x1.2a54bbff0309bp-1, -0x1.29b4241fc3b33p-1, -0x1.291320a7f3f0bp-1, -0x1.2871ba7a4b108p-1, -0x1.27cff9429a78bp-1, -0x1.272de385a5bfcp-1, -0x1.268b7eb0f903cp-1, -0x1.25e8cf2a9eedap-1, -0x1.2545d860a063fp-1, -0x1.24a29cd839e99p-1, -0x1.23ff1e3cb5ba6p-1, -0x1.235b5d6ddb78cp-1, -0x1.22b75a8deaa62p-1, -0x1.2213150f17c36p-1, -0x1.216e8bc083bdbp-1, -0x1.20c9bcdaaa5b9p-1, -0x1.2024a60b453f6p-1, -0x1.1f7f44809edfdp-1, -0x1.1ed994f45b681p-1, -0x1.1e3393b5b3501p-1, -0x1.1d8d3cb324bdbp-1, -0x1.1ce68b83a0131p-1, -0x1.1c3f7b6f308c3p-1, -0x1.1b98077727bc8p-1, -0x1.1af02a5dd052fp-1, -0x1.1a47deadae136p-1, -0x1.199f1ec04de27p-1, -0x1.18f5e4c4b038bp-1, -0x1.184c2ac54edefp-1, -0x1.17a1eaadc5a59p-1, -0x1.16f71e50263a4p-1, -0x1.164bbf69f5917p-1, -0x1.159fc7a8e1678p-1, -0x1.14f330af2a54fp-1, -0x1.1445f417cbe9ap-1, -0x1.13980b7a68878p-1, -0x1.12e9706ef73a3p-1, -0x1.123a1c913f6aep-1, -0x1.118a09841e0bep-1, -0x1.10d930f4a1336p-1, -0x1.10278c9cf1cc3p-1, -0x1.0f75164719a5ep-1, -0x1.0ec1c7cfa066bp-1, -0x1.0e0d9b280514ep-1, -0x1.0d588a59182ebp-1, -0x1.0ca28f853292ep-1, -0x1.0beba4ea515cdp-1, -0x1.0b33c4e414492p-1, -0x1.0a7ae9eda1ef9p-1, -0x1.09c10ea3707f5p-1, -0x1.09062dc4f8b6cp-1, -0x1.084a42364e06ep-1, -0x1.078d4701a2437p-1, -0x1.06cf3758b2745p-1, -0x1.06100e961d006p-1, -0x1.054fc83ea4ef6p-1, -0x1.048e60025ef5bp-1, -0x1.03cbd1bdcb5e6p-1, -0x1.0308197adbba9p-1, -0x1.02433371e64f8p-1, -0x1.017d1c0a84a19p-1, -0x1.00b5cfdc609f5p-1, -0x1.ffda975fdf181p-2, -0x1.fe4718fe3240ap-2, -0x1.fcb11eeb9cc86p-2, -0x1.fb18a3e51a5efp-2, -0x1.f97da30da88b8p-2, -0x1.f7e017ef066dap-2, -0x1.f63ffe7a5858dp-2, -0x1.f49d5308a841p-2, -0x1.f2f8125b4135p-2, -0x1.f150399bf1573p-2, -0x1.efa5c65d28362p-2, -0x1.edf8b699f5eb6p-2, -0x1.ec4908b5ed336p-2, -0x1.ea96bb7ce9d04p-2, -0x1.e8e1ce22b57fap-2, -0x1.e72a404295307p-2, -0x1.e57011deb9a31p-2, -0x1.e3b3435f94c3fp-2, -0x1.e1f3d59317b7ap-2, -0x1.e031c9abd6831p-2, -0x1.de6d214014d59p-2, -0x1.dca5de48bbf3ap-2, -0x1.dadc03203bf64p-2, -0x1.d90f9281569c7p-2, -0x1.d7408f85d5e0fp-2, -0x1.d56efda5340d3p-2, -0x1.d39ae0b32b9b5p-2, -0x1.d1c43cde3ba9p-2, -0x1.cfeb16ae19106p-2, -0x1.ce0f730213a0ep-2, -0x1.cc31570f68dfcp-2, -0x1.ca50c85f8f4dbp-2, -0x1.c86dccce7329ep-2, -0x1.c6886a88a521bp-2, -0x1.c4a0a809865cdp-2, -0x1.c2b68c1962817p-2, -0x1.c0ca1dcb88d73p-2, -0x1.bedb647c59fa9p-2, -0x1.bcea67cf4f682p-2, -0x1.baf72facfff3dp-2, -0x1.b901c4411b03cp-2, -0x1.b70a2df8635a3p-2, -0x1.b510757ea65b3p-2, -0x1.b314a3bcad9a4p-2, -0x1.b116c1d6322a7p-2, -0x1.af16d927ce2c6p-2, -0x1.ad14f344ea668p-2, -0x1.ab1119f5b1249p-2, -0x1.a90b5734ff552p-2, -0x1.a703b52e55a68p-2, -0x1.a4fa3e3bcf5bap-2, -0x1.a2eefce4167d8p-2, -0x1.a0e1fbd86148ep-2, -0x1.9ed345f26cf83p-2, -0x1.9cc2e63281ca9p-2, -0x1.9ab0e7bd76996p-2, -0x1.989d55dabcc9ap-2, -0x1.96883bf26fc1dp-2, -0x1.9471a58b6a882p-2, -0x1.92599e4962371p-2, -0x1.904031eb085c9p-2, -0x1.8e256c4832a0ap-2, -0x1.8c09595007b2ap-2, -0x1.89ec050735e39p-2, -0x1.87cd7b8630599p-2, -0x1.85adc8f771fabp-2, -0x1.838cf995c923ap-2, -0x1.816b19aaaa681p-2, -0x1.7f48358c8c8eep-2, -0x1.7d24599d4a46cp-2, -0x1.7aff92488fba2p-2, -0x1.78d9ec0249752p-2, -0x1.76b3734524e33p-2, -0x1.748c3491105bep-2, -0x1.72643c69ca24p-2, -0x1.703b975572122p-2, -0x1.6e1251db29b66p-2, -0x1.6be87881b797p-2, -0x1.69be17ce36bc9p-2, -0x1.67933c42cbf69p-2, -0x1.6567f25d63ebap-2, -0x1.633c46967d092p-2, -0x1.6110455ff487ep-2, -0x1.5ee3fb23de6ecp-2, -0x1.5cb7744367b37p-2, -0x1.5a8abd15bb6ecp-2, -0x1.585de1e6f5b3dp-2, -0x1.5630eef71a5c3p-2, -0x1.5403f07916627p-2, -0x1.51d6f291c7d4fp-2, -0x1.4faa01570cd33p-2, -0x1.4d7d28cedca78p-2, -0x1.4b5074ee6628ap-2, -0x1.4923f19935953p-2, -0x1.46f7aaa064fcdp-2, -0x1.44cbabc1cf4dcp-2, -0x1.42a000a74d7f1p-2, -0x1.4074b4e5fac4ep-2, -0x1.3e49d3fd7d9aep-2, -0x1.3c1f69575a0b7p-2, -0x1.39f58046493d6p-2, -0x1.37cc240596b9fp-2, -0x1.35a35fb8875f5p-2, -0x1.337b3e69c3677p-2, -0x1.3153cb0ac6971p-2, -0x1.2f2d107359a97p-2, -0x1.2d0719610e5f1p-2, -0x1.2ae1f076c2963p-2, -0x1.28bda03c298b8p-2, -0x1.269a331d5b433p-2, -0x1.2477b36a6543bp-2, -0x1.22562b56e6bf9p-2, -0x1.2035a4f9ae117p-2, -0x1.1e162a4c5b0e8p-2, -0x1.1bf7c52b09b3cp-2, -0x1.19da7f53fcd3dp-2, -0x1.17be62675200ap-2, -0x1.15a377e6b737fp-2, -0x1.1389c93526b7cp-2, -0x1.11715f96a5e7p-2, -0x1.0f5a44300914dp-2, -0x1.0d448006bc0e1p-2, -0x1.0b301c008e37cp-2, -0x1.091d20e3822e4p-2, -0x1.070b9755a1598p-2, -0x1.04fb87dcd5396p-2, -0x1.02ecfadec0b17p-2, -0x1.00dff8a0a05eap-2, -0x1.fda9128e5a3f8p-3, -0x1.f99569ad00c0cp-3, -0x1.f5850663fdf89p-3, -0x1.f177f8388846ap-3, -0x1.ed6e4e6e23e97p-3, -0x1.e968180686d88p-3, -0x1.e56563c183a7fp-3, -0x1.e166401cf70fdp-3, -0x1.dd6abb54c5488p-3, -0x1.d972e362ce9b6p-3, -0x1.d57ec5fef2068p-3, -0x1.d18e709f1445dp-3, -0x1.cda1f0772b429p-3, -0x1.c9b952794a641p-3, -0x1.c5d4a355bb304p-3, -0x1.c1f3ef7b10a62p-3, -0x1.be1743164b4dcp-3, -0x1.ba3eaa12f55e6p-3, -0x1.b66a301b4890ep-3, -0x1.b299e0985cbe7p-3, -0x1.aecdc6b24f757p-3, -0x1.ab05ed5078c0cp-3, -0x1.a7425f199feep-3, -0x1.a383267434ba8p-3, -0x1.9fc84d86888p-3, -0x1.9c11de370f4bep-3, -0x1.985fe22ca47b4p-3, -0x1.94b262cecf57p-3, -0x1.9109694609723p-3, -0x1.8d64fe7c0c11dp-3, -0x1.89c52b1c23bd2p-3, -0x1.8629f793777cdp-3, -0x1.82936c1166f9cp-3, -0x1.7f019087db693p-3, -0x1.7b746caba2265p-3, -0x1.77ec07f4c90e6p-3, -0x1.7468699efbbdap-3, -0x1.70e998a9e5324p-3, -0x1.6d6f9bd98ecbep-3, -0x1.69fa79b6caba6p-3, -0x1.668a388f95a0bp-3, -0x1.631ede778022ap-3, -0x1.5fb871481a34bp-3, -0x1.5c56f6a1610fbp-3, -0x1.58fa73ea2b61ap-3, -0x1.55a2ee509741bp-3, -0x1.52506aca82b13p-3, -0x1.4f02ee15f448bp-3, -0x1.4bba7cb99ba3ep-3, -0x1.48771b053d92bp-3, -0x1.4538cd1231013p-3, -0x1.41ff96c3d778dp-3, -0x1.3ecb7bc815a27p-3, -0x1.3b9c7f97d02d7p-3, -0x1.3872a57766f57p-3, -0x1.354df077356e4p-3, -0x1.322e63740f8b6p-3, -0x1.2f140117c22cap-3, -0x1.2bfecbd9946b3p-3, -0x1.28eec5fecaa9bp-3, -0x1.25e3f19b253e1p-3, -0x1.22de50916b6cp-3, -0x1.1fdde493e92d9p-3, -0x1.1ce2af24f86b6p-3, -0x1.19ecb197840c7p-3, -0x1.16fbed0f94b3p-3, -0x1.14106282d0475p-3, -0x1.112a12b906b5p-3, -0x1.0e48fe4cbce4ep-3, -0x1.0b6d25abb0ae7p-3, -0x1.0896891763d2p-3, -0x1.05c528a5a996cp-3, -0x1.02f904412d5f8p-3, -0x1.00321baa00484p-3, -0x1.fae0dcec44bd2p-4, -0x1.f567f82422416p-4, -0x1.eff987829fa8cp-4, -0x1.ea95893dec0c3p-4, -0x1.e53bfb3c788b9p-4, -0x1.dfecdb1610052p-4, -0x1.daa82614eecc5p-4, -0x1.d56dd936dde65p-4, -0x1.d03df12e4c83p-4, -0x1.cb186a636ebe3p-4, -0x1.c5fd40f54e4dp-4, -0x1.c0ec70bae93edp-4, -0x1.bbe5f54450bdcp-4, -0x1.b6e9c9dbb7fa4p-4, -0x1.b1f7e9869bb78p-4, -0x1.ad104f06ca2d5p-4, -0x1.a832f4db8c572p-4, -0x1.a35fd542b6a1dp-4, -0x1.9e96ea39c0a2bp-4, -0x1.99d82d7ede915p-4, -0x1.95239892184a9p-4, -0x1.907924b66134cp-4, -0x1.8bd8caf2abbe4p-4, -0x1.87428412ff252p-4, -0x1.82b648a98d11fp-4, -0x1.7e34110fc5704p-4, -0x1.79bbd56767498p-4, -0x1.754d8d9b93bc3p-4, -0x1.70e93161e14d5p-4, -0x1.6c8eb83b68031p-4, -0x1.683e1975d3d51p-4, -0x1.63f74c2c6fe61p-4, -0x1.5fba4749348e3p-4, -0x1.5b870185d3a2ep-4, -0x1.575d716cc194p-4, -0x1.533d8d5a401e9p-4, -0x1.4f274b7d643f3p-4, -0x1.4b1aa1d91f7c7p-4, -0x1.471786454173bp-4, -0x1.431dee6f7df87p-4, -0x1.3f2dcfdc6efb6p-4, -0x1.3b471fe89725p-4, -0x1.3769d3c95bff3p-4, -0x1.3395e08e0916dp-4, -0x1.2fcb3b20c9cb2p-4, -0x1.2c09d847a3d11p-4, -0x1.2851aca56eb88p-4, -0x1.24a2acbacdbbep-4, -0x1.20fccce722df9p-4, -0x1.1d60016984014p-4, -0x1.19cc3e61abdafp-4, -0x1.164177d0ea7fbp-4, -0x1.12bfa19b10ea3p-4, -0x1.0f46af87614c6p-4, -0x1.0bd695417692cp-4, -0x1.086f465a2cf5ap-4, -0x1.0510b6488a04p-4, -0x1.01bad86a9dfeap-4, -0x1.fcdb400cd3e5ap-5, -0x1.f6520095795fcp-5, -0x1.efd9d8a023b18p-5, -0x1.e972ae32e028dp-5, -0x1.e31c672a800fbp-5, -0x1.dcd6e93c4eb7dp-5, -0x1.d6a219f7b42c6p-5, -0x1.d07ddec7e6aa7p-5, -0x1.ca6a1cf58757cp-5, -0x1.c466b9a83f532p-5, -0x1.be7399e85e2d1p-5, -0x1.b890a2a06e2ccp-5, -0x1.b2bdb89ebf14cp-5, -0x1.acfac096fd382p-5, -0x1.a7479f23b0a32p-5, -0x1.a1a438c7c1e49p-5, -0x1.9c1071effc60dp-5, -0x1.968c2ef483fa6p-5, -0x1.9117541a4d30ep-5, -0x1.8bb1c5948bbfep-5, -0x1.865b6786224c7p-5, -0x1.81141e03023ccp-5, -0x1.7bdbcd11945c2p-5, -0x1.76b258ac15e28p-5, -0x1.7197a4c1ee18p-5, -0x1.6c8b953907d82p-5, -0x1.678e0def1a8a9p-5, -0x1.629ef2bafa264p-5, -0x1.5dbe276ddc4bfp-5, -0x1.58eb8fd493e07p-5, -0x1.54270fb8d6279p-5, -0x1.4f708ae26b1c1p-5, -0x1.4ac7e51862b5p-5, -0x1.462d0222426dap-5, -0x1.419fc5c92ffc4p-5, -0x1.3d2013d91397cp-5, -0x1.38add021b6b86p-5, -0x1.3448de77e2d8p-5, -0x1.2ff122b672d4bp-5, -0x1.2ba680bf65ba5p-5, -0x1.2768dc7cee628p-5, -0x1.233819e274a72p-5, -0x1.1f141ced9df89p-5, -0x1.1afcc9a749a32p-5, -0x1.16f204248a444p-5, -0x1.12f3b0879a527p-5, -0x1.0f01b300cd20cp-5, -0x1.0b1befcf77ca2p-5, -0x1.07424b42deb06p-5, -0x1.0374a9bb0fa08p-5, -0x1.ff65df53881e6p-6, -0x1.f7fa032675126p-6, -0x1.f0a5881e0d47ep-6, -0x1.e9683791d4dbep-6, -0x1.e241db0327734p-6, -0x1.db323c1ee4c64p-6, -0x1.d43924bee2103p-6, -0x1.cd565eeb6c626p-6, -0x1.c689b4dcba13dp-6, -0x1.bfd2f0fc5743cp-6, -0x1.b931dde68d6f4p-6, -0x1.b2a6466bb3ce2p-6, -0x1.ac2ff5917efb5p-6, -0x1.a5ceb69457a76p-6, -0x1.9f8254e8892e2p-6, -0x1.994a9c3b85fd2p-6, -0x1.932758750fd46p-6, -0x1.8d1855b8638b8p-6, -0x1.871d606553f3cp-6, -0x1.81364519683e8p-6, -0x1.7b62d0b0dc21bp-6, -0x1.75a2d047b89d5p-6, -0x1.6ff6113ac4a4dp-6, -0x1.6a5c61288813ap-6, -0x1.64d58df22ef83p-6, -0x1.5f6165bc7f29cp-6, -0x1.59ffb6f0accc5p-6, -0x1.54b0503d3a15fp-6, -0x1.4f730096c9b64p-6, -0x1.4a479738e2762p-6, -0x1.452de3a6b5a86p-6, -0x1.4025b5abe2c9ep-6, -0x1.3b2edd5d1efbep-6, -0x1.36492b18e928bp-6, -0x1.31746f88344e7p-6, -0x1.2cb07b9f019b1p-6, -0x1.27fd209cff745p-6, -0x1.235a300e1580cp-6, -0x1.1ec77bcaf4e93p-6, -0x1.1a44d5f99f744p-6, -0x1.15d2110de6e47p-6, -0x1.116effc9e06p-6, -0x1.0d1b753e5b5cep-6, -0x1.08d744cb4f675p-6, -0x1.04a2422043934p-6, -0x1.007c413ca9f6bp-6, -0x1.f8ca2ce074e1p-7, -0x1.f0b92cb6a34f9p-7, -0x1.e8c52bde6662cp-7, -0x1.e0edd4dcbc026p-7, -0x1.d932d2d993457p-7, -0x1.d193d1a04b1bfp-7, -0x1.ca107da03531dp-7, -0x1.c2a883ece6271p-7, -0x1.bb5b923ea8f7cp-7, -0x1.b42956f2c289bp-7, -0x1.ad11810bc07c4p-7, -0x1.a613c031c3c02p-7, -0x1.9f2fc4b2a696dp-7, -0x1.98653f8237aecp-7, -0x1.91b3e23a53787p-7, -0x1.8b1b5f1b01b4bp-7, -0x1.849b690a84efap-7, -0x1.7e33b395726dap-7, -0x1.77e3f2ee9334ep-7, -0x1.71abdbef05d4ap-7, -0x1.6b8b2415fad6ep-7, -0x1.65818188d24edp-7, -0x1.5f8eab12c5ff2p-7, -0x1.59b25824f6048p-7, -0x1.53ec40d607b9dp-7, -0x1.4e3c1de20c632p-7, -0x1.48a1a8aa3966ap-7, -0x1.431c9b34a42f1p-7, -0x1.3dacb02beeb67p-7, -0x1.3851a2defee73p-7, -0x1.330b2f4095e6ep-7, -0x1.2dd911e6fa847p-7, -0x1.28bb080b8c024p-7, -0x1.23b0cf8a59182p-7, -0x1.1eba26e1a612cp-7, -0x1.19d6cd317316bp-7, -0x1.1506823b03cbbp-7, -0x1.104906605137cp-7, -0x1.0b9e1aa3891c8p-7, -0x1.070580a674d83p-7, -0x1.027efaa9e827ep-7, -0x1.fc14971a500ffp-8, -0x1.f34e6d9a8d35ap-8, -0x1.eaab0109121a3p-8, -0x1.e229dad35ddffp-8, -0x1.d9ca859eb8651p-8, -0x1.d18c8d4691662p-8, -0x1.c96f7edb66746p-8, -0x1.c172e8a0f8b7fp-8, -0x1.b9965a0d13effp-8, -0x1.b1d963c5e05a6p-8, -0x1.aa3b97a06986fp-8, -0x1.a2bc889f291abp-8, -0x1.9b5bcaf02c3efp-8, -0x1.9418f3ebaeb82p-8, -0x1.8cf39a1251c89p-8, -0x1.85eb550b8694fp-8, -0x1.7effbda3d121fp-8, -0x1.78306dcb13c25p-8, -0x1.717d0092c0e8ap-8, -0x1.6ae5122c38999p-8, -0x1.64683fe6ddcf6p-8, -0x1.5e06282e70d3fp-8, -0x1.57be6a8904d59p-8, -0x1.5190a795710d7p-8, -0x1.4b7c81092a773p-8, -0x1.458199aea533ep-8, -0x1.3f9f956358c22p-8, -0x1.39d61915c50e9p-8, -0x1.3424cac3b4503p-8, -0x1.2e8b51782242ep-8, -0x1.290955497351dp-8, -0x1.239e7f575c61bp-8, -0x1.1e4a79c917bacp-8, -0x1.190cefcb2e6dp-8, -0x1.13e58d8dd8931p-8, -0x1.0ed40042952c2p-8, -0x1.09d7f61a9438dp-8, -0x1.04f11e4454365p-8, -0x1.001f28e9f71f1p-8, -0x1.f6c38e5e0aaadp-9, -0x1.ed71565cdd865p-9, -0x1.e4470ff131d73p-9, -0x1.db4423229dbefp-9, -0x1.d267f9db4d8dbp-9, -0x1.c9b1ffe43a5bep-9, -0x1.c121a2e0b4607p-9, -0x1.b8b6524abbe1dp-9, -0x1.b06f7f6e6393ep-9, -0x1.a84c9d6652a1p-9, -0x1.a04d21171e06dp-9, -0x1.9870812b8b91fp-9, -0x1.90b636106683dp-9, -0x1.891db9f05caap-9, -0x1.81a688afd6f4ap-9, -0x1.7a501fe9216cdp-9, -0x1.7319fee7fbbcdp-9, -0x1.6c03a6a5e5bd8p-9, -0x1.650c99c5b7504p-9, -0x1.5e345c8fcfa67p-9, -0x1.577a74ede9575p-9, -0x1.50de6a6703d9ep-9, -0x1.4a5fc61b89caep-9, -0x1.43fe12c10d5ddp-9, -0x1.3db8dc9e7203cp-9, -0x1.378fb187ca12bp-9, -0x1.318220da5b453p-9, -0x1.2b8fbb78dd357p-9, -0x1.25b813c70834bp-9, -0x1.1ffabda627a79p-9, -0x1.1a574e70cf255p-9, -0x1.14cd5cf71351ep-9, -0x1.0f5c817a855b6p-9, -0x1.0a0455aa73b61p-9, -0x1.04c4749fec5afp-9, -0x1.ff38f5b3ab16ep-10, -0x1.f5180c728ea4bp-10, -0x1.eb256bfaeb1b2p-10, -0x1.e160558036e56p-10, -0x1.d7c80ce331a7p-10, -0x1.ce5bd8aa5cb16p-10, -0x1.c51b01fa53f2dp-10, -0x1.bc04d48edb0afp-10, -0x1.b3189eb29f5a7p-10, -0x1.aa55b138acac9p-10, -0x1.a1bb5f747996bp-10, -0x1.9948ff3307affp-10, -0x1.90fde8b386cfcp-10, -0x1.88d9769ff18aep-10, -0x1.80db06061385ep-10, -0x1.7901f65074c23p-10, -0x1.714da93f2b061p-10, -0x1.69bd82e0e810dp-10, -0x1.6250e98becc95p-10, -0x1.5b0745d735d89p-10, -0x1.53e00293a4e3ap-10, -0x1.4cda8cc4de55bp-10, -0x1.45f6539b28ff5p-10, -0x1.3f32c86bca663p-10, -0x1.388f5eab44f7bp-10, -0x1.320b8be623cf4p-10, -0x1.2ba6c7ba665e3p-10, -0x1.25608bd17e707p-10, -0x1.1f3853d91772cp-10, -0x1.192d9d7d5fe73p-10, -0x1.133fe8621afa2p-10, -0x1.0d6eb61cbe0e1p-10, -0x1.07b98a2de684dp-10, -0x1.021fe9fb2a0efp-10, -0x1.f942b9922da95p-11, -0x1.ee7ad769f8e69p-11, -0x1.e3e7435d6f5dcp-11, -0x1.d98716e5d38cbp-11, -0x1.cf596f0a07108p-11, -0x1.c55d6c52203b3p-11, -0x1.bb9232bcd649ep-11, -0x1.b1f6e9b2d4194p-11, -0x1.a88abbfbd925cp-11, -0x1.9f4cd7b3178a6p-11, -0x1.963c6e3c3c3bdp-11, -0x1.8d58b437a444cp-11, -0x1.84a0e1784f318p-11, -0x1.7c1430f7e575cp-11, -0x1.73b1e0cc66639p-11, -0x1.6b79321d86316p-11, -0x1.63696919b95c5p-11, -0x1.5b81ccebe264fp-11, -0x1.53c1a7b0b0f6p-11, -0x1.4c28466ca03e7p-11, -0x1.44b4f901c9291p-11, -0x1.3d671225088a9p-11, -0x1.363de754dc2ffp-11, -0x1.2f38d0cf187cap-11, -0x1.285729877cf72p-11, -0x1.21984f1d0eee5p-11, -0x1.1afba1d1c94c7p-11, -0x1.148084803936ep-11, -0x1.0e265c923547fp-11, -0x1.07ec91f81c1ep-11, -0x1.01d28f1f096d3p-11, -0x1.f7af81cfff3bdp-12, -0x1.ebf72d3e8167fp-12, -0x1.e07b03e53afffp-12, -0x1.d539edd302a38p-12, -0x1.ca32d7b79cb38p-12, -0x1.bf64b2d2efbbbp-12, -0x1.b4ce74e39a55dp-12, -0x1.aa6f181704408p-12, -0x1.a0459af7a9f34p-12, -0x1.9651005dce093p-12, -0x1.8c904f5e4bf0ap-12, -0x1.8302933b4e4a7p-12, -0x1.79a6db5426ce9p-12, -0x1.707c3b15f9695p-12, -0x1.6781c9ebcf1f4p-12, -0x1.5eb6a32fae9a3p-12, -0x1.5619e61b4e7afp-12, -0x1.4daab5b977c1dp-12, -0x1.456838d75466cp-12, -0x1.3d5199f555e8ep-12, -0x1.35660739850e2p-12, -0x1.2da4b260f9ea1p-12, -0x1.260cd0b1c06e6p-12, -0x1.1e9d9aedda0ecp-12, -0x1.17564d43fcaedp-12, -0x1.10362744075efp-12, -0x1.093c6bcfec12ep-12, -0x1.0268610ff9228p-12, -0x1.f772a0c9b4732p-13, -0x1.ea5d0cb6e703cp-13, -0x1.dd8ea53fd244ep-13, -0x1.d1060fe250e4ap-13, -0x1.c4c1f829aecebp-13, -0x1.b8c10f956e1bdp-13, -0x1.ad020d8275e6dp-13, -0x1.a183af12ebc2p-13, -0x1.9644b7161f301p-13, -0x1.8b43edf2888a1p-13, -0x1.8080218e9b0dcp-13, -0x1.75f8253a8937cp-13, -0x1.6baad19a0bd0bp-13, -0x1.6197048e5a854p-13, -0x1.57bba12046b8p-13, -0x1.4e178f6ce358ap-13, -0x1.44a9bc8df6926p-13, -0x1.3b711a875cfdp-13, -0x1.326ca0318eb79p-13, -0x1.299b49260017bp-13, -0x1.20fc15ab060c9p-13, -0x1.188e0aa093943p-13, -0x1.1050316d10698p-13, -0x1.084197ea13c5ep-13, -0x1.006150517cd01p-13, -0x1.f15ce257a401p-14, -0x1.e2502a7a8b7e7p-14, -0x1.d39ab6e7dc4d4p-14, -0x1.c53acdac92ac7p-14, -0x1.b72ebce4190f8p-14, -0x1.a974da9459f73p-14, -0x1.9c0b848db7401p-14, -0x1.8ef120485f852p-14, -0x1.82241ac5238c8p-14, -0x1.75a2e869c4795p-14, -0x1.696c04e5702abp-14, -0x1.5d7df30e03584p-14, -0x1.51d73cc20ceap-14, -0x1.467672cb2376p-14, -0x1.3b5a2cbe7e81ap-14, -0x1.308108e057de6p-14, -0x1.25e9ac06178abp-14, -0x1.1b92c179e8946p-14, -0x1.117afadea7b16p-14, -0x1.07a11013c3cb9p-14, -0x1.fc077e3411d4bp-15, -0x1.e94397f099b18p-15, -0x1.d6f401412e638p-15, -0x1.c51659adc2e5ap-15, -0x1.b3a84c2ca555ep-15, -0x1.a2a78eefbc179p-15, -0x1.9211e3344d47p-15, -0x1.81e515103841bp-15, -0x1.721efb436a348p-15, -0x1.62bd77034d5a5p-15, -0x1.53be73d0ecf08p-15, -0x1.451fe74a36f83p-15, -0x1.36dfd0f95f81bp-15, -0x1.28fc3a29ce0fp-15, -0x1.1b7335bca83f3p-15, -0x1.0e42dffc9aa35p-15, -0x1.01695e737c13bp-15, -0x1.e9c9bf80e90bep-16, -0x1.d16736dcaca86p-16, -0x1.b9a7a393661f7p-16, -0x1.a28797766c525p-16, -0x1.8c03b53c36147p-16, -0x1.7618b0373c7d2p-16, -0x1.60c34c0575637p-16, -0x1.4c005c46fa99fp-16, -0x1.37ccc453615fep-16, -0x1.242576f526fd4p-16, -0x1.1107761ccef2ep-16, -0x1.fcdfa53c606c4p-17, -0x1.d8b757d2cb0fbp-17, -0x1.b5905f898dee8p-17, -0x1.93653423945f1p-17, -0x1.7230690a7a71dp-17, -0x1.51ecaccb8903dp-17, -0x1.3294c89db1c99p-17, -0x1.14239fe56a732p-17, -0x1.ed285f6f2637dp-18, -0x1.b3c31cbb11d4fp-18, -0x1.7c0dd5ca22547p-18, -0x1.45ff194f365bfp-18, -0x1.118da5b2b328dp-18, -0x1.bd60d04a5b329p-19, -0x1.5abcf7a5e4c52p-19, -0x1.f63ca3ee4252fp-20, -0x1.3ce790882279p-20, -0x1.12b269c64e5e7p-21, 0x1.247a25da52d3p-23, 0x1.99e41564ea733p-21, 0x1.6feea73cfbe9ep-20, 0x1.06d201b959c18p-19, 0x1.53183529cffd4p-19, 0x1.9cd8c5d9c67f7p-19, 0x1.e4223f99c485dp-19, 0x1.148171c8c04ebp-18, 0x1.35c454d5fbb5cp-18, 0x1.55e0a0f7a3c53p-18, 0x1.74dd0ae8622f6p-18, 0x1.92c024cd3cce7p-18, 0x1.af905ede91462p-18, 0x1.cb54080c00c38p-18, 0x1.e6114e965f6c2p-18, 0x1.ffce40b71e347p-18, 0x1.0c48669d70bdep-17, 0x1.182f620ed698cp-17, 0x1.239eeb8e58782p-17, 0x1.2e99cd26f2fa8p-17, 0x1.3922c256b17ap-17, 0x1.433c785897a6ap-17, 0x1.4ce98e6a11fd6p-17, 0x1.562c960fe8005p-17, 0x1.5f081357df9cap-17, 0x1.677e7d208c7fdp-17, 0x1.6f923d55665f6p-17, 0x1.7745b12ff06e3p-17, 0x1.7e9b2978f9c0cp-17, 0x1.8594eac45ace3p-17, 0x1.8c352dae5c151p-17, 0x1.927e1f14f3bd1p-17, 0x1.9871e0558ccabp-17, 0x1.9e12878572584p-17, 0x1.a3621faa4aa9fp-17, 0x1.a862a8f0d6613p-17, 0x1.ad1618e240324p-17, 0x1.b17e5a9b6c355p-17, 0x1.b59d4eff1f1f6p-17, 0x1.b974ccec376fp-17, 0x1.bd06a16d23c65p-17, 0x1.c0548fec8fc6bp-17, 0x1.c360526254c7ep-17, 0x1.c62b998549281p-17, 0x1.c8b80cfa1de24p-17, 0x1.cb074b7eda03fp-17, 0x1.cd1aeb1b8f851p-17, 0x1.cef4794bd15dep-17, 0x1.d0957b2a6b832p-17, 0x1.d1ff6d9d54879p-17, 0x1.d333c57cc94abp-17, 0x1.d433efbeff317p-17, 0x1.d501519f8f18p-17, 0x1.d59d48c5ff72p-17, 0x1.d6092b6c514cep-17, 0x1.d646488496e1bp-17, 0x1.d655e7e17d518p-17, 0x1.d6394a5635181p-17, 0x1.d5f1a9dcc9bbap-17, 0x1.d58039b9eb337p-17, 0x1.d4e6269da471p-17, 0x1.d42496c4967e1p-17, 0x1.d33caa1b90e44p-17, 0x1.d22f7a5f9410cp-17, 0x1.d0fe1b3b582bbp-17, 0x1.cfa99a67b8bp-17, 0x1.ce32ffca33241p-17, 0x1.cc9b4d9471df7p-17, 0x1.cae3806145a6dp-17, 0x1.c90c8f508d767p-17, 0x1.c7176c22fd269p-17, 0x1.c505035809245p-17, 0x1.c2d63c47e43e5p-17, 0x1.c08bf93ee5ba8p-17, 0x1.be2717971dee5p-17, 0x1.bba86fd15384ap-17, 0x1.b910d5af3c609p-17, 0x1.b661184b26c67p-17, 0x1.b39a0232323edp-17, 0x1.b0bc5979d51c7p-17, 0x1.adc8dfd8df85cp-17, 0x1.aac052bdcabe2p-17, 0x1.a7a36b6391bb7p-17, 0x1.a472dee8d72a8p-17, 0x1.a12f5e6591de5p-17, 0x1.9dd997006e4e9p-17, 0x1.9a7232024055p-17, 0x1.96f9d4eb64acp-17, 0x1.9371218632251p-17, 0x1.8fd8b5fc8f097p-17, 0x1.8c312ce886bc2p-17, 0x1.887b1d68ee6ep-17, 0x1.84b71b3248929p-17, 0x1.80e5b6a1120f8p-17, 0x1.7d077ccc44bdfp-17, 0x1.791cf7954751bp-17, 0x1.7526adb91d2f3p-17, 0x1.712522e18d9c1p-17, 0x1.6d18d7b51687cp-17, 0x1.690249e6ace35p-17, 0x1.64e1f444b1c52p-17, 0x1.60b84ec8afdf4p-17, 0x1.5c85cea65ab99p-17, 0x1.584ae65b6a6bcp-17, 0x1.540805bc2c436p-17, 0x1.4fbd9a017e96cp-17, 0x1.4b6c0dd86b7fp-17, 0x1.4713c96d871b9p-17, 0x1.42b5327ab8a9bp-17, 0x1.3e50ac55708fcp-17, 0x1.39e697fa87086p-17, 0x1.35775419b32f7p-17, 0x1.31033d23b765p-17, 0x1.2c8aad541827cp-17, 0x1.280dfcbda63f4p-17, 0x1.238d81570cca9p-17, 0x1.1f098f04b04f7p-17, 0x1.1a8277a468a5fp-17, 0x1.15f88b175fe2ap-17, 0x1.116c174db7816p-17, 0x1.0cdd68512a965p-17, 0x1.084cc84df5466p-17, 0x1.03ba7f9cf894ap-17, 0x1.fe4da99a8b235p-18, 0x1.f524195c2c6d7p-18, 0x1.ebf8d4afe1101p-18, 0x1.e2cc5e6cad07ep-18, 0x1.d99f361f4c53bp-18, 0x1.d071d81d2c806p-18, 0x1.c744bd9500da3p-18, 0x1.be185ca0ee768p-18, 0x1.b4ed28537197bp-18, 0x1.abc390cb42b56p-18, 0x1.a29c0342fb721p-18, 0x1.9976ea1e17611p-18, 0x1.9054acf80ea31p-18, 0x1.8735b0b647b66p-18, 0x1.7e1a57944d534p-18, 0x1.750301326753bp-18, 0x1.6bf00aa3b6844p-18, 0x1.62e1ce7adb325p-18, 0x1.59d8a4d8080d8p-18, 0x1.50d4e377c1afp-18, 0x1.47d6ddbca1453p-18, 0x1.3edee4bf9373bp-18, 0x1.35ed475808565p-18, 0x1.2d02522a2616dp-18, 0x1.241e4fb1c5c43p-18, 0x1.1b418850d1242p-18, 0x1.126c42560e758p-18, 0x1.099ec20b05337p-18, 0x1.00d949bfa94dep-18, 0x1.f03833a4602ebp-19, 0x1.decee1781f344p-19, 0x1.cd771635d19acp-19, 0x1.bc314776456d2p-19, 0x1.aafde73ef1738p-19, 0x1.99dd641b17143p-19, 0x1.88d0292c947d2p-19, 0x1.77d69e3d0378ap-19, 0x1.66f127d090191p-19, 0x1.56202738fd826p-19, 0x1.4563faa3a9ce8p-19, 0x1.34bcfd2b34ed9p-19, 0x1.242b86eae23ecp-19, 0x1.13afed0dc9f2p-19, 0x1.034a81dc1a13fp-19, 0x1.e5f7299b04028p-20, 0x1.c586e52b771d2p-20, 0x1.a544ca71279bdp-20, 0x1.853168271dc6p-20, 0x1.654d47dbea0c7p-20, 0x1.4598ee0eb9736p-20, 0x1.2614da4b85b53p-20, 0x1.06c1873e60428p-20, 0x1.cf3ed5b15f12bp-21, 0x1.915decc7f9f61p-21, 0x1.53e12d47a0806p-21, 0x1.16c967b5a355ap-21, 0x1.b42ec7e3058f3p-22, 0x1.3b97c2a0d54fap-22, 0x1.879e5b33a5012p-23, 0x1.335999de7707p-24, -0x1.4a8a28ad0ea53p-25, -0x1.3d4d2e285964fp-23, -0x1.132860d48b78ap-22, -0x1.86d5829f150f9p-22, -0x1.f9aceb56e82eap-22, -0x1.35d6cc1ea643fp-21, -0x1.6e6b4a5028f99p-21, -0x1.a6937cbf32167p-21, -0x1.de4ef6a7a7fc2p-21, -0x1.0acea8e726c16p-20, -0x1.263f173a9568p-20, -0x1.4178998e3e251p-20, -0x1.5c7b0636b8bf6p-20, -0x1.774636883f8a2p-20, -0x1.91da06cd3b2e5p-20, -0x1.ac36562ccae56p-20, -0x1.c65b06a2147cfp-20, -0x1.e047fce2909d7p-20, -0x1.f9fd205bbff46p-20, -0x1.09bd2d8ccaba4p-19, -0x1.165fccde82e8p-19, -0x1.22e665b705d36p-19, -0x1.2f50f0e1fd4e6p-19, -0x1.3b9f686111a35p-19, -0x1.47d1c76151e8fp-19, -0x1.53e80a395fecp-19, -0x1.5fe22e5db8dc7p-19, -0x1.6bc0325e189b5p-19, -0x1.778215d910474p-19, -0x1.8327d97c4a424p-19, -0x1.8eb17efd34a92p-19, -0x1.9a1f091108a7fp-19, -0x1.a5707b66faa17p-19, -0x1.b0a5daa3871c8p-19, -0x1.bbbf2c5b6126bp-19, -0x1.c6bc770cc801cp-19, -0x1.d19dc2186455dp-19, -0x1.dc6315c25317ap-19, -0x1.e70c7b257dd3ap-19, -0x1.f199fc319da98p-19, -0x1.fc0ba3a5e079cp-19, -0x1.0330be8637724p-18, -0x1.084dca5c9bf0dp-18, -0x1.0d5cfbdd0bcf6p-18, -0x1.125e59f021fe8p-18, -0x1.1751ebd7f2862p-18, -0x1.1c37b9323ad76p-18, -0x1.210fc9f31f302p-18, -0x1.25da266609681p-18, -0x1.2a96d726afa43p-18, -0x1.2f45e52491da8p-18, -0x1.33e7599d1a1f8p-18, -0x1.387b3e1c69de1p-18, -0x1.3d019c784884dp-18, -0x1.417a7ed00823ep-18, -0x1.45e5ef8ce9716p-18, -0x1.4a43f95abcbdcp-18, -0x1.4e94a72bb9aefp-18, -0x1.52d80430a9be7p-18, -0x1.570e1bded8102p-18, -0x1.5b36f9e7d2bc5p-18, -0x1.5f52aa3a25957p-18, -0x1.636139003677fp-18, -0x1.6762b29ea763fp-18, -0x1.6b5723b14e493p-18, -0x1.6f3e990abad0ep-18, -0x1.73191fb26e199p-18, -0x1.76e6c4e414b2dp-18, -0x1.7aa7960c3cfbdp-18, -0x1.7e5ba0c9ee1e2p-18, -0x1.8202f2ea0ae2fp-18, -0x1.859d9a67aac34p-18, -0x1.892ba56a4fe81p-18, -0x1.8cad22443cdfep-18, -0x1.90221f7282741p-18, -0x1.938aab9948c9fp-18, -0x1.96e6d585c377p-18, -0x1.9a36ac28f4a7fp-18, -0x1.9d7a3e9b097ecp-18, -0x1.a0b19c163e5f4p-18, -0x1.a3dcd3f752cdap-18, -0x1.a6fbf5bd2ea3p-18, -0x1.aa0f1105f0e8cp-18, -0x1.ad16358f19595p-18, -0x1.b0117333b930cp-18, -0x1.b300d9ec81dfcp-18, -0x1.b5e479ce8d2e6p-18, -0x1.b8bc6307a739dp-18, -0x1.bb88a5e1010e6p-18, -0x1.be4952bc274bap-18, -0x1.c0fe7a120761fp-18, -0x1.c3a82c72cb8b4p-18, -0x1.c6467a8472374p-18, -0x1.c8d9750276ffep-18, -0x1.cb612cbbbb6afp-18, -0x1.cdddb2922af7ep-18, -0x1.d04f177a4a239p-18, -0x1.d2b56c7abb9eep-18, -0x1.d510c2a972534p-18, -0x1.d7612b2d5a3cdp-18, -0x1.d9a6b73b0d0ddp-18, -0x1.dbe17816b4f78p-18, -0x1.de117f10d3cp-18, -0x1.e036dd8772d79p-18, -0x1.e251a4e35e965p-18, -0x1.e461e6998e86p-18, -0x1.e667b4286a23p-18, -0x1.e8631f190274p-18, -0x1.ea5438fcad8d6p-18, -0x1.ec3b136d8fc34p-18, -0x1.ee17c00d2ec37p-18, -0x1.efea508395165p-18, -0x1.f1b2d67fd3d31p-18, -0x1.f37163b663dcp-18, -0x1.f52609e0439cp-18, -0x1.f6d0dabb98b91p-18, -0x1.f871e80a0a65bp-18, -0x1.fa09439098297p-18, -0x1.fb96ff1704dd4p-18, -0x1.fd1b2c6717928p-18, -0x1.fe95dd4bbff14p-18, -0x1.000391c887f0ap-17, -0x1.00b78881b3696p-17, -0x1.0166dbb7f23bp-17, -0x1.02119450be3e2p-17, -0x1.02b7bb320a7ebp-17, -0x1.035959401e28p-17, -0x1.03f6775ed3bb9p-17, -0x1.048f1e6fd7b75p-17, -0x1.05235754906a3p-17, -0x1.05b32aeb46bf5p-17, -0x1.063ea2117a728p-17, -0x1.06c5c5a196f04p-17, -0x1.07489e7464d89p-17, -0x1.07c7355f395e7p-17, -0x1.0841933530736p-17, -0x1.08b7c0c5d0e2fp-17, -0x1.0929c6ddbbdabp-17, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.8fe445c3c2bbcp-10, 0x1.8ffabafd216e8p-9, 0x1.2bf2e7e860a8ap-8, 0x1.8f8a4a164e3ecp-8, 0x1.f23f21e80a2c1p-8, 0x1.29b0993ecf8dep-7, 0x1.59107fa0da32ep-7, 0x1.86ce72794077ap-7, 0x1.b276962aac081p-7, 0x1.db9736fb0263bp-7, 0x1.00e284b60d71cp-6, 0x1.124f3da2c959ap-6, 0x1.21e712199e738p-6, 0x1.2f8635263f625p-6, 0x1.3b1038a53cc6fp-6, 0x1.4470363bae92fp-6, 0x1.4b98b602d33fbp-6, 0x1.50835f479b46cp-6, 0x1.53307f71d63dap-6, 0x1.53a67280f801p-6, 0x1.51f0f793218d7p-6, 0x1.4e207ab00e19bp-6, 0x1.48495bab5f7c2p-6, 0x1.4083387925291p-6, 0x1.36e83fdb10cf4p-6, 0x1.2b948fef84d8cp-6, 0x1.1ea5a2f26baf2p-6, 0x1.1039cb7387e1dp-6, 0x1.006fc069db622p-6, 0x1.decc71c05fbb2p-7, 0x1.ba772cf059fb5p-7, 0x1.941b3b57be929p-7, 0x1.6bf27503a41e3p-7, 0x1.4234a0a1efd49p-7, 0x1.171726608142p-7, 0x1.d599a6f2d8d2p-8, 0x1.7b0b57ec2fe9ep-8, 0x1.1edd90e83f621p-8, 0x1.82c8f7fcb949bp-9, 0x1.8bb872dc08e64p-10, 0x1.e11f62d238132p-15, -0x1.6f763d55d46d4p-10, -0x1.776bef1cbecc2p-9, -0x1.1b91cedcc84f3p-8, -0x1.7b420033d5627p-8, -0x1.da9d70be9fa5bp-8, -0x1.1cc06f06113acp-7, -0x1.4be75b595bb33p-7, -0x1.7ab776edb2b5fp-7, -0x1.a927650b76ba9p-7, -0x1.d73057eb4db1fp-7, -0x1.0266f9f8b175p-6, -0x1.18ff188a672d6p-6, -0x1.2f609d519ebcp-6, -0x1.458ca6c9fb8b4p-6, -0x1.5b854ad02324p-6, -0x1.714d84ad2269p-6, -0x1.86e922beb541fp-6, -0x1.9c5cb3daf4599p-6, -0x1.b1ad748e4756bp-6, -0x1.c6e13c5275c17p-6, -0x1.dbfe6add2e952p-6, -0x1.f10bd5a38d81fp-6, -0x1.03085ad74c5a2p-5, -0x1.0d8a4aedab85dp-5, -0x1.180fa0cf74748p-5, -0x1.229c5a3280634p-5, -0x1.2d3484ce51dbp-5, -0x1.37dc36c255e6ep-5, -0x1.4297876370767p-5, -0x1.4d6a8876ed652p-5, -0x1.58593fdfb6da3p-5, -0x1.6367a1c155038p-5, -0x1.6e998b1b11888p-5, -0x1.79f2bcdc79f4p-5, -0x1.8576d7734e1a6p-5, -0x1.912956d1f5157p-5, -0x1.9d0d8eecb07dbp-5, -0x1.a926a8aadc44dp-5, -0x1.b5779f48e706ap-5, -0x1.c2033e26f539fp-5, -0x1.cecc1effa577ep-5, -0x1.dbd4a881f253ap-5, -0x1.e91f0d48d5ea2p-5, -0x1.f6ad4b2afc6dbp-5, -0x1.0240956e5c9edp-4, -0x1.094e1fef18bp-4, -0x1.107ff457dce78p-4, -0x1.17d6a7a32c1abp-4, -0x1.1f52b4dd2f756p-4, -0x1.26f47d9523422p-4, -0x1.2ebc4a65fd274p-4, -0x1.36aa4b9387c25p-4, -0x1.3ebe99b93dcc6p-4, -0x1.46f9368854f08p-4, -0x1.4f5a0d928f8d1p-4, -0x1.57e0f51f7c6bcp-4, -0x1.608daf0a0a792p-4, -0x1.695fe9a45c7eep-4, -0x1.725740a01211cp-4, -0x1.7b733df93a32cp-4, -0x1.84b35ae2750d1p-4, -0x1.8e1700b0c1f6cp-4, -0x1.979d89c5c252ep-4, -0x1.a1464277469d4p-4, -0x1.ab1069f31cdd5p-4, -0x1.b4fb331e4dbfp-4, -0x1.bf05c56ef8601p-4, -0x1.c92f3dc01ed6bp-4, -0x1.d376af1ef8207p-4, -0x1.dddb239133597p-4, -0x1.e85b9cd3e5ddap-4, -0x1.f2f71512e17a4p-4, -0x1.fdac7f983de8ap-4, -0x1.043d64b9fa12fp-3, -0x1.09b06d0dcf804p-3, -0x1.0f2eca0116ecbp-3, -0x1.14b7ea93e8daep-3, -0x1.1a4b3bd11090cp-3, -0x1.1fe8290e512ecp-3, -0x1.258e1c28f5ae5p-3, -0x1.2b3c7dbecb719p-3, -0x1.30f2b563a0e63p-3, -0x1.36b029d367e6fp-3, -0x1.3c74412130a13p-3, -0x1.423e60e305cb8p-3, -0x1.480dee5af16c5p-3, -0x1.4de24e9d34becp-3, -0x1.53bae6b3ed43ep-3, -0x1.59971bc045c93p-3, -0x1.5f76531964a6fp-3, -0x1.6557f2692d334p-3, -0x1.6b3b5fc70d974p-3, -0x1.712001d0f3695p-3, -0x1.77053fc28b1cbp-3, -0x1.7cea818aef389p-3, -0x1.82cf2fe0f0ad2p-3, -0x1.88b2b45603b77p-3, -0x1.8e94796807db3p-3, -0x1.9473ea91f6643p-3, -0x1.9a50745b9a9c5p-3, -0x1.a02984686a964p-3, -0x1.a5fe898594c7dp-3, -0x1.abcef3b76683dp-3, -0x1.b19a3446052b6p-3, -0x1.b75fbdc9aeddfp-3, -0x1.bd1f043674947p-3, -0x1.c2d77ce78e33ap-3, -0x1.c8889eaa5242ep-3, -0x1.ce31e1c8e1fccp-3, -0x1.d3d2c01488d9ep-3, -0x1.d96ab4efe9165p-3, -0x1.def93d58ec67dp-3, -0x1.e47dd7f296caep-3, -0x1.e9f8050ea489fp-3, -0x1.ef6746b71408ap-3, -0x1.f4cb20b78c607p-3, -0x1.fa2318a6ad1e8p-3, -0x1.ff6eb5ef48e4ep-3, -0x1.0256c0ecc111fp-2, -0x1.04ef83c9ee321p-2, -0x1.07816a1e1b58ep-2, -0x1.0a0c3b74539f3p-2, -0x1.0c8fc05825597p-2, -0x1.0f0bc259fc1dep-2, -0x1.11800c136af6p-2, -0x1.13ec692b6aafcp-2, -0x1.1650a65a87e8fp-2, -0x1.18ac916eff128p-2, -0x1.1afff950c5fafp-2, -0x1.1d4aae057f5b8p-2, -0x1.1f8c80b45a29cp-2, -0x1.21c543a9d7677p-2, -0x1.23f4ca5b751ddp-2, -0x1.261ae96b4048p-2, -0x1.283776ab43fe2p-2, -0x1.2a4a4920ddcccp-2, -0x1.2c533907efbe7p-2, -0x1.2e521fd5eb406p-2, -0x1.3046d83cbc5cep-2, -0x1.32313e2d8b2ddp-2, -0x1.34112edb562a5p-2, -0x1.35e688bd61cb8p-2, -0x1.37b12b917f4ap-2, -0x1.3970f85e22fb3p-2, -0x1.3b25d17452374p-2, -0x1.3ccf9a715b981p-2, -0x1.3e6e384067324p-2, -0x1.4001911bcda0dp-2, -0x1.41898c8e43878p-2, -0x1.43061373d04d8p-2, -0x1.44770ffa8fa11p-2, -0x1.45dc6da34229ap-2, -0x1.47361941a9e3cp-2, -0x1.488400fcadc0ep-2, -0x1.49c6144e4ea88p-2, -0x1.4afc440362dc6p-2, -0x1.4c26823b1de71p-2, -0x1.4d44c26664a5ap-2, -0x1.4e56f946e9054p-2, -0x1.4f5d1cee17226p-2, -0x1.505724bbc7794p-2, -0x1.5145095cc2e7cp-2, -0x1.5226c4c90ed5p-2, -0x1.52fc52420b9b4p-2, -0x1.53c5ae505b16dp-2, -0x1.5482d6c19b3a5p-2, -0x1.5533caa5ed9ep-2, -0x1.55d88a4d4dcd9p-2, -0x1.56711744bd5cbp-2, -0x1.56fd74533cf7dp-2, -0x1.577da5769d6eap-2, -0x1.57f1afe022205p-2, -0x1.585999f0fa812p-2, -0x1.58b56b3690859p-2, -0x1.59052c66b28d3p-2, -0x1.5948e75b91521p-2, -0x1.5980a70f9d4cap-2, -0x1.59ac77993d63bp-2, -0x1.59cc662662dddp-2, -0x1.59e080f7fcc71p-2, -0x1.59e8d75d49e9bp-2, -0x1.59e579af0ea1ap-2, -0x1.59d6794aa8d19p-2, -0x1.59bbe88d0e4c4p-2, -0x1.5995dacdac033p-2, -0x1.596464592d75ap-2, -0x1.59279a6c2db17p-2, -0x1.58df932dd2c73p-2, -0x1.588c65aa525fap-2, -0x1.582e29cd64b92p-2, -0x1.57c4f85ca75ffp-2, -0x1.5750eaf1ebaaap-2, -0x1.56d21bf57bfabp-2, -0x1.5648a6984da2dp-2, -0x1.55b4a6ce2d866p-2, -0x1.55163947dab09p-2, -0x1.546d7b6d1e47dp-2, -0x1.53ba8b56d882ep-2, -0x1.52fd87c90704cp-2, -0x1.5236902cc7437p-2, -0x1.5165c48a52c63p-2, -0x1.508b4582fd973p-2, -0x1.4fa7344b2e1bfp-2, -0x1.4eb9b2a455ceep-2, -0x1.4dc2e2d6ef406p-2, -0x1.4cc2e7ac77b1bp-2, -0x1.4bb9e469733dbp-2, -0x1.4aa7fcc76d0dp-2, -0x1.498d54ef06eep-2, -0x1.486a1172064a3p-2, -0x1.473e57456ebcdp-2, -0x1.460a4bbba3434p-2, -0x1.44ce147e91fbp-2, -0x1.4389d789e6e95p-2, -0x1.423dbb254fe9dp-2, -0x1.40e9e5dec968ep-2, -0x1.3f8e7e84f68d8p-2, -0x1.3e2bac218cbccp-2, -0x1.3cc195f3c9acp-2, -0x1.3b50636af7856p-2, -0x1.39d83c21093dp-2, -0x1.385947d53c9e2p-2, -0x1.36d3ae66d79c2p-2, -0x1.354797cff346ap-2, -0x1.33b52c2058c56p-2, -0x1.321c937873e0ep-2, -0x1.307df60459c68p-2, -0x1.2ed97bf6e1641p-2, -0x1.2d2f4d84d3f3ep-2, -0x1.2b7f92e030018p-2, -0x1.29ca7433842e7p-2, -0x1.2810199d5f83ap-2, -0x1.2650ab2bd7501p-2, -0x1.248c50d82618dp-2, -0x1.22c332825fa58p-2, -0x1.20f577ed3c5c1p-2, -0x1.1f2348b9fe1e6p-2, -0x1.1d4ccc646b96cp-2, -0x1.1b722a3ee4248p-2, -0x1.1993896e8cdb1p-2, -0x1.17b110e7929c9p-2, -0x1.15cae7698afe7p-2, -0x1.13e1337be735ep-2, -0x1.11f41b6a840b2p-2, -0x1.1003c54251fd6p-2, -0x1.0e1056ce14458p-2, -0x1.0c19f5933b1cfp-2, -0x1.0a20c6ced5c4ep-2, -0x1.0824ef729e0f8p-2, -0x1.062694221c8a1p-2, -0x1.0425d92fe4d7bp-2, -0x1.0222e29aebfedp-2, -0x1.001dd40bf676ep-2, -0x1.fc2da1a63bea1p-3, -0x1.f81bf7cae5dep-3, -0x1.f406efb564b0bp-3, -0x1.efeecdd62d498p-3, -0x1.ebd3d5da7bccbp-3, -0x1.e7b64aa853be2p-3, -0x1.e3966e5ab165bp-3, -0x1.df74823ddf445p-3, -0x1.db50c6cc0addep-3, -0x1.d72b7ba9f5a8fp-3, -0x1.d304dfa3dba65p-3, -0x1.cedd30aa8fa0cp-3, -0x1.cab4abd0ad6a2p-3, -0x1.c68b8d4810b46p-3, -0x1.c262105f63abp-3, -0x1.be386f7fe414bp-3, -0x1.ba0ee42b4d677p-3, -0x1.b5e5a6f9ea716p-3, -0x1.b1bcef98da05fp-3, -0x1.ad94f4c868c77p-3, -0x1.a96dec5aaa45fp-3, -0x1.a5480b3221f2ap-3, -0x1.a1238540a45f7p-3, -0x1.9d008d86511f5p-3, -0x1.98df5610b8a1bp-3, -0x1.94c00ffa237a8p-3, -0x1.90a2eb68ff7d3p-3, -0x1.8c88178f681c5p-3, -0x1.886fc2aadac42p-3, -0x1.845a1a0402138p-3, -0x1.804749eead106p-3, -0x1.7c377dc9d9b5dp-3, -0x1.782adfffe554fp-3, -0x1.74219a06de62ap-3, -0x1.701bd460e6fbdp-3, -0x1.6c19b69cc2833p-3, -0x1.681b675676996p-3, -0x1.64210c3807597p-3, -0x1.602ac9fa5502p-3, -0x1.5c38c466050e5p-3, -0x1.584b1e549749ap-3, -0x1.5461f9b182cd8p-3, -0x1.507d777b6f265p-3, -0x1.4c9db7c58a7dbp-3, -0x1.48c2d9b8eb353p-3, -0x1.44ecfb96104ap-3, -0x1.411c3ab66c468p-3, -0x1.3d50b38e11a12p-3, -0x1.398a81ad5ffc2p-3, -0x1.35c9bfc2d4948p-3, -0x1.320e879ce37d2p-3, -0x1.2e58f22be270dp-3, -0x1.2aa91784045b6p-3, -0x1.26ff0edf667a1p-3, -0x1.235aeea02aad9p-3, -0x1.1fbccc529efe2p-3, -0x1.1c24bcaf74133p-3, -0x1.1892d39dfffcp-3, -0x1.150724368d486p-3, -0x1.1181c0c4b6726p-3, -0x1.0e02bac9cbd5fp-3, -0x1.0a8a22ff4273fp-3, -0x1.071809592f06ap-3, -0x1.03ac7d08c73d8p-3, -0x1.00478c7eef4a3p-3, -0x1.f9d28add9b2adp-4, -0x1.f32369a0c775dp-4, -0x1.ec81cdc665ea4p-4, -0x1.e5edce61c81ap-4, -0x1.df67811fe59e4p-4, -0x1.d8eefa4cc9df7p-4, -0x1.d2844cd901ddcp-4, -0x1.cc278a5f1487dp-4, -0x1.c5d8c32903dcap-4, -0x1.bf980635d517ep-4, -0x1.b965613f1e244p-4, -0x1.b340e0be9a183p-4, -0x1.ad2a8ff3b6a84p-4, -0x1.a72278e933321p-4, -0x1.a128a47ac34b2p-4, -0x1.9b3d1a5a952a7p-4, -0x1.955fe1170c7e7p-4, -0x1.8f90fe2044f7fp-4, -0x1.89d075cdbda4ap-4, -0x1.841e4b63ee4cfp-4, -0x1.7e7a8119e0b04p-4, -0x1.78e5181ec500ep-4, -0x1.735e109f81a0ep-4, -0x1.6de569cc40ee7p-4, -0x1.687b21ddfaab7p-4, -0x1.631f361bf32fep-4, -0x1.5dd1a2e13853bp-4, -0x1.589263a214241p-4, -0x1.536172f17e8a6p-4, -0x1.4e3eca867e6a5p-4, -0x1.492a63418c81dp-4, -0x1.44243531dee35p-4, -0x1.3f2c379abc00fp-4, -0x1.3a4260f8b6245p-4, -0x1.3566a706e65fbp-4, -0x1.3098fec4147efp-4, -0x1.2bd95c77d9b1bp-4, -0x1.2727b3b7b68a7p-4, -0x1.2283f76c1a917p-4, -0x1.1dee19d565545p-4, -0x1.19660c90cf2fcp-4, -0x1.14ebc09d58f4ap-4, -0x1.107f2660969c4p-4, -0x1.0c202dab7f9d6p-4, -0x1.07cec5bf2b8d9p-4, -0x1.038add517b951p-4, -0x1.fea8c523762edp-5, -0x1.f656865a5fa4bp-5, -0x1.ee1ed8a74424bp-5, -0x1.e601957792ea8p-5, -0x1.ddfe954f69804p-5, -0x1.d615afd241491p-5, -0x1.ce46bbcb7386fp-5, -0x1.c6918f36b2d31p-5, -0x1.bef5ff4851eaep-5, -0x1.b773e07573f94p-5, -0x1.b00b067c22222p-5, -0x1.a8bb446b33502p-5, -0x1.a1846caa21034p-5, -0x1.9a665100bc1a4p-5, -0x1.9360c29eb2d0dp-5, -0x1.8c7392230b7b6p-5, -0x1.859e8fa36da6bp-5, -0x1.7ee18ab357297p-5, -0x1.783c526b22c42p-5, -0x1.71aeb56f05f56p-5, -0x1.6b3881f5cdb6fp-5, -0x1.64d985cf9ebf2p-5, -0x1.5e918e6c75b98p-5, -0x1.586068e29f0d9p-5, -0x1.5245e1f4fe17cp-5, -0x1.4c41c61942706p-5, -0x1.4653e17def1bbp-5, -0x1.407c00104e5f7p-5, -0x1.3ab9ed823f3fp-5, -0x1.350d754fe18a6p-5, -0x1.2f7662c52c76fp-5, -0x1.29f48103577acp-5, -0x1.24879b06394e1p-5, -0x1.1f2f7ba966e36p-5, -0x1.19ebedad6126fp-5, -0x1.14bcbbbc7555ep-5, -0x1.0fa1b06fa4053p-5, -0x1.0a9a965356325p-5, -0x1.05a737ebf8a46p-5, -0x1.00c75fba844dap-5, -0x1.f7f5b081a480ap-6, -0x1.ee82d80bd7889p-6, -0x1.e535cb3475856p-6, -0x1.dc0e1f37096cbp-6, -0x1.d30b6971ce092p-6, -0x1.ca2d3f6d6269dp-6, -0x1.c17336e422233p-6, -0x1.b8dce5c981145p-6, -0x1.b069e2510afdbp-6, -0x1.a819c2f527fb6p-6, -0x1.9fec1e7ddaaabp-6, -0x1.97e08c0711f0dp-6, -0x1.8ff6a306f520dp-6, -0x1.882dfb53eeb02p-6, -0x1.80862d2a6b9fap-6, -0x1.78fed132a1ee3p-6, -0x1.71978085f31e8p-6, -0x1.6a4fd4b436d0cp-6, -0x1.632767c8d6e9ap-6, -0x1.5c1dd44fbbe0dp-6, -0x1.5532b55a02df7p-6, -0x1.4e65a6829704ep-6, -0x1.47b643f2996ap-6, -0x1.41242a658d534p-6, -0x1.3aaef72d7e0e2p-6, -0x1.34564836d1117p-6, -0x1.2e19bc0c0fab9p-6, -0x1.27f8f1d97d526p-6, -0x1.21f38970868bp-6, -0x1.1c09234af56ap-6, -0x1.1639608e3eb3ep-6, -0x1.1083e30e494bp-6, -0x1.0ae84d5070b91p-6, -0x1.0566428e2a21bp-6, -0x1.fffacd6f0edcp-7, -0x1.f55abceb7eca9p-7, -0x1.eaeb9e5ac6e13p-7, -0x1.e0acbe01484b9p-7, -0x1.d69d69a28862bp-7, -0x1.ccbcf08512487p-7, -0x1.c30aa37636bcp-7, -0x1.b985d4cd47a3p-7, -0x1.b02dd86ea3b91p-7, -0x1.a70203ced8c44p-7, -0x1.9e01adf5211f1p-7, -0x1.952c2f7def561p-7, -0x1.8c80e29d211b2p-7, -0x1.83ff23203d7aap-7, -0x1.7ba64e6ff7e2dp-7, -0x1.7375c39220f1ap-7, -0x1.6b6ce32afb0a1p-7, -0x1.638b0f7e80d73p-7, -0x1.5bcfac718a07fp-7, -0x1.543a1f8aa8447p-7, -0x1.4cc9cff2f06f1p-7, -0x1.457e26767094bp-7, -0x1.3e568d84cc489p-7, -0x1.3752713144f22p-7, -0x1.30713f330c45cp-7, -0x1.29b266e4ed272p-7, -0x1.2315594553ae8p-7, -0x1.1c9988f5faf87p-7, -0x1.163e6a3b33174p-7, -0x1.100372fb80637p-7, -0x1.09e81abec7ac5p-7, -0x1.03ebdaad6fda8p-7, -0x1.fc1c5b1ec2beep-8, -0x1.f09d1f95f5556p-8, -0x1.e558fec76fd6cp-8, -0x1.da4ef7f224426p-8, -0x1.cf7e0d89a0e86p-8, -0x1.c4e545335582ap-8, -0x1.ba83a7c35be47p-8, -0x1.b05841387a393p-8, -0x1.a66220b93723cp-8, -0x1.9ca0588f7a50ep-8, -0x1.9311fe24ba57ap-8, -0x1.89b629fdee147p-8, -0x1.808bf7b6ed9f3p-8, -0x1.779285fe4faabp-8, -0x1.6ec8f690a62afp-8, -0x1.662e6e339ff66p-8, -0x1.5dc214b15f097p-8, -0x1.558314d35579ap-8, -0x1.4d709c5d04da3p-8, -0x1.4589dc06d2757p-8, -0x1.3dce0778d35cp-8, -0x1.363c55452ceebp-8, -0x1.2ed3fee26363bp-8, -0x1.279440a5eeab4p-8, -0x1.207c59be29d1dp-8, -0x1.198b8c2cf8c79p-8, -0x1.12c11cc11afabp-8, -0x1.0c1c531114ad1p-8, -0x1.059c797446bap-8, -0x1.fe81b9fa91ddfp-9, -0x1.f2119ae75207p-9, -0x1.e5e73a9af4909p-9, -0x1.da01435239924p-9, -0x1.ce5e648ddea53p-9, -0x1.c2fd53059b5abp-9, -0x1.b7dcc89b5b0efp-9, -0x1.acfb844e395f6p-9, -0x1.a2584a2d615adp-9, -0x1.97f1e34b43f41p-9, -0x1.8dc71dafb58a3p-9, -0x1.83d6cc4b89af9p-9, -0x1.7a1fc6eab533cp-9, -0x1.70a0ea277e63fp-9, -0x1.6759175c705b8p-9, -0x1.5e473497ffcc5p-9, -0x1.556a2c8e4b14ap-9, -0x1.4cc0ee8c2f7a7p-9, -0x1.444a6e69ba953p-9, -0x1.3c05a47cf0b92p-9, -0x1.33f18d8c2d7dcp-9, -0x1.2c0d2ac0dca63p-9, -0x1.2457819a2a081p-9, -0x1.1ccf9bdf75357p-9, -0x1.15748793800dep-9, -0x1.0e4556e668cf9p-9, -0x1.074120291f063p-9, -0x1.0066fdbf77821p-9, -0x1.f36c1c27398bap-10, -0x1.e65ae710ad8fdp-10, -0x1.d998a8d8d2bap-10, -0x1.cd23b5da6e57bp-10, -0x1.c0fa6a13d5398p-10, -0x1.b51b290ce13f4p-10, -0x1.a9845dbd7941bp-10, -0x1.9e347a735754dp-10, -0x1.9329f8b930928p-10, -0x1.8863593cc6cc1p-10, -0x1.7ddf23b61cb7ap-10, -0x1.739be6ce013a9p-10, -0x1.699838057be23p-10, -0x1.5fd2b39c985b6p-10, -0x1.5649fc7accde9p-10, -0x1.4cfcbc14fd3e4p-10, -0x1.43e9a256b97f4p-10, -0x1.3b0f6588ef6adp-10, -0x1.326cc23ac4f27p-10, -0x1.2a007b29d0721p-10, -0x1.21c9592a0a041p-10, -0x1.19c62b0ed2edcp-10, -0x1.11f5c593f1ca1p-10, -0x1.0a57034646a51p-10, -0x1.02e8c46d1c9b4p-10, -0x1.f753dde743472p-11, -0x1.e932dca5132b3p-11, -0x1.db6c66f36800cp-11, -0x1.cdfe69752bd27p-11, -0x1.c0e6db63dc8aep-11, -0x1.b423be65402d5p-11, -0x1.a7b31e60c1af2p-11, -0x1.9b931154e24fdp-11, -0x1.8fc1b72d42425p-11, -0x1.843d3999df69dp-11, -0x1.7903cbe4e784dp-11, -0x1.6e13aacbd364dp-11, -0x1.636b1c55b6f9ep-11, -0x1.59086fac5fb0ep-11, -0x1.4ee9fcf555ffep-11, -0x1.450e252b07b35p-11, -0x1.3b7351f562cbap-11, -0x1.3217f58574454p-11, -0x1.28fa8a6f012fdp-11, -0x1.2019938373925p-11, -0x1.17739baddc808p-11, -0x1.0f0735ce1984p-11, -0x1.06d2fc95e5cfep-11, -0x1.fdab24c92f51p-12, -0x1.ee1b424b18bc8p-12, -0x1.def3b458cbac1p-12, -0x1.d031ec2893781p-12, -0x1.c1d3693b660a7p-12, -0x1.b3d5b91a49b0fp-12, -0x1.a63677172af0dp-12, -0x1.98f34c09c9338p-12, -0x1.8c09ee11565cep-12, -0x1.7f782055d5876p-12, -0x1.733bb2ca18ba6p-12, -0x1.675281ee6a36cp-12, -0x1.5bba76950f177p-12, -0x1.507185a6beafcp-12, -0x1.4575afe6afa0fp-12, -0x1.3ac501bb21cdcp-12, -0x1.305d92f2bcc1ap-12, -0x1.263d868d238ccp-12, -0x1.1c630a83c9071p-12, -0x1.12cc57943150fp-12, -0x1.0977b1089e012p-12, -0x1.006364845181cp-12, -0x1.ef1b939fbd2d3p-13, -0x1.ddea85498a2ffp-13, -0x1.cd3074f84db96p-13, -0x1.bcea4cb845876p-13, -0x1.ad15094edaff8p-13, -0x1.9dadb9d9d2f97p-13, -0x1.8eb17f705a046p-13, -0x1.801d8cc54f879p-13, -0x1.71ef25cd00e33p-13, -0x1.64239f5f8bfbfp-13, -0x1.56b85ee4b602dp-13, -0x1.49aad9f827c78p-13, -0x1.3cf896149cf7bp-13, -0x1.309f283f16116p-13, -0x1.249c34b3fd551p-13, -0x1.18ed6e9559094p-13, -0x1.0d909799e2854p-13, -0x1.02837fbd68b41p-13, -0x1.ef8809e4fc1b4p-14, -0x1.daa025af99388p-14, -0x1.c64b44d6b62c8p-14, -0x1.b28573816e847p-14, -0x1.9f4ad7710d544p-14, -0x1.8c97af740e1f3p-14, -0x1.7a6852d5f6878p-14, -0x1.68b930d721feep-14, -0x1.5786d0274e5e9p-14, -0x1.46cdce5cd0d0ap-14, -0x1.368adf74e08f4p-14, -0x1.26bacd53aa28dp-14, -0x1.175a77429312dp-14, -0x1.0866d178f7667p-14, -0x1.f3b9c940b4882p-15, -0x1.d7739abc0b485p-15, -0x1.bbf577b7a2894p-15, -0x1.a139e6b3bdfe3p-15, -0x1.873b9373439f7p-15, -0x1.6df54e246514fp-15, -0x1.55620a82c332dp-15, -0x1.3d7cdf064db36p-15, -0x1.26410411b0bcap-15, -0x1.0fa9d3227f58ep-15, -0x1.f3658c1bbd7a1p-16, -0x1.c8aeec73af6afp-16, -0x1.9f2737b30298ep-16, -0x1.76c61a65a8e94p-16, -0x1.4f837bc6b875p-16, -0x1.29577c547bf2cp-16, -0x1.043a746b35605p-16, -0x1.c049e5df465bap-17, -0x1.7a1f77db03fb8p-17, -0x1.35e78ea15bec8p-17, -0x1.e728fe5b4a088p-18, -0x1.6632023bf66fp-18, -0x1.d1a0b10f46bf6p-19, -0x1.bbabb162a5cdcp-20, 0x1.e5a819effba72p-24, 0x1.eb2fe661fe915p-20, 0x1.d5983af2eebap-19, 0x1.57ad611a012c2p-18, 0x1.c18574acc7b4ep-18, 0x1.1434b3e1652b1p-17, 0x1.4636d6c10089p-17, 0x1.76d3105783fb7p-17, 0x1.a61303d2426b6p-17, 0x1.d4000c1f655bfp-17, 0x1.00519eea86788p-16, 0x1.1602b48616a3p-16, 0x1.2b178d9dcf2d7p-16, 0x1.3f94507bbb53ep-16, 0x1.537d03dcb0295p-16, 0x1.66d58fc410676p-16, 0x1.79a1be559b514p-16, 0x1.8be53ca4b3ea2p-16, 0x1.9da39b81d1a24p-16, 0x1.aee05040618c4p-16, 0x1.bf9eb57a051d8p-16, 0x1.cfe20bcd4dd8dp-16, 0x1.dfad7a93fa461p-16, 0x1.ef04109de9e18p-16, 0x1.fde8c4ddd8b12p-16, 0x1.062f3b8c41d51p-15, 0x1.0d33f84882381p-15, 0x1.1403f253ed4c2p-15, 0x1.1aa078bfcefffp-15, 0x1.210ad04e28c7bp-15, 0x1.274433bc30601p-15, 0x1.2d4dd40d36b17p-15, 0x1.3328d8d6aeed9p-15, 0x1.38d66084ff8fap-15, 0x1.3e5780a1c2229p-15, 0x1.43ad4618b5c32p-15, 0x1.48d8b5788c38fp-15, 0x1.4ddacb33419c2p-15, 0x1.52b47bdfd118dp-15, 0x1.5766b472ed429p-15, 0x1.5bf25a7ecfe55p-15, 0x1.60584c6c17191p-15, 0x1.649961b3b1fcdp-15, 0x1.68b66b13d9f44p-15, 0x1.6cb032c8d626p-15, 0x1.70877cbfe8812p-15, 0x1.743d06caf5631p-15, 0x1.77d188d0a8531p-15, 0x1.7b45b4ffbf101p-15, 0x1.7e9a37fdab59p-15, 0x1.81cfb9130e2fap-15, 0x1.84e6da5a1191ep-15, 0x1.87e038e92a62ap-15, 0x1.8abc6cfdec55ep-15, 0x1.8d7c0a250ac44p-15, 0x1.901f9f63c056ep-15, 0x1.92a7b75f59adep-15, 0x1.9514d8814450dp-15, 0x1.9767851d2f3e5p-15, 0x1.99a03b94fb986p-15, 0x1.9bbf767bd2431p-15, 0x1.9dc5acb60ae66p-15, 0x1.9fb3519b37a8p-15, 0x1.a188d5170804fp-15, 0x1.a346a3c7a158fp-15, 0x1.a4ed271b55a0ep-15, 0x1.a67cc56da674ap-15, 0x1.a7f5e224515f7p-15, 0x1.a958ddcb9fc93p-15, 0x1.aaa6162f0ed95p-15, 0x1.abdde674c50abp-15, 0x1.ad00a735e2818p-15, 0x1.ae0eae97294a1p-15, 0x1.af0850611a853p-15, 0x1.afedde168ade3p-15, 0x1.b0bfa70a48da3p-15, 0x1.b17df87588f3ap-15, 0x1.b2291d8c4072ap-15, 0x1.b2c15f910b2d7p-15, 0x1.b34705e7fd4d9p-15, 0x1.b3ba562b6d201p-15, 0x1.b41b943d43b54p-15, 0x1.b46b0258199e2p-15, 0x1.b4a8e12131f6cp-15, 0x1.b4d56fb8980e5p-15, 0x1.b4f0ebca6ef21p-15, 0x1.b4fb919bb0ea4p-15, 0x1.b4f59c1a218a3p-15, 0x1.b4df44ec5f18ap-15, 0x1.b4b8c47db8394p-15, 0x1.b482520c9cd6cp-15, 0x1.b43c23b7e7f97p-15, 0x1.b3e66e8a5a49ep-15, 0x1.b381668754deap-15, 0x1.b30d3eb5c7978p-15, 0x1.b28a292ca0fb2p-15, 0x1.b1f8571be8326p-15, 0x1.b157f8d832db5p-15, 0x1.b0a93de500c1dp-15, 0x1.afec54fda1407p-15, 0x1.af216c1e9c7fcp-15, 0x1.ae48b08eff85fp-15, 0x1.ad624ee7baaedp-15, 0x1.ac6e731cb80cbp-15, 0x1.ab6d4884d7528p-15, 0x1.aa5ef9e13ccd9p-15, 0x1.a943b1642e852p-15, 0x1.a81b98b8621f9p-15, 0x1.a6e6d907e4752p-15, 0x1.a5a59b025e48cp-15, 0x1.a45806e2b063bp-15, 0x1.a2fe44756da12p-15, 0x1.a1987b1de0703p-15, 0x1.a026d1db59791p-15, 0x1.9ea96f4f04a5dp-15, 0x1.9d2079c00756p-15, 0x1.9b8c172066888p-15, 0x1.99ec6d11331c3p-15, 0x1.9841a0e696008p-15, 0x1.968bd7ac8a0ddp-15, 0x1.94cb362a5afa8p-15, 0x1.92ffe0e542689p-15, 0x1.9129fc24c12ffp-15, 0x1.8f49abf5de8dcp-15, 0x1.8d5f142d54c97p-15, 0x1.8b6a586b48015p-15, 0x1.896b9c1e154d8p-15, 0x1.87630284d075p-15, 0x1.8550aeb126b79p-15, 0x1.8334c38963d09p-15, 0x1.810f63cb531d6p-15, 0x1.7ee0b20d9e2cdp-15, 0x1.7ca8d0c1a73efp-15, 0x1.7a67e23634602p-15, 0x1.781e08980b6a4p-15, 0x1.75cb65f340b9fp-15, 0x1.73701c3528bd4p-15, 0x1.710c4d2dafaaap-15, 0x1.6ea01a90429c2p-15, 0x1.6c2ba5f404299p-15, 0x1.69af10d56dfb9p-15, 0x1.672a7c983cf25p-15, 0x1.649e0a86fbb2p-15, 0x1.6209dbd3d8a54p-15, 0x1.5f6e11996b6d3p-15, 0x1.5ccaccdaa8a1cp-15, 0x1.5a202e83f685p-15, 0x1.576e576bb6483p-15, 0x1.54b56851f1e69p-15, 0x1.51f581e0ebe66p-15, 0x1.4f2ec4ad0cf95p-15, 0x1.4c615135213cp-15, 0x1.498d47e2b1ec3p-15, 0x1.46b2c909c8292p-15, 0x1.43d1f4e8ab611p-15, 0x1.40eaeba858eeap-15, 0x1.3dfdcd5bff82fp-15, 0x1.3b0aba00a8adbp-15, 0x1.3811d17d33756p-15, 0x1.351333a2a4af7p-15, 0x1.320f002a8fe06p-15, 0x1.2f0556b75a3fp-15, 0x1.2bf656d4279c2p-15, 0x1.28e21ff4699d9p-15, 0x1.25c8d173234f7p-15, 0x1.22aa8a92b1a8dp-15, 0x1.1f876a7c57e42p-15, 0x1.1c5f903f2111cp-15, 0x1.19331acff38c5p-15, 0x1.160229089bfa2p-15, 0x1.12ccd9a82ddb7p-15, 0x1.0f934b51929b6p-15, 0x1.0c559c8aed327p-15, 0x1.0913ebbd3b08bp-15, 0x1.05ce573459b9ap-15, 0x1.0284fd1d32581p-15, 0x1.fe6ff70b6aef3p-16, 0x1.f7cee0b778c51p-16, 0x1.f126f2d9c2f04p-16, 0x1.ea7868cc0930fp-16, 0x1.e3c37da44317p-16, 0x1.dd086c3333653p-16, 0x1.d6476f03b3ec8p-16, 0x1.cf80c05960b7p-16, 0x1.c8b49a2ebd2bdp-16, 0x1.c1e3363429721p-16, 0x1.bb0ccdcde4463p-16, 0x1.b4319a1358459p-16, 0x1.ad51d3cd9c964p-16, 0x1.a66db377404ccp-16, 0x1.9f8571390c516p-16, 0x1.989944e8f7529p-16, 0x1.91a96609ce941p-16, 0x1.8ab60bc92acbep-16, 0x1.83bf6cfe47f9fp-16, 0x1.7cc5c028a95e6p-16, 0x1.75c93b6f585c4p-16, 0x1.6eca149f2b7b8p-16, 0x1.67c88129769f1p-16, 0x1.60c4b6230ca8p-16, 0x1.59bee842c97abp-16, 0x1.52b74be0819e4p-16, 0x1.4bae14f3f62ecp-16, 0x1.44a37713b9ad5p-16, 0x1.3d97a573d05c1p-16, 0x1.368ad2e5a3fe6p-16, 0x1.2f7d31d5c1f18p-16, 0x1.286ef44ae294p-16, 0x1.21604be40f219p-16, 0x1.1a5169d9a8b5dp-16, 0x1.13427efb77d27p-16, 0x1.0c33bbaf0d51bp-16, 0x1.05254fefc6b94p-16, 0x1.fc2ed69c27328p-17, 0x1.ee1479db08b35p-17, 0x1.dffbe7082c2afp-17, 0x1.d1e57ab516784p-17, 0x1.c3d19094b6c6p-17, 0x1.b5c0837ae1f47p-17, 0x1.a7b2ad5aa0d05p-17, 0x1.99a86744ed414p-17, 0x1.8ba209673743cp-17, 0x1.7d9feb0b26f16p-17, 0x1.6fa2629390d68p-17, 0x1.61a9c57d049f5p-17, 0x1.53b6685a3cd7bp-17, 0x1.45c89ed4807c4p-17, 0x1.37e0bbaa6c69p-17, 0x1.29ff10ae6b35dp-17, 0x1.1c23eec8ca26ep-17, 0x1.0e4fa5f21266dp-17, 0x1.00828535336ffp-17, 0x1.e579b55a31031p-18, 0x1.c9fde70ca8235p-18, 0x1.ae9237f889fd1p-18, 0x1.93373eb2b776bp-18, 0x1.77ed8fed0d7a8p-18, 0x1.5cb5be7371833p-18, 0x1.41905b30266e4p-18, 0x1.267df52469b1ap-18, 0x1.0b7f196d6d0bfp-18, 0x1.e128a67ab010ap-19, 0x1.ab7c57c14bf8fp-19, 0x1.75fa55798705fp-19, 0x1.40a3aa9a8c871p-19, 0x1.0b795e4a4879ep-19, 0x1.acf8e7b9e9a5dp-20, 0x1.435bd5a886188p-20, 0x1.b43afb856dddcp-21, 0x1.c4ff3f2733b67p-22, 0x1.18967cdbf25e8p-25, -0x1.7d47d5c43c399p-22, -0x1.8e04a6b0c6252p-21, -0x1.2e4a9488d4c42p-20, -0x1.9528ef5185d1ap-20, -0x1.fb9ba195c3396p-20, -0x1.30d0786ac00fap-19, -0x1.639b950ad87b2p-19, -0x1.962e50f1468eep-19, -0x1.c887da2ad0824p-19, -0x1.faa762879cdf1p-19, -0x1.16460fc9ad589p-18, -0x1.2f1aa5487557dp-18, -0x1.47d11042d7666p-18, -0x1.6068f115a7c71p-18, -0x1.78e1e9f5cd69p-18, -0x1.913b9ef04436p-18, -0x1.a975b5e8acb6cp-18, -0x1.c18fd6965247ep-18, -0x1.d989aa856b533p-18, -0x1.f162dd124fc1ap-18, -0x1.048d8db43778ep-17, -0x1.10590a3f30c0ap-17, -0x1.1c13bc8b52538p-17, -0x1.27bd7ddf19f69p-17, -0x1.33562863987b8p-17, -0x1.3edd9723e2cap-17, -0x1.4a53a60b3e822p-17, -0x1.55b831e660318p-17, -0x1.610b186006bdep-17, -0x1.6c4c37ffe4639p-17, -0x1.777b702a422fap-17, -0x1.8298a11eb8237p-17, -0x1.8da3abf64054cp-17, -0x1.989c72a0d5525p-17, -0x1.a382d7e65d0c4p-17, -0x1.ae56bf6421c05p-17, -0x1.b9180d8b38b06p-17, -0x1.c3c6a79fb40cbp-17, -0x1.ce6273b7f322p-17, -0x1.d8eb58b82e65cp-17, -0x1.e3613e538947fp-17, -0x1.edc40d09712eap-17, -0x1.f813ae269dfcp-17, -0x1.012805e0041dp-16, -0x1.063c8859ba725p-16, -0x1.0b47545210d9p-16, -0x1.10485ffd4fccbp-16, -0x1.153fa1f279443p-16, -0x1.1a2d1128a359bp-16, -0x1.1f10a4f765d25p-16, -0x1.23ea55152beebp-16, -0x1.28ba19979abd6p-16, -0x1.2d7feaf15abb9p-16, -0x1.323bc1f20f2f7p-16, -0x1.36ed97c5f4e1p-16, -0x1.3b9565f3d867bp-16, -0x1.4033265cda5bbp-16, -0x1.44c6d33bb6ddfp-16, -0x1.4950672370c39p-16, -0x1.4dcfdcffe99fep-16, -0x1.524530128848bp-16, -0x1.56b05bf366c1dp-16, -0x1.5b115c8f02a55p-16, -0x1.5f682e26ec3d7p-16, -0x1.63b4cd5016e41p-16, -0x1.67f736f2454b6p-16, -0x1.6c2f68455c392p-16, -0x1.705d5ed3890bap-16, -0x1.74811875e4a37p-16, -0x1.789a93554fe23p-16, -0x1.7ca9cde7c2134p-16, -0x1.80aec6f0e6ba5p-16, -0x1.84a97d81b3a67p-16, -0x1.8899f0f4cc726p-16, -0x1.8c8020f0bea7dp-16, -0x1.905c0d6430a57p-16, -0x1.942db6885f54bp-16, -0x1.97f51cdcf8c11p-16, -0x1.9bb2412964ad9p-16, -0x1.9f65247ab971p-16, -0x1.a30dc82367a79p-16, -0x1.a6ac2dba17ce3p-16, -0x1.aa405718f33c3p-16, -0x1.adca465c7918dp-16, -0x1.b149fde2e4e02p-16, -0x1.b4bf804b1b203p-16, -0x1.b82ad0741fd7cp-16, -0x1.bb8bf17bdfe4ep-16, -0x1.bee2e6be7c27cp-16, -0x1.c22fb3d47e809p-16, -0x1.c5725c937b388p-16, -0x1.c8aae50cf68a9p-16, -0x1.cbd9518c12e21p-16, -0x1.cefda696bf7f4p-16, -0x1.d217e8eaa2b6fp-16, -0x1.d5281d7edd06fp-16, -0x1.d82e497fe5d73p-16, -0x1.db2a7252374d4p-16, -0x1.de1c9d8ed8b5bp-16, -0x1.e104d103b38b7p-16, -0x1.e3e312b269de9p-16, -0x1.e6b768cf3ebf2p-16, -0x1.e981d9c129b18p-16, -0x1.ec426c203d652p-16, -0x1.eef926b4c1d76p-16, -0x1.f1a61076a888ap-16, -0x1.f449308cd123p-16, -0x1.f6e28e4be2c31p-16, -0x1.f972313637124p-16, -0x1.fbf820f9a276ap-16, -0x1.fe74657047ec1p-16, -0x1.0073834f474cfp-15, -0x1.01a80659b3233p-15, -0x1.02d7c0031741dp-15, -0x1.0402b48bac0bap-15, -0x1.0528e84748a9ep-15, -0x1.064a5f9d7cfcep-15, -0x1.07671f084f832p-15, -0x1.087f2b1504968p-15, -0x1.09928862bbe67p-15, -0x1.0aa13ba2ec0bep-15, -0x1.0bab4997df3a2p-15, -0x1.0cb0b715eae51p-15, -0x1.0db189013db48p-15, -0x1.0eadc44f5c573p-15, -0x1.0fa56e052dcabp-15, -0x1.10988b37d8ef1p-15, -0x1.1187210b65f79p-15, -0x1.127134b2ffa0dp-15, -0x1.1356cb7078b17p-15, -0x1.1437ea941421cp-15, -0x1.1514977b8d3b1p-15, -0x1.15ecd792cb03fp-15, -0x1.16c0b05277f6bp-15, -0x1.17902740ae38dp-15, -0x1.185b41efab0f7p-15, -0x1.192205fe36fefp-15, -0x1.19e47916b1844p-15, -0x1.1aa2a0efb1c55p-15, -0x1.1b5c834a45498p-15, -0x1.1c1225f320c78p-15, -0x1.1cc38ec11a502p-15, -0x1.1d70c395ffadcp-15, -0x1.1e19ca5cd126p-15, -0x1.1ebea90ae8312p-15, -0x1.1f5f659eab4a6p-15, -0x1.1ffc061fe1864p-15, -0x1.2094909edda49p-15, -0x1.21290b34d3737p-15, -0x1.21b97c02d070dp-15, -0x1.2245e9322cebdp-15, -0x1.22ce58f3797a5p-15, -0x1.2352d17ef4114p-15, -0x1.23d35913c3a94p-15, -0x1.244ff5f7e12f6p-15, }}, 
      {{-0x1.945cfa6f3c504p-1, -0x1.9464f40957067p-1, -0x1.946edb4dfc9f9p-1, -0x1.9477398ca77a5p-1, -0x1.947acd16ec877p-1, -0x1.9476e108e8c5cp-1, -0x1.94696b4113311p-1, -0x1.94510a57869b4p-1, -0x1.942cf3f0ed4a9p-1, -0x1.93fcdcd217453p-1, -0x1.93c0dfa68a75ap-1, -0x1.937964de39913p-1, -0x1.93270cb0aaadep-1, -0x1.92ca9bb0ea059p-1, -0x1.9264ea15d4ad7p-1, -0x1.91f6d5ba80a14p-1, -0x1.918136c8fae6p-1, -0x1.9104d6f33559ap-1, -0x1.90826b0ff8bc8p-1, -0x1.8ffa8ee47180bp-1, -0x1.8f6dc2d7eba3bp-1, -0x1.8edc6b47dae5p-1, -0x1.8e46d12eebcc6p-1, -0x1.8dad23d280682p-1, -0x1.8d0f7b2e36b22p-1, -0x1.8c6ddadbf74c1p-1, -0x1.8bc8353fbff88p-1, -0x1.8b1e6ec7f38b3p-1, -0x1.8a70611cc3ee8p-1, -0x1.89bdde229633p-1, -0x1.8906b2bbbfacp-1, -0x1.884aa93d5a5p-1, -0x1.87898b910e0a9p-1, -0x1.86c32502913d5p-1, -0x1.85f743bb6022p-1, -0x1.8525b9f1c3bbep-1, -0x1.844e5ed2091aep-1, -0x1.83710f29be019p-1, -0x1.828daddd1edccp-1, -0x1.81a4242ed6fc6p-1, -0x1.80b461e1bc5c1p-1, -0x1.7fbe5d3b93486p-1, -0x1.7ec212ef1d2fdp-1, -0x1.7dbf85f2e504ep-1, -0x1.7cb6bf49680dap-1, -0x1.7ba7cdbe6faafp-1, -0x1.7a92c59cb6d1fp-1, -0x1.7977c05e55a2bp-1, -0x1.7856dc59db83bp-1, -0x1.77303c6d8bd42p-1, -0x1.760407a9cfa6cp-1, -0x1.74d268fba386ep-1, -0x1.739b8ed789d76p-1, -0x1.725faae561e4ap-1, -0x1.711ef1ad695e8p-1, -0x1.6fd99a468cf44p-1, -0x1.6e8fde062fa6bp-1, -0x1.6d41f83184161p-1, -0x1.6bf025b08e38dp-1, -0x1.6a9aa4c2ecee3p-1, -0x1.6941b4b68a35ap-1, -0x1.67e595a054208p-1, -0x1.6686881724fa3p-1, -0x1.6524ccf105f8ap-1, -0x1.63c0a502f8a7dp-1, -0x1.625a50e3722b8p-1, -0x1.60f210afb79d3p-1, -0x1.5f8823d443fd6p-1, -0x1.5e1cc8d863b3p-1, -0x1.5cb03d2d23b91p-1, -0x1.5b42bcffb9dd6p-1, -0x1.59d4830f7c45ap-1, -0x1.5865c8877a42cp-1, -0x1.56f6c4dbc5678p-1, -0x1.5587adaa71099p-1, -0x1.5418b6a042769p-1, -0x1.52aa11610e1e8p-1, -0x1.513bed73b250bp-1, -0x1.4fce78319872ap-1, -0x1.4e61dcb9a562ep-1, -0x1.4cf643e675d7ap-1, -0x1.4b8bd447c7b86p-1, -0x1.4a22b21ee19aap-1, -0x1.48baff5dd371cp-1, -0x1.4754dba95cfb1p-1, -0x1.45f0645d4db49p-1, -0x1.448db49329ceap-1, -0x1.432ce52ae30f4p-1, -0x1.41ce0cd571f9ep-1, -0x1.407140211e318p-1, -0x1.3f16918740a58p-1, -0x1.3dbe117b52ad7p-1, -0x1.3c67ce7b16659p-1, -0x1.3b13d51fae4cfp-1, -0x1.39c2302f74dcbp-1, -0x1.3872e8b06cbc2p-1, -0x1.372605fb22349p-1, -0x1.35db8dcdd6c0fp-1, -0x1.3493845fd7ef2p-1, -0x1.334dec74e1b13p-1, -0x1.320ac7706bc9cp-1, -0x1.30ca1568cda94p-1, -0x1.2f8bd53a1f395p-1, -0x1.2e500498bf7e9p-1, -0x1.2d16a0237450dp-1, -0x1.2bdfa3750f5ebp-1, -0x1.2aab09358c644p-1, -0x1.2978cb2a9f586p-1, -0x1.2848e247a6e95p-1, -0x1.271b46bcfeaa7p-1, -0x1.25eff006abab6p-1, -0x1.24c6d4fa5ea3p-1, -0x1.239febd4ccc7p-1, -0x1.227b2a465a416p-1, -0x1.2158857f1e9ffp-1, -0x1.2037f23a3c6afp-1, -0x1.1f1964c896729p-1, -0x1.1dfcd11ae3ec7p-1, -0x1.1ce22acb25cb6p-1, -0x1.1bc9652587e11p-1, -0x1.1ab27330adc88p-1, -0x1.199d47b577ea3p-1, -0x1.1889d546425c8p-1, -0x1.17780e45a5fb2p-1, -0x1.1667e4ecc52aap-1, -0x1.15594b512804ep-1, -0x1.144c336a2fa1p-1, -0x1.13408f162b042p-1, -0x1.1236501f0fb72p-1, -0x1.112d683edfe5p-1, -0x1.1025c923c463bp-1, -0x1.0f1f6473e106fp-1, -0x1.0e1a2bd0e84cep-1, -0x1.0d1610db764e1p-1, -0x1.0c130536355d1p-1, -0x1.0b10fa88d71b6p-1, -0x1.0a0fe282e079dp-1, -0x1.090faede5251bp-1, -0x1.081051623090dp-1, -0x1.0711bbe4ec5eep-1, -0x1.0613e04eb5d9ep-1, -0x1.0516b09bb7649p-1, -0x1.041a1ede3d9abp-1, -0x1.031e1d40d0faap-1, -0x1.02229e083fb9p-1, -0x1.012793959de7fp-1, -0x1.002cf0683b1p-1, -0x1.fe654e3f1f4c1p-2, -0x1.fc7154fa47d0bp-2, -0x1.fa7ddacce2084p-2, -0x1.f88ac5cd7baa2p-2, -0x1.f697fc61eeee6p-2, -0x1.f4a565430923ap-2, -0x1.f2b2e78030639p-2, -0x1.f0c06a82fe48cp-2, -0x1.eecdd612d55d5p-2, -0x1.ecdb125870618p-2, -0x1.eae807e16a18p-2, -0x1.e8f49fa3bd986p-2, -0x1.e700c3013ac18p-2, -0x1.e50c5bcaf6465p-2, -0x1.e3175444a8228p-2, -0x1.e12197280376dp-2, -0x1.df2b0fa7fbec8p-2, -0x1.dd33a973fd76p-2, -0x1.db3b50bb151c6p-2, -0x1.d941f22f02ed3p-2, -0x1.d7477b073cf52p-2, -0x1.d54bd903d8475p-2, -0x1.d34efa705d58fp-2, -0x1.d150ce2683bcp-2, -0x1.cf514390d143bp-2, -0x1.cd504aad20f82p-2, -0x1.cb4dd40f09ef4p-2, -0x1.c949d0e22ap-2, -0x1.c74432ec4f084p-2, -0x1.c53cec8f80f95p-2, -0x1.c333f0cbe8446p-2, -0x1.c1293341934bp-2, -0x1.bf1ca83215fc4p-2, -0x1.bd0e448205d2ep-2, -0x1.bafdfdba5070ap-2, -0x1.b8ebca096b157p-2, -0x1.b6d7a0445d95ap-2, -0x1.b4c177e7a2363p-2, -0x1.b2a94917e33acp-2, -0x1.b08f0ca28b985p-2, -0x1.ae72bbfe3407p-2, -0x1.ac54514ae4199p-2, -0x1.aa33c7522fb51p-2, -0x1.a8111987288d2p-2, -0x1.a5ec4406295d8p-2, -0x1.a3c543947b501p-2, -0x1.a19c159fd19bap-2, -0x1.9f70b83d9edeep-2, -0x1.9d432a2a46dbap-2, -0x1.9b136ac826daap-2, -0x1.98e17a1e7ca2cp-2, -0x1.96ad58d82488fp-2, -0x1.9477084237d5dp-2, -0x1.923e8a4a87fc6p-2, -0x1.9003e17df38cdp-2, -0x1.8dc71106a1a5cp-2, -0x1.8b881caa140d4p-2, -0x1.894708c7226bfp-2, -0x1.8703da53d1774p-2, -0x1.84be96db1099ap-2, -0x1.8277447a59b28p-2, -0x1.802de9df35214p-2, -0x1.7de28e44a680ap-2, -0x1.7b9539707eff4p-2, -0x1.7945f3b097872p-2, -0x1.76f4c5d7f639cp-2, -0x1.74a1b93bdc9cep-2, -0x1.724cd7b0c2dddp-2, -0x1.6ff62b87425eap-2, -0x1.6d9dbf88e9641p-2, -0x1.6b439ef50354fp-2, -0x1.68e7d57d4e7fep-2, -0x1.668a6f42a4bp-2, -0x1.642b78d19770fp-2, -0x1.61caff1f01c47p-2, -0x1.5f690f8489926p-2, -0x1.5d05b7bd1ee6p-2, -0x1.5aa105e16d883p-2, -0x1.583b08644b868p-2, -0x1.55d3ce0f1af85p-2, -0x1.536b65fe309b1p-2, -0x1.5101df9d2ccbcp-2, -0x1.4e974aa35642ep-2, -0x1.4c2bb70ff37f2p-2, -0x1.49bf3526a11b2p-2, -0x1.4751d56ba7426p-2, -0x1.44e3a8a055bf7p-2, -0x1.4274bfbf57ae3p-2, -0x1.40052bf916933p-2, -0x1.3d94feb015f8fp-2, -0x1.3b2449755a0bbp-2, -0x1.38b31e04d0d94p-2, -0x1.36418e41c30a3p-2, -0x1.33cfac3349721p-2, -0x1.315d8a00cafabp-2, -0x1.2eeb39ee85fe9p-2, -0x1.2c78ce5a1c471p-2, -0x1.2a0659b72d8e2p-2, -0x1.2793ee8bfb3c1p-2, -0x1.25219f6e14103p-2, -0x1.22af7eff108p-2, -0x1.203d9fe954cdbp-2, -0x1.1dcc14dce3d54p-2, -0x1.1b5af08c3e2a4p-2, -0x1.18ea45a94b52fp-2, -0x1.167a26e2550b9p-2, -0x1.140aa6df0df93p-2, -0x1.119bd83da831cp-2, -0x1.0f2dcd8ff7a3ap-2, -0x1.0cc09958a99a5p-2, -0x1.0a544e08857e9p-2, -0x1.07e8fdfbc0f15p-2, -0x1.057ebb7762699p-2, -0x1.031598a6b4182p-2, -0x1.00ada798ca25dp-2, -0x1.fc8df47c27dfp-3, -0x1.f7c344cc03dddp-3, -0x1.f2fb63797b559p-3, -0x1.ee367391de93bp-3, -0x1.e97497d325f56p-3, -0x1.e4b5f2a7d09d8p-3, -0x1.dffaa622cf7a7p-3, -0x1.db42d3fba18ecp-3, -0x1.d68e9d8a8b7dcp-3, -0x1.d1de23c4f78e9p-3, -0x1.cd318739f478ep-3, -0x1.c888e80ed59ddp-3, -0x1.c3e465fbf9f57p-3, -0x1.bf442049ae403p-3, -0x1.baa835cd3f99fp-3, -0x1.b610c4e61b3ddp-3, -0x1.b17deb7b23f32p-3, -0x1.acefc6f819f21p-3, -0x1.a866744b3248ap-3, -0x1.a3e20fe2be14dp-3, -0x1.9f62b5ab06855p-3, -0x1.9ae8810c3368bp-3, -0x1.96738ce86a07fp-3, -0x1.9203f399f066bp-3, -0x1.8d99cef18b731p-3, -0x1.89353834e51fap-3, -0x1.84d6481d203acp-3, -0x1.807d16d58162bp-3, -0x1.7c29bbfa3ceacp-3, -0x1.77dc4e9758fbep-3, -0x1.7394e527b74a4p-3, -0x1.6f5395942cdddp-3, -0x1.6b187532c6b6bp-3, -0x1.66e398c61ac2ep-3, -0x1.62b5147cb79c2p-3, -0x1.5e8cfbf0ba199p-3, -0x1.5a6b622762e0ep-3, -0x1.56505990e361bp-3, -0x1.523bf4082ad14p-3, -0x1.4e2e42d2d8f8cp-3, -0x1.4a2756a141ba1p-3, -0x1.46273f8e8d9b4p-3, -0x1.422e0d20e5c1bp-3, -0x1.3e3bce49c5bfcp-3, -0x1.3a50916650065p-3, -0x1.366c643fc9097p-3, -0x1.328f540c13475p-3, -0x1.2eb96d6e53c48p-3, -0x1.2aeabc7795a7cp-3, -0x1.27234ca78c9e7p-3, -0x1.236328ed6635ap-3, -0x1.1faa5ba8a7836p-3, -0x1.1bf8eeaa21aebp-3, -0x1.184eeb34f3a98p-3, -0x1.14ac59ff99fcdp-3, -0x1.111143350d89fp-3, -0x1.0d7dae75f685ep-3, -0x1.09f1a2d9e2fa1p-3, -0x1.066d26f094239p-3, -0x1.02f040c34e75cp-3, -0x1.fef5ebac8800fp-4, -0x1.f81a9653edd75p-4, -0x1.f14e8a7978fdp-4, -0x1.ea91d0186cf3p-4, -0x1.e3e46e2dd12d7p-4, -0x1.dd466abb8e001p-4, -0x1.d6b7cacbb586cp-4, -0x1.d0389273ce4fap-4, -0x1.c9c8c4d83322p-4, -0x1.c368642f80d7ep-4, -0x1.bd1771c61b164p-4, -0x1.b6d5ee01a6776p-4, -0x1.b0a3d864ab2b1p-4, -0x1.aa812f9237972p-4, -0x1.a46df1517f73p-4, -0x1.9e6a1a9198cbep-4, -0x1.9875a76d4098ap-4, -0x1.9290932e9655ap-4, -0x1.8cbad852efba3p-4, -0x1.86f4708eabe6ep-4, -0x1.813d54d109916p-4, -0x1.7b957d4809db3p-4, -0x1.75fce1644eef7p-4, -0x1.707377dd063c8p-4, -0x1.6af936b3cb1e2p-4, -0x1.658e133896b81p-4, -0x1.6032020daa8acp-4, -0x1.5ae4f72b78ea9p-4, -0x1.55a6e5e49ad6ap-4, -0x1.5077c0e9b247fp-4, -0x1.4b577a4d5ba24p-4, -0x1.46460388132ddp-4, -0x1.41434d7c208d1p-4, -0x1.3c4f4879790bdp-4, -0x1.3769e4419e971p-4, -0x1.3293100b7e87ep-4, -0x1.2dcaba874cbc2p-4, -0x1.2910d1e254a89p-4, -0x1.246543cac87b7p-4, -0x1.1fc7fd738d6e3p-4, -0x1.1b38eb97fa5edp-4, -0x1.16b7fa7f97a43p-4, -0x1.12451601d4813p-4, -0x1.0de02989b2be4p-4, -0x1.09892019729c9p-4, -0x1.053fe44e2d049p-4, -0x1.010460636b117p-4, -0x1.f9acfc6d6dd93p-5, -0x1.f16c4e963c1f5p-5, -0x1.e94689995cd86p-5, -0x1.e13b7f27c9f2cp-5, -0x1.d94b00523fe74p-5, -0x1.d174dd8fe22efp-5, -0x1.c9b8e6c4fad0dp-5, -0x1.c216eb4980955p-5, -0x1.ba8eb9ef9b77fp-5, -0x1.b320210a0e00ep-5, -0x1.abcaee728928ap-5, -0x1.a48eef8feac5p-5, -0x1.9d6bf15c5f765p-5, -0x1.9661c06b79527p-5, -0x1.8f7028f0273f2p-5, -0x1.8896f6c293519p-5, -0x1.81d5f565f1b29p-5, -0x1.7b2cf00e2dbbfp-5, -0x1.749bb1a58a6b3p-5, -0x1.6e2204d21fa51p-5, -0x1.67bfb3fb4d9f1p-5, -0x1.6174894eff60fp-5, -0x1.5b404ec6f39bap-5, -0x1.5522ce2dd5a61p-5, -0x1.4f1bd1244b381p-5, -0x1.492b2125dd8d8p-5, -0x1.4350878dd9bdcp-5, -0x1.3d8bcd9c0951p-5, -0x1.37dcbc7959f1ep-5, -0x1.32431d3c705d7p-5, -0x1.2cbeb8ee1173ep-5, -0x1.274f588d92532p-5, -0x1.21f4c51508681p-5, -0x1.1caec77d7fd58p-5, -0x1.177d28c315007p-5, -0x1.125fb1e8e5a72p-5, -0x1.0d562bfcf6b4ap-5, -0x1.0860601c0282cp-5, -0x1.037e17752fe23p-5, -0x1.fd5e369b52f1cp-6, -0x1.f3e66a0844f45p-6, -0x1.ea945c2892271p-6, -0x1.e167a0342d6ffp-6, -0x1.d85fc9aa2c6f5p-6, -0x1.cf7c6c570f6cap-6, -0x1.c6bd1c5ae8e4ep-6, -0x1.be216e2f5c48cp-6, -0x1.b5a8f6ad5b492p-6, -0x1.ad534b12d0d82p-6, -0x1.a520010814927p-6, -0x1.9d0eaea52aca7p-6, -0x1.951eea76f2fbap-6, -0x1.8d504b840e775p-6, -0x1.85a26951b8fe9p-6, -0x1.7e14dbe85c65bp-6, -0x1.76a73bd819aa2p-6, -0x1.6f59223d0d119p-6, -0x1.682a28c38d5cdp-6, -0x1.6119e9ac15d47p-6, -0x1.5a27ffcf3a301p-6, -0x1.535406a1509a5p-6, -0x1.4c9d9a360fbep-6, -0x1.46045743f1b7ep-6, -0x1.3f87db278840dp-6, -0x1.3927c3e69e2dfp-6, -0x1.32e3b0333891bp-6, -0x1.2cbb3f6e80a4dp-6, -0x1.26ae11ab76178p-6, -0x1.20bbc7b1a2cabp-6, -0x1.1ae402ff7a18cp-6, -0x1.152665ccd713bp-6, -0x1.0f82930d2165bp-6, -0x1.09f82e717aa31p-6, -0x1.0486dc6abbc27p-6, -0x1.fe5c8456a5d54p-7, -0x1.f3dc0b522d64ap-7, -0x1.e98b9b3dbc869p-7, -0x1.df6a831c2ec38p-7, -0x1.d5781380890dp-7, -0x1.cbb39e9078b03p-7, -0x1.c21c7806e7654p-7, -0x1.b8b1f5364d38cp-7, -0x1.af736d0aa2c18p-7, -0x1.a660380b670a9p-7, -0x1.9d77b05d3ec06p-7, -0x1.94b931c372feep-7, -0x1.8c2419a1599b6p-7, -0x1.83b7c6fb68fccp-7, -0x1.7b739a7846532p-7, -0x1.7356f66195e21p-7, -0x1.6b613ea4902f7p-7, -0x1.6391d8d29fa39p-7, -0x1.5be82c21a57f4p-7, -0x1.5463a16c30befp-7, -0x1.4d03a33187f52p-7, -0x1.45c79d959d0b5p-7, -0x1.3eaefe60c3a77p-7, -0x1.37b934ff58815p-7, -0x1.30e5b2814c031p-7, -0x1.2a33e9996d93ap-7, -0x1.23a34e9cc7118p-7, -0x1.1d335781a4fbep-7, -0x1.16e37bdea809ep-7, -0x1.10b334e9ae818p-7, -0x1.0aa1fd769ee06p-7, -0x1.04af51f6023e9p-7, -0x1.fdb560e7a1df7p-8, -0x1.f247312b4c998p-8, -0x1.e7131732ce1aap-8, -0x1.dc1818a6dd308p-8, -0x1.d1553e5977cfdp-8, -0x1.c6c994425ea45p-8, -0x1.bc74297af14fdp-8, -0x1.b254103a59796p-8, -0x1.a8685dd1144bep-8, -0x1.9eb02aa4a9451p-8, -0x1.952a922b3dd63p-8, -0x1.8bd6b2e6e335fp-8, -0x1.82b3ae60a1c4dp-8, -0x1.79c0a923dadb2p-8, -0x1.70fccab90b46ep-8, -0x1.68673da0c2fbbp-8, -0x1.5fff2f4e53047p-8, -0x1.57c3d0229bd3p-8, -0x1.4fb4536655dcfp-8, -0x1.47cfef44cbef4p-8, -0x1.4015dcc60a2dcp-8, -0x1.388557c93282p-8, -0x1.311d9efec5c82p-8, -0x1.29ddf3e2a8dd6p-8, -0x1.22c59ab6434c4p-8, -0x1.1bd3da7a5ea36p-8, -0x1.1507fce952147p-8, -0x1.0e614e7092fabp-8, -0x1.07df1e2ad9288p-8, -0x1.0180bdd9833cdp-8, -0x1.f68b03bd2d424p-9, -0x1.ea59826cd50b8p-9, -0x1.de6baae21d805p-9, -0x1.d2c035583ceeep-9, -0x1.c755df1879ee3p-9, -0x1.bc2b6a6d38b83p-9, -0x1.b13f9e9500a19p-9, -0x1.a69147b588e3ap-9, -0x1.9c1f36ce79664p-9, -0x1.91e841acafd53p-9, -0x1.87eb42dc9a855p-9, -0x1.7e27199d7bd96p-9, -0x1.749aa9d443412p-9, -0x1.6b44dbfde6fe5p-9, -0x1.62249d22e0f55p-9, -0x1.5938dec983f12p-9, -0x1.508096e8fdbafp-9, -0x1.47fabfdc376abp-9, -0x1.3fa65854797b4p-9, -0x1.3782634c86a6fp-9, -0x1.2f8de7fb7576cp-9, -0x1.27c7f1c764aa1p-9, -0x1.202f9038c79cep-9, -0x1.18c3d6ed22017p-9, -0x1.1183dd8a09674p-9, -0x1.0a6ebfb03dd73p-9, -0x1.03839ceef519fp-9, -0x1.f983316dcba2fp-10, -0x1.ec4fb49a9b025p-10, -0x1.df6b197f06a5ap-10, -0x1.d2d3bdabf45cap-10, -0x1.c688061035fa7p-10, -0x1.ba865ede0c09fp-10, -0x1.aecd3b73e40b8p-10, -0x1.a35b1641ec0d3p-10, -0x1.982e70b263b1dp-10, -0x1.8d45d310e9234p-10, -0x1.829fcc71d5c83p-10, -0x1.783af29a15b22p-10, -0x1.6e15e1e765815p-10, -0x1.642f3d3806ebfp-10, -0x1.5a85add35af4ap-10, -0x1.5117e35231d19p-10, -0x1.47e4938758c07p-10, -0x1.3eea7a68cc3bdp-10, -0x1.362859f7f81f5p-10, -0x1.2d9cfa2bb245fp-10, -0x1.254728d90d0bfp-10, -0x1.1d25b99d566e7p-10, -0x1.153785c720986p-10, -0x1.0d7b6c4140962p-10, -0x1.05f0517bf49bap-10, -0x1.fd2a3eafbb88bp-11, -0x1.eed18a2075f68p-11, -0x1.e0d46e4bd85f9p-11, -0x1.d330de943afd7p-11, -0x1.c5e4d89313211p-11, -0x1.b8ee63efda90dp-11, -0x1.ac4b9236da868p-11, -0x1.9ffa7eb185b2ap-11, -0x1.93f94e3d62877p-11, -0x1.88462f2570f99p-11, -0x1.7cdf58fa1e475p-11, -0x1.71c30c6b4b0d9p-11, -0x1.66ef932163cb4p-11, -0x1.5c633f97ee4afp-11, -0x1.521c6cf7b7592p-11, -0x1.48197ef21b4d6p-11, -0x1.3e58e19c2f478p-11, -0x1.34d9094ad5bc3p-11, -0x1.2b98726e9875cp-11, -0x1.2295a170c5444p-11, -0x1.19cf22902a85fp-11, -0x1.114389bed8e5cp-11, -0x1.08f1727fdcfe6p-11, -0x1.00d77fc5f15cbp-11, -0x1.f1e8b7a3aaa03p-12, -0x1.e28d7024e564ep-12, -0x1.d39a9a0642424p-12, -0x1.c50db41a26d0cp-12, -0x1.b6e44acd49cb2p-12, -0x1.a91bf7ea12c0ap-12, -0x1.9bb2625b197f5p-12, -0x1.8ea53ded6af28p-12, -0x1.81f24b15e0c8bp-12, -0x1.759756b623fadp-12, -0x1.699239e22960ap-12, -0x1.5de0d9a6e3364p-12, -0x1.528126d2109d7p-12, -0x1.47711dba4e6b4p-12, -0x1.3caec607f553ap-12, -0x1.3238327fb0884p-12, -0x1.280b80cc10ef4p-12, -0x1.1e26d949c3712p-12, -0x1.14886ed3c7462p-12, -0x1.0b2e7e8ffde33p-12, -0x1.02174fbcdb952p-12, -0x1.f28267012c066p-13, -0x1.e155096ddc05cp-13, -0x1.d0a34f85c6effp-13, -0x1.c06a14bba65bfp-13, -0x1.b0a646d325818p-13, -0x1.a154e585a4a7ep-13, -0x1.927302279a34bp-13, -0x1.83fdbf4e16db3p-13, -0x1.75f25079d3879p-13, -0x1.684df9bf63e7fp-13, -0x1.5b0e0f7286fe6p-13, -0x1.4e2ff5d36632ap-13, -0x1.41b120bbebce4p-13, -0x1.358f134ff30e5p-13, -0x1.29c75fac6015bp-13, -0x1.1e57a69b53b71p-13, -0x1.133d974484f5dp-13, -0x1.0876eee44bb1ep-13, -0x1.fc02f1001a61ep-14, -0x1.e7b61939a1978p-14, -0x1.d40321f30585dp-14, -0x1.c0e5f08bd2992p-14, -0x1.ae5a83bd4354p-14, -0x1.9c5cf31147767p-14, -0x1.8ae96e5d394c6p-14, -0x1.79fc3d3d0fd33p-14, -0x1.6991be9390cb6p-14, -0x1.59a6680aa0555p-14, -0x1.4a36c594b912dp-14, -0x1.3b3f78f507c2ap-14, -0x1.2cbd3944da502p-14, -0x1.1eacd27e4a41cp-14, -0x1.110b2507b2b7bp-14, -0x1.03d52543a4d0bp-14, -0x1.ee0fb63a1dd6fp-15, -0x1.d540c337e4321p-15, -0x1.bd37ccf318fa1p-15, -0x1.a5ef536a055cp-15, -0x1.8f61fa599f722p-15, -0x1.798a886fc8e29p-15, -0x1.6463e68347ddp-15, -0x1.4fe91ecf79c71p-15, -0x1.3c155c338c121p-15, -0x1.28e3e97417087p-15, -0x1.16503084f840dp-15, -0x1.0455b9cdb7269p-15, -0x1.e5e056fe2c343p-16, -0x1.c43691b9b0b5bp-16, -0x1.a3a5e328dd675p-16, -0x1.84264228c0723p-16, -0x1.65afdbd0552bdp-16, -0x1.483b122e1a6efp-16, -0x1.2bc07b0856f27p-16, -0x1.1038dea6888a3p-16, -0x1.eb3a6d3c9ef4ep-17, -0x1.b7cd595c74788p-17, -0x1.861d332c3f975p-17, -0x1.561d07ee0ff93p-17, -0x1.27c03e78d6169p-17, -0x1.f5f52a3155b94p-18, -0x1.9f803ec66cb0ap-18, -0x1.4c0a886292294p-18, -0x1.f6faee763116p-19, -0x1.5b8634004abf9p-19, -0x1.8b186825201c4p-20, -0x1.a71b792ccc872p-22, 0x1.5a71d0982d814p-21, 0x1.ba35603497439p-20, 0x1.5ebd67266e7c6p-19, 0x1.dba9aac82df76p-19, 0x1.2a01c13f0494p-18, 0x1.63f6f91ce32ep-18, 0x1.9bc5808e99032p-18, 0x1.d17ddfdbe8037p-18, 0x1.0298139b2c85dp-17, 0x1.1b75f8dd5fec1p-17, 0x1.33603436e10e4p-17, 0x1.4a5e229d24024p-17, 0x1.6076eadabcc22p-17, 0x1.75b17efa9a53cp-17, 0x1.8a149daa1aea1p-17, 0x1.9da6d38915221p-17, 0x1.b06e7c7eee1b1p-17, 0x1.c271c4fcb269p-17, 0x1.d3b6ab424bfb8p-17, 0x1.e443008d4ecb8p-17, 0x1.f41c6a54c5271p-17, 0x1.01a431b6b4392p-16, 0x1.08e61e987439cp-16, 0x1.0fd6904cd7039p-16, 0x1.167807ab99ea1p-16, 0x1.1cccf271c3f06p-16, 0x1.22d7abc3a9e8dp-16, 0x1.289a7cae19afep-16, 0x1.2e179ca7b4f5ep-16, 0x1.3351320ace94cp-16, 0x1.3849528f18572p-16, 0x1.3d0203be56c4dp-16, 0x1.417d3b68cb6fcp-16, 0x1.45bce014fa4d8p-16, 0x1.49c2c96cc285p-16, 0x1.4d90c0a7ba1dp-16, 0x1.512880f59c672p-16, 0x1.548bb7e1d52afp-16, 0x1.57bc05b91078p-16, 0x1.5abafde809ceap-16, 0x1.5d8a275c62d21p-16, 0x1.602afcdd7e6c3p-16, 0x1.629eed68cd35dp-16, 0x1.64e75c886c775p-16, 0x1.6705a2a996539p-16, 0x1.68fb0d6edbf7p-16, 0x1.6ac8e0017ef58p-16, 0x1.6c705361fbd95p-16, 0x1.6df296b233df8p-16, 0x1.6f50cf83000a9p-16, 0x1.708c1a1c36829p-16, 0x1.71a589c3b9862p-16, 0x1.729e290507563p-16, 0x1.7376f9f1c5bd4p-16, 0x1.7430f665f373ep-16, 0x1.74cd104716e56p-16, 0x1.754c31c2bd225p-16, 0x1.75af3d8a24a59p-16, 0x1.75f70f0fcf34bp-16, 0x1.76247abf383c9p-16, 0x1.76384e35f14d2p-16, 0x1.76335079c20e4p-16, 0x1.7616422d7640cp-16, 0x1.75e1ddc4350c9p-16, 0x1.7596d7b4e6b82p-16, 0x1.7535dea8bdf0bp-16, 0x1.74bf9bacd9b4ap-16, 0x1.7434b25fdbc61p-16, 0x1.7395c11ec3c42p-16, 0x1.72e3612fa52fdp-16, 0x1.721e26ed92918p-16, 0x1.7146a1f0c02a2p-16, 0x1.705d5d36bf248p-16, 0x1.6f62df48446e8p-16, 0x1.6e57aa610c018p-16, 0x1.6d3c3c9391b68p-16, 0x1.6c110febf9db4p-16, 0x1.6ad69a939907p-16, 0x1.698d4ef228bcbp-16, 0x1.68359bce51ff1p-16, 0x1.66cfec6c90ea7p-16, 0x1.655ca8aecbbabp-16, 0x1.63dc35323f3cdp-16, 0x1.624ef36b6dcd9p-16, 0x1.60b541c329882p-16, 0x1.5f0f7bb103ec5p-16, 0x1.5d5df9d6a362p-16, 0x1.5ba1121783715p-16, 0x1.59d917b230b92p-16, 0x1.58065b594cb15p-16, 0x1.56292b4a6ae7cp-16, 0x1.5441d363f5a43p-16, 0x1.52509d3ad82dep-16, 0x1.5055d03052245p-16, 0x1.4e51b186a2afap-16, 0x1.4c4484739dbe9p-16, 0x1.4a2e8a3456b09p-16, 0x1.4810021fb704ap-16, 0x1.45e929b8912afp-16, 0x1.43ba3cbf02cb9p-16, 0x1.41837540bf782p-16, 0x1.3f450ba95b5d7p-16, 0x1.3cff36d26b712p-16, 0x1.3ab22c123e0eep-16, 0x1.385e1f4a14c26p-16, 0x1.360342f4913b4p-16, 0x1.33a1c833aef5bp-16, 0x1.3139deddaf64bp-16, 0x1.2ecbb5899895p-16, 0x1.2c57799bf1c81p-16, 0x1.29dd5751fc63ep-16, 0x1.275d79ce6677bp-16, 0x1.24d80b22829ecp-16, 0x1.224d34595f11fp-16, 0x1.1fbd1d82eb231p-16, 0x1.1d27edbcd0ba5p-16, 0x1.1a8dcb3c8ae1ap-16, 0x1.17eedb5851feap-16, 0x1.154b428fdd886p-16, 0x1.12a32494f34d7p-16, 0x1.0ff6a4532e67p-16, 0x1.0d45e3f852afdp-16, 0x1.0a9104fb3456ap-16, 0x1.07d8282363702p-16, 0x1.051b6d9095f61p-16, 0x1.025af4c0ae881p-16, 0x1.ff2db92c856e8p-17, 0x1.f99e86bde214bp-17, 0x1.f4088db1d3494p-17, 0x1.ee6c08715fb42p-17, 0x1.e8c9305d69b36p-17, 0x1.e3203dd9197d2p-17, 0x1.dd7168534c7e7p-17, 0x1.d7bce6502e84fp-17, 0x1.d202ed7343523p-17, 0x1.cc43b2872e474p-17, 0x1.c67f698640f2p-17, 0x1.c0b645a2c01a4p-17, 0x1.bae8794e16fdbp-17, 0x1.b516364013312p-17, 0x1.af3fad7e8844fp-17, 0x1.a9650f632ee47p-17, 0x1.a3868ba223ec9p-17, 0x1.9da4514fb35dep-17, 0x1.97be8ee63a5d9p-17, 0x1.91d5724bddfa4p-17, 0x1.8be928d7d2f92p-17, 0x1.85f9df55e11dp-17, 0x1.8007c20bfd18ep-17, 0x1.7a12fcbf37028p-17, 0x1.741bbab6b3406p-17, 0x1.6e2226c09338ap-17, 0x1.68266b358873p-17, 0x1.6228b1fc6eeedp-17, 0x1.5c29248d93e36p-17, 0x1.5627ebf553e29p-17, 0x1.502530d712557p-17, 0x1.4a211b7014703p-17, 0x1.441bd39a798cp-17, 0x1.3e1580cfed087p-17, 0x1.380e4a2b27835p-17, 0x1.3206566a5d482p-17, 0x1.2bfdcbf17be3dp-17, 0x1.25f4d0cb9b83p-17, 0x1.1feb8aad35512p-17, 0x1.19e21ef4d5059p-17, 0x1.13d8b2aceaf4dp-17, 0x1.0dcf6a8e83ff8p-17, 0x1.07c66b0114894p-17, 0x1.01bdd81c57a7cp-17, 0x1.f76bab51d4fbdp-18, 0x1.eb5d0e41cb6e7p-18, 0x1.df501f627c5dp-18, 0x1.d34524765d504p-18, 0x1.c73c62a7b6e34p-18, 0x1.bb361e8a7c4e9p-18, 0x1.af329c1d93201p-18, 0x1.a3321ecbd9cf1p-18, 0x1.9734e96d2ada8p-18, 0x1.8b3b3e46f746ep-18, 0x1.7f455f0cc808fp-18, 0x1.73538ce0c9cfbp-18, 0x1.6766085496346p-18, 0x1.5b7d116983911p-18, 0x1.4f98e790070d7p-18, 0x1.43b9c9a8c5dd1p-18, 0x1.37dff6035d17dp-18, 0x1.2c0baa5f15defp-18, 0x1.203d23eb1d47ap-18, 0x1.14749f46cf01dp-18, 0x1.08b2587fe5017p-18, 0x1.f9ed1628e74ap-19, 0x1.e282e3e058e2fp-19, 0x1.cb268ed963e56p-19, 0x1.b3d88aa45044dp-19, 0x1.9c9949ab0d501p-19, 0x1.85693d338b845p-19, 0x1.6e48d55c98638p-19, 0x1.5738811bab409p-19, 0x1.4038ae3e7428ap-19, 0x1.2949c96a8b2ecp-19, 0x1.126c3e173f273p-19, 0x1.f740ed22cb356p-20, 0x1.c9cdb7eb566b4p-20, 0x1.9c7fac628f471p-20, 0x1.6f57980845d9dp-20, 0x1.425645f725b4ep-20, 0x1.157c7ee36e7c3p-20, 0x1.d1961232d1958p-21, 0x1.788550f6bd27bp-21, 0x1.1fc83d006f9c5p-21, 0x1.8ec0a8bc05061p-22, 0x1.bd3c40d74b1cap-23, 0x1.795e4ca42a91dp-25, -0x1.fe4df476a587ap-24, -0x1.2d9cded3e0c02p-22, -0x1.daed90af26fa6p-22, -0x1.43c168def26acp-21, -0x1.99acf5812ffdp-21, -0x1.ef3817ca5239fp-21, -0x1.2230bf1fde2a7p-20, -0x1.4c93ee3b869bbp-20, -0x1.76c4f5891b628p-20, -0x1.a0c333dc62281p-20, -0x1.ca8e0a95fb8b8p-20, -0x1.f424dd9f0968dp-20, -0x1.0ec389b607349p-19, -0x1.235a0a80cf1ap-19, -0x1.37d5a6f7439fbp-19, -0x1.4c361628ade05p-19, -0x1.607b106c5c93dp-19, -0x1.74a44f5f2e909p-19, -0x1.88b18de825962p-19, -0x1.9ca2883708f79p-19, -0x1.b076fbc580a5fp-19, -0x1.c42ea755e8471p-19, -0x1.d7c94af2b705cp-19, -0x1.eb46a7ef0ccd6p-19, -0x1.fea680e7dd79p-19, -0x1.08f44ce15f13p-18, -0x1.12865bd6f2063p-18, -0x1.1c0950907ee9ap-18, -0x1.257d0eed48434p-18, -0x1.2ee17b7087e05p-18, -0x1.38367b4189a35p-18, -0x1.417bf42b30711p-18, -0x1.4ab1cc9b26168p-18, -0x1.53d7eba25098p-18, -0x1.5cee38f3deedp-18, -0x1.65f49ce544f74p-18, -0x1.6eeb006d07f7ep-18, -0x1.77d14d24386e3p-18, -0x1.80a76d44caaeap-18, -0x1.896d4ba8ff90cp-18, -0x1.9222d3cb2b133p-18, -0x1.9ac7f1c46978dp-18, -0x1.a35c924db3b1cp-18, -0x1.abe0a2bdc3811p-18, -0x1.b4541109d2decp-18, -0x1.bcb6cbc36a7fp-18, -0x1.c508c21919b66p-18, -0x1.cd49e3d4e94afp-18, -0x1.d57a215b4472fp-18, -0x1.dd996bac2e63cp-18, -0x1.e5a7b45fe4392p-18, -0x1.eda4eda82fa0cp-18, -0x1.f5910a4ea8ac3p-18, -0x1.fd6bfdb4896d9p-18, -0x1.029adde872b49p-17, -0x1.06771c97ca70ep-17, -0x1.0a4ab578c27c9p-17, -0x1.0e15a3658464cp-17, -0x1.11d7e181b886bp-17, -0x1.15916b3a09d6p-17, -0x1.19423c432aab6p-17, -0x1.1cea5099a885dp-17, -0x1.2089a481546f4p-17, -0x1.242034853fd08p-17, -0x1.27adfd766aecdp-17, -0x1.2b32fc6bd856ap-17, -0x1.2eaf2ec1a50ddp-17, -0x1.32229218847d2p-17, -0x1.358d2455771fbp-17, -0x1.38eee3a0ecff9p-17, -0x1.3c47ce664eabcp-17, -0x1.3f97e353954fdp-17, -0x1.42df215885fcbp-17, -0x1.461d87a600653p-17, -0x1.495315ad2ee9p-17, -0x1.4c7fcb1fe3891p-17, -0x1.4fa3a7ef03f2dp-17, -0x1.52beac4a3376fp-17, -0x1.55d0d89f99d2ep-17, -0x1.58da2d9a7ca16p-17, -0x1.5bdaac22f240dp-17, -0x1.5ed2555dc5006p-17, -0x1.61c12aab20746p-17, -0x1.64a72da63c6f2p-17, -0x1.6784602449be4p-17, -0x1.6a58c43493507p-17, -0x1.6d245c1f53e3ap-17, -0x1.6fe72a64e9608p-17, -0x1.72a131bdc670fp-17, -0x1.75527518adfaap-17, -0x1.77faf79b6462p-17, -0x1.7a9abca1261aep-17, -0x1.7d31c7ba178b3p-17, -0x1.7fc01caad1c02p-17, -0x1.8245bf6b5c23dp-17, -0x1.84c2b426f89cp-17, -0x1.8736ff3b20216p-17, -0x1.89a2a536a4cfep-17, -0x1.8c05aad96e2acp-17, -0x1.8e601513dc067p-17, -0x1.90b1e9058f3eep-17, -0x1.92fb2bfd32f3ep-17, -0x1.953be3776211dp-17, -0x1.9774151e5c611p-17, -0x1.99a3c6c8e4da4p-17, -0x1.9bcafe7a6e52fp-17, -0x1.9de9c2618969p-17, -0x1.a00018d7b382dp-17, -0x1.a20e086005947p-17, -0x1.a41397a74e108p-17, -0x1.a610cd8332f82p-17, -0x1.a805b0f0e945dp-17, -0x1.a9f24915985e3p-17, -0x1.abd69d3c4c0a6p-17, -0x1.adb2b4d6afd1dp-17, -0x1.af86977b7fc71p-17, -0x1.b1524ce5fcbd8p-17, -0x1.b315dcf5bb491p-17, -0x1.b4d14fad3b74dp-17, -0x1.b684ad31c90e7p-17, -0x1.b82ffdca783dcp-17, -0x1.b9d349df86fdfp-17, -0x1.bb6e99fac651dp-17, -0x1.bd01f6c4c83f8p-17, -0x1.be8d690614388p-17, -0x1.c010f9a597e67p-17, -0x1.c18cb1a881b35p-17, -0x1.c3009a3179e7fp-17, -0x1.c46cbc80128ebp-17, -0x1.c5d121ef3f755p-17, -0x1.c72dd3f5f4b3ap-17, -0x1.c882dc257ef89p-17, -0x1.c9d0442a27d51p-17, -0x1.cb1615c8c727fp-17, -0x1.cc545adfd4ef9p-17, -0x1.cd8b1d669f87p-17, -0x1.ceba676ae2d5fp-17, -0x1.cfe24312ed64dp-17, -0x1.d102ba99fa7efp-17, -0x1.d21bd85276fb7p-17, -0x1.d32da6a3a9b83p-17, -0x1.d43830096fddep-17, -0x1.d53b7f13f4d17p-17, -0x1.d6379e671dc38p-17, -0x1.d72c98b977dfp-17, -0x1.d81a78d407493p-17, -0x1.d9014991d829dp-17, -0x1.d9e115df0b1dp-17, -0x1.dab9e8b894594p-17, -0x1.db8bcd2bb88a6p-17, -0x1.dc56ce54e10fp-17, -0x1.dd1af75fff692p-17, -0x1.ddd8538713a91p-17, -0x1.de8eee122f4f7p-17, -0x1.df3ed25731915p-17, -0x1.dfe80bb88d2c1p-17, -0x1.e08aa5a5aa655p-17, -0x1.e126ab98e5fdfp-17, -0x1.e1bc2919108acp-17, -0x1.e24b29b6bd95bp-17, -0x1.e2d3b90dcb9cp-17, -0x1.e355e2c37a107p-17, -0x1.e3d1b28666798p-17, -0x1.e447340e97f8cp-17, -0x1.e4b6731bca9f8p-17, -0x1.e51f7b7622231p-17, -0x1.e58258ed4a7b6p-17, -0x1.e5df1757b2737p-17, -0x1.e635c2929fd5dp-17, -0x1.e6866681500c6p-17, -0x1.e6d10f0c7389ap-17, -0x1.e715c8226bc19p-17, -0x1.e7549db5cd415p-17, -0x1.e78d9bbdea096p-17, -0x1.e7c0ce35dc8e6p-17, -0x1.e7ee411c3594p-17, -0x1.e81600729e8p-17, -0x1.e838183dcf43ep-17, -0x1.e854948428f4dp-17, -0x1.e86b814e5e693p-17, -0x1.e87ceaa65b326p-17, -0x1.e888dc97450d6p-17, -0x1.e88f632ca698cp-17, -0x1.e8908a72eb44ep-17, -0x1.e88c5e75b1dd5p-17, -0x1.e882eb410261fp-17, -0x1.e8743cdf1d6b4p-17, -0x1.e8605f5a40afbp-17, -0x1.e8475eba32ac8p-17, -0x1.e8294705a0d85p-17, -0x1.e8062440bd1dbp-17, -0x1.e7de026ce19f1p-17, -0x1.e7b0ed88f5982p-17, -0x1.e77ef19090dedp-17, -0x1.e7481a7b66025p-17, -0x1.e70c743e04d8dp-17, -0x1.e6cc0ac811a7bp-17, -0x1.e686ea058230cp-17, -0x1.e63d1ddd26ff5p-17, -0x1.e5eeb230d6a45p-17, -0x1.e59bb2dcfd4d5p-17, -0x1.e5442bb89e358p-17, -0x1.e4e828944626cp-17, -0x1.e487b53b3a1ep-17, -0x1.e422dd713e0a1p-17, -0x1.e3b9acf4399c9p-17, -0x1.e34c2f7aa4c4p-17, -0x1.e2da70b3c1517p-17, -0x1.e2647c4731c41p-17, -0x1.e1ea5dd542c8fp-17, -0x1.e16c20f5cc70dp-17, -0x1.e0e9d138e0918p-17, -0x1.e0637a25c47b9p-17, -0x1.dfd9273b5188fp-17, -0x1.df4ae3eee0699p-17, -0x1.deb8bbad524f3p-17, -0x1.de22b9d9860d7p-17, -0x1.dd88e9cd13735p-17, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      34, 0x1.2a3d70a3d70a4p+3, 0x1.d17451b49d06bp+0, 0x1.b3507f682a424p+2, -0x1.9e1cc8851dbd7p-13, 
      {{
        {0x1.eae147ae147aep+2, 0x1.ecccccccccccdp+2, 0x1.3695599ceeef1p-11, -0x1.78770177829fp-10, 0x1.563d9bdf003c4p-10, -0x1.12fd20736a991p-11}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.209aa74a817e7p-11, -0x1.644d39ae7c013p-10, 0x1.49ddbcf886f52p-10, -0x1.0b81974b06da1p-11}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.fd2dffb6b17cep-12, -0x1.4451751ca20ep-10, 0x1.35cd9e6c800b4p-10, -0x1.02ea0eb1e40bbp-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.bf596edd24ab4p-12, -0x1.264f0da50296p-10, 0x1.226276ebf5574p-10, -0x1.f52e45e147b8fp-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.87542b54d7348p-12, -0x1.0a35c60b1ddddp-10, 0x1.0f972119e90d6p-10, -0x1.e463a966341dp-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.54bdfc41adfc2p-12, -0x1.dfeb2294f45afp-11, 0x1.fad9fbe5c164bp-11, -0x1.d3a2e71dc5b83p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.2739e09ef81fep-12, -0x1.aefcaae61732ap-11, 0x1.d7c75dc385c3dp-11, -0x1.c2df81033ae09p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.fcdc1e7edde4ep-13, -0x1.817ff816120afp-11, 0x1.b5f69a7ce1598p-11, -0x1.b21ccffe91e63p-12}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.b407ed9a6bfc7p-13, -0x1.5754db5660885p-11, 0x1.9567a47cfcce2p-11, -0x1.a159ee746360ap-12}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.73507b93b6117p-13, -0x1.305b2657c13a6p-11, 0x1.761a7f67755adp-11, -0x1.909719ea85ac8p-12}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.3a15851cac145p-13, -0x1.0c72aaa8d9311p-11, 0x1.580f2a42ab53dp-11, -0x1.7fd441e4d7ea4p-12}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.07bd3696126ebp-13, -0x1.d6f673c2e11a7p-12, 0x1.3b45a55181895p-11, -0x1.6f116ace21325p-12}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.b768581f03e2ep-14, -0x1.9aa94b2db95c8p-12, 0x1.1fbdf0820bd85p-11, -0x1.5e4e93775e64cp-12}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.6adae28ecfc45p-14, -0x1.63bd7ebe35c6fp-12, 0x1.05780bd917f6cp-11, -0x1.4d8bbc31ce645p-12}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.28c503560bebdp-14, -0x1.31f2b19ff7043p-12, 0x1.d8e7eeaab75fbp-12, -0x1.3cc8e4e78e71ep-12}, 
        {0x1.0cccccccccccdp+3, 0x1.0e66666666666p+3, 0x1.e04d2159c931cp-15, -0x1.050886feb5bebp-12, 0x1.a96365ee62011p-12, -0x1.2c060d9eb1fbp-12}, 
        {0x1.0e66666666666p+3, 0x1.1p+3, 0x1.801880525def4p-15, -0x1.b97d440c48a52p-13, 0x1.7c627d7cfa82ep-12, -0x1.1b433655493dfp-12}, 
        {0x1.1p+3, 0x1.119999999999ap+3, 0x1.2f1f4d7cd208bp-15, -0x1.71a94bc3ed65dp-13, 0x1.51e5355695ec2p-12, -0x1.0a805f0c45dbfp-12}, 
        {0x1.119999999999ap+3, 0x1.1333333333333p+3, 0x1.d75ce2f6e69b3p-16, -0x1.32146b7bc119p-13, 0x1.29eb8d7b250a7p-12, -0x1.f37b0f853b29dp-13}, 
        {0x1.1333333333333p+3, 0x1.14ccccccccccdp+3, 0x1.68592757c27abp-16, -0x1.f47bd3165446ap-14, 0x1.047585eac09b7p-12, -0x1.d1f560f5a292ep-13}, 
        {0x1.14ccccccccccdp+3, 0x1.1666666666666p+3, 0x1.0e34344e1a2f3p-16, -0x1.934a1893271b3p-14, 0x1.c3063d4a426c6p-13, -0x1.b06fb258dd345p-13}, 
        {0x1.1666666666666p+3, 0x1.18p+3, 0x1.8c44a704e777p-17, -0x1.3f92341cac81bp-14, 0x1.8228af5687a61p-13, -0x1.8eea03ecf478dp-13}, 
        {0x1.18p+3, 0x1.199999999999ap+3, 0x1.1b169827f11fp-17, -0x1.f0a564c43e8f5p-15, 0x1.465261f2fc92fp-13, -0x1.6d6454caa949dp-13}, 
        {0x1.199999999999ap+3, 0x1.1b33333333333p+3, 0x1.88298a61d698p-18, -0x1.7914402173151p-15, 0x1.0f83553afcc73p-13, -0x1.4bdea850f82cp-13}, 
        {0x1.1b33333333333p+3, 0x1.1cccccccccccdp+3, 0x1.05b964716dfap-18, -0x1.166e13ba5d1abp-15, 0x1.bb771190e25p-14, -0x1.2a58f1ec1ee75p-13}, 
        {0x1.1cccccccccccdp+3, 0x1.1e66666666666p+3, 0x1.4dcb7915ef18p-19, -0x1.8d5ff18142cf2p-16, 0x1.61f5fc3072a3p-14, -0x1.08d36089df25p-13}, 
        {0x1.1e66666666666p+3, 0x1.2p+3, 0x1.92161a5544d81p-20, -0x1.0fae126bea088p-16, 0x1.12835f3a494dp-14, -0x1.ce9a8a1299deap-14}, 
        {0x1.2p+3, 0x1.219999999999ap+3, 0x1.c1ed628f348p-21, -0x1.5f81704e27c45p-17, 0x1.9a3ec83bcad51p-15, -0x1.8b9259fee3d0ep-14}, 
        {0x1.219999999999ap+3, 0x1.2333333333333p+3, 0x1.c810d5cb0fp-22, -0x1.a6489d24a9df6p-18, 0x1.2392e06f5347bp-15, -0x1.487b2270f6b36p-14}, 
        {0x1.2333333333333p+3, 0x1.24ccccccccccdp+3, 0x1.920fe586fe7ffp-23, -0x1.c8e27f4beb039p-19, 0x1.820f129adf5bap-16, -0x1.059c01e061e52p-14}, 
        {0x1.24ccccccccccdp+3, 0x1.2666666666666p+3, 0x1.1eb3446422p-24, -0x1.a5a5d77c622ebp-20, 0x1.ca2fbc8ee2d26p-17, -0x1.83d719a34120ep-15}, 
        {0x1.2666666666666p+3, 0x1.28p+3, 0x1.1cb8385e74001p-26, -0x1.285c50251258p-21, 0x1.c2f6f3f377886p-18, -0x1.0290a5832c48bp-15}, 
        {0x1.28p+3, 0x1.299999999999ap+3, 0x1.07bd3695p-29, -0x1.dd99c4b82b421p-24, 0x1.195f8ddf518bbp-19, -0x1.aa0c0996a08cdp-17}, 
        {0x1.299999999999ap+3, 0x1.2a3d70a3d70a4p+3, 0x1.c1ed610000001p-37, 0x1.b93c72ca8172p-29, 0x1.9bebb51bep-23, -0x1.85b4c6c49f726p-14}, 
      }}, 
      0x1.7f3f20d1ebbc9p-8, -0x1.bafaa0197de03p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.8bb882d574469p-2, -0x1.84f50e5c03c8bp-2, -0x1.79f6980472e53p-2, -0x1.6b158b6acdd88p-2, -0x1.58b92e42009c5p-2, -0x1.435030dc12978p-2, -0x1.2b4b5e500f02cp-2, -0x1.1119dcd22868bp-2, -0x1.ea4d25d4ba4b9p-3, -0x1.afacbca7b6a52p-3, -0x1.730dd22673404p-3, -0x1.351bfa4c364ep-3, -0x1.ece4eb8e29a54p-4, -0x1.6f3861770993bp-4, -0x1.e450ac223fe0cp-5, -0x1.da31464795b22p-6, 0x1.706d308fabfp-11, 0x1.e5fc5c433303cp-6, 0x1.d98ddd94f4a8fp-5, 0x1.5c47691602d82p-4, 0x1.c7a3ec8e56f7p-4, 0x1.17491a20c1656p-3, 0x1.486c2dc50a556p-3, 0x1.7725852a000ccp-3, 0x1.a365e1cc0341ap-3, 0x1.cd23aa7c9631cp-3, 0x1.f45a361e99c0ep-3, 0x1.0c8493912514ap-2, 0x1.1d99ebfb680a3p-2, 0x1.2d706b8d7c8fdp-2, 0x1.3c0cb8ce87593p-2, 0x1.4974a551819c4p-2, 0x1.55aeff4db7575p-2, 0x1.60c3684449f77p-2, 0x1.6aba3026609acp-2, 0x1.739c346d597aep-2, 0x1.7b72c2c192c1bp-2, 0x1.82477ed482a61p-2, 0x1.88244b30d0d2p-2, 0x1.8d1334c8d114p-2, 0x1.911e610a2b9fap-2, 0x1.944ffe340c334p-2, 0x1.96b235b525c63p-2, 0x1.984f204e097fdp-2, 0x1.9930bbc1b9b8cp-2, 0x1.9960e1e8bc08dp-2, 0x1.98e940fc31886p-2, 0x1.97d354fa8a873p-2, 0x1.9628620a6133fp-2, 0x1.93f16fc41cfc1p-2, 0x1.9137454d32ec1p-2, 0x1.8e02663265c9cp-2, 0x1.8a5b0ff0746c6p-2, 0x1.86493818240eep-2, 0x1.81d48b001f95bp-2, 0x1.7d046afa72f23p-2, 0x1.77dfeff19581ep-2, 0x1.726de7751e695p-2, 0x1.6cb4d51cc452bp-2, 0x1.66baf32a3a1p-2, 0x1.60863394d2741p-2, 0x1.5a1c41179835fp-2, 0x1.538280b23a5f4p-2, 0x1.4cbe131bf9a4p-2, 0x1.45d3d67f12679p-2, 0x1.3ec8684affb84p-2, 0x1.37a027037bfbap-2, 0x1.305f345d8a695p-2, 0x1.2909771591de1p-2, 0x1.21a29d3180cdp-2, 0x1.1a2e1de53f8fdp-2, 0x1.12af3bd1cf2a7p-2, 0x1.0b290705fa6fdp-2, 0x1.039e5f104eb44p-2, 0x1.f823ea653afa5p-3, 0x1.e90c9c4c34444p-3, 0x1.d9fb88f8a959cp-3, 0x1.caf5144714077p-3, 0x1.bbfd5579785e2p-3, 0x1.ad181a47d29f6p-3, 0x1.9e48eac08dfd6p-3, 0x1.8f930cf8d806fp-3, 0x1.80f987b18b9a9p-3, 0x1.727f26b57d949p-3, 0x1.64267cb0a8c0bp-3, 0x1.55f1e7552721ap-3, 0x1.47e391725917p-3, 0x1.39fd76049fd94p-3, 0x1.2c4162f130c77p-3, 0x1.1eb0fb1cc1686p-3, 0x1.114db93bf69dcp-3, 0x1.0418f1b3885dap-3, 0x1.ee27a9d09209fp-4, 0x1.d47ee25ea7ec5p-4, 0x1.bb39695882721p-4, 0x1.a258de5e87fcap-4, 0x1.89dea7b83b353p-4, 0x1.71cbf5adb549fp-4, 0x1.5a21c59704c2bp-4, 0x1.42e0e4e96d6f9p-4, 0x1.2c09f3fd0a1ecp-4, 0x1.159d68e46e10dp-4, 0x1.ff3723f71e81fp-5, 0x1.d40930e5e8bc1p-5, 0x1.a9b10586eb2bfp-5, 0x1.802e6df819d26p-5, 0x1.5780f9fa8b467p-5, 0x1.2fa801351ce2bp-5, 0x1.08a2a75f57cacp-5, 0x1.c4dfbffcc6ffap-6, 0x1.7a1ce4887e2c5p-6, 0x1.30f9f8ff89431p-6, 0x1.d2e7ddaa3168dp-7, 0x1.470ee592b8ef6p-7, 0x1.7cc3cb654d2c3p-8, 0x1.c6ca38580399dp-10, -0x1.264bd3b878795p-9, -0x1.91d65606af6d7p-8, -0x1.45380d21b04fdp-7, -0x1.be82997865b67p-7, -0x1.1a6a092132941p-6, -0x1.541afb5b9db35p-6, -0x1.8c58fddb34ccbp-6, -0x1.c329026fd0b77p-6, -0x1.f8900f83a23ccp-6, -0x1.16499e7455ba2p-5, -0x1.2f9bd8ada319ep-5, -0x1.48414fce65c78p-5, -0x1.603ca2211fe9ep-5, -0x1.779071f7f1339p-5, -0x1.8e3f63e5e5051p-5, -0x1.a44c1ea175f85p-5, -0x1.b9b94964b972ep-5, -0x1.ce898b63fec1cp-5, -0x1.e2bf8aca69862p-5, -0x1.f65dec0b09051p-5, -0x1.04b3a89b3401ep-4, -0x1.0def2c8c4b6ddp-4, -0x1.16e2cf67acfc8p-4, -0x1.1f8fdc62a830ep-4, -0x1.27f79c7771e0ap-4, -0x1.301b55be24336p-4, -0x1.37fc4b5c7d615p-4, -0x1.3f9bbd3ebe616p-4, -0x1.46fae8194c5f9p-4, -0x1.4e1b04ea97408p-4, -0x1.54fd48fd3afd6p-4, -0x1.5ba2e5cfbdf32p-4, -0x1.620d08d148e72p-4, -0x1.683cdb63c04b5p-4, -0x1.6e3382a0127p-4, -0x1.73f21f612eb38p-4, -0x1.7979ce25f249dp-4, -0x1.7ecba6fe05de1p-4, -0x1.83e8bd7247682p-4, -0x1.88d22096640fdp-4, -0x1.8d88daf55ccap-4, -0x1.920df28913637p-4, -0x1.966268b338f82p-4, -0x1.9a873a479a23fp-4, -0x1.9e7d5f95301f9p-4, -0x1.a245cc66869c5p-4, -0x1.a5e16ff1d9af1p-4, -0x1.a95134edc80d7p-4, -0x1.ac9601aa87de1p-4, -0x1.afb0b81ece88dp-4, -0x1.b2a235dded328p-4, -0x1.b56b5418c5451p-4, -0x1.b80ce7cacb518p-4, -0x1.ba87c1c199b81p-4, -0x1.bcdcaee2dcb58p-4, -0x1.bf0c77d60b653p-4, -0x1.c117e10b71322p-4, -0x1.c2ffab6bd8be5p-4, -0x1.c4c4940d8f4b3p-4, -0x1.c6675424556e2p-4, -0x1.c7e8a1335657cp-4, -0x1.c9492d27b1ee6p-4, -0x1.ca89a651a9e64p-4, -0x1.cbaab7ef2b9a8p-4, -0x1.ccad09c0b863ap-4, -0x1.cd914005e7e85p-4, -0x1.ce57fbee9bb98p-4, -0x1.cf01db7ba7864p-4, -0x1.cf8f79f368031p-4, -0x1.d0016fb51d452p-4, -0x1.d05851bed9c26p-4, -0x1.d094b283118dfp-4, -0x1.d0b721ba8343fp-4, -0x1.d0c02cb8f1718p-4, -0x1.d0b05e5abd271p-4, -0x1.d0883e89cb54p-4, -0x1.d04852f610978p-4, -0x1.cff11ed773acdp-4, -0x1.cf832377a04ebp-4, -0x1.cefee003c96f3p-4, -0x1.ce64d16fb059fp-4, -0x1.cdb5722a94c27p-4, -0x1.ccf13af6632dbp-4, -0x1.cc18a2978f2d7p-4, -0x1.cb2c1e3f1a5cbp-4, -0x1.ca2c2148752bbp-4, -0x1.c9191d11f2927p-4, -0x1.c7f38125c7907p-4, -0x1.c6bbbb400e7d6p-4, -0x1.c572380a3cc2ap-4, -0x1.c4176285dd1c5p-4, -0x1.c2aba44118d3p-4, -0x1.c12f6517ae6bep-4, -0x1.bfa30b51cc8dp-4, -0x1.be06fbdf7365ap-4, -0x1.bc5b9a9353e81p-4, -0x1.baa149ff5876p-4, -0x1.b8d86b98b37f2p-4, -0x1.b7015f35dcd9p-4, -0x1.b51c8369d42b5p-4, -0x1.b32a3596dacfp-4, -0x1.b12ad220a5233p-4, -0x1.af1eb475703dp-4, -0x1.ad0636f245b31p-4, -0x1.aae1b2bd87df8p-4, -0x1.a8b17fd65bcd4p-4, -0x1.a675f50d30f3p-4, -0x1.a42f68519ee7dp-4, -0x1.a1de2eb957f4fp-4, -0x1.9f829c7a66dc7p-4, -0x1.9d1d04cc37ceep-4, -0x1.9aadb9d275105p-4, -0x1.98350ca291408p-4, -0x1.95b34d60f90afp-4, -0x1.9328cb5f4528ap-4, -0x1.9095d52840a8p-4, -0x1.8dfab872ee1d1p-4, -0x1.8b57c2134c254p-4, -0x1.88ad3dd00c3aap-4, -0x1.85fb7685a2c3bp-4, -0x1.8342b62ad5c9bp-4, -0x1.808345ebfccd3p-4, -0x1.7dbd6e33aaf93p-4, -0x1.7af176a2349c8p-4, -0x1.781fa5fab29eap-4, -0x1.7548421675492p-4, -0x1.726b8fdedea89p-4, -0x1.6f89d35cf2d3fp-4, -0x1.6ca34fd294d48p-4, -0x1.69b847aa54586p-4, -0x1.66c8fc9e44192p-4, -0x1.63d5af88360e8p-4, -0x1.60dea06853c11p-4, -0x1.5de40e561d904p-4, -0x1.5ae6378448f5fp-4, -0x1.57e5594be0866p-4, -0x1.54e1b037ad1ebp-4, -0x1.51db78090c627p-4, -0x1.4ed2ebb4d4afap-4, -0x1.4bc8455932cd1p-4, -0x1.48bbbe3400a0fp-4, -0x1.45ad8e9caf3a6p-4, -0x1.429dee0d5f24cp-4, -0x1.3f8d13177fd7ap-4, -0x1.3c7b338a79412p-4, -0x1.39688455ce083p-4, -0x1.3655399e6f492p-4, -0x1.334186af25179p-4, -0x1.302d9df2dadfp-4, -0x1.2d19b0f0746b5p-4, -0x1.2a05f04abb431p-4, -0x1.26f28bc497decp-4, -0x1.23dfb246a89b7p-4, -0x1.20cd91e2b9149p-4, -0x1.1dbc57d4be695p-4, -0x1.1aac307ffbee1p-4, -0x1.179d476a8eac4p-4, -0x1.148fc738981fdp-4, -0x1.1183d9ac83e1bp-4, -0x1.0e79a7a4ea2bp-4, -0x1.0b7159273aaacp-4, -0x1.086b15578046ap-4, -0x1.05670286850c6p-4, -0x1.0265462ce016p-4, -0x1.fecc09d456ceap-5, -0x1.f8d2c50847422p-5, -0x1.f2df03bf2b891p-5, -0x1.ecf10a0fb7bd5p-5, -0x1.e7091a533296ap-5, -0x1.e127753039c2bp-5, -0x1.db4c59a03b49bp-5, -0x1.d57804f44e826p-5, -0x1.cfaab2d7db21p-5, -0x1.c9e49d5167bf7p-5, -0x1.c425fcc178a63p-5, -0x1.be6f07e1077e1p-5, -0x1.b8bff3c093b4fp-5, -0x1.b318f3cfb526dp-5, -0x1.ad7a39d68bb5ap-5, -0x1.a7e3f60b4907cp-5, -0x1.a2565704eb209p-5, -0x1.9cd189cf5ee35p-5, -0x1.9755b9e7662c3p-5, -0x1.91e3113e35ddep-5, -0x1.8c79b83b172afp-5, -0x1.8719d5bcaba21p-5, -0x1.81c38f1b2dda2p-5, -0x1.7c77082c47171p-5, -0x1.773463482c258p-5, -0x1.71fbc14f29659p-5, -0x1.6ccd41af08d58p-5, -0x1.67a902681c47dp-5, -0x1.628f2011dcfd5p-5, -0x1.5d7fb5defaa3bp-5, -0x1.587adda0c76dp-5, -0x1.5380afca59354p-5, -0x1.4e914373fe65ep-5, -0x1.49acae5f4f6a6p-5, -0x1.44d304fd222c6p-5, -0x1.40045a7436fb5p-5, -0x1.3b40c0a4f535ep-5, -0x1.3688482e1139cp-5, -0x1.31db0074cd35ep-5, -0x1.2d38f7a914799p-5, -0x1.28a23ac96e4d3p-5, -0x1.2416d5a7a279bp-5, -0x1.1f96d2edb07e4p-5, -0x1.1b223c229638fp-5, -0x1.16b919afdc4b1p-5, -0x1.125b72e74a3fdp-5, -0x1.0e094e087ff6p-5, -0x1.09c2b0460c262p-5, -0x1.05879dca0ba2cp-5, -0x1.015819bae2a1ep-5, -0x1.fa684c80ef019p-6, -0x1.f237891481fabp-6, -0x1.ea1de9ac37dc1p-6, -0x1.e21b6cee1ec4bp-6, -0x1.da300fb823a29p-6, -0x1.d25bcd2ab5787p-6, -0x1.ca9e9eb0363f3p-6, -0x1.c2f87c01352b6p-6, -0x1.bb695b26e25dap-6, -0x1.b3f1308275eabp-6, -0x1.ac8feed2d04dbp-6, -0x1.a54587474a71ep-6, -0x1.9e11e9926f377p-6, -0x1.96f5040ae3ff3p-6, -0x1.8feec3bdc4985p-6, -0x1.88ff147ca6a66p-6, -0x1.8225e0deef9f4p-6, -0x1.7b631236c0eefp-6, -0x1.74b6907f3a5e4p-6, -0x1.6e20424d8c58fp-6, -0x1.67a00ccf3be6ap-6, -0x1.6135d3dcc65f4p-6, -0x1.5ae17a22eacddp-6, -0x1.54a2e15a06344p-6, -0x1.4e79ea7fe2cb6p-6, -0x1.486676007bb26p-6, -0x1.426863bfdeb05p-6, -0x1.3c7f92fbc7885p-6, -0x1.36abe21302d3bp-6, -0x1.30ed2e33706b7p-6, -0x1.2b43532011acep-6, -0x1.25ae2b16d1b47p-6, -0x1.202d8ef4b61d6p-6, -0x1.1ac15691bda5dp-6, -0x1.15695949b9434p-6, -0x1.10256e8c07f3ap-6, -0x1.0af56e48bf931p-6, -0x1.05d931154f9adp-6, -0x1.00d08ff1f111fp-6, -0x1.f7b6c76dc68b3p-7, -0x1.edf30897f462ap-7, -0x1.e4558fcc087b2p-7, -0x1.dade04fff69c8p-7, -0x1.d18c0b9429473p-7, -0x1.c85f43465b14bp-7, -0x1.bf574a17a7c4bp-7, -0x1.b673bebb2138bp-7, -0x1.adb442ee69c0cp-7, -0x1.a5187d11112d4p-7, -0x1.9ca01873acb68p-7, -0x1.944ac4272a45p-7, -0x1.8c18307d4cbf1p-7, -0x1.84080bd12a5p-7, -0x1.7c19ff70a858p-7, -0x1.744dad868822ep-7, -0x1.6ca2b0af19c38p-7, -0x1.65189d74e6efcp-7, -0x1.5daf05765558dp-7, -0x1.56657b7f78624p-7, -0x1.4f3b979a8ff09p-7, -0x1.4830fa063ebdap-7, -0x1.41454c3798ce1p-7, -0x1.3a783f803afdfp-7, -0x1.33c9898c0ff63p-7, -0x1.2d38df8790783p-7, -0x1.26c5f12be9b96p-7, -0x1.2070650584579p-7, -0x1.1a37d6fe20a3ap-7, -0x1.141bd99e20932p-7, -0x1.0e1bf9c6cd02bp-7, -0x1.0837c4061b161p-7, -0x1.026eca44ed702p-7, -0x1.f98150f8f106ap-8, -0x1.ee5a0e898391ep-8, -0x1.e36736ea7b09ap-8, -0x1.d8a84580ce524p-8, -0x1.ce1cbbd680a6ap-8, -0x1.c3c413e826258p-8, -0x1.b99db3ce680b7p-8, -0x1.afa8e623678c8p-8, -0x1.a5e4d9590120fp-8, -0x1.9c50a64ebb9cfp-8, -0x1.92eb5c7eae4c9p-8, -0x1.89b410bbcab24p-8, -0x1.80a9eb20bcd54p-8, -0x1.77cc3152b3ec6p-8, -0x1.6f1a4b33e8bbdp-8, -0x1.6693c11ec2c46p-8, -0x1.5e3833a837599p-8, -0x1.56074de2b35bbp-8, -0x1.4e00b44eb4ddp-8, -0x1.4623f3ed7b585p-8, -0x1.3e7075aa18b3p-8, -0x1.36e579d782609p-8, -0x1.2f821d81d1c28p-8, -0x1.2845684cfd51p-8, -0x1.212e5edfb8166p-8, -0x1.1a3c14c43fcb4p-8, -0x1.136db9c4c1a3ap-8, -0x1.0cc2a13f9fd0dp-8, -0x1.063a441f93309p-8, -0x1.ffa87d8c5015dp-9, -0x1.f32096a5347fcp-9, -0x1.e6dc6f18c3a6fp-9, -0x1.dadbabb85d7a5p-9, -0x1.cf1dd57177e99p-9, -0x1.c3a2358aa365cp-9, -0x1.b867bf188a4bap-9, -0x1.ad6d0f0dd1f38p-9, -0x1.a2b083aaddd59p-9, -0x1.98306197444c9p-9, -0x1.8deaf7265e174p-9, -0x1.83deb126a9589p-9, -0x1.7a0a1ef995ad1p-9, -0x1.706beeb87d349p-9, -0x1.6702ee06661dep-9, -0x1.5dce15ee197a3p-9, -0x1.54cc9c47531dap-9, -0x1.4bfdfc60bde48p-9, -0x1.4361e9f9b3567p-9, -0x1.3af82d189013dp-9, -0x1.32c073e52cfc2p-9, -0x1.2aba2f7fb5777p-9, -0x1.22e48c077a9efp-9, -0x1.1b3e854855e81p-9, -0x1.13c70994c3adap-9, -0x1.0c7d149f45658p-9, -0x1.055fb1459a778p-9, -0x1.fcdbc3169c712p-10, -0x1.ef4cfd9e9436ep-10, -0x1.e2105a1306d48p-10, -0x1.d522e48e2140ap-10, -0x1.c881d85b1b486p-10, -0x1.bc2b0fc5c5bfep-10, -0x1.b01d38ef22f82p-10, -0x1.a457b0d739645p-10, -0x1.98da1b6f7c52p-10, -0x1.8da3f5dcafcdep-10, -0x1.82b45cf3f49a2p-10, -0x1.780a1b0357ed9p-10, -0x1.6da3e58b035d3p-10, -0x1.63809fcf7734dp-10, -0x1.599f7a04999a7p-10, -0x1.4fffd3c8a583ap-10, -0x1.46a0e4235cd9ap-10, -0x1.3d814f680e67bp-10, -0x1.349eedea11c8cp-10, -0x1.2bf6f5bb43255p-10, -0x1.23867eb7453bcp-10, -0x1.1b4b1d745c682p-10, -0x1.134344120989p-10, -0x1.0b6e3cd84d0c8p-10, -0x1.03cbcdbc533e8p-10, -0x1.f8b7840c1564cp-11, -0x1.ea3b36dd58fe2p-11, -0x1.dc2106f00aa56p-11, -0x1.ce66d1d12b4ap-11, -0x1.c10a57c7b5047p-11, -0x1.b4098f7720a03p-11, -0x1.a762d850aaa9p-11, -0x1.9b14e99e05dfp-11, -0x1.8f1e763a9335cp-11, -0x1.837daccdf65cbp-11, -0x1.782fde2bbd431p-11, -0x1.6d318ee4782a7p-11, -0x1.627ef9eb2e8cap-11, -0x1.5814b3c651c6bp-11, -0x1.4df013e375f5ep-11, -0x1.440f5672e902ap-11, -0x1.3a71947086dbcp-11, -0x1.3116974ee1d12p-11, -0x1.27fe87151f6e9p-11, -0x1.1f2983be48d85p-11, -0x1.1697473588f71p-11, -0x1.0e46fc661b0ap-11, -0x1.0637551557c77p-11, -0x1.fccd2d9f2a90cp-12, -0x1.eda4e5ebcb06p-12, -0x1.def000a534c56p-12, -0x1.d0a8547718601p-12, -0x1.c2c89a34310ddp-12, -0x1.b54cf4bf8366bp-12, -0x1.a832a319826bbp-12, -0x1.9b777f479341bp-12, -0x1.8f197b0c32ab1p-12, -0x1.8315d41caf80bp-12, -0x1.7768a9f0d2de3p-12, -0x1.6c0e24c27ca33p-12, -0x1.610469d658c34p-12, -0x1.564c0c66c028cp-12, -0x1.4be660def31f7p-12, -0x1.41d3a54973745p-12, -0x1.38131b130c5a9p-12, -0x1.2ea48b62fc9ecp-12, -0x1.25887144b8ab2p-12, -0x1.1cbdf7545e284p-12, -0x1.14415dcca5bdp-12, -0x1.0c0cc5c857303p-12, -0x1.041a60db58786p-12, -0x1.f8cc148b38da7p-13, -0x1.e9dacb1f8e0d2p-13, -0x1.db5dd8e73b3efp-13, -0x1.cd52244076867p-13, -0x1.bfb467f68eea5p-13, -0x1.b280f61c96f8cp-13, -0x1.a5b1ed801c41cp-13, -0x1.9940335e2a433p-13, -0x1.8d2975a04be64p-13, -0x1.81725a19bcc28p-13, -0x1.761f1a1cdf5f3p-13, -0x1.6b2c68f48733dp-13, -0x1.6093403ddd23dp-13, -0x1.5651edb826ae5p-13, -0x1.4c6cbfa0099e1p-13, -0x1.42e65626724f2p-13, -0x1.39bb22da55c93p-13, -0x1.30e39890a126p-13, -0x1.28580e75d2bbbp-13, -0x1.2013226ef35a9p-13, -0x1.18129de553f6fp-13, -0x1.10571d6b2a17ap-13, -0x1.08e238daf31a2p-13, -0x1.01b3bfe2cc3a7p-13, -0x1.f590ccd49906fp-14, -0x1.e83620dee9c47p-14, -0x1.db4a9871de22cp-14, -0x1.cebcec0cf395cp-14, -0x1.c282984171b7ep-14, -0x1.b6a6977f318efp-14, -0x1.ab3a484bdc148p-14, -0x1.a03af5ffc41dap-14, -0x1.95980e00cd68p-14, -0x1.8b4c0e77a0465p-14, -0x1.815d9d6b82279p-14, -0x1.77d028570e012p-14, -0x1.6ea04ea475dc1p-14, -0x1.65c7ea0b7fc8cp-14, -0x1.5d3feda0840b1p-14, -0x1.55014c0f26eb2p-14, -0x1.4d06465a87cd9p-14, -0x1.454b871dff2p-14, -0x1.3dd0999cad5e3p-14, -0x1.369769f6ce54dp-14, -0x1.2fa25a7f923c2p-14, -0x1.28f19e42f7d41p-14, -0x1.22832120b9fc4p-14, -0x1.1c559c12cd166p-14, -0x1.16662773439cp-14, -0x1.10a91abeee935p-14, -0x1.0b143ed2a4618p-14, -0x1.05ab4d72a2fb9p-14, -0x1.006f77dcfc692p-14, -0x1.f6b357db47ce7p-15, -0x1.ecd9da354fb42p-15, -0x1.e3612fad7d7c2p-15, -0x1.da4201317248dp-15, -0x1.d16eeef26d37cp-15, -0x1.c8e663a5ae40ep-15, -0x1.c0ab129976336p-15, -0x1.b8b9d951195e8p-15, -0x1.b10b16bb5392p-15, -0x1.a997e4cc98856p-15, -0x1.a25bff0af98b7p-15, -0x1.9b55206450da3p-15, -0x1.948240d27b51cp-15, -0x1.8de35e7351e3ep-15, -0x1.8778b0552e85bp-15, -0x1.81405fafe45d7p-15, -0x1.7b369d03bcab9p-15, -0x1.755ccdebab3fep-15, }}, 
      {{-0x1.8d3dc8dbdfc63p-2, -0x1.8af6fca3149ccp-2, -0x1.873ac70d9fb8dp-2, -0x1.821c8b42348f9p-2, -0x1.7bb3a8b2c26edp-2, -0x1.7419fc52fd5f7p-2, -0x1.6b6abd317b284p-2, -0x1.61c1a06de8b18p-2, -0x1.573a35e52b157p-2, -0x1.4bef711accf4bp-2, -0x1.3ffb52f3f8438p-2, -0x1.3376ac1bf6658p-2, -0x1.2678f2912ea47p-2, -0x1.19182708b589fp-2, -0x1.0b68c6d6d5d45p-2, -0x1.fafb8fa3e776ap-3, -0x1.ded13759ac204p-3, -0x1.c272726ad3ae4p-3, -0x1.a5fc532975bb9p-3, -0x1.89893100b3ed9p-3, -0x1.6d30cd5570635p-3, -0x1.510879f91806cp-3, -0x1.352340d177904p-3, -0x1.19920c8562cdfp-3, -0x1.fcc79e852289dp-4, -0x1.c74b52818c2cap-4, -0x1.92c61a1924df3p-4, -0x1.5f4bc5612c115p-4, -0x1.2ced505a0a4ccp-4, -0x1.f77241ef56c64p-5, -0x1.97767fd7eb48ep-5, -0x1.39fb1d9c5973p-5, -0x1.be1fe4a5df5fcp-6, -0x1.0d828ce23cbcfp-6, -0x1.88c143d70236ap-8, 0x1.0f2a1e2a920adp-8, 0x1.c8cdf23fb78ddp-7, 0x1.7fa2bd9aa0749p-6, 0x1.0abfe7c726fd7p-5, 0x1.5301fc356f7acp-5, 0x1.989c343719db4p-5, 0x1.db94a9f52a158p-5, 0x1.0df9671335169p-4, 0x1.2cdf9f5e04d1ap-4, 0x1.4a81d0a63e29ep-4, 0x1.66e54094e8c08p-4, 0x1.820f97ef07ef9p-4, 0x1.9c06d439da20bp-4, 0x1.b4d13a9fb4d5bp-4, 0x1.cc754bfbd477ap-4, 0x1.e2f9b9f79e17ep-4, 0x1.f8655d25239cep-4, 0x1.065f9602820e4p-3, 0x1.1007197436a21p-3, 0x1.192cc644ce28cp-3, 0x1.21d42db3b8fe2p-3, 0x1.2a00e1ea66a51p-3, 0x1.31b6735a1eea8p-3, 0x1.38f86e3e82b45p-3, 0x1.3fca58913177fp-3, 0x1.462fb0225e7ep-3, 0x1.4c2be8dde97bep-3, 0x1.51c26b5d9ded7p-3, 0x1.56f693a312f6fp-3, 0x1.5bcbaffa194e6p-3, 0x1.6045000378b8bp-3, 0x1.6465b3e600afdp-3, 0x1.6830eba0a43d4p-3, 0x1.6ba9b67c3a26dp-3, 0x1.6ed3129896cbfp-3, 0x1.71afec93bf866p-3, 0x1.74431f4714813p-3, 0x1.768f73996e6b1p-3, 0x1.7897a062632bcp-3, 0x1.7a5e4a5e50d93p-3, 0x1.7be6042eea74bp-3, 0x1.7d314e6ca2a82p-3, 0x1.7e4297be2a8acp-3, 0x1.7f1c3d01ac0f8p-3, 0x1.7fc089788cb99p-3, 0x1.8031b70311de7p-3, 0x1.8071ee5bf5f3dp-3, 0x1.8083475f00227p-3, 0x1.8067c9526535cp-3, 0x1.80216b32368d3p-3, 0x1.7fb2140170181p-3, 0x1.7f1b9b18d6017p-3, 0x1.7e5fc87ba7fp-3, 0x1.7d805528dafcep-3, 0x1.7c7eeb7722ea9p-3, 0x1.7b5d2768e765ap-3, 0x1.7a1c9708d7552p-3, 0x1.78bebac10130bp-3, 0x1.774505b7656fbp-3, 0x1.75b0de23cb2dp-3, 0x1.74039daab9918p-3, 0x1.723e91b7a9927p-3, 0x1.7062fbd404c59p-3, 0x1.6e7211fd1d344p-3, 0x1.6c6cfef95050dp-3, 0x1.6a54e2a7ad301p-3, 0x1.682ad256acfe6p-3, 0x1.65efd90dbb84fp-3, 0x1.63a4f7dfcc926p-3, 0x1.614b26364e047p-3, 0x1.5ee3521c96b96p-3, 0x1.5c6e608bb805ap-3, 0x1.59ed2dadd3679p-3, 0x1.57608d2cb55ap-3, 0x1.54c94a709683bp-3, 0x1.522828e80b36fp-3, 0x1.4f7de44930c11p-3, 0x1.4ccb30d2bf74bp-3, 0x1.4a10bb8b35669p-3, 0x1.474f2a802d254p-3, 0x1.44871cfd4f8e6p-3, 0x1.41b92bcefdfcap-3, 0x1.3ee5e9730b239p-3, 0x1.3c0de254cb836p-3, 0x1.39319d00fcc95p-3, 0x1.36519a59fb798p-3, 0x1.336e55ca64db7p-3, 0x1.30884575d1984p-3, 0x1.2d9fda69f039cp-3, 0x1.2ab580c7c31e1p-3, 0x1.27c99ff84f83ep-3, 0x1.24dc9ad082d21p-3, 0x1.21eecfbf11605p-3, 0x1.1f0098f4a7412p-3, 0x1.1c124c8a73b75p-3, 0x1.19243caa43213p-3, 0x1.1636b7b1741dcp-3, 0x1.134a085652a9bp-3, 0x1.105e75caaf25fp-3, 0x1.0d7443ddf9584p-3, 0x1.0a8bb31d135c8p-3, 0x1.07a500efcf53fp-3, 0x1.04c067bf48b76p-3, 0x1.01de1f0865094p-3, 0x1.fdfcb703a3592p-4, 0x1.f8429e61b8f8p-4, 0x1.f28e53116eb51p-4, 0x1.ece02f020f6e5p-4, 0x1.e73887637887cp-4, 0x1.e197accdfe2f2p-4, 0x1.dbfdeb79a9b7cp-4, 0x1.d66b8b651b42dp-4, 0x1.d0e0d080e82d8p-4, 0x1.cb5dfae0479c5p-4, 0x1.c5e346d3c6ce3p-4, 0x1.c070ed1bfe625p-4, 0x1.bb0723124b798p-4, 0x1.b5a61ac08c0d8p-4, 0x1.b04e030bbd9d6p-4, 0x1.aaff07d574929p-4, 0x1.a5b9521937a29p-4, 0x1.a07d080e2a38cp-4, 0x1.9b4a4d445b87p-4, 0x1.962142c1e4556p-4, 0x1.9102071e3a034p-4, 0x1.8becb69d2f8dcp-4, 0x1.86e16b476666p-4, 0x1.81e03d055bc84p-4, 0x1.7ce941b43da1p-4, 0x1.77fc8d3de3c2dp-4, 0x1.731a31b19500bp-4, 0x1.6e423f52652dbp-4, 0x1.6974c4af39ef5p-4, 0x1.64b1cebde681p-4, 0x1.5ff968de638c3p-4, 0x1.5b4b9cf9cd3b6p-4, 0x1.56a8738dc69aep-4, 0x1.520ff3bf7c4c8p-4, 0x1.4d8223693d51fp-4, 0x1.48ff072ba61adp-4, 0x1.4486a27d84022p-4, 0x1.4018f7b5bd382p-4, 0x1.3bb60819eabf2p-4, 0x1.375dd3ef72963p-4, 0x1.33105a81eb183p-4, 0x1.2ecd9a31a08ffp-4, 0x1.2a95907ec34b4p-4, 0x1.26683a0f59ae1p-4, 0x1.224592c2ab92ep-4, 0x1.1e2d95b3967dbp-4, 0x1.1a203d4069468p-4, 0x1.161d8321e3ad3p-4, 0x1.122560596e8cp-4, 0x1.0e37cd5232d4dp-4, 0x1.0a54c1e31e6d1p-4, 0x1.067c3549603abp-4, 0x1.02ae1e44a35dp-4, 0x1.fdd4e60ab734dp-5, 0x1.f66252928b78fp-5, 0x1.ef046cacde3ccp-5, 0x1.e7bb1e0939fb2p-5, 0x1.e0864f7bec213p-5, 0x1.d965e925b48a8p-5, 0x1.d259d2481ef31p-5, 0x1.cb61f189def7ep-5, 0x1.c47e2cdf0c5c3p-5, 0x1.bdae699b5a5f8p-5, 0x1.b6f28c77c4db4p-5, 0x1.b04a799368a4bp-5, 0x1.a9b6149bde631p-5, 0x1.a3354097a4e08p-5, 0x1.9cc7e0319d5a4p-5, 0x1.966dd5920c49ep-5, 0x1.90270273c85cep-5, 0x1.89f34828323aap-5, 0x1.83d2879f03b13p-5, 0x1.7dc4a167fc9b7p-5, 0x1.77c975cfb8351p-5, 0x1.71e0e4a4d4364p-5, 0x1.6c0acd92d4408p-5, 0x1.66470fea6046p-5, 0x1.60958ab4b2336p-5, 0x1.5af61cbfce2dcp-5, 0x1.5568a49e1f5a5p-5, 0x1.4fed00a9e3f5ep-5, 0x1.4a830f0b8e96cp-5, 0x1.452aadae33a6dp-5, 0x1.3fe3ba6032402p-5, 0x1.3aae12bd4de5cp-5, 0x1.3589943deddebp-5, 0x1.30761c36d6231p-5, 0x1.2b7387dc75316p-5, 0x1.2681b4452ab58p-5, 0x1.21a07e6c0d343p-5, 0x1.1ccfc333b286bp-5, 0x1.180f5f6a72ebfp-5, 0x1.135f2fccddc76p-5, 0x1.0ebf11071b955p-5, 0x1.0a2edfae6ec07p-5, 0x1.05ae785b97627p-5, 0x1.013db79090963p-5, 0x1.f9b8f394d5225p-6, 0x1.f115370230a57p-6, 0x1.e88ff2526d273p-6, 0x1.e028de6b103aep-6, 0x1.d7dfb4307a03ep-6, 0x1.cfb42c88d13a9p-6, 0x1.c7a6005ff009ep-6, 0x1.bfb4e8b15aed8p-6, 0x1.b7e09e7724f14p-6, 0x1.b028dad38e39bp-6, 0x1.a88d56e3eb518p-6, 0x1.a10dcbf70a6efp-6, 0x1.99a9f35f6da66p-6, 0x1.9261869466d43p-6, 0x1.8b343f2cfefa4p-6, 0x1.8421d6e28d1f5p-6, 0x1.7d2a0793b3379p-6, 0x1.764c8b479b163p-6, 0x1.6f891c306530fp-6, 0x1.68df74ad55f22p-6, 0x1.624f4f4d1826dp-6, 0x1.5bd866d36312ep-6, 0x1.557a7627fe5b7p-6, 0x1.4f35388f25782p-6, 0x1.490869534e6f1p-6, 0x1.42f3c426bebc1p-6, 0x1.3cf704e415fc9p-6, 0x1.3711e7aa92a88p-6, 0x1.314428db7158bp-6, 0x1.2b8d851b93b12p-6, 0x1.25edb955e05dap-6, 0x1.206482bd7117dp-6, 0x1.1af19ecfb9a43p-6, 0x1.1594cb567e407p-6, 0x1.104dc66979da5p-6, 0x1.0b1c4e700c034p-6, 0x1.060022237509ap-6, 0x1.00f9009212ea6p-6, 0x1.f80d5234bfcd3p-7, 0x1.ee51b6f298ef1p-7, 0x1.e4beaf660bb3fp-7, 0x1.db53bc7ca8438p-7, 0x1.d2105fbb008bap-7, 0x1.c8f41b661a73p-7, 0x1.bffe7281dbeecp-7, 0x1.b72ee8d155999p-7, 0x1.ae8502da811fcp-7, 0x1.a60045f2c73f7p-7, 0x1.9da0381fbedb3p-7, 0x1.95646040c3c4cp-7, 0x1.8d4c460e618e6p-7, 0x1.855771fc3e631p-7, 0x1.7d856d5965f24p-7, 0x1.75d5c249c71aap-7, 0x1.6e47fbc75e475p-7, 0x1.66dba5a54f323p-7, 0x1.5f904c95cdd1ap-7, 0x1.58657e15cf80ap-7, 0x1.515ac89fcbe14p-7, 0x1.4a6fbb679b44p-7, 0x1.43a3e6acbbe13p-7, 0x1.3cf6db77fd726p-7, 0x1.36682bbe8609p-7, 0x1.2ff76a5e083bap-7, 0x1.29a42b1c9db66p-7, 0x1.236e02a9ed3b4p-7, 0x1.1d5486a0a94c2p-7, 0x1.17574d87f16b7p-7, 0x1.1175eed46faa3p-7, 0x1.0bb002e9a1b39p-7, 0x1.0605231aace42p-7, 0x1.0074e9ab5c9a3p-7, 0x1.f5fde3a1e7405p-8, 0x1.eb45af65e4ab2p-8, 0x1.e0c070d7847bbp-8, 0x1.d66d64129d678p-8, 0x1.cc4bc71b927aep-8, 0x1.c25ad9e3f9bcbp-8, 0x1.b899de44251bbp-8, 0x1.af0817f1ef0c5p-8, 0x1.a5a4cc96f4d58p-8, 0x1.9c6f43da1561ap-8, 0x1.9366c73f05f48p-8, 0x1.8a8aa22f9ee29p-8, 0x1.81da220852a5cp-8, 0x1.79549612abf5p-8, 0x1.70f94f848ea54p-8, 0x1.68c7a17f4f71bp-8, 0x1.60bee10e9e2b3p-8, 0x1.58de65273b8c9p-8, 0x1.512586a5c0cacp-8, 0x1.4993a04dc0ef4p-8, 0x1.42280ec97d687p-8, 0x1.3ae230aa452d6p-8, 0x1.33c16670449efp-8, 0x1.2cc51280cf8bp-8, 0x1.25ec990c3220ep-8, 0x1.1f3760501a988p-8, 0x1.18a4d04f12d2dp-8, 0x1.123452e5de41ap-8, 0x1.0be553cee93b3p-8, 0x1.05b7409baa377p-8, 0x1.ff531170828bep-9, 0x1.f3773ab041d13p-9, 0x1.e7d9e324196c6p-9, 0x1.dc79f49f31f3fp-9, 0x1.d1565cd03b4ebp-9, 0x1.c66e0cd35fdeep-9, 0x1.bbbff9623ef3bp-9, 0x1.b14b1abfd12bap-9, 0x1.a70e6ca6efd1cp-9, 0x1.9d08ee4383b84p-9, 0x1.9339a23325a96p-9, 0x1.899f8e8b66309p-9, 0x1.8039bce208293p-9, 0x1.77073a52dbe19p-9, 0x1.6e07177eb714dp-9, 0x1.65386880f7155p-9, 0x1.5c9a44dbe589ap-9, 0x1.542bc76015b23p-9, 0x1.4bec0e13f7b9bp-9, 0x1.43da3a225950dp-9, 0x1.3bf56fd2f778cp-9, 0x1.343cd68f023fep-9, 0x1.2caf98ee715bfp-9, 0x1.254ce4c8851a6p-9, 0x1.1e13eb3fd237bp-9, 0x1.1703e0c4aadd6p-9, 0x1.101bfd0a21928p-9, 0x1.095b7aefb50ap-9, 0x1.02c1986499228p-9, 0x1.f89b2c58db8a1p-10, 0x1.ebfd6fa6ec171p-10, 0x1.dfa887681e5e7p-10, 0x1.d39b05fdcc0d3p-10, 0x1.c7d38316f31b7p-10, 0x1.bc509c25a353cp-10, 0x1.b110f48bd8405p-10, 0x1.a61335aa55957p-10, 0x1.9b560edf29839p-10, 0x1.90d835690e7bfp-10, 0x1.8698643388f35p-10, 0x1.7c955b952deeap-10, 0x1.72cde10c36f7ep-10, 0x1.6940bf05a55b3p-10, 0x1.5fecc4b71e595p-10, 0x1.56d0c60f4e359p-10, 0x1.4deb9bba9bcc1p-10, 0x1.453c2339c171ap-10, 0x1.3cc13efdaf284p-10, 0x1.3479d69062da9p-10, 0x1.2c64d6b01aec7p-10, 0x1.24813108d06d1p-10, 0x1.1ccddca8a088bp-10, 0x1.1549d5951131dp-10, 0x1.0df41c92e883ap-10, 0x1.06cbb7176a3cap-10, 0x1.ff9f5de7feecep-11, 0x1.f1fe24203c8f2p-11, 0x1.e4b1e45fc28eap-11, 0x1.d7b8c9a28cf02p-11, 0x1.cb110655773c1p-11, 0x1.beb8d495ce078p-11, 0x1.b2ae765236423p-11, 0x1.a6f035e195fe6p-11, 0x1.9b7c66f492ed7p-11, 0x1.905166b3aebc9p-11, 0x1.856d9b36e8c09p-11, 0x1.7acf73ad346fap-11, 0x1.707567d9d2456p-11, 0x1.665df72b9edfcp-11, 0x1.5c87a7b62518fp-11, 0x1.52f1053ebf5bbp-11, 0x1.4998a09a829ffp-11, 0x1.407d0f9311412p-11, 0x1.379ced5e240dfp-11, 0x1.2ef6db83c0628p-11, 0x1.268982e6afe5ep-11, 0x1.1e53949f051ap-11, 0x1.1653ca6f4de34p-11, 0x1.0e88e6c3da35ep-11, 0x1.06f1b44750e1bp-11, 0x1.ff1a0a444758p-12, 0x1.f0b363e262e07p-12, 0x1.e2ad31186d481p-12, 0x1.d50535757e80dp-12, 0x1.c7b93a5b10b14p-12, 0x1.bac70e2a8c8bp-12, 0x1.ae2c853fd2db2p-12, 0x1.a1e77ca37adfbp-12, 0x1.95f5dda2de3c6p-12, 0x1.8a55a10325c4ap-12, 0x1.7f04d0b6180fbp-12, 0x1.740187a9d8189p-12, 0x1.6949f02210c6ap-12, 0x1.5edc417754a44p-12, 0x1.54b6bdf4c687cp-12, 0x1.4ad7b10416f6ep-12, 0x1.413d6d5a984fdp-12, 0x1.37e64a872d956p-12, 0x1.2ed0a2795dba5p-12, 0x1.25fad0fb91692p-12, 0x1.1d63340f1f335p-12, 0x1.15082dc839b34p-12, 0x1.0ce82938fdab8p-12, 0x1.05019f3b2ec7bp-12, 0x1.faa631d5d4901p-13, 0x1.ebb65ea8a7048p-13, 0x1.dd3111d73a18ep-13, 0x1.cf13acc7f22f5p-13, 0x1.c15ba0c8e631cp-13, 0x1.b4066d3eefbccp-13, 0x1.a7119f728f44p-13, 0x1.9a7ad1c3bc977p-13, 0x1.8e3fa8c4d942p-13, 0x1.825dced29568dp-13, 0x1.76d2efded8344p-13, 0x1.6b9cb7e2a6f4dp-13, 0x1.60b8d8a4598p-13, 0x1.56250fff45712p-13, 0x1.4bdf2ff998e28p-13, 0x1.41e522de8ceap-13, 0x1.3834e9217c851p-13, 0x1.2ecc938b6183ap-13, 0x1.25aa3da7563eep-13, 0x1.1ccc0bcd2c008p-13, 0x1.14302d0b7661ap-13, 0x1.0bd4de347ffcbp-13, 0x1.03b86adc1f10cp-13, 0x1.f7b25646b241ep-14, 0x1.e86aff917d5a8p-14, 0x1.d9979e18a7358p-14, 0x1.cb3507f4368c2p-14, 0x1.bd401fb66a7a6p-14, 0x1.afb5d91bad6c7p-14, 0x1.a2933d5e598bep-14, 0x1.95d56d886f1c5p-14, 0x1.8979a2723223ap-14, 0x1.7d7d2716c613bp-14, 0x1.71dd50dc7adf7p-14, 0x1.669779b502c31p-14, 0x1.5ba9050c58275p-14, 0x1.510f6ebdf8d95p-14, 0x1.46c8531d13208p-14, 0x1.3cd16a43ec00cp-14, 0x1.33287b4f582dcp-14, 0x1.29cb4ebb5148ep-14, 0x1.20b7abef230a1p-14, 0x1.17eb646c9c7bp-14, 0x1.0f6462623a274p-14, 0x1.0720ae2db6225p-14, 0x1.fe3ccd9a0acafp-15, 0x1.eeb769f715ef5p-15, 0x1.dfad86f5470a5p-15, 0x1.d11b806139fb3p-15, 0x1.c2fdc15e122d7p-15, 0x1.b550c6df3844dp-15, 0x1.a8111d0fe80a4p-15, 0x1.9b3b664f681dfp-15, 0x1.8ecc711ede0a6p-15, 0x1.82c149d5f985p-15, 0x1.77172e4fa7cf1p-15, 0x1.6bcb64c6697dbp-15, 0x1.60db176f525b9p-15, 0x1.564355b9b2562p-15, 0x1.4c013a9b8a3b1p-15, 0x1.421216cb4e7afp-15, 0x1.38737cb9d188fp-15, 0x1.2f232879fc5e9p-15, 0x1.261ed94816542p-15, 0x1.1d643670b6b2fp-15, 0x1.14f0cd28dcb39p-15, 0x1.0cc22668693edp-15, 0x1.04d5e5e225d7ap-15, 0x1.fa53b921fb758p-16, 0x1.eb7809f7ed395p-16, 0x1.dd14eb499eb67p-16, 0x1.cf26ba2da8847p-16, 0x1.c1aa0dd9cc886p-16, 0x1.b49ba94c61753p-16, 0x1.a7f845b8f725ep-16, 0x1.9bbc68e3cfb57p-16, 0x1.8fe47d9bf4d4dp-16, 0x1.846d1bedd99e9p-16, 0x1.79533922b52acp-16, 0x1.6e94168e9ce76p-16, 0x1.642d11055820ap-16, 0x1.5a1b87ee182eap-16, 0x1.505ccfbecda2p-16, 0x1.46ee1678e4b52p-16, 0x1.3dcc6099ad9a4p-16, 0x1.34f4a6c737503p-16, 0x1.2c64086492e2ap-16, 0x1.2417fb101074p-16, 0x1.1c0e4ef6a76efp-16, 0x1.144504b0bc557p-16, 0x1.0cba1c5d52fc9p-16, 0x1.056b891dfc25ap-16, 0x1.fcae89d3261f7p-17, 0x1.eef6aa31f7955p-17, 0x1.e1ab80891d732p-17, 0x1.d4c9480165b5fp-17, 0x1.c84cb17a2a942p-17, 0x1.bc32c6333716fp-17, 0x1.b0787dd79ea4cp-17, 0x1.a51a9c343be08p-17, 0x1.9a15eeda3b44ap-17, 0x1.8f67776616ce2p-17, 0x1.850c524bd4944p-17, 0x1.7b01928cdf283p-17, 0x1.7144369eb3679p-17, 0x1.67d135cb827fcp-17, 0x1.5ea5a8e2896dbp-17, 0x1.55bf0208e9abp-17, 0x1.4d1b25c983ed4p-17, 0x1.44b8372af1dd8p-17, 0x1.3c9426fe3fb02p-17, 0x1.34ac6fd530ce3p-17, 0x1.2cfe555c466e4p-17, 0x1.2587535201c41p-17, 0x1.1e45436146777p-17, 0x1.173671e3b540fp-17, 0x1.1059ad85f0fa2p-17, 0x1.09add69633757p-17, 0x1.03315107835b8p-17, 0x1.f9c44d6210419p-18, 0x1.ed7d18fba0861p-18, 0x1.e189fa808ff3bp-18, 0x1.d5e807a06a6ddp-18, 0x1.ca945997659bbp-18, 0x1.bf8c28d63b174p-18, 0x1.b4cccbaf9fe45p-18, 0x1.aa53a0b5c074cp-18, 0x1.a01e113ec7008p-18, 0x1.9629ba3f57328p-18, 0x1.8c749399e2c5fp-18, 0x1.82fce442e1eccp-18, 0x1.79c0ff2d0ae3cp-18, 0x1.70bed3096f14p-18, 0x1.67f3b9e1ef1efp-18, 0x1.5f5cfcd535f65p-18, 0x1.56f8594e49f0ap-18, 0x1.4ec4070019f95p-18, 0x1.46bec619382dap-18, 0x1.3ee7a6b880fa5p-18, 0x1.373d3ed3a04b6p-18, 0x1.2fbda9ed20043p-18, 0x1.286755ac30654p-18, 0x1.21390baa299p-18, 0x1.1a317cc378f5p-18, 0x1.134f450883589p-18, 0x1.0c91194a94cf3p-18, 0x1.05f5cea37945p-18, 0x1.fef8a1b52a673p-19, 0x1.f24732d55f78ep-19, 0x1.e5d54e17b2477p-19, 0x1.d9a0f52c37376p-19, 0x1.cda83a443eadbp-19, 0x1.c1e9611ad7232p-19, 0x1.b662c20620995p-19, 0x1.ab12f97c7b292p-19, 0x1.9ff85c63b41bep-19, 0x1.9510df6210223p-19, 0x1.8a5aa0256098ep-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.14fcf0b1cbaa3p-10, 0x1.08473d755dad1p-10, -0x1.bc8a214952424p-11, -0x1.400fe330ad407p-8, -0x1.702c9a8b7d897p-7, -0x1.45a3fb2a7a18fp-6, -0x1.f66206af9a8d3p-6, -0x1.636bf88a41e77p-5, -0x1.d96d308f891aep-5, -0x1.2d7937c91964dp-4, -0x1.72d6b493ac786p-4, -0x1.bbad6d9feb1d2p-4, -0x1.03749fb47f732p-3, -0x1.29c45faf20e99p-3, -0x1.505033f346aa7p-3, -0x1.76ae1d8b70c61p-3, -0x1.9c8022ab1ed3ep-3, -0x1.c174282cd23dp-3, -0x1.e54382b692404p-3, -0x1.03d92ba7f2fc8p-2, -0x1.14476e7eccb3fp-2, -0x1.23d8472137893p-2, -0x1.327ba9c19753cp-2, -0x1.402556fe09f45p-2, -0x1.4ccc74aa7d654p-2, -0x1.586b2b180046ep-2, -0x1.62fe489e1ae4cp-2, -0x1.6c84eba430618p-2, -0x1.750033d83e1eap-2, -0x1.7c72fa64b029p-2, -0x1.82e191251abbp-2, -0x1.885188671963cp-2, -0x1.8cc97af4d7645p-2, -0x1.9050dfb568bfcp-2, -0x1.92efe086b35c1p-2, -0x1.94af35bfda2eep-2, -0x1.959805e846fdfp-2, -0x1.95b3c934b1ec1p-2, -0x1.950c30693c909p-2, -0x1.93ab0ed560459p-2, -0x1.919a472106949p-2, -0x1.8ee3ba98c5b8ap-2, -0x1.8b913accd8432p-2, -0x1.87ac7d2a33a3cp-2, -0x1.833f1066054cdp-2, -0x1.7e52538407297p-2, -0x1.78ef6e47f363cp-2, -0x1.731f4aecdf1c2p-2, -0x1.6cea90fea54e1p-2, -0x1.6659a135997f3p-2, -0x1.5f749237dc7b7p-2, -0x1.58432e27367d4p-2, -0x1.50ccf0e54e99bp-2, -0x1.491906f7d5bebp-2, -0x1.412e4cfb39a5ep-2, -0x1.39134f954a3a3p-2, -0x1.30ce4bd05864ap-2, -0x1.28652fdd361bap-2, -0x1.1fdd9c245d915p-2, -0x1.173ce496fd282p-2, -0x1.0e88125399a85p-2, -0x1.05c3e558159e7p-2, -0x1.f9e9ad137f00fp-3, -0x1.e83e3370574fcp-3, -0x1.d68d3faf20c51p-3, -0x1.c4de328790dc2p-3, -0x1.b337f01b4266p-3, -0x1.a1a0e4cdb0b3ap-3, -0x1.901f09ead1014p-3, -0x1.7eb7ea914550bp-3, -0x1.6d70a867b0b71p-3, -0x1.5c4e005925d22p-3, -0x1.4b544f67a616ap-3, -0x1.3a8796fec5fb2p-3, -0x1.29eb81f67c767p-3, -0x1.19836858f29e1p-3, -0x1.0952547adc88fp-3, -0x1.f2b60cb79edb8p-4, -0x1.d33ff0d382e5cp-4, -0x1.b446c5ec511d1p-4, -0x1.95ce801f931e7p-4, -0x1.77da9efcdf221p-4, -0x1.5a6e32e714b92p-4, -0x1.3d8be5ec8ac9cp-4, -0x1.2135ffd1f115bp-4, -0x1.056e6e24e7664p-4, -0x1.d46d91808b365p-5, -0x1.9f20af7fad195p-5, -0x1.6af832095aef8p-5, -0x1.37f588d4209dp-5, -0x1.0619a27afaa69p-5, -0x1.aac9e82593a34p-6, -0x1.4baf043e5499bp-6, -0x1.ddc3a0d24ea6dp-7, -0x1.28c180edfd879p-7, -0x1.e14c9a5c4779fp-9, 0x1.9c6a0652ea937p-10, 0x1.b5cd7d3246bfep-8, 0x1.7dc17bc50d02dp-7, 0x1.0e1354f8868c9p-6, 0x1.5b10374a5116bp-6, 0x1.a5dce7192d476p-6, 0x1.ee7f4cbefee86p-6, 0x1.1a7ed6ba4cecfp-5, 0x1.3caf514d38f35p-5, 0x1.5dd488be56dc1p-5, 0x1.7df211c014e14p-5, 0x1.9d0b9f6a0ae4p-5, 0x1.bb24ff991c26dp-5, 0x1.d84217cbaf3ecp-5, 0x1.f466e1e83645fp-5, 0x1.07cbb4ae2ed72p-4, 0x1.14ebe435d54e1p-4, 0x1.219612cc62378p-4, 0x1.2dcc589f298fp-4, 0x1.3990d1be747b6p-4, 0x1.44e59d01d24cfp-4, 0x1.4fccdb2340c08p-4, 0x1.5a48adde74d8ap-4, 0x1.645b3720ad727p-4, 0x1.6e0698457ee93p-4, 0x1.774cf16feda56p-4, 0x1.803060e59c22ap-4, 0x1.88b30272c7ec8p-4, 0x1.90d6eef0a5839p-4, 0x1.989e3bb60d391p-4, 0x1.a00afa338ebcap-4, 0x1.a71f3779d21bap-4, 0x1.addcfbddf5744p-4, 0x1.b4464ab42e2ccp-4, 0x1.ba5d21cb10cf9p-4, 0x1.c023795f24603p-4, 0x1.c59b43a4cbf1fp-4, 0x1.cac66ca61bd2p-4, 0x1.cfa6d9fca55a1p-4, 0x1.d43e6aa4a009ap-4, 0x1.d88ef6d7875fcp-4, 0x1.dc9a4fd19e257p-4, 0x1.e0623fc433829p-4, 0x1.e3e88991a1c35p-4, 0x1.e72ee8f2122a6p-4, 0x1.ea37121fc0dc9p-4, 0x1.ed02b1df4bc63p-4, 0x1.ef936d6651cf8p-4, 0x1.f1eae2711866dp-4, 0x1.f40aa70a5fa5dp-4, 0x1.f5f449a1e747ap-4, 0x1.f7a95112db871p-4, 0x1.f92b3c8f43c74p-4, 0x1.fa7b83bb41e1p-4, 0x1.fb9b969d4773bp-4, 0x1.fc8cddb9aeeaap-4, 0x1.fd50ba1ae029cp-4, 0x1.fde8855a03b95p-4, 0x1.fe5591a940027p-4, 0x1.fe9929f3c9d24p-4, 0x1.feb491e902c4ap-4, 0x1.fea9060e6e1aep-4, 0x1.fe77bbd1ae5dbp-4, 0x1.fe21e1a4781bap-4, 0x1.fda89f17aa82p-4, 0x1.fd0d14f21023p-4, 0x1.fc505d3c37da3p-4, 0x1.fb738b6287011p-4, 0x1.fa77ac58949d7p-4, 0x1.f95dc6b583ea1p-4, 0x1.f826dac571b83p-4, 0x1.f6d3e29de61bbp-4, 0x1.f565d249a8b7bp-4, 0x1.f3dd97e5143dbp-4, 0x1.f23c1bd810f4fp-4, 0x1.f08240ba66985p-4, 0x1.eeb0e3698ddb7p-4, 0x1.ecc8db8052a7p-4, 0x1.eacafb3d8f734p-4, 0x1.e8b80f8dfbafcp-4, 0x1.e690e03d8678bp-4, 0x1.e4563015b818p-4, 0x1.e208bce62b237p-4, 0x1.dfa93fe87948cp-4, 0x1.dd386d93f66acp-4, 0x1.dab6f5ac4cba9p-4, 0x1.d825839182d18p-4, 0x1.d584be3663d28p-4, 0x1.d2d548766e718p-4, 0x1.d017c10ef236ap-4, 0x1.cd4cc262d06c9p-4, 0x1.ca74e309ec4bdp-4, 0x1.c790b5b82225dp-4, 0x1.c4a0c97e44529p-4, 0x1.c1a5a9d3fb304p-4, 0x1.be9fde594348ep-4, 0x1.bb8feb552a972p-4, 0x1.b87651905b061p-4, 0x1.b5538eb3cab75p-4, 0x1.b2281d3b4cbd2p-4, 0x1.aef474766435bp-4, 0x1.abb90862d7969p-4, 0x1.a8764a3aa156p-4, 0x1.a52ca83fd200fp-4, 0x1.a1dc8e0aab82p-4, 0x1.9e866470ecbdep-4, 0x1.9b2a917c6e7b6p-4, 0x1.97c9788cef0cbp-4, 0x1.94637a5946b39p-4, 0x1.90f8f56cf1362p-4, 0x1.8d8a45ce7e538p-4, 0x1.8a17c534f4c85p-4, 0x1.86a1caec7762dp-4, 0x1.8328abef5c725p-4, 0x1.7facbb0a9103ep-4, 0x1.7c2e4905964e8p-4, 0x1.78ada492a2416p-4, 0x1.752b1a7a24ff9p-4, 0x1.71a6f54e77b2cp-4, 0x1.6e217db065c1cp-4, 0x1.6a9afa59bed8bp-4, 0x1.6713b03cc5c04p-4, 0x1.638be290f44a4p-4, 0x1.6003d2ce0c068p-4, 0x1.5c7bc0a10b8c1p-4, 0x1.58f3e9ffb4f12p-4, 0x1.556c8b225ce9ep-4, 0x1.51e5deb794f08p-4, 0x1.4e601dea29a95p-4, 0x1.4adb80668e8edp-4, 0x1.47583c53197f7p-4, 0x1.43d6864cf497ep-4, 0x1.40569170e4047p-4, 0x1.3cd88f6eaab1fp-4, 0x1.395cb09c3a64ep-4, 0x1.35e3240185675p-4, 0x1.326c175879c93p-4, 0x1.2ef7b70ea4119p-4, 0x1.2b862e30a8fd2p-4, 0x1.2817a68828282p-4, 0x1.24ac489e57ae1p-4, 0x1.21443bcde4c57p-4, 0x1.1ddfa64c8683ep-4, 0x1.1a7ead2c89de5p-4, 0x1.17217459dabb9p-4, 0x1.13c81e98cf097p-4, 0x1.1072cd89dfe15p-4, 0x1.0d21a1b2b8e33p-4, 0x1.09d4ba92fbdcep-4, 0x1.068c3698bd0b3p-4, 0x1.03483341914b6p-4, 0x1.0008cd00705f1p-4, 0x1.f99c3e976e87cp-5, 0x1.f330893057136p-5, 0x1.ecceacbf67ac8p-5, 0x1.e676da54892fap-5, 0x1.e029412dd9d28p-5, 0x1.d9e60ec4131f7p-5, 0x1.d3ad6ecfd163dp-5, 0x1.cd7f8b49a32b6p-5, 0x1.c75c8c69d09a8p-5, 0x1.c14498aa40459p-5, 0x1.bb37d4db20cfp-5, 0x1.b5366412208a8p-5, 0x1.af4067ea06b45p-5, 0x1.a95600578f114p-5, 0x1.a3774bd3d8678p-5, 0x1.9da4674fc3c11p-5, 0x1.97dd6e379fd7fp-5, 0x1.92227a7698583p-5, 0x1.8c73a47d8d5a2p-5, 0x1.86d1034cd19acp-5, 0x1.813aac802d992p-5, 0x1.7bb0b4567cccdp-5, 0x1.76332dba2f35fp-5, 0x1.70c22a44b1953p-5, 0x1.6b5dba413a7afp-5, 0x1.6605ecae891e5p-5, 0x1.60bacf46bfccep-5, 0x1.5b7c6e806b726p-5, 0x1.564ad5a2d9d4p-5, 0x1.51260ebb1eaf5p-5, 0x1.4c0e22b6b4591p-5, 0x1.470319605cb38p-5, 0x1.4204f96579dacp-5, 0x1.3d13c85a10d27p-5, 0x1.382f8abbeaac1p-5, 0x1.335843f7accfcp-5, 0x1.2e8df66f760e5p-5, 0x1.29d0a3810c2b8p-5, 0x1.25204b8cfe493p-5, 0x1.207cedfe37ea5p-5, 0x1.1be6894eeb246p-5, 0x1.175d1b0dbc9c4p-5, 0x1.12e09fe1e638ep-5, 0x1.0e71138f09f78p-5, 0x1.0a0e70f8c510fp-5, 0x1.05b8b22c5482ap-5, 0x1.016fd05cdc9dfp-5, 0x1.fa6787eea515fp-6, 0x1.f20909315a59ap-6, 0x1.e9c41241b7bdep-6, 0x1.e1988f62efb58p-6, 0x1.d9866b66f7c5fp-6, 0x1.d18d8fb7799fep-6, 0x1.c9ade45e1667fp-6, 0x1.c1e7500d2ce26p-6, 0x1.ba39b8299480bp-6, 0x1.b2a500d533482p-6, 0x1.ab290cf9b79b8p-6, 0x1.a3c5be5301ccbp-6, 0x1.9c7af57937206p-6, 0x1.954891ea4ae53p-6, 0x1.8e2e72130340bp-6, 0x1.872c735767647p-6, 0x1.8042721ac706ep-6, 0x1.797049c7d643fp-6, 0x1.72b5d4d8bcd37p-6, 0x1.6c12ece175c01p-6, 0x1.65876a9abdf87p-6, 0x1.5f1325e7a762fp-6, 0x1.58b5f5dcfbac8p-6, 0x1.526fb0cf25a56p-6, 0x1.4c402c588fb2ep-6, 0x1.46273d6056b22p-6, 0x1.4024b821eeec9p-6, 0x1.3a3870357bc8cp-6, 0x1.3462389731e57p-6, 0x1.2ea1e3af62cacp-6, 0x1.28f7435a69a57p-6, 0x1.236228f055dc4p-6, 0x1.1de2654be9f2bp-6, 0x1.1877c8d11a58fp-6, 0x1.132223737f91dp-6, 0x1.0de144bd1e31ap-6, 0x1.08b4fbd610bfep-6, 0x1.039d178ce7d9fp-6, 0x1.fd32ccbc83914p-7, 0x1.f3536cfab0c0cp-7, 0x1.e99babb470159p-7, 0x1.e00b244d149b2p-7, 0x1.d6a171b136499p-7, 0x1.cd5e2e5a571c9p-7, 0x1.c440f45a4e31ap-7, 0x1.bb495d5e6b648p-7, 0x1.b27702c4777bp-7, 0x1.a9c97da9ab052p-7, 0x1.a1406710eaa7cp-7, 0x1.98db57f1205c6p-7, 0x1.9099e94409804p-7, 0x1.887bb408f7ed3p-7, 0x1.8080513b8a53p-7, 0x1.78a759c392047p-7, 0x1.70f06666f7a3dp-7, 0x1.695b0fcadfdf6p-7, 0x1.61e6ee7a13085p-7, 0x1.5a939b198fcd1p-7, 0x1.5360ae8a34943p-7, 0x1.4c4dc227e8d13p-7, 0x1.455a6feb27b12p-7, 0x1.3e865272df782p-7, 0x1.37d104e86a00cp-7, 0x1.313a22cfc99a8p-7, 0x1.2ac147b809bfp-7, 0x1.24660f0990c37p-7, 0x1.1e2813e9ff037p-7, 0x1.1806f15b3ae32p-7, 0x1.120242894918fp-7, 0x1.0c19a342c066fp-7, 0x1.064cb07773f1dp-7, 0x1.009b0899136a4p-7, 0x1.f6089779bc845p-8, 0x1.eb1036ce601a8p-8, 0x1.e04c341172552p-8, 0x1.d5bbd49774a0ep-8, 0x1.cb5e5cd234c78p-8, 0x1.c1330f580397fp-8, 0x1.b7392cbd05c4p-8, 0x1.ad6ff46038d3ap-8, 0x1.a3d6a60d69125p-8, 0x1.9a6c84181612fp-8, 0x1.9130d5656b95bp-8, 0x1.8822e6cf535efp-8, 0x1.7f420b6a73e9cp-8, 0x1.768d9b7e6ccf6p-8, 0x1.6e04f25a14703p-8, 0x1.65a76b85c9a2p-8, 0x1.5d74600f4b402p-8, 0x1.556b24b2a6b81p-8, 0x1.4d8b097028adep-8, 0x1.45d35ac861f5cp-8, 0x1.3e436466478ecp-8, 0x1.36da749d0adfdp-8, 0x1.2f97dfe1b32dfp-8, 0x1.287b03544e924p-8, 0x1.218345a063764p-8, 0x1.1ab015dae7b3ap-8, 0x1.1400e888f6aecp-8, 0x1.0d75337fef921p-8, 0x1.070c69abe7f0cp-8, 0x1.00c5f7dcc3bf2p-8, 0x1.f54286f3b5833p-9, 0x1.e93b56feb84b4p-9, 0x1.dd751724d687ep-9, 0x1.d1ee80da228b4p-9, 0x1.c6a6592c22afep-9, 0x1.bb9b789d35083p-9, 0x1.b0cccf7226e58p-9, 0x1.a6396517f7889p-9, 0x1.9be0528d1650cp-9, 0x1.91c0b8d7fcffbp-9, 0x1.87d9b5b987738p-9, 0x1.7e2a597ca3336p-9, 0x1.74b1a0a74b7abp-9, 0x1.6b6e735c23efep-9, 0x1.625faaab0be9bp-9, 0x1.59841a7157aedp-9, 0x1.50da9d4c96f58p-9, 0x1.48621fda05b09p-9, 0x1.4019a8ed857c6p-9, 0x1.38005d3c48bfep-9, 0x1.30157dca6d061p-9, 0x1.2858612937beep-9, 0x1.20c86859c81d9p-9, 0x1.1964f11d9f2c2p-9, 0x1.122d48746e71ep-9, 0x1.0b20a0a46024dp-9, 0x1.043e0dbf00051p-9, 0x1.fb0914002f786p-10, 0x1.ede601f200399p-10, 0x1.e110bc98e95p-10, 0x1.d48737c42b9ep-10, 0x1.c84798be22a7ap-10, 0x1.bc50415dc799cp-10, 0x1.b09fd26233873p-10, 0x1.a535275a622c2p-10, 0x1.9a0f4cfb22b36p-10, 0x1.8f2d70ebbaf93p-10, 0x1.848eca2e7e6a8p-10, 0x1.7a327c4b03776p-10, 0x1.70177bbdb3b8ap-10, 0x1.663c7cc76d8e2p-10, 0x1.5c9ff3ee5b5b7p-10, 0x1.534028bbd2ffdp-10, 0x1.4a1b5300d2293p-10, 0x1.412fb6882434fp-10, 0x1.387bb34a44e81p-10, 0x1.2ffdc84b1a50ep-10, 0x1.27b48fefab0a1p-10, 0x1.1f9ebfb5c0ac2p-10, 0x1.17bb307451689p-10, 0x1.1008eb1afa6bfp-10, 0x1.08872f181e2c7p-10, 0x1.0135686f2ae22p-10, 0x1.f426289673cb5p-11, 0x1.e63f3c0c803d1p-11, 0x1.d8b489324b12cp-11, 0x1.cb842990e2ca6p-11, 0x1.beabf254c2bfep-11, 0x1.b229a9d205ab9p-11, 0x1.a5fb30c994274p-11, 0x1.9a1e8571c7116p-11, 0x1.8e919f0a8824ep-11, 0x1.83523d4406df5p-11, 0x1.785dd40311b8p-11, 0x1.6db1ad9cd6befp-11, 0x1.634b3a5ef67dbp-11, 0x1.592863f3e898dp-11, 0x1.4f47b4d6fe602p-11, 0x1.45a83cc7c0686p-11, 0x1.3c494359288b7p-11, 0x1.3329f65eec83bp-11, 0x1.2a493f7e265e7p-11, 0x1.21a5cede5dff3p-11, 0x1.193e494dd325dp-11, 0x1.1111799796108p-11, 0x1.091e6731202c5p-11, 0x1.0164402049c8fp-11, 0x1.f3c42f6cdd7a1p-12, 0x1.e52d30f18666bp-12, 0x1.d6ffb41acea58p-12, 0x1.c936ffcdb8d7p-12, 0x1.bbce33dfb6ccp-12, 0x1.aec12b5cdb252p-12, 0x1.a20d090aa24bp-12, 0x1.95b02e2a6df5p-12, 0x1.89a9b28a63fc4p-12, 0x1.7df8b7f823554p-12, 0x1.729bf8786b5c8p-12, 0x1.6791b2bebf7d2p-12, 0x1.5cd7d6e761947p-12, 0x1.526c47742c4bfp-12, 0x1.484d15aeac026p-12, 0x1.3e78a4bcdd4afp-12, 0x1.34ed9b8e5b7c1p-12, 0x1.2baaa10e34641p-12, 0x1.22ae0023425cdp-12, 0x1.19f56843c1c7ap-12, 0x1.117dfb143d3a5p-12, 0x1.0944aa541f216p-12, 0x1.0146ac35e9a6ap-12, 0x1.f3038b204b91bp-13, 0x1.e3e8c08345062p-13, 0x1.d53b072d28fa8p-13, 0x1.c6f9676c96d0bp-13, 0x1.b9236f77b53ap-13, 0x1.abb8a3f15739ep-13, 0x1.9eb7fd3055601p-13, 0x1.921fafc01d6cfp-13, 0x1.85ed4df550b7ep-13, 0x1.7a1ddd014f97dp-13, 0x1.6ead9ded878cp-13, 0x1.639802c1a6a79p-13, 0x1.58d8470367e6cp-13, 0x1.4e6a48e7c8a1ep-13, 0x1.444ae8a2e808dp-13, 0x1.3a77d2af7ea91p-13, 0x1.30ef252b3ab6dp-13, 0x1.27af1387d4e7dp-13, 0x1.1eb5594cdf8a2p-13, 0x1.15feeff017ddbp-13, 0x1.0d88d764185f9p-13, 0x1.05516c5fffe98p-13, 0x1.fab16ed847dc3p-14, 0x1.eb3e9209872a1p-14, 0x1.dc49eb9f596b4p-14, 0x1.cdd1ca9baca44p-14, 0x1.bfd534d501c6p-14, 0x1.b254275638b1ep-14, 0x1.a54ce2936441bp-14, 0x1.98b9c0784ada1p-14, 0x1.8c92462f57be4p-14, 0x1.80ce165fc245ap-14, 0x1.756717a75d9c9p-14, 0x1.6a599f1b13a3ap-14, 0x1.5fa32ce1a89abp-14, 0x1.5541451833248p-14, 0x1.4b3158916b24fp-14, 0x1.417099ac747fdp-14, 0x1.37fac9895880ap-14, 0x1.2ecad82e2ee98p-14, 0x1.25dedad62eec1p-14, 0x1.1d39821f30765p-14, 0x1.14dd3f04209d5p-14, 0x1.0cc79333b5d8dp-14, 0x1.04f38c8614fb1p-14, 0x1.fabf71480ef8bp-15, 0x1.ec1d2e535736bp-15, 0x1.de031d7b67ebap-15, 0x1.d06bf89364011p-15, 0x1.c34d4f8fb11ddp-15, 0x1.b69ca36624cd1p-15, 0x1.aa527b849388dp-15, 0x1.9e6b828e6c23ep-15, 0x1.92e80a4868547p-15, 0x1.87c9a78020ceap-15, 0x1.7d0fa4a000cc8p-15, 0x1.72b5500bc1b33p-15, 0x1.68b3abcb383cdp-15, 0x1.5f0215989e7b2p-15, 0x1.5595329561213p-15, 0x1.4c6603a677d5bp-15, 0x1.437b3c37f4dadp-15, 0x1.3adf9efa82df9p-15, 0x1.32912446b5541p-15, 0x1.2a84f1f6c06fbp-15, 0x1.22b73e8ec1ecp-15, 0x1.1b2c0056614ccp-15, 0x1.13e51d40eb53ap-15, 0x1.0ce02308f847ap-15, 0x1.0618e25d46f9ep-15, 0x1.ff1553fe9dbe7p-16, 0x1.f261b1ab4d726p-16, 0x1.e60f52f011e86p-16, 0x1.da19b763a60dp-16, 0x1.ce7ff2d30a742p-16, 0x1.c34409b857193p-16, 0x1.b86890c2b3c18p-16, 0x1.aded6733c83b5p-16, 0x1.a3cf971b24dffp-16, 0x1.9a0d21cb8c3f1p-16, 0x1.90a20d2e8449dp-16, 0x1.877fad23f2d29p-16, 0x1.7e992b4e1ed55p-16, 0x1.75f2dd49690cfp-16, 0x1.6d8e0526627fbp-16, 0x1.6561bf0a177cap-16, 0x1.5d717f995bc35p-16, 0x1.55c611d8d79d3p-16, 0x1.4e5ac27e7a411p-16, 0x1.47272db14bddfp-16, 0x1.402a1dc0af665p-16, 0x1.3964f835bd548p-16, 0x1.32d5a15dbcfedp-16, 0x1.2c77527ed77dap-16, 0x1.2645bf1da4beep-16, 0x1.203e33916a7a8p-16, 0x1.1a5f2ef3a1ea3p-16, 0x1.14a7efb8802fep-16, 0x1.0f184951a374dp-16, 0x1.09b039686ed67p-16, 0x1.046e8238221b2p-16, 0x1.fea177ca86602p-17, 0x1.f4af2986e9625p-17, }}, 
      {{-0x1.e69eb654406efp-3, -0x1.9e2ba5cb5109dp-3, -0x1.3a3992fc8850cp-3, -0x1.8db5e49f93e9dp-4, -0x1.3379834cfa842p-5, 0x1.6b5f18cc3c3a4p-6, 0x1.47314f3a49e99p-4, 0x1.12ac2766a914bp-3, 0x1.78c0203d1f8dcp-3, 0x1.d4be84f108d42p-3, 0x1.1315e0d0d3a37p-2, 0x1.367e8f1b098f6p-2, 0x1.54bc4c8ab0297p-2, 0x1.6e0e11b40e58bp-2, 0x1.82c551d22174p-2, 0x1.933ebf700cb07p-2, 0x1.9fdcd8496c914p-2, 0x1.a903d62c164cfp-2, 0x1.af16b7cc4c106p-2, 0x1.b27523f38bf07p-2, 0x1.b379f5c2a699dp-2, 0x1.b27a4c38f497dp-2, 0x1.afc4fd453f02ap-2, 0x1.aba253f86e589p-2, 0x1.a65407533fdfcp-2, 0x1.a015596e4612ep-2, 0x1.991b53ef64cb7p-2, 0x1.919517c1290f4p-2, 0x1.89ac399c467f7p-2, 0x1.8185254b5d626p-2, 0x1.793f8415cfb51p-2, 0x1.70f6a2b4a92a8p-2, 0x1.68c1d53e0dbe9p-2, 0x1.60b4d6efe1024p-2, 0x1.58e0255c43dddp-2, 0x1.515156219a3c1p-2, 0x1.4a1366e0e9f49p-2, 0x1.432f07607cb15p-2, 0x1.3caaddce1be43p-2, 0x1.368bc55644e43p-2, 0x1.30d5073eed22ep-2, 0x1.2b888e907db4dp-2, 0x1.26a71707fa994p-2, 0x1.2230573173032p-2, 0x1.1e23265f792a8p-2, 0x1.1a7d9eb6cca89p-2, 0x1.173d3b9c4735dp-2, 0x1.145ef4de00e05p-2, 0x1.11df56dfb7d08p-2, 0x1.0fba980e2b08fp-2, 0x1.0decabd87809ep-2, 0x1.0c7153697eaafp-2, 0x1.0b442c571b2c5p-2, 0x1.0a60bd7918a96p-2, 0x1.09c28212c40bcp-2, 0x1.0964f377d8307p-2, 0x1.094391610143p-2, 0x1.0959e904f2a49p-2, 0x1.09a39b0f3ee7fp-2, 0x1.0a1c60b210612p-2, 0x1.0ac00fcbc6786p-2, 0x1.0b8a9e4a1282p-2, 0x1.0c7824ddf2e64p-2, 0x1.0d84e11f056a7p-2, 0x1.0ead3718d155ep-2, 0x1.0fedb26b76052p-2, 0x1.114306fe53f58p-2, 0x1.12aa115ade9a4p-2, 0x1.141fd6bab01eep-2, 0x1.15a184d0ca262p-2, 0x1.172c7156b8e37p-2, 0x1.18be1977b0c1ap-2, 0x1.1a5420f6bf126p-2, 0x1.1bec515311ae1p-2, 0x1.1d8498b69da24p-2, 0x1.1f1b08ddc298p-2, 0x1.20add5e4a8bc3p-2, 0x1.223b550a0ebbdp-2, 0x1.23c1fb73cc7b4p-2, 0x1.25405ccfda83ap-2, 0x1.26b52a3039fbep-2, 0x1.281f30871ec2ap-2, 0x1.297d579730029p-2, 0x1.2acea07cd88fap-2, 0x1.2c122490d6ae2p-2, 0x1.2d4714146eabap-2, 0x1.2e6cb4fcfe808p-2, 0x1.2f8261de97dfdp-2, 0x1.308788a1caaefp-2, 0x1.317ba9979fc77p-2, 0x1.325e5636b9663p-2, 0x1.332f304d8c3f3p-2, 0x1.33ede8e3adc55p-2, 0x1.349a3f5e1fbf3p-2, 0x1.3534009779856p-2, 0x1.35bb060847afdp-2, 0x1.362f34fca8755p-2, 0x1.36907dc9db4a7p-2, 0x1.36dedb15d67cfp-2, 0x1.371a5126f055ep-2, 0x1.3742ed2835eadp-2, 0x1.3758c4a363516p-2, 0x1.375bf4c298381p-2, 0x1.374ca1d42276cp-2, 0x1.372af6b28d4b2p-2, 0x1.36f7243e2cea7p-2, 0x1.36b160e7615f8p-2, 0x1.3659e81b80aadp-2, 0x1.35f0f9f684f1ep-2, 0x1.3576dab592958p-2, 0x1.34ebd262b2754p-2, 0x1.34502c6d4ed2ep-2, 0x1.33a4375045bfap-2, 0x1.32e8443a98eafp-2, 0x1.321ca6c5e9133p-2, 0x1.3141b494bfb12p-2, 0x1.3057c52f9881p-2, 0x1.2f5f319e1fea5p-2, 0x1.2e58543f83f35p-2, 0x1.2d43888888121p-2, 0x1.2c212acd80d5dp-2, 0x1.2af19810ec003p-2, 0x1.29b52dd2edc17p-2, 0x1.286c49ec44558p-2, 0x1.27174a500c882p-2, 0x1.25b68d083ac98p-2, 0x1.244a6ff2f01f1p-2, 0x1.22d350b0605bbp-2, 0x1.21518c824df07p-2, 0x1.1fc58030141aep-2, 0x1.1e2f87e9c3239p-2, 0x1.1c8fff33fc192p-2, 0x1.1ae740ce0f988p-2, 0x1.1935a69f7a06cp-2, 0x1.177b89a5ad328p-2, 0x1.15b941e272922p-2, 0x1.13ef2641a6366p-2, 0x1.121d8ca6ddeabp-2, 0x1.1044c9bde97dap-2, 0x1.0e653103f0cb7p-2, 0x1.0c7f14b9d95fp-2, 0x1.0a92c5d6df165p-2, 0x1.08a09401a90abp-2, 0x1.06a8cd886bb37p-2, 0x1.04abbf5d4ea07p-2, 0x1.02a9b50cb875cp-2, 0x1.00a2f8ba552e2p-2, 0x1.fd2fa63ad1d83p-3, 0x1.f9111701528c5p-3, 0x1.f4eacf6fa57b6p-3, 0x1.f0bd58410db1ep-3, 0x1.ec8937619bb19p-3, 0x1.e84eefb7afb83p-3, 0x1.e40f014c27053p-3, 0x1.dfc9e93ac894cp-3, 0x1.db8021b880bc3p-3, 0x1.d73222164a318p-3, 0x1.d2e05ec4f59d4p-3, 0x1.ce8b4957fbc39p-3, 0x1.ca33508aeb4c2p-3, 0x1.c5d8e048ef1abp-3, 0x1.c17c61b3ea384p-3, 0x1.bd1e3b27d5d79p-3, 0x1.b8bed041fa455p-3, 0x1.b45e81e9fcad8p-3, 0x1.affdae671f7d8p-3, 0x1.ab9cb14dd5ed4p-3, 0x1.a73be396f71e1p-3, 0x1.a2db9bbd4111ep-3, 0x1.9e7c2d9ec181cp-3, 0x1.9a1deaa9a2366p-3, 0x1.95c121d4dcbdep-3, 0x1.91661faa3a15ap-3, 0x1.8d0d2e545da0ap-3, 0x1.88b695af9d001p-3, 0x1.84629b5067aa6p-3, 0x1.8011828637ddep-3, 0x1.7bc38c66e08a5p-3, 0x1.7778f7e29e3c8p-3, 0x1.733201cf1c05fp-3, 0x1.6eeee4ede05cp-3, 0x1.6aafd9ef72d05p-3, 0x1.6675177ece0b7p-3, 0x1.623ed256c19c1p-3, 0x1.5e0d3d4d0bfb2p-3, 0x1.59e08954f7ee4p-3, 0x1.55b8e5904de1fp-3, 0x1.51967f3820ca5p-3, 0x1.4d7981d3e1652p-3, 0x1.49621745290bbp-3, 0x1.455067ad8f78cp-3, 0x1.4144998eafdd6p-3, 0x1.3d3ed1c4775d2p-3, 0x1.393f339b8c1c2p-3, 0x1.3545e0dfd51cbp-3, 0x1.3152f9e3bcdcep-3, 0x1.2d669d7fe854ap-3, 0x1.2980e9192b527p-3, 0x1.25a1f8aa61716p-3, 0x1.21c9e6d9e889p-3, 0x1.1df8cd0230aap-3, 0x1.1a2ec3344463dp-3, 0x1.166be038a58ccp-3, 0x1.12b0399563edp-3, 0x1.0efbe39e42872p-3, 0x1.0b4ef17fa926dp-3, 0x1.07a9754aa4d9ep-3, 0x1.040b7ff315bf7p-3, 0x1.00752151ba65dp-3, 0x1.f9ccd055d25f3p-4, 0x1.f2bec476a6648p-4, 0x1.ebc0388879f6ap-4, 0x1.e4d14439eec13p-4, 0x1.ddf1fd24dab32p-4, 0x1.d722772becddep-4, 0x1.d062c453eefc3p-4, 0x1.c9b2f4cad267p-4, 0x1.c313171ebef1ep-4, 0x1.bc83383e5ccdfp-4, 0x1.b603637ed293bp-4, 0x1.af93a29df674p-4, 0x1.a933fdc746224p-4, 0x1.a2e47ba555f78p-4, 0x1.9ca5217310965p-4, 0x1.9675f30d27cfep-4, 0x1.9056f2fa5e156p-4, 0x1.8a48226e41c22p-4, 0x1.8449814c034ffp-4, 0x1.7e5b0e2e9cd48p-4, 0x1.787cc67719a9p-4, 0x1.72aea65c8c60cp-4, 0x1.6cf0a8f814e38p-4, 0x1.6742c84bb7bafp-4, 0x1.61a4fd44753a5p-4, 0x1.5c173fbf6b743p-4, 0x1.5699868f1cf4dp-4, 0x1.512bc78863204p-4, 0x1.4bcdf78f3f23fp-4, 0x1.46800aa1554c7p-4, 0x1.4141f3dc30b9bp-4, 0x1.3c13a5807d803p-4, 0x1.36f510f531322p-4, 0x1.31e626cc71b99p-4, 0x1.2ce6d6cf25c1dp-4, 0x1.27f710101df23p-4, 0x1.2316c0ca2bb6fp-4, 0x1.1e45d6aaa6655p-4, 0x1.19843eab5e71p-4, 0x1.14d1e510cf72fp-4, 0x1.102eb5839698ap-4, 0x1.0b9a9b0c8bee8p-4, 0x1.0715801d3e7b9p-4, 0x1.029f4e98a57d7p-4, 0x1.fc6fdfb492ad4p-5, 0x1.f3be99772a624p-5, 0x1.eb2a9b2ef3f18p-5, 0x1.e2b3b49b39bffp-5, 0x1.da59b48c9b7acp-5, 0x1.d21c68ee37d56p-5, 0x1.c9fb9ed6072p-5, 0x1.c1f7228bf8c6bp-5, 0x1.ba0ebf9c02e5p-5, 0x1.b24240db0e39dp-5, 0x1.aa91706fc9581p-5, 0x1.a2fc17d85b0a7p-5, 0x1.9b81fff0f803p-5, 0x1.9422f0fc21ea9p-5, 0x1.8cdeb2aca9816p-5, 0x1.85b50c2f1865fp-5, 0x1.7ea5c43517fa4p-5, 0x1.77b0a0fcc67a2p-5, 0x1.70d568583f157p-5, 0x1.6a13dfb2f67b2p-5, 0x1.636bcc179120ep-5, 0x1.5cdcf235afb0fp-5, 0x1.56671669f5747p-5, 0x1.5009fcc46c661p-5, 0x1.49c5691328776p-5, 0x1.43991ee7592a6p-5, 0x1.3d84e19d234cap-5, 0x1.3788746109d29p-5, 0x1.31a39a340e6ep-5, 0x1.2bd615f23f7eep-5, 0x1.261faa6713965p-5, 0x1.20801a1e0da15p-5, 0x1.1af727a596f0ep-5, 0x1.1584958ff4d03p-5, 0x1.102826469c8a9p-5, 0x1.0ae19c3e24a65p-5, 0x1.05b0b9edb97b2p-5, 0x1.009541d217a44p-5, 0x1.f71dece4a3e89p-6, 0x1.ed3b34c84b881p-6, 0x1.e381e09f83a0fp-6, 0x1.d9f175ebb862ap-6, 0x1.d0897a64e4c6ap-6, 0x1.c74974077ebd6p-6, 0x1.be30e919507c5p-6, 0x1.b53f603369bbp-6, 0x1.ac74604943e0cp-6, 0x1.a3cf70af8cd4cp-6, 0x1.9b50192286239p-6, 0x1.92f5e1cc5c67ap-6, 0x1.8ac0534bcf9dap-6, 0x1.82aef6bb2c65fp-6, 0x1.7ac155b746ae5p-6, 0x1.72f6fa66263f4p-6, 0x1.6b4f6f7d674a5p-6, 0x1.63ca404832d2ap-6, 0x1.5c66f8acd2752p-6, 0x1.55252531cb27fp-6, 0x1.4e045302913cbp-6, 0x1.47040ff421a58p-6, 0x1.4023ea89bd00bp-6, 0x1.396371f985caap-6, 0x1.32c236310c44p-6, 0x1.2c3fc7da86bf5p-6, 0x1.25dbb86184eebp-6, 0x1.1f9599f64f513p-6, 0x1.196cff8fdf094p-6, 0x1.13617cf4d3e29p-6, 0x1.0d72a6b8218fbp-6, 0x1.07a012414eba4p-6, 0x1.01e955ccf7e57p-6, 0x1.f89c10e137da9p-7, 0x1.ed9b843a46d6p-7, 0x1.e2d0374437141p-7, 0x1.d8395d5fa3859p-7, 0x1.cdd62bb118949p-7, 0x1.c3a5d9246362p-7, 0x1.b9a79e89a6c8ep-7, 0x1.afdab67ef721bp-7, 0x1.a63e5d2a70abdp-7, 0x1.9cd1d115067b9p-7, 0x1.93945259f2e4fp-7, 0x1.8a8522f71fbffp-7, 0x1.81a386e0d79fap-7, 0x1.78eec3edb64fbp-7, 0x1.706621d652fadp-7, 0x1.6808ea34c889fp-7, 0x1.5fd6688807b29p-7, 0x1.57cdea377c0d5p-7, 0x1.4feebe9b8a7b3p-7, 0x1.48383702bd7c5p-7, 0x1.40a9a6b959d11p-7, 0x1.3942630ae8f6ep-7, 0x1.3201c33de9a26p-7, 0x1.2ae7208a94e7dp-7, 0x1.23f1d60edc627p-7, 0x1.1d2140c41c805p-7, 0x1.1674bf7a7ca07p-7, 0x1.0febb2ddc9ecfp-7, 0x1.09857d82719adp-7, 0x1.034183f97a544p-7, 0x1.fa3e59c640eefp-8, 0x1.ee3bc1f45fcaap-8, 0x1.e27a1622ff6aap-8, 0x1.d6f8300100eecp-8, 0x1.cbb4ed0a4635dp-8, 0x1.c0af2e37c7fc3p-8, 0x1.b5e5d7c6797cp-8, 0x1.ab57d119d4d65p-8, 0x1.a10404d37970ap-8, 0x1.96e961183cce6p-8, 0x1.8d06d7f82c68fp-8, 0x1.835b5fd94906cp-8, 0x1.79e5f3c2ab932p-8, 0x1.70a59366a3404p-8, 0x1.679942e1aa084p-8, 0x1.5ec00a330f9c3p-8, 0x1.5618f48bd855bp-8, 0x1.4da30fa06522ap-8, 0x1.455d6b38747a8p-8, 0x1.3d47191e16a9bp-8, 0x1.355f2d7c4c6ddp-8, 0x1.2da4bf9d9e64fp-8, 0x1.2616eadcd18e5p-8, 0x1.1eb4cf86eef1fp-8, 0x1.177d936a4b4cep-8, 0x1.107061de9e29p-8, 0x1.098c6b33f4d6ep-8, 0x1.02d0e39fd6306p-8, 0x1.f87a03cef672fp-9, 0x1.eb9ffc3cc5f84p-9, 0x1.df1221a1b4e43p-9, 0x1.d2cee5b37e30fp-9, 0x1.c6d4bc15ab33p-9, 0x1.bb221ce24554ap-9, 0x1.afb586e103d3cp-9, 0x1.a48d841b9b31p-9, 0x1.99a8ab08a2788p-9, 0x1.8f059ef7506d5p-9, 0x1.84a30f4d80989p-9, 0x1.7a7fb46d6d24p-9, 0x1.709a4bd1b8102p-9, 0x1.66f19433552f9p-9, 0x1.5d844ab2dbf63p-9, 0x1.545129c907fc3p-9, 0x1.4b56ea4c6898ep-9, 0x1.4294464bf6507p-9, 0x1.3a07fd129f43ep-9, 0x1.31b0d75c6756cp-9, 0x1.298daab3284e7p-9, 0x1.219d5b1978fc1p-9, 0x1.19deda876c711p-9, 0x1.12512627b75d5p-9, 0x1.0af341dca06a3p-9, 0x1.03c43312a88b9p-9, 0x1.f985f85e5cf4ap-10, 0x1.ebdd33a7a1333p-10, 0x1.de8c0577a4c37p-10, 0x1.d1905480e5cfdp-10, 0x1.c4e809b364fbcp-10, 0x1.b8911aeb370cfp-10, 0x1.ac8994d052a5p-10, 0x1.a0cfa1dae00f6p-10, 0x1.95618d32c541cp-10, 0x1.8a3dc0dd54f25p-10, 0x1.7f62bf5410e4dp-10, 0x1.74cf194f72168p-10, 0x1.6a8161697fad1p-10, 0x1.607820124a27bp-10, 0x1.56b1cad3118d3p-10, 0x1.4d2cc16e76fdbp-10, 0x1.43e751f8c8919p-10, 0x1.3adfc2dba7298p-10, 0x1.32145fd56a63ep-10, 0x1.298386557033fp-10, 0x1.212bae7577b4dp-10, 0x1.190b6f973b0f8p-10, 0x1.1121813767c5ap-10, 0x1.096cb8f46a925p-10, 0x1.01ec062308332p-10, 0x1.f53cd4fedd98ap-11, 0x1.e705df491bea5p-11, 0x1.d9313493ff1aep-11, 0x1.cbbcbc6eaf54ep-11, 0x1.bea62de5745f1p-11, 0x1.b1eb104eaa592p-11, 0x1.a588cbbb6482p-11, 0x1.997cc255d906dp-11, 0x1.8dc4680ae457cp-11, 0x1.825d50172d8c4p-11, 0x1.77452f377fb74p-11, 0x1.6c79d886d8307p-11, 0x1.61f93d7cb1477p-11, 0x1.57c1752affcb6p-11, 0x1.4dd0c6f5a4515p-11, 0x1.4425af64dcca1p-11, 0x1.3abed6c370d58p-11, 0x1.319af8f2f97bfp-11, 0x1.28b8c79e79c9cp-11, 0x1.2016d38a31382p-11, 0x1.17b386afea612p-11, 0x1.0f8d34b4b470cp-11, 0x1.07a22f575dbaep-11, 0x1.ffe1b052951f5p-12, 0x1.f0ef43eeb1f42p-12, 0x1.e26a0209e2367p-12, 0x1.d44eadec0d1f3p-12, 0x1.c699d63223e28p-12, 0x1.b947f304e930ep-12, 0x1.ac55a92e9ee8bp-12, 0x1.9fc00ed1e54bap-12, 0x1.9384ca35726c3p-12, 0x1.87a1f87ebc814p-12, 0x1.7c15ebaff474fp-12, 0x1.70dee665d7838p-12, 0x1.65faf8de77109p-12, 0x1.5b680a2269375p-12, 0x1.5123fe2a58128p-12, 0x1.472cde43f4b3p-12, 0x1.3d80eb4c88a05p-12, 0x1.341e8b271a2bbp-12, 0x1.2b04132fb994ep-12, 0x1.222f88efdd2dep-12, 0x1.199e81119ca77p-12, 0x1.114e3a154b4b5p-12, 0x1.093bec443095ep-12, 0x1.0165257ab9f27p-12, 0x1.f390016f2eb18p-13, 0x1.e4c640ef62c11p-13, 0x1.d66aec4b9000fp-13, 0x1.c87bf760bb649p-13, 0x1.baf70b4efe49bp-13, 0x1.add976fc27b1ep-13, 0x1.a12052991e679p-13, 0x1.94c8b2d48beap-13, 0x1.88cfd87799a0bp-13, 0x1.7d334c6ca74fcp-13, 0x1.71f0d524fce7ap-13, 0x1.6706414e0de95p-13, 0x1.5c711f09b040bp-13, 0x1.522e89e6b6c81p-13, 0x1.483b3692b88dep-13, 0x1.3e93be77e7d68p-13, 0x1.3534fc3f8f1bp-13, 0x1.2c1c45a72b154p-13, 0x1.23477bc5e0912p-13, 0x1.1ab503c9322fp-13, 0x1.1263ac4cfa7e4p-13, 0x1.0a527f127468dp-13, 0x1.0280882d1007dp-13, 0x1.f5d944b36381dp-14, 0x1.e72ac14f1bb47p-14, 0x1.d8f2352ee71d7p-14, 0x1.cb2be6c6aebafp-14, 0x1.bdd389d8e355cp-14, 0x1.b0e43b8f54dcep-14, 0x1.a458fe49477c1p-14, 0x1.982d63b097b9dp-14, 0x1.8c5dd39087d71p-14, 0x1.80e75e5083a44p-14, 0x1.75c77552351c2p-14, 0x1.6afba3b4853e4p-14, 0x1.6081211251f0ap-14, 0x1.56549928b15fdp-14, 0x1.4c72c968fdee3p-14, 0x1.42d9884e0be7dp-14, 0x1.3987fe92ce038p-14, 0x1.307dc30d7e17dp-14, 0x1.27b9e11cd93f7p-14, 0x1.1f3ae610eb2b8p-14, 0x1.16ffae000dcdbp-14, 0x1.0f0779cef98b8p-14, 0x1.0750de38c7005p-14, 0x1.ffb1e9f63e02ep-15, 0x1.f13797d176038p-15, 0x1.e32b0a8557a45p-15, 0x1.d5865c0a2def6p-15, 0x1.c845933dbd5f3p-15, 0x1.bb65a3f03d443p-15, 0x1.aee389e40dac2p-15, 0x1.a2bc3896923c9p-15, 0x1.96ec7cc5a127cp-15, 0x1.8b701532cf503p-15, 0x1.804232781a868p-15, 0x1.75607d151cbcep-15, 0x1.6acc279c99974p-15, 0x1.608633165883dp-15, 0x1.568be3dc5c897p-15, 0x1.4cd8ae2d94dc4p-15, 0x1.436ab961a9f1fp-15, 0x1.3a432e8269d09p-15, 0x1.316264e104783p-15, 0x1.28c5ac494392ap-15, 0x1.206868cca501ap-15, 0x1.184600449e8cdp-15, 0x1.105b04e2a9feap-15, 0x1.08a5a18ba1c14p-15, 0x1.01256a40c8d99p-15, 0x1.f3b4e4dd89ad6p-16, 0x1.e587e6f06086fp-16, 0x1.d7bf53649f5b3p-16, 0x1.ca54f274976edp-16, 0x1.bd415c9242a59p-16, 0x1.b07b2dfeea41dp-16, 0x1.a3fc5d65a43bfp-16, 0x1.97c935213868ep-16, 0x1.8be908334b2e4p-16, 0x1.8059956ecdc71p-16, 0x1.75120d7b3afcep-16, 0x1.6a0ef3464b4bfp-16, 0x1.5f52975abdce2p-16, 0x1.54ddc6c8cf3ccp-16, 0x1.4aae1b88a3857p-16, 0x1.40bfebcf5b8bep-16, 0x1.370f31acc86eep-16, 0x1.2d97f777b2ce2p-16, 0x1.2456f107e011bp-16, 0x1.1b49fbdc4e956p-16, 0x1.1270530b66958p-16, 0x1.09ca50d44832fp-16, 0x1.0158890e4032dp-16, 0x1.f2351caa278c5p-17, 0x1.e21dcb9b84a28p-17, 0x1.d268e7a1343d1p-17, 0x1.c312cc5224d93p-17, 0x1.b40ff68310c58p-17, 0x1.a5565410f8736p-17, 0x1.96e89be2e037bp-17, 0x1.88c7385343d27p-17, 0x1.7aeb0c418a69ep-17, 0x1.6d5629b4041aap-17, 0x1.600ea32e0f243p-17, 0x1.531090ebf663dp-17, 0x1.46555194ce0e8p-17, 0x1.39db9a64925b2p-17, 0x1.2da41571d1503p-17, 0x1.21acda852aa3ap-17, 0x1.15f20d0c9966cp-17, 0x1.0a702f955fa8cp-17, 0x1.fe49eecb7ba96p-18, 0x1.e81e01d5d9fa3p-18, 0x1.d25af4c91bfd7p-18, 0x1.bd000af223699p-18, 0x1.a80ccd4f04a1dp-18, 0x1.937ef39c996f2p-18, 0x1.7f5275dcfdfa7p-18, 0x1.6b87e43439d95p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.02fb75115a8c4p-1, -0x1.0321c5360c9a4p-1, -0x1.036104c1140f4p-1, -0x1.03b850cafc96bp-1, -0x1.04267684ed293p-1, -0x1.04a9fbebfc016p-1, -0x1.0541292d18fbep-1, -0x1.05ea123f7a169p-1, -0x1.06a2a05cda063p-1, -0x1.07689b18d8a17p-1, -0x1.0839b0ecfc95ep-1, -0x1.09137f1e756f7p-1, -0x1.09f398ee9d5aep-1, -0x1.0ad78e1036006p-1, -0x1.0bbcf061f8daap-1, -0x1.0ca158f3da4f2p-1, -0x1.0d826c5fa9af8p-1, -0x1.0e5dde7fe2abap-1, -0x1.0f317590cb48dp-1, -0x1.0ffb0cc8940bap-1, -0x1.10b8967352bfbp-1, -0x1.11681d9f66659p-1, -0x1.1207c7665c0efp-1, -0x1.1295d3ddba8d3p-1, -0x1.13109eba5592p-1, -0x1.13769faff6aafp-1, -0x1.13c66a96505adp-1, -0x1.13feaf5b59d4bp-1, -0x1.141e39ca65937p-1, -0x1.1423f12e7f8e8p-1, -0x1.140ed7d5e7bedp-1, -0x1.13de0a7bdab3ap-1, -0x1.1390bf9d3498ep-1, -0x1.132646bbfa6cdp-1, -0x1.129e07954b097p-1, -0x1.11f7814ccdacp-1, -0x1.113249904b6b7p-1, -0x1.104e0bb5c5912p-1, -0x1.0f4a87d60a15ep-1, -0x1.0e2791e57e482p-1, -0x1.0ce510cc9cec1p-1, -0x1.0b82fd8165969p-1, -0x1.0a016222d2585p-1, -0x1.08605917366fep-1, -0x1.06a00c2e482fbp-1, -0x1.04c0b3c7738b6p-1, -0x1.02c295fcf8cc8p-1, -0x1.00a605d43e914p-1, -0x1.fcd6c4e758cedp-2, -0x1.f8262cbc964bep-2, -0x1.f33b2d6ab81cdp-2, -0x1.ee16c5000ef54p-2, -0x1.e8ba03f26ff53p-2, -0x1.e3260bc7555c2p-2, -0x1.dd5c0dc86d398p-2, -0x1.d75d49c48957dp-2, -0x1.d12b0cdcd3cd9p-2, -0x1.cac6b05e209dbp-2, -0x1.c43198a62ffcfp-2, -0x1.bd6d3414a87fp-2, -0x1.b67afa0788153p-2, -0x1.af5c69e2cf9dp-2, -0x1.a8130a231a451p-2, -0x1.a0a0677ad8a89p-2, -0x1.990613f9e8601p-2, -0x1.9145a63f3083ep-2, -0x1.8960b8b3f708bp-2, -0x1.8158e8d0a270ap-2, -0x1.792fd66a919c6p-2, -0x1.70e7230abcc62p-2, -0x1.6880714ccf292p-2, -0x1.5ffd64466cd02p-2, -0x1.575f9ef65722dp-2, -0x1.4ea8c3bb1df2fp-2, -0x1.45da73d120596p-2, -0x1.3cf64ed784facp-2, -0x1.33fdf25bf32bfp-2, -0x1.2af2f96cb8138p-2, -0x1.21d6fc3126165p-2, -0x1.18ab8f87def37p-2, -0x1.0f7244aad4ab2p-2, -0x1.062ca8d8c0f95p-2, -0x1.f9b88a07b0eb2p-3, -0x1.e7053b0b0ae51p-3, -0x1.d44263ade03c4p-3, -0x1.c172f89c46236p-3, -0x1.ae99e3bf353d3p-3, -0x1.9bba03c81f91bp-3, -0x1.88d62bc4a0a1bp-3, -0x1.75f122b9ec1dap-3, -0x1.630da347b9485p-3, -0x1.502e5b523df1ap-3, -0x1.3d55ebb313383p-3, -0x1.2a86e7f092985p-3, -0x1.17c3d5fb8657bp-3, -0x1.050f2df2da9e3p-3, -0x1.e4d6b3da21916p-4, -0x1.bfb56b8e8aebp-4, -0x1.9abf1df2eb756p-4, -0x1.75f848dfe21b4p-4, -0x1.51654cd335c3cp-4, -0x1.2d0a6cb5dd14fp-4, -0x1.08ebcdaaf7a89p-4, -0x1.ca1aedceedd06p-5, -0x1.82e6a3242fd52p-5, -0x1.3c425156b3c32p-5, -0x1.ec6aa3f48ca62p-6, -0x1.618d84471b77ap-6, -0x1.aff609911acep-7, -0x1.3f01b6a8f81c9p-8, 0x1.b8ab8d354ab68p-9, 0x1.78f48474350bcp-7, 0x1.4062253dce9bbp-6, 0x1.c2c1b386c3dcfp-6, 0x1.21c6fe8230ac7p-5, 0x1.615e440f0ca52p-5, 0x1.a021a87e4c1fbp-5, 0x1.de0c645f86c79p-5, 0x1.0d8cf527675c1p-4, 0x1.2ba2f33e65ep-4, 0x1.49461f1718122p-4, 0x1.6674879964298p-4, 0x1.832c57aa51914p-4, 0x1.9f6bd5dfcae7ep-4, 0x1.bb316430c2d25p-4, 0x1.d67b7fa1d79b2p-4, 0x1.f148bfeeb8ff8p-4, 0x1.05cbeb9832489p-3, 0x1.12b3c8c031e3ap-3, 0x1.1f5b6a4ca1ab6p-3, 0x1.2bc24fba29d2cp-3, 0x1.37e804f27634p-3, 0x1.43cc2218ad0dfp-3, 0x1.4f6e4b54be352p-3, 0x1.5ace309db24d5p-3, 0x1.65eb8d82fe71bp-3, 0x1.70c628f4ede31p-3, 0x1.7b5dd50c3c1fdp-3, 0x1.85b26ed0e911ep-3, 0x1.8fc3de0053a47p-3, 0x1.999214d2bc2cep-3, 0x1.a31d0fc02b22fp-3, 0x1.ac64d544d84e5p-3, 0x1.b56975a51eb92p-3, 0x1.be2b0ab10c5cp-3, 0x1.c6a9b7879b96ap-3, 0x1.cee5a859a72aep-3, 0x1.d6df122ca50bbp-3, 0x1.de96329d3a778p-3, 0x1.e60b4fa1ace39p-3, 0x1.ed3eb74c4bde6p-3, 0x1.f430bf8dd3e7ep-3, 0x1.fae1c5f7de7bdp-3, 0x1.00a917bfb32bbp-2, 0x1.03c1341fbb6cp-2, 0x1.06b9719e00265p-2, 0x1.09920d1278712p-2, 0x1.0c4b468cc672ep-2, 0x1.0ee561360bf92p-2, 0x1.1160a332f051dp-2, 0x1.13bd5585d300cp-2, 0x1.15fbc3f13b264p-2, 0x1.181c3cda80132p-2, 0x1.1a1f112cb2f2ep-2, 0x1.1c04943bced5cp-2, 0x1.1dcd1ba82ff8ep-2, 0x1.1f78ff425aaa6p-2, 0x1.210898ef1075cp-2, 0x1.227c448bbcd62p-2, 0x1.23d45fd3373aap-2, 0x1.25114a42e3293p-2, 0x1.263365002cbd4p-2, 0x1.273b12be69ddap-2, 0x1.2828b7a51a717p-2, 0x1.28fcb93695a81p-2, 0x1.29b77e371c68p-2, 0x1.2a596e945a227p-2, 0x1.2ae2f34d50f67p-2, 0x1.2b54765ab89e1p-2, 0x1.2bae6297cd827p-2, 0x1.2bf123ab91b7fp-2, 0x1.2c1d25f286ed3p-2, 0x1.2c32d668d8f0cp-2, 0x1.2c32a29505ff9p-2, 0x1.2c1cf872fabfp-2, 0x1.2bf2465faa3cap-2, 0x1.2bb2fb051e702p-2, 0x1.2b5f85470615p-2, 0x1.2af8542fbb772p-2, 0x1.2a7dd6ddc8967p-2, 0x1.29f07c71e7522p-2, 0x1.2950b3fd7d999p-2, 0x1.289eec7196f53p-2, 0x1.27db948e58542p-2, 0x1.27071ad2f1a1dp-2, 0x1.2621ed6e0bd34p-2, 0x1.252c7a2eb0565p-2, 0x1.24272e75ac17cp-2, 0x1.231277276e8ecp-2, 0x1.21eec09e60699p-2, 0x1.20bc769db55edp-2, 0x1.1f7c0444b21b5p-2, 0x1.1e2dd4026f871p-2, 0x1.1cd24f8a0d506p-2, 0x1.1b69dfc75eba5p-2, 0x1.19f4ecd408e43p-2, 0x1.1873dded13d9fp-2, 0x1.16e71968edffp-2, 0x1.154f04addebdcp-2, 0x1.13ac0428e87c8p-2, 0x1.11fe7b4515011p-2, 0x1.1046cc6333bd6p-2, 0x1.0e8558d1f9bfp-2, 0x1.0cba80c691c4fp-2, 0x1.0ae6a3558e693p-2, 0x1.090a1e6c42533p-2, 0x1.07254eca7e73p-2, 0x1.05388ffcadea5p-2, 0x1.03443c5654793p-2, 0x1.0148aceceb7a9p-2, 0x1.fe8c73262e8cap-3, 0x1.fa7a71a87807ep-3, 0x1.f65bffe0d0804p-3, 0x1.f231c5b129a9ep-3, 0x1.edfc68567a708p-3, 0x1.e9bc8a628d083p-3, 0x1.e572cbb677a2ep-3, 0x1.e11fc97da8ebap-3, 0x1.dcc41e29981e3p-3, 0x1.d860616e02bbcp-3, 0x1.d3f5283dc51p-3, 0x1.cf8304c836a6ap-3, 0x1.cb0a86771a879p-3, 0x1.c68c39ed14451p-3, 0x1.c208a904982f1p-3, 0x1.bd805acf659fep-3, 0x1.b8f3d39671dfep-3, 0x1.b46394da5537dp-3, 0x1.afd01d541e0cp-3, 0x1.ab39e8f6a0defp-3, 0x1.a6a170f02bb9cp-3, 0x1.a2072baca4e3dp-3, 0x1.9d6b8cd80d007p-3, 0x1.98cf05616653dp-3, 0x1.9432037df15aap-3, 0x1.8f94f2accbe5cp-3, 0x1.8af83bbae0414p-3, 0x1.865c44c72d32ap-3, 0x1.81c1714757da7p-3, 0x1.7d28220c8a1c1p-3, 0x1.7890b548a02fep-3, 0x1.73fb8693958adp-3, 0x1.6f68eef135802p-3, 0x1.6ad944d70cfaap-3, 0x1.664cdc329806cp-3, 0x1.61c4066fa5e4fp-3, 0x1.5d3f127ef72a5p-3, 0x1.58be4cdd0a801p-3, 0x1.5441ff991feb9p-3, 0x1.4fca725c63ac2p-3, 0x1.4b57ea7146d54p-3, 0x1.46eaaacb01419p-3, 0x1.4282f40d34104p-3, 0x1.3e210493b3b82p-3, 0x1.39c5187a7469p-3, 0x1.356f69a589c63p-3, 0x1.31202fc94ff97p-3, 0x1.2cd7a072a3b91p-3, 0x1.2895ef0f34b22p-3, 0x1.245b4cf5eed0ep-3, 0x1.2027e96f735ebp-3, 0x1.1bfbf1bea032bp-3, 0x1.17d791292b1dbp-3, 0x1.13baf1004621ap-3, 0x1.0fa638a94e37dp-3, 0x1.0b998da68200ep-3, 0x1.0795139fc3e4dp-3, 0x1.0398ec6b598f5p-3, 0x1.ff4a702d686edp-4, 0x1.f77429de78d95p-4, 0x1.efaf3f162a2f8p-4, 0x1.e7fbe5a3cb0a5p-4, 0x1.e05a500b3fd54p-4, 0x1.d8caad967abdbp-4, 0x1.d14d2a66f3a19p-4, 0x1.c9e1ef8710298p-4, 0x1.c28922fb73413p-4, 0x1.bb42e7d4490bfp-4, 0x1.b40f5e3e689f6p-4, 0x1.aceea394723adp-4, 0x1.a5e0d26fc88bdp-4, 0x1.9ee602b96c0b8p-4, 0x1.97fe49bac05dfp-4, 0x1.9129ba2e2f638p-4, 0x1.8a68644fa50f8p-4, 0x1.83ba55ecef45dp-4, 0x1.7d1f9a75f7b8dp-4, 0x1.76983b0cd0eb3p-4, 0x1.70243e95a279p-4, 0x1.69c3a9c66aa0ep-4, 0x1.63767f369459bp-4, 0x1.5d3cbf6e5f504p-4, 0x1.571668f61f155p-4, 0x1.510378654a441p-4, 0x1.4b03e8715b0abp-4, 0x1.4517b1fc7f246p-4, 0x1.3f3ecc2419bcbp-4, 0x1.39792c4f0ef5ep-4, 0x1.33c6c63be0feap-4, 0x1.2e278c0e9a4f9p-4, 0x1.289b6e5e818d4p-4, 0x1.23225c439b46ap-4, 0x1.1dbc4363f6929p-4, 0x1.18691000c5c8p-4, 0x1.1328ad033eea9p-4, 0x1.0dfb0409496c4p-4, 0x1.08dffd71f2f06p-4, 0x1.03d78069b1bd7p-4, 0x1.fdc2e5ecd772ep-5, 0x1.f3fb740696847p-5, 0x1.ea5872d8b288fp-5, 0x1.e0d9a813c67f8p-5, 0x1.d77ed77758536p-5, 0x1.ce47c2e7bf22ep-5, 0x1.c5342a83acfdep-5, 0x1.bc43ccb940a95p-5, 0x1.b376665aa9424p-5, 0x1.aacbb2b26702dp-5, 0x1.a2436b9715ceep-5, 0x1.99dd497ed37a4p-5, 0x1.91990392340fap-5, 0x1.89764fbecd3dap-5, 0x1.8174e2c95b61cp-5, 0x1.7994705f78ccp-5, 0x1.71d4ab28f0082p-5, 0x1.6a3544d8a3319p-5, 0x1.62b5ee3d0ac6fp-5, 0x1.5b5657505091fp-5, 0x1.54162f480864dp-5, 0x1.4cf524a47ef05p-5, 0x1.45f2e53fa452bp-5, 0x1.3f0f1e5b9da34p-5, 0x1.38497cb0e96aep-5, 0x1.31a1ac7c25d1bp-5, 0x1.2b17598b830f4p-5, 0x1.24aa2f4bc7067p-5, 0x1.1e59d8d4ff405p-5, 0x1.182600f6d7126p-5, 0x1.120e524485f9ap-5, 0x1.0c1277207a0d7p-5, 0x1.063219c794524p-5, 0x1.006ce45c1fbbfp-5, 0x1.f58501e0c7d2ep-6, 0x1.ea653321df803p-6, 0x1.df79b09d149c8p-6, 0x1.d4c1ce8fa41aap-6, 0x1.ca3ce165188abp-6, 0x1.bfea3dc947088p-6, 0x1.b5c938b9b7af8p-6, 0x1.abd92796728a9p-6, 0x1.a219603234853p-6, 0x1.988938e20c5d1p-6, 0x1.8f28088c64822p-6, 0x1.85f526b78d97ep-6, 0x1.7cefeb97a93abp-6, 0x1.7417b01c199f8p-6, 0x1.6b6bcdfc6b803p-6, 0x1.62eb9fc4a809p-6, 0x1.5a9680e1384b3p-6, 0x1.526bcdaa4cd6ap-6, 0x1.4a6ae36eb2f4fp-6, 0x1.4293207e45448p-6, 0x1.3ae3e433d8087p-6, 0x1.335c8efec5105p-6, 0x1.2bfc826be3da2p-6, 0x1.24c3212e33985p-6, 0x1.1dafcf2702547p-6, 0x1.16c1f16daf72p-6, 0x1.0ff8ee57141e4p-6, 0x1.09542d7c6c628p-6, 0x1.02d317c1f435fp-6, 0x1.f8ea2eba27f39p-7, 0x1.ec732fb4780eep-7, 0x1.e0400c44b46dcp-7, 0x1.d44fa0ffec0c4p-7, 0x1.c8a0cd47f9113p-7, 0x1.bd327354550c9p-7, 0x1.b203783a7f6f9p-7, 0x1.a712c3f5708abp-7, 0x1.9c5f416cc08cap-7, 0x1.91e7de7af5c46p-7, 0x1.87ab8bf3624c8p-7, 0x1.7da93da770c0ep-7, 0x1.73dfea6b54bc3p-7, 0x1.6a4e8c1a4685cp-7, 0x1.60f41f9a22872p-7, 0x1.57cfa4deaeafcp-7, 0x1.4ee01eec385dcp-7, 0x1.462493d9ded22p-7, 0x1.3d9c0cd34779dp-7, 0x1.3545961a09e05p-7, 0x1.2d203f06840f3p-7, 0x1.252b1a086dc4p-7, 0x1.1d653ca6e7a38p-7, 0x1.15cdbf803d291p-7, 0x1.0e63be49329e1p-7, 0x1.072657cc0639cp-7, 0x1.0014ade719035p-7, 0x1.f25bcb168e658p-8, 0x1.e4e24d739c4e4p-8, 0x1.d7bb390439a7fp-8, 0x1.cae4e9fe33acbp-8, 0x1.be5dc2a8b2fe2p-8, 0x1.b2242b55b7e78p-8, 0x1.a636925b670fp-8, 0x1.9a936c0c935efp-8, 0x1.8f3932b0e131ep-8, 0x1.8426667c9e0f3p-8, 0x1.79598d87daf94p-8, 0x1.6ed133c543756p-8, 0x1.648beaf8c1e9ep-8, 0x1.5a884aad47debp-8, 0x1.50c4f02aa408fp-8, 0x1.47407e6ae386cp-8, 0x1.3df99e0f3aea6p-8, 0x1.34eefd54bd2aep-8, 0x1.2c1f5008d8513p-8, 0x1.23894f7d61461p-8, 0x1.1b2bba7c73b69p-8, 0x1.1305553c2a915p-8, 0x1.0b14e951ec6ccp-8, 0x1.035945a58f1dep-8, 0x1.f7a27cc8def73p-9, 0x1.e8f759e82e47ep-9, 0x1.daaedfc9bc9ebp-9, 0x1.ccc6d5c8d57afp-9, 0x1.bf3d0d5fbbb2bp-9, 0x1.b20f620c43174p-9, 0x1.a53bb9338fad8p-9, 0x1.98c00206457cdp-9, 0x1.8c9a35639ee49p-9, 0x1.80c855bd5cce5p-9, 0x1.75486efabe9dp-9, 0x1.6a18965bbe3a5p-9, 0x1.5f36ea5beeb09p-9, 0x1.54a192957bfbdp-9, 0x1.4a56bfa402525p-9, 0x1.4054ab0739843p-9, 0x1.36999705d2757p-9, 0x1.2d23ce8fd04c8p-9, 0x1.23f1a5218a83cp-9, 0x1.1b0176a5c79b8p-9, 0x1.1251a7590078bp-9, 0x1.09e0a3abbd849p-9, 0x1.01ace025399aap-9, 0x1.f369b28ced5afp-10, 0x1.e3ee26d997c1bp-10, 0x1.d4e43569c753ep-10, 0x1.c64905bc5f3p-10, 0x1.b819ce5a93ea4p-10, 0x1.aa53d49f753e3p-10, 0x1.9cf46c7e3920ap-10, 0x1.8ff8f849613d5p-10, 0x1.835ee879f2785p-10, 0x1.7723bb77314b5p-10, 0x1.6b44fd5e8349ap-10, 0x1.5fc047cbaab7p-10, 0x1.549341a167739p-10, 0x1.49bb9ed2a022dp-10, 0x1.3f37202b8912fp-10, 0x1.3503931b9daeap-10, 0x1.2b1ed17f87ebbp-10, 0x1.2186c16c477aap-10, 0x1.183954f9e4fedp-10, 0x1.0f348a0e981e1p-10, 0x1.06766a2c4eacdp-10, 0x1.fbfa1476a00c4p-11, 0x1.eb8d14b0bb5bap-11, 0x1.dba22b431c728p-11, 0x1.cc35c4088bf26p-11, 0x1.bd446017e01c9p-11, 0x1.aeca95615d30ep-11, 0x1.a0c50e4e0b0c4p-11, 0x1.9330895ef52a1p-11, 0x1.8609d8ce80184p-11, 0x1.794de232c782p-11, 0x1.6cf99e215e6fbp-11, 0x1.610a17d1d7e08p-11, 0x1.557c6cc490cfep-11, 0x1.4a4dcc67eff07p-11, 0x1.3f7b77c100b0ep-11, 0x1.3502c1130b4b5p-11, 0x1.2ae10b8a2b91ap-11, 0x1.2113cae5b5f69p-11, 0x1.1798832456d6bp-11, 0x1.0e6cc830b21cbp-11, 0x1.058e3d8fe41abp-11, 0x1.f9f52c22dedp-12, 0x1.e95f26fd8d14bp-12, 0x1.d9560c996d369p-12, 0x1.c9d59a9ce6d28p-12, 0x1.bad9aad2c672ep-12, 0x1.ac5e32931ebd6p-12, 0x1.9e5f423008deap-12, 0x1.90d904631ae8p-12, 0x1.83c7bdbf0a6e6p-12, 0x1.7727cc20c472bp-12, 0x1.6af5a623e4a21p-12, 0x1.5f2dda9b1d63bp-12, 0x1.53cd100810b03p-12, 0x1.48d00416c2cc4p-12, 0x1.3e338b1adce16p-12, 0x1.33f48f8f3080fp-12, 0x1.2a101196ac71dp-12, 0x1.20832680ffa5dp-12, 0x1.174af84e3f88p-12, 0x1.0e64c539c36afp-12, 0x1.05cddf427a262p-12, 0x1.fb07576b644d2p-13, 0x1.eb07457b79601p-13, 0x1.db969de3e9cdfp-13, 0x1.ccb099d049909p-13, 0x1.be5095918cd4cp-13, 0x1.b0720fc7d7c08p-13, 0x1.a310a8943aa4cp-13, 0x1.962820c920eb5p-13, 0x1.89b45921a3a08p-13, 0x1.7db1517c0cf1p-13, 0x1.721b2819ec981p-13, 0x1.66ee18e142a02p-13, 0x1.5c267c9f94216p-13, 0x1.51c0c854b9fb5p-13, 0x1.47b98c7fa45b7p-13, 0x1.3e0d746d7d59bp-13, 0x1.34b9458d25c54p-13, 0x1.2bb9dec577b68p-13, 0x1.230c37d317df6p-13, 0x1.1aad60a0c1a17p-13, 0x1.129a80ab87c93p-13, 0x1.0ad0d663ceb73p-13, 0x1.034db696f66a7p-13, 0x1.f81d17b5134cep-14, 0x1.ea21abecf202fp-14, 0x1.dca452ac4446dp-14, 0x1.cfa05cfc6ed52p-14, 0x1.c311430212774p-14, 0x1.b6f2a2ee0cc37p-14, 0x1.ab403ff8223dp-14, 0x1.9ff6015be77a3p-14, 0x1.950ff1634e60bp-14, 0x1.8a8a3c64cf3acp-14, 0x1.80612fd7a3a75p-14, 0x1.769139651b2aap-14, 0x1.6d16e6052ad7bp-14, 0x1.63eee119fb30cp-14, 0x1.5b15f39281a19p-14, 0x1.528903149b086p-14, 0x1.4a45112b88b81p-14, 0x1.42473a778c73bp-14, 0x1.3a8cb5e36b471p-14, 0x1.3312d3e05ba5ep-14, 0x1.2bd6fda728c9ap-14, 0x1.24d6b4801f308p-14, 0x1.1e0f910685286p-14, 0x1.177f427825e74p-14, 0x1.11238e05035e7p-14, 0x1.0afa4e28602f7p-14, 0x1.0501720074cc3p-14, 0x1.fe6df955b4958p-15, 0x1.f332095148ccp-15, 0x1.e84b668b7da2ep-15, 0x1.ddb688012faacp-15, 0x1.d37007edda7fep-15, 0x1.c974a2abae845p-15, 0x1.bfc135a03ed21p-15, 0x1.b652be2db29e7p-15, 0x1.ad2658ab3f1b5p-15, 0x1.a4393f5f5f612p-15, 0x1.9b88c983661aap-15, 0x1.93126a54e3603p-15, 0x1.8ad3b025b4a9ep-15, 0x1.82ca436dc9107p-15, 0x1.7af3e5efbe2c4p-15, 0x1.734e71d85b578p-15, 0x1.6bd7d8f25fdc4p-15, 0x1.648e23ce53d6fp-15, 0x1.5d6f70f937e6cp-15, 0x1.5679f4364e384p-15, 0x1.4fabf5c0e3148p-15, 0x1.4903d19360d76p-15, 0x1.427ff6b3a3696p-15, 0x1.3c1ee67df573bp-15, 0x1.35df33fe0e711p-15, 0x1.2fbf8349ba9bfp-15, 0x1.29be88dff7878p-15, 0x1.23db0908323b5p-15, 0x1.1e13d73a14941p-15, 0x1.1867d58d1e46cp-15, 0x1.12d5f428043edp-15, 0x1.0d5d30bb7765bp-15, }}, 
      {{-0x1.02f2e7857778p-1, -0x1.02ffb4c177109p-1, -0x1.0314eb926fa8ep-1, -0x1.03325e04c6badp-1, -0x1.0357cd65e09e2p-1, -0x1.0384eb9d893cdp-1, -0x1.03b95cabc913ap-1, -0x1.03f4b83953862p-1, -0x1.04368b2cf5b06p-1, -0x1.047e593bc52d8p-1, -0x1.04cb9e6c859f4p-1, -0x1.051dd088eb316p-1, -0x1.057460790883ap-1, -0x1.05cebb86a418fp-1, -0x1.062c4c873128dp-1, -0x1.068c7cebfec0dp-1, -0x1.06eeb5b8d2a5ap-1, -0x1.0752606191cccp-1, -0x1.07b6e78ff90a1p-1, -0x1.081bb7d2952f8p-1, -0x1.088040365e6cfp-1, -0x1.08e3f2cc6388bp-1, -0x1.0946451d0359ap-1, -0x1.09a6b08a2b72bp-1, -0x1.0a04b2a20ef88p-1, -0x1.0a5fcd63baf8cp-1, -0x1.0ab78776da415p-1, -0x1.0b0b6c57ec682p-1, -0x1.0b5b0c7a18ab6p-1, -0x1.0ba5fd5fb73b5p-1, -0x1.0bebd9aa92387p-1, -0x1.0c2c4124cc1cp-1, -0x1.0c66d8c3461ffp-1, -0x1.0c9b4aa24c583p-1, -0x1.0cc945fd3ee3p-1, -0x1.0cf07f21da092p-1, -0x1.0d10af5fb3476p-1, -0x1.0d2994f4719dep-1, -0x1.0d3af2f538547p-1, -0x1.0d449135b3b27p-1, -0x1.0d463c2d2637fp-1, -0x1.0d3fc4d9cda63p-1, -0x1.0d3100a2f0fbcp-1, -0x1.0d19c939d87bep-1, -0x1.0cf9fc79ef4dfp-1, -0x1.0cd17c4847016p-1, -0x1.0ca02e72aab22p-1, -0x1.0c65fc8e6ee38p-1, -0x1.0c22d3d72259p-1, -0x1.0bd6a50d4274p-1, -0x1.0b8164550fe4dp-1, -0x1.0b2309159ac62p-1, -0x1.0abb8dd820be6p-1, -0x1.0a4af027ccc42p-1, -0x1.09d13071e8229p-1, -0x1.094e51e68e8d4p-1, -0x1.08c25a59ee81p-1, -0x1.082d52261f648p-1, -0x1.078f440d97182p-1, -0x1.06e83d1e4552dp-1, -0x1.06384c955a159p-1, -0x1.057f83c3ba47ep-1, -0x1.04bdf5f3271c6p-1, -0x1.03f3b84c19ff7p-1, -0x1.0320e1bc54d7ep-1, -0x1.02458ade29753p-1, -0x1.0161cde076694p-1, -0x1.0075c66f57c38p-1, -0x1.ff03233b1d117p-2, -0x1.fd0a9b9d2edd8p-2, -0x1.fb023542e76cbp-2, -0x1.f8ea31b83f7d1p-2, -0x1.f6c2d4af66b76p-2, -0x1.f48c63da5a173p-2, -0x1.f24726c5c119dp-2, -0x1.eff366b510d24p-2, -0x1.ed916e7fed683p-2, -0x1.eb218a70c0557p-2, -0x1.e8a4082480bd8p-2, -0x1.e619366ba2715p-2, -0x1.e381652c26c6cp-2, -0x1.e0dce544c8accp-2, -0x1.de2c08713a4e6p-2, -0x1.db6f212f6dabap-2, -0x1.d8a682a5e4339p-2, -0x1.d5d2808af7bc8p-2, -0x1.d2f36f0d1b894p-2, -0x1.d009a2bc0f32dp-2, -0x1.cd157072f24f4p-2, -0x1.ca172d434131fp-2, -0x1.c70f2e60a7da4p-2, -0x1.c3fdc90daaa1ep-2, -0x1.c0e352891c4dfp-2, -0x1.bdc01ffc5c3cep-2, -0x1.ba94866a55a77p-2, -0x1.b760da9f3aad6p-2, -0x1.b4257120f657bp-2, -0x1.b0e29e204b72dp-2, -0x1.ad98b56aa3c5p-2, -0x1.aa480a5c7e7afp-2, -0x1.a6f0efd483f1ap-2, -0x1.a393b82733dfap-2, -0x1.a030b51326d3ep-2, -0x1.9cc837b5e4cc6p-2, -0x1.995a908148fabp-2, -0x1.95e80f316d6e5p-2, -0x1.927102c31ab01p-2, -0x1.8ef5b96ab98c9p-2, -0x1.8b76808bc073cp-2, -0x1.87f3a4b09879dp-2, -0x1.846d7182fa685p-2, -0x1.80e431c4b8716p-2, -0x1.7d582f48f9cc1p-2, -0x1.79c9b2edddaacp-2, -0x1.7639049686de4p-2, -0x1.72a66b258b4efp-2, -0x1.6f122c77c194p-2, -0x1.6b7c8d5f710edp-2, -0x1.67e5d19fd6e85p-2, -0x1.644e3be908bbdp-2, -0x1.60b60dd4282efp-2, -0x1.5d1d87dfebdbp-2, -0x1.5984e96d759f6p-2, -0x1.55ec70bd796f1p-2, -0x1.52545aedad91p-2, -0x1.4ebce3f682908p-2, -0x1.4b2646a9226d8p-2, -0x1.4790bcadb5ba7p-2, -0x1.43fc7e81e87f6p-2, -0x1.4069c377ae72cp-2, -0x1.3cd8c1b446f72p-2, -0x1.3949ae2f7c083p-2, -0x1.35bcbcb31a548p-2, -0x1.32321fdaa1a2bp-2, -0x1.2eaa09132adeap-2, -0x1.2b24a89b843f4p-2, -0x1.27a22d847c0aap-2, -0x1.2422c5b15f404p-2, -0x1.20a69dd8a58f7p-2, -0x1.1d2de184ca9aep-2, -0x1.19b8bb155488cp-2, -0x1.164753c000d6ap-2, -0x1.12d9d3921e08cp-2, -0x1.0f7061720818ap-2, -0x1.0c0b2320ce3adp-2, -0x1.08aa3d3bf9305p-2, -0x1.054dd33f74c74p-2, -0x1.01f607879c8afp-2, -0x1.fd45f6a6cbd58p-3, -0x1.f6a99d8d5175ap-3, -0x1.f01741d90b37cp-3, -0x1.e98f1f73cf504p-3, -0x1.e31170204107p-3, -0x1.dc9e6b7f3938ap-3, -0x1.d6364715639e5p-3, -0x1.cfd9365102ca4p-3, -0x1.c9876a8fe3a2fp-3, -0x1.c34113257a36cp-3, -0x1.bd065d611ffbbp-3, -0x1.b6d774947a85bp-3, -0x1.b0b4821a056c6p-3, -0x1.aa9dad5bb693bp-3, -0x1.a4931bd9c4c31p-3, -0x1.9e94f13189809p-3, -0x1.98a34f247d505p-3, -0x1.92be559f43c8p-3, -0x1.8ce622c0de57ap-3, -0x1.871ad2e1e0d34p-3, -0x1.815c809bc4c75p-3, -0x1.7bab44d0475ap-3, -0x1.760736b0d9a66p-3, -0x1.70706bc619013p-3, -0x1.6ae6f7f75a989p-3, -0x1.656aed923712ep-3, -0x1.5ffc5d5227c5dp-3, -0x1.5a9b566823ed3p-3, -0x1.5547e6824950ep-3, -0x1.500219d38166cp-3, -0x1.4ac9fb1b2f3f6p-3, -0x1.459f93acdad05p-3, -0x1.4082eb77e1844p-3, -0x1.3b74090f1a7cp-3, -0x1.3672f1b0871ebp-3, -0x1.317fa94cf1323p-3, -0x1.2c9a328f8e39fp-3, -0x1.27c28ee595a4ap-3, -0x1.22f8be85d8bb8p-3, -0x1.1e3cc07845767p-3, -0x1.198e929d6db4ap-3, -0x1.14ee31b5fb1c8p-3, -0x1.105b996a1a2efp-3, -0x1.0bd6c450d90a7p-3, -0x1.075fabf780061p-3, -0x1.02f648e8cc63ep-3, -0x1.fd35256862583p-4, -0x1.f498ffe9f0bacp-4, -0x1.ec180cb2b6a34p-4, -0x1.e3b23553169abp-4, -0x1.db67619d49e57p-4, -0x1.d33777b32b43cp-4, -0x1.cb225c13d779ap-4, -0x1.c327f1a928e4ep-4, -0x1.bb4819d50fe45p-4, -0x1.b382b47eb9fcbp-4, -0x1.abd7a01f9e9a5p-4, -0x1.a446b9d051c4ap-4, -0x1.9ccfdd553c6e9p-4, -0x1.9572e52b14369p-4, -0x1.8e2faa934081p-4, -0x1.8706059ffdc6ep-4, -0x1.7ff5cd405f1dap-4, -0x1.78fed74c1bd99p-4, -0x1.7220f88f34e6dp-4, -0x1.6b5c04d564d45p-4, -0x1.64afcef5643e6p-4, -0x1.5e1c28dbfdaa9p-4, -0x1.57a0e396f18a4p-4, -0x1.513dcf5faa369p-4, -0x1.4af2bba5bf5d9p-4, -0x1.44bf7719485b6p-4, -0x1.3ea3cfb4ff12ep-4, -0x1.389f92c82fef5p-4, -0x1.32b28d007b1a7p-4, -0x1.2cdc8a73638ebp-4, -0x1.271d56a7ac8e8p-4, -0x1.2174bc9e87c78p-4, -0x1.1be286dc91538p-4, -0x1.16667f729bdf5p-4, -0x1.110070064b083p-4, -0x1.0bb021da7ddfep-4, -0x1.06755dd7893c5p-4, -0x1.014fec9342e26p-4, -0x1.f87f2cb1b40b1p-5, -0x1.ee88466107f4p-5, -0x1.e4bab5cdeb103p-5, -0x1.db160a29635a5p-5, -0x1.d199d24a49fbap-5, -0x1.c8459cbb2c90dp-5, -0x1.bf18f7c7d18c3p-5, -0x1.b613718a5df26p-5, -0x1.ad3497f824e35p-5, -0x1.a47bf8ee198c1p-5, -0x1.9be9223cef1e3p-5, -0x1.937ba1b4db2f7p-5, -0x1.8b33053102f46p-5, -0x1.830edaa293559p-5, -0x1.7b0eb01b8655dp-5, -0x1.733213d910283p-5, -0x1.6b78944dbd76p-5, -0x1.63e1c02b416c9p-5, -0x1.5c6d266beea56p-5, -0x1.551a565be1f1fp-5, -0x1.4de8dfa1e561cp-5, -0x1.46d85247faf77p-5, -0x1.3fe83ec3a6a11p-5, -0x1.391835fde2b0dp-5, -0x1.3267c95ad668fp-5, -0x1.2bd68ac1397edp-5, -0x1.25640ca1773aep-5, -0x1.1f0fe1fc875b3p-5, -0x1.18d99e6a86931p-5, -0x1.12c0d6210851ep-5, -0x1.0cc51df923943p-5, -0x1.06e60b7545a6ap-5, -0x1.012334c6bf3edp-5, -0x1.f6f861a628b7p-6, -0x1.ebe12e721a53cp-6, -0x1.e10000ab222c4p-6, -0x1.d6540a907592p-6, -0x1.cbdc7fef7cd0fp-6, -0x1.c198962c20521p-6, -0x1.b7878448ab7c8p-6, -0x1.ada882ed3fb3bp-6, -0x1.a3facc6edfe4cp-6, -0x1.9a7d9cd613edbp-6, -0x1.913031e525487p-6, -0x1.8811cb1dfb4dcp-6, -0x1.7f21a9c790bb4p-6, -0x1.765f10f3135f8p-6, -0x1.6dc945809e722p-6, -0x1.655f8e23a12dfp-6, -0x1.5d213366ed75bp-6, -0x1.550d7fb06feabp-6, -0x1.4d23bf448a6ccp-6, -0x1.4563404937023p-6, -0x1.3dcb52c8bf162p-6, -0x1.365b48b43a6b9p-6, -0x1.2f1275e5b781ep-6, -0x1.27f0302223f12p-6, -0x1.20f3cf1ae48d7p-6, -0x1.1a1cac6f375b8p-6, -0x1.136a23ad405f6p-6, -0x1.0cdb9252e7462p-6, -0x1.067057ce6d486p-6, -0x1.0027d57ec7f0ap-6, -0x1.f402dd677d537p-7, -0x1.e7f9115bb24e3p-7, -0x1.dc31153c15e69p-7, -0x1.d0a9bb4a62834p-7, -0x1.c561d9a6ae173p-7, -0x1.ba584a4da65d2p-7, -0x1.af8beb164fd2p-7, -0x1.a4fb9daf8288cp-7, -0x1.9aa6479cf0c6fp-7, -0x1.908ad233faf68p-7, -0x1.86a82a9817393p-7, -0x1.7cfd41b6eb94dp-7, -0x1.73890c442b9a5p-7, -0x1.6a4a82b5192a5p-7, -0x1.6140a13bccee3p-7, -0x1.586a67c232d15p-7, -0x1.4fc6d9e4c7255p-7, -0x1.4754feed25796p-7, -0x1.3f13e1cc3a45dp-7, -0x1.370291145e7f9p-7, -0x1.2f201ef329245p-7, -0x1.276ba12b1495cp-7, -0x1.1fe4310cf4f31p-7, -0x1.1888eb7138f78p-7, -0x1.1158f0b102bcep-7, -0x1.0a53649f1c0a6p-7, -0x1.03776e80aff39p-7, -0x1.f988720c07ce7p-8, -0x1.ec71e485c5445p-8, -0x1.dfa9974e0d23bp-8, -0x1.d32df3eca3f1fp-8, -0x1.c6fd6a81e86fep-8, -0x1.bb1671b6e1eebp-8, -0x1.af7786ad20c33p-8, -0x1.a41f2cee72d08p-8, -0x1.990bee5c4fbbap-8, -0x1.8e3c5b1f436ebp-8, -0x1.83af099630ec4p-8, -0x1.796296454bf34p-8, -0x1.6f55a3c539c3bp-8, -0x1.6586dab1cfa64p-8, -0x1.5bf4e998e3788p-8, -0x1.529e84e909ecdp-8, -0x1.498266e026e8cp-8, -0x1.409f4f7a0b672p-8, -0x1.37f4045ef6a2ep-8, -0x1.2f7f50d21a5bep-8, -0x1.274005a00baebp-8, -0x1.1f34f90d2d2bbp-8, -0x1.175d06c41d26bp-8, -0x1.0fb70fc42d085p-8, -0x1.0841fa4fbf02ap-8, -0x1.00fcb1dadc10cp-8, -0x1.f3cc4df31032bp-9, -0x1.e5fa9e9ca499fp-9, -0x1.d8824af1bd87bp-9, -0x1.cb615208f088dp-9, -0x1.be95bcad83b21p-9, -0x1.b21d9d3cb414ep-9, -0x1.a5f70f8359a7ap-9, -0x1.9a20389b7f5b8p-9, -0x1.8e9746ca244a7p-9, -0x1.835a715d51e6fp-9, -0x1.7867f88a442f3p-9, -0x1.6dbe254bb046ap-9, -0x1.635b494069128p-9, -0x1.593dbe89fec5bp-9, -0x1.4f63e7abb5ae3p-9, -0x1.45cc2f69cc62dp-9, -0x1.3c7508a8be907p-9, -0x1.335cee4cef5c2p-9, -0x1.2a82631aacb7ap-9, -0x1.21e3f19626536p-9, -0x1.19802be3dc78fp-9, -0x1.1155aba94f129p-9, -0x1.096311edd53b4p-9, -0x1.01a706fbc42e9p-9, -0x1.f4407483f83bfp-10, -0x1.e59ac46b5aa29p-10, -0x1.d75a786885fd6p-10, -0x1.c97d18cba05b8p-10, -0x1.bc003b3f11f98p-10, -0x1.aee1828d77605p-10, -0x1.a21e9e6843286p-10, -0x1.95b54b2e7d028p-10, -0x1.89a351b48836cp-10, -0x1.7de6870c617bcp-10, -0x1.727ccc4e84903p-10, -0x1.67640e6375162p-10, -0x1.5c9a45cdb6e47p-10, -0x1.521d7674cdceep-10, -0x1.47ebaf706054dp-10, -0x1.3e030ad4892ep-10, -0x1.3461ad7e6b455p-10, -0x1.2b05c6e193bdp-10, -0x1.21ed90d5a5226p-10, -0x1.19174f6556a72p-10, -0x1.1081509d54f4p-10, -0x1.0829ec5c661e1p-10, -0x1.000f8423db853p-10, -0x1.f06105d164dfcp-11, -0x1.e116b9caf1926p-11, -0x1.d23d1ed927316p-11, -0x1.c3d141771db4bp-11, -0x1.b5d03f9d13a5ap-11, -0x1.a837486988d0dp-11, -0x1.9b039bcb04c7cp-11, -0x1.8e328a2b3a6a6p-11, -0x1.81c1741b9aee9p-11, -0x1.75adca0329c95p-11, -0x1.69f50bccddc85p-11, -0x1.5e94c89882ce6p-11, -0x1.538a9e6b34e12p-11, -0x1.48d439e2d659cp-11, -0x1.3e6f55e916d7ep-11, -0x1.3459bb6907e7ap-11, -0x1.2a914104d53b6p-11, -0x1.2113cacd8b5e5p-11, -0x1.17df49fb358b9p-11, -0x1.0ef1bca6cfe6p-11, -0x1.06492d84ec403p-11, -0x1.fbc7674366f38p-12, -0x1.eb7ee43c3728dp-12, -0x1.dbb52fdc1e5ccp-12, -0x1.cc66bf2f33099p-12, -0x1.bd901de76ea5fp-12, -0x1.af2deddefcc67p-12, -0x1.a13ce69e0ef79p-12, -0x1.93b9d4e14dc4dp-12, -0x1.86a19a2432e63p-12, -0x1.79f12c2be848bp-12, -0x1.6da5949560996p-12, -0x1.61bbf0647e7b7p-12, -0x1.56316f95f80ccp-12, -0x1.4b0354b34308ep-12, -0x1.402ef467ea1c3p-12, -0x1.35b1b518f8572p-12, -0x1.2b890e7eef67p-12, -0x1.21b28940a8e56p-12, -0x1.182bbe90c02bbp-12, -0x1.0ef257cd2531fp-12, -0x1.06040e1f22b87p-12, -0x1.fabd543e79daap-13, -0x1.ea0006f1e3cd5p-13, -0x1.d9cc0123257b5p-13, -0x1.ca1d2c5f9983fp-13, -0x1.baef8e4ba19e1p-13, -0x1.ac3f47f890e4cp-13, -0x1.9e0895402546bp-13, -0x1.9047cc20a87e8p-13, -0x1.82f95c1dea3bdp-13, -0x1.7619cda600c5ep-13, -0x1.69a5c177a457fp-13, -0x1.5d99f00ca8563p-13, -0x1.51f32906c27a3p-13, -0x1.46ae529fef0a9p-13, -0x1.3bc8691c79b4cp-13, -0x1.313e7e42bc458p-13, -0x1.270db8d299d38p-13, -0x1.1d3354012b921p-13, -0x1.13ac9ef82219cp-13, -0x1.0a76fc56426aap-13, -0x1.018fe1b394b01p-13, -0x1.f1e9ae50641c2p-14, -0x1.e146eda7c6cb8p-14, -0x1.d132d8d5770b5p-14, -0x1.c1a8e98660503p-14, -0x1.b2a4bacd37dfap-14, -0x1.a422084737f27p-14, -0x1.961cad47d215ep-14, -0x1.8890a409bbb98p-14, -0x1.7b7a04e0c02dap-14, -0x1.6ed50573a3425p-14, -0x1.629df7f870236p-14, -0x1.56d14a75108f6p-14, -0x1.4b6b86058cf45p-14, -0x1.40694e264aafdp-14, -0x1.35c76000f4837p-14, -0x1.2b8291bef117fp-14, -0x1.2197d1deb6533p-14, -0x1.180426905976fp-14, -0x1.0ec4ad1027be4p-14, -0x1.05d69909e9743p-14, -0x1.fa6e67f9c4bf9p-15, -0x1.e9c7b946f5ddcp-15, -0x1.d9b40cc4e8b0ep-15, -0x1.ca2e716c4ece1p-15, -0x1.bb321d4d5a5b6p-15, -0x1.acba6c7b46bbbp-15, -0x1.9ec2e000b2cabp-15, -0x1.91471cdc0fdf6p-15, -0x1.8442eafe673e6p-15, -0x1.77b234504bc58p-15, -0x1.6b9103bf1df96p-15, -0x1.5fdb844e9b4ffp-15, -0x1.548e00326cff9p-15, -0x1.49a4dfeb4de5bp-15, -0x1.3f1ca96a5d5fep-15, -0x1.34f1ff3995e9fp-15, -0x1.2b219faaff5a1p-15, -0x1.21a8640d0d2c2p-15, -0x1.18833fe207be6p-15, -0x1.0faf401f72e89p-15, -0x1.07298a6d070c8p-15, -0x1.fddeb8dc24f4fp-16, -0x1.edfc16198d426p-16, -0x1.dea6039904dc1p-16, -0x1.cfd78438fd5ap-16, -0x1.c18bc56654eecp-16, -0x1.b3be1dd599f31p-16, -0x1.a66a0c496b9bp-16, -0x1.998b36603e2e6p-16, -0x1.8d1d67653fd06p-16, -0x1.811c8f2ebe99dp-16, -0x1.7584c0ff6c3fcp-16, -0x1.6a52327461368p-16, -0x1.5f813a7764f24p-16, -0x1.550e5037c96b4p-16, -0x1.4af60a2be67a9p-16, -0x1.41351d1a2f7d4p-16, -0x1.37c85b258d8e2p-16, -0x1.2eacb2e4f9e41p-16, -0x1.25df2e81f4f3ap-16, -0x1.1d5cf2d539c44p-16, -0x1.15233e8fad9c9p-16, -0x1.0d2f69684dfc9p-16, -0x1.057ee3513e5e9p-16, -0x1.fc1e675fa7e27p-17, -0x1.edbbf137c75dep-17, -0x1.dfd1cc4c325b2p-17, -0x1.d25b8b3cf717cp-17, -0x1.c554e9c940ddp-17, -0x1.b8b9cb77af71ap-17, -0x1.ac863a4952517p-17, -0x1.a0b66577cf24ap-17, -0x1.9546a02f241d8p-17, -0x1.8a33606411cc8p-17, -0x1.7f793da85b8ddp-17, -0x1.7514f008395d3p-17, -0x1.6b034ef34fb39p-17, -0x1.6141502c8cce2p-17, -0x1.57cc06c53b4a6p-17, -0x1.4ea0a213ca753p-17, -0x1.45bc6cc50134bp-17, -0x1.3d1ccbe54a93ep-17, -0x1.34bf3dfa45a61p-17, -0x1.2ca15a1f6e56bp-17, -0x1.24c0cf26260cp-17, -0x1.1d1b62c34c508p-17, -0x1.15aef0bf0d914p-17, -0x1.0e796a2e45d68p-17, -0x1.0778d4ad94683p-17, -0x1.00ab49a7e4e92p-17, -0x1.f41deb3e464bfp-18, -0x1.e7442ef56822bp-18, -0x1.dac5ffbbf49bbp-18, -0x1.cea02102dd3d8p-18, -0x1.c2cf77210e783p-18, -0x1.b7510624d48b7p-18, -0x1.ac21f09e0082p-18, -0x1.a13f767fffd6ap-18, -0x1.96a6f405a426dp-18, -0x1.8c55e0a701529p-18, -0x1.8249ce095eef9p-18, -0x1.78806703507d2p-18, -0x1.6ef76ea63c972p-18, -0x1.65acbf4ea9ddfp-18, -0x1.5c9e49be1efabp-18, -0x1.53ca1440f352bp-18, -0x1.4b2e39d2e4fb3p-18, -0x1.42c8e94a1f5a9p-18, -0x1.3a98649695363p-18, -0x1.329afffd07149p-18, -0x1.2acf21580ecacp-18, -0x1.23333f651030cp-18, -0x1.1bc5e1192bbb5p-18, -0x1.14859cf4e2292p-18, -0x1.0d7118616de2ap-18, -0x1.0687071633dd7p-18, -0x1.ff8c54ff6e9a2p-19, -0x1.f25aa254ea66fp-19, -0x1.e576ac7ae7348p-19, -0x1.d8de41d96cce4p-19, -0x1.cc8f47e2127f2p-19, -0x1.c087ba2a81124p-19, -0x1.b4c5a973e91efp-19, -0x1.a9473abf7a64ap-19, -0x1.9e0aa66282f37p-19, -0x1.930e3738116d9p-19, -0x1.885049d5d689ep-19, -0x1.7dcf4bb93e575p-19, -0x1.7389ba8bbe80ep-19, -0x1.697e23679d0d2p-19, -0x1.5fab2224bd9f1p-19, -0x1.560f60a5d14a1p-19, -0x1.4ca99645d6085p-19, -0x1.437887233a8ebp-19, -0x1.3a7b0391c1dbdp-19, -0x1.31afe793356cap-19, -0x1.29161a485e2d5p-19, -0x1.20ac8d5be98c8p-19, -0x1.18723c80ceb4dp-19, -0x1.10662d0adc855p-19, -0x1.08876d69859b7p-19, -0x1.00d514ba7585ap-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.2b0d2f6e0db8ep-8, 0x1.2b05ef49bf2bdp-7, 0x1.c071b19e7f06fp-7, 0x1.2ada86e8519cbp-6, 0x1.7558726fb85c1p-6, 0x1.bf9d90aedfe9cp-6, 0x1.04c7b91e47a4dp-5, 0x1.298751a6ee6d8p-5, 0x1.4dfb9e3ee22aep-5, 0x1.7210c859ae77dp-5, 0x1.95b174c98c26p-5, 0x1.b8c723d7b5c77p-5, 0x1.db3a8f5504a04p-5, 0x1.fcf403e787b2dp-5, 0x1.0eedd9e1c9896p-4, 0x1.1eed00d98ec7cp-4, 0x1.2e6be1ebaed1ap-4, 0x1.3d5f3efba5c1cp-4, 0x1.4bbc49bc63d07p-4, 0x1.5978b8abbdf9ap-4, 0x1.668ad8485a228p-4, 0x1.72e998c9318ebp-4, 0x1.7e8c98a41baf2p-4, 0x1.896c2c3355cd8p-4, 0x1.938162c9ac648p-4, 0x1.9cc609829014p-4, 0x1.a534ac1790a25p-4, 0x1.acc8940010cb1p-4, 0x1.b37dc61ada803p-4, 0x1.b950ff1b9310bp-4, 0x1.be3faef0cdbcdp-4, 0x1.c247f351e2b82p-4, 0x1.c568919eaa9b5p-4, 0x1.c7a0f036465e3p-4, 0x1.c8f10f65a4747p-4, 0x1.c959820a60704p-4, 0x1.c8db66029aaf1p-4, 0x1.c7785c7f3a978p-4, 0x1.c532824ac5049p-4, 0x1.c20c68145b04ap-4, 0x1.be090acbf2f54p-4, 0x1.b92bcc1aab105p-4, 0x1.b3786b005cb2ep-4, 0x1.acf2fc9dc5737p-4, 0x1.a59fe5313eca5p-4, 0x1.9d83d14ab79aap-4, 0x1.94a3af3a95c0cp-4, 0x1.8b04a8be26b57p-4, 0x1.80ac1ceb8a17ep-4, 0x1.759f9a5e442d5p-4, 0x1.69e4d9a516d86p-4, 0x1.5d81b7f13ec23p-4, 0x1.507c3206c4aabp-4, 0x1.42da5f6d3c19cp-4, 0x1.34a26ddffe138p-4, 0x1.25da9cfca4e9dp-4, 0x1.16893a2e70b64p-4, 0x1.06b49cd4fd3a2p-4, 0x1.ecc645493ba87p-5, 0x1.cb36587d2f788p-5, 0x1.a8c633febf669p-5, 0x1.85829201eb3ccp-5, 0x1.6178209ecaff7p-5, 0x1.3cb37c9b0b3fap-5, 0x1.17412c8fdf024p-5, 0x1.e25b38d11197cp-6, 0x1.950a326b46d3ep-6, 0x1.46a79aa28ab21p-6, 0x1.ee96f34149383p-7, 0x1.4e1b08f4e52dep-7, 0x1.58145cc4e33d2p-8, 0x1.124bce287bfadp-12, -0x1.383e6614f2bcfp-8, -0x1.41de2258e36aap-7, -0x1.e87ee405748d3p-7, -0x1.47eb661817b76p-6, -0x1.9bde0a8a5067dp-6, -0x1.f002f26914799p-6, -0x1.222314a010118p-5, -0x1.4c4a1aa65093ap-5, -0x1.766d0cb161721p-5, -0x1.a082ab4414afep-5, -0x1.ca81f6a3ef64fp-5, -0x1.f4622f61fc235p-5, -0x1.0f0d6b6246244p-4, -0x1.23d1d789e710bp-4, -0x1.387a5de58c121p-4, -0x1.4d0320d854393p-4, -0x1.6168636abc6eep-4, -0x1.75a6893f5d53bp-4, -0x1.89ba167d3cbc9p-4, -0x1.9d9fafb0636ecp-4, -0x1.b15419a15d586p-4, -0x1.c4d4392449fdcp-4, -0x1.d81d12e00a065p-4, -0x1.eb2bcb0e23d67p-4, -0x1.fdfda533d6aa4p-4, -0x1.084801ea72e1dp-3, -0x1.1170341041bafp-3, -0x1.1a7638cc72a46p-3, -0x1.2358eedae2e61p-3, -0x1.2c1743c12ce9cp-3, -0x1.34b0339b7d168p-3, -0x1.3d22c8e77a175p-3, -0x1.456e1c4d5af15p-3, -0x1.4d9154675faep-3, -0x1.558ba587c61e5p-3, -0x1.5d5c517d6790ep-3, -0x1.6502a75713b74p-3, -0x1.6c7e0325d83ap-3, -0x1.73cdcdbe3f896p-3, -0x1.7af17c78b042cp-3, -0x1.81e890f103271p-3, -0x1.88b298c563dfp-3, -0x1.8f4f2d549ed9bp-3, -0x1.95bdf37be430cp-3, -0x1.9bfe9b5420ff4p-3, -0x1.a210dfeeff003p-3, -0x1.a7f487139b2aap-3, -0x1.ada960fb05c51p-3, -0x1.b32f480ca653p-3, -0x1.b886209a86e16p-3, -0x1.bdadd89d9e71fp-3, -0x1.c2a6677226d5ap-3, -0x1.c76fcd941231fp-3, -0x1.cc0a145ba1118p-3, -0x1.d0754dba38ab4p-3, -0x1.d4b193f774f92p-3, -0x1.d8bf096e8adb2p-3, -0x1.dc9dd84c07766p-3, -0x1.e04e324bf59e2p-3, -0x1.e3d05078712f4p-3, -0x1.e72472e8b4b09p-3, -0x1.ea4ae080b490ap-3, -0x1.ed43e6b1390ddp-3, -0x1.f00fd938a01f4p-3, -0x1.f2af11e431625p-3, -0x1.f521f05221126p-3, -0x1.f768d9b4420bap-3, -0x1.f98438936de21p-3, -0x1.fb747c93a6919p-3, -0x1.fd3a1a3908a59p-3, -0x1.fed58aad7a7e5p-3, -0x1.0023a5c39c9fdp-2, -0x1.00c7ef4819596p-2, -0x1.0157e4c71fba2p-2, -0x1.01d3cb06215bcp-2, -0x1.023be89212871p-2, -0x1.029085a4e1dc6p-2, -0x1.02d1ec0b64884p-2, -0x1.0300670bbb69bp-2, -0x1.031c434c335edp-2, -0x1.0325cebaa196bp-2, -0x1.031d58743e1d4p-2, -0x1.030330adfb4e7p-2, -0x1.02d7a89d5fe8dp-2, -0x1.029b1261dfc9cp-2, -0x1.024dc0eeb7493p-2, -0x1.01f007f54a861p-2, -0x1.01823bd003cdcp-2, -0x1.0104b16db9e91p-2, -0x1.0077be3d97b79p-2, -0x1.ffb770370e95p-3, -0x1.fe61ea7a480abp-3, -0x1.fcef983e57b18p-3, -0x1.fb6126e6f36b3p-3, -0x1.f9b7441eff15cp-3, -0x1.f7f29db6886a1p-3, -0x1.f613e181cc7e2p-3, -0x1.f41bbd393a9b9p-3, -0x1.f20ade5a7fd91p-3, -0x1.efe1f20a8f26cp-3, -0x1.eda1a4f8abf53p-3, -0x1.eb4aa3426f8cdp-3, -0x1.e8dd9858ce5cap-3, -0x1.e65b2ee6100eep-3, -0x1.e3c410b4c16c7p-3, -0x1.e118e6979f2e6p-3, -0x1.de5a585265825p-3, -0x1.db890c839ce28p-3, -0x1.d8a5a88f48fd3p-3, -0x1.d5b0d08a83587p-3, -0x1.d2ab2727faa83p-3, -0x1.cf954da553533p-3, -0x1.cc6fe3b96caap-3, -0x1.c93b878374d3bp-3, -0x1.c5f8d57ae24e6p-3, -0x1.c2a8686037bf4p-3, -0x1.bf4ad92e9e624p-3, -0x1.bbe0bf0e4663bp-3, -0x1.b86aaf4797b15p-3, -0x1.b4e93d371f077p-3, -0x1.b15cfa42438c1p-3, -0x1.adc675ccb43f9p-3, -0x1.aa263d2e91aafp-3, -0x1.a67cdbab45b6bp-3, -0x1.a2cada6919813p-3, -0x1.9f10c06967c73p-3, -0x1.9b4f128180fap-3, -0x1.978653543676cp-3, -0x1.93b7034bf9831p-3, -0x1.8fe1a095a792fp-3, -0x1.8c06a71bdb5ffp-3, -0x1.88269082e4407p-3, -0x1.8441d4253fac9p-3, -0x1.8058e710a4c7bp-3, -0x1.7c6c3c03959ccp-3, -0x1.787c436b71a86p-3, -0x1.74896b630fd8ep-3, -0x1.70941fb1c7622p-3, -0x1.6c9cc9cafac14p-3, -0x1.68a3d0ce0fd18p-3, -0x1.64a99986dbfdbp-3, -0x1.60ae866e775b5p-3, -0x1.5cb2f7ac7cd8p-3, -0x1.58b74b18a6c3p-3, -0x1.54bbdc3cd402fp-3, -0x1.50c104576541bp-3, -0x1.4cc71a5df3d0ap-3, -0x1.48ce73005c1cdp-3, -0x1.44d760ac1e56dp-3, -0x1.40e2339008fe2p-3, -0x1.3cef39a030d39p-3, -0x1.38febe9a300c1p-3, -0x1.35110c09a4d7fp-3, -0x1.3126694cfaaedp-3, -0x1.2d3f1b9a6a24p-3, -0x1.295b660531079p-3, -0x1.257b89830b9d8p-3, -0x1.219fc4f1d72d1p-3, -0x1.1dc8551d6f7f1p-3, -0x1.19f574c5b3f15p-3, -0x1.16275ca4bf8dep-3, -0x1.125e43753f0bbp-3, -0x1.0e9a5df8fe383p-3, -0x1.0adbdeff86f96p-3, -0x1.0722f76ceb698p-3, -0x1.036fd640b15f6p-3, -0x1.ff855139a0dfcp-4, -0x1.f8373399a7febp-4, -0x1.f0f5a69a1c13ap-4, -0x1.e9c0f9a3c1936p-4, -0x1.e299789e3e7a3p-4, -0x1.db7f6bfef77cap-4, -0x1.d47318d805d92p-4, -0x1.cd74c0e7559fbp-4, -0x1.c684a2a5ce885p-4, -0x1.bfa2f9568e606p-4, -0x1.b8cffd164322fp-4, -0x1.b20be2ea78c05p-4, -0x1.ab56dcd106906p-4, -0x1.a4b119cf67a8p-4, -0x1.9e1ac602349c1p-4, -0x1.97940aac7ed49p-4, -0x1.911d0e4737229p-4, -0x1.8ab5f4908c6b1p-4, -0x1.845ede9b3e5bep-4, -0x1.7e17eadde23a4p-4, -0x1.77e135421b8e5p-4, -0x1.71bad733c5da2p-4, -0x1.6ba4e7b006376p-4, -0x1.659f7b5449f45p-4, -0x1.5faaa46d2e26p-4, -0x1.59c673054de47p-4, -0x1.53f2f4f3f4078p-4, -0x1.4e3035ebadc04p-4, -0x1.487e3f88c59f6p-4, -0x1.42dd195f96256p-4, -0x1.3d4cc90abca88p-4, -0x1.37cd52392b54bp-4, -0x1.325eb6bc1585dp-4, -0x1.2d00f694b3abdp-4, -0x1.27b41001e0d4dp-4, -0x1.2277ff8d9291cp-4, -0x1.1d4cc01a242b8p-4, -0x1.18324aef78ae1p-4, -0x1.132897c7f0442p-4, -0x1.0e2f9cdd3549cp-4, -0x1.09474ef4d849cp-4, -0x1.046fa16cbf1f2p-4, -0x1.ff510c8ecba3ap-5, -0x1.f5e3dc6fe8b38p-5, -0x1.ec97915c40447p-5, -0x1.e36c07c3b94a7p-5, -0x1.da6119bdc1d9ep-5, -0x1.d1769f1ff7a64p-5, -0x1.c8ac6d945fea4p-5, -0x1.c00258af4ebdp-5, -0x1.b7783204e0fb1p-5, -0x1.af0dc93e194c2p-5, -0x1.a6c2ec2d917f5p-5, -0x1.9e9766e3cf5ep-5, -0x1.968b03c32f97p-5, -0x1.8e9d8b9378b41p-5, -0x1.86cec594f8311p-5, -0x1.7f1e77934ac7bp-5, -0x1.778c65f7bcf05p-5, -0x1.701853db43f12p-5, -0x1.68c203181bcd3p-5, -0x1.6189345afa975p-5, -0x1.5a6da733eac0fp-5, -0x1.536f1a26bd9d7p-5, -0x1.4c8d4abb1dd85p-5, -0x1.45c7f58c43f97p-5, -0x1.3f1ed658491a4p-5, -0x1.3891a80f1f2d6p-5, -0x1.322024e1260ecp-5, -0x1.2bca064d65ccep-5, -0x1.258f052f6cc31p-5, -0x1.1f6ed9ccd1852p-5, -0x1.19693be25a047p-5, -0x1.137de2b0cc26ep-5, -0x1.0dac850962e3ap-5, -0x1.07f4d959ebc3bp-5, -0x1.025695b88bb87p-5, -0x1.f9a2dfde6d145p-6, -0x1.eeca3b0d8d265p-6, -0x1.e422a7a39b849p-6, -0x1.d9ab8fee18622p-6, -0x1.cf645df720582p-6, -0x1.c54c7b992fe91p-6, -0x1.bb63529221476p-6, -0x1.b1a84c95b6b5p-6, -0x1.a81ad35f6decdp-6, -0x1.9eba50c3c1e29p-6, -0x1.95862ec0ea547p-6, -0x1.8c7dd78ef5fe4p-6, -0x1.83a0b5af5f19ap-6, -0x1.7aee33fc18c2ap-6, -0x1.7265bdb60cce9p-6, -0x1.6a06be930474dp-6, -0x1.61d0a2cb26b58p-6, -0x1.59c2d725e4627p-6, -0x1.51dcc9065d0c3p-6, -0x1.4a1de6776387dp-6, -0x1.42859e36e41ffp-6, -0x1.3b135fc0e625p-6, -0x1.33c69b5a18ae4p-6, -0x1.2c9ec219dddf9p-6, -0x1.259b45f3f513dp-6, -0x1.1ebb99c1a9e21p-6, -0x1.17ff314aa63f4p-6, -0x1.1165814d4ae3dp-6, -0x1.0aedff869ed6ep-6, -0x1.049822b9e7b87p-6, -0x1.fcc6c56fb2635p-7, -0x1.f09e70cab9e7dp-7, -0x1.e4b63b842e54ep-7, -0x1.d90d1bdcc1fe9p-7, -0x1.cda20a62295e4p-7, -0x1.c27401f9c999dp-7, -0x1.b781ffeae9c9dp-7, -0x1.accb03e822075p-7, -0x1.a24e101836b44p-7, -0x1.980a291e53522p-7, -0x1.8dfe5621a7b91p-7, -0x1.8429a0d4620d1p-7, -0x1.7a8b157a408e7p-7, -0x1.7121c2ee791ebp-7, -0x1.67ecbaa919aa8p-7, -0x1.5eeb10c3f9645p-7, -0x1.561bdbff10983p-7, -0x1.4d7e35c44d9c2p-7, -0x1.45113a2b1964ap-7, -0x1.3cd407fb3552bp-7, -0x1.34c5c0af4c4e6p-7, -0x1.2ce588770bd48p-7, -0x1.25328638d112cp-7, -0x1.1dabe392e10f4p-7, -0x1.1650ccdc580dbp-7, -0x1.0f2071259cf6fp-7, -0x1.081a023884884p-7, -0x1.013cb498256a3p-7, -0x1.f50f7f0097c01p-8, -0x1.e7f4b9c9344bep-8, -0x1.db2792deb4463p-8, -0x1.cea688ffe399bp-8, -0x1.c2702052369acp-8, -0x1.b682e25ddffa2p-8, -0x1.aadd5e08e8d47p-8, -0x1.9f7e279220389p-8, -0x1.9463d88b873bap-8, -0x1.898d0fd4092fdp-8, -0x1.7ef87190f1b64p-8, -0x1.74a4a726d65b4p-8, -0x1.6a905f32359c3p-8, -0x1.60ba4d7f7ccd9p-8, -0x1.57212b02fb251p-8, -0x1.4dc3b5d03a3cbp-8, -0x1.44a0b1111b30dp-8, -0x1.3bb6e4fc7905fp-8, -0x1.33051eccb7a1fp-8, -0x1.2a8a30b5c7b93p-8, -0x1.2244f1db1ca87p-8, -0x1.1a343e4543bbep-8, -0x1.1256f6d725e42p-8, -0x1.0aac01436621bp-8, -0x1.0332480104312p-8, -0x1.f7d1748090ce9p-9, -0x1.e99c97be1a46ep-9, -0x1.dbc3eaba66151p-9, -0x1.ce4567a18e952p-9, -0x1.c11f11b3fd099p-9, -0x1.b44ef52e3026cp-9, -0x1.a7d3273063178p-9, -0x1.9ba9c5a57fcc9p-9, -0x1.8fd0f72a640d8p-9, -0x1.8446eaf4590f1p-9, -0x1.7909d8b825d96p-9, -0x1.6e18009027bb3p-9, -0x1.636faae2ff5b3p-9, -0x1.590f284992a6bp-9, -0x1.4ef4d17581976p-9, -0x1.451f0716e6447p-9, -0x1.3b8c31c2993eap-9, -0x1.323ac1d7c498p-9, -0x1.29292f660558fp-9, -0x1.2055fa1363dc8p-9, -0x1.17bfa902077f2p-9, -0x1.0f64cab61bd7p-9, -0x1.0743f4fc19913p-9, -0x1.feb7899c924bep-10, -0x1.ef55bc7623ce7p-10, -0x1.e05fd895a90dap-10, -0x1.d1d341cc42bf7p-10, -0x1.c3ad6977bdf8p-10, -0x1.b5ebce4f8e99p-10, -0x1.a88bfc313e24dp-10, -0x1.9b8b8bed8eb5dp-10, -0x1.8ee8231658dc7p-10, -0x1.829f73cb860ecp-10, -0x1.76af3c88e343ep-10, -0x1.6b1547f49eb2dp-10, -0x1.5fcf6cad47772p-10, -0x1.54db8d18e34efp-10, -0x1.4a379734165c1p-10, -0x1.3fe18461201cfp-10, -0x1.35d75938831cap-10, -0x1.2c17255890e88p-10, -0x1.229f033682579p-10, -0x1.196d17eedded1p-10, -0x1.107f93174b058p-10, -0x1.07d4ae901514p-10, -0x1.fed55cadadf6ap-11, -0x1.ee7fc0b14a4dep-11, -0x1.dea5388a9c991p-11, -0x1.cf4286c6bb373p-11, -0x1.c05480c74af03p-11, -0x1.b1d80e6c5779dp-11, -0x1.a3ca29bd4a22cp-11, -0x1.9627de9440ec5p-11, -0x1.88ee4a490cec7p-11, -0x1.7c1a9b5f54206p-11, -0x1.6faa113362275p-11, -0x1.6399fba878054p-11, -0x1.57e7bad9befc2p-11, -0x1.4c90beca2ddbap-11, -0x1.41928716115f2p-11, -0x1.36eaa2a6d5761p-11, -0x1.2c96af64c1dffp-11, -0x1.229459ece4641p-11, -0x1.18e15d46666ap-11, -0x1.0f7b8299597fap-11, -0x1.0660a0e5f6ef8p-11, -0x1.fb1d397b17458p-12, -0x1.ea06cff9bdf9ep-12, -0x1.d97a030bd08dap-12, -0x1.c972e9f75c152p-12, -0x1.b9edb4fec2bafp-12, -0x1.aae6acda6baa8p-12, -0x1.9c5a323756fb8p-12, -0x1.8e44bd3582c64p-12, -0x1.80a2dcea2a0f1p-12, -0x1.737136e1f5482p-12, -0x1.66ac86a5b60bdp-12, -0x1.5a519d453cbp-12, -0x1.4e5d60dbea1e8p-12, -0x1.42cccc1db3da9p-12, -0x1.379cede393db9p-12, -0x1.2ccae8b9a7666p-12, -0x1.2253f2712c3ddp-12, -0x1.183553b198248p-12, -0x1.0e6c678e11c3dp-12, -0x1.04f69b1a8b732p-12, -0x1.f7a2da0863407p-13, -0x1.e5f4da586231ap-13, -0x1.d4de78865f587p-13, -0x1.c45b16c9d8dc5p-13, -0x1.b4663771e206dp-13, -0x1.a4fb7c251f5f9p-13, -0x1.9616a5288c45fp-13, -0x1.87b390a65628bp-13, -0x1.79ce39fab7779p-13, -0x1.6c62b903bf147p-13, -0x1.5f6d417352d34p-13, -0x1.52ea22259c611p-13, -0x1.46d5c4799801p-13, -0x1.3b2cabaee075ap-13, -0x1.2feb7442e2b0fp-13, -0x1.250ed35416a72p-13, -0x1.1a9396082da16p-13, -0x1.1076a0f4b0c51p-13, -0x1.06b4ef897a477p-13, -0x1.fa97270157841p-14, -0x1.e86f689f72176p-14, -0x1.d6ed1d39a1bap-14, -0x1.c60ae76b33db2p-14, -0x1.b5c3920fcf239p-14, -0x1.a6120f40c2edep-14, -0x1.96f17752b3843p-14, -0x1.885d07d8e3047p-14, -0x1.7a5022b11486ap-14, -0x1.6cc64d1124a77p-14, -0x1.5fbb2e9a4f4b5p-14, -0x1.532a907462e2p-14, -0x1.47105c685bcd8p-14, -0x1.3b689c093d002p-14, -0x1.302f77da02f2fp-14, -0x1.2561367746068p-14, -0x1.1afa3bc8e116cp-14, -0x1.10f7083ad5613p-14, -0x1.075437f4ed66cp-14, -0x1.fc1d0434bf007p-15, -0x1.ea457019f74dep-15, -0x1.d91b896c81a85p-15, -0x1.c89957a004a78p-15, -0x1.b8b9126a60e8ap-15, -0x1.a975206c9b7f2p-15, -0x1.9ac815e663866p-15, -0x1.8cacb36cb619cp-15, -0x1.7f1de4a1712bp-15, -0x1.7216bf00be04ep-15, -0x1.659280b2650a6p-15, -0x1.598c8f5682a34p-15, -0x1.4e0076e9840a7p-15, -0x1.42e9e8a53efffp-15, -0x1.3844b9f250eep-15, -0x1.2e0ce34e7b297p-15, -0x1.243e7f4e47617p-15, -0x1.1ad5c995ff99dp-15, -0x1.11cf1de2ec28cp-15, -0x1.0926f718ed83ap-15, -0x1.00d9ee4dbaed6p-15, -0x1.f1c973c5b4f24p-16, -0x1.e288594f7e3dep-16, -0x1.d3ea69ecec992p-16, -0x1.c5e9b7be56848p-16, -0x1.b88088b26b37ep-16, -0x1.aba954e62e3b8p-16, -0x1.9f5ec52690d7p-16, -0x1.939bb15b214bbp-16, -0x1.885b1f1b0b31bp-16, -0x1.7d9840322454ap-16, -0x1.734e7149d4faap-16, -0x1.69793886c1785p-16, -0x1.601444357c5cdp-16, -0x1.571b6982f0607p-16, -0x1.4e8aa343efbep-16, -0x1.465e10b36d662p-16, -0x1.3e91f449e477fp-16, -0x1.3722b2953c62fp-16, -0x1.300cd119cddc5p-16, -0x1.294cf5443158dp-16, -0x1.22dfe3557fd37p-16, -0x1.1cc27d5d1aab8p-16, -0x1.16f1c2346e12bp-16, -0x1.116acc92ba519p-16, -0x1.0c2ad218c78d8p-16, -0x1.072f225fc099dp-16, -0x1.0275261df496cp-16, -0x1.fbf4bc97b4447p-17, -0x1.f378c697ffde8p-17, -0x1.eb71c838a7077p-17, -0x1.e3db4b18732cbp-17, -0x1.dcb102eecaa18p-17, -0x1.d5eecc1897e3ap-17, -0x1.cf90aa2e7502dp-17, -0x1.c992c697019b7p-17, -0x1.c3f16f23b15c4p-17, -0x1.bea914da2c259p-17, -0x1.b9b64aae5e395p-17, -0x1.b515c438ad3afp-17, -0x1.b0c45487bb9f9p-17, -0x1.acbeecfeafcc4p-17, -0x1.a9029c44ea73ap-17, -0x1.a58c8d23c63c6p-17, -0x1.a25a058163bfcp-17, -0x1.9f68655a04988p-17, -0x1.9cb525c350506p-17, -0x1.9a3dd7fd31af5p-17, -0x1.9800249251cc1p-17, -0x1.95f9ca613efa7p-17, -0x1.94289dcab7011p-17, -0x1.928a87eca8df3p-17, -0x1.911d85d00d28bp-17, -0x1.8fdfa79594104p-17, -0x1.8ecf0fb45721ap-17, -0x1.8de9f255eae9dp-17, -0x1.8d2e94979c17ap-17, -0x1.8c9b4bec01255p-17, }}, 
      {{-0x1.3aa40bc16d025p-1, -0x1.3abce942348d1p-1, -0x1.3ae3e81697adap-1, -0x1.3b1614f9e9a53p-1, -0x1.3b501a80bde68p-1, -0x1.3b8e8a389b106p-1, -0x1.3bce0f622142bp-1, -0x1.3c0b90c70851ep-1, -0x1.3c4445e96e157p-1, -0x1.3c75c2d0e958ap-1, -0x1.3c9dfcf989852p-1, -0x1.3cbb4b53f3011p-1, -0x1.3ccc62d1fe453p-1, -0x1.3cd050a10df25p-1, -0x1.3cc672ed12892p-1, -0x1.3cae70d05d637p-1, -0x1.3c8831e9cab67p-1, -0x1.3c53d5f19b59bp-1, -0x1.3c11ac8bbed98p-1, -0x1.3bc22d828e94bp-1, -0x1.3b65f185e4f1p-1, -0x1.3afdab7f1365p-1, -0x1.3a8a2281ac12cp-1, -0x1.3a0c2c5acd154p-1, -0x1.3984a8bc0ded6p-1, -0x1.38f47cfc08e11p-1, -0x1.385c90645a178p-1, -0x1.37bdc903972dap-1, -0x1.371908f91134dp-1, -0x1.366f2c2feb92ap-1, -0x1.35c1067f1acd9p-1, -0x1.350f6224372ap-1, -0x1.345afe8f702c1p-1, -0x1.33a48f778b4fp-1, -0x1.32ecbc2d6ce9p-1, -0x1.32341f274f593p-1, -0x1.317b45bc757fp-1, -0x1.30c2b00ac987p-1, -0x1.300ad1006d87bp-1, -0x1.2f540e83e81dep-1, -0x1.2e9ec1b613e87p-1, -0x1.2deb374987411p-1, -0x1.2d39afeb9a979p-1, -0x1.2c8a60bba9b49p-1, -0x1.2bdd73cd8aee3p-1, -0x1.2b3308b49771fp-1, -0x1.2a8b3514f359ep-1, -0x1.29e605390e92dp-1, -0x1.29437ca99ca9p-1, -0x1.28a396c67b659p-1, -0x1.2806475f3f42ap-1, -0x1.276b7b4a41e6ep-1, -0x1.26d318f946b5p-1, -0x1.263d010ae60ecp-1, -0x1.25a90ed81ad1ap-1, -0x1.251718fd66673p-1, -0x1.2486f1df1f726p-1, -0x1.23f8682892797p-1, -0x1.236b4745b651fp-1, -0x1.22df57d743b4ep-1, -0x1.2254602112bc7p-1, -0x1.21ca2472ae3d4p-1, -0x1.2140678a18959p-1, -0x1.20b6eaf0ca152p-1, -0x1.202d6f52f46d3p-1, -0x1.1fa3b4d129814p-1, -0x1.1f197b4c7a446p-1, -0x1.1e8e82ad3b282p-1, -0x1.1e028b248a42fp-1, -0x1.1d755568cc9dp-1, -0x1.1ce6a2ed49c97p-1, -0x1.1c563615170ccp-1, -0x1.1bc3d26184dcbp-1, -0x1.1b2f3c9c4186bp-1, -0x1.1a983afd5f9a5p-1, -0x1.19fe954d79edep-1, -0x1.1962150421a89p-1, -0x1.18c28562ccdb8p-1, -0x1.181fb38c75d23p-1, -0x1.17796e9a1a99cp-1, -0x1.16cf87ac4f53ap-1, -0x1.1621d1fa0ea4dp-1, -0x1.157022dcf58f8p-1, -0x1.14ba51db17921p-1, -0x1.140038ae92d9fp-1, -0x1.1341b34b0e521p-1, -0x1.127e9fe1467dap-1, -0x1.11b6dee0cdd9fp-1, -0x1.10ea52f826d12p-1, -0x1.1018e113539c5p-1, -0x1.0f427058ffed2p-1, -0x1.0e66ea266165fp-1, -0x1.0d863a09e8d2fp-1, -0x1.0ca04dbce4b05p-1, -0x1.0bb5151c27055p-1, -0x1.0ac4821fcced2p-1, -0x1.09ce88d23ab6ep-1, -0x1.08d31f4661f1ap-1, -0x1.07d23d8d67996p-1, -0x1.06cbddabb8b15p-1, -0x1.05bffb8da29fp-1, -0x1.04ae94fb7e02fp-1, -0x1.0397a98d77b58p-1, -0x1.027b3a9f0d059p-1, -0x1.01594b4241d03p-1, -0x1.0031e0329d6c6p-1, -0x1.fe09ff8ffb2b8p-2, -0x1.fba563d28afffp-2, -0x1.f935fffde5ed3p-2, -0x1.f6bbe9cb49833p-2, -0x1.f43739c130ec9p-2, -0x1.f1a80b184decbp-2, -0x1.ef0e7ba08dbe4p-2, -0x1.ec6aaba639359p-2, -0x1.e9bcbdd7333c8p-2, -0x1.e704d7286d661p-2, -0x1.e4431ebb8ab0fp-2, -0x1.e177bdc4cb4bp-2, -0x1.dea2df71396cbp-2, -0x1.dbc4b0cd2a352p-2, -0x1.d8dd60ab0fe31p-2, -0x1.d5ed1f8aa9bb8p-2, -0x1.d2f41f809441fp-2, -0x1.cff2941e3951p-2, -0x1.cce8b25a2fe87p-2, -0x1.c9d6b07902759p-2, -0x1.c6bcc5f667744p-2, -0x1.c39b2b6eeb17fp-2, -0x1.c0721a8a0add9p-2, -0x1.bd41cde4ce048p-2, -0x1.ba0a80fccdbe1p-2, -0x1.b6cc701bbce79p-2, -0x1.b387d84367d5ep-2, -0x1.b03cf71a2e648p-2, -0x1.acec0ad7fe00ap-2, -0x1.a9955233c354ep-2, -0x1.a6390c515bf06p-2, -0x1.a2d778b002a27p-2, -0x1.9f70d7193af11p-2, -0x1.9c05679036d33p-2, -0x1.98956a41b9527p-2, -0x1.95211f7473e2p-2, -0x1.91a8c779e10cdp-2, -0x1.8e2ca29f95733p-2, -0x1.8aacf1210d3f3p-2, -0x1.8729f319f1391p-2, -0x1.83a3e878d29bdp-2, -0x1.801b10f25da82p-2, -0x1.7c8fabf501352p-2, -0x1.7901f89d097afp-2, -0x1.757235a92f6a1p-2, -0x1.71e0a16f97b8ap-2, -0x1.6e4d79d341349p-2, -0x1.6ab8fc39e33c7p-2, -0x1.6723658237f8fp-2, -0x1.638cf1fab1e62p-2, -0x1.5ff5dd589c3c5p-2, -0x1.5c5e62afa2428p-2, -0x1.58c6bc69bd1acp-2, -0x1.552f243f8878bp-2, -0x1.5197d330f8192p-2, -0x1.4e01017e6fbecp-2, -0x1.4a6ae6a23a9e2p-2, -0x1.46d5b94a61c96p-2, -0x1.4341af52dda64p-2, -0x1.3faefdc020ab9p-2, -0x1.3c1dd8b9fe7a8p-2, -0x1.388e7386e537p-2, -0x1.350100876ed4ep-2, -0x1.3175b13245151p-2, -0x1.2decb610551d2p-2, -0x1.2a663eb9546bap-2, -0x1.26e279d09101ep-2, -0x1.2361950210b7cp-2, -0x1.1fe3bcfff6eddp-2, -0x1.1c691d8032d0dp-2, -0x1.18f1e13a762e9p-2, -0x1.157e31e66eb3cp-2, -0x1.120e383a3eefbp-2, -0x1.0ea21be93db61p-2, -0x1.0b3a03a2ef1e3p-2, -0x1.07d615123d478p-2, -0x1.047674dceb2c8p-2, -0x1.011b46a33f504p-2, -0x1.fb8959ffd2b56p-3, -0x1.f4e5931033b1ap-3, -0x1.ee4b79979e676p-3, -0x1.e7bb4cacab58cp-3, -0x1.e135495df051bp-3, -0x1.dab9aab3b592fp-3, -0x1.d448a9b213a85p-3, -0x1.cde27d5b5f894p-3, -0x1.c7875ab2e5011p-3, -0x1.c13774bfff36cp-3, -0x1.baf2fc9170888p-3, -0x1.b4ba214107d01p-3, -0x1.ae8d0ff793ef9p-3, -0x1.a86bf3f10d06ap-3, -0x1.a256f68106a8fp-3, -0x1.9c4e3f175fa82p-3, -0x1.9651f34524e17p-3, -0x1.906236c1b360ap-3, -0x1.8a7f2b700ae4p-3, -0x1.84a8f1644efe8p-3, -0x1.7edfa6e97fa46p-3, -0x1.792368875324ep-3, -0x1.7374510841659p-3, -0x1.6dd2797fb40fep-3, -0x1.683df95056684p-3, -0x1.62b6e6328e7dap-3, -0x1.5d3d543b0ef94p-3, -0x1.57d155e1897acp-3, -0x1.5272fc077a75ep-3, -0x1.4d2255ff0db1cp-3, -0x1.47df719218c55p-3, -0x1.42aa5b09272b7p-3, -0x1.3d831d329e17p-3, -0x1.3869c169e8316p-3, -0x1.335e4f9eb5948p-3, -0x1.2e60ce5c47338p-3, -0x1.297142d0bdc8fp-3, -0x1.248fb0d476d76p-3, -0x1.1fbc1af174382p-3, -0x1.1af6826ab9fd3p-3, -0x1.163ee743beccp-3, -0x1.11954847d6f1p-3, -0x1.0cf9a3119b0d1p-3, -0x1.086bf4125870ap-3, -0x1.03ec369970bf8p-3, -0x1.fef4c9b78846bp-4, -0x1.f62ceff60b01bp-4, -0x1.ed80d01a3274ep-4, -0x1.e4f05846b6a52p-4, -0x1.dc7b74a3ce9fdp-4, -0x1.d4220f6da5e04p-4, -0x1.cbe41102ae85dp-4, -0x1.c3c15ff1f1c8p-4, -0x1.bbb9e1092d655p-4, -0x1.b3cd7762e13dep-4, -0x1.abfc04743f051p-4, -0x1.a445681aefbb2p-4, -0x1.9ca980aac40a2p-4, -0x1.95282afb2e73cp-4, -0x1.8dc14274b2c46p-4, -0x1.8674a11e12abfp-4, -0x1.7f421fa966fd4p-4, -0x1.7829958107aabp-4, -0x1.712ad8d4487cdp-4, -0x1.6a45bea40f6e6p-4, -0x1.637a1acf3cc47p-4, -0x1.5cc7c01ee4e1ap-4, -0x1.562e80525b20fp-4, -0x1.4fae2c2b15a2ap-4, -0x1.4946937856841p-4, -0x1.42f78522aeea9p-4, -0x1.3cc0cf374aa44p-4, -0x1.36a23ef31108cp-4, -0x1.309ba0cd8d34dp-4, -0x1.2aacc083aad1ap-4, -0x1.24d569223c52ep-4, -0x1.1f15651051b5cp-4, -0x1.196c7e195a1e5p-4, -0x1.13da7d77118f9p-4, -0x1.0e5f2bdb41137p-4, -0x1.08fa517945017p-4, -0x1.03abb60f636cp-4, -0x1.fce641dfdda9ap-5, -0x1.f2a0b2146d7c7p-5, -0x1.e88649e68366ap-5, -0x1.de9695dcad841p-5, -0x1.d4d121eaaa58cp-5, -0x1.cb357981aefeap-5, -0x1.c1c327a044d54p-5, -0x1.b879b6e1c9f38p-5, -0x1.af58b18d8beadp-5, -0x1.a65fa1a57956ep-5, -0x1.9d8e10f476e45p-5, -0x1.94e3891c52e1ap-5, -0x1.8c5f93a351b8dp-5, -0x1.8401ba015f484p-5, -0x1.7bc985acda8d4p-5, -0x1.73b680270ef95p-5, -0x1.6bc8330844ee1p-5, -0x1.63fe280b711d4p-5, -0x1.5c57e9199b6e6p-5, -0x1.54d50054d8d1p-5, -0x1.4d74f822f4d7fp-5, -0x1.46375b37c0329p-5, -0x1.3f1bb49f0731p-5, -0x1.38218fc6348aep-5, -0x1.314878859f5a9p-5, -0x1.2a8ffb29817cap-5, -0x1.23f7a47a9e111p-5, -0x1.1d7f01c69c57p-5, -0x1.1725a0e805ff3p-5, -0x1.10eb104e013cfp-5, -0x1.0acedf03bdc8ep-5, -0x1.04d09cb78e272p-5, -0x1.fddfb38377ed7p-6, -0x1.f2584e562137fp-6, -0x1.e70a2d663405dp-6, -0x1.dbf475ac47781p-6, -0x1.d1164da5da7fp-6, -0x1.c66edd603187dp-6, -0x1.bbfd4e82bdf13p-6, -0x1.b1c0cc58f105ep-6, -0x1.a7b883db9cf85p-6, -0x1.9de3a3b9d3afp-6, -0x1.94415c614633p-6, -0x1.8ad0e00630b73p-6, -0x1.819162aad49fbp-6, -0x1.78821a267c516p-6, -0x1.6fa23e2c1086cp-6, -0x1.66f108503c599p-6, -0x1.5e6db40f29272p-6, -0x1.56177ed1d5201p-6, -0x1.4deda7f2ff961p-6, -0x1.45ef70c3bb376p-6, -0x1.3e1c1c8f96087p-6, -0x1.3672f0a0625e7p-6, -0x1.2ef33441b108fp-6, -0x1.279c30c3ddb62p-6, -0x1.206d317ee526ep-6, -0x1.196583d4c693fp-6, -0x1.12847733a3a0dp-6, -0x1.0bc95d178dfa7p-6, -0x1.0533890c06d9cp-6, -0x1.fd84a15a650c7p-7, -0x1.f0ea1751a2e29p-7, -0x1.e496277dba443p-7, -0x1.d8878983d8447p-7, -0x1.ccbcf92ea788bp-7, -0x1.c135366e1965cp-7, -0x1.b5ef05569c9e3p-7, -0x1.aae92e200c5bp-7, -0x1.a0227d23fa799p-7, -0x1.9599c2db9485bp-7, -0x1.8b4dd3dd40ec7p-7, -0x1.813d88d99bbe8p-7, -0x1.7767be9849398p-7, -0x1.6dcb55f4429e7p-7, -0x1.646733d7df79fp-7, -0x1.5b3a41386e55ap-7, -0x1.52436b1180018p-7, -0x1.4981a25fef4fdp-7, -0x1.40f3dc1c8b157p-7, -0x1.389911367863bp-7, -0x1.30703e8d6bf1ep-7, -0x1.287864eb59524p-7, -0x1.20b088fe24d4p-7, -0x1.1917b350f401p-7, -0x1.11acf04549e4bp-7, -0x1.0a6f500bf505fp-7, -0x1.035de69db822ap-7, -0x1.f8ef9767ac69dp-8, -0x1.eb7835809b611p-8, -0x1.de53e5cbfa766p-8, -0x1.d180ede130ce8p-8, -0x1.c4fd9a98f5defp-8, -0x1.b8c83ffc8b877p-8, -0x1.acdf3934eaf0bp-8, -0x1.a140e87962b5cp-8, -0x1.95ebb6fe1d68ep-8, -0x1.8ade14e285c0ep-8, -0x1.8016791f45ba6p-8, -0x1.75936174351d2p-8, -0x1.6b53525626caep-8, -0x1.6154d6dc63955p-8, -0x1.579680ae18213p-8, -0x1.4e16e7efa80c1p-8, -0x1.44d4ab2fca2f1p-8, -0x1.3bce6f54951dep-8, -0x1.3302df88888dbp-8, -0x1.2a70ad27780d5p-8, -0x1.22168fab54874p-8, -0x1.19f34498fbf4p-8, -0x1.12058f6cdf1cap-8, -0x1.0a4c3987c21acp-8, -0x1.02c6121b80c88p-8, -0x1.f6e3dc2f30bb7p-9, -0x1.e89d502bd2af1p-9, -0x1.dab6408ed45afp-9, -0x1.cd2c78c1aefbdp-9, -0x1.bffdcf0ed8c83p-9, -0x1.b328247b44cf8p-9, -0x1.a6a964a01975p-9, -0x1.9a7f85844eb4bp-9, -0x1.8ea88776c0f11p-9, -0x1.832274e804236p-9, -0x1.77eb6244b646p-9, -0x1.6d016dcf96127p-9, -0x1.6262bf7c38803p-9, -0x1.580d88c97d85fp-9, -0x1.4e00049cae4ddp-9, -0x1.4438771c70a08p-9, -0x1.3ab52d8c23064p-9, -0x1.31747e278a87fp-9, -0x1.2874c7fe76deep-9, -0x1.1fb472d0fd831p-9, -0x1.1731eeeb8de17p-9, -0x1.0eebb503c6aa1p-9, -0x1.06e046152836cp-9, -0x1.fe1c567cabddcp-10, -0x1.eee7eb3d192d8p-10, -0x1.e0207c66de9f7p-10, -0x1.d1c34b6de71eap-10, -0x1.c3cda8fbd44cdp-10, -0x1.b63cf4aceb686p-10, -0x1.a90e9cceb82d2p-10, -0x1.9c401e1e20b6ep-10, -0x1.8fcf0387373f6p-10, -0x1.83b8e5e4ec566p-10, -0x1.77fb6bc22cc3ap-10, -0x1.6c94491accbe3p-10, -0x1.61813f1e1ddc2p-10, -0x1.56c01bf138714p-10, -0x1.4c4eba72a3167p-10, -0x1.422b01feb3f6cp-10, -0x1.3852e63448cdfp-10, -0x1.2ec466ba53b2cp-10, -0x1.257d8f069b408p-10, -0x1.1c7c762451172p-10, -0x1.13bf3e7c314cfp-10, -0x1.0b44159cd5a9bp-10, -0x1.03093403ef21cp-10, -0x1.f619b9d074e15p-11, -0x1.e69abc08b2117p-11, -0x1.d7921ec4153abp-11, -0x1.c8fca64c98442p-11, -0x1.bad72abd02cdap-11, -0x1.ad1e979b7d228p-11, -0x1.9fcfeb762f63bp-11, -0x1.92e83781b0912p-11, -0x1.86649f37f6273p-11, -0x1.7a4257f97554ep-11, -0x1.6e7ea8afb1e4p-11, -0x1.6316e97056b65p-11, -0x1.580883233f43fp-11, -0x1.4d50ef2851227p-11, -0x1.42edb6fff69c7p-11, -0x1.38dc73f3b9095p-11, -0x1.2f1acec197adap-11, -0x1.25a67f47aeff7p-11, -0x1.1c7d4c320e5cap-11, -0x1.139d0aa8f8b75p-11, -0x1.0b039e0128054p-11, -0x1.02aef76d914a8p-11, -0x1.f53a2b6395fdbp-12, -0x1.e59809ad252c4p-12, -0x1.d673bbbd25c3dp-12, -0x1.c7c98cfaa4492p-12, -0x1.b995e19d4496cp-12, -0x1.abd5362143922p-12, -0x1.9e841ebaee29bp-12, -0x1.919f46cde34dap-12, -0x1.85237067e07b3p-12, -0x1.790d73bbd9f18p-12, -0x1.6d5a3ea0af097p-12, -0x1.6206d41346e6ep-12, -0x1.57104bb77e852p-12, -0x1.4c73d15f54312p-12, -0x1.422ea4920f68ep-12, -0x1.383e1816a157p-12, -0x1.2e9f917f80825p-12, -0x1.255088b95e128p-12, -0x1.1c4e879c61595p-12, -0x1.1397297e0d24ap-12, -0x1.0b281ac6895cp-12, -0x1.02ff1887ed207p-12, -0x1.f633e02d868cap-13, -0x1.e6ecfd4af3035p-13, -0x1.d82561c22fc47p-13, -0x1.c9d905219baedp-13, -0x1.bc03fc6d47dffp-13, -0x1.aea279641b5e8p-13, -0x1.a1b0c9cd52e0ep-13, -0x1.952b56c13fb49p-13, -0x1.890ea3fcf6156p-13, -0x1.7d574f35cf622p-13, -0x1.72020f71f53f5p-13, -0x1.670bb46512acep-13, -0x1.5c7125ce8a386p-13, -0x1.522f62dce4dap-13, -0x1.48438192b5b7cp-13, -0x1.3eaaae307953ep-13, -0x1.35622aa1b418bp-13, -0x1.2c674ded38d68p-13, -0x1.23b783a600458p-13, -0x1.1b504b62b0cc6p-13, -0x1.132f3835ad62fp-13, -0x1.0b51f029eba1dp-13, -0x1.03b62bc126667p-13, -0x1.f8b36aec212a7p-14, -0x1.ea74d281f1eb6p-14, -0x1.dcac683e8645p-14, -0x1.cf56273a7b846p-14, -0x1.c26e2ac5c34adp-14, -0x1.b5f0ad8954771p-14, -0x1.a9da08a834866p-14, -0x1.9e26b2e8ddf83p-14, -0x1.92d33fe4bb238p-14, -0x1.87dc5f3b2791dp-14, -0x1.7d3edbc82cd5bp-14, -0x1.72f79ae29394cp-14, -0x1.69039b9c8335fp-14, -0x1.5f5ff60a3f5ffp-14, -0x1.5609da8b615fbp-14, -0x1.4cfe91188d13ep-14, -0x1.443b78990d382p-14, -0x1.3bbe06383edf9p-14, -0x1.3383c4c1922dbp-14, -0x1.2b8a53ff13386p-14, -0x1.23cf681d97d8cp-14, -0x1.1c50c912c151ep-14, -0x1.150c520930503p-14, -0x1.0dfff0cd1cb63p-14, -0x1.0729a5422f33cp-14, -0x1.008780d806651p-14, -0x1.f42f4c0323207p-15, -0x1.e7b08f679b457p-15, -0x1.db8f51cb8eb0dp-15, -0x1.cfc8382735a0bp-15, -0x1.c458058b19aa8p-15, -0x1.b93b9a33b92a5p-15, -0x1.ae6ff2a543137p-15, -0x1.a3f226c845399p-15, -0x1.99bf690fc773cp-15, -0x1.8fd505a5ebf5bp-15, -0x1.8630619e5366fp-15, -0x1.7ccefa2c36553p-15, -0x1.73ae63dc4e505p-15, -0x1.6acc49d8ff5bfp-15, -0x1.62266d2ff2516p-15, -0x1.59baa41d30569p-15, -0x1.5186d95b7e91fp-15, -0x1.49890b7ac0421p-15, -0x1.41bf4c3c1f18fp-15, -0x1.3a27bfec183d1p-15, -0x1.32c09cc8c0f32p-15, -0x1.2b882a6716a5bp-15, -0x1.247cc120ab65p-15, -0x1.1d9cc9846aacbp-15, -0x1.16e6bbc960a74p-15, -0x1.10591f468c5b6p-15, -0x1.09f289f00f9fbp-15, -0x1.03b19fd66ee19p-15, -0x1.fb2a255117c23p-16, -0x1.ef37427afd978p-16, -0x1.e3882e3b42829p-16, -0x1.d81a98286e0fbp-16, -0x1.ccec477702406p-16, -0x1.c1fb1a294c4ecp-16, -0x1.b745043acc4c3p-16, -0x1.acc80edb72b5bp-16, -0x1.a28257aada6e4p-16, -0x1.98720ff98808bp-16, -0x1.8e957c1191ap-16, -0x1.84eaf2849669bp-16, -0x1.7b70db7f38731p-16, -0x1.7225b01e8be3ap-16, -0x1.6907f9d01015bp-16, -0x1.601651b3b6b42p-16, -0x1.574f6007adcd7p-16, -0x1.4eb1db8f8c27ep-16, -0x1.463c890776ea6p-16, -0x1.3dee3a97c9b1fp-16, -0x1.35c5cf5332df1p-16, -0x1.2dc232b40a732p-16, -0x1.25e25c1dbfed2p-16, -0x1.1e254e6226385p-16, -0x1.168a1751be2d1p-16, -0x1.0f0fcf4726cbap-16, -0x1.07b598b8cafb3p-16, -0x1.007a9fd03633ap-16, -0x1.f2bc3405d2716p-17, -0x1.e4be8b6201f61p-17, -0x1.d6fad388ce37p-17, -0x1.c96faaaa1e48cp-17, -0x1.bc1bbe99951d5p-17, -0x1.aefdcc2e503e8p-17, -0x1.a2149e99372a4p-17, -0x1.955f0ec11b63ep-17, -0x1.88dc02a8cf5cap-17, -0x1.7c8a6cd87fc92p-17, -0x1.70694bdae7e8ap-17, -0x1.6477a9a482e43p-17, -0x1.58b49b15edf23p-17, -0x1.4d1f3f76f6868p-17, -0x1.41b6bffd79c72p-17, -0x1.367a4f52da218p-17, -0x1.2b6929264a8ep-17, -0x1.208291b832f9ap-17, -0x1.15c5d574e22b3p-17, -0x1.0b3248908bd7dp-17, -0x1.00c746a41e75bp-17, -0x1.ed086494e5acfp-18, -0x1.d8d0e983d9a88p-18, -0x1.c4e6fb3ed915bp-18, -0x1.b14984ecd269bp-18, -0x1.9df77d15bc3f5p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      30, 0x1.4666666666666p+2, 0x1.03da64eb24bc7p+1, 0x1.e6fb807f038fp+1, -0x1.061225823b222p-7, 
      {{
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.69d53e6127ffbp-6, -0x1.f44963b25210ap-5, 0x1.fbd10b9480fb6p-5, -0x1.8470ebfd376d7p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3a4b7ad69855bp-6, -0x1.c2f6303938416p-5, 0x1.deaef9e18339ap-5, -0x1.8435a5130bbadp-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.0f8b2736723e5p-6, -0x1.948c926a19936p-5, 0x1.c1915a4ce2584p-5, -0x1.84029946ef35bp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.d29373ed5a061p-7, -0x1.690c205bf51e6p-5, 0x1.a4778ecdf6cdfp-5, -0x1.83cfb5cace07bp-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.8e796738cf214p-7, -0x1.407478335254fp-5, 0x1.8761945ec0f4p-5, -0x1.8393f5f0c807dp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.52333d77d0ecfp-7, -0x1.1ac52fb9ca069p-5, 0x1.6a50151fe5266p-5, -0x1.837b7f3e49417p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.1d2c1ff13bd18p-7, -0x1.effbec2e4e73cp-6, 0x1.4d406b94d2db3p-5, -0x1.82dec04b99d37p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dd9e981476f6fp-8, -0x1.b03c3aaab56ecp-6, 0x1.303c838f27519p-5, -0x1.842fd93220307p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8d10268c95c0ep-8, -0x1.764ca52f180d4p-6, 0x1.131f5344fe813p-5, -0x1.78a0407dc3271p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4784709e154cp-8, -0x1.42198088a36a3p-6, 0x1.edc036771fbcep-6, -0x1.602ff3471aa5bp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0bdbdc94ef6a2p-8, -0x1.135dae311966dp-6, 0x1.b8ec385fa88a9p-6, -0x1.49ad869fd136ap-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b20f60c4872f3p-9, -0x1.d37e146881078p-7, 0x1.8778976149282p-6, -0x1.32a6b1c71bfacp-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5c15975807a5ap-9, -0x1.89cc4d4764bd1p-7, 0x1.59792fe9d1c2ap-6, -0x1.1bc39d24b88d8p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.13f34f99e92cdp-9, -0x1.48f5b7f92e321p-7, 0x1.2ee8a5244fad8p-6, -0x1.04d5efda751d1p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.afe95f52b3777p-10, -0x1.104a661013379p-7, 0x1.07c88df6be1cap-6, -0x1.dbddc9f2c9f74p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.4d12221e588f3p-10, -0x1.be34b3cf2cc7dp-8, 0x1.c82fd73c44544p-7, -0x1.adefd236c42d5p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f90c02f763134p-11, -0x1.696ae43c43552p-8, 0x1.87b24480da198p-7, -0x1.80741d900101cp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.7760fc45f09c1p-11, -0x1.20d856fa69a61p-8, 0x1.4e074011a6bf8p-7, -0x1.514f3e8dfc93cp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.1086ff3f61822p-11, -0x1.c632b77c43b28p-9, 0x1.1b6e904927435p-7, -0x1.2d3fe8786ff01p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.80d850191521p-12, -0x1.5ddce37718a1bp-9, 0x1.dc7d27a160257p-8, -0x1.1446156ed08d1p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.06dab30702007p-12, -0x1.06da70a9816b9p-9, 0x1.899b546687fb6p-8, -0x1.f34653574ebdep-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.58eadb0c3767dp-13, -0x1.7f3dfa6260b8fp-10, 0x1.3eb72e4ca290fp-8, -0x1.bee480aea0befp-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.aea914ef381cep-14, -0x1.0d29a40b85cccp-10, 0x1.f75d02cb481c6p-9, -0x1.8a44cc0276598p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.f8e3f9aaf3aafp-15, -0x1.68a2d8553d89cp-11, 0x1.81152bfdbe351p-9, -0x1.55b89a8697a0bp-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.1086ff3f6184ep-15, -0x1.c6366cd0eade7p-12, 0x1.1a90fda22a522p-9, -0x1.211c3e4d07479p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.06dab30702063p-16, -0x1.06da4d39b5689p-12, 0x1.87aaa2afb6ad5p-10, -0x1.d95a13b3e4052p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.aea914ef3838p-18, -0x1.0d2caa06ac585p-13, 0x1.f3526cc04aec7p-11, -0x1.6f32c215459fap-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.1086ff3f61a3fp-19, -0x1.c609b36c1d7dap-15, 0x1.1700c519edf3ep-11, -0x1.09d4c3cb7a1ffp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.aea914ef397ffp-22, -0x1.0e76cacdb6c75p-16, 0x1.de0471b292b8bp-13, -0x1.2534c1cdbdbd8p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.aea914ef54001p-26, -0x1.cca001240518fp-20, 0x1.f8ae248855c01p-15, -0x1.8864e7e15ae0ep-10}, 
      }}, 
      0x1.713b40855c669p-6, -0x1.1c8c4a8766273p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.58a051ce93e29p-6, 0x1.8529d616fbf19p-6, 0x1.ae89b954aa0cfp-6, 0x1.c8c9b230a49d8p-6, 0x1.cf7862c14bb02p-6, 0x1.c289211558004p-6, 0x1.a459dc5c12f6dp-6, 0x1.787584ac03051p-6, 0x1.42cf61d2cd867p-6, 0x1.074cec2c95db9p-6, 0x1.93056ce4eda77p-7, 0x1.192474babdb03p-7, 0x1.4c71d79517294p-8, 0x1.f41620bb3f491p-10, -0x1.ab20521442f05p-11, -0x1.8bdbe51f2b0dbp-9, -0x1.3141cd707625cp-8, -0x1.7559426c78127p-8, -0x1.9149386373a6cp-8, -0x1.8510e34fcffb9p-8, -0x1.516da1fc641e2p-8, -0x1.ef678696d718fp-9, -0x1.e6b08ac868ecbp-10, 0x1.344ca251c8e58p-11, 0x1.cd2083322a1e4p-9, 0x1.c3e29a8fdcc9cp-8, 0x1.5df26956ddb9cp-7, 0x1.e5f9882052353p-7, 0x1.3c5b449d9c804p-6, 0x1.8a6fdaf45b982p-6, 0x1.dc9aaa886b5ap-6, 0x1.1921189bae3e4p-5, 0x1.456a1fa03bbadp-5, 0x1.72e353bca4adfp-5, 0x1.a14bd6eb7ec31p-5, 0x1.d0671bdadb748p-5, 0x1.fffcef8555d7ap-5, 0x1.17ecb7fda7a29p-4, 0x1.2fe6799a50d85p-4, 0x1.47d5f260b3c8p-4, 0x1.5fa74eee7014bp-4, 0x1.77489d26c77adp-4, 0x1.8ea9b2a82c332p-4, 0x1.a5bc11f9160ep-4, 0x1.bc72d0063c72ep-4, 0x1.d2c27a9df8ee5p-4, 0x1.e8a0fef995cp-4, 0x1.fe0590b711d8fp-4, 0x1.0974482fea121p-3, 0x1.13a1b9c55bf03p-3, 0x1.1d88573f536cap-3, 0x1.2725cfb50c64fp-3, 0x1.30783d651e6d7p-3, 0x1.397e1c7d79a6ap-3, 0x1.4236427bb203p-3, 0x1.4a9fd605662ccp-3, 0x1.52ba475dbd46dp-3, 0x1.5a854986584ep-3, 0x1.6200cbef3b23ap-3, 0x1.692cf4b3ccfe1p-3, 0x1.700a1b4ff0f3ep-3, 0x1.7698c3ba8f3b8p-3, 0x1.7cd999d97c2dp-3, 0x1.82cd6d426111ep-3, 0x1.88752d53f2ea1p-3, 0x1.8dd1e58341d3dp-3, 0x1.92e4b9f291d9ep-3, 0x1.97aee440ade4bp-3, 0x1.9c31b09f240c1p-3, 0x1.a06e7b13b6ff6p-3, 0x1.a466acf5b3e5dp-3, 0x1.a81bbaa68e625p-3, 0x1.ab8f2174df744p-3, 0x1.aec265af3dc81p-3, 0x1.b1b710e67a7bcp-3, 0x1.b46eb057e4747p-3, 0x1.b6ead37fe95bp-3, 0x1.b92d0ad43938ep-3, 0x1.bb36e698ea0d4p-3, 0x1.bd09f5da8a4dfp-3, 0x1.bea7c586d985cp-3, 0x1.c011df9d7e613p-3, 0x1.c149ca767d89fp-3, 0x1.c2510825feb27p-3, 0x1.c32915ebd72b8p-3, 0x1.c3d36bbf744b3p-3, 0x1.c4517be1274aap-3, 0x1.c4a4b28732ap-3, 0x1.c4ce758c7e709p-3, 0x1.c4d02437dc748p-3, 0x1.c4ab16fe64a75p-3, 0x1.c4609f661d6aep-3, 0x1.c3f207de14a02p-3, 0x1.c360939f207c6p-3, 0x1.c2ad7eb4f295dp-3, 0x1.c1d9fdd1891d5p-3, 0x1.c0e73e68493a1p-3, 0x1.bfd666967afe3p-3, 0x1.bea8953f39809p-3, 0x1.bd5ee20dadbb2p-3, 0x1.bbfa5d7a8d097p-3, 0x1.ba7c10e5d9d4cp-3, 0x1.b8e4fea7e5a4cp-3, 0x1.b7362228164b7p-3, 0x1.b57070120e54ap-3, 0x1.b394d647969ffp-3, 0x1.b1a43c142b281p-3, 0x1.af9f823caa6d8p-3, 0x1.ad878332468ccp-3, 0x1.ab5d132baa39bp-3, 0x1.a9210039ee5d3p-3, 0x1.a6d41280fe3b2p-3, 0x1.a4770c4ac2c97p-3, 0x1.a20aaa2591634p-3, 0x1.9f8fa31a526d7p-3, 0x1.9d06a8bee5e2fp-3, 0x1.9a706756d22ccp-3, 0x1.97cd8607fa382p-3, 0x1.951ea6ee18d91p-3, 0x1.92646738b295cp-3, 0x1.8f9f5f5ea6d3cp-3, 0x1.8cd02334c6653p-3, 0x1.89f7420619f97p-3, 0x1.871546c4600ap-3, 0x1.842ab8243a87dp-3, 0x1.813818af82b0ep-3, 0x1.7e3de6ef2e243p-3, 0x1.7b3c9d8e65736p-3, 0x1.7834b36a3e1bbp-3, 0x1.75269bb06f975p-3, 0x1.7212c60658358p-3, 0x1.6ef99e9d4ffdep-3, 0x1.6bdb8e459e5fap-3, 0x1.68b8fa915a3aap-3, 0x1.659245f148593p-3, 0x1.6267cfc3d92c8p-3, 0x1.5f39f46bfb2a5p-3, 0x1.5c090d70ae688p-3, 0x1.58d571926f385p-3, 0x1.559f74d959bdbp-3, 0x1.526768ac05f9ep-3, 0x1.4f2d9bea7ef7dp-3, 0x1.4bf25aff94e87p-3, 0x1.48b5efee4d49bp-3, 0x1.4578a266a3bd7p-3, 0x1.423ab7dc29629p-3, 0x1.3efc7395daf38p-3, 0x1.3bbe16b9e109cp-3, 0x1.387fe05f0b919p-3, 0x1.35420da0afb0ep-3, 0x1.3204d9ad0e382p-3, 0x1.2ec87dcffc2f1p-3, 0x1.2b8d3180bd6ap-3, 0x1.28532a72ed18ep-3, 0x1.251a9ca4658e5p-3, 0x1.21e3ba670175dp-3, 0x1.1eaeb46b4d2bcp-3, 0x1.1b7bb9ce26642p-3, 0x1.184af82600563p-3, 0x1.151c9b8c8fd68p-3, 0x1.11f0cea7349f1p-3, 0x1.0ec7bab16fb8cp-3, 0x1.0ba18787bd499p-3, 0x1.087e5bb2eb4a8p-3, 0x1.055e5c6e5c2d7p-3, 0x1.0241adb032935p-3, 0x1.fe50e468741cfp-4, 0x1.f82596ff8ce9p-4, 0x1.f201b3dfa0d8cp-4, 0x1.ebe57979009e2p-4, 0x1.e5d123fef1703p-4, 0x1.dfc4ed786c425p-4, 0x1.d9c10dcf4f65fp-4, 0x1.d3c5badca9c8bp-4, 0x1.cdd328740aa0fp-4, 0x1.c7e9886f23c91p-4, 0x1.c2090ab9a7eb1p-4, 0x1.bc31dd5d414d7p-4, 0x1.b6642c8f20c36p-4, 0x1.b0a022b70c643p-4, 0x1.aae5e879e1641p-4, 0x1.a535a4c37413p-4, 0x1.9f8f7cd14d85ap-4, 0x1.99f3943c68654p-4, 0x1.94620d018cac9p-4, 0x1.8edb078a132fdp-4, 0x1.895ea2b2f8e77p-4, 0x1.83ecfbd5a5fcbp-4, 0x1.7e862ed258c38p-4, 0x1.792a56171521dp-4, 0x1.73d98aa51c5ebp-4, 0x1.6e93e419ede34p-4, 0x1.695978b5d25b3p-4, 0x1.642a5d6476c6cp-4, 0x1.5f06a5c16154fp-4, 0x1.59ee642170ce4p-4, 0x1.54e1a997b90d3p-4, 0x1.4fe085fc0e1eep-4, 0x1.4aeb07f164a48p-4, 0x1.46013cec3260fp-4, 0x1.41233138bc7b2p-4, 0x1.3c50f000f691ep-4, 0x1.378a835231c84p-4, 0x1.32cff422d4444p-4, 0x1.2e214a5841c25p-4, 0x1.297e8ccc3a0f5p-4, 0x1.24e7c15225eb8p-4, 0x1.205cecbcf42e8p-4, 0x1.1bde12e4878fbp-4, 0x1.176b36aabbc22p-4, 0x1.13045a0081424p-4, 0x1.0ea97deb0b9c3p-4, 0x1.0a5aa288e5a8cp-4, 0x1.0617c7175efbep-4, 0x1.01e0e9f72a166p-4, 0x1.fb6c1162759c3p-5, 0x1.f32e3ff8e0daep-5, 0x1.eb0857811c128p-5, 0x1.e2fa4e39a54bcp-5, 0x1.db0418d7cd387p-5, 0x1.d325aa91b682bp-5, 0x1.cb5ef527cc3ecp-5, 0x1.c3afe8edb1413p-5, 0x1.bc1874d32ae19p-5, 0x1.b498866ca7d1bp-5, 0x1.ad3009fc4a8a9p-5, 0x1.a5deea7b5c93cp-5, 0x1.9ea511a40287ap-5, 0x1.978267fa6847bp-5, 0x1.9076d4d51df4fp-5, 0x1.89823e6421ba2p-5, 0x1.82a489b87fd39p-5, 0x1.7bdd9acc091adp-5, 0x1.752d548b50947p-5, 0x1.6e9398e09b686p-5, 0x1.681048be4eacap-5, 0x1.61a34426d67f1p-5, 0x1.5b4c6a316e7p-5, 0x1.550b990d5c574p-5, 0x1.4ee0ae06b0a74p-5, 0x1.48cb858fb46ccp-5, 0x1.42cbfb4fb37fap-5, 0x1.3ce1ea32834a5p-5, 0x1.370d2c74c15cfp-5, 0x1.314d9ba78a1cp-5, 0x1.2ba310abea63bp-5, 0x1.260d63abe0ff9p-5, 0x1.208c6c1b45798p-5, 0x1.1b2000c6810d7p-5, 0x1.15c7f7edff381p-5, 0x1.1084276428d5dp-5, 0x1.0b54649f286b1p-5, 0x1.063884b432435p-5, 0x1.01305c3de0cbfp-5, 0x1.f8777e79ba458p-6, 0x1.eeb5021927f82p-6, 0x1.e518e8ec56a45p-6, 0x1.dba2d7d00ab9ap-6, 0x1.d252736d4d42p-6, 0x1.c927608f63009p-6, 0x1.c02144166f1d8p-6, 0x1.b73fc280fba09p-6, 0x1.ae827f43b266dp-6, 0x1.a5e91c4e28748p-6, 0x1.9d733a136b211p-6, 0x1.95207830d7cedp-6, 0x1.8cf0767988f6fp-6, 0x1.84e2d5e7c19f8p-6, 0x1.7cf738f2d44bp-6, 0x1.752d4302d6c37p-6, 0x1.6d84972fc1da8p-6, 0x1.65fcd6de95793p-6, 0x1.5e95a0fcfb4e4p-6, 0x1.574e924e7388bp-6, 0x1.502746e95f671p-6, 0x1.491f5c376797fp-6, 0x1.4236729d00de4p-6, 0x1.3b6c2de7c0acbp-6, 0x1.34c03429656f9p-6, 0x1.2e322b6387695p-6, 0x1.27c1b7067686fp-6, 0x1.216e7673630a9p-6, 0x1.1b38054edbe8bp-6, 0x1.151dfdae75429p-6, 0x1.0f1ffb5356829p-6, 0x1.093d9e9bdf291p-6, 0x1.03768dd53eep-6, 0x1.fb94e864aad6fp-7, 0x1.f071fd6372b7ep-7, 0x1.e583b066a34e7p-7, 0x1.dac94cc9b385ep-7, 0x1.d04211a3e01f9p-7, 0x1.c5ed350792693p-7, 0x1.bbc9eb50673f9p-7, 0x1.b1d7700029db1p-7, 0x1.a8150ce2b8b38p-7, 0x1.9e821c781ca86p-7, 0x1.951e0650317bcp-7, 0x1.8be836a6f7575p-7, 0x1.82e0147456258p-7, 0x1.7a04fa65ba0f8p-7, 0x1.7156345beda85p-7, 0x1.68d30192ec96p-7, 0x1.607a9afbc3a7fp-7, 0x1.584c3c7ab2c3ap-7, 0x1.50472f132fef2p-7, 0x1.486ad02445d6ep-7, 0x1.40b691c760b74p-7, 0x1.3929f3a3f1d55p-7, 0x1.31c4780e11b18p-7, 0x1.2a859a913a214p-7, 0x1.236cca2ac7fa3p-7, 0x1.1c796585194c1p-7, 0x1.15aab89c7271p-7, 0x1.0effff3d6d33fp-7, 0x1.08787091b8433p-7, 0x1.021351b5c9d7dp-7, 0x1.f7a00b458773cp-8, 0x1.eb5c211d0612dp-8, 0x1.df5a1c23b1ffap-8, 0x1.d39946248b9c9p-8, 0x1.c818e7c3b74ecp-8, 0x1.bcd83a1605b6dp-8, 0x1.b1d64e90ef92p-8, 0x1.a711edbe147c5p-8, 0x1.9c89884e33f94p-8, 0x1.923b567fb54a3p-8, 0x1.8825a223cf5e9p-8, 0x1.7e470ee28ba63p-8, 0x1.749eb51a9e396p-8, 0x1.6b2c0736a07cap-8, 0x1.61eea316e9ab3p-8, 0x1.58e6343dda6dap-8, 0x1.501266eedc03fp-8, 0x1.4772cc7f190b3p-8, 0x1.3f069f83c7333p-8, 0x1.36cc8967d46cdp-8, 0x1.2ec2a71e95401p-8, 0x1.26e6e2e28617ap-8, 0x1.1f37712d2fcfap-8, 0x1.17b3253fd4278p-8, 0x1.105975a434827p-8, 0x1.092a40464f683p-8, 0x1.022581afc6136p-8, 0x1.f6965af2cb84ep-9, 0x1.e93655320c6fcp-9, 0x1.dc2a8c2964375p-9, 0x1.cf71e4877f52cp-9, 0x1.c309f1534676fp-9, 0x1.b6eef8bc65484p-9, 0x1.ab1cc4de81b4dp-9, 0x1.9f8fa72036b0bp-9, 0x1.944533168874bp-9, 0x1.893c89d4c0819p-9, 0x1.7e75f8008b3b8p-9, 0x1.73f1f5eaa58e8p-9, 0x1.69b0551dd481ap-9, 0x1.5fb0628b1379ap-9, 0x1.55f19449b5e7bp-9, 0x1.4c738c413f7d8p-9, 0x1.433542b8d1f3ap-9, 0x1.3a347d7afe6aap-9, 0x1.316e36016c12ep-9, 0x1.28df39e4f044fp-9, 0x1.208499b9ad925p-9, 0x1.185c8a0c22e03p-9, 0x1.10672a1256bffp-9, 0x1.08a576ca71342p-9, 0x1.011730e0ca165p-9, 0x1.f374ee87d5cd8p-10, 0x1.e51adad5e39d8p-10, 0x1.d71ec68c293f1p-10, 0x1.c980c2d46f9b2p-10, 0x1.bc40898e8206cp-10, 0x1.af5c89e86ef6p-10, 0x1.a2d221edd34c7p-10, 0x1.969de168a1487p-10, 0x1.8abb02c07113dp-10, 0x1.7f25d180988cbp-10, 0x1.73df9ef15f0b8p-10, 0x1.68eb23e697491p-10, 0x1.5e454f51bc784p-10, 0x1.53e6da55162dbp-10, 0x1.49cad1ac88067p-10, 0x1.3fef5cc3a8766p-10, 0x1.3653c346afc81p-10, 0x1.2cf8bcec34e7p-10, 0x1.23dfd8e2ee573p-10, 0x1.1b093df5f4e63p-10, 0x1.1273d1db1cb38p-10, 0x1.0a1e070fe9da5p-10, 0x1.02046cedd3b56p-10, 0x1.f44bc529a4a71p-11, 0x1.e50d8aa66456cp-11, 0x1.d64d4d96fb47ep-11, 0x1.c7f9d7b3cd8fp-11, 0x1.ba06bd0887e11p-11, 0x1.ac6fe5b2bbb5ap-11, 0x1.9f2f4f81f1f41p-11, 0x1.9240a948b32e6p-11, 0x1.85a7032add616p-11, 0x1.7968c715ac16dp-11, 0x1.6d8790a610547p-11, 0x1.61ffdc548f29bp-11, 0x1.56d1989ba3352p-11, 0x1.4bfd12bc5e0d1p-11, 0x1.417e5b3ba696ap-11, 0x1.375a3c4f6ba3ep-11, 0x1.2d9012fff0043p-11, 0x1.2410f9292bcf2p-11, 0x1.1ad9a3ed8cf5p-11, 0x1.11eadd61f316cp-11, 0x1.093ac011ee1c2p-11, 0x1.00bfc6c7110f8p-11, 0x1.f0f1e28019177p-12, 0x1.e0d6ffcaee211p-12, 0x1.d1393573e7667p-12, 0x1.c2170ffb50991p-12, 0x1.b366456383e7dp-12, 0x1.a52ba62524ee8p-12, 0x1.9775daab3601ap-12, 0x1.8a389204aa5b2p-12, 0x1.7d6b19db36775p-12, 0x1.710022de2af37p-12, 0x1.64ecdae735172p-12, 0x1.594673b6111abp-12, 0x1.4e0caa3fa29c4p-12, 0x1.433023407ab16p-12, 0x1.38a31d0cfdb96p-12, 0x1.2e5b3667b71b8p-12, 0x1.24571a2e8b3b4p-12, 0x1.1a9dc36a28907p-12, 0x1.11349ca3b3565p-12, 0x1.0816a8bd66c4ep-12, 0x1.fe7a60507d7ddp-13, 0x1.ed716f6460a61p-13, 0x1.dd2a6db3a2cfdp-13, 0x1.cd6749b22097ap-13, 0x1.be0c934a83dcdp-13, 0x1.af0d2659d1caep-13, 0x1.a0929e77bb951p-13, 0x1.929d36fd17843p-13, 0x1.852176c4d1ec8p-13, 0x1.7826b2abca8a9p-13, 0x1.6bac8af42ac8ep-13, 0x1.5f9dec9d6cb42p-13, 0x1.53df6499feb75p-13, 0x1.486ce8de90c3bp-13, 0x1.3d5779989fec9p-13, 0x1.32a20d641359ep-13, 0x1.28403b9ccb01dp-13, 0x1.1e3f7af9aade2p-13, 0x1.14beba47763a8p-13, 0x1.0b95898253e69p-13, 0x1.0299dc001bcc8p-13, 0x1.f3aa042e8eb1dp-14, 0x1.e2d25b0d493adp-14, 0x1.d285d24663c6cp-14, 0x1.c2b4806809e7fp-14, 0x1.b369ea537d17p-14, 0x1.a4b39261b2dcbp-14, 0x1.969f521907b6dp-14, 0x1.892b0a04557fp-14, 0x1.7c29d7264da91p-14, 0x1.6f6ed72683bcap-14, 0x1.6314364c8ac15p-14, 0x1.572a0b9cbef3ep-14, 0x1.4ba0cd7140b69p-14, 0x1.408d8c068fc65p-14, 0x1.35fe9d8245ea1p-14, 0x1.2bd43628f1d5ep-14, 0x1.21ce100d328abp-14, 0x1.1822a96b88d51p-14, 0x1.0edb2038b8109p-14, 0x1.05d9578eb96c4p-14, 0x1.fa41c712a1cb4p-15, 0x1.e966a443d588cp-15, 0x1.d91dc7eb74cc7p-15, 0x1.c964017fae819p-15, 0x1.ba3f006634fcep-15, 0x1.abc3c8fa34616p-15, 0x1.9df49bf6ee914p-15, 0x1.9087e07f26bdcp-15, 0x1.83719f60243bep-15, 0x1.76caad33a4388p-15, 0x1.6a8e52841f0e7p-15, 0x1.5edb98f0524cap-15, 0x1.539d1d034e243p-15, 0x1.48b8529fded75p-15, 0x1.3e0e3c8c2df1cp-15, 0x1.33de227fd8219p-15, 0x1.29fb9a57236e4p-15, 0x1.206b1cbb44fd7p-15, 0x1.172ef52e2b51bp-15, 0x1.0e4476dfd44a2p-15, 0x1.05a836cfaea2fp-15, 0x1.faac7ab71f3f9p-16, 0x1.ea93c4ea681e3p-16, 0x1.dafe187885e73p-16, 0x1.cbeb4c104c1d2p-16, 0x1.bd77ae6d2cda6p-16, 0x1.afb571c5ee779p-16, 0x1.a252f793eaae5p-16, 0x1.953eb3cebeecep-16, 0x1.889c31e3bfb53p-16, 0x1.7c81a72b23e89p-16, 0x1.70cde74f8e7p-16, 0x1.656236a4f372ep-16, 0x1.5a682ace07cebp-16, 0x1.4fbed015653ccp-16, 0x1.456c65a361016p-16, 0x1.3b71cd8342fe2p-16, 0x1.31cb87124bb3p-16, 0x1.28770ff3ee7bap-16, 0x1.1f6da8424ef29p-16, 0x1.16b1f67034e5dp-16, 0x1.0e3bee42a8acbp-16, 0x1.060a722f421e4p-16, 0x1.fc331e5a3bcd8p-17, 0x1.ecc8c887afd84p-17, 0x1.ddcc377ed40c6p-17, 0x1.cf5c517979b0ap-17, 0x1.c19dde1320781p-17, 0x1.b416cdaab2475p-17, 0x1.a6ee50ca1acp-17, 0x1.9a474e944552dp-17, 0x1.8dfbfab41d76dp-17, 0x1.821079fc7778ap-17, 0x1.767685300d7c7p-17, 0x1.6b35fe3530628p-17, 0x1.604d2a98d4a8p-17, 0x1.55b850499cbe3p-17, 0x1.4b741f3401a81p-17, 0x1.417dadf77a708p-17, 0x1.37d24898febcep-17, 0x1.2e6f3dbbc9c65p-17, 0x1.2552c28ebde76p-17, 0x1.1c7880d9cb56fp-17, 0x1.13e057dc16fd6p-17, 0x1.0b8746caa72f1p-17, 0x1.036aa6de58065p-17, 0x1.f70fee5efc512p-18, 0x1.e7b8c8ae926a5p-18, 0x1.d8d0182e9f882p-18, 0x1.ca6dbade41fe9p-18, 0x1.bc550cdcd24ddp-18, 0x1.aeb9de5e01182p-18, 0x1.a179d187fd91ap-18, 0x1.949085ce731ffp-18, 0x1.8803fc625a4c2p-18, 0x1.7bd1d80f1b745p-18, 0x1.6ff7187e7d8dp-18, 0x1.647108ade7162p-18, 0x1.593d353e14befp-18, 0x1.4e59442e2fafdp-18, 0x1.43c30cc6d0ddap-18, 0x1.397874fd9cf6ap-18, 0x1.2f777e029b11p-18, 0x1.25be3f8d556c1p-18, 0x1.1c4ae79d0e4ep-18, 0x1.131bb2832bb44p-18, 0x1.0a2eed8c9e142p-18, 0x1.0183038604c57p-18, 0x1.f22cd5600f78bp-19, 0x1.e1cf2c38287d8p-19, 0x1.d1ea34b3f74f5p-19, 0x1.c27a726b9e3e9p-19, 0x1.b37e49d435e92p-19, 0x1.a4f456a00f1f1p-19, 0x1.96d8824b76909p-19, 0x1.89283a02e156ap-19, 0x1.7be1ec6e8b443p-19, 0x1.6f03542f514b6p-19, 0x1.628a4b007e4e7p-19, 0x1.5674cb37f5a22p-19, 0x1.4ac0e247a4be6p-19, 0x1.3f6c34ecd3c44p-19, 0x1.3476f7c7bc716p-19, 0x1.29db259b0f6f5p-19, 0x1.1f9c486fae514p-19, 0x1.15b5446dc74e8p-19, 0x1.0c256e6bc75a1p-19, 0x1.02eb4018df6a7p-19, 0x1.f40a70a3a6af6p-20, 0x1.e2e3a3a314b8cp-20, 0x1.d25f4583cb452p-20, 0x1.c27ab05392415p-20, 0x1.b3330d4184ac8p-20, 0x1.a486301538e67p-20, 0x1.96705db877961p-20, 0x1.88f01568bcb7cp-20, 0x1.7c02a489a0801p-20, 0x1.6fa76f05067bdp-20, 0x1.63d9139032d32p-20, 0x1.5892ef055f08dp-20, 0x1.4dd936196c407p-20, 0x1.43a69c250358p-20, 0x1.39f9363c35566p-20, 0x1.30c789c71937bp-20, 0x1.28236a95a771ep-20, 0x1.1ff75b11eed3cp-20, 0x1.184763f467e09p-20, 0x1.1112aaa255b99p-20, 0x1.0a56a6147cb5ap-20, 0x1.042288888a793p-20, 0x1.fc65d780bd722p-21, 0x1.f1b1c771fde3cp-21, 0x1.e7d7fb3daaf8bp-21, 0x1.ded5daacb44bp-21, 0x1.d6ab9c5f99304p-21, 0x1.cf56122ce5a72p-21, 0x1.c8d17dbb2421ep-21, 0x1.c31a25a747efp-21, 0x1.be2c22af6e8e1p-21, 0x1.ba03b27e2b512p-21, 0x1.b69d6a3649cf7p-21, 0x1.b3f676c41eceap-21, 0x1.b20864f3d36b7p-21, 0x1.b0cfb9404537ep-21, 0x1.b04ba323466eap-21, 0x1.b0755eb9595ccp-21, 0x1.b14d3aa21ad92p-21, 0x1.b2cbc7c4064ffp-21, 0x1.b4ee4445ae6e1p-21, 0x1.b7b170c65312cp-21, 0x1.bb11880ceab9p-21, 0x1.bf0b119a7ab26p-21, 0x1.c399d9f619373p-21, 0x1.c8bb2f8823dep-21, 0x1.ce6ab0b900052p-21, 0x1.d4a524e53e8bdp-21, 0x1.db66dfaa7f686p-21, 0x1.e2ac4978e0fddp-21, 0x1.ea71d44345066p-21, 0x1.f2b3f4a5dd81fp-21, 0x1.fb6ee6bab2c41p-21, 0x1.024fd520974f6p-20, 0x1.0721277419cabp-20, 0x1.0c29dc4cada2ap-20, 0x1.116837597a5f1p-20, 0x1.16da2252cbf52p-20, 0x1.1c7db9a272c79p-20, 0x1.2251938e1c68bp-20, 0x1.2854328a4651bp-20, 0x1.2e83c4da22513p-20, 0x1.34de7dfe613e8p-20, 0x1.3b62a2278408fp-20, 0x1.420e37e324c86p-20, 0x1.48dfcf3b27771p-20, 0x1.4fd9aecd1d9aap-20, 0x1.56f0ad465cf66p-20, 0x1.5e2aa1e2431ffp-20, 0x1.6585346aad2fap-20, 0x1.6cfd2c2febd78p-20, 0x1.74915bb46e938p-20, 0x1.7c4019e286173p-20, 0x1.8406d320392f6p-20, 0x1.8bf8cb1778e38p-20, 0x1.93da42a175df7p-20, 0x1.9be705dcaa0c5p-20, 0x1.a403b8c776049p-20, 0x1.ac2ce69209affp-20, 0x1.b474094316511p-20, 0x1.bcbbe6abdff19p-20, 0x1.c51490e8a2029p-20, 0x1.cd95df12c0553p-20, 0x1.d5e6cee60e2c6p-20, 0x1.de5eecb8c5ef1p-20, 0x1.e6dd5c39092e4p-20, 0x1.ef61478bca102p-20, 0x1.f7e96ce851b2ep-20, 0x1.003a14baea6cbp-19, 0x1.0480b6de604fap-19, 0x1.08c741b82518dp-19, 0x1.0d0a7959fa8a7p-19, 0x1.114f05895cfc1p-19, 0x1.159460bcb5c39p-19, 0x1.19d5fb2d8db73p-19, 0x1.1e1370ec8df0fp-19, 0x1.224d4f7b385c1p-19, 0x1.2682f472a3652p-19, 0x1.2ab3bcfb4f962p-19, 0x1.2edf1090e0c37p-19, 0x1.33045eeda540fp-19, 0x1.372311f247689p-19, 0x1.3b3a9809e3565p-19, 0x1.3f4a04f047e84p-19, 0x1.435551f013e59p-19, 0x1.4750a70f094cap-19, 0x1.4b46dde3e558fp-19, 0x1.4f32e3eea34dap-19, 0x1.53149b1aa08e8p-19, 0x1.56eb9316a2566p-19, 0x1.5ab7544bfa04ep-19, 0x1.5e7767c111c23p-19, 0x1.622b583d066f8p-19, 0x1.65d2b80cdc3f5p-19, 0x1.696d3bb15b5e4p-19, 0x1.6cfa2a29f5667p-19, 0x1.70778b95f7d89p-19, 0x1.73f1c81d28626p-19, 0x1.774c05eb6951cp-19, 0x1.7a9fa0ef6b1d9p-19, 0x1.7de38d50fe45p-19, 0x1.8117b3846b469p-19, 0x1.843bc00125dcp-19, 0x1.874f5fec57a8bp-19, 0x1.8a523a44a15acp-19, 0x1.8d4400d1b678bp-19, 0x1.902462efeaf86p-19, 0x1.92f3130ce2589p-19, 0x1.95afc075eafd3p-19, 0x1.9859ca224e8p-19, 0x1.9ae18ccfb5ffcp-19, 0x1.9d769395bee1cp-19, 0x1.9fe957a1154c9p-19, 0x1.a24831a240d36p-19, 0x1.a493690f3d6c8p-19, 0x1.a6ca6aac27a08p-19, 0x1.a8f19adc66f31p-19, 0x1.aafdd35e3cf61p-19, 0x1.acf954f3defdcp-19, 0x1.aee015f5718fap-19, 0x1.b0b216d3a230ap-19, 0x1.b26f376dd34f1p-19, 0x1.b41740955b8abp-19, 0x1.b5ae7155edd4ap-19, 0x1.b7279b027c493p-19, 0x1.b89028a161edp-19, 0x1.b9e38f3aa8df1p-19, 0x1.bb1ff9ec9b087p-19, 0x1.bc477697c5c44p-19, 0x1.bd59029d7d6b1p-19, 0x1.be5430333a226p-19, 0x1.bf38921316c0ap-19, 0x1.c00ce76aa8b72p-19, 0x1.c0c34171caa49p-19, 0x1.c16609314ecdep-19, 0x1.c1f3884746e05p-19, 0x1.c26c1ec7e4e49p-19, 0x1.c2cae578c84e1p-19, 0x1.c31502d682dabp-19, 0x1.c348e5058826bp-19, 0x1.c366729e3eeedp-19, 0x1.c36d66a7544adp-19, 0x1.c361294282c02p-19, 0x1.c338d3a73e539p-19, 0x1.c2fdc732bf212p-19, 0x1.c2ac03378fb62p-19, 0x1.c24407ec6917p-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.116ee547001afp-1, -0x1.1175f66ab02b3p-1, -0x1.11818d347e7a4p-1, -0x1.119185b072ff3p-1, -0x1.11a5cd8e37969p-1, -0x1.11be678b8a60bp-1, -0x1.11db6a078e719p-1, -0x1.11fcfb22e66c9p-1, -0x1.12234be032911p-1, -0x1.124e9320ba375p-1, -0x1.127f08f92c482p-1, -0x1.12b4e29e37674p-1, -0x1.12f04f035d34ep-1, -0x1.1331742fcc2edp-1, -0x1.13786d3fd79a2p-1, -0x1.13c54902950c1p-1, -0x1.1418091fea234p-1, -0x1.1470a1b282551p-1, -0x1.14cef941ce404p-1, -0x1.1532e9099e834p-1, -0x1.159c3d7ed211fp-1, -0x1.160ab7029b29bp-1, -0x1.167e0ab7e41d7p-1, -0x1.16f5e370498c4p-1, -0x1.1771e2a7e7022p-1, -0x1.17f1a188c2219p-1, -0x1.1874b1f0055aep-1, -0x1.18fa9f706f843p-1, -0x1.1982f04e5e0dp-1, -0x1.1a0d2672bc3a7p-1, -0x1.1a98c052d074fp-1, -0x1.1b2539cb8481ep-1, -0x1.1bb20cef35abep-1, -0x1.1c3eb2c58c6d8p-1, -0x1.1ccaa3fd1eb3dp-1, -0x1.1d55598eea5cbp-1, -0x1.1dde4d53e11b7p-1, -0x1.1e64fa8ce7a14p-1, -0x1.1ee8de5dc364fp-1, -0x1.1f69783b8948p-1, -0x1.1fe64a4f2e0f3p-1, -0x1.205ed9ccdbdbp-1, -0x1.20d2af40bbe1fp-1, -0x1.214156d1e10cfp-1, -0x1.21aa607bfe1afp-1, -0x1.220d60408e329p-1, -0x1.2269ee5017032p-1, -0x1.22bfa72c1bf7dp-1, -0x1.230e2bc25e66p-1, -0x1.23552181f4d05p-1, -0x1.2394326ac4009p-1, -0x1.23cb0d17d6a72p-1, -0x1.23f964c50f16cp-1, -0x1.241ef1509d8a8p-1, -0x1.243b6f38aa3bcp-1, -0x1.244e9f958ec2bp-1, -0x1.24584810fcdf4p-1, -0x1.245832da6408ep-1, -0x1.244e2e98e4b4ep-1, -0x1.243a0e5b1743ep-1, -0x1.241ba984e8c46p-1, -0x1.23f2dbbbc9955p-1, -0x1.23bf84d164a86p-1, -0x1.238188ad12da6p-1, -0x1.2338cf3437047p-1, -0x1.22e54431aefa4p-1, -0x1.2286d73c7cdc3p-1, -0x1.221d7b9dcdaf4p-1, -0x1.21a928367c74ap-1, -0x1.2129d7642de69p-1, -0x1.209f86e61e5cdp-1, -0x1.200a37c1b9d0cp-1, -0x1.1f69ee2713c69p-1, -0x1.1ebeb155500ap-1, -0x1.1e088b7f0e7f2p-1, -0x1.1d4789aeea15p-1, -0x1.1c7bbbac16817p-1, -0x1.1ba533df2a68ap-1, -0x1.1ac40737207dfp-1, -0x1.19d84d0e994c3p-1, -0x1.18e21f11651e2p-1, -0x1.17e1992260259p-1, -0x1.16d6d941a49d9p-1, -0x1.15c1ff731a623p-1, -0x1.14a32da5697d2p-1, -0x1.137a87995211dp-1, -0x1.124832c970ecp-1, -0x1.110c565270068p-1, -0x1.0fc71adba9a41p-1, -0x1.0e78aa803d186p-1, -0x1.0d2130b899a81p-1, -0x1.0bc0da4480d04p-1, -0x1.0a57d51580673p-1, -0x1.08e65039e5e76p-1, -0x1.076c7bc82bfefp-1, -0x1.05ea88cae3ec8p-1, -0x1.0460a92d18e89p-1, -0x1.02cf0fa72f946p-1, -0x1.0135efac408efp-1, -0x1.ff2afaafde8fcp-2, -0x1.fbdbdab9754c7p-2, -0x1.f87ee9e59137dp-2, -0x1.f514938e5a9e3p-2, -0x1.f19d43d753579p-2, -0x1.ee19678dca34ap-2, -0x1.ea896c0a3b09ep-2, -0x1.e6edbf129dfb6p-2, -0x1.e346cebda598dp-2, -0x1.df950956e5314p-2, -0x1.dbd8dd43e03f4p-2, -0x1.d812b8ea004adp-2, -0x1.d4430a956e9c1p-2, -0x1.d06a4060ceac3p-2, -0x1.cc88c81dd8018p-2, -0x1.c89f0f3ecb11ep-2, -0x1.c4ad82c0c27c3p-2, -0x1.c0b48f16d59bp-2, -0x1.bcb4a01614cb3p-2, -0x1.b8ae20e25072ap-2, -0x1.b4a17bdbb2b11p-2, -0x1.b08f1a8d20bdap-2, -0x1.ac77659b64d09p-2, -0x1.a85ac4b51ae2cp-2, -0x1.a4399e835fd23p-2, -0x1.a014589b3e84bp-2, -0x1.9beb576fd5c32p-2, -0x1.97befe4535eaep-2, -0x1.938faf23f20ffp-2, -0x1.8f5dcacd617bdp-2, -0x1.8b29b0b08cb29p-2, -0x1.86f3bedfc58d1p-2, -0x1.82bc5206e27e5p-2, -0x1.7e83c5621d745p-2, -0x1.7a4a72b5917dfp-2, -0x1.7610b245510d1p-2, -0x1.71d6dace15b78p-2, -0x1.6d9d417e83bd3p-2, -0x1.696439f0fabc8p-2, -0x1.652c1625f7f96p-2, -0x1.60f5267efb441p-2, -0x1.5cbfb9b9f6696p-2, -0x1.588c1ced3bbd9p-2, -0x1.545a9b83eae0dp-2, -0x1.502b7f3ad8a84p-2, -0x1.4bff101ded567p-2, -0x1.47d59485f8b17p-2, -0x1.43af5116f087ep-2, -0x1.3f8c88bea2p-2, -0x1.3b6d7cb3c64c1p-2, -0x1.37526c7582ae7p-2, -0x1.333b95cb44697p-2, -0x1.2f2934c4ff333p-2, -0x1.2b1b83bbc723cp-2, -0x1.2712bb52c0671p-2, -0x1.230f12786521ep-2, -0x1.1f10be681cb42p-2, -0x1.1b17f2ac2306bp-2, -0x1.1724e11fb4e5dp-2, -0x1.1337b9f18e29p-2, -0x1.0f50aba6a259ap-2, -0x1.0b6fe31d208e7p-2, -0x1.07958b8faf926p-2, -0x1.03c1ce98e960cp-2, -0x1.ffe9a86e1cf75p-3, -0x1.f85d859fe5c1p-3, -0x1.f0df7e6a2fb05p-3, -0x1.e96fd94ffd069p-3, -0x1.e20ed9bd44d92p-3, -0x1.dabcc01049d8ap-3, -0x1.d379c9a336953p-3, -0x1.cc4630d6161ecp-3, -0x1.c5222d1907948p-3, -0x1.be0df2f6bd59dp-3, -0x1.b709b41f3658cp-3, -0x1.b0159f72b5b8cp-3, -0x1.a931e10cee7aap-3, -0x1.a25ea2505e947p-3, -0x1.9b9c09f1dc30bp-3, -0x1.94ea3c04453b5p-3, -0x1.8e495a045cac3p-3, -0x1.87b982e4c153cp-3, -0x1.813ad31a08b85p-3, -0x1.7acd64a6eff06p-3, -0x1.74714f28a0b87p-3, -0x1.6e26a7e31471p-3, -0x1.67ed81cd763aep-3, -0x1.61c5ed9ea058ap-3, -0x1.5baff9d99df5cp-3, -0x1.55abb2da2dceep-3, -0x1.4fb922e1512a9p-3, -0x1.49d85221d58b4p-3, -0x1.440946cce0233p-3, -0x1.3e4c051e723f3p-3, -0x1.38a08f69e788ep-3, -0x1.3306e6266b7dap-3, -0x1.2d7f07fb60d2p-3, -0x1.2808f1ccc1cc3p-3, -0x1.22a49ec7663adp-3, -0x1.1d52086d3fbfp-3, -0x1.181126a180188p-3, -0x1.12e1efb4a893dp-3, -0x1.0dc4587081b7cp-3, -0x1.08b85423fcf5fp-3, -0x1.03bdd4aef9542p-3, -0x1.fda9951bd2995p-4, -0x1.f3fa49cac8e61p-4, -0x1.ea6da31b187a2p-4, -0x1.e1037a3ac1ec7p-4, -0x1.d7bba5ebc9205p-4, -0x1.ce95fa9a55f43p-4, -0x1.c5924a7275f15p-4, -0x1.bcb065759ea6bp-4, -0x1.b3f0198feeec2p-4, -0x1.ab5132ad0da19p-4, -0x1.a2d37accd1e53p-4, -0x1.9a76ba1788c54p-4, -0x1.923ab6f1fe408p-4, -0x1.8a1f361120f2p-4, -0x1.8223fa8d60f3ep-4, -0x1.7a48c5f5b5ea8p-4, -0x1.728d5862509efp-4, -0x1.6af17086f7cddp-4, -0x1.6374cbc51166p-4, -0x1.5c17263d515adp-4, -0x1.54d83ae1159a8p-4, -0x1.4db7c383681edp-4, -0x1.46b578e9aa9dcp-4, -0x1.3fd112dbecb9cp-4, -0x1.390a4834e54fcp-4, -0x1.3260cef199703p-4, -0x1.2bd45c40a836bp-4, -0x1.2564a491417dap-4, -0x1.1f115ba1c2d8p-4, -0x1.18da348dfeb28p-4, -0x1.12bee1dd2d41p-4, -0x1.0cbf158f84c15p-4, -0x1.06da812b7e2e7p-4, -0x1.0110d5cac2578p-4, -0x1.f6c3884d8781fp-5, -0x1.eb99f94a060c5p-5, -0x1.e0a45ec5fe472p-5, -0x1.d5e21883a5ca8p-5, -0x1.cb5285e301c37p-5, -0x1.c0f505f7da996p-5, -0x1.b6c8f79f09824p-5, -0x1.accdb9932d091p-5, -0x1.a302aa80bbbb4p-5, -0x1.996729197827cp-5, -0x1.8ffa94274dedp-5, -0x1.86bc4a9e9505bp-5, -0x1.7dababafbe246p-5, -0x1.74c816d862d77p-5, -0x1.6c10ebf3d5f4ap-5, -0x1.63858b4b0bd63p-5, -0x1.5b2555a404fccp-5, -0x1.52efac50a219cp-5, -0x1.4ae3f13cf808p-5, -0x1.430186fd0e95bp-5, -0x1.3b47d0da24838p-5, -0x1.33b632df6aff1p-5, -0x1.2c4c11e641666p-5, -0x1.2508d3a1ef356p-5, -0x1.1debdeaae383ap-5, -0x1.16f49a897b78ap-5, -0x1.10226fc04df4fp-5, -0x1.0974c7d5ff412p-5, -0x1.02eb0d5eaa20ap-5, -0x1.f90958099c32cp-6, -0x1.ec822123a4d82p-6, -0x1.e03f51ec3cdf8p-6, -0x1.d43fc8a18bd44p-6, -0x1.c88265ed9e087p-6, -0x1.bd060cf41d64p-6, -0x1.b1c9a35f4e50ep-6, -0x1.a6cc116c48534p-6, -0x1.9c0c41f66830fp-6, -0x1.918922821449ap-6, -0x1.8741a346c9f94p-6, -0x1.7d34b7387b0ebp-6, -0x1.7361541039eddp-6, -0x1.69c6725442709p-6, -0x1.60630d5f6b7cdp-6, -0x1.57362367ece71p-6, -0x1.4e3eb58582c81p-6, -0x1.457bc7b7187dbp-6, -0x1.3cec60e7c5dc4p-6, -0x1.348f8af34d01bp-6, -0x1.2c6452aa0ef0fp-6, -0x1.2469c7d46feb9p-6, -0x1.1c9efd35cb342p-6, -0x1.1503088eda149p-6, -0x1.0d95029fabb4bp-6, -0x1.065407291fb03p-6, -0x1.fe7e69dbf10c8p-7, -0x1.f0ab5b66e89abp-7, -0x1.e32d2c83018afp-7, -0x1.d6022cc51f6edp-7, -0x1.c928b1c5eb9f8p-7, -0x1.bc9f171ff98c5p-7, -0x1.b063be6d13b57p-7, -0x1.a4750f42ec6e8p-7, -0x1.98d1772f1eb55p-7, -0x1.8d7769b27ae38p-7, -0x1.8265603bbe31ep-7, -0x1.7799da21bee72p-7, -0x1.6d135c9cee3bfp-7, -0x1.62d072c05e653p-7, -0x1.58cfad72401adp-7, -0x1.4f0fa363d1f96p-7, -0x1.458ef108e4157p-7, -0x1.3c4c388ee2aa6p-7, -0x1.334621d36b8d3p-7, -0x1.2a7b5a5a7c9a1p-7, -0x1.21ea95443ad51p-7, -0x1.19928b4253a5bp-7, -0x1.1171fa8d0a9dap-7, -0x1.0987a6d7e6476p-7, -0x1.01d259461fbccp-7, -0x1.f4a1c0bd58b01p-8, -0x1.e6041ffff36b2p-8, -0x1.d7c982a70acbep-8, -0x1.c9efa58215046p-8, -0x1.bc744fc33fd24p-8, -0x1.af5552e4ea797p-8, -0x1.a2908a8ed5273p-8, -0x1.9623dc7af7abcp-8, -0x1.8a0d3859ebd54p-8, -0x1.7e4a97b706721p-8, -0x1.72d9fddc43da5p-8, -0x1.67b977b5c1a1ap-8, -0x1.5ce71bb4ff6d6p-8, -0x1.526109b3fedcp-8, -0x1.48256ad826e86p-8, -0x1.3e327174d90c8p-8, -0x1.348658ee30558p-8, -0x1.2b1f659b46de5p-8, -0x1.21fbe4a87e1adp-8, -0x1.191a2bf9d18d9p-8, -0x1.10789a0cd98cep-8, -0x1.081595daf56fep-8, -0x1.ffdf1d76b0eb9p-9, -0x1.f009f88a3fee3p-9, -0x1.e0a8bc62a232fp-9, -0x1.d1b87879c80d9p-9, -0x1.c3364c15beee5p-9, -0x1.b51f660d0fde9p-9, -0x1.a771048b119abp-9, -0x1.9a2874d4c5b87p-9, -0x1.8d43130d3b141p-9, -0x1.80be49facbcabp-9, -0x1.749792cc2beabp-9, -0x1.68cc74ddf90e9p-9, -0x1.5d5a85807701p-9, -0x1.523f67bda1f2cp-9, -0x1.4778cc1fb146cp-9, -0x1.3d047077a1b0cp-9, -0x1.32e01fa45c635p-9, -0x1.2909b15a32af8p-9, -0x1.1f7f09eacd9c1p-9, -0x1.163e1a0d5f5a3p-9, -0x1.0d44dea799c2bp-9, -0x1.04916096a8c3cp-9, -0x1.f84368f1971ebp-10, -0x1.e7e7f4ef28d78p-10, -0x1.d80cbc24c2bf2p-10, -0x1.c8ae2bd2fee17p-10, -0x1.b9c8c713a33ccp-10, -0x1.ab592671e408p-10, -0x1.9d5bf7837f44fp-10, -0x1.8fcdfc833c1b1p-10, -0x1.82ac0bec425f6p-10, -0x1.75f3101696d79p-10, -0x1.69a006d4eee33p-10, -0x1.5db001137ab84p-10, -0x1.52202277ebff8p-10, -0x1.46eda10276648p-10, -0x1.3c15c4afe99efp-10, -0x1.3195e71d2402dp-10, -0x1.276b732bff5d9p-10, -0x1.1d93e4a8a6893p-10, -0x1.140cc7f0c61fep-10, -0x1.0ad3b99be78d5p-10, -0x1.01e666248bfa2p-10, -0x1.f28513258f6c3p-11, -0x1.e1cbde4fe5363p-11, -0x1.d19ce217749d2p-11, -0x1.c1f3eff43959p-11, -0x1.b2ccf5e6034e4p-11, -0x1.a423fdd55aa5dp-11, -0x1.95f52cf74f7e5p-11, -0x1.883cc332f5745p-11, -0x1.7af71a8a01ef6p-11, -0x1.6e20a6830b04p-11, -0x1.61b5f397194a2p-11, -0x1.55b3a6a0c80bdp-11, -0x1.4a167c4dec649p-11, -0x1.3edb48947042cp-11, -0x1.33fef627fed31p-11, -0x1.297e85f35397dp-11, -0x1.1f570e92a947bp-11, -0x1.1585bbd185fcap-11, -0x1.0c07ce2a39fcp-11, -0x1.02da9a47bb53ap-11, -0x1.f3f7111399788p-12, -0x1.e2d0291771defp-12, -0x1.d23b9958b0aa3p-12, -0x1.c234a33258c91p-12, -0x1.b2b6abb55c583p-12, -0x1.a3bd3ac80b48p-12, -0x1.9543fa475c3e2p-12, -0x1.8746b52e1b117p-12, -0x1.79c156bf13895p-12, -0x1.6cafe9b523854p-12, -0x1.600e9774a450ep-12, -0x1.53d9a743ceff8p-12, -0x1.480d7d83e2e29p-12, -0x1.3ca69af0ec0dfp-12, -0x1.31a19be4da576p-12, -0x1.26fb379d8e49bp-12, -0x1.1cb03f86fcbbep-12, -0x1.12bd9e8acdb9dp-12, -0x1.09205860a2f61p-12, -0x1.ffab11c943edcp-13, -0x1.edb4c6dff0efp-13, -0x1.dc58646abc68ap-13, -0x1.cb90ab42d9e5ep-13, -0x1.bb58877db6c58p-13, -0x1.abab0f3978349p-13, -0x1.9c838171f4cbep-13, -0x1.8ddd44dea7e9bp-13, -0x1.7fb3e6d1e5b43p-13, -0x1.72031a21dc82ep-13, -0x1.64c6b6180f9bfp-13, -0x1.57fab564921bbp-13, -0x1.4b9b351ada203p-13, -0x1.3fa473b284c2ap-13, -0x1.3412d00cbf043p-13, -0x1.28e2c883e91fep-13, -0x1.1e10f9fc6de79p-13, -0x1.139a1efe2e15bp-13, -0x1.097b0ed0a046ep-13, -0x1.ff61793e31a23p-14, -0x1.ec706d4178507p-14, -0x1.da1d4a8f71b3p-14, -0x1.c86294e56ac0ep-14, -0x1.b73b014a265d8p-14, -0x1.a6a1748b8fb3ep-14, -0x1.969101bf57fcfp-14, -0x1.8704e8d36a3b3p-14, -0x1.77f89521fc00bp-14, -0x1.69679c1254dedp-14, -0x1.5b4dbbc1cea28p-14, -0x1.4da6d9b85bf73p-14, -0x1.406f01a1799ebp-14, -0x1.33a2640e6ca02p-14, -0x1.273d5545de4bfp-14, -0x1.1b3c4c15f7c34p-14, -0x1.0f9be0af0e91fp-14, -0x1.0458cb8c2fbd6p-14, -0x1.f2dfc8b0f75ap-15, -0x1.ddbc41ccc4e67p-15, -0x1.c941285259988p-15, -0x1.b568da6f8dd0ep-15, -0x1.a22deca89c7e4p-15, -0x1.8f8b27f8779b9p-15, -0x1.7d7b8805847ebp-15, -0x1.6bfa39535ae69p-15, -0x1.5b02978d23a2dp-15, -0x1.4a902bdd5486bp-15, -0x1.3a9eab48ea3bdp-15, -0x1.2b29f5213fe89p-15, -0x1.1c2e1178d60a7p-15, -0x1.0da72fac92c7dp-15, -0x1.ff2349dd97a62p-16, -0x1.e3d3d5c63ad73p-16, -0x1.c9593c97a6694p-16, -0x1.afacfb617fe35p-16, -0x1.96c8d03a17703p-16, -0x1.7ea6b7c6b6c64p-16, -0x1.6740ead97e3bap-16, -0x1.5091dc2359521p-16, -0x1.3a9435f1099c7p-16, -0x1.2542d807510d2p-16, -0x1.1098d582a830ap-16, -0x1.f922e5a6a7a12p-17, -0x1.d250478e850dcp-17, -0x1.acb1134e843b3p-17, -0x1.883ce2aea819bp-17, -0x1.64eba3236d97ep-17, -0x1.42b592687f1f8p-17, -0x1.21933b285c4fp-17, -0x1.017d71c8964cfp-17, -0x1.c4daa295ba1d8p-18, -0x1.88b870bcd76ffp-18, -0x1.4e878ce41897cp-18, -0x1.163bb1e02c14dp-18, -0x1.bf92221d4b1c5p-19, -0x1.56489a9f5d5efp-19, -0x1.e109d761524c5p-20, -0x1.1c6405d241295p-20, -0x1.79dc9eda6cf79p-22, 0x1.638f8745cb897p-22, 0x1.09d2cd06b6f87p-20, 0x1.b479f7ecdd58cp-20, 0x1.2c7e3c13c4321p-19, 0x1.7bbe15240fbabp-19, 0x1.c80ce0558e65ep-19, 0x1.08bd34710793cp-18, 0x1.2c0af95291326p-18, 0x1.4df7206390a44p-18, 0x1.6e88ce09166b1p-18, 0x1.8dc6ec68a071dp-18, 0x1.abb82e4ec5b8dp-18, 0x1.c86311fbcbb66p-18, 0x1.e3cde3c556b69p-18, 0x1.fdfec0ad0cf64p-18, 0x1.0b7dcc55efac9p-17, 0x1.1765188ff593fp-17, 0x1.22b81384133adp-17, 0x1.2d79789151659p-17, 0x1.37abf0f089d89p-17, 0x1.415214bb430cbp-17, 0x1.4a6e6bd309c36p-17, 0x1.53036ebdf462dp-17, 0x1.5b13877ed86a5p-17, 0x1.62a112691d1a4p-17, 0x1.69ae5ee6a4715p-17, 0x1.703db028f4cd3p-17, 0x1.76513dd9f8c31p-17, 0x1.7beb34c731fep-17, 0x1.810db783615d2p-17, 0x1.85badef9bba2p-17, 0x1.89f4baf8bf208p-17, 0x1.8dbd52c8e47fcp-17, 0x1.9116a59e43429p-17, 0x1.9402ab14efb5p-17, 0x1.9683539dd7eadp-17, 0x1.989a88f53fac4p-17, 0x1.9a4a2e858e1dbp-17, 0x1.9b9421c38c774p-17, 0x1.9c7a3a898e96bp-17, 0x1.9cfe4b68f11d2p-17, 0x1.9d2221f891a63p-17, 0x1.9ce787210dbe5p-17, 0x1.9c503f5da599cp-17, 0x1.9b5e0b02bff34p-17, 0x1.9a12a6742d4f3p-17, 0x1.986fca5847157p-17, 0x1.96772bd1c3142p-17, 0x1.942a7ca42f9b1p-17, 0x1.918b6b6eea1b3p-17, 0x1.8e9ba3c80c2e9p-17, 0x1.8b5cce6ac609cp-17, 0x1.87d0914f414bp-17, 0x1.83f88fc8fd1bap-17, 0x1.7fd66aa123e5bp-17, 0x1.7b6bc0381a088p-17, 0x1.76ba2c8e024f8p-17, 0x1.71c3495e21264p-17, 0x1.6c88ae2a48b12p-17, 0x1.670bf049bf886p-17, 0x1.614ea2f5d15e5p-17, 0x1.5b52575174153p-17, 0x1.55189c76291a4p-17, 0x1.4ea2ff77fd7a9p-17, 0x1.47f30b6cb8389p-17, 0x1.410a4968de7c8p-17, 0x1.39ea407d1b10bp-17, 0x1.329475c0d938ep-17, 0x1.2b0a6c4e5b3d6p-17, 0x1.234da53cf3cc2p-17, 0x1.1b5f9f9badbd9p-17, 0x1.1341d86fdfc23p-17, 0x1.0af5caabe6164p-17, 0x1.027cef2b5b7e5p-17, 0x1.f3b17954c1014p-18, 0x1.e2154f80367d6p-18, 0x1.d02845a37775dp-18, 0x1.bded3c1fd9f8fp-18, 0x1.ab670ec432e22p-18, 0x1.989894b9841b4p-18, 0x1.8584a0720e33cp-18, 0x1.722dffa271055p-18, 0x1.5e977b1985b1ep-18, 0x1.4ac3d69d839a7p-18, 0x1.36b5d0e45e2b7p-18, 0x1.2270236de0781p-18, 0x1.0df5826d080c9p-18, 0x1.f2913962d1f49p-19, 0x1.c8d837281f617p-19, 0x1.9ec545a15d9dp-19, 0x1.745da0e6fa5c4p-19, 0x1.49a6797c00788p-19, 0x1.1ea4f3f8528b3p-19, 0x1.e6bc51cbb6d8cp-20, 0x1.8fae49335fd16p-20, 0x1.3829ce327ed38p-20, 0x1.c0718ecc54414p-21, 0x1.0fca03891c462p-21, 0x1.79c1817191a03p-23, -0x1.4e20a7a3413f3p-23, -0x1.060ca00f8c99bp-21, -0x1.b90a3d6ddd215p-21, -0x1.363739e5263a3p-20, -0x1.9013767dce404p-20, -0x1.ea10c587a1f3cp-20, -0x1.22131a4c28443p-19, -0x1.4f257722e3a47p-19, -0x1.7c3b1d298efd3p-19, -0x1.a94fbf029f2a5p-19, -0x1.d65f1e13a8164p-19, -0x1.01b285682e2a2p-18, -0x1.182eb26d7a7c8p-18, -0x1.2ea20d895387ap-18, -0x1.450a95e57fa6ap-18, -0x1.5b665269af688p-18, -0x1.71b351d2d1b1ep-18, -0x1.87efaaaeac2ebp-18, -0x1.9e197b7132b9fp-18, -0x1.b42eea8233edp-18, -0x1.ca2e26453f58ap-18, -0x1.e015652bbed2bp-18, -0x1.f5e2e5b756a0fp-18, -0x1.05ca7743bd576p-17, -0x1.1094e72a88f95p-17, -0x1.1b4fedfbd69ccp-17, -0x1.25fabb3e03244p-17, -0x1.3094828eaa565p-17, -0x1.3b1c7ba5ac54bp-17, -0x1.4591e25936322p-17, -0x1.4ff3f69c54c29p-17, -0x1.5a41fc82ddeacp-17, -0x1.647b3c3825491p-17, -0x1.6e9f020a76dc6p-17, -0x1.78ac9e62dac15p-17, -0x1.82a365ca6cd99p-17, -0x1.8c82b0e875afbp-17, -0x1.9649dc7f64912p-17, -0x1.9ff8496ccb3bap-17, -0x1.a98d5ca4d72d5p-17, -0x1.b3087f2c11f72p-17, -0x1.bc691e1da9901p-17, -0x1.c5aeaaa454288p-17, -0x1.ced899f3ce316p-17, -0x1.d7e6654a79699p-17, -0x1.e0d789e9d0481p-17, -0x1.e9ab8914c12b4p-17, -0x1.f261e804a5bp-17, -0x1.fafa2fe7e5f03p-17, -0x1.01b9f6efebe04p-16, -0x1.05e7597abcc0dp-16, -0x1.0a050a0c880ffp-16, -0x1.0e12d50d0477dp-16, -0x1.121088d0017c6p-16, -0x1.15fdf592d932ep-16, -0x1.19daed75f9d07p-16, -0x1.1da7447ce4f21p-16, -0x1.2162d088f4c7ap-16, -0x1.250d6956b269ep-16, -0x1.28a6e877f602fp-16, -0x1.2c2f29519a186p-16, -0x1.2fa60917c1805p-16, -0x1.330b66c7394e6p-16, -0x1.365f2322888bep-16, -0x1.39a120ad3940ap-16, -0x1.3cd143a841b73p-16, -0x1.3fef720c520a9p-16, -0x1.42fb938672046p-16, -0x1.45f59172b2d3ep-16, -0x1.48dd56d680ee9p-16, -0x1.4bb2d05e62e1cp-16, -0x1.4e75ec5510b3p-16, -0x1.51269aa00a89ep-16, -0x1.53c4ccbd47a6fp-16, -0x1.565075ba21179p-16, -0x1.58c98a3133d64p-16, -0x1.5b300041fb505p-16, -0x1.5d83cf8fec413p-16, -0x1.5fc4f138cd1f4p-16, -0x1.61f35fd08d18bp-16, -0x1.640f175e4339p-16, -0x1.66181553020d9p-16, -0x1.680e5886bab07p-16, -0x1.69f1e133a07adp-16, -0x1.6bc2b0ee4f559p-16, -0x1.6d80caa133058p-16, -0x1.6f2c3286bb813p-16, -0x1.70c4ee2661d9cp-16, -0x1.724b044a3bf03p-16, -0x1.73be7cfb5e846p-16, -0x1.751f617f22f89p-16, -0x1.766dbc4db39f1p-16, -0x1.77a9990e6ff3cp-16, -0x1.78d304909d458p-16, -0x1.79ea0cc86dc8fp-16, -0x1.7aeec0c7170e4p-16, -0x1.7be130b3c0a38p-16, -0x1.7cc16dcb8ee3dp-16, -0x1.7d8f8a56a0cafp-16, -0x1.7e4b99a2dfeffp-16, -0x1.7ef5b00272c31p-16, -0x1.7f8de2c27b4dp-16, -0x1.801448256ca98p-16, -0x1.8088f75eddb23p-16, -0x1.80ec088efb19fp-16, -0x1.813d94bb8983dp-16, -0x1.817db5c993195p-16, -0x1.81ac867864eap-16, -0x1.81ca225ede0d2p-16, -0x1.81d6a5e24beb7p-16, -0x1.81d22e32fbdd8p-16, -0x1.81bcd94616dfcp-16, -0x1.8196c5d132aa5p-16, -0x1.81601343955a5p-16, -0x1.8118e1c1aec28p-16, -0x1.80c1522246665p-16, -0x1.805985e5b6e28p-16, -0x1.7fe19f314d4c2p-16, -0x1.7f59c0cc6f3f5p-16, -0x1.7ec20e19ceae2p-16, -0x1.7e1aab11ecc17p-16, -0x1.7d63bc3e9a5dbp-16, -0x1.7c9d66b7a9759p-16, -0x1.7bc7d01d1a2b4p-16, -0x1.7ae31e9128f4cp-16, -0x1.79ef78b3c734p-16, -0x1.78ed059e13165p-16, -0x1.77dbece005d32p-16, -0x1.76bc567764dbep-16, -0x1.758e6aced12fbp-16, -0x1.745252b687276p-16, -0x1.73083761afcp-16, -0x1.71b04260c19d7p-16, -0x1.704a9d9f88a2fp-16, -0x1.6ed7735ed7dc3p-16, -0x1.6d56ee2fa8bb5p-16, -0x1.6bc938ef5f9d2p-16, -0x1.6a2e7ec47c63p-16, -0x1.6886eb191e0c4p-16, -0x1.66d2a997a0943p-16, -0x1.6511e626b3583p-16, -0x1.6344cce61f503p-16, -0x1.616b8a2a15db6p-16, -0x1.5f864a76ddf25p-16, -0x1.5d953a7dc6539p-16, -0x1.5b98871730c6dp-16, -0x1.59905d43d9f95p-16, -0x1.577cea246934cp-16, -0x1.555e5af8242fap-16, -0x1.5334dd1757fccp-16, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      32, 0x1p+2, 0x1.d9aa061af1a4ap+1, 0x1.af68ced7b09bp+2, -0x1.027008cde7bc6p-5, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.607cdf79e323fp-4, -0x1.bda39353587cep-2, 0x1.9c459a3ac8471p-1, -0x1.0b4636a4d09c4p-1}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0f5691543684ap-4, -0x1.6f3196944d29p-2, 0x1.742e453ba8fc3p-1, -0x1.0b4698875fa5dp-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.9a26c9257e36dp-5, -0x1.28c445e68f5bcp-2, 0x1.4c16e18dc109ep-1, -0x1.0b4510fd23ecep-1}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.3031a12eb05c9p-5, -0x1.d4b739c4f8fb4p-3, 0x1.23ffb89afba68p-1, -0x1.0b4acd4383899p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.bb31330f740fdp-6, -0x1.67ef575d7c1acp-3, 0x1.f7cf66d4e9702p-2, -0x1.0b3563b440a1dp-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.3e4d41e8a3907p-6, -0x1.0b306c30a146fp-3, 0x1.a7a5c8eba2d98p-2, -0x1.0b854daaed2e2p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c69a98e0b8a86p-7, -0x1.7cf8731261902p-4, 0x1.5764319ec217fp-2, -0x1.0a5b0f5f7d005p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.478e605c16f21p-7, -0x1.03986544208c2p-4, 0x1.077c136882fe9p-2, -0x1.0eb41e9691d63p-1}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.e5432aa47866dp-8, -0x1.54e325138366cp-5, 0x1.6c8c1476ae7d3p-3, -0x1.dc556c4578178p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7642b42288222p-8, -0x1.bf4bff1818fa8p-6, 0x1.bb4b4e5d481dcp-4, -0x1.507ca42f38c0cp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2bd74fbcb6b8ap-8, -0x1.365b8d0cee76bp-6, 0x1.e2cdd7b518efcp-5, -0x1.a55b1d5082a96p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.eb7afab63f28ap-9, -0x1.de2804c69af34p-7, 0x1.cbfb25d661ddfp-6, -0x1.1b7b4933607ffp-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.93ea31844594ep-9, -0x1.932b44290d2aap-7, 0x1.21e4605127f85p-6, -0x1.5edb906b50e41p-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.48fdbb994e49cp-9, -0x1.5a819d474d7a6p-7, 0x1.14bc248054efdp-6, -0x1.b0235c25934acp-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.09022dd9e1919p-9, -0x1.26667db5991d1p-7, 0x1.e8a62e616d60fp-7, -0x1.51bef39ef2ecfp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a5b12eb5df63bp-10, -0x1.f0231713b1eabp-8, 0x1.b5fcbd0995bd7p-7, -0x1.516e59550e5cep-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4ae313acaa0cap-10, -0x1.9d99e0b07e6c2p-8, 0x1.835f62d66d2f1p-7, -0x1.37e8828ec5f29p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.ff3466ab681p-11, -0x1.54ce20ccdec18p-8, 0x1.54961c0dcf7e3p-7, -0x1.2523cf7d501dep-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.83eb7770ccdc9p-11, -0x1.1515c36bfcdc1p-8, 0x1.289d89bb0379ep-7, -0x1.108fca14f5a63p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.2067c04c050f3p-11, -0x1.bbb3629d28a81p-9, 0x1.ff7656d623a7dp-8, -0x1.f8efd4a6b2d0dp-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.a2c764e68737p-12, -0x1.5cfb798e6e72fp-9, 0x1.b3b8c3bd226f3p-8, -0x1.d07d8c9b5186cp-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.27af9360d7a3ap-12, -0x1.0cce2a471824bp-9, 0x1.6e0c550c3c9a8p-8, -0x1.a81d1b631baaap-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.93ea318445914p-13, -0x1.93ea30cc44657p-10, 0x1.2e6e5dbd5edadp-8, -0x1.7fb7d7665d4ffp-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.09022dd9e18ddp-13, -0x1.2674330b4518ap-10, 0x1.e9bf2e0f3b514p-9, -0x1.575407a8933fcp-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.4ae313acaa05p-14, -0x1.9d9bd93e66d0cp-11, 0x1.82bf9229758a6p-9, -0x1.2eef39b3896d1p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.83eb7770ccc41p-15, -0x1.1515e4cd11f78p-11, 0x1.27de340d32b6cp-9, -0x1.068cf05c79ffap-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.a2c764e6870e1p-16, -0x1.5cfb93d81e7a7p-12, 0x1.b234a4afb5d37p-10, -0x1.bc432589afc1p-9}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.93ea3184451bep-17, -0x1.93e993f6c0971p-13, 0x1.2ced4ca0011a1p-10, -0x1.6bb00322e13f9p-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.4ae313aca8ap-18, -0x1.9da070a3f2ec2p-14, 0x1.7fa430f7e175p-11, -0x1.1a20a61b5eeadp-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a2c764e684c02p-20, -0x1.5cd934953a06ap-15, 0x1.acbacdceea9bp-12, -0x1.987d359d1fad8p-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4ae313ac91fffp-22, -0x1.9f9bbae4f910bp-17, 0x1.6f45c1ae159adp-13, -0x1.c28e0cdc2a5cdp-11}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.4ae313ab2p-26, -0x1.61e8d4504c616p-20, 0x1.83c21b0e572p-15, -0x1.2d7c72a114e95p-10}, 
      }}, 
      0x1.1bb08ee46e67cp-6, -0x1.b5402850de0b4p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.01e2bb6f4453p-4, 0x1.1e5a5cd904679p-3, 0x1.02d9b4cf90f43p-2, 0x1.8a1b86fef6367p-2, 0x1.09eaf02c3e8a7p-1, 0x1.48d2374f84cfdp-1, 0x1.7c7bd45b35404p-1, 0x1.a19f0502da1e4p-1, 0x1.b6bdbe9db118fp-1, 0x1.bbcddaf65b938p-1, 0x1.b1d993dd79eaep-1, 0x1.9aa614e04d09ap-1, 0x1.786725e061766p-1, 0x1.4d81f11dec757p-1, 0x1.1c5ea36bbdb7ep-1, 0x1.ce8e71eea199p-2, 0x1.60a2a4ef201d5p-2, 0x1.e5437770633bcp-3, 0x1.0f462d1642c7ap-3, 0x1.1154cbc7cdd4dp-5, -0x1.de9887275395dp-5, -0x1.21ce662aec40cp-3, -0x1.b838ee460e2e9p-3, -0x1.1ce8617b3533ep-2, -0x1.531bed3778156p-2, -0x1.7ed42056d60e1p-2, -0x1.a06b368df4f14p-2, -0x1.b86acd06e55f2p-2, -0x1.c77f57cf05f6bp-2, -0x1.ce6d0ea43b151p-2, -0x1.ce066413e07b6p-2, -0x1.c7240aa719b64p-2, -0x1.ba9e79c547c4p-2, -0x1.a948d1a25a5afp-2, -0x1.93ecfd6d531a6p-2, -0x1.7b48f0c2c7ae6p-2, -0x1.600cc973db295p-2, -0x1.42d9ad902b684p-2, -0x1.244155456e68fp-2, -0x1.04c5fa049699fp-2, -0x1.c9b54810a9bc4p-3, -0x1.89c781be48874p-3, -0x1.4a6fbf1d5a2f1p-3, -0x1.0c4123c6a7e61p-3, -0x1.9f6d884a132a4p-4, -0x1.2a6b5ae506d84p-4, -0x1.743bdf826517fp-5, -0x1.3c0ea9d80481cp-6, 0x1.684d48d23c89p-8, 0x1.d8e34f2c34bd8p-6, 0x1.9fdbb3ecaad93p-5, 0x1.238e4a0426897p-4, 0x1.71164f6c795cbp-4, 0x1.b8911007f4c23p-4, 0x1.fa162be5987b9p-4, 0x1.1ae3bfb438e4dp-3, 0x1.35e793e405455p-3, 0x1.4e2ee2212b88ep-3, 0x1.63d47aa6e63dp-3, 0x1.76f50822bb3bap-3, 0x1.87ae820973eb7p-3, 0x1.961fb320f3f21p-3, 0x1.a267d29db605dp-3, 0x1.aca62e0aa811fp-3, 0x1.b4f9e1662880dp-3, 0x1.bb819c4a6b67ep-3, 0x1.c05b72f9b251p-3, 0x1.c3a4b8f5fdc57p-3, 0x1.c579e3d3fbcbfp-3, 0x1.c5f674d40f8a9p-3, 0x1.c534e95843886p-3, 0x1.c34eae2fbc8f4p-3, 0x1.c05c1a0a1baf6p-3, 0x1.bc74673033f89p-3, 0x1.b7adb4b12fd55p-3, 0x1.b21d053a888b5p-3, 0x1.abd643f63273fp-3, 0x1.a4ec47ce8374bp-3, 0x1.9d70d9bb002b3p-3, 0x1.9574baed60b65p-3, 0x1.8d07ad4057cd4p-3, 0x1.8438798ed8168p-3, 0x1.7b14f99b5609cp-3, 0x1.71aa1efd88a56p-3, 0x1.6803fd18fada3p-3, 0x1.5e2dd0fed8438p-3, 0x1.54320b07417eep-3, 0x1.4a1a56dfe1b83p-3, 0x1.3fefa4cc51705p-3, 0x1.35ba325aa8339p-3, 0x1.2b819298c1abbp-3, 0x1.214cb6d43a477p-3, 0x1.1721f698d32d7p-3, 0x1.0d0718decdb3cp-3, 0x1.03015ac902247p-3, 0x1.f22aef6a943ep-4, 0x1.de8f60550bd48p-4, 0x1.cb37a44593e3cp-4, 0x1.b82a7f87d8fd9p-4, 0x1.a56debf4c1f0ep-4, 0x1.9307255ba25f7p-4, 0x1.80fab667c5543p-4, 0x1.6f4c84d1e7bffp-4, 0x1.5dffdd0042dbbp-4, 0x1.4d177cd347cdap-4, 0x1.3c959db5de394p-4, 0x1.2c7bff9f49084p-4, 0x1.1ccbf0fa0380ap-4, 0x1.0d86591a6430fp-4, 0x1.fd57816db0045p-5, 0x1.e078afd2a251fp-5, 0x1.c4700275ead14p-5, 0x1.a93cab7baa737p-5, 0x1.8edd5a5c9999ap-5, 0x1.75504abbd7a1dp-5, 0x1.5c934af579823p-5, 0x1.44a3cbacdf85cp-5, 0x1.2d7eead5a8451p-5, 0x1.172179407773p-5, 0x1.018806aafca5ep-5, 0x1.d95dd81c242bfp-6, 0x1.b1249decbad69p-6, 0x1.8a5c563957b6p-6, 0x1.64fcb678ad221p-6, 0x1.40fd388abe23dp-6, 0x1.1e5525a3000a2p-6, 0x1.f9f74fcf95aafp-7, 0x1.b9cfa037d5956p-7, 0x1.7c213721d58d1p-7, 0x1.40d9fe1bd7709p-7, 0x1.07e7e298be0f1p-7, 0x1.a271b23fc145fp-8, 0x1.3975d9a807e16p-8, 0x1.a971311156f4ep-9, 0x1.d05aa24c2f629p-10, 0x1.76d294430b5c6p-12, -0x1.059949fe9354bp-10, -0x1.2d0b5916ac7d1p-9, -0x1.d02457d23739cp-9, -0x1.362c7f2ce77a2p-8, -0x1.80f4b4b47b421p-8, -0x1.c88a2fdc5c046p-8, -0x1.0685c8a639014p-7, -0x1.274b5f2cc17ebp-7, -0x1.46a47a2a73d61p-7, -0x1.649f5371bc6a8p-7, -0x1.8149b6d33d773p-7, -0x1.9cb114ce98455p-7, -0x1.b6e284fea5d46p-7, -0x1.cfeaafde3124fp-7, -0x1.e7d5d90acadd8p-7, -0x1.feafe19c2b274p-7, -0x1.0a4229f02c3fep-6, -0x1.14af28221f2bbp-6, -0x1.1ea447a5f086p-6, -0x1.2826b756267a7p-6, -0x1.313b7a847c401p-6, -0x1.39e765ccb4d5ep-6, -0x1.422f1c255c878p-6, -0x1.4a1713318e334p-6, -0x1.51a397e4b5725p-6, -0x1.58d8ce563fdc5p-6, -0x1.5fbaae24d8de6p-6, -0x1.664d03497b134p-6, -0x1.6c9372fe87f2ep-6, -0x1.72917e7f1111ap-6, -0x1.784a819dd556p-6, -0x1.7dc1b04c1c6bap-6, -0x1.82fa18e8613b2p-6, -0x1.87f6a8bdbc9f5p-6, -0x1.8cba2de1dd61bp-6, -0x1.91475565bdee7p-6, -0x1.95a0aa0f48eddp-6, -0x1.99c897471dddcp-6, -0x1.9dc16b8862026p-6, -0x1.a18d5b5d44fcap-6, -0x1.a52e7fab4cb34p-6, -0x1.a8a6d4739a835p-6, -0x1.abf83ac02567ap-6, -0x1.af24771027498p-6, -0x1.b22d4529aee98p-6, -0x1.b5143f08ac8a3p-6, -0x1.b7dae54601f4p-6, -0x1.ba82a9a4eb411p-6, -0x1.bd0ce7ebe62d9p-6, -0x1.bf7ae888f6cbcp-6, -0x1.c1cde126edf74p-6, -0x1.c406f6f0bbae9p-6, -0x1.c6273bae28732p-6, -0x1.c82fb2578e214p-6, -0x1.ca214c38900e7p-6, -0x1.cbfcee94977d2p-6, -0x1.cdc3702c114b7p-6, -0x1.cf75999f47f5p-6, -0x1.d1142603df814p-6, -0x1.d29fc2813023dp-6, -0x1.d41914f614477p-6, -0x1.d580b846d07c4p-6, -0x1.d6d7391e1d58ep-6, -0x1.d81d1a5f3427p-6, -0x1.d952db4e5930fp-6, -0x1.da78eb9f24e23p-6, -0x1.db8fb457d547ap-6, -0x1.dc9796c4e5cc4p-6, -0x1.dd90f087d14ccp-6, -0x1.de7c14453a5cbp-6, -0x1.df5950c923e7ep-6, -0x1.e028eade787bfp-6, -0x1.e0eb251d20af7p-6, -0x1.e1a03a62c0485p-6, -0x1.e24861d0ac13ap-6, -0x1.e2e3cf5252ce4p-6, -0x1.e372af63949dcp-6, -0x1.e3f52cf45c2efp-6, -0x1.e46b6bfe5bc36p-6, -0x1.e4d5912e9f1afp-6, -0x1.e533ba2c87857p-6, -0x1.e586055abc8c4p-6, -0x1.e5cc8cb54e041p-6, -0x1.e607665fe0e07p-6, -0x1.e636a96f3e787p-6, -0x1.e65a67538a2a1p-6, -0x1.e672b284fecdp-6, -0x1.e67f9adc9af8ap-6, -0x1.e6812e169ba6ap-6, -0x1.e6777b4040b5fp-6, -0x1.e6628d55b1cf4p-6, -0x1.e6426fd5bcdf3p-6, -0x1.e6172d0df7c63p-6, -0x1.e5e0cf20f950bp-6, -0x1.e59f5f484c43dp-6, -0x1.e552e657b779fp-6, -0x1.e4fb6cfb5a685p-6, -0x1.e498fba43bf0dp-6, -0x1.e42b99f06280ap-6, -0x1.e3b3525e8f87ep-6, -0x1.e3302bbdd09a4p-6, -0x1.e2a22e135f62dp-6, -0x1.e2096520a58fp-6, -0x1.e165d73f156ep-6, -0x1.e0b78fa591a52p-6, -0x1.dffe96e6eb842p-6, -0x1.df3afa47bcb9ep-6, -0x1.de6cc22352363p-6, -0x1.dd93fb7350197p-6, -0x1.dcb0b34924ee4p-6, -0x1.dbc2f1a0bfe8fp-6, -0x1.dacacdb925d4bp-6, -0x1.d9c84dc419dep-6, -0x1.d8bb82b3ad775p-6, -0x1.d7a47d7a38716p-6, -0x1.d6834f1189d42p-6, -0x1.d55805f3ec407p-6, -0x1.d422b8c2c2d89p-6, -0x1.d2e3761bd9c56p-6, -0x1.d19a5500f9c67p-6, -0x1.d04768eaa6b3ep-6, -0x1.ceeac65de111dp-6, -0x1.cd8485adf81bdp-6, -0x1.cc14bc5d07ep-6, -0x1.ca9b8229305f9p-6, -0x1.c918f10e2fce9p-6, -0x1.c78d20e9157a9p-6, -0x1.c5f82d6753659p-6, -0x1.c45a3094eac78p-6, -0x1.c2b3469c8c73p-6, -0x1.c1038bd47d7d6p-6, -0x1.bf4b1e147426p-6, -0x1.bd8a1a3b84085p-6, -0x1.bbc09fce40b44p-6, -0x1.b9eeccec6aa6cp-6, -0x1.b814c3221e95cp-6, -0x1.b632a1bcf59d5p-6, -0x1.b4488a4a6b974p-6, -0x1.b2569ebca61a4p-6, -0x1.b05d01759e26ap-6, -0x1.ae5bd52a6e5b3p-6, -0x1.ac533da2b5323p-6, -0x1.aa435dd881feap-6, -0x1.a82c5bbd2d8bcp-6, -0x1.a60e59e5fba8cp-6, -0x1.a3e97ff9f32b3p-6, -0x1.a1bdf08923199p-6, -0x1.9f8bd6124c04ep-6, -0x1.9d535285de866p-6, -0x1.9b148e8dc2083p-6, -0x1.98cfb23c76259p-6, -0x1.9684e2917d3e1p-6, -0x1.943448e081102p-6, -0x1.91de0ae5922p-6, -0x1.8f82533bebe6ap-6, -0x1.8d21487e98a04p-6, -0x1.8abb1304c09c9p-6, -0x1.884fdb7162e7dp-6, -0x1.85dfca496a1a9p-6, -0x1.836b07c29261fp-6, -0x1.80f1bd56e2d9dp-6, -0x1.7e74139f9ecc9p-6, -0x1.7bf232a08d967p-6, -0x1.796c4270abf1dp-6, -0x1.76e26dbafe9e8p-6, -0x1.7454dcdad531cp-6, -0x1.71c3b6b876d19p-6, -0x1.6f2f252915cd8p-6, -0x1.6c97504475507p-6, -0x1.69fc5f8d4570bp-6, -0x1.675e7cdb2fb2fp-6, -0x1.64bdcff8a26b5p-6, -0x1.621a7c5abfd38p-6, -0x1.5f74b292c1963p-6, -0x1.5ccc8eb02eaf1p-6, -0x1.5a22404577fecp-6, -0x1.5775eafc4d8bdp-6, -0x1.54c7b623bca7bp-6, -0x1.5217c7874cc8ep-6, -0x1.4f6644dcd3315p-6, -0x1.4cb354b6d076p-6, -0x1.49ff1c395d0bp-6, -0x1.4749bfdc6c432p-6, -0x1.449364a833a9ap-6, -0x1.41dc2ea9a83cfp-6, -0x1.3f2442cc097b5p-6, -0x1.3c6bc31a78cc2p-6, -0x1.39b2d3d8d5724p-6, -0x1.36f9973c01d84p-6, -0x1.34402fb16384cp-6, -0x1.3186bf1c985d6p-6, -0x1.2ecd66e5d6ef9p-6, -0x1.2c14481dad314p-6, -0x1.295b832d9a7d8p-6, -0x1.26a3384cb3267p-6, -0x1.23eb86fea4a1p-6, -0x1.21348e6a72601p-6, -0x1.1e7e6d4804cabp-6, -0x1.1bc941b37d9c4p-6, -0x1.1915294dde4a6p-6, -0x1.166241744f2dp-6, -0x1.13b0a69363c5dp-6, -0x1.1100752e3ca3dp-6, -0x1.0e51c8a0c7ef4p-6, -0x1.0ba4bc3ad0547p-6, -0x1.08f96a37278b8p-6, -0x1.064fed243019dp-6, -0x1.03a85e4c7d6f5p-6, -0x1.0102d6a7e3e14p-6, -0x1.fcbedd853638bp-7, -0x1.f77c7e3780a56p-7, -0x1.f23ebdb5ca4e4p-7, -0x1.ed05c997f2391p-7, -0x1.e7d1ce9399b8cp-7, -0x1.e2a2fa2bf147ep-7, -0x1.dd797656c16cbp-7, -0x1.d8556cda697a5p-7, -0x1.d3370524ad0eep-7, -0x1.ce1e67a522d9ep-7, -0x1.c90bbaecacf78p-7, -0x1.c3ff23daf426fp-7, -0x1.bef8c6e79695ap-7, -0x1.b9f8c75ae4296p-7, -0x1.b4ff475b45ae7p-7, -0x1.b00c68fa72953p-7, -0x1.ab204bbcfae8dp-7, -0x1.a63b10268ec06p-7, -0x1.a15cd43dc5bedp-7, -0x1.9c85b5bfcaa11p-7, -0x1.97b5d18ef666p-7, -0x1.92ed42f0bff8fp-7, -0x1.8e2c23f6970e5p-7, -0x1.8972909f9dd72p-7, -0x1.84c09be8d3459p-7, -0x1.8016615819e36p-7, -0x1.7b73f674394f6p-7, -0x1.76d96f66e67b5p-7, -0x1.7246e03c9cbe2p-7, -0x1.6dbc5d0f06517p-7, -0x1.6939f64b708d1p-7, -0x1.64bfc0648879p-7, -0x1.604dcc0fc1d0ap-7, -0x1.5be42af5e2b8ap-7, -0x1.5782edf0be1d8p-7, -0x1.532a25cb3e1ebp-7, -0x1.4ed9e1e91c9cdp-7, -0x1.4a9230d2fcc47p-7, -0x1.46532066aef6p-7, -0x1.421cb7b262a42p-7, -0x1.3def0297279a2p-7, -0x1.39ca055ddb4f6p-7, -0x1.35adc57a10f22p-7, -0x1.319a47273cd37p-7, -0x1.2d8f8f3e61812p-7, -0x1.298da3a5fbaccp-7, -0x1.25948c82f6857p-7, -0x1.21a4546b2b711p-7, -0x1.1dbd05cf3b33ep-7, -0x1.19deace4a8d8bp-7, -0x1.160953089bd6p-7, -0x1.123d00576b6dap-7, -0x1.0e79b8ce2c6d6p-7, -0x1.0abf7a1dc49e4p-7, -0x1.070e3f0310374p-7, -0x1.0365fe329597ep-7, -0x1.ff8d59a68b438p-8, -0x1.f860839171942p-8, -0x1.f1456939be568p-8, -0x1.ea3c0291a091dp-8, -0x1.e344526d6cab6p-8, -0x1.dc5e662366c79p-8, -0x1.d58a4b46e93a7p-8, -0x1.cec81504a3602p-8, -0x1.c817cf85ff9ep-8, -0x1.c17982dcd09edp-8, -0x1.baed26695cd6cp-8, -0x1.b472aa597fd56p-8, -0x1.ae09ef08a4ba5p-8, -0x1.a7b2d4f308f46p-8, -0x1.a16d3292a09a2p-8, -0x1.9b38e6604f87ap-8, -0x1.9515d37d8e4ep-8, -0x1.8f03e529a3f52p-8, -0x1.890312663fee5p-8, -0x1.831356aefc4bcp-8, -0x1.7d34b0a3be11ap-8, -0x1.77671ce887585p-8, -0x1.71aa92f6fde4fp-8, -0x1.6bff0185ec409p-8, -0x1.666456ec5a743p-8, -0x1.60da6d25a3f5cp-8, -0x1.5b6126f96fed8p-8, -0x1.55f8644c21903p-8, -0x1.50a009e7d2399p-8, -0x1.4b5804332d2a7p-8, -0x1.4620461ebf7c2p-8, -0x1.40f8c8a970b19p-8, -0x1.3be18780236a7p-8, -0x1.36da77ad8eedep-8, -0x1.31e387d13c4acp-8, -0x1.2cfc972e15036p-8, -0x1.28257990b86b8p-8, -0x1.235df843d8a0dp-8, -0x1.1ea5d14848e11p-8, -0x1.19fcc43409e9fp-8, -0x1.1562995823532p-8, -0x1.10d7253dbd845p-8, -0x1.0c5a4c1d82df4p-8, -0x1.07ec06e636496p-8, -0x1.038c5e9cf6edep-8, -0x1.fe76cea1833dep-9, -0x1.f5f27171af23cp-9, -0x1.ed8bc988028d5p-9, -0x1.e542de2cbf4f2p-9, -0x1.dd178aeb60b61p-9, -0x1.d5098bf7251dbp-9, -0x1.cd1859cfcf38fp-9, -0x1.c54363c5e4f19p-9, -0x1.bd89fec2cd6c7p-9, -0x1.b5eb85bcb8463p-9, -0x1.ae675f6cd7346p-9, -0x1.a6fd1014abe0dp-9, -0x1.9fac3ecfeb436p-9, -0x1.9874b39df18ddp-9, -0x1.9156564063961p-9, -0x1.8a5128fac6f04p-9, -0x1.83653e1d17e81p-9, -0x1.7c92ae2fa0081p-9, -0x1.75d9896023e84p-9, -0x1.6f39d066c595cp-9, -0x1.68b364dec5e1ap-9, -0x1.62460a8ccd34p-9, -0x1.5bf16d9263fe3p-9, -0x1.55b520e347d97p-9, -0x1.4f90b3f5f0c81p-9, -0x1.4983c27b3e43ap-9, -0x1.438df98c9995ap-9, -0x1.3daf1b48fd8e3p-9, -0x1.37e6f5fc1a67p-9, -0x1.323553decbf91p-9, -0x1.2c99ebaa6705ap-9, -0x1.27145910401e2p-9, -0x1.21a421e746e18p-9, -0x1.1c48c3d8b2666p-9, -0x1.1701d1b87b55ep-9, -0x1.11cef680ad6b5p-9, -0x1.0cb007574df7p-9, -0x1.07a4f555b9f0ap-9, -0x1.02adbb0c88f43p-9, -0x1.fb94aae258877p-10, -0x1.f1f55bace2d4fp-10, -0x1.e87d49ff352eap-10, -0x1.df2c48183fa91p-10, -0x1.d6024c4336b7p-10, -0x1.ccff74e208f41p-10, -0x1.c423e61293782p-10, -0x1.bb6f9a955fdebp-10, -0x1.b2e227547ef98p-10, -0x1.aa7aa37e89af5p-10, -0x1.a237a5769c6fep-10, -0x1.9a17826691881p-10, -0x1.92189393f9f6fp-10, -0x1.8a3968fb1a173p-10, -0x1.8278f52113672p-10, -0x1.7ad6a68352decp-10, -0x1.73523fefe720fp-10, -0x1.6bebd7273ef06p-10, -0x1.64a3aa1e9f21bp-10, -0x1.5d7a19957ac06p-10, -0x1.566f881f8767fp-10, -0x1.4f84582850fc5p-10, -0x1.48b8d1a71acb2p-10, -0x1.420d1e3d3c5b9p-10, -0x1.3b8127e883563p-10, -0x1.3514acf72e302p-10, -0x1.2ec71730a97d5p-10, -0x1.28978297c216bp-10, -0x1.2284bbbab1f7ep-10, -0x1.1c8d81f02b0a5p-10, -0x1.16b0bb0933fe3p-10, -0x1.10eda4f108923p-10, -0x1.0b43c3542862fp-10, -0x1.05b29cf454e1fp-10, -0x1.00397d5623776p-10, -0x1.f5aef4f953223p-11, -0x1.eb178fdcf06edp-11, -0x1.e0ac4c56a35c2p-11, -0x1.d66df87648de6p-11, -0x1.cc5e68b8825d5p-11, -0x1.c27f7733b3459p-11, -0x1.b8d2208449e1p-11, -0x1.af562766c51aap-11, -0x1.a60a7853534d4p-11, -0x1.9ced7d62efbb1p-11, -0x1.93fdaf39c35e6p-11, -0x1.8b3995bbfdea6p-11, -0x1.829fa4b8ca6abp-11, -0x1.7a2e262ea73aap-11, -0x1.71e39616f9f71p-11, -0x1.69bf35573c964p-11, -0x1.61c11fed6b502p-11, -0x1.59e9e0a931c77p-11, -0x1.5239905d974bap-11, -0x1.4aaf492eee3afp-11, -0x1.434947cf7ad58p-11, -0x1.3c059975c79cap-11, -0x1.34e2feae12036p-11, -0x1.2de150c143a11p-11, -0x1.2701654e0cfbfp-11, -0x1.204448967b27p-11, -0x1.19aa723bb2605p-11, -0x1.133382ccbe60fp-11, -0x1.0cde84cf87de1p-11, -0x1.06aa510d07191p-11, -0x1.0095ef376a112p-11, -0x1.f5416d171f923p-12, -0x1.e9947fa4224d7p-12, -0x1.de238e604b5efp-12, -0x1.d2ec171529d4dp-12, -0x1.c7eb671d246f3p-12, -0x1.bd1fd48fca57cp-12, -0x1.b2891c9ea4e26p-12, -0x1.a827cf274f1a6p-12, -0x1.9dfc7b5f9c502p-12, -0x1.9406f41dd25c4p-12, -0x1.8a46d8ffcea4bp-12, -0x1.80bb3ff3f064p-12, -0x1.7763a97f2fd4ep-12, -0x1.6e3f77747390bp-12, -0x1.654cc2bf2600cp-12, -0x1.5c8856b816ad8p-12, -0x1.53ef86f00967p-12, -0x1.4b81cd6780f6cp-12, -0x1.434043e66a29ep-12, -0x1.3b2b7e56ccaa1p-12, -0x1.33428a718858ap-12, -0x1.2b84736cf7383p-12, -0x1.23f192251b1fp-12, -0x1.1c8ae0856d37fp-12, -0x1.154fa8346dc57p-12, -0x1.0e3cf07ef14cap-12, -0x1.074ee8492b1dbp-12, -0x1.0082d2b14fca2p-12, -0x1.f3b067c127329p-13, -0x1.e6a0b98bc91dp-13, -0x1.d9d8e5c06a853p-13, -0x1.cd582ff572651p-13, -0x1.c11cc122d7d1cp-13, -0x1.b527a5684dea2p-13, -0x1.a97cde95a7036p-13, -0x1.9e1e3487e868cp-13, -0x1.9307e67bc5072p-13, -0x1.8831a2dbd28abp-13, -0x1.7d91dc7d85253p-13, -0x1.732378a77de7fp-13, -0x1.68e9999f8bf2ep-13, -0x1.5eeab033b1caep-13, -0x1.552754a081b71p-13, -0x1.4b9b43597e7bep-13, -0x1.42448c7613149p-13, -0x1.3927fb0be7809p-13, -0x1.304879d368104p-13, -0x1.27a40edd40d9cp-13, -0x1.1f356a5d2da59p-13, -0x1.16f58a01b6d22p-13, -0x1.0ede6a19cfdc4p-13, -0x1.06efa6b91507dp-13, -0x1.fe5c85af985bbp-14, -0x1.ef3a74315e21cp-14, -0x1.e0724e3bbff84p-14, -0x1.d1fce603978a2p-14, -0x1.c3de547f6743bp-14, -0x1.b61e093446518p-14, -0x1.a8bc49704e34p-14, -0x1.9bb37b1f9fa43p-14, -0x1.8efeee936327p-14, -0x1.8299b3cc69059p-14, -0x1.767a678512c42p-14, -0x1.6a9832246120dp-14, -0x1.5ef8d087c9c89p-14, -0x1.53a61968efaedp-14, -0x1.489a9bbf3a283p-14, -0x1.3dccccdef322bp-14, -0x1.33419b87cd5c6p-14, -0x1.2900b06e975adp-14, -0x1.1f08af37d81b9p-14, -0x1.15556d6d17fd9p-14, -0x1.0be48f95e4211p-14, -0x1.02b2638a0d6dep-14, -0x1.f36c76013ee6ep-15, -0x1.e1d25b650fb2bp-15, -0x1.d0a2693a6154dp-15, -0x1.bfeb27cf05859p-15, -0x1.af9f93c83d609p-15, -0x1.9fb3fe5b1a21cp-15, -0x1.9034595a1f0fap-15, -0x1.81265181b989bp-15, -0x1.72828e1f6863ap-15, -0x1.643ff2a871a2dp-15, -0x1.565b2724f41ebp-15, -0x1.48d3d2c8a9086p-15, -0x1.3bad5b992bb92p-15, -0x1.2ee6e092e9a0ep-15, -0x1.227157de4fcadp-15, -0x1.1649aa7ce4577p-15, -0x1.0a782923bbb38p-15, -0x1.fdded693762b4p-16, -0x1.e75dba63501c9p-16, -0x1.d18e3833d57e4p-16, -0x1.bc681c055ae3ap-16, -0x1.a7d4e7b0a5d5ep-16, -0x1.93ce97add3857p-16, -0x1.8056983e673f7p-16, -0x1.6d7192fce17c1p-16, -0x1.5b241c2f4f2bdp-16, -0x1.4962f8d40cc25p-16, -0x1.38142f8c1026dp-16, -0x1.273bdd1c96895p-16, -0x1.16e1aa42ea403p-16, -0x1.06ee919934ae2p-16, -0x1.eedf94abc9352p-17, -0x1.d0fc78f4d05d1p-17, -0x1.b40bb14a5cb33p-17, -0x1.97ea9727c7412p-17, -0x1.7c902edea918cp-17, -0x1.61fce23656446p-17, -0x1.482e0d11dc3f4p-17, -0x1.2f291899920bdp-17, -0x1.1712244154a37p-17, -0x1.ffbe75f74cb98p-18, -0x1.d29ab4f660cd2p-18, -0x1.a6ab1e515ca1p-18, -0x1.7bc8c9ee74647p-18, -0x1.526e15b243772p-18, -0x1.2ab6f1be2020cp-18, -0x1.044ca847e5bb7p-18, -0x1.be08990ed8b0dp-19, -0x1.75c4ffdb60b18p-19, -0x1.2fcff9f79b978p-19, -0x1.d85929cc3578cp-20, -0x1.55874ba04b1p-20, -0x1.ae5380f8fe45cp-21, -0x1.779c3042676d1p-22, 0x1.5f43c4b70b316p-24, 0x1.0bfb6b416ca43p-21, 0x1.e5d904ec12006p-21, 0x1.5cf1b84da7fecp-20, 0x1.c2fc75f0769c5p-20, 0x1.120a48ce97628p-19, 0x1.40a2e9d34f308p-19, 0x1.6db0d01800048p-19, 0x1.993bca11df5c9p-19, 0x1.c333aec2ebc44p-19, 0x1.eb978f4d7f43fp-19, 0x1.0940bf3d1d677p-18, 0x1.1be3936a0bfa2p-18, 0x1.2d681a7fbfdb2p-18, 0x1.3e1da24a0d10cp-18, 0x1.4e764ba85572fp-18, 0x1.5e57228dcc909p-18, 0x1.6d40b7b33fdf3p-18, 0x1.7b60e7b7d5f91p-18, 0x1.88f4cdf7c2109p-18, 0x1.95f968392ea4fp-18, 0x1.a266248ce3c35p-18, 0x1.ae3a2650842dbp-18, 0x1.b979d51b4d3c8p-18, 0x1.c42c0ed2300f7p-18, 0x1.ce573e9379dd9p-18, 0x1.d800c4be4d22dp-18, 0x1.e130864336775p-18, 0x1.e9e76d2aae328p-18, 0x1.f1fa6ccf764f2p-18, 0x1.f95147fbf916fp-18, 0x1.00307b5ba8917p-17, 0x1.03a393811c083p-17, 0x1.06d55410cf2aap-17, 0x1.09b435e5c5aa6p-17, 0x1.0c63a7ad22cc4p-17, 0x1.0eebccdb4782dp-17, 0x1.114d504273904p-17, 0x1.1377757f07a3cp-17, 0x1.15747c6bc2615p-17, 0x1.174932c73d8cbp-17, 0x1.18f50683de0fcp-17, 0x1.1a5a71b586108p-17, 0x1.1b9e59cbec55cp-17, 0x1.1cda55a02cb98p-17, 0x1.1dd4de699aa8ap-17, 0x1.1ea4c5ae7988ap-17, 0x1.1f59c53c473cfp-17, 0x1.1ff073a702be5p-17, 0x1.2065aaa182ep-17, 0x1.20b98dfb9c9d1p-17, 0x1.20ed5f7c8453p-17, 0x1.21018bd738995p-17, 0x1.20f702708cc6ap-17, 0x1.20d0396003f63p-17, 0x1.208e42699387dp-17, 0x1.203287613e07bp-17, 0x1.1fbd91b5a1822p-17, 0x1.1f313502e5852p-17, 0x1.1e8e055bbafcep-17, 0x1.1dd67c0f49c9dp-17, 0x1.1cfe80982f9b4p-17, 0x1.1c022199ec982p-17, 0x1.1b0b1c458970bp-17, 0x1.19f9221b6f224p-17, 0x1.18c7afd39f415p-17, 0x1.178b24f246c59p-17, 0x1.1641cd46d54bfp-17, 0x1.14e796a954e73p-17, 0x1.137ad1b7e0b6cp-17, 0x1.11fe92a2fecf7p-17, 0x1.107752754f666p-17, 0x1.0edad947c45bfp-17, 0x1.0d3165109b1c3p-17, 0x1.0b7add792704ap-17, 0x1.09b0470aab99dp-17, 0x1.07dbc8a9e20d5p-17, 0x1.0604ba89e2754p-17, 0x1.041eeef036f1fp-17, 0x1.022dba5da3b5p-17, 0x1.0032472a8a50ap-17, 0x1.fc59e93330999p-18, 0x1.f83b0ab4779edp-18, 0x1.f404555576bbdp-18, 0x1.efcc7ccc9701cp-18, 0x1.eb7b449ed9feep-18, 0x1.e71bb90d9f2cfp-18, 0x1.e2accbc77b463p-18, 0x1.de311c3071716p-18, 0x1.d9aa8597a245ap-18, 0x1.d515ade541032p-18, 0x1.d0789abfd99b5p-18, 0x1.cbca06c0a0927p-18, 0x1.c71a32547a277p-18, 0x1.c2643066275e6p-18, 0x1.bda36a66885ccp-18, 0x1.b8d16eccc7939p-18, 0x1.b3f8d6447acd2p-18, 0x1.af166cfa170fcp-18, 0x1.aa35b59af099ep-18, 0x1.a5508d3a28c6ep-18, 0x1.a06391cb61a5dp-18, 0x1.9b7463c490596p-18, 0x1.9687ab323db6ap-18, 0x1.9192df931423ap-18, 0x1.8c92442c7153bp-18, 0x1.878fc1ecbc59dp-18, 0x1.82918227859eap-18, 0x1.7d9231a36ffa1p-18, 0x1.78911311142a4p-18, 0x1.738ec997c3295p-18, 0x1.6e8c8cbc6033bp-18, 0x1.69896e6bda09p-18, 0x1.6477a251c7eefp-18, 0x1.5f8499dc1e59cp-18, 0x1.5a8350d0bda07p-18, 0x1.5583fa470971p-18, 0x1.5086667b244cep-18, 0x1.4b8af54b4ed4ep-18, 0x1.46920a80a0bf7p-18, 0x1.419bd372c0f53p-18, 0x1.3ca91ab23d857p-18, 0x1.37bef85a7313ap-18, 0x1.32cff9f14a768p-18, 0x1.2de2e713df608p-18, 0x1.28fd487458f6fp-18, 0x1.241cd58bca1e3p-18, 0x1.1f442d2258d12p-18, 0x1.1a6a2baf19e6fp-18, 0x1.15986c0d22092p-18, 0x1.10cb59af6db83p-18, 0x1.0bf35c54842cep-18, 0x1.0743a0a37f508p-18, 0x1.028481b67c434p-18, 0x1.fb999b5fd057cp-19, 0x1.f23816ba4b21ep-19, 0x1.e8de5c7d5a3f8p-19, 0x1.dfa3718119dd6p-19, 0x1.d664d3bb46b94p-19, 0x1.cd33944bfe4ep-19, 0x1.c421ccbd8a1efp-19, 0x1.bb026c4053f5cp-19, 0x1.b1fd88c071c6cp-19, 0x1.a908aeade400dp-19, 0x1.a02646eb4b5bep-19, 0x1.974d7839c4b37p-19, 0x1.8ea466fb31e7ep-19, 0x1.85cca2782a1afp-19, 0x1.7d16ed0ffdb29p-19, 0x1.74849f4b5fc8bp-19, 0x1.6bfad3938cffbp-19, 0x1.637e5f82bcaebp-19, 0x1.5b1aed6473ec7p-19, 0x1.52bbf784ec24cp-19, 0x1.4a706e8218ec8p-19, 0x1.423887229815ap-19, 0x1.3a0f3a9afea57p-19, 0x1.31f91771d688cp-19, 0x1.29c5d6f5dbee1p-19, 0x1.21ff8265bd71ap-19, 0x1.1a161d2e36c8ap-19, 0x1.123f44d119119p-19, 0x1.0a82288ee261cp-19, 0x1.02d578e580c9ep-19, 0x1.f66611f0e1f8fp-20, 0x1.e74cf964ffdfbp-20, 0x1.d840af91ccc02p-20, 0x1.c96fa5dbe0724p-20, 0x1.bac0caaec951bp-20, 0x1.ac290b770f038p-20, 0x1.9dc44f2c83e9fp-20, 0x1.8f47c2aebc757p-20, 0x1.8156a10aaffbap-20, 0x1.73624477ebb9cp-20, 0x1.6570d6aaa7852p-20, 0x1.57b7831d8c346p-20, 0x1.4ab50022f78d6p-20, 0x1.3cac286ee8fffp-20, 0x1.2f5568d6c5c05p-20, 0x1.2237e7674306p-20, 0x1.1526a71d11713p-20, 0x1.0845fd0874103p-20, 0x1.f6ffc2c78dc08p-21, 0x1.ddb35b6caa3c4p-21, 0x1.c4ba40e198fccp-21, 0x1.ac0335058bb9ep-21, 0x1.939902d4007a6p-21, 0x1.7b8a9857e2bf7p-21, 0x1.639de49902d0cp-21, 0x1.4c0e4093f0987p-21, 0x1.34c4599624e51p-21, 0x1.1cfb7310af428p-21, 0x1.06cdd633c3227p-21, 0x1.e082e5e3a3a8p-22, 0x1.b3fa14fb6dc2ep-22, 0x1.881ae54d4923cp-22, 0x1.5d154326d6b7ap-22, 0x1.31edd666a9f3p-22, 0x1.079949d61ebafp-22, 0x1.bae0175b9a03fp-23, 0x1.688672100ff6ap-23, 0x1.1729872098677p-23, 0x1.8d62a0ea5448cp-24, 0x1.dcb653ce223b9p-25, 0x1.44f49c7ea7198p-26, -0x1.27d54c8210362p-26, -0x1.cbde9691cd4c2p-25, -0x1.785e924025509p-24, -0x1.06e25f101421fp-23, -0x1.5002be12365d5p-23, -0x1.9906c73e65ac9p-23, -0x1.e032c7751f00cp-23, -0x1.132b834b76adep-22, -0x1.35d3a9f802ce5p-22, -0x1.5808f453207a7p-22, -0x1.79c9bc921553dp-22, -0x1.9b1deb6cd89cbp-22, -0x1.bbd0566baf904p-22, -0x1.dbb3f7872102fp-22, -0x1.fded254ac37e8p-22, -0x1.0d5be9880df42p-21, }}, 
      {{0x1.dc0386f8ce1b5p-5, 0x1.f67304bb2232cp-4, 0x1.c560b8980bc4cp-3, 0x1.5fd42cbd85e85p-2, 0x1.e963d6e4431e5p-2, 0x1.3a3db2a9613d5p-1, 0x1.7bed9ffae9c3ap-1, 0x1.b627f7febd071p-1, 0x1.e660f00bd222ap-1, 0x1.0583842731d0dp+0, 0x1.11b05d1b135c6p+0, 0x1.17b2394e53edbp+0, 0x1.17c8402c5e368p+0, 0x1.1263182b272a3p+0, 0x1.0814d78dca502p+0, 0x1.f3073ba641c9cp-1, 0x1.cebd930ce2c2cp-1, 0x1.a4ad24f97bbebp-1, 0x1.762b78f41bffp-1, 0x1.447a1ef55abc7p-1, 0x1.10c08d1393027p-1, 0x1.b810b04c814adp-2, 0x1.4e76975f892adp-2, 0x1.cc8bd4273d99ap-3, 0x1.01a52115b67b6p-3, 0x1.f342a7b2f9bf1p-6, -0x1.edaf33b0eb25dp-5, -0x1.2a7f6852b03e8p-3, -0x1.cdd7223463728p-3, -0x1.3264b7aad5777p-2, -0x1.7779f7aba7b7ap-2, -0x1.b61898fc88bf9p-2, -0x1.ee478650c608cp-2, -0x1.10116c694d7f9p-1, -0x1.25ebe5e852302p-1, -0x1.38d08de71bb77p-1, -0x1.48e1eb437c6c5p-1, -0x1.56464977999cdp-1, -0x1.6126879902148p-1, -0x1.69ad133bc01ddp-1, -0x1.70050f5df16a5p-1, -0x1.7459a1c9b26acp-1, -0x1.76d560ef95d34p-1, -0x1.77a1dd49e04e6p-1, -0x1.76e746cba6b1cp-1, -0x1.74cc28712bf9fp-1, -0x1.71753668ce23bp-1, -0x1.6d052a61d0816p-1, -0x1.679cae6f6d229p-1, -0x1.615a52e6a99bp-1, -0x1.5a5a8e9992605p-1, -0x1.52b7c6510cc55p-1, -0x1.4a8a5801e04e1p-1, -0x1.41e8abd0086ecp-1, -0x1.38e747a042477p-1, -0x1.2f98e5eac94b4p-1, -0x1.260e8e61ec639p-1, -0x1.1c57af3d8dae3p-1, -0x1.12823652ffaf7p-1, -0x1.089aaa637559bp-1, -0x1.fd5886f3ce1b8p-2, -0x1.e9820665774f4p-2, -0x1.d5c3983923786p-2, -0x1.c22cf0b85dc02p-2, -0x1.aecbdd9ec306cp-2, -0x1.9bac6f14c7867p-2, -0x1.88d91d94a2831p-2, -0x1.765aecb0353b9p-2, -0x1.64398ccae3936p-2, -0x1.527b79cc20d03p-2, -0x1.4126178064cb9p-2, -0x1.303dcd00b8f28p-2, -0x1.1fc61c756837ep-2, -0x1.0fc1ba9596e69p-2, -0x1.0032a3517fa5bp-2, -0x1.e2345a41f9bafp-3, -0x1.c4f234ffc333p-3, -0x1.a89f54c5ce56ep-3, -0x1.8d3b4d8a0d742p-3, -0x1.72c4e48649b4bp-3, -0x1.593a2903dbbcp-3, -0x1.40988b27703d4p-3, -0x1.28dcefa3cce5fp-3, -0x1.1203c34f9e2d2p-3, -0x1.f812187654a53p-4, -0x1.cdd0efba76bfp-4, -0x1.a53ad51c4cb94p-4, -0x1.7e46175bb3729p-4, -0x1.58e8a217ce615p-4, -0x1.351811beea1abp-4, -0x1.12c9c6b93abd3p-4, -0x1.e3e5ed28aef72p-5, -0x1.a51174b9eef09p-5, -0x1.6900372420738p-5, -0x1.2f9c405dcc4e2p-5, -0x1.f19f55044954bp-6, -0x1.890965b026f8p-6, -0x1.254b881976c41p-6, -0x1.8c7631f130575p-7, -0x1.aeb822b79a395p-8, -0x1.57af1b721eb09p-10, 0x1.e4366d6ed14abp-9, 0x1.14fe10d0e8bd2p-7, 0x1.a9296810a5775p-7, 0x1.1aede37ddf263p-6, 0x1.5dafb4a70450fp-6, 0x1.9cfe5235e22ep-6, 0x1.d8fce91ce86fap-6, 0x1.08e6d45bed7a2p-5, 0x1.23c8deec09282p-5, 0x1.3d34a7ef4a941p-5, 0x1.5539c3bc3f459p-5, 0x1.6be744350fcddp-5, 0x1.814bbc0fd08cdp-5, 0x1.95753f046aadep-5, 0x1.a87163b8fc855p-5, 0x1.ba4d448da6b5dp-5, 0x1.cb1583ed9647dp-5, 0x1.dad64c109e9b4p-5, 0x1.e99b52ba47b62p-5, 0x1.f76fdce525069p-5, 0x1.022f5f7643cf6p-4, 0x1.083930b8bcbb2p-4, 0x1.0dda624d6924cp-4, 0x1.1317bffc6ff07p-4, 0x1.17f5e47b36a8p-4, 0x1.1c7939e3c1be8p-4, 0x1.20a5fbda6a442p-4, 0x1.248038ce1e69ap-4, 0x1.280bd2983020bp-4, 0x1.2b4c81a33a72fp-4, 0x1.2e45d52151d32p-4, 0x1.30fb351f82a78p-4, 0x1.336fe39616c31p-4, 0x1.35a6fdd6f59bap-4, 0x1.37a37e3a762b1p-4, 0x1.39683ced4d438p-4, 0x1.3af7f1c6edc8fp-4, 0x1.3c55355f73e46p-4, 0x1.3d8282315539ep-4, 0x1.3e8236336482dp-4, 0x1.3f569310decc1p-4, 0x1.4001c02a6b3d4p-4, 0x1.4085cc4361435p-4, 0x1.40e4acd8cd339p-4, 0x1.412040021ed2ap-4, 0x1.413a4e8306c29p-4, 0x1.41348b3f70ac5p-4, 0x1.41109449e8476p-4, 0x1.40cff4d82431bp-4, 0x1.40742509aaf8bp-4, 0x1.3ffe8b7f0a2b8p-4, 0x1.3f707d978d31ep-4, 0x1.3ecb4080a8a04p-4, 0x1.3e100a41ae83dp-4, 0x1.3d40011e50158p-4, 0x1.3c5c3e57ce74p-4, 0x1.3b65cd73d0abap-4, 0x1.3a5dac86ff325p-4, 0x1.3944cdef1480cp-4, 0x1.381c186dd65bp-4, 0x1.36e467a24de79p-4, 0x1.359e8c5710e0cp-4, 0x1.344b4d963fd8cp-4, 0x1.32eb6875dd79bp-4, 0x1.317f915706f9bp-4, 0x1.300873b18544bp-4, 0x1.2e86b2c7578fdp-4, 0x1.2cfae9ff15a5cp-4, 0x1.2b65ad5525f93p-4, 0x1.29c789aaa0f2p-4, 0x1.2821050bf827fp-4, 0x1.26729f1d180bp-4, 0x1.24bcd1b7439a4p-4, 0x1.23001051c9149p-4, 0x1.213cc99874302p-4, 0x1.1f73666694c92p-4, 0x1.1da44aeea8621p-4, 0x1.1bcfd6df0c8adp-4, 0x1.19f664ba51108p-4, 0x1.18184bbc1df94p-4, 0x1.1635de5d0f0f8p-4, 0x1.144f6b5410073p-4, 0x1.12653e049769ap-4, 0x1.10779e554464bp-4, 0x1.0e86d0d7bd136p-4, 0x1.0c9316c344942p-4, 0x1.0a9caec5839d3p-4, 0x1.08a3d4a5101f8p-4, 0x1.06a8c1463f5e5p-4, 0x1.04abab6b2c219p-4, 0x1.02acc7402eba4p-4, 0x1.00ac469a9eb8cp-4, 0x1.fd54b273351a2p-5, 0x1.f94e59ccfde8ap-5, 0x1.f545db0471617p-5, 0x1.f13b89e761f75p-5, 0x1.ed2fb6d77c6d2p-5, 0x1.e922af526c6b4p-5, 0x1.e514bd62d90c6p-5, 0x1.e10627d905879p-5, 0x1.dcf7334397b79p-5, 0x1.d8e820bd54a85p-5, 0x1.d4d92f5704354p-5, 0x1.d0ca9babcf734p-5, 0x1.ccbca02045c7ep-5, 0x1.c8af7461b90b2p-5, 0x1.c4a34ebb83d79p-5, 0x1.c09862e197394p-5, 0x1.bc8ee2e287fcfp-5, 0x1.b886ff088d719p-5, 0x1.b480e5bd7717ep-5, 0x1.b07cc3921620ap-5, 0x1.ac7ac452b4e6p-5, 0x1.a87b118ebbcbep-5, 0x1.a47dd33c62301p-5, 0x1.a08330740bdccp-5, 0x1.9c8b4ec9add56p-5, 0x1.989652a6a7113p-5, 0x1.94a45f35f918dp-5, 0x1.90b59609cd191p-5, 0x1.8cca18805aa9ep-5, 0x1.88e205d4a5f9fp-5, 0x1.84fd7ce4d3bb4p-5, 0x1.811c9bc008088p-5, 0x1.7d3f7eb5333b2p-5, 0x1.796641e699586p-5, 0x1.75910007784a3p-5, 0x1.71bfd33e8216bp-5, 0x1.6df2d4c9165e2p-5, 0x1.6a2a1d37b1a0ap-5, 0x1.6665c3c62eb79p-5, 0x1.62a5df91f6cbbp-5, 0x1.5eea86eb379b4p-5, 0x1.5b33cedcddab6p-5, 0x1.5781cc3acebcap-5, 0x1.53d49304e189bp-5, 0x1.502c36e99b43bp-5, 0x1.4c88c9e3d197ep-5, 0x1.48ea5eb495ad4p-5, 0x1.455106a9e7c9cp-5, 0x1.41bcd2b674899p-5, 0x1.3e2dd2e7f4a5ep-5, 0x1.3aa416bdbee3dp-5, 0x1.371fadccc7209p-5, 0x1.33a0a6ee240ebp-5, 0x1.30270e5b42002p-5, 0x1.2cb2f42b1124dp-5, 0x1.294463f46f7dap-5, 0x1.25db69f329b2ep-5, 0x1.227812944a482p-5, 0x1.1f1a691f0af48p-5, 0x1.1bc278a96e9d4p-5, 0x1.18704b75a3e3bp-5, 0x1.1523ec0c16082p-5, 0x1.11dd63bd5da34p-5, 0x1.0e9cbad73bdf4p-5, 0x1.0b61fb38b19e4p-5, 0x1.082d2c780e676p-5, 0x1.04fe561f3a03ep-5, 0x1.01d57fe62fcc9p-5, 0x1.fd65612627f4cp-6, 0x1.f72bdd70dd619p-6, 0x1.f0fe8089dec19p-6, 0x1.eadd557ad007fp-6, 0x1.e4c867a7e6f4p-6, 0x1.debfc00384873p-6, 0x1.d8c367f22c459p-6, 0x1.d2d367765e7f4p-6, 0x1.ccefc61d8f198p-6, 0x1.c7188a0819811p-6, 0x1.c14db9a5be71bp-6, 0x1.bb8f59f21668fp-6, 0x1.b5dd6f8cae36fp-6, 0x1.b037fe46b339bp-6, 0x1.aa9f08c7fc3c2p-6, 0x1.a512919f06a16p-6, 0x1.9f929b8fd497fp-6, 0x1.9a1f25ab33f28p-6, 0x1.94b8320baae9ap-6, 0x1.8f5dbfa0de06fp-6, 0x1.8a0fcdb44871cp-6, 0x1.84ce5b0deb875p-6, 0x1.7f99649c0fdacp-6, 0x1.7a70e95645485p-6, 0x1.7554e46af8978p-6, 0x1.704552b77f6bap-6, 0x1.6b422fde3fd2fp-6, 0x1.664b764307ab9p-6, 0x1.61612061596dp-6, 0x1.5c83296b0eaa4p-6, 0x1.57b1881c9915cp-6, 0x1.52ec3869335ffp-6, 0x1.4e3330bccfbe8p-6, 0x1.498668e6170bdp-6, 0x1.44e5d990c9d32p-6, 0x1.405177e5c1761p-6, 0x1.3bc93c4fdb40fp-6, 0x1.374d1a436b7fep-6, 0x1.32dd09d4a657dp-6, 0x1.2e78fd3259e55p-6, 0x1.2a20ecc4b3f42p-6, 0x1.25d4c94928d9bp-6, 0x1.2194888724fdep-6, 0x1.1d601cb0fbe99p-6, 0x1.19377a7182716p-6, 0x1.151a9203ce6dcp-6, 0x1.11095a637815p-6, 0x1.0d03bc3b30687p-6, 0x1.0909b7f6caf42p-6, 0x1.051b2e4d261ap-6, 0x1.01381ad7008edp-6, 0x1.fac0d6b9e7e5ap-7, 0x1.f3281fa3cd2a6p-7, 0x1.eba5f18a57062p-7, 0x1.e43a2ae913586p-7, 0x1.dce4ab4cd89bdp-7, 0x1.d5a55104bf3f4p-7, 0x1.ce7bf97ec6ba7p-7, 0x1.c76881766fdf8p-7, 0x1.c06ac7fd0f139p-7, 0x1.b982a8a9eabd3p-7, 0x1.b2affbcc91318p-7, 0x1.abf2a3122ebc2p-7, 0x1.a54a75083648cp-7, 0x1.9eb74ddd72e6ep-7, 0x1.98390800d97b9p-7, 0x1.91cf7d04e6f78p-7, 0x1.8b7a86a941e0fp-7, 0x1.8539fe883e134p-7, 0x1.7f0dbd3f9992ep-7, 0x1.78f59be371fcep-7, 0x1.72f172cc8c68ep-7, 0x1.6d0119858c691p-7, 0x1.672468a96c192p-7, 0x1.615b3732e7994p-7, 0x1.5ba55ecebaa8ep-7, 0x1.5602b27040072p-7, 0x1.50730d7e16d61p-7, 0x1.4af644f612849p-7, 0x1.458c303290343p-7, 0x1.4034a3aa1a394p-7, 0x1.3aef7881b2e9cp-7, 0x1.35bc83e0cca8bp-7, 0x1.309b9c3dcfeefp-7, 0x1.2b8c972d94c1ep-7, 0x1.268f4d62ebe5dp-7, 0x1.21a3915718d69p-7, 0x1.1cc93bdbd8d43p-7, 0x1.18002091a0592p-7, 0x1.134816f53eff3p-7, 0x1.0ea0f4d8e7618p-7, 0x1.0a0a8ffa1ed45p-7, 0x1.0584bdbb4194ap-7, 0x1.010f5279c5a91p-7, 0x1.f9544e80c0c3fp-8, 0x1.f0aa20fbb322ap-8, 0x1.e81fc91ca9a7cp-8, 0x1.dfb4f2f201d0ap-8, 0x1.d7694a34f7572p-8, 0x1.cf3c7e39bb5f3p-8, 0x1.c72e3629f292ap-8, 0x1.bf3e23aa16762p-8, 0x1.b76bf21d2c077p-8, 0x1.afb74ef01a5dap-8, 0x1.a81fe74d1de39p-8, 0x1.a0a568edbbb58p-8, 0x1.99478116bf458p-8, 0x1.9205e8daef3d6p-8, 0x1.8ae0354853c2fp-8, 0x1.83d62b2cfccc9p-8, 0x1.7ce7787fcd24fp-8, 0x1.7613c3be8361cp-8, 0x1.6f5ac31552b38p-8, 0x1.68bc25f9d95d1p-8, 0x1.62379b38e3ae4p-8, 0x1.5bccd5f4753d1p-8, 0x1.557b86d028ceep-8, 0x1.4f436119cdafep-8, 0x1.492415025d30dp-8, 0x1.431d577e6f17fp-8, 0x1.3d2ed9c8729f3p-8, 0x1.37584fff0e263p-8, 0x1.3199755e503c7p-8, 0x1.2bf1ee1102d2dp-8, 0x1.2661811f45a48p-8, 0x1.20e7dab1fc341p-8, 0x1.1b84b443c70b4p-8, 0x1.1637c2e98923dp-8, 0x1.1100bd86b32cfp-8, 0x1.0bdf5b79f4ed6p-8, 0x1.06d35602f3355p-8, 0x1.01dc683fc1e1dp-8, 0x1.f9f48fed5622fp-9, 0x1.f059651fd0311p-9, 0x1.e6e6be4d77b43p-9, 0x1.dd9c14fdad3ffp-9, 0x1.d478e456feeb6p-9, 0x1.cb7c99f331b9bp-9, 0x1.c2a6b77b8ceb8p-9, 0x1.b9f6b0b2ad394p-9, 0x1.b16c02ea2b8c1p-9, 0x1.a9063087036ccp-9, 0x1.a0c4b68779579p-9, 0x1.98a70c1291c54p-9, 0x1.90acb4221d42cp-9, 0x1.88d540107d767p-9, 0x1.81201e37eb145p-9, 0x1.798cdfd8738fap-9, 0x1.721b0111c7499p-9, 0x1.6aca0f6207f29p-9, 0x1.63998c55b9f8cp-9, 0x1.5c8904be91947p-9, 0x1.5597fdc106802p-9, 0x1.4ec60b0c431e9p-9, 0x1.4812acac21d8ap-9, 0x1.417d770f3cacdp-9, 0x1.3b05f60bc8edcp-9, 0x1.34abb6203c5b8p-9, 0x1.2e6e4ec19728bp-9, 0x1.284d4f8f626edp-9, 0x1.22484b78efaf7p-9, 0x1.1c5ed6b297cdbp-9, 0x1.169086800590cp-9, 0x1.10dce1fc678ffp-9, 0x1.0b43c3b87999bp-9, 0x1.05c4727dd409ap-9, 0x1.005eb131b421p-9, 0x1.f6242fee6ea58p-10, 0x1.ebbc80c0a703dp-10, 0x1.e1858d91d62bap-10, 0x1.d77e9defce2f2p-10, 0x1.cda6d6280b9ccp-10, 0x1.c3fda6e4a0124p-10, 0x1.ba822111a5f17p-10, 0x1.b133b311ee80ap-10, 0x1.a81193f490892p-10, 0x1.9f1b0d8f14acfp-10, 0x1.964f70333ca3p-10, 0x1.8dae02a7b01cfp-10, 0x1.8536160103eefp-10, 0x1.7ce7101bcf3afp-10, 0x1.74c03f3c58125p-10, 0x1.6cc0f84017091p-10, 0x1.64e8a5eec9053p-10, 0x1.5d36a7b8c4385p-10, 0x1.55aa569839bd8p-10, 0x1.4e43158af0bc3p-10, 0x1.47004aef7a0ecp-10, 0x1.3fe15bd74f67bp-10, 0x1.38e57f301758ep-10, 0x1.320cb5352525dp-10, 0x1.2b559f2f3bac3p-10, 0x1.24c013512009fp-10, 0x1.1e4b63777f045p-10, 0x1.17f70493e940ep-10, 0x1.11c263819b867p-10, 0x1.0bacf431cae61p-10, 0x1.05b63642831a6p-10, 0x1.ffbb5173c7cfep-11, 0x1.f4458a90cdb65p-11, 0x1.e90a15afe197p-11, 0x1.de08032072cbap-11, 0x1.d33e667375746p-11, 0x1.c8ac3b75e2b19p-11, 0x1.be5088f5bacb9p-11, 0x1.b42a480e7133p-11, 0x1.aa388327c9b2p-11, 0x1.a07a70f5e1615p-11, 0x1.96eeeb6def38p-11, 0x1.8d9532626e7aep-11, 0x1.846c516c51d2bp-11, 0x1.7b7365d033f78p-11, 0x1.72a9839df3215p-11, 0x1.6a0dd03626b5dp-11, 0x1.619f7602da71ep-11, 0x1.595da1a685348p-11, 0x1.5147833ce70c4p-11, 0x1.495c615798cf6p-11, 0x1.419aff15d4bafp-11, 0x1.3a03b62fd11ap-11, 0x1.3294da821bed2p-11, 0x1.2b4decb59d632p-11, 0x1.242e863681136p-11, 0x1.1d3515b49e24fp-11, 0x1.1661bfca07cd6p-11, 0x1.0fb38d7fecc15p-11, 0x1.0929c1925251cp-11, 0x1.02c3aba7c6879p-11, 0x1.f9015411d5257p-12, 0x1.ecc04092a30f5p-12, 0x1.e0c286a09f79dp-12, 0x1.d506c1aa5c222p-12, 0x1.c98bd42e408b8p-12, 0x1.be506bdf1dd4ap-12, 0x1.b3531f74b08adp-12, 0x1.a892c6a789d91p-12, 0x1.9e0e4c0c63c7cp-12, 0x1.93c485afbb2a5p-12, 0x1.89b44e58cd6bp-12, 0x1.7fdc900900465p-12, 0x1.763c4109d9dbap-12, 0x1.6cd27828e4b5cp-12, 0x1.639e11a642036p-12, 0x1.5a9e2fc7b9354p-12, 0x1.51d1bbaacb0cfp-12, 0x1.4937ca0619a21p-12, 0x1.40cf531e8f72bp-12, 0x1.38977629a3f44p-12, 0x1.308ee40430f75p-12, 0x1.28b4a70213cd4p-12, 0x1.210873ec6b38bp-12, 0x1.19882ccf88e34p-12, 0x1.1232c7b26ba91p-12, 0x1.0b08a122497a9p-12, 0x1.04086fcfedd4fp-12, 0x1.fa6261e7f235ap-13, 0x1.ed03bdcad2342p-13, 0x1.dff3d733d07a8p-13, 0x1.d3312732feddep-13, 0x1.c6b9de74137fep-13, 0x1.ba8d1be16d52p-13, 0x1.aea736db50c97p-13, 0x1.a309f53b97c84p-13, 0x1.97b22a37ef26ep-13, 0x1.8c9edbea41a18p-13, 0x1.81ce8fc604aa7p-13, 0x1.773fc4dfa85f2p-13, 0x1.6cf111ce496p-13, 0x1.62e1074bb6b6bp-13, 0x1.590e3da629902p-13, 0x1.4f7635001754ep-13, 0x1.461b79ef4548ep-13, 0x1.3cf89be0d3c2ap-13, 0x1.340df435445b2p-13, 0x1.2b5a44895ef64p-13, 0x1.22dc7a40facd5p-13, 0x1.1a935eda40408p-13, 0x1.127dd23ebd8e4p-13, 0x1.0a9b1cf2ce012p-13, 0x1.02e9d192c8116p-13, 0x1.f6d10568ef8e8p-14, 0x1.e82d16a5d58fap-14, 0x1.d9e5c2b7a21c9p-14, 0x1.cbf897980082fp-14, 0x1.be64561d5af63p-14, 0x1.b12710dc35674p-14, 0x1.a43e788b7f095p-14, 0x1.97a8f31a0a8ffp-14, 0x1.8b64e3dc2f17p-14, 0x1.7f6d9a009a1p-14, 0x1.73c9b895694a2p-14, 0x1.686d5efcc3a84p-14, 0x1.5d5b80015b735p-14, 0x1.5291a60530088p-14, 0x1.480e0640c1922p-14, 0x1.3dcf8157ff9a5p-14, 0x1.33d58a1bacbc6p-14, 0x1.2a1dc7d54aaf7p-14, 0x1.20a68edd7f70ap-14, 0x1.176f0b96a85fep-14, 0x1.0e750eea34b05p-14, 0x1.05b71980f74d2p-14, 0x1.fa6814e370372p-15, 0x1.e9d5187cb0a3dp-15, 0x1.d9b29cf483732p-15, 0x1.c9fe089addc8ep-15, 0x1.bab4657fe2fdbp-15, 0x1.abd6689c3d2c8p-15, 0x1.9d5e445b19d5fp-15, 0x1.8f43532cf66ap-15, 0x1.818f7d3e14fa8p-15, 0x1.743b03ac55432p-15, 0x1.6744792fbcc7ap-15, 0x1.5aa92a9192042p-15, 0x1.4e65aba308f25p-15, 0x1.42785c8b38a2fp-15, 0x1.36dfbd35ed2ffp-15, 0x1.2b99db62c7223p-15, 0x1.20a466e159371p-15, 0x1.15fe9c09e1f59p-15, 0x1.0ba2fe7d6e456p-15, 0x1.01975e58cd841p-15, 0x1.efa4a41537cbdp-16, 0x1.dcab8b9280f29p-16, 0x1.ca3e0369bde8ap-16, 0x1.b857da1c256adp-16, 0x1.a6f48f87fc8e3p-16, 0x1.9615132454235p-16, 0x1.85b37c011d0fp-16, 0x1.75c9e7e5fee43p-16, 0x1.665ad2f2d3a64p-16, 0x1.57631162caba5p-16, 0x1.48dacd40059bp-16, 0x1.3ac24b6d08a6ep-16, 0x1.2d16a0e38bb39p-16, 0x1.1fd8a9818de17p-16, 0x1.12fbee1c235e7p-16, 0x1.0687fc409fab7p-16, 0x1.f4ead5d6a58dp-17, 0x1.dd8074bd8ede2p-17, 0x1.c6d3e66ee8275p-17, 0x1.b0de04be4e3b6p-17, 0x1.9b952c2ba2986p-17, 0x1.86ff5a8e7ea2ap-17, 0x1.730d639d1d9eap-17, 0x1.5fbe8e2a6f1d7p-17, 0x1.4d102c1a6c72dp-17, 0x1.3afabe463ad74p-17, 0x1.297f2f063c815p-17, 0x1.189b3de2bccdbp-17, 0x1.0850462b3ab59p-17, 0x1.f11ca41e4124cp-18, 0x1.d2693074c8054p-18, 0x1.b4e6d2101cb72p-18, 0x1.9868787ea39b1p-18, 0x1.7ce3e663e99dbp-18, 0x1.6255cc0c3ca16p-18, 0x1.48b41517cf999p-18, 0x1.2ff948fa5c14cp-18, 0x1.182196346f858p-18, 0x1.01228ebeb10ep-18, 0x1.d5d7661873d54p-19, 0x1.ab30c68315eebp-19, 0x1.82264387abb6bp-19, 0x1.5a872d0addffcp-19, 0x1.346478c464c06p-19, 0x1.0fca23918c273p-19, 0x1.d90ac537ae64bp-20, 0x1.94da9a2caf668p-20, 0x1.540d2fd5adda4p-20, 0x1.158f8a722eb32p-20, 0x1.b325b5fec48b2p-21, 0x1.3fcde5edb17c3p-21, 0x1.a2d535cb7cc5ep-22, 0x1.9d4743ae8acdp-23, 0x1.f8de3dfe8fcdbp-29, -0x1.7bd51161bbbf6p-23, -0x1.780b563e5292bp-22, -0x1.1491189588dap-21, -0x1.69284d9ac4381p-21, -0x1.ba17ee6a712d1p-21, -0x1.03a6145a5acefp-20, -0x1.287c243d78157p-20, -0x1.4bad54ea5c351p-20, -0x1.6cfc4629dfdbap-20, -0x1.8cad771c70636p-20, -0x1.aaf94ae8f3495p-20, -0x1.c722b88f879a1p-20, -0x1.e2202b313e16ap-20, -0x1.fbbc4f785de31p-20, -0x1.09f1bb7368746p-19, -0x1.15585b354806dp-19, -0x1.200686c9da7c3p-19, -0x1.2a1c4f0bd36aap-19, -0x1.3397829f740f1p-19, -0x1.3c6e023168ca7p-19, -0x1.44be9ad84d072p-19, -0x1.4c6f26bfc74b2p-19, -0x1.539ba4ddc5af1p-19, -0x1.5a72649de2443p-19, -0x1.6056f56220993p-19, -0x1.65fc0361abbebp-19, -0x1.6b2db4b815447p-19, -0x1.6fe76d6e94eap-19, -0x1.742005506c9a3p-19, -0x1.77f8772da5356p-19, -0x1.7b69c4b556cc7p-19, -0x1.7eb78972665ddp-19, -0x1.80fda9ca7a449p-19, -0x1.833d4e61d076p-19, -0x1.852faca34c66cp-19, -0x1.86c2471793539p-19, -0x1.87f0a1079925ep-19, -0x1.88eee2452c337p-19, -0x1.897abfb20a91p-19, -0x1.89b759a974489p-19, -0x1.89c1285031a81p-19, -0x1.897a35e3f7a08p-19, -0x1.88de241738a3dp-19, -0x1.8810a006077bap-19, -0x1.87049b734234fp-19, -0x1.85e645d7caaeep-19, -0x1.84633a7ef8bfap-19, -0x1.82a78fefafd3ep-19, -0x1.80bf433a3aa21p-19, -0x1.7e93b383ccd3ep-19, -0x1.7c5837c5c783ep-19, -0x1.79dc3ad2f8fb3p-19, -0x1.774a830efeaa9p-19, -0x1.7478cf05ad539p-19, -0x1.7166b9a8e80eap-19, -0x1.6e4dcc897e964p-19, -0x1.6b0d77bb4fbfap-19, -0x1.67af8dbccd862p-19, -0x1.641e16451a6b5p-19, -0x1.607b04aa84a76p-19, -0x1.5cbf49df3e631p-19, -0x1.58d97ec7b8582p-19, -0x1.54dd317ab90f7p-19, -0x1.50c8f6378428fp-19, -0x1.4c9e4af26531ep-19, -0x1.485d46fc2c9c4p-19, -0x1.440538523ca02p-19, -0x1.3f9818d603461p-19, -0x1.3b19cd783dc2cp-19, -0x1.368bf0a485feap-19, -0x1.31ed65e235289p-19, -0x1.2d3aebf1cd432p-19, -0x1.288804b7a4b9fp-19, -0x1.23bd51b6e670fp-19, -0x1.1ee0139539396p-19, -0x1.1a0118421bb01p-19, -0x1.151df683a175cp-19, -0x1.1022647ef5191p-19, -0x1.0b11b84d7d6abp-19, -0x1.066b7c0cc943cp-19, -0x1.011e538a57a4p-19, -0x1.f7d801ae9734ap-20, -0x1.ed4daabf6ea44p-20, -0x1.e383ec77acbb2p-20, -0x1.d9ad28bf754a6p-20, -0x1.cf705a5423decp-20, -0x1.c519031b73f6dp-20, -0x1.baf8c65fcaf2p-20, -0x1.b0b044db19601p-20, -0x1.a652ee1d25502p-20, -0x1.9c4ffc67979cep-20, -0x1.921534f467973p-20, -0x1.87d6dfbcdabe4p-20, -0x1.7dae9ab0f453bp-20, -0x1.7370b434dee77p-20, -0x1.6926471f11cfdp-20, -0x1.5f0c551a6ccb9p-20, -0x1.5503a519e2a2bp-20, -0x1.4aff713243c2dp-20, -0x1.4107cfc4a10a5p-20, -0x1.3705fb674a558p-20, -0x1.2d1fe0a37fbb3p-20, -0x1.234e1bbb6ed1ap-20, -0x1.197739c76a62dp-20, -0x1.0fb8ec1d03104p-20, -0x1.05f7c1c8dbd4ap-20, -0x1.f8a1b6905bbdap-21, -0x1.e57317e161953p-21, -0x1.d26561d465ea4p-21, -0x1.bf79dd315e01dp-21, -0x1.acb214d81a901p-21, -0x1.9a120ba582704p-21, -0x1.87756a30e047dp-21, -0x1.753ee6a2dbf55p-21, -0x1.62dfaffb1dd09p-21, -0x1.50e317d83b21ep-21, -0x1.3efa64836006fp-21, -0x1.2d4112f86384cp-21, -0x1.1b26dbf72108bp-21, -0x1.0a2da362c4edep-21, -0x1.f1fffb6ab2db3p-22, -0x1.d003487e75609p-22, -0x1.adbb417e11654p-22, -0x1.8c3c9b1397f73p-22, -0x1.6b982bb888f62p-22, -0x1.486ab45ebfba6p-22, -0x1.2a47fdbb2013dp-22, -0x1.09a9d4f4f0a25p-22, -0x1.d35f214c4cc2ap-23, -0x1.9601f9985031fp-23, -0x1.56995f10dbb94p-23, -0x1.1a0f0ab3abf2ep-23, -0x1.b936abf0d88ecp-24, -0x1.4231b3fc2f55fp-24, -0x1.944ac5bd440c2p-25, -0x1.657a92d864388p-26, 0x1.a932b3ff43272p-28, 0x1.14128ed55c65cp-25, 0x1.ffc2f6fcb05f5p-25, 0x1.6f3cedf0723b6p-24, 0x1.db212fb1064f6p-24, 0x1.231f061bd11fcp-23, 0x1.586bc2f489572p-23, 0x1.8cc8140ef2953p-23, 0x1.c09a645bbedd6p-23, 0x1.f32e730cd1051p-23, 0x1.12e39250dcc13p-22, 0x1.2b8840d96828bp-22, 0x1.43f1bfa13eedap-22, 0x1.5c09ead2a081fp-22, 0x1.73b8f58003521p-22, 0x1.8b0548cdf8af7p-22, 0x1.a1effaa68737bp-22, 0x1.b890f6d58dbb4p-22, 0x1.ce5cf38521bf1p-22, 0x1.e5cd17be28de5p-22, 0x1.f9f272e65b9c4p-22, 0x1.078d2cdf4906bp-21, 0x1.11ef40e7093b4p-21, 0x1.1c21f5e9d34abp-21, 0x1.261eb9ea22612p-21, 0x1.2fe28ea9f5203p-21, 0x1.39b83d6395b08p-21, 0x1.431cf6c2c3e5ep-21, 0x1.4c123bf2e5765p-21, 0x1.55bbdf854c24dp-21, 0x1.5eb14c310d044p-21, 0x1.678fb4cacb80fp-21, 0x1.70426740310d6p-21, 0x1.787db1ef8fdb4p-21, 0x1.80cd9d9745ff6p-21, 0x1.88d9a84f5f185p-21, 0x1.91133119665f7p-21, 0x1.9a123f8257fdp-21, 0x1.a0568b76cc6f6p-21, 0x1.a7d1f9d7ab8cap-21, 0x1.af410b071ap-21, 0x1.b6591dd437bf8p-21, 0x1.bdc69dafd770bp-21, 0x1.c476c966a6dbdp-21, 0x1.cb05bcb8cf652p-21, 0x1.d1a8158a0a40bp-21, 0x1.d7a00ba198154p-21, 0x1.de3f1084c4078p-21, 0x1.e467775619a19p-21, 0x1.ea4cf2e39af8cp-21, 0x1.f01e6180fd113p-21, 0x1.f5fbc6eb298e7p-21, 0x1.faea095b5851cp-21, 0x1.005cb2d8b937p-20, 0x1.032efd16e28e7p-20, 0x1.05930d2a80f4ep-20, 0x1.080a8afde741bp-20, 0x1.0a6affce069ap-20, 0x1.0ce3fd867f4dfp-20, 0x1.0f17a255463dp-20, 0x1.114148802f7cp-20, 0x1.13728ef281e58p-20, 0x1.1582bf4ca3ae1p-20, 0x1.1782e5a3be84cp-20, 0x1.19ccaddf5fedfp-20, 0x1.1b5c13197cbd9p-20, 0x1.1d3c0c6112cacp-20, 0x1.1f0948a276bdbp-20, 0x1.20c723702f1e1p-20, 0x1.224418fd05f86p-20, 0x1.23f275b24b5e6p-20, 0x1.255be7741cc3p-20, 0x1.270e2494fea1bp-20, 0x1.2871f8028e632p-20, 0x1.29a69afb9f562p-20, 0x1.2b09c35362851p-20, 0x1.2c40c83b8d2p-20, 0x1.2d9b136d0b3ccp-20, 0x1.2e8d565c827bdp-20, 0x1.2f90fc3a7c887p-20, 0x1.30b66029c51f3p-20, 0x1.31b470e57c618p-20, 0x1.324d1ea2265ep-20, 0x1.338490be83bacp-20, 0x1.345b24c585d5ap-20, 0x1.350467535835dp-20, 0x1.35ca76ba153b9p-20, 0x1.3670bee71774p-20, 0x1.371e17adb77adp-20, 0x1.37d74e54fb237p-20, 0x1.3845dafce73edp-20, 0x1.38da02207440ep-20, 0x1.3943fcebf6d2dp-20, 0x1.3999edace3bf2p-20, 0x1.3a01c8637e4b4p-20, 0x1.3a3f8ccc3161cp-20, 0x1.3aa0a4e5e4de9p-20, 0x1.3b26bce4329ep-20, 0x1.3b0731b87ddc7p-20, 0x1.3b3e63642c48dp-20, 0x1.3b5f1e6149aedp-20, 0x1.3b62ae1f00fbap-20, 0x1.3b5f8665b2e61p-20, 0x1.3b6db203ce462p-20, 0x1.3b6a46e50b3f5p-20, 0x1.3b6fe0209126p-20, 0x1.3b50d572e30a2p-20, 0x1.3b21c365acaebp-20, 0x1.3aee00452eba5p-20, 0x1.3aba89eb5aa39p-20, 0x1.3a7d4974f407ap-20, 0x1.3a34d3ca51813p-20, 0x1.39f3393052e89p-20, 0x1.3990413cbb811p-20, 0x1.393928388badbp-20, 0x1.38b92aeb5a93p-20, 0x1.386b51d573506p-20, 0x1.37eb1c4cdbb38p-20, 0x1.37562e4afdccfp-20, 0x1.36cd8936986a3p-20, 0x1.3645ee004348fp-20, 0x1.35b73f488ff96p-20, 0x1.35249a4cb6568p-20, 0x1.347dfbe39a67cp-20, 0x1.33bc0fd727a51p-20, 0x1.3359fe2d9544cp-20, 0x1.325cb806c580cp-20, }}, 
      {{0x1.6158e150d49dfp-5, 0x1.0ad871590821p-4, 0x1.997aef31e7bf1p-4, 0x1.2971add901091p-3, 0x1.95fec6be0de51p-3, 0x1.06610b3f9ffebp-2, 0x1.443672c8115dp-2, 0x1.822429f17407dp-2, 0x1.be2c496839d4p-2, 0x1.f6b40c36d1855p-2, 0x1.1540a372bc3edp-1, 0x1.2c596c273c7bp-1, 0x1.405b310533dbep-1, 0x1.511e7175630b5p-1, 0x1.5e97a18624feep-1, 0x1.68d1bd8d35d36p-1, 0x1.6fe95b9837c03p-1, 0x1.7408518887937p-1, 0x1.7561f5f9872bcp-1, 0x1.742ff68c62784p-1, 0x1.70afba4f16feap-1, 0x1.6b2040fe4374cp-1, 0x1.63c071ce40e6ep-1, 0x1.5acdc9fd45f7ap-1, 0x1.50835d41684bcp-1, 0x1.45191c5db5208p-1, 0x1.38c354daf2bd8p-1, 0x1.2bb2610d0d8f9p-1, 0x1.1e127ee9d44efp-1, 0x1.100bc4a96f71bp-1, 0x1.01c22f708c733p-1, 0x1.e6ab861b3b3f5p-2, 0x1.c9c56e228a737p-2, 0x1.ad035c8b7577p-2, 0x1.908fe6d22acd9p-2, 0x1.748f74d0622e3p-2, 0x1.5920c2b1e2d16p-2, 0x1.3e5d650b5657bp-2, 0x1.245a47eec04ecp-2, 0x1.0b2829cc1d0a9p-2, 0x1.e5a81eb24c6b2p-3, 0x1.b6cf63066ee19p-3, 0x1.89d3c48b8fca7p-3, 0x1.5ebdd67f4fbadp-3, 0x1.3591c397e43c5p-3, 0x1.0e4fedae95e25p-3, 0x1.d1eaf52e208a6p-4, 0x1.8af9a7757dccep-4, 0x1.47bc28bef9ce3p-4, 0x1.081ee5012b0edp-4, 0x1.98165e7666798p-5, 0x1.26cfc3f36339bp-5, 0x1.7867a936b0627p-6, 0x1.6025ee3edec5fp-7, -0x1.7a9d2067c4384p-11, -0x1.77923c38fa812p-7, -0x1.604448d660485p-6, -0x1.f9c19523471bfp-6, -0x1.445de2a2caf3cp-5, -0x1.86d63cf0674aep-5, -0x1.c485c91205ddfp-5, -0x1.fda7568ba2df9p-5, -0x1.193a2feeb4d2ap-4, -0x1.319270e3dd99ap-4, -0x1.47f79a482afdep-4, -0x1.5c83fd092a89ep-4, -0x1.6f5102fc7a0d5p-4, -0x1.80772960606ecp-4, -0x1.900dfe16ac61cp-4, -0x1.9e2c1e3b16fa8p-4, -0x1.aae73617b7a98p-4, -0x1.b65404123e08ap-4, -0x1.c0865aab1a56cp-4, -0x1.c991250fd6a5ep-4, -0x1.d1866cbbdade2p-4, -0x1.d8775db3d9635p-4, -0x1.de744d9fd2eb5p-4, -0x1.e38cc26ed9b2p-4, -0x1.e7cf78bb914f8p-4, -0x1.eb4a6b8717244p-4, -0x1.ee0adae735ce1p-4, -0x1.f01d536bc110dp-4, -0x1.f18db4c9e4a9fp-4, -0x1.f26739ed25fc5p-4, -0x1.f2b4805cb3a8ep-4, -0x1.f27f8cf428973p-4, -0x1.f1d1d52ed77e8p-4, -0x1.f0b4452458cb3p-4, -0x1.ef2f455bd9afbp-4, -0x1.ed4ac1cb89901p-4, -0x1.eb0e2fbd18e18p-4, -0x1.e880937f5a4c8p-4, -0x1.e5a8878766d32p-4, -0x1.e28c3dec40164p-4, -0x1.df3188a57a41cp-4, -0x1.db9ddf7d80647p-4, -0x1.d7d664be480bbp-4, -0x1.d3dfe7535e881p-4, -0x1.cfbee8a96c5dbp-4, -0x1.cb77a03a1327ap-4, -0x1.c70e00e01b1d6p-4, -0x1.c285bc7f35a1dp-4, -0x1.bde2475dfe42p-4, -0x1.b926db1a6c377p-4, -0x1.b45679df70575p-4, -0x1.af73f2b4020bdp-4, -0x1.aa81e37cd0704p-4, -0x1.a582bc406033fp-4, -0x1.a078c1f0e3b69p-4, -0x1.9b660fd034507p-4, -0x1.964c9c73ac56bp-4, -0x1.912e39017d045p-4, -0x1.8c0c95b68baefp-4, -0x1.86e942131a691p-4, -0x1.81c5b0648cfb8p-4, -0x1.7ca336e029005p-4, -0x1.7783113ed98fep-4, -0x1.7266624e01b9p-4, -0x1.6d4e3632be51ep-4, -0x1.683b836abfc0ep-4, -0x1.632f2b990473ap-4, -0x1.5e29fdd454316p-4, -0x1.592cb7623ee81p-4, -0x1.54380472f3819p-4, -0x1.4f4c822d9ce3cp-4, -0x1.4a6abf55e6a75p-4, -0x1.45933c94b6607p-4, -0x1.40c66ddb5b4bep-4, -0x1.3c04baf4785b9p-4, -0x1.374e821f16bb5p-4, -0x1.32a416358c0e8p-4, -0x1.2e05c064638e8p-4, -0x1.2973c12ccd806p-4, -0x1.24ee509368d9p-4, -0x1.20759f6ee78dep-4, -0x1.1c09d6cdfed68p-4, -0x1.17ab198e3537ep-4, -0x1.13598430c696fp-4, -0x1.0f152d7535f8ep-4, -0x1.0ade2686917cp-4, -0x1.06b47b7ae394ep-4, -0x1.0298354c21afdp-4, -0x1.fd12b0f5b56d5p-5, -0x1.f50fc6bd0cb76p-5, -0x1.ed27a622ef59bp-5, -0x1.e55a43d5c5a83p-5, -0x1.dda789bb8889p-5, -0x1.d60f5df3e18b8p-5, -0x1.ce91a3cdd7534p-5, -0x1.c72e379bedb4dp-5, -0x1.bfe4f3a54905bp-5, -0x1.b8b5abbef6635p-5, -0x1.b1a032e13b725p-5, -0x1.aaa456eff3c1cp-5, -0x1.a3c1e343b30b8p-5, -0x1.9cf8a21f58e71p-5, -0x1.96485a12a4f82p-5, -0x1.8fb0cf8a51909p-5, -0x1.8931c658f237ap-5, -0x1.82caffec43b12p-5, -0x1.7c7c3c02d1c47p-5, -0x1.764539485cf0dp-5, -0x1.7025b5cf444d3p-5, -0x1.6a1d6e7ba62c3p-5, -0x1.642c1f9859db5p-5, -0x1.5e5184c17235ap-5, -0x1.588d597cf467p-5, -0x1.52df58b164082p-5, -0x1.4d473c89ce441p-5, -0x1.47c4bf261cee9p-5, -0x1.42579b14c4a5ap-5, -0x1.3cff8b18302f2p-5, -0x1.37bc496fd0aa5p-5, -0x1.328d904d0aaa6p-5, -0x1.2d731ac62d7fbp-5, -0x1.286ca3765a7c3p-5, -0x1.2379e6f8874e3p-5, -0x1.1e9aa1192b95bp-5, -0x1.19ce8de55d3b7p-5, -0x1.1515647487df6p-5, -0x1.106eeb708c0bbp-5, -0x1.0bdade7b05214p-5, -0x1.0758f68abd442p-5, -0x1.02e8f56ffb5bap-5, -0x1.fd15376f55428p-6, -0x1.f47b51770a06dp-6, -0x1.ec03bac7c4c0ep-6, -0x1.e3adf5dc502cp-6, -0x1.db7986d90ab7dp-6, -0x1.d365f3df04a2p-6, -0x1.cb72c3624913p-6, -0x1.c39f7d74db3b9p-6, -0x1.bbebad1d621e3p-6, -0x1.b456de895af58p-6, -0x1.ace09baf16eecp-6, -0x1.a58870c7bdb7bp-6, -0x1.9e4df0fc1743dp-6, -0x1.9730b1b790c4fp-6, -0x1.90303fb6b847cp-6, -0x1.894c2c82e53e7p-6, -0x1.8284144b7ffaap-6, -0x1.7bd78b68f815bp-6, -0x1.7546254a3764ep-6, -0x1.6ecf7d911ca7ep-6, -0x1.687330dc7302cp-6, -0x1.6230db92a660ep-6, -0x1.5c081b3a811ebp-6, -0x1.55f88eae3b086p-6, -0x1.5001d650981c6p-6, -0x1.4a2393d9f0118p-6, -0x1.445d6a4509dbfp-6, -0x1.3eaefdc8e774cp-6, -0x1.3917f5a63ce5bp-6, -0x1.3397f79ee3ee2p-6, -0x1.2e2ea93d2ae4p-6, -0x1.28dbb7c6585e8p-6, -0x1.239ecc481d029p-6, -0x1.1e77933c0ca58p-6, -0x1.1965b9d4869c5p-6, -0x1.1468ee14791cap-6, -0x1.0f80df6d634d6p-6, -0x1.0aad3deaabcb4p-6, -0x1.05edbb7d031aep-6, -0x1.01420b0bc48ep-6, -0x1.f953c1ad5cb3p-7, -0x1.f049e5066b884p-7, -0x1.e765ebc2dd821p-7, -0x1.dea742c36a8e4p-7, -0x1.d60d5a71144aap-7, -0x1.cd97a6b648353p-7, -0x1.c5459c80c5abap-7, -0x1.bd16b209a2876p-7, -0x1.b50a5e33c9422p-7, -0x1.ad201b59a27d7p-7, -0x1.a557672fa1b4ap-7, -0x1.9dafbf2f45b2cp-7, -0x1.9628a3748ee67p-7, -0x1.8ec195b612213p-7, -0x1.877a1a6f17b74p-7, -0x1.8051b8e73cef6p-7, -0x1.7947f470716e7p-7, -0x1.725c552998778p-7, -0x1.6b8e69b50d963p-7, -0x1.64ddbd92c9c02p-7, -0x1.5e49dc752f8b7p-7, -0x1.57d25b5df9f98p-7, -0x1.5176b957a1891p-7, -0x1.4b36a9d8492ebp-7, -0x1.4511a83963c77p-7, -0x1.3f074bae69797p-7, -0x1.391731521b761p-7, -0x1.3340f03c88277p-7, -0x1.2d8423d1e64f9p-7, -0x1.27e0663df2c47p-7, -0x1.2255545de36fdp-7, -0x1.1ce28dce72066p-7, -0x1.1787b20ed54f2p-7, -0x1.1244619342e23p-7, -0x1.0d184154b5d51p-7, -0x1.0802f01403f67p-7, -0x1.030416daaaf75p-7, -0x1.fc36b423eb951p-8, -0x1.f290c7d58052p-8, -0x1.e915b98cb89d5p-8, -0x1.dfc4d915a70b7p-8, -0x1.d69d7f4685f38p-8, -0x1.cd9f08cc94f0ep-8, -0x1.c4c8cf049c6aep-8, -0x1.bc1a2e659589dp-8, -0x1.b39285475beb6p-8, -0x1.ab3138f5e1d0ep-8, -0x1.a2f5ab80bfdd8p-8, -0x1.9adf45cd16076p-8, -0x1.92ed6ece5f01p-8, -0x1.8b1f96ce61ac7p-8, -0x1.837524d959dcfp-8, -0x1.7bed8d1c63656p-8, -0x1.74883f9e867f9p-8, -0x1.6d44ae889a1b6p-8, -0x1.66224dbaec74cp-8, -0x1.5f2096188a478p-8, -0x1.583f00b31f218p-8, -0x1.517d0927b0576p-8, -0x1.4ada2cd6f48a1p-8, -0x1.4455ea71b7f71p-8, -0x1.3defc2cd851bfp-8, -0x1.37a7391f6f75cp-8, -0x1.317bd069fa992p-8, -0x1.2b6d0f8ee9a59p-8, -0x1.257a7e993072p-8, -0x1.1fa3a6acc7e59p-8, -0x1.19e81702fd8eap-8, -0x1.144759ed05773p-8, -0x1.0ec0fe410e359p-8, -0x1.0954938167005p-8, -0x1.0401abe97317fp-8, -0x1.fd8fbe3eb88cdp-9, -0x1.f34d87c8b1999p-9, -0x1.e93bc190a8675p-9, -0x1.df59be6bf26c9p-9, -0x1.d5a697626484bp-9, -0x1.cc21bd0b6a7cdp-9, -0x1.c2ca1f7476829p-9, -0x1.b99f1e64c8403p-9, -0x1.b09ff75872e5bp-9, -0x1.a7cbe4cd1b908p-9, -0x1.9f223e6996ab7p-9, -0x1.96a259d53dd93p-9, -0x1.8e4b1ef268a85p-9, -0x1.861c9d8b1d68p-9, -0x1.7e15311bd596dp-9, -0x1.7634e3f4d3115p-9, -0x1.6e7ace901c4fp-9, -0x1.66e647f92dd19p-9, -0x1.5f76af49be11p-9, -0x1.582b577cf390bp-9, -0x1.5103b02d22846p-9, -0x1.49ff180bd0d28p-9, -0x1.431cea7d66452p-9, -0x1.3c5c91682ac08p-9, -0x1.35bd7afac92f3p-9, -0x1.2f3f0e9fcaf03p-9, -0x1.28e0c0ec26d6ap-9, -0x1.22a1f5ade636bp-9, -0x1.1c822895270d7p-9, -0x1.1680cab10b969p-9, -0x1.109d527df3605p-9, -0x1.0ad739e6ecf3ap-9, -0x1.052dfae8812cep-9, -0x1.ff42259976734p-10, -0x1.f460020282674p-10, -0x1.e9b48b5c66b96p-10, -0x1.df3ec9dfe2cb3p-10, -0x1.d4fdc84d0ab27p-10, -0x1.caf0938b55b76p-10, -0x1.c1163dcc53f3ep-10, -0x1.b76dd6ee5134cp-10, -0x1.adf6887e95fe6p-10, -0x1.a4af5e25822e9p-10, -0x1.9b977ae531258p-10, -0x1.92ae0b062c7b8p-10, -0x1.89f23379af201p-10, -0x1.816312e7a578dp-10, -0x1.78ffe70b08c49p-10, -0x1.70c7df936e766p-10, -0x1.68ba2c452e40bp-10, -0x1.60d61030efd2bp-10, -0x1.591ad77dd9e5p-10, -0x1.5187990efae96p-10, -0x1.4a1b9fb598e47p-10, -0x1.42d6514f6c535p-10, -0x1.3bb6e4df020e9p-10, -0x1.34bca21df11d2p-10, -0x1.2de6c18f53a7p-10, -0x1.2734ba3436401p-10, -0x1.20a5ca015a39ep-10, -0x1.1a39508e18819p-10, -0x1.13eea93bc7904p-10, -0x1.0dc53157a3059p-10, -0x1.07bc496bca9b9p-10, -0x1.01d34c5d57b2dp-10, -0x1.f8135c6e5c1bbp-11, -0x1.ecbd9166f760bp-11, -0x1.e1a416065dad5p-11, -0x1.d6c5c43259372p-11, -0x1.cc2179ca0829bp-11, -0x1.c1b61de9e01fbp-11, -0x1.b7828cbc9a4cdp-11, -0x1.ad86313963525p-11, -0x1.a3bed1440f427p-11, -0x1.9a2c79ad3a19fp-11, -0x1.90cdae0f148e4p-11, -0x1.87a1c29235a3dp-11, -0x1.7ea75f59d91c8p-11, -0x1.75ddbf88be414p-11, -0x1.6d43b465351f3p-11, -0x1.64d8ad671d0dp-11, -0x1.5c9b91ce01d9ep-11, -0x1.548b746fd6d5ap-11, -0x1.4ca77e3522f4ep-11, -0x1.44eec752f3dfp-11, -0x1.3d6070f03385cp-11, -0x1.35fbaed5eb581p-11, -0x1.2ebfd751de8bep-11, -0x1.27abb23f519eap-11, -0x1.20bee53a1808cp-11, -0x1.19f8717547444p-11, -0x1.1357af5f70edep-11, -0x1.0cdbc103d9b72p-11, -0x1.0683ebb32a2b3p-11, -0x1.004f78faf2789p-11, -0x1.f47b5c37af874p-12, -0x1.e89bd259ad0e6p-12, -0x1.dcff2736a52fap-12, -0x1.d1a3978371bf7p-12, -0x1.c687efc604a7bp-12, -0x1.bbab17000680dp-12, -0x1.b10ba7a11e123p-12, -0x1.a6a888bbe96c8p-12, -0x1.9c800ac2d454p-12, -0x1.929157881efcep-12, -0x1.88daf8429e452p-12, -0x1.7f5c3c3d97417p-12, -0x1.7613dbdfcd3fap-12, -0x1.6d005c82bd7b3p-12, -0x1.6420ca7c49b29p-12, -0x1.5b74cb7a83267p-12, -0x1.52fa64f13f6f3p-12, -0x1.4ab0cf567771bp-12, -0x1.42974d5405678p-12, -0x1.3aac85362da18p-12, -0x1.32ef715283d69p-12, -0x1.2b5f75793808ap-12, -0x1.23fb5f1c9e193p-12, -0x1.1cc255e1dc7ecp-12, -0x1.15b3c013a70ffp-12, -0x1.0ece497d6e4b7p-12, -0x1.08113a56a83fep-12, -0x1.017bc9207c724p-12, -0x1.f61a2ca32ea2bp-13, -0x1.e988a7420032ep-13, -0x1.dd414db834f3p-13, -0x1.d14276631c5f4p-13, -0x1.c58a73fa00568p-13, -0x1.ba16d3faccedep-13, -0x1.aeea869e52bd1p-13, -0x1.a3fe8c2b07fc1p-13, -0x1.9954233007751p-13, -0x1.8ee9cb0b152cfp-13, -0x1.84bdfb26edc2bp-13, -0x1.7acede6a5f58dp-13, -0x1.711c173783f2ep-13, -0x1.67a2b53dff5b4p-13, -0x1.5e63a7a63b82dp-13, -0x1.555b977393571p-13, -0x1.4c8a9ab800038p-13, -0x1.43ef467f069d4p-13, -0x1.3b884530c294ap-13, -0x1.3354d226cc4b8p-13, -0x1.2b528fd1d6d85p-13, -0x1.2382075512648p-13, -0x1.1be0f013e4508p-13, -0x1.146f21e286cb9p-13, -0x1.0d2aeda83426bp-13, -0x1.0613b2a5336aep-13, -0x1.fe50d10441355p-14, -0x1.f0cfa16ea0492p-14, -0x1.e3a207763f80ap-14, -0x1.d6c64d330ddf2p-14, -0x1.ca3aacf482aap-14, -0x1.bdfa92560cd12p-14, -0x1.b20e1f0922e2cp-14, -0x1.a666fbf06212ap-14, -0x1.9b0a6a32a7453p-14, -0x1.8ff4d81b16113p-14, -0x1.8525b2fdbc068p-14, -0x1.7a9a7bdcf129fp-14, -0x1.70519082a734dp-14, -0x1.664a6030d5564p-14, -0x1.5c82fb10a2e2dp-14, -0x1.52f990a047799p-14, -0x1.49ad1228c2a41p-14, -0x1.409c3435e5cep-14, -0x1.37c5dc3c152f3p-14, -0x1.2f282e22c255cp-14, -0x1.26c1955a7bf37p-14, -0x1.1e90df617b3f6p-14, -0x1.169533ce47beep-14, -0x1.0ecda8bf25a25p-14, -0x1.0737d334e391p-14, -0x1.ffa830c4e682bp-15, -0x1.f140eb4d6cac5p-15, -0x1.e337e1045ff3ep-15, -0x1.d58a42c11d136p-15, -0x1.c8362da16b157p-15, -0x1.bb39d44c171b4p-15, -0x1.ae93256770273p-15, -0x1.a23ff1ead4d09p-15, -0x1.963ede23fad6ep-15, -0x1.8a880ac854fc6p-15, -0x1.7f27203790583p-15, -0x1.740f1a8abca84p-15, -0x1.69413e8053c69p-15, -0x1.5ec000323acd9p-15, -0x1.547d0381a4624p-15, -0x1.4a83875ce6717p-15, -0x1.40cd8df90421p-15, -0x1.37582c938cf54p-15, -0x1.2e2269c9da994p-15, -0x1.252b54e8a7d0cp-15, -0x1.1c723fc94aa44p-15, -0x1.13f46f8d04caep-15, -0x1.0bafeecbb0a3fp-15, -0x1.03a546fd0962cp-15, -0x1.f7a380c2cc422p-16, -0x1.e867b9f7dcb4ep-16, -0x1.d9957e4d66a42p-16, -0x1.cb28fed7999ddp-16, -0x1.bd2008e0d3c2cp-16, -0x1.af7b264027fb9p-16, -0x1.a232825570904p-16, -0x1.9547f3a828ff2p-16, -0x1.88bc01ef2afecp-16, -0x1.7c84b419e63bp-16, -0x1.70a5081cb0863p-16, -0x1.651711c8e174fp-16, -0x1.59db8d417e26bp-16, -0x1.4eefd42a4ef08p-16, -0x1.4456b3a19af92p-16, -0x1.3a05e30e54947p-16, -0x1.2ffe824fae978p-16, -0x1.2644643501a29p-16, -0x1.1cccda5838325p-16, -0x1.13917d3de9123p-16, -0x1.0a9ee2f9cb3c9p-16, -0x1.01f04178f06a3p-16, -0x1.f302987e9ccf6p-17, -0x1.e29afcf7c21dap-17, -0x1.d2ad734102cafp-17, -0x1.c337a44e9587p-17, -0x1.b432bddfb0c5bp-17, -0x1.a5a448077fd0ap-17, -0x1.976cca41b8d88p-17, -0x1.89b18e1d1edeap-17, -0x1.7c593030effb8p-17, -0x1.6f644408aa675p-17, -0x1.62d049fbd17f3p-17, -0x1.569e58ad2191dp-17, -0x1.4ac6352004defp-17, -0x1.3f48ffce53405p-17, -0x1.34230b8ca0fd2p-17, -0x1.2947cf0254a87p-17, -0x1.1ed7ec062e519p-17, -0x1.14ab2cb747e7ep-17, -0x1.0ad005d45b076p-17, -0x1.013ff63358277p-17, -0x1.eff6a8f69891cp-18, -0x1.ddfbac7abd351p-18, -0x1.cc8acb61ec3bap-18, -0x1.bba9e7d87c628p-18, -0x1.ab4ebb06536b9p-18, -0x1.9b76106157401p-18, -0x1.8c1b551f9a1f7p-18, -0x1.7d3e3b99963e2p-18, -0x1.6ed316902ba81p-18, -0x1.60de17701b792p-18, -0x1.535cb18454988p-18, -0x1.464730e1151c5p-18, -0x1.399cb431b79p-18, -0x1.2d5e3aeac3ba1p-18, -0x1.216b3bfbf3745p-18, -0x1.16143c4d9e796p-18, -0x1.0af5c9d741e3bp-18, -0x1.003c6a34cab7ap-18, -0x1.ebbb47dd5effdp-19, -0x1.d7a5c88b25391p-19, -0x1.c43646ed8c11fp-19, -0x1.b1794593e79f6p-19, -0x1.9f6351cbfe778p-19, -0x1.8dd6b94f96baap-19, -0x1.7cf9b0c454e8dp-19, -0x1.6ca4b699d76d9p-19, -0x1.5cdbd2d7325f4p-19, -0x1.4da002b0594cep-19, -0x1.3eedda3c98c34p-19, -0x1.30c0e30c58e85p-19, -0x1.23147b6a37a62p-19, -0x1.15df4910641ccp-19, -0x1.093b14d18a42p-19, -0x1.fa13b9525e4aep-20, -0x1.e215ce8859046p-20, -0x1.cb42ab562d7bp-20, -0x1.b547a66907bdfp-20, -0x1.a029f713f49eep-20, -0x1.8bddd93e602c4p-20, -0x1.784552b6e216p-20, -0x1.6563469f9a944p-20, -0x1.53399e093bbc7p-20, -0x1.41c0906d57471p-20, -0x1.30e5523093564p-20, -0x1.20e2f3c0477e4p-20, -0x1.112dbc927f3d6p-20, -0x1.02704e1b6dba5p-20, -0x1.e843def475d87p-21, -0x1.ccf73654467f9p-21, -0x1.b2be4108bb2f4p-21, -0x1.99837e46dde4dp-21, -0x1.812e14b0183f2p-21, -0x1.6a0b48ccddd7bp-21, -0x1.53e538cbf2945p-21, -0x1.3e7dccd6152e9p-21, -0x1.2a253bcbefbadp-21, -0x1.17006084a5976p-21, -0x1.045c4c467799bp-21, -0x1.e50865c6512cdp-22, -0x1.c2fd9e2f9d206p-22, -0x1.a318bd512e1dcp-22, -0x1.83f8c2b554f01p-22, -0x1.66c3402c8d0a8p-22, -0x1.4ad51187cc828p-22, -0x1.2ff9761b82731p-22, -0x1.16ae9bf7e5ca5p-22, -0x1.fd835b651c886p-23, -0x1.cf9c25f240952p-23, -0x1.a541f34c1944dp-23, -0x1.7c440a2316211p-23, -0x1.557d5c85d34cep-23, -0x1.30daa48b616c4p-23, -0x1.0dc7dc0724f02p-23, -0x1.d9f13d779eaa3p-24, -0x1.9dee6e05dcbd2p-24, -0x1.668f27bc51f82p-24, -0x1.330eebe05a5b3p-24, -0x1.f6ad9ff6cb488p-25, -0x1.970f13472ae68p-25, -0x1.3fc4e3a489b84p-25, -0x1.d9c6061d24b8ep-26, -0x1.420daa9d1be84p-26, -0x1.67856ea039146p-27, -0x1.7ee4413287d31p-29, 0x1.1d38f3f42a7efp-28, 0x1.6b6285477756bp-27, 0x1.210778a43a4d9p-26, 0x1.7bbb5a87e9867p-26, 0x1.c95fab809ba3cp-26, 0x1.0ba674f74aef1p-25, 0x1.2d2e91e9ef5cp-25, 0x1.46fa5dc082bf9p-25, 0x1.60a9f76d8f29p-25, 0x1.7b0bffdde4752p-25, 0x1.8a755d2705f1p-25, 0x1.9850e9115d27p-25, 0x1.a1f81480cbc48p-25, 0x1.ae4a550dfc8d9p-25, 0x1.b2d5c6971f262p-25, 0x1.b764eb8c9c3a5p-25, 0x1.b7bd903faaec6p-25, 0x1.b53f73e0a518p-25, 0x1.b2bd80f017585p-25, 0x1.aa913a5ccb5e4p-25, 0x1.a03ed1eaab2b5p-25, 0x1.9584fd335c3fep-25, 0x1.890b216ece43fp-25, 0x1.7b3ec840c385dp-25, 0x1.6cfec9abd1bd3p-25, 0x1.5ad2df08b0a5fp-25, 0x1.4776465fd9152p-25, 0x1.35b3aec3c05dcp-25, 0x1.1aa65ca21f418p-25, 0x1.02add20f92042p-25, 0x1.d72129fc5c56p-26, 0x1.a2e68817fcd16p-26, 0x1.6fb59add9426cp-26, 0x1.32b321cf1d9bbp-26, 0x1.f316944ff40e9p-27, 0x1.80cff4b96804p-27, 0x1.039c68bb6dd64p-27, 0x1.17c8a379acb1fp-28, 0x1.f7af4c293c28bp-33, -0x1.e6c177165c913p-29, -0x1.d532fc04b40bbp-28, -0x1.87e7c542a7d77p-27, -0x1.07a7771ae4d97p-26, -0x1.4acfd7b41f9acp-26, -0x1.8f5ecc8e9929ep-26, -0x1.d7fbd96b49fc8p-26, -0x1.0efc94616f643p-25, -0x1.3194e2b8e05e3p-25, -0x1.51387b671b85dp-25, -0x1.7c08d7665302fp-25, -0x1.a0e32338d753cp-25, -0x1.c32b316adc1fp-25, -0x1.e7bc8d6f61324p-25, -0x1.0676877511e0ap-24, -0x1.17b8c8e9687abp-24, -0x1.2a39df3f9fa71p-24, -0x1.3d1d53372fbeap-24, -0x1.4ed63e95e694p-24, -0x1.60b168cd4b5adp-24, -0x1.73c30c60f8f93p-24, -0x1.85caf2e8ecd9p-24, -0x1.98c90286a49dfp-24, -0x1.a7b98f037043p-24, -0x1.b97daa9c7559cp-24, -0x1.cba5d74b3cfd7p-24, -0x1.dcef0ba8c1fa1p-24, -0x1.eec23b3ecb2edp-24, -0x1.ff1fb02b8255p-24, -0x1.0810d669a445p-23, -0x1.0ff2510496662p-23, -0x1.18441218583a4p-23, -0x1.211b9344f9a5fp-23, -0x1.28f46d5a21c27p-23, -0x1.30e774d9e1ecbp-23, -0x1.386bfad9e5b92p-23, -0x1.40d36fd6ffe7fp-23, -0x1.485be21d45959p-23, -0x1.4f7f4fc2a2762p-23, -0x1.5743217eb0309p-23, -0x1.5eaf2b17f841ep-23, -0x1.65ebca59aaebep-23, -0x1.6cf828062a344p-23, -0x1.73e2dc2aac3ep-23, -0x1.7ac41980b760fp-23, -0x1.8197bc5d3803fp-23, -0x1.88401f921d4ddp-23, -0x1.8eb40eebc96c2p-23, -0x1.950cc3bc03231p-23, -0x1.9b7ca7a88dccfp-23, -0x1.a12b38c2222fep-23, -0x1.a76a116dd901p-23, -0x1.addf9c08294a7p-23, -0x1.b3857ec1877aap-23, -0x1.b8ecd07119b5cp-23, -0x1.be836b6e5e7a1p-23, -0x1.c48204ffdfc19p-23, -0x1.c87451cf04f9cp-23, -0x1.ce980f412664fp-23, -0x1.d3d995263efa9p-23, -0x1.d9a7c0ffa28a8p-23, -0x1.dda0e0df224e9p-23, -0x1.e1940b926b56ap-23, -0x1.e6274ce637b2ep-23, -0x1.ead5b6b139859p-23, -0x1.eead675df084ap-23, -0x1.f2eceb83e694ap-23, -0x1.f75652b90f78ap-23, -0x1.faa374aabec83p-23, -0x1.fe648fff206a5p-23, -0x1.01109efc063dep-22, -0x1.02d81b942856bp-22, -0x1.04a32c689abbcp-22, -0x1.067000d5f5b03p-22, -0x1.080536b6a5123p-22, -0x1.09804668ed0b3p-22, -0x1.0aee739c6d206p-22, -0x1.0c39b48379ec7p-22, -0x1.0da7390db6919p-22, -0x1.0ee044ea56b5cp-22, -0x1.1000fee1da0e2p-22, -0x1.113af4a51ec5ap-22, -0x1.124fb0529c203p-22, -0x1.137858b099a34p-22, -0x1.147a52330a2ep-22, -0x1.156e4188e83dcp-22, -0x1.16569e2de0505p-22, -0x1.1732c25cbf525p-22, -0x1.17ff1c686bd3dp-22, -0x1.18b5e02672619p-22, -0x1.1997a5181e5d1p-22, -0x1.1a08b75c703f1p-22, -0x1.1ad84f312ebc8p-22, -0x1.1b3b2ce931c91p-22, -0x1.1bbf223a41c0ep-22, -0x1.1c3274bdb871cp-22, -0x1.1cc82cb7d53bcp-22, -0x1.1cfd32e46fbfbp-22, -0x1.1d3af808cd4e7p-22, -0x1.1d577694f1f39p-22, -0x1.1dd3ead2b6611p-22, -0x1.1dfb7c7dc498ap-22, -0x1.1dc9e432dd0a7p-22, -0x1.1e7926cf8cc89p-22, -0x1.1de768db1e851p-22, -0x1.1e42020ddbcp-22, -0x1.1e553c07324f8p-22, -0x1.1db7cd4773362p-22, -0x1.1def521e269c8p-22, -0x1.1daf69e919d85p-22, -0x1.1d9089b4f52d4p-22, -0x1.1d4a62a9ff911p-22, -0x1.1d040a7b47362p-22, -0x1.1c7957251b8bep-22, -0x1.1c3059b11bc38p-22, -0x1.1ba7d549b42a1p-22, -0x1.1b9255f6793ep-22, -0x1.1b22c42ab2685p-22, -0x1.1a87c177fcad6p-22, -0x1.19f288cc0cff3p-22, -0x1.196be6e206659p-22, -0x1.18cac8c015711p-22, -0x1.182d7e800fccp-22, -0x1.1763f8822a3ebp-22, -0x1.16cac49a8f878p-22, -0x1.15fe5e2fb14a7p-22, -0x1.1540d361cbfbfp-22, -0x1.1485951a7f7a3p-22, -0x1.13bd2fad5a665p-22, -0x1.12e9c76f9cb5p-22, -0x1.120af72c9e19dp-22, -0x1.112dab3fc5d32p-22, -0x1.101969de58f7dp-22, -0x1.0f73503771e7bp-22, -0x1.0e4cd38bf3e5dp-22, -0x1.0d533b73b9198p-22, -0x1.0c5089fefa363p-22, -0x1.0b463f1176ad9p-22, -0x1.0a2d2fa548a4bp-22, -0x1.08fe4d837129fp-22, -0x1.081a57914742bp-22, -0x1.06df9ac246e61p-22, -0x1.0592d5a75e1dbp-22, -0x1.04bc932cee76bp-22, -0x1.0375cabf8f539p-22, -0x1.0243b131a1693p-22, -0x1.01131a81762e1p-22, -0x1.ff7ee806754dap-23, -0x1.fcd042de142d3p-23, -0x1.fa3bba2d83c24p-23, -0x1.f7e30ec3d7a93p-23, -0x1.f620ae10623f5p-23, -0x1.f253e50eec329p-23, -0x1.efc0a48439ca5p-23, -0x1.ed28325647e63p-23, -0x1.ea45af5f23eedp-23, -0x1.e7d992410aa6fp-23, -0x1.e4ff5dd9177b3p-23, -0x1.e1fe8dc7e636bp-23, -0x1.df38b27170efdp-23, -0x1.dc0d427970e45p-23, -0x1.d94f8fd3ad96fp-23, -0x1.d66cfd89476dap-23, -0x1.d35b01f61309dp-23, -0x1.d0b2cfb7dcd94p-23, -0x1.cddf50cc0a49cp-23, -0x1.ca615c0efb073p-23, -0x1.c7a2423729e46p-23, -0x1.c4d9e00b451c4p-23, -0x1.c19444c1d7f47p-23, -0x1.be7a6f1d634f9p-23, -0x1.bb452bfca3ac3p-23, -0x1.b8879e3dc741ap-23, -0x1.b52caf400c26ep-23, -0x1.b1dfdaf719858p-23, -0x1.aedc814f857c1p-23, -0x1.aba266bbfd11bp-23, -0x1.a8715dc00cf1p-23, -0x1.a58b6d4fe485cp-23, -0x1.a21d3f473ccecp-23, -0x1.9ef3cb0accfd3p-23, -0x1.9bc7039623ed2p-23, -0x1.98c039961b5afp-23, -0x1.9529b06fdaedfp-23, -0x1.921cb3cc9f267p-23, -0x1.8e80e455e2038p-23, -0x1.8bf1113d9fdfp-23, -0x1.88a21f0d56e53p-23, -0x1.84b96d29c5338p-23, -0x1.81be6f0eaaed4p-23, -0x1.7e769a181d509p-23, -0x1.7b43a8df2542cp-23, -0x1.77cecbd25f656p-23, -0x1.7471805fc2f8bp-23, -0x1.714a759f793c8p-23, -0x1.6e0da3b1e1485p-23, -0x1.6a9bb59a0232fp-23, -0x1.678556d01853bp-23, -0x1.642c44af743d7p-23, -0x1.60be6fe973713p-23, -0x1.5d7d3a06ce026p-23, -0x1.5a2e9e5ec3a6ap-23, -0x1.56f41fa6bc4ap-23, -0x1.540b766903604p-23, -0x1.506615c0ab7d4p-23, -0x1.4d4de5b8f8a72p-23, -0x1.49e27913133dfp-23, -0x1.469154e7738a3p-23, -0x1.43548fb85be79p-23, -0x1.3fdaa8a80d25ap-23, -0x1.3cee9f59d7f5bp-23, -0x1.39f6fad0c1bf8p-23, -0x1.3616b5b95111ep-23, -0x1.330b5592cb55cp-23, -0x1.2fd7e62b3ed13p-23, -0x1.2c7ea5dc0dc01p-23, -0x1.294ee1ad8bc75p-23, -0x1.261c5477fcd91p-23, -0x1.22f1fd33f2fdfp-23, -0x1.1fd64542f23efp-23, -0x1.1ca784b4707adp-23, -0x1.196592d370081p-23, -0x1.162b8386f2409p-23, -0x1.130b238b88f8p-23, -0x1.0fe2bd639d0ffp-23, -0x1.0cacb13912804p-23, -0x1.096716bdab5a9p-23, -0x1.069aa5e341745p-23, -0x1.0371228f6ed74p-23, -0x1.00262ef28b0ddp-23, -0x1.fa7e813d18256p-24, -0x1.f43584938913p-24, -0x1.edc27eb1a272dp-24, -0x1.e7a045e63a0c5p-24, -0x1.e19eee1c77713p-24, -0x1.db9a33d36249p-24, -0x1.d59cdc78b3346p-24, -0x1.cf89fe1a23643p-24, -0x1.c966151a423e1p-24, -0x1.c3cb0bafc8babp-24, -0x1.bda944e45d638p-24, }}, 
      {{-0x1.9dee9e47b0a9fp-6, -0x1.4bdcb3085c0a5p-4, -0x1.6969fb7e96c8ep-3, -0x1.34132722a8084p-2, -0x1.bb86040365531p-2, -0x1.19f1a3b64394p-1, -0x1.44fce833e8fc6p-1, -0x1.588d1263df24cp-1, -0x1.51bd201b62376p-1, -0x1.30adfa5da5865p-1, -0x1.efa4bf2179cfbp-2, -0x1.565918ffaec42p-2, -0x1.3e75ae4c67519p-3, 0x1.5ac8e6bc381ebp-5, 0x1.fe8c691970218p-3, 0x1.d348cc3247491p-2, 0x1.4faaad3e00cd3p-1, 0x1.ae64d9cd74468p-1, 0x1.019ee49889488p+0, 0x1.262b933a3f0f8p+0, 0x1.443df9e156946p+0, 0x1.5b86fd320e414p+0, 0x1.6bf8485c8fa8bp+0, 0x1.75b93f0702339p+0, 0x1.791c21765f9c1p+0, 0x1.7693d481f40e3p+0, 0x1.6eaa96ad549d9p+0, 0x1.61f9cbe5d5ab4p+0, 0x1.5122f18f7f374p+0, 0x1.3cc9bc26b50a5p+0, 0x1.258f53a516876p+0, 0x1.0c0e9ae197a93p+0, 0x1.e1b2d0d3ef944p-1, 0x1.a8ed26833e4fbp-1, 0x1.6ec169074b734p-1, 0x1.340b03b8db657p-1, 0x1.f316823ab9d8dp-2, 0x1.7fd354d9608ap-2, 0x1.0f6a02a8db2c7p-2, 0x1.459257590ccfdp-3, 0x1.d59e0e5dfbd76p-5, -0x1.41db350998f23p-5, -0x1.0b1bccacddc7ap-3, -0x1.b9dc0407c631bp-3, -0x1.2e22fa8b83868p-2, -0x1.790d7bdad6679p-2, -0x1.bda4333bbc14bp-2, -0x1.fbf0971002951p-2, -0x1.1a05f4e8feecdp-1, -0x1.330e3fdf51a95p-1, -0x1.4929a3968fc0cp-1, -0x1.5c74c8cd09cccp-1, -0x1.6d0f8e078f091p-1, -0x1.7b1c2a84e6d08p-1, -0x1.86be6f481a8d4p-1, -0x1.901b23ce3bd97p-1, -0x1.97577bbd0915fp-1, -0x1.9c98a270d2e6fp-1, -0x1.a0035a11a2cbbp-1, -0x1.a1bbac050cd17p-1, -0x1.a1e4a9385137bp-1, -0x1.a0a0384ae3a05p-1, -0x1.9e0eefdb50d4p-1, -0x1.9a4ffb2838bb9p-1, -0x1.9581073aaab21p-1, -0x1.8fbe3749af829p-1, -0x1.89221f0d4016cp-1, -0x1.81c5c20ff6e2dp-1, -0x1.79c0972ac05c9p-1, -0x1.71288f56c74cap-1, -0x1.68121f4345162p-1, -0x1.5e904ae535129p-1, -0x1.54b4b2c4da8dep-1, -0x1.4a8fa21c950a3p-1, -0x1.40301e0ab0f78p-1, -0x1.35a3f4dccd1bfp-1, -0x1.2af7cdd20c09bp-1, -0x1.203738ba0a495p-1, -0x1.156cbd7bbffebp-1, -0x1.0aa1eb5f59d5bp-1, -0x1.ffbed01ab6188p-2, -0x1.ea59fc09af592p-2, -0x1.d5235585d6fd1p-2, -0x1.c027588cbad7ap-2, -0x1.ab711c4218097p-2, -0x1.970a6bd3408fbp-2, -0x1.82fbde4a9d586p-2, -0x1.6f4ced49c30ep-2, -0x1.5c040a68b3913p-2, -0x1.4926b3d79ad5dp-2, -0x1.36b9875ffe845p-2, -0x1.24c054e18f185p-2, -0x1.133e2f37ca757p-2, -0x1.02357ca4bc232p-2, -0x1.e3500b4e8ca58p-3, -0x1.c32e06fdfb05cp-3, -0x1.a4065a718253fp-3, -0x1.85d98878c4abbp-3, -0x1.68a73fdec1726p-3, -0x1.4c6e70b69e094p-3, -0x1.312d60a8db65cp-3, -0x1.16e1bd9f0ddb5p-3, -0x1.fb115d9da6a5p-4, -0x1.ca3dca3be8253p-4, -0x1.9b41532af20a4p-4, -0x1.6e13d5d9c9102p-4, -0x1.42ac95ae25207p-4, -0x1.1902508af7813p-4, -0x1.e216acb2ab77cp-5, -0x1.957b374ce918fp-5, -0x1.4c1d933b40844p-5, -0x1.05e8a2f95687p-5, -0x1.858de1e3c13f3p-6, -0x1.05459390e721ap-6, -0x1.15996b910f8e1p-7, -0x1.5f77feaa7305bp-10, 0x1.659734aadaa9bp-8, 0x1.86ed769928b2fp-7, 0x1.28668f9d233d9p-6, 0x1.886027de4db9bp-6, 0x1.e38dda9914bc1p-6, 0x1.1d0cb7dabeb77p-5, 0x1.461604508fa25p-5, 0x1.6cf70459e1fd4p-5, 0x1.91c389096f3abp-5, 0x1.b48efc419eb13p-5, 0x1.d56c584748684p-5, 0x1.f46e26eed9ef4p-5, 0x1.08d33fbd9bffbp-4, 0x1.16938070556b9p-4, 0x1.238068cfbd29p-4, 0x1.2fa24fe91d119p-4, 0x1.3b014f8857f3fp-4, 0x1.45a54458bb40fp-4, 0x1.4f95ce0640f58p-4, 0x1.58da4f8231cd2p-4, 0x1.6179efe6842b9p-4, 0x1.697b9b0aa76b1p-4, 0x1.70e601826cd91p-4, 0x1.77bf9a1e3858fp-4, 0x1.7e0ea3b07598bp-4, 0x1.83d92521f9e85p-4, 0x1.8924edd9fc535p-4, 0x1.8df7986ae88e5p-4, 0x1.92568c208817dp-4, 0x1.9646fce418458p-4, 0x1.99cdec404128p-4, 0x1.9cf02c20a0954p-4, 0x1.9fb2609238d9p-4, 0x1.a218ff857e3b3p-4, 0x1.a42851bbb5939p-4, 0x1.a5e475df97992p-4, 0x1.a751621390e13p-4, 0x1.a872e3faecab8p-4, 0x1.a94ca1521eed7p-4, 0x1.a9e21a915137ep-4, 0x1.aa36ad0bd1b91p-4, 0x1.aa4d931791775p-4, 0x1.aa29e433aa7f3p-4, 0x1.a9ce9727ee8f5p-4, 0x1.a93e8431bc94ap-4, 0x1.a87c65c3d37e5p-4, 0x1.a78ad88c40723p-4, 0x1.a66c5c939e237p-4, 0x1.a523573c7ddedp-4, 0x1.a3b2149a4b45ep-4, 0x1.a21ac7c419222p-4, 0x1.a05f8b39ffa0bp-4, 0x1.9e8262332b751p-4, 0x1.9c853a2444d0cp-4, 0x1.9a69eb9cb477ep-4, 0x1.98323a956b428p-4, 0x1.95dfd7034c605p-4, 0x1.93745deca523ep-4, 0x1.90f15a8b961d5p-4, 0x1.8e58471e14035p-4, 0x1.8baa8d0cd9b8p-4, 0x1.88e98599d43e3p-4, 0x1.86167aac21215p-4, 0x1.8332a79317041p-4, 0x1.803f3a02dfb07p-4, 0x1.7d3d51fbda923p-4, 0x1.7a2e0283f38bp-4, 0x1.771252306dbecp-4, 0x1.73eb3bcd4e897p-4, 0x1.70b9af0341905p-4, 0x1.6d7e909eee264p-4, 0x1.6a3abb088c83ap-4, 0x1.66eefe84916dep-4, 0x1.639c21e1a1ab6p-4, 0x1.6042e2d66824cp-4, 0x1.5ce3f68590ebp-4, 0x1.598009a6d8057p-4, 0x1.5617c0d2098e2p-4, 0x1.52abb919fe0e7p-4, 0x1.4f3c882123eb9p-4, 0x1.4bcabca10f54cp-4, 0x1.4856de9eadfd8p-4, 0x1.44e16fbc654p-4, 0x1.416aeb61729d1p-4, 0x1.3df3c72bc04f4p-4, 0x1.3a7c72f803cf9p-4, 0x1.370559638a7b7p-4, 0x1.338edfc870132p-4, 0x1.301966be756fdp-4, 0x1.2ca549fdf5871p-4, 0x1.2932e0dbab686p-4, 0x1.25c27e2d98687p-4, 0x1.225470d5d7836p-4, 0x1.1ee903a60242dp-4, 0x1.1b807db3c561dp-4, 0x1.181b22876bfc9p-4, 0x1.14b931fa83ca5p-4, 0x1.115ae8cd2660fp-4, 0x1.0e008081bbf7cp-4, 0x1.0aaa2f73d1a3ep-4, 0x1.07582927af07cp-4, 0x1.040a9e6ba2178p-4, 0x1.00c1bd4e19ff6p-4, 0x1.fafb627d4fed9p-5, 0x1.f47d46c59f0d3p-5, 0x1.ee0974c4222b8p-5, 0x1.e7a03580358d2p-5, 0x1.e141cd8daf9c9p-5, 0x1.daee7d4a59208p-5, 0x1.d4a68161a7578p-5, 0x1.ce6a127ad0533p-5, 0x1.c83965cc9d853p-5, 0x1.c214acf3d76b3p-5, 0x1.bbfc16356089cp-5, 0x1.b5efcca3e6bc8p-5, 0x1.afeff84f4e863p-5, 0x1.a9fcbe5fd8aebp-5, 0x1.a416411a89ebap-5, 0x1.9e3c9ff6862d1p-5, 0x1.986ff828fc6aep-5, 0x1.92b0640f99791p-5, 0x1.8cfdfbb6af7ebp-5, 0x1.8758d533e7c6fp-5, 0x1.81c103cb0011ap-5, 0x1.7c36995a14835p-5, 0x1.76b9a54be650fp-5, 0x1.714a354384ad4p-5, 0x1.6be854ccd5e2ap-5, 0x1.66940e08beeacp-5, 0x1.614d692f5ff8cp-5, 0x1.5c146c7c5cecbp-5, 0x1.56e91d99dc2d8p-5, 0x1.51cb7f899395cp-5, 0x1.4cbb94809dac7p-5, 0x1.47b95d32f8f3ep-5, 0x1.42c4d8fd28345p-5, 0x1.3dde0597ba9a4p-5, 0x1.3904e04c34759p-5, 0x1.34396457eb5adp-5, 0x1.2f7b8c73cf697p-5, 0x1.2acb52021dedap-5, 0x1.2628ad4654efap-5, 0x1.219395bbaa0a4p-5, 0x1.1d0c01e598c65p-5, 0x1.1891e71351e7bp-5, 0x1.14253a17b864fp-5, 0x1.0fc5ee7bc4875p-5, 0x1.0b73f75fc665ep-5, 0x1.072f46fb356ecp-5, 0x1.02f7cebbad128p-5, 0x1.fd9afea31e87cp-6, 0x1.f56091cf8d88bp-6, 0x1.ed4035b5d71bep-6, 0x1.e539c831bdaabp-6, 0x1.dd4d2562a4cdap-6, 0x1.d57a28f2d2cebp-6, 0x1.cdc0acc9a4605p-6, 0x1.c6208a41deb48p-6, 0x1.be99995bdf984p-6, 0x1.b72bb1b4bc5bep-6, 0x1.afd6a96e735e6p-6, 0x1.a89a562a0892cp-6, 0x1.a1768ca4c63b6p-6, 0x1.9a6b2118779abp-6, 0x1.9377e66197598p-6, 0x1.8c9caf852a1c2p-6, 0x1.85d94de327178p-6, 0x1.7f2d939e45c1ep-6, 0x1.789950a04dbfdp-6, 0x1.721c5591995c6p-6, 0x1.6bb672432ed35p-6, 0x1.6567759f93f68p-6, 0x1.5f2f2ec01adf1p-6, 0x1.590d6badc1ed3p-6, 0x1.5301fad6ce2a4p-6, 0x1.4d0ca990c6e9bp-6, 0x1.472d45294dcdap-6, 0x1.41639ac24764dp-6, 0x1.3baf7724209fbp-6, 0x1.3610a6ab89672p-6, 0x1.3086f5b4cae73p-6, 0x1.2b123037810ap-6, 0x1.25b2223450bf5p-6, 0x1.206697225a2f2p-6, 0x1.1b2f5b2d14543p-6, 0x1.160c395b4eab5p-6, 0x1.10fcfd0fb3d1p-6, 0x1.0c0171c626b6ep-6, 0x1.071962cb866fap-6, 0x1.02449b49378fcp-6, 0x1.fb05cd1338a76p-7, 0x1.f1a81f5b64478p-7, 0x1.e86fc2fd9d093p-7, 0x1.df5c51bcc2819p-7, 0x1.d66d5e918925ep-7, 0x1.cda28213e6c1bp-7, 0x1.c4fb530d084f5p-7, 0x1.bc7768f200953p-7, 0x1.b4165ac8321f7p-7, 0x1.abd7c08df472ep-7, 0x1.a3bb31dbe503cp-7, 0x1.9bc0470d4561dp-7, 0x1.93e698e527fafp-7, 0x1.8c2dc06a790f1p-7, 0x1.8495569555667p-7, 0x1.7d1cf5b3ff2b4p-7, 0x1.75c43733a69a6p-7, 0x1.6e8ab675df339p-7, 0x1.67700e1fe96e1p-7, 0x1.6073d9e988341p-7, 0x1.5995b5e7d7a9cp-7, 0x1.52d53eab41f61p-7, 0x1.4c32116db0066p-7, 0x1.45abcbd5d216p-7, 0x1.3f420c45728dp-7, 0x1.38f4718d1bf4bp-7, 0x1.32c29b2b775bp-7, 0x1.2cac2941eb327p-7, 0x1.26b0bc8b70cdep-7, 0x1.20cff6707f4bfp-7, 0x1.1b0979218515ep-7, 0x1.155ce719ad6b9p-7, 0x1.0fc9e428ea7f9p-7, 0x1.0a50144ff66f7p-7, 0x1.04ef1c330cc99p-7, 0x1.ff4d42d4e92f3p-8, 0x1.f4ec953b95b89p-8, 0x1.eabb7caf7c05cp-8, 0x1.e0b948a23feap-8, 0x1.d6e54a77f5b5ap-8, 0x1.cd3ed48a626ebp-8, 0x1.c3c53a1b0755cp-8, 0x1.ba77d230174f8p-8, 0x1.b155f3c894affp-8, 0x1.a85ef6e7f5962p-8, 0x1.9f923671cda7cp-8, 0x1.96ef0e5d60bb9p-8, 0x1.8e74dcaa33e3fp-8, 0x1.8622ff31e020fp-8, 0x1.7df8d77afb7cep-8, 0x1.75f5c7448e5efp-8, 0x1.6e1932611feebp-8, 0x1.66627e40cdd42p-8, 0x1.5ed111e37c9c3p-8, 0x1.576456a18c29cp-8, 0x1.501bb6292aae9p-8, 0x1.48f69d9709fe1p-8, 0x1.41f47a5f65451p-8, 0x1.3b14bc3c0015ep-8, 0x1.3456d486a6cb5p-8, 0x1.2dba35dc08416p-8, 0x1.273e545f8d67p-8, 0x1.20e2a7a597e59p-8, 0x1.1aa6a46c96ac5p-8, 0x1.1489c6056a134p-8, 0x1.0e8b86d1f1ab2p-8, 0x1.08ab60f2aa43ap-8, 0x1.02e8d3c65e1c4p-8, 0x1.fa86bba8dc922p-9, 0x1.ef7500dede5a5p-9, 0x1.e49b7a9f3ef25p-9, 0x1.d9f93428c16bdp-9, 0x1.cf8d3bdd1121dp-9, 0x1.c556a3111196fp-9, 0x1.bb547f8785efcp-9, 0x1.b185e9d4ab00dp-9, 0x1.a7e9fcbf74925p-9, 0x1.9e7fd55de53d2p-9, 0x1.95468e1297212p-9, 0x1.8c3d4ae38f7d1p-9, 0x1.836328b3b9e5ap-9, 0x1.7ab74aa9f00fap-9, 0x1.7238d813670fep-9, 0x1.69e6fbc03ab8bp-9, 0x1.61c0e5bc466e9p-9, 0x1.59c5cd0528e7dp-9, 0x1.51f4ee7f0f8ffp-9, 0x1.4a4d8afd89728p-9, 0x1.42ceeb0778e83p-9, 0x1.3b7855101cf18p-9, 0x1.344910ea5050cp-9, 0x1.2d40666197c81p-9, 0x1.265d985fa6ee4p-9, 0x1.1f9feca737a57p-9, 0x1.1906a4439460bp-9, 0x1.129105a62f123p-9, 0x1.0c3e5795bbce1p-9, 0x1.060de9e66518cp-9, 0x1.fffe28b22c66fp-10, 0x1.f4226dcf65ea4p-10, 0x1.e887727fb9ce9p-10, 0x1.dd2c0e980054dp-10, 0x1.d20f25f2c07b9p-10, 0x1.c72f95d0fa4d8p-10, 0x1.bc8c437a65e27p-10, 0x1.b224058d4b2fap-10, 0x1.a7f5ac0ff547p-10, 0x1.9e00049388fecp-10, 0x1.9441df4be99d1p-10, 0x1.8aba078c35c4p-10, 0x1.81675ce2b331p-10, 0x1.7848c40e6fc55p-10, 0x1.6f5d309556ea2p-10, 0x1.66a3a615e5ca2p-10, 0x1.5e1b3117f7bd5p-10, 0x1.55c2e52c79025p-10, 0x1.4d99d753cbe7fp-10, 0x1.459f1c469bd05p-10, 0x1.3dd1c20faa9ep-10, 0x1.3630e100ada89p-10, 0x1.2ebb7e2be30bcp-10, 0x1.2770b2b9d734dp-10, 0x1.204f95b342ca7p-10, 0x1.19574c47fe2cp-10, 0x1.1287098f70cfcp-10, 0x1.0bde05290aa84p-10, 0x1.055b842116ed4p-10, 0x1.fdfd9db112d56p-11, 0x1.f18e537196289p-11, 0x1.e567ad3649666p-11, 0x1.d988142275de6p-11, 0x1.cdede779706b1p-11, 0x1.c2977564a8de2p-11, 0x1.b78312fde1d97p-11, 0x1.acaf03fa2cc86p-11, 0x1.a219c476bf086p-11, 0x1.97c1da6e835p-11, 0x1.8da6028efa4d4p-11, 0x1.83c51acae29c6p-11, 0x1.7a1e28043765ep-11, 0x1.70b04a03c3847p-11, 0x1.677aa757e1bc4p-11, 0x1.5e7c5eecee20ap-11, 0x1.55b47b2bdc069p-11, 0x1.4d21e404e75dfp-11, 0x1.44c36bd4096a6p-11, 0x1.3c97af8439b21p-11, 0x1.349d4d9d65e75p-11, 0x1.2cd2d7d21d133p-11, 0x1.2536e4e167a15p-11, 0x1.1dc828fbb02d4p-11, 0x1.16857391a0de7p-11, 0x1.0f6db1a5a4389p-11, 0x1.087ff9064f01bp-11, 0x1.01bb7b8d75eebp-11, 0x1.f63f00805e957p-12, 0x1.e956c417422b7p-12, 0x1.dcbd04c1edad6p-12, 0x1.d07085cb5951cp-12, 0x1.c46ff6d6cb25ep-12, 0x1.b8b9db369e52ep-12, 0x1.ad4c8b2e0018fp-12, 0x1.a2264828df6fap-12, 0x1.9745321a620d8p-12, 0x1.8ca7759502d73p-12, 0x1.824b4c27f4c7cp-12, 0x1.782f1ed5759f2p-12, 0x1.6e5180b8023f1p-12, 0x1.64b11894c2ce8p-12, 0x1.5b4c8e45c8d09p-12, 0x1.52227425c4352p-12, 0x1.49313b79c6027p-12, 0x1.40773e4350bfbp-12, 0x1.37f2c9858a3a7p-12, 0x1.2fa26b70f714dp-12, 0x1.2784ba688c1cdp-12, 0x1.1f98a98eb6d9cp-12, 0x1.17dd5a67de44bp-12, 0x1.1051fbe3ba34ep-12, 0x1.08f5c06ef09d1p-12, 0x1.01c7c8278f09cp-12, 0x1.f58e5b33f5d69p-13, 0x1.e7e629e1224d2p-13, 0x1.da957c009fc7cp-13, 0x1.cd9b0b33101ap-13, 0x1.c0f5accbdeac8p-13, 0x1.b4a3ff26c452dp-13, 0x1.a8a4097730a1ap-13, 0x1.9cf3541f63692p-13, 0x1.918eb96bacb58p-13, 0x1.8672d050fca34p-13, 0x1.7b9c594396002p-13, 0x1.710861e09a097p-13, 0x1.66b4720dc1612p-13, 0x1.5c9eef4e19dbdp-13, 0x1.52c672f2052c5p-13, 0x1.492a18af522a9p-13, 0x1.3fc96b698ee2cp-13, 0x1.36a3edc0b2327p-13, 0x1.2db955c4326f5p-13, 0x1.25093d3d193e4p-13, 0x1.1c9329174d96ap-13, 0x1.1456546f239ep-13, 0x1.0c51e6c2f8b4bp-13, 0x1.04849ee89ef8bp-13, 0x1.f9d9f9ced20ddp-14, 0x1.eb11d9ea701b8p-14, 0x1.dcaca82503438p-14, 0x1.cea60601cf508p-14, 0x1.c0f9d83573b56p-14, 0x1.b3a5279974a27p-14, 0x1.a6a5bd8e8361cp-14, 0x1.99f9446471151p-14, 0x1.8d9ccf291c217p-14, 0x1.818d11f49abb9p-14, 0x1.75c7003613dcap-14, 0x1.6a490029263bep-14, 0x1.5f1300401c166p-14, 0x1.542641d57de66p-14, 0x1.498408db047c9p-14, 0x1.3f2c832ab78bdp-14, 0x1.351e4dff8107cp-14, 0x1.2b5756312ae8fp-14, 0x1.21d4ba8527f57p-14, 0x1.1893d982696a9p-14, 0x1.0f922278b25aep-14, 0x1.06cd255c16e0ap-14, 0x1.fc84313122a6fp-15, 0x1.ebdd1bb998e2dp-15, 0x1.dba2390643f7cp-15, 0x1.cbd253c593f95p-15, 0x1.bc6d619c8ef43p-15, 0x1.ad7249a8a8bdcp-15, 0x1.9eddb08a67accp-15, 0x1.90aaa006c3ed3p-15, 0x1.82d39df31fc09p-15, 0x1.75551d3e887c5p-15, 0x1.682da60a49aa8p-15, 0x1.5b5e1b5ac84e7p-15, 0x1.4ee799e1f8a33p-15, 0x1.42ca07a18d54p-15, 0x1.3703a4a7b9106p-15, 0x1.2b918a5e74559p-15, 0x1.20706746032c2p-15, 0x1.159d7ddcb125ap-15, 0x1.0b165a678017ep-15, 0x1.00d99340c70afp-15, 0x1.edc93bc4c32eep-16, 0x1.da6848cc22103p-16, 0x1.c789654931fcap-16, 0x1.b527bcd3d0a07p-16, 0x1.a341326f28e4ep-16, 0x1.91d5906216d94p-16, 0x1.80e563e7c075fp-16, 0x1.706e082539613p-16, 0x1.606e6b159c66ap-16, 0x1.50e343f077d55p-16, 0x1.41ca79cbfc53ap-16, 0x1.3321d0f50ba68p-16, 0x1.24e49c7aedab1p-16, 0x1.170bb8e33f073p-16, 0x1.099128ee60651p-16, 0x1.f8e5b95f56614p-17, 0x1.df644f2fa76d6p-17, 0x1.c69ff00a3c3fep-17, 0x1.ae921c51e155p-17, 0x1.97361014e8b05p-17, 0x1.808b7977a508p-17, 0x1.6a9475707c363p-17, 0x1.554cdfd2d1616p-17, 0x1.40a7e7aebd1dcp-17, 0x1.2c95d35b5d575p-17, 0x1.190b5edb81e77p-17, 0x1.060612fd15395p-17, 0x1.e711827a3b669p-18, 0x1.c331272e2673p-18, 0x1.a0626d97cde15p-18, 0x1.7e9d199890a07p-18, 0x1.5de322463ca19p-18, 0x1.3e3fd2b20da1cp-18, 0x1.1fb76dc6eacb7p-18, 0x1.023b176c5cb25p-18, 0x1.cb57bde5c7263p-19, 0x1.93d080dbb182ap-19, 0x1.5dbc4f29835d3p-19, 0x1.292c242bc6088p-19, 0x1.ec8da7864956ep-20, 0x1.8a2152365f5dp-20, 0x1.2ad5baeff11eep-20, 0x1.9d013d27b9bf9p-21, 0x1.d58da4d86fdfap-22, 0x1.fa077fc511dbfp-24, -0x1.976bacb24a754p-23, -0x1.0520ed77d2b3bp-21, -0x1.9f52941f4d058p-21, -0x1.1a8bf81e24a44p-20, -0x1.633e886b8ba58p-20, -0x1.a9820de18af28p-20, -0x1.ed3970316db6bp-20, -0x1.1747c04a9a225p-19, -0x1.36daa39031f36p-19, -0x1.554abb19ad1b5p-19, -0x1.7283bae7f0eb4p-19, -0x1.8e868da8db0f5p-19, -0x1.a969d79a7fb9ap-19, -0x1.c33af7e7e633fp-19, -0x1.dc0b40799f00ap-19, -0x1.f3eebc3efaecap-19, -0x1.0586463b9dd2p-18, -0x1.10a96f7cab32cp-18, -0x1.1b5241f8d9eb3p-18, -0x1.2589b829d58c6p-18, -0x1.2f5e630e97e06p-18, -0x1.38c9a16bc4992p-18, -0x1.41c0eee12cda8p-18, -0x1.4a46e3a722125p-18, -0x1.526205f4e9c5cp-18, -0x1.5a17fe28216f7p-18, -0x1.616daa36c7622p-18, -0x1.686eea68f8622p-18, -0x1.6f27729dde4dep-18, -0x1.758f3c73930abp-18, -0x1.7b9b1b6a05c3dp-18, -0x1.8154900d02fadp-18, -0x1.86c7ca6000e24p-18, -0x1.8be8c28b44246p-18, -0x1.90b73e2bee248p-18, -0x1.95352f5d66984p-18, -0x1.996d0927e9619p-18, -0x1.9d5f77a68f4abp-18, -0x1.a10d4fa928f8p-18, -0x1.a474de179d5d8p-18, -0x1.a79734545d368p-18, -0x1.aa7eb632ac58fp-18, -0x1.ad2d78eb70c67p-18, -0x1.af9e6d22a1049p-18, -0x1.b1dabff061ff7p-18, -0x1.b3e33c796b739p-18, -0x1.b5ad8f46ff37ep-18, -0x1.b73ccd088785p-18, -0x1.b8988b47a22acp-18, -0x1.b9c2609e1146ap-18, -0x1.babc830f63db2p-18, -0x1.bb82f5864b53fp-18, -0x1.bc155fd33b45ep-18, -0x1.bc78ffb2a6e4bp-18, -0x1.bcb430e8c996cp-18, -0x1.bcc7d38b6e42ap-18, -0x1.bcb0956ba5322p-18, -0x1.bc75d7f90bdap-18, -0x1.bc146cdfe06d3p-18, -0x1.bb84df4479ad8p-18, -0x1.bacdfecaeb55p-18, -0x1.b9f45ceff243p-18, -0x1.b8f7d2ebf4e3ep-18, -0x1.b7df1b12a9b06p-18, -0x1.b6a41ad2d8b79p-18, -0x1.b549229f94997p-18, -0x1.b3c943f81311cp-18, -0x1.b226057f71618p-18, -0x1.b068dcbc64c93p-18, -0x1.ae929afc865cap-18, -0x1.aca36b4a55d82p-18, -0x1.aa9d97dc1e0b9p-18, -0x1.a8756a33ce175p-18, -0x1.a63252cc615f9p-18, -0x1.a3d9b54c19e1bp-18, -0x1.a16ba0126c3b5p-18, -0x1.9ee704f2645b2p-18, -0x1.9c4ec253c430ap-18, -0x1.99a0a9874b7e1p-18, -0x1.96ddcac2b2ae3p-18, -0x1.94037fa2de8c8p-18, -0x1.91118ad5bc507p-18, -0x1.8e0eb114e4c66p-18, -0x1.8afe1cd6b66c6p-18, -0x1.87dfbeb5ff70ap-18, -0x1.84b0a26935165p-18, -0x1.816cf06f0cb51p-18, -0x1.7e18e32ff323dp-18, -0x1.7ab7b6c48c84bp-18, -0x1.774a7864e228p-18, -0x1.73d09ae94e17p-18, -0x1.7049ee862485fp-18, -0x1.6cb7fec851deap-18, -0x1.691a0a0b0e469p-18, -0x1.656aa59d06f23p-18, -0x1.61aff7caa1b5dp-18, -0x1.5defb2de6d87ep-18, -0x1.5a29e19aa3f29p-18, -0x1.5655d29f343d8p-18, -0x1.5276cd9c80f49p-18, -0x1.4e9157a9c18cfp-18, -0x1.4aa48b43ae8f3p-18, -0x1.46b079711d669p-18, -0x1.42b55e9618a2p-18, -0x1.3eb38b797e16dp-18, -0x1.3aab820b2369bp-18, -0x1.369de8e6fc82cp-18, -0x1.328b49b2e4284p-18, -0x1.2e742d592ce5ep-18, -0x1.2a58bdf3395b8p-18, -0x1.26373da06036p-18, -0x1.220d5bf1e8448p-18, -0x1.1de438ffbb02ep-18, -0x1.19ba78c370b71p-18, -0x1.158c99fc7dabdp-18, -0x1.115968d45d297p-18, -0x1.0d24deb03a263p-18, -0x1.08efd6db77fc2p-18, -0x1.04b28346fff5cp-18, -0x1.007f134dc7dd3p-18, -0x1.f890e36baa95p-19, -0x1.f026bd08be73dp-19, -0x1.e7ab8aade286p-19, -0x1.df2c19eeda9a4p-19, -0x1.d6b5621f0dfd9p-19, -0x1.ce441dc669047p-19, -0x1.c5cf56aee5a8dp-19, -0x1.bd5b944a89a13p-19, -0x1.b4eb7a6bcc248p-19, -0x1.ac803f1f86a8fp-19, -0x1.a4177b1531e81p-19, -0x1.9bb22cfb81904p-19, -0x1.9351cd73e0a7p-19, -0x1.8af4e313d9bc5p-19, -0x1.829c011b3e341p-19, -0x1.7a493093143fdp-19, -0x1.71fc8bf2077b4p-19, -0x1.69b6641a29173p-19, -0x1.61756e7399f08p-19, -0x1.593c5d13250cep-19, -0x1.510a7898d79b1p-19, -0x1.48e13798a12b7p-19, -0x1.40bf3a7675091p-19, -0x1.38a23a29860b4p-19, -0x1.3092c0aacbc23p-19, -0x1.288a624ca4a93p-19, -0x1.208995aeafd55p-19, -0x1.1893c36d9fbep-19, -0x1.10a8c57c900dep-19, -0x1.08c811614f79cp-19, -0x1.00f15fef29ce7p-19, -0x1.f24b64c1b68f1p-20, -0x1.e2c7dda2e6b87p-20, -0x1.d35d22464f301p-20, -0x1.c406194768003p-20, -0x1.b4c7e1d9f014ep-20, -0x1.a59f51d241a28p-20, -0x1.969ca5f74ce8dp-20, -0x1.879c6f404a44ep-20, -0x1.78bfba83c7661p-20, -0x1.69fc14be71f6ep-20, -0x1.5b5474659d4ep-20, -0x1.4cc52db578cp-20, -0x1.3e4e5698d1406p-20, -0x1.301001c246286p-20, -0x1.21b9295b3d22bp-20, -0x1.1398745e5ba2bp-20, -0x1.05931c5ec9efp-20, -0x1.ef4815c96a026p-21, -0x1.d3b0211878d3bp-21, -0x1.b8538a3848c0ap-21, -0x1.9d2c37e1b4acp-21, -0x1.8241c6e7c2679p-21, -0x1.67b58ccb6c4f2p-21, -0x1.4d1e0d95393b4p-21, -0x1.32e19122b36bp-21, -0x1.18d9b7915639ep-21, -0x1.fe3be6d6aedc2p-22, -0x1.cb2f6325f0e17p-22, -0x1.98a8fb8599ec5p-22, -0x1.669d5defaa98p-22, -0x1.350c07687a9f2p-22, -0x1.03f1c850d45a8p-22, -0x1.a6b6033d1daacp-23, -0x1.467c98648f28ep-23, -0x1.ce9060236400ep-24, -0x1.1203cafb48102p-24, -0x1.5e1a9f6545821p-26, 0x1.83924d1561e4ap-26, 0x1.1752dd93f199ap-24, 0x1.cbc883a9b0bdep-24, 0x1.3f22b8bd9e64bp-23, 0x1.975e8572ce131p-23, 0x1.eebf9cd677566p-23, 0x1.2214b66adaba8p-22, 0x1.4d0789d16e141p-22, 0x1.7719ec171f95ep-22, 0x1.a0ade7c02b992p-22, 0x1.c9c1cf46f2cf5p-22, 0x1.f25429ed95ecdp-22, 0x1.0d31aa1757127p-21, 0x1.20f5d28faf1afp-21, 0x1.347d19112f37cp-21, 0x1.47d8fe1326f4bp-21, 0x1.5ac64765d0d04p-21, 0x1.6d890cbaa8515p-21, 0x1.800cf496a5c7ep-21, 0x1.92507d2b33617p-21, 0x1.a44a18a13c415p-21, 0x1.b60eb3fce933p-21, 0x1.c78c4a4d88c4ap-21, 0x1.d8d4bbab6800dp-21, 0x1.e99f6a73fe33ap-21, 0x1.fa91bc752d2ffp-21, 0x1.0586996e6420bp-20, 0x1.0da72a299e2a7p-20, 0x1.15a8527df6736p-20, 0x1.1d8f59429e7fap-20, 0x1.254cd11b75166p-20, 0x1.2cee20ce672a8p-20, 0x1.3473335d64418p-20, 0x1.3be19e60ed19ep-20, 0x1.431bc126748fbp-20, 0x1.4a3fd179bd5bcp-20, 0x1.5146609d20703p-20, 0x1.5829819bb5ebep-20, 0x1.5ef71d3024792p-20, 0x1.65b6e3237579p-20, 0x1.6c2c0b3e6a942p-20, 0x1.728f7b5a76a3p-20, 0x1.78e82f7a5904ap-20, 0x1.7f1a18f3cc5d4p-20, 0x1.852f868a12cacp-20, 0x1.8b20b69cbe48cp-20, 0x1.90fde47f08686p-20, 0x1.96bade787c1bcp-20, 0x1.9c58477ef94d9p-20, 0x1.a1da0d6bcb5a3p-20, 0x1.a73fca4f103e8p-20, 0x1.ac6a2e3e5d74fp-20, 0x1.b1b3e1b84bb43p-20, 0x1.b6c0454047928p-20, 0x1.bbb468411c993p-20, 0x1.c0867c07fa6d3p-20, 0x1.c5415eec7dadep-20, 0x1.c9e018d7e4674p-20, 0x1.ce6560d0a9873p-20, 0x1.d2d39a2be6befp-20, 0x1.d7214dc0c9dc4p-20, 0x1.db5434169d8acp-20, 0x1.df6d9f3d10c0fp-20, 0x1.e36c3c98f1547p-20, 0x1.e731be44726adp-20, 0x1.eb166e45dc3c4p-20, 0x1.eec1b3ec6dccfp-20, 0x1.f25beba913d8fp-20, 0x1.f5d9a62324d11p-20, 0x1.f96467492fd8p-20, 0x1.fc854502e442ap-20, 0x1.ffb5d3ce3c053p-20, 0x1.016489c92da87p-19, 0x1.02e58c5000f26p-19, 0x1.0458a653ea209p-19, 0x1.05c1a7f3f6d05p-19, 0x1.071f9024539adp-19, 0x1.086f3ea1fad2fp-19, 0x1.09b24db8ed7bbp-19, 0x1.0aeaf4f9a8c51p-19, 0x1.0c1642bf9835p-19, 0x1.0d38de677607dp-19, 0x1.0e4e78613d8b3p-19, 0x1.0f5bb6340ef95p-19, 0x1.10502c92055bdp-19, 0x1.115155aab41a3p-19, 0x1.123bdf790bb65p-19, 0x1.131b750ffa561p-19, 0x1.13f04d9c15da8p-19, 0x1.14b991b6fd8a4p-19, 0x1.157886e6f7063p-19, 0x1.162db3f624289p-19, 0x1.16dbc467e54c6p-19, 0x1.177cb10a8289ep-19, 0x1.18136a60349fbp-19, 0x1.18a081f6b3fe6p-19, 0x1.1924006f8095dp-19, 0x1.199ea850a19ecp-19, 0x1.1a1130a389c0ep-19, 0x1.1a6caf0c664fap-19, 0x1.1ad280ff43c92p-19, 0x1.1b27c0b63bc25p-19, 0x1.1b71b5691c37ep-19, 0x1.1bb6bb512b8d6p-19, 0x1.1bef08a781964p-19, 0x1.1c1db6fca082bp-19, 0x1.1c4525b66a946p-19, 0x1.1c64af83111acp-19, 0x1.1c7bf52ef2c0cp-19, 0x1.1c8b3dbb2c054p-19, 0x1.1c90c58222258p-19, 0x1.1c8b9cfa31aafp-19, 0x1.1c6fc4df87f51p-19, 0x1.1c6e84fee8fa9p-19, }}, 
      {{-0x1.3b7f3888e3a11p-6, -0x1.b095d124b4beap-5, -0x1.b95f066e900fbp-4, -0x1.77bf6cb677059p-3, -0x1.189982dc1e6dep-2, -0x1.7bde42de8e054p-2, -0x1.dca6505d90b03p-2, -0x1.197a2f327085bp-1, -0x1.3c49512b2f61ap-1, -0x1.54a89581ad256p-1, -0x1.617967d8d9b5ep-1, -0x1.627650768ebf1p-1, -0x1.58089e4a0378ep-1, -0x1.431c33835820dp-1, -0x1.24f6461d7617p-1, -0x1.fe231d9e04eaep-2, -0x1.a601b0deb2668p-2, -0x1.44afe4043fea7p-2, -0x1.ba69fd822747ep-3, -0x1.c97f165cbb6bcp-4, -0x1.adb2f76ce56cp-8, 0x1.8e4191e94cc6p-4, 0x1.9529a04d81de2p-3, 0x1.2cc9899043d46p-2, 0x1.88f2438aa28fp-2, 0x1.de1dddc7f7623p-2, 0x1.15cfd19390417p-1, 0x1.3883e739ac89dp-1, 0x1.570de3dcdff36p-1, 0x1.7167381f5c413p-1, 0x1.879c5e5068713p-1, 0x1.99c96386c167p-1, 0x1.a816bba1fde5cp-1, 0x1.b2b6673fd0ff8p-1, 0x1.b9e16f0c69554p-1, 0x1.bdd5b3ca471e9p-1, 0x1.bed40e91b9069p-1, 0x1.bd1ebe86e8ffcp-1, 0x1.b8f81b83e84d2p-1, 0x1.b2a1860e743a5p-1, 0x1.aa5a905a7cdefp-1, 0x1.a0605955d5895p-1, 0x1.94ed0fa04c52p-1, 0x1.88379771fbb88p-1, 0x1.7a7350374f8b5p-1, 0x1.6bcff555e10e8p-1, 0x1.5c79922326f4p-1, 0x1.4c9884f3099dp-1, 0x1.3c518faa5342cp-1, 0x1.2bc5f4d2e8cbep-1, 0x1.1b139d37b1593p-1, 0x1.0a5542c551077p-1, 0x1.f3453bad251a3p-2, 0x1.d221296ff62e5p-2, 0x1.b162d9b79f27cp-2, 0x1.9129f9f6a38d7p-2, 0x1.7191bea23b01ap-2, 0x1.52b143ab7631ep-2, 0x1.349be8efea6abp-2, 0x1.1761a98108602p-2, 0x1.f61edc8548c95p-3, 0x1.bf5eb876af56fp-3, 0x1.8a923ca8d7c4cp-3, 0x1.57c454b7c5e43p-3, 0x1.26fc01b2ad024p-3, 0x1.f0799ec9fd8d2p-4, 0x1.970e7f7e98311p-4, 0x1.41b2583c3b9c8p-4, 0x1.e0b879bb8b74p-5, 0x1.45fe87b1842dfp-5, 0x1.662c635f90055p-6, 0x1.3ec820882c7c6p-8, -0x1.6f914445b7497p-7, -0x1.b0a243ae1d2f3p-6, -0x1.4da005eacc56ep-5, -0x1.bc062d3cd2cfap-5, -0x1.11dd63a4eff7bp-4, -0x1.427b3e0f0a49bp-4, -0x1.6ff97ad47cc55p-4, -0x1.9a753b739e061p-4, -0x1.c20bbffa49c6dp-4, -0x1.e6da3eeaf41f7p-4, -0x1.047ee152fbb84p-3, -0x1.144985848c8f1p-3, -0x1.22db39c888d06p-3, -0x1.3041eee9973a6p-3, -0x1.3c8b4f373e1c8p-3, -0x1.47c4b6e05a172p-3, -0x1.51fb2daa25b34p-3, -0x1.5b3b61d207678p-3, -0x1.6391a40b1cdecp-3, -0x1.6b09e4742934p-3, -0x1.71afb052354aep-3, -0x1.778e30ef2570cp-3, -0x1.7cb02a9f46a3fp-3, -0x1.811ffc987f74fp-3, -0x1.84e7a134352c3p-3, -0x1.8810aef4f9132p-3, -0x1.8aa4596205041p-3, -0x1.8cab72b00d6e3p-3, -0x1.8e2e6d6a779f7p-3, -0x1.8f355e4fd04fap-3, -0x1.8fc7fe8a5893dp-3, -0x1.8fedadfcdeac1p-3, -0x1.8fad75c29b416p-3, -0x1.8f0e0a8593ffp-3, -0x1.8e15cf3a60cd8p-3, -0x1.8ccad7b1ab388p-3, -0x1.8b32eb4ccfd58p-3, -0x1.895387a9f87a4p-3, -0x1.8731e33ce8ce1p-3, -0x1.84d2f025c0d95p-3, -0x1.823b5eaa8525p-3, -0x1.7f6f9ffbcdaa6p-3, -0x1.7c73e8a43141dp-3, -0x1.794c3322eef37p-3, -0x1.75fc4258954fdp-3, -0x1.7287a3fcec54cp-3, -0x1.6ef1b2e9710f6p-3, -0x1.6b3d9969b949fp-3, -0x1.676e537c17faap-3, -0x1.6386b0e254e74p-3, -0x1.5f89574a25e7bp-3, -0x1.5b78c44ce4792p-3, -0x1.57574f4777ae7p-3, -0x1.53272b569f6e6p-3, -0x1.4eea690ef4949p-3, -0x1.4aa2f843d536fp-3, -0x1.4652a9af52d7dp-3, -0x1.41fb3068f643cp-3, -0x1.3d9e239ad163cp-3, -0x1.393cffdf0d69ap-3, -0x1.34d928a7072dcp-3, -0x1.3073e995768afp-3, -0x1.2c0e77b18816fp-3, -0x1.27a9f2c3f8143p-3, -0x1.2347665667f85p-3, -0x1.1ee7caeb0a062p-3, -0x1.1a8c0702bac7ap-3, -0x1.1634f01f86dcp-3, -0x1.11e34bbe9aa06p-3, -0x1.0d97d01492ef5p-3, -0x1.09532515751c9p-3, -0x1.0515e57774f96p-3, -0x1.00e09f0ff1b22p-3, -0x1.f967a761891f8p-4, -0x1.f11ff447360dcp-4, -0x1.e8eafd286170ap-4, -0x1.e0c9864cbefeap-4, -0x1.d8bc4165f656fp-4, -0x1.d0c3ce84b0bd6p-4, -0x1.c8e0bd54053ccp-4, -0x1.c1138df745314p-4, -0x1.b95cb21dcfcc5p-4, -0x1.b1bc8de101ce2p-4, -0x1.aa33787642e05p-4, -0x1.a2c1bd56e842bp-4, -0x1.9b679cc9ef0dcp-4, -0x1.94254c880275bp-4, -0x1.8cfaf89f6e7a2p-4, -0x1.85e8c40bc467p-4, -0x1.7eeec94870316p-4, -0x1.780d1ad8fc8a6p-4, -0x1.7143c3eb28819p-4, -0x1.6a92c8c652f6p-4, -0x1.63fa276141d01p-4, -0x1.5d79d7bd8282dp-4, -0x1.5711cc5d7a4d7p-4, -0x1.50c1f2acabbbep-4, -0x1.4a8a336446b4dp-4, -0x1.446a72e3525e9p-4, -0x1.3e62917f42993p-4, -0x1.38726bdbcf34dp-4, -0x1.3299db409c409p-4, -0x1.2cd8b5c0dbfb5p-4, -0x1.272eceafc8b41p-4, -0x1.219bf6a6ad621p-4, -0x1.1c1ffbe6bb1c4p-4, -0x1.16baaa8c3fda2p-4, -0x1.116bcd215c028p-4, -0x1.0c332b5fb0f37p-4, -0x1.07108c4225cfap-4, -0x1.0203b57dab7a3p-4, -0x1.fa18d6058ff41p-5, -0x1.f054df77954fep-5, -0x1.e6bb0b797ef68p-5, -0x1.dd4adc5599e32p-5, -0x1.d403d2fe628b8p-5, -0x1.cae56f21c4cc2p-5, -0x1.c1ef2f5615a43p-5, -0x1.b9209176bcdd7p-5, -0x1.b07912be4893fp-5, -0x1.a7f82fc16e42bp-5, -0x1.9f9d64fb1586dp-5, -0x1.97682ebdce527p-5, -0x1.8f58095c19d07p-5, -0x1.876c70d79c181p-5, -0x1.7fa4e15b68a32p-5, -0x1.7800d84a44261p-5, -0x1.707fd31af0328p-5, -0x1.69214ee17e369p-5, -0x1.61e4ca39d6458p-5, -0x1.5ac9c4a531ec7p-5, -0x1.53cfbdca6df65p-5, -0x1.4cf6362dd0258p-5, -0x1.463caf5c5a5fep-5, -0x1.3fa2abce803p-5, -0x1.3927af0ac7795p-5, -0x1.32cb3d8e1bf5ep-5, -0x1.2c8cdcf22c94p-5, -0x1.266c13f2ba488p-5, -0x1.20686a6ec91aap-5, -0x1.1a816963b869ap-5, -0x1.14b69b2ecb2f4p-5, -0x1.0f078b4c094a7p-5, -0x1.0973c6677fd75p-5, -0x1.03fada953ab91p-5, -0x1.fd38ae58530c8p-6, -0x1.f2af99a2b37e2p-6, -0x1.e8599aee5b17ep-6, -0x1.de35d8b71f0f3p-6, -0x1.d4437c5c9f84bp-6, -0x1.ca81b1abfba03p-6, -0x1.c0efa74b82a12p-6, -0x1.b78c8e9ea98e5p-6, -0x1.ae579b8d51363p-6, -0x1.a55004da80edfp-6, -0x1.9c7503e0f0abcp-6, -0x1.93c5d4c0b146ap-6, -0x1.8b41b6468d886p-6, -0x1.82e7e9f0f18ecp-6, -0x1.7ab7b3c211499p-6, -0x1.72b05a8fc786cp-6, -0x1.6ad127d1d8b8ap-6, -0x1.631967788a9d2p-6, -0x1.5b8868366865ap-6, -0x1.541d7b42a8607p-6, -0x1.4cd7f47e4cadp-6, -0x1.45b72a1e3272dp-6, -0x1.3eba7524b1fp-6, -0x1.37e130fe846e3p-6, -0x1.312abb9105958p-6, -0x1.2a96751b100d4p-6, -0x1.2423c05c658cp-6, -0x1.1dd202af571p-6, -0x1.17a0a355b0561p-6, -0x1.118f0d9d8b7e9p-6, -0x1.0b9cab66293d8p-6, -0x1.05c8ed0bedf7fp-6, -0x1.00134357c9fcdp-6, -0x1.f4f64226b61b6p-7, -0x1.e9fff79193829p-7, -0x1.df42962e055a8p-7, -0x1.d4bd119aa8b1fp-7, -0x1.ca6e6203c1b21p-7, -0x1.c0558376d5c07p-7, -0x1.b671760425001p-7, -0x1.acc13ed2acfb6p-7, -0x1.a343e6485a529p-7, -0x1.99f879057434dp-7, -0x1.90de08009c236p-7, -0x1.87f3a7e03913ap-7, -0x1.7f3871434dbe5p-7, -0x1.76ab80838652fp-7, -0x1.6e4bf5c76db13p-7, -0x1.6618f545b0a49p-7, -0x1.5e11a678f1652p-7, -0x1.563534cc94337p-7, -0x1.4e82cf121ac1bp-7, -0x1.46f9a7c6148b4p-7, -0x1.3f98f4a0359a7p-7, -0x1.385fef23b8476p-7, -0x1.314dd3faa7fc9p-7, -0x1.2a61e34d7325cp-7, -0x1.239b606aa1733p-7, -0x1.1cf991f0b89c6p-7, -0x1.167bc1b91002cp-7, -0x1.10213cf7ca8ccp-7, -0x1.09e9533bb1d07p-7, -0x1.03d3580df9e63p-7, -0x1.fbbd42d04d911p-8, -0x1.f01510ea61034p-8, -0x1.e4acd29c241c7p-8, -0x1.d983455e6bcecp-8, -0x1.ce972d6c5767ap-8, -0x1.c3e753407184ep-8, -0x1.b97285bb6d35ap-8, -0x1.af37990507da8p-8, -0x1.a535662c24064p-8, -0x1.9b6acbd208606p-8, -0x1.91d6ae6d14bafp-8, -0x1.8877f5b742d9ep-8, -0x1.7f4d911570e4ap-8, -0x1.76567279baa4p-8, -0x1.6d9191842ce0bp-8, -0x1.64fdeb4456648p-8, -0x1.5c9a7ff691487p-8, -0x1.546655bf572d1p-8, -0x1.4c607a3b5f60bp-8, -0x1.4487f8024498fp-8, -0x1.3cdbe4ec5021dp-8, -0x1.355b528d261d2p-8, -0x1.2e0566d5d129fp-8, -0x1.26d93cea2271p-8, -0x1.1fd5f83a515a5p-8, -0x1.18fac28c7c233p-8, -0x1.1246c6fdb93e8p-8, -0x1.0bb935c7f3e57p-8, -0x1.05514b3625ea9p-8, -0x1.fe1c578edd887p-9, -0x1.f1de571b2b117p-9, -0x1.e5e6f401a7ee9p-9, -0x1.da34bcb7adfdep-9, -0x1.cec63f0d70726p-9, -0x1.c39a0fdbca204p-9, -0x1.b8aec960977e9p-9, -0x1.ae030e9a3314fp-9, -0x1.a395886e4466fp-9, -0x1.9964e57d5f9fep-9, -0x1.8f6fdb8ded344p-9, -0x1.85b5282dafae8p-9, -0x1.7c338d77fa771p-9, -0x1.72e9d1ca48062p-9, -0x1.69d6c703e9576p-9, -0x1.60f93f595dd45p-9, -0x1.585015f555137p-9, -0x1.4fda2aedbdc45p-9, -0x1.479663bb9603ep-9, -0x1.3f83abc79ce5ep-9, -0x1.37a0f3fb2715ep-9, -0x1.2fed32240ed86p-9, -0x1.286761fee4921p-9, -0x1.210e83a90a0ep-9, -0x1.19e19c78f02c1p-9, -0x1.12dfb737799f7p-9, -0x1.0c07e2f9dea03p-9, -0x1.0559350e4246p-9, -0x1.fda5888106884p-10, -0x1.f0e760a6f5284p-10, -0x1.e47634ed0429bp-10, -0x1.d85052cecf86bp-10, -0x1.cc740dfbdc425p-10, -0x1.c0dfc802880e5p-10, -0x1.b591e7086693bp-10, -0x1.aa88da879fb8cp-10, -0x1.9fc3195839e46p-10, -0x1.953f26554a116p-10, -0x1.8afb854e2e36cp-10, -0x1.80f6c75e3eacbp-10, -0x1.772f814fbcdaap-10, -0x1.6da4541b77e23p-10, -0x1.6453e5020efd8p-10, -0x1.5b3cdfef699c9p-10, -0x1.525df7d476826p-10, -0x1.49b5e63d34563p-10, -0x1.41436ff4a315ep-10, -0x1.39055bcd6cd42p-10, -0x1.30fa78da055e1p-10, -0x1.29219c2eae295p-10, -0x1.2179a0e8f29c1p-10, -0x1.1a016a1ad6cdbp-10, -0x1.12b7dc5d3bcfbp-10, -0x1.0b9be80a9fe39p-10, -0x1.04ac7fe8bc824p-10, -0x1.fbd13a2ae0efbp-11, -0x1.ee9e7cee604d8p-11, -0x1.e1becfb498fadp-11, -0x1.d530491e28a9p-11, -0x1.c8f0e9b3a6674p-11, -0x1.bcff1f7edde97p-11, -0x1.b158db6770b05p-11, -0x1.a5fc76305080dp-11, -0x1.9ae82d21de989p-11, -0x1.901a53917e031p-11, -0x1.8591446f5341cp-11, -0x1.7b4b5de92283cp-11, -0x1.71470fdd9b813p-11, -0x1.6782ccb7323bap-11, -0x1.5dfd12a49afb9p-11, -0x1.54b4654bb78e1p-11, -0x1.4ba754a7523ap-11, -0x1.42d474bc0e90fp-11, -0x1.3a3a634c90a7p-11, -0x1.31d7c284af5d7p-11, -0x1.29ab599bf6ab4p-11, -0x1.21b3b5a630e33p-11, -0x1.19efad8eaabcdp-11, -0x1.125dfeece226cp-11, -0x1.0afd7426a928p-11, -0x1.03ccde03146b7p-11, -0x1.f99628d784fe1p-12, -0x1.ebedefcb5ab65p-12, -0x1.de9ee3b8df6cp-12, -0x1.d1a6d6455e8ccp-12, -0x1.c503b060369b2p-12, -0x1.b8b35cf902c2cp-12, -0x1.acb3de8139479p-12, -0x1.a1034110a8f28p-12, -0x1.959f8d14fd179p-12, -0x1.8a86e9b1c9cebp-12, -0x1.7fb77a2d0e4dbp-12, -0x1.752f75cca5bdbp-12, -0x1.6aed2768214b1p-12, -0x1.60eed0f0e43bdp-12, -0x1.5732d37d77c33p-12, -0x1.4db781778e2c8p-12, -0x1.447b199797719p-12, -0x1.3b7c5b95aafcbp-12, -0x1.32b99d32f831dp-12, -0x1.2a3161d699522p-12, -0x1.21e23bbe2ac1p-12, -0x1.19cab58517f97p-12, -0x1.11e978d6cacfap-12, -0x1.0a3d20c6b0c0dp-12, -0x1.02c469f6e69fep-12, -0x1.f6fbfd2cb1d38p-13, -0x1.e8d1413cad486p-13, -0x1.db0624d19db4bp-13, -0x1.cd983f2e3846cp-13, -0x1.c085497a34391p-13, -0x1.b3caf4a08a646p-13, -0x1.a76702384f0cfp-13, -0x1.9b5744613e3afp-13, -0x1.8f99997e6bd1fp-13, -0x1.842c495c41042p-13, -0x1.790c2ee1cc6dfp-13, -0x1.6e38b2780cf5dp-13, -0x1.63af275a62d94p-13, -0x1.596de0233a75ap-13, -0x1.4f72fadfd9f05p-13, -0x1.45bca59d4d971p-13, -0x1.3c48f8dd7b3cp-13, -0x1.3316c7c9f374p-13, -0x1.2a23ab2a80a3bp-13, -0x1.216ec64b7bcf5p-13, -0x1.18f5fa1bead9ep-13, -0x1.10b7da2dbd2fcp-13, -0x1.08b2e4fa6d6c8p-13, -0x1.00e5a85a870bbp-13, -0x1.f29d3a9d3dd47p-14, -0x1.e3d8d58b5e47fp-14, -0x1.d57b808ebe3f2p-14, -0x1.c782891332314p-14, -0x1.b9eb3f6ce1e2ap-14, -0x1.acb34ba22b582p-14, -0x1.9fd83aa7dd3c7p-14, -0x1.93578c9a7921ap-14, -0x1.872eec3206f2p-14, -0x1.7b5c1c68fc854p-14, -0x1.6fdcdb5bb5d94p-14, -0x1.64afc3f7cc6b5p-14, -0x1.59cfcfac012dep-14, -0x1.4f3e93565ad55p-14, -0x1.44f7efaf27cc6p-14, -0x1.3afa4fa6b5ba1p-14, -0x1.3143d1eeeb733p-14, -0x1.27d281428b61fp-14, -0x1.1ea484fa6cce7p-14, -0x1.15b82fdaffc34p-14, -0x1.0d0bd82c34c38p-14, -0x1.049dc14c7ceb4p-14, -0x1.f8d8856c8fca1p-15, -0x1.e8ebb7c1e2bbap-15, -0x1.d9722a7f8be7ep-15, -0x1.ca68ae8ab9146p-15, -0x1.bbcc3d9988e0cp-15, -0x1.ad99c7eeccc74p-15, -0x1.9fce76835b816p-15, -0x1.9267a2e577de3p-15, -0x1.85634f564cd96p-15, -0x1.78bd182cfe065p-15, -0x1.6c73faba40aabp-15, -0x1.6085019ea6acap-15, -0x1.54ed740382fa3p-15, -0x1.49ab0ee5be8cep-15, -0x1.3ebb8cd2923b9p-15, -0x1.341cb4909924bp-15, -0x1.29cc5ec3421c3p-15, -0x1.1fc82863321bbp-15, -0x1.160ff1cf0d74cp-15, -0x1.0c9d63a558846p-15, -0x1.0372a54f08142p-15, -0x1.f519a7bb31618p-16, -0x1.e3cfe6b55e352p-16, -0x1.d30d3673f37d9p-16, -0x1.c2c6c4ce5f212p-16, -0x1.b2fb935f9297dp-16, -0x1.a3a7ba539a4d4p-16, -0x1.94c81a9308aa6p-16, -0x1.8659cd7171457p-16, -0x1.785a0b80f8f95p-16, -0x1.6ac50acb72a2bp-16, -0x1.5d979f5e34e8ep-16, -0x1.50cf7c84a3a7cp-16, -0x1.4469a16dff96bp-16, -0x1.3862d1e04ae7ap-16, -0x1.2cb88905ea636p-16, -0x1.21687ade5e1c7p-16, -0x1.167022b70403ap-16, -0x1.0bcd0afdb5726p-16, -0x1.017cdcef77834p-16, -0x1.eefad1342d617p-17, -0x1.db9a00096b88bp-17, -0x1.c8d1b4ef7fc82p-17, -0x1.b69ed05998318p-17, -0x1.a4fc52468771ap-17, -0x1.93e6f905771a4p-17, -0x1.835ae506e03e2p-17, -0x1.73552af6b6a08p-17, -0x1.63cfceba18faep-17, -0x1.54c7c0cf27507p-17, -0x1.46320b90741e7p-17, -0x1.381a44d78f894p-17, -0x1.2a7ad80cb1181p-17, -0x1.1d441515933fap-17, -0x1.107ad9c5aafffp-17, -0x1.041b1f069dee9p-17, -0x1.f0417522d9a42p-18, -0x1.d913e070136ecp-18, -0x1.c2a976eb6ed6ap-18, -0x1.acfa4dba78f41p-18, -0x1.97fa9463901e1p-18, -0x1.83bdfbfa3ad92p-18, -0x1.701f865944fd6p-18, -0x1.5d2d9eef9c6c3p-18, -0x1.4adfbc04fe2ecp-18, -0x1.393119641fc3p-18, -0x1.281ccc344fae5p-18, -0x1.179e58356821dp-18, -0x1.07b13a94f20e6p-18, -0x1.f0a308608f93fp-19, -0x1.d306c032fa7d2p-19, -0x1.b64bd4b10dacap-19, -0x1.9aa76008d24e1p-19, -0x1.7ffbed2e5f0d7p-19, -0x1.6643fa513f6aep-19, -0x1.4d785abf91ea6p-19, -0x1.3590cbf069aa4p-19, -0x1.1e86b11e8e2c2p-19, -0x1.085895a88ddf5p-19, -0x1.e5f9a335aa057p-20, -0x1.bcd2aea206bd4p-20, -0x1.9539702ea1581p-20, -0x1.6f2041e7f4012p-20, -0x1.4a7650fa04911p-20, -0x1.2739308ca0ae5p-20, -0x1.055de3a3ef0fp-20, -0x1.c9aa0862f7d53p-21, -0x1.8b31886b366fcp-21, -0x1.4f4753d3bad9fp-21, -0x1.1622baa36f6c8p-21, -0x1.bd0abd8b7e973p-22, -0x1.536e657c69e6cp-22, -0x1.dc1b05ed25ed9p-23, -0x1.19ea0b4010f35p-23, -0x1.7fa31ad59787ep-25, 0x1.48376f65b51dcp-25, 0x1.f7d94619ec6cep-24, 0x1.9e366025cb1dap-23, 0x1.1c98db641f7d9p-22, 0x1.666f7a5e99ca7p-22, 0x1.acd6802f00235p-22, 0x1.efee6ef721197p-22, 0x1.17e3cb1257ea8p-21, 0x1.363d2b67f26dp-21, 0x1.530f20672b55fp-21, 0x1.6e653ffe3a84bp-21, 0x1.884d0013dafp-21, 0x1.a10a0633b8983p-21, 0x1.b865ead8dc427p-21, 0x1.cdf6d88d3317dp-21, 0x1.e294609ce7b9dp-21, 0x1.f6028ca1a94bbp-21, 0x1.041c9d8415be3p-20, 0x1.0ca3c5ff838a7p-20, 0x1.14a2879e8a42ep-20, 0x1.1c1af3b2557fp-20, 0x1.230f15e5bc187p-20, 0x1.2983bd5df1a1dp-20, 0x1.2f7f6384c83ep-20, 0x1.34fadc966787ep-20, 0x1.39f98c450346p-20, 0x1.3ea9b617c3246p-20, 0x1.42d5fb643bfbap-20, 0x1.46a2bb9340079p-20, 0x1.4a04f0b002a05p-20, 0x1.4d0869ca006bcp-20, 0x1.4fb3360d30a23p-20, 0x1.51fcd3480972dp-20, 0x1.53efe9fef8ec9p-20, 0x1.5596de1f3bcb1p-20, 0x1.56e683f65613p-20, 0x1.57e0617243abbp-20, 0x1.58992314e3d3fp-20, 0x1.59057db41e1abp-20, 0x1.5936f2c42c0afp-20, 0x1.5926f8fa87f7bp-20, 0x1.58b846458b23ap-20, 0x1.581c0c34152b6p-20, 0x1.57453901a26e6p-20, 0x1.563a545a3b782p-20, 0x1.54f3446f8efcfp-20, 0x1.53754e2565e27p-20, 0x1.51c93b3465eb6p-20, 0x1.4fe2a9a19a1f1p-20, 0x1.4dd4c5cc8f23cp-20, 0x1.4b99ddda5f8c2p-20, 0x1.49332ef86b48bp-20, 0x1.46a7e1d690aep-20, 0x1.43f0412458f63p-20, 0x1.410ce54f7ad5cp-20, 0x1.3e207a06db8e8p-20, 0x1.3b0c391522863p-20, 0x1.37a21d7ce882ep-20, 0x1.34407ab47da6cp-20, 0x1.30bd7562b2bf6p-20, 0x1.2d20aa5835a3ap-20, 0x1.2966aa1e9deb8p-20, 0x1.2594f405d2559p-20, 0x1.21ab5c143bfc3p-20, 0x1.1da814d31be69p-20, 0x1.198da4d4dd31p-20, 0x1.155dec2d5e7c6p-20, 0x1.112b590dedc13p-20, 0x1.0cd7faf40e6c2p-20, 0x1.0878ef6ff67c3p-20, 0x1.040958d193feap-20, 0x1.ff048e585d354p-21, 0x1.f5e28523cef33p-21, 0x1.ec8b17363322ap-21, 0x1.e3695722284e4p-21, 0x1.da04aff62b31fp-21, 0x1.d08a0705f0bb9p-21, 0x1.c7069fe9c7c37p-21, 0x1.bd6812aa0b805p-21, 0x1.b3c7aeb550171p-21, 0x1.aa0ef24a3c99bp-21, 0x1.a04788b8f740ap-21, 0x1.96831b6fc1ca6p-21, 0x1.8ca32e6b92e72p-21, 0x1.82bb6f405ffa9p-21, 0x1.78d5b6f1022f8p-21, 0x1.6eebfaed9a79ep-21, 0x1.65022b6c6203p-21, 0x1.5b1e04027a183p-21, 0x1.5129fba85718cp-21, 0x1.47375d71d3e81p-21, 0x1.3d3796f8ef06ap-21, 0x1.335c77572ab97p-21, 0x1.2963d800dea9bp-21, 0x1.1f827e8bdf2acp-21, 0x1.15a2807d5e9d3p-21, 0x1.0bc9380125336p-21, 0x1.01eb940e7473bp-21, 0x1.f03fba67f51ccp-22, 0x1.dcbaa48382e01p-22, 0x1.c969cea9c3318p-22, 0x1.b5d2419af5ad8p-22, 0x1.a292fd90cf46bp-22, 0x1.8f572787dd366p-22, 0x1.7bd9a0b3d27f3p-22, 0x1.693970cffb34cp-22, 0x1.564b873b4f759p-22, 0x1.438fd0e7f57a7p-22, 0x1.30ec388ff5a0fp-22, 0x1.1e52100f91f47p-22, 0x1.0be743d917b82p-22, 0x1.f333f97666433p-23, 0x1.cd736a8dae36ep-23, 0x1.aa9b1c53ff41p-23, 0x1.86e1019ea042ep-23, 0x1.6363c8a26964bp-23, 0x1.3ffb574aef551p-23, 0x1.1d1ea5567f3b3p-23, 0x1.f4fc2d906cdcap-24, 0x1.b114071e6edb9p-24, 0x1.6cffbfecb5ad9p-24, 0x1.29e4bc26c763dp-24, 0x1.ce8636bc4ecd7p-25, 0x1.49c48320f347dp-25, 0x1.8cf138e6951b9p-26, 0x1.19510be9b27dap-27, -0x1.be664ef6b7687p-28, -0x1.6fb880c802dcdp-26, -0x1.34ae1a71868cfp-25, -0x1.b032c4c064c81p-25, -0x1.157931987d6e2p-24, -0x1.518935126e169p-24, -0x1.8d2de8e8eae55p-24, -0x1.c847ae38ce1cap-24, -0x1.013e0c898e7dfp-23, -0x1.1ddebca0892b1p-23, -0x1.3a25185aa2265p-23, -0x1.560e9e3fe3a17p-23, -0x1.718aa7db8c55ap-23, -0x1.8cd9212c92d09p-23, -0x1.a79e91c8b1dd4p-23, -0x1.c1f4526264427p-23, -0x1.dc1139d462d2bp-23, -0x1.f5c14f5b1aeddp-23, -0x1.07842481e60d9p-22, -0x1.13f21866a4fd9p-22, -0x1.202e410500046p-22, -0x1.2c3dbb080429fp-22, -0x1.381efc9fd3333p-22, -0x1.43cbe385c7f35p-22, -0x1.4f426eaf2366dp-22, -0x1.5a88905b6d3bcp-22, -0x1.65a3b366365b6p-22, -0x1.707e97ac2fa3fp-22, -0x1.7b333ce1ab006p-22, -0x1.85cab49574d79p-22, -0x1.901b69b8cdc64p-22, -0x1.9a3444913a538p-22, -0x1.a4133a0157873p-22, -0x1.adc4c50661e0dp-22, -0x1.b7e17f1495215p-22, -0x1.c0ef336d34df3p-22, -0x1.c9c53da2ceffp-22, -0x1.d25c04c5179b6p-22, -0x1.db850a8edf8bep-22, -0x1.e46eba3ae95f4p-22, -0x1.ecdaf5e0d3d71p-22, -0x1.f52a3be524461p-22, -0x1.fd26e35a882c8p-22, -0x1.0285d50806c74p-21, -0x1.066891191c564p-21, -0x1.0a1a556c580d4p-21, -0x1.0dc5b275f679p-21, -0x1.115c24f41596bp-21, -0x1.14d6ea3663a27p-21, -0x1.184219cc33e7dp-21, -0x1.1b9bf91d5f914p-21, -0x1.1ed5229bc92dfp-21, -0x1.21f4f17860b72p-21, -0x1.24fe7ae9e39cbp-21, -0x1.27f1cf945300ap-21, -0x1.2ad57e1527a77p-21, -0x1.2d9d92185b2e1p-21, -0x1.30543d6d6a82ap-21, -0x1.32efe5b709ad2p-21, -0x1.3582bcee935d8p-21, -0x1.37f3717fbf72fp-21, -0x1.3a5575a253d5bp-21, -0x1.3ca1fdc21bf34p-21, -0x1.3eda0603f35bfp-21, -0x1.40fdd7ec44bf5p-21, -0x1.430d1f9e01276p-21, -0x1.450748ec7de49p-21, -0x1.46f4f3d691ebap-21, -0x1.48c295f580085p-21, -0x1.4a89efc92c835p-21, -0x1.4c32ad8b73b6p-21, -0x1.4dcd40d9b6b76p-21, -0x1.4f54ad6d57cbdp-21, -0x1.50b78e338ecaep-21, -0x1.522aebf39df65p-21, -0x1.53786be27fa35p-21, -0x1.54afd000c4878p-21, -0x1.55e31145e27dbp-21, -0x1.56fbccd98a8e7p-21, -0x1.58011ef85f83ap-21, -0x1.58be295931c53p-21, -0x1.59d44dcd89005p-21, -0x1.5ab45deac7513p-21, -0x1.5b7c193e5bf56p-21, -0x1.5c222bead3082p-21, -0x1.5cd16fb15f9e9p-21, -0x1.5d5cee1f1ecb9p-21, -0x1.5de1df1394721p-21, -0x1.5e50f3331e70bp-21, -0x1.5e84bbd13e6a3p-21, -0x1.5ef8c1817e3fp-21, -0x1.5f41706c3686ep-21, -0x1.5f81f8977fbd3p-21, -0x1.5fa65a92e4ae7p-21, -0x1.5fc0650cc5d1fp-21, -0x1.5fc0667c5282dp-21, -0x1.5fb63ce76077p-21, -0x1.5fa305662e1ep-21, -0x1.5f7fcd1735b2p-21, -0x1.5f4f65d80defap-21, -0x1.5f0ca766ea136p-21, -0x1.5ec40f3666ee6p-21, -0x1.5e68f44e92c3fp-21, -0x1.5e03e9cb97b83p-21, -0x1.5d939086b050bp-21, -0x1.5d1601743a8a2p-21, -0x1.5c8b6771c5fd2p-21, -0x1.5bf3a9fd2ce81p-21, -0x1.5b50d9ade02bbp-21, -0x1.5a9ea1d955861p-21, -0x1.59cd92058a67dp-21, -0x1.591efb221cfb7p-21, -0x1.584cfe8e2439ep-21, -0x1.5770021702ad9p-21, -0x1.5687c3187d081p-21, -0x1.5593828c42a9bp-21, -0x1.549236f47cde3p-21, -0x1.539195c55c948p-21, -0x1.527d39f3f048bp-21, -0x1.5171694b320a8p-21, -0x1.503b5f29c41d7p-21, -0x1.4f116548240a5p-21, -0x1.4dd77489f466fp-21, -0x1.4c97c6c82b3dcp-21, -0x1.4b446df9ca787p-21, -0x1.49ede21e92153p-21, -0x1.488dbcc4a854dp-21, -0x1.4731cf7752086p-21, -0x1.45a789c487d4ap-21, -0x1.4445f9b30692fp-21, -0x1.42c584070c134p-21, -0x1.41411b5078d4bp-21, -0x1.3fafa8dc0be11p-21, -0x1.3e27a3a0ff7bp-21, -0x1.3c84117be5fd3p-21, -0x1.3ad97137f1e79p-21, -0x1.393195a09497dp-21, -0x1.378bf438b8d0cp-21, -0x1.35c0ef9ed0106p-21, -0x1.33fed1297bd7cp-21, -0x1.3235a89dfb502p-21, -0x1.306992221f0c2p-21, -0x1.2e9ea214cbb08p-21, -0x1.2cce7e7812f82p-21, -0x1.2adeca026d3e3p-21, -0x1.28ea0443b40dcp-21, -0x1.270cab2a23dap-21, -0x1.251b2ae7e40b8p-21, -0x1.232833807c7d3p-21, -0x1.211982a0815e4p-21, -0x1.1f2811681cbffp-21, -0x1.1d1f5247b0955p-21, -0x1.1b17728f31751p-21, -0x1.1906ac8ed0f8cp-21, -0x1.16f49a57b6415p-21, -0x1.14c49f5e97adbp-21, -0x1.12c3466139f14p-21, -0x1.10a10738288a2p-21, -0x1.0e7f1c812c454p-21, -0x1.0c52024085b9cp-21, -0x1.0a245f22a2cb4p-21, -0x1.07f48d1cd1788p-21, -0x1.05bea617f0609p-21, -0x1.039ae68a667f5p-21, -0x1.015fb837c8eb5p-21, -0x1.fe2bc33ae170fp-22, -0x1.f9bbc007e9b11p-22, -0x1.f53909b3a0449p-22, -0x1.f070ccb8c14c1p-22, -0x1.ec131af2eb54p-22, -0x1.e7739cb2984e2p-22, -0x1.e2e91bd3a1abcp-22, -0x1.de50efecb1aabp-22, -0x1.d9dbe30d722fcp-22, -0x1.d5092ce9c366ep-22, -0x1.d05b9863abcb5p-22, -0x1.cb9db9a8bc17ep-22, -0x1.c6f152362202bp-22, -0x1.c239b5b93cb55p-22, -0x1.bd8a5200b99bp-22, -0x1.b8e842af0cd3dp-22, -0x1.b41819cb40cadp-22, -0x1.af5c4d8ce7fa3p-22, -0x1.aa935e6d5a697p-22, -0x1.a5c5df8623edbp-22, -0x1.a103862c588d6p-22, -0x1.9c2ed43bf073p-22, -0x1.977a8e37d9e98p-22, -0x1.929c61ebf2c66p-22, -0x1.8dd569d9c0acap-22, -0x1.8910460fcdb5ap-22, -0x1.84432100a1eedp-22, -0x1.7f6fb6f1b144bp-22, -0x1.7aa52be5c8055p-22, -0x1.75cf842718729p-22, -0x1.71023d7b3ade4p-22, -0x1.6c3f2744dede5p-22, -0x1.676d7a192af6ap-22, -0x1.6298ff1fcaa8ap-22, -0x1.5dc745f2e1921p-22, -0x1.58fb91c7aefabp-22, -0x1.542fdbbcfd4bfp-22, -0x1.4f6580327d9c3p-22, -0x1.4a71b91f0954p-22, -0x1.45d1d04c3fe9ep-22, -0x1.410af06884368p-22, -0x1.3c38a8df472bdp-22, -0x1.37849dc945429p-22, -0x1.32bb8d2c1049cp-22, -0x1.2deccbe08007ep-22, -0x1.292cb603a42c2p-22, -0x1.2473823ca6dcfp-22, -0x1.1fbba3b13abfcp-22, -0x1.1b0746fa85849p-22, -0x1.164fa2d04f914p-22, -0x1.11925f43e2ddep-22, -0x1.0ccc589a9efa5p-22, -0x1.0832a49d83984p-22, }}, 
      {{0x1.1bd348e17782ap-1, 0x1.82ff0b5ee6561p-1, 0x1.f273b7490bdacp-1, 0x1.2383c411f7bcbp+0, 0x1.38b450149624dp+0, 0x1.3887ec3a0b3c3p+0, 0x1.26ef4b1a79109p+0, 0x1.098634c1bdf9fp+0, 0x1.cbdcf388ed46ep-1, 0x1.81d9a7669b11ap-1, 0x1.3c1dc3df8662ap-1, 0x1.fe972f5c52494p-2, 0x1.9bb728080d1cfp-2, 0x1.51201b31af5c5p-2, 0x1.1ddc4923cdf2cp-2, 0x1.feac88e188a1bp-3, 0x1.e41bc6bfd433p-3, 0x1.e447acd047582p-3, 0x1.f77d1dc1df9cfp-3, 0x1.0b4e0f6df82cap-2, 0x1.1db5067eef351p-2, 0x1.305d90b23fdd9p-2, 0x1.413ee9fcd9735p-2, 0x1.4ed8cc2672921p-2, 0x1.58280c5f64c5ap-2, 0x1.5c973ffc16739p-2, 0x1.5bed97a773c9dp-2, 0x1.563d49a75fa8cp-2, 0x1.4bd2ad835f904p-2, 0x1.3d24bcb74a76cp-2, 0x1.2ac73f9d22ab1p-2, 0x1.155f04e860f2dp-2, 0x1.fb30192903fc2p-3, 0x1.c83b56c2bec8bp-3, 0x1.9328ef6dac77cp-3, 0x1.5d2b9930f28adp-3, 0x1.27597d876dd86p-3, 0x1.e550b4794acd7p-4, 0x1.7fd75b0526748p-4, 0x1.1fa8a22125829p-4, 0x1.8bc519391a967p-5, 0x1.cd8af55186e43p-6, 0x1.46580eed623cdp-7, -0x1.97977e8fe4b81p-8, -0x1.4cc121af26267p-6, -0x1.0893ef860737ep-5, -0x1.59b81e65dbb4dp-5, -0x1.9a36bc6c1bfdbp-5, -0x1.caad04b5f0babp-5, -0x1.ebe1c99c28758p-5, -0x1.febc15a3f313p-5, -0x1.021d793a4191p-4, -0x1.fd6de24dc30a8p-5, -0x1.eb6e869bc09b8p-5, -0x1.cf5b0e51eaa3cp-5, -0x1.aa516def0a91ep-5, -0x1.7d6b982554c3bp-5, -0x1.49bc21bc913c7p-5, -0x1.104bbf0e6ae29p-5, -0x1.a42e8804f90dcp-6, -0x1.201c3dac558dp-6, -0x1.2c45340debe74p-7, -0x1.f953a90f87515p-12, 0x1.122e00920614ep-7, 0x1.1b6cf6291d4fdp-6, 0x1.add658c62d737p-6, 0x1.1f95b42263833p-5, 0x1.6731132ac7d8dp-5, 0x1.ad46955fe2537p-5, 0x1.f16d33d23804dp-5, 0x1.19a47824109e2p-4, 0x1.394504488a143p-4, 0x1.5776295e8b89ap-4, 0x1.741b2f288467ep-4, 0x1.8f1c678ec1a74p-4, 0x1.a866c1a307af1p-4, 0x1.bfeb786c9c9a7p-4, 0x1.d59faed2a87c3p-4, 0x1.e97c1c4145b6cp-4, 0x1.fb7cb6b89c33p-4, 0x1.05d0334ccd985p-3, 0x1.0cf459572afd6p-3, 0x1.132cc1c31e61fp-3, 0x1.187c6b352ea86p-3, 0x1.1ce7427118592p-3, 0x1.207203a08da89p-3, 0x1.232220173bf6fp-3, 0x1.24fda2f66d111p-3, 0x1.260b1b5f224bep-3, 0x1.2651879301bf1p-3, 0x1.25d83fc22b075p-3, 0x1.24a6e3160348bp-3, 0x1.22c549a02e164p-3, 0x1.203b73399f01fp-3, 0x1.1d117ab518c53p-3, 0x1.194f8a2bcb5f4p-3, 0x1.14fdccac3bcb6p-3, 0x1.1024697f05e3dp-3, 0x1.0acb75d40e0c8p-3, 0x1.04faf0f652c87p-3, 0x1.fd7578dbf5dadp-4, 0x1.f025289106374p-4, 0x1.e214183a8759p-4, 0x1.d3511106bcabp-4, 0x1.c3ea7c83dd02ep-4, 0x1.b3ee56a4074f7p-4, 0x1.a36a2f8db3629p-4, 0x1.926b22d76e866p-4, 0x1.80fdd7b074f3dp-4, 0x1.6f2e7c12815ebp-4, 0x1.5d08c2ddec658p-4, 0x1.4a97e737cf622p-4, 0x1.37e6a6bf90fb2p-4, 0x1.24ff46110c03cp-4, 0x1.11eb916f94475p-4, 0x1.fd69b484bff1fp-5, 0x1.d6c7faf57ad1p-5, 0x1.b002c60bb5d9dp-5, 0x1.8929fdf34e93p-5, 0x1.624cb0a2ee614p-5, 0x1.3b7911ec8fb06p-5, 0x1.14bc7b9ec3085p-5, 0x1.dc47037c4ffcdp-6, 0x1.8f73dfed1b514p-6, 0x1.431593b16e594p-6, 0x1.ee81877332b82p-7, 0x1.58114edac3474p-7, 0x1.85fc6874dffdbp-8, 0x1.7b4ae0ab70682p-10, -0x1.8a3a1f06f2613p-9, -0x1.e59a5729ef7b4p-8, -0x1.8138a1303f87bp-7, -0x1.06dc7db7d86fp-6, -0x1.4c1c3e561510bp-6, -0x1.9051af92cbe15p-6, -0x1.d373dccb12cd9p-6, -0x1.0abd581e5f454p-5, -0x1.2b2f7c32e609bp-5, -0x1.4b0d275d04df5p-5, -0x1.6a53842173813p-5, -0x1.8900189bdc5cp-5, -0x1.a710cb6aa29edp-5, -0x1.c483cd2d2500fp-5, -0x1.e15798bbb7ffdp-5, -0x1.fd8af90907774p-5, -0x1.0c8e805a4f832p-4, -0x1.1a067bd1734f2p-4, -0x1.272d32c03a09bp-4, -0x1.3402887aa024p-4, -0x1.408679bcea3f3p-4, -0x1.4cb9193def437p-4, -0x1.589a91c412073p-4, -0x1.642b254d8f7b7p-4, -0x1.6f6b29f032893p-4, -0x1.7a5b05653d9c1p-4, -0x1.84fb30361edc9p-4, -0x1.8f4c3389ca0e3p-4, -0x1.994ea5f43f92ep-4, -0x1.a3032d56c3abfp-4, -0x1.ac6a783f45915p-4, -0x1.b58543b099987p-4, -0x1.be545664dd0a5p-4, -0x1.c6d881ca10334p-4, -0x1.cf129b4df4b96p-4, -0x1.d70383d24bfd4p-4, -0x1.deac23020c8eep-4, -0x1.e60d65cac1283p-4, -0x1.ed283efa53da2p-4, -0x1.f3fda42c45984p-4, -0x1.fa8e9143313c5p-4, -0x1.006e02ef3db2p-3, -0x1.03738282d5506p-3, -0x1.065848f058c12p-3, -0x1.091cd93b6074ap-3, -0x1.0bc1b82be718cp-3, -0x1.0e476a575625ap-3, -0x1.10ae75291a6bdp-3, -0x1.12f75dc14a6b6p-3, -0x1.1522a9965c42fp-3, -0x1.1730dd3c8bb5ep-3, -0x1.19227f682562ap-3, -0x1.1af814884944ap-3, -0x1.1cb2205d9158dp-3, -0x1.1e5126f45151ap-3, -0x1.1fd5ab2eb84d3p-3, -0x1.21402f923e094p-3, -0x1.229135e0001c3p-3, -0x1.23c93e60d0d1ap-3, -0x1.24e8c854c2cd3p-3, -0x1.25f051d491e13p-3, -0x1.26e058c029891p-3, -0x1.27b959296a6dbp-3, -0x1.287bcddb2416cp-3, -0x1.2928307592a31p-3, -0x1.29bef8feb6fffp-3, -0x1.2a409e5ac6f9dp-3, -0x1.2aad969e48616p-3, -0x1.2b065631560fdp-3, -0x1.2b4b4f4c4efefp-3, -0x1.2b7cf396a43ccp-3, -0x1.2b9bb2c8de8e6p-3, -0x1.2ba7fbb94716bp-3, -0x1.2ba23b647aabep-3, -0x1.2b8add7fc8515p-3, -0x1.2b624c8229e0fp-3, -0x1.2b28f0ae5fae8p-3, -0x1.2adf3146e5462p-3, -0x1.2a85745ab04a7p-3, -0x1.2a1c1e516a052p-3, -0x1.29a3923339f54p-3, -0x1.291c3176c237cp-3, -0x1.28865c16a566bp-3, -0x1.27e270da81801p-3, -0x1.2730cd2810448p-3, -0x1.2671cc72ca6e5p-3, -0x1.25a5c9f06cc73p-3, -0x1.24cd1ea3648cbp-3, -0x1.23e82201763fdp-3, -0x1.22f72af70dc21p-3, -0x1.21fa8e426444fp-3, -0x1.20f29fd0006b8p-3, -0x1.1fdfb2858ebc3p-3, -0x1.1ec2176857ce1p-3, -0x1.1d9a1e85b6403p-3, -0x1.1c6816ae488c9p-3, -0x1.1b2c4d595101bp-3, -0x1.19e70eefd66afp-3, -0x1.1898a679c686fp-3, -0x1.17415dcfde5acp-3, -0x1.15e17ded58444p-3, -0x1.14794e1219481p-3, -0x1.130915562e77bp-3, -0x1.1191185cb934bp-3, -0x1.10119b9bba16fp-3, -0x1.0e8ae21cc6597p-3, -0x1.0cfd2dfd7ced2p-3, -0x1.0b68c024946f2p-3, -0x1.09cdd86fada1p-3, -0x1.082cb5c5e9375p-3, -0x1.068595e0dba12p-3, -0x1.04d8b57c5a27cp-3, -0x1.032650276e719p-3, -0x1.016ea137fc7b5p-3, -0x1.ff63c3ada8a4ap-4, -0x1.fbe096d47c736p-4, -0x1.f8542af643dfcp-4, -0x1.f4beed10db0c4p-4, -0x1.f1214b37928efp-4, -0x1.ed7bad9554e2p-4, -0x1.e9ce7cc4fe2bap-4, -0x1.e61a1f8fa47e1p-4, -0x1.e25efa8a6ba51p-4, -0x1.de9d7017a2248p-4, -0x1.dad5e206050a6p-4, -0x1.d708ae5c6cbbp-4, -0x1.d3363474e4a28p-4, -0x1.cf5eced4d5c01p-4, -0x1.cb82d86426323p-4, -0x1.c7a2a9c0a055fp-4, -0x1.c3be99c060bf3p-4, -0x1.bfd6fd266acc5p-4, -0x1.bbec28d202016p-4, -0x1.b7fe6d5f8c012p-4, -0x1.b40e1c21202cp-4, -0x1.b01b83f5aacc2p-4, -0x1.ac26f2277b239p-4, -0x1.a830b24a83e66p-4, -0x1.a4390f26efea4p-4, -0x1.a04050f229906p-4, -0x1.9c46bfb4a66b4p-4, -0x1.984ca068c65f7p-4, -0x1.9452387180cd5p-4, -0x1.9057c9c656433p-4, -0x1.8c5d962f59e2ep-4, -0x1.8863ddbb0c851p-4, -0x1.846adf03a8825p-4, -0x1.8072d72d6605ep-4, -0x1.7c7c025e5cf98p-4, -0x1.78869a9268133p-4, -0x1.7492d9bf244ffp-4, -0x1.70a0f6914a219p-4, -0x1.6cb128a7d4f1p-4, -0x1.68c3a35311a5ep-4, -0x1.64d89d17f03a3p-4, -0x1.60f045a6290f5p-4, -0x1.5d0acfa9ea291p-4, -0x1.59286b782b22cp-4, -0x1.554946dc906fp-4, -0x1.516d8ff67c29fp-4, -0x1.4d95720421d7fp-4, -0x1.49c119a7832c2p-4, -0x1.45f0afc22058dp-4, -0x1.42245cddf3a0cp-4, -0x1.3e5c487ad0093p-4, -0x1.3a989924d64d3p-4, -0x1.36d973c0aed3ep-4, -0x1.331efcc31ef27p-4, -0x1.2f695693208c4p-4, -0x1.2bb8a372f2abep-4, -0x1.280d02c44c2fep-4, -0x1.2466964bd2b8dp-4, -0x1.20c57abcc1304p-4, -0x1.1d29cdefdcc11p-4, -0x1.1993acbb4bfa2p-4, -0x1.16033235ad2fp-4, -0x1.127878997a21dp-4, -0x1.0ef39a16a8f9ep-4, -0x1.0b74adf6783ap-4, -0x1.07fbcb14e89fcp-4, -0x1.04890af383a8cp-4, -0x1.011c7eddaafdep-4, -0x1.fb6c7c1b30042p-5, -0x1.f4acb666bed91p-5, -0x1.edf9d32198262p-5, -0x1.e753f449323cbp-5, -0x1.e0bb3c8a67f78p-5, -0x1.da2fcbead8ea1p-5, -0x1.d3b1c0c3ea3eep-5, -0x1.cd4137a969164p-5, -0x1.c6de4bdf48fa7p-5, -0x1.c08915207fa0bp-5, -0x1.ba41add23cb06p-5, -0x1.b4082a4092415p-5, -0x1.addca003ac876p-5, -0x1.a7bf216e475a1p-5, -0x1.a1afc08170246p-5, -0x1.9bae8d6e5a78p-5, -0x1.95bb969c81fadp-5, -0x1.8fd6e9ff7b576p-5, -0x1.8a00924e29fe4p-5, -0x1.84389a5f4451p-5, -0x1.7e7f0c1c0e0f4p-5, -0x1.78d3eee56f82dp-5, -0x1.7337499203a0ep-5, -0x1.6da9210a36aecp-5, -0x1.682979dfdd07dp-5, -0x1.62b8569f14c7p-5, -0x1.5d55b9bab436fp-5, -0x1.5801a2ca39d98p-5, -0x1.52bc11a93e0bap-5, -0x1.4d8504ed4c939p-5, -0x1.485c79a540025p-5, -0x1.43426c5b4e791p-5, -0x1.3e36d8132938ep-5, -0x1.3939b6cd2a022p-5, -0x1.344b01f637bbdp-5, -0x1.2f6ab181400ddp-5, -0x1.2a98bd8eeb85ap-5, -0x1.25d51c301fc1dp-5, -0x1.211fc34b6525cp-5, -0x1.1c78a76352e41p-5, -0x1.17dfbc78a81ap-5, -0x1.1354f605b28a8p-5, -0x1.0ed8467b40353p-5, -0x1.0a699f9184dcp-5, -0x1.0608f191edd4bp-5, -0x1.01b62d42f1ca8p-5, -0x1.fae282ee98a84p-6, -0x1.f27439a884c9ap-6, -0x1.ea215c261899ap-6, -0x1.e1e9c5125186p-6, -0x1.d9cd4e062b4fap-6, -0x1.d1cbd067855a2p-6, -0x1.c9e5240550716p-6, -0x1.c2191f82b6a2ap-6, -0x1.ba6799704820bp-6, -0x1.b2d066d5f0ff5p-6, -0x1.ab535b310f6eep-6, -0x1.a3f04ea0539cap-6, -0x1.9ca7073b4945dp-6, -0x1.957760e7a0e89p-6, -0x1.8e61270680b1fp-6, -0x1.87642838eb08fp-6, -0x1.8080326e269abp-6, -0x1.79b512b852e81p-6, -0x1.730295e2600d1p-6, -0x1.6c6887fb1babp-6, -0x1.65e6b5df18b99p-6, -0x1.5f7cec9a5d3e3p-6, -0x1.592afad11f6bap-6, -0x1.52f0ad3eb7591p-6, -0x1.4ccdd19193b71p-6, -0x1.46c2338b5bc1ap-6, -0x1.40cd9d88dd4c9p-6, -0x1.3aefd4de99f08p-6, -0x1.3528a470cee3bp-6, -0x1.2f77cc8e1b5a4p-6, -0x1.29dd10305b157p-6, -0x1.2458332c4de06p-6, -0x1.1ee8f96587eadp-6, -0x1.198f296885377p-6, -0x1.144a8d2a6cf4bp-6, -0x1.0f1af07cdcae9p-6, -0x1.0a0022cad7617p-6, -0x1.04f9f34282fd7p-6, -0x1.000831d0a2a73p-6, -0x1.f65555a058baap-7, -0x1.ecc24c2614cap-7, -0x1.e356d0722e987p-7, -0x1.da125f2121a8p-7, -0x1.d0f470e0b7367p-7, -0x1.c7fc7c915691dp-7, -0x1.bf29f955fd27ep-7, -0x1.b67c68628a0b4p-7, -0x1.adf3544fc4734p-7, -0x1.a58e53e21257ep-7, -0x1.9d4d0b70c4d67p-7, -0x1.952f206b84b91p-7, -0x1.8d343df93f8ap-7, -0x1.855c0a934f18ap-7, -0x1.7da6279496706p-7, -0x1.76122a97d1392p-7, -0x1.6e9f9be78d7d4p-7, -0x1.674dfce696414p-7, -0x1.601cc8974fe62p-7, -0x1.590b7beb9d7f9p-7, -0x1.52199631f48d9p-7, -0x1.4b46a150bc97ep-7, -0x1.4492326ac5ecep-7, -0x1.3dfbe4ba62d42p-7, -0x1.37835ce23b5d5p-7, -0x1.312840113f285p-7, -0x1.2aea315e55dadp-7, -0x1.24c8d03e74127p-7, -0x1.1ec3aa85c772cp-7, -0x1.18da6feb9a52ap-7, -0x1.130c8a87616a2p-7, -0x1.0d599f71634a3p-7, -0x1.07c13f33291d7p-7, -0x1.02430a5553559p-7, -0x1.f9bd5841f21cap-8, -0x1.ef27ab9cf694p-8, -0x1.e4c480e8887a3p-8, -0x1.da9348ce8ea45p-8, -0x1.d093686a2cef3p-8, -0x1.c6c428999cf27p-8, -0x1.bd24b630c2f9fp-8, -0x1.b3b420225f908p-8, -0x1.aa715bdd5be55p-8, -0x1.a15b576c8277bp-8, -0x1.9871044dd22e7p-8, -0x1.8fb16b206badfp-8, -0x1.871bbf603e3e8p-8, -0x1.7eaf6368407fp-8, -0x1.766be340e7ba5p-8, -0x1.6e50f7df11a3bp-8, -0x1.665e772411a6bp-8, -0x1.5e943a1815f73p-8, -0x1.56f208a4c1ad1p-8, -0x1.4f77893e7412ep-8, -0x1.482424c0a534ep-8, -0x1.40f74b2963e6dp-8, -0x1.39efd2b83d5bcp-8, -0x1.330cd09d1f24fp-8, -0x1.2c4d24cf6197dp-8, -0x1.25afba7970ef9p-8, -0x1.1f3399be2bc3bp-8, -0x1.18d7ecef6096fp-8, -0x1.129c03b7d9761p-8, -0x1.0c7f5b0b89c9p-8, -0x1.06819551f8d2ep-8, -0x1.00a271801c3dbp-8, -0x1.f5c38685dbe74p-9, -0x1.ea7ec408b35a3p-9, -0x1.df763f6aa7335p-9, -0x1.d4a977ecbebb4p-9, -0x1.ca17b45c61553p-9, -0x1.bfbff10a4ca7ap-9, -0x1.b5a0e0b16a07ep-9, -0x1.abb933c6a4758p-9, -0x1.a2076b9bc6724p-9, -0x1.988a3c2f13bd2p-9, -0x1.8f4081d553bb2p-9, -0x1.8629503449be8p-9, -0x1.7d43d1cc0127ep-9, -0x1.748f2952d4474p-9, -0x1.6c0a52ba6f4f5p-9, -0x1.63b414528666ep-9, -0x1.5b8b145f53d67p-9, -0x1.538da84ec137ep-9, -0x1.4bbb1c012135bp-9, -0x1.4411eeb11400ep-9, -0x1.3c919df1701bfp-9, -0x1.3539d7295968p-9, -0x1.2e0a306ecbc4fp-9, -0x1.27027ef76d65cp-9, -0x1.20225084592fp-9, -0x1.19692a7afd861p-9, -0x1.12d69a1ac8b6fp-9, -0x1.0c6a4b95fa2e8p-9, -0x1.062410414a34bp-9, -0x1.0003cda7c2cfcp-9, -0x1.f412665817527p-10, -0x1.e86702a3687c9p-10, -0x1.dd02fccd2d696p-10, -0x1.d1e2fcc3e5d9dp-10, -0x1.c7031ad8d8564p-10, -0x1.bc5f7b004d74p-10, -0x1.b1f4d2742094dp-10, -0x1.a7c0ac1da2023p-10, -0x1.9dc172b529138p-10, -0x1.93f659748d0aep-10, -0x1.8a5f3524285e2p-10, -0x1.80fc5fea2f33ap-10, -0x1.77ce8f6e00165p-10, -0x1.6ed69d8910ac9p-10, -0x1.66152e87a821cp-10, -0x1.5d8ab5b5d4a43p-10, -0x1.55371ea4037e7p-10, -0x1.4d19ff6a959dep-10, -0x1.4532550a4a9c8p-10, -0x1.3d7ed9be8de6cp-10, -0x1.35fcaa169be14p-10, -0x1.2ea92757003aep-10, -0x1.27820964d2aa8p-10, -0x1.20848ff52faeep-10, -0x1.19af3beeff0adp-10, -0x1.1301295eff403p-10, -0x1.0c79389e7ab6fp-10, -0x1.0615e2d3473b9p-10, -0x1.ffa98b2fa5ff4p-11, -0x1.f36846b0e96ffp-11, -0x1.e76671ed66b1p-11, -0x1.dba60ae1c6e6dp-11, -0x1.d02b63d15f2ddp-11, -0x1.c4fab3948fecbp-11, -0x1.ba16280088839p-11, -0x1.af7d2e6e9d0cap-11, -0x1.a52d154b2bbcep-11, -0x1.9b22500029ba2p-11, -0x1.91595be4a0885p-11, -0x1.87ce49cd2a9b5p-11, -0x1.7e7fdf738a91fp-11, -0x1.756803fd02049p-11, -0x1.6c846521a9d16p-11, -0x1.63d3766c3d565p-11, -0x1.5b55c83620f95p-11, -0x1.530cc857e1866p-11, -0x1.4af8c6d152c5cp-11, -0x1.4317ace70cb07p-11, -0x1.3b65b7d7c17fp-11, -0x1.33def6133b746p-11, -0x1.2c80a9f5bc4c7p-11, -0x1.254ad9833f019p-11, -0x1.1e3fa4e45ea1bp-11, -0x1.17617630e1109p-11, -0x1.10b17937808a3p-11, -0x1.0a2f19825e0e5p-11, -0x1.03d8700c89c04p-11, -0x1.fb56d47f94b68p-12, -0x1.ef4bdb0877f8fp-12, -0x1.e38efed08381fp-12, -0x1.d81cd3323ea3fp-12, -0x1.ccf31eb7ecdf6p-12, -0x1.c20c8412d094cp-12, -0x1.b7639b2994063p-12, -0x1.acf5182388fc1p-12, -0x1.a2c08fcf83957p-12, -0x1.98c7f17556f26p-12, -0x1.8f0ce65afef81p-12, -0x1.858f84e8496edp-12, -0x1.7c4f211fd9f71p-12, -0x1.734ab89fac70cp-12, -0x1.6a81b7412a748p-12, -0x1.61f3671607da7p-12, -0x1.599c3d47dc19ap-12, -0x1.5175d3c7e22bfp-12, -0x1.497aed081e0fbp-12, -0x1.41ab7e3890985p-12, -0x1.3a09fdfac89b9p-12, -0x1.3296b746334e3p-12, -0x1.2b53a5e529e6p-12, -0x1.243d70f271be1p-12, -0x1.1d559094f8494p-12, -0x1.169e8413b1c25p-12, -0x1.101736b2e202cp-12, -0x1.09b989d21d61bp-12, -0x1.037da0b40fdc2p-12, -0x1.fabc625f57dcfp-13, -0x1.eeb5d89634a43p-13, -0x1.e2edf45710edbp-13, -0x1.d76a154c2c958p-13, -0x1.cc2e14475b02cp-13, -0x1.c1314002fbc92p-13, -0x1.b679919f21f17p-13, -0x1.ac0f69edefdb4p-13, -0x1.a1f783503f864p-13, -0x1.982b0d39a7baap-13, -0x1.8e99c0f9b75a8p-13, -0x1.8532030dcee01p-13, -0x1.7beaf481dc1c6p-13, -0x1.72cb0253c4a6ep-13, -0x1.69e02bf20a068p-13, -0x1.612dae9bb0774p-13, -0x1.58aae5023f37fp-13, -0x1.5055ad867c336p-13, -0x1.48375521ccf27p-13, -0x1.4057514919cf1p-13, -0x1.38b19bff7d9bp-13, -0x1.313cc8891113ep-13, -0x1.29ebfcd50a722p-13, -0x1.22b38a3569346p-13, -0x1.1b943fcce39fp-13, -0x1.14996da297654p-13, -0x1.0dc840b72bb66p-13, -0x1.071c0574cf1afp-13, -0x1.008ef9c1f68eap-13, -0x1.f44ac7194c707p-14, -0x1.e7cd0b67848cbp-14, -0x1.dba5ce7e62137p-14, -0x1.cfcce28a98295p-14, -0x1.c43c05256aaa9p-14, -0x1.b8e91b09d833ap-14, -0x1.adc37cddf8c16p-14, -0x1.a2c29ae3bfdfdp-14, -0x1.97ee50d2e21bbp-14, -0x1.8d5a2f597f425p-14, -0x1.82fd94ecc1ba1p-14, -0x1.78c93730be388p-14, -0x1.6ec6ee6ef5f8bp-14, -0x1.6504c16a003dap-14, -0x1.5b80cbf5c345bp-14, -0x1.523455d8a2a55p-14, -0x1.491eeec9c9ef2p-14, -0x1.4038631f9d246p-14, -0x1.3774ee35d1ffbp-14, -0x1.2eca0bf242549p-14, -0x1.2643845a30221p-14, -0x1.1dec8b0aae9bbp-14, -0x1.15b9426918003p-14, -0x1.0dad25defdec8p-14, -0x1.05c49654523afp-14, -0x1.fc15295d1c70bp-15, -0x1.ecf377187631ep-15, -0x1.de15b3669ec0bp-15, -0x1.cf7bd2c934bd1p-15, -0x1.c1239939aa9bep-15, -0x1.b3143d37e4215p-15, -0x1.a54fc165adaf7p-15, -0x1.97be4f8e5f1dbp-15, -0x1.8a5f5130cf033p-15, -0x1.7d4050195fb79p-15, -0x1.704fedd5a845fp-15, -0x1.639051408b1e4p-15, -0x1.5719898a7cbcp-15, -0x1.4adf672de3555p-15, -0x1.3eda9c4bcc158p-15, -0x1.330969aa1340ap-15, -0x1.2761982ff9e7bp-15, -0x1.1bf7e079a3f5ap-15, -0x1.10c70ef6ffad8p-15, -0x1.05ca5c01d711dp-15, -0x1.f5e89a3044421p-16, -0x1.e08c38470c9bfp-16, -0x1.cb8d2bc063f74p-16, -0x1.b6d2a26fc9aabp-16, -0x1.a271b9fbdd6c7p-16, -0x1.8e7538b2c57cep-16, -0x1.7add906bb4adcp-16, -0x1.678e75fc41b6cp-16, -0x1.548794bf9523fp-16, -0x1.41c7bcb92ddddp-16, -0x1.2f520282e40dp-16, -0x1.1d2910c038086p-16, -0x1.0b5e78eb4fa57p-16, -0x1.f3d976cf40e6p-17, -0x1.d16bcbcd0e877p-17, -0x1.af7422b8e2857p-17, -0x1.8dc88d9a0c207p-17, -0x1.6cea6818bedbdp-17, -0x1.4ca1a1f1bafe6p-17, -0x1.2ccf1c2ff2a32p-17, -0x1.0d74c5dc610c5p-17, -0x1.dd2c999a58633p-18, -0x1.a04f02284c036p-18, -0x1.64a136dd9157fp-18, -0x1.29c20df9e1ec3p-18, -0x1.dfa3c8b277ae9p-19, -0x1.6dd1a94e42c2ep-19, -0x1.fc4bafaecb18cp-20, -0x1.205917e7aa4b5p-20, -0x1.1e39c2bdeb693p-22, 0x1.1c4ce60960101p-21, 0x1.60e72ec26c10fp-20, 0x1.17adac2e88122p-19, 0x1.7d2a0aba59469p-19, 0x1.e134788b0a5abp-19, 0x1.21c05c1521f0bp-18, 0x1.52386a91e0c84p-18, 0x1.81fbcac360e2dp-18, 0x1.b0ec9f55ea3cbp-18, 0x1.defa0b00fb58p-18, 0x1.0614bca16aa07p-17, 0x1.1c473a460a726p-17, 0x1.322dbe0ba537cp-17, 0x1.47c9af106e6fap-17, 0x1.5cfd8c883635fp-17, 0x1.71c30dfe8dce6p-17, 0x1.8637cf4b97505p-17, 0x1.9a59fec74251fp-17, 0x1.ae212b90d24cfp-17, 0x1.c18bf7f0e7f5fp-17, 0x1.d4a195705bd4ep-17, 0x1.e764a2e1fd6f5p-17, 0x1.f9d42028f4924p-17, 0x1.05f78ec85b863p-16, 0x1.0edc5fe5c9f27p-16, 0x1.17972ab13ad58p-16, 0x1.2027d37864af5p-16, 0x1.288c8c8bc821bp-16, 0x1.30ce62ff85b95p-16, 0x1.38eb514bd5a86p-16, 0x1.40def57a5fe5ap-16, 0x1.48aa3931dc7a6p-16, 0x1.50517147f430ap-16, 0x1.57d7fb12bb17fp-16, 0x1.5f47d2869d9f8p-16, 0x1.6660fae39ac67p-16, 0x1.6d6b1ba87c8f4p-16, 0x1.745374dcb2a18p-16, 0x1.7b208aa468ed1p-16, 0x1.81cac2842d1efp-16, 0x1.884bcaf05ba47p-16, 0x1.8eab478c149b6p-16, 0x1.94e36fbe6c773p-16, 0x1.9b00063e85298p-16, 0x1.a0fa0e618944bp-16, 0x1.a6c9a735903dp-16, 0x1.ac7b3598379bap-16, 0x1.b20d3238a7999p-16, 0x1.b77edcb60111ep-16, 0x1.bcd0ebff4a31cp-16, 0x1.c2077d5d657f2p-16, 0x1.c718575b20aefp-16, 0x1.cc07a70aeb14bp-16, 0x1.d0d7abb937ffap-16, 0x1.d589f7f78decbp-16, 0x1.da1e50f1b02ffp-16, 0x1.de934937b5214p-16, 0x1.e2ea6f37af804p-16, 0x1.e72275bb7210ap-16, 0x1.eb3f17e65dba2p-16, 0x1.ef3c69e80219bp-16, 0x1.f31da78e9b2e8p-16, 0x1.f6e19d8fcdc3ap-16, 0x1.fa892f1305b56p-16, 0x1.fe146cfaa748p-16, 0x1.00c1161e762bdp-15, 0x1.026c674b62d92p-15, 0x1.040790220156p-15, 0x1.0594df50689aep-15, 0x1.0716838a931a5p-15, 0x1.088af5ec8df94p-15, 0x1.09f125d389391p-15, 0x1.0b4a168ed1cc6p-15, 0x1.0c8f446b564e2p-15, 0x1.0dd5bd6b8b431p-15, 0x1.0f07dfd4a6138p-15, 0x1.102cb22fd1f1p-15, 0x1.11481238f093dp-15, 0x1.125540bbfab09p-15, 0x1.1355cb1fee658p-15, 0x1.143efb85c1159p-15, 0x1.1534d38d22049p-15, 0x1.16123dc23a89bp-15, 0x1.16e3c5711e8efp-15, 0x1.17ab159d431dap-15, 0x1.1864d59923348p-15, 0x1.191258d10f635p-15, 0x1.19b85715fcb29p-15, 0x1.1a4f28341566dp-15, 0x1.1ae092bd368cdp-15, 0x1.1b6459309476dp-15, 0x1.1bd9000b7255bp-15, 0x1.1c46123194d94p-15, 0x1.1cb34175c19cap-15, 0x1.1d05eea6a2ea7p-15, 0x1.1d54ab2aa82a7p-15, 0x1.1d996af6ca62fp-15, 0x1.1dd470d8e2b6fp-15, 0x1.1e05aa4f0a2f1p-15, 0x1.1e2cde570aa34p-15, 0x1.1e49a84275ff7p-15, 0x1.1e5fb97d787d4p-15, 0x1.1e69ac81344dbp-15, 0x1.1e6b6c4038fcap-15, 0x1.1e647795e5cb8p-15, 0x1.1e54292f5fe96p-15, 0x1.1e3ad808fe4bcp-15, 0x1.1e18956818575p-15, 0x1.1dedbbef3832bp-15, 0x1.1dbb02b51ef8cp-15, 0x1.1d72949070ce6p-15, 0x1.1d3ae5e7014f6p-15, 0x1.1cee5dc92aa37p-15, 0x1.1c99f4d173566p-15, 0x1.1c3d6661c7d7ap-15, 0x1.1bd8bb6b7bfbep-15, 0x1.1b6ca22384d08p-15, 0x1.1af9c446cf0f3p-15, 0x1.1a7e4b18764bfp-15, 0x1.1a00855c4d174p-15, 0x1.1972963beecp-15, 0x1.18e20442abff5p-15, 0x1.184aa3cdf2a84p-15, 0x1.17ac0ccc22c54p-15, 0x1.1702ed885a74bp-15, 0x1.165737518a5bep-15, 0x1.15a2611ae8fadp-15, 0x1.14eb53aab1671p-15, 0x1.1427cedada4d2p-15, 0x1.1363b0c2b7296p-15, 0x1.1295d684c5045p-15, 0x1.11c2ed48ff11ep-15, 0x1.10ea4bd29a4aep-15, 0x1.100e6ffc52fffp-15, 0x1.0f2841b766bccp-15, 0x1.0e3cdeb9b4777p-15, 0x1.0d4d18e88c3c4p-15, 0x1.0c568178b7ab1p-15, 0x1.0b5bbbb2b03f8p-15, 0x1.0a5b74fb82eebp-15, 0x1.09560143436d4p-15, 0x1.084ea1ee28485p-15, 0x1.074048e96a1ccp-15, 0x1.06349f44b31a3p-15, 0x1.0511611fc5216p-15, 0x1.03f6bf6c22ddap-15, 0x1.02cf06f9b979p-15, 0x1.01a854ca1d5fcp-15, 0x1.007df435fa32fp-15, 0x1.fe99eede42503p-16, 0x1.fc34ef765141p-16, 0x1.f9c42569f477dp-16, 0x1.f750b0ac41b66p-16, 0x1.f4d48b21471e6p-16, 0x1.f2443c6f94b43p-16, 0x1.efa2ca0b0f23cp-16, 0x1.ed1ff9e82bdf1p-16, 0x1.ea804eebf06a9p-16, 0x1.e7ddddd157fbap-16, 0x1.e52f67feab84p-16, 0x1.e277fdb1013a5p-16, 0x1.dfc086a3990c8p-16, 0x1.dd0176f3517b5p-16, 0x1.da4419336fb89p-16, 0x1.d777530a898b9p-16, 0x1.d4a31ebe251b4p-16, 0x1.d1ce6d6c625d8p-16, 0x1.cef20d0536ceap-16, 0x1.cc039967383d2p-16, 0x1.c926a42b4c5efp-16, 0x1.c6365d663c9fp-16, 0x1.c34d46b4ac35cp-16, 0x1.c059e5ac04c7ep-16, 0x1.bd81957bc7fe8p-16, 0x1.ba5e539079436p-16, 0x1.b759ed91740cdp-16, 0x1.b450b86ff0bf3p-16, 0x1.b146a109e0b98p-16, 0x1.ae37cf2dd7dcap-16, 0x1.ab26db4b7dd2ap-16, 0x1.a810fe37add52p-16, 0x1.a4f937573d5a4p-16, 0x1.a1da1661ffb9ap-16, 0x1.9ebb5ad0f1ed2p-16, 0x1.9b98a36a682p-16, 0x1.987292fb16ce4p-16, 0x1.9549ae68c3fa4p-16, 0x1.92223bb644454p-16, 0x1.8ee68f142a55cp-16, 0x1.8bc0a994e6134p-16, 0x1.8890965989316p-16, 0x1.8561845c28f3dp-16, 0x1.82290095b53aep-16, 0x1.7eeadd8071cd9p-16, 0x1.7bb73c6ad52f6p-16, 0x1.78785e6328a4bp-16, 0x1.7541512158bb5p-16, 0x1.7205744c29792p-16, 0x1.6ec656abea8f6p-16, 0x1.6b83bc31bbe68p-16, 0x1.6843e0825e4b4p-16, 0x1.64ff8f0c365a1p-16, 0x1.61bedd4e449b7p-16, 0x1.5e724362f287bp-16, 0x1.5b3730db565cap-16, 0x1.57fe2cc9d8efep-16, 0x1.54ab7b6485802p-16, 0x1.516c521dc5c31p-16, 0x1.4e273045c89dap-16, 0x1.4adf10f947b8ep-16, 0x1.4799d8433e076p-16, 0x1.4456220076d91p-16, 0x1.411284225236ap-16, 0x1.3dcf366eb16fap-16, 0x1.3a8aa04f8ad0ap-16, 0x1.374578b6f7652p-16, 0x1.33f22a98fe6d6p-16, 0x1.30ba1b17f97b9p-16, }}, 
      {{0x1.fd3c675925491p-2, 0x1.25b028661847ep-1, 0x1.57bea4be8883dp-1, 0x1.89ca7b71f2ff6p-1, 0x1.b49fb9f5feb9bp-1, 0x1.d49d16f8e98a1p-1, 0x1.e8ccdd6660211p-1, 0x1.f1f0e4730c2b2p-1, 0x1.f1ba74415f6dp-1, 0x1.ea3a3d7a3d3fap-1, 0x1.dd82ef45261bbp-1, 0x1.cd733d4c9dd66p-1, 0x1.bb9bdb4402012p-1, 0x1.a937cf3596b5cp-1, 0x1.972fd8e25921fp-1, 0x1.8623d3b0aeca8p-1, 0x1.7676af8c4285p-1, 0x1.685ae03b5773cp-1, 0x1.5bde062ab91fcp-1, 0x1.50f332705a188p-1, 0x1.477b82053211fp-1, 0x1.3f4d1489d6f2ap-1, 0x1.3838760b7e4fbp-1, 0x1.320cb0af57876p-1, 0x1.2c9a3b67d0713p-1, 0x1.27b4f56465484p-1, 0x1.233567bfce4b2p-1, 0x1.1ef96db6d2dd4p-1, 0x1.1ae46d8bfe37dp-1, 0x1.16df4775f3facp-1, 0x1.12d8008d3c3bp-1, 0x1.0ec1527cca9a5p-1, 0x1.0a9223d789ca5p-1, 0x1.0644f58a3fb7dp-1, 0x1.01d7527a2403p-1, 0x1.fa927ec73fb35p-2, 0x1.f1397b3050546p-2, 0x1.e7aa9ff826532p-2, 0x1.ddef2d14af853p-2, 0x1.d411e17d4a249p-2, 0x1.ca1e628b9170dp-2, 0x1.c020bb0c326c4p-2, 0x1.b624f8305f68fp-2, 0x1.ac36ca5e5fc47p-2, 0x1.a261525cf819ep-2, 0x1.98aee9dbbea28p-2, 0x1.8f2905817892bp-2, 0x1.85d81ac38b279p-2, 0x1.7cc39d4872fbap-2, 0x1.73f1f0d5ca99dp-2, 0x1.6b68741783103p-2, 0x1.632b84bab4a7p-2, 0x1.5b3e8da26178p-2, 0x1.53a41543a66b1p-2, 0x1.4c5dcb8519c0ep-2, 0x1.456ca20e30c85p-2, 0x1.3ed0d2dbbbe43p-2, 0x1.388a0031602d9p-2, 0x1.32973e92a14fep-2, 0x1.2cf727ca55922p-2, 0x1.27a7eb77721f5p-2, 0x1.22a75f14d05a6p-2, 0x1.1df30d542ab91p-2, 0x1.1988439998ap-2, 0x1.15641c5d14b8dp-2, 0x1.11838ec5104adp-2, 0x1.0de373990d2aap-2, 0x1.0a809247c27d5p-2, 0x1.0757a6dc62b92p-2, 0x1.04656a18e210ep-2, 0x1.01a697f90e54ap-2, 0x1.fe2fe8a20f4b7p-3, 0x1.f96ca0e73b9ap-3, 0x1.f4fd1caa11825p-3, 0x1.f0db489a4e78cp-3, 0x1.ed013efc5febbp-3, 0x1.e9694d17efc97p-3, 0x1.e60df4be687f6p-3, 0x1.e2e9f0ffa2273p-3, 0x1.dff837e57c7c9p-3, 0x1.dd33fa86ffa67p-3, 0x1.da98a5fc08586p-3, 0x1.d821e5000872dp-3, 0x1.d5cb9e66cb503p-3, 0x1.d391f41fc3c82p-3, 0x1.d17144fa256b2p-3, 0x1.cf66285f3b824p-3, 0x1.cd6d6dd9b7059p-3, 0x1.cb841c29af86ap-3, 0x1.c9a76f871ca6p-3, 0x1.c7d4d840ca382p-3, 0x1.c609f723a970dp-3, 0x1.c4449e00ded81p-3, 0x1.c282c90460eccp-3, 0x1.c0c2a00ead274p-3, 0x1.bf0276805922fp-3, 0x1.bd40c7adafe8bp-3, 0x1.bb7c346f386d6p-3, 0x1.b9b37c13ec42dp-3, 0x1.b7e5818b7d66dp-3, 0x1.b61149502b8f5p-3, 0x1.b435f4a45dd43p-3, 0x1.b252bfedfe46p-3, 0x1.b0670158aff1fp-3, 0x1.ae722841c4e9fp-3, 0x1.ac73b978c4a65p-3, 0x1.aa6b4fb48de7p-3, 0x1.a85898dddb282p-3, 0x1.a63b551d0ef92p-3, 0x1.a4135613694f9p-3, 0x1.a1e07b1c09efp-3, 0x1.9fa2b38fe062ep-3, 0x1.9d59fab66e3e8p-3, 0x1.9b06587e62c32p-3, 0x1.98a7df957cb29p-3, 0x1.963eac9f8caf1p-3, 0x1.93cae4b5b6fbp-3, 0x1.914cb5a0fc7ebp-3, 0x1.8ec453ff41fep-3, 0x1.8c31fb1780325p-3, 0x1.8995ec795c97cp-3, 0x1.86f06deaabe85p-3, 0x1.8441ca03d667ep-3, 0x1.818a4ff11e9fdp-3, 0x1.7eca51081e052p-3, 0x1.7c0221cbed781p-3, 0x1.7932195062d9cp-3, 0x1.765a90ce0be41p-3, 0x1.737be3474656cp-3, 0x1.70966b2402c86p-3, 0x1.6daa853482361p-3, 0x1.6ab88e7395555p-3, 0x1.67c0e419c70a1p-3, 0x1.64c3e2ee1b0c5p-3, 0x1.61c1e81b0dc4bp-3, 0x1.5ebb4f870194ep-3, 0x1.5bb074b4d7623p-3, 0x1.58a1b2549435p-3, 0x1.558f620aa279p-3, 0x1.5279dbf015a2ap-3, 0x1.4f6176fe020e8p-3, 0x1.4c46894f84754p-3, 0x1.4929677d9fdd2p-3, 0x1.460a63703b7eap-3, 0x1.42e9cdab40031p-3, 0x1.3fc7f5f0df767p-3, 0x1.3ca529d84515dp-3, 0x1.3981b4244851fp-3, 0x1.365ddde2fdf35p-3, 0x1.3339efcb5fc8dp-3, 0x1.30162f11923c1p-3, 0x1.2cf2e031db2e5p-3, 0x1.29d0445d23853p-3, 0x1.26ae9bbbd4b49p-3, 0x1.238e24b6603f3p-3, 0x1.206f1a2f4392fp-3, 0x1.1d51b6c2cef9dp-3, 0x1.1a3633115f75dp-3, 0x1.171cc47bcfb4p-3, 0x1.14059f7c2c62bp-3, 0x1.10f0f6afa2f8fp-3, 0x1.0ddefaef5e90fp-3, 0x1.0acfdaa385d16p-3, 0x1.07c3c31989203p-3, 0x1.04badf390390fp-3, 0x1.01b558aefd582p-3, 0x1.fd66ae50fca61p-4, 0x1.f76a013936bcdp-4, 0x1.f174f38036b29p-4, 0x1.eb87cb32c6113p-4, 0x1.e5a2caf9f4178p-4, 0x1.dfc631cf30ea3p-4, 0x1.d9f23c8a0b64p-4, 0x1.d427259e85fdbp-4, 0x1.ce6522fd10819p-4, 0x1.c8ac6a0b9ef3fp-4, 0x1.c2fd2ab79a0a6p-4, 0x1.bd5794b7a9069p-4, 0x1.b7bbd72417bafp-4, 0x1.b22a10dd1a437p-4, 0x1.aca27911c21a9p-4, 0x1.a7252ec494e5dp-4, 0x1.a1b24e64a9acbp-4, 0x1.9c49fd0f248efp-4, 0x1.96ec5ae9b684fp-4, 0x1.9199836d62e73p-4, 0x1.8c5190418a83bp-4, 0x1.87149a421bc97p-4, 0x1.81e2b82755e53p-4, 0x1.7cbbfe6d8c845p-4, 0x1.77a080a4452f5p-4, 0x1.729050384431ap-4, 0x1.6d8b7cb6a082ap-4, 0x1.68921293b366bp-4, 0x1.63a41f1395997p-4, 0x1.5ec1ad3ef35b4p-4, 0x1.59eac7520dfa1p-4, 0x1.551f76db237aap-4, 0x1.505fc1378ba7bp-4, 0x1.4babaa7e6998cp-4, 0x1.47033adc6b869p-4, 0x1.4266748f00ab7p-4, 0x1.3dd556d7c3101p-4, 0x1.394fe39c6a35fp-4, 0x1.34d61b3eba845p-4, 0x1.3067fd2d2f4bcp-4, 0x1.2c0586d1172e6p-4, 0x1.27aeb5080b302p-4, 0x1.236383c8da08p-4, 0x1.1f23ee23fb5a2p-4, 0x1.1aefee7000964p-4, 0x1.16c77e5284a76p-4, 0x1.12aa9531cd58dp-4, 0x1.0e992bf99b2a4p-4, 0x1.0a933bc578eafp-4, 0x1.0698b7e0d327p-4, 0x1.02a9975220fd4p-4, 0x1.fd8b9fbcbdadep-5, 0x1.f5daaac879344p-5, 0x1.ee40388c13cb4p-5, 0x1.e6bc2faf54343p-5, 0x1.df4e7699b26bdp-5, 0x1.d7f6f2adce5d8p-5, 0x1.d0b5878cb61d7p-5, 0x1.c98a17c152525p-5, 0x1.c2748507cfa77p-5, 0x1.bb74b0d53ca13p-5, 0x1.b48a7c708bc28p-5, 0x1.adb5c7de83de8p-5, 0x1.a6f670c87b476p-5, 0x1.a04c56d511c27p-5, 0x1.99b754ee10d4ep-5, 0x1.93374becae0b6p-5, 0x1.8ccc175b5b569p-5, 0x1.867591a9e8ce7p-5, 0x1.8033976a331bep-5, 0x1.7a06033bec38dp-5, 0x1.73ecafa62b10bp-5, 0x1.6de77679c1bfp-5, 0x1.67f62fb18da2bp-5, 0x1.6218b7c28acdcp-5, 0x1.5c4ee7f875a0dp-5, 0x1.569894a5188f5p-5, 0x1.50f5980c306a7p-5, 0x1.4b65ca3d57e35p-5, 0x1.45e90768905cep-5, 0x1.407f135845872p-5, 0x1.3b27e4376bf59p-5, 0x1.35e33d9eccdc4p-5, 0x1.30b0f6fcf0f35p-5, 0x1.2b90eb50cb704p-5, 0x1.2682efb2bc52dp-5, 0x1.2186d86c64cecp-5, 0x1.1c9c7e87c7bffp-5, 0x1.17c3b85a290d2p-5, 0x1.12fc58ba1d9c2p-5, 0x1.0e4638646b5efp-5, 0x1.09a12beb3d251p-5, 0x1.050d08a0f640fp-5, 0x1.0089a6ce148d6p-5, 0x1.f82db52a0b35fp-6, 0x1.ef68f2e86db9dp-6, 0x1.e6c4b3b490307p-6, 0x1.de40a1e837058p-6, 0x1.d5dc6a81ae325p-6, 0x1.cd97b8f22c684p-6, 0x1.c572383332c24p-6, 0x1.bd6b94a435f13p-6, 0x1.b5837c1df6c99p-6, 0x1.adb99a4c5345p-6, 0x1.a60d9bfae1bcap-6, 0x1.9e7f2d1401505p-6, 0x1.970dfae8d9ed9p-6, 0x1.8fb9b414aebd7p-6, 0x1.888201939d043p-6, 0x1.816696eeae448p-6, 0x1.7a671dc9b252fp-6, 0x1.7383456e40e81p-6, 0x1.6cbabeb8059e2p-6, 0x1.660d37e4a8f2fp-6, 0x1.5f7a5f650862ap-6, 0x1.5901e556b69dcp-6, 0x1.52a37b59e8314p-6, 0x1.4c5ece94dd2f3p-6, 0x1.463393302702ap-6, 0x1.40217839d0b4fp-6, 0x1.3a28315c5be1fp-6, 0x1.34476f2fdbc3p-6, 0x1.2e7ee581b5276p-6, 0x1.28ce4728577a3p-6, 0x1.233546e2ba116p-6, 0x1.1db398f8d10cp-6, 0x1.1848f149f501bp-6, 0x1.12f5061fff402p-6, 0x1.0db78c6b736bep-6, 0x1.08903a3193b5cp-6, 0x1.037ec52c7fb7p-6, 0x1.fd05cb71cd7e6p-7, 0x1.f3389d14e3cp-7, 0x1.e9957d3116981p-7, 0x1.e01bd304459ap-7, 0x1.d6cb2225a3eeep-7, 0x1.cda2c3f8fe5dap-7, 0x1.c4a2354a9d882p-7, 0x1.bbc8f6ae674d8p-7, 0x1.b31676b45d932p-7, 0x1.aa8a2b93ebc35p-7, 0x1.a2239c8c0ef8fp-7, 0x1.99e1f93a4dfd5p-7, 0x1.91c56abff37c3p-7, 0x1.89cca023bd705p-7, 0x1.81f78abeeb13bp-7, 0x1.7a45958f9cbd6p-7, 0x1.72b63eaaee5fap-7, 0x1.6b4904cdd8b5bp-7, 0x1.63fd6daeba5cap-7, 0x1.5cd2f4e5f0e5p-7, 0x1.55c921816cd0bp-7, 0x1.4edf7c4d1ebb7p-7, 0x1.48158ae8473f6p-7, 0x1.416ad548fa89ep-7, 0x1.3adee25868879p-7, 0x1.34713f0302e99p-7, 0x1.2e2173f8d3de3p-7, 0x1.27ef122f6b56dp-7, 0x1.21d9a5276c4bcp-7, 0x1.1be0bbbc4ef03p-7, 0x1.1603e8293657bp-7, 0x1.1042b57881e3ap-7, 0x1.0a9cbf46b36ebp-7, 0x1.05119934b1c8ap-7, 0x1.ff41a10d6677ep-8, 0x1.f49403889da29p-8, 0x1.ea19842281fe9p-8, 0x1.dfd15571944a3p-8, 0x1.d5baab440f145p-8, 0x1.cbd4bd0d38de3p-8, 0x1.c21eb6bc45b0bp-8, 0x1.b897e38901229p-8, 0x1.af3f82e4257cep-8, 0x1.a614c0675c97dp-8, 0x1.9d16ef5670e3bp-8, 0x1.9445525480ae2p-8, 0x1.8b9f298bec2cap-8, 0x1.8323be31894fap-8, 0x1.7ad26133b882p-8, 0x1.72aa55236b015p-8, 0x1.6aaae68810498p-8, 0x1.62d371fec7012p-8, 0x1.5b2352864c149p-8, 0x1.5399ca08aad3p-8, 0x1.4c363e2c1b6e7p-8, 0x1.44f8042f49fe5p-8, 0x1.3dde88e23d5e4p-8, 0x1.36e910d078829p-8, 0x1.30170fb2c841bp-8, 0x1.2967daedf8001p-8, 0x1.22dae55609dbcp-8, 0x1.1c6f9707725b5p-8, 0x1.162548c1834e2p-8, 0x1.0ffb7156d617p-8, 0x1.09f17de76f276p-8, 0x1.0406dcacc60fbp-8, 0x1.fc7600bfc0408p-9, 0x1.f11abba8e5a56p-9, 0x1.e5facf9d40ab1p-9, 0x1.db152cf3ac748p-9, 0x1.d068bbc1ec95cp-9, 0x1.c5f4ed0e1d82p-9, 0x1.bbb7a029f34ap-9, 0x1.b1b0dc39a3e21p-9, 0x1.a7df4602bd95ep-9, 0x1.9e41e20e10f27p-9, 0x1.94d7be033ea1cp-9, 0x1.8b9fedc91454ep-9, 0x1.8299a7caaa46ep-9, 0x1.79c3af66b7dcp-9, 0x1.711d4b5d521d9p-9, 0x1.68a59a1094e82p-9, 0x1.605bb25aa47a9p-9, 0x1.583ebed8592a2p-9, 0x1.504dea713522fp-9, 0x1.48885d3427ad7p-9, 0x1.40ed46ab6da86p-9, 0x1.397b9ab26d7aap-9, 0x1.3232fa0fb9768p-9, 0x1.2b124f552c177p-9, 0x1.2418ea79b4afp-9, 0x1.1d45fc0d5cfd6p-9, 0x1.1698e774a5cf1p-9, 0x1.1010ec418fb4p-9, 0x1.09ad338ffabc1p-9, 0x1.036d170568101p-9, 0x1.fa9fb121de7ebp-10, 0x1.eea9be1721036p-10, 0x1.e2f6ec3bc3f3fp-10, 0x1.d785cf05f000ep-10, 0x1.cc552f7e1f63p-10, 0x1.c163a758154fap-10, 0x1.b6b014ecba97ap-10, 0x1.ac39426e9d515p-10, 0x1.a1fe1520e184dp-10, 0x1.97fcf16ccf524p-10, 0x1.8e34effff0db8p-10, 0x1.84a4d5d9826e9p-10, 0x1.7b4b8b172e4d7p-10, 0x1.7228188a6dd9cp-10, 0x1.6939161bced2ep-10, 0x1.607d9f05cb948p-10, 0x1.57f49e5029aacp-10, 0x1.4f9d0ced22906p-10, 0x1.4775f5b35b59p-10, 0x1.3f7e3bcbe2b34p-10, 0x1.37b4ed6f68475p-10, 0x1.3019194eb4b07p-10, 0x1.28a9b9c446a0dp-10, 0x1.2166019a7c4b6p-10, 0x1.1a4cdc7a31924p-10, 0x1.135d76b5a60a8p-10, 0x1.0c96f72db12c7p-10, 0x1.05f879f35495fp-10, 0x1.ff0252b23bd12p-11, 0x1.f2607c8b1a9fap-11, 0x1.e6097782dd373p-11, 0x1.d9fae8c8e5f5fp-11, 0x1.ce3728d9b029cp-11, 0x1.c2b75e391c345p-11, 0x1.b77d1eec53117p-11, 0x1.ac8609258f9bdp-11, 0x1.a1d0dac83d11cp-11, 0x1.975c15fbde631p-11, 0x1.8d26820a22bcep-11, 0x1.832ea4081d87fp-11, 0x1.797308d82b8d2p-11, 0x1.6ff28e409a30dp-11, 0x1.66abbf6936c12p-11, 0x1.5d9d6086890bap-11, 0x1.54c62d85f95ccp-11, 0x1.4c24ad1c1a081p-11, 0x1.43b8614abed6p-11, 0x1.3b7f525b94105p-11, 0x1.3378e0c8bfb8ep-11, 0x1.2ba380c07fa91p-11, 0x1.23fe78c47218ap-11, 0x1.1c88900d5eb25p-11, 0x1.1540c2c63f929p-11, 0x1.0e2628fbf6689p-11, 0x1.0737b41301032p-11, 0x1.00745483a5c8ap-11, 0x1.f3b626d2b22edp-12, 0x1.e6d465e6ce8ddp-12, 0x1.da46cdbf9b82cp-12, 0x1.ce04b3ed91ed9p-12, 0x1.c21011444a501p-12, 0x1.b6669bc9d683cp-12, 0x1.ab05b563022e3p-12, 0x1.9fec5cd8d4f96p-12, 0x1.9518faef6dfc1p-12, 0x1.8a88eda90acecp-12, 0x1.803bfdfb53f24p-12, 0x1.7630b7527ae65p-12, 0x1.6c645788fa2bap-12, 0x1.62d6247bbcd39p-12, 0x1.5985000a73ce6p-12, 0x1.506efa5cebd7bp-12, 0x1.47936897ed87dp-12, 0x1.3ef09d61a3d65p-12, 0x1.368535a356642p-12, 0x1.2e4f1fc4f6214p-12, 0x1.264e717a3f575p-12, 0x1.1e8052b27696dp-12, 0x1.16e469783ff8p-12, 0x1.0f795b3f6d4ecp-12, 0x1.083e298ed952dp-12, 0x1.0131886bcbcc4p-12, 0x1.f4a46e4d423e3p-13, 0x1.e73e468075384p-13, 0x1.da2e7fd053f61p-13, 0x1.cd73de7b4dcc1p-13, 0x1.c106418b8a294p-13, 0x1.b4f1e331b46b9p-13, 0x1.a92851d22f87cp-13, 0x1.9dab24afbf1c8p-13, 0x1.927a7368c30b2p-13, 0x1.87907cd509315p-13, 0x1.7cef0c37a2adap-13, 0x1.72932ce1fa48dp-13, 0x1.687b650cc036dp-13, 0x1.5ea6317656e95p-13, 0x1.5511ab5339233p-13, 0x1.4bbb9c2cbd4c9p-13, 0x1.42a2f2f3e77cep-13, 0x1.39c65de073c54p-13, 0x1.31235d19c1dc8p-13, 0x1.28b8f9b016f74p-13, 0x1.2085f87eed259p-13, 0x1.1888cb35d384dp-13, 0x1.10c0420b71ff8p-13, 0x1.092ae39744e24p-13, 0x1.01c7a7cfe10a5p-13, 0x1.f529272f57cecp-14, 0x1.e722ab0932f3dp-14, 0x1.d97961365119fp-14, 0x1.cc28d1a43fep-14, 0x1.bf324eaac792cp-14, 0x1.b295586e8dddap-14, 0x1.a6490c7650792p-14, 0x1.9a50879539e53p-14, 0x1.8ea5e64a195bdp-14, 0x1.834ac8524140cp-14, 0x1.783b46923438dp-14, 0x1.6d7d7d15b1833p-14, 0x1.62fdba1bc142p-14, 0x1.58bf44f60a4cfp-14, 0x1.4ecbf04b6fcp-14, 0x1.4518c8bbce167p-14, 0x1.3ba53986c87edp-14, 0x1.3271740c32c5dp-14, 0x1.29792df671258p-14, 0x1.20bfa5d902288p-14, 0x1.183ce30a22e89p-14, 0x1.0ff6655afa4e1p-14, 0x1.07e64cae248f2p-14, 0x1.000b5e6a165ap-14, 0x1.f0ca4e1de7dcbp-15, 0x1.e1e537d31cc3cp-15, 0x1.d36539274bffdp-15, 0x1.c546517415602p-15, 0x1.b786f0882988fp-15, 0x1.aa232f43e8f4ap-15, 0x1.9d1870d683c4bp-15, 0x1.905826201a104p-15, 0x1.8408c4307b08p-15, 0x1.77fc0a7857ea8p-15, 0x1.6c403c6ee8a0ap-15, 0x1.60d22fb87968bp-15, 0x1.55b0a4356750fp-15, 0x1.4adae66dfd177p-15, 0x1.404f797dcd98ap-15, 0x1.360858a5d584bp-15, 0x1.2c03c8c2285afp-15, 0x1.2245e05b8cd57p-15, 0x1.18c59c0eee1a6p-15, 0x1.0f84d865605a6p-15, 0x1.06836e5d24b56p-15, 0x1.fb7da7b5808a3p-16, 0x1.ea6a5c43920dcp-16, 0x1.d9cca83bc5c96p-16, 0x1.c995fb49272fap-16, 0x1.b9d27f92b956ep-16, 0x1.aa7522477ac12p-16, 0x1.9b8b9275b8a7cp-16, 0x1.8cf864550d91cp-16, 0x1.7ec799f4e1b2p-16, 0x1.70f45bb665d07p-16, 0x1.63803f63fbc0ap-16, 0x1.56686c1c6db79p-16, 0x1.49a4c7a75378fp-16, 0x1.3d3127af06c39p-16, 0x1.311955ae46cf4p-16, 0x1.25502b830fe4dp-16, 0x1.19d24f516a67dp-16, 0x1.0ea56e45eab4dp-16, 0x1.03c359ec4a652p-16, 0x1.f25297ff7fd2ap-17, 0x1.ddab128c0da43p-17, 0x1.c98d1cbfaf321p-17, 0x1.b5f7c47e97ebap-17, 0x1.a2f5f28ca266dp-17, 0x1.90706986a4cf6p-17, 0x1.7e310432aa941p-17, 0x1.6ca296a62bf74p-17, 0x1.5b79502439e6p-17, 0x1.4ac45f18258d5p-17, 0x1.3a7e5abeb26ddp-17, 0x1.2aa701bcb1719p-17, 0x1.1b3a8cc9cc456p-17, 0x1.0c35b8d30b867p-17, 0x1.fb2c2eb9828f2p-18, 0x1.deb606e788b55p-18, 0x1.c2dfefbabb211p-18, 0x1.a7a1e51eb642cp-18, 0x1.8d991aae52c14p-18, 0x1.73f13b169408dp-18, 0x1.5b0b2deb0e8dap-18, 0x1.42c8b351844c9p-18, 0x1.2b33bc1ef9c9ep-18, 0x1.14433fbbb624p-18, 0x1.fbbb7aaee649ap-19, 0x1.d023f032181f2p-19, 0x1.a5d5ed8c1f906p-19, 0x1.7c8f816c7340bp-19, 0x1.544402cafd265p-19, 0x1.2d3776a399006p-19, 0x1.0741bd5afec9dp-19, 0x1.c467ffb73953p-20, 0x1.7c408cc452677p-20, 0x1.36709c8ecb8d6p-20, 0x1.e40541d0b9604p-21, 0x1.5f602c16a540bp-21, 0x1.bded2c5e0409cp-22, 0x1.8641106384ec3p-23, -0x1.8a06854590f4cp-25, -0x1.1e08950a678b1p-22, -0x1.02e99d99c3924p-21, -0x1.7353d1ffde017p-21, -0x1.e03730bdb14d7p-21, -0x1.24fde2cc8e7b1p-20, -0x1.5866679239d2ap-20, -0x1.8a671874c0d5ap-20, -0x1.baeb9f416bfe6p-20, -0x1.e9a37501821b2p-20, -0x1.0bd6426a8a43cp-19, -0x1.224ed470c63b3p-19, -0x1.37b8493722ed9p-19, -0x1.4cba3784946e4p-19, -0x1.611058105342bp-19, -0x1.74c748de10e7bp-19, -0x1.87ef0dafb19ecp-19, -0x1.9a837df0af66cp-19, -0x1.ac81869664e85p-19, -0x1.bdf931307e27p-19, -0x1.cef830d9ce937p-19, -0x1.df3bdbd4a744ep-19, -0x1.ef123722a63cdp-19, -0x1.fe6ab406698e1p-19, -0x1.06ab7fc731b2bp-18, -0x1.0dd5b0a67018fp-18, -0x1.14ce60f04f9cap-18, -0x1.1ba83978e356cp-18, -0x1.21e94dbb7c766p-18, -0x1.283edc2f11b82p-18, -0x1.2e55044481916p-18, -0x1.341842a252952p-18, -0x1.39c66e84eb798p-18, -0x1.3f2df8fe19d8p-18, -0x1.4468f3819fbd8p-18, -0x1.4973904a81037p-18, -0x1.4e4261d8aa35fp-18, -0x1.52f50dfd2ce5fp-18, -0x1.577a2b0520d28p-18, -0x1.5bc817727ee8p-18, -0x1.5fe64b87bd8c9p-18, -0x1.63d07c88ceadcp-18, -0x1.677b29bcd1dc3p-18, -0x1.6b2b8a7577054p-18, -0x1.6e9be5784dd8ap-18, -0x1.71d3453f45a4fp-18, -0x1.752b26871544ep-18, -0x1.7821b9bcbc65ep-18, -0x1.7af720a3de4d3p-18, -0x1.7da6282b5ab61p-18, -0x1.8026e54057889p-18, -0x1.829845c0265cbp-18, -0x1.84df31f67ea75p-18, -0x1.8704445873f32p-18, -0x1.88f051d758517p-18, -0x1.8af6d776c44bap-18, -0x1.8cb0ae71c6d76p-18, -0x1.8e544efd04ec1p-18, -0x1.8fd49c083b78cp-18, -0x1.913b31b3e1715p-18, -0x1.927f802b65c66p-18, -0x1.93a983f8eb913p-18, -0x1.94b9c0d6df002p-18, -0x1.95ae06fdf1b31p-18, -0x1.968438a0dec61p-18, -0x1.9734c2ea0c063p-18, -0x1.9809d540ae471p-18, -0x1.986f26caf54cbp-18, -0x1.98ccf0de5960ep-18, -0x1.993601faf40b8p-18, -0x1.99723e9e46ef6p-18, -0x1.9998cfb246df3p-18, -0x1.99b3f24c651b1p-18, -0x1.9996f35f0f0c2p-18, -0x1.99772888d9fedp-18, -0x1.99420bcb2e831p-18, -0x1.98f7530412604p-18, -0x1.989ba05eba68p-18, -0x1.982d2182dcf29p-18, -0x1.979f353fea407p-18, -0x1.96ef1877257efp-18, -0x1.9652aaa38328p-18, -0x1.9590945dfaa54p-18, -0x1.94baf349e4214p-18, -0x1.93d89236eb6fep-18, -0x1.92d1022467ec2p-18, -0x1.91c8847b7e9e1p-18, -0x1.90c5b1078177dp-18, -0x1.8f9e92b85c3cdp-18, -0x1.8e4cff551d57fp-18, -0x1.8cfd97f16740bp-18, -0x1.8b99b04d71cbp-18, -0x1.8a22035587673p-18, -0x1.88b66789c8bd3p-18, -0x1.874300dad48f9p-18, -0x1.8598874d92901p-18, -0x1.83f5177cfef07p-18, -0x1.824b71dfda3e3p-18, -0x1.808c03cdb2feap-18, -0x1.7eb5d06c68f19p-18, -0x1.7cd504c117667p-18, -0x1.7aee08c159bdp-18, -0x1.78fe88c3eb5f1p-18, -0x1.770215c5a773fp-18, -0x1.74f90a39d3a56p-18, -0x1.72deca8d9596p-18, -0x1.70bd973e274ddp-18, -0x1.6e91493bd84fp-18, -0x1.6c6829f75ab4p-18, -0x1.6a2e4624ec78bp-18, -0x1.67e3c9c70534fp-18, -0x1.659358e4306b6p-18, -0x1.633bff6562d7bp-18, -0x1.60e55798e01dap-18, -0x1.5e9065b23ec7p-18, -0x1.5be5bcd69c14bp-18, -0x1.595df24a07c44p-18, -0x1.56c60de1f4387p-18, -0x1.543cddde073c9p-18, -0x1.51b772ba5df5cp-18, -0x1.4f1c957bc0367p-18, -0x1.4c76571dcc99cp-18, -0x1.49baff67a42d2p-18, -0x1.47199115caffbp-18, -0x1.44688c635e93fp-18, -0x1.41923610e65b2p-18, -0x1.3ec998c3838adp-18, -0x1.3bfcd5e112186p-18, -0x1.392ce2b96c9d6p-18, -0x1.36572cc17aabcp-18, -0x1.3385a0f1c8ab2p-18, -0x1.30a4fd2d16133p-18, -0x1.2dbb40500edaap-18, -0x1.2aca1e0207918p-18, -0x1.27d6ffc17fe9ap-18, -0x1.24e114272f69p-18, -0x1.21e3e3a247e58p-18, -0x1.1ee5c9f4f4bbap-18, -0x1.1be15c6ae18c8p-18, -0x1.18e3e71796cbp-18, -0x1.15d743a8cccf2p-18, -0x1.12cbbc271ae94p-18, -0x1.0fbcc7cd3aac6p-18, -0x1.0cab15982c7aep-18, -0x1.0996095eea79cp-18, -0x1.067767fe4abeap-18, -0x1.036fd672420e5p-18, -0x1.004b12a9e531ep-18, -0x1.fa434bf9541afp-19, -0x1.f40dac88e563cp-19, -0x1.edd7c79629a8bp-19, -0x1.e7908347d6968p-19, -0x1.e142fc72ea2b4p-19, -0x1.dad65802692f5p-19, -0x1.d4a8422932228p-19, -0x1.ce484791ac4cdp-19, -0x1.c7dab6af01292p-19, -0x1.c1a67a67f46a5p-19, -0x1.bb49cd0b7fcb7p-19, -0x1.b4dc77125342dp-19, -0x1.ae2c5a3905ddfp-19, -0x1.a8316b00560dfp-19, -0x1.a1e0f4d698bd4p-19, -0x1.9b7de879d272bp-19, -0x1.9522cbf9ff66ap-19, -0x1.8eb6199e39286p-19, -0x1.8854768026c08p-19, -0x1.820d971dd2a0dp-19, -0x1.7ba3a90eb83c5p-19, -0x1.756666cc311a3p-19, -0x1.6f0825f1f69dp-19, -0x1.688fc349c82bbp-19, -0x1.623a76e9e9f3p-19, -0x1.5c3a0e096e626p-19, -0x1.55b4f71f319f2p-19, -0x1.4f6416002521ep-19, -0x1.491638d8f60d1p-19, -0x1.42cdfd2108a7p-19, -0x1.3c8972c86182fp-19, -0x1.3643197a466f6p-19, -0x1.2ff03df6713a1p-19, -0x1.29d5037426525p-19, -0x1.238adcb266961p-19, -0x1.1d592dd648ca6p-19, -0x1.1733f40fdbc1ap-19, -0x1.110ca6dc7561fp-19, -0x1.0ae647539e24p-19, -0x1.04bec0819c088p-19, -0x1.fd33f59ccbaccp-20, -0x1.f0f32fdb0c9dbp-20, -0x1.e4756700ee295p-20, -0x1.d8c489899fef7p-20, -0x1.ccb8a7fc18919p-20, -0x1.c0b0f6fa0c4fep-20, -0x1.b4a90961cf6d9p-20, -0x1.a8a2811df55f4p-20, -0x1.9cbf7dd25ef11p-20, -0x1.9105d6b6ed5bfp-20, -0x1.852d594b9c1f7p-20, -0x1.79ac6b9f3a6aep-20, -0x1.6dbac2016d176p-20, -0x1.622fa55e5f0d4p-20, -0x1.569bc4e2cee4ap-20, -0x1.4b19bec90c81dp-20, -0x1.3f7bcb840b1e5p-20, -0x1.340de42c3d731p-20, -0x1.2899d33c0ab23p-20, -0x1.1d654588ab00ep-20, -0x1.120c87ccbf713p-20, -0x1.06e72cfcdae37p-20, -0x1.f77dd6a9adc9bp-21, -0x1.e14b09ddb164cp-21, -0x1.cb59df309cb18p-21, -0x1.b5b3c1fb12f14p-21, -0x1.9fa815bffdabcp-21, -0x1.89d808547d41bp-21, -0x1.74505bdd9f7a3p-21, -0x1.5ebe274467f6p-21, -0x1.4955b603da6c9p-21, -0x1.3422e51b6b0a4p-21, -0x1.1f041241739cfp-21, -0x1.0ac554feb96c4p-21, -0x1.ec0b88fdfb143p-22, -0x1.c301ff7d0d376p-22, -0x1.99234345abf33p-22, -0x1.70e817141a2e6p-22, -0x1.4777a39d3c119p-22, -0x1.1f5004ecea75p-22, -0x1.ef409448b1034p-23, -0x1.9ed8799a334adp-23, -0x1.511535c84c1d4p-23, -0x1.029dc7b905ba2p-23, -0x1.6bd8d34fb7ee5p-24, -0x1.a595e38be6efep-25, -0x1.b12b01b04423ep-27, 0x1.95adef25f0b4cp-26, 0x1.efc9f0c4c11dcp-25, 0x1.8e102ece5ab8ap-24, 0x1.10e46955cf6fp-23, 0x1.5a60a0ca6d8eep-23, 0x1.a50a0572fa442p-23, 0x1.ecca5d4a1bd8dp-23, 0x1.1a4fca1b14d9cp-22, 0x1.3d0364b45ef84p-22, 0x1.6080b35c1fee5p-22, 0x1.842a9b3c952c1p-22, 0x1.a6878ebc0120ep-22, 0x1.c8fa025d06193p-22, 0x1.ec033dc7e276dp-22, 0x1.06bbc60b6b473p-21, 0x1.17c7ae6395664p-21, 0x1.27e3d9dcc0fcep-21, 0x1.3843fce6c944p-21, 0x1.483606f835f09p-21, 0x1.58ec7c85a3a41p-21, 0x1.692883f9b9162p-21, 0x1.79220284b4bdep-21, 0x1.88dbc89d24229p-21, 0x1.985fbd2ea7aabp-21, 0x1.a7a5464f3daa3p-21, 0x1.b70d9d5ec9697p-21, 0x1.c6058e966183bp-21, 0x1.d53d205e0c08p-21, 0x1.e401e254926a9p-21, 0x1.f2c36e174f03ep-21, 0x1.00b04d9097d1bp-20, 0x1.07efa49228d98p-20, 0x1.0eec59321dd66p-20, 0x1.161020c4e2e19p-20, 0x1.1d219bbead6c2p-20, 0x1.23f2531c61322p-20, 0x1.2aa97e581f30fp-20, 0x1.31708ad2f974fp-20, 0x1.382c263158776p-20, 0x1.3eb0870c9b74fp-20, 0x1.454a7207f2046p-20, 0x1.4bb3485b139dp-20, 0x1.52006f38295e6p-20, 0x1.5854a5dee303fp-20, 0x1.5ea5687d1d69fp-20, 0x1.64c4b969da9fbp-20, 0x1.6af170e66be3bp-20, 0x1.70f719c66944bp-20, 0x1.7713fb7a462cep-20, 0x1.7ca3e2859d8d2p-20, 0x1.82448ab656c24p-20, 0x1.884c8f918ce5cp-20, 0x1.8dd467c978045p-20, 0x1.9366d6678ab99p-20, 0x1.98fdd5f14053dp-20, 0x1.9e6f447862abep-20, 0x1.a3c5a23691815p-20, 0x1.a90c3ec64e90ep-20, 0x1.ae4345ae21e96p-20, 0x1.b376b2ab2f32p-20, 0x1.b89698696db41p-20, 0x1.bd9ae6be9fa43p-20, 0x1.c2bc4444f1c19p-20, }}, 
      {{0x1.5eca7e457642p-9, 0x1.5989164025b42p-6, 0x1.097e726a0b024p-4, 0x1.08a2c314786e3p-3, 0x1.992191f05ab31p-3, 0x1.09746202883afp-2, 0x1.2bdd0547b1e34p-2, 0x1.29e50cc080b75p-2, 0x1.fefa3e2f1001ep-3, 0x1.5b89493a8a16ep-3, 0x1.ce4e6952b42d8p-5, -0x1.53678b6e9cb61p-4, -0x1.ea8b30e6bec83p-3, -0x1.9e5785559a5fdp-2, -0x1.23b6eadac7f71p-1, -0x1.747364b632c04p-1, -0x1.be3515a5d020bp-1, -0x1.fe840f5c5ed7dp-1, -0x1.19ce2b9aac0d6p+0, -0x1.2e317ccd0f113p+0, -0x1.3c2a3235e9384p+0, -0x1.43b78af69d7ffp+0, -0x1.450e6eedebaa9p+0, -0x1.408e238166b32p+0, -0x1.36b59e06c7ec6p+0, -0x1.2819ccd2d0529p+0, -0x1.155d0ad3de9f6p+0, -0x1.fe4fa843964ap-1, -0x1.cc45795fede38p-1, -0x1.95e338877d4f3p-1, -0x1.5c5fb24b69c44p-1, -0x1.20db69b6c85e5p-1, -0x1.c8b9eafc7c111p-2, -0x1.4f9db995c8b3fp-2, -0x1.affac30382cap-3, -0x1.8ce93b51f4c9dp-4, 0x1.b041cf7511064p-7, 0x1.e50dbb7fbc5f1p-4, 0x1.be8e09cf7d19ep-3, 0x1.3ef75fd1f077dp-2, 0x1.97e80c3d696fap-2, 0x1.e9d11ac417b6ap-2, 0x1.1a455cfa5e3c7p-1, 0x1.3c0478d4dca69p-1, 0x1.5a2bcddcba075p-1, 0x1.74cb5083218d9p-1, 0x1.8bfb3e45046c2p-1, 0x1.9fda84927846cp-1, 0x1.b08d509cccfap-1, 0x1.be3bc998bc13ap-1, 0x1.c910f2f9d9693p-1, 0x1.d139b31c3f835p-1, 0x1.d6e3fbde511cbp-1, 0x1.da3e13c838748p-1, 0x1.db75fe580a933p-1, 0x1.dab90074d727dp-1, 0x1.d8333d44bf17ap-1, 0x1.d40f676ce469fp-1, 0x1.ce7683e7cb475p-1, 0x1.c78fbc2fe32ap-1, 0x1.bf803e335287dp-1, 0x1.b66b2841eef4ep-1, 0x1.ac717f268a31ap-1, 0x1.a1b22c7f4a577p-1, 0x1.964a038741dd7p-1, 0x1.8a53cae5425b2p-1, 0x1.7de84a56e7f18p-1, 0x1.711e5b6361371p-1, 0x1.640afc73b9c82p-1, 0x1.56c165ac42ca1p-1, 0x1.49531f059a029p-1, 0x1.3bd01720523b6p-1, 0x1.2e46ba7398cd6p-1, 0x1.20c40a5b1eb1p-1, 0x1.1353b3eb1b0b5p-1, 0x1.06002627d094cp-1, 0x1.f1a54f2b3a171p-2, 0x1.d7a6d6067312fp-2, 0x1.be1346eb94f56p-2, 0x1.a4f72e6f2037ap-2, 0x1.8c5d640f0d079p-2, 0x1.744f2ca33d75cp-2, 0x1.5cd45b199a0d4p-2, 0x1.45f36f48b5addp-2, 0x1.2fb1b303f09b6p-2, 0x1.1a135567f29b9p-2, 0x1.051b846a2982dp-2, 0x1.e19909badee8cp-3, 0x1.ba4f9142f8a6ep-3, 0x1.945c07436cb93p-3, 0x1.6fbe7deba0e35p-3, 0x1.4c75d6226b299p-3, 0x1.2a7fe046288fp-3, 0x1.09d97b8fb39a6p-3, 0x1.d4fd63bcd2384p-4, 0x1.98d5a4c23916p-4, 0x1.5f3112aea00b6p-4, 0x1.2803ecde61ba4p-4, 0x1.e68304945e0cep-5, 0x1.81b8ac6a9a3aap-5, 0x1.218c84a974a32p-5, 0x1.8bc257916158cp-6, 0x1.ba618a7cd780cp-7, 0x1.b93408d4db4ffp-9, -0x1.9a6cf9c2eb996p-8, -0x1.f8a7d2b7c22a3p-7, -0x1.8a434668dfc8fp-6, -0x1.08549bccc9845p-5, -0x1.47e2bbe84288dp-5, -0x1.83ebb3bde2656p-5, -0x1.bc8ef13faf87bp-5, -0x1.f1eb86c675f61p-5, -0x1.12100e4a4a9e7p-4, -0x1.29a570c032858p-4, -0x1.3fc4bc67a1ddap-4, -0x1.547c7a14af69p-4, -0x1.67dae3d9933f8p-4, -0x1.79eddf7c20542p-4, -0x1.8ac2fdd271fdp-4, -0x1.9a6776c9860d5p-4, -0x1.a8e82637467e4p-4, -0x1.b6518cc094db9p-4, -0x1.c2afcdc690eefp-4, -0x1.ce0eadd41257bp-4, -0x1.d8799453cccd9p-4, -0x1.e1fb8b2db89e6p-4, -0x1.ea9f3e6634bbcp-4, -0x1.f26efe1e57ff3p-4, -0x1.f974bf97f1336p-4, -0x1.ffba1d79d93aap-4, -0x1.02a42d1984c97p-3, -0x1.051430ceee405p-3, -0x1.0731650d733f5p-3, -0x1.08ffeb7b8cecfp-3, -0x1.0a83bd328039p-3, -0x1.0bc0ab7b63cebp-3, -0x1.0cba611b267cep-3, -0x1.0d74638485c7bp-3, -0x1.0df21380d3703p-3, -0x1.0e36ae5a88dcfp-3, -0x1.0e454f64c0825p-3, -0x1.0e20f0d535936p-3, -0x1.0dcc6c643cdbap-3, -0x1.0d4a7cca8cc61p-3, -0x1.0c9dbf2d1f821p-3, -0x1.0bc8b3a7c0611p-3, -0x1.0acdbe0b4220cp-3, -0x1.09af2768a11c5p-3, -0x1.086f1f4be6363p-3, -0x1.070fbc2b73261p-3, -0x1.0592fc13eb16p-3, -0x1.03fac6379161cp-3, -0x1.0248ebe344da7p-3, -0x1.007f28fddfc56p-3, -0x1.fd3e492f3227dp-4, -0x1.f954e45245f5dp-4, -0x1.f5452550f24f4p-4, -0x1.f111e9dd9af5p-4, -0x1.ecbdec4950e7fp-4, -0x1.e84bc5886bab3p-4, -0x1.e3bdef29b887ep-4, -0x1.df16c46bd8219p-4, -0x1.da5882dc2a271p-4, -0x1.d5854ba09638ep-4, -0x1.d09f253e23bdap-4, -0x1.cba7fce604a6fp-4, -0x1.c6a1a71f02fadp-4, -0x1.c18de0864d766p-4, -0x1.bc6e4f17f3f68p-4, -0x1.b744838706198p-4, -0x1.b211fa1de56b3p-4, -0x1.acd81b4d7b828p-4, -0x1.a7983c7851f41p-4, -0x1.a253a0f937a7cp-4, -0x1.9d0b7b1d54921p-4, -0x1.97c0ecee1b827p-4, -0x1.92750892ec0f6p-4, -0x1.8d28d11467d91p-4, -0x1.87dd3b2aedf47p-4, -0x1.82932dbd5fed9p-4, -0x1.7d4b83383cbfcp-4, -0x1.7807090c6336p-4, -0x1.72c680b68541dp-4, -0x1.6d8aa07360b88p-4, -0x1.685413aa53bfep-4, -0x1.63237b75910c2p-4, -0x1.5df96f08a08dap-4, -0x1.58d67c25728bdp-4, -0x1.53bb277df4056p-4, -0x1.4ea7ed3e43bdep-4, -0x1.499d4170b182cp-4, -0x1.449b90612462bp-4, -0x1.3fa33ee6f8b26p-4, -0x1.3ab4aaae5bb4cp-4, -0x1.35d02ab9c781cp-4, -0x1.30f60f9684557p-4, -0x1.2c26a3cdfe1fdp-4, -0x1.27622c1311fdbp-4, -0x1.22a8e775dfc91p-4, -0x1.1dfb0fbc5e6d1p-4, -0x1.1958d9cd1e1p-4, -0x1.14c275a3c8e78p-4, -0x1.10380eb78e42cp-4, -0x1.0bb9cc30a539fp-4, -0x1.0747d128d174ap-4, -0x1.02e23cbba795ep-4, -0x1.fd1254b918e5fp-5, -0x1.f47963cf440fcp-5, -0x1.ebf9cfe7b99bep-5, -0x1.e393bbb9ed764p-5, -0x1.db4743fa90b83p-5, -0x1.d3147fb0b6ba6p-5, -0x1.cafb803b68291p-5, -0x1.c2fc5215046a2p-5, -0x1.bb16fcdea449ap-5, -0x1.b34b8353008dcp-5, -0x1.ab99e404cd059p-5, -0x1.a402194d63c99p-5, -0x1.9c84199450cf2p-5, -0x1.951fd79499ff9p-5, -0x1.8dd542a14246fp-5, -0x1.86a4469997097p-5, -0x1.7f8ccc5aecf6ep-5, -0x1.788eb9c477181p-5, -0x1.71a9f1e60f373p-5, -0x1.6ade554fdc463p-5, -0x1.642bc2059ded1p-5, -0x1.5d9213d54a6f1p-5, -0x1.571124580d66ep-5, -0x1.50a8cb20490a6p-5, -0x1.4a58ddd943cffp-5, -0x1.4421306b7a9b2p-5, -0x1.3e01951ef8415p-5, -0x1.37f9dca8f8884p-5, -0x1.3209d64419a75p-5, -0x1.2c314ffd65789p-5, -0x1.2670167e3c6c2p-5, -0x1.20c5f5527330ap-5, -0x1.1b32b71ac84abp-5, -0x1.15b62534030d1p-5, -0x1.10500877b0c09p-5, -0x1.0b0028b72fa1dp-5, -0x1.05c64d0e60f6dp-5, -0x1.00a23be7fec5ep-5, -0x1.f7277666e7547p-6, -0x1.ed3520953f13ep-6, -0x1.e36cff7739c65p-6, -0x1.d9ce9d0259028p-6, -0x1.d059808f42cfap-6, -0x1.c70d31cef93dp-6, -0x1.bde937e843517p-6, -0x1.b4ed1978bb424p-6, -0x1.ac185c7ab0032p-6, -0x1.a36a876426affp-6, -0x1.9ae31fbf1e457p-6, -0x1.9281ab7a4b738p-6, -0x1.8a45b05e14538p-6, -0x1.822eb422b9891p-6, -0x1.7a3c3cc230a9bp-6, -0x1.726dd0a1c42cfp-6, -0x1.6ac2f5dfd1ff5p-6, -0x1.633b337bf37f6p-6, -0x1.5bd610447785bp-6, -0x1.549313ced041fp-6, -0x1.4d71c621458e5p-6, -0x1.4671afad63f7dp-6, -0x1.3f92596c58afep-6, -0x1.38d34d0f9d09bp-6, -0x1.323414c89ac61p-6, -0x1.2bb43ba1cff4bp-6, -0x1.25534d1113c06p-6, -0x1.1f10d59e46be7p-6, -0x1.18ec624f0e07fp-6, -0x1.12e58135a402ep-6, -0x1.0cfbc0d7d436bp-6, -0x1.072eb106d72b8p-6, -0x1.017de221a52a5p-6, -0x1.f7d1cb25c182p-7, -0x1.ecde9b4390aa2p-7, -0x1.e2215b3a1d088p-7, -0x1.d7993319456e9p-7, -0x1.cd454d8b0108bp-7, -0x1.c324d65e4ee8cp-7, -0x1.b936fc8234f34p-7, -0x1.af7aef8b4824cp-7, -0x1.a5efe236662d1p-7, -0x1.9c9508f740364p-7, -0x1.93699a15e4b8p-7, -0x1.8a6cce683ae3ap-7, -0x1.819de061f2ccdp-7, -0x1.78fc0d393baedp-7, -0x1.708693b5ecfc2p-7, -0x1.683cb4fc85b01p-7, -0x1.601db47f9251ap-7, -0x1.5828d7cb717bcp-7, -0x1.505d66750f4ccp-7, -0x1.48baaa78d82bap-7, -0x1.413fefd7f496ep-7, -0x1.39ec84bd4d233p-7, -0x1.32bfb99b849dap-7, -0x1.2bb8e169a345ep-7, -0x1.24d750efad8c3p-7, -0x1.1e1a5eb522b46p-7, -0x1.17816454cf766p-7, -0x1.110bbd2313fc8p-7, -0x1.0ab8c69f3f655p-7, -0x1.0487e0a017803p-7, -0x1.fcf0da1ed3512p-8, -0x1.f1139da579e75p-8, -0x1.e576dda68fbb3p-8, -0x1.da1964e1dd391p-8, -0x1.cefa0aefce2cep-8, -0x1.c417a8a3b90a6p-8, -0x1.b9711b7f26788p-8, -0x1.af05449504d36p-8, -0x1.a4d30a2819f16p-8, -0x1.9ad9552b3130ap-8, -0x1.911713aa6d4eap-8, -0x1.878b3802cc8b5p-8, -0x1.7e34b827b9329p-8, -0x1.75128d94537a4p-8, -0x1.6c23b6de7eea4p-8, -0x1.6367354786f03p-8, -0x1.5adc0f7506b8bp-8, -0x1.52814ea59971cp-8, -0x1.4a5600a1689dap-8, -0x1.425936d6a1637p-8, -0x1.3a8a066cd6aedp-8, -0x1.32e78871404d5p-8, -0x1.2b70d982572a4p-8, -0x1.24251a0e5da1fp-8, -0x1.1d036e154a961p-8, -0x1.160afd2c1edcp-8, -0x1.0f3af28aeed47p-8, -0x1.08927ce657e04p-8, -0x1.0210ce7e06617p-8, -0x1.f76a3a43ad9f6p-9, -0x1.eafd4331a903cp-9, -0x1.ded931aa1e258p-9, -0x1.d2fc854009aa1p-9, -0x1.c765c3a2f4784p-9, -0x1.bc1379c1f9145p-9, -0x1.b1043ba825863p-9, -0x1.a636a245b7719p-9, -0x1.9ba94d9269bdfp-9, -0x1.915ae3f22eb17p-9, -0x1.874a11cef104dp-9, -0x1.7d7588d7accadp-9, -0x1.73dc02b7016f4p-9, -0x1.6a7c3d833b0c7p-9, -0x1.6154fc8e28827p-9, -0x1.58650aca19242p-9, -0x1.4fab378d97ed6p-9, -0x1.4726591710261p-9, -0x1.3ed54845617e3p-9, -0x1.36b6e6afea431p-9, -0x1.2eca197467458p-9, -0x1.270dcb62e60b1p-9, -0x1.1f80ec8b57b4p-9, -0x1.1822721843a9cp-9, -0x1.10f156fc2cc93p-9, -0x1.09ec99a9b5abbp-9, -0x1.03133f8a4612ap-9, -0x1.f8c8a2fc2e286p-10, -0x1.ebbdbb66b2c5dp-10, -0x1.df03ee3ef3d87p-10, -0x1.d2996a18eb634p-10, -0x1.c67c66903de9fp-10, -0x1.baab281a09839p-10, -0x1.af23f191bfd3ep-10, -0x1.a3e51b1aeee2ep-10, -0x1.98ecff0c4f13dp-10, -0x1.8e39fb3ee5d86p-10, -0x1.83ca802274b7bp-10, -0x1.799cfe8c9d915p-10, -0x1.6faff4a211e7dp-10, -0x1.6601e17843007p-10, -0x1.5c9153e251294p-10, -0x1.535ce0dc156f4p-10, -0x1.4a6324411dcf9p-10, -0x1.41a2c287624cep-10, -0x1.391a66ebf1107p-10, -0x1.30c8c363c32f3p-10, -0x1.28ac916a905bdp-10, -0x1.20c48a6231bdep-10, -0x1.190f77a32bceep-10, -0x1.118c1ebe2b3f2p-10, -0x1.0a394fbc809ecp-10, -0x1.0315e15ecb237p-10, -0x1.f84161e7778a1p-11, -0x1.eab146d57512dp-11, -0x1.dd794ce203fc2p-11, -0x1.d0975eab856cap-11, -0x1.c409722a92b94p-11, -0x1.b7cd9159b57dcp-11, -0x1.abe1c8ebecca9p-11, -0x1.a0442fead5601p-11, -0x1.94f2e5d676c09p-11, -0x1.89ec082b46c98p-11, -0x1.7f2dc62007f9ap-11, -0x1.74b6496d1dc58p-11, -0x1.6a83cfc1e2c98p-11, -0x1.6094973b7e666p-11, -0x1.56e6f4732bf18p-11, -0x1.4d79492c70bcdp-11, -0x1.444a074d37cb8p-11, -0x1.3b57b04bd84d1p-11, -0x1.32a0cd512ed07p-11, -0x1.2a23f817fbd2dp-11, -0x1.21dfc602c81dbp-11, -0x1.19d2de810d718p-11, -0x1.11fbe2ee805f7p-11, -0x1.0a59738b2f756p-11, -0x1.02ea3a115575ep-11, -0x1.f759c9c9ffd3cp-12, -0x1.e940433576166p-12, -0x1.db856a0d411cp-12, -0x1.ce26cc594968bp-12, -0x1.c12214398d434p-12, -0x1.b475077cf5bc8p-12, -0x1.a81d7b837b8cdp-12, -0x1.9c19562d6f3d2p-12, -0x1.906686736161cp-12, -0x1.8503037681b91p-12, -0x1.79ecc23d0e6ddp-12, -0x1.6f21d8a01a36cp-12, -0x1.64a03a4caee93p-12, -0x1.5a660aa67866ep-12, -0x1.50716bae84cf1p-12, -0x1.46c0967fa5fffp-12, -0x1.3d51dd6948248p-12, -0x1.3423970381b31p-12, -0x1.2b343420e8f89p-12, -0x1.22822dc5deb27p-12, -0x1.1a0bfa3711d4cp-12, -0x1.11d018d04ca35p-12, -0x1.09ccf9b56b377p-12, -0x1.02011281c4debp-12, -0x1.f4d5a11c9e3c1p-13, -0x1.e61173ce4ec83p-13, -0x1.d7b2710bf9a45p-13, -0x1.c9b5ed0b48aaep-13, -0x1.bc191ac06eedbp-13, -0x1.aed993ae978f1p-13, -0x1.a1f512afd65cfp-13, -0x1.956981a35838p-13, -0x1.8934ee0047277p-13, -0x1.7d557397d3dbbp-13, -0x1.71c92df665f23p-13, -0x1.668e2bb83ab6bp-13, -0x1.5ba25c8b8a026p-13, -0x1.5103ad7e56702p-13, -0x1.46afcaaab47a9p-13, -0x1.3ca47c4f7d03cp-13, -0x1.32df82bc53b69p-13, -0x1.295e9e738b1cbp-13, -0x1.201fc77912c04p-13, -0x1.1721103d53622p-13, -0x1.0e60a88acb284p-13, -0x1.05dcfd9202c54p-13, -0x1.fb29285bd11edp-14, -0x1.eb0c097b19184p-14, -0x1.db6017571f4e3p-14, -0x1.cc22d879058f1p-14, -0x1.bd51dfa798a7fp-14, -0x1.aeeab66715bf2p-14, -0x1.a0eabdc946aeap-14, -0x1.934f37bbbfe14p-14, -0x1.86157213b1dd4p-14, -0x1.793a8749f396bp-14, -0x1.6cbbb2dc450a1p-14, -0x1.60964a59714fp-14, -0x1.54c7d41883e9cp-14, -0x1.494e07b695db5p-14, -0x1.3e26b869f40ccp-14, -0x1.334fc236ef9bep-14, -0x1.28c6f50553418p-14, -0x1.1e8a09dd0d1d7p-14, -0x1.1496ad7597bb5p-14, -0x1.0aea7cee5d1d2p-14, -0x1.018378d82f3d7p-14, -0x1.f0bf0b71f4feep-15, -0x1.def9fa030a70ap-15, -0x1.cdb4d8246300ep-15, -0x1.bcecd231043eap-15, -0x1.ac9f226411b2ep-15, -0x1.9cc8f4ba28ceap-15, -0x1.8d677a415b0cbp-15, -0x1.7e77e671818dcp-15, -0x1.6ff7b994e1035p-15, -0x1.61e4b351fffdfp-15, -0x1.543ca85575a06p-15, -0x1.46fd4ce1441ep-15, -0x1.3a23cabb2fb83p-15, -0x1.2dad04203ab3cp-15, -0x1.219521ffbc782p-15, -0x1.15d833c4fad31p-15, -0x1.0a7299316900dp-15, -0x1.fec1c0704689cp-16, -0x1.e93fcd36ea6e7p-16, -0x1.d45b7c75f6044p-16, -0x1.c0105d077f8fep-16, -0x1.ac5b2e634084cp-16, -0x1.993a454990e48p-16, -0x1.86aaf89e0e88bp-16, -0x1.74abac2b31528p-16, -0x1.633a26bf5366bp-16, -0x1.525454ba166f6p-16, -0x1.41f737b22242ep-16, -0x1.3220a11fcd8a2p-16, -0x1.22ccd58e47a97p-16, -0x1.13f84134ee20dp-16, -0x1.059da9fe96ff7p-16, -0x1.ef71806e57137p-17, -0x1.d4898b28abd28p-17, -0x1.ba7a50862d86ap-17, -0x1.a13cfdfdee472p-17, -0x1.88cc0389a3f98p-17, -0x1.71218f4323073p-17, -0x1.5a36e6c22ed06p-17, -0x1.4404c5e483474p-17, -0x1.2e843a379f3bp-17, -0x1.19b12e1020ea7p-17, -0x1.05899ce203013p-17, -0x1.e41c5ae675fb5p-18, -0x1.be7f3814b0d76p-18, -0x1.9a393a97fdb8fp-18, -0x1.7741eba510991p-18, -0x1.5590c5f7d63c4p-18, -0x1.35189151d81a8p-18, -0x1.15ce125645e7p-18, -0x1.ef4c10c83328ep-19, -0x1.b52cfe6e87cfep-19, -0x1.7d270b4c711c1p-19, -0x1.4724efddf1d87p-19, -0x1.131a895db46fdp-19, -0x1.c1fc96cf4c14cp-20, -0x1.6197aad2214e2p-20, -0x1.04f62dd0d670dp-20, -0x1.57f4aa7eb11b4p-21, -0x1.59f316748c607p-22, -0x1.13ba14ba92b9ap-26, 0x1.2aa1a0e713708p-22, 0x1.2cf9dfb81ed6fp-21, 0x1.be5fed9f2d57fp-21, 0x1.24c2251ecc0bep-20, 0x1.673bf4f735966p-20, 0x1.a6af8fcf76b9bp-20, 0x1.e3355a34eaefdp-20, 0x1.0e74b33d9ce86p-19, 0x1.29f11b2dc1111p-19, 0x1.441c39bf1a937p-19, 0x1.5cfc373ebf45dp-19, 0x1.749ce93748a0dp-19, 0x1.8b0b9a0bd5e8cp-19, 0x1.a055e5908b9b9p-19, 0x1.b4860f6060c68p-19, 0x1.c7a245551eb7p-19, 0x1.d9aee5a9ac27fp-19, 0x1.eaaaa32659c75p-19, 0x1.fa9ff5860ffbbp-19, 0x1.04c840e879244p-18, 0x1.0bc288d72f0d3p-18, 0x1.12419b4508769p-18, 0x1.1848605100bf4p-18, 0x1.1ddb8e9161e0fp-18, 0x1.2301ac5de5549p-18, 0x1.27c0451985e15p-18, 0x1.2c1a6c56291e8p-18, 0x1.301044489b9f2p-18, 0x1.33a11b0795a75p-18, 0x1.36d16ae71aa95p-18, 0x1.39a41891d336ap-18, 0x1.3c1a0a184b0acp-18, 0x1.3e338c70e53bcp-18, 0x1.3ff33713b95b6p-18, 0x1.415ed4e613416p-18, 0x1.427d3470a88c1p-18, 0x1.43536991c1dcep-18, 0x1.43e30c1cc8893p-18, 0x1.442d246b85681p-18, 0x1.442e66f3a8106p-18, 0x1.43eb506faa422p-18, 0x1.4365b95257b9cp-18, 0x1.429e2e3ba77fdp-18, 0x1.41936a941e279p-18, 0x1.404598ff16ee4p-18, 0x1.3eb835861585p-18, 0x1.3cf197b2041b1p-18, 0x1.3af86c35af805p-18, 0x1.38d08b6bfb7fp-18, 0x1.36792e64fc23bp-18, 0x1.33f061d10a02ap-18, 0x1.3135af8cfb967p-18, 0x1.2e4c6251ab30fp-18, 0x1.2b38284ea5ddap-18, 0x1.27f631b959f6bp-18, 0x1.2485ab9dfa9c5p-18, 0x1.20e931ed373dap-18, 0x1.1d248564f3cd4p-18, 0x1.193c87546363ep-18, 0x1.1535855e2a6cp-18, 0x1.11105d9dc5c4bp-18, 0x1.0ccafd79a8473p-18, 0x1.08650e896a5fcp-18, 0x1.03e0979444b9fp-18, 0x1.fe80dd2c4d6ecp-19, 0x1.f50874597c2a6p-19, 0x1.eb55ee64467d4p-19, 0x1.e16a48eba287bp-19, 0x1.d74c13932e31dp-19, 0x1.ccfd011257a57p-19, 0x1.c282798e3fe98p-19, 0x1.b7dd7fc7c7a96p-19, 0x1.ad18bb182fcdp-19, 0x1.a2323393d3a81p-19, 0x1.97254c0da62e1p-19, 0x1.8bf659ffb0a47p-19, 0x1.80aae0a195a52p-19, 0x1.7541be419c14fp-19, 0x1.69b8a8ad2072bp-19, 0x1.5e1155cab564fp-19, 0x1.524eb35a8a6e6p-19, 0x1.46741c0df9be3p-19, 0x1.3a83b6ff6b25ep-19, 0x1.2e81268e107a4p-19, 0x1.227296b063889p-19, 0x1.16563e6e45d5dp-19, 0x1.0a27e80eeb1bep-19, 0x1.fbd84a0829a7ap-20, 0x1.e35151af402d3p-20, 0x1.cab211584bcd7p-20, 0x1.b1ff707663d27p-20, 0x1.9934f84452318p-20, 0x1.8063081dcff48p-20, 0x1.67876f8a5aba7p-20, 0x1.4ea43adb986c6p-20, 0x1.35b9f48e92faep-20, 0x1.1ccad4dfa4ccbp-20, 0x1.03dea2ffa3fdp-20, 0x1.d5ef83f29aa08p-21, 0x1.a4288b2d4023dp-21, 0x1.727607cf52c18p-21, 0x1.40db7d7329604p-21, 0x1.0f4ef4237af43p-21, 0x1.bbac28d282f06p-22, 0x1.58f9c8d79e7fcp-22, 0x1.ed163d88e2b49p-23, 0x1.28eb363c28405p-23, 0x1.952eaf283335p-25, -0x1.7700cff66fa1cp-25, -0x1.200056ee724a4p-23, -0x1.e16d67aabf281p-23, -0x1.50edc9a472552p-22, -0x1.b0b67debb2c2ep-22, -0x1.07fcb08a28b0bp-21, -0x1.3759da84320f8p-21, -0x1.667facf99fa88p-21, -0x1.955dc1a87129ap-21, -0x1.c3f29b1b0c517p-21, -0x1.f23fa6ecec425p-21, -0x1.101701408464dp-20, -0x1.26e8bb89ffb16p-20, -0x1.3d9024bf556b8p-20, -0x1.540f7863d643ap-20, -0x1.6a655094699fp-20, -0x1.808c29825d051p-20, -0x1.96837597d510cp-20, -0x1.ac4b84e71b2f9p-20, -0x1.c1dc5647dfdd2p-20, -0x1.d741bca7e020bp-20, -0x1.ec78916548be3p-20, -0x1.00bc853931135p-19, -0x1.0b221e3b42881p-19, -0x1.156d5dc0c01f5p-19, -0x1.1f9c4290069d7p-19, -0x1.29b05cac98a91p-19, -0x1.33a90fdf2a81bp-19, -0x1.3d86ffa7d0ecdp-19, -0x1.47497cdf0c907p-19, -0x1.50ef231148fa8p-19, -0x1.5a7559562798ap-19, -0x1.63df29b41dda2p-19, -0x1.6d2b69c956a02p-19, -0x1.7659f12f72931p-19, -0x1.7f6b09a3e05f2p-19, -0x1.885d8374c5519p-19, -0x1.9130c002bb1eap-19, -0x1.99e4c5f59e9a4p-19, -0x1.a27a1737bc787p-19, -0x1.aaef855fab703p-19, -0x1.b344fb61258f4p-19, -0x1.bb7d2a1c13952p-19, -0x1.c395230a41c46p-19, -0x1.cb8c8ff0e7a18p-19, -0x1.d361cf23b1f9cp-19, -0x1.db18d9da12706p-19, -0x1.e2b06160a2daap-19, -0x1.ea26477e1aa94p-19, -0x1.f17bd3d792d8fp-19, -0x1.f8b0b61d4ae9bp-19, -0x1.ffc4d66c8aa31p-19, -0x1.035c1a77a67d3p-18, -0x1.06c55f079f8c7p-18, -0x1.0a1e241f19716p-18, -0x1.0d6660e3b64b8p-18, -0x1.109e142103604p-18, -0x1.13c53fdc7fb9bp-18, -0x1.16dbf2ec53ccbp-18, -0x1.19e32bb545c8dp-18, -0x1.1cd88a493ab7fp-18, -0x1.1fbd8d84c20ffp-18, -0x1.22925545acadp-18, -0x1.2556e6fef6443p-18, -0x1.280acae86dda2p-18, -0x1.2aadeead17d9ap-18, -0x1.2d430ea8a1792p-18, -0x1.2fc44437ed9c5p-18, -0x1.3235fc5de7da2p-18, -0x1.349665e2b4d2fp-18, -0x1.36e95317f1e3cp-18, -0x1.392bfe90c1285p-18, -0x1.3b5d460f72297p-18, -0x1.3d7e4fbd35eeap-18, -0x1.3f8fa10717a0dp-18, -0x1.4190bf6eaa44p-18, -0x1.4381d362fe532p-18, -0x1.4562f36ec98a5p-18, -0x1.47343b16dd844p-18, -0x1.48f5b9b310386p-18, -0x1.4aa7580e53d05p-18, -0x1.4c4978806779dp-18, -0x1.4ddc22bcf5ef7p-18, -0x1.4f5f4817f447fp-18, -0x1.50d2f6f0858f6p-18, -0x1.52373f4acba23p-18, -0x1.538ca2507a843p-18, -0x1.54d2929cdd82dp-18, -0x1.560994c226b5bp-18, -0x1.573183f56e7a7p-18, -0x1.584a4c7eec0f3p-18, -0x1.5954b3372e6fdp-18, -0x1.5a4febc56bb3fp-18, -0x1.5b3cd36b00fe4p-18, -0x1.5c1b4139c4a74p-18, -0x1.5ceb2c1b1794dp-18, -0x1.5dacb4afa53a4p-18, -0x1.5e6001f2a842fp-18, -0x1.5f053f7610cdbp-18, -0x1.5f9c61fd55681p-18, -0x1.602619bef9a4fp-18, -0x1.60a16efce6f54p-18, -0x1.610f993aa66b7p-18, -0x1.6170087d4a4b9p-18, -0x1.61c310dcd8eb8p-18, -0x1.6207e4135c904p-18, -0x1.624123b9664b7p-18, -0x1.626c937613947p-18, -0x1.628b25ee067c6p-18, -0x1.629c7321c4d29p-18, -0x1.62a153ac8128dp-18, -0x1.6299f8d997e18p-18, -0x1.62835c1cc1709p-18, -0x1.6264d12618f89p-18, -0x1.6237ae618eebap-18, -0x1.61fe8373561c4p-18, -0x1.61ba21aeb5bd8p-18, -0x1.6168ea18f724p-18, -0x1.610c3165c432bp-18, -0x1.60a3e652b0e69p-18, -0x1.603024592680bp-18, -0x1.5fafc3ca4c578p-18, -0x1.5f26b83acb874p-18, -0x1.5e916ac928785p-18, -0x1.5df182e146593p-18, -0x1.5d45e808b3dbbp-18, -0x1.5c9005f16eb59p-18, -0x1.5bcf630e23dbcp-18, -0x1.5b0459d12d7cp-18, -0x1.5a2efe0ffc55p-18, -0x1.594f986ee730ap-18, -0x1.5865f7c07c3e4p-18, -0x1.5772a4f17c9d9p-18, -0x1.567548ca9af07p-18, -0x1.556e7571a25abp-18, -0x1.545df50122105p-18, -0x1.5343f992371cap-18, -0x1.5220c115f0b78p-18, -0x1.50f472d9932a7p-18, -0x1.4fbf3340ee477p-18, -0x1.4e8109bd20107p-18, -0x1.4d3aa6f17251ep-18, -0x1.4be94588b2554p-18, -0x1.4a92d0bcc15dap-18, -0x1.4932591f63abbp-18, -0x1.47c9b903b819p-18, -0x1.46590dbc7ba9bp-18, -0x1.44e071ad95765p-18, -0x1.435ff89644ee8p-18, -0x1.41d79570fcbe8p-18, -0x1.4047e2a6f1242p-18, -0x1.3eb195d20e05fp-18, -0x1.3d11eec37d279p-18, -0x1.3b6c6278db8dcp-18, -0x1.39bf951b25afep-18, -0x1.380be7a2f64edp-18, -0x1.365138bc6726p-18, -0x1.349015dbd42c6p-18, -0x1.32c83e9a79826p-18, -0x1.30fa31d55ec88p-18, -0x1.2f23a38c9307bp-18, -0x1.2d4adf3c9f5fp-18, -0x1.2b69ef0cf2b57p-18, -0x1.298329c569fe7p-18, -0x1.2796b6acad505p-18, -0x1.25a4b9966f939p-18, -0x1.23acb6cf40aa4p-18, -0x1.21af73019d2d4p-18, -0x1.1facfb1556462p-18, -0x1.1da6021295142p-18, -0x1.1b984983f6078p-18, -0x1.198644f063ea8p-18, -0x1.176f86094e1bdp-18, -0x1.1553a382ffafbp-18, -0x1.1333b117be6b7p-18, -0x1.11107af567b8dp-18, -0x1.0ee5d66f9f907p-18, -0x1.0cb7a11f67dfdp-18, -0x1.0a86beaa5e61dp-18, -0x1.08511eac8f9e5p-18, -0x1.0617b809d5df3p-18, -0x1.03d994f9f5d0bp-18, -0x1.0198f2510348ep-18, -0x1.fea89dc71cbb5p-19, -0x1.fa17b60c8aa3ep-19, -0x1.f58053c079a82p-19, -0x1.f0e2635c4f374p-19, -0x1.ec39e9c5694ebp-19, -0x1.e7932c6ac3cap-19, -0x1.e2e2058c16f3bp-19, -0x1.de2b945d5ed2ap-19, -0x1.d96ebf4391bbbp-19, -0x1.d4ada9814c69p-19, -0x1.cfe6aced049adp-19, -0x1.cb1b714137703p-19, -0x1.c64b7c0140c57p-19, -0x1.c17694f6b6613p-19, -0x1.bc9d4e96dbdb2p-19, -0x1.b7bfb944662p-19, -0x1.b2de41c329f9cp-19, -0x1.adf5151c46b99p-19, -0x1.a90f83e12ba49p-19, -0x1.a42296e97474cp-19, -0x1.9f3303217d03p-19, -0x1.9a402c1bb28c4p-19, -0x1.954f5d4a6dad2p-19, -0x1.90519a91f82edp-19, -0x1.8b565682a4635p-19, -0x1.86586875e7226p-19, -0x1.8158d13a2a029p-19, -0x1.7c56e91afe4f6p-19, -0x1.7753705a9093dp-19, -0x1.724e62d96d02bp-19, -0x1.6d4770d50f4ddp-19, -0x1.683e9e6018e44p-19, -0x1.63350daf37882p-19, -0x1.5e2a1634d2113p-19, -0x1.591e9f7377659p-19, -0x1.5412207e61356p-19, -0x1.4f058621aaa72p-19, -0x1.49f50404fc2cbp-19, -0x1.44ea6f39d240fp-19, -0x1.3fdc95e3e8be7p-19, -0x1.3acea04bfd206p-19, -0x1.35c0f4aeabbcep-19, -0x1.30b3552570ecdp-19, -0x1.2ba5d08acedep-19, -0x1.2699235f490c7p-19, -0x1.218db0b49b22cp-19, -0x1.1c82a7ddb71bcp-19, -0x1.17789400e6461p-19, -0x1.126f8ecebd903p-19, -0x1.0d67bfe922f74p-19, -0x1.086178d584bfp-19, -0x1.035cfcb91ce16p-19, -0x1.fcaddafc88608p-20, -0x1.f2af0694b72f7p-20, -0x1.e8afa4a4f6479p-20, -0x1.deb394273ca3cp-20, -0x1.d4bce5195526cp-20, -0x1.cac97b128e0fdp-20, -0x1.c0da5c87a1169p-20, -0x1.b6f09d4594c45p-20, -0x1.ad0c349653bbbp-20, -0x1.a32d2b0fb46f1p-20, -0x1.9953b80d4ca33p-20, -0x1.8f7f70912d535p-20, -0x1.85b0429c9fb3dp-20, -0x1.7bdf03afabb93p-20, -0x1.7225f7c5afb38p-20, }}, 
      {{-0x1.ce482a5b6d751p-5, -0x1.92b8eda6100dfp-3, -0x1.7e3b4af66a0f5p-2, -0x1.0c81142a5037p-1, -0x1.3a51b4cf6b054p-1, -0x1.43c612e55e8f5p-1, -0x1.2d3cd85cc8f23p-1, -0x1.ff043fdcd70dp-2, -0x1.88bbcc9edc7e1p-2, -0x1.0915cee1ed054p-2, -0x1.1b20001badb15p-3, -0x1.f46af49a17ce2p-6, 0x1.e521df01e2c3fp-5, 0x1.0888f0d10b611p-3, 0x1.700face438ed3p-3, 0x1.b3d5292581df4p-3, 0x1.d99a73f9c7e2ep-3, 0x1.e7e20cfceed4cp-3, 0x1.e5321c327b3e4p-3, 0x1.d795aad1bb6f6p-3, 0x1.c4507ece3c156p-3, 0x1.afb97af945de4p-3, 0x1.9d30fb7f6d25fp-3, 0x1.8f2a5078a2daep-3, 0x1.87416c029fb19p-3, 0x1.8657784f7a02ep-3, 0x1.8cb26295e57dcp-3, 0x1.9a1cb11831776p-3, 0x1.ae03b932ab853p-3, 0x1.c7930302f05f3p-3, 0x1.e5cc40ac1b2c4p-3, 0x1.03cdbaaed02aep-2, 0x1.15f3b1b09ab1dp-2, 0x1.28cf2f114e537p-2, 0x1.3bdfeeefae791p-2, 0x1.4eb19cc438e55p-2, 0x1.60ddf2bb4ef7fp-2, 0x1.720ddf2b3acebp-2, 0x1.81f9d458fabdfp-2, 0x1.90697ef4b07ep-2, 0x1.9d3306d16f343p-2, 0x1.a839fdb70a01ep-2, 0x1.b16e189b242cbp-2, 0x1.b8c9ce6978f13p-2, 0x1.be50e6b525558p-2, 0x1.c20f10e3a0848p-2, 0x1.c416841628111p-2, 0x1.c47eb3f5fab1p-2, 0x1.c3631e2a08ff1p-2, 0x1.c0e237aaf72c6p-2, 0x1.bd1c7532e306bp-2, 0x1.b833751a0b68ep-2, 0x1.b2494494233f6p-2, 0x1.ab7fc4cb04787p-2, 0x1.a3f82a1973f28p-2, 0x1.9bd2926af0031p-2, 0x1.932db4f6bce28p-2, 0x1.8a26a1a2df09cp-2, 0x1.80d8942c0ce44p-2, 0x1.775cd5b1222ecp-2, 0x1.6dcaab4857346p-2, 0x1.64374f994e374p-2, 0x1.5ab5f45c1035dp-2, 0x1.5157cb94b4082p-2, 0x1.482c15902c165p-2, 0x1.3f40339cd6fe8p-2, 0x1.369fbed330eaap-2, 0x1.2e54a02aaa887p-2, 0x1.26672bac5e14dp-2, 0x1.1ede3bcbacb13p-2, 0x1.17bf4d079d735p-2, 0x1.110e9a15f4f4bp-2, 0x1.0acf3676ca577p-2, 0x1.0503294cca5cep-2, 0x1.ff570cc93154ap-3, 0x1.f5910dc47e2b1p-3, 0x1.ecb33fe2b269ep-3, 0x1.e4bb327797fb8p-3, 0x1.dda5422e82fa1p-3, 0x1.d76cc0aa1019dp-3, 0x1.d20c172973306p-3, 0x1.cd7ce9c66fa7cp-3, 0x1.c9b83414651c2p-3, 0x1.c6b66770d315ep-3, 0x1.c46f833517b83p-3, 0x1.c2db2d1b97267p-3, 0x1.c1f0c61ab4081p-3, 0x1.c1a77eb56244ap-3, 0x1.c1f6676bb63a1p-3, 0x1.c2d48081318cep-3, 0x1.c438c8577ddefp-3, 0x1.c61a47e1847e1p-3, 0x1.c8701d8c0da58p-3, 0x1.cb31861a231e9p-3, 0x1.ce55e68c94fb9p-3, 0x1.d1d4d1fc4406dp-3, 0x1.d5a611745e754p-3, 0x1.d9c1a700734b8p-3, 0x1.de1fd48a4a7b8p-3, 0x1.e2b91d4659eefp-3, 0x1.e78649a61172ep-3, 0x1.ec8069b31590bp-3, 0x1.f1a0d59103c28p-3, 0x1.f6e12ffb4fc2ap-3, 0x1.fc3b653676044p-3, 0x1.00d4d651ba5a1p-2, 0x1.039343b0f2cb2p-2, 0x1.065660524be1ap-2, 0x1.091bb5fefeac9p-2, 0x1.0be0f25460163p-2, 0x1.0ea3e64648181p-2, 0x1.116284c661f6ap-2, 0x1.141ae2aa9e99cp-2, 0x1.16cb35227d3b5p-2, 0x1.1971d0e48158p-2, 0x1.1c0d2984774dfp-2, 0x1.1e9bcff91c61fp-2, 0x1.211c719a3ec02p-2, 0x1.238dd77cbe9ccp-2, 0x1.25eee49c3b155p-2, 0x1.283e9531243b2p-2, 0x1.2a7bfdfe42695p-2, 0x1.2ca64a3534a72p-2, 0x1.2ebcbb02a6437p-2, 0x1.30bea70d44a9ep-2, 0x1.32ab781d56b28p-2, 0x1.3482aaeabde0ap-2, 0x1.3643ce547295dp-2, 0x1.37ee81ddaf044p-2, 0x1.398274a941ddp-2, 0x1.3aff6523ed91ap-2, 0x1.3c65203664b71p-2, 0x1.3db37f17fce93p-2, 0x1.3eea681092b4bp-2, 0x1.4009cd3e651c1p-2, 0x1.4111ab3a57daep-2, 0x1.420208b0e6275p-2, 0x1.42daf656ccdddp-2, 0x1.439c8d8756a43p-2, 0x1.4446ef63c521ap-2, 0x1.44da44c3324edp-2, 0x1.4556be4d9cbe9p-2, 0x1.45bc927c20029p-2, 0x1.460bfd40e2f6fp-2, 0x1.464540d51d21ap-2, 0x1.4668a4cbe4a0dp-2, 0x1.4676743eaf68p-2, 0x1.466efea3352b5p-2, 0x1.465297e97bff1p-2, 0x1.4621972dc29c6p-2, 0x1.45dc5625eaed8p-2, 0x1.45833159e228fp-2, 0x1.451688334f5adp-2, 0x1.4496bc2e384aep-2, 0x1.440430124effcp-2, 0x1.435f4890c466cp-2, 0x1.42a86bd8723a7p-2, 0x1.41e00130a68f1p-2, 0x1.410670da91f02p-2, 0x1.401c2347133fdp-2, 0x1.3f2182063a334p-2, 0x1.3e16f700ee1dcp-2, 0x1.3cfcec57a0c47p-2, 0x1.3bd3cb996ff7ep-2, 0x1.3a9bfed4aae95p-2, 0x1.3955efef85fd3p-2, 0x1.3802085942662p-2, 0x1.36a0b0fc473edp-2, 0x1.353251fdfb3bcp-2, 0x1.33b753380fc19p-2, 0x1.32301bd97adc6p-2, 0x1.309d123b53c0fp-2, 0x1.2efe9b714aae6p-2, 0x1.2d551bb451c34p-2, 0x1.2ba0f6a4cf8b2p-2, 0x1.29e28e849f822p-2, 0x1.281a4487fce16p-2, 0x1.2648788f7df18p-2, 0x1.246d895a389eap-2, 0x1.2289d4181e232p-2, 0x1.209db5b43dc1bp-2, 0x1.1ea988e9a803ap-2, 0x1.1cada6f3234dbp-2, 0x1.1aaa682540a26p-2, 0x1.18a023515b349p-2, 0x1.168f2df0d0214p-2, 0x1.1477dc19be27fp-2, 0x1.125a80457a687p-2, 0x1.10376b7e9c084p-2, 0x1.0e0eed660fd1cp-2, 0x1.0be1545bcd601p-2, 0x1.09aeed2bc30c7p-2, 0x1.07780319042d8p-2, 0x1.053ce0012445cp-2, 0x1.02fdcc30cd96ep-2, 0x1.00bb0e916338fp-2, 0x1.fce9d9a7b9d25p-3, 0x1.f85756577bdbp-3, 0x1.f3bf17e49d802p-3, 0x1.ef21a0ba4bba4p-3, 0x1.ea7f70903a885p-3, 0x1.e5d9042ce4998p-3, 0x1.e12ed55456378p-3, 0x1.dc815b445b3c9p-3, 0x1.d7d10a979c331p-3, 0x1.d31e54b04b64ep-3, 0x1.ce69a88515278p-3, 0x1.c9b372770ecd1p-3, 0x1.c4fc1c2d2b1ebp-3, 0x1.c0440cb35e422p-3, 0x1.bb8ba867a3a5p-3, 0x1.b6d35108bd454p-3, 0x1.b21b65f566586p-3, 0x1.ad6443f6cafb9p-3, 0x1.a8ae45266b2bbp-3, 0x1.a3f9c1cf2f564p-3, 0x1.9f470f4410b87p-3, 0x1.9a96805e3227p-3, 0x1.95e8661587569p-3, 0x1.913d0e9a051a8p-3, 0x1.8c94c6145ff4cp-3, 0x1.87efd6884ff2ep-3, 0x1.834e877a9ba08p-3, 0x1.7eb11e65f8d19p-3, 0x1.7a17de98df297p-3, 0x1.758309302e8d4p-3, 0x1.70f2dd47348fap-3, 0x1.6c6797dbfe4e8p-3, 0x1.67e173e564e74p-3, 0x1.6360aa834eb24p-3, 0x1.5ee5728679403p-3, 0x1.5a70016b08387p-3, 0x1.560089f5b640cp-3, 0x1.51973da0f74fbp-3, 0x1.4d344bf32d052p-3, 0x1.48d7e29f29879p-3, 0x1.44822d8ed8105p-3, 0x1.403356ee63406p-3, 0x1.3beb873c6c011p-3, 0x1.37aae540f5965p-3, 0x1.3371960c4196fp-3, 0x1.2f3fbd0ace5fp-3, 0x1.2b157c7d16535p-3, 0x1.26f2f4631e08dp-3, 0x1.22d843f01972ep-3, 0x1.1ec58853c2e4cp-3, 0x1.1abadcf20f4afp-3, 0x1.16b85d3ed985ep-3, 0x1.12be2170c4d45p-3, 0x1.0ecc41438bf3fp-3, 0x1.0ae2d32470112p-3, 0x1.0701ebfa8b968p-3, 0x1.03299f61cbca3p-3, 0x1.feb3ff8dca9c8p-4, 0x1.f7263c034d74fp-4, 0x1.efaa14d791041p-4, 0x1.e83fa6af625ecp-4, 0x1.e0e70cf99c90ap-4, 0x1.d9a0607a4cecep-4, 0x1.d26bb7c65a6fap-4, 0x1.cb4926fbe1e38p-4, 0x1.c438c0f86901ep-4, 0x1.bd3a952ada619p-4, 0x1.b64eb21d65021p-4, 0x1.af752400d3a11p-4, 0x1.a8adf50354241p-4, 0x1.a1f92d64010dcp-4, 0x1.9b56d3e041373p-4, 0x1.94c6ecf12bcbfp-4, 0x1.8e497bec3e572p-4, 0x1.87de81b5cb3c8p-4, 0x1.8185fe71fd9abp-4, 0x1.7b3fefbac58a3p-4, 0x1.750c52228785ap-4, 0x1.6eeb20b1bb494p-4, 0x1.68dc54d50b649p-4, 0x1.62dfe697799ffp-4, 0x1.5cf5ccb3ae1bp-4, 0x1.571dfc401c6fcp-4, 0x1.5158699ddd625p-4, 0x1.4ba5070d364ap-4, 0x1.4603c68220f1fp-4, 0x1.4074977e6096fp-4, 0x1.3af76a593e5fdp-4, 0x1.358c2bd72db6bp-4, 0x1.3032c992a5042p-4, 0x1.2aeb2f7b62c76p-4, 0x1.25b5482b012c1p-4, 0x1.2090fdc50f363p-4, 0x1.1b7e38dca6817p-4, 0x1.167ce21feb02bp-4, 0x1.118ce082c30cbp-4, 0x1.0cae1a2439808p-4, 0x1.07e074c898202p-4, 0x1.0323d542bb487p-4, 0x1.fcf03efe946f4p-5, 0x1.f3ba6e27daafep-5, 0x1.eaa5fcf70b848p-5, 0x1.e1b2af80cbef2p-5, 0x1.d8e047ee248e7p-5, 0x1.d02e8967b11a7p-5, 0x1.c79d338c25228p-5, 0x1.bf2c0515b7f38p-5, 0x1.b6dabd80a8bep-5, 0x1.aea919b9afabp-5, 0x1.a696d6590ad08p-5, 0x1.9ea3afb78d24bp-5, 0x1.96cf600cfe995p-5, 0x1.8f199f9b4d80cp-5, 0x1.87822d88b86c8p-5, 0x1.8008bb2f390cdp-5, 0x1.78ad05836e4a9p-5, 0x1.716ec2a4aa59cp-5, 0x1.6a4daa07ce93ep-5, 0x1.63497188d204ap-5, 0x1.5c61cfc051158p-5, 0x1.55967a2c1515p-5, 0x1.4ee7261d25e18p-5, 0x1.485388a73db5fp-5, 0x1.41db5699e4ab5p-5, 0x1.3b7e43970c60dp-5, 0x1.353c050bd1edcp-5, 0x1.2f144e2f8c2f5p-5, 0x1.2906d36da800ap-5, 0x1.23134824ef374p-5, 0x1.1d3960457839dp-5, 0x1.1778cf815b859p-5, 0x1.11d14957c9a75p-5, 0x1.0c4281dfd1e72p-5, 0x1.06cc2c1d7e90fp-5, 0x1.016dfc232c52bp-5, 0x1.f84f4bdc06832p-6, 0x1.edf1baf7ff381p-6, 0x1.e3c2ade85ed7ep-6, 0x1.d9c18cf788ab5p-6, 0x1.cfedc18c19f74p-6, 0x1.c646b4beabf1fp-6, 0x1.bccbd15ed7a13p-6, 0x1.b37c80d6026b8p-6, 0x1.aa582e8db80edp-6, 0x1.a15e4694f957ap-6, 0x1.988e34e4c6c23p-6, 0x1.8fe766c96bbf7p-6, 0x1.876949d937f14p-6, 0x1.7f134c6d2a577p-6, 0x1.76e4ddf08e36p-6, 0x1.6edd6e42e1178p-6, 0x1.66fc6efe84c1ap-6, 0x1.5f41519b05d9bp-6, 0x1.57ab891a0a186p-6, 0x1.503a8905e1d91p-6, 0x1.48edc62698b29p-6, 0x1.41c4b65c48051p-6, 0x1.3abed07ed7517p-6, 0x1.33db8c6b97797p-6, 0x1.2d1a6264df4abp-6, 0x1.267acd0953091p-6, 0x1.1ffc469d64dfdp-6, 0x1.199e4b1eb908cp-6, 0x1.1360587f08307p-6, 0x1.0d41eccf4216bp-6, 0x1.07428780a7822p-6, 0x1.0161a99d76e0fp-6, 0x1.f73daa2faa70fp-7, 0x1.ebf31a65076cep-7, 0x1.e0e2acfbe04d8p-7, 0x1.d60b6deeff759p-7, 0x1.cb6c6a89ab117p-7, 0x1.c104b96317bddp-7, 0x1.b6d35ef641133p-7, 0x1.acd77dd1fb7b4p-7, 0x1.a310289cb2811p-7, 0x1.997c78cc0326ap-7, 0x1.901b8bb93147ap-7, 0x1.86ec7f7f21e66p-7, 0x1.7dee7698f8353p-7, 0x1.75209498914e7p-7, 0x1.6c82017e9e407p-7, 0x1.6411e7fc06532p-7, 0x1.5bcf771c9f781p-7, 0x1.53b9defb976e6p-7, 0x1.4bd0539afe581p-7, 0x1.44120a8e50524p-7, 0x1.3c7e3c1ca214fp-7, 0x1.35141d06bea8dp-7, 0x1.2dd2ee16f531p-7, 0x1.26b9e727588b9p-7, 0x1.1fc846dfcc814p-7, 0x1.18fd4ed7e0f8cp-7, 0x1.125842eaab48dp-7, 0x1.0bd86bce4c349p-7, 0x1.057d1712f057ap-7, 0x1.fe8b2a4ccd147p-8, 0x1.f26277aca9424p-8, 0x1.e67ec5b62428ep-8, 0x1.dadeca56d7f9ep-8, 0x1.cf813c9929b48p-8, 0x1.c464d1ed0933cp-8, 0x1.b988426676cffp-8, 0x1.aeea433d4c121p-8, 0x1.a4898bfad108p-8, 0x1.9a64d98bfd9dbp-8, 0x1.907aeba6b546cp-8, 0x1.86ca8eaf3116dp-8, 0x1.7d5296db0e151p-8, 0x1.7411e54c54f4cp-8, 0x1.6b076883450dap-8, 0x1.62320e59ae917p-8, 0x1.5990d0f5b7bc7p-8, 0x1.5122a9569ac25p-8, 0x1.48e6938a93fep-8, 0x1.40db89d201b92p-8, 0x1.39008104fb7ecp-8, 0x1.315471cbee2fep-8, 0x1.29d65293db91ap-8, 0x1.228521459281dp-8, 0x1.1b5fe036337eap-8, 0x1.14659b7f2a875p-8, 0x1.0d9569d3ed48ap-8, 0x1.06ee66ce1cf67p-8, 0x1.006fb79823bb9p-8, 0x1.f43108cb3a631p-9, 0x1.e7cfef2ca62e6p-9, 0x1.dbba7b0c1d9a6p-9, 0x1.cfeeef3431a6fp-9, 0x1.c46be36e834f5p-9, 0x1.b92f66a2cc24ap-9, 0x1.ae38095838edcp-9, 0x1.a384359132782p-9, 0x1.9912711621c1ap-9, 0x1.8ee1542b1ba3fp-9, 0x1.84ef80f1264cfp-9, 0x1.7b3baa7864322p-9, 0x1.71c4843f5bdf4p-9, 0x1.6888c41476ec2p-9, 0x1.5f8712bab2848p-9, 0x1.56be11747849bp-9, 0x1.4e2c574486e54p-9, 0x1.45d071486a5c3p-9, 0x1.3da8f603590fep-9, 0x1.35b47d57d7735p-9, 0x1.2df1b64af9123p-9, 0x1.265f65ec38bd5p-9, 0x1.1efc74f347fafp-9, 0x1.17c7e3b62d0dp-9, 0x1.10c0cde5899c3p-9, 0x1.09e66220403f4p-9, 0x1.0337d426ba816p-9, 0x1.f968a4cdbfa7p-10, 0x1.ecb5fd131461cp-10, 0x1.e055ade7532a6p-10, 0x1.d446094b13177p-10, 0x1.c884541ac9bd1p-10, 0x1.bd0e893b2dad4p-10, 0x1.b1e24b06aadc6p-10, 0x1.a6fd51bc6dafep-10, 0x1.9c5d864f39dcp-10, 0x1.9200f7f878488p-10, 0x1.87e5de4bee1c8p-10, 0x1.7e0aada1bf30ep-10, 0x1.746e00d027ea7p-10, 0x1.6b0e90e3f70a2p-10, 0x1.61eb383324e03p-10, 0x1.5902d6649dd56p-10, 0x1.50544b8556131p-10, 0x1.47de6c435b656p-10, 0x1.3f9ff97315b03p-10, 0x1.3797952961747p-10, 0x1.2fc3beb60ee8dp-10, 0x1.28231466a7a06p-10, 0x1.20b3ef135a588p-10, 0x1.19750029e97b8p-10, 0x1.1264f29d578bfp-10, 0x1.0b829620bf363p-10, 0x1.04ccce5af9b2ap-10, 0x1.fc84fd9911423p-11, 0x1.efc4fb65c301ap-11, 0x1.e3571b73a674dp-11, 0x1.d738d9aec6883p-11, 0x1.cb6730e4d1758p-11, 0x1.bfe0c792cc60fp-11, 0x1.b4a2966903f7ap-11, 0x1.a9ab1f976214dp-11, 0x1.9ef9113c60118p-11, 0x1.948ac21eaa5f7p-11, 0x1.8a5f262e65974p-11, 0x1.8074bf1038687p-11, 0x1.76ca1d2e64cf6p-11, 0x1.6d5dd8ff32e4cp-11, 0x1.642eaf8b13587p-11, 0x1.5b3b85a3cbep-11, 0x1.528359133b7cap-11, 0x1.4a04fad0810d8p-11, 0x1.41bee14422427p-11, 0x1.39af1e9432936p-11, 0x1.31d36c6032b0ap-11, 0x1.2a294e38a004dp-11, 0x1.22ae53d8b8ee1p-11, 0x1.1b6059f966f67p-11, 0x1.143d9e807677cp-11, 0x1.0d44c5da8bdf8p-11, 0x1.0674d0105dcdep-11, 0x1.ff99fe77d666dp-12, 0x1.f299c8988c693p-12, 0x1.e5e86b745a572p-12, 0x1.d98597b56956ep-12, 0x1.cd709717e125ep-12, 0x1.c1a8ccc4b2809p-12, 0x1.b62ce60451c22p-12, 0x1.aafba7cf3f048p-12, 0x1.a01304decc987p-12, 0x1.95713bc2a5d38p-12, 0x1.8b1227563a3c7p-12, 0x1.80f2d3208b064p-12, 0x1.7710ed05ca01ep-12, 0x1.6d6913d1c4e19p-12, 0x1.63f93e3a9994bp-12, 0x1.5abfef9e4919bp-12, 0x1.51bb6005f828bp-12, 0x1.48e9f46ce132p-12, 0x1.404864cd31ee8p-12, 0x1.37d5176685542p-12, 0x1.2f8e6a9daf9cbp-12, 0x1.2774a542c836bp-12, 0x1.1f890dd133fdep-12, 0x1.17ccc98edbf8ep-12, 0x1.1040290fd1852p-12, 0x1.08e25b96de05ep-12, 0x1.01b1b40f88571p-12, 0x1.f55864b13f087p-13, 0x1.e79fbbfb96aafp-13, 0x1.da34b177e915bp-13, 0x1.cd172f3cd59edp-13, 0x1.c03f6c3aad175p-13, 0x1.b3ab6d97e9dd1p-13, 0x1.a7591e15a9721p-13, 0x1.9b4832d4ea14p-13, 0x1.8f79123db728fp-13, 0x1.83eb3cfbb0ae2p-13, 0x1.789c47c218b45p-13, 0x1.6d8884e992d2ap-13, 0x1.62ac4414c5063p-13, 0x1.5804aed6dfe54p-13, 0x1.4d91451a0c708p-13, 0x1.435321cc08c6fp-13, 0x1.394b98a101981p-13, 0x1.2f7b0ba6e3861p-13, 0x1.25e089baf9bacp-13, 0x1.1c79ebf43ab81p-13, 0x1.1345545d5007bp-13, 0x1.0a40681fef2b5p-13, 0x1.016b0a857047ep-13, 0x1.f185297e687f7p-14, 0x1.e08c6ab3b4467p-14, 0x1.cfe6bde5b2f7ep-14, 0x1.bf8f38d83591fp-14, 0x1.af829d6bdf3dcp-14, 0x1.9fbff213c82f2p-14, 0x1.9047a1c618244p-14, 0x1.811afc3533c4dp-14, 0x1.723969340593dp-14, 0x1.63a14660855f7p-14, 0x1.5551ac1f00659p-14, 0x1.4749985c38a6fp-14, 0x1.398804d2a8687p-14, 0x1.2c09cdcd6f21bp-14, 0x1.1ec9b56b24bf4p-14, 0x1.11c373308d95ep-14, 0x1.04f6f06780bdep-14, 0x1.f0ca536b5e947p-15, 0x1.d8193835b27f7p-15, 0x1.bfe2e88a97fe1p-15, 0x1.a81d96293fe83p-15, 0x1.90cbffcaedc86p-15, 0x1.79f0f9cb7d526p-15, 0x1.638a2fd8fc8fp-15, 0x1.4d8de0e788868p-15, 0x1.37efd9b63900ap-15, 0x1.22a7eb7659176p-15, 0x1.0db56bd99b668p-15, 0x1.f236d54a11b78p-16, 0x1.c9ba25db537c7p-16, 0x1.a204ab2bd8464p-16, 0x1.7af99f7df7923p-16, 0x1.54aa43ebe78aep-16, 0x1.2f1d11aa2b316p-16, 0x1.0a595d963db93p-16, 0x1.cca8f233550b8p-17, 0x1.85ed696ab2657p-17, 0x1.404e563a4ad06p-17, 0x1.f7642a2119a8fp-18, 0x1.70521ee2e90e1p-18, 0x1.d75aed081b645p-19, 0x1.a63c30e2b65fcp-20, -0x1.6411daa04484p-22, -0x1.279c16857621bp-19, -0x1.0eeb17aab1259p-18, -0x1.8768ac813369ap-18, -0x1.fd6a8abd8d756p-18, -0x1.38905a8498847p-17, -0x1.716aabf5b8ce4p-17, -0x1.a96585492d251p-17, -0x1.e07ebdc3bdd27p-17, -0x1.0b4be5d87b7e1p-16, -0x1.25d262f433e7ap-16, -0x1.3fd8f91046666p-16, -0x1.5967e9b62f291p-16, -0x1.7279cf6d89f07p-16, -0x1.8b05a478dc2fcp-16, -0x1.a30b9e7e0e25bp-16, -0x1.ba9126457d7f4p-16, -0x1.d1992d330613dp-16, -0x1.e82ed08f99246p-16, -0x1.fe5c5d540ac42p-16, -0x1.0a1164069b773p-15, -0x1.14c12b42bd901p-15, -0x1.1f3676ed536a8p-15, -0x1.297457d97b048p-15, -0x1.3380340a87299p-15, -0x1.3d56c0ada6cb4p-15, -0x1.46f380c0b83ebp-15, -0x1.5057b3e14db9fp-15, -0x1.598602ec30b2p-15, -0x1.627d6a5a04223p-15, -0x1.6b42048a5775dp-15, -0x1.73d75a3d9d80fp-15, -0x1.7c4149d4da5f7p-15, -0x1.847b439bc6c3p-15, -0x1.8c833eadcf932p-15, -0x1.945dbb226df39p-15, -0x1.9c052fe14fedcp-15, -0x1.a380ee0b07304p-15, -0x1.aacaab5f272dbp-15, -0x1.b1e3f7526b8d1p-15, -0x1.b8d14a7041665p-15, -0x1.bf916219cd817p-15, -0x1.c6250c6dd5ab4p-15, -0x1.cc8b6da7d0031p-15, -0x1.d2c462f8bb357p-15, -0x1.d8d3f620f685bp-15, -0x1.deba59c687ad5p-15, -0x1.e475a47c35be7p-15, -0x1.ea08acfa11748p-15, -0x1.ef7348b928c6cp-15, -0x1.f4b1e2b06ad7dp-15, -0x1.f9c7b818182a5p-15, -0x1.feb49a9f5b55fp-15, -0x1.01bc7c5395d6ap-14, -0x1.040cd6f438a83p-14, -0x1.0647dbc77f134p-14, -0x1.086f1c5ac744ep-14, -0x1.0a82de569c498p-14, -0x1.0c8421f1dbdf7p-14, -0x1.0e736f900d173p-14, -0x1.104fcefeb4205p-14, -0x1.121a8109adfbfp-14, -0x1.13d24bf2cbcf3p-14, -0x1.1579098575bcfp-14, -0x1.170c2f63220cbp-14, -0x1.188e44dfe237dp-14, -0x1.19ff1d60b557bp-14, -0x1.1b5f16ddd2594p-14, -0x1.1cadfdc7ad783p-14, -0x1.1debf80cee6e9p-14, -0x1.1f188c0bb479bp-14, -0x1.20340ab185517p-14, -0x1.213f99142133cp-14, -0x1.223b3573e5507p-14, -0x1.232917f6f9bdp-14, -0x1.240437eadeac9p-14, -0x1.24cfd228d9286p-14, -0x1.258cd2bb17e65p-14, -0x1.263a6a5e26b6bp-14, -0x1.26d8e6afe6bcbp-14, -0x1.2768f880359ap-14, -0x1.27e918eea2d46p-14, -0x1.285b440852e5fp-14, -0x1.28bf0d8badb4ep-14, -0x1.29144ee5103aep-14, -0x1.295b42336f2b1p-14, -0x1.29947e82d720fp-14, -0x1.29bfceabae455p-14, -0x1.29dd9a47214ecp-14, -0x1.29eefefcbb9fp-14, -0x1.29f234868ef8ap-14, -0x1.29e857143b4cfp-14, -0x1.29d1cf1e8d197p-14, -0x1.29ae530f8a273p-14, -0x1.297e96fd5a331p-14, -0x1.2943615b08e92p-14, -0x1.28fb28cf4b4bfp-14, -0x1.28a5d12fa9c99p-14, -0x1.2845241776376p-14, -0x1.27d891faaf4e3p-14, -0x1.27608e1158492p-14, -0x1.26ddf1b6de57ep-14, -0x1.264fee41c4416p-14, -0x1.25b5d13d81c67p-14, -0x1.25116f70e5269p-14, -0x1.2462730208694p-14, -0x1.23a8b34f86acap-14, -0x1.22e45a97609bcp-14, -0x1.2215c51239755p-14, -0x1.213d2a56503a2p-14, -0x1.205aa0f972425p-14, -0x1.1f6e3b7b90478p-14, -0x1.1e783d6b8833p-14, -0x1.1d78a06186e7fp-14, -0x1.1c6fb688c6109p-14, -0x1.1b5d70b9e6a85p-14, -0x1.1a426f9efd521p-14, -0x1.191e9670b4f78p-14, -0x1.17f1d0692888dp-14, -0x1.16bc741cacfb1p-14, -0x1.157ee60f00d9ap-14, -0x1.143981f34ec1ap-14, -0x1.12ecb83785942p-14, -0x1.119456fcdad4bp-14, -0x1.1035e7608479dp-14, -0x1.0ecfc6be24afdp-14, -0x1.0d62e3f53e7cdp-14, -0x1.0beedc9be33d2p-14, -0x1.0a730697d29e6p-14, -0x1.08f0166745aep-14, -0x1.0765d3232eecp-14, -0x1.05d58fbdb10c4p-14, -0x1.043e5b7289c97p-14, -0x1.029fdc0d0f35dp-14, -0x1.00fb6ff07db8p-14, -0x1.fea192496c4c9p-15, -0x1.fb403a0cf6a44p-15, -0x1.f7d2d530c900ap-15, -0x1.f45a22b46d594p-15, -0x1.f0d591ad52fe1p-15, -0x1.ed45a6d40616fp-15, -0x1.e9aac34a6fb39p-15, -0x1.e60561b5fa5fcp-15, -0x1.e255b1cdbb89ep-15, -0x1.de9bc4d3983e4p-15, -0x1.dad8372c97825p-15, -0x1.d70aa80b8d92ep-15, -0x1.d334753eba368p-15, -0x1.cf546239a9d29p-15, -0x1.cb6bdb245e348p-15, -0x1.c77ab1b7bfddbp-15, -0x1.c381322023592p-15, -0x1.bf7f90bd19526p-15, -0x1.bb75a6c4fff44p-15, -0x1.b76591beee4d9p-15, -0x1.b34c91c00da98p-15, -0x1.af2c69b3b9a6ep-15, -0x1.ab06278d7913cp-15, -0x1.a6d93aa168acep-15, -0x1.a2a578a36567ep-15, -0x1.9e6b7b1fb9e65p-15, -0x1.9a297e214f7bep-15, -0x1.95e5cdc00db41p-15, -0x1.919a60f2502b9p-15, -0x1.8d49194d08c4dp-15, -0x1.88f48181ecfa8p-15, -0x1.8499c34bdfab2p-15, -0x1.8039e46570d1p-15, -0x1.7bd1c1c0e1872p-15, -0x1.776dde023ec39p-15, -0x1.73022bc75c466p-15, -0x1.6e91f43d7cfbp-15, -0x1.6a1e39ade6b17p-15, -0x1.65a6b6f04b71cp-15, -0x1.612c2094fdf31p-15, -0x1.5caeefd4ab71bp-15, -0x1.582e0b5a1d4c6p-15, -0x1.53ac3d2e43e9ap-15, -0x1.4f263cff9200cp-15, -0x1.4a9d23504fae1p-15, -0x1.46129f83aea77p-15, -0x1.4189e5ee17e28p-15, -0x1.3cf9b112dabe9p-15, -0x1.386a42eb812fp-15, -0x1.33d963b697864p-15, -0x1.2f4751e8a1e62p-15, -0x1.2ab43148578f2p-15, -0x1.26200301b2cep-15, -0x1.218a9195c590fp-15, -0x1.1cf6419b64ce9p-15, -0x1.185fd2bfc99abp-15, -0x1.13c9c6f171b8bp-15, -0x1.0f33df119f79bp-15, -0x1.0a9dcf627bcfcp-15, -0x1.0607e79e7c756p-15, -0x1.01724a62222b6p-15, -0x1.f9ba730825e18p-16, -0x1.f091cc9593ee1p-16, -0x1.e763ff7cec2ccp-16, -0x1.de4586e670e9bp-16, -0x1.d5226f631848dp-16, -0x1.cc01f5690cf48p-16, -0x1.c2e3cbfa5ff97p-16, -0x1.b9c7fe6ece4a7p-16, -0x1.b0b042b36a138p-16, -0x1.a79d124e1b5e4p-16, -0x1.9e8c6381c7afap-16, -0x1.95831550c7c41p-16, -0x1.8c77d1d44e013p-16, -0x1.83752b8f13e5p-16, -0x1.7a769bbdcf7dep-16, -0x1.717d092846218p-16, -0x1.68877cac183c3p-16, -0x1.5f98900607ddcp-16, -0x1.56aebf003e281p-16, -0x1.4dcc3db6e0bc6p-16, -0x1.44ecadb5c5305p-16, -0x1.3c17a0c0bf9ddp-16, -0x1.3347036fa7328p-16, -0x1.2a7d2b26ff325p-16, -0x1.21bafe48b006bp-16, -0x1.190058177057ap-16, -0x1.104b27cfecae6p-16, -0x1.079e27dc9bf96p-16, -0x1.fdf26cb9a18fbp-17, -0x1.ecb7186b01debp-17, -0x1.db8cff54c9d58p-17, -0x1.ca736155809p-17, -0x1.b969607f39de1p-17, -0x1.a877df5bca0efp-17, -0x1.9792133b151efp-17, -0x1.86c581df03539p-17, -0x1.75f9e18ce9964p-17, -0x1.654f2bc280232p-17, -0x1.54ac44d1ff377p-17, -0x1.4422b560bcc47p-17, -0x1.33adbccf2b53fp-17, -0x1.234818406346bp-17, -0x1.12fc547bc488dp-17, -0x1.02c14526e06cp-17, -0x1.e53d4acac0ddfp-18, -0x1.c51fc4c537acap-18, -0x1.a51c19e50898p-18, -0x1.853af66afb65bp-18, -0x1.65ad25f05af31p-18, -0x1.4632123376ac9p-18, -0x1.26e7cea6387fbp-18, -0x1.07c8a42f07d81p-18, -0x1.d19c8a77f6b1fp-19, -0x1.94151d96f4229p-19, -0x1.56e5cfebb8846p-19, -0x1.1a24afa205c18p-19, -0x1.bb54dd00fe5bdp-20, -0x1.4305123c1fa41p-20, -0x1.97329f4c2b1cbp-21, -0x1.5379825065dedp-22, 0x1.0a830b66b888bp-23, 0x1.2cd540872674ap-21, 0x1.0afb4d844f0e8p-20, 0x1.7e8c8a4afabbp-20, 0x1.f17abdf660305p-20, 0x1.3197374efe5a7p-19, 0x1.6a93a1e64af6fp-19, 0x1.a2ef3417840c5p-19, 0x1.dae03de6ab4fbp-19, 0x1.09357fc10a037p-18, 0x1.24c711f11dc08p-18, 0x1.40241112ccfb3p-18, 0x1.5b548a49b0f19p-18, 0x1.764ac61af1d38p-18, 0x1.91169be54ccbfp-18, 0x1.aba7fdd1b51a3p-18, 0x1.c60897afec88ap-18, 0x1.e03590d76cb02p-18, 0x1.fa2ff4cac1c75p-18, 0x1.09f6d433a542ep-17, 0x1.16c56d5ca15e7p-17, 0x1.2370e8c30198p-17, 0x1.300290ef0988dp-17, 0x1.3c79df41aec7bp-17, 0x1.48d9ff46c930bp-17, 0x1.5520a405706cep-17, 0x1.614841255ef9p-17, 0x1.6d590b20bbf98p-17, 0x1.794d0841b3986p-17, 0x1.852624b1dd8cap-17, 0x1.90e68ba9a3a84p-17, 0x1.9c8d1dc0f7a01p-17, 0x1.a81750b8d7cdcp-17, 0x1.b388611d6a2b2p-17, 0x1.bedd622db540bp-17, 0x1.ca1df17466d78p-17, 0x1.d53644c8df866p-17, 0x1.e03741c153be8p-17, 0x1.eb2a09e5bea9fp-17, 0x1.f5f758c1b417ep-17, 0x1.00565fecceb5ap-16, 0x1.05a457abc917bp-16, 0x1.0ae470e15e187p-16, 0x1.1016f6c48e4d8p-16, 0x1.153c37003f561p-16, 0x1.1a543427abaf1p-16, 0x1.1f5f7b0d87a01p-16, 0x1.245d5ec64fc1dp-16, 0x1.29512246a6af1p-16, 0x1.2e336016fdf9ap-16, }}, 
      {{0x1.5c07652793625p+0, 0x1.af30d10dda30ep+0, 0x1.d6899282b3919p+0, 0x1.d6b1bd372b4f3p+0, 0x1.c12d6a4f1cd46p+0, 0x1.a4cc4cecfe395p+0, 0x1.8a6ce15d2be61p+0, 0x1.75d6078ca2881p+0, 0x1.677fc5041f93cp+0, 0x1.5e2c3e07f032ep+0, 0x1.5805bd2de649dp+0, 0x1.534720114cc17p+0, 0x1.4e8c866337a74p+0, 0x1.48eb97327ee7ap+0, 0x1.41ec206d06ae9p+0, 0x1.397201787f0d4p+0, 0x1.2fa2cfa59c841p+0, 0x1.24ccf689ad8b3p+0, 0x1.195301d6a8ad1p+0, 0x1.0d9be215a0b18p+0, 0x1.0207f8a187283p+0, 0x1.edd47ac0ff174p-1, 0x1.d9094cdb41727p-1, 0x1.c60dfdba3cde6p-1, 0x1.b51ee40289479p-1, 0x1.a658627926448p-1, 0x1.99bb79983f97ap-1, 0x1.8f32ea75a0528p-1, 0x1.86986baadbcacp-1, 0x1.7fb9991a18d69p-1, 0x1.7a5c6493b383dp-1, 0x1.7642ea986749bp-1, 0x1.732e9d49e3a9cp-1, 0x1.70e2c6eb632f6p-1, 0x1.6f266e34aba4p-1, 0x1.6dc5ab85e5876p-1, 0x1.6c92838a1d721p-1, 0x1.6b655a02b3a8p-1, 0x1.6a1d11642fe5ap-1, 0x1.689ee91a5ee21p-1, 0x1.66d62c5b4e94p-1, 0x1.64b3bf1d5582dp-1, 0x1.622d9579dec52p-1, 0x1.5f3e1dd3550f2p-1, 0x1.5be3a83ba5046p-1, 0x1.581fce37783c4p-1, 0x1.53f6e06df7736p-1, 0x1.4f6f5cbb0e4ecp-1, 0x1.4a916ffb5649p-1, 0x1.4566836ee6e29p-1, 0x1.3ff8d7b7f115cp-1, 0x1.3a532c3aa25cp-1, 0x1.348073c593ca3p-1, 0x1.2e8b956317c1ep-1, 0x1.287f38859dfa3p-1, 0x1.22659bc13a173p-1, 0x1.1c4873c0bb6e4p-1, 0x1.1630d36ad0cd4p-1, 0x1.10271a5eb1974p-1, 0x1.0a32ea209788p-1, 0x1.045b207ce9678p-1, 0x1.fd4bac63ff0fdp-2, 0x1.f230c2160ccc3p-2, 0x1.e76eb12e313f5p-2, 0x1.dd0d39fcf74b7p-2, 0x1.d312bf88ee533p-2, 0x1.c9845af3c0ef8p-2, 0x1.c065f1832f96ep-2, 0x1.b7ba4b3721599p-2, 0x1.af832a2ae3de4p-2, 0x1.a7c161e370da1p-2, 0x1.a074ee14ecec6p-2, 0x1.999d08f29becfp-2, 0x1.9338406983149p-2, 0x1.8d448a90c8815p-2, 0x1.87bf58da87f22p-2, 0x1.82a5aa60e386bp-2, 0x1.7df41cc72ed65p-2, 0x1.79a6fc2d6717dp-2, 0x1.75ba51ccd8454p-2, 0x1.7229f16cfe5bap-2, 0x1.6ef18597150fbp-2, 0x1.6c0c9ae196b2ep-2, 0x1.6976a9da0d63bp-2, 0x1.672b202492359p-2, 0x1.65256893d8be2p-2, 0x1.6360f24946824p-2, 0x1.61d936fb290afp-2, 0x1.6089c09cb57c5p-2, 0x1.5f6e2e29b2ca6p-2, 0x1.5e8237d1c57b2p-2, 0x1.5dc1b2704c03ep-2, 0x1.5d2892b23ad54p-2, 0x1.5cb2ef4d59bc5p-2, 0x1.5c5d0332cb52ap-2, 0x1.5c232f29524cep-2, 0x1.5c01faff80587p-2, 0x1.5bf616488fa21p-2, 0x1.5bfc58c16df24p-2, 0x1.5c11c2c48daaap-2, 0x1.5c337d5f8c315p-2, 0x1.5c5ed9e1f4a82p-2, 0x1.5c915183a96e4p-2, 0x1.5cc884d75277p-2, 0x1.5d023af9fcf0bp-2, 0x1.5d3c60d76c5f1p-2, 0x1.5d750814abdf3p-2, 0x1.5daa661445b42p-2, 0x1.5ddad2e2a3a8ap-2, 0x1.5e04c7eaec789p-2, 0x1.5e26dedaabbfbp-2, 0x1.5e3fd051b5b69p-2, 0x1.5e4e7296d66e6p-2, 0x1.5e51b873f8ae9p-2, 0x1.5e48afa8cdbc8p-2, 0x1.5e327feb5d71dp-2, 0x1.5e0e696c24308p-2, 0x1.5ddbc38c86ae3p-2, 0x1.5d99fbe65ac4p-2, 0x1.5d4894c7bb545p-2, 0x1.5ce7240ab3b57p-2, 0x1.5c75523464bd7p-2, 0x1.5bf2d8f834575p-2, 0x1.5b5f8235c65f1p-2, 0x1.5abb27364b544p-2, 0x1.5a05af460aac3p-2, 0x1.593f0eb9cd5a2p-2, 0x1.5867467b73bbdp-2, 0x1.577e62ad5f098p-2, 0x1.5684799c10e12p-2, 0x1.5579aba0908fcp-2, 0x1.545e21ee75d14p-2, 0x1.53320d8c73e44p-2, 0x1.51f5a7105b642p-2, 0x1.50a92e1bb5252p-2, 0x1.4f4ce80c9b5adp-2, 0x1.4de11fba27a32p-2, 0x1.4c66254a7dacdp-2, 0x1.4adc4d36dc812p-2, 0x1.4943ef8dba06ep-2, 0x1.479d680c1073cp-2, 0x1.45e915adfc00ep-2, 0x1.442759c2dfe58p-2, 0x1.4258979e51403p-2, 0x1.407d34bf8f9a6p-2, 0x1.3e95983fb871cp-2, 0x1.3ca22a1d9a449p-2, 0x1.3aa35330aed9ap-2, 0x1.38997d3df91e2p-2, 0x1.3685127cadd01p-2, 0x1.34667cf436c04p-2, 0x1.323e26b31afafp-2, 0x1.300c79b6adc89p-2, 0x1.2dd1df8f6fe5ep-2, 0x1.2b8ec0fd0eed2p-2, 0x1.294385ec76fecp-2, 0x1.26f095b3947b5p-2, 0x1.249656a3c226bp-2, 0x1.22352da52bffap-2, 0x1.1fcd7e6b6e76fp-2, 0x1.1d5fab7a16b96p-2, 0x1.1aec1601fe066p-2, 0x1.18731d86ca195p-2, 0x1.15f51fef75d74p-2, 0x1.1372798f39b27p-2, 0x1.10eb85380e8f2p-2, 0x1.0e609bf5dba14p-2, 0x1.0bd214ed88b02p-2, 0x1.0940457e71159p-2, 0x1.06ab8152d2086p-2, 0x1.04141a4cfac05p-2, 0x1.017a605913f49p-2, 0x1.fdbd42ef4c34ap-3, 0x1.f88253a3aad3p-3, 0x1.f3448771e0c98p-3, 0x1.ee046f684d9e3p-3, 0x1.e8c29888af98p-3, 0x1.e37f8c0ce0544p-3, 0x1.de3bcf9398536p-3, 0x1.d8f7e496e5175p-3, 0x1.d3b44a074f307p-3, 0x1.ce717a1dd7eddp-3, 0x1.c92feb550d1f9p-3, 0x1.c3f01107c5477p-3, 0x1.beb25b04a8175p-3, 0x1.b977357ed7dd8p-3, 0x1.b43f091e4c75dp-3, 0x1.af0a3b155e6fdp-3, 0x1.a9d92d2e2057p-3, 0x1.a4ac3de82564dp-3, 0x1.9f83c892e5c7ap-3, 0x1.9a6025381d7f3p-3, 0x1.9541a8aa35715p-3, 0x1.9028a4776d316p-3, 0x1.8b15673a9b944p-3, 0x1.86083c942d2a8p-3, 0x1.81016d40f1569p-3, 0x1.7c013f16e924ap-3, 0x1.7707f4e787a26p-3, 0x1.7215ceb39da58p-3, 0x1.6d2b0a0819f85p-3, 0x1.6847e19a11ff7p-3, 0x1.636c8d6d17869p-3, 0x1.5e994322b3e01p-3, 0x1.59ce35c873412p-3, 0x1.550b95ff3d299p-3, 0x1.505191f51fd12p-3, 0x1.4ba05595e411ep-3, 0x1.46f80a86d1ba4p-3, 0x1.4258d8343d9c7p-3, 0x1.3dc2e3db05471p-3, 0x1.393650967b324p-3, 0x1.34b33f6511423p-3, 0x1.3039cf5f874dbp-3, 0x1.2bca1dbea8f1dp-3, 0x1.27644590e845p-3, 0x1.2308604190b4ep-3, 0x1.1eb685590eabap-3, 0x1.1a6eca8ec67e6p-3, 0x1.163143fef8382p-3, 0x1.11fe040eaef37p-3, 0x1.0dd51b8eb43d6p-3, 0x1.09b699baa297p-3, 0x1.05a28c444415bp-3, 0x1.0198ff618052ep-3, 0x1.fb33fba38818bp-4, 0x1.f34b21f0ab2c2p-4, 0x1.eb7781bfb86cdp-4, 0x1.e3b928887cc58p-4, 0x1.dc102120aa949p-4, 0x1.d47c74060bf44p-4, 0x1.ccfe2712112ebp-4, 0x1.c5953e2531e4bp-4, 0x1.be41baa943fbcp-4, 0x1.b7039bddb8636p-4, 0x1.afdadefd84b0fp-4, 0x1.a8c77f394a078p-4, 0x1.a1c975ccb6058p-4, 0x1.9ae0b9f3ddbd2p-4, 0x1.940d4128349cfp-4, 0x1.8d4eff3906f31p-4, 0x1.86a5e6375a0dep-4, 0x1.8011e64baf5f8p-4, 0x1.7992ee6b81fbep-4, 0x1.7328ebce77c96p-4, 0x1.6cd3ca7cf0ab8p-4, 0x1.669374069fc67p-4, 0x1.6067d2bf54fffp-4, 0x1.5a50cd98fce42p-4, 0x1.544e4b0dfa36dp-4, 0x1.4e60309e1161ep-4, 0x1.4886625b72aa9p-4, 0x1.42c0c34c67063p-4, 0x1.3d0f35706f3eep-4, 0x1.377199e48e09p-4, 0x1.31e7d071c8c18p-4, 0x1.2c71b8536c3b2p-4, 0x1.270f2fc2da773p-4, 0x1.21c0140f6cfd3p-4, 0x1.1c8441f3235a5p-4, 0x1.175b953f04c89p-4, 0x1.1245e907829f5p-4, 0x1.0d4317db50d3bp-4, 0x1.0852fb76d0019p-4, 0x1.03756d1bf368dp-4, 0x1.fd548aeda4412p-5, 0x1.f3e2b946c813p-5, 0x1.ea95147f18362p-5, 0x1.e16b4b05cc4a6p-5, 0x1.d8650a37a8f78p-5, 0x1.cf81feca90f9cp-5, 0x1.c6c1d48151825p-5, 0x1.be2436af84157p-5, 0x1.b5a8cff4dbfbfp-5, 0x1.ad4f4a1506e3ap-5, 0x1.a5174eb674a68p-5, 0x1.9d0086ba58bb2p-5, 0x1.950a9ac1cf10ep-5, 0x1.8d353303110e4p-5, 0x1.857ff749d3823p-5, 0x1.7dea8f42ef495p-5, 0x1.7674a222e8fbp-5, 0x1.6f1dd75e9cbf2p-5, 0x1.67e5d56fa3ba2p-5, 0x1.60cc43c904b7bp-5, 0x1.59d0c8ea546fbp-5, 0x1.52f30ba6f21aep-5, 0x1.4c32b2e3cc19ep-5, 0x1.458f6559c7bacp-5, 0x1.3f08ca1678cb3p-5, 0x1.389e87f4273bfp-5, 0x1.32504613a2e85p-5, 0x1.2c1dabf55e5d1p-5, 0x1.2606610840de1p-5, 0x1.200a0d08c95f8p-5, 0x1.1a28581a35f7ap-5, 0x1.1460ea5c71468p-5, 0x1.0eb36ca51f671p-5, 0x1.091f8770c850cp-5, 0x1.03a4e4c2e6fb4p-5, 0x1.fc865b2fcef61p-6, 0x1.f1f419f44b27dp-6, 0x1.e79258e59d728p-6, 0x1.dd606eb737ccp-6, 0x1.d35db29a7e6b8p-6, 0x1.c9897c68702bap-6, 0x1.bfe32471e2902p-6, 0x1.b66a060fbb303p-6, 0x1.ad1d77f947fbep-6, 0x1.a3fcdf016f7cp-6, 0x1.9b078e6e00368p-6, 0x1.923cea5af0318p-6, 0x1.899c51685ae75p-6, 0x1.81252422d4767p-6, 0x1.78d6c4c3851f3p-6, 0x1.70b096b732cbp-6, 0x1.68b1fe3d7ff4cp-6, 0x1.60da6164225b6p-6, 0x1.5929279cac868p-6, 0x1.519db958ef701p-6, 0x1.4a3780d57eb0bp-6, 0x1.42f5e900b5915p-6, 0x1.3bd85eb9c086dp-6, 0x1.34de504c6303fp-6, 0x1.2e072d345a762p-6, 0x1.2752666b3ba02p-6, 0x1.20bf6e5eeb9f3p-6, 0x1.1a4db9010a324p-6, 0x1.13fcbb5db7de4p-6, 0x1.0dcbecb3fe7e4p-6, 0x1.07bac533ebf22p-6, 0x1.01c8be57b112ap-6, 0x1.f7eaa735121cep-7, 0x1.ec80031f60668p-7, 0x1.e1508d1c2174ep-7, 0x1.d65b447849d53p-7, 0x1.cb9f2c1037b9cp-7, 0x1.c11b481c4f32dp-7, 0x1.b6cea26ef433cp-7, 0x1.acb8464440eadp-7, 0x1.a2d74147efe8dp-7, 0x1.992aa55092b12p-7, 0x1.8fb186fb87e8p-7, 0x1.866afd4c09ac6p-7, 0x1.7d5622b32d24ap-7, 0x1.7472149683e0fp-7, 0x1.6bbdf345772ddp-7, 0x1.6338e14b1fd99p-7, 0x1.5ae205f8093fap-7, 0x1.52b88a45a825p-7, 0x1.4abb999361e5cp-7, 0x1.42ea639732b44p-7, 0x1.3b4419f47365dp-7, 0x1.33c7f22a15b7ap-7, 0x1.2c7522445cad6p-7, 0x1.254ae612296d2p-7, 0x1.1e4879f3f553cp-7, 0x1.176d1e96d3a9p-7, 0x1.10b816df339bbp-7, 0x1.0a28a7b98c06dp-7, 0x1.03be1a449b517p-7, 0x1.faef729ee408ep-8, 0x1.eea9a63074ea5p-8, 0x1.e2a97083e9145p-8, 0x1.d6ed789119f83p-8, 0x1.cb746a1d78bf5p-8, 0x1.c03cf6b3a3239p-8, 0x1.b545d487c7376p-8, 0x1.aa8dc50b45a52p-8, 0x1.a0137b96b4ad4p-8, 0x1.95d5ca1b60896p-8, 0x1.8bd377e5c7d9bp-8, 0x1.820b52414685p-8, 0x1.787c2f36e43e8p-8, 0x1.6f24e76719517p-8, 0x1.66045acda75a4p-8, 0x1.5d1968d36d277p-8, 0x1.5462fc097a8aep-8, 0x1.4be0028427c05p-8, 0x1.438f6e0917771p-8, 0x1.3b703701e11cdp-8, 0x1.3381593a7193p-8, 0x1.2bc1d4c9fd08ep-8, 0x1.2430ae9d6485p-8, 0x1.1ccce9a006637p-8, 0x1.159596cb4195p-8, 0x1.0e89c04f3df48p-8, 0x1.07a87983b3bc2p-8, 0x1.00f0d81bfca12p-8, 0x1.f4c3f1c0d73e2p-9, 0x1.e7f5f8dd30934p-9, 0x1.db76104a682c5p-9, 0x1.cf42919023addp-9, 0x1.c359dbff9e03cp-9, 0x1.b7ba5e04f4d35p-9, 0x1.ac6286af2c86cp-9, 0x1.a150cb3188accp-9, 0x1.9683a7458123fp-9, 0x1.8bf993cc654cfp-9, 0x1.81b114bd2f896p-9, 0x1.77a8ac6560fc4p-9, 0x1.6ddee71f196dfp-9, 0x1.64525338ce673p-9, 0x1.5b0190c5a00abp-9, 0x1.51eb46d34ccc9p-9, 0x1.490e2a5d6c41ap-9, 0x1.4068fd9427c5bp-9, 0x1.37fa837218c09p-9, 0x1.2fc18fc39c508p-9, 0x1.27bcf40a8e118p-9, 0x1.1feb884f390b9p-9, 0x1.184c2412e205dp-9, 0x1.10dd9e37a5b6bp-9, 0x1.099ed175ddaf7p-9, 0x1.028e9ca5a8484p-9, 0x1.f757bf1cb797bp-10, 0x1.e9eb12c98ec82p-10, 0x1.dcd5179cee5fp-10, 0x1.d013c7dcbcaf8p-10, 0x1.c3a533f3c91ebp-10, 0x1.b7877587348f5p-10, 0x1.abb8b3f48b95ep-10, 0x1.a0371ed2d5f71p-10, 0x1.9500e5408a0c2p-10, 0x1.8a14332cde9e4p-10, 0x1.7f6f76c685015p-10, 0x1.7510add825f79p-10, 0x1.6af64ae907fb7p-10, 0x1.611e9e10cd17p-10, 0x1.578812144b504p-10, 0x1.4e3120e006a44p-10, 0x1.4518563f826d5p-10, 0x1.3c3c4194af325p-10, 0x1.339b8488fc38dp-10, 0x1.2b34b5cc4f06dp-10, 0x1.2306769e3a78dp-10, 0x1.1b0f59d2e6b96p-10, 0x1.134df015325d3p-10, 0x1.0bc0c4d572967p-10, 0x1.0466751efaba2p-10, 0x1.fa7b1de7b8e59p-11, 0x1.ec8998deae355p-11, 0x1.def5cc57cfa3dp-11, 0x1.d1bd777aac99fp-11, 0x1.c4de7f2eca252p-11, 0x1.b856f3aad3acp-11, 0x1.ac2502fd8ff6dp-11, 0x1.a046e732b9689p-11, 0x1.94bad8a3f0eafp-11, 0x1.897effd9ea8efp-11, 0x1.7e915345416afp-11, 0x1.73f0127d795ep-11, 0x1.6998b4c5e7dbcp-11, 0x1.5f894048dfad4p-11, 0x1.55bf7d3c90ceep-11, 0x1.4c3941b8f7d9ap-11, 0x1.42f492ba493e9p-11, 0x1.39ef90b4e94cep-11, 0x1.312876f61b5eap-11, 0x1.289dc384b981ap-11, 0x1.204e07a69ec73p-11, 0x1.1837e1549f408p-11, 0x1.105a1a2d6f69bp-11, 0x1.08b383f26c30bp-11, 0x1.0142e8a121e02p-11, 0x1.f40e3208d1d01p-12, 0x1.e5fd902e0eb77p-12, 0x1.d8513b766a126p-12, 0x1.cb066fb59988ap-12, 0x1.be1a58b9a363ep-12, 0x1.b18a29d60c1d6p-12, 0x1.a55337a168caap-12, 0x1.9973062d38a27p-12, 0x1.8de74a29a26e6p-12, 0x1.82add17b249dap-12, 0x1.77c474165b228p-12, 0x1.6d28fe8c95abcp-12, 0x1.62d923b0fe367p-12, 0x1.58d2904ee20d2p-12, 0x1.4f129960e8ff5p-12, 0x1.4597cdb417417p-12, 0x1.3c5f884c36f1ep-12, 0x1.33683f956d0bp-12, 0x1.2ab09896c7df7p-12, 0x1.2236dfb383f7bp-12, 0x1.19f9f5bc5136bp-12, 0x1.11f857e3eb0fep-12, 0x1.0a309969720acp-12, 0x1.02a1530327d0ep-12, 0x1.f692789151cd9p-13, 0x1.e84e545da91f8p-13, 0x1.da7403d445a67p-13, 0x1.cd01297ec812bp-13, 0x1.bff2d877c4e86p-13, 0x1.b345be8b036adp-13, 0x1.a6f5ea01504f7p-13, 0x1.9aff3727e0b97p-13, 0x1.8f5db7f1aebbbp-13, 0x1.840dc8d6a1f06p-13, 0x1.790c5352b1298p-13, 0x1.6e56ea1854d83p-13, 0x1.63eb972a7c634p-13, 0x1.59c8cb729590dp-13, 0x1.4fed53763584ap-13, 0x1.465850b193b17p-13, 0x1.3d0902ffb9af5p-13, 0x1.33fe39678ca7cp-13, 0x1.2b371f969b103p-13, 0x1.22b23f8066e1bp-13, 0x1.1a6e4a7ccbfe9p-13, 0x1.12695f34d61f2p-13, 0x1.0aa1e399cea61p-13, 0x1.031476fa38912p-13, 0x1.f77d70b070987p-14, 0x1.e93d65fb88ea6p-14, 0x1.db6340c3c9f39p-14, 0x1.cdeb738479963p-14, 0x1.c0d33c8d5bd2bp-14, 0x1.b4178f8b20dd7p-14, 0x1.a7b5066c23d26p-14, 0x1.9ba74118f22fcp-14, 0x1.8feafaae73c2fp-14, 0x1.847d3dfed04a9p-14, 0x1.795e41cc4304bp-14, 0x1.6e8e85de26667p-14, 0x1.640f0b5d0840ep-14, 0x1.59df93a45bff4p-14, 0x1.4ffe35844628dp-14, 0x1.4668568f8019ap-14, 0x1.3d1a908a00b1ap-14, 0x1.3411c4e19e32dp-14, 0x1.2b4a44b6cfd44p-14, 0x1.22c3721e842cep-14, 0x1.1a77af0974c14p-14, 0x1.12652551e3887p-14, 0x1.0a8a0aa3ed9c6p-14, 0x1.02e59ba436d9p-14, 0x1.f6ef415e3f0bap-15, 0x1.e87ea218c36ecp-15, 0x1.da75376c545bp-15, 0x1.cccd5430b4f0fp-15, 0x1.bf81611e28d33p-15, 0x1.b28cc0d128484p-15, 0x1.a5ee0b139c8e4p-15, 0x1.99a5ebeb24ba9p-15, 0x1.8db53d2fe62afp-15, 0x1.821b9e3da7542p-15, 0x1.76d71f8dddeeep-15, 0x1.6be41401e224cp-15, 0x1.613f8f87422a1p-15, 0x1.56e5adf13fef3p-15, 0x1.4cd609d855be1p-15, 0x1.430be77eec083p-15, 0x1.3985f4038620bp-15, 0x1.3040459776c43p-15, 0x1.2737325fa2321p-15, 0x1.1e68227ac486cp-15, 0x1.15d1e248f9549p-15, 0x1.0d7407e80156ep-15, 0x1.054f43293080bp-15, 0x1.fac3e294d15f2p-16, 0x1.eb5639f9cb94fp-16, 0x1.dc52e7b3d1dfcp-16, 0x1.cdb79984a1508p-16, 0x1.bf81fe12df162p-16, 0x1.b1ad3fc32f70ap-16, 0x1.a431f701b7f3bp-16, 0x1.9709f519a76a5p-16, 0x1.8a34782e73146p-16, 0x1.7db15eb8cd3b3p-16, 0x1.717e5a013cdc1p-16, 0x1.659f3ca300bb2p-16, 0x1.5a0dbbdb62fe7p-16, 0x1.4eca6e9c481fcp-16, 0x1.43d65e593eefbp-16, 0x1.392f767d5ee61p-16, 0x1.2ecf0d8c6c6bcp-16, 0x1.24ad08156fa2p-16, 0x1.1ac3bdf3021c2p-16, 0x1.11124053aed7fp-16, 0x1.0799955b4930ap-16, 0x1.fcb7c0bbd7a5bp-17, 0x1.eab71ead5725dp-17, 0x1.d92332b5a4026p-17, 0x1.c80131a41adccp-17, 0x1.b7567b8c6665cp-17, 0x1.a725ddaace625p-17, 0x1.9768040c1e994p-17, 0x1.880d3e6203056p-17, 0x1.79057eab93ef3p-17, 0x1.6a485df1c958ep-17, 0x1.5bd9e695b4ec7p-17, 0x1.4dc3d74957deap-17, 0x1.4009261c072adp-17, 0x1.32a18bcc98431p-17, 0x1.258844edb432ep-17, 0x1.18c5fce85309ep-17, 0x1.0c5e44b07e6d3p-17, 0x1.004cf0a94ae32p-17, 0x1.e913c833190ffp-18, 0x1.d213058071656p-18, 0x1.bb821bc5cfa09p-18, 0x1.a5612c902a677p-18, 0x1.8fc16b19a0792p-18, 0x1.7aa80bc3921acp-18, 0x1.660dcea704d23p-18, 0x1.51e7384ff3626p-18, 0x1.3e39bf668a664p-18, 0x1.2b0f7610b5619p-18, 0x1.186708996725fp-18, 0x1.0637afe590948p-18, 0x1.e90034ed82046p-19, 0x1.c65fc6dea08e2p-19, 0x1.a472fa429076fp-19, 0x1.833b4870f3f8dp-19, 0x1.62b3117f2fa35p-19, 0x1.42fc47134cd15p-19, 0x1.240551bc883c6p-19, 0x1.05b5bc0e4cf0fp-19, 0x1.d03442d8449e7p-20, 0x1.968a1b5f0f737p-20, 0x1.5e63919dec549p-20, 0x1.27a75f3fed7f6p-20, 0x1.e4b5a80f4cdbp-21, 0x1.7ca636ec15ed4p-21, 0x1.16dc505e1158ap-21, 0x1.662d67ff25a2p-22, 0x1.4656ddd547d5ep-23, -0x1.ae016c7c5af76p-26, -0x1.a9600ec54dd61p-23, -0x1.898bd5528aa38p-22, -0x1.1d30ea6feb3a8p-21, -0x1.73473bf1f0721p-21, -0x1.c704602a6157dp-21, -0x1.0c6908e0f88ddp-20, -0x1.3449b122850d8p-20, -0x1.5b2d7abf6e78bp-20, -0x1.810ce631d9c93p-20, -0x1.a5e6cc1206a3ep-20, -0x1.c9e2655ce79bp-20, -0x1.ed00164de99cep-20, -0x1.079730c2a49bap-19, -0x1.18445c09b133dp-19, -0x1.288707c5f9ddep-19, -0x1.384eeb283fd19p-19, -0x1.47aba77b94b06p-19, -0x1.569ba7ff78d4dp-19, -0x1.652535bf9cb6ep-19, -0x1.734ed1f1efd65p-19, -0x1.810d0513701fep-19, -0x1.8e611dc611537p-19, -0x1.9b52fc3529846p-19, -0x1.a7e95910a0ba2p-19, -0x1.b42a0640f7786p-19, -0x1.c00b6764e7ad3p-19, -0x1.cb9852fc83a4cp-19, -0x1.d6c93286c4a9ep-19, -0x1.e1a4431a083c8p-19, -0x1.ec1f650e86947p-19, -0x1.f649cf30ae35cp-19, -0x1.001381b71953p-18, -0x1.04d654b98c30bp-18, -0x1.0973925032da9p-18, -0x1.0de8f183f6b26p-18, -0x1.1234b7af699c7p-18, -0x1.165837e06ae4p-18, -0x1.1a578279a407ap-18, -0x1.1e32a1abb0debp-18, -0x1.21f5a209fd1fcp-18, -0x1.25837dcafdc98p-18, -0x1.28f19e16c2ee5p-18, -0x1.2c3f9d45e1ea3p-18, -0x1.2f6b5f6b9bfaap-18, -0x1.32753dc240411p-18, -0x1.356045f4e9894p-18, -0x1.382678a941e4bp-18, -0x1.3acfb911b865dp-18, -0x1.3d591e8a87c9cp-18, -0x1.3fc2508e38c91p-18, -0x1.420c83a8c2298p-18, -0x1.4439653af86p-18, -0x1.46488d82bb31ep-18, -0x1.4839f9143231dp-18, -0x1.4a13413c8e799p-18, -0x1.4bccd48c5063ap-18, -0x1.4d6a5fda3f5d6p-18, -0x1.4eedab716312bp-18, -0x1.5055149018991p-18, -0x1.51a3d9ec8bb97p-18, -0x1.52da6ae34589bp-18, -0x1.53f6744937365p-18, -0x1.54f7a18872793p-18, -0x1.55dfbfd89f4dep-18, -0x1.56af8f01780aap-18, -0x1.5767e493d7008p-18, -0x1.580c4b1b28a1bp-18, -0x1.5898bdd32182p-18, -0x1.590ab2eab5b6ap-18, -0x1.5969434feb47fp-18, -0x1.59b2359eb3d91p-18, -0x1.59e5265b85029p-18, -0x1.5a02a74f5ed33p-18, -0x1.5a0b7199df63dp-18, -0x1.5a0019daf0f0bp-18, -0x1.59e10ada81d01p-18, -0x1.59ae718908e41p-18, -0x1.5968a5477f3cbp-18, -0x1.590faa0e3b878p-18, -0x1.58a481e93b584p-18, -0x1.582522c2d90bcp-18, -0x1.5796f04a34b97p-18, -0x1.56f6cb958edf6p-18, -0x1.564451cbd62bdp-18, -0x1.5580c6d237p-18, -0x1.54acd6f8eb29ep-18, -0x1.53c9dd2d6e072p-18, -0x1.52dde4acbac09p-18, -0x1.51d19eb6d02b6p-18, -0x1.50bb2e40d0a4ep-18, -0x1.4f95a4acc3d7ep-18, -0x1.4e681dbd749c4p-18, -0x1.4d2ca26c50158p-18, -0x1.4bdfd0af2af2cp-18, -0x1.4a854a16c3625p-18, -0x1.491b510a30b34p-18, -0x1.47a77b5f1dc1ap-18, -0x1.4625f63f0c3d7p-18, -0x1.44948e4bda274p-18, -0x1.42f8fd3a707d8p-18, -0x1.41518e8bd6c9fp-18, -0x1.3f9eab65d7862p-18, -0x1.3de02f4ddb661p-18, -0x1.3c17157bd7e28p-18, -0x1.3a41df38b0eddp-18, -0x1.3861b5fcef25ap-18, -0x1.367728cdfb9aep-18, -0x1.348206f1939bcp-18, -0x1.328371bacb0aap-18, -0x1.307ab4ed44e36p-18, -0x1.2e691da41e0bfp-18, -0x1.2c4e0723bf85fp-18, -0x1.2a2acf0761fd2p-18, -0x1.27fdc8eed9fbcp-18, -0x1.25c8a4b2aec95p-18, -0x1.238b369d03ffcp-18, -0x1.2145cfb56a9cep-18, -0x1.1ef8991d9dcf6p-18, -0x1.1ca31cb42ac1cp-18, -0x1.1a48bbb24b43ap-18, -0x1.17e58e1dc255ap-18, -0x1.157991a1bd14ap-18, -0x1.130a3202e7a18p-18, -0x1.10928895c0246p-18, -0x1.0e15319628f47p-18, -0x1.0b91db44a611cp-18, -0x1.0904a26014833p-18, -0x1.067958961bb9p-18, -0x1.03e4a6d65018p-18, -0x1.01499c8d774fap-18, -0x1.fd59e73e6cfefp-19, -0x1.f812753430b88p-19, -0x1.f2bf1e9414f63p-19, -0x1.ed589395092ddp-19, -0x1.e80408fe53004p-19, -0x1.e29caa66a56abp-19, -0x1.dd2b02271d226p-19, -0x1.d7b04969d94f2p-19, -0x1.d2307ee8bcb06p-19, -0x1.cca8a4dff90cp-19, -0x1.c71c87da740fp-19, -0x1.c187d5c5f82f7p-19, -0x1.bbec62b3d09d8p-19, -0x1.b6508f3f57483p-19, -0x1.b0ab0f553fc9fp-19, -0x1.ab035cb557961p-19, -0x1.a55c3ca8137bcp-19, -0x1.9fa7a58e1a328p-19, -0x1.99f2843b10978p-19, -0x1.943a150cac249p-19, -0x1.8e7efb3051fbap-19, -0x1.88c086ed18a7ap-19, -0x1.82ffacd0a4759p-19, -0x1.7d3a24d37e8fdp-19, -0x1.7778845f03dd1p-19, -0x1.71af7b2f14b8cp-19, -0x1.6be75ef6aae4dp-19, -0x1.661f0d91d7c2bp-19, -0x1.6055141e71e2ap-19, -0x1.5a8a0d780a389p-19, -0x1.54be19f29b681p-19, -0x1.4ef26080e3be5p-19, -0x1.49252ba8ce75fp-19, -0x1.434f58e89a8d6p-19, -0x1.3d902df2c8158p-19, -0x1.37c6220a9f9c8p-19, -0x1.31fd199a72b6dp-19, -0x1.2c35296dceb43p-19, -0x1.266e803637faap-19, -0x1.20a9937235dc8p-19, -0x1.1ae999432ce9fp-19, -0x1.1527cd11657a9p-19, -0x1.0f6f5add6cdb2p-19, -0x1.09ae4f1f19ceap-19, -0x1.03f70e728405p-19, -0x1.fc8316eff884fp-20, -0x1.f11e39b01a58cp-20, -0x1.e5bb53a2d6c2ep-20, -0x1.da63a01006963p-20, -0x1.cf119b9f73907p-20, -0x1.c3cce9ed7ebbdp-20, -0x1.b88074a92b1ecp-20, -0x1.ad52345b547a6p-20, -0x1.a2228ede71e13p-20, -0x1.96fc8c725b4c7p-20, -0x1.8be00e86eaacfp-20, -0x1.80d06d2b3ee49p-20, -0x1.75c43309edb67p-20, -0x1.6ac41fdd26427p-20, -0x1.5fd0995308bd3p-20, -0x1.54e986e49f9dp-20, -0x1.4a0814b635517p-20, -0x1.3f34bea8aa488p-20, -0x1.346b0b71c4be4p-20, -0x1.29b8e51dc25bdp-20, -0x1.1f0b5a7624d84p-20, -0x1.14756e7fc2e7cp-20, -0x1.09d0853f86fa2p-20, -0x1.fe9132f68a934p-21, -0x1.e995607e7749fp-21, -0x1.d4b989c514c23p-21, -0x1.bffb419d23f16p-21, -0x1.ab4d9a5889237p-21, -0x1.96cdbd2a0f3adp-21, -0x1.825bbb9aa750fp-21, -0x1.6e15631712f76p-21, -0x1.59e48dcae12b2p-21, -0x1.45c7093a15122p-21, -0x1.31acd6e3996dp-21, -0x1.1dfde95f7fe96p-21, -0x1.0a41007588d0bp-21, -0x1.ed5247f2ccc74p-22, -0x1.c65f7f6577178p-22, -0x1.9f8d1fc51ed28p-22, -0x1.7921aaa590c1ap-22, -0x1.52e586eb2d283p-22, -0x1.2d12a10e47b3ep-22, -0x1.075869bf7794ep-22, -0x1.c3976c7193041p-23, -0x1.795569d447434p-23, -0x1.2f81adb15e55dp-23, -0x1.cb78af2a82f9dp-24, -0x1.3a938bf617edbp-24, -0x1.539f3cf1434e9p-25, -0x1.adc6c6b65fcbcp-28, 0x1.cd7f2714ec559p-26, 0x1.fdfb0d407841ap-25, 0x1.8d07eee43fd43p-24, 0x1.0c1e62e451c92p-23, 0x1.5130ca6aa7e7fp-23, 0x1.959e8e26709bp-23, 0x1.d9838d58ef21dp-23, 0x1.0e689e4aa9c53p-22, 0x1.2fc43070cb94fp-22, 0x1.50df13341f5a1p-22, 0x1.71bb6332b9cb9p-22, 0x1.92473e58bb3c9p-22, 0x1.b28e31ce78d01p-22, 0x1.d28a7c3d27665p-22, 0x1.f2456597bd0b3p-22, 0x1.08cb35a1b1e9dp-21, 0x1.1873a26972363p-21, 0x1.27d63b95eceeap-21, 0x1.371876ffebbb2p-21, 0x1.4635468b70842p-21, 0x1.55387e1c24495p-21, 0x1.6411f631837dep-21, 0x1.72c334fa6dca7p-21, 0x1.8154d6e0c305p-21, 0x1.8fba0af54f70ap-21, 0x1.9e014ee498c29p-21, 0x1.ac248024bb88ap-21, 0x1.ba22f9db7f84cp-21, 0x1.c7fa819fe65e2p-21, 0x1.d5afae7ae2851p-21, 0x1.e33d1a78ab01p-21, 0x1.f0bf8aec65293p-21, 0x1.fde8d6c9bc468p-21, 0x1.05824871e0ff7p-20, 0x1.0c07be0d590ebp-20, 0x1.126ee0067cc5bp-20, 0x1.18c848e25acb8p-20, 0x1.1f109f52967adp-20, 0x1.25457c79ef4eap-20, 0x1.2b67ce20439f6p-20, 0x1.31782f0079162p-20, 0x1.377653313fecep-20, 0x1.3d6404ce94947p-20, 0x1.433faf98e6f83p-20, 0x1.4914d3570975p-20, 0x1.4ec24124bdc12p-20, }}, 
      {{0x1.9b2a18458c0ffp-4, 0x1.9b969c9d7423fp-4, 0x1.9c8707da2e5d7p-4, 0x1.9e4924666543dp-4, 0x1.a136ffce42bc1p-4, 0x1.a5aacce2459dbp-4, 0x1.abf4b7beb1d4p-4, 0x1.b4537d3e5f909p-4, 0x1.beefe8feb0ae8p-4, 0x1.cbdaf045a1507p-4, 0x1.db0dea3c4fe73p-4, 0x1.ec6c5745cbe4cp-4, 0x1.ffc6b1fcbdc04p-4, 0x1.0a6eec2e391e3p-3, 0x1.15b3597cb6c4fp-3, 0x1.2186eb58ff503p-3, 0x1.2dbd787dec285p-3, 0x1.3a29efa6fdd25p-3, 0x1.469faf966d1adp-3, 0x1.52f3a7344615ap-3, 0x1.5efd3d4d2e817p-3, 0x1.6a97022736d76p-3, 0x1.759f2ef7753ecp-3, 0x1.7ff7f868501f7p-3, 0x1.8987b9fcca434p-3, 0x1.92390050b0206p-3, 0x1.99fa781b86c5bp-3, 0x1.a0bec78a76bb5p-3, 0x1.a67c570ec4bb1p-3, 0x1.ab2d0e317cf83p-3, 0x1.aece08655d515p-3, 0x1.b15f4536f9f06p-3, 0x1.b2e356a6f383bp-3, 0x1.b35f0fefdf0ep-3, 0x1.b2d9367bc6685p-3, 0x1.b15a365df7821p-3, 0x1.aeebdb4588fdap-3, 0x1.ab990e8b6c5bbp-3, 0x1.a76d9abb6de8cp-3, 0x1.a275f4c0d0fe6p-3, 0x1.9cbf0ab43b433p-3, 0x1.965618279d66ap-3, 0x1.8f487fb48bf72p-3, 0x1.87a3a980836acp-3, 0x1.7f74e65f93b58p-3, 0x1.76c95737e0249p-3, 0x1.6dadd845fea61p-3, 0x1.642eefe2ea862p-3, 0x1.5a58c06f1a8p-3, 0x1.5036fd0a8773p-3, 0x1.45d4e0c6f0695p-3, 0x1.3b3d280790ad1p-3, 0x1.307a0bc7e27b7p-3, 0x1.25953e895c438p-3, 0x1.1a97eaae4aef6p-3, 0x1.0f8ab20df28f4p-3, 0x1.0475ae93b4f88p-3, 0x1.f2c0e78065154p-4, 0x1.dca421d054fdap-4, 0x1.c6a22822737ecp-4, 0x1.b0c71aa0cd7e6p-4, 0x1.9b1e2524286c7p-4, 0x1.85b1876bd07b9p-4, 0x1.708a9dd81724p-4, 0x1.5bb1ea87137cap-4, 0x1.472f1eb7798d7p-4, 0x1.3309245917f21p-4, 0x1.1f4627b5d6278p-4, 0x1.0beba120e1187p-4, 0x1.f1fcbd387d1d7p-5, 0x1.cd051ace53a9ap-5, 0x1.a8f786d32b83ep-5, 0x1.85da10e5ad48dp-5, 0x1.63b1be860715dp-5, 0x1.42829cafdce0cp-5, 0x1.224fd0ef84307p-5, 0x1.031ba9e8c3231p-5, 0x1.c9cf5e8e7d532p-6, 0x1.8f696224c6c6dp-6, 0x1.5705acc04ecb3p-6, 0x1.20a356c6b97p-6, 0x1.d880bb4e3eb67p-7, 0x1.73b37ab5f5102p-7, 0x1.12d71130ef486p-7, 0x1.6bc3fee015643p-8, 0x1.732532860a828p-9, 0x1.e02bc84f8ceb6p-13, -0x1.2815354bf78ebp-9, -0x1.2fae47a9bf332p-8, -0x1.c40869d7f0e6bp-8, -0x1.289ca76f2ee77p-7, -0x1.6bb14b9dcfd12p-7, -0x1.ab53805b951b9p-7, -0x1.e7951a7a70d65p-7, -0x1.104426fdcfe9bp-6, -0x1.2b1fcc98e3fcp-6, -0x1.4466d8d673f8dp-6, -0x1.5c22b96c8cea7p-6, -0x1.725ce71c96e82p-6, -0x1.871ede92f923bp-6, -0x1.9a7219fdcc074p-6, -0x1.ac600b4f5ed44p-6, -0x1.bcf21721a93afp-6, -0x1.cc31902fea34ep-6, -0x1.da27b35c13b67p-6, -0x1.e6dda435fb756p-6, -0x1.f25c69fa92e73p-6, -0x1.fcaced01cf551p-6, -0x1.02ebfa492f262p-5, -0x1.06f3128947587p-5, -0x1.0a6fff4726d2ap-5, -0x1.0d66edc5470bfp-5, -0x1.0fdbf80f5bbb1p-5, -0x1.11d324a6a312ap-5, -0x1.1350664a8fd27p-5, -0x1.14579bdac28ccp-5, -0x1.14ec904f79ce4p-5, -0x1.1512fac5d2197p-5, -0x1.14ce7e9d62062p-5, -0x1.1422aba4eb81fp-5, -0x1.1312fe53ff15dp-5, -0x1.11a2e00fa9876p-5, -0x1.0fd5a7785f469p-5, -0x1.0dae98bf883c8p-5, -0x1.0b30e6032f4a3p-5, -0x1.085fafae7bf4p-5, -0x1.053e04ddc25d6p-5, -0x1.01cee3c517d79p-5, -0x1.fc2a7430c9afp-6, -0x1.f427cae846a46p-6, -0x1.eb9b678bfcfa1p-6, -0x1.e28ac7695ff92p-6, -0x1.d8fb4a0cf5889p-6, -0x1.cef2320b8d819p-6, -0x1.c474a5c6e613fp-6, -0x1.b987b02d020c7p-6, -0x1.ae304171908cap-6, -0x1.a2732fc0f0b02p-6, -0x1.965537ec6b15bp-6, -0x1.89dafe0f69019p-6, -0x1.7d090e2d663edp-6, -0x1.6fe3dcc87f7dfp-6, -0x1.626fc77092a19p-6, -0x1.54b1154af8b85p-6, -0x1.46abf792e4311p-6, -0x1.38648a127f6edp-6, -0x1.29ded394e72f8p-6, -0x1.1b1ec65141818p-6, -0x1.0c28404f1c34dp-6, -0x1.f9fe1788b3b67p-7, -0x1.db4dbed9c5a34p-7, -0x1.bc46bdb8c9d4bp-7, -0x1.9cf03594da062p-7, -0x1.7d5122b24d0dfp-7, -0x1.5d705cae3ce68p-7, -0x1.3d5496f86aff8p-7, -0x1.1d04614455ccep-7, -0x1.f90c4fe41ae57p-8, -0x1.b7c068dee43cbp-8, -0x1.76315b24e15b1p-8, -0x1.346b2fd9993e6p-8, -0x1.e4f3586835563p-9, -0x1.60d0a4205cb2bp-9, -0x1.b90981d927ba3p-10, -0x1.6096a0d7a3124p-11, 0x1.61b98291247ep-12, 0x1.60f9ab9d27762p-10, 0x1.3496d75eb2ae7p-9, 0x1.b871454f3963ap-9, 0x1.1dfc582963b13p-8, 0x1.5f8d14601e583p-8, 0x1.a0e19eeae4046p-8, 0x1.e1f0fe7f888a8p-8, 0x1.11593c47518e8p-7, 0x1.318ec873e2ce1p-7, 0x1.519504aeb5ebdp-7, 0x1.7167f0b40909ep-7, 0x1.9103aae414d17p-7, 0x1.b064701321c4fp-7, 0x1.cf869b58a1166p-7, 0x1.ee66a5dcfe22ep-7, 0x1.0680935304862p-6, 0x1.15a96930e8d1p-6, 0x1.24ac3d97f5c68p-6, 0x1.3387883475f48p-6, 0x1.4239cf3209cdep-6, 0x1.50c1a71d8307cp-6, 0x1.5f1db2c5bdb5ep-6, 0x1.6d4ca31b6b2f6p-6, 0x1.7b4d370fdf9fep-6, 0x1.891e3b72cbc01p-6, 0x1.96be8aceebdc2p-6, 0x1.a42d0d45a4694p-6, 0x1.b168b8698e47fp-6, 0x1.be708f17ed118p-6, 0x1.cb43a1511d833p-6, 0x1.d7e10c1003115p-6, 0x1.e447f9206ce34p-6, 0x1.f0779ef489737p-6, 0x1.fc6f40795abdep-6, 0x1.041716751df13p-5, 0x1.09d9dfd1bcd12p-5, 0x1.0f7faffa0ad36p-5, 0x1.1508407754a62p-5, 0x1.1a73509cc6466p-5, 0x1.1fc0a56f17037p-5, 0x1.24f0098bdef4dp-5, 0x1.2a014d108c088p-5, 0x1.2ef445810b6bdp-5, 0x1.33c8cdae2315ap-5, 0x1.387ec59b865abp-5, 0x1.3d161265aa79p-5, 0x1.418e9e276114fp-5, 0x1.45e857df3b794p-5, 0x1.4a233354bb2cep-5, 0x1.4e3f28fd595dep-5, 0x1.523c35e1673f1p-5, 0x1.561a5b80d07ccp-5, 0x1.59d99fb7c6793p-5, 0x1.5d7a0ca355047p-5, 0x1.60fbb085ec85ep-5, 0x1.645e9dabdf213p-5, 0x1.67a2ea4fda566p-5, 0x1.6ac8b07f60482p-5, 0x1.6dd00dff48656p-5, 0x1.70b924304c636p-5, 0x1.738417f3a3ff1p-5, 0x1.7631118fbc89bp-5, 0x1.78c03c9501b3ap-5, 0x1.7b31c7c2ce185p-5, 0x1.7d85e4ec757abp-5, 0x1.7fbcc8de78df2p-5, 0x1.81d6ab43e755p-5, 0x1.83d3c68bea074p-5, 0x1.85b457cf8c76dp-5, 0x1.87789eb7b1beap-5, 0x1.8920dd634e197p-5, 0x1.8aad584dd9c18p-5, 0x1.8c1e563602cadp-5, 0x1.8d742004a778cp-5, 0x1.8eaf00b412b89p-5, 0x1.8fcf45378820cp-5, 0x1.90d53c63191efp-5, 0x1.91c136d3ce977p-5, 0x1.929386d822bcdp-5, 0x1.934c8058d00d5p-5, 0x1.93ec78c1f7ebcp-5, 0x1.9473c6ec9d501p-5, 0x1.94e2c30880394p-5, 0x1.9539c6864d36dp-5, 0x1.95792c023192ap-5, 0x1.95a14f2ece205p-5, 0x1.95b28cc0890bep-5, 0x1.95ad425943eefp-5, 0x1.9591ce747794fp-5, 0x1.95609053afcccp-5, 0x1.9519e7eb6df73p-5, 0x1.94be35d07036cp-5, 0x1.944ddb256069fp-5, 0x1.93c93988e8d48p-5, 0x1.9330b304330adp-5, 0x1.9284a9f9cac93p-5, 0x1.91c58114f1089p-5, 0x1.90f39b39502ecp-5, 0x1.900f5b731e056p-5, 0x1.8f1924e7a1431p-5, 0x1.8e115ac624db2p-5, 0x1.8cf860394d775p-5, 0x1.8bce9858d8d93p-5, 0x1.8a94661bc5bb3p-5, 0x1.894a2c4ae1ba1p-5, 0x1.87f04d73c0cc2p-5, 0x1.86872bdc1689p-5, 0x1.850f29757958p-5, 0x1.8388a7d1887dcp-5, 0x1.81f4081674ad7p-5, 0x1.8051aaf3ee491p-5, 0x1.7ea1f09871388p-5, 0x1.7ce538a6f507ap-5, 0x1.7b1be22cfdc5dp-5, 0x1.79464b9908606p-5, 0x1.7764d2b15a352p-5, 0x1.7577d48b28f52p-5, 0x1.737fad8224b19p-5, 0x1.717cb9305659dp-5, 0x1.6f6f52665c84dp-5, 0x1.6d57d323fa8f3p-5, 0x1.6b36949105abp-5, 0x1.690beef69e487p-5, 0x1.66d839b8c5ae3p-5, 0x1.649bcb5041acfp-5, 0x1.6256f944d0e61p-5, 0x1.600a1827b3831p-5, 0x1.5db57b8e80fb8p-5, 0x1.5b59760e4816ep-5, 0x1.58f65936fdc04p-5, 0x1.568c758f36c9bp-5, 0x1.541c1a90237c1p-5, 0x1.51a596a1dbb94p-5, 0x1.4f293717e8b09p-5, 0x1.4ca7482e13e3ap-5, 0x1.4a2015057c89bp-5, 0x1.4793e7a1e869p-5, 0x1.450308e75a5a6p-5, 0x1.426dc097e226cp-5, 0x1.3fd45551aa51p-5, 0x1.3d370c8d4372fp-5, 0x1.3a962a9c22f81p-5, 0x1.37f1f2a762964p-5, 0x1.354aa6aead83ap-5, 0x1.32a08787648f4p-5, 0x1.2ff3d4dbfca24p-5, 0x1.2d44cd2b80701p-5, 0x1.2a93adc953f1cp-5, 0x1.27e0b2dd178c9p-5, 0x1.252c1762c4373p-5, 0x1.2276152aee53ep-5, 0x1.1fbee4db33768p-5, 0x1.1d06bdeed4da9p-5, 0x1.1a4dd6b7766fep-5, 0x1.1794645e06044p-5, 0x1.14da9ae3c8c65p-5, 0x1.1220ad2387653p-5, 0x1.0f66ccd2e576ap-5, 0x1.0cad2a83d06ffp-5, 0x1.09f3f5a615ad8p-5, 0x1.073b5c891445p-5, 0x1.04838c5d8c66bp-5, 0x1.01ccb1378ca62p-5, 0x1.fe2dec20f07c3p-6, 0x1.f8c5099255c6p-6, 0x1.f35f0c5864ca6p-6, 0x1.edfc43e03adfdp-6, 0x1.e89cfd73d769fp-6, 0x1.e341843f08279p-6, 0x1.ddea2154936d2p-6, 0x1.d8971bb387aacp-6, 0x1.d348b84ca0c32p-6, 0x1.cdff3a07e0c09p-6, 0x1.c8bae1ca3da67p-6, 0x1.c37bee7b73da2p-6, 0x1.be429d0befc4cp-6, 0x1.b90f287adeddp-6, 0x1.b3e1c9dc459dep-6, 0x1.aebab85f41d29p-6, 0x1.a99a295453378p-6, 0x1.a4805033c3c61p-6, 0x1.9f6d5ea413851p-6, 0x1.9a618480829afp-6, 0x1.955cefdfa6a3p-6, 0x1.905fcd1a021e6p-6, 0x1.8b6a46d0bfc8dp-6, 0x1.867c85f45ba18p-6, 0x1.8196b1cb6c52bp-6, 0x1.7cb8eff9686p-6, 0x1.77e36485752f7p-6, 0x1.731631e13f37cp-6, 0x1.6e5178efd0c6ap-6, 0x1.6995590c6a2f6p-6, 0x1.64e1f0116757fp-6, 0x1.60375a5f167f7p-6, 0x1.5b95b2e29dcb1p-6, 0x1.56fd131ccd1fap-6, 0x1.526d932902fa9p-6, 0x1.4de749c3f5d96p-6, 0x1.496a4c5292bd7p-6, 0x1.44f6aee8bc059p-6, 0x1.408c84501b46ep-6, 0x1.3c2bde0ed4e42p-6, 0x1.37d4cc6e484f3p-6, 0x1.33875e81b6417p-6, 0x1.2f43a22cec952p-6, 0x1.2b09a42addb6bp-6, 0x1.26d970143274dp-6, 0x1.22b31065cfda5p-6, 0x1.1e968e874c242p-6, 0x1.1a83f2d1624f5p-6, 0x1.167b44944d06p-6, 0x1.127c8a1e14e1bp-6, 0x1.0e87c8c0da748p-6, 0x1.0a9d04d90649bp-6, 0x1.06bc41d37127bp-6, 0x1.02e582337466p-6, 0x1.fe318f31ec146p-7, 0x1.f6ac258cb5b57p-7, 0x1.ef3ac74cd4c04p-7, 0x1.e7dd72a44c751p-7, 0x1.e094242d15e6cp-7, 0x1.d95ed6f47d056p-7, 0x1.d23d848665bd2p-7, 0x1.cb3024f86843dp-7, 0x1.c436aef4babcep-7, 0x1.bd5117c5126afp-7, 0x1.b67f535d3611ep-7, 0x1.afc154659fd39p-7, 0x1.a9170c45bb207p-7, 0x1.a2806b2e3a94dp-7, 0x1.9bfd60230f8b1p-7, 0x1.958dd90561adbp-7, 0x1.8f31c29d53defp-7, 0x1.88e908a38b33fp-7, 0x1.82b395caba28dp-7, 0x1.7c9153c8e575bp-7, 0x1.76822b6080147p-7, 0x1.708604697661fp-7, 0x1.6a9cc5d9f9eb2p-7, 0x1.64c655cf354ccp-7, 0x1.5f029995d0395p-7, 0x1.595175b251b86p-7, 0x1.53b2cde9528c1p-7, 0x1.4e2685479a79ap-7, 0x1.48ac7e29f2fbbp-7, 0x1.43449a45006d4p-7, 0x1.3deebaacd2ddep-7, 0x1.38aabfdc5a301p-7, 0x1.337889bcb0d78p-7, 0x1.2e57f7ac51e69p-7, 0x1.2948e8860ea6ep-7, 0x1.244b3aa7e5a7bp-7, 0x1.1f5ecbf9c99ccp-7, 0x1.1a8379f428e87p-7, 0x1.15b921a65d14ep-7, 0x1.10ff9fbce9e2ep-7, 0x1.0c56d087b2376p-7, 0x1.07be8fffeb4fp-7, 0x1.0336b9cdf9fd3p-7, 0x1.fd7e529e60398p-8, 0x1.f4af7336b4de4p-8, 0x1.ec008b14773e5p-8, 0x1.e3714f71b39e3p-8, 0x1.db01751d55068p-8, 0x1.d2b0b0854c684p-8, 0x1.ca7eb5c0577cbp-8, 0x1.c26b3897a8af5p-8, 0x1.ba75ec90365d3p-8, 0x1.b29e84f3c6873p-8, 0x1.aae4b4d9dcf57p-8, 0x1.a3482f304b58p-8, 0x1.9bc8a6c37c714p-8, 0x1.9465ce46b36e2p-8, 0x1.8d1f585bd4755p-8, 0x1.85f4f79b211d2p-8, 0x1.7ee65e9aa18f1p-8, 0x1.77f33ff562e3ep-8, 0x1.711b4e525fa4cp-8, 0x1.6a5e3c6b657d2p-8, 0x1.63bbbd139ce8ap-8, 0x1.5d33833dd7753p-8, 0x1.56c54202ccd9ep-8, 0x1.5070aca6f7823p-8, 0x1.4a3576a077922p-8, 0x1.4413539c74702p-8, 0x1.3e09f784a4deep-8, 0x1.3819168472528p-8, 0x1.3240650ddca87p-8, 0x1.2c7f97de702bbp-8, 0x1.26d66403d883fp-8, 0x1.21447ee04dedep-8, 0x1.1bc99e2ef7307p-8, 0x1.16657807eeafbp-8, 0x1.1117c2e452794p-8, 0x1.0be035a1fbef5p-8, 0x1.06be87872d512p-8, 0x1.01b270460a10fp-8, 0x1.f9775000022d7p-9, 0x1.efb3ce91ab3e7p-9, 0x1.e619ce539e75bp-9, 0x1.dca8c2491e546p-9, 0x1.d3601e6bad0e7p-9, 0x1.ca3f57b0419b9p-9, 0x1.c145e40c67636p-9, 0x1.b8733a7aceeccp-9, 0x1.afc6d2ffec9fbp-9, 0x1.a74026ae28a0ap-9, 0x1.9edeafa9aa777p-9, 0x1.96a1e92c927c8p-9, 0x1.8e894f89ede36p-9, 0x1.8694603186e2dp-9, 0x1.7ec299b29f536p-9, 0x1.77137bbefb3efp-9, 0x1.6f86872d819a6p-9, 0x1.681b3dfcb8679p-9, 0x1.60d12355064bap-9, 0x1.59a7bb8abbd9ap-9, 0x1.529e8c2002f7fp-9, 0x1.4bb51bc6a9ae2p-9, 0x1.44eaf261843d4p-9, 0x1.3e3f9905c6c6fp-9, 0x1.37b299fc7ba99p-9, 0x1.314380c33955cp-9, 0x1.2af1da0d4e5bap-9, 0x1.24bd33c43051ap-9, 0x1.1ea51d085911bp-9, 0x1.18a926318926cp-9, 0x1.12c8e0cf21df7p-9, 0x1.0d03dfa85c79p-9, 0x1.0759b6bc4bd01p-9, 0x1.01c9fb41a925dp-9, 0x1.f8a8874dc345ep-10, 0x1.edf04f22fef15p-10, 0x1.e36a7fbbbce2ap-10, 0x1.d9164d3d42e85p-10, 0x1.cef2ee37d7991p-10, 0x1.c4ff9ba58953bp-10, 0x1.bb3b90e84e9d5p-10, 0x1.b1a60bc83401bp-10, 0x1.a83e4c713b23dp-10, 0x1.9f0395711ec8dp-10, 0x1.95f52bb4d3554p-10, 0x1.8d12568613accp-10, 0x1.845a5f88b2654p-10, 0x1.7bcc92b7619ecp-10, 0x1.73683e60f8f43p-10, 0x1.6b2cb3251cac2p-10, 0x1.631943f135fa5p-10, 0x1.5b2d45fcabd96p-10, 0x1.536810c57176cp-10, 0x1.4bc8fe0ca8e26p-10, 0x1.444f69d24bcb3p-10, 0x1.3cfab251f5971p-10, 0x1.35ca37fe5f163p-10, 0x1.2ebd5d7d8e5b6p-10, 0x1.27d387a4ba049p-10, 0x1.210c1d73e474cp-10, 0x1.1a6688119e75cp-10, 0x1.13e232c68e2e5p-10, 0x1.0d7e8af94f098p-10, 0x1.073b002969af6p-10, 0x1.011703eb23436p-10, 0x1.f62413c521aa2p-11, 0x1.ea570f7e2f633p-11, 0x1.dec5ea6d44178p-11, 0x1.d36f98015f393p-11, 0x1.c8530fa37d12ep-11, 0x1.bd6f4cac5ffd7p-11, 0x1.b2c34e5ad4c24p-11, 0x1.a84e17ca3f7f3p-11, 0x1.9e0eafe7bdc75p-11, 0x1.9404216939bc1p-11, 0x1.8a2d7ac2bf84bp-11, 0x1.8089ce1c50333p-11, 0x1.771831482fd4fp-11, 0x1.6dd7bdb852c94p-11, 0x1.64c790748ec57p-11, 0x1.5be6ca103367ap-11, 0x1.53348e9ff5331p-11, 0x1.4ab005af8708fp-11, 0x1.42585a379e5dap-11, 0x1.3a2cba93a336p-11, 0x1.322c5877962fep-11, 0x1.2a5668e5969d4p-11, 0x1.22aa2423f1152p-11, 0x1.1b26c5b30d5d9p-11, 0x1.13cb8c430329ep-11, 0x1.0c97b9a9ac0c2p-11, 0x1.058a92d870456p-11, 0x1.fd46bfa4f2bb2p-12, 0x1.efc2d744956bbp-12, 0x1.e28808a0225a5p-12, 0x1.d594f5af3a661p-12, 0x1.c8e8463d1521ep-12, 0x1.bc80a7d497a77p-12, 0x1.b05ccdace9f83p-12, 0x1.a47b7095aa3p-12, 0x1.98db4ee4895b9p-12, 0x1.8d7b2c60532e1p-12, 0x1.8259d22fd5681p-12, 0x1.77760ec4c5c5fp-12, 0x1.6cceb5cabe91cp-12, 0x1.6262a012eba1p-12, 0x1.5830ab82dac39p-12, 0x1.4e37bb0087549p-12, 0x1.4476b6612d5dcp-12, 0x1.3aec8a567df16p-12, 0x1.3198285cc96b2p-12, 0x1.287886a8cb1c5p-12, 0x1.1f8ca01653737p-12, 0x1.16d3741679e43p-12, 0x1.0e4c069df8b1dp-12, 0x1.05f5601421654p-12, 0x1.fb9d1a8356deap-13, 0x1.ebad3e7f7f2d5p-13, 0x1.dc1956ce2652dp-13, 0x1.ccdf967e61561p-13, 0x1.bdfe38dd49afp-13, 0x1.af7381532ca72p-13, 0x1.a13dbb4518847p-13, 0x1.935b39f405384p-13, 0x1.85ca585dbae7ep-13, 0x1.7889791cadd98p-13, 0x1.6b97064afa375p-13, 0x1.5ef171612c5d2p-13, 0x1.5297331a481f2p-13, 0x1.4686cb54c0706p-13, 0x1.3abec0f561228p-13, 0x1.2f3da1c9d4aa4p-13, 0x1.2402026c8110ep-13, 0x1.190a7e2706845p-13, 0x1.0e55b6d67f5cbp-13, 0x1.03e254d04e724p-13, 0x1.f35e0d8bc5accp-14, 0x1.df7503546633ap-14, 0x1.cc07012d54848p-14, 0x1.b9118960d1095p-14, 0x1.a6922a1ec2c2p-14, 0x1.94867d46c42b4p-14, 0x1.82ec2835dcdb7p-14, 0x1.71c0db95e6f73p-14, 0x1.6102532b06b11p-14, 0x1.50ae55a2c7539p-14, 0x1.40c2b464a204dp-14, 0x1.313d4b613e4d5p-14, 0x1.221c00e6c62d7p-14, 0x1.135cc56f24223p-14, 0x1.04fd93750201bp-14, 0x1.edf8de8bd71c7p-15, 0x1.d2aecdad08ecfp-15, 0x1.b819232ffdfacp-15, 0x1.9e342095612b3p-15, 0x1.84fc19ae20a34p-15, 0x1.6c6d7443449f3p-15, 0x1.5484a7c5dcdcep-15, 0x1.3d3e3cffc1dfbp-15, 0x1.2696cdc0f8656p-15, 0x1.108b0494740b3p-15, 0x1.f62f38de44eb3p-16, 0x1.cc72c0d462695p-16, 0x1.a3da56e2d00a6p-16, 0x1.7c5fcffcd460bp-16, 0x1.55fd1f9eff4a1p-16, 0x1.30ac573c55d06p-16, 0x1.0c67a5b61701bp-16, 0x1.d252ada248711p-17, 0x1.8dd7a55a82bc4p-17, 0x1.4b533a8246f92p-17, 0x1.0abaabadee269p-17, 0x1.9806da17cbdf6p-18, 0x1.1e464ef3ffd46p-18, 0x1.503eddde830ccp-19, 0x1.abf2c3bc05cdep-21, -0x1.cd8393d362a41p-21, -0x1.4b001c93315eap-19, -0x1.0e0337897d08cp-18, -0x1.734c4cb35a743p-18, -0x1.d56d500980e88p-18, -0x1.1a3bf49d663fbp-17, -0x1.483eb38f179c5p-17, -0x1.74c760b72a7c1p-17, -0x1.9fde4d298dd73p-17, -0x1.c98ba00d40ed3p-17, -0x1.f1d7575df0f33p-17, -0x1.0c64a45e9eccp-16, -0x1.1f349117ceb68p-16, -0x1.315f3570297a4p-16, -0x1.42e841ee533afp-16, -0x1.53d3546a73389p-16, -0x1.6423f865e8f51p-16, -0x1.73dda767a5943p-16, -0x1.8303c950609bdp-16, -0x1.9199b4b9333b1p-16, -0x1.9fa2af3fbd4f2p-16, -0x1.ad21edddc37a6p-16, -0x1.ba1a953d96547p-16, -0x1.c68fba050478bp-16, -0x1.d284612a2dccfp-16, -0x1.ddfb803bafcbp-16, -0x1.e8f7fdb191571p-16, -0x1.f37cb1347b7bbp-16, -0x1.fd8c63e89015cp-16, -0x1.0394e85b31bdcp-15, -0x1.082bd24820ee3p-15, -0x1.0c8c3f5b372b1p-15, -0x1.10b7787f81cb1p-15, -0x1.14aec009f1b3p-15, -0x1.187351dcd7471p-15, -0x1.1c06638492e2fp-15, -0x1.1f69245ad2d26p-15, -0x1.229cbda30b955p-15, -0x1.25a252a8f979ep-15, -0x1.287b00e0616d9p-15, -0x1.2b27dfff332d4p-15, -0x1.2daa021ce4d8ap-15, -0x1.300273cd1fd84p-15, -0x1.32323c3b6209fp-15, -0x1.343a5d46d7218p-15, -0x1.361bd39b9d451p-15, -0x1.37d796cde59a1p-15, -0x1.396e99727f54dp-15, -0x1.3ae1c93917d07p-15, -0x1.3c320f028f3e9p-15, -0x1.3d604efc18d8bp-15, -0x1.3e6d68b3799ep-15, -0x1.3f5a3730c48cfp-15, -0x1.4027910b3b83p-15, -0x1.40d648810ac57p-15, -0x1.41672b8b09498p-15, -0x1.41db03f4d91f3p-15, -0x1.4232976e7326ep-15, -0x1.426ea7a3f4423p-15, -0x1.428ff24f6590dp-15, -0x1.4297314d33bf7p-15, -0x1.42851aafd5bb2p-15, -0x1.425a60d2d36d2p-15, -0x1.4217b26bb11c4p-15, -0x1.41bdba9ebe49p-15, -0x1.414d210e90d8p-15, -0x1.40c689ef434ap-15, -0x1.402a9615b417bp-15, -0x1.3f79e30ada402p-15, -0x1.3eb50b19234c8p-15, -0x1.3ddca55f911acp-15, -0x1.3cf145df2fa8dp-15, -0x1.3bf37d8c2f4cfp-15, -0x1.3ae3da5c0e497p-15, -0x1.39c2e7548f61dp-15, -0x1.38912c9b8448dp-15, -0x1.374f2f8303d8cp-15, -0x1.35fd7299244b2p-15, -0x1.349c75b538cf7p-15, -0x1.332cb6048ae86p-15, -0x1.31aeae18c817dp-15, -0x1.3022d5f373bbap-15, -0x1.2e89a31478086p-15, -0x1.2ce3888424cd7p-15, -0x1.2b30f6e189503p-15, -0x1.29725c6d0abe3p-15, -0x1.27a82514c2636p-15, -0x1.25d2ba7f23f63p-15, -0x1.23f284173655ap-15, -0x1.2207e716a33cp-15, -0x1.20134691103f3p-15, -0x1.1e15037e6d347p-15, -0x1.1c0d7cc532011p-15, -0x1.19fd0f44d5583p-15, -0x1.17e415df9969fp-15, -0x1.15c2e983d062ep-15, -0x1.1399e1361af4ep-15, -0x1.1169521a56ba9p-15, -0x1.0f318f7cd16aep-15, -0x1.0cf2eadb6278bp-15, -0x1.0aadb3ee3683p-15, -0x1.086238aff0b74p-15, -0x1.0610c56757cc3p-15, -0x1.03b9a4ade5ab6p-15, -0x1.015d1f797580fp-15, -0x1.fdf6fa4662db7p-16, -0x1.f92a06e039842p-16, -0x1.f453ed30086b5p-16, -0x1.ef75329b3535ap-16, -0x1.ea8e598b13cp-16, -0x1.e59fe17b0bbdp-16, -0x1.e0aa470743a0ap-16, -0x1.dbae03fa6f0d5p-16, -0x1.d6ab8f5a9a907p-16, -0x1.d1a35d77bec75p-16, -0x1.cc95dff7b619p-16, -0x1.c78385e3dc4cap-16, -0x1.c26cbbb4db315p-16, -0x1.bd51eb5f9a62p-16, -0x1.b8337c60d18fap-16, -0x1.b311d3c93f15p-16, -0x1.aded54494db52p-16, -0x1.a8c65e3bdaf8ap-16, -0x1.a39d4fb261821p-16, -0x1.9e72847ebd73ep-16, -0x1.9946563f20b99p-16, -0x1.94191c677797cp-16, -0x1.8eeb2c4ce60ffp-16, -0x1.89bcd92ea5b14p-16, -0x1.848e7440f95b1p-16, -0x1.7f604cb6f25bbp-16, -0x1.7a32afcaffb59p-16, -0x1.7505e8c9681b4p-16, -0x1.6fda41190d16bp-16, -0x1.6ab0004471ecp-16, -0x1.65876c0285f58p-16, -0x1.6060c83faa15fp-16, -0x1.5b3c5726042ecp-16, -0x1.561a5925c14c3p-16, -0x1.50fb0cfdd1971p-16, -0x1.4bdeafc34785ap-16, -0x1.46c57cea033adp-16, -0x1.41afae4bb351ap-16, -0x1.3c9d7c300cf19p-16, -0x1.378f1d54373f5p-16, -0x1.3284c6f1cfc1dp-16, -0x1.2d7eacc6adbb8p-16, -0x1.287d011b7f84ap-16, -0x1.237ff4cb1b529p-16, -0x1.1e87b748fc24dp-16, -0x1.199476a845722p-16, -0x1.14a65fa237703p-16, -0x1.0fbd9d9cfbfd2p-16, -0x1.0ada5ab1534dbp-16, -0x1.05fcbfb181fc5p-16, -0x1.0124f42f065ccp-16, -0x1.f8a63d0206cc6p-17, -0x1.ef0ec7939e3bap-17, -0x1.e583cff9e727ap-17, -0x1.dc059bc98794dp-17, -0x1.d2946e50e783bp-17, -0x1.c93088a13e4ffp-17, -0x1.bfda299bf8a1ap-17, -0x1.b6918dfad8024p-17, -0x1.ad56f05c9ee5p-17, -0x1.a42a894e3f2bap-17, -0x1.9b0c8f5404587p-17, -0x1.91fd36f5f617p-17, -0x1.88fcb2c7b2a48p-17, -0x1.800b33725e716p-17, -0x1.7728e7be7e25dp-17, -0x1.6e55fc9d464bep-17, -0x1.65929d30deebbp-17, -0x1.5cdef2d6ea802p-17, -0x1.543b252f980c8p-17, -0x1.4ba75a2741c0fp-17, -0x1.4323b5ff2c183p-17, -0x1.3ab05b54f3717p-17, -0x1.324d6b2bb9dc8p-17, -0x1.29fb04f366956p-17, -0x1.21b946920b96ap-17, -0x1.19884c698f40dp-17, -0x1.1168316130e8ap-17, -0x1.09590eecbe3c1p-17, -0x1.015afd133bffcp-17, -0x1.f2dc24ed86b0ep-18, -0x1.e324c8b845b03p-18, -0x1.d3900d61c391cp-18, -0x1.c41e1826e5da8p-18, -0x1.b4cf0bb1f9b37p-18, -0x1.a5a30828acda2p-18, -0x1.969a2b3b0e4c5p-18, -0x1.87b4902ee7ee4p-18, -0x1.78f24fec53842p-18, -0x1.6a53810b176a2p-18, -0x1.5bd837df904b1p-18, -0x1.4d808685c301ep-18, -0x1.3f4c7ced8cfbbp-18, -0x1.313c28e7aff16p-18, -0x1.234f963030cb3p-18, -0x1.1586ce792e22bp-18, -0x1.07e1d9796016dp-18, -0x1.f4c179e61d6e3p-19, -0x1.da06f983335acp-19, -0x1.bf9435c6496f6p-19, -0x1.a5692f071a953p-19, -0x1.8b85e20d268a7p-19, -0x1.71ea4824bce8ap-19, -0x1.58965733de169p-19, -0x1.3f8a01cbb24ffp-19, -0x1.26c5373d2fca2p-19, -0x1.0e47e3ac34d27p-19, -0x1.ec23e04541891p-20, -0x1.bc46854578103p-20, -0x1.8cf77c74b91dbp-20, -0x1.5e368625f25e2p-20, -0x1.30035d0703074p-20, -0x1.025db64a0b97ap-20, -0x1.aa8a8380b2da4p-21, -0x1.517353f8837c4p-21, -0x1.f2ea51dc7da7ap-22, -0x1.451e86bf4c11ep-22, -0x1.33036a4a8ef88p-23, 0x1.fdb8eb79d6dadp-27, 0x1.6e634b16e6f89p-23, 0x1.5c4bae3a30f34p-22, 0x1.ff3dbbb27cb4ap-22, 0x1.5004dca572921p-21, 0x1.9f58d171530aap-21, 0x1.ed9bc23bda59bp-21, 0x1.1d675e71fe205p-20, 0x1.43796b73a646cp-20, 0x1.6904969815971p-20, 0x1.8e0971ec57e78p-20, 0x1.b28892feb625ep-20, 0x1.d68292c44214dp-20, 0x1.f9f80d7e7db4ep-20, 0x1.0e74d1515d8bap-19, 0x1.1fabfa60e4b84p-19, 0x1.30a1d4b606383p-19, 0x1.4156b48f60a12p-19, 0x1.51caef96ca3adp-19, 0x1.61fedcd218b2ep-19, 0x1.71f2d49ac9532p-19, 0x1.81a73091e5f41p-19, 0x1.911c4b9403e05p-19, 0x1.a05281b0d9988p-19, 0x1.af4a301fa2048p-19, 0x1.be03b53335db2p-19, 0x1.cc7f7052cf76fp-19, 0x1.dabdc1ec9bac3p-19, 0x1.e8bf0b6cd8cc8p-19, 0x1.f683af365427fp-19, 0x1.0206084af47b6p-18, 0x1.08ac49ddaec5dp-18, 0x1.0f34ced721cep-18, 0x1.159fca22d84d9p-18, 0x1.1bed6f0fdc7cep-18, 0x1.221df14c886eep-18, 0x1.283184e14c1a1p-18, }}, 
      {{0x1.9b243e462b929p-4, 0x1.9b76dc1cde73p-4, 0x1.9c2275fe0198fp-4, 0x1.9d54e8dfe6611p-4, 0x1.9f45f799efa08p-4, 0x1.a2316752beab6p-4, 0x1.a6519cfbd5cfep-4, 0x1.abdb2f81575cap-4, 0x1.b2f99f079e395p-4, 0x1.bbcd320872769p-4, 0x1.c669dba4c4d1cp-4, 0x1.d2d6ff8b5e0f9p-4, 0x1.e10fe32d3a67dp-4, 0x1.f1049db9d78f8p-4, 0x1.014daec591176p-3, 0x1.0ad8f01fa32cp-3, 0x1.150f80c4495d7p-3, 0x1.1fda2588be61ap-3, 0x1.2b1fbab3cb3e6p-3, 0x1.36c5e74da20d2p-3, 0x1.42b1bf9355a18p-3, 0x1.4ec854673c743p-3, 0x1.5aef2ed0dc5fcp-3, 0x1.670cb78dd8886p-3, 0x1.73088b65a325ap-3, 0x1.7ecbbd6e098afp-3, 0x1.8a4108c0dbc9ap-3, 0x1.9554f35333604p-3, 0x1.9ff5e3b482d9bp-3, 0x1.aa142b7cf48fp-3, 0x1.b3a20824a9c79p-3, 0x1.bc939be4e2275p-3, 0x1.c4dee0240e48fp-3, 0x1.cc7b92c9bffep-3, 0x1.d3631fb1283e2p-3, 0x1.d990874a5f182p-3, 0x1.df0043553ab57p-3, 0x1.e3b02a7d05d0bp-3, 0x1.e79f537b9f676p-3, 0x1.eacdf84c8221cp-3, 0x1.ed3d59dd92b54p-3, 0x1.eeefa493fb5d5p-3, 0x1.efe7d5e6c4c9ap-3, 0x1.f029a33f6f8p-3, 0x1.efb96241d211fp-3, 0x1.ee9bf29030e39p-3, 0x1.ecd6a916356b2p-3, 0x1.ea6f3cdd5b438p-3, 0x1.e76bb566a3b2bp-3, 0x1.e3d25a806e86bp-3, 0x1.dfa9a58b7dfe4p-3, 0x1.daf8341f426f3p-3, 0x1.d5c4bbfbbd6e1p-3, 0x1.d0160035fc3aap-3, 0x1.c9f2c78b891d6p-3, 0x1.c361d3c903e1cp-3, 0x1.bc69da303af0ap-3, 0x1.b5117cca8ba2p-3, 0x1.ad5f4494f3153p-3, 0x1.a5599c7405d34p-3, 0x1.9d06ccdee3093p-3, 0x1.946cf8311b18bp-3, 0x1.8b92179499d52p-3, 0x1.827bf8756c6fep-3, 0x1.79303a7264656p-3, 0x1.6fb44dbe5dc43p-3, 0x1.660d71e6ed5ccp-3, 0x1.5c40b4f61127ap-3, 0x1.5252f2e544da8p-3, 0x1.4848d5593427fp-3, 0x1.3e26d39de3579p-3, 0x1.33f132dbe4e7ap-3, 0x1.29ac067fccd3ep-3, 0x1.1f5b30cda5e55p-3, 0x1.1502639ab5c65p-3, 0x1.0aa5212864eafp-3, 0x1.0046bd1b81e41p-3, 0x1.ebd4bb173acb1p-4, 0x1.d725f84d2335ep-4, 0x1.c286cec9423c9p-4, 0x1.adfc8793f8d2p-4, 0x1.998c1a658a21fp-4, 0x1.853a304dd11cbp-4, 0x1.710b2666fd8dap-4, 0x1.5d03108f1065fp-4, 0x1.4925bc24516a4p-4, 0x1.3576b2c15ce8ep-4, 0x1.21f93cf5cc8e8p-4, 0x1.0eb064f8d14e6p-4, 0x1.f73df2a6e0a2cp-5, 0x1.d18f1f00aca94p-5, 0x1.ac590cff0a2a9p-5, 0x1.87a012b8a65f9p-5, 0x1.63682348f743fp-5, 0x1.3fb4d39e4e4edp-5, 0x1.1c895f2621725p-5, 0x1.f3d158ac3836ep-6, 0x1.afaaa221c262p-6, 0x1.6ca32dcb596e5p-6, 0x1.2abefe54916b5p-6, 0x1.d4031bbbf2da4p-7, 0x1.54dbab3183fabp-7, 0x1.b019545908df4p-8, 0x1.7668ca5ee1b2ap-9, -0x1.a7879680935dfp-11, -0x1.2051c52b34637p-8, -0x1.0375504e8d375p-7, -0x1.745cbcccac787p-7, -0x1.e2dec9f2a841fp-7, -0x1.277ddb505257bp-6, -0x1.5c5a2a4669254p-6, -0x1.9004ff4e24ec8p-6, -0x1.c27f47dc114efp-6, -0x1.f3ca2d0d4ab98p-6, -0x1.11f387c401e4ap-5, -0x1.296bc1c9ecd35p-5, -0x1.404ea6b3e7d43p-5, -0x1.569d2ed5ea326p-5, -0x1.6c586715d4414p-5, -0x1.81816f5c85127p-5, -0x1.9619791d8dc2ep-5, -0x1.aa21c5f46e2bbp-5, -0x1.bd9ba656677dbp-5, -0x1.d0887857e11d7p-5, -0x1.e2e9a6846b937p-5, -0x1.f4c0a6c8735bfp-5, -0x1.03077cb5dcceep-4, -0x1.0b6b140ddc7eap-4, -0x1.138be2828a815p-4, -0x1.1b6ab4fda61dfp-4, -0x1.23085bd6edb37p-4, -0x1.2a65aa750d296p-4, -0x1.318376f488a91p-4, -0x1.386299d44eff6p-4, -0x1.3f03eda79afdap-4, -0x1.45684eccd78p-4, -0x1.4b909b29360e4p-4, -0x1.517db1e8b1038p-4, -0x1.573073423474bp-4, -0x1.5ca9c03fa74a7p-4, -0x1.61ea7a899eb82p-4, -0x1.66f3843678b0cp-4, -0x1.6bc5bf9caa27bp-4, -0x1.70620f280bfb7p-4, -0x1.74c95531f51d4p-4, -0x1.78fc73dbf0579p-4, -0x1.7cfc4cece787ap-4, -0x1.80c9c1b09442dp-4, -0x1.8465b2d915e39p-4, -0x1.87d1006282f22p-4, -0x1.8b0c897856f2ap-4, -0x1.8e192c5c9da29p-4, -0x1.90f7c650bb736p-4, -0x1.93a9337fb7a49p-4, -0x1.962e4ee9f0f05p-4, -0x1.9887f252220e7p-4, -0x1.9ab6f62b9f87fp-4, -0x1.9cbc3189bbdc3p-4, -0x1.9e987a103e9d3p-4, -0x1.a04ca3e4d696p-4, -0x1.a1d981a18100ep-4, -0x1.a33fe447cbef7p-4, -0x1.a4809b34ef53ap-4, -0x1.a59c74169ebfep-4, -0x1.a6943ae0a3b48p-4, -0x1.a768b9c312bcap-4, -0x1.a81ab9213239ep-4, -0x1.a8aaff88ec29fp-4, -0x1.a91a51aad8f9fp-4, -0x1.a9697252c741p-4, -0x1.a9992260d3bc9p-4, -0x1.a9aa20c2e5934p-4, -0x1.a99d2a6eb04aap-4, -0x1.a972fa5c0db3cp-4, -0x1.a92c497fd4be8p-4, -0x1.a8c9cec6fdb55p-4, -0x1.a84c3f12354d4p-4, -0x1.a7b44d31bd1dfp-4, -0x1.a702a9e1a24d6p-4, -0x1.a63803c64fb67p-4, -0x1.a555076964aaep-4, -0x1.a45a5f36d5993p-4, -0x1.a348b37a64a82p-4, -0x1.a220aa5d49d1cp-4, -0x1.a0e2e7e42f704p-4, -0x1.9f900ded6e1f4p-4, -0x1.9e28bc2f80e8bp-4, -0x1.9cad9037be0e3p-4, -0x1.9b1f25694498cp-4, -0x1.997e14fc285c3p-4, -0x1.97caf5fcdc41ep-4, -0x1.96065d4bc5903p-4, -0x1.9430dd9d0eb45p-4, -0x1.924b0778ace3ap-4, -0x1.9055693a96778p-4, -0x1.8e508f132c20fp-4, -0x1.8c3d0307d3045p-4, -0x1.8a1b4cf3be543p-4, -0x1.87ebf288e59c4p-4, -0x1.85af77512ae4fp-4, -0x1.83665cafab3dcp-4, -0x1.811121e23ae7ep-4, -0x1.7eb044030cc7bp-4, -0x1.7c443e0a8198cp-4, -0x1.79cd88d1212d1p-4, -0x1.774c9b11b97f5p-4, -0x1.74c1e96ba586fp-4, -0x1.722de66538fep-4, -0x1.6f91026e50becp-4, -0x1.6cebabe306a9bp-4, -0x1.6a3e4f0e899d1p-4, -0x1.6789562e1542fp-4, -0x1.64cd29740dc34p-4, -0x1.620a2f0b37412p-4, -0x1.5f40cb1a110ecp-4, -0x1.5c715fc64c25fp-4, -0x1.599c4d38600f7p-4, -0x1.56c1f19f3b3c4p-4, -0x1.53e2a93411744p-4, -0x1.50fece3e415p-4, -0x1.4e16b917565fcp-4, -0x1.4b2ac02f21aa3p-4, -0x1.483b380fec61p-4, -0x1.45487362bfb28p-4, -0x1.4252c2f3c3d35p-4, -0x1.3f5a75b6b3708p-4, -0x1.3c5fd8cb63b71p-4, -0x1.39633782603c7p-4, -0x1.3664db6197f72p-4, -0x1.33650c291dbfp-4, -0x1.30640fd7f739ap-4, -0x1.2d622ab0fdb98p-4, -0x1.2a5f9f3fcd01cp-4, -0x1.275cae5dbfc3dp-4, -0x1.24599736fa896p-4, -0x1.2156974f823acp-4, -0x1.1e53ea885de81p-4, -0x1.1b51cb24c45b3p-4, -0x1.185071cf5248dp-4, -0x1.1550159f4a887p-4, -0x1.1250ec1ddddd4p-4, -0x1.0f53294b7bb72p-4, -0x1.0c56ffa5272d4p-4, -0x1.095ca029d40ffp-4, -0x1.06643a5fc8e7ap-4, -0x1.036dfc5a041e7p-4, -0x1.007a12bda6cbp-4, -0x1.fb11518ebf507p-5, -0x1.f533d0a1b86a9p-5, -0x1.ef5bf3ac6ebe9p-5, -0x1.e98a08f6da2f7p-5, -0x1.e3be5c239472dp-5, -0x1.ddf9363abe7b6p-5, -0x1.d83addb4e0f6ep-5, -0x1.d2839685ca553p-5, -0x1.ccd3a227672ebp-5, -0x1.c72b3fa496712p-5, -0x1.c18aaba3f51b6p-5, -0x1.bbf22072a50bep-5, -0x1.b661d60f07247p-5, -0x1.b0da02336fcd2p-5, -0x1.ab5ad860c92b2p-5, -0x1.a5e489e9333b9p-5, -0x1.a07745fa8e1d4p-5, -0x1.9b1339a8fb8f4p-5, -0x1.95b88ff94e7dap-5, -0x1.906771eb6d2efp-5, -0x1.8b200684a2e92p-5, -0x1.85e272d9dc79ap-5, -0x1.80aeda19d75ecp-5, -0x1.7b855d973ce3p-5, -0x1.76661cd2a54bep-5, -0x1.715135848e5d4p-5, -0x1.6c46c3a7355dcp-5, -0x1.6746e18061459p-5, -0x1.6251a7ab122f9p-5, -0x1.5d672d211cbccp-5, -0x1.58878744ae989p-5, -0x1.53b2c9e9b78c1p-5, -0x1.4ee9075f3f90ep-5, -0x1.4a2a50789ea2p-5, -0x1.4576b4969ebc4p-5, -0x1.40ce41b0842f5p-5, -0x1.3c31045cf9c94p-5, -0x1.379f07dae406cp-5, -0x1.3318561a19dfdp-5, -0x1.2e9cf7c400bbp-5, -0x1.2a2cf4440f64fp-5, -0x1.25c851d033206p-5, -0x1.216f157119442p-5, -0x1.1d21430a60924p-5, -0x1.18dedd62a6abdp-5, -0x1.14a7e62b7fb45p-5, -0x1.107c5e095066fp-5, -0x1.0c5c449b06bfp-5, -0x1.08479881bbc1bp-5, -0x1.043e57683381p-5, -0x1.00407e0a43c97p-5, -0x1.f89c107835961p-6, -0x1.f0cde1e2d3398p-6, -0x1.e9166488e750bp-6, -0x1.e1758af9f89eap-6, -0x1.d9eb462e350ccp-6, -0x1.d2778593e2b35p-6, -0x1.cb1a371c87b21p-6, -0x1.c3d34749eaa1cp-6, -0x1.bca2a13acca6ap-6, -0x1.b5882eb769cf1p-6, -0x1.ae83d83dc6143p-6, -0x1.a795850dbd21ap-6, -0x1.a0bd1b34d7011p-6, -0x1.99fa7f99eacfdp-6, -0x1.934d96087d327p-6, -0x1.8cb6413bf3274p-6, -0x1.863462ea841bap-6, -0x1.7fc7dbcff73aap-6, -0x1.79708bb82b40ap-6, -0x1.732e518961ca6p-6, -0x1.6d010b4e5c33p-6, -0x1.66e8964039d0bp-6, -0x1.60e4ced02657bp-6, -0x1.5af590b0d20edp-6, -0x1.551ab6dfb4881p-6, -0x1.4f541bae18769p-6, -0x1.49a198c9f9133p-6, -0x1.44030746a89d5p-6, -0x1.3e783fa544e61p-6, -0x1.390119dcfc011p-6, -0x1.339d6d63195e9p-6, -0x1.2e4d1132ea146p-6, -0x1.290fdbd56828p-6, -0x1.23e5a368bdbbfp-6, -0x1.1ece3da7920e1p-6, -0x1.19c97ff02c3d9p-6, -0x1.14d73f4b679f2p-6, -0x1.0ff75073761b1p-6, -0x1.0b2987da7b231p-6, -0x1.066db9b0f7831p-6, -0x1.01c3b9ec0773ap-6, -0x1.fa56b896fc648p-7, -0x1.f148e8bf8cfa8p-7, -0x1.e85dab1f57ad1p-7, -0x1.df94a63be3a19p-7, -0x1.d6ed805d79d54p-7, -0x1.ce67df99ba4fbp-7, -0x1.c60369dde11cep-7, -0x1.bdbfc4f8ab935p-7, -0x1.b59c96a403e6bp-7, -0x1.ad99848e59b19p-7, -0x1.a5b63463b858fp-7, -0x1.9df24bd681f61p-7, -0x1.964d70a7fd365p-7, -0x1.8ec748b086582p-7, -0x1.875f79e78c15ap-7, -0x1.8015aa6b3aee3p-7, -0x1.78e98087f72e3p-7, -0x1.71daa2bf7e4cap-7, -0x1.6ae8b7cfe3b0ap-7, -0x1.641366ba3906ep-7, -0x1.5d5a56c906bcp-7, -0x1.56bd2f967cb12p-7, -0x1.503b991275e6ap-7, -0x1.49d53b8837319p-7, -0x1.4389bfa3f5c88p-7, -0x1.3d58ce782ef3dp-7, -0x1.37421182c315p-7, -0x1.314532b1dac7p-7, -0x1.2b61dc689a988p-7, -0x1.2597b983a1db9p-7, -0x1.1fe6755d5cd7ep-7, -0x1.1a4dbbd21e456p-7, -0x1.14cd3944115f3p-7, -0x1.0f649a9ef482bp-7, -0x1.0a138d5bb2e03p-7, -0x1.04d9bf83c2137p-7, -0x1.ff6dbf68c8dcp-8, -0x1.f5553a436905cp-8, -0x1.eb694f3318c57p-8, -0x1.e1a95f0c94716p-8, -0x1.d814cbe2c281dp-8, -0x1.ceaaf90b9ee28p-8, -0x1.c56b4b24ce2a9p-8, -0x1.bc552817f20f3p-8, -0x1.b367f71eb0b69p-8, -0x1.aaa320c67abdbp-8, -0x1.a2060ef408e72p-8, -0x1.99902ce69abd1p-8, -0x1.9140e73b00d87p-8, -0x1.8917abee541f5p-8, -0x1.8113ea60823a4p-8, -0x1.793513569904bp-8, -0x1.717a98fcd8914p-8, -0x1.69e3eee890436p-8, -0x1.62708a19c8667p-8, -0x1.5b1fe0fcb180fp-8, -0x1.53f16b6ae6564p-8, -0x1.4ce4a2ac7ca6cp-8, -0x1.45f90178e5cd4p-8, -0x1.3f2e03f7a29c6p-8, -0x1.388327c0c5f8ep-8, -0x1.31f7ebdd575ep-8, -0x1.2b8bd0c77da62p-8, -0x1.253e586a8bb58p-8, -0x1.1f0f0622e7fcfp-8, -0x1.18fd5ebdc4237p-8, -0x1.1308e878b5b8cp-8, -0x1.0d312b0131ea4p-8, -0x1.0775af73de276p-8, -0x1.01d6005bc52fdp-8, -0x1.f8a35362d1e5ep-9, -0x1.edd071b37c64bp-9, -0x1.e3327949ffc94p-9, -0x1.d8c88a9ae127ep-9, -0x1.ce91c8ebf74c9p-9, -0x1.c48d5a5177d0cp-9, -0x1.baba67aadf092p-9, -0x1.b1181c9f9615ep-9, -0x1.a7a5a79b802e7p-9, -0x1.9e6239cb460f1p-9, -0x1.954d07188b728p-9, -0x1.8c654625f4b18p-9, -0x1.83aa304afec92p-9, -0x1.7b1b018fc0dc5p-9, -0x1.72b6f8a881ccep-9, -0x1.6a7d56f133ee9p-9, -0x1.626d6068c2915p-9, -0x1.5a865bac5b9a3p-9, -0x1.52c791f27e009p-9, -0x1.4b304f060d5c3p-9, -0x1.43bfe1412a572p-9, -0x1.3c7599881b732p-9, -0x1.3550cb43f5a1fp-9, -0x1.2e50cc5d4b0eap-9, -0x1.2774f536c6331p-9, -0x1.20bca0a79e158p-9, -0x1.1a272bf612f7bp-9, -0x1.13b3f6d1c4be6p-9, -0x1.0d62634e10aa1p-9, -0x1.0731d5dc4327p-9, -0x1.0121b545ea43dp-9, -0x1.f662d54dc6f3ep-10, -0x1.eac0c2cf2bde6p-10, -0x1.df5c0e6e02bd9p-10, -0x1.d43398099fa4bp-10, -0x1.c94643f6b8329p-10, -0x1.be92faf3719f4p-10, -0x1.b418aa1b4e241p-10, -0x1.a9d642db3207fp-10, -0x1.9fcabae53f033p-10, -0x1.95f50c24aa028p-10, -0x1.8c5434b1bf133p-10, -0x1.82e736c58a1c9p-10, -0x1.79ad18ade3ce2p-10, -0x1.70a4e4c128fcp-10, -0x1.67cda95221455p-10, -0x1.5f2678a3def93p-10, -0x1.56ae68dd90581p-10, -0x1.4e6493fe801fep-10, -0x1.464817d1f0ef8p-10, -0x1.3e5815e3098e8p-10, -0x1.3693b370e9bc6p-10, -0x1.2efa19629d39fp-10, -0x1.278a743b2af74p-10, -0x1.2043f40dbac7p-10, -0x1.1925cc71b7b11p-10, -0x1.122f347704488p-10, -0x1.0b5f669a44661p-10, -0x1.04b5a0b92a09dp-10, -0x1.fc62480d9c1dep-11, -0x1.efa26a0073edap-11, -0x1.e32a36c1ae7c7p-11, -0x1.d6f8442e0c6f6p-11, -0x1.cb0b2e719f9d1p-11, -0x1.bf6197f13de37p-11, -0x1.b3fa2933eedp-11, -0x1.a8d390cd08052p-11, -0x1.9dec8345c450fp-11, -0x1.9343bb0797048p-11, -0x1.88d7f8465b43ap-11, -0x1.7ea800eaaba2ep-11, -0x1.74b2a07cafc49p-11, -0x1.6af6a80ec4215p-11, -0x1.6172ee28875e8p-11, -0x1.58264eb1effap-11, -0x1.4f0faade9fe27p-11, -0x1.462de919a2923p-11, -0x1.3d7ff4f0e8f62p-11, -0x1.3504bf013912dp-11, -0x1.2cbb3ce27ae2fp-11, -0x1.24a26913d77f9p-11, -0x1.1cb942e851e1ap-11, -0x1.14fece736c78ap-11, -0x1.0d72147633304p-11, -0x1.0612224c2661ep-11, -0x1.fdbc13b162544p-12, -0x1.efa9c2e931117p-12, -0x1.e1eb87b76e948p-12, -0x1.d47fa035dff9dp-12, -0x1.c76452fcab39dp-12, -0x1.ba97eefebf7acp-12, -0x1.ae18cb671af55p-12, -0x1.a1e547765fa99p-12, -0x1.95fbca607524p-12, -0x1.8a5ac32b1b32fp-12, -0x1.7f00a88c5f568p-12, -0x1.73ebf8c9f1917p-12, -0x1.691b3998a79cfp-12, -0x1.5e8cf7fc5bfc4p-12, -0x1.543fc828542b8p-12, -0x1.4a32455ffe2d9p-12, -0x1.406311d831281p-12, -0x1.36d0d6989b081p-12, -0x1.2d7a435dd4c96p-12, -0x1.245e0e7bad3c2p-12, -0x1.1b7af4c01e799p-12, -0x1.12cfb9563155dp-12, -0x1.0a5b25a9b8fdbp-12, -0x1.021c094b6e816p-12, -0x1.f42273a998d82p-13, -0x1.e473259ab580fp-13, -0x1.d527eb1eed1a7p-13, -0x1.c63e925bc76f5p-13, -0x1.b7b4f4b391387p-13, -0x1.a988f6917db33p-13, -0x1.9bb8873749b9cp-13, -0x1.8e41a08b0be49p-13, -0x1.812246e5ff123p-13, -0x1.745888e4187fap-13, -0x1.67e27f343a99ep-13, -0x1.5bbe4c68c0fb5p-13, -0x1.4fea1cc997d3fp-13, -0x1.446426267a0c7p-13, -0x1.392aa7a9eac2dp-13, -0x1.2e3be9acecd4bp-13, -0x1.23963d8b842bcp-13, -0x1.1937fd79be268p-13, -0x1.0f1f8c59a7cb3p-13, -0x1.054b55915b655p-13, -0x1.f77399c5705dp-14, -0x1.e4d2dc84f344cp-14, -0x1.d2b17b625c041p-14, -0x1.c10c8e27e4963p-14, -0x1.afe13c1c6fcadp-14, -0x1.9f2cbbb7d533fp-14, -0x1.8eec525967c63p-14, -0x1.7f1d53fea6724p-14, -0x1.6fbd22fb452e1p-14, -0x1.60c92fb3060a9p-14, -0x1.523ef8541a1ddp-14, -0x1.441c089340487p-14, -0x1.365df9685bc66p-14, -0x1.290270ccbce5fp-14, -0x1.1c07217a52d95p-14, -0x1.0f69caac574bcp-14, -0x1.032837dfdbe0ep-14, -0x1.ee80812eddcabp-15, -0x1.d75f903b0134bp-15, -0x1.c0e97a93c6997p-15, -0x1.ab1a348e3cc56p-15, -0x1.95edc8b21bebp-15, -0x1.816057496ebadp-15, -0x1.6d6e15f16ad82p-15, -0x1.5a134f2e686c2p-15, -0x1.474c6200a37bfp-15, -0x1.3515c17b97c72p-15, -0x1.236bf45f7dc3bp-15, -0x1.124b94b31b8c8p-15, -0x1.01b14f6197e99p-15, -0x1.e333c7b08682fp-16, -0x1.c404474ed35e6p-16, -0x1.a5cde44780c13p-16, -0x1.888a88159e41p-16, -0x1.6c343e5045d6bp-16, -0x1.50c533f8dc382p-16, -0x1.3637b6cc3a44ap-16, -0x1.1c86349848f4dp-16, -0x1.03ab3a9322668p-16, -0x1.d742e96ec0182p-17, -0x1.a8c75a41bf82p-17, -0x1.7bd996dcc085dp-17, -0x1.506fa84e64ff1p-17, -0x1.267fd0402b0d6p-17, -0x1.fc010f9dacbfp-18, -0x1.add0fcc2b5294p-18, -0x1.625d3115d7a28p-18, -0x1.1993ddd95981cp-18, -0x1.a6c73489e9bdp-19, -0x1.1f76c2d3eafaep-19, -0x1.3a2a403abe339p-20, -0x1.f81c56663638ap-23, 0x1.658c63cf75db7p-21, 0x1.9b711e3b2e4a5p-20, 0x1.3d9cfdb3cf844p-19, 0x1.a92e157723d48p-19, 0x1.08446d8a70f2p-18, 0x1.39e4d55fd8a1dp-18, 0x1.69861ddf27d69p-18, 0x1.9735d1fa1be7ep-18, 0x1.c3012da1203p-18, 0x1.ecf51f711cd6ap-18, 0x1.0a8f252f1409bp-17, 0x1.1dc483a540434p-17, 0x1.3020b34c8cb0bp-17, 0x1.41a998e260db1p-17, 0x1.5264f66b4c101p-17, 0x1.62586bf5dca85p-17, 0x1.71897854570ddp-17, 0x1.7ffd79d0bf802p-17, 0x1.8db9aee2f3bd2p-17, 0x1.9ac336df3e913p-17, 0x1.a71f12a0eabd8p-17, 0x1.b2d225335515dp-17, 0x1.bde13476102a7p-17, 0x1.c850e9c0f254ep-17, 0x1.d225d27e3421ep-17, 0x1.db6460c858a0cp-17, 0x1.e410ec01da585p-17, 0x1.ec2fb16628243p-17, 0x1.f3c4d4a21becap-17, 0x1.fad4605b2625ep-17, 0x1.00b1235f88f98p-16, 0x1.03b931068c993p-16, 0x1.06843a8bf5635p-16, 0x1.091415e707688p-16, 0x1.0b6a8dda91797p-16, 0x1.0d896235f1bc1p-16, 0x1.0f724810df6cfp-16, 0x1.1126ea090059fp-16, 0x1.12a8e87b8431p-16, 0x1.13f9d9c07c677p-16, 0x1.151b4a61988b7p-16, 0x1.160ebd5371972p-16, 0x1.16d5ac29f98c2p-16, 0x1.1771874e1ebfap-16, 0x1.17e3b632c6882p-16, 0x1.182d9784fe38ap-16, 0x1.18508160d8fc3p-16, 0x1.184dc17f9b714p-16, 0x1.18269d68ef549p-16, 0x1.17dc52a06003p-16, 0x1.177016d42c88ep-16, 0x1.16e3180878269p-16, 0x1.16367cc4a947p-16, 0x1.156b643ce3e8p-16, 0x1.1482e67c0a094p-16, 0x1.137e148d947ap-16, 0x1.125df8a4834b6p-16, 0x1.11239643a76bp-16, 0x1.0fcfea62f85b3p-16, 0x1.0e63eb95adeap-16, 0x1.0ce08a2f3d483p-16, 0x1.0b46b066bd8e7p-16, 0x1.0997427a777f7p-16, 0x1.07d31ed1af529p-16, 0x1.05fb1e1f90e3cp-16, 0x1.04101382c03d6p-16, 0x1.0212cca6308dcp-16, 0x1.000411e1153f8p-16, 0x1.fbc94ca97bb15p-17, 0x1.f76a9017189ffp-17, 0x1.f2ed602ce0ba7p-17, 0x1.ee532551bcca4p-17, 0x1.e99d3e6d6addp-17, 0x1.e4cd011c27b8p-17, 0x1.dfe3b9e76ac5fp-17, 0x1.dae2ac791f213p-17, 0x1.d5cb13d0f1d88p-17, 0x1.d09e2274dcfc5p-17, 0x1.cb5d02a490383p-17, 0x1.c608d688b34afp-17, 0x1.c0a2b8631085bp-17, 0x1.bb2bbabbd7a85p-17, 0x1.b5a4e88ff5713p-17, 0x1.b00f457caa743p-17, 0x1.aa6bcdeb8561ep-17, 0x1.a4bb773be4a46p-17, 0x1.9eff2fed575d3p-17, 0x1.9937dfc7c3b0dp-17, 0x1.93666802757cep-17, 0x1.8d8ba36ca3c18p-17, 0x1.87a86690ec35ap-17, 0x1.81bd7fdc8eaa9p-17, 0x1.7bcbb7c301204p-17, 0x1.75d3d0e0145b3p-17, 0x1.6fd6881dd114ap-17, 0x1.69d494d25f60ap-17, 0x1.63cea8e518aa5p-17, 0x1.5dc570ec0a386p-17, 0x1.57b9944d5a16cp-17, 0x1.51abb55dbe9a8p-17, 0x1.4b9c717ef0b4ep-17, 0x1.458c613d80c27p-17, 0x1.3f7c186d7536ep-17, 0x1.396c2647520ecp-17, 0x1.335d158371edp-17, 0x1.2d4f6c74e3dc1p-17, 0x1.2743ad252b761p-17, 0x1.213a556c7c79fp-17, 0x1.1b33df0ccc933p-17, 0x1.1530bfc97eabfp-17, 0x1.0f3169804de62p-17, 0x1.09364a40793dfp-17, 0x1.033fcc6377e41p-17, 0x1.fa9cad41f4bf3p-18, 0x1.eec498509adc1p-18, 0x1.e2f81967181a9p-18, 0x1.d737e93ca795fp-18, 0x1.cb84b9f37ed4ep-18, 0x1.bfdf3742eeca4p-18, 0x1.b448069db201fp-18, 0x1.a8bfc759676cep-18, 0x1.9d4712d48092dp-18, 0x1.91de7c9c325b7p-18, 0x1.8686928f2d37cp-18, 0x1.7b3fdd0219869p-18, 0x1.700adee2de6a3p-18, 0x1.64e815d9e5d66p-18, 0x1.59d7fa6ada03bp-18, 0x1.4edb0016ca05ep-18, 0x1.43f19579e8d77p-18, 0x1.391c246ca222cp-18, 0x1.2e5b121fb83c2p-18, 0x1.23aebf3d86bf1p-18, 0x1.191788023d8f9p-18, 0x1.0e95c45c52c97p-18, 0x1.0429c8071f5d8p-18, 0x1.f3a7c54a2fe7cp-19, 0x1.df28bfb6c48f3p-19, 0x1.cad70ed7165bp-19, 0x1.b6b33a99aa451p-19, 0x1.a2bdc38b2bac6p-19, 0x1.8ef72305964ep-19, 0x1.7b5fcb606c4afp-19, 0x1.67f8281f2e943p-19, 0x1.54c09e1f319f3p-19, 0x1.41b98bc3a582ep-19, 0x1.2ee3492080bbcp-19, 0x1.1c3e28267824ep-19, 0x1.09ca74cbab93fp-19, 0x1.ef10ea6782629p-20, 0x1.caf0d3b237b46p-20, 0x1.a7351b61dae8p-20, 0x1.83de2cad02c2fp-20, 0x1.60ec68559f494p-20, 0x1.3e6024f5c1e64p-20, 0x1.1c39af48cc66p-20, 0x1.f4f294e09af28p-21, 0x1.b23e606928abcp-21, 0x1.705722957448bp-21, 0x1.2f3d2b2ac7f22p-21, 0x1.dde17186302a2p-22, 0x1.5ee3f29c878cp-22, 0x1.c3042a372790ep-23, 0x1.96efd41562e82p-24, -0x1.46e702abecdaap-26, -0x1.19fa7556a953bp-23, -0x1.03f0a7774549fp-22, -0x1.79490f804c166p-22, -0x1.ed06e6d5cb38fp-22, -0x1.2f955ded7d8a1p-21, -0x1.67da9b38e98b6p-21, -0x1.9f538ba049164p-21, -0x1.d6009b739a15cp-21, -0x1.05f1214e984dcp-20, -0x1.207c82290bf4ep-20, -0x1.3aa2b755f2b6bp-20, -0x1.54640d2956487p-20, -0x1.6dc0d5133224p-20, -0x1.86b9657711491p-20, -0x1.9f4e1980d7f4cp-20, -0x1.b77f50fab3585p-20, -0x1.cf4d70299dbabp-20, -0x1.e6b8dfa47e8e2p-20, -0x1.fdc20c2f0d365p-20, -0x1.0a34b348efe2ep-19, -0x1.1557b1bdf083cp-19, -0x1.204a3daced535p-19, -0x1.2b0c951c18c63p-19, -0x1.359ef7ced556p-19, -0x1.4001a736b116fp-19, -0x1.4a34e662864cp-19, -0x1.5438f9eedff4p-19, -0x1.5e0e27f725cafp-19, -0x1.67b4b80571e0cp-19, -0x1.712cf30553027p-19, -0x1.7a77233506916p-19, -0x1.8393941707ab5p-19, -0x1.8c82926491975p-19, -0x1.95446c00a104p-19, -0x1.9dd96feb0c559p-19, -0x1.a641ee335db12p-19, -0x1.ae7e37ec3b6b8p-19, -0x1.b68e9f1fbc3d6p-19, -0x1.be7376c41a94fp-19, -0x1.c62d12aeb0a4cp-19, -0x1.cdbbc789c068ep-19, -0x1.d51feac90e2f8p-19, -0x1.dc59d29f62dd5p-19, -0x1.e369d5f3cac0ep-19, -0x1.ea504c57b1c18p-19, -0x1.f10d8dfc2f745p-19, -0x1.f7a1f3a913addp-19, -0x1.fe0dd6b2a9571p-19, -0x1.0228c878b7643p-18, -0x1.0536be5bebbbbp-18, -0x1.0830fa64e67d3p-18, -0x1.0b17aa2a9722p-18, -0x1.0deafb73bfb94p-18, -0x1.10ab1c3389431p-18, -0x1.13583a854e92ap-18, -0x1.15f284a8d6721p-18, -0x1.187a28fe5ded8p-18, -0x1.1aef5602f7a59p-18, -0x1.1d523a4cafc1bp-18, -0x1.1fa30487a97dap-18, -0x1.21e1e3721c32bp-18, -0x1.240f05d9181f1p-18, -0x1.262a9a9588db9p-18, -0x1.2834d088a68cdp-18, -0x1.2a2dd6996391bp-18, -0x1.2c15dbb0df25ap-18, -0x1.2ded0eb7d8d2cp-18, -0x1.2fb39e93b7ce1p-18, -0x1.3169ba23c7f01p-18, -0x1.330f903e9c6f4p-18, -0x1.34a54faf35364p-18, -0x1.362b2732d002ep-18, -0x1.37a1457645133p-18, -0x1.3907d91342634p-18, -0x1.3a5f108ea56b6p-18, -0x1.3ba71a55e072dp-18, -0x1.3ce024bc70067p-18, -0x1.3e0a5dfa31417p-18, -0x1.3f25f42928d5ep-18, -0x1.403315438d3d7p-18, -0x1.4131ef218c514p-18, -0x1.4222af779f8dbp-18, -0x1.430583d4c3cddp-18, -0x1.43da99a07965bp-18, -0x1.44a21e1916f57p-18, -0x1.455c3e524c153p-18, -0x1.460927334b3a8p-18, -0x1.46a905754d8b5p-18, -0x1.473c05a1ec9c2p-18, -0x1.47c25411d7d62p-18, -0x1.483c1ceb531a4p-18, -0x1.48a98c20cf0acp-18, -0x1.490acd6fa9f96p-18, -0x1.49600c5ed4022p-18, -0x1.49a9743d854f4p-18, -0x1.49e7302222c46p-18, -0x1.4a196ae913ad5p-18, -0x1.4a404f33a86d9p-18, -0x1.4a5c0766e45ep-18, -0x1.4a6cbdaaa9159p-18, -0x1.4a729be8880f4p-18, -0x1.4a6dcbcb17742p-18, -0x1.4a5e76bca65b1p-18, -0x1.4a44c5e697ea1p-18, -0x1.4a20e2309be21p-18, -0x1.49f2f43f99a17p-18, -0x1.49bb24753d231p-18, -0x1.49799aeef3dfep-18, -0x1.492e7f8573c02p-18, -0x1.48d9f9cbd110cp-18, -0x1.487c310f179d1p-18, -0x1.48154c556f0d2p-18, -0x1.47a5725dc46dep-18, -0x1.472cc99f22babp-18, -0x1.46ab78480ad39p-18, -0x1.4621a43e38fa9p-18, -0x1.458f731e1da58p-18, -0x1.44f50a3a2a807p-18, -0x1.44528e9a9f69p-18, -0x1.43a824fd3849cp-18, -0x1.42f5f1d4b6ecdp-18, -0x1.423c1948769c6p-18, -0x1.417abf3454368p-18, -0x1.40b207284be34p-18, -0x1.3fe214681cd95p-18, -0x1.3f0b09eb1eff3p-18, -0x1.3e2d0a5c1969dp-18, -0x1.3d483818e9963p-18, -0x1.3c5cb5327c7e8p-18, -0x1.3b6aa36c90a1ep-18, -0x1.3a72243dbaeafp-18, -0x1.397358cf0a73cp-18, -0x1.386e61fc047cep-18, -0x1.37636052b9c1bp-18, -0x1.3652741382729p-18, -0x1.353bbd30e896ep-18, -0x1.341f5b4fffac5p-18, -0x1.32fd6dc801362p-18, -0x1.31d613a287403p-18, -0x1.30a96b9b62ddap-18, -0x1.2f779420cee3p-18, -0x1.2e40ab5374399p-18, -0x1.2d04cf0663d18p-18, -0x1.2bc41cbf3f8f9p-18, -0x1.2a7eb1b685d18p-18, }}, 
      {{0x1.9b142142e79cbp-4, 0x1.9b2de7391099ap-4, 0x1.9b5fc76ba92f8p-4, 0x1.9bb3644ce63e9p-4, 0x1.9c34ee03f4887p-4, 0x1.9cf229b8523e9p-4, 0x1.9df97e0a2e0edp-4, 0x1.9f59185a4f2bap-4, 0x1.a11e35fd57bd7p-4, 0x1.a35495df6ea9p-4, 0x1.a606126fa75d7p-4, 0x1.a93a60ac65296p-4, 0x1.acf6ef8428fdp-4, 0x1.b13ee212276c1p-4, 0x1.b6131f38249f8p-4, 0x1.bb7271749214fp-4, 0x1.c159b265c3aedp-4, 0x1.c7c3fe11df1c8p-4, 0x1.ceaaeab37e752p-4, 0x1.d606c2695f921p-4, 0x1.ddcebcb6e6618p-4, 0x1.e5f936402e062p-4, 0x1.ee7be597f0636p-4, 0x1.f74c0c4f521fep-4, 0x1.002f51e0d0375p-3, 0x1.04d442a9221a4p-3, 0x1.098f470138221p-3, 0x1.0e5adeb48807dp-3, 0x1.1331a819b692bp-3, 0x1.180e6b347605bp-3, 0x1.1cec22dd30fd4p-3, 0x1.21c604171f99ep-3, 0x1.269783bfa79d3p-3, 0x1.2b5c5ac2b26c7p-3, 0x1.301088ff0bc2cp-3, 0x1.34b057045c56dp-3, 0x1.393856d23f914p-3, 0x1.3da563bd43945p-3, 0x1.41f4a19bd7b6fp-3, 0x1.46237b5a1c16ep-3, 0x1.4a2fa1107df6cp-3, 0x1.4e1705b612de8p-3, 0x1.51d7dc84b7e97p-3, 0x1.5570962258e2fp-3, 0x1.58dfdda01ca87p-3, 0x1.5c24955df41f8p-3, 0x1.5f3dd3dee511ap-3, 0x1.622ae0986f963p-3, 0x1.64eb30c5ca027p-3, 0x1.677e64461733dp-3, 0x1.69e4428b6be6ap-3, 0x1.6c1cb79f4bd93p-3, 0x1.6e27d1403eb84p-3, 0x1.7005bc1b365cdp-3, 0x1.71b6c122d1b8fp-3, 0x1.733b4305d1bep-3, 0x1.7493bbc58e0f5p-3, 0x1.75c0ba6cdafb3p-3, 0x1.76c2e0e74573dp-3, 0x1.779ae1f8790eap-3, 0x1.78497f532726ap-3, 0x1.78cf87cebe54dp-3, 0x1.792dd5bb14953p-3, 0x1.79654d50f36b4p-3, 0x1.7976db3e70f0fp-3, 0x1.7963734dfefb2p-3, 0x1.792c0f26e4b6bp-3, 0x1.78d1ad260862cp-3, 0x1.78554f4dbd8bbp-3, 0x1.77b7fa4b6f591p-3, 0x1.76fab491f3f37p-3, 0x1.761e85875d0e1p-3, 0x1.752474c51e09bp-3, 0x1.740d89697eec4p-3, 0x1.72dac9793582ap-3, 0x1.718d395030241p-3, 0x1.7025db2093018p-3, 0x1.6ea5ae7ef0d5p-3, 0x1.6d0daffae4cc6p-3, 0x1.6b5ed8c32ba06p-3, 0x1.699a1e546e03cp-3, 0x1.67c07231fbc82p-3, 0x1.65d2c1a7ba9acp-3, 0x1.63d1f5949407ap-3, 0x1.61bef23cc9b4dp-3, 0x1.5f9a97237feb3p-3, 0x1.5d65beeafd1e4p-3, 0x1.5b213f3b08ea6p-3, 0x1.58cde8acecc1bp-3, 0x1.566c86bc9a3fep-3, 0x1.53fddfbe8066cp-3, 0x1.5182b4d9b0c39p-3, 0x1.4efbc205e0616p-3, 0x1.4c69be0cf47d7p-3, 0x1.49cd5a8fbcde9p-3, 0x1.4727440d84bb8p-3, 0x1.447821ee41036p-3, 0x1.41c0968f016e6p-3, 0x1.3f013f506cec6p-3, 0x1.3c3ab4a70bdf6p-3, 0x1.396d8a2d2c3bap-3, 0x1.369a4eb61e766p-3, 0x1.33c18c62ae3c3p-3, 0x1.30e3c8b6995c3p-3, 0x1.2e0184aeea854p-3, 0x1.2b1b3cd906923p-3, 0x1.2831696a582aep-3, 0x1.25447e586a39cp-3, 0x1.2254eb7163233p-3, 0x1.1f631c74c1143p-3, 0x1.1c6f792c3fa86p-3, 0x1.197a6584ce46ep-3, 0x1.168441a78f4a7p-3, 0x1.138d6a12c2eeap-3, 0x1.109637b291b1ap-3, 0x1.0d9efff9b001bp-3, 0x1.0aa814f9bff24p-3, 0x1.07b1c57b77212p-3, 0x1.04bc5d1672cd5p-3, 0x1.01c82448b4d98p-3, 0x1.fdaac11b8aa7bp-4, 0x1.f7c8a8eae8398p-4, 0x1.f1ea7f744ea7p-4, 0x1.ec10bead93c3dp-4, 0x1.e63bdb38787fp-4, 0x1.e06c448cbad2ep-4, 0x1.daa26521289e1p-4, 0x1.d4dea293c4fefp-4, 0x1.cf215dd10e427p-4, 0x1.c96af33a36aa3p-4, 0x1.c3bbbaca78801p-4, 0x1.be14083b73defp-4, 0x1.b8742b2899b5ep-4, 0x1.b2dc6f31a0814p-4, 0x1.ad4d1c1c128e2p-4, 0x1.a7c675f3e9786p-4, 0x1.a248bd2b3faefp-4, 0x1.9cd42eb9244ebp-4, 0x1.9769043780f71p-4, 0x1.9207740025d52p-4, 0x1.8cafb149020bap-4, 0x1.8761ec3f7ba11p-4, 0x1.821e5222fd78ep-4, 0x1.7ce50d5eb55bep-4, 0x1.77b645a28adbdp-4, 0x1.72921ffb54b39p-4, 0x1.6d78beea4d578p-4, 0x1.686a427bd0913p-4, 0x1.6366c85d638ccp-4, 0x1.5e6e6bf30e63dp-4, 0x1.5981466c0a217p-4, 0x1.549f6ed6c93b6p-4, 0x1.4fc8fa34604f2p-4, 0x1.4afdfb8b51981p-4, 0x1.463e83f9bf58ep-4, 0x1.418aa2c70f984p-4, 0x1.3ce26574fb90fp-4, 0x1.3845d7d01ad5fp-4, 0x1.33b503ffe3a9fp-4, 0x1.2f2ff2962d609p-4, 0x1.2ab6aa9e32268p-4, 0x1.264931ab1a646p-4, 0x1.21e78be60ffap-4, 0x1.1d91bc1be05bap-4, 0x1.1947c3ca316f8p-4, 0x1.1509a32c49e08p-4, 0x1.10d7594774d06p-4, 0x1.0cb0e3f6ff808p-4, 0x1.08963ff7d7748p-4, 0x1.048768f3cb84ep-4, 0x1.0084598c71fdep-4, 0x1.f91a16cb6ef91p-5, 0x1.f142ee6033c2ep-5, 0x1.e98329652129cp-5, 0x1.e1dab5a84e117p-5, 0x1.da497f4a92973p-5, 0x1.d2cf70d18dcbep-5, 0x1.cb6c73391f654p-5, 0x1.c4206e0451e21p-5, 0x1.bceb474dc27f3p-5, 0x1.b5cce3d784e26p-5, 0x1.aec5271a8b44ep-5, 0x1.a7d3f355915d1p-5, 0x1.a0f9299b9656ap-5, 0x1.9a34a9e1e1a0fp-5, 0x1.9386530d97da9p-5, 0x1.8cee0300e7f15p-5, 0x1.866b96a7cf691p-5, 0x1.7ffeea0478f3ap-5, 0x1.79a7d83b39ecfp-5, 0x1.73663b9e31e5cp-5, 0x1.6d39edb88f68p-5, 0x1.6722c759799a6p-5, 0x1.6120a09ea572cp-5, 0x1.5b3350fe95c2ep-5, 0x1.555aaf528c757p-5, 0x1.4f9691e02a2a2p-5, 0x1.49e6ce62c3944p-5, 0x1.444b3a146ada8p-5, 0x1.3ec3a9b6b34bap-5, 0x1.394ff19b2ad6dp-5, 0x1.33efe5ab953c4p-5, 0x1.2ea35971de6a2p-5, 0x1.296a201fd3244p-5, 0x1.24440c9695c57p-5, 0x1.1f30f16dd9a5bp-5, 0x1.1a30a0fae1fcfp-5, 0x1.1542ed57487a1p-5, 0x1.1067a86789718p-5, 0x1.0b9ea3e15caep-5, 0x1.06e7b151d86c3p-5, 0x1.0242a2235f34ap-5, 0x1.fb5e8f46bbba3p-6, 0x1.f25ae60fafda4p-6, 0x1.e979eae98634ep-6, 0x1.e0bb40026fb1dp-6, 0x1.d81e8778e4d57p-6, 0x1.cfa363654d1a6p-6, 0x1.c74975e35e845p-6, 0x1.bf10611b150e1p-6, 0x1.b6f7c7497063p-6, 0x1.aeff4ac8cdacdp-6, 0x1.a7268e1904dc6p-6, 0x1.9f6d33e731818p-6, 0x1.97d2df1533dc3p-6, 0x1.905732c0f1e49p-6, 0x1.88f9d24b481a2p-6, 0x1.81ba615ebfebdp-6, 0x1.7a9883f600752p-6, 0x1.7393de62009aap-6, 0x1.6cac154ff7b53p-6, 0x1.65e0cdcf15f1ap-6, 0x1.5f31ad55fec3ap-6, 0x1.589e59c80c757p-6, 0x1.5226797a53aebp-6, 0x1.4bc9b3387b59cp-6, 0x1.4587ae4958056p-6, 0x1.3f60127353e76p-6, 0x1.39528800a6517p-6, 0x1.335eb7c359e42p-6, 0x1.2d844b191f62fp-6, 0x1.27c2ebeef7041p-6, 0x1.221a44c4a661fp-6, 0x1.1c8a00b007b87p-6, 0x1.1711cb602ab0ap-6, 0x1.11b151204af43p-6, 0x1.0c683edaa174dp-6, 0x1.0736421b05da2p-6, 0x1.021b0911769a5p-6, 0x1.fa2c8528d9ffdp-7, 0x1.f04f3c462ce4ep-7, 0x1.e69d97cec874cp-7, 0x1.dd16f96fffa7p-7, 0x1.d3bac4342a0d3p-7, 0x1.ca885c85ffbaep-7, 0x1.c17f2833b7411p-7, 0x1.b89e8e71e183bp-7, 0x1.afe5f7de0d44p-7, 0x1.a754ce812cbe2p-7, 0x1.9eea7dd1c192bp-7, 0x1.96a672b5dba77p-7, 0x1.8e881b84d5e24p-7, 0x1.868ee808e7433p-7, 0x1.7eba498081543p-7, 0x1.7709b29f77b5ap-7, 0x1.6f7c9790047b6p-7, 0x1.68126df38d355p-7, 0x1.60caace355abdp-7, 0x1.59a4ccf0e96d8p-7, 0x1.52a0482671a89p-7, 0x1.4bbc9a06ddfb3p-7, 0x1.44f93f8de2575p-7, 0x1.3e55b72fd16eap-7, 0x1.37d180d954ec3p-7, 0x1.316c1def0116p-7, 0x1.2b25114cc5dp-7, 0x1.24fbdf4540a83p-7, 0x1.1ef00da0eea8bp-7, 0x1.1901239d402f3p-7, 0x1.132ea9eb8ecadp-7, 0x1.0d782aaff7cbbp-7, 0x1.07dd31801b61ap-7, 0x1.025d4b61c2f52p-7, 0x1.f9f00d92d475fp-8, 0x1.ef59e7316f0f7p-8, 0x1.e4f74639a8aabp-8, 0x1.dac750196e92fp-8, 0x1.d0c92d0ea9852p-8, 0x1.c6fc082375b2p-8, 0x1.bd5f0f2a38f8ep-8, 0x1.b3f172b99202cp-8, 0x1.aab266281ed53p-8, 0x1.a1a11f8829c77p-8, 0x1.98bcd7a32da81p-8, 0x1.9004c9f5447d3p-8, 0x1.877834a86ce52p-8, 0x1.7f16588fc0438p-8, 0x1.76de7922876f5p-8, 0x1.6ecfdc7734142p-8, 0x1.66e9cb3e49771p-8, 0x1.5f2b90bd2b56fp-8, 0x1.57947ac8d5278p-8, 0x1.5023d9c08339bp-8, 0x1.48d9008845175p-8, 0x1.41b344837d4b1p-8, 0x1.3ab1fd8f586e4p-8, 0x1.33d485fd2ae22p-8, 0x1.2d1a3a8cca075p-8, 0x1.26827a66d012p-8, 0x1.200ca716dd0c6p-8, 0x1.19b82485c2bdep-8, 0x1.138458f3b0494p-8, 0x1.0d70acf24ee0bp-8, 0x1.077c8b5ed6df7p-8, 0x1.01a7615c22138p-8, 0x1.f7e13c9963d8ep-9, 0x1.ecaf679967f46p-9, 0x1.e1b82b5803452p-9, 0x1.d6fa73d0319bp-9, 0x1.cc75314c2ec3ep-9, 0x1.c22758595a60fp-9, 0x1.b80fe1bc242e8p-9, 0x1.ae2dca63f3ca1p-9, 0x1.a480135f0927ap-9, 0x1.9b05c1ce67b87p-9, 0x1.91bdded9bad15p-9, 0x1.88a777a34432p-9, 0x1.7fc19d3bce7e1p-9, 0x1.770b649699843p-9, 0x1.6e83e67d621b6p-9, 0x1.662a3f845b5cap-9, 0x1.5dfd8ffe4252ep-9, 0x1.55fcfbf072ca4p-9, 0x1.4e27ab070130fp-9, 0x1.467cc888f09ddp-9, 0x1.3efb834c64e5dp-9, 0x1.37a30daae6b5ap-9, 0x1.30729d75b91e4p-9, 0x1.29696bea3ca5p-9, 0x1.2286b5a65d055p-9, 0x1.1bc9ba9d12a67p-9, 0x1.1531be0af8e6p-9, 0x1.0ebe066aeb232p-9, 0x1.086ddd6abb1fap-9, 0x1.02408fdffb146p-9, 0x1.f86adb79b1538p-10, 0x1.ec97940a07848p-10, 0x1.e105f58574d97p-10, 0x1.d5b4b1f7b3cf4p-10, 0x1.caa2814e11f3p-10, 0x1.bfce2141fdfeep-10, 0x1.b5365543a5b99p-10, 0x1.aad9e664df464p-10, 0x1.a0b7a3441c955p-10, 0x1.96ce5ff7b347cp-10, 0x1.8d1cf5f937b52p-10, 0x1.83a24411061c4p-10, 0x1.7a5d2e420bffdp-10, 0x1.714c9db5b7cbep-10, 0x1.686f80a816a3ep-10, 0x1.5fc4ca54229b8p-10, 0x1.574b72e04c9aep-10, 0x1.4f02774b2b6bp-10, 0x1.46e8d9585b2bap-10, 0x1.3efd9f7da177bp-10, 0x1.373fd4d026ed7p-10, 0x1.2fae88f200a7bp-10, 0x1.2848cfffd6fcap-10, 0x1.210dc27ec5a83p-10, 0x1.19fc7d4a7202p-10, 0x1.1314218353dd4p-10, 0x1.0c53d47d2a51ep-10, 0x1.05babfada75a4p-10, 0x1.fe902136b8235p-11, 0x1.f1f5f19972e02p-11, 0x1.e5a55b6ecab5cp-11, 0x1.d99cd15f57f02p-11, 0x1.cddacdb05a412p-11, 0x1.c25dd2237d7bcp-11, 0x1.b72467d6f500ap-11, 0x1.ac2d1f260c7c2p-11, 0x1.a1768f8a07aeap-11, 0x1.96ff577b8a366p-11, 0x1.8cc61c543f871p-11, 0x1.82c98a30fe80dp-11, 0x1.790853d440582p-11, 0x1.6f81328909e28p-11, 0x1.6632e60631354p-11, 0x1.5d1c3451feb13p-11, 0x1.543be9a642792p-11, 0x1.4b90d854aafc1p-11, 0x1.4319d8aba4db9p-11, 0x1.3ad5c8db767e3p-11, 0x1.32c38cdbd90f1p-11, 0x1.2ae20e51d0506p-11, 0x1.23303c7605ef8p-11, 0x1.1bad0bfb5e0afp-11, 0x1.145776f601f0bp-11, 0x1.0d2e7cc2bf141p-11, 0x1.063121eeb74ddp-11, 0x1.febce03f1329dp-12, 0x1.f16aebf74b73bp-12, 0x1.e46a8e26465f3p-12, 0x1.d7b9f791d0e4bp-12, 0x1.cb57627829b6dp-12, 0x1.bf4112639f943p-12, 0x1.b37553feef004p-12, 0x1.a7f27cea2a3e9p-12, 0x1.9cb6eb9059f46p-12, 0x1.91c106fdbbdd4p-12, 0x1.870f3eb6b20a6p-12, 0x1.7ca00a8f53cfcp-12, 0x1.7271ea839d388p-12, 0x1.6883669039da5p-12, 0x1.5ed30e8bfbb33p-12, 0x1.555f7a01f428p-12, 0x1.4c27480c01347p-12, 0x1.43291f2e286b7p-12, 0x1.3a63ad326ceaap-12, 0x1.31d5a7053d12fp-12, 0x1.297dc8927ba11p-12, 0x1.215ad4a318e3ap-12, 0x1.196b94bb45f6ep-12, 0x1.11aed8f919f1bp-12, 0x1.0a2377f3f1855p-12, 0x1.02c84e9c2e8a4p-12, 0x1.f738803765cdfp-13, 0x1.e93c6b6d42893p-13, 0x1.db9a3d59dd76dp-13, 0x1.ce4fe0387ae8dp-13, 0x1.c15b49c4c95d6p-13, 0x1.b4ba7b00b417p-13, 0x1.a86b7ffb6f28fp-13, 0x1.9c6c6f9958fb1p-13, 0x1.90bb6b5ccf008p-13, 0x1.85569f303dadfp-13, 0x1.7a3c4130ada3ep-13, 0x1.6f6a9179c6a48p-13, 0x1.64dfd9f23becep-13, 0x1.5a9a6e1996083p-13, 0x1.5098aad68af37p-13, 0x1.46d8f64662abap-13, 0x1.3d59bf8d3b1c1p-13, 0x1.34197ea70cceap-13, 0x1.2b16b439b69dfp-13, 0x1.224fe967a53b2p-13, 0x1.19c3afa36ecb8p-13, 0x1.1170a0845d376p-13, 0x1.09555d9b712bp-13, 0x1.017090497602ap-13, 0x1.f381d32b95846p-14, 0x1.e48a440baa91ep-14, 0x1.d5f7f2eab8366p-14, 0x1.c7c86ddeeefbcp-14, 0x1.b9f95110a8e0ep-14, 0x1.ac88466f67cd5p-14, 0x1.9f7305680138fp-14, 0x1.92b7529c77a59p-14, 0x1.8652ff9cfec72p-14, 0x1.7a43eaa25d545p-14, 0x1.6e87fe49bd6edp-14, 0x1.631d3151ba19ep-14, 0x1.58018658a4845p-14, 0x1.4d330b9c18086p-14, 0x1.42afdab9d1e33p-14, 0x1.38761871d9cafp-14, 0x1.2e83f46999359p-14, 0x1.24d7a8f051016p-14, 0x1.1b6f7ac4b9405p-14, 0x1.1249b8dbbeb92p-14, 0x1.0964bc284ca44p-14, 0x1.00bee7643e06cp-14, 0x1.f0ad4db4ddd6cp-15, 0x1.e054e063b4c5dp-15, 0x1.d07184735317fp-15, 0x1.c100496d0b362p-15, 0x1.b1fe506104edep-15, 0x1.a368cb853acb9p-15, 0x1.953cfdd5625bep-15, 0x1.87783ab52238cp-15, 0x1.7a17e59456d3ep-15, 0x1.6d197194e89cep-15, 0x1.607a6132b7bebp-15, 0x1.543845ecf2ab8p-15, 0x1.4850bff194fb3p-15, 0x1.3cc17dca464a7p-15, 0x1.31883c0b62804p-15, 0x1.26a2c503fd8f2p-15, 0x1.1c0ef07015a83p-15, 0x1.11caa32c2e70bp-15, 0x1.07d3ceea7ab1ep-15, 0x1.fc50e3d37902dp-16, 0x1.e98d2d5a7d984p-16, 0x1.d758a76d9e6afp-16, 0x1.c5af9683d975cp-16, 0x1.b48e560054c65p-16, 0x1.a3f157aead9fap-16, 0x1.93d523427d10ep-16, 0x1.843655d7ad847p-16, 0x1.7511a17785d49p-16, 0x1.6663cc9ed8edfp-16, 0x1.5829b1c82922ap-16, 0x1.4a603ef672a95p-16, 0x1.3d0475449df1cp-16, 0x1.301368753a07fp-16, 0x1.238a3e86195c6p-16, 0x1.17662f45a10e3p-16, 0x1.0ba483ea8781cp-16, 0x1.004296ad90696p-16, 0x1.ea7ba4cb81808p-17, 0x1.d527644d24c2ep-17, 0x1.c08381c0c3305p-17, 0x1.ac8b3205557acp-17, 0x1.9939c841659ep-17, 0x1.868ab52f82c64p-17, 0x1.7479866edcc95p-17, 0x1.6301e5d85221ep-17, 0x1.521f98d6192b8p-17, 0x1.41ce7fbfffc44p-17, 0x1.320a953a8da9dp-17, 0x1.22cfed9a50921p-17, 0x1.141ab64a729e6p-17, 0x1.05e73535df16dp-17, 0x1.f063906a326d4p-18, 0x1.d5edc8fbb1495p-18, 0x1.bc662c2f090a1p-18, 0x1.a3c5fea08bb9ap-18, 0x1.8c06b0720e044p-18, 0x1.7521dc3f34fd2p-18, 0x1.5f11461fd2bcp-18, 0x1.49cedaab3ada9p-18, 0x1.3554ae031441dp-18, 0x1.219cfae4cd375p-18, 0x1.0ea221bb72922p-18, 0x1.f8bd4f7b1796p-19, 0x1.d59a6c164b7cfp-19, 0x1.b3d131a5be2e1p-19, 0x1.93577cf76fdcap-19, 0x1.74236da7a3383p-19, 0x1.562b6484f8603p-19, 0x1.396602040c3bfp-19, 0x1.1dca24b47f884p-19, 0x1.034ee7c627bbbp-19, 0x1.d3d7431c33bcbp-20, 0x1.a32fc442c4c91p-20, 0x1.7496e3d109cf7p-20, 0x1.47fca08fea0ddp-20, 0x1.1d5164935f044p-20, 0x1.e90c053a44d5p-21, 0x1.9b17673466e2ap-21, 0x1.50a8283eb6c04p-21, 0x1.09a2440186bep-21, 0x1.8bd4e7c694a8dp-22, 0x1.0acc54db96cacp-22, 0x1.1fee3ad6c05a7p-23, 0x1.b22f01edd9d11p-26, -0x1.4f84b34b64aa4p-24, -0x1.7a89c78d47191p-23, -0x1.21369827f213dp-22, -0x1.7fe36e4e3c4a6p-22, -0x1.d9775374a58f1p-22, -0x1.170e82afa77c7p-21, -0x1.3eff0ceae9991p-21, -0x1.64a182f9f6886p-21, -0x1.880992b0bbc6dp-21, -0x1.a94a6094a5c2fp-21, -0x1.c8768b5da9137p-21, -0x1.e5a02f2f80083p-21, -0x1.006c747b6a32bp-20, -0x1.0d18ecba99792p-20, -0x1.18ddd43d1212ap-20, -0x1.23c343ea37f98p-20, -0x1.2dd11b262401cp-20, -0x1.370f014396785p-20, -0x1.3f8466ed2ae66p-20, -0x1.47388781ba9e3p-20, -0x1.4e326a70e0b68p-20, -0x1.5478e48416163p-20, -0x1.5a12992c7fffp-20, -0x1.5f05fbbe7a585p-20, -0x1.635950a9337ap-20, -0x1.6712aeaa5bc51p-20, -0x1.6a37fff38e79fp-20, -0x1.6ccf034f70c4bp-20, -0x1.6edd4d39de23dp-20, -0x1.706848f773656p-20, -0x1.717539a11a43p-20, -0x1.72093b2911dd5p-20, -0x1.72294362bb1cbp-20, -0x1.71da22f453c1p-20, -0x1.71208652e3a83p-20, -0x1.7000f6ab69515p-20, -0x1.6e7fdad100596p-20, -0x1.6ca1781a24844p-20, -0x1.6a69f3434e70fp-20, -0x1.67dd5145cbb82p-20, -0x1.64ff7828522d7p-20, -0x1.61d42fd197a26p-20, -0x1.5e5f22cd6ca9bp-20, -0x1.5aa3df1158885p-20, -0x1.56a5d6bd75eb4p-20, -0x1.526860d6b8e3fp-20, -0x1.4deeb9f8e24bap-20, -0x1.493c050f4cbe8p-20, -0x1.44534bfba1265p-20, -0x1.3f378041f9b1ep-20, -0x1.39eb7bac853c2p-20, -0x1.347200ec3afebp-20, -0x1.2ecdbc36f62fap-20, -0x1.290143de9d824p-20, -0x1.230f18e6d76b2p-20, -0x1.1cf9a796c0e5fp-20, -0x1.16c348064baacp-20, -0x1.106e3ea96f861p-20, -0x1.09fcbcd5a398dp-20, -0x1.0370e14649b23p-20, -0x1.f999713baf0c6p-21, -0x1.ec247bbf4a567p-21, -0x1.de86b5dece796p-21, -0x1.d0c3d20467c3ap-21, -0x1.c2df622b414f1p-21, -0x1.b4dcd8c3ed435p-21, -0x1.a6bf89890bb68p-21, -0x1.988aaa5eea4d8p-21, -0x1.8a41541d2786ep-21, -0x1.7be6836308368p-21, -0x1.6d7d195726657p-21, -0x1.5f07dc6e45e2p-21, -0x1.50897928166afp-21, -0x1.420482c6ad03dp-21, -0x1.337b7400dc1c5p-21, -0x1.24f0afb666b8p-21, -0x1.166681968f9ecp-21, -0x1.07df1ec6dd5a6p-21, -0x1.f2b94d14c1e46p-22, -0x1.d5c245afc3b5fp-22, -0x1.b8dd11f700a29p-22, -0x1.9c0d74520f89cp-22, -0x1.7f570820ae997p-22, -0x1.62bd42d24e104p-22, -0x1.4643750814b27p-22, -0x1.29eccb9430c0dp-22, -0x1.0dbc5091768fbp-22, -0x1.e369d8b69f3f5p-23, -0x1.abb2cd10e0be2p-23, -0x1.7458cdcd4bb3cp-23, -0x1.3d60ecc517127p-23, -0x1.06cfffe415214p-23, -0x1.a15545d7ef938p-24, -0x1.35ea724f6e95ap-24, -0x1.96cfbc9f02406p-25, -0x1.8755e29aae6c9p-26, 0x1.b14dbba2cacf7p-30, 0x1.b98432e9a022bp-26, 0x1.a9ee8bc92e3ddp-25, 0x1.3a817db6c677fp-24, 0x1.9ef9aa9bbe135p-24, 0x1.012d0da8dde7fp-23, 0x1.324eba268f77dp-23, 0x1.62df567f9d56cp-23, 0x1.92dc86a300c65p-23, 0x1.c244157a6ee0fp-23, 0x1.f113f3a44915dp-23, 0x1.0fa51b29c0c58p-22, 0x1.26728b0d288ap-22, 0x1.3cf176e8df77p-22, 0x1.53211cbc45217p-22, 0x1.6900ca954d01dp-22, 0x1.7e8fde077d33p-22, 0x1.93cdc3ac5a7c4p-22, 0x1.a8b9f6a255964p-22, 0x1.bd540016ef368p-22, 0x1.d19b76ca46886p-22, 0x1.e58ffe9cb7469p-22, 0x1.f931481d9d224p-22, 0x1.063f880e1a84fp-21, 0x1.0fbc8f9e548f4p-21, 0x1.190fa4c8027e4p-21, 0x1.2238b71750ae2p-21, 0x1.2b37bb69fe783p-21, 0x1.340cabbff68cp-21, 0x1.3cb7870c26b1fp-21, 0x1.45385106637d8p-21, 0x1.4d8f12013ee2p-21, 0x1.55bbd6bbae18fp-21, 0x1.5dbeb03a95116p-21, 0x1.6597b39cae2eap-21, 0x1.6d46f9f5c25f5p-21, 0x1.74cca0265479p-21, 0x1.7c28c6b6a1f8p-21, 0x1.835b91b265ab2p-21, 0x1.8a652884d3192p-21, 0x1.9145b5d73d1e3p-21, 0x1.97fd676df55d4p-21, 0x1.9e8c6e09206b9p-21, 0x1.a4f2fd44e4e2ap-21, 0x1.ab314b79af6ep-21, 0x1.b147919f3d473p-21, 0x1.b7360b2eec9cdp-21, 0x1.bcfcf60833264p-21, 0x1.c29c9254d4621p-21, 0x1.c815226e4af7ap-21, 0x1.cd66eac2d9179p-21, 0x1.d29231bee70ddp-21, 0x1.d7973fb1ed1fap-21, 0x1.dc765eb8392fcp-21, 0x1.e12fdaa397d82p-21, 0x1.e5c400e4f98a6p-21, 0x1.ea33207691707p-21, 0x1.ee7d89c6ea1aap-21, 0x1.f2a38ea4b1f3fp-21, 0x1.f6a5822a72802p-21, 0x1.fa83b8ab286b3p-21, 0x1.fe3e87a0827d7p-21, 0x1.00eb22cbf14adp-20, 0x1.02a5a5109eaa4p-20, 0x1.044ef6deb3cbap-20, 0x1.05e744e757bd3p-20, 0x1.076ebc43e5282p-20, 0x1.08e58a6e784e8p-20, 0x1.0a4bdd3a2885ep-20, 0x1.0ba1e2cc1fc06p-20, 0x1.0ce7c993b3846p-20, 0x1.0e1dc044b8b48p-20, 0x1.0f43f5d033721p-20, 0x1.105a995d968a3p-20, 0x1.1161da454da82p-20, 0x1.1259e80a5144cp-20, 0x1.1342f254641p-20, 0x1.141d28ea54f79p-20, 0x1.14e8bbac91e19p-20, 0x1.15a5da901a188p-20, 0x1.1654b59935eb2p-20, 0x1.16f57cd69735cp-20, 0x1.1788605c6c174p-20, 0x1.180d903fe4ef5p-20, 0x1.18853c92e87bcp-20, 0x1.18ef955f91c58p-20, 0x1.194ccaa40ee5bp-20, 0x1.199d0c4ea6fe2p-20, 0x1.19e08a39f09e3p-20, 0x1.1a17742942f39p-20, 0x1.1a41f9c486ba4p-20, 0x1.1a604a9545609p-20, 0x1.1a72960357538p-20, 0x1.1a790b516553cp-20, 0x1.1a73d999dbeeap-20, 0x1.1a632fcc40f67p-20, 0x1.1a473ca9ffc87p-20, 0x1.1a202ec3c5b02p-20, 0x1.19ee34770fddep-20, 0x1.19b17beb3f27fp-20, 0x1.196a330f58bbep-20, 0x1.19188797e965bp-20, 0x1.18bca6fc5e7e4p-20, 0x1.1856be753d5c7p-20, 0x1.17e6faf9d757bp-20, 0x1.176d893e76d93p-20, 0x1.16ea95b25f764p-20, 0x1.165e4c7e1c70ap-20, 0x1.15c8d981c9731p-20, 0x1.152a68535d9c7p-20, 0x1.1483243d15ab9p-20, 0x1.13d3383c0fbe7p-20, 0x1.131aceff10933p-20, 0x1.125a12e4bd476p-20, 0x1.11912dfa9105p-20, 0x1.10c049fbb38e7p-20, 0x1.0fe7904fc31b8p-20, 0x1.0f072a09d9037p-20, 0x1.0e1f3fe76f454p-20, 0x1.0d2ffa4f7fb66p-20, 0x1.0c3981517af3cp-20, 0x1.0b3bfca494a49p-20, 0x1.0a3793a6e1461p-20, 0x1.092c6d5cbc414p-20, 0x1.081ab06ff351fp-20, 0x1.0702832f34731p-20, 0x1.05e40b8d84e78p-20, 0x1.04bf6f21c6c91p-20, 0x1.0394d325ff4c6p-20, 0x1.02645c771bf44p-20, 0x1.012e2f9479833p-20, 0x1.ffe4e13ed6c5ap-21, 0x1.fd6286b63cb69p-21, 0x1.fad5965886846p-21, 0x1.f83e563186b1dp-21, 0x1.f59d0b8efe8c9p-21, 0x1.f2f1fb005e4ep-21, 0x1.f03d6856b10bbp-21, 0x1.ed7f96a42bbadp-21, 0x1.eab8c83c33dffp-21, 0x1.e7e93eb32f992p-21, 0x1.e5113ade89ff3p-21, 0x1.e230fcd496536p-21, 0x1.df48c3ecfa868p-21, 0x1.dc58cec0b060bp-21, 0x1.d9615b2a38005p-21, 0x1.d662a645df90bp-21, 0x1.d35cec721a72cp-21, 0x1.d050694fa5ac4p-21, 0x1.cd3d57c272de8p-21, 0x1.ca23f1f174dadp-21, 0x1.c7047147b3a53p-21, 0x1.c3df0e7474ce4p-21, 0x1.c0b4016be264bp-21, 0x1.bd838167e72a9p-21, 0x1.ba4dc4e88634ap-21, 0x1.b71301b4ac83ep-21, 0x1.b3d36cdac7d36p-21, 0x1.b08f3ab1e6d2ep-21, 0x1.ad469eda28864p-21, 0x1.a9f9cc3dae9d8p-21, 0x1.a6a8f5118a7f6p-21, 0x1.a3544ad67faafp-21, 0x1.9ffbfe59cf18p-21, 0x1.9ca03fb692ef9p-21, 0x1.99413e566b41p-21, 0x1.95df28f23765fp-21, 0x1.927a2d938ddc3p-21, 0x1.8f127995ad3c2p-21, 0x1.8ba839a6762c5p-21, 0x1.883b99c749342p-21, 0x1.84ccc54e70853p-21, 0x1.815be6e8047dbp-21, 0x1.7de928972e03dp-21, 0x1.7a74b3b740869p-21, 0x1.76feb0fcff942p-21, 0x1.73874877ac2bcp-21, 0x1.700ea191f2b4dp-21, 0x1.6c94e31384be3p-21, 0x1.691a332262446p-21, 0x1.659eb743dbb7bp-21, 0x1.6222945d8505bp-21, 0x1.5ea5eeb6d42fdp-21, 0x1.5b28e9fad7de2p-21, 0x1.57aba9388b12fp-21, 0x1.542e4ee471ae9p-21, 0x1.50b0fcda48c7fp-21, 0x1.4d33d45dd7957p-21, 0x1.49b6f61c7557dp-21, 0x1.463a822e6efdp-21, 0x1.42be981816c14p-21, 0x1.3f4356cb2a0cap-21, 0x1.3bc8dca84100ap-21, 0x1.384f477ff7ecp-21, 0x1.34d6b4947be5ap-21, 0x1.315f409ad3d8p-21, 0x1.2de907bc02cf3p-21, 0x1.2a7425968648p-21, 0x1.2700b53fb7ac7p-21, 0x1.238ed1450027fp-21, 0x1.201e93ad3fac9p-21, 0x1.1cb015fa5ea0bp-21, 0x1.1943712a616b1p-21, 0x1.15d8bdb8ad92bp-21, 0x1.1270139fb02cfp-21, 0x1.0f098a5a1cfeap-21, 0x1.0ba538e417effp-21, 0x1.084335bcb396dp-21, 0x1.04e396e771d4p-21, 0x1.018671ed3879ap-21, 0x1.fc57b7bbb72f3p-22, 0x1.f5a7d2a2d895ap-22, 0x1.eefd5cd3df146p-22, 0x1.e8587da80c08ep-22, 0x1.e1b95b91362c4p-22, 0x1.db201c1c07453p-22, 0x1.d48ce3f3a804ap-22, 0x1.cdffd6e35d3a7p-22, 0x1.c77917d989865p-22, 0x1.c0f8c8e9e7591p-22, 0x1.ba7f0b5092f24p-22, 0x1.b40bff74aac25p-22, 0x1.ad9fc4ea896bfp-22, 0x1.a73a7a7677368p-22, 0x1.a0dc3e0f51d11p-22, 0x1.9a852ce127a22p-22, 0x1.9435634f9c364p-22, 0x1.8decfcf864338p-22, 0x1.87ac14b5d60dbp-22, 0x1.8172c4a155601p-22, 0x1.7b41261603e96p-22, 0x1.751751b32b836p-22, 0x1.6ef55f5e5fb2cp-22, 0x1.68db66468b556p-22, 0x1.62c97ce5c5a47p-22, 0x1.5cbfb9040158dp-22, 0x1.56be2fb96f41p-22, 0x1.50c4f570ba1aep-22, 0x1.4ad41de97ab01p-22, 0x1.44ebbc3b14a2p-22, 0x1.3f0be2d62494ep-22, 0x1.3934a38751ea3p-22, 0x1.33660f79a90a4p-22, 0x1.2da03738c4cadp-22, 0x1.27e32ab31295bp-22, 0x1.222ef93bfcbbfp-22, 0x1.1c83b18e4c962p-22, 0x1.16e161cea33d3p-22, }}, 
      {{-0x1.b36844c290b63p-10, -0x1.b5a99f7be772cp-9, -0x1.4c5ccde814402p-8, -0x1.c5933dab49168p-8, -0x1.25eb7d7e90d13p-7, -0x1.726cd0d05e6dep-7, -0x1.cad1f65419a0dp-7, -0x1.1871b796182cdp-6, -0x1.52b51c39d3828p-6, -0x1.9408ce922351ap-6, -0x1.dbb4e437aeed8p-6, -0x1.1440e3e0f8cf8p-5, -0x1.3c6752e1499e7p-5, -0x1.65564df529765p-5, -0x1.8dfdc05483148p-5, -0x1.b542e9b5b753fp-5, -0x1.da0d0f3207adcp-5, -0x1.fb505c35ec3ccp-5, -0x1.0c0b57b137d9p-4, -0x1.17c32220c69abp-4, -0x1.2073285a04e86p-4, -0x1.25d0e2f5feecdp-4, -0x1.27a439845cb3fp-4, -0x1.25c766bf302efp-4, -0x1.202651d436d2dp-4, -0x1.16bd7d1564a83p-4, -0x1.0998a7523f251p-4, -0x1.f1a272dbbdf92p-5, -0x1.c9192bc8ffdc3p-5, -0x1.99f4b84ef7372p-5, -0x1.64a55c57d4ab8p-5, -0x1.29a906b03d5ebp-5, -0x1.d31044c67f55p-6, -0x1.49a53f26cb90ep-6, -0x1.7074ef2d3848ap-7, -0x1.ffe1ce7a1913bp-10, 0x1.f785245e9cb27p-8, 0x1.2038a835216b1p-6, 0x1.c5e3a9bc42104p-6, 0x1.36e3babf25b9dp-5, 0x1.8b6a7cd131d9ap-5, 0x1.e0056007cac41p-5, 0x1.1a1d96bf6e30fp-4, 0x1.43cd5ca5799e8p-4, 0x1.6cdd9f66ca55cp-4, 0x1.951e4bba48fe5p-4, 0x1.bc63a84fbe127p-4, 0x1.e28652950f28dp-4, 0x1.03b197b4c714p-3, 0x1.156da8d9c1f89p-3, 0x1.2669ec511e1d2p-3, 0x1.369ae39e5f676p-3, 0x1.45f6eb59942ffp-3, 0x1.5476225fce0ap-3, 0x1.62124f9e53024p-3, 0x1.6ec6c6f8d3f11p-3, 0x1.7a904db99b57bp-3, 0x1.856cfeeaad2e2p-3, 0x1.8f5c2fe809b73p-3, 0x1.985e556dff80ep-3, 0x1.a074e95a5ebbbp-3, 0x1.a7a2514cbb0c5p-3, 0x1.ade9c648484f6p-3, 0x1.b34f3d71a41f5p-3, 0x1.b7d751fb6685ep-3, 0x1.bb87304e25d94p-3, 0x1.be64827317c15p-3, 0x1.c0755dc3f04bcp-3, 0x1.c1c031deb0ce1p-3, 0x1.c24bb8d8ed55cp-3, 0x1.c21ee8ab72e55p-3, 0x1.c140e5cd0cd34p-3, 0x1.bfb8f6f18dba3p-3, 0x1.bd8e79e0f5adap-3, 0x1.bac8d959a2ca3p-3, 0x1.b76f83efda00fp-3, 0x1.b389e3dc90d74p-3, 0x1.af1f57ad3235cp-3, 0x1.aa372bc622ee6p-3, 0x1.a4d894a9ec0f2p-3, 0x1.9f0aa9f728814p-3, 0x1.98d4620fcf7bp-3, 0x1.923c8e5cca9c2p-3, 0x1.8b49d8214e04p-3, 0x1.8402bdd2037e5p-3, 0x1.7c6d90e49429ap-3, 0x1.7490740cc77e6p-3, 0x1.6c7159dd0265bp-3, 0x1.641603c085b56p-3, 0x1.5b84014677cd9p-3, 0x1.52c0afb54906fp-3, 0x1.49d139dea0f3p-3, 0x1.40ba982c9475p-3, 0x1.378190e17176dp-3, 0x1.2e2ab883daefep-3, 0x1.24ba72719fe0bp-3, 0x1.1b34f193f4976p-3, 0x1.119e3930673f1p-3, 0x1.07fa1dd2183c1p-3, 0x1.fc988c8eb6d3bp-4, 0x1.e93059603f314p-4, 0x1.d5c23f33d101fp-4, 0x1.c254864ced13fp-4, 0x1.aeed2474fa7dep-4, 0x1.9b91bf64428b3p-4, 0x1.8847af3245f79p-4, 0x1.751400c9e7a28p-4, 0x1.61fb785e1ff36p-4, 0x1.4f0293dc82ebap-4, 0x1.3c2d8d5b2157ep-4, 0x1.29805d7fb203fp-4, 0x1.16febdde3e795p-4, 0x1.04ac2b4dcc07fp-4, 0x1.e517d063866bep-5, 0x1.c141fd6e10d7dp-5, 0x1.9ddc8607ed451p-5, 0x1.7aecaab51d374p-5, 0x1.58774858b6eacp-5, 0x1.3680dc3f69442p-5, 0x1.150d880c41258p-5, 0x1.e8422b0ed667dp-6, 0x1.a77df49dc46dep-6, 0x1.67d4b6d25597ap-6, 0x1.294c2174a96ebp-6, 0x1.d7d2a16e6e3b6p-7, 0x1.5f61a75869e8ap-7, 0x1.d29aca0935cbap-8, 0x1.d673a44e0cdbep-9, 0x1.159301abb54aep-13, -0x1.aa05122c7bc8dp-9, -0x1.adcaf650ce972p-8, -0x1.40d2e00b0e3a6p-7, -0x1.a846c71727329p-7, -0x1.069fa317a4a3ep-6, -0x1.37dd95f19dc51p-6, -0x1.67dcfb3b01748p-6, -0x1.969de59c12c5cp-6, -0x1.c420b719a974fp-6, -0x1.f0661d122eaep-6, -0x1.0db7863028901p-5, -0x1.229e5ed110b41p-5, -0x1.36e854d190946p-5, -0x1.4a9642f40efd5p-5, -0x1.5da920adb84dcp-5, -0x1.7022008c40486p-5, -0x1.82020eaaacb5cp-5, -0x1.934a8f34a2cadp-5, -0x1.a3fcdcf7a8d4ap-5, -0x1.b41a6801d7834p-5, -0x1.c3a4b44d8334ap-5, -0x1.d29d587966abfp-5, -0x1.e105fc8cdc82fp-5, -0x1.eee058c7bc5ecp-5, -0x1.fc2e347d7639fp-5, -0x1.0478b27d7f585p-4, -0x1.0a95e63ba2176p-4, -0x1.106fac86e0ab3p-4, -0x1.160701e170d5cp-4, -0x1.1b5ce7c8f12a3p-4, -0x1.20726441f1cf9p-4, -0x1.25488167f02f9p-4, -0x1.29e04d01a4d73p-4, -0x1.2e3ad8197ef26p-4, -0x1.3259369a2e6cp-4, -0x1.363c7eef1b18dp-4, -0x1.39e5c9a8af977p-4, -0x1.3d56312456d38p-4, -0x1.408ed138165aap-4, -0x1.4390c6e1a4f87p-4, -0x1.465d2ff8e5ab7p-4, -0x1.48f52ae5b17e6p-4, -0x1.4b59d658d25b8p-4, -0x1.4d8c51081ed9ap-4, -0x1.4f8db96d9c175p-4, -0x1.515f2d898ec56p-4, -0x1.5301caa769f74p-4, -0x1.5476ad258343ep-4, -0x1.55bef03f79ec5p-4, -0x1.56dbaddb3ebbbp-4, -0x1.57cdfe58a8ed4p-4, -0x1.5896f8638165fp-4, -0x1.5937b0c7f76aap-4, -0x1.59b13a4968a7dp-4, -0x1.5a04a57b6d977p-4, -0x1.5a33009d18d9cp-4, -0x1.5a3d57765870cp-4, -0x1.5a24b3376773fp-4, -0x1.59ea1a5a4039cp-4, -0x1.598e9085ffd61p-4, -0x1.5913167429827p-4, -0x1.5878a9d7bfbcep-4, -0x1.57c045461cc4fp-4, -0x1.56eae02182e6cp-4, -0x1.55f96e854fff3p-4, -0x1.54ece133c9d72p-4, -0x1.53c625857381bp-4, -0x1.52862559e04d3p-4, -0x1.512dc709f49efp-4, -0x1.4fbded5b8a864p-4, -0x1.4e377776689b1p-4, -0x1.4c9b40da836bcp-4, -0x1.4aea215779fe1p-4, -0x1.4924ed0540e61p-4, -0x1.474c743df48f9p-4, -0x1.45618398c2b79p-4, -0x1.4364e3e5e10ebp-4, -0x1.41575a2b88396p-4, -0x1.3f39a7a3e3573p-4, -0x1.3d0c89bbee723p-4, -0x1.3ad0ba1337b09p-4, -0x1.3886ee7c78084p-4, -0x1.362fd8fefcf0ap-4, -0x1.33cc27d8d63bfp-4, -0x1.315c8581c167fp-4, -0x1.2ee198aec6708p-4, -0x1.2c5c04567ffa7p-4, -0x1.29cc67b6044ap-4, -0x1.27335e5668dbcp-4, -0x1.24918012d63ebp-4, -0x1.21e7611f27164p-4, -0x1.1f35920f07013p-4, -0x1.1c7c9fdd8e954p-4, -0x1.19bd13f54f3dap-4, -0x1.16f77438cdee2p-4, -0x1.142c430b621cep-4, -0x1.115bff5a74424p-4, -0x1.0e8724a715b8p-4, -0x1.0bae2b0fe8a28p-4, -0x1.08d1875b5a02cp-4, -0x1.05f1ab021bfe4p-4, -0x1.030f0439e70c4p-4, -0x1.0029fe0073418p-4, -0x1.fa86004d58628p-5, -0x1.f4b4deb8267edp-5, -0x1.eee15a74a501dp-5, -0x1.e90c30a1ec456p-5, -0x1.e336186298afbp-5, -0x1.dd5fc2f4c4f72p-5, -0x1.d789dbca41f9p-5, -0x1.d1b508a0fca72p-5, -0x1.cbe1e99b87d9bp-5, -0x1.c6111959d0b3p-5, -0x1.c0432d11e54f8p-5, -0x1.ba78b4a8d3623p-5, -0x1.b4b23acb975b2p-5, -0x1.aef045080b8dp-5, -0x1.a93353e5e0799p-5, -0x1.a37be2ff8d5fdp-5, -0x1.9dca691b38b2ap-5, -0x1.981f584394992p-5, -0x1.927b1de0a273ep-5, -0x1.8cde22d06a119p-5, -0x1.8748cb7f897b5p-5, -0x1.81bb7801af4b4p-5, -0x1.7c368429ebd7ep-5, -0x1.76ba47a2dd14ap-5, -0x1.71471606b039p-5, -0x1.6bdd3ef6f5aadp-5, -0x1.667d0e3442982p-5, -0x1.6126cbb5a040cp-5, -0x1.5bdabbbfc7e11p-5, -0x1.56991efc1c77fp-5, -0x1.5162328f77dccp-5, -0x1.4c363030aac81p-5, -0x1.47154e3eca31ep-5, -0x1.41ffbfd7348f1p-5, -0x1.3cf5b4eb54e96p-5, -0x1.37f75a5622697p-5, -0x1.3304d9f159287p-5, -0x1.2e1e5aaa69d2dp-5, -0x1.2944009723a09p-5, -0x1.2475ed0a135c9p-5, -0x1.1fb43ea693f54p-5, -0x1.1aff117499bdbp-5, -0x1.16567ef42c67bp-5, -0x1.11ba9e30933c3p-5, -0x1.0d2b83d3398cbp-5, -0x1.08a9423639c6dp-5, -0x1.0433e976a661ep-5, -0x1.ff970f0cf3914p-6, -0x1.f6e0507c780afp-6, -0x1.ee43aadcae50dp-6, -0x1.e5c12de036344p-6, -0x1.dd58e56ceb93fp-6, -0x1.d50ad9bcadd49p-6, -0x1.ccd70f7d900efp-6, -0x1.c4bd87f161c42p-6, -0x1.bcbe410ca3ca7p-6, -0x1.b4d93594d5c15p-6, -0x1.ad0e5d3e30721p-6, -0x1.a55dacc8b74ecp-6, -0x1.9dc7161cba638p-6, -0x1.964a8866b506p-6, -0x1.8ee7f0329cf89p-6, -0x1.879f37868e4abp-6, -0x1.807045fce4286p-6, -0x1.795b00ddc2cfdp-6, -0x1.725f4b37fe45ap-6, -0x1.6b7d05f97d727p-6, -0x1.64b410070270ap-6, -0x1.5e0446535f13dp-6, -0x1.576d83f6268d8p-6, -0x1.50efa241c4427p-6, -0x1.4a8a78d9155dbp-6, -0x1.443dddc46bcd8p-6, -0x1.3e09a5860da8ep-6, -0x1.37eda32e33cefp-6, -0x1.31e9a86e78f92p-6, -0x1.2bfd85acd0782p-6, -0x1.26290a15f3056p-6, -0x1.206c03af528b3p-6, -0x1.1ac63f6890abbp-6, -0x1.1537892c6f941p-6, -0x1.0fbfabf15aaaap-6, -0x1.0a5e71c963346p-6, -0x1.0513a3f1dd469p-6, -0x1.ffbe15c4e869cp-7, -0x1.f580dcb7b4bd5p-7, -0x1.eb6f2aec09c0bp-7, -0x1.e1888d5bebf4p-7, -0x1.d7cc8fe647125p-7, -0x1.ce3abd68d706dp-7, -0x1.c4d29fd943682p-7, -0x1.bb93c05d77535p-7, -0x1.b27da763235b3p-7, -0x1.a98fdcb685b1ep-7, -0x1.a0c9e7986910cp-7, -0x1.982b4ed36cab6p-7, -0x1.8fb398d090f3ap-7, -0x1.87624bab07c7fp-7, -0x1.7f36ed435d269p-7, -0x1.77310351f15dbp-7, -0x1.6f501378b6a46p-7, -0x1.6793a35466305p-7, -0x1.5ffb388cf8b44p-7, -0x1.588658e582a6fp-7, -0x1.51348a4b896e5p-7, -0x1.4a0552e59ec49p-7, -0x1.42f8392186753p-7, -0x1.3c0cc3c1b6742p-7, -0x1.354279ea4eb93p-7, -0x1.2e98e32d89037p-7, -0x1.280f87979fd09p-7, -0x1.21a5efba2ea4ep-7, -0x1.1b5ba4b714a57p-7, -0x1.1530304ad93c7p-7, -0x1.0f231cd694306p-7, -0x1.0933f56963df3p-7, -0x1.036245c96193dp-7, -0x1.fb5b34f87e0a3p-8, -0x1.f02b019ea40eep-8, -0x1.e5330dbeb3bf9p-8, -0x1.da72773f7e9ebp-8, -0x1.cfe85dc2fe1cp-8, -0x1.c593e2b3595e5p-8, -0x1.bb74294f2d575p-8, -0x1.b18856b51c30bp-8, -0x1.a7cf91eea5c49p-8, -0x1.9e4903fa4c388p-8, -0x1.94f3d7d51ab0bp-8, -0x1.8bcf3a837c171p-8, -0x1.82da5b19799abp-8, -0x1.7a146ac24c5cbp-8, -0x1.717c9cc778545p-8, -0x1.69122697339e4p-8, -0x1.60d43fca5793dp-8, -0x1.58c22229bf848p-8, -0x1.50db09b327edp-8, -0x1.491e349d7f895p-8, -0x1.418ae35cdd7c4p-8, -0x1.3a2058a5d8feap-8, -0x1.32ddd97086b3dp-8, -0x1.2bc2acfb00e64p-8, -0x1.24ce1ccb855e8p-8, -0x1.1dff74b2237b3p-8, -0x1.175602ca158f9p-8, -0x1.10d1177aaba3bp-8, -0x1.0a700577ddd25p-8, -0x1.043221c293376p-8, -0x1.fc2d8750f23f8p-9, -0x1.f03a89873fe99p-9, -0x1.e48a01f37c2b8p-9, -0x1.d91aacf646a1cp-9, -0x1.cdeb4b82dbbf3p-9, -0x1.c2faa31beb478p-9, -0x1.b8477dcfdbdb4p-9, -0x1.add0aa349f0ddp-9, -0x1.a394fb630fd25p-9, -0x1.999348f1c15c1p-9, -0x1.8fca6eef78fcfp-9, -0x1.86394ddd406eep-9, -0x1.7cdecaa7e9204p-9, -0x1.73b9cea1747a6p-9, -0x1.6ac94779d6a64p-9, -0x1.620c2737a2cdp-9, -0x1.598164302078dp-9, -0x1.5127f8ff6f99cp-9, -0x1.48fee47ffce5ap-9, -0x1.410529c2017b2p-9, -0x1.3939d00291ed1p-9, -0x1.319be2a27fb51p-9, -0x1.2a2a711cfdd91p-9, -0x1.22e48efe1f49cp-9, -0x1.1bc953d9027f6p-9, -0x1.14d7db3deba35p-9, -0x1.0e0f44b0293edp-9, -0x1.076eb39bb4cbap-9, -0x1.00f54f4af35bp-9, -0x1.f54485b80fcd8p-10, -0x1.e8e97a6c4ea38p-10, -0x1.dcd7e1fdc24ep-10, -0x1.d10e291e4f36p-10, -0x1.c58ac3d0c11dbp-10, -0x1.ba4c2d52a3f87p-10, -0x1.af50e8060abeap-10, -0x1.a4977d5b10732p-10, -0x1.9a1e7db9766f1p-10, -0x1.8fe4806a0ca25p-10, -0x1.85e8237fe4e92p-10, -0x1.7c280bc1c68f6p-10, -0x1.72a2e4936626ap-10, -0x1.69575fde8d9ap-10, -0x1.604435fc4d437p-10, -0x1.5768259e56a93p-10, -0x1.4ec1f3b8194f3p-10, -0x1.46506b67fbaddp-10, -0x1.3e125de0c1323p-10, -0x1.3606a252d5386p-10, -0x1.2e2c15d5a80ap-10, -0x1.26819b514c097p-10, -0x1.1f061b67e393ap-10, -0x1.17b8845f5930dp-10, -0x1.1097ca0b25488p-10, -0x1.09a2e5b624b84p-10, -0x1.02d8d60ca0484p-10, -0x1.f8713e0cb3f52p-11, -0x1.eb8293a1d04d2p-11, -0x1.dee3c97413e13p-11, -0x1.d2930634581c4p-11, -0x1.c68e7a7e6c526p-11, -0x1.bad460ae94d45p-11, -0x1.af62fcb7c6f0ep-11, -0x1.a4389bfa01c89p-11, -0x1.9953951911dd9p-11, -0x1.8eb247d3a5b44p-11, -0x1.84531cdad8728p-11, -0x1.7a3485aa2941dp-11, -0x1.7054fc5fa0dacp-11, -0x1.66b3039496b7dp-11, -0x1.5d4d2636a317cp-11, -0x1.5421f76167251p-11, -0x1.4b30123807a76p-11, -0x1.427619bfd8d3cp-11, -0x1.39f2b8bb1db31p-11, -0x1.31a4a183e6634p-11, -0x1.298a8de8117fdp-11, -0x1.21a33f051986cp-11, -0x1.19ed7d24a5eb9p-11, -0x1.12681799a058cp-11, -0x1.0b11e49d53d9cp-11, -0x1.03e9c12d7f6fep-11, -0x1.f9dd21d511b65p-12, -0x1.ec3e7bec54382p-12, -0x1.def571a562a61p-12, -0x1.d1fff085905e9p-12, -0x1.c55bf25260a94p-12, -0x1.b9077cd366b43p-12, -0x1.ad00a193cbf16p-12, -0x1.a1457da56bc8p-12, -0x1.95d439645f689p-12, -0x1.8aab083c1e816p-12, -0x1.7fc8286ca2a65p-12, -0x1.7529e2d14d885p-12, -0x1.6ace8aa810ed3p-12, -0x1.60b47d597a89ep-12, -0x1.56da2242a7994p-12, -0x1.4d3dea7e421bp-12, -0x1.43de50b050e5ap-12, -0x1.3ab9d8d16a8cp-12, -0x1.31cf0ffb95746p-12, -0x1.291c8c37b9d96p-12, -0x1.20a0ec4c07e45p-12, -0x1.185ad78b22222p-12, -0x1.1048fda41d70fp-12, -0x1.086a16734a3dcp-12, -0x1.00bce1d43480cp-12, -0x1.f2804ee7a6ef2p-13, -0x1.e3e56d479d95bp-13, -0x1.d5a6cc5e051dep-13, -0x1.c7c2285bd5e55p-13, -0x1.ba354bb9c982dp-13, -0x1.acfe0ee3f19a1p-13, -0x1.a01a57e969d3fp-13, -0x1.93881a2baedd1p-13, -0x1.874556105baf3p-13, -0x1.7b5018b4341f4p-13, -0x1.6fa67b9f8bfe7p-13, -0x1.6446a47c04826p-13, -0x1.592ec4cc5b4c6p-13, -0x1.4e5d19a4ce0efp-13, -0x1.43cfeb6585eaep-13, -0x1.39858d7615845p-13, -0x1.2f7c5e02428eap-13, -0x1.25b2c5b8af6e5p-13, -0x1.1c273789e1a04p-13, -0x1.12d83069c156bp-13, -0x1.09c437118611fp-13, -0x1.00e9dbc314858p-13, -0x1.f08f701be7396p-14, -0x1.dfb8dd2a36f1ep-14, -0x1.cf4d55acc1ef6p-14, -0x1.bf4a41e4f8496p-14, -0x1.afad1aedc0b11p-14, -0x1.a0736a5095d4cp-14, -0x1.919ac99dcec6p-14, -0x1.8320e205df124p-14, -0x1.75036bf5e6128p-14, -0x1.67402eb6978e1p-14, -0x1.59d5000b5e8c2p-14, -0x1.4cbfc3d6ecb2dp-14, -0x1.3ffe6bbe48236p-14, -0x1.338ef6d05f4e9p-14, -0x1.276f712ed3595p-14, -0x1.1b9df3b8400e3p-14, -0x1.1018a3b54f55cp-14, -0x1.04ddb286ffa6ep-14, -0x1.f3d6baaee0ec7p-15, -0x1.de7fd997d0e8ap-15, -0x1.c9b36971e4ef5p-15, -0x1.b56e27affea8dp-15, -0x1.a1ace6feb064fp-15, -0x1.8e6c8eb6a4e5p-15, -0x1.7baa1a51f543fp-15, -0x1.696298e609e0ep-15, -0x1.57932c9f648f4p-15, -0x1.46390a4191444p-15, -0x1.355178aa12938p-15, -0x1.24d9d054806a8p-15, -0x1.14cf7ae5e47abp-15, -0x1.052ff2b5c429cp-15, -0x1.ebf184bb5a65fp-16, -0x1.ce4f08951cbedp-16, -0x1.b173c4a02e1c9p-16, -0x1.955b2a7f89111p-16, -0x1.7a00c9044c1fcp-16, -0x1.5f604b6571e15p-16, -0x1.4575787bfa394p-16, -0x1.2c3c320510352p-16, -0x1.13b073e8ccf29p-16, -0x1.f79ca70c000dep-17, -0x1.c923fdfebeefcp-17, -0x1.9bef79272e949p-17, -0x1.6ff7d3e7b4e11p-17, -0x1.4535f744127cp-17, -0x1.1ba2f8a20dc0fp-17, -0x1.e670312f991f3p-18, -0x1.97dd83792377fp-18, -0x1.4b810f0a3ebd6p-18, -0x1.014e4a4c63414p-18, -0x1.7271f1fe359fbp-19, -0x1.ccd4a868d8dcdp-20, -0x1.79b9ae149362cp-21, 0x1.2cc44b7daa7d3p-22, 0x1.4b818330560c7p-20, 0x1.221fed2ec70b7p-19, 0x1.9acb397924e03p-19, 0x1.07ebaa24e6571p-18, 0x1.40ac37c789c4ap-18, 0x1.77b122524648fp-18, 0x1.ad040bd577fb3p-18, 0x1.e0ae5d584cdc6p-18, 0x1.095ca436a3d65p-17, 0x1.2196e458633d4p-17, 0x1.390a52a1ee0f6p-17, 0x1.4fbb391c6b242p-17, 0x1.65adc8fca212ep-17, 0x1.7ae61b4e50398p-17, 0x1.8f68319d1d049p-17, 0x1.a337f697479f6p-17, 0x1.b6593eaccc50dp-17, 0x1.c8cfc8a7fc584p-17, 0x1.da9f3e44f9e25p-17, 0x1.ebcb34c0b2693p-17, 0x1.fc572d68b140bp-17, 0x1.06234b10428fap-16, 0x1.0dce64f52c1dp-16, 0x1.152e88b2f6e3p-16, 0x1.1c4551a71f31fp-16, 0x1.23145279ee1a8p-16, 0x1.299d15594ee88p-16, 0x1.2fe11c31dd35bp-16, 0x1.35e1e0e72657ep-16, 0x1.3ba0d589406cfp-16, 0x1.411f648904a3cp-16, 0x1.465ef0eb4be16p-16, 0x1.4b60d67a15735p-16, 0x1.502669f3feda5p-16, 0x1.54b0f93b6fec9p-16, 0x1.5901cb8338aecp-16, 0x1.5d1a2179f390ep-16, 0x1.60fb3574dec24p-16, 0x1.64a63b98c67bcp-16, 0x1.681c620199052p-16, 0x1.6b5ed0e9b926ap-16, 0x1.6e6eaace937c9p-16, 0x1.714d0c95a65cfp-16, 0x1.73fb0daf99432p-16, 0x1.7679c03a08c42p-16, 0x1.78ca3120ec311p-16, 0x1.7aed683ee5cd5p-16, 0x1.7ce4687bfe0dfp-16, 0x1.7eb02fec37fp-16, 0x1.8051b7ec4c9c5p-16, 0x1.81c9f53e9aec8p-16, 0x1.8319d8265b10ap-16, 0x1.84424c824c2d5p-16, 0x1.854439e6c70dfp-16, 0x1.862083b627b28p-16, 0x1.86d8093a29b35p-16, 0x1.876ba5ba57f72p-16, 0x1.87dc309391d4ep-16, 0x1.882a7d4e216fcp-16, 0x1.88575bb2ab5c1p-16, 0x1.886397dfac383p-16, 0x1.884ffa5d17ceep-16, 0x1.881d4830862e3p-16, 0x1.87cc42ef4507dp-16, 0x1.875da8d1a61f2p-16, 0x1.86d234c432018p-16, 0x1.862a9e7935893p-16, 0x1.85679a79814a7p-16, 0x1.8489da34d1d08p-16, 0x1.83920c1146756p-16, 0x1.8280db7ae3c1ep-16, 0x1.8156f0f28fc5bp-16, 0x1.8014f21bfd578p-16, 0x1.7ebb81cc748b9p-16, 0x1.7d4b4017973c1p-16, 0x1.7bc4ca5d21c55p-16, 0x1.7a28bb556f6c2p-16, 0x1.7877ab1dff7d1p-16, 0x1.76b22f456037cp-16, 0x1.74d8dad75417dp-16, 0x1.72ec3e67926e5p-16, 0x1.70ece81d504d9p-16, 0x1.6edb63bdf200ep-16, 0x1.6cb83ab737ee4p-16, 0x1.6a83f429e486dp-16, 0x1.683f14f3090f3p-16, 0x1.65ea1fb6115bcp-16, 0x1.638594e5e10a7p-16, 0x1.6111f2ce26c71p-16, 0x1.5e8fb59bf5a78p-16, 0x1.5bff57666fd2ep-16, 0x1.596150376aacdp-16, 0x1.56b616134e48ap-16, 0x1.53fe1d012805ep-16, 0x1.5139d712a6d6ep-16, 0x1.4e69b46b234p-16, 0x1.4b8e2347a38b2p-16, 0x1.48a79005ad03ap-16, 0x1.45b6652a2cfa4p-16, 0x1.42bb0b68f9d2fp-16, 0x1.3fb5e9aaa4733p-16, 0x1.3ca76513c9c19p-16, 0x1.398fe10ad380dp-16, 0x1.366fbf3ed513cp-16, 0x1.33475fad2909cp-16, 0x1.301720a79b2e6p-16, 0x1.2cdf5eda532fep-16, 0x1.29a0755185a09p-16, 0x1.265abd7edfcafp-16, 0x1.230e8f3f4ab6bp-16, 0x1.1fbc40e00c0cp-16, 0x1.1c64272464593p-16, 0x1.1906954a2e41ap-16, 0x1.15a3dd0f86212p-16, 0x1.123c4eb76b64fp-16, 0x1.0ed0390e92e45p-16, 0x1.0b5fe970b18f6p-16, 0x1.07ebabcc769b9p-16, 0x1.0473caa8c9f29p-16, 0x1.00f88f2923531p-16, 0x1.faf482236af9ep-17, 0x1.f3f24d9930e63p-17, 0x1.eceb0ada5e6f7p-17, 0x1.e5df416a69059p-17, 0x1.decf7630df835p-17, 0x1.d7bc2b823de83p-17, 0x1.d0a5e1279f669p-17, 0x1.c98d14676e15fp-17, 0x1.c272400c767a2p-17, 0x1.bb55dc6e85eaep-17, 0x1.b4385f799529ap-17, 0x1.ad1a3cb5dde01p-17, 0x1.a5fbe54e963e7p-17, 0x1.9eddc81aac354p-17, 0x1.97c051a2669c6p-17, 0x1.90a3ec2844748p-17, 0x1.8988ffaf19fdfp-17, 0x1.826ff2017383fp-17, 0x1.7b5926b890632p-17, 0x1.7444ff43c8b69p-17, 0x1.6d33daee15fe9p-17, 0x1.662616e6ad34ep-17, 0x1.5f1c0e45fffc5p-17, 0x1.58161a15889f2p-17, 0x1.511491558f3d9p-17, 0x1.4a17c9048e2e1p-17, 0x1.432014248e412p-17, 0x1.3c2dc3c283349p-17, 0x1.354126fbdf4e6p-17, 0x1.2e5a8b059145ep-17, 0x1.277a3b3189bf2p-17, 0x1.20a080f4ffdeep-17, 0x1.19cda3ef35d8p-17, 0x1.1301e9eea7a56p-17, 0x1.0c3d96f7688c1p-17, 0x1.0580ed4965f4ep-17, 0x1.fd985acb25177p-18, 0x1.f03f2c290937bp-18, 0x1.e2f6c8d6e7005p-18, 0x1.d5bfa7a645ap-18, 0x1.c89a3c17f8808p-18, 0x1.bb86f66a9d609p-18, 0x1.ae8643a3f20bdp-18, 0x1.a1988d9c932c5p-18, 0x1.94be3b0aaa722p-18, 0x1.87f7af8dc9a3fp-18, 0x1.7b454bb8bad65p-18, 0x1.6ea76d1d1b365p-18, 0x1.621e6e55e7777p-18, 0x1.55aaa711905a9p-18, 0x1.494c6c1d650bfp-18, 0x1.3d040f6fa964dp-18, 0x1.30d1e031c0edcp-18, 0x1.24b62acaebb8cp-18, 0x1.18b138ea80aa5p-18, 0x1.0cc35191f95aap-18, 0x1.00ecb91eb14b4p-18, 0x1.ea5b62a92f085p-19, 0x1.d30cf2ce8d398p-19, 0x1.bbee9c0b04407p-19, 0x1.a500d2c150166p-19, 0x1.8e4406709bc88p-19, 0x1.77b8a1c5f1017p-19, 0x1.615f0ab08ea0ep-19, 0x1.4b37a273351aep-19, 0x1.3542c5b87d0fbp-19, 0x1.1f80cca5670ffp-19, 0x1.09f20aea794a2p-19, 0x1.e92d9faeda76dp-20, 0x1.bedeccdc2177ap-20, 0x1.94f82ae485ba2p-20, 0x1.6b7a3efab1f24p-20, 0x1.4265861e3f1a6p-20, 0x1.19ba75417d75fp-20, 0x1.e2f2f2d481e6fp-21, 0x1.9345efaa72d4fp-21, 0x1.446e9c2df9cdbp-21, 0x1.ecdb4901f7c4ap-22, 0x1.52874bfde1726p-22, 0x1.73c4bdfd22266p-23, 0x1.176c19bdba96ep-25, -0x1.c95988a5a2db5p-24, -0x1.05e8876d13e3ap-22, -0x1.97c83dda6c6fap-22, -0x1.13fa78958d8c1p-21, -0x1.5b37138e4067fp-21, -0x1.a199bf72f6712p-21, -0x1.e722585cf32c9p-21, -0x1.15e8635626eddp-20, -0x1.37d27f6353e7dp-20, -0x1.594f806da6297p-20, -0x1.7a5f6c51f1f14p-20, -0x1.9b024e974ebbbp-20, -0x1.bb38385020ed2p-20, -0x1.db013ffe6e455p-20, -0x1.fa5d8175acafbp-20, -0x1.0ca68edf18a43p-19, -0x1.1be81d7d63d05p-19, -0x1.2af382257df62p-19, -0x1.39c8d4d89d28ep-19, -0x1.48682ffac3e2fp-19, -0x1.56d1b045e8502p-19, -0x1.650574bcf3d24p-19, -0x1.73039e9dad3d7p-19, -0x1.80cc51545246dp-19, -0x1.8e5fb26e3ffc9p-19, -0x1.9bbde98e0c2ddp-19, -0x1.a8e7205dcabbfp-19, -0x1.b5db82831ae79p-19, -0x1.c29b3d92deb86p-19, -0x1.cf268105aa494p-19, -0x1.db7d7e2a4e472p-19, -0x1.e7a0681b1f68dp-19, -0x1.f38f73b196c8cp-19, -0x1.ff4ad77b61724p-19, -0x1.056965d71893ap-18, -0x1.0b13c50e8e074p-18, -0x1.10a4a716628c2p-18, -0x1.161c2a64814a3p-18, -0x1.1b7a6e2c7d3ep-18, -0x1.20bf925b16a42p-18, -0x1.25ebb78fc51b6p-18, -0x1.2afeff1853d58p-18, -0x1.2ff98aebba127p-18, -0x1.34db7da44cb8bp-18, -0x1.39a4fa7b42e3ap-18, -0x1.3e562543d41eep-18, -0x1.42ef226620289p-18, -0x1.477016da586a6p-18, -0x1.4bd928240d7a7p-18, -0x1.502a7c4d4185ep-18, -0x1.546439e262c17p-18, -0x1.588687ed57c67p-18, -0x1.5c918df0c5955p-18, -0x1.608573e40f365p-18, -0x1.6462622ec7d58p-18, -0x1.682881a49f5dbp-18, -0x1.6bd7fb80b777cp-18, -0x1.6f70f961ed889p-18, -0x1.72f3a5467f879p-18, -0x1.766029881bc39p-18, -0x1.79b6b0d7da2cap-18, -0x1.7cf7663a60d9fp-18, -0x1.8022750401ee8p-18, -0x1.833808d510415p-18, -0x1.86384d95c22bdp-18, -0x1.89236f73018fp-18, -0x1.8bf99adad98f1p-18, -0x1.8ebafc78493dbp-18, -0x1.9167c130404c4p-18, -0x1.9400161e3648ap-18, -0x1.96842890ea34ap-18, -0x1.98f4260699343p-18, -0x1.9b503c2a05ap-18, -0x1.9d9898cf7605ap-18, -0x1.9fcd69f146eaap-18, -0x1.a1eeddacd2be3p-18, -0x1.a3fd223faa34ap-18, -0x1.a5f866047393bp-18, -0x1.a7e0d76ffcb87p-18, -0x1.a9b6a50e5c1a9p-18, -0x1.ab79fd80415eap-18, -0x1.ad2b0f78185d9p-18, -0x1.aeca09b74180ap-18, -0x1.b0571b0bad446p-18, -0x1.b1d2724d10417p-18, -0x1.b33c3e5a30dcdp-18, -0x1.b494ae16b1c61p-18, -0x1.b5dbf068a9ba7p-18, -0x1.b7123435f3837p-18, -0x1.b837a861e89acp-18, -0x1.b94c7bcb21479p-18, -0x1.ba50dd494fd42p-18, -0x1.bb44fbab00f57p-18, -0x1.bc2905b31a315p-18, -0x1.bcfd2a173e468p-18, -0x1.bdc1977d8d009p-18, -0x1.be767c7a6a8a3p-18, -0x1.bf1c078ec951p-18, -0x1.bfb26725fc021p-18, -0x1.c039c99432bb6p-18, -0x1.c0b25d142e31bp-18, -0x1.c11c4fc5c7423p-18, -0x1.c177cfabf88ffp-18, -0x1.c1c50aab53a3ep-18, -0x1.c2042e8841e12p-18, -0x1.c23568e532bd3p-18, -0x1.c258e741560ccp-18, -0x1.c26ed6f6f3734p-18, -0x1.c2776539b11b5p-18, -0x1.c272bf153fe3dp-18, -0x1.c261116bfe0ap-18, -0x1.c24288f580c02p-18, -0x1.c217523d205c7p-18, -0x1.c1df99a0bf9e4p-18, -0x1.c19b8b4f91cbep-18, -0x1.c14b5348a4933p-18, -0x1.c0ef1d59bf3bp-18, -0x1.c087151e5772ap-18, -0x1.c01365fe328bp-18, -0x1.bf943b2c66179p-18, -0x1.bf09bfa62d092p-18, -0x1.be741e3213d47p-18, -0x1.bdd3815ea173ap-18, -0x1.bd2813819b2f4p-18, -0x1.bc71feb6f71fcp-18, -0x1.bbb16cdff2b5cp-18, -0x1.bae687a20c261p-18, -0x1.ba1178665eb31p-18, -0x1.b9326858d2dbdp-18, -0x1.b84980671453p-18, -0x1.b756e93fe67f9p-18, -0x1.b65acb5271354p-18, -0x1.b5554ecd765ep-18, -0x1.b4469b9ea835cp-18, -0x1.b32ed9720189fp-18, -0x1.b20e2fb143725p-18, }}, 
      {{-0x1.78d4bb75e0b8ep-10, -0x1.79b288527f9d5p-9, -0x1.1cc2539224921p-8, -0x1.7f5c7956d037bp-8, -0x1.e69b7de88f6fap-8, -0x1.2a62824244977p-7, -0x1.66157da34f452p-7, -0x1.a773e93e5ccc7p-7, -0x1.ef53617cad7ddp-7, -0x1.1f1f28bbfcd2bp-6, -0x1.4a347afb0924bp-6, -0x1.78d7146ff3e65p-6, -0x1.aac94a7e71a08p-6, -0x1.dfa6600bfc376p-6, -0x1.0b7418820cadep-5, -0x1.27f6ea1d30b5p-5, -0x1.45015033430fep-5, -0x1.6232902ac38f4p-5, -0x1.7f26d0639d893p-5, -0x1.9b7a0ed552444p-5, -0x1.b6cab5bbca8d6p-5, -0x1.d0bbc5f7e9faap-5, -0x1.e8f695e363a82p-5, -0x1.ff2c28801f551p-5, -0x1.098b1236a2098p-4, -0x1.123bba1b553b1p-4, -0x1.198e4d591c71cp-4, -0x1.1f6de33ab67b5p-4, -0x1.23ca579a3a519p-4, -0x1.269823a15db8bp-4, -0x1.27d0254b2a184p-4, -0x1.276f59dc2414ep-4, -0x1.25768f03b4c56p-4, -0x1.21ea0dd832e69p-4, -0x1.1cd14262dfa97p-4, -0x1.163661fdc04aep-4, -0x1.0e26125c12082p-4, -0x1.04af12b7e3b25p-4, -0x1.f3c3d098dcbd5p-5, -0x1.dba11df923c4p-5, -0x1.c11c5d8dc2447p-5, -0x1.a45dace832fdfp-5, -0x1.858e7781b3397p-5, -0x1.64d9023e1d905p-5, -0x1.4268021bf082bp-5, -0x1.1e663ddfdd54fp-5, -0x1.f1fc74ca7103bp-6, -0x1.a4b3e240d89dfp-6, -0x1.55452097b3c74p-6, -0x1.040088528563fp-6, -0x1.626822e316d98p-7, -0x1.74ac1a0eae39ap-8, -0x1.05b8c2586212bp-11, 0x1.35f9bb6e5da1cp-8, 0x1.472f34ddd8aaep-7, 0x1.f3be3a0213618p-7, 0x1.5019c6a40ad92p-6, 0x1.a60fe03e26d95p-6, 0x1.fb8d2d3f27fbp-6, 0x1.28307370d51b2p-5, 0x1.522ed8ec35a2dp-5, 0x1.7bacc79af46c1p-5, 0x1.a496e4a596534p-5, 0x1.ccdb6e94b184bp-5, 0x1.f46a30b0dbb7ep-5, 0x1.0d9a3aa3d3e12p-4, 0x1.20967b8a2137p-4, 0x1.3323e901b89e4p-4, 0x1.453d39c21fad7p-4, 0x1.56ddc54862a61p-4, 0x1.68017bca77a08p-4, 0x1.78a4de2a1d9a2p-4, 0x1.88c4f5f565b7fp-4, 0x1.985f4d80fe43cp-4, 0x1.a771e82680d8bp-4, 0x1.b5fb3aaf4cb1bp-4, 0x1.c3fa23f2f0908p-4, 0x1.d16de5aee12eap-4, 0x1.de561d9be35a8p-4, 0x1.eab2bec4a2af7p-4, 0x1.f6840b1fe704p-4, 0x1.00e546b811f03p-3, 0x1.064389b499abap-3, 0x1.0b5d540e5bb24p-3, 0x1.103347566954cp-3, 0x1.14c61ea2517e3p-3, 0x1.1916ac2ab30a7p-3, 0x1.1d25d70b7fadfp-3, 0x1.20f4992517ee7p-3, 0x1.2483fd1d5b798p-3, 0x1.27d51c7fa97b2p-3, 0x1.2ae91dfac20a3p-3, 0x1.2dc133bb70f22p-3, 0x1.305e99e2c8b6fp-3, 0x1.32c29516e0a99p-3, 0x1.34ee712cc366ep-3, 0x1.36e37fea84fdfp-3, 0x1.38a317e035207p-3, 0x1.3a2e935697694p-3, 0x1.3b874f527e914p-3, 0x1.3caeaaaba063ap-3, 0x1.3da60535de138p-3, 0x1.3e6ebefbe93c3p-3, 0x1.3f0a378a4adbdp-3, 0x1.3f79cd49c4658p-3, 0x1.3fbedce82c61cp-3, 0x1.3fdac0ced133p-3, 0x1.3fced0a590a59p-3, 0x1.3f9c60e1c4ep-3, 0x1.3f44c2604fbd1p-3, 0x1.3ec94209f4fa7p-3, 0x1.3e2b28815cfbep-3, 0x1.3d6bb9da0a0f2p-3, 0x1.3c8c3557a560fp-3, 0x1.3b8dd5350a959p-3, 0x1.3a71ce727d5dep-3, 0x1.393950aa85f8ap-3, 0x1.37e585ecf514ep-3, 0x1.3677929f95b3ap-3, 0x1.34f095641c702p-3, 0x1.3351a702efe98p-3, 0x1.319bda5a60cp-3, 0x1.2fd03c51f84dep-3, 0x1.2defd3d18ef2bp-3, 0x1.2bfba1bbccb32p-3, 0x1.29f4a0ebd5ba7p-3, 0x1.27dbc635d5549p-3, 0x1.25b2006a29cf9p-3, 0x1.2378385af7355p-3, 0x1.212f50e3e7b1ap-3, 0x1.1ed826f3ddd43p-3, 0x1.1c73919878229p-3, 0x1.1a02620b2f71ap-3, 0x1.178563bfe3294p-3, 0x1.14fd5c74b82eep-3, 0x1.126b0c4322e1p-3, 0x1.0fcf2db1f3ad8p-3, 0x1.0d2a75c8566e1p-3, 0x1.0a7d94219a50ep-3, 0x1.07c93301b6dfep-3, 0x1.050df76a68524p-3, 0x1.024c8130db3fp-3, 0x1.ff0ad62788ff3p-4, 0x1.f97295a3ce0edp-4, 0x1.f3d16281b7651p-4, 0x1.ee2854c855c5ep-4, 0x1.e8787b0919a32p-4, 0x1.e2c2da8eb2bd5p-4, 0x1.dd086f8c11323p-4, 0x1.d74a2d4b9b51bp-4, 0x1.d188fe5e61b01p-4, 0x1.cbc5c4cb46e89p-4, 0x1.c6015a3e1789cp-4, 0x1.c03c90367ed37p-4, 0x1.ba783036b1911p-4, 0x1.b4b4fbf1eebbap-4, 0x1.aef3ad7a9f599p-4, 0x1.a934f7702734fp-4, 0x1.a379852c4dc5ep-4, 0x1.9dc1faf0465b6p-4, 0x1.980ef61131289p-4, 0x1.92610d243ccb6p-4, 0x1.8cb8d02a324a9p-4, 0x1.8716c8ba85c18p-4, 0x1.817b7a2dd9f51p-4, 0x1.7be761c7f42e5p-4, 0x1.765af6e11d89fp-4, 0x1.70d6ab0eeb94bp-4, 0x1.6b5aea4c71f68p-4, 0x1.65e81b21d59cfp-4, 0x1.607e9ecb40821p-4, 0x1.5b1ed15f374dp-4, 0x1.55c909f44a47cp-4, 0x1.507d9ac623416p-4, 0x1.4b3cd159f02ebp-4, 0x1.4606f6a225f63p-4, 0x1.40dc4f219ffb1p-4, 0x1.3bbd1b0e174c5p-4, 0x1.36a99671f4fddp-4, 0x1.31a1f94d7d8d5p-4, 0x1.2ca677b756bd4p-4, 0x1.27b741fc678a8p-4, 0x1.22d484bf13ff2p-4, 0x1.1dfe6915d3a7fp-4, 0x1.193514a926e4bp-4, 0x1.1478a9d0e7345p-4, 0x1.0fc947b0f81f2p-4, 0x1.0b270a5557dcbp-4, 0x1.06920acd91a5bp-4, 0x1.020a5f4790a2dp-4, 0x1.fb203653b4abap-5, 0x1.f2469e5a582c3p-5, 0x1.e98812eb011d1p-5, 0x1.e0e4ab54fe56ap-5, 0x1.d85c7a1ea9881p-5, 0x1.cfef8d33f4843p-5, 0x1.c79dee13d0c35p-5, 0x1.bf67a1fc79e79p-5, 0x1.b74caa16a1da4p-5, 0x1.af4d039f869a6p-5, 0x1.a768a811f59bp-5, 0x1.9f9f8d4e3c571p-5, 0x1.97f1a5c10f9bap-5, 0x1.905ee0896a3b5p-5, 0x1.88e7299d68cdp-5, 0x1.818a69ee25fa4p-5, 0x1.7a48878a9b3c7p-5, 0x1.732165c18dc5ap-5, 0x1.6c14e5428302ep-5, 0x1.6522e43dcd9afp-5, 0x1.5e4b3e83ab86bp-5, 0x1.578dcda28084p-5, 0x1.50ea69043069ap-5, 0x1.4a60e60a984c9p-5, 0x1.43f1182b31b9cp-5, 0x1.3d9ad109e16c5p-5, 0x1.375de092f3f6cp-5, 0x1.313a15144da65p-5, 0x1.2b2f3b55d5b8p-5, 0x1.253d1eb11900dp-5, 0x1.1f6389282f4afp-5, 0x1.19a2437be4d0ap-5, 0x1.13f915412aa52p-5, 0x1.0e67c4f5d5158p-5, 0x1.08ee1814a8b4dp-5, 0x1.038bd328bcc36p-5, 0x1.fc8173c068b36p-6, 0x1.f2191e3ca9579p-6, 0x1.e7de2a19f5037p-6, 0x1.ddd01a5ae858bp-6, 0x1.d3ee70d17e842p-6, 0x1.ca38ae3e6acb7p-6, 0x1.c0ae526f4d5ffp-6, 0x1.b74edc5bc7ad8p-6, 0x1.ae19ca417eedcp-6, 0x1.a50e99bf1354cp-6, 0x1.9c2cc7ee0b226p-6, 0x1.9373d17bc1148p-6, 0x1.8ae332c158559p-6, 0x1.827a67dabe59cp-6, 0x1.7a38ecbcbaaa9p-6, 0x1.721e3d4a21093p-6, 0x1.6a29d5681cc18p-6, 0x1.625b3111a6c57p-6, 0x1.5ab1cc6a1e1f1p-6, 0x1.532d23cf21af9p-6, 0x1.4bccb3e994b6fp-6, 0x1.448ff9bde28bap-6, 0x1.3d7672bb8d797p-6, 0x1.367f9ccbfab51p-6, 0x1.2faaf66094b7ep-6, 0x1.28f7fe80375b7p-6, 0x1.226634d4028d1p-6, 0x1.1bf519b378dc9p-6, 0x1.15a42e300d156p-6, 0x1.0f72f4200d4adp-6, 0x1.0960ee2904ab7p-6, 0x1.036d9fc97f00ep-6, 0x1.fb311ac49b0ap-7, 0x1.efc2787e7b257p-7, 0x1.e48e653ea429p-7, 0x1.d993ef78ed179p-7, 0x1.ced227a5819a3p-7, 0x1.c448204e6af51p-7, 0x1.b9f4ee1c4310bp-7, 0x1.afd7a7e1f8425p-7, 0x1.a5ef66a7c7d2bp-7, 0x1.9c3b45b57214ep-7, 0x1.92ba629b8be62p-7, 0x1.896bdd3c33f61p-7, 0x1.804ed7d2ef52cp-7, 0x1.776276fbe9bbfp-7, 0x1.6ea5e1ba7f022p-7, 0x1.6618417f1e528p-7, 0x1.5db8c22c9855p-7, 0x1.5586921cc1974p-7, 0x1.4d80e22494e4bp-7, 0x1.45a6e597baabcp-7, 0x1.3df7d24b8ad37p-7, 0x1.3672e0998e363p-7, 0x1.2f174b617defp-7, 0x1.27e4500acd699p-7, 0x1.20d92e85c07bap-7, 0x1.19f5294c0ab54p-7, 0x1.13378561135adp-7, 0x1.0c9f8a51c12e7p-7, 0x1.062c8233f3543p-7, 0x1.ffbb734b2c045p-8, 0x1.f364ff96c0fc7p-8, 0x1.e7544c9e740c6p-8, 0x1.db8802bca6d89p-8, 0x1.cffecf4ddf8dcp-8, 0x1.c4b764abc43a8p-8, 0x1.b9b07a2792fd6p-8, 0x1.aee8cc040e4e5p-8, 0x1.a45f1b6ee6f65p-8, 0x1.9a122e79bbe7fp-8, 0x1.9000d01295862p-8, 0x1.8629cffc056f4p-8, 0x1.7c8c02c4d5b1ep-8, 0x1.732641bf60beep-8, 0x1.69f76af8832f9p-8, 0x1.60fe612e460c4p-8, 0x1.583a0bc62ba0ap-8, 0x1.4fa956c33bda3p-8, 0x1.474b32bbc266ep-8, 0x1.3f1e94ced2901p-8, 0x1.37227699873f6p-8, 0x1.2f55d62c0cb09p-8, 0x1.27b7b5fe76a08p-8, 0x1.20471ce5665aep-8, 0x1.19031606805d8p-8, 0x1.11eab0ccbadbep-8, 0x1.0afd00dc8c742p-8, 0x1.04391e07eeb3p-8, 0x1.fb3c488494264p-9, 0x1.ee566728821b5p-9, 0x1.e1bee01ed75f5p-9, 0x1.d5740383eb43p-9, 0x1.c974295454e55p-9, 0x1.bdbdb153edd61p-9, 0x1.b24f02f4b2628p-9, 0x1.a7268d3d9e7fep-9, 0x1.9c42c6b155cc8p-9, 0x1.91a22d34ecc6bp-9, 0x1.874345f68b2c3p-9, 0x1.7d249d54190b8p-9, 0x1.7344c6c1f176dp-9, 0x1.69a25cb188d3dp-9, 0x1.603c007833d2bp-9, 0x1.57105a35e9e3fp-9, 0x1.4e1e18bc1b624p-9, 0x1.4563f174aa136p-9, 0x1.3ce0a048d7873p-9, 0x1.3492e78874c3ap-9, 0x1.2c798fd11040dp-9, 0x1.249367f54c6dp-9, 0x1.1cdf44e45e294p-9, 0x1.155c0191a5babp-9, 0x1.0e087edc75e63p-9, 0x1.06e3a377f580cp-9, 0x1.ffd8b7a67ef9ap-10, 0x1.f24334034bbe5p-10, 0x1.e504ab4620916p-10, 0x1.d81b17995cc42p-10, 0x1.cb847de387381p-10, 0x1.bf3eed994473bp-10, 0x1.b348808fd8534p-10, 0x1.a79f5acff4496p-10, 0x1.9c41aa69083a9p-10, 0x1.912da744ee8b3p-10, 0x1.866192fc24ea4p-10, 0x1.7bdbb8aa53ec9p-10, 0x1.719a6cc36243fp-10, 0x1.679c0ce90cd23p-10, 0x1.5ddeffc0dc2efp-10, 0x1.5461b4ca9a87ap-10, 0x1.4b22a4374558cp-10, 0x1.42204ec089a42p-10, 0x1.39593d80a8dbcp-10, 0x1.30cc01cadac69p-10, 0x1.287735044be55p-10, 0x1.2059787d65068p-10, 0x1.1871754bc81edp-10, 0x1.10bddc24af169p-10, 0x1.093d6537d0918p-10, 0x1.01eed00ac9028p-10, 0x1.f5a1c6a9e958cp-11, 0x1.e7c4d9b7b7549p-11, 0x1.da4482a03f91fp-11, 0x1.cd1e7855acb2fp-11, 0x1.c0507f16e4ef7p-11, 0x1.b3d8682c424a3p-11, 0x1.a7b411a586edbp-11, 0x1.9be166185c77cp-11, 0x1.905e5c605b899p-11, 0x1.8528f75f8d9c9p-11, 0x1.7a3f45c03de97p-11, 0x1.6f9f61b7b6125p-11, 0x1.654770c9c2156p-11, 0x1.5b35a38d62712p-11, 0x1.516835724f062p-11, 0x1.47dd6c877dd49p-11, 0x1.3e939942a04bfp-11, 0x1.3589164874b9cp-11, 0x1.2cbc48361f677p-11, 0x1.242b9d6b54767p-11, 0x1.1bd58dd59be29p-11, 0x1.13b89abc359f1p-11, 0x1.0bd34e8d2849fp-11, 0x1.04243caafc5c8p-11, 0x1.f9540276f4a1ap-12, 0x1.eac681ee6e15ep-12, 0x1.dc9d51f413fd9p-12, 0x1.ced5dd2888a13p-12, 0x1.c16d9e39a858bp-12, 0x1.b4621f8880926p-12, 0x1.a7b0fad0c2f48p-12, 0x1.9b57d8d20369ap-12, 0x1.8f5470fa6043ep-12, 0x1.83a489130a756p-12, 0x1.7845f4edff947p-12, 0x1.6d3696159a7fdp-12, 0x1.62745b7daa795p-12, 0x1.57fd4135cfdc5p-12, 0x1.4dcf501d83c63p-12, 0x1.43e89d998c14ap-12, 0x1.3a474b4afc9d3p-12, 0x1.30e986c7790b9p-12, 0x1.27cd8952e0644p-12, 0x1.1ef1979a974efp-12, 0x1.16540171e6732p-12, 0x1.0df3218fe8c04p-12, 0x1.05cd5d4ea8ccdp-12, 0x1.fbc248d74c1a4p-13, 0x1.ec59e19332adcp-13, 0x1.dd5e8c66de7d6p-13, 0x1.cecd644161333p-13, 0x1.c0a396f5cc97ep-13, 0x1.b2de64c8b2717p-13, 0x1.a57b20002ce76p-13, 0x1.98772c75ce303p-13, 0x1.8bcfff2b384adp-13, 0x1.7f831de0ce724p-13, 0x1.738e1eaeccdcp-13, 0x1.67eea7a030555p-13, 0x1.5ca26e50673f6p-13, 0x1.51a7378a5f1f2p-13, 0x1.46fad6ea570bdp-13, 0x1.3c9b2e8136526p-13, 0x1.32862e7a599a8p-13, 0x1.28b9d4c2dd0cbp-13, 0x1.1f342cb349285p-13, 0x1.15f34ebaec57fp-13, 0x1.0cf5600d0e4d1p-13, 0x1.043892501742p-13, 0x1.f776469cc0bf3p-14, 0x1.e6f6b9523654p-14, 0x1.d6ef2718a5b4cp-14, 0x1.c75c50caf3af5p-14, 0x1.b83b0d3595b4fp-14, 0x1.a9884889fe7d7p-14, 0x1.9b4103d475a33p-14, 0x1.8d6254754831bp-14, 0x1.7fe9639d1d5d5p-14, 0x1.72d36dcc4ecap-14, 0x1.661dc2552e65ap-14, 0x1.59c5c2e18638cp-14, 0x1.4dc8e2fa60c85p-14, 0x1.4224a792f9979p-14, 0x1.36d6a696bdd4bp-14, 0x1.2bdc86790fbdep-14, 0x1.2133fdc8d2a8ap-14, 0x1.16dad2c5ab869p-14, 0x1.0ccedaf822ebfp-14, 0x1.030dfacc52218p-14, 0x1.f32c4a5d76768p-15, 0x1.e0cab657b287cp-15, 0x1.cef357237dedbp-15, 0x1.bda26527f5f89p-15, 0x1.acd432e41ddc1p-15, 0x1.9c852c3f49e0bp-15, 0x1.8cb1d5de3d398p-15, 0x1.7d56cc7c7b4f9p-15, 0x1.6e70c449d9d75p-15, 0x1.5ffc884b75084p-15, 0x1.51f6f9c145e5dp-15, 0x1.445d0f8f4dd35p-15, 0x1.372bd5aa054dap-15, 0x1.2a606c8777e19p-15, 0x1.1df80892f2615p-15, 0x1.11eff1a4bbd91p-15, 0x1.0645827d5f7bcp-15, 0x1.f5ec5087893bcp-16, 0x1.dffec40d7cdfep-16, 0x1.cabd80856570bp-16, 0x1.b623c8d106047p-16, 0x1.a22d00d2f755p-16, 0x1.8ed4ac8a1e072p-16, 0x1.7c166f3322a6cp-16, 0x1.69ee0a7112c91p-16, 0x1.58575d79d1d72p-16, 0x1.474e64494e1c1p-16, 0x1.36cf36d8ed4p-16, 0x1.26d6085d00f44p-16, 0x1.175f26874d61bp-16, 0x1.0866f8cdf973ap-16, 0x1.f3d3ff6df4971p-17, 0x1.d7c9a854227f3p-17, 0x1.bca84d8a23089p-17, 0x1.a2697e6c95b44p-17, 0x1.8906f734df2bap-17, 0x1.707a9fbf22ebp-17, 0x1.58be8a5613655p-17, 0x1.41ccf28a2ef98p-17, 0x1.2ba03c0e246c9p-17, 0x1.1632f19c3377ap-17, 0x1.017fc3e38a2fap-17, 0x1.db0310f768442p-18, 0x1.b46671c19f3e7p-18, 0x1.8f1fe2e97c962p-18, 0x1.6b25e11493d9cp-18, 0x1.486f2ae5fdbe2p-18, 0x1.26f2bf2f1ceb6p-18, 0x1.06a7db253ec9ep-18, 0x1.cf0bf1555f8f5p-19, 0x1.93099940cec7ap-19, 0x1.59388a83b6f97p-19, 0x1.2189111f831b6p-19, 0x1.d7d7cb11a5814p-20, 0x1.70a4534a570aep-20, 0x1.0d5acbbda48f6p-20, 0x1.5bbe1933be707p-21, 0x1.4856bf7c28f37p-22, -0x1.86fcfebda0ffbp-26, -0x1.6b3f452494c33p-22, -0x1.583e506f34ab3p-21, -0x1.f445177ad5c36p-21, -0x1.44f1e66f95e57p-20, -0x1.8ca47f2292539p-20, -0x1.d150fd7a6986p-20, -0x1.0986b7285bb8cp-19, -0x1.28f7a3ff13d9fp-19, -0x1.4705b7439fe0dp-19, -0x1.63bb1bd3b6d9p-19, -0x1.7f21b75f5177bp-19, -0x1.99432c54903afp-19, -0x1.b228dbb785bd9p-19, -0x1.c9dbe6f426d2p-19, -0x1.e065319dda1ecp-19, -0x1.f5cd6324a3effp-19, -0x1.050e743df2e72p-18, -0x1.0eadfadaf0c5bp-18, -0x1.17c943cbda063p-18, -0x1.2064328cc2c79p-18, -0x1.2882907200369p-18, -0x1.30280d5e2417cp-18, -0x1.37584076435cep-18, -0x1.3e16a8cc9ca58p-18, -0x1.4466ae0b2b6f6p-18, -0x1.4a4ba115b0799p-18, -0x1.4fc8bca90a6f8p-18, -0x1.54e125f50680dp-18, -0x1.5997ed331a5b8p-18, -0x1.5df00e361b565p-18, -0x1.61ec70f9d4761p-18, -0x1.658fea2a3d746p-18, -0x1.68dd3ba9f13dp-18, -0x1.6bd71513e8b28p-18, -0x1.6e801437f1658p-18, -0x1.70dac5969b18ep-18, -0x1.72e9a4d66e8edp-18, -0x1.74af1d37e5d6cp-18, -0x1.762d8a04dda23p-18, -0x1.776736fe8b935p-18, -0x1.785e60c4d6e7cp-18, -0x1.7915353fbe014p-18, -0x1.798dd40013ba1p-18, -0x1.79ca4ea2e381ep-18, -0x1.79cca92d574eap-18, -0x1.7996da693d3acp-18, -0x1.792acc3d70cfcp-18, -0x1.788a5c03b3261p-18, -0x1.77b75adc9188bp-18, -0x1.76b38e00dc5e1p-18, -0x1.7580af0ff627bp-18, -0x1.74206c5d6523ep-18, -0x1.7294693a64909p-18, -0x1.70de3e3f8d90dp-18, -0x1.6eff79914d05bp-18, -0x1.6cf99f2645fd4p-18, -0x1.6ace29085be74p-18, -0x1.687e8795616a5p-18, -0x1.660c21be1fd13p-18, -0x1.6378554335a3bp-18, -0x1.60c476eff39fcp-18, -0x1.5df1d2d42a78dp-18, -0x1.5b01ac7bd1c84p-18, -0x1.57f53f25b4ce9p-18, -0x1.54cdbdf7ffe4ap-18, -0x1.518c543367f0ep-18, -0x1.4e322565b2c28p-18, -0x1.4ac04d996db1ep-18, -0x1.4737e185ce0c3p-18, -0x1.4399eebbcf54fp-18, -0x1.3fe77bd3994c6p-18, -0x1.3c21889754382p-18, -0x1.38490e2d090a3p-18, -0x1.345eff40cbe4dp-18, -0x1.3064482b3e72dp-18, -0x1.2c59cf1955109p-18, -0x1.284074316daecp-18, -0x1.241911b8e1c8p-18, -0x1.1fe47c36934dcp-18, -0x1.1ba38296c4c28p-18, -0x1.1756ee4c8bf93p-18, -0x1.12ff83725c848p-18, -0x1.0e9e00ead8c3ep-18, -0x1.0a33207f91bf6p-18, -0x1.05bf96ff344e9p-18, -0x1.0144145ba0571p-18, -0x1.f982878d648bfp-19, -0x1.f06f979ae712fp-19, -0x1.e7509ce9b106p-19, -0x1.de26d2a688cedp-19, -0x1.d4f36b55d58bcp-19, -0x1.cbb79105e5b31p-19, -0x1.c274658017367p-19, -0x1.b92b027993da2p-19, -0x1.afdc79c172014p-19, -0x1.a689d56e427aep-19, -0x1.9d34180b03d14p-19, -0x1.93dc3cc203413p-19, -0x1.8a8337878d44bp-19, -0x1.8129f542e3659p-19, -0x1.77d15bf6a3ac8p-19, -0x1.6e7a4ae85f62fp-19, -0x1.65259ac5a5471p-19, -0x1.5bd41dcb81d1cp-19, -0x1.52869fe8e4a72p-19, -0x1.493de6e33c1cp-19, -0x1.3ffab279b520bp-19, -0x1.36bdbc85bfec6p-19, -0x1.2d87b91ddd309p-19, -0x1.245956b480d57p-19, -0x1.1b333e3955745p-19, -0x1.121613365e03bp-19, -0x1.090273ef70c36p-19, -0x1.fff1f2fea649ap-20, -0x1.edf46fe9043abp-20, -0x1.dc0d7cda672fp-20, -0x1.ca3e2e678f732p-20, -0x1.b8878fb12bf7dp-20, -0x1.a6eaa2999f0cfp-20, -0x1.95685ffa0aa4bp-20, -0x1.8401b7d136d9bp-20, -0x1.72b7917839e45p-20, -0x1.618acbd16a28dp-20, -0x1.507c3d77e2b04p-20, -0x1.3f8cb4ecaca84p-20, -0x1.2ebcf8c6cbe7cp-20, -0x1.1e0dc7db96cdfp-20, -0x1.0d7fd96de0ce4p-20, -0x1.fa27baacb09c4p-21, -0x1.d994f859faf49p-21, -0x1.b948aee68db56p-21, -0x1.994413763af1ep-21, -0x1.79884d9cf5ca9p-21, -0x1.5a1677aa1521p-21, -0x1.3aef9ef3ab474p-21, -0x1.1c14c42245e88p-21, -0x1.fb0db6edd37dp-22, -0x1.be8d9a2398183p-22, -0x1.82aaea6f868ffp-22, -0x1.4767493369d0ep-22, -0x1.0cc44122454bcp-22, -0x1.a5868d962590cp-23, -0x1.32cb72360afedp-23, -0x1.82b3874c5d889p-24, -0x1.44cfb04e26148p-25, 0x1.da3d2b9f616bcp-27, 0x1.1656bcf5c772ep-24, 0x1.eec186d4b17fdp-24, 0x1.6242337a20c02p-23, 0x1.cbce0560d7524p-23, 0x1.1a0159e4ad02ep-22, 0x1.4d6f6e370df51p-22, 0x1.80309fa920e38p-22, 0x1.b2445ef4b4f1ap-22, 0x1.e3aa2d261470dp-22, 0x1.0a30cd9b94f1ep-21, 0x1.223524d7df851p-21, 0x1.39e1f42174dd8p-21, 0x1.51371ab79cf01p-21, 0x1.68347f112fd36p-21, 0x1.7eda0eaf61e09p-21, 0x1.9527bdefb7899p-21, 0x1.ab1d87e08ad08p-21, 0x1.c0bb6e16505c6p-21, 0x1.d601787f15613p-21, 0x1.eaefb53ac4173p-21, 0x1.ff863870ce449p-21, 0x1.09e28e13c4684p-20, 0x1.13d6400fc01bap-20, 0x1.1d9e44d39e62fp-20, 0x1.273ab1bd9ddc1p-20, 0x1.30ab9ecd67ff5p-20, 0x1.39f1269392518p-20, 0x1.430b661ead337p-20, 0x1.4bfa7ce96765cp-20, 0x1.54be8cc9900fcp-20, 0x1.5d57b9de82e4ep-20, 0x1.65c62a80c00d5p-20, 0x1.6e0a0730ba4adp-20, 0x1.76237a8743049p-20, 0x1.7e12b1256e46cp-20, 0x1.85d7d9a436328p-20, 0x1.8d73248620a14p-20, 0x1.94e4c4274ca64p-20, 0x1.9c2cecaf272fp-20, 0x1.a34bd401a8e37p-20, 0x1.aa41b1b10beep-20, 0x1.b10ebeeef07e4p-20, 0x1.b7b33680ae1b8p-20, 0x1.be2f54af1071bp-20, 0x1.c483573b12b52p-20, 0x1.caaf7d50143ccp-20, 0x1.d0b40776f1634p-20, 0x1.d691378997c4fp-20, 0x1.dc4750a6b751p-20, 0x1.e1d6972593a1dp-20, 0x1.e73f508a2731fp-20, 0x1.ec81c37911876p-20, 0x1.f19e37acfe60ap-20, 0x1.f694f5eaceacfp-20, 0x1.fb6647f679fbep-20, 0x1.00093c443ad56p-19, 0x1.024ce9a1c1ea3p-19, 0x1.047e5254aaac2p-19, 0x1.069d9d08a1fe5p-19, 0x1.08aaf0ced8315p-19, 0x1.0aa67519699b9p-19, 0x1.0c9051b5e81b7p-19, 0x1.0e68aec9ae4e2p-19, 0x1.102fb4cc634dap-19, 0x1.11e58c83a7e2cp-19, 0x1.138a5efee1b12p-19, 0x1.151e5592b3601p-19, 0x1.16a199d4bbabep-19, 0x1.181455976f8ep-19, 0x1.1976b2e5f7484p-19, 0x1.1ac8dc00419f1p-19, 0x1.1c0afb572eb6dp-19, 0x1.1d3d3b887a608p-19, 0x1.1e5fc75b163c1p-19, 0x1.1f72c9bb7853p-19, 0x1.20766db83785dp-19, 0x1.216ade7e341a8p-19, 0x1.225047554c601p-19, 0x1.2326d39cff731p-19, 0x1.23eeaec91c1dp-19, 0x1.24a8045eb0445p-19, 0x1.2552fff07b44cp-19, 0x1.25efcd1c3ecafp-19, 0x1.267e9787aa3b9p-19, 0x1.26ff8add371dp-19, 0x1.2772d2c96f93p-19, 0x1.27d89af831649p-19, 0x1.28310f11cd44dp-19, 0x1.287c5ab86b47ep-19, 0x1.28baa98586679p-19, 0x1.28ec270739e99p-19, 0x1.2910febdb7205p-19, 0x1.29295c1921c75p-19, 0x1.29356a76e172dp-19, 0x1.2935551fa116bp-19, 0x1.29294744d29c8p-19, 0x1.29116bfea77f9p-19, 0x1.28edee49d056dp-19, 0x1.28bef90596e06p-19, 0x1.2884b6f1a9127p-19, 0x1.283f52ac40694p-19, 0x1.27eef6b0334c4p-19, 0x1.2793cd530673ep-19, 0x1.272e00c3657eap-19, 0x1.26bdbb06ffe18p-19, 0x1.264325f90210fp-19, 0x1.25be6b4874b8cp-19, 0x1.252fb476acabap-19, 0x1.24972ad5a6128p-19, 0x1.23f4f7868bfe9p-19, 0x1.2349437853017p-19, 0x1.2294376623ecbp-19, 0x1.21d5fbd613d03p-19, 0x1.210eb917d0712p-19, 0x1.203e974372395p-19, 0x1.1f65be38110b8p-19, 0x1.1e84559a9bf66p-19, 0x1.1d9a84d4cad86p-19, 0x1.1ca87313fa1bbp-19, 0x1.1bae4748082d2p-19, 0x1.1aac28224034dp-19, 0x1.19a23c147f084p-19, 0x1.1890a950153dap-19, 0x1.177795c4fb1a8p-19, 0x1.16572720ec4cap-19, 0x1.152f82ce80c0fp-19, 0x1.1400cdf44e1fbp-19, 0x1.12cb2d742ec18p-19, 0x1.118ec5ea9cd0fp-19, 0x1.104bbbaddd006p-19, 0x1.0f0232cd4cfd4p-19, 0x1.0db24f10ce222p-19, 0x1.0c5c33f8240e4p-19, 0x1.0b0004ba4721cp-19, 0x1.099de444fde14p-19, 0x1.0835f53c3a667p-19, 0x1.06c859f9ac45p-19, 0x1.0555348c3912fp-19, 0x1.03dca6b796f3bp-19, 0x1.025ed1f3d66b4p-19, 0x1.00dbd76d1f7fap-19, 0x1.fea7b0065233ep-20, 0x1.fb8de89225f4dp-20, 0x1.f86a9909cb7ep-20, 0x1.f53e015ed887ep-20, 0x1.f20860e7e2b1ap-20, 0x1.eec9f65ff1b18p-20, 0x1.eb82ffe608951p-20, 0x1.e833bafccf48dp-20, 0x1.e4dc648a76ecep-20, 0x1.e17d38d81e2fcp-20, 0x1.de167391ab429p-20, 0x1.daa84fc5cd004p-20, 0x1.d73307e5969fbp-20, 0x1.d3b6d5c44983ap-20, 0x1.d033f2979940bp-20, 0x1.ccaa96f78b54dp-20, 0x1.c91afade0503fp-20, 0x1.c58555a749032p-20, 0x1.c1e9de120b11cp-20, 0x1.be48ca3f66c0cp-20, 0x1.baa24fb2df725p-20, 0x1.b6f6a352c9447p-20, 0x1.b345f9687044p-20, 0x1.af9085a029b7fp-20, 0x1.abd67b09babd6p-20, 0x1.a8180c18cf07fp-20, 0x1.a4556aa50a2cfp-20, 0x1.a08ec7ea4148bp-20, 0x1.9cc454891c676p-20, 0x1.98f64087ac661p-20, 0x1.9524bb5187c5bp-20, 0x1.914ff3b83146fp-20, 0x1.8d7817f3b4b67p-20, 0x1.899d55a38b344p-20, 0x1.85bfd9ce8c36bp-20, 0x1.81dfd0e39ba1bp-20, 0x1.7dfd66ba7dea3p-20, 0x1.7a18c6942fb52p-20, 0x1.76321b1ba8afcp-20, 0x1.72498e6692dfdp-20, 0x1.6e5f49f5b82adp-20, 0x1.6a7376b5c2dfap-20, 0x1.66863d0020d6cp-20, 0x1.6297c49b746e9p-20, 0x1.5ea834bc88f7p-20, 0x1.5ab7b406f6683p-20, 0x1.56c6688dde772p-20, 0x1.52d477d4d32aep-20, 0x1.4ee206d07e093p-20, 0x1.4aef39e76e761p-20, 0x1.46fc34f2f5e8dp-20, 0x1.43091b4045d8dp-20, 0x1.3f160f90e1e13p-20, 0x1.3b23341b8092ap-20, 0x1.3730aa8d2711dp-20, 0x1.333e940a1b346p-20, 0x1.2f4d112e829b5p-20, 0x1.2b5c420f5bbb3p-20, 0x1.276c463b9f3dcp-20, 0x1.237d3cbcd4bcap-20, 0x1.1f8f44184fce8p-20, 0x1.1ba27a4fd4e57p-20, 0x1.17b6fce31eff1p-20, 0x1.13cce8d03991bp-20, 0x1.0fe45a949e797p-20, 0x1.0bfd6e2e2f3afp-20, 0x1.08183f1ca668bp-20, 0x1.0434e862119dfp-20, 0x1.00538483ed1cfp-20, 0x1.f8e85b1822d99p-21, 0x1.f12dfa13bb38fp-21, 0x1.e97818267f7b3p-21, 0x1.e1c6e68b3b55bp-21, 0x1.da1a958d8d5dcp-21, 0x1.d273548c504f1p-21, 0x1.cad151fb982cep-21, 0x1.c334bb66aeb25p-21, 0x1.bb9dbd720e252p-21, 0x1.b40c83dda5068p-21, 0x1.ac8139868d56p-21, 0x1.a4fc08698e0e2p-21, 0x1.9d7d19a558d5dp-21, 0x1.9604957bc35dap-21, 0x1.8e92a354ad29ep-21, 0x1.872769bfe6cc5p-21, 0x1.7fc30e774deb1p-21, 0x1.7865b660ba035p-21, 0x1.710f858fc2331p-21, 0x1.69c09f48a6791p-21, 0x1.6279260240d85p-21, 0x1.5b393b67820a4p-21, 0x1.5401005a2f297p-21, 0x1.4cd094f484aa7p-21, 0x1.45a8188b7c1f8p-21, 0x1.3e87a9b0ed526p-21, 0x1.376f6635a1129p-21, 0x1.305f6b2b219acp-21, 0x1.2957d4e67714ap-21, }}, 
      {{-0x1.f843182ecea12p-1, -0x1.f7fba3ecfc6dap-1, -0x1.f773edd17b242p-1, -0x1.f69cc57af8cf3p-1, -0x1.f56b898eb76d9p-1, -0x1.f3dc3d5a50e18p-1, -0x1.f1f14f7d14db8p-1, -0x1.efb2217d899f6p-1, -0x1.ed2924b87531ap-1, -0x1.ea620f717ed18p-1, -0x1.e7686a73e1367p-1, -0x1.e4468c01603c5p-1, -0x1.e104fbd58c801p-1, -0x1.ddaa2fc9c4467p-1, -0x1.da3a8c45b487fp-1, -0x1.d6b893c28ee83p-1, -0x1.d3253314c7e1ap-1, -0x1.cf801b9b919efp-1, -0x1.cbc8201223c05p-1, -0x1.c7fb8c19db8c5p-1, -0x1.c4187173c60a4p-1, -0x1.c01ce82f52b51p-1, -0x1.bc0740d46e9c8p-1, -0x1.b7d628cf56858p-1, -0x1.b388c2381f1d1p-1, -0x1.af1eb08d03dfep-1, -0x1.aa981c319497ep-1, -0x1.a5f5ae9024605p-1, -0x1.a13888a5914e2p-1, -0x1.9c623595c21a7p-1, -0x1.97749ab25633ap-1, -0x1.9271e623b08b8p-1, -0x1.8d5c7d2b9819fp-1, -0x1.8836eac321d59p-1, -0x1.8303cf254f2d1p-1, -0x1.7dc5d0adc74fcp-1, -0x1.787f8e4f703dfp-1, -0x1.733393c95edb3p-1, -0x1.6de44fa91cd83p-1, -0x1.68940b1701ed5p-1, -0x1.6344e35ba6aeep-1, -0x1.5df8c503a71cap-1, -0x1.58b168804500fp-1, -0x1.5370501f74673p-1, -0x1.4e36c733ecc83p-1, -0x1.4905e2457ac3cp-1, -0x1.43de8022af6dep-1, -0x1.3ec14baec54dfp-1, -0x1.39aebe48f13edp-1, -0x1.34a722ad0e01ap-1, -0x1.2faa98308f7cp-1, -0x1.2ab91641b0356p-1, -0x1.25d27011d96aap-1, -0x1.20f65857376fap-1, -0x1.1c24651438f89p-1, -0x1.175c135656298p-1, -0x1.129ccadfef715p-1, -0x1.0de5e1b342fdbp-1, -0x1.09369f767a5d5p-1, -0x1.048e40aa9fb44p-1, -0x1.ffd7f361ac4dep-2, -0x1.f69df33530e8dp-2, -0x1.ed6cd985ed1e6p-2, -0x1.e442fe5f989a3p-2, -0x1.db1ebd75a6fdap-2, -0x1.d1fe7a0653a63p-2, -0x1.c8e0a25102edfp-2, -0x1.bfc3b2a35d82cp-2, -0x1.b6a638015bcb8p-2, -0x1.ad86d26d00171p-2, -0x1.a46436d308de7p-2, -0x1.9b3d30a216f38p-2, -0x1.9210a3120c7acp-2, -0x1.88dd8a217339dp-2, -0x1.7fa2fb4ebb685p-2, -0x1.766026131e797p-2, -0x1.6d145424bc8cfp-2, -0x1.63bee9857d249p-2, -0x1.5a5f6463e90bp-2, -0x1.50f55cd30f493p-2, -0x1.4780845e3539fp-2, -0x1.3e00a57cd89ep-2, -0x1.3475a2eb37e42p-2, -0x1.2adf76eb5746ep-2, -0x1.213e32722aa73p-2, -0x1.1791fc443f145p-2, -0x1.0ddb10050c5c9p-2, -0x1.0419bd3bb16ccp-2, -0x1.f49ccc9f90861p-3, -0x1.e0f2ff011989bp-3, -0x1.cd371bb111f46p-3, -0x1.b96a4c3f248cap-3, -0x1.a58dd799a8865p-3, -0x1.91a31ff4ae532p-3, -0x1.7daba0b6a636fp-3, -0x1.69a8ec6cdd3f6p-3, -0x1.559caac9bd33ep-3, -0x1.418896ae80429p-3, -0x1.2d6e7c41ae94ep-3, -0x1.19503713a2756p-3, -0x1.052fb051e1badp-3, -0x1.e21dba1469626p-4, -0x1.b9df78fbc81bep-4, -0x1.91a8ad0b3e1e7p-4, -0x1.697d740c9157p-4, -0x1.4161f6ed9ep-4, -0x1.195a66ee30ae4p-4, -0x1.e2d5f5dfe0378p-5, -0x1.932fd9d023764p-5, -0x1.43caeee4d9c2ap-5, -0x1.e95f4e156ef85p-6, -0x1.4bccd9174ee38p-6, -0x1.5dde77d7c4ddap-7, -0x1.2d71481536a5fp-10, 0x1.10d64b5089b3cp-7, 0x1.22c7284ab485ap-6, 0x1.bc2cdcb57e971p-6, 0x1.2a4632de9c6b9p-5, 0x1.75eb12a12cb2cp-5, 0x1.c0fd60a99ecd8p-5, 0x1.05baca3b59cf9p-4, 0x1.2aa626185cdfap-4, 0x1.4f3d275777feep-4, 0x1.737c46a901c72p-4, 0x1.976012dacffa1p-4, 0x1.bae5319d5ae91p-4, 0x1.de08603623204p-4, 0x1.00633a101620cp-3, 0x1.118e2dcdb10d6p-3, 0x1.22838f15dcbeap-3, 0x1.3341ee8456058p-3, 0x1.43c7e9bf00864p-3, 0x1.54142b9f3724ap-3, 0x1.64256c546bd67p-3, 0x1.73fa718061a1p-3, 0x1.83920e4d5a7a3p-3, 0x1.92eb237e7a237p-3, 0x1.a2049f7abcff6p-3, 0x1.b0dd7e52b2609p-3, 0x1.bf74c9c14a5ddp-3, 0x1.cdc99927fa051p-3, 0x1.dbdb11866f19bp-3, 0x1.e9a8656e17fa1p-3, 0x1.f730d4f1a823ep-3, 0x1.0239d6c8727d2p-2, 0x1.08b825106f705p-2, 0x1.0f1309586b6fcp-2, 0x1.154a3e35fa70fp-2, 0x1.1b5d84bc036d2p-2, 0x1.214ca468b66e5p-2, 0x1.27176b1232997p-2, 0x1.2cbdacd1ef904p-2, 0x1.323f43eefd12fp-2, 0x1.379c10c728b89p-2, 0x1.3cd3f9b725e26p-2, 0x1.41e6eb01bf64fp-2, 0x1.46d4d6b62721fp-2, 0x1.4b9db49579907p-2, 0x1.504181f778b7dp-2, 0x1.54c041ae9b345p-2, 0x1.5919fbeb756cep-2, 0x1.5d4ebe1f8d407p-2, 0x1.615e9adfa9c2ap-2, 0x1.6549a9c5a21aep-2, 0x1.69100751c499p-2, 0x1.6cb1d4cbd982ap-2, 0x1.702f3823d2514p-2, 0x1.73885bd22dbaap-2, 0x1.76bd6eb81d45fp-2, 0x1.79cea3ff768a8p-2, 0x1.7cbc32fa7a361p-2, 0x1.7f8657037d2a7p-2, 0x1.822d4f5c77a93p-2, 0x1.84b15f0e8b423p-2, 0x1.8712ccc9830aap-2, 0x1.8951e2c357592p-2, 0x1.8b6eee97beb36p-2, 0x1.8d6a4127d4b8dp-2, 0x1.8f442e79dd33dp-2, 0x1.90fd0d992826ap-2, 0x1.9295387624e77p-2, 0x1.940d0bc6a3db8p-2, 0x1.9564e6e64ebaap-2, 0x1.969d2bb7633c6p-2, 0x1.97b63e83af4cep-2, 0x1.98b085ddd724fp-2, 0x1.998c6a82ea8c4p-2, 0x1.9a4a573c4d3b1p-2, 0x1.9aeab8c1fab68p-2, 0x1.9b6dfd9d2618ap-2, 0x1.9bd4960b3b0a4p-2, 0x1.9c1ef3e147da5p-2, 0x1.9c4d8a6fcc4c1p-2, 0x1.9c60ce66fc80ep-2, 0x1.9c5935bb6de0fp-2, 0x1.9c37378b3cf51p-2, 0x1.9bfb4c03a83eap-2, 0x1.9ba5ec472552ap-2, 0x1.9b379253f0a9cp-2, 0x1.9ab0b8eb1e4d8p-2, 0x1.9a11db7828bdep-2, 0x1.995b75f903c94p-2, 0x1.988e04e6b03fdp-2, 0x1.97aa051e5b83bp-2, 0x1.96aff3cafea36p-2, 0x1.95a04e4f8b12dp-2, 0x1.947b92319df89p-2, 0x1.93423d04bc427p-2, 0x1.91f4cc5619b5p-2, 0x1.9093bd98ec46cp-2, 0x1.8f1f8e134994fp-2, 0x1.8d98bacb8ee2p-2, 0x1.8bffc076540ebp-2, 0x1.8a551b64eca17p-2, 0x1.889947746fd31p-2, 0x1.86ccbffd4ce7dp-2, 0x1.84efffc368bffp-2, 0x1.830380e6c744ap-2, 0x1.8107bcd4b936p-2, 0x1.7efd2c3994127p-2, 0x1.7ce446f2f2551p-2, 0x1.7abd84027572p-2, 0x1.788959810ed7cp-2, 0x1.76483c92cb1f9p-2, 0x1.73faa15b204d1p-2, 0x1.71a0faf1bb28fp-2, 0x1.6f3bbb57cd783p-2, 0x1.6ccb536dd6e7fp-2, 0x1.6a5032e9ec32dp-2, 0x1.67cac84e78197p-2, 0x1.653b80e171584p-2, 0x1.62a2c8a40ca36p-2, 0x1.60010a4ade587p-2, 0x1.5d56af36720ebp-2, 0x1.5aa41f6c516bfp-2, 0x1.57e9c19079cebp-2, 0x1.5527fadf3feb9p-2, 0x1.525f2f279c87ap-2, 0x1.4f8fc0c5e24fbp-2, 0x1.4cba109edb0a9p-2, 0x1.49de7e1b458cfp-2, 0x1.46fd6723bd3abp-2, 0x1.4417281cf82cbp-2, 0x1.412c1be46a0d8p-2, 0x1.3e3c9bcd40ae9p-2, 0x1.3b48ff9db741cp-2, 0x1.38519d8cc49cbp-2, 0x1.3556ca401bba9p-2, 0x1.3258d8ca803edp-2, 0x1.2f581aaa69409p-2, 0x1.2c54dfc8f502ep-2, 0x1.294f767929333p-2, 0x1.26482b7776e36p-2, 0x1.233f49e98e8e5p-2, 0x1.20351b5e7301cp-2, 0x1.1d29e7ced2a58p-2, 0x1.1a1df59da0189p-2, 0x1.17118998eb04p-2, 0x1.1404e6faf44d2p-2, 0x1.10f84f6b7f6a7p-2, 0x1.0dec0301595fbp-2, 0x1.0ae0404416b4ap-2, 0x1.07d5442e0945cp-2, 0x1.04cb4a2e62813p-2, 0x1.01c28c2b8d0e1p-2, 0x1.fd76850b5b2f8p-3, 0x1.f76b4832aefe9p-3, 0x1.f163cc84ca58dp-3, 0x1.eb6079bdfedb4p-3, 0x1.e561b4a58c8aap-3, 0x1.df67df1448bfbp-3, 0x1.d97357fb7e408p-3, 0x1.d3847b6c1e45ep-3, 0x1.cd9ba29e29ccep-3, 0x1.c7b923f853337p-3, 0x1.c1dd5317e471p-3, 0x1.bc0880d8cdc5fp-3, 0x1.b63afb5df3bf3p-3, 0x1.b0750e199f888p-3, 0x1.aab701d62789dp-3, 0x1.a5011cbebb346p-3, 0x1.9f53a26853c08p-3, 0x1.99aed3dacba05p-3, 0x1.9412ef9a1ae36p-3, 0x1.8e8031afa612fp-3, 0x1.88f6d3b3b3c2fp-3, 0x1.83770cd6f49bp-3, 0x1.7e0111ec27857p-3, 0x1.78951571ca2eep-3, 0x1.7333479be0647p-3, 0x1.6ddbd65dcc288p-3, 0x1.688eed742db1bp-3, 0x1.634cb66ed25eap-3, 0x1.5e1558baac74bp-3, 0x1.58e8f9abcf451p-3, 0x1.53c7bc8770994p-3, 0x1.4eb1c28df046dp-3, 0x1.49a72b04dd20cp-3, 0x1.44a81340fc8b7p-3, 0x1.3fb496b04945ap-3, 0x1.3acccee3fa1b3p-3, 0x1.35f0d39a753eap-3, 0x1.3120bac94726fp-3, 0x1.2c5c98a70a798p-3, 0x1.27a47fb547284p-3, 0x1.22f880ca4c486p-3, 0x1.1e58ab1af229fp-3, 0x1.19c50c4457278p-3, 0x1.153db05589fdcp-3, 0x1.10c2a1d9252e8p-3, 0x1.0c53e9ded70ap-3, 0x1.07f19004dac45p-3, 0x1.039b9a815645bp-3, 0x1.fea41c5763a63p-4, 0x1.f629dd0b958ap-4, 0x1.edc87b8a32191p-4, 0x1.e57ff9b77bb38p-4, 0x1.dd505702edfb6p-4, 0x1.d5399078fc21cp-4, 0x1.cd3ba0d48fdf9p-4, 0x1.c5568090637c2p-4, 0x1.bd8a25f821c69p-4, 0x1.b5d6853951478p-4, 0x1.ae3b9073fe5cap-4, 0x1.a6b937cb43e64p-4, 0x1.9f4f6975868dcp-4, 0x1.97fe11cc7cad2p-4, 0x1.90c51b5d08d3ep-4, 0x1.89a46ef6c3b85p-4, 0x1.829bf3bb5d59bp-4, 0x1.7bab8f2db8a44p-4, 0x1.74d32540cc26cp-4, 0x1.6e1298664c117p-4, 0x1.6769c99d0c418p-4, 0x1.60d8987f2ffc4p-4, 0x1.5a5ee3501459fp-4, 0x1.53fc870a0075ep-4, 0x1.4db15f6b96767p-4, 0x1.477d4705086acp-4, 0x1.416017450be46p-4, 0x1.3b59a8858fd0dp-4, 0x1.3569d2183818ap-4, 0x1.2f906a52998f1p-4, 0x1.29cd469a30ecp-4, 0x1.24203b7028b05p-4, 0x1.1e891c7cd7cb6p-4, 0x1.1907bc9b06322p-4, 0x1.139bede2f4979p-4, 0x1.0e4581b524fe3p-4, 0x1.090448c4eda06p-4, 0x1.03d81322c520fp-4, 0x1.fd81608cbd696p-5, 0x1.f37bde310035bp-5, 0x1.e99f3bf945f66p-5, 0x1.dfeb15b4bbf25p-5, 0x1.d65f064d1b213p-5, 0x1.ccfaa7d88e3b3p-5, 0x1.c3bd93ab229e6p-5, 0x1.baa76267d2d18p-5, 0x1.b1b7ac1110f46p-5, 0x1.a8ee0818ef605p-5, 0x1.a04a0d70dcea3p-5, 0x1.97cb5298e43d7p-5, 0x1.8f716dae9887ap-5, 0x1.873bf47b89cf9p-5, 0x1.7f2a7c83528f9p-5, 0x1.773c9b1145f5fp-5, 0x1.6f71e545ab724p-5, 0x1.67c9f022a2a67p-5, 0x1.60445098a479ep-5, 0x1.58e09b9298824p-5, 0x1.519e660194edp-5, 0x1.4a7d44e838062p-5, 0x1.437ccd65b23ap-5, 0x1.3c9c94c05cb04p-5, 0x1.35dc30701632ap-5, 0x1.2f3b3628270aep-5, 0x1.28b93be0e2bb6p-5, 0x1.2255d7e0f4ec7p-5, 0x1.1c10a0c6479c1p-5, 0x1.15e92d8eaaadbp-5, 0x1.0fdf15a020b2ep-5, 0x1.09f1f0d0db214p-5, 0x1.0421576ef0df1p-5, 0x1.fcd9c48f7bcdfp-6, 0x1.f1a8555dfca0ep-6, 0x1.e6ad950b3022bp-6, 0x1.dbe8b8805b043p-6, 0x1.d158f5daa2798p-6, 0x1.c6fd84771443cp-6, 0x1.bcd59cfe0a121p-6, 0x1.b2e0796e15415p-6, 0x1.a91d552669d6p-6, 0x1.9f8b6cf0c5deep-6, 0x1.9629ff0ad8119p-6, 0x1.8cf84b2f2f7a9p-6, 0x1.83f5929dc8a9p-6, 0x1.7b211823fea2ep-6, 0x1.727a2024357abp-6, 0x1.69fff09cec315p-6, 0x1.61b1d12f91606p-6, 0x1.598f0b26bd14p-6, 0x1.5196e97c2b5p-6, 0x1.49c8b8de47669p-6, 0x1.4223c7b543e6bp-6, 0x1.3aa76627efb1ap-6, 0x1.3352e6200f368p-6, 0x1.2c259b4e873cap-6, 0x1.251edb2f06e76p-6, 0x1.1e3dfd0b60cdbp-6, 0x1.178259feb7bc5p-6, 0x1.10eb4cf8272cfp-6, 0x1.0a7832bd4672p-6, 0x1.042869ec45d93p-6, 0x1.fbf6a5fba86dep-7, 0x1.efe0a08d60011p-7, 0x1.e40d8bf1ec80ep-7, 0x1.d87c344a76b8p-7, 0x1.cd2b6976938c9p-7, 0x1.c219ff156753fp-7, 0x1.b746cc866101p-7, 0x1.acb0ace9412d7p-7, 0x1.a2567f1dee791p-7, 0x1.983725c3b351dp-7, 0x1.8e5187383125p-7, 0x1.84a48d95b8c07p-7, 0x1.7b2f26b19338bp-7, 0x1.71f0441992717p-7, 0x1.68e6db1178d5ap-7, 0x1.6011e4900b35fp-7, 0x1.57705d3bb6492p-7, 0x1.4f014566e28bcp-7, 0x1.46c3a10c188dep-7, 0x1.3eb677c9b1917p-7, 0x1.36d8d4dd5b436p-7, 0x1.2f29c71f4a63dp-7, 0x1.27a860fd2cd5ap-7, 0x1.2053b874ebafap-7, 0x1.192ae70f03c07p-7, 0x1.122d09d8e7ec8p-7, 0x1.0b59415ee505bp-7, 0x1.04aeb1a60bb0ep-7, 0x1.fc59044b8f5bep-8, 0x1.efa3bb82954ep-8, 0x1.e33be581b012dp-8, 0x1.d71fe5959860dp-8, 0x1.cb4e25b93b958p-8, 0x1.bfc516875222ap-8, 0x1.b4832f2b8c258p-8, 0x1.a986ed5397b67p-8, 0x1.9eced52029c11p-8, 0x1.94597115224d9p-8, 0x1.8a25520a3e5edp-8, 0x1.80310f1b1eadep-8, 0x1.767b45971c4aep-8, 0x1.6d0298f13d54bp-8, 0x1.63c5b2afacb6ep-8, 0x1.5ac3425b4d7d7p-8, 0x1.51f9fd6f1aa5dp-8, 0x1.49689f4736b7ap-8, 0x1.410de9103afa7p-8, 0x1.38e8a1b627882p-8, 0x1.30f795d3493cdp-8, 0x1.2939979f2818ep-8, 0x1.21ad7edd627efp-8, 0x1.1a5228cc4c35dp-8, 0x1.13267813bfcbep-8, 0x1.0c2954b3da072p-8, 0x1.0559abf37f015p-8, 0x1.fd6ce09e46c47p-9, 0x1.f07d32cecca0dp-9, 0x1.e3e247df5993ep-9, 0x1.d79a2339ec429p-9, 0x1.cba2d228d0d5dp-9, 0x1.bffa6bb3e0ae8p-9, 0x1.b49f107edf83ap-9, 0x1.a98eeaa5fdefp-9, 0x1.9ec82d9c66f58p-9, 0x1.94491609b8963p-9, 0x1.8a0fe9a7d30b8p-9, 0x1.801af7214fceap-9, 0x1.766895ef67ed3p-9, 0x1.6cf72638a628cp-9, 0x1.63c510af2d907p-9, 0x1.5ad0c66f91e8p-9, 0x1.5218c0e001b01p-9, 0x1.499b818f3e13ap-9, 0x1.41579213b2eccp-9, 0x1.394b83eb9abf4p-9, 0x1.3175f05c4a882p-9, 0x1.29d57852a127bp-9, 0x1.2268c442db6cbp-9, 0x1.1b2e8409a1af2p-9, 0x1.14256ecc3e5f3p-9, 0x1.0d4c42da26e99p-9, 0x1.06a1c58df8fedp-9, 0x1.0024c32f2b702p-9, 0x1.f3a81da7b541cp-10, 0x1.e75d0485ecb9dp-10, 0x1.db65fbad6af92p-10, 0x1.cfc0d0be3839ap-10, 0x1.c46b5e0a86fd9p-10, 0x1.b9638a5cb2915p-10, 0x1.aea748bf2630bp-10, 0x1.a43498431d305p-10, 0x1.9a0983ca0d727p-10, 0x1.902421ce779bfp-10, 0x1.8682942cef956p-10, 0x1.7d2307ef12308p-10, 0x1.7403b5161c3a9p-10, 0x1.6b22de6686c43p-10, 0x1.627ed13417609p-10, 0x1.5a15e52eda955p-10, 0x1.51e67c3035ee5p-10, 0x1.49ef0209a82a4p-10, 0x1.422dec52a8388p-10, 0x1.3aa1ba3899e4bp-10, 0x1.3348f44ed2457p-10, 0x1.2c222c5e78233p-10, 0x1.252bfd38f4c61p-10, 0x1.1e650a88e8355p-10, 0x1.17cc00a52d835p-10, 0x1.115f94640d427p-10, 0x1.0b1e82eebeca6p-10, 0x1.050791963a791p-10, 0x1.fe331b505f813p-11, 0x1.f2a6988942c98p-11, 0x1.e76754691a03ep-11, 0x1.dc731781467bfp-11, 0x1.d1c7b911bf272p-11, 0x1.c7631eb99db66p-11, 0x1.bd433c29386bbp-11, 0x1.b36612d4731bcp-11, 0x1.a9c9b1a6da6cap-11, 0x1.a06c34b963447p-11, 0x1.974bc508619ccp-11, 0x1.8e66982c2ecfcp-11, 0x1.85baf010447a9p-11, 0x1.7d471aafcedep-11, 0x1.750971ce89705p-11, 0x1.6d005ab6587a4p-11, 0x1.652a45f4dad2ap-11, 0x1.5d85af1980e7fp-11, 0x1.56111c75a5a71p-11, 0x1.4ecb1edd87356p-11, 0x1.47b2516a16b78p-11, 0x1.40c5593c3a836p-11, 0x1.3a02e540d26dap-11, 0x1.3369adf5f0cf7p-11, 0x1.2cf87531c0843p-11, 0x1.26ae05e888d2bp-11, 0x1.208933f69afp-11, 0x1.1a88dbe8b7785p-11, 0x1.14abe2c709ef6p-11, 0x1.0ef135dfe68e5p-11, 0x1.0957ca953789ep-11, 0x1.03de9e28eed34p-11, 0x1.fd096b17ece8ep-12, 0x1.f2923a5a8e68bp-12, 0x1.e855d194a84fp-12, 0x1.de52667ffe52dp-12, 0x1.d4863cb9f3cd5p-12, 0x1.caefa56946682p-12, 0x1.c18cfee59d2adp-12, 0x1.b85cb4624148p-12, 0x1.af5d3d979d039p-12, 0x1.a68d1e728194cp-12, 0x1.9deae6c097f34p-12, 0x1.957531e2da61p-12, 0x1.8d2aa67dfdadep-12, 0x1.8509f62f81af3p-12, 0x1.7d11dd41e57dap-12, 0x1.754122641a9cbp-12, 0x1.6d96966199d06p-12, 0x1.661113dcdf974p-12, 0x1.5eaf7f09efd9p-12, 0x1.5770c56c5a3fcp-12, 0x1.5053dd9485eb8p-12, 0x1.4957c6e06a731p-12, 0x1.427b893c22293p-12, 0x1.3bbe34e500d99p-12, 0x1.351ee22ce991dp-12, 0x1.2e9cb140d31eep-12, 0x1.2836c9edb242dp-12, 0x1.21ec5b6a33331p-12, 0x1.1bbc9c1e88a63p-12, 0x1.15a6c96fbeb2fp-12, 0x1.0faa278b2e8f9p-12, 0x1.09c601336329dp-12, 0x1.03f9a78e1b45ap-12, 0x1.fc88e3e7c3abap-13, 0x1.f14b7b805d93ep-13, 0x1.e639dc466be8bp-13, 0x1.db52d7e8cc0fp-13, 0x1.d0954b0c7d7f5p-13, 0x1.c6001cf639e4ep-13, 0x1.bb923f36ac455p-13, 0x1.b14aad5794261p-13, 0x1.a7286c8bdfffep-13, 0x1.9d2a8b61e988bp-13, 0x1.93502176dc20ep-13, 0x1.89984f2c43646p-13, 0x1.80023d602edd4p-13, 0x1.768d1d25edee5p-13, 0x1.6d382781d6dddp-13, 0x1.64029d25b64f2p-13, 0x1.5aebc63005671p-13, 0x1.51f2f1ec05a01p-13, 0x1.49177694227bp-13, 0x1.4058b114e09ap-13, 0x1.37b604d30b525p-13, 0x1.2f2edb723267cp-13, 0x1.26c2a49c85431p-13, 0x1.1e70d5cde9047p-13, 0x1.1638ea1e0313p-13, 0x1.0e1a620e0a24bp-13, 0x1.0614c3562eca8p-13, 0x1.fc4f316b6daedp-14, 0x1.eca4e387452b9p-14, 0x1.dd29c581cea0fp-14, 0x1.cddd08d85fbd4p-14, 0x1.bebde7ac9d41p-14, 0x1.afcba47122be7p-14, 0x1.a1058997dd646p-14, 0x1.926ae9421b46ep-14, 0x1.83fb1cf4adb06p-14, 0x1.75b5854c9a7b7p-14, 0x1.679989b73948cp-14, 0x1.59a6982b5e341p-14, 0x1.4bdc24e5d3083p-14, 0x1.3e39aa25f4d66p-14, 0x1.30bea7efbf2fdp-14, 0x1.236aa3cb9f318p-14, 0x1.163d288b07146p-14, 0x1.0935c60e68f19p-14, 0x1.f8a82218284dp-15, 0x1.df2f45b49398p-15, 0x1.c6003271855f8p-15, 0x1.ad1a2c3e7657p-15, 0x1.947c7f14a75e7p-15, 0x1.7c267e98e2d2ep-15, 0x1.641785bce9ed6p-15, 0x1.4c4ef667a6086p-15, 0x1.34cc391ce133ep-15, 0x1.1d8ebca978801p-15, 0x1.0695f5d27bae7p-15, 0x1.dfc2be0e49557p-16, 0x1.b2e0f0299a5ecp-16, 0x1.86858bbd51cdep-16, 0x1.5aafa42c5e07ap-16, 0x1.2f5e55f16b55p-16, 0x1.0490c6188f1efp-16, 0x1.b48c4389dec16p-17, 0x1.60fb3b655a5a4p-17, 0x1.0e6ceb8df8e9dp-17, 0x1.79bfb26de81b8p-18, 0x1.b14a589048fd9p-19, 0x1.cc3bfde837063p-21, -0x1.8e7008d9788ap-20, -0x1.fd8fe838a3c77p-19, -0x1.97fedd86eb6d6p-18, -0x1.17a19a355c5dep-17, -0x1.624baf3af417ep-17, -0x1.abfed92ed9f98p-17, -0x1.f4bc3c85c2e59p-17, -0x1.1e427bb5a13dp-16, -0x1.41ad11263cd93p-16, -0x1.649e68330edc9p-16, -0x1.871708225b64ep-16, -0x1.a9177622818cep-16, -0x1.caa035848de3p-16, -0x1.ebb1c7f747603p-16, -0x1.062656de25415p-15, -0x1.1638b2eeb63c2p-15, -0x1.2610372ea7c4fp-15, -0x1.35ad2233973e4p-15, -0x1.450fb23d626a6p-15, -0x1.5438254bc11ecp-15, -0x1.6326b932d6dfap-15, -0x1.71dbabad0e359p-15, -0x1.80573a6ebbc68p-15, -0x1.8e99a3357e1eep-15, -0x1.9ca323d9b98d5p-15, -0x1.aa73fa5d327b8p-15, -0x1.b80c64f8afe68p-15, -0x1.c56ca22af026bp-15, -0x1.d294f0c3463a4p-15, -0x1.df858fef1d417p-15, -0x1.ec3ebf43384eap-15, -0x1.f8c0bec798a25p-15, -0x1.0285e77fb6aaap-14, -0x1.0890187954d03p-14, -0x1.0e7f131afe0bep-14, -0x1.1452f878fc722p-14, -0x1.1a0be9f4df299p-14, -0x1.1faa0940fe6abp-14, -0x1.252d7862a7f6dp-14, -0x1.2a9659b5487b3p-14, -0x1.2fe4cfebed133p-14, -0x1.3518fe13ff242p-14, -0x1.3a33079664c66p-14, -0x1.3f33103974abcp-14, -0x1.44193c21b8adcp-14, -0x1.48e5afd3b61b6p-14, -0x1.4d989033cd7a6p-14, -0x1.52320287d25fcp-14, -0x1.56b22c7695cd6p-14, -0x1.5b1934090eb6bp-14, -0x1.5f673fa9903d3p-14, -0x1.639c76245b9bcp-14, -0x1.67b8fea6eeb52p-14, -0x1.6bbd00bff467dp-14, -0x1.6fa8a45e56f22p-14, -0x1.737c11d0dae24p-14, -0x1.773771c54718ap-14, -0x1.7adaed473faf6p-14, -0x1.7e66adbf72213p-14, -0x1.81dadcf21cf6fp-14, -0x1.8537a4fdfff19p-14, -0x1.887d305af75aap-14, -0x1.8baba9d83b18ep-14, -0x1.8ec33c9b5f3efp-14, -0x1.91c4141dd5409p-14, -0x1.94ae5c2c19001p-14, -0x1.978240e30104p-14, -0x1.9a3feeae86187p-14, -0x1.9ce792478a0dep-14, -0x1.9f7958b1cc39bp-14, -0x1.a1f56f39e4162p-14, -0x1.a45c037347f5p-14, -0x1.a6ad4335d426cp-14, -0x1.a8e95c9be3548p-14, -0x1.ab107dffca1fbp-14, -0x1.ad22d5f9dda65p-14, -0x1.af20935dd72d6p-14, -0x1.b109e538ab162p-14, -0x1.b2defacdf3bd4p-14, -0x1.b4a00395c4d59p-14, -0x1.b64d2f3a24b0cp-14, -0x1.b7e6ad94a08d1p-14, -0x1.b96caeabb3da8p-14, -0x1.badf62b0bc025p-14, -0x1.bc3ef9fcec615p-14, -0x1.bd8ba50f54137p-14, -0x1.bec5948a02911p-14, -0x1.bfecf92fd76ffp-14, -0x1.c10203e1cea24p-14, -0x1.c204e59ca6c83p-14, -0x1.c2f5cf764c0f4p-14, -0x1.c3d4f29b6ab33p-14, -0x1.c4a2804cf87c9p-14, -0x1.c55ea9ddc574ep-14, -0x1.c609a0affa965p-14, -0x1.c6a39632d955bp-14, -0x1.c72cbbdff4113p-14, -0x1.c7a543392ca71p-14, -0x1.c80d5dc612b88p-14, -0x1.c8653d11ac35cp-14, -0x1.c8ad12a7e03d2p-14, -0x1.c8e51013777f3p-14, -0x1.c90d66db901f8p-14, -0x1.c926488181465p-14, -0x1.c92fe67e78704p-14, -0x1.c92a724138f89p-14, -0x1.c9161d2c23b18p-14, -0x1.c8f31892b761fp-14, -0x1.c8c195b7b8caep-14, -0x1.c881c5cade60cp-14, -0x1.c833d9e6cd154p-14, -0x1.c7d8030f031d4p-14, -0x1.c76e722dd1209p-14, -0x1.c6f758127208ep-14, -0x1.c672e56edc8fcp-14, -0x1.c5e14ad6184d8p-14, -0x1.c542b8ba167bcp-14, -0x1.c4975f6a07047p-14, -0x1.c3df6f10537e4p-14, -0x1.c31b17b0e4056p-14, -0x1.c24a8927744a6p-14, -0x1.c16df325b0c94p-14, -0x1.c08585319ddbdp-14, -0x1.bf916ea3cff65p-14, -0x1.be91dea5e68aep-14, -0x1.bd870430dd7e4p-14, -0x1.bc710e0b726d7p-14, -0x1.bb502ac8cc9a5p-14, -0x1.ba2488c6be2ap-14, -0x1.b8ee562c8717p-14, -0x1.b7adc0e950152p-14, -0x1.b662f6b2ae767p-14, -0x1.b50e25035fe95p-14, -0x1.b3af791a0f37ap-14, -0x1.b2471ff7e12e4p-14, -0x1.b0d5465f45f8cp-14, -0x1.af5a18d2adaa1p-14, -0x1.add5c39383076p-14, -0x1.ac4872a0e010fp-14, -0x1.aab251b674fbcp-14, -0x1.a9138c4b86969p-14, -0x1.a76c4d91c172ap-14, -0x1.a5bcc0743db02p-14, -0x1.a4050f96b7086p-14, -0x1.a24565543adadp-14, -0x1.a07debbe843e6p-14, -0x1.9eaecc9d08fe2p-14, -0x1.9cd8316c0a5ddp-14, -0x1.9afa435bd87dap-14, -0x1.99152b4ff7d69p-14, -0x1.972911de6cb93p-14, -0x1.95361f4ef18abp-14, -0x1.933c7b9a432aap-14, -0x1.913c4e6974308p-14, -0x1.8f35bf156adbcp-14, -0x1.8d28f4a61a047p-14, -0x1.8b1615d1f6653p-14, -0x1.88fd48fd67365p-14, -0x1.86deb43a4928bp-14, -0x1.84ba7d4766eddp-14, -0x1.8290c9900a6dep-14, -0x1.8061be2b80d7bp-14, -0x1.7e2d7fdca07dp-14, -0x1.7bf433118a7e6p-14, -0x1.79b5fbe331605p-14, -0x1.7772fe14f768p-14, -0x1.752b5d1483bb4p-14, -0x1.72df3bf96be8dp-14, -0x1.708ebd84cb1p-14, -0x1.6e3a0421374p-14, -0x1.6be131e270391p-14, -0x1.698468851cc54p-14, -0x1.6723c96ec017bp-14, -0x1.64bf75ad827e9p-14, -0x1.62578df81f035p-14, -0x1.5fec32adb82e5p-14, -0x1.5d7d83d5becedp-14, -0x1.5b0ba11ff36bep-14, -0x1.5896a9e447d26p-14, -0x1.561ebd22ebb14p-14, -0x1.53a3f9843da62p-14, -0x1.51267d58da308p-14, -0x1.4ea66699b3799p-14, -0x1.4c23d2e7de872p-14, -0x1.499edf8cf1449p-14, -0x1.4717a97b05086p-14, -0x1.448e4d4ca8877p-14, -0x1.4202e74528c9fp-14, -0x1.3f759350c2877p-14, -0x1.3ce66d049ebafp-14, -0x1.3a558f9f0c19ep-14, -0x1.37c31607d3bf3p-14, -0x1.352f1ad04031cp-14, -0x1.3299b8335e9adp-14, -0x1.300308164bb1dp-14, -0x1.2d6b240874969p-14, -0x1.2ad22543b542cp-14, -0x1.283824acbc28fp-14, -0x1.259d3ad362d59p-14, -0x1.23017ff2d4aa9p-14, -0x1.20650bf201cdbp-14, -0x1.1dc7f663dfa65p-14, -0x1.1b2a5687c37a3p-14, -0x1.188c4349aecf3p-14, -0x1.15edd342c1fd7p-14, -0x1.134f1cb99784cp-14, -0x1.10b035a283a3ap-14, -0x1.0e1133a024d12p-14, -0x1.0b722c03cda9ap-14, -0x1.08d333cda899fp-14, -0x1.06345fad78a04p-14, -0x1.0395c402e5517p-14, -0x1.00f774ddc5c9dp-14, -0x1.fcb30bfda4f5p-15, -0x1.f77815aff460bp-15, -0x1.f23e2d198b656p-15, -0x1.ed0577e5e503ap-15, -0x1.e7ce1b25b5eccp-15, -0x1.e2983b4fea83cp-15, -0x1.dd63fc429a6b3p-15, -0x1.d831814424c99p-15, -0x1.d300ed03fb211p-15, -0x1.cdd2619bd7e0fp-15, -0x1.c8a60090ba3ccp-15, -0x1.c37bead3c308p-15, -0x1.be5440c38256p-15, -0x1.b92f222d0dfb3p-15, -0x1.b40cae4cae207p-15, -0x1.aeed03cf424f3p-15, -0x1.a9d040d3ae0dcp-15, -0x1.a4b682eaf9a88p-15, -0x1.9f9fe71a486fcp-15, -0x1.9a8c89dbdd914p-15, -0x1.957c871f9e27ep-15, -0x1.906ffa4cf3a97p-15, -0x1.8b66fe43873f7p-15, -0x1.8661ad5c38378p-15, -0x1.8160216adb211p-15, -0x1.7c6273beba6d1p-15, -0x1.7768bd2410bb1p-15, -0x1.727315e53d41ap-15, -0x1.6d8195cba443dp-15, }}, 
      {{-0x1.f851a72161787p-1, -0x1.f83ada43eccabp-1, -0x1.f8112c2f45307p-1, -0x1.f7d0c1aa69efdp-1, -0x1.f776310f83b0ap-1, -0x1.f6ff1cb9a5bd7p-1, -0x1.f66a67cc62dbfp-1, -0x1.f5b825a92b2cp-1, -0x1.f4e963178d81dp-1, -0x1.f3ffe07463b3ap-1, -0x1.f2fdcbf8cdefdp-1, -0x1.f1e58484c4141p-1, -0x1.f0b968b348036p-1, -0x1.ef7bb309f5371p-1, -0x1.ee2e625f46d64p-1, -0x1.ecd32cb482524p-1, -0x1.eb6b7a6cbfe8cp-1, -0x1.e9f867cb8d081p-1, -0x1.e87acad6453d4p-1, -0x1.e6f33bfae6cc6p-1, -0x1.e562202e330dap-1, -0x1.e3c7b37fdaa5p-1, -0x1.e2241368c9fe7p-1, -0x1.e0774852ffc66p-1, -0x1.dec14e0adcef3p-1, -0x1.dd021aeffd888p-1, -0x1.db39a5d86ae7fp-1, -0x1.d967eaadbdfa5p-1, -0x1.d78cedd9ce79cp-1, -0x1.d5a8bea15fb8fp-1, -0x1.d3bb788fe5176p-1, -0x1.d1c54419172c9p-1, -0x1.cfc656948bae5p-1, -0x1.cdbef1b56e285p-1, -0x1.cbaf629d87f83p-1, -0x1.c99800a744cf7p-1, -0x1.c7792bfeb0103p-1, -0x1.c5534c1dc2f76p-1, -0x1.c326ce3cd4d31p-1, -0x1.c0f423c4c7ddap-1, -0x1.bebbc0cda762p-1, -0x1.bc7e1ab1d1471p-1, -0x1.ba3ba6bb9af9cp-1, -0x1.b7f4d8f1731c9p-1, -0x1.b5aa2302f5cacp-1, -0x1.b35bf3581c4bep-1, -0x1.b10ab442aa4e8p-1, -0x1.aeb6cb5125a98p-1, -0x1.ac6098c20beddp-1, -0x1.aa0877157d43fp-1, -0x1.a7aebabb49f5dp-1, -0x1.a553b1db1006ep-1, -0x1.a2f7a43402aadp-1, -0x1.a09ad311e5253p-1, -0x1.9e3d7954c8c42p-1, -0x1.9bdfcb892f406p-1, -0x1.9981f80e4821fp-1, -0x1.972427482723dp-1, -0x1.94c67bdbe9c37p-1, -0x1.926912f3f4134p-1, -0x1.900c048a8e1a7p-1, -0x1.8daf63b953f5ap-1, -0x1.8b533f0c16044p-1, -0x1.88f7a0d5e76a7p-1, -0x1.869c8f8744123p-1, -0x1.84420e0458c24p-1, -0x1.81e81bfa920c6p-1, -0x1.7f8eb634c3b1ap-1, -0x1.7d35d6ed45c1ap-1, -0x1.7add761d8cc12p-1, -0x1.788589cad06d5p-1, -0x1.762e064f6ea66p-1, -0x1.73d6dea0c9692p-1, -0x1.718004916f3efp-1, -0x1.6f29690f6f228p-1, -0x1.6cd2fc5ec3654p-1, -0x1.6a7cae4fcb3b5p-1, -0x1.68266e71d4776p-1, -0x1.65d02c41c26f8p-1, -0x1.6379d754e1a9p-1, -0x1.61235f7ffdd75p-1, -0x1.5eccb4fadcecap-1, -0x1.5c75c8803967dp-1, -0x1.5a1e8b6a63744p-1, -0x1.57c6efccacb3fp-1, -0x1.556ee889c95dp-1, -0x1.531669674af36p-1, -0x1.50bd671e633cep-1, -0x1.4e63d76a16244p-1, -0x1.4c09b11302579p-1, -0x1.49aeebf8ef41dp-1, -0x1.4753811a41cb6p-1, -0x1.44f76a9983dcbp-1, -0x1.429aa3c122437p-1, -0x1.403d290585eb4p-1, -0x1.3ddef805ac42p-1, -0x1.3b800f8a5f53cp-1, -0x1.39206f842e9a5p-1, -0x1.36c0190847499p-1, -0x1.345f0e4c467c7p-1, -0x1.31fd52a12443bp-1, -0x1.2f9aea6d4d239p-1, -0x1.2d37db26065e6p-1, -0x1.2ad42b482edcp-1, -0x1.286fe25075876p-1, -0x1.260b08b316494p-1, -0x1.23a5a7d331326p-1, -0x1.213fc9f9cb39bp-1, -0x1.1ed97a4c88d47p-1, -0x1.1c72c4c43123fp-1, -0x1.1a0bb62305286p-1, -0x1.17a45beaf943cp-1, -0x1.153cc453d9683p-1, -0x1.12d4fe41640a1p-1, -0x1.106d193963bfdp-1, -0x1.0e052559cf7b5p-1, -0x1.0b9d334efb40ep-1, -0x1.09355449da761p-1, -0x1.06cd99f660f9bp-1, -0x1.0466167201ebap-1, -0x1.01fedc42547fep-1, -0x1.ff2ffc97c3e15p-2, -0x1.fa631f923e65dp-2, -0x1.f59748832fdbp-2, -0x1.f0cc9f029482bp-2, -0x1.ec034b207154bp-2, -0x1.e73b755464629p-2, -0x1.e275466da4805p-2, -0x1.ddb0e78375ea2p-2, -0x1.d8ee81e61224ap-2, -0x1.d42e3f1008cfbp-2, -0x1.cf70489817a8ep-2, -0x1.cab4c823778aap-2, -0x1.c5fbe758a6c41p-2, -0x1.c145cfd2aaa06p-2, -0x1.bc92ab14c7ad7p-2, -0x1.b7e2a27eb213cp-2, -0x1.b335df4137513p-2, -0x1.ae8c8a53596bbp-2, -0x1.a9e6cc67e1c48p-2, -0x1.a544cde366b5fp-2, -0x1.a0a6b6d2c0759p-2, -0x1.9c0caee1f0c0fp-2, -0x1.9776dd5374f91p-2, -0x1.92e568f80864p-2, -0x1.8e587826cd58fp-2, -0x1.89d030b5de375p-2, -0x1.854cb7f348cc6p-2, -0x1.80ce329e67673p-2, -0x1.7c54c4e19f139p-2, -0x1.77e0924c7db62p-2, -0x1.7371bdce33322p-2, -0x1.6f0869b065293p-2, -0x1.6aa4b7925ff7cp-2, -0x1.6646c864966b5p-2, -0x1.61eebc647d643p-2, -0x1.5d9cb318b31c3p-2, -0x1.5950cb4d7a6e8p-2, -0x1.550b231180732p-2, -0x1.50cbd7b2ef821p-2, -0x1.4c9305bcc7431p-2, -0x1.4860c8f48306cp-2, -0x1.44353c57fa9ep-2, -0x1.40107a1b8ed67p-2, -0x1.3bf29ba890058p-2, -0x1.37dbb99be61aep-2, -0x1.33cbebc4f331dp-2, -0x1.2fc34924b1f22p-2, -0x1.2bc1e7ed08b8ap-2, -0x1.27c7dd80581ecp-2, -0x1.23d53e7138918p-2, -0x1.1fea1e826d1fep-2, -0x1.1c0690a706392p-2, -0x1.182aa702b2292p-2, -0x1.145672ea3b519p-2, -0x1.108a04e4309bcp-2, -0x1.0cc56ca9b8237p-2, -0x1.0908b92787b41p-2, -0x1.0553f87f04db2p-2, -0x1.01a73807890b3p-2, -0x1.fc05089f8bb36p-3, -0x1.f4cbd23e9b7b5p-3, -0x1.eda2e2f072ca6p-3, -0x1.e68a4f31db2c2p-3, -0x1.df8229fbf6036p-3, -0x1.d88a84c831d8fp-3, -0x1.d1a36f947c5cdp-3, -0x1.caccf8e794116p-3, -0x1.c4072dd5994b6p-3, -0x1.bd521a04bd1a6p-3, -0x1.b6adc7b21ecfbp-3, -0x1.b01a3fb6cd956p-3, -0x1.a997898cf19adp-3, -0x1.a325ab550a5d4p-3, -0x1.9cc4a9db5f13bp-3, -0x1.9674889d75433p-3, -0x1.903549cfb5101p-3, -0x1.8a06ee631ba2dp-3, -0x1.83e9760b00e5fp-3, -0x1.7ddcdf42fb2cep-3, -0x1.77e12754cd686p-3, -0x1.71f64a5e67d4p-3, -0x1.6c1c4357f6b68p-3, -0x1.66530c19facfp-3, -0x1.609a9d63751c5p-3, -0x1.5af2eee011c3p-3, -0x1.555bf72e5e62cp-3, -0x1.4fd5abe608566p-3, -0x1.4a60019e1d978p-3, -0x1.44faebf34f645p-3, -0x1.3fa65d8e36a8p-3, -0x1.3a6248299b068p-3, -0x1.352e9c98b5828p-3, -0x1.300b4acd75c6dp-3, -0x1.2af841deb95cfp-3, -0x1.25f5700e8ace7p-3, -0x1.2102c2d053944p-3, -0x1.1c2026cf053a8p-3, -0x1.174d87f343657p-3, -0x1.128ad16978b9cp-3, -0x1.0dd7eda7eca6cp-3, -0x1.0934c674c6b6fp-3, -0x1.04a144ec0ad79p-3, -0x1.001d5185895p-3, -0x1.f751a83574fa7p-4, -0x1.ee8767d92a8d6p-4, -0x1.e5dbaf52a7f74p-4, -0x1.dd4e4ae44f313p-4, -0x1.d4df05c1b66f9p-4, -0x1.cc8daa1ad2ddp-4, -0x1.c45a012701e86p-4, -0x1.bc43d32fe6984p-4, -0x1.b44ae79c2ffedp-4, -0x1.ac6f04fa27632p-4, -0x1.a4aff10a2cd26p-4, -0x1.9d0d70c900acap-4, -0x1.95874879eb97ep-4, -0x1.8e1d3bb0b74d6p-4, -0x1.86cf0d5b87e9ap-4, -0x1.7f9c7fcc84813p-4, -0x1.788554c35a3cep-4, -0x1.71894d76926d2p-4, -0x1.6aa82a9cc29cdp-4, -0x1.63e1ac758ccb2p-4, -0x1.5d3592d2764d5p-4, -0x1.56a39d1f952c8p-4, -0x1.502b8a6c0f6b6p-4, -0x1.49cd19726f5ffp-4, -0x1.438808a0cc3e7p-4, -0x1.3d5c1620c8127p-4, -0x1.3748ffdf6053bp-4, -0x1.314e83948f293p-4, -0x1.2b6c5ecaca8adp-4, -0x1.25a24ee64c527p-4, -0x1.1ff0112c34a8p-4, -0x1.1a5562c98017ep-4, -0x1.14d200d9d28ffp-4, -0x1.0f65a86e1471ep-4, -0x1.0a101692e7023p-4, -0x1.04d10856ed909p-4, -0x1.ff5075a1d6b2fp-5, -0x1.f52ad64b72effp-5, -0x1.eb30ad1c19a2dp-5, -0x1.e16174b836363p-5, -0x1.d7bca8021fb1fp-5, -0x1.ce41c224b6059p-5, -0x1.c4f03e9dab95p-5, -0x1.bbc79947853c1p-5, -0x1.b2c74e63414e9p-5, -0x1.a9eedaa1b8935p-5, -0x1.a13dbb2cac366p-5, -0x1.98b36daf89d85p-5, -0x1.904f705fe343ep-5, -0x1.881142059a23cp-5, -0x1.7ff86202c60e5p-5, -0x1.7804505b49ff2p-5, -0x1.70348dbc2b2f2p-5, -0x1.68889b829ca1dp-5, -0x1.60fffbc2c4adfp-5, -0x1.599a314e3fac7p-5, -0x1.5256bfba5e0b7p-5, -0x1.4b352b6621a42p-5, -0x1.4434f97ffbbb7p-5, -0x1.3d55b00b4179dp-5, -0x1.3696d5e572a58p-5, -0x1.2ff7f2cb2cfa1p-5, -0x1.29788f5cf7634p-5, -0x1.23183523c4096p-5, -0x1.1cd66e9540c12p-5, -0x1.16b2c717e3399p-5, -0x1.10accb06ccb41p-5, -0x1.0ac407b569d4p-5, -0x1.04f80b72e1868p-5, -0x1.fe90cb1a9b76dp-6, -0x1.f3694ca99045fp-6, -0x1.e878be3c6d10ap-6, -0x1.ddbe448be5dd6p-6, -0x1.d33906647f37fp-6, -0x1.c8e82cab0c048p-6, -0x1.becae260e7111p-6, -0x1.b4e054a7bcc4p-6, -0x1.ab27b2c50b9b3p-6, -0x1.a1a02e254ed1fp-6, -0x1.9848fa5ecb701p-6, -0x1.8f214d3419164p-6, -0x1.86285e9654f14p-6, -0x1.7d5d68a70c328p-6, -0x1.74bfa7b9dbf12p-6, -0x1.6c4e5a55c0d27p-6, -0x1.6408c1362db32p-6, -0x1.5bee1f4bd4345p-6, -0x1.53fdb9bd2bd71p-6, -0x1.4c36d7e6c0189p-6, -0x1.4498c35b34aabp-6, -0x1.3d22c7e31befep-6, -0x1.35d4337c800e7p-6, -0x1.2eac565a45509p-6, -0x1.27aa82e34c7aep-6, -0x1.20ce0db161105p-6, -0x1.1a164d8ff383cp-6, -0x1.13829b7aa7c81p-6, -0x1.0d12529ba48bcp-6, -0x1.06c4d049d3ad8p-6, -0x1.00997406ca062p-6, -0x1.f51f3ef95cfe1p-7, -0x1.e94d6cf7b6fbep-7, -0x1.ddbc3df0cf5f6p-7, -0x1.d26a820f0664ap-7, -0x1.c7570db959455p-7, -0x1.bc80b98da21b8p-7, -0x1.b1e6625a672d6p-7, -0x1.a786e9189955ap-7, -0x1.9d6132e4fb29ep-7, -0x1.937428f9432afp-7, -0x1.89beb8a527709p-7, -0x1.803fd3471a84fp-7, -0x1.76f66e44d15d5p-7, -0x1.6de18303ad2c5p-7, -0x1.65000ee0ece92p-7, -0x1.5c511329b1cd7p-7, -0x1.53d39512d8324p-7, -0x1.4b869db0b5af8p-7, -0x1.436939eea6d17p-7, -0x1.3b7a7a86799f2p-7, -0x1.33b973f7c0e81p-7, -0x1.2c253e7f0c441p-7, -0x1.24bcf60ceae09p-7, -0x1.1d7fba3cf4ebp-7, -0x1.166cae4ca689fp-7, -0x1.0f82f9122aa68p-7, -0x1.08c1c4f3192fcp-7, -0x1.02283fdb12529p-7, -0x1.f76b3664a8207p-8, -0x1.ead217a87379fp-8, -0x1.de83940b78f4bp-8, -0x1.d27e22d7abff3p-8, -0x1.c6c04203b6b8ep-8, -0x1.bb48761fa50d8p-8, -0x1.b0154a419601bp-8, -0x1.a5254ff231e3cp-8, -0x1.9a771f19327fbp-8, -0x1.900955e9f25cep-8, -0x1.85da98cfc7e93p-8, -0x1.7be9925a8d654p-8, -0x1.7234f32b187dp-8, -0x1.68bb71dfa21dap-8, -0x1.5f7bcb00571b5p-8, -0x1.5674c0ebc5602p-8, -0x1.4da51bc370ca9p-8, -0x1.450ba9586fa65p-8, -0x1.3ca73d1801cb5p-8, -0x1.3476aff848f3cp-8, -0x1.2c78e064f7388p-8, -0x1.24acb22c4af4ap-8, -0x1.1d110e6bbab92p-8, -0x1.15a4e37d273cp-8, -0x1.0e6724e3c4602p-8, -0x1.0756cb3956669p-8, -0x1.0072d41b73a0dp-8, -0x1.f3748431ba6f8p-9, -0x1.e658393df1c25p-9, -0x1.d98edfcec8658p-9, -0x1.cd1699cb5e2ap-9, -0x1.c0ed926a61e72p-9, -0x1.b511fe0dea94cp-9, -0x1.a9821a1fad48bp-9, -0x1.9e3c2ced615d9p-9, -0x1.933e85858ddedp-9, -0x1.88877b946aa95p-9, -0x1.7e156f414ff8bp-9, -0x1.73e6c90c12d1p-9, -0x1.69f9f9ab17cd8p-9, -0x1.604d79e95e0dep-9, -0x1.56dfca851ad14p-9, -0x1.4daf740e6293dp-9, -0x1.44bb06c66249cp-9, -0x1.3c011a7ec7e43p-9, -0x1.33804e7980f7dp-9, -0x1.2b374948df479p-9, -0x1.2324b8afe6f91p-9, -0x1.1b475183487b3p-9, -0x1.139dcf8a34b56p-9, -0x1.0c26f55ff1be3p-9, -0x1.04e18c55b1ff8p-9, -0x1.fb98c8a91a436p-10, -0x1.edcca77ff9634p-10, -0x1.e05c6eb169132p-10, -0x1.d345e43fa196cp-10, -0x1.c686da7489309p-10, -0x1.ba1d2fa9641bdp-10, -0x1.ae06ce0f59526p-10, -0x1.a241ab7859469p-10, -0x1.96cbc92116351p-10, -0x1.8ba3337b5c2a5p-10, -0x1.80c601f945b4fp-10, -0x1.763256d92edf7p-10, -0x1.6be65ef21f821p-10, -0x1.61e051812b06cp-10, -0x1.581e6ff7604bp-10, -0x1.4e9f05c852a0dp-10, -0x1.4560683991805p-10, -0x1.3c60f63294318p-10, -0x1.339f180d76e06p-10, -0x1.2b193f683fed7p-10, -0x1.22cde6f7186f9p-10, -0x1.1abb9256c3c2fp-10, -0x1.12e0cde057f9ap-10, -0x1.0b3c2e7ce9e9bp-10, -0x1.03cc517a97d61p-10, -0x1.f91fb8c34982dp-11, -0x1.eb0af9956aab6p-11, -0x1.dd57d06a9a2b9p-11, -0x1.d003b7be6bb7ep-11, -0x1.c30c3938eaa38p-11, -0x1.b66eed5f90c7ep-11, -0x1.aa297b47f15e8p-11, -0x1.9e39984b149f4p-11, -0x1.929d07bad4543p-11, -0x1.87519a9753e64p-11, -0x1.7c552f4706c9cp-11, -0x1.71a5b14ea760dp-11, -0x1.6741190b42319p-11, -0x1.5d256b6d16944p-11, -0x1.5350b9b384794p-11, -0x1.49c1212a772f7p-11, -0x1.4074cae880089p-11, -0x1.3769eb8e8195bp-11, -0x1.2e9ec308804d3p-11, -0x1.26119c4ef2dcep-11, -0x1.1dc0cd29be54ep-11, -0x1.15aab5f45459ep-11, -0x1.0dcdc162454f6p-11, -0x1.06286445aab5dp-11, -0x1.fd723aabf154bp-12, -0x1.eefce9f041718p-12, -0x1.e0edfa0fa05b2p-12, -0x1.d342a142ccc2p-12, -0x1.c5f827da583aep-12, -0x1.b90be7d6f5ad6p-12, -0x1.ac7b4c832b8b9p-12, -0x1.a043d20ff53dp-12, -0x1.94630532469ep-12, -0x1.88d682c2ed3b8p-12, -0x1.7d9bf760305p-12, -0x1.72b11f11634d6p-12, -0x1.6813c4ebddfcbp-12, -0x1.5dc1c2ba134cbp-12, -0x1.53b900a4713e5p-12, -0x1.49f774db5abd9p-12, -0x1.407b2343d0475p-12, -0x1.37421d249b9cfp-12, -0x1.2e4a80d61a817p-12, -0x1.259279732a248p-12, -0x1.1d183e8ba205dp-12, -0x1.14da13d85802fp-12, -0x1.0cd648f15cbfp-12, -0x1.050b390456378p-12, -0x1.faee951bd3f31p-13, -0x1.ec31de2715bc6p-13, -0x1.dddd45bde0bcdp-13, -0x1.cfedd976fb7e6p-13, -0x1.c260bb6842139p-13, -0x1.b53321a7695b2p-13, -0x1.a86255cb1b6ffp-13, -0x1.9bebb47059921p-13, -0x1.8fccacc24e42ep-13, -0x1.8402c00406aafp-13, -0x1.788b811cb4854p-13, -0x1.6d6494278244cp-13, -0x1.628bae04a1946p-13, -0x1.57fe93ed37ed1p-13, -0x1.4dbb1b099af1ap-13, -0x1.43bf280a8a674p-13, -0x1.3a08aec2d8f81p-13, -0x1.3095b1c59a627p-13, -0x1.27644204c88d2p-13, -0x1.1e727e72dc502p-13, -0x1.15be93a6718edp-13, -0x1.0d46bb7fc7ccdp-13, -0x1.05093cd0816c6p-13, -0x1.fa08d609d745dp-14, -0x1.ea6d4ba08bafp-14, -0x1.db3cb1b33b4p-14, -0x1.cc73f6d79c5e3p-14, -0x1.be10204c3e5ffp-14, -0x1.b00e495faeac2p-14, -0x1.a26ba2daa6178p-14, -0x1.9525726bab277p-14, -0x1.883912191a901p-14, -0x1.7ba3efb4d1fd4p-14, -0x1.6f638c53448ebp-14, -0x1.63757bc65179bp-14, -0x1.57d7641afce69p-14, -0x1.4c86fd19bb686p-14, -0x1.41820fcb91c98p-14, -0x1.36c675ff57402p-14, -0x1.2c5219d49d1c6p-14, -0x1.2222f5485423bp-14, -0x1.183711c312c69p-14, -0x1.0e8c87acd1f9cp-14, -0x1.05217e00dd667p-14, -0x1.f7e853cabacd8p-15, -0x1.e6059c8c2e023p-15, -0x1.d49776dffbe08p-15, -0x1.c39a9d628402bp-15, -0x1.b30be3f4ae695p-15, -0x1.a2e83703c08efp-15, -0x1.932c9ad5ce109p-15, -0x1.83d62adb7fe96p-15, -0x1.74e21903afb16p-15, -0x1.664dad160b946p-15, -0x1.58164411fbcc1p-15, -0x1.4a394f8f8a3aep-15, -0x1.3cb455258c10fp-15, -0x1.2f84edd4c9615p-15, -0x1.22a8c5744e508p-15, -0x1.161d9a2605ffbp-15, -0x1.09e13bc8df529p-15, -0x1.fbe316ead8d3dp-16, -0x1.e498f5f01a1bep-16, -0x1.cde018a446837p-16, -0x1.b7b4a27c8e80fp-16, -0x1.a212d56c1e012p-16, -0x1.8cf710fa733b4p-16, -0x1.785dd15cb6607p-16, -0x1.6443ae974f233p-16, -0x1.50a55ba4e331dp-16, -0x1.3d7fa5a2d84cp-16, -0x1.2acf730410432p-16, -0x1.1891c2c8db7b9p-16, -0x1.06c3abbd232eep-16, -0x1.eac4b776546fdp-17, -0x1.c8d62de80ab8cp-17, -0x1.a7b66e7a9b646p-17, -0x1.876056c518aeep-17, -0x1.67ceecfbbfc4ap-17, -0x1.48fd5ea696877p-17, -0x1.2ae6ff61fad59p-17, -0x1.0d8747ab7582bp-17, -0x1.e1b3a764af919p-18, -0x1.a9b4c46bb4f6cp-18, -0x1.7309a6ce0ccdap-18, -0x1.3daa4faf1324fp-18, -0x1.098efed7a8d3bp-18, -0x1.ad606169838d2p-19, -0x1.4a0d38abcaeecp-19, -0x1.d22cc63c128cbp-20, -0x1.14dc5c40a5e23p-20, -0x1.703a8a655228fp-22, 0x1.6158a9129d183p-22, 0x1.086b0741b4129p-20, 0x1.b448314db53e8p-20, 0x1.2e0295df79d9ap-19, 0x1.7fdc634276198p-19, 0x1.cfbc920c39a8ep-19, 0x1.0ed6efd989eb4p-18, 0x1.34dd5c55b20d2p-18, 0x1.59f69d9961475p-18, 0x1.7e279cf37c2ecp-18, 0x1.a1751f305152ep-18, 0x1.c3e3c5d801a83p-18, 0x1.e578105fdbc79p-18, 0x1.031b2eab6968ep-17, 0x1.131175c3b248bp-17, 0x1.22a0ed8725dc8p-17, 0x1.31cb97359835ap-17, 0x1.409365c2d14b7p-17, 0x1.4efa3e5621f3bp-17, 0x1.5d01f8c48c4dap-17, 0x1.6aac60093d8fbp-17, 0x1.77fb32b6b2e08p-17, 0x1.84f0236773d4p-17, 0x1.918cd928e9525p-17, 0x1.9dd2efe4370bcp-17, 0x1.a9c3f8c20102p-17, 0x1.b5617a8c0a8b8p-17, 0x1.c0acf20b64cc5p-17, 0x1.cba7d262b505dp-17, 0x1.d6538566b20ep-17, 0x1.e0b16bf27ff8cp-17, 0x1.eac2de395dc43p-17, 0x1.f4892c15e5e19p-17, 0x1.fe059d56c7ab2p-17, 0x1.039cb903aca3cp-16, 0x1.0812f15bdebb8p-16, 0x1.0c6610609e4d3p-16, 0x1.1096ab4403658p-16, 0x1.14a553ddac2b5p-16, 0x1.189298c94b728p-16, 0x1.1c5f0584e528ep-16, 0x1.200b228ca4d58p-16, 0x1.23977576efe64p-16, 0x1.2704810ee24e6p-16, 0x1.2a52c56d76506p-16, 0x1.2d82c012db1d7p-16, 0x1.3094ebfdafbfap-16, 0x1.3389c1c1c665bp-16, 0x1.3661b79eb315ap-16, 0x1.391d4194089dp-16, 0x1.3bbcd176a4721p-16, 0x1.3e40d7039ebc9p-16, 0x1.40a9bff34475p-16, 0x1.42f7f80b4b5cp-16, 0x1.452be92fe2d41p-16, 0x1.4745fb74f392p-16, 0x1.4946952d78ea4p-16, 0x1.4b2e1afb82027p-16, 0x1.4cfcefde9a725p-16, 0x1.4eb3754228158p-16, 0x1.50520b0ad778ep-16, 0x1.51d90fa42dbfdp-16, 0x1.5348e00c4e177p-16, 0x1.54a1d7e080fedp-16, 0x1.55e45168d15fcp-16, 0x1.5710a5a278d9ep-16, 0x1.58272c4b17f9ap-16, 0x1.59283bea482dap-16, 0x1.5a1429dbd711fp-16, 0x1.5aeb4a587c9ebp-16, 0x1.5badf07f38834p-16, 0x1.5c5c6e5d3d212p-16, 0x1.5cf714f6b2b32p-16, 0x1.5d7e344dd2c1cp-16, 0x1.5df21b6aa2d6ap-16, 0x1.5e53186212d2dp-16, 0x1.5ea1785c75893p-16, 0x1.5edd879c2eacp-16, 0x1.5f079183b7642p-16, 0x1.5f1fe09b609d7p-16, 0x1.5f26be972c622p-16, 0x1.5f1c745bb96bcp-16, 0x1.5f014a03d3b79p-16, 0x1.5ed586e4aa81ap-16, 0x1.5e997192f7a4bp-16, 0x1.5e4d4fe6c8c71p-16, 0x1.5df167002c3acp-16, 0x1.5d85fb4ada75fp-16, 0x1.5d0b5081e8e8fp-16, 0x1.5c81a9b37e457p-16, 0x1.5be9494405119p-16, 0x1.5b4270f17b0d9p-16, 0x1.5a8d61d679431p-16, 0x1.59ca5c6cefb35p-16, 0x1.58f9a0911c1b1p-16, 0x1.581b6d83cbd99p-16, 0x1.573001ed04e27p-16, 0x1.56379bde2960bp-16, 0x1.553278d46ef07p-16, 0x1.5420d5ba7fd55p-16, 0x1.5302eeead338p-16, 0x1.51d9003130d1bp-16, 0x1.50a344cca6716p-16, 0x1.4f61f770f3278p-16, 0x1.4e15524841b5p-16, 0x1.4cbd8ef48494fp-16, 0x1.4b5ae690d14ddp-16, 0x1.49ed91b2a4b43p-16, 0x1.4875c86b15e17p-16, 0x1.46f3c24812893p-16, 0x1.4567b6554870cp-16, 0x1.43d1db1d54cbdp-16, 0x1.423266aa83e8fp-16, 0x1.40898e87d499bp-16, 0x1.3ed787c1d1175p-16, 0x1.3d1c86e71b861p-16, 0x1.3b58c00993f3cp-16, 0x1.398c66be9d84dp-16, 0x1.37b7ae201936cp-16, 0x1.35dac8ccb8057p-16, 0x1.33f5e8e8da4c5p-16, 0x1.3209401ee414cp-16, 0x1.3014ff9fbca0ep-16, 0x1.2e1958237b5bep-16, 0x1.2c1679e9a237dp-16, 0x1.2a0c94b9a6963p-16, 0x1.27fbd7e375de7p-16, 0x1.25e4723fa95f1p-16, 0x1.23c6923003af8p-16, 0x1.21a2659fb189ap-16, 0x1.1f781a03b97aap-16, 0x1.1d47dc5b39db2p-16, 0x1.1b11d92fdc19cp-16, 0x1.18d63c95dca89p-16, 0x1.1695322cbdb0ep-16, 0x1.144ee51f1bd7p-16, 0x1.1203802355672p-16, 0x1.0fb32d7b9242p-16, 0x1.0d5e16f62dca1p-16, 0x1.0b0465ede72a6p-16, 0x1.08a6434a2e70fp-16, 0x1.0643d77f5eec7p-16, 0x1.03dd4a8f0c462p-16, 0x1.0172c4083663dp-16, 0x1.fe08d60f4582fp-17, 0x1.f924cc70123cep-17, 0x1.f439b7a4d27ap-17, 0x1.ef47e33ca01e6p-17, 0x1.ea4f99e438569p-17, 0x1.e551256667ad9p-17, 0x1.e04cceacc9b97p-17, 0x1.db42ddc033c01p-17, 0x1.d63399c99f9ffp-17, 0x1.d11f4912570bfp-17, 0x1.cc063104f13p-17, 0x1.c6e8962dcea17p-17, 0x1.c1c6bc3b99a26p-17, 0x1.bca0e6003c912p-17, 0x1.b77755715af75p-17, 0x1.b24a4ba90fc4dp-17, 0x1.ad1a08e6c40b5p-17, 0x1.a7e6cc8fa52aep-17, 0x1.a2b0d52fc50cdp-17, 0x1.9d78607a7c238p-17, 0x1.983dab4b8c87p-17, 0x1.9300f1a7a51a7p-17, 0x1.8dc26ebd6664ap-17, 0x1.88825ce62800fp-17, 0x1.8340f5a6d51dap-17, 0x1.7dfe71b0d764bp-17, 0x1.78bb08e2f209ap-17, 0x1.7376f24a257d8p-17, 0x1.6e326422de12fp-17, 0x1.68ed93d99b2adp-17, 0x1.63a8b60c1251p-17, 0x1.5e63fe8a18b3cp-17, 0x1.591fa056b9483p-17, 0x1.53dbcda939a3ap-17, 0x1.4e98b7ee279f3p-17, 0x1.49568fc869b86p-17, 0x1.4415851250059p-17, 0x1.3ed5c6debd167p-17, 0x1.3997837a43bbfp-17, 0x1.345ae86c32a72p-17, 0x1.2f202277ea8adp-17, 0x1.29e75d9dc84b1p-17, 0x1.24b0c51c97f14p-17, 0x1.1f7c83729780ap-17, 0x1.1a4ac25ee2b5ap-17, 0x1.151baae280f36p-17, 0x1.0fef6541baac1p-17, 0x1.0ac619054dee7p-17, 0x1.059fecfbdadcep-17, 0x1.007d073b0b1d6p-17, 0x1.f6bb1a41ddcbp-18, 0x1.ec8346aaa83bcp-18, 0x1.e252db95e6e0cp-18, 0x1.d82a1f81ecce5p-18, 0x1.ce095788865a9p-18, 0x1.c3f0c761b6175p-18, 0x1.b9e0b16683abp-18, 0x1.afd95693ce688p-18, 0x1.a5daf68cfbdfbp-18, 0x1.9be5cf9e95b69p-18, 0x1.91fa1ec192b76p-18, 0x1.88181f9dc8905p-18, 0x1.7e400c8d27e96p-18, 0x1.74721e9e5197dp-18, 0x1.6aae8d97a248p-18, 0x1.60f58ffa0cdd4p-18, 0x1.57475b04286a5p-18, 0x1.4da422b521eap-18, 0x1.440c19cf6dfb9p-18, 0x1.3a7f71dc04f8bp-18, 0x1.30fe5b2d3b076p-18, 0x1.278904e1bd109p-18, 0x1.1e1f9ce78eddep-18, 0x1.14c24fff42495p-18, 0x1.0b7149be9c4acp-18, 0x1.022cb493d1eb6p-18, 0x1.f1e9739130849p-19, 0x1.df93030a23215p-19, 0x1.cd5665a59f653p-19, 0x1.bb33e74003971p-19, 0x1.a92bd184bc6e1p-19, 0x1.973e6bf3e886fp-19, 0x1.856bfbe93d831p-19, 0x1.73b4c4a1dff34p-19, 0x1.621907426fb71p-19, 0x1.509902dcc7b16p-19, 0x1.3f34f476625acp-19, 0x1.2ded170e55695p-19, 0x1.1cc1a3a3d98d7p-19, 0x1.0bb2d13b7289cp-19, 0x1.f581a9cb0d012p-20, 0x1.d3d7c388d37eep-20, 0x1.b2685224bbbap-20, 0x1.9133b44f11885p-20, 0x1.703a44ffffd95p-20, 0x1.4f7c5b8359e82p-20, 0x1.2efa4b84af5e5p-20, 0x1.0eb4651b855b2p-20, 0x1.dd55e9ad7639dp-21, 0x1.9dbc8791e9ad6p-21, 0x1.5e9d2f282fbcdp-21, 0x1.1ff864eac063fp-21, 0x1.c39d4d400ea92p-22, 0x1.4840d6e8aa0cp-22, 0x1.9bb890426b89ap-23, 0x1.51c1d588515e8p-24, -0x1.200ecc3e73fb7p-25, -0x1.36f3d297d164p-23, -0x1.11f70ae93cc51p-22, -0x1.87789b7f48dd2p-22, -0x1.fbfe042164d4cp-22, -0x1.37c35cd5e9c94p-21, -0x1.71091e4a5bcf3p-21, -0x1.a9d00c5e54962p-21, -0x1.e217f2a2fb781p-21, -0x1.0cf0511ad5a65p-20, -0x1.2894f8d39ab4cp-20, -0x1.43f9de734994ep-20, -0x1.5f1ef2964ae57p-20, -0x1.7a04287263e4bp-20, -0x1.94a975cc7e75cp-20, -0x1.af0ed2ee129cp-20, -0x1.c9343a99c50c4p-20, -0x1.e319aa0233c17p-20, -0x1.fcbf20bebbc13p-20, -0x1.0b12506077a2cp-19, -0x1.17a5172585593p-19, -0x1.2417e7f2ac26cp-19, -0x1.306ac729c30fdp-19, -0x1.3c9dba45c6873p-19, -0x1.48b0c7d5d1c4dp-19, -0x1.54a3f777b992bp-19, -0x1.607751d39e66cp-19, -0x1.6c2ae096cd84p-19, -0x1.77beae6ef6d87p-19, -0x1.8332c70542933p-19, -0x1.8e8736f9fc9bfp-19, -0x1.99bc0bdfa3d18p-19, -0x1.a4d154361ab7ep-19, -0x1.afc71f66194a4p-19, -0x1.ba9d7dbcdc7b3p-19, -0x1.c554806740677p-19, -0x1.cfec396d76c0ep-19, -0x1.da64bbae95736p-19, -0x1.e4be1adbfbc7ep-19, -0x1.eef86b751a1afp-19, -0x1.f913c2c2f2ab6p-19, -0x1.01881b6a0ce79p-18, -0x1.0676ef3c4045bp-18, -0x1.0b56689e6b214p-18, -0x1.102693b34f1e7p-18, -0x1.14e77cf81634p-18, -0x1.199931422c266p-18, -0x1.1e3bbdbd5e562p-18, -0x1.22cf2fe9cd27bp-18, -0x1.27539599c4ea2p-18, -0x1.2bc8fcf01decfp-18, -0x1.302f745e0d0b6p-18, -0x1.34870aa1547cbp-18, -0x1.38cfcec27ebb5p-18, -0x1.3d09d012cb4fp-18, -0x1.41351e2a6d734p-18, -0x1.4551c8e6b6906p-18, -0x1.495fe06862b71p-18, -0x1.4d5f7511abc1p-18, -0x1.515097847c257p-18, -0x1.553358a0f1a54p-18, -0x1.5907c98379edep-18, -0x1.5ccdfb831da4bp-18, -0x1.6086002fdab82p-18, -0x1.642fe9510149fp-18, -0x1.67cbc8e3ad6b4p-18, -0x1.6b59b118c250cp-18, -0x1.6ed9b453cdd6cp-18, -0x1.724be52962d3p-18, -0x1.75b0565d1b7d4p-18, -0x1.79071ae0a2ff6p-18, -0x1.7c5045d206441p-18, -0x1.7f8bea79ce02p-18, -0x1.82ba1c4a1f111p-18, -0x1.85daeedceb84bp-18, -0x1.88ee75f293513p-18, -0x1.8bf4c570ac6eap-18, -0x1.8eedf1604946fp-18, -0x1.91da0decd62cap-18, -0x1.94b92f62d484fp-18, -0x1.978b6a2e17b35p-18, }}, 
      {{0x1.74b57ab2747e9p-16, 0x1.7f1f59e9a1de5p-14, 0x1.ce623ffca09bdp-13, 0x1.cc9199aec9987p-12, 0x1.9e9901ee63865p-11, 0x1.5aaa0062fa25dp-10, 0x1.0fdf392b28b58p-9, 0x1.9251a1666eee5p-9, 0x1.1a5b53b26ee3cp-8, 0x1.79e3c72283549p-8, 0x1.e4863e3286ac6p-8, 0x1.2ad3bfb54c657p-7, 0x1.63d0196e324d7p-7, 0x1.9a0e265128b4ap-7, 0x1.ca3de284c39b5p-7, 0x1.f11657c691613p-7, 0x1.05be61c23e242p-6, 0x1.0b523654107fp-6, 0x1.0813537675a5ep-6, 0x1.f6132b6f4f912p-7, 0x1.c6f960b178a21p-7, 0x1.81eb71777f6b1p-7, 0x1.267c33cae591ep-7, 0x1.6971d30da3276p-8, 0x1.68fed01e9275bp-10, -0x1.bdad42e311e56p-9, -0x1.1fac9a8b41833p-7, -0x1.e21d8331e75c1p-7, -0x1.5a7d8013b4eddp-6, -0x1.cb299702402f2p-6, -0x1.210497f8c8467p-5, -0x1.5f03d2c1eb2e3p-5, -0x1.9f058868ae7b9p-5, -0x1.e07ca03582a56p-5, -0x1.116f048e3c714p-4, -0x1.32d14bcbbd4a6p-4, -0x1.54244b13adff5p-4, -0x1.752a85f56da28p-4, -0x1.95aa5efaa2188p-4, -0x1.b56e7871dd8a3p-4, -0x1.d445f858b70ddp-4, -0x1.f204b283e9475p-4, -0x1.07419e13c670dp-3, -0x1.14cf75e7cea5dp-3, -0x1.219ce45bd55cfp-3, -0x1.2d9d3621d114dp-3, -0x1.38c5ec138ede6p-3, -0x1.430ea1c7b99e1p-3, -0x1.4c70f0b4c3348p-3, -0x1.54e850d06122ap-3, -0x1.5c71f77d3e812p-3, -0x1.630cb57c8c3cfp-3, -0x1.68b8d47edcb92p-3, -0x1.6d77f4d75803cp-3, -0x1.714cebbdcb8f3p-3, -0x1.743ba278247bdp-3, -0x1.7648f6b17c4ffp-3, -0x1.777a9c3509dbbp-3, -0x1.77d7003529b6bp-3, -0x1.77652e3a8b794p-3, -0x1.762cb6cd287bap-3, -0x1.743597dfd995ep-3, -0x1.718826ffff11dp-3, -0x1.6e2cfd44ac72p-3, -0x1.6a2ce4f3cf247p-3, -0x1.6590c8d004ea8p-3, -0x1.6061a4feb1e9bp-3, -0x1.5aa87973cdc85p-3, -0x1.546e3dcf3ba62p-3, -0x1.4dbbd6967fe92p-3, -0x1.469a0bb51a191p-3, -0x1.3f11802d9deb8p-3, -0x1.372aaae5c4887p-3, -0x1.2eedd0781de74p-3, -0x1.2662fdf697bdfp-3, -0x1.1d920489d0229p-3, -0x1.148275da025eep-3, -0x1.0b3ba12f4913dp-3, -0x1.01c49137f8addp-3, -0x1.f04814c973b7ep-4, -0x1.dcc113966f5ebp-4, -0x1.c900890228e82p-4, -0x1.b5124ec3de543p-4, -0x1.a101ae686911ap-4, -0x1.8cd96242c6dd9p-4, -0x1.78a396eea9db2p-4, -0x1.6469ed51f29f4p-4, -0x1.50357d0b84dbap-4, -0x1.3c0ed73f7f76cp-4, -0x1.27fe09b244988p-4, -0x1.140aa2252e35bp-4, -0x1.003bb1e8f416ep-4, -0x1.d92fa33614e1p-5, -0x1.b24a4a08a259ap-5, -0x1.8bd2be20d2b24p-5, -0x1.65d38babf944dp-5, -0x1.40566d523aeccp-5, -0x1.1b64546353ff5p-5, -0x1.ee0ae2018928ap-6, -0x1.a6827477f2adap-6, -0x1.603cec40b3d69p-6, -0x1.1b46834449661p-6, -0x1.af5461b06d2cap-7, -0x1.2ae3721b58083p-7, -0x1.5296eeab4c89p-8, -0x1.54dc2c7ba54b7p-10, 0x1.447d77b8556a5p-9, 0x1.93b44232af474p-8, 0x1.3f8b8a5584641p-7, 0x1.b22c1e7a0be24p-7, 0x1.10db03dbcb7bdp-6, 0x1.47127eae496d4p-6, 0x1.7bbb163d0540fp-6, 0x1.aed410b42908p-6, 0x1.e05d5915164cp-6, 0x1.082bba6aff043p-5, 0x1.1f61bcf6fec22p-5, 0x1.35d182a5fe7e5p-5, 0x1.4b7c18db094e8p-5, 0x1.6062c78797e52p-5, 0x1.74870d0047f98p-5, 0x1.87ea9a02257ddp-5, 0x1.9a8f4de71ae3dp-5, 0x1.ac77330826d3fp-5, 0x1.bda47b4bdcc3cp-5, 0x1.ce197cdfc332cp-5, 0x1.ddd8af1b04705p-5, 0x1.ece4a78909461p-5, 0x1.fb40171a7d50bp-5, 0x1.0476e3bda6258p-4, 0x1.0af84c46139b4p-4, 0x1.1125beff14e5cp-4, 0x1.1700be879ec3dp-4, 0x1.1c8ad532f478cp-4, 0x1.21c5940595f5bp-4, 0x1.26b291c097451p-4, 0x1.2b5369fabe238p-4, 0x1.2fa9bc46cf5cbp-4, 0x1.33b72b6672de2p-4, 0x1.377d5c8922784p-4, 0x1.3afdf69693387p-4, 0x1.3e3aa184194a4p-4, 0x1.413505b482c8dp-4, 0x1.43eecb61ec98bp-4, 0x1.46699a111ae53p-4, 0x1.48a7180de4d74p-4, 0x1.4aa8e9f0431b4p-4, 0x1.4c70b2299aa67p-4, 0x1.4e001099ddb34p-4, 0x1.4f58a22c20f61p-4, 0x1.507c007a4c087p-4, 0x1.516bc1778c044p-4, 0x1.52297721305abp-4, 0x1.52b6af35a74ebp-4, 0x1.5314f2f143df4p-4, 0x1.5345c6d08dfa5p-4, 0x1.534aaa57ce54dp-4, 0x1.532517df95de3p-4, 0x1.52d68465fed83p-4, 0x1.52605f646c483p-4, 0x1.51c412a98814dp-4, 0x1.510302374fc72p-4, 0x1.501e8c24f042p-4, 0x1.4f18088446903p-4, 0x1.4df0c94acb612p-4, 0x1.4caa1a3dc3bcap-4, 0x1.4b4540e180901p-4, 0x1.49c37c6b8ce4ap-4, 0x1.482605b7967e7p-4, 0x1.466e0f3ef3563p-4, 0x1.449cc51296b7fp-4, 0x1.42b34cd758fefp-4, 0x1.40b2c5c46ae1ap-4, 0x1.3e9c48a3d5b1p-4, 0x1.3c70e7d4e9c1bp-4, 0x1.3a31af507afb1p-4, 0x1.37dfa4aed0fb3p-4, 0x1.357bc72f2d9c2p-4, 0x1.33070fc0d2ce7p-4, 0x1.3082710d6b768p-4, 0x1.2deed784c25d4p-4, 0x1.2b4d2969abef6p-4, 0x1.289e46e013238p-4, 0x1.25e309fc0faa4p-4, 0x1.231c46d1f4588p-4, 0x1.204acb87419p-4, 0x1.1d6f60646ac32p-4, 0x1.1a8ac7e75a7f1p-4, 0x1.179dbed6aa404p-4, 0x1.14a8fc5577e76p-4, 0x1.11ad31f7cf218p-4, 0x1.0eab0bd7952c3p-4, 0x1.0ba330a9eb2b2p-4, 0x1.089641d4f92b5p-4, 0x1.0584db8615541p-4, 0x1.026f94c83c04ep-4, 0x1.feadff359ca48p-5, 0x1.f877521116e18p-5, 0x1.f23c327d771f3p-5, 0x1.ebfda7490328bp-5, 0x1.e5bcade4984d2p-5, 0x1.df7a3a92badbp-5, 0x1.d9373896bcd42p-5, 0x1.d2f48a63f746fp-5, 0x1.ccb309ccfebbap-5, 0x1.c6738832ca9bap-5, 0x1.c036ceb3bf661p-5, 0x1.b9fd9e5a8fb9p-5, 0x1.b3c8b04ceccd7p-5, 0x1.ad98b5f9f743ap-5, 0x1.a76e594868dd5p-5, 0x1.a14a3cc46c3d1p-5, 0x1.9b2cfbcd1e17dp-5, 0x1.95172ac1a8039p-5, 0x1.8f09572df64b4p-5, 0x1.890407f6fa015p-5, 0x1.8307bd86769bcp-5, 0x1.7d14f1f652a98p-5, 0x1.772c193b65a45p-5, 0x1.714da14fbfb56p-5, 0x1.6b79f25c65cbbp-5, 0x1.65b16ee27d168p-5, 0x1.5ff473e3e4d5ep-5, 0x1.5a43590b35b63p-5, 0x1.549e70d32ba22p-5, 0x1.4f0608ad70334p-5, 0x1.497a6928c618cp-5, 0x1.43fbd61696dfp-5, 0x1.3e8a8eafd9f06p-5, 0x1.3926cdb95a173p-5, 0x1.33d0c9a753dfbp-5, 0x1.2e88b4c0716c1p-5, 0x1.294ebd40192e2p-5, 0x1.24230d781c2f2p-5, 0x1.1f05cbf1b6e29p-5, 0x1.19f71b8deda9ap-5, 0x1.14f71ba54235bp-5, 0x1.1005e826befadp-5, 0x1.0b2399b65d9e2p-5, 0x1.065045cac8061p-5, 0x1.018bfeca71f12p-5, 0x1.f9ada8501f49p-6, 0x1.f061a4fcd1ff8p-6, 0x1.e7340757156e2p-6, 0x1.de24ddd6ac1d4p-6, 0x1.d53431e2e266bp-6, 0x1.cc62080536b73p-6, 0x1.c3ae601ac1a28p-6, 0x1.bb19358470c99p-6, 0x1.b2a27f560951p-6, 0x1.aa4a3083ff467p-6, 0x1.a21038101fd83p-6, 0x1.99f481351bbd9p-6, 0x1.91f6f390e2563p-6, 0x1.8a17734deb0bfp-6, 0x1.8255e14b5b62cp-6, 0x1.7ab21b441b4aep-6, 0x1.732bfbf4d2cb8p-6, 0x1.6bc35b40df166p-6, 0x1.64780e5639646p-6, 0x1.5d49e7d05daddp-6, 0x1.5638b7da28cc6p-6, 0x1.4f444c4ec6a8p-6, 0x1.486c70d99b52bp-6, 0x1.41b0ef154338p-6, 0x1.3b118ea9a0878p-6, 0x1.348e1568ffb33p-6, 0x1.2e26476c519a1p-6, 0x1.27d9e72e8daa9p-6, 0x1.21a8b5a72f523p-6, 0x1.1b927263dee96p-6, 0x1.1596dba148edp-6, 0x1.0fb5ae631de35p-6, 0x1.09eea68b54424p-6, 0x1.04417ef09a0bp-6, 0x1.fd5be2e8085c5p-7, 0x1.f2676e2c1394cp-7, 0x1.e7a510156f25ap-7, 0x1.dd14379a7a465p-7, 0x1.d2b452657b7aap-7, 0x1.c884ccf8f1b0cp-7, 0x1.be8512d2939bp-7, 0x1.b4b48e8d071d7p-7, 0x1.ab12aa004c987p-7, 0x1.a19ece6106deep-7, 0x1.9858645e74387p-7, 0x1.8f3ed43f538b1p-7, 0x1.865185fd9f276p-7, 0x1.7d8fe1612e1bdp-7, 0x1.74f94e193d762p-7, 0x1.6c8d33d4ecb61p-7, 0x1.644afa5ac28d1p-7, 0x1.5c32099f16bcdp-7, 0x1.5441c9d9ae7abp-7, 0x1.4c79a39a36e8ep-7, 0x1.44d8ffdbfcc6ep-7, 0x1.3d5f4818b15d1p-7, 0x1.360be65a4ad8ap-7, 0x1.2ede454c1bd33p-7, 0x1.27d5d04b1265ap-7, 0x1.20f1f3752b058p-7, 0x1.1a321bb825633p-7, 0x1.1395b6df731fdp-7, 0x1.0d1c33a1723a2p-7, 0x1.06c501abf3328p-7, 0x1.008f91b00a561p-7, 0x1.f4f6aada8d04p-8, 0x1.e90f7f7869c47p-8, 0x1.dd6889309f03cp-8, 0x1.d200b2529f8eep-8, 0x1.c6d6e797ddb68p-8, 0x1.bbea183425678p-8, 0x1.b13935e4de321p-8, 0x1.a6c334ff547e4p-8, 0x1.9c870c7de23d1p-8, 0x1.9283b60c36b3ep-8, 0x1.88b82e1297f1dp-8, 0x1.7f2373c048b8bp-8, 0x1.75c489150aaeep-8, 0x1.6c9a72e9b739cp-8, 0x1.63a438f820423p-8, 0x1.5ae0e5e20e631p-8, 0x1.524f8737904bcp-8, 0x1.49ef2d7c7a68p-8, 0x1.41beec2d43d6cp-8, 0x1.39bdd9c32abb3p-8, 0x1.31eb0fb7b4bc1p-8, 0x1.2a45aa87907aap-8, 0x1.22ccc9b4d9213p-8, 0x1.1b7f8fc8c6bbcp-8, 0x1.145d2254d5c42p-8, 0x1.0d64a9f35c08cp-8, 0x1.06955247a87b1p-8, 0x1.ffdc93fb2d126p-9, 0x1.f2dd85916fd49p-9, 0x1.e62be2c60642bp-9, 0x1.d9c61b162cf46p-9, 0x1.cdaaa4042b636p-9, 0x1.c1d7f91244025p-9, 0x1.b64c9bbce0fbap-9, 0x1.ab0713740f0cp-9, 0x1.a005ed9457ecp-9, 0x1.9547bd5eea452p-9, 0x1.8acb1bf125273p-9, 0x1.808ea83b9ea1cp-9, 0x1.769106f896e05p-9, 0x1.6cd0e2a1da986p-9, 0x1.634ceb664b64cp-9, 0x1.5a03d71ebabe7p-9, 0x1.50f461429d8c1p-9, 0x1.481d4adc0dce6p-9, 0x1.3f7d5a7ba9643p-9, 0x1.37135c2be6e36p-9, 0x1.2ede21642b63ep-9, 0x1.26dc80fb932bcp-9, 0x1.1f0d571b60486p-9, 0x1.176f853130dc2p-9, 0x1.1001f1e0f02e1p-9, 0x1.08c388f6923eap-9, 0x1.01b33b578cee9p-9, 0x1.f59ffde86c413p-10, 0x1.e8319d71bffafp-10, 0x1.db1954fd9cc01p-10, 0x1.ce552dfa3a1c7p-10, 0x1.c1e33b72deaddp-10, 0x1.b5c199f11a38p-10, 0x1.a9ee6f5dcd0e4p-10, 0x1.9e67eae205d4dp-10, 0x1.932c44c7adb7bp-10, 0x1.8839be5a45853p-10, 0x1.7d8ea1c751b7dp-10, 0x1.732941fedbe4ap-10, 0x1.6907fa93e4664p-10, 0x1.5f292f9cd0a72p-10, 0x1.558b4d93c2e77p-10, 0x1.4c2cc9372daefp-10, 0x1.430c1f6a2ef38p-10, 0x1.3a27d5152a4c5p-10, 0x1.317e7706818bap-10, 0x1.290e99d32830ap-10, 0x1.20d6d9b790ebdp-10, 0x1.18d5da78a4253p-10, 0x1.110a4744d7295p-10, 0x1.0972d295717fap-10, 0x1.020e360fffd9fp-10, 0x1.f5b664cfdfc68p-11, 0x1.e7b11e80a5921p-11, 0x1.da0a361bf628bp-11, 0x1.ccbf55f336264p-11, 0x1.bfce35848adep-11, 0x1.b3349940467e1p-11, 0x1.a6f0524e94607p-11, 0x1.9aff3e560c645p-11, 0x1.8f5f4742692f1p-11, 0x1.840e630c0134ep-11, 0x1.790a937f98401p-11, 0x1.6e51e6071efcdp-11, 0x1.63e273728160fp-11, 0x1.59ba5fc17fb12p-11, 0x1.4fd7d9edc7795p-11, 0x1.46391bb5e3916p-11, 0x1.3cdc69688a7bp-11, 0x1.33c011b0d7d6ep-11, 0x1.2ae26d62dc177p-11, 0x1.2241df48eb61ep-11, 0x1.19dcd3f1a17ap-11, 0x1.11b1c17e3d46dp-11, 0x1.09bf2772214c9p-11, 0x1.02038e827f62ap-11, 0x1.f4fb10cd9ff3dp-12, 0x1.e6575f543ccf4p-12, 0x1.d8194ef965487p-12, 0x1.ca3e370d362eap-12, 0x1.bcc37f7576f1bp-12, 0x1.afa6a0553c80dp-12, 0x1.a2e521b596c5fp-12, 0x1.967c9b2fc98bbp-12, 0x1.8a6ab398d55bap-12, 0x1.7ead20adf4e7bp-12, 0x1.7341a6c2d59b2p-12, 0x1.6826187106ebap-12, 0x1.5d5856485a279p-12, 0x1.52d64e80ec4f3p-12, 0x1.489dfcae6a47ep-12, 0x1.3ead697473efbp-12, 0x1.3502aa3c45b4cp-12, 0x1.2b9be0ebd5b7fp-12, 0x1.22773b9e06cf1p-12, 0x1.1992f45c019cdp-12, 0x1.10ed50d833323p-12, 0x1.0884a229f82ccp-12, 0x1.0057448ad7c07p-12, 0x1.f0c73e29d9e46p-13, 0x1.e1504704b3126p-13, 0x1.d2469bdc23f35p-13, 0x1.c3a7492b5889cp-13, 0x1.b56f6f3909577p-13, 0x1.a79c419fc8df7p-13, 0x1.9a2b06d894521p-13, 0x1.8d1917c7fb268p-13, 0x1.8063df4cf70d4p-13, 0x1.7408d9d27408cp-13, 0x1.680594e2bfd06p-13, 0x1.5c57aebd26be8p-13, 0x1.50fcd5edae14bp-13, 0x1.45f2c8e6e546p-13, 0x1.3b37559df7b81p-13, 0x1.30c8592878c43p-13, 0x1.26a3bf5c68fabp-13, 0x1.1cc78271fea8p-13, 0x1.1331aaa7f3453p-13, 0x1.09e04de8bdcbp-13, 0x1.00d18f72c0ba3p-13, 0x1.f0073f03c2a69p-14, 0x1.dee975f535d33p-14, 0x1.ce46562f4ead6p-14, 0x1.be1a8a319dbb5p-14, 0x1.ae62d3e7935bfp-14, 0x1.9f1c0c0de681p-14, 0x1.9043219a86a17p-14, 0x1.81d51928f5037p-14, 0x1.73cf0c695cf1ep-14, 0x1.662e2992ced96p-14, 0x1.58efb2d914d45p-14, 0x1.4c10fde5b8599p-14, 0x1.3f8f735344985p-14, 0x1.33688e2cc9cc8p-14, 0x1.2799db6f96f29p-14, 0x1.1c20f9900826dp-14, 0x1.10fb980118ce3p-14, 0x1.062776bf6029dp-14, 0x1.f744cbbbcf643p-15, 0x1.e2d48a2d82256p-15, 0x1.cefa06bab4ba7p-15, 0x1.bbb13ce788a3bp-15, 0x1.a8f64506f0a8cp-15, 0x1.96c5536d56de9p-15, 0x1.851ab7ac83ed9p-15, 0x1.73f2dbd140c78p-15, 0x1.634a43a7380acp-15, 0x1.531d8c0153fe8p-15, 0x1.43696a067186ep-15, 0x1.342aaa82ea7c6p-15, 0x1.255e313de08b1p-15, 0x1.1700f85386023p-15, 0x1.09100f9397f08p-15, 0x1.f71137c719c7ep-16, 0x1.dccfad4937ee8p-16, 0x1.c3561a3e20004p-16, 0x1.aa9f3fdf64f8dp-16, 0x1.92a604f5b0052p-16, 0x1.7b6574c1f7ca1p-16, 0x1.64d8bdf282296p-16, 0x1.4efb319bbc2bep-16, 0x1.39c84239e9f7fp-16, 0x1.253b82b87cfa7p-16, 0x1.1150a580dd6d2p-16, 0x1.fc06f71d974aep-17, 0x1.d69fe7188090cp-17, 0x1.b26431e636153p-17, 0x1.8f4c266877a7ep-17, 0x1.6d5049cae5c58p-17, 0x1.4c6955e8ca95cp-17, 0x1.2c9037c130036p-17, 0x1.0dbe0df0ed733p-17, 0x1.dfd84e7a3adc3p-18, 0x1.a628024a49446p-18, 0x1.6e5e8cfc1d37ap-18, 0x1.386f9c3569016p-18, 0x1.044f32f80ba6ep-18, 0x1.a3e34e2cbff1bp-19, 0x1.42973d73956b4p-19, 0x1.c94837f3b924cp-20, 0x1.13e8d253f1573p-20, 0x1.9399b90ee26d8p-22, -0x1.0f9ecdd0482adp-22, -0x1.cd527bf262b5cp-21, -0x1.8384d0b18de5dp-20, -0x1.0d5003a73a88bp-19, -0x1.560fc0c7d8857p-19, -0x1.9c1375722f92p-19, -0x1.df6c80dc585fcp-19, -0x1.1015e7a671298p-18, -0x1.2f30eec7ea58bp-18, -0x1.4d0f5e285c596p-18, -0x1.69b909ac4ab86p-18, -0x1.8535925c2b2ebp-18, -0x1.9f8c67e831652p-18, -0x1.b8c4ca2753c21p-18, -0x1.d0e5ca832adb7p-18, -0x1.e7f64d5ecbb12p-18, -0x1.fdfd0b6d58ef9p-18, -0x1.0980498063f58p-17, -0x1.1383a4a7ed1dbp-17, -0x1.1d0bb5d65ef3ep-17, -0x1.261b885b6d645p-17, -0x1.2eb614bfe49dap-17, -0x1.36de415545b6bp-17, -0x1.3e96e2bdd2db2p-17, -0x1.45e2bc73dc154p-17, -0x1.4cc4814a42103p-17, -0x1.533ed3e96a0bap-17, -0x1.59544748d4251p-17, -0x1.5f075f2443963p-17, -0x1.645a906c4550fp-17, -0x1.695041b59b469p-17, -0x1.6deacba19fafp-17, -0x1.722c794609c99p-17, -0x1.76178890279b6p-17, -0x1.79ae2aa3ea57bp-17, -0x1.7cf2843afb6e3p-17, -0x1.7fe6adfbfe658p-17, -0x1.828cb4d33de19p-17, -0x1.84e69a45d173bp-17, -0x1.86f654c39355dp-17, -0x1.88bdcff4378c6p-17, -0x1.8a3eed053ca6p-17, -0x1.8b7b82f0d5ecp-17, -0x1.8c755ec72754ap-17, -0x1.8d2e43f0e6fbdp-17, -0x1.8da7ec72c6eedp-17, -0x1.8de4092ca8fbep-17, -0x1.8de44217fd37ep-17, -0x1.8daa368310874p-17, -0x1.8d377d4afe64ep-17, -0x1.8c8da513455fep-17, -0x1.8bae347bdad06p-17, -0x1.8a9aaa54bd3bep-17, -0x1.89547dd13eaacp-17, -0x1.87dd1eb6e0ce8p-17, -0x1.8635f58df15a4p-17, -0x1.846063ce1a2b6p-17, -0x1.825dc409c8916p-17, -0x1.802f6a192b61ap-17, -0x1.7dd6a342ae4a2p-17, -0x1.7b54b6628a3b9p-17, -0x1.78aae410c0dd8p-17, -0x1.75da66c63e646p-17, -0x1.72e472ffed62ep-17, -0x1.6fca3761d340fp-17, -0x1.6c8cdcd76635ap-17, -0x1.692d86b4a74p-17, -0x1.65ad52d44eba9p-17, -0x1.620d59b66956cp-17, -0x1.5e4eae9cad6e5p-17, -0x1.5a725fa747f22p-17, -0x1.567975ef7b9f7p-17, -0x1.5264f5a190629p-17, -0x1.4e35de1730afep-17, -0x1.49ed29eea141cp-17, -0x1.458bcf2396bdp-17, -0x1.4112bf251c58ep-17, -0x1.3c82e6ed14898p-17, -0x1.37dd2f142a918p-17, -0x1.33227be7f41b7p-17, -0x1.2e53ad7e923c6p-17, -0x1.29719fc9e863fp-17, -0x1.247d2aab13252p-17, -0x1.1f7722049036bp-17, -0x1.1a6055cbb04adp-17, -0x1.1539921a28bfep-17, -0x1.10039f3ef30c2p-17, -0x1.0abf41cdc608fp-17, -0x1.056d3aafcadaep-17, -0x1.000e47324cc4p-17, -0x1.f546422acf53ap-18, -0x1.ea58fd36553dep-18, -0x1.df56252946ef9p-18, -0x1.d43f18e0fc5ddp-18, -0x1.c915308f4552p-18, -0x1.bdd9bdd48cae7p-18, -0x1.b28e0bd950c76p-18, -0x1.a7335f65c5eb1p-18, -0x1.9bcaf6fa7ea0cp-18, -0x1.90560ae758074p-18, -0x1.84d5cd62219adp-18, -0x1.794b6a9d2a2c2p-18, -0x1.6db808dbbc3a9p-18, -0x1.621cc888a571ap-18, -0x1.567ac449ea671p-18, -0x1.4ad31114e7967p-18, -0x1.3f26be42db476p-18, -0x1.3376d5a2f3e71p-18, -0x1.27c45b8e4c69p-18, -0x1.1c104ef9cccc8p-18, -0x1.105ba98917d79p-18, -0x1.04a75f9ece935p-18, -0x1.f1e8c0df7b744p-19, -0x1.da872c258bab1p-19, -0x1.c32bcb24d4f87p-19, -0x1.abd85df92f202p-19, -0x1.948e9ae88dee6p-19, -0x1.7d502e7f09946p-19, -0x1.661ebbb142f0dp-19, -0x1.4efbdbfb90a97p-19, -0x1.37e91f7d05d9ep-19, -0x1.20e80d19de6e2p-19, -0x1.09fa22966b4d2p-19, -0x1.e641a969961acp-20, -0x1.b8bb1ea3a51e2p-20, -0x1.8b636b0516efdp-20, -0x1.5e3d435b3c457p-20, -0x1.314b4b5517f6p-20, -0x1.049015b3ab7b7p-20, -0x1.b01c49080e70cp-21, -0x1.578fd2a89b797p-21, -0x1.feff159cd9407p-22, -0x1.4fe027ad29cbdp-22, -0x1.4397c15b491e1p-23, 0x1.669f1e09ca969p-27, 0x1.6e33b95363babp-23, 0x1.61da7f1a7bd47p-22, 0x1.05b768a404948p-21, 0x1.59e77fe5a1447p-21, 0x1.ad79b903d36d4p-21, 0x1.0035325ebb21ap-20, 0x1.295af83caa4acp-20, 0x1.522c72f02fb22p-20, 0x1.7aa7f545ca685p-20, 0x1.a2cbdfcd67c6bp-20, 0x1.ca96a0ad12f86p-20, 0x1.f206b3759e69dp-20, 0x1.0c8d5076a899p-19, 0x1.1fe87f7541c1ep-19, 0x1.3314380faf3e7p-19, 0x1.460fd1f9592b5p-19, 0x1.58daab26880abp-19, 0x1.6b7427b7f9fedp-19, 0x1.7ddbb1e523e89p-19, 0x1.9010b9e486398p-19, 0x1.a212b5d6f3357p-19, 0x1.b3e121b1a849fp-19, 0x1.c57b7f2909627p-19, 0x1.d6e1559aea187p-19, 0x1.e81231f85b879p-19, 0x1.f90da6b2e658dp-19, 0x1.04e9a5d27c2f8p-18, 0x1.0d315eff21ca3p-18, 0x1.155dd017cdb22p-18, 0x1.1d6eccea2ac5bp-18, 0x1.25642bd026a96p-18, 0x1.2d3dc5a4be774p-18, 0x1.34fb75ba026dfp-18, 0x1.3c9d19d04a491p-18, 0x1.4422920a0eabfp-18, 0x1.4b8bc0e43b1cep-18, 0x1.52d88b2a896dep-18, 0x1.5a08d7eeca41cp-18, 0x1.611c907ed3fb1p-18, 0x1.6813a05ae17ffp-18, 0x1.6eedf52bbe8d5p-18, 0x1.75ab7eb9fa0acp-18, 0x1.7c4c2ee38a521p-18, 0x1.82cff9931161ap-18, 0x1.8936d4b62602dp-18, 0x1.8f80b834971eap-18, 0x1.95ad9de637828p-18, 0x1.9bbd818b3d1d7p-18, 0x1.a1b060c1c2b19p-18, 0x1.a7863afd91c3ap-18, 0x1.ad3f117f54111p-18, 0x1.b2dae74b4711dp-18, 0x1.b859c120655c2p-18, 0x1.bdbba570c79cbp-18, 0x1.c3009c5742d0fp-18, 0x1.c828af9060477p-18, 0x1.cd33ea712067cp-18, 0x1.d22259ded2c1dp-18, 0x1.d6f40c465edcdp-18, 0x1.dba91194bc3e3p-18, 0x1.e0417b2dcf226p-18, 0x1.e4bd5be52a973p-18, 0x1.e91cc7f537db6p-18, 0x1.ed5fd4f7ef899p-18, 0x1.f18699deb3182p-18, 0x1.f5912ee9dd238p-18, 0x1.f97fada1fee53p-18, 0x1.fd5230cfd9fbfp-18, 0x1.00846a3a1a5ddp-17, 0x1.0251dae09b62ap-17, 0x1.041179891ca71p-17, 0x1.05c355f27bceep-17, 0x1.07678068b6df6p-17, 0x1.08fe09c1f8cbcp-17, 0x1.0a87035a675d9p-17, 0x1.0c027f10df0d3p-17, 0x1.0d708f4363e8cp-17, 0x1.0ed146cbd253bp-17, 0x1.1024b8fc30831p-17, 0x1.116af99b8241fp-17, 0x1.12a41ce2588b4p-17, 0x1.13d037777e3f9p-17, 0x1.14ef5e6ced7e1p-17, 0x1.1601a73c3674ep-17, 0x1.170727c37ac77p-17, 0x1.17fff6426175fp-17, 0x1.18ec2956f0f8fp-17, 0x1.19cbd7fa53e3bp-17, 0x1.1a9f197df3468p-17, 0x1.1b660588743e1p-17, 0x1.1c20b412ba8e2p-17, 0x1.1ccf3d650e1c4p-17, 0x1.1d71ba1409cc7p-17, 0x1.1e0842fe12d71p-17, 0x1.1e92f14848f1bp-17, 0x1.1f11de5bda0c8p-17, 0x1.1f8523e33eb75p-17, 0x1.1fecdbc7a5cb8p-17, 0x1.2049202e2a7ap-17, 0x1.209a0b75421e7p-17, 0x1.20dfb832470a4p-17, 0x1.211a412ecc8c2p-17, 0x1.2149c16613f85p-17, 0x1.216e5402c56c8p-17, 0x1.2188145c513e8p-17, 0x1.21971df4b0887p-17, 0x1.219b8c75ef168p-17, 0x1.21957baffbcdap-17, 0x1.2185079649145p-17, 0x1.216a4c3d9629cp-17, 0x1.214565d9b6e66p-17, 0x1.211670bb60888p-17, 0x1.20dd894e27eefp-17, 0x1.209acc1640457p-17, 0x1.204e55ae904ebp-17, 0x1.1ff842c683397p-17, 0x1.1f98b0201f5b2p-17, 0x1.1f2fba8e0a781p-17, 0x1.1ebd7ef1bdbf7p-17, 0x1.1e421a397a396p-17, 0x1.1dbda95e75d7ep-17, 0x1.1d30496323a02p-17, 0x1.1c9a175141756p-17, 0x1.1bfb30381ed15p-17, 0x1.1b53b12b039f8p-17, 0x1.1aa3b73f737fep-17, 0x1.19eb5f8b74c8cp-17, 0x1.192ac723f1e85p-17, 0x1.18620b1b39537p-17, 0x1.1791487f5c054p-17, 0x1.16b89c58b2792p-17, 0x1.15d823a83de7ap-17, 0x1.14effb665cf3dp-17, 0x1.1400408143d24p-17, 0x1.13090fdb96e12p-17, 0x1.120a864b1384ap-17, 0x1.1104c09734673p-17, 0x1.0ff7db77d1669p-17, 0x1.0ee3f393deecp-17, 0x1.0dc9258047c84p-17, 0x1.0ca78dbe9b65ap-17, 0x1.0b7f48bbcdfd4p-17, 0x1.0a5072cf185bfp-17, 0x1.091b2838e5c6ep-17, 0x1.07df852195333p-17, 0x1.069da598828c7p-17, 0x1.0555a592df1ffp-17, 0x1.0407a0eabb51bp-17, 0x1.02b3b35df942cp-17, 0x1.0159f88d4c6f5p-17, 0x1.fff517f691bc5p-18, 0x1.fd2b1217224cdp-18, 0x1.fa5616037bb07p-18, 0x1.f7765a013f15ep-18, 0x1.f48c141298a31p-18, 0x1.f19779f4baa27p-18, 0x1.ee98c11e407ap-18, 0x1.eb901ebd7e095p-18, 0x1.e87dc7b701c1dp-18, 0x1.e561f0a41e3d4p-18, 0x1.e23ccdd1a1f26p-18, 0x1.df0e933e2a525p-18, 0x1.dbd774990625p-18, 0x1.d897a540eb3ap-18, 0x1.d54f584298c85p-18, 0x1.d1fec05781978p-18, 0x1.cea60fe4e801dp-18, 0x1.cb4578fab4367p-18, 0x1.c7dd2d521aecdp-18, 0x1.c46d5e4cb9b08p-18, 0x1.c0f63cf3a712fp-18, 0x1.bd77f9f675068p-18, 0x1.b9f2c5aa20344p-18, 0x1.b666d00843eabp-18, 0x1.b2d448ae525f4p-18, 0x1.af3b5edc81b5cp-18, 0x1.ab9c41753f0e7p-18, 0x1.a7f71efc7e207p-18, 0x1.a44c2596c158dp-18, 0x1.a09b83087c7afp-18, 0x1.9ce564b57cbadp-18, 0x1.9929f7a06a7e7p-18, 0x1.9569686a0bff8p-18, 0x1.91a3e350c9117p-18, 0x1.8dd9942fff0e9p-18, 0x1.8a0aa67fd95b3p-18, 0x1.86374554a0fffp-18, 0x1.825f9b5e385ddp-18, 0x1.7e83d2e7ec7c4p-18, 0x1.7aa415d7fe495p-18, 0x1.76c08daf55ee2p-18, 0x1.72d963892726bp-18, 0x1.6eeec01aaaeddp-18, 0x1.6b00cbb2dc54cp-18, 0x1.670fae3a64564p-18, 0x1.631b8f33186cp-18, 0x1.5f2495b819afbp-18, 0x1.5b2ae87d769acp-18, 0x1.572eadd015fbdp-18, 0x1.53300b95d2ec2p-18, 0x1.4f2f274d2eb31p-18, 0x1.4b2c260d24f6fp-18, 0x1.47272c8557426p-18, 0x1.43205efe245d6p-18, 0x1.3f17e15867731p-18, 0x1.3b0dd70d7f466p-18, 0x1.3702632f97b1ep-18, 0x1.32f5a869a2bcdp-18, 0x1.2ee7c8ff4bec5p-18, 0x1.2ad8e6cd3b6c1p-18, 0x1.26c9234930dc2p-18, 0x1.22b89f81feb4dp-18, 0x1.1ea77c20030afp-18, 0x1.1a95d964fa4fap-18, 0x1.1683d72c977fbp-18, 0x1.127194ec679a9p-18, 0x1.0e5f31b422571p-18, 0x1.0a4ccc2dcd4d1p-18, 0x1.063a829e6ceebp-18, 0x1.022872e6051c3p-18, 0x1.fc2d74ff71b04p-19, 0x1.f40aed047e06ep-19, 0x1.ebe98740915f2p-19, 0x1.e3c97c51981e7p-19, 0x1.dbab040e9e3a2p-19, 0x1.d38e55889ebe8p-19, 0x1.cb73a70b39642p-19, 0x1.c35b2e1d9ee98p-19, 0x1.bb451f83445a6p-19, 0x1.b331af3c91274p-19, 0x1.ab2110880b7b4p-19, 0x1.a31375e2d8c92p-19, 0x1.9b091109d3128p-19, 0x1.930212faa767dp-19, 0x1.8afeabf43472dp-19, 0x1.82ff0b77db1d8p-19, 0x1.7b03604ad3d5ep-19, 0x1.730bd876a5e21p-19, 0x1.6b18a14a2c82dp-19, 0x1.6329e75a6baacp-19, 0x1.5b3fd6845ee41p-19, 0x1.535a99edaa49ap-19, 0x1.4b7a5c0527c2ep-19, 0x1.439f4684d3e34p-19, 0x1.3bc98272571cfp-19, 0x1.33f938203fecap-19, 0x1.2c2e8f2f2f2fap-19, 0x1.2469ae8f022b9p-19, 0x1.1caabc7fed991p-19, 0x1.14f1de93cd241p-19, }}, 
      {{-0x1.c91fa5dba69c6p-8, -0x1.ca3d79a2f873ap-7, -0x1.59bac39dee03bp-6, -0x1.d19092c06bc5fp-6, -0x1.26e17cc97d8c8p-5, -0x1.676a80f717916p-5, -0x1.aa4f7133b18cap-5, -0x1.ef36db0c2fc68p-5, -0x1.1acd5720086f5p-4, -0x1.3e70c73f6b5bp-4, -0x1.6239e31abb7c3p-4, -0x1.85e50a5004de7p-4, -0x1.a93b3277eaaa6p-4, -0x1.cc13b2eb11db8p-4, -0x1.ee5424c10efacp-4, -0x1.07f77c36cdc7ap-3, -0x1.1870a5a9b09e4p-3, -0x1.289834d6b2937p-3, -0x1.3873a5c7cbc4cp-3, -0x1.480a20e9bd1e5p-3, -0x1.5763795e1abbdp-3, -0x1.66875afe05a96p-3, -0x1.757caa04a9e44p-3, -0x1.84491251b4b44p-3, -0x1.92f0c1a609184p-3, -0x1.a17646d007d33p-3, -0x1.afda8f260b393p-3, -0x1.be1cfbae02819p-3, -0x1.cc3b87b6ef223p-3, -0x1.da32fb4cd371cp-3, -0x1.e7ff24b457731p-3, -0x1.f59b14eb6ed92p-3, -0x1.0180adfc3c2d9p-2, -0x1.081621480e025p-2, -0x1.0e8affa29201fp-2, -0x1.14dc7305142c6p-2, -0x1.1b07c8a4f1a72p-2, -0x1.210a8220a1996p-2, -0x1.26e2634b9bd96p-2, -0x1.2c8d7cb5fe865p-2, -0x1.320a332364842p-2, -0x1.37574433cd1e9p-2, -0x1.3c73c88afe756p-2, -0x1.415f33c79a054p-2, -0x1.4619529c2211ap-2, -0x1.4aa2475a54279p-2, -0x1.4efa853d5f622p-2, -0x1.5322caba0b5bdp-2, -0x1.571c1b15a757dp-2, -0x1.5ae7b77dbe5e1p-2, -0x1.5e8717d38c5fp-2, -0x1.61fbe357528ddp-2, -0x1.6547e958f4916p-2, -0x1.686d1a0d02724p-2, -0x1.6b6d7f9f99be4p-2, -0x1.6e4b37992f3c9p-2, -0x1.71086ca4a6ba8p-2, -0x1.73a750c1fa8aap-2, -0x1.762a17ed032b6p-2, -0x1.7892f33cdd9cfp-2, -0x1.7ae40c7dcb63ep-2, -0x1.7d1f824522399p-2, -0x1.7f47647d284d5p-2, -0x1.815db16532fb4p-2, -0x1.836453014859ep-2, -0x1.855d1cf394cp-2, -0x1.8749cab97deb9p-2, -0x1.892bfe4599f59p-2, -0x1.8b053eefa19d5p-2, -0x1.8cd6f8b34c201p-2, -0x1.8ea27bb71f66ep-2, -0x1.9068fc143bd15p-2, -0x1.922b91d87e71fp-2, -0x1.93eb393c79148p-2, -0x1.95a8d3072258bp-2, -0x1.9765251963779p-2, -0x1.9920db1c12d76p-2, -0x1.9adc874b3d402p-2, -0x1.9c98a35a074ep-2, -0x1.9e55916ac6f4p-2, -0x1.a0139d176261dp-2, -0x1.a1d2fc86478fep-2, -0x1.a393d188bd363p-2, -0x1.a5562abf921dap-2, -0x1.a71a04c38a575p-2, -0x1.a8df4b4f30402p-2, -0x1.aaa5da67f5288p-2, -0x1.ac6d7f84d4447p-2, -0x1.ae35fab0e3b59p-2, -0x1.affeffa8798fap-2, -0x1.b1c836efbd4a4p-2, -0x1.b3913ee1ac41cp-2, -0x1.b559acb6ca7c2p-2, -0x1.b7210d82d42cbp-2, -0x1.b8e6e728ed562p-2, -0x1.baaab945f481ap-2, -0x1.bc6bfe10a48a8p-2, -0x1.be2a2b2f632fbp-2, -0x1.bfe4b2839bdf8p-2, -0x1.c19b02eaa5dd3p-2, -0x1.c34c88f4404dap-2, -0x1.c4f8af8ebbebbp-2, -0x1.c69ee0a8fd7d4p-2, -0x1.c83e85ca84943p-2, -0x1.c9d708a1b3bcep-2, -0x1.cb67d388996f1p-2, -0x1.ccf052008252dp-2, -0x1.ce6ff1249e4b8p-2, -0x1.cfe6201405414p-2, -0x1.d1525053747e2p-2, -0x1.d2b3f62710b73p-2, -0x1.d40a88e48363fp-2, -0x1.d555833dc7d6dp-2, -0x1.d6946384ff9b2p-2, -0x1.d7c6abe99b809p-2, -0x1.d8ebe2af31bb5p-2, -0x1.da03925e50423p-2, -0x1.db0d49ef99444p-2, -0x1.dc089cf178de8p-2, -0x1.dcf523a8c09aap-2, -0x1.ddd27b2c6f83p-2, -0x1.dea0457cec4cp-2, -0x1.df5e2996fc547p-2, -0x1.e00bd382ae78dp-2, -0x1.e0a8f45e84eccp-2, -0x1.e13542670f5dep-2, -0x1.e1b078fb36e79p-2, -0x1.e21a589d71ef8p-2, -0x1.e272a6f210bdep-2, -0x1.e2b92ebadb1bdp-2, -0x1.e2edbfd029a11p-2, -0x1.e3102f17af083p-2, -0x1.e320567914b76p-2, -0x1.e31e14d09c312p-2, -0x1.e3094ddfe82b3p-2, -0x1.e2e1ea3d107b9p-2, -0x1.e2a7d7402bf3ep-2, -0x1.e25b06ef6a2p-2, -0x1.e1fb6fe9e085ep-2, -0x1.e1890d51263bdp-2, -0x1.e103deb1e092dp-2, -0x1.e06be7eb51fd1p-2, -0x1.dfc131161254p-2, -0x1.df03c669f717bp-2, -0x1.de33b823533cp-2, -0x1.dd511a6797c06p-2, -0x1.dc5c052970564p-2, -0x1.db54940c6daebp-2, -0x1.da3ae6484b106p-2, -0x1.d90f1e8be8b8fp-2, -0x1.d7d162e000505p-2, -0x1.d681dc89af946p-2, -0x1.d520b7ecd9acdp-2, -0x1.d3ae246e7676cp-2, -0x1.d22a5456da56ep-2, -0x1.d0957cb3fd29ap-2, -0x1.ceefd53bd48ep-2, -0x1.cd39982ec2db9p-2, -0x1.cb73023a2b7b2p-2, -0x1.c99c525b32c95p-2, -0x1.c7b5c9c1b16e9p-2, -0x1.c5bfabb3662aep-2, -0x1.c3ba3d6f6b5bep-2, -0x1.c1a5c611f7b8ap-2, -0x1.bf828e7871bbbp-2, -0x1.bd50e125da92ep-2, -0x1.bb110a27987f1p-2, -0x1.b8c356faa3475p-2, -0x1.b668167119c93p-2, -0x1.b3ff9898449bbp-2, -0x1.b18a2e9f06a4fp-2, -0x1.af082abcc7f4ap-2, -0x1.ac79e018d60b6p-2, -0x1.a9dfa2b23d152p-2, -0x1.a739c74826656p-2, -0x1.a488a342b137ep-2, -0x1.a1cc8c9c52065p-2, -0x1.9f05d9cbb7907p-2, -0x1.9c34e1ae36e9ep-2, -0x1.9959fb72c04f8p-2, -0x1.96757e855c538p-2, -0x1.9387c27b36a74p-2, -0x1.90911eff3450ap-2, -0x1.8d91ebbf170c6p-2, -0x1.8a8a80592b3aap-2, -0x1.877b344a88bp-2, -0x1.84645edddbde4p-2, -0x1.8146571abecd2p-2, -0x1.7e2173b59fb1fp-2, -0x1.7af60b0034433p-2, -0x1.77c472da78e88p-2, -0x1.748d00a43d87ep-2, -0x1.7150092f38e84p-2, -0x1.6e0de0b1abe41p-2, -0x1.6ac6dab987ac9p-2, -0x1.677b4a2020c93p-2, -0x1.642b80fe65271p-2, -0x1.60d7d0a197dc1p-2, -0x1.5d808980914b1p-2, -0x1.5a25fb318095cp-2, -0x1.56c874602debap-2, -0x1.536842c4b78d1p-2, -0x1.5005b31ad2cp-2, -0x1.4ca111197eacdp-2, -0x1.493aa76b38188p-2, -0x1.45d2bfa69e264p-2, -0x1.4269a2478c86dp-2, -0x1.3eff96a8ab859p-2, -0x1.3b94e2fd6bd68p-2, -0x1.3829cc4c736bbp-2, -0x1.34be966a72f72p-2, -0x1.315383f568efcp-2, -0x1.2de8d650494dp-2, -0x1.2a7ecd9f0837bp-2, -0x1.2715a8c30b342p-2, -0x1.23ada557f5568p-2, -0x1.2046ffb0d66b9p-2, -0x1.1ce1f2d5af745p-2, -0x1.197eb881545e8p-2, -0x1.161d891fa14d5p-2, -0x1.12be9bcc04c3cp-2, -0x1.0f6226505b2c8p-2, -0x1.0c085d2417c91p-2, -0x1.08b1736bbb099p-2, -0x1.055d9af894189p-2, -0x1.020d0448c7039p-2, -0x1.fd7fbd0f35269p-3, -0x1.f6ecaf1c12dd1p-3, -0x1.f06137c720bd7p-3, -0x1.e9ddad7e7a76cp-3, -0x1.e3626411f42dp-3, -0x1.dcefacb61ec4dp-3, -0x1.d685d607bcc6cp-3, -0x1.d0252c0fa535dp-3, -0x1.c9cdf84705655p-3, -0x1.c380819c0715bp-3, -0x1.bd3d0c76d6714p-3, -0x1.b703dabef4904p-3, -0x1.b0d52be0f1c7cp-3, -0x1.aab13cd464aa5p-3, -0x1.a498482238fe1p-3, -0x1.9e8a85eb40abfp-3, -0x1.98882bef12168p-3, -0x1.92916d931a56p-3, -0x1.8ca67be9f33p-3, -0x1.86c785baf5bfdp-3, -0x1.80f4b789f9fb9p-3, -0x1.7b2e3b9f4cc2p-3, -0x1.75743a0fd4874p-3, -0x1.6fc6d8c561fc2p-3, -0x1.6a263b8725a78p-3, -0x1.649284024a70dp-3, -0x1.5f0bd1d2b7bfep-3, -0x1.5992428be8b92p-3, -0x1.5425f1c1e789bp-3, -0x1.4ec6f9125b2d2p-3, -0x1.4975702db2395p-3, -0x1.44316ce05757bp-3, -0x1.3efb031bff40ap-3, -0x1.39d2450102264p-3, -0x1.34b742e7beccp-3, -0x1.2faa0b6a090dcp-3, -0x1.2aaaab6c9e8f3p-3, -0x1.25b92e28a1935p-3, -0x1.20d59d3514b53p-3, -0x1.1c0000905a256p-3, -0x1.17385ea9abdep-3, -0x1.127ebc6a983ccp-3, -0x1.0dd31d40740e8p-3, -0x1.09358325c4b08p-3, -0x1.04a5eeabaa31cp-3, -0x1.00245f033619dp-3, -0x1.f761a40d6f442p-4, -0x1.ee968886054f5p-4, -0x1.e5e7620136b1ap-4, -0x1.dd542499be7d7p-4, -0x1.d4dcc20626055p-4, -0x1.cc8129aac0bc6p-4, -0x1.c44148ab8a2ep-4, -0x1.bc1d09fdc9e7cp-4, -0x1.b41456799d003p-4, -0x1.ac2714eb420bp-4, -0x1.a4552a24439fcp-4, -0x1.9c9e790c68d3bp-4, -0x1.9502e2b274709p-4, -0x1.8d82465cb0738p-4, -0x1.861c819946004p-4, -0x1.7ed1704e5a64cp-4, -0x1.77a0ecc9f6cfbp-4, -0x1.708acfd1b273fp-4, -0x1.698ef0b226a9ep-4, -0x1.62ad254e25d89p-4, -0x1.5be5422db3eabp-4, -0x1.55371a8cc4892p-4, -0x1.4ea28069b9d3p-4, -0x1.48274493a3eep-4, -0x1.41c536b842231p-4, -0x1.3b7c2571c6956p-4, -0x1.354bde54536ddp-4, -0x1.2f342dfb40426p-4, -0x1.2934e01617895p-4, -0x1.234dbf7557012p-4, -0x1.1d7e9616f03ccp-4, -0x1.17c72d3280e13p-4, -0x1.12274d45550fp-4, -0x1.0c9ebe1e1c904p-4, -0x1.072d46e868c9bp-4, -0x1.01d2ae37e4a73p-4, -0x1.f91d742696888p-5, -0x1.eec25ffe414fp-5, -0x1.e493aa1053281p-5, -0x1.da90db9b426a5p-5, -0x1.d0b97d16637dbp-5, -0x1.c70d164558a12p-5, -0x1.bd8b2e4b068c1p-5, -0x1.b4334bbc05d1fp-5, -0x1.ab04f4b09fd0dp-5, -0x1.a1ffaed64f11fp-5, -0x1.9922ff80c3773p-5, -0x1.906e6bba6db9ap-5, -0x1.87e1785496725p-5, -0x1.7f7ba9f6f8effp-5, -0x1.773c852ef9c55p-5, -0x1.6f238e7e4b54cp-5, -0x1.67304a6942227p-5, -0x1.5f623d849f94fp-5, -0x1.57b8ec82fa8b8p-5, -0x1.5033dc41b59b4p-5, -0x1.48d291d5872b4p-5, -0x1.419492969da4dp-5, -0x1.3a79642c50efdp-5, -0x1.33808c98732d8p-5, -0x1.2ca992423eefp-5, -0x1.25f3fc00d041fp-5, -0x1.1f5f512550af3p-5, -0x1.18eb1984b6277p-5, -0x1.1296dd811d4f3p-5, -0x1.0c622612d6087p-5, -0x1.064c7cd105616p-5, -0x1.00556bf9f4d3p-5, -0x1.f4f8fcf609f01p-6, -0x1.e9827ff09bdc3p-6, -0x1.de4679a7ccb22p-6, -0x1.d3440469a864dp-6, -0x1.c87a3c1b69884p-6, -0x1.bde83e462063fp-6, -0x1.b38d2a22a8b15p-6, -0x1.a96820a532482p-6, -0x1.9f78448802a5bp-6, -0x1.95bcba55c745bp-6, -0x1.8c34a8734b0e8p-6, -0x1.82df37289ce4dp-6, -0x1.79bb90a9b2a7cp-6, -0x1.70c8e11e7b37dp-6, -0x1.680656aa8bddp-6, -0x1.5f732174284efp-6, -0x1.570e73aae6d1p-6, -0x1.4ed7818dcf4eep-6, -0x1.46cd81711ac59p-6, -0x1.3eefabc35cc9dp-6, -0x1.373d3b125c21fp-6, -0x1.2fb56c0f73bf7p-6, -0x1.28577d937f9c4p-6, -0x1.2122b0a279602p-6, -0x1.1a16486ea2524p-6, -0x1.13318a5b4ac71p-6, -0x1.0c73bdff4abd8p-6, -0x1.05dc2d2709312p-6, -0x1.fed447ac7a1cbp-7, -0x1.f239e092b098cp-7, -0x1.e5e7c5ed2979p-7, -0x1.d9dc9d1d6f53dp-7, -0x1.ce170ffb0a82bp-7, -0x1.c295ccd3e7df9p-7, -0x1.b757866bf910cp-7, -0x1.ac5af3fc9b22p-7, -0x1.a19ed133137cep-7, -0x1.9721de2edd085p-7, -0x1.8ce2df7f60187p-7, -0x1.82e09e210886ap-7, -0x1.7919e77a237cep-7, -0x1.6f8d8d571e394p-7, -0x1.663a65e67ba26p-7, -0x1.5d1f4bb449c96p-7, -0x1.543b1da541929p-7, -0x1.4b8cbef183d9dp-7, -0x1.4313171ee4dfap-7, -0x1.3acd11fb1ef18p-7, -0x1.32b99f955be6ep-7, -0x1.2ad7b437bd5afp-7, -0x1.232648605dc9ap-7, -0x1.1ba458ba2dca5p-7, -0x1.1450e6157b4c1p-7, -0x1.0d2af56047d88p-7, -0x1.06318f9e3d2a2p-7, -0x1.fec783c11c1eap-8, -0x1.f1813a7b2103fp-8, -0x1.e48e6d9029cc8p-8, -0x1.d7ed4f0d56424p-8, -0x1.cb9c18d517009p-8, -0x1.bf990c8d1f125p-8, -0x1.b3e2738b7191ap-8, -0x1.a8769ec3a86afp-8, -0x1.9d53e6b3ba7ddp-8, -0x1.9278ab505a28fp-8, -0x1.87e353f15976cp-8, -0x1.7d924f3d9fabfp-8, -0x1.738413171ff58p-8, -0x1.69b71c867965dp-8, -0x1.6029efa64d323p-8, -0x1.56db178ed51d8p-8, -0x1.4dc92640e5d4fp-8, -0x1.44f2b4911a649p-8, -0x1.3c566212c839p-8, -0x1.33f2d502e23d9p-8, -0x1.2bc6ba32d2686p-8, -0x1.23d0c4f31cf32p-8, -0x1.1c0faefe38c76p-8, -0x1.148238631ba29p-8, -0x1.0d27276fdddf1p-8, -0x1.05fd489c79d34p-8, -0x1.fe06dcea8d93dp-9, -0x1.f070e30b606f5p-9, -0x1.e3366085b397dp-9, -0x1.d6551deca9eb7p-9, -0x1.c9caef5199ad1p-9, -0x1.bd95b419cadeep-9, -0x1.b1b356d406537p-9, -0x1.a621cd0e6a8c8p-9, -0x1.9adf172c7e872p-9, -0x1.8fe9403d55fafp-9, -0x1.853e5dd1c8bd9p-9, -0x1.7adc8fd3271f4p-9, -0x1.70c20059eb778p-9, -0x1.66ece384b29f9p-9, -0x1.5d5b774f84ee2p-9, -0x1.540c036b496aep-9, -0x1.4afcd9159ee76p-9, -0x1.422c52f0b908ep-9, -0x1.3998d4dbf0e64p-9, -0x1.3140cbcc21dc2p-9, -0x1.2922ada4d6abp-9, -0x1.213cf91166425p-9, -0x1.198e355e9175ep-9, -0x1.1214f25470136p-9, -0x1.0acfc81099146p-9, -0x1.03bd56e0ddbddp-9, -0x1.f9b88e3c76b61p-10, -0x1.ec56921039d2ap-10, -0x1.df52293ff7cccp-10, -0x1.d2a8d30b60667p-10, -0x1.c6581da6f570cp-10, -0x1.ba5da5f66e0dcp-10, -0x1.aeb71746c3403p-10, -0x1.a3622b0943f17p-10, -0x1.985ca88fdb359p-10, -0x1.8da464c978573p-10, -0x1.833741ffea6e6p-10, -0x1.79132f962dafbp-10, -0x1.6f3629c759bb8p-10, -0x1.659e3966ee154p-10, -0x1.5c4973a1730c1p-10, -0x1.5335f9bdfbd15p-10, -0x1.4a61f8e0ba272p-10, -0x1.41cba9ce4ab4cp-10, -0x1.397150af74328p-10, -0x1.31513cd65a217p-10, -0x1.2969c884249b4p-10, -0x1.21b958af49235p-10, -0x1.1a3e5ccb253c2p-10, -0x1.12f74e9003f37p-10, -0x1.0be2b1c40b5d3p-10, -0x1.04ff14053a139p-10, -0x1.fc961927a4bfdp-11, -0x1.ef8a783b0dde5p-11, -0x1.e2d89914d029bp-11, -0x1.d67de1921604ep-11, -0x1.ca77c939ef4c3p-11, -0x1.bec3d8d9f947ap-11, -0x1.b35faa24f6763p-11, -0x1.a848e753bd1a4p-11, -0x1.9d7d4ac69bfdfp-11, -0x1.92fa9ea927c23p-11, -0x1.88bebc96f25e3p-11, -0x1.7ec78d41f24a3p-11, -0x1.7513081b42386p-11, -0x1.6b9f32fbf66b9p-11, -0x1.626a21cffcec7p-11, -0x1.5971f643855cbp-11, -0x1.50b4df700bca6p-11, -0x1.4831198c80331p-11, -0x1.3fe4ed9d5b1cdp-11, -0x1.37ceb127df153p-11, -0x1.2fecc5e4ca4cfp-11, -0x1.283d9976317f2p-11, -0x1.20bfa51da11a4p-11, -0x1.19716d740b944p-11, -0x1.12518222d3ec1p-11, -0x1.0b5e7d9ea7235p-11, -0x1.049704e318803p-11, -0x1.fbf38e5f95263p-12, -0x1.ef0afb8e313dep-12, -0x1.e271d75b1b2f2p-12, -0x1.d625bad67efafp-12, -0x1.ca24519ad38cp-12, -0x1.be6b59552aecbp-12, -0x1.b2f8a14e1c829p-12, -0x1.a7ca09f4cee04p-12, -0x1.9cdd846e01415p-12, -0x1.9231122408ac2p-12, -0x1.87c2c459c461dp-12, -0x1.7d90bbbf4473ep-12, -0x1.7399280988157p-12, -0x1.69da478b36534p-12, -0x1.605266d15bddap-12, -0x1.56ffe03fef2d9p-12, -0x1.4de11bb243aacp-12, -0x1.44f48e1d86563p-12, -0x1.3c38b9330228ep-12, -0x1.33ac2b085ddf1p-12, -0x1.2b4d7dbdcad79p-12, -0x1.231b5728b1445p-12, -0x1.1b14687fae93fp-12, -0x1.13376e0793355p-12, -0x1.0b832ec3c6e77p-12, -0x1.03f67c271e133p-12, -0x1.f920638ee552ap-13, -0x1.ea9e6a248805fp-13, -0x1.dc64ea07aabcfp-13, -0x1.ce71d3bdf632bp-13, -0x1.c0c329cf3a0abp-13, -0x1.b357003d59788p-13, -0x1.a62b7bfdbb37ap-13, -0x1.993ed278201d6p-13, -0x1.8c8f49073ebb7p-13, -0x1.801b347c955d7p-13, -0x1.73e0f8a8cd291p-13, -0x1.67df07e33a42dp-13, -0x1.5c13e29a26d94p-13, -0x1.507e16dfa2794p-13, -0x1.451c3ffd62eecp-13, -0x1.39ed060a8286dp-13, -0x1.2eef1d8251f05p-13, -0x1.242146e02e8a4p-13, -0x1.19824e3bb7453p-13, -0x1.0f110ae96a1eep-13, -0x1.04cc5f1c4b543p-13, -0x1.f5666f1594463p-14, -0x1.e189162b83f76p-14, -0x1.cdfeb4e4ce932p-14, -0x1.bac55fa96a164p-14, -0x1.a7db3d3db10fdp-14, -0x1.953e8620e78c7p-14, -0x1.82ed83f241fap-14, -0x1.70e690d94c324p-14, -0x1.5f2816f396e12p-14, -0x1.4db08fc5ae8d4p-14, -0x1.3c7e83aeca85cp-14, -0x1.2b9089633bef1p-14, -0x1.1ae54567c8fb4p-14, -0x1.0a7b69926da8p-14, -0x1.f4a3691ce68b3p-15, -0x1.d4cde2c762093p-15, -0x1.b573ee01a41ap-15, -0x1.96934f9738111p-15, -0x1.7829e25e419e2p-15, -0x1.5a359669f56d6p-15, -0x1.3cb47031365a5p-15, -0x1.1fa487cdda299p-15, -0x1.03040830850bp-15, -0x1.cda25cd4486d7p-16, -0x1.961491dd2991p-16, -0x1.5f5b6dc8b08d7p-16, -0x1.2973ceed9ab6bp-16, -0x1.e8b564c1795a5p-17, -0x1.801a6553f8f36p-17, -0x1.19110d20ea8f1p-17, -0x1.6727ff8db815ap-18, -0x1.3e7852c3da17p-19, 0x1.2d5ab27f15e48p-21, 0x1.cf301d9f4a494p-19, 0x1.a69334c6d291cp-18, 0x1.3152d320a1effp-17, 0x1.8debf755b9dbp-17, 0x1.e919253f0e3f2p-17, 0x1.216f2abdc01e3p-16, 0x1.4d9fae65097ebp-16, 0x1.791ff6e043bb4p-16, 0x1.a3f1cd347dcbdp-16, 0x1.ce16eaf13c29dp-16, 0x1.f790faee6b713p-16, 0x1.1030cd070dba3p-15, 0x1.24452bf69c4c7p-15, 0x1.38065bcc5c374p-15, 0x1.4b751818d439ep-15, 0x1.5e9216c9596b1p-15, 0x1.715e0875bbdfep-15, 0x1.83d998abe3dcep-15, 0x1.96056e388879bp-15, 0x1.a7e22b6cd13c8p-15, 0x1.b9706e6126c5dp-15, 0x1.cab0d135dfd92p-15, 0x1.dba3ea513cce4p-15, 0x1.ec4a4c9a150dep-15, 0x1.fca487b1a3bbfp-15, 0x1.065994150d7bap-14, 0x1.0e3b5bdcfa558p-14, 0x1.15f7deb7d95aap-14, 0x1.1d8f5ef0397fp-14, 0x1.25021dab6c4abp-14, 0x1.2c505aff49b46p-14, 0x1.337a56070a565p-14, 0x1.3a804cf7fdf83p-14, 0x1.41627d3378b9ep-14, 0x1.4821235a67c36p-14, 0x1.4ebc7b5dc5936p-14, 0x1.5534c08f83378p-14, 0x1.5b8a2db27df6dp-14, 0x1.61bcfd08b12f2p-14, 0x1.67cd686271e89p-14, 0x1.6dbba92b416b1p-14, 0x1.7387f876a5c5bp-14, 0x1.79328f0c8c575p-14, 0x1.7ebba574471dap-14, 0x1.842373fff0e0ep-14, 0x1.896a32d5ebe2cp-14, 0x1.8e9019fb326b2p-14, 0x1.9395615b8383dp-14, 0x1.987a40d2bc00dp-14, 0x1.9d3ef034067dfp-14, 0x1.a1e3a7520afc7p-14, 0x1.a6689e04c24c2p-14, 0x1.aace0c30f6bdbp-14, 0x1.af1429cdc79p-14, 0x1.b33b2ee9e5ee5p-14, 0x1.b74353b1727p-14, 0x1.bb2cd071b9a95p-14, 0x1.bef7dd9e90ddcp-14, 0x1.c2a4b3d541991p-14, 0x1.c6338be0c28c5p-14, 0x1.c9a49ebc8d891p-14, 0x1.ccf82597f1c8ap-14, 0x1.d02e59d7e84c2p-14, 0x1.d3477519f4a67p-14, 0x1.d643b135dabc3p-14, 0x1.d923483f2b149p-14, 0x1.dbe67486ef97ep-14, 0x1.de8d709c61814p-14, 0x1.e118774e2f6e6p-14, 0x1.e387c3aaed0fbp-14, 0x1.e5db910196a9ep-14, 0x1.e8141ae1c1b99p-14, 0x1.ea319d1b6fe9cp-14, 0x1.ec3453bf2be6bp-14, 0x1.ee1c7b1d46cfcp-14, 0x1.efea4fc5992a6p-14, 0x1.f19e0e86cebd6p-14, 0x1.f337f46d20813p-14, 0x1.f4b83ec1cbb74p-14, 0x1.f61f2b09635ecp-14, 0x1.f76cf702eb6bfp-14, 0x1.f8a1e0a64c776p-14, 0x1.f9be26227bc38p-14, 0x1.fac205dc5ccefp-14, 0x1.fbadbe6c4ad37p-14, 0x1.fc818e9cd81ep-14, 0x1.fd3db568625c9p-14, 0x1.fde271f777e4p-14, 0x1.fe70039e46294p-14, 0x1.fee6a9daa4f47p-14, 0x1.ff46a451b016bp-14, 0x1.ff9032cd9c91dp-14, 0x1.ffc3953b18a8cp-14, 0x1.ffe10ba71f3a3p-14, 0x1.ffe8d63c31fc6p-14, 0x1.ffdb35401e6e8p-14, 0x1.ffb8691115da3p-14, 0x1.ff80b2233337fp-14, 0x1.ff3450fe187f6p-14, 0x1.fed38639c400fp-14, 0x1.fe5e927c69288p-14, 0x1.fdd5b67747a4ap-14, 0x1.fd3932e44a83bp-14, 0x1.fc8948832b04p-14, 0x1.fbc638167a2c3p-14, 0x1.faf0426162221p-14, 0x1.fa07a824607f7p-14, 0x1.f90caa1af20b3p-14, 0x1.f7ff88f86d7bp-14, 0x1.f6e08565c697ap-14, 0x1.f5afdffe5a956p-14, 0x1.f46dd94d6cf6cp-14, 0x1.f31ab1cb7e9abp-14, 0x1.f1b6a9db8290cp-14, 0x1.f04201c81f896p-14, 0x1.eebcf9c16bc56p-14, 0x1.ed27d1d9b407p-14, 0x1.eb82ca036bbf7p-14, 0x1.e9ce220e2108ap-14, 0x1.e80a19a445317p-14, 0x1.e636f04881feap-14, 0x1.e454e5533bf5p-14, 0x1.e26437efe5cdbp-14, 0x1.e065271b16781p-14, 0x1.de57f19f6cdd3p-14, 0x1.dc3cd613cbb6ap-14, 0x1.da1412d893c9ep-14, 0x1.d7dde615a619ep-14, 0x1.d59a8db7d42d5p-14, 0x1.d34a476ef9ab7p-14, 0x1.d0ed50ab6908p-14, 0x1.ce83e69c1723ep-14, 0x1.cc0e462c3e03ep-14, 0x1.c98cac017a08p-14, 0x1.c6ff5479af49dp-14, 0x1.c4667ba8e993ap-14, 0x1.c1c25d57b33c8p-14, 0x1.bf133500e31bfp-14, 0x1.bc593dcfda2d9p-14, 0x1.b994b29ebbcd8p-14, 0x1.b6c5cdf4771e3p-14, 0x1.b3ecca0359578p-14, 0x1.b109e0a6fa59ap-14, 0x1.ae1d4b62f3039p-14, 0x1.ab274360edcd6p-14, 0x1.a828016f4b1b1p-14, 0x1.a51fbdff7f4dp-14, 0x1.a20eb124aca02p-14, 0x1.9ef5129211d11p-14, 0x1.9bd31999d80bfp-14, 0x1.98a8fd2b79ff1p-14, 0x1.9576f3d2a3156p-14, 0x1.923d33b5d4538p-14, 0x1.8efbf2953c016p-14, 0x1.8bb365c968c27p-14, 0x1.8863c24245188p-14, 0x1.850d3c85eedf5p-14, 0x1.81b008afa8b97p-14, 0x1.7e4c5a6edb567p-14, 0x1.7ae265060d2e1p-14, 0x1.77725b49fd892p-14, 0x1.73fc6fa0d414dp-14, 0x1.7080d4011c372p-14, 0x1.6cffb9f11cap-14, 0x1.69795285e86a2p-14, 0x1.65edce62c8af9p-14, 0x1.625d5db87942bp-14, 0x1.5ec8304479951p-14, 0x1.5b2e755073f4p-14, 0x1.57905bb1a497ap-14, 0x1.53ee11c853f7dp-14, 0x1.5047c57f63259p-14, 0x1.4c9da44baa05dp-14, 0x1.48efdb2baa939p-14, 0x1.453e96a7031a4p-14, 0x1.418a02ce37a01p-14, 0x1.3dd24b3a465a3p-14, 0x1.3a179b0c66488p-14, 0x1.365a1cedaaf9dp-14, 0x1.3299fb0ee0561p-14, 0x1.2ed75f2844e76p-14, 0x1.2b1272796fe93p-14, 0x1.274b5dc91941dp-14, 0x1.23824965018cep-14, 0x1.1fb75d21e665fp-14, 0x1.1beac05b5b50ep-14, 0x1.181c99f3d7991p-14, 0x1.144d1054b7c23p-14, 0x1.107c496e3b8d1p-14, 0x1.0caa6ab7a211cp-14, 0x1.08d7992f35ffap-14, 0x1.0503f95a6c0fp-14, 0x1.012faf45eac04p-14, 0x1.fab5bd0bbf7e6p-15, 0x1.f30b546c3403fp-15, 0x1.eb6069f4730c3p-15, 0x1.e3b541fbf1fc6p-15, 0x1.dc0a1feab7839p-15, 0x1.d45f463a09436p-15, 0x1.ccb4f675020d6p-15, 0x1.c50b71394d3c9p-15, 0x1.bd62f6377b609p-15, 0x1.b5bbc43418bdfp-15, 0x1.ae16190851f53p-15, 0x1.a67231a2b85e1p-15, 0x1.9ed04a082617ap-15, 0x1.97309d54a218p-15, 0x1.8f9365bc3d641p-15, 0x1.87f8dc8bfd3f6p-15, 0x1.80613a2afe48bp-15, 0x1.78ccb61b54fp-15, 0x1.713b86fb205cap-15, 0x1.69ade285ab60cp-15, 0x1.6223fd949107p-15, 0x1.5a9e0c20968c5p-15, 0x1.531c41433f9d8p-15, 0x1.4b9ecf37d5b6bp-15, 0x1.4425e75c9d439p-15, 0x1.3cb1ba3405588p-15, 0x1.35427765f890fp-15, 0x1.2dd84dc138bd2p-15, 0x1.26736b3cc6cf8p-15, 0x1.1f13fcf8f733fp-15, 0x1.17ba2f4103e49p-15, 0x1.10662d8c5c8ffp-15, 0x1.09182280208a3p-15, 0x1.01d037f07a7a6p-15, 0x1.f51d2dc43b14p-16, 0x1.e6a6cf1761d97p-16, 0x1.d83da2ae97f5dp-16, 0x1.c9e1f5c80fd4ap-16, 0x1.bb94140ecebe9p-16, 0x1.ad54479e070e2p-16, 0x1.9f22d9040d832p-16, 0x1.91000f457860fp-16, 0x1.82ec2fdfddfe3p-16, 0x1.74e77ecda2fdp-16, 0x1.66f23e88ea92ap-16, 0x1.590cb00e9ddebp-16, 0x1.4b3712e1dbbdfp-16, 0x1.3d71a50f3ca84p-16, 0x1.2fbca32fdfcb9p-16, 0x1.2218486cefc41p-16, 0x1.1484ce83006b6p-16, 0x1.07026dc50c18ap-16, 0x1.f322ba3fd0fe2p-17, 0x1.d863a43bf3074p-17, 0x1.bdc801d46b64fp-17, 0x1.a35038a6aa6f2p-17, 0x1.88fcab9eee07dp-17, 0x1.6ecdbaff3ca26p-17, 0x1.54c3c465a380ap-17, 0x1.3adf22d3908dcp-17, 0x1.21202eb4657d3p-17, 0x1.07873de3eb10ap-17, 0x1.dc29476b8eadcp-18, 0x1.a99161f7830f6p-18, 0x1.7747681981ddfp-18, 0x1.454bf1984456ep-18, 0x1.139f915fd4a56p-18, 0x1.c485ab1e5dd2cp-19, 0x1.626c8f0f21b9ep-19, 0x1.00f4d7f0987ebp-19, 0x1.403f0bb2ae621p-20, 0x1.ff6c7db6bf2e3p-22, -0x1.fa01c9c479a4fp-23, -0x1.fa2268eb72e77p-21, -0x1.b9961a31d6672p-20, -0x1.3a66a1e991144p-19, -0x1.975a8e0493e8fp-19, -0x1.f3a60f4abb5d3p-19, -0x1.27a4360579472p-18, -0x1.55207973f1ac4p-18, -0x1.82477d5e663fbp-18, -0x1.af18f14171f44p-18, -0x1.db94889b8f707p-18, -0x1.03dcfd6fca91bp-17, -0x1.19c481b3bcfe2p-17, -0x1.2f80b0b39c0ddp-17, -0x1.45116befc9ecdp-17, -0x1.5a7696c8f1cd8p-17, -0x1.6fb0167909227p-17, -0x1.84bdd20cef14dp-17, -0x1.999fb25e6e696p-17, -0x1.ae55a20d0052cp-17, -0x1.c2df8d7829da2p-17, -0x1.d73d62b9394f3p-17, -0x1.eb6f119c25c8cp-17, -0x1.ff748b99ad23ep-17, -0x1.09a6e1e8cb052p-16, -0x1.137d5781bf13bp-16, -0x1.1d3da1c4c92ddp-16, -0x1.26e7bca91d70cp-16, -0x1.307ba4eccb397p-16, -0x1.39f95811e3ebap-16, -0x1.4360d45b60262p-16, -0x1.4cb218ca45d16p-16, -0x1.55ed251a7cc1p-16, -0x1.5f11f9bfeaabep-16, -0x1.682097e38e6b9p-16, -0x1.711901609f8e9p-16, -0x1.79fb38c1a76e6p-16, -0x1.82c7413d7a91p-16, -0x1.8b7d1eb47cfbp-16, -0x1.941cd5ae16c94p-16, -0x1.9ca66b5515875p-16, -0x1.a519e57599d7bp-16, -0x1.ad774a7a6a2f5p-16, -0x1.b5bea1695e42fp-16, -0x1.bdeff1e1934cbp-16, -0x1.c60b441878e29p-16, -0x1.ce10a0d669107p-16, -0x1.d60011751361cp-16, -0x1.ddd99fdc27b7bp-16, -0x1.e59d567ee86e1p-16, -0x1.ed4b4059ca30ap-16, -0x1.f4e368ef6f862p-16, -0x1.fc65dc467c873p-16, -0x1.01e95373919fbp-15, -0x1.0594eaec03b87p-15, }}, 
      {{-0x1.f51b9efb5e7fcp-1, -0x1.f4e25f11b5f84p-1, -0x1.f46f0510a6a11p-1, -0x1.f3bd997bc9d5bp-1, -0x1.f2d34e61c2c6ap-1, -0x1.f1b92eb056679p-1, -0x1.f078200c6310cp-1, -0x1.ef16de2c6748dp-1, -0x1.ed99814f7b68fp-1, -0x1.ec01e8d96bdcbp-1, -0x1.ea5080b8eea0ap-1, -0x1.e8850aaa7770bp-1, -0x1.e69f3fe7810acp-1, -0x1.e49f3d162cb3fp-1, -0x1.e285bacbd17fep-1, -0x1.e0541c81332ccp-1, -0x1.de0c61fbc0dfp-1, -0x1.dbb10678b95e5p-1, -0x1.d944d6ef23ac4p-1, -0x1.d6cac66da7179p-1, -0x1.d445c569897e3p-1, -0x1.d1b89ef966079p-1, -0x1.cf25dd804639cp-1, -0x1.cc8fb73929ea6p-1, -0x1.c9f802536a496p-1, -0x1.c7602fd66f33cp-1, -0x1.c4c94c3f79f0bp-1, -0x1.c23404b0f83ecp-1, -0x1.bfa0af8c0247dp-1, -0x1.bd0f5760d3cb3p-1, -0x1.ba7fc7428dfadp-1, -0x1.b7f197afd97fap-1, -0x1.b5643b68e117fp-1, -0x1.b2d70bb0ce929p-1, -0x1.b049539b9b708p-1, -0x1.adba5a27ad72bp-1, -0x1.ab296afcc223dp-1, -0x1.a895ddbf2de49p-1, -0x1.a5ff1bf788367p-1, -0x1.a364a59bedba6p-1, -0x1.a0c6145185502p-1, -0x1.9e231d83700a3p-1, -0x1.9b7b93703ad28p-1, -0x1.98cf6550d253p-1, -0x1.961e9ebc366a1p-1, -0x1.9369666a43c12p-1, -0x1.90affc760b64fp-1, -0x1.8df2b83dbd147p-1, -0x1.8b3205fb5974bp-1, -0x1.886e642e5167dp-1, -0x1.85a860eb22866p-1, -0x1.82e0972300d7cp-1, -0x1.8017abf2a88b5p-1, -0x1.7d4e4c04c935cp-1, -0x1.7a852911f66f3p-1, -0x1.77bcf785d0d05p-1, -0x1.74f66c4f146a9p-1, -0x1.72323ade80817p-1, -0x1.6f711357077fep-1, -0x1.6cb3a0f06eb6dp-1, -0x1.69fa888c705d7p-1, -0x1.6746677d94a29p-1, -0x1.6497d27e3fe15p-1, -0x1.61ef54d5e3ca6p-1, -0x1.5f4d6fa9d6e31p-1, -0x1.5cb299770c4a4p-1, -0x1.5a1f3db1a5b45p-1, -0x1.5793bc874bee1p-1, -0x1.55106ac11cbdap-1, -0x1.529591c20d079p-1, -0x1.50236f9ea47cep-1, -0x1.4dba374b16721p-1, -0x1.4b5a10dcd6504p-1, -0x1.490319dceefbp-1, -0x1.46b565a88da2cp-1, -0x1.4470fddd5c075p-1, -0x1.4235e2cf7146fp-1, -0x1.40040c06d51dfp-1, -0x1.3ddb68c2b5fb3p-1, -0x1.3bbbe080a785ap-1, -0x1.39a5538666c4p-1, -0x1.37979b6cc8748p-1, -0x1.35928baaa3df9p-1, -0x1.3395f21ead6dcp-1, -0x1.31a19797557c7p-1, -0x1.2fb54057e89bbp-1, -0x1.2dd0ac9a43448p-1, -0x1.2bf3990c8c124p-1, -0x1.2a1dbf4a802afp-1, -0x1.284ed651f30f2p-1, -0x1.268692f23908bp-1, -0x1.24c4a83646c76p-1, -0x1.2308c7c95e26dp-1, -0x1.2152a256341ap-1, -0x1.1fa1e7e081e2bp-1, -0x1.1df6481906322p-1, -0x1.1c4f72ac01a2bp-1, -0x1.1aad178a3d464p-1, -0x1.190ee72cbcb69p-1, -0x1.177492d338045p-1, -0x1.15ddccbd84e39p-1, -0x1.144a486019f57p-1, -0x1.12b9ba93d6a14p-1, -0x1.112bd9c14247ep-1, -0x1.0fa05e07721a8p-1, -0x1.0e17015ec8cfdp-1, -0x1.0c8f7fb7c4568p-1, -0x1.0b0997160a1e3p-1, -0x1.098507a7eaebp-1, -0x1.080193da88dcap-1, -0x1.067f006adb7a7p-1, -0x1.04fd1473b9c84p-1, -0x1.037b99791f654p-1, -0x1.01fa5b70dca32p-1, -0x1.007928c8d6f96p-1, -0x1.fdefa4d61e863p-2, -0x1.faec577f1edbp-2, -0x1.f7e81558d6411p-2, -0x1.f4e28f27f5ef8p-2, -0x1.f1db7aa2e5ac1p-2, -0x1.eed29267f2c07p-2, -0x1.ebc795f0c171cp-2, -0x1.e8ba49833e1d2p-2, -0x1.e5aa76204b8c6p-2, -0x1.e297e97063489p-2, -0x1.df8275ae60a6ep-2, -0x1.dc69f190a44dfp-2, -0x1.d94e3830bfb24p-2, -0x1.d62f28f1d8eb3p-2, -0x1.d30ca765e68bp-2, -0x1.cfe69b31f288bp-2, -0x1.ccbceff184575p-2, -0x1.c98f951950126p-2, -0x1.c65e7dd953359p-2, -0x1.c329a0fe71594p-2, -0x1.bff0f8d3b10dep-2, -0x1.bcb4830332597p-2, -0x1.b9744076f4d39p-2, -0x1.b63035397da7p-2, -0x1.b2e868567e035p-2, -0x1.af9ce3bb79ff4p-2, -0x1.ac4db418931b4p-2, -0x1.a8fae8c175f2ap-2, -0x1.a5a4938e8660fp-2, -0x1.a24ac8be4a8b5p-2, -0x1.9eed9ed72bad8p-2, -0x1.9b8d2e898dfacp-2, -0x1.982992924fda8p-2, -0x1.94c2e79db7177p-2, -0x1.91594c2ad22b4p-2, -0x1.8dece06f55901p-2, -0x1.8a7dc63bfd73fp-2, -0x1.870c20e177c2fp-2, -0x1.83981515dbcf7p-2, -0x1.8021c8dab0795p-2, -0x1.7ca963638cb4ap-2, -0x1.792f0cfd4d986p-2, -0x1.75b2eef5ea516p-2, -0x1.72353384e203bp-2, -0x1.6eb605b44db82p-2, -0x1.6b35914a91ef7p-2, -0x1.67b402b4b04dp-2, -0x1.643186f13f0f5p-2, -0x1.60ae4b7c03b3cp-2, -0x1.5d2a7e3a2f735p-2, -0x1.59a64d673fcb7p-2, -0x1.5621e78282a24p-2, -0x1.529d7b3d3d95bp-2, -0x1.4f193769732e9p-2, -0x1.4b954ae94e52ap-2, -0x1.4811e49f26533p-2, -0x1.448f335e24646p-2, -0x1.410d65db86f84p-2, -0x1.3d8caaa07a31cp-2, -0x1.3a0d2ffc8e3bep-2, -0x1.368f23f8bfa3ep-2, -0x1.3312b44b168f1p-2, -0x1.2f980e4ad7f34p-2, -0x1.2c1f5ee546305p-2, -0x1.28a8d292ed852p-2, -0x1.2534954d7f03bp-2, -0x1.21c2d2862e94fp-2, -0x1.1e53b51c9bf74p-2, -0x1.1ae767563b47dp-2, -0x1.177e12d63df85p-2, -0x1.1417e095fbc07p-2, -0x1.10b4f8ddd32fep-2, -0x1.0d55833e82c19p-2, -0x1.09f9a68af7cdbp-2, -0x1.06a188d28f63fp-2, -0x1.034d4f5bc3575p-2, -0x1.fffa3d3e9345dp-3, -0x1.f96234872921fp-3, -0x1.f2d2ca31844d9p-3, -0x1.ec4c4229ce174p-3, -0x1.e5cedea17c4d1p-3, -0x1.df5ae0096af2fp-3, -0x1.d8f0850ca887bp-3, -0x1.d2900a8bf3181p-3, -0x1.cc39ab99dff65p-3, -0x1.c5eda177a3886p-3, -0x1.bfac23927a0e4p-3, -0x1.b9756781ac193p-3, -0x1.b349a1051ede9p-3, -0x1.ad290204776f5p-3, -0x1.a713ba8ec8eacp-3, -0x1.a109f8dab96f9p-3, -0x1.9b0be94732084p-3, -0x1.9519b65c81d18p-3, -0x1.8f3388cdeff57p-3, -0x1.8959877bc5474p-3, -0x1.838bd775b4decp-3, -0x1.7dca9bfdb0031p-3, -0x1.7815f68b19156p-3, -0x1.726e06ce4d905p-3, -0x1.6cd2eab488de8p-3, -0x1.6744be6c1ac13p-3, -0x1.61c39c68e87b4p-3, -0x1.5c4f9d69353bbp-3, -0x1.56e8d87ab70ecp-3, -0x1.518f62ffe4fc1p-3, -0x1.4c4350b582b6ep-3, -0x1.4704b3b86ac25p-3, -0x1.41d39c8b8815ap-3, -0x1.3cb01a1e03a58p-3, -0x1.379a39d19eca2p-3, -0x1.3292078136fc2p-3, -0x1.2d978d877830bp-3, -0x1.28aad4c5a3701p-3, -0x1.23cbe4aa84ecbp-3, -0x1.1efac3397f35dp-3, -0x1.1a377511b2905p-3, -0x1.1581fd753c0f5p-3, -0x1.10da5e5089c8fp-3, -0x1.0c409841bfc1ep-3, -0x1.07b4aaa02a0a4p-3, -0x1.03369383c315cp-3, -0x1.fd8c9f997427ap-4, -0x1.f4c7b6561077fp-4, -0x1.ec1e604c14ff8p-4, -0x1.e390904839febp-4, -0x1.db1e36e47080ap-4, -0x1.d2c7429723d28p-4, -0x1.ca8b9fc265de3p-4, -0x1.c26b38c320cc4p-4, -0x1.ba65f6003c555p-4, -0x1.b27bbdf9a8afdp-4, -0x1.aaac75575b6b5p-4, -0x1.a2f7fef845421p-4, -0x1.9b5e3c011323ep-4, -0x1.93df0beaf07cp-4, -0x1.8c7a4c9216cd4p-4, -0x1.852fda444be2cp-4, -0x1.7dff8fcf3162dp-4, -0x1.76e9468e791dp-4, -0x1.6fecd679eb407p-4, -0x1.690a16334c8e5p-4, -0x1.6240db140f109p-4, -0x1.5b90f93ae10a8p-4, -0x1.54fa439906f4cp-4, -0x1.4e7c8bff8b146p-4, -0x1.4817a32c3ba2p-4, -0x1.41cb58d671879p-4, -0x1.3b977bbbae79dp-4, -0x1.357bd9ac00235p-4, -0x1.2f783f962f3cep-4, -0x1.298c7993ba0bbp-4, -0x1.23b852f49a733p-4, -0x1.1dfb964ad0909p-4, -0x1.18560d75b943ep-4, -0x1.12c781ad2b5edp-4, -0x1.0d4fbb8c5bd4ap-4, -0x1.07ee831c8aacp-4, -0x1.02a39fdf74215p-4, -0x1.faddb1b3156ffp-5, -0x1.f09fe937ea9e6p-5, -0x1.e68d729cad001p-5, -0x1.dca5d970b056bp-5, -0x1.d2e8a895fbb69p-5, -0x1.c9556a537a87p-5, -0x1.bfeba866bbde2p-5, -0x1.b6aaec153fdd5p-5, -0x1.ad92be3d52b42p-5, -0x1.a4a2a76670026p-5, -0x1.9bda2fd1446b1p-5, -0x1.9338df8729cd3p-5, -0x1.8abe3e6949106p-5, -0x1.8269d43f3f645p-5, -0x1.7a3b28c55e84fp-5, -0x1.7231c3ba777afp-5, -0x1.6a4d2ced42d84p-5, -0x1.628cec495ad38p-5, -0x1.5af089e3cb227p-5, -0x1.53778e073b7e9p-5, -0x1.4c21813fb205ep-5, -0x1.44edec65ee832p-5, -0x1.3ddc58aa67119p-5, -0x1.36ec4f9fdc9b4p-5, -0x1.301d5b458f496p-5, -0x1.296f0611177a5p-5, -0x1.22e0daf7da70ap-5, -0x1.1c72657826b2ap-5, -0x1.162331a1f5a2ep-5, -0x1.0ff2cc1f4aeecp-5, -0x1.09e0c23c4c367p-5, -0x1.03eca1eeee18dp-5, -0x1.fc2bf3bcbee8dp-6, -0x1.f0b8b2d42a9c2p-6, -0x1.e57ea1610c4bfp-6, -0x1.da7ce12b34013p-6, -0x1.cfb2959195235p-6, -0x1.c51ee395e4f4fp-6, -0x1.bac0f1e7ac53bp-6, -0x1.b097e8eec22cep-6, -0x1.a6a2f2d539e9fp-6, -0x1.9ce13b90b9dd6p-6, -0x1.9351f0eb55d6dp-6, -0x1.89f4428bdf15fp-6, -0x1.80c761fdb20fep-6, -0x1.77ca82b7fbaf7p-6, -0x1.6efcda248dff5p-6, -0x1.665d9fa633594p-6, -0x1.5dec0c9e98bcp-6, -0x1.55a75c73a9fbdp-6, -0x1.4d8ecc949c52ep-6, -0x1.45a19c7e76c28p-6, -0x1.3ddf0dc03b754p-6, -0x1.364663fea4c2bp-6, -0x1.2ed6e4f77e46ap-6, -0x1.278fd884a1c9fp-6, -0x1.2070889e8ed61p-6, -0x1.1978415ea99eep-6, -0x1.12a6510129b3ap-6, -0x1.0bfa07e69c525p-6, -0x1.0572b8952f22fp-6, -0x1.fe1f6f7333afbp-7, -0x1.f1a0b84f6dc0fp-7, -0x1.e567fdb5c201ap-7, -0x1.d973f5ebef144p-7, -0x1.cdc35b865057ep-7, -0x1.c254ed66d6bap-7, -0x1.b7276ebb93c29p-7, -0x1.ac39a6fcb94aep-7, -0x1.a18a61ea16524p-7, -0x1.97186f883b28p-7, -0x1.8ce2a41d1ab32p-7, -0x1.82e7d82c39ba3p-7, -0x1.7926e8728f5bcp-7, -0x1.6f9eb5e1e573dp-7, -0x1.664e259befd2fp-7, -0x1.5d3420ed03c12p-7, -0x1.544f95466e65cp-7, -0x1.4b9f743886386p-7, -0x1.4322b36c5a121p-7, -0x1.3ad84c9d36721p-7, -0x1.32bf3d91bd8cp-7, -0x1.2ad68814ce5cp-7, -0x1.231d31ee23ac4p-7, -0x1.1b9244dac7c1dp-7, -0x1.1434ce852f3abp-7, -0x1.0d03e07d338dep-7, -0x1.05fe902fd8a08p-7, -0x1.fe47edbd9768p-8, -0x1.f0e6632fa4933p-8, -0x1.e3d6c257fe5b7p-8, -0x1.d717544d6f0b4p-8, -0x1.caa669894971dp-8, -0x1.be8259d4d9973p-8, -0x1.b2a98436bd3b1p-8, -0x1.a71a4edff4d4ep-8, -0x1.9bd32718ae35bp-8, -0x1.90d2812ce9ba7p-8, -0x1.8616d858e9bb1p-8, -0x1.7b9eaeb595df3p-8, -0x1.71688d2476958p-8, -0x1.6773033bed9fep-8, -0x1.5dbca732ea541p-8, -0x1.544415ccd6703p-8, -0x1.4b07f24557967p-8, -0x1.4206e63bd6cc9p-8, -0x1.393fa19f2f63fp-8, -0x1.30b0da99311fep-8, -0x1.28594d7a29adfp-8, -0x1.2037bca4687cep-8, -0x1.184af077b6311p-8, -0x1.1091b73cd9e3ap-8, -0x1.090ae5110c5e3p-8, -0x1.01b553d1a1195p-8, -0x1.f51fc60ee9eeap-9, -0x1.e732efa5582d9p-9, -0x1.d9a1f9ac8b6a6p-9, -0x1.cc6ac447cb17ap-9, -0x1.bf8b3a4f3d2aap-9, -0x1.b3015127bd841p-9, -0x1.a6cb089aad766p-9, -0x1.9ae66aae2e43p-9, -0x1.8f518b7d81de8p-9, -0x1.840a891180898p-9, -0x1.790f8b3985c2p-9, -0x1.6e5ec3644aa0bp-9, -0x1.63f66c796d99dp-9, -0x1.59d4cab2b7d0ap-9, -0x1.4ff82b7625328p-9, -0x1.465ee53002867p-9, -0x1.3d07572d35b58p-9, -0x1.33efe9760edf3p-9, -0x1.2b170ca935934p-9, -0x1.227b39d725995p-9, -0x1.1a1af25dcc5ecp-9, -0x1.11f4bfc46a83p-9, -0x1.0a07339822c6dp-9, -0x1.0250e748835adp-9, -0x1.f5a0f8094af93p-10, -0x1.e7093531117fap-10, -0x1.d8d7e695c6df9p-10, -0x1.cb0a7b767f008p-10, -0x1.bd9e7180d59efp-10, -0x1.b091548eea8a4p-10, -0x1.a3e0be65aa72cp-10, -0x1.978a5674162bp-10, -0x1.8b8bd1937f5c5p-10, -0x1.7fe2f1c80e696p-10, -0x1.748d8602796fep-10, -0x1.698969e24ec7ep-10, -0x1.5ed485791e713p-10, -0x1.546ccd0e4120ep-10, -0x1.4a5040e3b206dp-10, -0x1.407cecfb634c7p-10, -0x1.36f0e8dd7962dp-10, -0x1.2daa575f72c11p-10, -0x1.24a7666be5617p-10, -0x1.1be64ecb01468p-10, -0x1.136553ec1294bp-10, -0x1.0b22c3af972aap-10, -0x1.031cf6322b7ep-10, -0x1.f6a49b3084b8ep-11, -0x1.e7826bb538269p-11, -0x1.d8d049272f214p-11, -0x1.ca8b319a1ae15p-11, -0x1.bcb0359e96c6p-11, -0x1.af3c77e0cb9c3p-11, -0x1.a22d2cc95e64ap-11, -0x1.957f9a1f590cap-11, -0x1.893116abb83d6p-11, -0x1.7d3f09de8cea7p-11, -0x1.71a6eb754e182p-11, -0x1.6666432306a9bp-11, -0x1.5b7aa839c7e53p-11, -0x1.50e1c1555b0bfp-11, -0x1.469944077a892p-11, -0x1.3c9ef485f0643p-11, -0x1.32f0a55906e3ap-11, -0x1.298c370c9b9ap-11, -0x1.206f97e1ba01fp-11, -0x1.1798c381b8829p-11, -0x1.0f05c2b3038c2p-11, -0x1.06b4ab0ec2743p-11, -0x1.fd473d7085eb6p-12, -0x1.eda1982af26b9p-12, -0x1.de74db1132854p-12, -0x1.cfbd9256e6c34p-12, -0x1.c1786117526d6p-12, -0x1.b3a200d06b2ecp-12, -0x1.a63740e0b04dp-12, -0x1.993506076169ap-12, -0x1.8c9849e68cc94p-12, -0x1.805e1a884673fp-12, -0x1.748399e5ea342p-12, -0x1.6905fd713af67p-12, -0x1.5de28da091ca9p-12, -0x1.5316a57cbd3cp-12, -0x1.489fb2312f8abp-12, -0x1.3e7b329ed47afp-12, -0x1.34a6b6f05a3e8p-12, -0x1.2b1fe030a61cp-12, -0x1.21e45fe4cb1acp-12, -0x1.18f1f7a593b24p-12, -0x1.104678bd803c6p-12, -0x1.07dfc3c7525e3p-12, -0x1.ff77909da3639p-13, -0x1.efb108e8533ep-13, -0x1.e0680920a4884p-13, -0x1.d198c5b831b68p-13, -0x1.c33f8e30b93d8p-13, -0x1.b558cc70fe28bp-13, -0x1.a7e1041df4773p-13, -0x1.9ad4d1f5ea61cp-13, -0x1.8e30eb2f8be9dp-13, -0x1.81f21cde088f4p-13, -0x1.76154b560bcb2p-13, -0x1.6a9771983e5f2p-13, -0x1.5f75a0bcf7305p-13, -0x1.54acff6591c94p-13, -0x1.4a3ac92e26239p-13, -0x1.401c4e24ec676p-13, -0x1.364ef242df855p-13, -0x1.2cd02ce833cc9p-13, -0x1.239d885b62a1ap-13, -0x1.1ab4a14b7cc71p-13, -0x1.12132654edbfcp-13, -0x1.09b6d78904f5ap-13, -0x1.019d85f8c3a53p-13, -0x1.f38a2682ec4e4p-14, -0x1.e456e23a23cabp-14, -0x1.d59d41e700688p-14, -0x1.c75966e0e6327p-14, -0x1.b9879034e8d6ep-14, -0x1.ac2419d824931p-14, -0x1.9f2b7be16f76ep-14, -0x1.929a49c58f35fp-14, -0x1.866d319922242p-14, -0x1.7aa0fb5646eb6p-14, -0x1.6f328827a62d6p-14, -0x1.641ed1b661fb3p-14, -0x1.5962e97ea1638p-14, -0x1.4efbf8250fbdfp-14, -0x1.44e73cd331568p-14, -0x1.3b220c9714496p-14, -0x1.31a9d1c48ef2cp-14, -0x1.287c0b5f119a2p-14, -0x1.1f964c82399fdp-14, -0x1.16f63bd1430c8p-14, -0x1.0e9992e93ea2bp-14, -0x1.067e1dd5d551dp-14, -0x1.fd43751692bfdp-15, -0x1.ee04b0c4a64f8p-15, -0x1.df3bef3025599p-15, -0x1.d0e551a238512p-15, -0x1.c2fd193f42befp-15, -0x1.b57fa61889f6cp-15, -0x1.a86976458368bp-15, -0x1.9bb7250313003p-15, -0x1.8f6569d676959p-15, -0x1.837117b7d6d16p-15, -0x1.77d71c42030a2p-15, -0x1.6c947ee6ca84p-15, -0x1.61a6602aed15ep-15, -0x1.5709f8e25323ep-15, -0x1.4cbc997916beep-15, -0x1.42bba938e5d1bp-15, -0x1.3904a59969b7dp-15, -0x1.2f952193916c3p-15, -0x1.266ac4f815229p-15, -0x1.1d834bccb638p-15, -0x1.14dc85ac6c2d2p-15, -0x1.0c74552c9f6bcp-15, -0x1.0448af462e4dbp-15, -0x1.f8af358570ab1p-16, -0x1.e93e5f5bbba03p-16, -0x1.da3b2d96c6344p-16, -0x1.cba2121c7d9bap-16, -0x1.bd6f9e2f751b1p-16, -0x1.afa0816cf3021p-16, -0x1.a23188d63ff3bp-16, -0x1.951f9dde271efp-16, -0x1.8867c58125c6p-16, -0x1.7c071f5ff0d8fp-16, -0x1.6ffae4e2d8615p-16, -0x1.644068635cea3p-16, -0x1.58d5145b247cep-16, -0x1.4db66a991e001p-16, -0x1.42e2037d5565cp-16, -0x1.38558d395cf2cp-16, -0x1.2e0ecb16281dap-16, -0x1.240b94c1f3ff5p-16, -0x1.1a49d59dfbe23p-16, -0x1.10c78c18fbb72p-16, -0x1.0782c905fb62p-16, -0x1.fcf35e01468b3p-17, -0x1.eb54e39d39db7p-17, -0x1.da26ab98692b5p-17, -0x1.c9655eb0369c4p-17, -0x1.b90dc48e2559cp-17, -0x1.a91cc2b4367bp-17, -0x1.998f5b74e18bdp-17, -0x1.8a62acede930cp-17, -0x1.7b93f011c17eap-17, -0x1.6d2077b1f2859p-17, -0x1.5f05af96e0cd6p-17, -0x1.51411b9acf992p-17, -0x1.43d056cddeab8p-17, -0x1.36b1129fb3b76p-17, -0x1.29e116133bcc5p-17, -0x1.1d5e3cf226dep-17, -0x1.1126770f8e9f9p-17, -0x1.0537c78898b78p-17, -0x1.f3208821add08p-18, -0x1.dc5c28837cd42p-18, -0x1.c61ee1e21499p-18, -0x1.b06547157fee4p-18, -0x1.9b2c0ae79491ap-18, -0x1.866ffedc5c94bp-18, -0x1.722e120b7e4f7p-18, -0x1.5e634ffd25014p-18, -0x1.4b0cdf95dfbd9p-18, -0x1.38280207ff7c4p-18, -0x1.25b211d1261fap-18, -0x1.13a881bd7734bp-18, -0x1.0208dbf53d7f5p-18, -0x1.e1a182262e02p-19, -0x1.bffbce821295ep-19, -0x1.9f1c32bb43042p-19, -0x1.7efe6c5398e1fp-19, -0x1.5f9e5ef8c4fa6p-19, -0x1.40f812fc3fb99p-19, -0x1.2307b3d611404p-19, -0x1.05c98ebaacaa8p-19, -0x1.d274226d2887bp-20, -0x1.9aab8fbaef151p-20, -0x1.6432b9fcc914fp-20, -0x1.2f032ed6a208ap-20, -0x1.f62d651fc12d8p-21, -0x1.90ce7b832c4dep-21, -0x1.2dddf6616387ap-21, -0x1.9aa1167294aadp-22, -0x1.bc6d2e03ebad3p-23, -0x1.333a0a6f3bea1p-25, 0x1.19c2deca2e76fp-23, 0x1.3bb75eaa49bacp-22, 0x1.e62dd60a93bf8p-22, 0x1.462bc5d558856p-21, 0x1.97235467b7944p-21, 0x1.e606680b18c5fp-21, 0x1.196ec8da9fc75p-20, 0x1.3ed892761d3fp-20, 0x1.63449d3d94bcep-20, 0x1.86b6d99211297p-20, 0x1.a9331d0e073a2p-20, 0x1.cabd23c54e354p-20, 0x1.eb58916957427p-20, 0x1.058479382d19p-19, 0x1.14e8de8dc0413p-19, 0x1.23db2944f2889p-19, 0x1.325cffd7dc7d9p-19, 0x1.406fff22a2p-19, 0x1.4e15bad9b847cp-19, 0x1.5b4fbdf48ba64p-19, 0x1.681f8b1c50e3ep-19, 0x1.74869d0b1e56dp-19, 0x1.808666f081d02p-19, 0x1.8c2054cb7ad3ap-19, 0x1.9755cbc475638p-19, 0x1.a2282a7da5946p-19, 0x1.ac98c965ec39bp-19, 0x1.b6a8fb0441b88p-19, 0x1.c05a0c3fc6808p-19, 0x1.c9ad44a5d4c73p-19, 0x1.d2a3e6aa7d361p-19, 0x1.db3f2fe7de2fp-19, 0x1.e38059599b8c3p-19, 0x1.eb689795171f7p-19, 0x1.f2f91affc4632p-19, 0x1.fa33100011c81p-19, 0x1.008bcf98130cbp-18, 0x1.03d3f6c493be3p-18, 0x1.06f28e47f9f99p-18, 0x1.09e8253f34ceep-18, 0x1.0cb54933f87a9p-18, 0x1.0f5a863022e03p-18, 0x1.11d866cdb6aeep-18, 0x1.142f744839557p-18, 0x1.1660368b58056p-18, 0x1.186b3441217dbp-18, 0x1.1a50f2e0397d9p-18, 0x1.1c11f6b7280bp-18, 0x1.1daec2f9790f7p-18, 0x1.1f27d9c9e1e03p-18, 0x1.207dbc4591f58p-18, 0x1.21b0ea8cb9f93p-18, 0x1.22c1e3cc4b8fdp-18, 0x1.23b12645d49e8p-18, 0x1.247f2f57bd6d4p-18, 0x1.252c7b83c3b4cp-18, 0x1.25b986765a3d6p-18, 0x1.2626cb0c0d7edp-18, 0x1.2674c35797c7bp-18, 0x1.26a3e8a67efc9p-18, 0x1.26b4b385e6cb8p-18, 0x1.26a79bc770b5bp-18, 0x1.267d1883d595cp-18, 0x1.2635a01f8adcap-18, 0x1.25d1a84cd3c26p-18, 0x1.2551a60f51d02p-18, 0x1.24b60dbddeb98p-18, 0x1.23ff530474e9ap-18, 0x1.232de8e6eb561p-18, 0x1.224241c15982bp-18, 0x1.213ccf4a5c945p-18, 0x1.201e02931bed6p-18, 0x1.1ee64c094b17fp-18, 0x1.1d961b76a32b6p-18, 0x1.1c2de001c75d2p-18, 0x1.1aae082e89e43p-18, 0x1.191701ddb9d1fp-18, 0x1.17693a4ce6411p-18, 0x1.15a51e16df2c7p-18, 0x1.13cb193223107p-18, 0x1.11db96f151588p-18, 0x1.0fd702019ea17p-18, 0x1.0dbdc46ae5711p-18, 0x1.0b90478e32afp-18, 0x1.094ef42525f69p-18, 0x1.06fa324060f2bp-18, 0x1.049269476511bp-18, 0x1.0217fff62a212p-18, 0x1.ff16b8ba0deabp-19, 0x1.f9d9c7bccc92bp-19, 0x1.f479f65cbdf6bp-19, 0x1.eef80ca0fa33fp-19, 0x1.e954d12e328d8p-19, 0x1.e3910942881fbp-19, 0x1.ddad78b39f94p-19, 0x1.d7aae1eaee00dp-19, 0x1.d18a05e37ac21p-19, 0x1.cb4ba426b182bp-19, 0x1.c4f07ac8f1fb1p-19, 0x1.be7946679132cp-19, 0x1.b7e6c224d63f8p-19, 0x1.b139a7a5b3782p-19, 0x1.aa72af0edb5c8p-19, 0x1.a3928f0147aecp-19, 0x1.9c99fc98c2bffp-19, 0x1.9589ab67773bfp-19, 0x1.8e624d74c621bp-19, 0x1.8724933933f2p-19, 0x1.7fd12b9ce0b11p-19, 0x1.7868c3f486535p-19, 0x1.70ec07ff151d9p-19, 0x1.695ba1e32b204p-19, 0x1.61b83a2d61908p-19, 0x1.5a0277cd190e5p-19, 0x1.523b0013307b9p-19, 0x1.4a6276af56fefp-19, 0x1.42797daeb9a28p-19, 0x1.3a80b57979a72p-19, 0x1.3278bcd1517dap-19, 0x1.2a6230cf972f1p-19, 0x1.223dace3eb22p-19, 0x1.1a0bcad29c82bp-19, 0x1.11cd22b31aedbp-19, 0x1.09824aeebf259p-19, 0x1.012bd84013c2cp-19, 0x1.f194bb61bbe64p-20, 0x1.e0bcd933c0bfp-20, 0x1.cfd12942829cbp-20, 0x1.bed2c774fd118p-20, 0x1.adc2cc4a9917ep-20, 0x1.9ca24cd9e7f2dp-20, 0x1.8b725acffada2p-20, 0x1.7a34046f6e8f2p-20, 0x1.68e8549000242p-20, 0x1.5790529ec8efbp-20, 0x1.462d029ccc769p-20, 0x1.34bf65201409bp-20, 0x1.23487752d0431p-20, 0x1.11c932f5039a3p-20, 0x1.00428e5c64c2bp-20, 0x1.dd6af8eb077eap-21, 0x1.ba45d98841291p-21, 0x1.971796caa6d6ap-21, 0x1.73e202207ad93p-21, 0x1.50a6e63088492p-21, 0x1.2d6806dbcec18p-21, 0x1.0a27214231698p-21, 0x1.cdcbd78e7b075p-22, 0x1.874c2c2a488e6p-22, 0x1.40d292460a8dfp-22, 0x1.f4c49ce6c27a1p-23, 0x1.67fd2fe2909c1p-23, 0x1.b6aa62e810e7ap-24, 0x1.3b4b6c6d1b562p-25, -0x1.ec1da0081c4b4p-26, -0x1.9350edfbe059ep-24, -0x1.55958314f112cp-23, -0x1.e1450788bbfffp-23, -0x1.3658a6c22ce0fp-22, -0x1.7bea5bfc14aefp-22, -0x1.c154e1bec2ba4p-22, -0x1.034ac18d09614p-21, -0x1.25d4cbe78f8dcp-21, -0x1.4847421e75f03p-21, -0x1.6aa0dca98eafcp-21, -0x1.8ce05a3d7807bp-21, -0x1.af047fc2bede9p-21, -0x1.d10c184c21b24p-21, -0x1.f2f5f50c529e8p-21, -0x1.0a6076a5f9499p-20, -0x1.1b35ef2f64454p-20, -0x1.2bfad5cce4d4cp-20, -0x1.3cae9f23d8e8fp-20, -0x1.4d50c2cf54a61p-20, -0x1.5de0bb5a4b482p-20, -0x1.6e5e0639e710cp-20, -0x1.7ec823c7b317fp-20, -0x1.8f1e973ce308dp-20, -0x1.9f60e6aaef2fep-20, -0x1.af8e9af61838fp-20, -0x1.bfa73fcfa5c02p-20, -0x1.cfaa63b0024c7p-20, -0x1.df9797d04e179p-20, -0x1.ef6e7023ffab9p-20, -0x1.ff2e8352891d9p-20, -0x1.076bb558e78e3p-19, -0x1.0f34611f84828p-19, -0x1.16f1144c637aap-19, -0x1.1ea19f7c142bdp-19, -0x1.2645d4955394ep-19, -0x1.2ddd86c5c134fp-19, -0x1.35688a7e94d64p-19, -0x1.3ce6b57153c47p-19, -0x1.4457de8c8a0d1p-19, -0x1.4bbbddf871e04p-19, -0x1.53128d13760d4p-19, -0x1.5a5bc66f0d456p-19, -0x1.619765cc35198p-19, -0x1.68c548186a0fep-19, -0x1.6fe54b69e7d56p-19, -0x1.76f74efc6841p-19, -0x1.7dfb332dcfe58p-19, -0x1.84f0d97aa505fp-19, -0x1.8bd8247ad17b3p-19, -0x1.92b0f7de51004p-19, -0x1.997b386985906p-19, -0x1.a036cbf1d74ap-19, -0x1.a6e3995ab08cdp-19, -0x1.ad818891bf52dp-19, -0x1.b410828b6e731p-19, -0x1.ba90713fdbfc8p-19, -0x1.c1013fa7840ccp-19, -0x1.c762d9b791254p-19, -0x1.cdb52c5e6da4bp-19, -0x1.d3f82580e0c14p-19, -0x1.da2bb3f62d4aap-19, -0x1.e04fc784e8e3ap-19, -0x1.e66450dfb2f41p-19, -0x1.ec6941a1deeb9p-19, -0x1.f25e8c4c30635p-19, -0x1.f8442441610ffp-19, -0x1.fe19fdc2c8229p-19, -0x1.01f006f6a5263p-18, -0x1.04cb255b0e1bbp-18, -0x1.079e55738dc1p-18, -0x1.0a69930dfa78ep-18, -0x1.0d2cda5f724f4p-18, -0x1.0fe8280290664p-18, -0x1.129b78f608219p-18, -0x1.1546ca9b06f6dp-18, -0x1.17ea1ab377669p-18, -0x1.1a85676085f61p-18, -0x1.1d18af212da83p-18, -0x1.1fa3f0d088387p-18, -0x1.22272ba43890bp-18, -0x1.24a25f2afc71cp-18, -0x1.27158b4b2dae9p-18, -0x1.2980b04123fc1p-18, -0x1.2be3ce9db427ep-18, -0x1.2e3ee744c2542p-18, -0x1.3091fb6bc6a86p-18, -0x1.32dd0c9838a45p-18, -0x1.35201c9e2a4b9p-18, -0x1.375b2d9ef0dd7p-18, -0x1.398e42077db5bp-18, -0x1.3bb95c8f18e2fp-18, -0x1.3ddc8035ea739p-18, -0x1.3ff7b0438e234p-18, -0x1.420af045b6984p-18, -0x1.4416440ed6f8fp-18, -0x1.4619afb48ba68p-18, -0x1.4815378e82142p-18, -0x1.4a08e03520a17p-18, -0x1.4bf4ae7fe4179p-18, -0x1.4dd8a7845351bp-18, -0x1.4fb4d094ae022p-18, -0x1.51892f3e838b7p-18, -0x1.5355c949791e2p-18, -0x1.551aa4b5fa82ap-18, -0x1.56d7c7bc0e56ep-18, -0x1.588d38ca015dep-18, -0x1.5a3afe832e0ecp-18, -0x1.5be11fbec5de6p-18, -0x1.5d7fa386ad453p-18, -0x1.5f16911633bdap-18, -0x1.60a5efd8e48c2p-18, -0x1.622dc769712e6p-18, -0x1.63ae1f908d174p-18, -0x1.652700437a277p-18, -0x1.669871a351132p-18, -0x1.68027bfbd5e95p-18, -0x1.696527c1f66cdp-18, -0x1.6ac07d931965p-18, -0x1.6c14863416051p-18, -0x1.6d614a8fb493bp-18, -0x1.6ea6d3b60afdap-18, -0x1.6fe52adb4994ap-18, -0x1.711c5956aa655p-18, -0x1.724c68a18ef44p-18, -0x1.737562564dda5p-18, -0x1.7497502f60a61p-18, -0x1.75b23c06704dap-18, -0x1.76c62fd31d07ap-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      39, 0x1.9c28f5c28f5c3p+2, 0x1.8be0145815e8fp+0, 0x1.ed7015d532574p+0, -0x1.abff29d2703dp-10, 
      {{
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.40fdbf81830cep-8, -0x1.4aeb69dd45f59p-7, 0x1.ffbae4a14e135p-8, -0x1.5c21485a6e093p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.212824d49d3c3p-8, -0x1.31fc5f0c6ae71p-7, 0x1.e59ecc00ec392p-8, -0x1.51d9dde27d11dp-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.03c04c515c4fep-8, -0x1.1a569995989b3p-7, 0x1.cc480e8fefa4bp-8, -0x1.491ca5304edc2p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d14b814454e35p-9, -0x1.03f0f886a65eep-7, 0x1.b3991bc5e9ba3p-8, -0x1.3ff5ccba93fcdp-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.9f71d66d4fd63p-9, -0x1.dd85cae1e35d4p-8, 0x1.9b99df9e51d42p-8, -0x1.36eb418d40744p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.71b6288756451p-9, -0x1.b5874990fc623p-8, 0x1.84483ab3b9cb8p-8, -0x1.2dd92101d24a2p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.47dcc586813b2p-9, -0x1.8fd509e661504p-8, 0x1.6da4bea0639f9p-8, -0x1.24c908a6785ap-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.21abb8e955ffdp-9, -0x1.6c5da3598685dp-8, 0x1.57af4460b4329p-8, -0x1.1bb864e8da178p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fdd597718c2e7p-10, -0x1.4b0faecf72c24p-8, 0x1.4267d668d70a1p-8, -0x1.12a7e68441e75p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.bec709105e883p-10, -0x1.2bd9c4cb3862p-8, 0x1.2dce71ebb87f3p-8, -0x1.09975e1dcd602p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.85c24eeab708dp-10, -0x1.0eaa7dea28f18p-8, 0x1.19e317a97c4b4p-8, -0x1.0086d865ce0dp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.52616c5102266p-10, -0x1.e6e0e5851b36ep-9, 0x1.06a5c76ea670cp-8, -0x1.eeeca3ebad0bbp-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.2441dfa884d1p-10, -0x1.b43477d923db3p-9, 0x1.e82d0292064dap-9, -0x1.dccb976e6784fp-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.f60944d6b8e4bp-11, -0x1.852ce3ffc0695p-9, 0x1.c46a8a69be897p-9, -0x1.caaa8ad6ac18bp-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.ac9c5250fddfdp-11, -0x1.59a75b288acd9p-9, 0x1.a204266671a16p-9, -0x1.b8897e4600f2dp-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.6b8cc707754c7p-11, -0x1.31810e830a531p-9, 0x1.80f9d68797f5bp-9, -0x1.a66871b37a307p-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.3231786b6cdap-11, -0x1.0c972f3ecb447p-9, 0x1.614b9acd55323p-9, -0x1.944765217306ep-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.ffd0642fc655p-12, -0x1.d58ddd16b13d2p-10, 0x1.42f973379fc4fp-9, -0x1.8226588f3e187p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.a82b6ba30fa4bp-12, -0x1.97dafb307b58fp-10, 0x1.26035fc67b1c4p-9, -0x1.70054bfd20ef2p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.5c4b770d76bbbp-12, -0x1.5fd01b2a0b4b2p-10, 0x1.0a696079e570cp-9, -0x1.5de43f6afe516p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.1b15e29f1e91ap-12, -0x1.2d279f6277a21p-10, 0x1.e056eaa3be55bp-10, -0x1.4bc332d8d0ec6p-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.c6fbedb7180d4p-13, -0x1.ff37d471ad9d4p-11, 0x1.ae933c9cd2326p-10, -0x1.39a22646b8dacp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.6909d1334bc82p-13, -0x1.adcebc187eab5p-11, 0x1.7f87b6df0344fp-10, -0x1.278119b4962bfp-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.1a73b20769a79p-13, -0x1.6588ba778f9fap-11, 0x1.5334596a53241p-10, -0x1.15600d221898ap-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.b2e7565d8dc6ep-14, -0x1.25da944d0c2a5p-11, 0x1.2999243ecf73cp-10, -0x1.033f00917171fp-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.48bf6096f8eb8p-14, -0x1.dc721cae4b50ap-12, 0x1.02b6175c31a2dp-10, -0x1.e23be7f372897p-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e6a636999c941p-15, -0x1.7c31daa7f2c7ap-12, 0x1.bd1665871217bp-11, -0x1.bdf9cef8c517dp-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.5f7ba0bc9e1ap-15, -0x1.29ddec03dda39p-12, 0x1.7a30ece1c1546p-11, -0x1.99b7b53916e7ap-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.ed49ebe110041p-16, -0x1.c8bfb47961d35p-13, 0x1.3cbbc4e5fde3ep-11, -0x1.75759e58ec616p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.4e6f1e53f61cp-16, -0x1.55425daa4b0abp-13, 0x1.04b6ed257408bp-11, -0x1.51337cbf3497cp-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.b2e09fe29d77dp-17, -0x1.ee2dccc7374b9p-14, 0x1.a444ce77f1e44p-12, -0x1.2cf1832cd3b47p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.0c6b7a1d309p-17, -0x1.5820c49f0c33ep-14, 0x1.49fc5a50e594fp-12, -0x1.08aef43651bb6p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.36199cddbe6p-18, -0x1.c807874156123p-15, 0x1.f529554e0086dp-13, -0x1.c8dd2591ca7ap-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.4840a96c808p-19, -0x1.1afa061b85d72p-15, 0x1.6c1a306f10932p-13, -0x1.804c21366d5dp-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.33f52e8d3b001p-20, -0x1.40c9830daf631p-16, 0x1.f1a04cf0ac55ap-14, -0x1.37f7c7cbdff0bp-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.e3dc65cca6p-22, -0x1.3e587da03ddadp-17, 0x1.3672084325f97p-14, -0x1.dd82083c22accp-13}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.1d43ce61a8002p-23, -0x1.fd293c2d5b5a7p-19, 0x1.4e62d8623725fp-15, -0x1.51ae7d184fcc2p-13}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.85c24eebbffffp-26, -0x1.1075fe93ec718p-20, 0x1.078de7740e8bcp-16, -0x1.5a6fab34bdf38p-14}, 
        {0x1.999999999999ap+2, 0x1.9c28f5c28f5c3p+2, 0x1.e6a636cp-31, -0x1.1103a97638a81p-24, 0x1.bd8a6c3ce4801p-19, -0x1.38478b8553681p-13}, 
      }}, 
      0x1.c62f052c7d18dp-9, -0x1.df2247402aa61p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.0afc468d02319p-2, -0x1.51eb851eb851fp-1, -0x1.d614742b4b076p-4, 0x1.b93dd97f62b6bp-2, 0x1.b93dd97f62b6bp-2, 0x1.b93dd97f62b6bp-2, 0, 3, 2}, 
    {{
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      {{-0x1.18db3876422dcp+1, -0x1.177aec03be74p+1, -0x1.15382f7c2a8bep+1, -0x1.121de1fdfaa51p+1, -0x1.0e39360178b6ep+1, -0x1.0998e5a53258dp+1, -0x1.044c986540b49p+1, -0x1.fcc8dc127e1c9p+0, -0x1.efe14af4ecff2p+0, -0x1.e202b14e34bb7p+0, -0x1.d34c90f3caebep+0, -0x1.c3dd6a96cde0bp+0, -0x1.b3d28250616b7p+0, -0x1.a347b3e536e62p+0, -0x1.925753bb42c2p+0, -0x1.811a1a2987d98p+0, -0x1.6fa7174366579p+0, -0x1.5e13ad9e07b94p+0, -0x1.4c7392d35f022p+0, -0x1.3ad8d4bc3f621p+0, -0x1.2953e284e64a7p+0, -0x1.17f398e042c98p+0, -0x1.06c550ba5e1fep+0, -0x1.eba9dfbe8664cp-1, -0x1.ca59f63e072cp-1, -0x1.a9ad530975a48p-1, -0x1.89b3f07a3bf44p-1, -0x1.6a7b7da436a28p-1, -0x1.4c0f87156b107p-1, -0x1.2e799fee2eddep-1, -0x1.11c18a8f4cb85p-1, -0x1.ebdabc4bed8f3p-2, -0x1.b60352f7ad409p-2, -0x1.8203348f93726p-2, -0x1.4fde4992671d6p-2, -0x1.1f9634d1d762cp-2, -0x1.e2550e52d030bp-3, -0x1.89323d7660ad7p-3, -0x1.33bc8f9327f58p-3, -0x1.c3d33e46840abp-4, -0x1.27599e8910e4dp-4, -0x1.23dda8e37d98ap-5, -0x1.b8ce0632f00ffp-11, 0x1.088408389fd2p-5, 0x1.0552b0ff114e8p-4, 0x1.7fe91d6821f1bp-4, 0x1.f42f9e39aff7ap-4, 0x1.3128f3deeed51p-3, 0x1.653e5881f7dd6p-3, 0x1.966ebc5f6a356p-3, 0x1.c4d124db5a9dap-3, 0x1.f07cc493810c9p-3, 0x1.0cc4727abdac7p-2, 0x1.200668eeeb60dp-2, 0x1.320fe3721cd01p-2, 0x1.42ec6f10d85f6p-2, 0x1.52a7802346fbbp-2, 0x1.614c6aeb5d59fp-2, 0x1.6ee65cb93032ep-2, 0x1.7b805594a6f87p-2, 0x1.8725227647314p-2, 0x1.91df581d04a7ap-2, 0x1.9bb94e8c217c5p-2, 0x1.a4bd1d3526c63p-2, 0x1.acf497ca2561dp-2, 0x1.b4694baeb4431p-2, 0x1.bb247dfb0debep-2, 0x1.c12f2a042b2a8p-2, 0x1.c692005c87857p-2, 0x1.cb55664278d58p-2, 0x1.cf817571de241p-2, 0x1.d31dfc4f82eefp-2, 0x1.d6327e649b6fdp-2, 0x1.d8c63520b384dp-2, 0x1.dae010d8cc5c4p-2, 0x1.dc86b9fa681a4p-2, 0x1.ddc0926a2a751p-2, 0x1.de93b706b9a2cp-2, 0x1.df060148bca5cp-2, 0x1.df1d08fb1f286p-2, 0x1.dede2605dc331p-2, 0x1.de4e724827d17p-2, 0x1.dd72cb7dade4bp-2, 0x1.dc4fd52c3c72ap-2, 0x1.dae9fa96e3a69p-2, 0x1.d94570b3c228fp-2, 0x1.d76638229c36cp-2, 0x1.d5501f213c411p-2, 0x1.d306c37ca4972p-2, 0x1.d08d947c15ba3p-2, 0x1.cde7d4c58ec0dp-2, 0x1.cb189c394d26ap-2, 0x1.c822d9c3e7c23p-2, 0x1.c5095525eb673p-2, 0x1.c1ceb0af78d1p-2, 0x1.be756af10c443p-2, 0x1.baffe05e243b4p-2, 0x1.b7704ce4ff516p-2, 0x1.b3c8cd77ab2a7p-2, 0x1.b00b618872ca8p-2, 0x1.ac39ec7a28d3cp-2, 0x1.a85636ffd2a8ap-2, 0x1.a461f073f4d35p-2, 0x1.a05eb01d7fb7p-2, 0x1.9c4df66aa93dep-2, 0x1.98312e1ffc261p-2, 0x1.9409ad7469b41p-2, 0x1.8fd8b72a2f851p-2, 0x1.8b9f7b9317ce1p-2, 0x1.875f198ae81f6p-2, 0x1.83189f6c785d6p-2, 0x1.7ecd0beecd9c5p-2, 0x1.7a7d4f0276135p-2, 0x1.762a4aa2091f8p-2, 0x1.71d4d38e91858p-2, 0x1.6d7db2114f7dbp-2, 0x1.6925a2aa84a0cp-2, 0x1.64cd56b24bbcap-2, 0x1.607575000279p-2, 0x1.5c1e9a7c58a74p-2, 0x1.57c95aa9bb638p-2, 0x1.537640339e1b2p-2, 0x1.4f25cd691303p-2, 0x1.4ad87caefce7bp-2, 0x1.468ec0f9c9fa6p-2, 0x1.424906357c9fbp-2, 0x1.3e07b1a3f61ep-2, 0x1.39cb22431b32ep-2, 0x1.3593b12686b72p-2, 0x1.3161b1c50e0cp-2, 0x1.2d35724c9f0c9p-2, 0x1.290f3bf03ac97p-2, 0x1.24ef5328ebde2p-2, 0x1.20d5f7f8f25d1p-2, 0x1.1cc3662e8be5bp-2, 0x1.18b7d59c37af4p-2, 0x1.14b37a4e8fc59p-2, 0x1.10b684c3682abp-2, 0x1.0cc1221aca1c4p-2, 0x1.08d37c43c0dccp-2, 0x1.04edba2951964p-2, 0x1.010fffdb953dbp-2, 0x1.fa74dd6a6e9e3p-3, 0x1.f2da4b030997ep-3, 0x1.eb50813eb9f43p-3, 0x1.e3d7b43da0204p-3, 0x1.dc7013c00f772p-3, 0x1.d519cb671d3cfp-3, 0x1.cdd502e7f1958p-3, 0x1.c6a1de366e1bap-3, 0x1.bf807db9aacaap-3, 0x1.b870fe82a79dp-3, 0x1.b1737a7190caap-3, 0x1.aa8808536cd99p-3, 0x1.a3aebc0ddcae8p-3, 0x1.9ce7a6cec036bp-3, 0x1.9632d728ed4cap-3, 0x1.8f905926f6c93p-3, 0x1.8900366cb9048p-3, 0x1.8282766214a88p-3, 0x1.7c171e4d2fc8dp-3, 0x1.75be315d2f26p-3, 0x1.6f77b0bf42a99p-3, 0x1.69439bc36f608p-3, 0x1.6321eff93cb31p-3, 0x1.5d12a938881c5p-3, 0x1.5715c1a9d794p-3, 0x1.512b31e02143dp-3, 0x1.4b52f0f7d5ebcp-3, 0x1.458cf4a5b9ac5p-3, 0x1.3fd93138c6ee9p-3, 0x1.3a3799a486e52p-3, 0x1.34a81f9a8854ep-3, 0x1.2f2ab3a1b5024p-3, 0x1.29bf451d8b82cp-3, 0x1.2465c24e361bap-3, 0x1.1f1e185b18099p-3, 0x1.19e83368f1b48p-3, 0x1.14c3feac0cf0ap-3, 0x1.0fb1646cca79cp-3, 0x1.0ab04e072a52dp-3, 0x1.05c0a3f31b8c7p-3, 0x1.00e24dd68718bp-3, 0x1.f82a652a11c64p-4, 0x1.eeb270a9afcaap-4, 0x1.e55c88fc4a5e8p-4, 0x1.dc28777febd2cp-4, 0x1.d316043b4863cp-4, 0x1.ca24f5fa9af13p-4, 0x1.c155125d8318cp-4, 0x1.b8a61dd7e2dfp-4, 0x1.b017dbb535aaep-4, 0x1.a7aa0e2958482p-4, 0x1.9f5c7669499c7p-4, 0x1.972ed4bda4d7p-4, 0x1.8f20e888e8a96p-4, 0x1.87327048903a2p-4, 0x1.7f63299c53789p-4, 0x1.77b2d157133p-4, 0x1.7021239257684p-4, 0x1.68addbbb24085p-4, 0x1.6158b4966fa07p-4, 0x1.5a216843d317cp-4, 0x1.5307b0486c467p-4, 0x1.4c0b4594cdbfcp-4, 0x1.452be09ea05aap-4, 0x1.3e69396613ca7p-4, 0x1.37c30779131f3p-4, 0x1.313901fb5590bp-4, 0x1.2acadfaafa945p-4, 0x1.247856ebacad2p-4, 0x1.1e411dd35f8a4p-4, 0x1.1824ea346c03ep-4, 0x1.122371a3b9986p-4, 0x1.0c3c697ce6eddp-4, 0x1.066f86e78bcbdp-4, 0x1.00bc7edf5e4f7p-4, 0x1.f6460c7c91d91p-5, 0x1.eb45a38bc0b06p-5, 0x1.e0772c4cf618bp-5, 0x1.d5da100850477p-5, 0x1.cb6db7f663802p-5, 0x1.c1318d4bb5bbdp-5, 0x1.b724f9479f5e7p-5, 0x1.ad4765448cd25p-5, 0x1.a3983ac6a63dcp-5, 0x1.9a16e3876fc24p-5, 0x1.90c2c97f05e01p-5, 0x1.879b56ed0aafcp-5, 0x1.7e9ff66304319p-5, 0x1.75d012d08f9e5p-5, 0x1.6d2b17904c621p-5, 0x1.64b07073cb855p-5, 0x1.5c5f89cdbc06p-5, 0x1.5437d07a7f66bp-5, 0x1.4c38b1e82fbf3p-5, 0x1.44619c1f122abp-5, 0x1.3cb1fdcb18d62p-5, 0x1.35294645f116bp-5, 0x1.2dc6e5a0e90a3p-5, 0x1.268a4cadeb97ep-5, 0x1.1f72ed074ee92p-5, 0x1.18803916a8053p-5, 0x1.11b1a41b2cc7ap-5, 0x1.0b06a230660eap-5, 0x1.047ea85587482p-5, 0x1.fc3258eaaf4f9p-6, 0x1.efab4adc652cap-6, 0x1.e3671632d0c7fp-6, 0x1.d764aca2a3917p-6, 0x1.cba301ebeaf36p-6, 0x1.c0210be16aaf9p-6, 0x1.b4ddc27041d3ap-6, 0x1.a9d81fa9e24b4p-6, 0x1.9f0f1fd1293e2p-6, 0x1.9481c169737dap-6, 0x1.8a2f0544d5b2p-6, 0x1.8015ee8e28546p-6, 0x1.763582cd1382bp-6, 0x1.6c8cc9e553d1ap-6, 0x1.631ace1570f8fp-6, 0x1.59de9bf9c766cp-6, 0x1.50d742973126p-6, 0x1.4803d36c603fp-6, 0x1.3f636284f19b3p-6, 0x1.36f506869c9b3p-6, 0x1.2eb7d8b2f8441p-6, 0x1.26aaf4dd320c1p-6, 0x1.1ecd7959abe0dp-6, 0x1.171e86f1b1436p-6, 0x1.0f9d40e4c36cp-6, 0x1.0848ccfb19cf7p-6, 0x1.012053a422f0cp-6, 0x1.f44600287eed4p-7, 0x1.e6a000a6502b4p-7, 0x1.d94d0a635dd6cp-7, 0x1.cc4b8451759a9p-7, 0x1.bf99da5e4782p-7, 0x1.b3367d35e2db1p-7, 0x1.a71fe23fe001bp-7, 0x1.9b5483e151d61p-7, 0x1.8fd2e1ead2914p-7, 0x1.849982078c852p-7, 0x1.79a6effa2adcbp-7, 0x1.6ef9bd7c035bfp-7, 0x1.649081bde120ap-7, 0x1.5a69d8bb775bbp-7, 0x1.508462a95c086p-7, 0x1.46dec3c1b517fp-7, 0x1.3d77a4929356p-7, 0x1.344db2b9fbfa5p-7, 0x1.2b5fa1c7ad2e7p-7, 0x1.22ac2be2677c3p-7, 0x1.1a3211dd2c763p-7, 0x1.11f01a9d810eap-7, 0x1.09e511fc77702p-7, 0x1.020fc78a0cf3ap-7, 0x1.f4de1b6610e54p-8, 0x1.e603735c0b948p-8, 0x1.d78d4896e2c32p-8, 0x1.c97956d14f5b4p-8, 0x1.bbc566f84b8cfp-8, 0x1.ae6f512ff4c15p-8, 0x1.a174fccddb88ap-8, 0x1.94d45e0aef4cfp-8, 0x1.888b7212f7f66p-8, 0x1.7c983acd21e36p-8, 0x1.70f8bbf4a4473p-8, 0x1.65aafabacf60dp-8, 0x1.5aad004b5a90ep-8, 0x1.4ffcde7970f87p-8, 0x1.4598b4f9e279bp-8, 0x1.3b7eb53847a99p-8, 0x1.31ad23323100dp-8, 0x1.282252bde8e17p-8, 0x1.1edca1e88dde2p-8, 0x1.15da72346fd91p-8, 0x1.0d1a2308f176fp-8, 0x1.049a0f5e72f6bp-8, 0x1.f8b11f56da7f5p-9, 0x1.e8a7ff4d47db5p-9, 0x1.d9158c2c79f95p-9, 0x1.c9f6b826018ep-9, 0x1.bb48a26214ce7p-9, 0x1.ad0895d3ff951p-9, 0x1.9f33fe561486ap-9, 0x1.91c857198fd98p-9, 0x1.84c317dc8ec0cp-9, 0x1.7821a6fc2b09bp-9, 0x1.6be15518a0d99p-9, 0x1.5fff6407fc2fdp-9, 0x1.5479173d8609ap-9, 0x1.494bc8bcf7069p-9, 0x1.3e74fc1cfbebbp-9, 0x1.33f26985293acp-9, 0x1.29c1fce0496b3p-9, 0x1.1fe1c90ca5261p-9, 0x1.164ff2950cbep-9, 0x1.0d0a98393fd06p-9, 0x1.040fc054fadc1p-9, 0x1.f6baa1842b4dfp-10, 0x1.e5e2274814b33p-10, 0x1.d5918f6aaabd4p-10, 0x1.c5c46ec11455cp-10, 0x1.b676a011dabcap-10, 0x1.a7a465b42cd56p-10, 0x1.994a74788572p-10, 0x1.8b65e46a27afbp-10, 0x1.7df40b7582237p-10, 0x1.70f24c82353cp-10, 0x1.645de8e9c3fd6p-10, 0x1.5833e143e1995p-10, 0x1.4c70eda2c6da7p-10, 0x1.41118e68a94c8p-10, 0x1.361230352c2bep-10, 0x1.2b6f58d448509p-10, 0x1.2125d1594b3ap-10, 0x1.1732c2aa6c4d1p-10, 0x1.0d93bd5bbb6b8p-10, 0x1.0446ab1e661fbp-10, 0x1.f6935c00fa1e8p-11, 0x1.e535ed3477454p-11, 0x1.d47138fa85447p-11, 0x1.c4410615d2ddep-11, 0x1.b4a0a18c88a47p-11, 0x1.a58af383067f4p-11, 0x1.96fab19426d8ap-11, 0x1.88eaa0734377p-11, 0x1.7b55d4a0a8262p-11, 0x1.6e37e23451f48p-11, 0x1.618cf0a539607p-11, 0x1.5551b0abcdc34p-11, 0x1.49833a9752e46p-11, 0x1.3e1edf1dafa81p-11, 0x1.3321f600430a3p-11, 0x1.2889b4ef0ded7p-11, 0x1.1e531615a1dfep-11, 0x1.147ad277913b4p-11, 0x1.0afd70c0da215p-11, 0x1.01d764c68721p-11, 0x1.f20a6da69a2edp-12, 0x1.e1074be8e8c9ap-12, 0x1.d09f7308fb0ebp-12, 0x1.c0cd7c3a0e736p-12, 0x1.b18c6a7b9ec58p-12, 0x1.a2d78a203b92p-12, 0x1.94aa629782197p-12, 0x1.8700b633644bfp-12, 0x1.79d67c23285fep-12, 0x1.6d27c67819027p-12, 0x1.60f09b5ed7d88p-12, 0x1.552cdab8f26afp-12, 0x1.49d8473781bbep-12, 0x1.3eeeb29c1ff38p-12, 0x1.346c2fd3397bep-12, 0x1.2a4d22db58da8p-12, 0x1.208e1b1a78261p-12, 0x1.172b8e09f9cfap-12, 0x1.0e21a73650f45p-12, 0x1.056c5afe87b86p-12, 0x1.fa0f765823c56p-13, 0x1.e9e0b215a6077p-13, 0x1.da46e45beabc9p-13, 0x1.cb3d935b7f293p-13, 0x1.bcc098caf7dbp-13, 0x1.aecb889da1652p-13, 0x1.a1599f414ddabp-13, 0x1.94662fd87c781p-13, 0x1.87ed22dbaeb6cp-13, 0x1.7beb0703de477p-13, 0x1.705c884e25c1dp-13, 0x1.653d95a15e96fp-13, 0x1.5a88c66d73bcbp-13, 0x1.50377bbf2fd25p-13, 0x1.4642cac65a08p-13, 0x1.3ca4bb3c6e72cp-13, 0x1.335920ef20abp-13, 0x1.2a5d8ba7dfe3p-13, 0x1.21b0622bf2c45p-13, 0x1.194fd3760a097p-13, 0x1.11395d6ed1d19p-13, 0x1.096a2236b9bf9p-13, 0x1.01df9e047d74fp-13, 0x1.f5302bb9044d6p-14, 0x1.e724c26b78bf9p-14, 0x1.d99a59eb78cb8p-14, 0x1.cc8c5db24cfddp-14, 0x1.bff389f509428p-14, 0x1.b3c670fc7c05fp-14, 0x1.a7fb16252ac9bp-14, 0x1.9c88fe30b08cfp-14, 0x1.916ac0641d80ep-14, 0x1.869e2276ff76bp-14, 0x1.7c229128b4a68p-14, 0x1.71f70b2f23f6ap-14, 0x1.68190e057cbddp-14, 0x1.5e851a13a31a6p-14, 0x1.55380547c2729p-14, 0x1.4c2fe9126e031p-14, 0x1.436bfd937be57p-14, 0x1.3aeb86d676628p-14, 0x1.32acb05968285p-14, 0x1.2aac28f896e4bp-14, 0x1.22e578c20c617p-14, 0x1.1b5388fa7cb8p-14, 0x1.13f134a030847p-14, 0x1.0cba121d13ce6p-14, 0x1.05ab4f55bbcabp-14, 0x1.fd87e7118784p-15, 0x1.f00825bd88ebfp-15, 0x1.e2d6fe23c85c5p-15, 0x1.d5f21cd27ee57p-15, 0x1.c955cc765a2eap-15, 0x1.bcfea51747b79p-15, 0x1.b0eae64450bap-15, 0x1.a51a3426dba07p-15, 0x1.998bc9a5dd2eep-15, 0x1.8e3d259bb3926p-15, 0x1.832a8f40f6bfep-15, 0x1.785060104b5fcp-15, 0x1.6dab81b6e1568p-15, 0x1.6338f30e5fec2p-15, 0x1.58f53abc6e6eap-15, 0x1.4edc958c8d3f5p-15, 0x1.44ebec2111567p-15, 0x1.3b21cedac1903p-15, 0x1.317e62edc7b63p-15, 0x1.28021722e038p-15, 0x1.1eac4fcdf0762p-15, 0x1.157b4dbe95802p-15, 0x1.0c6d825ce98cbp-15, 0x1.0382ad3768351p-15, 0x1.f575f498b221ep-16, 0x1.e42af44683e2dp-16, 0x1.d3206231597d3p-16, 0x1.c2526f4dd8717p-16, 0x1.b1beda50a894fp-16, 0x1.a164e15dec17ep-16, 0x1.91446a290962ap-16, 0x1.815ce63eb1e54p-16, 0x1.71ac606e41c1p-16, 0x1.622f3d13e8246p-16, 0x1.52e187a21da6bp-16, 0x1.43c197befd80dp-16, 0x1.34d0ee2a747eap-16, 0x1.26115f6e42dc2p-16, 0x1.178228c5d1919p-16, 0x1.09213df202b1bp-16, 0x1.f5dceb13b91d2p-17, 0x1.d9d5b1a856bf1p-17, 0x1.be2bd55c1f87p-17, 0x1.a2db955d9e108p-17, 0x1.87e1bef3d2384p-17, 0x1.6d3cd8d59a2c8p-17, 0x1.52ec973b1775ep-17, 0x1.38f15ee46ee2ep-17, 0x1.1f4c1e243963fp-17, 0x1.05fdf09298e7ep-17, 0x1.da0e9a4f405d5p-18, 0x1.a8cdcecb216d4p-18, }}, 
      {{-0x1.1929bf90f8adfp+1, -0x1.18b2d438949ep+1, -0x1.17ee6e12e5856p+1, -0x1.16deef456d14fp+1, -0x1.15874e77bd94ep+1, -0x1.13eaee1927334p+1, -0x1.120d7bf1f5f49p+1, -0x1.0ff2d7641d56ep+1, -0x1.0d9efcffdde96p+1, -0x1.0b15f6519be68p+1, -0x1.085bcd0814e0cp+1, -0x1.057480c30d763p+1, -0x1.0263ff01adcb2p+1, -0x1.fe5c398d1e19fp+0, -0x1.f7ad233e161f6p+0, -0x1.f0c1e79ab5809p+0, -0x1.e9a16ac583e43p+0, -0x1.e2524442a98dap+0, -0x1.dadabc098e961p+0, -0x1.d340c8af681abp+0, -0x1.cb8a0e7f19218p+0, -0x1.c3bbdf5950ecap+0, -0x1.bbdb3b3ea279dp+0, -0x1.b3ecd168a50adp+0, -0x1.abf501db8bc87p+0, -0x1.a3f7df5c3aab1p+0, -0x1.9bf931b99e858p+0, -0x1.93fc7859d1f39p+0, -0x1.8c04ecfd4b3d6p+0, -0x1.841586ab781e7p+0, -0x1.7c30fcbd7bb8fp+0, -0x1.7459c9fcfd745p+0, -0x1.6c922fd15e855p+0, -0x1.64dc396e95ac6p+0, -0x1.5d39bef949c6fp+0, -0x1.55ac68a371073p+0, -0x1.4e35b1c1991adp+0, -0x1.46d6ebb88787dp+0, -0x1.3f9140caf0a9cp+0, -0x1.3865b6e026c8dp+0, -0x1.3155320eca1cap+0, -0x1.2a6076fee6d2ep+0, -0x1.23882d3e2e29dp+0, -0x1.1ccce150b51dbp+0, -0x1.162f06a76a13bp+0, -0x1.0faef97bd90d1p+0, -0x1.094d0086944dbp+0, -0x1.03094e9f75ba4p+0, -0x1.f9c8088077de4p-1, -0x1.edba61ea9fefbp-1, -0x1.e1e9a97e9d3d9p-1, -0x1.d655c2c781322p-1, -0x1.cafe775316b56p-1, -0x1.bfe378ff8a206p-1, -0x1.b5046421f8c6ep-1, -0x1.aa60c18cb50ep-1, -0x1.9ff80878785b9p-1, -0x1.95c9a0506ca7ep-1, -0x1.8bd4e25f576edp-1, -0x1.82191b5d22b8ap-1, -0x1.78958cde48254p-1, -0x1.6f496ea85386p-1, -0x1.6633efef065dp-1, -0x1.5d54387ce0c98p-1, -0x1.54a969c882a15p-1, -0x1.4c329ff75587p-1, -0x1.43eef2cda47ecp-1, -0x1.3bdd768c2bc6ap-1, -0x1.33fd3cbb86fcep-1, -0x1.2c4d54e692defp-1, -0x1.24cccd44ec99dp-1, -0x1.1d7ab356e2a3p-1, -0x1.1656147429f94p-1, -0x1.0f5dfe4e61e22p-1, -0x1.08917f683e4d8p-1, -0x1.01efa781f84e1p-1, -0x1.f6ef0ff71c2bfp-2, -0x1.ea50685a8771ap-2, -0x1.de01836dc413fp-2, -0x1.d200918c5e5b7p-2, -0x1.c64bc8aa62addp-2, -0x1.bae164c19eeep-2, -0x1.afbfa830d4f11p-2, -0x1.a4e4dc0e0bbb7p-2, -0x1.9a4f506d22addp-2, -0x1.8ffd5c9ba9accp-2, -0x1.85ed5f52f56f2p-2, -0x1.7c1dbee132577p-2, -0x1.728ce94a54d3bp-2, -0x1.693954617ccc8p-2, -0x1.60217ddb72d25p-2, -0x1.5743eb5ac9938p-2, -0x1.4e9f2a7638b29p-2, -0x1.4631d0b99857dp-2, -0x1.3dfa7ba20ff25p-2, -0x1.35f7d095dea2p-2, -0x1.2e287cd8386fcp-2, -0x1.268b3579935e8p-2, -0x1.1f1eb744d7ffp-2, -0x1.17e1c6a9c0bcap-2, -0x1.10d32fa4d3327p-2, -0x1.09f1c5a52fc91p-2, -0x1.033c63708d618p-2, -0x1.f963d60b51777p-3, -0x1.eca28afa92eefp-3, -0x1.e032c5d487319p-3, -0x1.d4127470e093p-3, -0x1.c83f9215eab9cp-3, -0x1.bcb82734010e5p-3, -0x1.b17a491fd5b28p-3, -0x1.a68419cc8737ap-3, -0x1.9bd3c784f5b1ap-3, -0x1.91678ca50b79fp-3, -0x1.873daf5341c29p-3, -0x1.7d548139f76b9p-3, -0x1.73aa5f416c559p-3, -0x1.6a3db14a507a7p-3, -0x1.610ce9e88c325p-3, -0x1.5816861f3c56p-3, -0x1.4f590d1d64757p-3, -0x1.46d30ffb43c8cp-3, -0x1.3e83297920d75p-3, -0x1.3667fdbef48b7p-3, -0x1.2e803a1cf3cfbp-3, -0x1.26ca94cdb778bp-3, -0x1.1f45ccb9731ap-3, -0x1.17f0a93a1dbf8p-3, -0x1.10c9f9e149a9p-3, -0x1.09d0963f2f01fp-3, -0x1.03035daaac01ap-3, -0x1.f8c26e15d13e7p-4, -0x1.ebd22144a0dfap-4, -0x1.df33bfb51e408p-4, -0x1.d2e54223eb243p-4, -0x1.c6e4aed4c07bcp-4, -0x1.bb3019324cb07p-4, -0x1.afc5a1706f1a1p-4, -0x1.a4a374318411fp-4, -0x1.99c7ca2de3f8bp-4, -0x1.8f30e7dd8777p-4, -0x1.84dd1d244bf05p-4, -0x1.7acac500b932p-4, -0x1.70f8453cba67p-4, -0x1.67640e20a0556p-4, -0x1.5e0c9a288e54ap-4, -0x1.54f06dbbe97afp-4, -0x1.4c0e16e6beeebp-4, -0x1.43642d1565418p-4, -0x1.3af150d222d53p-4, -0x1.32b42b8492638p-4, -0x1.2aab6f32fe216p-4, -0x1.22d5d645c505dp-4, -0x1.1b32234c69442p-4, -0x1.13bf20c42e1e1p-4, -0x1.0c7ba0e09870ep-4, -0x1.05667d55c714dp-4, -0x1.fcfd2e485c24p-5, -0x1.ef85accb5ae9ep-5, -0x1.e2645438cac94p-5, -0x1.d59710067fd4fp-5, -0x1.c91bd8bf5bc63p-5, -0x1.bcf0b3a907d5fp-5, -0x1.b113b26cb11fap-5, -0x1.a582f2c303b87p-5, -0x1.9a3c9e2275932p-5, -0x1.8f3ee96f541a4p-5, -0x1.848814ae316dp-5, -0x1.7a166ab952bcfp-5, -0x1.6fe840f887ce5p-5, -0x1.65fbf71a97cb6p-5, -0x1.5c4ff6d051232p-5, -0x1.52e2b38a0afc5p-5, -0x1.49b2aa37acfeap-5, -0x1.40be610a7ca2bp-5, -0x1.38046738234bfp-5, -0x1.2f8354bf4c2c2p-5, -0x1.2739ca2e7a611p-5, -0x1.1f26706cf200dp-5, -0x1.1747f88500a4p-5, -0x1.0f9d1b6f52bfp-5, -0x1.082499dfb6e63p-5, -0x1.00dd3c13c0a21p-5, -0x1.f38ba3465bf38p-6, -0x1.e5ba62a2f01d4p-6, -0x1.d84471c0950ebp-6, -0x1.cb2799c651b87p-6, -0x1.be61b1293c1dep-6, -0x1.b1f09b59dc011p-6, -0x1.a5d24873c6d7fp-6, -0x1.9a04b4eecabf3p-6, -0x1.8e85e951f1994p-6, -0x1.8353f9e8e6faap-6, -0x1.786d067bf2252p-6, -0x1.6dcf3a0a1ca16p-6, -0x1.6378ca84d63d8p-6, -0x1.5967f88d0be4dp-6, -0x1.4f9b0f31f9152p-6, -0x1.461063b21022p-6, -0x1.3cc6553de6454p-6, -0x1.33bb4cbcb5b6fp-6, -0x1.2aedbc9224df8p-6, -0x1.225c20654b9adp-6, -0x1.1a04fce946c5ap-6, -0x1.11e6dfa7714bfp-6, -0x1.0a005ecb436fp-6, -0x1.025018ef7183fp-6, -0x1.f5a969d849c08p-7, -0x1.e719c34ca2219p-7, -0x1.d8eeabc0721cdp-7, -0x1.cb25a016c0834p-7, -0x1.bdbc2c377a373p-7, -0x1.b0afeab819cd4p-7, -0x1.a3fe84863788ep-7, -0x1.97a5b093e85fap-7, -0x1.8ba33386217e8p-7, -0x1.7ff4df6539a5cp-7, -0x1.7498934fa048ap-7, -0x1.698c3b2e6d8ddp-7, -0x1.5ecdcf6bc58f7p-7, -0x1.545b54aaadbf4p-7, -0x1.4a32db809963bp-7, -0x1.4052803087783p-7, -0x1.36b86a67f8b97p-7, -0x1.2d62ccfd89ef9p-7, -0x1.244fe5b11a65fp-7, -0x1.1b7dfced574b5p-7, -0x1.12eb658a9a64p-7, -0x1.0a967c932556fp-7, -0x1.027da908b659ep-7, -0x1.f53eb757250aap-8, -0x1.e5f41d85bc434p-8, -0x1.d7188bcc923a3p-8, -0x1.c8a91b91b1d98p-8, -0x1.baa2f809b4cb3p-8, -0x1.ad035dd1f133bp-8, -0x1.9fc79a8cc1e27p-8, -0x1.92ed0c804b7cep-8, -0x1.867122375a273p-8, -0x1.7a515a246fdfbp-8, -0x1.6e8b4246d0529p-8, -0x1.631c77d174799p-8, -0x1.5802a6d3dfd5bp-8, -0x1.4d3b89e4dd2d6p-8, -0x1.42c4e9cf0f19dp-8, -0x1.389c9d3f60c6dp-8, -0x1.2ec0887546d98p-8, -0x1.252e9cf4b4e88p-8, -0x1.1be4d939b4a97p-8, -0x1.12e1486d9db3dp-8, -0x1.0a22021dd3ab8p-8, -0x1.01a529f4208p-8, -0x1.f2d1dee10bcp-9, -0x1.e2d71b497a1a8p-9, -0x1.d35695e2171cap-9, -0x1.c44cf185392edp-9, -0x1.b5b6e6a64d2f8p-9, -0x1.a79142d3defc6p-9, -0x1.99d8e83c124c3p-9, -0x1.8c8acd33e9dabp-9, -0x1.7fa3fbc11058ep-9, -0x1.73219126634ccp-9, -0x1.6700bd72eff1cp-9, -0x1.5b3ec31341726p-9, -0x1.4fd8f6653c279p-9, -0x1.44ccbd4d4c4d3p-9, -0x1.3a178ece96449p-9, -0x1.2fb6f2a4acf63p-9, -0x1.25a880dfdf5bcp-9, -0x1.1be9e183d251ep-9, -0x1.1278cc2886c98p-9, -0x1.0953079d81784p-9, -0x1.0076698eb9666p-9, -0x1.efc1ac561c98dp-10, -0x1.df207f988d82ep-10, -0x1.cf054d41170dfp-10, -0x1.bf6c30ab6f8a2p-10, -0x1.b0515f8daf71p-10, -0x1.a1b1295844c6p-10, -0x1.9387f69a65224p-10, -0x1.85d2486a9a376p-10, -0x1.788cb7d20bc1dp-10, -0x1.6bb3f539b0febp-10, -0x1.5f44c7d8995b3p-10, -0x1.533c0d238a498p-10, -0x1.4796b83f722a1p-10, -0x1.3c51d177b0fddp-10, -0x1.316a75b991a87p-10, -0x1.26ddd615c1cc4p-10, -0x1.1ca93746863e6p-10, -0x1.12c9f139514c4p-10, -0x1.093d6e9936ce5p-10, -0x1.00012c5879fbap-10, -0x1.ee25727155771p-11, -0x1.dcdf6aa4ad165p-11, -0x1.cc2ba33d1dc54p-11, -0x1.bc059f0b3dd9fp-11, -0x1.ac6900ea7008ap-11, -0x1.9d518afd922c3p-11, -0x1.8ebb1df93e5ccp-11, -0x1.80a1b8743361bp-11, -0x1.7301763583a94p-11, -0x1.65d68f786a1adp-11, -0x1.591d5823b52c7p-11, -0x1.4cd23ef84c7f8p-11, -0x1.40f1ccc02ef65p-11, -0x1.3578a38a1fa84p-11, -0x1.2a637dfc5ab94p-11, -0x1.1faf2ec28da55p-11, -0x1.1558a0134ba09p-11, -0x1.0b5cd34143f28p-11, -0x1.01b8e044e9cbcp-11, -0x1.f0d3ea679504fp-12, -0x1.dedaab35eee1ep-12, -0x1.cd80b37ed2daap-12, -0x1.bcc0dba8d4877p-12, -0x1.ac962278e882bp-12, -0x1.9cfbabd271e45p-12, -0x1.8decbfcf95743p-12, -0x1.7f64ca2e10272p-12, -0x1.715f59f3d35efp-12, -0x1.63d821177f0e9p-12, -0x1.56caf3f520223p-12, -0x1.4a33c8698c903p-12, -0x1.3e0eb4896efd4p-12, -0x1.3257ed0f83c78p-12, -0x1.270bc3bb8e3e4p-12, -0x1.1c26a5e34ca0ap-12, -0x1.11a51b6f5bf31p-12, -0x1.0783c65d47a0cp-12, -0x1.fb7ec56a4b4ffp-13, -0x1.e8a98d79cc811p-13, -0x1.d681c63dab93p-13, -0x1.c5018570e8c15p-13, -0x1.b42313c8a020fp-13, -0x1.a3e0ea76d2f1ap-13, -0x1.9435afe86075bp-13, -0x1.851c3453bf068p-13, -0x1.768f6ec4c9bfbp-13, -0x1.688a7b2e957bap-13, -0x1.5b0899c87b153p-13, -0x1.4e052f917f7dcp-13, -0x1.417bc77c75da5p-13, -0x1.3568139302f54p-13, -0x1.29c5ed6b25cb2p-13, -0x1.1e91557eb729bp-13, -0x1.13c6714d01e64p-13, -0x1.09618883a5e2cp-13, -0x1.febe035eac633p-14, -0x1.eb76be2b817d3p-14, -0x1.d8e678bb71bf6p-14, -0x1.c7069ae5af169p-14, -0x1.b5d0bd70d9bdp-14, -0x1.a53eac6e390e1p-14, -0x1.954a6a4584764p-14, -0x1.85ee321277661p-14, -0x1.772478547a1fdp-14, -0x1.68e7e99a5443dp-14, -0x1.5b3367539a482p-14, -0x1.4e0203432ac9bp-14, -0x1.414efa3f52606p-14, -0x1.3515af15397c4p-14, -0x1.2951a684655f4p-14, -0x1.1dfe852f88062p-14, -0x1.13180fd581fb1p-14, -0x1.089a2d46eb474p-14, -0x1.fd01d1d16007cp-15, -0x1.e990e90eea7fap-15, -0x1.d6da51a355265p-15, -0x1.c4d709163ec02p-15, -0x1.b38055d726dc3p-15, -0x1.a2cfc2ff17de4p-15, -0x1.92bf1b17930c9p-15, -0x1.834861c7bcc42p-15, -0x1.7465cd1912a8ap-15, -0x1.6611bff9e1211p-15, -0x1.5846c7adee7ddp-15, -0x1.4aff9c98bf32ap-15, -0x1.3e3724fc0aee8p-15, -0x1.31e87749fc9ap-15, -0x1.260eda686b7ecp-15, -0x1.1aa5c421a9097p-15, -0x1.0fa8d7395ebc8p-15, -0x1.0513e265c255dp-15, -0x1.f5c5c04dfcc35p-16, -0x1.e223ec85eb253p-16, -0x1.cf3ae74eadfa9p-16, -0x1.bd0399161fc99p-16, -0x1.ab772c410fdcap-16, -0x1.9a8f07321586ep-16, -0x1.8a44ca7c89babp-16, -0x1.7a92518ebcfc2p-16, -0x1.6b71b279700d8p-16, -0x1.5cdd3aefcb955p-16, -0x1.4ecf6b958f16bp-16, -0x1.4142f452e7361p-16, -0x1.3432b3dd9d7e3p-16, -0x1.2799ba7a9921ap-16, -0x1.1b734ddb26c3p-16, -0x1.0fbaeb8385f69p-16, -0x1.046c481eb8bf4p-16, -0x1.f30698c133248p-17, -0x1.ddf8224ffe3d2p-17, -0x1.c9a5b7d848903p-17, -0x1.b6083602a95c6p-17, -0x1.a318c18be964ep-17, -0x1.90d0bc4370fc7p-17, -0x1.7f29bc773de0ap-17, -0x1.6e1d88e593bb7p-17, -0x1.5da6184871696p-17, -0x1.4dbd9261b455dp-17, -0x1.3e5e5282c5015p-17, -0x1.2f82ebd942b6fp-17, -0x1.21262e2b40df7p-17, -0x1.1343299ad26a2p-17, -0x1.05d5326821407p-17, -0x1.f1afc9ee2d254p-18, -0x1.d88e4d70b151ep-18, -0x1.c03e3bd20700bp-18, -0x1.a8b83e7de61adp-18, -0x1.91f5341143c5dp-18, -0x1.7bee1d2594312p-18, -0x1.669c23cf2e8ap-18, -0x1.51f8ac7b59d5dp-18, -0x1.3dfd5b41c6a05p-18, -0x1.2aa40c4237d53p-18, -0x1.17e6cbf531be1p-18, -0x1.05bfd72a7d42p-18, -0x1.e8533efe1c0dbp-19, -0x1.c63da45f15d32p-19, -0x1.a534cc6efc43dp-19, -0x1.852f64e8638d6p-19, -0x1.6624f86af8cf4p-19, -0x1.480dd1115bea2p-19, -0x1.2ae29fff7272p-19, -0x1.0e9c24e82a59p-19, -0x1.e6662c1cd8375p-20, -0x1.b14095856d90dp-20, -0x1.7db9db619214fp-20, -0x1.4bc50c39bedd9p-20, -0x1.1b55be8657f9bp-20, -0x1.d8bfbfb541cfdp-21, -0x1.7daf4e8843afep-21, -0x1.2563399d5548fp-21, -0x1.9f8a7b0a259d4p-22, -0x1.f2ff5dae6e026p-23, -0x1.61f53b3144a3fp-24, 0x1.0e871f78869c7p-24, 0x1.b5fcce5f471a7p-23, 0x1.6db6304818951p-22, 0x1.fbe5f3cdff3dcp-22, 0x1.42d59fd9a807ep-21, 0x1.8591f5c9f7e57p-21, 0x1.c6365c2e72567p-21, 0x1.02682d62cdf9fp-20, 0x1.20b6677cb7018p-20, 0x1.3e0c13d75f7cep-20, 0x1.5a6f3e3f645c8p-20, 0x1.75e5c9560bf88p-20, 0x1.90756eed2f1e8p-20, 0x1.aa23c1858ae14p-20, 0x1.c2f62f859646p-20, 0x1.daf1fedb589c4p-20, 0x1.f21c2ff3081ffp-20, 0x1.043caa53d4795p-19, 0x1.0f06c751811c1p-19, 0x1.196e655d3407ap-19, 0x1.23757f242f57ap-19, 0x1.2d1e11f97cf5dp-19, 0x1.366a088c45c1bp-19, 0x1.3f5b361b78885p-19, 0x1.47f362bb2f5a3p-19, 0x1.5034504cd70bep-19, 0x1.581fb54d61bcdp-19, 0x1.5fb73957fa8dfp-19, 0x1.66fc76508dea7p-19, 0x1.6df0fc006fe14p-19, 0x1.749652754f603p-19, 0x1.7aedf8c9dc20cp-19, 0x1.80f963e33d4ccp-19, 0x1.86b9ffa4ce59ep-19, 0x1.8c312e98afa43p-19, 0x1.916047dbc9009p-19, 0x1.964899364379ep-19, 0x1.9aeb6a396201cp-19, 0x1.9f49f786725e7p-19, 0x1.a3656e6e31795p-19, 0x1.a73ef5ef0f2f2p-19, 0x1.aad7b969cb6fcp-19, 0x1.ae30e57ade001p-19, 0x1.b14ba17160237p-19, 0x1.b4290e36fab9cp-19, 0x1.b6ca45beef6eep-19, 0x1.b9305b6d28c34p-19, 0x1.bb5c5ef3960dap-19, 0x1.bd4f5e3ab6ad6p-19, 0x1.bf0a639f6f775p-19, 0x1.c08e734c4cc1ap-19, 0x1.c1dc8c9998108p-19, 0x1.c2f5af4a8c2e4p-19, 0x1.c3dade4f18134p-19, }}, 
      std::vector<double>(500, 0.0), 
      {{0x1.10d277d0e7b4p-4, 0x1.0be7911c469a1p-3, 0x1.86dbc864f5837p-3, 0x1.f6c92cb365cb9p-3, 0x1.2d0a4a847d5cdp-2, 0x1.57e8386ae5bcap-2, 0x1.7bc9d9c8780efp-2, 0x1.98acc8be0db6cp-2, 0x1.aeb41f6470b28p-2, 0x1.be1e981d8e87cp-2, 0x1.c73ed4456234dp-2, 0x1.ca75501cf424dp-2, 0x1.c82ba6047875ap-2, 0x1.c0d0d8849d1a2p-2, 0x1.b4d66b61bac3dp-2, 0x1.a4ae207ec1541p-2, 0x1.90c8372f6cd93p-2, 0x1.799213de7af2fp-2, 0x1.5f753b9bd488p-2, 0x1.42d6936bc7da1p-2, 0x1.2415d67cf0e8dp-2, 0x1.038d3903f6e35p-2, 0x1.c3225ea797e56p-3, 0x1.7ce0a4ed44d2cp-3, 0x1.34e6b95b8caf9p-3, 0x1.d774e4cfa2f2p-4, 0x1.43ac8dcb59d9p-4, 0x1.5ea692f49926ep-5, 0x1.b32b488c62644p-8, -0x1.dfff93e03aa4ep-6, -0x1.09a283bf973ebp-4, -0x1.9925628fc155ep-4, -0x1.1304ef7fda50dp-3, -0x1.57f0afc173106p-3, -0x1.9b261939b0f9fp-3, -0x1.dc7c3d5c2ac54p-3, -0x1.0de84acfc46bap-2, -0x1.2c833aaafcacbp-2, -0x1.4a0346ce7a72ap-2, -0x1.665f419b434afp-2, -0x1.819032d92510fp-2, -0x1.9b9125a7c2223p-2, -0x1.b45efa6859706p-2, -0x1.cbf82bfecd995p-2, -0x1.e25caaa2ae3e7p-2, -0x1.f78daf1fa087ep-2, -0x1.05c6c9bb83d36p-1, -0x1.0f2fd8bc6c399p-1, -0x1.180420a14b304p-1, -0x1.20461e703b6dap-1, -0x1.27f8a301aa647p-1, -0x1.2f1ec7495979dp-1, -0x1.35bbe1b6e41b1p-1, -0x1.3bd37c8becd5fp-1, -0x1.41694d0c512b1p-1, -0x1.46812b75ccc23p-1, -0x1.4b1f0bab9e78fp-1, -0x1.4f46f682b3b08p-1, -0x1.52fd039cc2e9ep-1, -0x1.564553c5cbc7p-1, -0x1.59240bcd6b10cp-1, -0x1.5b9d4fd9c88d3p-1, -0x1.5db53f32ce6a9p-1, -0x1.5f6ff0835688bp-1, -0x1.60d16e8b5ba5bp-1, -0x1.61ddb53c56b0cp-1, -0x1.6298af37d1fbdp-1, -0x1.630633a818d77p-1, -0x1.632a046b335dbp-1, -0x1.6307cc89aa752p-1, -0x1.62a31ef2c0793p-1, -0x1.61ff757880958p-1, -0x1.61203006217fbp-1, -0x1.6008940b5c11ap-1, -0x1.5ebbcc1747fd3p-1, -0x1.5d3ce79d6ac21p-1, -0x1.5b8edadff9834p-1, -0x1.59b47efa955dap-1, -0x1.57b0920931afp-1, -0x1.5585b7677a326p-1, -0x1.5336780536a4fp-1, -0x1.50c542ccfc18ep-1, -0x1.4e346d1a653c3p-1, -0x1.4b86333dbf64fp-1, -0x1.48bcb90b01926p-1, -0x1.45da0a7234981p-1, -0x1.42e01c1fb1047p-1, -0x1.3fd0cc225e5d5p-1, -0x1.3cade296d2868p-1, -0x1.39791255a218fp-1, -0x1.3633f9a3fa8b5p-1, -0x1.32e022e53894cp-1, -0x1.2f7f054c9d59dp-1, -0x1.2c12058e5a45p-1, -0x1.289a768ef6e27p-1, -0x1.25199a10f2d44p-1, -0x1.2190a15f5c01dp-1, -0x1.1e00adf5cea62p-1, -0x1.1a6ad224b118ep-1, -0x1.16d011b1b5374p-1, -0x1.13316274dd6fap-1, -0x1.0f8facf04cf92p-1, -0x1.0bebcce5169b6p-1, -0x1.084691e260c3dp-1, -0x1.04a0bfd0777dp-1, -0x1.00fb0f77f13ap-1, -0x1.faac5e048f112p-2, -0x1.f36584f087b46p-2, -0x1.ec22c873c701dp-2, -0x1.e4e54ae36a034p-2, -0x1.ddae1d0b90cb4p-2, -0x1.d67e3f01769bbp-2, -0x1.cf56a0f1f740fp-2, -0x1.c83823e78dad4p-2, -0x1.c1239a81f6b0ep-2, -0x1.ba19c9ad7918ap-2, -0x1.b31b694e6fbbcp-2, -0x1.ac2924e18e6bbp-2, -0x1.a5439c1cec5c9p-2, -0x1.9e6b63840a276p-2, -0x1.97a104f30ce0ap-2, -0x1.90e5002b20bb7p-2, -0x1.8a37cb525f2c9p-2, -0x1.8399d36be7e63p-2, -0x1.7d0b7cd1899c4p-2, -0x1.768d23a2bcf53p-2, -0x1.701f1c2ba739dp-2, -0x1.69c1b34dc1794p-2, -0x1.63752ee0b3d71p-2, -0x1.5d39ce0aa9391p-2, -0x1.570fc99978421p-2, -0x1.50f754575069cp-2, -0x1.4af09b5712e7ap-2, -0x1.44fbc63fc052ap-2, -0x1.3f18f795e966p-2, -0x1.39484cfe6c18dp-2, -0x1.3389df7e7c04p-2, -0x1.2dddc3ba9a1a9p-2, -0x1.28440a30d4ae1p-2, -0x1.22bcbf6fd8eep-2, -0x1.1d47ec4cfc856p-2, -0x1.17e5961698477p-2, -0x1.1295bec330623p-2, -0x1.0d5865204f296p-2, -0x1.082d84fecc9cbp-2, -0x1.0315175aa032dp-2, -0x1.fc1e250486bd9p-3, -0x1.f236d47d3c5d9p-3, -0x1.e8741fed447fcp-3, -0x1.ded5e59ddd3f3p-3, -0x1.d55bff96374dbp-3, -0x1.cc0643df5e8c7p-3, -0x1.c2d484bdb88dp-3, -0x1.b9c690e337a8ap-3, -0x1.b0dc33a70c96ap-3, -0x1.a815353fde86p-3, -0x1.9f715af3823fep-3, -0x1.96f0673e7239fp-3, -0x1.8e921a00c98d7p-3, -0x1.865630b0681acp-3, -0x1.7e3c6682b46ddp-3, -0x1.7644748c0ded2p-3, -0x1.6e6e11e1ec404p-3, -0x1.66b8f3c4d3574p-3, -0x1.5f24cdc6e88dp-3, -0x1.57b151e748d2ap-3, -0x1.505e30aa73312p-3, -0x1.492b193a4895dp-3, -0x1.4217b98950222p-3, -0x1.3b23be6e072f4p-3, -0x1.344ed3b5db62fp-3, -0x1.2d98a43a56d6cp-3, -0x1.2700d9fd69eacp-3, -0x1.20871e4553755p-3, -0x1.1a2b19b03cb16p-3, -0x1.13ec74428ef93p-3, -0x1.0dcad578ed02fp-3, -0x1.07c5e45fbd149p-3, -0x1.01dd47a940e76p-3, -0x1.f8214b795647cp-4, -0x1.ecbf49828626dp-4, -0x1.e193d559301ap-4, -0x1.d69e3aaa8d871p-4, -0x1.cbddc509e3425p-4, -0x1.c151c009abd0ap-4, -0x1.b6f9774d20ee1p-4, -0x1.acd4369cf8e06p-4, -0x1.a2e14a03a69c8p-4, -0x1.991ffdeaf889ap-4, -0x1.8f8f9f3281238p-4, -0x1.862f7b3e712dbp-4, -0x1.7cfee005c98afp-4, -0x1.73fd1c25cf3c6p-4, -0x1.6b297ef934799p-4, -0x1.628358ac83dafp-4, -0x1.5a09fa4c341c7p-4, -0x1.51bcb5cf039bfp-4, -0x1.499ade21e9b1bp-4, -0x1.41a3c737fa88p-4, -0x1.39d6c61b7dc0ep-4, -0x1.323330fbdf36cp-4, -0x1.2ab85f371f457p-4, -0x1.2365a9616a061p-4, -0x1.1c3a694f564dcp-4, -0x1.1535fa1e2e103p-4, -0x1.0e57b8440e61bp-4, -0x1.079f01978f68fp-4, -0x1.010b3555cd242p-4, -0x1.f5376852b93cfp-5, -0x1.e89fc05ef5d5ap-5, -0x1.dc4e39ff58ed5p-5, -0x1.d0419f67dcc31p-5, -0x1.c478bddf38c88p-5, -0x1.b8f265c874931p-5, -0x1.adad6aa99c81ep-5, -0x1.a2a8a332684f6p-5, -0x1.97e2e944a7df3p-5, -0x1.8d5b19fe11a59p-5, -0x1.831015c13d99cp-5, -0x1.7900c03c283f4p-5, -0x1.6f2c006c2efe6p-5, -0x1.6590c0a0d2ff1p-5, -0x1.5c2dee7ee5eb3p-5, -0x1.53027b04b56cdp-5, -0x1.4a0d5a8e8fb0fp-5, -0x1.414d84da53082p-5, -0x1.38c1f5094dd08p-5, -0x1.3069a9a0a2bc6p-5, -0x1.2843a488efce3p-5, -0x1.204eeb0e225d2p-5, -0x1.188a85dfbfea7p-5, -0x1.10f58111462ebp-5, -0x1.098eec19e7e67p-5, -0x1.0255d9d349d3cp-5, -0x1.f692c0ee86f5ap-6, -0x1.e8d13339e14c4p-6, -0x1.db65446b6a64ap-6, -0x1.ce4d3514bc1b3p-6, -0x1.c1874c70cce9dp-6, -0x1.b511d85e020d2p-6, -0x1.a8eb2d57320a6p-6, -0x1.9d11a66b3eebbp-6, -0x1.9183a53360d33p-6, -0x1.863f91c893999p-6, -0x1.7b43dab8e6de2p-6, -0x1.708ef4fd32037p-6, -0x1.661f5bef2947cp-6, -0x1.5bf3913f6c884p-6, -0x1.520a1ceae293cp-6, -0x1.48618d2e9ed46p-6, -0x1.3ef8767a3accbp-6, -0x1.35cd7360f2ec2p-6, -0x1.2cdf248ae3c14p-6, -0x1.242c30a734518p-6, -0x1.1bb3445fd2f2dp-6, -0x1.1373124e2d5cap-6, -0x1.0b6a52ef6c2b6p-6, -0x1.0397c4968767ap-6, -0x1.f7f456b6fa351p-7, -0x1.e920a21028645p-7, -0x1.dab20a08dadfp-7, -0x1.cca6388b7dac1p-7, -0x1.befae281ad5a2p-7, -0x1.b1adc7c0017dp-7, -0x1.a4bcb2f3261fcp-7, -0x1.98257987a7189p-7, -0x1.8be5fb8684517p-7, -0x1.7ffc23664b77bp-7, -0x1.7465e5d6bd8d3p-7, -0x1.69214190d7907p-7, -0x1.5e2c3f344521fp-7, -0x1.5384f135acc59p-7, -0x1.492973d873ebbp-7, -0x1.3f17ed27c7184p-7, -0x1.354e8ce0e56dcp-7, -0x1.2bcb8c4628c5ep-7, -0x1.228d2ddce9728p-7, -0x1.1991bd238181fp-7, -0x1.10d78e52d6ff8p-7, -0x1.085cfe3bf93e3p-7, -0x1.00207246980c3p-7, -0x1.f040b10a8fb18p-8, -0x1.e0b64f933b326p-8, -0x1.d19ebf3d99164p-8, -0x1.c2f71032210edp-8, -0x1.b4bc62f5755c3p-8, -0x1.a6ebe78a10472p-8, -0x1.9982dcacec28dp-8, -0x1.8c7e8f6c4c3b6p-8, -0x1.7fdc5b37e9194p-8, -0x1.7399aa55fa9fbp-8, -0x1.67b3f67949e3ap-8, -0x1.5c28c91dd4968p-8, -0x1.50f5bb6008364p-8, -0x1.4618753470b0ep-8, -0x1.3b8eac2899601p-8, -0x1.3156220cf1812p-8, -0x1.276ca3fd11ecdp-8, -0x1.1dd00a1fd8046p-8, -0x1.147e3835ecbb2p-8, -0x1.0b751eb9f1c5ep-8, -0x1.02b2bc133a254p-8, -0x1.f46a3a9153cedp-9, -0x1.e3f4bb8cf67bap-9, -0x1.d4014c3e3b91fp-9, -0x1.c48c542a8aa7ap-9, -0x1.b5924d1a97f5bp-9, -0x1.a70fc03664edfp-9, -0x1.9901456cbdf69p-9, -0x1.8b63856baaa12p-9, -0x1.7e333d7a95b3p-9, -0x1.716d43c4dc5dap-9, -0x1.650e8a5a79664p-9, -0x1.59141f885eca1p-9, -0x1.4d7b2b0bb4b59p-9, -0x1.4240e8c3038a8p-9, -0x1.3762a2768e637p-9, -0x1.2cddaac15025bp-9, -0x1.22af5adbafa6bp-9, -0x1.18d514202f53ap-9, -0x1.0f4c44dcf3778p-9, -0x1.06126ed9f9eb4p-9, -0x1.fa4a5aa10f7e7p-10, -0x1.e904704340c91p-10, -0x1.d84ec5dbb9995p-10, -0x1.c825300dce511p-10, -0x1.b883a12fb95d2p-10, -0x1.a96618c74f3d7p-10, -0x1.9ac897657b385p-10, -0x1.8ca71ace179b3p-10, -0x1.7efda3c37da9bp-10, -0x1.71c843bfbad88p-10, -0x1.65032e528883fp-10, -0x1.58aac8a09814cp-10, -0x1.4cbbb1ef8ef1dp-10, -0x1.4132c22f1e4a3p-10, -0x1.360cfe7a1a6aep-10, -0x1.2b4786b088454p-10, -0x1.20df817e19415p-10, -0x1.16d20cb57871bp-10, -0x1.0d1c3694bb691p-10, -0x1.03bb01d30b563p-10, -0x1.f556e64027b87p-11, -0x1.e3d5481e11287p-11, -0x1.d2ebabcaf8085p-11, -0x1.c294fdb0bbe4ap-11, -0x1.b2cc9b9c3211ap-11, -0x1.a38e46cad106ap-11, -0x1.94d60423a59d1p-11, -0x1.869ff37d54595p-11, -0x1.78e8296118303p-11, -0x1.6baa95bf42575p-11, -0x1.5ee2fdef2aebap-11, -0x1.528d0a9866047p-11, -0x1.46a464c8ec79cp-11, -0x1.3b24d9dbb0df1p-11, -0x1.300a7c9fb60d1p-11, -0x1.2551bb3508882p-11, -0x1.1af7641d61e34p-11, -0x1.10f89965beccep-11, -0x1.0752b58e1bbeap-11, -0x1.fc06533e31712p-12, -0x1.ea0ebaf4c9e83p-12, -0x1.d8b934cf3f4c4p-12, -0x1.c8000929e407ap-12, -0x1.b7dd477ba203bp-12, -0x1.a84aeddce2fe3p-12, -0x1.99431bce0f45fp-12, -0x1.8ac04481605c3p-12, -0x1.7cbd536ee4ac6p-12, -0x1.6f35b98f85224p-12, -0x1.622563181597fp-12, -0x1.55889c4c2323ap-12, -0x1.495bec58cf06ap-12, -0x1.3d9bee61519c5p-12, -0x1.32453150b4ed6p-12, -0x1.27542442dfb37p-12, -0x1.1cc5126b9a0f4p-12, -0x1.12942ea924d34p-12, -0x1.08bdab97acd99p-12, -0x1.fe7bb27406199p-13, -0x1.ec227cebe190bp-13, -0x1.da694b28c14b8p-13, -0x1.c94a322461e08p-13, -0x1.b8bfacf2fda14p-13, -0x1.a8c482f3ee55cp-13, -0x1.9953bbf521b6ep-13, -0x1.8a689eefd42f1p-13, -0x1.7bfeac84b55dbp-13, -0x1.6e118abcc7d83p-13, -0x1.609ce7a5a6e51p-13, -0x1.539c6576c9947p-13, -0x1.470ba13545725p-13, -0x1.3ae65326de604p-13, -0x1.2f28731df9c2p-13, -0x1.23ce43401e9ebp-13, -0x1.18d4337c2e74fp-13, -0x1.0e36ae402948ep-13, -0x1.03f1f5655955p-13, -0x1.f404600cf73d5p-14, -0x1.e0c74fd1e883ap-14, -0x1.ce261fb5b4c65p-14, -0x1.bc1b454ad1e15p-14, -0x1.aaa20aed2e95fp-14, -0x1.99b6092f8b473p-14, -0x1.8952b7b92148cp-14, -0x1.7973609d223c7p-14, -0x1.6a136f3bb7009p-14, -0x1.5b2ec9e78dea2p-14, -0x1.4cc1dc5ed2745p-14, -0x1.3ec934e37f3e5p-14, -0x1.3140e8fa28e9bp-14, -0x1.2424294dbe107p-14, -0x1.176d5b1da96bcp-14, -0x1.0b16bf30e68ccp-14, -0x1.fe36a32e72bbep-15, -0x1.e6eec00de43e6p-15, -0x1.d050f5d5f2389p-15, -0x1.ba59a3d5a0e2fp-15, -0x1.a504eaa610975p-15, -0x1.904e03951e494p-15, -0x1.7c2fb8e698cd6p-15, -0x1.68a562ad87eb2p-15, -0x1.55ab7e3b82629p-15, -0x1.433f5fec0ba3ep-15, -0x1.315e2c4d09d73p-15, -0x1.2003beba21091p-15, -0x1.0f2a27753ead2p-15, -0x1.fd9415a97608bp-16, -0x1.ddb77aedde2cp-16, -0x1.beb15b5d6584p-16, -0x1.a078e4e923a67p-16, -0x1.8309b27d66ab4p-16, -0x1.6661ad165255bp-16, -0x1.4a7e321b0afa5p-16, -0x1.2f5a9eb35ce4ep-16, -0x1.14f10676c2c8ep-16, -0x1.f677fefa07ab3p-17, -0x1.c46fc44f9b102p-17, -0x1.93c5275cd3786p-17, -0x1.6474223e0abc3p-17, -0x1.3675cb2f9bbedp-17, -0x1.09bf4b6e091ccp-17, -0x1.bc85947879916p-18, -0x1.67e1b9a73697ep-18, -0x1.157417742dd48p-18, -0x1.8a43bc90f9a64p-19, -0x1.db63be6d91e32p-20, -0x1.548966b1f5648p-21, 0x1.fb7df58627f78p-22, 0x1.a0181fbdd8b07p-20, 0x1.5cc4a84df7859p-19, 0x1.e5b2d42fcdb68p-19, 0x1.35771065dca73p-18, 0x1.76429a57bf6d6p-18, 0x1.b53f9ea15e6b2p-18, 0x1.f272c345d6125p-18, 0x1.16f2a0609938bp-17, 0x1.33d1c1ea88674p-17, 0x1.4fdce29a6aa13p-17, 0x1.6b195ecede001p-17, 0x1.858c75d71bf49p-17, 0x1.9f3c03957e7ap-17, 0x1.b82e40e9a5815p-17, 0x1.d0687df2457c8p-17, 0x1.e7edd7a53c8a4p-17, 0x1.febf55074a867p-17, 0x1.0a6ecf58759aep-16, 0x1.15255f8e30f84p-16, 0x1.1f8521c9cf42bp-16, 0x1.298fbd62a3b54p-16, 0x1.3345fc9b5fa7fp-16, 0x1.3ca86177b521dp-16, 0x1.45b82adf43f55p-16, 0x1.4e774c3c3435ep-16, 0x1.56e7ae5221fdfp-16, 0x1.5f0ab771130b2p-16, 0x1.66e14f084cbbbp-16, 0x1.6e6c250ccdc9cp-16, 0x1.75ac1138de94dp-16, 0x1.7ca2655de0456p-16, 0x1.8351040edd4b3p-16, 0x1.89b9f137978c1p-16, 0x1.8fde6c7331958p-16, 0x1.95bea2ccb78d2p-16, 0x1.9b5aa2e1456a8p-16, 0x1.a0b35e313e956p-16, 0x1.a5ca3ae005e6cp-16, 0x1.aa9ffb5fd711bp-16, 0x1.af34f77f8b1e8p-16, 0x1.b38a0ea3d070bp-16, 0x1.b7a09ed5bbed3p-16, 0x1.bb79f0c386305p-16, 0x1.bf170206b65a9p-16, 0x1.c2789c69ece0cp-16, 0x1.c59f6aaded039p-16, 0x1.c88bfe2f1a195p-16, 0x1.cb3edf16953aap-16, 0x1.cdb8b387baf6cp-16, 0x1.cffa765ae260ep-16, }}, 
      {{-0x1.b3e58262fb32dp+1, -0x1.ac1c260f79439p+1, -0x1.a0d41686b640fp+1, -0x1.931e15e5ea0cdp+1, -0x1.83d0e9a07ca54p+1, -0x1.739470ca583bp+1, -0x1.62eacb57571a5p+1, -0x1.5237d1ab6af18p+1, -0x1.41c7203261be7p+1, -0x1.31d0f6dd27ed3p+1, -0x1.227e24b3ec188p+1, -0x1.13eb2edba417ep+1, -0x1.062ad9f263717p+1, -0x1.f2906a70d3ca3p+0, -0x1.da908141ce861p+0, -0x1.c45683c4f5946p+0, -0x1.afdbb0cc3ab15p+0, -0x1.9d13b97c1f5e4p+0, -0x1.8bee2b58db22dp+0, -0x1.7c57957673f89p+0, -0x1.6e3a759a1b81bp+0, -0x1.617ff76ffb59ap+0, -0x1.56108e421b11cp+0, -0x1.4bd46fb8abe64p+0, -0x1.42b3f51d65fbep+0, -0x1.3a97e7976d102p+0, -0x1.3369bafb3298dp+0, -0x1.2d13ba3f9970ep+0, -0x1.278128035bfabp+0, -0x1.229e554262671p+0, -0x1.1e58b01932db3p+0, -0x1.1a9ecbcdbaddbp+0, -0x1.1760639cc10f5p+0, -0x1.148e5922d28dfp+0, -0x1.121aaf6d3d926p+0, -0x1.0ff88355fa0fcp+0, -0x1.0e1c01f3461a8p+0, -0x1.0c7a5d3ae4f49p+0, -0x1.0b09bfaefdb75p+0, -0x1.09c13fd3f7723p+0, -0x1.0898d223d0ef3p+0, -0x1.07893b9bf180ep+0, -0x1.068c047ebd207p+0, -0x1.059b6a1bcf4dp+0, -0x1.04b252283d54p+0, -0x1.03cc3dc515336p+0, -0x1.02e53d26d7468p+0, -0x1.01f9e40b94c13p+0, -0x1.01073e87b29d8p+0, -0x1.000ac6ad12b36p+0, -0x1.fe04b59e5d3e3p-1, -0x1.fbd868e7a66d6p-1, -0x1.f98dbfca781ddp-1, -0x1.f72268b2243e8p-1, -0x1.f494993b630e8p-1, -0x1.f1e300a657383p-1, -0x1.ef0cbb3eb8b16p-1, -0x1.ec1146adaa895p-1, -0x1.e8f07726b90e5p-1, -0x1.e5aa6d5d9c665p-1, -0x1.e23f8d396ed56p-1, -0x1.deb0753e65a99p-1, -0x1.dafdf6a8ba48dp-1, -0x1.d7290e33b9a67p-1, -0x1.d332dd841eb6fp-1, -0x1.cf1ca52a03456p-1, -0x1.cae7bf357fbf9p-1, -0x1.c6959a51e50a1p-1, -0x1.c227b55964a3ap-1, -0x1.bd9f9b5f17fb5p-1, -0x1.b8fee023c2dbcp-1, -0x1.b4471cebe88e1p-1, -0x1.af79edb2b5d3ep-1, -0x1.aa98eeb2756a6p-1, -0x1.a5a5ba3b02254p-1, -0x1.a0a1e6cf533a8p-1, -0x1.9b8f0583a1a7bp-1, -0x1.966ea095e9175p-1, -0x1.91423a3afe516p-1, -0x1.8c0b4b9afee7dp-1, -0x1.86cb43f8460d9p-1, -0x1.818387fcbb2fep-1, -0x1.7c3571297ca74p-1, -0x1.76e24d6597e0dp-1, -0x1.718b5ea8a2758p-1, -0x1.6c31dabe5e49ap-1, -0x1.66d6eb2051f02p-1, -0x1.617bace28c9cap-1, -0x1.5c2130b2297d2p-1, -0x1.56c87ae31ea7ep-1, -0x1.5172838aede9cp-1, -0x1.4c2036a70b10fp-1, -0x1.46d2744d1c0fbp-1, -0x1.418a10e318859p-1, -0x1.3c47d55e1dd89p-1, -0x1.370c7f875327p-1, -0x1.31d8c24554fdcp-1, -0x1.2cad45e9892c4p-1, -0x1.278aa8803cd62p-1, -0x1.22717e22ccc9dp-1, -0x1.1d62514badaafp-1, -0x1.185da32ac8c5fp-1, -0x1.1363ebfaf68afp-1, -0x1.0e759b56f122dp-1, -0x1.0993188deaa79p-1, -0x1.04bcc2f7fce1cp-1, -0x1.ffe5e490c980dp-2, -0x1.f66bedbf7a518p-2, -0x1.ed0c3437dd43p-2, -0x1.e3c73d4c4e65dp-2, -0x1.da9d8180b156dp-2, -0x1.d18f6d1ded284p-2, -0x1.c89d60c382bf3p-2, -0x1.bfc7b1f5b7fb1p-2, -0x1.b70eaba3ce91bp-2, -0x1.ae728eadbfc5ap-2, -0x1.a5f392643cecdp-2, -0x1.9d91e501b96fbp-2, -0x1.954dac235e5a6p-2, -0x1.8d27053b3838p-2, -0x1.851e05fc6c2b3p-2, -0x1.7d32bcc74967p-2, -0x1.7565310e6815bp-2, -0x1.6db563b64246ap-2, -0x1.66234f74ba63dp-2, -0x1.5eaee92ab7d82p-2, -0x1.5758203858912p-2, -0x1.501eded0cafb6p-2, -0x1.49030a496f694p-2, -0x1.4204836362cacp-2, -0x1.3b23269433a68p-2, -0x1.345ecc4b8919dp-2, -0x1.2db749339ee9ep-2, -0x1.272c6e701aee1p-2, -0x1.20be09dad78cdp-2, -0x1.1a6be63c6aa03p-2, -0x1.1435cb82644a9p-2, -0x1.0e1b7ef3f6899p-2, -0x1.081cc3633121cp-2, -0x1.0239595bea0bep-2, -0x1.f8e1fea2b48a4p-3, -0x1.ed86e3919a641p-3, -0x1.e260d70373518p-3, -0x1.d76f4b3a821a1p-3, -0x1.ccb1af8747de9p-3, -0x1.c227708cbcbd5p-3, -0x1.b7cff8827d18bp-3, -0x1.adaaaf76fd05fp-3, -0x1.a3b6fb8bffaa8p-3, -0x1.99f4412cd924ep-3, -0x1.9061e345175fep-3, -0x1.86ff43778e4b6p-3, -0x1.7dcbc24ef02c4p-3, -0x1.74c6bf68ad60ap-3, -0x1.6bef99a1629a3p-3, -0x1.6345af426a3ecp-3, -0x1.5ac85e295fea6p-3, -0x1.527703e99d1b7p-3, -0x1.4a50fdef274e3p-3, -0x1.4255a9a41cb11p-3, -0x1.3a8464919b487p-3, -0x1.32dc8c7a0206cp-3, -0x1.2b5d7f7305085p-3, -0x1.24069c0361ccbp-3, -0x1.1cd7413ee1c98p-3, -0x1.15cecedbef3e4p-3, -0x1.0eeca5463e5c7p-3, -0x1.083025b46a05fp-3, -0x1.0198b23f493a1p-3, -0x1.f64b5bea28894p-4, -0x1.e9acf9cee4af8p-4, -0x1.dd550872f5abap-4, -0x1.d1425461b3604p-4, -0x1.c573ac8dc61f1p-4, -0x1.b9e7e26a6b4e9p-4, -0x1.ae9dc9fdccc47p-4, -0x1.a39439f516f81p-4, -0x1.98ca0bbdc2c1ep-4, -0x1.8e3e1b9d8ddd5p-4, -0x1.83ef48c31e54p-4, -0x1.79dc755161a59p-4, -0x1.7004866c862f6p-4, -0x1.6666644afac6cp-4, -0x1.5d00fa45c89bap-4, -0x1.53d336e357092p-4, -0x1.4adc0bdd978a6p-4, -0x1.421a6e289d583p-4, -0x1.398d55fc5d374p-4, -0x1.3133bedf1357ap-4, -0x1.290ca7ac228c7p-4, -0x1.21171296be2bfp-4, -0x1.1952052b736b6p-4, -0x1.11bc88539fd8p-4, -0x1.0a55a85a8b07cp-4, -0x1.031c74f1388c8p-4, -0x1.f820025e01a9p-5, -0x1.ea5ec71fce83fp-5, -0x1.dcf36be648519p-5, -0x1.cfdc2b367fcbdp-5, -0x1.c317465d6971p-5, -0x1.b6a3056e36997p-5, -0x1.aa7db73c3aedap-5, -0x1.9ea5b1522acdbp-5, -0x1.93194fe83069ap-5, -0x1.87d6f5e308771p-5, -0x1.7cdd0cc83bf27p-5, -0x1.722a04b9c1f62p-5, -0x1.67bc546c51b17p-5, -0x1.5d9279183aa0cp-5, -0x1.53aaf66e5bf3ap-5, -0x1.4a04568d2e988p-5, -0x1.409d29f63dc36p-5, -0x1.3774078292a52p-5, -0x1.2e878c552ac26p-5, -0x1.25d65bcbf7399p-5, -0x1.1d5f1f7096052p-5, -0x1.152086e9bd9f3p-5, -0x1.0d1947ed3f3d5p-5, -0x1.05481e31ca6a3p-5, -0x1.fb5796bf414dbp-6, -0x1.ec862e0057652p-6, -0x1.de199cd9ef368p-6, -0x1.d00f897d96d42p-6, -0x1.c265a57a77cddp-6, -0x1.b519ad9cee032p-6, -0x1.a82969cd93d58p-6, -0x1.9b92acef0cc3ep-6, -0x1.8f5354baa0092p-6, -0x1.8369499c44608p-6, -0x1.77d27e8efa9a5p-6, -0x1.6c8cf0f9ac7cp-6, -0x1.6196a88c7695dp-6, -0x1.56edb71daf3eep-6, -0x1.4c9038866c16cp-6, -0x1.427c527e61753p-6, -0x1.38b0347777f66p-6, -0x1.2f2a17797f959p-6, -0x1.25e83dfe562f8p-6, -0x1.1ce8f3ce75752p-6, -0x1.142a8dddbecc3p-6, -0x1.0bab6a282b091p-6, -0x1.0369ef8e3cf0bp-6, -0x1.f6c91b62740c7p-7, -0x1.e733799e929f8p-7, -0x1.d80ffb3fc60fp-7, -0x1.c95bb2619ce3bp-7, -0x1.bb13c18769c43p-7, -0x1.ad355b583f6a7p-7, -0x1.9fbdc25b43da8p-7, -0x1.92aa48b365f9bp-7, -0x1.85f84fda568e6p-7, -0x1.79a5485b191b8p-7, -0x1.6daeb18d86cc9p-7, -0x1.621219538e1d4p-7, -0x1.56cd1bd8ddbfcp-7, -0x1.4bdd63546b34p-7, -0x1.4140a7ca558e4p-7, -0x1.36f4aecc8e413p-7, -0x1.2cf74b397614ap-7, -0x1.23465cf8f5d16p-7, -0x1.19dfd0ba38c59p-7, -0x1.10c19fb46ceb9p-7, -0x1.07e9cf6c1a39ap-7, -0x1.feace2f8c40acp-8, -0x1.ee0b46c43aacap-8, -0x1.ddeb1c8902ab9p-8, -0x1.ce48cd735aba8p-8, -0x1.bf20d90c6361fp-8, -0x1.b06fd4b5c66cp-8, -0x1.a2326b2b6c647p-8, -0x1.94655c13fba89p-8, -0x1.87057ba2f3d86p-8, -0x1.7a0fb2472c19ap-8, -0x1.6d80fc59d6355p-8, -0x1.615669c0a1a31p-8, -0x1.558d1d7b262fp-8, -0x1.4a224d1dca4dep-8, -0x1.3f13404727888p-8, -0x1.345d50221ed7dp-8, -0x1.29fde703b8f94p-8, -0x1.1ff28029b1199p-8, -0x1.1638a790592f8p-8, -0x1.0ccdf9c88f817p-8, -0x1.03b023b3b2711p-8, -0x1.f5b9c4323d202p-9, -0x1.e4a4022f3307ep-9, -0x1.d41ab70a5ca27p-9, -0x1.c419b4bb33045p-9, -0x1.b49ce8b8e5e07p-9, -0x1.a5a05ba242a1bp-9, -0x1.9720314447a35p-9, -0x1.8918a8bf21022p-9, -0x1.7b861c7638ea1p-9, -0x1.6e65018662724p-9, -0x1.61b1e6abd227cp-9, -0x1.556972bfe185fp-9, -0x1.49886326ef1edp-9, -0x1.3e0b8a99de126p-9, -0x1.32efd09b0a2afp-9, -0x1.283231a862ae1p-9, -0x1.1dcfbff10bc66p-9, -0x1.13c5a4194deb1p-9, -0x1.0a111d88f5691p-9, -0x1.00af81e3e99e3p-9, -0x1.ef3c773540c8fp-10, -0x1.ddb58fb8acd9ap-10, -0x1.ccc568f507e94p-10, -0x1.bc673cbe6772cp-10, -0x1.ac96621d1f51ap-10, -0x1.9d4e4e9a31277p-10, -0x1.8e8a993544336p-10, -0x1.8046fdb1c2deap-10, -0x1.727f5eb578e36p-10, -0x1.652fc58b5f47p-10, -0x1.58545f23676a6p-10, -0x1.4be976eabdbfap-10, -0x1.3feb70eadb1c1p-10, -0x1.3456c4f9d2d1bp-10, -0x1.2927fc7d3facfp-10, -0x1.1e5bb372e8bb5p-10, -0x1.13ee9c5266bbbp-10, -0x1.09dd855ae9106p-10, -0x1.00255d54057cdp-10, -0x1.ed866bbcddb97p-11, -0x1.db68846431b75p-11, -0x1.c9eba4a5a5074p-11, -0x1.b90a97e67d147p-11, -0x1.a8c0462e04df8p-11, -0x1.9907a958814c7p-11, -0x1.89dbc97dcfce8p-11, -0x1.7b37c1927ae48p-11, -0x1.6d16caafeafd5p-11, -0x1.5f744a47a972bp-11, -0x1.524bde91d476bp-11, -0x1.459964f846c44p-11, -0x1.3958f804a5697p-11, -0x1.2d86e4efbcd1p-11, -0x1.221f9b942032p-11, -0x1.171f9d48a4c5ep-11, -0x1.0c836f931a966p-11, -0x1.0247966fad5b6p-11, -0x1.f0d12f3694719p-12, -0x1.ddc60b3d8724p-12, -0x1.cb671e57e1e13p-12, -0x1.b9ae1c59847fcp-12, -0x1.a8952415e8ec2p-12, -0x1.9816c4222d239p-12, -0x1.882dedfe462c8p-12, -0x1.78d5dae234e54p-12, -0x1.6a09e9a6a5432p-12, -0x1.5bc57f2d0e2b9p-12, -0x1.4e03f1b32711bp-12, -0x1.40c084075d23dp-12, -0x1.33f670dc06c39p-12, -0x1.27a1022687aa1p-12, -0x1.1bbbada1c9bbep-12, -0x1.10422ebac4785p-12, -0x1.0530971d09d5fp-12, -0x1.f506a34271a05p-13, -0x1.e06e2deb38a85p-13, -0x1.cc91ae3f1980ep-13, -0x1.b96b3bc7f635ap-13, -0x1.a6f4f2a26edf6p-13, -0x1.9528d17077bap-13, -0x1.8400af6f63096p-13, -0x1.73764a8d35346p-13, -0x1.6383664256c1ap-13, -0x1.5421f2ab18d76p-13, -0x1.454c3359f9402p-13, -0x1.36fcdb116e3cp-13, -0x1.292f143f0dda8p-13, -0x1.1bde770a3aaa6p-13, -0x1.0f06f344547fbp-13, -0x1.02a4b309744cp-13, -0x1.ed67f7e501adep-14, -0x1.d6622ba7a4dd8p-14, -0x1.c030772414b5dp-14, -0x1.aacb3019e8fc7p-14, -0x1.962a9e129ef98p-14, -0x1.82471eed869c5p-14, -0x1.6f19536422ac3p-14, -0x1.5c9a44a8712f3p-14, -0x1.4ac375ea8f772p-14, -0x1.398ede0462a9fp-14, -0x1.28f6d23dea603p-14, -0x1.18f5f1baf69fp-14, -0x1.09871b9b8dfffp-14, -0x1.f54ada4fbc099p-15, -0x1.d89879b6851f2p-15, -0x1.bcee151af0ddp-15, -0x1.a242d21847329p-15, -0x1.888dde1b5f16ap-15, -0x1.6fc677d1f1242p-15, -0x1.57e41e88600a3p-15, -0x1.40dec68d0f26ap-15, -0x1.2aaee77cf502ep-15, -0x1.154d50e34d56fp-15, -0x1.00b2de31307bdp-15, -0x1.d9b086b13adb3p-16, -0x1.b36c42551cc92p-16, -0x1.8e8abce649a89p-16, -0x1.6aff19ba2f2aap-16, -0x1.48be271ea6a8cp-16, -0x1.27be040815421p-16, -0x1.07f55a895ffd9p-16, -0x1.d2b57cf167bbfp-17, -0x1.97c9368400afp-17, -0x1.5f134973886acp-17, -0x1.2882abe7befd4p-17, -0x1.e80ff753bac5ep-18, -0x1.8328c0c9f7d74p-18, -0x1.222fa3e379882p-18, -0x1.89ffa600248d3p-19, -0x1.adc17994a31dap-20, -0x1.557ead0c121e4p-22, 0x1.eb73266d143eap-21, 0x1.19ff60b6a9107p-19, 0x1.b2e386896f339p-19, 0x1.22d6b9d696e7dp-18, 0x1.6941328f4e7ecp-18, 0x1.acc622a7214ffp-18, 0x1.ed7b82d285965p-18, 0x1.15bac81046b7bp-17, 0x1.336296d277e4dp-17, 0x1.4fbc62995d0b5p-17, 0x1.6acf911a98095p-17, 0x1.84a53bbdb0eb9p-17, 0x1.9d48de531449fp-17, 0x1.b4c7cf5b42767p-17, 0x1.cb2fb6f9e8357p-17, 0x1.e08ca0886c0fp-17, 0x1.f4e78caa8056fp-17, 0x1.042332b5bba8ap-16, 0x1.0d56bb528aa26p-16, 0x1.1610b09ba109p-16, 0x1.1e540b9b8b001p-16, 0x1.26242eca5386fp-16, 0x1.2d8449b886eecp-16, 0x1.3476ed95eb9e8p-16, 0x1.3afe2071dd5f5p-16, 0x1.411bdbcaad297p-16, 0x1.46d290fda8bd4p-16, 0x1.4c25551cfe538p-16, 0x1.5117b8b117566p-16, 0x1.55ad897aeed52p-16, 0x1.59ea90dcfe728p-16, 0x1.5dd23958750fcp-16, 0x1.61672d5e7b838p-16, 0x1.64ab3cb7fb4b8p-16, 0x1.679fbac1c68e9p-16, 0x1.6a4615211bb56p-16, 0x1.6ca0253dda99cp-16, 0x1.6eb00dc9915e1p-16, 0x1.7077dad05f42cp-16, 0x1.71f935f070737p-16, 0x1.733575e5cfe0bp-16, 0x1.742e0484692cdp-16, 0x1.74e4a941609ap-16, 0x1.755b6c35b0319p-16, 0x1.75944e08b36ddp-16, 0x1.75912c895e74ap-16, 0x1.7553dda195295p-16, 0x1.74de4dc6cfd3dp-16, 0x1.74327508eff6fp-16, 0x1.7352210df2d6p-16, 0x1.723ebee0b7955p-16, 0x1.70f96075cbbf6p-16, 0x1.6f830589c1ab5p-16, 0x1.6ddce57e6709cp-16, 0x1.6c0874bb6f617p-16, 0x1.6a071a6baa15dp-16, 0x1.67d9f16b24a21p-16, 0x1.6581f954dfc68p-16, 0x1.63006d7b4dd37p-16, 0x1.6056c2b460638p-16, 0x1.5d8667f967b21p-16, 0x1.5a909e43462efp-16, 0x1.577679523d22ap-16, 0x1.5438f74922d04p-16, 0x1.50d9209f0a5fp-16, 0x1.4d58240a87403p-16, 0x1.49b75e903fc7p-16, 0x1.45f836579ea9fp-16, 0x1.421bccc82fd28p-16, 0x1.3e22e2d88d6f3p-16, 0x1.3a0e2b32a2026p-16, 0x1.35dea2cfc6dbdp-16, 0x1.31956ca46861fp-16, 0x1.2d3370e8ed6c4p-16, 0x1.28b96f84eac92p-16, 0x1.2428543512cecp-16, 0x1.1f81348f417ffp-16, 0x1.1ac51cac9999ap-16, 0x1.15f4fbf4e2799p-16, 0x1.1111ace0f2cf8p-16, 0x1.0c1bfbdfdd50ap-16, 0x1.0714a8d9a8a53p-16, 0x1.01fc6ccf27f14p-16, 0x1.f9a810fa7a83dp-17, 0x1.ef38b28cff191p-17, }}, 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      {{0x1.ffb71360ad07bp-1, 0x1.fedc99dda5d61p-1, 0x1.fd7176ace1296p-1, 0x1.fb771ec1c98bcp-1, 0x1.f8ef913de263fp-1, 0x1.f5dd4e28ff29bp-1, 0x1.f2434c0903721p-1, 0x1.ee24ecd37bb6cp-1, 0x1.e985f299a43a1p-1, 0x1.e46a7439862dap-1, 0x1.ded6d24c75f86p-1, 0x1.d8cfac7c08f93p-1, 0x1.d259d75a4320ep-1, 0x1.cb7a52cfd8fffp-1, 0x1.c436412b9b072p-1, 0x1.bc92ded815754p-1, 0x1.b4957ab7e8e53p-1, 0x1.ac436f25fec43p-1, 0x1.a3a21b945a4dcp-1, 0x1.9ab6dec2a70f5p-1, 0x1.918711849b6c4p-1, 0x1.8818020fb71fep-1, 0x1.7e6eefc7a5813p-1, 0x1.74910780999a8p-1, 0x1.6a83602f23b49p-1, 0x1.604af7fd5ba88p-1, 0x1.55ecb1bd9b9ep-1, 0x1.4b6d52b378faep-1, 0x1.40d180ac2008fp-1, 0x1.361dc05fa817cp-1, 0x1.2b5674156f097p-1, 0x1.207fda85edf67p-1, 0x1.159e0df4e92b4p-1, 0x1.0ab5037f34d81p-1, 0x1.ff91152f4af08p-2, 0x1.e9b8995e227d9p-2, 0x1.d3e79a0721436p-2, 0x1.be24d126edbeap-2, 0x1.a876ac6162767p-2, 0x1.92e34d62fd10cp-2, 0x1.7d708a773681fp-2, 0x1.6823ef4e77fadp-2, 0x1.5302bdeea2a39p-2, 0x1.3e11efc989be5p-2, 0x1.295636f5059b6p-2, 0x1.14d3ff808a65fp-2, 0x1.008f70e48a2a6p-2, 0x1.d918df10213b8p-3, 0x1.b19d3cb2bf257p-3, 0x1.8ab2c0ed0432p-3, 0x1.645fb5c611e97p-3, 0x1.3ea9ec90b5ec4p-3, 0x1.1996c17c7103p-3, 0x1.ea563e6502969p-4, 0x1.a2d704f5f0e05p-4, 0x1.5cb7fbcc4eac4p-4, 0x1.18007aee3ca76p-4, 0x1.a96e2930d3206p-5, 0x1.25c3390baab11p-5, 0x1.4a14bca59e264p-6, 0x1.3a638d5071205p-8, -0x1.4dbc19ad1b094p-7, -0x1.96438f386e246p-6, -0x1.3fc6c61552b91p-5, -0x1.b15a1f0a3f119p-5, -0x1.0fec85c1018fep-4, -0x1.45a0e9b4e489p-4, -0x1.79c9e078897eap-4, -0x1.ac678a18f81a4p-4, -0x1.dd7a7b939312fp-4, -0x1.0681dc7c6cba4p-3, -0x1.1d8257dbc07d7p-3, -0x1.33bf988805d0cp-3, -0x1.493ab6589abbcp-3, -0x1.5df4f5be93117p-3, -0x1.71efc53ba2533p-3, -0x1.852cbaed41989p-3, -0x1.97ad922bd68cfp-3, -0x1.a974293db772bp-3, -0x1.ba827f1db516ep-3, -0x1.cadab154f0a8p-3, -0x1.da7ef9e7a2d5bp-3, -0x1.e971ad547ee71p-3, -0x1.f7b538a65b94fp-3, -0x1.02a60fcbd735ep-2, -0x1.091c7d63c93b6p-2, -0x1.0f3f3affec739p-2, -0x1.150fa745e8131p-2, -0x1.1a8f28cfa62adp-2, -0x1.1fbf2d66cae25p-2, -0x1.24a12947e1194p-2, -0x1.2936966d146a9p-2, -0x1.2d80f3e03a1d8p-2, -0x1.3181c513fc988p-2, -0x1.353a9143f5718p-2, -0x1.38ace2db83156p-2, -0x1.3bda46e32c4b2p-2, -0x1.3ec44c745dab8p-2, -0x1.416c843359799p-2, -0x1.43d47fcf21ff5p-2, -0x1.45fdd1873ad0dp-2, -0x1.47ea0bb712c62p-2, -0x1.499ac066e56a7p-2, -0x1.4b1180e1f89cbp-2, -0x1.4c4fdd51fbe1bp-2, -0x1.4d57645f72fafp-2, -0x1.4e29a2d6f76b4p-2, -0x1.4ec8235335a5p-2, -0x1.4f346deb7a574p-2, -0x1.4f7007e6aedd6p-2, -0x1.4f7c7372a2f4bp-2, -0x1.4f5b2f5f7ec53p-2, -0x1.4f0db6df41894p-2, -0x1.4e958149230bep-2, -0x1.4df401e0c3c22p-2, -0x1.4d2aa7a1037a9p-2, -0x1.4c3add0a6671fp-2, -0x1.4b2607f4e8b1dp-2, -0x1.49ed896523237p-2, -0x1.4892bd64a54f4p-2, -0x1.4716fadd6c7ap-2, -0x1.457b93785805p-2, -0x1.43c1d37e84a2p-2, -0x1.41eb01bd72a72p-2, -0x1.3ff85f6dde702p-2, -0x1.3deb281d322c8p-2, -0x1.3bc491997bfdbp-2, -0x1.3985cbdfcbcf8p-2, -0x1.3730010ce35d8p-2, -0x1.34c4555027af3p-2, -0x1.3243e6e0b06aap-2, -0x1.2fafcdf4717a1p-2, -0x1.2d091cb956fcdp-2, -0x1.2a50df504eaf6p-2, -0x1.27881bca1f1e1p-2, -0x1.24afd225ffe28p-2, -0x1.21c8fc51d9695p-2, -0x1.1ed48e2c2222p-2, -0x1.1bd3758739dffp-2, -0x1.18c69a2e3db46p-2, -0x1.15aeddeb3abecp-2, -0x1.128d1c8eb08ffp-2, -0x1.0f622bf8542afp-2, -0x1.0c2edc2100babp-2, -0x1.08f3f725c4d57p-2, -0x1.05b24154006dfp-2, -0x1.026a793681daep-2, -0x1.fe3aaf4727c32p-3, -0x1.f7971f97d577ap-3, -0x1.f0eb9e94d13d7p-3, -0x1.ea397c694bf0ep-3, -0x1.e381fe5864ca4p-3, -0x1.dcc65ee1087d6p-3, -0x1.d607cde305168p-3, -0x1.cf4770c551b4ap-3, -0x1.c886629d5559cp-3, -0x1.c1c5b45732f9cp-3, -0x1.bb066cdeefadbp-3, -0x1.b449894a66bbdp-3, -0x1.ad8ffd03f8f9ep-3, -0x1.a6dab1f5dd287p-3, -0x1.a02a88b5fdeb9p-3, -0x1.998058b2601a6p-3, -0x1.92dcf05de9d0dp-3, -0x1.8c41155d8ce64p-3, -0x1.85ad84b5ba66ap-3, -0x1.7f22f2f811db1p-3, -0x1.78a20c7139098p-3, -0x1.722b7556d6e3p-3, -0x1.6bbfc9f59ac3p-3, -0x1.655f9edf4813fp-3, -0x1.5f0b8118b5a3fp-3, -0x1.58c3f647ba806p-3, -0x1.52897ce0f4fe9p-3, -0x1.4c5c8c55678c6p-3, -0x1.463d953fe27bcp-3, -0x1.402d019224ccap-3, -0x1.3a2b34c1b85aep-3, -0x1.34388bf47d1fap-3, -0x1.2e555e2cd654p-3, -0x1.2881fc75734dfp-3, -0x1.22beb20cb334dp-3, -0x1.1d0bc48f949aap-3, -0x1.176974242c932p-3, -0x1.11d7fba3a549dp-3, -0x1.0c5790c3b440dp-3, -0x1.06e8643f8d7f9p-3, -0x1.018aa20044be3p-3, -0x1.f87ce28943a7ep-4, -0x1.ee07e990bd76fp-4, -0x1.e3b695d59ad72p-4, -0x1.d9891ba9b96ebp-4, -0x1.cf7fa73d0d8a9p-4, -0x1.c59a5ce72f08ap-4, -0x1.bbd9596f99c49p-4, -0x1.b23cb254ba276p-4, -0x1.a8c4761183008p-4, -0x1.9f70ac61d84d8p-4, -0x1.964156858adbdp-4, -0x1.8d366f8203337p-4, -0x1.844fec629683dp-4, -0x1.7b8dbc777f102p-4, -0x1.72efc9937a383p-4, -0x1.6a75f8480c771p-4, -0x1.62202820682d5p-4, -0x1.59ee33dafd326p-4, -0x1.51dff1a1ada7ap-4, -0x1.49f53340ab922p-4, -0x1.422dc65bfc983p-4, -0x1.3a8974a3aec9bp-4, -0x1.33080406b6029p-4, -0x1.2ba936e479d17p-4, -0x1.246ccc3d19de2p-4, -0x1.1d527fe060e4dp-4, -0x1.165a0a9b76a27p-4, -0x1.0f8322654a038p-4, -0x1.08cd7a89b9359p-4, -0x1.0238c3d38229ep-4, -0x1.f7895969e8a6bp-5, -0x1.eae1c2dede1c4p-5, -0x1.de7a1873617a9p-5, -0x1.d251aac9eb7a7p-5, -0x1.c667c701e4268p-5, -0x1.babbb6fd4b59ap-5, -0x1.af4cc1a421a05p-5, -0x1.a41a2b259cbdep-5, -0x1.9923353734dbap-5, -0x1.8e671f5183b0fp-5, -0x1.83e526eb192f2p-5, -0x1.799c87b13a6ep-5, -0x1.6f8c7bbe97dd7p-5, -0x1.65b43bd0146c4p-5, -0x1.5c12ff778f906p-5, -0x1.52a7fd4cd29p-5, -0x1.49726b1c9b0f5p-5, -0x1.40717e15d589ep-5, -0x1.37a46af51082bp-5, -0x1.2f0a662e31ea8p-5, -0x1.26a2a41475133p-5, -0x1.1e6c5900c42e3p-5, -0x1.1666b9766ca35p-5, -0x1.0e90fa4641f33p-5, -0x1.06ea50b032503p-5, -0x1.fee3e506b1c92p-6, -0x1.f04e2c79342b2p-6, -0x1.e211e6479e177p-6, -0x1.d42d82cf1782fp-6, -0x1.c69f746f19ef3p-6, -0x1.b9662fbba274p-6, -0x1.ac802bacd06d8p-6, -0x1.9febe1cc0e5dfp-6, -0x1.93a7ce5ec17d8p-6, -0x1.87b2708ea8c8ep-6, -0x1.7c0a4a8fec434p-6, -0x1.70ade1c4faacap-6, -0x1.659bbee037ca5p-6, -0x1.5ad26e039982fp-6, -0x1.50507ede3fc44p-6, -0x1.461484c81f20dp-6, -0x1.3c1d16dbb0c52p-6, -0x1.3268d00de666ap-6, -0x1.28f64f44498a3p-6, -0x1.1fc4376969527p-6, -0x1.16d12f7f9d2a6p-6, -0x1.0e1be2b236562p-6, -0x1.05a3006520693p-6, -0x1.faca78860a16cp-7, -0x1.eac29c940c16cp-7, -0x1.db2be5ae26c12p-7, -0x1.cc03d55fda966p-7, -0x1.bd47f617b3394p-7, -0x1.aef5db365bdc6p-7, -0x1.a10b211b3a5edp-7, -0x1.93856d2ecaca8p-7, -0x1.86626dead321fp-7, -0x1.799fdae086017p-7, -0x1.6d3b74bca2274p-7, -0x1.6133054995eb9p-7, -0x1.55845f6fe8ce1p-7, -0x1.4a2d5f34d1c3ep-7, -0x1.3f2be9b73369dp-7, -0x1.347ded2ae59d3p-7, -0x1.2a2160d29292dp-7, -0x1.201444f80d617p-7, -0x1.1654a2e35a03ep-7, -0x1.0ce08cd054872p-7, -0x1.03b61de31ea83p-7, -0x1.f5a6f436d6c56p-8, -0x1.e46d9c8d2e407p-8, -0x1.d3bc9fe17d8f5p-8, -0x1.c3907aa9ab567p-8, -0x1.b3e5ba979a1cbp-8, -0x1.a4b8fe758e223p-8, -0x1.9606f60120cbcp-8, -0x1.87cc61c45f661p-8, -0x1.7a0612edbefc5p-8, -0x1.6cb0eb2685d58p-8, -0x1.5fc9dc67de1bdp-8, -0x1.534de8ced583fp-8, -0x1.473a226f488b8p-8, -0x1.3b8bab25bef07p-8, -0x1.303fb46864715p-8, -0x1.25537f1700919p-8, -0x1.1ac45b4a5c8fap-8, -0x1.108fa822d00e8p-8, -0x1.06b2d396301f4p-8, -0x1.fa56b47abc9e3p-9, -0x1.e7ed8e41ea3ccp-9, -0x1.d625670ba8c3cp-9, -0x1.c4f98d725852p-9, -0x1.b4656bb868a64p-9, -0x1.a464875f7a9a3p-9, -0x1.94f280bea970dp-9, -0x1.860b1298cbb36p-9, -0x1.77aa11b2584b6p-9, -0x1.69cb6c6724349p-9, -0x1.5c6b2a40214f3p-9, -0x1.4f856b89569e2p-9, -0x1.431668e7663d2p-9, -0x1.371a72edd07e7p-9, -0x1.2b8df1b50f9fdp-9, -0x1.206d64714aeeep-9, -0x1.15b5610981d5dp-9, -0x1.0b6293aedb7fbp-9, -0x1.0171be74a860fp-9, -0x1.efbf71d1dfd99p-10, -0x1.dd52df5b088c1p-10, -0x1.cb97c824027f9p-10, -0x1.ba88575ca9755p-10, -0x1.aa1edffc409cp-10, -0x1.9a55dbf990aa1p-10, -0x1.8b27eb84bbf0ep-10, -0x1.7c8fd44351c62p-10, -0x1.6e88808d8faaap-10, -0x1.610cfeae3cf9cp-10, -0x1.54188024218cdp-10, -0x1.47a658e5066fp-10, -0x1.3bb1fea39928dp-10, -0x1.3037081701a3dp-10, -0x1.25312c44911cfp-10, -0x1.1a9c41cbf99bp-10, -0x1.10743e35c6fbap-10, -0x1.06b5354367b1bp-10, -0x1.fab6b0845f80dp-11, -0x1.e8c5eac13d4afp-11, -0x1.d790ee0b43e53p-11, -0x1.c710c65546981p-11, -0x1.b73eb57052c97p-11, -0x1.a81431c7a782p-11, -0x1.998ae523b3ea2p-11, -0x1.8b9cab70e6d42p-11, -0x1.7e43918b9938fp-11, -0x1.7179d4107dae5p-11, -0x1.6539de3337386p-11, -0x1.597e4898666b2p-11, -0x1.4e41d834c8b46p-11, -0x1.437f7d31c77d4p-11, -0x1.393251d6add1ap-11, -0x1.2f5599769bf9ep-11, -0x1.25e4bf6369aa4p-11, -0x1.1cdb55e5d3c79p-11, -0x1.14351539cbd76p-11, -0x1.0bedda8f10f73p-11, -0x1.0401a710305cep-11, -0x1.f8d93dd94a753p-12, -0x1.ea5610d0f0784p-12, -0x1.dc7295e175d2dp-12, -0x1.cf27dc67e56e4p-12, -0x1.c26f327f72c37p-12, -0x1.b6422344262f1p-12, -0x1.aa9a7520a37edp-12, -0x1.9f72282324b79p-12, -0x1.94c3745bce85ep-12, -0x1.8a88c845335d3p-12, -0x1.80bcc733451adp-12, -0x1.775a47cc3397ep-12, -0x1.6e5c5288db53ap-12, -0x1.65be203da972dp-12, -0x1.5d7b18ad753bbp-12, -0x1.558ed12181202p-12, -0x1.4df50b0c281d2p-12, -0x1.46a9b2b2a7021p-12, -0x1.3fa8ddde39eadp-12, -0x1.38eeca9539837p-12, -0x1.3277dddb53c02p-12, -0x1.2c40a27a660c7p-12, -0x1.2645c7d2128e5p-12, -0x1.208420ae684eap-12, -0x1.1af8a2260075ap-12, -0x1.15a0627faf3a3p-12, -0x1.1078981df6d87p-12, -0x1.0b7e9871dfd8dp-12, -0x1.06afd6f448696p-12, -0x1.0209e42688d1p-12, -0x1.fb14d931ef46ap-13, -0x1.f25e6fef45a58p-13, -0x1.e9ec503c645afp-13, -0x1.e1ba706229f85p-13, -0x1.d9c4f77966d15p-13, -0x1.d2083bb55ec46p-13, -0x1.ca80c0bb05d0ap-13, -0x1.c32b360210629p-13, -0x1.bc047541f6783p-13, -0x1.b50980ea5a67p-13, -0x1.ae3782a6518f4p-13, -0x1.a78bc9e86b59p-13, -0x1.a103ca838eeb4p-13, -0x1.9a9d1b4a4e9c1p-13, -0x1.945574bd5c791p-13, -0x1.8e2aafbfa3912p-13, -0x1.881ac454684b7p-13, -0x1.8223c868bd0fcp-13, -0x1.7c43eea55224dp-13, -0x1.767985466f9dfp-13, -0x1.70c2f50292479p-13, -0x1.6b1ebff17f794p-13, -0x1.658b80827ae5fp-13, -0x1.6007e878af7e8p-13, -0x1.5a92bfee6738bp-13, -0x1.552ae46017d68p-13, -0x1.4fcf47c2282c4p-13, -0x1.4a7eef9953892p-13, -0x1.4538f41d5b554p-13, -0x1.3ffc7f6464f62p-13, -0x1.3ac8cc8ed799ep-13, -0x1.359d270143e1ep-13, -0x1.3078e9a153f95p-13, -0x1.2b5b7e1947021p-13, -0x1.26445c21da1fcp-13, -0x1.213308d40bea2p-13, -0x1.1c2715fdbb42cp-13, -0x1.1720217d65389p-13, -0x1.121dd4a64c8b4p-13, -0x1.0d1fe3a42ec99p-13, -0x1.08260ceaa1865p-13, -0x1.033018a569f31p-13, -0x1.fc7bb06029babp-14, -0x1.f29e4b2347042p-14, -0x1.e8c7c5fa966d3p-14, -0x1.def7f4b12724bp-14, -0x1.d52eb986fa6b3p-14, -0x1.cb6c04505e68ap-14, -0x1.c1afd19b052e3p-14, -0x1.b7fa29dc19f5cp-14, -0x1.ae4b20a4a2ab6p-14, -0x1.a4a2d3e20157fp-14, -0x1.9b016b21cbf87p-14, -0x1.916716ded2213p-14, -0x1.87d40fd7e95f1p-14, -0x1.7e4896694b1ecp-14, -0x1.74c4f1ed16ae5p-14, -0x1.6b497027a8e7ep-14, -0x1.61d664b563b72p-14, -0x1.586c28807f959p-14, -0x1.4f0b193c4e149p-14, -0x1.45b398e86790dp-14, -0x1.3c660d560f163p-14, -0x1.3322dfb378458p-14, -0x1.29ea7c249cf5fp-14, -0x1.20bd51528a9b5p-14, -0x1.179bd00b1d7f2p-14, -0x1.0e866ae1da0aep-14, -0x1.057d95d664578p-14, -0x1.f9038bfae917ap-15, -0x1.e726e25f9647p-15, -0x1.d5661b7e62bc5p-15, -0x1.c3c224555ec27p-15, -0x1.b23be9b15f688p-15, -0x1.a0d457b5e3886p-15, -0x1.8f8c5956d21a6p-15, -0x1.7e64d7e93e214p-15, -0x1.6d5ebab46d3cap-15, -0x1.5c7ae68f59a09p-15, -0x1.4bba3d7acc277p-15, -0x1.3b1d9e49ad4cap-15, -0x1.2aa5e44f6bad6p-15, -0x1.1a53e70f745bp-15, -0x1.0a2879f09a8b8p-15, -0x1.f448d7fc57af8p-16, -0x1.d4910f50a0abcp-16, -0x1.b52b250eb8d8p-16, -0x1.96189a530785fp-16, -0x1.775ae5c1b63fep-16, -0x1.58f373313b614p-16, -0x1.3ae3a351bb794p-16, -0x1.1d2ccb6a76f3cp-16, -0x1.ffa06a3a9584dp-17, -0x1.c59e3c4a02012p-17, -0x1.8c55703ef21bp-17, -0x1.53c850dcdc663p-17, -0x1.1bf9100777ef1p-17, -0x1.c9d38d2c9f9eap-18, -0x1.5d38e8265a5e8p-18, -0x1.e44bfa7e61635p-19, -0x1.113ccb3852a0ep-19, -0x1.052c3884f08e1p-21, 0x1.1705afbfa50e9p-20, 0x1.5526e87456ffbp-19, 0x1.0dcdc60149276p-18, 0x1.6f6dc8b32b9d3p-18, }}, 
      {{0x1.ffe7b0465f26p-1, 0x1.ff9ed0639e4e3p-1, 0x1.ff258df10462dp-1, 0x1.fe7c341650f9fp-1, 0x1.fda32a68666ap-1, 0x1.fc9af37faf7c3p-1, 0x1.fb642b5ad9564p-1, 0x1.f9ff859ef3107p-1, 0x1.f86dcbc3005adp-1, 0x1.f6afdb3251f0dp-1, 0x1.f4c6a36ea7bcap-1, 0x1.f2b324392b999p-1, 0x1.f0766bc79f942p-1, 0x1.ee119509c4246p-1, 0x1.eb85c601c9a41p-1, 0x1.e8d42e31bdc37p-1, 0x1.e5fe051f1e4afp-1, 0x1.e30488ed28052p-1, 0x1.dfe8fd0dff0ecp-1, 0x1.dcaca90a759f3p-1, 0x1.d950d75ff1bdbp-1, 0x1.d5d6d473bf531p-1, 0x1.d23fed9afde98p-1, 0x1.ce8d70363d7b8p-1, 0x1.cac0a8dfd55a9p-1, 0x1.c6dae2abf7a09p-1, 0x1.c2dd6679824e5p-1, 0x1.bec97a5296ebep-1, 0x1.baa060dc01468p-1, 0x1.b66358d28666bp-1, 0x1.b2139c9535107p-1, 0x1.adb261bbe4eb8p-1, 0x1.a940d8b9160e4p-1, 0x1.a4c02c866ef78p-1, 0x1.a031825b231afp-1, 0x1.9b95f96b95d1ap-1, 0x1.96eeaab194884p-1, 0x1.923ca8bc93bcep-1, 0x1.8d80ff8959435p-1, 0x1.88bcb4608f6ep-1, 0x1.83f0c5bbc2729p-1, 0x1.7f1e2b304ae89p-1, 0x1.7a45d55fb88a9p-1, 0x1.7568aded52905p-1, 0x1.7087977843dddp-1, 0x1.6ba36d9a1a9f5p-1, 0x1.66bd04e93f2ffp-1, 0x1.61d52aff0cbf1p-1, 0x1.5ceca6813ef67p-1, 0x1.5804372e6a141p-1, 0x1.531c95ed33cdfp-1, 0x1.4e3674de0fa4ep-1, 0x1.49527f6f3dff9p-1, 0x1.44715a72d2766p-1, 0x1.3f93a4368f647p-1, 0x1.3ab9f49d5d215p-1, 0x1.35e4dd3a331a3p-1, 0x1.3114e96c40e14p-1, 0x1.2c4a9e7c3196bp-1, 0x1.27867bba5f751p-1, 0x1.22c8fa9dd4172p-1, 0x1.1e128ee3f63f6p-1, 0x1.1963a6b0c0d6fp-1, 0x1.14bcaaaf6af4ap-1, 0x1.101dfe3364fdfp-1, 0x1.0b87ff598f2cfp-1, 0x1.06fb072997732p-1, 0x1.027769b767316p-1, 0x1.fbfaec891b476p-2, 0x1.f31aeec330189p-2, 0x1.ea4f661e86558p-2, 0x1.e198d5befe5c9p-2, 0x1.d8f7b82c5f692p-2, 0x1.d06c7f934a645p-2, 0x1.c7f796057efc6p-2, 0x1.bf995db9632e4p-2, 0x1.b7523148c0efcp-2, 0x1.af2263eea54f8p-2, 0x1.a70a41c456edp-2, 0x1.9f0a0ffd5afc3p-2, 0x1.97220d2279713p-2, 0x1.8f52714bbf01p-2, 0x1.879b6e5970375p-2, 0x1.7ffd302bea1bdp-2, 0x1.7877dcda6ea54p-2, 0x1.710b94e8d42e1p-2, 0x1.69b8737c1779cp-2, 0x1.627e8e8dd19e2p-2, 0x1.5b5df71e8a54p-2, 0x1.5456b966eb17dp-2, 0x1.4d68dd07d3187p-2, 0x1.4694653949c1ap-2, 0x1.3fd950f85215cp-2, 0x1.39379b33a33bap-2, 0x1.32af3af745d0bp-2, 0x1.2c40239715ff2p-2, 0x1.25ea44d835c75p-2, 0x1.1fad8b19647e2p-2, 0x1.1989df7a4f4a5p-2, 0x1.137f2801cddfap-2, 0x1.0d8d47c31d80dp-2, 0x1.07b41f021029ep-2, 0x1.01f38b56433d2p-2, 0x1.f896cf9a9f402p-3, 0x1.ed771a18152ep-3, 0x1.e287a2dd953e7p-3, 0x1.d7c812517e75p-3, 0x1.cd380cc4b759dp-3, 0x1.c2d732adb3e7ap-3, 0x1.b8a520e1b4b73p-3, 0x1.aea170cc44b02p-3, 0x1.a4cbb8a503516p-3, 0x1.9b238ba3bd544p-3, 0x1.91a87a32e8c5cp-3, 0x1.885a122078462p-3, 0x1.7f37decd2356cp-3, 0x1.7641695a21f37p-3, 0x1.6d7638d55d3a6p-3, 0x1.64d5d2643147dp-3, 0x1.5c5fb96caf8fp-3, 0x1.54136fbd807a9p-3, 0x1.4bf075b45802dp-3, 0x1.43f64a631ce49p-3, 0x1.3c246bb3ac7c1p-3, 0x1.347a568a62d75p-3, 0x1.2cf786e752c69p-3, 0x1.259b78064a0efp-3, 0x1.1e65a47d99d64p-3, 0x1.1755865bbb06ap-3, 0x1.106a9743c259cp-3, 0x1.09a45088bbcc1p-3, 0x1.03022b47ee587p-3, 0x1.f90741040e375p-4, 0x1.ec50526691cc6p-4, 0x1.dfde7cd54bb26p-4, 0x1.d3b0b2bfdc512p-4, 0x1.c7c5e711f33cep-4, 0x1.bc1d0d5bde1ebp-4, 0x1.b0b519f92b085p-4, 0x1.a58d023594bc3p-4, 0x1.9aa3bc7033a2dp-4, 0x1.8ff8403cf8877p-4, 0x1.858986848df6p-4, 0x1.7b5689a29d3ccp-4, 0x1.715e45828ba6ap-4, 0x1.679fb7bab69dep-4, 0x1.5e19dfa63d23ap-4, 0x1.54cbbe7d5d1f7p-4, 0x1.4bb4576c7379fp-4, 0x1.42d2afa9a8b01p-4, 0x1.3a25ce8950346p-4, 0x1.31acbd910c088p-4, 0x1.29668889b840dp-4, 0x1.21523d902a0ebp-4, 0x1.196eed24cd395p-4, 0x1.11bbaa3a292b6p-4, 0x1.0a378a4254f8bp-4, 0x1.02e1a53b64ea4p-4, 0x1.f7722b75b67adp-5, 0x1.e979f1f042614p-5, 0x1.dbd8ddac2b77dp-5, 0x1.ce8d33d76f879p-5, 0x1.c1953f17e4377p-5, 0x1.b4ef4f99298edp-5, 0x1.a899bb1903466p-5, 0x1.9c92dcf229165p-5, 0x1.90d916259782ep-5, 0x1.856acd627b889p-5, 0x1.7a466f0cb9de9p-5, 0x1.6f6a6d422b22dp-5, 0x1.64d53fde90cf5p-5, 0x1.5a85647e57ba9p-5, 0x1.50795e8031497p-5, 0x1.46afb7058fa29p-5, 0x1.3d26fcf2156ccp-5, 0x1.33ddc4e9fcf76p-5, 0x1.2ad2a94f8a809p-5, 0x1.22044a3f91b12p-5, 0x1.19714d8d17198p-5, 0x1.11185ebc1c777p-5, 0x1.08f82efba0e98p-5, 0x1.010f751edab2ap-5, 0x1.f2b9db2b7b184p-6, 0x1.e3beb4c99c779p-6, 0x1.d52b06389f7b5p-6, 0x1.c6fc699dae0cdp-6, 0x1.b930840e8fa9bp-6, 0x1.abc5057c8af5ep-6, 0x1.9eb7a89e450c3p-6, 0x1.920632d8a4e4p-6, 0x1.85ae7426d14f7p-6, 0x1.79ae470157a5ep-6, 0x1.6e0390448223bp-6, 0x1.62ac3f15f6a07p-6, 0x1.57a64cc9a991dp-6, 0x1.4cefbcc6228b3p-6, 0x1.42869c6839a1p-6, 0x1.386902e6426ebp-6, 0x1.2e951132bb433p-6, 0x1.2508f1de89999p-6, 0x1.1bc2d8fad13d7p-6, 0x1.12c103fa6a534p-6, 0x1.0a01b99308908p-6, 0x1.0183499e13a3cp-6, 0x1.f28819f289012p-7, 0x1.e284cace0db6cp-7, 0x1.d2f97add63a9ap-7, 0x1.c3e3107921969p-7, 0x1.b53e8303ab4ffp-7, 0x1.a708daa8e245p-7, 0x1.993f301db87b3p-7, 0x1.8bdeac5fa5f96p-7, 0x1.7ee488742add9p-7, 0x1.724e0d2849012p-7, 0x1.661892d020cc1p-7, 0x1.5a4181069ab2ep-7, 0x1.4ec64e6d47978p-7, 0x1.43a4806c7735ep-7, 0x1.38d9aaf37f1dbp-7, 0x1.2e63703957864p-7, 0x1.243f807d7f58ap-7, 0x1.1a6b99c93bb4dp-7, 0x1.10e587b139465p-7, 0x1.07ab231793ea7p-7, 0x1.fd74a3dc9d923p-8, 0x1.ec220df47db23p-8, 0x1.db5a832cef264p-8, 0x1.cb1a1af06b351p-8, 0x1.bb5d04e695c1p-8, 0x1.ac1f887e52c7bp-8, 0x1.9d5e0478cbb24p-8, 0x1.8f14ee75cfb4fp-8, 0x1.8140d2814bafap-8, 0x1.73de52a1ff8fcp-8, 0x1.66ea266987ff1p-8, 0x1.5a611a8596a95p-8, 0x1.4e4010528c999p-8, 0x1.4283fd6f626c3p-8, 0x1.3729eb52e79f2p-8, 0x1.2c2ef6e25fc15p-8, 0x1.21905009824b6p-8, 0x1.174b3953d80f3p-8, 0x1.0d5d07878d0bfp-8, 0x1.03c321419f499p-8, 0x1.f4f5fd26f10d2p-9, 0x1.e304514408e6bp-9, 0x1.d1ac728c4fcc3p-9, 0x1.c0e9b55d4c831p-9, 0x1.b0b78e0709134p-9, 0x1.a1119015aa145p-9, 0x1.91f36d9de6516p-9, 0x1.8358f68c53814p-9, 0x1.753e17f7c20ebp-9, 0x1.679edb763cfb8p-9, 0x1.5a77667512a1ep-9, 0x1.4dc3f99394b49p-9, 0x1.4180f000d54b5p-9, 0x1.35aabedc0ecbp-9, 0x1.2a3df49801891p-9, 0x1.1f373860fd6abp-9, 0x1.14934985ccfaep-9, 0x1.0a4efee34b5c4p-9, 0x1.00674652c2ecep-9, 0x1.edb2483613d29p-10, 0x1.db4364c88f56dp-10, 0x1.c97c415ca582p-10, 0x1.b8576693c94d4p-10, 0x1.a7cf85a88ec94p-10, 0x1.97df776b22a37p-10, 0x1.88823b4322a4cp-10, 0x1.79b2f63670b5ep-10, 0x1.6b6cf1f50dea3p-10, 0x1.5dab9be9c8a82p-10, 0x1.506a8450083d2p-10, 0x1.43a55d4e4d28p-10, 0x1.3757fa15823fep-10, 0x1.2b7e4e050dd3ap-10, 0x1.20146bd3833c1p-10, 0x1.151684bbe51cbp-10, 0x1.0a80e7af7192cp-10, 0x1.0050008bf47dap-10, 0x1.ed00aead1dfbap-11, 0x1.da1d1ef53c849p-11, 0x1.c7eece19f451cp-11, 0x1.b66f6c271f80fp-11, 0x1.a598dba22d301p-11, 0x1.956530294616ep-11, 0x1.85cead1ae9294p-11, 0x1.76cfc44528154p-11, 0x1.6863149cd7281p-11, 0x1.5a8368fc623d7p-11, 0x1.4d2bb6e9ef5ap-11, 0x1.40571d64df614p-11, 0x1.3400e3bad97d3p-11, 0x1.2824786382bccp-11, 0x1.1cbd6fe3b0671p-11, 0x1.11c783b74c271p-11, 0x1.073e91417d4bcp-11, 0x1.fa3d3188213ccp-12, 0x1.e6c778b9c9ccep-12, 0x1.d4147e148e65cp-12, 0x1.c21d076a29fcdp-12, 0x1.b0da1881c2dd8p-12, 0x1.a044f144eccfp-12, 0x1.90570bf7f194dp-12, 0x1.810a1b7e1b24ep-12, 0x1.725809a966e5fp-12, 0x1.643af59420e8bp-12, 0x1.56ad32069e8e8p-12, 0x1.49a943e6ab92ep-12, 0x1.3d29e0b211c0fp-12, 0x1.3129ed0376f94p-12, 0x1.25a47b2051541p-12, 0x1.1a94c9911d4fdp-12, 0x1.0ff641c2f310fp-12, 0x1.05c476b29dd3dp-12, 0x1.f7f64741a4f8ep-13, 0x1.e52c559fff86fp-13, 0x1.d323289288665p-13, 0x1.c1d31955f2815p-13, 0x1.b134c7ff48d47p-13, 0x1.a1411938e5267p-13, 0x1.91f13411b9b41p-13, 0x1.833e7fda8b826p-13, 0x1.7522a210e018ap-13, 0x1.67977c5bfa9fp-13, 0x1.5a972a95b9d26p-13, 0x1.4e1c00e2e4869p-13, 0x1.422089da9d8f2p-13, 0x1.369f84b91d904p-13, 0x1.2b93e39f6c129p-13, 0x1.20f8c9e21ea8fp-13, 0x1.16c98a62c312ep-13, 0x1.0d01a5f617fd2p-13, 0x1.039cc9d8117b7p-13, 0x1.f52d9c51cb512p-14, 0x1.e3d768eb3541p-14, 0x1.d32f4c9b818d4p-14, 0x1.c32de7c358916p-14, 0x1.b3cc25594a298p-14, 0x1.a50338534bbc7p-14, 0x1.96cc992365003p-14, 0x1.89220344de60dp-14, 0x1.7bfd72e051de7p-14, 0x1.6f592280621f9p-14, 0x1.632f88d8c21f9p-14, 0x1.577b569fc0a1p-14, 0x1.4c377479dee17p-14, 0x1.415f00f14f83ep-14, 0x1.36ed4e81daf4fp-14, 0x1.2cdde1b301335p-14, 0x1.232c6f41b5356p-14, 0x1.19d4da590699fp-14, 0x1.10d332daa096ap-14, 0x1.0823b3b44d904p-14, 0x1.ff858281b2917p-15, 0x1.ef59cf72f9f47p-15, 0x1.dfbdb36712198p-15, 0x1.d0aadd539be13p-15, 0x1.c21b432650e12p-15, 0x1.b4091f0cecf5dp-15, 0x1.a66eeccddd05ep-15, 0x1.994767386eefep-15, 0x1.8c8d85af516acp-15, 0x1.803c79c46ef78p-15, 0x1.744faceac2b92p-15, 0x1.68c2be3d78d0dp-15, 0x1.5d91805ad3b0ep-15, 0x1.52b7f74e0d108p-15, 0x1.4832568d3d685p-15, 0x1.3dfcff0a934edp-15, 0x1.34147d55a3cdap-15, 0x1.2a7587cd790f7p-15, 0x1.211cfce403b12p-15, 0x1.1807e171fec28p-15, 0x1.0f335f16e033ap-15, 0x1.069cc2a86254ap-15, 0x1.fc82f561d1c9dp-16, 0x1.ec3e2bfd4e014p-16, 0x1.dc668476712bp-16, 0x1.ccf79527dec27p-16, 0x1.bded2ce083e61p-16, 0x1.af43505f76be3p-16, 0x1.a0f637ec02227p-16, 0x1.93024d02df94bp-16, 0x1.8564281f648ddp-16, 0x1.78188e944d8b9p-16, 0x1.6b1c707bc6ea8p-16, 0x1.5e6ce6be7a9ep-16, 0x1.5207312ac6043p-16, 0x1.45e8b49e9ee8p-16, 0x1.3a0ef94343467p-16, 0x1.2e77a8da4b5a8p-16, 0x1.23208d21df84p-16, 0x1.18078e426b3e3p-16, 0x1.0d2ab14d9b4e2p-16, 0x1.028816d51d9abp-16, 0x1.f03bf30617314p-17, 0x1.dbd55995a4e53p-17, 0x1.c7d9373f2adc7p-17, 0x1.b4448e7df26d9p-17, 0x1.a1148c12597dbp-17, 0x1.8e4684bf86bcp-17, 0x1.7bd7f3290aa26p-17, 0x1.69c675d18c06bp-17, 0x1.580fcd18e48dep-17, 0x1.46b1d96539e7p-17, 0x1.35aa994c41aecp-17, 0x1.24f827e5da8c9p-17, 0x1.1498bb28db20fp-17, 0x1.048aa257347d1p-17, 0x1.e9988900009bfp-18, 0x1.cab83e3a169e1p-18, 0x1.ac7189549bc6dp-18, 0x1.8ec1b6cc3a396p-18, 0x1.71a6380cde67p-18, 0x1.551ca1293d31cp-18, 0x1.3922a69fccaeap-18, 0x1.1db61b33084f5p-18, 0x1.02d4eddfc63d6p-18, 0x1.d0fa500455315p-19, 0x1.9d59d6dc8891ep-19, 0x1.6ac4e1849efbap-19, 0x1.39380b6a4bdbcp-19, 0x1.08b0170634fd3p-19, 0x1.b253d5eb3295bp-20, 0x1.55451e69244b7p-20, 0x1.f45ca978aa0c5p-21, 0x1.4213fcec55994p-21, 0x1.274b539e8e08bp-22, -0x1.6f87f2388e1dap-25, -0x1.7ba0ae69d852cp-22, -0x1.60eb69e35cf71p-21, -0x1.00297e3b6a817p-20, -0x1.4e080a4f0a95ep-20, -0x1.9a15bfa288b9fp-20, -0x1.e456eb76c0a6cp-20, -0x1.1667e24218bdcp-19, -0x1.39c236eb3c8c5p-19, -0x1.5c3c7ca212e4ap-19, -0x1.7dd8b4eaf1f11p-19, -0x1.9e98db02dff06p-19, -0x1.be7ee4e52a142p-19, -0x1.dd8cc42c09617p-19, -0x1.fbc467005a65bp-19, -0x1.0c93dc76c3addp-18, -0x1.1adc51c38d603p-18, -0x1.28bc87967b7b6p-18, -0x1.363571d0d488cp-18, -0x1.4348044eb7d6cp-18, -0x1.4ff533307f766p-18, -0x1.5c3df311efd84p-18, -0x1.6823393e62f3dp-18, -0x1.73a5fbe1e731cp-18, -0x1.7ec73238baac4p-18, -0x1.8987d4ae16dc5p-18, -0x1.93e8dcfd1ec37p-18, -0x1.9deb46562e027p-18, -0x1.a7900d695b314p-18, -0x1.b0d83088c5f63p-18, -0x1.b9c4afb242ec1p-18, -0x1.c2568c9e33602p-18, -0x1.ca8ecac40764cp-18, -0x1.d26e6f659fd41p-18, -0x1.d9f681932aa77p-18, -0x1.e1280a21660fbp-18, -0x1.e80413b2e3712p-18, -0x1.ee8baab0959bcp-18, -0x1.f4bfdd3de26aep-18, -0x1.faa1bb38e5ed4p-18, -0x1.00192b149609ep-17, -0x1.02b9609ba96d2p-17, -0x1.0532088cb613bp-17, -0x1.0783ae048f4c1p-17, -0x1.09aedcd84e31dp-17, -0x1.0bb421896bcdbp-17, -0x1.0d94093fc92cfp-17, -0x1.0f4f21be838ecp-17, -0x1.10e5f9585b54bp-17, -0x1.12591ee5c0c66p-17, -0x1.13a921b8d4d44p-17, -0x1.14d691927c89ap-17, -0x1.15e1fe94730fdp-17, -0x1.16cbf937289ep-17, -0x1.1795123bdeb82p-17, -0x1.183dda9ff3a59p-17, -0x1.18c6e3905b728p-17, -0x1.1930be5d42728p-17, -0x1.197bfc6d69001p-17, -0x1.19a92f2ff0c25p-17, -0x1.19b8e810e0b9bp-17, -0x1.19abb86ae05cap-17, -0x1.1982317bd82d6p-17, -0x1.193ce45636168p-17, -0x1.18dc61d58db7p-17, -0x1.18613a910c403p-17, -0x1.17cbfecfc5bf6p-17, -0x1.171d3e7b0767ap-17, -0x1.16558913e8402p-17, -0x1.15756da61e24dp-17, }}, 
      std::vector<double>(500, 0.0), 
      {{0x1.95667bdaacefep-8, 0x1.9687c6ba27ee6p-7, 0x1.3249acf53f2ffp-6, 0x1.9aebaff1143e7p-6, 0x1.02ceb7ef895bep-5, 0x1.3961aafae0cfbp-5, 0x1.7158d36e9a544p-5, 0x1.aad612f4361ecp-5, 0x1.e5f31e271682fp-5, 0x1.1160e09a141c8p-4, 0x1.30a623d9b4ae4p-4, 0x1.50cafe5480fp-4, 0x1.71cddcf1fe5fcp-4, 0x1.93aa3febce918p-4, 0x1.b659084f36d1ep-4, 0x1.d9d0c50fcaa96p-4, 0x1.fe05fe2d099aep-4, 0x1.1175be6c2c473p-3, 0x1.243947ef0b5cfp-3, 0x1.3745a5ec004b5p-3, 0x1.4a926371a8dcdp-3, 0x1.5e16a7dea0b01p-3, 0x1.71c9502348544p-3, 0x1.85a105c290e1ap-3, 0x1.999453a53a3fdp-3, 0x1.ad99b8d85828ap-3, 0x1.c1a7b953902f6p-3, 0x1.d5b4ece5570b2p-3, 0x1.e9b80c6496857p-3, 0x1.fda7fd46f0abep-3, 0x1.08bdeddd384c8p-2, 0x1.129581b037c3ep-2, 0x1.1c568b631432p-2, 0x1.25fd02db0938cp-2, 0x1.2f85093db732p-2, 0x1.38eaeb18036d7p-2, 0x1.422b22153641dp-2, 0x1.4b425650bae32p-2, 0x1.542d5f4c2d15ep-2, 0x1.5ce94492a5efep-2, 0x1.65733e118806dp-2, 0x1.6dc8b42e7c7fap-2, 0x1.75e73fa1a8ac8p-2, 0x1.7dcca91aa53ddp-2, 0x1.8576e8b638242p-2, 0x1.8ce4254a5cd3bp-2, 0x1.9412b38daef9cp-2, 0x1.9b01151eee75bp-2, 0x1.a1adf770ec802p-2, 0x1.a818329ed359p-2, 0x1.ae3ec82c7064dp-2, 0x1.b420e1b5d742ep-2, 0x1.b9bdcf9161b84p-2, 0x1.bf150766e13bbp-2, 0x1.c42622be8591bp-2, 0x1.c8f0dd89c953ep-2, 0x1.cd7514a87dd51p-2, 0x1.d1b2c46be0529p-2, 0x1.d5aa071965429p-2, 0x1.d95b136ed1727p-2, 0x1.dcc63b28f47c1p-2, 0x1.dfebe98e4996bp-2, 0x1.e2cca1fe8fp-2, 0x1.e568fe884b298p-2, 0x1.e7c1ae85172afp-2, 0x1.e9d7753d67a25p-2, 0x1.ebab28947569ap-2, 0x1.ed3dafbcc7006p-2, 0x1.ee9001f5d950dp-2, 0x1.efa3255332975p-2, 0x1.f0782d8d3922bp-2, 0x1.f1103adbfbab6p-2, 0x1.f16c78dc18ff7p-2, 0x1.f18e1d7de3983p-2, 0x1.f17667fec5814p-2, 0x1.f1269fecf6977p-2, 0x1.f0a014356c801p-2, 0x1.efe41a3c00d25p-2, 0x1.eef40cfdaa453p-2, 0x1.edd14c3cb1208p-2, 0x1.ec7d3bb6afe33p-2, 0x1.eaf942643abbdp-2, 0x1.e946c9c1f97dcp-2, 0x1.e7673d22fedaep-2, 0x1.e55c090c273adp-2, 0x1.e3269a98420cbp-2, 0x1.e0c85ee4cb864p-2, 0x1.de42c286f071ap-2, 0x1.db973108a7b38p-2, 0x1.d8c7146d9492dp-2, 0x1.d5d3d4bf78949p-2, 0x1.d2bed7a1ee1d9p-2, 0x1.cf897fed2dd64p-2, 0x1.cc352d4f99c4cp-2, 0x1.c8c33bf5cfa84p-2, 0x1.c53504390422dp-2, 0x1.c18bda535f01bp-2, 0x1.bdc90e1a2760cp-2, 0x1.b9edeabd77fa2p-2, 0x1.b5fbb68d43564p-2, 0x1.b1f3b2c36dce1p-2, 0x1.add71b52c6659p-2, 0x1.a9a726baa00bep-2, 0x1.a56505dedf448p-2, 0x1.a111e3e43ab3p-2, 0x1.9caee6108b592p-2, 0x1.983d2baeebe0ep-2, 0x1.93bdcdf77eed6p-2, 0x1.8f31dffab2a95p-2, 0x1.8a9a6e8fc553bp-2, 0x1.85f8804673ea2p-2, 0x1.814d155b947fap-2, 0x1.7c9927b088e31p-2, 0x1.77ddaac54dc74p-2, 0x1.731b8bb514633p-2, 0x1.6e53b13532a5ap-2, 0x1.6986fb9654dfp-2, 0x1.64b644c7c557cp-2, 0x1.5fe2605caefedp-2, 0x1.5b0c1b933bf6ap-2, 0x1.56343d5d7288fp-2, 0x1.515b866bb37a3p-2, 0x1.4c82b138be78fp-2, 0x1.47aa72172639bp-2, 0x1.42d3774014961p-2, 0x1.3dfe68e34d877p-2, 0x1.392be938570aap-2, 0x1.345c9490b0d02p-2, 0x1.2f91016b054bp-2, 0x1.2ac9c0874215bp-2, 0x1.26075cfb85a5cp-2, 0x1.214a5c49ca1c6p-2, 0x1.1c933e7644da2p-2, 0x1.17e27e1e60715p-2, 0x1.1338909049ee4p-2, 0x1.0e95e5e2fbe85p-2, 0x1.09fae90ebb0aap-2, 0x1.05680005f754ep-2, 0x1.00dd8bce831e3p-2, 0x1.f8b7d1362b7c4p-3, 0x1.efc6dbca14ec4p-3, 0x1.e6e8dd0ca4bf5p-3, 0x1.de1e71a722e84p-3, 0x1.d5682d6ca94c4p-3, 0x1.ccc69b8ec0576p-3, 0x1.c43a3ed20e08bp-3, 0x1.bbc391c30b277p-3, 0x1.b36306eaa8a2cp-3, 0x1.ab190902def39p-3, 0x1.a2e5fb2b1346ap-3, 0x1.9aca391c3c6f3p-3, 0x1.92c6175cccec3p-3, 0x1.8ad9e37444f5cp-3, 0x1.8305e41e6ad3fp-3, 0x1.7b4a597e1d2b3p-3, 0x1.73a77d4fa8627p-3, 0x1.6c1d831ab35bbp-3, 0x1.64ac986394e2ap-3, 0x1.5d54e4dc2b52p-3, 0x1.56168a9415033p-3, 0x1.4ef1a62856ba8p-3, 0x1.47e64ef25af2bp-3, 0x1.40f497364a08ep-3, 0x1.3a1c8c50b9854p-3, 0x1.335e36e3a1cb5p-3, 0x1.2cb99b02a3ddfp-3, 0x1.262eb85e91245p-3, 0x1.1fbd8a7037d45p-3, 0x1.196608a26891p-3, 0x1.1328267b3a86cp-3, 0x1.0d03d3c48b5f7p-3, 0x1.06f8fcb3b0819p-3, 0x1.01078a1060a3cp-3, 0x1.f65ec2b59f173p-4, 0x1.eae0c9e1fefb9p-4, 0x1.df94e8667d627p-4, 0x1.d47ad74fb6a8bp-4, 0x1.c9924a3c08ee7p-4, 0x1.bedaef9fba424p-4, 0x1.b45471077dde2p-4, 0x1.a9fe735964c4cp-4, 0x1.9fd89714211fcp-4, 0x1.95e2788cc0f49p-4, 0x1.8c1bb02ac7371p-4, 0x1.8283d2a2ad3ebp-4, 0x1.791a712ed5c6p-4, 0x1.6fdf19c6ee1bp-4, 0x1.66d15755c0d9fp-4, 0x1.5df0b1ed81947p-4, 0x1.553caefa91ecdp-4, 0x1.4cb4d174c7023p-4, 0x1.44589a0f31762p-4, 0x1.3c2787666ccc9p-4, 0x1.3421162d7e6a3p-4, 0x1.2c44c159437d4p-4, 0x1.2492024a79137p-4, 0x1.1d0850f65cc6cp-4, 0x1.15a7240df4425p-4, 0x1.0e6df123f8fa6p-4, 0x1.075c2cd1724cdp-4, 0x1.00714ad9026f5p-4, 0x1.f3597c91dbd11p-5, 0x1.e61bf337c0179p-5, 0x1.d928ddb0ed54cp-5, 0x1.cc7f1f5f2e2eep-5, 0x1.c01d9b332a39ep-5, 0x1.b40333e467993p-5, 0x1.a82ecc2701671p-5, 0x1.9c9f46df27fe9p-5, 0x1.915387527c64bp-5, 0x1.864a7157423ebp-5, 0x1.7b82e98187a56p-5, 0x1.70fbd54e4389ap-5, 0x1.66b41b4c7b33ep-5, 0x1.5caaa3447ad46p-5, 0x1.52de565d2cc15p-5, 0x1.494e1f3f9c66dp-5, 0x1.3ff8ea38b13ap-5, 0x1.36dda5592d4aap-5, 0x1.2dfb4093fb10ap-5, 0x1.2550addad71f9p-5, 0x1.1cdce1395f3fep-5, 0x1.149ed0ee9939fp-5, 0x1.0c957584f1ad4p-5, 0x1.04bfc9e8c9d1bp-5, 0x1.fa3996fb2e9bap-6, 0x1.eb56f46349d3fp-6, 0x1.dcd5b120fb3d8p-6, 0x1.ceb3d7a81a848p-6, 0x1.c0ef77e906487p-6, 0x1.b386a76df5a39p-6, 0x1.a6778175fed3p-6, 0x1.99c0270dd0e15p-6, 0x1.8d5ebf2645a16p-6, 0x1.815176a8d7edbp-6, 0x1.7596808a08bc5p-6, 0x1.6a2c15d9dc8a4p-6, 0x1.5f1075d26c32ep-6, 0x1.5441e5e4a60b9p-6, 0x1.49beb1c35191p-6, 0x1.3f852b6c63039p-6, 0x1.3593ab30ac523p-6, 0x1.2be88fba0c665p-6, 0x1.22823e10172ffp-6, 0x1.195f219b4f125p-6, 0x1.107dac270a6f8p-6, 0x1.07dc55e1fefcbp-6, 0x1.fef33abb1e0b6p-7, 0x1.eea80f17da0f2p-7, 0x1.ded43f7a13575p-7, 0x1.cf74ef34f962dp-7, 0x1.c0874e44a31bcp-7, 0x1.b2089941d206ap-7, 0x1.a3f61953b7f9p-7, 0x1.964d2420044ep-7, 0x1.890b1bb92ebecp-7, 0x1.7c2d6e8b36c24p-7, 0x1.6fb19746d1d24p-7, 0x1.63951ccb3ca9ep-7, 0x1.57d5920e90857p-7, 0x1.4c709604f7e01p-7, 0x1.4163d386943c1p-7, 0x1.36ad01345013ap-7, 0x1.2c49e15ba2915p-7, 0x1.223841d95739fp-7, 0x1.1875fbfb60237p-7, 0x1.0f00f461e8e8fp-7, 0x1.05d71adf8263cp-7, 0x1.f9ecd4b14248fp-8, 0x1.e8b9d144e071fp-8, 0x1.d8114cc20ca57p-8, 0x1.c7ef7dca21701p-8, 0x1.b850b011e0f9ep-8, 0x1.a931441ad552bp-8, 0x1.9a8daeebdbab2p-8, 0x1.8c6279c8ff11dp-8, 0x1.7eac41eab156dp-8, 0x1.7167b8345d057p-8, 0x1.6491a0eaa52d1p-8, 0x1.5826d36922473p-8, 0x1.4c2439d7f2a45p-8, 0x1.4086d0e0f4271p-8, 0x1.354ba764dc38dp-8, 0x1.2a6fde3024accp-8, 0x1.1ff0a7b00ce7cp-8, 0x1.15cb47a7a1394p-8, 0x1.0bfd12e4b1509p-8, 0x1.02836ef5126ap-8, 0x1.f2b7a3b7e27dbp-9, 0x1.e107838efdc06p-9, 0x1.cff1a98dc35f3p-9, 0x1.bf716100d96cap-9, 0x1.af8213d0669e3p-9, 0x1.a01f49ee4f294p-9, 0x1.9144a8c4f43adp-9, 0x1.82edf2a782p-9, 0x1.75170642c8bc2p-9, 0x1.67bbde0f4b7d2p-9, 0x1.5ad88fc498b41p-9, 0x1.4e694bcdc8a99p-9, 0x1.426a5cbf79105p-9, 0x1.36d826cee7b21p-9, 0x1.2baf274a527fdp-9, 0x1.20ebf41305b92p-9, 0x1.168b3b18b487cp-9, 0x1.0c89c1d6677e2p-9, 0x1.02e464d12740ap-9, 0x1.f3302e2f47e52p-10, 0x1.e143c387ea421p-10, 0x1.cffdc6fd79cdp-10, 0x1.bf58a007fa2e1p-10, 0x1.af4edf53a9012p-10, 0x1.9fdb3dd0d611ep-10, 0x1.90f89bc7d2ae8p-10, 0x1.82a1ffeff63bcp-10, 0x1.74d2968a3aa54p-10, 0x1.6785b07f47017p-10, 0x1.5ab6c28186096p-10, 0x1.4e6164316d437p-10, 0x1.42814f463676fp-10, 0x1.37125eb9f1eefp-10, 0x1.2c108df8c5a37p-10, 0x1.2177f8147863ap-10, 0x1.1744d6fad0f46p-10, 0x1.0d7382af2b16cp-10, 0x1.04007088691c9p-10, 0x1.f5d064e32365bp-11, 0x1.e44eec5c8feb6p-11, 0x1.d376094647c56p-11, 0x1.c33f82417cde3p-11, 0x1.b3a551642d87ap-11, 0x1.a4a1a2de1bff5p-11, 0x1.962ed3a348edp-11, 0x1.8847701d5f004p-11, 0x1.7ae632e4e8f9p-11, 0x1.6e06037ff1abep-11, 0x1.61a1f5262ee28p-11, 0x1.55b5458e1bd62p-11, 0x1.4a3b5bbe3435bp-11, 0x1.3f2fc6e5d0d57p-11, 0x1.348e3d3c12482p-11, 0x1.2a529ae567ec4p-11, 0x1.2078e0dd78257p-11, 0x1.16fd33e8cf2c8p-11, 0x1.0ddbdb8bea925p-11, 0x1.05114107f4535p-11, 0x1.f933dcbbd70fp-12, 0x1.e8e51aaf92da7p-12, 0x1.d92fcd2b70b67p-12, 0x1.ca0dc14460ac9p-12, 0x1.bb78fe16d6c9dp-12, 0x1.ad6bc303f151ap-12, 0x1.9fe085f976822p-12, 0x1.92d1f1c584ca6p-12, 0x1.863ae4740a8d6p-12, 0x1.7a166db420688p-12, 0x1.6e5fcd4a328c3p-12, 0x1.6312718b8a7fbp-12, 0x1.5829f5e2bb365p-12, 0x1.4da2215db036ep-12, 0x1.4376e546fb036p-12, 0x1.39a45bc656876p-12, 0x1.3026c688f8c56p-12, 0x1.26fa8d7623059p-12, 0x1.1e1c3d6a24235p-12, 0x1.158886fa7f5fap-12, 0x1.0d3c3d42872eap-12, 0x1.053454b8e67f1p-12, 0x1.fadbc418771bfp-13, 0x1.ebcc320d5e362p-13, 0x1.dd3496f72e579p-13, 0x1.cf0fd076b210bp-13, 0x1.c158f41cde77ap-13, 0x1.b40b4d7235017p-13, 0x1.a7225c0b0095dp-13, 0x1.9a99d1a90b7eap-13, 0x1.8e6d906a07234p-13, 0x1.8299a9043748cp-13, 0x1.771a5913aa4edp-13, 0x1.6bec096dd43aep-13, 0x1.610b4c862108ep-13, 0x1.5674dcdfbb631p-13, 0x1.4c259b87b6aa7p-13, 0x1.421a8e9c73b49p-13, 0x1.3850dfdf279bap-13, 0x1.2ec5db53e6ee1p-13, 0x1.2576edea0b2c8p-13, 0x1.1c61a42e9486cp-13, 0x1.1383a90bd6837p-13, 0x1.0adac490f6f55p-13, 0x1.0264dac48882bp-13, 0x1.f43fd4fd86788p-14, 0x1.e414189c49428p-14, 0x1.d442e2cf9aafap-14, 0x1.c4c8c53a75622p-14, 0x1.b5a27eb78cc0dp-14, 0x1.a6ccf96de89e7p-14, 0x1.984548efafec1p-14, 0x1.8a08a86cbc87dp-14, 0x1.7c1478f0a64eep-14, 0x1.6e663fb5b1c33p-14, 0x1.60fba484fdb88p-14, 0x1.53d27021a2f77p-14, 0x1.46e88ac65776cp-14, 0x1.3a3bfab08536cp-14, 0x1.2dcae2b51cdd2p-14, 0x1.219380e70df71p-14, 0x1.15942d41f2839p-14, 0x1.09cb586c74f18p-14, 0x1.fc6f1500dadb5p-15, 0x1.e5aec3b7e933ap-15, 0x1.cf532406aa145p-15, 0x1.b959c51962f7bp-15, 0x1.a3c05c235a3bdp-15, 0x1.8e84c2688c5b9p-15, 0x1.79a4f34007bb3p-15, 0x1.651f0a42bb6eep-15, 0x1.50f14187104ccp-15, 0x1.3d19efe704fd5p-15, 0x1.2997875ae8fb8p-15, 0x1.1668936eed8e1p-15, 0x1.038bb7b8f3a42p-15, 0x1.e1ff5cd7cf7bp-16, 0x1.bd868ded366fdp-16, 0x1.99aac94e19079p-16, 0x1.7669fadd07927p-16, 0x1.53c231564020fp-16, 0x1.31b19bf5218afp-16, 0x1.1036883fe1414p-16, 0x1.de9ebfe4284bap-17, 0x1.9df54dda00599p-17, 0x1.5e6df29b7af88p-17, 0x1.200613375339dp-17, 0x1.c5767be750654p-18, 0x1.4d164e387df1dp-18, 0x1.adce970fe2fc3p-19, 0x1.8b958605e22a4p-20, -0x1.de6909fc7f122p-23, -0x1.fa9957f03c2a6p-20, -0x1.d86e788bd9c75p-19, -0x1.57a9459e4aacep-18, -0x1.c0ff96be3885ap-18, -0x1.141e9982e1485p-17, -0x1.46b2804487079p-17, -0x1.783ce609495bfp-17, -0x1.a8bf265fac381p-17, -0x1.d83a93ba4da9dp-17, -0x1.03583c8ab0f39p-16, -0x1.1a110db93b6abp-16, -0x1.30485da645ed6p-16, -0x1.45fecafe6b6edp-16, -0x1.5b34f375df564p-16, -0x1.6feb745f67bf3p-16, -0x1.8422eb364c945p-16, -0x1.97dbf624311b4p-16, -0x1.ab17347251729p-16, -0x1.bdd546fba47b4p-16, -0x1.d016d0985c157p-16, -0x1.e1dc766a5c4a9p-16, -0x1.f326e0453d4e5p-16, -0x1.01fb5c7a7e04bp-15, -0x1.0a2657431331cp-15, -0x1.1214b9404d8fep-15, -0x1.19c6dd137a37dp-15, -0x1.213d1f542d12dp-15, -0x1.2877dea356b79p-15, -0x1.2f777bc337cc2p-15, -0x1.363c59a870129p-15, -0x1.3cc6dd82de069p-15, -0x1.43176ecf500bdp-15, -0x1.492e775ece5bfp-15, -0x1.4f0c635f644e4p-15, -0x1.54b1a15dc2feap-15, -0x1.5a1ea24d0e058p-15, -0x1.5f53d98691f7ap-15, -0x1.6451bcc7872e7p-15, -0x1.6918c4316f74fp-15, -0x1.6da96a4796e0ep-15, -0x1.72042be82229bp-15, -0x1.76298845e4f4fp-15, -0x1.7a1a00e25d3f1p-15, -0x1.7dd619847781dp-15, -0x1.815e582d9e8bep-15, -0x1.84b3450fc8447p-15, -0x1.87d56a8247e6ap-15, -0x1.8ac554f4a9ff7p-15, -0x1.8d8392df5500dp-15, -0x1.9010b4b7a1382p-15, -0x1.926d4ce1a3b3p-15, -0x1.9499ef9d58838p-15, -0x1.969732f979561p-15, -0x1.9865aec12ca82p-15, -0x1.9a05fc6c7eb96p-15, -0x1.9b78b70c71b4fp-15, -0x1.9cbe7b3ad1fbfp-15, -0x1.9dd7e7081cd7bp-15, -0x1.9ec599e92fb04p-15, -0x1.9f8834a22d2b7p-15, -0x1.a020593653fd2p-15, -0x1.a08eaad48e3ecp-15, }}, 
      {{0x1.ffd0ce88c380bp-1, 0x1.ff44a25d50c16p-1, 0x1.fe5f3d9efb726p-1, 0x1.fd2604a98912bp-1, 0x1.fb9f6aeddc66bp-1, 0x1.f9d280e85ed0dp-1, 0x1.f7c69cc65003bp-1, 0x1.f583187943fbap-1, 0x1.f30f20eef6e16p-1, 0x1.f07192ee9d591p-1, 0x1.edb0e2c38e2c3p-1, 0x1.ead30c66009abp-1, 0x1.e7dd8a42cf5a4p-1, 0x1.e4d5511f1a4a4p-1, 0x1.e1becfdfe3d81p-1, 0x1.de9df23b36796p-1, 0x1.db76258a97aa8p-1, 0x1.d84a5f1f6c99bp-1, 0x1.d51d239b3f68dp-1, 0x1.d1f08ee8d654ap-1, 0x1.cec65c88f7527p-1, 0x1.cb9feff76016bp-1, 0x1.c87e5cfac2c5dp-1, 0x1.c5626fbe0801ep-1, 0x1.c24cb49a46e31p-1, 0x1.bf3d7f8029517p-1, 0x1.bc34f2f542a34p-1, 0x1.b933069e6268ap-1, 0x1.b6378d53824c6p-1, 0x1.b3423abca1c1cp-1, 0x1.b052a878fc87ep-1, 0x1.ad685ad39c5bp-1, 0x1.aa82c5096012ep-1, 0x1.a7a14d256a9abp-1, 0x1.a4c34f796fe4fp-1, 0x1.a1e821b7ae661p-1, 0x1.9f0f15b488c94p-1, 0x1.9c377bd5c3a25p-1, 0x1.9960a53554a63p-1, 0x1.9689e57d96cd4p-1, 0x1.93b294847f1b7p-1, 0x1.90da0fab377c3p-1, 0x1.8dffbb07486e3p-1, 0x1.8b23025a2bf12p-1, 0x1.884359dbe695fp-1, 0x1.85603edcf466fp-1, 0x1.8279384397285p-1, 0x1.7f8dd6e841db5p-1, 0x1.7c9db5d4a6e43p-1, 0x1.79a87a689fb46p-1, 0x1.76add467ed6d6p-1, 0x1.73ad7df393b68p-1, 0x1.70a73b715286fp-1, 0x1.6d9adb6392d2ep-1, 0x1.6a883633e3baep-1, 0x1.676f2df1f73d3p-1, 0x1.644fae08e0545p-1, 0x1.6129aaec2d12cp-1, 0x1.5dfd21be4c2ecp-1, 0x1.5aca17f18e3bap-1, 0x1.57909ae4ee106p-1, 0x1.5450bf7db099dp-1, 0x1.510aa1bec9cfp-1, 0x1.4dbe645ee2aedp-1, 0x1.4a6c305dbc129p-1, 0x1.471434999932dp-1, 0x1.43b6a565479fep-1, 0x1.4053bc1f44e0fp-1, 0x1.3cebb6ca74144p-1, 0x1.397ed7a8c6f4fp-1, 0x1.360d64d82c4cep-1, 0x1.3297a7f20b82dp-1, 0x1.2f1dedad89bdap-1, 0x1.2ba08584c854bp-1, 0x1.281fc15d461dfp-1, 0x1.249bf533802e4p-1, 0x1.211576c9ecaap-1, 0x1.1d8c9d5b5deeep-1, 0x1.1a01c150d9884p-1, 0x1.16753bfae94ccp-1, 0x1.12e7674e64acp-1, 0x1.0f589da4b0a17p-1, 0x1.0bc9397f6db96p-1, 0x1.0839954f88f05p-1, 0x1.04aa0b3fa38dfp-1, 0x1.011af501bea09p-1, 0x1.fb195740387e7p-2, 0x1.f3ff0ea280481p-2, 0x1.ece7be9df2618p-2, 0x1.e5d41360c0967p-2, 0x1.dec4b68d67e1dp-2, 0x1.d7ba4ef9edfdep-2, 0x1.d0b58074764f2p-2, 0x1.c9b6eb8cfc05ap-2, 0x1.c2bf2d63fd1f7p-2, 0x1.bbcedf7de5eb2p-2, 0x1.b4e6979b059f8p-2, 0x1.ae06e793dd6abp-2, 0x1.a7305d3996f38p-2, 0x1.a063823a6f495p-2, 0x1.99a0dc09e5706p-2, 0x1.92e8ebcc7f3e2p-2, 0x1.8c3c2e46ef4dbp-2, 0x1.859b1bd0778cbp-2, 0x1.7f06284851d58p-2, 0x1.787dc30df7039p-2, 0x1.720256fc1e3d3p-2, 0x1.6b944a66408dbp-2, 0x1.6533ff18866cfp-2, 0x1.5ee1d259ed101p-2, 0x1.589e1cf08287dp-2, 0x1.5269332798209p-2, 0x1.4c4364d7c4c1p-2, 0x1.462cfd709417dp-2, 0x1.40264403c7542p-2, 0x1.3a2f7b52074dap-2, 0x1.3448e1d8e952dp-2, 0x1.2e72b1e22ae86p-2, 0x1.28ad21940c496p-2, 0x1.22f86302aadeep-2, 0x1.1d54a4424a87ap-2, 0x1.17c20f7a6fc82p-2, 0x1.1240caf9b5c6ep-2, 0x1.0cd0f94a52e28p-2, 0x1.0772b9472a04dp-2, 0x1.0226263162fafp-2, 0x1.f9d6af8ce425dp-3, 0x1.ef84c4acf748ap-3, 0x1.e556adb611ec8p-3, 0x1.db4c861bf8132p-3, 0x1.d16663016b0cep-3, 0x1.c7a45366bd746p-3, 0x1.be06605894e82p-3, 0x1.b48c8d1ec4645p-3, 0x1.ab36d76b2be45p-3, 0x1.a20537887e81cp-3, 0x1.98f7a088e9ca4p-3, 0x1.900e00747dc06p-3, 0x1.8748407752029p-3, 0x1.7ea6450f513a3p-3, 0x1.7627ee399afc8p-3, 0x1.6dcd179f76d75p-3, 0x1.659598c2c52edp-3, 0x1.5d814529e27d8p-3, 0x1.558fec8afa528p-3, 0x1.4dc15af6b876ep-3, 0x1.461559025211ap-3, 0x1.3e8babf0e3454p-3, 0x1.372415dc16b99p-3, 0x1.2fde55dc0ba15p-3, 0x1.28ba282e84cafp-3, 0x1.21b7465d46585p-3, 0x1.1ad56763b2d3ap-3, 0x1.14143fd39448ap-3, 0x1.0d7381f9186a8p-3, 0x1.06f2ddfdf4575p-3, 0x1.0092020bba87cp-3, 0x1.f4a134daa2a64p-4, 0x1.e85ca35f33b8bp-4, 0x1.dc55a1826f27bp-4, 0x1.d08b7e2303f4dp-4, 0x1.c4fd855d36bc9p-4, 0x1.b9ab00c565755p-4, 0x1.ae9337a0d5231p-4, 0x1.a3b56f1ccec6p-4, 0x1.9910ea841c68ap-4, 0x1.8ea4eb72cdd83p-4, 0x1.8470b2086864ap-4, 0x1.7a737d186af5fp-4, 0x1.70ac8a593adf3p-4, 0x1.671b16917374p-4, 0x1.5dbe5dc3aa24fp-4, 0x1.54959b589cc21p-4, 0x1.4ba00a47ded2cp-4, 0x1.42dce53efecc1p-4, 0x1.3a4b66c734638p-4, 0x1.31eac96994a6cp-4, 0x1.29ba47d1d962dp-4, 0x1.21b91cefbe264p-4, 0x1.19e68416fd3d7p-4, 0x1.1241b91def7acp-4, 0x1.0ac9f87ad8fe6p-4, 0x1.037e7f5fe926p-4, 0x1.f8bd17abe8a77p-5, 0x1.ead2b9abdc76fp-5, 0x1.dd3c64c25c14ep-5, 0x1.cff89b31051f3p-5, 0x1.c305e1a43869cp-5, 0x1.b662bf5cae521p-5, 0x1.aa0dbe56d27efp-5, 0x1.9e056b6fffacdp-5, 0x1.924856899f0bbp-5, 0x1.86d512aa404a7p-5, 0x1.7baa361cb809p-5, 0x1.70c65a8d53d21p-5, 0x1.66281d252affdp-5, 0x1.5bce1ea3a4d3p-5, 0x1.51b7037639032p-5, 0x1.47e173ce7ed5cp-5, 0x1.3e4c1bb6932f5p-5, 0x1.34f5ab23e6dap-5, 0x1.2bdcd6087edd6p-5, 0x1.23005462b8d86p-5, 0x1.1a5ee24b9a66dp-5, 0x1.11f74003bc1c2p-5, 0x1.09c831fedaa13p-5, 0x1.01d080ee1ed8fp-5, 0x1.f41df39239631p-6, 0x1.e504dbab4e7cep-6, 0x1.d653655ce78c1p-6, 0x1.c807449143db1p-6, 0x1.ba1e35f061808p-6, 0x1.ac95fee6d4d9cp-6, 0x1.9f6c6daaa82e7p-6, 0x1.929f593e545fbp-6, 0x1.862ca171e43c2p-6, 0x1.7a122ee260b95p-6, 0x1.6e4df2f78c693p-6, 0x1.62dde7e00dd5p-6, 0x1.57c0108c107c5p-6, 0x1.4cf278a673af7p-6, 0x1.4273348c97765p-6, 0x1.38406144e18bdp-6, 0x1.2e582473f4cccp-6, 0x1.24b8ac50c49f6p-6, 0x1.1b602f978723ap-6, 0x1.124ced7b916e7p-6, 0x1.097d2d983cc67p-6, 0x1.00ef3fe0c9a03p-6, 0x1.f142f91eea3f5p-7, 0x1.e124882739121p-7, 0x1.d17ffdfe5a807p-7, 0x1.c2523be6943dfp-7, 0x1.b39833188b986p-7, 0x1.a54ee499f23b2p-7, 0x1.97736112f3793p-7, 0x1.8a02c8a2908f2p-7, 0x1.7cfa4ab1fe292p-7, 0x1.705725c6f7ea8p-7, 0x1.6416a75550556p-7, 0x1.58362b8fa524ep-7, 0x1.4cb31d3760ebap-7, 0x1.418af56c236e2p-7, 0x1.36bb3b7a837f6p-7, 0x1.2c4184aa529fap-7, 0x1.221b740c7e835p-7, 0x1.1846ba487a68cp-7, 0x1.0ec1156954214p-7, 0x1.058850aa94bf3p-7, 0x1.f9348889b6ecp-8, 0x1.e7e9aa7498d94p-8, 0x1.d72bea45b201ep-8, 0x1.c6f743f11f8fep-8, 0x1.b747cbc78f5ddp-8, 0x1.a819ae0eb967ep-8, 0x1.99692e99e798p-8, 0x1.8b32a862b9865p-8, 0x1.7d728d221ae3bp-8, 0x1.702564e9a492ap-8, 0x1.6347cdbd426d9p-8, 0x1.56d67b2d6a037p-8, 0x1.4ace35f1c1a2cp-8, 0x1.3f2bdb84708fap-8, 0x1.33ec5dbdfd169p-8, 0x1.290cc271de7c2p-8, 0x1.1e8a230bb7877p-8, 0x1.1461ac2d9208bp-8, 0x1.0a909d4ea4043p-8, 0x1.0114485b0a078p-8, 0x1.efd422a8d75cfp-9, 0x1.de1edbe722c34p-9, 0x1.cd03ca95d69bfp-9, 0x1.bc7e1ed405a96p-9, 0x1.ac892a040a58cp-9, 0x1.9d205e1694fc2p-9, 0x1.8e3f4cd8064c7p-9, 0x1.7fe1a73fd4e7p-9, 0x1.72033cc21e6c3p-9, 0x1.649ffaa38b183p-9, 0x1.57b3eb4f668f4p-9, 0x1.4b3b35b03f7e1p-9, 0x1.3f321c8aa288ep-9, 0x1.3394fdda3b67fp-9, 0x1.2860523146cd9p-9, 0x1.1d90ac1a896fcp-9, 0x1.1322b77dddaa2p-9, 0x1.09133906a541dp-9, 0x1.febe1b1a3281ap-10, 0x1.ec0653038ae42p-10, 0x1.d9f930b746eeap-10, 0x1.c890f8115d414p-10, 0x1.b7c818c1520c9p-10, 0x1.a7992d34d36ffp-10, 0x1.97fef9876a418p-10, 0x1.88f46a768459bp-10, 0x1.7a74945b452ep-10, 0x1.6c7ab2282e74bp-10, 0x1.5f02246bc6ad7p-10, 0x1.520670583c709p-10, 0x1.45833ecf9169fp-10, 0x1.39745b74fb867p-10, 0x1.2dd5b3c26bd94p-10, 0x1.22a356228a0bcp-10, 0x1.17d9710fc8b75p-10, 0x1.0d745237af3cap-10, 0x1.037065a2f3563p-10, 0x1.f39469c4842ep-11, 0x1.e0fccc7cd48e8p-11, 0x1.cf1377dbf91d6p-11, 0x1.bdd2269d3606dp-11, 0x1.ad32c845b9911p-11, 0x1.9d2f7fa9c09d9p-11, 0x1.8dc2a177fdff1p-11, 0x1.7ee6b2cec0ce2p-11, 0x1.709667d89a2cdp-11, 0x1.62cca271641b1p-11, 0x1.558470d31df88p-11, 0x1.48b90c4bb338fp-11, 0x1.3c65d7f7f4e9fp-11, 0x1.30865f881736bp-11, 0x1.2516560b42f29p-11, 0x1.1a1194c1ed064p-11, 0x1.0f7419f8f0a7ap-11, 0x1.053a07eaaa327p-11, 0x1.f6bf474c6f93ep-12, 0x1.e3c2a7ff34888p-12, 0x1.d1774109e450bp-12, 0x1.bfd660f645524p-12, 0x1.aed993c3ed12fp-12, 0x1.9e7aa0fa696cap-12, 0x1.8eb389c7ae90ap-12, 0x1.7f7e872e1814ap-12, 0x1.70d6083b90c56p-12, 0x1.62b4b04ded12dp-12, 0x1.551555649475cp-12, 0x1.47f2fe7bdd377p-12, 0x1.3b48e1f1a01c4p-12, 0x1.2f1263f97ff85p-12, 0x1.234b151807d01p-12, 0x1.17eeb0aa72372p-12, 0x1.0cf91b78d1ceap-12, 0x1.02666252dd16dp-12, 0x1.f065716727031p-13, 0x1.dcb4eee3e22d6p-13, 0x1.c9b436f3d695dp-13, 0x1.b75c891c85499p-13, 0x1.a5a76829a58f5p-13, 0x1.948e97d7e74ccp-13, 0x1.840c1a8c2577p-13, 0x1.741a2f1f37a26p-13, 0x1.64b34ebb2feecp-13, 0x1.55d22ac684344p-13, 0x1.4771aae03943ep-13, 0x1.398ceaed6d02ep-13, 0x1.2c1f3934ddc9dp-13, 0x1.1f24148537c3ep-13, 0x1.12972a6ec8e1p-13, 0x1.0674558a7a4b4p-13, 0x1.f56f37990d535p-14, 0x1.deba59cbadf88p-14, 0x1.c8c2c1695965ep-14, 0x1.b3816b7e0ab75p-14, 0x1.9eef9f6ed61dp-14, 0x1.8b06ec264d897p-14, 0x1.77c12551b8131p-14, 0x1.651860b6502bcp-14, 0x1.5306f39e3bc31p-14, 0x1.4187705c7885ap-14, 0x1.3094a3e35a797p-14, 0x1.2029936becf93p-14, 0x1.10417a39986f3p-14, 0x1.00d7c76c9bdfcp-14, 0x1.e3d037ccbf9c6p-15, 0x1.c6dc9089cecdbp-15, 0x1.aacc95db2a651p-15, 0x1.8f989c52335cp-15, 0x1.75394c9c274c1p-15, 0x1.5ba79ffc5b5b5p-15, 0x1.42dcdcef97226p-15, 0x1.2ad293dcb4ba8p-15, 0x1.13829befe9d7fp-15, 0x1.f9ce202a3c927p-16, 0x1.cdf4980d3c0e1p-16, 0x1.a36dd2f21361bp-16, 0x1.7a2f7abf6bfddp-16, 0x1.522faaa9c0fe6p-16, 0x1.2b64ea26474cbp-16, 0x1.05c6280ba74b1p-16, 0x1.c2956be14efbfp-17, 0x1.7bd4875e1db97p-17, 0x1.3739b62d0a9f3p-17, 0x1.e96b6efbe22aap-18, 0x1.6873dc31f84c2p-18, 0x1.d6e16340bde1ap-19, 0x1.c91c58c1d9f38p-20, -0x1.915a074457af4p-25, -0x1.d3957522fd56bp-20, -0x1.c63129df244b8p-19, -0x1.4dd3162a66378p-18, -0x1.b52ab3dbdcd9dp-18, -0x1.0c9a31fc08acbp-17, -0x1.3d0225362ceafp-17, -0x1.6bd6e1d97961bp-17, -0x1.9921b76744131p-17, -0x1.c4eb9b659eaa5p-17, -0x1.ef3d2e03b8c79p-17, -0x1.0c0f5f37c7359p-16, -0x1.1fcc279144806p-16, -0x1.32d8cce481398p-16, -0x1.4539098a94a72p-16, -0x1.56f0773a2436dp-16, -0x1.680290bfe42f5p-16, -0x1.7872b3a1bb35dp-16, -0x1.884421bdb936fp-16, -0x1.977a02bc8eb8ep-16, -0x1.a617659359e12p-16, -0x1.b41f41d6d7752p-16, -0x1.c1947903236fcp-16, -0x1.ce79d7bba157ap-16, -0x1.dad216f99e691p-16, -0x1.e69fdd1e7332ap-16, -0x1.f1e5bf0a3b02fp-16, -0x1.fca64116a21bbp-16, -0x1.0371ec032f111p-15, -0x1.085074fac8036p-15, -0x1.0cefe7943d8f2p-15, -0x1.1151696bdf426p-15, -0x1.157619fb616b5p-15, -0x1.195f12f499947p-15, -0x1.1d0d68940a7d3p-15, -0x1.208229f5fbd5p-15, -0x1.23be616149b34p-15, -0x1.26c3148d0126fp-15, -0x1.299144e833df7p-15, -0x1.2c29efd439366p-15, -0x1.2e8e0ee1e2076p-15, -0x1.30be9808f4523p-15, -0x1.32bc7dda8d89dp-15, -0x1.3488afb17796cp-15, -0x1.362419de7de99p-15, -0x1.378fa5d40a151p-15, -0x1.38cc3a4b3459bp-15, -0x1.39dabb6811a2ap-15, -0x1.3abc0ada18453p-15, -0x1.3b7107fbebfd7p-15, -0x1.3bfa8fee28bb8p-15, -0x1.3c597db1c2131p-15, -0x1.3c8eaa3fc6b2p-15, -0x1.3c9aec9d7f0d5p-15, -0x1.3c7f19f19878fp-15, -0x1.3c3c05962a48p-15, -0x1.3bd281270e936p-15, -0x1.3b435c90fd8eap-15, -0x1.3a8f661e387b7p-15, -0x1.39b76a8231357p-15, -0x1.38bc34e2129eep-15, -0x1.379e8ede83f22p-15, -0x1.365f409c2bc73p-15, -0x1.34ff10c5ef18ap-15, -0x1.337ec496fecd6p-15, -0x1.31df1fdbf6824p-15, -0x1.3020e4f73bf48p-15, -0x1.2e44d4e2f6b07p-15, -0x1.2c4baf336510cp-15, -0x1.2a3632175c819p-15, -0x1.28051a57581c2p-15, -0x1.25b9235706687p-15, -0x1.235307140b3b5p-15, -0x1.20d37e230c8c3p-15, -0x1.1e3b3faf25f2p-15, -0x1.1b8b017697146p-15, -0x1.18c377c8e5ed4p-15, -0x1.15e55582cc791p-15, -0x1.12f14c0bd9fd2p-15, -0x1.0fe80b51fc321p-15, -0x1.0cca41c515671p-15, -0x1.09989c53949c4p-15, -0x1.0653c66646039p-15, -0x1.02fc69dc0cceep-15, -0x1.ff265e081ade3p-16, -0x1.f83179338a1e4p-16, -0x1.f11b6f8042819p-16, -0x1.e9e587fa16a1fp-16, -0x1.e291066896b4ep-16, -0x1.db1f2b45110f8p-16, -0x1.d39133b2c850ep-16, -0x1.cbe859715e9acp-16, -0x1.c425d2d654516p-16, -0x1.bc4ad2c56bab5p-16, -0x1.b45888a40c838p-16, -0x1.ac502051349e8p-16, -0x1.a432c21c0e0f4p-16, -0x1.9c0192bda90d4p-16, -0x1.93bdb34f378e7p-16, -0x1.8b68414119d8cp-16, -0x1.83025655046e9p-16, -0x1.7a8d0896a812bp-16, -0x1.72096a50d967bp-16, -0x1.69788a0b30c53p-16, -0x1.60db7282e8478p-16, }}, 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
      std::vector<double>(500, 0.0), 
    }}, 
    {
      56, 0x1.3333333333333p+2, 0x1.3c4f9745b3355p+1, 0x1.07e10db0bb6e5p+2, -0x1.160a4a2577e9p-6, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.b1f6e1daf5e3cp-2, -0x1.16d62e5c5787bp+0, 0x1.588712168acf8p+0, -0x1.9693749921b09p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.7d8a6a7680d6p-2, -0x1.ebd12c89cdcbp-1, 0x1.3a08cfbe41e25p+0, -0x1.814703ee51c89p-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.4f672b38b5b9dp-2, -0x1.afe658239eabp-1, 0x1.1d237c3f95599p+0, -0x1.6f2b5e36ad2cap-1}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.26f8fd8be9ff8p-2, -0x1.79a0366564a86p-1, 0x1.0199d52eaec34p+0, -0x1.5c34dc99fd1cap-1}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.03b2f1393e395p-2, -0x1.48b79a36cfc33p-1, 0x1.cef88946445b4p-1, -0x1.4978ff9e585eap-1}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.ca1e98d13c3d5p-3, -0x1.1ce422e240a15p-1, 0x1.9d8cc954ea4d4p-1, -0x1.36ad6c03863e6p-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.951f174181141p-3, -0x1.ebbb843dd0932p-2, 0x1.6ef2c5edfc90ep-1, -0x1.23e60e4468b2dp-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.6778c38e4ef3p-3, -0x1.a6b8a71c0b268p-2, 0x1.4329dd63b9a9p-1, -0x1.111d8fb59e0bap-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.404b7040401fcp-3, -0x1.6a2f71779f6e3p-2, 0x1.1a323b087b8ddp-1, -0x1.fcaabd13af942p-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.1ec55c9d8525dp-3, -0x1.358fa33d1d27bp-2, 0x1.e817a681365e9p-2, -0x1.d71a3143576f7p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.022334a9e4d9fp-3, -0x1.0848fd329e227p-2, 0x1.a16d5250b60e1p-2, -0x1.b189b0902965fp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.d360224d78acdp-4, -0x1.c3967fc7e547cp-3, 0x1.606577d4afd8cp-2, -0x1.8bf92ce112cd8p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.a98aef25fdfddp-4, -0x1.830c57d90de97p-3, 0x1.2500177fb9d31p-2, -0x1.6668aa048b2f8p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.8596b4566cfb3p-4, -0x1.4dd303c741ep-3, 0x1.de7a62647d188p-3, -0x1.40d826d9878cp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.66702fd3058bp-4, -0x1.22ca04c30809dp-3, 0x1.7e3989f007a1p-3, -0x1.1b47a4161a631p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.4b20f90b341fep-4, -0x1.00d0dbfd47abdp-3, 0x1.293da582ffb6fp-3, -0x1.eb6e400551d64p-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.32cf80e991bc6p-4, -0x1.cd8e1546d7076p-4, 0x1.bf0d6b0466e12p-4, -0x1.a04d418f4d96ep-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.1cbf11d3e3f53p-4, -0x1.a71823e0de8afp-4, 0x1.422970f302ccep-4, -0x1.552c1ef667d5bp-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.084fcfab1ce87p-4, -0x1.8bfee5d91076p-4, 0x1.b79ecf522db3fp-5, -0x1.0a0b833765b99p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.e9fd6f96b6918p-5, -0x1.7a015ebae8056p-4, 0x1.17fe4d6423dd4p-5, -0x1.7dd1e0688a122p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.c4cb4217d4ab8p-5, -0x1.6ede8c8b29d2ep-4, 0x1.4ae514232817p-6, -0x1.cf36cd9e07432p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a076777e83bcdp-5, -0x1.685581ee65a62p-4, 0x1.7fdc79b44bd3ap-7, -0x1.44b8a82af5c45p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.7ca623660c83fp-5, -0x1.64250490b433ap-4, 0x1.1e71e0da9bb1ap-7, 0x1.11cac9eac6949p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.593b0c6010d88p-5, -0x1.600cf96040488p-4, 0x1.70951d6dd7441p-7, 0x1.ba1c99a3bb945p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.364fabf48bbap-5, -0x1.59c9153b62543p-4, 0x1.3cecbcce70b5dp-6, 0x1.6a8b501f756c6p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.14382ea1d13b8p-5, -0x1.4f24adfdaaca7p-4, 0x1.0b39c33d752e3p-5, 0x1.10c3f8e177c72p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e704e7b91d2c6p-6, -0x1.3db0c59d9cbc4p-4, 0x1.aee28bc4bd0b6p-5, 0x1.bcdcb1cb8e76ap-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a9dba0383eb69p-6, -0x1.24cf4f36ba88bp-4, 0x1.1a2bfa274d7e5p-4, 0x1.4b961a53e06eap-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.7220c6c46e4f3p-6, -0x1.086febddb8147p-4, 0x1.1d47c8cce398fp-4, -0x1.2c1bf0db09771p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.4004b3f9502e9p-6, -0x1.da11b204be3aep-5, 0x1.06c5b0560fafep-4, -0x1.ebcd57531b5f9p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.132d7e21e9c2ep-6, -0x1.a75be33d1f5b1p-5, 0x1.e8a8c6ec4a1f2p-5, -0x1.f06b5f9b20e7ep-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d672346e36c0ep-7, -0x1.785ac5c8f48c4p-5, 0x1.c36d86270e0dep-5, -0x1.d6bfdfdcdda58p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.8f9260a7b3c02p-7, -0x1.4cfa23c4eb034p-5, 0x1.a01f2229b0a15p-5, -0x1.c531ed8cca8b2p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5106376a5d3fdp-7, -0x1.25107e5d1df32p-5, 0x1.7e21c9f254a3bp-5, -0x1.b1774d8a3b3a1p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1a1fd5746f006p-7, -0x1.007a0ac7a46d6p-5, 0x1.5d9f3dbb29ccp-5, -0x1.9e51d6e369f4cp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.d4717b909b9bcp-8, -0x1.be22ee067002bp-6, 0x1.3e8c4d9d4ea69p-5, -0x1.8b0468802a9f7p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.8163b3590ef38p-8, -0x1.8163b3c418ebbp-6, 0x1.20ebf8fa18412p-5, -0x1.77c1afb2ce8f5p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.39e6f157a5bd4p-8, -0x1.4a6c5c3f94569p-6, 0x1.04bd7233158fcp-5, -0x1.647c184a672fdp-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.f9b542543f7f1p-9, -0x1.18f2ebfd99c2bp-6, 0x1.d401e0c168725p-6, -0x1.513745b840b03p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9259f5ed1d9d4p-9, -0x1.d95ac6f4b932fp-7, 0x1.a16cc97f5ebdfp-6, -0x1.3df23e682be0ep-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.3bb606d6ada06p-9, -0x1.8aa3888d73b5ep-7, 0x1.71bba68958294p-6, -0x1.2aad4539750cap-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.e7c22efcb6eb2p-10, -0x1.452c1f52d850bp-7, 0x1.44ee75c0b9cdep-6, -0x1.1768484356a9cp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.7220c6c46e4f4p-10, -0x1.08608dfa1c22ap-7, 0x1.1b0537b6a0017p-6, -0x1.04234c496a819p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.132d7e21e9bffp-10, -0x1.a759ae5b73c7p-8, 0x1.e7ffd88a6cdaap-7, -0x1.e1bca04c12dap-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8f9260a7b3bfp-11, -0x1.4cf9fb36ab173p-8, 0x1.9fbd26e56a071p-7, -0x1.bb32a758e91f5p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1a1fd5746efd8p-11, -0x1.007a07dd51b4p-8, 0x1.5d425a9813dc1p-7, -0x1.94a8b169e6843p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.8163b3590ef39p-12, -0x1.8163b35fb44cap-9, 0x1.208f732e97af1p-7, -0x1.6e1eb016fda67p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.f9b542543f8dep-13, -0x1.18f2ebdd1df4fp-9, 0x1.d348e4bcb0131p-8, -0x1.4794d94f6833fp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3bb606d6adaap-13, -0x1.8aa38945717c8p-10, 0x1.7102a38b4401fp-8, -0x1.210a63be4fb2fp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.7220c6c46e8p-14, -0x1.08608b473c58cp-10, 0x1.1a4c526bc5b3p-8, -0x1.f5047d9062049p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.8f9260a7b4p-15, -0x1.4cfa0f5a84424p-11, 0x1.9e4a7f2c3acbbp-9, -0x1.a7e2ec5e99d1p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.8163b35910e01p-16, -0x1.81631d0366d2ap-12, 0x1.1f20050fd973ep-9, -0x1.5b01d70e58e81p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.3bb606d6aecp-17, -0x1.8aa7eaa93524ep-13, 0x1.6e0bbc4a4a5d5p-10, -0x1.0d30197b8b962p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.8f9260a7bd001p-19, -0x1.4cd943a636495p-14, 0x1.9910f399ed346p-11, -0x1.85c10226e1c66p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.3bb606d6dp-21, -0x1.8c8bf0a8a65ccp-16, 0x1.5e6d7e3865162p-12, -0x1.ade3f1072aebdp-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.3bb606d880001p-25, -0x1.51ad7709bf969p-19, 0x1.71f9500393cp-14, -0x1.1fa89a6324405p-9}, 
      }}, 
      0x1.0eadaad57560ap-5, -0x1.a1324247e1e0bp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.9955896b6dec5p+1, -0x1.942be70b015aep+1, -0x1.8d25c4770b81ap+1, -0x1.846d051396486p+1, -0x1.7a2f469c9d101p+1, -0x1.6e9bcc1a3f6bfp+1, -0x1.61e1f6e086f97p+1, -0x1.543029182c1f4p+1, -0x1.45b2f7e132d1fp+1, -0x1.36949a5f3eb85p+1, -0x1.26fc87e3a863bp+1, -0x1.170f3ac5ff1e4p+1, -0x1.06ee0fde34484p+1, -0x1.ed6e789fba909p+0, -0x1.cd0ba94b393ap+0, -0x1.ace3c26541c8fp+0, -0x1.8d20f8edc0abcp+0, -0x1.6de7f1c9003bcp+0, -0x1.4f5817a3e3e6dp+0, -0x1.318bf78a7969ap+0, -0x1.1499a13e479c2p+0, -0x1.f12611caa377fp-1, -0x1.bb0cd01dcbe7p-1, -0x1.86fd389061456p-1, -0x1.5507038d1a495p-1, -0x1.25349313422cdp-1, -0x1.ef172cbfbc63cp-2, -0x1.981b460949571p-2, -0x1.45717d8ba4cbdp-2, -0x1.ee1f757368c88p-3, -0x1.59cd630edb618p-3, -0x1.9b8ade5836e86p-4, -0x1.2763bcf2b35f9p-5, 0x1.91663bdaec76dp-6, 0x1.4d0a5ec088b1bp-4, 0x1.136d9ac2efdbp-3, 0x1.792655151e199p-3, 0x1.d7f1e0588312fp-3, 0x1.180a278e7a921p-2, 0x1.40e9595f8418dp-2, 0x1.66b94db89fd0cp-2, 0x1.899cd3a17a576p-2, 0x1.a9b68ef610a25p-2, 0x1.c728cbfc01db4p-2, 0x1.e2155843f583bp-2, 0x1.fa9d609d645c8p-2, 0x1.0870a9f48dc9ep-1, 0x1.128065464a087p-1, 0x1.1b8d391eb66d3p-1, 0x1.23a5feeac8edep-1, 0x1.2ad90c6e16928p-1, 0x1.31342f35e957p-1, 0x1.36c4a98d8716ap-1, 0x1.3b9730c5e8a18p-1, 0x1.3fb7eca46b7fdp-1, 0x1.433277cefd5d7p-1, 0x1.4611e110503cp-1, 0x1.4860ad52de096p-1, 0x1.4a28da358d157p-1, 0x1.4b73e1203ae31p-1, 0x1.4c4abac157aabp-1, 0x1.4cb5e2dfeb01p-1, 0x1.4cbd5c6fb4d54p-1, 0x1.4c68b5d72e3p-1, 0x1.4bbf0d58a0bb1p-1, 0x1.4ac71591de849p-1, 0x1.49871a07cb9cap-1, 0x1.480503b3f5b4ap-1, 0x1.46465d8cadb0dp-1, 0x1.44505900bfc57p-1, 0x1.4227d260f140ap-1, 0x1.3fd15532f5d9ap-1, 0x1.3d51206975861p-1, 0x1.3aab2a7e4cef1p-1, 0x1.37e3256c40ec1p-1, 0x1.34fc82863db53p-1, 0x1.31fa762a923d7p-1, 0x1.2edffb514880fp-1, 0x1.2bafd6f4a4456p-1, 0x1.286c9b5411bddp-1, 0x1.2518ab10b1a13p-1, 0x1.21b63c24ea03dp-1, 0x1.1e475ab60f907p-1, 0x1.1acdebc27ad68p-1, 0x1.174bafaaf9393p-1, 0x1.13c2449a839fbp-1, 0x1.103328cb4d681p-1, 0x1.0c9fbcabe6767p-1, 0x1.090944e49beaep-1, 0x1.0570ec3e2a5e2p-1, 0x1.01d7c56c9c62dp-1, 0x1.fc7d99784ad51p-2, 0x1.f54dd34cb5df1p-2, 0x1.ee21e0959c81bp-2, 0x1.e6fb45a4ce7c4p-2, 0x1.dfdb65749b829p-2, 0x1.d8c38411620e4p-2, 0x1.d1b4c8df72f77p-2, 0x1.cab040b1a06e2p-2, 0x1.c3b6dfc45fea3p-2, 0x1.bcc9839096ceep-2, 0x1.b5e8f47e1574ap-2, 0x1.af15e77e20a32p-2, 0x1.a850ff7f8523fp-2, 0x1.a19aced096d4p-2, 0x1.9af3d865c0068p-2, 0x1.945c9103b9733p-2, 0x1.8dd5605d5b315p-2, 0x1.875ea21535778p-2, 0x1.80f8a6ad993cp-2, 0x1.7aa3b46c6e38p-2, 0x1.7460082660d79p-2, 0x1.6e2dd5ffa0c9dp-2, 0x1.680d4a1fd224bp-2, 0x1.61fe89527a5ap-2, 0x1.5c01b1a0fa96cp-2, 0x1.5616dadfdf03bp-2, 0x1.503e172d5d258p-2, 0x1.4a77736bc52e3p-2, 0x1.44c2f7b02f85fp-2, 0x1.3f20a7a592f7cp-2, 0x1.399082edec85fp-2, 0x1.3412857916a9cp-2, 0x1.2ea6a7d160413p-2, 0x1.294cdf6854bf9p-2, 0x1.24051edbbe409p-2, 0x1.1ecf562fe2074p-2, 0x1.19ab730afd2b9p-2, 0x1.149960ed785eep-2, 0x1.0f99095e6b43p-2, 0x1.0aaa541762a2ep-2, 0x1.05cd27326ba6fp-2, 0x1.0101674e7adacp-2, 0x1.f88def5b9c3cfp-3, 0x1.ef3b74b219cc8p-3, 0x1.e60b207f8577bp-3, 0x1.dcfcb29df5445p-3, 0x1.d40fe9103fecdp-3, 0x1.cb448038a7756p-3, 0x1.c29a3303d7b94p-3, 0x1.ba10bb05cdb09p-3, 0x1.b1a7d09d2e38bp-3, 0x1.a95f2b1c3cc7bp-3, 0x1.a13680e530aebp-3, 0x1.992d877d3d41ap-3, 0x1.9143f3a70897ap-3, 0x1.897979811c004p-3, 0x1.81cdcc998d238p-3, 0x1.7a409ffa7b631p-3, 0x1.72d1a63cca9a5p-3, 0x1.6b80919ef3b96p-3, 0x1.644d14141337fp-3, 0x1.5d36df4c2ba9bp-3, 0x1.563da4c04eae9p-3, 0x1.4f6115c39718cp-3, 0x1.48a0e38fef502p-3, 0x1.41fcbf4c577cbp-3, 0x1.3b745a13f9856p-3, 0x1.35076501ef7bfp-3, 0x1.2eb5913c92683p-3, 0x1.287e8ffb9e24bp-3, 0x1.2262128c5b74dp-3, 0x1.1c5fca58aebc6p-3, 0x1.167768f049d57p-3, 0x1.10a8a00f762bep-3, 0x1.0af321a2b216bp-3, 0x1.05569fca7ccfdp-3, 0x1.ffa599c30f055p-4, 0x1.f4ceb7067597p-4, 0x1.ea27fd205aa8bp-4, 0x1.dfb0d261d51cdp-4, 0x1.d5689db2fce7bp-4, 0x1.cb4ec69cbcfbap-4, 0x1.c162b55265e0ep-4, 0x1.b7a3d2b83c007p-4, 0x1.ae11886868855p-4, 0x1.a4ab40b92523ap-4, 0x1.9b7066c49a66ap-4, 0x1.926066702bfb4p-4, 0x1.897aac71d8385p-4, 0x1.80bea65486454p-4, 0x1.782bc27d44358p-4, 0x1.6fc17031a27cbp-4, 0x1.677f1f9da6e34p-4, 0x1.5f6441d85bf12p-4, 0x1.577048e79bd79p-4, 0x1.4fa2a7c456ad1p-4, 0x1.47fad25fb354ep-4, 0x1.40783da7ed6p-4, 0x1.391a5f8c34e62p-4, 0x1.31e0af000147cp-4, 0x1.2acaa3fec4b1fp-4, 0x1.23d7b79034fdfp-4, 0x1.1d0763cc39f6fp-4, 0x1.165923ddb3b96p-4, 0x1.0fcc7404b5ebp-4, 0x1.0960d1999a46cp-4, 0x1.0315bb114840cp-4, 0x1.f9d56002e1689p-5, 0x1.edbe6245c4e1ap-5, 0x1.e1e580a396486p-5, 0x1.d649c11c2713p-5, 0x1.caea2bfc7e3b7p-5, 0x1.bfc5cbe994257p-5, 0x1.b4dbadea4b3efp-5, 0x1.aa2ae16a3821fp-5, 0x1.9fb27834c0e2cp-5, 0x1.9571866fd4393p-5, 0x1.8b67229eb68fbp-5, 0x1.819265ae3cb74p-5, 0x1.77f26b02b6adp-5, 0x1.6e86507cdc9cp-5, 0x1.654d36723b265p-5, 0x1.5c463fa0d0942p-5, 0x1.5370912a83be8p-5, 0x1.4acb529e81859p-5, 0x1.4255ae0a074a4p-5, 0x1.3a0ed002a7e83p-5, 0x1.31f5e7a1439c2p-5, 0x1.2a0a2672418d9p-5, 0x1.224ac069b906cp-5, 0x1.1ab6ebe6e6578p-5, 0x1.134de1c41a764p-5, 0x1.0c0edd63d032fp-5, 0x1.04f91cacdeaa6p-5, 0x1.fc17bfeda04bap-6, 0x1.ee8cd3ef39649p-6, 0x1.e14fff8b6014cp-6, 0x1.d45fd1e06e7abp-6, 0x1.c7badf329e9dp-6, 0x1.bb5fc0ec3f317p-6, 0x1.af4d15546e1eap-6, 0x1.a3817f26acce7p-6, 0x1.97fba55e45b6ap-6, 0x1.8cba3371a7c5fp-6, 0x1.81bbd9e80851ep-6, 0x1.76ff4ee074e27p-6, 0x1.6c834e112c6b5p-6, 0x1.6246981570dfp-6, 0x1.5847f1627921bp-6, 0x1.4e862196a490ap-6, 0x1.44fff3ba1ab2ep-6, 0x1.3bb437745f51dp-6, 0x1.32a1c286a3adcp-6, 0x1.29c771848d10ap-6, 0x1.2124271aca462p-6, 0x1.18b6ca141e87ep-6, 0x1.107e4333bfab5p-6, 0x1.08797c49f5605p-6, 0x1.00a7615212b89p-6, 0x1.f20dc664f9638p-7, 0x1.e32df52efb66bp-7, 0x1.d4ad522ba13bp-7, 0x1.c689ef295c3a1p-7, 0x1.b8c1e51bd89f4p-7, 0x1.ab534c3699442p-7, 0x1.9e3c384f10249p-7, 0x1.917abc32a8a61p-7, 0x1.850cf2cb17153p-7, 0x1.78f1096344802p-7, 0x1.6d25453a3b4efp-7, 0x1.61a800aa1ddfdp-7, 0x1.5677a08db153ap-7, 0x1.4b9286f49a0fcp-7, 0x1.40f70a26c80e7p-7, 0x1.36a37531197ddp-7, 0x1.2c96127104b3bp-7, 0x1.22cd3b4441244p-7, 0x1.194764fb30cfap-7, 0x1.10032421b64e1p-7, 0x1.06ff23c3e6776p-7, 0x1.fc74289dbde4fp-8, 0x1.eb653437a8bfp-8, 0x1.dace888a2b7a5p-8, 0x1.caad2143a70c2p-8, 0x1.bafdf6e05411cp-8, 0x1.abbe26f7a7e83p-8, 0x1.9ceb12a21839p-8, 0x1.8e82648c564b2p-8, 0x1.8081fb592a9ccp-8, 0x1.72e7c184a59bcp-8, 0x1.65b184974ac21p-8, 0x1.58dcde1b3977bp-8, 0x1.4c6738b8ce9efp-8, 0x1.404deeca2fe67p-8, 0x1.348e7450d1e21p-8, 0x1.29267a1e8af49p-8, 0x1.1e13fc063389ap-8, 0x1.135534de7695cp-8, 0x1.08e87d679ef2dp-8, 0x1.fd98479cfaba9p-9, 0x1.e9fc9a34dfd82p-9, 0x1.d6f9da782dab2p-9, 0x1.c48bae0e9a0d1p-9, 0x1.b2adb4e83f1d6p-9, 0x1.a15bc856d0327p-9, 0x1.909229766ca84p-9, 0x1.804d9277c017ep-9, 0x1.708b22635a2c7p-9, 0x1.614826ed96949p-9, 0x1.5281dcf00ff18p-9, 0x1.4435494a61c25p-9, 0x1.365f385038c74p-9, 0x1.28fc52b1aede8p-9, 0x1.1c0930d7ee57ep-9, 0x1.0f826f264486cp-9, 0x1.0364d50934784p-9, 0x1.ef5b0adcb6958p-10, 0x1.d8b417bec96ecp-10, 0x1.c2d059bd31857p-10, 0x1.adab443d34e83p-10, 0x1.99400b6f68f51p-10, 0x1.8589e7bd39722p-10, 0x1.72843fe1951f7p-10, 0x1.602a51b0833b7p-10, 0x1.4e76b8e1e9d6dp-10, 0x1.3d639f043f2afp-10, 0x1.2cebaff059a04p-10, 0x1.1d0ada46619dap-10, 0x1.0dbdeac8784d2p-10, 0x1.fe02ce2d1a751p-11, 0x1.e1a20e794ce75p-11, 0x1.c650dca31e35dp-11, 0x1.ac08537259471p-11, 0x1.92c317ddae06cp-11, 0x1.7a7a9c1ad10f5p-11, 0x1.63251df43db5bp-11, 0x1.4cb75d0c4bf8ep-11, 0x1.3728c4d735cf1p-11, 0x1.227559ad29e2fp-11, 0x1.0e9ae993960dbp-11, 0x1.f7293dbe50cc5p-12, 0x1.d2b3e6188c983p-12, 0x1.afc3bf122c352p-12, 0x1.8e4d00b10cd1p-12, 0x1.6e4a2359d1191p-12, 0x1.4fb413a3ecf6bp-12, 0x1.327b0ef613495p-12, 0x1.16893f4316fd6p-12, 0x1.f79b96246925ap-13, 0x1.c488b8ee82d2ap-13, 0x1.93e0222ebaf2ap-13, 0x1.659efd893dbf4p-13, 0x1.39addf19a241fp-13, 0x1.0fe9ec0f3b15bp-13, 0x1.d06b0f9906461p-14, 0x1.8501fa6d3e046p-14, 0x1.3d8a048933142p-14, 0x1.f3d30050b3356p-15, 0x1.73d2d16339cp-15, 0x1.f511b4bd690efp-16, 0x1.0f3793cccaba9p-16, 0x1.b0b8a3b303158p-19, -0x1.2c0237f8c627p-17, -0x1.5517a85a646bfp-16, -0x1.03db818402cd8p-15, -0x1.574f51a17e12bp-15, -0x1.a53b4e34150cap-15, -0x1.ede7b5111c8d1p-15, -0x1.18c8ff08edbb5p-14, -0x1.38308c775ce3p-14, -0x1.553d0d728c663p-14, -0x1.700fb79eb7024p-14, -0x1.88d0acbab1de5p-14, -0x1.9f95ef1210ff8p-14, -0x1.b459657689963p-14, -0x1.c712d16518d76p-14, -0x1.d7d353d0229dp-14, -0x1.e6b81fb16cef3p-14, -0x1.f3cfd6b35413ap-14, -0x1.ff2b7a48733d6p-14, -0x1.047aa444ac8b9p-13, -0x1.08abe432644b9p-13, -0x1.0c2f79cd5c1dap-13, -0x1.0f010aac900fp-13, -0x1.1122fb4613beep-13, -0x1.12a53260be8ep-13, -0x1.13975117670c7p-13, -0x1.13f97790455abp-13, -0x1.13c8175124206p-13, -0x1.130dc78957054p-13, -0x1.11d53526c999cp-13, -0x1.101b42db249aap-13, -0x1.0de10d57fd814p-13, -0x1.0b343b9800f5bp-13, -0x1.082712371df07p-13, -0x1.04c5de2284f38p-13, -0x1.010cf5fad9a4bp-13, -0x1.f9e6f75efd595p-14, -0x1.f0fe671aaaa7fp-14, -0x1.e77f54177dfb9p-14, -0x1.dd796e88fa0fbp-14, -0x1.d2e6398e1700ep-14, -0x1.c7cf7b3982463p-14, -0x1.bc4a6d86c17a7p-14, -0x1.b052624379b55p-14, -0x1.a3e6c9c895069p-14, -0x1.9712410a39d36p-14, -0x1.89dcaa5241736p-14, -0x1.7c547b278a068p-14, -0x1.6e8f1c19dcdbfp-14, -0x1.608c77bd45407p-14, -0x1.523fde79f423ep-14, -0x1.43b1cda4aef82p-14, -0x1.34ed56e3ad8a7p-14, -0x1.25fda472f5f1dp-14, -0x1.16e5881dccef2p-14, -0x1.07ac7830b4a2ep-14, -0x1.f0b563ad997adp-15, -0x1.d1d4a75a7e695p-15, -0x1.b2c50c0a63f37p-15, -0x1.9396af67d7f83p-15, -0x1.744c3ebfea57fp-15, -0x1.54e7c5c466aeep-15, -0x1.35765d30b7caap-15, -0x1.160cdcb5ef6p-15, -0x1.ed53dd26aee12p-16, -0x1.aea0cb2a98b04p-16, -0x1.700e6b6e03227p-16, -0x1.319e38a6f9a9ep-16, -0x1.e6de406a1b69cp-17, -0x1.6b17671a457cbp-17, -0x1.e00688cf6a506p-18, -0x1.d67a1451c40dcp-19, 0x1.016727a562c59p-23, 0x1.f31d7ab4d18bdp-19, 0x1.e92d1ba3ae1c9p-18, 0x1.6b660c17b38b4p-17, 0x1.e126c0cd66fc7p-17, 0x1.2ae5074f0c37fp-16, 0x1.649f4fcf3fe69p-16, 0x1.9dbc6c03c860fp-16, 0x1.d6371d327218cp-16, 0x1.0706ce1fb8a8ap-15, 0x1.2292cb518de16p-15, 0x1.3dc0bcc8dff3cp-15, 0x1.5897b7ddc558ep-15, 0x1.7315b80b5430ap-15, 0x1.8d30ca8380361p-15, 0x1.a6e68a2710f0ap-15, 0x1.c039a2738a345p-15, 0x1.d927d0b7852c9p-15, 0x1.f1af26a55fd65p-15, 0x1.04e71f145414ep-14, 0x1.10c1d0d206b77p-14, 0x1.1c64f491e21d2p-14, 0x1.27cd7a3d298bep-14, 0x1.33017fa6d9e3dp-14, 0x1.3e03e192573dfp-14, 0x1.48cd090e502a7p-14, 0x1.535adeda47c24p-14, 0x1.5dabd1e25de24p-14, 0x1.67c8982a788a9p-14, 0x1.71b3281285a8ep-14, 0x1.7b60638b7c8d5p-14, 0x1.84d45a9d6ddc1p-14, 0x1.8e119d04df9f5p-14, 0x1.971698383964cp-14, 0x1.9fe2f1fa9e352p-14, 0x1.a87749eeb2bccp-14, 0x1.b0d43d6f191e9p-14, 0x1.b8fa2f18ea152p-14, 0x1.c0e41f8a65b8dp-14, 0x1.c8906d65a3261p-14, 0x1.d00dcefa250e8p-14, 0x1.d753dafabaf11p-14, 0x1.de5f03630d937p-14, 0x1.e53722d013d6p-14, 0x1.ebd366036e369p-14, 0x1.f23ba8deae341p-14, 0x1.f872f42b97835p-14, 0x1.fe6f25986d13ep-14, 0x1.021c53496d6c9p-13, 0x1.04e7671664027p-13, 0x1.079862814964cp-13, 0x1.0a2f71a833512p-13, 0x1.0cad167148481p-13, 0x1.0f11d112a2e3p-13, 0x1.115deaf5d52e6p-13, 0x1.13917658c8ccbp-13, 0x1.15a92b6d2f793p-13, 0x1.17ab376399f29p-13, 0x1.1995308f71a3cp-13, 0x1.1b66811bce0bcp-13, 0x1.1d21a8c6ce543p-13, 0x1.1ec6686ffcb6dp-13, 0x1.2052ac2567225p-13, 0x1.21c9550430cbbp-13, 0x1.232948b51bdf8p-13, 0x1.24730871be28ap-13, 0x1.25a7fdf30834bp-13, 0x1.26c7b07273eaap-13, 0x1.27d2457f593c5p-13, 0x1.28c8159a40a1fp-13, 0x1.29a99bc7c8dfbp-13, 0x1.2a7745b0d3cbbp-13, 0x1.2b313e2fd26a9p-13, 0x1.2bd8259578625p-13, 0x1.2c6ac0a22f6cap-13, 0x1.2ceb6d887a251p-13, 0x1.2d588d204f579p-13, 0x1.2db429ea66484p-13, 0x1.2dfe6a9f52d41p-13, 0x1.2e36f2543bbb5p-13, 0x1.2e5e9c9f37bebp-13, 0x1.2e74f29282e76p-13, 0x1.2e7abfab5df9ep-13, 0x1.2e6f90b6e0ad1p-13, 0x1.2e551a29c7cfdp-13, 0x1.2e2b177e9d6f6p-13, 0x1.2df1ab4c4ab1dp-13, 0x1.2da9233a528a1p-13, 0x1.2d51d80c5d5f8p-13, 0x1.2cec2b361f794p-13, 0x1.2c7869a7cefbep-13, 0x1.2bf6bae9e6682p-13, 0x1.2b67cdce1cedep-13, 0x1.2acb6a1ece69dp-13, 0x1.2a21d110a3879p-13, 0x1.296b5840ae3dep-13, 0x1.28a8ffdae91b1p-13, 0x1.27da9ca17f911p-13, 0x1.27005cfc1f964p-13, 0x1.261a783d0091ep-13, 0x1.252998cca840cp-13, 0x1.242dc85d1a64dp-13, 0x1.2326b8b4efb12p-13, 0x1.22156f42b2a14p-13, 0x1.20fa32379eaf4p-13, 0x1.1fd50aa958047p-13, 0x1.1ea63a3ee27f7p-13, 0x1.1d6e065778551p-13, 0x1.1c2cb65a855dfp-13, 0x1.1ae2904e4baf8p-13, 0x1.198fc96a4642p-13, 0x1.1834978433566p-13, 0x1.16d18c9482456p-13, 0x1.15666f5060347p-13, 0x1.13f35adfa54a9p-13, 0x1.12792c2c83796p-13, 0x1.10f7d6e025cfp-13, 0x1.0f6f8c4f0ae03p-13, 0x1.0de089e29fb79p-13, 0x1.0c4b0271f5031p-13, 0x1.0aaf298eaa4fdp-13, 0x1.090d617332dc7p-13, 0x1.0765c4c9e0ba6p-13, 0x1.05b83901f52d7p-13, 0x1.04057080ea466p-13, 0x1.024d7293b73d5p-13, 0x1.00906a3bc910dp-13, 0x1.fd9d1715c1a58p-14, 0x1.fa1014039ea65p-14, 0x1.f67a3111a1868p-14, 0x1.f2dbcd8f3e924p-14, 0x1.ef353af98e488p-14, 0x1.eb86ea4dafc75p-14, 0x1.e7d17204b4734p-14, 0x1.e4146935d9ffdp-14, 0x1.e050ddef748e2p-14, 0x1.dc870567d40c9p-14, 0x1.d8b71df69f779p-14, 0x1.d4e17ef187bb2p-14, 0x1.d1067d794af74p-14, 0x1.cd266b4762056p-14, 0x1.c9419379c33cep-14, 0x1.c55842d8561c8p-14, 0x1.c16ae2432c29bp-14, 0x1.bd79a293d1375p-14, 0x1.b984a9d3de87fp-14, 0x1.b58c87e3ef041p-14, 0x1.b19163bfd17d8p-14, 0x1.ad93820a1b294p-14, 0x1.a993286d09958p-14, 0x1.a5909afcb2cf1p-14, 0x1.a18c1c0fef1a4p-14, 0x1.9d85e9e037cbep-14, 0x1.997e40dac963fp-14, 0x1.95756fb54d027p-14, 0x1.916ba4653d68cp-14, 0x1.8d610222029e2p-14, 0x1.8955f02753b4ap-14, 0x1.854a924389c41p-14, 0x1.813f1f81fe714p-14, 0x1.7d33cec7fd5f2p-14, 0x1.7928d56d12815p-14, 0x1.751e677e7da17p-14, 0x1.7114b76804b18p-14, 0x1.6d0bf5414c4d6p-14, 0x1.69045171795f5p-14, 0x1.64fe039c93634p-14, 0x1.60f92bf4f84d2p-14, 0x1.5cf5f90af768ap-14, 0x1.58f4a169667a3p-14, 0x1.54f548f81ab1fp-14, 0x1.50f81989c29c7p-14, 0x1.4cfd3bfcf1019p-14, 0x1.4904d811e63c3p-14, 0x1.450f1460b6ee9p-14, 0x1.411c15d4dcbb4p-14, 0x1.3d2c007c3005p-14, 0x1.393efc21bf9f6p-14, 0x1.355527779d70bp-14, 0x1.316e9e481185bp-14, 0x1.2d8b8c88da227p-14, 0x1.29ac0cc660afap-14, 0x1.25d03dca48476p-14, 0x1.21f83db24bebap-14, 0x1.1e2429a42fa92p-14, 0x1.1a541de1bf908p-14, 0x1.168835cceb92p-14, 0x1.12c08bb7af5f4p-14, 0x1.0efd3918988b4p-14, 0x1.0b3e575956e87p-14, 0x1.078400960ca3ap-14, 0x1.03ce457ee4f29p-14, 0x1.001d430d473f1p-14, 0x1.f8e21a05babd6p-15, 0x1.f193702777598p-15, 0x1.ea4eb1279814bp-15, 0x1.e31404284de3p-15, 0x1.dbe38edcfc3a5p-15, 0x1.d4bd7593a13c3p-15, 0x1.cda1db2ca027p-15, 0x1.c690e102cfc12p-15, 0x1.bf8aa73dae0ccp-15, 0x1.b88f4e1240225p-15, 0x1.b19ef256d293bp-15, 0x1.aab9ad98993f7p-15, 0x1.a3df9f5afa60fp-15, 0x1.9d10dfdd8ca7ep-15, 0x1.964d87d0b3d8cp-15, 0x1.8f95aee3aa75ap-15, 0x1.88e96b9aef8ebp-15, 0x1.8248d35754859p-15, 0x1.7bb3fa58c9aa4p-15, 0x1.752af3d439809p-15, 0x1.6eadd218329d3p-15, 0x1.683ca645c87e5p-15, 0x1.61d77ff823c52p-15, 0x1.5b7e6effae02bp-15, 0x1.5531813f103b7p-15, 0x1.4ef0c3ed98f35p-15, 0x1.48bc435733cc4p-15, 0x1.42940adcdc181p-15, 0x1.3c7824fb47882p-15, 0x1.36689b50c20dcp-15, 0x1.306576a1df6a1p-15, 0x1.2a6ebeddd1966p-15, 0x1.24847b2097ee7p-15, 0x1.1ea6b1b7a5f17p-15, 0x1.18d5682a92f42p-15, 0x1.1310a34a116e9p-15, 0x1.0d5867329c9c7p-15, 0x1.07acb70c44dfap-15, 0x1.020d94a710c41p-15, 0x1.f8f607bde95b5p-16, 0x1.edea09d15934p-16, 0x1.e2f72f1f4b3c6p-16, 0x1.d81d78e7ecf7dp-16, 0x1.cd5ce58ef409fp-16, 0x1.c2b57019dd1a8p-16, 0x1.b8271a60fd20fp-16, 0x1.adb1da726f6cfp-16, 0x1.a355aaee4b57cp-16, 0x1.99128513b4544p-16, 0x1.8ee86060ce71p-16, 0x1.84d7334f3310fp-16, 0x1.7adef354a7f1fp-16, 0x1.70ff94e6d87f5p-16, 0x1.67390b7fa72fp-16, 0x1.5d8b49a22eb06p-16, 0x1.53f64100f141cp-16, 0x1.4a79e22916b4dp-16, 0x1.41161d1df040bp-16, 0x1.37cae0c6f83bbp-16, 0x1.2e981b48d2b8p-16, 0x1.257db9f0081fp-16, 0x1.1c7ba942085aap-16, 0x1.1391d4fbf66d4p-16, 0x1.0ac02817e28dcp-16, 0x1.02068d2d5dd5ep-16, 0x1.f2c9dc798810fp-17, 0x1.e1b667e238881p-17, 0x1.d0d2879f66b2cp-17, 0x1.c01e146a6e83cp-17, 0x1.af98dbb87cd25p-17, 0x1.9f42a34edcc2fp-17, 0x1.8f1b3913b888cp-17, 0x1.7f2263bfa2a92p-17, 0x1.6f57fc1db428cp-17, 0x1.5fbbc58ec09cap-17, 0x1.504d7d126f076p-17, 0x1.410cedf9b0f46p-17, 0x1.31f9dfa35a4dep-17, 0x1.231416e6b0034p-17, 0x1.145b579aff22dp-17, 0x1.05cf64e1c6029p-17, 0x1.eee0023000359p-18, 0x1.d279db6c971c6p-18, 0x1.b66bd6dfce8fbp-18, 0x1.9ab574a06cba4p-18, 0x1.7f56333c793d8p-18, 0x1.644d8fbbdc7afp-18, 0x1.499b07e5e4437p-18, 0x1.2f3e1907c4f95p-18, 0x1.15363badc7363p-18, 0x1.f705bd08c3fd5p-19, 0x1.c446ffbeb6acap-19, 0x1.922f61410f0b4p-19, 0x1.60bd7f0f82b8p-19, 0x1.2ff0650d52d59p-19, 0x1.ff8df876e74cfp-20, 0x1.a080559061859p-20, 0x1.42b5ac2e4622ep-20, 0x1.cc57896e3025bp-21, 0x1.15c0ca071ec2fp-21, 0x1.868a845e35197p-23, -0x1.401db6fae8de4p-23, -0x1.fe83c26ecdd86p-22, -0x1.ac113cac75277p-21, -0x1.2b3d04d070fdbp-20, -0x1.7f406a61a11dap-20, -0x1.d215164fce9e8p-20, -0x1.11dea9146eb44p-19, -0x1.3a1db51a18a13p-19, -0x1.61c8d1f3a9edep-19, -0x1.88e11fa2d3f2fp-19, -0x1.af67c701297ffp-19, -0x1.d55df857b1654p-19, -0x1.fac4f5748f364p-19, -0x1.0fcebfdd035d2p-18, -0x1.21f49158da0bfp-18, -0x1.33d477148a663p-18, -0x1.456f00d5b7a2bp-18, -0x1.56c4bf00edce2p-18, -0x1.67d641e18ddb1p-18, -0x1.78a41cb1f9067p-18, -0x1.892ee3706baaap-18, -0x1.99772aaf0eb43p-18, -0x1.a97d89653c87cp-18, -0x1.b94291c672084p-18, -0x1.c8c6d5c975d95p-18, -0x1.d80ae76577893p-18, -0x1.e70f5825cb0b2p-18, -0x1.f5d4b9d838d4dp-18, -0x1.022dce5f55a2bp-17, -0x1.095247ef606p-17, -0x1.1058127889317p-17, -0x1.173f76fe289f2p-17, -0x1.1e08c3d74bb73p-17, -0x1.24b43024daaf6p-17, -0x1.2b420f8b3b09dp-17, -0x1.31b2a966a6bf3p-17, -0x1.3806425a4a31cp-17, -0x1.3e3d2172abdp-17, -0x1.44578d698a9d6p-17, -0x1.4a55cca2856e8p-17, -0x1.503825459ebccp-17, -0x1.55fedd3f34ddap-17, -0x1.5baa3a3028042p-17, -0x1.613a816ce2a9bp-17, -0x1.66aff8073955fp-17, -0x1.6c0ae2dc71f89p-17, -0x1.714b8671b9eb2p-17, -0x1.7672267b2a25dp-17, -0x1.7b7f06b3186c9p-17, -0x1.80726aeba9251p-17, -0x1.854c96df296dbp-17, -0x1.8a0dd1277bf21p-17, -0x1.8eb6513798b8ap-17, -0x1.93466344426c4p-17, -0x1.97be46f0694d9p-17, -0x1.9c1e3d0b34cd9p-17, -0x1.a06686e8e131bp-17, -0x1.a4976572544e1p-17, -0x1.a8b1192e5ec66p-17, -0x1.acb3e24b7f03p-17, -0x1.b0a0009cef78p-17, -0x1.b475b3964e135p-17, -0x1.b8353a4b9f1eep-17, -0x1.bbded3735410dp-17, -0x1.bf72bd6cb675bp-17, -0x1.c2f1363954ac1p-17, -0x1.c65a7b4f7cbd5p-17, -0x1.c9aec9c1b1665p-17, -0x1.ccee5e834f7f1p-17, -0x1.d01975fec6bc8p-17, -0x1.d3304d164b554p-17, -0x1.d6331f38b2269p-17, -0x1.d92224c127d9p-17, -0x1.dbfd9c79772p-17, -0x1.dec5bf55d378fp-17, -0x1.e17ac7679fb14p-17, -0x1.e41cee6b7e0bep-17, -0x1.e6ac6db0b389cp-17, -0x1.e9297e1cd7de3p-17, -0x1.eb94582f023e4p-17, -0x1.eded3400a18cfp-17, -0x1.f0344944acd45p-17, -0x1.f269cf45c6409p-17, -0x1.f48dfce6c6ea3p-17, -0x1.f6a108a351d5cp-17, -0x1.f8a328910126fp-17, -0x1.fa949260aeb5fp-17, -0x1.fc757b55768a6p-17, -0x1.fe46183d01eb5p-17, -0x1.00034ec7c4293p-16, -0x1.00db9fb1bac42p-16, -0x1.01ac18abde9adp-16, -0x1.0274d38cb0107p-16, -0x1.0335e97a23912p-16, -0x1.03ef7377b27b2p-16, -0x1.04a18b0aa94c4p-16, -0x1.054c48c586301p-16, -0x1.05efc54608e76p-16, -0x1.068c18f69c0e4p-16, -0x1.07215c0d3cce4p-16, -0x1.07afa68c10bf9p-16, -0x1.083710417cf81p-16, -0x1.08b7b0c8a4252p-16, -0x1.09319f897ab87p-16, -0x1.09a4f3b91f89fp-16, -0x1.0a11c4599bb5dp-16, -0x1.0a78283a03c24p-16, -0x1.0ad835f67a815p-16, -0x1.0b3203f8da667p-16, -0x1.0b85a87886b0ap-16, -0x1.0bd3397b54e16p-16, -0x1.0c1accd4a11c3p-16, -0x1.0c5c7823f9511p-16, -0x1.0c9850d7cd638p-16, -0x1.0cce6c2f97d88p-16, -0x1.0cfedf3731aebp-16, -0x1.0d29bec97927p-16, -0x1.0d4f1fa890166p-16, -0x1.0d6f16184c13ap-16, -0x1.0d89b683bd606p-16, -0x1.0d9f15069d5e9p-16, -0x1.0daf457f7c0aep-16, -0x1.0dba5ba6d28cdp-16, -0x1.0dc06b04c3988p-16, -0x1.0dc186f19bb1bp-16, -0x1.0dbdc29619f38p-16, -0x1.0db530ec0c6d5p-16, -0x1.0da7e4be3bf5fp-16, -0x1.0d95f0a8ed276p-16, -0x1.0d7f6719c94fbp-16, -0x1.0d645a501c693p-16, -0x1.0d44dc5abb8dep-16, -0x1.0d20ff16d934ep-16, -0x1.0cf8d432e42f3p-16, -0x1.0ccc6d3a5225fp-16, -0x1.0c9bdb959583dp-16, -0x1.0c67307317253p-16, -0x1.0c2e7ccab26b1p-16, -0x1.0bf1d177e34ebp-16, -0x1.0bb13f33f43aap-16, -0x1.0b6cd67c07739p-16, -0x1.0b24a7927321bp-16, -0x1.0ad8c2925fbadp-16, -0x1.0a89377628d5dp-16, -0x1.0a3616125cb3cp-16, -0x1.09df6e1319ca6p-16, -0x1.09854ef04f154p-16, -0x1.0927c801ad5d5p-16, -0x1.08c6e86e3efc3p-16, -0x1.0862bf34fa03bp-16, -0x1.07fb5b2b6f02fp-16, -0x1.0790cafdff119p-16, -0x1.07231d2fee8bbp-16, -0x1.06b2601c6ccdp-16, -0x1.063ea1f8c4142p-16, -0x1.05c7f0d25593ep-16, -0x1.054e5a8a4987p-16, -0x1.04d1ecdb33392p-16, -0x1.0452b55b188fap-16, -0x1.03d0c17952b95p-16, -0x1.034c1e7ea25b7p-16, -0x1.02c4d98d48c9fp-16, -0x1.023affa1f237ap-16, -0x1.01ae9d9355276p-16, -0x1.011fc01306fe1p-16, -0x1.008e73ad953adp-16, -0x1.fff58995689b6p-17, -0x1.fec97f5b22081p-17, -0x1.fd98e0ea4f732p-17, -0x1.fc63c6393711p-17, -0x1.fb2a46f5e0c8ep-17, -0x1.f9ec7a896147bp-17, -0x1.f8aa781629a73p-17, -0x1.f764567702955p-17, -0x1.f61a2c42a6a9fp-17, -0x1.f4cc0fcc1bc15p-17, -0x1.f37a1720dd2b2p-17, -0x1.f22457fc05d6bp-17, -0x1.f0cae81548ce1p-17, -0x1.ef6ddc82acaa2p-17, -0x1.ee0d4a5822cap-17, -0x1.eca9465afbfb6p-17, -0x1.eb41e50d5ea9dp-17, -0x1.e9d73aafe47b1p-17, -0x1.e8695b4233123p-17, -0x1.e6f85a847fbb4p-17, -0x1.e5844bf901cb4p-17, -0x1.e40d42e47001ap-17, -0x1.e293524ef9dap-17, -0x1.e1168d0443395p-17, -0x1.df970593f31a7p-17, -0x1.de14ce52423abp-17, -0x1.dc8ff95850211p-17, -0x1.db089883b2b51p-17, -0x1.d97ebd76ec6bcp-17, -0x1.d7f2799a19379p-17, -0x1.d663de1b2f62cp-17, -0x1.d4d2fbeef76fdp-17, -0x1.d33fe3d243639p-17, -0x1.d1aaa64a08b62p-17, -0x1.d01353a3fa86bp-17, -0x1.ce79fbf65e5fcp-17, -0x1.ccdeaf21acb5p-17, -0x1.cb417cd1042e5p-17, -0x1.c9a27479cd6bfp-17, -0x1.c801a55c9a672p-17, -0x1.c65f1e87da335p-17, -0x1.c4baeed80157ep-17, -0x1.c31524ef78a4bp-17, -0x1.c16dcf3f51378p-17, -0x1.bfc4fc0a06a5bp-17, -0x1.be1ab9632b667p-17, -0x1.bc6f152078016p-17, -0x1.bac21cef9e67p-17, -0x1.b913de42693bep-17, -0x1.b7646631fec3ep-17, -0x1.b5b3c287828d2p-17, -0x1.b401ffd0d4c28p-17, -0x1.b24f2a87accb2p-17, -0x1.b09b4f5d3f7d3p-17, -0x1.aee67ab8e7363p-17, -0x1.ad30b8d19e824p-17, -0x1.ab7a15b48d9c2p-17, -0x1.a9c29d42be7p-17, -0x1.a80a5b2f77ca7p-17, -0x1.a6515b0105aa4p-17, -0x1.a497a8118ffbdp-17, -0x1.a2dd4d903db5fp-17, -0x1.a1225682b432ap-17, -0x1.9f66cdc817515p-17, -0x1.9daabe1b49ecbp-17, -0x1.9bee32089222ap-17, -0x1.9a3133d4c8bb6p-17, -0x1.9873cd9f21837p-17, -0x1.96b609900771ep-17, -0x1.94f7f1aab0ebp-17, -0x1.93398fb40718ep-17, -0x1.917aed4338ab7p-17, -0x1.8fbc13cb3a82dp-17, -0x1.8dfd0c9bbb3cfp-17, -0x1.8c3de0e15cdb7p-17, -0x1.8a7e99a89af49p-17, -0x1.88bf3fe305882p-17, -0x1.86ffdc7a1153bp-17, -0x1.8540784d19a7ap-17, -0x1.83811b191b372p-17, -0x1.81c1cc7afab39p-17, -0x1.8002959d8b826p-17, -0x1.7e437ec670dc1p-17, -0x1.7c848fb3643e3p-17, -0x1.7ac5d0110d93fp-17, -0x1.7907490cd8a1ap-17, -0x1.7748ff10b234p-17, -0x1.758afc75e103fp-17, -0x1.73cd4617a5b23p-17, -0x1.720fe5689a54p-17, -0x1.7052e060525b3p-17, -0x1.6e963dec1fd43p-17, -0x1.6cda04e6e7e77p-17, -0x1.6b1e3c0a239f1p-17, -0x1.6962e9ef12ddcp-17, -0x1.67a81512f53c6p-17, -0x1.65edc3e6302d4p-17, -0x1.6433fcdfed668p-17, -0x1.627ac643668dp-17, -0x1.60c2259ee9887p-17, -0x1.5f0a206cd3b13p-17, -0x1.5d52bcdb9e961p-17, -0x1.5b9c011f9a3f9p-17, -0x1.59e5f2f3a79fap-17, -0x1.583097c02ec87p-17, -0x1.567bf4bc2becbp-17, -0x1.54c80ed39674ep-17, -0x1.5314ea7c8b45bp-17, -0x1.51628bdb966a7p-17, -0x1.4fb0f76132301p-17, -0x1.4e00326d2a20fp-17, -0x1.4c504397ca91dp-17, -0x1.4aa13166d76d2p-17, -0x1.48f2fe9d85d5ep-17, -0x1.4745aff8494ecp-17, }}, 
      {{-0x1.9c23ba09982e8p+1, -0x1.9a62a7d3e75f4p+1, -0x1.97f94d82dc3d3p+1, -0x1.94f1218d78fd4p+1, -0x1.9154bc5955e09p+1, -0x1.8d2f67677a264p+1, -0x1.888cc678af452p+1, -0x1.837894d63c453p+1, -0x1.7dfe7241efd5dp+1, -0x1.7829bc250fed7p+1, -0x1.72057067de8f2p+1, -0x1.6b9c17f6a850bp+1, -0x1.64f7b76bceeabp+1, -0x1.5e21c4ab0eddfp+1, -0x1.57232079d34b9p+1, -0x1.5004135073805p+1, -0x1.48cc4cc4fb2c6p+1, -0x1.4182e50c95434p+1, -0x1.3a2e6027290bep+1, -0x1.32d4b25a5341ep+1, -0x1.2b7b45af33a23p+1, -0x1.242700320a7a9p+1, -0x1.1cdc4abc402f4p+1, -0x1.159f18196ff45p+1, -0x1.0e72ec5f141e2p+1, -0x1.075ae454333a8p+1, -0x1.0059bccac2895p+1, -0x1.f2e3b3a1c7bdep+0, -0x1.e54a9b4c72af8p+0, -0x1.d7ebbecae0513p+0, -0x1.caca22a45a68ep+0, -0x1.bde84d837b2fep+0, -0x1.b148533f9bbfdp+0, -0x1.a4ebdf1ceee3fp+0, -0x1.98d43d46eee52p+0, -0x1.8d02639c3ac83p+0, -0x1.8176f9de16bafp+0, -0x1.7632614ed933p+0, -0x1.6b34bbc8183e1p+0, -0x1.607df24ff6dfep+0, -0x1.560dbb35fc6ffp+0, -0x1.4be39fbcbf75ep+0, -0x1.41ff0152f23a5p+0, -0x1.385f1e5fb41bep+0, -0x1.2f0316a9225bbp+0, -0x1.25e9ef5d7c57p+0, -0x1.1d1296c6148d2p+0, -0x1.147be7a976bcap+0, -0x1.0c24ac6146ac2p+0, -0x1.040ba1a86ccd8p+0, -0x1.f85ef24d4ede2p-1, -0x1.e91db77d5f65ap-1, -0x1.da50d747be6edp-1, -0x1.cbf58c774656ap-1, -0x1.be090b9cd4d39p-1, -0x1.b0888616cc191p-1, -0x1.a3712cc4841e6p-1, -0x1.96c0326bf6d23p-1, -0x1.8a72cdd7e032ep-1, -0x1.7e863bb469a09p-1, -0x1.72f7c03022a1p-1, -0x1.67c4a8669bcd9p-1, -0x1.5cea4b9981395p-1, -0x1.52660c3c9bf6fp-1, -0x1.483558d8c8084p-1, -0x1.3e55acc995902p-1, -0x1.34c490d91411bp-1, -0x1.2b7f9bbd09d1cp-1, -0x1.22847278a6dfp-1, -0x1.19d0c8a592e1ep-1, -0x1.116260a6f6d44p-1, -0x1.09370bc8f5c94p-1, -0x1.014caa4ece19fp-1, -0x1.f34256e35056ep-2, -0x1.e4651aa3d734ap-2, -0x1.d5fdb9b983c29p-2, -0x1.c8086b4e94584p-2, -0x1.ba818381ba2b1p-2, -0x1.ad6572fb33568p-2, -0x1.a0b0c674c4ca5p-2, -0x1.9460263690862p-2, -0x1.8870558aaa9b2p-2, -0x1.7cde32291248ep-2, -0x1.71a6b39d938dbp-2, -0x1.66c6eaa8e4421p-2, -0x1.5c3c009e3490dp-2, -0x1.520336be445bfp-2, -0x1.4819e590eccdap-2, -0x1.3e7d7c3df6e9cp-2, -0x1.352b7fe5f6f5bp-2, -0x1.2c218afbdae06p-2, -0x1.235d4c9fa972cp-2, -0x1.1adc87fb028b4p-2, -0x1.129d139fb7079p-2, -0x1.0a9cd8e8e48ep-2, -0x1.02d9d35ed8f1ap-2, -0x1.f6a4203bea18ap-3, -0x1.e8075a81c2976p-3, -0x1.d9d9b29c2e0e3p-3, -0x1.cc17a55203ce6p-3, -0x1.bebdce0d8e04dp-3, -0x1.b1c8e5cd6983ap-3, -0x1.a535c21d226dbp-3, -0x1.990154152ec3fp-3, -0x1.8d28a762ab1bp-3, -0x1.81a8e156ac9cdp-3, -0x1.767f3ffcf3903p-3, -0x1.6ba9193a52d69p-3, -0x1.6123d9f24db6dp-3, -0x1.56ed0533f13bdp-3, -0x1.4d02336e08d1ap-3, -0x1.436111aa0b66p-3, -0x1.3a0760ce076c6p-3, -0x1.30f2f4e54a086p-3, -0x1.2821b46f6504fp-3, -0x1.1f9197b5a60f2p-3, -0x1.1740a826c6096p-3, -0x1.0f2cffb8779ecp-3, -0x1.0754c84edc20ap-3, -0x1.ff6c76535916p-4, -0x1.f09f40ad51781p-4, -0x1.e23e9c53050ddp-4, -0x1.d4475171a6539p-4, -0x1.c6b642bfdad24p-4, -0x1.b9886c8b1de97p-4, -0x1.acbae3ce61bebp-4, -0x1.a04ad5514ab7dp-4, -0x1.943584d027a14p-4, -0x1.88784c2c5565dp-4, -0x1.7d109aa434613p-4, -0x1.71fbf412e879ep-4, -0x1.6737f037ae59cp-4, -0x1.5cc23a04068c5p-4, -0x1.52988ef08f464p-4, -0x1.48b8be58bc579p-4, -0x1.3f20a8dccf794p-4, -0x1.35ce3fc990b91p-4, -0x1.2cbf8485f9525p-4, -0x1.23f28806b00e4p-4, -0x1.1b656a46ad0f2p-4, -0x1.131659c4d3684p-4, -0x1.0b039306b794fp-4, -0x1.032b602045befp-4, -0x1.f718307f64f4cp-5, -0x1.e8483e7b71333p-5, -0x1.d9e3ca64807e2p-5, -0x1.cbe7cc1a3a0b8p-5, -0x1.be515264e0bdfp-5, -0x1.b11d823566fbbp-5, -0x1.a44995ecfd9b6p-5, -0x1.97d2dcab9346p-5, -0x1.8bb6b9a48a2eap-5, -0x1.7ff2a379906b6p-5, -0x1.7484239bc6907p-5, -0x1.6968d5b2d96d3p-5, -0x1.5e9e67096ba95p-5, -0x1.542295fea7d9fp-5, -0x1.49f3317d140acp-5, -0x1.400e18767a0a3p-5, -0x1.36713964743ddp-5, -0x1.2d1a91cd4ec51p-5, -0x1.24082dcd3f071p-5, -0x1.1b3827a3f26p-5, -0x1.12a8a74623017p-5, -0x1.0a57e1f2eb985p-5, -0x1.024419ccaf80dp-5, -0x1.f4d73aeb43788p-6, -0x1.e5998f5f9a33p-6, -0x1.d6cbfe00b138p-6, -0x1.c86b6aabc0babp-6, -0x1.ba74cf6394931p-6, -0x1.ace53ba91a6bp-6, -0x1.9fb9d3d9a57a1p-6, -0x1.92efd0927fab9p-6, -0x1.86847e19941b5p-6, -0x1.7a753bcb00f38p-6, -0x1.6ebf7b8b861d2p-6, -0x1.6360c13f965b1p-6, -0x1.5856a246d11cbp-6, -0x1.4d9ec4fbb695p-6, -0x1.4336e037663e5p-6, -0x1.391cbad95defp-6, -0x1.2f4e2b530e935p-6, -0x1.25c9173716b24p-6, -0x1.1c8b72cbfd721p-6, -0x1.139340a2557aap-6, -0x1.0ade912e2102bp-6, -0x1.026b82636de21p-6, -0x1.f4707eabe6f08p-7, -0x1.e485ffb74ce6fp-7, -0x1.d51410643d24ap-7, -0x1.c617514d6ce9dp-7, -0x1.b78c7a82ad6b5p-7, -0x1.a9705ae38422p-7, -0x1.9bbfd77ec268fp-7, -0x1.8e77eaf6d8da6p-7, -0x1.8195a4eacbb05p-7, -0x1.7516296399b4fp-7, -0x1.68f6b045cdfe6p-7, -0x1.5d3484c736d2dp-7, -0x1.51cd04e89e86dp-7, -0x1.46bda0f385e9bp-7, -0x1.3c03dafba6af9p-7, -0x1.319d46641160bp-7, -0x1.278787679dc27p-7, -0x1.1dc052a4a7adcp-7, -0x1.14456cac1514cp-7, -0x1.0b14a993cd9dap-7, -0x1.022bec8c6ca61p-7, -0x1.f3124ef3cc1adp-8, -0x1.e254b51d9578p-8, -0x1.d21b27d43340ap-8, -0x1.c261de6f70ddfp-8, -0x1.b3252aa7b1a8p-8, -0x1.a46177e290399p-8, -0x1.96134a849f20dp-8, -0x1.88373f47665dep-8, -0x1.7aca0a932e38dp-8, -0x1.6dc877dcbc961p-8, -0x1.612f6907de5e4p-8, -0x1.54fbd5cf3451cp-8, -0x1.492acb30e3045p-8, -0x1.3db96adf06e5fp-8, -0x1.32a4eab2fad72p-8, -0x1.27ea94235ac56p-8, -0x1.1d87c3bd97195p-8, -0x1.1379e8a41a3d2p-8, -0x1.09be84113133fp-8, -0x1.005328ddc96a1p-8, -0x1.ee6af614a48b2p-9, -0x1.dcc65e925fa11p-9, -0x1.cbb41516b05a3p-9, -0x1.bb2fc32195866p-9, -0x1.ab3530fc49b3ep-9, -0x1.9bc044ed62683p-9, -0x1.8ccd0271afe1ap-9, -0x1.7e5789750da56p-9, -0x1.705c158a25f7p-9, -0x1.62d6fd25887ep-9, -0x1.55c4b0e2ef608p-9, -0x1.4921bad8d88c9p-9, -0x1.3ceabdf7c2235p-9, -0x1.311c756c01fc4p-9, -0x1.25b3b3f8a01acp-9, -0x1.1aad63489b3dp-9, -0x1.1006833ddca28p-9, -0x1.05bc294bea88ep-9, -0x1.f796ffd2fa8fbp-10, -0x1.e4638c30892f6p-10, -0x1.d1d89de9f6348p-10, -0x1.bff102781e1cbp-10, -0x1.aea7ad6cd2bfbp-10, -0x1.9df7b725352abp-10, -0x1.8ddc5b7ee36f3p-10, -0x1.7e50f8c290804p-10, -0x1.6f510eded238dp-10, -0x1.60d83ee0ee12p-10, -0x1.52e24a73c2d93p-10, -0x1.456b1325cee25p-10, -0x1.386e995846907p-10, -0x1.2be8faefaab43p-10, -0x1.1fd6720b00c6p-10, -0x1.1433540b9d9c6p-10, -0x1.08fc110f28e19p-10, -0x1.fc5a677e39144p-11, -0x1.e786c253b630ap-11, -0x1.d376b0a5972dcp-11, -0x1.c023e29f3b7c8p-11, -0x1.ad88381504c9fp-11, -0x1.9b9dbdf0b5d42p-11, -0x1.8a5eac3987f45p-11, -0x1.79c56516027e2p-11, -0x1.69cc749d4e3f3p-11, -0x1.5a6e90e829d76p-11, -0x1.4ba699c377f9cp-11, -0x1.3d6f97a2c956bp-11, -0x1.2fc4b9d3eafe6p-11, -0x1.22a15457bacd7p-11, -0x1.1600ddfb86a71p-11, -0x1.09deef28120dfp-11, -0x1.fc6e82c22ba54p-12, -0x1.e60b5e088b29fp-12, -0x1.d08c65aff4002p-12, -0x1.bbe9cea0e5b57p-12, -0x1.a81c0b57c9871p-12, -0x1.951bc9ed3e6a7p-12, -0x1.82e1f1fa2d136p-12, -0x1.7167a2b31693dp-12, -0x1.60a631ac2e1f3p-12, -0x1.509729ef9d507p-12, -0x1.41344a3cd5354p-12, -0x1.327781e53fc9p-12, -0x1.245aed80b9c23p-12, -0x1.16d8d565c8b4ep-12, -0x1.09ebae3dd98e1p-12, -0x1.fb1c342ad13b7p-13, -0x1.e375d0df81c13p-13, -0x1.ccda2b413e865p-13, -0x1.b73f94428d1d5p-13, -0x1.a29cb2025eb5ep-13, -0x1.8ee877988a85p-13, -0x1.7c1a193c40c2p-13, -0x1.6a2904332ef39p-13, -0x1.590ce05d55a0ap-13, -0x1.48bd98632834cp-13, -0x1.39336007da3a6p-13, -0x1.2a66b462f73d6p-13, -0x1.1c50594a0b2afp-13, -0x1.0ee957a611bccp-13, -0x1.022afa5e444a8p-13, -0x1.ec1d8a929cdbp-14, -0x1.d51cd072e5a8cp-14, -0x1.bf476e7f9856ep-14, -0x1.aa915c5b7be3p-14, -0x1.96eef586183a2p-14, -0x1.8455077cc8bfbp-14, -0x1.72b8d20df8184p-14, -0x1.621001ea615a9p-14, -0x1.5250ac0059ac2p-14, -0x1.437145586f583p-14, -0x1.3568937919063p-14, -0x1.282d9be1e7b55p-14, -0x1.1bb79d0a4421p-14, -0x1.0ffe13d31c0a5p-14, -0x1.04f8c61e8800bp-14, -0x1.f53f8f87cadfp-15, -0x1.e1d6f32585d42p-15, -0x1.cfa91bb1ebf17p-15, -0x1.bea8227faffefp-15, -0x1.aec6c4ac584a2p-15, -0x1.9ff8247409ebcp-15, -0x1.922f9920c11ddp-15, -0x1.8560bdecf7076p-15, -0x1.797f9fc2fdfa7p-15, -0x1.6e80d57d10d61p-15, -0x1.645977d1d98c1p-15, -0x1.5aff018abbfe1p-15, -0x1.5267341776276p-15, -0x1.4a8835a6b8cacp-15, -0x1.4358d894eba25p-15, -0x1.3cd097b0d30e3p-15, -0x1.36e722e36ffa3p-15, -0x1.319407232d8dfp-15, -0x1.2cced9b0e0426p-15, -0x1.288f908088ba1p-15, -0x1.24ce9ed81365fp-15, -0x1.2184e98e80e83p-15, -0x1.1eabb117c6133p-15, -0x1.1c3c620a1c3dap-15, -0x1.1a307a34f1036p-15, -0x1.1881ceb8bc2bbp-15, -0x1.172ae2748df72p-15, -0x1.1626abe282cdcp-15, -0x1.157005a677dfbp-15, -0x1.1501951fbf8fdp-15, -0x1.14d624efbc9bp-15, -0x1.14e8d1c041a13p-15, -0x1.1534f6c2180bdp-15, -0x1.15b6301fe6ba3p-15, -0x1.16686ca4fb60cp-15, -0x1.1747cf5ab4142p-15, -0x1.18507ed1edb2ep-15, -0x1.197ec50fafab3p-15, -0x1.1acf5944a4b02p-15, -0x1.1c3f4222e7c2p-15, -0x1.1dcb7aac6bd6dp-15, -0x1.1f70f40f419fdp-15, -0x1.212ccba1ab7edp-15, -0x1.22fc43be9e8cep-15, -0x1.24dcabda2faa9p-15, -0x1.26cb692cc5d27p-15, -0x1.28c60ed971f04p-15, -0x1.2aca6bd2d126ap-15, -0x1.2cd67615cc93fp-15, -0x1.2ee836d365ce8p-15, -0x1.30fdd684d96dep-15, -0x1.33159a5feaa76p-15, -0x1.352dc7bf66bf6p-15, -0x1.3744b60a184c2p-15, -0x1.3958fc6078657p-15, -0x1.3b69508fac835p-15, -0x1.3d7456c28793ep-15, -0x1.3f78ba1fd35d5p-15, -0x1.41753ff71b6d2p-15, -0x1.4368c0787f92fp-15, -0x1.455223c9ac76cp-15, -0x1.47306a7300d2ap-15, -0x1.4902c0e19afc5p-15, -0x1.4ac87701bc4b2p-15, -0x1.4c80c93b0d81fp-15, -0x1.4e2ad455618a1p-15, -0x1.4fc5cecfb698ap-15, -0x1.5151368e59f07p-15, -0x1.52cca0aee4a5ap-15, -0x1.543787af95462p-15, -0x1.55916a5a8375ap-15, -0x1.56d9da982758ep-15, -0x1.58107e3e4b686p-15, -0x1.59350162f6812p-15, -0x1.5a47059f0e716p-15, -0x1.5b4634bba57f4p-15, -0x1.5c3265b5bd88cp-15, -0x1.5d0b8a82518f1p-15, -0x1.5dd172b2a5cd8p-15, -0x1.5e83dd75cea9ep-15, -0x1.5f22a642b7adep-15, -0x1.5fadce5d153ecp-15, -0x1.602553f9e0eadp-15, -0x1.60892b40d89c3p-15, -0x1.60d9573f2bedp-15, -0x1.6115deaef0fd6p-15, -0x1.613ed1a75bda5p-15, -0x1.615448104b2c5p-15, -0x1.61565497ddce1p-15, -0x1.614506f03a671p-15, -0x1.61207b54490f8p-15, -0x1.60e8e14ae2b32p-15, -0x1.609e65246e139p-15, -0x1.60412c8451c78p-15, -0x1.5fd16454f909ep-15, -0x1.5f4f3ec55c759p-15, -0x1.5ebaf26908b62p-15, -0x1.5e14b3b7cc10ep-15, -0x1.5d5cbd92af4b1p-15, -0x1.5c934eb580e9cp-15, -0x1.5bb8a7d673bd8p-15, -0x1.5acd0c50edf46p-15, -0x1.59d0bf25116c2p-15, -0x1.58c4027d26408p-15, -0x1.57a71c05c9cep-15, -0x1.567a555f760b3p-15, -0x1.553df75cf085ap-15, -0x1.53f24c0aecfcfp-15, -0x1.5297a3ebb2db4p-15, -0x1.512e4d3b8191dp-15, -0x1.4fb69480c243p-15, -0x1.4e30c770dbbe7p-15, -0x1.4c9d3531f551cp-15, -0x1.4afc2b87c92b9p-15, -0x1.494dfa8c0cf45p-15, -0x1.4792f42765a77p-15, -0x1.45cb6948541bdp-15, -0x1.43f7ab8b0455p-15, -0x1.42180bc7b02a5p-15, -0x1.402cd96d35309p-15, -0x1.3e366492aee41p-15, -0x1.3c34fc27e5912p-15, -0x1.3a28f42d71436p-15, -0x1.3812a30eb179ep-15, -0x1.35f256f3ec71p-15, -0x1.33c85e5f16aa3p-15, -0x1.319504e03381p-15, -0x1.2f589ea335acdp-15, -0x1.2d137d93afeb4p-15, -0x1.2ac5e94e1b231p-15, -0x1.287031633be32p-15, -0x1.2612a35083ee3p-15, -0x1.23ad890747c64p-15, -0x1.21412dee2996fp-15, -0x1.1ecddf7d75ecbp-15, -0x1.1c53e905a2f93p-15, -0x1.19d391541d26ep-15, -0x1.174d1b07efdc2p-15, -0x1.14c0cc8393ca2p-15, -0x1.122efa68df89fp-15, -0x1.0f97e942b963ap-15, -0x1.0cfbd873b0383p-15, -0x1.0a5b0c7786b17p-15, -0x1.07b5c2eed805dp-15, -0x1.050c458a40833p-15, -0x1.025ed830feb7bp-15, -0x1.ff5b688ec5559p-16, -0x1.f9f23b6350852p-16, -0x1.f482a289f11efp-16, -0x1.ef0d143f19289p-16, -0x1.e992084776e97p-16, -0x1.e411fa272a565p-16, -0x1.de8d634e953a3p-16, -0x1.d904b27b85a94p-16, -0x1.d378503c2c539p-16, -0x1.cde8a31f2de14p-16, -0x1.c8562c328b6ffp-16, -0x1.c2c1552a80a6cp-16, -0x1.bd2a834d4f778p-16, -0x1.b7921aada3737p-16, -0x1.b1f87a6d07f29p-16, -0x1.ac5e0316556d6p-16, -0x1.a6c31ecc47eap-16, -0x1.a12827cccc923p-16, -0x1.9b8d7a1e91dc7p-16, -0x1.95f37240686d9p-16, -0x1.905a65376d954p-16, -0x1.8ac2a6f1d071ep-16, -0x1.852c8b86131a3p-16, -0x1.7f986843c4a8ep-16, -0x1.7a069001e75a1p-16, -0x1.74774df22081ep-16, -0x1.6eeaeaebdef4p-16, -0x1.6961afad3c552p-16, -0x1.63dbec2b74p-16, -0x1.5e59e3c369521p-16, -0x1.58dbdfb89b79p-16, -0x1.536221a348901p-16, -0x1.4dece5a7eeb4ep-16, -0x1.487c6c511ce8cp-16, -0x1.4310f45686027p-16, -0x1.3daabb7e0f0ccp-16, -0x1.3849f9a825dp-16, -0x1.32eeea9edca19p-16, -0x1.2d99c38f8a99fp-16, -0x1.284ab888cbe8ap-16, -0x1.2301fc68d102bp-16, -0x1.1dbfc19b318e3p-16, -0x1.188439ea4b52ap-16, -0x1.134f947b7ec4fp-16, -0x1.0e21fc45bda55p-16, -0x1.08fb9d13779dep-16, -0x1.03dca18876753p-16, -0x1.fd8a64b6d3b22p-17, -0x1.f36aed191ab48p-17, -0x1.e95b2b7bd2ce6p-17, -0x1.df5b674269593p-17, -0x1.d56be48f40e85p-17, -0x1.cb8ce3bf42303p-17, -0x1.c1bea8954a4d2p-17, -0x1.b801719f43db4p-17, -0x1.ae557722b7b94p-17, -0x1.a4baf543427a6p-17, -0x1.9b322220c2eb9p-17, -0x1.91bb300a2f002p-17, -0x1.88564fcbac3dcp-17, -0x1.7f03b0595be7p-17, -0x1.75c37f18491afp-17, -0x1.6c95e72c690d1p-17, -0x1.637b0feb2f762p-17, -0x1.5a731dbdf6d3bp-17, -0x1.517e36d86b939p-17, -0x1.489c7ba03974dp-17, -0x1.3fce0a9896539p-17, -0x1.371303c2b791bp-17, -0x1.2e6b81a60af52p-17, -0x1.25d79e0bb8eabp-17, -0x1.1d5770ddd8dadp-17, -0x1.14eb0f4b24229p-17, -0x1.0c928cc8471c7p-17, -0x1.044dfd2923541p-17, -0x1.f83ae18f05dabp-18, -0x1.e801e9a6cc7bp-18, -0x1.d7f131a8b8558p-18, -0x1.c808ceda8cb13p-18, -0x1.b848d4a00274bp-18, -0x1.a8b153c80f091p-18, -0x1.99425a7b4a284p-18, -0x1.89fbf4156a5e1p-18, -0x1.7ade289aede08p-18, -0x1.6be8fc2ce585ap-18, -0x1.5d1c71ab0ce67p-18, -0x1.4e788ab7c05dcp-18, -0x1.3ffd4120905e3p-18, -0x1.31aa92690b30ep-18, -0x1.2380760a5fab8p-18, -0x1.157ee172e0786p-18, -0x1.07a5c848af12ep-18, -0x1.f3ea37c90b06dp-19, -0x1.d8d9968405fffp-19, -0x1.be198582f3005p-19, -0x1.a3a9d9f283a31p-19, -0x1.898a671d98c82p-19, -0x1.6fbaf992f2e98p-19, -0x1.563b596836579p-19, -0x1.3d0b4f27a1198p-19, -0x1.242a9bbfc9dc8p-19, -0x1.0b98fdd71c204p-19, -0x1.e6ac61df9205cp-20, -0x1.b6c3dab1e9fa5p-20, -0x1.8777d044b0774p-20, -0x1.58c7a59d2b485p-20, -0x1.2ab2b79b50dc3p-20, -0x1.fa70c058cec62p-21, -0x1.a0afe2151b4d3p-21, -0x1.48216abbf221bp-21, -0x1.e187dfb1d7edep-22, -0x1.352be7e7df312p-22, -0x1.1657cb55061c4p-23, 0x1.c7b414e5b29fap-26, 0x1.8399726f25953p-23, 0x1.64cbbfafc2d59p-22, 0x1.02bdd1cba7f1ap-21, 0x1.51efe2ad88f08p-21, 0x1.9ffdc939be751p-21, 0x1.ece941b8873b9p-21, 0x1.1c5a09d1db40ap-20, 0x1.41b005737842ap-20, 0x1.66777c3772377p-20, 0x1.8ab15b0313fc5p-20, 0x1.ae5e91182beeap-20, 0x1.d18010720f35bp-20, 0x1.f416cdb465998p-20, 0x1.0b11e00b1e84fp-19, 0x1.1bd3f0b67be12p-19, 0x1.2c5216e47f2f3p-19, 0x1.3c8cd1628837ep-19, 0x1.4c84a05a411a6p-19, 0x1.5c3a0506f6e4fp-19, 0x1.6bad80f1cdbe4p-19, 0x1.7adf970b40d4cp-19, 0x1.89d0cadfe023fp-19, 0x1.9881a0b24832ep-19, 0x1.a6f29d72fec05p-19, 0x1.b52446b45bbdep-19, 0x1.c317229d517d1p-19, 0x1.d0cbb7e7ffc8fp-19, 0x1.de428dc8f5bf8p-19, 0x1.eb7c2bccc8ec2p-19, 0x1.f87919dc522dap-19, 0x1.029cf0499d479p-18, 0x1.08df842c1657p-18, 0x1.0f048d13c5706p-18, 0x1.150c4f92ad2d5p-18, 0x1.1af7105015fa9p-18, 0x1.20c514051f914p-18, 0x1.26769f77a620dp-18, 0x1.2c0bf775fd0cfp-18, 0x1.318560d2fe1f4p-18, 0x1.36e32062bf519p-18, 0x1.3c257af2c762fp-18, 0x1.414cb542ed57cp-18, 0x1.4659140b4a553p-18, 0x1.4b4adbf7af328p-18, 0x1.5022518ed70b3p-18, 0x1.54dfb94b87f96p-18, 0x1.598357883a2f1p-18, 0x1.5e0d707ede9acp-18, 0x1.627e4845af802p-18, 0x1.66d622cc2b258p-18, 0x1.6b1543d7ffce3p-18, 0x1.6f3bef00e5e36p-18, 0x1.734a67ad9ca63p-18, 0x1.7740f1121affep-18, 0x1.7b1fce2d95602p-18, 0x1.7ee741c2b5c7p-18, 0x1.82978e5b60305p-18, 0x1.8630f6429d8e6p-18, 0x1.89b3bb82676f1p-18, 0x1.8d201fe1a32fbp-18, 0x1.907664e1cff25p-18, 0x1.93b6cbbcb64d3p-18, 0x1.96e1956209db3p-18, 0x1.99f702758064ep-18, 0x1.9cf7534ce2b2cp-18, 0x1.9fe2c7ee3799ap-18, 0x1.a2b9a00d943c8p-18, 0x1.a57c1b0ac6421p-18, 0x1.a82a77f000023p-18, 0x1.aac4f572049f3p-18, 0x1.ad4bd1ef06ed8p-18, 0x1.afbf4b64178b8p-18, 0x1.b21f9f79cc039p-18, 0x1.b46d0b79d339bp-18, 0x1.b6a7cc4c7d549p-18, 0x1.b8d01e7e57b45p-18, 0x1.bae63e3cb49f1p-18, 0x1.bcea6748eeca8p-18, 0x1.bedcd50ead676p-18, 0x1.c0bdc28e617d3p-18, 0x1.c28d6a63bb7e1p-18, 0x1.c44c06c559b51p-18, 0x1.c5f9d1832b872p-18, 0x1.c797040581a49p-18, 0x1.c923d74c3c7dap-18, 0x1.caa083ede2818p-18, 0x1.cc0d4217662fp-18, 0x1.cd6a498a8df22p-18, 0x1.ceb7d19e2bc55p-18, 0x1.cff6113d9ea88p-18, 0x1.d1253ee733009p-18, 0x1.d24590ad77914p-18, 0x1.d3573c36679f4p-18, 0x1.d45a76ba5e98ap-18, 0x1.d54f75041250cp-18, 0x1.d6366b6fddb4cp-18, 0x1.d70f8de98ab57p-18, 0x1.d7db0fedf3597p-18, 0x1.d899248fba49bp-18, 0x1.d949fe744f4cp-18, 0x1.d9edcfc6ee334p-18, 0x1.da84ca4964109p-18, 0x1.db0f1f51f8885p-18, 0x1.db8cffc290df5p-18, 0x1.dbfe9c1171d57p-18, 0x1.dc64243b8f0e7p-18, 0x1.dcbdc7d8da748p-18, 0x1.dd0bb613e943cp-18, 0x1.dd4e1d9fd2d45p-18, 0x1.dd852cc1fc354p-18, 0x1.ddb111518731cp-18, 0x1.ddd1f8b6efbdep-18, 0x1.dde80feaeee73p-18, 0x1.ddf38377aa0cep-18, 0x1.ddf47f7a39b6ap-18, 0x1.ddeb2fa1cba4dp-18, 0x1.ddd7bf2f04938p-18, 0x1.ddba58f50db91p-18, 0x1.dd93275a280f8p-18, 0x1.dd62545454dcap-18, 0x1.dd28096c8fc39p-18, 0x1.dce46fc5ba853p-18, 0x1.dc97b0170a8cap-18, 0x1.dc41f2a5b436ep-18, 0x1.dbe35f45780e6p-18, 0x1.db7c1d74bec0ep-18, 0x1.db0c5435f50e5p-18, 0x1.da942a26e0c83p-18, 0x1.da13c57c1ab5cp-18, 0x1.d98b4c0146c83p-18, 0x1.d8fae319700cfp-18, 0x1.d862afbfcf8e7p-18, 0x1.d7c2d6883e77fp-18, 0x1.d71b7b9f010ccp-18, 0x1.d66cc2c8f4325p-18, 0x1.d5b6cf65894d4p-18, 0x1.d4f9c4705fd44p-18, 0x1.d435c48040771p-18, 0x1.d36af1c74bd03p-18, 0x1.d2996e1408c08p-18, 0x1.d1c15ad1fa9aep-18, 0x1.d0e2d907ba51ap-18, 0x1.cffe09570d3bcp-18, 0x1.cf130c085580ap-18, 0x1.ce220102fb6bdp-18, 0x1.cd2b07cec189ap-18, 0x1.cc2e3f7efd12dp-18, 0x1.cb2bc6ea2ab43p-18, 0x1.ca23bc73f55eep-18, 0x1.c9163e2532742p-18, 0x1.c80369aa65982p-18, 0x1.c6eb5c53e6746p-18, 0x1.c5ce3316f03adp-18, 0x1.c4ac0a8d72f49p-18, 0x1.c384fef70b189p-18, 0x1.c2592c3a6b907p-18, 0x1.c128ade5d7107p-18, 0x1.bff39f2ebe182p-18, 0x1.beba1af1fa528p-18, 0x1.bd7c3bb56060cp-18, 0x1.bc3a1baa1bfc1p-18, 0x1.baf3d4a8df6f5p-18, 0x1.b9a98033cf993p-18, 0x1.b85b377eb3121p-18, 0x1.b7091368e09bep-18, 0x1.b5b32c809573p-18, 0x1.b4599af2bf5d3p-18, 0x1.b2fc76ae69d4dp-18, 0x1.b19bd74991983p-18, 0x1.b037d40851d7ep-18, 0x1.aed083e1101b2p-18, 0x1.ad65fd7af6906p-18, 0x1.abf8572ee0662p-18, 0x1.aa87a70891a89p-18, 0x1.a91402c7740c2p-18, 0x1.a79d7fdeb6585p-18, 0x1.a6243375bcd08p-18, 0x1.a4a832699ba62p-18, 0x1.a329914cf8b56p-18, 0x1.a1a8646937dafp-18, 0x1.a024bfbdb4f07p-18, 0x1.9e9eb702aee47p-18, 0x1.9d165daadc1d3p-18, 0x1.9b8bc6e11a72ap-18, 0x1.99ff058c41b8dp-18, 0x1.98702c437a429p-18, 0x1.96df4d68bc61fp-18, 0x1.954c7b10fc03p-18, 0x1.93b7c70f08f9cp-18, 0x1.922142f385359p-18, 0x1.9089000cf407ep-18, 0x1.8eef0f6877384p-18, 0x1.8d5381d2b4297p-18, 0x1.8bb667d8558d2p-18, 0x1.8a17d1c691fe8p-18, 0x1.8877cfabdc1e6p-18, 0x1.86d6715860d18p-18, 0x1.8533c65f50fd3p-18, 0x1.838fde16a46c5p-18, 0x1.81eac79741026p-18, 0x1.804491bf3976bp-18, 0x1.7e9d4b326053cp-18, 0x1.7cf502599ec66p-18, 0x1.7b4bc56476449p-18, 0x1.79a1a248914bdp-18, 0x1.77f6a6c101fap-18, 0x1.764ae056671c5p-18, 0x1.749e5c55e775bp-18, 0x1.72f127d6fa629p-18, 0x1.71434fbb123ddp-18, 0x1.6f94e0ae0facp-18, 0x1.6de5e726e148fp-18, 0x1.6c366f68340dap-18, 0x1.6a86858102dap-18, 0x1.68d6354d2b2f2p-18, 0x1.67258a760c497p-18, 0x1.65749072fc703p-18, 0x1.63c35289da83dp-18, 0x1.6211dbcff168p-18, 0x1.6060372a151fdp-18, 0x1.5eae6f4d1337p-18, 0x1.5cfc8ebee4db9p-18, 0x1.5b4a9fd703079p-18, 0x1.5998acbecd1d7p-18, 0x1.57e6bf71dac34p-18, 0x1.5634e1bf0ad29p-18, 0x1.54831d47dc75fp-18, 0x1.52d17b822cc36p-18, 0x1.512005b98437ep-18, 0x1.4f6ec50d2d037p-18, 0x1.4dbdc27269fc3p-18, 0x1.4c0d06b4a26d9p-18, 0x1.4a5c9a75d7fbap-18, 0x1.48ac862f2bcc7p-18, 0x1.46fcd23160cffp-18, 0x1.454d86a543391p-18, 0x1.439eab8c41d4fp-18, 0x1.41f048c0f4117p-18, 0x1.404265f76c22dp-18, 0x1.3e950abdafc7fp-18, 0x1.3ce83e7c72c71p-18, 0x1.3b3c087736a1fp-18, 0x1.39906fccc35acp-18, 0x1.37e57b7843a63p-18, 0x1.363b325115efcp-18, 0x1.34919b0b49281p-18, 0x1.32e8bc384158dp-18, 0x1.31409c473a367p-18, 0x1.2f9941857b01cp-18, 0x1.2df2b21f0a63p-18, 0x1.2c4cf41f3daap-18, 0x1.2aa80d7045836p-18, 0x1.290403dccec06p-18, 0x1.2760dd0fa1c89p-18, 0x1.25be9e943d174p-18, 0x1.241d4dd75eb83p-18, 0x1.227cf0275904cp-18, 0x1.20dd8ab475cabp-18, 0x1.1f3f229171a9p-18, 0x1.1da1bcb3d039ep-18, 0x1.1c055df444fccp-18, 0x1.1a6a0b0f0dd7dp-18, 0x1.18cfc8a44f9d6p-18, 0x1.17369b38accabp-18, 0x1.159e8735461b4p-18, 0x1.140790e853025p-18, 0x1.1271bc85cdbdbp-18, 0x1.10dd0e276817fp-18, 0x1.0f4989ccf9831p-18, 0x1.0db7335cf340dp-18, 0x1.0c260ea4adebp-18, 0x1.0a961f58cc9abp-18, 0x1.090769159ee76p-18, 0x1.0779ef5f840dfp-18, 0x1.05edb5a30b38bp-18, 0x1.0462bf354b687p-18, 0x1.02d90f5437546p-18, 0x1.0150a926eeb25p-18, 0x1.ff931f7c8c839p-19, 0x1.fc878c2a195e8p-19, 0x1.f97e9e2103d02p-19, 0x1.f6785b013c03bp-19, 0x1.f374c840a79edp-19, 0x1.f073eb2bc85a4p-19, 0x1.ed75c8e60ddd8p-19, 0x1.ea7a666a6d5aap-19, 0x1.e781c88c42f3cp-19, 0x1.e48bf3f7a8332p-19, 0x1.e198ed31e0febp-19, 0x1.dea8b89a3aafp-19, 0x1.dbbb5a6aca4adp-19, 0x1.d8d0d6b8abf03p-19, 0x1.d5e93174cdbe7p-19, 0x1.d3046e6c9ded9p-19, 0x1.d022914a63947p-19, 0x1.cd439d95f4d29p-19, 0x1.ca6796b5257dep-19, 0x1.c78e7fec6adap-19, 0x1.c4b85c5f1d4f7p-19, 0x1.c1e52f100bfeep-19, 0x1.bf14fae2263b7p-19, 0x1.bc47c298d8ee3p-19, 0x1.b97d88d8ad1c9p-19, 0x1.b6b65027a9548p-19, 0x1.b3f21aedf15a8p-19, 0x1.b130eb76356b6p-19, 0x1.ae72c3edeb4dep-19, 0x1.abb7a6662dfdcp-19, 0x1.a8ff94d40a56bp-19, 0x1.a64a9110dbe4p-19, 0x1.a3989cdadc6a6p-19, 0x1.a0e9b9d618e71p-19, 0x1.9e3de98bdcd56p-19, 0x1.9b952d6c43fa2p-19, 0x1.98ef86ce10e2p-19, 0x1.964cf6eeec4afp-19, 0x1.93ad7ef34696ap-19, 0x1.91111fe6c0215p-19, 0x1.8e77dabd0731ep-19, 0x1.8be1b052c4e6ap-19, 0x1.894ea16e535ecp-19, 0x1.86beaec01cd8p-19, 0x1.8431d8e2dfb46p-19, 0x1.81a8205bc6b04p-19, 0x1.7f21859ad1397p-19, 0x1.7c9e08faf6053p-19, 0x1.7a1daac263a0fp-19, 0x1.77a06b22df8fdp-19, 0x1.75264a3a1b9b7p-19, 0x1.72af48122b6d4p-19, 0x1.703b64a2007eep-19, 0x1.6dca9fcdc4078p-19, 0x1.6b5cf96741a14p-19, 0x1.68f2712e20ee5p-19, 0x1.668b06d03e5fcp-19, 0x1.6426b9ea2691dp-19, 0x1.61c58a0783d38p-19, 0x1.5f6776a32b686p-19, 0x1.5d0c7f27b64bdp-19, 0x1.5ab4a2efaa1ecp-19, 0x1.585fe145f5abbp-19, 0x1.560e3965ce502p-19, 0x1.53bfaa7b48bffp-19, 0x1.517433a3c68cp-19, 0x1.4f2bd3ee2a97cp-19, 0x1.4ce68a5ac176bp-19, 0x1.4aa455db4cf38p-19, 0x1.4865355442d8ep-19, 0x1.4629279d9e329p-19, 0x1.43f02b835d8c2p-19, 0x1.41ba3fc1b7077p-19, 0x1.3f876305db346p-19, 0x1.3d5793f091c2dp-19, 0x1.3b2ad1188ab05p-19, 0x1.3901190a6e6bcp-19, 0x1.36da6a48a9f45p-19, 0x1.34b6c349ec9e5p-19, 0x1.32962278e40dep-19, 0x1.30788634fe7b3p-19, 0x1.2e5decd2bb67p-19, 0x1.2c46549c0fe84p-19, 0x1.2a31bbd0d39fdp-19, 0x1.282020a739c6dp-19, 0x1.2611814c37cadp-19, 0x1.2405dbe2b8a94p-19, 0x1.21fd2e819be28p-19, 0x1.1ff77736f79d3p-19, 0x1.1df4b40cb5d1ap-19, 0x1.1bf4e304609c8p-19, 0x1.19f80214d2388p-19, 0x1.17fe0f2bf60e7p-19, 0x1.1607082fdc41ap-19, 0x1.1412eafefd222p-19, 0x1.1221b570c667fp-19, 0x1.1033655664f6ap-19, 0x1.0e47f87b45fd1p-19, 0x1.0c5f6ca49b993p-19, 0x1.0a79bf8e145cfp-19, 0x1.0896eedecf309p-19, 0x1.06b6f839260aap-19, 0x1.04d9d94f178dfp-19, 0x1.02ff8fc7d88a7p-19, 0x1.0128193fcbeb5p-19, 0x1.fea6e69902b65p-20, 0x1.fb0337008a737p-20, 0x1.f7651ebee986ap-20, 0x1.f3cc98e81255bp-20, 0x1.f039a0726e6aap-20, 0x1.ecac305b56cf2p-20, 0x1.e924438aab6bbp-20, 0x1.e5a1d4e2e00acp-20, 0x1.e224df3dc7776p-20, 0x1.dead5d6c720dep-20, 0x1.db3b4a37a7f1bp-20, 0x1.d7cea060a4fa4p-20, 0x1.d4675aa45109ep-20, 0x1.d10573beebaf6p-20, 0x1.cda8e6601e0f1p-20, 0x1.ca51ad1125ba9p-20, 0x1.c6ffc2543e514p-20, 0x1.c3b320cbff304p-20, 0x1.c06bc31b326f4p-20, 0x1.bd29a3ce6f65ep-20, 0x1.b9ecbd64cf449p-20, 0x1.b6b50a57f5e49p-20, 0x1.b382851dcff61p-20, 0x1.b055282834763p-20, 0x1.ad2cede4976ffp-20, 0x1.aa09d0bc6f712p-20, 0x1.a6ebcb17d23cap-20, 0x1.a3d2d76746283p-20, 0x1.a0bef017b296ep-20, 0x1.9db00f5282643p-20, 0x1.9aa62f6fb1a11p-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.24df4ad1d110fp-2, 0x1.a7d424af4f5b9p-2, 0x1.0de1adcafd1bfp-1, 0x1.3f7a2a7f6cdacp-1, 0x1.6855d97722008p-1, 0x1.8872ae6303225p-1, 0x1.a00fdafa10c1dp-1, 0x1.af99e75843ba4p-1, 0x1.b79bab61c985bp-1, 0x1.b8b2f55f51ccp-1, 0x1.b387f9eeb0462p-1, 0x1.a8c6e46391fefp-1, 0x1.991b09a81cfc1p-1, 0x1.852b5ef6c2cb9p-1, 0x1.6d97ec857d095p-1, 0x1.52f8051c4ddd8p-1, 0x1.35d917e996449p-1, 0x1.16bdfb0a7d9c6p-1, 0x1.ec3d28dd94056p-2, 0x1.a8cf9815c706bp-2, 0x1.63f76c92b0332p-2, 0x1.1e63d1d68606ep-2, 0x1.b15fbc9b11eaap-3, 0x1.26c74faa8fd56p-3, 0x1.3bd5d648d9542p-4, 0x1.79605496ef79ep-7, -0x1.ae29bf9c9b30dp-5, -0x1.d5cae5c2810e9p-4, -0x1.66036b3f5d8fp-3, -0x1.dc83b7c153ad8p-3, -0x1.270d2a4efbeaap-2, -0x1.5d46d18c48c32p-2, -0x1.90da2c967c41p-2, -0x1.c1b9c8958287cp-2, -0x1.efde7f2ae5beap-2, -0x1.0da3537c6a195p-1, -0x1.21faab3750bd9p-1, -0x1.34f8dc5f813c1p-1, -0x1.46a33a4eb33f9p-1, -0x1.570091541856p-1, -0x1.6618e9131a7b6p-1, -0x1.73f54d4ef1ba3p-1, -0x1.809f9c70c2394p-1, -0x1.8c225b3670c01p-1, -0x1.96888d1a54df1p-1, -0x1.9fdd911b2a4bbp-1, -0x1.a82d029574e9dp-1, -0x1.af829de26f9f5p-1, -0x1.b5ea2872da05ep-1, -0x1.bb6f5c1f20c21p-1, -0x1.c01dd5699d442p-1, -0x1.c4010471a30d8p-1, -0x1.c724205705fe6p-1, -0x1.c9921cced258ap-1, -0x1.cb55a1ac077c4p-1, -0x1.cc790422ba468p-1, -0x1.cd064190bcc9dp-1, -0x1.cd06fb9c0c523p-1, -0x1.cc84757c5571dp-1, -0x1.cb8792494d9cdp-1, -0x1.ca18d42b76d8ap-1, -0x1.c8405c5007ba9p-1, -0x1.c605eb83ae1bdp-1, -0x1.c370e35a94bd6p-1, -0x1.c08847ce6fb83p-1, -0x1.bd52c13e16cbfp-1, -0x1.b9d69ebc76841p-1, -0x1.b619d89eb00fp-1, -0x1.b222133ba8769p-1, -0x1.adf4a1d0bae19p-1, -0x1.a9968981005f1p-1, -0x1.a50c8466260fp-1, -0x1.a05b04aab2b27p-1, -0x1.9b8637a7160a2p-1, -0x1.969208fb7d5f4p-1, -0x1.918225a188df5p-1, -0x1.8c59fef1960f9p-1, -0x1.871ccd9847ec3p-1, -0x1.81cd947932a2cp-1, -0x1.7c6f237cc9f9bp-1, -0x1.77041a4741fb6p-1, -0x1.718eead7c4e0bp-1, -0x1.6c11dc0e33855p-1, -0x1.668f0c17d320fp-1, -0x1.610872c178604p-1, -0x1.5b7fe3b04df61p-1, -0x1.55f710801e0afp-1, -0x1.506f8ac878045p-1, -0x1.4aeac608633f2p-1, -0x1.456a19794fc46p-1, -0x1.3feec1ca86768p-1, -0x1.3a79e2c43d094p-1, -0x1.350c88d5818f3p-1, -0x1.2fa7aa8ac5d38p-1, -0x1.2a4c29f0e0257p-1, -0x1.24fad5e32f96cp-1, -0x1.1fb46b4653941p-1, -0x1.1a799631cc87ep-1, -0x1.154af3061fc9ap-1, -0x1.10290f746a71fp-1, -0x1.0b146b74e39a9p-1, -0x1.060d7a2e460e4p-1, -0x1.0114a2d0a0a9dp-1, -0x1.f85482c0ece29p-2, -0x1.ee9d4eee216d6p-2, -0x1.e50439ed00261p-2, -0x1.db89c16232598p-2, -0x1.d22e5210f3643p-2, -0x1.c8f24901e94a3p-2, -0x1.bfd5f4978a3f5p-2, -0x1.b6d9959389b9fp-2, -0x1.adfd600831162p-2, -0x1.a5417c3c29b91p-2, -0x1.9ca60780829c3p-2, -0x1.942b14f651ab9p-2, -0x1.8bd0ae4a1a8b3p-2, -0x1.8396d462a5f2ep-2, -0x1.7b7d8002cbd81p-2, -0x1.7384a26377094p-2, -0x1.6bac25c26ab4bp-2, -0x1.63f3ede66f37fp-2, -0x1.5c5bd89de6ee3p-2, -0x1.54e3be33a7f12p-2, -0x1.4d8b71da78ea8p-2, -0x1.4652c21502941p-2, -0x1.3f39791618212p-2, -0x1.383f5d17c8fbdp-2, -0x1.316430b00d6c2p-2, -0x1.2aa7b320f3d5ep-2, -0x1.2409a09f9274cp-2, -0x1.1d89b297c69dcp-2, -0x1.17279fef036ep-2, -0x1.10e31d3fb0904p-2, -0x1.0abbdd0ea63bbp-2, -0x1.04b1900145559p-2, -0x1.fd87ca210ea18p-3, -0x1.f1e513694430ep-3, -0x1.e67a541d79861p-3, -0x1.db46e2276c889p-3, -0x1.d04a1164ddd37p-3, -0x1.c58333e8c50ddp-3, -0x1.baf19a3cdb776p-3, -0x1.b09493a45b324p-3, -0x1.a66b6e557dc3dp-3, -0x1.9c7577aaca799p-3, -0x1.92b1fc561ad94p-3, -0x1.89204894446f4p-3, -0x1.7fbfa858f504ep-3, -0x1.768f67740f7fbp-3, -0x1.6d8ed1b88a052p-3, -0x1.64bd33245f704p-3, -0x1.5c19d802ab33p-3, -0x1.53a40d07fcd62p-3, -0x1.4b5b1f6f2da7bp-3, -0x1.433e5d17e72ddp-3, -0x1.3b4d14a1a8664p-3, -0x1.338695818e7f4p-3, -0x1.2bea301721ff8p-3, -0x1.247735c2e8ecfp-3, -0x1.1d2cf8fbcc21p-3, -0x1.160acd606eabap-3, -0x1.0f1007c616738p-3, -0x1.083bfe486d37dp-3, -0x1.018e0859c7466p-3, -0x1.f60afda277472p-4, -0x1.e94377ebb0e48p-4, -0x1.dcc4371239c38p-4, -0x1.d08bf5a481dfp-4, -0x1.c499715246e15p-4, -0x1.b8eb6afe8e42p-4, -0x1.ad80a6cdf5b98p-4, -0x1.a257ec34bd569p-4, -0x1.977006059e869p-4, -0x1.8cc7c27f98f26p-4, -0x1.825df358b18f8p-4, -0x1.78316dc6707d9p-4, -0x1.6e410a863045cp-4, -0x1.648ba5e5d94b2p-4, -0x1.5b101fcb9e7fp-4, -0x1.51cd5bbb93728p-4, -0x1.48c240db941a4p-4, -0x1.3fedb9f6f5815p-4, -0x1.374eb58272a76p-4, -0x1.2ee4259f70211p-4, -0x1.26ad001db061ep-4, -0x1.1ea83e7bb63fdp-4, -0x1.16d4dde6c35e5p-4, -0x1.0f31df3afb036p-4, -0x1.07be4703223b7p-4, -0x1.00791d775bcdp-4, -0x1.f2c2dcf5c4318p-5, -0x1.e4ec9332a98fep-5, -0x1.d76d84080100bp-5, -0x1.ca43dd1da0138p-5, -0x1.bd6dd358e1b62p-5, -0x1.b0e9a2d37cd08p-5, -0x1.a4b58ed21d4e8p-5, -0x1.98cfe1bb73074p-5, -0x1.8d36ed0eceffbp-5, -0x1.81e90958b7982p-5, -0x1.76e496250e50cp-5, -0x1.6c27f9f0b08efp-5, -0x1.61b1a21cdde8fp-5, -0x1.578002e493787p-5, -0x1.4d9197514cb7bp-5, -0x1.43e4e12c1bc27p-5, -0x1.3a7868eac2c81p-5, -0x1.314abd9c45539p-5, -0x1.285a74d9022aep-5, -0x1.1fa62ab71eac3p-5, -0x1.172c81bf983d5p-5, -0x1.0eec22dedd2edp-5, -0x1.06e3bd4f2c1f5p-5, -0x1.fe240d00f1492p-6, -0x1.eeeb7407ed9bep-6, -0x1.e01b32fc8bac3p-6, -0x1.d1b0d93a3db09p-6, -0x1.c3aa0213959a6p-6, -0x1.b60454a83f1cep-6, -0x1.a8bd83b089ccep-6, -0x1.9bd34d4cbfc01p-6, -0x1.8f437ae346b6cp-6, -0x1.830be10aca03ep-6, -0x1.772a5f71a84a3p-6, -0x1.6b9ce0b51ee95p-6, -0x1.60615a296319bp-6, -0x1.5575cba33705ep-6, -0x1.4ad83f551dd01p-6, -0x1.4086c9c1f6802p-6, -0x1.367f89b168c9dp-6, -0x1.2cc0a80b9fe44p-6, -0x1.2348579269f5ep-6, -0x1.1a14d48c11f3dp-6, -0x1.11246487479e1p-6, -0x1.0875565417777p-6, -0x1.000602274e0b3p-6, -0x1.efa9936d69cfep-7, -0x1.dfc0302b16edap-7, -0x1.d04cc27d36fd7p-7, -0x1.c14c42ec19b5bp-7, -0x1.b2bbb9ad5b936p-7, -0x1.a4983ea04d6dcp-7, -0x1.96defa2c795ep-7, -0x1.898d265cff128p-7, -0x1.7ca00f46c9b85p-7, -0x1.7015121a20ba1p-7, -0x1.63e99b10f5c54p-7, -0x1.581b233c9be57p-7, -0x1.4ca72f78337aep-7, -0x1.418b5137863a9p-7, -0x1.36c528cd76ceap-7, -0x1.2c5267c30c6dbp-7, -0x1.2230d19a13053p-7, -0x1.185e3a1bc3e2ap-7, -0x1.0ed881bd69d4ap-7, -0x1.059d91e47f685p-7, -0x1.f956b63fdf5a1p-8, -0x1.e7ffacfbc2c07p-8, -0x1.d73212dc40438p-8, -0x1.c6ea1429c7adep-8, -0x1.b72402f77176fp-8, -0x1.a7dc540ff3989p-8, -0x1.990f9526b5992p-8, -0x1.8aba60d852825p-8, -0x1.7cd9569bf28c9p-8, -0x1.6f691b1970af6p-8, -0x1.6266611ef6c03p-8, -0x1.55cdf6dae7315p-8, -0x1.499cd07fd27fp-8, -0x1.3dd00a74b90a7p-8, -0x1.3264e13f6da07p-8, -0x1.2758a277e6p-8, -0x1.1ca89dbd0eb02p-8, -0x1.12521cef4a12dp-8, -0x1.0852679a7b44cp-8, -0x1.fd4da02109fdp-9, -0x1.ea9987f1ac0d2p-9, -0x1.d883b0d144e3fp-9, -0x1.c707975919929p-9, -0x1.b620f75149c8cp-9, -0x1.a5cba9c5983d3p-9, -0x1.960383574c165p-9, -0x1.86c441bc586f3p-9, -0x1.780990624b64fp-9, -0x1.69cf2160ca2c4p-9, -0x1.5c10ced8de68p-9, -0x1.4ecab6010e8fap-9, -0x1.41f940e0398a1p-9, -0x1.35991b44e1231p-9, -0x1.29a717ae80ab8p-9, -0x1.1e200f513824cp-9, -0x1.1300caa03039ap-9, -0x1.0845fbc853e13p-9, -0x1.fbd896f3149e9p-10, -0x1.e7e0dffb0488bp-10, -0x1.d49e88bb7d197p-10, -0x1.c20bb0eccd098p-10, -0x1.b022ebe2f86c4p-10, -0x1.9edf2f9374p-10, -0x1.8e3bac26ddbbp-10, -0x1.7e339e11a089ep-10, -0x1.6ec232b0c5f7dp-10, -0x1.5fe288bc13e8p-10, -0x1.518fbf1ff5431p-10, -0x1.43c500f2aa951p-10, -0x1.367d908ea6645p-10, -0x1.29b4dffe658a2p-10, -0x1.1d66b199efc24p-10, -0x1.118f21c6f549p-10, -0x1.062a879bbbfc8p-10, -0x1.f66a9049abdfp-11, -0x1.e1579487339f1p-11, -0x1.cd151deed8f6ep-11, -0x1.b99c7c4eb95ccp-11, -0x1.a6e7082a2300fp-11, -0x1.94edc46fb3da4p-11, -0x1.83a97725b645ap-11, -0x1.73134dbfe9f06p-11, -0x1.6325629ebfc9ep-11, -0x1.53da7e679d843p-11, -0x1.452d594fce0d2p-11, -0x1.371848e45b692p-11, -0x1.2995c1ac9884ap-11, -0x1.1ca1002433625p-11, -0x1.1035e5e737e8ep-11, -0x1.045004526212fp-11, -0x1.f1d3d4020c2c6p-12, -0x1.dbfb5fd808f8dp-12, -0x1.c70cacfddcfe6p-12, -0x1.b300cee1f0d47p-12, -0x1.9fd21f0b90ec8p-12, -0x1.8d796ece9a687p-12, -0x1.7bed6ee3659f3p-12, -0x1.6b24cace88c1ep-12, -0x1.5b18763797b21p-12, -0x1.4bc39133232adp-12, -0x1.3d20d60a84be4p-12, -0x1.2f28534072f45p-12, -0x1.21d0443055fdfp-12, -0x1.151083c79d6ffp-12, -0x1.08e4d72f81a3ep-12, -0x1.fa96b0add5d0cp-13, -0x1.e481a417bdf32p-13, -0x1.cf7e22309b5dbp-13, -0x1.bb7cb6d149c01p-13, -0x1.a86ff6db19f79p-13, -0x1.964efc6ae9edap-13, -0x1.851388308ef5p-13, -0x1.74b5bce746144p-13, -0x1.65298ba487153p-13, -0x1.56610bf00101ep-13, -0x1.485218cc140e3p-13, -0x1.3af906d1946a1p-13, -0x1.2e54fd2640207p-13, -0x1.22623182617ep-13, -0x1.171864f7ddc8ap-13, -0x1.0c6db88258073p-13, -0x1.02595c3f0880bp-13, -0x1.f1a712e5f43f1p-14, -0x1.dfaaa441de3e7p-14, -0x1.ceb2b3d27e4acp-14, -0x1.beb4ffbcc3338p-14, -0x1.afa3c218a99bbp-14, -0x1.a16fc48de4698p-14, -0x1.940ec228c8b48p-14, -0x1.877dbfc4b573p-14, -0x1.7bba5dba274b7p-14, -0x1.70bc05c17d598p-14, -0x1.66775b62f5d3ep-14, -0x1.5ce4df2f46126p-14, -0x1.53fc8a834f70fp-14, -0x1.4bb012fcb7dd8p-14, -0x1.43f15543b80e2p-14, -0x1.3cba0e9140523p-14, -0x1.360946467a18ep-14, -0x1.2fdae65d8ace4p-14, -0x1.2a24a4155d6bcp-14, -0x1.24dc7bc6db854p-14, -0x1.1fff8395f53d6p-14, -0x1.1b8c9e98b2b4ep-14, -0x1.177c90de919fdp-14, -0x1.13c84c3275019p-14, -0x1.106f0cce799d2p-14, -0x1.0d6e0531230eap-14, -0x1.0abcb2257b59fp-14, -0x1.0850c3679d23p-14, -0x1.0622fcce0a98cp-14, -0x1.04333494c2a03p-14, -0x1.028340e89d738p-14, -0x1.010ef77721cfp-14, -0x1.ff9d38802306ap-15, -0x1.fd7adcdc588f1p-15, -0x1.fbb5cb5ae829cp-15, -0x1.fa475f12f301ep-15, -0x1.f924ee64a23p-15, -0x1.f84db644bdfb5p-15, -0x1.f7bf5b632ec6p-15, -0x1.f7730d014e253p-15, -0x1.f762e713ddc6cp-15, -0x1.f7871d7e0e8dbp-15, -0x1.f7d65beeff4a7p-15, -0x1.f84ed019dca9bp-15, -0x1.f8f1e7c16beb9p-15, -0x1.f9bab179bfdb5p-15, -0x1.faa449c763ca2p-15, -0x1.fba9832b63ee8p-15, -0x1.fcc7561483906p-15, -0x1.fdfa3a46eff48p-15, -0x1.ff3e7dd71adaep-15, -0x1.0049e86ad0c5ep-14, -0x1.00fb704cac387p-14, -0x1.01b210cf57e4ap-14, -0x1.026cb1f81d8p-14, -0x1.032a426ff62c3p-14, -0x1.03e9659b43843p-14, -0x1.04a8d99cec3d1p-14, -0x1.0567d11bc1596p-14, -0x1.0625351543a57p-14, -0x1.06e04f815b58bp-14, -0x1.0797e9f4e0206p-14, -0x1.084bb2aea4bdbp-14, -0x1.08fb24cb31b12p-14, -0x1.09a5e707612b4p-14, -0x1.0a4ac22346dffp-14, -0x1.0ae90ace4d023p-14, -0x1.0b809f09b57a3p-14, -0x1.0c110531fb108p-14, -0x1.0c998d7ef208bp-14, -0x1.0d1979bbb338dp-14, -0x1.0d90082cab153p-14, -0x1.0dfd47b8d5198p-14, -0x1.0e6195c68d36bp-14, -0x1.0ebc7cf86331ap-14, -0x1.0f0df958e7469p-14, -0x1.0f530a617ff28p-14, -0x1.0f8cb8bc33258p-14, -0x1.0fbd24db9389bp-14, -0x1.0fe42b5f1f3e3p-14, -0x1.0fffa6c68ca9fp-14, -0x1.100f5e2dff9d4p-14, -0x1.10146272e0517p-14, -0x1.100e765fef973p-14, -0x1.0ffd6679178bfp-14, -0x1.0fe1202b46f7cp-14, -0x1.0fb98ec686424p-14, -0x1.0f85db381da74p-14, -0x1.0f45413bdb825p-14, -0x1.0efa25c71a172p-14, -0x1.0ea5736d3b755p-14, -0x1.0e44d26c30dd1p-14, -0x1.0dd7e592d78e4p-14, -0x1.0d5e5a29418ap-14, -0x1.0cdae52df4fdfp-14, -0x1.0c4e41ee0499ap-14, -0x1.0bb541c07859fp-14, -0x1.0b113b7a0c13fp-14, -0x1.0a631266f3f24p-14, -0x1.09aa6ed2576cbp-14, -0x1.08e75402c8512p-14, -0x1.081a0863a5c6bp-14, -0x1.0742cf8939b92p-14, -0x1.0661dd7750124p-14, -0x1.057600fafcfep-14, -0x1.047f017cedd72p-14, -0x1.0380a30bb5f01p-14, -0x1.0278d86618be3p-14, -0x1.0166efec74927p-14, -0x1.004cdda4ce221p-14, -0x1.fe515658ea4e9p-15, -0x1.fbf884bdcd2afp-15, -0x1.f990e049a5084p-15, -0x1.f715ec07450b2p-15, -0x1.f48bb5ff881a1p-15, -0x1.f1f21ceaa8f92p-15, -0x1.ef48eb96da16dp-15, -0x1.ec907738a2247p-15, -0x1.e9c95b3cadf02p-15, -0x1.e6f42bc4e0c9ap-15, -0x1.e4115166ebb6bp-15, -0x1.e12107e40565bp-15, -0x1.de20d45b0f527p-15, -0x1.db15e154a18b4p-15, -0x1.d7fe5b753582p-15, -0x1.d4da06997e9f6p-15, -0x1.d1aaf1645b591p-15, -0x1.ce710e0d9c677p-15, -0x1.cb2affd10802p-15, -0x1.c7db0f2301eap-15, -0x1.c48093c3413dfp-15, -0x1.c11c1258c9adfp-15, -0x1.bdaeb96b734eap-15, -0x1.ba385436493a5p-15, -0x1.b6b922b9fbeacp-15, -0x1.b331889b12ce3p-15, -0x1.afa1fda0ee1fbp-15, -0x1.ac0aed00415a5p-15, -0x1.a86c977a29574p-15, -0x1.a4c78ce8c8c09p-15, -0x1.a11b2320f6f2p-15, -0x1.9d68ffc534f8ap-15, -0x1.99b043ee90351p-15, -0x1.95f2536275e9cp-15, -0x1.922f6295615bep-15, -0x1.8e675dc533fa1p-15, -0x1.8a9ae4d453aa6p-15, -0x1.86c9d78b99da8p-15, -0x1.82f4c9ffc0143p-15, -0x1.7f1b9b08aa81ap-15, -0x1.7b3f5f95fa745p-15, -0x1.77600ed43b907p-15, -0x1.737dd9ac0e817p-15, -0x1.6f9908b7e1c8bp-15, -0x1.6bb1e8e1bc6fbp-15, -0x1.67c8c928fcf34p-15, -0x1.63ddecb68049p-15, -0x1.5ff185f1070f5p-15, -0x1.5c0407cd441c7p-15, -0x1.581570de2d62dp-15, -0x1.5425fef54506p-15, -0x1.5035f8f7d6a4cp-15, -0x1.4c45e7e231fe4p-15, -0x1.4855d4513cde3p-15, -0x1.4465ef09cf9dbp-15, -0x1.40766b68bd67dp-15, -0x1.3c87a7246e46fp-15, -0x1.3899c2270dc54p-15, -0x1.34acba0bfd6a4p-15, -0x1.30c10bbff682bp-15, -0x1.2cd6eb0a8877p-15, -0x1.28ee73de7421p-15, -0x1.2507d6e5776cep-15, -0x1.212345313d054p-15, -0x1.1d40ef1c1b07bp-15, -0x1.19610333099b1p-15, -0x1.1583aa59ec27ep-15, -0x1.11a90e39131eep-15, -0x1.0dd16f85d589fp-15, -0x1.09fcd4b1ca61cp-15, -0x1.062b617b821dp-15, -0x1.025d62e145091p-15, -0x1.fd25d8d03c98dp-16, -0x1.f59841ae9cce3p-16, -0x1.ee124951ad87ep-16, -0x1.e69433569fb2p-16, -0x1.df1e419fe258ap-16, -0x1.d7b0c1fd5f664p-16, -0x1.d04beb5a6dedap-16, -0x1.c8efe33260f63p-16, -0x1.c19d09b6e801dp-16, -0x1.ba538b1a64e0ep-16, -0x1.b3139ca0ececbp-16, -0x1.abdd74a6e57d9p-16, -0x1.a4b1477759872p-16, -0x1.9d8f473f07aa6p-16, -0x1.9677a3fdaea46p-16, -0x1.8f6a8c535b64ep-16, -0x1.88682eb21e169p-16, -0x1.8170b4c146477p-16, -0x1.7a8448c23b738p-16, -0x1.73a31313a5458p-16, -0x1.6ccd38affacd5p-16, -0x1.6602dfa38ed1ep-16, -0x1.5f442b31c2dd3p-16, -0x1.58913cf505aeap-16, -0x1.51ea3544d14cfp-16, -0x1.4b4f33e954aa6p-16, -0x1.44c056a70b1f6p-16, -0x1.3e3db47f7708ep-16, -0x1.37c76cec02c04p-16, -0x1.315d9fbdb6b54p-16, -0x1.2b00581af264ep-16, -0x1.24afb29903331p-16, -0x1.1e6bc4f7182cbp-16, -0x1.1834a332009dcp-16, -0x1.120a5ff6385dp-16, -0x1.0bed0cbdcd08fp-16, -0x1.05dcbad670b19p-16, -0x1.ffb2f60d0bc07p-17, -0x1.f3c6aad6bb1a8p-17, -0x1.e7f4b6ee27cp-17, -0x1.dc3d49c3071e3p-17, -0x1.d0a051b01606dp-17, -0x1.c51df4ce297e4p-17, -0x1.b9b645de88407p-17, -0x1.ae69544d907p-17, -0x1.a3372dd495691p-17, -0x1.981fde586afcfp-17, -0x1.8d23708e10948p-17, -0x1.8241ef1940246p-17, -0x1.777b60a0c216ep-17, -0x1.6ccfbd7e3e08ep-17, -0x1.623f1dd81eeap-17, -0x1.57c980f9edb8dp-17, -0x1.4d6ed6ff2ab7cp-17, -0x1.432f28d5e2557p-17, -0x1.390a736e7235ep-17, -0x1.2f00b2010d79cp-17, -0x1.2511de5793782p-17, -0x1.1b3df10045a3bp-17, -0x1.1184e2b46236ap-17, -0x1.07e6aaf859772p-17, -0x1.fcc669ba22b53p-18, -0x1.e9f4f7273be63p-18, -0x1.d7590384272ap-18, -0x1.c4f23650c0d76p-18, -0x1.b2c08a234cbfbp-18, -0x1.a0c3dd47996d6p-18, -0x1.8efc0a3915307p-18, -0x1.7d68e9abe170dp-18, -0x1.6c0a5256332fbp-18, -0x1.5ae019106abf4p-18, -0x1.49ea12ae6ab18p-18, -0x1.39281260e3f31p-18, -0x1.2899e2c33f175p-18, -0x1.183f3f76e5937p-18, -0x1.08182e5a88f53p-18, -0x1.f0488168e1b6fp-19, -0x1.d0c6a132135b1p-19, -0x1.b1aa4f5a93a5fp-19, -0x1.92f315ef7c5aep-19, -0x1.74a07cafbcf23p-19, -0x1.56b2085a50b78p-19, -0x1.39273aa4edf82p-19, -0x1.1bff9338ea97p-19, -0x1.fe7525007a72dp-20, -0x1.c5af6bbca7d91p-20, -0x1.8dacc09ae7cbbp-20, -0x1.566c1ffb84cb8p-20, -0x1.1fecefdaaee74p-20, -0x1.d45ac4a909f5p-21, -0x1.6a593655761ebp-21, -0x1.01d2f8e95deafp-21, -0x1.358b6f4b889b1p-22, -0x1.a978bfa9fccabp-24, 0x1.779a1a5acb453p-24, 0x1.2347633536589p-22, 0x1.e5c93615f203ep-22, 0x1.52b8a2d681302p-21, 0x1.b1223d634a515p-21, 0x1.07119745ac242p-20, 0x1.34df72f6d0c5ep-20, 0x1.61fbc29364155p-20, 0x1.8e67caae8296p-20, 0x1.ba24d36cd8136p-20, 0x1.e534260de2aa1p-20, 0x1.07cb86b20423fp-19, 0x1.1ca76ae6632cep-19, 0x1.312e66963139ep-19, 0x1.4561218dff812p-19, 0x1.594044899cb7bp-19, 0x1.6ccc7916c8bd1p-19, 0x1.8006690df5386p-19, 0x1.92eebd7b1b72fp-19, 0x1.a5861f4e6d7dfp-19, 0x1.b7cd3edd76d72p-19, 0x1.c9c4db3942b8fp-19, 0x1.db6d6a5f1d78ap-19, 0x1.ecc7b7bcc571ep-19, 0x1.fdd47fbbfbd6dp-19, 0x1.074a2f1eb23bcp-18, 0x1.0f8400de0c225p-18, 0x1.1798167ffe8c1p-18, 0x1.1f86ab984a46bp-18, 0x1.27502db95cf17p-18, 0x1.2ef4ef8f637d9p-18, 0x1.3675450148cc2p-18, 0x1.3dd1850c62b0ep-18, 0x1.450a066d3da55p-18, 0x1.4c1f1fb82d1b2p-18, 0x1.53112763bd1c6p-18, 0x1.59e073c99c565p-18, 0x1.608d5b26a9a5ap-18, 0x1.6718338943fcbp-18, 0x1.6d8152f703d64p-18, 0x1.73c90f13dce5bp-18, 0x1.79efbd72147f7p-18, 0x1.7ff5b37e76827p-18, 0x1.85db4687da254p-18, 0x1.8ba0cb9fb89f5p-18, 0x1.914697a86cb7p-18, 0x1.96ccff56382ebp-18, 0x1.9c34564ccf6a6p-18, 0x1.a17cefa9d04bep-18, 0x1.a6a71fe28b10ap-18, 0x1.abb3413f2ecebp-18, 0x1.b0a19b6098739p-18, 0x1.b57281f72d521p-18, 0x1.ba26506aa30b9p-18, 0x1.bebd563c07edap-18, 0x1.c337e995d11cbp-18, 0x1.c7964aa10f285p-18, 0x1.cbd8d0f9ec8cdp-18, 0x1.cfffd8ee1dc1ep-18, 0x1.d40bad9302ee6p-18, 0x1.d7fc9d24204efp-18, 0x1.dbd2f73df6ac2p-18, 0x1.df8f0b3aca36ap-18, 0x1.e33127eff4a92p-18, 0x1.e6b99bc10aedfp-18, 0x1.ea28b4c285b7p-18, 0x1.ed7ec0a4849aap-18, 0x1.f0bc0c9e467b8p-18, 0x1.f3e0e58c98fa4p-18, 0x1.f6ed97f53a977p-18, 0x1.f9e26f0f3b0a8p-18, 0x1.fcbfb54fdb38p-18, 0x1.ff85b64c81aa4p-18, 0x1.011a607b17861p-17, 0x1.02668e45621dap-17, 0x1.03a783adc70a3p-17, 0x1.04dd6dc2324b9p-17, 0x1.06086d2c8ad23p-17, 0x1.0728a5f3e2534p-17, 0x1.083e3c0480cb4p-17, 0x1.094952fa5bdbbp-17, 0x1.0a4a0e2d90f69p-17, 0x1.0b4090b6bd815p-17, 0x1.0c2cfd6ee70d5p-17, 0x1.0d0f76e965507p-17, 0x1.0de81f7003c92p-17, 0x1.0eb71910f4326p-17, 0x1.0f7c85a8a1094p-17, 0x1.103886d2d3815p-17, 0x1.10eb3de510c75p-17, 0x1.1194cbfe479d5p-17, 0x1.1235520d640d2p-17, 0x1.12ccf06b2e07ap-17, 0x1.135bc6eaa9fe3p-17, 0x1.13e1f5d4c496dp-17, 0x1.145f9dc98d0c7p-17, 0x1.14d4e09aea387p-17, 0x1.1541d5098a29bp-17, 0x1.15a6a28e67465p-17, 0x1.160365f6095e1p-17, 0x1.16583d1cb0e82p-17, 0x1.16a545bfd38bap-17, 0x1.16ea9d5f7d1f6p-17, 0x1.172861b738b9p-17, 0x1.175eb06874cadp-17, 0x1.178da6f8f5dp-17, 0x1.17b562d39f7c4p-17, 0x1.17d600b126e4fp-17, 0x1.17ef9cea49a97p-17, 0x1.1802539468bb5p-17, 0x1.180e40899d246p-17, 0x1.18137f75c22a2p-17, 0x1.18122b9802e59p-17, 0x1.180a5fce6dfd2p-17, 0x1.17fc371efa6acp-17, 0x1.17e7cc652a474p-17, 0x1.17cd3bb702cecp-17, 0x1.17ac9ab98e7d7p-17, 0x1.1786068a0c158p-17, 0x1.175998c6a4a3fp-17, 0x1.17276a210b5acp-17, 0x1.16ef93c0f48f4p-17, 0x1.16b22e88d389ap-17, 0x1.166f5315b93b1p-17, 0x1.162719c5fe216p-17, 0x1.15d99aba53aa5p-17, 0x1.1586edd30c44fp-17, 0x1.152f2ab071d99p-17, 0x1.14d268b58a1d2p-17, 0x1.1470bf0ba5856p-17, 0x1.140a449b2d7d9p-17, 0x1.139f0ff2af7ccp-17, 0x1.132f377558531p-17, 0x1.12bad15f58fb8p-17, 0x1.1241f3bc5719cp-17, 0x1.11c4b509e377ep-17, 0x1.1143285f1ef63p-17, 0x1.10bd6517ee36ap-17, 0x1.10337fb7d58e2p-17, 0x1.0fa58cd9dc4a3p-17, 0x1.0f13a10d48299p-17, 0x1.0e7dd0a322685p-17, 0x1.0de42fb071de7p-17, 0x1.0d46d210958bap-17, 0x1.0ca5cb65746fcp-17, 0x1.0c012f1724e99p-17, 0x1.0b5910547b3e1p-17, 0x1.0aad8213f2c68p-17, 0x1.09fe9714ee734p-17, 0x1.094c61df3cdb8p-17, 0x1.0896f4bc138e4p-17, 0x1.07de61bd09cf8p-17, 0x1.0722bac7a13a4p-17, 0x1.06641184834c7p-17, 0x1.05a277894b127p-17, 0x1.04ddfe0a0f197p-17, 0x1.0416b596bdcc6p-17, 0x1.034cafa342f0fp-17, 0x1.027ffc8ed3581p-17, 0x1.01b0acc24f94p-17, 0x1.00ded0756c9e2p-17, 0x1.000a77ab052e8p-17, 0x1.fe676464ac6dp-18, 0x1.fcb51f4f9300cp-18, 0x1.fafe3eeaaac23p-18, 0x1.f942e1a622508p-18, 0x1.f783258e8636p-18, 0x1.f5bf284dbe8c4p-18, 0x1.f3f7072c1ec98p-18, 0x1.f22adf1116262p-18, 0x1.f05acc8464e21p-18, 0x1.ee86ebacde102p-18, 0x1.ecaf585007073p-18, 0x1.ead42dd8f0fa5p-18, 0x1.e8f58756b878dp-18, 0x1.e7137f78a352fp-18, 0x1.e52e30aa4330dp-18, 0x1.e345b4c8c0e8dp-18, 0x1.e15a255e65d52p-18, 0x1.df6b9be6bd394p-18, 0x1.dd7a3135defefp-18, 0x1.db85fde1d4abp-18, 0x1.d98f1a29b8ea8p-18, 0x1.d7959df5e318p-18, 0x1.d599a0d8f3004p-18, 0x1.d39b3a10a3008p-18, 0x1.d19a80867a70cp-18, 0x1.cf978ad0b1a16p-18, 0x1.cd926f32fbe79p-18, 0x1.cb8b439f27953p-18, 0x1.c9821db5e241fp-18, 0x1.c77712c743b84p-18, 0x1.c56a37d3dae0fp-18, 0x1.c35ba18cf0a18p-18, 0x1.c14b645648ec6p-18, 0x1.bf399445d7d04p-18, 0x1.bd264524d26c6p-18, 0x1.bb118a708ce08p-18, 0x1.b8fb775b59641p-18, 0x1.b6e41eccbb4a7p-18, 0x1.b4cb9362f5587p-18, 0x1.b2b1e775deaacp-18, 0x1.b0972d0c1d35dp-18, 0x1.ae7b75eeabf9cp-18, 0x1.ac5ed39bfffefp-18, 0x1.aa41574b2c7f1p-18, 0x1.a82311eefdd67p-18, 0x1.a604143586cbfp-18, 0x1.a3e46e88fa2efp-18, 0x1.a1c431104631dp-18, 0x1.9fa36bafcb276p-18, 0x1.9d822e0a3287dp-18, 0x1.9b608780db9a2p-18, 0x1.993e87348412p-18, 0x1.971c3c05f46bfp-18, 0x1.94f9b4953da93p-18, 0x1.92d6ff41be7fap-18, 0x1.90b42a2cad998p-18, 0x1.8e91433f4a8f9p-18, 0x1.8c6e582b4c4e1p-18, 0x1.8a4b765fdcbe9p-18, 0x1.8828ab0bd65cap-18, 0x1.8606032bba8d8p-18, 0x1.83e38b87729bbp-18, 0x1.81c150a56ca0cp-18, 0x1.7f9f5ecad4976p-18, 0x1.7d7dc206b37f1p-18, 0x1.7b5c8635d5ca5p-18, 0x1.793bb70032b59p-18, 0x1.771b5fd69bf75p-18, 0x1.74fb8bf7108ep-18, 0x1.72dc4666738fp-18, 0x1.70bd99f7a7769p-18, 0x1.6e9f9149760bap-18, 0x1.6c8236c78437cp-18, 0x1.6a6594ab1401cp-18, 0x1.6849b4fb7d526p-18, 0x1.662ea18ebdc82p-18, 0x1.641464086cf3p-18, 0x1.61fb05db0f005p-18, 0x1.5fe2904bd3623p-18, 0x1.5dcb0c7089187p-18, 0x1.5bb4832ece032p-18, 0x1.599efd3e66b0fp-18, 0x1.578a832a6b92bp-18, 0x1.55771d51cddb3p-18, 0x1.5364d3e7cdf59p-18, 0x1.5153aef3c95e7p-18, 0x1.4f43b651e3d4fp-18, 0x1.4d34f1b3659acp-18, 0x1.4b27689f4617fp-18, 0x1.491b2272fa842p-18, 0x1.47102662f347dp-18, 0x1.45067b7b3ffd2p-18, 0x1.42fe289ffd8a8p-18, 0x1.40f7348cdba34p-18, 0x1.3ef1a5d667612p-18, 0x1.3ced82ec5741dp-18, 0x1.3aead217bd683p-18, 0x1.38e9997b1494cp-18, 0x1.36e9df14c40dap-18, 0x1.34eba8ca8482fp-18, 0x1.32eefc2eb78bp-18, 0x1.30f3def87a404p-18, 0x1.2efa568cff3fdp-18, 0x1.2d026838dafebp-18, 0x1.2b0c192811bedp-18, 0x1.29176e62f48ccp-18, 0x1.27246ccee6f98p-18, 0x1.2533192fb8b11p-18, 0x1.234378296add6p-18, 0x1.21558e408499cp-18, 0x1.1f695fd9fe7c5p-18, 0x1.1d7ef13c43f98p-18, 0x1.1b964690f70c4p-18, 0x1.19af63e61c8c5p-18, 0x1.17ca4d2cdc883p-18, 0x1.15e70637666a3p-18, 0x1.140592b7d19afp-18, 0x1.1225f6429a7e8p-18, 0x1.10483451b552ep-18, 0x1.0e6c5043544dep-18, 0x1.0c924d5914a13p-18, 0x1.0aba2eb92d687p-18, 0x1.08e3f76fc8189p-18, 0x1.070faa6f8ad9cp-18, 0x1.053d4a9242956p-18, 0x1.036cda99278fdp-18, 0x1.019e5d2df8291p-18, 0x1.ffa3a9c92573ep-19, 0x1.fc0e88559d407p-19, 0x1.f87d5a987f98ap-19, 0x1.f4f02541dade3p-19, 0x1.f166ecc8edebap-19, 0x1.ede1b5667b65cp-19, 0x1.ea60830e2e65dp-19, 0x1.e6e359e690d84p-19, 0x1.e36a3d182216dp-19, 0x1.dff53047130c2p-19, 0x1.dc843a0ce0ffbp-19, 0x1.d917556966016p-19, 0x1.d5ae88d2f7109p-19, 0x1.d249dbac3c274p-19, 0x1.cee94e3f8d1f9p-19, 0x1.cb8ce23738f2ap-19, 0x1.c83499fc3942dp-19, 0x1.c4e077eeefec6p-19, 0x1.c1907e4318279p-19, 0x1.be44aefd7f28p-19, 0x1.bafd0bf786d05p-19, 0x1.b7b996e264f3cp-19, 0x1.b47a514a4cb02p-19, 0x1.b13f3c9bff709p-19, 0x1.ae085a315d944p-19, 0x1.aad5ab5e2f932p-19, 0x1.a7a73139f2017p-19, 0x1.a47cec21d2d17p-19, 0x1.a156dc5d96647p-19, 0x1.9e350309b2b5cp-19, 0x1.9b17612d906b7p-19, 0x1.97fdf73d78882p-19, 0x1.94e8c56c39baep-19, 0x1.91d7cbd8c6e4p-19, 0x1.8ecb0a8fd0f27p-19, 0x1.8bc2818884bfcp-19, 0x1.88be30a754b92p-19, 0x1.85be17d451177p-19, 0x1.82c2376a1fdbbp-19, 0x1.7fca90606390ap-19, 0x1.7cd71ef197ad2p-19, 0x1.79e7df36be915p-19, 0x1.76fcd524654f6p-19, 0x1.741600aea4bb8p-19, 0x1.71335fcec7f28p-19, 0x1.6e54f0d24d168p-19, 0x1.6b7ab9fb9f6cep-19, 0x1.68a4aac47a912p-19, 0x1.65d2d043a452ep-19, 0x1.63051d2ea3588p-19, 0x1.603b9b4096a26p-19, 0x1.5d7643ab3cb4ap-19, 0x1.5ab514d5a0375p-19, 0x1.57f80d4a1c75p-19, 0x1.553f2b6bfcdadp-19, 0x1.528a6d7ea8ff8p-19, 0x1.4fd9d1b1029cep-19, 0x1.4d2d5645625ap-19, 0x1.4a84f9c6a4a1ep-19, 0x1.47e0ba79049bp-19, 0x1.454095136b3a2p-19, 0x1.42a48656c9028p-19, 0x1.400c8d02f838ep-19, 0x1.3d78a8124aeffp-19, 0x1.3ae8d5702effap-19, 0x1.385d125c7ff9ep-19, 0x1.35d55bbb7cb5dp-19, 0x1.3351adbe65c0dp-19, 0x1.30d2036c3dbc5p-19, 0x1.2e56573585ce2p-19, 0x1.2bdea4effa927p-19, 0x1.296aeb96d544fp-19, 0x1.26fb2da13c5a2p-19, 0x1.248f6d438ab84p-19, 0x1.2227a2ffa026bp-19, 0x1.1fc3cc3ba9459p-19, }}, 
      {{-0x1.317653716107p+2, -0x1.262b44f41302ep+2, -0x1.18d56f88b96ecp+2, -0x1.0a617dfbdaa3p+2, -0x1.f6fd32d1b1f32p+1, -0x1.d958b98a2e46ap+1, -0x1.bc8b81d7b345fp+1, -0x1.a1133c26035dcp+1, -0x1.874290cfda587p+1, -0x1.6f4b6800fe44cp+1, -0x1.5946ea225e907p+1, -0x1.453bbc359a8f2p+1, -0x1.3322dd154f183p+1, -0x1.22eb710f8015fp+1, -0x1.147db7582723ap+1, -0x1.07bd573462d83p+1, -0x1.f91650ba6b4p+0, -0x1.e58d2479e882ep+0, -0x1.d49d2f6942b3dp+0, -0x1.c60540f704ad1p+0, -0x1.b9861b46bc183p+0, -0x1.aee34827896e9p+0, -0x1.a5e3ab5b2d0b4p+0, -0x1.9e51e03235d97p+0, -0x1.97fc6dd5b45ddp+0, -0x1.92b5db79bf494p+0, -0x1.8e54abfdb27edp+0, -0x1.8ab3470993f2ap+0, -0x1.87afd48f70ccp+0, -0x1.852c0eaddfc65p+0, -0x1.830d0d04d4bc9p+0, -0x1.813b0c0817035p+0, -0x1.7fa1328025cc1p+0, -0x1.7e2d5683304b1p+0, -0x1.7ccfc3240c90cp+0, -0x1.7b7b00180d9bdp+0, -0x1.7a239bc8d2d3p+0, -0x1.78bff84f0dc8fp+0, -0x1.77481baad1e06p+0, -0x1.75b5834410347p+0, -0x1.7402fab4dc158p+0, -0x1.722c75c6f8de2p+0, -0x1.702eed7ee3376p+0, -0x1.6e08400ad76cdp+0, -0x1.6bb7136f592e8p+0, -0x1.693abace1bdafp+0, -0x1.66931e24c222fp+0, -0x1.63c0a45f981cep+0, -0x1.60c41f9b3816bp+0, -0x1.5d9ebb70576eep+0, -0x1.5a51ed25b28d4p+0, -0x1.56df65a5032bcp+0, -0x1.534905102f31dp+0, -0x1.4f90cfd47506dp+0, -0x1.4bb8e519aee92p+0, -0x1.47c3766d38486p+0, -0x1.43b2c089a8888p+0, -0x1.3f89051ec988cp+0, -0x1.3b48857f8f37p+0, -0x1.36f37e1ddd883p+0, -0x1.328c22be33221p+0, -0x1.2e149b4ed43a3p+0, -0x1.298f014ffcaa1p+0, -0x1.24fd5dbc0e5ccp+0, -0x1.2061a760320c4p+0, -0x1.1bbdc19757363p+0, -0x1.17137b5af19d5p+0, -0x1.12648e9de6a81p+0, -0x1.0db29fe7a5738p+0, -0x1.08ff3e262fda6p+0, -0x1.044be2af0fa59p+0, -0x1.ff33e2cff4096p-1, -0x1.f5d5722195b9p-1, -0x1.ec7ee75240f28p-1, -0x1.e3328dd94a02ap-1, -0x1.d9f289c32cd26p-1, -0x1.d0c0d8eb5eeafp-1, -0x1.c79f544c3253dp-1, -0x1.be8fb15ed087ap-1, -0x1.b593838665a3cp-1, -0x1.acac3d81ee562p-1, -0x1.a3db32e12f418p-1, -0x1.9b2199796d44bp-1, -0x1.92808ad78a5acp-1, -0x1.89f905ad044d3p-1, -0x1.818bef365383dp-1, -0x1.793a1498ecdbdp-1, -0x1.71042c37d3a66p-1, -0x1.68ead6fdf503fp-1, -0x1.60eea19d15aa8p-1, -0x1.591005c1bdd8p-1, -0x1.514f6b3a7a5e9p-1, -0x1.49ad2913cf1d5p-1, -0x1.422986a74100dp-1, -0x1.3ac4bc9ea1ba5p-1, -0x1.337ef5eb51f9p-1, -0x1.2c5850b11e3aep-1, -0x1.2550df266e725p-1, -0x1.1e68a867ff548p-1, -0x1.179fa94284762p-1, -0x1.10f5d4f14a8edp-1, -0x1.0a6b15d22355cp-1, -0x1.03ff4e1079b19p-1, -0x1.fb64b08b64496p-2, -0x1.ef0810226a261p-2, -0x1.e2e8554fa76d2p-2, -0x1.d7050eb41d2fbp-2, -0x1.cb5dc0271391p-2, -0x1.bff1e3a475973p-2, -0x1.b4c0ea2cd50eap-2, -0x1.a9ca3c993bd04p-2, -0x1.9f0d3c60484d9p-2, -0x1.9489445018583p-2, -0x1.8a3da93d076c5p-2, -0x1.8029baa3f5512p-2, -0x1.764cc343b5ee7p-2, -0x1.6ca609ac5eb97p-2, -0x1.6334d0c42d8dbp-2, -0x1.59f8584575eaep-2, -0x1.50efdd338d2eap-2, -0x1.481a9a46ec52bp-2, -0x1.3f77c853e291ep-2, -0x1.37069ea9abb67p-2, -0x1.2ec65369a3b52p-2, -0x1.26b61bda58fd6p-2, -0x1.1ed52cb4b79ecp-2, -0x1.1722ba69cff32p-2, -0x1.0f9df96511171p-2, -0x1.08461e4aba0d9p-2, -0x1.011a5e2f98174p-2, -0x1.f433dd997eea4p-3, -0x1.e6880d62c2852p-3, -0x1.d92fbadf42f61p-3, -0x1.cc295788dc182p-3, -0x1.bf73577bbc9e7p-3, -0x1.b30c31be65698p-3, -0x1.a6f2607fd993ap-3, -0x1.9b24615032f7ep-3, -0x1.8fa0b557dc27ap-3, -0x1.8465e1893b2b9p-3, -0x1.79726eca7a70fp-3, -0x1.6ec4ea1c6991bp-3, -0x1.645be4c047454p-3, -0x1.5a35f45846e18p-3, -0x1.5051b3022c0c5p-3, -0x1.46adbf7025d3bp-3, -0x1.3d48bd00c6d53p-3, -0x1.342153d2bd521p-3, -0x1.2b3630d3f3391p-3, -0x1.228605cf4e595p-3, -0x1.1a0f8979e4b89p-3, -0x1.11d1777d2adb9p-3, -0x1.09ca907d723c6p-3, -0x1.01f99a1f01c02p-3, -0x1.f4babe15c50f2p-4, -0x1.e5e95de3d1419p-4, -0x1.d77cbd19a7263p-4, -0x1.c9728f35c7f1bp-4, -0x1.bbc891c03083dp-4, -0x1.ae7c8c455df8dp-4, -0x1.a18c504d62321p-4, -0x1.94f5b94fb0defp-4, -0x1.88b6aca5c00c8p-4, -0x1.7ccd197d30e76p-4, -0x1.7136f8c80a53ap-4, -0x1.65f24d2a323f8p-4, -0x1.5afd22e53820bp-4, -0x1.50558fc3a1a9p-4, -0x1.45f9b3039358bp-4, -0x1.3be7b53ff5aefp-4, -0x1.321dc857f2081p-4, -0x1.289a27558e20ap-4, -0x1.1f5b1653fbc54p-4, -0x1.165ee2655761p-4, -0x1.0da3e1777289ap-4, -0x1.05287237afd2cp-4, -0x1.f9d5f7ece8bd8p-5, -0x1.e9d3dd14ca618p-5, -0x1.da478466909d7p-5, -0x1.cb2deef8aeca7p-5, -0x1.bc842e3c445bdp-5, -0x1.ae4763c096063p-5, -0x1.a074c0f672254p-5, -0x1.930986f332429p-5, -0x1.86030633368f1p-5, -0x1.795e9e5c182ep-5, -0x1.6d19bdfef25dfp-5, -0x1.6131e25adac8p-5, -0x1.55a4971f412d9p-5, -0x1.4a6f762e2e039p-5, -0x1.3f90275ea27a8p-5, -0x1.3504603f7a00cp-5, -0x1.2ac9e3dab49edp-5, -0x1.20de8278c09ecp-5, -0x1.174019639e349p-5, -0x1.0dec92aa5f54dp-5, -0x1.04e1e4e5ae5f8p-5, -0x1.f83c25fad091bp-6, -0x1.e73e57dd19ec7p-6, -0x1.d6c695214d796p-6, -0x1.c6d12ab5a674ap-6, -0x1.b75a7c534b4p-6, -0x1.a85f040e030cfp-6, -0x1.99db51e7963ebp-6, -0x1.8bcc0b63ce895p-6, -0x1.7e2deb1a1d691p-6, -0x1.70fdc044effcbp-6, -0x1.64386e52c26afp-6, -0x1.57daec7ca6b1fp-6, -0x1.4be24562c3deap-6, -0x1.404b96aacd1c4p-6, -0x1.3514109b6068dp-6, -0x1.2a38f5b31317cp-6, -0x1.1fb79a3f0e71ap-6, -0x1.158d63f73f677p-6, -0x1.0bb7c9a27e442p-6, -0x1.023452bf66269p-6, -0x1.f2012e56d5a8fp-7, -0x1.e0347d88bb2a4p-7, -0x1.cefe020db79d8p-7, -0x1.be594960e46bap-7, -0x1.ae41fed485343p-7, -0x1.9eb3eaf51d19ep-7, -0x1.8faaf2ec6aba1p-7, -0x1.812317d833fd3p-7, -0x1.73187616b7d1ap-7, -0x1.65874497fd6d5p-7, -0x1.586bd443ff237p-7, -0x1.4bc28f7688232p-7, -0x1.3f87f97e89fc1p-7, -0x1.33b8ae09b4d06p-7, -0x1.28516074a82fap-7, -0x1.1d4edb126cf97p-7, -0x1.12adfe8da0c14p-7, -0x1.086bc17a556a3p-7, -0x1.fd0a601beedbfp-8, -0x1.e9eed7a2f819bp-8, -0x1.d77f563c6553fp-8, -0x1.c5b670aeef503p-8, -0x1.b48ee20e6921cp-8, -0x1.a4038a4877b12p-8, -0x1.940f6d75d7b3fp-8, -0x1.84adb3e9c764p-8, -0x1.75d9aa709ce5dp-8, -0x1.678ec1f4ffb59p-8, -0x1.59c88e0e52c7fp-8, -0x1.4c82c2a9dc996p-8, -0x1.3fb931a8bb4b6p-8, -0x1.3367c97a08b31p-8, -0x1.278a953d2ff7bp-8, -0x1.1c1dbe0efb709p-8, -0x1.111d8c592d002p-8, -0x1.068667d50e31ep-8, -0x1.f8a9ab3430be3p-9, -0x1.e50ae96a58324p-9, -0x1.d229f577d932dp-9, -0x1.c00063fe080e9p-9, -0x1.ae87f46bab836p-9, -0x1.9dba9641b5266p-9, -0x1.8d926ee252aa8p-9, -0x1.7e09dbed2322p-9, -0x1.6f1b6fcc17fb5p-9, -0x1.60c1e928c6e33p-9, -0x1.52f828e7bbef8p-9, -0x1.45b92b608e1ccp-9, -0x1.3900081ea55e9p-9, -0x1.2cc7f829df267p-9, -0x1.210c5f62a129dp-9, -0x1.15c8d3b584e04p-9, -0x1.0af91dcf1a6b3p-9, -0x1.0099321c393b9p-9, -0x1.ed4a497c383c8p-10, -0x1.da323b7ef44c6p-10, -0x1.c7e2a5d71b7fep-10, -0x1.b654141369706p-10, -0x1.a57f4463071dcp-10, -0x1.955d3ef6ca9ap-10, -0x1.85e76665c076ap-10, -0x1.771778b1da1afp-10, -0x1.68e77f9fd6e6cp-10, -0x1.5b51b6a5bc91p-10, -0x1.4e50717a2d90ep-10, -0x1.41de0e14c5b97p-10, -0x1.35f4f7a9255b5p-10, -0x1.2a8fb83eecb99p-10, -0x1.1fa91016b8b9cp-10, -0x1.153c082f25993p-10, -0x1.0b43f818a6edcp-10, -0x1.01bc7cc9bd914p-10, -0x1.f142c80d6bcb5p-11, -0x1.dfdd291723752p-11, -0x1.cf3ff95516293p-11, -0x1.bf631bff3f2a6p-11, -0x1.b03e8c8d031d1p-11, -0x1.a1ca7eed4cc4p-11, -0x1.93ff7fa07d2a8p-11, -0x1.86d689804966p-11, -0x1.7a490b4523f7ap-11, -0x1.6e50d95466625p-11, -0x1.62e80eb9088dp-11, -0x1.5808eaafd9fa1p-11, -0x1.4dadbc1773d8fp-11, -0x1.43d0e12797b01p-11, -0x1.3a6cd1bcde83bp-11, -0x1.317c281da6418p-11, -0x1.28f9a98bd7d4dp-11, -0x1.20e057b5caefap-11, -0x1.192b8656bfc97p-11, -0x1.11d6df4049d9dp-11, -0x1.0ade49550719dp-11, -0x1.043dc70a65ccep-11, -0x1.fbe2d8f465c2ap-12, -0x1.efeade6eb0221p-12, -0x1.e48c5e0b3cb6dp-12, -0x1.d9c03f30e9b78p-12, -0x1.cf7f561235308p-12, -0x1.c5c278a1afdccp-12, -0x1.bc82ecfe24f1p-12, -0x1.b3babd53900cbp-12, -0x1.ab64861ea89f9p-12, -0x1.a37af14e72e59p-12, -0x1.9bf87ccd5b142p-12, -0x1.94d7ce70dbcd3p-12, -0x1.8e1421cfb7fc5p-12, -0x1.87a931d01ba5ap-12, -0x1.81929c12190b9p-12, -0x1.7bcb72bdeeb25p-12, -0x1.764e9c54d3f02p-12, -0x1.7117b3db5998dp-12, -0x1.6c236a001334cp-12, -0x1.676ee98af96f1p-12, -0x1.62f6edee7a26cp-12, -0x1.5eb792a943406p-12, -0x1.5aacfe9c18248p-12, -0x1.56d41d629748dp-12, -0x1.532a9619500e8p-12, -0x1.4fadfe6886282p-12, -0x1.4c5b280415163p-12, -0x1.492e67da82847p-12, -0x1.4624a93365774p-12, -0x1.433c1f29561d5p-12, -0x1.4073c0406d524p-12, -0x1.3dca22fd5bfe6p-12, -0x1.3b3cfa25d5f74p-12, -0x1.38c989ca3db5ap-12, -0x1.366d6e85f2348p-12, -0x1.3426fd884217fp-12, -0x1.31f4fc3db32aap-12, -0x1.2fd5fc05707f1p-12, -0x1.2dc7f6f060304p-12, -0x1.2bc8aa69471dep-12, -0x1.29d66f365222ep-12, -0x1.27f09f7654215p-12, -0x1.261706f2f90b9p-12, -0x1.2449047237bd4p-12, -0x1.22855106d0f55p-12, -0x1.20ca6e1244b2bp-12, -0x1.1f170b6f810c8p-12, -0x1.1d6a05c2a533fp-12, -0x1.1bc2601a762b5p-12, -0x1.1a1f5f3f04113p-12, -0x1.188055607d211p-12, -0x1.16e45615ef1aap-12, -0x1.154a5ded7896bp-12, -0x1.13b1cab13f774p-12, -0x1.121a864dd0b69p-12, -0x1.108487a9999d8p-12, -0x1.0eef53495b2ebp-12, -0x1.0d5a3d533c756p-12, -0x1.0bc4e494a4165p-12, -0x1.0a2ee19035b9dp-12, -0x1.08975f3328a0cp-12, -0x1.06fd8fa58de86p-12, -0x1.056135963e975p-12, -0x1.03c2732ba09acp-12, -0x1.02213275dc363p-12, -0x1.007cef6214b2fp-12, -0x1.fdaa5cb3ba08p-13, -0x1.fa53ebf892e6bp-13, -0x1.f6f6d8a7e1a21p-13, -0x1.f39293d9cd1e3p-13, -0x1.f02698c90fd65p-13, -0x1.ecb34234f610bp-13, -0x1.e938a4eda6d2bp-13, -0x1.e5b612f93ee29p-13, -0x1.e22aa3a289125p-13, -0x1.de95d9e59f66cp-13, -0x1.daf82c75f634fp-13, -0x1.d75256070b91ap-13, -0x1.d3a441c0239c7p-13, -0x1.cfed612d05956p-13, -0x1.cc2d8ff698d5p-13, -0x1.c86539df4c5bbp-13, -0x1.c49468b43ff78p-13, -0x1.c0bae38e843e2p-13, -0x1.bcd918d90dd51p-13, -0x1.b8ef5ab120b47p-13, -0x1.b4fdb11c9381ap-13, -0x1.b10433e5ee26ep-13, -0x1.ad02daade27d1p-13, -0x1.a8f982fc7e9aap-13, -0x1.a4e885758c2e6p-13, -0x1.a0d06f5311ae2p-13, -0x1.9cb1638940231p-13, -0x1.988b8505e4e1p-13, -0x1.945ef1aff19fbp-13, -0x1.902be95c26d62p-13, -0x1.8bf2a24b350d8p-13, -0x1.87b34f916caf3p-13, -0x1.836e591e9ae3fp-13, -0x1.7f23f4ffb4ebdp-13, -0x1.7ad454c9ebcbcp-13, -0x1.767fbe58986bp-13, -0x1.722676d6f28d5p-13, -0x1.6dc8b8c640131p-13, -0x1.6966c08ece50ep-13, -0x1.6500d76bd3705p-13, -0x1.60973c0b8a71ep-13, -0x1.5c2a3786a56f5p-13, -0x1.57ba01c21cd72p-13, -0x1.5346ed0425685p-13, -0x1.4ed143bc5231ep-13, -0x1.4a5953caa89d3p-13, -0x1.45df4ec996db2p-13, -0x1.416375baa4544p-13, -0x1.3ce6183131edp-13, -0x1.386779a5be0f4p-13, -0x1.33e7d59bd4da8p-13, -0x1.2f67646283721p-13, -0x1.2ae65c75b6e47p-13, -0x1.26650b14cdbbbp-13, -0x1.21e3c4d163016p-13, -0x1.1d62c4003512ep-13, -0x1.18e24ea346da6p-13, -0x1.14624fec53353p-13, -0x1.0fe32aab38416p-13, -0x1.0b655fc144b9ap-13, -0x1.06e92a48a3475p-13, -0x1.026e8993566a1p-13, -0x1.fbeb68bfdda62p-14, -0x1.f2fe0987b2402p-14, -0x1.ea155ac044499p-14, -0x1.e131c10b28c4cp-14, -0x1.d853a57894dd8p-14, -0x1.cf7b6db577b0ep-14, -0x1.c6a95193cd649p-14, -0x1.bddd8a19deccfp-14, -0x1.b51900a9d1479p-14, -0x1.ac5c47c6e6fb7p-14, -0x1.a3a73601739e3p-14, -0x1.9afa0f5a21154p-14, -0x1.92551915deaf1p-14, -0x1.89b93f8347cacp-14, -0x1.8126fa7a4eab4p-14, -0x1.789de6b402502p-14, -0x1.701e9a9113edfp-14, -0x1.67a98fa609de1p-14, -0x1.5f3ef94021a57p-14, -0x1.56df1bddda825p-14, -0x1.4e8a47db44123p-14, -0x1.4640ca7b7a565p-14, -0x1.3e02eb3e65154p-14, -0x1.35d0a3c16c62fp-14, -0x1.2daa1feef2fd4p-14, -0x1.2590615f5c174p-14, -0x1.1d832c19e2483p-14, -0x1.15828b7af669fp-14, -0x1.0d8f18121ff02p-14, -0x1.05a8950851ec8p-14, -0x1.fb9f2821a3d03p-15, -0x1.ec08cffd898a5p-15, -0x1.dc8d80268ccb7p-15, -0x1.cd2e59aebce0bp-15, -0x1.bdeb9ade2f452p-15, -0x1.aec57a6e360cep-15, -0x1.9fbc47fb3dae8p-15, -0x1.90d05dede10f7p-15, -0x1.8202118ff4eb2p-15, -0x1.7351ab8e061bbp-15, -0x1.64bf67e80b789p-15, -0x1.564af146aef38p-15, -0x1.47f57fa26881dp-15, -0x1.39bed95bd7e77p-15, -0x1.2ba714dec812p-15, -0x1.1daebd9253cedp-15, -0x1.0fd5ed3403fe9p-15, -0x1.021c766a784bfp-15, -0x1.e905ceaf3d696p-16, -0x1.ce1263aefbebcp-16, -0x1.b35f0490b7a16p-16, -0x1.98ec49b511934p-16, -0x1.7eba35bfc94ddp-16, -0x1.64c8f5a86735ep-16, -0x1.4b18bffdee093p-16, -0x1.31a9ceca7368dp-16, -0x1.187c5237edfcfp-16, -0x1.ff20c8a3da07dp-17, -0x1.cdcc75db5be2p-17, -0x1.9cfb0ec2882a2p-17, -0x1.6cadd12056ea3p-17, -0x1.3ce3e3bf9e343p-17, -0x1.0d9e3e64b9065p-17, -0x1.bdb9b20b21e61p-18, -0x1.613ed09a64a47p-18, -0x1.05cc5a26c6d59p-18, -0x1.56c30ffa97ad9p-19, -0x1.47fab4bee56c4p-20, 0x1.97478f7502cd8p-24, 0x1.76c326a491d28p-20, 0x1.67fa59848b67bp-19, 0x1.0942cc89ece1bp-18, 0x1.5d8212064a6afp-18, 0x1.b0bb69e87ddd4p-18, 0x1.0177a40878b24p-17, 0x1.2a0f1fc4c6ac7p-17, 0x1.5224856b7b456p-17, 0x1.79b7ff45ec8e7p-17, 0x1.a0ca2107dfc2p-17, 0x1.c75b4c6a7d5d4p-17, 0x1.ed6bdfba26c86p-17, 0x1.097e021aed26cp-16, 0x1.1c062b1e7e5b5p-16, 0x1.2e4ea9d84aabep-16, 0x1.4057be4613bb1p-16, 0x1.5221971c3be96p-16, 0x1.63ac7fe772216p-16, 0x1.74f8d660b8998p-16, 0x1.8606bfdfedf93p-16, 0x1.96d683f44ea4fp-16, 0x1.a768770adc001p-16, 0x1.b7bce566bdbbep-16, 0x1.c7d41c59e0c83p-16, 0x1.d7ae6abed3382p-16, 0x1.e74c217ae987p-16, 0x1.f6ad955ed2214p-16, 0x1.02e98df1596afp-15, 0x1.0a5e7ffb38e15p-15, 0x1.11b5d5418d88p-15, 0x1.18efbb5cd52dfp-15, 0x1.200c56064fd75p-15, 0x1.270bd7aa885cp-15, 0x1.2dee6f4276aa2p-15, 0x1.34b44bafb0dcep-15, 0x1.3b5d9cd479a8ep-15, 0x1.41ea93187b751p-15, 0x1.485b5d81bcf03p-15, 0x1.4eb02e51860dap-15, 0x1.54e93a8ab1e28p-15, 0x1.5b06af32d3c7ap-15, 0x1.6108c0a1a5f73p-15, 0x1.66efa21920f4bp-15, 0x1.6cbb86ce17d06p-15, 0x1.726ca257617fdp-15, 0x1.780328ac885b8p-15, 0x1.7d7f4e243d155p-15, 0x1.82e1475012d1ep-15, 0x1.882948c854014p-15, 0x1.8d5787e19fbb4p-15, 0x1.926c39d104e9ep-15, 0x1.9767940b2a705p-15, 0x1.9c49cc7d5383p-15, 0x1.a11318d832b4cp-15, 0x1.a5c3af271ef1p-15, 0x1.aa5bc59f60cccp-15, 0x1.aedb928c9927dp-15, 0x1.b3434c2ca658ep-15, 0x1.b79328ec92d89p-15, 0x1.bbcb6040005f6p-15, 0x1.bfec27f99a7dep-15, 0x1.c3f5b5904830bp-15, 0x1.c7e8420dc4a4bp-15, 0x1.cbc4031c613d1p-15, 0x1.cf892f671b3e2p-15, 0x1.d337fdb137f87p-15, 0x1.d6d0a4bea4fdcp-15, 0x1.da535b4ba16c2p-15, 0x1.ddc057d502e3p-15, 0x1.e117d0a97b537p-15, 0x1.e459fd9051187p-15, 0x1.e787141d70ae5p-15, 0x1.ea9f484f28b14p-15, 0x1.eda2d473fa289p-15, 0x1.f091ecdb71ac3p-15, 0x1.f36cc77b07a3dp-15, 0x1.f6339a4c6fd9ep-15, 0x1.f8e69b215c8d3p-15, 0x1.fb85ffa5ccf3bp-15, 0x1.fe11fd4cb5caep-15, 0x1.00456495eaca4p-14, 0x1.01784c36b7028p-14, 0x1.02a1d0c203885p-14, 0x1.03c20b714b6a9p-14, 0x1.04d916afda224p-14, 0x1.05e70da76d253p-14, 0x1.06ec09d75d77p-14, 0x1.07e82541e5a08p-14, 0x1.08db79d1ade1fp-14, 0x1.09c6215548656p-14, 0x1.0aa8357b7e96ap-14, 0x1.0b81cfbbe3c89p-14, 0x1.0c53096d89034p-14, 0x1.0d1bfc7f549dbp-14, 0x1.0ddcc1a37bda4p-14, 0x1.0e9570dd816f9p-14, 0x1.0f4624fc8fc6p-14, 0x1.0feef5f2bc222p-14, 0x1.108ffc653607bp-14, 0x1.112950e4289e4p-14, 0x1.11bb0bd9d87f3p-14, 0x1.1245458c7533ep-14, 0x1.12c8161cd9741p-14, 0x1.134395769c25fp-14, 0x1.13b7db5dd6252p-14, 0x1.1424ffacf191bp-14, 0x1.148b1a8ec58fap-14, 0x1.14ea41680ffc5p-14, 0x1.15428d6f4bc44p-14, 0x1.15941522fd48bp-14, 0x1.15deef5d893cap-14, 0x1.162332ee36f31p-14, 0x1.1660f67a553d3p-14, 0x1.169850808edb2p-14, 0x1.16c957593b023p-14, 0x1.16f42131e854ap-14, 0x1.1718c400dd866p-14, 0x1.1737559664c3p-14, 0x1.174fec08a42f8p-14, 0x1.17629cbe20b44p-14, 0x1.176f7bf8c8fa5p-14, 0x1.1776a0888a3e6p-14, 0x1.17781ee21c274p-14, 0x1.17740bde801e8p-14, 0x1.176a7c417fdap-14, 0x1.175b84a41209ep-14, 0x1.17473970e155ep-14, 0x1.172daedb4fecep-14, 0x1.170ef8f94afcp-14, 0x1.16eb2bf3d9e07p-14, 0x1.16c25b8dd6853p-14, 0x1.16949a934c927p-14, 0x1.1661fd84fae28p-14, 0x1.162a973a5511ep-14, 0x1.15ee7ad17e33ap-14, 0x1.15adbb4208904p-14, 0x1.15686b57e4f8ap-14, 0x1.151e9db4c4937p-14, 0x1.14d064d04fceep-14, 0x1.147dd2f865f7dp-14, 0x1.1426fa51df6bcp-14, 0x1.13cbecd91de4cp-14, 0x1.136cbc61dee55p-14, 0x1.13097a9561f19p-14, 0x1.12a238ee3aaedp-14, 0x1.123708bb68152p-14, 0x1.11c7fb3f8383cp-14, 0x1.115521cf71bc3p-14, 0x1.10de8c67bc3d1p-14, 0x1.10644c3bfbba4p-14, 0x1.0fe67218561e1p-14, 0x1.0f650e19d64b6p-14, 0x1.0ee030807fc2ap-14, 0x1.0e57e9b2cbc93p-14, 0x1.0dcc48c6a4bcep-14, 0x1.0d3d5e323f2fbp-14, 0x1.0cab396f33cb3p-14, 0x1.0c15e9dbef249p-14, 0x1.0b7d7ec6af67cp-14, 0x1.0ae20754c2843p-14, 0x1.0a4392839feb8p-14, 0x1.09a22f2987d0bp-14, 0x1.08fdebf55c11p-14, 0x1.0856d76f014cdp-14, 0x1.07acfffc2b206p-14, 0x1.070073d2da74dp-14, 0x1.0651410eea68ep-14, 0x1.059f759be22dap-14, 0x1.04eb1f446eeeap-14, 0x1.04344badf48d4p-14, 0x1.037b08582047ep-14, 0x1.02bf629dba98p-14, 0x1.020167b4ac3dap-14, 0x1.014124a9d793cp-14, 0x1.007ea66563fb9p-14, 0x1.ff73f36590bbdp-15, 0x1.fde656ae67594p-15, 0x1.fc548f2cf92abp-15, 0x1.fabeb5af4b191p-15, 0x1.f924e2ee4bdbap-15, 0x1.f7872ef9edaa1p-15, 0x1.f5e5b1d75f9d2p-15, 0x1.f44082a0b14acp-15, 0x1.f297b8df47961p-15, 0x1.f0eb6bfdfa407p-15, 0x1.ef3bb2a3454e6p-15, 0x1.ed88a34c7b6cdp-15, 0x1.ebd25440af9fap-15, 0x1.ea18db84f9893p-15, 0x1.e85c4edb70914p-15, 0x1.e69cc3c4219c1p-15, 0x1.e4da4f7d20b22p-15, 0x1.e315070267da8p-15, 0x1.e14cff0ef4d05p-15, 0x1.df824c1dac59fp-15, 0x1.ddb5026888997p-15, 0x1.dbe535e94efep-15, 0x1.da12fa5facff8p-15, 0x1.d83e634970162p-15, 0x1.d66783e407f4ap-15, 0x1.d48e6f231c917p-15, 0x1.d2b337f51f612p-15, 0x1.d0d5f0b1501bdp-15, 0x1.cef6abb51b0ecp-15, 0x1.cd157b11c1624p-15, 0x1.cb32709a1ee08p-15, 0x1.c94d9de67f626p-15, 0x1.c7671454d30d4p-15, 0x1.c57ee508c338cp-15, 0x1.c39520ec10776p-15, 0x1.c1a9d8afa7a6cp-15, 0x1.bfbd1ccd59d87p-15, 0x1.bdcefd8737ab9p-15, 0x1.bbdf8ae54778ap-15, 0x1.b9eed4b7044dep-15, 0x1.b7fcea95ea0e8p-15, 0x1.b609dbe429fb5p-15, 0x1.b415b7ca21d25p-15, 0x1.b2208d4343493p-15, 0x1.b02a6b26c2ab5p-15, 0x1.ae335ffd9c8abp-15, 0x1.ac3b7a072b915p-15, 0x1.aa42c708fb205p-15, 0x1.a8495638677f8p-15, 0x1.a64f3417c3f7ap-15, 0x1.a4546e70bb328p-15, 0x1.a25912c02191bp-15, 0x1.a05d2e48efaa5p-15, 0x1.9e60ce1b50649p-15, 0x1.9c63ff00a2034p-15, 0x1.9a66cd8521512p-15, 0x1.986945f08a14dp-15, 0x1.966b749113351p-15, 0x1.946d654bc9cc5p-15, 0x1.926f23fe05a91p-15, 0x1.9070bc657d7d1p-15, 0x1.8e723a028eaap-15, 0x1.8c73a82418524p-15, 0x1.8a7511f51ffadp-15, 0x1.88768283a09dbp-15, 0x1.8678049645c69p-15, 0x1.8479a2c02ebcbp-15, 0x1.827b67055c037p-15, 0x1.807d5cd1e5c24p-15, 0x1.7e7f8d82e7048p-15, 0x1.7c8202f7bbd86p-15, 0x1.7a84c73767697p-15, 0x1.7887e3e51f6cfp-15, 0x1.768b627b499aap-15, 0x1.748f4c4e1cb13p-15, 0x1.7293aa8a0d4c9p-15, 0x1.709886335eee4p-15, 0x1.6e9de8275b47p-15, 0x1.6ca3d91d123fap-15, 0x1.6aaa61a554ed7p-15, 0x1.68b18a298d6a6p-15, 0x1.66b95aed4b822p-15, 0x1.64c1dc17aea9cp-15, 0x1.62cb15a8e2493p-15, 0x1.60d50f7302476p-15, 0x1.5edfd122e05a9p-15, 0x1.5ceb62086fe65p-15, 0x1.5af7ca494919ep-15, 0x1.5905108b97a5dp-15, 0x1.57133c166b59bp-15, 0x1.552254000aff4p-15, 0x1.53325f2a1dd97p-15, 0x1.51436455bfde5p-15, 0x1.4f556a23c2359p-15, 0x1.4d687714459e1p-15, 0x1.4b7c918706cf9p-15, 0x1.4991bfbbe08b5p-15, 0x1.47a807d33e2ep-15, 0x1.45bf6fce4b3eep-15, 0x1.43d7fd8f08b17p-15, 0x1.41f1b6d86f1fap-15, 0x1.400ca1511536p-15, 0x1.3e28c2833180cp-15, 0x1.3c461fd7621dp-15, 0x1.3a64be9a6fbdap-15, 0x1.3884a3f3039a6p-15, 0x1.36a5d4f3125c9p-15, 0x1.34c856c05cd94p-15, 0x1.32ec2dfaf4247p-15, 0x1.31115f798818cp-15, 0x1.2f37efe1ab98ap-15, 0x1.2d5fe3bc726a5p-15, 0x1.2b893f78b4eb8p-15, 0x1.29b4076b3d775p-15, 0x1.27e03fcefd5cp-15, 0x1.260decc52eb9bp-15, 0x1.243d1255b963p-15, 0x1.226db46f88f99p-15, 0x1.209fd6e8d558dp-15, 0x1.1ed37d7f81571p-15, 0x1.1d08abd94b69dp-15, 0x1.1b3f65840691ep-15, 0x1.1977adf607e31p-15, 0x1.17b1888f57517p-15, 0x1.15ecf89866c07p-15, 0x1.142a01425676ap-15, 0x1.1268a5a8a9112p-15, 0x1.10a8e8cc2f981p-15, 0x1.0eeacda0a8002p-15, 0x1.0d2e5706df7cbp-15, 0x1.0b7387b57458p-15, 0x1.09ba62621efeep-15, 0x1.0802e9a795f14p-15, 0x1.064d200bec0f9p-15, 0x1.0499080120b81p-15, 0x1.02e6a3e5562e7p-15, 0x1.0135f6030e22dp-15, 0x1.ff0e0122cb017p-16, 0x1.fbb38b68a415ep-16, 0x1.f85c8ef9d9dfdp-16, 0x1.f5090fd3358f7p-16, 0x1.f1b911ccf0c57p-16, 0x1.ee6c989afc30ap-16, 0x1.eb23a7cdaa54cp-16, 0x1.e7de42d1d7e4ep-16, 0x1.e49c6cf1d1a04p-16, 0x1.e15e295593bbbp-16, 0x1.de237b0368683p-16, 0x1.daec64e054a18p-16, 0x1.d7b8e9b03cee4p-16, 0x1.d4890c16b9391p-16, 0x1.d15cce97ab6a7p-16, 0x1.ce34339570141p-16, 0x1.cb0f3d59a0dfap-16, 0x1.c7edee085511ap-16, 0x1.c4d047a902f44p-16, 0x1.c1b64c2790f07p-16, 0x1.be9ffd517fef7p-16, 0x1.bb8d5cd781099p-16, 0x1.b87e6c4dec6bap-16, 0x1.b5732d2d137c2p-16, 0x1.b26ba0d19529fp-16, 0x1.af67c87ca6b37p-16, 0x1.ac67a554673d1p-16, 0x1.a96b386493f5bp-16, 0x1.a672829f7246ep-16, 0x1.a37d84e07191ep-16, 0x1.a08c3feec899cp-16, 0x1.9d9eb47a7bdd7p-16, 0x1.9ab4e30e5b495p-16, 0x1.97cecc1140b5ap-16, 0x1.94ec6fe25bd9dp-16, 0x1.920dced634539p-16, 0x1.8f32e91776c9dp-16, 0x1.8c5bbeadc628bp-16, 0x1.89884f9e1e94p-16, 0x1.86b89beb325bap-16, 0x1.83eca37cd5e99p-16, 0x1.81246617e8d2dp-16, 0x1.7e5fe366aa065p-16, 0x1.7b9f1b03bb6a2p-16, 0x1.78e20c6b2cb77p-16, 0x1.7628b71487b03p-16, 0x1.73731a623b35ap-16, 0x1.70c1359fe97e9p-16, 0x1.6e130809528c1p-16, 0x1.6b6890c8b463cp-16, 0x1.68c1cef8622ffp-16, 0x1.661ec1a092eb4p-16, 0x1.637f67aa45a81p-16, 0x1.60e3bfea04536p-16, 0x1.5e4bc93fbdbe6p-16, 0x1.5bb7827915b45p-16, 0x1.5926ea439a282p-16, 0x1.5699ff3c2527p-16, 0x1.5410bff30ae65p-16, 0x1.518b2aeaef727p-16, 0x1.4f093e9813423p-16, 0x1.4c8af95ff6427p-16, 0x1.4a10599992ec9p-16, 0x1.47995d8d8d1cdp-16, 0x1.4526037693596p-16, 0x1.42b64981c0199p-16, 0x1.404a2dcee11bfp-16, 0x1.3de1ae70f12d7p-16, 0x1.3b7cc96e22f87p-16, 0x1.391b7cbea285fp-16, 0x1.36bdc64eb03b5p-16, 0x1.3463a40091549p-16, 0x1.320d13a9653e2p-16, 0x1.2fba13119c7a2p-16, 0x1.2d6a9ff85f153p-16, 0x1.2b1eb82170b11p-16, 0x1.28d6590368e7bp-16, 0x1.2691806f0c6a6p-16, 0x1.24502be8f3b0ap-16, 0x1.221258f9fe787p-16, 0x1.1fd805230f812p-16, 0x1.1da12dda28837p-16, 0x1.1b6dd08adcc3cp-16, 0x1.193dea9737a7bp-16, 0x1.171179588fd71p-16, 0x1.14e87a1faf961p-16, 0x1.12c2ea34c37a3p-16, 0x1.10a0c6d7f32cfp-16, 0x1.0e820d425c2efp-16, 0x1.0c66baa6966dcp-16, 0x1.0a4ecc2fe90ffp-16, 0x1.083a3f00e67e5p-16, 0x1.06291032c3c6ap-16, 0x1.041b3cd732066p-16, 0x1.0210c1fa2dbfcp-16, 0x1.00099ca0ba96fp-16, 0x1.fc0b9390968f6p-17, 0x1.f80a8ccf2c6e6p-17, 0x1.f4101ede9613bp-17, 0x1.f01c4394ec278p-17, 0x1.ec2ef4bd93b0cp-17, 0x1.e8482c1a28fdbp-17, 0x1.e467e3635ab1bp-17, 0x1.e08e144b5f8ep-17, 0x1.dcbab864f4d91p-17, 0x1.d8edc92befcd3p-17, 0x1.d5274045d9b23p-17, 0x1.d1671745236cep-17, 0x1.cdad47a778087p-17, 0x1.c9f9cad06c43ap-17, 0x1.c64c9a65e5a24p-17, 0x1.c2a5af63918bfp-17, 0x1.bf05034529d96p-17, 0x1.bb6a91a0783e1p-17, 0x1.b7d64dfe6aaa5p-17, 0x1.b44834097b0d6p-17, 0x1.b0c0402be54b8p-17, 0x1.ad3e69edfea7dp-17, 0x1.a9c2a9e20534ap-17, 0x1.a64cf930fbf26p-17, 0x1.a2dd5110cb8f2p-17, 0x1.9f73aaac9098p-17, 0x1.9c0fff23b3726p-17, 0x1.98b2478c56effp-17, 0x1.955a7cf54f44ep-17, 0x1.92089867ae59p-17, 0x1.8ebc92e9f7cbcp-17, 0x1.8b766586ff289p-17, 0x1.883609545441dp-17, 0x1.84fb7752ae53ep-17, 0x1.81c6a82dc1c5bp-17, 0x1.7e979499277cbp-17, 0x1.7b6e35c6473b1p-17, 0x1.784a84e3fd5c9p-17, 0x1.752c7ae078d81p-17, 0x1.7214109624c1ep-17, 0x1.6f013ee2c5aadp-17, 0x1.6bf3fea7e5b6p-17, 0x1.68ec48c8d94fbp-17, 0x1.65ea162c45bafp-17, 0x1.62ed5fc814a23p-17, 0x1.5ff61edc115d4p-17, 0x1.5d044d015a05ap-17, 0x1.5a17e159292c4p-17, 0x1.5730d322c35e8p-17, 0x1.544f1db2e45c7p-17, 0x1.5172ba42d9d7fp-17, 0x1.4e9ba11b1f321p-17, 0x1.4bc9cac0ecf5fp-17, 0x1.48fd33fb347eep-17, 0x1.4635cd85d7092p-17, 0x1.437397cc35667p-17, 0x1.40b68598a0b39p-17, 0x1.3dfe95683b65bp-17, 0x1.3b4bbd7447844p-17, 0x1.389df6a2ed5f9p-17, 0x1.35f539f55d1dcp-17, 0x1.33518064106c6p-17, 0x1.30b2c2e377173p-17, 0x1.2e18fa696d616p-17, 0x1.2b8420015c6e1p-17, 0x1.28f42ce491368p-17, 0x1.26691a2e9af45p-17, 0x1.23e2e04118a43p-17, 0x1.216177980fafcp-17, 0x1.1ee4d9b4c203p-17, 0x1.1c6d00376693ap-17, 0x1.19f9e445e7bffp-17, 0x1.178b7ec0c29abp-17, 0x1.1521c8693addbp-17, 0x1.12bcb9b7d5433p-17, 0x1.105c4aa47d23p-17, 0x1.0e0072eb0a6f6p-17, 0x1.0ba92af7a7dabp-17, 0x1.09566cba9d91dp-17, 0x1.070833d6cb624p-17, 0x1.04be7bcaaa9ccp-17, 0x1.02793b75129aep-17, 0x1.00386c406675cp-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{0x1.fc8e93c550619p-1, 0x1.fa852d8de201bp-1, 0x1.f7afc5647843p-1, 0x1.f412bed473f78p-1, 0x1.efb389eccefaap-1, 0x1.ea988476a9137p-1, 0x1.e4c8da0b1208cp-1, 0x1.de4c6439c699ap-1, 0x1.d72b8ba10ceccp-1, 0x1.cf6f2a94591cap-1, 0x1.c72071ba0fa86p-1, 0x1.be48cedefbde7p-1, 0x1.b4f1d61de4551p-1, 0x1.ab252d61913eep-1, 0x1.a0ec7a35ff7c7p-1, 0x1.965151d128239p-1, 0x1.8b5d2b338017ap-1, 0x1.8019533b4a3b4p-1, 0x1.748ee2833a0b8p-1, 0x1.68c6b4e405796p-1, 0x1.5cc96271057bap-1, 0x1.509f39c95d2f4p-1, 0x1.44503b991ce25p-1, 0x1.37e417282ef17p-1, 0x1.2b6227d762736p-1, 0x1.1ed1736e8d325p-1, 0x1.1238a9214c70ap-1, 0x1.059e21327636ep-1, 0x1.f20fba414a0b3p-2, 0x1.d8f7109119f39p-2, 0x1.bffcf1d7a3e7bp-2, 0x1.a72b631a00f89p-2, 0x1.8e8bc526087f1p-2, 0x1.7626d85015715p-2, 0x1.5e04c092528cep-2, 0x1.462d09facaaa8p-2, 0x1.2ea6ad57c4631p-2, 0x1.17781513f795dp-2, 0x1.00a7223600343p-2, 0x1.d47262f01ba23p-3, 0x1.a86640dc8e139p-3, 0x1.7d32a567282a8p-3, 0x1.52df6e2b5f758p-3, 0x1.29739974ae9c4p-3, 0x1.00f55070ac43ap-3, 0x1.b2d3e27fdc905p-4, 0x1.65ac31bc1a9ffp-4, 0x1.1a7b59b50ec1bp-4, 0x1.a28f93744d5e4p-5, 0x1.142d4fc46d4bcp-5, 0x1.13af8ca61e6bap-6, 0x1.ca45115e6c8d5p-12, -0x1.fa63ea1ba78d5p-7, -0x1.f95ec9e93baa5p-6, -0x1.76af39e621cd3p-5, -0x1.ec9ac6894396ap-5, -0x1.2f3b0144617cbp-4, -0x1.66233998b5afap-4, -0x1.9b0987d64e52ep-4, -0x1.cdf21327446bfp-4, -0x1.fee1a17ac5ae7p-4, -0x1.16eec59ddb201p-3, -0x1.2d75d7c629fe8p-3, -0x1.430934824f4d8p-3, -0x1.57ac417891a4dp-3, -0x1.6b629787d0713p-3, -0x1.7e2ffde3481aap-3, -0x1.9018656a72ee7p-3, -0x1.a11fe43b6b249p-3, -0x1.b14ab17e54a66p-3, -0x1.c09d216833cffp-3, -0x1.cf1ba1738d984p-3, -0x1.dccab4cd3f261p-3, -0x1.e9aef0f3d6c53p-3, -0x1.f5ccfa87dee46p-3, -0x1.0094c125af03ap-2, -0x1.05e4a1277b16p-2, -0x1.0ad87da57d655p-2, -0x1.0f72b9116eb04p-2, -0x1.13b5b6c8abc12p-2, -0x1.17a3d9fdd8c2fp-2, -0x1.1b3f84b551cf5p-2, -0x1.1e8b16d39a707p-2, -0x1.2188ed3d0da7ap-2, -0x1.243b6106107ap-2, -0x1.26a4c6b30822bp-2, -0x1.28c76d875eb7bp-2, -0x1.2aa59ee2e5745p-2, -0x1.2c419dace1388p-2, -0x1.2d9da5cc1b6e5p-2, -0x1.2ebbebab4fc51p-2, -0x1.2f9e9bc9586dcp-2, -0x1.3047da5479324p-2, -0x1.30b9c2d036122p-2, -0x1.30f667c5227fap-2, -0x1.30ffd27a196cp-2, -0x1.30d802b659c1cp-2, -0x1.3080ee8c027a4p-2, -0x1.2ffc822a6d021p-2, -0x1.2f4c9fb7f3209p-2, -0x1.2e731f32a1badp-2, -0x1.2d71ce5772d77p-2, -0x1.2c4a708f9cfc7p-2, -0x1.2afebee3901a9p-2, -0x1.299067f3448bap-2, -0x1.28010ff3761bep-2, -0x1.265250af763b2p-2, -0x1.2485b98f4237p-2, -0x1.229ccfa183559p-2, -0x1.20990da935854p-2, -0x1.1e7be42ea507cp-2, -0x1.1c46b9937eecap-2, -0x1.19faea29b495cp-2, -0x1.1799c84cefdccp-2, -0x1.15249c7e5eac2p-2, -0x1.129ca5829f83fp-2, -0x1.1003188197ef9p-2, -0x1.0d592128041b1p-2, -0x1.0a9fe1ca92ac3p-2, -0x1.07d8738a5c0dap-2, -0x1.0503e67a903abp-2, -0x1.022341c73619bp-2, -0x1.fe6f07b99ff5p-3, -0x1.f883452196894p-3, -0x1.f2851695304f1p-3, -0x1.ec76465a9a4c3p-3, -0x1.e6588e836f693p-3, -0x1.e02d994185335p-3, -0x1.d9f7013c3c8f6p-3, -0x1.d3b651e617ea2p-3, -0x1.cd6d07d2773adp-3, -0x1.c71c910b5e94ap-3, -0x1.c0c64d6710bc5p-3, -0x1.ba6b8edd66e51p-3, -0x1.b40d99dccdd2dp-3, -0x1.adada59ec3726p-3, -0x1.a74cdc7bbc45p-3, -0x1.a0ec5c3e644f3p-3, -0x1.9a8d36761da2dp-3, -0x1.943070c8a7686p-3, -0x1.8dd70542e65d9p-3, -0x1.8781e2a8ba8dep-3, -0x1.8131ecc3d18fcp-3, -0x1.7ae7fcb169d57p-3, -0x1.74a4e12f06323p-3, -0x1.6e695ee5f8f11p-3, -0x1.683630b5c4bc2p-3, -0x1.620c07fd56d7fp-3, -0x1.5beb8ce2f9479p-3, -0x1.55d55e9b1abffp-3, -0x1.4fca13adc85b3p-3, -0x1.49ca3a3ae8e0ap-3, -0x1.43d6583d345a9p-3, -0x1.3deeebcbdac88p-3, -0x1.38146b5ae55cp-3, -0x1.324745fa4ddbdp-3, -0x1.2c87e393c988ap-3, -0x1.26d6a527431ddp-3, -0x1.2133e50618297p-3, -0x1.1b9ff70cfbd3bp-3, -0x1.161b28dca4066p-3, -0x1.10a5c211222c4p-3, -0x1.0b40047800287p-3, -0x1.05ea2c451e019p-3, -0x1.00a470464bdbp-3, -0x1.f6de042b5ad9cp-4, -0x1.ec941c95c8b1cp-4, -0x1.e26b79560b801p-4, -0x1.d86460aec2867p-4, -0x1.ce7f0ff6365fap-4, -0x1.c4bbbbef33b1cp-4, -0x1.bb1a911fada61p-4, -0x1.b19bb4250a3f2p-4, -0x1.a83f42064648ep-4, -0x1.9f055083e6568p-4, -0x1.95edee65b8515p-4, -0x1.8cf923c684e98p-4, -0x1.8426f25d9e165p-4, -0x1.7b7755c66bb7ep-4, -0x1.72ea43c5f08cap-4, -0x1.6a7fac8e566ebp-4, -0x1.62377b008bb2dp-4, -0x1.5a1194ebf60f2p-4, -0x1.520ddb4c4b0b7p-4, -0x1.4a2c2a85909f8p-4, -0x1.426c5a9e54113p-4, -0x1.3ace3f781d3b9p-4, -0x1.3351a906289f9p-4, -0x1.2bf663827028ep-4, -0x1.24bc37a10ecaep-4, -0x1.1da2eac202a72p-4, -0x1.16aa3f215a67bp-4, -0x1.0fd1f405d7212p-4, -0x1.0919c5ee0720fp-4, -0x1.02816ebbe7bc3p-4, -0x1.f8114bbe2290cp-5, -0x1.eb5e40faf7b24p-5, -0x1.dee92335b81bfp-5, -0x1.d2b1547d57fd5p-5, -0x1.c6b63331b9827p-5, -0x1.baf71a4a82266p-5, -0x1.af73619b68a1p-5, -0x1.a42a5e160f247p-5, -0x1.991b62097748ep-5, -0x1.8e45bd5f20e4p-5, -0x1.83a8bdd5e2edcp-5, -0x1.7943af3a86e33p-5, -0x1.6f15db9e40b2p-5, -0x1.651e8b8b0709fp-5, -0x1.5b5d0635de61ap-5, -0x1.51d091af26289p-5, -0x1.48787310f25aep-5, -0x1.3f53eeab7fe4p-5, -0x1.3662482fd3a56p-5, -0x1.2da2c2d88dfacp-5, -0x1.2514a190fc96dp-5, -0x1.1cb7271a83b2fp-5, -0x1.14899630583c7p-5, -0x1.0c8b31a9a7d9ep-5, -0x1.04bb3c9a30303p-5, -0x1.fa31f4e2ab2dfp-6, -0x1.eb475e2f8795ap-6, -0x1.dcb53e1747092p-6, -0x1.ce7a1ef6d8b4ep-6, -0x1.c0948cbecd3bep-6, -0x1.b3031523c00ffp-6, -0x1.a5c447cc3477ep-6, -0x1.98d6b67c16d25p-6, -0x1.8c38f53ddb0bbp-6, -0x1.7fe99a894d635p-6, -0x1.73e73f683e508p-6, -0x1.68307f9901c97p-6, -0x1.5cc3f9aee3b31p-6, -0x1.51a04f309e251p-6, -0x1.46c424b4e1b03p-6, -0x1.3c2e21fd013f6p-6, -0x1.31dcf20ddb9cbp-6, -0x1.27cf4346fb90cp-6, -0x1.1e03c778176cdp-6, -0x1.147933f4ee973p-6, -0x1.0b2e41a79f23ep-6, -0x1.0221ad217594fp-6, -0x1.f2a46d54a8a35p-7, -0x1.e17d449d616ep-7, -0x1.d0cb6fd87f975p-7, -0x1.c08c867ab4a9ap-7, -0x1.b0be27c645b31p-7, -0x1.a15dfadd02931p-7, -0x1.9269aecfecc5cp-7, -0x1.83defaacbd88dp-7, -0x1.75bb9d89471f1p-7, -0x1.67fd5e8ce277p-7, -0x1.5aa20cf7e7c96p-7, -0x1.4da7802958328p-7, -0x1.410b97a2c4821p-7, -0x1.34cc3b0a809afp-7, -0x1.28e75a2c4648p-7, -0x1.1d5aecf85119bp-7, -0x1.1224f380f3276p-7, -0x1.074375f6e10d4p-7, -0x1.f9690948312a8p-8, -0x1.e4ec6fcb16468p-8, -0x1.d10d60472bc55p-8, -0x1.bdc82b92ba337p-8, -0x1.ab19327615448p-8, -0x1.98fce5962647dp-8, -0x1.876fc55cf21a2p-8, -0x1.766e61e06605fp-8, -0x1.65f55ac75c16p-8, -0x1.56015f2cfe8a7p-8, -0x1.468f2d82c4b5p-8, -0x1.379b9370e45bbp-8, -0x1.29236db571e7p-8, -0x1.1b23a80246ffbp-8, -0x1.0d993cd9c3988p-8, -0x1.0081356a7bf7dp-8, -0x1.e7b152d387faap-9, -0x1.cf397ddaf8d3p-9, -0x1.b7955489af1cep-9, -0x1.a0bf5ba102718p-9, -0x1.8ab233b3b690cp-9, -0x1.756898d3746e1p-9, -0x1.60dd623cddc4ap-9, -0x1.4d0b8202a7485p-9, -0x1.39ee04b7b8e33p-9, -0x1.278011185eb2bp-9, -0x1.15bce7b2e2955p-9, -0x1.049fe28f43fa4p-9, -0x1.e848e9ad39e04p-10, -0x1.c88c54f3d567ap-10, -0x1.aa014fb125624p-10, -0x1.8c9f52cce5f81p-10, -0x1.705e06a3ded1ep-10, -0x1.5535425337217p-10, -0x1.3b1d0b046749ep-10, -0x1.220d933894c9ap-10, -0x1.09ff3a1417cc7p-10, -0x1.e5d515551961dp-11, -0x1.b99076965be5ep-11, -0x1.8f22599b6ca44p-11, -0x1.667cd3c0081f7p-11, -0x1.3f924ca7dd00cp-11, -0x1.1a557cdd25fc2p-11, -0x1.ed72d8e081289p-12, -0x1.a962e332fc808p-12, -0x1.68625ebb817a7p-12, -0x1.2a592867f904ap-12, -0x1.de5f62b96cb05p-13, -0x1.6d9df895fd2a9p-13, -0x1.02413599fc5e9p-13, -0x1.383aab232516ep-14, -0x1.d83d3d6b941e8p-16, 0x1.094bb501dfa55p-16, 0x1.e27a7aef152afp-15, 0x1.96fecbd690575p-14, 0x1.19f262540a408p-13, 0x1.641d2fe7e350bp-13, 0x1.aa24754a9b5dbp-13, 0x1.ec2be8a3dd0a6p-13, 0x1.152b2a33117a7p-12, 0x1.3262ce027768fp-12, 0x1.4dcd604deb37dp-12, 0x1.677af2c47a442p-12, 0x1.7f7b2a7b5bf14p-12, 0x1.95dd422b8fd46p-12, 0x1.aab00c67ed947p-12, 0x1.be01f5cadfe29p-12, 0x1.cfe1071c60f66p-12, 0x1.e05ae770e8a56p-12, 0x1.ef7cde4055497p-12, 0x1.fd53d574fb995p-12, 0x1.04f62db92a0b3p-11, 0x1.0aa9528a7352cp-11, 0x1.0fc947d4712c3p-11, 0x1.145bd16cc860fp-11, 0x1.1866894d3d25ap-11, 0x1.1beee08328bffp-11, 0x1.1efa201bc1992p-11, 0x1.218d6a0c68991p-11, 0x1.23adba16efdc3p-11, 0x1.255fe6a9e63eap-11, 0x1.26a8a1bdc5174p-11, 0x1.278c79adc7d04p-11, 0x1.280fda0cef0fbp-11, 0x1.28370c77b486ep-11, 0x1.280639617f228p-11, 0x1.278168de64ccap-11, 0x1.26ac836a30c5dp-11, 0x1.258b52aab98f6p-11, 0x1.2421822f12f08p-11, 0x1.2272a02b37e2fp-11, 0x1.20821e3047a5dp-11, 0x1.1e5351e08f20dp-11, 0x1.1be975a0ee83cp-11, 0x1.1947a946c2bc6p-11, 0x1.1670f2c217fccp-11, 0x1.13683ec496963p-11, 0x1.103061654ea39p-11, 0x1.0ccc16c12b1dfp-11, 0x1.093e0397effbfp-11, 0x1.0588b5e64c0b6p-11, 0x1.01aea57d3743ep-11, 0x1.fb64692a68508p-12, 0x1.f32b60bef2749p-12, 0x1.eab6a3270e265p-12, 0x1.e20a79f39cc49p-12, 0x1.d92b07e77d88p-12, 0x1.d01c4a0111e44p-12, 0x1.c6e2187f20902p-12, 0x1.bd8027dee9357p-12, 0x1.b3fa09d5c3d1ap-12, 0x1.aa532e44e6a3ap-12, 0x1.a08ee42707e51p-12, 0x1.96b05a7a2c6e3p-12, 0x1.8cbaa1234efdep-12, 0x1.82b0a9cd7f60fp-12, 0x1.789548c3e467ap-12, 0x1.6e6b35c60307fp-12, 0x1.64350cd8b82d1p-12, 0x1.59f54f1107904p-12, 0x1.4fae635acc46ep-12, 0x1.4562973ad2536p-12, 0x1.3b141f8c91111p-12, 0x1.30c5193b88bb6p-12, 0x1.267789f7c243p-12, 0x1.1c2d60e64e91dp-12, 0x1.11e8774dcce46p-12, 0x1.07aa913eac1dfp-12, 0x1.faeabc6dd914fp-13, 0x1.e694f38567a67p-13, 0x1.d256d83130a6fp-13, 0x1.be335564a1799p-13, 0x1.aa2d31c2698d5p-13, 0x1.964710bed0decp-13, 0x1.828373bafb21p-13, 0x1.6ee4bb1881223p-13, 0x1.5b6d274671561p-13, 0x1.481ed9c7feaf2p-13, 0x1.34fbd6342ff03p-13, 0x1.2206032ea8ad4p-13, 0x1.0f3f2b5ac8249p-13, 0x1.f951fc9065af3p-14, 0x1.d48a22b1e9aa9p-14, 0x1.b029c143ba10ep-14, 0x1.8c339f8ada1c6p-14, 0x1.68aa55909fcf2p-14, 0x1.45904dc364cp-14, 0x1.22e7c6873a64dp-14, 0x1.00b2d3bfe9c56p-14, 0x1.bde6c0a0400c7p-15, 0x1.7b565f185f2ecp-15, 0x1.39b7bd46fa132p-15, 0x1.f21b980a9e2acp-16, 0x1.72b66a99e7cdp-16, 0x1.ea897b6b35fecp-17, 0x1.e72b65918f33p-18, 0x1.321c8bd447177p-26, -0x1.dccba54073a47p-18, -0x1.d9613a96ad5fep-17, -0x1.602a2abee8749p-16, -0x1.d19d93c89cc88p-16, -0x1.2084a138db24fp-15, -0x1.573602499ccfep-15, -0x1.8ce283dfd6fb1p-15, -0x1.c189eab37b144p-15, -0x1.f52c27853c1dp-15, -0x1.13e4aaa2e6fc8p-14, -0x1.2cb0dba5fabecp-14, -0x1.44fadbce7194fp-14, -0x1.5cc2f29c9cd64p-14, -0x1.7409793dba704p-14, -0x1.8aced9c3d087ep-14, -0x1.a1138e5d9ee61p-14, -0x1.b6d8209b445a7p-14, -0x1.cc1d28b3facc7p-14, -0x1.e0e34cd3d6f57p-14, -0x1.f52b406e6f2afp-14, -0x1.047ae1cb80e73p-13, -0x1.0e21d12f1d73fp-13, -0x1.178ada19ab6bfp-13, -0x1.20b66da656f9dp-13, -0x1.29a50209ff3f5p-13, -0x1.3257124be2f0ap-13, -0x1.3acd1e0026b67p-13, -0x1.4307a9058c84bp-13, -0x1.4b073b446c7f2p-13, -0x1.52cc60703cb14p-13, -0x1.5a57a7cba6b27p-13, -0x1.61a9a3edbad09p-13, -0x1.68c2ea892672p-13, -0x1.6fa414367596p-13, -0x1.764dbc3f2466ap-13, -0x1.7cc0806b07c51p-13, -0x1.82fd00cef4b0fp-13, -0x1.8903df9e0404bp-13, -0x1.8ed5c0fbb2dfep-13, -0x1.94734acf49205p-13, -0x1.99dd249b3b78fp-13, -0x1.9f13f752896bfp-13, -0x1.a4186d322297bp-13, -0x1.a8eb319b092a9p-13, -0x1.ad8cf0ee1d7a9p-13, -0x1.b1fe586895a63p-13, -0x1.b64016027952ap-13, -0x1.ba52d84eb5708p-13, -0x1.be374e5b2531p-13, -0x1.c1ee2792abb52p-13, -0x1.c57813a18d4b4p-13, -0x1.c8d5c258a78b8p-13, -0x1.cc07e39368eaep-13, -0x1.cf0f271e5f9fdp-13, -0x1.d1ec3c9f75457p-13, -0x1.d49fd37dd4066p-13, -0x1.d72a9acbffa1cp-13, -0x1.d98d4132e36e5p-13, -0x1.dbc874dd0719fp-13, -0x1.dddce362e2bc2p-13, -0x1.dfcb39b8ccbd7p-13, -0x1.e194241d177b6p-13, -0x1.e3384e06df76ep-13, -0x1.e4b862163a98p-13, -0x1.e6150a04f140bp-13, -0x1.e74eee97dd1b6p-13, -0x1.e866b790eaf16p-13, -0x1.e95d0ba1fafbp-13, -0x1.ea329060f455dp-13, -0x1.eae7ea3b747f6p-13, -0x1.eb7dbc6b7b03cp-13, -0x1.ebf4a8edb29a7p-13, -0x1.ec4d5076a13c9p-13, -0x1.ec885269e1bfep-13, -0x1.eca64cd104457p-13, -0x1.eca7dc53b852ap-13, -0x1.ec8d9c2fc8133p-13, -0x1.ec582631cfdc2p-13, -0x1.ec0812ae934e2p-13, -0x1.eb9df87d13398p-13, -0x1.eb1a6cf0496fap-13, -0x1.ea7e03d2004ep-13, -0x1.e9c94f5df6d9dp-13, -0x1.e8fce03d15f7dp-13, -0x1.e8194581a00bp-13, -0x1.e71f0ca314038p-13, -0x1.e60ec17b3e2b7p-13, -0x1.e4e8ee42ed13fp-13, -0x1.e3ae1b8f2e845p-13, -0x1.e25ed04ef6b2ap-13, -0x1.e0fb91c939dffp-13, -0x1.df84e39b34cb2p-13, -0x1.ddfb47b69937fp-13, -0x1.dc5f3e60c5126p-13, -0x1.dab14631b26a6p-13, -0x1.d8f1dc13451c2p-13, -0x1.d7217b40f9bf6p-13, -0x1.d5409d4784608p-13, -0x1.d34fba055fb74p-13, -0x1.d14f47aa7c164p-13, -0x1.cf3fbab942d34p-13, -0x1.cd2186069d7bdp-13, -0x1.caf51abbb9fe9p-13, -0x1.c8bae856556dep-13, -0x1.c6735caa67d72p-13, -0x1.c41ee3e34731ap-13, -0x1.c1bde88585a7p-13, -0x1.bf50d3708b66ap-13, -0x1.bcd80be038953p-13, -0x1.ba53f76f33453p-13, -0x1.b7c4fa1906993p-13, -0x1.b52b763c521dp-13, -0x1.b287cc9d29c1ap-13, -0x1.afda5c676770cp-13, -0x1.ad238331d217fp-13, -0x1.aa639d003930ep-13, -0x1.a79b044698325p-13, -0x1.a4ca11ebc31c7p-13, -0x1.a1f11d4ca23bbp-13, -0x1.9f107c3f3b7adp-13, -0x1.9c288315790e5p-13, -0x1.993984a0c116ap-13, -0x1.9643d23511dcfp-13, -0x1.9347bbac73a0fp-13, -0x1.90458f6a44927p-13, -0x1.8d3d9a5e7f639p-13, -0x1.8a302809aeca8p-13, -0x1.871d828009be7p-13, -0x1.8405f26d43d88p-13, -0x1.80e9bf181126p-13, -0x1.7dc92e65cb4d5p-13, -0x1.7aa484de65104p-13, -0x1.777c05afce977p-13, -0x1.744ff2b1d26f9p-13, -0x1.71208c69ee064p-13, -0x1.6dee120f00b7dp-13, -0x1.6ab8c18d4f87ep-13, -0x1.6780d78a01be7p-13, -0x1.64468f673cf25p-13, -0x1.610a2347ef1c8p-13, -0x1.5dcbcc13a8e1fp-13, -0x1.5a8bc17a6d0e2p-13, -0x1.574a39f88bc3fp-13, -0x1.54076ada934bcp-13, -0x1.50c38841584cfp-13, -0x1.4d7ec52560678p-13, -0x1.4a39535b24f9ap-13, -0x1.46f36396baf88p-13, -0x1.43ad256fca0d2p-13, -0x1.4066c7656510ep-13, -0x1.3d2076e1ae4c2p-13, -0x1.39da603ddb2f1p-13, -0x1.3694aec5ef15p-13, -0x1.334f8cbc9928ap-13, -0x1.300b235ed5eebp-13, -0x1.2cc79ae7c25bbp-13, -0x1.29851a94607efp-13, -0x1.2643c8a7627d3p-13, -0x1.2303ca6cabadfp-13, -0x1.1fc5443d1714fp-13, -0x1.1c8859822f715p-13, -0x1.194d2cb9b8774p-13, -0x1.1613df7966df3p-13, -0x1.12dc927255ce6p-13, -0x1.0fa76574aa2f2p-13, -0x1.0c7477731769p-13, -0x1.0943e68652155p-13, -0x1.0615cff0b60b6p-13, -0x1.02ea50218a3e7p-13, -0x1.ff830570e517ap-14, -0x1.f937051200518p-14, -0x1.f2f0d33bd1c91p-14, -0x1.ecb0a278960d9p-14, -0x1.e676a3ce5ea78p-14, -0x1.e04306c56597dp-14, -0x1.da15f96e6d722p-14, -0x1.d3efa86980f1ep-14, -0x1.cdd03eebf9024p-14, -0x1.c7b7e6c6e40dfp-14, -0x1.c1a6c86d5d17cp-14, -0x1.bb9d0afa955d8p-14, -0x1.b59ad4381d077p-14, -0x1.afa048a3a856ap-14, -0x1.a9ad8b7530b2ap-14, -0x1.a3c2bea4dddf5p-14, -0x1.9de002f0e6026p-14, -0x1.980577e328d86p-14, -0x1.92333bd6f5113p-14, -0x1.8c696bfeecd6ap-14, -0x1.86a8246a2b5efp-14, -0x1.80ef800a26ee1p-14, -0x1.7b3f98b7e07e9p-14, -0x1.7598873962aeap-14, -0x1.6ffa634714e61p-14, -0x1.6a654390c32fep-14, -0x1.64d93dc3228e9p-14, -0x1.5f56668cc2acep-14, -0x1.59dcd1a2fd93ep-14, -0x1.546c91c731c6dp-14, -0x1.4f05b8cb4a63dp-14, -0x1.49a857970bfbfp-14, -0x1.44547e2c80f5ep-14, -0x1.3f0a3bace013cp-14, -0x1.39c99e5d3a963p-14, -0x1.3492b3aaef1b7p-14, -0x1.2f65883057f07p-14, -0x1.2a4227b9108a4p-14, -0x1.25289d46a17fep-14, -0x1.2018f31481331p-14, -0x1.1b13329ca0fcp-14, -0x1.1617649b8962p-14, -0x1.112591149497bp-14, -0x1.0c3dbf55d222ep-14, -0x1.075ff5fc733f2p-14, -0x1.028c3af828228p-14, -0x1.fb85271f45112p-15, -0x1.f20608c8559e5p-15, -0x1.e89b22ea8a37ep-15, -0x1.df447c49cbcd2p-15, -0x1.d6021a7552759p-15, -0x1.ccd401cf58f01p-15, -0x1.c3ba35940ab15p-15, -0x1.bab4b7e0b5aeep-15, -0x1.b1c389ba91e0dp-15, -0x1.a8e6ab15afad1p-15, -0x1.a01e1adb5eda4p-15, -0x1.9769d6f15758dp-15, -0x1.8ec9dc3f8c7e9p-15, -0x1.863e26b6fe9ebp-15, -0x1.7dc6b157d148cp-15, -0x1.75637637227adp-15, -0x1.6d146e85efae2p-15, -0x1.64d992964a8bdp-15, -0x1.5cb2d9e16f2bep-15, -0x1.54a03b0dd93edp-15, -0x1.4ca1abf46d97ap-15, -0x1.44b721a653869p-15, -0x1.3ce090722afedp-15, -0x1.351debe9f3a2ep-15, -0x1.2d6f26e7da11bp-15, -0x1.25d433936fd98p-15, -0x1.1e4d03671073cp-15, -0x1.16d98734b288ep-15, -0x1.0f79af2af1c53p-15, -0x1.082d6ad9b0ea6p-15, -0x1.00f4a936f529bp-15, -0x1.f39eb146da60ap-16, -0x1.e57acdde7da17p-16, -0x1.d77d82bd3bd1ep-16, -0x1.c9a6a95b5b65dp-16, -0x1.bbf61a2adfdfdp-16, -0x1.ae6bac9f48d79p-16, -0x1.a10737364dec4p-16, -0x1.93c88f7f4aed3p-16, -0x1.86af8a2427c0fp-16, -0x1.79bbfaf13c2b7p-16, -0x1.6cedb4dc04377p-16, -0x1.60448a0bdce19p-16, -0x1.53c04be083e77p-16, -0x1.4760cafa8758dp-16, -0x1.3b25d7412beb2p-16, -0x1.2f0f3fe9ed4f5p-16, -0x1.231cd37faffcap-16, -0x1.174e5fe87f2a5p-16, -0x1.0ba3b26d3a8a7p-16, -0x1.001c97c001ec8p-16, -0x1.e971b8035d84cp-17, -0x1.d2f095915c046p-17, -0x1.bcb55e4dc8a12p-17, -0x1.a6bfa75f8937ap-17, -0x1.910f04fb65241p-17, -0x1.7ba30a6feebc9p-17, -0x1.667b4a322f59ap-17, -0x1.519755e5be456p-17, -0x1.3cf6be69ad2fap-17, -0x1.289913e1d7692p-17, -0x1.147de5c258a6fp-17, -0x1.00a4c2d8d7c63p-17, -0x1.da1a72aa47ce8p-18, -0x1.b36dadaa8dabbp-18, -0x1.8d4250d92598bp-18, -0x1.6797755bd0888p-18, -0x1.426c336b346bp-18, -0x1.1dbfa262004cap-18, -0x1.f321b19ac4875p-19, -0x1.abbdd90051858p-19, -0x1.6551e5455ced9p-19, -0x1.1fdbff7f9de2cp-19, -0x1.b6b49f639fbffp-20, -0x1.2f95f9c3ce652p-20, -0x1.54b0b511e52eep-21, -0x1.37c06466bc3a9p-23, 0x1.6a3a9a41c0ed7p-22, 0x1.b47eec6fba1d7p-21, 0x1.581e1aa5195d6p-20, 0x1.d42e4cb39fae8p-20, 0x1.2739e2d7f8fdep-19, 0x1.63791f8dd03bep-19, 0x1.9ed6b94361e7cp-19, 0x1.d9548ca9d7324p-19, 0x1.097a3b24598a3p-18, 0x1.25dc2931a8653p-18, 0x1.41d0fe73eadb2p-18, 0x1.5d59a8ab876f6p-18, 0x1.787715561027cp-18, 0x1.932a31a84cf2p-18, 0x1.ad73ea7f36ef5p-18, 0x1.c7552c5b21a42p-18, 0x1.e0cee351000ccp-18, 0x1.f9e1fb053e402p-18, 0x1.0947af51dabap-17, 0x1.156bfc69295d6p-17, 0x1.215e59d5bfd47p-17, 0x1.2d1f3c5b97b04p-17, 0x1.38af186f98851p-17, 0x1.440e623639b75p-17, 0x1.4f3d8d7e2d916p-17, 0x1.5a3d0dbc86cbap-17, 0x1.650d56098bbd4p-17, 0x1.6faed91d99fa9p-17, 0x1.7a22094d56f65p-17, 0x1.846758875dd17p-17, 0x1.8e7f384fa47e7p-17, 0x1.986a19be1c1d6p-17, 0x1.a2286d7ad8ad6p-17, 0x1.abbaa3bba6cb6p-17, 0x1.b5212c404ec56p-17, 0x1.be5c76511c76ap-17, 0x1.c76cf0bbf9161p-17, 0x1.d05309d2c0a18p-17, 0x1.d90f2f6695b5dp-17, 0x1.e1a1cec79af12p-17, 0x1.ea0b54c2c98b8p-17, 0x1.f24c2d9e036bp-17, 0x1.fa64c51865486p-17, 0x1.012ac333b03efp-16, 0x1.050f6e19d4148p-16, 0x1.08e0984c6f825p-16, 0x1.0c9e76918d364p-16, 0x1.10493d66c72p-16, 0x1.13e121007cae6p-16, 0x1.17665548be1bcp-16, 0x1.1ad90ddf045f6p-16, 0x1.1e397e17458c5p-16, 0x1.2187d8f961d25p-16, 0x1.24c4514060efbp-16, 0x1.27ef195975fd4p-16, 0x1.2b08636441b9dp-16, 0x1.2e10613217307p-16, 0x1.31074444e1412p-16, 0x1.33ed3dced4ce8p-16, 0x1.36c27eb28098p-16, 0x1.39873781c6efcp-16, 0x1.3c3b987d78d92p-16, 0x1.3edfd195f48f8p-16, 0x1.417412697ffcfp-16, 0x1.43f88a4477909p-16, 0x1.466d6820e50a2p-16, 0x1.48d2daa6607e2p-16, 0x1.4b291029b6435p-16, 0x1.4d7036ace12edp-16, 0x1.4fa87bde2f865p-16, 0x1.51d20d18f0a86p-16, 0x1.53ed1764a7af7p-16, 0x1.55f9c77533cc1p-16, 0x1.57f849aa88ee6p-16, 0x1.59e8ca104802fp-16, 0x1.5bcb745e19053p-16, 0x1.5da073f7e615cp-16, 0x1.5f67f3ed0124cp-16, 0x1.61221ef83f53ap-16, 0x1.62cf1f80a8c72p-16, 0x1.646f1f989ab77p-16, 0x1.660248fdc8e12p-16, 0x1.6788c51a8c964p-16, 0x1.6902bd0490a21p-16, 0x1.6a70597d36e2cp-16, 0x1.6bd1c2f1e8455p-16, 0x1.6d27217bdc912p-16, 0x1.6e709ce0775c4p-16, 0x1.6fae5c917852cp-16, 0x1.70e087acad644p-16, 0x1.720744fc6c8acp-16, 0x1.7322baf7aa217p-16, 0x1.74330fc221f71p-16, 0x1.7538692cb5b33p-16, 0x1.7632ecb500c03p-16, 0x1.7722bf863582dp-16, 0x1.78080678baa1dp-16, 0x1.78e2e6134d6aep-16, 0x1.79b3828a11de5p-16, 0x1.7a79ffbf910c9p-16, 0x1.7b368144ffb3ep-16, 0x1.7be92a5a1304p-16, 0x1.7c921ded1a8f9p-16, 0x1.7d317e9c5e7eap-16, 0x1.7dc76eb570758p-16, 0x1.7e5410358718p-16, 0x1.7ed784ca3963p-16, 0x1.7f51edd128345p-16, 0x1.7fc36c5900fa7p-16, 0x1.802c21218712dp-16, 0x1.808c2c9bbd94ap-16, 0x1.80e3aeea592b2p-16, 0x1.8132c7e232a79p-16, 0x1.8179970a8abd2p-16, 0x1.81b83b9d8f4fbp-16, 0x1.81eed48875649p-16, 0x1.821d806ba2ed5p-16, 0x1.82445d9bc4ec9p-16, 0x1.82638a217d509p-16, 0x1.827b23ba5e6e3p-16, 0x1.828b47d889ba3p-16, 0x1.829413a3f9166p-16, 0x1.8295a3fa497f6p-16, 0x1.8290156f17484p-16, 0x1.8283844c8fa91p-16, 0x1.82700c945ff9fp-16, 0x1.8255c9ff3bec4p-16, 0x1.8234d7fdb7278p-16, 0x1.820d51b8c0819p-16, 0x1.81df5211a6514p-16, 0x1.81aaf3a315841p-16, 0x1.817050c13b7bbp-16, 0x1.812f837a13e1p-16, 0x1.80e8a5960fd05p-16, 0x1.809bd09855424p-16, 0x1.80491dbf54ed6p-16, 0x1.7ff0a60544c59p-16, 0x1.7f92822081fb5p-16, 0x1.7f2eca83ac5dcp-16, 0x1.7ec5975eb8e4dp-16, 0x1.7e57009ec674dp-16, 0x1.7de31def1f1dcp-16, 0x1.7d6a06b9210c1p-16, 0x1.7cebd22520cb9p-16, 0x1.7c68971accb7ep-16, 0x1.7be06c412db4ep-16, 0x1.7b5367ff6f80bp-16, 0x1.7ac1a07d97ba7p-16, 0x1.7a2b2ba4b6298p-16, 0x1.79901f1f1ac8ap-16, 0x1.78f0905939799p-16, 0x1.784c9481cec5p-16, 0x1.77a4408a6c5dbp-16, 0x1.76f7a92811e38p-16, 0x1.7646e2d36d05p-16, 0x1.759201c95ecep-16, 0x1.74d91a0b5fd0bp-16, 0x1.741c3f6022fecp-16, 0x1.735b8553e5a5ep-16, 0x1.7296ff38e372ap-16, 0x1.71cec027ea285p-16, 0x1.7102db008706bp-16, 0x1.70336269e11f3p-16, 0x1.6f6068d2dbebbp-16, 0x1.6e8a00728eecp-16, 0x1.6db03b48d399dp-16, 0x1.6cd32b1eb7fb5p-16, 0x1.6bf2e18717661p-16, 0x1.6b0f6fdeb01dp-16, 0x1.6a28e74cbe3d1p-16, 0x1.693f58c374134p-16, 0x1.6852d500c8324p-16, 0x1.67636c8e1e41cp-16, 0x1.66712fc1519bcp-16, 0x1.657c2ebd0bc46p-16, 0x1.6484797103d2ep-16, 0x1.638a1f9a9db17p-16, 0x1.628d30c559cd2p-16, 0x1.618dbc4b3ab01p-16, 0x1.608bd155138c3p-16, 0x1.5f877edb1f8ddp-16, 0x1.5e80d3a54b5acp-16, 0x1.5d77de4bd7ec7p-16, 0x1.5c6cad37c9879p-16, 0x1.5b5f4ea303d6ap-16, 0x1.5a4fd098d4fbcp-16, 0x1.593e40f6b1a33p-16, 0x1.582aad6c48778p-16, 0x1.5715237beef05p-16, 0x1.55fdb07b3c3edp-16, 0x1.54e46193496f8p-16, 0x1.53c943c16929p-16, 0x1.52ac63d715a8ep-16, 0x1.518dce7a90026p-16, 0x1.506d90275a9e7p-16, 0x1.4f4bb52eb249ep-16, 0x1.4e2849b7c2172p-16, 0x1.4d0359c01e963p-16, 0x1.4bdcf11c3cb9dp-16, 0x1.4ab51b77a500ap-16, 0x1.498be45570d65p-16, 0x1.48615710e5807p-16, 0x1.47357edd948b5p-16, 0x1.460866c7ce5c3p-16, 0x1.44da19b4f8a9ap-16, 0x1.43aaa26413c9cp-16, 0x1.427a0b6df0bd6p-16, 0x1.41485f45c9f33p-16, 0x1.4015a839674efp-16, 0x1.3ee1f071bd68fp-16, 0x1.3dad41f2e2066p-16, 0x1.3c77a69cdae7dp-16, 0x1.3b41282be013bp-16, 0x1.3a09d03889f4cp-16, 0x1.38d1a8385a427p-16, 0x1.3798b97e01e69p-16, 0x1.365f0d39cf3c9p-16, 0x1.3524ac79efa45p-16, 0x1.33e9a02acb052p-16, 0x1.32adf1179109cp-16, 0x1.3171a7ea5afe1p-16, 0x1.3034cd2c90b0cp-16, 0x1.2ef769473363ap-16, 0x1.2db9848360388p-16, 0x1.2c7b270a8412bp-16, 0x1.2b3c58e6a5cf4p-16, 0x1.29fd2202d53cep-16, 0x1.28bd8a2b83bd7p-16, 0x1.277d990ecd0d5p-16, 0x1.263d563cd942cp-16, 0x1.24fcc927fbc9fp-16, 0x1.23bbf925300e4p-16, 0x1.227aed6c7444cp-16, 0x1.2139ad1924372p-16, 0x1.1ff83f2a18402p-16, 0x1.1eb6aa81f5ff9p-16, 0x1.1d74f5e79de16p-16, 0x1.1c33280692e12p-16, 0x1.1af1476f314d9p-16, 0x1.19af5a96c0ccp-16, 0x1.186d67d7fd418p-16, 0x1.172b75736334p-16, 0x1.15e9898f8fa0ep-16, 0x1.14a7aa394c3cdp-16, 0x1.1365dd63d2771p-16, 0x1.122428e96b717p-16, 0x1.10e2928b7cf88p-16, 0x1.0fa11ff2e5bfap-16, 0x1.0e5fd6b03cca3p-16, 0x1.0d1ebc3bf90cep-16, 0x1.0bddd5f6e90bap-16, 0x1.0a9d292a6b0e2p-16, 0x1.095cbb08a835ep-16, 0x1.081c90acd5586p-16, 0x1.06dcaf1b8a2fdp-16, 0x1.059d1b43017c7p-16, 0x1.045dd9fb51f1dp-16, 0x1.031ef006a66adp-16, 0x1.01e0621185406p-16, 0x1.00a234b3369b9p-16, 0x1.fec8d8dbc4018p-17, 0x1.fc4e1b5d7488dp-17, 0x1.f9d4399ccd7e1p-17, 0x1.f75b3c226a0bp-17, 0x1.f4e32b4eadc2cp-17, 0x1.f26c0f5a224e6p-17, 0x1.eff5f0560d4ep-17, 0x1.ed80d62ce685dp-17, 0x1.eb0cc8a2f7d58p-17, 0x1.e899cf56984ebp-17, 0x1.e627f1c096da5p-17, 0x1.e3b73734e4469p-17, 0x1.e147a6e30ae4ep-17, 0x1.ded947d64427ap-17, 0x1.dc6c20f673651p-17, 0x1.da00390851131p-17, 0x1.d79596add9bf7p-17, 0x1.d52c406699005p-17, 0x1.d2c43c905211ap-17, 0x1.d05d916767987p-17, 0x1.cdf8450728045p-17, 0x1.cb945d6a3b16ap-17, 0x1.c931e06b23969p-17, 0x1.c6d0d3c4d3c16p-17, 0x1.c4713d129bff4p-17, 0x1.c21321d0d9447p-17, 0x1.bfb6875d685bfp-17, 0x1.bd5b72f8136eap-17, 0x1.bb01e9c2a1dd8p-17, 0x1.b8a9f0c17dfd5p-17, }}, 
      {{0x1.fda5dc9248165p-1, 0x1.fcf795b7a09ecp-1, 0x1.fc04841346df2p-1, 0x1.facd8c9030ef6p-1, 0x1.f953cd88b4d51p-1, 0x1.f79899eeb792p-1, 0x1.f59d7426d2b2dp-1, 0x1.f36408c4190d9p-1, 0x1.f0ee2947f4e04p-1, 0x1.ee3dc7010c5dap-1, 0x1.eb54ee1cfe3fp-1, 0x1.e835c0faea72dp-1, 0x1.e4e273c80c4fbp-1, 0x1.e15d486be502fp-1, 0x1.dda88ac6890eep-1, 0x1.d9c68d415e07bp-1, 0x1.d5b9a5b0e9289p-1, 0x1.d1842a850cbf6p-1, 0x1.cd28704437a3p-1, 0x1.c8a8c74d74cd2p-1, 0x1.c40779dcee286p-1, 0x1.bf46ca4e4f98p-1, 0x1.ba68f19865362p-1, 0x1.b5701dfd6a98ap-1, 0x1.b05e71eb99c84p-1, 0x1.ab360309c0a6ap-1, 0x1.a5f8d96bd5dc4p-1, 0x1.a0a8eeebc8285p-1, 0x1.9b482ea2fe122p-1, 0x1.95d8748142943p-1, 0x1.905b8cfe1289dp-1, 0x1.8ad334e18620fp-1, 0x1.85411922430b5p-1, 0x1.7fa6d6d6206b6p-1, 0x1.7a05fb335d555p-1, 0x1.746003a072bf8p-1, 0x1.6eb65dd0c012p-1, 0x1.690a67ec77fdbp-1, 0x1.635d70c25754fp-1, 0x1.5db0b801d92ffp-1, 0x1.58056e7cb9ffp-1, 0x1.525cb66eb2ec7p-1, 0x1.4cb7a3ca7e4e3p-1, 0x1.47173c8b44686p-1, 0x1.417c7909aa98ap-1, 0x1.3be84453d2598p-1, 0x1.365b7c87abfd5p-1, 0x1.30d6f32f09921p-1, 0x1.2b5b6d9cf7aabp-1, 0x1.25e9a54be90bp-1, 0x1.2082483c4e4c9p-1, 0x1.1b25f953457bdp-1, 0x1.15d550b90d03ap-1, 0x1.1090dc36f70dfp-1, 0x1.0b591f94a0dfdp-1, 0x1.062e94f434cccp-1, 0x1.0111ad2d8ac5ap-1, 0x1.f805a04ffbe6ap-2, 0x1.ee04ba65a3f77p-2, 0x1.e42156b818766p-2, 0x1.da5c138b4a7b1p-2, 0x1.d0b57ff1f963p-2, 0x1.c72e1c70fcee4p-2, 0x1.bdc65b9ed106ep-2, 0x1.b47ea2bf4b726p-2, 0x1.ab574a5b6ceb1p-2, 0x1.a2509ed537a23p-2, 0x1.996ae0f788888p-2, 0x1.90a64681e8ceep-2, 0x1.8802fab056bcfp-2, 0x1.7f811ebf07a1dp-2, 0x1.7720ca6a226c3p-2, 0x1.6ee20c697d096p-2, 0x1.66c4eae861605p-2, 0x1.5ec963f962b54p-2, 0x1.56ef6e06542bep-2, 0x1.4f36f83c67013p-2, 0x1.479feaf48447bp-2, 0x1.402a2817ee058p-2, 0x1.38d58b8138db4p-2, 0x1.31a1eb59b3c1cp-2, 0x1.2a8f1873486b1p-2, 0x1.239cde9eee3abp-2, 0x1.1ccb04ffbfaa8p-2, 0x1.16194e5ac818dp-2, 0x1.0f87796398f44p-2, 0x1.09154105c3bd4p-2, 0x1.02c25cab444cp-2, 0x1.f91d00ffed3edp-3, 0x1.ecf2bb6451d85p-3, 0x1.e1054560c436fp-3, 0x1.d553f6c8dca35p-3, 0x1.c9de22d790b62p-3, 0x1.bea3189aeb18ap-3, 0x1.b3a2235ac9987p-3, 0x1.a8da8afacd899p-3, 0x1.9e4b9457b09a7p-3, 0x1.93f481a00dee9p-3, 0x1.89d492a8e1789p-3, 0x1.7feb053dce4a2p-3, 0x1.7637156d6262fp-3, 0x1.6cb7fdd168b4dp-3, 0x1.636cf7d387d12p-3, 0x1.5a553bee37cd9p-3, 0x1.517001ea3ee01p-3, 0x1.48bc8118d61ep-3, 0x1.4039f08a96ecp-3, 0x1.37e7874349bd1p-3, 0x1.2fc47c6ac05bfp-3, 0x1.27d0077ad53f8p-3, 0x1.2009606aadd2ap-3, 0x1.186fbfd75af43p-3, 0x1.11025f29f597ap-3, 0x1.09c078bb556dap-3, 0x1.02a947f57873dp-3, 0x1.f77812e5610fbp-4, 0x1.e9eff63579a1dp-4, 0x1.dcb8b87bb157bp-4, 0x1.cfd0db5bc14cep-4, 0x1.c336e3ab41c61p-4, 0x1.b6e9599cc240cp-4, 0x1.aae6c8e788c5p-4, 0x1.9f2dc0ec2637bp-4, 0x1.93bcd4d5f8a7bp-4, 0x1.88929bb9d387cp-4, 0x1.7dadb0b1dee58p-4, 0x1.730cb2f6de2b5p-4, 0x1.68ae45f6f9b23p-4, 0x1.5e91116a2b817p-4, 0x1.54b3c1646e063p-4, 0x1.4b150665cc3fep-4, 0x1.41b395686e1eep-4, 0x1.388e27ecbaf25p-4, 0x1.2fa37c03ae374p-4, 0x1.26f2545778ffcp-4, 0x1.1e79783282c47p-4, 0x1.1637b384e5c77p-4, 0x1.0e2bd6e87a338p-4, 0x1.0654b7a387057p-4, 0x1.fd625f54528f3p-5, 0x1.ee803b3d14272p-5, 0x1.e000c99fdf576p-5, 0x1.d1e1da7184f23p-5, 0x1.c42146f71a4b4p-5, 0x1.b6bcf1be2686p-5, 0x1.a9b2c693067e1p-5, 0x1.9d00ba75b1291p-5, 0x1.90a4cb8cf6205p-5, 0x1.849d01184c236p-5, 0x1.78e76b604d216p-5, 0x1.6d8223a5f8101p-5, 0x1.626b4c10cbea2p-5, 0x1.57a10f9bd4d13p-5, 0x1.4d21a201be517p-5, 0x1.42eb3fa7ffe4dp-5, 0x1.38fc2d893498ep-5, 0x1.2f52b91eb1305p-5, 0x1.25ed384968f0dp-5, 0x1.1cca093a314bdp-5, 0x1.13e7925971c0dp-5, 0x1.0b44422e5461ep-5, 0x1.02de8f457b32ap-5, 0x1.f569f02ea2828p-6, 0x1.e58c05dbf491fp-6, 0x1.d6207b95ed5ebp-6, 0x1.c7247c98f59bep-6, 0x1.b895432524523p-6, 0x1.aa7018481132p-6, 0x1.9cb253a6640bfp-6, 0x1.8f595b4519b1ap-6, 0x1.8262a3529dea8p-6, 0x1.75cbadefc88dcp-6, 0x1.69920af8c093bp-6, 0x1.5db357cde4c7fp-6, 0x1.522d3f1cbad1p-6, 0x1.46fd78a8f137cp-6, 0x1.3c21c915849dep-6, 0x1.319801ae13662p-6, 0x1.275e003061ea8p-6, 0x1.1d71ae9622f42p-6, 0x1.13d102df03c11p-6, 0x1.0a79fedb0e983p-6, 0x1.016aaff55ce0ap-6, 0x1.f1425dfe5a4cdp-7, 0x1.e0373ff6c3efcp-7, 0x1.cfb063d4c9606p-7, 0x1.bfaa3d2cfb8a9p-7, 0x1.b02154c15076fp-7, 0x1.a112481ba726ep-7, 0x1.9279c9296ec42p-7, 0x1.84549dd8349fcp-7, 0x1.769f9fb356ecep-7, 0x1.6957bb82c5b2dp-7, 0x1.5c79f0eadea14p-7, 0x1.5003520d6d9fcp-7, 0x1.43f1032bd6e2cp-7, 0x1.38403a4a62eb9p-7, 0x1.2cee3ed4c43cbp-7, 0x1.21f86943c8d34p-7, 0x1.175c22c441d06p-7, 0x1.0d16e4df24d63p-7, 0x1.03263922e7194p-7, 0x1.f30f719c26d54p-8, 0x1.e07218f638fcep-8, 0x1.ce6fd79ade779p-8, 0x1.bd043a3f88c4dp-8, 0x1.ac2aea67553fbp-8, 0x1.9bdfadc4b3f09p-8, 0x1.8c1e659d7cb5fp-8, 0x1.7ce30e3186c08p-8, 0x1.6e29be23b9f14p-8, 0x1.5feea5e59dc1fp-8, 0x1.522e0f25575ccp-8, 0x1.44e45c3e238e9p-8, 0x1.380e07ab3deffp-8, 0x1.2ba7a37d3815fp-8, 0x1.1fadd8d1b4203p-8, 0x1.141d674d92f71p-8, 0x1.08f32499730b5p-8, 0x1.fc57f7c12d572p-9, 0x1.e789daa43a374p-9, 0x1.d3761b4925dcap-9, 0x1.c0170b37917cfp-9, 0x1.ad672321eea12p-9, 0x1.9b6101fa41932p-9, 0x1.89ff6c0b63976p-9, 0x1.793d4a16a9ec4p-9, 0x1.6915a875e49d6p-9, 0x1.5983b641cf0f4p-9, 0x1.4a82c47c8fbfdp-9, 0x1.3c0e4540a41ecp-9, 0x1.2e21caf3db09ep-9, 0x1.20b9077e6ae15p-9, 0x1.13cfcb862a83cp-9, 0x1.076205adad96ap-9, 0x1.f6d783aeda651p-10, 0x1.dfd250d9a334dp-10, 0x1.c9acfb5207524p-10, 0x1.b46041cf3471ep-10, 0x1.9fe517ede8777p-10, 0x1.8c34a4dc8fea1p-10, 0x1.7948420e98a25p-10, 0x1.671979f6ec4fp-10, 0x1.55a206c952a36p-10, 0x1.44dbd142f25abp-10, 0x1.34c0ef795eb29p-10, 0x1.254ba3b073c9dp-10, 0x1.16765b36c998fp-10, 0x1.083bad488e396p-10, 0x1.f52cb3f18bd25p-11, 0x1.db02924147c82p-11, 0x1.c1ef12aa9de0ep-11, 0x1.a9e89dc6d0596p-11, 0x1.92e5e5a13ea77p-11, 0x1.7cdde3c60c6f6p-11, 0x1.67c7d75c666dbp-11, 0x1.539b434bb77d7p-11, 0x1.404fec6c2e1c1p-11, 0x1.2dddd7c1bf33p-11, 0x1.1c3d48c20686cp-11, 0x1.0b66bfa45bb02p-11, 0x1.f6a5ef7856c4bp-12, 0x1.d7f5cbbad310ap-12, 0x1.baaf6d9564541p-12, 0x1.9ec59b59d7ae6p-12, 0x1.842b85298911ep-12, 0x1.6ad4c20a0ab25p-12, 0x1.52b54d0bfd2c5p-12, 0x1.3bc18283fd6p-12, 0x1.25ee1d54c7443p-12, 0x1.1130344a91bfbp-12, 0x1.fafa6f0d41279p-13, 0x1.d595dbf74a084p-13, 0x1.b21ee5f3b2529p-13, 0x1.90826795d1b26p-13, 0x1.70addaba5b4a3p-13, 0x1.528f53fbb1322p-13, 0x1.36157e437d0d2p-13, 0x1.1b2f9678f9fd9p-13, 0x1.01cd674bee2b4p-13, 0x1.d3be8a35c6ed7p-14, 0x1.a6ac13e79026bp-14, 0x1.7c46235dcb7bp-14, 0x1.54706c48806d4p-14, 0x1.2f0f96f45f133p-14, 0x1.0c093916d0f28p-14, 0x1.d6879d9853c3ep-15, 0x1.994d678727819p-15, 0x1.60343933a00c1p-15, 0x1.2b0e20c27e1c6p-15, 0x1.f35d895194e4dp-16, 0x1.97d6aecdb92a2p-16, 0x1.43351732403a8p-16, 0x1.ea52215e92e8p-17, 0x1.5acb77a80ef76p-17, 0x1.ae83d630f93e2p-18, 0x1.7c9a0d880e2c3p-19, -0x1.c2127237de14cp-22, -0x1.c3a0c8c4c4239p-19, -0x1.93c0b94406079p-18, -0x1.1974691e7a3bp-17, -0x1.601b2548ee1d3p-17, -0x1.9e46fa6b06f7ep-17, -0x1.d46610bc52149p-17, -0x1.017138d3c6943p-16, -0x1.1511148adcf0ap-16, -0x1.2543b2f2c9316p-16, -0x1.32384cafdfa3cp-16, -0x1.3c1c4aeccff36p-16, -0x1.431b5637ee437p-16, -0x1.475f64f1ba56dp-16, -0x1.4910c95c69714p-16, -0x1.48563f3f5962ap-16, -0x1.4554f927c229ap-16, -0x1.4030ad48a5cabp-16, -0x1.390ba1f99ba23p-16, -0x1.3006b9d48d891p-16, -0x1.25417f8864a78p-16, -0x1.18da31490a7dcp-16, -0x1.0aedcbeb4dacbp-16, -0x1.f7302b6392715p-17, -0x1.d5e7517dd801dp-17, -0x1.b233fa7ee93b9p-17, -0x1.8c46e69cc457bp-17, -0x1.644eb9012ceb9p-17, -0x1.3a780a659ae87p-17, -0x1.0eed7b16eb86p-17, -0x1.c3af88c772913p-18, -0x1.66bb932e388ebp-18, -0x1.074950e78781bp-18, -0x1.4b3f246dca151p-19, -0x1.08076c670c7afp-20, 0x1.1a7bf5cfc4395p-21, 0x1.142e6dbdc105ep-19, 0x1.e435fc0b80e19p-19, 0x1.5b235e9104301p-18, 0x1.c4fba23664747p-18, 0x1.17b8dc2223624p-17, 0x1.4d2b0e66b561ep-17, 0x1.82bde04fb09e1p-17, 0x1.b85bf8fa9991p-17, 0x1.edf122e447927p-17, 0x1.11b5207efa5f9p-16, 0x1.2c5aa209fa9b1p-16, 0x1.46e090450cf66p-16, 0x1.613ee23867799p-16, 0x1.7b6e06f7af923p-16, 0x1.9566e0f4f9f37p-16, 0x1.af22c182293bp-16, 0x1.c89b6475cea67p-16, 0x1.e1caebf34d708p-16, 0x1.faabdc571ec5bp-16, 0x1.099c8c23e5bcep-15, 0x1.15b6ee72f3ccfp-15, 0x1.21a2df0b7c124p-15, 0x1.2d5e517b5f116p-15, 0x1.38e761329c2c1p-15, 0x1.443c4fd81e615p-15, 0x1.4f5b83ada5d26p-15, 0x1.5a43860320331p-15, 0x1.64f301b4ab20ep-15, 0x1.6f68c1b56d065p-15, 0x1.79a3afa9e026ep-15, 0x1.83a2d28c8decfp-15, 0x1.8d654d5f085cap-15, 0x1.96ea5de72f006p-15, 0x1.a0315b7811a6bp-15, 0x1.a939b5c3d1014p-15, 0x1.b202f3b87d799p-15, 0x1.ba8cb2686bd89p-15, 0x1.c2d6a3fbcfde9p-15, 0x1.cae08eabafe35p-15, 0x1.d2aa4bc70bd42p-15, 0x1.da33c6c135f5p-15, 0x1.e17cfc47acafdp-15, 0x1.e885f96065093p-15, 0x1.ef4eda90e987cp-15, 0x1.f5d7cb0ec1ed1p-15, 0x1.fc2103f4f8948p-15, 0x1.011565c18063ap-14, 0x1.03faba31c82a8p-14, 0x1.06c0ae7c186dap-14, 0x1.09677756558cep-14, 0x1.0bef4ea845572p-14, 0x1.0e58733c429d6p-14, 0x1.10a3287239e12p-14, 0x1.12cfb5f5e5045p-14, 0x1.14de677856ba9p-14, 0x1.16cf8c6bcdd41p-14, 0x1.18a377c267843p-14, 0x1.1a5a7faf1c639p-14, 0x1.1bf4fd69688cdp-14, 0x1.1d734cf41f46p-14, 0x1.1ed5cce59d393p-14, 0x1.201cde3298a22p-14, 0x1.2148e3fbfa153p-14, 0x1.225a435d6884ap-14, 0x1.2351633f11659p-14, 0x1.242eac285798p-14, 0x1.24f28815564fp-14, 0x1.259d624e4b149p-14, 0x1.262fa74007e4ep-14, 0x1.26a9c456b0328p-14, 0x1.270c27da8eec8p-14, 0x1.275740cd6b295p-14, 0x1.278b7eca79829p-14, 0x1.27a951e6a4184p-14, 0x1.27b12a9386ddcp-14, 0x1.27a3798355313p-14, 0x1.2780af8dc392ep-14, 0x1.27493d969c201p-14, 0x1.26fd9475fe88ap-14, 0x1.269e24e0c9a2p-14, 0x1.262b5f5355786p-14, 0x1.25a5b3fbe5db7p-14, 0x1.250d92a78e8f2p-14, 0x1.24636aafb5d4fp-14, 0x1.23a7aae83e21dp-14, 0x1.22dac18ee6efdp-14, 0x1.21fd1c3c10cdfp-14, 0x1.210f27d37840cp-14, 0x1.20115076b7511p-14, 0x1.1f040177dee27p-14, 0x1.1de7a54d10064p-14, 0x1.1cbca585366f2p-14, 0x1.1b836abd5e5c7p-14, 0x1.1a3c5c96487d6p-14, 0x1.18e7e1ab4d137p-14, 0x1.17865f89c5787p-14, 0x1.16183aa8a5ebbp-14, 0x1.149dd6613a7bdp-14, 0x1.131794e7fd294p-14, 0x1.1185d74629b9bp-14, 0x1.0fe8fd544b0b4p-14, 0x1.0e4165b4a5471p-14, 0x1.0c8f6dce50fa7p-14, 0x1.0ad371c92f14bp-14, 0x1.090dcc89c4094p-14, 0x1.073ed7addc57ep-14, 0x1.0566eb89674e6p-14, 0x1.03865f23a8425p-14, 0x1.019d8834e8f47p-14, 0x1.ff597649a303ep-15, 0x1.fb68961114374p-15, 0x1.f7691342d95b3p-15, 0x1.f35b8eb8b14e3p-15, 0x1.ef40a6a184411p-15, 0x1.eb18f680dd53ap-15, 0x1.e6e5172ec3ab3p-15, 0x1.e2a59ed7776fap-15, 0x1.de5b20fc78714p-15, 0x1.da062e75ea2p-15, 0x1.d5a7557446698p-15, 0x1.d13f21820be7fp-15, 0x1.ccce1b86a132p-15, 0x1.c854c9c932c2bp-15, 0x1.c3d3aff36601bp-15, 0x1.bf4b4f15a7062p-15, 0x1.babc25aa4cc01p-15, 0x1.b626af99e9412p-15, 0x1.b18b663fae8dfp-15, 0x1.aceac06e82e5ap-15, 0x1.a84532758d91cp-15, 0x1.a39b2e255a4f2p-15, 0x1.9eed22d5bcc02p-15, 0x1.9a3b7d6aead4p-15, 0x1.9586a85b3f6f5p-15, 0x1.90cf0bb5b927p-15, 0x1.8c150d2760506p-15, 0x1.87591001e79a3p-15, 0x1.829b7541f4bcp-15, 0x1.7ddc9b960a322p-15, 0x1.791cdf64b48b8p-15, 0x1.745c9ad375f2fp-15, 0x1.6f9c25cdf4bbfp-15, 0x1.6adbd60c929cbp-15, 0x1.661bff1b69df7p-15, 0x1.615cf261c344dp-15, 0x1.5c9eff28e3a5fp-15, 0x1.57e272a35e2c4p-15, 0x1.532797f4444fp-15, 0x1.4e6eb836c0763p-15, 0x1.49b81a8527581p-15, 0x1.4504040056713p-15, 0x1.4052b7d757a8dp-15, 0x1.3ba4774e87945p-15, 0x1.36f981c6fa0efp-15, 0x1.325214c614804p-15, 0x1.2dae6bfce0cc8p-15, 0x1.290ec14f487d9p-15, 0x1.24734cdb98b2bp-15, 0x1.1fdc4501e6004p-15, 0x1.1b49de6b8199ap-15, 0x1.16bc4c120aafap-15, 0x1.1233bf46fe9fep-15, 0x1.0db067badf94dp-15, 0x1.093273845619bp-15, 0x1.04ba0f2789726p-15, 0x1.0047659d3bc85p-15, 0x1.f7b540b3c913bp-16, 0x1.eee7cea93e636p-16, 0x1.e626c21c92819p-16, 0x1.dd726530f6387p-16, 0x1.d4caff38f4251p-16, 0x1.cc30d4c3ef287p-16, 0x1.c3a427abdd5fdp-16, 0x1.bb253722a3467p-16, 0x1.b2b43fbf4db23p-16, 0x1.aa517b8b93decp-16, 0x1.a1fd2210a048fp-16, 0x1.99b7686432e39p-16, 0x1.9180813536c94p-16, 0x1.89589cd8849bcp-16, 0x1.813fe9558a394p-16, 0x1.793692729f945p-16, 0x1.713cc1c12b444p-16, 0x1.69529ea9f30a9p-16, 0x1.61784e78dc3a2p-16, 0x1.59adf468ad8ffp-16, 0x1.51f3b1af0152bp-16, 0x1.4a49a58777c69p-16, 0x1.42afed3f566f1p-16, 0x1.3b26a44078efep-16, 0x1.33ade41c99d74p-16, 0x1.2c45c49801338p-16, 0x1.24ee5bb4a955cp-16, 0x1.1da7bdbc5ebb6p-16, 0x1.1671fd4ba5678p-16, 0x1.0f4d2b5bc9aa6p-16, 0x1.0839574cfde1ap-16, 0x1.01368ef05cd62p-16, 0x1.f489bd23edd36p-17, 0x1.e6c8a2049888dp-17, 0x1.d929df3fe47e1p-17, 0x1.cbad84c1b1ecep-17, 0x1.be539fb783beap-17, 0x1.b11c3aa23f7fep-17, 0x1.a4075d6883353p-17, 0x1.97150d6807a24p-17, 0x1.8a454d86ecf29p-17, 0x1.7d981e450a447p-17, 0x1.710d7dcc2cd2cp-17, 0x1.64a56800efe26p-17, 0x1.585fd692e9301p-17, 0x1.4c3cc10c5bbc1p-17, 0x1.403c1ce1f487cp-17, 0x1.345ddd823655p-17, 0x1.28a1f4645975bp-17, 0x1.1d08511730a6fp-17, 0x1.1190e14fcced2p-17, 0x1.063b90f79d925p-17, 0x1.f610947503c0cp-18, 0x1.dfedeb28effc2p-18, 0x1.ca0ef3be811d1p-18, 0x1.b47378be6875ep-18, 0x1.9f1b41a16f3c9p-18, 0x1.8a0612e95be44p-18, 0x1.7533ae39d1fcdp-18, 0x1.60a3d2712ee7p-18, 0x1.4c563bc0489bdp-18, 0x1.384aa3c1eb99ap-18, 0x1.2480c191ed98cp-18, 0x1.10f849e3bb165p-18, 0x1.fb61de3159e93p-19, 0x1.d554c2aa29517p-19, 0x1.afc89d2cbdad2p-19, 0x1.8abcc58e13db7p-19, 0x1.66308fa6def14p-19, 0x1.42234b7a8db5fp-19, 0x1.1e94455f89257p-19, 0x1.f7058c4758703p-20, 0x1.b1dc26661889fp-20, 0x1.6daadd77d8681p-20, 0x1.2a702fa50d85p-20, 0x1.d0552a4dbe807p-21, 0x1.4db1011a17f61p-21, 0x1.99e17bff9d425p-22, 0x1.3844c4093cb54p-23, -0x1.7786fd2db4f7p-24, -0x1.54316e20b63a4p-22, -0x1.2369a12a2b757p-21, -0x1.9ae6f2423a516p-21, -0x1.084a0347d0413p-20, -0x1.423a20e28af76p-20, -0x1.7b45874fc41edp-20, -0x1.b36def3c53763p-20, -0x1.eab514702161fp-20, -0x1.108e5acca1906p-19, -0x1.2b534a0e79fe8p-19, -0x1.45aa39f0fd09bp-19, -0x1.5f940d92426c3p-19, -0x1.7911a9229614p-19, -0x1.9223f1ceb0084p-19, -0x1.aacbcda889c7fp-19, -0x1.c30a2392c7222p-19, -0x1.dadfdb2be4d48p-19, -0x1.f24ddcb845c81p-19, -0x1.04aa888815629p-18, -0x1.0ffb30c584228p-18, -0x1.1b195bf630665p-18, -0x1.26057f2902eb2p-18, -0x1.30c00f912d84cp-18, -0x1.3b49827db9f7p-18, -0x1.45a24d5060572p-18, -0x1.4fcae575df146p-18, -0x1.59c3c05d99621p-18, -0x1.638d537212fd3p-18, -0x1.6d28141130dccp-18, -0x1.76947785071ccp-18, -0x1.7fd2f2fd4c12p-18, -0x1.88e3fb8745ad3p-18, -0x1.91c8060829c4fp-18, -0x1.9a7f873629afep-18, -0x1.a30af391ee474p-18, -0x1.ab6abf608938ep-18, -0x1.b39f5ea5d5519p-18, -0x1.bba9451f2372p-18, -0x1.c388e63ce58d5p-18, -0x1.cb3eb51da1a84p-18, -0x1.d2cb2488c0d1dp-18, -0x1.da2ea6e953711p-18, -0x1.e169ae497b98bp-18, -0x1.e87cac4d527adp-18, -0x1.ef68122f31897p-18, -0x1.f62c50bad8c47p-18, -0x1.fcc9d848a0d83p-18, -0x1.01a08c5d4ae5p-17, -0x1.04c940bbe0a64p-17, -0x1.07df40b422e1ap-17, -0x1.0ae2c378eeee5p-17, -0x1.0dd3fffa418aep-17, -0x1.10b32ce3d4575p-17, -0x1.1380809b04b71p-17, -0x1.163c313d7553fp-17, -0x1.18e6749f7fed8p-17, -0x1.1b7f804ac7df1p-17, -0x1.1e07897cf2681p-17, -0x1.207ec52623254p-17, -0x1.22e567e8124fdp-17, -0x1.253ba614c3258p-17, -0x1.2781b3acf9c14p-17, -0x1.29b7c45fa1e97p-17, -0x1.2bde0b88a2012p-17, -0x1.2df4bc2fa4e59p-17, -0x1.2ffc0907412e1p-17, -0x1.31f4246c0b185p-17, -0x1.33dd4064394e9p-17, -0x1.35b78e9e5e0d3p-17, -0x1.37834070b5bafp-17, -0x1.394086d87e706p-17, -0x1.3aef927936ff9p-17, -0x1.3c90939c17a0ep-17, -0x1.3e23ba2f6ccb5p-17, -0x1.3fa935c60f4ddp-17, -0x1.412135973296fp-17, -0x1.428be87d8733dp-17, -0x1.43e97cf6adb92p-17, -0x1.453a21236677p-17, -0x1.467e02c6c6fdcp-17, -0x1.47b54f45e055p-17, -0x1.48e033a78b88ep-17, -0x1.49fedc93fd93fp-17, -0x1.4b1176553ffedp-17, -0x1.4c182cd643a9cp-17, -0x1.4d132ba2e3d33p-17, -0x1.4e029de7cebf2p-17, -0x1.4ee6ae7250ae5p-17, -0x1.4fbf87b050fc6p-17, -0x1.508d53b03ac7p-17, -0x1.51503c20eea99p-17, -0x1.52086a5219105p-17, -0x1.52b60733c41dbp-17, -0x1.53593b5664a2cp-17, -0x1.53f22eeb1f4c4p-17, -0x1.548109c4080b7p-17, -0x1.5505f353b771p-17, -0x1.558112adbdf81p-17, -0x1.55f28e86942b9p-17, -0x1.565a8d3410d34p-17, -0x1.56b934adc6a02p-17, -0x1.570eaa8ca7f0dp-17, -0x1.575b140b940d3p-17, -0x1.579e96075b791p-17, -0x1.57d954ff305d4p-17, -0x1.580b7514d0528p-17, -0x1.58351a0ce20e6p-17, -0x1.5856674f34cc7p-17, -0x1.586f7fe75d642p-17, -0x1.588086849693fp-17, -0x1.58899d7a201f8p-17, -0x1.588ae6bfe8dddp-17, -0x1.588483f2f39a6p-17, -0x1.5876965545ca6p-17, -0x1.58613ece8eb8fp-17, -0x1.58449dec8c688p-17, -0x1.5820d3e3637cp-17, -0x1.57f6008e9153dp-17, -0x1.57c44370ab33cp-17, -0x1.578bbbb408516p-17, -0x1.574c882b466ap-17, -0x1.5706c7519a77p-17, -0x1.56ba974b6ae1fp-17, -0x1.566815e6cb74cp-17, -0x1.560f609bce0e7p-17, -0x1.55b0948d74bfep-17, -0x1.554bce89cbbcap-17, -0x1.54e12b0a56e24p-17, -0x1.5470c634a4b74p-17, -0x1.53fabbdb4ef1fp-17, -0x1.537f277df9073p-17, -0x1.52fe2449d7a25p-17, -0x1.5277cd1a663b2p-17, -0x1.51ec3c79ced8fp-17, -0x1.515b8ca1bdec3p-17, -0x1.50c5d77bef8a1p-17, -0x1.502b36a267a0bp-17, -0x1.4f8bc3601d76cp-17, -0x1.4ee796b19424bp-17, -0x1.4e3ec94565f07p-17, -0x1.4d91737cddc97p-17, -0x1.4cdfad6c898f2p-17, -0x1.4c298edcb6defp-17, -0x1.4b6f2f4a55c5bp-17, -0x1.4ab0a5e741181p-17, -0x1.49ee099accd58p-17, -0x1.492771023263p-17, -0x1.485cf271d6f72p-17, -0x1.478ea3f548247p-17, -0x1.46bc9b4fe3e33p-17, -0x1.45e6edfd69fbp-17, -0x1.450db132b6eddp-17, -0x1.4430f9de32371p-17, -0x1.4350dca8de192p-17, -0x1.426d6df668e87p-17, -0x1.4186c1e5da455p-17, -0x1.409cec52317e4p-17, -0x1.3fb000d30921ap-17, -0x1.3ec012bd23caep-17, -0x1.3dcd352310b6dp-17, -0x1.3cd77ad5a4f71p-17, -0x1.3bdef664c3c3fp-17, -0x1.3ae3ba1fe439bp-17, -0x1.39e5d81696383p-17, -0x1.38e56218fd515p-17, -0x1.37e269b85e97cp-17, -0x1.36dd004848ec6p-17, -0x1.35d536de8da49p-17, -0x1.34cb1e53f1398p-17, -0x1.33bec744c780cp-17, -0x1.32b0421197886p-17, -0x1.319f9edf8cb8p-17, -0x1.308ced9987ea3p-17, -0x1.2f783df01af4ap-17, -0x1.2e619f5a4b11bp-17, -0x1.2d492116152c3p-17, -0x1.2c2ed22916ebfp-17, -0x1.2b12c161116bcp-17, -0x1.29f4fd548348fp-17, -0x1.28d594631f88p-17, -0x1.27b494b67bf64p-17, -0x1.26920c42aa116p-17, -0x1.256e08c697bb5p-17, -0x1.244897ccb17fep-17, -0x1.2321c6ab3eac4p-17, -0x1.21f9a2852a341p-17, -0x1.20d0384abb4e3p-17, -0x1.1fa594b9a573cp-17, -0x1.1e79c45dc26ddp-17, -0x1.1d4cd391a3501p-17, -0x1.1c1ece7f06ca8p-17, -0x1.1aefc11f74ce4p-17, -0x1.19bfb73d05938p-17, -0x1.188ebc725c69ap-17, -0x1.175cdc2b7c23bp-17, -0x1.162a21a628f39p-17, -0x1.14f697f289ad7p-17, -0x1.13c249f394969p-17, -0x1.128d425fa0f3bp-17, -0x1.11578bc0cca2fp-17, -0x1.10213075a0bp-17, -0x1.0eea3ab183534p-17, -0x1.0db2b47d26c47p-17, -0x1.0c7aa7b70d3d7p-17, -0x1.0b421e13eeb8ep-17, -0x1.0a09211f30fe7p-17, -0x1.08cfba3bce5d6p-17, -0x1.0795f2a44e77ep-17, -0x1.065bd36b584p-17, -0x1.0521657c3f7d5p-17, -0x1.03e6b19b71e5p-17, -0x1.02abc066d0741p-17, -0x1.01709a56944a1p-17, -0x1.003547bd57739p-17, -0x1.fdf3a191191p-18, -0x1.fb7c7b021128bp-18, -0x1.f9052b96d7c1fp-18, -0x1.f68dc2d134d9p-18, -0x1.f4164fec52e5cp-18, -0x1.f19ee1dd8d841p-18, -0x1.ef2787553ef5ap-18, -0x1.ecb04ebfe94cbp-18, -0x1.ea394646b9daap-18, -0x1.e7c27bd07f0c7p-18, -0x1.e54bfd0266a5fp-18, -0x1.e2d5d740d1e55p-18, -0x1.e06017aff4534p-18, -0x1.ddeacb355e59dp-18, -0x1.db75fe78177ecp-18, -0x1.d901bde171a95p-18, -0x1.d68e159e07ee3p-18, -0x1.d41b119e6853fp-18, -0x1.d1a8bd97b7401p-18, -0x1.cf37250500682p-18, -0x1.ccc65327a12d1p-18, -0x1.ca565307c51f4p-18, -0x1.c7e72f755fe3dp-18, -0x1.c578f308e2ca3p-18, -0x1.c30ba823fd0c8p-18, -0x1.c09f58f24b575p-18, -0x1.be340f6a22207p-18, -0x1.bbc9d54d14d4ep-18, -0x1.b960b428e3a31p-18, -0x1.b6f8b5581c065p-18, -0x1.b491e202b7978p-18, -0x1.b22c431ec5878p-18, -0x1.afc7e17121a63p-18, -0x1.ad64c58e24347p-18, -0x1.ab02f7da04774p-18, -0x1.a8a2808a2b19ap-18, -0x1.a64367a5432e1p-18, -0x1.a3e5b503f869ep-18, -0x1.a1897051aa23p-18, -0x1.9f2ea10d04a6cp-18, -0x1.9cd54e888663p-18, -0x1.9a7d7feb74521p-18, -0x1.98273c324b8a6p-18, -0x1.95d28a2f29df5p-18, -0x1.937f708a87cap-18, -0x1.912df5c3c7155p-18, -0x1.8ede2031d9774p-18, -0x1.8c8ff603ca0d4p-18, -0x1.8a437d4156fc7p-18, -0x1.87f8bbcb61daap-18, -0x1.85afb75cb8007p-18, -0x1.8368758a6fec1p-18, -0x1.8122fbc493997p-18, -0x1.7edf4f5695d19p-18, -0x1.7c9d7567d01f8p-18, -0x1.7a5d72fc3c6fp-18, -0x1.781f4cf4b3e22p-18, -0x1.75e3080f91f4dp-18, -0x1.73a8a8e96ef8cp-18, -0x1.717033fd5e57ep-18, -0x1.6f39ada57981p-18, -0x1.6d051a1b5d93ap-18, -0x1.6ad27d78a5deep-18, -0x1.68a1dbb77ad83p-18, -0x1.667338b31180fp-18, -0x1.644698281f8ecp-18, -0x1.621bfdb5404ccp-18, -0x1.5ff36cdb6504cp-18, -0x1.5dcce8fe623a9p-18, -0x1.5ba8756551f59p-18, -0x1.5986153b16088p-18, -0x1.5765cb8ebf8aap-18, -0x1.55479b53edac1p-18, -0x1.532b87635d3f6p-18, -0x1.5111927b3fc57p-18, -0x1.4ef9bf3fbf6fdp-18, -0x1.4ce4103b4933fp-18, -0x1.4ad087def2d3fp-18, -0x1.48bf28830ab1fp-18, -0x1.46aff4675af8dp-18, -0x1.44a2edb38f10fp-18, -0x1.42981677ae1fep-18, -0x1.408f70ac7a6fbp-18, -0x1.3e88fe33c7e71p-18, -0x1.3c84c0d8ddbf3p-18, -0x1.3a82ba50d2bf8p-18, -0x1.3882ec3ae89c2p-18, -0x1.36855820fef7p-18, -0x1.3489ff77da476p-18, -0x1.3290e39f93f9p-18, -0x1.309a05e3da1f1p-18, -0x1.2ea5677c4a3eep-18, -0x1.2cb3098ce1b92p-18, -0x1.2ac2ed263929ep-18, -0x1.28d51345e949cp-18, -0x1.26e97cd6cd833p-18, -0x1.25002ab169fa9p-18, -0x1.23191d9c449ecp-18, -0x1.2134564c10aebp-18, -0x1.1f51d56429ccap-18, -0x1.1d719b76cb9ecp-18, -0x1.1b93a90558b7p-18, -0x1.19b7fe80b8d37p-18, -0x1.17de9c49a0593p-18, -0x1.160782b0cc922p-18, -0x1.1432b1f765f63p-18, -0x1.12602a4f39d0ap-18, -0x1.108febdb060e3p-18, -0x1.0ec1f6aebbd1cp-18, -0x1.0cf64acfca1b6p-18, -0x1.0b2ce8355a057p-18, -0x1.0965cec8a81eep-18, -0x1.07a0fe653b786p-18, -0x1.05de76d91a19ap-18, -0x1.041e37e522a51p-18, -0x1.0260413d38bb1p-18, -0x1.00a492889642p-18, -0x1.fdd656c3f95f1p-19, -0x1.fa6816aff6b9dp-19, -0x1.f6fe63da59433p-19, -0x1.f3993d30d2431p-19, -0x1.f038a18a18ccap-19, -0x1.ecdc8fa65e307p-19, -0x1.e985062fb77a5p-19, -0x1.e63203baaa19ap-19, -0x1.e2e386c6788c6p-19, -0x1.df998dbd991f9p-19, -0x1.dc5416f637a36p-19, -0x1.d91320b29e556p-19, -0x1.d5d6a92190621p-19, -0x1.d29eae5ec8232p-19, -0x1.cf6b2e73498edp-19, -0x1.cc3c2755c3104p-19, -0x1.c91196eb0bc6p-19, -0x1.c5eb7b067e037p-19, -0x1.c2c9d16a5c321p-19, -0x1.bfac97c81fcb2p-19, -0x1.bc93cbc10163p-19, -0x1.b97f6ae6206ffp-19, -0x1.b66f72b8f7bc1p-19, -0x1.b363e0abbda9dp-19, -0x1.b05cb221bcfafp-19, -0x1.ad59e46fa5844p-19, -0x1.aa5b74dbef54dp-19, -0x1.a761609f32e89p-19, -0x1.a46ba4e46ee89p-19, -0x1.a17a3ec954d6dp-19, -0x1.9e8d2b5eae82cp-19, -0x1.9ba467a8b63c8p-19, -0x1.98bff09f4ab64p-19, -0x1.95dfc32e4eb59p-19, -0x1.9303dc35f3708p-19, -0x1.902c388afad8bp-19, -0x1.8d58d4f7248e8p-19, -0x1.8a89ae395359dp-19, -0x1.87bec105d8adcp-19, -0x1.84f80a06c9664p-19, -0x1.823585dc61828p-19, -0x1.7f77311d20f75p-19, -0x1.7cbd0855f000ap-19, -0x1.7a07080a95e18p-19, -0x1.77552cb5ffcbcp-19, -0x1.74a772ca74c1cp-19, -0x1.71fdd6b1e771ap-19, -0x1.6f5854ce14c32p-19, -0x1.6cb6e978c6b5cp-19, -0x1.6a1991041ebep-19, -0x1.678047bac1953p-19, -0x1.64eb09e02c89ep-19, -0x1.6259d3b0e028fp-19, -0x1.5fcca162a1f47p-19, -0x1.5d436f24b8eb6p-19, -0x1.5abe39201428dp-19, -0x1.583cfb7781a7ap-19, -0x1.55bfb247f80bap-19, -0x1.534659a8c398dp-19, -0x1.50d0edabae8d2p-19, -0x1.4e5f6a5d3c80ep-19, -0x1.4bf1cbc4d8846p-19, -0x1.49880de515b08p-19, -0x1.47222cbbdb89bp-19, -0x1.44c024428f813p-19, -0x1.4261f06e36f85p-19, -0x1.40078d2fb0e57p-19, -0x1.3db0f67403a6bp-19, -0x1.3b5e282476f28p-19, -0x1.390f1e26aca1ep-19, -0x1.36c3d45cb4492p-19, -0x1.347c46a54d83ap-19, -0x1.323870dc442f2p-19, -0x1.2ff84eda6fd85p-19, -0x1.2dbbdc75e9eaep-19, -0x1.2b8315822835ep-19, -0x1.294df5d01648dp-19, -0x1.271c792e4ba3dp-19, -0x1.24ee9b6923edap-19, -0x1.22c4584af6de6p-19, -0x1.209dab9c440f1p-19, -0x1.1e7a9123d05fdp-19, -0x1.1c5b04a6bd07p-19, -0x1.1a3f01e8aec44p-19, -0x1.182684abf2c5p-19, -0x1.161188b19d321p-19, -0x1.140009b9b062bp-19, -0x1.11f20383347efp-19, -0x1.0fe771cc50dd1p-19, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.541ac26ba614bp-7, 0x1.020cafeb79668p-6, 0x1.5d7363f758802p-6, 0x1.bd283a50923f7p-6, 0x1.10f5539406b97p-5, 0x1.4628c46692307p-5, 0x1.7e65d6ff6936cp-5, 0x1.b9d0d0fa31b9fp-5, 0x1.f87c28498f9edp-5, 0x1.1d350bd802864p-4, 0x1.3fc72b29dd065p-4, 0x1.63e7edb91316ep-4, 0x1.89854eda0d7fp-4, 0x1.b088a15346c04p-4, 0x1.d8d75b58ca14ap-4, 0x1.0129ea32ae318p-3, 0x1.166ef9d17289ap-3, 0x1.2c29e72e0b16ap-3, 0x1.42491b407699fp-3, 0x1.58ba9cd5a8f44p-3, 0x1.6f6c48a9e5a15p-3, 0x1.864c028831786p-3, 0x1.9d47dfe7f8289p-3, 0x1.b44e4c8771741p-3, 0x1.cb4e29823b451p-3, 0x1.e236e761335b9p-3, 0x1.f8f89b9c2bbcfp-3, 0x1.07c20900113b5p-2, 0x1.12e56d3307867p-2, 0x1.1ddfa98fa036bp-2, 0x1.28aa583a81ce3p-2, 0x1.333f80c92cd44p-2, 0x1.3d999993b663bp-2, 0x1.47b38807fdaabp-2, 0x1.5188a01fc3eaep-2, 0x1.5b14a318218d9p-2, 0x1.6453bd85fe824p-2, 0x1.6d4284e0a29e5p-2, 0x1.75ddf498ff177p-2, 0x1.7e236ad20d3a7p-2, 0x1.8610a4cc915c9p-2, 0x1.8da3bb1692db5p-2, 0x1.94db1d8d1b972p-2, 0x1.9bb58f3d23338p-2, 0x1.a232222f0f4cp-2, 0x1.a8503326c4c28p-2, 0x1.ae0f656108c2cp-2, 0x1.b36f9e55c2601p-2, 0x1.b8710185a562ap-2, 0x1.bd13ec58d2d48p-2, 0x1.c158f2132692cp-2, 0x1.c540d7e21a70ep-2, 0x1.c8cc91077d482p-2, 0x1.cbfd3b238db29p-2, 0x1.ced41aa09101cp-2, 0x1.d1529741626e4p-2, 0x1.d37a38d424b12p-2, 0x1.d54ca409c662dp-2, 0x1.d6cb9772c5c19p-2, 0x1.d7f8e8a145e7cp-2, 0x1.d8d6817056a9p-2, 0x1.d9665d701015ap-2, 0x1.d9aa8775f245ap-2, 0x1.d9a51750dde36p-2, 0x1.d9582f9fce676p-2, 0x1.d8c5fbca6a471p-2, 0x1.d7f0ae1a667cfp-2, 0x1.d6da7df4aa891p-2, 0x1.d585a6311a8e9p-2, 0x1.d3f4638fd5743p-2, 0x1.d228f34ac684ep-2, 0x1.d02591c2508a2p-2, 0x1.cdec7943e7507p-2, 0x1.cb7fe0e963b7cp-2, 0x1.c8e1fb8fec86p-2, 0x1.c614f6e54251fp-2, 0x1.c31afa8a550ccp-2, 0x1.bff6274a03f87p-2, 0x1.bca89662f287fp-2, 0x1.b93458e366c0ep-2, 0x1.b59b77162da41p-2, 0x1.b1dfefff88b89p-2, 0x1.ae03b8e934277p-2, 0x1.aa08bcfc9a1b9p-2, 0x1.a5f0dcea577f7p-2, 0x1.a1bdee9e323c6p-2, 0x1.9d71bcfec1396p-2, 0x1.990e07b7f2ff1p-2, 0x1.9494830fc1524p-2, 0x1.9006d7c45acfap-2, 0x1.8b66a2f31701ep-2, 0x1.86b5760798618p-2, 0x1.81f4d6b276df4p-2, 0x1.7d263ee6f1ac7p-2, 0x1.784b1cdf0c1f5p-2, 0x1.7364d3259cc18p-2, 0x1.6e74b8a5d3d3ap-2, 0x1.697c18bfb7888p-2, 0x1.647c33613849dp-2, 0x1.5f763d2365d69p-2, 0x1.5a6b5f6b6b12p-2, 0x1.555cb88eefc27p-2, 0x1.504b5bfb89999p-2, 0x1.4b385260ef91ap-2, 0x1.462499dd96c5ep-2, 0x1.4111262d800bcp-2, 0x1.3bfee0dae4ef5p-2, 0x1.36eea9708d892p-2, 0x1.31e155ad920c6p-2, 0x1.2cd7b1ba4c3cdp-2, 0x1.27d2805e4e932p-2, 0x1.22d27b372a178p-2, 0x1.1dd852efd6147p-2, 0x1.18e4af7897c6p-2, 0x1.13f8303f3bd5fp-2, 0x1.0f136c67842f1p-2, 0x1.0a36f303a3017p-2, 0x1.05634b4caddc6p-2, 0x1.0098f4dae68fcp-2, 0x1.f7b0cfbb8429ap-3, 0x1.ee442aa72c5e1p-3, 0x1.e4ecce81ba1e3p-3, 0x1.dbab81cde846ep-3, 0x1.d280fdf492ab5p-3, 0x1.c96defafd305bp-3, 0x1.c072f774b463p-3, 0x1.b790a9db78a4p-3, 0x1.aec790063fb22p-3, 0x1.a61828061af73p-3, 0x1.9d82e53e603b2p-3, 0x1.950830c63a255p-3, 0x1.8ca869c86e77cp-3, 0x1.8463e5e13f9f5p-3, 0x1.7c3af17a6b5cdp-3, 0x1.742dd0253bf7cp-3, 0x1.6c3cbcf2a5d31p-3, 0x1.6467eac970822p-3, 0x1.5caf84ba5aa85p-3, 0x1.5513ae524dbecp-3, 0x1.4d9483ea875d7p-3, 0x1.46321af6cc425p-3, 0x1.3eec82519c4adp-3, 0x1.37c3c2866ae4fp-3, 0x1.30b7de19db15ap-3, 0x1.29c8d1d010ad7p-3, 0x1.22f694f108973p-3, 0x1.1c41198b08f87p-3, 0x1.15a84cb3259ddp-3, 0x1.0f2c16c3ef927p-3, 0x1.08cc5b9a3ac6ap-3, 0x1.0288fad01c12bp-3, 0x1.f8c39fec2a11ap-4, 0x1.ecad6594f58ddp-4, 0x1.e0ceeede385ep-4, 0x1.d527dd3a7078p-4, 0x1.c9b7cbaf7ad3bp-4, 0x1.be7e4f37d3e0ep-4, 0x1.b37af7208f15bp-4, 0x1.a8ad4d642c488p-4, 0x1.9e14d7024c982p-4, 0x1.93b11454568a5p-4, 0x1.8981815f32b89p-4, 0x1.7f8596220c47ep-4, 0x1.75bcc6e2447fap-4, 0x1.6c2684749d89cp-4, 0x1.62c23c83adf55p-4, 0x1.598f59d3b0aebp-4, 0x1.508d4483bfad2p-4, 0x1.47bb624c8ba21p-4, 0x1.3f1916bc9f441p-4, 0x1.36a5c37240da3p-4, 0x1.2e60c852ff687p-4, 0x1.264983c0fd99cp-4, 0x1.1e5f52ce095dbp-4, 0x1.16a1916c8e784p-4, 0x1.0f0f9a9e756f1p-4, 0x1.07a8c8a1fce67p-4, 0x1.006c751c9aa0cp-4, 0x1.f2b3f287ecd5bp-5, 0x1.e4e15c0a11a08p-5, 0x1.d75fd852dcf4bp-5, 0x1.ca2e18f5fd4efp-5, 0x1.bd4acfcb5c741p-5, 0x1.b0b4af2fa40a6p-5, 0x1.a46a6a4191386p-5, 0x1.986ab51c374c2p-5, 0x1.8cb4450e46891p-5, 0x1.8145d0ce72e69p-5, 0x1.761e10ad0a95dp-5, 0x1.6b3bbec2e469bp-5, 0x1.609d971da6d66p-5, 0x1.564257e9910c1p-5, 0x1.4c28c198d0615p-5, 0x1.424f97087e8ccp-5, 0x1.38b59da356c13p-5, 0x1.2f599d823b5b3p-5, 0x1.263a618a9e11bp-5, 0x1.1d56b78ade041p-5, 0x1.14ad7054adf0fp-5, 0x1.0c3d5fd596fe1p-5, 0x1.04055d2da515ep-5, 0x1.f8088588b14dep-6, 0x1.e871dcb7bf0cep-6, 0x1.d944824569f71p-6, 0x1.ca7e3f8759a3ep-6, 0x1.bc1ce4e90a7dap-6, 0x1.ae1e4a05fc615p-6, 0x1.a0804dc131094p-6, 0x1.9340d659f98eap-6, 0x1.865dd17e39b62p-6, 0x1.79d5345a3c798p-6, 0x1.6da4fba638c3p-6, 0x1.61cb2bb19253ap-6, 0x1.5645d06bffa1ap-6, 0x1.4b12fd6ca378fp-6, 0x1.4030cdf733b0cp-6, 0x1.359d64ff44e41p-6, 0x1.2b56ed29d3ce7p-6, 0x1.215b98cd1a5f1p-6, 0x1.17a9a1eecd5cap-6, 0x1.0e3f4a40d2c9p-6, 0x1.051adb1c8350ep-6, 0x1.f8754af91edp-7, 0x1.e73a03eb26a88p-7, 0x1.d680a15add205p-7, 0x1.c645f2a2ea128p-7, 0x1.b686d61703ef3p-7, 0x1.a74038ebfa64bp-7, 0x1.986f171de286ap-7, 0x1.8a107b544dee9p-7, 0x1.7c217ec4e1475p-7, 0x1.6e9f4914368f1p-7, 0x1.6187103548fcep-7, 0x1.54d61847789c5p-7, 0x1.4889b3732708p-7, 0x1.3c9f41c537017p-7, 0x1.311431095bc2dp-7, 0x1.25e5fca359416p-7, 0x1.1b122d67591f3p-7, 0x1.1096597152553p-7, 0x1.067023fbacf46p-7, 0x1.f93a7a6a4c703p-8, 0x1.e636c42c191bfp-8, 0x1.d3d0b869c2bc8p-8, 0x1.c20403350035fp-8, 0x1.b0cc692b83705p-8, 0x1.a025c71d7ab04p-8, 0x1.900c11b371c5dp-8, 0x1.807b55138e025p-8, 0x1.716fb4865aff1p-8, 0x1.62e56a1b26853p-8, 0x1.54d8c64c3af64p-8, 0x1.47462fa2ca552p-8, 0x1.3a2a225accebdp-8, 0x1.2d813006da50bp-8, 0x1.2147ff3418178p-8, 0x1.157b4b0e45c9p-8, 0x1.0a17e30411793p-8, 0x1.fe3554d7293acp-9, 0x1.e901304e8e369p-9, 0x1.d48d6c969452cp-9, 0x1.c0d443866322ep-9, 0x1.add013f098ea1p-9, 0x1.9b7b60f102009p-9, 0x1.89d0d13b7584ap-9, 0x1.78cb2e6c4d903p-9, 0x1.68656459e8949p-9, 0x1.589a8067db9edp-9, 0x1.4965b0dba63a9p-9, 0x1.3ac244330c8c1p-9, 0x1.2caba87c30f51p-9, 0x1.1f1d6aaf46fdep-9, 0x1.1213360a2820cp-9, 0x1.0588d36dbf35bp-9, 0x1.f2f4517ae60dcp-10, 0x1.dbc67080d6ec7p-10, 0x1.c58040097d6d2p-10, 0x1.b01a32898a2bep-10, 0x1.9b8cef9cad17p-10, 0x1.87d152d8b57f5p-10, 0x1.74e06aa442224p-10, 0x1.62b377121aa84p-10, 0x1.5143e8c084143p-10, 0x1.408b5fbd1bbf1p-10, 0x1.3083aa6d3c422p-10, 0x1.2126c47a22c4fp-10, 0x1.126ed5c1f96c8p-10, 0x1.0456314cde14p-10, 0x1.edaea88d4f83fp-11, 0x1.d3d9c9fa0d821p-11, 0x1.bb2363c379a55p-11, 0x1.a3816122c152ap-11, 0x1.8ce9f9bd23499p-11, 0x1.7753afc28a776p-11, 0x1.62b54e1638d93p-11, 0x1.4f05e67e71ac8p-11, 0x1.3c3ccfdd6d132p-11, 0x1.2a51a472d8b0bp-11, 0x1.193c4025cc42bp-11, 0x1.08f4bed7bc3c8p-11, 0x1.f2e6f57e6c43bp-12, 0x1.d5621595083e3p-12, 0x1.b94c8216ed016p-12, 0x1.9e985255696a6p-12, 0x1.85380dc72a689p-12, 0x1.6d1ea910add2ep-12, 0x1.563f831967f05p-12, 0x1.408e6233d839bp-12, 0x1.2bff71532392dp-12, 0x1.18873d50bdd9ap-12, 0x1.061ab242db718p-12, 0x1.e95e31bc64566p-13, 0x1.c87427d24b48ep-13, 0x1.a9633b78e76d8p-13, 0x1.8c180ba49ace3p-13, 0x1.707fdcc7bfdffp-13, 0x1.5688942c68111p-13, 0x1.3e20b361c6447p-13, 0x1.273753cb9640cp-13, 0x1.11bc2248ee6a8p-13, 0x1.fb3eb5eaf831dp-14, 0x1.d5a38a0ed42a4p-14, 0x1.b2895d876dfadp-14, 0x1.91d3d31371f11p-14, 0x1.73678bf71d5b5p-14, 0x1.572a20754df92p-14, 0x1.3d02187b960a9p-14, 0x1.24d6e4814b9ecp-14, 0x1.0e90d68ca303bp-14, 0x1.f43236c6d0a9ep-15, 0x1.ceb367df551aap-15, 0x1.ac7add9059de6p-15, 0x1.8d5fc3cab11a5p-15, 0x1.713ac90873169p-15, 0x1.57e6125cd8a12p-15, 0x1.413d2fc3a916ap-15, 0x1.2d1d10dbf74c1p-15, 0x1.1b63f9d8a7f42p-15, 0x1.0bf178c58733ep-15, 0x1.fd4cb62c4be6fp-16, 0x1.e6c9470058c49p-16, 0x1.d41f00131e6f2p-16, 0x1.c51680daf54d6p-16, 0x1.b97a997e51d56p-16, 0x1.b1183892ab66cp-16, 0x1.abbe596e8a228p-16, 0x1.a93df2f9363a5p-16, 0x1.a969e6d9e4c96p-16, 0x1.ac16f1326f3abp-16, 0x1.b11b98d67ef3ap-16, 0x1.b8501fe38b5dp-16, 0x1.c18e74d083ee5p-16, 0x1.ccb223f7cdbbp-16, 0x1.d998498155dc4p-16, 0x1.e81f83a1c946cp-16, 0x1.f827e559abab9p-16, 0x1.04c974ca19408p-15, 0x1.0e21b34d7c2edp-15, 0x1.180ec0f769ab4p-15, 0x1.22835243e9e0ap-15, 0x1.2d72b7b215cabp-15, 0x1.38d0d82e35e0cp-15, 0x1.44922bb85d90bp-15, 0x1.50abb6293e1c4p-15, 0x1.5d130221e80bfp-15, 0x1.69be1c2529fcdp-15, 0x1.76a38dd6fc2d2p-15, 0x1.83ba5961de7acp-15, 0x1.90f9f4f7f9c84p-15, 0x1.9e5a46859cae7p-15, 0x1.abd39f7e100cbp-15, 0x1.b95eb8c94685cp-15, 0x1.c6f4aeda0410dp-15, 0x1.d48efddd52141p-15, 0x1.e2277e0bdc46bp-15, 0x1.efb8601507a2dp-15, 0x1.fd3c29aa801b6p-15, 0x1.0556d9173afccp-14, 0x1.0c040fb89c6d3p-14, 0x1.12a37149a2e2bp-14, 0x1.1932da80acf3fp-14, 0x1.1fb04ac3193c4p-14, 0x1.2619e2bad2dfcp-14, 0x1.2c6de2f713652p-14, 0x1.32aaaa9c437eap-14, 0x1.38ceb61cb5502p-14, 0x1.3ed89dfba4fe2p-14, 0x1.44c7159d710f9p-14, 0x1.4a98ea2100c9dp-14, 0x1.504d01435d60dp-14, 0x1.55e2584bfca6cp-14, 0x1.5b580303291efp-14, 0x1.60ad2ab3e6bd6p-14, 0x1.65e10d33de944p-14, 0x1.6af2fbf4f8635p-14, 0x1.6fe25b2092003p-14, 0x1.74aea0b993543p-14, 0x1.795753c683d9bp-14, 0x1.7ddc0b82ee5a9p-14, 0x1.823c6e99b05e4p-14, 0x1.86783265c0c17p-14, 0x1.8a8f1a39202f8p-14, 0x1.8e80f6ac21ef7p-14, 0x1.924da4f2d3c3ap-14, 0x1.95f50e37b583cp-14, 0x1.997726fe70c4dp-14, 0x1.9cd3ee8919069p-14, 0x1.a00b6e4800573p-14, 0x1.a31db94c2e6d3p-14, 0x1.a60aebbe9ec01p-14, 0x1.a8d32a5f2894p-14, 0x1.ab76a2076838bp-14, 0x1.adf58731136bbp-14, 0x1.b0501584c92f4p-14, 0x1.b2868f67ee701p-14, 0x1.b4993d93d0f63p-14, 0x1.b6886eafc6269p-14, 0x1.b85476ee7b9e1p-14, 0x1.b9fdafaf5e705p-14, 0x1.bb847725d2637p-14, 0x1.bce930015e2a7p-14, 0x1.be2c411b2eeb3p-14, 0x1.bf4e1527f8a86p-14, 0x1.c04f1a69652e3p-14, 0x1.c12fc26752982p-14, 0x1.c1f081a9fc064p-14, 0x1.c291cf770884ap-14, 0x1.c3142591da365p-14, 0x1.c377ffffaa471p-14, 0x1.c3bddccc8f0dbp-14, 0x1.c3e63bd3dba9fp-14, 0x1.c3f19e8cb4e5ap-14, 0x1.c3e087d59277p-14, 0x1.c3b37bc5c8184p-14, 0x1.c36aff7ed8945p-14, 0x1.c30799013b881p-14, 0x1.c289cf02a4a5dp-14, 0x1.c1f228c6b3101p-14, 0x1.c1412df9a5b84p-14, 0x1.c077668bd07dfp-14, 0x1.bf955a907b014p-14, 0x1.be9b921db640ep-14, 0x1.bd8a952de0c43p-14, 0x1.bc62eb8284a49p-14, 0x1.bb251c89cc861p-14, 0x1.b9d1af441ac95p-14, 0x1.b8692a2bd831ep-14, 0x1.b6ec131f0fb7ep-14, 0x1.b55aef492ac68p-14, 0x1.b3b6430e5a388p-14, 0x1.b1fe91f94a9a3p-14, 0x1.b0345ea89cf81p-14, 0x1.ae582abe27721p-14, 0x1.ac6a76cf32015p-14, 0x1.aa6bc2560b523p-14, 0x1.a85c8ba3dcaa4p-14, 0x1.a63d4fd398a2bp-14, 0x1.a40e8abf829d1p-14, 0x1.a1d0b6f483cfap-14, 0x1.9f844da8cf2d1p-14, 0x1.9d29c6b27b91ep-14, 0x1.9ac1987edf0eep-14, 0x1.984c380a85204p-14, 0x1.95ca18da1c978p-14, 0x1.933bacf45a84p-14, 0x1.90a164db7c311p-14, 0x1.8dfbaf87f6b31p-14, 0x1.8b4afa64b1dfep-14, 0x1.888fb149f9124p-14, 0x1.85ca3e7a4ee51p-14, 0x1.82fb0a9f395d9p-14, 0x1.80227cc6da8bep-14, 0x1.7d40fa61677c6p-14, 0x1.7a56e73fb51eap-14, 0x1.7764a592026c8p-14, 0x1.746a95e70ace2p-14, 0x1.7169172b10343p-14, 0x1.6e6086a80ecb9p-14, 0x1.6b514005fd1efp-14, 0x1.683b9d4af7af2p-14, 0x1.651ff6dc4b61cp-14, 0x1.61fea37f40e35p-14, 0x1.5ed7f85ac2e92p-14, 0x1.5bac48f897a49p-14, 0x1.587be7474bd5bp-14, 0x1.5547239cb3ed1p-14, 0x1.520e4cb7b5caep-14, 0x1.4ed1afc28962cp-14, 0x1.4b9198560ad56p-14, 0x1.484e507c0190fp-14, 0x1.450820b283e38p-14, 0x1.41bf4feebbd94p-14, 0x1.3e7423a07242bp-14, 0x1.3b26dfb584792p-14, 0x1.37d7c69d28f5cp-14, 0x1.3487194bb4877p-14, 0x1.3135173ec017ap-14, 0x1.2de1fe8082dfp-14, 0x1.2a8e0babed5b5p-14, 0x1.273979f0d61acp-14, 0x1.23e48317f8976p-14, 0x1.208f5f875cbcap-14, 0x1.1d3a46461826bp-14, 0x1.19e56d01112bbp-14, 0x1.1691080f514dp-14, 0x1.133d4a7613bf4p-14, 0x1.0fea65ed7135fp-14, 0x1.0c988ae4e6c12p-14, 0x1.0947e887be399p-14, 0x1.05f8acc168436p-14, 0x1.02ab04423a1d4p-14, 0x1.febe3507fccdcp-15, 0x1.f82a339cfdc0fp-15, 0x1.f19a5677d0abap-15, 0x1.eb0eed7aa521bp-15, 0x1.e488463f95cd6p-15, 0x1.de06ac20af28ap-15, 0x1.d78a6841ba029p-15, 0x1.d113c198bf9a3p-15, 0x1.caa2fcf7d30f4p-15, 0x1.c4385d15692c5p-15, 0x1.bdd42295aa95fp-15, 0x1.b7768c133ae92p-15, 0x1.b11fd628a256p-15, 0x1.aad03b78b8257p-15, 0x1.a487f4b7152c3p-15, 0x1.9e4738b1505c8p-15, 0x1.980e3c57e87a4p-15, 0x1.91dd32c6503bbp-15, 0x1.8bb44d4be551cp-15, 0x1.8593bb7403bd9p-15, 0x1.7f7bab0ee22fcp-15, 0x1.796c4839a3907p-15, 0x1.7365bd668fcc7p-15, 0x1.6d6833655548ap-15, 0x1.6773d16b5e255p-15, 0x1.6188bd1ba5f8p-15, 0x1.5ba71a8e41551p-15, 0x1.55cf0c58b0326p-15, 0x1.5000b39597298p-15, 0x1.4a3c2fec5738ep-15, 0x1.44819f98a80a5p-15, 0x1.3ed11f71f4f9dp-15, 0x1.392acaf2dedc2p-15, 0x1.338ebc40aa511p-15, 0x1.2dfd0c322ffb7p-15, 0x1.2875d2571f3bp-15, 0x1.22f924ff23b73p-15, 0x1.1d871940dc6fep-15, 0x1.181fc30056ddcp-15, 0x1.12c334f602684p-15, 0x1.0d7180b580e9dp-15, 0x1.082ab6b4004ep-15, 0x1.02eee64ee4884p-15, 0x1.fb7c3ba3f04p-16, 0x1.f130d4fb6d5a2p-16, 0x1.e6fbb11b3a30bp-16, 0x1.dcdce67c770fbp-16, 0x1.d2d489a636ac3p-16, 0x1.c8e2ad395200ap-16, 0x1.bf0761fc698e9p-16, 0x1.b542b6e72b466p-16, 0x1.ab94b92d3cec8p-16, 0x1.a1fd74499857bp-16, 0x1.987cf209b0ec3p-16, 0x1.8f133a97cde2fp-16, 0x1.85c05485f05bap-16, 0x1.7c8444d7f345ep-16, 0x1.735f0f0db10e8p-16, 0x1.6a50b52d46d7ep-16, 0x1.615937cd105bbp-16, 0x1.5878961cea9dp-16, 0x1.4faecdefeef03p-16, 0x1.46fbdbc604f05p-16, 0x1.3e5fbad4bd6d7p-16, 0x1.35da6510b2a9ep-16, 0x1.2d6bd335ce2p-16, 0x1.2513fcd0c92c3p-16, 0x1.1cd2d8472fcf5p-16, 0x1.14a85adfef3bbp-16, 0x1.0c9478cbb1f15p-16, 0x1.0497252cc0a25p-16, 0x1.f960a43dbaa75p-17, 0x1.e9bfe17eda10ep-17, 0x1.da4be26a22a0ap-17, 0x1.cb04856d4f42bp-17, 0x1.bbe9a726742d7p-17, 0x1.acfb2271c6d2p-17, 0x1.9e38d07802e2ep-17, 0x1.8fa288bc1e176p-17, 0x1.813821290323dp-17, 0x1.72f96e1f0331ep-17, 0x1.64e642809d4bp-17, 0x1.56fe6fbf90b33p-17, 0x1.4941c5e98fdbfp-17, 0x1.3bb013b3e23eep-17, 0x1.2e492687ea5a1p-17, 0x1.210cca8f1b452p-17, 0x1.13facabeb0738p-17, 0x1.0712f0e1e15c1p-17, 0x1.f4aa0b4cc893dp-18, 0x1.db81a14c77addp-18, 0x1.c2ac30e61d64dp-18, 0x1.aa2945405ca4cp-18, 0x1.91f86798fc294p-18, 0x1.7a191f5aa8d4fp-18, 0x1.628af22eba8b7p-18, 0x1.4b4d6410cedc3p-18, 0x1.345ff76230156p-18, 0x1.1dc22cfb18b3cp-18, 0x1.0773843c70745p-18, 0x1.e2e6f644c4df8p-19, 0x1.b7831ca96cfe8p-19, 0x1.8cba726ef5838p-19, 0x1.628bebf6d6d43p-19, 0x1.38f67b5c71147p-19, 0x1.0ff910922123bp-19, 0x1.cf253307260eep-20, 0x1.7f84045da6286p-20, 0x1.310c698a0e1cap-20, 0x1.c77867170172ep-21, 0x1.2f226064b9db2p-21, 0x1.3224a96c60a5cp-22, 0x1.50f510f14b1c2p-27, -0x1.189b2baf4f9c1p-22, -0x1.1ba6633b7afb9p-21, -0x1.a8cb11d4c351fp-21, -0x1.19e011c2a1b99p-20, -0x1.5e450ee4d273fp-20, -0x1.a196c4aadb922p-20, -0x1.e3d778e0e171cp-20, -0x1.1284b94cc59fep-19, -0x1.32977cffe13b8p-19, -0x1.52252c1ac058bp-19, -0x1.712eeb9249e84p-19, -0x1.8fb5e0ac2f1d4p-19, -0x1.adbb30ee09b31p-19, -0x1.cb400208e3e65p-19, -0x1.e84579c7293d7p-19, -0x1.02665efe13676p-18, -0x1.106b7a3985c63p-18, -0x1.1e32a16e295e4p-18, -0x1.2bbc675f43883p-18, -0x1.39095eb43da3cp-18, -0x1.461a19efa8b9dp-18, -0x1.52ef2b686b631p-18, -0x1.5f892542806c9p-18, -0x1.6be8996770996p-18, -0x1.780e19804239fp-18, -0x1.83fa36ee5afb1p-18, -0x1.8fad82c506924p-18, -0x1.9b288dc33307ap-18, -0x1.a66be84e3ff77p-18, -0x1.b178226a9774fp-18, -0x1.bc4dcbb71fdc4p-18, -0x1.c6ed73670966ep-18, -0x1.d157a83db18d8p-18, -0x1.db8cf8871df11p-18, -0x1.e58df214f54d5p-18, -0x1.ef5b223990bc2p-18, -0x1.f8f515c19363ep-18, -0x1.012e2c78e03e8p-17, -0x1.05c8bbc0424b5p-17, -0x1.0a4a7e494b504p-17, -0x1.0eb3b95b9343ep-17, -0x1.1304b1f1b7f1fp-17, -0x1.173dacb76b5a6p-17, -0x1.1b5eee079ab4ap-17, -0x1.1f68b9eb11d2cp-17, -0x1.235b541624795p-17, -0x1.2736ffe7719bfp-17, -0x1.2afc00662194ap-17, -0x1.2eaa9840a67dcp-17, -0x1.324309caecb8ep-17, -0x1.35c596fcbbe18p-17, -0x1.39328171509f7p-17, -0x1.3c8a0a65105fap-17, -0x1.3fcc72b4d7c77p-17, -0x1.42f9fadcdd5b8p-17, -0x1.4612e2f6caad9p-17, -0x1.49176ab9aa58ap-17, -0x1.4c07d1788a3cbp-17, -0x1.4ee45620f4cc6p-17, -0x1.51ad373aa6d4dp-17, -0x1.5462b2e675503p-17, -0x1.570506dd90764p-17, -0x1.59947070663ebp-17, -0x1.5c112c8636259p-17, -0x1.5e7b779c2a963p-17, -0x1.60d38dc51811p-17, -0x1.6319aaa803965p-17, -0x1.654e098039b5ap-17, -0x1.6770e51cd29cfp-17, -0x1.698277df8c1a6p-17, -0x1.6b82fbbd07941p-17, -0x1.6d72aa3c0eaebp-17, -0x1.6f51bc74a8654p-17, -0x1.71206b10b61edp-17, -0x1.72deee4b08c62p-17, -0x1.748d7deefd593p-17, -0x1.762c51586a2d1p-17, -0x1.77bb9f737c577p-17, -0x1.793b9ebc3a4d5p-17, -0x1.7aac853e7126dp-17, -0x1.7c0e8895d5c4ap-17, -0x1.7d61dded6a9c3p-17, -0x1.7ea6b9ffc2027p-17, -0x1.7fdd5116da249p-17, -0x1.8105d70bb9979p-17, -0x1.82207f47265eep-17, -0x1.832d7cc0f61a4p-17, -0x1.842d02005785ap-17, -0x1.851f411c21bc6p-17, -0x1.86046bba51146p-17, -0x1.86dcb310a433ep-17, -0x1.87a847e4b1af5p-17, -0x1.88675a8bb1461p-17, -0x1.891a1aeaf7d2cp-17, -0x1.89c0b8780161bp-17, -0x1.8a5b6238c0748p-17, -0x1.8aea46c3b681ep-17, -0x1.8b6d94402c29ep-17, -0x1.8be57866a5f22p-17, -0x1.8c5220810117fp-17, -0x1.8cb3b96aca08dp-17, -0x1.8d0a6f91662d9p-17, -0x1.8d566ef4914b3p-17, -0x1.8d97e326b3fbap-17, -0x1.8dcef74d34619p-17, -0x1.8dfbd62095dd4p-17, -0x1.8e1ea9ed63f4dp-17, -0x1.8e379c93fb90fp-17, -0x1.8e46d7893ace8p-17, -0x1.8e4c83d73523dp-17, -0x1.8e48ca1d10ca1p-17, -0x1.8e3bd28fc216cp-17, -0x1.8e25c4fa6646cp-17, -0x1.8e06c8bf060c7p-17, -0x1.8ddf04d6bb07ep-17, -0x1.8dae9fd20c02fp-17, -0x1.8d75bfd9cc51fp-17, -0x1.8d348aaf80b54p-17, -0x1.8ceb25adde2b6p-17, -0x1.8c99b5c90c3c4p-17, -0x1.8c405f8f535a1p-17, -0x1.8bdf472a04e81p-17, -0x1.8b76905d9f418p-17, -0x1.8b065e8a329bap-17, -0x1.8a8ed4ac674f6p-17, -0x1.8a10155dcd1d1p-17, -0x1.898a42d5588d9p-17, -0x1.88fd7ee82e263p-17, -0x1.8869eb0a1e592p-17, -0x1.87cfa84e27398p-17, -0x1.872ed7671ffaap-17, -0x1.868798a85606p-17, -0x1.85da0c0610206p-17, -0x1.8526511674ff2p-17, -0x1.846c87119f75bp-17, -0x1.83acccd29efb9p-17, -0x1.82e740d814c2ap-17, -0x1.821c0144c8272p-17, -0x1.814b2be03c91p-17, -0x1.8074de1727a0bp-17, -0x1.7f9934fc369edp-17, -0x1.7eb84d491a8a9p-17, -0x1.7dd2435e922ffp-17, -0x1.7ce7334508ae9p-17, -0x1.7bf738addc9e1p-17, -0x1.7b026ef355f77p-17, -0x1.7a08f11982942p-17, -0x1.790ad9cf4c527p-17, -0x1.7808436e706fcp-17, -0x1.770147fc9ce21p-17, -0x1.75f6012bbe2ap-17, -0x1.74e6885afa15cp-17, -0x1.73d2f697275eap-17, -0x1.72bb649b7d7b2p-17, -0x1.719fead24e876p-17, -0x1.7080a1558617bp-17, -0x1.6f5d9fef6a558p-17, -0x1.6e36fe1b5d1cfp-17, -0x1.6d0cd3065db0dp-17, -0x1.6bdf358faa236p-17, -0x1.6aae3c4960beep-17, -0x1.6979fd796f411p-17, -0x1.68428f1a0a788p-17, -0x1.670806da2ba5fp-17, -0x1.65ca7a1e77122p-17, -0x1.6489fe01c3854p-17, -0x1.6346a755a04e7p-17, -0x1.62008aa35e6f4p-17, -0x1.60b7bc2c785f7p-17, -0x1.5f6c4feb01047p-17, -0x1.5e1e5992b8657p-17, -0x1.5ccdec913f8c8p-17, -0x1.5b7b1c0f1bef5p-17, -0x1.5a25faf041c88p-17, -0x1.58ce9bd4691f1p-17, -0x1.5775111823eaep-17, -0x1.56196cd538df3p-17, -0x1.54bbc0e3533d2p-17, -0x1.535c1ed8bb4b1p-17, -0x1.51fa980ad5271p-17, -0x1.50973d8ecc461p-17, -0x1.4f32203a182ebp-17, -0x1.4dcb50a377173p-17, -0x1.4c62df2312ef1p-17, -0x1.4af8dbd3765dcp-17, -0x1.498d56920a6dfp-17, -0x1.48205eff85f47p-17, -0x1.46b20480c6be2p-17, -0x1.4542563f79508p-17, -0x1.43d1632a792e4p-17, -0x1.425f39f685d98p-17, -0x1.40ebe91ecb4dfp-17, -0x1.3f777ee58e5dbp-17, -0x1.3e020954b2dcbp-17, -0x1.3c8b963e5ce4dp-17, -0x1.3b14333d9083ep-17, -0x1.399bedb68e412p-17, -0x1.3822d2d7a4836p-17, -0x1.36a8ef99b1b44p-17, -0x1.352e50c0af51ep-17, -0x1.33b302dc37f63p-17, -0x1.323712482d5cp-17, -0x1.30ba8b2d30da5p-17, -0x1.2f3d798126d2ap-17, -0x1.2dbfe9081bfb1p-17, -0x1.2c41e55458adap-17, -0x1.2ac379c736a17p-17, -0x1.2944b191aafaep-17, -0x1.27c597b49be5fp-17, -0x1.26463701801fbp-17, -0x1.24c69a1b3216ep-17, -0x1.2346cb76153fap-17, -0x1.21c6d558b34e3p-17, -0x1.2046c1dc61839p-17, -0x1.1ec69aed99058p-17, -0x1.1d466a4cb0c6fp-17, -0x1.1bc6398e3143p-17, -0x1.1a46121b5b3ccp-17, -0x1.18c5fd32ceeb5p-17, -0x1.174603e8da84fp-17, -0x1.15c62f2803e07p-17, -0x1.144687b1b5f8ap-17, -0x1.12c7161e78b25p-17, -0x1.1147e2de9570ap-17, -0x1.0fc8f63a9f8f5p-17, -0x1.0e4a5853ac96dp-17, -0x1.0ccc1123f8d0ep-17, -0x1.0b4e287f8bddp-17, -0x1.09d0a6147639dp-17, -0x1.0853916b4061ep-17, -0x1.06d6f1e76e3acp-17, -0x1.055acec801f03p-17, -0x1.03df2f27e1b2ep-17, -0x1.026419fe5135cp-17, -0x1.00e9961f6abc6p-17, -0x1.fedf5478e7b14p-18, -0x1.fbecb9c8ab80ap-18, -0x1.f8fb6908498aep-18, -0x1.f60b6ecedc9acp-18, -0x1.f31cd7717e8cfp-18, -0x1.f02faf03fc756p-18, -0x1.ed4401599805dp-18, -0x1.ea59da061274cp-18, -0x1.e771445e7a497p-18, -0x1.e48a4b79bf823p-18, -0x1.e1a4fa31b2aap-18, -0x1.dec15b23be2d7p-18, -0x1.dbdf78b1dc373p-18, -0x1.d8ff5d033a66cp-18, -0x1.d6211204b2df2p-18, -0x1.d344a169fdcdp-18, -0x1.d06a14ae99b71p-18, -0x1.cd9175162366fp-18, -0x1.cabacbad399d1p-18, -0x1.c7e6214a1418ep-18, -0x1.c5137e8d874b1p-18, -0x1.c242ebe3ba7edp-18, -0x1.bf747184a00aep-18, -0x1.bca81774d0164p-18, -0x1.b9dde58654155p-18, -0x1.b715e3592c3dap-18, -0x1.b450185c18216p-18, -0x1.b18c8bcd6bb01p-18, -0x1.aecb44bb67694p-18, -0x1.ac0c4a052e82cp-18, -0x1.a94fa25b5c364p-18, -0x1.a69554408bccap-18, -0x1.a3dd660a1ce71p-18, -0x1.a127dde10bab4p-18, -0x1.9e74c1c21bb57p-18, -0x1.9bc4177ed650ep-18, -0x1.9915e4be18908p-18, -0x1.966a2efca72bep-18, -0x1.93c0fb8de98ecp-18, -0x1.911a4f9c12336p-18, -0x1.8e7630295431bp-18, -0x1.8bd4a210596cp-18, -0x1.8935aa0471404p-18, -0x1.86994c928b94ep-18, -0x1.83ff8e21955e1p-18, -0x1.816872f31ce88p-18, -0x1.7ed3ff2401ab7p-18, -0x1.7c4236ace6227p-18, -0x1.79b31d62941b7p-18, -0x1.7726b6f6c0221p-18, -0x1.749d06f89b0e3p-18, -0x1.721610d5197f4p-18, -0x1.6f91d7d7c080ap-18, -0x1.6d105f2b0d4d5p-18, -0x1.6a91a9d8ea555p-18, -0x1.6815bacb3be5ap-18, -0x1.659c94cc7b39ap-18, -0x1.63263a881a357p-18, -0x1.60b2ae8ae642ep-18, -0x1.5e41f343cf7c2p-18, -0x1.5bd40b042f93ap-18, -0x1.5968f8003351ap-18, -0x1.5700bc4f88623p-18, -0x1.549b59edc96b1p-18, -0x1.5238d2bac17dep-18, -0x1.4fd9287b11402p-18, -0x1.4d7c5cd879483p-18, -0x1.4b22716290907p-18, -0x1.48cb678f05516p-18, -0x1.467740b9e47cdp-18, -0x1.4425fe2669446p-18, -0x1.41d7a0ff1676ep-18, -0x1.3f8c2a5644994p-18, -0x1.3d439b267af6cp-18, -0x1.3afdf452fc49p-18, -0x1.38bb36a7ff362p-18, -0x1.367b62db2e4a6p-18, -0x1.343e798c0db6cp-18, -0x1.32047b4467b0fp-18, -0x1.2fcd687888673p-18, -0x1.2d994187d021fp-18, -0x1.2b6806bce5b4ep-18, -0x1.2939b84e362e8p-18, -0x1.270e565e4b064p-18, -0x1.24e5e0fc2a17dp-18, -0x1.22c058238299ap-18, -0x1.209dbbbd4d5ecp-18, -0x1.1e7e0ba00d1d1p-18, -0x1.1c61479013508p-18, -0x1.1a476f3fdd0a8p-18, -0x1.183082508b6cep-18, -0x1.161c805204cf5p-18, -0x1.140b68c34a5a2p-18, -0x1.11fd3b13115d1p-18, -0x1.0ff1f69fb8ee9p-18, -0x1.0de99ab7d4d9cp-18, -0x1.0be4269a6fe8bp-18, -0x1.09e199774b4e1p-18, -0x1.07e1f26f405acp-18, -0x1.05e5309487657p-18, -0x1.03eb52eae50b4p-18, -0x1.01f45868123cap-18, -0x1.00003ff4190dp-18, -0x1.fc1e10d2d7836p-19, -0x1.f841612aa0a87p-19, -0x1.f46a6e7048f0cp-19, -0x1.f099360b0bec4p-19, -0x1.eccdb54977287p-19, -0x1.e907e961abe7dp-19, -0x1.e547cf7242d54p-19, -0x1.e18d64824110ap-19, -0x1.ddd8a5822f302p-19, -0x1.da298f4c512b3p-19, -0x1.d6801ea50202bp-19, -0x1.d2dc503b7f3e8p-19, -0x1.cf3e20aa1429cp-19, -0x1.cba58c76e6773p-19, -0x1.c8129014400b1p-19, -0x1.c48527e0ebca3p-19, -0x1.c0fd5028d018p-19, -0x1.bd7b052556065p-19, -0x1.b9fe42fdd48dcp-19, -0x1.b68705c7f4486p-19, -0x1.b31549883374p-19, -0x1.afa90a3274e8ap-19, -0x1.ac4243aa02668p-19, -0x1.a8e0f1c276a16p-19, -0x1.a585103fa9a6ep-19, -0x1.a22e9ad669563p-19, -0x1.9edd8d2cb3059p-19, -0x1.9b91e2da22c3dp-19, -0x1.984b976857a68p-19, -0x1.950aa6538db41p-19, -0x1.91cf0b0a7d07ep-19, -0x1.8e98c0ef28323p-19, -0x1.8b67c35715498p-19, -0x1.883c0d8b6fedbp-19, -0x1.85159ac9d028dp-19, -0x1.81f4664417457p-19, -0x1.7ed86b21525aep-19, }}, 
      {{0x1.fa54b4f30b0b2p-1, 0x1.f9134bf574451p-1, 0x1.f7611262abe29p-1, 0x1.f54a4b250a6d4p-1, 0x1.f2dbecb4e0554p-1, 0x1.f022efd498b27p-1, 0x1.ed2bd3eb932f4p-1, 0x1.ea024c658eb1p-1, 0x1.e6b10d26b102fp-1, 0x1.e341ae45de939p-1, 0x1.dfbca0f2ad23fp-1, 0x1.dc2930c6fa7dep-1, 0x1.d88d8dd7a02eep-1, 0x1.d4eedcb1ce1aap-1, 0x1.d1514a1ec8aa9p-1, 0x1.cdb8210f3137ap-1, 0x1.ca25e17932792p-1, 0x1.c69c5747b2515p-1, 0x1.c31cb0b8f912dp-1, 0x1.bfa793bcd9f1dp-1, 0x1.bc3d3208642b6p-1, 0x1.b8dd5bb2035cep-1, 0x1.b587903ea7cd5p-1, 0x1.b23b0e1899379p-1, 0x1.aef6e07452821p-1, 0x1.abb9ebb00bcap-1, 0x1.a882f840558d7p-1, 0x1.a550bc3fd12f1p-1, 0x1.a221e3ba4db4ep-1, 0x1.9ef517cc96a3ep-1, 0x1.9bc904b27ee35p-1, 0x1.989c5edc46b2bp-1, 0x1.956de723af738p-1, 0x1.923c6e37e415p-1, 0x1.8f06d756185e5p-1, 0x1.8bcc1a6347bedp-1, 0x1.888b457a091bep-1, 0x1.85437dfdeab47p-1, 0x1.81f4014450f2ap-1, 0x1.7e9c24e16b07bp-1, 0x1.7b3b56a66f3e4p-1, 0x1.77d11c5d0adp-1, 0x1.745d134aba555p-1, 0x1.70deef859f26fp-1, 0x1.6d567b235ca0ep-1, 0x1.69c395498d126p-1, 0x1.6626312681d0cp-1, 0x1.627e54d82c946p-1, 0x1.5ecc184659f93p-1, 0x1.5b0fa3f4b3894p-1, 0x1.57492fd069f2bp-1, 0x1.537901fcda70cp-1, 0x1.4f9f6da203517p-1, 0x1.4bbcd1bf30339p-1, 0x1.47d19803db11p-1, 0x1.43de33b06d1fep-1, 0x1.3fe3208036995p-1, 0x1.3be0e19db00c4p-1, 0x1.37d800a1db34ap-1, 0x1.33c90c9f6101fp-1, 0x1.2fb49939deb58p-1, 0x1.2b9b3dc9a7265p-1, 0x1.277d948c1e6c9p-1, 0x1.235c39e0b37a3p-1, 0x1.1f37cb92647e9p-1, 0x1.1b10e82da4156p-1, 0x1.16e82e62621e1p-1, 0x1.12be3c71efe3p-1, 0x1.0e93afa863352p-1, 0x1.0a6923e11c1eep-1, 0x1.063f3316016f4p-1, 0x1.021674f906d16p-1, 0x1.fbdefd2f118b6p-2, 0x1.f395c40e14526p-2, 0x1.eb525c35b9152p-2, 0x1.e315dc4477cb9p-2, 0x1.dae1535cce0cfp-2, 0x1.d2b5c8c0838e2p-2, 0x1.ca943b7a169dep-2, 0x1.c27da21370c1cp-2, 0x1.ba72ea590c645p-2, 0x1.b274f928b2504p-2, 0x1.aa84aa4b02768p-2, 0x1.a2a2d0570529cp-2, 0x1.9ad0349effc78p-2, 0x1.930d9725e0d79p-2, 0x1.8b5bae9c89982p-2, 0x1.83bb28665946ap-2, 0x1.7c2ca8a45688bp-2, 0x1.74b0ca466562ep-2, 0x1.6d481f21f4a46p-2, 0x1.65f3300da8f4dp-2, 0x1.5eb27d017937ep-2, 0x1.57867d3ad0f68p-2, 0x1.506f9f64427f5p-2, 0x1.496e49c06081ep-2, 0x1.4282da576097p-2, 0x1.3bada72726d44p-2, 0x1.34eefe5565897p-2, 0x1.2e472663834fdp-2, 0x1.27b65e63fb544p-2, 0x1.213cde30f5039p-2, 0x1.1adad6a3ceed1p-2, 0x1.149071cd68f53p-2, 0x1.0e5dd32eef65ap-2, 0x1.084317f2fc311p-2, 0x1.02405726da13cp-2, 0x1.f8ab43e78be52p-3, 0x1.ed0607b001731p-3, 0x1.e19105bf2b2aep-3, 0x1.d64c3fb95f2c8p-3, 0x1.cb37ad3eca703p-3, 0x1.c0533c59bc3c2p-3, 0x1.b59ed1eb767d5p-3, 0x1.ab1a4a1760b5ap-3, 0x1.a0c578ac6dffdp-3, 0x1.96a0298c9a036p-3, 0x1.8caa211266dadp-3, 0x1.82e31c7436fafp-3, 0x1.794ad22576ca1p-3, 0x1.6fe0f23581ad4p-3, 0x1.66a526ac2f2f9p-3, 0x1.5d9713e4021ddp-3, 0x1.54b658e1efe7p-3, 0x1.4c028faaadcabp-3, 0x1.437b4d9592c8ap-3, 0x1.3b20239cf22b9p-3, 0x1.32f09eac08325p-3, 0x1.2aec47ea61165p-3, 0x1.2312a504cb269p-3, 0x1.1b633873d4d84p-3, 0x1.13dd81bfd5eb6p-3, 0x1.0c80fdc290d5dp-3, 0x1.054d26e668ef7p-3, 0x1.fc82eac68a3dep-4, 0x1.eebabef22ab7dp-4, 0x1.e140b35023c57p-4, 0x1.d413adcd6bbc3p-4, 0x1.c73291ab0e3bp-4, 0x1.ba9c3fe15af7ap-4, 0x1.ae4f977edaa09p-4, 0x1.a24b760319a8dp-4, 0x1.968eb7b558d2ep-4, 0x1.8b1837f757335p-4, 0x1.7fe6d1942a96p-4, 0x1.74f95f0b5e63bp-4, 0x1.6a4ebad8603fbp-4, 0x1.5fe5bfb65d5e6p-4, 0x1.55bd48e0a6394p-4, 0x1.4bd4324fb38a3p-4, 0x1.422958f2e6976p-4, 0x1.38bb9ae71f06cp-4, 0x1.2f89d7aa3f068p-4, 0x1.2692f04bb5e49p-4, 0x1.1dd5c79a2d686p-4, 0x1.1551424e7019p-4, 0x1.0d044733a110cp-4, 0x1.04edbf4cdf3aep-4, 0x1.fa192bf0d33c5p-5, 0x1.eabf7220b99dep-5, 0x1.dbcc3212439eap-5, 0x1.cd3d521b447cbp-5, 0x1.bf10be32b549cp-5, 0x1.b1446820bab07p-5, 0x1.a3d647aabccdep-5, 0x1.96c45abbb3f4fp-5, 0x1.8a0ca588d7095p-5, 0x1.7dad32b2d1194p-5, 0x1.71a41363a48f2p-5, 0x1.65ef5f695c597p-5, 0x1.5a8d354dbdb44p-5, 0x1.4f7bba6b06e39p-5, 0x1.44b91afdf4396p-5, 0x1.3a438a351c4a3p-5, 0x1.3019423dcbc6ap-5, 0x1.2638844e7bb77p-5, 0x1.1c9f98af043cdp-5, 0x1.134ccebea1a1fp-5, 0x1.0a3e7cf7f6b0dp-5, 0x1.017300f314049p-5, 0x1.f1d17ecb59a08p-6, 0x1.e13c484323767p-6, 0x1.d123442300802p-6, 0x1.c1836668d42eap-6, 0x1.b259b12e8b229p-6, 0x1.a3a3349af8abdp-6, 0x1.955d0ed020392p-6, 0x1.87846bd7138ap-6, 0x1.7a168589805ebp-6, 0x1.6d10a37933518p-6, 0x1.60701ad581c62p-6, 0x1.54324e4ef0c8ep-6, 0x1.4854adf91af99p-6, 0x1.3cd4b72afc375p-6, 0x1.31aff45dc2019p-6, 0x1.26e3fd0a4b7d8p-6, 0x1.1c6e7585537c9p-6, 0x1.124d0eda86ab2p-6, 0x1.087d86a68802bp-6, 0x1.fdfb4ddff572p-7, 0x1.eb968bff69b7p-7, 0x1.d9c88c705f649p-7, 0x1.c88d2bd87b532p-7, 0x1.b7e05e6a4f0eep-7, 0x1.a7be2f9080d3dp-7, 0x1.9822c19808816p-7, 0x1.890a4d598b5fcp-7, 0x1.7a7121e22b292p-7, 0x1.6c53a41baf002p-7, 0x1.5eae4e744b4adp-7, 0x1.517db086124bfp-7, 0x1.44be6ebe35de7p-7, 0x1.386d420418129p-7, 0x1.2c86f760670ep-7, 0x1.21086fa445ba2p-7, 0x1.15ee9f1091704p-7, 0x1.0b368cfd6135ap-7, 0x1.00dd5381df2e6p-7, 0x1.edc03e38dcf65p-8, 0x1.da785cb686be1p-8, 0x1.c7dda30af65e5p-8, 0x1.b5ead4898a28p-8, 0x1.a49ad69f2cceep-8, 0x1.93e8b0281d6ccp-8, 0x1.83cf88c716cd8p-8, 0x1.744aa83df2b8p-8, 0x1.655575c7cf66dp-8, 0x1.56eb7774cfac5p-8, 0x1.49085187b1b77p-8, 0x1.3ba7c5d4f0793p-8, 0x1.2ec5b323d787ep-8, 0x1.225e14916338fp-8, 0x1.166d00f51217ep-8, 0x1.0aeeaa47a7bcp-8, 0x1.ffbeba17a2ffp-9, 0x1.ea76ff71e4209p-9, 0x1.d5ff244fe785p-9, 0x1.c2505a0427b48p-9, 0x1.af640263b76fdp-9, 0x1.9d33aeac5e42p-9, 0x1.8bb91e6f0ce68p-9, 0x1.7aee3e7e79a8ap-9, 0x1.6acd27e21766ep-9, 0x1.5b501ecd5ad84p-9, 0x1.4c71919b769b1p-9, 0x1.3e2c17cf363bcp-9, 0x1.307a71173b311p-9, 0x1.23578456b0128p-9, 0x1.16be5eb23b6c7p-9, 0x1.0aaa32a136b4bp-9, 0x1.fe2cae063d56bp-10, 0x1.e7fc8c731252ep-10, 0x1.d2bb3a8c664a9p-10, 0x1.be6035da7d251p-10, 0x1.aae33db777665p-10, 0x1.983c51a4a07ffp-10, 0x1.8663afa82a5bcp-10, 0x1.7551d2b318332p-10, 0x1.64ff710f1be68p-10, 0x1.55657ad4b4a55p-10, 0x1.467d186946d7dp-10, 0x1.383fa90525687p-10, 0x1.2aa6c1415783p-10, 0x1.1dac29ad0d463p-10, 0x1.1149dd6ab3a3fp-10, 0x1.057a08d51a828p-10, 0x1.f46e10568e636p-11, 0x1.def6cc8829ca5p-11, 0x1.ca83b691ec896p-11, 0x1.b70a96f00f29bp-11, 0x1.a4818bda55144p-11, 0x1.92df06e3bfc6ep-11, 0x1.8219caa84be9p-11, 0x1.7228e8880d55ep-11, 0x1.6303be701b9aep-11, 0x1.54a1f4b000118p-11, 0x1.46fb7bdc25ef7p-11, 0x1.3a088abcfed6bp-11, 0x1.2dc19c4a8cdbep-11, 0x1.221f6db4d5bd9p-11, 0x1.171afc7763f17p-11, 0x1.0cad84793eb91p-11, 0x1.02d07e3815dffp-11, 0x1.f2fb39fe5eec5p-12, 0x1.e15d9a540273bp-12, 0x1.d0bc64e14724dp-12, 0x1.c10c4c7ffc628p-12, 0x1.b2426c37f6267p-12, 0x1.a45444193fe02p-12, 0x1.9737b62ad19f8p-12, 0x1.8ae3036c00aefp-12, 0x1.7f4cc8ea6c2a4p-12, 0x1.746bfceafbf0cp-12, 0x1.6a37ec2542c04p-12, 0x1.60a837133846cp-12, 0x1.57b4cf506ed25p-12, 0x1.4f55f50c40558p-12, 0x1.4784348d23551p-12, 0x1.403863c4d9d5p-12, 0x1.396b9ff62f509p-12, 0x1.33174b69e9ce8p-12, 0x1.2d350b33336c8p-12, 0x1.27bec504b2adfp-12, 0x1.22ae9d13fb071p-12, 0x1.1dfef40caa904p-12, 0x1.19aa65123346cp-12, 0x1.15abc3ce02c87p-12, 0x1.11fe1a8da67b6p-12, 0x1.0e9ca86d1f5ap-12, 0x1.0b82df8f0585fp-12, 0x1.08ac6362d69aep-12, 0x1.061506f5403f6p-12, 0x1.03b8cb4ec618bp-12, 0x1.0193dddda2d84p-12, 0x1.ff452dd73cc34p-13, 0x1.fbc2f03ecd497p-13, 0x1.f89a5614792fdp-13, 0x1.f5c4ff7bcf5ffp-13, 0x1.f33cd6df1c115p-13, 0x1.f0fc0e484e213p-13, 0x1.eefd1ccdc0303p-13, 0x1.ed3abc1500265p-13, 0x1.ebafe5e7134a6p-13, 0x1.ea57d1d60bb21p-13, 0x1.e92df2f86272bp-13, 0x1.e82df5b31c723p-13, 0x1.e753bd96aaa79p-13, 0x1.e69b634e9a80ep-13, 0x1.e601329ecf5b5p-13, 0x1.e581a870aa715p-13, 0x1.e51970f2dd19dp-13, 0x1.e4c565c563eb3p-13, 0x1.e4828c35a5786p-13, 0x1.e44e138a368e5p-13, 0x1.e425535bb351bp-13, 0x1.e405c9f8787d3p-13, 0x1.e3ed1adaadc4fp-13, 0x1.e3d90d2749f74p-13, 0x1.e3c78a3b96141p-13, 0x1.e3b69c4696a0ep-13, 0x1.e3a46cef6321dp-13, 0x1.e38f4403e2b0cp-13, 0x1.e3758635c0642p-13, 0x1.e355b3e165db8p-13, 0x1.e32e67debdcd5p-13, 0x1.e2fe565df43bap-13, 0x1.e2c44bcdc9849p-13, 0x1.e27f2bca156cfp-13, 0x1.e22df014b0b13p-13, 0x1.e1cfa7987b42bp-13, 0x1.e1637573ba51bp-13, 0x1.e0e8900bc3d85p-13, 0x1.e05e4029e689dp-13, 0x1.dfc3e02009eeep-13, 0x1.df18daf337b8ap-13, 0x1.de5cab901681ep-13, 0x1.dd8edc06ba916p-13, 0x1.dcaf04cc4eb44p-13, 0x1.dbbccc0488308p-13, 0x1.dab7e4d29dc1ap-13, 0x1.d9a00eb025164p-13, 0x1.d87514c89541bp-13, 0x1.d736cd5dd1534p-13, 0x1.d5e519311285bp-13, 0x1.d47fe2f1bd716p-13, 0x1.d3071eb21772dp-13, 0x1.d17ac961aba08p-13, 0x1.cfdae84cb094ap-13, 0x1.ce27889f31fafp-13, 0x1.cc60beef51f9bp-13, 0x1.ca86a6cb2d0b2p-13, 0x1.c899624ae2e42p-13, 0x1.c69919a864886p-13, 0x1.c485fadaaa44bp-13, 0x1.c260393572b04p-13, 0x1.c0280d0c2351dp-13, 0x1.bdddb35936cd5p-13, 0x1.bb816d6a6ea44p-13, 0x1.b913808e875edp-13, 0x1.b69435c7ed883p-13, 0x1.b403d982eac68p-13, 0x1.b162bb4e6f48dp-13, 0x1.aeb12d9802404p-13, 0x1.abef856a85a07p-13, 0x1.a91e1a3117b7dp-13, 0x1.a63d457bd6aa1p-13, 0x1.a34d62c727085p-13, 0x1.a04ecf468f57ap-13, 0x1.9d41e9b16543ep-13, 0x1.9a271212833e4p-13, 0x1.96fea999442b3p-13, 0x1.93c9126d8eb0cp-13, 0x1.9086af8692788p-13, 0x1.8d37e4829bc3ep-13, 0x1.89dd15814b7e4p-13, 0x1.8676a70044022p-13, 0x1.8304fdb9176dap-13, 0x1.7f887e8149639p-13, 0x1.7c018e2b9d29ap-13, 0x1.7870916bb80ep-13, 0x1.74d5ecbb51eafp-13, 0x1.7132044045f1fp-13, 0x1.6d853bb4c1b28p-13, 0x1.69cff650f7705p-13, 0x1.661296b593079p-13, 0x1.624d7ed82f53bp-13, 0x1.5e810feff337fp-13, 0x1.5aadaa64ca16fp-13, 0x1.56d3adbf2d4dep-13, 0x1.52f37898794dp-13, 0x1.4f0d688d22c51p-13, 0x1.4b21da2fcfb68p-13, 0x1.473128fcd1c82p-13, 0x1.433baf4fa6878p-13, 0x1.3f41c657bb693p-13, 0x1.3b43c60f8442cp-13, 0x1.374205340990ap-13, 0x1.333cd93cd9cfcp-13, 0x1.2f349654c834ep-13, 0x1.2b298f53f7c19p-13, 0x1.271c15b9c41e5p-13, 0x1.230c79a7e4cf8p-13, 0x1.1efb09de1a38ep-13, 0x1.1ae813b5c2503p-13, 0x1.16d3e31f05555p-13, 0x1.12bec29e12c23p-13, 0x1.0ea8fb48952b9p-13, 0x1.0a92d4c3fd676p-13, 0x1.067c95446338dp-13, 0x1.0266818b48425p-13, 0x1.fca1b9ce6f49fp-14, 0x1.f477d2678f9c5p-14, 0x1.ec4fcdb2cc723p-14, 0x1.e42a299ced874p-14, 0x1.dc07612fc5c9fp-14, 0x1.d3e7ec94cfb0ep-14, 0x1.cbcc4118303f6p-14, 0x1.c3b4d12c56c3p-14, 0x1.bba20c6e033ffp-14, 0x1.b3945fa8a6f05p-14, 0x1.ab8c34db68b0dp-14, 0x1.a389f33e91ea1p-14, 0x1.9b8dff4979656p-14, 0x1.9398bab8718d3p-14, 0x1.8baa849372c07p-14, 0x1.83c3b934d1b72p-14, 0x1.7be4b25059294p-14, 0x1.740dc6facdbf5p-14, 0x1.6c3f4bb1692e1p-14, 0x1.6479926177316p-14, 0x1.5cbcea70cd382p-14, 0x1.5509a0c5c0b87p-14, 0x1.4d5fffcfaf129p-14, 0x1.45c04f8f6dda3p-14, 0x1.3e2ad5a02d27bp-14, 0x1.369fd5402ce07p-14, 0x1.2f1f8f5968cedp-14, 0x1.27aa428b4d5c4p-14, 0x1.20402b33157a9p-14, 0x1.18e1837552b0fp-14, 0x1.118e8347177bfp-14, 0x1.0a47607749ab7p-14, 0x1.030c4eb7ce903p-14, 0x1.f7baff4ddc915p-15, 0x1.e97645b1af528p-15, 0x1.db4acbc160426p-15, 0x1.cd38e8b3d8715p-15, 0x1.bf40efe3db8bdp-15, 0x1.b16330e201cffp-15, 0x1.a39ff787a5ecfp-15, 0x1.95f78c0929308p-15, 0x1.886a330892233p-15, 0x1.7af82da77308cp-15, 0x1.6da1b999853e6p-15, 0x1.606711369073ep-15, 0x1.53486b8c8e6bep-15, 0x1.4645fc710fc8bp-15, 0x1.395ff4930e5fap-15, 0x1.2c96818cb5764p-15, 0x1.1fe9cdf48ce95p-15, 0x1.135a016eb0f07p-15, 0x1.06e740bd9a8cdp-15, 0x1.f5235ba684cedp-16, 0x1.dcb2cfc33903dp-16, 0x1.c47d16d5d71c3p-16, 0x1.ac8264a4eeb28p-16, 0x1.94c2e7d87ee61p-16, 0x1.7d3eca191db0ap-16, 0x1.65f6303043c9dp-16, 0x1.4ee93a26dd63p-16, 0x1.38180363fc08bp-16, 0x1.2182a2ca11d11p-16, 0x1.0b292ad4f9e78p-16, 0x1.ea17536ebc7d1p-17, 0x1.be5452ee2f5ffp-17, 0x1.93096012750e5p-17, 0x1.68367edd9ff65p-17, 0x1.3ddbab9e87c59p-17, 0x1.13f8db26e2044p-17, 0x1.d51bf60182b29p-18, 0x1.8335e3468a8f8p-18, 0x1.323f3d4b22ba4p-18, 0x1.c46f6bbd54e02p-19, 0x1.263de3afac391p-19, 0x1.13d225d86679fp-20, -0x1.08fee815d74b1p-23, -0x1.525c408a22792p-20, -0x1.3ff29907811cap-19, -0x1.d4de85bc298afp-19, -0x1.33f994799bdd3p-18, -0x1.7c98ed14e541dp-18, -0x1.c44e028d35104p-18, -0x1.058cca46b84eep-17, -0x1.287e361efa857p-17, -0x1.4afbadfa2c41p-17, -0x1.6d059f70a47b4p-17, -0x1.8e9c7c6379433p-17, -0x1.afc0bad648c44p-17, -0x1.d072d4ca92cdp-17, -0x1.f0b3481b68836p-17, -0x1.08414b2d1bb71p-16, -0x1.17f0a256aeab5p-16, -0x1.2767edd61f968p-16, -0x1.36a7739f59d27p-16, -0x1.45af7b3ea0d62p-16, -0x1.54804dc96b82bp-16, -0x1.631a35cdeeee4p-16, -0x1.717d7f4415cb9p-16, -0x1.7faa777f0e6afp-16, -0x1.8da16d1eb4b3cp-16, -0x1.9b62b0019d875p-16, -0x1.a8ee91372675ep-16, -0x1.b64562f22118bp-16, -0x1.c367787c0020bp-16, -0x1.d055262737bfbp-16, -0x1.dd0ec142f39ffp-16, -0x1.e994a00f424f2p-16, -0x1.f5e719b1851e5p-16, -0x1.01034313ff3bap-15, -0x1.06f99f1f5d658p-15, -0x1.0cd6cdc24450cp-15, -0x1.129afc2014cb8p-15, -0x1.184657b2f58e3p-15, -0x1.1dd90e46bc6e4p-15, -0x1.23534df3beb51p-15, -0x1.28b5451a587d7p-15, -0x1.2dff225dab068p-15, -0x1.3331149f35002p-15, -0x1.384b4afa54dd6p-15, -0x1.3d4df4c03a1e8p-15, -0x1.4239417331982p-15, -0x1.470d60c2a697dp-15, -0x1.4bca82870f22ap-15, -0x1.5070d6be0bbap-15, -0x1.55008d867e1dcp-15, -0x1.5979d71d12fd7p-15, -0x1.5ddce3d83f825p-15, -0x1.6229e42527f4bp-15, -0x1.66610883f8113p-15, -0x1.6a82818476d01p-15, -0x1.6e8e7fc2e0ca8p-15, -0x1.728533e4fb314p-15, -0x1.7666ce96eb4f9p-15, -0x1.7a33808829cd2p-15, -0x1.7deb7a68adc78p-15, -0x1.818eece61c9b4p-15, -0x1.851e08a920398p-15, -0x1.8898fe52c1744p-15, -0x1.8bfffe7a03ddap-15, -0x1.8f5339a913c32p-15, -0x1.9292e05b504c6p-15, -0x1.95bf22faafddap-15, -0x1.98d831dd79deap-15, -0x1.9bde3d4420ed6p-15, -0x1.9ed1755760cddp-15, -0x1.a1b20a260e2a5p-15, -0x1.a4802ba308321p-15, -0x1.a73c09a35d04bp-15, -0x1.a9e5d3dc64bf9p-15, -0x1.ac7db9e20e43bp-15, -0x1.af03eb2504596p-15, -0x1.b17896f13d1d5p-15, -0x1.b3dbec6c0a3eep-15, -0x1.b62e1a92c2ba3p-15, -0x1.b86f5039454cbp-15, -0x1.ba9fbc0852eb5p-15, -0x1.bcbf8c7c2b285p-15, -0x1.beceefe35a505p-15, -0x1.c0ce145d780a5p-15, -0x1.c2bd27d9ad0ap-15, -0x1.c49c581594fe3p-15, -0x1.c66bd29c10a4fp-15, -0x1.c82bc4c4241ffp-15, -0x1.c9dc5bafe6935p-15, -0x1.cb7dc44b7392bp-15, -0x1.cd102b4c10127p-15, -0x1.ce93bd2edd805p-15, -0x1.d008a6385021ep-15, -0x1.d16f127321395p-15, -0x1.d2c72daf60df6p-15, -0x1.d4112381aec59p-15, -0x1.d54d1f4294d77p-15, -0x1.d67b4c0dccf55p-15, -0x1.d79bd4c1624c2p-15, -0x1.d8aee3fd15b04p-15, -0x1.d9b4a421bf731p-15, -0x1.daad3f50a101cp-15, -0x1.db98df6aeb1e4p-15, -0x1.dc77ae110d54ep-15, -0x1.dd49d4a26c7c7p-15, -0x1.de0f7c3c8a2e1p-15, -0x1.dec8cdbad368ep-15, -0x1.df75f1b621077p-15, -0x1.e017108434f6ep-15, -0x1.e0ac523758373p-15, -0x1.e135de9dfc1ap-15, -0x1.e1b3dd4292a0cp-15, -0x1.e226756af83f2p-15, -0x1.e28dce184e62fp-15, -0x1.e2ea0e06985fap-15, -0x1.e33b5bac86d46p-15, -0x1.e381dd3b3e069p-15, -0x1.e3bdb89e0f442p-15, -0x1.e3ef137a564ccp-15, -0x1.e416132f52c55p-15, -0x1.e432dcd5c4c72p-15, -0x1.e4459540108bp-15, -0x1.e44e60f9fc1e9p-15, -0x1.e44d64488de22p-15, -0x1.e442c329e710cp-15, -0x1.e42ea1554f475p-15, -0x1.e411223b2339cp-15, -0x1.e3ea6904ae25cp-15, -0x1.e3ba989437dfep-15, -0x1.e381d384e351fp-15, -0x1.e3403c2ac7571p-15, -0x1.e2f5f492eda71p-15, -0x1.e2a31e8344c92p-15, -0x1.e247db7ab7db9p-15, -0x1.e1e44cb149f53p-15, -0x1.e1789317eff4fp-15, -0x1.e104cf58d7d7dp-15, -0x1.e08921d76bf72p-15, -0x1.e005aab0605d4p-15, -0x1.df7a89b9c4c91p-15, -0x1.dee7de83315b2p-15, -0x1.de4dc855f4576p-15, -0x1.ddac66350ffb8p-15, -0x1.dd03d6dd78d3ap-15, -0x1.dc5438c62d81bp-15, -0x1.db9daa205f176p-15, -0x1.dae048d79e7bfp-15, -0x1.da1c32920f952p-15, -0x1.d95184b089b44p-15, -0x1.d8805c4ed58eap-15, -0x1.d7a8d643e0665p-15, -0x1.d6cb0f21d59f1p-15, -0x1.d5e7233677bc1p-15, -0x1.d4fd2e8b49161p-15, -0x1.d40d4ce5c806bp-15, -0x1.d31799c794609p-15, -0x1.d21c306eca3a4p-15, -0x1.d11b2bd641b3cp-15, -0x1.d014a6b5b35ap-15, -0x1.cf08bb820c757p-15, -0x1.cdf7846db1b18p-15, -0x1.cce11b68ba32cp-15, -0x1.cbc59a213353p-15, -0x1.caa51a0379428p-15, -0x1.c97fb43a6a318p-15, -0x1.c85581afbf4dcp-15, -0x1.c7269b0c50dabp-15, -0x1.c5f318b852005p-15, -0x1.c4bb12dbb2cacp-15, -0x1.c37ea15e6f6d8p-15, -0x1.c23ddbe8ce3bep-15, -0x1.c0f8d9e3afa4ep-15, -0x1.bfafb278e16cfp-15, -0x1.be627c937a8dbp-15, -0x1.bd114ee021d3ep-15, -0x1.bbbc3fcd6680bp-15, -0x1.ba63658c14f4ap-15, -0x1.b906d60f7337p-15, -0x1.b7a6a70db3881p-15, -0x1.b642ee003bb76p-15, -0x1.b4dbc02402744p-15, -0x1.b3713279d9861p-15, -0x1.b20359c6d309cp-15, -0x1.b0924a9492debp-15, -0x1.af1e19319d8ep-15, -0x1.ada6d9b1bd2bcp-15, -0x1.ac2c9fee65803p-15, -0x1.aaaf7f86f59a1p-15, -0x1.a92f8be115d7cp-15, -0x1.a7acd8292006cp-15, -0x1.a627775270747p-15, -0x1.a49f7c17c95e2p-15, -0x1.a314f8fba8b14p-15, -0x1.a1880048a3322p-15, -0x1.9ff8a411c4525p-15, -0x1.9e66f632e6196p-15, -0x1.9cd308510fe6bp-15, -0x1.9b3cebdad870ep-15, -0x1.99a4b208bc3ddp-15, -0x1.980a6bdd82842p-15, -0x1.966e2a269e161p-15, -0x1.94cffd7c76e15p-15, -0x1.932ff642d0f99p-15, -0x1.918e24a942c56p-15, -0x1.8fea98ab7d0dp-15, -0x1.8e456211a115dp-15, -0x1.8c9e9070ad719p-15, -0x1.8af6332adaf2p-15, -0x1.894c596ffab25p-15, -0x1.87a1123ddb54bp-15, -0x1.85f46c609f7a5p-15, -0x1.844676731664fp-15, -0x1.82973edf2754bp-15, -0x1.80e6d3de2a293p-15, -0x1.7f354379450eap-15, -0x1.7d829b89cfee5p-15, -0x1.7bcee9b9af393p-15, -0x1.7a1a3b83b1f14p-15, -0x1.78649e33fcaacp-15, -0x1.76ae1ee854d93p-15, -0x1.74f6ca9076325p-15, -0x1.733eadee9d089p-15, -0x1.7185d597c1bcep-15, -0x1.6fcc4df3fc8cp-15, -0x1.6e12233edd1afp-15, -0x1.6c576187d296cp-15, -0x1.6a9c14b285c6cp-15, -0x1.68e048773fbb4p-15, -0x1.672408633ade3p-15, -0x1.65675fd8fc4dp-15, -0x1.63aa5a10b9ceap-15, -0x1.61ed0218b32dep-15, -0x1.602f62d59042p-15, -0x1.5e718702bb018p-15, -0x1.5cb37932bb051p-15, -0x1.5af543cf91c3dp-15, -0x1.5936f11b16cefp-15, -0x1.57788b2f5a2d6p-15, -0x1.55ba1bfeeb564p-15, -0x1.53fbad55322e1p-15, -0x1.523d48d6f8a89p-15, -0x1.507ef8029437p-15, -0x1.4ec0c43046b3ap-15, -0x1.4d02b692a0bd1p-15, -0x1.4b44d836d7d23p-15, -0x1.4987320521d5cp-15, -0x1.47c9ccc1142bfp-15, -0x1.460cb109ec816p-15, -0x1.444fe75aee1c3p-15, -0x1.4293780bb8537p-15, -0x1.40d76b50a3e03p-15, -0x1.3f1bc93b11c47p-15, -0x1.3d6099b9c83f8p-15, -0x1.3ba5e49940fc8p-15, -0x1.39ebb18405aafp-15, -0x1.3832080305619p-15, -0x1.3678ef7de385cp-15, -0x1.34c06f3b57a1dp-15, -0x1.33088e6164286p-15, -0x1.315153f5c6811p-15, -0x1.2f9ac6de57f35p-15, -0x1.2de4ede1393eep-15, -0x1.2c2fcfa535afep-15, -0x1.2a7b72b218825p-15, -0x1.28c7dd70f99fdp-15, -0x1.2715162c91ee4p-15, -0x1.256323119958ep-15, -0x1.23b20a2efc7f2p-15, -0x1.2201d1763d9f5p-15, -0x1.20527ebbbc496p-15, -0x1.1ea417b70b7aap-15, -0x1.1cf6a2033c321p-15, -0x1.1b4a231f2d104p-15, -0x1.199ea06dd770fp-15, -0x1.17f41f369d3e1p-15, -0x1.164aa4a594986p-15, -0x1.14a235cbd6bedp-15, -0x1.12fad79fd066bp-15, -0x1.11548efd7c75ap-15, -0x1.0faf60a6af4e9p-15, -0x1.0e0b51438d5a9p-15, -0x1.0c686562a4413p-15, -0x1.0ac6a1793fef9p-15, -0x1.092609e3bba92p-15, -0x1.0786a2e5c5c3ap-15, -0x1.05e870aaa52fcp-15, -0x1.044b774595b5cp-15, -0x1.02afbab1fbd64p-15, -0x1.01153ed3a7ce7p-15, -0x1.fef80eee525b9p-16, -0x1.fbc830a41c7ecp-16, -0x1.f89aea0656083p-16, -0x1.f5704225c2821p-16, -0x1.f2483fe6bc378p-16, -0x1.ef22ea01ca159p-16, -0x1.ec0047042388bp-16, -0x1.e8e05d503007bp-16, -0x1.e5c3331e15078p-16, -0x1.e2a8ce7c3d738p-16, -0x1.df91354fcc3f6p-16, -0x1.dc7c6d55106abp-16, -0x1.d96a7c20525dep-16, -0x1.d65b671e0f00dp-16, -0x1.d34f33937d093p-16, -0x1.d045e69f1e88dp-16, -0x1.cd3f853934389p-16, -0x1.ca3c1434373f6p-16, -0x1.c73b983d71f54p-16, -0x1.c43e15dd66eep-16, -0x1.c143917835db2p-16, -0x1.be4c0f4e30b41p-16, -0x1.bb57937c44323p-16, -0x1.b86621fc7a3d8p-16, -0x1.b577bea66bc66p-16, -0x1.b28c6d2fb1e7p-16, -0x1.afa4312c5ef1cp-16, -0x1.acbf0e0f71bc4p-16, -0x1.a9dd072b48e9ep-16, -0x1.a6fe1fb20e49bp-16, -0x1.a4225ab62ad98p-16, -0x1.a149bb2abf1bfp-16, -0x1.9e7443e4017dcp-16, -0x1.9ba1f7979e2cp-16, -0x1.98d2d8dd5ef8fp-16, -0x1.9606ea2f672abp-16, -0x1.933e2deaa2736p-16, -0x1.9078a64f31bfdp-16, -0x1.8db65580dc58ap-16, -0x1.8af73d876d8f1p-16, -0x1.883b604f2ae9ep-16, -0x1.8582bfa934b3dp-16, -0x1.82cd5d4bdde4ap-16, -0x1.801b3ad320dccp-16, -0x1.7d6c59c0f74e8p-16, -0x1.7ac0bb7dc42abp-16, -0x1.78186158b881fp-16, -0x1.75734c8827d3ap-16, -0x1.72d17e29f1fa8p-16, -0x1.7032f743e3bb2p-16, -0x1.6d97b8c40c83dp-16, -0x1.6affc3811fb39p-16, -0x1.686b183ad528bp-16, -0x1.65d9b79a3cd71p-16, -0x1.634ba23224621p-16, -0x1.60c0d87f5fe3cp-16, -0x1.5e395ae92b34p-16, -0x1.5bb529c18ca08p-16, -0x1.59344545a377bp-16, -0x1.56b6ad9dfd1p-16, -0x1.543c62dee1296p-16, -0x1.51c56508b27bdp-16, -0x1.4f51b40841954p-16, -0x1.4ce14fb71efedp-16, -0x1.4a7437dbed621p-16, -0x1.480a6c2aaf5b7p-16, -0x1.45a3ec451b10bp-16, -0x1.4340b7bae5d9ap-16, -0x1.40e0ce0a1665dp-16, -0x1.3e842e9f53ffap-16, -0x1.3c2ad8d62d2a4p-16, -0x1.39d4cbf969c6ep-16, -0x1.3782074354948p-16, -0x1.353289de06207p-16, -0x1.32e652e3b3514p-16, -0x1.309d615eed888p-16, -0x1.2e57b44aeb69cp-16, -0x1.2c154a93dc71p-16, -0x1.29d623171e452p-16, -0x1.279a3ca393e87p-16, -0x1.256195f9df5e3p-16, -0x1.232c2dcca61eep-16, -0x1.20fa02c0deeaep-16, -0x1.1ecb136e09febp-16, -0x1.1c9f5e5e7b4b3p-16, -0x1.1a76e20f91f1bp-16, -0x1.18519cf203347p-16, -0x1.162f8d6a141cp-16, -0x1.1410b1cfdb0a1p-16, -0x1.11f5086f7cf8cp-16, -0x1.0fdc8f896ce4p-16, -0x1.0dc74552aca3cp-16, -0x1.0bb527f4fdeb8p-16, -0x1.09a6358f2b118p-16, -0x1.079a6c3535e55p-16, -0x1.0591c9f099425p-16, -0x1.038c4cc08707dp-16, -0x1.0189f29a140dap-16, -0x1.ff1572d0f08b2p-17, -0x1.fb1d3e1a9514fp-17, -0x1.f72b42c15a99ep-17, -0x1.f33f7c631bf93p-17, -0x1.ef59e68b9c359p-17, -0x1.eb7a7cb500f42p-17, -0x1.e7a13a485fb8cp-17, -0x1.e3ce1a9ddf0aep-17, -0x1.e00118fd36b94p-17, -0x1.dc3a309e2bc9fp-17, -0x1.d8795ca8d5a77p-17, -0x1.d4be9836116b6p-17, -0x1.d109de4fe54f1p-17, -0x1.cd5b29f1d7238p-17, -0x1.c9b276093a24p-17, -0x1.c60fbd75adc84p-17, -0x1.c272fb0964625p-17, -0x1.bedc29897de99p-17, -0x1.bb4b43ae6fbdap-17, -0x1.b7c044244f978p-17, -0x1.b43b258b2fc52p-17, -0x1.b0bbe27772bf8p-17, -0x1.ad4275722313ep-17, -0x1.a9ced8f93a01ap-17, -0x1.a661078008ae4p-17, -0x1.a2f8fb6f84873p-17, -0x1.9f96af268257fp-17, -0x1.9c3a1cfa12861p-17, -0x1.98e33f35debddp-17, -0x1.9592101c6397ap-17, -0x1.924689e72d1f4p-17, -0x1.8f00a6c7612dcp-17, -0x1.8bc060e5dacafp-17, -0x1.8885b263584b9p-17, -0x1.85509558dbdfdp-17, -0x1.822103d80f03fp-17, -0x1.7ef6f7eb81e93p-17, -0x1.7bd26b96cc9b8p-17, -0x1.78b358d6e85b6p-17, -0x1.7599b9a274cabp-17, -0x1.728587e9f0216p-17, -0x1.6f76bd97f8074p-17, -0x1.6c6d549195f5bp-17, -0x1.696946b67d2fdp-17, -0x1.666a8de138e06p-17, -0x1.637123e77e3f1p-17, -0x1.607d029a5aae7p-17, -0x1.5d8e23c66bf05p-17, -0x1.5aa4813423e1fp-17, -0x1.57c014a80502cp-17, -0x1.54e0d7e2cf221p-17, -0x1.5206c4a1ba74bp-17, -0x1.4f31d49eb86fap-17, -0x1.4c62019099d36p-17, -0x1.4997452b53b47p-17, -0x1.46d1992031a1ep-17, -0x1.4410f71df40e1p-17, -0x1.415558d101294p-17, -0x1.3e9eb7e3e8074p-17, -0x1.3bed0dff4d98dp-17, -0x1.394054c9d7c69p-17, -0x1.369885e8bbae9p-17, -0x1.33f59afff66c8p-17, -0x1.31578db256093p-17, -0x1.2ebe57a1af607p-17, -0x1.2c29f26effb57p-17, -0x1.299a57ba9baep-17, -0x1.270f81245bdacp-17, -0x1.2489684bc55adp-17, -0x1.220806d03de2ap-17, -0x1.1f8b56512fe83p-17, -0x1.1d13506e2dccdp-17, -0x1.1a9feec71f8cap-17, -0x1.18312afc61023p-17, -0x1.15c6feaeedb5fp-17, -0x1.1361638080b7ep-17, -0x1.11005313bf22fp-17, -0x1.0ea3c70c6008ap-17, -0x1.0c4bb90f420eep-17, -0x1.09f822c28dbcfp-17, -0x1.07a8fdcdf1005p-17, -0x1.055e43daa583ep-17, -0x1.0317ee93a1661p-17, -0x1.00d5f7a5af4a2p-17, -0x1.fd30b17ee8cafp-18, -0x1.f8be17236b597p-18, -0x1.f454139f48205p-18, -0x1.eff29a5d54aa3p-18, -0x1.eb999ecccce8dp-18, -0x1.e7491462067d4p-18, -0x1.e300ee970bc8dp-18, -0x1.dec120eb53de7p-18, -0x1.da899ee409fdfp-18, -0x1.d65a5c0c48aa4p-18, -0x1.d2334bf5432aep-18, -0x1.ce14623670343p-18, -0x1.c9fd926dbcebcp-18, -0x1.c5eed03ff213cp-18, -0x1.c1e80f58b2063p-18, -0x1.bde9436ab00c3p-18, -0x1.b9f2602ff2a9p-18, -0x1.b6035969d399dp-18, -0x1.b21c22e15808dp-18, -0x1.ae3cb06746beap-18, -0x1.aa64f5d443cdep-18, -0x1.a694e70918584p-18, -0x1.a2cc77eec4b6fp-18, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      16, 0x1.ae147ae147ae1p+1, 0x1.b6518fd0c5587p+1, 0x1.343359fe91ad9p+2, -0x1.3b012a1a08846p-8, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.8843e2ecd3597p-7, -0x1.d6a6a6a441b2ap-5, 0x1.92eb8a1f55d72p-4, -0x1.f94fb358dd403p-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.31f0d3c1eebabp-7, -0x1.89db573e041c2p-5, 0x1.6d058fdf120c1p-4, -0x1.fc79b30a61507p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.d46e5eee1544ap-8, -0x1.44aa804a7096bp-5, 0x1.46e2d5a4b125dp-4, -0x1.fe499f72a4958p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.5f214008302dfp-8, -0x1.071dafb7cd1d6p-5, 0x1.209d5015b19acp-4, -0x1.01d448cc395ccp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.00e9945ac6678p-8, -0x1.a285604e54e8fp-6, 0x1.f3e1572152006p-5, -0x1.f202ad10d3c15p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.6d6a669b19baep-9, -0x1.4603de46a3d81p-6, 0x1.a92dbd2b98a2fp-5, -0x1.c9620c7be7fb9p-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.f63434b6f3fdbp-10, -0x1.efae247551987p-7, 0x1.64923b4c35d71p-5, -0x1.a43221c420ab2p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.4ac6d8d1f2268p-10, -0x1.6da85a8d5bc18p-7, 0x1.258ab63b9756bp-5, -0x1.7e1748a4974afp-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.9ceff66a207eap-11, -0x1.03b420a36b71p-7, 0x1.d874d6ac347d9p-6, -0x1.58377346efa6bp-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e06f395defaaep-12, -0x1.5f13e2f6da81fp-8, 0x1.713100e3b965bp-6, -0x1.32567d4984b76p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.fb7babcd711d6p-13, -0x1.bb9011b0fd6b3p-9, 0x1.154a41b411948p-6, -0x1.0c3f060944e9ep-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.d1904a56b3dcdp-14, -0x1.fbd72c589317ep-10, 0x1.89a1e62f6036cp-7, -0x1.ce0568e835406p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.54f015b85c6dp-15, -0x1.f0c1160db7bbbp-11, 0x1.fe0d5a39d3ac1p-8, -0x1.7d209aeae0b6ap-6}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.496f97880b9p-17, -0x1.685dbd2569f0cp-12, 0x1.19603079b33f6p-8, -0x1.44362ce36054ep-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e03477c9954c6p-21, -0x1.072570affa05bp-14, 0x1.5b6522f84c352p-10, -0x1.187324daab103p-7}, 
        {0x1.acccccccccccdp+1, 0x1.ae147ae147ae1p+1, 0x1.7b6bd395ccdffp-31, 0x1.7743d7c04a61p-18, 0x1.5b5ed7d643f41p-15, -0x1.6b5a8e724b905p-2}, 
      }}, 
      0x1.7819d534d1abfp+5, -0x1.b818a23a5e773p+10
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.1385e1302c3f2p+1, -0x1.110046706352bp+1, -0x1.0d8ce7f6ca469p+1, -0x1.093c8dd3321b1p+1, -0x1.0421c52d77e37p+1, -0x1.fca025274cb06p+0, -0x1.efb6afc1d16ep+0, -0x1.e1aec13470b05p+0, -0x1.d2af166527902p+0, -0x1.c2dd114e60231p+0, -0x1.b25c5b9127ba5p+0, -0x1.a14ea5400cba5p+0, -0x1.8fd37a25ebc0cp+0, -0x1.7e0828d2b26cp+0, -0x1.6c07b7c696be9p+0, -0x1.59eae59b92343p+0, -0x1.47c831d051825p+0, -0x1.35b3ec3e5a51fp+0, -0x1.23c049a13ffd3p+0, -0x1.11fd7beb44ea9p+0, -0x1.0079cd3d6167bp+0, -0x1.de837a306c476p-1, -0x1.bcc03bffe004ep-1, -0x1.9bbc66d788393p-1, -0x1.7b87a45e238e9p-1, -0x1.5c2ef7644972dp-1, -0x1.3dbcfb1a58a3p-1, -0x1.203a1882a5ef4p-1, -0x1.03acbda3f6b8ep-1, -0x1.d0331cc739ae6p-2, -0x1.9b072ea0d1c96p-2, -0x1.67d8f067d97b1p-2, -0x1.36a91b1f3fdbbp-2, -0x1.077632281a584p-2, -0x1.b47987db7898bp-3, -0x1.5def5bf9f525p-3, -0x1.0b40abe9100e8p-3, -0x1.78bb793069cc9p-4, -0x1.c4d2ad3cf8b88p-5, -0x1.4d8e01a4407ddp-6, 0x1.a404694b0e6a4p-7, 0x1.6adfcc4659214p-5, 0x1.2f99b99601024p-4, 0x1.a32ee999011a9p-4, 0x1.0830d728a23afp-3, 0x1.3bb29ec2ab5d7p-3, 0x1.6c36c2387a121p-3, 0x1.99d76d66fb4cep-3, 0x1.c4aee32edf965p-3, 0x1.ecd7602a9a58ap-3, 0x1.0935804582022p-2, 0x1.1ac1d468bc853p-2, 0x1.2b1d78787e5ffp-2, 0x1.3a55092d5cea3p-2, 0x1.4874ec3101307p-2, 0x1.55894940b881bp-2, 0x1.619e049f7154ap-2, 0x1.6cbeba3e804f4p-2, 0x1.76f6b9bd747e4p-2, 0x1.80510329fb828p-2, 0x1.88d84474e6c9cp-2, 0x1.9096d77bbb2b4p-2, 0x1.9796c0907b9a2p-2, 0x1.9de1ad8cd2ff6p-2, 0x1.a380f56d75bf2p-2, 0x1.a87d982cad199p-2, 0x1.ace03f249c6f2p-2, 0x1.b0b13da6bde83p-2, 0x1.b3f891eea50d7p-2, 0x1.b6bde6510d33bp-2, 0x1.b9089294119f6p-2, 0x1.badf9db556f4dp-2, 0x1.bc49bf71608fep-2, 0x1.bd4d6261877d5p-2, 0x1.bdf0a607b1d96p-2, 0x1.be3960268b63ep-2, 0x1.be2d20a6d8756p-2, 0x1.bdd13237e364cp-2, 0x1.bd2a9d2b54e9ap-2, 0x1.bc3e29f22b66dp-2, 0x1.bb10633e49f61p-2, 0x1.b9a5985c494bdp-2, 0x1.b801df8f34be8p-2, 0x1.b6291846c57dfp-2, 0x1.b41eed729474bp-2, 0x1.b1e6d7c8b627dp-2, 0x1.af841f947dd04p-2, 0x1.acf9dfa133cedp-2, 0x1.aa4b067edcfbap-2, 0x1.a77a59072e271p-2, 0x1.a48a742536cecp-2, 0x1.a17dcee521961p-2, 0x1.9e56bc2b65b18p-2, 0x1.9b176c92a7676p-2, 0x1.97c1f02e2b855p-2, 0x1.94583819717fbp-2, 0x1.90dc182fd4227p-2, 0x1.8d4f487ff19d4p-2, 0x1.89b366cc3026fp-2, 0x1.8609f7f54fae9p-2, 0x1.82546951e38fep-2, 0x1.7e9411f0e59dap-2, 0x1.7aca33e12aa85p-2, 0x1.76f7fd578490fp-2, 0x1.731e89c804776p-2, 0x1.6f3ee2e761c6cp-2, 0x1.6b5a0210d5148p-2, 0x1.6770d075a2664p-2, 0x1.638428cf19161p-2, 0x1.5f94d7d11d98fp-2, 0x1.5ba39d16b784ap-2, 0x1.57b12bf005c7ep-2, 0x1.53be2c0e33987p-2, 0x1.4fcb3a47b27eap-2, 0x1.4bd8e93655feep-2, 0x1.47e7c1d22f274p-2, 0x1.43f844287d98cp-2, 0x1.400ae7b9577afp-2, 0x1.3c201c2cf28cdp-2, 0x1.383849b30e03cp-2, 0x1.3453d189cd736p-2, 0x1.30730e6eee9c4p-2, 0x1.2c965504f827fp-2, 0x1.28bdf4370b309p-2, 0x1.24ea35992cfc2p-2, 0x1.211b5dc6bb722p-2, 0x1.1d51aca8a7e1ep-2, 0x1.198d5dc820a65p-2, 0x1.15cea89975fe4p-2, 0x1.1215c0bfd558cp-2, 0x1.0e62d649a41bep-2, 0x1.0ab615e5501e5p-2, 0x1.070fa92d76e01p-2, 0x1.036fb6bc7df3ap-2, 0x1.ffacc4f16c827p-3, 0x1.f8879b5bc9bp-3, 0x1.f1702e8794a86p-3, 0x1.ea66b7b659c79p-3, 0x1.e36b6bc99ba63p-3, 0x1.dc7e7bca4b74fp-3, 0x1.d5a014f10f15bp-3, 0x1.ced060d3c3885p-3, 0x1.c80f85b1fac7dp-3, 0x1.c15da6c298674p-3, 0x1.babae426ce7d8p-3, 0x1.b4275b20cf442p-3, 0x1.ada3264be91c5p-3, 0x1.a72e5dd0787ep-3, 0x1.a0c91764c21c8p-3, 0x1.9a736656e8021p-3, 0x1.942d5bea0455bp-3, 0x1.8df7073bcddfbp-3, 0x1.87d0758c0e26fp-3, 0x1.81b9b210dddb4p-3, 0x1.7bb2c6460e5d5p-3, 0x1.75bbb9e393a28p-3, 0x1.6fd4931451f97p-3, 0x1.69fd5656d4514p-3, 0x1.643606ab4ff3dp-3, 0x1.5e7ea5943e745p-3, 0x1.58d733421878ap-3, 0x1.533fae7e40716p-3, 0x1.4db814cd57a7ep-3, 0x1.4840625fc8e1cp-3, 0x1.42d89257ff317p-3, 0x1.3d809e94ead85p-3, 0x1.38387fdf8abc8p-3, 0x1.33002de5037bap-3, 0x1.2dd79f5726ad8p-3, 0x1.28bec9db566ffp-3, 0x1.23b5a21deacbap-3, 0x1.1ebc1bde85be2p-3, 0x1.19d229fe78c9ap-3, 0x1.14f7be6e024abp-3, 0x1.102cca470c58ep-3, 0x1.0b713ddbaaf8p-3, 0x1.06c508b61cf98p-3, 0x1.0228198ce4236p-3, 0x1.fb34bcbd09d49p-4, 0x1.f23788ee1d399p-4, 0x1.e95870f7cfef8p-4, 0x1.e0974c9e8a3a7p-4, 0x1.d7f3f2745c29ep-4, 0x1.cf6e37e986466p-4, 0x1.c705f12e1f1a1p-4, 0x1.bebaf11146703p-4, 0x1.b68d0996b4f76p-4, 0x1.ae7c0b7e614d8p-4, 0x1.a687c68c41c22p-4, 0x1.9eb009a2213dcp-4, 0x1.96f4a28e318cbp-4, 0x1.8f555e25b92f6p-4, 0x1.87d20887ff812p-4, 0x1.806a6cca87abp-4, 0x1.791e559062481p-4, 0x1.71ed8c5b13466p-4, 0x1.6ad7da069b724p-4, 0x1.63dd06cfef01dp-4, 0x1.5cfcda564f719p-4, 0x1.56371b58e7882p-4, 0x1.4f8b905edf891p-4, 0x1.48f9ff2746168p-4, 0x1.42822cac1ede3p-4, 0x1.3c23ddea774dep-4, 0x1.35ded71284ce7p-4, 0x1.2fb2dbeb00c74p-4, 0x1.299fafd803706p-4, 0x1.23a516034309bp-4, 0x1.1dc2d10e71f65p-4, 0x1.17f8a3456c333p-4, 0x1.12464ec951dcbp-4, 0x1.0cab9561f116ap-4, 0x1.072838a208362p-4, 0x1.01bbfa0288671p-4, 0x1.f8cd34fee441p-5, 0x1.ee4fb6797222ap-5, 0x1.e3fefa4a8d611p-5, 0x1.d9da81b6c525p-5, 0x1.cfe1ce525d105p-5, 0x1.c614615224dfp-5, 0x1.bc71bbe5c42ecp-5, 0x1.b2f95f3271a89p-5, 0x1.a9aacc6986bcep-5, 0x1.a0858482971c1p-5, 0x1.9789091bcc088p-5, 0x1.8eb4dbcad221ep-5, 0x1.86087dc60f853p-5, 0x1.7d837129fbe4fp-5, 0x1.752538084a9b7p-5, 0x1.6ced54d592852p-5, 0x1.64db4a415662cp-5, 0x1.5cee9b749ac1ap-5, 0x1.5526cbf696d9ap-5, 0x1.4d835faaf6693p-5, 0x1.4603db2e992e4p-5, 0x1.3ea7c3500b96bp-5, 0x1.376e9d791784p-5, 0x1.3057efcb65e74p-5, 0x1.296340c149d5dp-5, 0x1.229017b3d2302p-5, 0x1.1bddfc9abfd38p-5, 0x1.154c77fb36d53p-5, 0x1.0edb13025b9cap-5, 0x1.0889578571d9cp-5, 0x1.0256d039eda1dp-5, 0x1.f886114071b6ep-6, 0x1.ec9b1aa424dbdp-6, 0x1.e0ebd6f882fc6p-6, 0x1.d577621d788e9p-6, 0x1.ca3cd8d4564acp-6, 0x1.bf3b59d94b77dp-6, 0x1.b4720598272dep-6, 0x1.a9dffeb5ff989p-6, 0x1.9f846b18a7977p-6, 0x1.955e729c5e07dp-6, 0x1.8b6d3e88317b7p-6, 0x1.81aff8c3766bap-6, 0x1.7825cb8feb016p-6, 0x1.6ecde3228ca12p-6, 0x1.65a76e203ebcp-6, 0x1.5cb19ea2a8dc9p-6, 0x1.53ebaba80007dp-6, 0x1.4b54ced905e3cp-6, 0x1.42ec4313d5127p-6, 0x1.3ab1427c28cb7p-6, 0x1.32a3066b6b78cp-6, 0x1.2ac0c86842b1bp-6, 0x1.2309c4b3f053cp-6, 0x1.1b7d3cf41696ap-6, 0x1.141a79579e2a8p-6, 0x1.0ce0c736d5c89p-6, 0x1.05cf75ee098e3p-6, 0x1.fdcba82dd816ap-7, 0x1.f046596fc2159p-7, 0x1.e30d8faecdd7bp-7, 0x1.d61fdced8e2d6p-7, 0x1.c97bdc6e813a1p-7, 0x1.bd2039f3658d7p-7, 0x1.b10bb2d4947c1p-7, 0x1.a53d104ff24cbp-7, 0x1.99b31e6ba1224p-7, 0x1.8e6ca1e36dde6p-7, 0x1.83685423b12ebp-7, 0x1.78a4e6296da36p-7, 0x1.6e21097194d22p-7, 0x1.63db7b2ed78b1p-7, 0x1.59d30c94295d1p-7, 0x1.5006a33acc471p-7, 0x1.46753323b30eap-7, 0x1.3d1db250ecaeep-7, 0x1.33ff0e71088bep-7, 0x1.2b1828705c641p-7, 0x1.2267d6c39745ap-7, 0x1.19ecef77bab43p-7, 0x1.11a653475c881p-7, 0x1.0992f5a75915p-7, 0x1.01b1ddbc6b865p-7, 0x1.f40440bc5f55fp-8, 0x1.e505ab597bff8p-8, 0x1.d6661dcb24d29p-8, 0x1.c823a30e3895p-8, 0x1.ba3c3710e7b2fp-8, 0x1.acadd745a0411p-8, 0x1.9f769678d2019p-8, 0x1.9294a887a821bp-8, 0x1.860661f89fa9p-8, 0x1.79ca2afb4b0f7p-8, 0x1.6dde6d61f539fp-8, 0x1.624184cb9d679p-8, 0x1.56f1b4c3eab21p-8, 0x1.4bed300f1852fp-8, 0x1.41322dfaf9f9bp-8, 0x1.36bf02fbcfda7p-8, 0x1.2c922cc00d5ep-8, 0x1.22aa4cb9cc478p-8, 0x1.1906165c29b52p-8, 0x1.0fa43db03da5p-8, 0x1.068369cf9f701p-8, 0x1.fb4454ddb2d7cp-9, 0x1.e9fde67c78748p-9, 0x1.d9304b80a5b34p-9, 0x1.c8d85aa399f3fp-9, 0x1.b8f33be81ea25p-9, 0x1.a97e7d1d1f865p-9, 0x1.9a77eb5bf5daep-9, 0x1.8bdd5772a4975p-9, 0x1.7dac7e9e12d27p-9, 0x1.6fe317726d931p-9, 0x1.627ee05518ca5p-9, 0x1.557d8ae96d115p-9, 0x1.48dca1276ad15p-9, 0x1.3c9998fe55889p-9, 0x1.30b21787a1f55p-9, 0x1.25241d4b553c5p-9, 0x1.19edd98266f2fp-9, 0x1.0f0d4028e8571p-9, 0x1.047fd310b1d5fp-9, 0x1.f485d2f24f5f6p-10, 0x1.e0a871f959bd7p-10, 0x1.cd64259b7e3b7p-10, 0x1.bab63a1147d09p-10, 0x1.a89bd4ce79715p-10, 0x1.9711dfdafcbf5p-10, 0x1.8615b05884d4p-10, 0x1.75a561f900d44p-10, 0x1.65bf099e4b477p-10, 0x1.565f1ba7fcdc8p-10, 0x1.477f92fc5ef75p-10, 0x1.39190a4c27fe1p-10, 0x1.2b252ae96218ep-10, 0x1.1da06581a2053p-10, 0x1.108973ce14c8fp-10, 0x1.03df8cce590cbp-10, 0x1.ef42b92ecb15p-11, 0x1.d79b0f4f7ef06p-11, 0x1.c0c76cd0da1c5p-11, 0x1.aac8fb11586d4p-11, 0x1.959f4a07bf52fp-11, 0x1.8143cdbf91d5ep-11, 0x1.6da86e31ba1bfp-11, 0x1.5abb641bdbe92p-11, 0x1.486dfc08586bp-11, 0x1.36b90103b6da7p-11, 0x1.259ba5578394fp-11, 0x1.1516f7579db02p-11, 0x1.052aaecb7447fp-11, 0x1.ebab34246835dp-12, 0x1.ce2fd39425229p-12, 0x1.b1e85030d9bdbp-12, 0x1.96d9c555a71bfp-12, 0x1.7d011f8d370fdp-12, 0x1.644e41e0ea181p-12, 0x1.4ca60ff515ae8p-12, 0x1.35ea4e3064af9p-12, 0x1.2002ec279189ap-12, 0x1.0ae40a77f467fp-12, 0x1.ed1b37c6ad813p-13, 0x1.c60975f958321p-13, 0x1.a098042b0ee36p-13, 0x1.7cc45183d5f1ap-13, 0x1.5a8decd5c8772p-13, 0x1.39f9eef8d2793p-13, 0x1.1b0a927914946p-13, 0x1.fb739a0c7d639p-14, 0x1.c3f1ed9b576d8p-14, 0x1.8f602da1a52f1p-14, 0x1.5d7c10c4f3ce4p-14, 0x1.2df59465912e2p-14, 0x1.0083b541cc06cp-14, 0x1.aa129535dd1aap-15, 0x1.57319846b508bp-15, 0x1.088eca1bf7285p-15, 0x1.7c4f2cd3c2154p-16, 0x1.dfdb26a0f32ecp-17, 0x1.afc53cb60f313p-18, -0x1.fc8e723e10d65p-21, -0x1.07b89da84bcbbp-17, -0x1.e0359fc2c6814p-17, -0x1.54bbdf52bf295p-16, -0x1.b1f5b02d00131p-16, -0x1.041aaeb2e7d49p-15, -0x1.2c24ab2f6ef2fp-15, -0x1.518b1cfdc6ae8p-15, -0x1.746c3ee13193p-15, -0x1.94b43234fef5fp-15, -0x1.b27b178127d61p-15, -0x1.cdc9687296c16p-15, -0x1.e67b692ae7e2fp-15, -0x1.fca34c7c7d2ccp-15, -0x1.083fb1057ee2ep-14, -0x1.111633b9305c9p-14, -0x1.18d61723a67eap-14, -0x1.1f8360ad4794fp-14, -0x1.252433964c5b6p-14, -0x1.29c01d755b0d2p-14, -0x1.2d691cc4c6892p-14, -0x1.3043443086ac5p-14, -0x1.3258577b99ebfp-14, -0x1.339241119e564p-14, -0x1.340eb25373363p-14, -0x1.33f376ff7352p-14, -0x1.332cbf5193769p-14, -0x1.31af87a5eb31p-14, -0x1.2f936c7696879p-14, -0x1.2ceb204213c96p-14, -0x1.29b237f026191p-14, -0x1.25e8c2450ed75p-14, -0x1.219ac60a4120ap-14, -0x1.1cd00dec4e2edp-14, -0x1.178c2447949f2p-14, -0x1.11d2c42bed45ap-14, -0x1.0bb59eebddd91p-14, -0x1.053efd5113f88p-14, -0x1.fcadd82a9f3d3p-15, -0x1.ee170eac5961ap-15, -0x1.dee5fd527904dp-15, -0x1.cf259489275dbp-15, -0x1.bee22f47d6d44p-15, -0x1.ae1bc2202b8d2p-15, -0x1.9ce8c78926d5ap-15, -0x1.8b4613ef9b11fp-15, -0x1.7926cb58fd53dp-15, -0x1.66a1ed3c5e608p-15, -0x1.53cc5f444bbb6p-15, -0x1.40ab0d29e49ffp-15, -0x1.2d41bf4d3d75cp-15, -0x1.198c220f2b75cp-15, -0x1.05945f2d8b52ap-15, -0x1.e2e482d9acd53p-16, -0x1.ba3c0c70690aep-16, -0x1.914286aa09c9dp-16, -0x1.67c3c27d45f61p-16, -0x1.3dfde6fcbf0f5p-16, -0x1.143f88990ef12p-16, -0x1.d4d469034de02p-17, -0x1.8113a55b8ed9cp-17, -0x1.2d3f1f997aa98p-17, -0x1.b256f5344bbf1p-18, -0x1.0a352600899d1p-18, -0x1.89f385de31fecp-20, 0x1.12fe76fa8c7cdp-20, 0x1.d6e6272b1aa89p-19, 0x1.9183e6dca3f3ap-18, 0x1.1b937e75ac07fp-17, 0x1.6e157e9d9a55cp-17, 0x1.c0012dde1ca17p-17, 0x1.08a2ea3cd6de9p-16, 0x1.310ca856d8cd7p-16, 0x1.593f3c4022e5p-16, 0x1.81253a18454a2p-16, 0x1.a8a669de55df3p-16, 0x1.cfc363db79e96p-16, 0x1.f6774c9353125p-16, 0x1.0e6467f2514acp-15, 0x1.215c33ecfbe4fp-15, 0x1.341b76023ac8dp-15, 0x1.46a0268cdf56ep-15, 0x1.58e97c4dc53e4p-15, 0x1.6af63d8c0037bp-15, 0x1.7cc4c7e039c83p-15, 0x1.8e53f50ae1b2bp-15, 0x1.9fa48ec3e713bp-15, 0x1.b0b2b0817dfa3p-15, 0x1.c17b3034112d7p-15, 0x1.d200552c7e05dp-15, 0x1.e240c770d9215p-15, 0x1.f23a719bd2e2bp-15, 0x1.00f6d15075bbdp-14, 0x1.08ac2764e8786p-14, 0x1.103d0673cfbf7p-14, 0x1.17a9d2b280d8bp-14, 0x1.1ef13ecb9f733p-14, 0x1.26134099b0558p-14, 0x1.2d1046d518fdcp-14, 0x1.33e8042cad3d2p-14, 0x1.3a9a4f9e18a3dp-14, 0x1.4126fb2ccc8d1p-14, 0x1.478dc7ff59d9dp-14, 0x1.4dceeda9f5aa6p-14, 0x1.53e9af6d32731p-14, 0x1.59dd173eab0dap-14, 0x1.5fac9f7a36a3bp-14, 0x1.65555a357b9d1p-14, 0x1.6ad7f3ccb137cp-14, 0x1.70359e8c49aa2p-14, 0x1.756e058c8b2cfp-14, 0x1.7a7f08390caedp-14, 0x1.7f69e69d80922p-14, 0x1.843257bf2445bp-14, 0x1.88d3f08e9664fp-14, 0x1.8d5014c5917bap-14, 0x1.91a85d8abfdf3p-14, 0x1.95dc521fe504ep-14, 0x1.99ebf65381527p-14, 0x1.9dd79a8cdd551p-14, 0x1.a19f8f4345233p-14, 0x1.a543e37e713d4p-14, 0x1.a8c4ea27351e6p-14, 0x1.ac2373b5f6a81p-14, 0x1.af5e1ece41136p-14, 0x1.b2774660fa1d1p-14, 0x1.b56db343a13c4p-14, 0x1.b8425d766f4adp-14, 0x1.baf67be8389bcp-14, 0x1.bd89de146624bp-14, 0x1.bffc96cd5e9d7p-14, 0x1.c24c93b283ac4p-14, 0x1.c47f148621fddp-14, 0x1.c690670c9e807p-14, 0x1.c882b39f7449p-14, 0x1.ca56c712d0c6ep-14, 0x1.cc0c7bff3a17p-14, 0x1.cda3fb8f33f6bp-14, 0x1.cf1db1fbfb1bdp-14, 0x1.d07a1c2219271p-14, 0x1.d1b9b00e53b91p-14, 0x1.d2dcc8381aca7p-14, 0x1.d3e39237e1b75p-14, 0x1.d4cebdefcf549p-14, 0x1.d59f3732af363p-14, 0x1.d654135de839bp-14, 0x1.d6ee359891908p-14, 0x1.d76e4e1633b65p-14, 0x1.d7d54ba217744p-14, 0x1.d823085c5a774p-14, 0x1.d858377a04481p-14, 0x1.d8745d3a558a7p-14, 0x1.d878cbb2e0cbbp-14, 0x1.d864c2340811bp-14, 0x1.d83a2d220cf5cp-14, 0x1.d7f92bbac5bf1p-14, 0x1.d7a1b405a5f03p-14, 0x1.d734278061a8cp-14, 0x1.d6b12619b96a7p-14, 0x1.d618fb96c7594p-14, 0x1.d56bfe4345289p-14, 0x1.d4aac84a589efp-14, 0x1.d3d5a8e758d07p-14, 0x1.d2ed0bc98b6b6p-14, 0x1.d1f113f047da6p-14, 0x1.d0e2963236e8ep-14, 0x1.cfc218912dae9p-14, 0x1.ce8f33b09e23cp-14, 0x1.cd4a7f100dfa8p-14, 0x1.cbf5058fc1c23p-14, 0x1.ca8eb1dd22f85p-14, 0x1.c9182d395535ep-14, 0x1.c791acaf97995p-14, 0x1.c5faed013a8cdp-14, 0x1.c45508e5f2072p-14, 0x1.c2a07fdcd214dp-14, 0x1.c0dd640237fb2p-14, 0x1.bf0c0fb90ce5cp-14, 0x1.bd2cdfeb4b9a3p-14, 0x1.bb40441785bcap-14, 0x1.b946740af5acbp-14, 0x1.b73fdb1db141dp-14, 0x1.b52cd9bcea0c5p-14, 0x1.b30dc5cf17078p-14, 0x1.b0e2e573d7931p-14, 0x1.aeac9d50cc854p-14, 0x1.ac6b3a8c577eap-14, 0x1.aa1f0852a5bfp-14, 0x1.a7c855d82abe6p-14, 0x1.a567c321673e8p-14, 0x1.a2fd48e4190b1p-14, 0x1.a088f78c2d58fp-14, 0x1.9e0b9fc11f1cbp-14, 0x1.9b85a7694737fp-14, 0x1.98f6cdc1a664bp-14, 0x1.965f947eabf73p-14, 0x1.93c06c727af54p-14, 0x1.9119adc399fb9p-14, 0x1.8e6b5b723e111p-14, 0x1.8bb5cfd2f79afp-14, 0x1.88f9754cae6e5p-14, 0x1.86366f235a528p-14, 0x1.836d1334df911p-14, 0x1.809d9a3ffa507p-14, 0x1.7dc8519039eb3p-14, 0x1.7aed6c26bb622p-14, 0x1.780d2eb4f3fa8p-14, 0x1.7527ebd8a0616p-14, 0x1.723dc651b24b3p-14, 0x1.6f4efd2cf0ddbp-14, 0x1.6c5be69cc298bp-14, 0x1.6964b0259ec18p-14, 0x1.666977b9abacap-14, 0x1.636aa4f175eadp-14, 0x1.60685f1f5a6p-14, 0x1.5d62e463ada77p-14, 0x1.5a5a5303b8a7cp-14, 0x1.574ee8c64bb06p-14, 0x1.5440d913abc8fp-14, 0x1.5130774d7e3eep-14, 0x1.4e1dd86e17ecp-14, 0x1.4b09314d69fecp-14, 0x1.47f2adcbafbafp-14, 0x1.44da9dd37da45p-14, 0x1.41c112a5273cbp-14, 0x1.3ea621d8a849p-14, 0x1.3b8a3dc177697p-14, 0x1.386d4ffe4c51bp-14, 0x1.354faa872e1ddp-14, 0x1.323193eca0511p-14, 0x1.2f12e609142ddp-14, 0x1.2bf3e692b5f5ep-14, 0x1.28d4fa1c8b4fap-14, 0x1.25b604a8f05f5p-14, 0x1.22974035e35cp-14, 0x1.1f78d6e109eb9p-14, 0x1.1c5aebb616426p-14, 0x1.193da3eb93c59p-14, 0x1.1621212b67b08p-14, 0x1.13058255de1c9p-14, 0x1.0feaf312c403ep-14, 0x1.0cd18cc89649dp-14, 0x1.09b972151008fp-14, 0x1.06a2c0a0b91ap-14, 0x1.038d99ee3a125p-14, 0x1.007a17e63dbfcp-14, 0x1.fad0c521efb3dp-15, 0x1.f4b1184bba05dp-15, 0x1.ee957054a3ca8p-15, 0x1.e87dcd24ae18fp-15, 0x1.e26ac5eafafcfp-15, 0x1.dc5b217886cd7p-15, 0x1.d6529c1f30386p-15, 0x1.d04e0a2481463p-15, 0x1.ca4e743b648fep-15, 0x1.c45445f84125bp-15, 0x1.be5faeeead46ep-15, 0x1.b870de9a3cafbp-15, 0x1.b28806ee331f8p-15, 0x1.aca4e1839a378p-15, 0x1.a6c81e39ad338p-15, 0x1.a0f20e6e25087p-15, 0x1.9b2230935ca3ap-15, 0x1.9558ba2bca0d6p-15, 0x1.8f967363eea22p-15, 0x1.89db123671239p-15, 0x1.8426b04c74cb3p-15, 0x1.7e797497ae455p-15, 0x1.78d392181b6c5p-15, 0x1.733520b7b1efbp-15, 0x1.6d9e3d4589589p-15, 0x1.680f07c60da4dp-15, 0x1.6287a4b2ea7fap-15, 0x1.5d07e8bd0b202p-15, 0x1.57905cfddc306p-15, 0x1.5220da8d629b1p-15, 0x1.4cb98c2baf6afp-15, 0x1.475a7f745804dp-15, 0x1.4203a1c35d776p-15, 0x1.3cb54c958a9b1p-15, 0x1.376f73e478f32p-15, 0x1.3232335526b7ep-15, 0x1.2cfd99263a6e5p-15, 0x1.27d1b8014db28p-15, 0x1.22ae980b2a41ap-15, 0x1.1d945e13fdf53p-15, 0x1.18830b196ec82p-15, 0x1.137aa5cc50e11p-15, 0x1.0e7b380fcd155p-15, 0x1.09852380a1ab4p-15, 0x1.0497e9aaab208p-15, 0x1.ff67c4f23bdd4p-16, 0x1.f5b2344b2e2e5p-16, 0x1.ec0f1b25dfc92p-16, 0x1.e27e919211898p-16, 0x1.d900dd4eaabd2p-16, 0x1.cf95c06a5a05fp-16, 0x1.c63d64dfb24d7p-16, 0x1.bcf7fce8401aep-16, 0x1.b3c53a8be134cp-16, 0x1.aaa5839915964p-16, 0x1.a198b7f981bf1p-16, 0x1.989efcce6d7cep-16, 0x1.8fb8643b9cd62p-16, 0x1.86e47df1d7a87p-16, 0x1.7e23f6436a3ebp-16, 0x1.757695a14bb58p-16, 0x1.6cdc51bb6268p-16, 0x1.645507ec47d7cp-16, 0x1.5be0f5223f2dep-16, 0x1.53800d61facc8p-16, 0x1.4b325bf8f3b5cp-16, 0x1.42f7cfa51cdf7p-16, 0x1.3ad01d21ac523p-16, 0x1.32bbb3081a383p-16, 0x1.2abac80de958ep-16, 0x1.22cc90a6462b8p-16, 0x1.1af1a0a6fcabap-16, 0x1.132979d8f24eep-16, 0x1.0b749bf376cc5p-16, 0x1.03d2caab840fbp-16, 0x1.f887b28a7a62ep-17, 0x1.e98f40e314814p-17, 0x1.dabc3f3152c67p-17, 0x1.cc1104f7edb9ep-17, 0x1.bd8a8dc6f4c1bp-17, 0x1.af27c3ddb1ceap-17, 0x1.a0ecb7c522998p-17, 0x1.92d67ce2ed69p-17, 0x1.84d9c037392e8p-17, 0x1.771938dea9704p-17, 0x1.6972338c28307p-17, 0x1.5bf021f0ce85ep-17, 0x1.4e92db6234338p-17, 0x1.415a41dbbbfcdp-17, 0x1.344633bc644dp-17, 0x1.27568f06b09b1p-17, 0x1.1a8b310206a3bp-17, 0x1.0de3f8ff875b9p-17, 0x1.0160cf8c7c901p-17, 0x1.ea02ad82c55f8p-18, 0x1.d18b19e45eea3p-18, 0x1.b95a89513ccfep-18, 0x1.a17181478ac8dp-18, 0x1.89ceae7ff9776p-18, 0x1.72710e7af139fp-18, 0x1.5b59c531ba6a7p-18, 0x1.4487f007ad22dp-18, 0x1.2dfb3b815c701p-18, 0x1.17b374b020a3ap-18, 0x1.01b018bd59316p-18, 0x1.d7df7b5a2a0e8p-19, 0x1.ace72e7cc448cp-19, 0x1.8275ff9156211p-19, 0x1.588eb7d922fb9p-19, 0x1.2f25ba1b913e2p-19, 0x1.0642c99fdea7ep-19, 0x1.bbcd5a644a3f3p-20, 0x1.6c0ef65ed37cp-20, 0x1.1d66dec748dcap-20, 0x1.9f6c8c900d1e5p-21, 0x1.060adff33e8bcp-21, 0x1.ba9a9b6836897p-23, -0x1.360b47ea958ep-24, -0x1.7445d0832db4fp-22, -0x1.4b9d1138a5235p-21, -0x1.db2243538a6bap-21, -0x1.345c97957a028p-20, -0x1.7a31b2ed0cc5ap-20, -0x1.bf134fa994376p-20, -0x1.018157b848d7ap-19, -0x1.2300bf26c349dp-19, -0x1.4408b55f036a2p-19, -0x1.649a1294ca0c6p-19, -0x1.84b5afe6980d1p-19, -0x1.a45c67492343dp-19, -0x1.c38ebe063d902p-19, -0x1.e24e8f01e465bp-19, -0x1.004dd943c2986p-18, -0x1.0f3baaa08574bp-18, -0x1.1df12a18e87e3p-18, -0x1.2c6eeb122e32ap-18, -0x1.3ab6262064a71p-18, -0x1.48c2eff18541ap-18, -0x1.569c6e198926ep-18, -0x1.643fa2dfac7fcp-18, -0x1.71ac3dd5cea16p-18, -0x1.7ee49439a313ep-18, -0x1.8be51ac809704p-18, -0x1.98b4716c26161p-18, -0x1.a54f1bd47907fp-18, -0x1.b1b59e1254135p-18, -0x1.bde96cedb332fp-18, -0x1.c9e9348d039a9p-18, -0x1.d5b92ead801fdp-18, -0x1.e1559706e4716p-18, -0x1.ecc16367cfa4bp-18, -0x1.f7fb2a9fb5c2ep-18, -0x1.01828b8222893p-17, -0x1.06efb0842a8fdp-17, -0x1.0c44a819fe966p-17, -0x1.118231fd9880ep-17, -0x1.16a825a7742fap-17, -0x1.1bb720139c0f9p-17, -0x1.20af6f69e07ap-17, -0x1.258fd94be401dp-17, -0x1.2a5ad5381c7c1p-17, -0x1.2f0fda9f93d12p-17, -0x1.33ad0c5215e82p-17, -0x1.3834ea295178cp-17, -0x1.3ca84f9fd8bc1p-17, -0x1.4104388d3feb8p-17, -0x1.454ca0caae5f6p-17, -0x1.497f2607abfc5p-17, -0x1.4d9c9b7c9da2fp-17, -0x1.51a5956b79062p-17, -0x1.559a38e311477p-17, -0x1.597acfa95a421p-17, -0x1.5d4603a13caa3p-17, -0x1.60ff3f12fec64p-17, -0x1.64a389d22b54dp-17, -0x1.683495efafd68p-17, -0x1.6bb23b12373cap-17, -0x1.6f1d819a0dc7dp-17, -0x1.72753f330ea74p-17, -0x1.75ba26cb32733p-17, -0x1.78edb27a05b48p-17, -0x1.7c0e20885c4c4p-17, -0x1.7f1c4af40542ep-17, -0x1.8218e07987776p-17, -0x1.8503f35306cbep-17, -0x1.87dce8eb56761p-17, -0x1.8aa4e353739a8p-17, -0x1.8d5bed8d31088p-17, -0x1.9001b46bfa493p-17, -0x1.9296e4b939b52p-17, -0x1.951bec57ded55p-17, -0x1.978f4f04dc958p-17, -0x1.99f342c320459p-17, -0x1.9c47f33a76dfep-17, -0x1.9e8bc0395a494p-17, -0x1.a0c02f3c879fap-17, -0x1.a2e51bf51b404p-17, -0x1.a4fa9afdd3fb5p-17, -0x1.a7016cd15c514p-17, -0x1.a8f96f7d0d382p-17, -0x1.aae13a8799a84p-17, -0x1.acbc760ad4221p-17, -0x1.ae87d518167e3p-17, -0x1.b04590fb83eefp-17, -0x1.b1f4edb978308p-17, -0x1.b395f4bba4001p-17, -0x1.b52a1038c0a7fp-17, -0x1.b6b04e0cdf20cp-17, -0x1.b82922de1272cp-17, -0x1.b99437d0d5367p-17, -0x1.baf2eb6cbd28dp-17, -0x1.bc44314cfe783p-17, -0x1.bd8940e7e7821p-17, -0x1.bec15c92e6b74p-17, -0x1.bfecb9b17c82ap-17, -0x1.c10d1429e9f52p-17, -0x1.c21f88fba2281p-17, -0x1.c326c40650dc1p-17, -0x1.c421b3bdf70ap-17, -0x1.c511ae0600d4ep-17, -0x1.c5f6592f52603p-17, -0x1.c6cf64833f74ep-17, -0x1.c79d31319304p-17, -0x1.c85deb49e6841p-17, -0x1.c916858bc722cp-17, -0x1.c9c4f6fc5b807p-17, -0x1.ca65d2e65a1c5p-17, -0x1.cafdcb922baaep-17, -0x1.cb8b59ce4f49bp-17, -0x1.cc0e17e496c42p-17, -0x1.cc871d37e25d4p-17, -0x1.ccf6360277c5p-17, -0x1.cd5b82f7902e5p-17, -0x1.cdb71fea2ba1ap-17, -0x1.ce08f997664e9p-17, -0x1.ce526cf9ab3d2p-17, -0x1.ce91e99bc2d06p-17, -0x1.cec7683581acdp-17, -0x1.cef5cfee7dc17p-17, -0x1.cf1933c18035ap-17, -0x1.cf35e86c50759p-17, -0x1.cf488e1b64e41p-17, -0x1.cf531d855602p-17, -0x1.cf551026fc93cp-17, -0x1.cf68bec2b69e7p-17, -0x1.cf41aa4afa829p-17, -0x1.cf2b2e8db79c6p-17, -0x1.cf0d069bc6002p-17, -0x1.cee756dd7b52p-17, -0x1.cebaae9a84257p-17, -0x1.ce84fb637eb52p-17, -0x1.ce487b6187d27p-17, -0x1.ce05718eca181p-17, -0x1.cdbab23ad3334p-17, -0x1.cd68828113b78p-17, -0x1.cd0fdc6986158p-17, -0x1.ccb028b37ce7dp-17, -0x1.cc49b77617453p-17, -0x1.cbdd12f2488d3p-17, -0x1.cb68a657d8d46p-17, -0x1.caee566b0869cp-17, -0x1.ca6f793a75659p-17, -0x1.c9e87b7097cacp-17, -0x1.c95b37993838p-17, -0x1.c8c97a9747a14p-17, -0x1.c830c62c61b85p-17, -0x1.c7927cdfd4415p-17, -0x1.c6ee6d43ea187p-17, -0x1.c64522d643bb1p-17, -0x1.c59596e3b397cp-17, -0x1.c4e148edcd56bp-17, -0x1.c427b6f450ed2p-17, -0x1.c368357aa377ap-17, -0x1.c2a3ee9dc5b1ep-17, -0x1.c1dbcdc44e162p-17, -0x1.c10cf6c134fd8p-17, -0x1.c03a2dafd0007p-17, -0x1.bf62f2a256d1ep-17, -0x1.be85cfc226ebp-17, -0x1.bda545e2b7114p-17, -0x1.bcbf5b5a091fp-17, -0x1.bbd535c446156p-17, -0x1.bae756387a47cp-17, -0x1.b9f46e8ddec1ap-17, -0x1.b8fdf7604a5a3p-17, -0x1.b8038da16791bp-17, -0x1.b70411d5d332ap-17, -0x1.b601b7430995ap-17, -0x1.b4fb39952129bp-17, -0x1.b3f0bfbb87a8dp-17, -0x1.b2e2a90e98317p-17, -0x1.b1d16fdcb8b47p-17, -0x1.b0bb3a0cd6ed4p-17, -0x1.afa3de7891ac6p-17, -0x1.ae87174d4ea9bp-17, -0x1.ad679ece8486dp-17, -0x1.ac450ef65e339p-17, -0x1.ab1f38871b0adp-17, -0x1.a9f64bb19212dp-17, -0x1.a8ca7e154c281p-17, -0x1.a79b271543f46p-17, -0x1.a669264123c5cp-17, -0x1.a534fbc4a93a9p-17, -0x1.a3fd4f76f55fbp-17, -0x1.a2c2fd0f52b1cp-17, -0x1.a1867e54a2484p-17, -0x1.a0478eb5da47cp-17, -0x1.9f04e73139969p-17, -0x1.9dc0ec48d7f73p-17, -0x1.9c7a179903999p-17, -0x1.9b309fd81ded8p-17, -0x1.99e5dc8dbb74dp-17, -0x1.9898200d21d4dp-17, -0x1.974869215e5fbp-17, -0x1.95f69ba8a9923p-17, -0x1.94a2950ecfa61p-17, -0x1.934d612e17714p-17, -0x1.91f5eaaef39c2p-17, -0x1.909bf2071f06bp-17, -0x1.8f3fef7041aa6p-17, -0x1.8de33c4514423p-17, -0x1.8c844461d0401p-17, -0x1.8b23b497c8ce2p-17, -0x1.89c1c610fe806p-17, -0x1.885dd92569a9dp-17, -0x1.86f8a061e704p-17, -0x1.8591ad220aa21p-17, -0x1.842a3394272afp-17, -0x1.82c0512522548p-17, -0x1.8155e5504813p-17, -0x1.7fe9193200c77p-17, -0x1.7e7cdb130d6f7p-17, -0x1.7d0e2c5fda5bfp-17, -0x1.7b9e7c569c995p-17, -0x1.7a2df66e0d2bbp-17, -0x1.78bcd744c8607p-17, -0x1.7749aa08d276cp-17, -0x1.75d64861bd321p-17, -0x1.7461a884bdaacp-17, -0x1.72ec5afeda62fp-17, -0x1.71765b1386c4ap-17, -0x1.6ffefb5d7e2dp-17, -0x1.6e8752a7033eap-17, -0x1.6d0ee4917ba29p-17, -0x1.6b9613adba5d4p-17, -0x1.6a1b96d56051p-17, -0x1.68a1ee24b0db7p-17, -0x1.6727692d4aaf6p-17, -0x1.65aba7fe040dep-17, -0x1.642f237a62418p-17, -0x1.62b33b2307965p-17, -0x1.6136900cb87bp-17, -0x1.5fb949ce9dc87p-17, -0x1.5e3c331b80557p-17, -0x1.5cbe0cd8513a2p-17, -0x1.5b40120fdbcb8p-17, -0x1.59c18d849f86fp-17, -0x1.5842fa36650f5p-17, }}, 
      {{-0x1.14e323250d34fp+1, -0x1.1408548c60cf8p+1, -0x1.12da6d635135fp+1, -0x1.115d2febdb8d7p+1, -0x1.0f94ded8ea67ep+1, -0x1.0d861316b72dcp+1, -0x1.0b35992f9ee03p+1, -0x1.08a8571fa1cc5p+1, -0x1.05e33794e40ep+1, -0x1.02eb19d47880bp+1, -0x1.ff898a6152569p+0, -0x1.f8e9beb0297ep+0, -0x1.f1ffc9e91eb39p+0, -0x1.ead4485d478d6p+0, -0x1.e36f71802cf2dp+0, -0x1.dbd9129d50bap+0, -0x1.d4188ba8d7dd7p+0, -0x1.cc34cdcb25543p+0, -0x1.c4345b5567df2p+0, -0x1.bc1d48d9b7158p+0, -0x1.b3f53f3a4bbeap+0, -0x1.abc17e6ae5691p+0, -0x1.a386e0d932849p+0, -0x1.9b49df16a78abp+0, -0x1.930e9460a1949p+0, -0x1.8ad8c26caf98bp+0, -0x1.82abd6b1e0a33p+0, -0x1.7a8aee71d8aa4p+0, -0x1.7278dbaa75bdbp+0, -0x1.6a7829a3b9743p+0, -0x1.628b217a3f701p+0, -0x1.5ab3ce8260c34p+0, -0x1.52f402cf3f3dap+0, -0x1.4b4d59fd159aep+0, -0x1.43c13f887b877p+0, -0x1.3c50eff4b8f63p+0, -0x1.34fd7d77ac578p+0, -0x1.2dc7d2ec887aep+0, -0x1.26b0b6d058ecep+0, -0x1.1fb8ce0e9595ep+0, -0x1.18e09ea5e4c65p+0, -0x1.122892160d4aap+0, -0x1.0b90f7b2ab66p+0, -0x1.051a06cf8f8e4p+0, -0x1.fd87c18cab8ecp-1, -0x1.f11d25d14fbe5p-1, -0x1.e4f4306754ee6p-1, -0x1.d90cb61563adcp-1, -0x1.cd666d80fd926p-1, -0x1.c200f21379962p-1, -0x1.b6dbc6abe1685p-1, -0x1.abf65824a2b52p-1, -0x1.a14fffa9eb5e4p-1, -0x1.96e804decap-1, -0x1.8cbd9fde2e081p-1, -0x1.82cffb21f9621p-1, -0x1.791e3535e660dp-1, -0x1.6fa76254fb595p-1, -0x1.666a8de17d168p-1, -0x1.5d66bbc670cbp-1, -0x1.549ae9b912c5bp-1, -0x1.4c061059cd26p-1, -0x1.43a724490aae2p-1, -0x1.3b7d1723b8cfcp-1, -0x1.3386d8605c26ep-1, -0x1.2bc3562736b81p-1, -0x1.24317e076b9f2p-1, -0x1.1cd03dac085aap-1, -0x1.159e837350da6p-1, -0x1.0e9b3efe24032p-1, -0x1.07c561b0eec29p-1, -0x1.011bdf1838b9ep-1, -0x1.f53b5ac09b07cp-2, -0x1.e8938b48d62a6p-2, -0x1.dc3e487fad12dp-2, -0x1.d039922ec5cacp-2, -0x1.c4836f9c81cf8p-2, -0x1.b919f001575e3p-2, -0x1.adfb2af122cbdp-2, -0x1.a3254088451bfp-2, -0x1.989659bf123cdp-2, -0x1.8e4ca8990bb2bp-2, -0x1.84466847604f2p-2, -0x1.7a81dd5d4d65bp-2, -0x1.70fd55aff5a6ep-2, -0x1.67b728a708a2bp-2, -0x1.5eadb72e36f54p-2, -0x1.55df6b719f706p-2, -0x1.4d4ab944de1c2p-2, -0x1.44ee1dbfd7b1fp-2, -0x1.3cc81f5ce02ebp-2, -0x1.34d74dcdc6d3fp-2, -0x1.2d1a41ee402e1p-2, -0x1.258f9da8b9b0dp-2, -0x1.1e360bc692bf1p-2, -0x1.170c3fe3f3bb7p-2, -0x1.1010f639147e5p-2, -0x1.0942f381b1497p-2, -0x1.02a104d2bd081p-2, -0x1.f853fed9d745fp-3, -0x1.ebb981156840ep-3, -0x1.df705ab0c8869p-3, -0x1.d37665228c5d5p-3, -0x1.c7c98905c1e62p-3, -0x1.bc67bd9ad4d83p-3, -0x1.b14f089f73b43p-3, -0x1.a67d7d1f88625p-3, -0x1.9bf13cc5d9477p-3, -0x1.91a875d36e62dp-3, -0x1.87a163b7eeb36p-3, -0x1.7dda4e7b1b2c3p-3, -0x1.74518a5f22cbfp-3, -0x1.6b0577a609c16p-3, -0x1.61f4822b8d30ap-3, -0x1.591d210fbe455p-3, -0x1.507dd69f3df06p-3, -0x1.48152f854e674p-3, -0x1.3fe1c31af72e4p-3, -0x1.37e23294f2a9dp-3, -0x1.3015291c07e8dp-3, -0x1.28795b49056a9p-3, -0x1.210d86ecfd0f1p-3, -0x1.19d072e31c4dp-3, -0x1.12c0ee93183b6p-3, -0x1.0bddd1fda064ap-3, -0x1.0525fd3f98a4dp-3, -0x1.fd30b0d693f3cp-4, -0x1.f067a685940ddp-4, -0x1.e3eeca21c4025p-4, -0x1.d7c418a1573ccp-4, -0x1.cbe59d17cf18ap-4, -0x1.c051703a375afp-4, -0x1.b505b7f8746e8p-4, -0x1.aa00a73479bf7p-4, -0x1.9f407d1b93168p-4, -0x1.94c384fa66f5bp-4, -0x1.8a8815c88556cp-4, -0x1.808c91d575329p-4, -0x1.76cf66c3102f5p-4, -0x1.6d4f0c5d2a159p-4, -0x1.640a052a033cbp-4, -0x1.5afedd9810a34p-4, -0x1.522c2be5d4fbcp-4, -0x1.49908fadab3bcp-4, -0x1.412ab1f13ab27p-4, -0x1.38f9445af383ap-4, -0x1.30fb01611d21cp-4, -0x1.292eabcc91e6fp-4, -0x1.21930e8fed7fap-4, -0x1.1a26fc909c7ep-4, -0x1.12e95051a00f4p-4, -0x1.0bd8ebd96c8d8p-4, -0x1.04f4b85e3e7c7p-4, -0x1.fc774c4f4560bp-5, -0x1.ef59589118075p-5, -0x1.e28d91257075ap-5, -0x1.d611fe40b1067p-5, -0x1.c9e4b4ff624adp-5, -0x1.be03d648be819p-5, -0x1.b26d8f1c50aaep-5, -0x1.a72017e343ca1p-5, -0x1.9c19b474ca343p-5, -0x1.9158b329737bp-5, -0x1.86db6d4730e15p-5, -0x1.7ca04623da177p-5, -0x1.72a5ab213e41p-5, -0x1.68ea138c6493bp-5, -0x1.5f6c0013b31e7p-5, -0x1.5629fa98f272ep-5, -0x1.4d2296057c83cp-5, -0x1.44546e1231ddcp-5, -0x1.3bbe26d5c437p-5, -0x1.335e6cd96c04p-5, -0x1.2b33f4b1016eep-5, -0x1.233d7ac5a8ce5p-5, -0x1.1b79c3396c25cp-5, -0x1.13e7998108c03p-5, -0x1.0c85d087cf5d7p-5, -0x1.0553424c91e47p-5, -0x1.fc9d9f84d8a12p-6, -0x1.eeeec0a89cdb3p-6, -0x1.e197c47b00adcp-6, -0x1.d4969457708f4p-6, -0x1.c7e925d33d426p-6, -0x1.bb8d7ab6b3788p-6, -0x1.af81a0cbacb41p-6, -0x1.a3c3b159e55bbp-6, -0x1.9851d107e2814p-6, -0x1.8d2a2f9e7a2a6p-6, -0x1.824b07b36d272p-6, -0x1.77b29ddee66a9p-6, -0x1.6d5f41cf0e85fp-6, -0x1.634f4c60329e8p-6, -0x1.598120e34fae1p-6, -0x1.4ff32b746d37ap-6, -0x1.46a3e258ff9c6p-6, -0x1.3d91c45e67d6dp-6, -0x1.34bb595497329p-6, -0x1.2c1f31ad9ae83p-6, -0x1.23bbe691f3666p-6, -0x1.1b901901aa156p-6, -0x1.139a725717f97p-6, -0x1.0bd9a4120be65p-6, -0x1.044c66b3fc72p-6, -0x1.f9e2f5847f4d3p-7, -0x1.eb8f505e3cb17p-7, -0x1.dd9b7be31751dp-7, -0x1.d00523c80c91bp-7, -0x1.c2ca01db315ep-7, -0x1.b5e7dd69f0b73p-7, -0x1.a95c8a7be46a2p-7, -0x1.9d25ea812bbc4p-7, -0x1.9141ead0f5547p-7, -0x1.85ae84ba0cd63p-7, -0x1.7a69bee465c0bp-7, -0x1.6f71aa4fb6809p-7, -0x1.64c463633f6c7p-7, -0x1.5a6013251326p-7, -0x1.5042ebd037eb8p-7, -0x1.466b2ba5adbc2p-7, -0x1.3cd71a0bd8107p-7, -0x1.33850932553e5p-7, -0x1.2a7355fe08ff5p-7, -0x1.21a0668481555p-7, -0x1.190aa9cf1f1f1p-7, -0x1.10b098914dad5p-7, -0x1.0890b527abb6bp-7, -0x1.00a98a3aa72e1p-7, -0x1.f1f35735e8bdcp-8, -0x1.e2ff69a2878b5p-8, -0x1.d4749560710e9p-8, -0x1.c65034248043ep-8, -0x1.b88fae2fc276ap-8, -0x1.ab307c3feec6ap-8, -0x1.9e302616fedbcp-8, -0x1.918c432f3b8d3p-8, -0x1.85427814a46f7p-8, -0x1.795077104a4c4p-8, -0x1.6db40397a236bp-8, -0x1.626aec2d8509ap-8, -0x1.57730cbf2bf18p-8, -0x1.4cca4ebaf5c53p-8, -0x1.426ea80e20453p-8, -0x1.385e1b80637a1p-8, -0x1.2e96b6bfe8cbdp-8, -0x1.25169606b7382p-8, -0x1.1bdbdd7999015p-8, -0x1.12e4c0997ea5ap-8, -0x1.0a2f79ec25b25p-8, -0x1.01ba52a0c0103p-8, -0x1.f30736f53d64bp-9, -0x1.e31361893ea51p-9, -0x1.d395f490e30f5p-9, -0x1.c48bcf372a709p-9, -0x1.b5f1e6580e5fp-9, -0x1.a7c540fb0e76ap-9, -0x1.9a02f8f976ae8p-9, -0x1.8ca83b2324ff9p-9, -0x1.7fb242466eb95p-9, -0x1.731e5be60671p-9, -0x1.66e9ecb78eae1p-9, -0x1.5b1263f90ff16p-9, -0x1.4f953f386e8ap-9, -0x1.447011721316dp-9, -0x1.39a078ae10ec3p-9, -0x1.2f2422676facbp-9, -0x1.24f8cbec6a7adp-9, -0x1.1b1c41c7efad7p-9, -0x1.118c5e94c7a12p-9, -0x1.08470838a228p-9, -0x1.fe9468b1811fbp-10, -0x1.ed27cb3b69f34p-10, -0x1.dc445275b91a1p-10, -0x1.cbe632d6ee28cp-10, -0x1.bc09bf7b26e8ep-10, -0x1.acab5b83ea7a2p-10, -0x1.9dc784de6c33cp-10, -0x1.8f5ad36096b49p-10, -0x1.8161ed018f9f2p-10, -0x1.73d99a4debe22p-10, -0x1.66bea995403abp-10, -0x1.5a0e0931af63ep-10, -0x1.4dc4b74d32d8bp-10, -0x1.41dfc42ede462p-10, -0x1.365c55722dc18p-10, -0x1.2b37a4a06d88ap-10, -0x1.206ef94b67ad5p-10, -0x1.15ffb37911ee4p-10, -0x1.0be741d33fa8fp-10, -0x1.02232216006bap-10, -0x1.f161cd3e9820cp-11, -0x1.df1c62a1dbd99p-11, -0x1.cd716346aef1fp-11, -0x1.bc5c44f565fap-11, -0x1.abd8a955fad8ep-11, -0x1.9be245a6ca879p-11, -0x1.8c74f5f005dd1p-11, -0x1.7d8caf842f3bap-11, -0x1.6f257f5a59b7ep-11, -0x1.613b900cdecbbp-11, -0x1.53cb396b98ce4p-11, -0x1.46d0ce674bfd8p-11, -0x1.3a48bf2c61dc1p-11, -0x1.2e2f9c83627fep-11, -0x1.228215bc19046p-11, -0x1.173cd09291e15p-11, -0x1.0c5cafd8b5995p-11, -0x1.01de9bb5f958ap-11, -0x1.ef7f2acab9f5cp-12, -0x1.dbf9748c5bbcp-12, -0x1.c9266ab390a34p-12, -0x1.b7007bc9eae3cp-12, -0x1.a582530b3d5fp-12, -0x1.94a69fdb2a55dp-12, -0x1.8468580b4ca39p-12, -0x1.74c279f93aa27p-12, -0x1.65b03b5a474e9p-12, -0x1.572cfdae60734p-12, -0x1.49343e444012bp-12, -0x1.3bc1997ff886cp-12, -0x1.2ed0ce7053e9cp-12, -0x1.225d9bf735592p-12, -0x1.1663f9081e83bp-12, -0x1.0adfccf052a8p-12, -0x1.ff9ac222a5cap-13, -0x1.ea52056ba985ep-13, -0x1.d5de23fe99cafp-13, -0x1.c2382a04ee0fep-13, -0x1.af59695ea10fbp-13, -0x1.9d3b533f393ddp-13, -0x1.8bd77cfae8789p-13, -0x1.7b27953483585p-13, -0x1.6b2568288e2bp-13, -0x1.5bcaef646e29p-13, -0x1.4d12602c50f2bp-13, -0x1.3ef62e0324bffp-13, -0x1.317103064b7c8p-13, -0x1.247dbb5cf4a88p-13, -0x1.18176cd83979ep-13, -0x1.0c39585d7b1abp-13, -0x1.00dec655b0b3ap-13, -0x1.ec0628b9b829fp-14, -0x1.d7438fe566db4p-14, -0x1.c36cc54e2c68ap-14, -0x1.b0790b178fc13p-14, -0x1.9e5faf150d3fcp-14, -0x1.8d18910b9dd9dp-14, -0x1.7c9c49245a4c5p-14, -0x1.6ce3299bfc055p-14, -0x1.5de61fe1b6fc9p-14, -0x1.4f9e841187d54p-14, -0x1.420664f452813p-14, -0x1.3516be589f03cp-14, -0x1.28c9beab03c9cp-14, -0x1.1d18a9ed1b132p-14, -0x1.11fdab35b070cp-14, -0x1.0772d76f5940ap-14, -0x1.fae47eb1d4adep-15, -0x1.e7ec1945846afp-15, -0x1.d5f13d2b33b79p-15, -0x1.c4e97600139eap-15, -0x1.b4cb5b758d6b6p-15, -0x1.a58e53473b5c1p-15, -0x1.9729b5d910ab1p-15, -0x1.8995197262baep-15, -0x1.7cc814d0f1eb6p-15, -0x1.70ba2326015d9p-15, -0x1.6563a9984eaafp-15, -0x1.5abd81a46f85ep-15, -0x1.50bf5c225e1c1p-15, -0x1.4760e7a519c51p-15, -0x1.3e9a46baf09dbp-15, -0x1.366445967cce9p-15, -0x1.2eb85ab8e042cp-15, -0x1.27902db1736a5p-15, -0x1.20e66035563f3p-15, -0x1.1ab572104f325p-15, -0x1.14f7c03629d29p-15, -0x1.0fa7f5f1e9af1p-15, -0x1.0ac1947e8a932p-15, -0x1.063f9e43b906fp-15, -0x1.021d4a5d2d3fbp-15, -0x1.fcab5310aaffbp-16, -0x1.f5c6fdc1f80fbp-16, -0x1.ef839f89fd2fp-16, -0x1.e9d7f7e8c994ap-16, -0x1.e4bbeb6f90f23p-16, -0x1.e0276305db1fcp-16, -0x1.dc13bd7e652cbp-16, -0x1.d878535a9dffep-16, -0x1.d54e6a36c4da1p-16, -0x1.d290fe1491cb1p-16, -0x1.d039a7a87ec6fp-16, -0x1.ce434d2f6316ep-16, -0x1.cca766397c5c7p-16, -0x1.cb619bda6cdf9p-16, -0x1.ca697b866dec4p-16, -0x1.c9b9ef043f1e4p-16, -0x1.c94f3cced50d9p-16, -0x1.c92328d726b38p-16, -0x1.c9322a8a8e15dp-16, -0x1.c97626030b6c3p-16, -0x1.c9eb173bb13b3p-16, -0x1.ca8c8a1459d0ap-16, -0x1.cb56278d18e4dp-16, -0x1.cc454512feb7ep-16, -0x1.cd57530b800abp-16, -0x1.ce87d2adc1cb1p-16, -0x1.cfd4532cfc314p-16, -0x1.d139810c2c632p-16, -0x1.d2b3f9eaf7bf5p-16, -0x1.d4411d4560ffp-16, -0x1.d5dddbb73c626p-16, -0x1.d788421db3cap-16, -0x1.d93ec5d5594f8p-16, -0x1.dafcc776ea0ecp-16, -0x1.dcc0336ded91cp-16, -0x1.de87a4041ed86p-16, -0x1.e0510a6125ec6p-16, -0x1.e21a5025a72f9p-16, -0x1.e3e220ef7d7d8p-16, -0x1.e5a657927ac4bp-16, -0x1.e7651522d9f45p-16, -0x1.e91def48afbep-16, -0x1.eaceadf618dacp-16, -0x1.ec758a3407f3bp-16, -0x1.ee127057ac1d6p-16, -0x1.efa3e44bf679ap-16, -0x1.f128ef1e7d597p-16, -0x1.f2a0594a36e0bp-16, -0x1.f4091b8c4a934p-16, -0x1.f561efac18188p-16, -0x1.f6aa0820157eap-16, -0x1.f7e0fe1da4152p-16, -0x1.f9066f50fe226p-16, -0x1.fa1959cd1a63ep-16, -0x1.fb1814cf49c02p-16, -0x1.fc0315f98396bp-16, -0x1.fcda0a0a40319p-16, -0x1.fd9c245a8eddep-16, -0x1.fe48f0ecc83cbp-16, -0x1.fee0b1628200ep-16, -0x1.ff621f23b556bp-16, -0x1.ffcd9798b8072p-16, -0x1.00116f9818c0ap-15, -0x1.00311b59c0ef1p-15, -0x1.00453447b5a31p-15, -0x1.004dd5dd5f4afp-15, -0x1.004b38677c86cp-15, -0x1.003d0f4f3466ap-15, -0x1.00232d7850562p-15, -0x1.fffbd53720f82p-16, -0x1.ff9a21a3103a5p-16, -0x1.ff2251a1c7d87p-16, -0x1.fe92ed0401987p-16, -0x1.fdebdf92737edp-16, -0x1.fd2edba7458d3p-16, -0x1.fc5b36c872bf2p-16, -0x1.fb710d15af877p-16, -0x1.fa709aa7c2fa3p-16, -0x1.f95a100d1862p-16, -0x1.f82da46bf131dp-16, -0x1.f6eb8a9abcaecp-16, -0x1.f593eebce4a34p-16, -0x1.f42729ec4e784p-16, -0x1.f2a56b2cb36ep-16, -0x1.f10f0de10eb9ap-16, -0x1.ef6410a837da9p-16, -0x1.eda4e7213dca9p-16, -0x1.ebd2d2c19edfp-16, -0x1.e9ebd5a649058p-16, -0x1.e7f24b0522e64p-16, -0x1.e5e62220ad8c4p-16, -0x1.e3c70cc668e0dp-16, -0x1.e195bd672b8fcp-16, -0x1.df52999c8ce9ep-16, -0x1.dcfdeeec19f43p-16, -0x1.da9816b745221p-16, -0x1.d8216baa8eb83p-16, -0x1.d59a4f36a0c4fp-16, -0x1.d3032ddfad4a5p-16, -0x1.d05c1f23b2d64p-16, -0x1.cda5b3ffe44f3p-16, -0x1.cae00635a0bb2p-16, -0x1.c80c78a15586bp-16, -0x1.c52aabb613379p-16, -0x1.c23a13dce4d9fp-16, -0x1.bf3c64231eb26p-16, -0x1.bc31d9c2f454fp-16, -0x1.b91a49a753ae9p-16, -0x1.b5f63d85e1603p-16, -0x1.b2c67c67e9cap-16, -0x1.af8ad5444432p-16, -0x1.ac444da2bc43cp-16, -0x1.a8f29f28295cap-16, -0x1.a5965884165fdp-16, -0x1.a22feed4b9f4ep-16, -0x1.9ebf94fe1dec2p-16, -0x1.9b46344573cafp-16, -0x1.97c3b01198083p-16, -0x1.9437e383dd1a9p-16, -0x1.90a4331c3482fp-16, -0x1.8d08a61aa21a9p-16, -0x1.8964ffc998e26p-16, -0x1.85ba25e3bae0dp-16, -0x1.8208651895e0ep-16, -0x1.7e503f0f36e03p-16, -0x1.7a916ea2dfca7p-16, -0x1.76ccb8900259cp-16, -0x1.73025ac1b773p-16, -0x1.6f32af90199b6p-16, -0x1.6b5e031d8b923p-16, -0x1.6784a43513474p-16, -0x1.63a6e8a14834fp-16, -0x1.5fc5139d21574p-16, -0x1.5bdf63246896fp-16, -0x1.57f5f9add5b1dp-16, -0x1.540a2ed672d58p-16, -0x1.501ae48331732p-16, -0x1.4c28a931e42d4p-16, -0x1.4834cb79ac266p-16, -0x1.443e9bfe0a015p-16, -0x1.404673cd7655ap-16, -0x1.3c4d02f9114d2p-16, -0x1.38522937b9a7bp-16, -0x1.3456613044645p-16, -0x1.3059caf567dep-16, -0x1.2c5cec890e12p-16, -0x1.285ebae011e85p-16, -0x1.24621b17f0906p-16, -0x1.2064a9a306236p-16, -0x1.1c681559509e5p-16, -0x1.186c05efb46d5p-16, -0x1.1470bf58c6995p-16, -0x1.10769e29acd3ap-16, -0x1.0c7dcf81f8fa1p-16, -0x1.08867bdb62553p-16, -0x1.0490c04267cb6p-16, -0x1.009d6e4fa55bp-16, -0x1.f957bd4e98babp-17, -0x1.f1787f40c0823p-17, -0x1.e99f1ff545596p-17, -0x1.e1cae9ace5a16p-17, -0x1.d9fc48662171dp-17, -0x1.d233a366dba9cp-17, -0x1.ca7157362661p-17, -0x1.c2b5ba8b24d4dp-17, -0x1.bb01051137634p-17, -0x1.b353913c16236p-17, -0x1.abad50efd8459p-17, -0x1.a410302318fd9p-17, -0x1.9c7a84568e9f4p-17, -0x1.94ec4b6ecb1c8p-17, -0x1.8d68150190b9bp-17, -0x1.85ecc979c8209p-17, -0x1.7e799db415c35p-17, -0x1.7710ebc760edp-17, -0x1.6fb19e2f8659ap-17, -0x1.685cafc2f99abp-17, -0x1.61105d1ec9c26p-17, -0x1.59d05e6fbe04ep-17, -0x1.5299eea127d92p-17, -0x1.4b6e1b21e6f6fp-17, -0x1.444dc25ab21b1p-17, -0x1.3d386727aaaap-17, -0x1.362e169f8c819p-17, -0x1.2f2f9e282c34cp-17, -0x1.283cbb9c9c1e5p-17, -0x1.2155ab532174bp-17, -0x1.1a7a99ea9fa87p-17, -0x1.13abad5b74c36p-17, -0x1.0ce90a60ed19cp-17, -0x1.0632c91c8425fp-17, -0x1.ff11e5b860371p-18, -0x1.f1d8c6713c62ep-18, -0x1.e4b7c0919223p-18, -0x1.d7b0b466f557ep-18, -0x1.cac43e7425cdep-18, -0x1.bdf27c135eff6p-18, -0x1.b13a41d34955ep-18, -0x1.a49ce0b138aadp-18, -0x1.981a3b75398dcp-18, -0x1.8bb272dc666a7p-18, -0x1.7f6535db73ee4p-18, -0x1.7335609ef597ep-18, -0x1.671faf24feb92p-18, -0x1.5b241c6c284b3p-18, -0x1.4f446e86f32fp-18, -0x1.4381ca3fdf93dp-18, -0x1.37da9514aa5a9p-18, -0x1.2c4f72937f7cdp-18, -0x1.20def41504c3cp-18, -0x1.158d110c58b5fp-18, -0x1.0a55641f1f128p-18, -0x1.fe72728b3b4e6p-19, -0x1.e87522b0acadep-19, -0x1.d2aeabd1dd6f7p-19, -0x1.bd2205af5d232p-19, -0x1.a7cd6ad0287dp-19, -0x1.92b29c01a1262p-19, -0x1.7dcf1d270daa3p-19, -0x1.6923e445f6ee4p-19, -0x1.54b37c142dd16p-19, -0x1.407a3f970a08cp-19, -0x1.2c78620b721e9p-19, -0x1.18b12f2916beap-19, -0x1.0522d7b40a7b8p-19, -0x1.e3927c47a9ff1p-20, -0x1.bd56a3083e766p-20, -0x1.978a818c4ea3ap-20, -0x1.722df725d17e4p-20, -0x1.4d44a0a10c0dap-20, -0x1.28c7e972bf8e8p-20, -0x1.04b6d2d4c849ep-20, -0x1.c2363f7801ebcp-21, -0x1.7bda4ae33a243p-21, -0x1.365a6d45287dap-21, -0x1.e3676269fb9dap-22, -0x1.5be6c7b3d0f8bp-22, -0x1.ac2e534a7fa9ap-23, -0x1.478687c498ff6p-24, 0x1.83f4e705026b3p-25, 0x1.629280c79d8c1p-23, 0x1.3057181ccdebfp-22, 0x1.ad9b8bd253126p-22, 0x1.14abc61c76d72p-21, 0x1.51bab7aba0b1ap-21, 0x1.8ddf60415e858p-21, 0x1.c93c10e73208cp-21, 0x1.01e3da49c7aap-20, 0x1.1ec0737ad5caep-20, 0x1.3b34c0b560fep-20, 0x1.574146c5f9bcap-20, 0x1.72e7fe53ac11bp-20, 0x1.8e2750a07f853p-20, 0x1.a900949a0ff0bp-20, 0x1.c37548caf8c9ep-20, 0x1.dd85571b7094ep-20, 0x1.f7313beb5353p-20, 0x1.083cf4ed376e8p-19, 0x1.14b0590381051p-19, 0x1.20f1c1376e43ap-19, 0x1.2d02d2282c1dp-19, 0x1.38e2cbf3baa9bp-19, 0x1.44959f16a7713p-19, 0x1.50154494be22fp-19, 0x1.5b72714c4a517p-19, 0x1.6688d249f5693p-19, 0x1.717b0c3baa68dp-19, 0x1.7c418975b2bbap-19, 0x1.86d9715348f06p-19, 0x1.9142d6f0821e1p-19, 0x1.9b7e3780659c1p-19, 0x1.a58ba30adb23p-19, 0x1.af7067be4a9e1p-19, 0x1.b926c97e13f41p-19, 0x1.c2ada28d82d75p-19, 0x1.cc0bf28ef4c6ap-19, 0x1.d5429eb74ae11p-19, 0x1.de497b7899867p-19, 0x1.e72615e8d995fp-19, 0x1.efd97b729fe6bp-19, 0x1.f863b4e4e72fbp-19, 0x1.006203830cfe6p-18, 0x1.047d980836486p-18, 0x1.0884cc5f3a7b7p-18, 0x1.0c77b8616a831p-18, 0x1.1056472df3863p-18, 0x1.1422a248ff947p-18, 0x1.17d9d9b1eaa83p-18, 0x1.1b7df44ea989ep-18, 0x1.1f0e5d67333afp-18, 0x1.228bcb9bee345p-18, 0x1.25f770ec40593p-18, 0x1.294f9b6b4824bp-18, 0x1.2c95565afe596p-18, 0x1.2fc8a0c9da0e5p-18, 0x1.32e9c338339d8p-18, 0x1.35f8e661603bbp-18, 0x1.38f66b276c417p-18, 0x1.3be20de33c9aap-18, 0x1.3ebc4ac9036bcp-18, 0x1.41857c28ef618p-18, 0x1.443de0642f69bp-18, 0x1.46e3f80b1ecbp-18, 0x1.497a9d9dc14b2p-18, 0x1.4c00a30586326p-18, 0x1.4e7665ce16cep-18, 0x1.50dbdabc79284p-18, 0x1.5330f1b7dadf5p-18, 0x1.55762bccd04f3p-18, 0x1.57ac105c6a0b6p-18, 0x1.59d26b04ecdap-18, 0x1.5be92a3f3323p-18, 0x1.5df15d3830c5dp-18, 0x1.5fea468e767e3p-18, 0x1.61d4a7d1d5e07p-18, 0x1.63b02a375e49fp-18, 0x1.657ce69f3978dp-18, 0x1.673c91a2a7793p-18, 0x1.68ed3ac39c9ebp-18, 0x1.6a8fd24084a94p-18, 0x1.6c24b1ac9a95fp-18, 0x1.6dac7c9cea974p-18, 0x1.6f26a13e8ec95p-18, 0x1.709373e57d29ep-18, 0x1.71f301bbc4a1ap-18, 0x1.7345a3cb702bfp-18, 0x1.748c5ef41216ep-18, 0x1.75c606d4b62f4p-18, 0x1.76f22e63791c1p-18, 0x1.7813241c2d6ddp-18, 0x1.79275e31c225p-18, 0x1.7a307fd29b359p-18, 0x1.7b2d1f5c5e54fp-18, 0x1.7c1deb732f9a2p-18, 0x1.7d03a37f9b39bp-18, 0x1.7dde6be478913p-18, 0x1.7eae3c648691fp-18, 0x1.7f71132400d3bp-18, 0x1.8029c0a1df462p-18, 0x1.80d9b147a575ep-18, 0x1.817cb291148bcp-18, 0x1.8215d43703a2dp-18, 0x1.82b991fb9d666p-18, 0x1.8329c8c875cf2p-18, 0x1.83a4b6f4063ffp-18, 0x1.8415a29ef311ap-18, 0x1.847ce1c870764p-18, 0x1.84da891049172p-18, 0x1.852ebc60d476ap-18, 0x1.85799f0cd1999p-18, 0x1.85bb53748760ap-18, 0x1.85f3f6e059661p-18, 0x1.862395e8a6237p-18, 0x1.864aadca611cbp-18, 0x1.866924a24be2ap-18, 0x1.867f253f46aa8p-18, 0x1.868c245e3a0fcp-18, 0x1.86914a2cba3bdp-18, 0x1.868e9d90b82b4p-18, 0x1.8683b5e13649dp-18, 0x1.8670ed59f4bffp-18, 0x1.8656616a9b7a9p-18, 0x1.863414e357e1fp-18, 0x1.860a482f36434p-18, 0x1.85d9d65abc0d5p-18, 0x1.85a1b4c8689b8p-18, 0x1.8561f33623ff2p-18, 0x1.851ae2da0e1d1p-18, 0x1.84ce124500ffcp-18, 0x1.847a07da73043p-18, 0x1.841f319bc5731p-18, 0x1.83be9a9146c36p-18, 0x1.83556b2ae79b4p-18, 0x1.82e751bf79a27p-18, 0x1.82732e4ccb86ep-18, 0x1.81f8fce237cb8p-18, 0x1.8178c6c9d1f52p-18, 0x1.80f1ce0241194p-18, 0x1.8065cc95a2cfbp-18, 0x1.7fd3e9de2edf2p-18, 0x1.7f3c70d3e8f5dp-18, 0x1.7e9f706bb9f86p-18, 0x1.7dfd14803a1aap-18, 0x1.7d5570040c1dap-18, 0x1.7ca89c26f6847p-18, 0x1.7bf6b1f487bd1p-18, 0x1.7b3fca4099255p-18, 0x1.7a83fda1551dfp-18, 0x1.79c3646e35a68p-18, 0x1.78fe0ba5ac2fbp-18, 0x1.78342c4882eb3p-18, 0x1.7765bc3b328b3p-18, 0x1.7692dd451b19fp-18, 0x1.75bba776b67e7p-18, 0x1.74e04044daf79p-18, 0x1.7400f5fdd426cp-18, 0x1.731c6e2049311p-18, 0x1.72350ff0cf86bp-18, 0x1.7149abcecebdbp-18, 0x1.705a4872d7d98p-18, 0x1.6f675e7830f9fp-18, 0x1.6e6fe17c0b9bp-18, 0x1.6d75d8ae83f2ep-18, 0x1.6c781979951e9p-18, 0x1.6b76bfe68ff61p-18, 0x1.6a7230cb9364ap-18, 0x1.6969eac84341cp-18, 0x1.685f48153de1p-18, 0x1.6750f5a364e5p-18, 0x1.663feb0538998p-18, 0x1.652b657ce966p-18, 0x1.641435fe7d562p-18, 0x1.62fa86f45a5dap-18, 0x1.61ddb8f32abbfp-18, 0x1.60be74c7c253ep-18, 0x1.5f9c704663adfp-18, 0x1.5e782739ae6f5p-18, 0x1.5d517b517af8ep-18, 0x1.5c2754a75ff08p-18, 0x1.5afc15fc8dea9p-18, 0x1.59cedcab4be27p-18, 0x1.589dd08d0ff39p-18, 0x1.576b11bd7d782p-18, 0x1.5637503c539f1p-18, 0x1.5500631742dcep-18, 0x1.53c8526cc6634p-18, 0x1.528df2c0f9e3dp-18, 0x1.5151a72d6fb2p-18, 0x1.5013aa4b3e701p-18, 0x1.4ed4042b492b2p-18, 0x1.4d92ce37c2f64p-18, 0x1.4c4f4d042d29dp-18, 0x1.4b0b3369b9638p-18, 0x1.49c4f059f90fp-18, 0x1.487d54f98b65p-18, 0x1.473446050661ep-18, 0x1.45ea2c7ff564ep-18, 0x1.449e70822de1fp-18, 0x1.43515cfc5e928p-18, 0x1.4203b205da3fp-18, 0x1.40b45afbe760bp-18, 0x1.3f63f248d180ep-18, 0x1.3e12931f5b222p-18, 0x1.3cc05329592c1p-18, 0x1.3b6ccea5471f3p-18, 0x1.3a1874d19c4c9p-18, 0x1.38c3500c315a7p-18, 0x1.376d4a44f8f18p-18, 0x1.3616867d5e0e1p-18, 0x1.34bf4d68f5d3dp-18, 0x1.3366b8466081bp-18, 0x1.320dcbe42651dp-18, 0x1.30b48bf42ffb2p-18, 0x1.2f5a5a38d5ea4p-18, 0x1.2dffb9fd51ce8p-18, 0x1.2ca48c0164594p-18, 0x1.2b48e3c90fbc4p-18, 0x1.29ed06d628ca5p-18, 0x1.2890c2e3d8775p-18, 0x1.273393ea79b95p-18, 0x1.25d6f4a0e7adfp-18, 0x1.24796cd98f9f5p-18, 0x1.231c05f9664ecp-18, 0x1.21be12eb46267p-18, 0x1.205fc3d8b4634p-18, 0x1.1f01f45b5e2fp-18, 0x1.1da3bd2ccd832p-18, 0x1.1c4584448f85ep-18, 0x1.1ae70ecbd55eap-18, 0x1.1988ae9f4763ap-18, 0x1.182a349b96e46p-18, 0x1.16cc0a8404d02p-18, 0x1.156dd08c90bcep-18, 0x1.140f66be3cafdp-18, 0x1.12b1fd35fd8f8p-18, 0x1.1153fbe994a15p-18, 0x1.0ff608c90b9e1p-18, 0x1.0e98a38a4bf7dp-18, 0x1.0d3b9dfc79a8p-18, 0x1.0bdea1a711ae6p-18, 0x1.0a81fe337ccf9p-18, 0x1.0925a7332c016p-18, 0x1.07c9b064f209dp-18, 0x1.066e469928059p-18, 0x1.0512fdf45f5ffp-18, 0x1.03b7eb8bd6f3ap-18, 0x1.025db69581149p-18, 0x1.0103db905fec2p-18, 0x1.ff54b79584908p-19, 0x1.fca2de6ab80c8p-19, 0x1.f9f210e85538ep-19, 0x1.f74259e56b53ep-19, 0x1.f493bc45dbcddp-19, 0x1.f1e609f5c3a88p-19, 0x1.ef3a8affebb12p-19, 0x1.ec8f96638d9fp-19, 0x1.e9e51ecab01c7p-19, 0x1.e73d845de47c5p-19, 0x1.e495ef801b328p-19, 0x1.e1f0c9672dcd1p-19, 0x1.df4c63e459103p-19, 0x1.dca9a0e659129p-19, 0x1.da080d8f667f4p-19, 0x1.d78cef93188f6p-19, 0x1.d4cad74f479d3p-19, 0x1.d22dde92b4fap-19, 0x1.cf92d31bf6f72p-19, 0x1.ccf9a5a36dd7dp-19, 0x1.ca629130e1093p-19, 0x1.c7cc33f25a06fp-19, 0x1.c537f97621969p-19, 0x1.c2a5a2d9ecd65p-19, 0x1.c0154efa00833p-19, 0x1.bd86236cf4d87p-19, 0x1.baf98122435adp-19, 0x1.b86e48b0a62b6p-19, 0x1.b5e50e5a82d22p-19, 0x1.b35defa917d8ap-19, 0x1.b0d8302a814cp-19, 0x1.ae5461ff4034ep-19, 0x1.abd3f332066a3p-19, 0x1.a95448c05e49bp-19, 0x1.a6d63d7609abbp-19, 0x1.a45b721229b11p-19, 0x1.a1e2008c35a42p-19, 0x1.9f6abff69aa25p-19, 0x1.9cf5808063a21p-19, 0x1.9a82ec5229696p-19, 0x1.9811582d17f81p-19, 0x1.95a2b87ba706dp-19, 0x1.93362cc9516bcp-19, 0x1.90cbd50d3ae3cp-19, 0x1.8e638178ca86fp-19, 0x1.8bfde4d85329bp-19, 0x1.8999c66b7a00bp-19, 0x1.87385937d899dp-19, 0x1.84d9490dd9669p-19, 0x1.827c2885c3a5ap-19, 0x1.802119e3a602fp-19, 0x1.7dc8aaee7daf9p-19, 0x1.7b726332f81cdp-19, 0x1.791ef930b07a5p-19, 0x1.76cd1f8bfd59p-19, 0x1.747e2bf84febep-19, 0x1.72317324a0671p-19, 0x1.6fe6b02c9c889p-19, 0x1.6d9eb8fe11c7p-19, 0x1.6b590cc0d3752p-19, 0x1.6915a68ea33d9p-19, 0x1.66d4aaa3b1d4dp-19, 0x1.64963e924a287p-19, 0x1.6259b737ee23bp-19, 0x1.6020694d48d88p-19, 0x1.5de90fa3f06aep-19, 0x1.5bb3c88da3752p-19, 0x1.598188dd034b6p-19, 0x1.575193204b97ap-19, 0x1.552402fea05ebp-19, 0x1.52f8f76c54b23p-19, 0x1.50d0219867fcap-19, 0x1.4ea9d0f66457p-19, 0x1.4c86605970407p-19, 0x1.4a64fe8acbb46p-19, 0x1.48460d4e348d8p-19, 0x1.462a02b6006cep-19, 0x1.44105b3cda5b1p-19, 0x1.41f86b4669aa6p-19, 0x1.3fe3e08d5feb2p-19, 0x1.3dd17ab33dfafp-19, 0x1.3bc184e433431p-19, 0x1.39b43b4c1592dp-19, 0x1.37a94b7aafb2ep-19, 0x1.35a0e084fff7fp-19, 0x1.339af312a9686p-19, 0x1.31976082a18d3p-19, 0x1.2f96ca65619e3p-19, 0x1.2d98b09e297cep-19, 0x1.2b9c4d242434fp-19, 0x1.29a29dbaa9337p-19, 0x1.27abe002c046p-19, 0x1.25b773730544bp-19, 0x1.23c57ddcd4a06p-19, 0x1.21d60aaa911ccp-19, 0x1.1fe91c7edae89p-19, 0x1.1dfe95a28ea1ap-19, 0x1.1c168dd051ce4p-19, 0x1.1a312b1b29e43p-19, 0x1.184e19750968cp-19, 0x1.166d989054dcap-19, 0x1.148f30cfcf8b9p-19, 0x1.12b43f484d82bp-19, 0x1.10dafb4843226p-19, 0x1.0f042a16a822bp-19, 0x1.0d302ae0415edp-19, 0x1.0b5e8650ad85cp-19, 0x1.098f4388151b1p-19, 0x1.07c289a76e8afp-19, 0x1.05f8409f9001dp-19, 0x1.04306f472cb5ep-19, 0x1.026b083d7e095p-19, 0x1.00a803abc6e12p-19, 0x1.fdcf1d5bcc899p-20, 0x1.fa52e74936cd1p-20, 0x1.f6dbac6208de2p-20, 0x1.f368cf0d83f9cp-20, 0x1.effc0a04f3c53p-20, 0x1.ec93878a0089cp-20, 0x1.e92f34f5b6f2ap-20, 0x1.e5cf22ec6b24ap-20, 0x1.e27562fb5efe8p-20, 0x1.df200967013c3p-20, 0x1.dbcf5378a88eep-20, 0x1.d8834147b5c74p-20, 0x1.d53beebb3290dp-20, 0x1.d1f98733cdd37p-20, 0x1.cebbf419b6d2cp-20, 0x1.cb822cb1eb28fp-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.f6bdc293b0cc3p-3, 0x1.700f77c5f5f54p-2, 0x1.dbc6b9c835e3ep-2, 0x1.1e9f912c15227p-1, 0x1.49e010aeef6bap-1, 0x1.6f7dd2f856ap-1, 0x1.8f79c75111a45p-1, 0x1.a9f28bcf76ddbp-1, 0x1.bf1c6b58185e3p-1, 0x1.cf3b1d0622ff6p-1, 0x1.da9ce0e3ba1bap-1, 0x1.e196ad93d1195p-1, 0x1.e481347e4882cp-1, 0x1.e3b68fadcd858p-1, 0x1.df90769741d95p-1, 0x1.d866decfeddecp-1, 0x1.ce8ef35a5fc0bp-1, 0x1.c25a51a4ae847p-1, 0x1.b4167ec32aab7p-1, 0x1.a40c8a0329194p-1, 0x1.9280d3d25bd4p-1, 0x1.7fb2f2533e568p-1, 0x1.6bddad100ab8bp-1, 0x1.57370b0ddca41p-1, 0x1.41f0702d68054p-1, 0x1.2c36c39b6a26cp-1, 0x1.1632a1e0d0783p-1, 0x1.000890f24e1bp-1, 0x1.d3b2757fe513cp-2, 0x1.a78353e17ab5p-2, 0x1.7bb70c7d830e5p-2, 0x1.507aa4275280fp-2, 0x1.25f54e0861244p-2, 0x1.f891c12c9a18p-3, 0x1.a7248f238a9edp-3, 0x1.57d3e1916eb71p-3, 0x1.0ac8666f9d5ffp-3, 0x1.8046c36ebcfccp-4, 0x1.dffd9151300a7p-5, 0x1.9387b57269f44p-6, -0x1.078c92d1264d9p-7, -0x1.42ce55e535c4ap-5, -0x1.1c72f4fddc4b8p-4, -0x1.9210b6d30f1cep-4, -0x1.0121815d8f0f3p-3, -0x1.36893386f37cp-3, -0x1.694658ff18ed3p-3, -0x1.996220eea1cacp-3, -0x1.c6e7b366287c8p-3, -0x1.f1e3e87b8bb2fp-3, -0x1.0d3282f86c083p-2, -0x1.203d4164d194bp-2, -0x1.321a686eacc92p-2, -0x1.42d295b8f40dap-2, -0x1.526eb587db55bp-2, -0x1.60f7ef157501fp-2, -0x1.6e7792e3c3597p-2, -0x1.7af70b1f0bc97p-2, -0x1.867fcdc7523a4p-2, -0x1.911b50762744cp-2, -0x1.9ad2fd9923e88p-2, -0x1.a3b02b06455e8p-2, -0x1.abbc11d3e8ae9p-2, -0x1.b2ffc747cb624p-2, -0x1.b98436bfee3dcp-2, -0x1.bf521c98395abp-2, -0x1.c47201dc2e0eap-2, -0x1.c8ec38bacb74fp-2, -0x1.ccc8d9a7ef53ap-2, -0x1.d00fc120df3ecp-2, -0x1.d2c88df19c928p-2, -0x1.d4fa9fffd78cdp-2, -0x1.d6ad178bfa93ap-2, -0x1.d7e6d4c7b9a2bp-2, -0x1.d8ae77ddbe05cp-2, -0x1.d90a61059e323p-2, -0x1.d900b16239b17p-2, -0x1.d8974b893b291p-2, -0x1.d7d3d472a2514p-2, -0x1.d6bbb4bdc2ae5p-2, -0x1.d55419e59b44p-2, -0x1.d3a1f7a0e045ep-2, -0x1.d1aa095a6b53fp-2, -0x1.cf70d3ca4653dp-2, -0x1.ccfaa679d6a9ap-2, -0x1.ca4b9d9086e09p-2, -0x1.c767a34011ecep-2, -0x1.c45271d7b7a5fp-2, -0x1.c10f951efd2fbp-2, -0x1.bda26c44f2f17p-2, -0x1.ba0e2b74ea3edp-2, -0x1.b655dd9557c51p-2, -0x1.b27c65ec1ffdcp-2, -0x1.ae8481c077111p-2, -0x1.aa70c9f2c1efdp-2, -0x1.a643b48d3a16fp-2, -0x1.a1ff964a2f95dp-2, -0x1.9da6a409fc746p-2, -0x1.993af44929cbbp-2, -0x1.94be807dfbbf7p-2, -0x1.9033266fc24b5p-2, -0x1.8b9aa9896a00fp-2, -0x1.86f6b411f575cp-2, -0x1.8248d8618947ep-2, -0x1.7d92920efefc8p-2, -0x1.78d546fde5238p-2, -0x1.741248a5c9348p-2, -0x1.6f4ad4ac469a1p-2, -0x1.6a80164a965afp-2, -0x1.65b3270cc8e11p-2, -0x1.60e50fbf08c16p-2, -0x1.5c16c942fa78cp-2, -0x1.57493d6c81144p-2, -0x1.527d47bfbe62fp-2, -0x1.4db3b6368afcep-2, -0x1.48ed49ea8290bp-2, -0x1.442ab7d1ec5e8p-2, -0x1.3f6ca9574582p-2, -0x1.3ab3bcf7f3053p-2, -0x1.360086ddb84f1p-2, -0x1.31539164f578ep-2, -0x1.2cad5da60e71ap-2, -0x1.280e63f627c07p-2, -0x1.2377145be5013p-2, -0x1.1ee7d7049a2a8p-2, -0x1.1a610caf139cdp-2, -0x1.15e30f136daf9p-2, -0x1.116e31421ced3p-2, -0x1.0d02c004d1bcfp-2, -0x1.08a1023053516p-2, -0x1.044938f5b3067p-2, -0x1.fff7406ef58cbp-3, -0x1.f770dd997c434p-3, -0x1.eeffad954769fp-3, -0x1.e6a40b7d4351ep-3, -0x1.de5e49f08088fp-3, -0x1.d62eb3775b8cap-3, -0x1.ce158aedbeb4bp-3, -0x1.c6130bfc72911p-3, -0x1.be276b71f6d9ap-3, -0x1.b652d79f1a245p-3, -0x1.ae9578b0a8941p-3, -0x1.a6ef710717f4ep-3, -0x1.9f60dd7a169cep-3, -0x1.97e9d5b4d316dp-3, -0x1.908a6c6d4dd83p-3, -0x1.8942afaec5972p-3, -0x1.8212a9143bebp-3, -0x1.7afa5e090a6f5p-3, -0x1.73f9d007ce2b5p-3, -0x1.6d10fcb94357ap-3, -0x1.663fde47017b1p-3, -0x1.5f866b70756e1p-3, -0x1.58e497cf98a99p-3, -0x1.525a53f0898dbp-3, -0x1.4be78d8ee690bp-3, -0x1.458c2fab05d56p-3, -0x1.3f4822c21839bp-3, -0x1.391b4cde424edp-3, -0x1.330591ca94709p-3, -0x1.2d06d3299c0b3p-3, -0x1.271ef09e1775ep-3, -0x1.214dc7da384aap-3, -0x1.1b9334cb2f91ap-3, -0x1.15ef11a0c30d3p-3, -0x1.10613702ac32dp-3, -0x1.0ae97c1673e6ap-3, -0x1.0587b69894d33p-3, -0x1.003bbaf09d0bp-3, -0x1.f60ab8a5ad5fp-4, -0x1.ebc8d9a1eea63p-4, -0x1.e1b17aca9ff66p-4, -0x1.d7c43c0e30325p-4, -0x1.ce00bb8fd12d3p-4, -0x1.c46695bcc37c2p-4, -0x1.baf5656835da2p-4, -0x1.b1acc3e45344bp-4, -0x1.a88c494070647p-4, -0x1.9f938c48e85e4p-4, -0x1.96c222ae6f3fdp-4, -0x1.8e17a11257156p-4, -0x1.85939b4232f0bp-4, -0x1.7d35a432f1a46p-4, -0x1.74fd4e152f6c7p-4, -0x1.6cea2a7fc6e1fp-4, -0x1.64fbca9093e1p-4, -0x1.5d31becbd9462p-4, -0x1.558b976b262abp-4, -0x1.4e08e457742e2p-4, -0x1.46a9352b1139dp-4, -0x1.3f6c1962a2c7bp-4, -0x1.38512064b39ddp-4, -0x1.3157d979eb50dp-4, -0x1.2a7fd40e6381dp-4, -0x1.23c89f77f5d28p-4, -0x1.1d31cb55fe6e4p-4, -0x1.16bae76a88ce2p-4, -0x1.106383a982964p-4, -0x1.0a2b305214d07p-4, -0x1.04117e150b24p-4, -0x1.fc2bfbb598939p-5, -0x1.f0708214dcb37p-5, -0x1.e4efb3365fe9ep-5, -0x1.d9a8b3928c0bdp-5, -0x1.ce9aa905beef7p-5, -0x1.c3c4ba978584dp-5, -0x1.b9261076cb1dap-5, -0x1.aebdd3f4e6705p-5, -0x1.a48b2fda80bd4p-5, -0x1.9a8d506014639p-5, -0x1.90c3631186077p-5, -0x1.872c9717e8601p-5, -0x1.7dc81d1cb333cp-5, -0x1.749527445f0fap-5, -0x1.6b92e99da3dc9p-5, -0x1.62c0999d26c45p-5, -0x1.5a1d6e7f8e76dp-5, -0x1.51a8a1769b286p-5, -0x1.49616d3f7a024p-5, -0x1.41470e89abacdp-5, -0x1.3958c3d3e4978p-5, -0x1.3195cd80bbde9p-5, -0x1.29fd6dd4c9f85p-5, -0x1.228ee927586b7p-5, -0x1.1b49858029a64p-5, -0x1.142c8af0356ebp-5, -0x1.0d3743d340a03p-5, -0x1.0668fc2ca8c8cp-5, -0x1.ff820455ed05ep-6, -0x1.f27d4beaf7259p-6, -0x1.e5c27397ed621p-6, -0x1.d95023e633d61p-6, -0x1.cd250993ea214p-6, -0x1.c13fd59927ee5p-6, -0x1.b59f3ccdf2428p-6, -0x1.aa41f87633419p-6, -0x1.9f26c5ea5fb1dp-6, -0x1.944c66857520cp-6, -0x1.89b1a02d6cefp-6, -0x1.7f553cc2e7cb7p-6, -0x1.75360a5b4622fp-6, -0x1.6b52db35dd728p-6, -0x1.61aa859fa900dp-6, -0x1.583be41568bd6p-6, -0x1.4f05d538042cp-6, -0x1.46073c12bb0dcp-6, -0x1.3d3effb95afe6p-6, -0x1.34ac0b8b59df3p-6, -0x1.2c4d4ea6ea99dp-6, -0x1.2421bc21c69a6p-6, -0x1.1c284ab5196bcp-6, -0x1.145ff56c67a4bp-6, -0x1.0cc7bbea26051p-6, -0x1.055ea1eec7eaap-6, -0x1.fc475f122e21fp-7, -0x1.ee2be0e0c778dp-7, -0x1.e068e73d85d74p-7, -0x1.d2fc96a61a709p-7, -0x1.c5e51a220de64p-7, -0x1.b920a5769a478p-7, -0x1.acad768829459p-7, -0x1.a089d4138f3f6p-7, -0x1.94b40dcf3cfbfp-7, -0x1.892a79bdbddeap-7, -0x1.7deb72ac054cp-7, -0x1.72f5572ea27d1p-7, -0x1.68468b32753d6p-7, -0x1.5ddd7a9bd6772p-7, -0x1.53b89ba176561p-7, -0x1.49d66fb95695p-7, -0x1.403582954ed18p-7, -0x1.36d466fcf48bap-7, -0x1.2db1b28aecb27p-7, -0x1.24cbfc2bc3ccep-7, -0x1.1c21dcc53257ap-7, -0x1.13b1f182b6a0bp-7, -0x1.0b7ae0f1018c6p-7, -0x1.037b5e0e89b27p-7, -0x1.f76451b5cd467p-8, -0x1.e83c1765058c1p-8, -0x1.d97babe46eb22p-8, -0x1.cb20aef9424a6p-8, -0x1.bd28bc4ce5ee7p-8, -0x1.af916e344e1fp-8, -0x1.a25866f627861p-8, -0x1.957b5be362decp-8, -0x1.88f81ccd1f099p-8, -0x1.7ccc956d8cbc5p-8, -0x1.70f6c5b75e45dp-8, -0x1.6574b79d527ffp-8, -0x1.5a4473984c4bdp-8, -0x1.4f63fad9e931cp-8, -0x1.44d14b4560fa6p-8, -0x1.3a8a67b2b76bdp-8, -0x1.308d633633db8p-8, -0x1.26d868cdb4308p-8, -0x1.1d69bcc497bf6p-8, -0x1.143fb6ae0af5p-8, -0x1.0b58b7146f10bp-8, -0x1.02b31dc81a107p-8, -0x1.f49a8b4f1d00ep-9, -0x1.e44b0c81a4bfbp-9, -0x1.d4747a16904cp-9, -0x1.c513accab93f3p-9, -0x1.b625a58bd4e45p-9, -0x1.a7a78c35677e1p-9, -0x1.9996a543bc434p-9, -0x1.8bf0421d119d4p-9, -0x1.7eb1aef1edff6p-9, -0x1.71d82c328fd29p-9, -0x1.6560f42033478p-9, -0x1.59494e02ccd47p-9, -0x1.4d8ea3b76989ep-9, -0x1.422e8d2f36b2ap-9, -0x1.3726c9d31338p-9, -0x1.2c7530c2f10fp-9, -0x1.22179ff16df1dp-9, -0x1.180bf05d9c7f1p-9, -0x1.0e4fed6215981p-9, -0x1.04e150dc257edp-9, -0x1.f77b9932c3e1dp-10, -0x1.e5c645c81e92fp-10, -0x1.d49e84fcb26a8p-10, -0x1.c4009af335f2ep-10, -0x1.b3e9157e1322dp-10, -0x1.a4548fb1238a3p-10, -0x1.953f99743ac4ap-10, -0x1.86a6c6381fd88p-10, -0x1.7886ba3e9fcb9p-10, -0x1.6adc193a5456ap-10, -0x1.5da3702e93915p-10, -0x1.50d946b2f23ecp-10, -0x1.447a59acd4859p-10, -0x1.3883c22438393p-10, -0x1.2cf2ce5041eafp-10, -0x1.21c4a49b6d4afp-10, -0x1.16f6120ded59ap-10, -0x1.0c83c615355d8p-10, -0x1.026ac74da0562p-10, -0x1.f1515202adc2fp-11, -0x1.de76a04082bbcp-11, -0x1.cc4130e3c0063p-11, -0x1.baac96b5faaa7p-11, -0x1.a9b4cecc94f63p-11, -0x1.99568d2e557c4p-11, -0x1.898e8eb2394a8p-11, -0x1.7a5846a69ebfbp-11, -0x1.6bad247a2db88p-11, -0x1.5d8580eddb07p-11, -0x1.4fdaafe7949acp-11, -0x1.42a85c770ec35p-11, -0x1.35ec28e265603p-11, -0x1.29a42c7b58e16p-11, -0x1.1dce09ad9d1e1p-11, -0x1.12676c467151cp-11, -0x1.076ed6b5c3441p-11, -0x1.f9c729403c8efp-12, -0x1.e588a104af6d3p-12, -0x1.d21a80151b522p-12, -0x1.bf6f2e895865ap-12, -0x1.ad764487e9c04p-12, -0x1.9c22073a140d4p-12, -0x1.8b6aed0b2c2b5p-12, -0x1.7b4ea669a184cp-12, -0x1.6bcc66d5f20a1p-12, -0x1.5ce24f71b0602p-12, -0x1.4e8dc90db1e91p-12, -0x1.40cd63981534p-12, -0x1.33a1942f8983cp-12, -0x1.270acc5b3dc31p-12, -0x1.1b06431d71c4p-12, -0x1.0f8c1dc425b1dp-12, -0x1.049056e0f4d2p-12, -0x1.f40bbd31e8c63p-13, -0x1.dfc4744ddd916p-13, -0x1.cc3f89ad39c14p-13, -0x1.b97aeaf32ca9cp-13, -0x1.a778793d89955p-13, -0x1.96381f5a0a37dp-13, -0x1.85b6cf2f87cf3p-13, -0x1.75f261890b542p-13, -0x1.66ead60a6eebbp-13, -0x1.589f097c8b7e1p-13, -0x1.4b0aa92479311p-13, -0x1.3e26334a0f3a6p-13, -0x1.31e6dc68e6808p-13, -0x1.263ea66987e0cp-13, -0x1.1b1d3ab972a98p-13, -0x1.1073b201b60c5p-13, -0x1.063b5c280f61dp-13, -0x1.f8eccd762c70cp-14, -0x1.e64f0c5449a7p-14, -0x1.d49a8349355b1p-14, -0x1.c3cbbab28f5c5p-14, -0x1.b3dfc25f1fba8p-14, -0x1.a4ce87698534p-14, -0x1.968f1d4048b28p-14, -0x1.891bc7244e535p-14, -0x1.7c6fd070996aap-14, -0x1.708489c882c0cp-14, -0x1.654e67d8a3f05p-14, -0x1.5ab98889cfb7cp-14, -0x1.50afe4384e917p-14, -0x1.472a85514e442p-14, -0x1.3e2b7d9492c4bp-14, -0x1.35ad3730adb7dp-14, -0x1.2dacdb281df4bp-14, -0x1.262f6d2e721c5p-14, -0x1.1f30615f071b7p-14, -0x1.18a39c3905e69p-14, -0x1.1282e077f40c3p-14, -0x1.0ccc92af4eccdp-14, -0x1.077e3f65f37d2p-14, -0x1.0294ca6e62bb7p-14, -0x1.fc19687ab08d8p-15, -0x1.f3be356532fc5p-15, -0x1.ebfdf3ed81912p-15, -0x1.e4d030457b132p-15, -0x1.de41e1a9a9486p-15, -0x1.d83d9ac09162ep-15, -0x1.d2a8985a7630bp-15, -0x1.cd8f18248ad8cp-15, -0x1.c8f7428cb585ep-15, -0x1.c4cff38d64a8cp-15, -0x1.c10bb02126b87p-15, -0x1.bdac4f58064d6p-15, -0x1.bab08c66239ccp-15, -0x1.b80fa06c17458p-15, -0x1.b5c3abdfa75d2p-15, -0x1.b3c99ab4accd7p-15, -0x1.b21e2fe692b07p-15, -0x1.b0b5610827105p-15, -0x1.af8803a129b34p-15, -0x1.aea492e183eb9p-15, -0x1.ae013a3ac9a33p-15, -0x1.ad8f35d84a303p-15, -0x1.ad4ac8c8d818cp-15, -0x1.ad2f91d5b0f7bp-15, -0x1.ad3d0a1c7d7dap-15, -0x1.ad6bc62ade688p-15, -0x1.adbc794db4555p-15, -0x1.ae32988fd1155p-15, -0x1.aec6cc361294cp-15, -0x1.af7262ac32a03p-15, -0x1.b0337347cfff1p-15, -0x1.b1090c610099ap-15, -0x1.b1f3cb5bdf218p-15, -0x1.b2f0931650e5cp-15, -0x1.b3f80b1fce4e7p-15, -0x1.b50c78416879p-15, -0x1.b62ae08350d4cp-15, -0x1.b75ac419a33bp-15, -0x1.b892ce313c087p-15, -0x1.b9c723562c822p-15, -0x1.bafc7de7bbda7p-15, -0x1.bc31286ec29fbp-15, -0x1.bd64be87cba46p-15, -0x1.be9a7ac251483p-15, -0x1.bfcd990b95ac3p-15, -0x1.c0fa8899a1e7fp-15, -0x1.c220aea39cdbfp-15, -0x1.c33f9f32b936fp-15, -0x1.c4567f01538a8p-15, -0x1.c56742c1c3d3ap-15, -0x1.c6703e0583069p-15, -0x1.c76c88269a91ep-15, -0x1.c85b07b1ec122p-15, -0x1.c93fbee980abcp-15, -0x1.ca1b026279353p-15, -0x1.cae9b373500f5p-15, -0x1.cba8f3c5dbc19p-15, -0x1.cc589d6d0a12ep-15, -0x1.ccf85a0029813p-15, -0x1.cd8956c71374p-15, -0x1.ce0bbc8122408p-15, -0x1.ce7d9c7c21b5ep-15, -0x1.cede9289888f2p-15, -0x1.cf2e96a190091p-15, -0x1.cf6d841c6f467p-15, -0x1.cf9b17a33e7f4p-15, -0x1.cfb7315bf19ebp-15, -0x1.cfc2616532cf8p-15, -0x1.cfbb9f57449cep-15, -0x1.cfa24331eed0ap-15, -0x1.cf770b2e4618ap-15, -0x1.cf39f51533a96p-15, -0x1.ceeabe6f32cc7p-15, -0x1.ce8988f386c1p-15, -0x1.ce15fe757cbc4p-15, -0x1.cd90389ee31abp-15, -0x1.ccf890c05cabdp-15, -0x1.cc4ea89e6670dp-15, -0x1.cb92bcfcd59cap-15, -0x1.cac4f85446531p-15, -0x1.c9e599a9b9acfp-15, -0x1.c8f4b35d833ddp-15, -0x1.c7f25b2dc040ep-15, -0x1.c6deaf5a985cdp-15, -0x1.c5b9e0352dc2cp-15, -0x1.c483e54d83712p-15, -0x1.c33ca8ad09be9p-15, -0x1.c1e589f70fbdcp-15, -0x1.c07da34d4d4ffp-15, -0x1.bf058a56ec578p-15, -0x1.bd7dc54369a9dp-15, -0x1.bbe669a63804ap-15, -0x1.ba3eca4c0563fp-15, -0x1.b887bd9174ee3p-15, -0x1.b6c2c90feb37ap-15, -0x1.b4ee6c77c16d7p-15, -0x1.b30b63ab77a47p-15, -0x1.b11a7b9b45505p-15, -0x1.af1bb68e87f79p-15, -0x1.ad0f468f7801dp-15, -0x1.aaf57803f3fd7p-15, -0x1.a8cea1a12b6f8p-15, -0x1.a69b02eb94333p-15, -0x1.a45aac2532a7bp-15, -0x1.a20e655446d05p-15, -0x1.9fb5d2f881c9dp-15, -0x1.9d51be0ab280fp-15, -0x1.9ae223966a1ap-15, -0x1.98677c812308bp-15, -0x1.95e252d03cf69p-15, -0x1.9352d4d6866bap-15, -0x1.90b92797e465bp-15, -0x1.8e14c9acea85ap-15, -0x1.8b67a17bfaa8ap-15, -0x1.88b0ec92bbecbp-15, -0x1.85f0eae36e3dap-15, -0x1.8328a8b5bb771p-15, -0x1.8057e2f9772b6p-15, -0x1.7d7f04eb09c59p-15, -0x1.7a9e4f0712588p-15, -0x1.77b608bb1edf5p-15, -0x1.74c682a75c00fp-15, -0x1.71d004903c42ap-15, -0x1.6ed2ca6c42118p-15, -0x1.6bcf0a2c8723ap-15, -0x1.68c564df2173ap-15, -0x1.65b5bea059d5p-15, -0x1.62a04c3ba9abcp-15, -0x1.5f85891c91afap-15, -0x1.5c65dd8d5efe6p-15, -0x1.5941600dbb6d9p-15, -0x1.561867a50ee47p-15, -0x1.52eaf3ba93685p-15, -0x1.4fb988b5ef0e2p-15, -0x1.4c841648ec4a2p-15, -0x1.494b4d041cca7p-15, -0x1.460f2239ca5c2p-15, -0x1.42cff27479133p-15, -0x1.3f8e0419abd98p-15, -0x1.3c495408076f3p-15, -0x1.3902422ac4141p-15, -0x1.35b929624243fp-15, -0x1.326e04c12c632p-15, -0x1.2f2134c5ad14ap-15, -0x1.2bd2d564c88a2p-15, -0x1.2883573b09d7p-15, -0x1.25328cfe8272bp-15, -0x1.21e1155a8b378p-15, -0x1.1e8edb096710cp-15, -0x1.1b3c0a4d004e6p-15, -0x1.17e90a73746a1p-15, -0x1.1495f8b887a44p-15, -0x1.1142fc6258bbap-15, -0x1.0df049c94fef4p-15, -0x1.0a9def8c9a1dep-15, -0x1.074c3c8466fd3p-15, -0x1.03fb60aeb6e4cp-15, -0x1.00ab7aa0f2a54p-15, -0x1.fab968eaccd0ep-16, -0x1.f41e77ba9d24fp-16, -0x1.ed8646fd1a742p-16, -0x1.e6f17652fd157p-16, -0x1.e0601f7bbfd4cp-16, -0x1.d9d2837bf3c92p-16, -0x1.d348eacc27524p-16, -0x1.ccc3ce311b1dp-16, -0x1.c6434e05a9288p-16, -0x1.bfc7aff56c7d9p-16, -0x1.b9513e8e7290dp-16, -0x1.b2e047493eb22p-16, -0x1.ac74bc46fbd8bp-16, -0x1.a60f3c01464b5p-16, -0x1.9fb00242f0c43p-16, -0x1.995723db71059p-16, -0x1.9304b45ba7df6p-16, -0x1.8cb9176c3bac4p-16, -0x1.867472515935p-16, -0x1.80373781ff1c6p-16, -0x1.7a0111916f595p-16, -0x1.73d2c2ec980e3p-16, -0x1.6dac5562dffb3p-16, -0x1.678db1fe4451p-16, -0x1.6177524e54ac8p-16, -0x1.5b69273dcafa8p-16, -0x1.556385f7a9a7fp-16, -0x1.4f666c930ec0ep-16, -0x1.497236dc55adep-16, -0x1.4386f6c8c6dep-16, -0x1.3da4a414d2e1cp-16, -0x1.37cba0308a4bcp-16, -0x1.31fc0bd3e814ep-16, -0x1.2c35c8e3b3ap-16, -0x1.267917348d817p-16, -0x1.20c65d7fcef58p-16, -0x1.1b1d35f8ff89cp-16, -0x1.157e0c0740ec6p-16, -0x1.0fe8e75128c02p-16, -0x1.0a5dd2985edbep-16, -0x1.04dd113a2b7eap-16, -0x1.fecd89d7b2481p-17, -0x1.f3f547ecab8adp-17, -0x1.e93216c9fd186p-17, -0x1.de840f70b8375p-17, -0x1.d3eb6c3cd1349p-17, -0x1.c967cf77fea5bp-17, -0x1.bef9d0d415176p-17, -0x1.b4a20226c8b29p-17, -0x1.aa5f4d289b593p-17, -0x1.a032fde6d8f93p-17, -0x1.961c6e51a4714p-17, -0x1.8c1b65df47181p-17, -0x1.8231376b0521cp-17, -0x1.785d8b509dffbp-17, -0x1.6e9f4241687p-17, -0x1.64f7ce4be1ff4p-17, -0x1.5b66d6d4b8d91p-17, -0x1.51ec4b7b2b917p-17, -0x1.488843b52c275p-17, -0x1.3f3ac8226df2ep-17, -0x1.3603f5f636cbcp-17, -0x1.2ce3c0f16b1fdp-17, -0x1.23da264bdeb36p-17, -0x1.1ae7449ed7425p-17, -0x1.120b1241454d4p-17, -0x1.09459320eec0ep-17, -0x1.0096c6ad51f73p-17, -0x1.effd8a3a5ec1p-18, -0x1.defa809547999p-18, -0x1.ce2501ac115b8p-18, -0x1.bd7c9beaca5c5p-18, -0x1.ad026b664299p-18, -0x1.9cb45560815bap-18, -0x1.8c9043c3953aap-18, -0x1.7ca04e205eed2p-18, -0x1.6cd96cf11723ep-18, -0x1.5d406802840a1p-18, -0x1.4dd40efd53b99p-18, -0x1.3e941df781964p-18, -0x1.2f80985012883p-18, -0x1.209938b4b3e7fp-18, -0x1.11dfbb216f2afp-18, -0x1.0351b57c3edcp-18, -0x1.e9dcec10fc47dp-19, -0x1.cd70d4866d3p-19, -0x1.b15eddc83076bp-19, -0x1.95a0a616e9524p-19, -0x1.7a39ad43a0bffp-19, -0x1.5f2a115833924p-19, -0x1.447147fe9d559p-19, -0x1.2a0e20441ff44p-19, -0x1.100084682e9d1p-19, -0x1.ec903a8c2c2c9p-20, -0x1.b9c8c7d5b95a7p-20, -0x1.87a9430d340f2p-20, -0x1.56364312fb233p-20, -0x1.25664a48263abp-20, -0x1.ea7b3f1f290bep-21, -0x1.8b726ae80669cp-21, -0x1.2dba5c7298087p-21, -0x1.a285dc0c7ee4bp-22, -0x1.d84d85b86ec4dp-23, -0x1.c283a1e919146p-25, 0x1.e40bca14af094p-24, 0x1.27d61095ec05cp-22, 0x1.d42d0c961fdb2p-22, 0x1.3f04a86ea5a13p-21, 0x1.92ba38216a6bfp-21, 0x1.e5372ac0226bbp-21, 0x1.1b3e509b3a732p-20, 0x1.434609ae10783p-20, 0x1.6ab94196fd352p-20, 0x1.91901f6d97148p-20, 0x1.b7d064bdd49a3p-20, 0x1.dd7abc5e20211p-20, 0x1.0148424a84788p-19, 0x1.138979a819f44p-19, 0x1.2581c5dcf4d8fp-19, 0x1.3730adc5a2239p-19, 0x1.4897568726952p-19, 0x1.59b63b0e12258p-19, 0x1.6a8e02f0c6173p-19, 0x1.7b1f4859da2a1p-19, 0x1.8b6a072df5745p-19, 0x1.9b6fab2e66c1dp-19, 0x1.ab30e093d095fp-19, 0x1.baabdd9363e8fp-19, 0x1.c9e465f234bb9p-19, 0x1.d8d9e8ec648e6p-19, 0x1.e78cae53fbe7ap-19, 0x1.f5fc6f0a9441fp-19, 0x1.02157f21da522p-18, 0x1.090c552f6d209p-18, 0x1.0fe313518713cp-18, 0x1.1699e49a465c6p-18, 0x1.1d305609941d8p-18, 0x1.23a7d374cb5dbp-18, 0x1.2a01248a48372p-18, 0x1.303ab2c705efdp-18, 0x1.365642d8760b8p-18, 0x1.3c52e4655c4bbp-18, 0x1.42322a7eb2db3p-18, 0x1.47f3f2e69c089p-18, 0x1.4d97fe7bcf9bfp-18, 0x1.531e8f528cf37p-18, 0x1.588810cc5d17p-18, 0x1.5dd706ca58f88p-18, 0x1.6308eaa9fe183p-18, 0x1.681cddda2b8d1p-18, 0x1.6d179794a12d8p-18, 0x1.71f656ada6c14p-18, 0x1.76c7899b1101ep-18, 0x1.7b624484158aap-18, 0x1.7ff056194d68cp-18, 0x1.84640f5b9802ep-18, 0x1.88bdd6f3ce6c3p-18, 0x1.8cfde9f577a73p-18, 0x1.91248e40dc75bp-18, 0x1.953209e6c0395p-18, 0x1.9926a394abcffp-18, 0x1.9d02a581a06fdp-18, 0x1.a0c667426007p-18, 0x1.a471e57c4fd43p-18, 0x1.a80592bbcca84p-18, 0x1.ab81abb2b626p-18, 0x1.aee71122c0cfap-18, 0x1.b234c88da66a7p-18, 0x1.b56c255a8c0afp-18, 0x1.b88cee2a097b6p-18, 0x1.bb978479d2a41p-18, 0x1.be8c2c813802ap-18, 0x1.c16b42809234p-18, 0x1.c434ec2ec6ce6p-18, 0x1.c6e8c5645f367p-18, 0x1.c9880da8e95c7p-18, 0x1.cc131b8ad3cf6p-18, 0x1.ce8a4ecf3e762p-18, 0x1.d0ebd92b0c0acp-18, 0x1.d339ef825dce1p-18, 0x1.d574f925a1529p-18, 0x1.d79b497d4d1e3p-18, 0x1.d9b0c8abc884ep-18, 0x1.dbb1f5143f4dap-18, 0x1.dda020a1a816ap-18, 0x1.df7bf083583cfp-18, 0x1.e145771ce7fd4p-18, 0x1.e2fe056e821bep-18, 0x1.e4a3f709c86f6p-18, 0x1.e638a2d4cdfbp-18, 0x1.e7bc1b7273d5bp-18, 0x1.e92e7d5127151p-18, 0x1.ea9019ebecb8dp-18, 0x1.ebe1246e1c0d9p-18, 0x1.ed21d6f4e6431p-18, 0x1.ee526b0ead1b3p-18, 0x1.ef7319cbb310ap-18, 0x1.f0841bc4b1c62p-18, 0x1.f185a91790aeep-18, 0x1.f277ec881f458p-18, 0x1.f35b440f6a26dp-18, 0x1.f42fc03e68316p-18, 0x1.f4f5a59e7944bp-18, 0x1.f5ad29dce0eb9p-18, 0x1.f656711afb9cbp-18, 0x1.f6f1574baeb8ap-18, 0x1.f7801bf0bd44p-18, 0x1.f7ffbb4d0482bp-18, 0x1.f871ec70730dbp-18, 0x1.f8d7aabd1d5a6p-18, 0x1.f92fe4bdde981p-18, 0x1.f97cb42fefb88p-18, 0x1.f9bb70395bbe1p-18, 0x1.f9ee1be383a93p-18, 0x1.fa14f08f1ce13p-18, 0x1.fa2f8e8fa55d8p-18, 0x1.fa3f05488b4e5p-18, 0x1.fa41ab9111644p-18, 0x1.fa39c4490c91ap-18, 0x1.fa26385286949p-18, 0x1.fa0832b7266fep-18, 0x1.f9defd8c9b6fbp-18, 0x1.f9aab899bfb11p-18, 0x1.f96c62905ca2ap-18, 0x1.f9237192fc153p-18, 0x1.f8d075c856c7p-18, 0x1.f8733e6b1b069p-18, 0x1.f80bf4fcc28b8p-18, 0x1.f79c354489412p-18, 0x1.f721b4de65d4ap-18, 0x1.f69d6a5809bb6p-18, 0x1.f611dbdd99829p-18, 0x1.f57cbca92323fp-18, 0x1.f4dd495ea1c28p-18, 0x1.f43711dad1b3fp-18, 0x1.f386b7aa545bdp-18, 0x1.f2ceac4bd6c54p-18, 0x1.f20e9a0f80f32p-18, 0x1.f1463f8e966c3p-18, 0x1.f075d84031651p-18, 0x1.ef9d733865d7p-18, 0x1.eebea0987403ep-18, 0x1.edd6899c368c8p-18, 0x1.ece85408794e5p-18, 0x1.ebf2b53855bf4p-18, 0x1.eaf5c16651a71p-18, 0x1.e9f203dd689f3p-18, 0x1.e8e7b2fd2ef8ap-18, 0x1.e7d6e93f03c5fp-18, 0x1.e6be82816bb3p-18, 0x1.e5a0ecba77f1dp-18, 0x1.e47c8f1e7f42bp-18, 0x1.e35222f3faddp-18, 0x1.e221875b2b7bdp-18, 0x1.e0eb938155128p-18, 0x1.dfafa4327ea7ap-18, 0x1.de6de8297f772p-18, 0x1.dd26dd410c6b3p-18, 0x1.dbda6d153e377p-18, 0x1.da883aa83d0e4p-18, 0x1.d932241b51ee1p-18, 0x1.d7d652f93e1a1p-18, 0x1.d674e0044f71ap-18, 0x1.d50fa150a3a2ep-18, 0x1.d3a568ba73005p-18, 0x1.d236b98c87adbp-18, 0x1.d0c38cefaa28bp-18, 0x1.cf4bc07c69443p-18, 0x1.cdcfa61c787cbp-18, 0x1.cc50a0d882649p-18, 0x1.cacbc6bcefd32p-18, 0x1.c94445829c6c9p-18, 0x1.c7b85e11096ddp-18, 0x1.c62912e1d84a7p-18, 0x1.c4968bfa805cep-18, 0x1.c2ff9453dd074p-18, 0x1.c1657e73d4934p-18, 0x1.bfc810113fdc9p-18, 0x1.be27bbcd2daa8p-18, 0x1.bc83ce86d2195p-18, 0x1.badd6b130bc25p-18, 0x1.b93391e038fb1p-18, 0x1.b78702c27dd72p-18, 0x1.b5d800fbd0879p-18, 0x1.b424f99aa9718p-18, 0x1.b270f50375d36p-18, 0x1.b0b9d2be5103fp-18, 0x1.af0019a891c97p-18, 0x1.ad43c5777263p-18, 0x1.ab85ee1e78e61p-18, 0x1.a9c5910cf85f3p-18, 0x1.a8030fb34b2a8p-18, 0x1.a63d91070ccaap-18, 0x1.a47779378d724p-18, 0x1.a2af31718acd3p-18, 0x1.a0e571945b806p-18, 0x1.9f18d6cd68adep-18, 0x1.9d4b04c167d75p-18, 0x1.9b7bc200d55aap-18, 0x1.99aae6e2b51bap-18, 0x1.97d897bdc9c19p-18, 0x1.9604e6bc800fcp-18, 0x1.942fe9dcd9522p-18, 0x1.9259e3b123769p-18, 0x1.9081c418646dbp-18, 0x1.8ea92542690eap-18, 0x1.8cd055a1dd209p-18, 0x1.8af4ac8e13c7bp-18, 0x1.891a0f7bde3dp-18, 0x1.873cb445a2cfep-18, 0x1.855fda2e3a3b1p-18, 0x1.8381db4f84e76p-18, 0x1.81a3668798b28p-18, 0x1.7fd5e75a691dbp-18, 0x1.7de3597bfaa71p-18, 0x1.7c03352c0d1d6p-18, 0x1.7a22516b44ceep-18, 0x1.7840c995aecdap-18, 0x1.765e424d2894bp-18, 0x1.747cc8f1f6d0dp-18, 0x1.729aa87b69923p-18, 0x1.70b74bf31beccp-18, 0x1.6ed45abd7e6a5p-18, 0x1.6cf1ab95e5351p-18, 0x1.6b0ea64c4442ep-18, 0x1.692b3f0510382p-18, 0x1.674824890c70dp-18, 0x1.6564bc25ebe75p-18, 0x1.63827af9c4b7bp-18, 0x1.61a000682bd49p-18, 0x1.5fbc046d1af9dp-18, 0x1.5dda0b337cf2ep-18, 0x1.5bf894b9d3f34p-18, 0x1.5a15d8ab575e8p-18, 0x1.5834a269b8f8dp-18, 0x1.565388e956236p-18, 0x1.5472ece69e4d5p-18, 0x1.52926391b8009p-18, 0x1.50b32f0876e56p-18, 0x1.4ed3d7ace29dcp-18, 0x1.4cf50eaf6f92ep-18, 0x1.4b175bf891788p-18, 0x1.493a22ca95579p-18, 0x1.475c9f5024eccp-18, 0x1.458126b9df60ep-18, 0x1.43a5b8d916e91p-18, 0x1.41cac81c03d53p-18, 0x1.3ff1aade99a1cp-18, 0x1.3e187a1d7424p-18, 0x1.3c40cc8a53f3bp-18, 0x1.3a69d8e7594cp-18, 0x1.38933f936426dp-18, 0x1.36be6044f40aep-18, 0x1.34e9dc3376dcdp-18, 0x1.33164777da9e5p-18, 0x1.31449d2e5353ap-18, 0x1.2f7312c4aaa0ap-18, 0x1.2da2dd8863894p-18, 0x1.2bd3f4bf8a0a4p-18, 0x1.2a0619363ca49p-18, 0x1.2838fafe07b69p-18, 0x1.266e3f760033cp-18, 0x1.24a332f0df60ap-18, 0x1.22da1dcd905e7p-18, 0x1.2112557463p-18, 0x1.1f4b8bf620fbdp-18, 0x1.1d8626695f4aep-18, 0x1.1bc20b661ea18p-18, 0x1.19ff1f2f670e8p-18, 0x1.183e0211aa872p-18, 0x1.167e0e872a933p-18, 0x1.14bee035e5a48p-18, 0x1.1301c00917d57p-18, 0x1.1145fc240fd4dp-18, 0x1.0f8b338c9be66p-18, 0x1.0dd1c6a157382p-18, 0x1.0c1aeafa62685p-18, 0x1.0a6470ce6c4f2p-18, 0x1.08afd87ed626ap-18, 0x1.06fd1c588a68p-18, 0x1.054afef949d67p-18, 0x1.039b191b8cb45p-18, 0x1.01ec84e77c92cp-18, 0x1.003f9dd48bf5ap-18, 0x1.fd28c84ac7159p-19, 0x1.f9d40ce6e85a6p-19, 0x1.f6830ef58b669p-19, 0x1.f336a6ce92f1ap-19, 0x1.efedb0a7fdb69p-19, 0x1.eca61234a569p-19, 0x1.e962bb4b27dbcp-19, 0x1.e62297672d6dbp-19, 0x1.e2e56e3960c7fp-19, 0x1.dfac446e41cd9p-19, 0x1.dc761ac7fcf7dp-19, 0x1.d943dff1f47c9p-19, 0x1.d6137517cb862p-19, 0x1.d2e846e303d45p-19, 0x1.cfbf22036ffeep-19, 0x1.cc9b6d38203fp-19, 0x1.c9780885ca96cp-19, 0x1.c65a5cc4b744dp-19, 0x1.c34009e38278cp-19, 0x1.c0289a68b5e9cp-19, 0x1.bd140ad4fdea3p-19, 0x1.ba04bfbb568edp-19, 0x1.b6f7b6e83011ep-19, 0x1.b3eecd6e95d07p-19, 0x1.b0e9220ca1f29p-19, 0x1.ade6d3ba74073p-19, 0x1.aae90ae8182fbp-19, 0x1.a7edfe3f8d904p-19, 0x1.a4f6bc1b508d5p-19, 0x1.a202922dd47c7p-19, 0x1.9f13bdbc24387p-19, 0x1.9c260577e05f1p-19, 0x1.993c74b7d4db9p-19, 0x1.9657dfc67a9f2p-19, 0x1.93776adf6823cp-19, 0x1.90988f3229f6p-19, 0x1.8dbdf8a74305ap-19, 0x1.8ae76cf1559f9p-19, 0x1.8813ae4e0c5eep-19, 0x1.8544d253da0b7p-19, 0x1.8278ce34a2351p-19, 0x1.7fb0e30ec83fdp-19, 0x1.7cec9c4c2df07p-19, }}, 
      {{-0x1.948426408d622p+1, -0x1.87c95b4cc9e86p+1, -0x1.7882ba85ebd04p+1, -0x1.67af2d6ef4493p+1, -0x1.5611c778cea73p+1, -0x1.443e2a5c147a9p+1, -0x1.32a275b29a058p+1, -0x1.218f328910855p+1, -0x1.113da1bc2512bp+1, -0x1.01d4c0d7cbcf9p+1, -0x1.e6da925c6a74p+0, -0x1.cc29bea3d17efp+0, -0x1.b3a13bb6a5b78p+0, -0x1.9d3e3a7347b15p+0, -0x1.88f425f6ab08dp+0, -0x1.76af3ad23cb9fp+0, -0x1.665697bfb1b17p+0, -0x1.57cde1efcaf54p+0, -0x1.4af691cb4807fp+0, -0x1.3fb0f8d6005f2p+0, -0x1.35dd0e020dbe4p+0, -0x1.2d5b0b9eaa668p+0, -0x1.260be738afc2bp+0, -0x1.1fd1aae0b49b8p+0, -0x1.1a8fb602df421p+0, -0x1.162ae980512a7p+0, -0x1.1289c4b33bc99p+0, -0x1.0f9474bd1da5dp+0, -0x1.0d34da5861f54p+0, -0x1.0b56876a0b948p+0, -0x1.09e6b6a2c7cb4p+0, -0x1.08d43e7ad6e23p+0, -0x1.080f808f5e484p+0, -0x1.078a5776633efp+0, -0x1.07380126cdedbp+0, -0x1.070d0abe67437p+0, -0x1.06ff3a27d59a4p+0, -0x1.07057867053b5p+0, -0x1.0717bc26f08d3p+0, -0x1.072ef4e36452dp+0, -0x1.0744f6c6086e5p+0, -0x1.0754678657ffp+0, -0x1.0758ac3d8843p+0, -0x1.074dd84e6431ap+0, -0x1.07309d5f08a42p+0, -0x1.06fe3c67536efp+0, -0x1.06b4779ab8d4bp+0, -0x1.0651858f95f94p+0, -0x1.05d4051c0e96ap+0, -0x1.053af238660f7p+0, -0x1.04859bb2c3986p+0, -0x1.03b399b847d2fp+0, -0x1.02c4c5110ef66p+0, -0x1.01b92f362f95cp+0, -0x1.00911b0b647c7p+0, -0x1.fe99ec601f967p-1, -0x1.fbdaa6185a633p-1, -0x1.f8e5c6b3b9bf8p-1, -0x1.f5bce67297231p-1, -0x1.f261c97c2c21dp-1, -0x1.eed657e7823cfp-1, -0x1.eb1c969c5f62ep-1, -0x1.e736a0dd8c9d7p-1, -0x1.e326a28cf1528p-1, -0x1.deeed32b61271p-1, -0x1.da91714a8545ap-1, -0x1.d610be9ffee3ap-1, -0x1.d16efc878527fp-1, -0x1.ccae68ff9bc02p-1, -0x1.c7d13c00b427fp-1, -0x1.c2d9a53eb443cp-1, -0x1.bdc9ca4642e72p-1, -0x1.b8a3c4bb642c2p-1, -0x1.b369a11a1bf67p-1, -0x1.ae1d5d781ba6p-1, -0x1.a8c0e8d1a75aap-1, -0x1.a356220edd153p-1, -0x1.9dded793ed448p-1, -0x1.985cc703cb3ep-1, -0x1.92d19cccaf275p-1, -0x1.8d3ef41585a71p-1, -0x1.87a656b9d1aecp-1, -0x1.82093d5a59e21p-1, -0x1.7c690f7a6edc6p-1, -0x1.76c7238b4d8e1p-1, -0x1.7124bf967535ap-1, -0x1.6b83193efff57p-1, -0x1.65e35601f637p-1, -0x1.60468bdd78194p-1, -0x1.5aadc1950f975p-1, -0x1.5519ef25a40ccp-1, -0x1.4f8bfe4148f34p-1, -0x1.4a04cab52e226p-1, -0x1.448522e5ca79p-1, -0x1.3f0dc85be1e35p-1, -0x1.399f701c5354ep-1, -0x1.343ac341ec73cp-1, -0x1.2ee05f60ebbd8p-1, -0x1.2990d6fe81573p-1, -0x1.244cb211d185ap-1, -0x1.1f146e73bd01cp-1, -0x1.19e8804455a2bp-1, -0x1.14c9526511e3ep-1, -0x1.0fb746e608fe8p-1, -0x1.0ab2b76211754p-1, -0x1.05bbf56f514c9p-1, -0x1.00d34af0f86dcp-1, -0x1.f7f1f533e6768p-2, -0x1.ee5a80533e1f7p-2, -0x1.e4e0a18812fp-2, -0x1.db84b6a83da17p-2, -0x1.d24711cce5be3p-2, -0x1.c927f9bef59fp-2, -0x1.c027aab9bbe2ep-2, -0x1.b74656dee2b02p-2, -0x1.ae8426e9cf447p-2, -0x1.a5e13a852146dp-2, -0x1.9d5da8f160a01p-2, -0x1.94f98170a87a4p-2, -0x1.8cb4cbb2457efp-2, -0x1.848f885f9fefep-2, -0x1.7c89b16dbf811p-2, -0x1.74a33a8681dcdp-2, -0x1.6cdc11818b20bp-2, -0x1.65341ea08e2bcp-2, -0x1.5dab44faba7c1p-2, -0x1.564162cb0f50ap-2, -0x1.4ef651cea11p-2, -0x1.47c9e76e3479p-2, -0x1.40bbf532e4eep-2, -0x1.39cc48eae8472p-2, -0x1.32faacfcbaa4cp-2, -0x1.2c46e893d0d54p-2, -0x1.25b0bff094512p-2, -0x1.1f37f483abc4ep-2, -0x1.18dc45445d52bp-2, -0x1.129d6edafdbf5p-2, -0x1.0c7b2bb8b4437p-2, -0x1.0675344c62c5p-2, -0x1.008b3f5405a08p-2, -0x1.f57a039450d1fp-3, -0x1.ea145e75c5343p-3, -0x1.dee4f3a65b75ep-3, -0x1.d3eb251363b26p-3, -0x1.c926526662fc9p-3, -0x1.be95d96e974b1p-3, -0x1.b4391639b1234p-3, -0x1.aa0f63580a7b5p-3, -0x1.a0181a1609157p-3, -0x1.965292a3e4dbp-3, -0x1.8cbe244b0350ap-3, -0x1.835a25968d87fp-3, -0x1.7a25ec8ffc99ap-3, -0x1.7120cec5ad377p-3, -0x1.684a219f35af1p-3, -0x1.5fa13a265ef8bp-3, -0x1.57256dc903ca7p-3, -0x1.4ed611c2c3d8p-3, -0x1.46b27bd0dd37p-3, -0x1.3eba01ea6b7cep-3, -0x1.36ebfa9691b5ap-3, -0x1.2f47bcccedd13p-3, -0x1.27cca06a563e4p-3, -0x1.2079fdd182847p-3, -0x1.194f2e6b269e8p-3, -0x1.124b8c8922933p-3, -0x1.0b6e736540853p-3, -0x1.04b73f44db86bp-3, -0x1.fc4a9b6f12119p-4, -0x1.ef6ffaadf32d1p-4, -0x1.e2dd5c0db34c1p-4, -0x1.d69182051582ap-4, -0x1.ca8b31b47178fp-4, -0x1.bec932e2ecb21p-4, -0x1.b34a5045e61abp-4, -0x1.a80d57b33e3d6p-4, -0x1.9d1119f366e22p-4, -0x1.92546ab620c03p-4, -0x1.87d620f2810e8p-4, -0x1.7d9516c987006p-4, -0x1.739029c82c05p-4, -0x1.69c63a7d9e6a4p-4, -0x1.60362d0dca3c3p-4, -0x1.56dee8e324d5bp-4, -0x1.4dbf58eafb9a6p-4, -0x1.44d66b4c4b257p-4, -0x1.3c2311d4185c1p-4, -0x1.33a441c6d2f19p-4, -0x1.2b58f3d757a4bp-4, -0x1.2340242967fb9p-4, -0x1.1b58d2a9b5059p-4, -0x1.13a2027b3866ap-4, -0x1.0c1aba9fcc211p-4, -0x1.04c2053fa5748p-4, -0x1.fb2de13e342cep-5, -0x1.ed311bb81cf34p-5, -0x1.df8be44c0128ep-5, -0x1.d23c6bc63e87fp-5, -0x1.c540ea96e9d9dp-5, -0x1.b8979f5c2c7dap-5, -0x1.ac3ed09545c27p-5, -0x1.a034cb37bad88p-5, -0x1.9477e2dfab0dp-5, -0x1.890672d6b1a3ep-5, -0x1.7ddedcb373649p-5, -0x1.72ff88dc44832p-5, -0x1.6866e68a77dddp-5, -0x1.5e136bf8a31a9p-5, -0x1.540395be95667p-5, -0x1.4a35e6ff30f78p-5, -0x1.40a8e9a894df8p-5, -0x1.375b2e11f1e7dp-5, -0x1.2e4b4ae4ab2f8p-5, -0x1.2577ddc021d8dp-5, -0x1.1cdf89774f62fp-5, -0x1.1480f85ce2c27p-5, -0x1.0c5ada774cb5cp-5, -0x1.046be56f558fbp-5, -0x1.f965abc538e78p-6, -0x1.ea5cdb37fb371p-6, -0x1.dbbaea5b783bp-6, -0x1.cd7d754812c2ap-6, -0x1.bfa222e971384p-6, -0x1.b226a643f9f65p-6, -0x1.a508be686b89ep-6, -0x1.984634d1c3b9fp-6, -0x1.8bdcddbaa5b0ep-6, -0x1.7fca990ae80f8p-6, -0x1.740d5105cf1ccp-6, -0x1.68a2fa71a99bep-6, -0x1.5d89948cf1038p-6, -0x1.52bf28ef8a0a8p-6, -0x1.4841cb9c85c67p-6, -0x1.3e0f9a32bff82p-6, -0x1.3426bcc8b30afp-6, -0x1.2a85643dfae33p-6, -0x1.2129cc175cc0dp-6, -0x1.18123862c9427p-6, -0x1.0f3cf7306717p-6, -0x1.06a85f3a65953p-6, -0x1.fca5a0f2a50b9p-7, -0x1.ec75673d7942ep-7, -0x1.dcbcf44819c55p-7, -0x1.cd793c192709cp-7, -0x1.bea744796c55bp-7, -0x1.b04420f774aadp-7, -0x1.a24cfa0bdd70dp-7, -0x1.94bf03f83b789p-7, -0x1.8797859fe451bp-7, -0x1.7ad3d31127747p-7, -0x1.6e715120fd29ap-7, -0x1.626d73226072p-7, -0x1.56c5ba330e286p-7, -0x1.4b77b80c65dacp-7, -0x1.40810bcdbb74fp-7, -0x1.35df626ca563cp-7, -0x1.2b907605e7c5ap-7, -0x1.21920cbc2acd7p-7, -0x1.17e1fbe57b7b3p-7, -0x1.0e7e24df3b328p-7, -0x1.0564748281798p-7, -0x1.f925ccf559e04p-8, -0x1.e80f0aec5ca82p-8, -0x1.d780c7464f3eap-8, -0x1.c777406913728p-8, -0x1.b7eec90907ebp-8, -0x1.a8e3c73762b5fp-8, -0x1.9a52b805f39ecp-8, -0x1.8c3831c90193dp-8, -0x1.7e90e32742214p-8, -0x1.71599284953e2p-8, -0x1.648f17c430836p-8, -0x1.582e611af604ep-8, -0x1.4c34687ccd4e9p-8, -0x1.409e3552541b7p-8, -0x1.3568e5718ce54p-8, -0x1.2a91a9050d519p-8, -0x1.2015c4a214625p-8, -0x1.15f2987b5e57bp-8, -0x1.0c2592ee9fc3cp-8, -0x1.02ac38d40b759p-8, -0x1.f3082b36534a4p-9, -0x1.e15581a4297f6p-9, -0x1.d03bbb7ab4938p-9, -0x1.bfb63a6a0d669p-9, -0x1.afc0848e548f3p-9, -0x1.a0564c27724fp-9, -0x1.917364c3254b8p-9, -0x1.8313cad844ee7p-9, -0x1.753395d55b1b9p-9, -0x1.67ceeb0bef8ep-9, -0x1.5ae1fcf54036dp-9, -0x1.4e6912846466cp-9, -0x1.42608569c238bp-9, -0x1.36c4ce4c538d2p-9, -0x1.2b92875d67697p-9, -0x1.20c66ee7088e3p-9, -0x1.165d5e9475fc5p-9, -0x1.0c5447a045cf6p-9, -0x1.02a828f33b0bfp-9, -0x1.f2ac0ff0ff5e4p-10, -0x1.e0b5f9b285cafp-10, -0x1.cf6864707c6fcp-10, -0x1.bebdcf7f79fcep-10, -0x1.aeb0eb17ce4aap-10, -0x1.9f3cbb4e3bf63p-10, -0x1.905c51b9a9734p-10, -0x1.820af15a01039p-10, -0x1.7443efb5bd0f4p-10, -0x1.6702a8901034fp-10, -0x1.5a428e247c95ep-10, -0x1.4dff3816a7ff6p-10, -0x1.42345b58dfa71p-10, -0x1.36ddf81cd296bp-10, -0x1.2bf829aa139f7p-10, -0x1.217f459a6a84bp-10, -0x1.176fb1754f453p-10, -0x1.0dc5d3506a37cp-10, -0x1.047e2f2d492e1p-10, -0x1.f72a7e9ff2f66p-11, -0x1.e60f27d82b11ap-11, -0x1.d5a39bc9c613ap-11, -0x1.c5e191b5e5ac9p-11, -0x1.b6c31008efe9cp-11, -0x1.a842802ddd585p-11, -0x1.9a5a598dcb54cp-11, -0x1.8d0545e34ca64p-11, -0x1.803e016d6bd99p-11, -0x1.73ff745dbf437p-11, -0x1.68449ebb9ee22p-11, -0x1.5d088b3c0fcddp-11, -0x1.5246598a30a15p-11, -0x1.47f964af47b05p-11, -0x1.3e1d5af83740dp-11, -0x1.34ae2216f54f4p-11, -0x1.2ba799b1673c7p-11, -0x1.23057d6d5b35dp-11, -0x1.1ac38e57df247p-11, -0x1.12dddc74a2165p-11, -0x1.0b50e8e03184fp-11, -0x1.041981c722f12p-11, -0x1.fa690007b8a02p-12, -0x1.ed3d7124de9b6p-12, -0x1.e0aa7379b4d95p-12, -0x1.d4aabd5cc6e56p-12, -0x1.c93935906b0f4p-12, -0x1.be4fee23e363p-12, -0x1.b3e7bfebf75bap-12, -0x1.a9f91295b4118p-12, -0x1.a07d434dd0a56p-12, -0x1.976edeb22ca89p-12, -0x1.8eca05a2e78b6p-12, -0x1.868b5dfbd3f2bp-12, -0x1.7eaf0466b8295p-12, -0x1.7731a6f31240bp-12, -0x1.70102aa8f7a7ep-12, -0x1.694820e4dec86p-12, -0x1.62d6d218fa4b8p-12, -0x1.5cb811646fb8dp-12, -0x1.56e5ed7f8e467p-12, -0x1.5159b396bfd12p-12, -0x1.4c0d9ee595806p-12, -0x1.46fde8251bfa2p-12, -0x1.4228712ae28d5p-12, -0x1.3d8b9e00d2e34p-12, -0x1.3925896e4d2f2p-12, -0x1.34f4452cc4c22p-12, -0x1.30f62d3e48f6ap-12, -0x1.2d2a24c738458p-12, -0x1.298f46ad0f401p-12, -0x1.2623b7fb7bfd9p-12, -0x1.22e41e8559a6cp-12, -0x1.1fcbea7db3d18p-12, -0x1.1cd65ffa77954p-12, -0x1.19ff99f84cbbap-12, -0x1.1745251beba88p-12, -0x1.14a5f60f9a9d5p-12, -0x1.1221a3bedb5abp-12, -0x1.0fb7870f13ba8p-12, -0x1.0d6693c08e511p-12, -0x1.0b2dd7308fdafp-12, -0x1.090cc0d155db1p-12, -0x1.0702a31cc2d4fp-12, -0x1.050e5cfb1f7c4p-12, -0x1.032e629978521p-12, -0x1.0160c9d892605p-12, -0x1.ff4606d65aa96p-13, -0x1.fbe4f5b4f59b4p-13, -0x1.f8991b90c7285p-13, -0x1.f560648c91fbep-13, -0x1.f23ac78db0332p-13, -0x1.ef285bfd6637ep-13, -0x1.ec286d029c744p-13, -0x1.e939cabc422b6p-13, -0x1.e65bdb5045c75p-13, -0x1.e38cc6dba9a99p-13, -0x1.e0cb73d17915fp-13, -0x1.de16a77d6692cp-13, -0x1.db6d466030ee2p-13, -0x1.d8ce6b13e957bp-13, -0x1.d637f25031effp-13, -0x1.d3a731b6c85d2p-13, -0x1.d118c6a001a8cp-13, -0x1.ce8be024e6d1ap-13, -0x1.cc00c547322e3p-13, -0x1.c976908e955edp-13, -0x1.c6ecc9a7f2ce3p-13, -0x1.c4643ed496546p-13, -0x1.c1dc31287ec5dp-13, -0x1.bf53150c5a7dcp-13, -0x1.bcc82e8c5e5dbp-13, -0x1.ba3b459787a77p-13, -0x1.b7ac5494f6de2p-13, -0x1.b51ae412b0ca1p-13, -0x1.b2867a798d551p-13, -0x1.afee7befd3518p-13, -0x1.ad5166ff2addcp-13, -0x1.aaae98c9d0cd3p-13, -0x1.a8074020813d2p-13, -0x1.a55a3469cb5dbp-13, -0x1.a2a5d68a55136p-13, -0x1.9feb3117fd349p-13, -0x1.9d2ae7eba51cap-13, -0x1.9a64152d23352p-13, -0x1.97960fdb89224p-13, -0x1.94c165de8b969p-13, -0x1.91e5e52f35ac8p-13, -0x1.8f0393ab13214p-13, -0x1.8c1a35e603064p-13, -0x1.8929e2ac3354p-13, -0x1.86329b3a27012p-13, -0x1.8333f327bba58p-13, -0x1.802dbbed64923p-13, -0x1.7d212524e653dp-13, -0x1.7a0dd097c64f7p-13, -0x1.76f32e8e7c9dap-13, -0x1.73d16cd2275cap-13, -0x1.70a84ce15c044p-13, -0x1.6d7837317376ep-13, -0x1.6a40fab5fdde4p-13, -0x1.67030ed70fd1cp-13, -0x1.63bec8e6f7e28p-13, -0x1.6074318855b0fp-13, -0x1.5d2311d9d0ee2p-13, -0x1.59cb69a564d94p-13, -0x1.566de0e5a76d2p-13, -0x1.530a7d7449367p-13, -0x1.4fa1715a5d56cp-13, -0x1.4c32a17c3570dp-13, -0x1.48be63f33a061p-13, -0x1.4544fa60bbca9p-13, -0x1.41c70ce16518ap-13, -0x1.3e4459c61a69bp-13, -0x1.3abc453b0cac9p-13, -0x1.372fa97fdea95p-13, -0x1.339ec4b44eebfp-13, -0x1.300990bdd6702p-13, -0x1.2c70a5c134b6ap-13, -0x1.28d4054518c9bp-13, -0x1.2533bdd58c27ep-13, -0x1.21900aed01adbp-13, -0x1.1de929a1ffa28p-13, -0x1.1a3f4cad59043p-13, -0x1.1692e7f362b65p-13, -0x1.12e40e9845783p-13, -0x1.0f32c7b196463p-13, -0x1.0b7f179473f82p-13, -0x1.07c9c0aecf8e5p-13, -0x1.0412f1b0d0ed2p-13, -0x1.005a6b3b09386p-13, -0x1.f9416d996a77fp-14, -0x1.f1cb8c62f2d45p-14, -0x1.ea539864c224dp-14, -0x1.e2da716f0c14bp-14, -0x1.db6060dbeb2p-14, -0x1.d3e5a1ce52225p-14, -0x1.cc6a9655ec7f9p-14, -0x1.c4efaa11fbd26p-14, -0x1.bd754148a199fp-14, -0x1.b5fbb7e54250ep-14, -0x1.ae8364725c82ap-14, -0x1.a70ce92fed46ap-14, -0x1.9f98686252df3p-14, -0x1.9826488fbd868p-14, -0x1.90b668fcbdf01p-14, -0x1.8949f7c1ec253p-14, -0x1.81e101591dd0bp-14, -0x1.7a7b9fed0f4a5p-14, -0x1.731a41dbb288ep-14, -0x1.6bbd5f100d273p-14, -0x1.646538bdfe0dfp-14, -0x1.5d11f9e914ca6p-14, -0x1.55c42143af5d3p-14, -0x1.4e7bcb8a677c7p-14, -0x1.47397b4c798e8p-14, -0x1.3ffd6b7282ad6p-14, -0x1.38c7dc1cf8d31p-14, -0x1.31992323602e4p-14, -0x1.2a71527ff732p-14, -0x1.2350d024acd1ep-14, -0x1.1c38130108a3cp-14, -0x1.152703e311f4bp-14, -0x1.0e1e049399d23p-14, -0x1.071d8a842933p-14, -0x1.002574e8fe59dp-14, -0x1.f26cb9d33d22ep-15, -0x1.e49fdfae5f6cfp-15, -0x1.d6e5d02af4d5p-15, -0x1.c93ed41a8edccp-15, -0x1.bbab23c86878ep-15, -0x1.ae2b0aad83646p-15, -0x1.a0bf197f86ec4p-15, -0x1.9367a767e70dfp-15, -0x1.862511285a5bfp-15, -0x1.78f7aa71200acp-15, -0x1.6bdfe1efcef1ap-15, -0x1.5ede1293255e2p-15, -0x1.51f202b920426p-15, -0x1.451cdc2501de9p-15, -0x1.385ea36d79f4cp-15, -0x1.2bb72c875ed9dp-15, -0x1.1f272b9428d3cp-15, -0x1.12aec9b40b6f1p-15, -0x1.064e773d48f75p-15, -0x1.f40c74f0a9a27p-16, -0x1.dbacc3233d305p-16, -0x1.c37d9f3e42062p-16, -0x1.ab8071311782p-16, -0x1.93b7570f01617p-16, -0x1.7c1d51493a203p-16, -0x1.64b843a28ccccp-16, -0x1.4d85448210517p-16, -0x1.36866a94d8d75p-16, -0x1.1fbb7392983ccp-16, -0x1.09247934e188dp-16, -0x1.e583b968f610bp-17, -0x1.b927dbcaf0d81p-17, -0x1.8d35eae3b931p-17, -0x1.61ad8a92eb9fep-17, -0x1.369078e1b6e11p-17, -0x1.0bded1436fe8ep-17, -0x1.c32fb81ad9489p-18, -0x1.6f798f54efc06p-18, -0x1.1c9bee11c5b1bp-18, -0x1.952de149f8a03p-19, -0x1.e5ac7adc1edfap-20, -0x1.48bf21efa2523p-21, 0x1.32fcb34beba3ap-21, 0x1.d3f86f4b70c51p-20, 0x1.8580fa13c6e77p-19, 0x1.0fae17323704ep-18, 0x1.5bbbc70e66efdp-18, 0x1.a6ed59ee1a4acp-18, 0x1.f1473b74c3cc5p-18, 0x1.1d633e319f5a3p-17, 0x1.41b35daa5adcfp-17, 0x1.65986c584ca35p-17, 0x1.890f57284b98p-17, 0x1.ac1a73903c43bp-17, 0x1.ceb57b23463f7p-17, 0x1.f0e6e852f3042p-17, 0x1.09552013dc6a9p-16, 0x1.19fff5d766e83p-16, 0x1.2a756fecd3667p-16, 0x1.3ab4958f83f08p-16, 0x1.4abdeeacd9f49p-16, 0x1.5a914b287f195p-16, 0x1.6a2f10c1dd10ap-16, 0x1.79976878da6fp-16, 0x1.88ca66e9d22fcp-16, 0x1.97c833d6b0e1bp-16, 0x1.a6910191c3cacp-16, 0x1.b525005b8b3a1p-16, 0x1.c38463e1291b3p-16, 0x1.d1afc0158cd0bp-16, 0x1.dfa5b83ad1256p-16, 0x1.ed68afbcbe31p-16, 0x1.faf7b0952b16fp-16, 0x1.0429bc890a4c7p-15, 0x1.0abda48a28b53p-15, 0x1.11381a36ef96ap-15, 0x1.17992f3952f5fp-15, 0x1.1de0f2399c32fp-15, 0x1.240f738bd69a9p-15, 0x1.2a2547fe08ab2p-15, 0x1.30220563aebabp-15, 0x1.3605c1994a6f8p-15, 0x1.3bd0d3065490fp-15, 0x1.4183c088e73e6p-15, 0x1.471e4fd669f5ap-15, 0x1.4ca07e271beafp-15, 0x1.520a968c0637p-15, 0x1.575d44a2db309p-15, 0x1.5c97cf6561a2fp-15, 0x1.61ba7452eed6ep-15, 0x1.66c614f02d7ecp-15, 0x1.6bba381b3124fp-15, 0x1.7097569753415p-15, 0x1.755d7b48cd6bbp-15, 0x1.7a0cdc59bd568p-15, 0x1.7ea58f230d02cp-15, 0x1.8327cdc1f2bep-15, 0x1.8793992c7927ep-15, 0x1.8be9594219596p-15, 0x1.902938dd40ebp-15, 0x1.9453313677c25p-15, 0x1.9867a678e9b16p-15, 0x1.9c661bf8523fap-15, 0x1.a04fc9e43ce4cp-15, 0x1.a424462e14edcp-15, 0x1.a7e3dd301f0e5p-15, 0x1.ab8e8816c34a9p-15, 0x1.af24986dfa039p-15, 0x1.b2a625ecc901dp-15, 0x1.b61399be49d2fp-15, 0x1.b96cf08a7859dp-15, 0x1.bcb25b064328fp-15, 0x1.bfe3f797b989cp-15, 0x1.c30241c10929dp-15, 0x1.c60d1fc446701p-15, 0x1.c9047f9366058p-15, 0x1.cbe9539059f3bp-15, 0x1.cebaa3e6c16ep-15, 0x1.d179b81f48ebfp-15, 0x1.d426e360757dep-15, 0x1.d6c104d7b5266p-15, 0x1.d948cccde6b4cp-15, 0x1.dbbf51eaaa1b9p-15, 0x1.de23c73636feap-15, 0x1.e0769bc92e45p-15, 0x1.e2b81053710dep-15, 0x1.e4e8508c306f9p-15, 0x1.e7079b12a7496p-15, 0x1.e9159bb72d2bdp-15, 0x1.eb13487f28c1cp-15, 0x1.ed008dad3b167p-15, 0x1.eedd3862afd75p-15, 0x1.f0a9b6f306626p-15, 0x1.f2663e39bb76cp-15, 0x1.f412f92f0fe6p-15, 0x1.f5b0245afdd6cp-15, 0x1.f73dadfb11031p-15, 0x1.f8bc0e99a44dep-15, 0x1.fa2b45d330267p-15, 0x1.fb8b4125478e7p-15, 0x1.fcdcdb9e97a0cp-15, 0x1.fe219b1e0acf6p-15, 0x1.ff542e9add867p-15, 0x1.003d2def34be6p-14, 0x1.00c91fafb7055p-14, 0x1.014e1f31f22d5p-14, 0x1.01cc467c15b25p-14, 0x1.0243ab715c25p-14, 0x1.02b464df0326p-14, 0x1.031e46bd55e84p-14, 0x1.0381b29995e81p-14, 0x1.03dee516c4fdp-14, 0x1.04358344fe7e9p-14, 0x1.04858730486a9p-14, 0x1.04cfb37c948b7p-14, 0x1.0513b7df5486fp-14, 0x1.05519654772c8p-14, 0x1.058968a5f81c5p-14, 0x1.05bb5d35596fdp-14, 0x1.05e77f3b25c71p-14, 0x1.060de1390d843p-14, 0x1.062e9a10e182bp-14, 0x1.0649ca54f5686p-14, 0x1.065f31e7d9217p-14, 0x1.066f68e61729ap-14, 0x1.067a41bff1f76p-14, 0x1.067fc19abd34dp-14, 0x1.067ff6362ab9dp-14, 0x1.067b17d37b38p-14, 0x1.06712e1825b64p-14, 0x1.06622e0e2ae57p-14, 0x1.064e52822e119p-14, 0x1.06359a0f25f45p-14, 0x1.06181ef68db0bp-14, 0x1.05f5e088ed1cbp-14, 0x1.05cf01c0b5d5cp-14, 0x1.05a39271f6923p-14, 0x1.0573a50d39982p-14, 0x1.053f43c247138p-14, 0x1.050692c44cf12p-14, 0x1.04c984fec788ep-14, 0x1.048844ff6be46p-14, 0x1.0442cdb7c5355p-14, 0x1.03f94ebf51e41p-14, 0x1.03abbc380d6p-14, 0x1.035a4293852e4p-14, 0x1.0304d5f935d44p-14, 0x1.02ab97524664fp-14, 0x1.024e849e4a34ep-14, 0x1.01edd7d89292ap-14, 0x1.01897f83339f8p-14, 0x1.0121772873b9p-14, 0x1.00b5fc31f67f4p-14, 0x1.0047183bd85cbp-14, 0x1.ffa942f2cff2bp-15, 0x1.febde316b90eep-15, 0x1.fdcbfc7778d0fp-15, 0x1.fcd3a0417b5b7p-15, 0x1.fbd4c55aa91bdp-15, 0x1.facfc33c322cfp-15, 0x1.f9c4aa9ff4b17p-15, 0x1.f8b3a2afc3d11p-15, 0x1.f79cb90e2f9bap-15, 0x1.f67fb6c970ad1p-15, 0x1.f55d38551493p-15, 0x1.f4359491937abp-15, 0x1.f3080f4939ce6p-15, 0x1.f1d5742ae1693p-15, 0x1.f09d347361b65p-15, 0x1.ef602a6e99799p-15, 0x1.ee1e313d9d317p-15, 0x1.ecd72844c5694p-15, 0x1.eb8ae45c90a44p-15, 0x1.ea3a18df4f874p-15, 0x1.e8e562763a201p-15, 0x1.e78b759a15891p-15, 0x1.e62d24422209ap-15, 0x1.e4caa525e8815p-15, 0x1.e363ee14c7554p-15, 0x1.e2039a9024d0bp-15, 0x1.e08a0f74f3684p-15, 0x1.df17250c139f7p-15, 0x1.dda0559e9e367p-15, 0x1.dc25c24ffba66p-15, 0x1.daa77eab84748p-15, 0x1.d925a1091ff79p-15, 0x1.d7a03fabbb127p-15, 0x1.d617709fa499dp-15, 0x1.d48b4a085953bp-15, 0x1.d2fbe2f2eefb5p-15, 0x1.d1694a5e6ac45p-15, 0x1.cfd39920bf746p-15, 0x1.ce3ae35ee6f5ep-15, 0x1.cc9f4b87b8dabp-15, 0x1.cb00b96d826e3p-15, 0x1.c95f89856cc1cp-15, 0x1.c7bb943c37257p-15, 0x1.c615001e8263ap-15, 0x1.c46be14249e4ap-15, 0x1.c2c050f72eed9p-15, 0x1.c1125b1e50ac6p-15, 0x1.bf61e8e4e3ce3p-15, 0x1.bdaf4b61f118bp-15, 0x1.bbfa98024905cp-15, 0x1.ba43f539c242fp-15, 0x1.b88adee3ed5d4p-15, 0x1.b6cff6e232a13p-15, 0x1.b51328e7b92f1p-15, 0x1.b354587d1eff9p-15, 0x1.b194506e53422p-15, 0x1.afd24b76758f8p-15, 0x1.ae0e7a4d22773p-15, 0x1.ac48a9345609dp-15, 0x1.aa81e074db007p-15, 0x1.a8ba076a870ccp-15, 0x1.a6f01bf96f029p-15, 0x1.a5250b7c6fd7ep-15, 0x1.a358b9b96b93bp-15, 0x1.a18b3142a83c3p-15, 0x1.9fbc7da1976aep-15, 0x1.9decaecff06bep-15, 0x1.9c1bd35807884p-15, 0x1.9a49f976d5722p-15, 0x1.98772f2a5ca7ep-15, 0x1.96a382378b74cp-15, 0x1.94cf002c34b49p-15, 0x1.92f9a32ff3237p-15, 0x1.9123b2029b828p-15, 0x1.8f4d0031e6ee9p-15, 0x1.8d75adf3c620fp-15, 0x1.8b9dc726d4ce4p-15, 0x1.89c550adfeccep-15, 0x1.87ec430b3b17ep-15, 0x1.86134f61b466ap-15, 0x1.84396a02b15bfp-15, 0x1.825f3635adf97p-15, 0x1.8084d56e0b5d3p-15, 0x1.7eaa2b1dcbd54p-15, 0x1.7ccf88140245p-15, 0x1.7af46c453e065p-15, 0x1.79193f7f7072ep-15, 0x1.773e112127cfbp-15, 0x1.7562ccca76184p-15, 0x1.7387987409897p-15, 0x1.71ac49df34e43p-15, 0x1.6fd126d21f4e1p-15, 0x1.6df63aed9bd74p-15, 0x1.6c1b5245fdbddp-15, 0x1.6a409f1402bafp-15, 0x1.68663356ff565p-15, 0x1.668c15b296bbbp-15, 0x1.64b21c4fae584p-15, 0x1.62d893d63167p-15, 0x1.60ff85a29c6c6p-15, 0x1.5f2676fcc0c83p-15, 0x1.5d4e4bb85f3d7p-15, 0x1.5b76643ff582fp-15, 0x1.599eb6949dd9p-15, 0x1.57c83c39bed76p-15, 0x1.55f2143d4a6f5p-15, 0x1.541c1f02308b8p-15, 0x1.5247487f91957p-15, 0x1.5072b7714d78dp-15, 0x1.4e9efe803bda3p-15, 0x1.4ccc0837c5a87p-15, 0x1.4af9c2000895bp-15, 0x1.4928399704de5p-15, 0x1.475771e07010ap-15, 0x1.4587b4dc5e23bp-15, 0x1.43b87a9f86214p-15, 0x1.41ea590831adep-15, 0x1.401d124899c5cp-15, 0x1.3e50a02d3e435p-15, 0x1.3c853bf8fe60bp-15, 0x1.3abac6c139812p-15, 0x1.38f152b5006b6p-15, 0x1.3728c5fd27997p-15, 0x1.35615b07c82d5p-15, 0x1.339afafa2500cp-15, 0x1.31d5aa2b7eefbp-15, 0x1.301176419ebdp-15, 0x1.2e4e458f7cfcdp-15, 0x1.2c8c596268421p-15, 0x1.2acba304848eep-15, 0x1.290bf39d71255p-15, 0x1.274d8303f7788p-15, 0x1.25902c8d3ab7fp-15, 0x1.23d4475779e81p-15, 0x1.221987fef1d9ep-15, 0x1.20600021ac03ap-15, 0x1.1ea7c72637cb9p-15, 0x1.1cf0d646f5c9dp-15, 0x1.1b3b4462bed2fp-15, 0x1.19870525d1e84p-15, 0x1.17d3fb8caebd2p-15, 0x1.16225fb4a7ae6p-15, 0x1.147250d3bfcfcp-15, 0x1.12c34b022600ep-15, 0x1.1115f083904f8p-15, 0x1.0f69d1bb539cdp-15, 0x1.0dbf4c66a36b7p-15, 0x1.0c1652b874bcfp-15, 0x1.0a6e70493b68dp-15, 0x1.08c82c672234fp-15, 0x1.07235d8dc50a6p-15, 0x1.058010329d67dp-15, 0x1.03de552a95736p-15, 0x1.023e07f2f422ap-15, 0x1.009f4f692b10ep-15, 0x1.fe0406947e8e9p-16, 0x1.facc910a26c57p-16, 0x1.f79810f49874fp-16, 0x1.f4673e0369d48p-16, 0x1.f138a96fb7c71p-16, 0x1.ee0dbc075edfp-16, 0x1.eae61f42e78bcp-16, 0x1.e7c1914ed5034p-16, 0x1.e4a02b26aa213p-16, 0x1.e181dbb68405dp-16, 0x1.de66a30b4071dp-16, 0x1.db4f27199468bp-16, 0x1.d83aca74dafe8p-16, 0x1.d5295fa10cdb4p-16, 0x1.d21b351b99f9fp-16, 0x1.cf10b57363a03p-16, 0x1.cc09448d32ce6p-16, 0x1.c9052a3978c5ep-16, 0x1.c60463fac89e7p-16, 0x1.c306f1ff36e49p-16, 0x1.c00cdbe5734b6p-16, 0x1.bd165422bae3p-16, 0x1.ba225f2d66a23p-16, 0x1.b73254392cc3p-16, 0x1.b4462c715b8aap-16, 0x1.b15c86242aa8p-16, 0x1.ae76f3128f5bcp-16, 0x1.ab940f16ca47cp-16, 0x1.a8b522894d33bp-16, 0x1.a5d9770e114e1p-16, 0x1.a30163143dd1fp-16, 0x1.a0462c9d417c7p-16, 0x1.9d5a92c2e6b8dp-16, 0x1.9a8cf1ac5f009p-16, 0x1.97c21304c30eep-16, 0x1.94fad7fa46932p-16, 0x1.9237168279795p-16, 0x1.8f76e85c2b0e3p-16, 0x1.8cba2bd06c05p-16, 0x1.8a00852d97392p-16, 0x1.874a66a2b67fcp-16, 0x1.8498028917318p-16, 0x1.81e8f19471494p-16, 0x1.7f3d174b4483ep-16, 0x1.7c94ef6577d4ap-16, 0x1.79efcc844f0dcp-16, 0x1.774eb6719032ap-16, 0x1.74b13e1361a13p-16, 0x1.7216221e93fe3p-16, 0x1.6f7f3e0518ae6p-16, 0x1.6cebdfc5c01c3p-16, 0x1.6a5b82b29c7f2p-16, 0x1.67cedbd53c1f6p-16, 0x1.6545935709d01p-16, 0x1.62bfb7914f42p-16, 0x1.603d44b04b1adp-16, 0x1.5dbea1a84def2p-16, 0x1.5b42ba0b28a27p-16, 0x1.58ca9e3f1dcf7p-16, 0x1.5655fc00be4d8p-16, 0x1.53e4a30632eeap-16, 0x1.5176950c7ec13p-16, 0x1.4f0c1a72a7cccp-16, 0x1.4ca503d730451p-16, 0x1.4a41007848a17p-16, 0x1.47e0d2e53eb09p-16, 0x1.4583f77c666f1p-16, 0x1.432a694f1ca0ep-16, 0x1.40d44989182aap-16, 0x1.3e8121b923d48p-16, 0x1.3c31e460c73d6p-16, 0x1.39e5940f90cb7p-16, 0x1.379cbc1971417p-16, 0x1.35575fe2f857dp-16, 0x1.33154caac05fp-16, 0x1.30d632850b0c2p-16, 0x1.2e9ac201bdd59p-16, 0x1.2c62bbab30625p-16, 0x1.2a2daab47cc2dp-16, 0x1.27fc58f697273p-16, 0x1.25cdcf423f593p-16, 0x1.23a2c5ed050b7p-16, 0x1.217b20132d71cp-16, 0x1.1f56882d396ffp-16, 0x1.1d35420ec6481p-16, 0x1.1b173d4d583eep-16, 0x1.18fc7bb4a0306p-16, 0x1.16e4dced5e73ep-16, 0x1.14d0ba991fe1fp-16, 0x1.12bf5f4e69b0bp-16, 0x1.10b1848156342p-16, 0x1.0ea6d222c26fdp-16, 0x1.0c9f17582c7d1p-16, 0x1.0a9a981aac16p-16, 0x1.089983dc8437cp-16, 0x1.069b5bd72ed67p-16, 0x1.04a05b329a391p-16, 0x1.02a8a60bb53ap-16, 0x1.00b3c7da76cd9p-16, 0x1.fd8466b0aa897p-17, 0x1.f9a74eb3700dap-17, 0x1.f5d0b5786db79p-17, 0x1.f1ffd7d0c66e9p-17, 0x1.ee3484c5580a4p-17, 0x1.ea702dbe460d9p-17, 0x1.e6b25b50e917cp-17, 0x1.e2fa167d72f9bp-17, 0x1.df4785388058bp-17, 0x1.db9b5506dad9fp-17, 0x1.d7f5067fa6aacp-17, 0x1.d4547e9337684p-17, 0x1.d0ba8476b2944p-17, 0x1.cd25d72cd1a5dp-17, 0x1.c997690c67a7ap-17, 0x1.c60e85e7f439bp-17, 0x1.c28bd9df6944cp-17, 0x1.bf0ed6090944ep-17, 0x1.bb98840d5f29cp-17, 0x1.b825eaea0b5d6p-17, 0x1.b4bac3386a03ep-17, 0x1.b15511ecf3305p-17, 0x1.adf4b89450a44p-17, 0x1.aa99fac0869c1p-17, 0x1.a7457025df6cdp-17, 0x1.a3f62f78f3417p-17, 0x1.a0acc7a603d01p-17, 0x1.9d6869e3169fep-17, 0x1.9a2a2e9123c8fp-17, 0x1.96f1b7d32c84ap-17, 0x1.93bdea1e42ae1p-17, 0x1.90903d883d5f9p-17, 0x1.8d67e72abe7bcp-17, 0x1.8a45509fc021bp-17, 0x1.87276d46e5ab9p-17, 0x1.840eff777fee7p-17, 0x1.80fc50799861ep-17, 0x1.7defcf5cdea7fp-17, 0x1.7ae7343148d6bp-17, 0x1.77e432acc218p-17, 0x1.74e6c430d5786p-17, 0x1.71ee71f7f2cf4p-17, 0x1.6efb7bfe122e7p-17, 0x1.6c0da011d84f3p-17, 0x1.6924f2297893fp-17, 0x1.6641922f6cb5cp-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{0x1.deea79b6a1d38p-1, 0x1.dd8390cc715fep-1, 0x1.db8f5e99294dap-1, 0x1.d91019d6735d3p-1, 0x1.d6088650bd2b6p-1, 0x1.d27be84b8d6d2p-1, 0x1.ce6df726eb091p-1, 0x1.c9e2cfbcd917fp-1, 0x1.c4dee6d2faadep-1, 0x1.bf66fbe5de498p-1, 0x1.b9800c80e469bp-1, 0x1.b32f48467b77dp-1, 0x1.ac7a05c03a918p-1, 0x1.a565b804b58efp-1, 0x1.9df7e53942263p-1, 0x1.96361df0170f2p-1, 0x1.8e25f55eb9dbbp-1, 0x1.85ccfa6575d33p-1, 0x1.7d30b15e4970fp-1, 0x1.74568ea81fcbfp-1, 0x1.6b43f1e241db4p-1, 0x1.61fe21cb5fafep-1, 0x1.588a48b778012p-1, 0x1.4eed718ffb49fp-1, 0x1.452c8551ea6e1p-1, 0x1.3b4c48fe1bf98p-1, 0x1.31515bf076dddp-1, 0x1.274036938d7b8p-1, 0x1.1d1d2966b61b9p-1, 0x1.12ec5c4d76b73p-1, 0x1.08b1ce1fc882ep-1, 0x1.fce2a8e6d960fp-2, 0x1.e85d372e707f3p-2, 0x1.d3da4d73c1848p-2, 0x1.bf60a06ce5efep-2, 0x1.aaf694025854dp-2, 0x1.96a23c5ffd315p-2, 0x1.82695f350bd49p-2, 0x1.6e51751b51714p-2, 0x1.5a5fab1f21445p-2, 0x1.4698e4621221p-2, 0x1.3301bbd35303p-2, 0x1.1f9e85f9142a2p-2, 0x1.0c7352c706345p-2, 0x1.f307defd0b82fp-3, 0x1.cda7d12ae4d3dp-3, 0x1.a8cd174241adfp-3, 0x1.847dd2866f5b5p-3, 0x1.60bfae2d26252p-3, 0x1.3d97e33527fe8p-3, 0x1.1b0b3c370ee35p-3, 0x1.f23c325beb52p-4, 0x1.afa8e66c3ec6p-4, 0x1.6e63c08011a69p-4, 0x1.2e732d6d149a2p-4, 0x1.dfb9c45c105dp-5, 0x1.654bc5eaadae2p-5, 0x1.db4a288242963p-6, 0x1.e334785d0283cp-7, 0x1.b286616b9b045p-11, -0x1.a17bbb675d656p-7, -0x1.a9541e21e4577p-6, -0x1.3e146d36d1cd9p-5, -0x1.a49c35209e373p-5, -0x1.0420462c473eep-4, -0x1.3480c32dfc04dp-4, -0x1.63700c9037d28p-4, -0x1.90ef08f00a801p-4, -0x1.bcff05167b8bdp-4, -0x1.e7a1aea5bda7cp-4, -0x1.086c8774e5da8p-3, -0x1.1c53c2e6281bap-3, -0x1.2f87e275e13e6p-3, -0x1.420a656ab72fp-3, -0x1.53dcef31350c6p-3, -0x1.6501451b85b93p-3, -0x1.75794c326d2f2p-3, -0x1.854707174bce1p-3, -0x1.946c93f713054p-3, -0x1.a2ec2a8e0665ap-3, -0x1.b0c81a3c1b5ffp-3, -0x1.be02c829d6413p-3, -0x1.ca9ead7d6c22ap-3, -0x1.d69e55a001565p-3, -0x1.e2045c92d22ddp-3, -0x1.ecd36d5406c55p-3, -0x1.f70e405305d85p-3, -0x1.005bccfa03353p-2, -0x1.04e924914e44p-2, -0x1.093092f987ef7p-2, -0x1.0d338829159fbp-2, -0x1.10f37761a6cf1p-2, -0x1.1471d69635d4cp-2, -0x1.17b01dd7e1be8p-2, -0x1.1aafc6c979352p-2, -0x1.1d724c1991e97p-2, -0x1.1ff9290308098p-2, -0x1.2245d8d3bb85ap-2, -0x1.2459d67967f4dp-2, -0x1.26369c146b1f5p-2, -0x1.27dda290568e1p-2, -0x1.295061421fb42p-2, -0x1.2a904d8bcb127p-2, -0x1.2b9eda856497bp-2, -0x1.2c7d78ab204c2p-2, -0x1.2d2d959079f08p-2, -0x1.2db09b982c6c2p-2, -0x1.2e07f1b0d5f0fp-2, -0x1.2e34fb1623e29p-2, -0x1.2e3917165e0b9p-2, -0x1.2e15a0dc2bbd9p-2, -0x1.2dcbef3c66e25p-2, -0x1.2d5d5487df84ep-2, -0x1.2ccb1e60e2879p-2, -0x1.2c16959461a82p-2, -0x1.2b40fdf698c25p-2, -0x1.2a4b96430c408p-2, -0x1.293797ffbe6bep-2, -0x1.2806376375597p-2, -0x1.26b8a33ef69f5p-2, -0x1.255004e911ae6p-2, -0x1.23cd802d5bc8cp-2, -0x1.2232333d7f3cep-2, -0x1.207f36a4fb264p-2, -0x1.1eb59d3f3aa24p-2, -0x1.1cd6742fe4b03p-2, -0x1.1ae2c2dd47b4cp-2, -0x1.18db8aecc63e6p-2, -0x1.16c1c84129c56p-2, -0x1.149670fac4fap-2, -0x1.125a757947479p-2, -0x1.100ec05f2dc22p-2, -0x1.0db43696b78c3p-2, -0x1.0b4bb7584a59ep-2, -0x1.08d61c322e00bp-2, -0x1.065439118bb8fp-2, -0x1.03c6dc4c9aa43p-2, -0x1.012eceadecd5bp-2, -0x1.fd19a7017faf8p-3, -0x1.f7c3513c8d1e8p-3, -0x1.f25c0cf7b2476p-3, -0x1.ece54073ef243p-3, -0x1.e760476825337p-3, -0x1.e1ce732213b7fp-3, -0x1.dc310aa89c11p-3, -0x1.d6894adf3f363p-3, -0x1.d0d866aaa93dap-3, -0x1.cb1f87163dbb1p-3, -0x1.c55fcb7a838a2p-3, -0x1.bf9a49a45f4e8p-3, -0x1.b9d00dfd02454p-3, -0x1.b4021bb271433p-3, -0x1.ae316ce0a681ep-3, -0x1.a85ef2bb15f1fp-3, -0x1.a28b95b6aa0ep-3, -0x1.9cb835b40469p-3, -0x1.96e5aa2a09e21p-3, -0x1.9114c2509bb44p-3, -0x1.8b46454b76593p-3, -0x1.857af25525881p-3, -0x1.7fb380e9fc9a7p-3, -0x1.79f0a0f30d2ecp-3, -0x1.7432faf108ae9p-3, -0x1.6e7b302709337p-3, -0x1.68c9dac52caf1p-3, -0x1.631f8e1304f8ep-3, -0x1.5d7cd699c5029p-3, -0x1.57e23a4e35c0bp-3, -0x1.525038ba4eb7ap-3, -0x1.4cc74b268748ap-3, -0x1.4747e4c2cac28p-3, -0x1.41d272cf01213p-3, -0x1.3c675cc33c53ep-3, -0x1.370704776b3e3p-3, -0x1.31b1c64aa5cfap-3, -0x1.2c67f949f286cp-3, -0x1.2729ef569a7b7p-3, -0x1.21f7f54bf7b6bp-3, -0x1.1cd25324bdd63p-3, -0x1.17b94c1fbb3aep-3, -0x1.12ad1ee410feep-3, -0x1.0dae05a4d806fp-3, -0x1.08bc36443b18dp-3, -0x1.03d7e275f7e4cp-3, -0x1.fe026fc2a4e2p-4, -0x1.f470c084deef6p-4, -0x1.eafb031622a39p-4, -0x1.e1a17c058cc5dp-4, -0x1.d86468cced19dp-4, -0x1.cf44000eb473fp-4, -0x1.c64071d2a7e6bp-4, -0x1.bd59e7c160135p-4, -0x1.b490855e965fcp-4, -0x1.abe4684233c14p-4, -0x1.a355a85032b3ep-4, -0x1.9ae457ef44889p-4, -0x1.9290843e473cbp-4, -0x1.8a5a35488d6fbp-4, -0x1.82416e38ea90dp-4, -0x1.7a462d8b9943p-4, -0x1.72686d3ef1c2ap-4, -0x1.6aa82302f648p-4, -0x1.63054067b6cfap-4, -0x1.5b7fb30a907fdp-4, -0x1.541764c249e8cp-4, -0x1.4ccc3bca10dd5p-4, -0x1.459e1aeb5a997p-4, -0x1.3e8ce1a6ab7d5p-4, -0x1.37986c5b4a0efp-4, -0x1.30c0946ddf318p-4, -0x1.2a05306e0716dp-4, -0x1.2366143ad99b5p-4, -0x1.1ce3112669b15p-4, -0x1.167bf6184399cp-4, -0x1.10308faeeaf8ap-4, -0x1.0a00a8605d852p-4, -0x1.03ec0899a15e3p-4, -0x1.fbe4edbab91cbp-5, -0x1.f0276fc30475fp-5, -0x1.e49f1d5824506p-5, -0x1.d94b795de7142p-5, -0x1.ce2c03c5dbe6bp-5, -0x1.c34039c38881cp-5, -0x1.b88795feebcf4p-5, -0x1.ae0190c555bb7p-5, -0x1.a3ada038a2ab8p-5, -0x1.998b387cd170dp-5, -0x1.8f99cbe417f89p-5, -0x1.85d8cb19662bfp-5, -0x1.7c47a54967e6bp-5, -0x1.72e5c84a173fcp-5, -0x1.69b2a0c0d9dd8p-5, -0x1.60ad9a4739dfdp-5, -0x1.57d61f8e3fa55p-5, -0x1.4f2b9a8075ed8p-5, -0x1.46ad7462a0141p-5, -0x1.3e5b15f32ad7ep-5, -0x1.3633e7885e5cbp-5, -0x1.2e37512d59d93p-5, -0x1.2664babde217cp-5, -0x1.1ebb8c0107b61p-5, -0x1.173b2cc2b2839p-5, -0x1.0fe304ec0f86ep-5, -0x1.08b27c9af2e88p-5, -0x1.01a8fc3832561p-5, -0x1.f58bd919f3f2ep-6, -0x1.e8116dae54e34p-6, -0x1.dae189b984876p-6, -0x1.cdfb01fcb44ddp-6, -0x1.c15cac917cc1ap-6, -0x1.b505610b48f8bp-6, -0x1.a8f3f8971bccp-6, -0x1.9d274e19ab549p-6, -0x1.919e3e4be3911p-6, -0x1.8657a7d5e604p-6, -0x1.7b526b687c708p-6, -0x1.708d6bd52a577p-6, -0x1.66078e24cc5p-6, -0x1.5bbfb9acdc761p-6, -0x1.51b4d82369ffep-6, -0x1.47e5d5b1cc6dap-6, -0x1.3e51a106173fcp-6, -0x1.34f72b635e62cp-6, -0x1.2bd568b0df05bp-6, -0x1.22eb4f87ff7b1p-6, -0x1.1a37d9414467dp-6, -0x1.11ba02003ec42p-6, -0x1.0970c8be779b9p-6, -0x1.015b2f556bd8p-6, -0x1.f2f0750f24ec6p-7, -0x1.e38de4111b06p-7, -0x1.d48cc108e459ap-7, -0x1.c5eb274c8c56bp-7, -0x1.b7a7383b5c8afp-7, -0x1.a9bf1b47bf17cp-7, -0x1.9c30fdffa692dp-7, -0x1.8efb1413852acp-7, -0x1.821b975bfbe11p-7, -0x1.7590c7de33c5cp-7, -0x1.6958ebcf089d4p-7, -0x1.5d724f94f5753p-7, -0x1.51db45c8e7bfbp-7, -0x1.46922735ff262p-7, -0x1.3b9552d84459ep-7, -0x1.30e32dda60748p-7, -0x1.267a239262fafp-7, -0x1.1c58a57daddfcp-7, -0x1.127d2b3bf5ed9p-7, -0x1.08e632897ffcdp-7, -0x1.ff247e7129428p-8, -0x1.ecffb6547d6b2p-8, -0x1.db5b2c8c8d66ep-8, -0x1.ca340ce53eadp-8, -0x1.b9878f1429103p-8, -0x1.a952f6a50c5f3p-8, -0x1.999392e501c2ep-8, -0x1.8a46becc923a9p-8, -0x1.7b69e0e8f2f37p-8, -0x1.6cfa6b4449ed5p-8, -0x1.5ef5db4d18c37p-8, -0x1.5159b9bcdccacp-8, -0x1.44239a7dce03p-8, -0x1.37511c901613cp-8, -0x1.2adfe9ee43a9p-8, -0x1.1ecdb7712811cp-8, -0x1.131844b34b989p-8, -0x1.07bd5bf394aa6p-8, -0x1.f975a3ef67328p-9, -0x1.e41d0bdc15478p-9, -0x1.cf6cc29e61e05p-9, -0x1.bb60af7e70e5ap-9, -0x1.a7f4cddce8a52p-9, -0x1.95252cf4395c1p-9, -0x1.82edef994cc2dp-9, -0x1.714b4bfbc4712p-9, -0x1.60398b65edf35p-9, -0x1.4fb509fc9518bp-9, -0x1.3fba367e2a8e3p-9, -0x1.304592021a53fp-9, -0x1.2153afb7c93f3p-9, -0x1.12e134a59ee05p-9, -0x1.04ead7681cea1p-9, -0x1.eedabfe1793c9p-10, -0x1.d4cb4e89fa67ap-10, -0x1.bba12e7b10623p-10, -0x1.a356548abfd1ep-10, -0x1.8be4d632e3375p-10, -0x1.7546e9107c39ap-10, -0x1.5f76e2637faaap-10, -0x1.4a6f368f13431p-10, -0x1.362a789a7b01fp-10, -0x1.22a359b2f0bcap-10, -0x1.0fd4a8adc29cap-10, -0x1.fb72a31799036p-11, -0x1.d898b9fae1021p-11, -0x1.b711dfce192f6p-11, -0x1.96d495ce2d6p-11, -0x1.77d793b9681adp-11, -0x1.5a11c6dee018cp-11, -0x1.3d7a51300ac21p-11, -0x1.22088854d18f4p-11, -0x1.07b3f4c0a27ccp-11, -0x1.dce8a19543607p-12, -0x1.ac830f909c7b2p-12, -0x1.7e276a5384a6cp-12, -0x1.51c647321dee8p-12, -0x1.2750983887b52p-12, -0x1.fd6f54e104b04p-13, -0x1.afda485fde91cp-13, -0x1.65c606d47dff7p-13, -0x1.1f17380f2f01bp-13, -0x1.b76659022e41ap-14, -0x1.36ffb403b22d7p-14, -0x1.798f626e0b3cdp-15, -0x1.2232fb0bbaeb6p-16, 0x1.2f0beac699d67p-17, 0x1.1d6456d208944p-15, 0x1.e42690301c726p-15, 0x1.5031aa68fafd7p-14, 0x1.a939099a88f1ep-14, 0x1.fd5402f90895bp-14, 0x1.26560fce6b49p-13, 0x1.4bb4ed05237f3p-13, 0x1.6eda51e331cd4p-13, 0x1.8fd97567bfca8p-13, 0x1.aec50f8083a34p-13, 0x1.cbaf5bb367c66p-13, 0x1.e6aa1bbaf6101p-13, 0x1.ffc69a1a94c8cp-13, 0x1.0b8ad6531d2ffp-12, 0x1.1653db80d9f69p-12, 0x1.2046568a45623p-12, 0x1.296a0ab8bc8b9p-12, 0x1.31c685dc0e0ep-12, 0x1.3963217485901p-12, 0x1.404703d8eb789p-12, 0x1.4679215766172p-12, 0x1.4c003d50049afp-12, 0x1.50e2eb4cf29aep-12, 0x1.55279013623a4p-12, 0x1.58d462b0e32bap-12, 0x1.5bef6d83883d2p-12, 0x1.5e7e8f3dcb05dp-12, 0x1.60877be5a3e4bp-12, 0x1.620fbdce9e792p-12, 0x1.631cb68f730a1p-12, 0x1.63b39ff344628p-12, 0x1.63d98ce6d1671p-12, 0x1.63936a5fe3bd5p-12, 0x1.62e60041e22aap-12, 0x1.61d5f23d68e0bp-12, 0x1.6067c0abd3b6dp-12, 0x1.5e9fc96629495p-12, 0x1.5c8248981fa7bp-12, 0x1.5a13598f4236dp-12, 0x1.5756f785ab5f7p-12, 0x1.5450fe68bbdd8p-12, 0x1.51052b9c7ee19p-12, 0x1.4d771ebac5919p-12, 0x1.49aa5a4e14eecp-12, 0x1.45a24489aca42p-12, 0x1.416227fd0aa76p-12, 0x1.3ced344419dfcp-12, 0x1.38467eb396457p-12, 0x1.337103025f93fp-12, 0x1.2e6fa3eec8435p-12, 0x1.29452be14fd48p-12, 0x1.23f44d8a6b268p-12, 0x1.1e7fa47e7c07p-12, 0x1.18e9b5cdfaa17p-12, 0x1.1334f09a41645p-12, 0x1.0d63aea6defd8p-12, 0x1.077834e8ff3ebp-12, 0x1.0174b411c2f96p-12, 0x1.f6b6923098611p-13, 0x1.ea5bfb7d4ae29p-13, 0x1.dddd9227ef549p-13, 0x1.d13f1fe9bc426p-13, 0x1.c4844b114abffp-13, 0x1.b7b0977542ddfp-13, 0x1.aac7676521bb2p-13, 0x1.9dcbfc92780a5p-13, 0x1.90c178f3fa08bp-13, 0x1.83aadfa7ab918p-13, 0x1.768b15cb5ab6bp-13, 0x1.6964e351d113p-13, 0x1.5c3af3d3f948ep-13, 0x1.4f0fd75d1131p-13, 0x1.41e6032fc5fbcp-13, 0x1.34bfd28aa362ep-13, 0x1.279f8765de4bdp-13, 0x1.1a874b2b00298p-13, 0x1.0d792f6cc04dap-13, 0x1.00772e9616d4fp-13, 0x1.e706592f507a1p-14, 0x1.cd3def214fe5p-14, 0x1.b39890e5eccbcp-14, 0x1.9a1987482eb86p-14, 0x1.80c3f3337bb11p-14, 0x1.679acee872508p-14, 0x1.4ea0ef253222fp-14, 0x1.35d90449e20b7p-14, 0x1.1d459b74913b5p-14, 0x1.04e91f98490e4p-14, 0x1.d98bb51407b6cp-15, 0x1.a9bbec13bcc1ep-15, 0x1.7a66f988bd802p-15, 0x1.4b90b697efe24p-15, 0x1.1d3cc22038f56p-15, 0x1.dedd052ebe0c2p-16, 0x1.84524fb55913fp-16, 0x1.2adf59e624795p-16, 0x1.a513673eb7a54p-17, 0x1.ed5a27bd8566dp-18, 0x1.2a555297e013fp-19, -0x1.7cabd096479b1p-19, -0x1.068b96aba4095p-17, -0x1.ab850f9c0cda8p-17, -0x1.2708410abd5a1p-16, -0x1.7713d8fef82efp-16, -0x1.c5e27f300c9a3p-16, -0x1.09b8d700bb3ap-15, -0x1.2fdf9403600a4p-15, -0x1.55647ab8c2722p-15, -0x1.7a46b0c8c0d98p-15, -0x1.9e857c2d351e9p-15, -0x1.c2204200f1891p-15, -0x1.e516855cf8402p-15, -0x1.03b3f3195ce97p-14, -0x1.148a101a58f7ap-14, -0x1.250d84e23ea07p-14, -0x1.353e4976fc551p-14, -0x1.451c622fd9c9dp-14, -0x1.54a7df38f152bp-14, -0x1.63e0dc1ba7021p-14, -0x1.72c77f4518f77p-14, -0x1.815bf993e833dp-14, -0x1.8f9e85e8eb962p-14, -0x1.9d8f68ba98c2p-14, -0x1.ab2eefaacbedbp-14, -0x1.b87d712085e6cp-14, -0x1.c57b4be55331dp-14, -0x1.d228e6c398218p-14, -0x1.de86b028fb4efp-14, -0x1.ea951dcb3dbfcp-14, -0x1.f654ac51cd9d3p-14, -0x1.00e2ef7ed4499p-13, -0x1.06749fab7177dp-13, -0x1.0bdfae6e8b612p-13, -0x1.1124665bfe345p-13, -0x1.164314b612477p-13, -0x1.1b3c0948acc27p-13, -0x1.200f964648f4cp-13, -0x1.24be1024ce899p-13, -0x1.2947cd7c3b35bp-13, -0x1.2dad26e647b25p-13, -0x1.31ee76dfb074p-13, -0x1.360c19a94856cp-13, -0x1.3a066d2a9ecfcp-13, -0x1.3dddd0d5e7adbp-13, -0x1.4192a58c20ff7p-13, -0x1.45254d82a4deep-13, -0x1.48962c296bc6p-13, -0x1.4be5a612a8c4ap-13, -0x1.4f1420da4549p-13, -0x1.5222030ecb803p-13, -0x1.550fb41ab1fd9p-13, -0x1.57dd9c2f35809p-13, -0x1.5a8c242f8030bp-13, -0x1.5d1bb59becc5cp-13, -0x1.5f8cba7f0dd92p-13, -0x1.61df9d5ad20a3p-13, -0x1.6414c916199fbp-13, -0x1.662ca8ebc92b2p-13, -0x1.6827a8596c7adp-13, -0x1.6a06330fd75b5p-13, -0x1.6bc8b4e2d326dp-13, -0x1.6d6f99ba94184p-13, -0x1.6efb4d8493b1bp-13, -0x1.706c3c26eb8cbp-13, -0x1.71c2d171eb1a1p-13, -0x1.72ff7913de885p-13, -0x1.74229e8c80feap-13, -0x1.752cad2159eedp-13, -0x1.761e0fd26a90cp-13, -0x1.76f7314f17b77p-13, -0x1.77b87bec0e0c5p-13, -0x1.7862599945d0fp-13, -0x1.78f533d8923d5p-13, -0x1.797173b43645cp-13, -0x1.79d781b62e6cp-13, -0x1.7a27c5e09e663p-13, -0x1.7a62a7a4e9657p-13, -0x1.7a888ddcc0f7ap-13, -0x1.7a99dec29baf3p-13, -0x1.7a96ffeb36691p-13, -0x1.7a80563ef3579p-13, -0x1.7a5645f366fd4p-13, -0x1.7a193285d1258p-13, -0x1.79c97eb548659p-13, -0x1.79678c7dde387p-13, -0x1.78f3bd1349807p-13, -0x1.786e70dc0f238p-13, -0x1.77d8076de0804p-13, -0x1.7730df88927fap-13, -0x1.76795712b2151p-13, -0x1.75b1cb15c413bp-13, -0x1.74da97ba9d553p-13, -0x1.73f41846d4cd9p-13, -0x1.72fea719443a4p-13, -0x1.71fa9da7794fap-13, -0x1.70e8547b19633p-13, -0x1.6fc8232fa00f1p-13, -0x1.6e9a60706c326p-13, -0x1.6d5f61f64fbe7p-13, -0x1.6c177c86538f4p-13, -0x1.6ac303efeddb2p-13, -0x1.69624b0ba11d8p-13, -0x1.67f5a3b99db57p-13, -0x1.667d5ee0bbc9fp-13, -0x1.64f9cc6d76facp-13, -0x1.636b3b51b6886p-13, -0x1.61d1f983491e4p-13, -0x1.602e53fc1575fp-13, -0x1.5e8096b93a103p-13, -0x1.5cc90cbb36a36p-13, -0x1.5b080005a5dap-13, -0x1.593db99efe462p-13, -0x1.576a81911dfd7p-13, -0x1.558e9ee93a63p-13, -0x1.53aa57b85d5abp-13, -0x1.51bdf113a622ap-13, -0x1.4fc9af14d9717p-13, -0x1.4dcdd4daf1931p-13, -0x1.4bcaa48b38563p-13, -0x1.49c05f5187e5fp-13, -0x1.47af45618523ep-13, -0x1.459795f75e9cp-13, -0x1.43798f58ef738p-13, -0x1.41556ed6eef36p-13, -0x1.3f2b70cdca823p-13, -0x1.3cfbd0a739299p-13, -0x1.3ac6c8db621f7p-13, -0x1.388c92f225893p-13, -0x1.364d6784bad08p-13, -0x1.34097e3effb4bp-13, -0x1.31c10de0ce90dp-13, -0x1.2f744c3fffc4ap-13, -0x1.2d236e49d1fe5p-13, -0x1.2acea8045b86p-13, -0x1.28762c9098434p-13, -0x1.261a2e2bedf29p-13, -0x1.23bade31f3e93p-13, -0x1.21586d1e70e3ep-13, -0x1.1ef30a8ee3bd8p-13, -0x1.1c8ae544af2dcp-13, -0x1.1a202b26d5d7p-13, -0x1.17b30943f2adbp-13, -0x1.1543abd43ee23p-13, -0x1.12d23e3b75909p-13, -0x1.105eeb0ab689ep-13, -0x1.0de9dc02cfcbep-13, -0x1.0b733a1635e81p-13, -0x1.08fb2d6adf98bp-13, -0x1.0681dd5c854f8p-13, -0x1.0407707eb923fp-13, -0x1.018c0c9ed29dbp-13, -0x1.fe1fad8ca8323p-14, -0x1.f925e679617a6p-14, -0x1.f42b0b137cf81p-14, -0x1.ef2f60ef5b269p-14, -0x1.ea332c2a1cec7p-14, -0x1.e536af6e909d3p-14, -0x1.e03a2bf91f2ddp-14, -0x1.db3de19be10a1p-14, -0x1.d6420ec3533ecp-14, -0x1.d146f07a81ed3p-14, -0x1.cc4cc26f532c4p-14, -0x1.c753bef6daeafp-14, -0x1.c25c1f1192005p-14, -0x1.bd661a6fbfac9p-14, -0x1.b871e775cd7b4p-14, -0x1.b37fbb4071b76p-14, -0x1.ae8fc9a8dd797p-14, -0x1.a9a24549876f5p-14, -0x1.a4b75f819e90fp-14, -0x1.9fcf4879e3db8p-14, -0x1.9aea2f28a7bc8p-14, -0x1.960841563955cp-14, -0x1.9129aba0709dbp-14, -0x1.8c4e997fdc3adp-14, -0x1.8777354aeff2bp-14, -0x1.82a3a83ab639p-14, -0x1.7dd41a6efe6bcp-14, -0x1.7908b2f1b764ap-14, -0x1.744197bbf3899p-14, -0x1.6f7eedb95bdddp-14, -0x1.6ac0d8cc5650fp-14, -0x1.66077bd1ede7dp-14, -0x1.6152f8a61807ap-14, -0x1.5ca370273509cp-14, -0x1.57f9023a45da6p-14, -0x1.5353cdce82b5p-14, -0x1.4eb3f0e1d0b6cp-14, -0x1.4a198883bcf52p-14, -0x1.4584b0d9d0333p-14, -0x1.40f5852366771p-14, -0x1.3c6c1fbcc0a5bp-14, -0x1.37e89a23ab9fdp-14, -0x1.336b0cfa63632p-14, -0x1.2ef3900b60e6p-14, -0x1.2a823a4d471dcp-14, -0x1.261721e634313p-14, -0x1.21b25c2f21cdap-14, -0x1.1d53fdb79f035p-14, -0x1.18fc1a4965349p-14, -0x1.14aac4eb8b04bp-14, -0x1.10600fe5c272ep-14, -0x1.0c1c0cc42f896p-14, -0x1.07decc5a8df8p-14, -0x1.03a85ec72a8cap-14, -0x1.fef1a6ed3178dp-15, -0x1.f6a0724d6e8f7p-15, -0x1.ee5d3bd36ec4ep-15, -0x1.e6281e534220dp-15, -0x1.de013356ca3a1p-15, -0x1.d5e89322f3f6ap-15, -0x1.cdde54bef08b3p-15, -0x1.c5e28df9fbbdep-15, -0x1.bdf55370f0cd4p-15, -0x1.b616b89442c7ep-15, -0x1.ae46cfae27548p-15, -0x1.a685a9e8717dfp-15, -0x1.9ed3575159f5ep-15, -0x1.972fe6e20cf0cp-15, -0x1.8f9b6683eeb4ep-15, -0x1.8815e316324e7p-15, -0x1.809f6872c0719p-15, -0x1.7938017440085p-15, -0x1.71dfb7fad6e3fp-15, -0x1.6a9694f15f86p-15, -0x1.635ca053301cp-15, -0x1.5c31e1309603bp-15, -0x1.55165db3c9492p-15, -0x1.4e0a1b26411p-15, -0x1.470d1df5738c8p-15, -0x1.401f69b7694edp-15, -0x1.3941012fa9e93p-15, -0x1.3271e653b4926p-15, -0x1.2bb21a5082acbp-15, -0x1.25019d8d64f58p-15, -0x1.1e606fb2098dap-15, -0x1.17ce8faa4f3ccp-15, -0x1.114bfbaa75a8cp-15, -0x1.0ad8b133fa213p-15, -0x1.0474ad18fdb8p-15, -0x1.fc3fd70213d1fp-16, -0x1.efb4cfda16fe4p-16, -0x1.e3483a7688eefp-16, -0x1.d6fa0b571de9dp-16, -0x1.caca35c6063bdp-16, -0x1.beb8abdfa270dp-16, -0x1.b2c55e9a9ddcdp-16, -0x1.a6f03dcf15984p-16, -0x1.9b39383dc1a4dp-16, -0x1.8fa03b97e1597p-16, -0x1.8425348540b21p-16, -0x1.78c80eadb3362p-16, -0x1.6d88b4bc13624p-16, -0x1.62671068e4fe4p-16, -0x1.57630a7eff1bcp-16, -0x1.4c7c8ae2ac95cp-16, -0x1.41b37898ba8c5p-16, -0x1.3707b9cafa094p-16, -0x1.2c7933d0a9cdp-16, -0x1.2207cb336e1fep-16, -0x1.17b363b5f3f03p-16, -0x1.0d7be0598ceddp-16, -0x1.03612364ad304p-16, -0x1.f2c61ccfc8f1p-17, -0x1.df0304878798ap-17, -0x1.cb78be5de6b1dp-17, -0x1.b82709753fd44p-17, -0x1.a50da3b2eec59p-17, -0x1.922c49c62596fp-17, -0x1.7f82b735c4706p-17, -0x1.6d10a66894874p-17, -0x1.5ad5d0ae7dd7cp-17, -0x1.48d1ee4d9e418p-17, -0x1.3704b688f3466p-17, -0x1.256ddfab5493bp-17, -0x1.140d1f10d41a4p-17, -0x1.02e2292d54341p-17, -0x1.e3d963327aa98p-18, -0x1.c258d630b90fbp-18, -0x1.a1420f460a8dep-18, -0x1.809470dba2baep-18, -0x1.604f5be79ec07p-18, -0x1.40722ff89c1c9p-18, -0x1.20fc4b48727a8p-18, -0x1.01ed0aca98b93p-18, -0x1.c687947a493e4p-19, -0x1.89ffc86dda981p-19, -0x1.4e41646e7e579p-19, -0x1.134b19647cfe3p-19, -0x1.b2372c87a0da5p-20, -0x1.3f631040e160ep-20, -0x1.9c2e694b9ef15p-21, -0x1.7943b47a7ebbp-22, 0x1.fe4ec14daed92p-25, 0x1.f2d69d8a1a085p-22, 0x1.cff6b8682f17bp-21, 0x1.51c64c485fc6fp-20, 0x1.ba1931ae82185p-20, 0x1.107b644e06ceep-19, 0x1.4330e79a9fed3p-19, 0x1.752e82b26415bp-19, 0x1.a6759654ca14cp-19, 0x1.d70783f9bb30fp-19, 0x1.0372d6ddf9feep-18, 0x1.1b08bb20d53acp-18, 0x1.324620550e619p-18, 0x1.492bb83ce2382p-18, 0x1.5fba34c139efep-18, 0x1.75f247ed50476p-18, 0x1.8bd4a3e24eb74p-18, 0x1.a161facd1b858p-18, 0x1.b69afedf8bfe8p-18, 0x1.cb8062465364p-18, 0x1.e012d722389b7p-18, 0x1.f4530f7e89b32p-18, 0x1.0420dea647239p-17, 0x1.0defc92ba615fp-17, 0x1.1796a01e66ea6p-17, 0x1.2115bc341f024p-17, 0x1.2a6d7604ca502p-17, 0x1.339e2607659bdp-17, 0x1.3ca8248f45ffp-17, 0x1.458bc9c6bc0e3p-17, 0x1.4e496daea5741p-17, 0x1.56e168193ff2cp-17, 0x1.5f5410a762e72p-17, 0x1.67a1bec63958dp-17, 0x1.6fcac9aa9b70ep-17, 0x1.77cf884fcd3eap-17, 0x1.7fb05175ff5eap-17, 0x1.876d7b9c7fb5fp-17, 0x1.8f075d0044302p-17, 0x1.967e4b9add405p-17, 0x1.9dd29d1dfd9bp-17, 0x1.a504a6f10ba21p-17, 0x1.ac14be325b909p-17, 0x1.b30337b0ba7a9p-17, 0x1.b9d067eae9b7p-17, 0x1.c07ca30d57354p-17, 0x1.c7083cf02233bp-17, 0x1.cd738914ec154p-17, 0x1.d3bedaa58fcc5p-17, 0x1.d9ea84719955cp-17, 0x1.dff6d8ec927ecp-17, 0x1.e5e42a2caa756p-17, 0x1.ebb2c9e8a370ap-17, 0x1.f1630976e656dp-17, 0x1.f6f539ca75a32p-17, 0x1.fc69ab72f1b87p-17, 0x1.00e0574cab39ep-16, 0x1.037d4980f4063p-16, 0x1.060bd403a026cp-16, 0x1.088c1e4d3ce98p-16, 0x1.0afe4fa13f63p-16, 0x1.0d628f0d1e915p-16, 0x1.0fb90366f699dp-16, 0x1.1201d34eeee99p-16, 0x1.143d252d4a739p-16, 0x1.166b1f31c13cfp-16, 0x1.188be753ec73p-16, 0x1.1a9fa351a0294p-16, 0x1.1ca678afade7ap-16, 0x1.1ea08cb8fca41p-16, 0x1.208e047dca871p-16, 0x1.226f04d3d48d3p-16, 0x1.2443b255c15ecp-16, 0x1.260c3162d2c46p-16, 0x1.27c8a61eb841fp-16, 0x1.297934711607bp-16, 0x1.2b1e0004c76fap-16, 0x1.2cb72c48b89a9p-16, 0x1.2e44dc6e6f047p-16, 0x1.2fc7336b15925p-16, 0x1.313e53f602fdbp-16, 0x1.32aa60899e402p-16, 0x1.340b7b6251cd7p-16, 0x1.3561c67eb10bap-16, 0x1.36ad639f4e87fp-16, 0x1.37ee744747c1ap-16, 0x1.392519bb29418p-16, 0x1.3a51750142307p-16, 0x1.3b73a6e19c6a1p-16, 0x1.3c8bcfe56a361p-16, 0x1.3d9a1057af9dap-16, 0x1.3e9e8844ef8e3p-16, 0x1.3f99577ae764ap-16, 0x1.408a9d88be7c8p-16, 0x1.417279beedafap-16, 0x1.42510b2f6c039p-16, 0x1.432670ad82b4ep-16, 0x1.43f2c8ce20cd5p-16, 0x1.44b631e706922p-16, 0x1.4570ca1013dcap-16, 0x1.4622af221e817p-16, 0x1.46cbfeb8064b6p-16, 0x1.476cd62e0ff88p-16, 0x1.480552a26a888p-16, 0x1.489590f553fc7p-16, 0x1.491dadc8722aap-16, 0x1.499dc57f71fdap-16, 0x1.4a15f4409d55ap-16, 0x1.4a8655f48bc4fp-16, 0x1.4aef0645f0d7cp-16, 0x1.4b5020a265d73p-16, 0x1.4ba9c03a0cd4cp-16, 0x1.4bfbffffd2f57p-16, 0x1.4c46faa9f5c06p-16, 0x1.4c8acab1c74fbp-16, 0x1.4cc78a53fab25p-16, 0x1.4cfd5390d7cd9p-16, 0x1.4d2c402c93462p-16, 0x1.4d5469af4016ep-16, 0x1.4d75e9653a35cp-16, 0x1.4d90d85f66b5bp-16, 0x1.4da54f72e5f3ep-16, 0x1.4db3673a2a74ep-16, 0x1.4dbb381486522p-16, 0x1.4dbcda2680f9ap-16, 0x1.4db8655a31406p-16, 0x1.4dadf15faf3c3p-16, 0x1.4d9d95ad4d30cp-16, 0x1.4d87697f4ec85p-16, 0x1.4d6b83d89a569p-16, 0x1.4d49fb82c8b31p-16, 0x1.4d22e70f2c3cp-16, 0x1.4cf65cd5c357p-16, 0x1.4cc472f6a002ap-16, 0x1.4c8d3f59ba70ep-16, 0x1.4c50d7af05ecdp-16, 0x1.4c0f516f26704p-16, 0x1.4bc8c1db79496p-16, 0x1.4b7d3dfea0e58p-16, 0x1.4b2cdaac5823fp-16, 0x1.4ad7ac8227339p-16, 0x1.4a7dc7e77930ap-16, 0x1.4a1f410e250dap-16, 0x1.49bc2bf2bb65ep-16, 0x1.49549c5c8ad04p-16, 0x1.48e8a5ddceb57p-16, 0x1.48785bd4bef88p-16, 0x1.4803d16b54279p-16, 0x1.478b19975192fp-16, 0x1.470e471b3d2d9p-16, 0x1.468d6c863daf1p-16, 0x1.46089c351b1a4p-16, 0x1.457fe85196d83p-16, 0x1.44f362d30e91bp-16, 0x1.44631d7f235c2p-16, 0x1.43cf29ea11a2p-16, 0x1.433799769cf63p-16, 0x1.429c7d569e07ep-16, 0x1.41fde68b9e479p-16, 0x1.415be5e69090ep-16, 0x1.40b68c084ffc9p-16, 0x1.400de96295985p-16, 0x1.3f620e379384dp-16, 0x1.3eb30a9a92c49p-16, 0x1.3e00ee70271d6p-16, 0x1.3d4bc96ecd9f1p-16, 0x1.3c93ab1ed9e78p-16, 0x1.3bd8a2db49437p-16, 0x1.3b1abfd1bb79fp-16, 0x1.3a5a11030ad6dp-16, 0x1.3996a542ffc98p-16, 0x1.38d08b3986bd7p-16, 0x1.3807d162b5de7p-16, 0x1.373c860ecd182p-16, 0x1.366eb762e7596p-16, 0x1.359e73590f79bp-16, 0x1.34cbc7c11ee18p-16, 0x1.33f6c2406fb7fp-16, 0x1.331f705246cf6p-16, 0x1.3245df48bbacp-16, 0x1.316a1c4c6cdacp-16, 0x1.308c345d31ecbp-16, 0x1.2fac34520f374p-16, 0x1.2eca28da27388p-16, 0x1.2de61e7c9b9b7p-16, 0x1.2d002198d0f39p-16, 0x1.2c183e67004bap-16, 0x1.2b2e80f892a8cp-16, 0x1.2a42f53841779p-16, 0x1.2955a6eabb8f4p-16, 0x1.2866a1ae6cfdp-16, 0x1.2775f0fc40d9ep-16, 0x1.2683a027ee64ep-16, 0x1.258fba605f551p-16, 0x1.249a4aafaf214p-16, 0x1.23a35bfb9c219p-16, 0x1.22aaf905d4a9p-16, 0x1.21b12c6c9cc16p-16, 0x1.20b600aaf232ap-16, 0x1.1fb980187573ap-16, 0x1.1ebbb4ea197c6p-16, 0x1.1dbca93273098p-16, 0x1.1cbc66e24f35dp-16, 0x1.1bbaf7c8712f6p-16, 0x1.1ab86591f5a81p-16, 0x1.19b4b9cb0ee76p-16, 0x1.18affddefe4e8p-16, 0x1.17aa3b1893e2bp-16, 0x1.16a37aa258d15p-16, 0x1.159bc586aad13p-16, 0x1.149324b083bc5p-16, 0x1.1389a0eb82edcp-16, 0x1.127f42e4206b1p-16, 0x1.117413281bdc1p-16, 0x1.10681a26c8342p-16, 0x1.0f5b603155319p-16, 0x1.0e4ded7b20cacp-16, 0x1.0d3fca19cb5b1p-16, 0x1.0c30fe05b6752p-16, 0x1.0b21911a5ef56p-16, 0x1.0a118b169bb27p-16, 0x1.0900f39c9648ep-16, 0x1.07efd2327470cp-16, 0x1.06de2e428563p-16, 0x1.05cc0f1b84dd4p-16, 0x1.04b97bf0d6f04p-16, 0x1.03a67bdac0ed1p-16, 0x1.029315d6d1e0ap-16, 0x1.017f50c8454c1p-16, 0x1.006b3377fbefbp-16, 0x1.fead8929ad2c5p-17, 0x1.fc8415682a641p-17, 0x1.fa5a18a3593b1p-17, 0x1.f82f9fa05f16cp-17, 0x1.f604b6f2da1bbp-17, 0x1.f3d96afd65c34p-17, 0x1.f1adc7f193a71p-17, 0x1.ef81d9d0bb07bp-17, 0x1.ed55ac6c86081p-17, 0x1.eb294b6793167p-17, 0x1.e8fcc235a5ec1p-17, 0x1.e6d01c1c547d2p-17, 0x1.e4a36433535aep-17, 0x1.e276a565afdecp-17, 0x1.e049ea71417e6p-17, 0x1.de1d3de796249p-17, 0x1.dbf0aa2ec77bep-17, 0x1.d9c43981aedp-17, 0x1.d797f5f024774p-17, 0x1.d56be95f8a2cp-17, }}, 
      {{0x1.dfaa7e9d3f776p-1, 0x1.df329ec11d8fdp-1, 0x1.de8b412ce9987p-1, 0x1.ddb4d8dfc2e2p-1, 0x1.dcaff68f6d5d2p-1, 0x1.db7d46b2cd2aep-1, 0x1.da1d8f63bcd79p-1, 0x1.d891ae2984eb9p-1, 0x1.d6da95b9ef125p-1, 0x1.d4f94bbc15ae4p-1, 0x1.d2eee695a179ap-1, 0x1.d0bc8b491e1d6p-1, 0x1.ce636b6a5b733p-1, 0x1.cbe4c32c661cbp-1, 0x1.c941d78b7bdc8p-1, 0x1.c67bf4946f1bap-1, 0x1.c3946bca2c62ep-1, 0x1.c08c92a97e5f1p-1, 0x1.bd65c14ab01e3p-1, 0x1.ba21512057aap-1, 0x1.b6c09bd24a5aap-1, 0x1.b344fa338d63dp-1, 0x1.afafc351ee355p-1, 0x1.ac024b9ddee0ap-1, 0x1.a83de429203d8p-1, 0x1.a463d9fac2df5p-1, 0x1.a075757709e5ep-1, 0x1.9c73f9d9bf8cdp-1, 0x1.9860a4c197e3bp-1, 0x1.943cadcb4b84ap-1, 0x1.9009463b2035ep-1, 0x1.8bc798b3aa487p-1, 0x1.8778c8f8a03fap-1, 0x1.831df3bca97c4p-1, 0x1.7eb82e792a5dfp-1, 0x1.7a48874f1677dp-1, 0x1.75d004efee0a8p-1, 0x1.714fa68e14513p-1, 0x1.6cc863d3c0324p-1, 0x1.683b2cdfd5348p-1, 0x1.63a8ea4806652p-1, 0x1.5f127d1fab399p-1, 0x1.5a78bf02c1d44p-1, 0x1.55dc8224a18cp-1, 0x1.513e9161ee002p-1, 0x1.4c9fb0556559ap-1, 0x1.48009b6f2c7cp-1, 0x1.4362080e47c8ep-1, 0x1.3ec4a49bf0a2dp-1, 0x1.3a2918a88a8ep-1, 0x1.35900509f3fb6p-1, 0x1.30fa03fb01b41p-1, 0x1.2c67a93bef3d7p-1, 0x1.27d982339bcp-1, 0x1.2350161168c6ep-1, 0x1.1ecbe5ef9a852p-1, 0x1.1a4d6cf6194dbp-1, 0x1.15d5207d761d4p-1, 0x1.116370321ce11p-1, 0x1.0cf8c6379c132p-1, 0x1.0895874bed6fp-1, 0x1.043a12eaaf7afp-1, 0x1.ffcd86e081e0dp-2, 0x1.f737dc795a9abp-2, 0x1.eeb3c7acc0e39p-2, 0x1.e641e0192e55dp-2, 0x1.dde2b43302097p-2, 0x1.d596c988136a3p-2, 0x1.cd5e9d02904b1p-2, 0x1.c53aa32b0a12p-2, 0x1.bd2b4869b1198p-2, 0x1.b530f146ae73fp-2, 0x1.ad4bfaa99577bp-2, 0x1.a57cba17e1a37p-2, 0x1.9dc37df27ce78p-2, 0x1.96208db24829dp-2, 0x1.8e942a239be84p-2, 0x1.871e8da0c4eeap-2, 0x1.7fbfec4b6d49dp-2, 0x1.78787444fb273p-2, 0x1.71484de5d7fb8p-2, 0x1.6a2f9bf3a4ca5p-2, 0x1.632e7bd654822p-2, 0x1.5c4505cc2ea2p-2, 0x1.55734d1cb9467p-2, 0x1.4eb9604a8789dp-2, 0x1.48174943eb572p-2, 0x1.418d0d9292997p-2, 0x1.3b1aae8a03079p-2, 0x1.34c02975022dp-2, 0x1.2e7d77c1e4dbap-2, 0x1.28528f2dc27fp-2, 0x1.223f61ee9ad7p-2, 0x1.1c43dedc62a8fp-2, 0x1.165ff19900a42p-2, 0x1.109382b73a79fp-2, 0x1.0ade77e097e0ep-2, 0x1.0540b3fa378d5p-2, 0x1.ff742e91415cdp-3, 0x1.f494ff25166dap-3, 0x1.e9e390855aeafp-3, 0x1.df5f95110c644p-3, 0x1.d508baf060fefp-3, 0x1.cadeac5277f8p-3, 0x1.c0e10fa930eap-3, 0x1.b70f87e3167f7p-3, 0x1.ad69b4a379966p-3, 0x1.a3ef3278be98bp-3, 0x1.9a9f9b10decbdp-3, 0x1.917a856c2c8aap-3, 0x1.887f860e5fb1cp-3, 0x1.7fae2f2df931fp-3, 0x1.770610e1f8814p-3, 0x1.6e86b94df9ca1p-3, 0x1.662fb4ccbb157p-3, 0x1.5e008e191ae95p-3, 0x1.55f8ce75905b2p-3, 0x1.4e17fdd22480cp-3, 0x1.465da2f1017bap-3, 0x1.3ec94389947a3p-3, 0x1.375a646a4d3d6p-3, 0x1.301089990854dp-3, 0x1.28eb36722876ap-3, 0x1.21e9edc668a0bp-3, 0x1.1b0c31f773531p-3, 0x1.145185133a7e8p-3, 0x1.0db968ee2e0e5p-3, 0x1.07435f3c421a5p-3, 0x1.00eee9a8dc803p-3, 0x1.f57713db590fbp-4, 0x1.e95183d0e739ap-4, 0x1.dd6c275f96d85p-4, 0x1.d1c6034dcf4adp-4, 0x1.c65e1d20d479ep-4, 0x1.bb337b407d80bp-4, 0x1.b04525192abb7p-4, 0x1.a592233bf5f5fp-4, 0x1.9b197f7d2c8d8p-4, 0x1.90da45112a0cep-4, 0x1.86d380a79a49ap-4, 0x1.7d0440852cb1ap-4, 0x1.736b949bd0e18p-4, 0x1.6a088ea181f8bp-4, 0x1.60da4225aa84dp-4, 0x1.57dfc4a537025p-4, 0x1.4f182d9d593adp-4, 0x1.4682969d0d939p-4, 0x1.3e1e1b556caa9p-4, 0x1.35e9d9a8d3d3p-4, 0x1.2de4f1b8ef2aap-4, 0x1.260e85f3b1c5ep-4, 0x1.1e65bb1f43ddfp-4, 0x1.16e9b864f29cbp-4, 0x1.0f99a75b2b339p-4, 0x1.0874b40e8a08cp-4, 0x1.017a0d0a08b72p-4, 0x1.f551c6bca5edbp-5, 0x1.e800d55094b5ep-5, 0x1.daffb22d8795bp-5, 0x1.ce4ccedf09676p-5, 0x1.c1e6a22715b34p-5, 0x1.b5cba805454f5p-5, 0x1.a9fa61bcae271p-5, 0x1.9e7155d883899p-5, 0x1.932f102f818dp-5, 0x1.883221e6351dep-5, 0x1.7d7921702f81fp-5, 0x1.7302aa902d0c3p-5, 0x1.68cd5e57414d9p-5, 0x1.5ed7e3230f178p-5, 0x1.5520e49b2004fp-5, 0x1.4ba713ad5dff7p-5, 0x1.42692689c166ep-5, 0x1.3965d89d3a8b2p-5, 0x1.309bea8be1057p-5, 0x1.280a222a74e8p-5, 0x1.1faf4a7738cdbp-5, 0x1.178a33923119fp-5, 0x1.0f99b2b4ce0a1p-5, 0x1.07dca2290c8e7p-5, 0x1.0051e14014415p-5, 0x1.f1f0a890b5d7cp-6, 0x1.e39dc906a894dp-6, 0x1.d5a900357409p-6, 0x1.c810342ad91d6p-6, 0x1.bad15497ef05ap-6, 0x1.adea5ab9852b3p-6, 0x1.a159493fde51cp-6, 0x1.951c2c35db7aep-6, 0x1.893118e7a1154p-6, 0x1.7d962dc8bc1b2p-6, 0x1.72499259d968ep-6, 0x1.6749770e143b3p-6, 0x1.5c94152fe9e6p-6, 0x1.5227aec5d6fe2p-6, 0x1.48028e76b040bp-6, 0x1.3e23076db4682p-6, 0x1.3487753e6d732p-6, 0x1.2b2e3bc855677p-6, 0x1.2215c71a5eeebp-6, 0x1.193c8b56546ebp-6, 0x1.10a1049422b9ep-6, 0x1.0841b6c509b5ep-6, 0x1.001d2d96c5452p-6, 0x1.f063f8ad5a146p-7, 0x1.e0fd7ba9a8563p-7, 0x1.d204288e54fa8p-7, 0x1.c375525954b74p-7, 0x1.b54e5a6127b7bp-7, 0x1.a78cb01b7e77ep-7, 0x1.9a2dd0e3f7f5bp-7, 0x1.8d2f47c337236p-7, 0x1.808ead361e59ep-7, 0x1.7449a6f563757p-7, 0x1.685de7bd68e85p-7, 0x1.5cc92f1673b08p-7, 0x1.5189491d35be9p-7, 0x1.469c0e4bc66b4p-7, 0x1.3bff6342f73fap-7, 0x1.31b138941a751p-7, 0x1.27af8a8b3c942p-7, 0x1.1df860f9d34ffp-7, 0x1.1489cf01e8166p-7, 0x1.0b61f2e1c1b72p-7, 0x1.027ef5c00e1bcp-7, 0x1.f3be16f12cfa4p-8, 0x1.e300e4d2f6404p-8, 0x1.d2c2e681e8b34p-8, 0x1.c300c19765c63p-8, 0x1.b3b72f877588ep-8, 0x1.a4e2fd3fcd201p-8, 0x1.96810ac7e7ae1p-8, 0x1.888e4ae24cf9p-8, 0x1.7b07c2af1c0b2p-8, 0x1.6dea894faebd2p-8, 0x1.6133c78b86931p-8, 0x1.54e0b7766ea96p-8, 0x1.48eea417cfdffp-8, 0x1.3d5ae91345e71p-8, 0x1.3222f2526f8cfp-8, 0x1.27443baff77adp-8, 0x1.1cbc50a3e29d7p-8, 0x1.1288cbf11503fp-8, 0x1.08a757540e9fep-8, 0x1.fe2b5665ef115p-9, 0x1.eba31c9dab896p-9, 0x1.d9b1aaec0757ap-9, 0x1.c852c66fd1b77p-9, 0x1.b7824f33cc869p-9, 0x1.a73c3f9af38b4p-9, 0x1.977cabcf28c7fp-9, 0x1.883fc1327014ap-9, 0x1.7981c5d2607c7p-9, 0x1.6b3f17de1eafep-9, 0x1.5d742d1e97edp-9, 0x1.501d927135a9p-9, 0x1.4337eb44c93dfp-9, 0x1.36bff118e1276p-9, 0x1.2ab272ff5251ap-9, 0x1.1f0c552021f61p-9, 0x1.13ca903f96081p-9, 0x1.08ea31468df93p-9, 0x1.fcd0b19a2dc52p-10, 0x1.e884754e491d4p-10, 0x1.d4ea3ae6d6e4p-10, 0x1.c1fcb458f875fp-10, 0x1.afb6b777c9752p-10, 0x1.9e133d1ec0933p-10, 0x1.8d0d606058fc2p-10, 0x1.7ca05db8c1f38p-10, 0x1.6cc7924496e4fp-10, 0x1.5d7e7afb73ff5p-10, 0x1.4ec0b3ee9fa51p-10, 0x1.4089f78b73216p-10, 0x1.32d61de1a227dp-10, 0x1.25a11bed42b88p-10, 0x1.18e702e48c66cp-10, 0x1.0ca3ff8932dd3p-10, 0x1.00d4597d56e3cp-10, 0x1.eae8e53838dc5p-11, 0x1.d5018cab78152p-11, 0x1.bfebd21dc78eap-11, 0x1.aba10f06ff157p-11, 0x1.981acc59f922ap-11, 0x1.8552c157856f3p-11, 0x1.7342d26797d41p-11, 0x1.61e50ff90d505p-11, 0x1.5133b56780196p-11, 0x1.412927e763742p-11, 0x1.31bff578338cbp-11, 0x1.22f2d3dc6093bp-11, 0x1.14bc9f970ecd3p-11, 0x1.07185aefc7439p-11, 0x1.f40259f6ed13cp-12, 0x1.dae4c15691fc1p-12, 0x1.c2cec7c1c4548p-12, 0x1.abb78d0ef4ce2p-12, 0x1.9596736562e98p-12, 0x1.80631d8465b04p-12, 0x1.6c156d159e764p-12, 0x1.58a5810850941p-12, 0x1.460bb3f6389f2p-12, 0x1.34409a926955dp-12, 0x1.233d0221440ebp-12, 0x1.12f9eef9b4c05p-12, 0x1.03709b0fb214ap-12, 0x1.e934e90d13ddap-13, 0x1.cce238996f95ap-13, 0x1.b1dcc97f21221p-13, 0x1.9818a0af4f7f7p-13, 0x1.7f8a20bb090f8p-13, 0x1.6826074b2e978p-13, 0x1.51e16aa86e075p-13, 0x1.3cb1b752a74f2p-13, 0x1.288cada700cf6p-13, 0x1.15685f9510451p-13, 0x1.033b2e631d9a3p-13, 0x1.e3f790fba1183p-14, 0x1.c3424eaf07a42p-14, 0x1.a4451aa993ee8p-14, 0x1.86ef078a7be6dp-14, 0x1.6b2fb1d66c292p-14, 0x1.50f73c1c8bd6cp-14, 0x1.38364b3305bfdp-14, 0x1.20de028f4a51ap-14, 0x1.0ae000b2c2e2fp-14, 0x1.ec5cb760017e3p-15, 0x1.c5773b90f671p-15, 0x1.a0f5843a20037p-15, 0x1.7ebe62e6eb066p-15, 0x1.5eb97e28666b3p-15, 0x1.40cf4b74b664fp-15, 0x1.24e9092fabd67p-15, 0x1.0af0b8e15fb9dp-15, 0x1.e5a23314cd55p-16, 0x1.b8eb443b73442p-16, 0x1.8f94f84d60147p-16, 0x1.6978fd1534876p-16, 0x1.467250e554ec4p-16, 0x1.265d38b068153p-16, 0x1.09173662f643cp-16, 0x1.dcfdfee8dfcc1p-17, 0x1.ace8e787cd8e4p-17, 0x1.81b1295bb34a6p-17, 0x1.5b1af8beb458cp-17, 0x1.38ecaaccc7859p-17, 0x1.1aeea501c161dp-17, 0x1.00eb4d261e90dp-17, 0x1.d55df39211f6p-18, 0x1.b00fc6354c11ap-18, 0x1.918c285c9f9d3p-18, 0x1.7976b9514bdf6p-18, 0x1.677685a7cebd6p-18, 0x1.5b35ec249128cp-18, 0x1.54628340e059fp-18, 0x1.52acff913a4cbp-18, 0x1.55c91ad220157p-18, 0x1.5d6d7ba569cddp-18, 0x1.69539dfb0ac4p-18, 0x1.7937bc3742fbdp-18, 0x1.8cd8b8d676e94p-18, 0x1.a3f808b88a5e2p-18, 0x1.be599e1f19c44p-18, 0x1.dbc3d42de4485p-18, 0x1.fbff5b06696cfp-18, 0x1.0f6b923db0b2dp-17, 0x1.220c28a66c66p-17, 0x1.35c90f6f595c4p-17, 0x1.4a8aeabde8ba9p-17, 0x1.603b5b9029ab9p-17, 0x1.76c4f75f4178ep-17, 0x1.8e133fffb109fp-17, 0x1.a6129bc0cb2c3p-17, 0x1.beb04dc5dac59p-17, 0x1.d7da6e92ff296p-17, 0x1.f17fe4d1c997ap-17, 0x1.05c82f26ddce3p-16, 0x1.12fe24967eb7ep-16, 0x1.205a66a70f8e6p-16, 0x1.2dd5e2f12d948p-16, 0x1.3b69dd9d4a726p-16, 0x1.490fee5c49b6fp-16, 0x1.56c1fd79de2cfp-16, 0x1.647a4103c1374p-16, 0x1.72333a0ab07d4p-16, 0x1.7fe7b1f4920f7p-16, 0x1.8d92b7e52d01dp-16, 0x1.9b2f9e3baac1ep-16, 0x1.a8b9f8228c851p-16, 0x1.b62d9731ab9bcp-16, 0x1.c38689236e412p-16, 0x1.d0c1159a1f7b9p-16, 0x1.ddd9bbfccaad4p-16, 0x1.eacd315e370ecp-16, 0x1.f7985e77467d3p-16, 0x1.021c2eda7562ap-15, 0x1.08553ca741a51p-15, 0x1.0e7614b906a6dp-15, 0x1.147d893c11e7dp-15, 0x1.1a6a8196727fp-15, 0x1.203bf99294cc3p-15, 0x1.25f1008f4a5b6p-15, 0x1.2b88b8b7b6a22p-15, 0x1.3102564296f7bp-15, 0x1.365d1eb4c67d1p-15, 0x1.3b98682d212e1p-15, 0x1.40b398b24b88ep-15, 0x1.45ae258a9fe2p-15, 0x1.4a879297208a8p-15, 0x1.4f3f71b3f9d1p-15, 0x1.53d5621e7bbb4p-15, 0x1.58490fe1bb30cp-15, 0x1.5c9a3344fba0ep-15, 0x1.60c8904248757p-15, 0x1.64d3f5fdb721fp-15, 0x1.68bc3e44e9353p-15, 0x1.6c814d11e1c71p-15, 0x1.70231010fc8aap-15, 0x1.73a17e2bbec95p-15, 0x1.76fc97191f5e4p-15, 0x1.7a3462eed442dp-15, 0x1.7d48f1b93d19ap-15, 0x1.803a5b14a0092p-15, 0x1.8308bdcacea59p-15, 0x1.85b43f750752ep-15, 0x1.883d0c20e814p-15, 0x1.8aa355f75a1d3p-15, 0x1.8ce754e861c39p-15, 0x1.8f0946598727p-15, 0x1.91096cd644988p-15, 0x1.92e80fc466e37p-15, 0x1.94a57b1a5623bp-15, 0x1.9641ff183f65ep-15, 0x1.97bdf0051525p-15, 0x1.9919a5eca13dbp-15, 0x1.9a557c603e05bp-15, 0x1.9b71d23b4912ap-15, 0x1.9c6f09681ffd5p-15, 0x1.9d4d86a89ea07p-15, 0x1.9e0db15ff2877p-15, 0x1.9eaff35eb497fp-15, 0x1.9f34b8b0f672cp-15, 0x1.9f9c6f6f8d93ap-15, 0x1.9fe7879169f84p-15, 0x1.a01672bf8864p-15, 0x1.a029a42b96f45p-15, 0x1.a0219066c2c6ep-15, 0x1.9ffead3b52996p-15, 0x1.9fc171878e513p-15, 0x1.9f6a55196e1c4p-15, 0x1.9ef9d08cae0fbp-15, 0x1.9e705d2abecb7p-15, 0x1.9dce74cb71d43p-15, 0x1.9d1491b691314p-15, 0x1.9c432e87fae0ap-15, 0x1.9b5ac61462bf1p-15, 0x1.9a5bd34eb7492p-15, 0x1.9946d130747bdp-15, 0x1.981c3aa0e371cp-15, 0x1.96dc8a5ed58d4p-15, 0x1.95883aeb13c6cp-15, 0x1.941fc674bf2e8p-15, 0x1.92a3a6c5323eep-15, 0x1.9114552d8d7c8p-15, 0x1.8f724a75fe28cp-15, 0x1.8dbdfecc6ac0ep-15, 0x1.8bf7e9b4bc03ap-15, 0x1.8a2081fadb5cp-15, 0x1.88383da384172p-15, 0x1.863f91df6d915p-15, 0x1.8436f2fea4f11p-15, 0x1.821ed4656e84ap-15, 0x1.7ff7a88065497p-15, 0x1.7dc1e0ba2bd04p-15, 0x1.7b7ded7262d47p-15, 0x1.792c3df3c917fp-15, 0x1.76cd406bad8e9p-15, 0x1.746161e2b6bb1p-15, 0x1.71e90e34a41dcp-15, 0x1.6f64b009c3f29p-15, 0x1.6cd4b0d071946p-15, 0x1.6a3978b7d76abp-15, 0x1.67936ea9fe7efp-15, 0x1.64e2f846e9c45p-15, 0x1.622879e099653p-15, 0x1.5f6456769f758p-15, 0x1.5c96efb24fed9p-15, 0x1.59c0a5e4175c1p-15, 0x1.56e1d800381c8p-15, 0x1.53fae39c0e4d3p-15, 0x1.510c24ec170bap-15, 0x1.4e15f6c2435a6p-15, 0x1.4b18b28c8dadap-15, 0x1.4814b0533f7c8p-15, 0x1.450a46b8726ebp-15, 0x1.41f9caf7544a4p-15, 0x1.3ee390e376c5ap-15, 0x1.3bc7eae90ef09p-15, 0x1.38a72a0ce6caep-15, 0x1.35819decb1ef5p-15, 0x1.325794bf5096fp-15, 0x1.2f295b55c8eb3p-15, 0x1.2bf73d1c5ef71p-15, 0x1.28c1841bb9353p-15, 0x1.258878f9f5fbbp-15, 0x1.224c62fc5a077p-15, 0x1.1f0d8808e7f88p-15, 0x1.1bcc2ca7fab04p-15, 0x1.18889406a070bp-15, 0x1.1542fff871096p-15, 0x1.11fbb0f9e2d6cp-15, 0x1.0eb2e632569dfp-15, 0x1.0b68dd76b4f71p-15, 0x1.081dd34c346ddp-15, 0x1.04d202eaf57aep-15, 0x1.0185a64089f3dp-15, 0x1.fc71ebe650ad3p-16, 0x1.f5d852c8aff2ep-16, 0x1.ef3eed67ccbc3p-16, 0x1.e8a62586a8457p-16, 0x1.e20e62717213ep-16, 0x1.db78090488082p-16, 0x1.d4e37bb2219bbp-16, 0x1.ce511a89a8951p-16, 0x1.c7c1433e0d9acp-16, 0x1.c134512dbc8cap-16, 0x1.baaa9d6828c4ep-16, 0x1.b4247eb5d374ep-16, 0x1.ada2499f0f306p-16, 0x1.a7245072eeb5p-16, 0x1.a0aae34e8ae1cp-16, 0x1.9a365024bd6afp-16, 0x1.93c6e2c50ee8fp-16, 0x1.8d5ce4e313265p-16, 0x1.86f89e1d69eb4p-16, 0x1.809a5405a4ecbp-16, 0x1.7a424a27592a7p-16, 0x1.73f0c21026bccp-16, 0x1.6da5fb5661b6p-16, 0x1.676233a0cf002p-16, 0x1.6125a6ae42f58p-16, 0x1.5af08e5c729d8p-16, 0x1.54c322afc11bfp-16, 0x1.4e9d99dae0742p-16, 0x1.48802845c3ea3p-16, 0x1.426b00952b281p-16, 0x1.3c5e53b1bacfcp-16, 0x1.365a50cf4f6bbp-16, 0x1.305f25745be6ap-16, 0x1.2a6cfd819011cp-16, 0x1.2484033853692p-16, 0x1.1ea45f424d567p-16, 0x1.18ce38b866b46p-16, 0x1.1301b529e0f02p-16, 0x1.0d3ef8a2ec2f6p-16, 0x1.078625b486c37p-16, 0x1.01d75d7aacfdp-16, 0x1.f8657f470783cp-17, 0x1.ed30d4ec016ddp-17, 0x1.e210f5b1207f8p-17, 0x1.d70618afb4f65p-17, 0x1.cc10725b4e76cp-17, 0x1.c130348eb193fp-17, 0x1.b6658e988f602p-17, 0x1.abb0ad4856ecep-17, 0x1.a111bafb7e69bp-17, 0x1.9688dfa9513c6p-17, 0x1.8c1640f017f9dp-17, 0x1.81ba0221769cp-17, 0x1.7774444e98472p-17, 0x1.6d45265421699p-17, 0x1.632cc4e63a5b6p-17, 0x1.592b3a9c15683p-17, 0x1.4f409ffbea71fp-17, 0x1.456d0b869dd63p-17, 0x1.3bb091c3744c1p-17, 0x1.320b454a98fb3p-17, 0x1.287d36d0a6671p-17, 0x1.1f067531918c6p-17, 0x1.15a70d7b54dcap-17, 0x1.0c5f0af8b0442p-17, 0x1.032e773c1e38ep-17, 0x1.f42ab453bea4p-18, 0x1.e227740443f28p-18, 0x1.d05336d711041p-18, 0x1.beae02f96f526p-18, 0x1.ad37db8c2d505p-18, 0x1.9bf0c0b806e11p-18, 0x1.8ad8afc073a77p-18, 0x1.79efa316a52ecp-18, 0x1.6935926b09c3bp-18, 0x1.58aa72c0ee538p-18, 0x1.484e367efa677p-18, 0x1.3820cd821539bp-18, 0x1.2822252e2d349p-18, 0x1.185228803ecdfp-18, 0x1.08b0c01e3bc83p-18, 0x1.f27ba4d00b6bfp-19, 0x1.d3f2870fd2c2dp-19, 0x1.b5c5eb04be489p-19, 0x1.97f5908be60c6p-19, 0x1.7a8133755d38ap-19, 0x1.5d688ba48f8b6p-19, 0x1.40ab4d2c9a66cp-19, 0x1.2449286da9dd5p-19, 0x1.0841ca33176f3p-19, 0x1.d929b79c61785p-20, 0x1.a2840668495a5p-20, 0x1.6c91c63039456p-20, 0x1.3752360f266dap-20, 0x1.02c48f0814894p-20, 0x1.9dd00871f5453p-21, 0x1.37778621908aap-21, 0x1.a4fbcdfc54d1cp-22, 0x1.bb85c13959f27p-23, 0x1.940ba378758f9p-26, -0x1.511c859cff579p-23, -0x1.67adc70b95e79p-22, -0x1.1210caaddaa85p-21, -0x1.6ef6c116a5f38p-21, -0x1.ca8ab968e05bfp-21, -0x1.12675734793bdp-20, -0x1.3ee25150dc368p-20, -0x1.6ab75009b769dp-20, -0x1.95e75befb69ep-20, -0x1.c07380fe2ba54p-20, -0x1.ea5cce745c74cp-20, -0x1.09d22b57370b9p-19, -0x1.1e2597800e652p-19, -0x1.322937c864b02p-19, -0x1.45dd999bf4e43p-19, -0x1.59434bace9c1fp-19, -0x1.6c5adde2ca861p-19, -0x1.7f24e1497eaabp-19, -0x1.91a1e8016e6ecp-19, -0x1.a3d2852f4e0c6p-19, -0x1.b5b74cec697bcp-19, -0x1.c750d43755184p-19, -0x1.d89fb0e543232p-19, -0x1.e9a47992d6fe7p-19, -0x1.fa5fc5963a12bp-19, -0x1.05691678ae8bcp-18, -0x1.0d7e24221092ep-18, -0x1.156f585f6ff4p-18, -0x1.1d3d000a938c7p-18, -0x1.24e76838c0078p-18, -0x1.2c6ede34b6bcap-18, -0x1.33d3af784b0f4p-18, -0x1.3b1629a6bcab9p-18, -0x1.42369a86afc36p-18, -0x1.49354ffcb6d96p-18, -0x1.50129806085c6p-18, -0x1.56cec0b2d446ep-18, -0x1.5d6a182147d6dp-18, -0x1.63e4ec78aa57ep-18, -0x1.6a3f8be420de3p-18, -0x1.707a448d99342p-18, -0x1.7695649a16704p-18, -0x1.7c913a2453409p-18, -0x1.826e133858a16p-18, -0x1.882c3dcf85904p-18, -0x1.8dcc07cbb277ep-18, -0x1.934dbef48f4e1p-18, -0x1.98b1b0f253b5p-18, -0x1.9df82b4a61bf7p-18, -0x1.a3217b5b6cc52p-18, -0x1.a82dee59d4abfp-18, -0x1.ad1dd14c4afacp-18, -0x1.b1f1710823c28p-18, -0x1.b6a91a2e393ccp-18, -0x1.bb45192800203p-18, -0x1.bfc5ba23cebdp-18, -0x1.c42b491200982p-18, -0x1.c87611a21ae3dp-18, -0x1.cca65f4092abp-18, -0x1.d0bc7d12cbde9p-18, -0x1.d4b8b5f55c982p-18, -0x1.d89b5478d9f39p-18, -0x1.dc64a2dfe31d2p-18, -0x1.e014eb1d5d5f7p-18, -0x1.e3ac76d0b2e41p-18, -0x1.e72b8f446d953p-18, -0x1.ea927d6bcd708p-18, -0x1.ede189e0bbf29p-18, -0x1.f118fce1dbc1dp-18, -0x1.f4391e50814a7p-18, -0x1.f74235af10cf2p-18, -0x1.fa348a1f77921p-18, -0x1.fd106260ae8ddp-18, -0x1.ffd604cd45c6fp-18, -0x1.0142dbad2c43dp-17, -0x1.028fdfcb0703bp-17, -0x1.03d23152a23edp-17, -0x1.0509f2a165b45p-17, -0x1.063745def8ep-17, -0x1.075a4cfc7ffdcp-17, -0x1.087329b4c7d91p-17, -0x1.0981fd8abd3bp-17, -0x1.0a86e9c92beb8p-17, -0x1.0b820f8269855p-17, -0x1.0c738f8f98618p-17, -0x1.0d5b8a9051fcdp-17, -0x1.0e3a20ea3fa34p-17, -0x1.0f0f72c8923f7p-17, -0x1.0fdba01bf7fa7p-17, -0x1.109ec899f1751p-17, -0x1.11590bbc4c791p-17, -0x1.120a88c0fd7efp-17, -0x1.12b35eaa46971p-17, -0x1.1353ac3deb0e8p-17, -0x1.13eb9004dedffp-17, -0x1.147b284b4be37p-17, -0x1.1502932026dfep-17, -0x1.1581ee5556bd8p-17, -0x1.15f9577f9f7cp-17, -0x1.1668ebf5f4ae7p-17, -0x1.16d0c8d18245ap-17, -0x1.17310aedb331bp-17, -0x1.1789cee7f3695p-17, -0x1.17db311fb4abap-17, -0x1.18254db64ef08p-17, -0x1.1868408ef62cdp-17, -0x1.18a4254ef3898p-17, -0x1.18d9175d58932p-17, -0x1.190731e2ea547p-17, -0x1.192e8fc9f4f3p-17, -0x1.194f4bbf4166ep-17, -0x1.1969803144142p-17, -0x1.197d4750521d9p-17, -0x1.198abb0ea3fcbp-17, -0x1.1991f5209962bp-17, -0x1.19930efc9f22ap-17, -0x1.198e21dbec6a8p-17, -0x1.198346b9eaddcp-17, -0x1.197296546d33ap-17, -0x1.195c292be51d9p-17, -0x1.194017839e388p-17, -0x1.191e7961c8b7p-17, -0x1.18f7668fc2039p-17, -0x1.18caf69a1cf7ap-17, -0x1.189940d10cef6p-17, -0x1.18625c48804e4p-17, -0x1.18265fd845d21p-17, -0x1.17e5621c1c48cp-17, -0x1.179f7973c9307p-17, -0x1.1754bc044a62ap-17, -0x1.17053fb7168c9p-17, -0x1.16b11a3a8f9cfp-17, -0x1.1658610241995p-17, -0x1.15fb29474c8abp-17, -0x1.1599880866f12p-17, -0x1.1533920af0721p-17, -0x1.14c95bda432e3p-17, -0x1.145af9c85393bp-17, -0x1.13e87feddb50cp-17, -0x1.1372022ad3d32p-17, -0x1.12f79426a1a8fp-17, -0x1.127949507bd54p-17, -0x1.11f734df97313p-17, -0x1.117169d39ee6cp-17, -0x1.10e7faf5199c3p-17, -0x1.105afad578021p-17, -0x1.0fca7bcf90c3bp-17, -0x1.0f3690079ff3cp-17, -0x1.0e9f496bf727dp-17, -0x1.0e04b9b5b6f2bp-17, -0x1.0d66f2684ec58p-17, -0x1.0cc604d229bbcp-17, -0x1.0c22020d08f6cp-17, -0x1.0b7afafe56c5dp-17, -0x1.0ad1005796e9ep-17, -0x1.0a2422972fe9cp-17, -0x1.09747207dcd49p-17, -0x1.08c1fec193b21p-17, -0x1.080cd8a9a7f45p-17, -0x1.07550f7354f65p-17, -0x1.069ab2a002ba5p-17, -0x1.05ddd17fae8a5p-17, -0x1.051e7b3139395p-17, -0x1.045cbea2e5621p-17, -0x1.0398aa92b27b8p-17, -0x1.02d24d8e9eb57p-17, -0x1.0209b5f514a45p-17, -0x1.013ef1f526eafp-17, -0x1.00720f8ed8499p-17, -0x1.ff463928a81d9p-18, -0x1.fda44d52c201ap-18, -0x1.fbfe7687e1851p-18, -0x1.fa54cf5931c3fp-18, -0x1.f8a771fdebb49p-18, -0x1.f6f67853ac0b9p-18, -0x1.f541fbe0b48fap-18, -0x1.f38a15d3440f5p-18, -0x1.f1cedf024e8f6p-18, -0x1.f0106feeaccbfp-18, -0x1.ee4ee0c3abc2ep-18, -0x1.ec8a4957ed3b7p-18, -0x1.eac2c12e2f3b5p-18, -0x1.e8f85f75e153dp-18, -0x1.e72b3b0bed3dfp-18, -0x1.e55b6a7bddb65p-18, -0x1.e389040022ccbp-18, -0x1.e1b41d82fc38dp-18, -0x1.dfdccc9f21f7ep-18, -0x1.de0326a070154p-18, -0x1.dc2740844cfd5p-18, -0x1.da492efbdb3fdp-18, -0x1.d869066b62d1cp-18, -0x1.d686daeb14788p-18, -0x1.d4a2c0481748dp-18, -0x1.d2bcca05280b2p-18, -0x1.d0d50b5b11b67p-18, -0x1.ceeb973a6da2fp-18, -0x1.cd00804bc4afbp-18, -0x1.cb13d8efb90d9p-18, -0x1.c925b34022718p-18, -0x1.c7362110db4c7p-18, -0x1.c54533f05a6cp-18, -0x1.c352fd2870ec3p-18, -0x1.c15f8dbf1b787p-18, -0x1.bf6af676e8549p-18, -0x1.bd7547d002d6cp-18, -0x1.bb7e9208e742fp-18, -0x1.b986e51ec6ce9p-18, -0x1.b78e50ce5693ep-18, -0x1.b594e49481687p-18, -0x1.b39aafaf05d04p-18, -0x1.b19fc11cbb74ap-18, -0x1.afa4279fa0022p-18, -0x1.ada7f1bc3e658p-18, -0x1.abab2dba82efp-18, -0x1.a9ade9a69179dp-18, -0x1.a7b03351635fap-18, -0x1.a5b218513267ap-18, -0x1.a3b3a602d9917p-18, -0x1.a1b4e98a42e63p-18, -0x1.9fb5efd2616afp-18, -0x1.9db6c58e41cb4p-18, -0x1.9bb777398f82ap-18, -0x1.99b8111965d4p-18, -0x1.97b89f3cc2cb2p-18, -0x1.95b92d7d4a14p-18, -0x1.93b9c77fa61dbp-18, -0x1.91ba78b479ed1p-18, -0x1.8fbb4c58c56b1p-18, -0x1.8dbc4d76a19b5p-18, -0x1.8bbd86e5a815dp-18, -0x1.89bf034b8ca76p-18, -0x1.87c0cd1d09f4ap-18, -0x1.85c2ee9dd438p-18, -0x1.83c571e17dd29p-18, -0x1.81c860ccbc222p-18, -0x1.7fcbc515102bdp-18, -0x1.7dcfa841831c8p-18, -0x1.7bd413ab4f304p-18, -0x1.79d9107e55951p-18, -0x1.77dea7b9ce3dp-18, -0x1.75e4e230f88d7p-18, -0x1.73ebc88bb9528p-18, -0x1.71f36346a8deap-18, -0x1.6ffbbab3bffa9p-18, -0x1.6e04d6fb0d31ap-18, -0x1.6c0ec01b171afp-18, -0x1.6a197de9858a3p-18, -0x1.682518138f173p-18, -0x1.6631961e649fcp-18, -0x1.643eff67ea09ep-18, -0x1.624d5b2713efcp-18, -0x1.605cb06c9c0f2p-18, -0x1.5e6d06233325ep-18, -0x1.5c7e630ffc4f3p-18, -0x1.5a90cdd3624dcp-18, -0x1.58a44ce9455ffp-18, -0x1.56b8e6a9524b9p-18, -0x1.54cea147d8cf3p-18, -0x1.52e582d6743fbp-18, -0x1.50fd9143eaac6p-18, -0x1.4f16d25ce2751p-18, -0x1.4d314bcc50ae1p-18, -0x1.4b4d031be0506p-18, -0x1.4969fdb492c4ap-18, -0x1.478840df1cb2ep-18, -0x1.45a7d1c49137bp-18, -0x1.43c8b56e5988ap-18, -0x1.41eaf0c6c3a08p-18, -0x1.400e8899ac045p-18, -0x1.3e338194ad9b6p-18, -0x1.3c59e047b012ap-18, -0x1.3a81a9252feaep-18, -0x1.38aae082c762p-18, -0x1.36d58a99a5c68p-18, -0x1.3501ab86aee26p-18, -0x1.332f474b40feep-18, -0x1.315e61cd5a12dp-18, -0x1.2f8efed7e74fep-18, -0x1.2dc1221b5fea6p-18, -0x1.2bf4cf2e18f8fp-18, -0x1.2a2a098c726b9p-18, -0x1.2860d4996242ap-18, -0x1.2699339ee668ap-18, -0x1.24d329ce7c4ffp-18, -0x1.230eba4111f5fp-18, -0x1.214be7f79f833p-18, -0x1.1f8ab5db71a8dp-18, -0x1.1dcb26bea0169p-18, -0x1.1c0d3d5c53859p-18, -0x1.1a50fc59248bap-18, -0x1.189666439990cp-18, -0x1.16dd7d941ab39p-18, -0x1.152644ad8e95cp-18, -0x1.1370bddd92da3p-18, -0x1.11bceb5cdaf9p-18, -0x1.100acf4f8ac06p-18, -0x1.0e5a6bc56d186p-18, -0x1.0cabc2ba58e42p-18, -0x1.0afed61684987p-18, -0x1.0953a7aebe6fcp-18, -0x1.07aa3944e2e1p-18, -0x1.06028c8804f99p-18, -0x1.045ca314aae4ap-18, -0x1.02b87e753f318p-18, -0x1.011620225b7a3p-18, -0x1.feeb1305ed97p-19, -0x1.fbad77d966ee5p-19, -0x1.f873714830df7p-19, -0x1.f53d01ba2b28fp-19, -0x1.f20a2b7656f0cp-19, -0x1.eedaf0a312b74p-19, -0x1.ebaf5346d76bep-19, -0x1.e8875548b7d2ep-19, -0x1.e562f87125abap-19, -0x1.e2423e69f92fp-19, -0x1.df2528bf79145p-19, -0x1.dc0bb8e0c254ap-19, -0x1.d8f5f01fdf39cp-19, -0x1.d5e3cfb28ed2bp-19, -0x1.d2d558b2c20b5p-19, -0x1.cfca8c1f19eb1p-19, -0x1.ccc36adb507f5p-19, -0x1.c9bff5b09adb1p-19, -0x1.c6c02d4e4a7f8p-19, -0x1.c3c4124a4261ap-19, -0x1.c0cba5213ef9p-19, -0x1.bdd6e63779f6bp-19, -0x1.bae5d5d8ff029p-19, -0x1.b7f87439fab53p-19, -0x1.b50ec17775f12p-19, -0x1.b228bd978b7f5p-19, -0x1.af466889ccf0ap-19, -0x1.ac67c227be8e3p-19, -0x1.a98cca354a10bp-19, -0x1.a6b5806107429p-19, -0x1.a3e1e444ccb13p-19, -0x1.a111f565fea66p-19, -0x1.9e45b335c9f52p-19, -0x1.9b7d1d11b00dcp-19, -0x1.98b8324408b27p-19, -0x1.95f6f2040c573p-19, -0x1.93395b765260fp-19, -0x1.907f6dad654b8p-19, -0x1.8dc927a9f3165p-19, -0x1.8b16885b0af2ap-19, -0x1.88678e9e8e3ffp-19, -0x1.85bc3941931f4p-19, -0x1.83148700c390bp-19, -0x1.80707688927c5p-19, -0x1.7dd006758eb4fp-19, -0x1.7b333554e1ca3p-19, -0x1.789a01a489adep-19, -0x1.760469d39259bp-19, -0x1.73726c42847dp-19, -0x1.70e40743b06dcp-19, -0x1.6e59391b67cdcp-19, -0x1.6bd2000069eabp-19, -0x1.694e5a1c1ccfcp-19, -0x1.66ce458ab881dp-19, -0x1.6451c05bbee6cp-19, -0x1.61d8c892523dbp-19, -0x1.5f635c2547911p-19, -0x1.5cf178ff82f2ep-19, -0x1.5a831d004957cp-19, -0x1.581845fb660f9p-19, -0x1.55b0f1b987011p-19, -0x1.534d1df887072p-19, -0x1.50ecc86bb8e12p-19, -0x1.4e8feebbf5091p-19, -0x1.4c368e87f55b4p-19, -0x1.49e0a5649bfe9p-19, -0x1.478e30dd31126p-19, -0x1.453f2e7382636p-19, -0x1.42f39ba044d76p-19, -0x1.40ab75d34b311p-19, -0x1.3e66ba73acaf5p-19, -0x1.3c2566e002bb9p-19, -0x1.39e7786eaa0ddp-19, -0x1.37acec6dfbbe5p-19, -0x1.3575c0247db1dp-19, -0x1.3341f0d11b17dp-19, -0x1.31117bab4a76ap-19, }}, 
      std::vector<double>(999, 0.0), 
      {{-0x1.2c2f6b968e8fcp-9, -0x1.adf3c101bf391p-9, -0x1.0c0b3cac54603p-8, -0x1.31eaa36e3dd8fp-8, -0x1.4598acd091403p-8, -0x1.447dcf7af30ccp-8, -0x1.2c6c30ed73b83p-8, -0x1.f73c878d07f97p-9, -0x1.61662f7130c48p-9, -0x1.2aa43aa6ebfbep-10, 0x1.b943e8f0f56a8p-11, 0x1.aa306bfba8cfdp-9, 0x1.8f321960f8958p-8, 0x1.329f6d23309f4p-7, 0x1.ab659578e1281p-7, 0x1.18cbb363b225bp-6, 0x1.6264d55b12acap-6, 0x1.b23ea283052a2p-6, 0x1.04088c6122ad7p-5, 0x1.31c6930595802p-5, 0x1.622ef888ad4c3p-5, 0x1.95150375a046p-5, 0x1.ca4a37238d221p-5, 0x1.00cf6849bc4a4p-4, 0x1.1d711b9276b82p-4, 0x1.3af1b0e24df23p-4, 0x1.593898a0b6f2fp-4, 0x1.782d603c54f01p-4, 0x1.97b7d584f3d9ap-4, 0x1.b7c025a0904cep-4, 0x1.d82ef7f0509b3p-4, 0x1.f8ed85377db9dp-4, 0x1.0cf2d5a976433p-3, 0x1.1d80fee5f41a3p-3, 0x1.2e16e9c6bd792p-3, 0x1.3eaaa8ffa2c53p-3, 0x1.4f32bae25fe6ap-3, 0x1.5fa60cae1a8f4p-3, 0x1.6ffbfcea3a8efp-3, 0x1.802c5ce66690cp-3, 0x1.902f71776fa99p-3, 0x1.9ffdf30746403p-3, 0x1.af910d0c5e8b6p-3, 0x1.bee25cfb3f67p-3, 0x1.cdebf0c374fa6p-3, 0x1.dca844e7a9f57p-3, 0x1.eb12423f43474p-3, 0x1.f9253b6e9137dp-3, 0x1.036e7510ba087p-2, 0x1.0a1ab6099428cp-2, 0x1.10959ff674243p-2, 0x1.16dda10206495p-2, 0x1.1cf1547fbcfd4p-2, 0x1.22cf81359e65fp-2, 0x1.287717a043fb8p-2, 0x1.2de73033c2e39p-2, 0x1.331f099be22e2p-2, 0x1.381e06fdc281fp-2, 0x1.3ce3ae3cc02dp-2, 0x1.416fa64436b24p-2, 0x1.45c1b5577aab6p-2, 0x1.49d9bf693ac9ep-2, 0x1.4db7c47b4a205p-2, 0x1.515bdf07a2699p-2, 0x1.54c6427356246p-2, 0x1.57f7398bfd0dbp-2, 0x1.5aef2510145bap-2, 0x1.5dae7a42a173cp-2, 0x1.6035c18a67272p-2, 0x1.6285951cca7bep-2, 0x1.649e9fb490cb6p-2, 0x1.66819b547b2bcp-2, 0x1.682f5015bf22cp-2, 0x1.69a893025134dp-2, 0x1.6aee44fae2f5ep-2, 0x1.6c0151a87e2edp-2, 0x1.6ce2ae7989a1fp-2, 0x1.6d9359aa0f69cp-2, 0x1.6e1459570d154p-2, 0x1.6e66ba9c95a96p-2, 0x1.6e8b90be88d37p-2, 0x1.6e83f45b9d56bp-2, 0x1.6e5102aa7e0bep-2, 0x1.6df3dcc0b4d89p-2, 0x1.6d6da6e31b7c8p-2, 0x1.6cbf87df8b66ap-2, 0x1.6beaa86f8a985p-2, 0x1.6af032a3a2e92p-2, 0x1.69d1515725a7p-2, 0x1.688f2fac0bf88p-2, 0x1.672af88eb3ca9p-2, 0x1.65a5d64127ed6p-2, 0x1.6400f1edbb84ap-2, 0x1.623d7340a2272p-2, 0x1.605c8008528b5p-2, 0x1.5e5f3bdc5f4ep-2, 0x1.5c46c7ca925f4p-2, 0x1.5a14420a00513p-2, 0x1.57c8c5b3d9098p-2, 0x1.55656a81b8b48p-2, 0x1.52eb4491353e4p-2, 0x1.505b642c79b38p-2, 0x1.4db6d597ab5eep-2, 0x1.4afea0e2e36bp-2, 0x1.4833c9c08994bp-2, 0x1.45574f5fdab55p-2, 0x1.426a2c4b61f94p-2, 0x1.3f6d564b3cbc4p-2, 0x1.3c61be4aef6ebp-2, 0x1.39485042a45f4p-2, 0x1.3621f323a2456p-2, 0x1.32ef88c7d135ap-2, 0x1.2fb1ede425f9ep-2, 0x1.2c69f9fdc36c2p-2, 0x1.29187f61b8c36p-2, 0x1.25be4b1f25d78p-2, 0x1.225c2503af5fap-2, 0x1.1ef2cf9a1b24ep-2, 0x1.1b83082aed756p-2, 0x1.180d86bef2bbfp-2, 0x1.1492fe238be3fp-2, 0x1.11141bf0a6abdp-2, 0x1.0d91889040786p-2, 0x1.0a0be7475ccabp-2, 0x1.0683d6405484dp-2, 0x1.02f9ee9661d6ep-2, 0x1.fedd88c4a8539p-3, 0x1.f7c5cd90ab308p-3, 0x1.f0adc00d50093p-3, 0x1.e9966b0a9af39p-3, 0x1.e280cfccfaff3p-3, 0x1.db6de62fba87fp-3, 0x1.d45e9cc8cafb7p-3, 0x1.cd53d90dc399dp-3, 0x1.c64e777a06e18p-3, 0x1.bf4f4bb5d1f5ep-3, 0x1.b85720be39834p-3, 0x1.b166b90ddd996p-3, 0x1.aa7ecec64c903p-3, 0x1.a3a013d9f0e71p-3, 0x1.9ccb32367b2a9p-3, 0x1.9600cbefad7dp-3, 0x1.8f417b6a73a61p-3, 0x1.888dd388336d4p-3, 0x1.81e65fd248fp-3, 0x1.7b4ba4a597328p-3, 0x1.74be1f5e1ed93p-3, 0x1.6e3e46828cf71p-3, 0x1.67cc89efacd5ap-3, 0x1.61695303bf58ep-3, 0x1.5b1504c99a187p-3, 0x1.54cffc2387232p-3, 0x1.4e9a8ff5e7303p-3, 0x1.4875115174d11p-3, 0x1.425fcb9d3a3b8p-3, 0x1.3c5b04c0183e8p-3, 0x1.3666fd49e8f14p-3, 0x1.3083f09c281dep-3, 0x1.2ab215122b151p-3, 0x1.24f19c28cf499p-3, 0x1.1f42b2a5aa421p-3, 0x1.19a580bda786dp-3, 0x1.141a2a3b20dc5p-3, 0x1.0ea0cea359eb6p-3, 0x1.0939895b6742ap-3, 0x1.03e471cc7c49bp-3, 0x1.fd43370f35c16p-4, 0x1.f2e22cd1440f6p-4, 0x1.e8a5dd7173975p-4, 0x1.de8e5aa0372fep-4, 0x1.d49baf6e6dd91p-4, 0x1.cacde08e4c503p-4, 0x1.c124ec9312c72p-4, 0x1.b7a0cc2f58358p-4, 0x1.ae4172720e728p-4, 0x1.a506cd022d80cp-4, 0x1.9bf0c45917a2dp-4, 0x1.92ff3bfb995ebp-4, 0x1.8a3212b1a7653p-4, 0x1.818922bcc051fp-4, 0x1.7904420d06545p-4, 0x1.70a3427507c6ap-4, 0x1.6865f1dc3deb4p-4, 0x1.604c1a7041754p-4, 0x1.585582d4b9f5fp-4, 0x1.5081ee5208b79p-4, 0x1.48d11d02b478bp-4, 0x1.4142cbff968ecp-4, 0x1.39d6b58ace8b9p-4, 0x1.328c91398231bp-4, 0x1.2b64141c68245p-4, 0x1.245cf0e725f06p-4, 0x1.1d76d8168499bp-4, 0x1.16b178157dc9p-4, 0x1.100c7d612957ap-4, 0x1.098792ab8b93ep-4, 0x1.032260fd4caf2p-4, 0x1.f9b91facb7985p-5, 0x1.ed6b8a9b0374ep-5, 0x1.e15b4c5dd580cp-5, 0x1.d587ac3352167p-5, 0x1.c9efef386df4fp-5, 0x1.be93589ffa4afp-5, 0x1.b37129e7c15d1p-5, 0x1.a888a30bbda07p-5, 0x1.9dd902b77a116p-5, 0x1.9361867599a8cp-5, 0x1.89216add9eec2p-5, 0x1.7f17ebbff33dfp-5, 0x1.7544445037142p-5, 0x1.6ba5af4dec521p-5, 0x1.623b672b80678p-5, 0x1.5904a633bc2fbp-5, 0x1.5000a6ada9bfcp-5, 0x1.472ea2fef5c58p-5, 0x1.3e8dd5ccd6aaep-5, 0x1.361d7a1b84668p-5, 0x1.2ddccb6c474dfp-5, 0x1.25cb05da2a951p-5, 0x1.1de76635581afp-5, 0x1.16312a1d297b9p-5, 0x1.0ea79018f78b2p-5, 0x1.0749d7afacceep-5, 0x1.0017417e2ac88p-5, 0x1.f21e1e9900a16p-6, 0x1.e461084410774p-6, 0x1.d6f5c8b0d05b4p-6, 0x1.c9daeb5b06aafp-6, 0x1.bd0efea8d1924p-6, 0x1.b090940a77864p-6, 0x1.a45e4018539c7p-6, 0x1.98769aaede735p-6, 0x1.8cd83f08e272ep-6, 0x1.8181cbd7f9a7ap-6, 0x1.7671e35b4b5dbp-6, 0x1.6ba72b74ab434p-6, 0x1.61204dbc2770ep-6, 0x1.56dbf79204a39p-6, 0x1.4cd8da2f44ce5p-6, 0x1.4315aab4bcf0ap-6, 0x1.39912238cc7c7p-6, 0x1.3049fdd3c18fep-6, 0x1.273efeaaf1bddp-6, 0x1.1e6ee9fa99b3dp-6, 0x1.15d8891e8e48bp-6, 0x1.0d7aa999ca38cp-6, 0x1.05541d1cd9f5cp-6, 0x1.fac7731699e8ap-7, 0x1.eb50b200209f6p-7, 0x1.dc41b3a1bf9c6p-7, 0x1.cd983d21748bap-7, 0x1.bf521c231275ap-7, 0x1.b16d26c9aa093p-7, 0x1.a3e73bb771ae9p-7, 0x1.96be420c140ebp-7, 0x1.89f02961856d8p-7, 0x1.7d7ae9c766ep-7, 0x1.715c83bd1ec74p-7, 0x1.6593002a95abfp-7, 0x1.5a1c7057ca24fp-7, 0x1.4ef6ede32c4eap-7, 0x1.44209ab6ee6aep-7, 0x1.3997a0fd4088cp-7, 0x1.2f5a3313901cbp-7, 0x1.25668b7cd2262p-7, 0x1.1bbaecd301f7ep-7, 0x1.1255a1b7b0775p-7, 0x1.0934fcc3d5ecap-7, 0x1.00575876e8a56p-7, 0x1.ef762e4a86343p-8, 0x1.debd45cbd38f9p-8, 0x1.ce80daff516d2p-8, 0x1.bebde0ab5e342p-8, 0x1.af7158a73b912p-8, 0x1.a09853b24525bp-8, 0x1.922ff14a41d11p-8, 0x1.84355f80ca38cp-8, 0x1.76a5dad013a8fp-8, 0x1.697eadeeeee4p-8, 0x1.5cbd31a44c37dp-8, 0x1.505ecc9a15915p-8, 0x1.4460f32f93774p-8, 0x1.38c1274b57dc6p-8, 0x1.2d7cf82cd7e13p-8, 0x1.2292023dc0e72p-8, 0x1.17fdeee2d1cbp-8, 0x1.0dbe744cac3d1p-8, 0x1.03d155485509ap-8, 0x1.f468c21f4edb4p-9, 0x1.e1cae63364effp-9, 0x1.cfc4e5d5eb869p-9, 0x1.be52a7cb2aedp-9, 0x1.ad702a3367697p-9, 0x1.9d19822b535d3p-9, 0x1.8d4adb6d2c8a4p-9, 0x1.7e0077f1b8b2ep-9, 0x1.6f36af9180b4ep-9, 0x1.60e9efa6a0d45p-9, 0x1.5316baaee5053p-9, 0x1.45b9a7ee90e8fp-9, 0x1.38cf631378db9p-9, 0x1.2c54abd885677p-9, 0x1.204655aa24492p-9, 0x1.14a1474b22b9p-9, 0x1.09627a7a5bf05p-9, 0x1.fd0df7329879cp-10, 0x1.e817d2a5993a3p-10, 0x1.d3dce8865ea8bp-10, 0x1.c057bd41ac302p-10, 0x1.ad82f7cb8b218p-10, 0x1.9b5960f49de7cp-10, 0x1.89d5e2c03ba48p-10, 0x1.78f387bd19f2ep-10, 0x1.68ad7a5f80ba7p-10, 0x1.58ff045d8e0fp-10, 0x1.49e38e0d6854ap-10, 0x1.3b569dc5eec6fp-10, 0x1.2d53d7402a87ap-10, 0x1.1fd6fafbc52b2p-10, 0x1.12dbe5a5353efp-10, 0x1.065e8f7de3374p-10, 0x1.f4b6178e08487p-11, 0x1.dd9b105be055cp-11, 0x1.c7649874b261dp-11, 0x1.b20b717eafb2cp-11, 0x1.9d888e9be11d7p-11, 0x1.89d513543f351p-11, 0x1.76ea528499503p-11, 0x1.64c1cd50ab7b4p-11, 0x1.5355321937bp-11, 0x1.429e5b778dc39p-11, 0x1.32974f3c843bap-11, 0x1.233a3d73be7ebp-11, 0x1.14817f6c48489p-11, 0x1.066796c4570ap-11, 0x1.f1ce58f0c6623p-12, 0x1.d7f61ff10acd6p-12, 0x1.bf3c6c80a543ep-12, 0x1.a79771e71f3eep-12, 0x1.90fdaafe7d12ep-12, 0x1.7b65d87da1fe8p-12, 0x1.66c6ff47d9875p-12, 0x1.531866c78a5efp-12, 0x1.4051974fedc48p-12, 0x1.2e6a5885e25abp-12, 0x1.1d5aafd1fa7adp-12, 0x1.0d1adedacec5cp-12, 0x1.fb46c406ec691p-13, 0x1.ddd9dde970e84p-13, 0x1.c1e0e659e3c0fp-13, 0x1.a74e252dc2d22p-13, 0x1.8e144c4fe9fdp-13, 0x1.7626750e8f5b1p-13, 0x1.5f781d748643ap-13, 0x1.49fd25ae7528cp-13, 0x1.35a9cd81f251fp-13, 0x1.2272b1d1517bbp-13, 0x1.104cca2bbbae9p-13, 0x1.fe5accd759a9ep-14, 0x1.de1458c909cccp-14, 0x1.bfb22b3386b4ep-14, 0x1.a320da03e0bb4p-14, 0x1.884d99b630712p-14, 0x1.6f26390ec8733p-14, 0x1.57991cef4a86ap-14, 0x1.41953c450e1c8p-14, 0x1.2d0a1c0d3f55ep-14, 0x1.19e7cb709447bp-14, 0x1.081edff20ac6cp-14, 0x1.ef40e3758f3ffp-15, 0x1.d0bc2feebcca3p-15, 0x1.b493ca966c242p-15, 0x1.9aacc8bb3dddcp-15, 0x1.82ed28ee03ea2p-15, 0x1.6d3bcc68bb62p-15, 0x1.59807099a0bep-15, 0x1.47a3a8d7ba829p-15, 0x1.378ed8484ad8ap-15, 0x1.292c2bd836652p-15, 0x1.1c669469ac423p-15, 0x1.1129c123bab5fp-15, 0x1.076219e17e2d7p-15, 0x1.fdf9738a5febbp-16, 0x1.efced3d7e282p-16, 0x1.e421389680fbdp-16, 0x1.dacecd54257e8p-16, 0x1.d3b6fb7370cbbp-16, 0x1.ceba60a29685ep-16, 0x1.cbbac59430265p-16, 0x1.ca9b14eaa4b3ep-16, 0x1.cb3f526113387p-16, 0x1.cd8c922f348eap-16, 0x1.d168f0b1eb3d7p-16, 0x1.d6bb8a3e9b5bfp-16, 0x1.dd6c732fb0f5ap-16, 0x1.e564b030742f6p-16, 0x1.ee8e2eb38acb4p-16, 0x1.f8d3bd9cbd867p-16, 0x1.0210830e18458p-15, 0x1.08314261b69d7p-15, 0x1.0ec2c1615b839p-15, 0x1.15bc07ab2213dp-15, 0x1.1d147cb200bp-15, 0x1.24c3e4a4dcf4dp-15, 0x1.2cc25d653a8e2p-15, 0x1.35085b9a3b096p-15, 0x1.3d8ea7cecc25ap-15, 0x1.464e5bb196ec3p-15, 0x1.4f40df5f6d749p-15, 0x1.585fe6c188ca9p-15, 0x1.61a56f029df16p-15, 0x1.6b0bbc1785c96p-15, 0x1.748d5650b4b94p-15, 0x1.7e25080c8837ep-15, 0x1.87cddb6723f56p-15, 0x1.9183180b1e0c7p-15, 0x1.9b40410f10859p-15, 0x1.a50112dedaaeap-15, 0x1.aec18134fd397p-15, 0x1.b87db52ac6facp-15, 0x1.c2320b4be765bp-15, 0x1.cbdb11bfb2ddbp-15, 0x1.d5758682adc3fp-15, 0x1.defe55a11a341p-15, 0x1.e872978deaeccp-15, 0x1.f1cf8f801b5e2p-15, 0x1.fb12a9dafac2bp-15, 0x1.021cbd5222482p-14, 0x1.06a0de0592254p-14, 0x1.0b14a678c27b9p-14, 0x1.0f7717c303355p-14, 0x1.13c743f6c34d9p-14, 0x1.18044d75945d5p-14, 0x1.1c2d665019cb4p-14, 0x1.2041cfa6c7548p-14, 0x1.2440d9111d979p-14, 0x1.2829e009e886ap-14, 0x1.2bfc4f5fbe482p-14, 0x1.2fb79eaaafe9ap-14, 0x1.335b51c41e40ep-14, 0x1.36e6f84633e2p-14, 0x1.3a5a2d0da8bbap-14, 0x1.3db495c02b029p-14, 0x1.40f5e255c954fp-14, 0x1.441dcca83073ep-14, 0x1.472c1803b42e5p-14, 0x1.4a2090bcd034dp-14, 0x1.4cfb0bca61e06p-14, 0x1.4fbb6660bfe8bp-14, 0x1.5261859152d8bp-14, 0x1.54ed55eebca98p-14, 0x1.575ecb32bafbap-14, 0x1.59b5dfe76c855p-14, 0x1.5bf2951337b51p-14, 0x1.5e14f1e8fcec2p-14, 0x1.601d0379298cp-14, 0x1.620adc659ea66p-14, 0x1.63de949c5b0afp-14, 0x1.6598490d86ddep-14, 0x1.67381b69d3e79p-14, 0x1.68be31e0de6f1p-14, 0x1.6a2ab6e2cf9b4p-14, 0x1.6b7dd8e32519ep-14, 0x1.6cb7ca1ea171bp-14, 0x1.6dd8c063e5179p-14, 0x1.6ee0f4dbfa8cp-14, 0x1.6fd0a3d61b58ep-14, 0x1.70a80c976835fp-14, 0x1.71677128bd7ccp-14, 0x1.720f1628ebe4ap-14, 0x1.729f429fae65p-14, 0x1.73183fd3a7caep-14, 0x1.737a591fc6768p-14, 0x1.73c5dbcc1dddfp-14, 0x1.73fb16e89217cp-14, 0x1.741a5b274bbb6p-14, 0x1.7423fab94c271p-14, 0x1.7418492d45a79p-14, 0x1.73f79b4f6532fp-14, 0x1.73c24709a8a63p-14, 0x1.7378a34686f27p-14, 0x1.731b07d4590aep-14, 0x1.72a9cd4a10451p-14, 0x1.72254cecb0006p-14, 0x1.718de09650039p-14, 0x1.70e3e29f4af52p-14, 0x1.7027adc60c1bbp-14, 0x1.6f599d190efb9p-14, 0x1.6e7a0be324d2fp-14, 0x1.6d89559669931p-14, 0x1.6c87d5b9e1412p-14, 0x1.6b75e7d6d02a2p-14, 0x1.6a53e7680f187p-14, 0x1.69222fc931994p-14, 0x1.67e11c2685dfcp-14, 0x1.6691076e4f5dcp-14, 0x1.65324c437ee87p-14, 0x1.63c544ef3221ep-14, 0x1.624a4b541a2cdp-14, 0x1.60c1b8e2d16d6p-14, 0x1.5f2be68df4386p-14, 0x1.5d892cbfb42c4p-14, 0x1.5bd9e34ef69fbp-14, 0x1.5a1e617681a0ap-14, 0x1.5856fdcb8f48cp-14, 0x1.56840e34d066fp-14, 0x1.54a5e7e28cdd8p-14, 0x1.52bcdf4776869p-14, 0x1.50c948116a14ap-14, 0x1.4ecb7522550efp-14, 0x1.4cc3b88a913fp-14, 0x1.4ab2638306494p-14, 0x1.4897c667ab1d2p-14, 0x1.467430b29781ep-14, 0x1.4447f0f70e12dp-14, 0x1.421354de58fc1p-14, 0x1.3fd6a922c8133p-14, 0x1.3d92398cca1b4p-14, 0x1.3b4650ef00a58p-14, 0x1.38f3392472e61p-14, 0x1.36993b0cd4be1p-14, 0x1.34389e8ad634bp-14, 0x1.31d1aa81b7f38p-14, 0x1.2f64a4d3ec5acp-14, 0x1.2cf1d26145791p-14, 0x1.2a79770539e41p-14, 0x1.27fbd596518aap-14, 0x1.25792fe55d633p-14, 0x1.22f1c6bc7a7fbp-14, 0x1.2065d9deb8b36p-14, 0x1.1dd5a807898efp-14, 0x1.1b416eeb57282p-14, 0x1.18a96b36e47e8p-14, 0x1.160dd88fdbcb8p-14, 0x1.136ef1950e76p-14, 0x1.10ccefdf5c044p-14, 0x1.0e280c0239efbp-14, 0x1.0b807d8c0f56cp-14, 0x1.08d67b07b1cfdp-14, 0x1.062a39fd48c07p-14, 0x1.037beef3ab62cp-14, 0x1.00cbcd717ed7p-14, 0x1.fc340ffcde749p-15, 0x1.f6cda04a7256bp-15, 0x1.f164ace9a0a6ap-15, 0x1.ebf995044d3e6p-15, 0x1.e68cb5d3f331ep-15, 0x1.e11e6aa52e36dp-15, 0x1.dbaf0cdc6e00bp-15, 0x1.d63ef3f8ac87dp-15, 0x1.d0ce759813b49p-15, 0x1.cb5de57c4da7ep-15, 0x1.c5ed958eaf2f4p-15, 0x1.c07dd5e51a53ap-15, 0x1.bb0ef4c5b3597p-15, 0x1.b5a13eac271c3p-15, 0x1.b034fe4e458f4p-15, 0x1.aaca7ca0cdf66p-15, 0x1.a56200dc0064bp-15, 0x1.9ffbd080a0001p-15, 0x1.9a982f5d0b3f9p-15, 0x1.95375f92db44ep-15, 0x1.8fd9a19aa68d1p-15, 0x1.8a7f344a2c71p-15, 0x1.852854d90094fp-15, 0x1.7fd53ee5f99ecp-15, 0x1.7a862c7c77356p-15, 0x1.753b56192d819p-15, 0x1.6ff4f2afd8b44p-15, 0x1.6ab337b062998p-15, 0x1.6576590c62f63p-15, 0x1.603e893bf85c9p-15, 0x1.5b0bf94347197p-15, 0x1.55ded8b7cbcfcp-15, 0x1.50b755c5f6234p-15, 0x1.4b959d36018dbp-15, 0x1.4679da7154f3p-15, 0x1.4164378802a28p-15, 0x1.3c54dd35d6229p-15, 0x1.374bf2e7d03b2p-15, 0x1.32499ec10cc33p-15, 0x1.2d4e05a046f4fp-15, 0x1.28594b24ce009p-15, 0x1.236b91b3e162dp-15, 0x1.1e84fa7df120bp-15, 0x1.19a5a58357a06p-15, 0x1.14cdb1998fceep-15, 0x1.0ffd3c707e5d9p-15, 0x1.0b34629768dbp-15, 0x1.06733f81987ccp-15, 0x1.01b9ed8bc6abfp-15, 0x1.fa110c017f9eep-16, 0x1.f0be423c9008cp-16, 0x1.e77bac34413ffp-16, 0x1.de49764d2fc24p-16, 0x1.d527caeed646cp-16, 0x1.cc16d28cdd683p-16, 0x1.c316b3b09fe96p-16, 0x1.ba279302b4bd2p-16, 0x1.b149935336f5ep-16, 0x1.a87cd5a37c7a8p-16, 0x1.9fc1792efd34fp-16, 0x1.97179b748196ep-16, 0x1.8e7f583e52c1dp-16, 0x1.85f8c9ab380bcp-16, 0x1.7d8408376b263p-16, 0x1.75212ac47791ep-16, 0x1.6cd046a24239dp-16, 0x1.64916f96f0d45p-16, 0x1.5c64b7e782864p-16, 0x1.544a305f8a96fp-16, 0x1.4c41e8595681p-16, 0x1.444bedc63752dp-16, 0x1.3c684d361297p-16, 0x1.349711ded4408p-16, 0x1.2cd845a49d61cp-16, 0x1.252bf120e111cp-16, 0x1.1d921baa53b9ep-16, 0x1.160acb5baea1p-16, 0x1.0e96051b42fd7p-16, 0x1.0733cca21c9dfp-16, 0x1.ffc84905d016ep-17, 0x1.f14e1c622610dp-17, 0x1.e2f9140f0eed8p-17, 0x1.d4c92e9f73a71p-17, 0x1.c6be688f3342ap-17, 0x1.b8d8bc51cb92cp-17, 0x1.ab18225ea05e7p-17, 0x1.9d7c913dd4165p-17, 0x1.9005fd942b8b8p-17, 0x1.82b45a30d5dfep-17, 0x1.7587981807a79p-17, 0x1.687fa69063bb9p-17, 0x1.5b9c732de14c2p-17, 0x1.4edde9dd0d2bep-17, 0x1.4243f4efe86dfp-17, 0x1.35ce7d27b3485p-17, 0x1.297d69c0a8263p-17, 0x1.1d50a07cebf56p-17, 0x1.114805af4e2c8p-17, 0x1.05637c453993ep-17, 0x1.f345cba3bb941p-18, 0x1.dc0c452f9fd78p-18, 0x1.c51a2326f53dp-18, 0x1.ae6f2108a6b61p-18, 0x1.980af7ee00356p-18, 0x1.81ed5e9e4ffa5p-18, 0x1.6c16099fe1f25p-18, 0x1.5684ab4c74942p-18, 0x1.4138f3e189e8fp-18, 0x1.2c32919269811p-18, 0x1.1771309ac8248p-18, 0x1.02f47b4df497bp-18, 0x1.dd78345219298p-19, 0x1.b58f67c6040ccp-19, 0x1.8e2ddafafcf9p-19, 0x1.6752d4a60e1dcp-19, 0x1.40fd985079d5ep-19, 0x1.1b2d667575aa9p-19, 0x1.ebc2f93de7994p-20, 0x1.a2322b09915efp-20, 0x1.59a6d24e1e4fbp-20, 0x1.121f59dc22e48p-20, 0x1.97344f0b78885p-21, 0x1.0c2b38afbb9cp-21, 0x1.06405345347b1p-22, -0x1.f816ef27d799dp-28, -0x1.12124bbf25ce2p-22, -0x1.0c2e1e5febc57p-21, -0x1.8d627ee6defafp-21, -0x1.0654db1379314p-20, -0x1.45039cce8fb9bp-20, -0x1.82bf429b1682ap-20, -0x1.bf898d7c5bd3ep-20, -0x1.fb64414f68053p-20, -0x1.1b28925470b0bp-19, -0x1.38290050f335ep-19, -0x1.54b4505ad19fcp-19, -0x1.70cb694ae2fb9p-19, -0x1.8c6f32ff11327p-19, -0x1.a7a0964bc9a49p-19, -0x1.c2607ce559ffep-19, -0x1.dcafd14d47b2cp-19, -0x1.f68f7ec26e245p-19, -0x1.08003896c4778p-18, -0x1.1481ca885609cp-18, -0x1.20ccebbada5dfp-18, -0x1.2ce212eedcf7ep-18, -0x1.38c1b718cde54p-18, -0x1.446c4f58b24fep-18, -0x1.4fe252f2caec1p-18, -0x1.5b243947733cdp-18, -0x1.663279ccce961p-18, -0x1.710d8c0660c2dp-18, -0x1.7bb5e77ef2f28p-18, -0x1.862c03c21fdf8p-18, -0x1.90705853c4aeep-18, -0x1.9a835cabf87f3p-18, -0x1.a465882f4e3f9p-18, -0x1.ae1752289c808p-18, -0x1.b79931c37b24p-18, -0x1.c0eb9e0698206p-18, -0x1.ca0f0dcd56f6ap-18, -0x1.d303f7c2b7038p-18, -0x1.dbcad25c7d42cp-18, -0x1.e46413d49942bp-18, -0x1.ecd03225a7a0ep-18, -0x1.f50fa3043e341p-18, -0x1.fd22dbdbdef17p-18, -0x1.028528e4b1956p-17, -0x1.06633ccb27446p-17, -0x1.0a2be3da45538p-17, -0x1.0ddf581d49b0bp-17, -0x1.117dd36f64e79p-17, -0x1.15078f79c70f5p-17, -0x1.187cc5b1f93edp-17, -0x1.1bddaf57516dbp-17, -0x1.1f2a8571bd0a1p-17, -0x1.226380cf8eebcp-17, -0x1.2588da041b13fp-17, -0x1.289ac965d95d6p-17, -0x1.2b99870cb9775p-17, -0x1.2e854ad102aa2p-17, -0x1.315e4c493238bp-17, -0x1.3424c2c92c489p-17, -0x1.36d8e5601683bp-17, -0x1.397aead7ad2d3p-17, -0x1.3c0b09b2dd257p-17, -0x1.3e89782c1da87p-17, -0x1.40f66c3456206p-17, -0x1.43521b72386ap-17, -0x1.459cbb4054f74p-17, -0x1.47d680acc199fp-17, -0x1.49ffa077ecbf7p-17, -0x1.4c184f132ccaep-17, -0x1.4e20c0a01f3ffp-17, -0x1.501928efca897p-17, -0x1.5201bb81c2eadp-17, -0x1.53daab835cb47p-17, -0x1.55a42bce805c7p-17, -0x1.575e6ee98a362p-17, -0x1.5909a706372fdp-17, -0x1.5aa606012ea6p-17, -0x1.5c33bd60ddd59p-17, -0x1.5db2fe553590cp-17, -0x1.5f23f9b7709ap-17, -0x1.6086e009486fdp-17, -0x1.61dbe173d7f3dp-17, -0x1.63232dc7e7cc4p-17, -0x1.645cf47d6b3fp-17, -0x1.658964b27b585p-17, -0x1.66a8ad2bd44cp-17, -0x1.67bafc54047e2p-17, -0x1.68c0803adaf48p-17, -0x1.69b9669575bfdp-17, -0x1.6aa5dcbde16d6p-17, -0x1.6b860fb2c9c35p-17, -0x1.6c5a2c179240dp-17, -0x1.6d225e3389793p-17, -0x1.6dded1f243debp-17, -0x1.6e8fb2e35695cp-17, -0x1.6f352c3a31fccp-17, -0x1.6fcf68ce13429p-17, -0x1.705e93196d146p-17, -0x1.70e2d53a764a4p-17, -0x1.715c58f37366ep-17, -0x1.71cb47a9cbaf3p-17, -0x1.722fca662bc09p-17, -0x1.728a09d53f79dp-17, -0x1.72da2e47050acp-17, -0x1.73205faef26c8p-17, -0x1.735cc5a502e05p-17, -0x1.738f87646b78cp-17, -0x1.73b8cbcc8490cp-17, -0x1.73d8b960832e5p-17, -0x1.73ef7647fd981p-17, -0x1.73fd284ed8994p-17, -0x1.7401f4e59dfa1p-17, -0x1.73fe01217df02p-17, -0x1.73f171bcbb351p-17, -0x1.73dc6b16ade81p-17, -0x1.73bf11343c9c7p-17, -0x1.739987bfeda51p-17, -0x1.736bf20a03e6ep-17, -0x1.73367308d9a3cp-17, -0x1.72f92d59c7103p-17, -0x1.72b44340b63d4p-17, -0x1.7267d6a86c981p-17, -0x1.72140923561dap-17, -0x1.71b8fbeb83ea4p-17, -0x1.7156cfe2b4de9p-17, -0x1.70eda593df0f6p-17, -0x1.707d9d328727bp-17, -0x1.7006d69b0e3bcp-17, -0x1.6f897153adfc2p-17, -0x1.6f058c8c41f2ap-17, -0x1.6e7b471f22901p-17, -0x1.6deabf918fd1cp-17, -0x1.6d54141388e7p-17, -0x1.6cb76280e6a89p-17, -0x1.6c14c86176fa7p-17, -0x1.6b6c62e9631dfp-17, -0x1.6abe4ef9eded9p-17, -0x1.6a0aa9215709ep-17, -0x1.69518d9bcfd8cp-17, -0x1.6893185375c14p-17, -0x1.67cf64e1b05f6p-17, -0x1.67068e8e8d38dp-17, -0x1.6638b051ee61ep-17, -0x1.6565e4d3e99adp-17, -0x1.648e466ceae65p-17, -0x1.63b1ef264a6aep-17, -0x1.62d0f8bb8dd33p-17, -0x1.61eb7c9a1bec9p-17, -0x1.610193e1ce356p-17, -0x1.60135765a954cp-17, -0x1.5f20dfac280b3p-17, -0x1.5e2a44eff51b2p-17, -0x1.5d2f9f2068aa4p-17, -0x1.5c3105e1fa1b8p-17, -0x1.5b2e908ea4f03p-17, -0x1.5a285636b3fc4p-17, -0x1.591e6da137929p-17, -0x1.5810ed4c81758p-17, -0x1.56ffeb6ea68bp-17, -0x1.55eb7df5d3e3dp-17, -0x1.54d3ba89480d3p-17, -0x1.53b8b6895a458p-17, -0x1.529a8710ca462p-17, -0x1.517940f4542d5p-17, -0x1.5054f8c3fbf53p-17, -0x1.4f2dc2cb44377p-17, -0x1.4e03b3118dde5p-17, -0x1.4cd6dd5ab5ce4p-17, -0x1.4ba755285a05bp-17, -0x1.4a752db989324p-17, -0x1.49407a0b786bap-17, -0x1.48094cda4efbp-17, -0x1.46cfb8a144c35p-17, -0x1.4593cf9bbf50ep-17, -0x1.4455a3c57853cp-17, -0x1.431546db0a91bp-17, -0x1.41d2ca5ab97f9p-17, -0x1.408e3f84bdc7dp-17, -0x1.3f47b75be489ap-17, -0x1.3dff42a65581dp-17, -0x1.3cb4f1edca17bp-17, -0x1.3b68d5800d0d2p-17, -0x1.3a1afd6ffa95fp-17, -0x1.38cb799562f1ep-17, -0x1.377a598e0eb21p-17, -0x1.3627acbe4374p-17, -0x1.34d3825135968p-17, -0x1.337de9398046p-17, -0x1.3226f03186e88p-17, -0x1.30cea5bc310aap-17, -0x1.2f7518258aa18p-17, -0x1.2e1a5583390fcp-17, -0x1.2cbe6bb4fb693p-17, -0x1.2b61686525cf4p-17, -0x1.2a0359090b392p-17, -0x1.28a44ae1b5c65p-17, -0x1.27444afc59bfep-17, -0x1.25e36632e118fp-17, -0x1.2481a92c58629p-17, -0x1.231f205d6a285p-17, -0x1.21bbd80911c93p-17, -0x1.2057dc4103162p-17, -0x1.1ef338e627448p-17, -0x1.1d8df9a925434p-17, -0x1.1c282a0ab5c03p-17, -0x1.1ac1d55c81ab2p-17, -0x1.195b06c158662p-17, -0x1.17f3c92d87d34p-17, -0x1.168c27679cb97p-17, -0x1.15242c0910b6dp-17, -0x1.13bbe17e7dd8fp-17, -0x1.1253520803c76p-17, -0x1.10ea87b9c72a5p-17, -0x1.0f818c7c91331p-17, -0x1.0e186a0e7fddp-17, -0x1.0caf2a02f29dep-17, -0x1.0b45d5c37e3dap-17, -0x1.09dc76903374p-17, -0x1.0873157fe96aap-17, -0x1.0709bb80f8147p-17, -0x1.05a07159a2f75p-17, -0x1.04373fa86be58p-17, -0x1.02ce2ee494d62p-17, -0x1.0165475ea3547p-17, -0x1.fff9228165dd4p-18, -0x1.fd28291df7a12p-18, -0x1.fa57b250efd7p-18, -0x1.f787cd8dc5ecap-18, -0x1.f4b889fea98c7p-18, -0x1.f1e9f685d3d89p-18, -0x1.ef1c21bde88cfp-18, -0x1.ec4f19fada908p-18, -0x1.e982ed4a936b4p-18, -0x1.e6b7a97644811p-18, -0x1.e3ed5c0387967p-18, -0x1.e12412340405dp-18, -0x1.de5bd906f5e03p-18, -0x1.db94bd39eb019p-18, -0x1.d8cecb49ad1bep-18, -0x1.d60a0f72f13f6p-18, -0x1.d34695b329f92p-18, -0x1.d08469c965d6ep-18, -0x1.cdc39736c0196p-18, -0x1.cb04293f6cc2ap-18, -0x1.c8462aeb81c5p-18, -0x1.c589a707a43d3p-18, -0x1.c2cea825d5aaap-18, -0x1.c015389e02e5bp-18, -0x1.bd5d628efc00dp-18, -0x1.baa72fdf20ee7p-18, -0x1.b7f2aa3d2afa7p-18, -0x1.b53fdb20aa2b7p-18, -0x1.b28ecbcb26111p-18, -0x1.afdf85483bbe5p-18, -0x1.ad32106ec8f7ep-18, -0x1.aa8675e1a948cp-18, -0x1.a7dcbe100f5c1p-18, -0x1.a534f13655aafp-18, -0x1.a28f175eb053p-18, -0x1.9feb3861fe0dcp-18, -0x1.9d495be8638c4p-18, -0x1.9aa98969b9476p-18, -0x1.980bc82e59025p-18, -0x1.95701f4feec1fp-18, -0x1.92d695b9eaa6dp-18, -0x1.903f3229fe983p-18, -0x1.8da9fb3127b9cp-18, -0x1.8b16f734334bbp-18, -0x1.88862c6bf805fp-18, -0x1.85f7a0e6524c4p-18, -0x1.836b5a86bd3a8p-18, -0x1.80e15f06d0e3dp-18, -0x1.7e59b3f6e404fp-18, -0x1.7bd45ebe8f296p-18, -0x1.7951649d48e3cp-18, -0x1.76d0caab1a865p-18, -0x1.745295d92a7cep-18, -0x1.71d6caf23bb27p-18, -0x1.6f5d6e9b0caefp-18, -0x1.6ce68553243cp-18, -0x1.6a7213758418fp-18, -0x1.68001d38f8d1bp-18, -0x1.6590a6b07080bp-18, -0x1.6323b3cbe31f3p-18, -0x1.60b94858a6f8ep-18, -0x1.5e5168020a4c2p-18, -0x1.5bec1651ec0d9p-18, -0x1.598956b0d9e15p-18, -0x1.57292c6705f7cp-18, -0x1.54cb9a9c91fdfp-18, -0x1.5270a45a192d9p-18, -0x1.50184c8921ddp-18, -0x1.4dc295f48b069p-18, -0x1.4b6f834927ed3p-18, -0x1.491f17162e81p-18, -0x1.46d153cdacf87p-18, -0x1.44863bc4ee1dep-18, -0x1.423dd13507b2dp-18, -0x1.3ff8163b51797p-18, -0x1.3db50cd9b75a5p-18, -0x1.3b74b6f73c3f6p-18, -0x1.393716605dce5p-18, -0x1.36fc2cc7bcbc5p-18, -0x1.34c3fbc630fadp-18, -0x1.328e84db6cdb5p-18, -0x1.305bc96e6a02ap-18, -0x1.2e2bcacdac914p-18, -0x1.2bfe8a2fde34dp-18, -0x1.29d408b4057f4p-18, -0x1.27ac476200afep-18, -0x1.2587472af461ap-18, -0x1.236508e9a9381p-18, -0x1.21458d62e6165p-18, -0x1.1f28d545caea5p-18, -0x1.1d0ee12c3be54p-18, -0x1.1af7b19b457ffp-18, -0x1.18e347035d54cp-18, -0x1.16d1a1c0feebbp-18, -0x1.14c2c21cc688ap-18, -0x1.12b6a84bedf92p-18, -0x1.10ad54708230ap-18, -0x1.0ea6c699e38bfp-18, -0x1.0ca2fec50ebd2p-18, -0x1.0aa1fcdce6016p-18, -0x1.08a3c0ba9320cp-18, -0x1.06a84a25ec995p-18, -0x1.04af98d5ad89dp-18, -0x1.02b9ac6fc9db7p-18, -0x1.00c68489c79bdp-18, -0x1.fdac415208e77p-19, -0x1.f9d1008659622p-19, -0x1.f5fb457c74d2fp-19, -0x1.f22b0ee226db2p-19, }}, 
      {{0x1.c1983285ec996p-1, 0x1.c0c6ab3eb65fdp-1, 0x1.bfaa43acc4ed6p-1, 0x1.be4a1ea6cd8c5p-1, 0x1.bcadeed6b5d47p-1, 0x1.badd92464aa9ap-1, 0x1.b8e0c8bd7d672p-1, 0x1.b6beff3ae70a5p-1, 0x1.b47f2bec6bde3p-1, 0x1.b227b6f5d0956p-1, 0x1.afbe6d0f6fb19p-1, 0x1.ad4879a00d9c7p-1, 0x1.aaca66707566cp-1, 0x1.a8481f7b89989p-1, 0x1.a5c4f9ae1c393p-1, 0x1.a343bbaad7899p-1, 0x1.a0c6a7dab06f8p-1, 0x1.9e4f873c305b1p-1, 0x1.9bdfb4855f93ep-1, 0x1.99782746b4546p-1, 0x1.97197ed2a58b1p-1, 0x1.94c40cbe38108p-1, 0x1.9277dedc1094ep-1, 0x1.9034c89de4056p-1, 0x1.8dfa6bd02840dp-1, 0x1.8bc840aa10bd7p-1, 0x1.899d9d309925cp-1, 0x1.8779bbeee553ap-1, 0x1.855bc208d85cfp-1, 0x1.8342c4ae9fd53p-1, 0x1.812dcdf936831p-1, 0x1.7f1be138b35acp-1, 0x1.7d0bfebdb8004p-1, 0x1.7afd272776236p-1, 0x1.78ee5e3fd11c8p-1, 0x1.76dead6ee5964p-1, 0x1.74cd25cf02d85p-1, 0x1.72b8e1e9bef82p-1, 0x1.70a1072663762p-1, 0x1.6e84c6f177bc7p-1, 0x1.6c635fa4bb489p-1, 0x1.6a3c1d36599b5p-1, 0x1.680e59b5afb1ep-1, 0x1.65d97d9b797c6p-1, 0x1.639cfff2cb6d8p-1, 0x1.6158665fc6988p-1, 0x1.5f0b45088d97cp-1, 0x1.5cb53e6493d38p-1, 0x1.5a5602f6034bap-1, 0x1.57ed50f099fcep-1, 0x1.557af3d10955cp-1, 0x1.52fec3e7925c9p-1, 0x1.5078a5d856158p-1, 0x1.4de88a13836f3p-1, 0x1.4b4e6c475a813p-1, 0x1.48aa52cdb8859p-1, 0x1.45fc4e16b5124p-1, 0x1.43447811a1e8ep-1, 0x1.4082f3959a673p-1, 0x1.3db7ebcaa3a9ap-1, 0x1.3ae393943a28bp-1, 0x1.380624fe12108p-1, 0x1.351fe0aba5cc6p-1, 0x1.32310d4b1e68dp-1, 0x1.2f39f70c093f4p-1, 0x1.2c3aef1a3157cp-1, 0x1.29344b1ceda44p-1, 0x1.262664bb19bf5p-1, 0x1.23119923e40dfp-1, 0x1.1ff6489c9474fp-1, 0x1.1cd4d61359b46p-1, 0x1.19ada6b72c246p-1, 0x1.16812194c3691p-1, 0x1.134faf389a45fp-1, 0x1.1019b955f755ap-1, 0x1.0cdfaa72e31cbp-1, 0x1.09a1ed98fa1a8p-1, 0x1.0660ee0aff58fp-1, 0x1.031d16ff1123cp-1, 0x1.ffada6bac15adp-2, 0x1.f91d1b06990bdp-2, 0x1.f2895e156ed08p-2, 0x1.ebf3412af13fep-2, 0x1.e55b93397e34cp-2, 0x1.dec3208886276p-2, 0x1.d82ab26238bcap-2, 0x1.d1930ec836d18p-2, 0x1.cafcf82ef35c9p-2, 0x1.c4692d3f7efc2p-2, 0x1.bdd8689f6bf0bp-2, 0x1.b74b60be88fd7p-2, 0x1.b0c2c7aa207f1p-2, 0x1.aa3f4ae57cd45p-2, 0x1.a3c1934767c59p-2, 0x1.9d4a44dc62106p-2, 0x1.96d9fecd54341p-2, 0x1.90715b4a7300fp-2, 0x1.8a10ef7a200fep-2, 0x1.83b94b6b857b3p-2, 0x1.7d6afa0cb7318p-2, 0x1.772681241da09p-2, 0x1.70ec614cf9585p-2, 0x1.6abd15f6c759fp-2, 0x1.649915675774cp-2, 0x1.5e80d0bf636eep-2, 0x1.5874b4017b6e5p-2, 0x1.5275261b1c8abp-2, 0x1.4c8288efbfd2ap-2, 0x1.469d3965ca76ep-2, 0x1.40c58f75257e2p-2, 0x1.3afbde3767e3bp-2, 0x1.354073f96aacep-2, 0x1.2f939a4e25f67p-2, 0x1.29f59622b6e19p-2, 0x1.2466a7d3762d7p-2, 0x1.1ee70b41fbdfcp-2, 0x1.1976f7ebfd117p-2, 0x1.1416a102e1216p-2, 0x1.0ec6358403bfp-2, 0x1.0985e0517e6acp-2, 0x1.0455c84b70a0ap-2, 0x1.fe6c20d3550c8p-3, 0x1.f44dafab58f6ap-3, 0x1.ea507409ccdf5p-3, 0x1.e0749da64d714p-3, 0x1.d6ba553a5bb0bp-3, 0x1.cd21bcb69d2acp-3, 0x1.c3aaef7833e4ap-3, 0x1.ba56027df6a04p-3, 0x1.b123049d8ebdcp-3, 0x1.a811feb855056p-3, 0x1.9f22f3efd67b9p-3, 0x1.9655e1d9fbf7cp-3, 0x1.8daac0b4ba1b1p-3, 0x1.852183993ab22p-3, 0x1.7cba18ae6c284p-3, 0x1.7474695afa918p-3, 0x1.6c505a768e3ap-3, 0x1.644dcc7a59681p-3, 0x1.5c6c9bb0dbcf8p-3, 0x1.54aca064e01abp-3, 0x1.4d0daf0fa111ep-3, 0x1.458f988611191p-3, 0x1.3e322a2545c69p-3, 0x1.36f52dfdf7bdep-3, 0x1.2fd86aff1349p-3, 0x1.28dba51f65209p-3, 0x1.21fe9d8641144p-3, 0x1.1b4112b346a3cp-3, 0x1.14a2c0a51db6p-3, 0x1.0e2360ff440f5p-3, 0x1.07c2ab2ed82c7p-3, 0x1.0180548e7239cp-3, 0x1.f6b82111f1583p-4, 0x1.eaab2177042a5p-4, 0x1.ded90a2c6dff3p-4, 0x1.d34137f8820b8p-4, 0x1.c7e304c581f56p-4, 0x1.bcbdc7dd9a0c1p-4, 0x1.b1d0d624f7f4dp-4, 0x1.a71b8252146d8p-4, 0x1.9c9d1d240429ap-4, 0x1.9254f59704bdfp-4, 0x1.88425917375afp-4, 0x1.7e6493b190e5fp-4, 0x1.74baf0430702ap-4, 0x1.6b44b8a60412cp-4, 0x1.620135de2854fp-4, 0x1.58efb0425d97p-4, 0x1.500f6fa547551p-4, 0x1.475fbb7c1a5aep-4, 0x1.3edfdb03dc156p-4, 0x1.368f15651bb19p-4, 0x1.2e6cb1d625642p-4, 0x1.2677f7bbbf273p-4, 0x1.1eb02ec87056cp-4, 0x1.17149f1a653c8p-4, 0x1.0fa49157ee8a7p-4, 0x1.085f4ecaae2f4p-4, 0x1.014421797265fp-4, 0x1.f4a4a8819b338p-5, 0x1.e71265d4e0734p-5, 0x1.d9d014869e106p-5, 0x1.ccdc50613b4d8p-5, 0x1.c035b7874bf36p-5, 0x1.b3daea990b71ep-5, 0x1.a7ca8cd7b1b91p-5, 0x1.9c034446b57dp-5, 0x1.9083b9cb0b06cp-5, 0x1.854a99486f0c7p-5, 0x1.7a5691bccfdd5p-5, 0x1.6fa65559df14fp-5, 0x1.6538999ce52b9p-5, 0x1.5b0c1764dac11p-5, 0x1.511f8b06dd1b3p-5, 0x1.4771b4610e039p-5, 0x1.3e0156ebe6c59p-5, 0x1.34cd39ca12588p-5, 0x1.2bd427d6db078p-5, 0x1.2314efb337e73p-5, 0x1.1a8e63d185b58p-5, 0x1.123f5a7ffed89p-5, 0x1.0a26adf1f81bep-5, 0x1.02433c47f14f6p-5, 0x1.f527cf2d0a10fp-6, 0x1.e62f2bd890d36p-6, 0x1.d79a62ad30f4ep-6, 0x1.c9674fcaecf62p-6, 0x1.bb93d75ccf33p-6, 0x1.ae1de59cdd153p-6, 0x1.a1036ed6581a7p-6, 0x1.94426f664b459p-6, 0x1.87d8ebba8c623p-6, 0x1.7bc4f04f3770dp-6, 0x1.700491aac0612p-6, 0x1.6495ec58a38bbp-6, 0x1.597724e2cc241p-6, 0x1.4ea667c9c50c3p-6, 0x1.4421e97bb8406p-6, 0x1.39e7e64a557e8p-6, 0x1.2ff6a25fb3dbcp-6, 0x1.264c69b23064dp-6, 0x1.1ce78ff7626bp-6, 0x1.13c670962d3a1p-6, 0x1.0ae76e9801844p-6, 0x1.0248f49959114p-6, 0x1.f3d2e972f14fp-7, 0x1.e38ed112ffd9fp-7, 0x1.d3c2a1f5c99adp-7, 0x1.c46b6c9a8d65p-7, 0x1.b5864ff78ffdap-7, 0x1.a7107953ae8eap-7, 0x1.9907241f158d1p-7, 0x1.8b6799cb1ee3p-7, 0x1.7e2f31a150532p-7, 0x1.715b5099bad4dp-7, 0x1.64e96930afa44p-7, 0x1.58d6fb3bd4e2cp-7, 0x1.4d2193bec12d4p-7, 0x1.41c6ccbf1b5a8p-7, 0x1.36c44d184efa9p-7, 0x1.2c17c84eefea3p-7, 0x1.21befe63c9748p-7, 0x1.17b7bba6aa0b7p-7, 0x1.0dffd8890b405p-7, 0x1.049539707f30dp-7, 0x1.f6eb9d1209cd6p-8, 0x1.e53f272ea52adp-8, 0x1.d4211f962101p-8, 0x1.c38dab22277cap-8, 0x1.b38104cb37ddbp-8, 0x1.a3f77d4d72f67p-8, 0x1.94ed7acd70ac2p-8, 0x1.865f787d6b50dp-8, 0x1.784a0642bc9e7p-8, 0x1.6aa9c85bc28efp-8, 0x1.5d7b7706230fcp-8, 0x1.50bbde25a6943p-8, 0x1.4467dceb752bep-8, 0x1.387c657e060dfp-8, 0x1.2cf67ca194d7ap-8, 0x1.21d339614e07bp-8, 0x1.170fc4b921d4dp-8, 0x1.0ca959404ff15p-8, 0x1.029d42d4a4eafp-8, 0x1.f1d1bc8d5a8bcp-9, 0x1.df13320d03fbep-9, 0x1.ccf9e1a300b1fp-9, 0x1.bb80e6c1b7ba5p-9, 0x1.aaa37c3227fccp-9, 0x1.9a5cfb74a4058p-9, 0x1.8aa8dc233c772p-9, 0x1.7b82b35626439p-9, 0x1.6ce63309f4257p-9, 0x1.5ecf2987d3324p-9, 0x1.513980cfa82f4p-9, 0x1.44213e04146a2p-9, 0x1.378280d88bbd7p-9, 0x1.2b5983014d98ap-9, 0x1.1fa297a5933b2p-9, 0x1.145a2ad39910ep-9, 0x1.097cc0f6b66aap-9, 0x1.fe0dec9edfbb5p-10, 0x1.e9eafcdb61894p-10, 0x1.d68a475a491eap-10, 0x1.c3e58d66acbf4p-10, 0x1.b1f6bbe02d7aep-10, 0x1.a0b7ea3f7c38ap-10, 0x1.9023599f534b3p-10, 0x1.803373c971b74p-10, 0x1.70e2ca476340fp-10, 0x1.622c15777193p-10, 0x1.540a33a5c0c0ap-10, 0x1.4678282911261p-10, 0x1.39711a8433bf7p-10, 0x1.2cf0558abd698p-10, 0x1.20f14689d5b96p-10, 0x1.156f7c750e481p-10, 0x1.0a66a716fa61ep-10, 0x1.ffa52c8be8684p-11, 0x1.eb5e7238c6323p-11, 0x1.d7f13a6938738p-11, 0x1.c555dbd1b7b39p-11, 0x1.b384e72d8ccb7p-11, 0x1.a27725cd50a47p-11, 0x1.9225982d2f678p-11, 0x1.82897490efb95p-11, 0x1.739c25a85c625p-11, 0x1.6557493a06682p-11, 0x1.57b4aed53179p-11, 0x1.4aae568b53234p-11, 0x1.3e3e6faed78dep-11, 0x1.325f57999d78bp-11, 0x1.270b9879a1067p-11, 0x1.1c3de8243eb3ep-11, 0x1.11f126efe3b22p-11, 0x1.08205e94db49cp-11, 0x1.fd8d82250f88fp-12, 0x1.ebbf4f381f084p-12, 0x1.dacd2315c464ap-12, 0x1.caae46ad69824p-12, 0x1.bb5a4b28cf931p-12, 0x1.acc907f3b9719p-12, 0x1.9ef298ce1c7d1p-12, 0x1.91cf5bebbccddp-12, 0x1.8557f01ccc9b9p-12, 0x1.7985330220cedp-12, 0x1.6e503f4d74caap-12, 0x1.63b26b09f4408p-12, 0x1.59a545eed66e2p-12, 0x1.502297be56088p-12, 0x1.47245eac45dc4p-12, 0x1.3ea4cdcf3df2bp-12, 0x1.369e4b9c821bfp-12, 0x1.2f0b706c1a3fap-12, 0x1.27e7050467dc6p-12, 0x1.212c01326bf99p-12, 0x1.1ad58a67b1da9p-12, 0x1.14def262b155ap-12, 0x1.0f43b5df50eeap-12, 0x1.09ff7b5071e4ap-12, 0x1.050e119f6574dp-12, 0x1.006b6ef598748p-12, 0x1.f8275f1aba275p-13, 0x1.f006291432107p-13, 0x1.e86c05b18cc26p-13, 0x1.e15204302dd2dp-13, 0x1.dab1770c01b22p-13, 0x1.d483f1eb91ee2p-13, 0x1.cec3479a57924p-13, 0x1.c969880ebdb86p-13, 0x1.c470fe7eba7ccp-13, 0x1.bfd42f81f91e8p-13, 0x1.bb8dd740e1289p-13, 0x1.b798e7ac679a1p-13, 0x1.b3f086c60e783p-13, 0x1.b0900cf31dab6p-13, 0x1.ad73035a180f3p-13, 0x1.aa95224c355d1p-13, 0x1.a7f24fbbcc0a6p-13, 0x1.a5869dbbb061dp-13, 0x1.a34e4907604ffp-13, 0x1.a145b7999154cp-13, 0x1.9f69774a88a6ap-13, 0x1.9db63c78b7a21p-13, 0x1.9c28e0bb3324ap-13, 0x1.9abe619e4b2d1p-13, 0x1.9973df6898b69p-13, 0x1.98469be7a0a1dp-13, 0x1.9733f947da3ebp-13, 0x1.963978f41c0d1p-13, 0x1.9554ba7caa272p-13, 0x1.94837a88297eap-13, 0x1.93c391cba024cp-13, 0x1.9312f40a50e16p-13, 0x1.926faf1bf7cadp-13, 0x1.91d7e9fb82818p-13, 0x1.9149e3deb83e4p-13, 0x1.90c3f3511bd7fp-13, 0x1.904485585c22ep-13, 0x1.8fca1c9fb56fbp-13, 0x1.8f5350a870af9p-13, 0x1.8edecd00c1ccbp-13, 0x1.8e6b50808c848p-13, 0x1.8df7ac8e319a3p-13, 0x1.8d82c4675df4p-13, 0x1.8d0b8c6f7bc72p-13, 0x1.8c9109851de31p-13, 0x1.8c12505b8621dp-13, 0x1.8b8e84da9c28ap-13, 0x1.8b04d981f7641p-13, 0x1.8a748ed230cc8p-13, 0x1.89dcf2bc5dd42p-13, 0x1.893d6013d2189p-13, 0x1.88953e058c248p-13, 0x1.87e3ff95044a7p-13, 0x1.8729231bbf775p-13, 0x1.866431ce3cea4p-13, 0x1.8594bf4368d68p-13, 0x1.84ba6901f1ed7p-13, 0x1.83d4d611007f3p-13, 0x1.82e3b68b8824bp-13, 0x1.81e6c3388837ep-13, 0x1.80ddbd26daedap-13, 0x1.7fc86d4b72d4bp-13, 0x1.7ea6a424464ap-13, 0x1.7d78395c1de85p-13, 0x1.7c3d0b7497d67p-13, 0x1.7af4ff71db6e1p-13, 0x1.79a0008849ca8p-13, 0x1.783dffce87a1cp-13, 0x1.76cef3f242131p-13, 0x1.7552d8ee60401p-13, 0x1.73c9afc622ce6p-13, 0x1.72337e3f54b88p-13, 0x1.70904ea20edc7p-13, 0x1.6ee02f7a79589p-13, 0x1.6d23335b801aap-13, 0x1.6b5970a46585p-13, 0x1.698301499f3fdp-13, 0x1.67a0029de2c78p-13, 0x1.65b0951f1f2f5p-13, 0x1.63b4dc447063ap-13, 0x1.61acfe4d25243p-13, 0x1.5f992413c7d14p-13, 0x1.5d7978e1dc435p-13, 0x1.5b4e2a44bec4cp-13, 0x1.591767e52695ep-13, 0x1.56d563604c2cep-13, 0x1.54885021cc9cdp-13, 0x1.5230634025b7ap-13, 0x1.4fcdd359ebbcap-13, 0x1.4d60d874258ffp-13, 0x1.4ae9abdbab0f8p-13, 0x1.4868880623ee7p-13, 0x1.45dda874f6dbfp-13, 0x1.43494999c7af2p-13, 0x1.40aba8bbc03cdp-13, 0x1.3e0503de47c46p-13, 0x1.3b5599a8bbf84p-13, 0x1.389da94efdb17p-13, 0x1.35dd727b66d3ap-13, 0x1.3315353a36e4p-13, 0x1.304531e4f86bap-13, 0x1.2d6da90f802dep-13, 0x1.2a8edb75c657bp-13, 0x1.27a909ea823d8p-13, 0x1.24bc7546c419dp-13, 0x1.21c95e5a80307p-13, 0x1.1ed005dd13a39p-13, 0x1.1bd0ac5f8e588p-13, 0x1.18cb923f6ac04p-13, 0x1.15c0f79a07475p-13, 0x1.12b11c404be7fp-13, 0x1.0f9c3fabb1b8dp-13, 0x1.0c82a0f37c04cp-13, 0x1.09647ec26594cp-13, 0x1.0642174dfc84ep-13, 0x1.031ba84cfab0ep-13, 0x1.ffe2ddddf7372p-14, 0x1.f9874fa972e3bp-14, 0x1.f3251e123b725p-14, 0x1.ecbcbff3fc72cp-14, 0x1.e64eaae37f2bbp-14, 0x1.dfdb532361186p-14, 0x1.d9632b987cefdp-14, 0x1.d2e6a5bf75b44p-14, 0x1.cc6631a49b711p-14, 0x1.c5e23dda01001p-14, 0x1.bf5b376fceaaap-14, 0x1.b8d189eceb42bp-14, 0x1.b2459f495761dp-14, 0x1.abb7dfe70e5a6p-14, 0x1.a528b28d19359p-14, 0x1.9e987c631f129p-14, 0x1.9807a0ecec847p-14, 0x1.917682067b8e7p-14, 0x1.8ae57fe152fc4p-14, 0x1.8454f901c2f4cp-14, 0x1.7dc54a3c2dccep-14, 0x1.7736ceb394ef7p-14, 0x1.70a9dfd880328p-14, 0x1.6a1ed567d2719p-14, 0x1.63960569e1589p-14, 0x1.5d0fc432962d7p-14, 0x1.568c6461b0a57p-14, 0x1.500c36e2f7b6bp-14, 0x1.498f8aeecb54bp-14, 0x1.4316ae0bf78d8p-14, 0x1.3ca1ec10243a2p-14, 0x1.36318f21da301p-14, 0x1.2fc5dfba4f578p-14, 0x1.295f24a7db318p-14, 0x1.22fda30fb2e5ap-14, 0x1.1ca19e70a3ad6p-14, 0x1.164b58a5b2f1cp-14, 0x1.0ffb11e95e337p-14, 0x1.09b108d863b0bp-14, 0x1.036d7a74f8ef2p-14, 0x1.fa614455053a1p-15, 0x1.edf573a14243fp-15, 0x1.e197f35e508bp-15, 0x1.d5493103b555ep-15, 0x1.c90996f92d39bp-15, 0x1.bcd98c9e07536p-15, 0x1.b0b976516def9p-15, 0x1.a4a9b57ae1a32p-15, 0x1.98aaa89317775p-15, 0x1.8cbcab2cac939p-15, 0x1.80e015fc98538p-15, 0x1.75153ee3cfe3dp-15, 0x1.695c78f7e0b33p-15, 0x1.5db6148c354d6p-15, 0x1.52225f3bb9b09p-15, 0x1.46a1a3f1e7f4p-15, 0x1.3b342af49b73ep-15, 0x1.2fda39ed2f1f5p-15, 0x1.249413f241825p-15, 0x1.1961f99111687p-15, 0x1.0e4428d7d0ef6p-15, 0x1.033add5e5142ep-15, 0x1.f08ca0a13fcfp-16, 0x1.dacd70f02d3f1p-16, 0x1.c538948a863fcp-16, 0x1.afce6fb332e4ep-16, 0x1.9a8f62221c699p-16, 0x1.857bc717528bcp-16, 0x1.7093f56ec557fp-16, 0x1.5bd83fb3093dfp-16, 0x1.4748f430965ccp-16, 0x1.32e65d088844cp-16, 0x1.1eb0c0445c15ap-16, 0x1.0aa85fe7e4548p-16, 0x1.ed9af408e815p-17, 0x1.c6409196c9c2ep-17, 0x1.9f420541954aap-17, 0x1.789fb45b8c6edp-17, 0x1.5259fce4e00acp-17, 0x1.2c7135b086d42p-17, 0x1.06e5ae878efefp-17, 0x1.c36f609bbd069p-18, 0x1.79cefa48fceffp-18, 0x1.30eaa118ffd06p-18, 0x1.d1857e2b2f6f3p-19, 0x1.42af6324d902ap-19, 0x1.6aa725c6ac279p-20, 0x1.4b94b688a1a67p-22, -0x1.83cc7e088db75p-21, -0x1.d3ba6baad6ea3p-20, -0x1.714b68bb0006fp-19, -0x1.f73d8b15633afp-19, -0x1.3dd9c2cc92e49p-18, -0x1.7f56ab27038ddp-18, -0x1.c0158808eb21ep-18, -0x1.000b36883bde8p-17, -0x1.1facbbe683ccp-17, -0x1.3eef67c1ef442p-17, -0x1.5dd3527aa5cfap-17, -0x1.7c589911583c6p-17, -0x1.9a7f5d0a4ea4dp-17, -0x1.b847c4515a99fp-17, -0x1.d5b1f91ceac9bp-17, -0x1.f2be29d41a2b2p-17, -0x1.07b6447907de2p-16, -0x1.15dea67646f8cp-16, -0x1.23d8580c0857ap-16, -0x1.31a378477f10ep-16, -0x1.3f40280bcf6d3p-16, -0x1.4cae8a05834c5p-16, -0x1.59eec29dc6554p-16, -0x1.6700f7eeb6d9fp-16, -0x1.73e551b70a835p-16, -0x1.809bf94e35698p-16, -0x1.8d251998de46cp-16, -0x1.9980defd39717p-16, -0x1.a5af77580d2c3p-16, -0x1.b1b111f1251fcp-16, -0x1.bd85df70e3e7p-16, -0x1.c92e11d4fe97ap-16, -0x1.d4a9dc666072fp-16, -0x1.dff973ae99db6p-16, -0x1.eb1d0d6db2018p-16, -0x1.f614e08fef336p-16, -0x1.007092921e7dp-15, -0x1.05c10a294ae8bp-15, -0x1.0afbf428f9e8ep-15, -0x1.10216e2fcb733p-15, -0x1.1531965aab02fp-15, -0x1.1a2c8b408b90ap-15, -0x1.1f126bedcae8p-15, -0x1.23e357dfe1039p-15, -0x1.289f6f0122241p-15, -0x1.2d46d1a496e25p-15, -0x1.31d9a081ce212p-15, -0x1.3657fcb0ecf75p-15, -0x1.3ac207a6b0e8dp-15, -0x1.3f17e3305bc95p-15, -0x1.4359b1703dc9ep-15, -0x1.478794d9d98f9p-15, -0x1.4ba1b02e05c56p-15, -0x1.4fa82677911a2p-15, -0x1.539b1b07acf57p-15, -0x1.577ab172864aap-15, -0x1.5b470d8bd3406p-15, -0x1.5f00536375055p-15, -0x1.62a6a7425a22ap-15, -0x1.663a2da740619p-15, -0x1.69bb0b43943c3p-15, -0x1.6d2964f86dd9p-15, -0x1.70855fd3a00adp-15, -0x1.73cf210c7f411p-15, -0x1.7706ce016fb64p-15, -0x1.7a2c8c34f1e9bp-15, -0x1.7d40814abe3b2p-15, -0x1.8042d30528f18p-15, -0x1.8333a7429110ap-15, -0x1.861323fad3259p-15, -0x1.88e16f3cb310dp-15, -0x1.8b9eaf2b635c1p-15, -0x1.8e4b09fc20bcep-15, -0x1.90e6a5f3e6735p-15, -0x1.9371a96516c56p-15, -0x1.95ec3aad37a6bp-15, -0x1.98568032d421p-15, -0x1.9ab0a0634a476p-15, -0x1.9cfac1b077a7bp-15, -0x1.9f350a8f2a742p-15, -0x1.a15fa174da34dp-15, -0x1.a37aacd59e716p-15, -0x1.a5865322593ccp-15, -0x1.a782bac6eb1e5p-15, -0x1.a9700a2866436p-15, -0x1.ab4e67a33ad77p-15, -0x1.ad1df9896e2c1p-15, -0x1.aedee620f6a05p-15, -0x1.b09153a22c119p-15, -0x1.b23568361d46cp-15, -0x1.b3cb49f4f8d02p-15, -0x1.b5531ee48f7c2p-15, -0x1.b6cd0cf6f6801p-15, -0x1.b8393a08af21cp-15, -0x1.b997cbdfc07e7p-15, -0x1.bae8e82a35ac4p-15, -0x1.bc2cb47c95037p-15, -0x1.bd635650a5968p-15, -0x1.be8cf30443134p-15, -0x1.bfa9afd836536p-15, -0x1.c0b9b1eed4fffp-15, -0x1.c1bd1e4afba3p-15, -0x1.c2b419ced0f6dp-15, -0x1.c39ec93abdcdfp-15, -0x1.c47d512c6a63ep-15, -0x1.c54fd61da8383p-15, -0x1.c6167c636c7d6p-15, -0x1.c6d1682ce9268p-15, -0x1.c780bd82a4e11p-15, -0x1.c824a0452d746p-15, -0x1.c8bd342ce9a3bp-15, -0x1.c94a9cc8c6deep-15, -0x1.c9ccfd7d6c9d7p-15, -0x1.ca4479847cb25p-15, -0x1.cab133ebbfce9p-15, -0x1.cb134f94b069ap-15, -0x1.cb6aef3361badp-15, -0x1.cbb8354dfbdbep-15, -0x1.cbfb443c0bf6fp-15, -0x1.cc343e25d52ccp-15, -0x1.cc634503b9fb5p-15, -0x1.cc887a9da5a3fp-15, -0x1.cca4008a75edcp-15, -0x1.ccb5f82f648c3p-15, -0x1.ccbe82bf9826fp-15, -0x1.ccbdc13b59de7p-15, -0x1.ccb3d46fdba6cp-15, -0x1.cca0dcf6f5a02p-15, -0x1.cc84fb36247bfp-15, -0x1.cc604f5e79a26p-15, -0x1.cc32f96c02cbcp-15, -0x1.cbfd1925905adp-15, -0x1.cbbece1c6504ep-15, -0x1.cb7837ab9a88fp-15, -0x1.cb2974f7f220fp-15, -0x1.cad2a4ef79b6dp-15, -0x1.ca73e6493db5ap-15, -0x1.ca0d578509a0ep-15, -0x1.c99f16eb20bd9p-15, -0x1.c929428bf889cp-15, -0x1.c8abf8400254bp-15, -0x1.c82755a776491p-15, -0x1.c79b7829e1eebp-15, -0x1.c7087cf655346p-15, -0x1.c66e81033509fp-15, -0x1.c5cda10db726dp-15, -0x1.c525f999ea535p-15, -0x1.c477a6f2a3502p-15, -0x1.c3c2c5293e25bp-15, -0x1.c3077015d377p-15, -0x1.c245c356bfcfp-15, -0x1.c17dda50a56dfp-15, -0x1.c0afd02e81e75p-15, -0x1.bfdbbfe17bb14p-15, -0x1.bf01c420d3bbp-15, -0x1.be21f769faaefp-15, -0x1.bd3c7400775dbp-15, -0x1.bc5153ede3dc8p-15, -0x1.bb60b1020fbf6p-15, -0x1.ba6aa4d2b18e1p-15, -0x1.b96f48bb84ab9p-15, -0x1.b86eb5dec4ea3p-15, -0x1.b7690524bdc67p-15, -0x1.b65e4f3bd6a6fp-15, -0x1.b54eac98c6be3p-15, -0x1.b43a3576a091ep-15, -0x1.b32101d6f03ecp-15, -0x1.b2032981e3d28p-15, -0x1.b0e0c4062d086p-15, -0x1.afb9e8b928eabp-15, -0x1.ae8eaeb715259p-15, -0x1.ad5f2ce3220aap-15, -0x1.ac2b79e7888b2p-15, -0x1.aaf3ac35b62c9p-15, -0x1.a9b7da067b82dp-15, -0x1.a878195a175b4p-15, -0x1.a7347ff89469cp-15, -0x1.a5ed2371ad8aap-15, -0x1.a4a2191ccc517p-15, -0x1.a353761a03138p-15, -0x1.a2014f5183469p-15, -0x1.a0abb973fcfa9p-15, -0x1.9f52c8fabe323p-15, -0x1.9df692280226p-15, -0x1.9c972907212fdp-15, -0x1.9b34a16ce4bd2p-15, -0x1.99cf0ef78edfdp-15, -0x1.9866850f0a95ap-15, -0x1.96fb16e542f8ap-15, -0x1.958cd77656c4dp-15, -0x1.941bd988d1fd4p-15, -0x1.92a82fadeb885p-15, -0x1.9131ec41c2cb5p-15, -0x1.8fb9216ba1f5ep-15, -0x1.8e3de11e329bdp-15, -0x1.8cc03d17ef32dp-15, -0x1.8b4046e313384p-15, -0x1.89be0fd5c7ddep-15, -0x1.8839a91338619p-15, -0x1.86b3238b086b8p-15, -0x1.852a8ff9c41b4p-15, -0x1.839ffee938a92p-15, -0x1.821380b0c3a99p-15, -0x1.808525758cb29p-15, -0x1.7ef4fd2b0c775p-15, -0x1.7d631792fa685p-15, -0x1.7bcf843dbc079p-15, -0x1.7a3a528aaa71bp-15, -0x1.78a391a8717b9p-15, -0x1.770b50953c034p-15, -0x1.75719e1f26de4p-15, -0x1.73d688e468d7dp-15, -0x1.723a1f53bc412p-15, -0x1.709c6faca3099p-15, -0x1.6efd87ffae15p-15, -0x1.6d5d762ef5ee4p-15, -0x1.6bbc47edf6632p-15, -0x1.6a1a0ac240dc5p-15, -0x1.6876cc0416919p-15, -0x1.66d298de1496fp-15, -0x1.652d7e4dc7389p-15, -0x1.6387892401e3bp-15, -0x1.61e0c6052c409p-15, -0x1.603941699b8c9p-15, -0x1.5e91079e116c6p-15, -0x1.5ce824c3a5956p-15, -0x1.5b3ea4d064b11p-15, -0x1.5994938f7ae03p-15, -0x1.57e9fca1a7623p-15, -0x1.563eeb7d7a30ep-15, -0x1.54936b6fac45cp-15, -0x1.52e7879b7f141p-15, -0x1.513b4afb00a0dp-15, -0x1.4f8ec05f65391p-15, -0x1.4de1f271548c1p-15, -0x1.4c34ebb161487p-15, -0x1.4a87b678127adp-15, -0x1.48da5cf6394cfp-15, -0x1.472ce935e26a9p-15, -0x1.457f651a01569p-15, -0x1.43d1da5ee5deep-15, -0x1.4224529a9f8d5p-15, -0x1.4076d73d592a8p-15, -0x1.3ec971918e6d4p-15, -0x1.3d1c2abcb43b5p-15, -0x1.3b6f0bbf3b2f1p-15, -0x1.39c21d74de7eep-15, -0x1.381568951e7c5p-15, -0x1.3668f5b379251p-15, -0x1.34bccd3fca554p-15, -0x1.3310f786a40cbp-15, -0x1.31657cb188cccp-15, -0x1.2fba64c75d15ep-15, -0x1.2e0fb7acacf11p-15, -0x1.2c657d23f1d49p-15, -0x1.2abbbccdf3ebcp-15, -0x1.29127e2a2147p-15, -0x1.2769c896bf383p-15, -0x1.25c1a35126212p-15, -0x1.241a1576971a9p-15, -0x1.2273260410b7bp-15, -0x1.20ccdbd6adc7fp-15, -0x1.1f273dac097fdp-15, -0x1.1d8252228a0d6p-15, -0x1.1bde1fb9a3f7cp-15, -0x1.1a3aacd265319p-15, -0x1.1897ffaf997c6p-15, -0x1.16f61e75fb68bp-15, -0x1.15550f2ca4626p-15, -0x1.13b4d7bd54634p-15, -0x1.12157df4bd402p-15, -0x1.10770782d69bp-15, -0x1.0ed979fb264e3p-15, -0x1.0d3cdad50de28p-15, -0x1.0ba12f6c18be1p-15, -0x1.0a067d00512b5p-15, -0x1.086cc8b676c08p-15, -0x1.06d4179856a4bp-15, -0x1.053c6e951cfcdp-15, -0x1.03a5d2818c679p-15, -0x1.021048182c1b4p-15, -0x1.007bd3fa033f9p-15, -0x1.fdd0f55cf77cbp-16, -0x1.faac81477cff3p-16, -0x1.f78a545dfb431p-16, -0x1.f46a771992475p-16, -0x1.f14cf1c280855p-16, -0x1.ee31cc710c684p-16, -0x1.eb190f0df0635p-16, -0x1.e802c152a01e9p-16, -0x1.e4eeeaca17453p-16, -0x1.e1dd92d13acc5p-16, -0x1.decec097916bp-16, -0x1.dbc27b1fb34a7p-16, -0x1.d8b8c93fd17e2p-16, -0x1.d5b1b1a246d97p-16, -0x1.d2ad3ac6269c7p-16, -0x1.cfab6affb7abep-16, -0x1.ccac4878fc08cp-16, -0x1.c9afd93238489p-16, -0x1.c6b623025ef29p-16, -0x1.c3bf2b97d5f05p-16, -0x1.c0caf8788c2b5p-16, -0x1.bdd98f02b2bd3p-16, -0x1.baeaf46d8e9ffp-16, -0x1.b7ff2dc9912d9p-16, -0x1.b5164000e3329p-16, -0x1.b2302fd7e3076p-16, -0x1.af4d01eda644fp-16, -0x1.ac6cbabc82ad1p-16, -0x1.a98f5e9a8fdefp-16, -0x1.a6b4f1ba33da1p-16, -0x1.a3dd782a5ca3dp-16, -0x1.a108f5d70fac4p-16, -0x1.9e376e89ec3aep-16, -0x1.9b68e5ea955b6p-16, -0x1.989d5f7f3b7ecp-16, -0x1.95d4deacf5d57p-16, -0x1.930f66b846e54p-16, -0x1.904cfac58ac8cp-16, -0x1.8d8d9dd96851p-16, -0x1.8ad152d957c48p-16, -0x1.88181c8bedd06p-16, -0x1.8561fd9941da2p-16, -0x1.82aef88b93bbap-16, -0x1.7fff0fcf85684p-16, -0x1.7d5245b4892c8p-16, -0x1.7aa89c6d5e56fp-16, -0x1.780216109e73ap-16, -0x1.755eb498ef048p-16, -0x1.72be79e569fd1p-16, -0x1.702167ba1e05cp-16, -0x1.6d877fc0568a8p-16, -0x1.6af0c3872eba3p-16, -0x1.685d3483d1a85p-16, -0x1.65ccd4120d4c1p-16, -0x1.633fa37477f91p-16, -0x1.60b5a3d4df56fp-16, -0x1.5e2ed644cb86bp-16, -0x1.5bab3bbdb8c7fp-16, -0x1.592ad521913fep-16, -0x1.56ada33aeffcfp-16, -0x1.5433a6bd9c2e9p-16, -0x1.51bce046df9d6p-16, -0x1.4f49505dc6ccap-16, -0x1.4cd8f773a3671p-16, -0x1.4a6bd5e455be6p-16, -0x1.4801ebf68a0b3p-16, -0x1.459b39dc3dbb1p-16, -0x1.4337bfb2f40b5p-16, -0x1.40d77d840d38dp-16, -0x1.3e7a734539cb7p-16, -0x1.3c20a0d8b5abfp-16, -0x1.39ca060db88d2p-16, -0x1.3776a2a0a06f6p-16, -0x1.3526763b47602p-16, -0x1.32d9807569cc7p-16, -0x1.308fc0d4fb883p-16, -0x1.2e4936ce5f49bp-16, -0x1.2c05e1c4bf4bcp-16, -0x1.29c5c10a7cfdap-16, -0x1.2788d3e140dd8p-16, -0x1.254f197a60cb2p-16, -0x1.231890f735c6dp-16, -0x1.20e539695aa2dp-16, -0x1.1eb511d2fee08p-16, -0x1.1c88192721c71p-16, -0x1.1a5e4e49e25f4p-16, -0x1.1837b010c6c9ap-16, -0x1.16143d4305be5p-16, -0x1.13f3f499d5d05p-16, -0x1.11d6d4c09ad33p-16, -0x1.0fbcdc552543fp-16, -0x1.0da609e8172a7p-16, -0x1.0b925bfd1add4p-16, -0x1.0981d10affd4p-16, -0x1.0774677c38c16p-16, -0x1.056a1daef0789p-16, -0x1.0362f1f559e95p-16, -0x1.015ee295e6e33p-16, -0x1.febbdb971350cp-17, -0x1.fac0238bfb696p-17, -0x1.f6ca9953da6c2p-17, -0x1.f2db392289452p-17, -0x1.eef1ff16a1f88p-17, -0x1.eb0ee73a36a8bp-17, -0x1.e731ed8337e91p-17, -0x1.e35b0dd3b427p-17, -0x1.df8a43fa6efcp-17, -0x1.dbbf8bb35196bp-17, -0x1.d7fae0a7d27ep-17, -0x1.d43c3e6f6a4d2p-17, -0x1.d083a08fdea3ep-17, -0x1.ccd1027dcf628p-17, -0x1.c9245f9d1e6ccp-17, -0x1.c57db34141cf9p-17, -0x1.c1dcf8adbb5e3p-17, -0x1.be422b167d941p-17, -0x1.baad45a0298cap-17, -0x1.b71e4360b06c7p-17, -0x1.b3951f5f99fe8p-17, -0x1.b011d49632d2ap-17, -0x1.ac945df0054bbp-17, -0x1.a91cb64b9abd1p-17, -0x1.a5aad87a7cdb6p-17, -0x1.a23ebf4141443p-17, -0x1.9ed865584d7cfp-17, -0x1.9b77c56c3a63bp-17, -0x1.981cda1e00dbep-17, -0x1.94c79e03716cp-17, -0x1.91780ba749dbcp-17, -0x1.8e2e1d89a9ef8p-17, -0x1.8ae9ce207e0dap-17, -0x1.87ab17d7bea7cp-17, -0x1.8471f511ae32bp-17, -0x1.813e602743cbfp-17, -0x1.7e10536867c09p-17, -0x1.7ae7c91c4ce78p-17, -0x1.77c4bb81b2ec6p-17, -0x1.74a724cf22d6fp-17, -0x1.718eff3356ce1p-17, -0x1.6e7c44d5752e7p-17, -0x1.6b6eefd555b72p-17, -0x1.6866fa4bc545ep-17, -0x1.65645e4ac821ap-17, -0x1.626715ddef023p-17, -0x1.5f6f1b0a995aep-17, -0x1.5c7c67d02fp-17, -0x1.598ef6284cd3fp-17, -0x1.56a6c00702bf5p-17, -0x1.53c3bf5b4419dp-17, -0x1.50e5ee0f4838fp-17, -0x1.4e0d460875d41p-17, -0x1.4b39c12760db5p-17, -0x1.486b594863f2ep-17, -0x1.45a20844114acp-17, -0x1.42ddc7ef1d6f5p-17, -0x1.401e921ab0915p-17, -0x1.3d64609486158p-17, -0x1.3aaf2d272cdb3p-17, -0x1.37fef19a3cd87p-17, -0x1.3553a7b291c2p-17, -0x1.32ad49328996ep-17, -0x1.300bcfda339bbp-17, -0x1.2d6f35677316p-17, -0x1.2ad773964dfc2p-17, -0x1.28448420f87c8p-17, -0x1.25b660c020a71p-17, -0x1.232d032b1cafdp-17, -0x1.20a865180b5cp-17, -0x1.1e28803c0ba2cp-17, -0x1.1bad4e4b624aap-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      34, 0x1.f851eb851eb85p+1, 0x1.e97f4c3d84452p+1, 0x1.8fc7369da65e2p+2, -0x1.1fba6a03c0eb4p-6, 
      {{
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.3b9f524ca811cp-4, -0x1.728568143aa28p-2, 0x1.623c892af5151p-1, -0x1.1a36f3cf5abd4p-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.f0a42af96fe07p-5, -0x1.2fe8342482054p-2, 0x1.37e77e3241127p-1, -0x1.147bbf2697797p-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.83006d3701cp-5, -0x1.eb58cd761264dp-3, 0x1.0e6e87ec77266p-1, -0x1.0fdf26e6debb8p-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2b017d319af8p-5, -0x1.875490942bfa1p-3, 0x1.cb4d50fa11e1ap-2, -0x1.0a02767fdb2c6p-1}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.cac99c68bab5fp-6, -0x1.33734160df9d2p-3, 0x1.7b7fc706e9ba4p-2, -0x1.08078a4cf9973p-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.5dee69ebeebcdp-6, -0x1.def14acdd71d8p-4, 0x1.2c4a50bc9edap-2, -0x1.d8ee8a73d04bep-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.093563088aad5p-6, -0x1.7503aea9b4dd3p-4, 0x1.cab377f018d11p-3, -0x1.6df8fa2e35967p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.8e187190fce38p-7, -0x1.2440db9ee9d3bp-4, 0x1.5ce8c67bd589cp-3, -0x1.0cc5ef6e22f4bp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.26134ec7996ccp-7, -0x1.cd11c3038a93ep-5, 0x1.0c46fea797da3p-3, -0x1.438228930aa48p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a7e4285f3599dp-8, -0x1.6b76b568c15aap-5, 0x1.b7808abcac828p-4, -0x1.ac65bf726c817p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.273aa2ed43efbp-8, -0x1.19fd3f17efd74p-5, 0x1.773e146b82a27p-4, -0x1.a070193c15ea4p-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.893868e126556p-9, -0x1.aa5fe76a8320ap-6, 0x1.38c6dd6f4c25ep-4, -0x1.7596ff9814598p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.ec6585c974e67p-10, -0x1.3878ba599879fp-6, 0x1.00bd03e549182p-4, -0x1.5304b2d9a21e8p-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.18c90879b77edp-10, -0x1.b7e4c3fe94bp-7, 0x1.9bc56bbc7b278p-5, -0x1.2e3aa5f29d9fp-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.0eb412191581ep-11, -0x1.2551a2db58666p-7, 0x1.411a39f3b2441p-5, -0x1.0a08ccc85369ep-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.4cac2a2d62473p-13, -0x1.69ae1134bb8f4p-8, 0x1.e29592a265afap-6, -0x1.cb5bc9a76431p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.a926d19be104fp-15, -0x1.886a5ee7278eap-9, 0x1.58c6d623613b2p-6, -0x1.82be089766171p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.42447c9658379p-13, -0x1.4601a6afcc0a1p-10, 0x1.c9820d858533fp-7, -0x1.3a1229b700dcp-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.8584e34c21dcp-13, -0x1.1b043949c5d0fp-13, 0x1.0d10c14aeb16fp-7, -0x1.e30d667df2ed7p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.705929217f45p-13, 0x1.e7a2d50428249p-12, 0x1.f09956faef3b7p-9, -0x1.510f71ebbcb7ap-6}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.311d1a5d603a1p-13, 0x1.69902a4779abep-11, 0x1.70819f80331bdp-11, -0x1.84d99622c0fb9p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.d0741de8f4281p-14, 0x1.5fc0750353253p-11, -0x1.1a5de4699ad12p-10, -0x1.3a1fa7cf10fb5p-9}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.504dd5129073cp-14, 0x1.1ddacf18a1c02p-11, -0x1.789a96c1531d3p-10, 0x1.0254efbc18aecp-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.d7fc66acb23fp-15, 0x1.b4915bcb612dap-12, -0x1.2b1ab53c1882dp-10, 0x1.43ef33a46c501p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.3ffdce33765f1p-15, 0x1.46a4e435b6c8p-12, -0x1.f507416076ecdp-11, 0x1.4b967540c7184p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.a018ddd69bc91p-16, 0x1.d8c5ab1068a91p-13, -0x1.918d5166a1991p-11, 0x1.1d8c9d6ca8947p-10}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.00d3fad34a4d7p-16, 0x1.4948c72632236p-13, -0x1.3be3222c6f067p-11, 0x1.fbca7bd49da4p-11}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.28b5529dd0f61p-17, 0x1.b45384a11f26ap-14, -0x1.df6febff7b8dfp-12, 0x1.b4ca2d22b6bf4p-11}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.3a13b009f80edp-18, 0x1.0ec23d6b176a7p-14, -0x1.5c66780eab21ep-12, 0x1.6fcb2c8213fc4p-11}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.26a8937150a3cp-19, 0x1.32eeb9bb56664p-15, -0x1.dc1fd568e3de7p-13, 0x1.2a7883499526p-11}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.cef71b246b4cp-21, 0x1.30993a2a2ec86p-16, -0x1.290ab9d6572ecp-13, 0x1.c8e65cbe7ee7dp-12}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.10f2146e008p-22, 0x1.e72c0a2d51b5fp-18, -0x1.3ff1a26d956d2p-14, 0x1.431861a849d5ep-12}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.74ed5a9b6bp-25, 0x1.04b1ef74913ffp-19, -0x1.f858d288d7aedp-16, 0x1.4b7a05f7ce9dap-13}, 
        {0x1.f333333333333p+1, 0x1.f851eb851eb85p+1, -0x1.d1a2186748001p-30, 0x1.053875514ae11p-23, -0x1.aa4cc7177fp-18, 0x1.2accd4c79a7p-12}, 
      }}, 
      -0x1.b2954dceac77p-8, 0x1.ca75531c676a2p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.5ef7c0573fc57p+1, -0x1.5b2f7ca31e793p+1, -0x1.5606098808162p+1, -0x1.4f97196257748p+1, -0x1.480114b40ff8cp+1, -0x1.3f63c193f348fp+1, -0x1.35df439564297p+1, -0x1.2b935d98c2b69p+1, -0x1.209ee58ee3124p+1, -0x1.151f5ebf96f6bp+1, -0x1.0930b22451b92p+1, -0x1.f9d9fc7aa8e6fp+0, -0x1.e0d8f33a5addcp+0, -0x1.c78ac7d86ea94p+0, -0x1.ae18051ec64dfp+0, -0x1.94a54c6c686d2p+0, -0x1.7b536edf79aa4p+0, -0x1.623f91234c69dp+0, -0x1.4983572cbc33bp+0, -0x1.313515c6369fap+0, -0x1.196807e154c36p+0, -0x1.022c8645c44d5p+0, -0x1.d72080a180925p-1, -0x1.ab3ce98ba7145p-1, -0x1.80c0523b9306fp-1, -0x1.57b8be3b8fccap-1, -0x1.303092b86dc21p-1, -0x1.0a2efa60bd1abp-1, -0x1.cb707c456e191p-2, -0x1.859c351eeec47p-2, -0x1.42e02c162c26dp-2, -0x1.03378f3580927p-2, -0x1.8d345a52317c7p-3, -0x1.19f9f3b634509p-3, -0x1.5949e079af75cp-4, -0x1.1458edb2ef28ap-5, 0x1.cd4a578af176fp-7, 0x1.e503f24a3620dp-5, 0x1.a0acb222b96b6p-4, 0x1.223e19fb49cafp-3, 0x1.6f23045b7af98p-3, 0x1.b730e66e937a8p-3, 0x1.fa944813b2477p-3, 0x1.1cbd10a589749p-2, 0x1.3a07cc33866ebp-2, 0x1.5540e3ce65bbp-2, 0x1.6e7ec3ae8ad39p-2, 0x1.85d79fb1ed137p-2, 0x1.9b615eba44dc7p-2, 0x1.af3187b20194dp-2, 0x1.c15d31fe6e9f3p-2, 0x1.d1f8f927b2832p-2, 0x1.e118efdaac889p-2, 0x1.eed09855f1e18p-2, 0x1.fb32dce1ffab4p-2, 0x1.0329049c0e612p-1, 0x1.081fe47edcc62p-1, 0x1.0c86917e6c7d9p-1, 0x1.10653be0d8956p-1, 0x1.13c3c156d6fe6p-1, 0x1.16a9ac60fd19fp-1, 0x1.191e35d9bbe8bp-1, 0x1.1b2844e4c472bp-1, 0x1.1cce712bbbf58p-1, 0x1.1e1703f28740fp-1, 0x1.1f07f9ffb0cdp-1, 0x1.1fa7056f3fb3ep-1, 0x1.1ff9903c2c259p-1, 0x1.2004bda73c70bp-1, 0x1.1fcd6d2f4fad9p-1, 0x1.1f583cdc471b8p-1, 0x1.1ea98b110dbc6p-1, 0x1.1dc579f397c22p-1, 0x1.1caff0ec0b169p-1, 0x1.1b6c9f9a4e14p-1, 0x1.19ff0036a9fe3p-1, 0x1.186a59bc63a5dp-1, 0x1.16b1c201bd941p-1, 0x1.14d8210baa84ap-1, 0x1.12e03219fdfb6p-1, 0x1.10cc8678030c8p-1, 0x1.0e9f8790a8737p-1, 0x1.0c5b7880201fep-1, 0x1.0a0278dabb292p-1, 0x1.079685c144574p-1, 0x1.05197c37e918bp-1, 0x1.028d1b11516d6p-1, 0x1.ffe6076407f7fp-2, 0x1.fa9979a367d23p-2, 0x1.f5376676c84efp-2, 0x1.efc277dbdbf11p-2, 0x1.ea3d2945e2c2ap-2, 0x1.e4a9cba8733a9p-2, 0x1.df0a87f578f8ap-2, 0x1.d961611edca5p-2, 0x1.d3b0360de86b4p-2, 0x1.cdf8c4ba16e58p-2, 0x1.c83cab8105c31p-2, 0x1.c27d6b789b61ep-2, 0x1.bcbc6a187564ap-2, 0x1.b6faf2c6552e6p-2, 0x1.b13a3940692e6p-2, 0x1.ab7b5a4944p-2, 0x1.a5bf5dba2d84bp-2, 0x1.a00737676b401p-2, 0x1.9a53c8e777d2dp-2, 0x1.94a5e254e2eedp-2, 0x1.8efe4449a8eecp-2, 0x1.895d9f8fc0826p-2, 0x1.83c4976607fc7p-2, 0x1.7e33c1fa90d11p-2, 0x1.78aba91ddfec5p-2, 0x1.732ccb7e47cc3p-2, 0x1.6db79d191431cp-2, 0x1.684c87f7b1805p-2, 0x1.62ebed2900b56p-2, 0x1.5d9625116b959p-2, 0x1.584b801aa2ee4p-2, 0x1.530c4768ae799p-2, 0x1.4dd8bcfc1f9f4p-2, 0x1.48b11c8fdedf8p-2, 0x1.43959bd172819p-2, 0x1.3e866aecc1203p-2, 0x1.3983b4c44c77bp-2, 0x1.348d9f6202ee3p-2, 0x1.2fa44c511aaep-2, 0x1.2ac7d8fdad371p-2, 0x1.25f85ed2ddf16p-2, 0x1.2135f39c1aa33p-2, 0x1.1c80a9b689801p-2, 0x1.17d8905ed93b8p-2, 0x1.133db3c7e6facp-2, 0x1.0eb01da2a5f51p-2, 0x1.0a2fd4a93d57ep-2, 0x1.05bcdd7d22a94p-2, 0x1.01573a58dc32bp-2, 0x1.f9fdd6f40e371p-3, 0x1.f167de4e85138p-3, 0x1.e8ec83a10b455p-3, 0x1.e08bbc2f1c351p-3, 0x1.d8457a7825537p-3, 0x1.d019adc14495ap-3, 0x1.c808428aafd46p-3, 0x1.c01122b49aebap-3, 0x1.b83436475c175p-3, 0x1.b07161f330c2dp-3, 0x1.a8c8891119c72p-3, 0x1.a1398ce4e3945p-3, 0x1.99c44cb14edc4p-3, 0x1.9268a614d7c8bp-3, 0x1.8b267509f7f39p-3, 0x1.83fd940a25392p-3, 0x1.7ceddc12655bep-3, 0x1.75f724f612ecdp-3, 0x1.6f19452e36074p-3, 0x1.68541212b8edfp-3, 0x1.61a75fce73014p-3, 0x1.5b13018cb69abp-3, 0x1.5496c9de5591p-3, 0x1.4e328a0311d11p-3, 0x1.47e612a13bbp-3, 0x1.41b13393b0f73p-3, 0x1.3b93bbf4d9009p-3, 0x1.358d7a48ea8bdp-3, 0x1.2f9e3c5f8ea3p-3, 0x1.29c5cf8f2ea8fp-3, 0x1.2404008ad7db8p-3, 0x1.1e589bb3d3688p-3, 0x1.18c36cd9ec50ap-3, 0x1.13443f7153323p-3, 0x1.0ddade77a3983p-3, 0x1.088714bddc348p-3, 0x1.0348ac9d6a33p-3, 0x1.fc3ee0848b08ap-4, 0x1.f2165330912d5p-4, 0x1.e81744998826ep-4, 0x1.de41478934f3fp-4, 0x1.d493eeda03297p-4, 0x1.cb0eccdb6af5ep-4, 0x1.c1b173a315fbap-4, 0x1.b87b75118d587p-4, 0x1.af6c631a3737dp-4, 0x1.a683cf522f888p-4, 0x1.9dc14b6071f36p-4, 0x1.952468ee303f3p-4, 0x1.8cacb9912cc69p-4, 0x1.8459cf07c793dp-4, 0x1.7c2b3b1662f3dp-4, 0x1.74208fa81ba13p-4, 0x1.6c395ed5da4c7p-4, 0x1.64753ad969dcap-4, 0x1.5cd3b64e19f0ep-4, 0x1.555463db4b587p-4, 0x1.4df6d69b1badap-4, 0x1.46baa1ffd56dbp-4, 0x1.3f9f59a8f0e43p-4, 0x1.38a491aa5067cp-4, 0x1.31c9de826f7bdp-4, 0x1.2b0ed515f17acp-4, 0x1.24730adb2143bp-4, 0x1.1df615925aeb6p-4, 0x1.17978b83f9d06p-4, 0x1.115703902647bp-4, 0x1.0b341514d4e7fp-4, 0x1.052e580119fc7p-4, 0x1.fe8ac9ab00da3p-5, 0x1.f2f1a971c55efp-5, 0x1.e79082c7d22f1p-5, 0x1.dc668a3910a55p-5, 0x1.d172f61d7776bp-5, 0x1.c6b4fd5583637p-5, 0x1.bc2bd90382f4ep-5, 0x1.b1d6c32f61d3dp-5, 0x1.a7b4f760ef3dcp-5, 0x1.9dc5b28305dffp-5, 0x1.940833388f228p-5, 0x1.8a7bb969548bp-5, 0x1.811f869f0fc74p-5, 0x1.77f2ddfa0ad16p-5, 0x1.6ef5041f0e999p-5, 0x1.66253f2ddd192p-5, 0x1.5d82d73eb7e9ep-5, 0x1.550d15d0d514p-5, 0x1.4cc345e15bfe8p-5, 0x1.44a4b4581a296p-5, 0x1.3cb0afd30535cp-5, 0x1.34e6887b5c8acp-5, 0x1.2d45903ef0c56p-5, 0x1.25cd1acb928bcp-5, 0x1.1e7c7d938d356p-5, 0x1.17530fb28836ep-5, 0x1.10502a10c24b3p-5, 0x1.0973275a5e48p-5, 0x1.02bb63fe7d5ccp-5, 0x1.f8507cc07be5dp-6, 0x1.eb722d0ef4858p-6, 0x1.deda9c759487p-6, 0x1.d288920263f28p-6, 0x1.c67ad871927ffp-6, 0x1.bab03e1450d92p-6, 0x1.af2794dd2e7dcp-6, 0x1.a3dfb36bf7666p-6, 0x1.98d772e3588e9p-6, 0x1.8e0db07921fefp-6, 0x1.83814c3baf2e7p-6, 0x1.793129c429d7bp-6, 0x1.6f1c304f683bdp-6, 0x1.65414b2a36e6bp-6, 0x1.5b9f69df0ac89p-6, 0x1.52358029228bep-6, 0x1.490284800e1ecp-6, 0x1.40057004264bdp-6, 0x1.373d3fadfd7ccp-6, 0x1.2ea8f2b7f080ep-6, 0x1.26478cc493bd3p-6, 0x1.1e18158f08e75p-6, 0x1.161999e042f0fp-6, 0x1.0e4b29e57fb25p-6, 0x1.06abd8db8d73cp-6, 0x1.fe7577e868af3p-7, 0x1.efedd55477ee4p-7, 0x1.e1beff7af16b2p-7, 0x1.d3e733f59818dp-7, 0x1.c664ba7fecfa5p-7, 0x1.b935e39c5d7bep-7, 0x1.ac59079d8005p-7, 0x1.9fcc827a05fe4p-7, 0x1.938eb2f6a031fp-7, 0x1.879dfbb4eba3cp-7, 0x1.7bf8c5cb82993p-7, 0x1.709d837d6ab59p-7, 0x1.658ab24b06248p-7, 0x1.5abed912837ap-7, 0x1.503884ff2aa25p-7, 0x1.45f6450c59c39p-7, 0x1.3bf6a7c9ff87fp-7, 0x1.32383cf8d9602p-7, 0x1.28b99a179ca7dp-7, 0x1.1f795ffa08af6p-7, 0x1.16763f5d3fbd3p-7, 0x1.0daef5540e4edp-7, 0x1.0522483f3f5e2p-7, 0x1.f99df946ec66ap-8, 0x1.e967a3c52df45p-8, 0x1.d99efe41c0a04p-8, 0x1.ca4174e0921ecp-8, 0x1.bb4c82749282bp-8, 0x1.acbdcc65b311bp-8, 0x1.9e93298e18e07p-8, 0x1.90ca9180b6512p-8, 0x1.836214f39aee6p-8, 0x1.7657b7142f878p-8, 0x1.69a95908334a1p-8, 0x1.5d54b463bb9cdp-8, 0x1.51576cb6c52bbp-8, 0x1.45af3064c888dp-8, 0x1.3a59dc11afa24p-8, 0x1.2f5590f1103c7p-8, 0x1.24a0b3c27b7f6p-8, 0x1.1a39d3377dc22p-8, 0x1.101f7edd8d2b5p-8, 0x1.06501ede723b8p-8, 0x1.f993b92b3346bp-9, 0x1.e71550f3ea9cep-9, 0x1.d520b13cbbc41p-9, 0x1.c3b1af1d87773p-9, 0x1.b2c49db6f5fd9p-9, 0x1.a25678c0682c3p-9, 0x1.9264d913a555dp-9, 0x1.82edb640d8db1p-9, 0x1.73ef09f7508ebp-9, 0x1.656675f90673bp-9, 0x1.5751105ba434cp-9, 0x1.49ab69d826f9cp-9, 0x1.3c71cb2c6c12bp-9, 0x1.2fa089ada68a9p-9, 0x1.2334644f08ee9p-9, 0x1.172a93858c524p-9, 0x1.0b80efdef3a49p-9, 0x1.0035c31ef74a4p-9, 0x1.ea8f16590dc5dp-10, 0x1.d569531d3edb8p-10, 0x1.c0f645e94b08ep-10, 0x1.ad31265042d79p-10, 0x1.9a147da21bd61p-10, 0x1.879aa5922797bp-10, 0x1.75be1614144cep-10, 0x1.64799e774b9b7p-10, 0x1.53c8a228a042ep-10, 0x1.43a7493ffe69cp-10, 0x1.34127fffbce97p-10, 0x1.2507b83c5cdffp-10, 0x1.16842ea1ea4c4p-10, 0x1.0884d457b1a78p-10, 0x1.f60c7d9d37e48p-11, 0x1.dc09cd9baa673p-11, 0x1.c2fa5d7dc72fep-11, 0x1.aad65c4ebea2p-11, 0x1.93953caaf3b6fp-11, 0x1.7d2e6e7583a8fp-11, 0x1.679ab8cd791a5p-11, 0x1.52d49599daa8p-11, 0x1.3ed7bd238cf12p-11, 0x1.2b9fc342c85e3p-11, 0x1.19279db35e4f4p-11, 0x1.076a293908df5p-11, 0x1.ecc5ab44739d3p-12, 0x1.cc1aabba08f09p-12, 0x1.acc9862b6ee88p-12, 0x1.8ec4476d152adp-12, 0x1.71fb8f06945b2p-12, 0x1.5661cb4c4572ap-12, 0x1.3bede2e32e60ep-12, 0x1.229a526af05f2p-12, 0x1.0a621d3a5f275p-12, 0x1.e67d7680de074p-13, 0x1.ba50da5a57118p-13, 0x1.902f34a9b3e2bp-13, 0x1.680a8a284fd5fp-13, 0x1.41d38d808f467p-13, 0x1.1d74f4bc87a48p-13, 0x1.f5ab66c9fb14ep-14, 0x1.b3b917cc5f49ap-14, 0x1.74ef16b88b279p-14, 0x1.393a1960c431fp-14, 0x1.008fa24011fcfp-14, 0x1.95c96330144b5p-15, 0x1.30595baa982d2p-15, 0x1.a16de84ced8fp-16, 0x1.db1f008a4df1cp-17, 0x1.132516366b653p-18, -0x1.6595a1c1b5e6ep-18, -0x1.db640d17bfb61p-17, -0x1.78e699d9d202fp-16, -0x1.fbb1d4af3afb9p-16, -0x1.3b3ae7e90d72cp-15, -0x1.74aef8efa3855p-15, -0x1.aa3f2e058871dp-15, -0x1.dbfb5e399bb1ap-15, -0x1.04fc5f72716dbp-14, -0x1.1a22fa76f1078p-14, -0x1.2d72d5a60bfe2p-14, -0x1.3eecbb5abc6e5p-14, -0x1.4e9d9e9ffa827p-14, -0x1.5ca042faf7eddp-14, -0x1.691933bead75ep-14, -0x1.742ec713b3bd8p-14, -0x1.7e0306b85b235p-14, -0x1.86ade0aae05a3p-14, -0x1.8e3963a1c24b8p-14, -0x1.94a4cc4eb89eep-14, -0x1.99ee3f2db33a5p-14, -0x1.9e1d550203c3bp-14, -0x1.a13d8524dd4d9p-14, -0x1.a3533c5b3b8e5p-14, -0x1.a45fb5078e968p-14, -0x1.a46b3b0bb3facp-14, -0x1.a384c953864bbp-14, -0x1.a1b8f56d92c96p-14, -0x1.9f175db6e35b2p-14, -0x1.9baf991d999fbp-14, -0x1.9797198cc8fdfp-14, -0x1.92e4dd48cb0d4p-14, -0x1.8da3b3cae3214p-14, -0x1.87d0f76d935ep-14, -0x1.816c36ae1ebap-14, -0x1.7a7c17364ba17p-14, -0x1.73049905efc5fp-14, -0x1.6b0ad332c6146p-14, -0x1.6297c71b40353p-14, -0x1.59b5411a50e66p-14, -0x1.50695634896c5p-14, -0x1.46b7f7ba2f968p-14, -0x1.3ca6773d05953p-14, -0x1.323bde50ccc08p-14, -0x1.2782af44561a7p-14, -0x1.1c86f480731a2p-14, -0x1.114c69ebe4026p-14, -0x1.05d3d501cfbbfp-14, -0x1.f44c02a51200ap-15, -0x1.dc96454332c83p-15, -0x1.c48599d0d5319p-15, -0x1.ac1ce7707d69ep-15, -0x1.9369c6e3d5caep-15, -0x1.7a7a52b71fa9fp-15, -0x1.61564ef6a93b8p-15, -0x1.4800b9e09f8c7p-15, -0x1.2e7dfd12b0adap-15, -0x1.14d68153411a9p-15, -0x1.f627647b14b67p-16, -0x1.c28087c78850ep-16, -0x1.8ec86b2fa53cbp-16, -0x1.5afec26e19a92p-16, -0x1.272c4fad00953p-16, -0x1.e6c4740d3c0bfp-17, -0x1.7f516d96762a8p-17, -0x1.18248be26aa9cp-17, -0x1.629139ce845cap-18, -0x1.2b7f01219b0fbp-19, 0x1.b0dc1f9125c51p-21, 0x1.00ebd2c7306b4p-18, 0x1.ca8144eec1d8ep-18, 0x1.495dad36fdfbcp-17, 0x1.acb5d32e52796p-17, 0x1.079f159ce2edp-16, 0x1.3877d007839a3p-16, 0x1.68e5e2ddfac88p-16, 0x1.98dee2431542bp-16, 0x1.c85ce008adb7ap-16, 0x1.f75c39c44a65ep-16, 0x1.12e8f49b5eee1p-15, 0x1.29dc9a9498003p-15, 0x1.4086ad54359cep-15, 0x1.56e2f45a90c6ap-15, 0x1.6cf317169a5a7p-15, 0x1.82b8f5a3c5a0dp-15, 0x1.98316b002f732p-15, 0x1.ad56ee4123822p-15, 0x1.c229d1c3f2a8cp-15, 0x1.d6a7a75f97e9bp-15, 0x1.eac965f91751p-15, 0x1.fe8cf9d1fed1fp-15, 0x1.08feb1dcea843p-14, 0x1.128c264a89c53p-14, 0x1.1befe8ffb96e7p-14, 0x1.2525b0ba7fc3ep-14, 0x1.2e2c029d3e918p-14, 0x1.3705d32b9686fp-14, 0x1.3fb359707a6c4p-14, 0x1.4832ae1ebeedap-14, 0x1.50825ccba818bp-14, 0x1.58a0a42ae78d8p-14, 0x1.608d9cfcc7992p-14, 0x1.684d430faee7dp-14, 0x1.6fe11d10dfe6ap-14, 0x1.77462366aa842p-14, 0x1.7e7e12a31977bp-14, 0x1.858450590a4f5p-14, 0x1.8c5569f9d29cfp-14, 0x1.92fa12f782ef7p-14, 0x1.997532f41182bp-14, 0x1.9fc1d54740912p-14, 0x1.a5de1af9f742dp-14, 0x1.abcdde3961bp-14, 0x1.b191403980a7dp-14, 0x1.b727c93f7688dp-14, 0x1.bc915f1f5d06p-14, 0x1.c1ce3b35bf007p-14, 0x1.c6debbd4443c7p-14, 0x1.cbc2089c5f2e6p-14, 0x1.d079a82629555p-14, 0x1.d5041d0f2298cp-14, 0x1.d961014f6a0c9p-14, 0x1.dd95354257421p-14, 0x1.e19fa222bfd4cp-14, 0x1.e57c7c4e8bfep-14, 0x1.e932323e972c7p-14, 0x1.ecbfcb482b3d8p-14, 0x1.f02199cdc064cp-14, 0x1.f35aa86230aacp-14, 0x1.f66e9b8c1187fp-14, 0x1.f95bc86bf4f5fp-14, 0x1.fc22288a2f2e7p-14, 0x1.fec15178e179bp-14, 0x1.009dd82752ae4p-13, 0x1.01c7a6e53fa1ap-13, 0x1.02deebc79a116p-13, 0x1.03e40733aabc6p-13, 0x1.04d72c4825df8p-13, 0x1.05b8ea6af815cp-13, 0x1.06895ea7583abp-13, 0x1.0748baf9adf19p-13, 0x1.07f643eb6a558p-13, 0x1.088fbc43bd97ap-13, 0x1.091a142338902p-13, 0x1.0997dc41e70cfp-13, 0x1.0a02fc8c80e9bp-13, 0x1.0a5d7066ce792p-13, 0x1.0aa92d7f9d9dep-13, 0x1.0ae6503d0750ep-13, 0x1.0b14a73f230dcp-13, 0x1.0b345d99ddcf9p-13, 0x1.0b4589983d07cp-13, 0x1.0b4866d93e735p-13, 0x1.0b3d949c8057ep-13, 0x1.0b24701536ce3p-13, 0x1.0afe21781f24ep-13, 0x1.0acac918b28bep-13, 0x1.0a8a9efc6c189p-13, 0x1.0a3dc6e4fefa8p-13, 0x1.09e47a1d2cef3p-13, 0x1.097f6ce122574p-13, 0x1.090db7b0129fap-13, 0x1.089120f4eb0cbp-13, 0x1.0808615a773e7p-13, 0x1.07732f4997895p-13, 0x1.06d48bad86076p-13, 0x1.062bcaa5dc2c8p-13, 0x1.05773e5011447p-13, 0x1.04b8eff0599cbp-13, 0x1.03f0f13694c7ap-13, 0x1.031f44d2bed79p-13, 0x1.02440f87fe768p-13, 0x1.015f83a843c82p-13, 0x1.0071e8bb8e692p-13, 0x1.fef6f2f32dbbbp-14, 0x1.fcf8c21d46398p-14, 0x1.fae9c63ab05f2p-14, 0x1.f8cab4a4813f9p-14, 0x1.f69b9051b8283p-14, 0x1.f45cd9623071ep-14, 0x1.f20f8c7c9ef4p-14, 0x1.efb2da5bb5894p-14, 0x1.ed48d7b38dc9fp-14, 0x1.eacff1cf9f6b4p-14, 0x1.e84a6312e3515p-14, 0x1.e5b80b0d1ce98p-14, 0x1.e318614f576b4p-14, 0x1.e06c1c2d27917p-14, 0x1.ddb6321a26c4cp-14, 0x1.daf1c4cb0ee77p-14, 0x1.d823902955b5p-14, 0x1.d54ad8eb59936p-14, 0x1.d267d9eefe09ap-14, 0x1.cf7ad67b57cbap-14, 0x1.cc841c90be462p-14, 0x1.c98415b8aadb7p-14, 0x1.c67b286d423f6p-14, 0x1.c3699bb358514p-14, 0x1.c04fcf1a994dep-14, 0x1.bd2dfada1aa43p-14, 0x1.ba048b46e8547p-14, 0x1.b6d411e7e5aefp-14, 0x1.b39c4f72f380ap-14, 0x1.b05dd2771a05ep-14, 0x1.ad18f48fde9e2p-14, 0x1.a9ce18322d986p-14, 0x1.a67d89ffa4d11p-14, 0x1.a32769fa3a4f8p-14, 0x1.9fcc33b4ccf32p-14, 0x1.9c6c281a620ebp-14, 0x1.99073fac7a427p-14, 0x1.959d84bbb67d4p-14, 0x1.92303b6f81fd3p-14, 0x1.8ebf0ad7319ffp-14, 0x1.8b4a27b3acd83p-14, 0x1.87d1f0d492a0fp-14, 0x1.84577090e0823p-14, 0x1.80d8a0a5f2588p-14, 0x1.7d57c46ac7e4ep-14, 0x1.79d4a20635554p-14, 0x1.765012d6c5e32p-14, 0x1.72c801498009fp-14, 0x1.6f3f01e6ea31cp-14, 0x1.6bb3de2f1caa9p-14, 0x1.6828d333c2c0fp-14, 0x1.649bff6bfc0a8p-14, 0x1.610e41e33f5cep-14, 0x1.5d7fd8c7c982dp-14, 0x1.59f0f43750d5fp-14, 0x1.56616b1cfb267p-14, 0x1.52d27f261ab0ep-14, 0x1.4f43453583391p-14, 0x1.4bb4428887badp-14, 0x1.4825b7dc0a08bp-14, 0x1.4497cadc90789p-14, 0x1.410aa551932cfp-14, 0x1.3d7e5da865ca4p-14, 0x1.39f32507b5b88p-14, 0x1.366935b00e4ccp-14, 0x1.32e0c2b35df89p-14, 0x1.2f59ae0a1ee42p-14, 0x1.2bd3f0966982dp-14, 0x1.2850e35fe1807p-14, 0x1.24cf62a886c71p-14, 0x1.215019c7a66f1p-14, 0x1.1dd2e70b2d6cdp-14, 0x1.1a57f6fc03877p-14, 0x1.16df9d02277c9p-14, 0x1.136a16038ddbep-14, 0x1.0ff6fdd8dfb58p-14, 0x1.0c86c89343d65p-14, 0x1.09197ded9491p-14, 0x1.05af5eb96592fp-14, 0x1.02488f1de7da1p-14, 0x1.fdc936b5bf12cp-15, 0x1.f7088326c1da1p-15, 0x1.f04e8ea1eaab6p-15, 0x1.e99cecc3a395bp-15, 0x1.e2f09cdfd55fdp-15, 0x1.dc4cc1734bcb4p-15, 0x1.d5b07e1417ecbp-15, 0x1.cf1c0aeafabf4p-15, 0x1.c88f941897908p-15, 0x1.c20b2d6461b74p-15, 0x1.bb8ec8babd01ep-15, 0x1.b51b71a4f0fb7p-15, 0x1.aeb056b08ca7ep-15, 0x1.a84dfd83059eap-15, 0x1.a1f473412a0b3p-15, 0x1.9ba3ca55939b4p-15, 0x1.955c50331f6cap-15, 0x1.8f1dfa2b83386p-15, 0x1.88e902dd2086dp-15, 0x1.82bd546f4107ap-15, 0x1.7c9b3a3d4666p-15, 0x1.7682f18dd131ap-15, 0x1.70743b7b7d1b8p-15, 0x1.6a6f37c7a8923p-15, 0x1.64751d079d4eep-15, 0x1.5e8361e9a2388p-15, 0x1.589c4b1c82eddp-15, 0x1.52bf6c9651cd7p-15, 0x1.4ceceb4da1b4ep-15, 0x1.47244c44abc68p-15, 0x1.41668717ab7adp-15, 0x1.3bb300bff5bp-15, 0x1.3609ebbaabf49p-15, 0x1.306a39e2ab53ep-15, 0x1.2ad7427400ee2p-15, 0x1.254e89a09d9afp-15, 0x1.1fcef96dfc1aep-15, 0x1.1a5adc36a2daep-15, 0x1.14f3b6b6bfa68p-15, 0x1.0f9354ca28a25p-15, 0x1.0a40680eca242p-15, 0x1.04f6e041f4a2bp-15, 0x1.ff72451a3ef81p-16, 0x1.f50c2c880cef7p-16, 0x1.eabbf2c12ac8cp-16, 0x1.e081ad934c4cp-16, 0x1.d65d66e1d7321p-16, 0x1.cc4ec2abe8aeep-16, 0x1.c25670d04460ep-16, 0x1.b873e61964c92p-16, 0x1.aea7ccad576bbp-16, 0x1.a4f139b6a037bp-16, 0x1.9b50d1b30bcc3p-16, 0x1.91c66fb27291ap-16, 0x1.8852159c46fd8p-16, 0x1.7ef3cc0d612a9p-16, 0x1.75abaf3f729f8p-16, 0x1.6c78fd24fe83ep-16, 0x1.635c8a1e3bcd4p-16, 0x1.5a5739133e80ap-16, 0x1.516680923bff8p-16, 0x1.488ae3a189e0bp-16, 0x1.3fc6bc752dcacp-16, 0x1.3718052cf8cfp-16, 0x1.2e7eec2e4c2ddp-16, 0x1.25fb80ae348f6p-16, 0x1.1d925b8336898p-16, 0x1.1535ab23d36dbp-16, 0x1.0cf37bfe67c03p-16, 0x1.04c6a866f1fd5p-16, 0x1.f95e3d714d291p-17, 0x1.e94f6a4b20acp-17, 0x1.d98101b5a6ab7p-17, 0x1.c9d28a6f2f7e7p-17, 0x1.ba4dc74ff3fcp-17, 0x1.aaf41473718fp-17, 0x1.9bc3a3bcdc29fp-17, 0x1.8cbe890281178p-17, 0x1.7de285451e1b6p-17, 0x1.6f350f4366ba7p-17, 0x1.60a6f0d9a2088p-17, 0x1.5247891c7f6d9p-17, 0x1.441162290d59fp-17, 0x1.3603f53cfcdd2p-17, 0x1.281b8d8fbeb74p-17, 0x1.1a5e457ccd535p-17, 0x1.0ccfeeb855fp-17, 0x1.fec8a1fb99798p-18, 0x1.e441ea3aad809p-18, 0x1.ca0942bd5b274p-18, 0x1.b0238e0d58a98p-18, 0x1.9689841e3a476p-18, 0x1.7d3fd7901a659p-18, 0x1.64429f91adb5ep-18, 0x1.4b93bcd2aede3p-18, 0x1.3338468bf089cp-18, 0x1.1b1c85f6eb244p-18, 0x1.0354db8febdb2p-18, 0x1.d7b097e150a91p-19, 0x1.a94e46f5879cep-19, 0x1.7b8166e480a51p-19, 0x1.4e4964d83ede3p-19, 0x1.21b7130391fcbp-19, 0x1.eb27231cd6e31p-20, 0x1.942dff6ed5bebp-20, 0x1.3e541dd33b39cp-20, 0x1.d33575eddebffp-21, 0x1.2c0019dd31eaep-21, 0x1.0e06dfded0ea3p-22, -0x1.b682bacb77e4cp-25, -0x1.78b137fed3993p-22, -0x1.5aba94eca6ec8p-21, -0x1.f6f5d1dfe5863p-21, -0x1.4884d4a89a8e4p-20, -0x1.947eb6bb000b7p-20, -0x1.df699a41ca2d6p-20, -0x1.14b60ec3769eep-19, -0x1.390bb4f9639efp-19, -0x1.5cf01a6379cb5p-19, -0x1.80527ff5f9ecdp-19, -0x1.a32b14a63fd26p-19, -0x1.c587a521805d9p-19, -0x1.e76cff5810503p-19, -0x1.0462ae7f9e35ep-18, -0x1.14cd8294b0461p-18, -0x1.24fda4a67ff87p-18, -0x1.34f1407a94a9ep-18, -0x1.44a5688ec08ddp-18, -0x1.541e5766c871bp-18, -0x1.6352fbc775a32p-18, -0x1.7251db7a178b7p-18, -0x1.8112591a5eabdp-18, -0x1.8f98f3b419d9fp-18, -0x1.9debdff6ff4bfp-18, -0x1.abf4aceb6d8b7p-18, -0x1.b9cb8901d3dc1p-18, -0x1.c768649cb906bp-18, -0x1.d4d7a5b1ef7bap-18, -0x1.e1fcb2787448fp-18, -0x1.eef3aaab4aecfp-18, -0x1.fbb1dda152048p-18, -0x1.041ad5f505698p-17, -0x1.0a42dfff7bafp-17, -0x1.105033b438943p-17, -0x1.1642dc9b59023p-17, -0x1.1c1b199c72d37p-17, -0x1.21d93e527ee83p-17, -0x1.277dd7fb5c4eap-17, -0x1.2d0884c516b2p-17, -0x1.327890e42cb14p-17, -0x1.37cdc57a4318cp-17, -0x1.3d0fd937929ffp-17, -0x1.4235b40a26d8dp-17, -0x1.47438e1c1922ap-17, -0x1.4c394892f8d67p-17, -0x1.5115b446073b3p-17, -0x1.55db84a0cc695p-17, -0x1.5a8aacbacf524p-17, -0x1.5f1eda389993fp-17, -0x1.63a116e085cbp-17, -0x1.680a3532a4dd6p-17, -0x1.6c5bbc2a7c78fp-17, -0x1.7097c9b31c5ebp-17, -0x1.74be695452c7fp-17, -0x1.78ce21987d94dp-17, -0x1.7cc868de10871p-17, -0x1.80ad7788b4182p-17, -0x1.847cbdbba71eep-17, -0x1.883a86965c146p-17, -0x1.8bd7cb00b7cb6p-17, -0x1.8f7b62270f5b2p-17, -0x1.92ebfb8d7b544p-17, -0x1.9654b497daf08p-17, -0x1.99a9c350b188fp-17, -0x1.9ceb843abb856p-17, -0x1.a01906f2e3ca7p-17, -0x1.a3331a9e33728p-17, -0x1.a63aba0939f45p-17, -0x1.a930758df8a93p-17, -0x1.ac1282d637d9dp-17, -0x1.aee1dd7bd8aep-17, -0x1.b19d47f2f7ff8p-17, -0x1.b44b14cd8ce51p-17, -0x1.b6e63f6a0ebf3p-17, -0x1.b96d5d3fe2b5dp-17, -0x1.bbe371b5234fdp-17, -0x1.be4f40b3447cfp-17, -0x1.c09ecddeffe79p-17, -0x1.c2e3179b2c63cp-17, -0x1.c51694591cd7ep-17, -0x1.c7328b4f202f2p-17, -0x1.c94c98ecc66cbp-17, -0x1.cb4ebbd55d341p-17, -0x1.cd4201a565b21p-17, -0x1.cf27cfc57ac53p-17, -0x1.d0f53a782a2b3p-17, -0x1.d2bfd73bd3c8bp-17, -0x1.d4759688bb03fp-17, -0x1.d61cbcbbc2c02p-17, -0x1.d7b59764e394ep-17, -0x1.d94170b346a4fp-17, -0x1.daba2c19f5084p-17, -0x1.dc28a1389f2c1p-17, -0x1.dd88bd3890eb1p-17, -0x1.dee422c426ccdp-17, -0x1.e01e64124f8aap-17, -0x1.e1555db0f3ac9p-17, -0x1.e27f9e4b67dacp-17, -0x1.e3978e19d02e8p-17, -0x1.e4aa8af71b6dep-17, -0x1.e5aed9cc1c871p-17, -0x1.e6a48b2386ebap-17, -0x1.e78f363d51a11p-17, -0x1.e86d47af39d16p-17, -0x1.e93ed8fce4479p-17, -0x1.ea04a613df846p-17, -0x1.eabea33f6c976p-17, -0x1.eb7373770fcedp-17, -0x1.ec112fd5b6116p-17, -0x1.eca92e653bcddp-17, -0x1.ed36125816757p-17, -0x1.edb74b906fb72p-17, -0x1.ee2efca07290dp-17, -0x1.ee8c67dcbc5f7p-17, -0x1.eefc6da15585bp-17, -0x1.ef54bcbf12e9bp-17, -0x1.efa3759b8892bp-17, -0x1.efe598175d849p-17, -0x1.f01f652c9ad48p-17, -0x1.f0547a8850768p-17, -0x1.f075618d1fb57p-17, -0x1.f091821713a83p-17, -0x1.f0a53d90dda23p-17, -0x1.f0b03837e5301p-17, -0x1.f0b17b96db5a9p-17, -0x1.f0b16106d2342p-17, -0x1.f097e8dac08bfp-17, -0x1.f082d89123772p-17, -0x1.f05d85b670359p-17, -0x1.f02dc0d4e117bp-17, -0x1.f000a1658e53bp-17, -0x1.efc5b88579793p-17, -0x1.ef839745b8e22p-17, -0x1.ef38cd9e72e38p-17, -0x1.eee745dc5523ep-17, -0x1.ee8caaba1a0b7p-17, -0x1.ee2b1f1b7d71cp-17, -0x1.edc321286554p-17, -0x1.ed524f9e74ebcp-17, -0x1.ecdbba3e2d063p-17, -0x1.ec5d4f7165986p-17, -0x1.ebd8a3de09bcfp-17, -0x1.eb48879dc3f2fp-17, -0x1.eab95438126d1p-17, -0x1.ea2329fa6e369p-17, -0x1.e97d437000992p-17, -0x1.e8da9aef10964p-17, -0x1.e82edfbf26839p-17, -0x1.e77b65be2237ap-17, -0x1.e6c2ebb350c03p-17, -0x1.e60587c44cc2bp-17, -0x1.e54105ea0f194p-17, -0x1.e4730c3024526p-17, -0x1.e3a79c5b13258p-17, -0x1.e2d21b4fa259fp-17, -0x1.e1f7e6b5d0646p-17, -0x1.e11578a08a7e3p-17, -0x1.e032f92a60341p-17, -0x1.df42edb42acc8p-17, -0x1.de56aa416f35fp-17, -0x1.dd664cb64d71bp-17, -0x1.dc6cf98eac75bp-17, -0x1.db6f30c0b8435p-17, -0x1.da6d52cd0c971p-17, -0x1.d965f6bad7705p-17, -0x1.d85b3fc03224dp-17, -0x1.d74be394c3db2p-17, -0x1.d636fbfe279bcp-17, -0x1.d51e26d726ea9p-17, -0x1.d40231125db8bp-17, -0x1.d2e23af598604p-17, -0x1.d1bdda3c24631p-17, -0x1.d095cd3995936p-17, -0x1.cf69755b6b9cfp-17, -0x1.ce36af51cd55fp-17, -0x1.cd048f92f8b9ap-17, -0x1.cbd0115104085p-17, -0x1.ca96067e9c929p-17, -0x1.c956022153d31p-17, -0x1.c8168e361795ap-17, -0x1.c6d15d65dc53bp-17, -0x1.c58f068f4dc52p-17, -0x1.c4418bef9798ap-17, -0x1.c2f22258adc1p-17, -0x1.c1a1eb4040544p-17, -0x1.c04f189136c3ep-17, -0x1.bef7d7cf2cb93p-17, -0x1.bd9f31db3a0b5p-17, -0x1.bc43d52d0cd68p-17, -0x1.bae4f02395389p-17, -0x1.b986a91ea1335p-17, -0x1.b8217043f9fa3p-17, -0x1.b6b432a7c5a64p-17, -0x1.b5534c561fba6p-17, -0x1.b3e91406e5638p-17, -0x1.b27cb9809ffbap-17, -0x1.b10d4f29a0602p-17, -0x1.af9cac11999ccp-17, -0x1.ae2b0b34d9c3ap-17, -0x1.acb52bee60157p-17, -0x1.ab3ee7693bda3p-17, -0x1.a9c6e95cb2ba5p-17, -0x1.a84ad029b75e8p-17, -0x1.a6cecdaaef08dp-17, -0x1.a552035646dd7p-17, -0x1.a3d1e28c005f1p-17, -0x1.a25000be64cb8p-17, -0x1.a0ce3c7d6d0eep-17, -0x1.9f49dc134a3cp-17, -0x1.9dc46ea6d265bp-17, -0x1.9c3d9573d2a9cp-17, -0x1.9ab7a6cc83a81p-17, -0x1.992bdc7e6cefep-17, -0x1.97a0a89e9f71dp-17, -0x1.9614ae545bad4p-17, -0x1.94882eb1b40c2p-17, -0x1.92fa246f635e7p-17, -0x1.916ae1cc94683p-17, -0x1.8fda53bacc789p-17, -0x1.8e492f814c25ap-17, -0x1.8cb731306f66ep-17, -0x1.8b267c5c2be56p-17, -0x1.8990fc6b4810ep-17, -0x1.87fc5e53ff649p-17, -0x1.86665138ef62ep-17, -0x1.84d1414779865p-17, -0x1.833aa42aabfd6p-17, -0x1.81a37ec4125adp-17, -0x1.800bea753cadep-17, -0x1.7e7357d099fe5p-17, -0x1.7cdace3428bccp-17, -0x1.7b42b68826fbfp-17, -0x1.79a7e108c6badp-17, -0x1.7810aa9f99c34p-17, -0x1.7673934a736aep-17, -0x1.74d8f5bd45389p-17, -0x1.733e1df001dddp-17, -0x1.71a2f4764b0cp-17, -0x1.70074a33a2715p-17, -0x1.6e6c58c0a13dp-17, -0x1.6cd0f62330b99p-17, -0x1.6b3643b5290d2p-17, -0x1.6992d80a26083p-17, -0x1.67f76d8bc42e7p-17, -0x1.6661049e559dcp-17, -0x1.64c527fac33a7p-17, -0x1.6326bdc6001c6p-17, -0x1.618cd4ec760e8p-17, -0x1.5ff1fc15abe44p-17, -0x1.5e5657105a8bcp-17, -0x1.5cbb42f3d55dbp-17, -0x1.5b2042468a835p-17, -0x1.598560054d0dbp-17, -0x1.57ea5dd86176ep-17, -0x1.565004c80e987p-17, -0x1.54b612f0ecccfp-17, -0x1.531dabbd95dc3p-17, -0x1.5184b84beeaefp-17, -0x1.4fe9bab3edf89p-17, -0x1.4e512f1fa307p-17, -0x1.4cb8f285c766dp-17, -0x1.4b213503069d4p-17, -0x1.498a19277d965p-17, -0x1.47f3101399d03p-17, }}, 
      {{-0x1.610497b36fd31p+1, -0x1.5fbc01684ca7fp+1, -0x1.5df7638a639dep+1, -0x1.5bbcf94dea762p+1, -0x1.5913c8c42aeffp+1, -0x1.56035a35f579bp+1, -0x1.52937fab7b91dp+1, -0x1.4ecc291d2a944p+1, -0x1.4ab5427f5184bp+1, -0x1.4656998469ea5p+1, -0x1.41b7c97af786dp+1, -0x1.3ce02c0bef22dp+1, -0x1.37d6cdeb98007p+1, -0x1.32a266b5991eap+1, -0x1.2d4953691d5c6p+1, -0x1.27d192fd074f1p+1, -0x1.2240c4b203984p+1, -0x1.1c9c27ca04be3p+1, -0x1.16e89c62923f9p+1, -0x1.112aa54466422p+1, -0x1.0b666a6677e7cp+1, -0x1.059fbc068223ap+1, -0x1.ffb42c5e74e0ap+0, -0x1.f431495122baep+0, -0x1.e8bc8df84b233p+0, -0x1.dd5b297f6f795p+0, -0x1.d211c3d8b87bfp+0, -0x1.c6e4863da4937p+0, -0x1.bbd723c9c18dcp+0, -0x1.b0ece1c9842ddp+0, -0x1.a6289fd2d7013p+0, -0x1.9b8cdf6430d1bp+0, -0x1.911bcb45592e1p+0, -0x1.86d73e650aa7ep+0, -0x1.7cc0ca34f04fbp+0, -0x1.72d9bcdd4947ap+0, -0x1.6923269bbed52p+0, -0x1.5f9ddf18eab5bp+0, -0x1.564a8a49c13fcp+0, -0x1.4d299cdc0138bp+0, -0x1.443b609ab190dp+0, -0x1.3b7ff83b739d3p+0, -0x1.32f7634dc48f5p+0, -0x1.2aa1817eb46e2p+0, -0x1.227e15ec294a3p+0, -0x1.1a8cca15367e7p+0, -0x1.12cd30a87f33ep+0, -0x1.0b3ec80db4ba8p+0, -0x1.03e0fcb5f4475p+0, -0x1.f96656d1da547p-1, -0x1.eb69468fff70ap-1, -0x1.ddc94ea8275bfp-1, -0x1.d084e163940a5p-1, -0x1.c39a5f7e377b5p-1, -0x1.b7081b6a91d7ap-1, -0x1.aacc5bfabc5ccp-1, -0x1.9ee55e65a2eep-1, -0x1.93515903f693cp-1, -0x1.880e7ce1156a9p-1, -0x1.7d1af79688e8fp-1, -0x1.7274f507a2e8ep-1, -0x1.681aa0a78cd72p-1, -0x1.5e0a270058df4p-1, -0x1.5441b6b2638bp-1, -0x1.4abf81707f29dp-1, -0x1.4181bd53e9057p-1, -0x1.3886a516cbcfp-1, -0x1.2fcc79148f65cp-1, -0x1.2751801a3d5dp-1, -0x1.1f1407aeef5e6p-1, -0x1.1712647cd434p-1, -0x1.0f4af30121469p-1, -0x1.07bc176f0ef95p-1, -0x1.00643e5d2c1dfp-1, -0x1.f283b9a6f5e5bp-2, -0x1.e4a6e083cc7dp-2, -0x1.d72efe03443c6p-2, -0x1.ca19308237173p-2, -0x1.bd62a7b856d1p-2, -0x1.b108a5460c7f8p-2, -0x1.a5087c8ec9dddp-2, -0x1.995f9230a1b02p-2, -0x1.8e0b5cee8aa6p-2, -0x1.8309645653429p-2, -0x1.7857416c90a1fp-2, -0x1.6df29dd55cb57p-2, -0x1.63d93428214cp-2, -0x1.5a08cf618439fp-2, -0x1.507f4a5c6075cp-2, -0x1.473a90001cf28p-2, -0x1.3e389a6b327efp-2, -0x1.3577733db9f9dp-2, -0x1.2cf532b70e56bp-2, -0x1.24afff8bdebebp-2, -0x1.1ca60ebb0f072p-2, -0x1.14d5a2e2f23b5p-2, -0x1.0d3d0c3667211p-2, -0x1.05daa7cb1b5a3p-2, -0x1.fd59bedef045fp-3, -0x1.ef6453858f8cdp-3, -0x1.e1d211fd88f4dp-3, -0x1.d4a01665f633ep-3, -0x1.c7cb93b3b7e36p-3, -0x1.bb51d240ccb33p-3, -0x1.af3030e799ae6p-3, -0x1.a36422763dce3p-3, -0x1.97eb2e5402492p-3, -0x1.8cc2ee879c002p-3, -0x1.81e9113c54ec8p-3, -0x1.775b5627db50ep-3, -0x1.6d178eefac45bp-3, -0x1.631b9e679b8f9p-3, -0x1.596577d9693bep-3, -0x1.4ff31f17487acp-3, -0x1.46c2a72b93dcbp-3, -0x1.3dd23262fab9ap-3, -0x1.351ff15f52a3dp-3, -0x1.2caa233bbf88fp-3, -0x1.246f14890657cp-3, -0x1.1c6d1f25fb6bbp-3, -0x1.14a2a9bad5507p-3, -0x1.0d0e27473b283p-3, -0x1.05ae16b228c6ap-3, -0x1.fd02052e256ddp-4, -0x1.ef0b011333c56p-4, -0x1.e174637bd0d9ap-4, -0x1.d43b81309e2e9p-4, -0x1.c75dc51ed71dep-4, -0x1.bad8ad389d0d4p-4, -0x1.aea9ca6f239d6p-4, -0x1.a2cec046c09dap-4, -0x1.97454377c7d93p-4, -0x1.8c0b1aacb4b69p-4, -0x1.811e1cb1f4e43p-4, -0x1.767c307212591p-4, -0x1.6c234c9d3639fp-4, -0x1.621176c6dd9a5p-4, -0x1.5844c32591c1cp-4, -0x1.4ebb536637fap-4, -0x1.457359d4cad9ap-4, -0x1.3c6b1173ce2aap-4, -0x1.33a0c5158871dp-4, -0x1.2b12cb3c06d8cp-4, -0x1.22bf8717d8c5ap-4, -0x1.1aa564f798e09p-4, -0x1.12c2e0398699cp-4, -0x1.0b167ca91b3d5p-4, -0x1.039ec9358f7ccp-4, -0x1.f8b4be68ce059p-5, -0x1.ea8fc3d9a9f14p-5, -0x1.dccbfbc24f0afp-5, -0x1.cf66d4924e869p-5, -0x1.c25dca841f557p-5, -0x1.b5ae6f42d68cep-5, -0x1.a9566317d1f89p-5, -0x1.9d53576f56e69p-5, -0x1.91a310bbfef6p-5, -0x1.86435fb3fd25p-5, -0x1.7b3222d324dcfp-5, -0x1.706d4a447851ep-5, -0x1.65f2d3d01406ap-5, -0x1.5bc0ca7c36c03p-5, -0x1.51d5470d0d01ep-5, -0x1.482e6f47ce1d1p-5, -0x1.3eca758ea52c9p-5, -0x1.35a7987f59bf6p-5, -0x1.2cc422be5b4f3p-5, -0x1.241e6a497e6c8p-5, -0x1.1bb4d0b0835fap-5, -0x1.1385c24b2189cp-5, -0x1.0b8fb64e630c3p-5, -0x1.03d12d79088c6p-5, -0x1.f89168a73a68ep-6, -0x1.e9e9bdf11d8b3p-6, -0x1.dba8989fc7ea5p-6, -0x1.cdcb472c420adp-6, -0x1.c04f305218255p-6, -0x1.b331c1e736778p-6, -0x1.a67081d7ac9e5p-6, -0x1.9a0904eced7adp-6, -0x1.8df8efd268481p-6, -0x1.823df82e34b9cp-6, -0x1.76d5de1863cep-6, -0x1.6bbe7660e7943p-6, -0x1.60f5a2313924fp-6, -0x1.56794f8bc4c5p-6, -0x1.4c477b096b556p-6, -0x1.425e2e58d4c98p-6, -0x1.38bb80032a8a1p-6, -0x1.2f5d92d2554b7p-6, -0x1.2642983686334p-6, -0x1.1d68c964a5efp-6, -0x1.14ce6e4bae0dep-6, -0x1.0c71d803b65bcp-6, -0x1.0451679995a99p-6, -0x1.f8d7004e9320dp-7, -0x1.e97d2f086d98dp-7, -0x1.da9252f521714p-7, -0x1.cc13768d203f3p-7, -0x1.bdfdc390fdc57p-7, -0x1.b04e64106445cp-7, -0x1.a302a0f0ac0c3p-7, -0x1.9617d23059dcap-7, -0x1.898b60c9d6e7ap-7, -0x1.7d5ac6a744dd5p-7, -0x1.71838e7e9ece6p-7, -0x1.660352c7e93p-7, -0x1.5ad7be49a9b25p-7, -0x1.4ffe8add34bf7p-7, -0x1.45757b3b688bdp-7, -0x1.3b3a7811ae56fp-7, -0x1.314b558583af7p-7, -0x1.27a60be572d1ap-7, -0x1.1e489eb2138a1p-7, -0x1.1531168ebffe5p-7, -0x1.0c5d903606c09p-7, -0x1.03cc358fd6555p-7, -0x1.f6f66e9e2c45ep-8, -0x1.e6d1ac3612715p-8, -0x1.d726b52a08182p-8, -0x1.c7f239884385cp-8, -0x1.b930f8abdea9fp-8, -0x1.aadfc99aab493p-8, -0x1.9cfb9aa3d6f07p-8, -0x1.8f816e4f60264p-8, -0x1.826e595b9082ap-8, -0x1.75bf724ffd97cp-8, -0x1.69720af69de65p-8, -0x1.5d8367819c2a5p-8, -0x1.51f0e724a8042p-8, -0x1.46b7fb08ee4b2p-8, -0x1.3bd6276a85b53p-8, -0x1.3148fcaef97f6p-8, -0x1.270e124b19e22p-8, -0x1.1d232b21172eap-8, -0x1.1386028841079p-8, -0x1.0a34699d4364ap-8, -0x1.012c40312b553p-8, -0x1.f0d6e6e8071bdp-9, -0x1.dfdffed43c947p-9, -0x1.cf6fd7f4ebb0ap-9, -0x1.bf82ad1daa4aep-9, -0x1.b014afe34cb7bp-9, -0x1.a1224d5de8186p-9, -0x1.92a7fe2afb6dp-9, -0x1.84a24fcfda766p-9, -0x1.770deb67140bp-9, -0x1.69e7917d0ac1dp-9, -0x1.5d2c15b0ca52ep-9, -0x1.50d86d30c3841p-9, -0x1.44e981d7a4a58p-9, -0x1.395c68bbfc1f1p-9, -0x1.2e2e5f9e71b8ep-9, -0x1.235c96a6e272p-9, -0x1.18e4655779a4ap-9, -0x1.0ec318c5c8617p-9, -0x1.04f633965bd2dp-9, -0x1.f6f64f1dd55fep-10, -0x1.e49f8ae19871p-10, -0x1.d2e2ea5d171ecp-10, -0x1.c1bc073c490dcp-10, -0x1.b1266c9c6134ep-10, -0x1.a11dcef312eaep-10, -0x1.919df5794e973p-10, -0x1.82a2ce72f73f4p-10, -0x1.74285879c6938p-10, -0x1.662ab7874b1d5p-10, -0x1.58a62c0f82c1fp-10, -0x1.4b970a819b6b9p-10, -0x1.3ef9c3534046bp-10, -0x1.32cae6c9fcbc3p-10, -0x1.2707106a33e2cp-10, -0x1.1bab007520f0cp-10, -0x1.10b38a8e07eb3p-10, -0x1.061d954ce177p-10, -0x1.f7cc3c4c323e9p-11, -0x1.e4146ead3d1c3p-11, -0x1.d10e1b223a728p-11, -0x1.beb3bdb45143ap-11, -0x1.ad00106d5faaep-11, -0x1.9bedad560da23p-11, -0x1.8b77b74880222p-11, -0x1.7b992d335bf32p-11, -0x1.6c4d382e9663fp-11, -0x1.5d8f3cb910678p-11, -0x1.4f5af8aad39c2p-11, -0x1.41ab5d2ebd1efp-11, -0x1.347ca3fb7bc87p-11, -0x1.27cb281224611p-11, -0x1.1b920704f58fbp-11, -0x1.0fcdb22ac2b94p-11, -0x1.047a63f23a4fap-11, -0x1.f328e399cadaep-12, -0x1.de30843a8f79ap-12, -0x1.ca04b99e627a1p-12, -0x1.b69ecc5fa443dp-12, -0x1.a3f83df41e5a3p-12, -0x1.920aadbe02562p-12, -0x1.80d0022a63604p-12, -0x1.70423fb4f6eafp-12, -0x1.605b9854470eep-12, -0x1.51166be76b7e6p-12, -0x1.426d4b12408b1p-12, -0x1.345acb9eed2bp-12, -0x1.26d9db859caa2p-12, -0x1.19e58732693eep-12, -0x1.0d78ef3a6e17bp-12, -0x1.018f65f96e2d7p-12, -0x1.ec48d04fc2ba3p-13, -0x1.d6672917ece14p-13, -0x1.c1715bd6eb7e7p-13, -0x1.ad5f10d7bdfd5p-13, -0x1.9a28488fcc6f6p-13, -0x1.87c5234b2f26fp-13, -0x1.762df5d062f14p-13, -0x1.655a77ad9e009p-13, -0x1.554685129888ep-13, -0x1.45e84194d01c3p-13, -0x1.373a0d03f7534p-13, -0x1.2935a50b89112p-13, -0x1.1bd4d0a8950c7p-13, -0x1.0f11885bde862p-13, -0x1.02e5a2cdbf46cp-13, -0x1.ee991b0c4ca1bp-14, -0x1.d87f12bce712ap-14, -0x1.c3731d1732121p-14, -0x1.af6a57eccb8d4p-14, -0x1.9c5b5b94c5f29p-14, -0x1.8a3c95111687ap-14, -0x1.79044c2a94bfdp-14, -0x1.68a90b224dd9ap-14, -0x1.5925e1bfe003dp-14, -0x1.4a6e7624fb3dap-14, -0x1.3c7c08ddf59e7p-14, -0x1.2f46630d69366p-14, -0x1.22c5c7162a722p-14, -0x1.16f2c13a8f61fp-14, -0x1.0bc61e41c2e6ap-14, -0x1.0138fc0edb35dp-14, -0x1.ee885d4eec12cp-15, -0x1.dbc61bc74a26p-15, -0x1.ca1b17b53982cp-15, -0x1.b97d59adc0415p-15, -0x1.a9e108ba06731p-15, -0x1.9b3ad5a40b3ddp-15, -0x1.8d7fae153a102p-15, -0x1.80a4ec1ae8117p-15, -0x1.749da83111e1cp-15, -0x1.6969b149050b9p-15, -0x1.5ef581bede01ap-15, -0x1.553b1ee14e836p-15, -0x1.4c3361ba204aep-15, -0x1.43d4e0086081cp-15, -0x1.3c17badbd75bcp-15, -0x1.34f3ccb6d0843p-15, -0x1.2e625142342b9p-15, -0x1.285babcadd321p-15, -0x1.22d845e2df007p-15, -0x1.1dd1977501fc2p-15, -0x1.19432cb507043p-15, -0x1.1520100c52a7ep-15, -0x1.1169664ec8edfp-15, -0x1.0e16e3e4e2d8ap-15, -0x1.0b23442985cc9p-15, -0x1.08889c71e0727p-15, -0x1.0643b846ac0e7p-15, -0x1.044f059e4c8fep-15, -0x1.02a4ea1702b11p-15, -0x1.01414ea12670cp-15, -0x1.001f91c96029ap-15, -0x1.fe7704eff87f5p-16, -0x1.fd21932bb6dd2p-16, -0x1.fc389e28028f3p-16, -0x1.fbb4e0f64e6f3p-16, -0x1.fb85c98fc6016p-16, -0x1.fbb05d673c51cp-16, -0x1.fc2b966a805f7p-16, -0x1.fcf0b1d6144c5p-16, -0x1.fdfa29eba5e47p-16, -0x1.ff41e3a2fe6efp-16, -0x1.0061d91d62793p-15, -0x1.013c1a111113ep-15, -0x1.022f64eaa3607p-15, -0x1.03362b177aff4p-15, -0x1.04505fe866ac8p-15, -0x1.057a5e74d9a6dp-15, -0x1.06b27d1be5987p-15, -0x1.07f66fd79d4eap-15, -0x1.09450b3d449b6p-15, -0x1.0a9d859bbc899p-15, -0x1.0bfb8ab7a98fbp-15, -0x1.0d5f37e4c9137p-15, -0x1.0ec7677d9dba7p-15, -0x1.103283452c29ap-15, -0x1.119f38d20da29p-15, -0x1.130c5a1fd16e8p-15, -0x1.14782ed5cacd1p-15, -0x1.15dedb2e37347p-15, -0x1.1747dc264a273p-15, -0x1.18aa220711b2cp-15, -0x1.1a064c4423beap-15, -0x1.1b5c24d0bcc2ep-15, -0x1.1caa28d2b4dcap-15, -0x1.1df08b58c1ca9p-15, -0x1.1f2e38a5b1885p-15, -0x1.206288bc76292p-15, -0x1.218c3cc75dec3p-15, -0x1.22ada3fdd735fp-15, -0x1.23c13146d1625p-15, -0x1.24cadef3a7de4p-15, -0x1.25c8d676d1922p-15, -0x1.26b91ffdd56cfp-15, -0x1.279ccaecada0dp-15, -0x1.2873164580dffp-15, -0x1.293c18f62a1b4p-15, -0x1.29f700690c003p-15, -0x1.2aa34e3110174p-15, -0x1.2b426a9a29d9p-15, -0x1.2bd265514bbf4p-15, -0x1.2c537bf7bc7fbp-15, -0x1.2cc5a7da78106p-15, -0x1.2d28c7fe02fa9p-15, -0x1.2d7ce73c43c39p-15, -0x1.2dc2067b58626p-15, -0x1.2df7ab51cc00bp-15, -0x1.2e1ddbc991fbdp-15, -0x1.2e3499cfd7e12p-15, -0x1.2e3c6f8b4f2b7p-15, -0x1.2e354150c0712p-15, -0x1.2e1e91d460f18p-15, -0x1.2df8948d91091p-15, -0x1.2dc36ef0247e3p-15, -0x1.2d7f77bcf9f23p-15, -0x1.2d2c856697a59p-15, -0x1.2ccac388c4fe3p-15, -0x1.2c5ad90442db6p-15, -0x1.2bd8966d1911dp-15, -0x1.2b4d8b2249ef3p-15, -0x1.2ab1f2e481b9ep-15, -0x1.2a070384e4793p-15, -0x1.29500078a11f9p-15, -0x1.288a89fd69862p-15, -0x1.27b81000868c4p-15, -0x1.26d6531f16f9ep-15, -0x1.25e8bbe2cf8cap-15, -0x1.24edb89d20b31p-15, -0x1.23e643d25238ap-15, -0x1.22d2458d4b1c1p-15, -0x1.21b1b8ed7d883p-15, -0x1.208505a03aa4bp-15, -0x1.1f4c6d45b5fa8p-15, -0x1.1e0857618ecd3p-15, -0x1.1cb9406360174p-15, -0x1.1b5dbed88eaf6p-15, -0x1.19f7ffa15d16ep-15, -0x1.18877661686f3p-15, -0x1.170c6486140edp-15, -0x1.1586fba3a1bf8p-15, -0x1.13f83e4247652p-15, -0x1.125f3687c9ce2p-15, -0x1.10bd2401476c4p-15, -0x1.0f10dacca0d7p-15, -0x1.0d5c765b99fcfp-15, -0x1.0b9f1a2835f79p-15, -0x1.09d929c333a3fp-15, -0x1.080b308150c59p-15, -0x1.06342f5fc8996p-15, -0x1.04562a3cb5257p-15, -0x1.0271fba1284dp-15, -0x1.0085574ce3404p-15, -0x1.fd234fbfb127fp-16, -0x1.f92e60853a2d5p-16, -0x1.f52c5b6e3127ap-16, -0x1.f11db7c626b4fp-16, -0x1.ed02dc2581bap-16, -0x1.e8ddc9d91ed63p-16, -0x1.e4abb408d750bp-16, -0x1.e06f12bc569f2p-16, -0x1.dc2836b88ab06p-16, -0x1.d7d8439fd0a0ap-16, -0x1.d37eb1f85c043p-16, -0x1.cf1bed81b4393p-16, -0x1.cab0de70ff1acp-16, -0x1.c63dbdf72ee63p-16, -0x1.c1c2fd7a36c62p-16, -0x1.bd410ae1b54d6p-16, -0x1.b8b8425dfd25bp-16, -0x1.b429cb32e23dep-16, -0x1.af96621defe2ep-16, -0x1.aaf956dca0246p-16, -0x1.a659235bbb3d1p-16, -0x1.a1b450d69f12p-16, -0x1.9d0b6c2840a55p-16, -0x1.985d642701111p-16, -0x1.93accc41d9deep-16, -0x1.8ef8f070c3b5ap-16, -0x1.8a419e5a5ae63p-16, -0x1.8587d81e3a913p-16, -0x1.80cb028402358p-16, -0x1.7c0be0c7a4287p-16, -0x1.774ddedd0f653p-16, -0x1.728cdc7fdd91ep-16, -0x1.6dcafed99d2c7p-16, -0x1.690562c37f3ccp-16, -0x1.644614008c98p-16, -0x1.5f81796c2f2a5p-16, -0x1.5abed26d9a04ep-16, -0x1.55fe7889f645fp-16, -0x1.513cfa9de60dcp-16, -0x1.4c7d0aa8327cfp-16, -0x1.47be831ebf5cdp-16, -0x1.43016453ec54fp-16, -0x1.3e45aa838257cp-16, -0x1.398cab50df62bp-16, -0x1.34d5cb11500bp-16, -0x1.302519f18430ep-16, -0x1.2b70af712798cp-16, -0x1.26c290c9e288ep-16, -0x1.2217e337c8c2fp-16, -0x1.1d709c940951ep-16, -0x1.18ccd8a952388p-16, -0x1.142db3fecafa2p-16, -0x1.0f922d217b8bcp-16, -0x1.0afaae6815c86p-16, -0x1.066a69b41edaep-16, -0x1.01daa8dbd1f77p-16, -0x1.faa30d84823d4p-17, -0x1.f19bbc8ba0ee8p-17, -0x1.e89e7e4a353dp-17, -0x1.dfac58485fdb7p-17, -0x1.d6c466dabb48ap-17, -0x1.cde8660758889p-17, -0x1.c517bf9b32d36p-17, -0x1.bc5481d15574fp-17, -0x1.b39ccfb2efddp-17, -0x1.aaf377f3e93bdp-17, -0x1.a2522f50be296p-17, -0x1.99c3ffe67d5a9p-17, -0x1.913c73757f9bcp-17, -0x1.88c5e66c363aap-17, -0x1.805cee60e90e7p-17, -0x1.7801f6d5ee233p-17, -0x1.6fb518f3ad843p-17, -0x1.67765a212f9f7p-17, -0x1.5f46fe3ca7899p-17, -0x1.5726a22e154ddp-17, -0x1.4f1438a074205p-17, -0x1.470ff3b85a429p-17, -0x1.3f1c956778564p-17, -0x1.3738373291e3ap-17, -0x1.2f6345f15987ep-17, -0x1.279dff104d83ep-17, -0x1.1fe82f5a2834ep-17, -0x1.1844936dae2dbp-17, -0x1.10adc18575fa5p-17, -0x1.0928f2bce5abdp-17, -0x1.01b2fa30a67d9p-17, -0x1.f49d36eb3445ap-18, -0x1.e5f3eff27e9f1p-18, -0x1.d77798c1aa545p-18, -0x1.c9063eb75b8bap-18, -0x1.bac1cefce1f42p-18, -0x1.ac9d6e40432dap-18, -0x1.9e9b98da5cc98p-18, -0x1.90bbc107c3dafp-18, -0x1.82fce4835a48dp-18, -0x1.755feebc3589bp-18, -0x1.67e5d127e25efp-18, -0x1.5a8cc827868a3p-18, -0x1.4d56be2302305p-18, -0x1.4042ac2834c9fp-18, -0x1.3350fc4334524p-18, -0x1.268172b6abec6p-18, -0x1.19d28d9c1d15dp-18, -0x1.0d47898a0d898p-18, -0x1.00ded363d1437p-18, -0x1.e92de222ead05p-19, -0x1.d0e573a29b0bcp-19, -0x1.b8de9030da057p-19, -0x1.a11fc776e7f39p-19, -0x1.89a527acee669p-19, -0x1.726ce69121937p-19, -0x1.5b6aa530ca0e6p-19, -0x1.44c04dee9a0f3p-19, -0x1.2e5b55183d28bp-19, -0x1.1831819e21e37p-19, -0x1.024b75f209ae8p-19, -0x1.d978c1133ebedp-20, -0x1.ae9d2876d143p-20, -0x1.8461223232e81p-20, -0x1.5ab14c0971969p-20, -0x1.31a6802c132c7p-20, -0x1.08dd5ded9138ep-20, -0x1.c170cf0eedd78p-21, -0x1.71fa525e780b9p-21, -0x1.23f8acbeb41ebp-21, -0x1.ada30d2fc363cp-22, -0x1.15429c77bf4d2p-22, -0x1.fb9e1f7fe6acap-24, 0x1.56cc806e28599p-26, 0x1.5020f53e4b0efp-23, 0x1.3809dfabb115p-22, 0x1.c66072c3ab004p-22, 0x1.2962f53ebbfa7p-21, 0x1.6e94c18bca91cp-21, 0x1.b2cb475f7221fp-21, 0x1.f609bf22a7cd4p-21, 0x1.1c298ddac276ap-20, 0x1.3cd36f8d66affp-20, 0x1.5d02ff232f3aap-20, 0x1.7cb1afc4195fcp-20, 0x1.9bf302b46f987p-20, 0x1.baccb1ed1b23p-20, 0x1.d903df49cfb81p-20, 0x1.f6d8f3d298ecfp-20, 0x1.0a19535d3db0cp-19, 0x1.188f89be7af52p-19, 0x1.26ce57678673bp-19, 0x1.34d0936c328b6p-19, 0x1.42946e2b02d9dp-19, 0x1.502622567ad59p-19, 0x1.5d7e862ea6fcdp-19, 0x1.6a9f96005aacbp-19, 0x1.77864b66574bbp-19, 0x1.8433154fd887fp-19, 0x1.90b1ddba9f0b4p-19, 0x1.9cf4f890f24fp-19, 0x1.a903c6a55748dp-19, 0x1.b4d274c995fd4p-19, 0x1.c07e27d7ceca8p-19, 0x1.cbec77693d2c4p-19, 0x1.d727024e4bc3cp-19, 0x1.e22db43fba0dcp-19, 0x1.ed009d476cc6bp-19, 0x1.f7a2114752dd8p-19, 0x1.010aabed9d27p-18, 0x1.06275b63a32f4p-18, 0x1.0b2caa1c72548p-18, 0x1.1019e4773a542p-18, 0x1.14edcc4acd18p-18, 0x1.19ab2748711b4p-18, 0x1.1e4fec94a3e2fp-18, 0x1.22dd7a9774251p-18, 0x1.2753408991f99p-18, 0x1.2bb297f00ebd9p-18, 0x1.2ffaa9244b947p-18, 0x1.342af8255aa1fp-18, 0x1.38459c01ed7d2p-18, 0x1.3c4a944a2ba19p-18, 0x1.4033314d23d5dp-18, 0x1.441075fcb539fp-18, 0x1.47d404fbb3796p-18, 0x1.4b82466a6830ap-18, 0x1.4f1a326e4c0f6p-18, 0x1.529f48870b64fp-18, 0x1.560cd53f0e21dp-18, 0x1.5967032831f3ep-18, 0x1.5cad1d3b2ea8p-18, 0x1.5fe53cbf627bdp-18, 0x1.62fddd0357ea1p-18, 0x1.66067d923096ep-18, 0x1.690045b457fd5p-18, 0x1.6be512412ff35p-18, 0x1.6eaecefc4e9a9p-18, 0x1.717413aded5f7p-18, 0x1.741d0bc56104ep-18, 0x1.76b986ee6cf46p-18, 0x1.793ff0d21e5a9p-18, 0x1.7bb5cf63e1a95p-18, 0x1.7e19d6c878849p-18, 0x1.806c319f33205p-18, 0x1.82ad14449e90bp-18, 0x1.84ddd46ccdbafp-18, 0x1.86fcb90c9dfc5p-18, 0x1.890b99eddb664p-18, 0x1.8b08b0b426963p-18, 0x1.8cf73e889406p-18, 0x1.8ed53ecc386ebp-18, 0x1.90a370403ccf2p-18, 0x1.9261f1b797aafp-18, 0x1.9410ca1a72f62p-18, 0x1.95affa4619cb6p-18, 0x1.974184252ea7dp-18, 0x1.98c3920ef542ap-18, 0x1.9a34c21f5d364p-18, 0x1.9b9a08c1b06d1p-18, 0x1.9cf2c2db09afp-18, 0x1.9e39cc3d3eeddp-18, 0x1.9f73ebb0a8a09p-18, 0x1.a0a0b133047cbp-18, 0x1.a1bff843db39bp-18, 0x1.a2cc25867ea87p-18, 0x1.a3d6b7ea77099p-18, 0x1.a4ce0d0400611p-18, 0x1.a5b8cd2cf6f07p-18, 0x1.a697560217086p-18, 0x1.a7706b35d51e7p-18, 0x1.a82e9c3a146c5p-18, 0x1.a8e7dd4455f1ap-18, 0x1.a996256ef9ed5p-18, 0x1.aa37863ad00b7p-18, 0x1.aace459fdcb66p-18, 0x1.ab58278b0d1fp-18, 0x1.abd7b273d9e03p-18, 0x1.ac46779e72ea5p-18, 0x1.acb612f9b76bap-18, 0x1.ad14c668ba6cep-18, 0x1.ad68a9430fa3p-18, 0x1.adb28033dbb09p-18, 0x1.adf67b8fe3b75p-18, 0x1.ae2c98616a749p-18, 0x1.ae52a3c8843f2p-18, 0x1.ae7486b04e4b1p-18, 0x1.ae8c90f0cda9dp-18, 0x1.ae9bd40ffe3bdp-18, 0x1.aea04fd3da008p-18, 0x1.ae9cd762ae2d9p-18, 0x1.ae8f128274e2dp-18, 0x1.ae79b976d2f9bp-18, 0x1.ae5ae4449637p-18, 0x1.ae31bd12f61d1p-18, 0x1.ae03c9d1133aap-18, 0x1.adcb614f041fcp-18, 0x1.ad8b2a8cd90c4p-18, 0x1.ad429b134eae9p-18, 0x1.acf2547bfae4bp-18, 0x1.ac9a3e077b7a9p-18, 0x1.ac383457a7dddp-18, 0x1.abd371c91fbd9p-18, 0x1.ab6492fbb1a36p-18, 0x1.aaeeab0fd63f1p-18, 0x1.aa71a60fdfeb6p-18, 0x1.a9eda2a2ef35fp-18, 0x1.a962c9380cd16p-18, 0x1.a8cdfbcf2bc59p-18, 0x1.a838fb7986b1cp-18, 0x1.a79a1734a11b9p-18, 0x1.a6f4ef29117bbp-18, 0x1.a6497bb75ac1cp-18, 0x1.a597f5bcd5576p-18, 0x1.a4e07c2540912p-18, 0x1.a425cd918f7edp-18, 0x1.a35fa83f6e7d5p-18, 0x1.a296af129bb71p-18, 0x1.a1c8704ef4c8ep-18, 0x1.a0f397383ca63p-18, 0x1.a01a46547801bp-18, 0x1.9f3d1eb70682ap-18, 0x1.9e58962e8612ep-18, 0x1.9d6e6b657dff8p-18, 0x1.9c8130e5abf8fp-18, 0x1.9b8f5d3e73e67p-18, 0x1.9a986b443d2a4p-18, 0x1.999d589aa492dp-18, 0x1.989b33a705482p-18, 0x1.9796d52f4d74bp-18, 0x1.968d6ce0eeb1ep-18, 0x1.957fb827601c3p-18, 0x1.94715a9e77237p-18, 0x1.93589d970531ep-18, 0x1.923ecbac2b776p-18, 0x1.9120b6f564a79p-18, 0x1.90040f9b29efcp-18, 0x1.8edbef7a31afdp-18, 0x1.8db47adb8ed74p-18, 0x1.8c882d45372a2p-18, 0x1.8b57496b433efp-18, 0x1.8a246d18cf4e1p-18, 0x1.88ee5084d861ep-18, 0x1.87b5037896657p-18, 0x1.86789ce195ac7p-18, 0x1.85393a48b50efp-18, 0x1.83f7181e5de56p-18, 0x1.82b1e330f150cp-18, 0x1.8169820a9f253p-18, 0x1.801da04dcf4bap-18, 0x1.7ed1c9252605ap-18, 0x1.7d81be6847928p-18, 0x1.7c2f788b44573p-18, 0x1.7adaa1e9d5542p-18, 0x1.79831f2e5e249p-18, 0x1.782991f3de612p-18, 0x1.76ceb0f2c10a9p-18, 0x1.756ffc61bb9ccp-18, 0x1.7410f0b63a127p-18, 0x1.72af44e4a56a6p-18, 0x1.714b0a0927964p-18, 0x1.6fe56d12e0364p-18, 0x1.6e7e43528c4dbp-18, 0x1.6d14f4ef64457p-18, 0x1.6baa0585b94dfp-18, 0x1.6a3da14a0100ap-18, 0x1.68cf65caef15fp-18, 0x1.67616bb2f54cbp-18, 0x1.65ecedd573368p-18, 0x1.647f488cc8c9p-18, 0x1.6308a964b00bdp-18, 0x1.6193902ce9dd8p-18, 0x1.601d50dd94eb6p-18, 0x1.5ea614019df31p-18, 0x1.5d2d5d6fe8271p-18, 0x1.5bb382087cd67p-18, 0x1.5a38be76b1994p-18, 0x1.58bdbddb33066p-18, 0x1.57412c7052324p-18, 0x1.55c36ee3416f6p-18, 0x1.54447458edaeep-18, 0x1.52c67802ad002p-18, 0x1.51474257f3aa3p-18, 0x1.4fc6808d8508cp-18, 0x1.4e44bb9ec17aep-18, 0x1.4cc713a28a5e4p-18, 0x1.4b4196f289a57p-18, 0x1.49bf36c92f125p-18, 0x1.483c28823ccd4p-18, 0x1.46b7e018bd58p-18, 0x1.4534034735fd9p-18, 0x1.43afccfdd76ddp-18, 0x1.422be1c75925fp-18, 0x1.40a85310b3191p-18, 0x1.3f213b72dbfedp-18, 0x1.3d9d8cb9915b7p-18, 0x1.3c18430006e82p-18, 0x1.3a92f1e4b6bd9p-18, 0x1.390db2cf27ac9p-18, 0x1.3789b100be23dp-18, 0x1.360262c63da58p-18, 0x1.347d6712e3b08p-18, 0x1.32f83e1686f89p-18, 0x1.3174a87d753b1p-18, 0x1.2fedbd85c413dp-18, 0x1.2e68e69ba853ap-18, 0x1.2ce4fdce64d2p-18, 0x1.2b5f56cbf2891p-18, 0x1.29db5b722ece6p-18, 0x1.2857d1b0cca8ap-18, 0x1.26d3f98953b52p-18, 0x1.2550f51fd290bp-18, 0x1.23ce2ee7bf0f6p-18, 0x1.224ba7fd161dbp-18, 0x1.20c995288c38ap-18, 0x1.1f47f02aaebe9p-18, 0x1.1dc99a12d1b6p-18, 0x1.1c46b6702ff6dp-18, 0x1.1ac68fe8e9c99p-18, 0x1.194732ef2197p-18, 0x1.17c80a0a84168p-18, 0x1.1649f3fa444a7p-18, 0x1.14caf48915688p-18, 0x1.134f060bb29efp-18, 0x1.11d32b403b32cp-18, 0x1.1057f8f964e3ap-18, 0x1.0edc7a8cf9d5ap-18, 0x1.0d62799781a4bp-18, 0x1.0beba0ab1b37cp-18, 0x1.0a708f9bdda41p-18, 0x1.08f880ef916f7p-18, 0x1.0781c5e9f403bp-18, 0x1.060bdfc11998dp-18, 0x1.0496a66872fa6p-18, 0x1.0322472b5b03cp-18, 0x1.01ae62fd5d1p-18, 0x1.003d7563c95abp-18, 0x1.fd944dce312b1p-19, 0x1.fab27672c0aaap-19, 0x1.f7d3a5e7dfbb4p-19, 0x1.f4f58dd99a52ep-19, 0x1.f21a55a550c7fp-19, 0x1.ef404e3ec7cd4p-19, 0x1.ec68e98753707p-19, 0x1.e993a82b03c46p-19, 0x1.e6c004f100d9ep-19, 0x1.e3eefa17b9f84p-19, 0x1.e11f5233bf859p-19, 0x1.de52a214bb0a4p-19, 0x1.db87c1057949p-19, 0x1.d8bef36cd9e2fp-19, 0x1.d5f9ef3cdb4d9p-19, 0x1.d3348be91b6f8p-19, 0x1.d075fd54280bcp-19, 0x1.cdb26bbbb01b9p-19, 0x1.caf648da2e8f1p-19, 0x1.c83bb35d1edcep-19, 0x1.c582de2e73529p-19, 0x1.c2cccfd32f323p-19, 0x1.c01994f173ff7p-19, 0x1.bd683e81a725p-19, 0x1.bab931a29c082p-19, 0x1.b80cf7583b879p-19, 0x1.b5637d45e05bcp-19, 0x1.b2bc75f509fc6p-19, 0x1.b015d10ad04c3p-19, 0x1.ad74d2bb66165p-19, 0x1.aad10444c04afp-19, 0x1.a837fc2e67be7p-19, 0x1.a59d945f91366p-19, 0x1.a305711266d1ep-19, 0x1.a06ff86f7f036p-19, 0x1.9ddd63df21d58p-19, 0x1.9b4ca6bb52591p-19, 0x1.98bfe418c4fa1p-19, 0x1.963570dea175fp-19, 0x1.93ab80ed8423ap-19, 0x1.9125e31a128a8p-19, 0x1.8ea391b8e726ep-19, 0x1.8c239463be711p-19, 0x1.89a5d53296d91p-19, 0x1.872afe3bb0b7ap-19, 0x1.84b2a89fa884fp-19, 0x1.823af26f32506p-19, 0x1.7fc7fab2628f5p-19, 0x1.7d5b04a0b3c2ap-19, 0x1.7aedd4981be52p-19, 0x1.7882698f65324p-19, 0x1.761afd367f501p-19, 0x1.73b47a817e708p-19, 0x1.715514b8fd221p-19, 0x1.6ef4408706ca3p-19, 0x1.6c973bde0a1afp-19, 0x1.6a3d4d9847dafp-19, 0x1.67e642ae7d5f1p-19, 0x1.65918f852a425p-19, 0x1.634020a9d2f14p-19, 0x1.60f156341a8ccp-19, 0x1.5ea4c4e9a70b7p-19, 0x1.5c5bd13a1f866p-19, 0x1.5a1571e8f5ce4p-19, 0x1.57cdeb8c7dc03p-19, 0x1.559082a0b7549p-19, 0x1.535265c31181p-19, 0x1.5117095297c9cp-19, 0x1.4ede65dd77be4p-19, 0x1.4ca8bce207706p-19, 0x1.4a75cd726308ap-19, 0x1.484578e588eaep-19, 0x1.461812fda2b08p-19, 0x1.43eddcf54a7afp-19, 0x1.41c56eddfc43dp-19, 0x1.3fa0567585033p-19, 0x1.3d7eb3959a1e7p-19, 0x1.3b5f4972414d5p-19, 0x1.3941e816a2784p-19, 0x1.3728561287e99p-19, 0x1.351126ca0899ap-19, 0x1.32fcdadfe0113p-19, 0x1.30eb478fb2773p-19, 0x1.2eddb6d4c3d11p-19, 0x1.2cd09fadbb7ap-19, 0x1.2ac70f2ff7e84p-19, 0x1.28c0a3f8e8feap-19, 0x1.26bcd27d6ef17p-19, 0x1.24bc4df77eba3p-19, 0x1.22bdac3c01575p-19, 0x1.20c1ed28d9b7ap-19, 0x1.1ec93ce74d4f4p-19, 0x1.1cd30c95541d9p-19, 0x1.1ae0bc0fe352ap-19, 0x1.18ef9320e0eacp-19, 0x1.1701ab70f70b5p-19, 0x1.1515d7dbe714bp-19, 0x1.132deb57c7e6p-19, 0x1.114823de0c8efp-19, 0x1.0f6514888585ep-19, 0x1.0d84b7433469ap-19, 0x1.0ba707dcb14ddp-19, 0x1.09cc081063a9p-19, 0x1.07f45e3b5edfep-19, 0x1.061de95c483d4p-19, 0x1.044b6f277108dp-19, 0x1.027aab9fe805fp-19, 0x1.00acd16577d0fp-19, 0x1.fdc3a27a24f59p-20, 0x1.fa32baab8ab78p-20, 0x1.f6a6c7213fdacp-20, 0x1.f32103e92d55p-20, 0x1.ef9ff7ea38a96p-20, 0x1.ec2793440f3fbp-20, 0x1.e8ab74758fcd6p-20, 0x1.e537116de83b5p-20, 0x1.e1ce9398b0e29p-20, 0x1.de6740fb8437bp-20, 0x1.db03dda860aa5p-20, 0x1.d7a7df85f3394p-20, 0x1.d45005101c88p-20, 0x1.d0fced5b417acp-20, 0x1.cdaf0d2f41332p-20, 0x1.ca664d86035ep-20, 0x1.c722bd9b892e8p-20, 0x1.c3e38f6063e9p-20, 0x1.c0a9c32f53cf9p-20, 0x1.bd74e0a0049b7p-20, 0x1.ba4598da0ea04p-20, 0x1.b71ee17c9fc9cp-20, 0x1.b3f40dd8e80b4p-20, 0x1.b0d2e4e7de28bp-20, 0x1.adb6c10538bd2p-20, 0x1.aa9f6bff51897p-20, 0x1.a78d02f2a5c3fp-20, 0x1.a47eff88ea713p-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.1616d43a9fd1ep-2, 0x1.9504193f774c1p-2, 0x1.0401a1192c611p-1, 0x1.36c59636b1264p-1, 0x1.626a87d98d441p-1, 0x1.86d50ca070dcap-1, 0x1.a41e72a6603e9p-1, 0x1.ba8604005721cp-1, 0x1.ca65bcf4a837ap-1, 0x1.d429a1524fbb7p-1, 0x1.d84913455842bp-1, 0x1.d741b5dafb13ap-1, 0x1.d19382d0f48d1p-1, 0x1.c7bdd08f9683cp-1, 0x1.ba3d154419075p-1, 0x1.a9893f6f163a1p-1, 0x1.9614853064dap-1, 0x1.804a920554f9bp-1, 0x1.688fffe5140a9p-1, 0x1.4f420c3b879a4p-1, 0x1.34b67c3d90428p-1, 0x1.193ba689ac45fp-1, 0x1.fa31334b85a6ep-2, 0x1.c11ab1307b1f4p-2, 0x1.87a6505485ff1p-2, 0x1.4e39cfb689a66p-2, 0x1.152ee41c3c513p-2, 0x1.b9a803d64f64cp-3, 0x1.4ada5961725e5p-3, 0x1.bcd315b55c47p-4, 0x1.d2e2a8472e5fcp-5, 0x1.c354862a1f56ep-8, -0x1.54b1089186dc9p-5, -0x1.69ca03fb0b55cp-4, -0x1.10e47ddbb7015p-3, -0x1.690a3fcb9932ep-3, -0x1.bd3f4dba08ec3p-3, -0x1.06ba8b438df1ep-2, -0x1.2cd23a2a0cf6ep-2, -0x1.50e662b411b9bp-2, -0x1.72f98ccf64be6p-2, -0x1.9310b9cde5d6p-2, -0x1.b1330e0a7c8d4p-2, -0x1.cd69828b6196fp-2, -0x1.e7be9dec3b00ep-2, -0x1.001f19fc38fa5p-1, -0x1.0b7a95a72f0b3p-1, -0x1.15f8a45c04c4fp-1, -0x1.1fa07fea29b8p-1, -0x1.2879a43b94f8p-1, -0x1.308bbc6b29cc8p-1, -0x1.37de921072ad2p-1, -0x1.3e79fe49bd961p-1, -0x1.4465dcf19e2abp-1, -0x1.49aa01548d91ap-1, -0x1.4e4e2c64928dfp-1, -0x1.525a0494916c1p-1, -0x1.55d50e977af65p-1, -0x1.58c6a7705c441p-1, -0x1.5b35ff952232fp-1, -0x1.5d2a16c12eec2p-1, -0x1.5ea9b8da8991cp-1, -0x1.5fbb7b43ae8cbp-1, -0x1.6065bb1d3b2eap-1, -0x1.60ae9be3c548bp-1, -0x1.609c06a261a7dp-1, -0x1.6033a98d15bp-1, -0x1.5f7af8129b61dp-1, -0x1.5e772b099f9b5p-1, -0x1.5d2d416938949p-1, -0x1.5ba2011c4229p-1, -0x1.59d9f7f566fddp-1, -0x1.57d97d0f38b6cp-1, -0x1.55a4b1ff09e84p-1, -0x1.533f84634e321p-1, -0x1.50adaf7230e1fp-1, -0x1.4df2bd8ddff62p-1, -0x1.4b1209e7bf168p-1, -0x1.480ec25f1dd3bp-1, -0x1.44ebe906b829fp-1, -0x1.41ac55f798b1ep-1, -0x1.3e52b90b6dca9p-1, -0x1.3ae19b73a2261p-1, -0x1.375b618ccad64p-1, -0x1.33c24c620bf36p-1, -0x1.30187b5e1b642p-1, -0x1.2c5fede180279p-1, -0x1.289a84a8072a4p-1, -0x1.24ca0371a12ap-1, -0x1.20f012534e574p-1, -0x1.1d0e3f32efa9ap-1, -0x1.1925fefae5db6p-1, -0x1.1538af0366012p-1, -0x1.1147964632b05p-1, -0x1.0d53e68a2fd01p-1, -0x1.095ebd838518p-1, -0x1.056925f34b5acp-1, -0x1.017418a977f3fp-1, -0x1.fb00fb0dea986p-2, -0x1.f31e58d3d17a5p-2, -0x1.eb41dc24795e4p-2, -0x1.e36cfa1298114p-2, -0x1.dba10cc475dc7p-2, -0x1.d3df551778e4bp-2, -0x1.cc28fbf7001ap-2, -0x1.c47f13defc049p-2, -0x1.bce29a15398b5p-2, -0x1.b554780ab9748p-2, -0x1.add5844bcdb2p-2, -0x1.a66683d075da1p-2, -0x1.9f082af962108p-2, -0x1.97bb1e8a3e9b5p-2, -0x1.907ff4981d55ap-2, -0x1.895735725fc36p-2, -0x1.82415c6e400b3p-2, -0x1.7b3ed8baf3294p-2, -0x1.74500e150105bp-2, -0x1.6d7555789d747p-2, -0x1.66aefdda70b7dp-2, -0x1.5ffd4ca8a6f23p-2, -0x1.59607e7874db7p-2, -0x1.52d8c7865dc53p-2, -0x1.4c6654424712fp-2, -0x1.460949c4b560ep-2, -0x1.3fc1c64031d1ep-2, -0x1.398fe1782824ep-2, -0x1.3373ad3164ad3p-2, -0x1.2d6d357b3c154p-2, -0x1.277c811cfd90ap-2, -0x1.21a191eaee3c7p-2, -0x1.1bdc650ed6836p-2, -0x1.162cf35c7ed44p-2, -0x1.109331ae76d7ap-2, -0x1.0b0f10efcf9ccp-2, -0x1.05a07e9812951p-2, -0x1.004764d5068dp-2, -0x1.f607556db3755p-3, -0x1.ebaa68df06e9p-3, -0x1.e177c7175186ap-3, -0x1.d76f2e26241b3p-3, -0x1.cd90579967977p-3, -0x1.c3daf8a1a4db9p-3, -0x1.ba4ec2812b31ep-3, -0x1.b0eb62bf6a125p-3, -0x1.a7b083ad4e525p-3, -0x1.9e9dcc44aa2bcp-3, -0x1.95b2e0bfa7c6fp-3, -0x1.8cef62a97436bp-3, -0x1.8452f12a057e9p-3, -0x1.7bdd29325db33p-3, -0x1.738da5a803cb8p-3, -0x1.6b63ffaeff603p-3, -0x1.635fcebea5d31p-3, -0x1.5b80a8cc7f5a4p-3, -0x1.53c62281bbf61p-3, -0x1.4c2fcf69fa716p-3, -0x1.44bd41f8b1c43p-3, -0x1.3d6e0bb2896a2p-3, -0x1.3641bd74a1c2bp-3, -0x1.2f37e76d97d1ep-3, -0x1.285019341f527p-3, -0x1.2189e1f9ee852p-3, -0x1.1ae4d09dab1ccp-3, -0x1.146073bcd8ec2p-3, -0x1.0dfc59d8eb205p-3, -0x1.07b8115b2c5d9p-3, -0x1.019328bb95da9p-3, -0x1.f71a5cf9c3f6p-4, -0x1.eb4b62b141a44p-4, -0x1.dfb8807ebdac9p-4, -0x1.d460d4edf96b3p-4, -0x1.c9437f2a33f0ap-4, -0x1.be5f9f33fc34dp-4, -0x1.b3b456164389ap-4, -0x1.a940c5cf79a54p-4, -0x1.9f041188d58c7p-4, -0x1.94fd5d9d5df4bp-4, -0x1.8b2bcfbf93e58p-4, -0x1.818e8f0043833p-4, -0x1.7824c3ea1475cp-4, -0x1.6eed988dc00abp-4, -0x1.65e838845619ap-4, -0x1.5d13d121e8f7dp-4, -0x1.546f916fccd39p-4, -0x1.4bfaaa2cd4edp-4, -0x1.43b44df8bbdd9p-4, -0x1.3b9bb13990583p-4, -0x1.33b00a4e22d5bp-4, -0x1.2bf0918194842p-4, -0x1.245c811b8a1b2p-4, -0x1.1cf3155487645p-4, -0x1.15b38c7ff6159p-4, -0x1.0e9d2704b1f19p-4, -0x1.07af275163c9p-4, -0x1.00e8d207873e3p-4, -0x1.f492dba062913p-5, -0x1.e7a0872fe57c1p-5, -0x1.daf93cc72bbb1p-5, -0x1.ce9b96e263e9dp-5, -0x1.c286343780427p-5, -0x1.b6b7b828a302fp-5, -0x1.ab2eca70f61fbp-5, -0x1.9fea17195d58fp-5, -0x1.94e84ebb60cc4p-5, -0x1.8a28266302b02p-5, -0x1.7fa857989d373p-5, -0x1.7567a051fe55cp-5, -0x1.6b64c2ff8e33p-5, -0x1.619e86970405ap-5, -0x1.5813b66d96272p-5, -0x1.4ec3222eee983p-5, -0x1.45ab9e47633e9p-5, -0x1.3ccc0351e7d06p-5, -0x1.34232e6bf25eap-5, -0x1.2bb000ff236ecp-5, -0x1.237160d7b0e6bp-5, -0x1.1b66383c59a19p-5, -0x1.138d75a79b5f9p-5, -0x1.0be60bedd39f7p-5, -0x1.046ef21fe1c5ep-5, -0x1.fa4e4752912c1p-6, -0x1.ec1b4011a43acp-6, -0x1.de42d6097c4edp-6, -0x1.d0c31944079e7p-6, -0x1.c39a21d65a7d5p-6, -0x1.b6c60ffb76aefp-6, -0x1.aa450c1a0b84p-6, -0x1.9e1546dcbab5cp-6, -0x1.9234f8bbaef3p-6, -0x1.86a2621bc8658p-6, -0x1.7b5bcb421f239p-6, -0x1.705f8420763b7p-6, -0x1.65abe467a9ed4p-6, -0x1.5b3f4b85ab28ep-6, -0x1.51182033a5868p-6, -0x1.4734d0d7f6b21p-6, -0x1.3d93d3186ce25p-6, -0x1.3433a3c70a70ep-6, -0x1.2b12c6d35afa4p-6, -0x1.222fc76bfdc29p-6, -0x1.198937e66cd0bp-6, -0x1.111db1a6477c3p-6, -0x1.08ebd4c3968cep-6, -0x1.00f2482984a3bp-6, -0x1.f25f7245526c6p-7, -0x1.e345b6c71b22ep-7, -0x1.d494d27a97ebp-7, -0x1.c64a475d391d8p-7, -0x1.b863a4aee1113p-7, -0x1.aade867c3fb08p-7, -0x1.9db89471003p-7, -0x1.90ef823202e42p-7, -0x1.84810e528ff22p-7, -0x1.786b02b89f3c8p-7, -0x1.6cab357b2ed9bp-7, -0x1.613f88fb220aep-7, -0x1.5625ebfddced7p-7, -0x1.4b5c5891ec615p-7, -0x1.40e0d3520af5ap-7, -0x1.36b169c475db5p-7, -0x1.2ccc335c91cc8p-7, -0x1.232f5164e7a3dp-7, -0x1.19d8f057bd92cp-7, -0x1.10c7480a993cbp-7, -0x1.07f89bb056f06p-7, -0x1.fed6703abf33ap-8, -0x1.ee3ae5f44bfap-8, -0x1.de1b53429f98p-8, -0x1.ce74824baffffp-8, -0x1.bf434ee745d33p-8, -0x1.b084a9c00bca6p-8, -0x1.a23598f18878dp-8, -0x1.945337957df8p-8, -0x1.86dab144da415p-8, -0x1.79c93e9dd518cp-8, -0x1.6d1c22f53f3f9p-8, -0x1.60d0acfd01a59p-8, -0x1.54e43acbc3c0dp-8, -0x1.49543e998cf46p-8, -0x1.3e1e41fe358cbp-8, -0x1.333fe367286a8p-8, -0x1.28b6d332df05ap-8, -0x1.1e80ca018804fp-8, -0x1.149b83ca16ad6p-8, -0x1.0b04bf7e201fdp-8, -0x1.01ba437cc3da6p-8, -0x1.f173caebaff02p-9, -0x1.e003298990424p-9, -0x1.cf1ebc193498fp-9, -0x1.bec2c9971780dp-9, -0x1.aeebbc6097838p-9, -0x1.9f9601d42557fp-9, -0x1.90bdf9a00ea51p-9, -0x1.825ff051912eap-9, -0x1.74782e644c86ap-9, -0x1.670313b78dfaep-9, -0x1.59fd34f0a3029p-9, -0x1.4d636d952abf3p-9, -0x1.4132de08170c3p-9, -0x1.3568d54f85543p-9, -0x1.2a02ae71d8e42p-9, -0x1.1efdae984f46p-9, -0x1.1456f2ba6e354p-9, -0x1.0a0b7361ad3cep-9, -0x1.001820aba9c92p-9, -0x1.ecf40f336a17fp-10, -0x1.da5ce6bb240fap-10, -0x1.c865fd4135f46p-10, -0x1.b70b1ab82025cp-10, -0x1.a6486455a05f5p-10, -0x1.961a10b15980dp-10, -0x1.867c1faaf7ec4p-10, -0x1.776a3215d19ffp-10, -0x1.68df90b7472d5p-10, -0x1.5ad75ea3c753bp-10, -0x1.4d4cdda80297ep-10, -0x1.403bb2c96d001p-10, -0x1.339ff8864f2d9p-10, -0x1.27765187c285dp-10, -0x1.1bbbc6cdd7828p-10, -0x1.106d94e8f39a5p-10, -0x1.0588ee900dbdep-10, -0x1.f6159621a9e92p-11, -0x1.e1dfbc3b11d8p-11, -0x1.ce695167d6744p-11, -0x1.bbab52b0c258fp-11, -0x1.a99eeee2bb92ep-11, -0x1.983db4ca2ec1cp-11, -0x1.8781b61d756d4p-11, -0x1.7765ae8b2d27fp-11, -0x1.67e4f7b28b768p-11, -0x1.58fb62f450631p-11, -0x1.4aa4b3e8ff899p-11, -0x1.3cdc861ce04fap-11, -0x1.2f9e4c47d2226p-11, -0x1.22e57a0ac82cbp-11, -0x1.16ad89be87869p-11, -0x1.0af1d41f337e4p-11, -0x1.ff5afb77252dfp-12, -0x1.e9b76ce12dfcdp-12, -0x1.d4f06749b1eb6p-12, -0x1.c0fea64cdb289p-12, -0x1.addbe4844ff2fp-12, -0x1.9b81e3a5910e2p-12, -0x1.89ea1926c1fbdp-12, -0x1.790e0f7f7f1a8p-12, -0x1.68e7e0bccc9adp-12, -0x1.5971ff5737334p-12, -0x1.4aa68179a59e5p-12, -0x1.3c7e394c284fcp-12, -0x1.2ef17b4537e89p-12, -0x1.21f94abd2a87dp-12, -0x1.159043f894a0cp-12, -0x1.09b24e3f6d697p-12, -0x1.fcb72660e4268p-13, -0x1.e70f8fbb73a9cp-13, -0x1.d2649f04658a2p-13, -0x1.bead72bed8242p-13, -0x1.abe1ce98bf22bp-13, -0x1.99f944ae22d76p-13, -0x1.88e9a766f2e89p-13, -0x1.78a79b28ac14dp-13, -0x1.6927d6936c5dfp-13, -0x1.5a61802bc1124p-13, -0x1.4c4e87353effp-13, -0x1.3eea65b45199cp-13, -0x1.323095087e4dap-13, -0x1.261c559603252p-13, -0x1.1aa9148169cc4p-13, -0x1.0fd2296f478aap-13, -0x1.05920effda764p-13, -0x1.f7c2e92996169p-14, -0x1.e56e52be95b2bp-14, -0x1.d412c4735c6f7p-14, -0x1.c39f143df6acap-14, -0x1.b4081049eb6bep-14, -0x1.a546ccbba08e4p-14, -0x1.975630016070dp-14, -0x1.8a3054ad180d6p-14, -0x1.7dceba8f58279p-14, -0x1.722bd10d4c69p-14, -0x1.6743ff149f5f4p-14, -0x1.5d13d74218fcbp-14, -0x1.539462e1e1085p-14, -0x1.4abaf3f7f3756p-14, -0x1.427a24521a0f8p-14, -0x1.3ac468aaf50f1p-14, -0x1.338de1f05e723p-14, -0x1.2ccda3e80ca1dp-14, -0x1.267ecc31a9868p-14, -0x1.209f85637518dp-14, -0x1.1b2e3328dcb71p-14, -0x1.1626aa5e1b11fp-14, -0x1.1183cc89ac4f1p-14, -0x1.0d427947d3493p-14, -0x1.096077ec422b3p-14, -0x1.05d9bd2559125p-14, -0x1.02a870913dfd8p-14, -0x1.ff8ed4944b2a9p-15, -0x1.fa6203c96761cp-15, -0x1.f5bfa80df9c4bp-15, -0x1.f19a12e7b4fc3p-15, -0x1.ede3449fdf821p-15, -0x1.ea9334cededf2p-15, -0x1.e7a8d08350293p-15, -0x1.e521f7240febap-15, -0x1.e2f904a045d14p-15, -0x1.e12a12c378af8p-15, -0x1.dfafe92adcc86p-15, -0x1.de84a78fcaad8p-15, -0x1.dda14c4b3940ap-15, -0x1.dd0102df2edefp-15, -0x1.dc9fdc0c40ef2p-15, -0x1.dc79a0d0751bfp-15, -0x1.dc898dcbc39c9p-15, -0x1.dcc9b98c66acap-15, -0x1.dd33989dd4535p-15, -0x1.ddc403c27030cp-15, -0x1.de78e50277cf2p-15, -0x1.df4d48febf952p-15, -0x1.e03c9ec34de9p-15, -0x1.e145d49e951ebp-15, -0x1.e267121decdb3p-15, -0x1.e39c762106a07p-15, -0x1.e4e24d60a1f52p-15, -0x1.e63604ef1b6a7p-15, -0x1.e795b80127175p-15, -0x1.e8ff1d79feef5p-15, -0x1.ea6fdfa729878p-15, -0x1.ebe5cde49e724p-15, -0x1.ed5ed5032be85p-15, -0x1.eed9172693edp-15, -0x1.f0531c6dbaabp-15, -0x1.f1cb46c816dc8p-15, -0x1.f33faa3a9dadp-15, -0x1.f4aeb644fa4dcp-15, -0x1.f6163610ff2bcp-15, -0x1.f77644e664696p-15, -0x1.f8ccca2aa5a92p-15, -0x1.fa18d6fdd907fp-15, -0x1.fb5997d7ee645p-15, -0x1.fc8dac4ce3158p-15, -0x1.fdb37d2f4a5a9p-15, -0x1.fec96f917e88p-15, -0x1.ffcf3439d6b8ep-15, -0x1.006273b0d1f2ap-14, -0x1.00d59a7eda913p-14, -0x1.01403e35dab9cp-14, -0x1.01a21c1c4670ap-14, -0x1.01fb177fa3308p-14, -0x1.024a39a1db569p-14, -0x1.028f52311210ap-14, -0x1.02ca4671042b7p-14, -0x1.02fab9c523677p-14, -0x1.03211bd6e3621p-14, -0x1.033de219729b9p-14, -0x1.03509de756936p-14, -0x1.0358a18748b3fp-14, -0x1.0356063b9ad5fp-14, -0x1.0348bdde36052p-14, -0x1.032fe6139e1a8p-14, -0x1.030b69eb13138p-14, -0x1.02dcca03c178fp-14, -0x1.02a3edfa640b7p-14, -0x1.02613bc6c0c28p-14, -0x1.02139993a3aep-14, -0x1.01bacc57e7a57p-14, -0x1.0157c34345373p-14, -0x1.00eaa800bfdc4p-14, -0x1.00731c2549844p-14, -0x1.ffe1ce50e387ap-15, -0x1.fec77665a66fcp-15, -0x1.fd9784e2b8812p-15, -0x1.fc541e348bf85p-15, -0x1.fafe290dcf9cfp-15, -0x1.f9945b8da4c1fp-15, -0x1.f817f6ab2f719p-15, -0x1.f686f49bc304fp-15, -0x1.f4e0531c55633p-15, -0x1.f327ce1daa706p-15, -0x1.f15f07ef84074p-15, -0x1.ef84170c8d224p-15, -0x1.ed964db60e4c2p-15, -0x1.eb97957a19919p-15, -0x1.e9883462dfdb2p-15, -0x1.e7682ed6d635ap-15, -0x1.e537b326b1403p-15, -0x1.e2f719c8ceba8p-15, -0x1.e0a6bcb7475e1p-15, -0x1.de465ceb76b21p-15, -0x1.dbd7006aac4e4p-15, -0x1.d9582a42d8af8p-15, -0x1.d6ca166fabc2ep-15, -0x1.d42e7b072651ep-15, -0x1.d18573790716p-15, -0x1.cecdbf9d4dec5p-15, -0x1.cc09e2ae68acap-15, -0x1.c939b37b3ff94p-15, -0x1.c65c3954f7328p-15, -0x1.c37274f432c84p-15, -0x1.c07e2d3c43bfep-15, -0x1.bd7eb127eabeap-15, -0x1.ba7446fc017aap-15, -0x1.b75efae121cc1p-15, -0x1.b43fefc4526dp-15, -0x1.b1168399cec22p-15, -0x1.ade3af5b7b177p-15, -0x1.aaa7d6495f0d7p-15, -0x1.a7630dedfd8ddp-15, -0x1.a415e106fb7bap-15, -0x1.a0c0a3aec090ep-15, -0x1.9d63aaff82d4dp-15, -0x1.99fed493aa859p-15, -0x1.969115796c693p-15, -0x1.931d341123613p-15, -0x1.8fa4b5fd58cc6p-15, -0x1.8c246c24f81d8p-15, -0x1.889dfbcc5a652p-15, -0x1.851246da45a61p-15, -0x1.81818ee1918fp-15, -0x1.7debe7b832f37p-15, -0x1.7a5184a5fb561p-15, -0x1.76b2bd5141f02p-15, -0x1.730fceefd809dp-15, -0x1.6f69424c649f9p-15, -0x1.6bbea352f27a6p-15, -0x1.68110cb1bd8c8p-15, -0x1.646065be899b8p-15, -0x1.60ad147170072p-15, -0x1.5cf742d6c182fp-15, -0x1.593f52f3033f7p-15, -0x1.55857d5a8bb6p-15, -0x1.51c9cdc99c566p-15, -0x1.4e0cb585d0e06p-15, -0x1.4a4e44d8f8411p-15, -0x1.468ecfa39c98ap-15, -0x1.42ceb09b02c43p-15, -0x1.3f0e61b0de568p-15, -0x1.3b4d411ef4888p-15, -0x1.378c5252fc1f7p-15, -0x1.33cb91b568835p-15, -0x1.300b2f5972d3fp-15, -0x1.2c4b5f9168062p-15, -0x1.288c5a33e7096p-15, -0x1.24ce3a45e5053p-15, -0x1.2111559e34b75p-15, -0x1.1d55c70264aa5p-15, -0x1.199bce54e8eabp-15, -0x1.15e37864c92b6p-15, -0x1.122d120a7ef3p-15, -0x1.0e78c196b274bp-15, -0x1.0ac6aba018d1cp-15, -0x1.0717079e5a2f1p-15, -0x1.036a0f97350dp-15, -0x1.ff7ef0e8e2c4p-16, -0x1.f82febb25f5d3p-16, -0x1.f0e720ed52c41p-16, -0x1.e9a4b66d0b0abp-16, -0x1.e268b18b60b91p-16, -0x1.db343d7cfca5p-16, -0x1.d4057ca495389p-16, -0x1.ccdf1b3981fb9p-16, -0x1.c5c057d7b750bp-16, -0x1.bea96456f5561p-16, -0x1.b79a94bafac6ap-16, -0x1.b0943dc0ff464p-16, -0x1.a99685b0c03f3p-16, -0x1.a2a184c160d9cp-16, -0x1.9bb5a35aa6a1cp-16, -0x1.94d2e27426027p-16, -0x1.8df9a68123469p-16, -0x1.8729ed17a56cap-16, -0x1.806403cdc72e9p-16, -0x1.79a84a697d741p-16, -0x1.72f6a18bc3738p-16, -0x1.6c4f47b97abc6p-16, -0x1.65b2753dffc5p-16, -0x1.5f20185abe834p-16, -0x1.5898a5fe58486p-16, -0x1.521bdf4d92695p-16, -0x1.4baa12b4dbe15p-16, -0x1.4543b6d588272p-16, -0x1.3ee878548e615p-16, -0x1.3898eba069774p-16, -0x1.3255201ca3d1cp-16, -0x1.2c1ca209d2b99p-16, -0x1.25efc68712033p-16, -0x1.1fcf334bac733p-16, -0x1.19b9a1356b413p-16, -0x1.13b0c4e99f4b8p-16, -0x1.0db3bd07916e2p-16, -0x1.07c373f719da5p-16, -0x1.01de718addc4ep-16, -0x1.f80cc118eefe7p-17, -0x1.ec73a19e3ed33p-17, -0x1.e0f611cfdbeb3p-17, -0x1.d59072793e0fep-17, -0x1.ca43dafe644e5p-17, -0x1.bf1073e26d60fp-17, -0x1.b3f65d73b55c6p-17, -0x1.a8f4dffd2325ep-17, -0x1.9e0e1d561e13bp-17, -0x1.93403b0d378f5p-17, -0x1.888c0c32ec94ep-17, -0x1.7df156be0ca7fp-17, -0x1.737031350ee3bp-17, -0x1.6908946660b55p-17, -0x1.5ebb051c5681ap-17, -0x1.54878e60ecc36p-17, -0x1.4a6d33a271cf1p-17, -0x1.406ccc42c2b54p-17, -0x1.3686d14851cd5p-17, -0x1.2cb9090e78a9dp-17, -0x1.2306da9020d54p-17, -0x1.196d814c1b407p-17, -0x1.0fed9b9d05a55p-17, -0x1.0687e440ae493p-17, -0x1.fa77ff61bb4dap-18, -0x1.e8136793135dbp-18, -0x1.d5e22346f7441p-18, -0x1.c3e2b2cecfe51p-18, -0x1.b21774b32bc24p-18, -0x1.a07f71fe27b2p-18, -0x1.8f1950beb6742p-18, -0x1.7de6d2dcc4d17p-18, -0x1.6ce64fbebd652p-18, -0x1.5c18448208597p-18, -0x1.4b7c5168489a2p-18, -0x1.3b1424833ed7cp-18, -0x1.2adb800efc9a8p-18, -0x1.1ad5f7a32a81cp-18, -0x1.0b01f94ca08cap-18, -0x1.f6be748fc7c24p-19, -0x1.d7dac48392178p-19, -0x1.b95aef41b5db6p-19, -0x1.9b3cb0d12cdcp-19, -0x1.7d7f6e90b6cp-19, -0x1.60234a6633272p-19, -0x1.4325bfca82abfp-19, -0x1.268a606791b42p-19, -0x1.0a4e17a8ed253p-19, -0x1.dcdee9efd6a59p-20, -0x1.a5e1a6135d201p-20, -0x1.6f9fa7baee905p-20, -0x1.3a1a181980f56p-20, -0x1.054dcf8148dccp-20, -0x1.a27088b832ecdp-21, -0x1.3bb9619b0d43fp-21, -0x1.ace8bbb9805ep-22, -0x1.caa2a9f20a38dp-23, -0x1.01ef63e205db8p-25, 0x1.43b1b1f2d4e28p-23, 0x1.61220b946a441p-22, 0x1.0ed86ca4bd506p-21, 0x1.6bb40820247acp-21, 0x1.c7401b15dbb5ap-21, 0x1.10b55d27c8fd8p-20, 0x1.3d1c8b1fd9696p-20, 0x1.68e0938ebefb6p-20, 0x1.93eb0548ec34ep-20, 0x1.be5074a8e502ep-20, 0x1.e816d48ac94f2p-20, 0x1.089904a0ef947p-19, 0x1.1ccdf7409a21bp-19, 0x1.30b9e4fe5ccf8p-19, 0x1.444f47d9193ap-19, 0x1.5796d8eb682b5p-19, 0x1.6a8d95e83569dp-19, 0x1.7d332800a4fe8p-19, 0x1.8f8a1f0472bcbp-19, 0x1.a193022ac9e0ap-19, 0x1.b34e74b1ba82ap-19, 0x1.c4bbbde419911p-19, 0x1.d5ddd710d602bp-19, 0x1.e6b3595a8abddp-19, 0x1.f73ec2349f966p-19, 0x1.03bf8bee36a89p-18, 0x1.0bbab39eba644p-18, 0x1.139145eb38777p-18, 0x1.1b439bbe49e0ep-18, 0x1.22d2272109422p-18, 0x1.2a3d5b71f629cp-18, 0x1.3184525d7d5a8p-18, 0x1.38a8bad97ebd9p-18, 0x1.3fac3b7738e57p-18, 0x1.468b77f92603ap-18, 0x1.4d473d02d2c99p-18, 0x1.53e44a8082709p-18, 0x1.5a5f36df9eb84p-18, 0x1.60b8d2f4ad904p-18, 0x1.66f1ced8db42cp-18, 0x1.6d077b05486a3p-18, 0x1.7302fe5b264ddp-18, 0x1.78dba70df9edbp-18, 0x1.7e94fec0e7ca4p-18, 0x1.842f6db2fe28fp-18, 0x1.89ae9e9c6dec7p-18, 0x1.8f08493c7a58p-18, 0x1.944744fc8bbbdp-18, 0x1.9967fbc10b502p-18, 0x1.9e6bdec0f4748p-18, 0x1.a3525b4c50ad3p-18, 0x1.a81c4a8f0cd5p-18, 0x1.acc929fd9affep-18, 0x1.b157b95b36d9bp-18, 0x1.b5cee1593f917p-18, 0x1.ba282e319d5e8p-18, 0x1.be664f923368dp-18, 0x1.c289057a7ce15p-18, 0x1.c6927f5fd0b2bp-18, 0x1.ca8095eb5dc17p-18, 0x1.ce53018d8e054p-18, 0x1.d20d1adb042c9p-18, 0x1.d5ad7a96b9fb3p-18, 0x1.d934301b54416p-18, 0x1.dca33818afae3p-18, 0x1.dff88391286p-18, 0x1.e336520172ea2p-18, 0x1.e65b61edd911bp-18, 0x1.e969173b56e84p-18, 0x1.ec5f0c53ed49dp-18, 0x1.ef3ec06ee265p-18, 0x1.f206abe6ba711p-18, 0x1.f4b860f9ff089p-18, 0x1.f753addc2c4d9p-18, 0x1.f9d904bba353p-18, 0x1.fc489674dc622p-18, 0x1.fea145a19a93ap-18, 0x1.0073d5c5e13b9p-17, 0x1.018bbf1e5620ep-17, 0x1.029965f7f8f5ep-17, 0x1.039cdd0c8294ap-17, 0x1.049646101959dp-17, 0x1.0585c567c1c94p-17, 0x1.066a8be8131c9p-17, 0x1.074786bef2583p-17, 0x1.0819fec50ee4ap-17, 0x1.08e3199bda238p-17, 0x1.09a2ed43c0edbp-17, 0x1.0a599ed2459e4p-17, 0x1.0b074621a9831p-17, 0x1.0bacd9ca2505cp-17, 0x1.0c4809f8d30d2p-17, 0x1.0cdb5bccee57ap-17, 0x1.0d66048d3a5ap-17, 0x1.0de8e8342dd9bp-17, 0x1.0e630ad8f0efp-17, 0x1.0ed4c4e291ecp-17, 0x1.0f3e939c74e29p-17, 0x1.0fa0c6a09c084p-17, 0x1.0ffb3b5f9537dp-17, 0x1.104d50e44e13dp-17, 0x1.109819b7c598fp-17, 0x1.10dc5beffe533p-17, 0x1.11180dd936178p-17, 0x1.114cb9cad4e82p-17, 0x1.117a71aacd37ap-17, 0x1.11a18857e6312p-17, 0x1.11c1fcd6318bcp-17, 0x1.11d9f746e0b03p-17, 0x1.11ec72df873e9p-17, 0x1.11f8725de2ae4p-17, 0x1.11fe107720b91p-17, 0x1.11fbc9819292dp-17, 0x1.11f53facf46fp-17, 0x1.11e7dccd84b3fp-17, 0x1.11d3958e51636p-17, 0x1.11b9d48e36a3bp-17, 0x1.119a4a1239471p-17, 0x1.1174faf55306ap-17, 0x1.1149fe1b06ecep-17, 0x1.1119695865a39p-17, 0x1.10e33b232cf5ap-17, 0x1.10a7ec69f099bp-17, 0x1.106747550dc1cp-17, 0x1.10207fce310c6p-17, 0x1.0fd5e622476c5p-17, 0x1.0f85dfcd6eb52p-17, 0x1.0f30c0419cd7ap-17, 0x1.0ed6a52354df3p-17, 0x1.0e78661df2f69p-17, 0x1.0e14ea2ddd96p-17, 0x1.0dacb98e60b8dp-17, 0x1.0d4014da60e0ep-17, 0x1.0ccf8ddfabfddp-17, 0x1.0c5a2b435d6bbp-17, 0x1.0be0ff8c68017p-17, 0x1.0b6359049c572p-17, 0x1.0ae15bf2efe8ap-17, 0x1.0a5bb4dc50b93p-17, 0x1.09d20d40b488p-17, 0x1.0944717fb5163p-17, 0x1.08b3378da58f6p-17, 0x1.081ec321498f9p-17, 0x1.0784838caac8cp-17, 0x1.06eb171415153p-17, 0x1.0649a74506aap-17, 0x1.05a68c8f1fdd2p-17, 0x1.05001aa448541p-17, 0x1.0456447786489p-17, 0x1.03a97ffe2552p-17, 0x1.02f9a7361b36dp-17, 0x1.024641e27c1f4p-17, 0x1.01901d3c6a045p-17, 0x1.00d748f1a0f81p-17, 0x1.001bb6f56cdcdp-17, 0x1.feb97d8ae4c12p-18, 0x1.fd36eeac4bbd2p-18, 0x1.fbaed1c941813p-18, 0x1.fa21f6596b31ap-18, 0x1.f8901f59c3d4ap-18, 0x1.f6f98f2887441p-18, 0x1.f55c6d3e3c1ffp-18, 0x1.f3bb834020a8p-18, 0x1.f2163a6523547p-18, 0x1.f069b5fe24ea4p-18, 0x1.eebdd4d4a3e2dp-18, 0x1.ed0be5183681p-18, 0x1.eb55371d07bbep-18, 0x1.e99a807f39d98p-18, 0x1.e7da48eaed686p-18, 0x1.e619b94e0cc6ep-18, 0x1.e453ab6c1e04ap-18, 0x1.e28a0a2ff5ed5p-18, 0x1.e0bcabf49e0dbp-18, 0x1.deed1ea198926p-18, 0x1.dd191cef0262bp-18, 0x1.db41aafa6bf58p-18, 0x1.d96778e5367e3p-18, 0x1.d78d95540da42p-18, 0x1.d5aacf093ab92p-18, 0x1.d3c81cec94902p-18, 0x1.d1e309d5a7003p-18, 0x1.cff977fed5b09p-18, 0x1.ce0f9420542a4p-18, 0x1.cc22dd47b34d6p-18, 0x1.ca340e7fc32d7p-18, 0x1.c8420f73e5959p-18, 0x1.c64e25a50835bp-18, 0x1.c4587f18ab0ap-18, 0x1.c260b93a870d6p-18, 0x1.c066ece32e744p-18, 0x1.be6cf9fe1ec78p-18, 0x1.bc6d902231369p-18, 0x1.ba6ef0caf173ep-18, 0x1.b86ddaf5a6be1p-18, 0x1.b66c2302485e1p-18, 0x1.b468530601864p-18, 0x1.b25e4fbffd96cp-18, 0x1.b05d6eb9cb12ep-18, 0x1.ae55330000687p-18, 0x1.ac4b89498207bp-18, 0x1.aa42a9f22be47p-18, 0x1.a837925e836c7p-18, 0x1.a62d5951c2282p-18, 0x1.a41ea3da7983bp-18, 0x1.a2119acc5b4afp-18, 0x1.a002f7d7cf56fp-18, 0x1.9df39a7a98852p-18, 0x1.9be3bbf7ae0e6p-18, 0x1.99d64446de0ep-18, 0x1.97c329dd43a9cp-18, 0x1.95b26c24a1e87p-18, 0x1.93a00081c29ebp-18, 0x1.918c2bfed2a6ap-18, 0x1.8f7b6477e5e86p-18, 0x1.8d68cc36b7e82p-18, 0x1.8b5682cc68755p-18, 0x1.89435254efe49p-18, 0x1.8730346ebf16ap-18, 0x1.851d8ad68a75ap-18, 0x1.830a862434b6ep-18, 0x1.80f70c840e2f9p-18, 0x1.7ee4e497334ccp-18, 0x1.7cd1d3d05ae47p-18, 0x1.7abfa47e823d6p-18, 0x1.78aded6476d89p-18, 0x1.769b3647cab28p-18, 0x1.748a3a0a33c81p-18, 0x1.727a0579974f1p-18, 0x1.706806fba12f9p-18, 0x1.6e58b0b0a7335p-18, 0x1.6c48d250ef1b4p-18, 0x1.6a3a8075bde58p-18, 0x1.682c27be0b122p-18, 0x1.661dba7f10ef8p-18, 0x1.6410faf682d17p-18, 0x1.6203a5d1690bcp-18, 0x1.5ff91a90a234cp-18, 0x1.5dee8e243c133p-18, 0x1.5be49995545aep-18, 0x1.59da8ea91d80ap-18, 0x1.57d3435d320e3p-18, 0x1.55ca2a411fd6cp-18, 0x1.53c4ff4c50efep-18, 0x1.51c095f473844p-18, 0x1.4fbc7aa32288fp-18, 0x1.4db9760533ec5p-18, 0x1.4bb73d0c464ep-18, 0x1.49b6b92b28223p-18, 0x1.47b66e0ef0e4ep-18, 0x1.45b8061776412p-18, 0x1.43bac304ace72p-18, 0x1.41bf01687480ap-18, 0x1.3fc42aca86ef4p-18, 0x1.3dc9a080c91eep-18, 0x1.3bd2326310598p-18, 0x1.39db1ef93c833p-18, 0x1.37e583a951276p-18, 0x1.35f09da16657bp-18, 0x1.33fec0239e2fbp-18, 0x1.320d60041843dp-18, 0x1.301d5d07cd703p-18, 0x1.2e2f7da82e059p-18, 0x1.2c42d2065d87fp-18, 0x1.2a56fe3b1d9dbp-18, 0x1.286ed37cdda3fp-18, 0x1.268573dcb3ac9p-18, 0x1.249efd7b9e9ecp-18, 0x1.22b9c9de59962p-18, 0x1.20d5eeea03fa5p-18, 0x1.1ef4d0e838b93p-18, 0x1.1d1472ab7208fp-18, 0x1.1b35c0a40c52bp-18, 0x1.19597b25dc727p-18, 0x1.177ea7a0e6e3ep-18, 0x1.15a4b365d975cp-18, 0x1.13cb5155bf43ep-18, 0x1.11f7494accc63p-18, 0x1.1023215e482cap-18, 0x1.0e50ad40076e9p-18, 0x1.0c808c8f49293p-18, 0x1.0ab1b0017ab94p-18, 0x1.08e49e692022dp-18, 0x1.0719739c4e9b3p-18, 0x1.054fa909b8ff9p-18, 0x1.0388f30cb5924p-18, 0x1.01c3834cbda69p-18, 0x1.ffff1886fcb8p-19, 0x1.fc7a20760be5fp-19, 0x1.f8faea3b3be77p-19, 0x1.f580057bef8abp-19, 0x1.f2067af55f319p-19, 0x1.ee9241f57281bp-19, 0x1.eb2178c567e4ep-19, 0x1.e7b482519495cp-19, 0x1.e44d991360bfbp-19, 0x1.e0e651c1eadfap-19, 0x1.dd85f9bdea1efp-19, 0x1.da28d7404efc1p-19, 0x1.d6ced945ec37cp-19, 0x1.d3792f2d3ac0cp-19, 0x1.d0280890e4016p-19, 0x1.ccdb337bf8a34p-19, 0x1.c991b0861aa09p-19, 0x1.c64bf47923d09p-19, 0x1.c30bf9230e307p-19, 0x1.bfcc458f7815fp-19, 0x1.bc92cf8698a1ep-19, 0x1.b95dcaf4cddeep-19, 0x1.b62c89c53624ep-19, 0x1.b2ff253f1d62bp-19, 0x1.afd5c271b6219p-19, 0x1.acb041b0c1ba4p-19, 0x1.a98f5c7f34d6ap-19, 0x1.a671dd88c01d3p-19, 0x1.a359fb30b726bp-19, 0x1.a04381c2d2d1dp-19, 0x1.9d32c452ce704p-19, 0x1.9a259c611f2p-19, 0x1.971cb29e5a81bp-19, 0x1.9417b6d677bcfp-19, 0x1.9116e5d7deca2p-19, 0x1.8e1a95c103b0fp-19, 0x1.8b2123ce291cbp-19, 0x1.882c3959583dap-19, 0x1.853e8df820529p-19, 0x1.824d05d30df68p-19, 0x1.7f63fd99fcb33p-19, 0x1.7c8321e795392p-19, 0x1.79a2e663a74cap-19, 0x1.76c5396b22b65p-19, 0x1.73edfd8c547f8p-19, 0x1.711a8bbc60dbp-19, 0x1.6e4abc1aa2b7ap-19, 0x1.6b7e738b40326p-19, 0x1.68b659a7ee903p-19, 0x1.65f301e682c55p-19, 0x1.63330067e499cp-19, 0x1.60771c086881ep-19, 0x1.5dbf230fa262p-19, 0x1.5b0b88f69756ep-19, 0x1.585d551b0e79ep-19, 0x1.55b024104efa4p-19, 0x1.53082aa74c247p-19, 0x1.5064618586c64p-19, 0x1.4dc490e62799ap-19, 0x1.4b288143048dep-19, 0x1.4891037e4654bp-19, }}, 
      {{-0x1.03beafcb1f3f2p+2, -0x1.f609039b560a6p+1, -0x1.e13ee6a3895d3p+1, -0x1.ca843260336c7p+1, -0x1.b2e5ebd8991a5p+1, -0x1.9b2c0eac38767p+1, -0x1.83e8b2f0a0f11p+1, -0x1.6d83fe75e1ca1p+1, -0x1.5845892fa91e8p+1, -0x1.445bbf9c8bb9dp+1, -0x1.31e1b26a444dp+1, -0x1.20e3aac44cd99p+1, -0x1.1162c7386e8dfp+1, -0x1.0357d5fa6e926p+1, -0x1.ed6b2ad5b38e4p+0, -0x1.d6d4f5938d7afp+0, -0x1.c2c42feeffe9fp+0, -0x1.b10c67a8b2709p+0, -0x1.a17f496610c9ap+0, -0x1.93edf21b2cc6fp+0, -0x1.8829f095c16eap+0, -0x1.7e0606cb6f333p+0, -0x1.7556b788fc849p+0, -0x1.6df2aaa197372p+0, -0x1.67b2f03147f03p+0, -0x1.627329537b9f3p+0, -0x1.5e119c2a7ef4ap+0, -0x1.5a6f37ce89f98p+0, -0x1.576f8b94d6f55p+0, -0x1.54f8b4e9aeb68p+0, -0x1.52f34641e45a8p+0, -0x1.514a2916a1429p+0, -0x1.4fea7c79be1f4p+0, -0x1.4ec371a735091p+0, -0x1.4dc627a7ec21fp+0, -0x1.4ce586b9b732fp+0, -0x1.4c161c2c8cc34p+0, -0x1.4b4df7602e626p+0, -0x1.4a8488157f1f5p+0, -0x1.49b27e675fbep+0, -0x1.48d1aca57a061p+0, -0x1.47dceb1d71f3dp+0, -0x1.46cffdac70386p+0, -0x1.45a77b5f5cbccp+0, -0x1.4460b7c272325p+0, -0x1.42f9adf1eaf8fp+0, -0x1.4170ed4f4b64p+0, -0x1.3fc587c3e56eap+0, -0x1.3df7017c41e16p+0, -0x1.3c0542215af3fp+0, -0x1.39f0873ae58dcp+0, -0x1.37b957ffda48ap+0, -0x1.35607a3642806p+0, -0x1.32e6e838bdb06p+0, -0x1.304dc7ff5ea0ap+0, -0x1.2d96632e08565p+0, -0x1.2ac21fd86a115p+0, -0x1.27d27a40affa7p+0, -0x1.24c8ff3ddb41cp+0, -0x1.21a7473f598efp+0, -0x1.1e6ef20e2c7c9p+0, -0x1.1b21a2efab7aep+0, -0x1.17c0fd79fc303p+0, -0x1.144ea2ae26a2ep+0, -0x1.10cc2ea12e05ap+0, -0x1.0d3b365e4a1f6p+0, -0x1.099d464d48abbp+0, -0x1.05f3e0a0ce22ep+0, -0x1.02407c53790fap+0, -0x1.fd090841fa2p-1, -0x1.f582aba99e274p-1, -0x1.edf0839414733p-1, -0x1.e65514dea2ef8p-1, -0x1.deb2c8492e7d9p-1, -0x1.d70bea0fe9babp-1, -0x1.cf62a9e7c5812p-1, -0x1.c7b91b2cc58f8p-1, -0x1.c01135487b196p-1, -0x1.b86cd3be0b69cp-1, -0x1.b0cdb71c953e3p-1, -0x1.a93585645ca75p-1, -0x1.a1a5caaf29a65p-1, -0x1.9a1ffa22776fbp-1, -0x1.92a56e718a354p-1, -0x1.8b376af22aa96p-1, -0x1.83d71c53d7afap-1, -0x1.7c859968e95f1p-1, -0x1.7543e44c71c59p-1, -0x1.6e12eaeeeb30cp-1, -0x1.66f388351ee52p-1, -0x1.5fe6849a1ccd6p-1, -0x1.58ec974d2e526p-1, -0x1.520666d708368p-1, -0x1.4b3489e38044cp-1, -0x1.44778832864bap-1, -0x1.3dcfdb51154d7p-1, -0x1.373def44da95ep-1, -0x1.30c223609dda4p-1, -0x1.2a5ccae03a35ap-1, -0x1.240e2dafd9a54p-1, -0x1.1dd68904d972dp-1, -0x1.17b60fed56bddp-1, -0x1.11acec019bf7ep-1, -0x1.0bbb3de32996dp-1, -0x1.05e11de6e12b9p-1, -0x1.001e9c7302377p-1, -0x1.f4e78543a5c19p-2, -0x1.e9c1251464ca4p-2, -0x1.deca0ffe70808p-2, -0x1.d40231755aeccp-2, -0x1.c96969ad78532p-2, -0x1.beff8e8ffe8fcp-2, -0x1.b4c46c3a173d8p-2, -0x1.aab7c5d2467c6p-2, -0x1.a0d95632a0262p-2, -0x1.9728d0647405ep-2, -0x1.8da5e06602907p-2, -0x1.84502b9ceeeaep-2, -0x1.7b275151714fp-2, -0x1.722aeb557266fp-2, -0x1.695a8e4eeae29p-2, -0x1.60b5ca4c98848p-2, -0x1.583c2b2538814p-2, -0x1.4fed38db301ffp-2, -0x1.47c877ed20018p-2, -0x1.3fcd69dcb4eb2p-2, -0x1.37fb8d39a1afap-2, -0x1.30525e35e3349p-2, -0x1.28d156cd333e2p-2, -0x1.2177ef19dae85p-2, -0x1.1a459d80312fep-2, -0x1.1339d71c17b29p-2, -0x1.0c540f986d182p-2, -0x1.0593ba0c5d259p-2, -0x1.fdf0910410095p-3, -0x1.f102590445e4ap-3, -0x1.e45bae68f2b34p-3, -0x1.d7fb730af6cbp-3, -0x1.cbe0887664997p-3, -0x1.c009d0cd2ffc3p-3, -0x1.b4762dee6c19cp-3, -0x1.a92482d2cb835p-3, -0x1.9e13b3328474p-3, -0x1.9342a42314f4bp-3, -0x1.88b03b4533f1fp-3, -0x1.7e5b60c8e3e9ap-3, -0x1.7442fdd0ae92ap-3, -0x1.6a65fdabb4abcp-3, -0x1.60c34d8507cb7p-3, -0x1.5759dc998aa59p-3, -0x1.4e289ca5b0a57p-3, -0x1.452e817d1e098p-3, -0x1.3c6a81b0691eap-3, -0x1.33db965ad834cp-3, -0x1.2b80bb2abdb5bp-3, -0x1.2358ee8cfe27ep-3, -0x1.1b633210a18p-3, -0x1.139e8a1733101p-3, -0x1.0c09fd9409351p-3, -0x1.04a496d8c0a69p-3, -0x1.fadac69c81398p-4, -0x1.ecc6e6df01dc9p-4, -0x1.df0bb5a15139dp-4, -0x1.d1a7608e13b1fp-4, -0x1.c4981ba3bc579p-4, -0x1.b7dc216f5e161p-4, -0x1.ab71b2e75094fp-4, -0x1.9f5717b630546p-4, -0x1.938a9debc0cafp-4, -0x1.880a9a3a6062cp-4, -0x1.7cd567da3a5b6p-4, -0x1.71e968a2d5d9fp-4, -0x1.6745054bd5176p-4, -0x1.5ce6ac8773dfcp-4, -0x1.52ccd40528778p-4, -0x1.48f5f7a184f8p-4, -0x1.3f609a4959b4ep-4, -0x1.360b44c5cddcdp-4, -0x1.2cf486a3e95aep-4, -0x1.241af5b3cfb83p-4, -0x1.1b7d2e3153f19p-4, -0x1.1319d2ee0dbeep-4, -0x1.0aef8c529d198p-4, -0x1.02fd09a030bb6p-4, -0x1.f68200278239ep-5, -0x1.e77455aebd15dp-5, -0x1.d8ce96ca94a17p-5, -0x1.ca8e5207c83dfp-5, -0x1.bcb121eaf3f85p-5, -0x1.af34ac96bfe67p-5, -0x1.a216a47eac34dp-5, -0x1.9554c6830d0d2p-5, -0x1.88ecdb4d009efp-5, -0x1.7cdcb70b27514p-5, -0x1.71223836bdae1p-5, -0x1.65bb495651328p-5, -0x1.5aa5de9195842p-5, -0x1.4fdff75587e5dp-5, -0x1.45679d263c86cp-5, -0x1.3b3ae52fa5312p-5, -0x1.3157ecc8438a2p-5, -0x1.27bcdc6cfb457p-5, -0x1.1e67e6a545f01p-5, -0x1.155747632c036p-5, -0x1.0c8944709799fp-5, -0x1.03fc2cc139399p-5, -0x1.f75cb22145bdap-6, -0x1.e73c558f18eadp-6, -0x1.d79418c8f97c9p-6, -0x1.c860e2409d2f9p-6, -0x1.b99fadfeb9d4ep-6, -0x1.ab4d81b159b4ep-6, -0x1.9d677991b19dep-6, -0x1.8feac0a25a4eap-6, -0x1.82d492004ae9bp-6, -0x1.7622392a2046fp-6, -0x1.69d111bd43fa2p-6, -0x1.5dde85e8dd605p-6, -0x1.524810f2977a3p-6, -0x1.470b39041315cp-6, -0x1.3c259711aaeap-6, -0x1.3194d12878079p-6, -0x1.27569ad444e8fp-6, -0x1.1d68b5666a828p-6, -0x1.13c8f05670fbfp-6, -0x1.0a75288f6b0adp-6, -0x1.016b464dca112p-6, -0x1.f15282fbc35d3p-7, -0x1.e05a391c74286p-7, -0x1.cfe9ccea1162ep-7, -0x1.bffd75760db13p-7, -0x1.b091814c4028dp-7, -0x1.a1a2554c9a213p-7, -0x1.932c6aea865ffp-7, -0x1.852c59041e26cp-7, -0x1.779ec592698aep-7, -0x1.6a806da27bf9cp-7, -0x1.5dce2341e7f5bp-7, -0x1.5184cd3883debp-7, -0x1.45a165ccfb6c5p-7, -0x1.3a20fb2e7ad41p-7, -0x1.2f00aeb285438p-7, -0x1.243db59d6b884p-7, -0x1.19d5555f2bf2bp-7, -0x1.0fc4e5693a512p-7, -0x1.0609d028106cdp-7, -0x1.f9432148b6df1p-8, -0x1.e71362fc50824p-8, -0x1.d57f9f5a83c69p-8, -0x1.c483317fe29a8p-8, -0x1.b41990050bab3p-8, -0x1.a43e4e22fc2c7p-8, -0x1.94ed23a0fa63p-8, -0x1.8621df6bf17d6p-8, -0x1.77d870af34bc4p-8, -0x1.6a0cdda3a4541p-8, -0x1.5cbb4fab412dap-8, -0x1.4fe003c3ddeb4p-8, -0x1.437760c3074f6p-8, -0x1.377dcd5d64f15p-8, -0x1.2befd815d1a1ep-8, -0x1.20ca24f910e4dp-8, -0x1.16096db1c36dbp-8, -0x1.0baa87f6c47efp-8, -0x1.01aa5d127a233p-8, -0x1.f00be0698e864p-9, -0x1.dd74ad13ba47fp-9, -0x1.cb8971d9fe399p-9, -0x1.ba44a8680ae3fp-9, -0x1.a9a0f26ad133bp-9, -0x1.999919d8d555cp-9, -0x1.8a2812626ca05p-9, -0x1.7b48f9f51a83dp-9, -0x1.6cf70c3b8a152p-9, -0x1.5f2da850d3a3fp-9, -0x1.51e84c435ac9fp-9, -0x1.4522937a063d4p-9, -0x1.38d8379349936p-9, -0x1.2d0512e8d015cp-9, -0x1.21a536fb5f992p-9, -0x1.16b4bbaf7613bp-9, -0x1.0c2ff673be167p-9, -0x1.0213366d4b09bp-9, -0x1.f0b5ee62a22p-10, -0x1.de0779809038p-10, -0x1.cc14463a85a0ep-10, -0x1.bad59db0557d6p-10, -0x1.aa45539c08229p-10, -0x1.9a5d7718a7e0bp-10, -0x1.8b181fa7c9105p-10, -0x1.7c6fc0da14f8bp-10, -0x1.6e5efc1b0f131p-10, -0x1.60e0656d9a5bp-10, -0x1.53eea1a3a4037p-10, -0x1.47847387d8d52p-10, -0x1.3b9cc32a149e2p-10, -0x1.3032b7a470ad7p-10, -0x1.2541c77ad19a5p-10, -0x1.1ac5abcfa018fp-10, -0x1.10ba5618d733ap-10, -0x1.071bd40e14516p-10, -0x1.fbcc744b80007p-11, -0x1.ea2b1834d034p-11, -0x1.d94ba7f995171p-11, -0x1.c926365421ec9p-11, -0x1.b9b3260d82455p-11, -0x1.aaeb6610f9f44p-11, -0x1.9cc872876cb1dp-11, -0x1.8f444c031786p-11, -0x1.825954349b17ap-11, -0x1.7602173f7333bp-11, -0x1.6a3913634b274p-11, -0x1.5ef8a52796d0fp-11, -0x1.543b046b3481fp-11, -0x1.49fa6a542f5d2p-11, -0x1.403128cff2df6p-11, -0x1.36da5d44d59ap-11, -0x1.2df0e76096e11p-11, -0x1.257089454f4dap-11, -0x1.1d5548ad58753p-11, -0x1.159b66220cf5bp-11, -0x1.0e3f2ff4e8288p-11, -0x1.073cd628e371ep-11, -0x1.00907e6ca6eb4p-11, -0x1.f46c57e164a45p-12, -0x1.e853f7a9f64p-12, -0x1.dcd087ec22de3p-12, -0x1.d1dab8d30699dp-12, -0x1.c76c05c1d3f7dp-12, -0x1.bd7e7f64a1d82p-12, -0x1.b40c6f93d09bfp-12, -0x1.ab10f3fba8b14p-12, -0x1.a2870a871a7cbp-12, -0x1.9a69954ec3337p-12, -0x1.92b3b75631ba9p-12, -0x1.8b607b25c374p-12, -0x1.846b091352c3ep-12, -0x1.7dce95799b6eap-12, -0x1.77864f56e3ffp-12, -0x1.718d8d19ca1ccp-12, -0x1.6bdff29cd924dp-12, -0x1.6679ed5010f5ep-12, -0x1.615816feecbc2p-12, -0x1.5c7732c1532acp-12, -0x1.57d3f86e11b0cp-12, -0x1.536b372376d8p-12, -0x1.4f39f3bf40da9p-12, -0x1.4b3d1efcfd38fp-12, -0x1.477296c881fd7p-12, -0x1.43d686859fdb1p-12, -0x1.4065b4cf65735p-12, -0x1.3d1d556d1a48dp-12, -0x1.39fb13660501cp-12, -0x1.36fcc0b97e12ap-12, -0x1.3420b49c75234p-12, -0x1.3164e6fab5e6ep-12, -0x1.2ec7665beec13p-12, -0x1.2c46534bd105cp-12, -0x1.29dfe6f768c0bp-12, -0x1.2792795df332p-12, -0x1.255bb96c1d489p-12, -0x1.2339d2c72ef9bp-12, -0x1.212a9f89d32afp-12, -0x1.1f2c794a9a8e5p-12, -0x1.1d3e178abc1fep-12, -0x1.1b5ebecae0552p-12, -0x1.198d7799fa6cap-12, -0x1.17c941bbd7868p-12, -0x1.161150eb7818ep-12, -0x1.1464d23186ac3p-12, -0x1.12c2c5e51baa6p-12, -0x1.1129f9c7f6e87p-12, -0x1.0f98ec2b13458p-12, -0x1.0e0e2a203ff95p-12, -0x1.0c884b7b2e9e8p-12, -0x1.0b069eb5a2785p-12, -0x1.09887c40965b3p-12, -0x1.080d9776deb0ap-12, -0x1.0695771c8a18fp-12, -0x1.051fc116145dbp-12, -0x1.03abf571c6a3ep-12, -0x1.0239fa0e35dd3p-12, -0x1.00c9c606ba998p-12, -0x1.feb54057cad64p-13, -0x1.fbd822926baa6p-13, -0x1.f8fa4bf5ef634p-13, -0x1.f619f6f0d76d2p-13, -0x1.f335dc09b4b14p-13, -0x1.f04cd5a38f324p-13, -0x1.ed5e64071a492p-13, -0x1.ea6ae310a259bp-13, -0x1.e7723bbe8dca1p-13, -0x1.e4741e357b60bp-13, -0x1.e1702de3ced38p-13, -0x1.de664ac26411p-13, -0x1.db56723408defp-13, -0x1.d8407f27a7a1p-13, -0x1.d523c32d58445p-13, -0x1.d2008f5c49ed9p-13, -0x1.ced5bca500826p-13, -0x1.cba3455796364p-13, -0x1.c868914b0a902p-13, -0x1.c52526823be8cp-13, -0x1.c1d8ab70a7597p-13, -0x1.be83982f0a9f4p-13, -0x1.bb26243351a32p-13, -0x1.b7c04487579d8p-13, -0x1.b45282f54aafdp-13, -0x1.b0dc403b57d45p-13, -0x1.ad5e093da93c3p-13, -0x1.a9d7c5d9b8e26p-13, -0x1.a6490e5048745p-13, -0x1.a2b2a4a76bb1bp-13, -0x1.9f1464039d8dbp-13, -0x1.9b6e651971d65p-13, -0x1.97c095c2ed9b5p-13, -0x1.940b30a048922p-13, -0x1.904e2faeb8debp-13, -0x1.8c89f41d1417p-13, -0x1.88be848fbf0eap-13, -0x1.84ebfde01d88bp-13, -0x1.8112b4353fdb7p-13, -0x1.7d32e900475eep-13, -0x1.794cbc29fcbb2p-13, -0x1.75605d84045d1p-13, -0x1.716e0ca8abf94p-13, -0x1.6d76152b065d9p-13, -0x1.6978793e36772p-13, -0x1.65758bf2e4718p-13, -0x1.616d943c83843p-13, -0x1.5d60d0053e116p-13, -0x1.594f7fed1ac18p-13, -0x1.5539c72cd2d6ap-13, -0x1.511ffa70d470fp-13, -0x1.4d0251319fb38p-13, -0x1.48e12a507bc5bp-13, -0x1.44bc07d33daeap-13, -0x1.409468472126dp-13, -0x1.3c69accb7d709p-13, -0x1.383c54279f4a9p-13, -0x1.340c6b91eeff9p-13, -0x1.2fda6d9b29374p-13, -0x1.2ba674d11813p-13, -0x1.2770b3f9f9029p-13, -0x1.2339775441cbbp-13, -0x1.1f010dbd9af0bp-13, -0x1.1ac7a758a2f03p-13, -0x1.168d81770f141p-13, -0x1.1252f2d7b41d2p-13, -0x1.0e182981911fcp-13, -0x1.09dd44b424a07p-13, -0x1.05a285e5fbf98p-13, -0x1.0168312cf97c8p-13, -0x1.fa5c895da83b2p-14, -0x1.f1ea8c38bd8ecp-14, -0x1.e97af2d88936dp-14, -0x1.e10defc860c8cp-14, -0x1.d8a3dad0dce69p-14, -0x1.d03cc73df08d5p-14, -0x1.c7d9a626bd34cp-14, -0x1.bf7ab0e482ab2p-14, -0x1.b71ffa8a224p-14, -0x1.aeca323c2ffe4p-14, -0x1.a679f11bf913cp-14, -0x1.9e2fa1b37af3fp-14, -0x1.95eb351e8bcb5p-14, -0x1.8dad2310ccfdbp-14, -0x1.85757801b9fd3p-14, -0x1.7d45a575c636ap-14, -0x1.751cf8d39e68ap-14, -0x1.6cfc066bc74fp-14, -0x1.64e2fdb644944p-14, -0x1.5cd232d8e7e1cp-14, -0x1.54ca2d22c8b3p-14, -0x1.4ccb4a91041e7p-14, -0x1.44d5a18061b29p-14, -0x1.3ce9c9cbac86ap-14, -0x1.35075fa292179p-14, -0x1.2d2f1e947bf9ep-14, -0x1.2560e682b3a56p-14, -0x1.1d9da67ee9d57p-14, -0x1.15e55576b08e2p-14, -0x1.0e38039eaaec9p-14, -0x1.06960e3a6442p-14, -0x1.fdff619495a51p-15, -0x1.eeea379d9d9e1p-15, -0x1.dfed02792be52p-15, -0x1.d107fae83414bp-15, -0x1.c23cc72100584p-15, -0x1.b388f166d247dp-15, -0x1.a4ef85b5925c2p-15, -0x1.966fc437653e3p-15, -0x1.880a2ab15af9cp-15, -0x1.79bedcca8503bp-15, -0x1.6b8e7fd118813p-15, -0x1.5d78ef8ef8ae5p-15, -0x1.4f7f1a1e96b45p-15, -0x1.41a1001c894b9p-15, -0x1.33de5e5e9e4d1p-15, -0x1.2637446cfca99p-15, -0x1.18af031f8c017p-15, -0x1.0b420812dc5bcp-15, -0x1.fbe407251d956p-16, -0x1.e17cfb7206cfbp-16, -0x1.c751a2ec5f0ebp-16, -0x1.ad60032053471p-16, -0x1.93aab8888406cp-16, -0x1.7a31f4f0cb8c2p-16, -0x1.60f3fc8700f78p-16, -0x1.47f1dcd6482bap-16, -0x1.2f2c1e29411bbp-16, -0x1.16a334f979765p-16, -0x1.fcaedf52b5eddp-17, -0x1.cc8ebdefef89cp-17, -0x1.9ce99951bd67ep-17, -0x1.6dc3b2a8f076bp-17, -0x1.3f12664643614p-17, -0x1.10dea6550d12ep-17, -0x1.c64de17d3af52p-18, -0x1.6bd6698f9972fp-18, -0x1.125588e3dc6b9p-18, -0x1.7397cc343e1e6p-19, -0x1.88edcfd8d949ep-20, -0x1.74797b4b478ffp-23, 0x1.27d928d12beep-20, 0x1.3d499f30faf2ap-19, 0x1.e4a4a82c0bb3dp-19, 0x1.450b2274f8f95p-18, 0x1.96ca1ba71ea37p-18, 0x1.e79417ee1f6abp-18, 0x1.1bb1d332516c1p-17, 0x1.431e734b47438p-17, 0x1.6a0f8da6ed188p-17, 0x1.9086a1b05899p-17, 0x1.b682b64ba1062p-17, 0x1.dc046895a4031p-17, 0x1.0084d7a661039p-16, 0x1.12c9da9272619p-16, 0x1.24d4b5950e1edp-16, 0x1.36a16e8711159p-16, 0x1.4831b6395a3f5p-16, 0x1.5985aa83399bcp-16, 0x1.6a9d7dd9acd1bp-16, 0x1.7b795da645afdp-16, 0x1.8c1a0c8a09531p-16, 0x1.9c7e8eab99fc6p-16, 0x1.aca85a6329968p-16, 0x1.bc9676ded5613p-16, 0x1.cc4b1d9a5dd1fp-16, 0x1.dbc4a40ddad56p-16, 0x1.eb03e796a4f21p-16, 0x1.fa0951f8941f9p-16, 0x1.046a83ab7b4d4p-15, 0x1.0bb378b3e8822p-15, 0x1.12e0d08cc75b2p-15, 0x1.19f13c9e445ep-15, 0x1.20e4fb3be79aep-15, 0x1.27bca339d9bddp-15, 0x1.2e797f4e8bdf6p-15, 0x1.3518c36e7d1c4p-15, 0x1.3b9eeb58425cp-15, 0x1.420847bd1ff1p-15, 0x1.48568c944503cp-15, 0x1.4e89c4d6a57e3p-15, 0x1.54a21c050be48p-15, 0x1.5a9fa23f8ec34p-15, 0x1.60829c38aaecbp-15, 0x1.664b647715d59p-15, 0x1.6bf9d73c8434p-15, 0x1.718e675b699efp-15, 0x1.77091987a188dp-15, 0x1.7c6a81a746955p-15, 0x1.81b1ecaba832bp-15, 0x1.86e0457644c86p-15, 0x1.8bf5b19102821p-15, 0x1.90f23f4f0bcfdp-15, 0x1.95d5bf1a3e532p-15, 0x1.9aa1419e70353p-15, 0x1.9f5418095ea98p-15, 0x1.a3ef6031b8bc2p-15, 0x1.a872875866a18p-15, 0x1.acddd3f0116f3p-15, 0x1.b131fdcd7f405p-15, 0x1.b56e712745314p-15, 0x1.b993a0011605bp-15, 0x1.bda222e837788p-15, 0x1.c19a0827e8a2bp-15, 0x1.c57b60193bc3ep-15, 0x1.c946bcc1bb91ap-15, 0x1.ccfb7fb4519cep-15, 0x1.d09a83c2d1977p-15, 0x1.d423a13461b99p-15, 0x1.d797e37421aa3p-15, 0x1.daf6865b2f206p-15, 0x1.de40bb131d15ep-15, 0x1.e1749e3a0efcbp-15, 0x1.e494b279ecb3ap-15, 0x1.e7a0208085d5ep-15, 0x1.ea9741d9c25ddp-15, 0x1.ed7a5699ddba9p-15, 0x1.f04a22a41bcfbp-15, 0x1.f3050cb74ca76p-15, 0x1.f5ad1ea6c634ap-15, 0x1.f841fad27f343p-15, 0x1.fac3b0715a1fp-15, 0x1.fd3283d75b72ep-15, 0x1.ff8eb0d8335e3p-15, 0x1.00ec2d15aa5a5p-14, 0x1.0207db36d9f7dp-14, 0x1.031a928ec3c85p-14, 0x1.04245466a9e31p-14, 0x1.05250c378cd98p-14, 0x1.061da306962b7p-14, 0x1.070c9cbbd7fddp-14, 0x1.07f39d839f4c5p-14, 0x1.08d239f0ca244p-14, 0x1.09a85251b3f2bp-14, 0x1.0a760e299166dp-14, 0x1.0b3bb21f8ef7fp-14, 0x1.0bf8eab668e02p-14, 0x1.0caf16f37a892p-14, 0x1.0d5cce743163ap-14, 0x1.0e02b0750e64p-14, 0x1.0ea10f9c8776p-14, 0x1.0f37d1c4c7ae4p-14, 0x1.0fc6d473db5dep-14, 0x1.104ea4fe9db09p-14, 0x1.10cf267a0e3e4p-14, 0x1.11484e3f008bdp-14, 0x1.11ba6ea17148fp-14, 0x1.12256dc8c093dp-14, 0x1.12897db4f73e9p-14, 0x1.12e6b3e1648c5p-14, 0x1.133d2ca52f33bp-14, 0x1.138cd35caf3aep-14, 0x1.13d5e9fd075ddp-14, 0x1.14187efdd32a6p-14, 0x1.1454b35dc416ap-14, 0x1.148a9e679309cp-14, 0x1.14ba1a7f6e7a4p-14, 0x1.14e3802ae6b9bp-14, 0x1.1506cb67844a7p-14, 0x1.15241a6375f2bp-14, 0x1.153b77a2303fdp-14, 0x1.154d08724d5a2p-14, 0x1.1558ca3287747p-14, 0x1.155eed0095cfp-14, 0x1.155f7099a1fa3p-14, 0x1.155a64bdc0349p-14, 0x1.154fa3cb1f3a6p-14, 0x1.15403ee4c65acp-14, 0x1.152b2b166939dp-14, 0x1.1510e0e9d3559p-14, 0x1.14f18da0fb715p-14, 0x1.14ccf5d0acf7fp-14, 0x1.14a3b737aa601p-14, 0x1.14757499fb0e1p-14, 0x1.144250b1954efp-14, 0x1.140ad8148b20dp-14, 0x1.13cdfeffcdb5bp-14, 0x1.138cca5d2b56p-14, 0x1.13475089039ecp-14, 0x1.12fd5a8cf64a5p-14, 0x1.12ae9b1e59db4p-14, 0x1.125bec2f48d61p-14, 0x1.12057708d475dp-14, 0x1.11a9cec2c5516p-14, 0x1.114ab10b38735p-14, 0x1.10e75d4b38207p-14, 0x1.108019d66093ep-14, 0x1.1014f9a640d02p-14, 0x1.0fa60f19c223cp-14, 0x1.0f3335a4e0891p-14, 0x1.0ebcd9b52335ep-14, 0x1.0e42bc47c3f1bp-14, 0x1.0dc5509d77d37p-14, 0x1.0d44181b15a47p-14, 0x1.0cbf7f2981462p-14, 0x1.0c377d6d64c2cp-14, 0x1.0bac33409fb3p-14, 0x1.0b1dd2ab7dfbp-14, 0x1.0a8c1086880fp-14, 0x1.09f7267afbf78p-14, 0x1.095f30d606568p-14, 0x1.08c47d0ddbf8bp-14, 0x1.082687fcb0522p-14, 0x1.078578f3c76e6p-14, 0x1.06e1efb3cf9a4p-14, 0x1.063b8b2b13c4cp-14, 0x1.0592628675495p-14, 0x1.04e68cce6c52ap-14, 0x1.0437bbc09bfcp-14, 0x1.0387127350fb6p-14, 0x1.02d3831198aaep-14, 0x1.021d816e3c668p-14, 0x1.01651a030c9f8p-14, 0x1.00aaaa8175c6cp-14, 0x1.ffda8fca4a759p-15, 0x1.fe5be8fb81145p-15, 0x1.fcd8bbd88968dp-15, 0x1.fb516b158cf04p-15, 0x1.f9c5d02e32cf4p-15, 0x1.f83637106412dp-15, 0x1.f6a274767af4cp-15, 0x1.f50a8157e9d64p-15, 0x1.f36f563a782cap-15, 0x1.f1d02c72ee1f7p-15, 0x1.f02d63893cdbbp-15, 0x1.ee86ef51727dbp-15, 0x1.ecdd680370a3ap-15, 0x1.eb3077fd77055p-15, 0x1.e97f6047c6957p-15, 0x1.e7cbb84f15269p-15, 0x1.e614e3305a65dp-15, 0x1.e45ada3c33d47p-15, 0x1.e29e364f0972fp-15, 0x1.e0de6f023c18ep-15, 0x1.df1c31a899126p-15, 0x1.dd56e459f22ep-15, 0x1.db8f149c865b7p-15, 0x1.d9c4b88a659p-15, 0x1.d7f80d81ebe48p-15, 0x1.d6290cdc2274ap-15, 0x1.d4576dead0043p-15, 0x1.d283ac6030491p-15, 0x1.d0add36d0c857p-15, 0x1.ced5de3bc53f5p-15, 0x1.ccfba3f0d386cp-15, 0x1.cb1ff7f7cc579p-15, 0x1.c942216450fa8p-15, 0x1.c7628197891e3p-15, 0x1.c581247a775a9p-15, 0x1.c39e1b1578e1fp-15, 0x1.c1b976fe7f266p-15, 0x1.bfd31b90c13ccp-15, 0x1.bdeb9ff6a86cdp-15, 0x1.bc028b2b325eap-15, 0x1.ba181de6175b9p-15, 0x1.b82c636c4c4b7p-15, 0x1.b63f75d996f11p-15, 0x1.b45166d165be8p-15, 0x1.b261ef14771d5p-15, 0x1.b071f2192b117p-15, 0x1.ae80a156a37f3p-15, 0x1.ac8e5fb4e6801p-15, 0x1.aa9b947417e4ep-15, 0x1.a8a7b5b6bf9edp-15, 0x1.a6b348577c684p-15, 0x1.a4bd7affe1298p-15, 0x1.a2c779cf0a5f7p-15, 0x1.a0d11f580bd68p-15, 0x1.9ed9ccac739d6p-15, 0x1.9ce21f39d073cp-15, 0x1.9aea7d3cf4f1fp-15, 0x1.98f1908fef962p-15, 0x1.96f8ae28783c1p-15, 0x1.94ff8104634cep-15, 0x1.93062b8447b79p-15, 0x1.910d05829dc68p-15, 0x1.8f12a50baa40ap-15, 0x1.8d18d6058690fp-15, 0x1.8b1eda9f9ae59p-15, 0x1.89251388a5f0fp-15, 0x1.872a4f88ecf28p-15, 0x1.8530c740093f5p-15, 0x1.8337219043837p-15, 0x1.813d115fa5a8fp-15, 0x1.7f4374bf052dap-15, 0x1.7d4a19ce7227cp-15, 0x1.7b5101896e369p-15, 0x1.795834a24c2bdp-15, 0x1.775fbb4bfde7bp-15, 0x1.7567926f2d0e3p-15, 0x1.736ff14b06547p-15, 0x1.7178bb22b9f93p-15, 0x1.6f81f5d4835d8p-15, 0x1.6d8b89c1ccc33p-15, 0x1.6b95dc4996554p-15, 0x1.69a0b03e06628p-15, 0x1.67ac10d127317p-15, 0x1.65b855ee0ef7fp-15, 0x1.63c50da1faa6dp-15, 0x1.61d274f71a98fp-15, 0x1.5fe09cf06140fp-15, 0x1.5defb7b2c30e3p-15, 0x1.5bff731a7f496p-15, 0x1.5a101b1452e0bp-15, 0x1.58218f82a3345p-15, 0x1.5633ea5b087eep-15, 0x1.54472a458d73cp-15, 0x1.525b628f4bc74p-15, 0x1.50708c6017d56p-15, 0x1.4e8691780afd6p-15, 0x1.4c9e3701b3e7dp-15, 0x1.4ab5d7d7bd2e8p-15, 0x1.48cffcbab7d07p-15, 0x1.46e9a6bc12c7fp-15, 0x1.450518f8f48f3p-15, 0x1.4321a518a6fb3p-15, 0x1.413f4688b5ac8p-15, 0x1.3f5e620867009p-15, 0x1.3d7e8a1713c81p-15, 0x1.3b9fba88432fbp-15, 0x1.39c234f3a9b18p-15, 0x1.37e62616a5b71p-15, 0x1.360b83c5fe97dp-15, 0x1.343202844e236p-15, 0x1.3259835287997p-15, 0x1.30828f536e26cp-15, 0x1.2ead0a68f734cp-15, 0x1.2cd91351068aap-15, 0x1.2b06866651066p-15, 0x1.2934c86c7c56dp-15, 0x1.2764d26db5ac3p-15, 0x1.259654847d54ap-15, 0x1.23c8c09b1ad1cp-15, 0x1.21fd965feb3d8p-15, 0x1.2033866e8a2dbp-15, 0x1.1e6af51050638p-15, 0x1.1ca3efb2c3c2bp-15, 0x1.1ade35b945b68p-15, 0x1.191a5a5301ef1p-15, 0x1.1757e65b67bf3p-15, 0x1.159705148745bp-15, 0x1.13d7b4c988edp-15, 0x1.1219f4e9323b4p-15, 0x1.105df0496c9efp-15, 0x1.0ea371b19e559p-15, 0x1.0cea81dede08cp-15, 0x1.0b33bfc341ba3p-15, 0x1.097dc9dc0f536p-15, 0x1.07c9d9159a3e8p-15, 0x1.0617e378c916dp-15, 0x1.0466bfb475c27p-15, 0x1.02b8249dfe1e3p-15, 0x1.010ae5475ea96p-15, 0x1.febf0e2d3ce2ap-16, 0x1.fb6b4d5a86ba4p-16, 0x1.f81b22aea024ap-16, 0x1.f4ce8e185f0f2p-16, 0x1.f1857421bfab3p-16, 0x1.ee3fc46fa324cp-16, 0x1.eafe91af45741p-16, 0x1.e7be8e22d8379p-16, 0x1.e483d06ec1886p-16, 0x1.e14c014ffb814p-16, 0x1.de18045630862p-16, 0x1.dae76c9c2bee8p-16, 0x1.d7b93198ad187p-16, 0x1.d4917a899f63fp-16, 0x1.d16b4f812c04fp-16, 0x1.ce48b7a7c5a49p-16, 0x1.cb2ac17d47bd6p-16, 0x1.c80faa29dfd8ep-16, 0x1.c4f9308842eedp-16, 0x1.c1e49a95e89c4p-16, 0x1.bed495f1655b3p-16, 0x1.bbc807ee78829p-16, 0x1.b8bf57b748633p-16, 0x1.b5ba1a878a118p-16, 0x1.b2b9c45c55fc7p-16, 0x1.afbb15feab299p-16, 0x1.acc1df8438455p-16, 0x1.a9ca73ccb5574p-16, 0x1.a6d726d62f923p-16, 0x1.a3e891bf2a0cdp-16, 0x1.a0fd44980744cp-16, 0x1.9e159c5810854p-16, 0x1.9b316c3b994dcp-16, 0x1.985127841dc42p-16, 0x1.95749946f8dcp-16, 0x1.929ba407c3bf3p-16, 0x1.8fc613d4bc253p-16, 0x1.8cf49f60492fep-16, 0x1.8a26b8bddd296p-16, 0x1.875c9fa5c4c5dp-16, 0x1.84966eccca737p-16, 0x1.81d395c5376p-16, 0x1.7f1423a8f6921p-16, 0x1.7c58afc5f6a02p-16, 0x1.79a1697c5e57fp-16, 0x1.76ed07a0ab8ebp-16, 0x1.743c90a3d1679p-16, 0x1.71901db4f2d38p-16, 0x1.6ee7154c65753p-16, 0x1.6c41818e14105p-16, 0x1.699ff05b64b61p-16, 0x1.6701b13328636p-16, 0x1.64679e2e4ab71p-16, 0x1.61d0dcf9af9aep-16, 0x1.5f3da6798225bp-16, 0x1.5cadd0d7b4e73p-16, 0x1.5a22a56402691p-16, 0x1.579991dc10cdfp-16, 0x1.5515c8a68149ep-16, 0x1.529529480eccbp-16, 0x1.5017ffce3b92bp-16, 0x1.4d9e30c69e239p-16, 0x1.4b28781436d72p-16, 0x1.48b60ad288e87p-16, 0x1.4646dabe0edd9p-16, 0x1.43dbc52b992c2p-16, 0x1.4174145bd2083p-16, 0x1.3f1004456df38p-16, 0x1.3caf710251745p-16, 0x1.3a5229c25c203p-16, 0x1.37f8f0102e839p-16, 0x1.35a2f215f2a86p-16, 0x1.33508324be2bap-16, 0x1.31017943a51e4p-16, 0x1.2eb612902b5ap-16, 0x1.2c6e64769c669p-16, 0x1.2a2a0253603b8p-16, 0x1.27e9799b6cb9fp-16, 0x1.25abf73ecaecdp-16, 0x1.2371b35abfdc3p-16, 0x1.213c7b198682ep-16, 0x1.1f08724ff482fp-16, 0x1.1cd8de825a4e8p-16, 0x1.1aaca8166e605p-16, 0x1.1883d8ce75fc2p-16, 0x1.165ea5f8761d2p-16, 0x1.143ca0e923312p-16, 0x1.121e0e5a82a97p-16, 0x1.100304e70d7bdp-16, 0x1.0deab3810546fp-16, 0x1.0bd6513927ddbp-16, 0x1.09c4949f5934ep-16, 0x1.07b78a0e5c004p-16, 0x1.05acff22099c2p-16, 0x1.03a5bc86b2f22p-16, 0x1.01a1f8c66fe79p-16, 0x1.ff42e121161b3p-17, 0x1.fb47b5eba93f9p-17, 0x1.f75383bc18701p-17, 0x1.f365ac823ea87p-17, 0x1.ef7f223a8a602p-17, 0x1.eb9e29f0ca9d4p-17, 0x1.e7c3b2f0ba339p-17, 0x1.e3ef49c28cc15p-17, 0x1.e021c4200605p-17, 0x1.dc5b57ff9308fp-17, 0x1.d899cf09015c8p-17, 0x1.d4df425381798p-17, 0x1.d12ab50af0cc3p-17, 0x1.cd7c932798641p-17, 0x1.c9d59801e986bp-17, 0x1.c632d5e8eb8ccp-17, 0x1.c297bb4dbdd24p-17, 0x1.bf0260f53fe7bp-17, 0x1.bb72d8086e1cdp-17, 0x1.b7e9310559f16p-17, 0x1.b4668ccef7dbcp-17, 0x1.b0e99e8d20059p-17, 0x1.ad7286fece32ap-17, 0x1.aa016e724623dp-17, 0x1.a696e490c2252p-17, 0x1.a33089f8b7a93p-17, 0x1.9fd13736b0d61p-17, 0x1.9c77eb263a181p-17, 0x1.9924af84d9ce9p-17, 0x1.95d6e6fffdbfbp-17, 0x1.928ef4adb61ebp-17, 0x1.8f4cbcf9644a5p-17, 0x1.8c106c46ed013p-17, 0x1.88d9b0c747cd4p-17, 0x1.85a8f4d48005bp-17, 0x1.827cf5e732f83p-17, 0x1.7f5805bafc9aep-17, 0x1.7c37af85c19cp-17, 0x1.791d109c6e7acp-17, 0x1.7607c8706a375p-17, 0x1.72f86d6156ba5p-17, 0x1.6feee6f5964b8p-17, 0x1.6ce9e33d4bebfp-17, 0x1.69eabdc7c6e6fp-17, 0x1.66f2ed66033a8p-17, 0x1.63fb576aa24f5p-17, 0x1.610d0ed0e17e2p-17, 0x1.5e24b530deb1p-17, 0x1.5b407af3c42e7p-17, 0x1.5860d5020cd29p-17, 0x1.55875d72df83fp-17, 0x1.52b37ef8df457p-17, 0x1.4fe44b8ec2c71p-17, 0x1.4d19e870737fp-17, 0x1.4a54efb156e91p-17, 0x1.4794f2d863c3bp-17, 0x1.44da8960240bcp-17, 0x1.4224da62856edp-17, 0x1.3f73dfee3ef79p-17, 0x1.3cc873d7301bep-17, 0x1.3a22e9dd5223p-17, 0x1.3780072b649bbp-17, 0x1.34e321e42b1e3p-17, 0x1.324b1d62222a4p-17, 0x1.2fb804e667492p-17, 0x1.2d29be0022e55p-17, 0x1.2aa0a759767b4p-17, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{0x1.f3bf3e7877a31p-1, 0x1.f202af4112be7p-1, 0x1.ef97a4fdb7b11p-1, 0x1.ec815c314414p-1, 0x1.e8c3db857cd43p-1, 0x1.e463df38b23e5p-1, 0x1.df66c390eaf1ep-1, 0x1.d9d26f1c0d06ap-1, 0x1.d3ad3d533deaap-1, 0x1.ccfdea0f0a641p-1, 0x1.c5cb7e18e7442p-1, 0x1.be1d3d0c2e46ep-1, 0x1.b5fa94a3fadb7p-1, 0x1.ad6b0d833b481p-1, 0x1.a4763d78260fbp-1, 0x1.9b23bb334a695p-1, 0x1.917b13640ac5cp-1, 0x1.8783bf27ece81p-1, 0x1.7d451bb762d06p-1, 0x1.72c663391fefap-1, 0x1.680ea6a46c7c3p-1, 0x1.5d24c89afa1ccp-1, 0x1.520f792350742p-1, 0x1.46d5322dd3672p-1, 0x1.3b7c34cf8b2cbp-1, 0x1.300a871f2bbd3p-1, 0x1.2485f2a230ea2p-1, 0x1.18f40339559e3p-1, 0x1.0d5a067d0d7f6p-1, 0x1.01bd0b7c03d7dp-1, 0x1.ec43c59ddd6bap-2, 0x1.d51a3dec857e6p-2, 0x1.be0629eee81a4p-2, 0x1.a70fba6115f2cp-2, 0x1.903ea8b3925d4p-2, 0x1.799a395c0be0fp-2, 0x1.63293e667b4b7p-2, 0x1.4cf21a3b1fffcp-2, 0x1.36fac28f2f9dbp-2, 0x1.2148c377421aep-2, 0x1.0be14293a9a15p-2, 0x1.ed92049fb7a4fp-3, 0x1.c408ca5deadcap-3, 0x1.9b2ee24051316p-3, 0x1.730ba5ad42a7fp-3, 0x1.4ba5c241fc754p-3, 0x1.2503407a1e936p-3, 0x1.fe531494197d1p-4, 0x1.b43ae34ec34bdp-4, 0x1.6bc66df6a391fp-4, 0x1.24fd1ef742cd1p-4, 0x1.bfcaad9cf2848p-5, 0x1.3908f0905eab5p-5, 0x1.6b7bd1e2e4a47p-6, 0x1.af85672a253d3p-8, -0x1.19658a553a125p-7, -0x1.7e3906b52839p-6, -0x1.34567c6c39172p-5, -0x1.a60688d312109p-5, -0x1.0a16a18cf927fp-4, -0x1.3f6648b145989p-4, -0x1.72f3c90a523a7p-4, -0x1.a4c14493dcfd2p-4, -0x1.d4d167033a4fbp-4, -0x1.0193ae82ce4f6p-3, -0x1.17e365e52fcc8p-3, -0x1.2d59e46c56fe1p-3, -0x1.41f96917ce85dp-3, -0x1.55c46358069eap-3, -0x1.68bd6f678e1fcp-3, -0x1.7ae752c820f1ap-3, -0x1.8c44f8e2f82eap-3, -0x1.9cd96fcbbcba4p-3, -0x1.aca7e52585038p-3, -0x1.bbb3a32935f08p-3, -0x1.ca000dcc9a8ep-3, -0x1.d790a00986f9fp-3, -0x1.e468e9444cf2ap-3, -0x1.f08c8ad0cdb73p-3, -0x1.fbff35956dddfp-3, -0x1.036253e593eep-2, -0x1.0870556d04048p-2, -0x1.0d2b88a89ea1cp-2, -0x1.1195da7d0805ap-2, -0x1.15b13a827447fp-2, -0x1.197f9a27d50dfp-2, -0x1.1d02ebe24a93bp-2, -0x1.203d22687897bp-2, -0x1.23302ff95ae43p-2, -0x1.25de05ae38b37p-2, -0x1.284892d75155fp-2, -0x1.2a71c462e4df6p-2, -0x1.2c5b844e3c0bep-2, -0x1.2e07b92045d14p-2, -0x1.2f78456d785d3p-2, -0x1.30af076494bf4p-2, -0x1.31add863ececep-2, -0x1.32768c96deb79p-2, -0x1.330af29b1efebp-2, -0x1.336cd32d8ac8cp-2, -0x1.339df0de1e639p-2, -0x1.33a007cacc9d8p-2, -0x1.3374cd60da9d7p-2, -0x1.331df0247c2d5p-2, -0x1.329d177e5962fp-2, -0x1.31f3e38ebd00cp-2, -0x1.3123ed0620c8bp-2, -0x1.302ec502cb3cbp-2, -0x1.2f15f4f347603p-2, -0x1.2ddafe7d6a66dp-2, -0x1.2c7f5b69a94adp-2, -0x1.2b047d928ad87p-2, -0x1.296bced7ea86cp-2, -0x1.27b6b115e1e6dp-2, -0x1.25e67e1f1b864p-2, -0x1.23fc87ba56fa4p-2, -0x1.21fa17a2f2177p-2, -0x1.1fe06f8c45a49p-2, -0x1.1db0c9279e1d8p-2, -0x1.1b6c562cb06afp-2, -0x1.1914406456a9ep-2, -0x1.16a9a9b570111p-2, -0x1.142dac33b788cp-2, -0x1.11a15a30745e7p-2, -0x1.0f05be4cd8a9p-2, -0x1.0c5bdb8df0568p-2, -0x1.09a4ad71fcd2bp-2, -0x1.06e1280721216p-2, -0x1.0412380343274p-2, -0x1.0138c2dcfc4eap-2, -0x1.fcab4dcb198eap-3, -0x1.f6d376c75c64ap-3, -0x1.f0eba15e5f769p-3, -0x1.eaf5609a916ebp-3, -0x1.e4f23a1b124ecp-3, -0x1.dee3a64eaa69bp-3, -0x1.d8cb10afadfacp-3, -0x1.d2a9d800b053p-3, -0x1.cc814e89db839p-3, -0x1.c652ba56d8495p-3, -0x1.c01f55751a3f3p-3, -0x1.b9e84e328162bp-3, -0x1.b3aec75c305fap-3, -0x1.ad73d87d79ba4p-3, -0x1.a7388e1edbed6p-3, -0x1.a0fdea04e6a9fp-3, -0x1.9ac4e36efc065p-3, -0x1.948e6755df8a4p-3, -0x1.8e5b58a9f6f17p-3, -0x1.882c9091384p-3, -0x1.8202dea4a9e28p-3, -0x1.7bdf092d70757p-3, -0x1.75c1cd615b3e8p-3, -0x1.6fabdf9ee1464p-3, -0x1.699deba883a16p-3, -0x1.639894df8b3dfp-3, -0x1.5d9c767e22336p-3, -0x1.57aa23d0ad52p-3, -0x1.51c2286e74035p-3, -0x1.4be508717b37fp-3, -0x1.461340ada1755p-3, -0x1.404d46e6e2815p-3, -0x1.3a938a06ce1a6p-3, -0x1.34e6725123aaap-3, -0x1.2f466197975a5p-3, -0x1.29b3b36caeeb6p-3, -0x1.242ebd55c6321p-3, -0x1.1eb7cefc2d192p-3, -0x1.194f325d5aca8p-3, -0x1.13f52bfa440fap-3, -0x1.0ea9fb05bfce1p-3, -0x1.096dd99205ef3p-3, -0x1.0440fcbd46f23p-3, -0x1.fe4729baabfe5p-4, -0x1.f42b9b54dc8f6p-4, -0x1.ea2f9cd217938p-4, -0x1.e0537425b9789p-4, -0x1.d6975efd974b3p-4, -0x1.ccfb9310497dep-4, -0x1.c3803e69b0cefp-4, -0x1.ba2587b5a031ep-4, -0x1.b0eb8e88e5c89p-4, -0x1.a7d26ba873992p-4, -0x1.9eda314ee20cbp-4, -0x1.9602eb702e7cfp-4, -0x1.8d4c9ffbda3afp-4, -0x1.84b74f1d432d3p-4, -0x1.7c42f37a67cfcp-4, -0x1.73ef8270fe213p-4, -0x1.6bbcec51f130ap-4, -0x1.63ab1c9b446bfp-4, -0x1.5bb9fa3063b7cp-4, -0x1.53e96790e9d08p-4, -0x1.4c39430ddbb9cp-4, -0x1.44a966fd6802ep-4, -0x1.3d39a9ed262f1p-4, -0x1.35e9ded2e6ca3p-4, -0x1.2eb9d53c11001p-4, -0x1.27a9597b9b9b4p-4, -0x1.20b834d6a1126p-4, -0x1.19e62daf9ba7bp-4, -0x1.133307b04ad6dp-4, -0x1.0c9e83f24a54cp-4, -0x1.0628612661d92p-4, -0x1.ffa0b77525951p-5, -0x1.f32c5bfdd770fp-5, -0x1.e6f320924b03dp-5, -0x1.daf4722e269c4p-5, -0x1.cf2fba5fd7008p-5, -0x1.c3a45f88d891dp-5, -0x1.b851c51bcee5p-5, -0x1.ad374bd872e7ap-5, -0x1.a25452055b16ep-5, -0x1.97a833a7bf343p-5, -0x1.8d324ab92c90ep-5, -0x1.82f1ef5b43ea1p-5, -0x1.78e6780990515p-5, -0x1.6f0f39c9739d6p-5, -0x1.656b885845959p-5, -0x1.5bfab657a57f9p-5, -0x1.52bc15780d89ap-5, -0x1.49aef6a1b5ca2p-5, -0x1.40d2aa1bcfa09p-5, -0x1.38267fb22135bp-5, -0x1.2fa9c6d911a38p-5, -0x1.275bced0337eep-5, -0x1.1f3be6c3465ep-5, -0x1.17495de9d44efp-5, -0x1.0f8383a561627p-5, -0x1.07e9a79e3aabp-5, -0x1.007b19defa267p-5, -0x1.f26e55dd732bap-6, -0x1.e43a57d4115a9p-6, -0x1.d658dd3559dffp-6, -0x1.c8c88b1c62678p-6, -0x1.bb880856a6738p-6, -0x1.ae95fd8caee6p-6, -0x1.a1f115688b847p-6, -0x1.9597fcba3e1f3p-6, -0x1.8989629a21377p-6, -0x1.7dc3f8895dd7ep-6, -0x1.724672907910ap-6, -0x1.670f875c126d2p-6, -0x1.5c1df057e175fp-6, -0x1.517069c7f72bbp-6, -0x1.4705b2e061092p-6, -0x1.3cdc8ddb3111p-6, -0x1.32f3c00cfde87p-6, -0x1.294a11f7e85aap-6, -0x1.1fde4f5d2eba1p-6, -0x1.16af474d660ap-6, -0x1.0dbbcc375d2a3p-6, -0x1.0502b3f5b32b1p-6, -0x1.f905afb67b458p-7, -0x1.e876297c68edp-7, -0x1.d85496047a418p-7, -0x1.c89ebd42cb471p-7, -0x1.b9526e681744dp-7, -0x1.aa6d7fef75cc7p-7, -0x1.9bedcfaa4049cp-7, -0x1.8dd142ca109dcp-7, -0x1.8015c5e8f3846p-7, -0x1.72b94d0fe8189p-7, -0x1.65b9d3bbc5cd3p-7, -0x1.59155ce087713p-7, -0x1.4cc9f2eb214p-7, -0x1.40d5a7c1dde86p-7, -0x1.353694c36e2b7p-7, -0x1.29eadac49fd0ep-7, -0x1.1ef0a20cd8167p-7, -0x1.14461a516fb8ep-7, -0x1.09e97aafdffacp-7, -0x1.ffb2034dc4512p-8, -0x1.ec25ea1d1bf6ep-8, -0x1.d92b441f112f6p-8, -0x1.c6beba32926dep-8, -0x1.b4dd03aee27bbp-8, -0x1.a382e64ce0ea7p-8, -0x1.92ad360e96eb7p-8, -0x1.8258d52583d52p-8, -0x1.7282b3d75da02p-8, -0x1.6327d061b170ap-8, -0x1.544536dc388cdp-8, -0x1.45d8011a20cb7p-8, -0x1.37dd568a43fb1p-8, -0x1.2a526c165dbcap-8, -0x1.1d3484016ff2fp-8, -0x1.1080edc53490ap-8, -0x1.043505eee12a4p-8, -0x1.f09c6bf65643ap-9, -0x1.d993e8635b422p-9, -0x1.c34b86ff3fe14p-9, -0x1.adbe66a449934p-9, -0x1.98e7bedfdf494p-9, -0x1.84c2dfa56bebep-9, -0x1.714b310022d93p-9, -0x1.5e7c32c4115e8p-9, -0x1.4c517c3ec1dabp-9, -0x1.3ac6bbe75194bp-9, -0x1.29d7b70e183a7p-9, -0x1.1980498c08721p-9, -0x1.09bc6571855e1p-9, -0x1.f510256ab732p-10, -0x1.d7beddc6c15dfp-10, -0x1.bb7d59961d4c3p-10, -0x1.a044285ca7c36p-10, -0x1.860c02dffec29p-10, -0x1.6ccdca854c104p-10, -0x1.548288af1b0cp-10, -0x1.3d236e1b9cd6bp-10, -0x1.26a9d243d58a4p-10, -0x1.110f32bab0ac8p-10, -0x1.f89a651ab3c88p-11, -0x1.d0bb334846a36p-11, -0x1.aa74a8489041bp-11, -0x1.85bae3a55b201p-11, -0x1.62824af0038edp-11, -0x1.40bf888a2cf33p-11, -0x1.20678a722ffeep-11, -0x1.016f811109bc8p-11, -0x1.c799bc169c27cp-12, -0x1.8eeaa629d9d04p-12, -0x1.58bda18db5589p-12, -0x1.24ff0aeff8c4ep-12, -0x1.e73770630c535p-13, -0x1.8901ec4654b8ep-13, -0x1.2f390c92964b5p-13, -0x1.b37272962075fp-14, -0x1.10bf761790609p-14, -0x1.d855b5a66188bp-16, 0x1.ccdadbb50f328p-18, 0x1.50547431d07ebp-15, 0x1.2c3ef748c7bf5p-14, 0x1.a9490df833bf4p-14, 0x1.0fc20c0647e24p-13, 0x1.47951459aba97p-13, 0x1.7c39ea25d128dp-13, 0x1.adcc1c1d8d2cap-13, 0x1.dc668152e496fp-13, 0x1.04119e8252a4dp-12, 0x1.188de12e8ef57p-12, 0x1.2bb46c134bd57p-12, 0x1.3d914e3796b79p-12, 0x1.4e30440f2a54ep-12, 0x1.5d9cb93f638e9p-12, 0x1.6be1ca5bfaa03p-12, 0x1.790a469cb3552p-12, 0x1.8520b18e8e1edp-12, 0x1.902f44bb44888p-12, 0x1.9a3ff14b5119cp-12, 0x1.a35c61a0edc8ap-12, 0x1.ab8dfaeca8dbdp-12, 0x1.b2dddeb989dfdp-12, 0x1.b954ec74625eap-12, 0x1.befbc2ec438adp-12, 0x1.c3dac1cb914d4p-12, 0x1.c7fa0b0ab5abdp-12, 0x1.cb61845c96c2fp-12, 0x1.ce18d89473722p-12, 0x1.d0277904bb8bep-12, 0x1.d1949ed84aecfp-12, 0x1.d2674c662365dp-12, 0x1.d2a64e7caf0f5p-12, 0x1.d2583da91484ep-12, 0x1.d1837f7708fb6p-12, 0x1.d02e47aab2615p-12, 0x1.ce5e997570cd6p-12, 0x1.cc1a48a3ad597p-12, 0x1.c966fac601c94p-12, 0x1.c64a28535c9cp-12, 0x1.c2c91dc68e2p-12, 0x1.bee8fcb5bd7adp-12, 0x1.baaebce35a027p-12, 0x1.b61f2d4b603c3p-12, 0x1.b13ef529ea89dp-12, 0x1.ac1294fd24fep-12, 0x1.a69e6781e47e9p-12, 0x1.a0e6a2a9ff932p-12, 0x1.9aef588f858f3p-12, 0x1.94bc7861162e5p-12, 0x1.8e51cf4a116fep-12, 0x1.87b30955c8e0dp-12, 0x1.80e3b24e17a6fp-12, 0x1.79e7369549e45p-12, 0x1.72c0e3fad3fd7p-12, 0x1.6b73ea8baa476p-12, 0x1.64035d5e5422ep-12, 0x1.5c72335a8e62cp-12, 0x1.54c347fbcb17bp-12, 0x1.4cf95c1072e5ap-12, 0x1.451716746b55p-12, 0x1.3d1f04c7b0626p-12, 0x1.35139c20633a4p-12, 0x1.2cf739b9223f4p-12, 0x1.24cc239b92ef1p-12, 0x1.1c948946b59dep-12, 0x1.145284517ca2p-12, 0x1.0c08190a0fdd1p-12, 0x1.03b737111675bp-12, 0x1.f6c373e249da3p-13, 0x1.e612d3666e1afp-13, 0x1.d55ff6de7a2e7p-13, 0x1.c4ae23b294fbep-13, 0x1.b4007b96de6dcp-13, 0x1.a359fd9931a3dp-13, 0x1.92bd872793d95p-13, 0x1.822dd51200246p-13, 0x1.71ad84832127ap-13, 0x1.613f13f57ed68p-13, 0x1.50e4e422359a8p-13, 0x1.40a138e901b41p-13, 0x1.30763a32a4f47p-13, 0x1.2065f4cf64aap-13, 0x1.10725b4cbe74cp-13, 0x1.009d46ca5d3f2p-13, 0x1.e1d0ef8bebb6ap-14, 0x1.c2ab2dc5623b3p-14, 0x1.a3cc6b598228fp-14, 0x1.85379eaf95784p-14, 0x1.66ef92ed29f53p-14, 0x1.48f6e961856f6p-14, 0x1.2b501ae4882fp-14, 0x1.0dfd792a89a33p-14, 0x1.e202602d6b128p-15, 0x1.a8ba8df909726p-15, 0x1.702743b82a78cp-15, 0x1.384c052e4100bp-15, 0x1.012c143ab3f51p-15, 0x1.9594e636014d8p-16, 0x1.2a53cd51719c1p-16, 0x1.8133e20891d75p-17, 0x1.61afc8f29004p-18, -0x1.c63f87abf7913p-21, -0x1.ccf0476b5e318p-18, -0x1.ad5dd8c1f2b5fp-17, -0x1.38878c27017f2p-16, -0x1.98c3506eaf59bp-16, -0x1.f75ff3d52869fp-16, -0x1.2a2dc46fbdf91p-15, -0x1.57da3b4b4b31fp-15, -0x1.84b4baa486d4fp-15, -0x1.b0bcc5ae67779p-15, -0x1.dbf2051d4f7afp-15, -0x1.032a22d2b0681p-14, -0x1.17f1bb44532abp-14, -0x1.2c4fd415a900ep-14, -0x1.4044855a5249ap-14, -0x1.53cff65e29098p-14, -0x1.66f25cfe4dc19p-14, -0x1.79abfd08097cdp-14, -0x1.8bfd279e0bd3fp-14, -0x1.9de63aa0e3cd6p-14, -0x1.af67a01c7766cp-14, -0x1.c081cdb8ab87fp-14, -0x1.d1354430eae36p-14, -0x1.e1828ecd75ae5p-14, -0x1.f16a42e03eb77p-14, -0x1.00767fa5bd139p-13, -0x1.0805b6019b1dcp-13, -0x1.0f631cccae2cep-13, -0x1.168f10657ecacp-13, -0x1.1d89f1093fcf6p-13, -0x1.2454229d9394ep-13, -0x1.2aee0c7cf8508p-13, -0x1.3158194512b38p-13, -0x1.3792b6a534e54p-13, -0x1.3d9e552f5eb22p-13, -0x1.437b682c054c2p-13, -0x1.492a656cd4ef5p-13, -0x1.4eabc52298ab3p-13, -0x1.540001b4035a3p-13, -0x1.59279796c4c4cp-13, -0x1.5e23052820aaap-13, -0x1.62f2ca8859f9dp-13, -0x1.679769779a201p-13, -0x1.6c116532a3385p-13, -0x1.70614251873bp-13, -0x1.748786a7ff506p-13, -0x1.7884b9265fdcfp-13, -0x1.7c5961bb693a8p-13, -0x1.80060937c3628p-13, -0x1.838b3932787fbp-13, -0x1.86e97bee089edp-13, -0x1.8a215c3eab1d9p-13, -0x1.8d3365718999p-13, -0x1.90202335b09bep-13, -0x1.92e8218466477p-13, -0x1.958bec8b2b066p-13, -0x1.980c10975ee26p-13, -0x1.9a691a0121986p-13, -0x1.9ca395185f512p-13, -0x1.9ebc0e11dd5a8p-13, -0x1.a0b310f5ceb04p-13, -0x1.a289298e41ca5p-13, -0x1.a43ee356a4bd5p-13, -0x1.a5d4c96c1c1fap-13, -0x1.a74b667ee3a55p-13, -0x1.a8a344c365c65p-13, -0x1.a9dcede4a8c4p-13, -0x1.aaf8eaf74bccep-13, -0x1.abf7c46cbf92p-13, -0x1.acda0207952f9p-13, -0x1.ada02acfdfff8p-13, -0x1.ae4ac508dc94fp-13, -0x1.aeda56264cf57p-13, -0x1.af4f62c2b34c4p-13, -0x1.afaa6e95f6004p-13, -0x1.afebfc6ce243dp-13, -0x1.b0148e20dbae4p-13, -0x1.b024a48f9309cp-13, -0x1.b01cbf9405e49p-13, -0x1.affd5dff614f9p-13, -0x1.afc6fd9241632p-13, -0x1.af7a1af6bf076p-13, -0x1.af1731ba497f2p-13, -0x1.ae9ebc48dab94p-13, -0x1.ae1133e7313cp-13, -0x1.ad6f10aea216cp-13, -0x1.acb8c987fa55dp-13, -0x1.abeed4287b17dp-13, -0x1.ab11a50d2ab2p-13, -0x1.aa21af77e2c91p-13, -0x1.a91f656be0503p-13, -0x1.a80b37ab23999p-13, -0x1.a6e595b3c596fp-13, -0x1.a5aeedbd58d0ep-13, -0x1.a467acb727f0bp-13, -0x1.a3103e465043dp-13, -0x1.a1a90cc42199cp-13, -0x1.a032813c9da8bp-13, -0x1.9ead036d2d7cdp-13, -0x1.9d18f9c44b007p-13, -0x1.9b76c96000607p-13, -0x1.99c6d60dcb399p-13, -0x1.98098249f4292p-13, -0x1.963f2f3faab94p-13, -0x1.94683cc8efc2ap-13, -0x1.9285096e5d948p-13, -0x1.9095f267e09a4p-13, -0x1.8e9b539ce9cc5p-13, -0x1.8c9587a545f5cp-13, -0x1.8a84e7c9a21c1p-13, -0x1.8869cc044257fp-13, -0x1.86448b0292a73p-13, -0x1.84157a25afd57p-13, -0x1.81dced83f2006p-13, -0x1.7f9b37ea26f16p-13, -0x1.7d50aadcf4195p-13, -0x1.7afd969ac174cp-13, -0x1.78a24a1cff9bdp-13, -0x1.763f1319ffbc3p-13, -0x1.73d43e06d748bp-13, -0x1.7162161937f3ep-13, -0x1.6ee8e549a2a2dp-13, -0x1.6c68f455142b8p-13, -0x1.69e28abf8223dp-13, -0x1.6755eed5fa03cp-13, -0x1.64c365b0e368fp-13, -0x1.622b333642594p-13, -0x1.5f8d9a1c1f5aep-13, -0x1.5ceadbeafb416p-13, -0x1.5a4339009fc11p-13, -0x1.5796f092096d1p-13, -0x1.54e640ae7f72dp-13, -0x1.52316641ea94ap-13, -0x1.4f789d17ac0b2p-13, -0x1.4cbc1fdd4af82p-13, -0x1.49fc2824fa375p-13, -0x1.4738ee6897c85p-13, -0x1.4472aa0c608f3p-13, -0x1.41a99161cd846p-13, -0x1.3eddd9aa4bf5fp-13, -0x1.3c0fb71a2105bp-13, -0x1.393f5cdb4ef3cp-13, -0x1.366cfd10a5a5cp-13, -0x1.3398c8d85994ap-13, -0x1.30c2f04f20095p-13, -0x1.2deba2931801dp-13, -0x1.2b130dc6acc88p-13, -0x1.28395f13aa154p-13, -0x1.255ec2adfa9d4p-13, -0x1.228363d6c7e9ep-13, -0x1.1fa76cdf608a1p-13, -0x1.1ccb072c20f7ap-13, -0x1.19ee5b37953b3p-13, -0x1.171190953dca3p-13, -0x1.1434cdf47fa0ap-13, -0x1.11583923d44e6p-13, -0x1.0e7bf713943ccp-13, -0x1.0ba02bd8c574cp-13, -0x1.08c4fab05113ap-13, -0x1.05ea8601c48eep-13, -0x1.0310ef623618p-13, -0x1.003857975356dp-13, -0x1.fac1bd3428867p-14, -0x1.f51547337183fp-14, -0x1.ef6b89fd4f42fp-14, -0x1.e9c4c0da75589p-14, -0x1.e421259161209p-14, -0x1.de80f06bba09cp-14, -0x1.d8e4583bfbbfp-14, -0x1.d34b92633253bp-14, -0x1.cdb6d2d687997p-14, -0x1.c8264c248133p-14, -0x1.c29a2f7aa5558p-14, -0x1.bd12acab1bef1p-14, -0x1.b78ff231a1106p-14, -0x1.b2122d3956b79p-14, -0x1.ac9989a1b739p-14, -0x1.a726320417c6fp-14, -0x1.a1b84fb8d2b3p-14, -0x1.9c500adc3c011p-14, -0x1.96ed8a543a16cp-14, -0x1.9190f3d51f76fp-14, -0x1.8c3a6be693cd1p-14, -0x1.86ea15e8e5469p-14, -0x1.81a01419aa47cp-14, -0x1.7c5c879902322p-14, -0x1.771f906e2f891p-14, -0x1.71e94d8c82f8p-14, -0x1.6cb9dcd835c6dp-14, -0x1.67915b2b04886p-14, -0x1.626fe458f676p-14, -0x1.5d559334cce2p-14, -0x1.58428194f9982p-14, -0x1.5336c857a4912p-14, -0x1.4e327f678e823p-14, -0x1.4935bdc0576bp-14, -0x1.44409973045ebp-14, -0x1.3f5327a9f58bdp-14, -0x1.3a6d7cadcfd2p-14, -0x1.358fabe8f4de1p-14, -0x1.30b9c7ec51ba6p-14, -0x1.2bebe27356d1fp-14, -0x1.27260c67b170ep-14, -0x1.226855e5ff7d6p-14, -0x1.1db2ce4144559p-14, -0x1.190584070e665p-14, -0x1.14608503419aap-14, -0x1.0fc3de4419757p-14, -0x1.0b2f9c1dc2dd8p-14, -0x1.06a3ca2e404f8p-14, -0x1.02207360e8488p-14, -0x1.fb4b43e4ec4a2p-15, -0x1.f266bee83ab79p-15, -0x1.e993699edde54p-15, -0x1.e0d154939ff77p-15, -0x1.d8208f0f32d8dp-15, -0x1.cf8127203ba24p-15, -0x1.c6f329a0feedp-15, -0x1.be76a23e47509p-15, -0x1.b60b9b7e62efbp-15, -0x1.adb21ec70e7bp-15, -0x1.a56a3463e8083p-15, -0x1.9d33e38caa6c8p-15, -0x1.950f326bcbac6p-15, -0x1.8cfc262415203p-15, -0x1.84fac2d687426p-15, -0x1.7d0b0ba8cdf77p-15, -0x1.752d02cacc731p-15, -0x1.6d60a97c372ap-15, -0x1.65a60012614ap-15, -0x1.5dfd05fdbd177p-15, -0x1.5665b9cf1f673p-15, -0x1.4ee0193d8c01cp-15, -0x1.476c212b8f73dp-15, -0x1.4009cdabc10ecp-15, -0x1.38b91a06bb9c8p-15, -0x1.317a00bfceeeep-15, -0x1.2a4c7b99ff9dcp-15, -0x1.2330839cb105bp-15, -0x1.1c261118e1e97p-15, -0x1.152d1badf9637p-15, -0x1.0e459a4dc3f3ep-15, -0x1.076f8341c6d55p-15, -0x1.00aacc2f57b44p-15, -0x1.f3eed439015e8p-16, -0x1.e6aaa2e7804b8p-16, -0x1.d988ec117b0aep-16, -0x1.cc899638e3e1dp-16, -0x1.bfac86c1f1427p-16, -0x1.b2f1a1fc761b3p-16, -0x1.a658cb2b765a3p-16, -0x1.99e1e48c6abb3p-16, -0x1.8d8ccf5fb6d53p-16, -0x1.81596bf00b2cp-16, -0x1.75479999d1598p-16, -0x1.695736d256a31p-16, -0x1.5d88212f0894p-16, -0x1.51da356db21d4p-16, -0x1.464d4f794548dp-16, -0x1.3ae14a72897b2p-16, -0x1.2f9600b5fc036p-16, -0x1.246b4be2b7adap-16, -0x1.196104e10a30dp-16, -0x1.0e7703e7d0282p-16, -0x1.03ad2083f33fcp-16, -0x1.f206633b3d1a2p-17, -0x1.dcf21afd207fdp-17, -0x1.c81d13b0edb75p-17, -0x1.b386f7943e264p-17, -0x1.9f2f6fc9ea764p-17, -0x1.8b1624664ed98p-17, -0x1.773abc79cacacp-17, -0x1.639cde1a26553p-17, -0x1.503c2e6f14525p-17, -0x1.3d1851ba22b95p-17, -0x1.2a30eb64e31ecp-17, -0x1.17859e049e42ep-17, -0x1.05160b692271ap-17, -0x1.e5c3a9486fc3fp-18, -0x1.c1d1342688806p-18, -0x1.9e53f6d114686p-18, -0x1.7b4b2f64cc407p-18, -0x1.58b61acc8afbdp-18, -0x1.3693f4ced6d7ap-18, -0x1.14e3f82191a4p-18, -0x1.e74abcf070a34p-19, -0x1.a5aec12beb3e1p-19, -0x1.64f26cb4fdacdp-19, -0x1.25142da5149e3p-19, -0x1.cc24e122afdd5p-20, -0x1.4fd7413df4aa4p-20, -0x1.aa789eadfdc92p-21, -0x1.714372e651ad7p-22, 0x1.aee476e95df3dp-24, 0x1.21089fe2a67b7p-21, 0x1.04747169f3085p-20, 0x1.76c1e1f631857p-20, 0x1.e76fd91461e64p-20, 0x1.2b40c7b916acbp-19, 0x1.61fd1f590729cp-19, 0x1.97ee90a8cf577p-19, 0x1.cd16b934b262bp-19, 0x1.00bb9b610ab78p-18, 0x1.1a88d39d1e9c2p-18, 0x1.33f3d44b7234p-18, 0x1.4cfd6c64f77f8p-18, 0x1.65a66ad760c93p-18, 0x1.7def9e785814ep-18, 0x1.95d9d5feae767p-18, 0x1.ad65dff72d5e3p-18, 0x1.c4948abc64dafp-18, 0x1.db66a46c11562p-18, 0x1.f1dcfae0cbc1ep-18, 0x1.03fc2dd4257b8p-17, 0x1.0edcc9fec123bp-17, 0x1.1990b85defa22p-17, 0x1.24185f2d80a7fp-17, 0x1.2e74247406ed5p-17, 0x1.38a46dfd11483p-17, 0x1.42a9a1584d063p-17, 0x1.4c8423d4d5032p-17, 0x1.56345a7c9ab09p-17, 0x1.5fbaaa12dd39cp-17, 0x1.6917770ffc2eap-17, 0x1.724b259ee95f8p-17, 0x1.7b561999ddefbp-17, 0x1.8438b687546fp-17, 0x1.8cf35f97d27acp-17, 0x1.958677a2a08c5p-17, 0x1.9df261236b3fep-17, 0x1.a6377e37829b1p-17, 0x1.ae56309a6c63bp-17, 0x1.b64ed9a587e4p-17, 0x1.be21da4cee13ap-17, 0x1.c5cf931c2513dp-17, 0x1.cd5864348856fp-17, 0x1.d4bcad4bb68bap-17, 0x1.dbfccda8e681ap-17, 0x1.e3192422c6684p-17, 0x1.ea120f1f916ccp-17, 0x1.f0e7ec90a5dd1p-17, 0x1.f79b19f1ab8acp-17, 0x1.fe2bf446fa81ap-17, 0x1.024d6c0e00268p-16, 0x1.057410c0d1e65p-16, 0x1.088a1606a4807p-16, 0x1.0b8fa96aec0eap-16, 0x1.0e84f83a3bb87p-16, 0x1.116a2f80df93p-16, 0x1.143f7c0a77bf8p-16, 0x1.17050a6164b36p-16, 0x1.19bb06cdb61f2p-16, 0x1.1c619d5530b24p-16, 0x1.1ef8f9bb342ap-16, 0x1.2181477f293dp-16, 0x1.23fab1dc520c2p-16, 0x1.266563ca16843p-16, 0x1.28c187faa90c7p-16, 0x1.2b0f48da96d65p-16, 0x1.2d4ed091ee949p-16, 0x1.2f804902332e8p-16, 0x1.31a3dbc68cbfbp-16, 0x1.33b9b2339eccfp-16, 0x1.35c1f55707488p-16, 0x1.37bccdf741bfbp-16, 0x1.39aa64939103ep-16, 0x1.3b8ae16353abcp-16, 0x1.3d5e6c5618401p-16, 0x1.3f252d1368a1cp-16, 0x1.40df4afa8fabdp-16, 0x1.428ced22b4954p-16, 0x1.442e3a5a0153ep-16, 0x1.45c3592646e6fp-16, 0x1.474c6fc423b9cp-16, 0x1.48c9a42823defp-16, 0x1.4a3b1bfd3bf3dp-16, 0x1.4ba0fca588cccp-16, 0x1.4cfb6b3a5d264p-16, 0x1.4e4a8c8bd41dap-16, 0x1.4f8e85206c4fap-16, 0x1.50c7793677571p-16, 0x1.51f58cc2f0ebfp-16, 0x1.5318e37189b29p-16, 0x1.5431a0a54acdbp-16, 0x1.553fe777cb632p-16, 0x1.5643daba22006p-16, 0x1.573d9cf4a0deap-16, 0x1.582d5066aaa6cp-16, 0x1.5913170712fffp-16, 0x1.59ef128438808p-16, 0x1.5ac1644418229p-16, 0x1.5b8a2d649a5dfp-16, 0x1.5c498ebb77c69p-16, 0x1.5cffa8d61957cp-16, 0x1.5dac9bfa9e05fp-16, 0x1.5e5088272699ep-16, 0x1.5eeb8d12d7a7ep-16, 0x1.5f7dca2d16494p-16, 0x1.60075e9ebdf53p-16, 0x1.608869499beaep-16, 0x1.610108c8b5cf1p-16, 0x1.61715b70a811bp-16, 0x1.61d97f50762cbp-16, 0x1.62399230d2e4bp-16, 0x1.6291b194d3b5dp-16, 0x1.62e1faba44699p-16, 0x1.632a8a9973edap-16, 0x1.636b7de620ad8p-16, 0x1.63a4f10f70a51p-16, 0x1.63d700400eebcp-16, 0x1.6401c75eae216p-16, 0x1.6425620e2de63p-16, 0x1.6441ebae0bfc7p-16, 0x1.64577f5aadc7fp-16, 0x1.646637edbbd18p-16, 0x1.646e2ffdeb037p-16, 0x1.646f81e02fa0ap-16, 0x1.646a47a733a34p-16, 0x1.645e9b246946dp-16, 0x1.644c95e7bea6cp-16, 0x1.6434514067814p-16, 0x1.6415e63d30cd5p-16, 0x1.63f16dac4151fp-16, 0x1.63c7001bdc342p-16, 0x1.6396b5db1239cp-16, 0x1.6360a6f9c3f34p-16, 0x1.6324eb48b812p-16, 0x1.62e39a5a7a108p-16, 0x1.629ccb8352fe5p-16, 0x1.625095d9c1d55p-16, 0x1.61ff10370d08ep-16, 0x1.61a851375f581p-16, 0x1.614c6f3a377e5p-16, 0x1.60eb8062bdf2fp-16, 0x1.60859a985506ep-16, 0x1.601ad386c7ba9p-16, 0x1.5fab409ebe7a3p-16, 0x1.5f36f716382cp-16, 0x1.5ebe0be88d123p-16, 0x1.5e4093d7653a9p-16, 0x1.5dbea36aa67b5p-16, 0x1.5d384ef0e593fp-16, 0x1.5cadaa7fdff49p-16, 0x1.5c1ec9f4f584bp-16, 0x1.5b8bc0f5a322fp-16, 0x1.5af4a2ef74f3ep-16, 0x1.5a598318acd62p-16, 0x1.59ba74709c75p-16, 0x1.591789c089b43p-16, 0x1.5870d59b13c3dp-16, 0x1.57c66a5d66172p-16, 0x1.57185a2f62e86p-16, 0x1.5666b703d4386p-16, 0x1.55b1929915dcfp-16, 0x1.54f8fe7966354p-16, 0x1.543d0bfb574b5p-16, 0x1.537dcc41f44bep-16, 0x1.52bb503d6b955p-16, 0x1.51f5a8ab4128p-16, 0x1.512ce616ebbc3p-16, 0x1.506118da40d84p-16, 0x1.4f92511d81c91p-16, 0x1.4ec09ed7cd7cp-16, 0x1.4dec11cffc451p-16, 0x1.4d14b99c96816p-16, 0x1.4c3aa5a423da3p-16, 0x1.4b5de51de5e63p-16, 0x1.4a7e8711fabfap-16, 0x1.499c9a5a2dfc4p-16, 0x1.48b82da1b5a9cp-16, 0x1.47d14f65d2453p-16, 0x1.46e80df65ed8ep-16, 0x1.45fc77763ae91p-16, 0x1.450e99db6b992p-16, 0x1.441e82ef9e189p-16, 0x1.432c4050a72d6p-16, 0x1.4237df7097617p-16, 0x1.41416d9631e78p-16, 0x1.4048f7ddaf297p-16, 0x1.3f4e8b38acedep-16, 0x1.3e52346eaf54p-16, 0x1.3d54001d7187cp-16, 0x1.3c53fab973b62p-16, 0x1.3b52308e166eap-16, 0x1.3a4eadbe4ec88p-16, 0x1.39497e44b5844p-16, 0x1.3842adf42b565p-16, 0x1.373a4877b5985p-16, 0x1.363059537347ap-16, 0x1.3524ebe4c9b2bp-16, 0x1.34180b6284e5fp-16, 0x1.3309c2dd71277p-16, 0x1.31fa1d408ed83p-16, 0x1.30e92551abf04p-16, 0x1.2fd6e5b16ecd5p-16, 0x1.2ec368dbc01f9p-16, 0x1.2daeb92873873p-16, 0x1.2c98e0cb44b23p-16, 0x1.2b81e9d45bf2dp-16, 0x1.2a69de30780a3p-16, 0x1.2950c7a996c63p-16, 0x1.2836afe713449p-16, 0x1.271ba06dea67fp-16, 0x1.25ffa2a1360f2p-16, 0x1.24e2bfc28cebcp-16, 0x1.23c500f239fe1p-16, 0x1.22a66f2fb4327p-16, 0x1.21871359a8784p-16, 0x1.2066f62e858c1p-16, 0x1.1f46204cdc86ep-16, 0x1.1e249a33b80ep-16, 0x1.1d026c42b6448p-16, 0x1.1bdf9eba62dd4p-16, 0x1.1abc39bc9cb4fp-16, 0x1.1998454d13ecp-16, 0x1.1873c95175daep-16, 0x1.174ecd917899bp-16, 0x1.162959b76c8ebp-16, 0x1.150375508f4bdp-16, 0x1.13dd27cd7cb04p-16, 0x1.12b678821e559p-16, 0x1.118f6ea5fcfccp-16, 0x1.10681154ecc59p-16, 0x1.0f40678f1181bp-16, 0x1.0e1878394677fp-16, 0x1.0cf04a1d5d14bp-16, 0x1.0bc7e3ea384c1p-16, 0x1.0a9f4c34683e9p-16, 0x1.097689764d883p-16, 0x1.084da210567fep-16, 0x1.07249c494b997p-16, 0x1.05fb7e4ea8bf4p-16, 0x1.04d24e34dcbb7p-16, 0x1.03a911f78dac7p-16, 0x1.027fcf79c440cp-16, 0x1.01568c8645c99p-16, 0x1.002d4ecff9d4dp-16, 0x1.fe0837e41f4a3p-17, 0x1.fbb5f2e038eb4p-17, 0x1.f963d96d3045fp-17, 0x1.f711f63622197p-17, 0x1.f4c053b8d58c7p-17, 0x1.f26efc46210e4p-17, 0x1.f01dfa027621fp-17, 0x1.edcd56e67e73dp-17, 0x1.eb7d1cbfba60ap-17, 0x1.e92d5530b4d6fp-17, 0x1.e6de09b17af4dp-17, 0x1.e48f439055f07p-17, 0x1.e2410bf24ccc5p-17, 0x1.dff36bd32e6dbp-17, 0x1.dda66c06a08c6p-17, 0x1.db5a15385f1bep-17, 0x1.d90e6fec94347p-17, 0x1.d6c3848044291p-17, 0x1.d4795b29f4b43p-17, 0x1.d22ffbfa2605dp-17, 0x1.cfe76edb939e2p-17, 0x1.cd9fbb93c017ap-17, 0x1.cb58e9c35fccap-17, 0x1.c91300e7240b1p-17, 0x1.c6ce085785c1ep-17, 0x1.c48a074983bc3p-17, 0x1.c24704cf3b64dp-17, 0x1.c00507d84501cp-17, 0x1.bdc41731cc344p-17, 0x1.bb84398735b44p-17, }}, 
      {{0x1.f4ad39bc57d2ap-1, 0x1.f418b078a1585p-1, 0x1.f34969a0788bp-1, 0x1.f2400da90ec6dp-1, 0x1.f0fd6fee31651p-1, 0x1.ef828b7ac365bp-1, 0x1.edd07f968b8bfp-1, 0x1.ebe88c36b9927p-1, 0x1.e9cc0e686846p-1, 0x1.e77c7cc7399d4p-1, 0x1.e4fb640dc77dep-1, 0x1.e24a63ca08861p-1, 0x1.df6b2b3cccac2p-1, 0x1.dc5f76690f921p-1, 0x1.d9290b55ed6dcp-1, 0x1.d5c9b784806bep-1, 0x1.d2434d99be4cap-1, 0x1.ce97a33b82e75p-1, 0x1.cac88f1f4aedcp-1, 0x1.c6d7e7489f394p-1, 0x1.c2c77f74e1888p-1, 0x1.be9927b1efc48p-1, 0x1.ba4eab1cf21fbp-1, 0x1.b5e9cec6a23aap-1, 0x1.b16c50ba55f26p-1, 0x1.acd7e72529374p-1, 0x1.a82e3f9ab4156p-1, 0x1.a370fe74dd14ep-1, 0x1.9ea1be4c6b343p-1, 0x1.99c20f882685bp-1, 0x1.94d3780075081p-1, 0x1.8fd772b580fc4p-1, 0x1.8acf6f9620a6ap-1, 0x1.85bcd355d0af5p-1, 0x1.80a0f750382c4p-1, 0x1.7b7d2978cc5fp-1, 0x1.7652ac55461d6p-1, 0x1.7122b701b7e4dp-1, 0x1.6bee753d2ce0fp-1, 0x1.66b7077dd5c4p-1, 0x1.617d830bd7ed7p-1, 0x1.5c42f221efb97p-1, 0x1.570854132788ep-1, 0x1.51ce9d74f3962p-1, 0x1.4c96b84d1d7f1p-1, 0x1.47618442e98aap-1, 0x1.422fd6d2ffcbep-1, 0x1.3d027b85a1f3p-1, 0x1.37da3426c7527p-1, 0x1.32b7b8ffc678fp-1, 0x1.2d9bb912354d3p-1, 0x1.2886da53b9f33p-1, 0x1.2379b9ea87007p-1, 0x1.1e74ec6a4b932p-1, 0x1.1978fe115f013p-1, 0x1.14867305fbb4p-1, 0x1.0f9dc79360113p-1, 0x1.0abf7066ae844p-1, 0x1.05ebdacb6d372p-1, 0x1.01236ce7883a3p-1, 0x1.f8cd0bed7a857p-2, 0x1.ef6afd0ab3d08p-2, 0x1.e6215154719ebp-2, 0x1.dcf0a07fd933cp-2, 0x1.d3d9763a15865p-2, 0x1.cadc52970cb36p-2, 0x1.c1f9aa7e29be1p-2, 0x1.b931e8151a814p-2, 0x1.b0856b287cfb8p-2, 0x1.a7f48992682b7p-2, 0x1.9f7f8f9ec8921p-2, 0x1.9726c06d83289p-2, 0x1.8eea5652608ccp-2, 0x1.86ca8332b08e8p-2, 0x1.7ec770e0aa842p-2, 0x1.76e14174851eep-2, 0x1.6f180fa3446d3p-2, 0x1.676bef1342e1dp-2, 0x1.5fdcecae7018bp-2, 0x1.586b0ef24d433p-2, 0x1.5116563da88f9p-2, 0x1.49debd1c1ccfep-2, 0x1.42c4388f59c96p-2, 0x1.3bc6b856391eep-2, 0x1.34e62731a985p-2, 0x1.2e226b277748fp-2, 0x1.277b65c2f37b5p-2, 0x1.20f0f45388439p-2, 0x1.1a82f02941d4ap-2, 0x1.14312ecf4f886p-2, 0x1.0dfb82448ac46p-2, 0x1.07e1b9320d54p-2, 0x1.01e39f1fdabd9p-2, 0x1.f801f94f5ef65p-3, 0x1.ec732f4beb4e6p-3, 0x1.e11a66d1e329bp-3, 0x1.d5f721bc54942p-3, 0x1.cb08dd7c3a7fdp-3, 0x1.c04f136c88031p-3, 0x1.b5c93922eb903p-3, 0x1.ab76c0bd64891p-3, 0x1.a157192cbda8fp-3, 0x1.9769ae7bf9745p-3, 0x1.8dadea14d4c0ap-3, 0x1.8423330163b95p-3, 0x1.7ac8ee2ae587bp-3, 0x1.719e7e95e8204p-3, 0x1.68a3459bc09aep-3, 0x1.5fd6a3217d081p-3, 0x1.5737f5cc5a50bp-3, 0x1.4ec69b33ced7ap-3, 0x1.4681f011435e2p-3, 0x1.3e69506d9029bp-3, 0x1.367c17cc402d6p-3, 0x1.2eb9a154c2ac7p-3, 0x1.272147f986f0fp-3, 0x1.1fb2669d2d2fcp-3, 0x1.186c5835be879p-3, 0x1.114e77ee1d5c6p-3, 0x1.0a582145a1bf4p-3, 0x1.0388b02e0c1bp-3, 0x1.f9bf024f856d9p-4, 0x1.ecb7e2b90f95bp-4, 0x1.dffabd712b602p-4, 0x1.d3865004a4d6dp-4, 0x1.c75959e117436p-4, 0x1.bb729c7eae31dp-4, 0x1.afd0db8750fcbp-4, 0x1.a472dcfb41ad5p-4, 0x1.9957695346961p-4, 0x1.8e7d4ba0925fcp-4, 0x1.83e351aa62453p-4, 0x1.79884c098067p-4, 0x1.6f6b0e41b4f37p-4, 0x1.658a6ed943288p-4, 0x1.5be5476e8233ap-4, 0x1.527a74cbab6fbp-4, 0x1.4948d6f8ecf71p-4, 0x1.404f514cda0a6p-4, 0x1.378cca7b4543ep-4, 0x1.2f002ca29cafcp-4, 0x1.26a86557d4cffp-4, 0x1.1e8465b0f7a5ep-4, 0x1.1693224e6305ap-4, 0x1.0ed39362cb7bep-4, 0x1.0744b4ba0e80ep-4, 0x1.ffcb0b7dcac85p-5, 0x1.f16a12ff0b8fbp-5, 0x1.e3648d627ac95p-5, 0x1.d5b88f6630155p-5, 0x1.c864351f3154fp-5, 0x1.bb65a1fb2be0ep-5, 0x1.aebb00c0867aep-5, 0x1.a262838ce49c1p-5, 0x1.965a63d22fe17p-5, 0x1.8aa0e2523f844p-5, 0x1.7f3447192cff5p-5, 0x1.7412e1766cbf3p-5, 0x1.693b07f4bc1b5p-5, 0x1.5eab1850f6301p-5, 0x1.5461776fe2989p-5, 0x1.4a5c915308978p-5, 0x1.409ad90ca0b78p-5, 0x1.371ac8b2a7b41p-5, 0x1.2ddae1512a3ddp-5, 0x1.24d9aadbd2bfap-5, 0x1.1c15b41ec8fa7p-5, 0x1.138d92aeee054p-5, 0x1.0b3fe2d98210bp-5, 0x1.032b47933cb99p-5, 0x1.f69cd4cdd5d41p-6, 0x1.e74ff6c71e3f5p-6, 0x1.d86d62143c3d1p-6, 0x1.c9f29075aa83bp-6, 0x1.bbdd084471ac7p-6, 0x1.ae2a5c4b8693dp-6, 0x1.a0d82ba09b493p-6, 0x1.93e4217c6c676p-6, 0x1.874bf512a20eep-6, 0x1.7b0d69695078cp-6, 0x1.6f264d3021fb6p-6, 0x1.63947a973c198p-6, 0x1.5855d725eaddp-6, 0x1.4d6853911c588p-6, 0x1.42c9eb91ba616p-6, 0x1.3878a5baef2dfp-6, 0x1.2e72935052067p-6, 0x1.24b5d01c1d1c6p-6, 0x1.1b40824559871p-6, 0x1.1210da26232dap-6, 0x1.09251221fe48dp-6, 0x1.007b6e7c42b46p-6, 0x1.f0247a5d6f9eap-7, 0x1.dfcfab80a4456p-7, 0x1.cff5323844946p-7, 0x1.c091e2d0ff5bp-7, 0x1.b1a2a3bcd709ap-7, 0x1.a3246d427477dp-7, 0x1.9514492cf854p-7, 0x1.876f527c76de9p-7, 0x1.7a32b517049a3p-7, 0x1.6d5bad7a75b8fp-7, 0x1.60e7886ebf623p-7, 0x1.54d3a2b91e016p-7, 0x1.491d68cff121ap-7, 0x1.3dc2568f562p-7, 0x1.32bff6ee92092p-7, 0x1.2813e3b644fefp-7, 0x1.1dbbc5376fbe6p-7, 0x1.13b552034eec4p-7, 0x1.09fe4ea40ed68p-7, 0x1.00948d565efb5p-7, 0x1.eeebdb87c35acp-8, 0x1.dd40b97d023dbp-8, 0x1.cc23a7f94e95dp-8, 0x1.bb90b3acbf461p-8, 0x1.ab840206b89e1p-8, 0x1.9bf9d0b3db8cap-8, 0x1.8cee751db927bp-8, 0x1.7e5e5bec697e9p-8, 0x1.70460889fa74dp-8, 0x1.62a214a7b8e68p-8, 0x1.556f2fc554ed8p-8, 0x1.48aa1eb9e21fcp-8, 0x1.3c4fbb3eafd71p-8, 0x1.305cf37c02824p-8, 0x1.24cec997a0c6fp-8, 0x1.19a2534533523p-8, 0x1.0ed4b95890661p-8, 0x1.04633759bad85p-8, 0x1.f4963635a44d1p-9, 0x1.e113889f84bc7p-9, 0x1.ce39484f79b42p-9, 0x1.bc0279d11a82p-9, 0x1.aa6a431738a9ap-9, 0x1.996beab994731p-9, 0x1.8902d73601ed9p-9, 0x1.792a8e34fef68p-9, 0x1.69deb3d1c3467p-9, 0x1.5b1b09e5b36fap-9, 0x1.4cdb6f572f7c7p-9, 0x1.3f1bdf6bc6bfap-9, 0x1.31d8711da60d6p-9, 0x1.250d56744cc0bp-9, 0x1.18b6dbe0945dfp-9, 0x1.0cd1679bcce7ap-9, 0x1.0159790a04f8ap-9, 0x1.ec97503f0b0cdp-10, 0x1.d749499297a04p-10, 0x1.c2c26cb12dbd3p-10, 0x1.aefc75e2c6dc1p-10, 0x1.9bf14df803344p-10, 0x1.899b0932e5579p-10, 0x1.77f3e6356aa0ep-10, 0x1.66f64cf5c82aap-10, 0x1.569ccdb8554e2p-10, 0x1.46e2200eccfb2p-10, 0x1.37c121dd3036p-10, 0x1.2934d663cf03ap-10, 0x1.1b38654eb910ap-10, 0x1.0dc719ca43e29p-10, 0x1.00dc619cafcfap-10, 0x1.e8e79889ba69fp-11, 0x1.d112143bc7151p-11, 0x1.ba2fd70ed1515p-11, 0x1.a438c025ff0aep-11, 0x1.8f24eb6bfd7eap-11, 0x1.7aecafffdfe4p-11, 0x1.67889eab4b5ddp-11, 0x1.54f1806168a3fp-11, 0x1.432054c6aaee6p-11, 0x1.320e50c0e5edap-11, 0x1.21b4dd101bf82p-11, 0x1.120d94ef63dfep-11, 0x1.031244be01e8ap-11, 0x1.e979d160f0d9p-12, 0x1.ce0f5712c23c9p-12, 0x1.b3d9cab3cb69ep-12, 0x1.9ace34937d8f5p-12, 0x1.82e1f2cd683f3p-12, 0x1.6c0ab6f6b163p-12, 0x1.563e83d9483e1p-12, 0x1.4173ab3d1c00ep-12, 0x1.2da0cbbf5a6f4p-12, 0x1.1abcceb6fe658p-12, 0x1.08bee625e1c7bp-12, 0x1.ef3d156e4dee6p-13, 0x1.cea6f393b8943p-13, 0x1.afab671052717p-13, 0x1.923af21550129p-13, 0x1.7646950e49d43p-13, 0x1.5bbfcb15de204p-13, 0x1.42988681a3d6ep-13, 0x1.2ac32d83373bcp-13, 0x1.143296e0434acp-13, 0x1.fdb40d7e137c8p-14, 0x1.d55a570d319ecp-14, 0x1.af4035a994701p-14, 0x1.8b4e9d0dfc5dp-14, 0x1.696f43af78686p-14, 0x1.498c9d1bff55fp-14, 0x1.2b91d47d68d65p-14, 0x1.0f6ac7429830ep-14, 0x1.ea07ffd6003d9p-15, 0x1.b89561eb43ba5p-15, 0x1.8a595fe5a02b6p-15, 0x1.5f30e16671b18p-15, 0x1.36fa0135e8e24p-15, 0x1.11940423945a3p-15, 0x1.ddbea04f86965p-16, 0x1.9d7ac785d1c88p-16, 0x1.62219b247964cp-16, 0x1.2b7a48413524cp-16, 0x1.f29bf7bd68d61p-17, 0x1.96cfa6d5bbd25p-17, 0x1.43299b55f4ad7p-17, 0x1.ee8ef0578fcd9p-18, 0x1.6594d208cd7c7p-18, 0x1.d55c1a29724bp-19, 0x1.f4a9db122e05p-20, 0x1.c6053b53ec80fp-22, -0x1.c29ed92a3736dp-21, -0x1.031f1478f5a2cp-19, -0x1.7fd4a7b79a8fcp-19, -0x1.e7ec4e173c7a5p-19, -0x1.1e3f755667f35p-18, -0x1.3f4d5f308677dp-18, -0x1.57a1df06b36bcp-18, -0x1.67b9f342c71b7p-18, -0x1.700dc7297c124p-18, -0x1.7110da619ba86p-18, -0x1.6b322784b5386p-18, -0x1.5edc498c7631fp-18, -0x1.4c75a00828b3p-18, -0x1.3460727bddbb1p-18, -0x1.16fb12c1cd11dp-18, -0x1.e93ffc73b47ebp-19, -0x1.9b4bfc74061bep-19, -0x1.44c08edbea53dp-19, -0x1.cc7a6125afae5p-20, -0x1.00b55a7487675p-20, -0x1.3ab58df48e225p-23, 0x1.7d12e15171f57p-21, 0x1.afdef7d784c7ep-20, 0x1.55d4bc926b024p-19, 0x1.d879e7214df49p-19, 0x1.2fb4eca3b2c65p-18, 0x1.751a58a34bf6cp-18, 0x1.bc37cfbbd0bdfp-18, 0x1.026d2e4653598p-17, 0x1.2768b31d5cea2p-17, 0x1.4cf74d992d017p-17, 0x1.7302ee4b659ep-17, 0x1.997695248da7p-17, 0x1.c03e47b90e996p-17, 0x1.e74707e2b9203p-17, 0x1.073f65538d5fcp-16, 0x1.1aea37b1936c9p-16, 0x1.2e9bdb9f412d7p-16, 0x1.424c9e756552cp-16, 0x1.55f5364b30f0ap-16, 0x1.698ebe10037c7p-16, 0x1.7d12b1ca3d403p-16, 0x1.907aeaefe515cp-16, 0x1.a3c19cddd8625p-16, 0x1.b6e1516d38374p-16, 0x1.c9d4e5a4e697bp-16, 0x1.dc9786821aa05p-16, 0x1.ef24addc7e14p-16, 0x1.00bc0fb2f8904p-15, 0x1.09c6f2e0e4971p-15, 0x1.12b127d9f0f5ep-15, 0x1.1b78f6b45e75bp-15, 0x1.241cc6ea3e299p-15, 0x1.2c9b1e129712cp-15, 0x1.34f29ea54d72dp-15, 0x1.3d2206c9fc13ep-15, 0x1.45282f3275785p-15, 0x1.4d0409fc141d5p-15, 0x1.54b4a19cc5bd1p-15, 0x1.5c3917da040a5p-15, 0x1.6390a4c634badp-15, 0x1.6aba95c7fb013p-15, 0x1.71b64ca95cf2ap-15, 0x1.78833eb0d832bp-15, 0x1.7f20f3c0a10adp-15, 0x1.858f057e47585p-15, 0x1.8bcd1e82927b1p-15, 0x1.91daf98fb5cd8p-15, 0x1.97b860cea316dp-15, 0x1.9d652d12e2906p-15, 0x1.a2e14524e2ccdp-15, 0x1.a82c9d14c2ffbp-15, 0x1.ad473590c719p-15, 0x1.b2311b42c7444p-15, 0x1.b6ea66353728ep-15, 0x1.bb73393a9823dp-15, 0x1.bfcbc15d33cc4p-15, 0x1.c3f4355170494p-15, 0x1.c7ecd4efa7817p-15, 0x1.cbb5e8b2c7a2dp-15, 0x1.cf4fc13a419e8p-15, 0x1.d2bab6d1e1ef3p-15, 0x1.d5f728ff1700dp-15, 0x1.d9057e100c54bp-15, 0x1.dbe622b19c48dp-15, 0x1.de998986666d6p-15, 0x1.e1202ac521bb4p-15, 0x1.e37a83d93ebeap-15, 0x1.e5a91706e170ep-15, 0x1.e7ac6b1308c41p-15, 0x1.e9850af05502p-15, 0x1.eb33856ca7c83p-15, 0x1.ecb86ce4c786ep-15, 0x1.ee1456f7dc165p-15, 0x1.ef47dc4129e5ap-15, 0x1.f0539813c816p-15, 0x1.f138283857ff4p-15, 0x1.f1f62cae15783p-15, 0x1.f28e476fb5b2ep-15, 0x1.f3011c3895005p-15, 0x1.f34f504e9ca02p-15, 0x1.f3798a4cc82acp-15, 0x1.f38071f087743p-15, 0x1.f364afea2aa64p-15, 0x1.f326edaf36304p-15, 0x1.f2c7d54db8ad8p-15, 0x1.f24811431e4f8p-15, 0x1.f1a84c54a6379p-15, 0x1.f0e93168c990ep-15, 0x1.f00b6b6394bfep-15, 0x1.ef0fa503c601dp-15, 0x1.edf688c1f8a07p-15, 0x1.ecc0c0b271e3p-15, 0x1.eb6ef6672127fp-15, 0x1.ea01d2d37f2e3p-15, 0x1.e879fe32dbf17p-15, 0x1.e6d81feebd763p-15, 0x1.e51cde87897e3p-15, 0x1.e348df7ded781p-15, 0x1.e15cc73d85a66p-15, 0x1.df593908e5b7fp-15, 0x1.dd3ed6e7a09f8p-15, 0x1.db0e419409cdep-15, 0x1.d8c8186aa2cddp-15, 0x1.d66cf95b543e2p-15, 0x1.d3fd80da59553p-15, 0x1.d17a49d30d192p-15, 0x1.cee3ed9b6e9ecp-15, 0x1.cc3b03e7d533ap-15, 0x1.c98022c058d71p-15, 0x1.c6b3de772200ep-15, 0x1.c3d6c99f2d6c4p-15, 0x1.c0e975035cfbbp-15, 0x1.bdec6f9f3b1f5p-15, 0x1.bae04697f4a27p-15, 0x1.b7c5853569e44p-15, 0x1.b49cb4dd5ea87p-15, 0x1.b1665d0d7b9fap-15, 0x1.ae230356fae16p-15, 0x1.aad32b5a9de4ep-15, 0x1.a77756c5c91dp-15, 0x1.a410054f14257p-15, 0x1.a09db4b3d1d0cp-15, 0x1.9d20e0b6ba9adp-15, 0x1.999a031dcec95p-15, 0x1.960993b13f328p-15, 0x1.9270083b6a5bap-15, 0x1.8ecdd487b33bdp-15, 0x1.8b236a62f8d9ap-15, 0x1.8771399be7b84p-15, 0x1.83b7b0043c4c5p-15, 0x1.7ff739713e903p-15, 0x1.7c303fbd4eb15p-15, 0x1.78632aca0b956p-15, 0x1.74906081c6ab7p-15, 0x1.70b844d9b316ap-15, 0x1.6cdb39d4dbb9fp-15, 0x1.68f99f8649bd7p-15, 0x1.6513d4141bbf6p-15, 0x1.612a33ba8990ep-15, 0x1.5d3d18cf9d888p-15, 0x1.594cdbc6528b9p-15, 0x1.5559d33240c4cp-15, 0x1.516453cbca9d7p-15, 0x1.4d6cb073cbf99p-15, 0x1.49733a37a834ep-15, 0x1.45784055e2d67p-15, 0x1.417c104251392p-15, 0x1.3d7ef5aa67f1ep-15, 0x1.39813a79fd4e5p-15, 0x1.358326e010de9p-15, 0x1.31850153b256fp-15, 0x1.2d870e9888f87p-15, 0x1.298991c41d2aap-15, 0x1.258ccc42c40cdp-15, 0x1.2190fddc89962p-15, 0x1.1d9664ba94d8ep-15, 0x1.199d3d6c42c67p-15, 0x1.15a5c2ec67238p-15, 0x1.11b02ea6612bfp-15, 0x1.0dbcb87b94033p-15, 0x1.09cb96c8cdd9bp-15, 0x1.05dcfe6baf11ep-15, 0x1.01f122c7e3a3fp-15, 0x1.fc106b9958fa6p-16, 0x1.f444cff472a17p-16, 0x1.ec7fd0cdf0a2ep-16, 0x1.e4c1c98a86794p-16, 0x1.dd0b12d1373efp-16, 0x1.d55c02965f0ebp-16, 0x1.cdb4ec262db84p-16, 0x1.c616202f9f8e2p-16, 0x1.be7feccf804a6p-16, 0x1.b6f29d9b13287p-16, 0x1.af6e7baa8ab75p-16, 0x1.a7f3cda4196f2p-16, 0x1.a082d7c63aad5p-16, 0x1.991bdbf22b3f6p-16, 0x1.91bf19b6ddde3p-16, 0x1.8a6cce5b01dfp-16, 0x1.832534e7c53dfp-16, 0x1.7be88632a48bcp-16, 0x1.74b6f8e809a92p-16, 0x1.6d90c1952ad65p-16, 0x1.667612b2c1ee5p-16, 0x1.5f671cae3dcep-16, 0x1.58640df45587ep-16, 0x1.516d12fa954e5p-16, 0x1.4a8256490777dp-16, 0x1.43a40083e1d6p-16, 0x1.3cd2387564c4ep-16, 0x1.360d23170c91ap-16, 0x1.2f54e39b0302fp-16, 0x1.28a99b75327bbp-16, 0x1.220b6a64c75dep-16, 0x1.1b7a6e7cf9adcp-16, 0x1.14f6c42e6843bp-16, 0x1.0e80864f9eb37p-16, 0x1.0817ce25f31cdp-16, 0x1.01bcb36e58748p-16, 0x1.f6de98cb1ec87p-17, 0x1.ea5f5ba1b8f38p-17, 0x1.ddfbd60cf250dp-17, 0x1.d1b42beb2300fp-17, 0x1.c5887e5d19ad1p-17, 0x1.b978ebd5f7411p-17, 0x1.ad85902af506dp-17, 0x1.a1ae84a319769p-17, 0x1.95f3e00704163p-17, 0x1.8a55b6af86615p-17, 0x1.7ed41a94e3ddfp-17, 0x1.736f1b5d768c3p-17, 0x1.6826c66c5edd2p-17, 0x1.5cfb26ef3a587p-17, 0x1.51ec45ed3592dp-17, 0x1.46fa2a5440671p-17, 0x1.3c24d906e5083p-17, 0x1.316c54e9c99e1p-17, 0x1.26d09ef0c7f58p-17, 0x1.1c51b62c052fbp-17, 0x1.11ef97d4f2886p-17, 0x1.07aa3f5ade6afp-17, 0x1.fb034cdeadacbp-18, 0x1.e6eb8a24407d2p-18, 0x1.d30d233b7026bp-18, 0x1.bf6801a522952p-18, 0x1.abfc0bc61bb2fp-18, 0x1.98c924fd86a16p-18, 0x1.85cf2dbbc4fb1p-18, 0x1.730e0397c232fp-18, 0x1.608581652328ap-18, 0x1.4e357f49263cdp-18, 0x1.3c1dd2cfb4f8fp-18, 0x1.2a3e4effc473ep-18, 0x1.1896c46fee7eap-18, 0x1.072701598b2ecp-18, 0x1.ebdda3588814cp-19, 0x1.c9dbfe42a20d8p-19, 0x1.a848a29b85aa8p-19, 0x1.87231b6a2ccdep-19, 0x1.666aefb5f7027p-19, 0x1.461fa2aa7fdb7p-19, 0x1.2640b3b915bcbp-19, 0x1.06cd9ebb98598p-19, 0x1.cf8bb82aa5621p-20, 0x1.9251c1a5b48ffp-20, 0x1.55ec3d963d829p-20, 0x1.1a5a097a9a76ap-20, 0x1.bf33f9c493d97p-21, 0x1.4b55d34bad227p-21, 0x1.b22e709499014p-22, 0x1.a1d6dbec4f622p-23, -0x1.a44b1d71cee1bp-27, -0x1.cfffde0396162p-23, -0x1.bfb271ac55dc3p-22, -0x1.4a1f87f198de9p-21, -0x1.b2d584b89b2cp-21, -0x1.0cfeeb888a023p-20, -0x1.3fcd973f5ad2ap-20, -0x1.71d820e1fc3e8p-20, -0x1.a31fe7423de2fp-20, -0x1.d3a64c73da613p-20, -0x1.01b65acf3b238p-19, -0x1.193a4569ab0fbp-19, -0x1.305f9b702f3a7p-19, -0x1.47271393f62fbp-19, -0x1.5d9165bae98e4p-19, -0x1.739f4aec48fap-19, -0x1.89517d3d6cd38p-19, -0x1.9ea8b7bd3c523p-19, -0x1.b3a5b6634324fp-19, -0x1.c84935fc56303p-19, -0x1.dc93f418e9ccp-19, -0x1.f086aefb7d561p-19, -0x1.021112c4483e8p-18, -0x1.0bb38b9b12ea2p-18, -0x1.152b21fd6ba6cp-18, -0x1.1e78361f579b8p-18, -0x1.279b2865f438ep-18, -0x1.3094595fded16p-18, -0x1.396429be2ee86p-18, -0x1.420afa4d128a1p-18, -0x1.4a892bed9ab8cp-18, -0x1.52df1f8e90437p-18, -0x1.5b0d3625b05f3p-18, -0x1.6313d0aa36bc5p-18, -0x1.6af3500e10538p-18, -0x1.72ac1537ccb77p-18, -0x1.7a3e80fcf28e2p-18, -0x1.81aaf41c7cad4p-18, -0x1.88f1cf39c4bep-18, -0x1.901372d68187dp-18, -0x1.97103f4dd4743p-18, -0x1.9de894cf42084p-18, -0x1.a49cd359cd3eap-18, -0x1.ab2d5ab75bcd7p-18, -0x1.b19a8a77d9482p-18, -0x1.b7e4c1ed52228p-18, -0x1.be0c60276c6d6p-18, -0x1.c411c3eebd1fbp-18, -0x1.c9f54bc17e2aap-18, -0x1.cfb755cf6e1c8p-18, -0x1.d5583ff5ae087p-18, -0x1.dad867bb33957p-18, -0x1.e0382a4d4804bp-18, -0x1.e577e47ce2472p-18, -0x1.ea97f2ba8e1e4p-18, -0x1.ef98b113683adp-18, -0x1.f47a7b2e0959dp-18, -0x1.f93dac477e101p-18, -0x1.fde29f30a29a3p-18, -0x1.0134d7259823p-17, -0x1.036999c398977p-17, -0x1.058fc4307d4a1p-17, -0x1.07a782ef07cd4p-17, -0x1.09b1024541de3p-17, -0x1.0bac6e3bf5103p-17, -0x1.0d99f29d233c8p-17, -0x1.0f79baf2fb9cp-17, -0x1.114bf286fd45bp-17, -0x1.1310c460cb6c3p-17, -0x1.14c85b46062afp-17, -0x1.1672e1b8adc71p-17, -0x1.181081f6880ccp-17, -0x1.19a165f85c4ffp-17, -0x1.1b25b77123775p-17, -0x1.1c9d9fcd6a528p-17, -0x1.1e09483295ad5p-17, -0x1.1f68d97e4232ap-17, -0x1.20bc7c45fd855p-17, -0x1.220458d64953cp-17, -0x1.234097321a129p-17, -0x1.24715f1283f9ep-17, -0x1.2596d7e67e346p-17, -0x1.26b128d1db92cp-17, -0x1.27c078ad47168p-17, -0x1.28c4ee05a545fp-17, -0x1.29beaf1c049bcp-17, -0x1.2aade1e58f1dep-17, -0x1.2b92ac0a94a5cp-17, -0x1.2c6d32e6ae545p-17, -0x1.2d3d9b884c936p-17, -0x1.2e040ab09fbc9p-17, -0x1.2ec0a4d361561p-17, -0x1.2f738e16aa6c4p-17, -0x1.301cea52d4ba9p-17, -0x1.30bcdd12a126p-17, -0x1.31538992a6c26p-17, -0x1.31e112c14ce97p-17, -0x1.32659b3f136efp-17, -0x1.32e1455e87d13p-17, -0x1.33543323d2384p-17, -0x1.33be8644faa2ep-17, -0x1.34206029eb598p-17, -0x1.3479e1ec65b0dp-17, -0x1.34cb2c58b34c8p-17, -0x1.35145fece7505p-17, -0x1.35559cd93b549p-17, -0x1.358f030044p-17, -0x1.35c0b1f6e7601p-17, -0x1.35eac9049e0ccp-17, -0x1.360d6723a2928p-17, -0x1.3628ab00f7362p-17, -0x1.363cb2fcfe6ddp-17, -0x1.36499d2b523d6p-17, -0x1.364f8752d8ad3p-17, -0x1.364e8eee1638fp-17, -0x1.3646d12bea50bp-17, -0x1.36386aef41ab2p-17, -0x1.362378cf50c83p-17, -0x1.360817180fe1cp-17, -0x1.35e661ca5851ap-17, -0x1.35be749c8011dp-17, -0x1.35906afaaf0d4p-17, -0x1.355c6006c59ep-17, -0x1.35226e98ccd0ep-17, -0x1.34e2b13f63c7ep-17, -0x1.349d424001968p-17, -0x1.34523b975d04ep-17, -0x1.3401b6f9c351dp-17, -0x1.33abcdd3644a8p-17, -0x1.3350994900f55p-17, -0x1.32f03237fbdb1p-17, -0x1.328ab136b081p-17, -0x1.32202e94a9e2cp-17, -0x1.31b0c25bd5fd2p-17, -0x1.313c845035633p-17, -0x1.30c38bf05d865p-17, -0x1.3045f075d9b37p-17, -0x1.2fc3c8d5bf5e4p-17, -0x1.2f3d2bc0ed8aap-17, -0x1.2eb22fa50667fp-17, -0x1.2e22eaac410e5p-17, -0x1.2d8f72bdf03ep-17, -0x1.2cf7dd7eff086p-17, -0x1.2c5c405270c94p-17, -0x1.2bbcb059c395p-17, -0x1.2b19427575d12p-17, -0x1.2a720b455936bp-17, -0x1.29c71f293ee53p-17, -0x1.29189241585fep-17, -0x1.2866786e9c4a5p-17, -0x1.27b0e5531c71cp-17, -0x1.26f7ec526c695p-17, -0x1.263ba092d4814p-17, -0x1.257c14fd05652p-17, -0x1.24b95c3cb6ecbp-17, -0x1.23f388c12610ap-17, -0x1.232aacbda551fp-17, -0x1.225eda29ea8c5p-17, -0x1.219022c325ae4p-17, -0x1.20be980bbd90bp-17, -0x1.1fea4b4c09ba9p-17, -0x1.1f134d92b990bp-17, -0x1.1e39afb56ef87p-17, -0x1.1d5d82512518dp-17, -0x1.1c7ed5caba6a6p-17, -0x1.1b9dba4f4e88dp-17, -0x1.1aba3fd4e0953p-17, -0x1.19d4761ad8fbcp-17, -0x1.18ec6caa4d301p-17, -0x1.180232d6976dep-17, -0x1.1715d7bd9262ep-17, -0x1.16276a485e554p-17, -0x1.1536f92c1cc6ap-17, -0x1.144492e9cbd97p-17, -0x1.135045ceffa5ep-17, -0x1.125a1ff6620e5p-17, -0x1.11622f481e1d2p-17, -0x1.1068817a6eb0fp-17, -0x1.0f6d24126b6bap-17, -0x1.0e702463cf7b3p-17, -0x1.0d718f91d9698p-17, -0x1.0c71728f977ddp-17, -0x1.0b6fda208386dp-17, -0x1.0a6cd2d8e3441p-17, -0x1.0968691e4d6afp-17, -0x1.0862a92807e6bp-17, -0x1.075b9effa2a06p-17, -0x1.065356816248cp-17, -0x1.0549db5ca0785p-17, -0x1.043f39144a379p-17, -0x1.03337aff3754dp-17, -0x1.0226ac4894758p-17, -0x1.0118d7f0e9aa4p-17, -0x1.000a08cde3ab4p-17, -0x1.fdf49315cbab6p-18, -0x1.fbd3495328764p-18, -0x1.f9b049047a89fp-18, -0x1.f78ba68848229p-18, -0x1.f56575ecfe32fp-18, -0x1.f33dcaf0bd171p-18, -0x1.f114b90238d1cp-18, -0x1.eeea5341d86acp-18, -0x1.ecbeac8276c2p-18, -0x1.ea91d74a4d2e2p-18, -0x1.e863e5d3cd19ep-18, -0x1.e634ea0e5bf12p-18, -0x1.e404f59f2059p-18, -0x1.e1d419e231681p-18, -0x1.dfa267eb03062p-18, -0x1.dd6ff0855bc88p-18, -0x1.db3cc4360d1fdp-18, -0x1.d908f33bbc3dap-18, -0x1.d6d48d8f6f066p-18, -0x1.d49fa2e657cb5p-18, -0x1.d26a42b1aef51p-18, -0x1.d0347c1f83fb2p-18, -0x1.cdfe5e1bc5fc5p-18, -0x1.cbc7f750ea57ap-18, -0x1.c991562881f9cp-18, -0x1.c75a88ccb8fffp-18, -0x1.c5239d28a51d9p-18, -0x1.c2eca0e8a7524p-18, -0x1.c0b5a17b75f32p-18, -0x1.be7eac12da52cp-18, -0x1.bc47cda467c79p-18, -0x1.ba1112ea318bep-18, -0x1.b7da88639966ep-18, -0x1.b5a43a55cc308p-18, -0x1.b36e34ccbe98fp-18, -0x1.b138839bd40b1p-18, -0x1.af03325e6c31ep-18, -0x1.acce4c7899b58p-18, -0x1.aa99dd17dafc8p-18, -0x1.a865ef33c4cep-18, -0x1.a6328d8e5bab6p-18, -0x1.a3ffc2b5aba92p-18, -0x1.a1cd99039ce8cp-18, -0x1.9f9c1a9ebcc84p-18, -0x1.9d6b517afe21ep-18, -0x1.9b3b475a56625p-18, -0x1.990c05cd3a56p-18, -0x1.96dd9633bb39p-18, -0x1.94b001bdf7b31p-18, -0x1.9283516c5fp-18, -0x1.90578e108b20dp-18, -0x1.8e2cc04dcdcd2p-18, -0x1.8c02f099e6092p-18, -0x1.89da273d8598fp-18, -0x1.87b26c54f7998p-18, -0x1.858bc7d08ee5p-18, -0x1.836641757dab7p-18, -0x1.8141e0de3524p-18, -0x1.7f1ead7b19fbap-18, -0x1.7cfcae92f551ap-18, -0x1.7adbeb437a74ap-18, -0x1.78bc6a821790bp-18, -0x1.769e331c1ap-18, -0x1.74814bb76833ep-18, -0x1.7265bad36e0dfp-18, -0x1.704b86c9281dcp-18, -0x1.6e32b5cbc1941p-18, -0x1.6c1b4de9225c1p-18, -0x1.6a05550a66b88p-18, -0x1.67f0d0f47cedbp-18, -0x1.65ddc748b7194p-18, -0x1.63cc3d854b75ap-18, -0x1.61bc3905a071cp-18, -0x1.5fadbf02cfd61p-18, -0x1.5da0d49444b7dp-18, -0x1.5b957eb01e56p-18, -0x1.598bc22bbfa36p-18, -0x1.5783a3bc3b12ap-18, -0x1.557d27f6b606ep-18, -0x1.5378535107a47p-18, -0x1.51752a2212be5p-18, -0x1.4f73b0a25bb75p-18, -0x1.4d73eaec4baaap-18, -0x1.4b75dcfc9c81ap-18, -0x1.49798ab303dffp-18, -0x1.477ef7d26e396p-18, -0x1.4586280161f9p-18, -0x1.438f1eca9844p-18, -0x1.4199df9d75be7p-18, -0x1.3fa66dce3b8b4p-18, -0x1.3db4cc968540ep-18, -0x1.3bc4ff15ab32dp-18, -0x1.39d708512393bp-18, -0x1.37eaeb35062e2p-18, -0x1.3600aa945a36fp-18, -0x1.341849299b76fp-18, -0x1.3231c996e25b2p-18, -0x1.304d2e66520fap-18, -0x1.2e6a7a0a9c37fp-18, -0x1.2c89aedf38dap-18, -0x1.2aaacf28da86p-18, -0x1.28cddd15b2a62p-18, -0x1.26f2dabde55cep-18, -0x1.2519ca23ec61ep-18, -0x1.2342ad34bf5c3p-18, -0x1.216d85c8689c6p-18, -0x1.1f9a55a23820bp-18, -0x1.1dc91e710c815p-18, -0x1.1bf9e1cfc83fbp-18, -0x1.1a2ca1459bd97p-18, -0x1.18615e463e90ep-18, -0x1.16981a3260da1p-18, -0x1.14d0d657f5472p-18, -0x1.130b93f28ec88p-18, -0x1.1148542b87ep-18, -0x1.0f87181a68f32p-18, -0x1.0dc7e0c527b45p-18, -0x1.0c0aaf208dbf1p-18, -0x1.0a4f841072d0cp-18, -0x1.089660680084ep-18, -0x1.06df44ea19846p-18, -0x1.052a32497299ap-18, -0x1.03772928fe329p-18, -0x1.01c62a1c211fbp-18, -0x1.001735a700b0cp-18, -0x1.fcd4987d95862p-19, -0x1.f97edc93d3da4p-19, -0x1.f62d3840acf99p-19, -0x1.f2dfac17b1844p-19, -0x1.ef9638907f12bp-19, -0x1.ec50de076ee04p-19, -0x1.e90f9cbde4317p-19, -0x1.e5d274dac43b1p-19, -0x1.e299666b1b009p-19, -0x1.df6471629059bp-19, -0x1.dc33959bc70fbp-19, -0x1.d906d2d8e6108p-19, -0x1.d5de28c3f53dap-19, -0x1.d2b996ef762fcp-19, -0x1.cf991cd6d2e48p-19, -0x1.cc7cb9deb3a32p-19, -0x1.c9646d557d3b6p-19, -0x1.c6503673b42bdp-19, -0x1.c340145c97b3bp-19, -0x1.c034061e40f38p-19, -0x1.bd2c0ab24610bp-19, -0x1.ba2820fe21f8ep-19, -0x1.b72847d37585bp-19, -0x1.b42c7df0811efp-19, -0x1.b134c20091ae1p-19, -0x1.ae41129c66a69p-19, -0x1.ab516e4a806c6p-19, -0x1.a865d37f791ap-19, -0x1.a57e409e7d8f3p-19, -0x1.a29ab3f9ae492p-19, -0x1.9fbb2bd25b568p-19, -0x1.9cdfa6597babp-19, -0x1.9a0821affb858p-19, -0x1.97349be702c4p-19, -0x1.946513007ea9fp-19, -0x1.919984ef49a6bp-19, -0x1.8ed1ef9783886p-19, -0x1.8c0e50cef12d4p-19, -0x1.894ea65d67bc4p-19, -0x1.8692edfcf7e14p-19, -0x1.83db255a35482p-19, -0x1.81274a14a0ae7p-19, -0x1.7e7759beee376p-19, -0x1.7bcb51df558c7p-19, -0x1.79232feff349bp-19, -0x1.767ef15ee25aep-19, -0x1.73de938e93071p-19, -0x1.714213d62bc91p-19, -0x1.6ea96f81b9bbbp-19, -0x1.6c14a3d27e6c5p-19, -0x1.6983adff32b94p-19, -0x1.66f68b3452562p-19, -0x1.646d389465019p-19, -0x1.61e7b338292ep-19, -0x1.5f65f82ed89a9p-19, -0x1.5ce8047e7da46p-19, -0x1.5a6dd5242b31p-19, -0x1.57f7671427571p-19, -0x1.5584b73a38097p-19, -0x1.5315c279dd506p-19, -0x1.50aa85ae8f8b5p-19, -0x1.4e42fdac00016p-19, -0x1.4bdf273e494d6p-19, -0x1.497eff2a1442bp-19, -0x1.4722822ce52c1p-19, -0x1.44c9acfd6f61fp-19, -0x1.42747c4bacecfp-19, -0x1.4022ecc10ca3cp-19, -0x1.3dd4fb00995e3p-19, -0x1.3b8aa3a734c1bp-19, -0x1.3943e34bf5cbap-19, -0x1.3700b6803e254p-19, -0x1.34c119cffa20ap-19, -0x1.328509c1b4e5ap-19, -0x1.304c82d6cb2c6p-19, -0x1.2e17818ba2012p-19, -0x1.2be60257d0d89p-19, -0x1.29b801ae4fae4p-19, -0x1.278d7bfdb41f3p-19, -0x1.25666db05aeb3p-19, -0x1.2342d32c802b3p-19, -0x1.2122a8d470e42p-19, -0x1.1f05eb06b7fe5p-19, -0x1.1cec961e4732cp-19, -0x1.1ad6a672a1201p-19, -0x1.18c41857fb4dap-19, -0x1.16b4e81f5d4c6p-19, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.10609dd65de98p-8, 0x1.a3cbab9e5930cp-8, 0x1.22172e6890496p-7, 0x1.7a8ec73c05622p-7, 0x1.dcd7779ad18fcp-7, 0x1.251cb7b0649bcp-6, 0x1.61dd04d5859d3p-6, 0x1.a50ed9c9b9c8ap-6, 0x1.eef5a23796e26p-6, 0x1.1fdc1264d8fa3p-5, 0x1.4bb1795130fddp-5, 0x1.7af57e0f0a46bp-5, 0x1.ad9818020a1ecp-5, 0x1.e38008d900361p-5, 0x1.0e460e23ff9eep-4, 0x1.2c4a2be221f52p-4, 0x1.4bb58ba6f3d8ap-4, 0x1.6c6f0acb394cdp-4, 0x1.8e5baf6126dc9p-4, 0x1.b15f16d86dcbap-4, 0x1.d55bda1951591p-4, 0x1.fa33e7751766fp-4, 0x1.0fe469735e415p-3, 0x1.22fe0e9814b71p-3, 0x1.3657b9350ad5fp-3, 0x1.49e270505787ep-3, 0x1.5d8f838b895ecp-3, 0x1.71509f64310e6p-3, 0x1.8517de5c5fe18p-3, 0x1.98d7d750db1d9p-3, 0x1.ac83a93f7d403p-3, 0x1.c00f04bc4dfaep-3, 0x1.d36e335023d54p-3, 0x1.e6961cf7bf899p-3, 0x1.f97c4bf680cfcp-3, 0x1.060b779613ff6p-2, 0x1.0f2e6d8ccd1e6p-2, 0x1.1822c4de87588p-2, 0x1.20e48cb57b12ep-2, 0x1.29702562d656dp-2, 0x1.31c23ef99eap-2, 0x1.39d7d796cc00ap-2, 0x1.41ae3963922bp-2, 0x1.4942f85d8ca68p-2, 0x1.5093efef58d3ap-2, 0x1.579f40632bf0ap-2, 0x1.5e634c37e151p-2, 0x1.64deb56024973p-2, 0x1.6b105a72754aep-2, 0x1.70f753d003991p-2, 0x1.7692f0c7ace09p-2, 0x1.7be2b4b9aec37p-2, 0x1.80e6544018f64p-2, 0x1.859db25f75533p-2, 0x1.8a08ddc29a37ap-2, 0x1.8e280e0431343p-2, 0x1.91fba10810c6ep-2, 0x1.958418662472dp-2, 0x1.98c216e85828dp-2, 0x1.9bb65e1ca470ep-2, 0x1.9e61cbfc1d62bp-2, 0x1.a0c558a7b0d59p-2, 0x1.a2e2143afc734p-2, 0x1.a4b924b58986ap-2, 0x1.a64bc3fa89ca9p-2, 0x1.a79b3de70ea05p-2, 0x1.a8a8ee7e9c54cp-2, 0x1.a976402ddb005p-2, 0x1.aa04aa2316484p-2, 0x1.aa55aebc26698p-2, 0x1.aa6ada0950324p-2, 0x1.aa45c0649e941p-2, 0x1.a9e7fd1d2bb37p-2, 0x1.a9533135c3ed4p-2, 0x1.a889023654c3dp-2, 0x1.a78b190f7f401p-2, 0x1.a65b210fbae3dp-2, 0x1.a4fac6e95be2cp-2, 0x1.a36bb7c8e71b3p-2, 0x1.a1afa07b0370dp-2, 0x1.9fc82ca176156p-2, 0x1.9db705f67d584p-2, 0x1.9b7dd39df5c5cp-2, 0x1.991e3983a82ep-2, 0x1.9699d7c62b09ep-2, 0x1.93f24a2dc1b7p-2, 0x1.912927aeabeb4p-2, 0x1.8e4001f64e861p-2, 0x1.8b386502b8d89p-2, 0x1.8813d6c3f29cep-2, 0x1.84d3d6c6a044bp-2, 0x1.8179dde77070ap-2, 0x1.7e075e0ee8225p-2, 0x1.7a7dc1f50fep-2, 0x1.76de6cec90c24p-2, 0x1.732abab4db62fp-2, 0x1.6f63ff52eab9dp-2, 0x1.6b8b86f04062ap-2, 0x1.67a295bfb98b1p-2, 0x1.63aa67e7e25f5p-2, 0x1.5fa431726b295p-2, 0x1.5b911e4070d8ap-2, 0x1.577252033facap-2, 0x1.5348e8394a824p-2, 0x1.4f15f42f087d9p-2, 0x1.4ada810373207p-2, 0x1.469791afe3b79p-2, 0x1.424e21130b112p-2, 0x1.3dff21fecdd48p-2, 0x1.39ab7f48c5b6cp-2, 0x1.35541bdd3252cp-2, 0x1.30f9d2d427f45p-2, 0x1.2c9d7788c4e9dp-2, 0x1.283fd5b24558ep-2, 0x1.23e1b17ec4c24p-2, 0x1.1f83c7af8531cp-2, 0x1.1b26cdb691dfp-2, 0x1.16cb71d59b63bp-2, 0x1.12725b3de8242p-2, 0x1.0e1c2a31385eap-2, 0x1.09c978237b22fp-2, 0x1.057ad7dd3ff72p-2, 0x1.0130d59ebcb31p-2, 0x1.f9d7ee86b13dbp-3, 0x1.f15978cb3eb86p-3, 0x1.e8e73d070c1cfp-3, 0x1.e0822245d601dp-3, 0x1.d82b03ec8614dp-3, 0x1.cfe2b202b0309p-3, 0x1.c7a9f17c256f5p-3, 0x1.bf817c8267937p-3, 0x1.b76a02bdf3f99p-3, 0x1.af64299f38575p-3, 0x1.a7708ca72799p-3, 0x1.9f8fbdaf4bbp-3, 0x1.97c24531463dcp-3, 0x1.9008a28dab009p-3, 0x1.88634c521e036p-3, 0x1.80d2b07eaa219p-3, 0x1.795734ca44703p-3, 0x1.71f136e660656p-3, 0x1.6aa10cc19caa4p-3, 0x1.636704c96c703p-3, 0x1.5c43662abe2b7p-3, 0x1.553671119281p-3, 0x1.4e405ee781a56p-3, 0x1.476162911bd31p-3, 0x1.4099a8aa31279p-3, 0x1.39e957c0ecadep-3, 0x1.3350908fc7dbdp-3, 0x1.2ccf6e364bf5p-3, 0x1.26660670abe16p-3, 0x1.201469ce231d3p-3, 0x1.19daa3e62531ep-3, 0x1.13b8bb8c56aeap-3, 0x1.0daeb303594cfp-3, 0x1.07bc882e5a8bcp-3, 0x1.01e234c174958p-3, 0x1.f83f5ce1bbd99p-4, 0x1.ece9ce3dcc3a7p-4, 0x1.e1c39a118b31ap-4, 0x1.d6cc95e48345cp-4, 0x1.cc0490a04c15ep-4, 0x1.c16b52e32eb67p-4, 0x1.b7009f508c8ccp-4, 0x1.acc432def38d1p-4, 0x1.a2b5c5240a135p-4, 0x1.98d5089e392edp-4, 0x1.8f21aafc3f126p-4, 0x1.859b55628868cp-4, 0x1.7c41acae7fb3bp-4, 0x1.731451b7c1771p-4, 0x1.6a12e18f4b2edp-4, 0x1.613cf5bca6d12p-4, 0x1.589224791fb46p-4, 0x1.501200e907e39p-4, 0x1.47bc1b53186dbp-4, 0x1.3f900155f414cp-4, 0x1.378d3e1bd906bp-4, 0x1.2fb35a8c868cdp-4, 0x1.2801dd7d643e9p-4, 0x1.20784bdff10b5p-4, 0x1.191628ee85b93p-4, 0x1.11daf657731cdp-4, 0x1.0ac6346685025p-4, 0x1.03d7622cf5926p-4, 0x1.fa1bfb4fada63p-5, 0x1.ecd307c9fd2c5p-5, 0x1.dfd2e24cf8145p-5, 0x1.d31a8209467fcp-5, 0x1.c6a8dd1d63f69p-5, 0x1.ba7ce8d438d43p-5, 0x1.ae9599e111929p-5, 0x1.a2f1e4990043ap-5, 0x1.9790bd29c2f77p-5, 0x1.8c7117ce38e7cp-5, 0x1.8191e900790fcp-5, 0x1.76f225a99d2f8p-5, 0x1.6c90c34f50026p-5, 0x1.626cb83f2dc8dp-5, 0x1.5884fbb807b05p-5, 0x1.4ed886111f34p-5, 0x1.456650df5db05p-5, 0x1.3c2d5718a17e1p-5, 0x1.332c95352b7d9p-5, 0x1.2a63094f3df4cp-5, 0x1.21cfb340f3ca7p-5, 0x1.197194c06adbcp-5, 0x1.1147b17a43e1fp-5, 0x1.09510f2a8b9d6p-5, 0x1.018cb5b4182d9p-5, 0x1.f3f35e6cd58a7p-6, 0x1.e52e10443a3c4p-6, 0x1.d6c79e97daa65p-6, 0x1.c8be2bfcdf05bp-6, 0x1.bb0fe014ea214p-6, 0x1.adbae7ac62848p-6, 0x1.a0bd74d656d01p-6, 0x1.9415bf060d512p-6, 0x1.87c2032651dd9p-6, 0x1.7bc083aea0393p-6, 0x1.700f88b63eb63p-6, 0x1.64ad60054eb2dp-6, 0x1.59985d2400b22p-6, 0x1.4eced967e450fp-6, 0x1.444f33ff7d9d1p-6, 0x1.3a17d1fc229d7p-6, 0x1.30271e5a38464p-6, 0x1.267b8a07eafc9p-6, 0x1.1d138bea5768cp-6, 0x1.13eda0e15a7a3p-6, 0x1.0b084bc9f4e87p-6, 0x1.0262157f6999bp-6, 0x1.f3f319b64029cp-7, 0x1.e39a8d6695fdbp-7, 0x1.d3b7bbb0fb1fdp-7, 0x1.c447e6244f1f3p-7, 0x1.b5485a340d3c1p-7, 0x1.a6b6712d54b1p-7, 0x1.988f902a01978p-7, 0x1.8ad128021e2d2p-7, 0x1.7d78b53b9e677p-7, 0x1.7083bff88ea6dp-7, 0x1.63efdbe3cedcep-7, 0x1.57baa81c69a2ap-7, 0x1.4be1cf1f95501p-7, 0x1.406306b17f088p-7, 0x1.353c0fc4f8a4dp-7, 0x1.2a6ab6620391ep-7, 0x1.1fecd18b6588bp-7, 0x1.15c0432340829p-7, 0x1.0be2f7cee2d52p-7, 0x1.0252e6d9b19e5p-7, 0x1.f21c242ec2e1ep-8, 0x1.e0250b8af4974p-8, 0x1.cebcb0d87b4f9p-8, 0x1.bddf557deefbcp-8, 0x1.ad894ef7a530dp-8, 0x1.9db7069647a54p-8, 0x1.8e64f93cb7aa4p-8, 0x1.7f8fb71d193p-8, 0x1.7133e375453bbp-8, 0x1.634e344aa21cfp-8, 0x1.55db722582e37p-8, 0x1.48d877cc0caabp-8, 0x1.3c4231fcf5e7p-8, 0x1.30159f29cab03p-8, 0x1.244fcf311c811p-8, 0x1.18ede3188d5efp-8, 0x1.0ded0cc6cd362p-8, 0x1.034a8ebd9e889p-8, 0x1.f20777a7a3a39p-9, 0x1.de2bedded9193p-9, 0x1.cafd657fe5ae4p-9, 0x1.b876e2f1eafacp-9, 0x1.a6938919ae5d8p-9, 0x1.954e98cf9fd0fp-9, 0x1.84a37056bf1d8p-9, 0x1.748d8ad41a2b2p-9, 0x1.65087fc75fbb5p-9, 0x1.5610028414d4bp-9, 0x1.479fe1abe8b9p-9, 0x1.39b406a9f15acp-9, 0x1.2c48752f2163p-9, 0x1.1f594aaffdf8ap-9, 0x1.12e2bde32832dp-9, 0x1.06e11e417e1fp-9, 0x1.f6a1a70e87997p-10, 0x1.e05cba6dacd4fp-10, 0x1.caeca43966cf1p-10, 0x1.b64abfa987b17p-10, 0x1.a27094a24213dp-10, 0x1.8f57d6c4ce228p-10, 0x1.7cfa6482a16b4p-10, 0x1.6b52463475b2p-10, 0x1.5a59ad33915b2p-10, 0x1.4a0af2f64c803p-10, 0x1.3a60982feed32p-10, 0x1.2b5543f390bffp-10, 0x1.1ce3c2da85c7p-10, 0x1.0f07062da2adap-10, 0x1.01ba231178d93p-10, 0x1.e9f0a36cbaa2bp-11, 0x1.d179d9168c27p-11, 0x1.ba06dee85a7d8p-11, 0x1.a38eee07e6015p-11, 0x1.8e097f7116013p-11, 0x1.796e4a76bda89p-11, 0x1.65b54348cd246p-11, 0x1.52d6998165444p-11, 0x1.40cab6b946bc8p-11, 0x1.2f8a3d20bfa1p-11, 0x1.1f0e062067582p-11, 0x1.0f4f20ffb353cp-11, 0x1.0046d191f8bafp-11, 0x1.e3dd1dd3c2a32p-12, 0x1.c8800427eea85p-12, 0x1.ae6a09aa5bae5p-12, 0x1.958f40e2fe027p-12, 0x1.7de418efb8517p-12, 0x1.675d5b284c74ep-12, 0x1.51f028d03865ap-12, 0x1.3d91f8d28e86bp-12, 0x1.2a389588acb62p-12, 0x1.17da1a8f158ebp-12, 0x1.066cf2a39069bp-12, 0x1.ebcfab1fa7fb8p-13, 0x1.cc838c41412d7p-13, 0x1.aee4204bb4ae9p-13, 0x1.92e08cfa7b9a5p-13, 0x1.7868825425c11p-13, 0x1.5f6c36eb7c0f1p-13, 0x1.47dc643680ecep-13, 0x1.31aa42fd5ad0ep-13, 0x1.1cc787dae2202p-13, 0x1.09265fcd53901p-13, 0x1.ed72d9c5bb0fcp-14, 0x1.cae785e6f643p-14, 0x1.aa91c8e15c143p-14, 0x1.8c597e914fbf4p-14, 0x1.702753b95e806p-14, 0x1.55e4c0094f8e2p-14, 0x1.3d7c0053c3a98p-14, 0x1.26d810e40b7dcp-14, 0x1.11e4a7f3f142ap-14, 0x1.fd1c6091cfd09p-15, 0x1.d98387e6d6348p-15, 0x1.b8da4e4b45a17p-15, 0x1.9afd86645bcd5p-15, 0x1.7fcb43556d057p-15, 0x1.6722cf33ee11ap-15, 0x1.50e4a1bb83f42p-15, 0x1.3cf2574703493p-15, 0x1.2b2ea7fba7cebp-15, 0x1.1b7d5f249b86bp-15, 0x1.0dc352d58142ep-15, 0x1.01e65bc17ea65p-15, 0x1.ef9a9a85a82ddp-16, 0x1.debfdb35b670fp-16, 0x1.d10ddcda0accfp-16, 0x1.c657cac7ab22dp-16, 0x1.be7289ffc5a97p-16, 0x1.b934ab561600cp-16, 0x1.b6765dda74a78p-16, 0x1.b61161a865f2dp-16, 0x1.b7e0fb162b9cp-16, 0x1.bbc1e63a78e8dp-16, 0x1.c1924ac9c714p-16, 0x1.c931b037cb406p-16, 0x1.d280f2491ddb5p-16, 0x1.dd6235e3cadeep-16, 0x1.e9b8de2f4baf4p-16, 0x1.f7698213214bbp-16, 0x1.032cf0f8c2504p-15, 0x1.0b386ed90d551p-15, 0x1.13cb35865371ap-15, 0x1.1cd9c60fbfffap-15, 0x1.2659232d75549p-15, 0x1.303eccc8cded5p-15, 0x1.3a80bbb143bdbp-15, 0x1.45155d70877a1p-15, 0x1.4ff390392db8cp-15, 0x1.5b129ef4dfa48p-15, 0x1.666a3d6e41651p-15, 0x1.71f2849f69878p-15, 0x1.7da3ef174860ep-15, 0x1.89775579009fep-15, 0x1.9565eb1ae26cep-15, 0x1.a1693abe4c645p-15, 0x1.ad7b235f3da7bp-15, 0x1.b995d51bbf91dp-15, 0x1.c5b3ce3427955p-15, 0x1.d1cfd8282665ep-15, 0x1.dde504e475c59p-15, 0x1.e9eeac087e067p-15, 0x1.f5e868452d101p-15, 0x1.00e70a66b2512p-14, 0x1.06cde56d7d47dp-14, 0x1.0ca6efa3a9b61p-14, 0x1.1270701d7442bp-14, 0x1.1828c976b38bcp-14, 0x1.1dce78bba5809p-14, 0x1.2360145c13f33p-14, 0x1.28dc4b272374ep-14, 0x1.2e41e34dd4ce5p-14, 0x1.338fb9703faf8p-14, 0x1.38c4bfaeb3306p-14, 0x1.3ddffcc868371p-14, 0x1.42e08b3dfbc81p-14, 0x1.47c5987ae3a54p-14, 0x1.4c8e64087db5cp-14, 0x1.513a3ec76a754p-14, 0x1.55c88a2d002f4p-14, 0x1.5a38b78ca643dp-14, 0x1.5e8a476016ad5p-14, 0x1.62bcc89c1cb8fp-14, 0x1.66cfd809beddcp-14, 0x1.6ac31fa3d32a4p-14, 0x1.6e9655fa54e95p-14, 0x1.72493d9dfa1a7p-14, 0x1.75dba48d100f7p-14, 0x1.794d63a80114fp-14, 0x1.7c9e5e2beceebp-14, 0x1.7fce812d10dd7p-14, 0x1.82ddc31bd735p-14, 0x1.85cc234baa62ap-14, 0x1.8899a97dd4aep-14, 0x1.8b466571224afp-14, 0x1.8dd26e7737d8p-14, 0x1.903de30af4bdp-14, 0x1.9288e86c3775ap-14, 0x1.94b3aa415bdecp-14, 0x1.96be5a37b2252p-14, 0x1.98a92fac7bc96p-14, 0x1.9a7467560886fp-14, 0x1.9c2042f196155p-14, 0x1.9dad08f405b6dp-14, 0x1.9f1b043dc6b0fp-14, 0x1.a06a83d2089a4p-14, 0x1.a19bda8f36c78p-14, 0x1.a2af5eec8cdd8p-14, 0x1.a3a56ab93924bp-14, 0x1.a47e5ade3df76p-14, 0x1.a53a8f225f0b5p-14, 0x1.a5da69f201574p-14, 0x1.a65e5027a950ap-14, 0x1.a6c6a8d7a59d2p-14, 0x1.a713dd1ebafa6p-14, 0x1.a74657f11a024p-14, 0x1.a75e85ec23b51p-14, 0x1.a75cd52b6e47bp-14, 0x1.a741b51e2d062p-14, 0x1.a70d965f03e7dp-14, 0x1.a6c0ea8d90e42p-14, 0x1.a65c242a528f9p-14, 0x1.a5dfb6730b053p-14, 0x1.a54c1540ea944p-14, 0x1.a4a1b4eaf17d6p-14, 0x1.a3e10a25116c2p-14, 0x1.a30a89e4a0779p-14, 0x1.a21ea944be724p-14, 0x1.a11ddd6c57a81p-14, 0x1.a0089b75041b6p-14, 0x1.9edf5853a8c1ep-14, 0x1.9da288c2b5776p-14, 0x1.9c52a12c0d02bp-14, 0x1.9af01594e46d3p-14, 0x1.997b598c1beafp-14, 0x1.97f4e016f65ecp-14, 0x1.965d1ba0b1d5dp-14, 0x1.94b47dea5ba4p-14, 0x1.92fb77fc37a9fp-14, 0x1.91327a16d8b3dp-14, 0x1.8f59f3a6319b9p-14, 0x1.8d72533566a1ep-14, 0x1.8b7c0662c91c6p-14, 0x1.897779d4748cep-14, 0x1.8765192e9113cp-14, 0x1.85454f09eabb8p-14, 0x1.831884eaa001p-14, 0x1.80df233840c15p-14, 0x1.7e999135f9953p-14, 0x1.7c4834fbcd35bp-14, 0x1.79eb736fbb25p-14, 0x1.7783b03fe8d88p-14, 0x1.75114dddf562fp-14, 0x1.7294ad794a121p-14, 0x1.700e2efa7605dp-14, 0x1.6d7e31002286bp-14, 0x1.6ae510daba179p-14, 0x1.68432a89d3df4p-14, 0x1.6598d8b902868p-14, 0x1.62e674bde448p-14, 0x1.602c56960ecb9p-14, 0x1.5d6ad4e5188bfp-14, 0x1.5aa244f36ba34p-14, 0x1.57d2faaddb25fp-14, 0x1.54fd48a42fdc2p-14, 0x1.52218008ef261p-14, 0x1.4f3ff0b171dd9p-14, 0x1.4c58e915c472dp-14, 0x1.496cb65151e1bp-14, 0x1.467ba422e3271p-14, 0x1.4385fcee0fd41p-14, 0x1.408c09bc23049p-14, 0x1.3d8e123ceedc9p-14, 0x1.3a8c5cc87325fp-14, 0x1.37872e609d83ap-14, 0x1.347ecab2ea79dp-14, 0x1.3173741a061a8p-14, 0x1.2e656ba030dedp-14, 0x1.2b54f1016b65bp-14, 0x1.284242adb9cbcp-14, 0x1.252d9dcb7680fp-14, 0x1.22173e39bcb7dp-14, 0x1.1eff5e93cab5cp-14, 0x1.1be63832fd49cp-14, 0x1.18cc033228063p-14, 0x1.15b0f67014672p-14, 0x1.1295479330845p-14, 0x1.0f792b0c08456p-14, 0x1.0c5cd418cc43fp-14, 0x1.094074c85e5bfp-14, 0x1.06243dfdf6183p-14, 0x1.03085f7439df6p-14, 0x1.ffda0f80bfbe4p-15, 0x1.f9a4c8abf6032p-15, 0x1.f37143152b3f7p-15, 0x1.ed3fd531c3d63p-15, 0x1.e710d348f5a21p-15, 0x1.e0e48f7a6c84bp-15, 0x1.dabb59c649eacp-15, 0x1.d4958013b52ep-15, 0x1.ce734e3853fe2p-15, 0x1.c8550dff8641bp-15, 0x1.c23b073224647p-15, 0x1.bc257f9d961c3p-15, 0x1.b614bb1a889fdp-15, 0x1.b008fb95036cep-15, 0x1.aa02811395078p-15, 0x1.a40189beb7ee1p-15, 0x1.9e0651e809cbbp-15, 0x1.9811141165d79p-15, 0x1.922208f4973f7p-15, 0x1.8c39678a715dcp-15, 0x1.86576511e4554p-15, 0x1.807c35174fa56p-15, 0x1.7aa8097bbe679p-15, 0x1.74db127c51aadp-15, 0x1.6f157eb8afb04p-15, 0x1.69577b3a614e4p-15, 0x1.63a1337c03bafp-15, 0x1.5df2d17000eccp-15, 0x1.584c7d87c7284p-15, 0x1.52ae5eba3f721p-15, 0x1.4d189a8ace596p-15, 0x1.478b5510292acp-15, 0x1.4206b0fb04f26p-15, 0x1.3c8acf9c8a0afp-15, 0x1.3717d0ecf4b6ap-15, 0x1.31add39243c49p-15, 0x1.2c4cf4e6c8f33p-15, 0x1.26f550feff694p-15, 0x1.21a702b04ee56p-15, 0x1.1c6223973b34ep-15, 0x1.1726cc1d84e58p-15, 0x1.11f513806c316p-15, 0x1.0ccd0fd682c92p-15, 0x1.07aed615c15aap-15, 0x1.029a7a197f2fbp-15, 0x1.fb201d50d171p-16, 0x1.f11f4af3e5e17p-16, 0x1.e7329e786693ep-16, 0x1.dd5a373336f7bp-16, 0x1.d396327ced478p-16, 0x1.c9e6abbcd3446p-16, 0x1.c04bbc7347b1ap-16, 0x1.b6c57c45398fdp-16, 0x1.ad54010617be7p-16, 0x1.a3f75ec2832c8p-16, 0x1.9aafa7ca70eb2p-16, 0x1.917cecbb439adp-16, 0x1.885f3c89964dap-16, 0x1.7f56a48b6e746p-16, 0x1.76633081f62dep-16, 0x1.6d84eaa264e6ap-16, 0x1.64bbdb9feb605p-16, 0x1.5c080ab4dd2b9p-16, 0x1.53697dabd3a51p-16, 0x1.4ae038e867065p-16, 0x1.426c3f705b796p-16, 0x1.3a0d92f42e34fp-16, 0x1.31c433d78db2fp-16, 0x1.29902139fe942p-16, 0x1.217158ff0d389p-16, 0x1.1967d7d644faap-16, 0x1.1173994365622p-16, 0x1.099497a658a69p-16, 0x1.01cacc43201afp-16, 0x1.f42c5e918479cp-17, 0x1.e4ed6fb3184e9p-17, 0x1.d5d8b823f3bb5p-17, 0x1.c6ee2220bc86ep-17, 0x1.b82d95f751a19p-17, 0x1.a996fa14b71cap-17, 0x1.9b2a3313dbbffp-17, 0x1.8ce723c9ed29p-17, 0x1.7ecdad544dd99p-17, 0x1.70ddaf2593655p-17, 0x1.63170712327a8p-17, 0x1.5579915ccd3d3p-17, 0x1.480528c3020b5p-17, 0x1.3ab9a68982126p-17, 0x1.2d96e287c4beep-17, 0x1.209cb3339466cp-17, 0x1.13caedacf7e8ap-17, 0x1.072165c8b6748p-17, 0x1.f53fdc390cf9p-18, 0x1.dc8cb0110a956p-18, 0x1.c428e78595c1p-18, 0x1.ac1420c332e17p-18, 0x1.944df7ca47005p-18, 0x1.7cd606845abc8p-18, 0x1.65abe4d73cc3fp-18, 0x1.4ecf28b8387a7p-18, 0x1.383f663dfb1b8p-18, 0x1.21fc2fb4ea9c9p-18, 0x1.0c0515b029b32p-18, 0x1.ecb34e3624107p-19, 0x1.c1f2e29603705p-19, 0x1.97c80021282f9p-19, 0x1.6e31bb8eb5affp-19, 0x1.452f26cfe7bb3p-19, 0x1.1cbf512b98979p-19, 0x1.e9c28ebfcf526p-20, 0x1.9b282784a8172p-20, 0x1.4dad7cb406949p-20, 0x1.015099ff1e28bp-20, 0x1.6c1f0de6c69ffp-21, 0x1.afa11cc2d2b72p-22, 0x1.16c6d4f97f5bep-23, -0x1.290612b4ae2cep-23, -0x1.b01a5a4832466p-22, -0x1.63b5581e3f0d2p-21, -0x1.ed3e1f5f0fca3p-21, -0x1.3a55d10ac819dp-20, -0x1.7d01023d8a9bdp-20, -0x1.bea2b7bb2f449p-20, -0x1.ff3d08200f47bp-20, -0x1.1f690602b5fdp-19, -0x1.3eb1eeeaa3365p-19, -0x1.5d7a4ccf316b6p-19, -0x1.7bc32e77e81d6p-19, -0x1.998da354cec8ap-19, -0x1.b6dabb6ce5b93p-19, -0x1.d3ab874942cadp-19, -0x1.f00117e519b9fp-19, -0x1.05ee3f4b7bc5cp-18, -0x1.139f6681051d2p-18, -0x1.21148a827ea28p-18, -0x1.2e4e3452d268cp-18, -0x1.3b4ced0285c69p-18, -0x1.48113da576679p-18, -0x1.549baf4c15bfp-18, -0x1.60eccafbd382ap-18, -0x1.6d0519a71773p-18, -0x1.78e524266cf39p-18, -0x1.848d7330ddab6p-18, -0x1.8ffe8f562b2fap-18, -0x1.9b3900f6d32c6p-18, -0x1.a63d503e5aed9p-18, -0x1.b10c051c9c671p-18, -0x1.bba5a7400edb9p-18, -0x1.c60abe0f7b5e4p-18, -0x1.d03bd0a35439ep-18, -0x1.da3965c23eec7p-18, -0x1.e40403d9494ecp-18, -0x1.ed9c30f81676ap-18, -0x1.f70272cb969fcp-18, -0x1.001ba74bb4306p-17, -0x1.049da499b2298p-17, -0x1.09077382e4e2bp-17, -0x1.0d5955feea076p-17, -0x1.11938dc8566fep-17, -0x1.15b65c5a4d079p-17, -0x1.19c202ee8a6e8p-17, -0x1.1db6c27b1f2ebp-17, -0x1.2194dbb0bfad2p-17, -0x1.255c8ef8d794p-17, -0x1.290e1c73ef86fp-17, -0x1.2ca9c3f7632a2p-17, -0x1.302fc50c1a47ap-17, -0x1.33a05eed2a52bp-17, -0x1.36fbd08584f05p-17, -0x1.3a42586f3b9b6p-17, -0x1.3d7434f1d962cp-17, -0x1.4091a4004c3e7p-17, -0x1.439ae338b5ef8p-17, -0x1.46902fe276e94p-17, -0x1.4971c6ecddaa3p-17, -0x1.4c3fe4ee3377cp-17, -0x1.4efac622b6142p-17, -0x1.51a2a66b355d3p-17, -0x1.5437c14c25a73p-17, -0x1.56ba51ecfb286p-17, -0x1.592a93169b598p-17, -0x1.5b88bf3307a5p-17, -0x1.5dd5104c1ee86p-17, -0x1.600fc00adf38ap-17, -0x1.623907b706c4cp-17, -0x1.64512035ccb18p-17, -0x1.6658420962471p-17, -0x1.684ea550a0cbbp-17, -0x1.6a3481c5d3aacp-17, -0x1.6c0a0ebe9d132p-17, -0x1.6dcf832b7442fp-17, -0x1.6f851596b1f96p-17, -0x1.712afc2484efap-17, -0x1.72c16c924aac1p-17, -0x1.74489c3652fb2p-17, -0x1.75c0bfff628e2p-17, -0x1.772a0c7449c6ap-17, -0x1.7884b5b3ea7a9p-17, -0x1.79d0ef749c4fp-17, -0x1.7b0eed0429d6ap-17, -0x1.7c3ee1474355ap-17, -0x1.7d60feb9a5ab4p-17, -0x1.7e75776df086dp-17, -0x1.7f7c7d0d5442p-17, -0x1.807640d74f964p-17, -0x1.8162f3a23b673p-17, -0x1.8242c5da75788p-17, -0x1.8315e782cf659p-17, -0x1.83dc8834bb4efp-17, -0x1.8496d71fb7697p-17, -0x1.85450309ae8d7p-17, -0x1.85e73a4eef90bp-17, -0x1.867daae2852fbp-17, -0x1.8708824e0f246p-17, -0x1.8787edb19e1eap-17, -0x1.87fc19c467e96p-17, -0x1.886532d4ac08ap-17, -0x1.88c364c7f7754p-17, -0x1.8916db1af9618p-17, -0x1.895fc0e1f0bf8p-17, -0x1.899e40c94f1bp-17, -0x1.89d2851596035p-17, -0x1.89fcb7a33d1ap-17, -0x1.8a1d01e7a14e5p-17, -0x1.8a338cf11064bp-17, -0x1.8a408166dd23ap-17, -0x1.8a44078a1378ep-17, -0x1.8a3e4735a808p-17, -0x1.8a2f67dea084cp-17, -0x1.8a179094a0ee8p-17, -0x1.89f6e8023f26ap-17, -0x1.89cd946d5686ap-17, -0x1.899bbbb7bee6fp-17, -0x1.8961835f12f98p-17, -0x1.891f107d96df6p-17, -0x1.88d487ca9febdp-17, -0x1.88820d9aef6fap-17, -0x1.8827c5e128e56p-17, -0x1.87c5d42dfbbcdp-17, -0x1.875c5bb0e0253p-17, -0x1.86eb7f3907b96p-17, -0x1.867361350ccb8p-17, -0x1.85f423b383f39p-17, -0x1.856de8642ab37p-17, -0x1.84e0d097a69d4p-17, -0x1.844cfd403dca7p-17, -0x1.83b28ef2ffbcfp-17, -0x1.8311a5e757d7bp-17, -0x1.826a61f82d99fp-17, -0x1.81bce2a40a174p-17, -0x1.8109470e02e03p-17, -0x1.804fadfe14ccep-17, -0x1.7f9035e1be318p-17, -0x1.7ecafccc8c195p-17, -0x1.7e002078a611ep-17, -0x1.7d2fbe475b667p-17, -0x1.7c59f341dfea5p-17, -0x1.7b7edc19b24b6p-17, -0x1.7a9e952922192p-17, -0x1.79b93a73e9f87p-17, -0x1.78cee7a82a667p-17, -0x1.77dfb81ea4cecp-17, -0x1.76ebc6db360b1p-17, -0x1.75f32e8dc14b5p-17, -0x1.74f6099296685p-17, -0x1.73f471f2e24c7p-17, -0x1.72ee8165ed726p-17, -0x1.71e451513a28dp-17, -0x1.70d5fac8f38a4p-17, -0x1.6fc3969107f44p-17, -0x1.6ead3d1d48bc4p-17, -0x1.6d9306926f088p-17, -0x1.6c750ac6aa7cbp-17, -0x1.6b536141d51bbp-17, -0x1.6a2e213e9ab73p-17, -0x1.690561aacdf6ap-17, -0x1.67d939280ca24p-17, -0x1.66a9be0c89656p-17, -0x1.6577066358307p-17, -0x1.644127ed51ec9p-17, -0x1.630838216811ap-17, -0x1.61cc4c2dd79dap-17, -0x1.608d78f810949p-17, -0x1.5f4bd31dd1e8dp-17, -0x1.5e076ef5a2899p-17, -0x1.5cc0608f37b51p-17, -0x1.5b76bbb4419dbp-17, -0x1.5a2a93e95933dp-17, -0x1.58dbfc6e28808p-17, -0x1.578b083e28e03p-17, -0x1.5637ca1140196p-17, -0x1.54e2545c61c4ap-17, -0x1.538ab952269f6p-17, -0x1.52310ae37699ap-17, -0x1.50d55ac021998p-17, -0x1.4f77ba57498cdp-17, -0x1.4e183ad83c2abp-17, -0x1.4cb6ed32fee3cp-17, -0x1.4b53e218e0dedp-17, -0x1.49ef29fd0509p-17, -0x1.4888d514fc938p-17, -0x1.4720f359749c4p-17, -0x1.45b7948698775p-17, -0x1.444cc81d2a21bp-17, -0x1.42e09d626e38cp-17, -0x1.4173236139799p-17, -0x1.400468ea68a81p-17, -0x1.3e947c953e855p-17, -0x1.3d236cc00f992p-17, -0x1.3bb147914b5dap-17, -0x1.3a3e1af77aa98p-17, -0x1.38c9f4a9f2f7bp-17, -0x1.3754e22992c3p-17, -0x1.35def0c10ea03p-17, -0x1.34682d85d8422p-17, -0x1.32f0a558696a9p-17, -0x1.317864e4d630fp-17, -0x1.2fff78a38b18ep-17, -0x1.2e85ecd9a014fp-17, -0x1.2d0bcd9973043p-17, -0x1.2b9126c36aaf7p-17, -0x1.2a16040630b83p-17, -0x1.289a70df579dfp-17, -0x1.271e789c0fc08p-17, -0x1.25a226594db5ap-17, -0x1.24258504957ccp-17, -0x1.22a89f5c9fccp-17, -0x1.212b7ff1af61p-17, -0x1.1fae31260932p-17, -0x1.1e30bd2e76b5cp-17, -0x1.1cb32e12e2d46p-17, -0x1.1b358daedb51cp-17, -0x1.19b7e5b2115aap-17, -0x1.183a3fa0db5d7p-17, -0x1.16bca4d49d615p-17, -0x1.153f1e7c44d1ap-17, -0x1.13c1b59ce99cdp-17, -0x1.124473122c74dp-17, -0x1.10c75f8ec8cc1p-17, -0x1.0f4a839cfa945p-17, -0x1.0dcde79eee5ep-17, -0x1.0c5193cf5e48cp-17, -0x1.0ad5904200fcp-17, -0x1.0959e4e3e7782p-17, -0x1.07de997c0974fp-17, -0x1.0663b5aba63a2p-17, -0x1.04e940eee52a8p-17, -0x1.036f429d25bffp-17, -0x1.01f5c1e94ac5ep-17, -0x1.007cc5e266ff6p-17, -0x1.fe08aae899acfp-18, -0x1.fb18eecf8105p-18, -0x1.f82a64c5d93efp-18, -0x1.f53d19d38655ep-18, -0x1.f2511abd2355dp-18, -0x1.ef667404fbacbp-18, -0x1.ec7d31eb58b38p-18, -0x1.e995606fbf4f9p-18, -0x1.e6af0b51b6d32p-18, -0x1.e3ca3e115b69ap-18, -0x1.e0e703f06b02bp-18, -0x1.de0567f328724p-18, -0x1.db2574e0d3582p-18, -0x1.d8473544b024ap-18, -0x1.d56ab36eccf54p-18, -0x1.d28ff9749c5c4p-18, -0x1.cfb71131dd672p-18, -0x1.cce00449a5146p-18, -0x1.ca0adc267ee59p-18, -0x1.c737a1fb8e8b1p-18, -0x1.c4665ec564e4dp-18, -0x1.c1971b4a897e8p-18, -0x1.bec9e01c54c09p-18, -0x1.bbfeb59740ee1p-18, -0x1.b935a3e43accp-18, -0x1.b66eb2f958149p-18, -0x1.b3a9ea99dc5d3p-18, -0x1.b0e75257721bcp-18, -0x1.ae26f192a92e6p-18, -0x1.ab68cf7bbd734p-18, -0x1.a8acf31352ff5p-18, -0x1.a5f3632b0b6bbp-18, -0x1.a33c266619b2cp-18, -0x1.a0874339f4e3dp-18, -0x1.9dd4bfef1ddd2p-18, -0x1.9b24a2a19125cp-18, -0x1.9876f14198c23p-18, -0x1.95cbb1945926cp-18, -0x1.9322e93456aa5p-18, -0x1.907c9d922d212p-18, -0x1.8dd8d3f53ac82p-18, -0x1.8b37917c29c1ap-18, -0x1.8898db1d6111ap-18, -0x1.85fcb5a7f6baep-18, -0x1.836325c3ec463p-18, -0x1.80cc2ff2ddb72p-18, -0x1.7e37d890be567p-18, -0x1.7ba623d4447e8p-18, -0x1.791715cf60a54p-18, -0x1.768ab26fef7c7p-18, -0x1.7400fd803223p-18, -0x1.7179faa789c84p-18, -0x1.6ef5ad6acaf86p-18, -0x1.6c74192cb0e71p-18, -0x1.69f5412ebdae2p-18, -0x1.677928916de5p-18, -0x1.64ffd254cf15bp-18, -0x1.6289415910b7cp-18, -0x1.6015785f1aa4dp-18, -0x1.5da47a08c878ep-18, -0x1.5b3648d998d0ep-18, -0x1.58cae73728a75p-18, -0x1.56625769ae1d9p-18, -0x1.53fc9b9c55951p-18, -0x1.5199b5ddd9df1p-18, -0x1.4f39a820dafe2p-18, -0x1.4cdc743c7655ep-18, -0x1.4a821becb199fp-18, -0x1.482aa0d2ec144p-18, -0x1.45d604761d30cp-18, -0x1.438448438cab4p-18, -0x1.41356d8f3c0dap-18, -0x1.3ee9759431567p-18, -0x1.3ca06174d9d61p-18, -0x1.3a5a323baa265p-18, -0x1.3816e8db545a6p-18, -0x1.35d6862f37d45p-18, -0x1.33990afc013ccp-18, -0x1.315e77efaf693p-18, -0x1.2f26cda2485e5p-18, -0x1.2cf20c961ec6bp-18, -0x1.2ac035383032ep-18, -0x1.289147e090528p-18, -0x1.266544d2c0935p-18, -0x1.243c2c3e02905p-18, -0x1.2215fe3dc957fp-18, -0x1.1ff2bada2256bp-18, -0x1.1dd26207e77ddp-18, -0x1.1bb4f3a93a56cp-18, -0x1.199a6f8ddecd9p-18, -0x1.1782d5737083ep-18, -0x1.156e2505dc29p-18, -0x1.135c5ddf95604p-18, -0x1.114d7f8a23b28p-18, -0x1.0f41897e208a1p-18, -0x1.0d387b23d6969p-18, -0x1.0b3253d37565p-18, -0x1.092f12d54c2c3p-18, -0x1.072eb76242db5p-18, -0x1.053140a3fe215p-18, -0x1.0336adb551da5p-18, -0x1.013efda27e745p-18, -0x1.fe945ed2e26adp-19, -0x1.fab083f4368fcp-19, -0x1.f6d2686d6400cp-19, -0x1.f2fa09e7f839dp-19, -0x1.ef2765f3281fdp-19, -0x1.eb5a7a045b814p-19, -0x1.e7934377f9baep-19, -0x1.e3d1bf917f9fep-19, -0x1.e015eb7c77edfp-19, -0x1.dc5fc44c900dfp-19, -0x1.d8af46fe71fb1p-19, -0x1.d50470781ec3bp-19, -0x1.d15f3d896d5bep-19, -0x1.cdbfaaec91819p-19, -0x1.ca25b546d1e5fp-19, -0x1.c69159288f185p-19, -0x1.c302930e155bp-19, -0x1.bf795f5ffb2dcp-19, -0x1.bbf5ba736a832p-19, -0x1.b877a08afd89bp-19, -0x1.b4ff0dd6a1d94p-19, -0x1.b18bfe74a91d5p-19, }}, 
      {{0x1.e80fa1ba689f7p-1, 0x1.e701ce59dbaaep-1, 0x1.e5943e83352cp-1, 0x1.e3d091004bc3cp-1, 0x1.e1c10d1ce88b4p-1, 0x1.df7019667a375p-1, 0x1.dce7d96a6b4f6p-1, 0x1.da31e9b667b6ep-1, 0x1.d757332496d39p-1, 0x1.d45fcfec8061ap-1, 0x1.d152fe188a0fep-1, 0x1.ce371bed32ad7p-1, 0x1.cb11ab8d54661p-1, 0x1.c7e75bbede64bp-1, 0x1.c4bc142cdcc9fp-1, 0x1.c19303e44872dp-1, 0x1.be6eb115c6be6p-1, 0x1.bb5109632c87fp-1, 0x1.b83b722f6475cp-1, 0x1.b52ed88cd7af1p-1, 0x1.b22bc083c8a99p-1, 0x1.af325380be79bp-1, 0x1.ac426dccacc7ep-1, 0x1.a95baafdd81b5p-1, 0x1.a67d715a9a8efp-1, 0x1.a3a6fc2ea4da2p-1, 0x1.a0d76518e183ep-1, 0x1.9e0dac5bfb041p-1, 0x1.9b48c03e3bd12p-1, 0x1.98878387308dfp-1, 0x1.95c8d32a74baep-1, 0x1.930b8b2f7f98cp-1, 0x1.904e8ae64e9cep-1, 0x1.8d90b8787be5cp-1, 0x1.8ad103e5d236p-1, 0x1.880e697ac35dep-1, 0x1.8547f3ce6048ap-1, 0x1.827cbd54a5295p-1, 0x1.7fabf1910524dp-1, 0x1.7cd4cdf4505e2p-1, 0x1.79f6a2702518cp-1, 0x1.7710d1c954c0dp-1, 0x1.7422d1b1cb831p-1, 0x1.712c2ab1cb214p-1, 0x1.6e2c77e78de26p-1, 0x1.6b2366a3b5799p-1, 0x1.6810b5e848fe1p-1, 0x1.64f435cf69268p-1, 0x1.61cdc6de58178p-1, 0x1.5e9d5948ed7d8p-1, 0x1.5b62ec2919c91p-1, 0x1.581e8cadab413p-1, 0x1.54d0554327848p-1, 0x1.51786cb92b187p-1, 0x1.4e17056675009p-1, 0x1.4aac5c4d72fa2p-1, 0x1.4738b842e4bdcp-1, 0x1.43bc6917ea3e8p-1, 0x1.4037c6c8a2088p-1, 0x1.3cab30b04298fp-1, 0x1.39170cc379004p-1, 0x1.357bc6d1a4c0ep-1, 0x1.31d9cfcd72e28p-1, 0x1.2e319d1d2ff5bp-1, 0x1.2a83a7f31962ep-1, 0x1.26d06cadd7223p-1, 0x1.23186a4136ef1p-1, 0x1.1f5c21a72f1e9p-1, 0x1.1b9c155920bfp-1, 0x1.17d8c8d143e26p-1, 0x1.1412c0141ea36p-1, 0x1.104a7f41db595p-1, 0x1.0c808a2f4f956p-1, 0x1.08b564067d273p-1, 0x1.04e98eee4d63fp-1, 0x1.011d8bb94d4a3p-1, 0x1.faa3b33641b02p-2, 0x1.f30debc8dd5f3p-2, 0x1.eb7ab789f3da5p-2, 0x1.e3eb082749671p-2, 0x1.dc5fca382a1dp-2, 0x1.d4d9e4e36655ap-2, 0x1.cd5a398f7ba14p-2, 0x1.c5e1a39c58af6p-2, 0x1.be70f82639196p-2, 0x1.b70905d113cd2p-2, 0x1.afaa949c19089p-2, 0x1.a85665bcc1ab8p-2, 0x1.a10d3380fa72dp-2, 0x1.99cfb137ece45p-2, 0x1.929e8b210051ap-2, 0x1.8b7a66609b52ep-2, 0x1.8463e0fa41015p-2, 0x1.7d5b91cfa68cfp-2, 0x1.766208a4637fp-2, 0x1.6f77ce25d7828p-2, 0x1.689d63f6fb5ddp-2, 0x1.61d344bfc2148p-2, 0x1.5b19e43fbb066p-2, 0x1.5471af63aead6p-2, 0x1.4ddb0c5dedda3p-2, 0x1.47565ac10bbe7p-2, 0x1.40e3f39ccbcbep-2, 0x1.3a84299d00fe3p-2, 0x1.3437492a26b5ep-2, 0x1.2dfd988b84136p-2, 0x1.27d7580aa1189p-2, 0x1.21c4c217e3557p-2, 0x1.1bc60b7023f45p-2, 0x1.15db634317ffap-2, 0x1.1004f35a650edp-2, 0x1.0a42e0413c883p-2, 0x1.0495496c5d5bep-2, 0x1.fdf892c4be634p-3, 0x1.f2efebc851606p-3, 0x1.e810c02ae971bp-3, 0x1.dd5b294aa75b1p-3, 0x1.d2cf37ed14d26p-3, 0x1.c86cf48f88b76p-3, 0x1.be345fb6f07cp-3, 0x1.b425723efc198p-3, 0x1.aa401da86d3d8p-3, 0x1.a0844c6687ec5p-3, 0x1.96f1e22b74381p-3, 0x1.8d88bc338ae3cp-3, 0x1.8448b18f6c676p-3, 0x1.7b31936cd604p-3, 0x1.72432d5e23503p-3, 0x1.697d45a062bb1p-3, 0x1.60df9d600874dp-3, 0x1.5869f0fc1908fp-3, 0x1.501bf847d4762p-3, 0x1.47f566cad7353p-3, 0x1.3ff5ebff9f987p-3, 0x1.381d339082f13p-3, 0x1.306ae59302a84p-3, 0x1.28dea6c185ad3p-3, 0x1.217818b3690c3p-3, 0x1.1a36da137da77p-3, 0x1.131a86d4d369ap-3, 0x1.0c22b865f6e2cp-3, 0x1.054f05e28286dp-3, 0x1.fd3e08863be15p-4, 0x1.f0248d17bdb36p-4, 0x1.e350bbf23ab9fp-4, 0x1.d6c1b455602d8p-4, 0x1.ca76929b48b83p-4, 0x1.be6e7088de09dp-4, 0x1.b2a8659b39a52p-4, 0x1.a723875212f8ep-4, 0x1.9bdee97747143p-4, 0x1.90d99e638cf7bp-4, 0x1.8612b74059ad1p-4, 0x1.7b89444706cabp-4, 0x1.713c54fd4ff96p-4, 0x1.672af86f2f663p-4, 0x1.5d543d662a311p-4, 0x1.53b7329e1e42cp-4, 0x1.4a52e6f79ddabp-4, 0x1.412669a7eac64p-4, 0x1.3830ca66a2d93p-4, 0x1.2f71199927815p-4, 0x1.26e6687bd726dp-4, 0x1.1e8fc94922067p-4, 0x1.166c4f5e90dcfp-4, 0x1.0e7b0f5fc4f49p-4, 0x1.06bb1f5788f9cp-4, 0x1.fe572dadf93e8p-5, 0x1.ef971e25db12ap-5, 0x1.e13445fed076dp-5, 0x1.d32cded32e676p-5, 0x1.c57f261fec02fp-5, 0x1.b8295d71de6bcp-5, 0x1.ab29ca8fd7bc7p-5, 0x1.9e7eb7a1d1853p-5, 0x1.9226735536e0cp-5, 0x1.861f50fe6afabp-5, 0x1.7a67a8b7a44d8p-5, 0x1.6efdd77d3f145p-5, 0x1.63e03f4792e6p-5, 0x1.590d47226d9b4p-5, 0x1.4e835b424b11dp-5, 0x1.4440ed175d81ap-5, 0x1.3a44735e7d9bdp-5, 0x1.308c6a301ef45p-5, 0x1.2717530d57d67p-5, 0x1.1de3b4eb13bcfp-5, 0x1.14f01c3b86f3cp-5, 0x1.0c3b1af5f444bp-5, 0x1.03c3489cdf14p-5, 0x1.f70e84856137cp-6, 0x1.e70b5519df2dfp-6, 0x1.d77a536c2ca0dp-6, 0x1.c858db1c2f466p-6, 0x1.b9a452f346e34p-6, 0x1.ab5a2ce08450ep-6, 0x1.9d77e5f29169fp-6, 0x1.8ffb064f8b4fcp-6, 0x1.82e1212ace539p-6, 0x1.7627d4b8e2aa9p-6, 0x1.69ccca2198b19p-6, 0x1.5dcdb57080642p-6, 0x1.52285583bf88ep-6, 0x1.46da73f96f65dp-6, 0x1.3be1e51b97cb7p-6, 0x1.313c87cad85b5p-6, 0x1.26e84567d308bp-6, 0x1.1ce311bb820d2p-6, 0x1.132aeade72fb2p-6, 0x1.09bdd91f06993p-6, 0x1.0099eee6cd727p-6, 0x1.ef7a913e1b8e8p-7, 0x1.de4c1928fad91p-7, 0x1.cda4d5b4977ccp-7, 0x1.bd813a59120bfp-7, 0x1.adddcda3ea57dp-7, 0x1.9eb728fa84c44p-7, 0x1.9009f85bd9afcp-7, 0x1.81d2fa212d282p-7, 0x1.740efebe208e6p-7, 0x1.66bae8800eac3p-7, 0x1.59d3ab4ce7b8p-7, 0x1.4d564c61890dcp-7, 0x1.413fe20fb5a03p-7, 0x1.358d937bc14a4p-7, 0x1.2a3c985a0104bp-7, 0x1.1f4a38ac0b657p-7, 0x1.14b3cc7dde3dfp-7, 0x1.0a76bba30f7b8p-7, 0x1.00907d73e8134p-7, 0x1.edfd31155325bp-8, 0x1.db7d4501ded5dp-8, 0x1.c99c7f5a82f66p-8, 0x1.b85645c1d339fp-8, 0x1.a7a61a4bff908p-8, 0x1.97879afbbd04dp-8, 0x1.87f6813fdfedep-8, 0x1.78eea171aec69p-8, 0x1.6a6bea542dd79p-8, 0x1.5c6a649452413p-8, 0x1.4ee6324a3fdbbp-8, 0x1.41db8e7b8dfcep-8, 0x1.3546cc9eaf022p-8, 0x1.2924581f7ae4fp-8, 0x1.1d70b3e50e1e1p-8, 0x1.122879d8c4d21p-8, 0x1.07485a6e8fecfp-8, 0x1.f99a385d56fc9p-9, 0x1.e56736815a16dp-9, 0x1.d1f191efdc21ep-9, 0x1.bf3356c2b7fafp-9, 0x1.ad26b9a5b79d9p-9, 0x1.9bc616f8168dbp-9, 0x1.8b0bf1f1026dap-9, 0x1.7af2f3c723e38p-9, 0x1.6b75eadb371eap-9, 0x1.5c8fc9e5b24d7p-9, 0x1.4e3ba7278ff73p-9, 0x1.4074bb9e0bb07p-9, 0x1.33366239a2cabp-9, 0x1.267c17182383ep-9, 0x1.1a4176c1f0fdap-9, 0x1.0e823d6a56458p-9, 0x1.033a4632fdd0fp-9, 0x1.f0cb14e4fa363p-10, 0x1.dc0041fca16cep-10, 0x1.c80c7aef1e199p-10, 0x1.b4e85f35d398dp-10, 0x1.a28cc5278b6dep-10, 0x1.90f2b8a4e046fp-10, 0x1.801379cad9254p-10, 0x1.6fe87bab5857p-10, 0x1.606b630bcff93p-10, 0x1.51960529e550ap-10, 0x1.436266864f894p-10, 0x1.35cab9b561be5p-10, 0x1.28c95e3579b77p-10, 0x1.1c58df4b4c98ep-10, 0x1.1073f2e3ed7ffp-10, 0x1.0515787cdfe52p-10, 0x1.f470f022af7dp-11, 0x1.dfb0421aa7f3ep-11, 0x1.cbdf928c18decp-11, 0x1.b8f5d7f013491p-11, 0x1.a6ea5195b728cp-11, 0x1.95b485b30e2dbp-11, 0x1.854c3f81690c2p-11, 0x1.75a98d63794bbp-11, 0x1.66c4bf1641873p-11, 0x1.589663ec2545ep-11, 0x1.4b17491147aeep-11, 0x1.3e4077da20cd4p-11, 0x1.320b341bc8976p-11, 0x1.2670fa8d67d55p-11, 0x1.1b6b7f342e67cp-11, 0x1.10f4abd71d361p-11, 0x1.07069e7c75355p-11, 0x1.fb374fe04224fp-12, 0x1.e95c94a58db76p-12, 0x1.d8726f6431823p-12, 0x1.c86ea15208237p-12, 0x1.b947460ff4418p-12, 0x1.aaf2d10c2d101p-12, 0x1.9d680af3c2722p-12, 0x1.909e0f34b6338p-12, 0x1.848c49900d2dep-12, 0x1.792a73b8ccc51p-12, 0x1.6e70930464c1cp-12, 0x1.6456f62852f9dp-12, 0x1.5ad63306c0e31p-12, 0x1.51e7248aa9604p-12, 0x1.4982e88ee896fp-12, 0x1.41a2ddd50a0a2p-12, 0x1.3a40a2088fc31p-12, 0x1.33560fcf7da38p-12, 0x1.2cdd3ce7b5978p-12, 0x1.26d078523e937p-12, 0x1.212a48879cba1p-12, 0x1.1be569babc4ap-12, 0x1.16fccc26e5345p-12, 0x1.126b9268bda93p-12, 0x1.0e2d0fe4188fdp-12, 0x1.0a3cc73391d95p-12, 0x1.069668a21ef71p-12, 0x1.0335d0b13b0afp-12, 0x1.001706a7974a3p-12, 0x1.fa6c7655527dp-13, 0x1.f51f8dc68447fp-13, 0x1.f0405253f3dap-13, 0x1.ebc80d79d6c3ap-13, 0x1.e7b0510105a13p-13, 0x1.e3f2f48edde71p-13, 0x1.e08a13483cc8bp-13, 0x1.dd7009875e175p-13, 0x1.da9f72a0f9f2p-13, 0x1.d81326b693429p-13, 0x1.d5c6389ee7c1bp-13, 0x1.d3b3f3d8f1be1p-13, 0x1.d1d7da90ba3cp-13, 0x1.d02da3b28e206p-13, 0x1.ceb1390de82bcp-13, 0x1.cd5eb5829c8e8p-13, 0x1.cc32633f8dadap-13, 0x1.cb28ba0d91e5ep-13, 0x1.ca3e5da6bf71ap-13, 0x1.c9701c1c3746dp-13, 0x1.c8baec483dc58p-13, 0x1.c81bec4a229bdp-13, 0x1.c790600f9d041p-13, 0x1.c715afea843dep-13, 0x1.c6a9672ffd297p-13, 0x1.c64932e3851d4p-13, 0x1.c5f2e06d77c87p-13, 0x1.c5a45c5baf0ccp-13, 0x1.c55bb1298741dp-13, 0x1.c5170614d0b77p-13, 0x1.c4d49dfbf018ap-13, 0x1.c492d643f0a28p-13, 0x1.c45025c8610e7p-13, 0x1.c40b1bd53dd89p-13, 0x1.c3c25f2838ba7p-13, 0x1.c374acf886156p-13, 0x1.c320d80a38539p-13, 0x1.c2c5c7c789e62p-13, 0x1.c262776205461p-13, 0x1.c1f5f4fb6f0b4p-13, 0x1.c17f60d657fafp-13, 0x1.c0fdec8d42885p-13, 0x1.c070da4f33712p-13, 0x1.bfd77c2562d19p-13, 0x1.bf31333e232fcp-13, 0x1.be7d6f3d7d7f2p-13, 0x1.bdbbad956cff8p-13, 0x1.bceb78e311208p-13, 0x1.bc0c6851e0058p-13, 0x1.bb1e1f0363de2p-13, 0x1.ba204b7d361efp-13, 0x1.b912a71d8c5f9p-13, 0x1.b7f4f5920694fp-13, 0x1.b6c704556c9d1p-13, 0x1.b588aa3260e8cp-13, 0x1.b439c6c9bafdap-13, 0x1.b2da421d6a193p-13, 0x1.b16a0c1f6d906p-13, 0x1.afe91c4699916p-13, 0x1.ae5771261c434p-13, 0x1.acb51008ca447p-13, 0x1.ab0204917417ap-13, 0x1.a93e605dfb06fp-13, 0x1.a76a3aaeccd43p-13, 0x1.a585b0106ba1p-13, 0x1.a390e20950ee7p-13, 0x1.a18bf6cbe658ep-13, 0x1.9f7718ea20435p-13, 0x1.9d52770cbaf3bp-13, 0x1.9b1e43ae24f08p-13, 0x1.98dab4d7488c9p-13, 0x1.968803dfa8a18p-13, 0x1.94266d2f562abp-13, 0x1.91b630049b3c2p-13, 0x1.8f378e3bebd6bp-13, 0x1.8caacc196a428p-13, 0x1.8a10301599a8fp-13, 0x1.876802ac71921p-13, 0x1.84b28e2dc88e8p-13, 0x1.81f01e90d302bp-13, 0x1.7f2101480fd54p-13, 0x1.7c45851930bafp-13, 0x1.795df9f609852p-13, 0x1.766ab0d68e8e4p-13, 0x1.736bfb95acbb4p-13, 0x1.70622ccfb41ccp-13, 0x1.6d4d97c18a856p-13, 0x1.6a2e902afc2a2p-13, 0x1.67056a3038973p-13, 0x1.63d27a3ee57a7p-13, 0x1.609614f430551p-13, 0x1.5d508f037b19dp-13, 0x1.5a023d1e9feb3p-13, 0x1.56ab73e038101p-13, 0x1.534c87b5de675p-13, 0x1.4fe5ccccab1cap-13, 0x1.4c7796fe68e9cp-13, 0x1.490239bf0fb2ep-13, 0x1.4586080cc7a75p-13, 0x1.420354602c563p-13, 0x1.3e7a709d29c89p-13, 0x1.3aebae0540188p-13, 0x1.37575d2ad7f2ep-13, 0x1.33bdcde4b21ecp-13, 0x1.301f4f42d5d39p-13, 0x1.2c7c2f8410127p-13, 0x1.28d4bc0b9e3c8p-13, 0x1.25294158daf85p-13, 0x1.217a0afe5f7acp-13, 0x1.1dc7639a51a75p-13, 0x1.1a1194cf5b85dp-13, 0x1.1658e73e246dp-13, 0x1.129da27f6431fp-13, 0x1.0ee00d1e66093p-13, 0x1.0b206c941b842p-13, 0x1.075f0542b95efp-13, 0x1.039c1a72125acp-13, 0x1.ffafdc97b55afp-14, 0x1.f82583b18ad4fp-14, 0x1.f099a9fbce8d2p-14, 0x1.e90cccf4f712fp-14, 0x1.e17f67cc4e325p-14, 0x1.d9f1f35f01c0ap-14, 0x1.d264e635483a1p-14, 0x1.cad8b4815b8c2p-14, 0x1.c34dd01e3dd53p-14, 0x1.bbc4a88f83598p-14, 0x1.b43dab0108a73p-14, 0x1.acb94247fd334p-14, 0x1.a537d6e3da25bp-14, 0x1.9db9ceff8ed44p-14, 0x1.963f8e74a4903p-14, 0x1.8ec976cca1b64p-14, 0x1.8757e7442fa5bp-14, 0x1.7feb3cce52e8fp-14, 0x1.7883d21843e04p-14, 0x1.7121ff8cf0f45p-14, 0x1.69c61b593d93cp-14, 0x1.62707970cdb2dp-14, 0x1.5b216b925c344p-14, 0x1.53d9414c9fcfdp-14, 0x1.4c9848042a315p-14, 0x1.455ecaf830c56p-14, 0x1.3e2d1348624bfp-14, 0x1.370367fa9e842p-14, 0x1.2fe20e0152222p-14, 0x1.28c948410e3bdp-14, 0x1.21b957971c17p-14, 0x1.1ab27adfe8f9dp-14, 0x1.13b4eefd8e9fap-14, 0x1.0cc0eede2adc5p-14, 0x1.05d6b382d650cp-14, 0x1.fdece80d0b5e5p-15, 0x1.f040cb495c953p-15, 0x1.e2a97780a86c9p-15, 0x1.d5274fd614546p-15, 0x1.c7bab3d810343p-15, 0x1.ba63ff8e29873p-15, 0x1.ad238b8762b17p-15, 0x1.9ff9ace8e691ep-15, 0x1.92e6b57be557dp-15, 0x1.85eaf3bb84721p-15, 0x1.7906b2e41d323p-15, 0x1.6c3a3b00d0232p-15, 0x1.5f85d0fa321e6p-15, 0x1.52e9b6a435061p-15, 0x1.46662accc9525p-15, 0x1.39fb6949c66f3p-15, 0x1.2da9ab0709254p-15, 0x1.2171261457a47p-15, 0x1.15520db3ef40ep-15, 0x1.094c9267d74bap-15, 0x1.fac1c3ff6409ep-16, 0x1.e31e4f4d8a15dp-16, 0x1.cbaf17e2b8189p-16, 0x1.b47469d4d8aaap-16, 0x1.9d6e8c4123199p-16, 0x1.869dc1679f08dp-16, 0x1.700246c509be7p-16, 0x1.599c552c91a42p-16, 0x1.436c20e1a4853p-16, 0x1.2d71d9b1f2659p-16, 0x1.17adab0e58c49p-16, 0x1.021fbc2340a37p-16, 0x1.d9905fe3dec25p-17, 0x1.af4e4ad215e4cp-17, 0x1.85796ef87bfe1p-17, 0x1.5c11fa77b23d7p-17, 0x1.331813d834299p-17, 0x1.0a8bda3a75dfbp-17, 0x1.c4dacb05a3ebep-18, 0x1.75798d0e63e39p-18, 0x1.26f40e761dcd1p-18, 0x1.b294ab70cc31bp-19, 0x1.18f8b8720229p-19, 0x1.02283a6626e8ap-20, -0x1.51965e2451f96p-23, -0x1.53205132b6194p-20, -0x1.3c509a51f8a02p-19, -0x1.cd5b416559675p-19, -0x1.2e585d4174cb3p-18, -0x1.7528dc0a664b4p-18, -0x1.bb1f80d587628p-18, -0x1.001e5cd91fc62p-17, -0x1.22407f575671cp-17, -0x1.43f668c6e792p-17, -0x1.65405ec0fcd43p-17, -0x1.861eab73b7e37p-17, -0x1.a6919d7eaec1dp-17, -0x1.c69987d17593ep-17, -0x1.e636c18b3af53p-17, -0x1.02b4d2ed8337bp-16, -0x1.121949ef2bf14p-16, -0x1.2148f74136232p-16, -0x1.30440e329d2d8p-16, -0x1.3f0ac3dbccd6cp-16, -0x1.4d9d4f0fefe37p-16, -0x1.5bfbe84e55bcfp-16, -0x1.6a26c9b412769p-16, -0x1.781e2eeeae7a7p-16, -0x1.85e2552d7ff05p-16, -0x1.93737b14de486p-16, -0x1.a0d1e0b0b17bp-16, -0x1.adfdc768578efp-16, -0x1.baf771f13bc65p-16, -0x1.c7bf2442cb467p-16, -0x1.d455238a38bfep-16, -0x1.e0b9b61eb86cap-16, -0x1.eced2375db0a2p-16, -0x1.f8efb4188531p-16, -0x1.0260d8cb97d31p-15, -0x1.0831b33fdd3c4p-15, -0x1.0dea8f29356aap-15, -0x1.138b92bba3a06p-15, -0x1.1914e49a0a9c3p-15, -0x1.1e86abd14a0a1p-15, -0x1.23e10fd368ec3p-15, -0x1.292438729ae89p-15, -0x1.2e504ddcbe47ep-15, -0x1.33657896a7848p-15, -0x1.3863e177cf34dp-15, -0x1.3d4bb1a5e9431p-15, -0x1.421d1290c99b5p-15, -0x1.46d82dedddd7fp-15, -0x1.4b7d2db499c4p-15, -0x1.500c3c1a2b656p-15, -0x1.5485838d9ceacp-15, -0x1.58e92eb413c83p-15, -0x1.5d3768654ba28p-15, -0x1.61705ba7e8e0cp-15, -0x1.659433adcf33fp-15, -0x1.69a31bd0d3fe8p-15, -0x1.6d9d3f8f46948p-15, -0x1.7182ca88cfac3p-15, -0x1.7553e87b1fcfp-15, -0x1.7910c53f08cbap-15, -0x1.7cb98cc5243a3p-15, -0x1.804e6b1320174p-15, -0x1.83cf8c40e07fdp-15, -0x1.873d1c757181ep-15, -0x1.8a9747e46841p-15, -0x1.8dde3acb43bf5p-15, -0x1.9112216ef7148p-15, -0x1.943328191efacp-15, -0x1.97417b15a314dp-15, -0x1.9a3d46b04d7a7p-15, -0x1.9d26b732789aap-15, -0x1.9ffdf8e0c2e25p-15, -0x1.a2c337f8ded8ep-15, -0x1.a576a0af86e84p-15, -0x1.a8185f2e084ccp-15, -0x1.aaa89f90ad662p-15, -0x1.ad278de490598p-15, -0x1.af95562588b9ep-15, -0x1.b1f2243c692bcp-15, -0x1.b43e23fd40ff7p-15, -0x1.b6798125a2d6fp-15, -0x1.b8a4675ac0c8p-15, -0x1.babf0227cdabp-15, -0x1.bcc97cfc6d8cp-15, -0x1.bec4032b10d96p-15, -0x1.c0aebfe7859e5p-15, -0x1.c289de4560beap-15, -0x1.c4558936caffcp-15, -0x1.c611eb8ab26cap-15, -0x1.c7bf2febd6c7dp-15, -0x1.c95d80df65945p-15, -0x1.caed08c38e8ep-15, -0x1.cc6df1ce5ac9p-15, -0x1.cde0660c7f7ep-15, -0x1.cf448f6067f73p-15, -0x1.d09a9780d8cd6p-15, -0x1.d1e2a7f7fd13p-15, -0x1.d31cea224c38cp-15, -0x1.d449872d9623ap-15, -0x1.d568a8180f427p-15, -0x1.d67a75af5345bp-15, -0x1.d77f188f94e06p-15, -0x1.d876b922c2bap-15, -0x1.d9617f9f6b2a3p-15, -0x1.da3f94085af14p-15, -0x1.db111e2ba0a8dp-15, -0x1.dbd645a1c07afp-15, -0x1.dc8f31ccfdd43p-15, -0x1.dd3c09d8c7ab6p-15, -0x1.dddcf4b914efdp-15, -0x1.de721929a5393p-15, -0x1.defb9dad73e7ep-15, -0x1.df79a88e12c6p-15, -0x1.dfec5fdb354b7p-15, -0x1.e053e96a258bfp-15, -0x1.e0b06ad52df96p-15, -0x1.e102097b2ebe7p-15, -0x1.e148ea7f406ebp-15, -0x1.e18532c7f2302p-15, -0x1.e1b706ff3c67p-15, -0x1.e1de8b92023fbp-15, -0x1.e1fbe4af94a95p-15, -0x1.e20f36495ac96p-15, -0x1.e218a41292361p-15, -0x1.e2185180126f4p-15, -0x1.e20e61c7d42bep-15, -0x1.e1faf7e0cacd4p-15, -0x1.e1de3682906c6p-15, -0x1.e1b840252b1ffp-15, -0x1.e1893700de261p-15, -0x1.e1513d0df4916p-15, -0x1.e110740484099p-15, -0x1.e0c6fd5c5336dp-15, -0x1.e074fa4cb3ecfp-15, -0x1.e01a8bcc246a5p-15, -0x1.dfb7d2909031ap-15, -0x1.df4cef0ef87d4p-15, -0x1.deda017b61df6p-15, -0x1.de5f29c8b263cp-15, -0x1.dddc87a8b248ap-15, -0x1.dd523a8c1bd88p-15, -0x1.dcc061a256f62p-15, -0x1.dc271bd98fcfp-15, -0x1.db8687deb2e4fp-15, -0x1.dadec41d612a5p-15, -0x1.da2feebff3402p-15, -0x1.d97a25af8d46cp-15, -0x1.d8bd869415dc6p-15, -0x1.d7fa2ed449918p-15, -0x1.d7303b95ce5d6p-15, -0x1.d65fc9bd1ac22p-15, -0x1.d588f5edb2b02p-15, -0x1.d4abdc8a51ad6p-15, -0x1.d3c899b4c27b4p-15, -0x1.d2df494e19748p-15, -0x1.d1f006f6c352cp-15, -0x1.d0faee0ebd06cp-15, -0x1.d00019b5ada93p-15, -0x1.ceffa4caf8222p-15, -0x1.cdf9a9edeeae6p-15, -0x1.ccee437de42afp-15, -0x1.cbdd8b9a6a0cep-15, -0x1.cac79c23774afp-15, -0x1.c9ac8eb994addp-15, -0x1.c88c7cbe01909p-15, -0x1.c7677f52f3493p-15, -0x1.c63daf5bbfacap-15, -0x1.c50f257cf4d5fp-15, -0x1.c3dbfa1cb958dp-15, -0x1.c2a445630a39cp-15, -0x1.c1681f39c0b1cp-15, -0x1.c0279f4cdd7b6p-15, -0x1.bee2dd0ad6a4cp-15, -0x1.bd99efa4bed5bp-15, -0x1.bc4cee0ea5ddcp-15, -0x1.bafbeeffb1347p-15, -0x1.b9a708f2651ccp-15, -0x1.b84e5224f4446p-15, -0x1.b6f1e09974021p-15, -0x1.b591ca1621824p-15, -0x1.b42e2425b1c3p-15, -0x1.b2c704178f8c4p-15, -0x1.b15c7f00254bap-15, -0x1.afeea9b93559cp-15, -0x1.ae7d98e1f7294p-15, -0x1.ad0960df6f8bep-15, -0x1.ab9215dcf771fp-15, -0x1.aa17cbcc4c7d5p-15, -0x1.a89a9665d68a1p-15, -0x1.a71a89290c906p-15, -0x1.a597b75cc1621p-15, -0x1.a412340f7402bp-15, -0x1.a28a1217ac9c1p-15, -0x1.a0ff64143118p-15, -0x1.9f723c6c5b3cap-15, -0x1.9de2ad50776d9p-15, -0x1.9c50c8ba11c5fp-15, -0x1.9abca06c44475p-15, -0x1.992645f4108f9p-15, -0x1.978dcaa8b427ep-15, -0x1.95f33fabf6571p-15, -0x1.9456b5ea95a8ap-15, -0x1.92b83e1c7b725p-15, -0x1.9117e8c4f85b1p-15, -0x1.8f75c6338407cp-15, -0x1.8dd1e683bc064p-15, -0x1.8c2c599dcd01bp-15, -0x1.8a852f36c205dp-15, -0x1.88dc76d0ee0fdp-15, -0x1.87323fbc3e33p-15, -0x1.85869916a43ebp-15, -0x1.83d991cc5797bp-15, -0x1.822b389828cedp-15, -0x1.807b9c03e9643p-15, -0x1.7ecaca68c2f7bp-15, -0x1.7d18d1ef9046dp-15, -0x1.7b65c091379b2p-15, -0x1.79b1a41700e68p-15, -0x1.77fc8a1af4841p-15, -0x1.764680082f877p-15, -0x1.748f931b56aaep-15, -0x1.72d7d062c3b4fp-15, -0x1.711f44bed96adp-15, -0x1.6f65fce2c5662p-15, -0x1.6dac0554714f8p-15, -0x1.6bf16a6cf2eadp-15, -0x1.6a363858f1b1cp-15, -0x1.687a7b1902567p-15, -0x1.66be3e81fe50fp-15, -0x1.65018e3d783e3p-15, -0x1.634475c9ed3c6p-15, -0x1.6187007b2d0a4p-15, -0x1.5fc9397ab6431p-15, -0x1.5e0b2bc817499p-15, -0x1.5c4ce2393bbep-15, -0x1.5a8e677ad4fap-15, -0x1.58cfc610a4a51p-15, -0x1.57110855e306cp-15, -0x1.5552387d957efp-15, -0x1.53936092e3309p-15, -0x1.51d48a7980bbdp-15, -0x1.5015bfedd21bcp-15, -0x1.4e570a8574a3ep-15, -0x1.4c9873afbc61dp-15, -0x1.4ada04b5b9282p-15, -0x1.491bc6bab0b1ep-15, -0x1.475dc2bc7c4f4p-15, -0x1.45a00193d8e15p-15, -0x1.43e28bf4c6b08p-15, -0x1.42256a6ef6973p-15, -0x1.4068a56debdfdp-15, -0x1.3eac453978ed9p-15, -0x1.3cf051f601e3cp-15, -0x1.3b34d3a4e4692p-15, -0x1.3979d224c1277p-15, -0x1.37bf5531d5de1p-15, -0x1.3605646655a7p-15, -0x1.344c073ab8f3p-15, -0x1.32934506145dep-15, -0x1.30db24fe6be84p-15, -0x1.2f23ae3913867p-15, -0x1.2d6ce7aae35e5p-15, -0x1.2bb6d8288933ep-15, -0x1.2a0186672c58p-15, -0x1.284cf8fc6a0ddp-15, -0x1.2699365eb7e69p-15, -0x1.24e644e5c226dp-15, -0x1.23342acabb0ap-15, -0x1.2182ee28a04b7p-15, -0x1.1fd294fcb6ba8p-15, -0x1.1e232526b1801p-15, -0x1.1c74a468fe23dp-15, -0x1.1ac718692a829p-15, -0x1.191a86b024ef9p-15, -0x1.176ef4aa93093p-15, -0x1.15c467a921b46p-15, -0x1.141ae4e0c70bdp-15, -0x1.1272716b1de31p-15, -0x1.10cb1246ae31ap-15, -0x1.0f24cc5734c57p-15, -0x1.0d7fa465f4538p-15, -0x1.0bdb9f220573bp-15, -0x1.0a38c12091b6fp-15, -0x1.08970edd13c96p-15, -0x1.06f68cb9e565bp-15, -0x1.05573f0048579p-15, -0x1.03b929e0b8448p-15, -0x1.021c5173418p-15, -0x1.0080b9b7c0d12p-15, -0x1.fdcccd2c52affp-16, -0x1.fa9ab7bdd395ep-16, -0x1.f76b3a963a354p-16, -0x1.f43e5cf983db5p-16, -0x1.f11425fe273dp-16, -0x1.edec9c8d962b1p-16, -0x1.eac7c764c95c9p-16, -0x1.e7a5ad14d145p-16, -0x1.e48654035204ap-16, -0x1.e169c26b14f7p-16, -0x1.de4ffe5c8eb9cp-16, -0x1.db390dbe69868p-16, -0x1.d824f64dfc17ep-16, -0x1.d513bd9fd5742p-16, -0x1.d20569204a28fp-16, -0x1.cef9fe13e28aep-16, -0x1.cbf18197bbfc6p-16, -0x1.c8ebf8a27ea54p-16, -0x1.c5e9680473c94p-16, -0x1.c2e9d4681c61ap-16, -0x1.bfed4252aa2b9p-16, -0x1.bcf3b6248abacp-16, -0x1.b9fd3419cf3c5p-16, -0x1.b709c04acddfdp-16, -0x1.b4195eac8b0b4p-16, -0x1.b12c131115971p-16, -0x1.ae41e12817a41p-16, -0x1.ab5acc7f3f173p-16, -0x1.a876d882c2e7dp-16, -0x1.a596087dd2d09p-16, -0x1.a2b85f9b013bcp-16, -0x1.9fdde0e4c215cp-16, -0x1.9d068f45dca6cp-16, -0x1.9a326d89d638p-16, -0x1.97617e5d61c47p-16, -0x1.9493c44ed84e7p-16, -0x1.91c941ce951bdp-16, -0x1.8f01f92f7e9ebp-16, -0x1.8c3deca74a313p-16, -0x1.897d1e4efae82p-16, -0x1.86bf90236d5d4p-16, -0x1.8405440599fa7p-16, -0x1.814e3bbb03396p-16, -0x1.7e9a78ee15797p-16, -0x1.7be9fd2e95f7dp-16, -0x1.793cc9f20cbc3p-16, -0x1.7692e0942e859p-16, -0x1.73ec425741ab9p-16, -0x1.7148f0646d61fp-16, -0x1.6ea8ebcc23a52p-16, -0x1.6c0c3586861bfp-16, -0x1.6972ce73bf716p-16, -0x1.66dcb75c6eb25p-16, -0x1.6449f0f1f972ap-16, -0x1.61ba7bceeba3bp-16, -0x1.5f2e587758db3p-16, -0x1.5ca58759343c6p-16, -0x1.5a2008ccb611bp-16, -0x1.579ddd14a4944p-16, -0x1.551f045ea9ab5p-16, -0x1.52a37ec3c4c65p-16, -0x1.502b4c488482p-16, -0x1.4db66cdd6e6bep-16, -0x1.4b44e05f4e45ap-16, -0x1.48d6a69792f99p-16, -0x1.466bbf3c9dddcp-16, -0x1.440429f20b7b5p-16, -0x1.419fe64911f3cp-16, -0x1.3f3ef3c0c122bp-16, -0x1.3ce151c66b193p-16, -0x1.3a86ffb5e2cefp-16, -0x1.382ffcd9d85dap-16, -0x1.35dc486c16f99p-16, -0x1.338be195d37c5p-16, -0x1.313ec77008a0bp-16, -0x1.2ef4f903ac555p-16, -0x1.2cae754a0d695p-16, -0x1.2a6b3b2d09977p-16, -0x1.282b49876851p-16, -0x1.25ee9f25215bbp-16, -0x1.23b53ac392dc7p-16, -0x1.217f1b11dc229p-16, -0x1.1f4c3eb11c585p-16, -0x1.1d1ca434ace0bp-16, -0x1.1af04a2278883p-16, -0x1.18c72ef327792p-16, -0x1.16a151126d0e2p-16, -0x1.147eaedf5f02dp-16, -0x1.125f46ac93b76p-16, -0x1.104316c075c6cp-16, -0x1.0e2a1d557fd59p-16, -0x1.0c14589a71e47p-16, -0x1.0a01c6b29a178p-16, -0x1.07f265b618724p-16, -0x1.05e633b20cf55p-16, -0x1.03dd2ea8d1fc7p-16, -0x1.01d754924f1c5p-16, -0x1.ffa946b82bea5p-17, -0x1.fbaa31d35311dp-17, -0x1.f7b1662972a3ap-17, -0x1.f3bedf5aad29bp-17, -0x1.efd298f457bb5p-17, -0x1.ebec8e7164a29p-17, -0x1.e80cbb3ad5362p-17, -0x1.e4331aa818f6dp-17, -0x1.e05fa7ff90b4bp-17, -0x1.dc925e76f08efp-17, -0x1.d8cb39338c54ep-17, -0x1.d50a334ac67e7p-17, -0x1.d14f47c29350fp-17, -0x1.cd9a7191c822cp-17, -0x1.c9ebaba0521e8p-17, -0x1.c642f0c7fa428p-17, -0x1.c2a03bd47f517p-17, -0x1.bf038783e7f7bp-17, -0x1.bb6cce86f0527p-17, -0x1.b7dc0b81801c2p-17, -0x1.b451390b0124dp-17, -0x1.b0cc51ae96159p-17, -0x1.ad4d4feb909d2p-17, -0x1.a9d42e35af682p-17, -0x1.a660e6f58ba82p-17, -0x1.a2f37488e5752p-17, -0x1.9f8bd142f3112p-17, -0x1.9c29f76cb76p-17, -0x1.98cde145557dfp-17, -0x1.957789025baffp-17, -0x1.9226e8d01b4cdp-17, -0x1.8edbfad1e3d3ap-17, -0x1.8b96b9225ad4bp-17, -0x1.88571dd3d6bc4p-17, -0x1.851d22f091439p-17, -0x1.81e8c27af995fp-17, -0x1.7eb9f66e06763p-17, -0x1.7b90b8bd65cd4p-17, -0x1.786d0355e2fcdp-17, -0x1.754ed01d9f139p-17, -0x1.723618f43a988p-17, -0x1.6f22d7b31d999p-17, -0x1.6c15062e16326p-17, -0x1.690c9e334a232p-17, -0x1.6609998b2e2adp-17, -0x1.630bf1f925ffp-17, -0x1.6013a13bd7e22p-17, -0x1.5d20a10d3b0cdp-17, -0x1.5a32eb22e40f6p-17, -0x1.574a792e2a4a2p-17, -0x1.546744dc6a388p-17, -0x1.518947d74a9ddp-17, -0x1.4eb07bc4ed167p-17, -0x1.4bdcda482dca9p-17, -0x1.490e5d00d6e16p-17, -0x1.4644fd8bd487ap-17, -0x1.4380b5837151bp-17, -0x1.40c17e7f7fe24p-17, -0x1.3e075215913e9p-17, -0x1.3b5229d929d7fp-17, -0x1.38a1ff5bf74c6p-17, -0x1.35f6cc2e018bcp-17, -0x1.335089ddd074ap-17, -0x1.30af31f89a3c3p-17, -0x1.2e12be0a8bebbp-17, -0x1.2b7b279ee06f1p-17, -0x1.28e8684019f12p-17, -0x1.265a79781df54p-17, -0x1.23d154d051bbbp-17, -0x1.214cf3d1ec66bp-17, -0x1.1ecd5006535b7p-17, -0x1.1c5262f6e9421p-17, -0x1.19dc262d0b929p-17, -0x1.176a9332846e9p-17, -0x1.14fda391e898p-17, -0x1.129550d674b5bp-17, -0x1.1031948c42efdp-17, -0x1.0dd2684069c6ep-17, -0x1.0b77c5811facdp-17, -0x1.0921a5dddc73dp-17, -0x1.06d002e77e585p-17, -0x1.0482d630835c6p-17, -0x1.023a194d171dap-17, -0x1.ffeb8ba6655d5p-18, -0x1.fb6baab59b771p-18, -0x1.f6f482fbc4dc8p-18, -0x1.f28607b14c232p-18, -0x1.ee202c133e3bep-18, -0x1.e9c2e36375f89p-18, -0x1.e56e20e8f2843p-18, -0x1.e121d7effc915p-18, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      29, 0x1.f99999999999ap+1, 0x1.aa5d3eb7f4ee6p+1, 0x1.34e875eea325ep+2, 0x1.11a99184cf332p-6, 
      {{
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.80068d4ac972bp-5, -0x1.9bb2daaf070cep-4, 0x1.56d6ca5eed83fp-3, -0x1.0d08b8a40d973p-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.5a03dc9740dd6p-5, -0x1.5f33ad823e5b4p-4, 0x1.0620f960e970ap-3, -0x1.c03ad1eac8d4ep-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.394ac52e47defp-5, -0x1.317fe29f2ed72p-4, 0x1.85c9e6fb636d2p-4, -0x1.73dbf9c08c7eap-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.1c8150304a86ap-5, -0x1.10193c11e4721p-4, 0x1.163b1c0e6c7adp-4, -0x1.23d828018a15ap-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.028a5e86a3216p-5, -0x1.f14e697d1b2d3p-5, 0x1.7d5aece8b94ep-5, -0x1.a9e0eac509f1bp-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.d50b51c73476fp-6, -0x1.d18f17e11bfefp-5, 0x1.fb2ee68e6ca57p-6, -0x1.0a7a7fb0a6e7ep-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.a79f7f84cd3fp-6, -0x1.bc326cfca34ebp-5, 0x1.5b4bcd246ee7cp-6, -0x1.bcdfb6d6a6ac8p-6}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7c0416ce5aaccp-6, -0x1.ac801d55dc778p-5, 0x1.1890a4eaa2b3fp-6, 0x1.d81816a457b97p-7}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.51e597be03502p-6, -0x1.9d9646f794cecp-5, 0x1.3bf8d9d08fae8p-6, 0x1.031875ff97cf3p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.296491bb47b56p-6, -0x1.8bd85f080948dp-5, 0x1.89b3639d3d39dp-6, 0x1.919bda2195f9cp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.02d7c08966db5p-6, -0x1.76a775129bbdbp-5, 0x1.c5f12abbe0858p-6, 0x1.58c175adf8d72p-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.bd1c52ab85516p-7, -0x1.5eaa08931f432p-5, 0x1.f9a7c92f92a5ap-6, 0x1.0fe5f12eaae21p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.7992f4e6bad94p-7, -0x1.445c9f36022b2p-5, 0x1.113856ae7c8a3p-5, 0x1.96a87ee86c297p-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.3b7c16b5b3bd2p-7, -0x1.2846fdfc1fc08p-5, 0x1.207841d733cbcp-5, 0x1.0b38c563ffba2p-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.0325b954f639ap-7, -0x1.0aede664042cp-5, 0x1.2a7d960af3c93p-5, 0x1.00cd7d27fa51p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.a186609892baep-8, -0x1.d9add1421651bp-6, 0x1.2f4e3d30807abp-5, -0x1.52b79fc701015p-12}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.48da42dd6a09fp-8, -0x1.9d0ebb2b42981p-6, 0x1.2ee89fb3c4c72p-5, -0x1.2b0c307802f8fp-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f886136a07738p-9, -0x1.61095966405cdp-6, 0x1.294d31fe5185bp-5, -0x1.207c80094c742p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.770e93e4e589fp-9, -0x1.26a8750038fc6p-6, 0x1.1e7bb9fdf8416p-5, -0x1.ab66d5ecf9bcep-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.0c7079fe97861p-9, -0x1.ddeda27d464c9p-7, 0x1.0e74ab91e216fp-5, -0x1.1b3db373d0e5ap-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6ec7036e93b3ep-10, -0x1.75fe9cb6941e8p-7, 0x1.f26ce29f31a55p-6, -0x1.60798eb7fbe0dp-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d8d2c0f0b0ce4p-11, -0x1.1798bd0cb316dp-7, 0x1.bd8dda0398aa3p-6, -0x1.a6da01554e83ep-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1b194f9dc6018p-11, -0x1.89a83c88998b6p-8, 0x1.7e2059d0667c8p-6, -0x1.e8f683c72787fp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.348022027f78p-12, -0x1.fef376900750cp-9, 0x1.34c82c7286f52p-6, -0x1.1d7f17c6e5a73p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.29ea1fb00e94cp-13, -0x1.2a2f601913105p-9, 0x1.be44176db751dp-7, -0x1.113a0e885ea11p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.e81a6acdb6694p-15, -0x1.30ee87fb1ad38p-10, 0x1.1a54751be4f1cp-7, -0x1.9d82761a5205ap-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.34e0b7962d701p-16, -0x1.0160c2da22b61p-11, 0x1.3c8dd68e657acp-8, -0x1.2dfd7b19a84efp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e81a6acdb66f1p-19, -0x1.32731071d3324p-13, 0x1.0eb84c979a94cp-9, -0x1.4c08b73ec8997p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.e81a6acdb7801p-23, -0x1.05643ba37ad88p-16, 0x1.1dff7a9488e6p-11, -0x1.bb0c737ed0054p-7}, 
      }}, 
      0x1.9fac737f4b241p-3, -0x1.3fdeccda132b2p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.919bd053466e2p-1, -0x1.8039f755c062ap-1, -0x1.656eacedbe648p-1, -0x1.4385b963eb0bp-1, -0x1.1ccfeeeaaff5fp-1, -0x1.e6dd3b078020ap-2, -0x1.926ffc8a5f29cp-2, -0x1.3f57c2a003edcp-2, -0x1.dfccbccb74c7ep-3, -0x1.4b98e35d41a02p-3, -0x1.88b6323fee58fp-4, -0x1.2dbb47402f1ddp-5, 0x1.e8e9c2d2eeda8p-7, 0x1.e64c228c0eafdp-5, 0x1.8c0666775c104p-4, 0x1.0493f61fd0bd6p-3, 0x1.36318ad45f818p-3, 0x1.5bebd6ac96425p-3, 0x1.76e6f84a72301p-3, 0x1.884f5089164cfp-3, 0x1.915065e4c3d02p-3, 0x1.930e1b4ad837ap-3, 0x1.8e9fc5db74b13p-3, 0x1.850cbdc02p-3, 0x1.774a175e0082dp-3, 0x1.663942cc1800ep-3, 0x1.52a75dd0aca68p-3, 0x1.3d4d1017876c4p-3, 0x1.26ced2169cd7ep-3, 0x1.0fbd85ae832c1p-3, 0x1.f12e993482b6p-4, 0x1.c391190665315p-4, 0x1.975a26c801911p-4, 0x1.6d22a2242cc53p-4, 0x1.456738ebc0848p-4, 0x1.208af8d3b4fc3p-4, 0x1.fdb3b60f4416p-5, 0x1.c1167d36b4a47p-5, 0x1.8b8892b2f38dp-5, 0x1.5d345158ac1ffp-5, 0x1.36285cb7f6919p-5, 0x1.165b8ce4f184p-5, 0x1.fb611386c38f5p-6, 0x1.d7f22a189e2cbp-6, 0x1.c1f207d254b6ap-6, 0x1.b8d1d48cc4acdp-6, 0x1.bbf0f6384d16p-6, 0x1.caa14381db0cbp-6, 0x1.e42ab1d922865p-6, 0x1.03e744a75e4b6p-5, 0x1.1a65138fb2ccp-5, 0x1.352cadd4eb373p-5, 0x1.53dc36037253dp-5, 0x1.7612e1585a68p-5, 0x1.9b71ac1e172cap-5, 0x1.c39bed161dcddp-5, 0x1.ee37cd6163c29p-5, 0x1.0d7753372c771p-4, 0x1.24b6a6ceb998ep-4, 0x1.3cb22590f0b61p-4, 0x1.55440193f9266p-4, 0x1.6e4866f0a22d2p-4, 0x1.879d81c218e0dp-4, 0x1.a1238189fcb5cp-4, 0x1.babc95c00a709p-4, 0x1.d44ceaf62ce5dp-4, 0x1.edbaa166dc2abp-4, 0x1.0376e070e2758p-3, 0x1.0fe815dce6eadp-3, 0x1.1c26c81bca93bp-3, 0x1.2829abce609ccp-3, 0x1.33e84cec202d7p-3, 0x1.3f5b051ce136bp-3, 0x1.4a7af3c07cb26p-3, 0x1.5541f4d847e69p-3, 0x1.5faa9785acc68p-3, 0x1.69b0157176be7p-3, 0x1.734e4a0a432f9p-3, 0x1.7c81aa6307cc3p-3, 0x1.85473d2d50c2fp-3, 0x1.8d9c92d92f593p-3, 0x1.957fbdb177d2p-3, 0x1.9cef49fc69a1cp-3, 0x1.a3ea362af9e2ep-3, 0x1.aa6feb2d97b0bp-3, 0x1.b08034f8a09bap-3, 0x1.b61b3b4e6f5bfp-3, 0x1.bb417ac747e1fp-3, 0x1.bff3be19ad6fap-3, 0x1.c43317a1516afp-3, 0x1.c800db1945149p-3, 0x1.cb5e978cd24edp-3, 0x1.ce4e1184be90fp-3, 0x1.d0d13d64530f2p-3, 0x1.d2ea3a10ba5a9p-3, 0x1.d49b4bd7b4b8ep-3, 0x1.d5e6d79f386fp-3, 0x1.d6cf5e63da9adp-3, 0x1.d75778feb99aap-3, 0x1.d781d43448d83p-3, 0x1.d7512d11f79cap-3, 0x1.d6c84d825841ap-3, 0x1.d5ea0929c9c71p-3, 0x1.d4b93a7a82f44p-3, 0x1.d338c0014fe78p-3, 0x1.d16b79e25f9fbp-3, 0x1.cf544790fdf1p-3, 0x1.ccf605acdf1fdp-3, 0x1.ca538c16cd069p-3, 0x1.c76fac2c3dce8p-3, 0x1.c44d2f3417a0cp-3, 0x1.c0eed4f12141fp-3, 0x1.bd57525ff368ep-3, 0x1.b98950a01f2c8p-3, 0x1.b5876bf46e0e1p-3, 0x1.b15432f9121fp-3, 0x1.acf225e97a21cp-3, 0x1.a863b607e0cb4p-3, 0x1.a3ab452acd89dp-3, 0x1.9ecb254e435ccp-3, 0x1.99c598521237cp-3, 0x1.949ccfc03e1ecp-3, 0x1.8f52eca3f274fp-3, 0x1.89e9ff83ae2b3p-3, 0x1.84640856701a3p-3, 0x1.7ec2f693b0502p-3, 0x1.7908a956731dcp-3, 0x1.7336ef79d07c2p-3, 0x1.6d4f87d54bbfp-3, 0x1.675421794e775p-3, 0x1.61465be8051a6p-3, 0x1.5b27c7791c4e6p-3, 0x1.54f9e597e82b5p-3, 0x1.4ebe2920fa26p-3, 0x1.4875f6c475b89p-3, 0x1.4222a55dc8cfdp-3, 0x1.3bc57e51b5d1cp-3, 0x1.355fbdfcda024p-3, 0x1.2ef2940fafb08p-3, 0x1.287f23e91385bp-3, 0x1.220685107610bp-3, 0x1.1b89c38c28eb7p-3, 0x1.1509e03aa9237p-3, 0x1.0e87d147c6623p-3, 0x1.0804828ce44d3p-3, 0x1.0180d5d933e95p-3, 0x1.f5fb46c64b541p-4, 0x1.e8f77457a81e4p-4, 0x1.dbf7c08c99cb7p-4, 0x1.cefda657a0d8ap-4, 0x1.c20a905399796p-4, 0x1.b51fd95755d9ap-4, 0x1.a83ecceeddc4dp-4, 0x1.9b68a817c3cb1p-4, 0x1.8e9e99f53398bp-4, 0x1.81e1c434feeb7p-4, 0x1.75333b8904cecp-4, 0x1.68940858c8eb6p-4, 0x1.5c052754b8494p-4, 0x1.4f8789af4b746p-4, 0x1.431c1594f45f1p-4, 0x1.36c3a6d2f99dcp-4, 0x1.2a7f0f3e12p-4, 0x1.1e4f16dc3e07ap-4, 0x1.12347c445af1fp-4, 0x1.062ff53dd3438p-4, 0x1.f4845e1d61797p-5, 0x1.dcd79d1e94cdp-5, 0x1.c55ae0e9f2c73p-5, 0x1.ae0f53af848ap-5, 0x1.96f61120a6e8dp-5, 0x1.80102664420d6p-5, 0x1.695e9258f934ap-5, 0x1.52e2469e9e7b8p-5, 0x1.3c9c283aaf872p-5, 0x1.268d0fc5fed26p-5, 0x1.10b5c94a60622p-5, 0x1.f62e29cc97dccp-6, 0x1.cb634f7c158bap-6, 0x1.a10c588214e5cp-6, 0x1.772a83f6d7de5p-6, 0x1.4dbefb72a0c8fp-6, 0x1.24cad48a3abaap-6, 0x1.f89e24845f6cbp-7, 0x1.a89949ecea153p-7, 0x1.5988d44aa4608p-7, 0x1.0b6e599e570c7p-7, 0x1.7c969b79e7642p-8, 0x1.c88411d76eb78p-9, 0x1.37858c995ebc9p-10, -0x1.1a24bf66596bep-10, -0x1.b1f7948ea2d33p-9, -0x1.6974c1986636ap-8, -0x1.f7f2a25f2088fp-8, -0x1.423a17dec20c8p-7, -0x1.877c32b78fbb6p-7, -0x1.cbbf3b88768acp-7, -0x1.0781731796544p-6, -0x1.28a37f1643209p-6, -0x1.4945b2fe6a0d6p-6, -0x1.69680c0779815p-6, -0x1.890a9394fe01bp-6, -0x1.a82d5e82553a8p-6, -0x1.c6d08bdde89dfp-6, -0x1.e4f4445326d63p-6, -0x1.014c5d3953acp-5, -0x1.0fdf1593eb9f7p-5, -0x1.1e326eb01818fp-5, -0x1.2c46907e9332dp-5, -0x1.3a1ba6f241837p-5, -0x1.47b1e2038b8e9p-5, -0x1.550975e7fdf18p-5, -0x1.62229b1bb2758p-5, -0x1.6efd8e014d51p-5, -0x1.7b9a8e645252cp-5, -0x1.87f9df485f5b4p-5, -0x1.941bc70f3d069p-5, -0x1.a0008fa1f01d8p-5, -0x1.aba886404dc74p-5, -0x1.b713fb118c0c5p-5, -0x1.c24340cd38a16p-5, -0x1.cd36acbf5f1eap-5, -0x1.d7ee97000b9d8p-5, -0x1.e26b5a7bd2437p-5, -0x1.ecad54a15fabfp-5, -0x1.f6b4e4ed1f939p-5, -0x1.0041365921b98p-4, -0x1.050b27a1b90fdp-4, -0x1.09b8791ca8e96p-4, -0x1.0e495eb956609p-4, -0x1.12be0d5661e31p-4, -0x1.1716ba8098d91p-4, -0x1.1b539c584fbfap-4, -0x1.1f74e9aeac4cap-4, -0x1.237ada37a7176p-4, -0x1.2765a697d1f3p-4, -0x1.2b35883515c92p-4, -0x1.2eeab8e90951ep-4, -0x1.328572d1b3543p-4, -0x1.3605f062f4dcp-4, -0x1.396c6ca4f86eep-4, -0x1.3cb9236340ffep-4, -0x1.3fec511cca23dp-4, -0x1.430632bc80e3fp-4, -0x1.460705429f564p-4, -0x1.48ef05b05445cp-4, -0x1.4bbe713103153p-4, -0x1.4e7585665023dp-4, -0x1.51148093452ccp-4, -0x1.539ba180e0e54p-4, -0x1.560b272ac8819p-4, -0x1.5863506d91e5p-4, -0x1.5aa45bef54b28p-4, -0x1.5cce885169cf5p-4, -0x1.5ee21481db892p-4, -0x1.60df3feff1a05p-4, -0x1.62c64a7b1b833p-4, -0x1.64977425846b6p-4, -0x1.6652fcbc4b75dp-4, -0x1.67f923ae9f94dp-4, -0x1.698a282d57ec2p-4, -0x1.6b06497a101ddp-4, -0x1.6c6dc72e7948dp-4, -0x1.6dc0e14b62daap-4, -0x1.6effd805fb421p-4, -0x1.702aeb6d5c0bp-4, -0x1.71425b2d0666ap-4, -0x1.7246667bc65c9p-4, -0x1.73374c53ff8b5p-4, -0x1.74154bc25884p-4, -0x1.74e0a41fcba8cp-4, -0x1.7599950e8b7b1p-4, -0x1.76405e415d8bbp-4, -0x1.76d53f2ada13ap-4, -0x1.775876c355fbap-4, -0x1.77ca438504f28p-4, -0x1.782ae39e2ea12p-4, -0x1.787a953a7c9a8p-4, -0x1.78b996b8e82d1p-4, -0x1.78e826b0ae6ebp-4, -0x1.790683c3a33cep-4, -0x1.7914ec56bf2b6p-4, -0x1.79139e5677364p-4, -0x1.7902d724e2a8bp-4, -0x1.78e2d3b92c3e1p-4, -0x1.78b3d0dd5abd4p-4, -0x1.78760b692929p-4, -0x1.7829c05c60d31p-4, -0x1.77cf2ccbac703p-4, -0x1.77668daa6035bp-4, -0x1.76f01f8e44fbep-4, -0x1.766c1e81a296cp-4, -0x1.75dac606474c7p-4, -0x1.753c5137de4cp-4, -0x1.7490fb03827a8p-4, -0x1.73d8fe589861cp-4, -0x1.73149636de14p-4, -0x1.7243fda13d57bp-4, -0x1.71676f6a044afp-4, -0x1.707f25fe97cd1p-4, -0x1.6f8b5b419e4aep-4, -0x1.6e8c488554bd7p-4, -0x1.6d8226a6d36bep-4, -0x1.6c6d2e3ba7eadp-4, -0x1.6b4d97bdaeaf4p-4, -0x1.6a239ba31fcb8p-4, -0x1.68ef725916f2ap-4, -0x1.67b15422d335dp-4, -0x1.666978eaee14ep-4, -0x1.651818195e50cp-4, -0x1.63bd687f53d36p-4, -0x1.6259a05f82b66p-4, -0x1.60ecf58d52983p-4, -0x1.5f779d9510a1dp-4, -0x1.5df9cddd5a9b5p-4, -0x1.5c73bbb596c78p-4, -0x1.5ae59c4bf7ec3p-4, -0x1.594fa48e4b85fp-4, -0x1.57b209011a7a5p-4, -0x1.560cfd9b839a5p-4, -0x1.5460b5b7fca1ep-4, -0x1.52ad641a0af19p-4, -0x1.50f33b08a261dp-4, -0x1.4f326c6fb70b5p-4, -0x1.4d6b29fdb5bp-4, -0x1.4b9da53327e3p-4, -0x1.49ca0f5f51f89p-4, -0x1.47f0998a61274p-4, -0x1.461174543e05ep-4, -0x1.442ccfd381deap-4, -0x1.4242db800c148p-4, -0x1.4053c6300e8dap-4, -0x1.3e5fbe263e226p-4, -0x1.3c66f12a9ec16p-4, -0x1.3a698ca4bdd87p-4, -0x1.3867bdaf5ba16p-4, -0x1.3661b120761f5p-4, -0x1.3457938304b67p-4, -0x1.32499103ed067p-4, -0x1.3037d5583f40ep-4, -0x1.2e228ba4ca6d2p-4, -0x1.2c09de6eb0046p-4, -0x1.29edf799cf52cp-4, -0x1.27cf0072b9b21p-4, -0x1.25ad21bfd0edp-4, -0x1.238883d31832ep-4, -0x1.21614e9880522p-4, -0x1.1f37a99d383bep-4, -0x1.1d0bbc0eb9e3cp-4, -0x1.1addacb153749p-4, -0x1.18ada1d0f5811p-4, -0x1.167bc13063f7bp-4, -0x1.14482ffc2825ap-4, -0x1.121312c50aa77p-4, -0x1.0fdc8d818c0f5p-4, -0x1.0da4c397a8646p-4, -0x1.0b6bd7e549911p-4, -0x1.0931eccaa52b5p-4, -0x1.06f7243137d23p-4, -0x1.04bb9f8f71215p-4, -0x1.027f7fe87975ap-4, -0x1.0042e5c7da746p-4, -0x1.fc0be271e5da8p-5, -0x1.f791837cfea36p-5, -0x1.f316ec95c48fep-5, -0x1.ee9c5a791281ep-5, -0x1.ea2208bdeb2b5p-5, -0x1.e5a831de0accfp-5, -0x1.e12f0f40c9d0ap-5, -0x1.dcb6d944e156ep-5, -0x1.d83fc749267a4p-5, -0x1.d3ca0fb1bf724p-5, -0x1.cf55e7ea81cd3p-5, -0x1.cae384659dda9p-5, -0x1.c673189607043p-5, -0x1.c204d6e714058p-5, -0x1.bd98f0b3d6a8p-5, -0x1.b92f9641a36cep-5, -0x1.b4c8f6bfb2335p-5, -0x1.b065404ba8b69p-5, -0x1.ac049ff8d1078p-5, -0x1.a7a741d739282p-5, -0x1.a34d50f92187ap-5, -0x1.9ef6f77692f8ap-5, -0x1.9aa45e6f9474bp-5, -0x1.9655ae0d75d8p-5, -0x1.920b0d831b871p-5, -0x1.8dc4a30bef28ep-5, -0x1.898293e992aadp-5, -0x1.854504615a9e1p-5, -0x1.810c17babee03p-5, -0x1.7cd7f0404b9e8p-5, -0x1.78a8af42a000cp-5, -0x1.747e751f2e10cp-5, -0x1.7059614165178p-5, -0x1.6c39922a2af08p-5, -0x1.681f257098fabp-5, -0x1.640a37c46a817p-5, -0x1.5ffae4f05e219p-5, -0x1.5bf147dcffad5p-5, -0x1.57ed7a937ebaep-5, -0x1.53ef963fc5cc2p-5, -0x1.4ff7b3315ac85p-5, -0x1.4c05e8db243a4p-5, -0x1.481a4dd2f372p-5, -0x1.4434f7d1e8718p-5, -0x1.4055fbb686f79p-5, -0x1.3c7d6d885e0d3p-5, -0x1.38ab607ca5299p-5, -0x1.34dfe6fafd38ap-5, -0x1.311b12a1c6527p-5, -0x1.2d5cf449de276p-5, -0x1.29a59c09c4507p-5, -0x1.25f519381b5e8p-5, -0x1.224b7a6d8d579p-5, -0x1.1ea8cd861e89fp-5, -0x1.1b0d1fa219489p-5, -0x1.17787d26fe3a4p-5, -0x1.13eaf1c11248ep-5, -0x1.106488661585dp-5, -0x1.0ce54b59511a3p-5, -0x1.096d44309c35bp-5, -0x1.05fc7bd944d8p-5, -0x1.0292fa9bd383cp-5, -0x1.fe61903bff22p-6, -0x1.f7abd6c60cde2p-6, -0x1.f104d5971c2dp-6, -0x1.ea6c982c9635fp-6, -0x1.e3e328c53f456p-6, -0x1.dd68906b13a15p-6, -0x1.d6fcd700e9d36p-6, -0x1.d0a00350e80e8p-6, -0x1.ca521b189e847p-6, -0x1.c413230fc1529p-6, -0x1.bde31ee833c3dp-6, -0x1.b7c21148c5756p-6, -0x1.b1affbc5a1161p-6, -0x1.abacdedad9b12p-6, -0x1.a5b8b9ebbcde7p-6, -0x1.9fd38b4cbc421p-6, -0x1.99fd5051f320bp-6, -0x1.94360565df0dcp-6, -0x1.8e7da6202d01fp-6, -0x1.88d42d5875b0ap-6, -0x1.833995300978fp-6, -0x1.7dadd710578ep-6, -0x1.7830eb9ed7da1p-6, -0x1.72c2caaac4e13p-6, -0x1.6d636b1b27f8dp-6, -0x1.6812c2e487a34p-6, -0x1.62d0c70bb6bb1p-6, -0x1.5d9d6bb7df73dp-6, -0x1.5878a4518221ep-6, -0x1.536263a7e3572p-6, -0x1.4e5a9c13917efp-6, -0x1.49613f8cb07a9p-6, -0x1.44763faeb53c2p-6, -0x1.3f998da7cacd2p-6, -0x1.3acb1a1870de4p-6, -0x1.360ad4ed0d863p-6, -0x1.3158ad3d397cdp-6, -0x1.2cb4913c1ef07p-6, -0x1.281e6e412e19ap-6, -0x1.239630e9eeb31p-6, -0x1.1f1bc54ebd9fap-6, -0x1.1aaf173e6c9a1p-6, -0x1.16501272060c5p-6, -0x1.11fea2aaf69f6p-6, -0x1.0dbab3b30090fp-6, -0x1.0984313cf8a9ap-6, -0x1.055b06ad9a873p-6, -0x1.013f1eda8c086p-6, -0x1.fa60c7a246767p-7, -0x1.f25d7d6ac7906p-7, -0x1.ea742f8917efp-7, -0x1.e2a4acfc2b322p-7, -0x1.daeec3d83d1afp-7, -0x1.d35241f7f762ap-7, -0x1.cbcef5a48837dp-7, -0x1.c464ae0ba92c5p-7, -0x1.bd133b64f781dp-7, -0x1.b5da6eba3561ap-7, -0x1.aeba195cb7921p-7, -0x1.a7b20c25fe4cap-7, -0x1.a0c216afd27fap-7, -0x1.99ea06b461b6dp-7, -0x1.9329a7bfc6a54p-7, -0x1.8c80c34c6fa4fp-7, -0x1.85ef214ac00f5p-7, -0x1.7f74890082fdcp-7, -0x1.7910c209d0825p-7, -0x1.72c3954a1ad22p-7, -0x1.6c8ccd9000a2dp-7, -0x1.666c37c4fe247p-7, -0x1.6061a29abb463p-7, -0x1.5a6cddc4c2835p-7, -0x1.548db8e7438b1p-7, -0x1.4ec402735ff08p-7, -0x1.490f86ae0d61cp-7, -0x1.43700f17ec0d3p-7, -0x1.3de5625c11205p-7, -0x1.386f44d3dce57p-7, -0x1.330d79908a92p-7, -0x1.2dbfc3bd9ffccp-7, -0x1.2885e8169bfb9p-7, -0x1.235fae20e12efp-7, -0x1.1e4ce0e1ccfp-7, -0x1.194d4ee631c46p-7, -0x1.1460c9975eda9p-7, -0x1.0f8724020540bp-7, -0x1.0ac0315035c3bp-7, -0x1.060bc34223d58p-7, -0x1.0169a8eb1ebc6p-7, -0x1.f9b35bce64d4cp-8, -0x1.f0b7345464ca4p-8, -0x1.e7de64ea531a2p-8, -0x1.df2872d6c128fp-8, -0x1.d694e24dd3047p-8, -0x1.ce233a1fe49ccp-8, -0x1.c5d307415c639p-8, -0x1.bda3df679a245p-8, -0x1.b5956216581a7p-8, -0x1.ada737cc95603p-8, -0x1.a5d90f75db77bp-8, -0x1.9e2a9ab643599p-8, -0x1.969b89e50c7b9p-8, -0x1.8f2b888a7260cp-8, -0x1.87da3aefbd678p-8, -0x1.80a73cfab62ccp-8, -0x1.79922243f855dp-8, -0x1.729a773b8caefp-8, -0x1.6bbfc33991ff9p-8, -0x1.65018b6058994p-8, -0x1.5e5f5648e0282p-8, -0x1.57d8affac2fa6p-8, -0x1.516d2db25546ap-8, -0x1.4b1c7083666d5p-8, -0x1.44e626165f827p-8, -0x1.3eca0719885fcp-8, -0x1.38c7d3a086c07p-8, -0x1.32df4e4ece679p-8, -0x1.2d103785daf57p-8, -0x1.275a49bec4f53p-8, -0x1.21bd37c16d3b9p-8, -0x1.1c38ac9edae7bp-8, -0x1.16cc4cecb7d8ap-8, -0x1.1177b85204498p-8, -0x1.0c3a8ae02b74fp-8, -0x1.07145e29c5ef5p-8, -0x1.0204ca86053b9p-8, -0x1.fa16d2172393dp-9, -0x1.f04faceab8298p-9, -0x1.e6b36d083340fp-9, -0x1.dd416dc40fc1cp-9, -0x1.d3f920c3b6c7ap-9, -0x1.cada0b975165fp-9, -0x1.c1e3c05dbcd74p-9, -0x1.b915d33888267p-9, -0x1.b06fcfabfad2ap-9, -0x1.a7f131449af04p-9, -0x1.9f9961ba4fc65p-9, -0x1.9767bcab0ea57p-9, -0x1.8f5b96ca6d9fbp-9, -0x1.8774451405b31p-9, -0x1.7fb120e039f0cp-9, -0x1.78118795152bcp-9, -0x1.7094d72ad5616p-9, -0x1.693a6a87d2b03p-9, -0x1.620198e263cebp-9, -0x1.5ae9b9ce54426p-9, -0x1.53f22d3af4184p-9, -0x1.4d1a6496fe1b6p-9, -0x1.4661e971a9b49p-9, -0x1.3fc85e8afa21fp-9, -0x1.394d7a20676ccp-9, -0x1.32f0fabe360bp-9, -0x1.2cb29a14e323ep-9, -0x1.2692025181e1ep-9, -0x1.208ec9b5a5806p-9, -0x1.1aa875d31f89bp-9, -0x1.14de84bd3fbap-9, -0x1.0f3077f5bdd9cp-9, -0x1.099ddbfd3759bp-9, -0x1.042648d2d601cp-9, -0x1.fd92b5eb21ed9p-10, -0x1.f30d504efdfc8p-10, -0x1.e8bb6adb3822dp-10, -0x1.de9be69fe7afdp-10, -0x1.d4ad84d0b8a59p-10, -0x1.caeefd6eba1c2p-10, -0x1.c15f1b25e962fp-10, -0x1.b7fcd2d17f19p-10, -0x1.aec74f128c70bp-10, -0x1.a5bdec82cb6ecp-10, -0x1.9ce0281128dbap-10, -0x1.942d86167f383p-10, -0x1.8ba57b30a0e76p-10, -0x1.83475f01f48cp-10, -0x1.7b126cef47fffp-10, -0x1.7305d1ff9c346p-10, -0x1.6b20c29b34acep-10, -0x1.63629005d064p-10, -0x1.5bcab482d305cp-10, -0x1.5458cf5100691p-10, -0x1.4d0c8fe4eb221p-10, -0x1.45e5974c9bb26p-10, -0x1.3ee35d6ce98a2p-10, -0x1.380525cdefc97p-10, -0x1.314a08bac42d1p-10, -0x1.2ab10aeec72a9p-10, -0x1.243938afed9dfp-10, -0x1.1de1bae41b2b6p-10, -0x1.17a9e1f5a5111p-10, -0x1.1191261716053p-10, -0x1.0b971e098a1b6p-10, -0x1.05bb6f681dd6ap-10, -0x1.fffb7bab8c7cfp-11, -0x1.f4bb3d1f2385fp-11, -0x1.e9b5261a5a968p-11, -0x1.dee8148db5031p-11, -0x1.d452cec1b1255p-11, -0x1.c9f419f216a85p-11, -0x1.bfcad6ac8b911p-11, -0x1.b5d6196b603f8p-11, -0x1.ac15319ac1fdap-11, -0x1.a287956d9ef29p-11, -0x1.992cb665d0c33p-11, -0x1.9003d1cf7ae08p-11, -0x1.870bd6d891da5p-11, -0x1.7e4371e9920b2p-11, -0x1.75a935c029242p-11, -0x1.6d3bc72d91ce1p-11, -0x1.64f9f31ac06ecp-11, -0x1.5ce2ae6186086p-11, -0x1.54f5121a98e45p-11, -0x1.4d306056f8221p-11, -0x1.45940966fcca3p-11, -0x1.3e1fa44c6cd1fp-11, -0x1.36d2d934507e6p-11, -0x1.2fad47d6a62e3p-11, -0x1.28ae7369b42d6p-11, -0x1.21d5b8eb90dccp-11, -0x1.1b225116cd574p-11, -0x1.14935c348545ap-11, -0x1.0e27f2c796db4p-11, -0x1.07df35d119865p-11, -0x1.01b85bfe9185ep-11, -0x1.f76573d094c01p-12, -0x1.eb9b82dcc97b3p-12, -0x1.e011e88f69504p-12, -0x1.d4c7995f4d215p-12, -0x1.c9bb5329870cfp-12, -0x1.beeb9d9dd22aap-12, -0x1.b456f7277de31p-12, -0x1.a9fc011d1d146p-12, -0x1.9fd971fac7598p-12, -0x1.95edd50b2ee44p-12, -0x1.8c376cbbcd91dp-12, -0x1.82b4778d1d68bp-12, -0x1.7963a6a03b179p-12, -0x1.7044567f5e09ep-12, -0x1.6756596a92817p-12, -0x1.5e99864ef7571p-12, -0x1.560d62de2c5d9p-12, -0x1.4db11cc56ac9p-12, -0x1.4583c746e455bp-12, -0x1.3d849f4c42a8p-12, -0x1.35b318e83d46p-12, -0x1.2e0eaca1b18d2p-12, -0x1.26969b427d80bp-12, -0x1.1f49deef0aa1cp-12, -0x1.1827513f850a9p-12, -0x1.112de4f47e895p-12, -0x1.0a5cc8e102171p-12, -0x1.03b35e7416776p-12, -0x1.fa6211e8df2e6p-13, -0x1.eda9eb6481f73p-13, -0x1.e13c1a683d226p-13, -0x1.d5164452d08cp-13, -0x1.c936509f6e5c4p-13, -0x1.bd9a37c1395e3p-13, -0x1.b23f47473e3dep-13, -0x1.a721fc8dad9a2p-13, -0x1.9c3f33d53be27p-13, -0x1.9195a6e1c7a02p-13, -0x1.872608bc2d9f4p-13, -0x1.7cf18eb6a4122p-13, -0x1.72f857152e885p-13, -0x1.69390633e6b33p-13, -0x1.5fb1ac307f57p-13, -0x1.5660ee1253c94p-13, -0x1.4d465fe7ad29dp-13, -0x1.4461eb4379c2fp-13, -0x1.3bb300bf8fb9dp-13, -0x1.333845521fc75p-13, -0x1.2aefc9bb65717p-13, -0x1.22d77c33e299dp-13, -0x1.1aed92c007d8bp-13, -0x1.1330d3edfbfbdp-13, -0x1.0ba0b571be1e3p-13, -0x1.043d47784373bp-13, -0x1.fa0dc4407a787p-14, -0x1.ebfb41f847e02p-14, -0x1.de41e5ae84b8fp-14, -0x1.d0df4fa211242p-14, -0x1.c3d10d37b02a8p-14, -0x1.b7155e35ccb71p-14, -0x1.aaaa1cd01c8f3p-14, -0x1.9e8b009439327p-14, -0x1.92b27f872c405p-14, -0x1.871d7af53c314p-14, -0x1.7bcd03c6574c3p-14, -0x1.70c36e92ffa65p-14, -0x1.6600535d7adc6p-14, -0x1.5b8002d1c79d1p-14, -0x1.513e60171cdc9p-14, -0x1.473983f5e8cc2p-14, -0x1.3d717e0f4c647p-14, -0x1.33e64c5611667p-14, -0x1.2a96b48499319p-14, -0x1.2180a59666132p-14, -0x1.18a201201db3p-14, -0x1.0ff8fd8805e64p-14, -0x1.07842a02b7e51p-14, -0x1.fe84ba53210dap-15, -0x1.ee6560315f04dp-15, -0x1.dea8feb9358cbp-15, -0x1.cf4ec727ae921p-15, -0x1.c05638f70084ap-15, -0x1.b1becd6c6cc8cp-15, -0x1.a387567547c8bp-15, -0x1.95ad373deb4ebp-15, -0x1.882c629f4688bp-15, -0x1.7b010bf28942ap-15, -0x1.6e29e77112b25p-15, -0x1.61a7f029a9db3p-15, -0x1.557acda9503d6p-15, -0x1.499e2cc17897ap-15, -0x1.3e0d93cd000f1p-15, -0x1.32c97c798aafdp-15, -0x1.27d43549d6377p-15, -0x1.1d2b230e0abcap-15, -0x1.12c76fa321437p-15, -0x1.08a4befd8a8c6p-15, -0x1.fd875e58b5bd1p-16, -0x1.ea4b663ca7542p-16, -0x1.d7938177f1b68p-16, -0x1.c55a6d1b0b0e6p-16, -0x1.b39b725d9305ep-16, -0x1.a2539d68e83ebp-16, -0x1.91812e16d27b7p-16, -0x1.8122bee1b3e3ap-16, -0x1.7136b2f370358p-16, -0x1.61baf891352d1p-16, -0x1.52ad06c6924dp-16, -0x1.4409efd01e6fap-16, -0x1.35ce6f7c386fap-16, -0x1.27f705dada7dap-16, -0x1.1a8049493e075p-16, -0x1.0d6765b10152fp-16, -0x1.00aa4cc1b6251p-16, -0x1.e88e111d2201p-17, -0x1.d0756a4c1a6afp-17, -0x1.b903d2b5a9915p-17, -0x1.a2363cb379e3bp-17, -0x1.8c11328d648e1p-17, -0x1.769bab107ed4cp-17, -0x1.61d00509ace0fp-17, -0x1.4d9b22f845e03p-17, -0x1.39f50b02629a5p-17, -0x1.26e32c54b819ap-17, -0x1.14613e7092969p-17, -0x1.02665750df8ccp-17, -0x1.e1ee377072a4p-18, -0x1.c03653473e067p-18, -0x1.9f9c52663231p-18, -0x1.800a29a578d5fp-18, -0x1.616db7dde4e79p-18, -0x1.43bc397ba3b93p-18, -0x1.26ef7e724e1e1p-18, -0x1.0b0361d126f2bp-18, -0x1.dfe8f73deecp-19, -0x1.ab7f01178a234p-19, -0x1.78c1cd4adcdffp-19, -0x1.47a965e19305p-19, -0x1.182ce530f50f6p-19, -0x1.d4854ea46288dp-20, -0x1.7bc10b9698d54p-20, -0x1.25f8560fdee5ep-20, -0x1.a62d246f203ep-21, -0x1.0614cf96940ddp-21, -0x1.ae3f06c219da3p-23, 0x1.4b6cf1719dbd4p-24, 0x1.71dc001ca44p-22, 0x1.43129f5d8b356p-21, 0x1.c81a561d0995ep-21, 0x1.2420c9e6f5fdbp-20, 0x1.61c8768641909p-20, 0x1.9ce869b478b65p-20, 0x1.d57e481b06066p-20, }}, 
      {{-0x1.95a3f0454aef1p-1, -0x1.8fb4c5740e44p-1, -0x1.864bcc8d144b5p-1, -0x1.79f292db8cfcap-1, -0x1.6b3c1fe6fc769p-1, -0x1.5ab8f0a83dcc8p-1, -0x1.48efb1e08080ep-1, -0x1.36591a0e613eep-1, -0x1.235df083dbeeap-1, -0x1.10569a0138676p-1, -0x1.fb1755e50178fp-2, -0x1.d66e38e2d0919p-2, -0x1.b30bb0ad6acbep-2, -0x1.9132cc1787b82p-2, -0x1.711326235362ap-2, -0x1.52cc01da69e91p-2, -0x1.366f1b2b3aa4bp-2, -0x1.1c032539e4b56p-2, -0x1.0385f636b7dbbp-2, -0x1.d9dcc9679f17bp-3, -0x1.b05bb9c0b5ccap-3, -0x1.8a636aa73b899p-3, -0x1.67c896a28a57p-3, -0x1.485bdc3ee4378p-3, -0x1.2beb40d12454ap-3, -0x1.12436bca02ac7p-3, -0x1.f6614b1abbff5p-4, -0x1.ccff46937fca1p-4, -0x1.a7fc4fd9f938p-4, -0x1.86f70233fdd83p-4, -0x1.6991cbebeb371p-4, -0x1.4f73797be2ca9p-4, -0x1.384796a9ba6b6p-4, -0x1.23beacae7dc0cp-4, -0x1.118e6379a694bp-4, -0x1.01718b3ff6022p-4, -0x1.e6502596f6a0cp-5, -0x1.cceddcc63f73cp-5, -0x1.b64fe529908e4p-5, -0x1.a2134b6df6979p-5, -0x1.8fde1510bcc7bp-5, -0x1.7f5ecbf08797dp-5, -0x1.704c039bfb7cap-5, -0x1.6263db3a5b4abp-5, -0x1.556b7e61df43ep-5, -0x1.492ea6c6dea81p-5, -0x1.3d7f2041bab1ep-5, -0x1.32345065990b5p-5, -0x1.272ac295f3c96p-5, -0x1.1c43b938532e7p-5, -0x1.1164c46e825c9p-5, -0x1.06775e8d03dcdp-5, -0x1.f6d11d4e1f041p-6, -0x1.e05122a1d326ep-6, -0x1.c9550ebe3c1e9p-6, -0x1.b1c854751ef48p-6, -0x1.999b0b184870ep-6, -0x1.80c16ce4ffdf7p-6, -0x1.673360d3e18a8p-6, -0x1.4cec0eba7d646p-6, -0x1.31e97bccecca2p-6, -0x1.162c2e408182bp-6, -0x1.f36db133a9f64p-7, -0x1.b91c1c0415e53p-7, -0x1.7d6ffe60e1decp-7, -0x1.40787c8fdba99p-7, -0x1.02470d9b3e51ap-7, -0x1.85de25e69fcfep-8, -0x1.050af1972fd47p-8, -0x1.04818a2a671ffp-9, 0x1.291caa98377a1p-15, 0x1.10fcfd50ebed5p-9, 0x1.10138a0cdbf98p-8, 0x1.98e04b749f7fap-8, 0x1.1159c22511d28p-7, 0x1.56ae0f5db8c41p-7, 0x1.9c54bcb55cb1fp-7, 0x1.e235d2f812df8p-7, 0x1.141ce6d987ec8p-6, 0x1.3724d7e21364ap-6, 0x1.5a278a6b4f3c6p-6, 0x1.7d1a206e8fc8ep-6, 0x1.9ff217085b156p-6, 0x1.c2a54cbbcd83bp-6, 0x1.e52a06c505a98p-6, 0x1.03bb7aab2ec31p-5, 0x1.14c19b5014d4cp-5, 0x1.25a32c5a4e775p-5, 0x1.365c2d3104a2p-5, 0x1.46e8d59bb6d75p-5, 0x1.574595758177ep-5, 0x1.676f14251c021p-5, 0x1.77622ff21801fp-5, 0x1.871bfd3524f1ap-5, 0x1.9699c56f4819dp-5, 0x1.a5d90648eb62ep-5, 0x1.b4d7706e03513p-5, 0x1.c392e64e1c9ddp-5, 0x1.d2097abc6a2f2p-5, 0x1.e0396f6f56e3dp-5, 0x1.ee213370cedd4p-5, 0x1.fbbf616e73b33p-5, 0x1.04895f02f04fep-4, 0x1.0b0d1b02b2784p-4, 0x1.116a6e570fdbfp-4, 0x1.17a0f4f8c636fp-4, 0x1.1db05c5ec6b43p-4, 0x1.239862a4a0d8p-4, 0x1.2958d5b627d4ap-4, 0x1.2ef1927f6226ep-4, 0x1.34628420a5bebp-4, 0x1.39aba325e0eaap-4, 0x1.3eccf4c2f5bdap-4, 0x1.43c68a14628d8p-4, 0x1.48987f619ff55p-4, 0x1.4d42fb68f1c56p-4, 0x1.51c62eace8306p-4, 0x1.562252c991b63p-4, 0x1.5a57a9cfe3377p-4, 0x1.5e667da8134ebp-4, 0x1.624f1f7a3a998p-4, 0x1.6611e71ed54ccp-4, 0x1.69af32959d12ep-4, 0x1.6d276582533abp-4, 0x1.707ae8b1863b6p-4, 0x1.73aa29a216508p-4, 0x1.76b59a117532cp-4, 0x1.799daf97a91c2p-4, 0x1.7c62e33a0aca5p-4, 0x1.7f05b10e22468p-4, 0x1.818697dd71e0dp-4, 0x1.83e618ce8bc48p-4, 0x1.8624b712a8b6dp-4, 0x1.8842f79a76048p-4, 0x1.8a4160cb096eap-4, 0x1.8c207a3c6c6ecp-4, 0x1.8de0cc7b1542dp-4, 0x1.8f82e0cb3a14dp-4, 0x1.910740f40fcf9p-4, 0x1.926e770dfe1e1p-4, 0x1.93b90d5345b34p-4, 0x1.94e78df48c0c1p-4, 0x1.95fa82f3b356cp-4, 0x1.96f275fd6ea8ap-4, 0x1.97cff048a219ep-4, 0x1.98937a7679d76p-4, 0x1.993d9c78ef7acp-4, 0x1.99cedd7463422p-4, 0x1.9a47c3abceb2dp-4, 0x1.9aa8d4671b53p-4, 0x1.9af293e1c6599p-4, 0x1.9b2585362d62ap-4, 0x1.9b422a4e8a8b1p-4, 0x1.9b4903d553f9fp-4, 0x1.9b3a912679138p-4, 0x1.9b1750439eb09p-4, 0x1.9adfbdca83bb8p-4, 0x1.9a9454e8cb0ebp-4, 0x1.9a358f56306ecp-4, 0x1.99c3e54aaf952p-4, 0x1.993fcd7a94276p-4, 0x1.98a9bd101e438p-4, 0x1.980227a4c26b5p-4, 0x1.97497f4437d75p-4, 0x1.9680346213a59p-4, 0x1.95a6b5dc4ce61p-4, 0x1.94bd70f8e0509p-4, 0x1.93c4d164a1272p-4, 0x1.92bd4133fb6e1p-4, 0x1.91a728e26db1ap-4, 0x1.9082ef5270ebcp-4, 0x1.8f50f9cf4bc3dp-4, 0x1.8e11ac0e3df9fp-4, 0x1.8cc568349143cp-4, 0x1.8b6c8ecea5634p-4, 0x1.8a077edc72fc7p-4, 0x1.889695cfd47b2p-4, 0x1.871a2f8ff11c4p-4, 0x1.8592a67b62af4p-4, 0x1.8400536a111a7p-4, 0x1.82638db2ef7a9p-4, 0x1.80bcab2bf97f2p-4, 0x1.7f0c002fdb40ep-4, 0x1.7d51dfa294baap-4, 0x1.7b8e9aede0a8fp-4, 0x1.79c2820c5ab1ep-4, 0x1.77ede38abc0ep-4, 0x1.76110c8a78ea3p-4, 0x1.742c48c6254p-4, 0x1.723fe29475c9ep-4, 0x1.704c22ecce5fap-4, 0x1.6e51516b8fc36p-4, 0x1.6c4fb4560a1fbp-4, 0x1.6a47909d530fbp-4, 0x1.683929e28d15dp-4, 0x1.6624c2793600dp-4, 0x1.640a9b708705ep-4, 0x1.61eaf492d2e76p-4, 0x1.5fc60c6abde83p-4, 0x1.5d9c20467b17cp-4, 0x1.5b6d6c3c2452p-4, 0x1.593a2b2eebdep-4, 0x1.570296d45ae36p-4, 0x1.54c6e7b4aac86p-4, 0x1.52875530ad11cp-4, 0x1.50441584e118ep-4, 0x1.4dfd5dcee71b7p-4, 0x1.4bb3621231401p-4, 0x1.4966553a32d7ep-4, 0x1.4716691f505ep-4, 0x1.44c3ce87e37aep-4, 0x1.426eb52fc6fd7p-4, 0x1.40174bcbe702fp-4, 0x1.3dbdc00df74b3p-4, 0x1.3b623ea728b4ap-4, 0x1.3904f34b643e7p-4, 0x1.36a608b6093f2p-4, 0x1.3445a8ae46a01p-4, 0x1.31e3fc0ba55b9p-4, 0x1.2f812ab8a8dc8p-4, 0x1.2d1d5bb593c81p-4, 0x1.2ab8b51c003d4p-4, 0x1.28535c236b8e1p-4, 0x1.25ed7525a92a5p-4, 0x1.238723a27bed6p-4, 0x1.21208a4237e5cp-4, 0x1.1eb9cad7fdba7p-4, 0x1.1c530665c59d3p-4, 0x1.19ec5d215a05bp-4, 0x1.1785ee76b9ca4p-4, 0x1.151fd90d514e8p-4, 0x1.12ba3ac949d1ep-4, 0x1.105530ce326e1p-4, 0x1.0df0d78252d91p-4, 0x1.0b8d4a92cef8ep-4, 0x1.092aa4f7d88a8p-4, 0x1.06c900f7e9428p-4, 0x1.0468782a0021cp-4, 0x1.020923779e395p-4, 0x1.ff56363efc2b8p-5, 0x1.fa9ced72a2ee5p-5, 0x1.f5e69a7370c5ap-5, 0x1.f13369ee759fap-5, 0x1.ec83874e09b1fp-5, 0x1.e7d71cd270a08p-5, 0x1.e32e53812203ap-5, 0x1.de89533430defp-5, 0x1.d9e8429fff6e2p-5, 0x1.d54b475af33aap-5, 0x1.d0b285e3a2fefp-5, 0x1.cc1e21a4bc20ep-5, 0x1.c78e3cf78366fp-5, 0x1.c302f927692b5p-5, 0x1.be7c76769f768p-5, 0x1.b9fad425ca8fdp-5, 0x1.b57e307af1191p-5, 0x1.b106a8c766644p-5, 0x1.ac94596b4af31p-5, 0x1.a8275dd746bb5p-5, 0x1.a3bfd0905ecbdp-5, 0x1.9f5dcb31844a2p-5, 0x1.9b016674154ddp-5, 0x1.96aaba35ba8bdp-5, 0x1.9259dd7e7643cp-5, 0x1.8e0ee6811c3a8p-5, 0x1.89c9eaac92c5fp-5, 0x1.858afe9008df5p-5, 0x1.815235fa4a6a8p-5, 0x1.7d1fa3f06c993p-5, 0x1.78f35ab5fc719p-5, 0x1.74cd6bd3b3cddp-5, 0x1.70ade81bc647p-5, 0x1.6c94dfaca51e5p-5, 0x1.688261f25bea3p-5, 0x1.64767da7ea731p-5, 0x1.607140d9d53dep-5, 0x1.5c72b8ea6b6dbp-5, 0x1.587af297256b3p-5, 0x1.5489f9fdf0e5fp-5, 0x1.509fdaa13057ep-5, 0x1.4cbc9f6a085bfp-5, 0x1.48e052a99cb0ep-5, 0x1.450afe1a1496bp-5, 0x1.413caae0a7c1cp-5, 0x1.3d75619119936p-5, 0x1.39b52a322284dp-5, 0x1.35fc0c424bebfp-5, 0x1.324a0ebb94b7bp-5, 0x1.2e9f381622b3ap-5, 0x1.2afb8e4bc7f3fp-5, 0x1.275f16cca4bc5p-5, 0x1.23c9d6991aa8fp-5, 0x1.203bd22ba0094p-5, 0x1.1cb50d882f6e4p-5, 0x1.19358c3e1e14ep-5, 0x1.15bd516bd835cp-5, 0x1.124c5fc1a70a4p-5, 0x1.0ee2b983f5579p-5, 0x1.0b80608bcf809p-5, 0x1.0825564790fbap-5, 0x1.04d19bbcdf543p-5, 0x1.0185318a42a85p-5, 0x1.fc802fd453e9fp-6, 0x1.f6049d6e3ca33p-6, 0x1.ef97aadac927fp-6, 0x1.e939565e36df6p-6, 0x1.e2e99d8a33a76p-6, 0x1.dca87d4074002p-6, 0x1.d675f1b3bd0a6p-6, 0x1.d051f66a83d8fp-6, 0x1.ca3c8641f59b6p-6, 0x1.c4359b72e6088p-6, 0x1.be3d2f96aa146p-6, 0x1.b8533bae14028p-6, 0x1.b277b824eb734p-6, 0x1.acaa9cd64c40fp-6, 0x1.a6ebe10ee1e4cp-6, 0x1.a13b7b8eb461p-6, 0x1.9b9962887584ap-6, 0x1.96058bae458bcp-6, 0x1.907fec21425fp-6, 0x1.8b087887b8717p-6, 0x1.859f250a42b22p-6, 0x1.8043e55902d98p-6, 0x1.7af6acafebde5p-6, 0x1.75b76dd9d6cadp-6, 0x1.70861b32d3f23p-6, 0x1.6b62a6a9e7abcp-6, 0x1.664d01c2adb87p-6, 0x1.61451d974a10bp-6, 0x1.5c4aeadb52ccfp-6, 0x1.575e59deb0e88p-6, 0x1.527f5a91d7b66p-6, 0x1.4daddc897756fp-6, 0x1.48e9cf0200bbfp-6, 0x1.443320e2b428ep-6, 0x1.3f89c0c003ffcp-6, 0x1.3aed9cdd83727p-6, 0x1.365ea32f9acbdp-6, 0x1.31dcc15d3564p-6, 0x1.2d67e4c1ba2b3p-6, 0x1.28fffa6f83935p-6, 0x1.24a4ef325610ep-6, 0x1.2056af941585ap-6, 0x1.1c1527dd11401p-6, 0x1.17e04419ba3edp-6, 0x1.13b7f01bade3p-6, 0x1.0f9c177c467aap-6, 0x1.0b8ca59e7f63dp-6, 0x1.078985b09e136p-6, 0x1.0392a2add4c71p-6, 0x1.ff4fcebff7766p-7, 0x1.f7927cc29d34cp-7, 0x1.efed2436d3103p-7, 0x1.e85f99b82a74bp-7, 0x1.e0e9b16419089p-7, 0x1.d98b3f2b8e1dcp-7, 0x1.d24416b0c3a35p-7, 0x1.cb140b52cddb1p-7, 0x1.c3faf031e249ap-7, 0x1.bcf8983280f3fp-7, 0x1.b60cd603b055ep-7, 0x1.af377c1263ae3p-7, 0x1.a8785cabc632ep-7, 0x1.a1cf49e185e5cp-7, 0x1.9b3c159e6d03bp-7, 0x1.94be919e099f2p-7, 0x1.8e568f7f6b5e2p-7, 0x1.8803e0cadc8dep-7, 0x1.81c656d52b6abp-7, 0x1.7b9dc2e9cda76p-7, 0x1.7589f63fea1f1p-7, 0x1.6f8ac1f6b5267p-7, 0x1.699ff71f1eeecp-7, 0x1.63c966bd335e3p-7, 0x1.5e06e1caa00bap-7, 0x1.585839395d6a7p-7, 0x1.52bd3df675837p-7, 0x1.4d35c0ecfec16p-7, 0x1.47c193091c5ep-7, 0x1.4260853b019fbp-7, 0x1.3d126879d2309p-7, 0x1.37d70dc6613dfp-7, 0x1.32ae462dc63bap-7, 0x1.2d97e2cbe22c2p-7, 0x1.2893b4cdc6a66p-7, 0x1.23a18d7401b1ep-7, 0x1.1ec13e14d26a9p-7, 0x1.19f2981e967fbp-7, 0x1.15356d19290fap-7, 0x1.10898ea8e2193p-7, 0x1.0beece9006ca9p-7, 0x1.0764febe2d4fdp-7, 0x1.02ebf10f8dee8p-7, 0x1.fd06efae9b132p-8, 0x1.f456cab05f342p-8, 0x1.ebc71819a62d8p-8, 0x1.e3577d2f36fb4p-8, 0x1.db079f92239bap-8, 0x1.d2d7253e9be1dp-8, 0x1.cac5b490051c1p-8, 0x1.c2d2f444517bp-8, 0x1.bafe8b7f3298cp-8, 0x1.b34821cd1f87bp-8, 0x1.abaf5f2642abap-8, 0x1.a433ebf147c4cp-8, 0x1.9cd571062e339p-8, 0x1.959397b10397bp-8, 0x1.8e6e09b48cb34p-8, 0x1.8764714d0562ep-8, 0x1.80767932c788bp-8, 0x1.79a3cc9d0cb48p-8, 0x1.72ec17448aa5p-8, 0x1.6c4f0565d77c8p-8, 0x1.65cc43c38ca94p-8, 0x1.5f637fa7ffaf7p-8, 0x1.591466e6b1c49p-8, 0x1.52dea7dd9deb8p-8, 0x1.4cc1f176b1d9ep-8, 0x1.46bdf329912c7p-8, 0x1.40d25cfdc0c08p-8, 0x1.3afedf8d0d71bp-8, 0x1.35432c063d274p-8, 0x1.2f9ef42ee1cb3p-8, 0x1.2a11ea647bc62p-8, 0x1.249bc19d85f5cp-8, 0x1.1f3c2d692e2e6p-8, 0x1.19f2e1ef24d12p-8, 0x1.14bf93efd877ep-8, 0x1.0fa1f8c5684f1p-8, 0x1.0a99c6657905bp-8, 0x1.05a6b363f50dp-8, 0x1.00c876f5f1b8dp-8, 0x1.f7fd91e841edcp-9, 0x1.ee92c3b844786p-9, 0x1.e54ff5a0f4268p-9, 0x1.dc349b2c96e97p-9, 0x1.d340290280c61p-9, 0x1.ca721599978bcp-9, 0x1.c1c9d7c3bad76p-9, 0x1.b946e822984c9p-9, 0x1.b0e8c06fdf1ap-9, 0x1.a8aedbad1392cp-9, 0x1.a098b62cd5b43p-9, 0x1.98a5cd9b479ddp-9, 0x1.90d5a10228987p-9, 0x1.8927b0c728ae9p-9, 0x1.819b7ea436592p-9, 0x1.7a308d9b1f577p-9, 0x1.72e661e83553bp-9, 0x1.6bbc80f766c7ap-9, 0x1.64b2715f6fd0fp-9, 0x1.5dc7bae54f25fp-9, 0x1.56fbe686fa86ap-9, 0x1.504e7e8be1ed7p-9, 0x1.49bf0e974960ap-9, 0x1.434d23b3d07e3p-9, 0x1.3cf84c5dab131p-9, 0x1.36c01872b5596p-9, 0x1.30a4192da04b9p-9, 0x1.2aa3e10849b2fp-9, 0x1.24bf03a4ba027p-9, 0x1.1ef515b80413fp-9, 0x1.1945acff643eap-9, 0x1.13b0604334f1bp-9, 0x1.0e34c765fc18cp-9, 0x1.08d27b7d9a933p-9, 0x1.038916f036fedp-9, 0x1.fcb06b1aefc28p-10, 0x1.f27ee93a90db8p-10, 0x1.e87ce5bf11292p-10, 0x1.dea9a0f705016p-10, 0x1.d5045dc3c285p-10, 0x1.cb8c614e6aa86p-10, 0x1.c240f2be1037cp-10, 0x1.b9215affbfa35p-10, 0x1.b02ce4acd9df9p-10, 0x1.a762dc16a102bp-10, 0x1.9ec28f740f85bp-10, 0x1.964b4f2891dcep-10, 0x1.8dfc6e13a9237p-10, 0x1.85d541d72f9c1p-10, 0x1.7dd523040fb75p-10, 0x1.75fb6d2295274p-10, 0x1.6e477e8f1f45fp-10, 0x1.66b8b83a636afp-10, 0x1.5f4e7d508b9bap-10, 0x1.580833044736p-10, 0x1.50e53f377d726p-10, 0x1.49e50a77f9d87p-10, 0x1.4306fdbb69b13p-10, 0x1.3c4a83939f7a8p-10, 0x1.35af083a7e174p-10, 0x1.2f33f9e3354edp-10, 0x1.28d8c910690dcp-10, 0x1.229ce8dc96d6p-10, 0x1.1c7fcf26568dp-10, 0x1.1680f4979b17ap-10, 0x1.109fd485a70b8p-10, 0x1.0adbecafefbc8p-10, 0x1.0534bce9324d3p-10, 0x1.ff538d76dc0f9p-11, 0x1.f4751a2c76703p-11, 0x1.e9cd282ba7aeap-11, 0x1.df5ac1d5fc3c2p-11, 0x1.d51cf3c51bf52p-11, 0x1.cb12cd15f7964p-11, 0x1.c13b5fdc6e461p-11, 0x1.b795c1a7023b3p-11, 0x1.ae210c004ae5bp-11, 0x1.a4dc5cd8de67cp-11, 0x1.9bc6d6ca1411cp-11, 0x1.92dfa125b6b8ap-11, 0x1.8a25e7cf2c893p-11, 0x1.8198dae3ac7edp-11, 0x1.7937ae402e293p-11, 0x1.710198fb9416ep-11, 0x1.68f5d4eb79cccp-11, 0x1.61139e45739cap-11, 0x1.595a33652b536p-11, 0x1.51c8d4b51ee9dp-11, 0x1.4a5ec4b2ae5fbp-11, 0x1.431b48052b0d1p-11, 0x1.3bfda5a10c767p-11, 0x1.35052714385bdp-11, 0x1.2e3118a6623edp-11, 0x1.2780c9d7447cbp-11, 0x1.20f38da1c2449p-11, 0x1.1a88bac45355dp-11, 0x1.143fabe151bbfp-11, 0x1.0e17bf71354a7p-11, 0x1.081057bb88255p-11, 0x1.0228d9642323cp-11, 0x1.f8c15a70bc4f9p-12, 0x1.ed6e7b631eb2cp-12, 0x1.e257ef87b4af7p-12, 0x1.d77c94c23d905p-12, 0x1.ccdb4c983203p-12, 0x1.c272fbac70eaap-12, 0x1.b842894bbaf06p-12, 0x1.ae48df28b9818p-12, 0x1.a484e978a8f92p-12, 0x1.9af596f9057d3p-12, 0x1.9199dc912380ap-12, 0x1.8870b1b6f180fp-12, 0x1.7f79162248df8p-12, 0x1.76b2108bddd5fp-12, 0x1.6e1aaee6d2d7ap-12, 0x1.65b205e4bde72p-12, 0x1.5d772ffece13p-12, 0x1.55694c7284f5ep-12, 0x1.4d877e7593d7bp-12, 0x1.45d0ecb9a4a97p-12, 0x1.3e44c1228142ep-12, 0x1.36e2288002727p-12, 0x1.2fa8522040856p-12, 0x1.28966f2cd5d4ap-12, 0x1.21abb20407fb8p-12, 0x1.1ae74dd878e27p-12, 0x1.144876e83282cp-12, 0x1.0dce636f7b6fdp-12, 0x1.07784d389f249p-12, 0x1.01457360670b5p-12, 0x1.f66a377f9c9b7p-13, 0x1.ea8d26fcb3d8fp-13, 0x1.def25d36ef3fap-13, 0x1.d3988d3fb1234p-13, 0x1.c87e71f0c86bep-13, 0x1.bda2cb1c08616p-13, 0x1.b3045c098a3dap-13, 0x1.a8a1eb67937a8p-13, 0x1.9e7a443556c13p-13, 0x1.948c36cb5fb83p-13, 0x1.8ad699399559p-13, 0x1.8158469170717p-13, 0x1.78101d44bc29ap-13, 0x1.6efcfd41ff779p-13, 0x1.661dc6c077986p-13, 0x1.5d715a6b3cb1p-13, 0x1.54f69b7450de5p-13, 0x1.4cac72d705f01p-13, 0x1.4491d2dca57f7p-13, 0x1.3ca5b991427fdp-13, 0x1.34e73104767dep-13, 0x1.2d554d35eafa8p-13, 0x1.25ef286e372cap-13, 0x1.1eb3dfa5600d4p-13, 0x1.17a28fd6841e4p-13, 0x1.10ba55e758196p-13, 0x1.09fa4ffedbc2fp-13, 0x1.03619ff498bd4p-13, 0x1.f9dedaed64c4dp-14, 0x1.ed45cf6b2b5afp-14, 0x1.e0f688e261b44p-14, 0x1.d4ef7ed0f7aa4p-14, 0x1.c92f2faf60d62p-14, 0x1.bdb41d2afe972p-14, 0x1.b27cc9f2ffd97p-14, 0x1.a787b8deadf12p-14, 0x1.9cd37019dd7afp-14, 0x1.925e7d2ed6df6p-14, 0x1.88277a11985ffp-14, 0x1.7e2d10ad91ad1p-14, 0x1.746df8ce3bb9cp-14, 0x1.6ae8fc6fd8574p-14, 0x1.619ce33ae43c6p-14, 0x1.58887a4c0666ep-14, 0x1.4faa8a5f945aep-14, 0x1.4701daad38dd7p-14, 0x1.3e8d3517e22ffp-14, 0x1.364b6af480c16p-14, 0x1.2e3b581ef095cp-14, 0x1.265be399c48c7p-14, 0x1.1eabfe6580fe3p-14, 0x1.172aa1cb29975p-14, 0x1.0fd6ce0b1a08cp-14, 0x1.08af898970e16p-14, 0x1.01b3e01957e05p-14, 0x1.f5c5c38854ecfp-15, 0x1.e87741fb73dafp-15, 0x1.db7a61eda6c66p-15, 0x1.cecd4a9130927p-15, 0x1.c26e2779e925bp-15, 0x1.b65b2f3726465p-15, 0x1.aa92a9342ad51p-15, 0x1.9f12eec7a7c17p-15, 0x1.93da66499113ep-15, 0x1.88e77b2272bbdp-15, 0x1.7e38983bc9804p-15, 0x1.73cc28ccb28f9p-15, 0x1.69a09eed9c9b2p-15, 0x1.5fb47af5bdffp-15, 0x1.56064e2a6b46fp-15, 0x1.4c94b6841f076p-15, 0x1.435e57d1808fdp-15, 0x1.3a61d818dbef5p-15, 0x1.319de0adbbad4p-15, 0x1.29112278104fcp-15, 0x1.20ba5d26994d6p-15, 0x1.18986248a9fd5p-15, 0x1.10aa12fc30933p-15, 0x1.08ee58b1bbf06p-15, 0x1.01641bf33ee54p-15, 0x1.f4147ab88988ep-16, 0x1.e5bf283c0cbccp-16, 0x1.d7c5e5e3de8cap-16, 0x1.ca26626adc0d1p-16, 0x1.bcde6748c6926p-16, 0x1.afebe0c8e54a7p-16, 0x1.a34cd9b13137ap-16, 0x1.96ff6ec94b723p-16, 0x1.8b01c31246b6ep-16, 0x1.7f51fc7525fafp-16, 0x1.73ee4a2e3dcdbp-16, 0x1.68d4edb64434bp-16, 0x1.5e043bc8e3988p-16, 0x1.537a9211c2dbfp-16, 0x1.493649b9af61dp-16, 0x1.3f35b2d55246ap-16, 0x1.35771d688b231p-16, 0x1.2bf8e967c2574p-16, 0x1.22b9932f597fcp-16, 0x1.19b7b5d0f8adcp-16, 0x1.10f2037fc918ap-16, 0x1.086739b027fc7p-16, 0x1.0016186075e7ap-16, 0x1.effa988df22d3p-17, 0x1.e037270dbad66p-17, 0x1.d0df1124f90dcp-17, 0x1.c1ef65458b5ffp-17, 0x1.b365552530b5ap-17, 0x1.a53e1e795050bp-17, 0x1.97772f17cded4p-17, 0x1.8a0e2dca366afp-17, 0x1.7d00f27091275p-17, 0x1.704d6bc4c0639p-17, 0x1.63f18a8f710c1p-17, 0x1.57eb30c7fcae4p-17, 0x1.4c383af899a08p-17, 0x1.40d694c7468edp-17, 0x1.35c4421f98051p-17, 0x1.2aff527f144cp-17, 0x1.2085d1b768ca6p-17, 0x1.1655cbe819b5bp-17, 0x1.0c6d68608bc24p-17, 0x1.02caf645cd05cp-17, 0x1.f2d9cc8c3da54p-18, 0x1.e0a3682de5febp-18, 0x1.ceefad7226961p-18, 0x1.bdbb828ddf17dp-18, 0x1.ad03da85f9371p-18, 0x1.9cc5c1e8b0b3cp-18, 0x1.8cfe571139cb1p-18, 0x1.7daab5e62d18dp-18, 0x1.6ec7e719a3916p-18, 0x1.6052dea9b6a0ep-18, 0x1.52488d1b19d85p-18, 0x1.44a5fd6c14e42p-18, 0x1.37687298a6185p-18, 0x1.2a8d778deaa36p-18, 0x1.1e12d9629c3ddp-18, 0x1.11f6895e724dbp-18, 0x1.06366d919fb4dp-18, 0x1.f5a07009cfca1p-19, 0x1.df82cc61922b3p-19, 0x1.ca0edfd50a30fp-19, 0x1.b53ff236913fcp-19, 0x1.a111a7e3773d9p-19, 0x1.8d7fc31eaabfep-19, 0x1.7a8618b6cfab6p-19, 0x1.6820cf3cd26f3p-19, 0x1.564c7993243cap-19, 0x1.4505ccd3afadbp-19, 0x1.344944c6c0d22p-19, 0x1.241313e86446ap-19, 0x1.145f6718ebe46p-19, 0x1.052aa62d6b00fp-19, 0x1.ece2f91285c57p-20, 0x1.d0618bfbcb086p-20, 0x1.b4caf26438172p-20, 0x1.9a193e65bb456p-20, 0x1.804696270a753p-20, 0x1.674d18d41f388p-20, 0x1.4f26d147dd36ap-20, 0x1.37cdcb7e87e83p-20, 0x1.213c4670b0f5ep-20, 0x1.0b6ce2f753bb4p-20, 0x1.ecb56b7e08b8fp-21, 0x1.c4026cab33c25p-21, 0x1.9cb824c7b04dp-21, 0x1.76cdd0bc6821dp-21, 0x1.5239f21559e05p-21, 0x1.2ef21c21e929ep-21, 0x1.0ceba90b63ea5p-21, 0x1.d839b99d01p-22, 0x1.98f8580bffe53p-22, 0x1.5c096ba760ff4p-22, 0x1.215730031d48bp-22, 0x1.d1aaa08e33ec4p-23, 0x1.64ebbfa0db765p-23, 0x1.f8aac4a7b809ap-24, 0x1.2f8fd50299326p-24, 0x1.b9110d0dd143ep-26, -0x1.2dd70f4ad54acp-26, -0x1.fba9d26255d3ep-25, -0x1.a90c9e3edb845p-24, -0x1.26a82c601432ep-23, -0x1.75697cecf8693p-23, -0x1.c0e2a494c9402p-23, -0x1.04956830f79ddp-22, -0x1.272c29e98708p-22, -0x1.48409ca1a80abp-22, -0x1.67dde1802e4a6p-22, -0x1.860f34954141bp-22, -0x1.a2dfc2580e13cp-22, -0x1.be5a905d73f2cp-22, -0x1.d88a2ad0a42abp-22, -0x1.f178c325919c2p-22, -0x1.04980b9b8c818p-21, -0x1.0fdca3fc56157p-21, -0x1.1a8e6f8489593p-21, -0x1.24b1abb4504bep-21, -0x1.2e4aebe2bff32p-21, -0x1.375f0d378b378p-21, -0x1.3ff2a4e6f6c33p-21, -0x1.4809846795d35p-21, -0x1.4fa6dacd0ab73p-21, -0x1.56cde7411c4f1p-21, -0x1.5d8260e4f5f21p-21, -0x1.63c7f81a4b197p-21, -0x1.69a22917a98adp-21, -0x1.6f14b8e87d501p-21, -0x1.742363501e5e1p-21, -0x1.78d165986b584p-21, -0x1.7d21bfda3747ep-21, -0x1.8117a0a6d0c7ep-21, -0x1.84b644465c03bp-21, -0x1.8800bda67765bp-21, -0x1.8af9edf59f45p-21, -0x1.8da48f18477b4p-21, -0x1.90033b449ea55p-21, -0x1.921872b6e0507p-21, -0x1.93e6a26760ee7p-21, -0x1.95702c2717f4bp-21, -0x1.96b76eb306029p-21, -0x1.97bec7f773ccdp-21, -0x1.9888929fdf04p-21, -0x1.991725f37dc51p-21, -0x1.996c1afc98bep-21, -0x1.998b548ef00e8p-21, -0x1.9975f0d433295p-21, -0x1.992d9ed5cad26p-21, -0x1.98b4818d505efp-21, -0x1.980c53687ae51p-21, -0x1.9736f799ffb3bp-21, -0x1.9636855e8a278p-21, -0x1.950d026fdb7a8p-21, -0x1.93bc154b8879ep-21, -0x1.92450eb8c2041p-21, -0x1.90a9561e71c54p-21, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.ab090e62725b8p-4, 0x1.8be01638ec48bp-3, 0x1.0b09c7d92772ap-2, 0x1.38ff446e23e55p-2, 0x1.5192a81c9bcb8p-2, 0x1.57ef6c7371249p-2, 0x1.4fd21857b7539p-2, 0x1.3d00626838c33p-2, 0x1.22f61f5d8c105p-2, 0x1.04b7df9b18p-2, 0x1.c980bbacc2203p-3, 0x1.8a00399eb99abp-3, 0x1.4dd0654ba5c8ap-3, 0x1.16f58eea71a4fp-3, 0x1.cd76ee49b3252p-4, 0x1.7bb394a712758p-4, 0x1.392a846ddd01cp-4, 0x1.05b85d2536c21p-4, 0x1.c178b6b5ae2aep-5, 0x1.927d85b1bb5dbp-5, 0x1.7c1e95095a88p-5, 0x1.7bb96c1f63a0fp-5, 0x1.8e8d93f361106p-5, 0x1.b1d76427167c2p-5, 0x1.e2e39fd40ce2p-5, 0x1.0f8ebd0f009e7p-4, 0x1.320c24b308f6dp-4, 0x1.57caf48d72ee5p-4, 0x1.7fc5481875e07p-4, 0x1.a90f5a18eb67p-4, 0x1.d2d7b6af539e6p-4, 0x1.fc66dac0d4677p-4, 0x1.128f31cdb334ap-3, 0x1.263bf54248b32p-3, 0x1.3901d14b02f2bp-3, 0x1.4ab365b3725adp-3, 0x1.5b2d03f7f315bp-3, 0x1.6a53d34827897p-3, 0x1.7814f273af082p-3, 0x1.84649c1ca6957p-3, 0x1.8f3d50b39fc8p-3, 0x1.989f08fde8d2cp-3, 0x1.a08e73454f3b8p-3, 0x1.a7143cbfb41c9p-3, 0x1.ac3c6842e9f1bp-3, 0x1.b015b2e68128bp-3, 0x1.b2b106dab4f79p-3, 0x1.b420fc61f0bb5p-3, 0x1.b4796897ee1a7p-3, 0x1.b3cef97e7a2c1p-3, 0x1.b236dea0d42f9p-3, 0x1.afc67d82faf51p-3, 0x1.ac9330ee5b725p-3, 0x1.a8b2122bbadd1p-3, 0x1.a437cb2ffa48fp-3, 0x1.9f38712395b7dp-3, 0x1.99c7660abd36cp-3, 0x1.93f7411e0d8f6p-3, 0x1.8dd9bc4e0121dp-3, 0x1.877fa6d6be4b7p-3, 0x1.80f8dc193191dp-3, 0x1.7a543e4bd4824p-3, 0x1.739fb4d3b407ep-3, 0x1.6ce82c14460ecp-3, 0x1.66399875b1f3bp-3, 0x1.5f9ef9c0d79b1p-3, 0x1.59226151489f5p-3, 0x1.52ccf96d20b8fp-3, 0x1.4ca70d842e541p-3, 0x1.46b812c1d661fp-3, 0x1.4106b1c31425dp-3, 0x1.3b98ce8c3e379p-3, 0x1.367392f0bad47p-3, 0x1.319b77c31e937p-3, 0x1.2d144ec1c7d43p-3, 0x1.28e14ca20a4d8p-3, 0x1.250512615ab84p-3, 0x1.2181b68049148p-3, 0x1.1e58cda330f5p-3, 0x1.1b8b72fa464f9p-3, 0x1.191a505e1b9c8p-3, 0x1.1705a64e2817ep-3, 0x1.154d53bde3776p-3, 0x1.13f0ddb7797e2p-3, 0x1.12ef76b9a939dp-3, 0x1.124805d0b2037p-3, 0x1.11f92d5c9d039p-3, 0x1.120151874d98cp-3, 0x1.125e9e6fdc656p-3, 0x1.130f0e099dd88p-3, 0x1.14106dbbb3356p-3, 0x1.156063bcf175bp-3, 0x1.16fc742fc6cf2p-3, 0x1.18e205ff5015dp-3, 0x1.1b0e6774f47c6p-3, 0x1.1d7ed28b83217p-3, 0x1.203070f9a9467p-3, 0x1.23205ff350982p-3, 0x1.264bb3a5d20d6p-3, 0x1.29af7a6ea3a3bp-3, 0x1.2d48bfcfadba6p-3, 0x1.31148f27e38bdp-3, 0x1.350ff630dda2dp-3, 0x1.393807472a74p-3, 0x1.3d89db80ba285p-3, 0x1.42029494c5607p-3, 0x1.469f5e945d96bp-3, 0x1.4b5d717bed3abp-3, 0x1.503a1296c305fp-3, 0x1.553295be09ep-3, 0x1.5a445e6d33ad9p-3, 0x1.5f6ce0b35659bp-3, 0x1.64a9a1fff48c2p-3, 0x1.69f839c9a3984p-3, 0x1.6f56521ebaf46p-3, 0x1.74c1a80bccd0ap-3, 0x1.7a380bf1ed145p-3, 0x1.7fb761c1f6a04p-3, 0x1.853da11b19acdp-3, 0x1.8ac8d562e4a78p-3, 0x1.90571dbd6a4aep-3, 0x1.95e6acfc5e56fp-3, 0x1.9b75c98231cffp-3, 0x1.a102cd0a81124p-3, 0x1.a68c24745f878p-3, 0x1.ac104f78d0e43p-3, 0x1.b18de052cec2p-3, 0x1.b7037b68d84b4p-3, 0x1.bc6fd6e286f88p-3, 0x1.c1d1ba3b3c08ep-3, 0x1.c727fdd2566bbp-3, 0x1.cc718a6c82adp-3, 0x1.d1ad58ba565d3p-3, 0x1.d6da70db2e741p-3, 0x1.dbf7e9d333167p-3, 0x1.e104e90fa768cp-3, 0x1.e600a1e5b3d9fp-3, 0x1.eaea55066e5ffp-3, 0x1.efc15004ba837p-3, 0x1.f484ecd80abc5p-3, 0x1.f9349153e73e3p-3, 0x1.fdcfaeb07c1c7p-3, 0x1.012ae08b82efbp-2, 0x1.0363278f8e264p-2, 0x1.059074ad1cb3dp-2, 0x1.07b294f535974p-2, 0x1.09c95a05c31dp-2, 0x1.0bd499cf42247p-2, 0x1.0dd42e64ea013p-2, 0x1.0fc7f5c93d2b5p-2, 0x1.11afd1b5fe618p-2, 0x1.138ba76d70412p-2, 0x1.155b5f902d59cp-2, 0x1.171ee5ebe293ap-2, 0x1.18d6294bf0037p-2, 0x1.1a811b54a0424p-2, 0x1.1c1fb05d8610ep-2, 0x1.1db1df452ea95p-2, 0x1.1f37a14b72a15p-2, 0x1.20b0f1f4e2347p-2, 0x1.221dceea6c2f3p-2, 0x1.237e37d3364fep-2, 0x1.24d22e36e2043p-2, 0x1.2619b568b989dp-2, 0x1.2754d26d31441p-2, 0x1.28838bd9638c8p-2, 0x1.29a5e9bb2a94p-2, 0x1.2abbf58b1a428p-2, 0x1.2bc5ba18a645cp-2, 0x1.2cc3436e23e3dp-2, 0x1.2db49ebc933d9p-2, 0x1.2e99da52570aap-2, 0x1.2f73058e7a86dp-2, 0x1.304030ca3e145p-2, 0x1.31016d451c4dep-2, 0x1.31b6cd1ded72ap-2, 0x1.3260634cda67bp-2, 0x1.32fe4393a08d2p-2, 0x1.3390826ad2973p-2, 0x1.341734f860cb8p-2, 0x1.3492710d9b451p-2, 0x1.35024d20233c5p-2, 0x1.3566e03af92b5p-2, 0x1.35c041f1e65a4p-2, 0x1.360e8a5d1bd04p-2, 0x1.3651d2188114fp-2, 0x1.368a323d2d5fap-2, 0x1.36b7c455736dcp-2, 0x1.36daa253bf122p-2, 0x1.36f2e68ff5ap-2, 0x1.3700abc7a1755p-2, 0x1.37040d19e085bp-2, 0x1.36fd25fe1dd95p-2, 0x1.36ec123b7a867p-2, 0x1.36d0ede66bafbp-2, 0x1.36abd56253f8ep-2, 0x1.367ce5607eb95p-2, 0x1.36443ad85a4ebp-2, 0x1.3601f2fe933ebp-2, 0x1.35b62b41ee7e2p-2, 0x1.3561014e0a72cp-2, 0x1.3502930ccb1b9p-2, 0x1.349afea079ef5p-2, 0x1.342a625a76ffcp-2, 0x1.33b0dcb68ee7fp-2, 0x1.332e8c5db3e33p-2, 0x1.32a3902944f2ep-2, 0x1.3210071fa2a87p-2, 0x1.3174106af6b6ep-2, 0x1.30cfcb52e1776p-2, 0x1.3023573dad55ep-2, 0x1.2f6ed3b4d4622p-2, 0x1.2eb2606437c23p-2, 0x1.2dee1d122cb9p-2, 0x1.2d2229971fadep-2, 0x1.2c4ea5dc4a527p-2, 0x1.2b73b1e07f919p-2, 0x1.2a916dbaa8d68p-2, 0x1.29a7f99461f14p-2, 0x1.28b7759ff81b4p-2, 0x1.27c00212bd4a7p-2, 0x1.26c1bf27fb567p-2, 0x1.25bccd271edebp-2, 0x1.24b14c63df4fdp-2, 0x1.239f5d35754a2p-2, 0x1.22871feb82dp-2, 0x1.2168b4ca2e3c2p-2, 0x1.20443c0fb095fp-2, 0x1.1f19d5fbfc049p-2, 0x1.1de9a2d081504p-2, 0x1.1cb3c2c5be505p-2, 0x1.1b7855fe45d4ap-2, 0x1.1a377c81c4a7ep-2, 0x1.18f156433692ap-2, 0x1.17a6032b00d99p-2, 0x1.1655a319cda25p-2, 0x1.150055df5709bp-2, 0x1.13a63b2b23ea9p-2, 0x1.12477282d75dcp-2, 0x1.10e41b4523df9p-2, 0x1.0f7c54b5712fbp-2, 0x1.0e103e04e772ep-2, 0x1.0c9ff64fa6469p-2, 0x1.0b2b9c8e469p-2, 0x1.09b34f867564dp-2, 0x1.08372dc4b3988p-2, 0x1.06b755a3eb089p-2, 0x1.0533e55b1075dp-2, 0x1.03acfb051840dp-2, 0x1.0222b49bc5531p-2, 0x1.00952fe7d8b7fp-2, 0x1.fe0914e2477c8p-3, 0x1.fae1c2f26d8cep-3, 0x1.f7b4a406fa463p-3, 0x1.f481f1c789eeap-3, 0x1.f149e58f3e745p-3, 0x1.ee0cb866179fbp-3, 0x1.eacaa2e39f9c6p-3, 0x1.e783dd0d41711p-3, 0x1.e4389e457c964p-3, 0x1.e0e91d5598fadp-3, 0x1.dd95908956e84p-3, 0x1.da3e2dc848c46p-3, 0x1.d6e32a9ac7773p-3, 0x1.d384bc16407ecp-3, 0x1.d02316bcba1c4p-3, 0x1.ccbe6e619243ep-3, 0x1.c956f6252b2f5p-3, 0x1.c5ece086a9ab9p-3, 0x1.c2805f8067616p-3, 0x1.bf11a49be79b3p-3, 0x1.bba0e0f0dc945p-3, 0x1.b82e450f50ad7p-3, 0x1.b4ba00e1513b7p-3, 0x1.b1444394e1324p-3, 0x1.adcd3b99d444dp-3, 0x1.aa5516b38e137p-3, 0x1.a6dc021345e7bp-3, 0x1.a3622a6b41e0cp-3, 0x1.9fe7bbf027d74p-3, 0x1.9c6ce247dc834p-3, 0x1.98f1c86f14a66p-3, 0x1.957698a367617p-3, 0x1.91fb7c5cd6c7ap-3, 0x1.8e809c594d484p-3, 0x1.8b0620b319d8ap-3, 0x1.878c30f62405dp-3, 0x1.8412f429133bfp-3, 0x1.809a90c632ddp-3, 0x1.7d232ca7fc254p-3, 0x1.79acecf2ab99p-3, 0x1.7637f606a867dp-3, 0x1.72c46b8050865p-3, 0x1.6f5270462ebefp-3, 0x1.6be2269d3a3bap-3, 0x1.6873b039c61dbp-3, 0x1.65072e45f8eabp-3, 0x1.619cc15ace8b3p-3, 0x1.5e3489701d3aap-3, 0x1.5acea5ca67841p-3, 0x1.576b34ef39e69p-3, 0x1.540a54a4fa74bp-3, 0x1.50ac21fde24d1p-3, 0x1.4d50b968eef4ep-3, 0x1.49f836c18572p-3, 0x1.46a2b557ee0cap-3, 0x1.43504fefab74ep-3, 0x1.400120b50c44cp-3, 0x1.3cb5412e950eep-3, 0x1.396cca30de781p-3, 0x1.3627d3da124a3p-3, 0x1.32e67596f4f5cp-3, 0x1.2fa8c62ef33d4p-3, 0x1.2c6edbd2ad986p-3, 0x1.2938cc278ab9ep-3, 0x1.2606ac4d0228dp-3, 0x1.22d890da25929p-3, 0x1.1fae8dd4e310ep-3, 0x1.1c88b6a6b820fp-3, 0x1.19671e13f3e99p-3, 0x1.1649d638dc469p-3, 0x1.1330f08e86e9bp-3, 0x1.101c7df4d7421p-3, 0x1.0d0c8ebe5f4b5p-3, 0x1.0a0132ba7fc32p-3, 0x1.06fa793b1ef35p-3, 0x1.03f87114d2097p-3, 0x1.00fb2899cc8bap-3, 0x1.fc055b23c2fcep-4, 0x1.f61e1a66066a7p-4, 0x1.f040a83b03d0ap-4, 0x1.ea6d1cbb8c4d3p-4, 0x1.e4a38ee5b8fa8p-4, 0x1.dee414af2624ep-4, 0x1.d92ec3171eaa1p-4, 0x1.d383ae348f2ffp-4, 0x1.cde2e93d54316p-4, 0x1.c84c8685b60d1p-4, 0x1.c2c097794c3afp-4, 0x1.bd3f2c905844cp-4, 0x1.b7c855466efeap-4, 0x1.b25c2016d96bbp-4, 0x1.acfa9a80884aep-4, 0x1.a7a3d1107f107p-4, 0x1.a257cf6f5f51dp-4, 0x1.9d16a06ed4865p-4, 0x1.97e04e1474583p-4, 0x1.92b4e1a0f40fcp-4, 0x1.8d946392cf75ap-4, 0x1.887edba49213p-4, 0x1.837450c803848p-4, 0x1.7e74c920b54c5p-4, 0x1.79804a00fda48p-4, 0x1.7496d7eb48bd9p-4, 0x1.6fb87698691cap-4, 0x1.6ae528ffb1e75p-4, 0x1.661cf1613edbp-4, 0x1.615fd14e3b478p-4, 0x1.5cadc9b0074b7p-4, 0x1.5806dacd6863dp-4, 0x1.536b044d7cd4fp-4, 0x1.4eda453853a94p-4, 0x1.4a549bf59e712p-4, 0x1.45da064b02f4ap-4, 0x1.416a815b51c57p-4, 0x1.3d0609a88d09ep-4, 0x1.38ac9b1874bd7p-4, 0x1.345e30faf6e69p-4, 0x1.301ac610eaebbp-4, 0x1.2be254920a55dp-4, 0x1.27b4d63260014p-4, 0x1.23924426a2948p-4, 0x1.1f7a9727b25c9p-4, 0x1.1b6dc7750d83ep-4, 0x1.176bccd5fc054p-4, 0x1.13749e99df02cp-4, 0x1.0f8833987b301p-4, 0x1.0ba68233457dap-4, 0x1.07cf805853b06p-4, 0x1.04032386ce11dp-4, 0x1.004160d40ffd6p-4, 0x1.f91459e126f4bp-5, 0x1.f1baf8586899ep-5, 0x1.ea7684f383669p-5, 0x1.e346e6e458c64p-5, 0x1.dc2c04aeccd68p-5, 0x1.d525c42dcdcc6p-5, 0x1.ce340a9744571p-5, 0x1.c756bc7ef94f6p-5, 0x1.c08dbdd9047b1p-5, 0x1.b9d8f1fce162bp-5, 0x1.b3383baa2461bp-5, 0x1.acab7d0f159cap-5, 0x1.a63297cef61dcp-5, 0x1.9fcd6d0bd8164p-5, 0x1.997bdd6abe66bp-5, 0x1.933dc91a638fdp-5, 0x1.8d130fd80b9cep-5, 0x1.86fb90f494af4p-5, 0x1.80f72b598897ap-5, 0x1.7b05bd8e04371p-5, 0x1.752725baea60fp-5, 0x1.6f5b41ae42ed7p-5, 0x1.69a1eedde3e4fp-5, 0x1.63fb0a6a0a224p-5, 0x1.5e667120a943ap-5, 0x1.58e3ff81da5d7p-5, 0x1.537391c52fb8fp-5, 0x1.4e1503df65d08p-5, 0x1.48c83187ca688p-5, 0x1.438cf63d16ebap-5, 0x1.3e632d49cab4ep-5, 0x1.394ab1c81ef6ap-5, 0x1.34435ea5c256p-5, 0x1.2f4d0ea759106p-5, 0x1.2a679c6bad9c8p-5, 0x1.2592e26e7b9cdp-5, 0x1.20cebb0af906p-5, 0x1.1c1b007e545ep-5, 0x1.17778cea91457p-5, 0x1.12e43a5a09518p-5, 0x1.0e60e2c37d811p-5, 0x1.09ed600e54606p-5, 0x1.05898c1663043p-5, 0x1.013540aef1afp-5, 0x1.f9e0af49f8472p-6, 0x1.f175558234013p-6, 0x1.e92827931d098p-6, 0x1.e0f8d90a1a576p-6, 0x1.d8e71d7c6d517p-6, 0x1.d0f2a88f4dae6p-6, 0x1.c91b2dfff3be6p-6, 0x1.c16061aa5743fp-6, 0x1.b9c1f78d9bb01p-6, 0x1.b23fa3cdfb4e8p-6, 0x1.aad91ab508b73p-6, 0x1.a38e10b16f794p-6, 0x1.9c5e3a57aa5c5p-6, 0x1.95494c66d875bp-6, 0x1.8e4efbcb448ccp-6, 0x1.876efdaa0013p-6, 0x1.80a90768b5d58p-6, 0x1.79fcceb77dac3p-6, 0x1.736a09987bcc7p-6, 0x1.6cf06e646bfbcp-6, 0x1.668fb3cb4a71dp-6, 0x1.604790d1a891p-6, 0x1.5a17bccc1d7b5p-6, 0x1.53ffef5ae02c1p-6, 0x1.4dffe067e1386p-6, 0x1.481748291ed53p-6, 0x1.4245df27bc5acp-6, 0x1.3c8b5e4b40597p-6, 0x1.36e77ee6b5695p-6, 0x1.3159fac4b93e3p-6, 0x1.2be28c2f5c039p-6, 0x1.2680edf1adf23p-6, 0x1.2134db5297e63p-6, 0x1.1bfe100a94fc7p-6, 0x1.16dc483798f16p-6, 0x1.11cf40531ee3ap-6, 0x1.0cd6b52dfa511p-6, 0x1.07f263f41b244p-6, 0x1.03220a385c0aap-6, 0x1.fccacc0c44ff7p-7, 0x1.f3786be97cc85p-7, 0x1.ea4c726f6545p-7, 0x1.e1465f4f49bebp-7, 0x1.d865b3828da08p-7, 0x1.cfa9f134ad8fbp-7, 0x1.c7129b9e6b6a3p-7, 0x1.be9f36dbc57ccp-7, 0x1.b64f47c7ddb08p-7, 0x1.ae2253e90e9f4p-7, 0x1.a617e173ab43bp-7, 0x1.9e2f7764fe978p-7, 0x1.96689db10e908p-7, 0x1.8ec2dd79dda71p-7, 0x1.873dc1428b6cp-7, 0x1.7fd8d511d2679p-7, 0x1.7893a67adc57fp-7, 0x1.716dc488bc75fp-7, 0x1.6a66bf90a83f6p-7, 0x1.637e28f456cacp-7, 0x1.5cb392e2a3605p-7, 0x1.56069025ba6fep-7, 0x1.4f76b40ae91e1p-7, 0x1.4903926bb3a8p-7, 0x1.42acbfd5be3a3p-7, 0x1.3c71d1d317eb2p-7, 0x1.36525f331ac07p-7, 0x1.304e0053bc93ap-7, 0x1.2a644f4f93806p-7, 0x1.2494e8082d4e3p-7, 0x1.1edf68087e278p-7, 0x1.19436e449dccp-7, 0x1.13c09ac3e7f2p-7, 0x1.0e568e46d3e42p-7, 0x1.0904e9fad7d24p-7, 0x1.03cb4f4ccf353p-7, 0x1.fd52bfc931b17p-8, 0x1.f33d7b9b62e5ap-8, 0x1.e956178e29077p-8, 0x1.df9bdb5957a16p-8, 0x1.d60e11c8c1ba8p-8, 0x1.ccac096eeade8p-8, 0x1.c3751505b6e64p-8, 0x1.ba688b657121ep-8, 0x1.b185c7124559ap-8, 0x1.a8cc2577e528ap-8, 0x1.a03b05fb7a674p-8, 0x1.97d1c911211e4p-8, 0x1.8f8fcf7d2e08bp-8, 0x1.877479df42cf3p-8, 0x1.7f7f2898ea36p-8, 0x1.77af3c1638f19p-8, 0x1.700415736920ep-8, 0x1.687d176aad578p-8, 0x1.6119a765a9a24p-8, 0x1.59d92e7e5997fp-8, 0x1.52bb1a363993ap-8, 0x1.4bbedcb4726d4p-8, 0x1.44e3ec75f1902p-8, 0x1.3e29c37e10fdbp-8, 0x1.378fde360f342p-8, 0x1.3115ba3bb3f32p-8, 0x1.2abad55b79387p-8, 0x1.247eacdf42c96p-8, 0x1.1e60bd3e40ce9p-8, 0x1.186082280f825p-8, 0x1.127d76dc3d297p-8, 0x1.0cb716c5072c8p-8, 0x1.070cde4be2a4ep-8, 0x1.017e4bea5fa2cp-8, 0x1.f815c293458f6p-9, 0x1.ed6448a4c40b3p-9, 0x1.e2e73fc41cd0cp-9, 0x1.d89dc7df51de9p-9, 0x1.ce870a0a4f13cp-9, 0x1.c4a236450023bp-9, 0x1.baee809c16351p-9, 0x1.b16b1e5c8f789p-9, 0x1.a817440245138p-9, 0x1.9ef22445ab6eap-9, 0x1.95faf02275c1bp-9, 0x1.8d30d79a7bc49p-9, 0x1.84930a93e3647p-9, 0x1.7c20b993a7de7p-9, 0x1.73d9165009262p-9, 0x1.6bbb5460035cap-9, 0x1.63c6aa586556p-9, 0x1.5bfa53710bea1p-9, 0x1.5455916c459e5p-9, 0x1.4cd7ae2c65c2ep-9, 0x1.457ffc4cfd1c2p-9, 0x1.3e4dd6502eb7ep-9, 0x1.37409c62b8a4ap-9, 0x1.3057b1443b625p-9, 0x1.2992773b1d22cp-9, 0x1.22f04e099227dp-9, 0x1.1c70927c85efep-9, 0x1.16129f9015cdfp-9, 0x1.0fd5d08289afp-9, 0x1.09b982d5cf2adp-9, 0x1.03bd175f78cb9p-9, 0x1.fbbfe42b7b1c3p-10, 0x1.f042f1faaf15ep-10, 0x1.e5022637a9cf1p-10, 0x1.d9fc50a5e48d9p-10, 0x1.cf30452ac74f6p-10, 0x1.c49ce064fc07bp-10, 0x1.ba410ccde0bf4p-10, 0x1.b01bc64c321bfp-10, 0x1.a62c1a88944cep-10, 0x1.9c71256c783a8p-10, 0x1.92ea0a9cebdc9p-10, 0x1.8995edfa89d9ep-10, 0x1.8073edb2ca29cp-10, 0x1.77831fec99bf6p-10, 0x1.6ec294c61d181p-10, 0x1.66315b91ecebp-10, 0x1.5dce88e6eff19p-10, 0x1.55993aaad9b3dp-10, 0x1.4d909813f045p-10, 0x1.45b3cd84138cdp-10, 0x1.3e02062808f36p-10, 0x1.367a66756dbd1p-10, 0x1.2f1c0a44f5a59p-10, 0x1.27e60795271cp-10, 0x1.20d774fcba537p-10, 0x1.19ef71687908cp-10, 0x1.132d2a7d2cf63p-10, 0x1.0c8fdf8f17997p-10, 0x1.0616e04e5aa0dp-10, 0x1.ff830f57a91e6p-11, 0x1.f31e69aab1e13p-11, 0x1.e6fe899b9ce45p-11, 0x1.db221dac632fdp-11, 0x1.cf87c978d9b76p-11, 0x1.c42e2d82c46dep-11, 0x1.b913f331375f2p-11, 0x1.ae37d878011d6p-11, 0x1.a398b62e272a1p-11, 0x1.99357d6afc838p-11, 0x1.8f0d2bd16bd8ep-11, 0x1.851ebaa29e4b9p-11, 0x1.7b6910531f811p-11, 0x1.71eafac7c6a3p-11, 0x1.68a334b207caep-11, 0x1.5f9072aa17ea9p-11, 0x1.56b171e26ecb5p-11, 0x1.4e050361094a5p-11, 0x1.458a11984621dp-11, 0x1.3d3fa03a16cacp-11, 0x1.3524c6f42dc72p-11, 0x1.2d38a8bebdd02p-11, 0x1.257a6aa867cc5p-11, 0x1.1de92d14062f8p-11, 0x1.168408cd23ff2p-11, 0x1.0f4a0fb9227e6p-11, 0x1.083a5076cb539p-11, 0x1.0153dc81c472ap-11, 0x1.f52b9fba210bcp-12, 0x1.e7feaf4649268p-12, 0x1.db1f67854aebbp-12, 0x1.ce8c62c068edfp-12, 0x1.c2443e10651edp-12, 0x1.b6457fe1d142fp-12, 0x1.aa8e8a60a19dfp-12, 0x1.9f1da1e988d4ap-12, 0x1.93f1032b6ef72p-12, 0x1.8906fa504695p-12, 0x1.7e5dee5c41eafp-12, 0x1.73f460d329953p-12, 0x1.69c8ebad5c263p-12, 0x1.5fda43ce2b94dp-12, 0x1.56273b97dc14bp-12, 0x1.4caebe9050d36p-12, 0x1.436fc5a3ef7a4p-12, 0x1.3a6949625dd2p-12, 0x1.319a374ff3071p-12, 0x1.29016cbc5cf1ep-12, 0x1.209db7bae3c96p-12, 0x1.186ddd4ba629fp-12, 0x1.1070a222e810fp-12, 0x1.08a4d361125cfp-12, 0x1.01094dc24ad01p-12, 0x1.f33a042ee9cadp-13, 0x1.e4bde99d3e9a7p-13, 0x1.d69c6d098e18cp-13, 0x1.c8d3aed4ac93fp-13, 0x1.bb61b97380abp-13, 0x1.ae4481d7b4392p-13, 0x1.a179ff29170aep-13, 0x1.950041b86222p-13, 0x1.88d56b76ec8cfp-13, 0x1.7cf78e77e92d4p-13, 0x1.71649e1b05b74p-13, 0x1.661a935adb942p-13, 0x1.5b17a9d4e6fb5p-13, 0x1.505a7be6636f6p-13, 0x1.45e1e5b9309ddp-13, 0x1.3bacca9bd97a5p-13, 0x1.31b9e94431e3ap-13, 0x1.2807d8eee326cp-13, 0x1.1e95290898897p-13, 0x1.1560834892cbep-13, 0x1.0c68b20c91418p-13, 0x1.03ac85c2160e1p-13, 0x1.f6556e3f7e793p-14, 0x1.e5c3c0c897254p-14, 0x1.d5a122cb57c03p-14, 0x1.c5ead9c9fee3dp-14, 0x1.b69e7338a4ef3p-14, 0x1.a7b9b8c9fd279p-14, 0x1.993a7d25b7947p-14, 0x1.8b1e62b07239ep-14, 0x1.7d62cd3e51db2p-14, 0x1.7005132cf7488p-14, 0x1.6302b56f876aap-14, 0x1.565945d68084fp-14, 0x1.4a0607965554cp-14, 0x1.3e05ddcf8a78ep-14, 0x1.3255e62ade714p-14, 0x1.26f438c670fc9p-14, 0x1.1bdff2cbd24bap-14, 0x1.1118774c6aa3ap-14, 0x1.069ca23153714p-14, 0x1.f8d532154f76ap-15, 0x1.e5007f4309d7fp-15, 0x1.d1b797cde1c99p-15, 0x1.bef7e21992d76p-15, 0x1.acbf23597220cp-15, 0x1.9b0ab20416b56p-15, 0x1.89d7251fb6822p-15, 0x1.79208cc4ce7e8p-15, 0x1.68e2e3e6a248ep-15, 0x1.591a7a6b16116p-15, 0x1.49c43d59736fbp-15, 0x1.3addd472ffb6p-15, 0x1.2c658bf4a2b66p-15, 0x1.1e5a00613e0e7p-15, 0x1.10b99927c59fbp-15, 0x1.0382194db731bp-15, 0x1.ed615f315aacap-16, 0x1.d485198e11e5p-16, 0x1.bc6a896e8db57p-16, 0x1.a50c82a9b8f63p-16, 0x1.8e63ccbdddfddp-16, 0x1.7868085ccdc92p-16, 0x1.631353535c561p-16, 0x1.4e63fddfa030fp-16, 0x1.3a599fc7b3c04p-16, 0x1.26f12a350265dp-16, 0x1.142468d7ae405p-16, 0x1.01ecd2ab9f4fap-16, 0x1.e08c359c14102p-17, 0x1.be5bd8a0e33bfp-17, 0x1.9d43d91f60285p-17, 0x1.7d3d3db1b4967p-17, 0x1.5e3f8a5240416p-17, 0x1.40424636ee176p-17, 0x1.233db6d2bc905p-17, 0x1.072ae5ba8d549p-17, 0x1.d806ff2c4263ep-18, 0x1.a383997590f72p-18, 0x1.70c1685fa95adp-18, 0x1.3fb759cadee1dp-18, 0x1.105d25c8ae095p-18, 0x1.c555480daec99p-19, 0x1.6d2d16d8c4506p-19, 0x1.1829d6bbc17cdp-19, 0x1.8c5cbc15b5754p-20, 0x1.dc7b8f1a5ad4ap-21, 0x1.574e0da5835eep-22, -0x1.e79899394673ep-23, -0x1.9461ba57fcc62p-21, -0x1.521efc7fb5efap-20, -0x1.d4f6ef9451c8dp-20, -0x1.2965a4f476f25p-19, -0x1.65d016de8898ep-19, -0x1.9fcf9a116af52p-19, -0x1.d788e1aa4c27cp-19, -0x1.068b5eaed5b21p-18, -0x1.2040582d58789p-18, -0x1.38e5736d6de15p-18, -0x1.508168ef07a09p-18, -0x1.671dd2e2314c2p-18, -0x1.7cc3a041432f8p-18, -0x1.9179f31ebf681p-18, -0x1.a546adc816f5cp-18, -0x1.b82f43a792b91p-18, -0x1.ca3944aa8faabp-18, -0x1.db6a97324e4a4p-18, -0x1.ebc9790271e1ep-18, -0x1.fb5c6c7d56be2p-18, -0x1.0515158e0a1aep-17, -0x1.0c1cc61718794p-17, -0x1.12c89bbb53958p-17, -0x1.191b96d4fecbfp-17, -0x1.1f184f0675fe1p-17, -0x1.24c147b0843f7p-17, -0x1.2a196cae7e1eep-17, -0x1.2f23dda090a76p-17, -0x1.33e2c7351302cp-17, -0x1.38567d65a08dp-17, -0x1.3c7ebb585df92p-17, -0x1.405e32eb22edcp-17, -0x1.43fab9c78fcabp-17, -0x1.4757749a5b3adp-17, -0x1.4a7456ab443a6p-17, -0x1.4d5395daf1369p-17, -0x1.4ff871a5ce01dp-17, -0x1.5262f5150ae0ep-17, -0x1.5492777cd2f6dp-17, -0x1.568915bc51ec7p-17, -0x1.584a70c8f1191p-17, -0x1.59d9aa780c6c4p-17, -0x1.5b3900a91009bp-17, -0x1.5c6a2161255a3p-17, -0x1.5d6e76823995ep-17, -0x1.5e474ce399852p-17, -0x1.5ef5e74d048a8p-17, -0x1.5f7b89737e435p-17, -0x1.5fd97e17d0fa9p-17, -0x1.601117ec40fb9p-17, -0x1.6023aebafa2abp-17, -0x1.60129bf4a9c13p-17, -0x1.5fdf352d4bc9bp-17, -0x1.5f8acbc0852ccp-17, -0x1.5f16905af1d75p-17, -0x1.5e83869df70d6p-17, -0x1.5dd27fed3284ep-17, -0x1.5d0445c6622a8p-17, -0x1.5c19f136978a7p-17, -0x1.5b1503a71def6p-17, -0x1.59f6eebcfaeb1p-17, -0x1.58c05e302d87cp-17, -0x1.57710da796e03p-17, -0x1.56097392a6ee2p-17, }}, 
      {{-0x1.ed5268cdd61d7p-1, -0x1.ba520f47decaap-1, -0x1.7d8f678aabc48p-1, -0x1.416b2e53576bfp-1, -0x1.0b366783e2473p-1, -0x1.ba54b84bfaec4p-2, -0x1.6f63654f8b7e9p-2, -0x1.3473a28edbb0dp-2, -0x1.0769f6367e68ap-2, -0x1.cba3ae9d18dc5p-3, -0x1.9a71e4a580486p-3, -0x1.76c17dbb65d37p-3, -0x1.5cac52f3ceda7p-3, -0x1.48f2f3af06314p-3, -0x1.38f9f27477757p-3, -0x1.2abd04b6e4835p-3, -0x1.1cbd2a8e97e75p-3, -0x1.0ded1737711bfp-3, -0x1.fb3b821cec6eap-4, -0x1.d6d8563c03172p-4, -0x1.ae61f238bedc1p-4, -0x1.81e41f4386f6cp-4, -0x1.51ac9ec20c7afp-4, -0x1.1e36b1d7cbb54p-4, -0x1.d034c8ce3f8dfp-5, -0x1.5ffe708eb0c19p-5, -0x1.da471342e5fbfp-6, -0x1.e3def44727bdbp-7, -0x1.2f6fc4244aaa7p-11, 0x1.b9827775f4aa3p-7, 0x1.beaefdc79663dp-6, 0x1.4d3bd6bb2a38bp-5, 0x1.b7447d09e15a6p-5, 0x1.0e64fa6e894a8p-4, 0x1.3ea29eaca468ep-4, 0x1.6c26fb8267502p-4, 0x1.96cc0ca393063p-4, 0x1.be78b36a24531p-4, 0x1.e31f62587aae6p-4, 0x1.025e6396606c2p-3, 0x1.11ab3e854e21dp-3, 0x1.1f7ce6ac4328cp-3, 0x1.2bdd41d368afap-3, 0x1.36d8eba1765b2p-3, 0x1.407eb5e64737ep-3, 0x1.48df349d2076p-3, 0x1.500c557ff3612p-3, 0x1.561902c88fd65p-3, 0x1.5b18d091e5841p-3, 0x1.5f1fb435ffb92p-3, 0x1.6241c4fdf2c82p-3, 0x1.6493056b57a45p-3, 0x1.66273458d5ad2p-3, 0x1.6711a536b5861p-3, 0x1.67651eb8192f7p-3, 0x1.6733bf8e8ae0dp-3, 0x1.668ee86937c44p-3, 0x1.65872ace8144dp-3, 0x1.642c3bc8abd4cp-3, 0x1.628cea5b3a096p-3, 0x1.60b7195c64859p-3, 0x1.5eb7bc7e99957p-3, 0x1.5c9ad830fc0b4p-3, 0x1.5a6b82de928d7p-3, 0x1.5833e86eb0dc5p-3, 0x1.55fd4e7a8b5ecp-3, 0x1.53d01ad118719p-3, 0x1.51b3db49ae212p-3, 0x1.4faf4e72dc34ep-3, 0x1.4dc86ca2e4cefp-3, 0x1.4c04719e516aep-3, 0x1.4a67e54afa83ap-3, 0x1.48f6a5fb8c753p-3, 0x1.47b3f23f2769dp-3, 0x1.46a2734a2e061p-3, 0x1.45c4477f6bd6dp-3, 0x1.451b0c5f7be02p-3, 0x1.44a7e8365c7dap-3, 0x1.446b932715eb5p-3, 0x1.44665fe506539p-3, 0x1.44984417c2c77p-3, 0x1.4500e094f7de5p-3, 0x1.459f89638aa47p-3, 0x1.46734d83e239ap-3, 0x1.477afe64246f7p-3, 0x1.48b536f21dbfp-3, 0x1.4a20623fc8a3fp-3, 0x1.4bbac1b769081p-3, 0x1.4d8272e7f5128p-3, 0x1.4f7574ee8bdbcp-3, 0x1.5191ad89ad0e4p-3, 0x1.53d4eddc6fb4fp-3, 0x1.563cf6e47e0ebp-3, 0x1.58c77da698b2ep-3, 0x1.5b722f0ef9f6fp-3, 0x1.5e3ab381e1d9p-3, 0x1.611eb21ec8268p-3, 0x1.641bd3b17eedcp-3, 0x1.672fc555838adp-3, 0x1.6a583acef87aap-3, 0x1.6d92f09b429b8p-3, 0x1.70ddadc1f51c7p-3, 0x1.74364569fd047p-3, 0x1.779a9837f9ae6p-3, 0x1.7b08957bdf0bdp-3, 0x1.7e7e3c32a7767p-3, 0x1.81f99bdbe2ecap-3, 0x1.8578d52baf4fdp-3, 0x1.88fa1a95f4cdp-3, 0x1.8c7bb0b8fdfafp-3, 0x1.8ffbeea6861b4p-3, 0x1.93793e106f757p-3, 0x1.96f21b5991821p-3, 0x1.9a65158b6a16ep-3, 0x1.9dd0ce3b79ca8p-3, 0x1.a133f9571a9bp-3, 0x1.a48d5ce34645ap-3, 0x1.a7dbd0aee3ac4p-3, 0x1.ab1e3df5e53b9p-3, 0x1.ae539f00cbbb6p-3, 0x1.b17afeb6a1374p-3, 0x1.b493782c6d644p-3, 0x1.b79c362ea4126p-3, 0x1.ba9472c21d235p-3, 0x1.bd7b76a7808bbp-3, 0x1.c05098d5cde7p-3, 0x1.c3133df3deccap-3, 0x1.c5c2d7d34c81cp-3, 0x1.c85ee4e3ad04fp-3, 0x1.cae6efac4320ep-3, 0x1.cd5a8e442711bp-3, 0x1.cfb961c62569bp-3, 0x1.d20315d1b464fp-3, 0x1.d4376007a5a41p-3, 0x1.d655ff863c369p-3, 0x1.d85ebc74a9eebp-3, 0x1.da51678bb9abap-3, 0x1.dc2dd99d11e0dp-3, 0x1.ddf3f32b4a901p-3, 0x1.dfa39c0178488p-3, 0x1.e13cc2c652211p-3, 0x1.e2bf5ca01fb5dp-3, 0x1.e42b64db3c9cp-3, 0x1.e580dc899347fp-3, 0x1.e6bfca2dc940ep-3, 0x1.e7e839715c034p-3, 0x1.e8fa3acf93272p-3, 0x1.e9f5e347207cfp-3, 0x1.eadb4c193f451p-3, 0x1.ebaa9285577acp-3, 0x1.ec63d77fdc39cp-3, 0x1.ed073f7639886p-3, 0x1.ed94f219ab06fp-3, 0x1.ee0d1a21ec304p-3, 0x1.ee6fe5125bc32p-3, 0x1.eebd830d83db8p-3, 0x1.eef626a8e868ep-3, 0x1.ef1a04b88ce92p-3, 0x1.ef295421595a2p-3, 0x1.ef244db9a7299p-3, 0x1.ef0b2c25683e4p-3, 0x1.eede2ba9aaaadp-3, 0x1.ee9d8a0a31268p-3, 0x1.ee4986740f7cp-3, 0x1.ede2616234b2cp-3, 0x1.ed685c773e998p-3, 0x1.ecdbba6228006p-3, 0x1.ec3cbed1a7471p-3, 0x1.eb8bae6013c4ep-3, 0x1.eac8ce72c8884p-3, 0x1.e9f4652201158p-3, 0x1.e90eb931836f8p-3, 0x1.e8181204d5462p-3, 0x1.e710b783dddf5p-3, 0x1.e5f8f203b920ap-3, 0x1.e4d10a3f57095p-3, 0x1.e39949539719dp-3, 0x1.e251f8aca00c3p-3, 0x1.e0fb61edf9444p-3, 0x1.df95cee7b8ebep-3, 0x1.de21899599f9p-3, 0x1.dc9edc1708c34p-3, 0x1.db0e109c44336p-3, 0x1.d96f7155b023cp-3, 0x1.d7c3486f3f191p-3, 0x1.d609e00f4f1bap-3, 0x1.d443824e08235p-3, 0x1.d2707926d3588p-3, 0x1.d0910e6ae4c46p-3, 0x1.cea58bbd68502p-3, 0x1.ccae3a932d536p-3, 0x1.caab642d684b9p-3, 0x1.c89d518d15d07p-3, 0x1.c6844b6677eb6p-3, 0x1.c4609a1c46a3dp-3, 0x1.c23285c18bdd3p-3, 0x1.bffa5617c5b6bp-3, 0x1.bdb852847103p-3, 0x1.bb6cc2035aadbp-3, 0x1.b917eb20d9fd2p-3, 0x1.b6ba13fd037cbp-3, 0x1.b453824d7424dp-3, 0x1.b1e47b54f2a0bp-3, 0x1.af6d43d54ad55p-3, 0x1.acee2007da023p-3, 0x1.aa6753a0a90aep-3, 0x1.a7d921d2f58c5p-3, 0x1.a543cd4c3c969p-3, 0x1.a2a79826fd89fp-3, 0x1.a004c3e0e82acp-3, 0x1.9d5b915c6e9cap-3, 0x1.9aac40e6ef675p-3, 0x1.97f712380f37cp-3, 0x1.953c4466cc98cp-3, 0x1.927c15ddc090dp-3, 0x1.8fb6c4592238p-3, 0x1.8cec8ced8b8c8p-3, 0x1.8a1dac0c43335p-3, 0x1.874a5d7cb455p-3, 0x1.8472dc4f8f99ap-3, 0x1.819762d7647afp-3, 0x1.7eb82aaccdfep-3, 0x1.7bd56cb7796f3p-3, 0x1.78ef612fcbb77p-3, 0x1.76063f94df0e8p-3, 0x1.731a3e9f3ecfbp-3, 0x1.702b943c8de39p-3, 0x1.6d3a759757dc7p-3, 0x1.6a47172216bffp-3, 0x1.6751ac98d77bp-3, 0x1.645a68f6298a2p-3, 0x1.61617e64b5e4dp-3, 0x1.5e671e3a56e85p-3, 0x1.5b6b7900da779p-3, 0x1.586ebe83d3c5p-3, 0x1.55711dd63ec2fp-3, 0x1.5272c549e598dp-3, 0x1.4f73e25f7c71fp-3, 0x1.4c74a1bd0fc7p-3, 0x1.49752f330a5b9p-3, 0x1.4675b5cb83054p-3, 0x1.43765fd6f8813p-3, 0x1.407756eb4d166p-3, 0x1.3d78c3d7073c4p-3, 0x1.3a7ace90ce337p-3, 0x1.377d9e33be99cp-3, 0x1.348159094b4a8p-3, 0x1.3186249a98469p-3, 0x1.2e8c25bbbd2f7p-3, 0x1.2b938088f07a7p-3, 0x1.289c585828096p-3, 0x1.25a6cfaa97746p-3, 0x1.22b3082947775p-3, 0x1.1fc122affdd33p-3, 0x1.1cd13f5ee7608p-3, 0x1.19e37da70f47fp-3, 0x1.16f7fc49c97a1p-3, 0x1.140ed94c6e7a9p-3, 0x1.112831e9c731bp-3, 0x1.0e44228bfc69bp-3, 0x1.0b62c6d3e4db4p-3, 0x1.088439a962c1dp-3, 0x1.05a8954aafe1p-3, 0x1.02cff351a498dp-3, 0x1.fff4d959f4357p-4, 0x1.fa503325503edp-4, 0x1.f4b222ec5736dp-4, 0x1.ef1ad60fd297ep-4, 0x1.e98a78813da06p-4, 0x1.e40134e2d5d65p-4, 0x1.de7f349ff5b2fp-4, 0x1.d9049ff1a8468p-4, 0x1.d3919dcfac5d5p-4, 0x1.ce2653d95f485p-4, 0x1.c8c2e64623706p-4, 0x1.c36777e8270f6p-4, 0x1.be142a41726f4p-4, 0x1.b8c91da0eb55dp-4, 0x1.b38671390cfebp-4, 0x1.ae4c4326630cdp-4, 0x1.a91ab0654c4e4p-4, 0x1.a3f1d4bf24b71p-4, 0x1.9ed1cabb352cdp-4, 0x1.99baab9d5c7a2p-4, 0x1.94ac8f74ac1cp-4, 0x1.8fa78d33f3a8ap-4, 0x1.8aabbac9604cfp-4, 0x1.85b92d2b9ce7ep-4, 0x1.80cff85884512p-4, 0x1.7bf02f48a641ap-4, 0x1.7719e3e0accf4p-4, 0x1.724d26e7e871ep-4, 0x1.6d8a080d7af21p-4, 0x1.68d095f7ecca5p-4, 0x1.6420de5b3be45p-4, 0x1.5f7aee0c39f4cp-4, 0x1.5aded10ac605dp-4, 0x1.564c928086d56p-4, 0x1.51c43cb70913cp-4, 0x1.4d45d90bbf70cp-4, 0x1.48d16fe9298c4p-4, 0x1.446708c9e4656p-4, 0x1.4006aa45900e8p-4, 0x1.3bb05a2348fbbp-4, 0x1.37641d6b6fa2ep-4, 0x1.3321f87345eacp-4, 0x1.2ee9eedf971a6p-4, 0x1.2abc039f3d397p-4, 0x1.269838e192b1cp-4, 0x1.227e900e899fcp-4, 0x1.1e6f09c555a7bp-4, 0x1.1a69a5e3804e5p-4, 0x1.166e6392e4fb8p-4, 0x1.127d415983c12p-4, 0x1.0e963d27e03bap-4, 0x1.0ab95460f33a6p-4, 0x1.06e683db28c78p-4, 0x1.031dc7db3890dp-4, 0x1.febe3818e2f11p-5, 0x1.f754f6f550bcp-5, 0x1.efffc1249d458p-5, 0x1.e8be8a4d20715p-5, 0x1.e19144fa6aa4dp-5, 0x1.da77e2b89172ep-5, 0x1.d372542c7b26cp-5, 0x1.cc808923a9cd1p-5, 0x1.c5a27098ff0b9p-5, 0x1.bed7f8af469b1p-5, 0x1.b8210ea5e3164p-5, 0x1.b17d9ece2ffbbp-5, 0x1.aaed9487c17f1p-5, 0x1.a470da46f43d2p-5, 0x1.9e0759a4c32d3p-5, 0x1.97b0fb73df5fbp-5, 0x1.916da7d5f2aa6p-5, 0x1.8b3d464cadafp-5, 0x1.851fbdc3e3516p-5, 0x1.7f14f493ddcb3p-5, 0x1.791cd07d1653bp-5, 0x1.733736a0bd34bp-5, 0x1.6d640b7a7d1f9p-5, 0x1.67a332df73a59p-5, 0x1.61f490042bbdp-5, 0x1.5c5805889f1bep-5, 0x1.56cd758764552p-5, 0x1.5154c1a4d31cp-5, 0x1.4bedcb1baafc6p-5, 0x1.469872c5d9e0cp-5, 0x1.41549920ba364p-5, 0x1.3c221e4d28bd4p-5, 0x1.3700e20cea7fp-5, 0x1.31f0c3bf9960ap-5, 0x1.2cf1a261aa53bp-5, 0x1.28035c8f3d902p-5, 0x1.2325d089e0733p-5, 0x1.1e58dc431a409p-5, 0x1.199c5d64a0fep-5, 0x1.14f0315a3b34ep-5, 0x1.105435593e8dp-5, 0x1.0bc846664fe9ap-5, 0x1.074c41591f051p-5, 0x1.02e002de221d8p-5, 0x1.fd06ceed810f3p-6, 0x1.f46c96f25a11ep-6, 0x1.ebf11621e7f9fp-6, 0x1.e394048290a34p-6, 0x1.db5519d37d262p-6, 0x1.d3340d966ab59p-6, 0x1.cb30971b6f1b8p-6, 0x1.c34a6d8f3e44ap-6, 0x1.bb8148018b826p-6, 0x1.b3d4dd6ed2abbp-6, 0x1.ac44e4c7db4a4p-6, 0x1.a4d114f6290f5p-6, 0x1.9d7924df43535p-6, 0x1.963ccb66b8e37p-6, 0x1.8f1bbf6fe9673p-6, 0x1.8815b7e124101p-6, 0x1.812a6ba8b9e6ap-6, 0x1.7a5991c3e7915p-6, 0x1.73a2e146a96ep-6, 0x1.6d0611633a86fp-6, 0x1.6682d970b30d4p-6, 0x1.6018f0f0a32acp-6, 0x1.59c80f93f13cbp-6, 0x1.538fed3f2cba7p-6, 0x1.4d70420e4ca1ap-6, 0x1.4768c657d041cp-6, 0x1.417932af39f64p-6, 0x1.3ba13fe76aea1p-6, 0x1.35e0a715301d1p-6, 0x1.30372192c884ep-6, 0x1.2aa46903961ap-6, 0x1.2528375b6a227p-6, 0x1.1fc246ddeb15cp-6, 0x1.1a7252277201bp-6, 0x1.1538142dd5e7bp-6, 0x1.1013484419f9dp-6, 0x1.0b03aa1d258cfp-6, 0x1.0608f5cec5ee6p-6, 0x1.0122e7d4935fap-6, 0x1.f8a27a24b5d8fp-7, 0x1.ef2765ac1e71ep-7, 0x1.e5d40db262fe2p-7, 0x1.dca7ee8412953p-7, 0x1.d3a2854a3b4c9p-7, 0x1.cac3500e66906p-7, 0x1.c209cdbf72718p-7, 0x1.b9757e36eb059p-7, 0x1.b105e23e1d69p-7, 0x1.a8ba7b92c6d42p-7, 0x1.a092cceafea88p-7, 0x1.988e59f88e1f9p-7, 0x1.90aca76baffb2p-7, 0x1.88ed3af53294ap-7, 0x1.814f9b48224cep-7, 0x1.79d3501ae034ap-7, 0x1.7277e2283b866p-7, 0x1.6b3cdb30afb77p-7, 0x1.6421c5fc3bf08p-7, 0x1.5d262e5d1a4bap-7, 0x1.5649a132ccec5p-7, 0x1.4f8bac6d11c22p-7, 0x1.48ebdf0de4399p-7, 0x1.4269c92a4220ap-7, 0x1.3c04fbe9b66adp-7, 0x1.35bd098593e06p-7, 0x1.2f91854874a0ap-7, 0x1.2982038ef116dp-7, 0x1.238e19c9968d5p-7, 0x1.1db55e7fdf04fp-7, 0x1.17f769533f491p-7, 0x1.1253d30152011p-7, 0x1.0cca356439a48p-7, 0x1.075a2b70ef927p-7, 0x1.02035133fd8e1p-7, 0x1.f98a879b04c38p-8, 0x1.ef3f42dd42f23p-8, 0x1.e52412a838d3cp-8, 0x1.db38379cc64cdp-8, 0x1.d17af479ce99bp-8, 0x1.c7eb8e2c3c44dp-8, 0x1.be894bd613516p-8, 0x1.b55376d44ca65p-8, 0x1.ac495abf6b848p-8, 0x1.a36a4565782bbp-8, 0x1.9ab586be39896p-8, 0x1.922a70dc2e4e3p-8, 0x1.89c857dddb03ap-8, 0x1.818e91e37ca0cp-8, 0x1.797c770c0e961p-8, 0x1.7191617a3e48fp-8, 0x1.69ccad6057f45p-8, 0x1.622db90efccb5p-8, 0x1.5ab3e501ebaedp-8, 0x1.535e93e5c89c2p-8, 0x1.4c2d2a93d2146p-8, 0x1.451f1002cc667p-8, 0x1.3e33ad3007233p-8, 0x1.376a6d057bc21p-8, 0x1.30c2bc43b5638p-8, 0x1.2a3c0974c6ce2p-8, 0x1.23d5c4ec13435p-8, 0x1.1d8f60d2c4bcp-8, 0x1.1768513d6d5dcp-8, 0x1.11600c446977ep-8, 0x1.0b760a177d073p-8, 0x1.05a9c505f8082p-8, 0x1.fff572eeaaf8cp-9, 0x1.f4d0cba90ccb3p-9, 0x1.e9e494cb94a04p-9, 0x1.df2fd259275e1p-9, 0x1.d4b18b845b31cp-9, 0x1.ca68ca85e61e6p-9, 0x1.c0549c9656c3ep-9, 0x1.b674120d60467p-9, 0x1.acc63e9d86843p-9, 0x1.a34a399e5003dp-9, 0x1.99ff1e4f617fap-9, 0x1.90e40c0202645p-9, 0x1.87f8261b5ef75p-9, 0x1.7f3a93ea7ddc9p-9, 0x1.76aa805881455p-9, 0x1.6e4719817562ep-9, 0x1.660f904df7051p-9, 0x1.5e03181dcd716p-9, 0x1.5620e69d018adp-9, 0x1.4e6833c8f98dcp-9, 0x1.46d83a3155d58p-9, 0x1.3f70373de3bc4p-9, 0x1.382f6bb00736p-9, 0x1.31151bf6d3b58p-9, 0x1.2a20906bd80d2p-9, 0x1.235115586cd49p-9, 0x1.1ca5fac0dcb9p-9, 0x1.161e93fd63599p-9, 0x1.0fba3734bce99p-9, 0x1.09783cd1be1ebp-9, 0x1.0357ff0e92ecep-9, 0x1.fab1b359e6ac3p-10, 0x1.eef453d46ad23p-10, 0x1.e3769d67937dep-10, 0x1.d8375226894bfp-10, 0x1.cd35397bf3284p-10, 0x1.c26f21516340fp-10, 0x1.b7e3defde2b5cp-10, 0x1.ad924fbf68b24p-10, 0x1.a379589eb80c9p-10, 0x1.9997e5bf499d5p-10, 0x1.8fece93ccb2f1p-10, 0x1.867759cf93811p-10, 0x1.7d363177fa932p-10, 0x1.74286c695fd98p-10, 0x1.6b4d085e2069p-10, 0x1.62a3046c31b6p-10, 0x1.5a29616101a12p-10, 0x1.51df229bf76c7p-10, 0x1.49c34f497bf1ap-10, 0x1.41d4f3cbb631dp-10, 0x1.3a13230b69a31p-10, 0x1.327cf763d9d4fp-10, 0x1.2b1192ec0a4cfp-10, 0x1.23d01f01a7b1dp-10, 0x1.1cb7cb298b17fp-10, 0x1.15c7cb841ace6p-10, 0x1.0eff572b96071p-10, 0x1.085da6cceeb9bp-10, 0x1.01e1f3b2ffa0bp-10, 0x1.f716eeaa76266p-11, 0x1.eab2d6c31a0e8p-11, 0x1.de9614588b777p-11, 0x1.d2bf1ee34008ap-11, 0x1.c72c730743dd1p-11, 0x1.bbdc94cce50bcp-11, 0x1.b0ce12e62cd6fp-11, 0x1.a5ff8912a7f41p-11, 0x1.9b6fa1e3a16d7p-11, 0x1.911d170028075p-11, 0x1.8706afbd7dap-11, 0x1.7d2b3e3b421bcp-11, 0x1.73899bb044a26p-11, 0x1.6a20a4cdf8524p-11, 0x1.60ef371618a81p-11, 0x1.57f42f7216972p-11, 0x1.4f2e6a692a203p-11, 0x1.469cc4d0fe649p-11, 0x1.3e3e1cfe2ea05p-11, 0x1.361153b2fb489p-11, 0x1.2e154cdbb35f6p-11, 0x1.2648f066fa20fp-11, 0x1.1eab2b96ee804p-11, 0x1.173af2ec6971cp-11, 0x1.0ff7445b1b784p-11, 0x1.08df291aadcafp-11, 0x1.01f1b64c6298fp-11, 0x1.f65c17e5f08a8p-12, 0x1.e926a48070cd6p-12, 0x1.dc416bbd8c76ep-12, 0x1.cfaac89167b39p-12, 0x1.c3611297d3382p-12, 0x1.b7629ce30ab28p-12, 0x1.abadb88b34833p-12, 0x1.a040b97c24043p-12, 0x1.9519fb2c7d891p-12, 0x1.8a37e3306f277p-12, 0x1.7f98e0dedd14dp-12, 0x1.753b6ae577ce7p-12, 0x1.6b1dfccdf59d6p-12, 0x1.613f1682119d4p-12, 0x1.579d3ed317623p-12, 0x1.4e370877ee474p-12, 0x1.450b17abaec9dp-12, 0x1.3c182613cc469p-12, 0x1.335d0308df11ap-12, 0x1.2ad88f982f40fp-12, 0x1.2289b727db682p-12, 0x1.1a6f6704a186bp-12, 0x1.128887acb3923p-12, 0x1.0ad3fa2f82ab3p-12, 0x1.03509a4194c8fp-12, 0x1.f7fa88113d643p-13, 0x1.e9b1b5af74782p-13, 0x1.dbc49b6056f02p-13, 0x1.ce312ec2acc6dp-13, 0x1.c0f5742f7481bp-13, 0x1.b40f70e02a2f1p-13, 0x1.a77d1ed879a81p-13, 0x1.9b3c6898537f5p-13, 0x1.8f4b2eca11575p-13, 0x1.83a755f1afffep-13, 0x1.784ed6e60c457p-13, 0x1.6d3fcc636814bp-13, 0x1.6278793c0bd1ap-13, 0x1.57f7457f60b2ap-13, 0x1.4dbab36839ee8p-13, 0x1.43c1506a3edbdp-13, 0x1.3a09a788709acp-13, 0x1.309239b087ap-13, 0x1.27597e569626dp-13, 0x1.1e5deb948d312p-13, 0x1.159e02a0e7307p-13, 0x1.0d185bd970ce6p-13, 0x1.04cbad3ed2978p-13, 0x1.f96d8f87eaf67p-14, 0x1.e9b115859f12ep-14, 0x1.da5fa66bf74adp-14, 0x1.cb76d8479c754p-14, 0x1.bcf411fa6eba8p-14, 0x1.aed495fb1663ap-14, 0x1.a1159d257fabdp-14, 0x1.93b474c8caf7bp-14, 0x1.86ae957a4e335p-14, 0x1.7a01ae457fc85p-14, 0x1.6daba4026c2a4p-14, 0x1.61aa865d21f13p-14, 0x1.55fc7e1090ab2p-14, 0x1.4a9fba4f5408fp-14, 0x1.3f92634e67ed7p-14, 0x1.34d294a91c7dep-14, 0x1.2a5e5efff3a3bp-14, 0x1.2033cf43adea8p-14, 0x1.1650fab7c734fp-14, 0x1.0cb40db63411bp-14, 0x1.035b582298c8cp-14, 0x1.f48aa0d99a836p-15, 0x1.e2e110b8a5bc8p-15, 0x1.d1b72c0d7cd7dp-15, 0x1.c109f65010118p-15, 0x1.b0d6304247a9fp-15, 0x1.a11864b2e7081p-15, 0x1.91cd1378ac2b9p-15, 0x1.82f0de44898e3p-15, 0x1.74809e771bd3dp-15, 0x1.66796414b8b9dp-15, 0x1.58d871076551dp-15, 0x1.4b9b3cc35fb2cp-15, 0x1.3ebf7880dc979p-15, 0x1.324306dfe4969p-15, 0x1.2623e58bdc60ep-15, 0x1.1a601374e4c78p-15, 0x1.0ef57d14f6f74p-15, 0x1.03e1f34a08e3bp-15, 0x1.f2465b9ee3ec7p-16, 0x1.dd6dae962b9cbp-16, 0x1.c9353b7702577p-16, 0x1.b598841155e72p-16, 0x1.a293485715417p-16, 0x1.902194a8d61cep-16, 0x1.7e3fbf1fd80f3p-16, 0x1.6cea4cc8271bcp-16, 0x1.5c1dc4d2c1988p-16, 0x1.4bd68b411ffb6p-16, 0x1.3c10e1eadc268p-16, 0x1.2cc9132972699p-16, 0x1.1dfb9b04be02ap-16, 0x1.0fa519917010dp-16, 0x1.01c21678e42eep-16, 0x1.e89dcb3ba45fdp-17, 0x1.ce8fce9134f6p-17, 0x1.b553e9cf490cfp-17, 0x1.9ce526a47d47dp-17, 0x1.853f7e44a3468p-17, 0x1.6e5f0788ffa7fp-17, 0x1.583f5a0b6b8a5p-17, 0x1.42db8372f5315p-17, 0x1.2e2e78036951cp-17, 0x1.1a3394295f6e6p-17, 0x1.06e6a00de6fedp-17, 0x1.e88721aab5b3ap-18, 0x1.c48c0f693d22dp-18, 0x1.a1d275b679671p-18, 0x1.80507993cd5acp-18, 0x1.5ffcc1e515a27p-18, 0x1.40cef060a823p-18, 0x1.22bf7e8e77677p-18, 0x1.05c71385a0607p-18, 0x1.d3bb80df45c68p-19, 0x1.9df5a4c83787fp-19, 0x1.6a2ae6dac5e16p-19, 0x1.384acce735e0fp-19, 0x1.084563396c214p-19, 0x1.b4117b1bbac5bp-20, 0x1.5b00fd8666576p-20, 0x1.0533ba22fe4c8p-20, 0x1.652282daa5476p-21, 0x1.8c3b4a6592158p-22, 0x1.6a560827a3df7p-24, -0x1.95c92afb1ef05p-23, -0x1.e4913bbf66051p-22, -0x1.796e359334524p-21, -0x1.fb107cfdf1cdfp-21, -0x1.3ba7e106564b6p-20, -0x1.77239ec9b371fp-20, -0x1.b00bd845614b6p-20, -0x1.e675c250a5fa8p-20, -0x1.0d3cf62e43f77p-19, -0x1.2618ab4bb7991p-19, -0x1.3dd963d79d54p-19, -0x1.5488845bbbf9bp-19, -0x1.6a2d1abdab6d8p-19, -0x1.7ecc298796c3ap-19, -0x1.9269b3441a502p-19, -0x1.a50a5cccb6df2p-19, -0x1.b6b4c91b8cdd4p-19, -0x1.c77167524c59bp-19, -0x1.d7489ebdc3dd7p-19, -0x1.e6419d8772012p-19, -0x1.f464091bc7259p-19, -0x1.00dd52dd238a7p-18, -0x1.0728fa6aff4d2p-18, -0x1.0d194bc380766p-18, -0x1.12af569035a42p-18, -0x1.17eb2b499d989p-18, -0x1.1ccee4e21fed3p-18, -0x1.215f0af1d92e1p-18, -0x1.25a065a3245e7p-18, -0x1.2996028a68b36p-18, -0x1.2d4168d0dc3e5p-18, -0x1.30a4229f7a424p-18, -0x1.33c0984808087p-18, -0x1.3699c50f627f1p-18, -0x1.39329ffb23fafp-18, -0x1.3b8dd31fccf8ep-18, -0x1.3dadb9d9030d5p-18, -0x1.3f946f8091706p-18, -0x1.4143d5190d13cp-18, -0x1.42bd928216f17p-18, -0x1.44031d1604a46p-18, -0x1.4515c7486f90bp-18, -0x1.45f6de759f626p-18, -0x1.46a7e2b1574cfp-18, -0x1.472acaff50da5p-18, -0x1.4782042fa28e4p-18, -0x1.47afd9f1e0ee9p-18, -0x1.47b5b0eeccaeep-18, -0x1.47941a72f456dp-18, -0x1.474c2395e9cdap-18, -0x1.46e01b5f738a5p-18, -0x1.4652627970fadp-18, -0x1.45a39cec33ecp-18, -0x1.44d3ca47d1fa9p-18, -0x1.43e48f334743cp-18, -0x1.42d8f5624e0bdp-18, -0x1.41b325819ae3fp-18, -0x1.4073935ff56acp-18, -0x1.3f1a671b88c0fp-18, -0x1.3da89a72bd372p-18, -0x1.3c1fa9e9b100bp-18, -0x1.3a80f489b002dp-18, -0x1.38cd88aac77a6p-18, -0x1.37063c7bd1f45p-18, -0x1.352bd2413bc41p-18, -0x1.333f1054ac7c2p-18, -0x1.3140cb217b131p-18, -0x1.2f31e5812fc31p-18, -0x1.2d134dabb0aep-18, -0x1.2ae5fadc77a51p-18, -0x1.28aae8da8538cp-18, -0x1.26630afc73303p-18, -0x1.240f38584136dp-18, -0x1.21b0246b6442dp-18, -0x1.1f4679f241645p-18, -0x1.1cd30347a6d62p-18, -0x1.1a569ac90103ep-18, -0x1.17d1ce30e3179p-18, -0x1.1544960513468p-18, -0x1.12aebab7d3b5bp-18, -0x1.1010f500748afp-18, -0x1.0d6cfbc50e051p-18, -0x1.0ac3ab050d8c5p-18, -0x1.0814dbd2dd3bep-18, -0x1.05611d29c98bbp-18, -0x1.02a954cdda5e2p-18, -0x1.ffdac76529dfap-19, -0x1.fa59e38052099p-19, -0x1.f4d10cbcd372dp-19, -0x1.ef4244e8ce509p-19, -0x1.e9af3b8dac8b3p-19, -0x1.e4190f9927559p-19, -0x1.de8085ce81375p-19, -0x1.d8e639405d111p-19, -0x1.d34ab3fc904fdp-19, -0x1.cdae7a8f7691bp-19, -0x1.c812124f7b025p-19, -0x1.c276049f49b2fp-19, -0x1.bcdadf3844dafp-19, -0x1.b74132627b6fp-19, -0x1.b1a98ebcf3e1ap-19, -0x1.ac148cd81420cp-19, -0x1.a6829f94d177bp-19, -0x1.a0f44eb405accp-19, -0x1.9b69fe5fb3554p-19, -0x1.95e3ecd6debb5p-19, -0x1.90625905d5b28p-19, -0x1.8ae5ad9c2539ep-19, -0x1.856e8f30b4096p-19, -0x1.7ffd9a42087ccp-19, -0x1.7a92fedbb858fp-19, -0x1.752e691809659p-19, -0x1.6fcfeb1dac56ap-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.a8f7c98a274a3p-4, -0x1.abcff6c2a06cp-4, -0x1.b0761fb83c082p-4, -0x1.b6ca16d28cb01p-4, -0x1.bea35cd596988p-4, -0x1.c7d3f8eafb7ffp-4, -0x1.d22b200e7034bp-4, -0x1.dd778845afa81p-4, -0x1.e9894eed8cd4p-4, -0x1.f63367ccfe975p-4, -0x1.01a64c5ecbc9p-3, -0x1.08580811368fp-3, -0x1.0f1ed4f3cb2cbp-3, -0x1.15ecfbeee777ap-3, -0x1.1cb71026113ep-3, -0x1.2373d0fb25d4ep-3, -0x1.2a1c046448cb8p-3, -0x1.30aa4d514042ep-3, -0x1.371b006164a64p-3, -0x1.3d6bf81f4fe38p-3, -0x1.439c6952ac716p-3, -0x1.49acb7a6380a9p-3, -0x1.4f9e4ac75b626p-3, -0x1.5573642e2a23ap-3, -0x1.5b2ef5d59f75cp-3, -0x1.60d47a463364dp-3, -0x1.6667ce68ac92p-3, -0x1.6bed0d9f76743p-3, -0x1.716870a15230bp-3, -0x1.76de2f81e41cfp-3, -0x1.7c52673e0eb17p-3, -0x1.81c90305f78e1p-3, -0x1.8745a96047aa3p-3, -0x1.8ccbad23e0d7ep-3, -0x1.925e0229876fdp-3, -0x1.97ff357eb8877p-3, -0x1.9db168cf8417cp-3, -0x1.a37650aef74adp-3, -0x1.a94f355c69691p-3, -0x1.af3cf59f8ac45p-3, -0x1.b5400b54fc5ffp-3, -0x1.bb58914895f99p-3, -0x1.c1864a00b82e5p-3, -0x1.c7c8a726916b5p-3, -0x1.ce1ed140d3552p-3, -0x1.d487af8130214p-3, -0x1.db01ef6f9397cp-3, -0x1.e18c0c48efcf8p-3, -0x1.e82455f176433p-3, -0x1.eec8f7637d5a1p-3, -0x1.f577fc8ca408fp-3, -0x1.fc2f579216c09p-3, -0x1.017672bd7e5dap-2, -0x1.04d7392283afdp-2, -0x1.0838de359cb84p-2, -0x1.0b9a3bf4e05cbp-2, -0x1.0efa2865eeb12p-2, -0x1.125776a903d94p-2, -0x1.15b0f7df824ccp-2, -0x1.19057bed517e4p-2, -0x1.1c53d21c18937p-2, -0x1.1f9ac9a70162p-2, -0x1.22d93235111fep-2, -0x1.260ddc4774492p-2, -0x1.293799a0717abp-2, -0x1.2c553da6e769ep-2, -0x1.2f659dc98802p-2, -0x1.326791e442f12p-2, -0x1.3559f4a9a9e95p-2, -0x1.383ba4117542ep-2, -0x1.3b0b81ccc35dfp-2, -0x1.3dc873c02f5a6p-2, -0x1.407164836e38ap-2, -0x1.430543e5c7bfap-2, -0x1.458307767be58p-2, -0x1.47e9ab0fecbf9p-2, -0x1.4a38316439e15p-2, -0x1.4c6da489e79bap-2, -0x1.4e8916871e794p-2, -0x1.5089a1da0af03p-2, -0x1.526e69fcf2e23p-2, -0x1.54369be4a73bdp-2, -0x1.55e16e780aec7p-2, -0x1.576e22ff8f24dp-2, -0x1.58dc058b9d69dp-2, -0x1.5a2a6d510dde1p-2, -0x1.5b58bcfaf4feap-2, -0x1.5c6662f1299e6p-2, -0x1.5d52d99325716p-2, -0x1.5e1da766e3cd3p-2, -0x1.5ec65f3bae57ap-2, -0x1.5f4ca040c1362p-2, -0x1.5fb0160ff47b7p-2, -0x1.5ff078ac99719p-2, -0x1.600d8c76e73bp-2, -0x1.600722145d44cp-2, -0x1.5fdd164d9e283p-2, -0x1.5f8f51e258f63p-2, -0x1.5f1dc953d5225p-2, -0x1.5e887ca6dc68cp-2, -0x1.5dcf771da64bdp-2, -0x1.5cf2ceea921a9p-2, -0x1.5bf2a4dc5b77fp-2, -0x1.5acf24049a4adp-2, -0x1.5988815943b9fp-2, -0x1.581efb51edb81p-2, -0x1.5692d9818e488p-2, -0x1.54e46c2d6d70bp-2, -0x1.53140be1f40cfp-2, -0x1.5122190601ba7p-2, -0x1.4f0efb6d666a5p-2, -0x1.4cdb21eb13d4p-2, -0x1.4a8701e395b61p-2, -0x1.481316e04e3ebp-2, -0x1.457fe223ed5a3p-2, -0x1.42cdea4095b28p-2, -0x1.3ffdbab007545p-2, -0x1.3d0fe36e32f01p-2, -0x1.3a04f89676cd2p-2, -0x1.36dd9203d5eb5p-2, -0x1.339a4af454dd8p-2, -0x1.303bc1afbad0fp-2, -0x1.2cc29731d194ap-2, -0x1.292f6ed84df9bp-2, -0x1.2582ee146d4c3p-2, -0x1.21bdbc20632ap-2, -0x1.1de081b890ae1p-2, -0x1.19ebe8d89a7cdp-2, -0x1.15e09c7c4510fp-2, -0x1.11bf48641c8f2p-2, -0x1.0d8898ddd689fp-2, -0x1.093d3a9053c22p-2, -0x1.04ddda4b38a7ep-2, -0x1.006b24d9f2637p-2, -0x1.f7cb8db4382abp-3, -0x1.ee9cd92a3268bp-3, -0x1.e54b83b98b9d1p-3, -0x1.dbd8e3d63bca2p-3, -0x1.d2464e8965f66p-3, -0x1.c895173b96b01p-3, -0x1.bec68f840cf3p-3, -0x1.b4dc06fcbba44p-3, -0x1.aad6cb1ab9c01p-3, -0x1.a0b8270acf6b8p-3, -0x1.96816391dfb55p-3, -0x1.8c33c6f0d62d3p-3, -0x1.81d094cbd497fp-3, -0x1.77590e145c23p-3, -0x1.6cce70f62ad99p-3, -0x1.6231f8c687dcbp-3, -0x1.5784ddf5c4508p-3, -0x1.4cc85602a7fep-3, -0x1.41fd936fa2f3cp-3, -0x1.3725c5b97258cp-3, -0x1.2c42194f1fd07p-3, -0x1.2153b78b134e7p-3, -0x1.165bc6ad15ee3p-3, -0x1.0b5b69d51b948p-3, -0x1.0053c0fe9f76fp-3, -0x1.ea8bd1f903dffp-4, -0x1.d465f6ea6afc2p-4, -0x1.be381dbe42d3dp-4, -0x1.a8046cfa5805p-4, -0x1.91cd04b6751c4p-4, -0x1.7b93fe954f4a3p-4, -0x1.655b6dbd28dbbp-4, -0x1.4f255ed00aabap-4, -0x1.38f3d7e36ee85p-4, -0x1.22c8d8775d86dp-4, -0x1.0ca6596ccfd1cp-4, -0x1.ed1c99f6b6d99p-5, -0x1.c1053d4c2feccp-5, -0x1.950a665f64297p-5, -0x1.692fd11b66a5bp-5, -0x1.3d792bb5efe03p-5, -0x1.11ea1692a437fp-5, -0x1.cd0c4849bc17bp-6, -0x1.76a1b19fce33dp-6, -0x1.209b558ba0896p-6, -0x1.96000793f098ep-7, -0x1.d759bca31e132p-8, -0x1.092969edcbc12p-9, 0x1.986a4f2a6dd3ap-9, 0x1.0d7537fea1352p-7, 0x1.b3b919dcf60b8p-7, 0x1.2c6cfeffa97b6p-6, 0x1.7e65f33e6bb1bp-6, 0x1.cfc189c58219fp-6, 0x1.103d0107a9557p-5, 0x1.3844dda312c1ep-5, 0x1.5ff59a49cabeap-5, 0x1.874c86b797dep-5, 0x1.ae4702f5da69bp-5, 0x1.d4e27f815a8dp-5, 0x1.fb1c7d6f257bfp-5, 0x1.10794748212cbp-4, 0x1.23312aca10206p-4, 0x1.35b4c314ce2fep-4, 0x1.4802f28f3b7b1p-4, 0x1.5a1aa43e8951fp-4, 0x1.6bfacbd43393cp-4, 0x1.7da265bafd13fp-4, 0x1.8f107722eb541p-4, 0x1.a0440e0c24e5p-4, 0x1.b13c4150b5139p-4, 0x1.c1f830ad23757p-4, 0x1.d27704c7c9864p-4, 0x1.e2b7ef36f4c22p-4, 0x1.f2ba2a85bb60ap-4, 0x1.013e7d1bba5e3p-3, 0x1.08ffd564f6234p-3, 0x1.10a0c8db12663p-3, 0x1.182106b7e1779p-3, 0x1.1f8042b18a1f2p-3, 0x1.26be34f8d515p-3, 0x1.2dda9a36bf1f5p-3, 0x1.34d5338965d23p-3, 0x1.3badc680283dep-3, 0x1.42641d1728674p-3, 0x1.48f805b20514ep-3, 0x1.4f695315ef1e8p-3, 0x1.55b7dc6301a01p-3, 0x1.5be37d0cf3ecap-3, 0x1.61ec14d3148c6p-3, 0x1.67d187b79fbe2p-3, 0x1.6d93bdf66ed7fp-3, 0x1.7332a3faf97f1p-3, 0x1.78ae2a55bf942p-3, 0x1.7e0645b10ea2ep-3, 0x1.833aeec5338cp-3, 0x1.884c224c0ebb6p-3, 0x1.8d39e0f420079p-3, 0x1.92042f53008d5p-3, 0x1.96ab15d752721p-3, 0x1.9b2ea0ba349fcp-3, 0x1.9f8edff035335p-3, 0x1.a3cbe719c7e51p-3, 0x1.a7e5cd734d9bcp-3, 0x1.abdcadc4b1919p-3, 0x1.afb0a650909a6p-3, 0x1.b361d8c30cda9p-3, 0x1.b6f06a203d36ap-3, 0x1.ba5c82b23f862p-3, 0x1.bda64df705497p-3, 0x1.c0cdfa8dc7881p-3, 0x1.c3d3ba243c3b8p-3, 0x1.c6b7c163871dap-3, 0x1.c97a47dcef889p-3, 0x1.cc1b87f660adfp-3, 0x1.ce9bbed6bcf2cp-3, 0x1.d0fb2c51fba27p-3, 0x1.d33a12d52fc3dp-3, 0x1.d558b75265967p-3, 0x1.d757612c668d7p-3, 0x1.d9365a226ad24p-3, 0x1.daf5ee3bb92eep-3, 0x1.dc966bb33b899p-3, 0x1.de1822e30c569p-3, 0x1.df7b663005ccap-3, 0x1.e0c089f55037ep-3, 0x1.e1e7e46ffc9d8p-3, 0x1.e2f1cdaaa90c8p-3, 0x1.e3de9f6935a4ap-3, 0x1.e4aeb514915d3p-3, 0x1.e5626ba69cc99p-3, 0x1.e5fa21962d693p-3, 0x1.e67636c32fc0fp-3, 0x1.e6d70c62f1099p-3, 0x1.e71d04ec8cee8p-3, 0x1.e74884058e512p-3, 0x1.e759ee6eb5dedp-3, 0x1.e751a9f0fb96p-3, 0x1.e7301d4ac26e5p-3, 0x1.e6f5b01d428a6p-3, 0x1.e6a2cada339f4p-3, 0x1.e637d6b1afa78p-3, 0x1.e5b53d805a327p-3, 0x1.e51b69bdc8cadp-3, 0x1.e46ac66b2e369p-3, 0x1.e3a3bf02531f4p-3, 0x1.e2c6bf64d0b26p-3, 0x1.e1d433cb96061p-3, 0x1.e0cc88b6c3b1ep-3, 0x1.dfb02addc79dp-3, 0x1.de7f871fd447cp-3, 0x1.dd3b0a749f549p-3, 0x1.dbe321dd7b8b4p-3, 0x1.da783a56bf63bp-3, 0x1.d8fac0c97f1fdp-3, 0x1.d76b21fda4233p-3, 0x1.d5c9ca8c4d4c7p-3, 0x1.d41726d292b41p-3, 0x1.d253a2e496d28p-3, 0x1.d07faa80f240ep-3, 0x1.ce9ba9047931p-3, 0x1.cca8095e57197p-3, 0x1.caa536047ed35p-3, 0x1.c89398e87a97bp-3, 0x1.c6739b6c906f5p-3, 0x1.c445a659378e4p-3, 0x1.c20a21d2f73d2p-3, 0x1.bfc1755086da2p-3, 0x1.bd6c079157676p-3, 0x1.bb0a3e946c431p-3, 0x1.b89c7f8f868f5p-3, 0x1.b6232ee6b15b4p-3, 0x1.b39eb024150bdp-3, 0x1.b10f65f029c4p-3, 0x1.ae75b20a3b9b1p-3, 0x1.abd1f5413dfc6p-3, 0x1.a9248f6cf297fp-3, 0x1.a66ddf6764c42p-3, 0x1.a3ae4306b246bp-3, 0x1.a0e617171fc3fp-3, 0x1.9e15b75585238p-3, 0x1.9b3d7e69fe916p-3, 0x1.985dc5e2ea058p-3, 0x1.9576e63035b7bp-3, 0x1.9289369ef3301p-3, 0x1.8f950d5533591p-3, 0x1.8c9abf4e2ab27p-3, 0x1.899aa0569e85dp-3, 0x1.869503099251fp-3, 0x1.838a38cd39d19p-3, 0x1.807a91d02f9e5p-3, 0x1.7d665d06ea47ep-3, 0x1.7a4de8297281bp-3, 0x1.77317fb15521dp-3, 0x1.74116ed7d554ep-3, 0x1.70edff9458e0ep-3, 0x1.6dc77a9b0af0bp-3, 0x1.6a9e275bbd534p-3, 0x1.67724c00fda07p-3, 0x1.64442d6f62a9cp-3, 0x1.61140f45096a9p-3, 0x1.5de233d949622p-3, 0x1.5aaedc3c9db59p-3, 0x1.577a4838b504bp-3, 0x1.5444b650b7c86p-3, 0x1.510e63c1baac4p-3, 0x1.4dd78c835ce2ep-3, 0x1.4aa06b488ef08p-3, 0x1.476939808733p-3, 0x1.44322f57d6f5ap-3, 0x1.40fb83b9b36a8p-3, 0x1.3dc56c5154a1p-3, 0x1.3a901d8b84dep-3, 0x1.375bca9848943p-3, 0x1.3428a56cb257fp-3, 0x1.30f6dec4d136bp-3, 0x1.2dc6a625b88ffp-3, 0x1.2a9829dfb308cp-3, 0x1.276b971087165p-3, 0x1.244119a5d971p-3, 0x1.2118dc5fabadp-3, 0x1.1df308d2f373fp-3, 0x1.1acfc76c45f9dp-3, 0x1.17af3f729cf41p-3, 0x1.1491970a326f4p-3, 0x1.1176f3376e3c7p-3, 0x1.0e5f77e1e6b89p-3, 0x1.0b4b47d774ed8p-3, 0x1.083a84cf5b2c5p-3, 0x1.052d4f6d78d8fp-3, 0x1.0223c74590aebp-3, 0x1.fe3c15bd2dde9p-4, 0x1.f8386f6c3066ap-4, 0x1.f23cd48740744p-4, 0x1.ec497bf864a39p-4, 0x1.e65e9aab9899cp-4, 0x1.e07c6395e9dp-4, 0x1.daa307bc929b5p-4, 0x1.d4d2b63c412fep-4, 0x1.cf0b9c50579adp-4, 0x1.c94de55a3d539p-4, 0x1.c399bae8c4272p-4, 0x1.bdef44bf8b612p-4, 0x1.b84ea8de7811p-4, 0x1.b2b80b891f3c8p-4, 0x1.ad2b8f4e53412p-4, 0x1.a7a9550f95102p-4, 0x1.a2317c08a514bp-4, 0x1.9cc421d6fd3bdp-4, 0x1.9761628160cc1p-4, 0x1.9209587f585cep-4, 0x1.8cbc1cc0b969ep-4, 0x1.8779c6b524666p-4, 0x1.82426c5381c28p-4, 0x1.7d1622217651fp-4, 0x1.77f4fb3ad2f22p-4, 0x1.72df095900d96p-4, 0x1.6dd45cda602cbp-4, 0x1.68d504c99f8c9p-4, 0x1.63e10ee50d79p-4, 0x1.5ef887a5da0dep-4, 0x1.5a1b7a47512e8p-4, 0x1.5549f0ce05bcfp-4, 0x1.5083f40ef351fp-4, 0x1.4bc98bb68ee38p-4, 0x1.471abe4fccde5p-4, 0x1.4277914b162dep-4, 0x1.3de009052f5fp-4, 0x1.395428ce0dfe3p-4, 0x1.34d3f2efa0694p-4, 0x1.305f68b483292p-4, 0x1.2bf68a6ea2c43p-4, 0x1.2799577dd3b67p-4, 0x1.2347ce564d362p-4, 0x1.1f01ec87190fdp-4, 0x1.1ac7aec06e936p-4, 0x1.169910d9fb62p-4, 0x1.12760dd9155ep-4, 0x1.0e5e9ff6dc108p-4, 0x1.0a52c0a644999p-4, 0x1.0652689a10297p-4, 0x1.025d8fcab0e23p-4, 0x1.fce85af82d3eep-5, 0x1.f52c7086cf60bp-5, 0x1.ed874c194d7c8p-5, 0x1.e5f8d84080252p-5, 0x1.de80fe5103808p-5, 0x1.d71fa66e02a8ep-5, 0x1.cfd4b793ce47fp-5, 0x1.c8a017a253e09p-5, 0x1.c181ab675d81fp-5, 0x1.ba7956a8a7f5cp-5, 0x1.b386fc2dd781dp-5, 0x1.acaa7dca334fep-5, 0x1.a5e3bc6643473p-5, 0x1.9f3298092a589p-5, 0x1.9896efe1f7a45p-5, 0x1.9210a250aaecbp-5, 0x1.8b9f8cef211b4p-5, 0x1.85438c99d146bp-5, 0x1.7efc7d7858d06p-5, 0x1.78ca3b05e6157p-5, 0x1.72aca0196da4ap-5, 0x1.6ca386edbd533p-5, 0x1.66aec9295e69fp-5, 0x1.60ce3fe657cd8p-5, 0x1.5b01c3b9b456cp-5, 0x1.55492cbaf4687p-5, 0x1.4fa4528b45d16p-5, 0x1.4a130c5c9e20ap-5, 0x1.449530f8a140cp-5, 0x1.3f2a96c76b39ap-5, 0x1.39d313d627a18p-5, 0x1.348e7ddd8b265p-5, 0x1.2f5caa481ea54p-5, 0x1.2a3d6e3862804p-5, 0x1.25309e8ed5cdfp-5, 0x1.20360fefc7b43p-5, 0x1.1b4d96c915c2ep-5, 0x1.16770757b203bp-5, 0x1.11b235ad13927p-5, 0x1.0cfef5b47befap-5, 0x1.085d1b381328p-5, 0x1.03cc79e5f0fc3p-5, 0x1.fe99caa9e6bcbp-6, 0x1.f5bc6212e9214p-6, 0x1.ed0060f3d57f7p-6, 0x1.e4656e26b30acp-6, 0x1.dbeb307b48e9cp-6, 0x1.d3914ebf90a4ap-6, 0x1.cb576fc7e018ap-6, 0x1.c33d3a76c1cb4p-6, 0x1.bb4255c4bc598p-6, 0x1.b36668c7a89c4p-6, 0x1.aba91ab9ec5b1p-6, 0x1.a40a130174416p-6, 0x1.9c88f9366e7f3p-6, 0x1.95257529c9992p-6, 0x1.8ddf2eeb862fap-6, 0x1.86b5ced0cc419p-6, 0x1.7fa8fd79b68b9p-6, 0x1.78b863d719aefp-6, 0x1.71e3ab2fdac11p-6, 0x1.6b2a7d264527p-6, 0x1.648c83bd0bffbp-6, 0x1.5e09695c27aacp-6, 0x1.57a0d8d58916bp-6, 0x1.51527d69940f9p-6, 0x1.4b1e02cb6a67bp-6, 0x1.4503152511d51p-6, 0x1.3f01611b5a79bp-6, 0x1.391893d1c4038p-6, 0x1.33485aedfee01p-6, 0x1.2d90649b644a1p-6, 0x1.27f05f8e55b66p-6, 0x1.2267fb0745b28p-6, 0x1.1cf6e6d5c7cd8p-6, 0x1.179cd35b55349p-6, 0x1.1259718e0dcb8p-6, 0x1.0d2c72fb366b5p-6, 0x1.081589c9a5892p-6, 0x1.031468bc0bf9fp-6, 0x1.fc5186661a504p-7, 0x1.f2a49a5e9c473p-7, 0x1.e92176a6ade82p-7, 0x1.dfc785ca86bb3p-7, 0x1.d69633a0efbc6p-7, 0x1.cd8ced4e4f0abp-7, 0x1.c4ab21475dbe5p-7, 0x1.bbf03f53e1f79p-7, 0x1.b35bb890ea436p-7, 0x1.aaecff731cb4dp-7, 0x1.a2a387c89b07bp-7, 0x1.9a7ec6bacc067p-7, 0x1.927e32cfeb3bap-7, 0x1.8aa143ec6d03p-7, 0x1.82e773543f6b4p-7, 0x1.7b503babbc474p-7, 0x1.73db18f88ffd8p-7, 0x1.6c8788a26973fp-7, 0x1.65550973920f4p-7, 0x1.5e431b992b9f9p-7, 0x1.575140a37c5f9p-7, 0x1.507efb861a962p-7, 0x1.49cbd0979dc57p-7, 0x1.43374591b0673p-7, 0x1.3cc0e1908d09ap-7, 0x1.36682d1298227p-7, 0x1.302cb1f7ccfdp-7, 0x1.2a0dfb80faaa4p-7, 0x1.240b964efd48p-7, 0x1.1e251061cbcb9p-7, 0x1.1859f91774347p-7, 0x1.12a9e12af303ap-7, 0x1.0d145ab2facbcp-7, 0x1.0798f920844ep-7, 0x1.0237513d820d9p-7, 0x1.f9ddf256a37d3p-8, 0x1.ef7f10c230584p-8, 0x1.e5512f544415cp-8, 0x1.db53824823245p-8, 0x1.d185407a2d44bp-8, 0x1.c7e5a3640a91cp-8, 0x1.be73e71894fa2p-8, 0x1.b52f4a40150b7p-8, 0x1.ac170e13b45b5p-8, 0x1.a32a765969424p-8, 0x1.9a68c95f77e7bp-8, 0x1.91d14ff7e4abdp-8, 0x1.89635573cb8b6p-8, 0x1.811e279ebf1d2p-8, 0x1.790116b9ecbbap-8, 0x1.710b757727a14p-8, 0x1.693c98f3f2e49p-8, 0x1.6193d8b47d197p-8, 0x1.5a108e9e844d6p-8, 0x1.52b216f3fbcf4p-8, 0x1.4b77d04dfa4dbp-8, 0x1.44611b974d0acp-8, 0x1.3d6d5c0733986p-8, 0x1.369bf71bcb13cp-8, 0x1.2fec5494cdd25p-8, 0x1.295dde6ddbb66p-8, 0x1.22f000d91b2d9p-8, 0x1.1ca22a3999baap-8, 0x1.1673cb1dae76ep-8, 0x1.1064563958ebap-8, 0x1.0a73406093409p-8, 0x1.04a00081b8667p-8, 0x1.fdd41f3f78307p-9, 0x1.f2a1d19925fc2p-9, 0x1.e7a81246d28c8p-9, 0x1.dce5df85d0e25p-9, 0x1.d25a3b8efd9b5p-9, 0x1.c8042c8b52fbap-9, 0x1.bde2bc886ee4fp-9, 0x1.b3f4f96d19ed6p-9, 0x1.aa39f4edc063ep-9, 0x1.a0b0c4812ca16p-9, 0x1.97588154fc1c8p-9, 0x1.8e3048423a34ap-9, 0x1.853739c20fd12p-9, 0x1.7c6c79e264edfp-9, 0x1.73cf303a993c9p-9, 0x1.6b5e87e027616p-9, 0x1.6319af5b64558p-9, 0x1.5affd89c996cap-9, 0x1.531038f080295p-9, 0x1.4b4a08f56f664p-9, 0x1.43ac8490232a6p-9, 0x1.3c36eae109e8ep-9, 0x1.34e87e38f26fap-9, 0x1.2dc0840e7f6f2p-9, 0x1.26be44f368576p-9, 0x1.1fe10c895b117p-9, 0x1.19282977bca6dp-9, 0x1.1292ed60f0dfbp-9, 0x1.0c20acd7ccaa6p-9, 0x1.05d0bf550b52fp-9, 0x1.ff44fe5a924cdp-10, 0x1.f32a930cb127ap-10, 0x1.e750fc9a8721bp-10, 0x1.dbb7005875f53p-10, 0x1.d05b69009a353p-10, 0x1.c53d069f420eap-10, 0x1.ba5aae7f4c63ep-10, 0x1.afb33b162173cp-10, 0x1.a5458bf0b4169p-10, 0x1.9b1085a061341p-10, 0x1.911311a732b98p-10, 0x1.874c1e660111ep-10, 0x1.7dba9f090dedbp-10, 0x1.745d8b75947d5p-10, 0x1.6b33e037fe0cep-10, 0x1.623c9e7153d86p-10, 0x1.5976cbc548debp-10, 0x1.50e17248c8901p-10, 0x1.487ba0702147dp-10, 0x1.404468fe08129p-10, 0x1.383ae2f1c4488p-10, 0x1.305e2976e2f79p-10, 0x1.28ad5bd416a2p-10, 0x1.21279d5a9096cp-10, 0x1.19cc1556152fp-10, 0x1.1299eefbbf679p-10, 0x1.0b90595b2596ap-10, 0x1.04ae874dd2106p-10, 0x1.fbe75ecf3aap-11, 0x1.eebe17cfa5ceep-11, 0x1.e1dfb55233e1cp-11, 0x1.d54aba262a8f5p-11, 0x1.c8fdb015ce06ep-11, 0x1.bcf727ca64d66p-11, 0x1.b135b8adba0d4p-11, 0x1.a5b800ced0199p-11, 0x1.9a7ca4c4b5969p-11, 0x1.8f824f933eb16p-11, 0x1.84c7b28e9f732p-11, 0x1.7a4b854149a85p-11, 0x1.700c8550bba9cp-11, 0x1.66097662b72e5p-11, 0x1.5c41220471a45p-11, 0x1.52b2578edb6b7p-11, 0x1.495bec0f48ae7p-11, 0x1.403cba2d22077p-11, 0x1.3753a211ee986p-11, 0x1.2e9f8950ee3a6p-11, 0x1.261f5acf5ac19p-11, 0x1.1dd206abf4361p-11, 0x1.15b68228f8be7p-11, 0x1.0dcbc79488cb7p-11, 0x1.0610d6320943ep-11, 0x1.fd096449067c7p-12, 0x1.ee4cc8af85b0fp-12, 0x1.dfe9f4d7f08ep-12, 0x1.d1df0d3f223e2p-12, 0x1.c42a3f756cfcfp-12, 0x1.b6c9c1f48caf6p-12, 0x1.a9bbd3f828c25p-12, 0x1.9cfebd55c5eb5p-12, 0x1.9090ce547a372p-12, 0x1.84705f873d6ccp-12, 0x1.789bd1a6605e6p-12, 0x1.6d118d697290ep-12, 0x1.61d0036405125p-12, 0x1.56d5abdf3201ap-12, 0x1.4c2106b76a025p-12, 0x1.41b09b39a5dd2p-12, 0x1.3782f7fe539dap-12, 0x1.2d96b2ca4dc4ep-12, 0x1.23ea686b1043ep-12, 0x1.1a7cbc9792686p-12, 0x1.114c59ce0ca8ep-12, 0x1.0857f135c8eadp-12, 0x1.ff3c74fe0dfa4p-13, 0x1.ee3be787c55d9p-13, 0x1.ddabc2d489e98p-13, 0x1.cd899c0d5c46bp-13, 0x1.bdd3147b837f4p-13, 0x1.ae85d95183ef8p-13, 0x1.9f9fa36f92969p-13, 0x1.911e372fcc4a7p-13, 0x1.82ff642b383fdp-13, 0x1.7541050688273p-13, 0x1.67e0ff3def006p-13, 0x1.5add42ed48e0bp-13, 0x1.4e33caa2a8595p-13, 0x1.41e29b27a861p-13, 0x1.35e7c351af5cp-13, 0x1.2a415bd31fee9p-13, 0x1.1eed870789e35p-13, 0x1.13ea70ca59ea1p-13, 0x1.09364e43e8f89p-13, 0x1.fd9ebb808c50fp-14, 0x1.e967cd00a93f3p-14, 0x1.d5c471206a1adp-14, 0x1.c2b15934380ep-14, 0x1.b02b477ea3181p-14, 0x1.9e2f0ed90b4d8p-14, 0x1.8cb99264dafcp-14, 0x1.7bc7c53afecf3p-14, 0x1.6b56aa21706b1p-14, 0x1.5b635336e225ep-14, 0x1.4beae1b1e3853p-14, 0x1.3cea858cbc583p-14, 0x1.2e5f7d43952fbp-14, 0x1.2047158b31b19p-14, 0x1.129ea90b14cdbp-14, 0x1.0563a016920c6p-14, 0x1.f126e0e19dadep-15, 0x1.d8573a003a025p-15, 0x1.c0536b2cd25a7p-15, 0x1.a916ad565584ep-15, 0x1.929c5243f900ap-15, 0x1.7cdfc40e3cb01p-15, 0x1.67dc84b5e0c15p-15, 0x1.538e2d9f75dcep-15, 0x1.3ff06f29e1ec2p-15, 0x1.2cff1033c373ep-15, 0x1.1ab5edb3d7b2fp-15, 0x1.0910fa4978a8bp-15, 0x1.f0187b92eb32fp-16, 0x1.cf47a9c0f37d3p-16, 0x1.afa7e14a94468p-16, 0x1.9131ac6150843p-16, 0x1.73ddbc843eb8bp-16, 0x1.57a4e9a9acc4fp-16, 0x1.3c8031919079bp-16, 0x1.2268b6f1c3c7cp-16, 0x1.0957c0e022153p-16, 0x1.e28d73f7464b9p-17, 0x1.b45e5f9d10d37p-17, 0x1.8815a4345ef7cp-17, 0x1.5da6e462314dp-17, 0x1.3506048a7a24bp-17, 0x1.0e27299f1b13fp-17, 0x1.d1fd6f9cb0601p-18, 0x1.8b02a298ce077p-18, 0x1.4747aa4a526a1p-18, 0x1.06b6bbfc5a0a9p-18, 0x1.927503c994939p-19, 0x1.1d7c31ccd3761p-19, 0x1.5cb4392c2d525p-20, 0x1.139aec620bbd6p-21, -0x1.f05239bcf99cap-23, -0x1.f63f722aecb46p-21, -0x1.adbdf9fb1abb2p-20, -0x1.2b17466504f81p-19, -0x1.7a5cb2d7b8be5p-19, -0x1.c4d2783bceca9p-19, -0x1.054d8657c66a7p-18, -0x1.25ec1502854fcp-18, -0x1.445568d3138c6p-18, -0x1.6099a7ef0e3edp-18, -0x1.7ac89fd54225ap-18, -0x1.92f1c70ecbd51p-18, -0x1.a9243ed5f38c9p-18, -0x1.bd6ed4d4f91d9p-18, -0x1.cfe004cbe1afp-18, -0x1.e085fa083f82ap-18, -0x1.ef6e911f6596ep-18, -0x1.fca7595d99aa6p-18, -0x1.041ecb301e20bp-17, -0x1.091f20be65e6ap-17, -0x1.0d5b05a0eb76dp-17, -0x1.10d8ae6b80b2bp-17, -0x1.139e2cb8032dp-17, -0x1.15b16fd5834ccp-17, -0x1.1718456c2e76ep-17, -0x1.17d85a344d921p-17, -0x1.17f73a863f7edp-17, -0x1.177a53125ec44p-17, -0x1.1666f172f9c49p-17, -0x1.14c244d0a921bp-17, -0x1.12915e6ccaa25p-17, -0x1.0fd93245bdf02p-17, -0x1.0c9e97aa50e65p-17, -0x1.08e649bb6c374p-17, -0x1.04b4e803864cdp-17, -0x1.000ef701ae6fcp-17, -0x1.f5f1c165b4f35p-18, -0x1.eaedea19a47ap-18, -0x1.df1ad5176664dp-18, -0x1.d280bd56906c2p-18, -0x1.c527acd0860e4p-18, -0x1.b7177d77453c2p-18, -0x1.a857da1d6bb65p-18, -0x1.98f03f713e07bp-18, -0x1.88e7fcd4a5edp-18, -0x1.78463551d429bp-18, -0x1.6711e06ffb10cp-18, -0x1.5551cb0a2fddp-18, -0x1.430c9835665b6p-18, -0x1.3048c208795e3p-18, -0x1.1d0c9a6e305e5p-18, -0x1.095e4be90a2aep-18, -0x1.ea87b4c504357p-19, -0x1.c18647dbfda22p-19, -0x1.97c3c30fa99eep-19, -0x1.6d4b4f7eeab16p-19, -0x1.4227cf1b8e53bp-19, -0x1.1663dde3c7c9p-19, -0x1.d413a6c2a9d39p-20, -0x1.7a4787d97d9e7p-20, -0x1.1f770426cac7fp-20, -0x1.876a7f5cb5ccap-21, }}, 
      {{-0x1.a8546a722905fp-4, -0x1.a9485ce2f96e1p-4, -0x1.aada2777f6b5fp-4, -0x1.ad031565387d6p-4, -0x1.afba7e817020ep-4, -0x1.b2f64187e2b1ep-4, -0x1.b6ab3a918475fp-4, -0x1.bacdb0b01c45cp-4, -0x1.bf51b6b74a869p-4, -0x1.c42b7ca4953dfp-4, -0x1.c94f90acb2f06p-4, -0x1.ceb31063c1249p-4, -0x1.d44bcb83d74b4p-4, -0x1.da105a708926bp-4, -0x1.dff82aca96721p-4, -0x1.e5fb844f5acc9p-4, -0x1.ec1387f99f949p-4, -0x1.f23a2afe8df58p-4, -0x1.f86a2ee43ed04p-4, -0x1.fe9f179be5e3ap-4, -0x1.026a902292c4dp-3, -0x1.058497867860ap-3, -0x1.089c643b2e949p-3, -0x1.0bb101229b86ep-3, -0x1.0ec1bb1a6c281p-3, -0x1.11ce1a4f9c109p-3, -0x1.14d5db9ae5512p-3, -0x1.17d8e9f651b9cp-3, -0x1.1ad7581c2d42bp-3, -0x1.1dd15a5efbd17p-3, -0x1.20c740c95d9c1p-3, -0x1.23b9719330e62p-3, -0x1.26a863f763106p-3, -0x1.29949b739059bp-3, -0x1.2c7ea377f8bp-3, -0x1.2f670b8ba9c6bp-3, -0x1.324e63e62f53ep-3, -0x1.35353a7da9d4ap-3, -0x1.381c1885fb04bp-3, -0x1.3b03805be7a8bp-3, -0x1.3debebd586deap-3, -0x1.40d5caf045962p-3, -0x1.43c182d3dc9e3p-3, -0x1.46af6d213edc2p-3, -0x1.499fd78459453p-3, -0x1.4c93037f80d91p-3, -0x1.4f892667cf203p-3, -0x1.5282698a2552ap-3, -0x1.557eea711079ep-3, -0x1.587ebb4495d42p-3, -0x1.5b81e33d9eaap-3, -0x1.5e885f277543ap-3, -0x1.619221ea98a44p-3, -0x1.649f151cd91d4p-3, -0x1.67af1993714acp-3, -0x1.6ac207f461f31p-3, -0x1.6dd7b14500229p-3, -0x1.70efdf7420056p-3, -0x1.740a55debb198p-3, -0x1.7726d1ce67158p-3, -0x1.7a450af12500fp-3, -0x1.7d64b3ca81765p-3, -0x1.80857a1e09927p-3, -0x1.83a707536e498p-3, -0x1.86c900d4a2a9bp-3, -0x1.89eb08668b731p-3, -0x1.8d0cbc7ca0c8cp-3, -0x1.902db8882adc4p-3, -0x1.934d95439bc29p-3, -0x1.966be8fa7e12fp-3, -0x1.998847ce8cf77p-3, -0x1.9ca243fa5128dp-3, -0x1.9fb96e11b36e4p-3, -0x1.a2cd5540d66d6p-3, -0x1.a5dd878981ae7p-3, -0x1.a8e991ff50d92p-3, -0x1.abf10102d94c5p-3, -0x1.aef3607bd6c8bp-3, -0x1.b1f03c1286c22p-3, -0x1.b4e71f681b796p-3, -0x1.b7d7964e58766p-3, -0x1.bac12cfe4345cp-3, -0x1.bda3704ddc2ap-3, -0x1.c07dede4b8edp-3, -0x1.c350346f703a3p-3, -0x1.c619d3d1bce15p-3, -0x1.c8da5d571a8c3p-3, -0x1.cb9163e1e130ep-3, -0x1.ce3e7c18963cp-3, -0x1.d0e13c917293ep-3, -0x1.d3793dfbeb4fcp-3, -0x1.d6061b481d7a4p-3, -0x1.d88771cc19587p-3, -0x1.dafce166d5cccp-3, -0x1.dd660ca0d825bp-3, -0x1.dfc298ca653ep-3, -0x1.e2122e174217ap-3, -0x1.e45477b7f4fc9p-3, -0x1.e68923f07c979p-3, -0x1.e8afe42c8bf95p-3, -0x1.eac86d11374dcp-3, -0x1.ecd2768c2e4a8p-3, -0x1.eecdbbe07f0c8p-3, -0x1.f0b9fbb0f21e6p-3, -0x1.f296f8080cd66p-3, -0x1.f464765dcba5ep-3, -0x1.f6223f9b307e4p-3, -0x1.f7d0201ba8d1ap-3, -0x1.f96de7ac71003p-3, -0x1.fafb698a10792p-3, -0x1.fc787c5bf3d3bp-3, -0x1.fde4fa2e59a95p-3, -0x1.ff40c06a9cbdap-3, -0x1.0045d7e6fb5ccp-2, -0x1.00e2d62f73497p-2, -0x1.01774eb0a0d54p-2, -0x1.020336a490712p-2, -0x1.028684d6585a7p-2, -0x1.0301319a89774p-2, -0x1.037336c72ba59p-2, -0x1.03dc8fab60533p-2, -0x1.043d3906a767p-2, -0x1.049530ffe06fdp-2, -0x1.04e4771c0b9d7p-2, -0x1.052b0c34d976ap-2, -0x1.0568f26f10c82p-2, -0x1.059e2d30d5c9cp-2, -0x1.05cac117e0fddp-2, -0x1.05eeb3efa012fp-2, -0x1.060a0ca75eb0bp-2, -0x1.061cd34867599p-2, -0x1.062710ec36c57p-2, -0x1.0628cfb2bb1c9p-2, -0x1.06221ab8ab623p-2, -0x1.0612fe0dfcc82p-2, -0x1.05fb86ac74279p-2, -0x1.05dbc26e5e9e6p-2, -0x1.05b3c0057465ap-2, -0x1.05838ef1e56f3p-2, -0x1.054b3f7993511p-2, -0x1.050ae29f8067ap-2, -0x1.04c28a1b6d25ap-2, -0x1.04724851ad3fcp-2, -0x1.041a304b3360ap-2, -0x1.03ba55adce901p-2, -0x1.0352ccb4a59d3p-2, -0x1.02e3aa28e4abcp-2, -0x1.026d035aa702bp-2, -0x1.01eeee1a136e2p-2, -0x1.016980b0b5c37p-2, -0x1.00dcd1db09371p-2, -0x1.0048f8c23cbfcp-2, -0x1.ff5c19ec533b5p-3, -0x1.fe184ccefd4f7p-3, -0x1.fcc6bac43fdf1p-3, -0x1.fb67950f67637p-3, -0x1.f9fb0d94c739ep-3, -0x1.f88156cf9426fp-3, -0x1.f6faa3c818926p-3, -0x1.f567280a443dcp-3, -0x1.f3c7179c8962fp-3, -0x1.f21aa6f711c86p-3, -0x1.f0620afb3a341p-3, -0x1.ee9d78eb5c275p-3, -0x1.eccd2662e17dcp-3, -0x1.eaf1494e9138ep-3, -0x1.e90a17e529b3bp-3, -0x1.e717c8a03240ap-3, -0x1.e51a92350512ap-3, -0x1.e312ab8e195cdp-3, -0x1.e1004bc475e83p-3, -0x1.dee3aa1966833p-3, -0x1.dcbcfdf04e782p-3, -0x1.da8c7ec8b895ep-3, -0x1.d852643887c4fp-3, -0x1.d60ee5e651d45p-3, -0x1.d3c23b83e561p-3, -0x1.d16c9cc8ef675p-3, -0x1.cf0e416dc322ap-3, -0x1.cca761264359bp-3, -0x1.ca38339cec37p-3, -0x1.c7c0f06df8651p-3, -0x1.c541cf229faddp-3, -0x1.c2bb072c7624bp-3, -0x1.c02ccfe0e06dfp-3, -0x1.bd9760749a7dep-3, -0x1.bafaeff7642bbp-3, -0x1.b857b54fb1484p-3, -0x1.b5ade736814a9p-3, -0x1.b2fdbc3338be1p-3, -0x1.b0476a97a0845p-3, -0x1.ad8b287bea5d1p-3, -0x1.aac92bbacd2ecp-3, -0x1.a801a9edb74c2p-3, -0x1.a534d8690985dp-3, -0x1.a262ec386f43p-3, -0x1.9f8c1a1b3a1e5p-3, -0x1.9cb09680dd2dep-3, -0x1.99d095856d91dp-3, -0x1.96ec4aee3c856p-3, -0x1.9403ea26795a9p-3, -0x1.9117a63bedd93p-3, -0x1.8e27b1dbc6ee4p-3, -0x1.8b343f4f6a8d4p-3, -0x1.883d80796713dp-3, -0x1.8543a6d26fde9p-3, -0x1.8246e36667102p-3, -0x1.7f4766d17f17fp-3, -0x1.7c45613d6f92bp-3, -0x1.7941025eb215dp-3, -0x1.763a7971dc019p-3, -0x1.7331f53903c2ep-3, -0x1.7027a3f93f96cp-3, -0x1.6d1bb3782d1a4p-3, -0x1.6a0e50f994ff7p-3, -0x1.66ffa93d205acp-3, -0x1.63efe87c1ce3bp-3, -0x1.60df3a675814cp-3, -0x1.5dcdca2511299p-3, -0x1.5abbc24ef9305p-3, -0x1.57a94cf04adadp-3, -0x1.54969383f76bfp-3, -0x1.5183bef2e7e01p-3, -0x1.4e70f7924deb2p-3, -0x1.4b5e652213bf8p-3, -0x1.484c2ecb57449p-3, -0x1.453a7b1efdee3p-3, -0x1.4229701461352p-3, -0x1.3f1933080922cp-3, -0x1.3c09e8ba83e2ep-3, -0x1.38fbb54f49a74p-3, -0x1.35eebc4bbe72p-3, -0x1.32e320964659ap-3, -0x1.2fd9047569a23p-3, -0x1.2cd0898f14fb9p-3, -0x1.29c9d0e7eb587p-3, -0x1.26c4fae2aea2ep-3, -0x1.23c2273fb927ep-3, -0x1.20c1751c91667p-3, -0x1.1dc302f38e94bp-3, -0x1.1ac6ee9b8f9dep-3, -0x1.17cd5547cd653p-3, -0x1.14d65387b8779p-3, -0x1.11e20546f1213p-3, -0x1.0ef085cd50394p-3, -0x1.0c01efbf01856p-3, -0x1.09165d1cb2581p-3, -0x1.062de743d7ef4p-3, -0x1.0348a6eefbfacp-3, -0x1.0066b4362b714p-3, -0x1.fb104d1ece4ep-4, -0x1.f55a299e5d90dp-4, -0x1.efab2a523c9abp-4, -0x1.ea037a612bf4bp-4, -0x1.e46343b2eb782p-4, -0x1.decaaef1d4346p-4, -0x1.d939e38c8af5cp-4, -0x1.d3b107b7d4394p-4, -0x1.ce30407086087p-4, -0x1.c8b7b17d9d049p-4, -0x1.c3477d72587afp-4, -0x1.bddfc5b08ec51p-4, -0x1.b880aa6b036b3p-4, -0x1.b32a4aa7e3fa3p-4, -0x1.addcc44359f69p-4, -0x1.a89833f231eb3p-4, -0x1.a35cb544a0608p-4, -0x1.9e2a62a91324p-4, -0x1.9901556f22c17p-4, -0x1.93e1a5ca8be6cp-4, -0x1.8ecb6ad6489fp-4, -0x1.89beba97b3682p-4, -0x1.84bbaa01bfeb7p-4, -0x1.7fc24cf84331ap-4, -0x1.7ad2b6534c8dp-4, -0x1.75ecf7e28dff1p-4, -0x1.71112270d22ap-4, -0x1.6c3f45c77e91fp-4, -0x1.677770b227a41p-4, -0x1.62b9b102294f5p-4, -0x1.5e0613925081bp-4, -0x1.595ca44a8c087p-4, -0x1.54bd6e23a7a46p-4, -0x1.50287b2b10cb8p-4, -0x1.4b9dd486a1656p-4, -0x1.471d827872ccap-4, -0x1.42a78c62b7d9bp-4, -0x1.3e3bf8cb9bad6p-4, -0x1.39dacd6124b4ap-4, -0x1.35840efd1e2e9p-4, -0x1.3137c1a904dcbp-4, -0x1.2cf5e8a1f359cp-4, -0x1.28be865c95a66p-4, -0x1.24919c8919b8fp-4, -0x1.206f2c1725ad7p-4, -0x1.1c573539c8dcap-4, -0x1.1849b76b7266p-4, -0x1.1446b171e2a0dp-4, -0x1.104e21621cb96p-4, -0x1.0c6004a457138p-4, -0x1.087c57f7e7a11p-4, -0x1.04a317772ea31p-4, -0x1.00d43e9b7c50cp-4, -0x1.fa1f9081ea2d1p-5, -0x1.f2ab5d54db206p-5, -0x1.eb4bd70a8b9d8p-5, -0x1.e400efda76977p-5, -0x1.dcca98e07016fp-5, -0x1.d5a8c22433aaap-5, -0x1.ce9b5aa0e7ee4p-5, -0x1.c7a2504c8f12bp-5, -0x1.c0bd901f71101p-5, -0x1.b9ed061b6e459p-5, -0x1.b3309d5346226p-5, -0x1.ac883ff1cc919p-5, -0x1.a5f3d7410e27bp-5, -0x1.9f734bb160434p-5, -0x1.990684e061b13p-5, -0x1.92ad699fe5274p-5, -0x1.8c67dffccc9d3p-5, -0x1.8635cd45cb50bp-5, -0x1.80171612179a2p-5, -0x1.7a0b9e48047a1p-5, -0x1.741349238a43ep-5, -0x1.6e2df93cb4e43p-5, -0x1.685b908dfe1ap-5, -0x1.629bf07a9292dp-5, -0x1.5ceef9d48136dp-5, -0x1.57548ce2cd40ap-5, -0x1.51cc896773abp-5, -0x1.4c56cea54dc8fp-5, -0x1.46f33b65e6d95p-5, -0x1.41a1adff3249ep-5, -0x1.3c6204592e46ep-5, -0x1.37341bf36c9aap-5, -0x1.3217d1ea85bcep-5, -0x1.2d0d02fd6e54ap-5, -0x1.28138b92bb219p-5, -0x1.232b47bdc7b2p-5, -0x1.1e541343c7fc6p-5, -0x1.198dc9a0bdd32p-5, -0x1.14d8460c5b586p-5, -0x1.1033637ec6217p-5, -0x1.0b9efcb54976cp-5, -0x1.071aec36e943dp-5, -0x1.02a70c58e2ba9p-5, -0x1.fc866e861d6a7p-6, -0x1.f3de8de86500fp-6, -0x1.eb562a8c684b2p-6, -0x1.e2ecf7e46cdb1p-6, -0x1.daa2a92943c96p-6, -0x1.d276f1621dcf1p-6, -0x1.ca69836c3e4d1p-6, -0x1.c27a120273eb4p-6, -0x1.baa84fc470258p-6, -0x1.b2f3ef3de036fp-6, -0x1.ab5ca2ed64f35p-6, -0x1.a3e21d4b5a11fp-6, -0x1.9c8410d06b829p-6, -0x1.95422ffc06decp-6, -0x1.8e1c2d5a9760bp-6, -0x1.8711bb8b9bd9bp-6, -0x1.80228d479324bp-6, -0x1.794e5565b80a7p-6, -0x1.7294c6e193a19p-6, -0x1.6bf594e06b16bp-6, -0x1.657072b6806bep-6, -0x1.5f0513ec28fecp-6, -0x1.58b32c42be0fcp-6, -0x1.527a6fb96478p-6, -0x1.4c5a9291afc8bp-6, -0x1.4653495419146p-6, -0x1.406448d4528a4p-6, -0x1.3a8d46357b65bp-6, -0x1.34cdf6ee21347p-6, -0x1.2f2610cc2b4bcp-6, -0x1.299549f897cc4p-6, -0x1.241b58fb1a63ap-6, -0x1.1eb7f4bd950e5p-6, -0x1.196ad48f734bap-6, -0x1.1433b028e0b9ap-6, -0x1.0f123fadd9b2p-6, -0x1.0a063bb1299adp-6, -0x1.050f5d37368cdp-6, -0x1.002d5db8be32fp-6, -0x1.f6bfee4ad6835p-7, -0x1.ed4dc7cc99583p-7, -0x1.e403bdc068705p-7, -0x1.dae146ebe52f3p-7, -0x1.d1e5db14f9f9p-7, -0x1.c910f305dac41p-7, -0x1.c0620890ec556p-7, -0x1.b7d89694543b6p-7, -0x1.af7418fd7243ap-7, -0x1.a7340ccc1392ap-7, -0x1.9f17f0157e538p-7, -0x1.971f420743b33p-7, -0x1.8f4982e9ea74dp-7, -0x1.8796342365721p-7, -0x1.8004d8395d136p-7, -0x1.7894f2d35869p-7, -0x1.714608bc9fe5cp-7, -0x1.6a179fe60dcdfp-7, -0x1.63093f67b0354p-7, -0x1.5c1a6f823f5afp-7, -0x1.554ab9a066fd6p-7, -0x1.4e99a857f4effp-7, -0x1.4806c76ae1b16p-7, -0x1.4191a3c82897ap-7, -0x1.3b39cb8c88c39p-7, -0x1.34fece031fccap-7, -0x1.2ee03ba5e49ep-7, -0x1.28dda61dff6c6p-7, -0x1.22f6a04400e18p-7, -0x1.1d2abe2001a29p-7, -0x1.177994e9a0c3dp-7, -0x1.11e2bb07dea0fp-7, -0x1.0c65c810e7aa4p-7, -0x1.070254c9bdfb1p-7, -0x1.01b7fb25c7a25p-7, -0x1.f90cac8c8e359p-8, -0x1.eeda04f3732c6p-8, -0x1.e4d73a764327dp-8, -0x1.db038a625bb95p-8, -0x1.d15e345ab9f2bp-8, -0x1.c7e67a55f824ep-8, -0x1.be9ba09c3f3c3p-8, -0x1.b57cedc4e8bc6p-8, -0x1.ac89aab4280e1p-8, -0x1.a3c1229869c52p-8, -0x1.9b22a2e7a9e52p-8, -0x1.92ad7b5c96eb8p-8, -0x1.8a60fdf3a1b58p-8, -0x1.823c7ee7e2558p-8, -0x1.7a3f54afe19afp-8, -0x1.7268d7fa5a27fp-8, -0x1.6ab863aab1c0ep-8, -0x1.632d54d59101dp-8, -0x1.5bc70abd2bfbep-8, -0x1.5484e6cd9ece8p-8, -0x1.4d664c9917debp-8, -0x1.466aa1d3f48b8p-8, -0x1.3f914e50d17f9p-8, -0x1.38d9bbfc766b8p-8, -0x1.324356d9c9a21p-8, -0x1.2bcd8cfd93d9fp-8, -0x1.2577ce8a43182p-8, -0x1.1f418dabae29bp-8, -0x1.192a3e92a40b3p-8, -0x1.133157708e2c6p-8, -0x1.0d565072fd06ap-8, -0x1.0798a3bf1f4f8p-8, -0x1.01f7cd6d3ecc9p-8, -0x1.f8e6970840e21p-9, -0x1.ee153be8d679cp-9, -0x1.e37a8d2803328p-9, -0x1.d91592329943fp-9, -0x1.cee5562d19002p-9, -0x1.c4e8e7ea2fc1bp-9, -0x1.bb1f59e12dd8p-9, -0x1.b187c2248575bp-9, -0x1.a8213a583289bp-9, -0x1.9eeadfa817e6bp-9, -0x1.95e3d2be5909bp-9, -0x1.8d0b37b9b7411p-9, -0x1.84603623f2c5p-9, -0x1.7be1f8e80857dp-9, -0x1.738fae4889ec9p-9, -0x1.6b6887d5f35cap-9, -0x1.636bba64fe8cdp-9, -0x1.5b987e04f0d1bp-9, -0x1.53ee0df5ebb42p-9, -0x1.4c6ba89f5049dp-9, -0x1.45108f8620dd9p-9, -0x1.3ddc07435634ap-9, -0x1.36cd577a626e1p-9, -0x1.2fe3cacf79558p-9, -0x1.291eaede37d99p-9, -0x1.227d54300ac53p-9, -0x1.1bff0e32b61f6p-9, -0x1.15a3332ef820dp-9, -0x1.0f691c3f1d868p-9, -0x1.09502545b9eb7p-9, -0x1.0357ace447edap-9, -0x1.fafe28e4033d9p-10, -0x1.ef8b7fe5363ccp-10, -0x1.e4562c1a74015p-10, -0x1.d95d00068a9aap-10, -0x1.ce9ed34ed5f25p-10, -0x1.c41a82a9487f3p-10, -0x1.b9ceefcaa221ap-10, -0x1.afbb0154c5664p-10, -0x1.a5dda2c50185ep-10, -0x1.9c35c462ccfd3p-10, -0x1.92c25b2e6abf8p-10, -0x1.898260cf9bcc4p-10, -0x1.8074d384aad6ep-10, -0x1.7798b611b5db6p-10, -0x1.6eed0faf95bfp-10, -0x1.6670ebfb80d6cp-10, -0x1.5e235ae65fbe7p-10, -0x1.560370a4bd8f7p-10, -0x1.4e10459e40beap-10, -0x1.4648f65e0aca1p-10, -0x1.3eaca3827805dp-10, -0x1.373a71ad9ecfbp-10, -0x1.2ff18975af3cfp-10, -0x1.28d117558c332p-10, -0x1.21d84b9d7e672p-10, -0x1.1b065a6421e74p-10, -0x1.145a7b776b4aap-10, -0x1.0dd3ea4dee2e2p-10, -0x1.0771e5f81f2fdp-10, -0x1.0133b111fcb6ap-10, -0x1.f631236957205p-11, -0x1.ea3fa2d085b1fp-11, -0x1.de917a2bda3f5p-11, -0x1.d32549f3ef41cp-11, -0x1.c7f9b92c6f10dp-11, -0x1.bd0d7548e0de6p-11, -0x1.b25f32122028ap-11, -0x1.a7eda98bf98dap-11, -0x1.9db79bdadb35ep-11, -0x1.93bbcf2a5c848p-11, -0x1.89f90f9385d3fp-11, -0x1.806e2f0413b99p-11, -0x1.771a05251f5c8p-11, -0x1.6dfb6f435aff4p-11, -0x1.6511503624d93p-11, -0x1.5c5a90482c55dp-11, -0x1.53d61d1f976c7p-11, -0x1.4b82e9a6e9a05p-11, -0x1.435fedf64fe1ap-11, -0x1.3b6c273c6552dp-11, -0x1.33a697a87836ap-11, -0x1.2c0e465439589p-11, -0x1.24a23f2e1b8dp-11, -0x1.1d6192e3dbb95p-11, -0x1.164b56cd7732cp-11, -0x1.0f5ea4d82c79p-11, -0x1.089a9b7236638p-11, -0x1.01fe5d76583f4p-11, -0x1.f71224303a543p-12, -0x1.ea73c99f9d667p-12, -0x1.de200a8f6314ep-12, -0x1.d2154e907f5c4p-12, -0x1.c652054bc6693p-12, -0x1.bad4a65c5e4f8p-12, -0x1.af9bb12b142fap-12, -0x1.a4a5accaefc44p-12, -0x1.99f127d528686p-12, -0x1.8f7cb846b37e7p-12, -0x1.8546fb5db029dp-12, -0x1.7b4e9577d1094p-12, -0x1.719231f062dc7p-12, -0x1.68108300b4f41p-12, -0x1.5ec8419e42f81p-12, -0x1.55b82d5c87e1ep-12, -0x1.4cdf0c4c5d9bfp-12, -0x1.443baade2af48p-12, -0x1.3bccdbc30766ap-12, -0x1.339177cf05dfep-12, -0x1.2b885ddc0306dp-12, -0x1.23b072acd1a21p-12, -0x1.1c08a0d080aa9p-12, -0x1.148fd8870a8e9p-12, -0x1.0d450fa505198p-12, -0x1.062741799893cp-12, -0x1.fe6add6584f7cp-13, -0x1.f0dd3a892c9f8p-13, -0x1.e3a3b09c53383p-13, -0x1.d6bc6002567b7p-13, -0x1.ca257311de0cdp-13, -0x1.bddd1de39ecd2p-13, -0x1.b1e19e224b04dp-13, -0x1.a6313adbf20cdp-13, -0x1.9aca4452d1a73p-13, -0x1.8fab13d07e521p-13, -0x1.84d20b7864f8cp-13, -0x1.7a3d961c0f00cp-13, -0x1.6fec2710254afp-13, -0x1.65dc3a0143775p-13, -0x1.5c0c52cac1c37p-13, -0x1.527afd4d398d5p-13, -0x1.4926cd46b2fa5p-13, -0x1.400e5e2a3c328p-13, -0x1.373052f9a7d97p-13, -0x1.2e8b561f8ffbbp-13, -0x1.261e1948799afp-13, -0x1.1de7553f97f88p-13, -0x1.15e5c9c96420cp-13, -0x1.0e183d80e49dap-13, -0x1.067d7db3bd821p-13, -0x1.fe28bc825d865p-14, -0x1.efb772eeab37cp-14, -0x1.e1a4dfe50bbddp-14, -0x1.d3eed0fa6898bp-14, -0x1.c6931fdece9d3p-14, -0x1.b98fb21ff2c6ap-14, -0x1.ace278ebdcdd5p-14, -0x1.a08970d3c2083p-14, -0x1.9482a19158c12p-14, -0x1.88cc1dce2dd64p-14, -0x1.7d6402e7e9caep-14, -0x1.724878bb031d4p-14, -0x1.6777b16aaa6c4p-14, -0x1.5cefe92b21c3ep-14, -0x1.52af660d86a72p-14, -0x1.48b477cb24d7ap-14, -0x1.3efd77933f711p-14, -0x1.3588c7d963a51p-14, -0x1.2c54d4241dd37p-14, -0x1.236010dd606bbp-14, -0x1.1aa8fb22c97aap-14, -0x1.122e1898a1048p-14, -0x1.09edf73bdd82ap-14, -0x1.01e72d359dd15p-14, -0x1.f430b161ca665p-15, -0x1.e5003f5b7d8d7p-15, -0x1.d63a5fb32fb4fp-15, -0x1.c7dc7cca82f2p-15, -0x1.b9e40fb87d5ddp-15, -0x1.ac4e9ffd83c5p-15, -0x1.9f19c332d141ap-15, -0x1.92431cc19b7bdp-15, -0x1.85c85d95a22d9p-15, -0x1.79a743d7ad97ap-15, -0x1.6ddd9aa3b68f1p-15, -0x1.626939c3f7f15p-15, -0x1.5748056badf3ap-15, -0x1.4c77edf574781p-15, -0x1.41f6ef9ed07b7p-15, -0x1.37c31249ceae7p-15, -0x1.2dda693d53b4dp-15, -0x1.243b12e548ba3p-15, -0x1.1ae3389982ec5p-15, -0x1.11d10e5e2f1c5p-15, -0x1.0902d2abbf26ep-15, -0x1.0076ce3528d13p-15, -0x1.f056a76191184p-16, -0x1.e03d7f3eb1913p-16, -0x1.d09ef0325928bp-16, -0x1.c177d92d220a3p-16, -0x1.b2c52b7bc39d5p-16, -0x1.a483ea624541ap-16, -0x1.96b12ab6886d6p-16, -0x1.894a1281d3971p-16, -0x1.7c4bd89f76354p-16, -0x1.6fb3c46209602p-16, -0x1.637f2d376725bp-16, -0x1.57ab7a4dcfc9bp-16, -0x1.4c36223e2fe92p-16, -0x1.411caab6549a8p-16, -0x1.365ca826044dep-16, -0x1.2bf3bd69591dep-16, -0x1.21df9b7ce6bafp-16, -0x1.181e012c18ff4p-16, -0x1.0eacbac37710dp-16, -0x1.0589a1c7e7b2cp-16, -0x1.f9653955452d7p-17, -0x1.e84b3d0205447p-17, -0x1.d7c14d7face07p-17, -0x1.c7c381e329f43p-17, -0x1.b84e08ee2853dp-17, -0x1.a95d2883d440fp-17, -0x1.9aed3d2a9561dp-17, -0x1.8cfab9881a276p-17, -0x1.7f8225e97c3cbp-17, -0x1.72801fc58e7dp-17, -0x1.65f1594697cbp-17, -0x1.59d298d468b24p-17, -0x1.4e20b8a3af9d8p-17, -0x1.42d8a643e983ep-17, -0x1.37f76232522f8p-17, -0x1.2d79ff6de42ccp-17, -0x1.235da30f40297p-17, -0x1.199f83e018ad8p-17, -0x1.103ce9f793569p-17, -0x1.07332e59124fbp-17, -0x1.fcff751f179b1p-18, -0x1.ec4010a7a8019p-18, -0x1.dc23425a3b594p-18, -0x1.cca43c2c7fa7bp-18, -0x1.bdbe4e5395845p-18, -0x1.af6ce685f3886p-18, -0x1.a1ab8f65a7f4dp-18, -0x1.9475efc8d9c63p-18, -0x1.87c7ca254b716p-18, -0x1.7b9cfbe9e091ap-18, -0x1.6ff17ce287f45p-18, -0x1.64c15ea47683fp-18, -0x1.5a08cbf6e2f3ap-18, -0x1.4fc40842bb95cp-18, -0x1.45ef6f009f2a9p-18, -0x1.3c877332dbfc2p-18, -0x1.33889edb67b07p-18, -0x1.2aef9272b2bd3p-18, -0x1.22b9046b52428p-18, -0x1.1ae1c0abc98a8p-18, -0x1.1366a8170e73ep-18, -0x1.0c44b00ed1edcp-18, -0x1.0578e1fe9260ep-18, -0x1.fe00b5c28a4cfp-19, -0x1.f1b095b4c7cc4p-19, -0x1.e5fbe96f838e2p-19, -0x1.dadd5b1d598d4p-19, -0x1.d04fb8971b77fp-19, -0x1.c64df29687a4bp-19, -0x1.bcd31be5d8679p-19, -0x1.b3da689a97708p-19, -0x1.ab5f2d509eb35p-19, -0x1.a35cde6a22db3p-19, -0x1.9bcf0f5009d5ap-19, -0x1.94b171c31f0e4p-19, -0x1.8dffd5234fad2p-19, -0x1.87b625bce8d3cp-19, -0x1.81d06c1fbedbbp-19, -0x1.7c4acc7c6eca3p-19, -0x1.772185f4fa5c9p-19, -0x1.7250f20745eb8p-19, -0x1.6dd583e740a95p-19, -0x1.69abc7ed265cap-19, -0x1.65d062f15481dp-19, -0x1.624011ce97adp-19, -0x1.5ef7a8bff5096p-19, -0x1.5bf412d8ee729p-19, -0x1.59325180b4878p-19, -0x1.56af7be77390fp-19, -0x1.5468be82a944bp-19, -0x1.525b5a8d25974p-19, -0x1.5084a58885b58p-19, -0x1.4ee208c43352ep-19, -0x1.4d7100e5b8141p-19, -0x1.4c2f1d6eb162dp-19, -0x1.4b1a004c3a8b5p-19, -0x1.4a2f5d6482c3dp-19, -0x1.496cfa2d7e694p-19, -0x1.48d0ad3c1401ap-19, -0x1.48585ddd09e5ap-19, -0x1.480203adc09c1p-19, -0x1.47cba6382216ap-19, -0x1.47b35c935ccacp-19, -0x1.47b74cf8d87b3p-19, -0x1.47d5ac71fde7bp-19, -0x1.480cbe776e84fp-19, -0x1.485ad4951e8bdp-19, -0x1.48be4e12f1af6p-19, -0x1.493597a3e8354p-19, -0x1.49bf2b0af7d39p-19, -0x1.4a598ecc5333bp-19, -0x1.4b0355def4e62p-19, -0x1.4bbb1f59476bap-19, -0x1.4c7f962530089p-19, -0x1.4d4f70b97a2fp-19, -0x1.4e2970c9c23e7p-19, -0x1.4f0c63042baa1p-19, -0x1.4ff71ec70f75fp-19, -0x1.50e885df15839p-19, -0x1.51df8441d7d9ap-19, -0x1.52db0fcdfaaf2p-19, -0x1.53da280a1665cp-19, -0x1.54dbd5e651cfdp-19, -0x1.55df2b7e6c4b5p-19, -0x1.56e343dbeb071p-19, -0x1.57e742c2a16c7p-19, -0x1.58ea546f2580ap-19, -0x1.59ebad61a10b6p-19, -0x1.5aea8a27bc276p-19, -0x1.5be62f27ae65bp-19, -0x1.5cdde86a78eb7p-19, -0x1.5dd1096729289p-19, -0x1.5ebeecd5413dfp-19, -0x1.5fa6f478d9374p-19, -0x1.608888f2cb97dp-19, -0x1.616319912150dp-19, -0x1.62361c2522e6cp-19, -0x1.63010cd242c0bp-19, -0x1.63c36de54fb03p-19, -0x1.647cc7a899cbp-19, -0x1.652ca83c0dd6ep-19, -0x1.65d2a369b12eep-19, -0x1.666e527fdf18p-19, -0x1.66ff542a3e13dp-19, -0x1.67854c490e13ep-19, -0x1.67ffe3cf47ap-19, -0x1.686ec89e7e8eap-19, -0x1.68d1ad60c03c3p-19, -0x1.69284966ddec6p-19, -0x1.69725886b853cp-19, -0x1.69af9afafa553p-19, -0x1.69dfd5421865ep-19, -0x1.6a02cffeaf96p-19, -0x1.6a1857d892afep-19, -0x1.6a203d5f43aaap-19, -0x1.6a1a54eb35d27p-19, -0x1.6a067681d74b2p-19, -0x1.69e47db938937p-19, -0x1.69b4499cb5b5ap-19, -0x1.6975bc923f25dp-19, -0x1.6928bc4019615p-19, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.46644370325d4p-8, -0x1.44c2807c6a367p-7, -0x1.e35ad54e4a997p-7, -0x1.3f041ad456364p-6, -0x1.8a1d4fc1a6438p-6, -0x1.d2de48fc48b87p-6, -0x1.0ca984a3a0e4ep-5, -0x1.2ed3175a63611p-5, -0x1.500bfc63634d8p-5, -0x1.707abd0ce2bf2p-5, -0x1.9048668640f1dp-5, -0x1.af9d6883ce0b7p-5, -0x1.ce9f4f6c65e04p-5, -0x1.ed6f4ecb5fa55p-5, -0x1.0614bdbb3541dp-4, -0x1.157245f00d894p-4, -0x1.24d8faa08de27p-4, -0x1.344f20fdf15c8p-4, -0x1.43d8c2e49f3d2p-4, -0x1.5377ee51efcecp-4, -0x1.632cf45f15587p-4, -0x1.72f6a4bc756dcp-4, -0x1.82d2849d1e83fp-4, -0x1.92bd012ec971fp-4, -0x1.a2b19e4b4a821p-4, -0x1.b2ab22336ca97p-4, -0x1.c2a3bf0397b2bp-4, -0x1.d2953a528a4b5p-4, -0x1.e279132289d17p-4, -0x1.f248a60d94badp-4, -0x1.00fea7b2fbc7dp-3, -0x1.08c845747544fp-3, -0x1.107e084c21afdp-3, -0x1.181cf72ba3affp-3, -0x1.1fa24efceea91p-3, -0x1.270b8bc7d9e9bp-3, -0x1.2e566fe9cb894p-3, -0x1.358109629a841p-3, -0x1.3c89b548327f4p-3, -0x1.436f217e8bfe7p-3, -0x1.4a304cdb4df0bp-3, -0x1.50cc85e36b77p-3, -0x1.5743685549d56p-3, -0x1.5d94d9b3f19dbp-3, -0x1.63c105074e9d3p-3, -0x1.69c85603708b1p-3, -0x1.6fab73c5428cbp-3, -0x1.756b3b4e89871p-3, -0x1.7b08b9e5f336p-3, -0x1.8085277a72927p-3, -0x1.85e1e123ae979p-3, -0x1.8b2063d3ec496p-3, -0x1.9042474af5a98p-3, -0x1.95493954daecdp-3, -0x1.9a36f95b86ad2p-3, -0x1.9f0d544eaaaf2p-3, -0x1.a3ce20e2b2863p-3, -0x1.a87b3c252310ep-3, -0x1.ad16866310b4p-3, -0x1.b1a1e05d0719cp-3, -0x1.b61f28c2f9f2cp-3, -0x1.ba9039f239a65p-3, -0x1.bef6e7ef57ea3p-3, -0x1.c354fe95f3aap-3, -0x1.c7ac3ff890822p-3, -0x1.cbfe62eb2acf7p-3, -0x1.d04d11b39af76p-3, -0x1.d499e8db7d46ep-3, -0x1.d8e6761fe082dp-3, -0x1.dd34377b9652cp-3, -0x1.e1849a499a9c5p-3, -0x1.e5d8fa7d73f8cp-3, -0x1.ea32a1f01308dp-3, -0x1.ee92c7bff15b1p-3, -0x1.f2fa8fc3b72ccp-3, -0x1.f76b0a0eda67p-3, -0x1.fbe53287fdabap-3, -0x1.0034f84875b0ep-2, -0x1.027d0b601ac6dp-2, -0x1.04cb31564bbcep-2, -0x1.071fbe6514f4fp-2, -0x1.097afc2cc3deep-2, -0x1.0bdd29b47a4e2p-2, -0x1.0e467b73b8b6p-2, -0x1.10b71b64d761fp-2, -0x1.132f29205213p-2, -0x1.15aeba00b5323p-2, -0x1.1835d94efd163p-2, -0x1.1ac48877135dep-2, -0x1.1d5abf441dd7p-2, -0x1.1ff86c243250ap-2, -0x1.229d74730327bp-2, -0x1.2549b4cb017e1p-2, -0x1.27fd015c735d5p-2, -0x1.2ab72649ee669p-2, -0x1.2d77e8099a0a5p-2, -0x1.303f03caab3c6p-2, -0x1.330c2fde6efcdp-2, -0x1.35df1c244cdcbp-2, -0x1.38b772782015bp-2, -0x1.3b94d72247ff6p-2, -0x1.3e76e948d9073p-2, -0x1.415d4361527aep-2, -0x1.44477ba24cd88p-2, -0x1.4735247495aaap-2, -0x1.4a25cce331ea3p-2, -0x1.4d190109cfb76p-2, -0x1.500e4a8130392p-2, -0x1.530530c9247b1p-2, -0x1.55fd39afb57fdp-2, -0x1.58f5e9b5293dbp-2, -0x1.5beec46c8de16p-2, -0x1.5ee74cd88b929p-2, -0x1.61df05c442aa8p-2, -0x1.64d572180045bp-2, -0x1.67ca1529a8339p-2, -0x1.6abc7308aaecep-2, -0x1.6dac10c5790d8p-2, -0x1.709874b461d88p-2, -0x1.738126abcf24cp-2, -0x1.7665b03dea20ap-2, -0x1.79459ceda4f88p-2, -0x1.7c207a5f35af6p-2, -0x1.7ef5d8841c8e3p-2, -0x1.81c549c2c209p-2, -0x1.848e6319cf496p-2, -0x1.8750bc3f583cdp-2, -0x1.8a0befbc094a8p-2, -0x1.8cbf9b0268f5ep-2, -0x1.8f6b5e826c52ep-2, -0x1.920eddb9759acp-2, -0x1.94a9bf3efa035p-2, -0x1.973baccdefd5fp-2, -0x1.99c4534b3b4d7p-2, -0x1.9c4362c946a9p-2, -0x1.9eb88e88f6b3cp-2, -0x1.a1238cf829801p-2, -0x1.a38417adf108ap-2, -0x1.a5d9eb64b5b2p-2, -0x1.a824c7f274931p-2, -0x1.aa64703f3fc6ep-2, -0x1.ac98aa3a2e857p-2, -0x1.aec13eccee468p-2, -0x1.b0ddf9ce15781p-2, -0x1.b2eea9f26192bp-2, -0x1.b4f320bd0b33bp-2, -0x1.b6eb326f4f064p-2, -0x1.b8d6b5f751c02p-2, -0x1.bab584de7ae5bp-2, -0x1.bc877b376c28ap-2, -0x1.be4c778baa7e2p-2, -0x1.c0045ac919773p-2, -0x1.c1af082f5df8p-2, -0x1.c34c653d42b1dp-2, -0x1.c4dc599e30677p-2, -0x1.c65ecf17cea7bp-2, -0x1.c7d3b177df069p-2, -0x1.c93aee8261c8fp-2, -0x1.ca9475e013d7dp-2, -0x1.cbe0390d4c24p-2, -0x1.cd1e2b49511a6p-2, -0x1.ce4e41861c0bfp-2, -0x1.cf707258a6af5p-2, -0x1.d084b5e9b9efp-2, -0x1.d18b05e74ba84p-2, -0x1.d2835d766d1b7p-2, -0x1.d36db925cf55dp-2, -0x1.d44a16e0d61a7p-2, -0x1.d51875e34ca44p-2, -0x1.d5d8d6ada7958p-2, -0x1.d68b3af9e3e9ap-2, -0x1.d72fa5b0f5b86p-2, -0x1.d7c61ae0ccf2p-2, -0x1.d84e9fb2e7b93p-2, -0x1.d8c93a63733c8p-2, -0x1.d935f238f0f14p-2, -0x1.d994cf7c66583p-2, -0x1.d9e5db7203817p-2, -0x1.da2920524ca08p-2, -0x1.da5ea943b123p-2, -0x1.da86825497c4p-2, -0x1.daa0b875cf577p-2, -0x1.daad597568b14p-2, -0x1.daac73f9e883bp-2, -0x1.da9e177dd3d65p-2, -0x1.da82544b8e4b4p-2, -0x1.da593b798409cp-2, -0x1.da22dee695a11p-2, -0x1.d9df5136c8171p-2, -0x1.d98ea5d02a9eep-2, -0x1.d930f0d7f3b95p-2, -0x1.d8c6472fc7ad7p-2, -0x1.d84ebe732cbe4p-2, -0x1.d7ca6cf51e295p-2, -0x1.d73969bdbfb1ap-2, -0x1.d69bcc882c6eap-2, -0x1.d5f1adc0541fp-2, -0x1.d53b2680ed979p-2, -0x1.d4785091734f9p-2, -0x1.d3a9466426869p-2, -0x1.d2ce2314165eap-2, -0x1.d1e702632a7cp-2, -0x1.d0f400b82386ep-2, -0x1.cff53b1c9c1ep-2, -0x1.ceeacf3afbb5dp-2, -0x1.cdd4db5c603c1p-2, -0x1.ccb37e6678561p-2, -0x1.cb86d7d94ce8dp-2, -0x1.ca4f07ccf7471p-2, -0x1.c90c2eef4638dp-2, -0x1.c7be6e81482dep-2, -0x1.c665e854c2178p-2, -0x1.c502bec98d2fcp-2, -0x1.c39514cad7b9fp-2, -0x1.c21d0dcc52da5p-2, -0x1.c09acdc73e8f6p-2, -0x1.bf0e79375f3dep-2, -0x1.bd783517d5546p-2, -0x1.bbd826dfdc4dcp-2, -0x1.ba2e747f6a094p-2, -0x1.b87b445bb7b4ap-2, -0x1.b6bebd4badaefp-2, -0x1.b4f906943497fp-2, -0x1.b32a47e46e9fp-2, -0x1.b152a951d58dbp-2, -0x1.af72535442d55p-2, -0x1.ad896ec1dfdbcp-2, -0x1.ab9824cafcc69p-2, -0x1.a99e9ef5d7006p-2, -0x1.a79d071a48df7p-2, -0x1.a593875d6510ap-2, -0x1.a3824a2d037fdp-2, -0x1.a1697a3b3ca82p-2, -0x1.9f494279d34c5p-2, -0x1.9d21ce1594125p-2, -0x1.9af34871a69acp-2, -0x1.98bddd22d40a8p-2, -0x1.9681b7eac457dp-2, -0x1.943f04b3341d6p-2, -0x1.91f5ef892282fp-2, -0x1.8fa6a497fba0ep-2, -0x1.8d515024bd9dp-2, -0x1.8af61e891d56cp-2, -0x1.88953c2ea950bp-2, -0x1.862ed589ec29fp-2, -0x1.83c31715945ep-2, -0x1.81522d4d9c057p-2, -0x1.7edc44aa78808p-2, -0x1.7c61899c4ef85p-2, -0x1.79e228862f797p-2, -0x1.775e4db95a9bep-2, -0x1.74d6257091b9ap-2, -0x1.7249dbcb6f101p-2, -0x1.6fb99cc9cf07dp-2, -0x1.6d2594474329fp-2, -0x1.6a8dedf6955adp-2, -0x1.67f2d55d5c3c6p-2, -0x1.655475cf9ef45p-2, -0x1.62b2fa6b8a8a8p-2, -0x1.600e8e1538dedp-2, -0x1.5d675b7290b09p-2, -0x1.5abd8ce731152p-2, -0x1.58114c907c28bp-2, -0x1.5562c441ae802p-2, -0x1.52b21d8012c05p-2, -0x1.4fff817f4d666p-2, -0x1.4d4b191dbb082p-2, -0x1.4a950ce0ec0ccp-2, -0x1.47dd84f238951p-2, -0x1.4524a91b6a624p-2, -0x1.426aa0c385851p-2, -0x1.3faf92eba7ecp-2, -0x1.3cf3a62c03555p-2, -0x1.3a3700b0f6097p-2, -0x1.3779c83838421p-2, -0x1.34bc220e2da0dp-2, -0x1.31fe330b47cd9p-2, -0x1.2f401f918e05cp-2, -0x1.2c820b8a3b8aep-2, -0x1.29c41a6379556p-2, -0x1.27066f0e3771ap-2, -0x1.24492bfc1efecp-2, -0x1.218c731da0528p-2, -0x1.1ed065e01cd27p-2, -0x1.1c15252c2eb5cp-2, -0x1.195ad16409675p-2, -0x1.16a18a61f4bc7p-2, -0x1.13e96f76e846p-2, -0x1.11329f6939fc7p-2, -0x1.0e7d38736e57cp-2, -0x1.0bc958431f465p-2, -0x1.09171bf7fd173p-2, -0x1.0666a022ea379p-2, -0x1.03b800c53072bp-2, -0x1.010b594fce62cp-2, -0x1.fcc18945bbe4fp-3, -0x1.f770ba1a27015p-3, -0x1.f2247896a8a4cp-3, -0x1.ecdcf710c8a94p-3, -0x1.e79a66b95ac0ap-3, -0x1.e25cf79c302b7p-3, -0x1.dd24d8a000da5p-3, -0x1.d7f2378676dd3p-3, -0x1.d2c540ec69528p-3, -0x1.cd9e204a40adap-3, -0x1.c87cfff47e2ccp-3, -0x1.c362091c72cdfp-3, -0x1.be4d63d1126acp-3, -0x1.b93f36fff9d7bp-3, -0x1.b437a876893efp-3, -0x1.af36dce32edcp-3, -0x1.aa3cf7d6cebe8p-3, -0x1.a54a1bc64874dp-3, -0x1.a05e6a0c244bdp-3, -0x1.9b7a02ea55ab1p-3, -0x1.969d058c288bp-3, -0x1.91c790083c1c2p-3, -0x1.8cf9bf62a8892p-3, -0x1.8833af8f32cabp-3, -0x1.83757b73a107cp-3, -0x1.7ebf3cea2958fp-3, -0x1.7a110cc3f0616p-3, -0x1.756b02cba5cf1p-3, -0x1.70cd35c835173p-3, -0x1.6c37bb7f86073p-3, -0x1.67aaa8b956d7fp-3, -0x1.6326114225358p-3, -0x1.5eaa07ee2aa05p-3, -0x1.5a369e9c67c2dp-3, -0x1.55cbe639c07d2p-3, -0x1.5169eec428a78p-3, -0x1.4d10c74dda819p-3, -0x1.48c07e0099723p-3, -0x1.447920210ac4ap-3, -0x1.403aba120bc27p-3, -0x1.3c0557581b272p-3, -0x1.37d9029cc8bc3p-3, -0x1.33b5c5b22ea1fp-3, -0x1.2f9ba99672835p-3, -0x1.2b8ab677496cbp-3, -0x1.2782f3b58e1c2p-3, -0x1.238467e8c93ep-3, -0x1.1f8f18e2d16a7p-3, -0x1.1ba30bb364f93p-3, -0x1.17c044abc83cep-3, -0x1.13e6c76269042p-3, -0x1.101696b67db58p-3, -0x1.0c4fb4d3b35fp-3, -0x1.08922335cbf11p-3, -0x1.04dde2ac44631p-3, -0x1.0132f35e01015p-3, -0x1.fb22a999d044dp-4, -0x1.f3f20bb317a2fp-4, -0x1.ecd4098d8e4e4p-4, -0x1.e5c89e7ab583ep-4, -0x1.decfc49f127ccp-4, -0x1.d7e974f95e929p-4, -0x1.d115a769a2479p-4, -0x1.ca5452b85596p-4, -0x1.c3a56c9d7773ap-4, -0x1.bd08e9c7876d1p-4, -0x1.b67ebde28f165p-4, -0x1.b006db9f04c78p-4, -0x1.a9a134b8b01c1p-4, -0x1.a34db9fd805e9p-4, -0x1.9d0c5b544dd8dp-4, -0x1.96dd07c38b7b8p-4, -0x1.90bfad77f4d3fp-4, -0x1.8ab439cb1c57ap-4, -0x1.84ba9949f0027p-4, -0x1.7ed2b7bb2e201p-4, -0x1.78fc8025c3638p-4, -0x1.7337dcd71a0a5p-4, -0x1.6d84b769551f6p-4, -0x1.67e2f8c97781ep-4, -0x1.6252893d79dc5p-4, -0x1.5cd3506a479ffp-4, -0x1.57653559b00a2p-4, -0x1.52081e8038e79p-4, -0x1.4cbbf1c2e371p-4, -0x1.4780947cda4a3p-4, -0x1.4255eb8505d0fp-4, -0x1.3d3bdb3394a2ep-4, -0x1.3832476762e3cp-4, -0x1.3339138b52e94p-4, -0x1.2e50229b8e816p-4, -0x1.2977572ab078cp-4, -0x1.24ae9366d98bep-4, -0x1.1ff5b91eace47p-4, -0x1.1b4ca9c63a1d8p-4, -0x1.16b3467bc8d8cp-4, -0x1.1229700c9998ap-4, -0x1.0daf06f983f2p-4, -0x1.0943eb7b87e6ap-4, -0x1.04e7fd883feeep-4, -0x1.009b1cd646b32p-4, -0x1.f8ba51c2f5486p-5, -0x1.f05c01de6a85fp-5, -0x1.e81b0824ccdf9p-5, -0x1.dff7225f33779p-5, -0x1.d7f00e01d608ap-5, -0x1.d0058833b39c7p-5, -0x1.c8374dd62371fp-5, -0x1.c0851b8c3555fp-5, -0x1.b8eeadc1d8fb9p-5, -0x1.b173c0b2e8215p-5, -0x1.aa141072067ccp-5, -0x1.a2cf58ef4a69dp-5, -0x1.9ba555fecadbap-5, -0x1.9495c35ef66bp-5, -0x1.8da05cbec951ap-5, -0x1.86c4ddc3d9e0dp-5, -0x1.80030210362dp-5, -0x1.795a85481d7b5p-5, -0x1.72cb231796807p-5, -0x1.6c549737d7e1dp-5, -0x1.65f69d7487325p-5, -0x1.5fb0f1b0dc23cp-5, -0x1.59834fec9383ap-5, -0x1.536d7448c125fp-5, -0x1.4d6f1b0c7e464p-5, -0x1.478800a96f72ap-5, -0x1.41b7e1c02c349p-5, -0x1.3bfe7b2478fbfp-5, -0x1.365b89e166a78p-5, -0x1.30cecb3d51adcp-5, -0x1.2b57fcbdb8765p-5, -0x1.25f6dc2aeeddbp-5, -0x1.20ab2793b917fp-5, -0x1.1b749d50c094p-5, -0x1.1652fc07e9e83p-5, -0x1.114602af8b6eap-5, -0x1.0c4d709185456p-5, -0x1.0769054e3cce8p-5, -0x1.029880df7230ap-5, -0x1.fbb7473610f13p-6, -0x1.f2645c6b39a64p-6, -0x1.e937c38a31b36p-6, -0x1.e030ff8620e4ap-6, -0x1.d74f941e2e7bcp-6, -0x1.ce9305e1e9332p-6, -0x1.c5fada357b2dap-6, -0x1.bd869755ab3cbp-6, -0x1.b535c45bab7bbp-6, -0x1.ad07e940ba2dcp-6, -0x1.a4fc8ee1942acp-6, -0x1.9d133f01aa12dp-6, -0x1.954b844e3d95fp-6, -0x1.8da4ea6145bb3p-6, -0x1.861efdc41dad3p-6, -0x1.7eb94bf227908p-6, -0x1.7773635b197fcp-6, -0x1.704cd3655029ap-6, -0x1.69452c6fd135fp-6, -0x1.625bffd443d0ep-6, -0x1.5b90dfe8b3076p-6, -0x1.54e3600130786p-6, -0x1.4e53147155f42p-6, -0x1.47df928d9c2ep-6, -0x1.418870ac8fa7fp-6, -0x1.3b4d4627f6227p-6, -0x1.352dab5db7882p-6, -0x1.2f2939b0bdb37p-6, -0x1.293f8b89a3a6ep-6, -0x1.23703c575aea7p-6, -0x1.1dbae88fa32c5p-6, -0x1.181f2daf6cc4ep-6, -0x1.129caa3b1f156p-6, -0x1.0d32fdbec0a3bp-6, -0x1.07e1c8ce107p-6, -0x1.02a8ad047949ep-6, -0x1.fb0e9a09da71bp-7, -0x1.f0fa98f36cadcp-7, -0x1.e714a0285709ap-7, -0x1.dd5bfb1874648p-7, -0x1.d3cff7402108p-7, -0x1.ca6fe426bd421p-7, -0x1.c13b135dc52d7p-7, -0x1.b830d87f35bd9p-7, -0x1.af50892c02ae1p-7, -0x1.a6997d0a704c3p-7, -0x1.9e0b0dc42f53ep-7, -0x1.95a4970482a6ap-7, -0x1.8d657675fb74fp-7, -0x1.854d0bc074bc9p-7, -0x1.7d5ab8869455dp-7, -0x1.758de063871cdp-7, -0x1.6de5e8e852251p-7, -0x1.66623999417b1p-7, -0x1.5f023beb1e9ap-7, -0x1.57c55b406c834p-7, -0x1.50ab04e66cf21p-7, -0x1.49b2a8121a4d3p-7, -0x1.42dbb5dd1e14p-7, -0x1.3c25a142aadd4p-7, -0x1.358fdf1c1c128p-7, -0x1.2f19e61dc14cp-7, -0x1.28c32ed38a6e9p-7, -0x1.228b339d74501p-7, -0x1.1c7170ac166f3p-7, -0x1.167563fd11d85p-7, -0x1.10968d5787384p-7, -0x1.0ad46e4844e04p-7, -0x1.052e8a1e40c94p-7, -0x1.ff48cbcd52ebep-8, -0x1.f46b10d26f6bdp-8, -0x1.e9c2f448a74f5p-8, -0x1.df4f8a9256bfbp-8, -0x1.d50feb6fb697bp-8, -0x1.cb0331f6e51a7p-8, -0x1.c1287c8c03c68p-8, -0x1.b77eecd93eec6p-8, -0x1.ae05a7c6bb5f7p-8, -0x1.a4bbd572a3f62p-8, -0x1.9ba0a129021e5p-8, -0x1.92b3395b7c8d7p-8, -0x1.89f2cf9973aaap-8, -0x1.815e988790f53p-8, -0x1.78f5cbd7c7013p-8, -0x1.70b7a440e82f2p-8, -0x1.68a35f76960d2p-8, -0x1.60b83e2106383p-8, -0x1.58f583d4983b3p-8, -0x1.515a7709c778ep-8, -0x1.49e66114c46c1p-8, -0x1.42988e1d6c32ap-8, -0x1.3b704d16c8c05p-8, -0x1.346cefb7388bfp-8, -0x1.2d8dca6fd494cp-8, -0x1.26d23464884c5p-8, -0x1.20398763ba516p-8, -0x1.19c31fde4b04fp-8, -0x1.136e5cdf7277dp-8, -0x1.0d3aa00480cafp-8, -0x1.07274d750473dp-8, -0x1.0133cbdaa2418p-8, -0x1.f6bf08b22bd2fp-9, -0x1.eb53c50c92c35p-9, -0x1.e024a8c4cb80fp-9, -0x1.d530949fc56a8p-9, -0x1.ca766e178b23dp-9, -0x1.bff51f4b7c8b9p-9, -0x1.b5ab96f0ee965p-9, -0x1.ab98c8437f291p-9, -0x1.a1bbaaf63aefbp-9, -0x1.98133b23e0e46p-9, -0x1.8e9e7940256bbp-9, -0x1.855c6a086823dp-9, -0x1.7c4c1674e3dc6p-9, -0x1.736c8baa00e5fp-9, -0x1.6abcdae94d4e4p-9, -0x1.623c198347a86p-9, -0x1.59e960c892f58p-9, -0x1.51c3cdfbee75cp-9, -0x1.49ca824393c9fp-9, -0x1.41fca29b9b6abp-9, -0x1.3a5957c74f87ap-9, -0x1.32dfce4404768p-9, -0x1.2b8f363accf62p-9, -0x1.2466c3732bc57p-9, -0x1.1d65ad456977fp-9, -0x1.168b2e8d3498bp-9, -0x1.0fd6859c72381p-9, -0x1.0946f42e258d9p-9, -0x1.02dbbf594c57bp-9, -0x1.f9285f089471bp-10, -0x1.ecdf20af7eec1p-10, -0x1.e0da6164e29abp-10, -0x1.d518c53895da9p-10, -0x1.c998f6753c5abp-10, -0x1.be59a586ac1fp-10, -0x1.b35988e285763p-10, -0x1.a8975cf040732p-10, -0x1.9e11e3f1640f7p-10, -0x1.93c7e5ea151f4p-10, -0x1.89b8308a54e93p-10, -0x1.7fe19716ed8dep-10, -0x1.7642f25300902p-10, -0x1.6cdb2069bde59p-10, -0x1.63a904d807e3bp-10, -0x1.5aab885763504p-10, -0x1.51e198c7c8577p-10, -0x1.494a291ab102dp-10, -0x1.40e4313e29f0ap-10, -0x1.38aeae0826993p-10, -0x1.30a8a121abeb6p-10, -0x1.28d110f2f29c6p-10, -0x1.2127088fb67fep-10, -0x1.19a997a2a2724p-10, -0x1.1257d25aef363p-10, -0x1.0b30d15876004p-10, -0x1.0433b1994979dp-10, -0x1.fabf28cca02b5p-11, -0x1.ed673e83a7f66p-11, -0x1.e05df7a8f1c93p-11, -0x1.d3a1afb767aa4p-11, -0x1.c730ca30668bdp-11, -0x1.bb09b278221c7p-11, -0x1.af2adbb3a471ap-11, -0x1.a392c0a72b997p-11, -0x1.983fe39411da4p-11, -0x1.8d30ce183366ep-11, -0x1.8264110dca4afp-11, -0x1.77d8446a367fp-11, -0x1.6d8c071f932f3p-11, -0x1.637dfefd4212p-11, -0x1.59acd8906d833p-11, -0x1.501747073f46dp-11, -0x1.46bc0411c8326p-11, -0x1.3d99cfc55061bp-11, -0x1.34af707f37f46p-11, -0x1.2bfbb2c86e375p-11, -0x1.237d6939d28abp-11, -0x1.1b336c5fb2f96p-11, -0x1.131c9a9f5eea7p-11, -0x1.0b37d81be9fb2p-11, -0x1.03840e9be39ep-11, -0x1.f8005adf7587dp-12, -0x1.e95652ae5417dp-12, -0x1.db07f8d222e43p-12, -0x1.cd134bf46395p-12, -0x1.bf765508e3a39p-12, -0x1.b22f271f80e48p-12, -0x1.a53bdf32d7b07p-12, -0x1.989aa3fb20e7dp-12, -0x1.8c49a5bf16a91p-12, -0x1.80471e28be1f4p-12, -0x1.74915016ddbp-12, -0x1.692687733a56p-12, -0x1.5e05190648dd1p-12, -0x1.532b624e2ce4bp-12, -0x1.4897c95379ad2p-12, -0x1.3e48bc825a24bp-12, -0x1.343cb2811076ap-12, -0x1.2a722a083b907p-12, -0x1.20e7a9bdd38f2p-12, -0x1.179bc00c0a952p-12, -0x1.0e8d02fe22183p-12, -0x1.05ba101a5ef24p-12, -0x1.fa43187c0b381p-13, -0x1.e98446f287e39p-13, -0x1.d93511d9e1616p-13, -0x1.c952ed4cd2246p-13, -0x1.b9db5afeda579p-13, -0x1.aacbe9f762f9dp-13, -0x1.9c2236505f649p-13, -0x1.8ddbe8f71528ap-13, -0x1.7ff6b76a84d5fp-13, -0x1.7270637fd9b1ep-13, -0x1.6546bb2398433p-13, -0x1.5877981de0187p-13, -0x1.4c00dfd67c048p-13, -0x1.3fe0831d17677p-13, -0x1.34147deed0d34p-13, -0x1.289ad73da4abbp-13, -0x1.1d71a0bb01843p-13, -0x1.1296f6a0f4353p-13, -0x1.0808ff7c0c969p-13, -0x1.fb8bd7f404662p-14, -0x1.e797ed67406f2p-14, -0x1.d432c7f7a8df2p-14, -0x1.c159035f547dp-14, -0x1.af074e04bb999p-14, -0x1.9d3a68a32075p-14, -0x1.8bef25e7574e2p-14, -0x1.7b226a191d1c5p-14, -0x1.6ad12abb8917p-14, -0x1.5af86e3848341p-14, -0x1.4b954b893b0abp-14, -0x1.3ca4e9e05d0f1p-14, -0x1.2e248056338acp-14, -0x1.20115597ae44ep-14, -0x1.1268bf94ab03bp-14, -0x1.052823322425cp-14, -0x1.f099e7f3b5b4bp-15, -0x1.d7a967a5a183ep-15, -0x1.bf79e563151b4p-15, -0x1.a8069ca30ff8ap-15, -0x1.914ae3dc92e6bp-15, -0x1.7b422bf0f300bp-15, -0x1.65e7ffac6b102p-15, -0x1.51380334bd0b8p-15, -0x1.3d2df3867ff1cp-15, -0x1.29c5a5f8befbp-15, -0x1.16fb07afdd52dp-15, -0x1.04ca1d2d471cep-15, -0x1.e65e0391a5abp-16, -0x1.c44bce7f4aaa7p-16, -0x1.a3562a716e766p-16, -0x1.8375d1a4f0928p-16, -0x1.64a3a85a3be57p-16, -0x1.46d8bc0221706p-16, -0x1.2a0e425401057p-16, -0x1.0e3d987e5be09p-16, -0x1.e6c0849e85401p-17, -0x1.b2dfd2d8f74fap-17, -0x1.80ccb8f4014p-17, -0x1.507b1ccd4998fp-17, -0x1.21df2b28985fp-17, -0x1.e9daac92612c2p-18, -0x1.9334a8ece00b9p-18, -0x1.3fb63d0e67a94p-18, -0x1.de93b9cc95eefp-19, -0x1.43b4f8296168ep-19, -0x1.5d4e2ba8db9a4p-20, -0x1.f41e8044c9778p-23, 0x1.aa873424bd16cp-21, 0x1.de54b5d1214dap-20, 0x1.6e7d2e4e0c466p-19, 0x1.e8bed39274383p-19, 0x1.2f097df39b667p-18, 0x1.674e40dacf544p-18, 0x1.9d3eb6c184462p-18, 0x1.d0eb7d1c1a1cdp-18, 0x1.013266692ef03p-17, 0x1.18dd3e43a9e5ap-17, 0x1.2f7e0146cc09bp-17, 0x1.451c3b87e4ff8p-17, 0x1.59bf4b1720f3ap-17, 0x1.6d6e60ec7e01cp-17, 0x1.803081f454bc7p-17, 0x1.920c87f831d1ep-17, 0x1.a309229ee5d9dp-17, 0x1.b32cd83ee80f5p-17, 0x1.c27e06e20c6afp-17, 0x1.d102e516aac04p-17, 0x1.dec182d29cde3p-17, 0x1.ebbfca47461a9p-17, 0x1.f80380c0ac2bp-17, 0x1.01c923b6546eap-16, 0x1.0738ce14db66dp-16, 0x1.0c536d27ec9ddp-16, 0x1.111b9db719933p-16, 0x1.1593ec0ab2e9dp-16, 0x1.19bed446b5e48p-16, 0x1.1d9ec2c5399e7p-16, 0x1.2136147246b7cp-16, 0x1.248717248008cp-16, 0x1.279409f250b3cp-16, 0x1.2a5f1d862f4e2p-16, 0x1.2cea7471ec0bp-16, 0x1.2f38237db6e68p-16, 0x1.314a31fd38d1cp-16, 0x1.33229a14d9cb5p-16, 0x1.34c3490c3342dp-16, 0x1.362e1f955ad87p-16, 0x1.3764f21868db3p-16, 0x1.386988f6be0cap-16, 0x1.393da0d430712p-16, 0x1.39e2eada4a976p-16, 0x1.3a5b0cf972c46p-16, 0x1.3aa7a22d25b6p-16, 0x1.3aca3abbbc017p-16, 0x1.3ac45c723d322p-16, 0x1.3a9782e4b76f2p-16, 0x1.3a451fa871635p-16, 0x1.39ce9a90e4139p-16, 0x1.393551e6d9302p-16, 0x1.387a9aa21d728p-16, 0x1.379fc09f6a867p-16, 0x1.36a606d72cba2p-16, 0x1.358ea7930e821p-16, 0x1.345ad49f63a04p-16, 0x1.330bb7804e55ap-16, 0x1.31a2719ff2327p-16, 0x1.30201c81ff45bp-16, 0x1.2e85c9f107b61p-16, 0x1.2cd4842e79f95p-16, 0x1.2b0d4e1cc1b08p-16, 0x1.2931236ed0bdfp-16, 0x1.2740f8d2c4b7bp-16, 0x1.253dbc1a48494p-16, 0x1.23285465ec123p-16, 0x1.2101a24e09bc3p-16, 0x1.1eca8009dfa9cp-16, 0x1.1c83c1950c269p-16, 0x1.1a2e34d78c116p-16, 0x1.17caa1c9ad55ap-16, 0x1.1559ca98e0c62p-16, 0x1.12dc6bcb54adbp-16, 0x1.10533c61f27cp-16, 0x1.0dbeedfb1c1e8p-16, 0x1.0b202cf36ca01p-16, 0x1.0877a08700f7dp-16, 0x1.05c5eaf065018p-16, 0x1.030ba987904f2p-16, 0x1.004974e14c2f7p-16, 0x1.faffc1d8b55eap-17, 0x1.f55efa1ce4bd8p-17, 0x1.efb1a880f4d3bp-17, 0x1.e9f8da54d20a3p-17, 0x1.e435947dc1fe8p-17, 0x1.de68d3ab8c4eep-17, 0x1.d8938c8a0a81p-17, 0x1.d2b6abf7417a4p-17, 0x1.ccd31732941dbp-17, 0x1.c6e9ac0ef77d5p-17, 0x1.c0fb4121081f3p-17, 0x1.bb08a5ee9a47ep-17, 0x1.b512a31aab9c7p-17, }}, 
      {{-0x1.7530361dd649ap-3, -0x1.762709435cb22p-3, -0x1.77a7834798f72p-3, -0x1.79968800f2ebdp-3, -0x1.7bdae3d8dec09p-3, -0x1.7e5fbbe3254f6p-3, -0x1.811527a8ac9dap-3, -0x1.83efda005c403p-3, -0x1.86e8664734bacp-3, -0x1.89fa6e9481de4p-3, -0x1.8d23debb29b7cp-3, -0x1.9064413b2024p-3, -0x1.93bc304e5a481p-3, -0x1.972ce0eebc28p-3, -0x1.9ab7c4adf5b98p-3, -0x1.9e5e3f815bdd9p-3, -0x1.a2216f363d41cp-3, -0x1.a60202b2ccdf8p-3, -0x1.aa001f5b6ae5fp-3, -0x1.ae1b52f733894p-3, -0x1.b252905913e6bp-3, -0x1.b6a434f94eef8p-3, -0x1.bb0e159d75662p-3, -0x1.bf8d903210804p-3, -0x1.c41fa1129f8aap-3, -0x1.c8c0fa280703fp-3, -0x1.cd6e1a7dd33fep-3, -0x1.d223652e681a3p-3, -0x1.d6dd36c820cf7p-3, -0x1.db97f88ccd224p-3, -0x1.e05031271bf09p-3, -0x1.e50292a3755d7p-3, -0x1.e9ac05a36aafep-3, -0x1.ee49b1e308873p-3, -0x1.f2d9043f2272p-3, -0x1.f757b27b818c5p-3, -0x1.fbc3bd1115248p-3, -0x1.000db7a7ef1e1p-2, -0x1.022eaf0fdc984p-2, -0x1.044432d3a6138p-2, -0x1.064dd30d2fa79p-2, -0x1.084b3ff4cf625p-2, -0x1.0a3c47c2e4d65p-2, -0x1.0c20d47027721p-2, -0x1.0df8e965d3f49p-2, -0x1.0fc4a12b4d362p-2, -0x1.11842b1b990c9p-2, -0x1.1337c92a67a84p-2, -0x1.14dfcdbdfb027p-2, -0x1.167c99a16c0b6p-2, -0x1.180e9a114054cp-2, -0x1.199646e32fa5ap-2, -0x1.1b1420c91ebd7p-2, -0x1.1c88afaeba9f6p-2, -0x1.1df48130d9d11p-2, -0x1.1f58272d83795p-2, -0x1.20b4366b7c4dbp-2, -0x1.2209455837e96p-2, -0x1.2357eadb278ddp-2, -0x1.24a0bd3d851dbp-2, -0x1.25e45125cdd12p-2, -0x1.272338a657fb2p-2, -0x1.285e025e7f0ddp-2, -0x1.299538ae0b449p-2, -0x1.2ac960fa85c96p-2, -0x1.2bfafb06425bcp-2, -0x1.2d2a8058e9422p-2, -0x1.2e5863b957bd3p-2, -0x1.2f8510b8a003dp-2, -0x1.30b0eb4df6a3fp-2, -0x1.31dc4f833fe14p-2, -0x1.33079131f16b1p-2, -0x1.3432fbcfde6c7p-2, -0x1.355ed24b75e4dp-2, -0x1.368b4ef6ed959p-2, -0x1.37b8a381b8fdcp-2, -0x1.38e6f8ff9b969p-2, -0x1.3a166ffc9b65ap-2, -0x1.3b47209d036ddp-2, -0x1.3c791ac89bd99p-2, -0x1.3dac66602ec64p-2, -0x1.3ee1037c76c04p-2, -0x1.4016eab576f7ep-2, -0x1.414e0d7156badp-2, -0x1.42865639be774p-2, -0x1.43bfa916cb6eep-2, -0x1.44f9e3eea7c39p-2, -0x1.4634dee8da40fp-2, -0x1.47706cd4749f7p-2, -0x1.48ac5b9041b5cp-2, -0x1.49e8747425547p-2, -0x1.4b247cbaf7473p-2, -0x1.4c6035ec14e2ap-2, -0x1.4d9b5e4410132p-2, -0x1.4ed5b11bda125p-2, -0x1.500ee74de4f16p-2, -0x1.5146b798b7263p-2, -0x1.527cd6fe8aa1ap-2, -0x1.53b0f9219409bp-2, -0x1.54e2d09c9a218p-2, -0x1.56120f57a0aep-2, -0x1.573e66d86781cp-2, -0x1.5867888e90d46p-2, -0x1.598d261b533p-2, -0x1.5aaef194982bdp-2, -0x1.5bcc9dc382abdp-2, -0x1.5ce5de5e536aap-2, -0x1.5dfa683db3b6dp-2, -0x1.5f09f18d74e81p-2, -0x1.601431f8d1bd2p-2, -0x1.6118e2d251be7p-2, -0x1.6217bf3768975p-2, -0x1.6310842ff8fbdp-2, -0x1.6402f0c9ddd91p-2, -0x1.64eec630ab125p-2, -0x1.65d3c7c1ca4cp-2, -0x1.66b1bb1d2c106p-2, -0x1.67886832b947bp-2, -0x1.6857994cb6b85p-2, -0x1.691f1b174fc4bp-2, -0x1.69debca57a1a1p-2, -0x1.6a964f736404p-2, -0x1.6b45a7669e33ep-2, -0x1.6bec9acc3949cp-2, -0x1.6c8b0254f96c5p-2, -0x1.6d20b90fde624p-2, -0x1.6dad9c63212bcp-2, -0x1.6e318c03d7eb3p-2, -0x1.6eac69ec6894fp-2, -0x1.6f1e1a51f1197p-2, -0x1.6f868398cc9efp-2, -0x1.6fe58e4856c6ep-2, -0x1.703b24fe0edccp-2, -0x1.7087346039b75p-2, -0x1.70c9ab1021f6fp-2, -0x1.7102799c0d0fp-2, -0x1.71319270ff7ddp-2, -0x1.7156e9cc67f2fp-2, -0x1.717275adc3dc8p-2, -0x1.71842dc85207dp-2, -0x1.718c0b74df343p-2, -0x1.718a09a3c459p-2, -0x1.717e24cf18604p-2, -0x1.71685aed2991fp-2, -0x1.7148ab6342a42p-2, -0x1.711f16f8c9842p-2, -0x1.70eb9fcab7d78p-2, -0x1.70ae493f77c3ep-2, -0x1.706717fb264eep-2, -0x1.701611d443411p-2, -0x1.6fbb3dc8c7825p-2, -0x1.6f56a3f3b0029p-2, -0x1.6ee84d82ee3adp-2, -0x1.6e7044adcc594p-2, -0x1.6dee94abba19fp-2, -0x1.6d6349ab84ef6p-2, -0x1.6cce70caf785bp-2, -0x1.6c30180edbc9dp-2, -0x1.6b884e5b62fa1p-2, -0x1.6ad7236ce84fbp-2, -0x1.6a1ca7d10c7fdp-2, -0x1.6958ece02a845p-2, -0x1.688c04b7195bbp-2, -0x1.67b602313d63ep-2, -0x1.66d6f8e2e0134p-2, -0x1.65eefd13cbdd9p-2, -0x1.64fe23ba23e87p-2, -0x1.640482757a344p-2, -0x1.63022f8a15443p-2, -0x1.61f741dc693c2p-2, -0x1.60e3d0ecbcf86p-2, -0x1.5fc7f4d2f488ap-2, -0x1.5ea3c63a802b7p-2, -0x1.5d775e5e69319p-2, -0x1.5c42d7057b07bp-2, -0x1.5b064a7e831e1p-2, -0x1.59c1d39ca1875p-2, -0x1.58758db3af23ep-2, -0x1.57219494ac98bp-2, -0x1.55c6048a3a834p-2, -0x1.5462fa551e6e4p-2, -0x1.52f89328c4412p-2, -0x1.5186eca7caaf4p-2, -0x1.500e24e087bbcp-2, -0x1.4e8e5a4991a3bp-2, -0x1.4d07abbe40be4p-2, -0x1.4b7a387b2c16bp-2, -0x1.49e6201aa2f15p-2, -0x1.484b82911b523p-2, -0x1.46aa80299a5b8p-2, -0x1.45033982113c9p-2, -0x1.4355cf87b154ep-2, -0x1.41a26373386cdp-2, -0x1.3fe916c52d18ep-2, -0x1.3e2a0b4215d61p-2, -0x1.3c6562eea1a2ap-2, -0x1.3a9b400bc83b6p-2, -0x1.38cbc512de79bp-2, -0x1.36f714b1a255dp-2, -0x1.351d51c63b79ep-2, -0x1.333e9f5b353c3p-2, -0x1.315b20a36e7bfp-2, -0x1.2f72f8f602e4fp-2, -0x1.2d864bca2d2a2p-2, -0x1.2b953cb323f8bp-2, -0x1.299fef5bf0c35p-2, -0x1.27a6878344cacp-2, -0x1.25a928f7486eep-2, -0x1.23a7f7916cb28p-2, -0x1.21a3173236976p-2, -0x1.1f9aabbd1183p-2, -0x1.1d8ed9141d3e1p-2, -0x1.1b7fc31400ca4p-2, -0x1.196d8d8fc35fep-2, -0x1.17585c4ca72ecp-2, -0x1.154052fe0b982p-2, -0x1.1325954156e35p-2, -0x1.11084699e7dcbp-2, -0x1.0ee88a6d11923p-2, -0x1.0cc683fe220efp-2, -0x1.0aa2566a7252bp-2, -0x1.087c24a58770ap-2, -0x1.065411753b98fp-2, -0x1.042a3f6dfd1f8p-2, -0x1.01fed0ef16bf2p-2, -0x1.ffa3d03e18304p-3, -0x1.fb474dd00b267p-3, -0x1.f6e85de8a1e09p-3, -0x1.f2874355e97d7p-3, -0x1.ee244058a673ep-3, -0x1.e9bf969dd1b73p-3, -0x1.e559873836668p-3, -0x1.e0f2529a3efc2p-3, -0x1.dc8a388fef59p-3, -0x1.d821783909092p-3, -0x1.d3b8500368b3cp-3, -0x1.cf4efda584f9cp-3, -0x1.cae5be192d89p-3, -0x1.c67ccd966d5f9p-3, -0x1.c214678eaaa13p-3, -0x1.bdacc6a7f267fp-3, -0x1.b94624b87b1e1p-3, -0x1.b4e0bac258faep-3, -0x1.b07cc0ef63c2p-3, -0x1.ac1a6e8d58529p-3, -0x1.a7b9fa0a246f5p-3, -0x1.a35b98f06e56ap-3, -0x1.9eff7fe44e7e5p-3, -0x1.9aa5e2a03b72p-3, -0x1.964ef3f22dfdcp-3, -0x1.91fae5b8f3155p-3, -0x1.8da9e8e1b6e8bp-3, -0x1.895c2d65c21bap-3, -0x1.8511e248659bap-3, -0x1.80cb35951ec1dp-3, -0x1.7c88545de76f6p-3, -0x1.78496ab9bf56ep-3, -0x1.740ea3c35b188p-3, -0x1.6fd829980d6bdp-3, -0x1.6ba62556d9a13p-3, -0x1.6778bf1fb846ap-3, -0x1.63501e130523cp-3, -0x1.5f2c68511e78p-3, -0x1.5b0dc2fa2caf3p-3, -0x1.56f4522e1a76cp-3, -0x1.52e0390cb1c4ep-3, -0x1.4ed199b5e317fp-3, -0x1.4ac8954a360d9p-3, -0x1.46c54beb65f4ap-3, -0x1.42c7dcbd1b667p-3, -0x1.3ed065e5d1da6p-3, -0x1.3adf048fdea71p-3, -0x1.36f3d4ea9f97fp-3, -0x1.330ef22bc4c81p-3, -0x1.2f307690c04f1p-3, -0x1.2b587b60567a4p-3, -0x1.278718ec4868dp-3, -0x1.23bc66932399bp-3, -0x1.1ff87ac22695bp-3, -0x1.1c3b6af746256p-3, -0x1.18854bc34dcb7p-3, -0x1.14d630cc12b7fp-3, -0x1.112e2ccecacbep-3, -0x1.0d8d51a26e2adp-3, -0x1.09f3b03a39584p-3, -0x1.066158a83e495p-3, -0x1.02d65a200b737p-3, -0x1.fea585f2d3745p-4, -0x1.f7ad41664650cp-4, -0x1.f0c3ffebc81aap-4, -0x1.e9e9d92e52961p-4, -0x1.e31ee33874287p-4, -0x1.dc63327a6845cp-4, -0x1.d5b6d9d044fa5p-4, -0x1.cf19ea8842d79p-4, -0x1.c88c74691bcp-4, -0x1.c20e85b87b4a3p-4, -0x1.bba02b418440ap-4, -0x1.b541705b67b8bp-4, -0x1.aef25ef00bff6p-4, -0x1.a8b2ff82b8cc8p-4, -0x1.a2835936dddap-4, -0x1.9c6371d6d5f5bp-4, -0x1.96534ddabdf4ep-4, -0x1.9052f06f4822ep-4, -0x1.8a625b7c9efd7p-4, -0x1.84818fad462f7p-4, -0x1.7eb08c7501592p-4, -0x1.78ef5017baabap-4, -0x1.733dd7b06aeccp-4, -0x1.6d9c1f37feaa4p-4, -0x1.680a218c3b9ap-4, -0x1.6287d876a0ep-4, -0x1.5d153cb34186bp-4, -0x1.57b245f79c803p-4, -0x1.525eeaf9690b6p-4, -0x1.4d1b21755fee9p-4, -0x1.47e6de35f9159p-4, -0x1.42c2151a1d661p-4, -0x1.3dacb91bd488ep-4, -0x1.38a6bc56de776p-4, -0x1.33b0100f4659ep-4, -0x1.2ec8a4b7e7534p-4, -0x1.29f069f8e00ebp-4, -0x1.25274eb5fbbf8p-4, -0x1.206d411506e5ep-4, -0x1.1bc22e8419b23p-4, -0x1.172603bfcbb71p-4, -0x1.1298acd959e25p-4, -0x1.0e1a153cb9762p-4, -0x1.09aa27b698026p-4, -0x1.0548ce7a49995p-4, -0x1.00f5f327a323p-4, -0x1.f962fda17d0d1p-5, -0x1.f0f6b3ff5fbdcp-5, -0x1.e8a6d97843c3cp-5, -0x1.e0733d21b8392p-5, -0x1.d85bad227368ep-5, -0x1.d05ff6bd08b9dp-5, -0x1.c87fe65a7bc49p-5, -0x1.c0bb4794a2db9p-5, -0x1.b911e5405f5a5p-5, -0x1.b1838977a7833p-5, -0x1.aa0ffda362461p-5, -0x1.a2b70a851982p-5, -0x1.9b7878407ee3dp-5, -0x1.94540e64b7114p-5, -0x1.8d4993f58d408p-5, -0x1.8658cf74628e8p-5, -0x1.7f8186e8f971cp-5, -0x1.78c37fea1a78ap-5, -0x1.721e7fa5f73d2p-5, -0x1.6b924aea745ccp-5, -0x1.651ea62d330ddp-5, -0x1.5ec355937f9c9p-5, -0x1.58801cfa00edfp-5, -0x1.5254bffc45874p-5, -0x1.4c4101fc1bceap-5, -0x1.4644a628c6c2bp-5, -0x1.405f6f85fcdccp-5, -0x1.3a9120f2bc60dp-5, -0x1.34d97d2ff7eb1p-5, -0x1.2f3846e7126f8p-5, -0x1.29ad40b031b51p-5, -0x1.24382d1865301p-5, -0x1.1ed8cea7a0e11p-5, -0x1.198ee7e691dacp-5, -0x1.145a3b644238fp-5, -0x1.0f3a8bbb9a9d4p-5, -0x1.0a2f9b98b4dfep-5, -0x1.05392dbe0a28fp-5, -0x1.0057050976d1p-5, -0x1.f711c8f22ae36p-6, -0x1.ed9d1e5ff1124p-6, -0x1.e44f90f567d2ep-6, -0x1.db28a7a796d62p-6, -0x1.d227e9cfe16dep-6, -0x1.c94cdf344ca61p-6, -0x1.c097100f6f85p-6, -0x1.b80605181cec6p-6, -0x1.af994788cd71ep-6, -0x1.a7506126b7969p-6, -0x1.9f2adc48b6087p-6, -0x1.972843ddd6a22p-6, -0x1.8f482373b33afp-6, -0x1.878a073c89064p-6, -0x1.7fed7c150afc7p-6, -0x1.78720f89fa9p-6, -0x1.71174fdd7cd4bp-6, -0x1.69dccc0c4135cp-6, -0x1.62c213d255226p-6, -0x1.5bc6b7afdae0dp-6, -0x1.54ea48ed6ca42p-6, -0x1.4e2c59a05ff7bp-6, -0x1.478c7caeb9a5ep-6, -0x1.410a45d309b28p-6, -0x1.3aa5499ff6686p-6, -0x1.345d1d83a59fep-6, -0x1.2e3157caf62cp-6, -0x1.28218fa477219p-6, -0x1.222d5d234a025p-6, -0x1.1c545941b7804p-6, -0x1.16961de3b08c9p-6, -0x1.10f245d91f8d3p-6, -0x1.0b686cdff988fp-6, -0x1.05f82fa63e70ap-6, -0x1.00a12bcbc7713p-6, -0x1.f6c5ffc7cf12bp-7, -0x1.ec7a96ede42aap-7, -0x1.e25f5e070f4dep-7, -0x1.d87397ffaafe4p-7, -0x1.ceb689b54a5a9p-7, -0x1.c52779f88825ap-7, -0x1.bbc5b18ea5f34p-7, -0x1.b2907b32ebfffp-7, -0x1.a9872397b6001p-7, -0x1.a0a8f9674bdc4p-7, -0x1.97f54d448bfc4p-7, -0x1.8f6b71cb3e4fdp-7, -0x1.870abb904b31ep-7, -0x1.7ed28121b0267p-7, -0x1.76c21b0640859p-7, -0x1.6ed8e3bd30ab5p-7, -0x1.671637bd714e3p-7, -0x1.5f797574e36d7p-7, -0x1.5801fd474fbacp-7, -0x1.50af318d4346dp-7, -0x1.49807692acd89p-7, -0x1.4275329565047p-7, -0x1.3b8ccdc380c88p-7, -0x1.34c6b23988269p-7, -0x1.2e224c007d517p-7, -0x1.279f090bc9abbp-7, -0x1.213c5937084c7p-7, -0x1.1af9ae43a259ep-7, -0x1.14d67bd668278p-7, -0x1.0ed23774e8e32p-7, -0x1.08ec5882d637dp-7, -0x1.0324583f2096bp-7, -0x1.faf3638242dd1p-8, -0x1.efd7c3eb1e67fp-8, -0x1.e4f4cf36e16bap-8, -0x1.da498681ccb9bp-8, -0x1.cfd4ee7fd36a8p-8, -0x1.c5960f75edbffp-8, -0x1.bb8bf53342a6fp-8, -0x1.b1b5af0a26b8dp-8, -0x1.a8124fc90d296p-8, -0x1.9ea0edb344126p-8, -0x1.9560a2798eb04p-8, -0x1.8c508b32cff1bp-8, -0x1.836fc85446b1p-8, -0x1.7abd7daa18757p-8, -0x1.7238d24f668cbp-8, -0x1.69e0f0a6896bap-8, -0x1.61b5065127c01p-8, -0x1.59b444282a538p-8, -0x1.51ddde33c2c92p-8, -0x1.4a310ba341aa4p-8, -0x1.42ad06c4e250cp-8, -0x1.3b510cfdb1469p-8, -0x1.341c5ec130802p-8, -0x1.2d0e3f89169bbp-8, -0x1.2625f5ccf31bep-8, -0x1.1f62caf9e264ep-8, -0x1.18c40b6a1ed2bp-8, -0x1.1249065ca2fafp-8, -0x1.0bf10decc334fp-8, -0x1.05bb7709b36d7p-8, -0x1.ff4f32dc65f53p-9, -0x1.f3699f30190cfp-9, -0x1.e7c4ed7f523bap-9, -0x1.dc5fdd9f61832p-9, -0x1.d13934b9486d6p-9, -0x1.c64fbd38ad7fap-9, -0x1.bba246bba088p-9, -0x1.b12fa601387f1p-9, -0x1.a6f6b4d97b4c9p-9, -0x1.9cf652147030cp-9, -0x1.932d61719301ap-9, -0x1.899acb8f6ed01p-9, -0x1.803d7ddb18762p-9, -0x1.77146a7fedd43p-9, -0x1.6e1e88571d51bp-9, -0x1.655ad2d79c457p-9, -0x1.5cc84a05f444ep-9, -0x1.5465f2644ef0ap-9, -0x1.4c32d4e25b78dp-9, -0x1.442dfecdb11b1p-9, -0x1.3c5681c1dc0f3p-9, -0x1.34ab7398f21f7p-9, -0x1.2d2bee5bdfc24p-9, -0x1.25d7103314571p-9, -0x1.1eabfb5730a47p-9, -0x1.17a9d601ec806p-9, -0x1.10cfca5edab2ep-9, -0x1.0a1d067c958cdp-9, -0x1.0390bc3e03b4bp-9, -0x1.fa5442970199cp-10, -0x1.edd0de08af769p-10, -0x1.e195c4e0a80a3p-10, -0x1.d5a178632e91dp-10, -0x1.c9f280ec5895dp-10, -0x1.be876dd49d6cep-10, -0x1.b35ed5546bcb3p-10, -0x1.a87754691d79cp-10, -0x1.9dcf8eb9969c4p-10, -0x1.93662e7b2f466p-10, -0x1.8939e45741722p-10, -0x1.7f4967509890fp-10, -0x1.759374a96b97fp-10, -0x1.6c16cfc980b5cp-10, -0x1.62d2422497f64p-10, -0x1.59c49b214e5f2p-10, -0x1.50ecb0002994bp-10, -0x1.48495bc2a25e9p-10, -0x1.3fd97f1327ff3p-10, -0x1.379c002ccdf9cp-10, -0x1.2f8fcac38454cp-10, -0x1.27b3cfec9eac4p-10, -0x1.2007060796f0bp-10, -0x1.188868a737badp-10, -0x1.1136f87ac33ebp-10, -0x1.0a11bb37c321bp-10, -0x1.0317bb83d378ap-10, -0x1.f89011be20ef5p-11, -0x1.eb436f1c9d13ep-11, -0x1.de47c10c91be6p-11, -0x1.d19b42ac8daddp-11, -0x1.c53c38276b7a6p-11, -0x1.b928ee8b59d3dp-11, -0x1.ad5fbba1fc18cp-11, -0x1.a1defdc8a7fa7p-11, -0x1.96a51bc91d9fdp-11, -0x1.8bb084b362f18p-11, -0x1.80ffafb7919bdp-11, -0x1.76911c007c573p-11, -0x1.6c63508eb9f83p-11, -0x1.6274dc14991c3p-11, -0x1.58c454d1d9103p-11, -0x1.4f505870c84dbp-11, -0x1.46178be34dcccp-11, -0x1.3d189b40be204p-11, -0x1.345239a3ecea6p-11, -0x1.2bc3210a6f707p-11, -0x1.236a1233667bbp-11, -0x1.1b45d47fa8a2ep-11, -0x1.135535d1c611ep-11, -0x1.0b970a6eeff99p-11, -0x1.040a2ce07838bp-11, -0x1.f95afbaa0ab66p-12, -0x1.eaffc806d606ep-12, -0x1.dd009819d6e7cp-12, -0x1.cf5b50c1962fcp-12, -0x1.c20de23eee1f8p-12, -0x1.b51647fe88e0cp-12, -0x1.a87288606a38ep-12, -0x1.9c20b4837b26fp-12, -0x1.901ee80f68c32p-12, -0x1.846b4901022e9p-12, -0x1.790407767a966p-12, -0x1.6de75d7d02d6ep-12, -0x1.63138edf4619fp-12, -0x1.5886e8f48ad75p-12, -0x1.4e3fc2709cb0bp-12, -0x1.443c7b34f35bcp-12, -0x1.3a7b7c21b8ac3p-12, -0x1.30fb36e8f88e6p-12, -0x1.27ba25e115a92p-12, -0x1.1eb6cbd9b4802p-12, -0x1.15efb3ef89829p-12, -0x1.0d6371625fe7ap-12, -0x1.05109f6b77036p-12, -0x1.f9ebc2287ff74p-13, -0x1.ea23c21c2d951p-13, -0x1.dac6a315ea675p-13, -0x1.cbd1d82cc8a61p-13, -0x1.bd42e2ded7736p-13, -0x1.af1752c61031ep-13, -0x1.a14cc54e5f959p-13, -0x1.93e0e56ea51cep-13, -0x1.86d16b6060c41p-13, -0x1.7a1c1c5ac41dbp-13, -0x1.6dbeca4e2be6ep-13, -0x1.61b753a17b7e1p-13, -0x1.5603a2ef13781p-13, -0x1.4aa1aec531e89p-13, -0x1.3f8f7966c8a84p-13, -0x1.34cb108b91f45p-13, -0x1.2a528d24e986dp-13, -0x1.202413208dc21p-13, -0x1.163dd12e94832p-13, -0x1.0c9e008690ca5p-13, -0x1.0342e4b0b4e7bp-13, -0x1.f4559699428e5p-14, -0x1.e2a817b76e1cfp-14, -0x1.d17a0f17c6da8p-14, -0x1.c0c85204be6f9p-14, -0x1.b08fc8519ec8fp-14, -0x1.a0cd6bf62fc29p-14, -0x1.917e48aa696dcp-14, -0x1.829f7b86911c2p-14, -0x1.742e32a4cdd4bp-14, -0x1.6627acc169c28p-14, -0x1.588938e24429cp-14, -0x1.4b5035fbef45ap-14, -0x1.3e7a1298dc2a2p-14, -0x1.32044c85b9bc5p-14, -0x1.25ec707ae0dc5p-14, -0x1.1a3019ca8a42bp-14, -0x1.0eccf20fb1d89p-14, -0x1.03c0b0de633f6p-14, -0x1.f21236ed5a9fcp-15, -0x1.dd4808ed55042p-15, -0x1.c91e9722d1a95p-15, -0x1.b591ba899f1dcp-15, -0x1.a29d6523e10cfp-15, -0x1.903da16f47876p-15, -0x1.7e6e91d6a912fp-15, -0x1.6d2c703026e58p-15, -0x1.5c738d3646ee9p-15, -0x1.4c405005a46afp-15, -0x1.3c8f35a19fd23p-15, -0x1.2d5cd073e08c3p-15, -0x1.1ea5c7d5c251dp-15, -0x1.1066d7964733ap-15, -0x1.029ccf891c0bp-15, -0x1.ea89262058cfcp-16, -0x1.d0b6315e5cd47p-16, -0x1.b7bad336e6f71p-16, -0x1.9f9142a5c45b8p-16, -0x1.8833da5f8524dp-16, -0x1.719d180aa2a66p-16, -0x1.5bc79b72560d1p-16, -0x1.46ae25bff6c4dp-16, -0x1.324b98c0eaf5ep-16, -0x1.1e9af61ec6b3ap-16, -0x1.0b975eafb2dadp-16, -0x1.f278237986525p-17, -0x1.cf08d8a541af8p-17, -0x1.acd7d12563bd2p-17, -0x1.8bdc3a184238fp-17, -0x1.6c0d7820705b5p-17, -0x1.4d63262c24afap-17, -0x1.2fd5143030928p-17, -0x1.135b45f07792p-17, -0x1.efdbe3a94a9e2p-18, -0x1.bb0aff69f96dep-18, -0x1.88350f83917fbp-18, -0x1.574ba2bd47a78p-18, -0x1.2840a41a4741ap-18, -0x1.f60cb163a2efap-19, -0x1.9f1ebb4c2d3cfp-19, -0x1.4b9d4c27b65e7p-19, -0x1.f6dde4314d345p-20, -0x1.5cf5beb1fe982p-20, -0x1.92a3996768ec7p-21, -0x1.de175fd3efbfcp-23, 0x1.2f934f710bebcp-22, 0x1.9ba471a8bddbep-21, 0x1.4a30e5634a19bp-20, 0x1.c12b5f240ad17p-20, 0x1.19758af656b56p-19, 0x1.4fcc34f56b2ddp-19, 0x1.83ad592adfc24p-19, 0x1.b52c21b824f82p-19, 0x1.e45b3a75a9105p-19, 0x1.08a669e949d02p-18, 0x1.1e0952e3eda28p-18, 0x1.325ef95f47a8ap-18, 0x1.45afc528682ecp-18, 0x1.5803e60035b39p-18, 0x1.696354f78c4c4p-18, 0x1.79d5d5b5802d3p-18, 0x1.8962f7c81188bp-18, 0x1.981217d3bcf1cp-18, 0x1.a5ea60dc4464fp-18, 0x1.b2f2cd6b9a59p-18, 0x1.bf3228b7e760fp-18, 0x1.caaf0fd6a14b7p-18, 0x1.d56ff2c4312e1p-18, 0x1.df7b158ae7aebp-18, 0x1.e8d6914d025bep-18, 0x1.f188554652503p-18, 0x1.f99627e234d15p-18, 0x1.0082d3d185005p-17, 0x1.03ee2616cb30ep-17, 0x1.070fb395a48b3p-17, 0x1.09ea12a0d31abp-17, 0x1.0c7fc7798ec3ep-17, 0x1.0ed344c3f9147p-17, 0x1.10e6ebeffeee4p-17, 0x1.12bd0daa2f68dp-17, 0x1.1457ea42d940ap-17, 0x1.15b9b21585ce4p-17, 0x1.16e485ea6dabbp-17, 0x1.17da775f25c51p-17, 0x1.189d893dd8441p-17, 0x1.192fafe37965p-17, 0x1.1992d195ca648p-17, 0x1.19c8c6de25b1p-17, 0x1.19d35ae0ea46ep-17, 0x1.19b44bb4b8ee8p-17, 0x1.196d4aaf59a65p-17, 0x1.18fffcbfbbc33p-17, 0x1.186dfab5dc306p-17, 0x1.17b8d1958e00ep-17, 0x1.16e202de00d98p-17, 0x1.15eb04d875d3bp-17, 0x1.14d542dac1d6p-17, 0x1.13a21d937cf9dp-17, 0x1.1252eb4a390aep-17, 0x1.10e8f8268865bp-17, 0x1.0f65866e53d7ep-17, 0x1.0dc9cec71034dp-17, 0x1.0c17007723e8ep-17, 0x1.0a4e419e7512bp-17, 0x1.0870af743f451p-17, 0x1.067f5e82eaf87p-17, 0x1.047b5add332b9p-17, 0x1.0265a8596f2afp-17, 0x1.003f42c48da31p-17, 0x1.fc123c35c241ep-18, 0x1.f7884d6b5c9b9p-18, 0x1.f2e2830859361p-18, 0x1.ee229871c2a99p-18, 0x1.e94a3af53daf4p-18, 0x1.e45b0a255e9cdp-18, 0x1.df569838f1777p-18, 0x1.da3e6a60338cep-18, 0x1.d513f91e275cp-18, 0x1.cfd8b09d2be87p-18, 0x1.ca8df1006c6e2p-18, 0x1.c5350eb80be85p-18, 0x1.bfcf52cec23acp-18, 0x1.ba5dfb3604628p-18, 0x1.b4e23b123da83p-18, 0x1.af5d3b04b915cp-18, 0x1.a9d01972a067ep-18, 0x1.a43beacb8035bp-18, 0x1.9ea1b9ccedb04p-18, 0x1.990287c3716b9p-18, 0x1.935f4cd19c81bp-18, 0x1.8db8f82760d39p-18, 0x1.88107045f2279p-18, 0x1.826693393763bp-18, 0x1.7cbc36d4e96d2p-18, 0x1.771228eaef353p-18, 0x1.71692f86255e4p-18, 0x1.6bc2091feb0bbp-18, 0x1.661d6cd479b67p-18, 0x1.607c0a98d0877p-18, 0x1.5ade8b6d675b1p-18, 0x1.5545918cef852p-18, 0x1.4fb1b8a007117p-18, 0x1.4a2395e9bacc9p-18, 0x1.449bb877cfe38p-18, 0x1.3f1aa94d3f662p-18, 0x1.39a0eb8f8d50bp-18, 0x1.342efcb018dfp-18, 0x1.2ec554966f6abp-18, 0x1.296465c91a76fp-18, 0x1.240c9d93e989fp-18, 0x1.1ebe643081f6cp-18, 0x1.197a1ce8b1dbp-18, 0x1.1440263ea6447p-18, 0x1.0f10da0e5d5d7p-18, 0x1.09ec8db1ab7d7p-18, 0x1.04d392203c659p-18, 0x1.ff8c68259a3c8p-19, 0x1.f589784660bdap-19, 0x1.eb9eddd39d888p-19, 0x1.e1cd1a3cf177p-19, 0x1.d814a76b10eecp-19, 0x1.ce75f7fab0b47p-19, 0x1.c4f177728eac4p-19, 0x1.bb878a7e14506p-19, 0x1.b2388f21b448cp-19, 0x1.a904dcefb33cap-19, 0x1.9fecc53b35ea4p-19, 0x1.96f093496d53cp-19, 0x1.8e108c846d7ffp-19, 0x1.854cf0a84adebp-19, 0x1.7ca5f9f3430cep-19, 0x1.741bdd5137b5dp-19, 0x1.6baeca873ac01p-19, 0x1.635eec6029fd8p-19, 0x1.5b2c68d4fb828p-19, 0x1.53176135c0ba7p-19, 0x1.4b1ff2502ecd5p-19, 0x1.43463496d643ap-19, 0x1.3b8a3c46dec7p-19, 0x1.33ec198c5d7b1p-19, 0x1.2c6bd8a403b0ep-19, 0x1.2509820116078p-19, 0x1.1dc51a6c4682dp-19, 0x1.169ea3263bfe8p-19, 0x1.0f961a067175p-19, 0x1.08ab799b61e47p-19, 0x1.01deb9476fc2p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      65, 0x1.0e147ae147ae1p+3, 0x1.6cf7c1885a70fp+3, 0x1.b0e47067b01e3p+5, 0x1.47c4320e1202fp-7, 
      {{
        {0x1.4eb851eb851ecp+2, 0x1.5p+2, 0x1.c8b42260e0052p-7, -0x1.6fa3e5605c05fp-5, 0x1.06106b9ad9d96p-2, -0x1.aacd36c6b7acep-1}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.ae6da71405a44p-7, -0x1.23f96ab3a5849p-5, 0x1.a5b2263935b4bp-3, -0x1.50fc847b74a28p-1}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.8234964d8db0bp-7, -0x1.4777f55727962p-6, 0x1.b70213de45db1p-4, -0x1.c3ad6b5e9082bp-2}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.686e985c5c78ap-7, -0x1.9c221d83d3927p-7, 0x1.5000da17de4e8p-5, -0x1.da6fea5c28234p-3}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.563c8bcc18a44p-7, -0x1.4eaa1599d162cp-7, 0x1.9aba6bd164da6p-8, -0x1.9545e3390b7a9p-6}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.45ea5661119fcp-7, -0x1.403502fa71a28p-7, 0x1.4f20fa2b2256ep-9, 0x1.22a3bfe386c6ap-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.3621f52aa6de5p-7, -0x1.36bd2c531282dp-7, 0x1.a6521a2297921p-9, -0x1.9808b84e71e94p-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.26da702e09e25p-7, -0x1.2c903faf14bfbp-7, 0x1.87b7d91cb56d8p-9, 0x1.834f33bba0e6fp-15}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.1811f2f719d9p-7, -0x1.22c25905a7c42p-7, 0x1.88a03bd559346p-9, -0x1.94b1cc8f15a64p-12}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.09c6a5ab73738p-7, -0x1.1909d2d58e1edp-7, 0x1.8109b332aa65fp-9, -0x1.1e173bdbecdf2p-12}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.f7ed5a14e1cedp-8, -0x1.0f7abf1bb8561p-7, 0x1.7bac76e0245b7p-9, -0x1.40ad3f55195cp-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.dd4054da53dbap-8, -0x1.06101354cbe4bp-7, 0x1.75a93749bf14fp-9, -0x1.3a3735d868954p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.c382778ce787fp-8, -0x1.f996ff00d8d78p-8, 0x1.6fc4fb1416b88p-9, -0x1.3ec0cc05c7ad4p-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.aaaff745c2569p-8, -0x1.e759cc2520146p-8, 0x1.69caf740c7c7p-9, -0x1.4057f0824941p-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.92c5025184d16p-8, -0x1.d5694a55c9906p-8, 0x1.63c95124bccd9p-9, -0x1.42b93c161680ap-12}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.7bbdc0304a8c4p-8, -0x1.c3c5f38bcd03cp-8, 0x1.5dbc3e6ab92e6p-9, -0x1.44e45cffa5f75p-12}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.65965195aa213p-8, -0x1.b270538243b6bp-8, 0x1.57a4c312badebp-9, -0x1.471e017934554p-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.504ad068b5331p-8, -0x1.a168f13225133p-8, 0x1.518299720eb04p-9, -0x1.4953c25dea6dep-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.3bd74fc3f86cbp-8, -0x1.90b054dace54ap-8, 0x1.4b55d4337f17dp-9, -0x1.4b8a8e0640c39p-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.2837dbf57b805p-8, -0x1.804706642772p-8, 0x1.451e6e5694474p-9, -0x1.4dc112341e58ap-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.15687a7ec1299p-8, -0x1.702d8dcd8790fp-8, 0x1.3edc693266e8dp-9, -0x1.4ff7a988bf035p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.03652a14c72aep-8, -0x1.6064730ffe59ap-8, 0x1.388fc46b09ba7p-9, -0x1.522e3bbc4a621p-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.e453c5400c9eap-9, -0x1.50ec3e264a38p-8, 0x1.323880191b889p-9, -0x1.5464cf4ec6aap-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.c3652a78e4d2fp-9, -0x1.41c5770ab622bp-8, 0x1.2bd69c3607cf1p-9, -0x1.569b628447f35p-12}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.a3f65872f4a8ap-9, -0x1.32f0a5b7ac049p-8, 0x1.256a18c38cdbfp-9, -0x1.58d1f5d1950f6p-12}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.85ff16340fe65p-9, -0x1.246e52278d7c3p-8, 0x1.1ef2f5c13876dp-9, -0x1.5b088919aa4f5p-12}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.69771d290061bp-9, -0x1.163f0454be61cp-8, 0x1.1871332f23abdp-9, -0x1.5d3f1c61f0e8bp-12}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.4e56192586006p-9, -0x1.08634439a1f39p-8, 0x1.11e4d10d4d8dep-9, -0x1.5f75afab4c836p-12}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.3493a86456b93p-9, -0x1.f5b733a1372e1p-9, 0x1.0b4dcf5bb0eb7p-9, -0x1.61ac42f3a6c29p-12}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.1c275b871e911p-9, -0x1.db511a281d67p-9, 0x1.04ac2e1a5297cp-9, -0x1.63e2d63c32ee2p-12}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.0508b5967f9f6p-9, -0x1.c1954bfcbd30fp-9, 0x1.fbffda9263467p-10, -0x1.661969858979bp-12}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.de5e58042415p-10, -0x1.a884d913dd658p-9, 0x1.ee9219d094855p-10, -0x1.684ffccd8069bp-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.b5244d40c80ffp-10, -0x1.9020d16244bb4p-9, 0x1.e10f19ef461afp-10, -0x1.6a869016e779cp-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.8e51ff5df3bep-10, -0x1.786a44dcb9ec8p-9, 0x1.d376daee6a39bp-10, -0x1.6cbd235f1ce5fp-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.69d607a49bc9bp-10, -0x1.6162437803c2p-9, 0x1.c5c95cce0c572p-10, -0x1.6ef3b6a82bbf3p-12}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.479ee42ba102ap-10, -0x1.4b09dd28e8f14p-9, 0x1.b8069f8e244ccp-10, -0x1.712a49f095497p-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.279af7d7d054ap-10, -0x1.356221e4303a5p-9, 0x1.aa2ea32eb84d5p-10, -0x1.7360dd39b8c8dp-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.09b88a5be2cd9p-10, -0x1.206c219ea062ep-9, 0x1.9c4167afc15f7p-10, -0x1.75977081d81ccp-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.dbcb9070fb343p-11, -0x1.0c28ec4d001edp-9, 0x1.8e3eed114944cp-10, -0x1.77ce03cb523f7p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.a82185786410ep-11, -0x1.f13323c82c6cfp-10, 0x1.8027335342fbcp-10, -0x1.7a0497135f012p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.784ee006fb0a8p-11, -0x1.cb7e44b152ddap-10, 0x1.71fa3a75bc38ap-10, -0x1.7c3b2a5c63742p-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.4c2f55f1933dfp-11, -0x1.a7355b3f00defp-10, 0x1.63b80278abb13p-10, -0x1.7e71bda4ea0b3p-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.239e66a8d808p-11, -0x1.845a875ac3fb5p-10, 0x1.55608b5c161d9p-10, -0x1.80a850ee58f6ep-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.fceeb6729a099p-12, -0x1.62efe8ee29effp-10, 0x1.46f3d51ff2c79p-10, -0x1.82dee435c9beap-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.b92a8c969c14ap-12, -0x1.42f79fe2bff4ap-10, 0x1.3871dfc454d02p-10, -0x1.8515777fa52f3p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.7ba608461e7c6p-12, -0x1.2473cc221377p-10, 0x1.29daab492504fp-10, -0x1.874c0ac807ea2p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.4416754139f05p-12, -0x1.07668d95b2569p-10, 0x1.1b2e37ae7185cp-10, -0x1.89829e106006dp-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.1230b27fb7a6cp-12, -0x1.d7a4084e5373ap-11, 0x1.0c6c84f43ab8bp-10, -0x1.8bb931598a879p-12}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.cb52646222c31p-13, -0x1.a3709f800e4ecp-11, 0x1.fb2b2634f1743p-11, -0x1.8defc4a242c88p-12}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.7c67f378e2ad6p-13, -0x1.72372093b0a66p-11, 0x1.dd52c4425fa4bp-11, -0x1.902657e98a7bep-12}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.37094381648eep-13, -0x1.43fbcb5c5415ep-11, 0x1.bf4fe410dba86p-11, -0x1.925ceb3986b3dp-12}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.f53958517d99dp-14, -0x1.18c2dfad192f8p-11, 0x1.a122859fbe5bp-11, -0x1.94937e6484c3p-12}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.8d0f5716d1e4cp-14, -0x1.e1213ab20abc9p-12, 0x1.82caa8f1cdffbp-11, -0x1.96ca121f13621p-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.345dcc6a76cd4p-14, -0x1.96d2886708b93p-12, 0x1.64484dfc46254p-11, -0x1.9900a3bc3279fp-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.d3d89c85bec8p-15, -0x1.52a2281d07de8p-12, 0x1.459b74e7c25bap-11, -0x1.9b373d42fe45bp-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.59017eea811b8p-15, -0x1.1498998305771p-12, 0x1.26c41d1c55b02p-11, -0x1.9d6db93e952d6p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.eb7d3ed644e9fp-16, -0x1.b97cb83ced746p-13, 0x1.07c248d13db34p-11, -0x1.9fa4a37c541a6p-12}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.4f29ee5a2a2dfp-16, -0x1.5637e01f93786p-13, 0x1.d12bdf8308619p-12, -0x1.a1d9f24061284p-12}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.b018644d3ad82p-17, -0x1.fee74cd459b7ap-14, 0x1.927e6192f9d03p-12, -0x1.a41540a561bdbp-12}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.0240c6f9256cp-17, -0x1.6a822f6b5251p-14, 0x1.537b317a2b25fp-12, -0x1.a63a2c018ffdap-12}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.15703c6019p-18, -0x1.dec406b2712c7p-15, 0x1.1425aae0558e4p-12, -0x1.a8b2a3e14857fp-12}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.fadf52ffba601p-20, -0x1.1b5473594aa8dp-15, 0x1.a8e28afd15666p-13, -0x1.a9f34cb9a91abp-12}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.5fc12ecfe0cp-21, -0x1.15dda9ac79c1dp-16, 0x1.29198d922f76p-13, -0x1.afbfa52bc2ce7p-12}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.16b98c5282p-23, -0x1.6ffbc04f464fp-18, 0x1.4f2684d6ea0fdp-14, -0x1.a4689ce78a1d5p-12}, 
        {0x1.0cccccccccccdp+3, 0x1.0e147ae147ae1p+3, 0x1.6a37fbd5e7f81p-28, -0x1.0c4f7b3467cf8p-21, 0x1.4b9f012ff64f7p-16, -0x1.c4e7eff23a357p-12}, 
      }}, 
      0x1.66d3c8bd208ep-8, -0x1.065f177eb163p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.c1dd8543e00ecp+0, -0x1.bdff135936d94p+0, -0x1.b7b2f84817454p+0, -0x1.af2d87c35b718p+0, -0x1.a4af654a51e23p+0, -0x1.98805e5a2ff9ap+0, -0x1.8aeb0bbaf5fbap+0, -0x1.7c395ea16ac1dp+0, -0x1.6cb2112f1fbf3p+0, -0x1.5c96dedf7939p+0, -0x1.4c23630247d18p+0, -0x1.3b8c7ce1edf01p+0, -0x1.2b001c33dda4bp+0, -0x1.1aa55ba08cdbcp+0, -0x1.0a9cd3339bf45p+0, -0x1.f602207950a1cp-1, -0x1.d7ce46b2638bbp-1, -0x1.babe71a1b12a9p-1, -0x1.9eea64036052cp-1, -0x1.84627491eaad6p-1, -0x1.6b30a50caf175p-1, -0x1.5359a27b2219ep-1, -0x1.3cddaca7387bp-1, -0x1.27b96434f83bap-1, -0x1.13e6806137c4cp-1, -0x1.015c6dc8bcf0ep-1, -0x1.e021af69a3b33p-2, -0x1.bff03aca1bf12p-2, -0x1.a20b69d3a1917p-2, -0x1.8658faa3e2d77p-2, -0x1.6cbe040b1e5b3p-2, -0x1.551f62543ccdbp-2, -0x1.3f620d7e42721p-2, -0x1.2b6b5bea9b533p-2, -0x1.19213489c267ep-2, -0x1.086a337aeb3e6p-2, -0x1.f25b872fb3e91p-3, -0x1.d6a85e27a7abdp-3, -0x1.bd8d52aa0d4fbp-3, -0x1.a6dea7da5ac8ap-3, -0x1.92727fdd5d096p-3, -0x1.8020d8ceb4c6fp-3, -0x1.6fc3859917b72p-3, -0x1.61362470ad432p-3, -0x1.54561437a174fp-3, -0x1.4902693fe5d86p-3, -0x1.3f1be15a486fap-3, -0x1.3684d73290afap-3, -0x1.2f21354215ed2p-3, -0x1.28d668bf6be11p-3, -0x1.238b54cc65eccp-3, -0x1.1f2845e97c528p-3, -0x1.1b96e594f8878p-3, -0x1.18c22e0623381p-3, -0x1.16965e12c00bbp-3, -0x1.1500ed5fb7437p-3, -0x1.13f080ff07512p-3, -0x1.1354e08c05c03p-3, -0x1.131eebb7a6e68p-3, -0x1.13409027c2c95p-3, -0x1.13acbf7f3814fp-3, -0x1.1457656a8e7cep-3, -0x1.15355d9b19428p-3, -0x1.163c69a32c5e9p-3, -0x1.176326b7df508p-3, -0x1.18a1035f8cd6bp-3, -0x1.19ee351d3b00ep-3, -0x1.1b43ae27e8774p-3, -0x1.1c9b133c8386fp-3, -0x1.1deeb196baebap-3, -0x1.1f39751a6d12ep-3, -0x1.2076deb69b265p-3, -0x1.21a2fb052fcf7p-3, -0x1.22ba592e2aa3bp-3, -0x1.23ba0216b5a6dp-3, -0x1.249f6fd0fa28cp-3, -0x1.2568856718658p-3, -0x1.261386efcc9b5p-3, -0x1.269f11e0fdceep-3, -0x1.270a15f61028bp-3, -0x1.2753cdebf5e2ep-3, -0x1.277bb93d906e8p-3, -0x1.2781958216854p-3, -0x1.27655881779eep-3, -0x1.27272afb954d9p-3, -0x1.26c76229d17a1p-3, -0x1.26467c9896a65p-3, -0x1.25a51b4e886fcp-3, -0x1.24e3fef04b4cdp-3, -0x1.24040395dfea5p-3, -0x1.23061b27e9c78p-3, -0x1.21eb4cda7b65cp-3, -0x1.20b4aeffbdef6p-3, -0x1.1f6364f489b8fp-3, -0x1.1df89e5a536adp-3, -0x1.1c758ff10e2eep-3, -0x1.1adb760fa15fep-3, -0x1.192b90a5ff893p-3, -0x1.17671eb8481b6p-3, -0x1.158f626ce3c7cp-3, -0x1.13a59a46ae36ep-3, -0x1.11ab0148bf29ap-3, -0x1.0fa0d0d275b45p-3, -0x1.0d883a4025fabp-3, -0x1.0b6269eb6f053p-3, -0x1.0930865c32c6cp-3, -0x1.06f3ac4ec4b9cp-3, -0x1.04acf1ec30a0ep-3, -0x1.025d64c67fcf6p-3, -0x1.0006084ed8074p-3, -0x1.fb4fb02b73bd5p-4, -0x1.f6878b6ee358p-4, -0x1.f1b571db3081dp-4, -0x1.ecdb219fb1334p-4, -0x1.e7fa444033a4ap-4, -0x1.e3147067cfc8dp-4, -0x1.de2b2b1824574p-4, -0x1.d93fe4e6caf9ep-4, -0x1.d453fc8e23613p-4, -0x1.cf68bfad35ed6p-4, -0x1.ca7f6843de7d4p-4, -0x1.c5991f4960c55p-4, -0x1.c0b6fdd54f5ap-4, -0x1.bbda0aadde598p-4, -0x1.b7033c20dd296p-4, -0x1.b2337a1ad14bap-4, -0x1.ad6b9c2917635p-4, -0x1.a8ac69d69e198p-4, -0x1.a3f69d70dd2e6p-4, -0x1.9f4ae368d2e9bp-4, -0x1.9aa9d91be7003p-4, -0x1.96140f061e02cp-4, -0x1.918a0a21b2e88p-4, -0x1.8d0c425f9b036p-4, -0x1.889b22e3e9d67p-4, -0x1.84370c710a83ap-4, -0x1.7fe05583646dep-4, -0x1.7b9748fae2a1p-4, -0x1.775c2743af0ddp-4, -0x1.732f284c34731p-4, -0x1.6f107b0e4805ap-4, -0x1.6b0044b0af9dcp-4, -0x1.66fea1e76a4c5p-4, -0x1.630ba8839e209p-4, -0x1.5f2766f9a83b2p-4, -0x1.5b51e3b708519p-4, -0x1.578b1e5afa4e2p-4, -0x1.53d311230075ep-4, -0x1.5029b0a277e2p-4, -0x1.4c8eeb1be77c7p-4, -0x1.4902a96120bd1p-4, -0x1.4584d02f0b4c9p-4, -0x1.4215403c8c965p-4, -0x1.3eb3d59883639p-4, -0x1.3b606805a706ep-4, -0x1.381acc2d60b17p-4, -0x1.34e2d41d7295ap-4, -0x1.31b84ed6c099fp-4, -0x1.2e9b0820b2cbbp-4, -0x1.2b8ac955f2d3ep-4, -0x1.28875a35b8d66p-4, -0x1.259080deb8ca5p-4, -0x1.22a60164c5a4cp-4, -0x1.1fc79e0022cc2p-4, -0x1.1cf517d480075p-4, -0x1.1a2e2f626d228p-4, -0x1.1772a458dae2bp-4, -0x1.14c235522d1cbp-4, -0x1.121ca01dcc8cdp-4, -0x1.0f81a25745d11p-4, -0x1.0cf0f9aa2e7d3p-4, -0x1.0a6a63aadcb54p-4, -0x1.07ed9da5b8859p-4, -0x1.057a64d661ca5p-4, -0x1.031076da1c0e3p-4, -0x1.00af91e9c93e6p-4, -0x1.fcaee980b9c8dp-5, -0x1.f80fbcdb61f5bp-5, -0x1.f3811cdf849ccp-5, -0x1.ef028a148efbep-5, -0x1.ea9386fab93c9p-5, -0x1.e63397fc3377ap-5, -0x1.e1e2431f0f00cp-5, -0x1.dd9f0ffeb77eap-5, -0x1.d969883796432p-5, -0x1.d54137cc96e1p-5, -0x1.d125ad3f40663p-5, -0x1.cd16796671f48p-5, -0x1.c9132f3e6e396p-5, -0x1.c51b6404b6f35p-5, -0x1.c12eaf879d2d8p-5, -0x1.bd4cac58842cbp-5, -0x1.b974f7cbb682p-5, -0x1.b5a731cef48c8p-5, -0x1.b1e2fcc6f8b6dp-5, -0x1.ae27fda9d7587p-5, -0x1.aa75dc334408p-5, -0x1.a6cc42fbe89dcp-5, -0x1.a32adf7002dp-5, -0x1.9f9161ad51a45p-5, -0x1.9bff7c676ceeep-5, -0x1.9874e4f37b079p-5, -0x1.94f15362cab9dp-5, -0x1.9174828b287eap-5, -0x1.8dfe30001d2d3p-5, -0x1.8a8e1bfe98734p-5, -0x1.87240950c409cp-5, -0x1.83bfbd42c653cp-5, -0x1.8060ffa9f2291p-5, -0x1.7d079ae9fb9ecp-5, -0x1.79b35bf3b346fp-5, -0x1.766412398a2fp-5, -0x1.73198f93553ecp-5, -0x1.6fd3a821968p-5, -0x1.6c923246415ep-5, -0x1.695506aa4db95p-5, -0x1.661c003e7b87cp-5, -0x1.62e6fc311b395p-5, -0x1.5fb5d9d6943aap-5, -0x1.5c887a8a9552bp-5, -0x1.595ec19ccb371p-5, -0x1.56389450dbf86p-5, -0x1.5315d9e01c005p-5, -0x1.4ff67b6e9221fp-5, -0x1.4cda63f5ef55fp-5, -0x1.49c1802dea506p-5, -0x1.46abbe785f7d8p-5, -0x1.43990ed6eaf53p-5, -0x1.408962e7fd29ep-5, -0x1.3d7caddea5b29p-5, -0x1.3a72e46f8c046p-5, -0x1.376bfcbb7c38bp-5, -0x1.3467ee3ff291bp-5, -0x1.3166b1cd2226p-5, -0x1.2e68417cece96p-5, -0x1.2b6c98a85475dp-5, -0x1.2873b3d8ec051p-5, -0x1.257d90b61e91cp-5, -0x1.228a2df4894f7p-5, -0x1.1f998b4c474c3p-5, -0x1.1caba9734dd33p-5, -0x1.19c08a149aa4fp-5, -0x1.16d82fc183cfap-5, -0x1.13f29de09ca34p-5, -0x1.110fd89e1fc94p-5, -0x1.0e2fe4e00d3ap-5, -0x1.0b52c83f1968bp-5, -0x1.08788901df91cp-5, -0x1.05a12e155c70dp-5, -0x1.02ccbeffe017p-5, -0x1.fff687a0ba412p-6, -0x1.fa598a1fdee16p-6, -0x1.f4c297711d20ap-6, -0x1.ef31c25fc57e8p-6, -0x1.e9a71e863aa98p-6, -0x1.e422c041aa1f9p-6, -0x1.dea4bc9e7aa11p-6, -0x1.d92d293eb9153p-6, -0x1.d3bc1c3ffa19fp-6, -0x1.ce51ac27e1ccp-6, -0x1.c8edefd9d9e02p-6, -0x1.c390fe91604cap-6, -0x1.be3aefda63096p-6, -0x1.b8ebdb840a23bp-6, -0x1.b3a3d98e58fffp-6, -0x1.ae6302164d489p-6, -0x1.a9296d44258d4p-6, -0x1.a3f7333ec78f7p-6, -0x1.9ecc6c2494562p-6, -0x1.99a93006da2b8p-6, -0x1.948d96e3aba68p-6, -0x1.8f79b89b54521p-6, -0x1.8a6dace2510e8p-6, -0x1.85698b32f6d1fp-6, -0x1.806d6ac14f2c3p-6, -0x1.7b79627319403p-6, -0x1.768d88da65217p-6, -0x1.71a9f43252a95p-6, -0x1.6cceba5a61adfp-6, -0x1.67fbf0cfd5a38p-6, -0x1.6331aca4f2419p-6, -0x1.5e7002772c0dp-6, -0x1.59b70666d6fc5p-6, -0x1.5506cc113247dp-6, -0x1.505f668d41488p-6, -0x1.4bc0e869ae552p-6, -0x1.472b63aa9c083p-6, -0x1.429ee9c62f4e7p-6, -0x1.3e1b8b9fd50f3p-6, -0x1.39a15982eb9cfp-6, -0x1.3530631d5e12ap-6, -0x1.30c8b77b9e20ep-6, -0x1.2c6a65064411dp-6, -0x1.281579812961cp-6, -0x1.23ca020b10158p-6, -0x1.1f880b1d07362p-6, -0x1.1b4fa0892aa3bp-6, -0x1.1720cd785e8a5p-6, -0x1.12fb9c67f452ep-6, -0x1.0ee01727926d7p-6, -0x1.0ace46d7a5534p-6, -0x1.06c633e93331ep-6, -0x1.02c7e61e3f23bp-6, -0x1.fda6c91592a79p-7, -0x1.f5d16b2b713cdp-7, -0x1.ee0fbdf32a151p-7, -0x1.e661cb88afe0ep-7, -0x1.dec79cb0bd7eap-7, -0x1.d74138d9b1871p-7, -0x1.cfcea619b29c9p-7, -0x1.c86fe9308b1bfp-7, -0x1.c125058a15c3cp-7, -0x1.b9edfd413176ep-7, -0x1.b2cad1238f23ap-7, -0x1.abbb80b5f0427p-7, -0x1.a4c00a390e364p-7, -0x1.9dd86aaf49869p-7, -0x1.97049de139fe8p-7, -0x1.90449e6253e81p-7, -0x1.8998659377e21p-7, -0x1.82ffeba5013c6p-7, -0x1.7c7b2797acc6bp-7, -0x1.760a0f3e406f7p-7, -0x1.6fac9740a39dap-7, -0x1.6962b3217c1f7p-7, -0x1.632c5547134b7p-7, -0x1.5d096f0686033p-7, -0x1.56f9f0aeec433p-7, -0x1.50fdc9933e696p-7, -0x1.4b14e810533fp-7, -0x1.453f398e466dep-7, -0x1.3f7caa7e540c4p-7, -0x1.39cd2657799c4p-7, -0x1.34309794ef37ep-7, -0x1.2ea6e7b96ec88p-7, -0x1.292fff588292ep-7, -0x1.23cbc625c73ddp-7, -0x1.1e7a230638b0ep-7, -0x1.193afc2056d58p-7, -0x1.140e36e62282bp-7, -0x1.0ef3b818279fep-7, -0x1.09eb63c12575bp-7, -0x1.04f51d2f304ep-7, -0x1.0010c6eec17d3p-7, -0x1.f67c859aa225ap-8, -0x1.ecfae3cb47632p-8, -0x1.e39c69689a1cp-8, -0x1.da60d65e19241p-8, -0x1.d147e9ae1feb3p-8, -0x1.c851617e0ad0fp-8, -0x1.bf7cfb024a893p-8, -0x1.b6ca7250706d2p-8, -0x1.ae3982286765ap-8, -0x1.a5c9e3ced6a93p-8, -0x1.9d7b4f12f97dfp-8, -0x1.954d7a8eb4fe9p-8, -0x1.8d401c1e4b704p-8, -0x1.8552e975fd58ap-8, -0x1.7d8598ab83fefp-8, -0x1.75d7e0836f20dp-8, -0x1.6e49785a6d641p-8, -0x1.66da179e25277p-8, -0x1.5f8974ea1b429p-8, -0x1.58574500db4e2p-8, -0x1.514339f0694f1p-8, -0x1.4a4d02b38d25bp-8, -0x1.43744b88eb083p-8, -0x1.3cb8bf0d1170ap-8, -0x1.361a07eabe284p-8, -0x1.2f97d2c00404p-8, -0x1.2931cfbbd54a6p-8, -0x1.22e7b36a651d7p-8, -0x1.1cb93667aa3f6p-8, -0x1.16a613d484ap-8, -0x1.10ae06d80cc4ep-8, -0x1.0ad0c7b757913p-8, -0x1.050e093f27997p-8, -0x1.fecaee7897f1fp-9, -0x1.f3ad6d184af6dp-9, -0x1.e8c2cde6b6ea3p-9, -0x1.de0a4ced3c426p-9, -0x1.d3832b113ba07p-9, -0x1.c92cb624fb324p-9, -0x1.bf064ebd8fdfdp-9, -0x1.b50f6a136abf5p-9, -0x1.ab478f33f5c6ep-9, -0x1.a1ae4fcbf1079p-9, -0x1.98433df47c6f2p-9, -0x1.8f05e13fda526p-9, -0x1.85f5ad8f8a0b9p-9, -0x1.7d11fdf49c272p-9, -0x1.745a15050e6b2p-9, -0x1.6bcd22d859bc5p-9, -0x1.636a4f981216dp-9, -0x1.5b30c878f3874p-9, -0x1.531fcc5269703p-9, -0x1.4b36b506717abp-9, -0x1.4374fb8b068a3p-9, -0x1.3bda3590b54d5p-9, -0x1.34660d2ac4f76p-9, -0x1.2d18343b72102p-9, -0x1.25f05652f1ec8p-9, -0x1.1eee0c0409383p-9, -0x1.1810d256275f9p-9, -0x1.115807fee05d8p-9, -0x1.0ac2f0ed299dfp-9, -0x1.0450bf63f76eap-9, -0x1.fc0141790da8dp-10, -0x1.efa39665c9b46p-10, -0x1.e38713c46e841p-10, -0x1.d7aa88eec05cbp-10, -0x1.cc0d0237903c1p-10, -0x1.c0adc0e0fc0cep-10, -0x1.b58c299caca6dp-10, -0x1.aaa7adee1e846p-10, -0x1.9fffb55f0c768p-10, -0x1.95938b0c73ffep-10, -0x1.8b625228eeacdp-10, -0x1.816b0300a2dcbp-10, -0x1.77ac702e2d1dfp-10, -0x1.6e2552b052523p-10, -0x1.64d45a3e99f8bp-10, -0x1.5bb83eb85542p-10, -0x1.52cfcf030e4aap-10, -0x1.4a19fa8a7bf89p-10, -0x1.4195d3de2c00fp-10, -0x1.39428ca7eaeb1p-10, -0x1.311f6cc2b4b34p-10, -0x1.292bc6ef4c6a4p-10, -0x1.2166edb4ad0e5p-10, -0x1.19d02a819c9aap-10, -0x1.1266b88087b7p-10, -0x1.0b29c3e3d313fp-10, -0x1.04186d91a3bbfp-10, -0x1.fa63a39d8f65fp-11, -0x1.ecea1e799f898p-11, -0x1.dfc29642af362p-11, -0x1.d2eb6298f8a14p-11, -0x1.c662e161d4e8ap-11, -0x1.ba277052266c4p-11, -0x1.ae376e1d8c91fp-11, -0x1.a2914564eb9e7p-11, -0x1.97337bbb6224dp-11, -0x1.8c1cba232947ap-11, -0x1.814bc64009868p-11, -0x1.76bf6c2adb0bdp-11, -0x1.6c76637f51389p-11, -0x1.626f3fe33388ap-11, -0x1.58a878a15da1ep-11, -0x1.4f20857b625b5p-11, -0x1.45d600209434fp-11, -0x1.3cc7b44fb5508p-11, -0x1.33f4908096729p-11, -0x1.2b5b7d4b91f7ap-11, -0x1.22fb314e51b2dp-11, -0x1.1ad21fc515c64p-11, -0x1.12de92a6742f3p-11, -0x1.0b1ee831dcc0ap-11, -0x1.0391d51201082p-11, -0x1.f86d0a9f9fb4ap-12, -0x1.ea190d8e344c5p-12, -0x1.dc270e67b497cp-12, -0x1.ce961480a8ccbp-12, -0x1.c1647d3dd827p-12, -0x1.b490059861d24p-12, -0x1.a816189bf0e3fp-12, -0x1.9bf4280eee318p-12, -0x1.9027dc2178246p-12, -0x1.84af06681b307p-12, -0x1.798766c38d1abp-12, -0x1.6eae65f686082p-12, -0x1.6420f4853a3fap-12, -0x1.59dbb1c2706b2p-12, -0x1.4fdb621016c53p-12, -0x1.461d8ac1a1cb9p-12, -0x1.3ca0e108cb8dp-12, -0x1.33653ffd7bd06p-12, -0x1.2a6b215cb5848p-12, -0x1.21b2ecb891659p-12, -0x1.193c87e141cd5p-12, -0x1.1107518e33d1p-12, -0x1.09125a10f82d2p-12, -0x1.015c8bad09f09p-12, -0x1.f3c93d6623469p-13, -0x1.e551a114a6833p-13, -0x1.d74d4cd54129cp-13, -0x1.c9b5e95970a23p-13, -0x1.bc84779ec2ce6p-13, -0x1.afb246bb3fed6p-13, -0x1.a339a4eaa1bb1p-13, -0x1.971632efe0f64p-13, -0x1.8b4510afc6969p-13, -0x1.7fc4f542bf00bp-13, -0x1.7495f0c34ebc3p-13, -0x1.69b8aa913314bp-13, -0x1.5f2d8169b0533p-13, -0x1.54f4391a5f443p-13, -0x1.4b0c4bb4af27ap-13, -0x1.4175524c3133dp-13, -0x1.382f2837ec1a1p-13, -0x1.2f39c2c279387p-13, -0x1.26949e7ec8785p-13, -0x1.1e3dda24f58d4p-13, -0x1.1631a85aaa1bfp-13, -0x1.0e6aa084ed5fep-13, -0x1.06e2b70f6126ep-13, -0x1.ff289208a9c5cp-14, -0x1.f0f5bca17f8ecp-14, -0x1.e32710bb029abp-14, -0x1.d5b9997cb36bcp-14, -0x1.c8ac4f959782bp-14, -0x1.bbfefba085fe6p-14, -0x1.afb183c044aacp-14, -0x1.a3c38f6489a33p-14, -0x1.9834770508785p-14, -0x1.8d038a5fa6ccdp-14, -0x1.82302d6208338p-14, -0x1.77b9ee4af9e01p-14, -0x1.6da0b46b197b2p-14, -0x1.63e3e442f4833p-14, -0x1.5a80c28d10625p-14, -0x1.5172644b157b4p-14, -0x1.48b377c5789adp-14, -0x1.403fd4ffb6054p-14, -0x1.381497c861726p-14, -0x1.302f3349996b8p-14, -0x1.288c6e299ab2ep-14, -0x1.212803cb8fa51p-14, -0x1.19fd2fcf3ac5p-14, -0x1.1307869fef161p-14, -0x1.0c4384d4b5bbfp-14, -0x1.05af8517ceb01p-14, -0x1.fe9941695ae0dp-15, -0x1.f23a64a96ddecp-15, -0x1.e643c7158018ep-15, -0x1.dab244904add8p-15, -0x1.cf838145dbe62p-15, -0x1.c4b8fd0d6e578p-15, -0x1.ba52b1f9555fdp-15, -0x1.b049a22e3dd35p-15, -0x1.a692fc1a59158p-15, -0x1.9d2630242e94ep-15, -0x1.93fee64bc6207p-15, -0x1.8b1bd8f438e09p-15, -0x1.827deb6765762p-15, -0x1.7a280c123acb2p-15, -0x1.721e40a6c61ecp-15, -0x1.6a62b389f74f8p-15, -0x1.62f1c02c50fep-15, -0x1.5bbff9451131p-15, -0x1.54bd2c0165bf1p-15, -0x1.4ddd4e35a0763p-15, -0x1.472289bb54c56p-15, -0x1.4099fba76ecc4p-15, -0x1.3a4935edb0c6fp-15, -0x1.3428439f97d4p-15, -0x1.2e32917f3cbd9p-15, -0x1.286ec23604f48p-15, -0x1.22e0250f101c6p-15, -0x1.1d7f0d08e883fp-15, -0x1.1841910fe3077p-15, -0x1.13229a6fddcc2p-15, -0x1.0e213e6cd08fap-15, -0x1.093dd1cd51c22p-15, -0x1.047823866c932p-15, -0x1.ff9eb9d34d828p-16, -0x1.f68670db2727dp-16, -0x1.edab0bfa23204p-16, -0x1.e51449179d93dp-16, -0x1.dcc933f530a37p-16, -0x1.d4c9cdd42e604p-16, -0x1.cd09305b3265dp-16, -0x1.c56b3cb3aa001p-16, -0x1.bdda1a7e52e63p-16, -0x1.b66641e08b44ap-16, -0x1.af295236491edp-16, -0x1.a814d325bbfc3p-16, -0x1.a1183f91eed9dp-16, -0x1.9a477951501b3p-16, -0x1.93ae157f0f04ep-16, -0x1.8d3d04df00f14p-16, -0x1.86e5b38bc707cp-16, -0x1.80a43e36caad7p-16, -0x1.7a79c1172bfb5p-16, -0x1.7467abe562edap-16, -0x1.6e6e899f62ae9p-16, -0x1.688e0c8b42ca5p-16, -0x1.62c5256edf568p-16, -0x1.5d1236a87a005p-16, -0x1.5773f34309d58p-16, -0x1.51eabde309a29p-16, -0x1.4c78f02b1ebfep-16, -0x1.4720d7f7daffp-16, -0x1.41e3b6902ac7ap-16, -0x1.3cc39d2541f78p-16, -0x1.37ba563566bbep-16, -0x1.32b5a65dc0d82p-16, -0x1.2dba942a16e97p-16, -0x1.28d19db2f71f3p-16, -0x1.23e98bec5575ep-16, -0x1.1f0f2a502b7cep-16, -0x1.1a5331f267013p-16, -0x1.15a9629728433p-16, -0x1.11071412e693cp-16, -0x1.0c6ba3c8d3815p-16, -0x1.07d92454f8c13p-16, -0x1.0350e180e4dfdp-16, -0x1.fda648b917b65p-17, -0x1.f4bf63100d8a3p-17, -0x1.ebec6af0fd029p-17, -0x1.e32cedf23888p-17, -0x1.da8090f13f212p-17, -0x1.d1e6a277f2b73p-17, -0x1.c95de4e69c672p-17, -0x1.c0e5165edbc1cp-17, -0x1.b87becf15846dp-17, -0x1.b0228a7b365c1p-17, -0x1.a7d79af7f66ccp-17, -0x1.9fa01d31bcb72p-17, -0x1.978eea5bd3d99p-17, -0x1.8f98689c31d2bp-17, -0x1.87a1453944ceap-17, -0x1.7fa9880b59f88p-17, -0x1.77af9d7ed0e4ep-17, -0x1.6fd8190a2a599p-17, -0x1.681c9d802b587p-17, -0x1.606917836bbdcp-17, -0x1.58bc4c4e52d82p-17, -0x1.511a2180626b8p-17, -0x1.4984ed64d87fp-17, -0x1.41fd80f9bd32ap-17, -0x1.3a83e5b601978p-17, -0x1.3317db5e2713p-17, -0x1.2bb91881f96a4p-17, -0x1.2467770f15927p-17, -0x1.1d230ef0f4093p-17, -0x1.15ec2c485e695p-17, -0x1.0ec301198997cp-17, -0x1.07a7968dcbcaap-17, -0x1.00991244dff0bp-17, -0x1.f32d72a6acbc3p-18, -0x1.e540b71332469p-18, -0x1.d76b901171315p-18, -0x1.c9ab775ed4caap-18, -0x1.bc0bdce9a5473p-18, -0x1.aeada2ea40135p-18, -0x1.a16ea2b7b9094p-18, -0x1.9424284c4aad1p-18, -0x1.86e6b6df23e9cp-18, -0x1.79e4da5ac0358p-18, -0x1.6d047bf35a13ap-18, -0x1.60361aa339d5ap-18, -0x1.537ef81e95cap-18, -0x1.46e38223b5f26p-18, -0x1.3a655c6873d57p-18, -0x1.2e0502f564b37p-18, -0x1.21c296b9295bcp-18, -0x1.159e1cd37e9f9p-18, -0x1.0997912daa7acp-18, -0x1.fb5e2342adca5p-19, -0x1.e3c86b6780e86p-19, -0x1.cc6ff7fc0245fp-19, -0x1.b5547d5b35a96p-19, -0x1.9e776c9967cc5p-19, -0x1.87d95c5cf412p-19, -0x1.717a1bfbf0063p-19, -0x1.5b5871b5aae14p-19, -0x1.45732563bcbc5p-19, -0x1.2fcac26a3ebecp-19, -0x1.1a6106c63959cp-19, -0x1.05337973cf815p-19, -0x1.e085e4f5fd0b1p-20, -0x1.b768c4f8e37bep-20, -0x1.8ecec44ace0cp-20, -0x1.665e94b1017a5p-20, -0x1.3eabe7274a7p-20, -0x1.178ce721cad42p-20, -0x1.e1b25ff7a548ap-21, -0x1.9541aa64f25c4p-21, -0x1.49d98281de97dp-21, -0x1.fefbf59833c5p-22, -0x1.6c5f2e6496283p-22, -0x1.b7b96e118b33dp-23, -0x1.35d25a4e6b0dfp-24, 0x1.f6c68077cae44p-25, 0x1.9214586973fbep-23, 0x1.5123fe9c5efe2p-22, 0x1.d721a4bbbb502p-22, 0x1.2d8289f14e902p-21, 0x1.6e66c23ba247ap-21, 0x1.ae3cb5df33525p-21, 0x1.ed03701afd8cbp-21, 0x1.155d4048ee6a9p-20, 0x1.33b15e0e293eap-20, 0x1.517f2d341f517p-20, 0x1.6ec7fdf435c57p-20, 0x1.8b8bf84243ffbp-20, 0x1.a7c8b3f413b05p-20, 0x1.c37cda1e484c9p-20, 0x1.deb16a5d30b21p-20, 0x1.f9632d160f54p-20, 0x1.09bce895ab05ap-19, 0x1.16900e5a2e7dbp-19, 0x1.2314f793e9778p-19, 0x1.2f5cca43feb79p-19, 0x1.3b6678aa0190bp-19, 0x1.472e969085f75p-19, 0x1.52b4cf49b02c9p-19, 0x1.5df97de20c183p-19, 0x1.68fd06680fe3cp-19, 0x1.73bfc3641af2ap-19, 0x1.7e4209cc77738p-19, 0x1.88842dddad9bp-19, 0x1.92868644710afp-19, 0x1.9c496d3663ad6p-19, 0x1.a5cd4080c3a75p-19, 0x1.af1260b6321fcp-19, 0x1.b8193044a14e3p-19, 0x1.c0e2112e1e4c4p-19, 0x1.c96d60f47051p-19, 0x1.d1bb78e745ae4p-19, 0x1.d9ccb5d63c9b8p-19, 0x1.e1a18606dfd92p-19, 0x1.e93a6efba3436p-19, 0x1.f098075f18cc7p-19, 0x1.f7bae58c7e43cp-19, 0x1.fea36518f27cep-19, 0x1.02a8b163effcep-18, 0x1.05e28c12d9c55p-18, 0x1.090080931b00ep-18, 0x1.0c037bd775355p-18, 0x1.0ee9079c3820dp-18, 0x1.11b0e10be3f4dp-18, 0x1.145e31143d8abp-18, 0x1.16f13321a68f5p-18, 0x1.19693626c67cbp-18, 0x1.1bc6669ab9959p-18, 0x1.1e0914b4e6cb1p-18, 0x1.20318e5cc3a5bp-18, 0x1.22401ea27c62dp-18, 0x1.24350fe8da59p-18, 0x1.2610aaae86fabp-18, 0x1.27d338d494055p-18, 0x1.297d046faacafp-18, 0x1.2b0e582755221p-18, 0x1.2c877f3c02da6p-18, 0x1.2de8c568b845p-18, 0x1.2f3276ce6372cp-18, 0x1.3064dfe033b3ap-18, 0x1.31804d2b3f15p-18, 0x1.32850af8c9823p-18, 0x1.337365199959bp-18, 0x1.344ba7b0d6811p-18, 0x1.350e209397bcbp-18, 0x1.35bb1f92c0e74p-18, 0x1.3652f5c2261c8p-18, 0x1.36d5f49a0d13fp-18, 0x1.3744697069988p-18, 0x1.379e95ac43a77p-18, 0x1.37e4bb07ee868p-18, 0x1.3817486340573p-18, 0x1.3836e12caf5a7p-18, 0x1.3843400df1c32p-18, 0x1.383c93768a2bfp-18, 0x1.38236535d668fp-18, 0x1.37f86b4ea027cp-18, 0x1.37bb912dcdf7ap-18, 0x1.376d6dbb0ca19p-18, 0x1.370dfefe875c1p-18, 0x1.369da9262807bp-18, 0x1.361cbed26972cp-18, 0x1.358b8dcdb8d6cp-18, 0x1.34ea638f8a4a1p-18, 0x1.34398d2fa1c39p-18, 0x1.337957764877cp-18, 0x1.32aa0eda1f1f4p-18, 0x1.31cbffc704fb9p-18, 0x1.30df755b82f4dp-18, 0x1.2fe4bbe1d56aap-18, 0x1.2edc1e41498d5p-18, 0x1.2dc5e74301b4ep-18, 0x1.2ca261555f208p-18, 0x1.2b71d61f853c4p-18, 0x1.2a34914d253edp-18, 0x1.28eae8df47ba1p-18, 0x1.2795a39ea26e7p-18, 0x1.26333b2aa6d82p-18, 0x1.24c5ca67627e1p-18, 0x1.234d1539c102cp-18, 0x1.21c95564e4e71p-18, 0x1.203ace99ec7aep-18, 0x1.1ea1c4da25888p-18, 0x1.1cfe7e86b2316p-18, 0x1.1b514ce9200e6p-18, 0x1.199a6aa791319p-18, 0x1.17d9f3e401939p-18, 0x1.16107132a5025p-18, 0x1.143e03dcf2ba7p-18, 0x1.1262d490e9dap-18, 0x1.107f4bdcc220cp-18, }}, 
      {{-0x1.c219ffe901a08p+0, -0x1.beeba23ff392bp+0, -0x1.b9b43f62c24ffp+0, -0x1.b2922dc733321p+0, -0x1.a9abf33a292e9p+0, -0x1.9f2dbbf6e3e71p+0, -0x1.93471010724cfp+0, -0x1.8628e1cda515bp+0, -0x1.7803fb15e42eap+0, -0x1.6907c5213085ap+0, -0x1.596160af4083fp+0, -0x1.493b036ca1439p+0, -0x1.38bb8f33bcd67p+0, -0x1.280658864eb39p+0, -0x1.173b1282f07dp+0, -0x1.0675d79a67828p+0, -0x1.eb9e8f0173545p-1, -0x1.cab968412aa62p-1, -0x1.aa60b0f475798p-1, -0x1.8ab32aaeb4facp-1, -0x1.6bca614e8bafp-1, -0x1.4dbb2a42ab183p-1, -0x1.309621038e8ecp-1, -0x1.14681e7f2f59bp-1, -0x1.f27553f3bfac1p-2, -0x1.be28c4d7428f4p-2, -0x1.8bf2bf84f7b22p-2, -0x1.5bd7177711779p-2, -0x1.2dd5e4a9d8b6bp-2, -0x1.01ec143849451p-2, -0x1.b027d298250e4p-3, -0x1.608adee41df5bp-3, -0x1.14edbf0678903p-3, -0x1.9a73df3baca51p-4, -0x1.12ad22494f5f3p-4, -0x1.24a3b286dbd51p-5, -0x1.929cbe454f8c4p-8, 0x1.64151ac59b85bp-6, 0x1.88ee08baffbb7p-5, 0x1.2967ec8a56791p-4, 0x1.8814e1c054eaep-4, 0x1.e0bac766bdb57p-4, 0x1.19cb18bc14188p-3, 0x1.4071911016616p-3, 0x1.646e68f704f27p-3, 0x1.85dec0aa37537p-3, 0x1.a4df29964accdp-3, 0x1.c18b97b2dd8c5p-3, 0x1.dbff561ca8d59p-3, 0x1.f454fe15e906p-3, 0x1.055337f0632bcp-2, 0x1.0f86669edd75ap-2, 0x1.18d03abe7611p-2, 0x1.213c8183633ddp-2, 0x1.28d6a514d00dep-2, 0x1.2fa9ac757018ap-2, 0x1.35c03bd039285p-2, 0x1.3b24951356f7ap-2, 0x1.3fe098cc32bc1p-2, 0x1.43fdc73dbeaap-2, 0x1.478541ac592d7p-2, 0x1.4a7fcbda9ea6dp-2, 0x1.4cf5cdb19fbep-2, 0x1.4eef550e12f12p-2, 0x1.507417ac4e8f4p-2, 0x1.518b752d3bb2ap-2, 0x1.523c792f4f27fp-2, 0x1.528ddd7781caep-2, 0x1.52860c271e3a8p-2, 0x1.522b21fb9d9b9p-2, 0x1.5182f096a2df9p-2, 0x1.509300cc111c1p-2, 0x1.4f6094f413ad5p-2, 0x1.4df0ab3fb4c62p-2, 0x1.4c48000d052b6p-2, 0x1.4a6b1039ddef9p-2, 0x1.485e1b7239a3bp-2, 0x1.4625267990c82p-2, 0x1.43c3fd6d9d638p-2, 0x1.413e36012abecp-2, 0x1.3e9731af309aep-2, 0x1.3bd21fe537b63p-2, 0x1.38f2002317f8ep-2, 0x1.35f9a4113995dp-2, 0x1.32ebb189c1f12p-2, 0x1.2fcaa492f55d6p-2, 0x1.2c98d15154822p-2, 0x1.295865de3d533p-2, 0x1.260b6c22ec36ap-2, 0x1.22b3cb91331aep-2, 0x1.1f534ade04f19p-2, 0x1.1beb91ac6d041p-2, 0x1.187e2a1fa426bp-2, 0x1.150c8277e1618p-2, 0x1.1197ee86ba098p-2, 0x1.0e21a9234284ap-2, 0x1.0aaad5940ae35p-2, 0x1.073480cf8bb89p-2, 0x1.03bfa2cb8620ap-2, 0x1.004d1fad032fcp-2, 0x1.f9bb91c42d186p-3, 0x1.f2e4bc989ff36p-3, 0x1.ec171e80440e7p-3, 0x1.e553f7102b2b7p-3, 0x1.de9c68cca4a4ap-3, 0x1.d7f17ae3e3bacp-3, 0x1.d1541afdad197p-3, 0x1.cac51eea8340bp-3, 0x1.c445461eb6c6bp-3, 0x1.bdd53b3e6631fp-3, 0x1.b775957d3e376p-3, 0x1.b126d9e0ee6c5p-3, 0x1.aae97c8ac9b67p-3, 0x1.a4bde1dc752d3p-3, 0x1.9ea45f89505f5p-3, 0x1.989d3dad56cfdp-3, 0x1.92a8b7c53907fp-3, 0x1.8cc6fd9602f81p-3, 0x1.86f8341abb1cp-3, 0x1.813c7656e580ap-3, 0x1.7b93d616360c5p-3, 0x1.75fe5cb4ba22ep-3, 0x1.707c0bcf0cc52p-3, 0x1.6b0cdddcfea94p-3, 0x1.65b0c6d56215ap-3, 0x1.6067b4c210725p-3, 0x1.5b31903bbcc42p-3, 0x1.560e3ceb869fp-3, 0x1.50fd9a090a223p-3, 0x1.4bff82c0a66b8p-3, 0x1.4713ce96f1e25p-3, 0x1.423a51d23476p-3, 0x1.3d72ddd4738a5p-3, 0x1.38bd41679b624p-3, 0x1.3419490fbbb26p-3, 0x1.2f86bf5c0bef1p-3, 0x1.2b056d2592188p-3, 0x1.269519cabc6eap-3, 0x1.22358b70eb1c4p-3, 0x1.1de6873e21bbcp-3, 0x1.19a7d1867e54fp-3, 0x1.15792df8f5e04p-3, 0x1.115a5fcf94a14p-3, 0x1.0d4b29f920607p-3, 0x1.094b4f38ec3d8p-3, 0x1.055a9246048p-3, 0x1.0178b5ee3b7c8p-3, 0x1.fb4afa670baeap-4, 0x1.f3c156c2ed6e4p-4, 0x1.ec540843be5e3p-4, 0x1.e502972949f35p-4, 0x1.ddcc8cc96219cp-4, 0x1.d6b173ac63f71p-4, 0x1.cfb0d7a5dc789p-4, 0x1.c8ca45f20dee3p-4, 0x1.c1fd4d5271478p-4, 0x1.bb497e21ea2ddp-4, 0x1.b4ae6a6156de5p-4, 0x1.ae2ba5c563b65p-4, 0x1.a7c0c5c87ac2dp-4, 0x1.a16d61b8f2c75p-4, 0x1.9b3112bed881p-4, 0x1.950b73de960fdp-4, 0x1.8efc21ffeafc6p-4, 0x1.8902bbf69eaf8p-4, 0x1.831ee285664f5p-4, 0x1.7d50385b4b3bap-4, 0x1.779662114fffp-4, 0x1.71f1062b885fbp-4, 0x1.6c5fcd19e1bfcp-4, 0x1.66e26134e4963p-4, 0x1.61786eb755763p-4, 0x1.5c21a3b79b816p-4, 0x1.56ddb023e08eep-4, 0x1.51ac45be18576p-4, 0x1.4c8d18166a633p-4, 0x1.477fdc83f31f1p-4, 0x1.42844a16a152bp-4, 0x1.3d9a1994e247ap-4, 0x1.38c10573bdad2p-4, 0x1.33f8c9cfb684p-4, 0x1.2f412462a9dafp-4, 0x1.2a99d479025f3p-4, 0x1.26029ae8e964cp-4, 0x1.217b3a0b0d422p-4, 0x1.1d0375b25677p-4, 0x1.189b132219715p-4, 0x1.1441d903abee1p-4, 0x1.0ff78f5c5ef9fp-4, 0x1.0bbbff84b4e7p-4, 0x1.078ef42019f83p-4, 0x1.037039142a2bfp-4, 0x1.febf36fea3acbp-5, 0x1.f6b9d35d7c445p-5, 0x1.eecfe629234d9p-5, 0x1.e701107f47dfdp-5, 0x1.df4cf5a72e723p-5, 0x1.d7b33b01e2a75p-5, 0x1.d03387f7d726bp-5, 0x1.c8cd85e6364c7p-5, 0x1.c180e00e1b341p-5, 0x1.ba4d4384e9846p-5, 0x1.b3325f272addap-5, 0x1.ac2fe388bff16p-5, 0x1.a54582e4f6dccp-5, 0x1.9e72f10ef8c52p-5, 0x1.97b7e3631198fp-5, 0x1.911410b94bb2p-5, 0x1.8a873158a9ccbp-5, 0x1.8410fee9c6892p-5, 0x1.7db13469dc6bcp-5, 0x1.77678e1e511bp-5, 0x1.7133c98843137p-5, 0x1.6b15a5585ec7fp-5, 0x1.650ce16388468p-5, 0x1.5f193e9829858p-5, 0x1.593a7ef405b1p-5, 0x1.5370657a52d61p-5, 0x1.4dbab629a4c2ep-5, 0x1.481935f15febbp-5, 0x1.428baaa81974ep-5, 0x1.3d11db030952dp-5, 0x1.37ab8e8e41183p-5, 0x1.32588da4e919p-5, 0x1.2d18a1694a8a3p-5, 0x1.27eb93bca154bp-5, 0x1.22d12f37295f4p-5, 0x1.1dc93f2118fcap-5, 0x1.18d38f6c9c8c7p-5, 0x1.13efecb008ff1p-5, 0x1.0f1e241fc963dp-5, 0x1.0a5e03882d264p-5, 0x1.05af594772761p-5, 0x1.0111f4484a6bep-5, 0x1.f90b47f9eb0eap-6, 0x1.f01470b5c4023p-6, 0x1.e73f03acba3b8p-6, 0x1.de8aa2bc245f5p-6, 0x1.d5f6f0ad29b68p-6, 0x1.cd83912cb514ap-6, 0x1.c53028c450a9dp-6, 0x1.bcfc5cd392ca4p-6, 0x1.b4e7d389c6863p-6, 0x1.acf233dfb770bp-6, 0x1.a51b259185248p-6, 0x1.9d625118b5695p-6, 0x1.95c75fa6fbe68p-6, 0x1.8e49fb21c1f0bp-6, 0x1.86e9ce1e11907p-6, 0x1.7fa683dc6b6b8p-6, 0x1.787fc844732abp-6, 0x1.717547e0f53d6p-6, 0x1.6a86afdc70e8p-6, 0x1.63b3adfd7f23fp-6, 0x1.5cfbf0a46327ap-6, 0x1.565f26c8d286bp-6, 0x1.4fdcfff79c3e8p-6, 0x1.49752c500cea3p-6, 0x1.43275c816fcf4p-6, 0x1.3cf341c8d15cap-6, 0x1.36d88def5353p-6, 0x1.30d6f348cc38bp-6, 0x1.2aee24b2bca71p-6, 0x1.251dd5932ec79p-6, 0x1.1f65b9d7902f7p-6, 0x1.19c585f373ceap-6, 0x1.143ceedf68471p-6, 0x1.0ecbaa1801a21p-6, 0x1.09716d9d47a69p-6, 0x1.042deff26d5e7p-6, 0x1.fe01d03b3cd7cp-7, 0x1.f3d41b4f6d1dap-7, 0x1.e9d23137cc541p-7, 0x1.dffb830e8a61ep-7, 0x1.d64f82f19ddd3p-7, 0x1.cccda40045192p-7, 0x1.c3755a5f514e2p-7, 0x1.ba461b34c6553p-7, 0x1.b13f5cab78b53p-7, 0x1.a86095f28ef8fp-7, 0x1.9fa93f3dd4b84p-7, 0x1.9718d1c5e638bp-7, 0x1.8eaec7c876cc4p-7, 0x1.866a9c88b78e2p-7, 0x1.7e4bcc4ff7d3cp-7, 0x1.7651d46e8221cp-7, 0x1.6e7c333c6b0eap-7, 0x1.66ca681a76a94p-7, 0x1.5f3bf372c9cd9p-7, 0x1.57d056b990365p-7, 0x1.5087146d91abcp-7, 0x1.495fb018cb6acp-7, 0x1.4259ae512cbbap-7, 0x1.3b7494b9622bdp-7, 0x1.34afea01b40fp-7, 0x1.2e0b35e8e495p-7, 0x1.2786013cdc9cbp-7, 0x1.211fd5db64ea7p-7, 0x1.1ad83eb2abdafp-7, 0x1.14aec7c1c8fa6p-7, 0x1.0ea2fe195d2d5p-7, 0x1.08b46fdc08e8ap-7, 0x1.02e2ac3f0c7e7p-7, 0x1.fa5a8715bd69fp-8, 0x1.ef278e376df57p-8, 0x1.e42b92c380fa1p-8, 0x1.d965bbc1ab83fp-8, 0x1.ced53263bba7ap-8, 0x1.c47922072a2c7p-8, 0x1.ba50b83273114p-8, 0x1.b05b2495a63a2p-8, 0x1.a697990ba5818p-8, 0x1.9d05499a34c36p-8, 0x1.93a36c71f7e4dp-8, 0x1.8a7139ee489b8p-8, 0x1.816dec94ecf6bp-8, 0x1.7898c115b17a4p-8, 0x1.6ff0f649f5b7p-8, 0x1.6775cd3410a3p-8, 0x1.5f2688feb4a9cp-8, 0x1.57026efc25da8p-8, 0x1.4f08c6a54ee08p-8, 0x1.4738d998ad2a9p-8, 0x1.3f91f39917a2cp-8, 0x1.3813628c5664cp-8, 0x1.30bc7679c56e6p-8, 0x1.298c8188e6fcfp-8, 0x1.2282d80014506p-8, 0x1.1b9ed0431bdb1p-8, 0x1.14dfc2d1ade71p-8, 0x1.0e450a4585f63p-8, 0x1.07ce035042c89p-8, 0x1.017a0cb8dd004p-8, 0x1.f6910eb1dea53p-9, 0x1.ea71ac33c4981p-9, 0x1.de94bbe4b864p-9, 0x1.d2f90bc7d0afap-9, 0x1.c79d6df207015p-9, 0x1.bc80b887cbf02p-9, 0x1.b1a1c5b66e4a1p-9, 0x1.a6ff73b324822p-9, 0x1.9c98a4b29e563p-9, 0x1.926c3ee28aebfp-9, 0x1.88792c60c0a1cp-9, 0x1.7ebe5b3231a4bp-9, 0x1.753abd3a4dbd3p-9, 0x1.6bed483388d78p-9, 0x1.62d4f5a9a4788p-9, 0x1.59f0c2f53352ap-9, 0x1.513fb137e423cp-9, 0x1.48c0c558a2ea5p-9, 0x1.407307fdd5679p-9, 0x1.385585868f0b6p-9, 0x1.30674e01494e5p-9, 0x1.28a77521adeacp-9, 0x1.211512361245cp-9, 0x1.19af401d7332cp-9, 0x1.12751d3eb1982p-9, 0x1.0b65cb80bc15p-9, 0x1.0480704357f72p-9, 0x1.fb8868af2c9f9p-10, 0x1.ee6087eecc54dp-10, 0x1.e1879d78c4955p-10, 0x1.d4fc0f2d06aabp-10, 0x1.c8bc4987d6e4cp-10, 0x1.bcc6bf95d6273p-10, 0x1.b119eaed101dcp-10, 0x1.a5b44baa1303fp-10, 0x1.9a94686d1bb1p-10, 0x1.8fb8ce4b422f2p-10, 0x1.852010d08d284p-10, 0x1.7ac8c9b61c4aap-10, 0x1.70b198d83a009p-10, 0x1.66d923eb7c1e5p-10, 0x1.5d3e164d6a724p-10, 0x1.53df20de6638fp-10, 0x1.4abaf9f42879ep-10, 0x1.41d05d67b321dp-10, 0x1.391e0cbe62a9bp-10, 0x1.30a2cf5a0c8fcp-10, 0x1.285d72a6a86ebp-10, 0x1.204cca4d57cf2p-10, 0x1.186fafece8a6bp-10, 0x1.10c5031605305p-10, 0x1.094ba8c75f12ap-10, 0x1.02028af960f3dp-10, 0x1.f5d13049ddc18p-11, 0x1.e7f985d1af245p-11, 0x1.da7c03c66b1efp-11, 0x1.cd569f91f31f5p-11, 0x1.c087576be5d9ap-11, 0x1.b40c334327e45p-11, 0x1.a7e345b42a0f7p-11, 0x1.9c0aacc937244p-11, 0x1.9080924ad8386p-11, 0x1.85432b7f48beep-11, 0x1.7a50b8578f212p-11, 0x1.6fa7822e80bd9p-11, 0x1.6545da5a1b75dp-11, 0x1.5b2a18e0735p-11, 0x1.51529b9ac9a3cp-11, 0x1.47bdc5e7da46ep-11, 0x1.3e6a00f424652p-11, 0x1.3555bcc6ffc2p-11, 0x1.2c7f712faab9fp-11, 0x1.23e59ec9fb86ep-11, 0x1.1b86cfdb2919fp-11, 0x1.136198b2f18f7p-11, 0x1.0b7497903ffc9p-11, 0x1.03be7407d508cp-11, 0x1.f87bbbfb91e3p-12, 0x1.e9e318bab8e13p-12, 0x1.dbb077a92beb4p-12, 0x1.cde15bc8ef91fp-12, 0x1.c07351275ecd1p-12, 0x1.b363ecd67a438p-12, 0x1.a6b0cf80bd419p-12, 0x1.9a57a600cee92p-12, 0x1.8e562afb910c3p-12, 0x1.82aa2709b6af7p-12, 0x1.77517160309a2p-12, 0x1.6c49eeb11223cp-12, 0x1.619190e29f7a6p-12, 0x1.572656f4bf006p-12, 0x1.4d064c60799bbp-12, 0x1.432f87f025ba4p-12, 0x1.39a02a2d4d722p-12, 0x1.30565bf994c7p-12, 0x1.27504e0e60c0fp-12, 0x1.1e8c39c344dfdp-12, 0x1.160862c0379ap-12, 0x1.0dc318a46012bp-12, 0x1.05bab7a343f68p-12, 0x1.fbdb4f592ac9ap-13, 0x1.ecb4b525928afp-13, 0x1.ddfe946e01b59p-13, 0x1.cfb5ef488d7f9p-13, 0x1.c1d7d6c1af938p-13, 0x1.b4616cdbd389ap-13, 0x1.a74fe61c9de4ep-13, 0x1.9aa0894a0b303p-13, 0x1.8e50ad6bd1374p-13, 0x1.825db7751e02cp-13, 0x1.76c5194894e2p-13, 0x1.6b8452ccb8c63p-13, 0x1.6098f45509218p-13, 0x1.5600a0b6abb1bp-13, 0x1.4bb90da970f35p-13, 0x1.41c001f9a2dc9p-13, 0x1.3813529cd9c8p-13, 0x1.2eb0dfe425c67p-13, 0x1.25969495affbep-13, 0x1.1cc265103519bp-13, 0x1.1432534c51763p-13, 0x1.0be46ee444f02p-13, 0x1.03d6d5a224a0ap-13, 0x1.f80f673ec29cbp-14, 0x1.e8ea852e4d679p-14, 0x1.da3b9362cbb8p-14, 0x1.cbff39e22438bp-14, 0x1.be3236b4d3e6ep-14, 0x1.b0d157c526798p-14, 0x1.a3d97592c1a0ep-14, 0x1.9747726da9804p-14, 0x1.8b183e933668fp-14, 0x1.7f48dda48cbdcp-14, 0x1.73d669affd124p-14, 0x1.68be1367f62b9p-14, 0x1.5dfd2078e4a63p-14, 0x1.5390ec99ca0ebp-14, 0x1.4976e72396015p-14, 0x1.3fac9484ec03bp-14, 0x1.362f8c70fc61ap-14, 0x1.2cfd80d4892e2p-14, 0x1.241442880f33fp-14, 0x1.1b71c349c0268p-14, 0x1.13140d51d24e2p-14, 0x1.0af931f545f89p-14, 0x1.031f38e15a8dbp-14, 0x1.f70835e536aacp-15, 0x1.e84b9547bb804p-15, 0x1.da048f1526f9ap-15, 0x1.cc2f394cf381dp-15, 0x1.bec7f0b42599p-15, 0x1.b1cb1fbd5e11fp-15, 0x1.a5354bf781a15p-15, 0x1.99030dda230f9p-15, 0x1.8d311420f83d3p-15, 0x1.81bc2a070edbfp-15, 0x1.76a140bbd5d05p-15, 0x1.6bdd7e017918ep-15, 0x1.616e4a53c1428p-15, 0x1.5751502770fdfp-15, 0x1.4d84617fbd49dp-15, 0x1.44054d494d1aap-15, 0x1.3ad1bed4cb90fp-15, 0x1.31e73d0be245bp-15, 0x1.294344efae153p-15, 0x1.20e366bdaa198p-15, 0x1.18c553779c31ep-15, 0x1.10e6dbdb31accp-15, 0x1.0945e88a7b26cp-15, 0x1.01e06e2db9ae3p-15, 0x1.f568c02fc0529p-16, 0x1.e77f525dcaaf2p-16, 0x1.da00651ccf17ap-16, 0x1.cce7ed4d28917p-16, 0x1.c0322fa948f94p-16, 0x1.b3dbe28496e4ep-16, 0x1.a7e233f2e15cp-16, 0x1.9c42af861a0bdp-16, 0x1.90faf2cc8ddf2p-16, 0x1.8608741a8070bp-16, 0x1.7b687559056d8p-16, 0x1.71181f14dd716p-16, 0x1.6714b7e80a35cp-16, 0x1.5d5b9cf3a53f6p-16, 0x1.53ea401d9c37ep-16, 0x1.4abe2af2ba19fp-16, 0x1.41d5100a5946fp-16, 0x1.392cccbf5dff9p-16, 0x1.30c3513d1c45ep-16, 0x1.28967f9eccac5p-16, 0x1.20a419d7cd2b1p-16, 0x1.18e9cc6076ddcp-16, 0x1.116551b754713p-16, 0x1.0a149b78b6ecfp-16, 0x1.02f5ea519ed09p-16, 0x1.f80f8c6507a32p-17, 0x1.ea91acde9726ap-17, 0x1.dd6f5ef0d5477p-17, 0x1.d0a584273c7c1p-17, 0x1.c4310358b8932p-17, 0x1.b80f283e01399p-17, 0x1.ac3d97dfbc6abp-17, 0x1.a0b9e7f88cbp-17, 0x1.9581665ad4b01p-17, 0x1.8a914a9cc2325p-17, 0x1.7fe7005659edp-17, 0x1.7580473f920c2p-17, 0x1.6b5b29a7bc698p-17, 0x1.6175cfaedccbcp-17, 0x1.57ce443f4a0c9p-17, 0x1.4e625b9e04f5bp-17, 0x1.452fd3c75fb55p-17, 0x1.3c34a06e3e3ddp-17, 0x1.336f0e3687fb8p-17, 0x1.2adda88055f4p-17, 0x1.227ef1e3d4a8p-17, 0x1.1a51321a5307p-17, 0x1.1252750d3a137p-17, 0x1.0a80cbb300723p-17, 0x1.02dab93688ee8p-17, 0x1.f6beb8cb00689p-18, 0x1.e81bff9087657p-18, 0x1.d9cb0e7299004p-18, 0x1.cbc912f92a4b1p-18, 0x1.be1369270641ep-18, 0x1.b0a7b4686cb32p-18, 0x1.a383b753a4cbfp-18, 0x1.96a56bd958d0bp-18, 0x1.8a0b0e061bccap-18, 0x1.7db2fd5978198p-18, 0x1.719b8cd18844bp-18, 0x1.65c2e2783433dp-18, 0x1.5a270417e73ddp-18, 0x1.4ec62599888aep-18, 0x1.439f083991f52p-18, 0x1.38b0f00572a5bp-18, 0x1.2dfaf90d2fd77p-18, 0x1.237b6bc4d73b3p-18, 0x1.192fdbfecdfacp-18, 0x1.0f15def84525fp-18, 0x1.052bdef50b7a5p-18, 0x1.f6e3318f74e14p-19, 0x1.e3ce2660f405p-19, 0x1.d1165cae7203p-19, 0x1.beb88a49b32c5p-19, 0x1.acb29cd6b70adp-19, 0x1.9b02fc5ab80a4p-19, 0x1.89a7d06cb5756p-19, 0x1.789f59aade1bdp-19, 0x1.67e809e981292p-19, 0x1.578055c445bc9p-19, 0x1.4766a93aa1299p-19, 0x1.37997b3348c2cp-19, 0x1.28175a6980b65p-19, 0x1.18dee20726098p-19, 0x1.09eeaf8e8ba07p-19, 0x1.f68b0bed19978p-20, 0x1.d9c52099a40f1p-20, 0x1.bd8ac83d3c75cp-20, 0x1.a1da1118edf88p-20, 0x1.86afbc1bd4114p-20, 0x1.6c07599e34f6bp-20, 0x1.51dd51cb1128dp-20, 0x1.38300173459aep-20, 0x1.1effaf54e1866p-20, 0x1.064b59368cf5ep-20, 0x1.dc1e72dda0cc5p-21, 0x1.ac9310d1394edp-21, 0x1.7df31445fe2d1p-21, 0x1.503ad63ca524bp-21, 0x1.2367154c09c57p-21, 0x1.eeeaef7c1899dp-22, 0x1.98c732b56429cp-22, 0x1.445d520fc4c9ap-22, 0x1.e34dfc5afe802p-23, 0x1.413bac20968c9p-23, 0x1.44f04b501ca03p-24, 0x1.be716ce4d9061p-29, -0x1.228f42f52ebbfp-24, -0x1.26541c859e5bbp-23, -0x1.b8347e5df0ae8p-23, -0x1.2378dde0f6845p-22, -0x1.694a9edc511dbp-22, -0x1.ad92eda538cd3p-22, -0x1.f056ccb9d83b7p-22, -0x1.18ce7c18ae55bp-21, -0x1.38b42e57f524ep-21, -0x1.57dded0106a9ep-21, -0x1.764e98b973311p-21, -0x1.9408f523ba0e5p-21, -0x1.b10fd5c79c6b5p-21, -0x1.cd63428b422edp-21, -0x1.e90532799c9d7p-21, -0x1.01fc1f9ebeeebp-20, -0x1.0f1f02f1edae1p-20, -0x1.1bebee6a1be52p-20, -0x1.2863c335da9eep-20, -0x1.34874994fc2b8p-20, -0x1.40577f54e5dddp-20, -0x1.4bd565bab9765p-20, -0x1.5701fc43c986p-20, -0x1.61de31a9e6ccp-20, -0x1.6c6ad8a285b05p-20, -0x1.76a8a9a953a5dp-20, -0x1.809887349e015p-20, -0x1.8a3ab78a15da2p-20, -0x1.9390b80845cb4p-20, -0x1.9c9b65844423cp-20, -0x1.a55ba78f6bb61p-20, -0x1.add232a811ceap-20, -0x1.b5ffd20025fcep-20, -0x1.bde531e0bca9p-20, -0x1.c582aa7806593p-20, -0x1.ccd9a64336b32p-20, -0x1.d3ebc1c83cf13p-20, -0x1.dab98ac4962ddp-20, -0x1.e143275de578cp-20, -0x1.e789b520f18f8p-20, -0x1.ed8e31e5dc559p-20, -0x1.f351508ef8115p-20, -0x1.f8d3d30bbe64ap-20, -0x1.fe167ec29a74fp-20, -0x1.018d10717e115p-19, -0x1.03efc5be5d263p-19, -0x1.0633caedec85cp-19, -0x1.08598df82e3ep-19, -0x1.0a616042f5f25p-19, -0x1.0c4c21d4a0ea8p-19, -0x1.0e196d92875c2p-19, -0x1.0fca5ee816728p-19, -0x1.115efa491b9fap-19, -0x1.12d7b6a544e16p-19, -0x1.1434ff4c3ec3p-19, -0x1.15774700fef39p-19, -0x1.169f016ff16e3p-19, -0x1.17ac93ac2502fp-19, -0x1.18a054bb44234p-19, -0x1.197aa4b3dfdb1p-19, -0x1.1a3be05b3eb2fp-19, -0x1.1ae45e60fa345p-19, -0x1.1b74af86b34a8p-19, -0x1.1bed5c3a95ebp-19, -0x1.1c4e914821804p-19, -0x1.1c98c1e473fa5p-19, -0x1.1ccc57ccb09d8p-19, -0x1.1ce9b5076ea89p-19, -0x1.1cf13c24f477fp-19, -0x1.1ce349a47ae26p-19, -0x1.1cc04654ba15cp-19, -0x1.1c88916c0727dp-19, -0x1.1c3c8a430da19p-19, -0x1.1bdc9d314d59bp-19, -0x1.1b695b061f082p-19, -0x1.1ae2871556a35p-19, -0x1.1a4933d2df7bap-19, -0x1.199d77541c8b1p-19, -0x1.18dfb5c1b0c2dp-19, -0x1.18104dfcf0678p-19, -0x1.172f9d26c5139p-19, -0x1.163dfffa14673p-19, -0x1.153bd5c375c89p-19, -0x1.14297ffa7fbfp-19, -0x1.13075fcf07523p-19, -0x1.11d5d20930e04p-19, -0x1.10952bce8020bp-19, -0x1.0f45c0079c068p-19, -0x1.0de7ec567fbffp-19, -0x1.0c7c100877b58p-19, -0x1.0b027e13c6678p-19, -0x1.097ba08d83a8ep-19, -0x1.07e7b9e6d4bb6p-19, -0x1.06472ec14914ep-19, -0x1.049a53cf497b5p-19, -0x1.02e17b6e660dbp-19, -0x1.011cf9fe75e82p-19, -0x1.fe9a475827e17p-20, -0x1.fae497aafe12ap-20, -0x1.f71989f809cd6p-20, -0x1.f339c1a88838fp-20, -0x1.ef45e0a4d4a99p-20, -0x1.eb3e86bef1778p-20, -0x1.e72452496b7adp-20, -0x1.e2f7e474ac1aap-20, -0x1.deb9db9445e56p-20, -0x1.da6acba1585aep-20, -0x1.d60b507d02a8p-20, -0x1.d19bfeecf44c9p-20, -0x1.cd1d6b95bbe48p-20, -0x1.c89028bdb0bd7p-20, -0x1.c3f4c8992b125p-20, -0x1.bf4bde36d799p-20, -0x1.ba95f437340e8p-20, -0x1.b5d37a1d63cd1p-20, -0x1.b105625dc14a6p-20, -0x1.ac2bc4c151994p-20, -0x1.a7474aee26f37p-20, -0x1.a2588214bff02p-20, -0x1.9d60015175ea1p-20, -0x1.985e0c3e96341p-20, -0x1.935365cbcefd3p-20, -0x1.8e407b366e3c5p-20, -0x1.8925aa615ba3ep-20, -0x1.8403902641cf7p-20, -0x1.7eda9cf14f2cap-20, -0x1.79ab450e6379ep-20, -0x1.7475fea028431p-20, -0x1.6f3b3e8d00dbfp-20, -0x1.69fb6ef56b22fp-20, -0x1.64b709fe0e9afp-20, -0x1.5f6e7a47a31d8p-20, -0x1.5a222c17d1c86p-20, -0x1.54d28a6688c84p-20, -0x1.4f7ffe6026b82p-20, -0x1.4a2aef65626b1p-20, -0x1.44d3c30ab2bcfp-20, -0x1.3f7add1966bb4p-20, -0x1.3a209f8aeb13cp-20, -0x1.34c56a7b59c33p-20, -0x1.2f699c24da087p-20, -0x1.2a0d9107164a5p-20, -0x1.24b1a42768124p-20, -0x1.1f562f186209ap-20, -0x1.19fb89c8dcdfap-20, -0x1.14a20a627c772p-20, -0x1.0f4a0506f3e99p-20, -0x1.09f3cb578c87ap-20, -0x1.049fad4220b9dp-20, -0x1.fe9bf5381e8fdp-21, -0x1.f3fe054959688p-21, -0x1.e9661d8fa44c1p-21, -0x1.ded4d323e242fp-21, -0x1.d44aba0fad56ep-21, -0x1.c9c85fafee3bbp-21, -0x1.bf4ea9b71e9fap-21, -0x1.b4dd12b76e424p-21, -0x1.aa75138f91b18p-21, -0x1.a016fba4f8ff3p-21, -0x1.95c332cf8fe78p-21, -0x1.8b7a37f1535ap-21, -0x1.813c82d225dd5p-21, -0x1.770a87ff8c669p-21, -0x1.6ce4b8401d5d9p-21, -0x1.62cb835416424p-21, -0x1.58bf5a016f4ep-21, -0x1.4ec09e6906ee1p-21, -0x1.44cfb9846c04ap-21, -0x1.3aed0e85b370bp-21, -0x1.3118fc8178f97p-21, -0x1.2753e296208b5p-21, -0x1.1d9e12fc4882ap-21, -0x1.13f7aeec1b9f5p-21, -0x1.0a611ecac4b13p-21, -0x1.00d4e69b20d72p-21, -0x1.eecc61060ee87p-22, -0x1.dc0525648faffp-22, -0x1.c95f57690edb4p-22, -0x1.b6dc69cc03e01p-22, -0x1.a47cff69605e2p-22, -0x1.9241b8b863238p-22, -0x1.802b171184d4fp-22, -0x1.6e397ac104a06p-22, -0x1.5c6d741aae56ap-22, -0x1.4ac76d5c152c1p-22, -0x1.3947d9bdaccdep-22, -0x1.27ef217c32802p-22, -0x1.16bda8ab4398bp-22, -0x1.05b3d28fcf8d9p-22, }}, 
      {{-0x1.c2d05b9e5b5ap+0, -0x1.c1bf9e6c2d9b2p+0, -0x1.bffd8260a59d2p+0, -0x1.bd9054095ba8ap+0, -0x1.ba8044c66702cp+0, -0x1.b6d6fd6ea62a3p+0, -0x1.b29f3606e848ap+0, -0x1.ade457c9b1c92p+0, -0x1.a8b22bc9b0219p+0, -0x1.a31496a885932p+0, -0x1.9d1760d478789p+0, -0x1.96c60a3cc87bcp+0, -0x1.902ba8381e355p+0, -0x1.8952cc4c201e7p+0, -0x1.8245728a332fep+0, -0x1.7b0cf6456f675p+0, -0x1.73b20bfbf4695p+0, -0x1.6c3cbf6c4265dp+0, -0x1.64b474f0dc905p+0, -0x1.5d1fed5d7259ap+0, -0x1.55854bb75a837p+0, -0x1.4dea1c3f6cd77p+0, -0x1.46535c5db149fp+0, -0x1.3ec58316f9882p+0, -0x1.374489c92fc7ep+0, -0x1.2fd3f4fb77d79p+0, -0x1.2876dd1a4d8d4p+0, -0x1.212ff700da961p+0, -0x1.1a019c36aaf8cp+0, -0x1.12edd2cdb7126p+0, -0x1.0bf654d840ebap+0, -0x1.051c976c7d8aap+0, -0x1.fcc3a25c4dffcp-1, -0x1.ef8e00ca522cp-1, -0x1.e299e147f95afp-1, -0x1.d5e87fec40694p-1, -0x1.c97ac73a164e6p-1, -0x1.bd5158d8c7a5cp-1, -0x1.b16c9590da8b9p-1, -0x1.a5cca48385952p-1, -0x1.9a7179aa293e3p-1, -0x1.8f5adbbf2d6d8p-1, -0x1.848869a383492p-1, -0x1.79f99f3fe6e24p-1, -0x1.6fadd9e0f9283p-1, -0x1.65a45c1c97b3ep-1, -0x1.5bdc51553d97dp-1, -0x1.5254d0ea7e4bfp-1, -0x1.490ce11c29b0dp-1, -0x1.400379a1b7af8p-1, -0x1.373785f9e8a1bp-1, -0x1.2ea7e77a4328cp-1, -0x1.265377277c1f7p-1, -0x1.1e39075edc9c2p-1, -0x1.1657655594088p-1, -0x1.0ead5a71d4cp-1, -0x1.0739ad801a226p-1, -0x1.fff6478e54fc8p-2, -0x1.f1e103fb8b8a7p-2, -0x1.e4311a4a218aap-2, -0x1.d6e416959b785p-2, -0x1.c9f7886c19b04p-2, -0x1.bd6904012d1c5p-2, -0x1.b136233dd3505p-2, -0x1.a55c86b0bc4c8p-2, -0x1.99d9d66183273p-2, -0x1.8eabc2894d376p-2, -0x1.83d0043307fafp-2, -0x1.79445dc56b79fp-2, -0x1.6f069b78bf52cp-2, -0x1.651493ba5f4afp-2, -0x1.5b6c277fb41dp-2, -0x1.520b428a43a6cp-2, -0x1.48efdb9e30652p-2, -0x1.4017f4ac64e6p-2, -0x1.37819af154b9ap-2, -0x1.2f2ae709d8fedp-2, -0x1.2711fcfe0c646p-2, -0x1.1f350c4458b19p-2, -0x1.17924fbcc3072p-2, -0x1.10280da5ce561p-2, -0x1.08f4978ba0e41p-2, -0x1.01f64a32081d2p-2, -0x1.f6571af3914d7p-3, -0x1.e925a8831822ap-3, -0x1.dc55388548e71p-3, -0x1.cfe2dbd327ce6p-3, -0x1.c3cbb8585513cp-3, -0x1.b80d08b6aa0abp-3, -0x1.aca41be7c66bap-3, -0x1.a18e54da71c8p-3, -0x1.96c92a0e7672bp-3, -0x1.8c52252e54e45p-3, -0x1.8226e2a8a1cd3p-3, -0x1.7845114746508p-3, -0x1.6eaa71c5419ep-3, -0x1.6554d6633f7acp-3, -0x1.5c42227971bd2p-3, -0x1.53704a0959128p-3, -0x1.4add514e7df8cp-3, -0x1.42874c4f3df1fp-3, -0x1.3a6c5e6fbe7aap-3, -0x1.328aba060e953p-3, -0x1.2ae09fee065d1p-3, -0x1.236c5f2635406p-3, -0x1.1c2c54656363ap-3, -0x1.151ee9b929965p-3, -0x1.0e429622e7773p-3, -0x1.0795dd3640248p-3, -0x1.01174eb97f1acp-3, -0x1.f58b0c8d77e82p-4, -0x1.e93e55dd339e6p-4, -0x1.dd45ddba8329dp-4, -0x1.d19f1e0166926p-4, -0x1.c647a5638ae9dp-4, -0x1.bb3d16bf150e2p-4, -0x1.b07d2879ecb66p-4, -0x1.a605a3e20bb99p-4, -0x1.9bd4649335d74p-4, -0x1.91e757e0653fp-4, -0x1.883c7c41f9008p-4, -0x1.7ed1e0c83ce3dp-4, -0x1.75a5a4917bf5cp-4, -0x1.6cb5f643bc36dp-4, -0x1.6401138a864acp-4, -0x1.5b8548980d49ep-4, -0x1.5340efa960ab4p-4, -0x1.4b32708efecf8p-4, -0x1.435840388667p-4, -0x1.3bb0e043bdf2dp-4, -0x1.343ade8f5f24dp-4, -0x1.2cf4d4d18c44ap-4, -0x1.25dd68315af0ap-4, -0x1.1ef348e44bbc9p-4, -0x1.183531ceeebfcp-4, -0x1.11a1e8240d338p-4, -0x1.0b383b1317597p-4, -0x1.04f7036e7db72p-4, -0x1.fdba46a95cc76p-5, -0x1.f1d30bc695fcbp-5, -0x1.e6363dd05caabp-5, -0x1.dae1d52bc0db7p-5, -0x1.cfd3da75b7ffcp-5, -0x1.c50a65f5b84e4p-5, -0x1.ba839f15282a3p-5, -0x1.b03dbbdcf78efp-5, -0x1.a6370074d1448p-5, -0x1.9c6dbea933beap-5, -0x1.92e055743c4bfp-5, -0x1.898d308b10d24p-5, -0x1.8072c7ef3f337p-5, -0x1.778f9f83d46f8p-5, -0x1.6ee246a623c58p-5, -0x1.666957ca5e8cap-5, -0x1.5e23781b034fdp-5, -0x1.560f571d65328p-5, -0x1.4e2bae571e5d2p-5, -0x1.467740f85292p-5, -0x1.3ef0db887e13dp-5, -0x1.37975396411ap-5, -0x1.3069876a00123p-5, -0x1.29665dbb40662p-5, -0x1.228cc568a3dfbp-5, -0x1.1bdbb532884a8p-5, -0x1.15522b781b20bp-5, -0x1.0eef2df6c2ff6p-5, -0x1.08b1c98bcb8a2p-5, -0x1.029911f855d8ap-5, -0x1.f948434edfc2fp-6, -0x1.eda432ec688a7p-6, -0x1.e24440fbc8ce9p-6, -0x1.d726c7bfcb36bp-6, -0x1.cc4a2d2759547p-6, -0x1.c1ace26c2afep-6, -0x1.b74d63b77953ep-6, -0x1.ad2a37c821197p-6, -0x1.a341ef8e6dc7dp-6, -0x1.999325f7db45bp-6, -0x1.901c7f7cf4ccap-6, -0x1.86dca9e4d8451p-6, -0x1.7dd25bf6fe24bp-6, -0x1.74fc55324158ap-6, -0x1.6c595d870962dp-6, -0x1.63e84513ec61dp-6, -0x1.5ba7e3e4b27c5p-6, -0x1.539719b39836dp-6, -0x1.4bb4cdacbecf4p-6, -0x1.43ffee33c22d6p-6, -0x1.3c7770ab5bc61p-6, -0x1.351a513f02433p-6, -0x1.2de792ae71874p-6, -0x1.26de3e1b080cdp-6, -0x1.1ffd62d6e269dp-6, -0x1.19441635a8fefp-6, -0x1.12b1735f216c1p-6, -0x1.0c449b2247201p-6, -0x1.05fcb3cd1e405p-6, -0x1.ffb1d201b4dfcp-7, -0x1.f3b0d718dffd8p-7, -0x1.e7f4e28afaf46p-7, -0x1.dc7c69c55463bp-7, -0x1.d145ebb3b7931p-7, -0x1.c64ff077e92c6p-7, -0x1.bb990928b752p-7, -0x1.b11fcf91777c1p-7, -0x1.a6e2e5f373babp-7, -0x1.9ce0f6ca1206ep-7, -0x1.9318b49113c9cp-7, -0x1.8988d98bb961ep-7, -0x1.8030278edf0cbp-7, -0x1.770d67cc5eea2p-7, -0x1.6e1f6aa04eb22p-7, -0x1.6565075fd85d8p-7, -0x1.5cdd1c29af2bep-7, -0x1.54868db80d519p-7, -0x1.4c604734377d5p-7, -0x1.44693a0b697ffp-7, -0x1.3ca05dc536a3fp-7, -0x1.3504afdb03c6fp-7, -0x1.2d95339123b8cp-7, -0x1.2650f1d0b3d93p-7, -0x1.1f36f90319282p-7, -0x1.18465cee788bfp-7, -0x1.117e36934baabp-7, -0x1.0adda40b009a1p-7, -0x1.0463c867972aap-7, -0x1.fc1f97287f38dp-8, -0x1.efc1b46de68c3p-8, -0x1.e3ac4b2600dc8p-8, -0x1.d7ddc6d8dfba4p-8, -0x1.cc549bd884a4dp-8, -0x1.c10f470af5824p-8, -0x1.b60c4db5e6f9fp-8, -0x1.ab4a3d4bf8794p-8, -0x1.a0c7ab3b7027p-8, -0x1.968334be6551ep-8, -0x1.8c7b7eac431d4p-8, -0x1.82af354c91b0bp-8, -0x1.791d0c2b079adp-8, -0x1.6fc3bdecdbcdbp-8, -0x1.66a20c2750531p-8, -0x1.5db6bf375ea42p-8, -0x1.5500a61a816b7p-8, -0x1.4c7e96488d9eap-8, -0x1.442f6b8e8ae3fp-8, -0x1.3c1207ea8e15p-8, -0x1.3425536891a56p-8, -0x1.2c683c003e22p-8, -0x1.24d9b5739d294p-8, -0x1.1d78b92eb3797p-8, -0x1.164446280a891p-8, -0x1.0f3b60c199d25p-8, -0x1.085d12a96d68bp-8, -0x1.01a86abed0dbcp-8, -0x1.f638f9ebabb7p-9, -0x1.e970c47345fa3p-9, -0x1.dcf670a384b93p-9, -0x1.d0c8439097074p-9, -0x1.c4e48b9feac63p-9, -0x1.b949a055b2b2ap-9, -0x1.adf5e2239f3e8p-9, -0x1.a2e7ba392c2ebp-9, -0x1.981d9a549efccp-9, -0x1.8d95fc9578c4bp-9, -0x1.834f634fc960fp-9, -0x1.794858e0989eep-9, -0x1.6f7f6f833fd4cp-9, -0x1.65f34127d2cf8p-9, -0x1.5ca26f4a725f6p-9, -0x1.538ba2cb9d59fp-9, -0x1.4aad8bc95ed82p-9, -0x1.4206e1795a427p-9, -0x1.39966203c0fcdp-9, -0x1.315ad25f9b878p-9, -0x1.2952fe2744b7ep-9, -0x1.217db7937ef6cp-9, -0x1.19d9d71f5f48ep-9, -0x1.12663ba8f12ccp-9, -0x1.0b21ca261e6d1p-9, -0x1.040b6d922f07dp-9, -0x1.fa442d9bdb724p-10, -0x1.ecc97901ac7abp-10, -0x1.dfa4b5f655e38p-10, -0x1.d2d3e83168f0dp-10, -0x1.c6551e484399ap-10, -0x1.ba267175f8cd5p-10, -0x1.ae460564763aap-10, -0x1.a2b207f6b60d5p-10, -0x1.9768b1140c655p-10, -0x1.8c68427489c7bp-10, -0x1.81af076e5e42fp-10, -0x1.773b54c4440ap-10, -0x1.6d0b8874f3c56p-10, -0x1.631e098b8674ap-10, -0x1.597147f0ed693p-10, -0x1.5003bc3e011fep-10, -0x1.46d3e78f12495p-10, -0x1.3de053577d12dp-10, -0x1.35279136ede84p-10, -0x1.2ca83acf4a973p-10, -0x1.2460f19ac87b9p-10, -0x1.1c505ec3da6c9p-10, -0x1.147532fd9ba35p-10, -0x1.0cce265e04df4p-10, -0x1.0559f8390c2dap-10, -0x1.fc2edde7e24efp-11, -0x1.ee0aafa2565ffp-11, -0x1.e0450dd7519e8p-11, -0x1.d2dbae451345p-11, -0x1.c5cc5398d0607p-11, -0x1.b914cd3446021p-11, -0x1.acb2f7034f12p-11, -0x1.a0a4b93a84b4dp-11, -0x1.94e808140b725p-11, -0x1.897ae38f78fep-11, -0x1.7e5b5733ab324p-11, -0x1.738779d2137e3p-11, -0x1.68fd6d4b48d6p-11, -0x1.5ebb5e54ba521p-11, -0x1.54bf843f90385p-11, -0x1.4b0820c099363p-11, -0x1.41937fb92ffa8p-11, -0x1.385ff7010c922p-11, -0x1.2f6be630dedb6p-11, -0x1.26b5b66e45199p-11, -0x1.1e3bda3937e22p-11, -0x1.15fccd3a1503dp-11, -0x1.0df714101ed8dp-11, -0x1.06293c21445c4p-11, -0x1.fd23b6d6e45ffp-12, -0x1.ee5f20acf3a8dp-12, -0x1.e002030d73b5fp-12, -0x1.d209bb60eff9fp-12, -0x1.c473b6d727d5ep-12, -0x1.b73d7210f17aep-12, -0x1.aa6478cb45948p-12, -0x1.9de6658c763eep-12, -0x1.91c0e1541c714p-12, -0x1.85f1a3495d9e8p-12, -0x1.7a767076a2fc4p-12, -0x1.6f4d1b72eb6p-12, -0x1.64738420579bp-12, -0x1.59e7975e8f4bep-12, -0x1.4fa74ec2a49dap-12, -0x1.45b0b04ee51c2p-12, -0x1.3c01ce2c2fa4dp-12, -0x1.3298c665050c3p-12, -0x1.2973c2a32abc2p-12, -0x1.2090f7ef61338p-12, -0x1.17eea67351855p-12, -0x1.0f8b193ccdf7fp-12, -0x1.0764a60231f8p-12, -0x1.fef359cca6838p-13, -0x1.ef9130797464dp-13, -0x1.e09fb89b8f457p-13, -0x1.d21bee369ecc1p-13, -0x1.c402e04d9ea22p-13, -0x1.b651b0754e089p-13, -0x1.a905926cd6189p-13, -0x1.9c1bcbb4e8346p-13, -0x1.8f91b3283d8c9p-13, -0x1.8364b09fed921p-13, -0x1.77923c993ce82p-13, -0x1.6c17dfd4cd2ebp-13, -0x1.60f332f4af459p-13, -0x1.5621de1ac305cp-13, -0x1.4ba1988902c5fp-13, -0x1.41702845ecb6bp-13, -0x1.378b61ca2fd6bp-13, -0x1.2df1273982b28p-13, -0x1.249f69bdf428fp-13, -0x1.1b94264c1da2bp-13, -0x1.12cd6826d060bp-13, -0x1.0a494719812d6p-13, -0x1.0205e78631ce8p-13, -0x1.f402f4253c264p-14, -0x1.e47476b33a7a2p-14, -0x1.d55ce7445cf45p-14, -0x1.c6b8ed2f98a71p-14, -0x1.b88546123cd49p-14, -0x1.aabec3eabe0d8p-14, -0x1.9d6252fe8109fp-14, -0x1.906ced324f335p-14, -0x1.83dba5d727f2dp-14, -0x1.77aba2821a3fp-14, -0x1.6bda1c1d540abp-14, -0x1.60645e5081903p-14, -0x1.5547c6f69efc1p-14, -0x1.4a81c5a32da91p-14, -0x1.400fdb394c9eep-14, -0x1.35ef9994578d4p-14, -0x1.2c1ea33f1b152p-14, -0x1.229aab2e8ba01p-14, -0x1.19617472020e9p-14, -0x1.1070d1d459768p-14, -0x1.07c6a5775a9e4p-14, -0x1.fec1c0bb89a86p-15, -0x1.ee7b03c12402fp-15, -0x1.deb52e436a8fap-15, -0x1.cf6c752dac05fp-15, -0x1.c09d27920e2dep-15, -0x1.b243ad3e3e9e5p-15, -0x1.a45c849729bfbp-15, -0x1.96e44817b3f49p-15, -0x1.89d7aa089808ap-15, -0x1.7d33736d89827p-15, -0x1.70f4855ed3cc4p-15, -0x1.6517d8421c981p-15, -0x1.599a7ae51a7bp-15, -0x1.4e79918e4b52ap-15, -0x1.43b254fd43df9p-15, -0x1.3942116d49ebcp-15, -0x1.2f2625b5cfb79p-15, -0x1.255c02a3f7596p-15, -0x1.1be12a4d1c2afp-15, -0x1.12b331743bb7dp-15, -0x1.09cfbce680691p-15, -0x1.01348508f7b3dp-15, -0x1.f1bea43a23e51p-16, -0x1.e19bf34c35775p-16, -0x1.d1fcd37567426p-16, -0x1.c2dd3c13600e6p-16, -0x1.b4393deb32efep-16, -0x1.a60d08bc9dccp-16, -0x1.9854e89a01146p-16, -0x1.8b0d43f6bcd5ep-16, -0x1.7e329a874b7e1p-16, -0x1.71c1847368b25p-16, -0x1.65b6b2146d7b2p-16, -0x1.5a0eebffa91a9p-16, -0x1.4ec713616e3ccp-16, -0x1.43dc226ccfac4p-16, -0x1.394b2c216c3fep-16, -0x1.2f115b96399e4p-16, -0x1.252bf2b960181p-16, -0x1.1b9848d9d621ap-16, -0x1.1253c94a7168p-16, -0x1.095bf2543e335p-16, -0x1.00ae54928d747p-16, -0x1.f091253ecb81cp-17, -0x1.e050c133e79e5p-17, -0x1.d09706edecc1dp-17, -0x1.c15fa113a0f91p-17, -0x1.b2a65ae81895fp-17, -0x1.a46720b7d579p-17, -0x1.969e006ab32adp-17, -0x1.894729e1f59f9p-17, -0x1.7c5eedc50a078p-17, -0x1.6fe1bd32c235bp-17, -0x1.63cc265d1090ep-17, -0x1.581ad30de3f01p-17, -0x1.4cca80fadca3ap-17, -0x1.41d81677bf18ep-17, -0x1.37407f7392995p-17, -0x1.2d00c34ea0e5ep-17, -0x1.23160507fd87cp-17, -0x1.197d7ac7ad6ecp-17, -0x1.1034708f65ae1p-17, -0x1.073847e77b6eap-17, -0x1.fd0cefb99198fp-18, -0x1.ec3919d330d01p-18, -0x1.dbf0513207a35p-18, -0x1.cc2e01d8d0588p-18, -0x1.bcedbf5ad1476p-18, -0x1.ae2b4384e3d2ep-18, -0x1.9fe26ce3d8d82p-18, -0x1.920f3cf637a9fp-18, -0x1.84add47277c5ep-18, -0x1.77ba7a2ddfe51p-18, -0x1.6b31883f32477p-18, -0x1.5f0f76930369bp-18, -0x1.5350e9347951cp-18, -0x1.47f2842759893p-18, -0x1.3cf118ee6b506p-18, -0x1.324990087765cp-18, -0x1.27f8ee910f362p-18, -0x1.1dfc54c4a9eaap-18, -0x1.1450fb54fdc57p-18, -0x1.0af431944eb9cp-18, -0x1.01e35c7230cd3p-18, -0x1.f237cf7204bf4p-19, -0x1.e1369488d6f06p-19, -0x1.d0bef14885e22p-19, -0x1.c0cbc2d23116dp-19, -0x1.b158df5c695c3p-19, -0x1.a262118a4983cp-19, -0x1.93e3459e6e2c7p-19, -0x1.85d8851b8b972p-19, -0x1.783df5d279853p-19, -0x1.6b0fdbeb6a48dp-19, -0x1.5e4a9dc9de2c4p-19, -0x1.51eac848202e9p-19, -0x1.45ed0e002c43p-19, -0x1.3a4e43fcb5fadp-19, -0x1.2f0b597795cffp-19, -0x1.242150e4e0b63p-19, -0x1.198d3d345eb14p-19, -0x1.0f4c440c52f33p-19, -0x1.055ba2b209a49p-19, -0x1.f771652b08cbap-20, -0x1.e4c1d6fd4dc01p-20, -0x1.d2a3c526e4a3ep-20, -0x1.c1128cb759911p-20, -0x1.b009b23bf81e7p-20, -0x1.9f84d7ffcf378p-20, -0x1.8f7fba530f159p-20, -0x1.7ff632e696b1cp-20, -0x1.70e44080178e5p-20, -0x1.62460f558bfd9p-20, -0x1.5417e795e1289p-20, -0x1.465687cdc9dc5p-20, -0x1.38fe586aa0971p-20, -0x1.2c0c7394de6a7p-20, -0x1.1f7d5de2b0396p-20, -0x1.134de77b58f18p-20, -0x1.077b6268cf1c7p-20, -0x1.f8058555533p-21, -0x1.e1c2655688f04p-21, -0x1.cc2806bfb17eap-21, -0x1.b7314c2591aacp-21, -0x1.a2d953da46a53p-21, -0x1.8f1b691490a4ap-21, -0x1.7bf2f3030e02ep-21, -0x1.695b6b82d60a8p-21, -0x1.575063645ca8p-21, -0x1.45cd90bf687c7p-21, -0x1.34ceddc727048p-21, -0x1.24506f3566d57p-21, -0x1.144e9e82fdc81p-21, -0x1.04c5eaa348702p-21, -0x1.eb65cf73c27fep-22, -0x1.ce2470260544p-22, -0x1.b1c122fa7e45cp-22, -0x1.96358e614e58ap-22, -0x1.7b7ba33fef123p-22, -0x1.618d7e3fd1177p-22, -0x1.48656c592bd5ap-22, -0x1.2ffdeaf18829p-22, -0x1.1851b08811bb9p-22, -0x1.015bb27f96704p-22, -0x1.d62e38dc8180ep-23, -0x1.aafe79429fc99p-23, -0x1.811ee21d5330bp-23, -0x1.5886336035ca9p-23, -0x1.312b8864c39ep-23, -0x1.0b061a5c9e884p-23, -0x1.cc1b9fea7b7f7p-24, -0x1.84760c11a8496p-24, -0x1.3f0d0f05bd0cdp-24, -0x1.f7a5900dda985p-25, -0x1.756ff5032733dp-25, -0x1.eeb96668cd0a4p-26, -0x1.f54dd0d197da5p-27, -0x1.ce3c3eed1c851p-31, 0x1.ac30d0aa6134ep-27, 0x1.b32737b228eefp-26, 0x1.4474808bc78acp-25, 0x1.abc5ac959b0ccp-25, 0x1.07ce8a2eadca2p-24, 0x1.38080a04f6463p-24, 0x1.66997e42fe1edp-24, 0x1.938d01dde82aap-24, 0x1.beec55bf7c3fdp-24, 0x1.e8c11cc073506p-24, 0x1.088a6a8352e47p-23, 0x1.1bf86798e6432p-23, 0x1.2eaf04efd84a4p-23, 0x1.40b28321ebe1fp-23, 0x1.5206e2bb82db1p-23, 0x1.62b00315bde1ep-23, 0x1.72b1c736b6498p-23, 0x1.82101ae644d3bp-23, 0x1.90ceda427b0ebp-23, 0x1.9ef1b8cebe8bcp-23, 0x1.ac7c38bf93953p-23, 0x1.b971be6a0ce36p-23, 0x1.c5d5a84efbdeep-23, 0x1.d1ab49329ed14p-23, 0x1.dcf5d7717f26p-23, 0x1.e7b8604323502p-23, 0x1.f1f5e708cecb4p-23, 0x1.fbb157c6257dp-23, 0x1.0276cbeb293cep-22, 0x1.06d6c2d0e9517p-22, 0x1.0af9fb05711d1p-22, 0x1.0ee1d7daafd87p-22, 0x1.128fb3d081458p-22, 0x1.1604e0d95d954p-22, 0x1.1942a9b070dcap-22, 0x1.1c4a51d8b47edp-22, 0x1.1f1d05a7b88acp-22, 0x1.21bb8f14a81c7p-22, 0x1.2428146c5b4d5p-22, 0x1.2663297d3762fp-22, 0x1.286dc92e9aa6cp-22, 0x1.2a49417a47b97p-22, 0x1.2bf6a933f3171p-22, 0x1.2d77360fc457ep-22, 0x1.2ecbc7a5687d6p-22, 0x1.2ff577782affp-22, 0x1.30f54b903f666p-22, 0x1.31cc40f5a6039p-22, 0x1.327b4e17eb0b4p-22, 0x1.330364e6b5a82p-22, 0x1.3365764d40a42p-22, 0x1.33a26fc9f194ap-22, 0x1.33bb3974e8ef4p-22, 0x1.33b0bb382852dp-22, 0x1.3383dbb7d5f67p-22, 0x1.33357cc5108f3p-22, 0x1.32c67a2975b8fp-22, 0x1.3237aa552d4e4p-22, 0x1.3189dfccbffd6p-22, 0x1.30bde42eefa6dp-22, 0x1.2fd468f29a929p-22, 0x1.2ece83641fbc9p-22, 0x1.2dacd46b010dap-22, 0x1.2c7001055c78ep-22, 0x1.2b18edf8f5329p-22, 0x1.29a85362f9633p-22, 0x1.281ee4aeaa205p-22, 0x1.267d5d62e00afp-22, 0x1.24c4734b7b6aap-22, 0x1.22f4dab6e03c6p-22, 0x1.210f431724e25p-22, 0x1.1f1458cbaef45p-22, 0x1.1d04c535fe854p-22, 0x1.1ae12e8daadd2p-22, 0x1.18aa484c158d7p-22, 0x1.1660857462e66p-22, 0x1.1404b2887556ap-22, 0x1.11975f0dab5f8p-22, 0x1.0f1928a333c05p-22, 0x1.0c8aa8faf3ed3p-22, 0x1.09ec772f1b28ep-22, 0x1.073f27323f997p-22, 0x1.04834bf798221p-22, 0x1.01b881a5c1512p-22, 0x1.fdc4348cf7c36p-23, 0x1.f7fbb42d502b2p-23, 0x1.f21a79d5de563p-23, 0x1.ec21a3b2d546ep-23, 0x1.e61222d0a4f5dp-23, 0x1.dfecf6eaa54bcp-23, 0x1.d9b324e26515cp-23, 0x1.d365a8f1484a9p-23, 0x1.cd057b98fcbd2p-23, 0x1.c693928f3eefdp-23, 0x1.c010dd2fad90cp-23, 0x1.b97e459fc84b8p-23, 0x1.b2dcb17a96b25p-23, 0x1.ac2d0e91723efp-23, 0x1.a57024ba8b7b7p-23, 0x1.9ea6e298c7ef7p-23, 0x1.97d217173bef1p-23, 0x1.90f29576dab46p-23, 0x1.8a092cbdf399ep-23, 0x1.8316a7012c4bdp-23, 0x1.7c1bc5d5aea81p-23, 0x1.751b38cf98ef9p-23, 0x1.6e0dfe7b28ebep-23, 0x1.6700a9e1c1a1ep-23, 0x1.5fec24ea23936p-23, 0x1.58d36a14b843fp-23, 0x1.51b63c8f98b7ep-23, 0x1.4a95d05cfcda6p-23, 0x1.4372d25a14be8p-23, 0x1.3c4dee11ae8e8p-23, 0x1.3527b95e7a886p-23, 0x1.2e00d2fdf5de2p-23, 0x1.26da018475077p-23, 0x1.1fb3a86d338fcp-23, 0x1.188e73b5bf25ap-23, 0x1.116af52f22188p-23, 0x1.0a4997066deccp-23, 0x1.032b30b9871b9p-23, 0x1.f82089c37e5dep-24, 0x1.e9f231fff3e9cp-24, 0x1.dbcca11c5d85fp-24, 0x1.cdb0f2535a282p-24, 0x1.bf9fd80bf0537p-24, 0x1.b19a8503b1fd1p-24, 0x1.a3a1b0d41dc93p-24, 0x1.95b5db4685057p-24, 0x1.87d909ff735a2p-24, 0x1.7a11e453657e6p-24, 0x1.6c4d951bc1feep-24, 0x1.5ea27e8e92a23p-24, 0x1.51084438ecc5dp-24, 0x1.4380393ca06abp-24, 0x1.360b4df4ba72fp-24, 0x1.28aa525e6192ep-24, 0x1.1b5dfa6fdec2bp-24, 0x1.0e26f686974p-24, 0x1.0105f0e6b9fd7p-24, 0x1.e7f719ef7f2d8p-25, 0x1.ce10cd3b912e2p-25, 0x1.b45a37659fd46p-25, 0x1.9ad49414e8617p-25, 0x1.8180eeb51cbdfp-25, 0x1.68605474e0647p-25, 0x1.4f73d7332f9f9p-25, 0x1.36bc7c7c756bp-25, 0x1.1e3b3c6c8e2abp-25, 0x1.05f1069f1fc5ep-25, 0x1.dbbd82003f6e5p-26, 0x1.ac0a90d627a7dp-26, 0x1.7ccae1cd105d9p-26, 0x1.4e000b595fcfdp-26, 0x1.1fab929d8432ap-26, 0x1.e39dd7b4c67c1p-27, 0x1.88d6f5ac3c5fdp-27, 0x1.2f05218b647p-27, 0x1.ac55695d64d72p-28, 0x1.f927860b7a864p-29, 0x1.3b2c9abddb02ep-30, -0x1.73fd279a55d54p-30, -0x1.06c9a5df31671p-28, -0x1.ae9007188034fp-28, -0x1.2a2709d90c71fp-27, -0x1.7c00434a4a771p-27, -0x1.ccd21b222524bp-27, -0x1.0e4d83c527278p-26, -0x1.35acb62ea4f15p-26, -0x1.5c8685e0b7953p-26, -0x1.82dcffa7f7248p-26, -0x1.a8a6ba02bf34p-26, -0x1.cdec6be4f5ddcp-26, -0x1.f2aa675955956p-26, -0x1.0b701b86bb261p-25, -0x1.1d450372a1e36p-25, -0x1.2ed9929d8e59dp-25, -0x1.4027574282643p-25, -0x1.51305efba9e66p-25, -0x1.61f5c5b5d9f46p-25, -0x1.7276186b111bcp-25, -0x1.82b1a62d57182p-25, -0x1.92a888c893bbfp-25, -0x1.a25aafb0707f5p-25, -0x1.b1c8190ef1727p-25, -0x1.c0f1583b819afp-25, -0x1.cfd5d1f590b18p-25, -0x1.de75dc509d5c4p-25, -0x1.ecd197910413p-25, -0x1.fae9216735f68p-25, -0x1.045e4e7a9d89ep-24, -0x1.0b26191145741p-24, -0x1.11cc0697f6852p-24, -0x1.18502f40815f9p-24, -0x1.1eb2ad3c202bdp-24, -0x1.24f39caf8d591p-24, -0x1.2b131ba47f84ap-24, -0x1.311149f850f9cp-24, -0x1.36ee494915cbp-24, -0x1.3caa3ce7fa401p-24, -0x1.424549d4ac54cp-24, -0x1.47bf96b4219dfp-24, -0x1.4d194bc4c720ep-24, -0x1.525292d321dffp-24, -0x1.576b972cc7aefp-24, -0x1.5c6485619a0e4p-24, -0x1.613d8ca1ea966p-24, -0x1.65f6e084645b6p-24, -0x1.6a90aa767b667p-24, -0x1.6f0b1664c1262p-24, -0x1.73665efe24b3bp-24, -0x1.779eee8af25cdp-24, -0x1.7bc00421594e6p-24, -0x1.7fbfad368e154p-24, -0x1.83a084b65f4adp-24, -0x1.8763580b46df9p-24, -0x1.8b0854b796954p-24, -0x1.8e8fb61c2fc11p-24, -0x1.91f9b8d3a0cb7p-24, -0x1.95469c679311dp-24, -0x1.98769bfcbd6f2p-24, -0x1.9b89f0be3f29dp-24, -0x1.9e80d52134367p-24, -0x1.a15b98d812255p-24, -0x1.a41a75426f7f2p-24, -0x1.a6bdaf83db7a7p-24, -0x1.a945880317c9p-24, -0x1.abb2517f341cfp-24, -0x1.ae0532ced655p-24, -0x1.b03f5a7a5fd6bp-24, -0x1.b27d931e2996dp-24, -0x1.b45eb5d056861p-24, -0x1.b644806351c4bp-24, -0x1.b81398bcd8f0ep-24, -0x1.b9c9c1f1d4247p-24, -0x1.bb67054a6b841p-24, -0x1.bceb8b98e1ca7p-24, -0x1.be579aa7cd2dfp-24, -0x1.bfab948097ec8p-24, -0x1.c0e7a8a05166cp-24, -0x1.c20c25bc3018p-24, -0x1.c31952db1d935p-24, -0x1.c40f77f59ba9ep-24, -0x1.c4eedd3943bccp-24, -0x1.c5b7caf6d1cecp-24, }}, 
      {{-0x1.974e096f30388p-8, -0x1.ad3ef1df1ead5p-7, -0x1.5aa14f16b5f43p-6, -0x1.f652d47bb1148p-6, -0x1.5547d4633a9f4p-5, -0x1.baa0f2d75bd95p-5, -0x1.148df45614ebap-4, -0x1.4efc426dee801p-4, -0x1.8b132f6092e6dp-4, -0x1.c74499d6d96b5p-4, -0x1.010ac4d04fda3p-3, -0x1.1d17ad5455261p-3, -0x1.37352d043f7f3p-3, -0x1.4ee99126f4baep-3, -0x1.63d5fc37b6de9p-3, -0x1.75b5a31eda385p-3, -0x1.845c09e9be8dap-3, -0x1.8fb29b19df2aap-3, -0x1.97b5e3f22ef52p-3, -0x1.9c72b10c71029p-3, -0x1.9e033513998ep-3, -0x1.9c8c56fee213bp-3, -0x1.983b39d685438p-3, -0x1.914307a360df2p-3, -0x1.87db03143ae55p-3, -0x1.7c3cdf310eb18p-3, -0x1.6ea359e35aadap-3, -0x1.5f4914b3ebcc3p-3, -0x1.4e67a6649d151p-3, -0x1.3c36df8aabc19p-3, -0x1.28ec3bf14fd9ap-3, -0x1.14ba7a9a6a349p-3, -0x1.ffa2acedcfb5cp-4, -0x1.d4bab4754dc4cp-4, -0x1.a90f94c808e9fp-4, -0x1.7ced429e02fbp-4, -0x1.509932dee0ffep-4, -0x1.2452844186982p-4, -0x1.f0a4714a807dfp-5, -0x1.9996f3f0ecbc7p-5, -0x1.43d7cd91604bap-5, -0x1.df6f8b59e0995p-6, -0x1.3afba48aa14c8p-6, -0x1.359ef072ff9cap-7, 0x1.54fb55eac96e5p-15, 0x1.2e2f340442515p-7, 0x1.282be1e892f2cp-6, 0x1.b3a8e09d4fa03p-6, 0x1.1cae4a042a7ecp-5, 0x1.5c903395275a2p-5, 0x1.996c1d01a2824p-5, 0x1.d338bb7d4eeb5p-5, 0x1.04f88d81d1084p-4, 0x1.1eca1b6f95465p-4, 0x1.37124c72f7692p-4, 0x1.4dd3ff88682dp-4, 0x1.6313838ea6b9ap-4, 0x1.76d66fe06a8dfp-4, 0x1.89237f932946fp-4, 0x1.9a026f3716abep-4, 0x1.a97bdceb4db13p-4, 0x1.b7992aadd1a0cp-4, 0x1.c46462b6cee95p-4, 0x1.cfe81dc76a53ap-4, 0x1.da2f6b446329ap-4, 0x1.e345bb05dfd17p-4, 0x1.eb36c8c265bb8p-4, 0x1.f20e890060bf3p-4, 0x1.f7d9177deb454p-4, 0x1.fca2a6fc71d25p-4, 0x1.003bb931e7eadp-3, 0x1.01b1d796d221ep-3, 0x1.02b9c084442a4p-3, 0x1.03597754712dbp-3, 0x1.0396ebd94bb47p-3, 0x1.0377f5d8503c3p-3, 0x1.030251062f599p-3, 0x1.023b99789004ep-3, 0x1.0129488c5e411p-3, 0x1.ffa1646714c8fp-4, 0x1.fc6e05602ecb6p-4, 0x1.f8c2793cdf006p-4, 0x1.f4a86eecdeb2cp-4, 0x1.f0293c6287d7ap-4, 0x1.eb4ddce082ecp-4, 0x1.e61eef7bf702ap-4, 0x1.e0a4b624d6bb7p-4, 0x1.dae715894d6eap-4, 0x1.d4ed94a98e098p-4, 0x1.cebf5d704048dp-4, 0x1.c8633dcb0cd22p-4, 0x1.c1dfa7b064b4cp-4, 0x1.bb3ab421add66p-4, 0x1.b47a236815cb1p-4, 0x1.ada35f481709ap-4, 0x1.a6bb7e7429079p-4, 0x1.9fc74436625dap-4, 0x1.98cb24f7b54cep-4, 0x1.91cb4846d70bep-4, 0x1.8acb898aae3d3p-4, 0x1.83cf7d3cd07f4p-4, 0x1.7cda71d904d27p-4, 0x1.75ef71e4676a7p-4, 0x1.6f114903a540dp-4, 0x1.6842849987311p-4, 0x1.61857682b408dp-4, 0x1.5adc39d9a960bp-4, 0x1.5448b387334ffp-4, 0x1.4dcc95357496p-4, 0x1.4769617280f3ap-4, 0x1.41206c48b8facp-4, 0x1.3af2de0f77018p-4, 0x1.34e1b6e0a8cd4p-4, 0x1.2eedcf4fdb59cp-4, 0x1.2917dae597a09p-4, 0x1.23606b0825f5ap-4, 0x1.1dc7effe46528p-4, 0x1.184ebb00c7661p-4, 0x1.12f500b5dec8cp-4, 0x1.0dbada937cefdp-4, 0x1.08a04878818b1p-4, 0x1.03a532c7e856bp-4, 0x1.fd92d83b86b51p-5, 0x1.f41964f2c606dp-5, 0x1.eadd61c0857b4p-5, 0x1.e1de029416688p-5, 0x1.d91a5b23d69c8p-5, 0x1.d091610d94f51p-5, 0x1.c841efac36fp-5, 0x1.c02aca3a23875p-5, 0x1.b84a9cfc40548p-5, 0x1.b0a0005bebec8p-5, 0x1.a9297baf0da46p-5, 0x1.a1e5863f8c402p-5, 0x1.9ad2891866b34p-5, 0x1.93eee1e5ea25p-5, 0x1.8d38e4d3010a2p-5, 0x1.86aedd6bc4ef3p-5, 0x1.804f107d90134p-5, 0x1.7a17be982263dp-5, 0x1.7407255129dap-5, 0x1.6e1b7ff731b77p-5, 0x1.6853095d6b44ap-5, 0x1.62abfddaea87cp-5, 0x1.5d249c1aef218p-5, 0x1.57bb25ab4f0cep-5, 0x1.526de06606802p-5, 0x1.4d3b17f06fcebp-5, 0x1.48211e63b1db9p-5, 0x1.431e4c99693dp-5, 0x1.3e310306247b2p-5, 0x1.3957aaecfd808p-5, 0x1.3490b6fd25728p-5, 0x1.2fdaa3553c605p-5, 0x1.2b33f5e3b46a4p-5, 0x1.269b3f577bb38p-5, 0x1.220f1bae406eep-5, 0x1.1d8e3224b7c69p-5, 0x1.1917353fcc2d9p-5, 0x1.14a8e352b8e02p-5, 0x1.104206f930b44p-5, 0x1.0be1772ae194p-5, 0x1.0786171b0a419p-5, 0x1.032ed63f235fcp-5, 0x1.fdb5612e71008p-6, 0x1.f5115dd9d41f3p-6, 0x1.ec6fcd8039bf6p-6, 0x1.e3cef3f041c31p-6, 0x1.db2d2da764c6ap-6, 0x1.d288f0492c76p-6, 0x1.c9e0caba2950ap-6, 0x1.c13364810590dp-6, 0x1.b87f7d1a51f7ap-6, 0x1.afc3ebe6a39c2p-6, 0x1.a6ffa03f498p-6, 0x1.9e31a11f46857p-6, 0x1.95590c80de358p-6, 0x1.8c7516e3224a3p-6, 0x1.83850ad42a61p-6, 0x1.7a8848a14abf6p-6, 0x1.717e45f52d16bp-6, 0x1.68668d6cc8556p-6, 0x1.5f40bdf1b400fp-6, 0x1.560c89f9683d6p-6, 0x1.4cc9b705c17b4p-6, 0x1.43781d5bba458p-6, 0x1.3a17a7995ce2p-6, 0x1.30a851f9a5c4p-6, 0x1.272a297cdf442p-6, 0x1.1d9d4b572eb6p-6, 0x1.1401e4952e184p-6, 0x1.0a5831a0304b4p-6, 0x1.00a07d943be35p-6, 0x1.edb64311d700cp-7, 0x1.da1107d3047bfp-7, 0x1.c6522fca2bb1fp-7, 0x1.b27ab9d08812bp-7, 0x1.9e8bbc2804579p-7, 0x1.8a86636cf255ep-7, 0x1.766bf145a7224p-7, 0x1.623dbae58b3e8p-7, 0x1.4dfd27d177945p-7, 0x1.39abb112fe559p-7, 0x1.254ae0728bc3fp-7, 0x1.10dc4f4be6607p-7, 0x1.f8c34a0147672p-8, 0x1.cfb92b24cad24p-8, 0x1.a69dc1b93e121p-8, 0x1.7d74a4339cff4p-8, 0x1.54417de51872ap-8, 0x1.2b080bf69e9dep-8, 0x1.01cc1a7fe50d7p-8, 0x1.b12305c856304p-9, 0x1.5eb856571e197p-9, 0x1.0c6009d4dd7dap-9, 0x1.74442adccb0ecp-10, 0x1.a019e7bf1871bp-11, 0x1.6153f8a6df8bep-13, -0x1.dd4c590532b9ap-12, -0x1.1a5ba29d3d388p-10, -0x1.bcdef5eb6ce81p-10, -0x1.2f66729dfa559p-9, -0x1.800aab4f790ffp-9, -0x1.d054236234e0ap-9, -0x1.101d7200144ep-8, -0x1.37db804a4ac94p-8, -0x1.5f604cc154114p-8, -0x1.86a7f10349b84p-8, -0x1.adae92eb52926p-8, -0x1.d47065ad21ef9p-8, -0x1.fae9a93b02a32p-8, -0x1.108b54c0fb1fbp-7, -0x1.2379df935447ap-7, -0x1.363ea901513fbp-7, -0x1.48d7edf9a51a7p-7, -0x1.5b43f51cfe743p-7, -0x1.6d810e7bb9aa4p-7, -0x1.7f8d92f70709dp-7, -0x1.9167e421451e3p-7, -0x1.a30e6d01bcde1p-7, -0x1.b47fa358f7281p-7, -0x1.c5ba0896800cap-7, -0x1.d6bc29f49d618p-7, -0x1.e7849fddfaeddp-7, -0x1.f8120d4eabb98p-7, -0x1.04318fee9ed0ap-6, -0x1.0c3b48442bfc6p-6, -0x1.142592627da36p-6, -0x1.1befd78e3776dp-6, -0x1.23998782c537fp-6, -0x1.2b22181a6788bp-6, -0x1.328904fe7a2c1p-6, -0x1.39cdcfa274b7ep-6, -0x1.40efff925dd28p-6, -0x1.47ef22dcab206p-6, -0x1.4ecace50b673ep-6, -0x1.55829d69ca4bfp-6, -0x1.5c1631fbc89dcp-6, -0x1.628533dbac763p-6, -0x1.68cf50bd8d953p-6, -0x1.6ef43c5991491p-6, -0x1.74f3b0b873332p-6, -0x1.7acd6e6e56151p-6, -0x1.80813c9a40edap-6, -0x1.860ee8a7771eep-6, -0x1.8b7645f42837fp-6, -0x1.90b72d8dfe47dp-6, -0x1.95d17e24109ddp-6, -0x1.9ac51c2a4d642p-6, -0x1.9f91f20b34bcep-6, -0x1.a437f03ee8b26p-6, -0x1.a8b70d30fc7afp-6, -0x1.ad0f44fc10badp-6, -0x1.b1409918a41b4p-6, -0x1.b54b10217e29dp-6, -0x1.b92eb5c0474fap-6, -0x1.bceb9abf314e8p-6, -0x1.c081d52259ce7p-6, -0x1.c3f1802fd4a6fp-6, -0x1.c73abc537e5fp-6, -0x1.ca5daee36657dp-6, -0x1.cd5a81d7c97c7p-6, -0x1.d031638e4d227p-6, -0x1.d2e286a886f09p-6, -0x1.d56e22064b89p-6, -0x1.d7d470cd88442p-6, -0x1.da15b26bb0677p-6, -0x1.dc322a820b3a1p-6, -0x1.de2a20b9dc33ep-6, -0x1.dffde088f1cp-6, -0x1.e1adb8f552d1p-6, -0x1.e339fc669cd25p-6, -0x1.e4a3008afdb49p-6, -0x1.e5e91e4cf1101p-6, -0x1.e70cb1cdaba8bp-6, -0x1.e80e1a58c763ep-6, -0x1.e8edba49a7971p-6, -0x1.e9abf6e1db33bp-6, -0x1.ea493816b1be2p-6, -0x1.eac5e85ef4dc4p-6, -0x1.eb2274896c487p-6, -0x1.eb5f4ba048e09p-6, -0x1.eb7cded764efdp-6, -0x1.eb7ba17ebebfp-6, -0x1.eb5c08f25dac9p-6, -0x1.eb1e8c825951p-6, -0x1.eac3a551c5523p-6, -0x1.ea4bce3150a57p-6, -0x1.e9b78376d434fp-6, -0x1.e90742d4ecc7ep-6, -0x1.e83b8b3afcca5p-6, -0x1.e754dcbc91987p-6, -0x1.e653b87d5a515p-6, -0x1.e538a09f03802p-6, -0x1.e404182ec9974p-6, -0x1.e2b6a311328a3p-6, -0x1.e150c5eb0e0cbp-6, -0x1.dfd306074c949p-6, -0x1.de3de93a18c7cp-6, -0x1.dc91f5c1d8b4dp-6, -0x1.dacfb227d2dc9p-6, -0x1.d8f7a521b7ee1p-6, -0x1.d70a5575df88fp-6, -0x1.d50849e4205ffp-6, -0x1.d2f20915348b4p-6, -0x1.d0c81990d38ep-6, -0x1.ce8b01b8a170cp-6, -0x1.cc3b47c33b6a5p-6, -0x1.c9d971b1c5286p-6, -0x1.c766053c0a8eep-6, -0x1.c4e187b1c1ad8p-6, -0x1.c24c7dd3fcd46p-6, -0x1.bfa76bacf3a17p-6, -0x1.bcf2d46e38926p-6, -0x1.ba2f3a5c9519dp-6, -0x1.b75d1eccd3b6dp-6, -0x1.b47d022eb2befp-6, -0x1.b18f641cdf9abp-6, -0x1.ae94c365c12a9p-6, -0x1.ab8d9e0534c6cp-6, -0x1.a87a710622899p-6, -0x1.a55bb856f71fep-6, -0x1.a231ee9989f56p-6, -0x1.9efd8d00d9098p-6, -0x1.9bbf0b49cb6c8p-6, -0x1.9876dfd347a8fp-6, -0x1.95257fccda0b4p-6, -0x1.91cb5f667733ap-6, -0x1.8e68f1e606e25p-6, -0x1.8afea98b5c77ap-6, -0x1.878cf73a89b7ap-6, -0x1.841449fbe3cecp-6, -0x1.80950e756ec82p-6, -0x1.7d0fae914c99ep-6, -0x1.7984917f87f33p-6, -0x1.75f41c2c94e79p-6, -0x1.725eb2211988ep-6, -0x1.6ec4b696233bbp-6, -0x1.6b268d68f00cfp-6, -0x1.67849b8f7ddbdp-6, -0x1.63df46c410a08p-6, -0x1.6036f4501324p-6, -0x1.5c8c0723c7bdep-6, -0x1.58deddac73f9bp-6, -0x1.552fd007d817ap-6, -0x1.517f2f36e6437p-6, -0x1.4dcd45c282ca5p-6, -0x1.4a1a59ea4e9d5p-6, -0x1.4666b103716f3p-6, -0x1.42b29342ca4ccp-6, -0x1.3efe4ef2120cep-6, -0x1.3b4a3a029b997p-6, -0x1.3796b15735d34p-6, -0x1.33e4158b597d5p-6, -0x1.3032c5c1cd52ap-6, -0x1.2c8319965ca42p-6, -0x1.28d55bb480d67p-6, -0x1.2529c6995f71p-6, -0x1.218084a1fb419p-6, -0x1.1dd9b3cbb257dp-6, -0x1.1a356c9d90bd9p-6, -0x1.1693cad8b4bf6p-6, -0x1.12f4f5ec2174cp-6, -0x1.0f5927117fa48p-6, -0x1.0bc0ab4f278a9p-6, -0x1.082be08423cc4p-6, -0x1.049b2dc59e70cp-6, -0x1.010ef88363239p-6, -0x1.fb0f319988fa3p-7, -0x1.f40a9ed8b9afep-7, -0x1.ed10809444895p-7, -0x1.e620e547a0a0ep-7, -0x1.df3baec9cd913p-7, -0x1.d860a9064530fp-7, -0x1.d18fa6250fe5p-7, -0x1.cac89a17551fcp-7, -0x1.c40baf5d75535p-7, -0x1.bd595026b86c1p-7, -0x1.b6b221666f42fp-7, -0x1.b016f09a9ff4fp-7, -0x1.a988980404d9cp-7, -0x1.a307df3047b7bp-7, -0x1.9c955e7b10ebcp-7, -0x1.96316b778a8f7p-7, -0x1.8fdc122a7ae0dp-7, -0x1.89951c7af7953p-7, -0x1.835c265f84c63p-7, -0x1.7d30babe71e03p-7, -0x1.77127328b7ba8p-7, -0x1.710113db7efd3p-7, -0x1.6afc9e2a2a89dp-7, -0x1.650555978189dp-7, -0x1.5f1bb7059784cp-7, -0x1.594064a0b2463p-7, -0x1.53740b803cd77p-7, -0x1.4db748e7a18ffp-7, -0x1.480a93e8421b5p-7, -0x1.426e2f53875c2p-7, -0x1.3ce225121663ap-7, -0x1.37664b3ef3534p-7, -0x1.31fa51c64b742p-7, -0x1.2c9dd5d9d7b2dp-7, -0x1.2750778cda08fp-7, -0x1.2211ed3f7ff5dp-7, -0x1.1ce210cb51a38p-7, -0x1.17c0e42b32f9ap-7, -0x1.12ae8d835c546p-7, -0x1.0dab4c6f6a6b7p-7, -0x1.08b76bc4e3a61p-7, -0x1.03d333193b066p-7, -0x1.fdfdb57733374p-8, -0x1.f47507f13f349p-8, -0x1.eb0c6d73efdbap-8, -0x1.e1c3c94e644cdp-8, -0x1.d89ae0eeebc8ap-8, -0x1.cf916ce95cf7cp-8, -0x1.c6a72503ffa37p-8, -0x1.bddbc2de5861ep-8, -0x1.b52efd6189a44p-8, -0x1.aca08534b3787p-8, -0x1.a4300ae7c0d46p-8, -0x1.9bdd50dd7fe1p-8, -0x1.93a840f22b281p-8, -0x1.8b90f75f69cbep-8, -0x1.8397b6f0935d4p-8, -0x1.7bbcc66fe190ep-8, -0x1.74004630977d5p-8, -0x1.6c6214f31bd86p-8, -0x1.64e1d5a5ade62p-8, -0x1.5d7f14abc217fp-8, -0x1.563976709e507p-8, -0x1.4f10d0117119p-8, -0x1.48051613cad21p-8, -0x1.411626b2d8ff1p-8, -0x1.3a4390bad0f3dp-8, -0x1.338c8010955cdp-8, -0x1.2cefe8a2508fcp-8, -0x1.266ce46ab66a2p-8, -0x1.2003166b2280ep-8, -0x1.19b2da21a9f73p-8, -0x1.137d1f47e9c3cp-8, -0x1.0d630141d50f1p-8, -0x1.0765520a50e9ap-8, -0x1.018454a8f9a91p-8, -0x1.f77f817a6d648p-9, -0x1.ec2df5f5ccb1p-9, -0x1.e112ac003ac82p-9, -0x1.d62c6ad20ffa9p-9, -0x1.cb7a0a723537fp-9, -0x1.c0fa1ffab44a9p-9, -0x1.b6aa9f7c2b34dp-9, -0x1.ac88b725c2a08p-9, -0x1.a2911cac583bp-9, -0x1.98c0d66624da1p-9, -0x1.8f163b8a7d4fdp-9, -0x1.8591a3cfe043ep-9, -0x1.7c354af096761p-9, -0x1.730464e9f128ap-9, -0x1.6a01f2eca17c3p-9, -0x1.61300c67ae1f1p-9, -0x1.588fdc990b7ddp-9, -0x1.5022029549a51p-9, -0x1.47e6d391bebb8p-9, -0x1.3fde2fc675239p-9, -0x1.38070366be54p-9, -0x1.305ed037d635ap-9, -0x1.28e1b9bf1cfcp-9, -0x1.218b2bda4aedap-9, -0x1.1a56bdadc1ad9p-9, -0x1.1340e0c0d3069p-9, -0x1.0c4740d843ce8p-9, -0x1.0568fa1f8c109p-9, -0x1.fd4d58e303565p-10, -0x1.f0046379cb508p-10, -0x1.e2fbb3d08df02p-10, -0x1.d6372bf9e151dp-10, -0x1.c9b969451b65bp-10, -0x1.bd8478e408c25p-10, -0x1.b19aabbf52578p-10, -0x1.a5fed11c16914p-10, -0x1.9ab3d77dc42edp-10, -0x1.8fbbab6bc694fp-10, -0x1.851585111de49p-10, -0x1.7abcd9b60fa08p-10, -0x1.70a9e9b420a27p-10, -0x1.66d387213db13p-10, -0x1.5d310c2505338p-10, -0x1.53bbde6283343p-10, -0x1.4a704b6540ff6p-10, -0x1.414d878a444b9p-10, -0x1.3854c944a6076p-10, -0x1.2f882231cfb4ep-10, -0x1.26e9b752b152dp-10, -0x1.1e7b50f674a76p-10, -0x1.163e4da109359p-10, -0x1.0e33f460f5b3fp-10, -0x1.065da0dc32f77p-10, -0x1.fd79b34d4fdfep-11, -0x1.eea6e13018cd8p-11, -0x1.e0452d3d4f96cp-11, -0x1.d25271f06ad5fp-11, -0x1.c4c7f229da0b7p-11, -0x1.b79e0664361d8p-11, -0x1.aacf518c0b3b1p-11, -0x1.9e58fa1c8bb97p-11, -0x1.9238c360ecd36p-11, -0x1.866ae70328a8p-11, -0x1.7ae93a6be5fcp-11, -0x1.6fac3fa4fe2fcp-11, -0x1.64ace65e8f771p-11, -0x1.59e5d78ec583p-11, -0x1.4f55ce823df3p-11, -0x1.4501b94199efdp-11, -0x1.3af162c9e15a9p-11, -0x1.3128bf7c148c7p-11, -0x1.27a6afbc6cea2p-11, -0x1.1e6ae49443e72p-11, -0x1.15793c531181ep-11, -0x1.0cd3b3d37886dp-11, -0x1.04746c5bc42a9p-11, -0x1.f8a28a640f904p-12, -0x1.e8c538bfe7f7cp-12, -0x1.d94aca49f8a6fp-12, -0x1.ca33b049bd73p-12, -0x1.bb851220365e7p-12, -0x1.ad48df1b261b3p-12, -0x1.9f8bd1ede899p-12, -0x1.92568916bf4e2p-12, -0x1.85a40ee8c1cf9p-12, -0x1.795cd9166c338p-12, -0x1.6d5d7a21d964dp-12, -0x1.618bb547e109cp-12, -0x1.55eecd03b9053p-12, -0x1.4aa842529e36bp-12, -0x1.3fc7dff0351fcp-12, -0x1.353d343fb9b51p-12, -0x1.2aff94ce4a73bp-12, -0x1.2120bc664a8a6p-12, -0x1.17aa66b3dad75p-12, -0x1.0e8c3e6c8dd6ap-12, -0x1.05b09b9bc747cp-12, -0x1.fa1a6460a3debp-13, -0x1.e94301f38778dp-13, -0x1.d8dfba250f8e3p-13, -0x1.c8f272c76f72p-13, -0x1.b979c1744032p-13, -0x1.aa76e24594fc6p-13, -0x1.9bf529f2db38p-13, -0x1.8e09e24d71ad7p-13, -0x1.80c87307bdd67p-13, -0x1.7432e3a92e31dp-13, -0x1.682bd56e4e58bp-13, -0x1.5c712f4634705p-13, -0x1.50d017a24e12dp-13, -0x1.45721cacd3e49p-13, -0x1.3a96aa6bbf1a9p-13, -0x1.301c5caa74eadp-13, -0x1.25dcb2f95bce8p-13, -0x1.1c088a555cfa4p-13, -0x1.12bcb261c74ddp-13, -0x1.09d608b14cdbbp-13, -0x1.01329e6385276p-13, -0x1.f1942d29a755ep-14, -0x1.e13fd99293076p-14, -0x1.d170879f7439p-14, -0x1.c22a04db47874p-14, -0x1.b36bef2e88f33p-14, -0x1.a5322fa238ba4p-14, -0x1.9775f70f7ebf4p-14, -0x1.8a31dddcf22eap-14, -0x1.7d6842f0d0091p-14, -0x1.71246feaf1914p-14, -0x1.65711dfaba1dep-14, -0x1.5a53e086e014ap-14, -0x1.4fd5d3d8f3627p-14, -0x1.45d99cb478edbp-14, -0x1.3c0ba8d94e5ecp-14, -0x1.3283596fae888p-14, -0x1.2966dffc40f4cp-14, -0x1.20681d3d0f2d2p-14, -0x1.17c0eb1323b45p-14, -0x1.0fbb44dace3bcp-14, -0x1.081ee87ccad6bp-14, -0x1.00bbc4e1be623p-14, -0x1.f31d699cd6298p-15, -0x1.e540a236e0b5bp-15, -0x1.d7eb10b700c22p-15, -0x1.cb1d7e2048d01p-15, -0x1.bed41c08397cep-15, -0x1.b30a356d4e141p-15, -0x1.a7bbd6fb607f8p-15, -0x1.9ce5534cd727p-15, -0x1.92818d28b6accp-15, -0x1.888935041725fp-15, -0x1.7ef4f95742d3ap-15, -0x1.75c161122a184p-15, -0x1.6cec95f121931p-15, -0x1.646f5a46a8c6bp-15, -0x1.5c5b2bf2c4e8fp-15, -0x1.54f4f1dd782d6p-15, -0x1.4e0b8787559f6p-15, -0x1.473509854e35ap-15, -0x1.407103e58118cp-15, -0x1.39b9f6ec15f4dp-15, -0x1.339378ad60816p-15, -0x1.2de0d01ac1253p-15, -0x1.285772e21d577p-15, -0x1.22f1e90b188e2p-15, -0x1.1dbc0dbb6d08fp-15, -0x1.18bbc64661bdfp-15, -0x1.13f16ac5825a6p-15, -0x1.0f5ad4fc3f631p-15, -0x1.0af4ff4e11378p-15, -0x1.06bcde39ba123p-15, -0x1.02afdf7c39a1bp-15, -0x1.fd9852a0d3ecdp-16, -0x1.f620e1b2d21fap-16, -0x1.eef6a585c86dp-16, -0x1.e81466d09eb0cp-16, -0x1.e172c3ccddf27p-16, -0x1.db09d6ca9f686p-16, -0x1.d4d54a201d1f2p-16, -0x1.ced0dafe73abfp-16, -0x1.c8f302986b847p-16, -0x1.c355f0b839aecp-16, -0x1.be4743c9cdc9dp-16, -0x1.b96b6cec9904ap-16, -0x1.b458c35593c3ap-16, -0x1.af4c9ad3b225ap-16, -0x1.aab02a86b9ddap-16, -0x1.a64006646167p-16, -0x1.a1d7dee87666fp-16, -0x1.9d822d6e939dbp-16, -0x1.994642210f1a6p-16, -0x1.952507883a571p-16, -0x1.911d03e232148p-16, -0x1.8d2c270d12c57p-16, -0x1.895052be1297dp-16, -0x1.85877ef1d1357p-16, -0x1.81cfbc95d6bb1p-16, -0x1.7e27993cdfd13p-16, -0x1.7a8d5d67ee89ap-16, -0x1.77004718fd9c7p-16, -0x1.737f50a3fc06bp-16, -0x1.70097652177e4p-16, -0x1.6c9d181420eeep-16, -0x1.69381ac330da1p-16, -0x1.65d89613b081p-16, -0x1.627ddb3a31919p-16, -0x1.5f27eb0f69e87p-16, -0x1.5bd420a57f4c6p-16, -0x1.58820dfd3e2e6p-16, -0x1.5546974506665p-16, -0x1.520d27018efd7p-16, -0x1.4ebc8927720a5p-16, -0x1.4b7d88fc3da89p-16, -0x1.4842866f1c105p-16, -0x1.4500eca337ec8p-16, -0x1.41bcb1e027d1cp-16, -0x1.3e777ff817d73p-16, -0x1.3b3143d5a2d77p-16, -0x1.37e993d4a061p-16, -0x1.34a0031e8f5ccp-16, -0x1.3154349e1df3fp-16, -0x1.2e05dc9e620adp-16, -0x1.2ab4c3ee15208p-16, -0x1.2760824b03e88p-16, -0x1.240919b7c1c19p-16, -0x1.20ae4d72e248ep-16, -0x1.1d5003a4e776ep-16, -0x1.19ee2d4d8211ep-16, -0x1.1688c37fc8894p-16, -0x1.131fbcfc747bbp-16, -0x1.0fb3066ff114bp-16, -0x1.0c42839b0b5b5p-16, -0x1.08ce1d41f2379p-16, -0x1.0555e14ea98b6p-16, -0x1.01da1d0852ddep-16, -0x1.fcb5f3a893d8cp-17, -0x1.f5af5de023a66p-17, -0x1.eea186bb95f88p-17, -0x1.e7911644300fbp-17, -0x1.e076ac9afbd27p-17, -0x1.d95a1ba43a52bp-17, -0x1.d235ebbd4099cp-17, -0x1.cb0b0be85dfa9p-17, -0x1.c3daf87b61748p-17, -0x1.bca62fb02d7fdp-17, -0x1.b56d024edab1p-17, -0x1.ae2fc57386e3ep-17, -0x1.a6eed67f75cb4p-17, -0x1.9faa99134aff6p-17, -0x1.986375348e81ap-17, -0x1.9119d5d72aaa3p-17, -0x1.89ce28c1c81a3p-17, -0x1.8280de47fc90fp-17, -0x1.7b3268fbb3005p-17, -0x1.73e33a6ae2484p-17, -0x1.6c93cb26c4f11p-17, -0x1.654491c287631p-17, -0x1.5df60a52f3933p-17, -0x1.56a8b110fd6bdp-17, -0x1.4f5d000f72fa2p-17, -0x1.48136da12318ap-17, -0x1.40cc6ae8bfefap-17, -0x1.398862c8c7305p-17, -0x1.3247eec289e32p-17, -0x1.2b0b8f67bb5c4p-17, -0x1.23d3da28b65d9p-17, -0x1.1ca0ddc689a21p-17, -0x1.1572caf036466p-17, -0x1.0e4b1adab0bbap-17, -0x1.072abe467ec93p-17, -0x1.0010d2e2691f8p-17, -0x1.f1fb5e4caf10fp-18, -0x1.e3e4a330b5323p-18, -0x1.d5de6715ba957p-18, -0x1.c7e97de5ebd3cp-18, -0x1.ba06be5e051dbp-18, -0x1.ac37018d1bfefp-18, -0x1.9e7b18c54e367p-18, -0x1.90d3ddd0ab279p-18, -0x1.83421ec6e1fecp-18, -0x1.75c6a7dde7f27p-18, -0x1.6862412779c43p-18, -0x1.5b15ae25f1687p-18, -0x1.4de1adf6d48ecp-18, -0x1.40c6fb6e83edep-18, -0x1.33c64d2604a5p-18, -0x1.26e055d98e65fp-18, -0x1.1a15c578c0a04p-18, -0x1.0d6749ea0b319p-18, -0x1.00d58d039af83p-18, -0x1.e8c2602983b6bp-19, -0x1.d015944d7e3p-19, -0x1.b7a5d38dcd121p-19, -0x1.9f742df7c7f92p-19, -0x1.8781be034ea58p-19, -0x1.6fcfddbaecbdfp-19, -0x1.585fef51043ffp-19, -0x1.4132516a47144p-19, -0x1.2a45f4f6965c7p-19, -0x1.139ec9912f89dp-19, -0x1.fa7de95ed5382p-20, -0x1.ce4b7af86b92dp-20, -0x1.a2a2ebb8f3985p-20, -0x1.778a65328fce8p-20, -0x1.4d004a302867bp-20, -0x1.230964d0a9e62p-20, -0x1.f34c54e056352p-21, -0x1.a1aefcac576a7p-21, -0x1.513d2077244f2p-21, -0x1.01f8e7979bd47p-21, -0x1.67c8af91840bap-22, -0x1.9c054674e06c1p-23, -0x1.b51967256f8eep-25, 0x1.7949497bc0ae7p-24, 0x1.e1b6aec61e241p-23, 0x1.80f4f486af9e4p-22, 0x1.074e725501cd2p-21, 0x1.4ce88cbf9c399p-21, 0x1.9147da6d887d1p-21, 0x1.d46bafb66db95p-21, 0x1.0b299f0f999cep-20, 0x1.2b7ff66537bb8p-20, 0x1.4b408690abb78p-20, 0x1.6a4e644c17dd2p-20, 0x1.88c6816c4bef4p-20, 0x1.a6a083685430ep-20, 0x1.c3dbf591f763ap-20, 0x1.e078b504385c5p-20, 0x1.fc7679b8dccc1p-20, 0x1.0beace8738fb7p-19, 0x1.194c21439b1bdp-19, 0x1.265ec8c95df48p-19, 0x1.33202e1447bd9p-19, 0x1.3f9566d215f14p-19, 0x1.4bbc6158cf162p-19, 0x1.5793815810c21p-19, 0x1.631dff6d24007p-19, }}, 
      {{-0x1.5d6481acf7a73p-8, -0x1.67231a0d50468p-7, -0x1.18ad3bb32c00cp-6, -0x1.896f6f7d9d62ep-6, -0x1.03a70bf844d1ap-5, -0x1.4949b6163beacp-5, -0x1.9549faa34f9d4p-5, -0x1.e6f4f86803954p-5, -0x1.1eab6fbb0ea8ap-4, -0x1.4ba9d5d4413a3p-4, -0x1.79ddd727583b2p-4, -0x1.a8adf3e02d912p-4, -0x1.d785438fd21f7p-4, -0x1.02ec01ddd6e18p-3, -0x1.19935a870b7c4p-3, -0x1.2f8003eb70389p-3, -0x1.4480eaba52edap-3, -0x1.586caed6f2e23p-3, -0x1.6b217b73ce629p-3, -0x1.7c84ac4baf352p-3, -0x1.8c825037aed4ap-3, -0x1.9b0c963047899p-3, -0x1.a81b2ef01099dp-3, -0x1.b3aaaaf71bebdp-3, -0x1.bdbbdaa6960b6p-3, -0x1.c653348c9c1fcp-3, -0x1.cd7844ad6d3dap-3, -0x1.d3352699a8fep-3, -0x1.d7960b4dd3139p-3, -0x1.daa8cb3369d35p-3, -0x1.dc7c84452c3a6p-3, -0x1.dd2143e7f3efcp-3, -0x1.dca7bbb9f785cp-3, -0x1.db2100cb352p-3, -0x1.d89e5474ceb7ep-3, -0x1.d530f5a3d0f22p-3, -0x1.d0e9f9bb615eep-3, -0x1.cbda2c920cadbp-3, -0x1.c611f69d9bd05p-3, -0x1.bfa14839d777dp-3, -0x1.b897894811d61p-3, -0x1.b1038cdafc4c4p-3, -0x1.a8f3887b2f72cp-3, -0x1.a0750e4efe812p-3, -0x1.9795096c678bfp-3, -0x1.8e5fbc01a91edp-3, -0x1.84e0bf2a5fd5ap-3, -0x1.7b230444c21e5p-3, -0x1.7130d77981983p-3, -0x1.6713e31e8ff55p-3, -0x1.5cd533b2b47bfp-3, -0x1.527d3c4e14cafp-3, -0x1.4813db7614e17p-3, -0x1.3da0604c5c8c8p-3, -0x1.33298ffd6771bp-3, -0x1.28b5ab605ab2ap-3, -0x1.1e4a74abf27ccp-3, -0x1.13ed352e283f5p-3, -0x1.09a2c2fae9045p-3, -0x1.fedf0d10d1fefp-4, -0x1.eaaf006ce6d88p-4, -0x1.d6bc9b793ab75p-4, -0x1.c30e5ef7ee893p-4, -0x1.afaa1b6297084p-4, -0x1.9c94fb092766dp-4, -0x1.89d38be3fef25p-4, -0x1.7769c9155de45p-4, -0x1.655b2416992p-4, -0x1.53aa8d8dfbb92p-4, -0x1.425a7dcc1aa8ep-4, -0x1.316cfcf31ddcfp-4, -0x1.20e3aac46850dp-4, -0x1.10bfc61886c7ap-4, -0x1.010234011ef54p-4, -0x1.e3570d2f7d962p-5, -0x1.c57806eaf9d4fp-5, -0x1.a86753d3e9ffap-5, -0x1.8c24719a955ecp-5, -0x1.70ae683641483p-5, -0x1.5603d46d7b4c9p-5, -0x1.3c22f1d1abe01p-5, -0x1.2309a42553c89p-5, -0x1.0ab58035a2eacp-5, -0x1.e647a84cd9c82p-6, -0x1.b8a35e80474b3p-6, -0x1.8c77d28b84ccap-6, -0x1.61be527aa1942p-6, -0x1.386fd83379815p-6, -0x1.108515239bf2fp-6, -0x1.d3ecfba4c85cp-7, -0x1.8978a89b5cc92p-7, -0x1.419d639d94294p-7, -0x1.f8963eb0b2a83p-8, -0x1.72e33d31dec86p-8, -0x1.e4020d98edd08p-9, -0x1.d73ae3066e77p-10, 0x1.d49da3978970ep-16, 0x1.d4278bc3b21fep-10, 0x1.c7e3be12ee7d8p-9, 0x1.4ead2671c25b9p-8, 0x1.b55c07e2d9d23p-8, 0x1.0c0f3e5ae8573p-7, 0x1.3b8a0c489a029p-7, 0x1.692dffb9e052cp-7, 0x1.950a6bae58537p-7, 0x1.bf2e60db2ab34p-7, 0x1.e7a8a957cd982p-7, 0x1.0743e293bb907p-6, 0x1.19ecf3a7bc296p-6, 0x1.2bd679bc0b4f5p-6, 0x1.3d073daea83f1p-6, 0x1.4d85de8031b9bp-6, 0x1.5d58d062e7a09p-6, 0x1.6c865c06cddfep-6, 0x1.7b149e18194f9p-6, 0x1.890986d41f12dp-6, 0x1.966ad9dad0cbap-6, 0x1.a33e2e4719632p-6, 0x1.af88eeaf51d94p-6, 0x1.bb50599098f77p-6, 0x1.c69981b5fc00ap-6, 0x1.d1694eb049d59p-6, 0x1.dbc47d692ccap-6, 0x1.e5afa0cb6b5a9p-6, 0x1.ef2f2261000d7p-6, 0x1.f84742f51cc8fp-6, 0x1.007e0dac33896p-5, 0x1.04a8ce858a955p-5, 0x1.08a5c977c302bp-5, 0x1.0c76d108f14dp-5, 0x1.101da53b12aebp-5, 0x1.139bf3ed328p-5, 0x1.16f3594882836p-5, 0x1.1a25602b9ee45p-5, 0x1.1d33829d588e3p-5, 0x1.201f2a6b1d45cp-5, 0x1.22e9b15001141p-5, 0x1.25946192e21e2p-5, 0x1.282076a4ec8ap-5, 0x1.2a8f1d6fa2c64p-5, 0x1.2ce174daaa3aep-5, 0x1.2f188e48f60b3p-5, 0x1.31356e0b8d347p-5, 0x1.33390bd9cdeefp-5, 0x1.3524534966d2ap-5, 0x1.36f82437c579bp-5, 0x1.38b55346a4b11p-5, 0x1.3a5caa3feb8bbp-5, 0x1.3beee88631c6ap-5, 0x1.3d6cc37ff1d59p-5, 0x1.3ed6e6feef25bp-5, 0x1.402df5a42018dp-5, 0x1.41728943f48a3p-5, 0x1.42a533494d5e9p-5, 0x1.43c67d1e33d73p-5, 0x1.44d6e8737af63p-5, 0x1.45d6efafe3561p-5, 0x1.46c706433564ap-5, 0x1.47a798fdc2ecfp-5, 0x1.48790e641a5f9p-5, 0x1.493bc701d8929p-5, 0x1.49f01dba49ab5p-5, 0x1.4a966815ba163p-5, 0x1.4b2ef68d7342ep-5, 0x1.4bba14d4b46eep-5, 0x1.4c380a1d6c3d6p-5, 0x1.4ca9195bd87b8p-5, 0x1.4d0d818a5834bp-5, 0x1.4d657de91086cp-5, 0x1.4db1463804b6cp-5, 0x1.4df10ef09159fp-5, 0x1.4e25098005313p-5, 0x1.4e4d647dea489p-5, 0x1.4e6a4be0eaabfp-5, 0x1.4e7be925d5f32p-5, 0x1.4e826382470c8p-5, 0x1.4e7de04300123p-5, 0x1.4e6e828278769p-5, 0x1.4e546bcc10b2fp-5, 0x1.4e2fbc059bbf6p-5, 0x1.4e0091a024f2ep-5, 0x1.4dc709bc1d98ep-5, 0x1.4d83404adc6dep-5, 0x1.4d35503074b7ep-5, 0x1.4cdd5362d0258p-5, 0x1.4c7b6304f091fp-5, 0x1.4c0f97814d15cp-5, 0x1.4b9a08a53267p-5, 0x1.4b1acdbad7152p-5, 0x1.4a91fd9f828d8p-5, 0x1.49ffaed751acep-5, 0x1.4963f7a1b9a9bp-5, 0x1.48beee0e2dd3cp-5, 0x1.4810a80e4119cp-5, 0x1.47593b83ba532p-5, 0x1.4698be55af834p-5, 0x1.45cf4670505ecp-5, 0x1.44fce9e6abcc4p-5, 0x1.4421beef458fep-5, 0x1.433ddbf397711p-5, 0x1.4251579d531dp-5, 0x1.415c48d808b75p-5, 0x1.405ec6e30ce97p-5, 0x1.3f58e953489dbp-5, 0x1.3e4ac8187a184p-5, 0x1.3d347b84c1fedp-5, 0x1.3c161c52c59fep-5, 0x1.3aefc3a938984p-5, 0x1.39c18b205ce6bp-5, 0x1.388b8cc0fbbeap-5, 0x1.374de3073945cp-5, 0x1.3608a8e63fa68p-5, 0x1.34bbf9cae29a2p-5, 0x1.3367f19b90a1cp-5, 0x1.320cacb66b5e7p-5, 0x1.30aa47f01b72p-5, 0x1.2f40e0946715bp-5, 0x1.2dd09466e3146p-5, 0x1.2c5981a1fc261p-5, 0x1.2adbc6f2ca096p-5, 0x1.29578375d88cfp-5, 0x1.27ccd6b4228f6p-5, 0x1.263be0a2063e6p-5, 0x1.24a4c19da156ep-5, 0x1.23079a6b2071dp-5, 0x1.21648c2f3f4a1p-5, 0x1.1fbbb869faf87p-5, 0x1.1e0d40f2d9832p-5, 0x1.1c5947f6670bep-5, 0x1.1a9feff3269bfp-5, 0x1.18e15bb4be1dp-5, 0x1.171dae4d859cp-5, 0x1.15550b10433abp-5, 0x1.1387958b55669p-5, 0x1.11b571853c8d7p-5, 0x1.0fdec2f911783p-5, 0x1.0e03ae11843a6p-5, 0x1.0c2457225e70ap-5, 0x1.0a40e2a1a4628p-5, 0x1.08597521d1068p-5, 0x1.066e334d86fa6p-5, 0x1.047f41e3e2fa9p-5, 0x1.028cc5b41fd5ap-5, 0x1.0096e397c94abp-5, 0x1.fd3b80d80d5f6p-6, 0x1.f943021666001p-6, 0x1.f544948f71eecp-6, 0x1.f14081d03c387p-6, 0x1.ed37134693e9ep-6, 0x1.e92892381af7bp-6, 0x1.e51547b694c12p-6, 0x1.e0fd7c9417ba4p-6, 0x1.dce1795b0fcd2p-6, 0x1.d8c1863e3e2f9p-6, 0x1.d49deb13389b3p-6, 0x1.d076ef4ecb3fap-6, 0x1.cc4cd9fcd0376p-6, 0x1.c81ff1b4cfabdp-6, 0x1.c3f07c8fea012p-6, 0x1.bfbec01ec201fp-6, 0x1.bb8b0161918c5p-6, 0x1.b75584c141345p-6, 0x1.b31e8e0a6d2eap-6, 0x1.aee660672250fp-6, 0x1.aaad3e57a1f6dp-6, 0x1.a67369aa0b04ep-6, 0x1.a2392371f2087p-6, 0x1.9dfeac012abdcp-6, 0x1.99c442e21fdfcp-6, 0x1.958a26d3717a6p-6, 0x1.915095c3d8e76p-6, 0x1.8d17cccd70933p-6, 0x1.88e0082fe0dfbp-6, 0x1.84a98348fbed2p-6, 0x1.8074789e62d74p-6, 0x1.7c41219e8e574p-6, 0x1.780fb70e74db1p-6, 0x1.73e070864c42dp-6, 0x1.6fb384c230c57p-6, 0x1.6b89298526721p-6, 0x1.67619396edfa2p-6, 0x1.633cf6c0b40cp-6, 0x1.5f1b85c97bb7p-6, 0x1.5afd72732aa9p-6, 0x1.56e2ed7886c8ep-6, 0x1.52cc268bf3ecfp-6, 0x1.4eb94c568ba32p-6, 0x1.4aaa8c770cdd3p-6, 0x1.46a013806d523p-6, 0x1.429a0cf82c3ep-6, 0x1.3e98a3549f80ep-6, 0x1.3a9bfffba82f5p-6, 0x1.36a44b42192adp-6, 0x1.32b1ac6b98df8p-6, 0x1.2ec449aaf93a8p-6, 0x1.2adc482318236p-6, 0x1.26f9cbe6cde5p-6, 0x1.231cf7f9b451fp-6, 0x1.1f45ee4fedc5p-6, 0x1.1b74cfce50c2p-6, 0x1.17a9bc4b5abbcp-6, 0x1.13e4d28fcae33p-6, 0x1.102630580d426p-6, 0x1.0c6df2557d05bp-6, 0x1.08bc342fbf679p-6, 0x1.05111088e3ebfp-6, 0x1.016ca103fc862p-6, 0x1.fb9dfc79061bfp-7, 0x1.f4707f86562a7p-7, 0x1.ed50f85b20e22p-7, 0x1.e63f922d56abap-7, 0x1.df3c763aa3115p-7, 0x1.d847cbcd8b033p-7, 0x1.d161b843ca949p-7, 0x1.ca8a5f1425fc8p-7, 0x1.c3c1e1d3e355p-7, 0x1.bd08603c5c463p-7, 0x1.b65df8308a117p-7, 0x1.afc2c5c2e8dd7p-7, 0x1.a936e33b8adc5p-7, 0x1.a2ba691e57133p-7, 0x1.9c4d6e3151fafp-7, 0x1.95f007831a343p-7, 0x1.8fa248714644ap-7, 0x1.896442aec95e2p-7, 0x1.8336064a29b4p-7, 0x1.7d17a1b4a779ap-7, 0x1.770921c9dfbabp-7, 0x1.710a91d80190bp-7, 0x1.6b1bfba75d475p-7, 0x1.653d6781e405p-7, 0x1.5f6edc3a2d02cp-7, 0x1.59b05f316f5d2p-7, 0x1.5401f45da61dfp-7, 0x1.4e639e4ef9179p-7, 0x1.48d55e3669729p-7, 0x1.435733ed1e1cp-7, 0x1.3de91dfd4b4cp-7, 0x1.388b19ada4f51p-7, 0x1.333d230700e75p-7, 0x1.2dff34e3bed7ap-7, 0x1.28d148f3484ebp-7, 0x1.23b357c1e37f1p-7, 0x1.1ea558bcaa68cp-7, 0x1.19a74234ebf63p-7, 0x1.14b9096408629p-7, 0x1.0fdaa270c2285p-7, 0x1.0b0c0077106adp-7, 0x1.064d159230019p-7, 0x1.019dd2e8486e4p-7, 0x1.f9fc516d4f636p-8, 0x1.f0dc0cb7e6029p-8, 0x1.e7dab4c1fb64cp-8, 0x1.def824fc70d58p-8, 0x1.d634373e91b18p-8, 0x1.cd8ec3cb1c8edp-8, 0x1.c507a155d0af1p-8, 0x1.bc9ea50ab9965p-8, 0x1.b453a2987d064p-8, 0x1.ac266c40be60ep-8, 0x1.a416d2eb517e1p-8, 0x1.9c24a63336e3fp-8, 0x1.944fb471b34bap-8, 0x1.8c97cacbe1e05p-8, 0x1.84fcb541b8e9ep-8, 0x1.7d7e3ec055431p-8, 0x1.761c3138ce9dap-8, 0x1.6ed655ba3d752p-8, 0x1.67ac74896cd85p-8, 0x1.609e55661d5cfp-8, 0x1.59abbedae5e67p-8, 0x1.52d47775272a4p-8, 0x1.4c184476e1dp-8, 0x1.4576ea55922e5p-8, 0x1.3ef02c730fad4p-8, 0x1.3883cd112de61p-8, 0x1.32318d6145514p-8, 0x1.2bf92db5a5c45p-8, 0x1.25da6dd42666dp-8, 0x1.1fd50d585f8b4p-8, 0x1.19e8cc697da3ap-8, 0x1.14156a6be61f2p-8, 0x1.0e5aa905d991fp-8, 0x1.08b848efe7056p-8, 0x1.032e0b2c9f077p-8, 0x1.fb77603ddfd89p-9, 0x1.f0c1ee15b0b3bp-9, 0x1.e63b3b78b4aeap-9, 0x1.dbe2c0e779b6p-9, 0x1.d1b7f44b71d7ap-9, 0x1.c7ba4a118895p-9, 0x1.bde936a954db6p-9, 0x1.b444301635568p-9, 0x1.aacaaf38871dbp-9, 0x1.a17c3079aef6dp-9, 0x1.985833a341ab4p-9, 0x1.8f5e3ae44eab5p-9, 0x1.868dc93dfd145p-9, 0x1.7de660b18755dp-9, 0x1.7567809fb5278p-9, 0x1.6d10a4c34933ep-9, 0x1.64e1452c4e11cp-9, 0x1.5cd8d73c25d8p-9, 0x1.54f6ce9967933p-9, 0x1.4d3a9f720b333p-9, 0x1.45a3c0566f2dbp-9, 0x1.3e31ab6a67295p-9, 0x1.36e3df21db05fp-9, 0x1.2fb9de3913f97p-9, 0x1.28b32ee640affp-9, 0x1.21cf59653a318p-9, 0x1.1b0de6253808fp-9, 0x1.146e5c088edbap-9, 0x1.0df03f35f6785p-9, 0x1.079310f55e949p-9, 0x1.015650087dec2p-9, 0x1.f672f60b9401bp-10, 0x1.ea78221d90519p-10, 0x1.debb2773c3109p-10, 0x1.d33b0fa612da3p-10, 0x1.c7f6e803086d9p-10, 0x1.bcedc356075e2p-10, 0x1.b21eb9773f46p-10, 0x1.a788e5f8779dep-10, 0x1.9d2b67635a9a6p-10, 0x1.93055d9bc0457p-10, 0x1.8915e79e4c1a3p-10, 0x1.7f5c21aa15e7dp-10, 0x1.75d724fd8ff69p-10, 0x1.6c8609d18f871p-10, 0x1.6367eae0a7892p-10, 0x1.5a7be8c9290eap-10, 0x1.51c12bb189d02p-10, 0x1.4936e24e1b772p-10, 0x1.40dc3f0d8271ep-10, 0x1.38b075216d772p-10, 0x1.30b2b6fe58271p-10, 0x1.28e236ddb0accp-10, 0x1.213e2870241b1p-10, 0x1.19c5c241bccacp-10, 0x1.12783db936175p-10, 0x1.0b54d5be253b7p-10, 0x1.045ac522e7fd8p-10, 0x1.fb128c747cb4dp-11, 0x1.edbf2874f66c3p-11, 0x1.e0b9db925beb9p-11, 0x1.d4012e65f2ed7p-11, 0x1.c793b66e8b17ap-11, 0x1.bb701313674f2p-11, 0x1.af94e948ff9f4p-11, 0x1.a400dea840a06p-11, 0x1.98b298a402331p-11, 0x1.8da8b9283cad8p-11, 0x1.82e1e9455b268p-11, 0x1.785cd7ab8a74p-11, 0x1.6e183a10b84b4p-11, 0x1.6412cee6956d2p-11, 0x1.5a4b5c86f2e56p-11, 0x1.50c0b170edf4ep-11, 0x1.4771a3a930af2p-11, 0x1.3e5d0d8e02e45p-11, 0x1.3581c85b4418ap-11, 0x1.2cdea78069e7cp-11, 0x1.247278509296fp-11, 0x1.1c3c066220851p-11, 0x1.143a213a53831p-11, 0x1.0c6b9f9891c67p-11, 0x1.04cf602c9acb2p-11, 0x1.fac88d6bbcef8p-12, 0x1.ec527f6a3a29bp-12, 0x1.de3a7970e2104p-12, 0x1.d07e66e66352cp-12, 0x1.c31c4a9320f17p-12, 0x1.b6123e40ec4a9p-12, 0x1.a95e8637df327p-12, 0x1.9cff93454c088p-12, 0x1.90f3f102290f1p-12, 0x1.853a21d632ba4p-12, 0x1.79d07c6d5468ep-12, 0x1.6eb52198ccdcep-12, 0x1.63e61242aaaa4p-12, 0x1.596153d3236ecp-12, 0x1.4f24eb415ed96p-12, 0x1.452f1e2e79fd2p-12, 0x1.3b7e29c41c549p-12, 0x1.3210553c32f28p-12, 0x1.28e3e6554df08p-12, 0x1.1ff723dbb1a45p-12, 0x1.17485d8f75483p-12, 0x1.0ed5f9e7615c7p-12, 0x1.069e8a2a7adc3p-12, 0x1.fd41b8cb3a8f1p-13, 0x1.edb7f5c4d295ap-13, 0x1.de9e1a7cb8166p-13, 0x1.cff24f9e8a544p-13, 0x1.c1b24d91f90bap-13, 0x1.b3db5a78ca612p-13, 0x1.a66a863540c75p-13, 0x1.995cee796d785p-13, 0x1.8cafe1e564fe2p-13, 0x1.8060e2483b5b6p-13, 0x1.746d94b1dd98p-13, 0x1.68d3a49c3b039p-13, 0x1.5d90a10cea0a6p-13, 0x1.52a1e7c667accp-13, 0x1.4804b24063613p-13, 0x1.3db643a4cbd29p-13, 0x1.33b4235640cfdp-13, 0x1.29fc4c0c6a86p-13, 0x1.208d3d0a30e18p-13, 0x1.1765c6f4cfa03p-13, 0x1.0e84d699d9227p-13, 0x1.05e901dfe79e3p-13, 0x1.fb21361f1bfbep-14, 0x1.eaf38170ea90ap-14, 0x1.db451fe47fbf9p-14, 0x1.cc127cd470dbbp-14, 0x1.bd580d007e5a8p-14, 0x1.af126384c8d69p-14, 0x1.a13e63d7686c2p-14, 0x1.93d945498f8dp-14, 0x1.86e051f8e63fep-14, 0x1.7a508e40b23fdp-14, 0x1.6e26889bc6ec8p-14, 0x1.625e76eee5265p-14, 0x1.56f4955e99c94p-14, 0x1.4be593a34dad3p-14, 0x1.412ed6501ab74p-14, 0x1.36ce65892a4d4p-14, 0x1.2cc285fd3296dp-14, 0x1.2309346297e5fp-14, 0x1.199ff8e4b7881p-14, 0x1.10844cc8f2eecp-14, 0x1.07b419bc0418cp-14, 0x1.fe5b54b059c38p-15, 0x1.edde47af0d839p-15, 0x1.ddec765ff5442p-15, 0x1.ce80eec5abbaap-15, 0x1.bf9729a427b13p-15, 0x1.b12b63250821fp-15, 0x1.a33a825dec0bep-15, 0x1.95c19e4ae83c2p-15, 0x1.88bd5b550ccf4p-15, 0x1.7c29a5147afadp-15, 0x1.70020d775ac8ep-15, 0x1.64429d7913b09p-15, 0x1.58e8423043e76p-15, 0x1.4df08430cef4fp-15, 0x1.4358be465b149p-15, 0x1.391d90031f193p-15, 0x1.2f3aea3cfa857p-15, 0x1.25aca49b832bep-15, 0x1.1c6fa70360915p-15, 0x1.13828d198c47dp-15, 0x1.0ae459685365p-15, 0x1.0292e1f08289ap-15, 0x1.f5163717014a3p-16, 0x1.e5945a7977d9cp-16, 0x1.d69b22e93d193p-16, 0x1.c825c2c9825bdp-16, 0x1.ba2fe39db2253p-16, 0x1.acb5d2258369p-16, 0x1.9fb41f2126e73p-16, 0x1.9327221a7b8dfp-16, 0x1.870a9ec874055p-16, 0x1.7b59ead0ce98ap-16, 0x1.7010cbdd0bcap-16, 0x1.652c84f1e18dp-16, 0x1.5aabba04e7a3cp-16, 0x1.508c904d9033ap-16, 0x1.46cacc26d8569p-16, 0x1.3d6028cd3f1fdp-16, 0x1.344658d84858ap-16, 0x1.2b7957493a4a3p-16, 0x1.22f8c46ec85b5p-16, 0x1.1ac50378f2225p-16, 0x1.12db39ed828aap-16, 0x1.0b3712b9eb213p-16, 0x1.03d5e2091582fp-16, 0x1.f96b417c1483p-17, 0x1.eba7c9f825d3cp-17, 0x1.de5cc4d8ace59p-17, 0x1.d186141c06086p-17, 0x1.c51f971e93f68p-17, 0x1.b9250daceae23p-17, 0x1.ad924fbf3658ap-17, 0x1.a263723bb862fp-17, 0x1.9794a8dafbc09p-17, 0x1.8d222b82c40cbp-17, 0x1.8308950acddc7p-17, 0x1.7945879ca58e3p-17, 0x1.6fd76ebd1eb1fp-17, 0x1.66bc537e8a6d4p-17, 0x1.5def32c69bdc5p-17, 0x1.5569d841b043ep-17, 0x1.4d2788928153ep-17, 0x1.4525ff302168cp-17, 0x1.3d65a2a229da6p-17, 0x1.35e4be1a0625fp-17, 0x1.2e9e4fe3a2a76p-17, 0x1.278fea83e361cp-17, 0x1.20b8789affbccp-17, 0x1.1a1578343c836p-17, 0x1.13a4ac597a37fp-17, 0x1.0d64724b515a8p-17, 0x1.075324f8edfccp-17, 0x1.016edfee75e9p-17, 0x1.f76b27e22f558p-18, 0x1.ec4a6eaec5badp-18, 0x1.e177ed904a04bp-18, 0x1.d6f09a622a0bp-18, 0x1.ccb1e04caed26p-18, 0x1.c2b93aeac9f1fp-18, 0x1.b903eabb0a623p-18, 0x1.af8f0cc352793p-18, 0x1.a6585d3a55878p-18, 0x1.9d5d9a628df15p-18, 0x1.949bb8be36696p-18, 0x1.8c0f542fcf61fp-18, 0x1.83b6db9619a89p-18, 0x1.7b90c538cb3e8p-18, 0x1.739a1740ab2d7p-18, 0x1.6bd00cde504bfp-18, 0x1.642ff3cf09de3p-18, 0x1.5cba13ff0a502p-18, 0x1.556ca2fc072e2p-18, 0x1.4e453efd6a991p-18, 0x1.474297b1982c4p-18, 0x1.4063c27e06dc2p-18, 0x1.39a717b56d9d9p-18, 0x1.330bb687427efp-18, 0x1.2c9011a13ba6ap-18, 0x1.2632c04fcb966p-18, 0x1.1ff26a150907p-18, 0x1.19cde0b8cabf3p-18, 0x1.13c42e23d9317p-18, 0x1.0dd4913c7afb8p-18, 0x1.07fc53775d43fp-18, 0x1.0240731ad0d4cp-18, 0x1.f9341821f3132p-19, 0x1.ee13fbafe451cp-19, 0x1.e31ef626f9f6fp-19, 0x1.d853e2e0b3b42p-19, 0x1.cdb17f995f403p-19, 0x1.c336fd62f74dcp-19, 0x1.b8e47e3e222eap-19, 0x1.aeb718873b638p-19, 0x1.a4ab8f6cff0fep-19, 0x1.9ac1c1bb20b22p-19, 0x1.90fa931518f11p-19, 0x1.875443303e433p-19, 0x1.7dcda3ff44139p-19, 0x1.746608fb59bacp-19, 0x1.6b1d01c4dd689p-19, 0x1.61f1e10534f77p-19, 0x1.58e403799ca8cp-19, 0x1.4ff2c682f4b86p-19, 0x1.471d8890d37eep-19, 0x1.3e63a7da68b82p-19, 0x1.35c6a10daeb56p-19, 0x1.2d3da32596015p-19, 0x1.24d525188db4dp-19, 0x1.1c83fc269d8cbp-19, 0x1.144cbf6aabb3p-19, 0x1.0c2e0b9f334edp-19, 0x1.042808b4c7538p-19, 0x1.f8749300bd3b4p-20, 0x1.e8c8d5d6bf8ecp-20, 0x1.d94c441d2fb6p-20, 0x1.c9feca22212c8p-20, 0x1.bae0c90cd0a01p-20, 0x1.abf128312f05fp-20, 0x1.9d3034c722239p-20, 0x1.8e9cb39daa1e4p-20, 0x1.80355a0dfa773p-20, 0x1.71fbc9168cba2p-20, 0x1.63ef61e733505p-20, 0x1.560f45fcd81fep-20, 0x1.485b9fe63979fp-20, 0x1.3ad48342fc2dep-20, 0x1.2d7954d68e80dp-20, 0x1.204a69edef407p-20, 0x1.13475d5d1a1f4p-20, 0x1.066fbecd36132p-20, 0x1.f388d974edb5ap-21, 0x1.da9472ecedb4ep-21, 0x1.c1e0e0566b348p-21, 0x1.a992605f33c33p-21, 0x1.919967b256695p-21, 0x1.79f6d9fd22039p-21, 0x1.62aae816e1dc6p-21, 0x1.4bb5bcf06649dp-21, 0x1.3517422220ce6p-21, 0x1.1ecf5f9e94037p-21, 0x1.08ddf2da4e82dp-21, 0x1.e685af93e1245p-22, 0x1.bbfbeb95404d7p-22, 0x1.921eb3c6090d7p-22, 0x1.68ee34ed40cd8p-22, 0x1.4069fbd4965cdp-22, 0x1.1891a247ca5eep-22, 0x1.e2ca565cec014p-23, 0x1.95c7e19a87159p-23, 0x1.4a1c7899fa839p-23, 0x1.ff8dd36686b3p-24, 0x1.6d8d7a7834a6dp-24, 0x1.bc6df021de134p-25, 0x1.46240c0f76dd9p-26, -0x1.c3ee98428fb1bp-27, -0x1.7fbe22c2f892ap-25, -0x1.449c57f9c857p-24, -0x1.c6b761a42ec1cp-24, -0x1.2319085732c7p-23, -0x1.61875f17eb4edp-23, -0x1.9ea7cc1ec147fp-23, -0x1.da7b0da18782dp-23, -0x1.0a80ecbb4673dp-22, -0x1.271f2aa4e0119p-22, -0x1.4318fd3d3a99ep-22, -0x1.5e6ecc38598a7p-22, -0x1.79215a135199cp-22, -0x1.933161bb69b59p-22, -0x1.ac9fa10da5118p-22, -0x1.c56ccd1a7fd1p-22, -0x1.dd9a3b3c1f064p-22, -0x1.f52b2d286ed41p-22, -0x1.060c44c2b6bdap-21, -0x1.1135b2b610822p-21, -0x1.1c10df79a6345p-21, -0x1.269e53e0e389ep-21, -0x1.30dad18e0a834p-21, -0x1.3ad29b76dbc3bp-21, -0x1.447a1a234ea93p-21, -0x1.4dd545d56a3a7p-21, -0x1.56e7771fb798fp-21, -0x1.5fae736e6ce6cp-21, -0x1.682b791c41359p-21, -0x1.705f5e70f3e73p-21, -0x1.784abe2d7b2acp-21, -0x1.7fee2984c4152p-21, -0x1.874abec8bcd5bp-21, -0x1.8e608e0c3f347p-21, -0x1.95307d432de7fp-21, -0x1.9bbb41328bf4cp-21, -0x1.a2018b86b1a83p-21, -0x1.a80411cba9515p-21, -0x1.adc38cae5a0cbp-21, -0x1.b340b7873a8b4p-21, -0x1.b87c501648589p-21, -0x1.bd771653ef108p-21, -0x1.c231cc1cc65cdp-21, -0x1.c6ad34ec7112fp-21, -0x1.caea1631058a3p-21, -0x1.cee938169bd0ep-21, -0x1.d2ab65a355eafp-21, -0x1.d6316bfbc3e09p-21, -0x1.d97c19c38e126p-21, -0x1.dc8c3e334dd67p-21, -0x1.df62a7066b63dp-21, -0x1.e20022a3b75dfp-21, -0x1.e4658596cde06p-21, -0x1.e693ad4bdee56p-21, -0x1.e88b7197d4574p-21, -0x1.ea4d96ba1ed7ep-21, -0x1.ebdae9d2f5a2ap-21, -0x1.ed34488afb352p-21, -0x1.ee4a945183549p-21, -0x1.ef4d32501846ep-21, -0x1.f0121fd902e6ap-21, -0x1.f0a45282f4c1ep-21, -0x1.f1070d6ef56eap-21, -0x1.f13af9fe52bb1p-21, -0x1.f140f5068393bp-21, -0x1.f119db22b9032p-21, -0x1.f0c68cd774b9dp-21, -0x1.f047dfe5680eep-21, -0x1.ef9eb5f6b6422p-21, -0x1.eecbad0f9a2c6p-21, -0x1.edcff1f2c1fefp-21, -0x1.ecac3eeffb99ep-21, -0x1.eb6175493717ep-21, -0x1.e9f0693645175p-21, -0x1.e85a1d61541dcp-21, -0x1.e6a1d42d5964ep-21, -0x1.e4c7f3c3dd061p-21, -0x1.e30719a42fdbap-21, -0x1.e0a1ad791e09dp-21, -0x1.de5675f79cf5ep-21, -0x1.dbf01b32c4f81p-21, -0x1.d96aded2cf3dfp-21, -0x1.d6c71cc24bb78p-21, -0x1.d4052cdc54707p-21, -0x1.d125e104b7795p-21, -0x1.ce2a89f07493fp-21, -0x1.cb1380dad8deap-21, -0x1.c7e1ac8c29afep-21, -0x1.c495dbe65d629p-21, -0x1.c130d122afaedp-21, -0x1.bdb34e02058bcp-21, -0x1.ba1e1cd4024dep-21, }}, 
      {{-0x1.923b174f18df8p-5, 0x1.698ba882fadf3p-6, 0x1.fffb5c043978ep-4, 0x1.f543f1412fc06p-3, 0x1.78f200862397p-2, 0x1.f04c2dd2af432p-2, 0x1.2c98326596989p-1, 0x1.577c3deff567cp-1, 0x1.77adc55e6fce2p-1, 0x1.8cf32c3b482a7p-1, 0x1.97be5857ce662p-1, 0x1.98f633511f4a9p-1, 0x1.91ca14f15615fp-1, 0x1.838ea16618d6bp-1, 0x1.6fa32441a4b77p-1, 0x1.575e370e191bp-1, 0x1.3c006e63e44dcp-1, 0x1.1eabdeba253e5p-1, 0x1.005f6a57dbbcep-1, 0x1.c3e9e413ea06fp-2, 0x1.88433d6bd272fp-2, 0x1.4eef42183a769p-2, 0x1.18d1c60548b2cp-2, 0x1.cd291147c7c83p-3, 0x1.715c5346d6d5p-3, 0x1.1ed254c62141ap-3, 0x1.abaac39360401p-4, 0x1.2ce374ab144bap-4, 0x1.8204b0fbd50fap-5, 0x1.9dac07699b6dp-6, 0x1.f436a6419c892p-8, -0x1.87c04c7e40d84p-8, -0x1.03eae67996c65p-6, -0x1.6dd1a0f8e0f9bp-6, -0x1.a4bdc81113a66p-6, -0x1.add43f88e0b2bp-6, -0x1.8e2c2b7a0a3b7p-6, -0x1.4abb3c33586d2p-6, -0x1.d08d41e34eaeap-7, -0x1.ad5fbf6592a15p-8, 0x1.3e54f9b532f68p-9, 0x1.9a467134aa15ep-7, 0x1.80ff3638af729p-6, 0x1.1ffc0dc075f04p-5, 0x1.83799186b0b65p-5, 0x1.e98fd7d4b1ec2p-5, 0x1.287d39c53da8bp-4, 0x1.5c4bac2a2e676p-4, 0x1.8fb2919112fa1p-4, 0x1.c2409f158b04fp-4, 0x1.f392f7b1073f6p-4, 0x1.11aa17632153fp-3, 0x1.289da57860abfp-3, 0x1.3e85667c18fb4p-3, 0x1.5347dee7b9892p-3, 0x1.66d062d0d4bp-3, 0x1.790ea6b25d0f6p-3, 0x1.89f655e791f32p-3, 0x1.997eaf1e3dfacp-3, 0x1.a7a226df9a868p-3, 0x1.b45e102845402p-3, 0x1.bfb24afaacbbfp-3, 0x1.c9a0f8ba7e383p-3, 0x1.d22e361deb189p-3, 0x1.d95fda73686dcp-3, 0x1.df3d3bfe4e062p-3, 0x1.e3cef926842c8p-3, 0x1.e71ec63c2d1a6p-3, 0x1.e9373f8e946c6p-3, 0x1.ea23bf9770681p-3, 0x1.e9f038fe067f4p-3, 0x1.e8a914347e2adp-3, 0x1.e65b10769a91dp-3, 0x1.e31327ee8421bp-3, 0x1.dede76cc8183p-3, 0x1.d9ca2516e6819p-3, 0x1.d3e35308350d7p-3, 0x1.cd3707bf8774ap-3, 0x1.c5d2222573783p-3, 0x1.bdc14bbfb43d3p-3, 0x1.b510ed6b509acp-3, 0x1.abcd25a8b21a1p-3, 0x1.a201c08a6bep-3, 0x1.97ba30e56a009p-3, 0x1.8d018ae33732bp-3, 0x1.81e27fabd853cp-3, 0x1.76675a106fc1dp-3, 0x1.6a99fc52cacbap-3, 0x1.5e83de8ffa592p-3, 0x1.522e0e00c675bp-3, 0x1.45a12d24c9032p-3, 0x1.38e573b8a81d8p-3, 0x1.2c02b058f03dbp-3, 0x1.1f00495e82ad9p-3, 0x1.11e53ea55cdc1p-3, 0x1.04b82c4b520efp-3, 0x1.eefe97f8d8c8dp-4, 0x1.d480f0e95c0b6p-4, 0x1.ba02609d7330ep-4, 0x1.9f8d30701cd06p-4, 0x1.852afe7588b5bp-4, 0x1.6ae4c2bb78eabp-4, 0x1.50c2d506bf16bp-4, 0x1.36ccf5862c373p-4, 0x1.1d0a5185efe7cp-4, 0x1.0381899f6e456p-4, 0x1.d47173e5eec83p-5, 0x1.a26afd16c381dp-5, 0x1.70f9f317ac056p-5, 0x1.4027b5b422ae6p-5, 0x1.0ffcc8b6fe563p-5, 0x1.c101c00fa0ecfp-6, 0x1.6375db06b5ca7p-6, 0x1.07625251471e3p-6, 0x1.59a470c04e9b1p-7, 0x1.4f3d67b0798d3p-8, -0x1.ced9473ed9671p-13, -0x1.65b5e7c450ed3p-8, -0x1.5b3331aee6e79p-7, -0x1.001cacd65c866p-6, -0x1.50f24526c633p-6, -0x1.a016d281d0fbbp-6, -0x1.ed8798d5525d3p-6, -0x1.1ca1515597254p-5, -0x1.41a359f99f13p-5, -0x1.65c99e0b8f45ep-5, -0x1.891425867ff81p-5, -0x1.ab834368a7db9p-5, -0x1.cd178f414addp-5, -0x1.edd1e01553a23p-5, -0x1.06d9a4218fbp-4, -0x1.165e88155c7b7p-4, -0x1.2578589ed5425p-4, -0x1.3427e940fdff2p-4, -0x1.426e225967595p-4, -0x1.504bfeea8842ep-4, -0x1.5dc28ade1e72fp-4, -0x1.6ad2e1a117bc3p-4, -0x1.777e2c841c44bp-4, -0x1.83c5a0fd17253p-4, -0x1.8faa7f596a205p-4, -0x1.9b2e11b33fa36p-4, -0x1.a651aa96dab99p-4, -0x1.b116a3a2f4b5cp-4, -0x1.bb7e5c9929e91p-4, -0x1.c58a3a8a7d822p-4, -0x1.cf3ba6c839573p-4, -0x1.d8940ddf5f5d9p-4, -0x1.e194deda56582p-4, -0x1.ea3f8aa5ec6cdp-4, -0x1.f295835c25d38p-4, -0x1.fa983b7ab9826p-4, -0x1.012492a4e94d6p-3, -0x1.04d4d93f8cd9dp-3, -0x1.085da9e66bb8dp-3, -0x1.0bbfbc264cd59p-3, -0x1.0efbc6861f99dp-3, -0x1.12127e6b57789p-3, -0x1.150497f932883p-3, -0x1.17d2c5e1dba34p-3, -0x1.1a7db94057755p-3, -0x1.1d062180b4c98p-3, -0x1.1f6cac4d52abdp-3, -0x1.21b2057cde60bp-3, -0x1.23d6d6fc96fc6p-3, -0x1.25dbc8b86b392p-3, -0x1.27c1808d92fd2p-3, -0x1.2988a24b92d67p-3, -0x1.2b31cfaece33p-3, -0x1.2cbda84d095a2p-3, -0x1.2e2cc98999544p-3, -0x1.2f7fce9b8604bp-3, -0x1.30b750933909cp-3, -0x1.31d3e65203bd6p-3, -0x1.32d62482971afp-3, -0x1.33be9d9e4d76fp-3, -0x1.348de1f2e852ep-3, -0x1.35447fa51b46ap-3, -0x1.35e302af84ff5p-3, -0x1.3669f4eacea4ep-3, -0x1.36d9de12ff3f4p-3, -0x1.373343c81e705p-3, -0x1.3776a99380cfcp-3, -0x1.37a490f4527dcp-3, -0x1.37bd79689b3b7p-3, -0x1.37c1e06e67b98p-3, -0x1.37b2418650fdp-3, -0x1.378f163ec420dp-3, -0x1.3758d641e3f52p-3, -0x1.370ff75c4345bp-3, -0x1.36b4ed7f6ee1cp-3, -0x1.36482ac91ea1fp-3, -0x1.35ca1f8e680d9p-3, -0x1.353b3a64e13c8p-3, -0x1.349be8290e96bp-3, -0x1.33ec9405e688ep-3, -0x1.332da77f1db4fp-3, -0x1.325f8a77f2d01p-3, -0x1.3182a3377a256p-3, -0x1.3097566ef0f2bp-3, -0x1.2f9e074642b42p-3, -0x1.2e971767a0102p-3, -0x1.2d82e702d16cbp-3, -0x1.2c61d4cc772e2p-3, -0x1.2b343e03a6ffp-3, -0x1.29fa7e80aa376p-3, -0x1.28b4f0c2b0dddp-3, -0x1.2763edf1da615p-3, -0x1.2607cdd9c60f3p-3, -0x1.24a0e6ebaac13p-3, -0x1.232f8e4d3a36ap-3, -0x1.21b417e959423p-3, -0x1.202ed6745c58ap-3, -0x1.1ea01b6400cc9p-3, -0x1.1d0836ea4726bp-3, -0x1.1b6777ff9de97p-3, -0x1.19be2c76ade02p-3, -0x1.180ca10807085p-3, -0x1.1653214cb1e85p-3, -0x1.1491f7b1a0969p-3, -0x1.12c96d76355f1p-3, -0x1.10f9cabbfcbc9p-3, -0x1.0f23569af5ad8p-3, -0x1.0d4657288d125p-3, -0x1.0b63116ce8dp-3, -0x1.0979c9545b8cap-3, -0x1.078ac1aefce3ap-3, -0x1.05963c41cf877p-3, -0x1.039c79db3bba1p-3, -0x1.019dba596e18ap-3, -0x1.ff34793d8f721p-4, -0x1.fb247d02ddfb8p-4, -0x1.f70bf98f219fep-4, -0x1.f2eb666b85558p-4, -0x1.eec339483f9c7p-4, -0x1.ea93e61176851p-4, -0x1.e65ddedffc769p-4, -0x1.e22193d6c4972p-4, -0x1.dddf730e419fap-4, -0x1.d997e8a1f8509p-4, -0x1.d54b5ed6d45dcp-4, -0x1.d0fa3e3c34835p-4, -0x1.cca4edaf31abdp-4, -0x1.c84bd2408c76p-4, -0x1.c3ef4f1519994p-4, -0x1.bf8fc55c24bfap-4, -0x1.bb2d9464dc022p-4, -0x1.b6c919c319018p-4, -0x1.b262b168b39e9p-4, -0x1.adfab5a2ce9afp-4, -0x1.a9917f0009bb5p-4, -0x1.a52764352816dp-4, -0x1.a0bcba16183dep-4, -0x1.9c51d3a9650ebp-4, -0x1.97e70248dffa5p-4, -0x1.937c95b95408fp-4, -0x1.8f12dc2b494dp-4, -0x1.8aaa222703462p-4, -0x1.8642b27404416p-4, -0x1.81dcd60e64a05p-4, -0x1.7d78d432528bep-4, -0x1.7916f27676f02p-4, -0x1.74b774e53ad61p-4, -0x1.705a9e0633ce2p-4, -0x1.6c00aed4b1b79p-4, -0x1.67a9e6ac0b3f1p-4, -0x1.6356833832e3ap-4, -0x1.5f06c07595896p-4, -0x1.5abad8c153d0ap-4, -0x1.567304f0b489ep-4, -0x1.522f7c6334d12p-4, -0x1.4df07506d6344p-4, -0x1.49b6234f04ca6p-4, -0x1.4580ba25f6e1dp-4, -0x1.41506ae2ea348p-4, -0x1.3d25654cff91p-4, -0x1.38ffd7a86f5dfp-4, -0x1.34dfeecac86fcp-4, -0x1.30c5d6296b3cp-4, -0x1.2cb1b7df21809p-4, -0x1.28a3bca787a2p-4, -0x1.249c0bd5990aap-4, -0x1.209acb4c90bc7p-4, -0x1.1ca01f80a722ep-4, -0x1.18ac2b80b560cp-4, -0x1.14bf11051713ap-4, -0x1.10d8f07dd73e8p-4, -0x1.0cf9e91b43cbp-4, -0x1.092218cf3d051p-4, -0x1.05519c49369e7p-4, -0x1.01888ef135097p-4, -0x1.fb8e15cca29c5p-5, -0x1.f41a5206540bdp-5, -0x1.ecb601cf99013p-5, -0x1.e561520b972bbp-5, -0x1.de1c6d55ea6bdp-5, -0x1.d6e77c0fd3021p-5, -0x1.cfc2a4644e674p-5, -0x1.c8ae0a45be59cp-5, -0x1.c1a9cf6aab378p-5, -0x1.bab6134f5ab97p-5, -0x1.b3d2f33ec544cp-5, -0x1.ad008a627f361p-5, -0x1.a63ef1d5ec7dap-5, -0x1.9f8e40b83a629p-5, -0x1.98ee8c3a0f863p-5, -0x1.925fe7a5caf39p-5, -0x1.8be264626c461p-5, -0x1.857611f4cc195p-5, -0x1.7f1afe0321cf6p-5, -0x1.78d1345b9aa87p-5, -0x1.7298beff3a9a3p-5, -0x1.6c71a63025607p-5, -0x1.665bf080c8071p-5, -0x1.6057a2e1dbf63p-5, -0x1.5a64c0ae0c784p-5, -0x1.54834bb2ccba9p-5, -0x1.4eb34436c77cep-5, -0x1.48f4a8fef8c22p-5, -0x1.43477753d9cdap-5, -0x1.3dabab07f7e02p-5, -0x1.38213e80664c3p-5, -0x1.32a82abee479bp-5, -0x1.2d40676d15a5bp-5, -0x1.27e9eae866cb5p-5, -0x1.22a4aa4e08f57p-5, -0x1.1d70998671792p-5, -0x1.184dab4fa219ep-5, -0x1.133bd1454ae61p-5, -0x1.0e3afbe755b18p-5, -0x1.094b1a9ed96ccp-5, -0x1.046c1bc2d4d6ep-5, -0x1.ff3bd93b40fd8p-6, -0x1.f5c0f2e84b2dep-6, -0x1.ec675b1ea3e17p-6, -0x1.e32ee68fbdde6p-6, -0x1.da176826c93bfp-6, -0x1.d120b12192595p-6, -0x1.c84a912373aep-6, -0x1.bf94d64431ec3p-6, -0x1.b6ff4d113e4aap-6, -0x1.ae89c092c3315p-6, -0x1.a633fa4e8cb99p-6, -0x1.9dfdc254c374fp-6, -0x1.95e6df579e369p-6, -0x1.8def16cd343e7p-6, -0x1.86162d15cea0ap-6, -0x1.7e5be59d32a15p-6, -0x1.76c002ecc069bp-6, -0x1.6f4246a792d51p-6, -0x1.67e2717087b49p-6, -0x1.60a042c3de38bp-6, -0x1.597b78d42a398p-6, -0x1.5273d07ef0d5cp-6, -0x1.4b8905683b23ap-6, -0x1.44bad24282dfep-6, -0x1.3e08f139c6931p-6, -0x1.37731c6a0a3cbp-6, -0x1.30f90e401d587p-6, -0x1.2a9a81a333c5p-6, -0x1.245731d0ac92dp-6, -0x1.1e2ed9e7c938cp-6, -0x1.1821343c17037p-6, -0x1.122df99c1353cp-6, -0x1.0c54e0c578d17p-6, -0x1.06959e3d5c359p-6, -0x1.00efe4ad5ed04p-6, -0x1.f6c6cb89ea7aap-7, -0x1.ebdfa6edd60f9p-7, -0x1.e129c29771795p-7, -0x1.d6a48acdb05f2p-7, -0x1.cc4f7204303dep-7, -0x1.c229f014edcdp-7, -0x1.b8337ff9f0cf7p-7, -0x1.ae6b9c4c5232bp-7, -0x1.a4d1bb638a5fep-7, -0x1.9b654c105cb46p-7, -0x1.9225b3e548d93p-7, -0x1.89124faced2c2p-7, -0x1.802a7632a44f7p-7, -0x1.776d7ce399ee5p-7, -0x1.6edabd4d72576p-7, -0x1.66719a4b2f9cfp-7, -0x1.5e31836b0b78ap-7, -0x1.5619f5c2d08efp-7, -0x1.4e2a79b1cc591p-7, -0x1.46629dee46022p-7, -0x1.3ec1f0de854adp-7, -0x1.3747f9b66d649p-7, -0x1.2ff432f502eeep-7, -0x1.28c6079c2dd28p-7, -0x1.21bcd3e93585cp-7, -0x1.1ad7e98d81c76p-7, -0x1.1416969b5dcaap-7, -0x1.0d782db740723p-7, -0x1.06fc0dc8f53f5p-7, -0x1.00a1a7768df27p-7, -0x1.f4d0fe4c65ca7p-8, -0x1.e8a0560b60dep-8, -0x1.dcb09af39eceap-8, -0x1.d1011a4b99173p-8, -0x1.c591188295d4fp-8, -0x1.ba5fc21ff33b6p-8, -0x1.af6c21f445789p-8, -0x1.a4b51e9c9a03dp-8, -0x1.9a397fa553704p-8, -0x1.8ff7f939b4d9cp-8, -0x1.85ef3c0cb0f14p-8, -0x1.7c1e063925a09p-8, -0x1.7283319f3302dp-8, -0x1.691dbcc8da297p-8, -0x1.5feccc9cec2a7p-8, -0x1.56efa6d860d25p-8, -0x1.4e25a6edbfbf1p-8, -0x1.458e3004ca3eep-8, -0x1.3d289f4260674p-8, -0x1.34f44081a8d3cp-8, -0x1.2cf047b935646p-8, -0x1.251bcf2051347p-8, -0x1.1d75da5a32a6p-8, -0x1.15fd5db954256p-8, -0x1.0eb1486afe724p-8, -0x1.07908f6ec8cccp-8, -0x1.009a37472cc5ep-8, -0x1.f39ab4e6cb12p-9, -0x1.e652573dd68d7p-9, -0x1.d959e70d37465p-9, -0x1.ccb0170c7a62p-9, -0x1.c053aca7459d3p-9, -0x1.b443710193715p-9, -0x1.a87e2431f44ap-9, -0x1.9d0274a44a5a5p-9, -0x1.91cefbe8688d3p-9, -0x1.86e241314de13p-9, -0x1.7c3ac04339396p-9, -0x1.71d6f1de77854p-9, -0x1.67b55225e9a4ep-9, -0x1.5dd4630cfa5c4p-9, -0x1.5432abfb85fb1p-9, -0x1.4aceba6799023p-9, -0x1.41a726e8f249cp-9, -0x1.38ba9ee5c0788p-9, -0x1.3007ee767d423p-9, -0x1.278e03ba1bb6p-9, -0x1.1f4be6baf0762p-9, -0x1.1740a6d3ef6f9p-9, -0x1.0f6b452de093dp-9, -0x1.07caa6ff1d3dp-9, -0x1.005d9742d67f4p-9, -0x1.f245acdd2d2a6p-10, -0x1.e4325ccc0f82p-10, -0x1.d67efa187ecfp-10, -0x1.c9295c00c49bbp-10, -0x1.bc2f4b65632b3p-10, -0x1.af8e5aec41c9p-10, -0x1.a343e05a194a3p-10, -0x1.974d207c3e2a4p-10, -0x1.8ba7a07832dap-10, -0x1.805173b5c2655p-10, -0x1.7549595a81c8ep-10, -0x1.6a8e939e7760bp-10, -0x1.60208ac1d673bp-10, -0x1.55fe6b7befc4fp-10, -0x1.4c26efe520348p-10, -0x1.429863852674cp-10, -0x1.3950cf66948e1p-10, -0x1.304e2a96e1425p-10, -0x1.278e732e57b67p-10, -0x1.1f0fa842c98f6p-10, -0x1.16cfad87b005cp-10, -0x1.0ecc30d876854p-10, -0x1.0702a729f4eedp-10, -0x1.fee0eb176577p-11, -0x1.f02683def58e8p-11, -0x1.e1d2a0fd4b69fp-11, -0x1.d3e372d100508p-11, -0x1.c6589e68589d2p-11, -0x1.b9327928e0b0bp-11, -0x1.ac7128592ae6p-11, -0x1.a01424c9ec034p-11, -0x1.941a43ce75187p-11, -0x1.8881fcc631d3dp-11, -0x1.7d4992c5dd254p-11, -0x1.726ee72992681p-11, -0x1.67ef1fcdd5064p-11, -0x1.5dc656a008681p-11, -0x1.53efb02dae94dp-11, -0x1.4a65e0d5f4789p-11, -0x1.4123da9dfa733p-11, -0x1.3825537d35e36p-11, -0x1.2f670e5d72e71p-11, -0x1.26e6fbd6b98fp-11, -0x1.1ea435587f9e1p-11, -0x1.169eb2246dce5p-11, -0x1.0ed6af869808fp-11, -0x1.074c1ea311107p-11, -0x1.fffd051cc69fep-12, -0x1.f1da71997322ap-12, -0x1.e42f8202e3586p-12, -0x1.d6fb8dab3e0b8p-12, -0x1.ca3deda5523a2p-12, -0x1.bdf5356f26241p-12, -0x1.b21e2735a41acp-12, -0x1.a6b3273975679p-12, -0x1.9bacb62503aedp-12, -0x1.91029c2c0d8f3p-12, -0x1.86ad1d9da7d9ap-12, -0x1.7ca5e51a3c2ep-12, -0x1.72e88f0c713efp-12, -0x1.6972adc9f9c2p-12, -0x1.6043371e4fff4p-12, -0x1.5759c4f51b572p-12, -0x1.4eb60eb7fbe7p-12, -0x1.46579a131ab07p-12, -0x1.3e3da97e8db13p-12, -0x1.36676e671d9afp-12, -0x1.2ed42f5105e1ap-12, -0x1.278357ede32c6p-12, -0x1.20747afc97ad4p-12, -0x1.19a6b12e97598p-12, -0x1.1317aa774f89bp-12, -0x1.0cc3cdcd04838p-12, -0x1.06a76a60401e1p-12, -0x1.00bfab2fb7847p-12, -0x1.f6153493ecfb2p-13, -0x1.eb0d0052ed4c8p-13, -0x1.e0626419060bbp-13, -0x1.d60f90f3c3a52p-13, -0x1.cc0ddc2d4eff5p-13, -0x1.c256d5e4af15bp-13, -0x1.b8e5381de03c5p-13, -0x1.afb6755d8a1c1p-13, -0x1.a6cbdcffb788ap-13, -0x1.9e284ffdf96fcp-13, -0x1.95cc3bb379a6dp-13, -0x1.8db52a2374d06p-13, -0x1.85e15679d5b3ep-13, -0x1.7e51581a74f33p-13, -0x1.7704863353ccfp-13, -0x1.6ff5de55dd2ep-13, -0x1.691e4b8989cebp-13, -0x1.62785a4d9ecap-13, -0x1.5c013377a9b5ap-13, -0x1.55b7ca0b8dd9p-13, -0x1.4f9c553b32654p-13, -0x1.49b05451d10cbp-13, -0x1.43f602246befp-13, -0x1.3e6e7ed6dd72ap-13, -0x1.39175f5aa731ep-13, -0x1.33e97254a66fdp-13, -0x1.2eda86b6792b5p-13, -0x1.29e2f4d2b1b3ap-13, -0x1.2503ebddab22p-13, -0x1.2045493091835p-13, -0x1.1baa230feeba9p-13, -0x1.172d6dae12835p-13, -0x1.12cc5831d52cp-13, -0x1.0e8a9fbcbb887p-13, -0x1.0a69cc5a741fcp-13, -0x1.06650b9f5cfc1p-13, -0x1.02767ba39e29p-13, -0x1.fd3641aa20908p-14, -0x1.f5a4c56fce459p-14, -0x1.ee38a904e82abp-14, -0x1.e6f16a6a5771dp-14, -0x1.dfcdc59375b83p-14, -0x1.d8cd1a5795086p-14, -0x1.d1f11ce296159p-14, -0x1.cb3dbdf2c9f08p-14, -0x1.c4b6718b5844p-14, -0x1.be5ac5e324017p-14, -0x1.b8236038ee49ap-14, -0x1.b200c95383285p-14, -0x1.abe71377058a8p-14, -0x1.a5df086d83501p-14, -0x1.9ff6187d56f8fp-14, -0x1.9a24482ed03e2p-14, -0x1.9460db5888665p-14, -0x1.8eb6103f82d84p-14, -0x1.892970b97f0a8p-14, -0x1.83b2e1611314fp-14, -0x1.7e4ad2380bf73p-14, -0x1.78ef3f6b53a48p-14, -0x1.73a0a62f05f07p-14, -0x1.6e5fa40d7162dp-14, -0x1.692c5f461e8f1p-14, -0x1.6406918204d39p-14, -0x1.5eed977f7ea8p-14, -0x1.59e08d7cf247ep-14, -0x1.54deba1ed1275p-14, -0x1.4fe82e2c4c135p-14, -0x1.4afddbb421c29p-14, -0x1.4620a7634f09ep-14, -0x1.4150f7ca318fap-14, -0x1.3c8f9533036ep-14, -0x1.37d991048bd43p-14, -0x1.3326bef400f49p-14, -0x1.2e79555383259p-14, -0x1.29d4f90a7c963p-14, -0x1.25324c83098cbp-14, -0x1.2096d51c10e5p-14, -0x1.1c096f896a491p-14, -0x1.1784cb3bb9204p-14, -0x1.13047af48c219p-14, -0x1.0e884635e9fb7p-14, -0x1.0a1108c921084p-14, -0x1.059f4753b5433p-14, -0x1.01331d4043111p-14, -0x1.f998e4aae56ecp-15, -0x1.f0d64b155a0cfp-15, -0x1.e81e3f783dd19p-15, -0x1.df709c42f1d4bp-15, -0x1.d6cd1f24a9fa5p-15, -0x1.ce33599017b43p-15, -0x1.c5a2e1c202a64p-15, -0x1.bd1baace7a147p-15, -0x1.b49dc8e651e54p-15, -0x1.ac28dc71a1743p-15, -0x1.a3bea8db44a9ep-15, -0x1.9b653d0c8c3a2p-15, -0x1.93189ddc6a9fap-15, -0x1.8ad02c7685983p-15, -0x1.828c3e4f0cbd2p-15, -0x1.7a4cb7beb014fp-15, -0x1.721cc4d7467c1p-15, -0x1.69fa461a902cfp-15, -0x1.61df6346efb9dp-15, -0x1.59cbf9f547e82p-15, -0x1.51c152fb127b5p-15, -0x1.49c037ae032ebp-15, -0x1.41c8fdfaf3fa4p-15, -0x1.39dbc7759b3d6p-15, -0x1.31f8a4220695p-15, -0x1.2a1fa37e4666bp-15, -0x1.2250dedf93643p-15, -0x1.1a8c7e45272c5p-15, -0x1.12d2b4d4f37c4p-15, -0x1.0b23b5de9e7b1p-15, -0x1.037f929c8fc12p-15, -0x1.f7cca7e213ca3p-16, -0x1.e8afe8519463ep-16, -0x1.d9a92625c94dep-16, -0x1.cab8a136f8fa4p-16, -0x1.bbde2fc91bb23p-16, -0x1.ad1c6c6b535e2p-16, -0x1.9e79e54214ec1p-16, -0x1.8ff00bcfbd6c1p-16, -0x1.81774464ba894p-16, -0x1.7314d61aa2de9p-16, -0x1.64d1650b0763bp-16, -0x1.56a84349e3a96p-16, -0x1.48972626d7556p-16, -0x1.3a9f5c11fe324p-16, -0x1.2cc1f2e22c6c5p-16, -0x1.1eff779875c83p-16, -0x1.1158454d2f15ep-16, -0x1.03cca89ebb558p-16, -0x1.ecb9d42b0c222p-17, -0x1.d212a1da8c0dbp-17, -0x1.b7a44a0bf06b9p-17, -0x1.9d6f59b9c825cp-17, -0x1.83746a00e823ep-17, -0x1.69b41b15c148bp-17, -0x1.502f1eac8992cp-17, -0x1.36e5ed8b9a64ep-17, -0x1.1dd908864a9e4p-17, -0x1.0508c8e67a97cp-17, -0x1.d8eb10fccb56bp-18, -0x1.a83f9dfc06a4p-18, -0x1.78107a1179fccp-18, -0x1.485e07c560e92p-18, -0x1.19293b7af5356p-18, -0x1.d4f3e5dd363ffp-19, -0x1.78952a3c33558p-19, -0x1.1d279a1499f97p-19, -0x1.858ffc0938271p-20, -0x1.a5bccbe77c5d4p-21, -0x1.117cff5168ddep-23, 0x1.18e79f9a46d6ep-21, 0x1.390696f7bd508p-20, 0x1.e386380ef81fep-20, 0x1.45f82d034cf83p-19, 0x1.99219ce37a4b6p-19, 0x1.eb3e921450b31p-19, 0x1.1e2705df268f4p-18, 0x1.46275fcb8ad3bp-18, 0x1.6da107fd51795p-18, 0x1.94927c09ad2cbp-18, 0x1.bafbf6093e577p-18, 0x1.e0dd2d2c3b169p-18, 0x1.031aef5bc2ffdp-17, 0x1.1582ec0f154a7p-17, 0x1.27a677cc9fb04p-17, 0x1.398586194d2a7p-17, 0x1.4b20120293a03p-17, 0x1.5c761b194acdep-17, 0x1.6d879e6b7699ap-17, 0x1.7e549073f8f08p-17, 0x1.8edcf1375e45ep-17, 0x1.9f20f8d07802bp-17, 0x1.af20a0ba673c7p-17, 0x1.bedb82c0146a7p-17, 0x1.ce5284ee99024p-17, 0x1.dd84f036be553p-17, 0x1.ec7383523995fp-17, 0x1.fb1e5000b0a09p-17, 0x1.04c2adc7d0b0bp-16, 0x1.0bd465a2d33e4p-16, 0x1.12c466d039d8cp-16, 0x1.1992ca5891c99p-16, 0x1.203faac3496a4p-16, 0x1.26cb2426361e3p-16, 0x1.2d3554331153p-16, 0x1.337e5a3d4fb21p-16, 0x1.39a6575b7d64ep-16, 0x1.3fad6dec986d5p-16, 0x1.4593c2258af45p-16, 0x1.4b597a1001b1p-16, 0x1.50febb97ab9e1p-16, 0x1.5683b038ffae1p-16, 0x1.5be88136d3c14p-16, 0x1.612d598b086ecp-16, 0x1.665265bc85b3bp-16, 0x1.6b57d3f1a4f52p-16, 0x1.703dd48bff0a3p-16, 0x1.75049b46780b5p-16, 0x1.79ac508e38c41p-16, 0x1.7e352d89d2ae1p-16, 0x1.829f61222a821p-16, 0x1.86eb2912c0347p-16, 0x1.8b18b9c1e7fc4p-16, 0x1.8f284f664cb93p-16, 0x1.9319f9f87cd6fp-16, 0x1.96ee1a5c8eaa6p-16, 0x1.9aa4f12ac2cefp-16, 0x1.9e3ea9363f744p-16, 0x1.a1bb7d6d3a079p-16, 0x1.a51bac1b0fd8cp-16, 0x1.a85f71f83f9fdp-16, 0x1.ab870cdb58ef4p-16, 0x1.ae92c20a63635p-16, 0x1.b182c8e407559p-16, 0x1.b45764a0ab4ffp-16, 0x1.b710d65a59afap-16, 0x1.b9af5f7b38692p-16, 0x1.bc334217ce9fcp-16, 0x1.be9cc0db19212p-16, 0x1.c0ec1ef711643p-16, 0x1.c321a019824ap-16, 0x1.c53d885c2ffebp-16, 0x1.c7401c2812f79p-16, 0x1.c929a01e33603p-16, 0x1.cafa59322fcf2p-16, 0x1.ccb28cf519b64p-16, 0x1.ce5281b13c075p-16, 0x1.cfda7e43576e8p-16, 0x1.d14ac9edfc8bbp-16, 0x1.d2a3ab8276941p-16, 0x1.d3e5677d43e74p-16, 0x1.d51041d91417ep-16, 0x1.d624876161c66p-16, 0x1.d722916772f82p-16, 0x1.d80a8c7fc52ap-16, 0x1.d8dcb602ea3b7p-16, 0x1.d99962a359ef3p-16, 0x1.da40f0dcfc9a3p-16, 0x1.dad3938e3187dp-16, 0x1.db51a14509507p-16, 0x1.dbbb54e046237p-16, 0x1.dc10f097f35e3p-16, 0x1.dc52c794dfe52p-16, 0x1.dc811e1972d8cp-16, 0x1.dc9c3be7f38a3p-16, 0x1.dca4688cc806dp-16, 0x1.dc99eb67fc3e9p-16, 0x1.dc7d0bcbe1e1ap-16, 0x1.dc4e0f3d53151p-16, 0x1.dc0d41ef0819p-16, 0x1.dbbae54ee8d9fp-16, 0x1.db5741c4a54e2p-16, 0x1.dae29da5d8661p-16, 0x1.da5d3efc93b1ep-16, 0x1.d9c76de9df423p-16, 0x1.d921699cc9f38p-16, 0x1.d86b8d2070c2dp-16, 0x1.d7a668be9dcc5p-16, 0x1.d6d10b67c1395p-16, 0x1.d5ecf640cbddp-16, 0x1.d4fa113a99f19p-16, 0x1.d3f89b54be35cp-16, 0x1.d2e8d5968798p-16, 0x1.d1cb00731ef3dp-16, 0x1.d09f5f8b7e62p-16, 0x1.cf663fa6b5353p-16, 0x1.ce1fdc6e6d0cbp-16, 0x1.cccc56c8f9e24p-16, 0x1.cb6c28c1cc976p-16, 0x1.c9ff78275bda1p-16, 0x1.c8866f3491809p-16, 0x1.c701703c96e71p-16, }}, 
      {{-0x1.0f2def12426d3p-4, -0x1.53bec291afdf6p-5, -0x1.ef1df9a02c13ap-9, 0x1.6208aa987d60bp-5, 0x1.88eb7c60c5ccfp-4, 0x1.359f8f2383448p-3, 0x1.a6a0ce97df251p-3, 0x1.09a3f6beaa2d7p-2, 0x1.3c3f0200ce756p-2, 0x1.6a126b10bd544p-2, 0x1.9277adf619983p-2, 0x1.b51d302cbb74bp-2, 0x1.d1f40c5027c28p-2, 0x1.e91ffe92bcb18p-2, 0x1.fae9a38891fbep-2, 0x1.03d97fc505d7dp-1, 0x1.07f713823e5f9p-1, 0x1.0a0ae823e034ep-1, 0x1.0a53c7dc760b5p-1, 0x1.090fbf3f713a4p-1, 0x1.067a878d36539p-1, 0x1.02cc6c5446a2p-1, 0x1.fc7327d83b6cfp-2, 0x1.f1e32b2ffabd8p-2, 0x1.e63e96d51a7a6p-2, 0x1.d9d1a2348adb9p-2, 0x1.ccdf47698d3ffp-2, 0x1.bfa1b100f56cbp-2, 0x1.b24ac6b9233a9p-2, 0x1.a504cd3334c92p-2, 0x1.97f30f5af52c2p-2, 0x1.8b328a8477769p-2, 0x1.7eda9818b931ep-2, 0x1.72fd912174dc4p-2, 0x1.67a96922f5f45p-2, 0x1.5ce83ea25ebbdp-2, 0x1.52c0e07599092p-2, 0x1.4937476bb945dp-2, 0x1.404d045636494p-2, 0x1.3801a2c363134p-2, 0x1.305300fd225edp-2, 0x1.293d9de144757p-2, 0x1.22bcdd42a7b6p-2, 0x1.1ccb4397c43f3p-2, 0x1.1762a9d649648p-2, 0x1.127c6a38b79aep-2, 0x1.0e1186a260f29p-2, 0x1.0a1ac9472b51fp-2, 0x1.0690e03c7db58p-2, 0x1.036c7493e4a52p-2, 0x1.00a63d9151a3ap-2, 0x1.fc6e20f697e6ep-3, 0x1.f82fdae6e05bfp-3, 0x1.f48413662aa1dp-3, 0x1.f15daf1ace381p-3, 0x1.eeb01900f7424p-3, 0x1.ec6f4b44345cp-3, 0x1.ea8fd551fa139p-3, 0x1.e906df93363ebp-3, 0x1.e7ca2d2d8b9ep-3, 0x1.e6d01c1d393cfp-3, 0x1.e60fa3ef11326p-3, 0x1.e58053585191dp-3, 0x1.e51a4ce242763p-3, 0x1.e4d642d8bac0cp-3, 0x1.e4ad72a467db7p-3, 0x1.e4999fb3b7a7ap-3, 0x1.e4950e1055827p-3, 0x1.e49a7cbaa93d8p-3, 0x1.e4a51fe11a9dp-3, 0x1.e4b09b0477c72p-3, 0x1.e4b8fb19657adp-3, 0x1.e4bab0b2a844fp-3, 0x1.e4b28a3fda1afp-3, 0x1.e49dae67fa12cp-3, 0x1.e479968785061p-3, 0x1.e4440952a680fp-3, 0x1.e3fb15a945b3bp-3, 0x1.e39d0d95431d2p-3, 0x1.e328817e64583p-3, 0x1.e29c3b9261583p-3, 0x1.e1f73b646a0e1p-3, 0x1.e138b1c40bd71p-3, 0x1.e05ffccbef354p-3, 0x1.df6ca425bc34fp-3, 0x1.de5e5581096b2p-3, 0x1.dd34e13f7fb3fp-3, 0x1.dbf037455f3e3p-3, 0x1.da90640767b15p-3, 0x1.d9158dbaea472p-3, 0x1.d77ff1ba3843ap-3, 0x1.d5cfe21826b62p-3, 0x1.d405c35f71f58p-3, 0x1.d2220a82706bp-3, 0x1.d0253aef0e098p-3, 0x1.ce0fe4c9b0772p-3, 0x1.cbe2a3495cf3dp-3, 0x1.c99e1b29b7af2p-3, 0x1.c742f93fbff84p-3, 0x1.c4d1f1207f819p-3, 0x1.c24bbbe259bc5p-3, 0x1.bfb116fe7e309p-3, 0x1.bd02c3414fc59p-3, 0x1.ba4183ea6c4dap-3, 0x1.b76e1dc98ad51p-3, 0x1.b48956912fa82p-3, 0x1.b193f42c79c24p-3, 0x1.ae8ebc2a9160bp-3, 0x1.ab7a733895a78p-3, 0x1.a857dca96da86p-3, 0x1.a527ba0327bd3p-3, 0x1.a1eaca9921081p-3, 0x1.9ea1cb2d22293p-3, 0x1.9b4d75999447dp-3, 0x1.97ee80874faadp-3, 0x1.94859f2b6d912p-3, 0x1.911381108a426p-3, 0x1.8d98d1ebd1f1p-3, 0x1.8a163977745b7p-3, 0x1.868c5b5a26f12p-3, 0x1.82fbd7138c696p-3, 0x1.7f6547eeb060ep-3, 0x1.7bc944f9ad05ap-3, 0x1.7828610188ebp-3, 0x1.74832a8fefdbcp-3, 0x1.70da2beb00b68p-3, 0x1.6d2deb182077fp-3, 0x1.697ee9df5e672p-3, 0x1.65cda5d036581p-3, 0x1.621a9848c6175p-3, 0x1.5e66367eee88ep-3, 0x1.5ab0f18a437dp-3, 0x1.56fb3670b7affp-3, 0x1.53456e344379cp-3, 0x1.4f8ffde3014bap-3, 0x1.4bdb46b0d235cp-3, 0x1.4827a5fc32a29p-3, 0x1.44757569139b1p-3, 0x1.40c50afd24997p-3, 0x1.3d16b92e72464p-3, 0x1.396acefc023b2p-3, 0x1.35c1980576b94p-3, 0x1.321b5ca1bf99bp-3, 0x1.2e7861f652b42p-3, 0x1.2ad8ea0e6a6cfp-3, 0x1.273d33f12745fp-3, 0x1.23a57bb896211p-3, 0x1.2011faa71837dp-3, 0x1.1c82e73d4a9dap-3, 0x1.18f8754f68f01p-3, 0x1.1572d61a3beb6p-3, 0x1.11f238577ec68p-3, 0x1.0e76c85215104p-3, 0x1.0b00affa1652ep-3, 0x1.079016f995f4ep-3, 0x1.042522c50998dp-3, 0x1.00bff6b0f4cfbp-3, 0x1.fac16806dff7ap-4, 0x1.f40ef40d0f2ccp-4, 0x1.ed68cc33e6e69p-4, 0x1.e6cf27896ac85p-4, 0x1.e042398c6d1b8p-4, 0x1.d9c2324d9922ep-4, 0x1.d34f3e90105a9p-4, 0x1.cce987e9598efp-4, 0x1.c69134df9f2ecp-4, 0x1.c04669074136p-4, 0x1.ba0945204cb5cp-4, 0x1.b3d9e732bf7e5p-4, 0x1.adb86aa904269p-4, 0x1.a7a4e869da4d5p-4, 0x1.a19f76f253f65p-4, 0x1.9ba82a6e92ba7p-4, 0x1.95bf14d0e8f5p-4, 0x1.8fe445e7cf862p-4, 0x1.8a17cb7409527p-4, 0x1.8459b14496b56p-4, 0x1.7eaa013ba850dp-4, 0x1.7908c37201cc5p-4, 0x1.7375fe4242d1dp-4, 0x1.6df1b65cd95c9p-4, 0x1.687beed95c472p-4, 0x1.6314a94755f22p-4, 0x1.5dbbe5bf2ca59p-4, 0x1.5871a2f22be12p-4, 0x1.5335de393d7c4p-4, 0x1.4e0893a33965ep-4, 0x1.48e9be036c473p-4, 0x1.43d956ffac545p-4, 0x1.3ed7571d295cap-4, 0x1.39e3b5cc82336p-4, 0x1.34fe697606c81p-4, 0x1.30276785f4ca3p-4, 0x1.2b5ea477c4858p-4, 0x1.26a413e03346ap-4, 0x1.21f7a87933a59p-4, 0x1.1d5954281c1d8p-4, 0x1.18c9080d30a4bp-4, 0x1.1446b48872208p-4, 0x1.0fd24943f117fp-4, 0x1.0b6bb53bf1ac4p-4, 0x1.0712e6c7a6af3p-4, 0x1.02c7cba1970cep-4, 0x1.fd14a1dd6e7d2p-5, 0x1.f4b4c68a54dbp-5, 0x1.ec6fdd671a4ffp-5, 0x1.e445bd90a030cp-5, 0x1.dc363d30cfd53p-5, 0x1.d441318afc009p-5, 0x1.cc666f06398f8p-5, 0x1.c4a5c939152d8p-5, 0x1.bcff12f60e6c7p-5, 0x1.b5721e5761887p-5, 0x1.adfebcc8e54a6p-5, 0x1.a6a4bf10a268p-5, 0x1.9f63f557d8aa8p-5, 0x1.983c2f3529dfp-5, 0x1.912d3bb6e5d9fp-5, 0x1.8a36e96bd2bf5p-5, 0x1.8359066a8f1cfp-5, 0x1.7c9360582bd2ep-5, 0x1.75e5c46ff8c96p-5, 0x1.6f4fff8c22a69p-5, 0x1.68d1de2e03d01p-5, 0x1.626b2c84f048dp-5, 0x1.5c1bb673b34ecp-5, 0x1.55e34795f9448p-5, 0x1.4fc1ab46bf065p-5, 0x1.49b6aca7842bp-5, 0x1.43c216a72af05p-5, 0x1.3de3b4077efdfp-5, 0x1.381b4f618d397p-5, 0x1.3268b329dc493p-5, 0x1.2ccba9b583cefp-5, 0x1.2743fd4019e87p-5, 0x1.21d177f1967bdp-5, 0x1.1c73e3e3268a6p-5, 0x1.172b0b22d0934p-5, 0x1.11f6b7b6b4afep-5, 0x1.0cd6b3a0c77b4p-5, 0x1.07cac8e37f0abp-5, 0x1.02d2c186d5c0cp-5, 0x1.fbdccf399e52fp-6, 0x1.f23b0a89c49f3p-6, 0x1.e8bfc95d2f4bp-6, 0x1.df6aa0384ddcap-6, 0x1.d63b23cb7f97bp-6, 0x1.cd30e8fb17713p-6, 0x1.c44b84e7957e5p-6, 0x1.bb8a8cf4b064ep-6, 0x1.b2ed96ce80fe4p-6, 0x1.aa74386d6a481p-6, 0x1.a21e081a66a95p-6, 0x1.99ea9c7477d78p-6, 0x1.91d98c76c3223p-6, 0x1.89ea6f7fc8a1ap-6, 0x1.821cdd56f7b28p-6, 0x1.7a706e30f3c9bp-6, 0x1.72e4bab2ae36fp-6, 0x1.6b795bf49c0c9p-6, 0x1.642deb867cfddp-6, 0x1.5d020374d24cap-6, 0x1.55f53e4de959fp-6, 0x1.4f0737270acd7p-6, 0x1.483789a0227c9p-6, 0x1.4185d1e67540ep-6, 0x1.3af1acb6ddc53p-6, 0x1.347ab7607ed6cp-6, 0x1.2e208fc8427c5p-6, 0x1.27e2d46cfdb74p-6, 0x1.21c1246b92dbbp-6, 0x1.1bbb1f826d237p-6, 0x1.15d06613fd83ep-6, 0x1.1000992846272p-6, 0x1.0a4b5a722c0e8p-6, 0x1.04b04c43db66ap-6, 0x1.fe5e235829ac4p-7, 0x1.f38e9cb616c9p-7, 0x1.e8f14d71dc052p-7, 0x1.de857fc487b7dp-7, 0x1.d44a7f54172bfp-7, 0x1.ca3f993637b85p-7, 0x1.c0641bf2838d3p-7, 0x1.b6b7578518936p-7, 0x1.ad389d621783fp-7, 0x1.a3e740799c07dp-7, 0x1.9ac2953bea52bp-7, 0x1.91c9f19ceb699p-7, 0x1.88fcad16b757ep-7, 0x1.805a20ab3f9ecp-7, 0x1.77e1a6e57afa4p-7, 0x1.6f929bda9b00dp-7, 0x1.676c5d2baf89p-7, 0x1.5f6e4a07adfbdp-7, 0x1.5797c32dfb89bp-7, 0x1.4fe82af05f609p-7, 0x1.485ee535045cbp-7, 0x1.40fb5776ec4cbp-7, 0x1.39bce8c6cb35dp-7, 0x1.32a301cb74f71p-7, 0x1.2bad0cc1420ccp-7, 0x1.24da757ae9fdcp-7, 0x1.1e2aa96213c0bp-7, 0x1.179d17776bb08p-7, 0x1.11313052b398p-7, 0x1.0ae66626732eap-7, 0x1.04bc2cc6de363p-7, 0x1.fd63f3356f36ap-8, 0x1.f18e872750476p-8, 0x1.e5f706820983fp-8, 0x1.da9c659968cep-8, 0x1.cf7d9be9f6299p-8, 0x1.c499a417d5327p-8, 0x1.b9ef7beeef54ap-8, 0x1.af7e2461f0478p-8, 0x1.a544a18859c0bp-8, 0x1.9b41fa9c148d2p-8, 0x1.917539f68e899p-8, 0x1.87dd6d0d9a1f1p-8, 0x1.7e79a470397bp-8, 0x1.7548f3c366f67p-8, 0x1.6c4a71bec7d15p-8, 0x1.637d382967a72p-8, 0x1.5ae063d607cdcp-8, 0x1.5273149f96645p-8, 0x1.4a346d656a8dep-8, 0x1.4223940775fa1p-8, 0x1.3a3fb161c99a6p-8, 0x1.3287f1491011bp-8, 0x1.2afb8285a3cadp-8, 0x1.239996cf47787p-8, 0x1.1c6162c818245p-8, 0x1.15521df794eadp-8, 0x1.0e6b02c4646dp-8, 0x1.07ab4e6f5a4b7p-8, 0x1.0112410dc2dbap-8, 0x1.f53e3b0865303p-9, 0x1.e8a2530393a0cp-9, 0x1.dc4f5afd11a2dp-9, 0x1.d043e95be763ap-9, 0x1.c47e9a0ffb49fp-9, 0x1.b8fe0e6e6d1b2p-9, 0x1.adc0ed309ff8cp-9, 0x1.a2c5e26301ea8p-9, 0x1.980b9f563e16ep-9, 0x1.8d90da9090c28p-9, 0x1.83544fc02e08p-9, 0x1.7954bfaf92e3cp-9, 0x1.6f90f03b62911p-9, 0x1.6607ac494e2e1p-9, 0x1.5cb7c3bf57013p-9, 0x1.53a00b796f9acp-9, 0x1.4abf5d3e43a87p-9, 0x1.421497b18e5a4p-9, 0x1.399e9e454309p-9, 0x1.315c5929c72bbp-9, 0x1.294cb53e303e8p-9, 0x1.216ea4010ef61p-9, 0x1.19c11b8203fc5p-9, 0x1.1243165411d3bp-9, 0x1.0af3938068e3ap-9, 0x1.03d19678c52e9p-9, 0x1.f9b84e1437effp-10, 0x1.ec24a2a1b8f9ep-10, 0x1.dee64b5ba47c3p-10, 0x1.d1fb717b0c77ep-10, 0x1.c56246a2e8062p-10, 0x1.b91904d239e2ep-10, 0x1.ad1dee4efd1cep-10, 0x1.a16f4dfbe280cp-10, 0x1.960b759e4c47ap-10, 0x1.8af0c07745a7p-10, 0x1.801d905b7af37p-10, 0x1.75904edb40d2dp-10, 0x1.6b476cb39c9b8p-10, 0x1.614161ad29ae7p-10, 0x1.577cac8fce932p-10, 0x1.4df7d32f27621p-10, 0x1.44b1628f5d6e7p-10, 0x1.3ba7ef067376ap-10, 0x1.32da14b4c74c1p-10, 0x1.2a4676100dc07p-10, 0x1.21ebbe8de52fep-10, 0x1.19c89f844847p-10, 0x1.11dbd13d8a7b9p-10, 0x1.0a24121cb5bbep-10, 0x1.02a0262e02bc9p-10, 0x1.f69dadb01c7f6p-11, 0x1.e85de58035225p-11, 0x1.da7e9bcf0e56p-11, 0x1.ccfd83f1f2514p-11, 0x1.bfd85d6037699p-11, 0x1.b30cf47c94d82p-11, 0x1.a699231d95184p-11, 0x1.9a7ad0a47e0acp-11, 0x1.8eaff18b89eddp-11, 0x1.83368674c0ebdp-11, 0x1.780c9ae3639b6p-11, 0x1.6d3043e07a41cp-11, 0x1.629f9ecf222cbp-11, 0x1.5858d0a6fef34p-11, 0x1.4e5a060b498d7p-11, 0x1.44a17426ea70cp-11, 0x1.3b2d58165c1f3p-11, 0x1.31fbf8dfffe5ep-11, 0x1.290ba87e2a403p-11, 0x1.205ac3fe8088fp-11, 0x1.17e7b3b214bfap-11, 0x1.0fb0eae5a8fa5p-11, 0x1.07b4e725be178p-11, 0x1.ffe45e5759633p-12, 0x1.f0cea343db70cp-12, 0x1.e225c80387ddep-12, 0x1.d3e703a126bbap-12, 0x1.c60f9910d54b7p-12, 0x1.b89cd70883d04p-12, 0x1.ab8c1b43c479cp-12, 0x1.9edad21b939dfp-12, 0x1.928678ee6fd5fp-12, 0x1.868c9ec482e1dp-12, 0x1.7aeae0fa3cf0dp-12, 0x1.6f9eecc3151dbp-12, 0x1.64a67f9509943p-12, 0x1.59ff64eb880d6p-12, 0x1.4fa775cc60ef7p-12, 0x1.459c97e1e736fp-12, 0x1.3bdcbbfa26955p-12, 0x1.3265dcc9d550ap-12, 0x1.2935feb47e4a1p-12, 0x1.204b3087c4e9p-12, 0x1.17a38d031299p-12, 0x1.0f3d3c6c58b54p-12, 0x1.071674e0dbc4p-12, 0x1.fe5af30394b5bp-13, 0x1.ef01318552ceap-13, 0x1.e01c559331d65p-13, 0x1.d1a9214ce576ep-13, 0x1.c3a4691d619ep-13, 0x1.b60b153f6416dp-13, 0x1.a8da22c48bdedp-13, 0x1.9c0ea30ce73acp-13, 0x1.8fa5b9d5cdca4p-13, 0x1.839c9b1c6da3fp-13, 0x1.77f08a272b5f4p-13, 0x1.6c9eda41370fap-13, 0x1.61a4f083c69fbp-13, 0x1.570044df2cc22p-13, 0x1.4cae64046ab7cp-13, 0x1.42acea31e49b9p-13, 0x1.38f984890f328p-13, 0x1.2f91ed11aea8ap-13, 0x1.2673ecde240eep-13, 0x1.1d9d5324e5d54p-13, 0x1.150c05ac131bep-13, 0x1.0cbdf86007131p-13, 0x1.04b12d4241492p-13, 0x1.f9c76f306f941p-14, 0x1.eaa7740db9623p-14, 0x1.dbfecc384c09dp-14, 0x1.cdc9f66053d3fp-14, 0x1.c005880696501p-14, 0x1.b2ae26f4c279cp-14, 0x1.a5c0844181d8bp-14, 0x1.99395c1e3fce7p-14, 0x1.8d157a5870a54p-14, 0x1.8151c00027b27p-14, 0x1.75eb26a1519c3p-14, 0x1.6adec215f1a19p-14, 0x1.6029b72ff5843p-14, 0x1.55c94b3c9cddp-14, 0x1.4bbad5be8e3ep-14, 0x1.41fbbc521722p-14, 0x1.38898a7010042p-14, 0x1.2f61dedf436dfp-14, 0x1.26827c60018edp-14, 0x1.1de94631e528dp-14, 0x1.1594362e293d1p-14, 0x1.0d814bf93d15fp-14, 0x1.05ae7e2a4db48p-14, 0x1.fc336e1b18d78p-15, 0x1.ed81c4833202ap-15, 0x1.df43f52ce6599p-15, 0x1.d175eb6c352b3p-15, 0x1.c41412fcbf72dp-15, 0x1.b71ac3fde1e89p-15, 0x1.aa867ba8491fp-15, 0x1.9e53ca25c56d4p-15, 0x1.927f54b8dc1c9p-15, 0x1.8705dcca5692bp-15, 0x1.7be44c108249ep-15, 0x1.7117c4ebf4197p-15, 0x1.669dae3bb68adp-15, 0x1.5c73aeed117b8p-15, 0x1.52979062eebe7p-15, 0x1.490716bc94f6ep-15, 0x1.3fbfe5a5cfbebp-15, 0x1.36bf82af2bf29p-15, 0x1.2e036e72d9944p-15, 0x1.25893e920c0d6p-15, 0x1.1d4ea9c3fc31dp-15, 0x1.1551874e5d45fp-15, 0x1.0d8fc7fa5b64ep-15, 0x1.06076a90b6842p-15, 0x1.fd6cdd3663255p-16, 0x1.ef3599dd5210dp-16, 0x1.e164f9eaf9079p-16, 0x1.d3f70c20cf4bdp-16, 0x1.c6e82aba145fap-16, 0x1.ba351d58bf915p-16, 0x1.addb255ecd3b8p-16, 0x1.a1d7c50a79488p-16, 0x1.9628af0b16865p-16, 0x1.8acb534c1ed4dp-16, 0x1.7fbd0e59f86a9p-16, 0x1.74fb27e92cd03p-16, 0x1.6a82f0316daf9p-16, 0x1.6051e108d511bp-16, 0x1.566582fd4806ep-16, 0x1.4cbb76c2a4b52p-16, 0x1.43518780da63fp-16, 0x1.3a25ab042ea47p-16, 0x1.3135ea18781c3p-16, 0x1.288041e809799p-16, 0x1.20029495f9519p-16, 0x1.17bab46112821p-16, 0x1.0fa683412a88bp-16, 0x1.07c41561d64f4p-16, 0x1.0011c48cd7ea4p-16, 0x1.f11c52563d38ep-17, 0x1.e26fef68d54dfp-17, 0x1.d41baa80c4da5p-17, 0x1.c61c95373c911p-17, 0x1.b86fce2f75eafp-17, 0x1.ab12d0b73c5fdp-17, 0x1.9e0368fa2bf2fp-17, 0x1.913f4d78eaf16p-17, 0x1.84c3fc61a1413p-17, 0x1.788ee73269621p-17, 0x1.6c9dafad13974p-17, 0x1.60ee4297ef6ecp-17, 0x1.557ecec256358p-17, 0x1.4a4d9e001c74p-17, 0x1.3f58e31d33f16p-17, 0x1.349ea4c68d601p-17, 0x1.2a1cdd2b2a0bcp-17, 0x1.1fd1b4a96cf9p-17, 0x1.15bba26955619p-17, 0x1.0bd9509d4a313p-17, 0x1.02295e03a9dc9p-17, 0x1.f1547360f9f29p-18, 0x1.deb46c807cfadp-18, 0x1.cc6f47c83837ap-18, 0x1.ba8248d7112d3p-18, 0x1.a8ebdafdeff6cp-18, 0x1.97aaa1552287ep-18, 0x1.86bc94841c4b5p-18, 0x1.761f3a58e3101p-18, 0x1.65d0447675233p-18, 0x1.55cd9f12e08e1p-18, 0x1.46155273ea359p-18, 0x1.36a5947430aa6p-18, 0x1.277cd25c2066bp-18, 0x1.18999684987b6p-18, 0x1.09fa653aada3fp-18, 0x1.f73b48e7dd9dep-19, 0x1.db034b91e16c5p-19, 0x1.bf49c0ffb63a8p-19, 0x1.a40c6c0ca4d94p-19, 0x1.8949ce3da2e5bp-19, 0x1.6f002b1c40d08p-19, 0x1.552c95b7890b2p-19, 0x1.3bcb2a952715ap-19, 0x1.22d81a9471d2bp-19, 0x1.0a50d306c7b3dp-19, 0x1.e469482bea7afp-20, 0x1.b5067ee6c1637p-20, 0x1.86756bda55ffep-20, 0x1.58b0cfd98c1cp-20, 0x1.2bb5250f70476p-20, 0x1.feff3523fe996p-21, 0x1.a819e85d5ac0ap-21, 0x1.52b45e2fb30bcp-21, 0x1.fd924253c012dp-22, 0x1.58a5abf6d9b2cp-22, 0x1.6d3073e14fd27p-23, 0x1.75f830f5ee30dp-26, -0x1.0a1ca5c1f297dp-23, -0x1.1ebad2931e8dp-22, -0x1.b5af6886f6c5bp-22, -0x1.24fa5a6eab1f7p-21, -0x1.6dc8be9fa1ee3p-21, -0x1.b545ced4bd978p-21, -0x1.fb73a4e71e264p-21, -0x1.202c1fc83d1f4p-20, -0x1.41fd331dc6a4p-20, -0x1.632fdade1288p-20, -0x1.83c588a286f6p-20, -0x1.a3be41d7918f2p-20, -0x1.c31b7932ccc1dp-20, -0x1.e1dfe27747647p-20, -0x1.0006878994684p-19, -0x1.0ed1fe2b4fd5cp-19, -0x1.1d5322eeecf98p-19, -0x1.2b8ab4b16e332p-19, -0x1.3979523ba1c44p-19, -0x1.471f9a36d4ab7p-19, -0x1.547e36e896b24p-19, -0x1.6195dbabd153p-19, -0x1.6e673b56bbc66p-19, -0x1.7af2fe38e8981p-19, -0x1.8739bdb775138p-19, -0x1.933c088b9288p-19, -0x1.9efa6cd8e9d14p-19, -0x1.aa7582e8dc71ep-19, -0x1.b5adf2f186eadp-19, -0x1.c0a41d5ccc7b6p-19, -0x1.cb58a2b0e636fp-19, -0x1.d5cc3666dc54fp-19, -0x1.dfff68b93b067p-19, -0x1.e9f2bfcdfcbc3p-19, -0x1.f3a6bacd4c24bp-19, -0x1.fd1bfbf7d8407p-19, -0x1.03299046d7617p-18, -0x1.07a66306e592bp-18, -0x1.0c04a16aef614p-18, -0x1.104490bc8ed29p-18, -0x1.14667e0e57695p-18, -0x1.186aaa1a6e7f5p-18, -0x1.1c5153c6c76c3p-18, -0x1.201ab6abdaf6dp-18, -0x1.23c7201528684p-18, -0x1.2756d07e3449bp-18, -0x1.2aca09981c714p-18, -0x1.2e2111e5887bdp-18, -0x1.315c2d9c5ee28p-18, -0x1.347b9eb047e5bp-18, -0x1.377fa4dc00acfp-18, -0x1.3a68c301799e1p-18, -0x1.3d367824ef158p-18, -0x1.3fe9cc6d442c3p-18, -0x1.4282c4fb1b6bap-18, -0x1.4501a5a811a1fp-18, -0x1.4766aff14df3p-18, -0x1.49b2269fb6e1p-18, -0x1.4be44a77379c8p-18, -0x1.4dfd576eb27b6p-18, -0x1.4ffd9b2829d25p-18, -0x1.51e565eb01bb4p-18, -0x1.53b4f68526246p-18, -0x1.556c867eb1a34p-18, -0x1.570c5ed0a83cbp-18, -0x1.5894c5c02697ap-18, -0x1.5a05febbf7137p-18, -0x1.5b604cadf264ap-18, -0x1.5ca3f3ebf5035p-18, -0x1.5dd138ff52fd9p-18, -0x1.5ee860bd49bd1p-18, -0x1.5fe9b0327465dp-18, -0x1.60d56c764983cp-18, -0x1.61abdf1dcad99p-18, -0x1.626d3aeb0c2e1p-18, -0x1.6319ed0e291fp-18, -0x1.63b1fcc64770dp-18, -0x1.6435f40331b69p-18, -0x1.64a5ea859b90fp-18, -0x1.65022f41a3c7p-18, -0x1.654b09a626f68p-18, -0x1.6580c1a4f2eecp-18, -0x1.65a39b6169588p-18, -0x1.65b3d9f594523p-18, -0x1.65b1bbc63eda9p-18, -0x1.659d8e67c2c09p-18, -0x1.6577924450f98p-18, -0x1.65400f37c7bcep-18, -0x1.64f752bc79d43p-18, -0x1.649d900827865p-18, -0x1.64330de79af7bp-18, -0x1.63b81c39b2646p-18, -0x1.632cf933875abp-18, -0x1.6291e41cec32fp-18, -0x1.61e72cc610593p-18, -0x1.612d0b146e028p-18, -0x1.6063ca1fe1bf8p-18, -0x1.5f8bb84e2cc35p-18, -0x1.5ea4fa8bb2f2bp-18, -0x1.5daf28cb6c656p-18, -0x1.5cacb78184f44p-18, -0x1.5b9b86e889045p-18, -0x1.5a7cda0e0c04bp-18, -0x1.5950e5199b749p-18, -0x1.5817df353fca4p-18, -0x1.56d20ae8237d1p-18, -0x1.557fa753f843p-18, -0x1.5420f4e081ee9p-18, -0x1.52b633afcffa8p-18, -0x1.513fa384b8823p-18, -0x1.4fbd839fca7e3p-18, -0x1.4e3012fefc5cfp-18, -0x1.4c97906888dbfp-18, -0x1.4af439e0d4facp-18, -0x1.49464d3f318e2p-18, -0x1.478e07e7d9f2dp-18, -0x1.45cba7650fed6p-18, -0x1.43ff67d62195bp-18, -0x1.422985c70c784p-18, -0x1.404a3cf2899d9p-18, -0x1.3e61c89b7e45cp-18, -0x1.3c7063a328516p-18, -0x1.3a7648792289ap-18, -0x1.3873b116159e5p-18, -0x1.3668d6f99c019p-18, -0x1.3455f32901f7fp-18, -0x1.323b3e2daa945p-18, -0x1.3018f00989649p-18, -0x1.2def40b90da23p-18, -0x1.2bbe66a2fa3d5p-18, -0x1.2986989e979acp-18, -0x1.27480c4f6291p-18, -0x1.2502f8d2f867fp-18, -0x1.22b79187dff3bp-18, -0x1.20660b6d505d9p-18, -0x1.1e0e9a6fc9bfep-18, -0x1.1bb171e069884p-18, -0x1.194ec450fde6cp-18, -0x1.16e6c58dbd60ap-18, -0x1.1479ae7b567b6p-18, -0x1.1207983743686p-18, -0x1.0f90cc67df41dp-18, -0x1.0d1572377a348p-18, -0x1.0a95b8e55642cp-18, -0x1.08119287999fap-18, -0x1.0589ea3f63d21p-18, -0x1.02fe2d3e84d3p-18, -0x1.006ec73640b3p-18, -0x1.fbb7e745c02c6p-19, -0x1.f68b9fdec46ddp-19, -0x1.f15912d35a1abp-19, -0x1.ec209c8ba5e45p-19, -0x1.e6e287d403ea7p-19, -0x1.e19f26d376f59p-19, -0x1.dc57032701755p-19, -0x1.d70a2800dcab7p-19, -0x1.d1b90005c6007p-19, -0x1.cc63dccf4e6e8p-19, -0x1.c70b0c0936a2ep-19, -0x1.c1aedab3ed013p-19, -0x1.bc4f94e523edcp-19, -0x1.b6ed85a48f944p-19, -0x1.b188f6e0c757bp-19, -0x1.ac22316b2b82bp-19, -0x1.a6b97cf4e0d27p-19, -0x1.a14f200d508a4p-19, -0x1.9be36026c880bp-19, -0x1.967681a0e6fbap-19, -0x1.9108c7cbf4766p-19, -0x1.8b9a74e41e1c9p-19, -0x1.862bca0cbb38ap-19, -0x1.80bd0749e24a5p-19, -0x1.7b4e6b6ea1dep-19, -0x1.75e03439326a7p-19, -0x1.70729e77fe365p-19, -0x1.6b05e5d1d7878p-19, -0x1.659a43339c53p-19, -0x1.602ff2c1cfc1ap-19, -0x1.5ac72f0d6fcb7p-19, -0x1.55602a4de204p-19, -0x1.4ffa96c6644fbp-19, -0x1.4a982f3983949p-19, -0x1.4537d8fb21076p-19, -0x1.3fd9d82dd8e11p-19, -0x1.3a7eb743a57efp-19, -0x1.35268e7d0413ep-19, -0x1.2fd18eaa587cbp-19, -0x1.2a7fe71b8226p-19, -0x1.2531c5f3095bp-19, -0x1.1fe758cc5ac1bp-19, -0x1.1aa0da7fda296p-19, -0x1.155e4cc180231p-19, -0x1.102002e0d61f9p-19, -0x1.0ae618e76ef8p-19, -0x1.05b0b757da26ap-19, -0x1.008005b2ce5b1p-19, -0x1.f6a867db2f169p-20, -0x1.ec5b1c32d2fbap-20, -0x1.e2184d5ae2adp-20, -0x1.d7e82aee62492p-20, -0x1.cdb12e9e5488bp-20, -0x1.c38d5d17f188ap-20, -0x1.b9759a9710879p-20, -0x1.af698ec8310adp-20, -0x1.a56964cb90d2fp-20, -0x1.9b7550d51b01cp-20, -0x1.918d8fe36d025p-20, -0x1.87b2625822523p-20, -0x1.7de3fd23414ccp-20, -0x1.742297888a741p-20, -0x1.6a6e683b09c4fp-20, -0x1.60c7a2dfeffdbp-20, -0x1.572e79a63beb7p-20, -0x1.4da31e470bca3p-20, }}, 
      {{-0x1.4c9e256c2406ap-17, 0x1.fc6b65869b13p-14, 0x1.6f14bb29d462cp-11, 0x1.0386e930eef05p-9, 0x1.0baa1d298ea22p-8, 0x1.caadb36a3e438p-8, 0x1.5b3ad9cb16138p-7, 0x1.e0bd0f4a24a51p-7, 0x1.36d04c9a4a0f9p-6, 0x1.7c9269c58ec77p-6, 0x1.bd61ad54d49eep-6, 0x1.f55bc45afbda4p-6, 0x1.1095805f4aaf3p-5, 0x1.1f0f2a1e5f111p-5, 0x1.2518e96add5ffp-5, 0x1.2205e655c2823p-5, 0x1.1578f67f3c991p-5, 0x1.feb92702a993ep-6, 0x1.bfb2abd044f76p-6, 0x1.6e97b3a5f7942p-6, 0x1.0c7561647f31p-6, 0x1.353357b562ea3p-7, 0x1.a81e0f0152133p-10, -0x1.c8d3af2c3411bp-8, -0x1.09db657a58319p-6, -0x1.aabb6e6463b4fp-6, -0x1.2990d1d2f9dc4p-5, -0x1.80b287fc6c229p-5, -0x1.d9f69bdd34ae3p-5, -0x1.1a4dab0953e33p-4, -0x1.47f5959709cbap-4, -0x1.759eea7ae6b5ap-4, -0x1.a2fc7b0d623c3p-4, -0x1.cfc82f19cf2e3p-4, -0x1.fbc30065751ep-4, -0x1.135a6bb80b985p-3, -0x1.2836285ea864ep-3, -0x1.3c5f38bcb2fe7p-3, -0x1.4fc3283dbbbe8p-3, -0x1.62525b8fcd307p-3, -0x1.73ffdebde4d79p-3, -0x1.84c132bf198f2p-3, -0x1.948e1bb0036fp-3, -0x1.a3607033e5d29p-3, -0x1.b133ea4707df3p-3, -0x1.be05f9f60d6ap-3, -0x1.c9d59a8347395p-3, -0x1.d4a32a45403b1p-3, -0x1.de70453377597p-3, -0x1.e73fa1ea587dfp-3, -0x1.ef14f0f9701fp-3, -0x1.f5f4be6c0961ep-3, -0x1.fbe4558ef680ap-3, -0x1.0074d378c2a42p-2, -0x1.0285984667811p-2, -0x1.0427f3f707d23p-2, -0x1.055f931dd9797p-2, -0x1.06304af540688p-2, -0x1.069e1102ea4fp-2, -0x1.06acf376d508dp-2, -0x1.0661123a6c94dp-2, -0x1.05be98a56885dp-2, -0x1.04c9b7cc3a44p-2, -0x1.0386a15e5578ap-2, -0x1.01f98308231a9p-2, -0x1.0026824f4bd91p-2, -0x1.fc2371be9a134p-3, -0x1.f77e627c62728p-3, -0x1.f265c7c3b9997p-3, -0x1.ece1693e00265p-3, -0x1.e6f8e0d864fddp-3, -0x1.e0b396e68b789p-3, -0x1.da18bed714041p-3, -0x1.d32f54713a895p-3, -0x1.cbfe198f636cp-3, -0x1.c48b944f0d43fp-3, -0x1.bcde0dab8cd9cp-3, -0x1.b4fb907af635ap-3, -0x1.ace9e8c815061p-3, -0x1.a4aea37a0d123p-3, -0x1.9c4f0e5412198p-3, -0x1.93d03825baa6ep-3, -0x1.8b36f15a3b752p-3, -0x1.8287cc95be811p-3, -0x1.79c71fab1e0dfp-3, -0x1.70f904aac03fap-3, -0x1.68215afa1a709p-3, -0x1.5f43c8dc021b4p-3, -0x1.5663bca922c32p-3, -0x1.4d846e6ac501bp-3, -0x1.44a8e1b2ade93p-3, -0x1.3bd3e6be8f7a3p-3, -0x1.33081cf94da4ap-3, -0x1.2a47f43115429p-3, -0x1.2195ae71c9072p-3, -0x1.18f362975f6f4p-3, -0x1.1062fcf587c5ap-3, -0x1.07e64216f79afp-3, -0x1.fefda102f9f02p-4, -0x1.ee5c432746a63p-4, -0x1.ddeb18fb3051dp-4, -0x1.cdac8e96fcc5dp-4, -0x1.bda2d07555f4bp-4, -0x1.adcfd0fa9488p-4, -0x1.9e3549d37598ap-4, -0x1.8ed4bf271a643p-4, -0x1.7faf8464bf04p-4, -0x1.70c6bd73c2a7ep-4, -0x1.621b61d84ad81p-4, -0x1.53ae40b2e8d68p-4, -0x1.458001d9829b3p-4, -0x1.379128afc4c03p-4, -0x1.29e21763d0be7p-4, -0x1.1c731004cc42ap-4, -0x1.0f4436eea0d5ep-4, -0x1.0255956c39f39p-4, -0x1.eb4e35db878c8p-5, -0x1.d2713dfd24a68p-5, -0x1.ba13c6e27b14cp-5, -0x1.a2352b803df7ep-5, -0x1.8ad4a11dc8855p-5, -0x1.73f13ae047118p-5, -0x1.5d89ecd09f188p-5, -0x1.479d8e1391ef6p-5, -0x1.322adb9a016b2p-5, -0x1.1d307b4273befp-5, -0x1.08acfda06b6bcp-5, -0x1.e93dbf8183db2p-6, -0x1.c2091c32ec3b6p-6, -0x1.9bb8ccbc28d1bp-6, -0x1.764971133c075p-6, -0x1.51b7924c22a17p-6, -0x1.2dffa6d8b6229p-6, -0x1.0b1e145261e5ap-6, -0x1.d21e6426645dep-7, -0x1.8f9e9ac17c3d6p-7, -0x1.4eb55802ec721p-7, -0x1.0f5b1b3fb53d8p-7, -0x1.a310b97020d2cp-8, -0x1.2a6b2858ee0efp-8, -0x1.696cf1b9cfc2fp-9, -0x1.078ea8ca08899p-10, 0x1.70e18ff957da3p-11, 0x1.36afdaaa2c293p-9, 0x1.05de3894dd8ccp-8, 0x1.6dbda18a7c6d6p-8, 0x1.d3048c8a43d73p-8, 0x1.1ae096974e8cbp-7, 0x1.4b00c1b6385ccp-7, 0x1.79e9ad7997e3fp-7, 0x1.a7a223eaca8c9p-7, 0x1.d430d08de4e18p-7, 0x1.ff9c3f1d7f204p-7, 0x1.14f56dfb73e23p-6, 0x1.299179daa49e4p-6, 0x1.3da558a3a5723p-6, 0x1.51340e6985337p-6, 0x1.64408e25710f8p-6, 0x1.76cdb9f22190fp-6, 0x1.88de62a33adecp-6, 0x1.9a7547570df1dp-6, 0x1.ab95158b68e6ep-6, 0x1.bc406983c9643p-6, 0x1.cc79ce7ff53ccp-6, 0x1.dc43be918fd71p-6, 0x1.eba0a276a88b7p-6, 0x1.fa92d1dfd1f77p-6, 0x1.048e4a030f595p-5, 0x1.0ba00ff904d05p-5, 0x1.127fce2daa9f4p-5, 0x1.192e8fdcf514fp-5, 0x1.1fad5865311e2p-5, 0x1.25fd2391fdb2bp-5, 0x1.2c1ee5b868181p-5, 0x1.32138bbe8b349p-5, 0x1.37dbfb41eb848p-5, 0x1.3d7912d0b835bp-5, 0x1.42ebaa2ebc562p-5, 0x1.4834927acb2efp-5, 0x1.4d54965692efep-5, 0x1.524c7a09a7ffp-5, 0x1.571cfbac6e96fp-5, 0x1.5bc6d365a872ap-5, 0x1.604ab3ad1efbap-5, 0x1.64a949773732bp-5, 0x1.68e33c4fd3bfep-5, 0x1.6cf92e7f0ddc5p-5, 0x1.70ebbd45545f2p-5, 0x1.74bb811fb6811p-5, 0x1.78690df6ea8b7p-5, 0x1.7bf4f33c22788p-5, 0x1.7f5fbc0d365dfp-5, 0x1.82a9ef6591b56p-5, 0x1.85d4105434b5cp-5, 0x1.88de9e2e1bd73p-5, 0x1.8bca14b688b74p-5, 0x1.8e96ec439aa4p-5, 0x1.914599e06d212p-5, 0x1.93d68f7293095p-5, 0x1.964a3be67d91fp-5, 0x1.98a10b626a911p-5, 0x1.9adb676de2b84p-5, 0x1.9cf9b70a8dfcep-5, 0x1.9efc5ecb1ef0dp-5, 0x1.a0e3c0f6a4cabp-5, 0x1.a2b03db81a98fp-5, 0x1.a4623349df04dp-5, 0x1.a5f9fe0cf2b3ep-5, 0x1.a777f8952ec3cp-5, 0x1.a8dc7bc20632ep-5, 0x1.aa27dee8446d1p-5, 0x1.ab5a77fac1d9bp-5, 0x1.ac749ba14dcc2p-5, 0x1.ad769d40aa05ap-5, 0x1.ae60cf06b486bp-5, 0x1.af33820a07d59p-5, 0x1.afef067369ac8p-5, 0x1.b093ab985351ap-5, 0x1.b121bffe94376p-5, 0x1.b199915af5a92p-5, 0x1.b1fb6ca114f5dp-5, 0x1.b2479e2691944p-5, 0x1.b27e71c6dee4p-5, 0x1.b2a032f21b624p-5, 0x1.b2ad2ca527cdcp-5, 0x1.b2a5a960be25fp-5, 0x1.b289f336bb4b2p-5, 0x1.b25a53ecb2538p-5, 0x1.b217151c56c73p-5, 0x1.b1c0803ce8298p-5, 0x1.b156de95f5039p-5, 0x1.b0da792f8f273p-5, 0x1.b04b98d631828p-5, 0x1.afaa8635de5afp-5, 0x1.aef789f9cf0edp-5, 0x1.ae32ecd93e573p-5, 0x1.ad5cf78b1c55ep-5, 0x1.ac75f2b046eacp-5, 0x1.ab7e26ca891fcp-5, 0x1.aa75dc4a7f3eep-5, 0x1.a95d5baa90753p-5, 0x1.a834ed826c516p-5, 0x1.a6fcda8508b91p-5, 0x1.a5b56b6c35dcap-5, 0x1.a45ee8e37919fp-5, 0x1.a2f99b837c831p-5, 0x1.a185cbe0fe5abp-5, 0x1.a003c2a242e57p-5, 0x1.9e73c889ce8dbp-5, 0x1.9cd6266e61efcp-5, 0x1.9b2b2525a6ffp-5, 0x1.99730d705c44fp-5, 0x1.97ae27f4ba69cp-5, 0x1.95dcbd48c6e72p-5, 0x1.93ff1602ab1a1p-5, 0x1.92157ac0809f5p-5, 0x1.90203420e7213p-5, 0x1.8e1f8aafc62d5p-5, 0x1.8c13c6d2808bcp-5, 0x1.89fd30be273f8p-5, 0x1.87dc107b00014p-5, 0x1.85b0adef6454ap-5, 0x1.837b50e7dd692p-5, 0x1.813c41146301ep-5, 0x1.7ef3c5fa64601p-5, 0x1.7ca226e216219p-5, 0x1.7a47aac7d13aap-5, 0x1.77e498576981dp-5, 0x1.757935f08d9b2p-5, 0x1.7305c9ade3c28p-5, 0x1.708a996791304p-5, 0x1.6e07eaad209d9p-5, 0x1.6b7e02b809d93p-5, 0x1.68ed265c21d9cp-5, 0x1.665599fbd74ffp-5, 0x1.63b7a1846de51p-5, 0x1.6113806f5384dp-5, 0x1.5e6979c743e85p-5, 0x1.5bb9d0288f4fp-5, 0x1.5904c5bc320f1p-5, 0x1.564a9c2d6a502p-5, 0x1.538b949d4f3f4p-5, 0x1.50c7ef98850b7p-5, 0x1.4dffed11cca6ep-5, 0x1.4b33cc6181985p-5, 0x1.4863cc47922cp-5, 0x1.45902aec8e057p-5, 0x1.42b925df39d2p-5, 0x1.3fdefa0e2fc98p-5, 0x1.3d01e3befe6adp-5, 0x1.3a221e85527b3p-5, 0x1.373fe53c89734p-5, 0x1.345b7204c688bp-5, 0x1.3174fe42cdbc1p-5, 0x1.2e8cc2a0ed792p-5, 0x1.2ba2f70ed7e2ap-5, 0x1.28b7d2bf3a643p-5, 0x1.25cb8c230d34fp-5, 0x1.22de58e37656cp-5, 0x1.1ff06ddbe866fp-5, 0x1.1d01ff15c853bp-5, 0x1.1a133fc6498a4p-5, 0x1.1724624e2a69p-5, 0x1.1435983a38309p-5, 0x1.1147124396165p-5, 0x1.0e59004e8dap-5, 0x1.0b6b9167ee44bp-5, 0x1.087ef3c2ef955p-5, 0x1.059354b632924p-5, 0x1.02a8e0b7789e8p-5, 0x1.ff7f86b39cfc4p-6, 0x1.f9b04e9a36c97p-6, 0x1.f3e46cbc49a8fp-6, 0x1.ee1c32ee1a8fep-6, 0x1.e857f1400b0cfp-6, 0x1.e297f5ffd5f0fp-6, 0x1.dcdc8db97bbf5p-6, 0x1.d72603371cae6p-6, 0x1.d1749f7fe4ceap-6, 0x1.cbc8a9d59bdf9p-6, 0x1.c62267b16d4a6p-6, 0x1.c0821cc080f86p-6, 0x1.bae80ae184d17p-6, 0x1.b55472242f7acp-6, 0x1.afc790cc34cd7p-6, 0x1.aa41a35775d69p-6, 0x1.a4c2e48723e5fp-6, 0x1.9f4b8d68f3cc1p-6, 0x1.99dbd55e2fbc3p-6, 0x1.9473f21e14786p-6, 0x1.8f1417b2d0e43p-6, 0x1.89bc7872655b6p-6, 0x1.846d44f62ba23p-6, 0x1.7f26ac151bb53p-6, 0x1.79e8dae457d2p-6, 0x1.74b3fcbfc599ap-6, 0x1.6f883b596af9p-6, 0x1.6a65becbf93cap-6, 0x1.654cadaabd0b4p-6, 0x1.603d2d094b17ep-6, 0x1.5b37607a9cd72p-6, 0x1.563b6a06b885dp-6, 0x1.51496a1e54acfp-6, 0x1.4c617f930408p-6, 0x1.4783c79a8d33ep-6, 0x1.42b05de024b15p-6, 0x1.3de75ca0578b1p-6, 0x1.3928dcc72b0c2p-6, 0x1.3474f6046f1bdp-6, 0x1.2fcbbecc222a8p-6, 0x1.2b2d4c3ed2686p-6, 0x1.2699b1fe9c948p-6, 0x1.221102005f01bp-6, 0x1.1d934c6d06ce3p-6, 0x1.19209fa769563p-6, 0x1.14b908817c4bbp-6, 0x1.105c929d3678cp-6, 0x1.0c0b48e40769bp-6, 0x1.07c535f2649a9p-6, 0x1.038a64505d771p-6, 0x1.feb5bcb1667b2p-7, 0x1.f66d5b880df84p-7, 0x1.ee3bb5d4ec1f4p-7, 0x1.e620d7d358c86p-7, 0x1.de1cc7e098633p-7, 0x1.d62f85e167c38p-7, 0x1.ce590bd44d6a4p-7, 0x1.c6994fa3b2fcp-7, 0x1.bef045ee951cep-7, 0x1.b75de525e821p-7, 0x1.afe228333c08ep-7, 0x1.a87d0fc0a0907p-7, 0x1.a12ea1b09fea8p-7, 0x1.99f6e6856e50bp-7, 0x1.92d5e535fdf44p-7, 0x1.8bcb9e545856dp-7, 0x1.84d807bf451bcp-7, 0x1.7dfb0a1990fafp-7, 0x1.773480ee29645p-7, 0x1.70843dcbe4d4p-7, 0x1.69ea0de99c0e9p-7, 0x1.6365c12ed5b27p-7, 0x1.5cf730f9ef5dfp-7, 0x1.569e4502d519ep-7, 0x1.505af4e4366dep-7, 0x1.4a2d45ad03b0dp-7, 0x1.441543b80972cp-7, 0x1.3e12f9fd85df9p-7, 0x1.382668c384305p-7, 0x1.324f7dd817e8p-7, 0x1.2c8e1040f29dp-7, 0x1.26e1e0961e4d4p-7, 0x1.214a9e3577432p-7, 0x1.1bc7f062c585bp-7, 0x1.165981786bb0ep-7, 0x1.10ff09c15fb3fp-7, 0x1.0bb8578efc81ap-7, 0x1.068552a7df101p-7, 0x1.0165fa2b8396fp-7, 0x1.f8b4ba8739666p-8, 0x1.eec52052cea07p-8, 0x1.e4fd3faa23cc1p-8, 0x1.db5d0de6fdf54p-8, 0x1.d1e44ce6bf1ffp-8, 0x1.c8928639c298bp-8, 0x1.bf671169793ecp-8, 0x1.b661240beb14ap-8, 0x1.ad7fe8621964dp-8, 0x1.a4c295eb02ee8p-8, 0x1.9c2886d42abe8p-8, 0x1.93b145d05ae6bp-8, 0x1.8b5c919120ae1p-8, 0x1.832a5590e7ee7p-8, 0x1.7b1a9a55cafdap-8, 0x1.732d711edea8p-8, 0x1.6b62df5f8ac3p-8, 0x1.63bace317d61ap-8, 0x1.5c34ffc82c14cp-8, 0x1.54d10c7bd335fp-8, 0x1.4d8e6714c517p-8, 0x1.466c6773763d5p-8, 0x1.3f6a59674e8d1p-8, 0x1.38878cf4f54e7p-8, 0x1.31c364b20e0ap-8, 0x1.2b1d5f4772c4fp-8, 0x1.24951a74f46afp-8, 0x1.1e2a4fa13acf9p-8, 0x1.17dccb8cbd264p-8, 0x1.11ac63a0385e3p-8, 0x1.0b98eb5979224p-8, 0x1.05a22bca1698cp-8, 0x1.ff8fbccaa913cp-9, 0x1.f413578286408p-9, 0x1.e8ce5c86fe1afp-9, 0x1.ddbfef5f3a6dp-9, 0x1.d2e72ec6a4792p-9, 0x1.c8433d2a24982p-9, 0x1.bdd342014a493p-9, 0x1.b39665a49381ep-9, 0x1.a98bcdae3ef6dp-9, 0x1.9fb2a0590e349p-9, 0x1.960a108f0e69cp-9, 0x1.8c916d18a710ep-9, 0x1.8348289e294f6p-9, 0x1.7a2dd1e9a7011p-9, 0x1.7141fc3d0d6ecp-9, 0x1.6884223b8f6eep-9, 0x1.5ff393d709093p-9, 0x1.578f7b7ba2dcap-9, 0x1.4f56f95e1c711p-9, 0x1.474944cc73becp-9, 0x1.3f65bd5d436bdp-9, 0x1.37abdd65850d5p-9, 0x1.301b12fe7b3c9p-9, 0x1.28b295bc62415p-9, 0x1.217157848bc68p-9, 0x1.1a5621f269174p-9, 0x1.135fd823b3705p-9, 0x1.0c8dbc8beb48ep-9, 0x1.05df92d8cbb85p-9, 0x1.feab0e3f095a9p-10, 0x1.f1dfca3486385p-10, 0x1.e55d8d7a70ab3p-10, 0x1.d923c8c6c1007p-10, 0x1.cd3130f55fd1p-10, 0x1.c18410ad6056ep-10, 0x1.b61aa5202c232p-10, 0x1.aaf35001add64p-10, 0x1.a00c8aab713b2p-10, 0x1.9564aa6333f34p-10, 0x1.8af99b2fcd739p-10, 0x1.80c8c2e49348fp-10, 0x1.76cf332ce7e85p-10, 0x1.6d0a323cc10efp-10, 0x1.6377eb07a1258p-10, 0x1.5a17e746de52ep-10, 0x1.50eafd9ad4a9bp-10, 0x1.47f2b0c20fa67p-10, 0x1.3f30625a545a4p-10, 0x1.36a4d4c11c66ep-10, 0x1.2e502959f161p-10, 0x1.26322451ce997p-10, 0x1.1e4a5a3f1782bp-10, 0x1.16981b16abf27p-10, 0x1.0f1a193d37788p-10, 0x1.07ce1d4cd7308p-10, 0x1.00b10df9ac189p-10, 0x1.f37ebea7c0aadp-11, 0x1.e5eb51cd1d7adp-11, 0x1.d8a22ee6a5c9cp-11, 0x1.cb9f52a4be4e5p-11, 0x1.bee0a12b7f2c8p-11, 0x1.b26600d6c33e5p-11, 0x1.a630fc0440f7p-11, 0x1.9a43bf20898d2p-11, 0x1.8e9ffd69b7f37p-11, 0x1.83469427b5e89p-11, 0x1.7837ff83adacbp-11, 0x1.6d74e6fe40ecdp-11, 0x1.62fe47ab47eeep-11, 0x1.58d539c1a6512p-11, 0x1.4efa34b2b730fp-11, 0x1.456bf16ecad46p-11, 0x1.3c26b7af1322p-11, 0x1.3324bc06a87e7p-11, 0x1.2a5f4da4e6fdcp-11, 0x1.21d0230ae4fep-11, 0x1.197257175f74ep-11, 0x1.1142f33b4b5bep-11, 0x1.0940e70c38c2cp-11, 0x1.016c6e377a7bbp-11, 0x1.f38c9f52f08f3p-12, 0x1.e49eb754ea1d8p-12, 0x1.d6104f4670caap-12, 0x1.c7e20dbecb5dbp-12, 0x1.ba14824cecd6bp-12, 0x1.aca8594e4bd8dp-12, 0x1.9f9e768a03e02p-12, 0x1.92f8254fa7dfap-12, 0x1.86b5f2e593533p-12, 0x1.7ad59733123edp-12, 0x1.6f51e3440666ep-12, 0x1.642513259454bp-12, 0x1.594ad62ed2531p-12, 0x1.4ec0743a38661p-12, 0x1.44839daffa57dp-12, 0x1.3a91179292affp-12, 0x1.30e439c7e906dp-12, 0x1.27779ef8ffa5fp-12, 0x1.1e463b6c5eb8cp-12, 0x1.154c1fd88503ap-12, 0x1.0c87e014a752ap-12, 0x1.03fbe1acab771p-12, 0x1.f758a73385028p-13, 0x1.e7361a7fd4404p-13, 0x1.d78d84b83e084p-13, 0x1.c85d4468fc64p-13, 0x1.b9a8ea75892c8p-13, 0x1.ab71cd5b2a7a8p-13, 0x1.9daf9cae2c64dp-13, 0x1.9054ca5dd8b0fp-13, 0x1.8356e4747269dp-13, 0x1.76b12c2aca659p-13, 0x1.6a62f59b40865p-13, 0x1.5e6e7f0e026e6p-13, 0x1.52d8f4b4525d5p-13, 0x1.47a93212f22c5p-13, 0x1.3ce389eed62a4p-13, 0x1.32840577b8695p-13, 0x1.287b6afa157bcp-13, 0x1.1eb36bc73f21bp-13, 0x1.151b74ed7b307p-13, 0x1.0bb74cee4adb8p-13, 0x1.029a970cf82a7p-13, 0x1.f39c7743c21aep-14, 0x1.e28f45d1b39dp-14, 0x1.d201c551b79f1p-14, 0x1.c2080eaea245cp-14, 0x1.b2acadca67cb5p-14, 0x1.a3dac84171b5bp-14, 0x1.9577256218782p-14, 0x1.8774501e500bdp-14, 0x1.79d0ad83496a2p-14, 0x1.6c8e153451b8cp-14, 0x1.5facbc04cdb2cp-14, 0x1.532ae1d74bdc5p-14, 0x1.470864dc32ae8p-14, 0x1.3b4b304611d15p-14, 0x1.2fff1c490fdd2p-14, 0x1.252ed4b4661f5p-14, 0x1.1ada9c966093ap-14, 0x1.10f00929b5ffcp-14, 0x1.074710e003397p-14, 0x1.fb82055f000bdp-15, 0x1.e8ebf0350b6b3p-15, 0x1.d715a968ae8e9p-15, 0x1.c5d66d287a80fp-15, 0x1.b4ff838917137p-15, 0x1.a4c95675b027fp-15, 0x1.9554ab10823d9p-15, 0x1.8676fbf404fcdp-15, 0x1.78074df380b38p-15, 0x1.69fad6449b453p-15, 0x1.5c54c0a404ff6p-15, 0x1.4f1900223a0b6p-15, 0x1.4248ec7bd0156p-15, 0x1.35e3702e45102p-15, 0x1.29e55380d376cp-15, 0x1.1e49d297d3725p-15, 0x1.130d066fab8b4p-15, 0x1.082f97f14e447p-15, 0x1.fb6ec2b66921bp-16, 0x1.e753c92d02792p-16, 0x1.d4133b912f554p-16, 0x1.c1b604402b633p-16, 0x1.b018a5f2998fp-16, 0x1.9ed98be28a3f1p-16, 0x1.8e12ddf1ce7e5p-16, 0x1.7def8e918ca3ap-16, 0x1.6e149a0bc4b83p-16, 0x1.5ec3a3c86952cp-16, 0x1.50509f172a42p-16, 0x1.4279d6577347bp-16, 0x1.350742ead4183p-16, 0x1.27f485ff57412p-16, 0x1.1b4ab34490af9p-16, 0x1.0f0ea7509c0e1p-16, 0x1.03400f68ce9b1p-16, 0x1.efb80025d9895p-17, 0x1.d9be262298682p-17, 0x1.c48cb2e60f313p-17, 0x1.b01e287823289p-17, 0x1.9c6b75e4f71afp-17, 0x1.896b1b138ed1bp-17, 0x1.7713a44c35731p-17, 0x1.6560048a6da26p-17, 0x1.544d13c6825ddp-17, 0x1.43d19fde8f7a4p-17, 0x1.340046d1db4cep-17, 0x1.252536d16b881p-17, 0x1.170811e25548ep-17, 0x1.0931498b050b8p-17, 0x1.f73f5a37c8753p-18, 0x1.dc99097a6772dp-18, 0x1.c393ce16dadefp-18, 0x1.abed38998ac3bp-18, 0x1.94fda6c519fd3p-18, 0x1.7eb7be22f090ep-18, 0x1.693499b47192dp-18, 0x1.547fb585ca47dp-18, 0x1.4098a1ff9d906p-18, 0x1.2d792f629e441p-18, 0x1.1b195f82179c4p-18, 0x1.0971357318bd5p-18, 0x1.f0f3980e45dfdp-19, 0x1.d05bba1252a41p-19, 0x1.b112c77dde755p-19, 0x1.930f370de37a7p-19, 0x1.7646a53cf2144p-19, 0x1.5aa381d85ad59p-19, 0x1.40139c6d9bcf9p-19, 0x1.268b81649fa26p-19, 0x1.0e0000570076dp-19, 0x1.ecb55735b48bep-20, 0x1.bfa391a28996ep-20, 0x1.96127a88a63bep-20, 0x1.6e745bccbb0acp-20, 0x1.4702c5c272849p-20, 0x1.20c21780151fdp-20, 0x1.fada8552e76a8p-21, 0x1.b7c07b4ee0543p-21, 0x1.76fcfded0dc7cp-21, 0x1.38e2b63816c2ap-21, 0x1.fb50791e539c2p-22, 0x1.8a9bd62610ec2p-22, 0x1.1f8039dac0c4fp-22, 0x1.7399b7a1388fp-23, 0x1.654180e3caffbp-24, -0x1.126d168a03aafp-29, -0x1.62eb79f1204f5p-24, -0x1.555b91b0ab769p-23, -0x1.f0067a68dca59p-23, -0x1.40f042662c414p-22, -0x1.8588da488695ep-22, -0x1.c5ef363ad668p-22, -0x1.0124cfaa80698p-21, -0x1.1d634a4266631p-21, -0x1.37c87286d0274p-21, -0x1.5060257b859c8p-21, -0x1.6731245b5cbf2p-21, -0x1.7c566851e8091p-21, -0x1.8fd9f2659280dp-21, -0x1.a125e29f670b9p-21, -0x1.b0dc862bde3edp-21, -0x1.bfbd6f104cf6ep-21, -0x1.cca17378b96cep-21, -0x1.d7f68624cefb1p-21, -0x1.e20e504a1c892p-21, -0x1.ead1e03b58671p-21, -0x1.f23bfb43fb889p-21, -0x1.f853e4c5e9874p-21, -0x1.fd2310db28d6fp-21, -0x1.00597f760c2ecp-20, -0x1.01865bb14243cp-20, -0x1.021c2e144d193p-20, -0x1.021e1c7ca0d9ep-20, -0x1.01930043cc9p-20, -0x1.007b53a431c89p-20, -0x1.fdb80ff44849bp-21, -0x1.f970e93435155p-21, -0x1.f427beb3a0e97p-21, -0x1.ede2f301863e5p-21, -0x1.e6a8e4cf47084p-21, -0x1.de7feff85cf69p-21, -0x1.d56e54e78e72bp-21, -0x1.cb7a04f50d824p-21, -0x1.c0a85c4d4902ep-21, -0x1.b4fe23ff617f7p-21, -0x1.a880dfef4f613p-21, -0x1.9b3829671449cp-21, -0x1.8d2728dc946f3p-21, -0x1.7e4e4f9282343p-21, -0x1.6eb9d8ed82906p-21, -0x1.5e69122c44c57p-21, -0x1.4d64ba2a01cdcp-21, -0x1.3bafdd92918f2p-21, -0x1.294e735aa8933p-21, -0x1.1644ec9a951ep-21, -0x1.02979c280c3d6p-21, -0x1.dc95687e972bfp-22, -0x1.b2c49d93ebf27p-22, -0x1.87c4e293faa8cp-22, -0x1.5b9e1c08cbc71p-22, -0x1.2e580be76c7bdp-22, -0x1.fff499379e113p-23, -0x1.a118a1380457bp-23, -0x1.402ad31c989cp-23, -0x1.ba73898ce34a6p-24, -0x1.e1501de7657abp-25, -0x1.1879c566f69cdp-27, 0x1.5c74d2f14e5ep-25, 0x1.8318cd4c6ae0dp-24, 0x1.2db85bfd94333p-23, 0x1.9b93f952b7cf4p-23, 0x1.05892c500b046p-22, 0x1.3e130db1b6e3fp-22, 0x1.776224f919272p-22, 0x1.b16d904da5802p-22, 0x1.ec2ed4f6881ddp-22, 0x1.13d1af9c53eaap-21, 0x1.31e4952d47fa6p-21, 0x1.504574f1c158ep-21, 0x1.6ef2ac2b988bdp-21, 0x1.8dedfb06b9bbp-21, 0x1.ad33c6bdbbf53p-21, 0x1.ccbfbd61f859dp-21, 0x1.ec8e996289b86p-21, 0x1.064eb748ae70bp-20, 0x1.1674ae0c41591p-20, 0x1.26b7c0f80dbfp-20, 0x1.371673dd22ed3p-20, 0x1.478f66093c269p-20, 0x1.5821254040cf2p-20, 0x1.68ca46862e71ap-20, 0x1.798961e2034cbp-20, 0x1.8a5d119c81ebep-20, 0x1.9b43f251769b7p-20, 0x1.ac3ca2f1901b9p-20, 0x1.bd45c4cde156bp-20, 0x1.ce5dfb8942ffdp-20, 0x1.df83ed15c5dd6p-20, 0x1.f0b641f8fb62p-20, 0x1.00f9d2c35b57fp-19, 0x1.099d62db6b21dp-19, 0x1.1245295c047f7p-19, 0x1.1af07f665f54fp-19, 0x1.239ebf069ac2p-19, 0x1.2c4f42d13f50dp-19, 0x1.350167212d746p-19, 0x1.3db48c5d26d42p-19, 0x1.466815d9b788cp-19, 0x1.4f1b5fcaf95ddp-19, 0x1.57cdc0e7cf8d8p-19, 0x1.607eb1af0ce61p-19, 0x1.692d8e45c22bdp-19, 0x1.71d9b6e3442f1p-19, 0x1.7a8387a41b3b2p-19, 0x1.8327ad468e185p-19, 0x1.8bc81792cea1cp-19, 0x1.9463987656deep-19, 0x1.9cf979edc8b1cp-19, 0x1.a5892cd4aa792p-19, 0x1.ae1221059f5bap-19, 0x1.b693c7eb1887ap-19, 0x1.bf0d9445afce1p-19, 0x1.c77efaed0a1bfp-19, 0x1.cfe7709a054d8p-19, 0x1.d8467327c6f95p-19, 0x1.e09b74692ac9dp-19, 0x1.e8e5f1d8ed2adp-19, 0x1.f12567812be7fp-19, 0x1.f95953c85da4ap-19, 0x1.00c099dc5f1f2p-18, 0x1.04ce2c6f6e5dep-18, 0x1.08d5392b5cf2bp-18, 0x1.0cd3ba9366195p-18, 0x1.10cf1b30eb10ep-18, 0x1.14c18243e600fp-18, 0x1.18ac4e40a66f5p-18, 0x1.1c8f671fb16abp-18, 0x1.206a984d4887ep-18, 0x1.243daeff38213p-18, 0x1.28087333c9c3bp-18, 0x1.2bcaa00245ecfp-18, 0x1.2f8408e0fbf98p-18, 0x1.33349e7a36fd4p-18, 0x1.36dbebb3ea30cp-18, 0x1.3a79dd0a8fe61p-18, 0x1.3e0e5ae57dabcp-18, 0x1.41990be835205p-18, }}, 
      {{-0x1.9a1a25a573846p-7, -0x1.8277322b3252p-5, -0x1.b8592117bf27ep-4, -0x1.7fb078214da49p-3, -0x1.1c1e2c5507dcap-2, -0x1.79a669bb0c86fp-2, -0x1.d0ddd45080e92p-2, -0x1.0e2a1a6b6c565p-1, -0x1.2c55d1191ebfp-1, -0x1.42260f716693p-1, -0x1.4f81c0a29e4dcp-1, -0x1.54d337bf77837p-1, -0x1.52de06d14c24ap-1, -0x1.4a9be9c3aa196p-1, -0x1.3d20f70558d39p-1, -0x1.2b868e79076e8p-1, -0x1.16dc2954963ccp-1, -0x1.001d1101239e9p-1, -0x1.d0540a6bbf1efp-2, -0x1.9f8be978cc831p-2, -0x1.6f2a024a19bf8p-2, -0x1.403a53a43497dp-2, -0x1.13902c6b0733fp-2, -0x1.d3964cceb4002p-3, -0x1.86b9c4624d07bp-3, -0x1.411e13caa8fa4p-3, -0x1.031289316ce51p-3, -0x1.995b868980db5p-4, -0x1.3bb063014906ap-4, -0x1.d9565b2a3662bp-5, -0x1.5735eeeb8826fp-5, -0x1.de94660a45b48p-6, -0x1.3f475a60fa3d2p-6, -0x1.98b814535cff7p-7, -0x1.0306bbdca4246p-7, -0x1.699287b3ffd16p-8, -0x1.4ad219b387899p-8, -0x1.991c549216604p-8, -0x1.223aa1e1a5ac7p-7, -0x1.9ede4b8892744p-7, -0x1.1db2405563015p-6, -0x1.789e58f1cb8a9p-6, -0x1.dd2f6cefcdfc6p-6, -0x1.245327af7f37bp-5, -0x1.5c43f48f3f0d4p-5, -0x1.954dba9b8f19dp-5, -0x1.ce73fe1cd21e5p-5, -0x1.036c518d03965p-4, -0x1.1edd1bc279779p-4, -0x1.39390fca64293p-4, -0x1.523958f36cf3ap-4, -0x1.69a2a74ecf76cp-4, -0x1.7f443d5c99674p-4, -0x1.92f703799f793p-4, -0x1.a49ca3a7306a8p-4, -0x1.b41eaf7ca4ce2p-4, -0x1.c16dd1640d27ep-4, -0x1.cc8109c4dd953p-4, -0x1.d554f87a4d4dbp-4, -0x1.dbeb32aa58082p-4, -0x1.e049a4e694b47p-4, -0x1.e27a0155ac525p-4, -0x1.e289397f26ea6p-4, -0x1.e0870340f624fp-4, -0x1.dc8568600b502p-4, -0x1.d69860259b1b1p-4, -0x1.ced5726f74f7cp-4, -0x1.c55363a483abdp-4, -0x1.ba29e8f9652d2p-4, -0x1.ad716479e7109p-4, -0x1.9f42a852afbefp-4, -0x1.8fb6c0d390d49p-4, -0x1.7ee6c4b2edf8ep-4, -0x1.6cebab1331bc2p-4, -0x1.59de26df97fc5p-4, -0x1.45d68705ec6ccp-4, -0x1.30ec9b3b1327dp-4, -0x1.1b379cc66d47dp-4, -0x1.04ce1b22b5ad5p-4, -0x1.db8bd7c970c5ep-5, -0x1.ac683baa90f82p-5, -0x1.7c59dd3f65905p-5, -0x1.4b87865654735p-5, -0x1.1a1643ef7f641p-5, -0x1.d052be66211eap-6, -0x1.6bc4b3ff4edbbp-6, -0x1.06c1dc25ca153p-6, -0x1.430c402be1f2cp-7, -0x1.e24f3b06d2c4cp-9, 0x1.45eed3e8e0b9p-9, 0x1.1abf257b987c4p-7, 0x1.e2d9fe7b1cd3p-7, 0x1.54bb1343cc63p-6, 0x1.b721e25f8cb93p-6, 0x1.0c3e43906a345p-5, 0x1.3c548134155a6p-5, 0x1.6bc413734386ep-5, 0x1.9a7ebb1e7446cp-5, 0x1.c87781467f75p-5, 0x1.f5a2ab75d0106p-5, 0x1.10fad43db0c5bp-4, 0x1.26b381ace57f1p-4, 0x1.3bf72b112e7bbp-4, 0x1.50c21bd73bf16p-4, 0x1.6511183f9b929p-4, 0x1.78e156d125b1ap-4, 0x1.8c307814b0f2fp-4, 0x1.9efc81b91393ap-4, 0x1.b143d84f4f13cp-4, 0x1.c30537fd9ea0fp-4, 0x1.d43fb00c7885bp-4, 0x1.e4f29d16c3762p-4, 0x1.f51da2b5c8898p-4, 0x1.026053b8b772cp-3, 0x1.09ede7d1f2d0ep-3, 0x1.1137bc18d0eaep-3, 0x1.183e196ec54a7p-3, 0x1.1f016106a2f58p-3, 0x1.25820a41cda5dp-3, 0x1.2bc0a1069e567p-3, 0x1.31bdc40d683f8p-3, 0x1.377a232a1700bp-3, 0x1.3cf67dc2c27c3p-3, 0x1.4233a171b55acp-3, 0x1.473268a71e3cdp-3, 0x1.4bf3b93d9aa83p-3, 0x1.50788354b8908p-3, 0x1.54c1c040271ecp-3, 0x1.58d071471c1bdp-3, 0x1.5ca59e9efdbc6p-3, 0x1.6042569af2e35p-3, 0x1.63a7acabe599ep-3, 0x1.66d6b87201dc8p-3, 0x1.69d09510c26f8p-3, 0x1.6c96607ab0918p-3, 0x1.6f293aa917286p-3, 0x1.718a44f613c84p-3, 0x1.73baa19faabf5p-3, 0x1.75bb733c1a15fp-3, 0x1.778ddc1fd7b5cp-3, 0x1.7932fdec5b2a8p-3, 0x1.7aabf9399ad46p-3, 0x1.7bf9ed2823d81p-3, 0x1.7d1df6f0fc77dp-3, 0x1.7e19319b35198p-3, 0x1.7eecb5be925eep-3, 0x1.7f999935658ddp-3, 0x1.8020eed00b2e8p-3, 0x1.8083c62095b77p-3, 0x1.80c32b54b00bdp-3, 0x1.80e0270859828p-3, 0x1.80dbbe11827eap-3, 0x1.80b6f15b1bc2p-3, 0x1.8072bdd501da6p-3, 0x1.80101c5ffb2acp-3, 0x1.7f9001ab86ed4p-3, 0x1.7ef35e2063a42p-3, 0x1.7e3b1ddcd2162p-3, 0x1.7d6828b04727ep-3, 0x1.7c7b620db637cp-3, 0x1.7b75a901e96a4p-3, 0x1.7a57d833569p-3, 0x1.7922c5e669c7ap-3, 0x1.77d744023709ap-3, 0x1.76762011ce911p-3, 0x1.750023444bcf7p-3, 0x1.73761273b829bp-3, 0x1.71d8ae34e65d6p-3, 0x1.7028b2e3518e1p-3, 0x1.6e66d8a431662p-3, 0x1.6c93d36d9ecbfp-3, 0x1.6ab0531862e63p-3, 0x1.68bd0372468b6p-3, 0x1.66ba8c482383bp-3, 0x1.64a9916f28d7p-3, 0x1.628ab2d50b854p-3, 0x1.605e8c92a8a55p-3, 0x1.5e25b6f8dc7eap-3, 0x1.5be0c6a14d2fcp-3, 0x1.59904c7e0c063p-3, 0x1.5734d5e9bac6fp-3, 0x1.54ceecb559f3ep-3, 0x1.525f1738b0eep-3, 0x1.4fe5d86628577p-3, 0x1.4d63afdc1df2p-3, 0x1.4ad919f1dd25ep-3, 0x1.48468fc56014cp-3, 0x1.45ac874d91d87p-3, 0x1.430b736dedf5bp-3, 0x1.4063c4061644ap-3, 0x1.3db5e5fec007cp-3, 0x1.3b024358c17d8p-3, 0x1.3849433e22043p-3, 0x1.358b4a12314f7p-3, 0x1.32c8b9801f1c2p-3, 0x1.3001f089f2c3cp-3, 0x1.2d374b9788183p-3, 0x1.2a69248553117p-3, 0x1.2797d2b046c58p-3, 0x1.24c3ab039bc2ep-3, 0x1.21ed0009117ecp-3, 0x1.1f1421f86d5f2p-3, 0x1.1c395ec2ed963p-3, 0x1.195d021c7854ap-3, 0x1.167f55879ee6bp-3, 0x1.13a0a065e388bp-3, 0x1.10c128076b752p-3, 0x1.0de12fb5237fep-3, 0x1.0b00f8b7250a5p-3, 0x1.0820c25e280fp-3, 0x1.0540ca12b4c39p-3, 0x1.02614b6530405p-3, 0x1.ff05003089ad5p-4, 0x1.f949404b3a933p-4, 0x1.f38fc386f2947p-4, 0x1.edd8f2e195f0ap-4, 0x1.e825340b3a84bp-4, 0x1.e274e97fcb701p-4, 0x1.dcc8729177931p-4, 0x1.d7202b6c98cb3p-4, 0x1.d17c6d2478945p-4, 0x1.cbdd8dceb7cbdp-4, 0x1.c643e0a2834d5p-4, 0x1.c0afb60c690dbp-4, 0x1.bb215bb2d864ap-4, 0x1.b5991c76dac47p-4, 0x1.b01740805d35ep-4, 0x1.aa9c0d592946cp-4, 0x1.a527c60a655d5p-4, 0x1.9fbaab2e6118bp-4, 0x1.9a54faf31af2ep-4, 0x1.94f6f11868c83p-4, 0x1.8fa0c6f828d48p-4, 0x1.8a52b39d3c86fp-4, 0x1.850cebdff2b33p-4, 0x1.7fcfa279b327dp-4, 0x1.7a9b0809b3bf2p-4, 0x1.756f4b1192c9ep-4, 0x1.704c97f73c40dp-4, 0x1.6b3319144cd59p-4, 0x1.6622f6cf455aap-4, 0x1.611c57b299d25p-4, 0x1.5c1f6077d5a78p-4, 0x1.572c3406ddae6p-4, 0x1.5242f372b95b6p-4, 0x1.4d63bdfebf1a3p-4, 0x1.488eb12fba14bp-4, 0x1.43c3e8e2f6cbap-4, 0x1.3f037f60c47ccp-4, 0x1.3a4d8d640c5e9p-4, 0x1.35a22a18c21b5p-4, 0x1.31016b19807d5p-4, 0x1.2c6b6474bdb02p-4, 0x1.27e028bbef842p-4, 0x1.235fc917843f3p-4, 0x1.1eea555785dbap-4, 0x1.1a7fdbfb5bd64p-4, 0x1.16206a31a3995p-4, 0x1.11cc0bd6243d5p-4, 0x1.0d82cb74c5d07p-4, 0x1.0944b2548b563p-4, 0x1.0511c88818a54p-4, 0x1.00ea14fd84a7p-4, 0x1.f99b3b10c82d7p-5, 0x1.f178cdc96679fp-5, 0x1.e96ce96bc2754p-5, 0x1.e177930e7e6f4p-5, 0x1.d998cda3bd2abp-5, 0x1.d1d09a106a18cp-5, 0x1.ca1ef7487ca96p-5, 0x1.c283e2672cf78p-5, 0x1.baff56bd1137fp-5, 0x1.b3914dd46aff4p-5, 0x1.ac39bf7140969p-5, 0x1.a4f8a19539aap-5, 0x1.9dcde88993b02p-5, 0x1.96b986f6377bp-5, 0x1.8fbb6df4fd5dbp-5, 0x1.88d38d2827934p-5, 0x1.8201d2c69b317p-5, 0x1.7b462ba1c5eb3p-5, 0x1.74a08327e4041p-5, 0x1.6e10c367ab623p-5, 0x1.6796d51922434p-5, 0x1.61329fac67aaep-5, 0x1.5ae4095bd1099p-5, 0x1.54aaf73d68271p-5, 0x1.4e874d505d927p-5, 0x1.4878ee855d82dp-5, 0x1.427fbcc31ccbap-5, 0x1.3c9b98ea08277p-5, 0x1.36cc62da212f6p-5, 0x1.3111f97cab55ep-5, 0x1.2b6c3ad13c86cp-5, 0x1.25db03fc2d46p-5, 0x1.205e3153d4968p-5, 0x1.1af59e6af8ef4p-5, 0x1.15a12617e9813p-5, 0x1.1060a2797ab43p-5, 0x1.0b33ecfb8b5e1p-5, 0x1.061ade5cbbb9dp-5, 0x1.01154eb69bee3p-5, 0x1.f8462b0fccf2fp-6, 0x1.ee88137f12ff3p-6, 0x1.e4f0038e78ad1p-6, 0x1.db7da719387f5p-6, 0x1.d230a91130b8cp-6, 0x1.c908b3885b909p-6, 0x1.c0056fb96367bp-6, 0x1.b72686135f876p-6, 0x1.ae6b9e45778afp-6, 0x1.a5d45f4cb9bcdp-6, 0x1.9d606f842fa88p-6, 0x1.950f74b57644p-6, 0x1.8ce1142866d82p-6, 0x1.84d4f2b12710fp-6, 0x1.7ceab4bc4ffe9p-6, 0x1.7521fe5948df6p-6, 0x1.6d7a73436108fp-6, 0x1.65f3b6ea5f301p-6, 0x1.5e8d6c7b6b781p-6, 0x1.574736ea9c0eep-6, 0x1.5020b8fd78c7ap-6, 0x1.4919955607397p-6, 0x1.42316e7eb5fp-6, 0x1.3b67e6f688589p-6, 0x1.34bca13d349d2p-6, 0x1.2e2f3fde32938p-6, 0x1.27bf657a38de6p-6, 0x1.216cb4ce779fep-6, 0x1.1b36d0ba23d03p-6, 0x1.151d5c42f2f45p-6, 0x1.0f1ffa99bc207p-6, 0x1.093e4f202c1edp-6, 0x1.0377fd70c03dbp-6, 0x1.fb9952d1b2a67p-7, 0x1.f077ee68724dep-7, 0x1.e58b16b0b24ffp-7, 0x1.dad2157c0d08ep-7, 0x1.d04c356b99f93p-7, 0x1.c5f8c1f87ba65p-7, 0x1.bbd70770b4f45p-7, 0x1.b1e652f9c16dfp-7, 0x1.a825f296e9284p-7, 0x1.9e9535393bff7p-7, 0x1.95336ad871f62p-7, 0x1.8bffe4906425p-7, 0x1.82f9f4bb7f9c9p-7, 0x1.7a20ef012b4ecp-7, 0x1.717428524627ep-7, 0x1.68f2f6d31039p-7, 0x1.609cb1b96c40dp-7, 0x1.5870b12d1d43bp-7, 0x1.506e4e39ca2f4p-7, 0x1.4894e2e07c1ecp-7, 0x1.40e3ca4d16e7cp-7, 0x1.395a61291abd5p-7, 0x1.31f805f852fa8p-7, 0x1.2abc1964719f2p-7, 0x1.23a5fe5bd65bdp-7, 0x1.1cb519f0e82b9p-7, 0x1.15e8d2f7b74f9p-7, 0x1.0f4091747fd5bp-7, 0x1.08bbbe004e2afp-7, 0x1.0259c152a939p-7, 0x1.f83408391d15ep-8, 0x1.ebf7de9fd60acp-8, 0x1.dffdd9a4f940ap-8, 0x1.d444d0f6ca93ap-8, 0x1.c8cba245a2befp-8, 0x1.bd9132d2facb3p-8, 0x1.b2947043e717ep-8, 0x1.a7d44fda796f5p-8, 0x1.9d4fcc9aea1e4p-8, 0x1.9305e464ef15bp-8, 0x1.88f594c66156dp-8, 0x1.7f1dd8501fa3ep-8, 0x1.757da52fe136ep-8, 0x1.6c13ed90726a5p-8, 0x1.62dfa1d4161e8p-8, 0x1.59dfb452adff7p-8, 0x1.51131da8d6c36p-8, 0x1.4878e0f3d6ec7p-8, 0x1.40100e537bb6fp-8, 0x1.37d7c38c7681bp-8, 0x1.2fcf2a1ce2563p-8, 0x1.27f5732f25824p-8, 0x1.2049d23815423p-8, 0x1.18cb7770830dap-8, 0x1.11798b72c8ebbp-8, 0x1.0a532d0d11cd7p-8, 0x1.035771e0d2f6dp-8, 0x1.f90ad38f896ap-9, 0x1.ebb848aaaaf6cp-9, 0x1.deb56e9862b39p-9, 0x1.d200893fc9b85p-9, 0x1.c597fd5498907p-9, 0x1.b97a5337017bcp-9, 0x1.ada6338cb4e77p-9, 0x1.a21a5e3d9f141p-9, 0x1.96d59dc13e933p-9, 0x1.8bd6b97795133p-9, 0x1.811c69ea428dbp-9, 0x1.76a551375384ap-9, 0x1.6c6ff953ce7d9p-9, 0x1.627ad8384255dp-9, 0x1.58c459102f85p-9, 0x1.4f4ae8978f04p-9, 0x1.460d0214b6e2ap-9, 0x1.3d093a3eacf8bp-9, 0x1.343e45d0c3845p-9, 0x1.2baafa86f39c7p-9, 0x1.234e4a8fb3334p-9, 0x1.1b273bc39328fp-9, 0x1.1334dccef872ep-9, 0x1.0b763a859c2f1p-9, 0x1.03ea57a6e3b25p-9, 0x1.f9204f5c2a502p-10, 0x1.eacd1b7c5681p-10, 0x1.dcd8be568944dp-10, 0x1.cf40d2014edf8p-10, 0x1.c202ef6d1746bp-10, 0x1.b51cbee05c84p-10, 0x1.a88c05fb32667p-10, 0x1.9c4eb0eb8d038p-10, 0x1.9062d51e19ea8p-10, 0x1.84c6ad8185813p-10, 0x1.797891f75a0d8p-10, 0x1.6e76ec54ff97bp-10, 0x1.63c02d561c2e2p-10, 0x1.5952c37336c04p-10, 0x1.4f2d14f2b58e5p-10, 0x1.454d7def775ffp-10, 0x1.3bb25272ac113p-10, 0x1.3259e39cd97f7p-10, 0x1.294285b3f9b71p-10, 0x1.206a948c26a4cp-10, 0x1.17d074e593918p-10, 0x1.0f7293a27a8a1p-10, 0x1.074f659a1447dp-10, 0x1.fecad551fd9c1p-11, 0x1.ef666863350e8p-11, 0x1.e06ed7f596743p-11, 0x1.d1e1ad30aa1b4p-11, 0x1.c3bc9bb2d23c1p-11, 0x1.b5fd67b9f94e2p-11, 0x1.a8a1c8463dc1ap-11, 0x1.9ba754b41763cp-11, 0x1.8f0b87826a635p-11, 0x1.82cbd5c7896e4p-11, 0x1.76e5cb620fd85p-11, 0x1.6b571a00693ecp-11, 0x1.601d8d8ab7526p-11, 0x1.5536efb4ac05fp-11, 0x1.4aa0e883e7513p-11, 0x1.4058f8204e397p-11, 0x1.365c956583475p-11, 0x1.2ca9667f49b66p-11, 0x1.233d77d845491p-11, 0x1.1a175139b6761p-11, 0x1.1135d9ad6bad8p-11, 0x1.089816953833bp-11, 0x1.003ce7aaaeb5bp-11, 0x1.f045c2103a5a9p-12, 0x1.e0909ddbfa0c6p-12, 0x1.d156ab5253982p-12, 0x1.c29428aa1460cp-12, 0x1.b4456da25cb7ap-12, 0x1.a666e0e2c048ap-12, 0x1.98f4d184eb238p-12, 0x1.8beb4c62a3d7ap-12, 0x1.7f46159360e12p-12, 0x1.7300de4d2c64bp-12, 0x1.6717b1d2c4425p-12, 0x1.5b87760b24c4dp-12, 0x1.504e367d82787p-12, 0x1.456b027067c34p-12, 0x1.3add66e5d6496p-12, 0x1.30a4d458ceba8p-12, 0x1.26c048b7dc4cp-12, 0x1.1d2e55837f7cp-12, 0x1.13ed51bc9ebffp-12, 0x1.0afb71badbe58p-12, 0x1.0256b8c40dfeep-12, 0x1.f3f95f31b48cap-13, 0x1.e3d46bc8c6951p-13, 0x1.d4371fd342521p-13, 0x1.c5197ea9e7b69p-13, 0x1.b673ec33a9edp-13, 0x1.a83fdb21653cap-13, 0x1.9a7828aa178fcp-13, 0x1.8d1944e0a5437p-13, 0x1.80212d09565afp-13, 0x1.738f0a52ef16fp-13, 0x1.67626a2f95c11p-13, 0x1.5b9a7bb6eea88p-13, 0x1.5035e0407bcfap-13, 0x1.45330945f74fdp-13, 0x1.3a909760cbf95p-13, 0x1.304d69dc348b8p-13, 0x1.266868e318b11p-13, 0x1.1ce003f8a5157p-13, 0x1.13b181946035fp-13, 0x1.0ad8a1a8a4f02p-13, 0x1.024fee2269df6p-13, 0x1.f42302766f205p-14, 0x1.e42fa3d06e7dbp-14, 0x1.d4bc995927f26p-14, 0x1.c5c3555e5348ep-14, 0x1.b73fde638b7e9p-14, 0x1.a9300890505c1p-14, 0x1.9b927cfee6abap-14, 0x1.8e660823641bp-14, 0x1.81a93c7f1e787p-14, 0x1.755a5b1bc44edp-14, 0x1.697796431c9d1p-14, 0x1.5dff400da73a3p-14, 0x1.52efdcdcf569dp-14, 0x1.48482a4f65bdcp-14, 0x1.3e0656b90399ep-14, 0x1.3426cfcc373b2p-14, 0x1.2aa46657e0e7cp-14, 0x1.2179cf3f09f68p-14, 0x1.18a2d7e813262p-14, 0x1.101c6ac3a7742p-14, 0x1.07e3c64b9b86cp-14, 0x1.ffeb420fff229p-15, 0x1.f09ba2f07aa31p-15, 0x1.e1cf66ee9c072p-15, 0x1.d37daa500c35cp-15, 0x1.c59f0a3a5e968p-15, 0x1.b82f8380600f9p-15, 0x1.ab2fd9b043458p-15, 0x1.9ea2c88278354p-15, 0x1.92880e8cd6c0ep-15, 0x1.86dbd9a0e6707p-15, 0x1.7b9b2f1428bcdp-15, 0x1.70c6061e1f367p-15, 0x1.665ad9b4add7ep-15, 0x1.5c52cf199451ap-15, 0x1.52a4813aaceccp-15, 0x1.4948946f10ab3p-15, 0x1.403aed44cc3a4p-15, 0x1.3779aba8ca96fp-15, 0x1.2f04821a8c879p-15, 0x1.26dcb5e47a402p-15, 0x1.1f04704a29229p-15, 0x1.177c7f53e1f12p-15, 0x1.10415ec2536e3p-15, 0x1.0949c1abf0e87p-15, 0x1.0288ca1cee432p-15, 0x1.f7e986f933fbep-16, 0x1.eb1d6e568f279p-16, 0x1.debf8673a3163p-16, 0x1.d2d677c416ac4p-16, 0x1.c7553d6af2463p-16, 0x1.bc3433151fb09p-16, 0x1.b17b90eed41a7p-16, 0x1.a72e4841ae259p-16, 0x1.9d3ffd59b8a43p-16, 0x1.93a1cdbdc7103p-16, 0x1.8a4bde66bce58p-16, 0x1.813c1bb897fa4p-16, 0x1.787213a891a76p-16, 0x1.6fec8d514b69dp-16, 0x1.67a96b0ca3afcp-16, 0x1.5fa757a32dd9ep-16, 0x1.57e7c938bb58ap-16, 0x1.506ee010ab832p-16, 0x1.49402273b65b4p-16, 0x1.425a6bbf65e32p-16, 0x1.3bb45f77aeb71p-16, 0x1.353b1572693fcp-16, 0x1.2edffa35a424cp-16, 0x1.28ad0b97763aep-16, 0x1.22b1b7517bebdp-16, 0x1.1ce41332bcdc4p-16, 0x1.173956b7a638cp-16, 0x1.11bd206f9fafep-16, 0x1.0c7583d5f5463p-16, 0x1.075881eabcbbap-16, 0x1.025cc8926eb7ap-16, 0x1.faff23e23ee37p-17, 0x1.f18217322e436p-17, 0x1.e8431338294eep-17, 0x1.df41a9d3b45ffp-17, 0x1.d67c7154ef866p-17, 0x1.cdf12a75228abp-17, 0x1.c59d03a7c02f5p-17, 0x1.bd7d92ea08241p-17, 0x1.b592489e37bd6p-17, 0x1.addca141f6738p-17, 0x1.a65dfc18d0a23p-17, 0x1.9f168b441d246p-17, 0x1.9807644773736p-17, 0x1.9129003ae6aafp-17, 0x1.8a67d9f44b77bp-17, 0x1.83c87a5fc646cp-17, 0x1.7d52a3f5907f8p-17, 0x1.76f4be10436aep-17, 0x1.70bae20977965p-17, 0x1.6ab4334d0198bp-17, 0x1.64d3d9c68bf69p-17, 0x1.5f0f156a32ec4p-17, 0x1.5964d2954e0c6p-17, 0x1.53d6768a08062p-17, 0x1.4e649e6aff7d1p-17, 0x1.490ef74bd77c6p-17, 0x1.43d4b9d82aacap-17, 0x1.3eb50ca6b58d5p-17, 0x1.39af2eec7fdf9p-17, 0x1.34c26bbac232p-17, 0x1.2fedef4731988p-17, 0x1.2b30b5419d79ap-17, 0x1.2689c01bdcd34p-17, 0x1.21f87f19fe94p-17, 0x1.1d7c862c81a48p-17, 0x1.1914e8be4ef4fp-17, 0x1.14c322b49d9dbp-17, 0x1.108d7fc7be307p-17, 0x1.0c6f064c0547dp-17, 0x1.085d92f32a05dp-17, 0x1.0459107ad8877p-17, 0x1.0060ee5118f5fp-17, 0x1.f9025ea85b43fp-18, 0x1.f16df0764a5c1p-18, 0x1.e9f6a55b967c1p-18, 0x1.e29b5363cf457p-18, 0x1.db5df66c3d635p-18, 0x1.d43f71adcff98p-18, 0x1.cd3fa2adf43eap-18, 0x1.c65dfb91de752p-18, 0x1.bf99ca10ae1a8p-18, 0x1.b8f25c1cb8ff2p-18, 0x1.b26718844949bp-18, 0x1.abf7890fd885bp-18, 0x1.a5a352d11dd9dp-18, 0x1.9f69f292900eep-18, 0x1.994b4548b0c9p-18, 0x1.93461eadbc987p-18, 0x1.8d59dc79869a3p-18, 0x1.878607048dba9p-18, 0x1.81ca2a0159cefp-18, 0x1.7c25628287184p-18, 0x1.7699c83e742dp-18, 0x1.712daaf9ad793p-18, 0x1.6bd94e417de5ep-18, 0x1.6693e9345dd94p-18, 0x1.61627f9e42a9ep-18, 0x1.5c4d96a0a6d5p-18, 0x1.574f881b35274p-18, 0x1.526549bebba53p-18, 0x1.4d8fa14d173cbp-18, 0x1.48cf0f32d3cccp-18, 0x1.44238d7e255ffp-18, 0x1.3f8ce44dad81cp-18, 0x1.3b0acf42825bp-18, 0x1.369d086fc271p-18, 0x1.32434b4d4c62ep-18, 0x1.2dfd530086cd3p-18, 0x1.29caedd0a87bp-18, 0x1.25abcb10df832p-18, 0x1.219fdd751b90dp-18, 0x1.1da6c554d0068p-18, 0x1.19c072075e036p-18, 0x1.15ec9a0b10098p-18, 0x1.122af1984fb04p-18, 0x1.0e7b300cc9d2bp-18, 0x1.0add264734d61p-18, 0x1.0750b27abece7p-18, 0x1.03d58015c9181p-18, 0x1.006b5de4eb20bp-18, 0x1.fa2779d1a1d32p-19, 0x1.f399c99ffc3cfp-19, 0x1.ed2988a03a94ep-19, 0x1.e6dca2bbb2c95p-19, 0x1.e0b0a791a3e99p-19, 0x1.daa3ab61e2684p-19, 0x1.d4b5f9396c8c8p-19, 0x1.cee77c90a7ba7p-19, 0x1.c937cef41d9a4p-19, 0x1.c3a69064aa0bcp-19, 0x1.be334e3c22942p-19, 0x1.b8dd927cf48a1p-19, 0x1.b3a50f8abd051p-19, 0x1.ae8a13f3971b9p-19, 0x1.a989ec2c7d311p-19, 0x1.a4a6a69c7ca0ep-19, 0x1.9fded1bebc9bap-19, 0x1.9b32137545d18p-19, 0x1.96a00da9296fdp-19, 0x1.922856d7dc481p-19, 0x1.8dca86f771626p-19, 0x1.898633364ba09p-19, 0x1.855af01fe5d6ap-19, 0x1.814853131f40dp-19, 0x1.7d4df43d7f66ep-19, 0x1.796b6e5418e7bp-19, 0x1.75a056008dfa1p-19, 0x1.71ec317f97932p-19, 0x1.6e4ea36f304f2p-19, 0x1.6ac7604639148p-19, 0x1.6755cb695686bp-19, 0x1.63f9a062457cp-19, 0x1.60b2583be5294p-19, 0x1.5d7f92d062fccp-19, 0x1.5a60e97d02673p-19, 0x1.5755f1b33268ap-19, 0x1.545e412d701fp-19, 0x1.51796e19852d6p-19, 0x1.4ea70ef10493ap-19, 0x1.4be6ba6de1c18p-19, 0x1.49380798f225dp-19, 0x1.469a8de66311cp-19, 0x1.440de4be9f8f4p-19, 0x1.4191a4fdfdcc2p-19, 0x1.3f2567012c66ep-19, 0x1.3cc8c4e26dbd7p-19, 0x1.3a7b541b603f5p-19, 0x1.383cb1f356209p-19, 0x1.360c76b82282cp-19, 0x1.33ea3c7a4bb9ap-19, 0x1.31d59e8f24cbdp-19, 0x1.2fce3a0da750ap-19, 0x1.2dd3ab6db9f4dp-19, 0x1.2be5897cfcb19p-19, 0x1.2a038bb71a438p-19, 0x1.282d2e8462646p-19, 0x1.26621782577d4p-19, 0x1.24a1fb07b1719p-19, 0x1.22ecc38b649e4p-19, 0x1.21412523b3663p-19, 0x1.1f9f712d3fbc5p-19, 0x1.1e0748bed85bcp-19, 0x1.1c7841dac5aedp-19, 0x1.1af1fc1f56c74p-19, 0x1.1974198b2e29cp-19, 0x1.17fe3e3579636p-19, 0x1.169017cf33b14p-19, 0x1.1529503703243p-19, 0x1.13c973394ac77p-19, 0x1.127051b157a9cp-19, 0x1.111d88fd155b8p-19, 0x1.0fd0c476fd99p-19, 0x1.0e89b20ee6f2ap-19, 0x1.0d4800830d364p-19, 0x1.0c0b5f84c08e4p-19, 0x1.0ad37fd15f086p-19, 0x1.09a01339da8a4p-19, 0x1.0870cca786fc3p-19, 0x1.074560223edfp-19, 0x1.061d82da3b01bp-19, 0x1.04f8eb35d5d56p-19, 0x1.03d750cd5f3efp-19, 0x1.02b86c5c6b2ecp-19, 0x1.019bf7bd90b1cp-19, 0x1.0081ade475c7bp-19, 0x1.fed295872d011p-20, 0x1.fca5174ab828cp-20, 0x1.fa7a5f9859bep-20, 0x1.f851f076cacecp-20, 0x1.f62b49ef902fcp-20, 0x1.f405ec35e2c37p-20, 0x1.f1e166a869df1p-20, 0x1.efbd3b8ab8d7p-20, 0x1.ed98f9927b14dp-20, 0x1.eb74bf697478fp-20, 0x1.e94e7c749f55p-20, 0x1.e7272cd0b334p-20, 0x1.e4fe509fade46p-20, 0x1.e2d325269f144p-20, 0x1.e0a55eca04dcdp-20, 0x1.de749a43b9e03p-20, 0x1.dc40774ff247fp-20, 0x1.da08985f9f795p-20, 0x1.d7cca1c8359aap-20, 0x1.d58c25a09c843p-20, 0x1.d3470a2b3625cp-20, 0x1.d0fcbf7d0e76cp-20, 0x1.cead07a1c9bb7p-20, 0x1.cc5793676f3d4p-20, 0x1.c9fc16255ba5cp-20, 0x1.c79a38c04bad9p-20, 0x1.c531750512d4bp-20, 0x1.c2c1d61f6c6d3p-20, 0x1.c04624755e48fp-20, 0x1.bdcd92c5753e4p-20, 0x1.bb488ce27b9a6p-20, 0x1.b8bb38f58e949p-20, 0x1.b625b66bf138dp-20, 0x1.b387db0b14c59p-20, 0x1.b0e179621cd7cp-20, 0x1.ae325c40ad981p-20, 0x1.ab7a3f1bea665p-20, 0x1.a8b8fcf3f544ep-20, 0x1.a5ee9fe2d01b3p-20, 0x1.a31a9cf894dc6p-20, 0x1.a03cf880eaaecp-20, 0x1.9d55b1e3f50f1p-20, 0x1.9a6468886db39p-20, }}, 
      {{0x1.54ef3a9d69d54p-2, 0x1.102b2cb4f25c9p-1, 0x1.76e4273dbe24cp-1, 0x1.c9a650802d6ebp-1, 0x1.011fedc04a82cp+0, 0x1.10f0979f6e93p+0, 0x1.167688af85abcp+0, 0x1.145824bb96963p+0, 0x1.0d1bef2e442bep+0, 0x1.02e6287c6ede5p+0, 0x1.eec84a15a1588p-1, 0x1.d79efdf470f11p-1, 0x1.c1f8d925df79cp-1, 0x1.aed83300db7b1p-1, 0x1.9ebe5daf15fdp-1, 0x1.91cd48ae8cc5bp-1, 0x1.87e428c510684p-1, 0x1.80b6cd96f37c8p-1, 0x1.7bdfe9ab7d8d9p-1, 0x1.78eedd067c134p-1, 0x1.7771b15b00af9p-1, 0x1.76fbf9a1ba11fp-1, 0x1.772b3aa50a669p-1, 0x1.77a96efbc8cb2p-1, 0x1.782e22ba3359bp-1, 0x1.787e8d16740a3p-1, 0x1.786cf98f7dea3p-1, 0x1.77d7bfbadd57fp-1, 0x1.76a7f9429006bp-1, 0x1.74d01903f4144p-1, 0x1.724a7c75b4243p-1, 0x1.6f1808dc29c82p-1, 0x1.6b3edfec343c6p-1, 0x1.66c932e987be9p-1, 0x1.61c437c396c19p-1, 0x1.5c3f412fcd83p-1, 0x1.564af90cc2ad7p-1, 0x1.4ff8bb28d80e3p-1, 0x1.495a0dce75842p-1, 0x1.42803525f0acfp-1, 0x1.3b7bde56fe93ep-1, 0x1.345cdf427113ap-1, 0x1.2d3207cb02225p-1, 0x1.260901ec170bfp-1, 0x1.1eee3e2901dc7p-1, 0x1.17ecea1833473p-1, 0x1.110eef04fe193p-1, 0x1.0a5cf6e68af6dp-1, 0x1.03de76369270cp-1, 0x1.fb3372ebaa1a2p-2, 0x1.ef27eabda4cf4p-2, 0x1.e3a2b1db0ec6bp-2, 0x1.d8aa41091123ep-2, 0x1.ce4353317bcc9p-2, 0x1.c4710cdcaa7d2p-2, 0x1.bb35231a37c57p-2, 0x1.b290015338f7cp-2, 0x1.aa80eda5b94d9p-2, 0x1.a3062b81ce35bp-2, 0x1.9c1d1c57fcf65p-2, 0x1.95c25e39c805cp-2, 0x1.8ff1e85c29b47p-2, 0x1.8aa725792ca35p-2, 0x1.85dd0c161b3ddp-2, 0x1.818e34bc31f5p-2, 0x1.7db4ee3533f92p-2, 0x1.7a4b4fe20240fp-2, 0x1.774b4a4202d54p-2, 0x1.74aeb5c499116p-2, 0x1.726f5ffe2531p-2, 0x1.7087175a03b5ep-2, 0x1.6eefb56406eb9p-2, 0x1.6da327c23a301p-2, 0x1.6c9b77f8a5213p-2, 0x1.6bd2d20e4be9fp-2, 0x1.6b438a2c1f51ep-2, 0x1.6ae82149c5e56p-2, 0x1.6abb4901a3d78p-2, 0x1.6ab7e69b80fd1p-2, 0x1.6ad91568e50a2p-2, 0x1.6b1a287d32163p-2, 0x1.6b76abde402c7p-2, 0x1.6bea653051c8ap-2, 0x1.6c7153f950796p-2, 0x1.6d07b17cb8197p-2, 0x1.6da9f03d61005p-2, 0x1.6e54bb3d7320ap-2, 0x1.6f04f4e6395e7p-2, 0x1.6fb7b5cc8b34bp-2, 0x1.706a4b4140758p-2, 0x1.711a35a2912d5p-2, 0x1.71c526d4cc2bp-2, 0x1.7269004b041c8p-2, 0x1.7303d152d9331p-2, 0x1.7393d53d99b7fp-2, 0x1.7417713c6306dp-2, 0x1.748d32c2b5343p-2, 0x1.74f3cd556254p-2, 0x1.754a1889d3a89p-2, 0x1.758f0e57876d3p-2, 0x1.75c1c8cfc9794p-2, 0x1.75e18061b7a7dp-2, 0x1.75ed8a27e3d56p-2, 0x1.75e555d061187p-2, 0x1.75c86c2c26d49p-2, 0x1.75966d99f1f44p-2, 0x1.754f1032857fp-2, 0x1.74f21e8e72c47p-2, 0x1.747f76526d959p-2, 0x1.73f70696d2fe5p-2, 0x1.7358cecd115dbp-2, 0x1.72a4dd6bf9c85p-2, 0x1.71db4e8eb2db2p-2, 0x1.70fc4af8405cbp-2, 0x1.700806ecfdc44p-2, 0x1.6efec1100b6d6p-2, 0x1.6de0c18a064cbp-2, 0x1.6cae591a704ecp-2, 0x1.6b67e0338886cp-2, 0x1.6a0db641d2472p-2, 0x1.68a040f106c2ep-2, 0x1.671feb79c3f7fp-2, 0x1.658d2600c04a1p-2, 0x1.63e86501e5f5bp-2, 0x1.623220c22ef24p-2, 0x1.606ad4c087e61p-2, 0x1.5e92ff3a63439p-2, 0x1.5cab20baa78b2p-2, 0x1.5ab3bb9e2f0e8p-2, 0x1.58ad53aa400f3p-2, 0x1.56986db4a1bep-2, 0x1.54758f41e10fep-2, 0x1.52453e2b7928dp-2, 0x1.5008005a2a98fp-2, 0x1.4dbe5b80a8ce5p-2, 0x1.4b68d4d45d94bp-2, 0x1.4907f0d1d4a8ap-2, 0x1.469c330cf13b4p-2, 0x1.44261e0027034p-2, 0x1.41a632da3ec9ep-2, 0x1.3f1cf15776148p-2, 0x1.3c8ad7a3316d4p-2, 0x1.39f0623510eb5p-2, 0x1.374e0baeb9ed9p-2, 0x1.34a44cc42a28p-2, 0x1.31f39c27e59d2p-2, 0x1.2f3c6e740f948p-2, 0x1.2c7f36154eb9fp-2, 0x1.29bc633bcfd16p-2, 0x1.26f463d062ac8p-2, 0x1.2427a3694470dp-2, 0x1.21568b3dbb483p-2, 0x1.1e81821db17dfp-2, 0x1.1ba8ec6f64334p-2, 0x1.18cd2c2cbbdf6p-2, 0x1.15eea0dda6ac7p-2, 0x1.130da7962a204p-2, 0x1.102a9af965359p-2, 0x1.0d45d33c42697p-2, 0x1.0a5fa6268db06p-2, 0x1.07786715f9a36p-2, 0x1.049067033beb5p-2, 0x1.01a7f487df4fbp-2, 0x1.fd7eb7ca0e72ep-3, 0x1.f7adce141ac63p-3, 0x1.f1ddbb348581p-3, 0x1.ec0f09e859aa5p-3, 0x1.e642407738795p-3, 0x1.e077e0c5e7391p-3, 0x1.dab068639b5f2p-3, 0x1.d4ec50997d1a1p-3, 0x1.cf2c0e80738f4p-3, 0x1.c970131668c19p-3, 0x1.c3b8cb4e877b7p-3, 0x1.be06a02206d68p-3, 0x1.b859f6a554a03p-3, 0x1.b2b3301d0772ep-3, 0x1.ad12aa0fc498cp-3, 0x1.a778be591fbcep-3, 0x1.a1e5c33e940e6p-3, 0x1.9c5a0b8381d14p-3, 0x1.96d5e67a9addfp-3, 0x1.9159a018b9878p-3, 0x1.8be5810a7d599p-3, 0x1.8679cec88b82fp-3, 0x1.8116cba891c81p-3, 0x1.7bbcb6ee6e664p-3, 0x1.766bcce02be2dp-3, 0x1.712446daa77eap-3, 0x1.6be65b636039cp-3, 0x1.66b23e38c7367p-3, 0x1.618820640a56bp-3, 0x1.5c68304bf0693p-3, 0x1.575299c66b7c2p-3, 0x1.52478628e4d95p-3, 0x1.4d471c591be84p-3, 0x1.485180deb095dp-3, 0x1.4366d5f393615p-3, 0x1.3e873b928008ep-3, 0x1.39b2cf862d69p-3, 0x1.34e9ad7a83732p-3, 0x1.302bef0d90eep-3, 0x1.2b79abdd5d3f8p-3, 0x1.26d2f993d66dap-3, 0x1.2237ebf49150ap-3, 0x1.1da894ed9fa93p-3, 0x1.192504a8002d2p-3, 0x1.14ad4993e55fbp-3, 0x1.1041707225dbp-3, 0x1.0be1845fc2857p-3, 0x1.078d8ee59d06p-3, 0x1.03459808d0115p-3, 0x1.fe134cad6f9cp-4, 0x1.f5b37dd93f83bp-4, 0x1.ed6bcb000c8f5p-4, 0x1.e53c38d74d5afp-4, 0x1.dd24c97f44039p-4, 0x1.d5257c9dfe1fbp-4, 0x1.cd3e4f6ee39e1p-4, 0x1.c56f3ccd0e65ap-4, 0x1.bdb83d43ef293p-4, 0x1.b619472ab52bp-4, 0x1.ae924ec28acccp-4, 0x1.a723464c600aap-4, 0x1.9fcc1e1335cbp-4, 0x1.988cc4735836cp-4, 0x1.916525e9c65d2p-4, 0x1.8a552d2e31dafp-4, 0x1.835cc34efe15bp-4, 0x1.7c7bcfc495447p-4, 0x1.75b238796dccp-4, 0x1.6effe1ce886c2p-4, 0x1.6864aea70401p-4, 0x1.61e0807e4c184p-4, 0x1.5b73378231389p-4, 0x1.551cb2a6a47acp-4, 0x1.4edccfae6f47fp-4, 0x1.48b36b2dc43e6p-4, 0x1.42a060905f5cp-4, 0x1.3ca38a29461fbp-4, 0x1.36bcc14997f71p-4, 0x1.30ebde55c3b8bp-4, 0x1.2b30b8d1fd74bp-4, 0x1.258b2765e35e9p-4, 0x1.1ffaffde1b37cp-4, 0x1.1a801733cd659p-4, 0x1.151a419cabcadp-4, 0x1.0fc9529f336d9p-4, 0x1.0a8d1d239830cp-4, 0x1.0565737c9e59ap-4, 0x1.005227699b328p-4, 0x1.f6a6142f4a6cdp-5, 0x1.eccfd8503488cp-5, 0x1.e3213b7c7e329p-5, 0x1.d999dd20b18dp-5, 0x1.d0395bec70ddbp-5, 0x1.c6ff55e287f4bp-5, 0x1.bdeb685d0d76fp-5, 0x1.b4fd300e6a0c1p-5, 0x1.ac3449094e3f5p-5, 0x1.a3904ed424084p-5, 0x1.9b10dc8459b4p-5, 0x1.92b58cd89d2fap-5, 0x1.8a7dfa4a65e8dp-5, 0x1.8269bf14dcd15p-5, 0x1.7a787535cba06p-5, 0x1.72a9b6704b9edp-5, 0x1.6afd1c5721dap-5, 0x1.6372405f573bcp-5, 0x1.5c08bbf65668cp-5, 0x1.54c02894e5a8cp-5, 0x1.4d981fca8f8dfp-5, 0x1.46903b41a2789p-5, 0x1.3fa814bfe56fdp-5, 0x1.38df462985e96p-5, 0x1.32356989b19fbp-5, 0x1.2baa19215ac7dp-5, 0x1.253cef77ab48cp-5, 0x1.1eed87689fc6dp-5, 0x1.18bb7c2e0836dp-5, 0x1.12a66963307a3p-5, 0x1.0cadeb05bb375p-5, 0x1.06d19d775a5bfp-5, 0x1.01111d832d103p-5, 0x1.f6d810ceb4171p-6, 0x1.ebc3f7c1e9943p-6, 0x1.e0e52c6e9bda2p-6, 0x1.d63aec884bf47p-6, 0x1.cbc476eff75fp-6, 0x1.c1810bb6e5c8dp-6, 0x1.b76fec1ff7549p-6, 0x1.ad905aa3f6ca9p-6, 0x1.a3e19afb4694p-6, 0x1.9a62f22c64e74p-6, 0x1.9113a69c2d632p-6, 0x1.87f3001c2b455p-6, 0x1.7f0047f48505fp-6, 0x1.763ac8e8f1173p-6, 0x1.6da1cf3a39a09p-6, 0x1.6534a8a7001fp-6, 0x1.5cf2a46e43611p-6, 0x1.54db1355416afp-6, 0x1.4ced47b0455fbp-6, 0x1.4528956c8c13ap-6, 0x1.3d8c521943374p-6, 0x1.3617d4ee0e7dp-6, 0x1.2eca76ceb034ep-6, 0x1.27a3924bb667ep-6, 0x1.20a283a2271abp-6, 0x1.19c6a8bc24438p-6, 0x1.130f6132a5002p-6, 0x1.0c7c0e50e96adp-6, 0x1.060c13193f801p-6, 0x1.ff7da893cb258p-7, 0x1.f32770c215bacp-7, 0x1.e7144f3eb7a79p-7, 0x1.db4318121139bp-7, 0x1.cfb2a2cae1423p-7, 0x1.c461ca7c219d9p-7, 0x1.b94f6dbac35d2p-7, 0x1.ae7a6e9c8cdb9p-7, 0x1.a3e1b2b870fefp-7, 0x1.9984232819492p-7, 0x1.8f60ac89c72a8p-7, 0x1.85763f024bd8fp-7, 0x1.7bc3ce3e44f8ap-7, 0x1.7248517273dddp-7, 0x1.6902c35a6bc7dp-7, 0x1.5ff2223595accp-7, 0x1.57156fc2a01a5p-7, 0x1.4e6bb139f5fbcp-7, 0x1.45f3ef481a129p-7, 0x1.3dad3608ab996p-7, 0x1.35969502474cp-7, 0x1.2daf1f23ff971p-7, 0x1.25f5eac3ddc9ap-7, 0x1.1e6a119dd71a5p-7, 0x1.170ab0d20a4b9p-7, 0x1.0fd6e8e0f0c7ep-7, 0x1.08cddda46127ep-7, 0x1.01eeb64711151p-7, 0x1.f6713a7429484p-8, 0x1.e95580580db31p-8, 0x1.dc88a00536e9ap-8, 0x1.d00901afdedf9p-8, 0x1.c3d513f5c3518p-8, 0x1.b7eb4be0f6107p-8, 0x1.ac4a24e6ef291p-8, 0x1.a0f020dd0af8dp-8, 0x1.95dbc7dee436cp-8, 0x1.8b0ba826c62b5p-8, 0x1.807e55deb0b35p-8, 0x1.76326af4ace8bp-8, 0x1.6c2686fea12e7p-8, 0x1.62594f3722523p-8, 0x1.58c96e956cd3fp-8, 0x1.4f7595fa1b5bfp-8, 0x1.465c7c6132a0ap-8, 0x1.3d7cdf050d537p-8, 0x1.34d5815df24b7p-8, 0x1.2c652cf1fc3ddp-8, 0x1.242ab0f54fecap-8, 0x1.1c24e1c9e9036p-8, 0x1.1452987b7e06ap-8, 0x1.0cb2b259ed641p-8, 0x1.054410d190b39p-8, 0x1.fc0b3326cbbe9p-9, 0x1.edec6e1386e9bp-9, 0x1.e029b1ffce5bdp-9, 0x1.d2c0eaa1eeefp-9, 0x1.c5b010c8488fep-9, 0x1.b8f52aadd1889p-9, 0x1.ac8e4b45861e7p-9, 0x1.a07990b086aa1p-9, 0x1.94b5220812865p-9, 0x1.893f2d000e8c6p-9, 0x1.7e15e3f15f3f2p-9, 0x1.73377cd24c9abp-9, 0x1.68a23170b48cbp-9, 0x1.5e5440f56f98cp-9, 0x1.544bf268549eep-9, 0x1.4a87979b9aa83p-9, 0x1.41058fd6085d2p-9, 0x1.37c4496fe082fp-9, 0x1.2ec241fa4079ap-9, 0x1.25fe04b6fcbf7p-9, 0x1.1d7627a0de4b7p-9, 0x1.1529479abc8ap-9, 0x1.0d16049784e73p-9, 0x1.053afe995eac9p-9, 0x1.fb2da8754f8bp-10, 0x1.ec50463e58738p-10, 0x1.dddb147cec4a7p-10, 0x1.cfcb5b19d00dcp-10, 0x1.c21e746e3bdb9p-10, 0x1.b4d1d4fb8df4p-10, 0x1.a7e3109eccebcp-10, 0x1.9b4fdc02af42cp-10, 0x1.8f1609e760eeap-10, 0x1.833384c49b1ap-10, 0x1.77a6461bc9a41p-10, 0x1.6c6c4d4c9bafp-10, 0x1.618397cce120ap-10, 0x1.56ea1c3ca336ep-10, 0x1.4c9dc94fc271fp-10, 0x1.429c88956c072p-10, 0x1.38e444769b1cap-10, 0x1.2f72f02ba8b43p-10, 0x1.26468ffa44665p-10, 0x1.1d5d3fff9eaa2p-10, 0x1.14b5381ab72b5p-10, 0x1.0c4ccc319c15bp-10, 0x1.042268e90753cp-10, 0x1.f8691b67083bcp-11, 0x1.e9038b4612a7cp-11, 0x1.da1140f24a3a1p-11, 0x1.cb8f5a7548f61p-11, 0x1.bd7aedd5dc727p-11, 0x1.afd1079354641p-11, 0x1.a28eadd19fdd1p-11, 0x1.95b0e7614fc25p-11, 0x1.8934c555ff473p-11, 0x1.7d176d3fec40fp-11, 0x1.715621db5e311p-11, 0x1.65ee48983b9f3p-11, 0x1.5add6afcb644ap-11, 0x1.502133f90a6a8p-11, 0x1.45b76a2e8b55fp-11, 0x1.3b9de8aa0bf91p-11, 0x1.31d29792a6159p-11, 0x1.28536606dc49dp-11, 0x1.1f1e46034b768p-11, 0x1.16312ad0ffe1bp-11, 0x1.0d8a0a0fa52e3p-11, 0x1.0526deba76c34p-11, 0x1.fa0b5999d3055p-12, 0x1.ea4907e88bed4p-12, 0x1.db0300eb0265ep-12, 0x1.cc3595ad186fdp-12, 0x1.bddd2fef723cdp-12, 0x1.aff656422c2d6p-12, 0x1.a27db402f4541p-12, 0x1.9570214b03126p-12, 0x1.88caa4e640bf7p-12, 0x1.7c8a6c4182789p-12, 0x1.70acba65b9c25p-12, 0x1.652ed4c656887p-12, 0x1.5a0df747f1e74p-12, 0x1.4f47558555c6fp-12, 0x1.44d8287168724p-12, 0x1.3abdbf0afe634p-12, 0x1.30f587133846fp-12, 0x1.277d06b0dd324p-12, 0x1.1e51cb5a23bffp-12, 0x1.1571588e99bd4p-12, 0x1.0cd925640f8d9p-12, 0x1.0486af65fafd4p-12, 0x1.f8ef387760d18p-13, 0x1.e953b24723077p-13, 0x1.da374b4a2046fp-13, 0x1.cb970234b23b3p-13, 0x1.bd70064be97b3p-13, 0x1.afbf666b7024dp-13, 0x1.a281e4809144ep-13, 0x1.95b3fa0751aap-13, 0x1.8951fcc5191e2p-13, 0x1.7d58464353ac3p-13, 0x1.71c347bee1769p-13, 0x1.668f8450159cap-13, 0x1.5bb97b246d588p-13, 0x1.513d91cd67efdp-13, 0x1.471813434cfcfp-13, 0x1.3d45510d09943p-13, 0x1.33c1e3191ec92p-13, 0x1.2a8aefb8bb71ep-13, 0x1.219e52d6238ffp-13, 0x1.18fa8616f0aaap-13, 0x1.109e512b5468ap-13, 0x1.0888712a8a53cp-13, 0x1.00b768c84b45ep-13, 0x1.f25309fe7805p-14, 0x1.e3b9f232da77cp-14, 0x1.d59fd9bf90a2fp-14, 0x1.c800de2f4ef12p-14, 0x1.bad89f0194a43p-14, 0x1.ae2206859c44ep-14, 0x1.a1d75d139ceb8p-14, 0x1.95f2b047dea63p-14, 0x1.8a6e56f8fb9ccp-14, 0x1.7f45554cba9efp-14, 0x1.7473912f5089dp-14, 0x1.69f5e743fde28p-14, 0x1.5fca22b300d7dp-14, 0x1.55eec04e7a283p-14, 0x1.4c627a6cfa706p-14, 0x1.4323dbe0ec69cp-14, 0x1.3a312842b85e6p-14, 0x1.318892c18a708p-14, 0x1.292872f0a5c59p-14, 0x1.210f4b1788881p-14, 0x1.193ba7b3a6e69p-14, 0x1.11abd7064121cp-14, 0x1.0a5d89cc01563p-14, 0x1.034da372c78b5p-14, 0x1.f8f0d1e5b10d6p-15, 0x1.ebb3db0c4f0a6p-15, 0x1.dedd0188e716fp-15, 0x1.d266018570628p-15, 0x1.c64a133f9b6d2p-15, 0x1.ba85e8f388457p-15, 0x1.af174257f4b8cp-15, 0x1.a3fc60cfe60a5p-15, 0x1.9933a6023641cp-15, 0x1.8ebb5bba84d96p-15, 0x1.8491a798b54b2p-15, 0x1.7ab4af5f077f2p-15, 0x1.7122b34ed69ccp-15, 0x1.67da18c6b7f7ep-15, 0x1.5ed96a2f04a51p-15, 0x1.561ee7e3bfa66p-15, 0x1.4da7e6f7da8dbp-15, 0x1.4570ea9762fecp-15, 0x1.3d76758bd7a5bp-15, 0x1.35b5ae3022328p-15, 0x1.2e2c5e0b0c91fp-15, 0x1.26d883ae335dp-15, 0x1.1fb7db140ca13p-15, 0x1.18c7ad6bebf83p-15, 0x1.120506ddb4fdep-15, 0x1.0b6d13509e3d2p-15, 0x1.04fd6ce7dd87ep-15, 0x1.fd693d4f7fa33p-16, 0x1.f12503a974f22p-16, 0x1.e52eefc2231cfp-16, 0x1.d9862cf9ef16ep-16, 0x1.ce280b3defac2p-16, 0x1.c3125b5d36f7ap-16, 0x1.b84481bb99e44p-16, 0x1.adbd196f5aa77p-16, 0x1.a377f82230dedp-16, 0x1.996fb08952e49p-16, 0x1.8f9ff6a44433cp-16, 0x1.86063a7d0a5dp-16, 0x1.7ca11ad776007p-16, 0x1.73700c874dafp-16, 0x1.6a735b0d55683p-16, 0x1.61abcd96f2efp-16, 0x1.59197b20f5fc4p-16, 0x1.50ba41a75e6b5p-16, 0x1.4889063f1db25p-16, 0x1.407edb9e03539p-16, 0x1.38968006bf179p-16, 0x1.30d04942f209p-16, 0x1.2930ba2b29f7p-16, 0x1.21b954b6092c6p-16, 0x1.1a668e8af1c1p-16, 0x1.13364929b1ad9p-16, 0x1.0c2a772f54a73p-16, 0x1.0543acabe2a82p-16, 0x1.fcfd346613e07p-17, 0x1.efaeac206b63ap-17, 0x1.e2978f04fedap-17, 0x1.d5b6a0e40ed43p-17, 0x1.c90b7b7f651fp-17, 0x1.bc9555c405ceep-17, 0x1.b052f5a7ff8dap-17, 0x1.a4438a138d48fp-17, 0x1.9867ae79c1ad6p-17, 0x1.8cc157c03b17p-17, 0x1.81522cb4016a8p-17, 0x1.76197c60b1e98p-17, 0x1.6b127bc5cdb0ap-17, 0x1.60339e56159c2p-17, 0x1.55758adbffe34p-17, 0x1.4add39d77d88fp-17, 0x1.4072567923008p-17, 0x1.362fe257376p-17, 0x1.2c107a05e10c4p-17, 0x1.2219e057534ep-17, 0x1.184f0dac55779p-17, 0x1.0eab041e3ba0cp-17, 0x1.052924741bc17p-17, 0x1.f790222e272cfp-18, 0x1.e50fc445287e2p-18, 0x1.d2d184c888b06p-18, 0x1.c0d53036fcf55p-18, 0x1.af1a17d8eadc5p-18, 0x1.9d9f24cf5244ep-18, 0x1.8c62f976beaf3p-18, 0x1.7b646c38f442fp-18, 0x1.6aa33d07db931p-18, 0x1.5a202cc9e6444p-18, 0x1.49dbe892c3396p-18, 0x1.39d68b522312cp-18, 0x1.2a109e99bfe4cp-18, 0x1.1a867c1e86bbap-18, 0x1.0b2eab76d6c2dp-18, 0x1.f816d0b880f1ap-19, 0x1.da40fbcdd4e5cp-19, 0x1.bccad7c20b091p-19, 0x1.9fc025e63b9bdp-19, 0x1.832f83e1a0f26p-19, 0x1.670c8606c1285p-19, 0x1.4b4cd15ddc471p-19, 0x1.2fef604f9ac08p-19, 0x1.14f58ae964b9fp-19, 0x1.f4bfc92cdb5e3p-20, 0x1.c05c2dd8ca6afp-20, 0x1.8cbeb2b0c8efcp-20, 0x1.59e59f94365a4p-20, 0x1.27cf670ea5abbp-20, 0x1.ecf51aea51014p-21, 0x1.8bcaae3119888p-21, 0x1.2c1b4e8e256bp-21, 0x1.9bc5abac25a9dp-22, 0x1.c47aa5cdd952dp-23, 0x1.5ccb98cebadd9p-25, -0x1.105bfc50f106ap-23, -0x1.390ef3ef6cd01p-22, -0x1.e6db18e60f6ecp-22, -0x1.48dcc2b5c1d3fp-21, -0x1.9cfc16efc8afap-21, -0x1.efcc82a735cdp-21, -0x1.20a86ff3d4731p-20, -0x1.48ae6d666f50cp-20, -0x1.6ffe0f37754b4p-20, -0x1.96a4de26433f9p-20, -0x1.bca46a7abca33p-20, -0x1.e1fb5952425dap-20, -0x1.0354abc59ffd6p-19, -0x1.15578ab076352p-19, -0x1.2706d3e70b299p-19, -0x1.3863264612245p-19, -0x1.496d22a573e96p-19, -0x1.5a2560cef02fdp-19, -0x1.6a8c6acf9865ap-19, -0x1.7aa2c0b91ed0bp-19, -0x1.8a68e780919a1p-19, -0x1.99df7961650b8p-19, -0x1.a9072eccf25e4p-19, -0x1.b7e0c1587b21ep-19, -0x1.c66cc95658507p-19, -0x1.d4abdf7fa9b69p-19, -0x1.e29ed1695d71cp-19, -0x1.f04511c717cacp-19, -0x1.fd9c2ab09d29fp-19, -0x1.05540965e083p-18, -0x1.0bb69b2db536p-18, -0x1.11f4dd62b74c8p-18, -0x1.180d1a313c60bp-18, -0x1.1e00d3cfbf219p-18, -0x1.23d0f5402c82dp-18, -0x1.297d8cdc63ccap-18, -0x1.2f06b9fcce97ap-18, -0x1.346cbb034ccaap-18, -0x1.39afda69c3aap-18, -0x1.3ed0662c4b242p-18, -0x1.43cead45f588fp-18, -0x1.48aafefaa8796p-18, -0x1.4d65ae684b57p-18, -0x1.51fefb2fb9289p-18, -0x1.56774c9cb3a26p-18, -0x1.5acedba27fe41p-18, -0x1.5f06023b8f925p-18, -0x1.631d083ba5a28p-18, -0x1.671441e9bd5a1p-18, -0x1.6aec0449afc68p-18, -0x1.6ea4a40ac0a6ap-18, -0x1.723e70a42c561p-18, -0x1.75b9b726eb9cfp-18, -0x1.7916d0701c34fp-18, -0x1.7c560ce270abap-18, -0x1.7f7763a7326f4p-18, -0x1.827b7b2d2b9eep-18, -0x1.85630c0f2aabfp-18, -0x1.882dbb4dbb399p-18, -0x1.8adc13a851ee2p-18, -0x1.8d6e9131662p-18, -0x1.8fe5740e778b5p-18, -0x1.924106c6601fp-18, -0x1.94819c156bf82p-18, -0x1.96a7870dd5854p-18, -0x1.98b31c033d734p-18, -0x1.9aa4af79003f8p-18, -0x1.9c7c938a6a867p-18, -0x1.9e3b10a8792bap-18, -0x1.9fe09e19aa2dbp-18, -0x1.a16d693f8ade6p-18, -0x1.a2e1d5a129f4p-18, -0x1.a43e35da7ddb8p-18, -0x1.a582dc836f607p-18, -0x1.a6b01cfe1eec7p-18, -0x1.a7c64a60cff2ap-18, -0x1.a8c5b7df88677p-18, -0x1.a9aeb89450bcep-18, -0x1.aa819f560e811p-18, -0x1.ab3ebe819fb2dp-18, -0x1.abe66802c0ed5p-18, -0x1.ac78ee29b1691p-18, -0x1.acf6a46f9060ep-18, -0x1.ad5fdb3cef377p-18, -0x1.adb4e0f9681c4p-18, -0x1.adf60bc86c86fp-18, -0x1.ae23a8d0bb55ep-18, -0x1.ae3e0b74dc228p-18, -0x1.ae4582f4d9f1p-18, -0x1.ae3a5ee32196bp-18, -0x1.ae1ceeddcb6acp-18, -0x1.aded8221bdb44p-18, -0x1.adac678426f1ep-18, -0x1.ad59ed739d37cp-18, -0x1.acf661f6f5988p-18, -0x1.ac8212a8ea22ap-18, -0x1.abfd4cb003ce9p-18, -0x1.ab685ccb4e4f3p-18, -0x1.aac38f3ae9feep-18, -0x1.aa0f2fdab3707p-18, -0x1.a94b89d7dc049p-18, -0x1.a878e849bfbedp-18, -0x1.a797955f50f8p-18, -0x1.a6a7db15967a1p-18, -0x1.a5aa02d3b181bp-18, -0x1.a49e556b2fe3fp-18, -0x1.a3851b0e2715fp-18, -0x1.a25e9b6343004p-18, -0x1.a12b1db5e0a31p-18, -0x1.9feae7eaedfd7p-18, -0x1.9e9e41845c9adp-18, -0x1.9d456ffd6a00fp-18, -0x1.9be0b66de3e15p-18, -0x1.9a705479b6b02p-18, -0x1.98f49d339e466p-18, -0x1.976dca0602dc6p-18, -0x1.95dc1bf075816p-18, -0x1.943fd5287675ep-18, -0x1.9299386531c25p-18, -0x1.90e886717ce7p-18, -0x1.8f2dff7d0f072p-18, -0x1.8d69e277c0bc3p-18, -0x1.8b9c6e148e9e6p-18, -0x1.89c5e2b4ecae6p-18, -0x1.87e67af90ad93p-18, -0x1.85fe74ce16856p-18, -0x1.840e0c823c3fp-18, -0x1.82157d9f81f0ep-18, -0x1.8015030dc7bc4p-18, -0x1.7e0cd70fb71fap-18, -0x1.7bfd334092eep-18, -0x1.79e6509395094p-18, -0x1.77c867536e1ecp-18, -0x1.75a3af21a9b8ap-18, -0x1.73785ef604793p-18, -0x1.7146ad1d22151p-18, -0x1.6f0ecf39155e3p-18, -0x1.6cd0fa4298b58p-18, -0x1.6a8d6289ad6e9p-18, -0x1.68443bb631fbp-18, -0x1.65f5b8ca1c52bp-18, -0x1.63a20c1aa05bdp-18, -0x1.61496743abf31p-18, -0x1.5eebfb2d9a848p-18, -0x1.5c89f84298ee4p-18, -0x1.5a238e59546fbp-18, -0x1.57b8ec27df532p-18, -0x1.554a4059cc234p-18, -0x1.52d7b885c8584p-18, -0x1.5061817996b44p-18, -0x1.4de7c8370e122p-18, -0x1.4b6ab8db35f81p-18, -0x1.48ea7bfadb7f3p-18, -0x1.46673ec2ad8a2p-18, -0x1.43e12a190977cp-18, -0x1.41586731cb8cbp-18, -0x1.3ecd1e98ce50dp-18, -0x1.3c3f7833e9045p-18, -0x1.39af9b51a5a4p-18, -0x1.371daf5e974bdp-18, -0x1.3489d84130812p-18, -0x1.31f43d7669025p-18, -0x1.2f5d031f965bp-18, -0x1.2cc44d6a3ec28p-18, -0x1.2a2a3feb72028p-18, -0x1.278efe1135379p-18, -0x1.24f2ab825d4f1p-18, -0x1.2255679a7e18ep-18, -0x1.1fb76e26d4da3p-18, -0x1.1d188f2ecdff8p-18, -0x1.1a793a7e7d50bp-18, -0x1.17d9789d5ee3ep-18, -0x1.153966b46b8b7p-18, -0x1.129922b59583p-18, -0x1.0ff8ca3531884p-18, -0x1.0d587a6e6836dp-18, -0x1.0ab850843e815p-18, -0x1.081868505f0d3p-18, -0x1.0578db5d3ab14p-18, -0x1.02d9c806ae11bp-18, -0x1.003b472767d16p-18, -0x1.fb3ae2b1c08bbp-19, -0x1.f600c4228dd0fp-19, }}, 
      {{0x1.39439cdfab847p-1, 0x1.3895debfbf6b4p-1, 0x1.3775e6af0710ep-1, 0x1.35e60d08cb2ffp-1, 0x1.33e97e909bac2p-1, 0x1.318424885baacp-1, 0x1.2eba8a098d16fp-1, 0x1.2b91c0449c317p-1, 0x1.280f42ef531aep-1, 0x1.2438ddd42cc25p-1, 0x1.201494284e9ccp-1, 0x1.1ba88a1061abap-1, 0x1.16faf08cc7625p-1, 0x1.1211f3e1e3c7p-1, 0x1.0cf3ac7730731p-1, 0x1.07a612156f76bp-1, 0x1.022ef15fe4106p-1, 0x1.f927c6b8ff26bp-2, 0x1.edb48db4ccdcap-2, 0x1.e20e77088811p-2, 0x1.d63f3cd7bf14ep-2, 0x1.ca500fbbaaa46p-2, 0x1.be49949db1056p-2, 0x1.b233e46e0a5f2p-2, 0x1.a6168d66f0c71p-2, 0x1.99f895946ba28p-2, 0x1.8de07e60900dep-2, 0x1.81d448ebb8321p-2, 0x1.75d97aff752a3p-2, 0x1.69f52471c696p-2, 0x1.5e2be4d45635bp-2, 0x1.5281f1511333dp-2, 0x1.46fb1a9a8cfd5p-2, 0x1.3b9ad2dacf077p-2, 0x1.3064338f5e36p-2, 0x1.255a034460451p-2, 0x1.1a7ebb23c832dp-2, 0x1.0fd48c4ff8ffp-2, 0x1.055d6503701efp-2, 0x1.f635eae1a5b69p-3, 0x1.e21d68c0cc576p-3, 0x1.ce73c7126eff1p-3, 0x1.bb3b274ac9c24p-3, 0x1.a8755083df856p-3, 0x1.9623b696807f1p-3, 0x1.844780b06418fp-3, 0x1.72e18f6c0b3e2p-3, 0x1.61f2826ff263fp-3, 0x1.517abd9b4b62bp-3, 0x1.417a6dc6d9bbap-3, 0x1.31f18d20e924fp-3, 0x1.22dfe72b7f8b9p-3, 0x1.14451c63e2f07p-3, 0x1.0620a59a9dfdfp-3, 0x1.f0e3ae05d32e7p-4, 0x1.d66fc6005d3c4p-4, 0x1.bce3b97035c34p-4, 0x1.a43d74dea1d68p-4, 0x1.8c7aaf6cd7242p-4, 0x1.7598eed953344p-4, 0x1.5f958b3a24feap-4, 0x1.4a6db2752998dp-4, 0x1.361e6b7e35627p-4, 0x1.22a49962578ap-4, 0x1.0ffcfe269331dp-4, 0x1.fc487aff3a79cp-5, 0x1.da2dbecece5d6p-5, 0x1.b9a2a5292fc0ap-5, 0x1.9a9fddaebe62dp-5, 0x1.7d1deebd065acp-5, 0x1.611539cde7f7cp-5, 0x1.467dffaf7efacp-5, 0x1.2d50649794cd8p-5, 0x1.15847414b6fbfp-5, 0x1.fe2449bccc60bp-6, 0x1.d3e2b90a8b1dap-6, 0x1.ac33e6079aa83p-6, 0x1.87076c5f3f596p-6, 0x1.644cda16c73f7p-6, 0x1.43f3b5f1a3eb2p-6, 0x1.25eb8594fbc4cp-6, 0x1.0a23d369b2c44p-6, 0x1.e118687780602p-7, 0x1.b228992b9737cp-7, 0x1.8757abb022086p-7, 0x1.6085461382b8dp-7, 0x1.3d914ac880361p-7, 0x1.1e5be12fbb6ccp-7, 0x1.02c57d93ee01cp-7, 0x1.d55dd1326996fp-8, 0x1.abf28c409bf5ep-8, 0x1.890c373e7d027p-8, 0x1.6c6eabe2b3412p-8, 0x1.55de9d423c6bdp-8, 0x1.4521a15e1e0e7p-8, 0x1.39fe39b1a6b7cp-8, 0x1.343bdac9532d1p-8, 0x1.33a2f2eac0116p-8, 0x1.37fcefd6d0afap-8, 0x1.411443afe69c6p-8, 0x1.4eb4690e59348p-8, 0x1.60a9e64dc3037p-8, 0x1.76c2501e00a18p-8, 0x1.90cc4b630b6b7p-8, 0x1.ae978e6eb6fcap-8, 0x1.cff4e19f96d24p-8, 0x1.f4b61f7022346p-8, 0x1.0e571a009688dp-7, 0x1.23d88e152bd56p-7, 0x1.3ac9f20da4822p-7, 0x1.531652cbe067p-7, 0x1.6ca942ec4ebc9p-7, 0x1.876ed98da2e99p-7, 0x1.a353b0f45e9e5p-7, 0x1.c044e50e8b51p-7, 0x1.de3011dbbb525p-7, 0x1.fd0351bd4dd6cp-7, 0x1.0e569dd94b692p-6, 0x1.1e8e70c22f3dap-6, 0x1.2f20e6f16ebd3p-6, 0x1.4006013c96e07p-6, 0x1.5135fafc83d27p-6, 0x1.62a9491081eabp-6, 0x1.745898dfef25p-6, 0x1.863ccf5b4f283p-6, 0x1.984f07fdcf301p-6, 0x1.aa8893cff0cf3p-6, 0x1.bce2f86c1af08p-6, 0x1.cf57ef05be33dp-6, 0x1.e1e163737d3c3p-6, 0x1.f479733ce2288p-6, 0x1.038d3655f4d84p-5, 0x1.0cdf66f160bf1p-5, 0x1.1630a1fafd9a4p-5, 0x1.1f7e5505a7cacp-5, 0x1.28c6043e89c68p-5, 0x1.32054a013f0ccp-5, 0x1.3b39d66e5af4fp-5, 0x1.44616f0457ec2p-5, 0x1.4d79ee3adfa5p-5, 0x1.568143206315bp-5, 0x1.5f7570f9fe62cp-5, 0x1.68548ee5863e9p-5, 0x1.711cc77db757cp-5, 0x1.79cc588067d2fp-5, 0x1.82619276a8de2p-5, 0x1.8adad85ebbddbp-5, 0x1.93369f57c5625p-5, 0x1.9b736e4f18432p-5, 0x1.a38fddaf05dabp-5, 0x1.ab8a970f1525fp-5, 0x1.b36254e586bafp-5, 0x1.bb15e23a06fbap-5, 0x1.c2a41a597ad06p-5, 0x1.ca0be88abe73fp-5, 0x1.d14c47c44eedap-5, 0x1.d8644262bbbe6p-5, 0x1.df52f1dfd361cp-5, 0x1.e6177e8a65b23p-5, 0x1.ecb11f3e96343p-5, 0x1.f31f191ea3319p-5, 0x1.f960bf4c198d3p-5, 0x1.ff7572a15d618p-5, 0x1.02ae50b5bd604p-4, 0x1.058ae39219a8dp-4, 0x1.085036161d309p-4, 0x1.0afe12c2cc595p-4, 0x1.0d944a471a1a8p-4, 0x1.1012b35d33f3dp-4, 0x1.12792aa7d8c77p-4, 0x1.14c7928fb4479p-4, 0x1.16fdd320c0049p-4, 0x1.191bd9e7aa1d2p-4, 0x1.1b2199cf3e90fp-4, 0x1.1d0f0afdd4a03p-4, 0x1.1ee42ab2c009p-4, 0x1.20a0fb23c7b9ap-4, 0x1.2245835aa412dp-4, 0x1.23d1cf12878b8p-4, 0x1.2545ee95b2c3ap-4, 0x1.26a1f69b17312p-4, 0x1.27e600240a295p-4, 0x1.2912285a0e149p-4, 0x1.2a26906cb3bc2p-4, 0x1.2b235d6f98cbbp-4, 0x1.2c08b83887c06p-4, 0x1.2cd6cd3dbc6e4p-4, 0x1.2d8dcc7450a3p-4, 0x1.2e2de92ed70c6p-4, 0x1.2eb759fc29237p-4, 0x1.2f2a58866aedp-4, 0x1.2f8721724d002p-4, 0x1.2fcdf43e8d5b2p-4, 0x1.2fff1323bde28p-4, 0x1.301ac2f453881p-4, 0x1.30214afd046ebp-4, 0x1.3012f4e578bd7p-4, 0x1.2ff00c91552aep-4, 0x1.2fb8e0019eb9ap-4, 0x1.2f6dbf36809f2p-4, 0x1.2f0efc1175e99p-4, 0x1.2e9cea37d989p-4, 0x1.2e17def5e55a3p-4, 0x1.2d8031221f249p-4, 0x1.2cd639013a689p-4, 0x1.2c1a502a71ce5p-4, 0x1.2b4cd16c5a511p-4, 0x1.2a6e18b23216dp-4, 0x1.297e82e9b0f02p-4, 0x1.287e6de95c41p-4, 0x1.276e38575d18fp-4, 0x1.264e4190e3348p-4, 0x1.251ee9920d58ap-4, 0x1.23e090de60b39p-4, 0x1.22939869cadebp-4, 0x1.21386182363e1p-4, 0x1.1fcf4db9a92d6p-4, 0x1.1e58bed0fd2c1p-4, 0x1.1cd516a3242eap-4, 0x1.1b44b71103782p-4, 0x1.19a801ede1861p-4, 0x1.17ff58ec6a0c6p-4, 0x1.164b1d8c444e5p-4, 0x1.148bb1083dc5ep-4, 0x1.12c174450cf66p-4, 0x1.10ecc7c0a4813p-4, 0x1.0f0e0b821cfe2p-4, 0x1.0d259f0a318bcp-4, 0x1.0b33e14450adp-4, 0x1.093930783bd36p-4, 0x1.0735ea3c3c711p-4, 0x1.052a6b67e2cb3p-4, 0x1.031710075b34dp-4, 0x1.00fc334f48d0ep-4, 0x1.fdb45f2263fbcp-5, 0x1.f962bc60e86e8p-5, 0x1.f5042f2f86f02p-5, 0x1.f099665e59b58p-5, 0x1.ec230ea542c5dp-5, 0x1.e7a1d29204824p-5, 0x1.e3165a775dd78p-5, 0x1.de814c5d230ecp-5, 0x1.d9e34bf15121dp-5, 0x1.d53cfa7a1759ep-5, 0x1.d08ef6c8d1f14p-5, 0x1.cbd9dd2dee557p-5, 0x1.c71e476dbbd8dp-5, 0x1.c25cccb617f22p-5, 0x1.bd960194fd6bcp-5, 0x1.b8ca77efe97edp-5, 0x1.b3fabefc14641p-5, 0x1.af2763377b97p-5, 0x1.aa50ee62ad9dp-5, 0x1.a577e77b6508dp-5, 0x1.a09cd2b7d8b0fp-5, 0x1.9bc03182cba77p-5, 0x1.96e282784b5b7p-5, 0x1.9204416324559p-5, 0x1.8d25e73afa367p-5, 0x1.8847ea2306d4bp-5, 0x1.836abd697a267p-5, 0x1.7e8ed1876e4acp-5, 0x1.79b494217c042p-5, 0x1.74dc7008d1bb6p-5, 0x1.7006cd3cdea32p-5, 0x1.6b3410ed7f55fp-5, 0x1.66649d7dacfc6p-5, 0x1.6198d286a414cp-5, 0x1.5cd10cdb88213p-5, 0x1.580da68d708a2p-5, 0x1.534ef6efebb87p-5, 0x1.4e95529de4b43p-5, 0x1.49e10b7eeaed1p-5, 0x1.453270ccdf57bp-5, 0x1.4089cf19f764bp-5, 0x1.3be770571468ap-5, 0x1.374b9bda72a05p-5, 0x1.32b696669c76cp-5, 0x1.2e28a231b07a2p-5, 0x1.29a1feece42f4p-5, 0x1.2522e9cc4ce97p-5, 0x1.20ab9d8ee256p-5, 0x1.1c3c5286ba617p-5, 0x1.17d53ea17e1c9p-5, 0x1.1376957109342p-5, 0x1.0f2088343f97bp-5, 0x1.0ad345e0048dp-5, 0x1.068efb285f812p-5, 0x1.0253d289c083ep-5, 0x1.fc43e8a4d0993p-6, 0x1.f3f30d57d327bp-6, 0x1.ebb55b498a561p-6, 0x1.e38b16744039cp-6, 0x1.db747ec3199c5p-6, 0x1.d371d025c5168p-6, 0x1.cb8342a44b3ddp-6, 0x1.c3a90a72ff315p-6, 0x1.bbe358066e71bp-6, 0x1.b432582776057p-6, 0x1.ac9634074fdefp-6, 0x1.a50f1153a5e46p-6, 0x1.9d9d124ab309bp-6, 0x1.964055cf4bca5p-6, 0x1.8ef8f77cf8ee2p-6, 0x1.87c70fbbe815ep-6, 0x1.80aab3d4e29d1p-6, 0x1.79a3f60530136p-6, 0x1.72b2e5924dc9ap-6, 0x1.6bd78eddabffcp-6, 0x1.6511fb7830aa9p-6, 0x1.5e623235aa0abp-6, 0x1.57c837401e141p-6, 0x1.51440c2ae8933p-6, 0x1.4ad5b005bf494p-6, 0x1.447d1f6f7fd96p-6, 0x1.3e3a54a8dbee4p-6, 0x1.380d47a6c774p-6, 0x1.31f5ee24c4566p-6, 0x1.2bf43bb6f0525p-6, 0x1.260821dbe3a23p-6, 0x1.2031900e5541dp-6, 0x1.1a7073d68d3c5p-6, 0x1.14c4b8db8e7f4p-6, 0x1.0f2e48f418915p-6, 0x1.09ad0c375dfddp-6, 0x1.0440e90d83ddp-6, 0x1.fdd3887fc13dap-7, 0x1.f34f0211f701fp-7, 0x1.e8f402489256bp-7, 0x1.dec249bb578f9p-7, 0x1.d4b9964159777p-7, 0x1.cad9a30ee9e09p-7, 0x1.c12228d2fc0fdp-7, 0x1.b792ddd417f91p-7, 0x1.ae2b760ca4993p-7, 0x1.a4eba346b50e3p-7, 0x1.9bd3153763b07p-7, 0x1.92e179997635bp-7, 0x1.8a167c47a65a6p-7, 0x1.8171c75637cd6p-7, 0x1.78f3032c20562p-7, 0x1.7099d69b9692dp-7, 0x1.6865e6fa220cdp-7, 0x1.6056d838134ep-7, 0x1.586c4cf7801cfp-7, 0x1.50a5e6a2b02b5p-7, 0x1.4903458204114p-7, 0x1.418408d152ecap-7, 0x1.3a27ced4bfa02p-7, 0x1.32ee34ed191eap-7, 0x1.2bd6d7ab921c2p-7, 0x1.24e152e520c8ap-7, 0x1.1e0d41c53a4dp-7, 0x1.175a3ee01d21ap-7, 0x1.10c7e444961cap-7, 0x1.0a55cb8d46d74p-7, 0x1.04038df171a15p-7, 0x1.fba188aa901f6p-8, 0x1.ef7a0eb369ee2p-8, 0x1.e38fded78074bp-8, 0x1.d7e229a6d66ap-8, 0x1.cc701f8437fc7p-8, 0x1.c138f0c122f01p-8, 0x1.b63bcdb8dde16p-8, 0x1.ab77e6ea8349bp-8, 0x1.a0ec6d12597e6p-8, 0x1.969891422f554p-8, 0x1.8c7b84f8f690fp-8, 0x1.82947a3966e26p-8, 0x1.78e2a3a005d32p-8, 0x1.6f65347822705p-8, 0x1.661b60d033e5bp-8, 0x1.5d045d8d5dabcp-8, 0x1.541f607e35275p-8, 0x1.4b6ba06cc2407p-8, 0x1.42e8552fc82bap-8, 0x1.3a94b7bb58ee3p-8, 0x1.32700230a3da6p-8, 0x1.2a796fed2dbc8p-8, 0x1.22b03d993d3e3p-8, 0x1.1b13a935b5349p-8, 0x1.13a2f2293b58ap-8, 0x1.0c5d594cba569p-8, 0x1.054220f74e66ap-8, 0x1.fca11a132529ap-9, 0x1.ef0fc5f09c508p-9, 0x1.e1ced3ad2f1cap-9, 0x1.d4dcd4bec30d8p-9, 0x1.c8385dfcefd4fp-9, 0x1.bbe007b1eb3dcp-9, 0x1.afd26daa769ddp-9, 0x1.a40e2f448da73p-9, 0x1.9891ef7d78293p-9, 0x1.8d5c54fe6604cp-9, 0x1.826c0a2893388p-9, 0x1.77bfbd2003a2fp-9, 0x1.6d561fd5ec03bp-9, 0x1.632de8119f8f4p-9, 0x1.5945cf791e5f3p-9, 0x1.4f9c93989009dp-9, 0x1.4630f5e8ff62fp-9, 0x1.3d01bbd65404dp-9, 0x1.340daec4a2f6ap-9, 0x1.2b539c14843f7p-9, 0x1.22d25526f9026p-9, 0x1.1a88af6081507p-9, 0x1.1275842b6ab11p-9, 0x1.0a97b0f9d9fd3p-9, 0x1.02ee1746c0411p-9, 0x1.f6ef392d019dp-10, 0x1.e86654edffbf7p-10, 0x1.da3f5cfdf5aa1p-10, 0x1.cc78349a04de8p-10, 0x1.bf0ec70ba2719p-10, 0x1.b20107a47271cp-10, 0x1.a54cf1b8fc523p-10, 0x1.98f0889aa6af7p-10, 0x1.8ce9d790b4a03p-10, 0x1.8136f1d04b536p-10, 0x1.75d5f273e790dp-10, 0x1.6ac4fc71eb4a8p-10, 0x1.60023a924e803p-10, 0x1.558bdf63b1637p-10, 0x1.4b60252fef40bp-10, 0x1.417d4defa9f3p-10, 0x1.37e1a33d63a06p-10, 0x1.2e8b76481edd3p-10, 0x1.25791fc54749ep-10, 0x1.1ca8ffe1fff19p-10, 0x1.14197e343efddp-10, 0x1.0bc909aafbd9dp-10, 0x1.03b6187e46ee7p-10, 0x1.f7be503d861ffp-11, 0x1.e8857a498e35fp-11, 0x1.d9bec67e3069ep-11, 0x1.cb675a42929bap-11, 0x1.bd7c68e3935b3p-11, 0x1.affb336f20a24p-11, 0x1.a2e1088f247dfp-11, 0x1.962b4463f9b35p-11, 0x1.89d7505dfe891p-11, 0x1.7de2a31730cc8p-11, 0x1.724ac02bf4246p-11, 0x1.670d3813a5b9cp-11, 0x1.5c27a7f8de22bp-11, 0x1.5197b991439cdp-11, 0x1.475b22f5554d5p-11, 0x1.3d6fa677a0faep-11, 0x1.33d3127bfacf8p-11, 0x1.2a83414e4d84ap-11, 0x1.217e18f9e2cep-11, 0x1.18c18b1f81683p-11, 0x1.104b94cc6f084p-11, 0x1.081a3e51142bdp-11, 0x1.002b9b16f946dp-11, 0x1.f0fb92ef8b18bp-12, 0x1.e21de526d418bp-12, 0x1.d3ba944db79cfp-12, 0x1.c5ce1cc5638e2p-12, 0x1.b8550f8317b58p-12, 0x1.ab4c11be35524p-12, 0x1.9eafdc9da80cep-12, 0x1.927d3ce5da876p-12, 0x1.86b112a749008p-12, 0x1.7b4850ed69fc4p-12, 0x1.703ffd6cb9586p-12, 0x1.6595303382d76p-12, 0x1.5b451358c5615p-12, 0x1.514ce2acf6cd4p-12, 0x1.47a9eb6a98d48p-12, 0x1.3e598be84b7a6p-12, 0x1.35593349da3dep-12, 0x1.2ca66133733dep-12, 0x1.243ea57c88574p-12, 0x1.1c1f9fe305d56p-12, 0x1.1446ffc0d71bp-12, 0x1.0cb283bf909d5p-12, 0x1.055ff98f7768bp-12, 0x1.fc9a7b39b6e8ap-13, 0x1.eef0758faeb3p-13, 0x1.e1bdd437b065ap-13, 0x1.d4fea5106be6p-13, 0x1.c8af11335639cp-13, 0x1.bccb5c68c0659p-13, 0x1.b14fe49d4913dp-13, 0x1.a6392159d40b7p-13, 0x1.9b83a33c1645ap-13, 0x1.912c13707a16cp-13, 0x1.872f332f81c11p-13, 0x1.7d89db39fe176p-13, 0x1.7438fb5ab03b2p-13, 0x1.6b3999e518fa3p-13, 0x1.6288d3398ba68p-13, 0x1.5a23d9497b79ep-13, 0x1.5207f31d833a9p-13, 0x1.4a327c5cdc5e4p-13, 0x1.42a0e4d76d1b4p-13, 0x1.3b50b010bb41dp-13, 0x1.343f74cd43931p-13, 0x1.2d6adca07e07fp-13, 0x1.26d0a37df552fp-13, 0x1.206e974acef88p-13, 0x1.1a42977188288p-13, 0x1.144a9477e7578p-13, 0x1.0e848f956bf1cp-13, 0x1.08ee9a4d25f47p-13, 0x1.0386d60792ed9p-13, 0x1.fc96e75daebd6p-14, 0x1.f275669a49888p-14, 0x1.e8a5c7574d718p-14, 0x1.df24c3e847b14p-14, 0x1.d5ef32a786c4p-14, 0x1.cd02053f82a6ap-14, 0x1.c45a47f6bf2eep-14, 0x1.bbf520ffad9bfp-14, 0x1.b3cfcfcaf80b3p-14, 0x1.abe7ac5dd18cap-14, 0x1.a43a26ab0dc9p-14, 0x1.9cc4c5ee65d6cp-14, 0x1.9585280df5e53p-14, 0x1.8e7900facc07dp-14, 0x1.879e1a174e624p-14, 0x1.80f2519f902efp-14, 0x1.7a739a14c4173p-14, 0x1.741ff9abae231p-14, 0x1.6df589be3c2abp-14, 0x1.67f2763f81afbp-14, 0x1.6214fd33fe69dp-14, 0x1.5c5b6e2ab7c67p-14, 0x1.56c429ba1fb8dp-14, 0x1.514da1000cf8ep-14, 0x1.4bf6552478a94p-14, 0x1.46bcd6dda050dp-14, 0x1.419fc5f847a78p-14, 0x1.3c9dd0e24ed77p-14, 0x1.37b5b437b4142p-14, 0x1.32e63a525e629p-14, 0x1.2e2e3adafdcc9p-14, 0x1.298c9a5fe925cp-14, 0x1.250049e9c0c1ap-14, 0x1.20884696a807fp-14, 0x1.1c2399354cc6ap-14, 0x1.17d155e38b038p-14, 0x1.13909baee7288p-14, 0x1.0f609437b122dp-14, 0x1.0b407355bca56p-14, 0x1.072f76bfe88f4p-14, 0x1.032ce5b58b9fdp-14, 0x1.fe702154009bbp-15, 0x1.f6a0a1e5c862p-15, 0x1.eeea10edb85eep-15, 0x1.e74b42c1e76cdp-15, 0x1.dfc31ba6d357bp-15, 0x1.d8508f3bc1894p-15, 0x1.d0f29fe9d1a97p-15, 0x1.c9a85e583e1a9p-15, 0x1.c270e8e28840ap-15, 0x1.bb4b6b1305478p-15, 0x1.b4371d2271dbep-15, 0x1.ad334378a7905p-15, 0x1.a63f2e327496cp-15, 0x1.9f5a38aa9632cp-15, 0x1.9883c904ba585p-15, 0x1.91bb4fbdfdb29p-15, 0x1.8b00473e69773p-15, 0x1.8452336f5a465p-15, 0x1.7db0a153992f6p-15, 0x1.771b26a32cf44p-15, 0x1.7091616afb51p-15, 0x1.6a12f7ad00254p-15, 0x1.639f9705c253bp-15, 0x1.5d36f45292c0dp-15, 0x1.56d8cb5c51a52p-15, 0x1.5084de82d209dp-15, 0x1.4a3af66d36e3bp-15, 0x1.43fae1ba96136p-15, 0x1.3dc474b6c0721p-15, 0x1.379789107d52fp-15, 0x1.3173fd92ec57dp-15, 0x1.2b59b5dfedec2p-15, 0x1.25489a2ec2178p-15, 0x1.1f40970a259c1p-15, 0x1.19419d146880fp-15, 0x1.134ba0c922491p-15, 0x1.0d5e9a44b062fp-15, 0x1.077a850bf0c44p-15, 0x1.019f5fd6258f5p-15, 0x1.f79a58b2c55e3p-16, 0x1.ec07de2e9623ep-16, 0x1.e0875e5be5e2fp-16, 0x1.d518ec50ad788p-16, 0x1.c9bc9fa30f1b4p-16, 0x1.be729414f20c9p-16, 0x1.b33ae93e17bc4p-16, 0x1.a815c23e1be79p-16, 0x1.9d03456f54d12p-16, 0x1.92039c1ccaaa6p-16, 0x1.8716f23ba3226p-16, 0x1.7c3d7626d2764p-16, 0x1.7177585ea6407p-16, 0x1.66c4cb49a7ff7p-16, 0x1.5c2602f907ef2p-16, 0x1.519b34ef744c1p-16, 0x1.472497ea8eba9p-16, 0x1.3cc263aeeff4bp-16, 0x1.3274d0d52b47dp-16, 0x1.283c189b21448p-16, 0x1.1e1874b648df1p-16, 0x1.140a1f2855d87p-16, 0x1.0a115215976cdp-16, 0x1.002e479f10547p-16, 0x1.ecc27378737b1p-17, 0x1.d954c42f75c2p-17, 0x1.c613f3dd3e0a4p-17, 0x1.b30073e045a4fp-17, 0x1.a01ab4411ef84p-17, 0x1.8d632377be485p-17, 0x1.7ada2e3850873p-17, 0x1.68803f40828dbp-17, 0x1.5655bf26a3e84p-17, 0x1.445b1430e1bb1p-17, 0x1.3290a22a4c6d9p-17, 0x1.20f6ca3b712fdp-17, 0x1.0f8deac8b20ddp-17, 0x1.fcacbe9e0d2fcp-18, 0x1.daa1008d58c55p-18, 0x1.b8f9460a6302cp-18, 0x1.97b633482aca5p-18, 0x1.76d865d44e007p-18, 0x1.5660746693888p-18, 0x1.364eeeba587f2p-18, 0x1.16a45d703a261p-18, 0x1.eec283cfbaaaap-19, 0x1.b10c2c4d15c64p-19, 0x1.7426997fadca7p-19, 0x1.3812a178ea999p-19, 0x1.f9a2163488479p-20, 0x1.84c51be3b1f57p-20, 0x1.118fa43d70c97p-20, 0x1.4005c122cb045p-21, 0x1.80ff18ba82543p-23, -0x1.f0c308fb97471p-23, -0x1.554a303c0b4e6p-21, -0x1.15858d1c964e1p-20, -0x1.7eb92a67352aap-20, -0x1.e63f79489d0fbp-20, -0x1.260c10f8325ffp-19, -0x1.582175a19a59ap-19, -0x1.895fdd5a4846ep-19, -0x1.b9c74a0cac277p-19, -0x1.e957ccaf285afp-19, -0x1.0c08c2928c7e6p-18, -0x1.22fa510fc6b6ap-18, -0x1.3980b07930381p-18, -0x1.4f9c06b3eb5a6p-18, -0x1.654c80cecb218p-18, -0x1.7a9252e8b240dp-18, -0x1.8f6db815b5a3cp-18, -0x1.a3def24b7e4dbp-18, -0x1.b7e64a42b1d84p-18, -0x1.cb840f5cd6192p-18, -0x1.deb8978a47ce7p-18, -0x1.f1843f2920ef9p-18, -0x1.01f3b475afbdcp-17, -0x1.0af13edc69b54p-17, -0x1.13baf64749fa6p-17, -0x1.1c51153047ebdp-17, -0x1.24b3d8fcbb622p-17, -0x1.2ce381ecff424p-17, -0x1.34e0530c9d674p-17, -0x1.3caa922175b2dp-17, -0x1.4442879b0fa18p-17, -0x1.4ba87e828c8f3p-17, -0x1.52dcc4687409bp-17, -0x1.59dfa95465167p-17, -0x1.60b17fb3b9658p-17, -0x1.67529c4899371p-17, -0x1.6dc356193752p-17, -0x1.7404065e8007cp-17, -0x1.7a15087236aa7p-17, -0x1.7ff6b9bd4b373p-17, -0x1.85a979a7bdc27p-17, -0x1.8b2da987cdbf9p-17, -0x1.9083ac90079c5p-17, -0x1.95abe7be90db1p-17, -0x1.9aa6c1cb7adb6p-17, -0x1.9f74a318d4644p-17, -0x1.a415f5a251fa1p-17, -0x1.a88b24ea94995p-17, -0x1.acd49ded253eap-17, -0x1.b0f2cf0c79dcdp-17, -0x1.b4e62801a93a7p-17, -0x1.b8af19cc9da17p-17, -0x1.bc4e16a47b70bp-17, -0x1.bfc391e76926cp-17, -0x1.c310000b522edp-17, -0x1.c633d68d6b2f9p-17, -0x1.c92f8be3751bbp-17, -0x1.cc03976d91d0bp-17, -0x1.ceb071660c21ap-17, -0x1.d13692d30b504p-17, -0x1.d3967578df49dp-17, -0x1.d5d093ca4612ep-17, -0x1.d7e568dab23ffp-17, -0x1.d9d570513cedbp-17, -0x1.dba1265aa9eeap-17, -0x1.dd49079bb4078p-17, -0x1.decd9123b3f6dp-17, -0x1.e02f406008997p-17, -0x1.e16e930ee92e4p-17, -0x1.e28c073371c4fp-17, -0x1.e3881b08f1725p-17, -0x1.e4634cf74a558p-17, -0x1.e51e1b86dce1cp-17, -0x1.e5b905540b64ep-17, -0x1.e63489058cb04p-17, -0x1.e691253f82181p-17, -0x1.e6cf589a3ed83p-17, -0x1.e6efa19767c5bp-17, -0x1.e6f27e9620e3fp-17, -0x1.e6d86dca0a1b7p-17, -0x1.e6a1ed3138893p-17, -0x1.e64f7a8b1d97cp-17, -0x1.e5e1934d91131p-17, -0x1.e558b49c750cp-17, -0x1.e4b55b41c2f0ap-17, -0x1.e3f803a2cdd42p-17, -0x1.e32129b84b342p-17, -0x1.e2314907212dep-17, -0x1.e128dc97420ffp-17, -0x1.e0085eecae714p-17, -0x1.ded049ff9957cp-17, -0x1.dd811733930ddp-17, -0x1.dc1b3f52ad6b5p-17, -0x1.da9f3a85734f8p-17, -0x1.d90d804be2127p-17, -0x1.d76687771b6ddp-17, -0x1.d5aac6240811fp-17, -0x1.d3dab1b434448p-17, -0x1.d1f6bec7b2c92p-17, -0x1.cfff6138130cbp-17, -0x1.cdf50c130dd1p-17, -0x1.cbd8319546058p-17, -0x1.c9a94324ce895p-17, -0x1.c768b14c417c9p-17, -0x1.c516ebb6353d8p-17, -0x1.c2b4612947475p-17, -0x1.c0417f830b291p-17, -0x1.bdbeb3b4845c1p-17, -0x1.bb2c69bde6323p-17, -0x1.b88b0cab13708p-17, -0x1.b5db06900c9e6p-17, -0x1.b31cc08504faep-17, -0x1.b050a2a3343c8p-17, -0x1.ad771402b5cfep-17, -0x1.aa907ab730cc7p-17, -0x1.a79d3bcd08d1ep-17, -0x1.a49dbb4649b8bp-17, -0x1.a1925c18cd6edp-17, -0x1.9e7b802c2c813p-17, -0x1.9b598857428fcp-17, -0x1.982cd45ead83ap-17, -0x1.94f5c2f21128dp-17, -0x1.91b4b1abc2271p-17, -0x1.8e69fd0e06b9cp-17, -0x1.8b160081f6749p-17, -0x1.87b91656a4f99p-17, -0x1.845397c008f29p-17, -0x1.80e5dcd572a23p-17, -0x1.7d703c914f5c5p-17, -0x1.79f30ccfdc9e4p-17, -0x1.766ea24e6f972p-17, -0x1.72e350ab7245fp-17, -0x1.6f516a662cb62p-17, -0x1.6bb940ddb04bdp-17, -0x1.681b2450b980ap-17, -0x1.647763dea2004p-17, -0x1.60ce4d86887c9p-17, -0x1.5d202e2702db2p-17, -0x1.596d517f5860ap-17, -0x1.55b6022f6aa25p-17, -0x1.51fa89b811c1ep-17, -0x1.4e3b307ba4787p-17, -0x1.4a783dbe7eb18p-17, -0x1.46b1f7a7b822dp-17, -0x1.42e8a341d9987p-17, -0x1.3f1c847bcbe62p-17, -0x1.3b4dde29e07fcp-17, -0x1.377cf2069ffdcp-17, -0x1.33aa00b37654cp-17, -0x1.2fd549ba9195bp-17, -0x1.2bff0b8fc557fp-17, -0x1.282783919cafbp-17, -0x1.244eee0a920b7p-17, -0x1.2075863304de5p-17, -0x1.1c9b86324d761p-17, -0x1.18c127206541cp-17, -0x1.14e6a1074e18ep-17, -0x1.110c2ae49cf6ep-17, -0x1.0d31faab4d7dap-17, }}, 
      {{0x1.394e295269166p-1, 0x1.38bfd95fcac9ep-1, 0x1.37d38e4cff398p-1, 0x1.368a99249f3b9p-1, 0x1.34e6c600e203ep-1, 0x1.32ea51a1c14f6p-1, 0x1.3097dd8644207p-1, 0x1.2df2632ea4be2p-1, 0x1.2afd2711ecbf5p-1, 0x1.27bbabb49a15fp-1, 0x1.2431a532c50d3p-1, 0x1.2062ed78c10f1p-1, 0x1.1c537951d6bf9p-1, 0x1.18074e6532c52p-1, 0x1.13827a2d0e8cep-1, 0x1.0ec909eae8113p-1, 0x1.09df0394b5696p-1, 0x1.04c85fb201f85p-1, 0x1.ff120838bd1dfp-2, 0x1.f4497f2854949p-2, 0x1.e93e8c32ae145p-2, 0x1.ddf85bee106b1p-2, 0x1.d27ddae19c468p-2, 0x1.c6d5b201016a3p-2, 0x1.bb064428a4379p-2, 0x1.af15ac7b178c5p-2, 0x1.a309bd82b4f85p-2, 0x1.96e800fc511eap-2, 0x1.8ab5b83242c23p-2, 0x1.7e77dcd13636dp-2, 0x1.7233222288d51p-2, 0x1.65ebf699f928dp-2, 0x1.59a685a699792p-2, 0x1.4d66b9b8bbb0bp-2, 0x1.41303e705efd2p-2, 0x1.350682e93baap-2, 0x1.28ecbc1af8875p-2, 0x1.1ce5e7456caa3p-2, 0x1.10f4cc61fa13ap-2, 0x1.051c00941cb6ap-2, 0x1.f2bbd1287591cp-3, 0x1.db79762124e17p-3, 0x1.c4750601de4efp-3, 0x1.adb243d4be697p-3, 0x1.9734a421a329ap-3, 0x1.80ff5129d0e27p-3, 0x1.6b152ef9b3e0ap-3, 0x1.5578df4f1098ap-3, 0x1.402cc552a5ef3p-3, 0x1.2b330924e703bp-3, 0x1.168d9b3de7c0cp-3, 0x1.023e37a0f04fp-3, 0x1.dc8cd1c9529bfp-4, 0x1.b54f1621dbf9ap-4, 0x1.8ec59ca7717f4p-4, 0x1.68f2731d587c5p-4, 0x1.43d7597dd41a8p-4, 0x1.1f75c68201a02p-4, 0x1.f79dd7cb2ce1ep-5, 0x1.b1c774d474b73p-5, 0x1.6d69cb3c8b89dp-5, 0x1.2a85ced52e6afp-5, 0x1.d2380dacc1205p-6, 0x1.52592858687c8p-6, 0x1.aadcdda034ebep-7, 0x1.6ddab2deccefp-8, -0x1.b8ffd3515f87ep-10, -0x1.1f501e3fa6598p-7, -0x1.00d4a09d8568cp-6, -0x1.6f1957b37d466p-6, -0x1.da7a60518b0f6p-6, -0x1.217e321c59718p-5, -0x1.545241a3352eep-5, -0x1.85bc260e892cbp-5, -0x1.b5beda9179ea2p-5, -0x1.e45d8ae8ec979p-5, -0x1.08cdc8146f831p-4, -0x1.1ebe36d673596p-4, -0x1.3401e714d337cp-4, -0x1.489ac06ea4ef5p-4, -0x1.5c8abb6eaafc8p-4, -0x1.6fd3e04020868p-4, -0x1.82784570be74ap-4, -0x1.947a0ebf62aa3p-4, -0x1.a5db6bf6d0e38p-4, -0x1.b69e97d41101bp-4, -0x1.c6c5d6f81816p-4, -0x1.d65376e43213p-4, -0x1.e549cd010b3eep-4, -0x1.f3ab35afe51cep-4, -0x1.00bd09b2e2dcbp-3, -0x1.075c66e82f4p-3, -0x1.0db4e88235a1fp-3, -0x1.13c7c65aa4333p-3, -0x1.199639bad49dbp-3, -0x1.1f217d008997fp-3, -0x1.246acb4700c7dp-3, -0x1.2973601442f63p-3, -0x1.2e3c770a8afecp-3, -0x1.32c74b9db64abp-3, -0x1.371518cca9b8fp-3, -0x1.3b2718de7d37cp-3, -0x1.3efe852367057p-3, -0x1.429c95b946edcp-3, -0x1.46028153af36ap-3, -0x1.49317d075e097p-3, -0x1.4c2abc18f8bbcp-3, -0x1.4eef6fcf01ec6p-3, -0x1.5180c746de7afp-3, -0x1.53dfef4cd51efp-3, -0x1.560e1236e56dcp-3, -0x1.580c57c2659bp-3, -0x1.59dbe4f43e7b5p-3, -0x1.5b7ddbfbab673p-3, -0x1.5cf35c1768e17p-3, -0x1.5e3d817d32563p-3, -0x1.5f5d65436ca52p-3, -0x1.60541d4cf044ap-3, -0x1.6122bc36ca886p-3, -0x1.61ca5147e6352p-3, -0x1.624be8627670fp-3, -0x1.62a889f71ec86p-3, -0x1.62e13af9a5449p-3, -0x1.62f6fcd73053cp-3, -0x1.62eacd6de64c9p-3, -0x1.62bda705e944dp-3, -0x1.6270804b8b2a7p-3, -0x1.62044c4aaf91cp-3, -0x1.6179fa6b41b65p-3, -0x1.60d2766eb25d1p-3, -0x1.600ea86e679bfp-3, -0x1.5f2f74db08879p-3, -0x1.5e35bc7ca062cp-3, -0x1.5d225c7380ad8p-3, -0x1.5bf62e39d7865p-3, -0x1.5ab207a5e9a6fp-3, -0x1.5956baece64f2p-3, -0x1.57e516a6462a8p-3, -0x1.565de5cfad45dp-3, -0x1.54c1efd1403f1p-3, -0x1.5311f88267689p-3, -0x1.514ec02ef38ffp-3, -0x1.4f79039c9c7c5p-3, -0x1.4d917c10d21c8p-3, -0x1.4b98df56d7979p-3, -0x1.498fdfc620564p-3, -0x1.47772c48ed426p-3, -0x1.454f70631c29bp-3, -0x1.431954392da99p-3, -0x1.40d57c9774728p-3, -0x1.3e848af96ec4p-3, -0x1.3c271d9140744p-3, -0x1.39bdcf4f51083p-3, -0x1.374937ea042edp-3, -0x1.34c9ebe58f43ap-3, -0x1.32407c9bdea62p-3, -0x1.2fad784495751p-3, -0x1.2d1169fd20a31p-3, -0x1.2a6cd9d0d2d7ap-3, -0x1.27c04cc1164d2p-3, -0x1.250c44cda4d7bp-3, -0x1.225140fcd2642p-3, -0x1.1f8fbd63da1b2p-3, -0x1.1cc8332f39969p-3, -0x1.19fb18ab107d8p-3, -0x1.1728e14b88eb5p-3, -0x1.1451fdb547c1ep-3, -0x1.1176dbc5debdep-3, -0x1.0e97e69c43d27p-3, -0x1.0bb586a151503p-3, -0x1.08d02190452b8p-3, -0x1.05e81a7f4589ap-3, -0x1.02fdd1e7e8d29p-3, -0x1.0011a5afbf854p-3, -0x1.fa47e261bf9cep-4, -0x1.f46a1a84eb09cp-4, -0x1.ee8aa082a0c75p-4, -0x1.e8aa1c30f29b9p-4, -0x1.e2c9309382d2fp-4, -0x1.dce87becaec77p-4, -0x1.d70897ceb5e36p-4, -0x1.d12a192ce96f3p-4, -0x1.cb4d906cc743dp-4, -0x1.c57389772edfcp-4, -0x1.bf9c8bc98322ap-4, -0x1.b9c91a86cf8d3p-4, -0x1.b3f9b488e83a7p-4, -0x1.ae2ed4718b9aep-4, -0x1.a868f0bb761d1p-4, -0x1.a2a87bcb80646p-4, -0x1.9cede401a4deap-4, -0x1.973993ca0f8dap-4, -0x1.918bf1ae174c6p-4, -0x1.8be560653b201p-4, -0x1.86463ee60d103p-4, -0x1.80aee87717307p-4, -0x1.7b1fb4bfb2c5p-4, -0x1.7598f7d8d3f72p-4, -0x1.701b025dc7774p-4, -0x1.6aa6217ce1b1bp-4, -0x1.653a9f081da79p-4, -0x1.5fd8c185ab3dbp-4, -0x1.5a80cc406b6d7p-4, -0x1.5532ff585a833p-4, -0x1.4fef97d2e4061p-4, -0x1.4ab6cfab22eaap-4, -0x1.4588dde20a8dfp-4, -0x1.4065f68e792afp-4, -0x1.3b4e4aed2f933p-4, -0x1.36420970b1ae5p-4, -0x1.31415dd109c6p-4, -0x1.2c4c711b7221fp-4, -0x1.276369c1defa4p-4, -0x1.22866baa6c706p-4, -0x1.1db5983eacdep-4, -0x1.18f10e7ad610fp-4, -0x1.1438eafcce55bp-4, -0x1.0f8d481317068p-4, -0x1.0aee3dcb93ebbp-4, -0x1.065be2022eb87p-4, -0x1.01d6486f55c3p-4, -0x1.fabb056ca812p-5, -0x1.f1e340e7071cap-5, -0x1.e9255e94aff29p-5, -0x1.e08175e681724p-5, -0x1.d7f79a92c4037p-5, -0x1.cf87dcb04993fp-5, -0x1.c73248d13652cp-5, -0x1.bef6e81d7607ep-5, -0x1.b6d5c06cd8c25p-5, -0x1.aeced460d5cd1p-5, -0x1.a6e2237df6afp-5, -0x1.9f0faa44e7639p-5, -0x1.9757624b2abebp-5, -0x1.8fb9425371941p-5, -0x1.88353e6595afp-5, -0x1.80cb47e636256p-5, -0x1.797b4dadf6131p-5, -0x1.72453c205985dp-5, -0x1.6b28fd424639ap-5, -0x1.642678d020c37p-5, -0x1.5d3d94538bcap-5, -0x1.566e3338c406ep-5, -0x1.4fb836e39d47ep-5, -0x1.491b7ec41bddep-5, -0x1.4297e86ab01adp-5, -0x1.3c2d4f9c0ab85p-5, -0x1.35db8e6494b58p-5, -0x1.2fa27d2b8564bp-5, -0x1.2981f2c592163p-5, -0x1.2379c48744bf2p-5, -0x1.1d89c656ea205p-5, -0x1.17b1cabe23befp-5, -0x1.11f1a2fb1974dp-5, -0x1.0c491f11487d4p-5, -0x1.06b80dd9f7068p-5, -0x1.013e3d14448b6p-5, -0x1.f7b6f2e9bf805p-6, -0x1.ed1f1d6aba4bfp-6, -0x1.e2b48f465f5a1p-6, -0x1.d876dc5c8ff16p-6, -0x1.ce6596eea676cp-6, -0x1.c4804fbb48731p-6, -0x1.bac696197cb5ap-6, -0x1.b137f81315c41p-6, -0x1.a7d4027e64a07p-6, -0x1.9e9a411740902p-6, -0x1.958a3e976498ap-6, -0x1.8ca384ce176e2p-6, -0x1.83e59cb737df1p-6, -0x1.7b500e91989f8p-6, -0x1.72e261f4b81e5p-6, -0x1.6a9c1de5dabbp-6, -0x1.627cc8ec7c182p-6, -0x1.5a83e92629d7ap-6, -0x1.52b10459bbc97p-6, -0x1.4b03a009f41bp-6, -0x1.437b41878b0cdp-6, -0x1.3c176e029c52fp-6, -0x1.34d7aa9b8bf26p-6, -0x1.2dbb7c73526a5p-6, -0x1.26c268bb3fa6p-6, -0x1.1febf4c42b906p-6, -0x1.1937a60d2478fp-6, -0x1.12a5025192248p-6, -0x1.0c338f96d1c1ep-6, -0x1.05e2d43956057p-6, -0x1.ff64adf280527p-7, -0x1.f3433e0d06d0ap-7, -0x1.e760681909c86p-7, -0x1.dbbb3c7a93143p-7, -0x1.d052ccb855dfep-7, -0x1.c5262b90302a9p-7, -0x1.ba346d0ad0bc1p-7, -0x1.af7ca68e764acp-7, -0x1.a4fdeef0db865p-7, -0x1.9ab75e8850077p-7, -0x1.90a80f3bfb53bp-7, -0x1.86cf1c935f118p-7, -0x1.7d2ba3c508f27p-7, -0x1.73bcc3c48f0f7p-7, -0x1.6a819d4fc46cap-7, -0x1.617952fb3d91p-7, -0x1.58a3093e25323p-7, -0x1.4ffde67d4ea86p-7, -0x1.47891315b8b0dp-7, -0x1.3f43b9665c9bep-7, -0x1.372d05d95720ap-7, -0x1.2f4426ec7f62cp-7, -0x1.27884d395ef02p-7, -0x1.1ff8ab7c97844p-7, -0x1.1894769cb7d61p-7, -0x1.115ae5b081688p-7, -0x1.0a4b3204ae24ep-7, -0x1.0364972128844p-7, -0x1.f94ca59b93f7ep-8, -0x1.ec1f4a2d31473p-8, -0x1.df3fa09f25704p-8, -0x1.d2ac3230010afp-8, -0x1.c6638cbaa85a6p-8, -0x1.ba6442bb42477p-8, -0x1.aeaceb534c163p-8, -0x1.a33c224ced6c4p-8, -0x1.9810881d6db1ap-8, -0x1.8d28c1e70990cp-8, -0x1.82837979fa6c6p-8, -0x1.781f5d54d5832p-8, -0x1.6dfb20a443508p-8, -0x1.64157b4207922p-8, -0x1.5a6d29b3780f8p-8, -0x1.5100ed2752186p-8, -0x1.47cf8b72fda54p-8, -0x1.3ed7cf0f50f64p-8, -0x1.36188714b5b8ap-8, -0x1.2d908736e4e7ep-8, -0x1.253ea7c018319p-8, -0x1.1d21c58bc83a1p-8, -0x1.1538c200fd1aep-8, -0x1.0d82830c2d714p-8, -0x1.05fdf318be022p-8, -0x1.fd5402141beb1p-9, -0x1.ef0b406878d85p-9, -0x1.e11f90a912101p-9, -0x1.d38eeb12a3521p-9, -0x1.c6575093bf7ecp-9, -0x1.b976cabb9f72fp-9, -0x1.aceb6ba86d282p-9, -0x1.a0b34df5153c2p-9, -0x1.94cc94a682ba6p-9, -0x1.89356b187bc0ep-9, -0x1.7dec04e9f1698p-9, -0x1.72ee9de90442dp-9, -0x1.683b79fe862fp-9, -0x1.5dd0e5192ce1ep-9, -0x1.53ad331884c29p-9, -0x1.49cebfb77695fp-9, -0x1.4033ee768c6cep-9, -0x1.36db2a85f393dp-9, -0x1.2dc2e6af532a3p-9, -0x1.24e99d3f53e96p-9, -0x1.1c4dcfeef6617p-9, -0x1.13ee07ccdc436p-9, -0x1.0bc8d5263558bp-9, -0x1.03dccf6fbb1d7p-9, -0x1.f8512a5cedbf4p-10, -0x1.e95597c0e3d4bp-10, -0x1.dac43fcaa879ap-10, -0x1.cc9a88cdc9b75p-10, -0x1.bed5e68320a66p-10, -0x1.b173d9d9ceb06p-10, -0x1.a471f0c80b87cp-10, -0x1.97cdc61c0d04ap-10, -0x1.8b85014ce3c02p-10, -0x1.7f95564b97dbdp-10, -0x1.73fc8553edf81p-10, -0x1.68b85abdc9ca2p-10, -0x1.5dc6aece357fep-10, -0x1.53256588dada6p-10, -0x1.48d26e81a3b11p-10, -0x1.3ecbc4ae5292fp-10, -0x1.350f6e38877dfp-10, -0x1.2b9b7c4fdd5b8p-10, -0x1.226e0afc5bee7p-10, -0x1.198540f1256c8p-10, -0x1.10df4f5f5903bp-10, -0x1.087a71c95752cp-10, -0x1.0054edd639361p-10, -0x1.f0da264b9b601p-11, -0x1.e18276493c3edp-11, -0x1.d29f91c135caap-11, -0x1.c42e51bbc00bfp-11, -0x1.b62ba1d809735p-11, -0x1.a8947ff770003p-11, -0x1.9b65fbe99bd07p-11, -0x1.8e9d37192e86cp-11, -0x1.8237643974c0cp-11, -0x1.7631c6f4ea8a6p-11, -0x1.6a89b39c6ec8bp-11, -0x1.5f3c8ed784dc6p-11, -0x1.5447cd553490ap-11, -0x1.49a8f37e2057p-11, -0x1.3f5d9527151bbp-11, -0x1.35635544d9a1fp-11, -0x1.2bb7e5a0d84dp-11, -0x1.2259068e7acd5p-11, -0x1.194486a19c5a5p-11, -0x1.10784265e85c1p-11, -0x1.07f2241736692p-11, -0x1.ff6046b56caafp-12, -0x1.ef6089f1f00efp-12, -0x1.dfe135327e6f7p-12, -0x1.d0de84faca8e8p-12, -0x1.c254ce7ddb8f9p-12, -0x1.b4407f19e4935p-12, -0x1.a69e1bd6152dep-12, -0x1.996a40e2544e2p-12, -0x1.8ca1a118a03b9p-12, -0x1.80410580e9226p-12, -0x1.74454cd6129cp-12, -0x1.68ab6b0d4dffap-12, -0x1.5d7068df72f43p-12, -0x1.52916353bd25cp-12, -0x1.480b8b4cc9165p-12, -0x1.3ddc251744e2p-12, -0x1.340087fa97293p-12, -0x1.2a761dcb1fcf8p-12, -0x1.213a627eb92fep-12, -0x1.184ae3c270f79p-12, -0x1.0fa54092acb24p-12, -0x1.074728d4a01c2p-12, -0x1.fe5cb9e3e1fe6p-13, -0x1.eeb15aeb54441p-13, -0x1.df87f556abcebp-13, -0x1.d0dc687f601bep-13, -0x1.c2aab1c5dc39ep-13, -0x1.b4eeebd9ee6c4p-13, -0x1.a7a54e0627e8ep-13, -0x1.9aca2b7f57b9fp-13, -0x1.8e59f2b5eb1cap-13, -0x1.82512cac64503p-13, -0x1.76ac7c4f49e5ep-13, -0x1.6b689dd1d8bd5p-13, -0x1.6082660ccfbb4p-13, -0x1.55f6c1e0cf893p-13, -0x1.4bc2b59bbd58bp-13, -0x1.41e35c6131adp-13, -0x1.3855e795f4f78p-13, -0x1.2f179e4eb2901p-13, -0x1.2625dcc12060cp-13, -0x1.1d7e13b8521e9p-13, -0x1.151dc80c634a1p-13, -0x1.0d02921bc31fbp-13, -0x1.052a1d48cfe94p-13, -0x1.fb244ef1fd426p-14, -0x1.ec71012e95e88p-14, -0x1.de361432a79fdp-14, -0x1.d06f6d0d9dd5cp-14, -0x1.c3191207fcd6fp-14, -0x1.b62f29bcd1a1dp-14, -0x1.a9adfa381b57cp-14, -0x1.9d91e81b1ad36p-14, -0x1.91d775c46fed2p-14, -0x1.867b427d6c889p-14, -0x1.7b7a09ac3f33ep-14, -0x1.70d0a20b1ccd5p-14, -0x1.667bfce2ed6fcp-14, -0x1.5c79254ba4408p-14, -0x1.52c53f70a8a6dp-14, -0x1.495d87d8fdb2fp-14, -0x1.403f52b4e8436p-14, -0x1.37680b2e7f80ep-14, -0x1.2ed532bf35874p-14, -0x1.26846089695cep-14, -0x1.1e7340b58cf1cp-14, -0x1.169f93d32a46ap-14, -0x1.0f072e3f2dda1p-14, -0x1.07a7f78b364c3p-14, -0x1.007fe9eb6e15bp-14, -0x1.f31a234cf0429p-15, -0x1.e59b1911c06e6p-15, -0x1.d87f12ba4893bp-15, -0x1.cbc28ecc0f2d1p-15, -0x1.bf622bba22f9ep-15, -0x1.b35aa6e7325cp-15, -0x1.a7a8dbaf79272p-15, -0x1.9c49c27894c42p-15, -0x1.913a6fc777387p-15, -0x1.8678135bb3fe6p-15, -0x1.7bfff75314141p-15, -0x1.71cf7f501379fp-15, -0x1.67e427a848f3dp-15, -0x1.5e3b849711d1fp-15, -0x1.54d341772df31p-15, -0x1.4ba91fff8389cp-15, -0x1.42baf787e098fp-15, -0x1.3a06b450bac61p-15, -0x1.318a56d0e6c9cp-15, -0x1.2943f3081a4bep-15, -0x1.2131afd61bb56p-15, -0x1.1951c656fd474p-15, -0x1.11a2814332a9bp-15, -0x1.0a223c55a26cbp-15, -0x1.02cf63b459febp-15, -0x1.f750e6be284b7p-16, -0x1.e957ed408249ap-16, -0x1.dbb10f0857397p-16, -0x1.ce599ca5eb21ap-16, -0x1.c14f021bc1b6p-16, -0x1.b48ec5e4797adp-16, -0x1.a81687fd10c46p-16, -0x1.9be400f7ff29ap-16, -0x1.8ff5011660862p-16, -0x1.84476f68e6376p-16, -0x1.78d948f6d36d6p-16, -0x1.6da89fed52b61p-16, -0x1.62b39ad212488p-16, -0x1.57f873bfe366fp-16, -0x1.4d7577a741313p-16, -0x1.43290593e938cp-16, -0x1.39118dfb9207p-16, -0x1.2f2d920efeec4p-16, -0x1.257ba31266068p-16, -0x1.1bfa61bb26ba5p-16, -0x1.12a87d91a36bap-16, -0x1.0984b45a02c88p-16, -0x1.008dd180a9ae1p-16, -0x1.ef855b16495cep-17, -0x1.de445b1ef33bdp-17, -0x1.cd56855ceb517p-17, -0x1.bcb9d3263e5bep-17, -0x1.ac6c53ed246p-17, -0x1.9c6c2c50db16dp-17, -0x1.8cb7953568a59p-17, -0x1.7d4cdae34b7abp-17, -0x1.6e2a5c3095369p-17, -0x1.5f4e89af33704p-17, -0x1.50b7e4e6216e3p-17, -0x1.4264ff8c680c7p-17, -0x1.34547ad213425p-17, -0x1.268506a90818ep-17, -0x1.18f561198365ep-17, -0x1.0ba45599f34fcp-17, -0x1.fd2178dc55a1ap-18, -0x1.e372f418e7437p-18, -0x1.ca3afd10c6076p-18, -0x1.b1778a06e31ebp-18, -0x1.9926a64592c19p-18, -0x1.814671164e3e3p-18, -0x1.69d51cc23b0f1p-18, -0x1.52d0ed9da9983p-18, -0x1.3c38391aca016p-18, -0x1.260964ea0d0c9p-18, -0x1.1042e62008188p-18, -0x1.f5c680cd2c829p-19, -0x1.cbd20a668175p-19, -0x1.a2a5a6158e1f7p-19, -0x1.7a3ea99338f25p-19, -0x1.529a81e5ba25bp-19, -0x1.2bb6b2133c6fbp-19, -0x1.0590d1e04f93cp-19, -0x1.c04d193708b56p-20, -0x1.76eb3ff24917p-20, -0x1.2ef7b5f45814bp-20, -0x1.d0dc737e68bbdp-21, -0x1.469550b439039p-21, -0x1.7e23ed9ba9e8ap-22, -0x1.d254751c313dap-24, 0x1.1f223358f42a2p-23, 0x1.8e5da3a83570cp-22, 0x1.43ef8ae02bd7dp-21, 0x1.be11d9c59dbf6p-21, 0x1.1ace5d37975dcp-20, 0x1.554b82caec3b2p-20, 0x1.8e83b9a273e65p-20, 0x1.c67a4ea4d009ap-20, 0x1.fd3280be65e4bp-20, 0x1.1957c0fa9191ep-19, 0x1.337a3c37590f3p-19, 0x1.4d023fb3ba9abp-19, 0x1.65f1540c31645p-19, 0x1.7e48fd4ae382bp-19, 0x1.960abb4da9f6p-19, 0x1.ad380a248bcc7p-19, 0x1.c3d2627273645p-19, 0x1.d9db39bc872b9p-19, 0x1.ef5402bc215f7p-19, 0x1.021f16d4badc4p-18, 0x1.0c4d943fccb9dp-18, 0x1.16362f9ebdf82p-18, 0x1.1fd99e10a897ep-18, 0x1.293893efa9868p-18, 0x1.3253c4eac2bf1p-18, 0x1.3b2be41c64827p-18, 0x1.43c1a4214e785p-18, 0x1.4c15b72b1d6efp-18, 0x1.5428cf129a8ecp-18, 0x1.5bfb9d680cf72p-18, 0x1.638ed38132f82p-18, 0x1.6ae32286df111p-18, 0x1.71f93b8049cedp-18, 0x1.78d1cf5c8eb68p-18, 0x1.7f6d8efd5415ap-18, 0x1.85cd2b3cc0e61p-18, 0x1.8bf154f4688eep-18, 0x1.91dabd0312f44p-18, 0x1.978a14509bb1p-18, 0x1.9d000bd136886p-18, 0x1.a23d5487b9f28p-18, 0x1.a7429f87202fdp-18, 0x1.ac109df32210bp-18, 0x1.b0a800ff5debbp-18, 0x1.b50979efbbebdp-18, 0x1.b935ba157ea55p-18, 0x1.bd2d72cd80defp-18, 0x1.c0f1557d91f4fp-18, 0x1.c482138ffd92fp-18, 0x1.c7e05e70b19d6p-18, 0x1.cb0ce7882438fp-18, 0x1.ce08603615369p-18, 0x1.d0d379ccef77bp-18, 0x1.d36ee58b61c38p-18, 0x1.d5db54966a9dcp-18, 0x1.d81977f34e7edp-18, 0x1.da2a0080114bcp-18, 0x1.dc0d9eed3ddd4p-18, 0x1.ddc503b67dbb1p-18, 0x1.df50df1aac418p-18, 0x1.e0b1e114cb761p-18, 0x1.e1e8b953f9334p-18, 0x1.e2f6173327ccbp-18, 0x1.e3daa9b1f1be5p-18, 0x1.e4971f6b76f92p-18, 0x1.e52c268eea3e1p-18, 0x1.e59a6cd6c97f4p-18, 0x1.e5e29f80c9d26p-18, 0x1.e6056b4562d4bp-18, 0x1.e6037c4f35bd8p-18, 0x1.e5dd7e3314688p-18, 0x1.e5941be797f79p-18, 0x1.e527ffbc91b1ep-18, 0x1.e499d352f2a3bp-18, 0x1.e3ea3f947abfcp-18, 0x1.e319ecaba360cp-18, 0x1.e22981fb93e15p-18, 0x1.e119a6181a3d3p-18, 0x1.dfeafebdca51dp-18, 0x1.de9e30ca39f17p-18, 0x1.dd33e03454e29p-18, 0x1.dbacb004d77f3p-18, 0x1.da09424ed5b89p-18, 0x1.d84a382890373p-18, 0x1.d67031a42f8a2p-18, 0x1.d47bcdc8e7f71p-18, 0x1.d26daa8c0e972p-18, 0x1.d04664caa85f6p-18, 0x1.ce069842512p-18, 0x1.cbaedf8b58a5dp-18, 0x1.c93fd412ceda8p-18, 0x1.c6ba0e13e995fp-18, 0x1.c41e24928efdp-18, 0x1.c16cad5597d1ep-18, 0x1.bea63ce14edfp-18, 0x1.bbcb66722ce97p-18, 0x1.b8dcbbf7baf8fp-18, 0x1.b5dace0fc758ap-18, 0x1.b2c62c012ff2bp-18, 0x1.af9f63b7f1821p-18, 0x1.ac6701c06d011p-18, 0x1.a91d9143021f4p-18, 0x1.a5c39c00850f2p-18, 0x1.a259aa4e8961cp-18, 0x1.9ee0431325b4p-18, 0x1.9b57ebc1a72adp-18, 0x1.97c12857dc8b3p-18, 0x1.941c7b5a705c9p-18, 0x1.906a65d20b5cdp-18, 0x1.8cab6748deb7dp-18, 0x1.88dffdc7f8589p-18, 0x1.8508a5d4deff9p-18, 0x1.8125da6f81a59p-18, 0x1.7d3815100a554p-18, 0x1.793fcda51912p-18, 0x1.753d7a9274ebap-18, 0x1.713190ae6bd72p-18, 0x1.6d1c83420ea22p-18, 0x1.68fec406b9b9dp-18, 0x1.64d8c325d5779p-18, 0x1.60aaef3796c55p-18, 0x1.5c75b54237a8fp-18, 0x1.583980b9d7459p-18, 0x1.53f6bb7fc1f8p-18, 0x1.4fadcde2478b2p-18, 0x1.4b5f1e9c9e1bdp-18, 0x1.470b12d71d78cp-18, 0x1.42b20e2702e51p-18, 0x1.3e54728f0b963p-18, 0x1.39f2a07ff78f3p-18, 0x1.358cf6d8ce39fp-18, 0x1.3123d2e7d56a8p-18, 0x1.2cb7906b5ee18p-18, 0x1.28488992945d1p-18, 0x1.23d716fea7646p-18, 0x1.1f638fc42b71fp-18, 0x1.1aee496bdb638p-18, 0x1.167797f4dfb3cp-18, 0x1.11ffcdd580e49p-18, 0x1.0d873bfd0a91ep-18, 0x1.090e31d5b525dp-18, 0x1.0494fd46681p-18, 0x1.001beab46e70cp-18, 0x1.f7468a0b267b8p-19, 0x1.ee56ab449e8bcp-19, 0x1.e568c8f0162fep-19, 0x1.dc7d6ff62d193p-19, 0x1.d3952a5241ba5p-19, 0x1.cab07f17fffb9p-19, 0x1.c1cff277f3726p-19, 0x1.b8f405c3dda47p-19, 0x1.b01d377544af4p-19, 0x1.a74c0331ec21ep-19, 0x1.9e80e1d21cbcdp-19, 0x1.95bc4965a39c7p-19, 0x1.8cfead3ac5c1dp-19, 0x1.84487de2357dep-19, 0x1.7b9a2937129b9p-19, 0x1.72f41a641029dp-19, 0x1.6a56b9e9c574ap-19, 0x1.61c26da50f22p-19, 0x1.593798d5c06fbp-19, 0x1.50b69c24d7ed1p-19, 0x1.483fd5ab12bf3p-19, 0x1.3fd3a0f7a4359p-19, 0x1.37725716a3029p-19, 0x1.2f1c4e9884cf7p-19, 0x1.26d1db983be75p-19, 0x1.1e934fc2b237cp-19, 0x1.1660fa5d22ef5p-19, 0x1.0e3b284cc838ep-19, 0x1.0622241dba03ap-19, 0x1.fc2c6c130e154p-20, 0x1.ec2f47fe0b74bp-20, 0x1.dc4d635229fd4p-20, 0x1.cc8740ecc904ep-20, 0x1.bcdd5f3f74428p-20, 0x1.ad50385f7c5f5p-20, 0x1.9de042150c194p-20, 0x1.8e8dede97153bp-20, 0x1.7f59a93492061p-20, 0x1.7043dd2d039eap-20, 0x1.614ceef637418p-20, 0x1.52753fae82491p-20, 0x1.43bd2c7e91f2ep-20, 0x1.35250ea8b7d8bp-20, 0x1.26ad3b9648f6dp-20, 0x1.185604e65ea4bp-20, 0x1.0a1fb87cc679cp-20, 0x1.f8154121e217p-21, 0x1.dc2e0778f11f1p-21, 0x1.c08a4a123ea91p-21, 0x1.a52a87fe7c97cp-21, 0x1.8a0f396a207c7p-21, 0x1.6f38cfb8c2204p-21, 0x1.54a7b5a28666p-21, 0x1.3a5c4f5191524p-21, 0x1.2056fa7b74d2ap-21, 0x1.06980e80b21e6p-21, 0x1.da3fb9112e995p-22, 0x1.a7dd5f38a89dep-22, 0x1.760999843dd07p-22, 0x1.44c4e6356b8acp-22, 0x1.140fb7fb3bff3p-22, 0x1.c7d4ec4a7c20ap-23, 0x1.68aaf9b132612p-23, 0x1.0aa23a96d9275p-23, 0x1.5b7677e93af34p-24, 0x1.47d9d6d0b4a51p-25, -0x1.15769c216434p-28, -0x1.88abd2f18bd6p-25, -0x1.750e1d374b342p-24, -0x1.11bfdaa4e32fap-23, -0x1.67d543fd3bb36p-23, -0x1.bcc74868119a6p-23, -0x1.084afbef24632p-22, -0x1.31a0ba13cd79dp-22, -0x1.5a64f83e9288cp-22, -0x1.8297d89133bd2p-22, -0x1.aa39858235d79p-22, -0x1.d14a31acc0ab8p-22, -0x1.f7ca17a105a9cp-22, -0x1.0edcbcdbcad4dp-21, -0x1.218c50eeb87adp-21, -0x1.33f3f0b3e77e4p-21, -0x1.4613c8735f6efp-21, -0x1.57ec07fd000f5p-21, -0x1.697ce29001aacp-21, -0x1.7ac68ec58f532p-21, -0x1.8bc9467b06094p-21, -0x1.9c8546bd3b393p-21, -0x1.acfacfb11f5efp-21, -0x1.bd2a2480411a9p-21, }}, 
      {{0x1.396dd7eada927p-1, 0x1.393e5c694bda7p-1, 0x1.38ef672a38b1ep-1, 0x1.38813c2c517a1p-1, 0x1.37f438e81b6a1p-1, 0x1.3748d2c010f29p-1, 0x1.367f952d5b7e2p-1, 0x1.35991fbf21339p-1, 0x1.349623ffc9424p-1, 0x1.3377635084e83p-1, 0x1.323dacc83a728p-1, 0x1.30e9db201a013p-1, 0x1.2f7cd2b58bbfbp-1, 0x1.2df77fa7076e6p-1, 0x1.2c5ad40f9e5aep-1, 0x1.2aa7c6638e90fp-1, 0x1.28df4fef0ddbp-1, 0x1.27026b779b128p-1, 0x1.251213ff6aa9fp-1, 0x1.230f43a9fd6b7p-1, 0x1.20faf2c08f37cp-1, 0x1.1ed616d4c13b6p-1, 0x1.1ca1a1ffafd3fp-1, 0x1.1a5e823b8e9a4p-1, 0x1.180da0d5cfe9ep-1, 0x1.15afe1f7dd767p-1, 0x1.134624446da75p-1, 0x1.10d140879229ep-1, 0x1.0e520977ac6e7p-1, 0x1.0bc94b858d66cp-1, 0x1.0937ccba21911p-1, 0x1.069e4ca02139fp-1, 0x1.03fd84385d6a7p-1, 0x1.015625f75d04ap-1, 0x1.fd51bb96286d4p-2, 0x1.f7eca24f46578p-2, 0x1.f27e3e3433a0dp-2, 0x1.ed07c0c0ba20bp-2, 0x1.e78a4f0ab9bdfp-2, 0x1.e2070201beebfp-2, 0x1.dc7ee6b47949cp-2, 0x1.d6f2fe9ae3ccdp-2, 0x1.d1643fe416963p-2, 0x1.cbd395c6dc6c4p-2, 0x1.c641e0d433e8dp-2, 0x1.c0aff74b11b51p-2, 0x1.bb1ea56cbbd3bp-2, 0x1.b58eadd13d1adp-2, 0x1.b000c9bb73f72p-2, 0x1.aa75a96c5de91p-2, 0x1.a4edf47543d09p-2, 0x1.9f6a4a08842dfp-2, 0x1.99eb4148bff85p-2, 0x1.9471699635b32p-2, 0x1.8efd4ada2aa78p-2, 0x1.898f65d041462p-2, 0x1.8428344da9569p-2, 0x1.7ec82986170b2p-2, 0x1.796fb24e7ec6bp-2, 0x1.741f355d8cc7fp-2, 0x1.6ed71389db5e1p-2, 0x1.6997a805ecee3p-2, 0x1.64614899ef805p-2, 0x1.5f3445db55b4ep-2, 0x1.5a10eb6251e2cp-2, 0x1.54f77ffd4101bp-2, 0x1.4fe845e214531p-2, 0x1.4ae37addca816p-2, 0x1.45e958820d51bp-2, 0x1.40fa1450fd94p-2, 0x1.3c15dfe749794p-2, 0x1.373ce92493053p-2, 0x1.326f5a524799ap-2, 0x1.2dad5a48ebae9p-2, 0x1.28f70c93f3c8dp-2, 0x1.244c91943b65fp-2, 0x1.1fae06a1277f6p-2, 0x1.1b1b862883284p-2, 0x1.169527cd2af23p-2, 0x1.121b00848e923p-2, 0x1.0dad22b31ace5p-2, 0x1.094b9e4795d27p-2, 0x1.04f680d57d4ecp-2, 0x1.00add5ae6cfb5p-2, 0x1.f8e34bf53f0dap-3, 0x1.f083f1a117681p-3, 0x1.e83da6975af5cp-3, 0x1.e0107145062f9p-3, 0x1.d7fc547785bf4p-3, 0x1.d0014f85ad334p-3, 0x1.c81f5e7740a8bp-3, 0x1.c0567a2b24c5ep-3, 0x1.b8a6987c3c0ep-3, 0x1.b10fac6501646p-3, 0x1.a991a621eeb26p-3, 0x1.a22c7352adeep-3, 0x1.9adfff1a3187ep-3, 0x1.93ac323dac56fp-3, 0x1.8c90f3427c5ap-3, 0x1.858e268b0d983p-3, 0x1.7ea3ae72bd098p-3, 0x1.77d16b68c6167p-3, 0x1.71173c0a3b8f6p-3, 0x1.6a74fd3b1cd29p-3, 0x1.63ea8a3e863fp-3, 0x1.5d77bcce06a1ep-3, 0x1.571c6d301d22bp-3, 0x1.50d8724decdfep-3, 0x1.4aaba1c82398cp-3, 0x1.4495d00b1d116p-3, 0x1.3e96d0624cdd9p-3, 0x1.38ae750ae86a2p-3, 0x1.32dc8f45e7436p-3, 0x1.2d20ef694aa2dp-3, 0x1.277b64f0c78a3p-3, 0x1.21ebbe8dc5586p-3, 0x1.1c71ca36c0ad2p-3, 0x1.170d553611bb5p-3, 0x1.11be2c382177cp-3, 0x1.0c841b590b02ap-3, 0x1.075eee31adafcp-3, 0x1.024e6fe43dc1fp-3, 0x1.faa4d6509ee5dp-4, 0x1.f0d554acb6ccdp-4, 0x1.e72deee5ac16ap-4, 0x1.ddae38717d4b7p-4, 0x1.d455c447996bdp-4, 0x1.cb2424f439e6cp-4, 0x1.c218ecab075bep-4, 0x1.b933ad58cf1d6p-4, 0x1.b073f8b488c55p-4, 0x1.a7d9604f88b07p-4, 0x1.9f6375a50995cp-4, 0x1.9711ca28eef9cp-4, 0x1.8ee3ef55ee3a3p-4, 0x1.86d976bafff02p-4, 0x1.7ef1f2083b6fap-4, 0x1.772cf31b144cap-4, 0x1.6f8a0c0a030c1p-4, 0x1.6808cf2f9f54ep-4, 0x1.60a8cf3531443p-4, 0x1.59699f1cbc85cp-4, 0x1.524ad24a8fc15p-4, 0x1.4b4bfc8e56985p-4, 0x1.446cb22bb869ap-4, 0x1.3dac87e286d81p-4, 0x1.370b12f67e8a7p-4, 0x1.3087e936a101dp-4, 0x1.2a22a1042c724p-4, 0x1.23dad1593117cp-4, 0x1.1db011ceccfffp-4, 0x1.17a1faa30fb05p-4, 0x1.11b024be88204p-4, 0x1.0bda29b9841p-4, 0x1.061fa3e0fe72fp-4, 0x1.00802e3b474e5p-4, 0x1.f5f6c918c1a82p-5, 0x1.eb21c6b43346ep-5, 0x1.e0808fdfcad78p-5, 0x1.d61260c4ebbf3p-5, 0x1.cbd677262fb03p-5, 0x1.c1cc1265abc69p-5, 0x1.b7f2738ac6cf7p-5, 0x1.ae48dd47a65dbp-5, 0x1.a4ce93fe335e6p-5, 0x1.9b82ddc4bcddfp-5, 0x1.9265026a3e9dfp-5, 0x1.89744b7a4905bp-5, 0x1.80b0044097724p-5, 0x1.781779cc4e364p-5, 0x1.6fa9faf2eb8bdp-5, 0x1.6766d852ec2d1p-5, 0x1.5f4d6456211c8p-5, 0x1.575cf333c6187p-5, 0x1.4f94daf24d1ccp-5, 0x1.47f47368ebf87p-5, 0x1.407b1640e9d9ep-5, 0x1.39281ef6b0568p-5, 0x1.31faeadaa3194p-5, 0x1.2af2d911bddc8p-5, 0x1.240f4a95feac2p-5, 0x1.1d4fa2369aac4p-5, 0x1.16b3449801f7dp-5, 0x1.10399833b3fffp-5, 0x1.09e20557e46b1p-5, 0x1.03abf626f561bp-5, 0x1.fb2dad2d8c745p-6, 0x1.ef4428dfb35bcp-6, 0x1.e39a3e98a7e59p-6, 0x1.d82ed12da5a94p-6, 0x1.cd00c71246a71p-6, 0x1.c20f0a55a284dp-6, 0x1.b758889f2e76ap-6, 0x1.acdc332b59991p-6, 0x1.a298fec7f04c1p-6, 0x1.988de3d037c72p-6, 0x1.8eb9de28e2453p-6, 0x1.851bed3bb7315p-6, 0x1.7bb313f318d8p-6, 0x1.727e58b54b77fp-6, 0x1.697cc55f8de1p-6, 0x1.60ad67410726ap-6, 0x1.580f4f1581a8p-6, 0x1.4fa1910002346p-6, 0x1.476344852d39bp-6, 0x1.3f5384858b944p-6, 0x1.37716f37a95fp-6, 0x1.2fbc26220b3e9p-6, 0x1.2832ce1507878p-6, 0x1.20d48f247e50fp-6, 0x1.19a094a16b882p-6, 0x1.12960d1366b79p-6, 0x1.0bb42a31fe374p-6, 0x1.04fa20ddf9074p-6, 0x1.fcce5235071cfp-7, 0x1.eff4fc0c86078p-7, 0x1.e366bba89d9bbp-7, 0x1.d722138a33688p-7, 0x1.cb258c3e8d4eep-7, 0x1.bf6fb450d242ep-7, 0x1.b3ff203b6944ep-7, 0x1.a8d26a593c36p-7, 0x1.9de832d6d8e4cp-7, 0x1.933f1fa37fce8p-7, 0x1.88d5dc6205d7bp-7, 0x1.7eab1a59be756p-7, 0x1.74bd90672c236p-7, 0x1.6b0bfaecc5f6ap-7, 0x1.61951bc387b48p-7, 0x1.5857ba2b8e94bp-7, 0x1.4f52a2bc98757p-7, 0x1.4684a75689ac6p-7, 0x1.3dec9f11d4bap-7, 0x1.3589662fefa38p-7, 0x1.2d59de0bb5747p-7, 0x1.255ced09ce3a2p-7, 0x1.1d917e890ed5p-7, 0x1.15f682d2db9acp-7, 0x1.0e8aef0b8decfp-7, 0x1.074dbd22d987ep-7, 0x1.003debc438923p-7, 0x1.f2b4fc8eba9cdp-8, 0x1.e544f94157eb1p-8, 0x1.d829e6a3792f2p-8, 0x1.cb61e6b3cc8bep-8, 0x1.beeb244db251ep-8, 0x1.b2c3d30a829dbp-8, 0x1.a6ea2f22f2c4cp-8, 0x1.9b5c7d509a00fp-8, 0x1.90190aaf95122p-8, 0x1.851e2ca04f074p-8, 0x1.7a6a40a9650d7p-8, 0x1.6ffbac59c4825p-8, 0x1.65d0dd2add4b4p-8, 0x1.5be848630b574p-8, 0x1.52406af828618p-8, 0x1.48d7c9724fcddp-8, 0x1.3facefceca7d9p-8, 0x1.36be71633608bp-8, 0x1.2e0ae8c0d74f7p-8, 0x1.2590f79827e02p-8, 0x1.1d4f469c949f8p-8, 0x1.15448568730b4p-8, 0x1.0d6f6a61358abp-8, 0x1.05ceb29bd4f11p-8, 0x1.fcc24382e7f97p-9, 0x1.ee4b03e87fd48p-9, 0x1.e035476925ca9p-9, 0x1.d27ebb8c95a78p-9, 0x1.c5251a2cd2113p-9, 0x1.b8262941d8739p-9, 0x1.ab7fbaadd547ap-9, 0x1.9f2fac09e4874p-9, 0x1.9333e6734bb94p-9, 0x1.878a5e593f9a7p-9, 0x1.7c31134b2f323p-9, 0x1.71260fc793c18p-9, 0x1.6667690b4fb03p-9, 0x1.5bf33ee191341p-9, 0x1.51c7bb743f755p-9, 0x1.47e3131cf86p-9, 0x1.3e43843691a0ap-9, 0x1.34e756ef34702p-9, 0x1.2bccdd1aecc7ap-9, 0x1.22f27206e7181p-9, 0x1.1a567a4d18675p-9, 0x1.11f763a892b09p-9, 0x1.09d3a4ca51bddp-9, 0x1.01e9bd2ea2d01p-9, 0x1.f47069e61825fp-10, 0x1.e57b3959ac60dp-10, 0x1.d6f11a801efbbp-10, 0x1.c8cf4f6e5090fp-10, 0x1.bb132a362c7a9p-10, 0x1.adba0c981c3fap-10, 0x1.a0c167b571942p-10, 0x1.9426bbc4125aep-10, 0x1.87e797c31d7a5p-10, 0x1.7c019930ab6b1p-10, 0x1.70726bc0ade1bp-10, 0x1.6537c914dfeffp-10, 0x1.5a4f7875ba3b2p-10, 0x1.4fb74e8c93d06p-10, 0x1.456d2d1eb1a91p-10, 0x1.3b6f02c97d2cbp-10, 0x1.31bacabfbfe6dp-10, 0x1.284e8c87e2333p-10, 0x1.1f285bbb42429p-10, 0x1.164657c678b07p-10, 0x1.0da6abaabf93fp-10, 0x1.05478dc049d56p-10, 0x1.fa4e7ef33636cp-11, 0x1.ea881a4fd182bp-11, 0x1.db389b80de065p-11, 0x1.cc5cc54589e73p-11, 0x1.bdf16ec044ce3p-11, 0x1.aff3830743eb6p-11, 0x1.a26000b6efbd6p-11, 0x1.9533f986210b3p-11, 0x1.886c91dc4f83dp-11, 0x1.7c0700698ad4ep-11, 0x1.70008dc0461adp-11, 0x1.645693f116fd6p-11, 0x1.59067e27f0ad2p-11, 0x1.4e0dc84b7c6fbp-11, 0x1.4369fe9deaac7p-11, 0x1.3918bd5faa5c6p-11, 0x1.2f17b073c4e3cp-11, 0x1.25649305dbda1p-11, 0x1.1bfd2f31f80bap-11, 0x1.12df5dadcbccfp-11, 0x1.0a090573bf527p-11, 0x1.01781b6f8c46dp-11, 0x1.f25544589de79p-12, 0x1.e23d5308c02b3p-12, 0x1.d2a49ca524076p-12, 0x1.c3877449db1cep-12, 0x1.b4e245e221249p-12, 0x1.a6b19593d7323p-12, 0x1.98f1ff2e09303p-12, 0x1.8ba0359a2cf67p-12, 0x1.7eb902506e4eap-12, 0x1.723944ce9b5a7p-12, 0x1.661df211cb7d5p-12, 0x1.5a641412e94f5p-12, 0x1.4f08c945d2255p-12, 0x1.4409441aeabf6p-12, 0x1.3962ca83a003ep-12, 0x1.2f12b5792e7ebp-12, 0x1.2516708606a91p-12, 0x1.1b6b7951b7e9p-12, 0x1.120f5f2f2a703p-12, 0x1.08ffc2ad50f57p-12, 0x1.003a552a25b35p-12, 0x1.ef79b0d0391c4p-13, 0x1.df0a3c4b68b73p-13, 0x1.cf220f6e96a9ep-13, 0x1.bfbd0b465e14bp-13, 0x1.b0d72e7fd17d5p-13, 0x1.a26c94a9036e9p-13, 0x1.94797575ea2f3p-13, 0x1.86fa240982a4p-13, 0x1.79eb0e429689fp-13, 0x1.6d48bc0cd860cp-13, 0x1.610fceb5cfb5ep-13, 0x1.553d004568c8ap-13, 0x1.49cd22da8b80ep-13, 0x1.3ebd200b0afb2p-13, 0x1.3409f84786ca5p-13, 0x1.29b0c242beed9p-13, 0x1.1faeaa5c4229p-13, 0x1.1600f20eb79bep-13, 0x1.0ca4ef6147463p-13, 0x1.03980c5cc0ec9p-13, 0x1.f5af8d0698ceep-14, 0x1.e4c35c9808e42p-14, 0x1.d466cd421390cp-14, 0x1.c49548c2278fdp-14, 0x1.b54a5bc79de15p-14, 0x1.a681b5024161dp-14, 0x1.98372436ba2fdp-14, 0x1.8a6699587320dp-14, 0x1.7d0c23a94321fp-14, 0x1.7023f0de47b29p-14, 0x1.63aa4c4a0fd18p-14, 0x1.579b9e0c03e83p-14, 0x1.4bf46a44c5e33p-14, 0x1.40b1504fd7d48p-14, 0x1.35cf0a01b1da8p-14, 0x1.2b4a6aeb189f8p-14, 0x1.21205fa082ea9p-14, 0x1.174ded06c6175p-14, 0x1.0dd02fa3a09fbp-14, 0x1.04a45af32bb62p-14, 0x1.f78f7182133c1p-15, 0x1.e66f510c895aap-15, 0x1.d5e33d95fbedfp-15, 0x1.c5e64918795ddp-15, 0x1.b673ad4b63915p-15, 0x1.a786ca7e2cecfp-15, 0x1.991b267ba663fp-15, 0x1.8b2c6b733324fp-15, 0x1.7db666ea5d119p-15, 0x1.70b508b5487f7p-15, 0x1.642461f548ab1p-15, 0x1.5800a41ebc4bap-15, 0x1.4c46200599851p-15, 0x1.40f144f01ff39p-15, 0x1.35fe9fafd814fp-15, 0x1.2b6ad9c0985f2p-15, 0x1.2132b86ddfa17p-15, 0x1.17531bfd97441p-15, 0x1.0dc8fee0f6956p-15, 0x1.049174eaa0ebap-15, 0x1.f7535514c2a69p-16, 0x1.e61dc81c921f6p-16, 0x1.d57cf9d16cddap-16, 0x1.c56bcdf78584cp-16, 0x1.b5e553d2f07cfp-16, 0x1.a6e4c4d181f24p-16, 0x1.9865833ec5403p-16, 0x1.8a6319005413fp-16, 0x1.7cd9365be1625p-16, 0x1.6fc3b0c53adf8p-16, 0x1.631e81b5ecff8p-16, 0x1.56e5c58bf400cp-16, 0x1.4b15ba71f13bfp-16, 0x1.3faabf4dae8a7p-16, 0x1.34a152b81e041p-16, 0x1.29f611fb4f324p-16, 0x1.1fa5b8190c094p-16, 0x1.15ad1cd79dc6cp-16, 0x1.0c0933d61508dp-16, 0x1.02b70ba7682bbp-16, 0x1.f36799e7776f7p-17, 0x1.e1f97341a0b4p-17, 0x1.d11e580002e1ap-17, 0x1.c0d12c06b8562p-17, 0x1.b10d00ee7f007p-17, 0x1.a1cd14870e9aep-17, 0x1.930ccf61af9f2p-17, 0x1.84c7c368f5e0ep-17, 0x1.76f9aa828a7eep-17, 0x1.699e653b0aee2p-17, 0x1.5cb1f97cae62cp-17, 0x1.5030914f5c08bp-17, 0x1.441679a2bbacfp-17, 0x1.38602122234dap-17, 0x1.2d0a171067234p-17, 0x1.22110a2daf34bp-17, 0x1.1771c7a5bc31bp-17, 0x1.0d293a05d2d44p-17, 0x1.0334683c5f1e2p-17, 0x1.f320e93dc6be1p-18, 0x1.e07537f183c01p-18, 0x1.ce60694305227p-18, 0x1.bcdd5b33588b5p-18, 0x1.abe71b5f05b8ep-18, 0x1.9b78e5552943p-18, 0x1.8b8e20fa7adb4p-18, 0x1.7c2260fc3e441p-18, 0x1.6d31614d97c77p-18, 0x1.5eb705b1f8393p-18, 0x1.50af585388eefp-18, 0x1.4316886598408p-18, 0x1.35e8e8d1c60f4p-18, 0x1.2922eef056a54p-18, 0x1.1cc1314c2c7a1p-18, 0x1.10c0666f65453p-18, 0x1.051d63bbe2459p-18, 0x1.f3aa38970654ap-19, 0x1.ddc93fb85fe36p-19, 0x1.c8923386a7f72p-19, 0x1.b3ff9fd62dc24p-19, 0x1.a00c43b036fb6p-19, 0x1.8cb30f70e7134p-19, 0x1.79ef22f0c2a68p-19, 0x1.67bbcbc452a93p-19, 0x1.5614838666292p-19, 0x1.44f4ee3299918p-19, 0x1.3458d8905878dp-19, 0x1.243c36a9029bcp-19, 0x1.149b224daf2c8p-19, 0x1.0571d9a80f465p-19, 0x1.ed797bb3e3496p-20, 0x1.d0f0a351bd0d5p-20, 0x1.b542706983fb3p-20, 0x1.9a68677506586p-20, 0x1.805c48c73929bp-20, 0x1.67180e3c1cff8p-20, 0x1.4e95e8fe74a9ap-20, 0x1.36d03f6573c4bp-20, 0x1.1fc1aae46fcf5p-20, 0x1.0964f60993d26p-20, 0x1.e76a352f673dp-21, 0x1.bd5a7f572c105p-21, 0x1.94916fe70350fp-21, 0x1.6d05fff12a15p-21, 0x1.46af78f0bfb63p-21, 0x1.2185719c18f45p-21, 0x1.faff95a4cd1e8p-22, 0x1.b52d595edfa96p-22, 0x1.71850764f2cacp-22, 0x1.2ff7fc0d137c3p-22, 0x1.e0f02375c2604p-23, 0x1.65ef37b98a61fp-23, 0x1.dda5884d59aeap-24, 0x1.ee04dbe27c10dp-25, 0x1.7c3a8f519d91ap-28, -0x1.808d4630b9cf3p-25, -0x1.914ac85317264p-24, -0x1.2dbacf4262815p-23, -0x1.8f794926d0356p-23, -0x1.edf5d9f7d93abp-23, -0x1.24a271527885dp-22, -0x1.50bd11e09f3edp-22, -0x1.7b5461f834df9p-22, -0x1.a471ab108c7c5p-22, -0x1.cc1defcc2eae7p-22, -0x1.f261eed0c95b2p-22, -0x1.0ba312c488009p-21, -0x1.1d69696431f64p-21, -0x1.2e87fca766ecp-21, -0x1.3f02b11c6a894p-21, -0x1.4edd4fa5bdc5ep-21, -0x1.5e1b86970c568p-21, -0x1.6cc0eac8d08b1p-21, -0x1.7ad0f89a5d8f2p-21, -0x1.884f14ec82083p-21, -0x1.953e8e10e68dfp-21, -0x1.a1a29caf3cb01p-21, -0x1.ad7e649df0b3bp-21, -0x1.b8d4f5b289a3cp-21, -0x1.c3a94c8cdbc09p-21, -0x1.cdfe53547dd48p-21, -0x1.d7d6e270cd1dbp-21, -0x1.e135c135b7718p-21, -0x1.ea1da68d01a2ep-21, -0x1.f29139937e279p-21, -0x1.fa931231640bep-21, -0x1.0112dcd554c57p-20, -0x1.04a5d59562695p-20, -0x1.0803aa24b31d7p-20, -0x1.0b2d8ac381943p-20, -0x1.0e24a1633fa7p-20, -0x1.10ea11dff8dcep-20, -0x1.137efa3621859p-20, -0x1.15e472b6eff06p-20, -0x1.181b8e39a1f5ap-20, -0x1.1a255a4b0bd0ap-20, -0x1.1c02df5af7ceep-20, -0x1.1db520e638e7cp-20, -0x1.1f3d1da0199d3p-20, -0x1.209bcf98b1a6bp-20, -0x1.21d22c62159dap-20, -0x1.22e125332baf1p-20, -0x1.23c9a70819cbdp-20, -0x1.248c9ac332aafp-20, -0x1.252ae54b33a79p-20, -0x1.25a567a703e7ap-20, -0x1.25fcff19b412p-20, -0x1.2632853c4eda6p-20, -0x1.2646d015cd652p-20, -0x1.263ab233352c3p-20, -0x1.260efabc9938fp-20, -0x1.25c4758b0569p-20, -0x1.255beb3c212b3p-20, -0x1.24d621458872ep-20, -0x1.2433da06949b2p-20, -0x1.2375d4d959387p-20, -0x1.229cce232d9ffp-20, -0x1.21a97f640173p-20, -0x1.209c9f4490ef8p-20, -0x1.1f76e1a43740dp-20, -0x1.1e38f7a6e6dcbp-20, -0x1.1ce38fc128e54p-20, -0x1.1b7755c406a32p-20, -0x1.19f4f2e8bf1e1p-20, -0x1.185d0ddb78261p-20, -0x1.16b04ac501dbfp-20, -0x1.14ef4b5548517p-20, -0x1.131aaecbf1135p-20, -0x1.11331201402dep-20, -0x1.0f390f6f1fc95p-20, -0x1.0d2d3f3898db7p-20, -0x1.0b103731da783p-20, -0x1.08e28ae78c1f7p-20, -0x1.06a4cba5b6348p-20, -0x1.0457887ea34f7p-20, -0x1.01fb4e513b205p-20, -0x1.ff214f9dcd9a9p-21, -0x1.fa303b039dcafp-21, -0x1.f5246ba55fe7p-21, -0x1.effeea1c38214p-21, -0x1.eac0bad3eb898p-21, -0x1.e56ade15a6c28p-21, -0x1.dffe5010d3593p-21, -0x1.da7c08e5a8c0cp-21, -0x1.d4e4fcae611ffp-21, -0x1.cf3a1b87c8543p-21, -0x1.c97c5199f6c42p-21, -0x1.c3ac872291e28p-21, -0x1.bdcba07b2642bp-21, -0x1.b7da7e22d96p-21, -0x1.b1d9fcc68ff18p-21, -0x1.abcaf5483543ep-21, -0x1.a5ae3cc6b6a9cp-21, -0x1.9f84a4a61635ap-21, -0x1.994efa9737203p-21, -0x1.930e089e6e82dp-21, -0x1.8cc2951bd666fp-21, -0x1.866d62d2b01abp-21, -0x1.800f30f0776e1p-21, -0x1.79a8bb141b4b4p-21, -0x1.733ab955c9e19p-21, -0x1.6cc5e04ddbc3dp-21, -0x1.664ae11be0b0bp-21, -0x1.5fca696e01714p-21, -0x1.5945238832728p-21, -0x1.52bbb64b3bf0ep-21, -0x1.4c2ec53c13c52p-21, -0x1.459ef08b46a38p-21, -0x1.3f0cd51b9caaep-21, -0x1.38790c89d01e2p-21, -0x1.31e42d33bfc28p-21, -0x1.2b4eca3fbefccp-21, -0x1.24b973a3576e2p-21, -0x1.1e24b62b1a6dp-21, -0x1.17911b824c71cp-21, -0x1.10ff2a391d813p-21, -0x1.0a6f65cd43f2p-21, -0x1.03e24eb0ef9d2p-21, -0x1.fab0c4a441552p-22, -0x1.eda43644e52b5p-22, -0x1.e09fe13d30331p-22, -0x1.d3a4aeab3740ep-22, -0x1.c6b381e1805fp-22, -0x1.b9cd3876c2cc8p-22, -0x1.acf2aa54693dfp-22, -0x1.a024a9c60ad76p-22, -0x1.9364038a0a605p-22, -0x1.86b17edf21ca9p-22, -0x1.7a0ddd95f895dp-22, -0x1.6d79dc1fb80c8p-22, -0x1.60f6319d88da5p-22, -0x1.54838ff0e9d92p-22, -0x1.4822a3cbc3fecp-22, -0x1.3bd414bf4b27bp-22, -0x1.2f98854ca7704p-22, -0x1.237092f45c329p-22, -0x1.175cd646fb84cp-22, -0x1.0b5de2f4c5044p-22, -0x1.fee88fb9df8b5p-23, -0x1.e7411e3cee615p-23, -0x1.cfc67c51c76a6p-23, -0x1.b879ab94b3822p-23, -0x1.a15ba4820b6c8p-23, -0x1.8a6d5697c0f2fp-23, -0x1.73afa8721a88p-23, -0x1.5d2377ee502c3p-23, -0x1.46c99a49e774p-23, -0x1.30a2dc41f87e7p-23, -0x1.1ab002362d8acp-23, -0x1.04f1c845ca3dbp-23, -0x1.ded1c4e1d4129p-24, -0x1.b42bf96e7cf4fp-24, -0x1.89f37673fb389p-24, -0x1.602974b5cef3ap-24, -0x1.36cf1db54f73ep-24, -0x1.0de58bf4f0f12p-24, -0x1.cadb966f8a398p-25, -0x1.7ad1b1783497cp-25, -0x1.2baf46f652722p-25, -0x1.baec31af21b8ep-26, -0x1.204f9af23d235p-26, -0x1.0f17c093fb9a5p-27, 0x1.eb839c33e7a8dp-31, 0x1.48cb5ed000188p-27, 0x1.378e5d6419e5ap-26, 0x1.c8d3df43a6be7p-26, 0x1.2c1a0f687f9cep-25, 0x1.72d69b23883fap-25, 0x1.b89eb7aef1439p-25, 0x1.fd71a138e3a9ap-25, 0x1.20a7555eaf84p-24, 0x1.421a9ecd52a4dp-24, 0x1.63126c8cfd079p-24, 0x1.838e88ff25e61p-24, 0x1.a38ec90895e1dp-24, 0x1.c3130bd731bccp-24, 0x1.e21b3aab441a7p-24, 0x1.0053a44f6d45bp-23, 0x1.0f5b99370d428p-23, 0x1.1e257f1fc23a1p-23, 0x1.2cb15db84e37ep-23, 0x1.3aff412f1a855p-23, 0x1.490f3a1628807p-23, 0x1.56e15d4a82092p-23, 0x1.6475c3d97926ep-23, 0x1.71cc8ae697d87p-23, 0x1.7ee5d39212dcep-23, 0x1.8bc1c2deceba5p-23, 0x1.9860819949822p-23, 0x1.a4c23c3ff1d3ap-23, 0x1.b0e722e7e29cfp-23, 0x1.bccf6926e8d8fp-23, 0x1.c87b45fb878fcp-23, 0x1.d3eaf3b368c75p-23, 0x1.df1eafd4fbf44p-23, 0x1.ea16bb08335e1p-23, 0x1.f4d358ffc0cbbp-23, 0x1.ff54d061ff2cep-23, 0x1.04cdb5594fe6cp-22, 0x1.09d3ba1e9f0efp-22, 0x1.0ebc9dff74004p-22, 0x1.138889c815ebp-22, 0x1.1837a787f5f4ap-22, 0x1.1cca2287f822cp-22, 0x1.2140273f8c5dp-22, 0x1.2599e34aaaca5p-22, 0x1.29d7855f79f0dp-22, 0x1.2df93d4510747p-22, 0x1.31ff3bc8ee7bp-22, 0x1.35e9b2b67259ep-22, 0x1.39b8d4cc7bf17p-22, 0x1.3d6cd5b48c7fcp-22, 0x1.4105e9f975ec8p-22, 0x1.448446fe6564fp-22, 0x1.47e822f5cf87bp-22, 0x1.4b31b4d8edd52p-22, 0x1.4e61345f62672p-22, 0x1.5176d9f6aeec7p-22, 0x1.5472deb99495ap-22, 0x1.57557c682ddb6p-22, 0x1.5a1eed600246dp-22, 0x1.5ccf6c93df312p-22, 0x1.5f6735848aa63p-22, 0x1.61e68438e578p-22, 0x1.644d95365bb8ap-22, 0x1.669ca579b0834p-22, 0x1.68d3f26fbbf01p-22, 0x1.6af3b9ee7f45p-22, 0x1.6cfc3a2e263ddp-22, 0x1.6eedb1c266687p-22, 0x1.70c85f93cfbfcp-22, 0x1.728c82d8f94dp-22, 0x1.743a5b10637d2p-22, 0x1.75d227fa61d6ep-22, 0x1.77542992a9615p-22, 0x1.78c0a00a9182ap-22, 0x1.7a17cbc331d38p-22, 0x1.7b59ed4768e28p-22, 0x1.7c8745461115fp-22, 0x1.7da0148cd4a81p-22, 0x1.7ea49c02ba9e3p-22, 0x1.7f951ca31a208p-22, 0x1.8071d7784058cp-22, 0x1.813b0d965243dp-22, 0x1.81f1001660524p-22, 0x1.8293f011f6164p-22, 0x1.83241e9e22d2dp-22, 0x1.83a1ccc6eee08p-22, 0x1.840d3b8af1d07p-22, 0x1.8466abd6f99f7p-22, 0x1.84ae5e81fd8b5p-22, 0x1.84e49448843f7p-22, 0x1.85098dc8c8784p-22, 0x1.851d8b7efab43p-22, 0x1.8520cdc186956p-22, 0x1.851394bd3d839p-22, 0x1.84f62071a6332p-22, 0x1.84c8b0ad6ceap-22, 0x1.848b850b333afp-22, 0x1.843edcee0ae62p-22, 0x1.83e2f77e60c98p-22, 0x1.837813a6d1af4p-22, 0x1.82fe70111eed7p-22, 0x1.82764b232cb55p-22, 0x1.81dfe2fc3db89p-22, 0x1.813b7572260b4p-22, 0x1.8089400e6ecddp-22, 0x1.7fc9800c20c8cp-22, 0x1.7efc725507e86p-22, 0x1.7e22537f5a561p-22, 0x1.7d3b5fcb394a1p-22, 0x1.7c47d3209b793p-22, 0x1.7b47e90d1a748p-22, 0x1.7a3bdcc1c0094p-22, 0x1.7923e910fb49ap-22, 0x1.7800486cec491p-22, 0x1.76d134e544da5p-22, 0x1.7596e8259785dp-22, 0x1.74519b736f296p-22, 0x1.730187acc4ab5p-22, 0x1.71a6e54670116p-22, 0x1.7041ec4aa8cf8p-22, 0x1.6ed2d4578702dp-22, 0x1.6d59d49da3923p-22, 0x1.6bd723dea9179p-22, 0x1.6a4af86c341abp-22, }}, 
      {{-0x1.6ac3611b2b116p-8, -0x1.6ad758dd60a2dp-7, -0x1.103c4ec32248fp-6, -0x1.6b31d08aeb8dep-6, -0x1.c65f473e0dec8p-6, -0x1.10edf6f97dcf1p-5, -0x1.3ee15ff10db2dp-5, -0x1.6d18d99cbb0d7p-5, -0x1.9ba45d461e373p-5, -0x1.ca945678fa18ep-5, -0x1.f9f9169562be5p-5, -0x1.14f1283467b2cp-4, -0x1.2d2f50a5c8e2bp-4, -0x1.45bd9575c9f85p-4, -0x1.5ea19f9bf711dp-4, -0x1.77e00f55819d5p-4, -0x1.917c642daa761p-4, -0x1.ab78ed564b0b8p-4, -0x1.c5d6c18fc9365p-4, -0x1.e095bdc55ace8p-4, -0x1.fbb489766fb5dp-4, -0x1.0b98500240b6bp-3, -0x1.19832f01be14bp-3, -0x1.279888dbaf26ep-3, -0x1.35d586fd69ebdp-3, -0x1.4436df6eea45bp-3, -0x1.52b8dfb04680bp-3, -0x1.615777e1fe23fp-3, -0x1.700e45ff47459p-3, -0x1.7ed8a0fb6bcd1p-3, -0x1.8db1a39c36291p-3, -0x1.9c9436f3c7536p-3, -0x1.ab7b1c6330a04p-3, -0x1.ba60f715855e1p-3, -0x1.c94054e84417ap-3, -0x1.d813b6ba6198cp-3, -0x1.e6d5981ecab56p-3, -0x1.f5807672272bp-3, -0x1.02076baae6db1p-2, -0x1.093da749dbfb9p-2, -0x1.106041b83f636p-2, -0x1.176c9ab8bb43cp-2, -0x1.1e60204eca10ap-2, -0x1.253850a02809fp-2, -0x1.2bf2bb9afa3aep-2, -0x1.328d04646c59bp-2, -0x1.3904e2938edafp-2, -0x1.3f58233c2f9a4p-2, -0x1.4584a9cd51799p-2, -0x1.4b8870c6d1ce7p-2, -0x1.51618a49a2dc8p-2, -0x1.570e2085e8accp-2, -0x1.5c8c760a12fa4p-2, -0x1.61dae5f5eadefp-2, -0x1.66f7e414674ap-2, -0x1.6be1fcdedc66p-2, -0x1.7097d56c02c42p-2, -0x1.75182b4d15913p-2, -0x1.7961d45b2a80ep-2, -0x1.7d73be76a8fbbp-2, -0x1.814cef3ab01c4p-2, -0x1.84ec83a5fde88p-2, -0x1.8851afbad4354p-2, -0x1.8b7bbe172a54ep-2, -0x1.8e6a0f8653ffep-2, -0x1.911c1a8d2e94bp-2, -0x1.93916af1bd57cp-2, -0x1.95c9a13f083e8p-2, -0x1.97c47245f27ap-2, -0x1.9981a69ba6a2fp-2, -0x1.9b011a162312dp-2, -0x1.9c42bb4758c27p-2, -0x1.9d468af748df5p-2, -0x1.9e0c9b9d6cbd8p-2, -0x1.9e9510d9b8a1bp-2, -0x1.9ee01eed72901p-2, -0x1.9eee0a3413394p-2, -0x1.9ebf269c597aap-2, -0x1.9e53d721b7269p-2, -0x1.9dac8d4637a04p-2, -0x1.9cc9c88cf485ep-2, -0x1.9bac15f53813dp-2, -0x1.9a540f765e682p-2, -0x1.98c25b7c81155p-2, -0x1.96f7ac660caefp-2, -0x1.94f4c0024282fp-2, -0x1.92ba5f10be3ffp-2, -0x1.90495cc20b67dp-2, -0x1.8da296395b45dp-2, -0x1.8ac6f20f6ddfbp-2, -0x1.87b75fd6b4edp-2, -0x1.8474d7a0c9e48p-2, -0x1.810059854533ep-2, -0x1.7d5aed2a04b3ap-2, -0x1.7985a14cf12d7p-2, -0x1.75818b4f5c057p-2, -0x1.714fc6c2f96d3p-2, -0x1.6cf174f89578dp-2, -0x1.6867bc9088ecap-2, -0x1.63b3c90d07b66p-2, -0x1.5ed6ca664f39ap-2, -0x1.59d1f4a0d177ap-2, -0x1.54a67f655ade1p-2, -0x1.4f55a59b5349bp-2, -0x1.49e0a50516b6fp-2, -0x1.4448bdde7dd27p-2, -0x1.3e8f327d9e528p-2, -0x1.38b546f5cb052p-2, -0x1.32bc40bce2f7p-2, -0x1.2ca56652f1761p-2, -0x1.2671feec2ace9p-2, -0x1.2023521d4daedp-2, -0x1.19baa78a684f3p-2, -0x1.1339469809b9cp-2, -0x1.0ca0761ee327fp-2, -0x1.05f17c21d8935p-2, -0x1.fe5b3b0d03992p-3, -0x1.f0ac3ba03e592p-3, -0x1.e2d87db9f4c9ep-3, -0x1.d4e2814c75d5bp-3, -0x1.c6ccc2043eeffp-3, -0x1.b899b6d147573p-3, -0x1.aa4bd1750e7adp-3, -0x1.9be57e1562143p-3, -0x1.8d6922d3d78fp-3, -0x1.7ed91f69e4838p-3, -0x1.7037ccc98f3b7p-3, -0x1.61877cc29795bp-3, -0x1.52ca79ac257a8p-3, -0x1.44030612c4959p-3, -0x1.35335c6abe0b8p-3, -0x1.265daec6a6d3fp-3, -0x1.178426921d706p-3, -0x1.08a8e450920f1p-3, -0x1.f39bfec033f56p-4, -0x1.d5eb0b804bc0fp-4, -0x1.b842f7b820bd8p-4, -0x1.9aa7b8b2dbfa8p-4, -0x1.7d1d2fd4052cdp-4, -0x1.5fa72a42a860fp-4, -0x1.4249609b61c1cp-4, -0x1.250776a94ab38p-4, -0x1.07e4fb2585968p-4, -0x1.d5cacefa85ccdp-5, -0x1.9c183f3c27738p-5, -0x1.62b8e390be219p-5, -0x1.29b32ccf95994p-5, -0x1.e21abfc5cf929p-6, -0x1.719b2b1f1b876p-6, -0x1.01f3748f38e83p-6, -0x1.265e381e793d3p-7, -0x1.2aca43e1c15b2p-9, 0x1.1e0ce2177b3e8p-8, 0x1.66b7e52b9986bp-7, 0x1.1e26ca8c27e6dp-6, 0x1.87d9fe60373e1p-6, 0x1.f06c24fb64be9p-6, 0x1.2bea16fde1e16p-5, 0x1.5f04b0b31db6bp-5, 0x1.9181afa47f24bp-5, 0x1.c35d0fa7679dcp-5, 0x1.f492f821ce22cp-5, 0x1.128fdde2c2a8dp-4, 0x1.2a7fec225a9d6p-4, 0x1.4217faffe9cb5p-4, 0x1.595673d6b16a4p-4, 0x1.7039d4fdd1787p-4, 0x1.86c0b196457cbp-4, 0x1.9ce9b1562030bp-4, 0x1.b2b390512427bp-4, 0x1.c81d1ebedb0cp-4, 0x1.dd2540be41f86p-4, 0x1.f1caee173bd41p-4, 0x1.030698fce3b4ap-3, 0x1.0cf5955d9822ap-3, 0x1.16b204c8a5fd8p-3, 0x1.203b8925ee34p-3, 0x1.2991cd861df6dp-3, 0x1.32b485fdad545p-3, 0x1.3ba36f7f2359ap-3, 0x1.445e4fb497cfcp-3, 0x1.4ce4f4d8923ddp-3, 0x1.5537358e438d4p-3, 0x1.5d54f0b93595ap-3, 0x1.653e0d5467c28p-3, 0x1.6cf27a48f9604p-3, 0x1.74722e4460ae9p-3, 0x1.7bbd278e3ccabp-3, 0x1.82d36bddc89afp-3, 0x1.89b5082f075adp-3, 0x1.90621097a3c07p-3, 0x1.96daa01b95136p-3, 0x1.9d1ed88195a4ep-3, 0x1.a32ee2276c6c7p-3, 0x1.a90aebd61e02ep-3, 0x1.aeb32a96041b7p-3, 0x1.b427d982d98d6p-3, 0x1.b969399fc49b6p-3, 0x1.be7791ab613adp-3, 0x1.c3532df3deb52p-3, 0x1.c7fc602b30a2cp-3, 0x1.cc737f3b56c57p-3, 0x1.d0b8e71ad29f6p-3, 0x1.d4ccf8a1449f7p-3, 0x1.d8b0195c3b70fp-3, 0x1.dc62b3643d592p-3, 0x1.dfe53532154fap-3, 0x1.e338117463d17p-3, 0x1.e65bbee57b5a1p-3, 0x1.e950b8219a18cp-3, 0x1.ec177b7d6bc78p-3, 0x1.eeb08adcfb374p-3, 0x1.f11c6b8afbd24p-3, 0x1.f35ba61081f36p-3, 0x1.f56ec60d29306p-3, 0x1.f7565a0fa5136p-3, 0x1.f912f36ed4e44p-3, 0x1.faa526234e30bp-3, 0x1.fc0d88a15d331p-3, 0x1.fd4cb3b399e07p-3, 0x1.fe634255f2d48p-3, 0x1.ff51d1914dc67p-3, 0x1.000c802bd7b9bp-2, 0x1.005cb7b079e52p-2, 0x1.0099e0840f928p-2, 0x1.00c44c949f00ap-2, 0x1.00dc4e7ff0a54p-2, 0x1.00e2398319687p-2, 0x1.00d6616a540a2p-2, 0x1.00b91a812941p-2, 0x1.008ab982e855ep-2, 0x1.004b938b6fc9ep-2, 0x1.fff7fc109157dp-3, 0x1.ff389d5424d45p-3, 0x1.fe59b6ac8628fp-3, 0x1.fd5bf432757d1p-3, 0x1.fc4002314ebc2p-3, 0x1.fb068d0c813dbp-3, 0x1.f9b04125a8658p-3, 0x1.f83dcac3518c4p-3, 0x1.f6afd5f86745cp-3, 0x1.f5070e8c43c7bp-3, 0x1.f3441fe3733c4p-3, 0x1.f167b4e911c57p-3, 0x1.ef7277f8dc106p-3, 0x1.ed6512c9e0dfep-3, 0x1.eb402e59dd3c7p-3, 0x1.e90472d937d9dp-3, 0x1.e6b28797ac683p-3, 0x1.e44b12f18b8d3p-3, 0x1.e1ceba3dae4d8p-3, 0x1.df3e21bc00c13p-3, 0x1.dc99ec84acdf1p-3, 0x1.d9e2bc77ee2a8p-3, 0x1.d719322e74c19p-3, 0x1.d43decea74d2bp-3, 0x1.d1518a8942ce8p-3, 0x1.ce54a77591739p-3, 0x1.cb47de9a4480dp-3, 0x1.c82bc955d64dbp-3, 0x1.c500ff6e58318p-3, 0x1.c1c81705fc23p-3, 0x1.be81a4903684p-3, 0x1.bb2e3ac765a0bp-3, 0x1.b7ce6aa30c13bp-3, 0x1.b462c34e90dd5p-3, 0x1.b0ebd22086f13p-3, 0x1.ad6a22927dfbp-3, 0x1.a9de3e394d687p-3, 0x1.a648acbdedf12p-3, 0x1.a2a9f3d6c2d53p-3, 0x1.9f02974169affp-3, 0x1.9b5318bcfe66dp-3, 0x1.979bf804d95b9p-3, 0x1.93ddb2cbc37d6p-3, 0x1.9018c4b795a95p-3, 0x1.8c4da75d53307p-3, 0x1.887cd23da7c2ep-3, 0x1.84a6bac1d6d35p-3, 0x1.80cbd43911e49p-3, 0x1.7cec8fd634dffp-3, 0x1.79095cade40eap-3, 0x1.7522a7b50f3abp-3, 0x1.7138dbbfd12c2p-3, 0x1.6d4c6180a9bf6p-3, 0x1.695d9f8817dc3p-3, 0x1.656cfa4481b64p-3, 0x1.617ad4027968dp-3, 0x1.5d878ced50bd2p-3, 0x1.5993830ffcfbdp-3, 0x1.559f12564826cp-3, 0x1.51aa948e4f99ep-3, 0x1.4db6616a44a58p-3, 0x1.49c2ce827ef54p-3, 0x1.45d02f57c6626p-3, 0x1.41ded555e6a8bp-3, 0x1.3def0fd67e0a6p-3, 0x1.3a012c240d0b8p-3, 0x1.3615757d3d97cp-3, 0x1.322c35185fd02p-3, 0x1.2e45b22729b23p-3, 0x1.2a6231da966ap-3, 0x1.2681f7670c023p-3, 0x1.22a54408a443bp-3, 0x1.1ecc5707a6d7p-3, 0x1.1af76dbd2e7fbp-3, 0x1.1726c397f9714p-3, 0x1.135a92215e965p-3, 0x1.0f9311026c2e5p-3, 0x1.0bd0760924542p-3, 0x1.0812f52de1194p-3, 0x1.045ac098d3e5fp-3, 0x1.00a808a7a645ep-3, 0x1.f9f5f7e666ac2p-4, 0x1.f2a78eaac1ba8p-4, 0x1.eb652bde1235p-4, 0x1.e42f225c087d4p-4, 0x1.dd05c1a68374ep-4, 0x1.d5e955f1e80c5p-4, 0x1.ceda2831aa134p-4, 0x1.c7d87e24e4de7p-4, 0x1.c0e49a63252fcp-4, 0x1.b9febc693864cp-4, 0x1.b32720a627a13p-4, 0x1.ac5e0088383f9p-4, 0x1.a5a3928a0daf6p-4, 0x1.9ef80a3fcd153p-4, 0x1.985b986455ad3p-4, 0x1.91ce6ae6857e1p-4, 0x1.8b50acf67e667p-4, 0x1.84e28712f9f09p-4, 0x1.7e841f169947dp-4, 0x1.783598453afc6p-4, 0x1.71f713594dc8dp-4, 0x1.6bc8ae912087ap-4, 0x1.65aa85bc2ba64p-4, 0x1.5f9cb24857f43p-4, 0x1.599f4b4f34bc8p-4, 0x1.53b265a32ca34p-4, 0x1.4dd613dca42bcp-4, 0x1.480a66670e92p-4, 0x1.424f6b8df4099p-4, 0x1.3ca52f89e4493p-4, 0x1.370bbc8d52911p-4, 0x1.31831ad164acfp-4, 0x1.2c0b50a2a386bp-4, 0x1.26a4626d9bb7p-4, 0x1.214e52cb5ec52p-4, 0x1.1c09228ded2e3p-4, 0x1.16d4d0cc8a152p-4, 0x1.11b15aefe64edp-4, 0x1.0c9ebcbe3e3cep-4, 0x1.079cf06749eaep-4, 0x1.02abee90172e7p-4, 0x1.fb975cbd84599p-5, 0x1.f1f84b0c11df2p-5, 0x1.e87a90a184f23p-5, 0x1.df1e135a5b79bp-5, 0x1.d5e2b6704234bp-5, 0x1.ccc85a902864bp-5, 0x1.c3ceddf00886ep-5, 0x1.baf61c646ee78p-5, 0x1.b23def75a29e6p-5, 0x1.a9a62e7498022p-5, 0x1.a12eae8f84cffp-5, 0x1.98d742e62f03bp-5, 0x1.909fbc9de9b49p-5, 0x1.8887eaf53ee94p-5, 0x1.808f9b574c5e3p-5, 0x1.78b6996ed55a7p-5, 0x1.70fcaf38f7474p-5, 0x1.6961a51792fcfp-5, 0x1.61e541e3646e3p-5, 0x1.5a874afdc8595p-5, 0x1.5347846229a8dp-5, 0x1.4c25b0b728d02p-5, 0x1.4521915f5f95cp-5, 0x1.3e3ae689dc627p-5, 0x1.37716f4252f98p-5, 0x1.30c4e980e3a33p-5, 0x1.2a351239a794fp-5, 0x1.23c1a56bdb304p-5, 0x1.1d6a5e30bda91p-5, 0x1.172ef6ca201b2p-5, 0x1.110f28b09ca81p-5, 0x1.0b0aaca18359p-5, 0x1.05213aac6eb01p-5, 0x1.fea514812cdbep-6, 0x1.f33ca4737abbp-6, 0x1.e80891d9ca21cp-6, 0x1.dd0848694f18fp-6, 0x1.d23b32fa800a9p-6, 0x1.c7a0bba0a9fd3p-6, 0x1.bd384bc0c9a06p-6, 0x1.b3014c27e2df6p-6, 0x1.a8fb2520ae285p-6, 0x1.9f253e88d24cp-6, 0x1.957effe5605f4p-6, 0x1.8c07d076e1d51p-6, 0x1.82bf174cb815ap-6, 0x1.79a43b580b7dep-6, 0x1.70b6a37e0c9p-6, 0x1.67f5b6a9c75cfp-6, 0x1.5f60dbdd60576p-6, 0x1.56f77a42c0e54p-6, 0x1.4eb8f93bd1f1bp-6, 0x1.46a4c072106d3p-6, 0x1.3eba37e5d6826p-6, 0x1.36f8c7fcedd52p-6, 0x1.2f5fd990b6181p-6, 0x1.27eed5fbdf434p-6, 0x1.20a5272790b98p-6, 0x1.198237982847bp-6, 0x1.1285727974d9dp-6, 0x1.0bae43aa8f5f2p-6, 0x1.04fc17c929c2ap-6, 0x1.fcdcb878efb58p-7, 0x1.f008fe7f6a407p-7, 0x1.e37bdfd84acc5p-7, 0x1.d7343c856bbd2p-7, 0x1.cb30f66a9089ep-7, 0x1.bf70f15edb8f6p-7, 0x1.b3f3133dc2685p-7, 0x1.a8b643f721175p-7, 0x1.9db96d9e8557fp-7, 0x1.92fb7c79bd598p-7, 0x1.887b5f0ec1cf9p-7, 0x1.7e380630ce501p-7, 0x1.7430650cc153cp-7, 0x1.6a6371350b9edp-7, 0x1.60d022aca256fp-7, 0x1.577573f1726ep-7, 0x1.4e52620647516p-7, 0x1.4565ec7bdf791p-7, 0x1.3caf157993312p-7, 0x1.342ce1c54178fp-7, 0x1.2bde58cac4212p-7, 0x1.23c284a2c9ab2p-7, 0x1.1bd872190f6abp-7, 0x1.141f30b23ded7p-7, 0x1.0c95d2b10c4fap-7, 0x1.053b6d1b113c9p-7, 0x1.fc1e2f79efb64p-8, 0x1.ee1fda5c7c732p-8, 0x1.e07a15a9101f9p-8, 0x1.d32b21cccca1cp-8, 0x1.c63144db9eb92p-8, 0x1.b98aca9429bb7p-8, 0x1.ad360462cd5b5p-8, 0x1.a1314963f4312p-8, 0x1.957af665d4669p-8, 0x1.8a116de8d08abp-8, 0x1.7ef3181fd1142p-8, 0x1.741e62ef942dp-8, 0x1.6991c1ed18f04p-8, 0x1.5f4bae5bdcc51p-8, 0x1.554aa72b0019ep-8, 0x1.4b8d30f21bbdcp-8, 0x1.4211d5ed6d58ap-8, 0x1.38d725f935482p-8, 0x1.2fdbb68ce1d2dp-8, 0x1.271e22b583657p-8, 0x1.1e9d0b0f9d472p-8, 0x1.165715c0ba111p-8, 0x1.0e4aee7073696p-8, 0x1.06774640caaa5p-8, 0x1.fdb5a78cd609p-9, 0x1.eee8a600a7d54p-9, 0x1.e0850a9e16985p-9, 0x1.d28862d71a352p-9, 0x1.c4f046bbcb0a2p-9, 0x1.b7ba58e6693b1p-9, 0x1.aae446678d135p-9, 0x1.9e6bc6b0da4a4p-9, 0x1.924e9b7f5303bp-9, 0x1.868a90c627cap-9, 0x1.7b1d7c96e12dcp-9, 0x1.70053f0b2c3a8p-9, 0x1.653fc22ce3ffbp-9, 0x1.5acaf9ddd4bb2p-9, 0x1.50a4e3bfa0ca1p-9, 0x1.46cb871aa5766p-9, 0x1.3d3cf4c4e0e36p-9, 0x1.33f747082e88bp-9, 0x1.2af8a1885df48p-9, 0x1.223f31293ffccp-9, 0x1.19c92bf4020b5p-9, 0x1.1194d0fc26e63p-9, 0x1.09a0684530cc2p-9, 0x1.01ea42a6e2273p-9, 0x1.f4e17364de60ep-10, 0x1.e6645f2cb29bfp-10, 0x1.d85a1e06df793p-10, 0x1.cabf9620d6a18p-10, 0x1.bd91be3d2119cp-10, 0x1.b0cd9d7ac72ebp-10, 0x1.a4704b1d7fa8bp-10, 0x1.9876ee553a9f1p-10, 0x1.8cdebe060add8p-10, 0x1.81a5008ff444ep-10, 0x1.76c70b961a4bp-10, 0x1.6c4243c705b37p-10, 0x1.62141ca3df71cp-10, 0x1.583a1848dcaa6p-10, 0x1.4eb1c733f93aap-10, 0x1.4578c80e36447p-10, 0x1.3c8cc7736acf8p-10, 0x1.33eb7fb9fa84ap-10, 0x1.2b92b8bc2abe7p-10, 0x1.238047a075c4cp-10, 0x1.1bb20ea2c1773p-10, 0x1.1425fcdd5ecbap-10, 0x1.0cda0e12de19p-10, 0x1.05cc4a7772574p-10, 0x1.fdf58cf78a6fdp-11, 0x1.f0c7452d2b776p-11, 0x1.e40a16206446ep-11, 0x1.d7ba6f9b64c14p-11, 0x1.cbd4d8372cf22p-11, 0x1.c055ecf66db05p-11, 0x1.b53a60dbaaa11p-11, 0x1.aa7efc8420b51p-11, 0x1.a0209dc20a843p-11, 0x1.961c373743037p-11, 0x1.8c6ecff270854p-11, 0x1.8315830bcc6c5p-11, 0x1.7a0d7f42a05d1p-11, 0x1.7154069d967cbp-11, 0x1.68e66e0993703p-11, 0x1.60c21cfb2d5e6p-11, 0x1.58e48d10a6ac4p-11, 0x1.514b49b56714dp-11, 0x1.49f3efc5c0dd3p-11, 0x1.42dc2d33af4eep-11, 0x1.3c01c0adcb12ap-11, 0x1.35627945f4af5p-11, 0x1.2efc361a8ab4bp-11, 0x1.28cce5fde5a53p-11, 0x1.22d28723f2004p-11, 0x1.1d0b26caad8d7p-11, 0x1.1774e0e8e41bep-11, 0x1.120ddfdb7b2fbp-11, 0x1.0cd45c141da43p-11, 0x1.07c69bc95bc0bp-11, 0x1.02e2f2a835d7cp-11, 0x1.fc4f830bd8f4dp-12, 0x1.f326ec2764aaap-12, 0x1.ea49152636dabp-12, 0x1.e1b30b1748856p-12, 0x1.d961f304a811ap-12, 0x1.d153095f173c9p-12, 0x1.c983a174df2f3p-12, 0x1.c1f124e2a30bep-12, 0x1.ba99130bc295p-12, 0x1.b3790090d5fd2p-12, 0x1.ac8e96cd50e08p-12, 0x1.a5d7935212045p-12, 0x1.9f51c765eb27ep-12, 0x1.98fb17865b471p-12, 0x1.92d17aebcc3a5p-12, 0x1.8cd2fb0e2e045p-12, 0x1.86fdb32dd4e4dp-12, 0x1.814fcfdcb7586p-12, 0x1.7bc78e8a574b3p-12, 0x1.76633d1327e7ep-12, 0x1.7121394ec6902p-12, 0x1.6bfff0a4610b2p-12, 0x1.66fddf9cccd5ap-12, 0x1.6219917ad34ffp-12, 0x1.5d519fd201d1ep-12, 0x1.58a4b222439f8p-12, 0x1.54117d72ff91dp-12, 0x1.4f96c3f22f8efp-12, 0x1.4b335494318f6p-12, 0x1.46e60ab6356bbp-12, 0x1.42adcdc181097p-12, 0x1.3e8990d23f1b3p-12, 0x1.3a78525e358e8p-12, 0x1.36791bdf1e6cp-12, 0x1.328b017d70dacp-12, 0x1.2ead21be35b65p-12, 0x1.2adea5309e724p-12, 0x1.271ebe2117c3p-12, 0x1.236ca84848ca8p-12, 0x1.1fc7a88249005p-12, 0x1.1c2f0c826618dp-12, 0x1.18a22a8b697e7p-12, 0x1.15206128a5c03p-12, 0x1.11a916e802e83p-12, 0x1.0e3bba16d4a3dp-12, 0x1.0ad7c07f712d1p-12, 0x1.077ca7287eda7p-12, 0x1.0429f21629df6p-12, 0x1.00df2c0c181a5p-12, 0x1.fb37cca2cb006p-13, 0x1.f4bf70ebba449p-13, 0x1.ee54803220f92p-13, 0x1.e7f6416430339p-13, 0x1.e1a406b23b90ap-13, 0x1.db5d2d256d5bdp-13, 0x1.d5211c37a059ep-13, 0x1.ceef456d9a756p-13, 0x1.c8c723f67c7d2p-13, 0x1.c2a83c4ab594ep-13, 0x1.bc921bcf6842fp-13, 0x1.b684587b4b97bp-13, 0x1.b07e907e69852p-13, 0x1.aa8069ec63071p-13, 0x1.a48992687ec31p-13, 0x1.9e99bed40a21bp-13, 0x1.98b0ab0054be2p-13, 0x1.92ce1960b6a54p-13, 0x1.8cf1d2bf7af83p-13, 0x1.871ba5f6ffd2ap-13, 0x1.814b67a92a58bp-13, 0x1.7b80f1fcc7958p-13, 0x1.75bc24594e1dep-13, 0x1.6ffce327aeefbp-13, 0x1.6a43179332ecfp-13, 0x1.648eaf4c600e3p-13, 0x1.5edf9c4edfcc6p-13, 0x1.5935d4a805ddbp-13, 0x1.5391523f752f3p-13, 0x1.4df212a21bd88p-13, 0x1.485816cd4cc8bp-13, 0x1.42c362fd5e2bbp-13, 0x1.3d33fe7cdf21dp-13, 0x1.37a9f3759c6f8p-13, 0x1.32254ec32b307p-13, 0x1.2ca61fc73b4d9p-13, 0x1.272c783e19b0ep-13, 0x1.21b86c178e76ep-13, 0x1.1c4a114d912e6p-13, 0x1.16e17fbec4783p-13, 0x1.117ed109f08e3p-13, 0x1.0c222069e6461p-13, 0x1.06cb8a942b728p-13, 0x1.017b2d9699f47p-13, 0x1.f8625171e835bp-14, 0x1.eddb38bb5016fp-14, 0x1.e36153c97dd3dp-14, 0x1.d8f4e71ead693p-14, 0x1.ce9638ca407dap-14, 0x1.c445903314995p-14, 0x1.ba0335e64dae6p-14, 0x1.afcf73674baa8p-14, 0x1.a5aa9301ccae4p-14, 0x1.9b94df9e6e59dp-14, 0x1.918ea49837bb7p-14, 0x1.87982d9389baep-14, 0x1.7db1c6590e8dbp-14, 0x1.73dbbab065423p-14, 0x1.6a16563d177a6p-14, 0x1.6061e45ce4e27p-14, 0x1.56beb0096823ep-14, 0x1.4d2d03b8d5147p-14, 0x1.43ad2941117a3p-14, 0x1.3a3f69bd5654ap-14, 0x1.30e40d736be78p-14, 0x1.279b5bbcb2e92p-14, 0x1.1e659aedeadfap-14, 0x1.15431041a1f9ep-14, 0x1.0c33ffc4bf5bcp-14, 0x1.0338ac41bb494p-14, 0x1.f4a2ae5f518fp-15, 0x1.e2fc81419a6bep-15, 0x1.d17f4e664bb79p-15, 0x1.c02b9002bbbd3p-15, 0x1.af01bd2bb9614p-15, 0x1.9e0249ba32a81p-15, 0x1.8d2da634a9417p-15, 0x1.7c843fb9ad02dp-15, 0x1.6c067fecb8b53p-15, 0x1.5bb4cce2dfb05p-15, 0x1.4b8f891475cc7p-15, 0x1.3b97134d0981bp-15, 0x1.2bcbc69f4c4fep-15, 0x1.1c2dfa585a75ep-15, 0x1.0cbe01f5f0c84p-15, 0x1.faf85a3e1bb9ep-16, 0x1.dcd18f356476fp-16, 0x1.bf0832999bb53p-16, 0x1.a19ccc5b8675ap-16, 0x1.848fdc93ea608p-16, 0x1.67e1db7ae1ad2p-16, 0x1.4b9339662cf2ep-16, 0x1.2fa45ecb893dp-16, 0x1.1415ac3c6d171p-16, 0x1.f1cef4e554fdep-17, 0x1.bc343497e8e98p-17, 0x1.875ba9afbfb15p-17, 0x1.5345d6b9f01d3p-17, 0x1.1ff32ec9f88bdp-17, 0x1.dac82b1c56519p-18, 0x1.7731bee5c29b4p-18, 0x1.1523a36b53e2fp-18, 0x1.693c8a4307366p-19, 0x1.5687ca99395fp-20, -0x1.f448b83a5154ap-24, -0x1.8eeb9e2d65cefp-20, -0x1.7c36c88c76e4dp-19, -0x1.16f2be8da485bp-18, -0x1.6e4137fd03328p-18, -0x1.c4072e0bfe58p-18, -0x1.0c228cc8ac14ap-17, -0x1.357dc73a1c48bp-17, -0x1.5e159d9572dccp-17, -0x1.85ea74371f3a8p-17, -0x1.acfcbc58b4d07p-17, -0x1.d34cf3e184b6cp-17, -0x1.f8dba524b9de5p-17, -0x1.0ed4b35946625p-16, -0x1.20db6d8ab42adp-16, -0x1.3282584cb5fabp-16, -0x1.43c9d0873d415p-16, -0x1.54b238c6aca9fp-16, -0x1.653bf91c2fcabp-16, -0x1.75677efddef19p-16, -0x1.85353d28b5e04p-16, -0x1.94a5ab80f4d9p-16, -0x1.a3b946f111749p-16, -0x1.b270914d12c5dp-16, -0x1.c0cc112dbc9d9p-16, -0x1.cecc51d674eb2p-16, -0x1.dc71e30f03d4cp-16, -0x1.e9bd5908a9919p-16, -0x1.f6af4c3bd2ea5p-16, -0x1.01a42ca3d27ep-15, -0x1.07c4906a40f3fp-15, -0x1.0db923b8f6151p-15, -0x1.13823abb8dc46p-15, -0x1.19202b72b783bp-15, -0x1.1e934da2164d7p-15, -0x1.23dbfac3247fap-15, -0x1.28fa8df4791dap-15, -0x1.2def63eaa3d5dp-15, -0x1.32badadfffdb1p-15, -0x1.375d5286e4074p-15, -0x1.3bd72bf9f3722p-15, -0x1.4028c9ac0c094p-15, -0x1.44528f5a4c2e9p-15, -0x1.4854e1fe5b5a6p-15, -0x1.4c3027bda0f4p-15, -0x1.4fe4c7dcf4e16p-15, -0x1.53732ab0a756ep-15, -0x1.56dbb98fea6d4p-15, -0x1.5a1edec6113b1p-15, -0x1.5d3d0584a09f2p-15, -0x1.603699d5d803cp-15, -0x1.630c088fdf261p-15, -0x1.65bdbf4674e01p-15, -0x1.684c2c3f1303p-15, -0x1.6ab7be63f02ap-15, -0x1.6d00e536e3a49p-15, -0x1.6f2810c46cb0ap-15, -0x1.712db198af95fp-15, -0x1.731238b251a3bp-15, -0x1.74d61777b83aap-15, -0x1.7679bfaa173bbp-15, -0x1.77fda35afb02ap-15, -0x1.796234e0466cp-15, -0x1.7aa7e6ca07643p-15, -0x1.7bcf2bd741ee8p-15, -0x1.7cd876eaac09fp-15, -0x1.7dc43b0148c54p-15, -0x1.7e92eb27219eap-15, -0x1.7f44fa6ec1544p-15, -0x1.7fdadbe62ed6ap-15, -0x1.8055028d66223p-15, -0x1.80b3e14db91fap-15, -0x1.80f7eaefecfap-15, -0x1.81219213f9083p-15, -0x1.81314926b2495p-15, -0x1.8127825b6e2bdp-15, -0x1.8104afa28521ap-15, -0x1.80c942a11ff27p-15, -0x1.8075aca9a61b1p-15, -0x1.800a5eb36fbe3p-15, -0x1.7f87c95421716p-15, -0x1.7eee5cb7c1fa8p-15, -0x1.7e3e889a133b5p-15, -0x1.7d78bc3e81056p-15, -0x1.7c9d666ac8baap-15, -0x1.7bacf55fcbd55p-15, -0x1.7aa7d6d31bfc6p-15, -0x1.798e77e91c9cfp-15, -0x1.7861452eac89cp-15, -0x1.7720aa943e60bp-15, -0x1.75cd13676a06cp-15, -0x1.7466ea4d042abp-15, -0x1.72ee993d17205p-15, -0x1.7164897dd5cdbp-15, -0x1.6fc9239dc0deap-15, -0x1.6e1ccf6f5c403p-15, -0x1.6c5ff405016fp-15, -0x1.6a92f7ac70eacp-15, -0x1.68b63fea6feabp-15, -0x1.66ca31764fbadp-15, -0x1.64cf3037153b5p-15, -0x1.62c59f3efad68p-15, }}, 
      {{-0x1.3a26baf646afp-8, -0x1.3a2f3cc8c0632p-7, -0x1.d75d3555f5827p-7, -0x1.3a546bb1f1e8cp-6, -0x1.8910208ef908ep-6, -0x1.d7ea302598cd2p-6, -0x1.13763a5558e9p-5, -0x1.3b1104bb8371cp-5, -0x1.62cb89cc0e90bp-5, -0x1.8aac3e7958a09p-5, -0x1.b2b9d445768fap-5, -0x1.dafb128e775b9p-5, -0x1.01bb587708c22p-4, -0x1.16199a033707ep-4, -0x1.2a9b66d01703bp-4, -0x1.3f43a051164e1p-4, -0x1.5414e492f987fp-4, -0x1.6911845c10a22p-4, -0x1.7e3b7b5727e95p-4, -0x1.93946a308064ap-4, -0x1.a91d9282df463p-4, -0x1.bed7d46ccab4ep-4, -0x1.d4c3ada296bedp-4, -0x1.eae139d07c41ep-4, -0x1.00981a100f717p-3, -0x1.0bd7fcdb053e2p-3, -0x1.172fc67f0b8cfp-3, -0x1.229eccd01bf24p-3, -0x1.2e243c7d4667bp-3, -0x1.39bf1b806cc6ap-3, -0x1.456e4bb286439p-3, -0x1.51308d7804689p-3, -0x1.5d04827a74517p-3, -0x1.68e8b0662eb8fp-3, -0x1.74db83a443f93p-3, -0x1.80db520a21222p-3, -0x1.8ce65d79957b6p-3, -0x1.98fad66d0831dp-3, -0x1.a516de6c60829p-3, -0x1.b1388a6830befp-3, -0x1.bd5de4f934f09p-3, -0x1.c984f082d43a6p-3, -0x1.d5aba937f4286p-3, -0x1.e1d00701a107bp-3, -0x1.edefff479cddcp-3, -0x1.fa09869b0c694p-3, -0x1.030d4921dffaap-2, -0x1.09108cd8677a5p-2, -0x1.0f0d8be6aa8d3p-2, -0x1.1503461d24eeap-2, -0x1.1af0be37399f5p-2, -0x1.20d4fa5ec9bbdp-2, -0x1.26af04a400104p-2, -0x1.2c7deb69d7ff2p-2, -0x1.3240c1c80d725p-2, -0x1.37f69fe2f411ep-2, -0x1.3d9ea339e1b53p-2, -0x1.4337eeecaeaf1p-2, -0x1.48c1abf8e420dp-2, -0x1.4e3b096f211abp-2, -0x1.53a33ca13ee23p-2, -0x1.58f98149aea12p-2, -0x1.5e3d19ac9944ep-2, -0x1.636d4eb328791p-2, -0x1.688970017451dp-2, -0x1.6d90d40776d98p-2, -0x1.7282d80d6fefap-2, -0x1.775ee03c12507p-2, -0x1.7c2457a0d29dp-2, -0x1.80d2b02ea94eep-2, -0x1.856962bb9886p-2, -0x1.89e7eefb34929p-2, -0x1.8e4ddb7678b05p-2, -0x1.929ab5811cb77p-2, -0x1.96ce112cabfb1p-2, -0x1.9ae789398b116p-2, -0x1.9ee6bf061eaa1p-2, -0x1.a2cb5a7c3da9fp-2, -0x1.a69509fd19a75p-2, -0x1.aa43824bbcffbp-2, -0x1.add67e7648c07p-2, -0x1.b14dbfbe085eep-2, -0x1.b4a90d7e7ee0ap-2, -0x1.b7e8351384c2ap-2, -0x1.bb0b09be8bbbep-2, -0x1.be11648b2805dp-2, -0x1.c0fb2432e633fp-2, -0x1.c3c82d008c643p-2, -0x1.c67868b2d3181p-2, -0x1.c90bc65ea51c2p-2, -0x1.cb823a50f7a3ap-2, -0x1.cddbbdf0475a7p-2, -0x1.d0184f9dcb23p-2, -0x1.d237f29660e68p-2, -0x1.d43aaed34c376p-2, -0x1.d62090eac422p-2, -0x1.d7e9a9f065486p-2, -0x1.d9960f558cae6p-2, -0x1.db25dac9a868bp-2, -0x1.dc992a1a7dbd9p-2, -0x1.ddf01f147ea9bp-2, -0x1.df2adf6321284p-2, -0x1.e04994715310ep-2, -0x1.e14c6b4a0544bp-2, -0x1.e2339478dd1fp-2, -0x1.e2ff43eb0a672p-2, -0x1.e3afb0d05278fp-2, -0x1.e445157c4e728p-2, -0x1.e4bfaf47e531cp-2, -0x1.e51fbe7307bb2p-2, -0x1.e5658606b3fe8p-2, -0x1.e5914bb7409ecp-2, -0x1.e5a357c6fcb8fp-2, -0x1.e59bf4e923ad2p-2, -0x1.e57b702524e76p-2, -0x1.e54218ba50d0ap-2, -0x1.e4f04003ddb55p-2, -0x1.e486395d571b4p-2, -0x1.e4045a07715dbp-2, -0x1.e36af90d47475p-2, -0x1.e2ba6f2a04bf6p-2, -0x1.e1f316af03cf4p-2, -0x1.e1154b6a54f8bp-2, -0x1.e0216a8dc3218p-2, -0x1.df17d29645e37p-2, -0x1.ddf8e333f1a4ap-2, -0x1.dcc4fd325a09ep-2, -0x1.db7c82617464p-2, -0x1.da1fd57ef22eep-2, -0x1.d8af5a2016b51p-2, -0x1.d72b749c0bce8p-2, -0x1.d59489f6b234cp-2, -0x1.d3eaffcbf0f18p-2, -0x1.d22f3c3b82964p-2, -0x1.d061a5d53e098p-2, -0x1.ce82a385e031p-2, -0x1.cc929c845445bp-2, -0x1.ca91f83f758a7p-2, -0x1.c8811e4c50fefp-2, -0x1.c6607654e5bc1p-2, -0x1.c43068075cf0cp-2, -0x1.c1f15b05bde57p-2, -0x1.bfa3b6d621fb3p-2, -0x1.bd47e2d35a22ap-2, -0x1.bade461e121c5p-2, -0x1.b867478e6a073p-2, -0x1.b5e34da6063e3p-2, -0x1.b352be8295138p-2, -0x1.b0b5ffd0c5235p-2, -0x1.ae0d76bfb428p-2, -0x1.ab5987f4c98edp-2, -0x1.a89a978004b7fp-2, -0x1.a5d108d0b6866p-2, -0x1.a2fd3eaaaaa58p-2, -0x1.a01f9b1bba5c9p-2, -0x1.9d387f71c9d0fp-2, -0x1.9a484c312df46p-2, -0x1.974f610b780c1p-2, -0x1.944e1cd6a891fp-2, -0x1.9144dd84c115cp-2, -0x1.8e34001bbde92p-2, -0x1.8b1be0ade9138p-2, -0x1.87fcda5292de6p-2, -0x1.84d7471f20951p-2, -0x1.81ab80207a443p-2, -0x1.7e79dd54cffe1p-2, -0x1.7b42b5a5b8d8p-2, -0x1.78065ee2a2d3dp-2, -0x1.74c52dbb9eb4cp-2, -0x1.717f75bc76281p-2, -0x1.6e35894818218p-2, -0x1.6ae7b994522e8p-2, -0x1.679656a5d812fp-2, -0x1.6441af4c9548bp-2, -0x1.60ea112049b43p-2, -0x1.5d8fc87d6fcb8p-2, -0x1.5a33208266786p-2, -0x1.56d4630ce2a9fp-2, -0x1.5373d8b7a1feap-2, -0x1.5011c8d861281p-2, -0x1.4cae797e10c36p-2, -0x1.494a2f6f48343p-2, -0x1.45e52e28f845ap-2, -0x1.427fb7dd54542p-2, -0x1.3f1a0d72facc5p-2, -0x1.3bb46e844f5cdp-2, -0x1.384f195f10872p-2, -0x1.34ea4b0420a63p-2, -0x1.31863f2781885p-2, -0x1.2e233030837e4p-2, -0x1.2ac1573a23092p-2, -0x1.2760ec1397594p-2, -0x1.240225410da9cp-2, -0x1.20a537fc8f44fp-2, -0x1.1d4a583713f49p-2, -0x1.19f1b899beaabp-2, -0x1.169b8a873e3a8p-2, -0x1.1347fe1d56f8fp-2, -0x1.0ff7423693809p-2, -0x1.0ca9846c14402p-2, -0x1.095ef11785bbap-2, -0x1.0617b35536e9bp-2, -0x1.02d3f5064de8fp-2, -0x1.ff27bda636fd7p-3, -0x1.f8af305b2005ep-3, -0x1.f23e8ea78c927p-3, -0x1.ebd622a55b87dp-3, -0x1.e576341198ce3p-3, -0x1.df1f085235ddep-3, -0x1.d8d0e27bec848p-3, -0x1.d28c03585049p-3, -0x1.cc50a96c0d8ccp-3, -0x1.c61f10fd4a198p-3, -0x1.bff7741a2fe86p-3, -0x1.b9da0a9f9e9c2p-3, -0x1.b3c70a3ff75f7p-3, -0x1.adbea68a0e955p-3, -0x1.a7c110f039b01p-3, -0x1.a1ce78cf76897p-3, -0x1.9be70b76b428dp-3, -0x1.960af42e26f78p-3, -0x1.903a5c3ec2c8fp-3, -0x1.8a756af9ba28dp-3, -0x1.84bc45c01c73bp-3, -0x1.7f0f100a7f5dfp-3, -0x1.796deb70b68e3p-3, -0x1.73d8f7b19e916p-3, -0x1.6e5052baed161p-3, -0x1.68d418b113a0cp-3, -0x1.636463f7207d2p-3, -0x1.5e014d36b5ad8p-3, -0x1.58aaeb67f9b2p-3, -0x1.536153d992ddp-3, -0x1.4e249a38a38a3p-3, -0x1.48f4d098ce3ecp-3, -0x1.43d2077c30ffp-3, -0x1.3ebc4ddb6a503p-3, -0x1.39b3b12d964ffp-3, -0x1.34b83d7049286p-3, -0x1.2fc9fd2f8a65p-3, -0x1.2ae8f98dc77c1p-3, -0x1.26153a4bbcaafp-3, -0x1.214ec5d063197p-3, -0x1.1c95a130c81eap-3, -0x1.17e9d037e566ap-3, -0x1.134b556e6cc7fp-3, -0x1.0eba322286063p-3, -0x1.0a36666f866c2p-3, -0x1.05bff14596ce5p-3, -0x1.0156d0714effbp-3, -0x1.f9f6014689eaep-4, -0x1.f158faef0f5fbp-4, -0x1.e8d682fa1d679p-4, -0x1.e06e8c7a36e2ap-4, -0x1.d821088504128p-4, -0x1.cfede641d4501p-4, -0x1.c7d512f7ee7f7p-4, -0x1.bfd67a1cc55ep-4, -0x1.b7f20561f8cbdp-4, -0x1.b0279cc341f91p-4, -0x1.a87726942accap-4, -0x1.a0e0878da21b2p-4, -0x1.9963a2db5bf8dp-4, -0x1.92005a291d48cp-4, -0x1.8ab68dafc527p-4, -0x1.83861c42386a2p-4, -0x1.7c6ee35a19f3bp-4, -0x1.7570bf245bf24p-4, -0x1.6e8b8a8d9df2ap-4, -0x1.67bf1f4e5f7c8p-4, -0x1.610b55f7062d3p-4, -0x1.5a7005fbafc04p-4, -0x1.53ed05bfdb73dp-4, -0x1.4d822aa1dd6bbp-4, -0x1.472f490628629p-4, -0x1.40f4346260d25p-4, -0x1.3ad0bf4846972p-4, -0x1.34c4bb706918cp-4, -0x1.2ecff9c4ad5b6p-4, -0x1.28f24a6aa2a1fp-4, -0x1.232b7ccda6822p-4, -0x1.1d7b5fa8d7b6cp-4, -0x1.17e1c110dbbb8p-4, -0x1.125e6e7d6ae2p-4, -0x1.0cf134d2b991bp-4, -0x1.0799e06aa09dcp-4, -0x1.02583d1da45aep-4, -0x1.fa582c9781e63p-5, -0x1.f02a6dca184dep-5, -0x1.e626d2e4459dbp-5, -0x1.dc4cf038d9b0ap-5, -0x1.d29c596c57355p-5, -0x1.c914a184b7ae2p-5, -0x1.bfb55af8ce551p-5, -0x1.b67e17bf57f6ap-5, -0x1.ad6e695d9d068p-5, -0x1.a485e0f5c53ddp-5, -0x1.9bc40f54d0193p-5, -0x1.932885002530ep-5, -0x1.8ab2d242dd7f1p-5, -0x1.8262873aa4805p-5, -0x1.7a3733e44975fp-5, -0x1.72306827fa74bp-5, -0x1.6a4db3e52019cp-5, -0x1.628ea6fdedf4bp-5, -0x1.5af2d1629a46dp-5, -0x1.5379c31c3fe9ap-5, -0x1.4c230c5776515p-5, -0x1.44ee3d6e89dc2p-5, -0x1.3ddae6f372b0cp-5, -0x1.36e899b972976p-5, -0x1.3016e6de672ebp-5, -0x1.29655fd3d12e1p-5, -0x1.22d396678b169p-5, -0x1.1c611ccc38767p-5, -0x1.160d85a168796p-5, -0x1.0fd863fb721a4p-5, -0x1.09c14b6b0725cp-5, -0x1.03c7d0048084bp-5, -0x1.fbd70ccdc9b85p-6, -0x1.f05807855ac41p-6, -0x1.e511bbc080344p-6, -0x1.da03564c703afp-6, -0x1.cf2c053ea6e9ap-6, -0x1.c48af8007b87fp-6, -0x1.ba1f5f5a0983p-6, -0x1.afe86d7cbd2e8p-6, -0x1.a5e5560d5ad16p-6, -0x1.9c154e2d8caadp-6, -0x1.92778c850aed6p-6, -0x1.890b494a40243p-6, -0x1.7fcfbe4a89aadp-6, -0x1.76c426f214ed4p-6, -0x1.6de7c0532dceep-6, -0x1.6539c92d535d1p-6, -0x1.5cb981f3c99f8p-6, -0x1.54662cd3c28ecp-6, -0x1.4c3f0dba3b0b6p-6, -0x1.44436a596e47bp-6, -0x1.3c728a2de6acap-6, -0x1.34cbb68336c9ap-6, -0x1.2d4e3a78620b6p-6, -0x1.25f96303e23a4p-6, -0x1.1ecc7ef75c0cep-6, -0x1.17c6df0304e9bp-6, -0x1.10e7d5b8bca97p-6, -0x1.0a2eb78ec589bp-6, -0x1.039adae2453c1p-6, -0x1.fa572ff2e7407p-7, -0x1.edc0920af995dp-7, -0x1.e17094484a3f2p-7, -0x1.d565f2c248773p-7, -0x1.c99f6d6e75d6p-7, -0x1.be1bc82219322p-7, -0x1.b2d9ca937e19ep-7, -0x1.a7d8405aae994p-7, -0x1.9d15f8f1aa1d4p-7, -0x1.9291c7b443ad3p-7, -0x1.884a83df8f8c3p-7, -0x1.7e3f0890d232p-7, -0x1.746e34c410f75p-7, -0x1.6ad6eb52582b8p-7, -0x1.617812ef67c2ep-7, -0x1.585096273a051p-7, -0x1.4f5f635b1c74ep-7, -0x1.46a36cbe65803p-7, -0x1.3e1ba852ec8abp-7, -0x1.35c70fe515e2ep-7, -0x1.2da4a107aaecap-7, -0x1.25b35d0f649b3p-7, -0x1.1df2490e1b017p-7, -0x1.16606dcdc49b9p-7, -0x1.0efcd7cb1af68p-7, -0x1.07c6973035116p-7, -0x1.00bcbfce8f60bp-7, -0x1.f3bcd2327312ep-8, -0x1.e6555c3cf45ffp-8, -0x1.d9415b02eae6cp-8, -0x1.cc7f12e71985p-8, -0x1.c00ccf5b1463fp-8, -0x1.b3e8e2d14d9dfp-8, -0x1.a811a6aebd672p-8, -0x1.9c857b3c47c84p-8, -0x1.9142c797d92b2p-8, -0x1.8647f9a51b094p-8, -0x1.7b9385fe0253p-8, -0x1.7123e7e3052c7p-8, -0x1.66f7a12b3ab5ap-8, -0x1.5d0d3a340c7ccp-8, -0x1.536341d0f1c99p-8, -0x1.49f84d3aa926fp-8, -0x1.40caf7fe9c24dp-8, -0x1.37d9e3edd50b7p-8, -0x1.2f23b90c02a1bp-8, -0x1.26a7257e22712p-8, -0x1.1e62dd7937b49p-8, -0x1.16559b30d856p-8, -0x1.0e7e1ec5947cep-8, -0x1.06db2e335fccfp-8, -0x1.fed72a7f74eefp-9, -0x1.f05c4ad02c82ep-9, -0x1.e2436b9f94c3ep-9, -0x1.d48a465c954d6p-9, -0x1.c72e9f7a9ad99p-9, -0x1.ba2e464d720cap-9, -0x1.ad8714e5626bdp-9, -0x1.a136efeb4ef71p-9, -0x1.953bc67cdc62ap-9, -0x1.8993920865c71p-9, -0x1.7e3c56291af9fp-9, -0x1.733420834a3f2p-9, -0x1.687908a07c609p-9, -0x1.5e092fcbf6ab5p-9, -0x1.53e2c0ef04a11p-9, -0x1.4a03f06d94fa4p-9, -0x1.406afc02e9cc6p-9, -0x1.37162a9e56c36p-9, -0x1.2e03cc4046d97p-9, -0x1.253239d75d142p-9, -0x1.1c9fd51da5051p-9, -0x1.144b08763e03ep-9, -0x1.0c3246cade6f2p-9, -0x1.04540b69d1178p-9, -0x1.f95db3c7d7d0ap-10, -0x1.ea827bd629fc6p-10, -0x1.dc13966114c11p-10, -0x1.ce0e3a87fe2ep-10, -0x1.c06faee497315p-10, -0x1.b335494a0b349p-10, -0x1.a65c6e83a2fd6p-10, -0x1.99e29214c5b4dp-10, -0x1.8dc535f8e12a6p-10, -0x1.8201ea6453eb3p-10, -0x1.76964d85bb8e8p-10, -0x1.6b800b47bb79bp-10, -0x1.60bcdd13a4d37p-10, -0x1.564a899456c1fp-10, -0x1.4c26e47a62eb1p-10, -0x1.424fce3fad1a6p-10, -0x1.38c333ed18b18p-10, -0x1.2f7f0edf88b61p-10, -0x1.2681648e668fp-10, -0x1.1dc8465273113p-10, -0x1.1551d12d28c9cp-10, -0x1.0d1c2d9108787p-10, -0x1.05258f2a357a4p-10, -0x1.fad8695015279p-11, -0x1.ebdccf0ed8aa8p-11, -0x1.dd54f7ba72aa2p-11, -0x1.cf3da043d544p-11, -0x1.c19399fbb982ep-11, -0x1.b453ca2b8a14p-11, -0x1.a77b29b11a486p-11, -0x1.9b06c49a7360fp-11, -0x1.8ef3b9c38109ep-11, -0x1.833f3a755a96ep-11, -0x1.77e68a0640d7cp-11, -0x1.6ce6fd7b73e7p-11, -0x1.623dfb2c6a475p-11, -0x1.57e8fa6691238p-11, -0x1.4de58313bc7bp-11, -0x1.44312d60bb1c5p-11, -0x1.3ac9a165b8773p-11, -0x1.31ac96cff1c82p-11, -0x1.28d7d48ce1f64p-11, -0x1.2049307632ed2p-11, -0x1.17fe8eff831cap-11, -0x1.0ff5e2e583b95p-11, -0x1.082d2cddb01b6p-11, -0x1.00a27b485678p-11, -0x1.f2a7d3c567082p-12, -0x1.e47f42f6e9372p-12, -0x1.d6c7af4f9b414p-12, -0x1.c97d9cf3d5104p-12, -0x1.bc9da8713a1acp-12, -0x1.b0248631c773bp-12, -0x1.a40f01ee57976p-12, -0x1.9859fe272d99fp-12, -0x1.8d02739c4de65p-12, -0x1.820570c8c4d56p-12, -0x1.7760196185cf2p-12, -0x1.6d0fa5d4ac98fp-12, -0x1.631162cd1bfc7p-12, -0x1.5962b0b647361p-12, -0x1.50010343bdcffp-12, -0x1.46e9e0fab9588p-12, -0x1.3e1ae2bd77d12p-12, -0x1.3591b3587fa7ap-12, -0x1.2d4c0f137a6bp-12, -0x1.2547c3429b1ddp-12, -0x1.1d82addab5948p-12, -0x1.15fabd07a60d9p-12, -0x1.0eadeec5152b9p-12, -0x1.079a507787983p-12, -0x1.00bdfe8a12275p-12, -0x1.f42e48181cdb1p-13, -0x1.e747f4a2be1f9p-13, -0x1.dac59129ae864p-13, -0x1.cea3c73878408p-13, -0x1.c2df5abccc002p-13, -0x1.b77529555c6b6p-13, -0x1.ac6229a6ed898p-13, -0x1.a1a36ab1f7e6bp-13, -0x1.9736132e62ddcp-13, -0x1.8d1760e7f1395p-13, -0x1.8344a82118beep-13, -0x1.79bb52f874426p-13, -0x1.7078e0cee476bp-13, -0x1.677ae5b4f2076p-13, -0x1.5ebf09d9937b2p-13, -0x1.564308fbb7f3cp-13, -0x1.4e04b1df5ec27p-13, -0x1.4601e5c66aa4fp-13, -0x1.3e3897eb04ef4p-13, -0x1.36a6ccff62ce7p-13, -0x1.2f4a9aad50e67p-13, -0x1.2822271bd9afbp-13, -0x1.212ba8763d99cp-13, -0x1.1a6564746caffp-13, -0x1.13cdafe94004cp-13, -0x1.0d62ee50d0d6dp-13, -0x1.07239162730dap-13, -0x1.010e18a5effa3p-13, -0x1.f642221329877p-14, -0x1.eab628fa52a84p-14, -0x1.df75931b24d18p-14, -0x1.d47dc605b20cbp-14, -0x1.c9cc3f0372b27p-14, -0x1.bf5e925e2355fp-14, -0x1.b5326aa968748p-14, -0x1.ab45881318817p-14, -0x1.a195bfb8b22fap-14, -0x1.9820faff47c9fp-14, -0x1.8ee536eed9791p-14, -0x1.85e083950a37fp-14, -0x1.7d1103680b2f7p-14, -0x1.7474eab26ef9ap-14, -0x1.6c0a7efc47e0bp-14, -0x1.63d0167fc23fcp-14, -0x1.5bc4179b105c1p-14, -0x1.53e4f84a1d8ddp-14, -0x1.4c313da211769p-14, -0x1.44a77b4fc9429p-14, -0x1.3d46531c1250ap-14, -0x1.360c7470be1aap-14, -0x1.2ef89be26078ap-14, -0x1.280992bdd5fc5p-14, -0x1.213e2e97c7ecep-14, -0x1.1a9550e07ac7ap-14, -0x1.140de679170d9p-14, -0x1.0da6e74ce704dp-14, -0x1.075f55ee1903ap-14, -0x1.01363f33cd32ap-14, -0x1.f65573b8ea6cfp-15, -0x1.ea77cc6307a2cp-15, -0x1.ded1db5e61fccp-15, -0x1.d362055d72d51p-15, -0x1.c826c0229a0f9p-15, -0x1.bd1e91dec3724p-15, -0x1.b2481093c6085p-15, -0x1.a7a1e17b46f69p-15, -0x1.9d2ab8715e487p-15, -0x1.92e1576674034p-15, -0x1.88c48dd1e362bp-15, -0x1.7ed3382df1b5cp-15, -0x1.750c3f714fcf8p-15, -0x1.6b6e989341c45p-15, -0x1.61f9440d68a63p-15, -0x1.58ab4d686ac1ep-15, -0x1.4f83cac585072p-15, -0x1.4681dc713fca6p-15, -0x1.3da4ac76754fap-15, -0x1.34eb6e368b3c9p-15, -0x1.2c555e04e00e9p-15, -0x1.23e1c0c49ae4ep-15, -0x1.1b8fe389b8acbp-15, -0x1.135f1b3ffd776p-15, -0x1.0b4ec44fae5cfp-15, -0x1.035e424b6b1d8p-15, -0x1.f719ff390775fp-16, -0x1.e7b4da66fd4dap-16, -0x1.d88c0479cf4ddp-16, -0x1.c99e77ae18517p-16, -0x1.baeb39935527ep-16, -0x1.ac715a8481999p-16, -0x1.9e2ff52361406p-16, -0x1.90262dd86d52dp-16, -0x1.82533257e57cap-16, -0x1.74b6392c64531p-16, -0x1.674e81433d59ep-16, -0x1.5a1b5181cfe81p-16, -0x1.4d1bf859e39bfp-16, -0x1.404fcb64e8101p-16, -0x1.33b62701bba32p-16, -0x1.274e6df824b28p-16, -0x1.1b18091dc5da2p-16, -0x1.0f126700a5aabp-16, -0x1.033cfb94709d1p-16, -0x1.ef2e7fc390a3ap-17, -0x1.d8416376a5e87p-17, -0x1.c1b1a6eba2774p-17, -0x1.ab7e573e12c5ap-17, -0x1.95a689792a5a3p-17, -0x1.80295a1af5766p-17, -0x1.6b05ec92aab68p-17, -0x1.563b6ad0d8074p-17, -0x1.41c904d5a34fp-17, -0x1.2dadf0469cdd1p-17, -0x1.19e9680907874p-17, -0x1.067aabe0534ccp-17, -0x1.e6c2002648123p-18, -0x1.c1375a2007f92p-18, -0x1.9c53fe37b9357p-18, -0x1.78168c07b2cf8p-18, -0x1.547da99a23291p-18, -0x1.318802e0afcbep-18, -0x1.0f34492e4abacp-18, -0x1.db0265585f94fp-19, -0x1.98daf3df7c8b6p-19, -0x1.57efbaedfeccfp-19, -0x1.183e3e89a9f83p-19, -0x1.b38811eb30e44p-20, -0x1.38fd53ca715ep-20, -0x1.81aed76559504p-21, -0x1.2c462ad391c57p-22, 0x1.42c8b8c5c760cp-23, 0x1.32da77c32e08ap-21, 0x1.082fa125cea4bp-20, 0x1.74a500c2e1c8p-20, 0x1.ded211ccdc3d8p-20, 0x1.235dc4d0603c2p-19, 0x1.56330e409985ep-19, 0x1.87eb3f3869e23p-19, 0x1.b888b1f785ca3p-19, 0x1.e80dc137b843ap-19, 0x1.0b3e6447ec967p-18, 0x1.21ec1250b348dp-18, 0x1.381119b324a83p-18, 0x1.4daeaa2cac1b1p-18, 0x1.62c5f45a739ccp-18, 0x1.775829c70a3ecp-18, 0x1.8b667d048b2cap-18, 0x1.9ef221b6d0c03p-18, 0x1.b1fc4ca5053p-18, 0x1.c48633c50fcfdp-18, 0x1.d6910e41ccf59p-18, 0x1.e81e148639386p-18, 0x1.f92e803df1204p-18, 0x1.04e1c62dfcde4p-17, 0x1.0cef3a8ed3b46p-17, 0x1.14c03c02343ffp-17, 0x1.1c5569ee168ccp-17, 0x1.23af64579162cp-17, 0x1.2acecbe4d3659p-17, 0x1.31b441d629ecbp-17, 0x1.386068054687bp-17, 0x1.3ed3e0df814e1p-17, 0x1.450f4f61bbadep-17, 0x1.4b1357133a0dep-17, 0x1.50e09bff65911p-17, 0x1.5677c2af4580fp-17, 0x1.5bd97023e91afp-17, 0x1.610649ce37b23p-17, 0x1.65fef58936505p-17, 0x1.6ac4199099c79p-17, 0x1.6f565c792d24bp-17, 0x1.73b6652879e56p-17, 0x1.77e4dacec642fp-17, 0x1.7be264d986e6cp-17, 0x1.7fafaaeee8156p-17, 0x1.834d54e33f855p-17, 0x1.86bc0aafa5a5bp-17, 0x1.89fc74679140ep-17, 0x1.8d0f3a31cb298p-17, 0x1.8ff5043cdf8bap-17, 0x1.92ae7ab609586p-17, 0x1.953c45bff2762p-17, 0x1.979f0d67e4bdbp-17, 0x1.99d7799d7f28dp-17, 0x1.9be632276adf2p-17, 0x1.9dcbde9b90a84p-17, 0x1.9f892653a2bc4p-17, 0x1.a11eb0647ceb8p-17, 0x1.a28d2393c493ap-17, 0x1.a3d5264dfa6e7p-17, 0x1.a4f75e9f0acedp-17, 0x1.a5f4722598f2fp-17, 0x1.a6cd060c7747ap-17, 0x1.a781beff0d317p-17, 0x1.a81341226058ap-17, 0x1.a882300aa3528p-17, 0x1.a8cf2eb20b6fap-17, 0x1.a8fadf71b8e21p-17, 0x1.a905e3f7c2c8p-17, 0x1.a8f0dd3ddedc7p-17, 0x1.a8bc6b825dc9ep-17, 0x1.a8692e3f9e0e8p-17, 0x1.a7f7c423c40cbp-17, 0x1.a768cb080777p-17, 0x1.a6bcdfea4cb8ep-17, 0x1.a5f49ee3fda6bp-17, 0x1.a510a324e89a2p-17, 0x1.a41186e8b2492p-17, 0x1.a2f7e372eabb3p-17, 0x1.a1c45106acda8p-17, 0x1.a07766e065faap-17, 0x1.9f11bb2dd5f84p-17, 0x1.9d93e309ed6adp-17, 0x1.9bfe7274f1cb9p-17, 0x1.9a51fc4ef1ec8p-17, 0x1.988f1251ff596p-17, 0x1.96b6450cc3f46p-17, 0x1.94c823dcab7c5p-17, 0x1.92c53ce8f7fc1p-17, 0x1.90ae1d1d37b2p-17, 0x1.8e835025c4ab3p-17, 0x1.8c45606a577d9p-17, 0x1.89f4d708f63fp-17, 0x1.87923bd1e290fp-17, 0x1.851e1543e83b9p-17, 0x1.8298e88824506p-17, 0x1.8003396ee1009p-17, 0x1.7d5d8a6abe38fp-17, 0x1.7aa85c8e8f6fep-17, 0x1.77e42f8997838p-17, 0x1.751181a44c109p-17, 0x1.7230cfbe4a4eap-17, 0x1.6f42954afc233p-17, 0x1.6c474c50216e8p-17, 0x1.693f6d62a33c7p-17, 0x1.662b6fa413e52p-17, 0x1.630bc8c18ed23p-17, 0x1.5fe0ecf1201fcp-17, 0x1.5cab4ef0ef51ep-17, 0x1.596b600525c83p-17, 0x1.56218ff706b73p-17, 0x1.52ce4d1330664p-17, 0x1.4f72042914932p-17, 0x1.4c0d208a1b3a7p-17, 0x1.48a00c08b0558p-17, 0x1.452b2ef7e62dcp-17, 0x1.41aef02b89f86p-17, 0x1.3e2bb4f69eba2p-17, 0x1.3aa1e12bfc865p-17, 0x1.3711d71e131a6p-17, 0x1.337bf79f32803p-17, 0x1.2fe0a201ca524p-17, 0x1.2c4034187440fp-17, 0x1.289b0a36bc1aap-17, 0x1.24f17f3181cb6p-17, 0x1.2143ec5fb4479p-17, 0x1.1d92a99b73133p-17, 0x1.19de0d432f104p-17, 0x1.16266c3ad3f2cp-17, 0x1.126c19ec2355ep-17, 0x1.0eaf68488c46fp-17, 0x1.0af0a7ca01dc1p-17, 0x1.0730277552009p-17, 0x1.036e34db1c789p-17, 0x1.ff5638334f149p-18, 0x1.f7ce4fbcc598dp-18, 0x1.f04542d092f3cp-18, 0x1.e8bba112d97d4p-18, 0x1.e131f751c332dp-18, 0x1.d9a8cf8a0fe5ep-18, 0x1.d220b0eb45735p-18, 0x1.ca9a1fdd6b24dp-18, 0x1.c3159e0431504p-18, 0x1.bb93aa43a4207p-18, 0x1.b414c0c53a508p-18, 0x1.ac995afd7c6p-18, 0x1.a521efb1362e9p-18, 0x1.9daef2f8ffbcfp-18, 0x1.9640d6496c52ap-18, 0x1.8ed80875c3252p-18, 0x1.8774f5b7736d7p-18, 0x1.801807b2dbf22p-18, 0x1.78c1a57dc1c1fp-18, 0x1.717233a469997p-18, 0x1.6a2a14307fe4p-18, 0x1.62e9a6af725aap-18, 0x1.5bb14836bf5c2p-18, 0x1.5481536b933aep-18, 0x1.4d5a2088593f5p-18, 0x1.463c05639462bp-18, 0x1.3f275576242ccp-18, 0x1.381c61e17b289p-18, 0x1.311b7976869bfp-18, 0x1.2a24e8bc3b73ep-18, 0x1.2338f9f56be0fp-18, 0x1.1c57f52824a7cp-18, 0x1.158220243ef3ep-18, 0x1.0eb7be8ae088fp-18, 0x1.07f911d444f9ap-18, 0x1.014659564ce2cp-18, 0x1.f53fa497d62c4p-19, 0x1.e80b6fb838ec6p-19, 0x1.daf086401883ap-19, 0x1.cdef56556edecp-19, 0x1.c1084a1e0ae22p-19, }}, 
      {{-0x1.acc6efe36c28p-1, -0x1.acba0736f0241p-1, -0x1.ac9e8c79a1caap-1, -0x1.ac6cdce555f65p-1, -0x1.ac1c359036d38p-1, -0x1.aba3bf0c40504p-1, -0x1.aafb5afb100b1p-1, -0x1.aa1c2ff9b1968p-1, -0x1.a900fab645856p-1, -0x1.a7a62f224fb0fp-1, -0x1.a609f56d21586p-1, -0x1.a42c0d7999aafp-1, -0x1.a20da1d6a7cfp-1, -0x1.9fb1116d06db5p-1, -0x1.9d19b55c74ac7p-1, -0x1.9a4ba7055dc4bp-1, -0x1.974b890200c9dp-1, -0x1.941e54d8e5bccp-1, -0x1.90c92e72a5adep-1, -0x1.8d513dcd6dde3p-1, -0x1.89bb8f0079bap-1, -0x1.860cf858d8e0bp-1, -0x1.824a062872e0bp-1, -0x1.7e76ebc28769ep-1, -0x1.7a97791140048p-1, -0x1.76af142aa53c1p-1, -0x1.72c0b64d45265p-1, -0x1.6eceebb404461p-1, -0x1.6adbd5bae7335p-1, -0x1.66e92edaf8283p-1, -0x1.62f85010a1705p-1, -0x1.5f0a374d3e2e3p-1, -0x1.5b1f8ea1afe3cp-1, -0x1.5738b3dc29f08p-1, -0x1.5355c05ed2753p-1, -0x1.4f7690ff43783p-1, -0x1.4b9acdc8427c1p-1, -0x1.47c1f17f3ebb8p-1, -0x1.43eb50d641804p-1, -0x1.40162139259aap-1, -0x1.3c417f2a1d352p-1, -0x1.386c7425e464ap-1, -0x1.3495fc0ba0d28p-1, -0x1.30bd0a0753ebap-1, -0x1.2ce08d0025b2dp-1, -0x1.28ff738d99ec7p-1, -0x1.2518af7833a9bp-1, -0x1.212b38cb06cccp-1, -0x1.1d36107c7c959p-1, -0x1.193842b4fbd1fp-1, -0x1.1530e8ba735a3p-1, -0x1.111f2a87d1658p-1, -0x1.0d02401771251p-1, -0x1.08d9726755844p-1, -0x1.04a41c3ddb7ep-1, -0x1.0061aab53a08p-1, -0x1.f8233b27a6a8cp-2, -0x1.ef670eee10198p-2, -0x1.e68e1baba3b0ep-2, -0x1.dd97d1c02fa1cp-2, -0x1.d483c67e855afp-2, -0x1.cb51b3788944ep-2, -0x1.c201759dca2fdp-2, -0x1.b8930c339a0e2p-2, -0x1.af0697acfdfadp-2, -0x1.a55c586829b25p-2, -0x1.9b94ad56ad77ep-2, -0x1.91b01294ed1e9p-2, -0x1.87af1ff506c7dp-2, -0x1.7d928780c6403p-2, -0x1.735b13f5f0153p-2, -0x1.6909a73fadc15p-2, -0x1.5e9f38efadc1dp-2, -0x1.541cd4b918111p-2, -0x1.498398ef40f65p-2, -0x1.3ed4b509c142dp-2, -0x1.3411682f49b64p-2, -0x1.293affc8737afp-2, -0x1.1e52d61b77b2fp-2, -0x1.135a50f1ae642p-2, -0x1.0852e04775b97p-2, -0x1.fa7bfa0e20345p-3, -0x1.e43a4f9db491bp-3, -0x1.cde3cf865e998p-3, -0x1.b77b92d8534b8p-3, -0x1.a104bb3ec8322p-3, -0x1.8a8270eb8dae9p-3, -0x1.73f7e09ac1f81p-3, -0x1.5d6839ae7b61fp-3, -0x1.46d6ac6223897p-3, -0x1.304668154f85ap-3, -0x1.19ba99ad9f3c1p-3, -0x1.03366a0f3f92ap-3, -0x1.d979f95728b4ep-4, -0x1.aca2dc4b0f882p-4, -0x1.7feda615d8f23p-4, -0x1.53606d44c83dp-4, -0x1.2701339a6374cp-4, -0x1.f5abc7f15e886p-5, -0x1.9dc8a0e1aa1e2p-5, -0x1.466460edbb4dp-5, -0x1.df147ce158e8fp-6, -0x1.328a68522ffd2p-6, -0x1.0e7ff9a951638p-7, 0x1.15ae77408973ap-9, 0x1.968515ab59713p-7, 0x1.725251bd2e3dep-6, 0x1.0be8e683a3ae7p-5, 0x1.5dd71c0d9e7ecp-5, 0x1.aeeab1ac635f7p-5, 0x1.ff1adb58bfec3p-5, 0x1.272f8cf985b46p-4, 0x1.4e579e1adea44p-4, 0x1.7501afbf0ad43p-4, 0x1.9b29f8366851fp-4, 0x1.c0ccd5b06072ep-4, 0x1.e5e6ce66ab2adp-4, 0x1.053a485badae8p-3, 0x1.1739799750094p-3, 0x1.28ef7a40890abp-3, 0x1.3a5addbbad728p-3, 0x1.4b7a4b66016b7p-3, 0x1.5c4c7e7e1859ep-3, 0x1.6cd04605fc925p-3, 0x1.7d04849f93f55p-3, 0x1.8ce830637f033p-3, 0x1.9c7a52b2d1669p-3, 0x1.abba0803fbecfp-3, 0x1.baa67fab2ac4fp-3, 0x1.c93efb9e656c9p-3, 0x1.d782d035c21afp-3, 0x1.e57163e7e24eep-3, 0x1.f30a2f030dd49p-3, 0x1.00265db18cff8p-2, 0x1.069c521235af9p-2, 0x1.0ce6caaa212c6p-2, 0x1.1305a5cf47a3ep-2, 0x1.18f8c9fcc420fp-2, 0x1.1ec025a7986bbp-2, 0x1.245baf12836b6p-2, 0x1.29cb6421046c9p-2, 0x1.2f0f4a299f176p-2, 0x1.34276dc77926p-2, 0x1.3913e2ab68bb6p-2, 0x1.3dd4c36c832e9p-2, 0x1.426a315842489p-2, 0x1.46d4544255f1ep-2, 0x1.4b135a542f822p-2, 0x1.4f2777dc5a7b5p-2, 0x1.5310e71db216p-2, 0x1.56cfe81e87692p-2, 0x1.5a64c077bf365p-2, 0x1.5dcfbb23fffc2p-2, 0x1.6111284ef2f1bp-2, 0x1.64295d24b0fd1p-2, 0x1.6718b3a15cf72p-2, 0x1.69df8a60ffe6fp-2, 0x1.6c7e446fadcf4p-2, 0x1.6ef54919fbd8ap-2, 0x1.714503bddb334p-2, 0x1.736de39bd67c6p-2, 0x1.75705ba8c3b03p-2, 0x1.774ce25ff0d09p-2, 0x1.7903f195d016cp-2, 0x1.7a96064b2f1f8p-2, 0x1.7c03a08101dd3p-2, 0x1.7d4d430cc2321p-2, 0x1.7e73736d6f2fap-2, 0x1.7f76b9a12ff29p-2, 0x1.80579ffba2e5p-2, 0x1.8116b2fcd8171p-2, 0x1.81b4812901ab3p-2, 0x1.82319ae0db37ep-2, 0x1.828e923ace47ap-2, 0x1.82cbfadcd4668p-2, 0x1.82ea69d71e386p-2, 0x1.82ea757f7f97ap-2, 0x1.82ccb54da3cfep-2, 0x1.8291c1b80c286p-2, 0x1.823a3411de051p-2, 0x1.81c6a6697a753p-2, 0x1.8137b367ed43ep-2, 0x1.808df63125e6dp-2, 0x1.7fca0a4505bb5p-2, 0x1.7eec8b6142b08p-2, 0x1.7df615641ad9bp-2, 0x1.7ce7442fdb8c4p-2, 0x1.7bc0b38f3c7ap-2, 0x1.7a82ff1a8fa9bp-2, 0x1.792ec21dbf429p-2, 0x1.77c4977f242bcp-2, 0x1.764519a7284c4p-2, 0x1.74b0e268b942dp-2, 0x1.73088aea8f8abp-2, 0x1.714cab913bfa8p-2, 0x1.6f7ddbea069bfp-2, 0x1.6d9cb296944e5p-2, 0x1.6ba9c53957992p-2, 0x1.69a5a862c768fp-2, 0x1.6790ef7f57bfap-2, 0x1.656c2cc6384fp-2, 0x1.6337f128d181ep-2, 0x1.60f4cc42fc70cp-2, 0x1.5ea34c4bfb788p-2, 0x1.5c43fe08239e3p-2, 0x1.59d76cbb42a06p-2, 0x1.575e221bb412ap-2, 0x1.54d8a6462432dp-2, 0x1.52477fb2062e5p-2, 0x1.4fab3326ac412p-2, 0x1.4d0443b10d8d8p-2, 0x1.4a53329a2c0a6p-2, 0x1.47987f5e1855ep-2, 0x1.44d4a7a39a74fp-2, 0x1.420827346c25fp-2, 0x1.3f3377f60ee4dp-2, 0x1.3c5711e333f26p-2, 0x1.39736b05b2db1p-2, 0x1.3688f7710f5e6p-2, 0x1.3398293d865adp-2, 0x1.30a170839ffcfp-2, 0x1.2da53b5846c0bp-2, 0x1.2aa3f5c95bca7p-2, 0x1.279e09dac665dp-2, 0x1.2493df83fc766p-2, 0x1.2185dcadff74ap-2, 0x1.1e746531cae38p-2, 0x1.1b5fdad7319a3p-2, 0x1.18489d5421175p-2, 0x1.152f0a4c5418ep-2, 0x1.12137d5162717p-2, 0x1.0ef64fe33280ap-2, 0x1.0bd7d970ccbeap-2, 0x1.08b86f5982d84p-2, 0x1.059864ee72458p-2, 0x1.02780b7459ff8p-2, 0x1.feaf644b7de12p-3, 0x1.f86f4c6abd593p-3, 0x1.f23065a1e004ep-3, 0x1.ebf3424849489p-3, 0x1.e5b870b7e966cp-3, 0x1.df807b545340ep-3, 0x1.d94be89251a3bp-3, 0x1.d31b3afff0af4p-3, 0x1.cceef14cf9985p-3, 0x1.c6c78653e447ap-3, 0x1.c0a571231e4c2p-3, 0x1.ba892506c7abp-3, 0x1.b4731192bb54fp-3, 0x1.ae63a2acfda4fp-3, 0x1.a85b40986e995p-3, 0x1.a25a4fffdb0c7p-3, 0x1.9c6132014476fp-3, 0x1.967044397ee4ap-3, 0x1.9087e0cffd893p-3, 0x1.8aa85e82eaf95p-3, 0x1.84d210b369da9p-3, 0x1.7f0547721325fp-3, 0x1.79424f8b9ce06p-3, 0x1.73897295ae91p-3, 0x1.6ddaf6fbd8e63p-3, 0x1.6837200cb32dbp-3, 0x1.629e2e071795ep-3, 0x1.5d105e2779d25p-3, 0x1.578deab55661bp-3, 0x1.52170b10b52d6p-3, 0x1.4cabf3bfc0644p-3, 0x1.474cd67c6502ap-3, 0x1.41f9e24205d2ap-3, 0x1.3cb3435b2bc97p-3, 0x1.3779236f46398p-3, 0x1.324ba99063fb5p-3, 0x1.2d2afa48f8e6ep-3, 0x1.281737a98d4f7p-3, 0x1.231081567f175p-3, 0x1.1e16f495a69dp-3, 0x1.192aac5bfe4cfp-3, 0x1.144bc15b37b9dp-3, 0x1.0f7a4a0f4707dp-3, 0x1.0ab65acbd93c5p-3, 0x1.060005c9b9d6p-3, 0x1.01575b3425ed5p-3, 0x1.f978d26c0ba43p-4, 0x1.f05e780e24dbep-4, 0x1.e75fbbf1bd02dp-4, 0x1.de7caf078e7f2p-4, 0x1.d5b55ea78a7eep-4, 0x1.cd09d4aa4451ap-4, 0x1.c47a178220f17p-4, 0x1.bc062a543e6b7p-4, 0x1.b3ae0d111bf3ap-4, 0x1.ab71bc8d00e0ep-4, 0x1.a351329810fa4p-4, 0x1.9b4c661624f4p-4, 0x1.93634b164e21bp-4, 0x1.8b95d2ea10f85p-4, 0x1.83e3ec3c5256dp-4, 0x1.7c4d8327ee6cfp-4, 0x1.74d2814e08905p-4, 0x1.6d72cdec004a6p-4, 0x1.662e4df1170f2p-4, 0x1.5f04e413beb2cp-4, 0x1.57f670e695021p-4, 0x1.5102d2ed070c2p-4, 0x1.4a29e6af9e374p-4, 0x1.436b86cff4d98p-4, 0x1.3cc78c1c55d87p-4, 0x1.363dcda2fe2afp-4, 0x1.2fce20c509087p-4, 0x1.2978594902b98p-4, 0x1.233c496d21b0cp-4, 0x1.1d19c1f924af9p-4, 0x1.1710924fd6d8cp-4, 0x1.112088803ef79p-4, 0x1.0b4971566e322p-4, 0x1.058b186bfad1dp-4, 0x1.ffca90703ae81p-5, 0x1.f4af943ef3eeep-5, 0x1.e9c4cd071ae99p-5, 0x1.df09c9a3806d1p-5, 0x1.d47e17244eefap-5, 0x1.ca2140ebd2647p-5, 0x1.bff2d0ca9da39p-5, 0x1.b5f24f1af3f05p-5, 0x1.ac1f42db98637p-5, 0x1.a27931c9e8d65p-5, 0x1.98ffa07b4fec3p-5, 0x1.8fb2127619209p-5, 0x1.86900a4992732p-5, 0x1.7d9909a59614ep-5, 0x1.74cc91716a7e3p-5, 0x1.6c2a21e201ba7p-5, 0x1.63b13a8fa32a7p-5, 0x1.5b615a8ae93a3p-5, 0x1.533a007131ff5p-5, 0x1.4b3aaa806eb32p-5, 0x1.4362d6aa5f0bcp-5, 0x1.3bb202a7354a8p-5, 0x1.3427ac07abcb8p-5, 0x1.2cc35046850cp-5, 0x1.25846cd977eafp-5, 0x1.1e6a7f41a0103p-5, 0x1.1775051b5383dp-5, 0x1.10a37c2d701b9p-5, 0x1.09f562782f2bfp-5, 0x1.036a36436b6d4p-5, 0x1.fa02ec58c6959p-6, 0x1.ed754266093e4p-6, 0x1.e12a6d8d5c548p-6, 0x1.d5216da50d8cp-6, 0x1.c959439293402p-6, 0x1.bdd0f161576dfp-6, 0x1.b2877a587e50cp-6, 0x1.a77be30fd713p-6, 0x1.9cad3183f52b1p-6, 0x1.921a6d295b2b6p-6, 0x1.87c29efeda34bp-6, 0x1.7da4d19f19605p-6, 0x1.73c011515af2bp-6, 0x1.6a136c1968d13p-6, 0x1.609df1c6c2459p-6, 0x1.575eb403137f9p-6, 0x1.4e54c65fd72acp-6, 0x1.457f3e635d356p-6, 0x1.3cdd33950bd9cp-6, 0x1.346dbf88f92e1p-6, 0x1.2c2ffdead57c4p-6, 0x1.24230c882b4eap-6, 0x1.1c460b5a04ad9p-6, 0x1.14981c8df640bp-6, 0x1.0d18648e7e09cp-6, 0x1.05c60a0adb034p-6, 0x1.fd406bfc910e2p-7, 0x1.ef4c276d76177p-7, 0x1.e1ada1b5ed9e3p-7, 0x1.d4633ae08529dp-7, 0x1.c76b57bee8a6ap-7, 0x1.bac461f328a37p-7, 0x1.ae6cc7f81df9p-7, 0x1.a262fd288df86p-7, 0x1.96a579c5bc3a8p-7, 0x1.8b32bafce2f76p-7, 0x1.800942ebed5d2p-7, 0x1.752798a5565b3p-7, 0x1.6a8c4833388a6p-7, 0x1.6035e2999a759p-7, 0x1.5622fdd7e7c68p-7, 0x1.4c5234e9ebc96p-7, 0x1.42c227c7c59a5p-7, 0x1.39717b6579aaap-7, 0x1.305ed9b1b223bp-7, 0x1.2788f193e671fp-7, 0x1.1eee76e9f9084p-7, 0x1.168e228530315p-7, 0x1.0e66b2269a669p-7, 0x1.0676e87af4213p-7, 0x1.fd7b1a2c2ee6ap-8, 0x1.ee72d8db89251p-8, 0x1.dfd2afa83fdf3p-8, 0x1.d1984ae318f87p-8, 0x1.c3c1607c8ee8cp-8, 0x1.b64baff6c4e5p-8, 0x1.a93502571882ap-8, 0x1.9c7b2a16bf0a3p-8, 0x1.901c03128c957p-8, 0x1.8415727a4b6e8p-8, 0x1.786566bf1b74ep-8, 0x1.6d09d7819f67ap-8, 0x1.6200c57f31ed1p-8, 0x1.57483a7e8cbd5p-8, 0x1.4cde493c46246p-8, 0x1.42c10d5660ab5p-8, 0x1.38eeab37abc06p-8, 0x1.2f65500287de8p-8, 0x1.2623317b68d79p-8, 0x1.1d268df2cc3a4p-8, 0x1.146dac2edea6dp-8, 0x1.0bf6db54f8e42p-8, 0x1.03c072d273399p-8, 0x1.f791a48aebf19p-9, 0x1.e81cc2cb25b77p-9, 0x1.d91f1fd79c8acp-9, 0x1.ca95aaf57d7e7p-9, 0x1.bc7d630cb51b2p-9, 0x1.aed3567737c79p-9, 0x1.a194a2cfd6c8cp-9, 0x1.94be74c123e5dp-9, 0x1.884e07d3c06cep-9, 0x1.7c40a63c87109p-9, 0x1.7093a8aae2ceep-9, 0x1.654476168957bp-9, 0x1.5a50838d4f58dp-9, 0x1.4fb554010fedfp-9, 0x1.457078154e422p-9, 0x1.3b7f8decf2c73p-9, 0x1.31e040f803ebfp-9, 0x1.289049c175575p-9, 0x1.1f8d6dbd13d9p-9, 0x1.16d57f1544e12p-9, 0x1.0e665c7960c7fp-9, 0x1.063df0eba3cf5p-9, 0x1.fcb4671f948fdp-10, 0x1.ed724ef315dep-10, 0x1.deb1b6f6ba98p-10, 0x1.d06ed3eb09782p-10, 0x1.c2a5f14a7de9bp-10, 0x1.b55370e8d7206p-10, 0x1.a873ca929558bp-10, 0x1.9c038bad30dedp-10, 0x1.8fff56d7c08bcp-10, 0x1.8463e38d1bb09p-10, 0x1.792dfdc514123p-10, 0x1.6e5a85983508bp-10, 0x1.63e66ee3264c4p-10, 0x1.59cec0eac1c67p-10, 0x1.50109601c6985p-10, 0x1.46a91b2e64b7fp-10, 0x1.3d958fd157202p-10, 0x1.34d3454da020cp-10, 0x1.2c5f9eb0a8c3dp-10, 0x1.2438105c204ddp-10, 0x1.1c5a1fb0176acp-10, 0x1.14c362b61e4f8p-10, 0x1.0d717fcd84372p-10, 0x1.06622d589673cp-10, 0x1.ff2662d476f95p-11, 0x1.f204c2ea7706fp-11, 0x1.e55b43f87328dp-11, 0x1.d925cc84c5171p-11, 0x1.cd605ffae5136p-11, 0x1.c2071e114ff42p-11, 0x1.b7164230cae43p-11, 0x1.ac8a22dee0ddfp-11, 0x1.a25f31291412ep-11, 0x1.9891f81220f17p-11, 0x1.8f1f1c039bcffp-11, 0x1.86035a3d6a805p-11, 0x1.7d3b884b64597p-11, 0x1.74c4937a525fep-11, 0x1.6c9b804fad8acp-11, 0x1.64bd6a04237a8p-11, 0x1.5d2781ff09dfcp-11, 0x1.55d70f54a88acp-11, 0x1.4ec96e45c869cp-11, 0x1.47fc0fc1cdbfep-11, 0x1.416c78eb07c97p-11, 0x1.3b18429c6e846p-11, 0x1.34fd18f115c61p-11, 0x1.2f18bacf20c13p-11, 0x1.2968f972c4dcap-11, 0x1.23ebb7fd008b7p-11, 0x1.1e9eeb026cf13p-11, 0x1.1980981e08e32p-11, 0x1.148ed583f8e0ap-11, 0x1.0fc7c997f32c3p-11, 0x1.0b29aa8439fafp-11, 0x1.06b2bdd3309fdp-11, 0x1.0261580a76f37p-11, 0x1.fc67b8904bcaap-12, 0x1.f45177c3a7a09p-12, 0x1.ec7cec0a21456p-12, 0x1.e4e72eb484053p-12, 0x1.dd8d7351885p-12, 0x1.d66d06fadbb43p-12, 0x1.cf834fa361dap-12, 0x1.c8cdcb6c022edp-12, 0x1.c24a0ff9d3f25p-12, 0x1.bbf5c9cf55d61p-12, 0x1.b5cebbab09f7cp-12, 0x1.afd2bde765e0ap-12, 0x1.a9ffbddf40bdbp-12, 0x1.a453bd54ab08ep-12, 0x1.9eccd1dbc5dd6p-12, 0x1.99692447d31a6p-12, 0x1.9426f01cc9982p-12, 0x1.8f048301eaf8ap-12, 0x1.8a003c399309ap-12, 0x1.85188c1ae655fp-12, 0x1.804bf38da5b33p-12, 0x1.7b99038b7b558p-12, 0x1.76fe5ca10f23dp-12, 0x1.727aae740c8f5p-12, 0x1.6e0cb74b869a4p-12, 0x1.69b3439a3cda9p-12, 0x1.656d2d8cc3c86p-12, 0x1.61395c99a332dp-12, 0x1.5d16c51405555p-12, 0x1.590467c1b8a79p-12, 0x1.55015172ba64p-12, 0x1.510c9a9bdb7e1p-12, 0x1.4d2566f3ae9c9p-12, 0x1.494ae512549dfp-12, 0x1.457c4e12c128fp-12, 0x1.41b8e537135f3p-12, 0x1.3dfff78eff485p-12, 0x1.3a50dba0541eep-12, 0x1.36aaf1123d1ffp-12, 0x1.330da0597264bp-12, 0x1.2f785a68de7fcp-12, 0x1.2bea9861676cap-12, 0x1.2863db461fa6bp-12, 0x1.24e3abb192f99p-12, 0x1.2169998ceee6ap-12, 0x1.1df53bc97df72p-12, 0x1.1a86301bcee5ap-12, 0x1.171c1ab8b843p-12, 0x1.13b6a6146ea16p-12, 0x1.105582a31258cp-12, 0x1.0cf8669b5946ap-12, 0x1.099f0dbafc444p-12, 0x1.0649390bc730cp-12, 0x1.02f6aeac42debp-12, 0x1.ff4e7330583abp-13, 0x1.f8b552e759d8bp-13, 0x1.f221a4ae9ca97p-13, 0x1.eb93193c84471p-13, 0x1.e509696b0a875p-13, 0x1.de8455d975171p-13, 0x1.d803a691154e7p-13, 0x1.d1872aac86a12p-13, 0x1.cb0eb8017593cp-13, 0x1.c49a2acdc2e09p-13, 0x1.be296566a29e9p-13, 0x1.b7bc4fea5d252p-13, 0x1.b152d7f55f835p-13, 0x1.aaecf05801033p-13, 0x1.a48a90d0ed9fep-13, 0x1.9e2bb5c7670d1p-13, 0x1.97d0600a3bceep-13, 0x1.9178948f0012p-13, 0x1.8b245c3505c8dp-13, 0x1.84d3c388dccap-13, 0x1.7e86da8b124dp-13, 0x1.783db4786ab39p-13, 0x1.71f86794acd9fp-13, 0x1.6bb70cf63f455p-13, 0x1.6579c054d5d92p-13, 0x1.5f409fd8b42a8p-13, 0x1.590bcbecf1f1cp-13, 0x1.52db6712bc95cp-13, 0x1.4caf95b65ce09p-13, 0x1.46887e05df8a3p-13, 0x1.406647c9efcf5p-13, 0x1.3a491c3ea004fp-13, 0x1.343125efdaeb5p-13, 0x1.2e1e9095af2c7p-13, 0x1.281188f2d5e92p-13, 0x1.220a3cb4245c7p-13, 0x1.1c08da51c45c1p-13, 0x1.160d90f147b91p-13, 0x1.1018904955741p-13, 0x1.0a2a088683c8fp-13, 0x1.04422a31b108ap-13, 0x1.fcc24c2d49036p-14, 0x1.f10e5a5956d4ep-14, 0x1.e568e10014ba2p-14, 0x1.d9d24238e2aadp-14, 0x1.ce4adff14cdc4p-14, 0x1.c2d31bc5e48bbp-14, 0x1.b76b56dd35368p-14, 0x1.ac13f1c4dba8bp-14, 0x1.a0cd4c4ff7487p-14, 0x1.9597c577dc332p-14, 0x1.8a73bb3ec9a5cp-14, 0x1.7f618a931c275p-14, 0x1.74618f34f29a7p-14, 0x1.6974239da63d2p-14, 0x1.5e99a0e7bad0fp-14, 0x1.53d25eb938d63p-14, 0x1.491eb32f1d8fp-14, 0x1.3e7ef2ca3ded3p-14, 0x1.33f3705d3af57p-14, 0x1.297c7cfb39c5bp-14, 0x1.1f1a67e9a912p-14, 0x1.14cd7e90f2d4ap-14, 0x1.0a960c704af39p-14, 0x1.00745b10f248dp-14, 0x1.ecd163f6c6f59p-15, 0x1.d8e6ad5b8df1fp-15, 0x1.c529192470a05p-15, 0x1.b19929eee27dap-15, 0x1.9e375e1302132p-15, 0x1.8b042f9656543p-15, 0x1.78001422719f4p-15, 0x1.652b7cf9ec53ep-15, 0x1.5286d6f254b37p-15, 0x1.40128a6c4780ep-15, 0x1.2dcefb50793c6p-15, 0x1.1bbc890adcf24p-15, 0x1.09db8e8931da9p-15, 0x1.f058c4732644ep-16, 0x1.cd5eac174198dp-16, 0x1.aac96ee150ce1p-16, 0x1.88999ebe474a6p-16, 0x1.66cfc4ac3a0afp-16, 0x1.456c60c1d0201p-16, 0x1.246fea3c7995ap-16, 0x1.03dacf887c4bep-16, 0x1.c75aeca6685cfp-17, 0x1.87d0773175702p-17, 0x1.4916e76cad6fbp-17, 0x1.0b2ed4fa574afp-17, 0x1.9c318d1e1e188p-18, 0x1.23aa64304eabp-18, 0x1.5991f3b2a37d1p-19, 0x1.bc6fbfbd629bap-21, -0x1.e030c011f2817p-21, -0x1.5be5994105b08p-19, -0x1.1e37dc0bd787ap-18, -0x1.8cd51b947fb84p-18, -0x1.f9ca7f422a9dep-18, -0x1.328c0cae5e466p-17, -0x1.675f0cfb31018p-17, -0x1.9b5e6738f8384p-17, -0x1.ce8a5080e827dp-17, -0x1.0071860a7ed12p-16, -0x1.19347590a8edcp-16, -0x1.318e263c81618p-16, -0x1.497ece2adfa28p-16, -0x1.6106aa08e3484p-16, -0x1.7825fcf3a8287p-16, -0x1.8edd105575892p-16, -0x1.a52c33c38b215p-16, -0x1.bb13bcdc9f5c9p-16, -0x1.d09407248dc3ap-16, -0x1.e5ad73e315618p-16, -0x1.fa606a002894fp-16, -0x1.0756aaf0be689p-15, -0x1.114a54a38eb96p-15, -0x1.1b0b6d9490d89p-15, -0x1.249a33ca28034p-15, -0x1.2df6e7c40d5f5p-15, -0x1.3721cc694e759p-15, -0x1.401b26f78bf6fp-15, -0x1.48e33ef13e1cp-15, -0x1.517a5e0cea685p-15, -0x1.59e0d023b3b2ep-15, -0x1.6216e320c932ep-15, -0x1.6a1ce6f04d001p-15, -0x1.71f32d6e4d4f4p-15, -0x1.799a0a569f95p-15, -0x1.8111d333bfd1ap-15, -0x1.885adf4f084c3p-15, -0x1.8f7587a00aa4cp-15, -0x1.966226bcc7ec4p-15, -0x1.9d2118c97b908p-15, -0x1.a3b2bb6911c82p-15, -0x1.aa176dadbbe5ap-15, -0x1.b04f9008a65e6p-15, -0x1.b65b843c14074p-15, -0x1.bc3bad4b40c89p-15, -0x1.c1f06f6bfb82ep-15, -0x1.c77a2ff8209b8p-15, -0x1.ccd9555f12bbap-15, -0x1.d20e4716eb814p-15, -0x1.d7196d8f58ed8p-15, -0x1.dbfb32231cfc8p-15, -0x1.e0b3ff0ac4e35p-15, -0x1.e5443f4ee2906p-15, -0x1.e9ac5ebb7aefep-15, -0x1.edecc9d249df4p-15, -0x1.f205edbe9a01ep-15, -0x1.f5f838485162cp-15, -0x1.f9c417c7d923bp-15, -0x1.fd69fb19e4074p-15, -0x1.007528c9ec749p-14, -0x1.0222c57bc178bp-14, -0x1.03be0bb43ded5p-14, -0x1.054733b023094p-14, -0x1.06be75d1d9564p-14, -0x1.08240a9be3e58p-14, -0x1.09782aabcf745p-14, -0x1.0abb0eb4eef2p-14, -0x1.0becef7b3506bp-14, -0x1.0d0e05ce7a3a2p-14, -0x1.0e1e8a859a08bp-14, -0x1.0f1eb679a424bp-14, -0x1.100ec2812ae6fp-14, -0x1.10eee76c22c38p-14, -0x1.11bf5dff19d93p-14, -0x1.12805eef136fcp-14, -0x1.133222dd76605p-14, -0x1.13d4e253dd0bap-14, -0x1.1468d5c01a755p-14, -0x1.14ee357064a9p-14, -0x1.1565398faa89ep-14, -0x1.15ce1a21baf9ap-14, -0x1.16290effd4d7bp-14, -0x1.16764fd5467e6p-14, -0x1.16b6141beece5p-14, -0x1.16e8931903c3p-14, -0x1.170e03d9fc849p-14, -0x1.17269d3147f37p-14, -0x1.173295b3b1681p-14, -0x1.173223b535824p-14, -0x1.17257d465965dp-14, -0x1.170cd8314ad71p-14, -0x1.16e869f79e822p-14, -0x1.16b867cf947bp-14, -0x1.167d06a18f8bp-14, -0x1.16367b05dd8e6p-14, -0x1.15e4f94299f11p-14, -0x1.1588b5495c49bp-14, -0x1.1521e2b50acdfp-14, -0x1.14b0b4c7ef401p-14, -0x1.14355e69e4b86p-14, -0x1.13b012266811ap-14, -0x1.1321022ab85e4p-14, -0x1.1288604449b07p-14, -0x1.11e65ddf1970bp-14, -0x1.113b2c040b5a4p-14, -0x1.1086fb579f74cp-14, -0x1.0fc9fc187e9f5p-14, -0x1.0f045e1e03816p-14, -0x1.0e3650d6fcf29p-14, -0x1.0d60034890a19p-14, -0x1.0c81a40d29fbp-14, -0x1.0b9b615342b15p-14, -0x1.0aad68dc5f54bp-14, -0x1.09b7e7fc2d3e2p-14, -0x1.08bb0b97a0d74p-14, -0x1.07b7002437bbp-14, -0x1.06abf1a7066a6p-14, -0x1.059a0bb42915cp-14, -0x1.0481796dedf63p-14, -0x1.0362658474346p-14, -0x1.023cfa350dec4p-14, -0x1.01116149afe14p-14, -0x1.ffbf8830f2adp-15, -0x1.fd509706db3e5p-15, -0x1.fad63ff0369d3p-15, -0x1.f850d2de6ce12p-15, -0x1.f5c09ed89c45dp-15, -0x1.f325f1fb95908p-15, -0x1.f0811979434d5p-15, -0x1.edd261986107ap-15, -0x1.eb1a15b4763f3p-15, -0x1.e858803d88955p-15, -0x1.e58deab86e4eap-15, -0x1.e2ba9dbea5f8dp-15, -0x1.dfdee0fe9f8dep-15, -0x1.dcfafb3be01fbp-15, -0x1.da0f324f402c1p-15, -0x1.d71bcb2778d87p-15, -0x1.d42109c94e75ap-15, -0x1.d11f315043ec1p-15, -0x1.ce1683ef1e3d1p-15, -0x1.cb0742f09117p-15, -0x1.c7f1aeb7de145p-15, -0x1.c4d606c146397p-15, -0x1.c1b489a3447c8p-15, -0x1.be8d750f6142fp-15, -0x1.bb6105d2da45ep-15, -0x1.b82f77d77104ap-15, -0x1.b4f90624d5376p-15, -0x1.b1bdeae17117ep-15, -0x1.ae7e5f539f96cp-15, -0x1.ab3a9be29c4efp-15, -0x1.a7f2d817da282p-15, -0x1.a4a74aa00df3bp-15, }}, 
      {{-0x1.acc966163a0cdp-1, -0x1.acc56a287fe3fp-1, -0x1.acbd8a970774cp-1, -0x1.acb0225dc2dd3p-1, -0x1.ac9b349fb07c1p-1, -0x1.ac7c9ce5c9ec3p-1, -0x1.ac5237f419a85p-1, -0x1.ac1a038eb0aep-1, -0x1.abd23540c9254p-1, -0x1.ab794916fb034p-1, -0x1.ab0e099a02dcap-1, -0x1.aa8f9269d48b5p-1, -0x1.a9fd4ec31e7a6p-1, -0x1.a956f5110e38ap-1, -0x1.a89c807e79e3ap-1, -0x1.a7ce294b6281ap-1, -0x1.a6ec5c818f5a1p-1, -0x1.a5f7b37e52c75p-1, -0x1.a4f0eba89ee98p-1, -0x1.a3d8de913eccep-1, -0x1.a2b07aa6aee0cp-1, -0x1.a178bc960d822p-1, -0x1.a032a966396p-1, -0x1.9edf4950e70ddp-1, -0x1.9d7fa3568ea36p-1, -0x1.9c14b9853767dp-1, -0x1.9a9f85e6d55eep-1, -0x1.9920f809dc958p-1, -0x1.9799f31587cep-1, -0x1.960b4c5aeec2cp-1, -0x1.9475ca5426ff9p-1, -0x1.92da240327a92p-1, -0x1.913900a2f42c1p-1, -0x1.8f92f79e7ff45p-1, -0x1.8de890c1c5d81p-1, -0x1.8c3a449aaa6fcp-1, -0x1.8a887d004a70cp-1, -0x1.88d395b874a93p-1, -0x1.871bdd3404dd2p-1, -0x1.8561955bcfe49p-1, -0x1.83a4f468b0d7dp-1, -0x1.81e625c2119e3p-1, -0x1.80254adf0a0cep-1, -0x1.7e627c26d22e5p-1, -0x1.7c9dc9cddcadap-1, -0x1.7ad73cad6faebp-1, -0x1.790ed71407ca6p-1, -0x1.7744958d3055p-1, -0x1.75786f9fd83a3p-1, -0x1.73aa58826eaacp-1, -0x1.71da3fc453f21p-1, -0x1.700811ec6037p-1, -0x1.6e33b90c6a2bap-1, -0x1.6c5d1d49dfb2ap-1, -0x1.6a84255b9caf8p-1, -0x1.68a8b6fd43117p-1, -0x1.66cab7586e439p-1, -0x1.64ea0b642139ap-1, -0x1.6306983ae3dd6p-1, -0x1.61204367feea3p-1, -0x1.5f36f32c5713cp-1, -0x1.5d4a8ebb5d1d2p-1, -0x1.5b5afe709629p-1, -0x1.59682bfe32591p-1, -0x1.577202952f854p-1, -0x1.55786f077d78ap-1, -0x1.537b5fe494f4p-1, -0x1.517ac590f20c5p-1, -0x1.4f769258da92cp-1, -0x1.4d6eba7ed6fe6p-1, -0x1.4b6334463872bp-1, -0x1.4953f7fa0e2cdp-1, -0x1.4740fff0d86a2p-1, -0x1.452a488d4c8f4p-1, -0x1.430fd03c73ca5p-1, -0x1.40f197716d325p-1, -0x1.3ecfa09f104d3p-1, -0x1.3ca9f02faf193p-1, -0x1.3a808c7b31a81p-1, -0x1.38537dbbba59ep-1, -0x1.3622ce010909ep-1, -0x1.33ee8922c4c1ap-1, -0x1.31b6bcb1d5f25p-1, -0x1.2f7b77e8f8cacp-1, -0x1.2d3ccb9ca752fp-1, -0x1.2afaca2a7ba2p-1, -0x1.28b5876828157p-1, -0x1.266d18921c30bp-1, -0x1.24219439f2bb9p-1, -0x1.21d31234ba459p-1, -0x1.1f81ab892cbb3p-1, -0x1.1d2d7a5de84cap-1, -0x1.1ad699e7b9435p-1, -0x1.187d2658022ffp-1, -0x1.16213ccb4d381p-1, -0x1.13c2fb38168ffp-1, -0x1.1162805dd416dp-1, -0x1.0effebb447b71p-1, -0x1.0c9b5d5b1f66ep-1, -0x1.0a34f609ef51bp-1, -0x1.07ccd70083f79p-1, -0x1.056321f79903cp-1, -0x1.02f7f911f3889p-1, -0x1.008b7ecde5589p-1, -0x1.fc3babee74ba2p-2, -0x1.f75e43332a665p-2, -0x1.f27f09e67294fp-2, -0x1.ed9e46d08ac6ep-2, -0x1.e8bc40ecbd48ap-2, -0x1.e3d93f519c7fap-2, -0x1.def5891a1b001p-2, -0x1.da11654f8af8dp-2, -0x1.d52d1ad479f72p-2, -0x1.d048f0506d677p-2, -0x1.cb652c1c793b4p-2, -0x1.c6821430b4383p-2, -0x1.c19fee127fd2bp-2, -0x1.bcbefec3a5574p-2, -0x1.b7df8ab24238fp-2, -0x1.b301d5a98548dp-2, -0x1.ae2622c32cfffp-2, -0x1.a94cb459d40e2p-2, -0x1.a475cbfbf54efp-2, -0x1.9fa1aa5fb2231p-2, -0x1.9ad08f574ede8p-2, -0x1.9602b9c662368p-2, -0x1.91386797b3499p-2, -0x1.8c71d5b3c2bd8p-2, -0x1.87af3ff7f9ab4p-2, -0x1.82f0e12e7831bp-2, -0x1.7e36f30682cc7p-2, -0x1.7981ae0d8453p-2, -0x1.74d149a8a7b2cp-2, -0x1.7025fc0efb523p-2, -0x1.6b7ffa4423634p-2, -0x1.66df78138d134p-2, -0x1.6244a80c2a114p-2, -0x1.5dafbb7c9f4edp-2, -0x1.5920e26ff5f02p-2, -0x1.54984baabc61dp-2, -0x1.501624a89410dp-2, -0x1.4b9a999a341f6p-2, -0x1.4725d563ca37fp-2, -0x1.42b8019bc8727p-2, -0x1.3e51468a0ba07p-2, -0x1.39f1cb2763ac9p-2, -0x1.3599b51d714c7p-2, -0x1.314928c6da57p-2, -0x1.2d00492fcf77dp-2, -0x1.28bf3816dd174p-2, -0x1.248615ee0afc6p-2, -0x1.205501dc3e57fp-2, -0x1.1c2c19bee4d15p-2, -0x1.180b7a2bda119p-2, -0x1.13f33e739028ep-2, -0x1.0fe380a36f5d9p-2, -0x1.0bdc59886eb7dp-2, -0x1.07dde0b1df20dp-2, -0x1.03e82c746bb99p-2, -0x1.fff6a3da8b781p-3, -0x1.f82eca0afdf56p-3, -0x1.f078f0eb1b6f9p-3, -0x1.e8d53b91eadbcp-3, -0x1.e143cac430ffp-3, -0x1.d9c4bcfc54e4bp-3, -0x1.d2582e727d818p-3, -0x1.cafe3924fa1bp-3, -0x1.c3b6f4e0d3254p-3, -0x1.bc82774a99943p-3, -0x1.b560d3e75c001p-3, -0x1.ae521c25d0904p-3, -0x1.a7565f679dafcp-3, -0x1.a06dab0aca565p-3, -0x1.99980a7351814p-3, -0x1.92d58714cc8acp-3, -0x1.8c26287c36223p-3, -0x1.8589f459ceb11p-3, -0x1.7f00ee8b04454p-3, -0x1.788b192475bf2p-3, -0x1.7228747bfc28ap-3, -0x1.6bd8ff32c6845p-3, -0x1.659cb63f7218cp-3, -0x1.5f7394f8328ffp-3, -0x1.595d951cf5b1dp-3, -0x1.535aaee18b842p-3, -0x1.4d6ad8f7c8425p-3, -0x1.478e0899a6551p-3, -0x1.41c431935f7e8p-3, -0x1.3c0d464d7e1b6p-3, -0x1.366937d6e4b7ap-3, -0x1.30d7f5eec951ep-3, -0x1.2b596f0ea1abap-3, -0x1.25ed907403484p-3, -0x1.2094462a6d6edp-3, -0x1.1b4d7b1506db7p-3, -0x1.161918f8402bdp-3, -0x1.10f708836757dp-3, -0x1.0be7315a22895p-3, -0x1.06e97a1dd2525p-3, -0x1.01fdc876d7bep-3, -0x1.fa48023b9194p-4, -0x1.f0b80fc906e49p-4, -0x1.e74b7f7e4af2cp-4, -0x1.de021599cc8f6p-4, -0x1.d4db94c1b0549p-4, -0x1.cbd7be1510492p-4, -0x1.c2f6513cf1a0dp-4, -0x1.ba370c7d1206bp-4, -0x1.b199acc463fa8p-4, -0x1.a91dedbd48549p-4, -0x1.a0c389dd8bf97p-4, -0x1.988a3a762286ep-4, -0x1.9071b7c294a71p-4, -0x1.8879b8f82ee1ep-4, -0x1.80a1f454e84d9p-4, -0x1.78ea1f2e02b3bp-4, -0x1.7151edfe65393p-4, -0x1.69d91474acc91p-4, -0x1.627f4580f788ap-4, -0x1.5b44336265e27p-4, -0x1.54278fb45612fp-4, -0x1.4d290b7b543d7p-4, -0x1.46485731c3f55p-4, -0x1.3f8522d44368ep-4, -0x1.38df1dedc17e6p-4, -0x1.3255f7a350eaap-4, -0x1.2be95ebfae936p-4, -0x1.259901be8680fp-4, -0x1.1f648ed76a594p-4, -0x1.194bb408860fap-4, -0x1.134e1f210b92cp-4, -0x1.0d6b7dcb5a928p-4, -0x1.07a37d96debcfp-4, -0x1.01f5cc01ad10fp-4, -0x1.f8c42d03b279fp-5, -0x1.edd0151d12bf7p-5, -0x1.e30eab518a58fp-5, -0x1.d87f4ac802a94p-5, -0x1.ce214edcd8a13p-5, -0x1.c3f41331eb564p-5, -0x1.b9f6f3be2d58bp-5, -0x1.b0294cdcb7046p-5, -0x1.a68a7b5b5adcdp-5, -0x1.9d19dc88ba8aep-5, -0x1.93d6ce41e169p-5, -0x1.8ac0aeff6b4e9p-5, -0x1.81d6dde22b48p-5, -0x1.7918babf637b8p-5, -0x1.7085a62c845dcp-5, -0x1.681d018a7ed54p-5, -0x1.5fde2f10a34f9p-5, -0x1.57c891d70b52fp-5, -0x1.4fdb8de0a7ef1p-5, -0x1.48168824d3a03p-5, -0x1.4078e6988424cp-5, -0x1.39021037131fcp-5, -0x1.31b16d0aa6acfp-5, -0x1.2a8666342ce31p-5, -0x1.238065f2ffbap-5, -0x1.1c9ed7ac23424p-5, -0x1.15e127f12be63p-5, -0x1.0f46c486c6067p-5, -0x1.08cf1c6ae1668p-5, -0x1.02799fda8d164p-5, -0x1.f88b80aeec3abp-6, -0x1.ec65e15a2df9fp-6, -0x1.e08149eb22afep-6, -0x1.d4dca53c7e3ffp-6, -0x1.c976e0d7d7999p-6, -0x1.be4eecfd913abp-6, -0x1.b363bcac2c834p-6, -0x1.a8b445a703a1bp-6, -0x1.9e3f807c809c9p-6, -0x1.9404688bc366p-6, -0x1.8a01fc09c675cp-6, -0x1.80373c05fdaebp-6, -0x1.76a32c6e796bcp-6, -0x1.6d44d4139137fp-6, -0x1.641b3cab0f286p-6, -0x1.5b2572d2ea9f6p-6, -0x1.526286139548bp-6, -0x1.49d188e1d562cp-6, -0x1.417190a03fa01p-6, -0x1.3941b5a0352fp-6, -0x1.314113229d7fep-6, -0x1.296ec7581a579p-6, -0x1.21c9f361022eap-6, -0x1.1a51bb4ce8906p-6, -0x1.13054619d912dp-6, -0x1.0be3bdb3361f9p-6, -0x1.04ec4ef0537a7p-6, -0x1.fc3c53256ed4ap-7, -0x1.eef1008822946p-7, -0x1.e1f51127d3787p-7, -0x1.d546f5ea270f4p-7, -0x1.c8e525758a69ap-7, -0x1.bcce1c2b13b24p-7, -0x1.b1005c1fc624dp-7, -0x1.a57a6d1566d6ap-7, -0x1.9a3adc72e7f17p-7, -0x1.8f403d3c5db62p-7, -0x1.8489280a87215p-7, -0x1.7a143b0204eefp-7, -0x1.6fe019ca135cfp-7, -0x1.65eb6d8308d0cp-7, -0x1.5c34e4bc63e6ep-7, -0x1.52bb336a98c45p-7, -0x1.497d12dc8726ep-7, -0x1.407941b0a691bp-7, -0x1.37ae83c9ecf42p-7, -0x1.2f1ba2447b0c3p-7, -0x1.26bf6b69fa416p-7, -0x1.1e98b2a5ce964p-7, -0x1.16a6507907dcep-7, -0x1.0ee7226e27b62p-7, -0x1.075a0b0ca980fp-7, -0x1.fffbe398d7c56p-8, -0x1.f1a38611d6e48p-8, -0x1.e3a8dfe8a45c8p-8, -0x1.d609dd14d08ap-8, -0x1.c8c47306c6732p-8, -0x1.bbd6a08d23b3p-8, -0x1.af3e6dba056b5p-8, -0x1.a2f9ebc7d2532p-8, -0x1.970734fe376fap-8, -0x1.8b646c96b7dfp-8, -0x1.800fbea1428c7p-8, -0x1.75075fe89e3b8p-8, -0x1.6a498dd6b57cfp-8, -0x1.5fd48e58ea3d4p-8, -0x1.55a6afc437c8bp-8, -0x1.4bbe48b9617a8p-8, -0x1.4219b809255c4p-8, -0x1.38b7649837e29p-8, -0x1.2f95bd4389f89p-8, -0x1.26b338c45ea1bp-8, -0x1.1e0e55946f3e7p-8, -0x1.15a599d236a93p-8, -0x1.0d7793252f17cp-8, -0x1.0582d6a2332d3p-8, -0x1.fb8c015fc8c71p-9, -0x1.ec7f69d67b4ebp-9, -0x1.dddd3c186adc7p-9, -0x1.cfa2db94d73f3p-9, -0x1.c1cdb9843cd89p-9, -0x1.b45b54b2543ffp-9, -0x1.a74939483dcf2p-9, -0x1.9a95009741ccbp-9, -0x1.8e3c50e3aa7c6p-9, -0x1.823cdd300bf54p-9, -0x1.76946508ec3c3p-9, -0x1.6b40b450b1bc2p-9, -0x1.603fa30c00a5ap-9, -0x1.558f152e72605p-9, -0x1.4b2cfa67dc8a3p-9, -0x1.41174df1ce91cp-9, -0x1.374c165d8b297p-9, -0x1.2dc9656279a43p-9, -0x1.248d57ad201cfp-9, -0x1.1b9614ae612d3p-9, -0x1.12e1ce6b492fdp-9, -0x1.0a6ec14d6ba21p-9, -0x1.023b33f383824p-9, -0x1.f48aee0586a38p-10, -0x1.e517c9f12fdecp-10, -0x1.d619c3f999a9dp-10, -0x1.c78db768c112ap-10, -0x1.b97092294903cp-10, -0x1.abbf546e29126p-10, -0x1.9e77105b2c96dp-10, -0x1.9194e9ae781a7p-10, -0x1.8516156b39231p-10, -0x1.78f7d9852f4a7p-10, -0x1.6d378c8dae82fp-10, -0x1.61d29560fc8f4p-10, -0x1.56c66ad594dd6p-10, -0x1.4c10936bb8f1p-10, -0x1.41aea4fe9ce2ap-10, -0x1.379e44766e4b7p-10, -0x1.2ddd257b57641p-10, -0x1.24690a29bc44cp-10, -0x1.1b3fc2c76d96ap-10, -0x1.125f2d79fa604p-10, -0x1.09c535fe1a2bfp-10, -0x1.016fd56002605p-10, -0x1.f2ba2369e4b33p-11, -0x1.e315fbab5076dp-11, -0x1.d3ef7234388bp-11, -0x1.c542de2be2dbap-11, -0x1.b70caeacaab7bp-11, -0x1.a9496a40fe831p-11, -0x1.9bf5ae633736bp-11, -0x1.8f0e2efed5b0dp-11, -0x1.828fb5f45f0eap-11, -0x1.7677229e97d9cp-11, -0x1.6ac1695a5aa5ap-11, -0x1.5f6b931026e67p-11, -0x1.5472bcbfa013fp-11, -0x1.49d4170d335d3p-11, -0x1.3f8ce5d15816ep-11, -0x1.359a7faa63efdp-11, -0x1.2bfa4d8f6e7e2p-11, -0x1.22a9ca65c6187p-11, -0x1.19a6829837eefp-11, -0x1.10ee13afbdbacp-11, -0x1.087e2bee6f7cfp-11, -0x1.005489ec3679dp-11, -0x1.f0ddf86a9d732p-12, -0x1.e196c1d4fba9fp-12, -0x1.d2cf4ac5ec8dcp-12, -0x1.c4838ba0c3f6cp-12, -0x1.b6af99c85cdaep-12, -0x1.a94fa6edda2fbp-12, -0x1.9c6000623dc75p-12, -0x1.8fdd0e6bb4895p-12, -0x1.83c3539e21221p-12, -0x1.780f6c36997ffp-12, -0x1.6cbe0d7aac967p-12, -0x1.61cc051a4b38bp-12, -0x1.57363894f45e2p-12, -0x1.4cf9a4a26f959p-12, -0x1.43135c9de03f1p-12, -0x1.398089f467674p-12, -0x1.303e6b96580f3p-12, -0x1.274a556bc4f11p-12, -0x1.1ea1afcb5fd78p-12, -0x1.1641f6f4ffe77p-12, -0x1.0e28ba8df66f4p-12, -0x1.06539d211bc58p-12, -0x1.fd80a7419b99cp-13, -0x1.eed949d8787fbp-13, -0x1.e0acd2ad9d6c8p-13, -0x1.d2f7146504da5p-13, -0x1.c5b402b97d1f4p-13, -0x1.b8dfb19b12c5p-13, -0x1.ac765452b725dp-13, -0x1.a0743caa89492p-13, -0x1.94d5da1b9dac6p-13, -0x1.8997b8feedfedp-13, -0x1.7eb681c4fcbb8p-13, -0x1.742ef82ffbe11p-13, -0x1.69fdfa93f9b1bp-13, -0x1.6020811ab2982p-13, -0x1.56939d0bc80cfp-13, -0x1.4d5478194fdf2p-13, -0x1.446053b06e6a2p-13, -0x1.3bb4884e38125p-13, -0x1.334e84d8b17fap-13, -0x1.2b2bcdfb2dd5dp-13, -0x1.2349fd870e516p-13, -0x1.1ba6c1d8876b4p-13, -0x1.143fdd3e200a7p-13, -0x1.0d132565438cfp-13, -0x1.061e82c921c8fp-13, -0x1.febfe04b769e7p-14, -0x1.f1aaf3dd05387p-14, -0x1.e4fa7b8fa2edep-14, -0x1.d8aad4087a355p-14, -0x1.ccb87a49f79c5p-14, -0x1.c1200aba297ffp-14, -0x1.b5de40313206cp-14, -0x1.aaeff30c15fe6p-14, -0x1.a052184650b5ep-14, -0x1.9601c099684a5p-14, -0x1.8bfc17a2521f4p-14, -0x1.823e630ba3051p-14, -0x1.78c601be41589p-14, -0x1.6f906b17a0258p-14, -0x1.669b2e23e100dp-14, -0x1.5de3f0df0fb88p-14, -0x1.55686f79aa87p-14, -0x1.4d267ba370149p-14, -0x1.451bfbda7d082p-14, -0x1.3d46eabf07574p-14, -0x1.35a5566bcd7c7p-14, -0x1.2e355fd42b56p-14, -0x1.26f53a246730ep-14, -0x1.1fe32a289527bp-14, -0x1.18fd85b66d4f3p-14, -0x1.1242b31b52d33p-14, -0x1.0bb1288f8554cp-14, -0x1.05476babc758dp-14, -0x1.fe0821c86524ep-15, -0x1.f1cb760bb0246p-15, -0x1.e5d6357147899p-15, -0x1.da25dc09fc9f5p-15, -0x1.ceb7ffb8ded88p-15, -0x1.c38a4f4b5da5fp-15, -0x1.b89a919a67753p-15, -0x1.ade6a4af29823p-15, -0x1.a36c7cefcb361p-15, -0x1.992a2451d185ap-15, -0x1.8f1db99418438p-15, -0x1.85456f7b9fa03p-15, -0x1.7b9f8c19e8bd2p-15, -0x1.722a68167ce62p-15, -0x1.68e46dfeac2efp-15, -0x1.5fcc199aa9d7ep-15, -0x1.56dff7483326dp-15, -0x1.4e1ea35a1cc5bp-15, -0x1.4586c97c34044p-15, -0x1.3d17241d917f2p-15, -0x1.34ce7bde2f497p-15, -0x1.2caba7021f843p-15, -0x1.24ad88e7e15c8p-15, -0x1.1cd31184f1c01p-15, -0x1.151b3ce59e7f8p-15, -0x1.0d8512b0281dap-15, -0x1.060fa5adbd567p-15, -0x1.fd7426ace098bp-16, -0x1.ef0706c1a9a1bp-16, -0x1.e0d64eab354edp-16, -0x1.d2e0744dc73fep-16, -0x1.c523ff952c734p-16, -0x1.b79f89b2e1ed7p-16, -0x1.aa51bc5ea096ap-16, -0x1.9d395121a10c9p-16, -0x1.905510a6bbe36p-16, -0x1.83a3d20e1f315p-16, -0x1.77247a4bada59p-16, -0x1.6ad5fb8731466p-16, -0x1.5eb7548394bd7p-16, -0x1.52c7900ce482ep-16, -0x1.4705c4688890cp-16, -0x1.3b7112ce0a7a7p-16, -0x1.3008a6e2a7c45p-16, -0x1.24cbb63a77b1ap-16, -0x1.19b97fddb16fap-16, -0x1.0ed14bd4307d9p-16, -0x1.04126ab2ab963p-16, -0x1.f2f86a5ce6acep-17, -0x1.de1c176ac0c46p-17, -0x1.c98eac1071871p-17, -0x1.b54f05b46807p-17, -0x1.a15c0ee8137eep-17, -0x1.8db4beb3ee043p-17, -0x1.7a5817eeb83ccp-17, -0x1.674528953b1acp-17, -0x1.547b092ff701ap-17, -0x1.41f8dc3948a95p-17, -0x1.2fbdcd8d05283p-17, -0x1.1dc911ddfbbd6p-17, -0x1.0c19e62f41ca2p-17, -0x1.f55f1eae41355p-18, -0x1.d312b304493c2p-18, -0x1.b14d2f7fe5c8ap-18, -0x1.900d4727ccf97p-18, -0x1.6f51b9140ac73p-18, -0x1.4f194fa2e1609p-18, -0x1.2f62dfb62ad0ap-18, -0x1.102d47f96eaa6p-18, -0x1.e2eee064ea4c3p-19, -0x1.a6809130705ecp-19, -0x1.6b0d9263ecaep-19, -0x1.3093e27fc4348p-19, -0x1.ee231aa0371a7p-20, -0x1.7d0955c361999p-20, -0x1.0dd6bce5a14f6p-20, -0x1.410f5602e31cep-21, -0x1.a8c46da042dd6p-23, 0x1.a3d0e3e47bf25p-23, 0x1.38678b99e6f28p-21, 0x1.0217d2c197d84p-20, 0x1.66299ba838536p-20, 0x1.c86c6df0592b8p-20, 0x1.1471c6c3fdba5p-19, 0x1.43c91b01698bbp-19, 0x1.723dcdec31e28p-19, 0x1.9fd176b0498ebp-19, 0x1.cc85a9f5bb453p-19, 0x1.f85bfa52e2052p-19, 0x1.11aafc616034cp-18, 0x1.26ba9a85eb3c3p-18, 0x1.3b5d9f11c95c2p-18, 0x1.4f94d143d40e9p-18, 0x1.6360f84a2c018p-18, 0x1.76c2db676392dp-18, 0x1.89bb4218ed8e9p-18, 0x1.9c4af435a8e02p-18, 0x1.ae72ba0bd009cp-18, 0x1.c0335c7de04e8p-18, 0x1.d18da5191ee1p-18, 0x1.e2825e2d7d6dp-18, 0x1.f31252e05bb8dp-18, 0x1.019f279f38d6dp-17, 0x1.098390255fa59p-17, 0x1.1136ca0615b0bp-17, 0x1.18b93cccb0e61p-17, 0x1.200b50909024dp-17, 0x1.272d6df9d8415p-17, 0x1.2e1ffe43bf00bp-17, 0x1.34e36b3fc54fp-17, 0x1.3b781f561cd95p-17, 0x1.41de8587b75ebp-17, 0x1.4817096daceb3p-17, 0x1.4e2217393a66bp-17, 0x1.54001bb252aa3p-17, 0x1.59b18436493bfp-17, 0x1.5f36beb5fb32ap-17, 0x1.649039b315b11p-17, 0x1.69be643d08f01p-17, 0x1.6ec1adedbe9cfp-17, 0x1.739a86e5ba55bp-17, 0x1.78495fc760892p-17, 0x1.7ccea9b34f281p-17, 0x1.812ad642eeeefp-17, 0x1.855e57833a025p-17, 0x1.89699fefd4b0dp-17, 0x1.8d4d226d1463p-17, 0x1.910952421c298p-17, 0x1.949ea312d9969p-17, 0x1.980d88d9ae018p-17, 0x1.9b5677e154512p-17, 0x1.9e79e4bd81133p-17, 0x1.a17844451d4dfp-17, 0x1.a4520b8aec5b6p-17, 0x1.a707afd6740f4p-17, 0x1.a999a69db4639p-17, 0x1.ac08657d331fdp-17, 0x1.ae546231e8d82p-17, 0x1.b07e129149b26p-17, 0x1.b285ec8241b97p-17, 0x1.b46c65f63f999p-17, 0x1.b631f4e174293p-17, 0x1.b7d70f345915ap-17, 0x1.b95c2ad3f1dcdp-17, 0x1.bac1bd92d0c6p-17, 0x1.bc083d29cf79p-17, 0x1.bd301f318a239p-17, 0x1.be39d91aa6369p-17, 0x1.bf25e02744e63p-17, 0x1.bff4a963de572p-17, 0x1.c0a6a9a07d5b4p-17, 0x1.c13c556a0544p-17, 0x1.c1b621033b2e7p-17, 0x1.c214805e9d63fp-17, 0x1.c257e71758791p-17, 0x1.c280c86b97bd4p-17, 0x1.c28f9735972bdp-17, 0x1.c284c5e5e8548p-17, 0x1.c260c67ceef16p-17, 0x1.c2240a85217dp-17, 0x1.c1cf030d2e656p-17, 0x1.c16220a229e6p-17, 0x1.c0ddd349f867ep-17, 0x1.c0428a7dba537p-17, 0x1.bf90b524b3d24p-17, 0x1.bec8c18ead193p-17, 0x1.bdeb1d6f2dc0ap-17, 0x1.bcf835d86a49fp-17, 0x1.bbf0773661343p-17, 0x1.bad44d4a572e4p-17, 0x1.b9a42325cd422p-17, 0x1.b86063267052p-17, 0x1.b70976f1bda4ap-17, 0x1.b59fc7708ef1bp-17, 0x1.b423bccb817cap-17, 0x1.b295be66e13eep-17, 0x1.b0f632deb98ap-17, 0x1.af4580037e6ddp-17, 0x1.ad840ad666da4p-17, 0x1.abb23785f9325p-17, 0x1.a9d0696b18226p-17, 0x1.a7df0305b4ab2p-17, 0x1.a5de65f9c3e91p-17, 0x1.a3cef30c7a084p-17, 0x1.a1b10a21b6384p-17, 0x1.9f850a3977459p-17, 0x1.9d4b516d03d1ap-17, 0x1.9b043ced15f2bp-17, 0x1.98b028ff97dc4p-17, 0x1.964f70fd5ac36p-17, 0x1.93e26f500bbb6p-17, 0x1.91697d70c5a85p-17, 0x1.8ee4f3e61767p-17, 0x1.8c552a426ed6p-17, 0x1.89ba7722a504bp-17, 0x1.8715302c832d5p-17, 0x1.8465aa0dc22eap-17, 0x1.81ac387aaf3a6p-17, 0x1.7ee92e2d4c74ap-17, 0x1.7c1cdce45631p-17, 0x1.794795626f194p-17, 0x1.7669a76d46903p-17, 0x1.738361cd2e0c5p-17, 0x1.7095124c6d98ap-17, 0x1.6d9f05b6e0644p-17, 0x1.6aa187d9ae248p-17, 0x1.679ce382daacp-17, 0x1.6491628183e2ep-17, 0x1.617f4da58419fp-17, 0x1.5e66ecbf66836p-17, 0x1.5b4886a0e493dp-17, 0x1.5824611cdd5cfp-17, 0x1.54fac10770ef4p-17, 0x1.51cbea36b8d18p-17, 0x1.4e981f82fdc24p-17, 0x1.4b5fa2c73bdefp-17, 0x1.4822b4e1b4a15p-17, 0x1.44e195b4b2946p-17, 0x1.419c84272115ap-17, 0x1.3e53be25773d1p-17, 0x1.3b0780a26b49fp-17, 0x1.37b80797f69e7p-17, 0x1.34658e0861a8ap-17, 0x1.31104dff43fa3p-17, 0x1.2db880926f55dp-17, 0x1.2a5e5de34d05p-17, 0x1.27021d2002af8p-17, 0x1.23a3f484ae41fp-17, 0x1.2044195cadca8p-17, 0x1.1ce2c004079dbp-17, 0x1.19801be8d5f0bp-17, 0x1.161c5f8cafdb9p-17, 0x1.12b7bc861b946p-17, 0x1.0f52638241ceep-17, 0x1.0bec84467d13dp-17, 0x1.08864db1b83e7p-17, 0x1.051fedbe589eep-17, 0x1.01b99183cd76fp-17, 0x1.fca6ca708182ep-18, 0x1.f5db2864f15e5p-18, 0x1.ef1091d74d19bp-18, 0x1.e8475a01e6722p-18, 0x1.e17fd26b44681p-18, 0x1.daba4ae9a3111p-18, 0x1.d3f711a6a7018p-18, 0x1.cd3673235b136p-18, 0x1.c678ba3c2135p-18, 0x1.bfbe302c85871p-18, 0x1.b9071c9316f51p-18, 0x1.b253c575bd2efp-18, 0x1.aba46f4545bd4p-18, 0x1.a4f95ce1fc45cp-18, 0x1.9e52cf9f5f1c4p-18, 0x1.97b107489afeap-18, 0x1.911442245791dp-18, 0x1.8a7cbcf91d35dp-18, 0x1.83eab31179ffbp-18, 0x1.7d5e5e4049499p-18, 0x1.76d7f6e4c888cp-18, 0x1.7057b3ef0b8acp-18, 0x1.69ddcae44d3efp-18, 0x1.636a6fe2f13c9p-18, 0x1.5cfdd5a6d84b5p-18, 0x1.56982d8de276ap-18, 0x1.5039a79c35769p-18, 0x1.49e272803c7b6p-18, 0x1.4392bb9761041p-18, 0x1.3d4aaef209826p-18, 0x1.370a7758017d2p-18, 0x1.30d23e4cf54c3p-18, 0x1.2aa22c1491046p-18, 0x1.247a67b6c5263p-18, 0x1.1e5b17041f794p-18, 0x1.18445e9a1a1b1p-18, 0x1.123661e7663afp-18, 0x1.0c3143301b2a6p-18, 0x1.06352391f420cp-18, 0x1.00422308aa3ddp-18, 0x1.f4b0c0e44f462p-19, 0x1.e8eff32569938p-19, 0x1.dd4216324559p-19, 0x1.d1a761462c2e5p-19, 0x1.c6200981ed748p-19, 0x1.baac41f459dd6p-19, 0x1.af4c3ba2cc34bp-19, 0x1.a4002590ee2a3p-19, 0x1.98c82cc905bafp-19, 0x1.8da47c642f00dp-19, 0x1.82953d9294db1p-19, 0x1.779a97a2cccep-19, 0x1.6cb4b00a1f3c1p-19, 0x1.61e3aa6cb486bp-19, 0x1.5727a8a530573p-19, 0x1.4c80cacc648a3p-19, 0x1.41ef2f4154cf2p-19, 0x1.3772f2b0ab51dp-19, 0x1.2d0c301c3a126p-19, 0x1.22bb00e2bfaf3p-19, 0x1.187f7cc786236p-19, 0x1.0e59b9f98f616p-19, 0x1.0449cd1b23ed1p-19, 0x1.f49f92923643ap-20, 0x1.e0d78043e3cb4p-20, 0x1.cd3b839a1b7d8p-20, 0x1.b9cbba042a7c7p-20, 0x1.a6883e1f87a7cp-20, 0x1.937127c6059f1p-20, 0x1.80868c1b58fb4p-20, 0x1.6dc87d9b2b2f4p-20, 0x1.5b370c26a7acap-20, 0x1.48d24511b3b65p-20, 0x1.369a33300cd69p-20, 0x1.248edee23a5dfp-20, 0x1.12b04e238a5cep-20, 0x1.00fe8496b814ap-20, 0x1.def307245ad2p-21, 0x1.bc429458f32dp-21, 0x1.99ebaa91a5069p-21, }}, 
      {{0x1.4f81fe35f8f04p-15, 0x1.4f82040804f1dp-13, 0x1.7988f1b53c01ap-12, 0x1.4fd2f6e3da188p-11, 0x1.06ba523fbfeb2p-10, 0x1.7b2bbdb0e92f6p-10, 0x1.02db7278807aap-9, 0x1.53789537946eep-9, 0x1.afc134bfbdafp-9, 0x1.0c0645c4a4efep-8, 0x1.46576f69b03fp-8, 0x1.86f9bc03479e2p-8, 0x1.ce0b9cad1075cp-8, 0x1.0dd101b20155cp-7, 0x1.37e347a38e9cp-7, 0x1.653b19c73dfc3p-7, 0x1.95d02a7620e11p-7, 0x1.c9932a371c81bp-7, 0x1.0036df10d8813p-6, 0x1.1d21505b7fe72p-6, 0x1.3b76f33f95057p-6, 0x1.5b22afea9a50ap-6, 0x1.7c0c88cfaba18p-6, 0x1.9e19df949d727p-6, 0x1.c12dbff241fep-6, 0x1.e5292e3736275p-6, 0x1.04f5bbb60e2e5p-5, 0x1.17a940b3323bap-5, 0x1.2a9d8cb0df29cp-5, 0x1.3dc09fff11234p-5, 0x1.510038dff990fp-5, 0x1.6449f5b435bc2p-5, 0x1.778b74d701767p-5, 0x1.8ab272037babfp-5, 0x1.9dace12dd54d3p-5, 0x1.b06906ca0e39fp-5, 0x1.c2d58d85a0f1ep-5, 0x1.d4e19982ecdc4p-5, 0x1.e67cd92c59d6p-5, 0x1.f79793ba7b5dbp-5, 0x1.04115ac62a7c4p-4, 0x1.0c07ed39ae9b6p-4, 0x1.13a8ab0b330bep-4, 0x1.1aed1d47984c1p-4, 0x1.21cf2eb347e7dp-4, 0x1.28492d8936a69p-4, 0x1.2e55cc8c1b34ap-4, 0x1.33f0237a86334p-4, 0x1.3913aef5dc612p-4, 0x1.3dbc4feb69967p-4, 0x1.41e64a8e0308fp-4, 0x1.458e44edc3347p-4, 0x1.48b1453a9813p-4, 0x1.4b4cafbd7d3ccp-4, 0x1.4d5e449350806p-4, 0x1.4ee41d3365e99p-4, 0x1.4fdca9cb1143dp-4, 0x1.5046ae769d298p-4, 0x1.5021405f5276dp-4, 0x1.4f6bc2c56d967p-4, 0x1.4e25e3fc2c33ap-4, 0x1.4c4f9a5d69e6ep-4, 0x1.49e921399a6e1p-4, 0x1.46f2f5c85724bp-4, 0x1.436dd41d22e23p-4, 0x1.3f5ab423850b5p-4, 0x1.3abac6a51cbbep-4, 0x1.358f725be0662p-4, 0x1.2fda51125b904p-4, 0x1.299d2cd35e10ap-4, 0x1.22d9fd2a3cc2fp-4, 0x1.1b92e47487b6ep-4, 0x1.13ca2d45cf3ep-4, 0x1.0b8247dde3ddfp-4, 0x1.02bdc7b1c809bp-4, 0x1.f2fec20edf903p-5, 0x1.df93cd4874cc5p-5, 0x1.cb408f1c09eaap-5, 0x1.b60b19bd3331ep-5, 0x1.9ff9af525f9fap-5, 0x1.8912bde34a7a1p-5, 0x1.715cdb6a2095dp-5, 0x1.58dec2068ce2bp-5, 0x1.3f9f4c51d10efp-5, 0x1.25a571d32643fp-5, 0x1.0af8439381a64p-5, 0x1.df3dd19fe327fp-6, 0x1.a7413793ae16p-6, 0x1.6e094d6845ab1p-6, 0x1.33a4c179e02p-6, 0x1.f044accb063b6p-7, 0x1.7721bb12fa219p-7, 0x1.f7fcc6ea6d771p-8, 0x1.fbe1916839c67p-9, 0x1.6bd8f86351ce2p-18, -0x1.00894a9eb0c2ap-8, -0x1.02405d7b4d07cp-7, -0x1.85a82a0c0403ep-7, -0x1.052f56074c58ep-6, -0x1.48235871cb989p-6, -0x1.8ba19ce9242a7p-6, -0x1.cf9bc1a1ceba2p-6, -0x1.0a01c2e992888p-5, -0x1.2c65667f5ea23p-5, -0x1.4ef1d106ec205p-5, -0x1.71a01d22d07d3p-5, -0x1.94697c09831dcp-5, -0x1.b74736d773014p-5, -0x1.da32afcd9fff8p-5, -0x1.fd25637d2e298p-5, -0x1.100c74f01fd25p-4, -0x1.21837bb0429f1p-4, -0x1.32f4aee5f7cf5p-4, -0x1.445d069beefffp-4, -0x1.55b98a699f9b3p-4, -0x1.670751d4039bp-4, -0x1.784384a635e49p-4, -0x1.896b5b4229e2fp-4, -0x1.9a7c1ee9b480dp-4, -0x1.ab732a001ac0dp-4, -0x1.bc4de844670abp-4, -0x1.cd09d704b3fa2p-4, -0x1.dda4854ab0f1p-4, -0x1.ee1b940182e7p-4, -0x1.fe6cb61562945p-4, -0x1.074ad84680609p-3, -0x1.0f4a2d4e89a03p-3, -0x1.17334edb119a2p-3, -0x1.1f053ac678882p-3, -0x1.26bef80ec1b99p-3, -0x1.2e5f96d49f0b5p-3, -0x1.35e630580d9c7p-3, -0x1.3d51e6f2a1a77p-3, -0x1.44a1e60f9e86fp-3, -0x1.4bd56221f2a64p-3, -0x1.52eb98982e3bbp-3, -0x1.59e3cfce95592p-3, -0x1.60bd56ff5c462p-3, -0x1.6777863127a65p-3, -0x1.6e11be23ee53ep-3, -0x1.748b683c4be2ap-3, -0x1.7ae3f66d5aa9cp-3, -0x1.811ae32130992p-3, -0x1.872fb1200a49bp-3, -0x1.8d21eb763eabep-3, -0x1.92f125590c0b2p-3, -0x1.989cfa0a56258p-3, -0x1.9e250cbb5b805p-3, -0x1.a389086e860a3p-3, -0x1.a8c89fd850e1cp-3, -0x1.ade38d3f69f56p-3, -0x1.b2d9925c13e16p-3, -0x1.b7aa7836d29bcp-3, -0x1.bc560f067ff32p-3, -0x1.c0dc2e0dc7e1ep-3, -0x1.c53cb37822b2cp-3, -0x1.c97784365b096p-3, -0x1.cd8c8bda9fcf4p-3, -0x1.d17bbc7441af5p-3, -0x1.d5450e6b197d1p-3, -0x1.d8e8805aa1334p-3, -0x1.dc6616ecdbb0fp-3, -0x1.dfbddcb4fe02ap-3, -0x1.e2efe209f81fcp-3, -0x1.e5fc3ce0d7d55p-3, -0x1.e8e308a71bdbbp-3, -0x1.eba4661cf7167p-3, -0x1.ee407b2f8b093p-3, -0x1.f0b772d32cdap-3, -0x1.f3097cddaf9b4p-3, -0x1.f536cde0c1ef1p-3, -0x1.f73f9f0468b24p-3, -0x1.f9242de196ad7p-3, -0x1.fae4bc5cebdc1p-3, -0x1.fc819081a3516p-3, -0x1.fdfaf45cb17ebp-3, -0x1.ff5135d81e495p-3, -0x1.0042534b50fd9p-2, -0x1.00cacde7bbecfp-2, -0x1.0142371545accp-2, -0x1.01a8bcce73a2ap-2, -0x1.01fe8ea2bcadep-2, -0x1.0243dda51841ap-2, -0x1.0278dc5ab97a7p-2, -0x1.029dbea9f9b36p-2, -0x1.02b2b9c9753e5p-2, -0x1.02b8042f5a3fap-2, -0x1.02add580eda2ap-2, -0x1.0294668244638p-2, -0x1.026bf106398bcp-2, -0x1.0234afde9732p-2, -0x1.01eedecc8091ep-2, -0x1.019aba7113fe6p-2, -0x1.0138803e4c297p-2, -0x1.00c86e681f6ecp-2, -0x1.004ac3d5de731p-2, -0x1.ff7f8027aa5aap-3, -0x1.fe4f468a55a6cp-3, -0x1.fd055c2c0860dp-3, -0x1.fba2435bd6f09p-3, -0x1.fa267f44f5081p-3, -0x1.f89293d48e0dap-3, -0x1.f6e705a0322d5p-3, -0x1.f52459ccc3d69p-3, -0x1.f34b15f5f73dcp-3, -0x1.f15bc0165b15dp-3, -0x1.ef56de6ff0aa3p-3, -0x1.ed3cf7755196ep-3, -0x1.eb0e91b3623d1p-3, -0x1.e8cc33bb90136p-3, -0x1.e676640ea7419p-3, -0x1.e40da9082deebp-3, -0x1.e19288ca51943p-3, -0x1.df05892a602b9p-3, -0x1.dc672f9dd8a7dp-3, -0x1.d9b80127fa185p-3, -0x1.d6f88247ed9bcp-3, -0x1.d42936e778a95p-3, -0x1.d14aa24a36d09p-3, -0x1.ce5d46fd681fdp-3, -0x1.cb61a6c841b97p-3, -0x1.c858429ccdca2p-3, -0x1.c5419a8952f39p-3, -0x1.c21e2daa3fa9ap-3, -0x1.beee7a1ca5cfbp-3, -0x1.bbb2fcf1333e9p-3, -0x1.b86c321fae3aep-3, -0x1.b51a947afea85p-3, -0x1.b1be9da5adfc5p-3, -0x1.ae58c606ece3fp-3, -0x1.aae984c019563p-3, -0x1.a7714fa2bb657p-3, -0x1.a3f09b27043fdp-3, -0x1.a067da62c4cf9p-3, -0x1.9cd77f00db1b3p-3, -0x1.993ff93919084p-3, -0x1.95a1b7c89d776p-3, -0x1.91fd27eaa25d9p-3, -0x1.8e52b551b7ef9p-3, -0x1.8aa2ca21768c6p-3, -0x1.86edcee896b16p-3, -0x1.83342a9b76e1p-3, -0x1.7f76428f0cd9dp-3, -0x1.7bb47a743a334p-3, -0x1.77ef345389a61p-3, -0x1.7426d0894df86p-3, -0x1.705badc2228c6p-3, -0x1.6c8e28f7cd92p-3, -0x1.68be9d6e75c8ep-3, -0x1.64ed64b243922p-3, -0x1.611ad6954a231p-3, -0x1.5d47492dd1793p-3, -0x1.597310d4f21cbp-3, -0x1.559e802583914p-3, -0x1.51c9e7fb59f17p-3, -0x1.4df59772d1d2cp-3, -0x1.4a21dbe8ac354p-3, -0x1.464f00fa2d4d3p-3, -0x1.427d508588b3cp-3, -0x1.3ead12aa9071fp-3, -0x1.3ade8dcba988fp-3, -0x1.3712068f03534p-3, -0x1.3347bfe0048f1p-3, -0x1.2f7ffaf1040cdp-3, -0x1.2bbaf73d34633p-3, -0x1.27f8f28ac7ee2p-3, -0x1.243a28ed4dfaap-3, -0x1.207ed4c8467bap-3, -0x1.1cc72ed1e9a4fp-3, -0x1.19136e161a9f6p-3, -0x1.1563c7f98f04p-3, -0x1.11b8703d24f61p-3, -0x1.0e1199015d4cep-3, -0x1.0a6f72ca09a4p-3, -0x1.06d22c8215afp-3, -0x1.0339f37f82b1ap-3, -0x1.ff4de70efc77p-4, -0x1.f832ada542b5dp-4, -0x1.f1228c2294652p-4, -0x1.ea1dd0e0333f9p-4, -0x1.e324c73913039p-4, -0x1.dc37b7934e22cp-4, -0x1.d556e769b14fep-4, -0x1.ce82995592b25p-4, -0x1.c7bb0d18ca864p-4, -0x1.c1007fa7d4339p-4, -0x1.ba532b341ee3bp-4, -0x1.b3b3473673349p-4, -0x1.ad21087992f93p-4, -0x1.a69ca124d7376p-4, -0x1.a02640c70d7b4p-4, -0x1.99be14614e20dp-4, -0x1.93644671ff4c8p-4, -0x1.8d18feffe29fap-4, -0x1.86dc63a533485p-4, -0x1.80ae979ad603ap-4, -0x1.7a8fbbc395165p-4, -0x1.747feeb768ef7p-4, -0x1.6e7f4ccec1acfp-4, -0x1.688df02ddeb2ap-4, -0x1.62abf0d02451dp-4, -0x1.5cd96493773f7p-4, -0x1.57165f43942b1p-4, -0x1.5162f2a56647bp-4, -0x1.4bbf2e825c6c9p-4, -0x1.462b20b3b26c3p-4, -0x1.40a6d52db9038p-4, -0x1.3b32560b11a4ep-4, -0x1.35cdab97dd126p-4, -0x1.3078dc5ce1b27p-4, -0x1.2b33ed2aa1888p-4, -0x1.25fee12460b3p-4, -0x1.20d9b9cb1c401p-4, -0x1.1bc477086be7p-4, -0x1.16bf173956085p-4, -0x1.11c997390700fp-4, -0x1.0ce3f26b79b6bp-4, -0x1.080e22c8053a2p-4, -0x1.034820e3d46a7p-4, -0x1.fd23c7f8855fap-5, -0x1.f3d6c40240277p-5, -0x1.eaa91f3db0a5dp-5, -0x1.e19ac091072f6p-5, -0x1.d8ab8c83a376cp-5, -0x1.cfdb6551c299bp-5, -0x1.c72a2affe2f08p-5, -0x1.be97bb6df3172p-5, -0x1.b623f26a3ed04p-5, -0x1.adcea9c41a1d9p-5, -0x1.a597b95e4f78ap-5, -0x1.9d7ef74147545p-5, -0x1.958437aceee05p-5, -0x1.8da74d2a60861p-5, -0x1.85e8089d3523ep-5, -0x1.7e463954aa5b6p-5, -0x1.76c1ad1c6e19p-5, -0x1.6f5a304d28aabp-5, -0x1.680f8ddcc672cp-5, -0x1.60e18f6e70aeap-5, -0x1.59cffd6245806p-5, -0x1.52da9ee4c2901p-5, -0x1.4c0139fdeb6b5p-5, -0x1.454393a02499ap-5, -0x1.3ea16fb6c4cd5p-5, -0x1.381a913460c46p-5, -0x1.31aeba20ccec4p-5, -0x1.2b5daba6d19d9p-5, -0x1.25272621a1c56p-5, -0x1.1f0ae929f93e7p-5, -0x1.1908b3a300684p-5, -0x1.132043c6e1fc5p-5, -0x1.0d515733180e7p-5, -0x1.079baaf472aeep-5, -0x1.01fefb92d3407p-5, -0x1.f8f60a3958b2cp-6, -0x1.ee1f06645a63fp-6, -0x1.e37862205ce64p-6, -0x1.d9019335adc78p-6, -0x1.ceba0ed00182dp-6, -0x1.c4a149929dc0ap-6, -0x1.bab6b7ac1684bp-6, -0x1.b0f9cce971f5p-6, -0x1.a769fcc8c7d4cp-6, -0x1.9e06ba8b67f78p-6, -0x1.94cf79477bb47p-6, -0x1.8bc3abf914fc2p-6, -0x1.82e2c592d8cd5p-6, -0x1.7a2c390e0c09dp-6, -0x1.719f797a414bbp-6, -0x1.693bfa0c79fdfp-6, -0x1.61012e2dd1f08p-6, -0x1.58ee8989af14p-6, -0x1.5103801b7e80dp-6, -0x1.493f863c03b88p-6, -0x1.41a210ae20175p-6, -0x1.3a2a94ab43b78p-6, -0x1.32d887ef50e49p-6, -0x1.2bab60c42b1c1p-6, -0x1.24a2960cd4106p-6, -0x1.1dbd9f500d854p-6, -0x1.16fbf4c2a6077p-6, -0x1.105d0f51550d2p-6, -0x1.09e068aa35469p-6, -0x1.03857b45dbb5fp-6, -0x1.fa9784e0171eep-7, -0x1.ee6574a013629p-7, -0x1.e273bfe11f688p-7, -0x1.d6c1628ee7611p-7, -0x1.cb4d5a79af5c6p-7, -0x1.c016a76442fc5p-7, -0x1.b51c4b110127dp-7, -0x1.aa5d494e60a27p-7, -0x1.9fd8a802c07fap-7, -0x1.958d6f37a4ceep-7, -0x1.8b7aa9243110cp-7, -0x1.819f62372ddc1p-7, -0x1.77faa9206ca97p-7, -0x1.6e8b8ed981547p-7, -0x1.655126ae1a80bp-7, -0x1.5c4a864386e3ep-7, -0x1.5376c59fff73ap-7, -0x1.4ad4ff311e77ep-7, -0x1.42644fd216dcep-7, -0x1.3a23d6d14b7fcp-7, -0x1.3212b5f55a2afp-7, -0x1.2a301181d2d4cp-7, -0x1.227b103b53eb5p-7, -0x1.1af2db6b5eb4ap-7, -0x1.13969ee39bb6p-7, -0x1.0c658900a6125p-7, -0x1.055ecaaca6eaap-7, -0x1.fd032ec296318p-8, -0x1.ef9a4a53013dp-8, -0x1.e28159457cd98p-8, -0x1.d5b6d1fbf79cp-8, -0x1.c9393000915b1p-8, -0x1.bd06f405fe8b5p-8, -0x1.b11ea3e78d985p-8, -0x1.a57ecaa835ab7p-8, -0x1.9a25f87132e2dp-8, -0x1.8f12c290258f2p-8, -0x1.8443c3744d72bp-8, -0x1.79b79aab836acp-8, -0x1.6f6cecde84957p-8, -0x1.656263cccae83p-8, -0x1.5b96ae47ca669p-8, -0x1.5208802ddfd07p-8, -0x1.48b69264a4c91p-8, -0x1.3f9fa2d2d637bp-8, -0x1.36c27459f4919p-8, -0x1.2e1dcecf5135ep-8, -0x1.25b07ef4c247ep-8, -0x1.1d7956710c80fp-8, -0x1.15772bc7d99c2p-8, -0x1.0da8da516038bp-8, -0x1.060d4231c1fep-8, -0x1.fd4690a0273bbp-9, -0x1.eed3ac9a3ea0dp-9, -0x1.e0bfb4f38d88cp-9, -0x1.d3088f9aae88cp-9, -0x1.c5ac2bb6b713bp-9, -0x1.b8a88192e5414p-9, -0x1.abfb92897cbadp-9, -0x1.9fa368ee637b8p-9, -0x1.939e17f955d9dp-9, -0x1.87e9bbaf9ac85p-9, -0x1.7c8478cda3412p-9, -0x1.716c7cb02e68ap-9, -0x1.669ffd3d19cf1p-9, -0x1.5c1d38cbed93dp-9, -0x1.51e2760e706abp-9, -0x1.47ee03f850e1p-9, -0x1.3e3e39a77db68p-9, -0x1.34d1764bad5b8p-9, -0x1.2ba6210dcd3a3p-9, -0x1.22baa8f79fb94p-9, -0x1.1a0d84dab8adep-9, -0x1.119d3337d46ffp-9, -0x1.09683a25de6dap-9, -0x1.016d2738afb0bp-9, -0x1.f3551ed067b0ep-10, -0x1.e43e1dee54deep-10, -0x1.d59292b3b8dd2p-10, -0x1.c74fd239f7f2p-10, -0x1.b9733f98e7898p-10, -0x1.abfa4bb40b123p-10, -0x1.9ee275086f9a9p-10, -0x1.9229477a70ea5p-10, -0x1.85cc5c2337ac4p-10, -0x1.79c9591eb4926p-10, -0x1.6e1df159a47bfp-10, -0x1.62c7e45f9c7c4p-10, -0x1.57c4fe2992dc4p-10, -0x1.4d1316ec46542p-10, -0x1.42b012e6b2c86p-10, -0x1.3899e23202946p-10, -0x1.2ece808f852d5p-10, -0x1.254bf53929c92p-10, -0x1.1c1052b0dc0acp-10, -0x1.1319b690766dp-10, -0x1.0a66495a993c3p-10, -0x1.01f43e4b23a96p-10, -0x1.f383a650d2024p-11, -0x1.e39aa028e20ebp-11, -0x1.d42a0ebd6ad39p-11, -0x1.c52eaaad86d59p-11, -0x1.b6a5403cb9099p-11, -0x1.a88aaef8a5086p-11, -0x1.9adbe96121d7ap-11, -0x1.8d95f48e6a5c4p-11, -0x1.80b5e7da7c0dap-11, -0x1.7438ec8982038p-11, -0x1.681c3d7513f83p-11, -0x1.5c5d26b6080c7p-11, -0x1.50f90551ace49p-11, -0x1.45ed46e6154e7p-11, -0x1.3b376958060fdp-11, -0x1.30d4fa81818f3p-11, -0x1.26c397e1ed4fbp-11, -0x1.1d00ee4e75cddp-11, -0x1.138ab9a3a86e1p-11, -0x1.0a5ec4787495cp-11, -0x1.017ae7d171711p-11, -0x1.f1ba15abd8551p-12, -0x1.e1064508c62e3p-12, -0x1.d0d662d473e2fp-12, -0x1.c1268eb61182p-12, -0x1.b1f30250ccbfep-12, -0x1.a33810b89d54fp-12, -0x1.94f225e6dc36ep-12, -0x1.871dc6318e935p-12, -0x1.79b78dc38ba9ap-12, -0x1.6cbc3018ae798p-12, -0x1.60287779b0858p-12, -0x1.53f9447caf644p-12, -0x1.482b8d8486607p-12, -0x1.3cbc5e450965fp-12, -0x1.31a8d7486b6b6p-12, -0x1.26ee2d73e00ep-12, -0x1.1c89a993724cap-12, -0x1.1278a7e26bb59p-12, -0x1.08b897994dde8p-12, -0x1.fe8df4f8dce1fp-13, -0x1.ec42c8d7a7bd7p-13, -0x1.da8af5edd18bcp-13, -0x1.c961e9e07b7bep-13, -0x1.b8c33406fd176p-13, -0x1.a8aa849c4e7d2p-13, -0x1.9913abf25accbp-13, -0x1.89fa99a95acb8p-13, -0x1.7b5b5beb06395p-13, -0x1.6d321eab11a0cp-13, -0x1.5f7b2ae85496fp-13, -0x1.5232e5f2a18bp-13, -0x1.4555d0b4c2a15p-13, -0x1.38e08700b4518p-13, -0x1.2ccfbee1d4087p-13, -0x1.212047ed062d3p-13, -0x1.15cf0a9cf3ebfp-13, -0x1.0ad907a80c06ap-13, -0x1.003b5761259fdp-13, -0x1.ebe6522fc2892p-14, -0x1.d7fb84f7b8aebp-14, -0x1.c4b0fe0a7cf21p-14, -0x1.b2019ebd797e2p-14, -0x1.9fe871a6fe3fep-14, -0x1.8e60a97f8bc1ep-14, -0x1.7d65a00a01a2fp-14, -0x1.6cf2d50079072p-14, -0x1.5d03ed0a197dap-14, -0x1.4d94b0adef352p-14, -0x1.3ea10b5937125p-14, -0x1.30250a5ef68abp-14, -0x1.221cdc044889bp-14, -0x1.1484ce8e17d95p-14, -0x1.07594f5881d5ep-14, -0x1.f52dd3e15a97ap-15, -0x1.dc748e6531f87p-15, -0x1.c48058de95207p-15, -0x1.ad4af52c8cec5p-15, -0x1.96ce5ac6a3157p-15, -0x1.8104b5269dde2p-15, -0x1.6be862386b347p-15, -0x1.5773f0d2fe2f5p-15, -0x1.43a21f42c02e4p-15, -0x1.306dd9cd6442ap-15, -0x1.1dd239512c924p-15, -0x1.0bca81da43b2fp-15, -0x1.f4a442a6ba3ebp-16, -0x1.d2c95c5c21f65p-16, -0x1.b1fbcc4609571p-16, -0x1.923359d7ba3fbp-16, -0x1.73681623c4d63p-16, -0x1.559259796b79bp-16, -0x1.38aac11793828p-16, -0x1.1caa2ceae0888p-16, -0x1.0189bd62b9de8p-16, -0x1.ce85a292372c6p-17, -0x1.9b9e076cc5855p-17, -0x1.6a5054130cf44p-17, -0x1.3a90a3e6127e6p-17, -0x1.0c537f11f5eacp-17, -0x1.bf1badda37d39p-18, -0x1.686a046d83aedp-18, -0x1.147d736b685ep-18, -0x1.868452e11802ep-19, -0x1.d2942e591b56ap-20, -0x1.449d781d0e72p-21, 0x1.081d6b0c31aa9p-21, 0x1.a0c89c1534e8cp-20, 0x1.5a107b0a8afe7p-19, 0x1.df2bb0ef3079p-19, 0x1.2fea4cf00d9ecp-18, 0x1.6e1462f923205p-18, 0x1.aa225ac044405p-18, 0x1.e421f1bb736b8p-18, 0x1.0e1033c297052p-17, 0x1.29154156ae9d5p-17, 0x1.43264aafc17c6p-17, 0x1.5c4940e80c05bp-17, 0x1.7483df4b50fe5p-17, 0x1.8bdbad7e99db1p-17, 0x1.a2560177f5588p-17, 0x1.b7f801826ccc5p-17, 0x1.ccc6a6255ca98p-17, 0x1.e0c6bbfa14469p-17, 0x1.f3fce578bebbbp-17, 0x1.0336ce5709807p-16, 0x1.0c0e9a758bfa6p-16, 0x1.1487ee2f622afp-16, 0x1.1ca4ced192929p-16, 0x1.246730a19d971p-16, 0x1.2bd0f79820056p-16, 0x1.32e3f80f4b3fep-16, 0x1.39a1f777193cp-16, 0x1.400cacf6407bbp-16, 0x1.4625c20ef35cbp-16, 0x1.4beed33863963p-16, 0x1.51697072e7932p-16, 0x1.56971ddd2f75p-16, 0x1.5b795438d046dp-16, 0x1.60118173689cbp-16, 0x1.6461092652f1ap-16, 0x1.6869451029a3fp-16, 0x1.6c2b85905b1f9p-16, 0x1.6fa91213a4dd2p-16, 0x1.72e329852aaeep-16, 0x1.75db02b644df8p-16, 0x1.7891ccc39ee2dp-16, 0x1.7b08af7443be4p-16, 0x1.7d40cb9c54a24p-16, 0x1.7f3b3b6d8b8c4p-16, 0x1.80f912d28c338p-16, 0x1.827b5fbf87d0ap-16, 0x1.83c32a7cb846dp-16, 0x1.84d175f4ef69fp-16, 0x1.85a73ff9b65f8p-16, 0x1.8645818acdb0ap-16, 0x1.86ad2f136f2f3p-16, 0x1.86df38aa5b628p-16, 0x1.86dc8a4c02ca4p-16, 0x1.86a60c13a5f55p-16, 0x1.863ca26e6f8fdp-16, 0x1.85a12e510e511p-16, 0x1.84d48d66b751dp-16, 0x1.83d79a3ea346fp-16, 0x1.82ab2c78c1402p-16, 0x1.815018ec34883p-16, 0x1.7fc731d0a9954p-16, 0x1.7e1146e36dc85p-16, 0x1.7c2f2588e096ep-16, 0x1.7a2198ed962a3p-16, 0x1.77e96a258307p-16, 0x1.75876049219e7p-16, 0x1.72fc408f8e5dbp-16, 0x1.7048ce6948c12p-16, 0x1.6d6dcb97f0aacp-16, 0x1.6a6bf844d5142p-16, 0x1.67441316a6419p-16, 0x1.63f6d94257c5cp-16, 0x1.6085069facb61p-16, 0x1.5cef55b8e8e09p-16, 0x1.59367fda2e6bcp-16, 0x1.555b3d20ec091p-16, 0x1.515e44873fafcp-16, 0x1.4d404bf08c4ecp-16, 0x1.4902083464e9cp-16, 0x1.44a42d2998dc4p-16, 0x1.40276dac341dbp-16, 0x1.3b8c7ba85126ap-16, 0x1.36d40820a670fp-16, 0x1.31fec333d06ddp-16, 0x1.2d0d5c2164b9p-16, 0x1.28008150ca894p-16, 0x1.22d8e05326d7cp-16, 0x1.1d9725e6f03a4p-16, 0x1.183bfdfb0109p-16, 0x1.12c813b0028a5p-16, 0x1.0d3c115aec195p-16, 0x1.0798a0847d1ebp-16, 0x1.01de69eae3532p-16, 0x1.f81c2b00a65aep-17, 0x1.ec5094d99bb33p-17, 0x1.e05b5e120c30fp-17, 0x1.d43dd1c0d5558p-17, 0x1.c7f9395e15361p-17, 0x1.bb8edcba808c7p-17, 0x1.af0001ff4ba83p-17, 0x1.a24deda222b0ep-17, 0x1.9579e266e4153p-17, 0x1.88852153f7ea5p-17, 0x1.7b70e9acc010fp-17, 0x1.6e3e78ea694bdp-17, 0x1.60ef0ab474486p-17, 0x1.5383d8d4c9427p-17, 0x1.45fe1b32ed742p-17, 0x1.385f07ca1eb11p-17, 0x1.2aa7d29fa0df5p-17, 0x1.1cd9adb8afecdp-17, 0x1.0ef5c91337645p-17, 0x1.00fd529945175p-17, 0x1.e5e2ec3485f55p-18, 0x1.c9a6ba79ac017p-18, 0x1.ad485ef38f2cdp-18, 0x1.90ca241ee91b2p-18, 0x1.742e4ff0a3d9dp-18, 0x1.577723ba561ap-18, 0x1.3aa6dc239319dp-18, 0x1.1dbfb10bb289dp-18, 0x1.00c3d57a04ae2p-18, 0x1.c76aef08a2be6p-19, 0x1.8d2d8083f3b63p-19, 0x1.52d3a767d8ea3p-19, 0x1.1861a16663c2p-19, 0x1.bbb74373a8c6p-20, 0x1.468ba2128efabp-20, 0x1.a29134ee1dc1cp-21, 0x1.6fd94a6186e43p-22, -0x1.96325a197d855p-24, -0x1.1d77a94ae6b05p-21, -0x1.040bd76dcc095p-20, -0x1.794b61d39ebedp-20, -0x1.ee72bed0cad23p-20, -0x1.31bd285ae7f3ap-19, -0x1.6c2d48b8dfec1p-19, -0x1.a6860960cc8cfp-19, -0x1.e0c3bf30838e4p-19, -0x1.0d716594facc7p-18, -0x1.2a6fcd40fc3c6p-18, -0x1.475b53610f14bp-18, -0x1.64323af1e9006p-18, -0x1.80f2cd2f3a1abp-18, -0x1.9d9b59a2294e9p-18, -0x1.ba2a36280268dp-18, -0x1.d69dbeffa05bdp-18, -0x1.f2f456cfb2b1p-18, -0x1.0796335a34099p-17, -0x1.15a22f20f7aa6p-17, -0x1.239d59c6abc74p-17, -0x1.3186f19abb26p-17, -0x1.3f5e383391a52p-17, -0x1.4d22727111023p-17, -0x1.5ad2e8821a399p-17, -0x1.686ee5e417eccp-17, -0x1.75f5b965fda8p-17, -0x1.8366b5296866ap-17, -0x1.90c12ea46d53fp-17, -0x1.9e047ea451df3p-17, -0x1.ab30014cc3695p-17, -0x1.b84316191452ap-17, -0x1.c53d1fddb9e2cp-17, -0x1.d21d84c5d39ep-17, -0x1.dee3ae53f3976p-17, -0x1.eb8f096284c31p-17, -0x1.f81f0622dbbb2p-17, -0x1.02498c0df4ebcp-16, -0x1.08755b15750f3p-16, -0x1.0e92ad3fb3e7fp-16, -0x1.14a1414d3d33bp-16, -0x1.1aa0d7a66699dp-16, -0x1.2091325ae2dd3p-16, -0x1.2672151f63223p-16, -0x1.2c43454d4cb6fp-16, -0x1.320489e110a7ap-16, -0x1.37b5ab7856a69p-16, -0x1.3d56745072e43p-16, -0x1.42e6b04419595p-16, -0x1.48662cca45794p-16, -0x1.4dd4b8f4bad92p-16, -0x1.5332256d15a06p-16, -0x1.587e4472e1fbep-16, -0x1.5db8e9d8c961p-16, -0x1.62e1eb03f06c5p-16, -0x1.67f91ee718494p-16, -0x1.6cfe5e025197ep-16, -0x1.71f1825fb9472p-16, -0x1.76d2678fdccd8p-16, -0x1.7ba0eaa7ceba8p-16, -0x1.805cea3e69978p-16, -0x1.85064668a1649p-16, -0x1.899ce0b671727p-16, -0x1.8e209c315ae05p-16, -0x1.92915d57e186bp-16, -0x1.96ef0a1ace2p-16, -0x1.9b3989d95f583p-16, -0x1.9f70c55e6db1ep-16, -0x1.a394a6dd52e4p-16, -0x1.a7a519ed9200ap-16, -0x1.aba20b87d752cp-16, -0x1.af8b6a02f3e91p-16, -0x1.b361250fae17p-16, -0x1.b7232db4c2f55p-16, -0x1.bad1764b43663p-16, -0x1.be6bf27b2ce82p-16, -0x1.c1f29737eb59ep-16, -0x1.c5655abbee65p-16, -0x1.c8c43484dcb6cp-16, -0x1.cc0f1d4fe57cbp-16, -0x1.cf460f15919e3p-16, -0x1.d26905062c47fp-16, }}, 
      {{0x1.f064fd1264be4p-11, 0x1.edfc8eca6bbdbp-10, 0x1.6dfb206e5fa9bp-9, 0x1.dc98eaf9474f7p-9, 0x1.1e8e67a6d6e66p-8, 0x1.44a0bcd915d64p-8, 0x1.5d73aed79183ep-8, 0x1.664f9c259e329p-8, 0x1.5d03a570f162p-8, 0x1.3fff1a921fc12p-8, 0x1.0e5963c6695c7p-8, 0x1.8f995c771f2e8p-9, 0x1.b29dad5c2a556p-10, -0x1.23f160eea4e7cp-15, -0x1.07938d11b9df7p-9, -0x1.1655c287443d8p-8, -0x1.b82987c528362p-8, -0x1.33af39883de11p-7, -0x1.90fe58e83bda3p-7, -0x1.f305de1fc404ap-7, -0x1.2c6802f124f8bp-6, -0x1.60b9871784a76p-6, -0x1.960ab8c3f90ffp-6, -0x1.cbf87d025d3d9p-6, -0x1.0115338913aa6p-5, -0x1.1c29a6bd2e31ap-5, -0x1.3718bfb7e344fp-5, -0x1.51c755b0c4065p-5, -0x1.6c1fc31f62686p-5, -0x1.8611a0c36905ep-5, -0x1.9f916e4ba97e8p-5, -0x1.b8982e04cfac6p-5, -0x1.d122f82dc15f8p-5, -0x1.e93289d158fd8p-5, -0x1.0065692b240d2p-4, -0x1.0bf9412c3b216p-4, -0x1.17594ee9d4dfp-4, -0x1.228b0996c4ac4p-4, -0x1.2d94ac222482ep-4, -0x1.387d07271fe28p-4, -0x1.434b568623d6dp-4, -0x1.4e071ac99c15ep-4, -0x1.58b7f65f6eb1fp-4, -0x1.63658e9c8182ap-4, -0x1.6e177070052f5p-4, -0x1.78d4f8a075b78p-4, -0x1.83a53f63a2fbep-4, -0x1.8e8f071d18ea5p-4, -0x1.9998ae0a70ae5p-4, -0x1.a4c822a322f21p-4, -0x1.b022da70d59d8p-4, -0x1.bbadcb25d1871p-4, -0x1.c76d65b89639p-4, -0x1.d365934de433p-4, -0x1.df99b3bcf937ap-4, -0x1.ec0c9d7ce642ap-4, -0x1.f8c09eccd1357p-4, -0x1.02dbbff640041p-3, -0x1.0979431ed4fedp-3, -0x1.10393c14fad73p-3, -0x1.171bd0d645c13p-3, -0x1.1e20ecb0be7aap-3, -0x1.254843000216dp-3, -0x1.2c915213b4da1p-3, -0x1.33fb66348e011p-3, -0x1.3b859cbe69dc8p-3, -0x1.432ee746f2d01p-3, -0x1.4af60ec99165ep-3, -0x1.52d9b6d21c34cp-3, -0x1.5ad860a0dff81p-3, -0x1.62f06e4317c5fp-3, -0x1.6b20259bf0c93p-3, -0x1.7365b35a9a0edp-3, -0x1.7bbf2ddaa43b2p-3, -0x1.842a97ec62efbp-3, -0x1.8ca5e3837b0bap-3, -0x1.952ef44a3b4c9p-3, -0x1.9dc3a218adbfap-3, -0x1.a661bb4eabef7p-3, -0x1.af07071086185p-3, -0x1.b7b14765ffd0fp-3, -0x1.c05e3b3bb0398p-3, -0x1.c90ba046f1ad2p-3, -0x1.d1b734ccb647cp-3, -0x1.da5eb94bb9c15p-3, -0x1.e2fff20ab43b8p-3, -0x1.eb98a88b28cfep-3, -0x1.f426ace196aa3p-3, -0x1.fca7d6f3e8959p-3, -0x1.028d03cf715eep-2, -0x1.06bd94e1c9103p-2, -0x1.0ae4999ec550dp-2, -0x1.0f0112e17dd31p-2, -0x1.131207d7b9c9cp-2, -0x1.1716865d2b4b2p-2, -0x1.1b0da34cf63f3p-2, -0x1.1ef67ac9fb5a1p-2, -0x1.22d0307e5a5e5p-2, -0x1.2699efd2a57a4p-2, -0x1.2a52ec1d27624p-2, -0x1.2dfa60c9bd77p-2, -0x1.318f917a9d7c2p-2, -0x1.3511ca227d2e3p-2, -0x1.38805f187651cp-2, -0x1.3bdaad260e25p-2, -0x1.3f20198fb82abp-2, -0x1.42501218349fp-2, -0x1.456a0cff19509p-2, -0x1.486d88fadf059p-2, -0x1.4b5a0d2ebc702p-2, -0x1.4e2f291ca00dfp-2, -0x1.50ec74938caf2p-2, -0x1.53918f9aa3679p-2, -0x1.561e22591569dp-2, -0x1.5891dcfb4348fp-2, -0x1.5aec77954570dp-2, -0x1.5d2db2030f88p-2, -0x1.5f5553c66da02p-2, -0x1.61632be308f0bp-2, -0x1.635710b8a6413p-2, -0x1.6530dfdbcd104p-2, -0x1.66f07ded0141p-2, -0x1.6895d66eb8a57p-2, -0x1.6a20db9a3860ap-2, -0x1.6b91863374854p-2, -0x1.6ce7d55c1ecbp-2, -0x1.6e23ce6601d42p-2, -0x1.6f457ca4c3d57p-2, -0x1.704cf13f35235p-2, -0x1.713a43003e6ccp-2, -0x1.720d8e278cfecp-2, -0x1.72c6f43a14ce3p-2, -0x1.73669bd27d662p-2, -0x1.73ecb0718f462p-2, -0x1.7459624eb5ecap-2, -0x1.74ace628a906p-2, -0x1.74e775164d053p-2, -0x1.75094c57def24p-2, -0x1.7512ad2873c83p-2, -0x1.7503dc8fe0f02p-2, -0x1.74dd233514e2fp-2, -0x1.749ecd30ee74fp-2, -0x1.744929e19f1b6p-2, -0x1.73dc8bbe9ec61p-2, -0x1.7359482d3eee2p-2, -0x1.72bfb755e2214p-2, -0x1.721033f9e2278p-2, -0x1.714b1b4a2a7b1p-2, -0x1.7070ccbe8e1adp-2, -0x1.6f81a9eddf51dp-2, -0x1.6e7e1666ccf6fp-2, -0x1.6d6677898df2p-2, -0x1.6c3b346257f0bp-2, -0x1.6afcb584acbbfp-2, -0x1.69ab64e77d4bdp-2, -0x1.6847adc2245cdp-2, -0x1.66d1fc6a3eadcp-2, -0x1.654abe326006cp-2, -0x1.63b26149a4975p-2, -0x1.6209549c25b57p-2, -0x1.605007b44e088p-2, -0x1.5e86ea9d0c3eap-2, -0x1.5cae6dc4eb567p-2, -0x1.5ac701e207b02p-2, -0x1.58d117d6e7f12p-2, -0x1.56cd209832af2p-2, -0x1.54bb8d1344d92p-2, -0x1.529cce15a477dp-2, -0x1.507154354fc5ap-2, -0x1.4e398fb9e7bd4p-2, -0x1.4bf5f086aff5ep-2, -0x1.49a6e60569159p-2, -0x1.474cdf11fb497p-2, -0x1.44e849e6f60d7p-2, -0x1.4279940addc6bp-2, -0x1.40012a3e448ffp-2, -0x1.3d7f786aae354p-2, -0x1.3af4e9923d2e3p-2, -0x1.3861e7c01e77ep-2, -0x1.35c6dbf9ba067p-2, -0x1.33242e309fe3fp-2, -0x1.307a45352e778p-2, -0x1.2dc986a9efc22p-2, -0x1.2b1256f7ab5d6p-2, -0x1.2855194225c37p-2, -0x1.25922f5d8f825p-2, -0x1.22c9f9c4979a7p-2, -0x1.1ffcd78f28115p-2, -0x1.1d2b2669c0684p-2, -0x1.1a55428d7029bp-2, -0x1.177b86b866fefp-2, -0x1.149e4c2720772p-2, -0x1.11bdea8e1ba99p-2, -0x1.0edab81427f02p-2, -0x1.0bf5094d35224p-2, -0x1.090d3135b0fcep-2, -0x1.0623812e6334ap-2, -0x1.033848f8c9f46p-2, -0x1.004bd6b3f2d27p-2, -0x1.fabcedb395ebfp-3, -0x1.f4e0e879c32bp-3, -0x1.ef04300d399dfp-3, -0x1.e927536bb481p-3, -0x1.e34ade3bf17b8p-3, -0x1.dd6f58cc8c988p-3, -0x1.d7954813a4cbep-3, -0x1.d1bd2daf34c9ap-3, -0x1.cbe787e62b9e1p-3, -0x1.c614d1aa29c32p-3, -0x1.c0458299ec5fp-3, -0x1.ba7a0f04597abp-3, -0x1.b4b2e7ec1f1dcp-3, -0x1.aef07b0bf0be8p-3, -0x1.a93332db4d08fp-3, -0x1.a37b7693c6b56p-3, -0x1.9dc9aa36d85a1p-3, -0x1.981e2e942710dp-3, -0x1.92796150466a7p-3, -0x1.8cdb9cebe189fp-3, -0x1.874538cb4f8f6p-3, -0x1.81b6893e9271ep-3, -0x1.7c2fdf89ab2bep-3, -0x1.76b189ed4a43p-3, -0x1.713bd3afd6846p-3, -0x1.6bcf0526be845p-3, -0x1.666b63c013209p-3, -0x1.6111320c6a231p-3, -0x1.5bc0afc8fe775p-3, -0x1.567a19ea0b4fp-3, -0x1.513daaa55dcf5p-3, -0x1.4c0b997d1aa49p-3, -0x1.46e41b4aaeaeep-3, -0x1.41c76249ec8bdp-3, -0x1.3cb59e244ff2p-3, -0x1.37aefbfc5c51dp-3, -0x1.32b3a67924cd8p-3, -0x1.2dc3c5d1e78b1p-3, -0x1.28df7fd9bc601p-3, -0x1.2406f80b61661p-3, -0x1.1f3a4f95105a1p-3, -0x1.1a79a5645f6bep-3, -0x1.15c5163234862p-3, -0x1.111cbc8eb5119p-3, -0x1.0c80b0ed43caep-3, -0x1.07f109b074ec6p-3, -0x1.036ddb360ce4dp-3, -0x1.fdee6fc5e3ba9p-4, -0x1.f51a605e38bbp-4, -0x1.ec5fa562f1f8ap-4, -0x1.e3be5857941ffp-4, -0x1.db368f2cdfb8dp-4, -0x1.d2c85c58536f7p-4, -0x1.ca73ceeb87aa8p-4, -0x1.c238f2ab66f0ep-4, -0x1.ba17d027334bfp-4, -0x1.b2106ccf6a3c6p-4, -0x1.aa22cb0c7af1fp-4, -0x1.a24eea55329ffp-4, -0x1.9a94c74513b58p-4, -0x1.92f45bb25c298p-4, -0x1.8b6d9ec3dccd2p-4, -0x1.840085068ce48p-4, -0x1.7cad0082dfd22p-4, -0x1.757300d1dc4e9p-4, -0x1.6e527331ed41ep-4, -0x1.674b429b6ad64p-4, -0x1.605d57d4e1bf3p-4, -0x1.598899870d462p-4, -0x1.52ccec5087fa7p-4, -0x1.4c2a32d9338d6p-4, -0x1.45a04de5501adp-4, -0x1.3f2f1c6848db1p-4, -0x1.38d67b9731504p-4, -0x1.329646faf1007p-4, -0x1.2c6e5882224e5p-4, -0x1.265e88929c2d2p-4, -0x1.2066ae1aae126p-4, -0x1.1a869ea208b16p-4, -0x1.14be2e5a53274p-4, -0x1.0f0d302f6eb26p-4, -0x1.097375d766dabp-4, -0x1.03f0cfe20ff8bp-4, -0x1.fd0a1b90a3a4ep-5, -0x1.f25ffbf63917cp-5, -0x1.e7e2dbe4243e2p-5, -0x1.dd925473a52dfp-5, -0x1.d36dfd03fd82fp-5, -0x1.c9756b55c95bp-5, -0x1.bfa833a5b61f9p-5, -0x1.b605e8c6922ebp-5, -0x1.ac8e1c3ac0a66p-5, -0x1.a3405e4d0afc6p-5, -0x1.9a1c3e28cac25p-5, -0x1.912149f182193p-5, -0x1.884f0ed9c926bp-5, -0x1.7fa51939a8d21p-5, -0x1.7722f4a4572c8p-5, -0x1.6ec82bfd5748p-5, -0x1.6694498d0871fp-5, -0x1.5e86d7149a447p-5, -0x1.569f5de16e59dp-5, -0x1.4edd66dfe585p-5, -0x1.47407aada1021p-5, -0x1.3fc821ab2ba73p-5, -0x1.3873e40d235dcp-5, -0x1.314349ecc7715p-5, -0x1.2a35db580dd66p-5, -0x1.234b20612720fp-5, -0x1.1c82a12d7cc7dp-5, -0x1.15dbe60433e8ep-5, -0x1.0f56775c2bc2p-5, -0x1.08f1dde978ed4p-5, -0x1.02ada2aa68fc8p-5, -0x1.f9129de81964fp-6, -0x1.ed08d8fc8c101p-6, -0x1.e13d0adec0a73p-6, -0x1.d5ae48ce6e4a6p-6, -0x1.ca5ba913d42a5p-6, -0x1.bf44431448692p-6, -0x1.b4672f65d59ddp-6, -0x1.a9c387e22432dp-6, -0x1.9f5867b870ff2p-6, -0x1.9524eb7ed8ep-6, -0x1.8b283142aebdp-6, -0x1.816158983c5cdp-6, -0x1.77cf82a9a0a45p-6, -0x1.6e71d244fe9d7p-6, -0x1.65476be9f90d5p-6, -0x1.5c4f75d6700cp-6, -0x1.5389181297212p-6, -0x1.4af37c7c5fae2p-6, -0x1.428dced2336c3p-6, -0x1.3a573cbd2395cp-6, -0x1.324ef5da57406p-6, -0x1.2a742bc3ff45dp-6, -0x1.22c61219a366dp-6, -0x1.1b43de87dd101p-6, -0x1.13ecc8cf899b1p-6, -0x1.0cc00acc72a2ep-6, -0x1.05bce07b699cp-6, -0x1.fdc50fffbe42fp-7, -0x1.f060835214bd1p-7, -0x1.e34a9fed0fe9dp-7, -0x1.d681ef38f3094p-7, -0x1.ca04ff0e96435p-7, -0x1.bdd261bde4c3cp-7, -0x1.b1e8ae1387bb3p-7, -0x1.a6467f5dd631cp-7, -0x1.9aea7570ce8f1p-7, -0x1.8fd334a984ce1p-7, -0x1.84ff65f09795cp-7, -0x1.7a6db6bc15c47p-7, -0x1.701cd91097e99p-7, -0x1.660b8381b7e5dp-7, -0x1.5c387131f1f51p-7, -0x1.52a261d1cec2ap-7, -0x1.4948199e79b7p-7, -0x1.4028615fc6747p-7, -0x1.37420665b34c8p-7, -0x1.2e93da854a006p-7, -0x1.261cb415100e6p-7, -0x1.1ddb6de8fa29fp-7, -0x1.15cee74dcd0d8p-7, -0x1.0df6040430786p-7, -0x1.064fac3b3bc55p-7, -0x1.fdb599152df61p-8, -0x1.ef2cabd88d263p-8, -0x1.e1027b6c02e9fp-8, -0x1.d334fb2478b34p-8, -0x1.c5c226f1bc22cp-8, -0x1.b8a8034f216adp-8, -0x1.abe49d33a1afep-8, -0x1.9f760a0157471p-8, -0x1.935a67748525ap-8, -0x1.878fdb91dc5fep-8, -0x1.7c1494949d595p-8, -0x1.70e6c8dbdcd7ap-8, -0x1.6604b6d7a5562p-8, -0x1.5b6ca4f5a89a4p-8, -0x1.511ce18d4ce72p-8, -0x1.4713c2cbaea5ep-8, -0x1.3d4fa69f20dcp-8, -0x1.33cef2a2678b6p-8, -0x1.2a901407b2751p-8, -0x1.21917f8343fb4p-8, -0x1.18d1b135eb419p-8, -0x1.104f2c97294c9p-8, -0x1.08087c5f61f32p-8, -0x1.fff864e3110a6p-9, -0x1.f051cf89dc724p-9, -0x1.e11a789d8ff4ap-9, -0x1.d24fadd72de3ap-9, -0x1.c3eeca91113a7p-9, -0x1.b5f53799652c5p-9, -0x1.a8606b046978ep-9, -0x1.9b2de7feb1afcp-9, -0x1.8e5b3e9f75e72p-9, -0x1.81e60bba7a2dbp-9, -0x1.75cbf8b25b506p-9, -0x1.6a0abb4a6e6a6p-9, -0x1.5ea015791e8ebp-9, -0x1.5389d539e1bc6p-9, -0x1.48c5d45faebd2p-9, -0x1.3e51f8675d0f3p-9, -0x1.342c324a031f4p-9, -0x1.2a527e4fc99a4p-9, -0x1.20c2e3e28af42p-9, -0x1.177b75611cf1fp-9, -0x1.0e7a4ff26b7a3p-9, -0x1.05bd9b58ccd0dp-9, -0x1.fa87138bdcc4ep-10, -0x1.ea14af5d4412dp-10, -0x1.da20973e5e1aap-10, -0x1.caa76c1f92d58p-10, -0x1.bba5e272ffc6ap-10, -0x1.ad18c1d68b461p-10, -0x1.9efce4bede9b2p-10, -0x1.914f382348067p-10, -0x1.840cbb29b4707p-10, -0x1.77327ed3eb19fp-10, -0x1.6abda5ad93f62p-10, -0x1.5eab637a644c8p-10, -0x1.52f8fce5bee69p-10, -0x1.47a3c732ca764p-10, -0x1.3ca927ed722b7p-10, -0x1.3206949c0f2cep-10, -0x1.27b992723a2d2p-10, -0x1.1dbfb6042d1d2p-10, -0x1.1416a2fb03cccp-10, -0x1.0abc0bca346a5p-10, -0x1.01adb16573dfap-10, -0x1.f1d2c5ef7cedap-11, -0x1.e0d9fb369ac64p-11, -0x1.d06cd82490a09p-11, -0x1.c0874d0118f51p-11, -0x1.b125644c589f3p-11, -0x1.a24342362f78dp-11, -0x1.93dd241720c2bp-11, -0x1.85ef5feab2069p-11, -0x1.787663cc8a8f5p-11, -0x1.6b6eb5766f1b6p-11, -0x1.5ed4f1c0ddb8cp-11, -0x1.52a5cc252ae94p-11, -0x1.46de0e417fc2bp-11, -0x1.3b7a975eae75fp-11, -0x1.30785bf7db35bp-11, -0x1.25d4654442e5dp-11, -0x1.1b8bd0c284e02p-11, -0x1.119bcfc5e8f47p-11, -0x1.0801a7054facbp-11, -0x1.fd755c591805p-12, -0x1.eb889edcb9eb2p-12, -0x1.da380e3325dp-12, -0x1.c97ec65e68abp-12, -0x1.b95805f49f044p-12, -0x1.a9bf2d54958adp-12, -0x1.9aafbddc33af5p-12, -0x1.8c255923a95ddp-12, -0x1.7e1bc03bd4e0dp-12, -0x1.708ed2ef27606p-12, -0x1.637a8f07828c1p-12, -0x1.56db0f966d3fbp-12, -0x1.4aac8c4098a2p-12, -0x1.3eeb588d3f1a8p-12, -0x1.3393e338cd733p-12, -0x1.28a2b589f39ebp-12, -0x1.1e1472aae4732p-12, -0x1.13e5d705bb17p-12, -0x1.0a13b7a34decap-12, -0x1.009b018da295cp-12, -0x1.eef1726b4729bp-13, -0x1.dd53f3b6713cbp-13, -0x1.cc57e9f2c8e01p-13, -0x1.bbf7e3689bffcp-13, -0x1.ac2e989526c89p-13, -0x1.9cf6eb15a3fd4p-13, -0x1.8e4be49273d14p-13, -0x1.8028b5b5e3a4p-13, -0x1.7288b524b8feep-13, -0x1.65675e7d1ae11p-13, -0x1.58c0515c5ea74p-13, -0x1.4c8f50685c5fbp-13, -0x1.40d0405f26d2cp-13, -0x1.357f272afe368p-13, -0x1.2a982afc3e1afp-13, -0x1.201791687117dp-13, -0x1.15f9be8dbb101p-13, -0x1.0c3b343ab6df1p-13, -0x1.02d8911d675e6p-13, -0x1.f39d1fe826a12p-14, -0x1.e2340d8a2c08fp-14, -0x1.d16fcc3216e8ep-14, -0x1.c14a70783180ap-14, -0x1.b1be4102120e7p-14, -0x1.a2c5b516a237p-14, -0x1.945b7336cb8fp-14, -0x1.867a4fc0781d3p-14, -0x1.791d4b98a3deep-14, -0x1.6c3f92df21664p-14, -0x1.5fdc7baa0fa1p-14, -0x1.53ef84c7523a7p-14, -0x1.487454885637dp-14, -0x1.3d66b793e995cp-14, -0x1.32c29fc082d24p-14, -0x1.288422f3427e5p-14, -0x1.1ea77a0a14b45p-14, -0x1.1528ffca4efa2p-14, -0x1.0c052fd57073p-14, -0x1.0338a5a77773dp-14, -0x1.f5803733aeb62p-15, -0x1.e530d3da62d3dp-15, -0x1.d57d0bb3173edp-15, -0x1.c65f014a4a38ap-15, -0x1.b7d10d80d33a8p-15, -0x1.a9cdbdd393fc7p-15, -0x1.9c4fd2a8f4ca2p-15, -0x1.8f523db0c11f4p-15, -0x1.82d0204a92d97p-15, -0x1.76c4c9f74e5b4p-15, -0x1.6b2bb6d96e5b2p-15, -0x1.60008e3a16279p-15, -0x1.553f211d145fcp-15, -0x1.4ae368dda1fb8p-15, -0x1.40e985d3913f9p-15, -0x1.374dbe046f2eep-15, -0x1.2e0c7bdd27a46p-15, -0x1.25224cf2e26cap-15, -0x1.1c8be0d188f7fp-15, -0x1.144607ce1d81bp-15, -0x1.0c4db1e50b312p-15, -0x1.049fed9e876cap-15, -0x1.fa73cdfcf26efp-16, -0x1.ec31ccf2c9f86p-16, -0x1.de749fe26a8aap-16, -0x1.d1374378cb53ep-16, -0x1.c474e762823f3p-16, -0x1.b828ec772a78fp-16, -0x1.ac4ee2ebe15c2p-16, -0x1.a0e2889e3ef1bp-16, -0x1.95dfc75fcc89bp-16, -0x1.8b42b359a5795p-16, -0x1.8107897762dc4p-16, -0x1.772aaddfbf6bbp-16, -0x1.6da8aa7a29a9fp-16, -0x1.647e2d8062d5fp-16, -0x1.5ba8081853cbp-16, -0x1.53232d0025b1cp-16, -0x1.4aecaf3ed9732p-16, -0x1.4301c0e2d81c7p-16, -0x1.3b5fb1cc7c97p-16, -0x1.3403ee7ae5c3fp-16, -0x1.2cebfeef81144p-16, -0x1.2615858faf767p-16, -0x1.1f7e3e16aadeap-16, -0x1.1923fc8cb22b3p-16, -0x1.1304ac4afbbabp-16, -0x1.0d1e4f03c1e32p-16, -0x1.076efbd797165p-16, -0x1.01f4de6e0c4e2p-16, -0x1.f95c6c36e7d3cp-17, -0x1.ef32aa12810a7p-17, -0x1.e5693ed37774fp-17, -0x1.dbfd1562fcf27p-17, -0x1.d2eb39aff1227p-17, -0x1.ca30d73ff5febp-17, -0x1.c1cb37ca0ae39p-17, -0x1.b9b7c1e21ae6fp-17, -0x1.b1f3f7ae0786dp-17, -0x1.aa7d75a8aad69p-17, -0x1.a351f1737b3afp-17, -0x1.9c6f38ad7b453p-17, -0x1.95d32fd85ab2cp-17, -0x1.8f7bd14ba8de4p-17, -0x1.89672c2c21c8ep-17, -0x1.83936373a7d57p-17, -0x1.7dfeacfee46e3p-17, -0x1.78a750a68cf7bp-17, -0x1.738ba75ebda62p-17, -0x1.6eaa1a64bc3bbp-17, -0x1.6a012270c5854p-17, -0x1.658f46f3102d3p-17, -0x1.61531d55ae269p-17, -0x1.5d4b484bad1fcp-17, -0x1.597677202b6e6p-17, -0x1.55d365152be16p-17, -0x1.5260d8c399a8bp-17, -0x1.4f1da3857079p-17, -0x1.4c08a0e573d2bp-17, -0x1.4920b6126e08p-17, -0x1.4664d15f4f086p-17, -0x1.43d3e9c12b6c3p-17, -0x1.416cfe5ab4e6cp-17, -0x1.3f2f160882f72p-17, -0x1.3d193ef4175cp-17, -0x1.3b2a8e2b40246p-17, -0x1.39621f3daabb1p-17, -0x1.37bf13e0375fp-17, -0x1.364093923ba46p-17, -0x1.34e5cb4896d3p-17, -0x1.33aded1e0ae5bp-17, -0x1.3298300575dfbp-17, -0x1.31a3cf80f746fp-17, -0x1.30d00b5fbca08p-17, -0x1.301c277b67e45p-17, -0x1.2f876b7acd739p-17, -0x1.2f1122991a7abp-17, -0x1.2eb89b6d60a3fp-17, -0x1.2e7d27b8d6a1bp-17, -0x1.2e5e1c33edd3ep-17, -0x1.2e5ad0627b993p-17, -0x1.2e729e693d5eap-17, -0x1.2ea4e2e467013p-17, -0x1.2ef0fcc119fa5p-17, -0x1.2f564d1cfa801p-17, -0x1.2fd43722e6f4cp-17, -0x1.306a1fedce28fp-17, -0x1.31176e6ae12dap-17, -0x1.31db8b4025a55p-17, -0x1.32b5e0b2ff25dp-17, -0x1.33a5da9023ea8p-17, -0x1.34aae619c3ccfp-17, -0x1.35c471f1c535dp-17, -0x1.36f1ee090cbedp-17, -0x1.3832cb900f6f5p-17, -0x1.39867ce665bdep-17, -0x1.3aec758e5f3aep-17, -0x1.3c642a21093bfp-17, -0x1.3ded10432bd29p-17, -0x1.3f869e9b88b68p-17, -0x1.41304cc9d1ef8p-17, -0x1.42e99360cadb2p-17, -0x1.44b1ebdd5acc1p-17, -0x1.4688d0a38184cp-17, -0x1.486dbcf817d3fp-17, -0x1.4a602cfd22a6cp-17, -0x1.4c5f9db0431d7p-17, -0x1.4e6b8ce6a3955p-17, -0x1.5083794ae0202p-17, -0x1.52a6e25dc4763p-17, -0x1.54d548745797dp-17, -0x1.570e2cb86c59cp-17, -0x1.5951112a99825p-17, -0x1.5b9d78a10e074p-17, -0x1.5df2e6cad93e7p-17, -0x1.6050e0318598bp-17, -0x1.62b6ea3ae2eacp-17, -0x1.65248b2c4d2d9p-17, -0x1.67994a2d718a2p-17, -0x1.6a14af4b996c7p-17, -0x1.6c96437cd471p-17, -0x1.6f1d90a424497p-17, -0x1.71aa2194ebd6bp-17, -0x1.743b821815d0cp-17, -0x1.76d13eefb08dap-17, -0x1.796ae5db01665p-17, -0x1.7c08059cd5afap-17, -0x1.7ea82dfe395dp-17, -0x1.814aefd2e5303p-17, -0x1.83efdd0036de8p-17, -0x1.8696887ff4abep-17, -0x1.893e866548d67p-17, -0x1.8be76be3f4d2p-17, -0x1.8e90cf517465p-17, -0x1.913a482cae459p-17, -0x1.93e36f216d4a3p-17, -0x1.968bde0e426bp-17, -0x1.993330078d893p-17, -0x1.9bd9015d77f07p-17, -0x1.9e7cefa080c9bp-17, -0x1.a11e99a4e21f5p-17, -0x1.a3bd9f8720325p-17, -0x1.a659a2b0acfc8p-17, -0x1.a8f245dd04c16p-17, -0x1.ab872d1c1f84p-17, -0x1.ae17fdd69b7adp-17, -0x1.b0a45ed2e97abp-17, -0x1.b32bf837b2e53p-17, -0x1.b5ae738f5b7fp-17, -0x1.b82b7bcc8990bp-17, -0x1.baa2bd4bbdbfp-17, -0x1.bd13e5d7a1864p-17, -0x1.bf7ea4ab5337ap-17, -0x1.c1e2aa7525419p-17, -0x1.c43fa95ab5e73p-17, -0x1.c69554f877a2fp-17, -0x1.c8e362672fb6cp-17, -0x1.cb29883bd7e8dp-17, -0x1.cd677e8a8d5a5p-17, -0x1.cf9cfee8fac87p-17, -0x1.d1c9c46e66f63p-17, -0x1.d3ed8bb610839p-17, -0x1.d60812e12c18cp-17, -0x1.d81919966b57dp-17, -0x1.da206103d2acep-17, -0x1.dc1dabe03b895p-17, -0x1.de10be6b34aecp-17, -0x1.dff95e6ce6cd9p-17, -0x1.e1d753382ca05p-17, -0x1.e3aa65a9362a1p-17, -0x1.e5726025acbd1p-17, -0x1.e72f0e9ddd4cfp-17, -0x1.e8e03e8ad2c31p-17, -0x1.ea85beee51ac3p-17, -0x1.ec1f6053b3465p-17, -0x1.edacf4cc668c3p-17, -0x1.ef2e4ff0eaf7ep-17, -0x1.f0a346dfe2b8cp-17, -0x1.f20bb03c4869fp-17, -0x1.f367642ba91cp-17, -0x1.f4b63c56032f6p-17, -0x1.f5f813e2e8c87p-17, -0x1.f72cc778b1bap-17, -0x1.f8543539baccp-17, -0x1.f96e3cc387cb9p-17, -0x1.fa7abf2bf5d97p-17, -0x1.fb799efe1b933p-17, -0x1.fc6ac0398966ep-17, -0x1.fd4e084fe5157p-17, -0x1.fe235e2098562p-17, -0x1.feeaa9f80fb8cp-17, -0x1.ffa3d58baa233p-17, -0x1.002765fbc86d6p-16, -0x1.0075bcdd67adfp-16, -0x1.00bce65b153cap-16, -0x1.00fcda1377169p-16, -0x1.0135905236dcfp-16, -0x1.0167020e9a44p-16, -0x1.019128e982be8p-16, -0x1.01b3ff2b73a5bp-16, -0x1.01cf7fc3672f2p-16, -0x1.01e3a6449249cp-16, -0x1.01f06ee46954dp-16, -0x1.01f5d679700a7p-16, -0x1.01f3da785ed5ap-16, -0x1.01ea78f2b3541p-16, -0x1.01d9b094a3095p-16, -0x1.01c180a353f73p-16, -0x1.01a1e8fa47d96p-16, -0x1.017aea09b248fp-16, -0x1.014c84d44c73ap-16, -0x1.0116baed5bfc4p-16, -0x1.00d98e76468fep-16, -0x1.0095021c7e1d4p-16, -0x1.00491917a487ap-16, -0x1.ffebae4e300f3p-17, -0x1.ff36811fbec47p-17, -0x1.fe72b43466dp-17, -0x1.fda0521f764f6p-17, -0x1.fcbf6671b1cc6p-17, -0x1.fbcffdb5762a6p-17, -0x1.fad2256a6749ep-17, -0x1.f9c5ec0005a47p-17, -0x1.f8ab60d19c597p-17, -0x1.f782942251d03p-17, -0x1.f64b9717bbe39p-17, -0x1.f5067bb592d84p-17, -0x1.f3b354d910bbbp-17, -0x1.f25236350206fp-17, -0x1.f0e3344c97c28p-17, -0x1.ef66646ee3b89p-17, -0x1.eddbdcb26d272p-17, -0x1.ec43b3f04f455p-17, -0x1.ea9e01c04cc8p-17, -0x1.e8eade73b7a39p-17, -0x1.e72a63117a79dp-17, -0x1.e55ca95110363p-17, -0x1.e381cb95f3479p-17, -0x1.e199e4eb85e88p-17, -0x1.dfa51100c0c26p-17, -0x1.dda36c233611p-17, -0x1.db95133aeb818p-17, -0x1.d97a23c632a09p-17, -0x1.d752bbd4e9f62p-17, -0x1.d51efa03df47p-17, -0x1.d2defd7939913p-17, -0x1.d092e5dff53e3p-17, -0x1.ce3ad36309dcfp-17, -0x1.cbd6e6a9aea66p-17, -0x1.c96740d376a71p-17, -0x1.c6ec0373934c3p-17, -0x1.c465508cdaef8p-17, -0x1.c1d34a8d679ffp-17, -0x1.bf36144af2b4fp-17, -0x1.bc8dd0fe91da8p-17, -0x1.b9daa440ea4a3p-17, -0x1.b71cb2061d667p-17, -0x1.b4541e99cf466p-17, -0x1.b1810e9afad11p-17, -0x1.aea3a6f848fdep-17, -0x1.abbc0ceceb3a1p-17, -0x1.a8ca65fbfda9cp-17, -0x1.a5ced7ecce8e5p-17, -0x1.a2c988c7a19cep-17, -0x1.9fba9ed242549p-17, -0x1.9ca2408bbe295p-17, -0x1.998094a92f0efp-17, -0x1.9655c211ebcffp-17, -0x1.9321efdc724d7p-17, -0x1.8fe5454b1255ep-17, -0x1.8c9fe9c86046bp-17, }}, 
      {{-0x1.b6c8697ff7116p-1, -0x1.b6c40a6fa460cp-1, -0x1.b6aff34322e2fp-1, -0x1.b681c3c24b0dep-1, -0x1.b63239267d142p-1, -0x1.b5bda88e52261p-1, -0x1.b5238995351ecp-1, -0x1.b465a91f1bacep-1, -0x1.b38752e11715ep-1, -0x1.b28c963d91ddbp-1, -0x1.b179b3db8cdc4p-1, -0x1.b052b533b41bdp-1, -0x1.af1b297bb8658p-1, -0x1.add601166eba4p-1, -0x1.ac8580575ab2fp-1, -0x1.ab2b4303c3bc6p-1, -0x1.a9c84afd7dd24p-1, -0x1.a85d159ec06bbp-1, -0x1.a6e9b45a885c8p-1, -0x1.a56de61fca769p-1, -0x1.a3e92fc0ec731p-1, -0x1.a25af23d180bep-1, -0x1.a0c27e419def8p-1, -0x1.9f1f2493e433p-1, -0x1.9d70435570cep-1, -0x1.9bb550409d639p-1, -0x1.99ede019a47a5p-1, -0x1.9819aba0f465bp-1, -0x1.9638925beb0c1p-1, -0x1.944a9b8afdc62p-1, -0x1.924ff5a1b018cp-1, -0x1.9048f48f36169p-1, -0x1.8e360f1f57bebp-1, -0x1.8c17dbb2f2aa2p-1, -0x1.89ef0c86ffc47p-1, -0x1.87bc6bb8b2cdap-1, -0x1.8580d72d60f88p-1, -0x1.833d3c7d9ed8dp-1, -0x1.80f294fc7e5cdp-1, -0x1.7ea1e1ee0cb8ap-1, -0x1.7c4c28fb34bdap-1, -0x1.79f270ece2173p-1, -0x1.7795beb4a92cfp-1, -0x1.753712c649fc3p-1, -0x1.72d766c2f1119p-1, -0x1.7077ab753a682p-1, -0x1.6e18c71b7c6c6p-1, -0x1.6bbb93fcbe71dp-1, -0x1.6960df43faddep-1, -0x1.6709681cb718p-1, -0x1.64b5df0bb0fbcp-1, -0x1.6266e57e2f9ecp-1, -0x1.601d0d8a8abb9p-1, -0x1.5dd8d9dc8c1fcp-1, -0x1.5b9abdc87d1b4p-1, -0x1.59631d7ff17a3p-1, -0x1.57324e63a1cabp-1, -0x1.5508976dfc725p-1, -0x1.52e631b26397p-1, -0x1.50cb48ed63346p-1, -0x1.4eb7fc227fcdep-1, -0x1.4cac5e448f8cap-1, -0x1.4aa876e5e1662p-1, -0x1.48ac42edbfca5p-1, -0x1.46b7b55124eadp-1, -0x1.44cab7ccbd7a8p-1, -0x1.42e52b9e8df83p-1, -0x1.4106ea3dd2501p-1, -0x1.3f2fc60fd96a2p-1, -0x1.3d5f8b18db938p-1, -0x1.3b95ffa7e89abp-1, -0x1.39d2e4fd3e232p-1, -0x1.3815f7ea72314p-1, -0x1.365ef16c00afdp-1, -0x1.34ad873be8253p-1, -0x1.33016c5d167cbp-1, -0x1.315a519f7fa07p-1, -0x1.2fb7e61ccb6aap-1, -0x1.2e19d7ad9618p-1, -0x1.2c7fd3574c07bp-1, -0x1.2ae985b2bb633p-1, -0x1.29569b4b7a07fp-1, -0x1.27c6c0f84747ap-1, -0x1.2639a42ca0079p-1, -0x1.24aef343b21c9p-1, -0x1.23265dc4f30d6p-1, -0x1.219f94a290fe8p-1, -0x1.201a4a720148dp-1, -0x1.1e96339eefcdap-1, -0x1.1d130698cfe7p-1, -0x1.1b907bfb54719p-1, -0x1.1a0e4eb211c9bp-1, -0x1.188c3c178d3dep-1, -0x1.170a040ffcd15p-1, -0x1.1587691ff5888p-1, -0x1.1404307f4aaabp-1, -0x1.128022285bf9fp-1, -0x1.10fb08e40b663p-1, -0x1.0f74b25297ce7p-1, -0x1.0deceef192af2p-1, -0x1.0c63921f270f8p-1, -0x1.0ad8721ae4eacp-1, -0x1.094b680442565p-1, -0x1.07bc4fd701ad1p-1, -0x1.062b0865a963dp-1, -0x1.04977352366d3p-1, -0x1.0301750535281p-1, -0x1.0168f4a362ef1p-1, -0x1.ff9bb803fe683p-2, -0x1.fc602f33da4ap-2, -0x1.f91f2cf38a96dp-2, -0x1.f5d8946def667p-2, -0x1.f28c4dbc2ee27p-2, -0x1.ef3a45c4db547p-2, -0x1.ebe26e19d4a0ap-2, -0x1.e884bcd51750bp-2, -0x1.e5212c74a1a46p-2, -0x1.e1b7bbb599c25p-2, -0x1.de486d6edadb4p-2, -0x1.dad3486b06473p-2, -0x1.d75857424497p-2, -0x1.d3d7a833c8324p-2, -0x1.d0514cff3672cp-2, -0x1.ccc55abe0b795p-2, -0x1.c933e9bd12adcp-2, -0x1.c59d15560c1b9p-2, -0x1.c200fbc98a19dp-2, -0x1.be5fbe1923d5p-2, -0x1.bab97fe20748fp-2, -0x1.b70e6737f92e1p-2, -0x1.b35e9c80d4e28p-2, -0x1.afaa4a5093c91p-2, -0x1.abf19d45ebf2bp-2, -0x1.a834c3e78bcacp-2, -0x1.a473ee81fdc54p-2, -0x1.a0af4f063d49dp-2, -0x1.9ce718e8ff80cp-2, -0x1.991b8102bb708p-2, -0x1.954cbd70724cdp-2, -0x1.917b05753f017p-2, -0x1.8da6915cadd8fp-2, -0x1.89cf9a5de3ba5p-2, -0x1.85f65a7f956d7p-2, -0x1.821b0c7ccc432p-2, -0x1.7e3debaa815d3p-2, -0x1.7a5f33de0c118p-2, -0x1.767f215464499p-2, -0x1.729df09a363bp-2, -0x1.6ebbde74cfd3cp-2, -0x1.6ad927cbdb19bp-2, -0x1.66f60993ec863p-2, -0x1.6312c0b9e55e4p-2, -0x1.5f2f8a0f1e97bp-2, -0x1.5b4ca23664a6bp-2, -0x1.576a4591beebfp-2, -0x1.5388b030fada2p-2, -0x1.4fa81dc101dafp-2, -0x1.4bc8c97beef54p-2, -0x1.47eaee19e667cp-2, -0x1.440ec5c2a89edp-2, -0x1.403489ffe0151p-2, -0x1.3c5c73b024d79p-2, -0x1.3886bafab53d3p-2, -0x1.34b39743da94cp-2, -0x1.30e33f21fbfc9p-2, -0x1.2d15e8535a8d3p-2, -0x1.294bc7b46e0bdp-2, -0x1.25851136e7db1p-2, -0x1.21c1f7d94d378p-2, -0x1.1e02ad9f2e059p-2, -0x1.1a476389ef66p-2, -0x1.16904992292f5p-2, -0x1.12dd8ea18df14p-2, -0x1.0f2f608d5d819p-2, -0x1.0b85ec115dad9p-2, -0x1.07e15ccb54a8ep-2, -0x1.0441dd36fea21p-2, -0x1.00a796aa7eec9p-2, -0x1.fa2562a68fd48p-3, -0x1.f306a866e1d08p-3, -0x1.ebf34a3eff4e4p-3, -0x1.e4eb91792b71bp-3, -0x1.ddefc4fe141fep-3, -0x1.d7002952c4de8p-3, -0x1.d01d009755f03p-3, -0x1.c9468a86588dfp-3, -0x1.c27d0474eea73p-3, -0x1.bbc0a95388e0bp-3, -0x1.b511b1af49f11p-3, -0x1.ae7053b405aeap-3, -0x1.a7dcc32ecf7cfp-3, -0x1.a157319119ddcp-3, -0x1.9adfcdf459115p-3, -0x1.9476c51e27e55p-3, -0x1.8e1c4184e7a94p-3, -0x1.87d06b54d35d5p-3, -0x1.819368757d4fep-3, -0x1.7b655c8fb729dp-3, -0x1.75466913dd609p-3, -0x1.6f36ad407c5fdp-3, -0x1.693646294da9dp-3, -0x1.63454ebe8502dp-3, -0x1.5d63dfd46cc6ap-3, -0x1.5792102b45182p-3, -0x1.51cff4776b313p-3, -0x1.4c1d9f69b579ap-3, -0x1.467b21b80fd44p-3, -0x1.40e88a26484cdp-3, -0x1.3b65e58f0a648p-3, -0x1.35f33eed073a6p-3, -0x1.30909f64470bep-3, -0x1.2b3e0e4b95f92p-3, -0x1.25fb91361a215p-3, -0x1.20c92bfcf994p-3, -0x1.1ba6e0c922907p-3, -0x1.1694b01d21d81p-3, -0x1.119298df0a983p-3, -0x1.0ca0986268e23p-3, -0x1.07beaa72469c4p-3, -0x1.02ecc95b31537p-3, -0x1.fc55dbea81dd5p-4, -0x1.f2f21f5c55658p-4, -0x1.e9ae49268c661p-4, -0x1.e08a42b7361bfp-4, -0x1.d785f2e3bbe6ep-4, -0x1.cea13dfcd7d11p-4, -0x1.c5dc05e26ef1p-4, -0x1.bd362a17532abp-4, -0x1.b4af87d4e707fp-4, -0x1.ac47fa1ea1e7p-4, -0x1.a3ff59d569f04p-4, -0x1.9bd57dcacc9eap-4, -0x1.93ca3ad4000bbp-4, -0x1.8bdd63dcc3afp-4, -0x1.840ec9f9fecb9p-4, -0x1.7c5e3c7c35dfep-4, -0x1.74cb8901c4186p-4, -0x1.6d567b88d9a6p-4, -0x1.65fede81419c2p-4, -0x1.5ec47adde6304p-4, -0x1.57a7182616b2ap-4, -0x1.50a67c86899f4p-4, -0x1.49c26ce21effep-4, -0x1.42faace25a7fbp-4, -0x1.3c4eff07958c3p-4, -0x1.35bf24b8ef4fap-4, -0x1.2f4ade53ef9e4p-4, -0x1.28f1eb3bdfd32p-4, -0x1.22b409e8dc136p-4, -0x1.1c90f7f69756dp-4, -0x1.16887232d4abep-4, -0x1.109a34ab8e26fp-4, -0x1.0ac5fabcdb41bp-4, -0x1.050b7f1e7b921p-4, -0x1.fed4f7e23b34p-5, -0x1.f3c55596a6de1p-5, -0x1.e8e7898c7a492p-5, -0x1.de3b0513bef2cp-5, -0x1.d3bf38b2668a8p-5, -0x1.c973943bc4c9cp-5, -0x1.bf5786e776395p-5, -0x1.b56a7f67a73a3p-5, -0x1.ababebfebfe4fp-5, -0x1.a21b3a947fa75p-5, -0x1.98b7d8ca7b41ap-5, -0x1.8f813410026afp-5, -0x1.8676b9b57533dp-5, -0x1.7d97d6ff02d26p-5, -0x1.74e3f936d3998p-5, -0x1.6c5a8dbea6339p-5, -0x1.63fb0220d7aedp-5, -0x1.5bc4c420e08eap-5, -0x1.53b741cb473d3p-5, -0x1.4bd1e98501871p-5, -0x1.44142a1a5334p-5, -0x1.3c7d72cd1f89p-5, -0x1.350d3362bc7abp-5, -0x1.2dc2dc313ca7p-5, -0x1.269dde2c3b59cp-5, -0x1.1f9daaf12770bp-5, -0x1.18c1b4d310a35p-5, -0x1.12096ee5fd2afp-5, -0x1.0b744d09c4f94p-5, -0x1.0501c3f46e9fp-5, -0x1.fd62927851f55p-6, -0x1.f104a6c1797a3p-6, -0x1.e4e8b3a940ae3p-6, -0x1.d90daa0b27242p-6, -0x1.cd727cc9a8242p-6, -0x1.c21620ddc8d63p-6, -0x1.b6f78d65dd2bep-6, -0x1.ac15bbb38875bp-6, -0x1.a16fa758e80cdp-6, -0x1.97044e3513b23p-6, -0x1.8cd2b07fcad1bp-6, -0x1.82d9d0d47bp-6, -0x1.7918b43c89e18p-6, -0x1.6f8e6238f4c64p-6, -0x1.6639e4cb410e5p-6, -0x1.5d1a487dcb691p-6, -0x1.542e9c6b74871p-6, -0x1.4b75f246a9226p-6, -0x1.42ef5e5fe1833p-6, -0x1.3a99f7ab73346p-6, -0x1.3274d7c6ef50bp-6, -0x1.2a7f1afdd6855p-6, -0x1.22b7e04de0b5fp-6, -0x1.1b1e496aabedcp-6, -0x1.13b17ac0f02afp-6, -0x1.0c709b793fc34p-6, -0x1.055ad57a44e5p-6, -0x1.fcdeaad51b9acp-7, -0x1.ef5a9563d39f7p-7, -0x1.e227cef4b12d6p-7, -0x1.d544c16123e7dp-7, -0x1.c8afdc0842a35p-7, -0x1.bc6793ce4b534p-7, -0x1.b06a631b6c02ap-7, -0x1.a4b6c9d9c6c3cp-7, -0x1.994b4d72c44c2p-7, -0x1.8e2678cbd161ap-7, -0x1.8346dc426119ap-7, -0x1.78ab0da77a47bp-7, -0x1.6e51a83a71d1bp-7, -0x1.64394ca359042p-7, -0x1.5a60a0ecb4f0bp-7, -0x1.50c6507cc265bp-7, -0x1.47690c0e428cep-7, -0x1.3e4789a8bdc22p-7, -0x1.3560849868428p-7, -0x1.2cb2bd658b92dp-7, -0x1.243cf9cb8a009p-7, -0x1.1bfe04af9112cp-7, -0x1.13f4ae16c9a7ep-7, -0x1.0c1fcb1c5a0edp-7, -0x1.047e35e6f7f3fp-7, -0x1.fa1d9b3c5b7f7p-8, -0x1.eba0ecbecec15p-8, -0x1.dd843265441ep-8, -0x1.cfc547fdd47b8p-8, -0x1.c26212fd1e316p-8, -0x1.b55882665a1bep-8, -0x1.a8a68eb2eb8bfp-8, -0x1.9c4a39b97d175p-8, -0x1.90418e94efdp-8, -0x1.848aa18adb941p-8, -0x1.79238ff1a660fp-8, -0x1.6e0a80169574cp-8, -0x1.633da1234ee2cp-8, -0x1.58bb2b036b327p-8, -0x1.4e815e49a162dp-8, -0x1.448e8414d7e6fp-8, -0x1.3ae0edf50659fp-8, -0x1.3176f5cfef823p-8, -0x1.284efdc5de253p-8, -0x1.1f6770161d2dap-8, -0x1.16bebf03740ap-8, -0x1.0e5364b88bf6dp-8, -0x1.0623e32c6553ap-8, -0x1.fc5d880d37fdcp-9, -0x1.ece531079a5edp-9, -0x1.dddbf2b3eecbcp-9, -0x1.cf3f0d399fe6dp-9, -0x1.c10bcf448962fp-9, -0x1.b33f95cdecd06p-9, -0x1.a5d7cbe5843fcp-9, -0x1.98d1ea7ae6856p-9, -0x1.8c2b7826e93c7p-9, -0x1.7fe208f56a5f5p-9, -0x1.73f33e2f4eca9p-9, -0x1.685cc624a5e79p-9, -0x1.5d1c5bf7333c5p-9, -0x1.522fc76539d83p-9, -0x1.4794dc94b4675p-9, -0x1.3d497bdea069ep-9, -0x1.334b919b10239p-9, -0x1.299915ed23c6dp-9, -0x1.20300c8fc5f73p-9, -0x1.170e84a2c0ae6p-9, -0x1.0e329877f5981p-9, -0x1.059a6d616087dp-9, -0x1.fa8866fea5932p-10, -0x1.ea5c4b1e8081dp-10, -0x1.daad1175e95a5p-10, -0x1.cb7758d083ecap-10, -0x1.bcb7d41278ae4p-10, -0x1.ae6b49d995f0dp-10, -0x1.a08e94200aec1p-10, -0x1.931e9fdf68971p-10, -0x1.86186cb54e582p-10, -0x1.79790c88bc371p-10, -0x1.6d3da330a04fbp-10, -0x1.6163661b6859bp-10, -0x1.55e79bf7c20e7p-10, -0x1.4ac79c5e1e56cp-10, -0x1.4000cf7bab65p-10, -0x1.3590adbe46825p-10, -0x1.2b74bf815dacdp-10, -0x1.21aa9cbc3a9f7p-10, -0x1.182fecb1067ffp-10, -0x1.0f02659d609f6p-10, -0x1.061fcc6b865aep-10, -0x1.fb0be8ca3c8c9p-11, -0x1.ea657dcdbfcd2p-11, -0x1.da48362a651dcp-11, -0x1.cab00b247d197p-11, -0x1.bb9910698a8c7p-11, -0x1.acff7380d461ep-11, -0x1.9edf7b3dbb0d4p-11, -0x1.91358733fd59bp-11, -0x1.83fe0f2f139a7p-11, -0x1.7735a2aad1987p-11, -0x1.6ad8e84ebaacbp-11, -0x1.5ee49d6b45799p-11, -0x1.53559579708abp-11, -0x1.4828b99c53a2dp-11, -0x1.3d5b0824bf49p-11, -0x1.32e99417654d3p-11, -0x1.28d184b4742cbp-11, -0x1.1f101501b6066p-11, -0x1.15a29356e85d6p-11, -0x1.0c8660eb7937cp-11, -0x1.03b8f166ebd55p-11, -0x1.f66f94e5e732fp-12, -0x1.e601069f40432p-12, -0x1.d62188d2cc929p-12, -0x1.c6cc8de2a7285p-12, -0x1.b7fda8edfbbc9p-12, -0x1.a9b08d08b8497p-12, -0x1.9be10c77832ep-12, -0x1.8e8b17eedcdep-12, -0x1.81aabdd619279p-12, -0x1.753c298e48d42p-12, -0x1.693ba2bc6640dp-12, -0x1.5da58c973f6e2p-12, -0x1.52766538d65e7p-12, -0x1.47aac4f34c7b2p-12, -0x1.3d3f5da94b7cdp-12, -0x1.3330fa296ffeap-12, -0x1.297c7d8dbcbdap-12, -0x1.201ee29d7fd8ep-12, -0x1.17153b33524e7p-12, -0x1.0e5cafa5ab3fcp-12, -0x1.05f27e32f4c6cp-12, -0x1.fba7f4e10c2c8p-13, -0x1.ebfd197984cb1p-13, -0x1.dcdf6368d538ep-13, -0x1.ce49f3556b566p-13, -0x1.c0381048c5c81p-13, -0x1.b2a526ab13fcap-13, -0x1.a58cc745cbd2ap-13, -0x1.98eaa6496395ep-13, -0x1.8cba9a5b74b5cp-13, -0x1.80f89ba83c77fp-13, -0x1.75a0c2f9d1a3ap-13, -0x1.6aaf48d586efdp-13, -0x1.6020849d0019cp-13, -0x1.55f0ebb5b0fe5p-13, -0x1.4c1d10b4a313fp-13, -0x1.42a1a28ec1376p-13, -0x1.397b6bcf0f622p-13, -0x1.30a751d0a1a4fp-13, -0x1.282253fd66059p-13, -0x1.1fe98b11d3434p-13, -0x1.17fa2864f900cp-13, -0x1.105175344716fp-13, -0x1.08ecd1f4a417fp-13, -0x1.01c9b5a74c175p-13, -0x1.f5cb5a64ea0bap-14, -0x1.e87cb57d1fc83p-14, -0x1.dba2ea2ec14b1p-14, -0x1.cf398e214b344p-14, -0x1.c33c5ddea3903p-14, -0x1.b7a73bab80c21p-14, -0x1.ac762e6735bedp-14, -0x1.a1a5607595012p-14, -0x1.97311eaaf9d4bp-14, -0x1.8d15d743f7317p-14, -0x1.835018e0c12c4p-14, -0x1.79dc918828c0ep-14, -0x1.70b80db210327p-14, -0x1.67df7756ce98p-14, -0x1.5f4fd505b134p-14, -0x1.5706490114c37p-14, -0x1.4f00106092296p-14, -0x1.473a823a0f418p-14, -0x1.3fb30ecedc9adp-14, -0x1.38673ebee0134p-14, -0x1.3154b242f13e2p-14, -0x1.2a792069e1fa8p-14, -0x1.23d2565d34964p-14, -0x1.1d5e36a896a15p-14, -0x1.171ab888f6074p-14, -0x1.1105e73dfef8dp-14, -0x1.0b1de162688c7p-14, -0x1.0560d847b8378p-14, -0x1.ff9a1eadef071p-15, -0x1.f4c1b6eb5858bp-15, -0x1.ea3544df826dep-15, -0x1.dff1b4ca508c4p-15, -0x1.d5f412773c5cbp-15, -0x1.cc398829cc614p-15, -0x1.c2bf5d91447f2p-15, -0x1.b982f6c50a8e7p-15, -0x1.b081d34677d28p-15, -0x1.a7b98d0d0066dp-15, -0x1.9f27d7976dde9p-15, -0x1.96ca7f04338bcp-15, -0x1.8e9f673213b7p-15, -0x1.86a48ae60ca42p-15, -0x1.7ed7faf86954cp-15, -0x1.7737dd87bda9fp-15, -0x1.6fc26d32c22adp-15, -0x1.6875f85745e09p-15, -0x1.6150e0589c911p-15, -0x1.5a5198e95ff9ap-15, -0x1.5376a75d00ff9p-15, -0x1.4cbea1fe3c83ep-15, -0x1.46282f692808bp-15, -0x1.3fb205ede5bebp-15, -0x1.395aeaf465b63p-15, -0x1.3321b267d01bap-15, -0x1.2d053e2626843p-15, -0x1.27047d7370cbbp-15, -0x1.211e6c72cb966p-15, -0x1.1b5213a31972ep-15, -0x1.159e87603c792p-15, -0x1.1002e76861dcbp-15, -0x1.0a7e5e6589f73p-15, -0x1.0510217a7388cp-15, -0x1.ff6edfa7d4b2dp-16, -0x1.f4e7247c4d742p-16, -0x1.ea87b579149acp-16, -0x1.e04f484c50a35p-16, -0x1.d63ca389d6a91p-16, -0x1.cc4e9df09a9ffp-16, -0x1.c2841db78a467p-16, -0x1.b8dc17de0778ep-16, -0x1.af558f86e74f7p-16, -0x1.a5ef9553f51a1p-16, -0x1.9ca946cb3beb8p-16, -0x1.9381cdc0ce2e6p-16, -0x1.8a785fc508629p-16, -0x1.818c3d99a516cp-16, -0x1.78bcb2aa54e17p-16, -0x1.7009148b22054p-16, -0x1.6770c27be0ca9p-16, -0x1.5ef324ef8c562p-16, -0x1.568fad18a4adap-16, -0x1.4e45d47a6b55bp-16, -0x1.46151c7c20fc9p-16, -0x1.3dfd0e03be6eap-16, -0x1.35fd3911fb2c7p-16, -0x1.2e1534635023ap-16, -0x1.26449d146f464p-16, -0x1.1e8b164a8cf47p-16, -0x1.16e848df095eap-16, -0x1.0f5be30e476f1p-16, -0x1.07e5982a610dap-16, -0x1.0085205092be8p-16, -0x1.f274704310cdep-17, -0x1.e40940fab6ef2p-17, -0x1.d5c83c83cce3fp-17, -0x1.c7b0f41787132p-17, -0x1.b9c2fff5ce173p-17, -0x1.abfdfef001508p-17, -0x1.9e6195fde882bp-17, -0x1.90ed6fd1aaaf5p-17, -0x1.83a13c7610ce7p-17, -0x1.767cb0ece278p-17, -0x1.697f86d521486p-17, -0x1.5ca97c11d4621p-17, -0x1.4ffa5278382bp-17, -0x1.4371cf7f67555p-17, -0x1.370fbbf686e2bp-17, -0x1.2ad3e3bb82d8dp-17, -0x1.1ebe1577c5523p-17, -0x1.12ce225e423e9p-17, -0x1.0703ddeebd1adp-17, -0x1.f6be3b76d2697p-18, -0x1.dfbf7261b355cp-18, -0x1.c90b12c3c228ap-18, -0x1.b2a0d1ac58ce4p-18, -0x1.9c8066b46a4efp-18, -0x1.86a98ba855a7dp-18, -0x1.711bfc326422fp-18, -0x1.5bd7758d44f8p-18, -0x1.46dbb63889af8p-18, -0x1.32287db3d57edp-18, -0x1.1dbd8c3bf735ep-18, -0x1.099aa28e24e05p-18, -0x1.eb7f035b9248fp-19, -0x1.c457d5615ee38p-19, -0x1.9dbf3d13f81fdp-19, -0x1.77b4bbba571b4p-19, -0x1.5237d1a3aeabp-19, -0x1.2d47fdd82199ap-19, -0x1.08e4bdce104b9p-19, -0x1.ca1b1a4a5d7c7p-20, -0x1.8383cacd2b508p-20, -0x1.3e027b96c233ep-20, -0x1.f32c2c1f47fe4p-21, -0x1.6c7afc6e8eaa8p-21, -0x1.cfde493c96525p-22, -0x1.96195456074d5p-23, 0x1.ac1ce6bb19db6p-25, 0x1.31d75e845f2e6p-22, 0x1.14f9c45b5c573p-21, 0x1.8eee928e56254p-21, 0x1.0366567569a47p-20, 0x1.3e4b5a7d7543bp-20, 0x1.7827ad7cbb41fp-20, 0x1.b0fcaf0309c3fp-20, 0x1.e8cbc61938b2cp-20, 0x1.0fcb30a9d4817p-19, 0x1.2aaefb690a243p-19, 0x1.45120221c9b66p-19, 0x1.5ef507716150dp-19, 0x1.7858d1b5a591dp-19, 0x1.913e2b0a4715dp-19, 0x1.a9a5e13decf92p-19, 0x1.c190c5c9bd598p-19, 0x1.d8ffadc6f45c2p-19, 0x1.eff371e1216cfp-19, 0x1.03367724f88cap-18, 0x1.0e36815429fdcp-18, 0x1.18fa4904fc913p-18, 0x1.238241674b9a5p-18, 0x1.2dcedf4c6ba74p-18, 0x1.37e0991c66bb7p-18, 0x1.41b7e6cc0451fp-18, 0x1.4b5541d20bef7p-18, 0x1.54b9251c89253p-18, 0x1.5de40d0524f55p-18, 0x1.66d677458ec7cp-18, 0x1.6f90e2ebdab5p-18, 0x1.7813d04dc8cfp-18, 0x1.805fc0fdec07dp-18, 0x1.887537bd5f657p-18, 0x1.9054b8703ed14p-18, 0x1.97fec8109959ap-18, 0x1.9f73eca161257p-18, 0x1.a6b4ad215c8eep-18, 0x1.adc1917ea4798p-18, 0x1.b49b2288ec85fp-18, 0x1.bb41e9e4bbf13p-18, 0x1.c1b671fe91b3ep-18, 0x1.c7f945fd20e46p-18, 0x1.ce0af1b4de09ep-18, 0x1.d3ec019a9d7e4p-18, 0x1.d99d02b71c24cp-18, 0x1.df1e8299bae82p-18, 0x1.e4710f4b83b8ap-18, 0x1.e9953742bae84p-18, 0x1.ee8b89566a796p-18, 0x1.f35494b13c744p-18, 0x1.f7f0e8c634468p-18, 0x1.fc611543d093ap-18, 0x1.0052d503f7cap-17, 0x1.025f9b8a096d9p-17, 0x1.04572640fb5a1p-17, 0x1.0639bd3ba3e7cp-17, 0x1.0807a88d7ee08p-17, 0x1.09c13044f8e46p-17, 0x1.0b669c65adb0fp-17, 0x1.0cf834e34e722p-17, 0x1.0e76419c37153p-17, 0x1.0fe10a5445e65p-17, 0x1.1138d6af8d91cp-17, 0x1.127dee2d94849p-17, 0x1.13b098245b85ep-17, 0x1.14d11bbba5e2bp-17, 0x1.15dfbfe805122p-17, 0x1.16dccb669c62fp-17, 0x1.17c884b87ae11p-17, 0x1.18a3321e4c46bp-17, 0x1.196d19940acb3p-17, 0x1.1a2680cd00a39p-17, 0x1.1acfad2fb1bbbp-17, 0x1.1b68e3d1eac35p-17, 0x1.1bf269750ce68p-17, 0x1.1c6c828245c88p-17, 0x1.1cd773071fb08p-17, 0x1.1d337eb1cd1e2p-17, 0x1.1d80e8ce1bae4p-17, 0x1.1dbff441ebc8bp-17, 0x1.1df0e38a49229p-17, 0x1.1e13f8b84b0c5p-17, 0x1.1e29756e03291p-17, 0x1.1e319adc0883ap-17, 0x1.1e2ca9be74406p-17, 0x1.1e1ae25a4d225p-17, 0x1.1dfc847b3099fp-17, 0x1.1dd1cf70d4c5dp-17, 0x1.1d9b020c9cc03p-17, 0x1.1d585a9fb05c6p-17, 0x1.1d0a16f8975f2p-17, 0x1.1cb0746155fd6p-17, 0x1.1c4baf9d7eb07p-17, 0x1.1bdc04e884068p-17, 0x1.1b61aff3cac15p-17, 0x1.1adcebe527e4fp-17, 0x1.1a4df3554ec7ep-17, 0x1.19b5004e4b3e6p-17, 0x1.19124c4a48023p-17, 0x1.1866103246d58p-17, 0x1.17b0845cc2504p-17, 0x1.16f1e08caf393p-17, 0x1.162a5bf07ad8p-17, 0x1.155a2d2109236p-17, 0x1.14818a20d88b5p-17, 0x1.13a0a85b2f225p-17, 0x1.12b7bca37326cp-17, 0x1.11c6fb346ef15p-17, 0x1.10ce97afd01dcp-17, 0x1.0fcec51d9ec76p-17, 0x1.0ec7b5ebd2064p-17, 0x1.0db99bedc4dd4p-17, 0x1.0ca4a85c36f21p-17, 0x1.0b890bd4cb483p-17, 0x1.0a66f659e3cabp-17, 0x1.093e9752a2736p-17, 0x1.08101d8acde8fp-17, 0x1.06dbb732ad092p-17, 0x1.05a191df3e647p-17, 0x1.0461da8a4b693p-17, 0x1.031cbd926d251p-17, 0x1.01d266bb6a602p-17, 0x1.0083012e6dcd6p-17, 0x1.fe5d6ef4aa517p-18, 0x1.fbab672800f59p-18, 0x1.f8f03dada74fep-18, 0x1.f62c4409ea8cp-18, 0x1.f35fca901c90ep-18, 0x1.f08b206344fa3p-18, 0x1.edae937769f71p-18, 0x1.eaca7092a99a6p-18, 0x1.e7df034ebaa46p-18, 0x1.e4ec961a1e9c4p-18, 0x1.e1f372398f004p-18, 0x1.def3dfc979bccp-18, 0x1.dbee25bfb9e06p-18, 0x1.d8e289ed3c23p-18, 0x1.d5d150ff7a35dp-18, 0x1.d2babe824837fp-18, 0x1.cf9f14e1bd8d5p-18, 0x1.cc7e956c229bbp-18, 0x1.c959805390b54p-18, 0x1.c63014b02ff6bp-18, 0x1.c30290820753dp-18, 0x1.bfd130b31872fp-18, 0x1.bc9c3119b046dp-18, 0x1.b963cc7a3439bp-18, 0x1.b6283c8955f49p-18, 0x1.b2e9b9ee67255p-18, 0x1.afa87c45a4545p-18, 0x1.ac64ba228a1bap-18, 0x1.a91ea911d50c5p-18, 0x1.a5d67d9bffd31p-18, 0x1.a28c6b47b78f9p-18, 0x1.9f40a49c3ad7fp-18, 0x1.9bf35b23c92a3p-18, 0x1.98a4bf6de68d8p-18, 0x1.9555011204a8fp-18, 0x1.92044eb1cb01ep-18, 0x1.8eb2d5fbb4412p-18, 0x1.8b60c3ad8ae65p-18, 0x1.880e4396fb999p-18, 0x1.84bb809c077e8p-18, 0x1.8168a4b7b6cddp-18, 0x1.7e15d8fe94616p-18, 0x1.7ac345a119b09p-18, 0x1.777111ee73db7p-18, 0x1.741f645720f0fp-18, 0x1.70ce626f70aaap-18, 0x1.6d7e30f20e18ep-18, 0x1.6a2ef3c2ce31fp-18, 0x1.66e0cdf117c44p-18, 0x1.6393e1ba7e244p-18, 0x1.6048508d76a76p-18, 0x1.5cfe3b0be7368p-18, 0x1.59b5c10dcfae9p-18, 0x1.566f01a3d4fcdp-18, 0x1.532a1b19e54f9p-18, 0x1.4fe72af9b153ep-18, 0x1.4ca64e0d5750fp-18, 0x1.4967a062059d3p-18, 0x1.462b3d4a8b7f7p-18, 0x1.42f13f61de3d6p-18, 0x1.3fb9c08d9cbabp-18, 0x1.3c84da00b486p-18, 0x1.3952a43deb3b4p-18, 0x1.3623371a4e888p-18, 0x1.32f6a9bfb85fcp-18, 0x1.2fcd12af59803p-18, 0x1.2ca687c4521edp-18, 0x1.29831e3629fd9p-18, 0x1.2662ea9b304bdp-18, 0x1.234600eadc1aap-18, 0x1.202c748052938p-18, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      44, 0x1.6cccccccccccdp+2, 0x1.0c9252ab22fc8p+2, 0x1.d7da0c21f77a1p+3, -0x1.f361d3b2e505p-3, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.a1a6f258f3e3ap-1, -0x1.1c91b9faa7a91p+2, 0x1.2a8b35b362461p+3, -0x1.119b3279a3c14p+3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.3b380edded431p-1, -0x1.c9eddd6ea53ebp+1, 0x1.0180baedf01c7p+3, -0x1.f5d7f6791bdacp+2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.d2dce278677adp-2, -0x1.6a74a6ff5defbp+1, 0x1.b7baaa7ce8d7ap+2, -0x1.cf45690529a29p+2}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.528b0e377fdfap-2, -0x1.19757af48adfap+1, 0x1.723d0def55cc5p+2, -0x1.a6e0a82fe042bp+2}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dfd8c8d8f1bf3p-3, -0x1.ab823d0fe83bcp+0, 0x1.32ce8e4e8dc1fp+2, -0x1.7ef8d3d9bc6bdp+2}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.4bdb215c17402p-3, -0x1.3c4670e519065p+0, 0x1.f2b8dd0efc972p+1, -0x1.56ef80e857f53p+2}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.bfd89ad954e65p-4, -0x1.c5a33a0f94da2p-1, 0x1.8bd769961567ap+1, -0x1.2eef3be4d240ap+2}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.27a2898b5aec1p-4, -0x1.397a22c7ad61fp-1, 0x1.30f60ad16fed6p+1, -0x1.06ec3dc50f00fp+2}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.81133da3a95a7p-5, -0x1.9e893a13ee8bep-2, 0x1.c42b23c63d414p+0, -0x1.bdd62c50cf9e7p+1}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.f7bc2cf7984b7p-6, -0x1.046b38aac3c75p-2, 0x1.3e6ae3479890bp+0, -0x1.6dca9b37114fdp+1}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.547e7fb90b9d7p-6, -0x1.35ffa52d19d33p-3, 0x1.a15c363af38c4p-1, -0x1.1de06498e34dfp+1}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ea9e7479763bdp-7, -0x1.62b82cdf18022p-4, 0x1.ebab26f1a322cp-2, -0x1.9af40bd9c506ep+0}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.7d7d4ad3e937fp-7, -0x1.9ebb99978ae0ap-5, 0x1.ea3172ddf3726p-3, -0x1.fb8bb3f25946ep-1}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3a1718bc8aaffp-7, -0x1.178f9ff571a5dp-5, 0x1.7354da991553p-4, -0x1.4c57295a9ce74p-2}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.084678daf3c1fp-7, -0x1.c278685220cb7p-6, 0x1.57dab6c56e5eep-5, -0x1.4838190cc9366p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.bd4064145e402p-8, -0x1.7eee27b3546fbp-6, 0x1.4b8bcf6e8d39bp-5, -0x1.86b961e789ec2p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.76e7d9ca4a29bp-8, -0x1.427b5faec5c7fp-6, 0x1.10f000bf05569p-5, -0x1.0b2933e2d486fp-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3b99d2a61094fp-8, -0x1.0fe6df0821808p-6, 0x1.d1ba0b86caeb3p-6, -0x1.0369ca059c988p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.099e4c9c909d8p-8, -0x1.ca70d3bd26cb2p-7, 0x1.83e71bb84f22bp-6, -0x1.b945b266f20b7p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.bedd879246556p-9, -0x1.837ab0def4325p-7, 0x1.41b640f5aad48p-6, -0x1.7c52801b1540cp-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.776c64db35d1ap-9, -0x1.48d77a47d3a15p-7, 0x1.08a9e0f19ad7cp-6, -0x1.3b039e575ef16p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3aa221e4889b7p-9, -0x1.18a25b2fdb351p-7, 0x1.b2d2abfc32cdfp-7, -0x1.f511963552641p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.069aabcbcb2f6p-9, -0x1.e1d1e1bffe217p-8, 0x1.67a9a241000cp-7, -0x1.7632da7392af4p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.b3a9d7f6fb33bp-10, -0x1.9f8013ef9b32ap-8, 0x1.2f8867e2dd3d9p-7, -0x1.daa0ad8a39846p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.6665905626f59p-10, -0x1.665a7b571c2e9p-8, 0x1.0bef8e1218ed6p-7, -0x1.50c2c8f7a4d9p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.23ea97d972c3ap-10, -0x1.334ac06ef2ac7p-8, 0x1.e55b7dff0c541p-8, -0x1.4ee9da2fe06a9p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.d649c71340215p-11, -0x1.0544a2e900908p-8, 0x1.b31ed077dddddp-8, -0x1.38afe28d64d79p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.762bb1059e192p-11, -0x1.b833d40145a13p-9, 0x1.8437a1af75242p-8, -0x1.27ebd15ed8275p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.25993e2012ce7p-11, -0x1.6eff70689028dp-9, 0x1.57d44247a183ep-8, -0x1.15b12f3b48a4fp-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c5988aad094e6p-12, -0x1.2e65b99ef758dp-9, 0x1.2e2ce198569e8p-8, -0x1.03daea77d3e2bp-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.583447f55a0cbp-12, -0x1.ebb862991267cp-10, 0x1.0732719ff6d64p-8, -0x1.e3d38251ef48fp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.ffcef6f06149ep-13, -0x1.89b2e67679a92p-10, 0x1.c5d1f61a09c85p-9, -0x1.bfff994f3e876p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.7395f2a097cdfp-13, -0x1.35a79f38db33fp-10, 0x1.829ed24e26cdep-9, -0x1.9c27d2f7383fdp-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.065d44a8214dp-13, -0x1.dd06ab87f2cdep-11, 0x1.44cc0c42ab29bp-9, -0x1.7851185988807p-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.6665905626f31p-14, -0x1.666590513f3c6p-11, 0x1.0c597bced6b03p-9, -0x1.547a0c27ce85cp-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.d649c713401b9p-15, -0x1.05456e84d365cp-11, 0x1.b28e5a5e8905ap-10, -0x1.30a33a8be7aabp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.25993e2012c9cp-15, -0x1.6eff8e52a1ba8p-12, 0x1.572a2f349052ap-10, -0x1.0ccbd02cbf492p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.583447f55a051p-16, -0x1.ebb861c8431dbp-13, 0x1.0686a3f3f089fp-10, -0x1.d1ed1c8996948p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.7395f2a097be2p-17, -0x1.35a7b24090d48p-13, 0x1.814625be9a4b7p-11, -0x1.8a32868693e0bp-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.666590562694p-18, -0x1.66650488289d2p-14, 0x1.0b03ca2fd4554p-11, -0x1.42b3e8616f65cp-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.25993e20121p-19, -0x1.6f03a12d183cp-15, 0x1.54686f5865d49p-12, -0x1.f4aaf9f042f21p-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.7395f2a0954p-21, -0x1.35893295c6924p-16, 0x1.7c6a48ba3d192p-13, -0x1.6a749d83039d6p-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.25993e2005p-23, -0x1.70c5c080e99c4p-18, 0x1.45e23ad742aa3p-14, -0x1.8fc7e4111b46bp-12}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.25993e1fp-27, -0x1.3a06d08fe55d8p-21, 0x1.580f94cd95fp-16, -0x1.0b82ce850f0fdp-11}, 
      }}, 
      0x1.f770a95da70f8p-8, -0x1.83f9d0f34ceb7p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.62f8e18357504p-2, -0x1.566985eb1094fp-2, -0x1.4bb2d51b14928p-2, -0x1.4974fe6e8d2f2p-2, -0x1.52fc2a05bd5a9p-2, -0x1.689e5230c308cp-2, -0x1.889e6fe3bd8dfp-2, -0x1.b011703c21bcdp-2, -0x1.db960eb354911p-2, -0x1.03eb4f6400578p-1, -0x1.18ed42419b136p-1, -0x1.2b98dc36d860cp-1, -0x1.3b02866d7d45dp-1, -0x1.468a2a0bf443cp-1, -0x1.4dd4c6486d285p-1, -0x1.50c31c4affd8cp-1, -0x1.4f67328d6dbc1p-1, -0x1.49f9d2071c63cp-1, -0x1.40d0a7927eb79p-1, -0x1.345568c4003f4p-1, -0x1.24fe29f9fbda6p-1, -0x1.1346f4a281abep-1, -0x1.ff5927a89c82p-2, -0x1.d550fea5c3761p-2, -0x1.a95b8f041dac3p-2, -0x1.7c4dc51f7307p-2, -0x1.4ee8721c2a97bp-2, -0x1.21d6a4c09f6d6p-2, -0x1.eb5a0b0e1d16p-3, -0x1.95d3fe5e2b7eep-3, -0x1.43ed0651b2d23p-3, -0x1.ec9cef9f3861p-4, -0x1.5af82ae0b8e38p-4, -0x1.a75dcb1697abcp-5, -0x1.5d1bcdb1c11b5p-6, 0x1.9f01fecfda18ap-8, 0x1.ff583aef96152p-6, 0x1.b4e693a59d644p-5, 0x1.29f2c53612f48p-4, 0x1.6e9c45533d976p-4, 0x1.a8cf276c57875p-4, 0x1.d8fda54895bfp-4, 0x1.ffa89f93b7ec1p-4, 0x1.0eadeae77bd6fp-3, 0x1.195549671aad5p-3, 0x1.20165fa3903aep-3, 0x1.233e3b03f647fp-3, 0x1.2319ea659f803p-3, 0x1.1ff59fe40184ep-3, 0x1.1a1bef4c3fdcbp-3, 0x1.11d538590db12p-3, 0x1.0767354b96f4p-3, 0x1.f6292ee810592p-4, 0x1.da3989e1aca1fp-4, 0x1.bb7759dd4fd49p-4, 0x1.9a534dfa5650ep-4, 0x1.7736cd11b3452p-4, 0x1.5283f833edd49p-4, 0x1.2c95b9f892cfdp-4, 0x1.05bfe75702a75p-4, 0x1.bc9ee3eb0b6f4p-5, 0x1.6d154add20051p-5, 0x1.1d62d7d3791a6p-5, 0x1.9bf65843b7a74p-6, 0x1.fd1956d3733aep-7, 0x1.8d0b65c03338fp-8, -0x1.aa0c95c1aa617p-9, -0x1.94dccfbf596bfp-7, -0x1.5bc39410df869p-6, -0x1.e8d1e341eaa8ep-6, -0x1.389cdf8d76fe7p-5, -0x1.7a5506f8b1216p-5, -0x1.b96f8a369cd27p-5, -0x1.f5d0acb99d7b9p-5, -0x1.17b12b44ef219p-4, -0x1.3309cc0211b9fp-4, -0x1.4cec17d850007p-4, -0x1.655410a27d336p-4, -0x1.7c3fa4c9e923fp-4, -0x1.91ae83138200dp-4, -0x1.a5a1e8043bd7ep-4, -0x1.b81c7684de3c2p-4, -0x1.c92212b98b32cp-4, -0x1.d8b7b704a2ff9p-4, -0x1.e6e35a5d35248p-4, -0x1.f3abcbced2917p-4, -0x1.ff1894ebcb0c9p-4, -0x1.0498f2720506ap-3, -0x1.09003a61c662bp-3, -0x1.0cc6b7c767b86p-3, -0x1.0ff13059d83b2p-3, -0x1.128490be1d55cp-3, -0x1.1485e3443e46bp-3, -0x1.15fa4847993ebp-3, -0x1.16e6efaa9f8e1p-3, -0x1.1751120964c6dp-3, -0x1.173deba14337p-3, -0x1.16b2b69d642e9p-3, -0x1.15b4a6e047bf2p-3, -0x1.1448e63bd9ea9p-3, -0x1.12748fac35bd8p-3, -0x1.103cadfbca8b2p-3, -0x1.0da636ff1633dp-3, -0x1.0ab60b353de96p-3, -0x1.0770f29b37a6cp-3, -0x1.03db9a04e819dp-3, -0x1.fff5268b2585cp-4, -0x1.f7a4a68a0d4aap-4, -0x1.eece61052a40bp-4, -0x1.e57ac6f4788adp-4, -0x1.dbb209c77842p-4, -0x1.d17c1b7e6e96cp-4, -0x1.c6e0ad3d881a4p-4, -0x1.bbe72feabacb1p-4, -0x1.b096d51c5c645p-4, -0x1.a4f68cc39aca5p-4, -0x1.990d07749c9d2p-4, -0x1.8ce0b77855afp-4, -0x1.8077cef850c4fp-4, -0x1.73d842fcd7ecdp-4, -0x1.6707cc59fa676p-4, -0x1.5a0be6ee48bebp-4, -0x1.4ce9d55fe0281p-4, -0x1.3fa6a19f5835p-4, -0x1.32471c1bc1136p-4, -0x1.24cfe006e7425p-4, -0x1.17455471e475ep-4, -0x1.09abaa4ff8f92p-4, -0x1.f80dc301a57b9p-5, -0x1.dcb596abf77d8p-5, -0x1.c1560d4d129b8p-5, -0x1.a5f60b54fb09fp-5, -0x1.8a9c204fb8e3dp-5, -0x1.6f4e848028092p-5, -0x1.541319d3c49f7p-5, -0x1.38ef77957cdeap-5, -0x1.1de8e90ca96f3p-5, -0x1.03046a1e3592cp-5, -0x1.d08d62bb8f033p-6, -0x1.9b686b09bc512p-6, -0x1.66a24f41956e2p-6, -0x1.3242ec00cd987p-6, -0x1.fca35c0f76366p-7, -0x1.95ab22ce9bb03p-7, -0x1.2faa2f94ca04ep-7, -0x1.9559561db7be7p-8, -0x1.9af8134a4e365p-9, -0x1.f473c6629c313p-14, 0x1.7723536544f43p-9, 0x1.7c9c178471faap-8, 0x1.1d9e3175700bep-7, 0x1.7bb1620cbe104p-7, 0x1.d8806c40dd66bp-7, 0x1.1a025aaeb931cp-6, 0x1.471c102c07f1cp-6, 0x1.738a8d4a26096p-6, 0x1.9f4b53c8c91bep-6, 0x1.ca5c2588b71e7p-6, 0x1.f4baf809efbb6p-6, 0x1.0f32fc294c476p-5, 0x1.23adc8c5e4f52p-5, 0x1.37cd337d1146fp-5, 0x1.4b90a3d0c5649p-5, 0x1.5ef79666d60dbp-5, 0x1.7201a06176388p-5, 0x1.84ae6f729cfd7p-5, 0x1.96fdc4f315074p-5, 0x1.a8ef72a7a5478p-5, 0x1.ba835c4e9eed4p-5, 0x1.cbb979dbabddp-5, 0x1.dc91d58a3c38dp-5, 0x1.ed0c87eea333fp-5, 0x1.fd29b502eaabcp-5, 0x1.0674c91ddd555p-4, 0x1.0e263030173a2p-4, 0x1.15a939c7ad44ep-4, 0x1.1cfe138112a63p-4, 0x1.2424efed7addcp-4, 0x1.2b1e04c6597fap-4, 0x1.31e9957cddc1ap-4, 0x1.3887e12f0ebdfp-4, 0x1.3ef930382398p-4, 0x1.453dd036e4697p-4, 0x1.4b560d8a57ccfp-4, 0x1.51423b19c6ff6p-4, 0x1.5702b3b02ca03p-4, 0x1.5c97cdda366dfp-4, 0x1.6201ea182f75cp-4, 0x1.674164b43c52ep-4, 0x1.6c56a5f0ab86dp-4, 0x1.71420ddc3bacp-4, 0x1.760407f0d4354p-4, 0x1.7a9cfe6a3af73p-4, 0x1.7f0d5a0ad34b6p-4, 0x1.83558d2bec1afp-4, 0x1.877602531c0dp-4, 0x1.8b6f2e973e34ap-4, 0x1.8f41840413a47p-4, 0x1.92ed7746cf731p-4, 0x1.9673797b3392cp-4, 0x1.99d4067b08b31p-4, 0x1.9d0f90226e94cp-4, 0x1.a02691eade478p-4, 0x1.a31983bd35a27p-4, 0x1.a5e8df6df2beap-4, 0x1.a8951bca56bd2p-4, 0x1.ab1eb8a09e177p-4, 0x1.ad862cb382cfp-4, 0x1.afcbf39301adfp-4, 0x1.b1f08974c47ebp-4, 0x1.b3f4696fcd003p-4, 0x1.b5d80eea9b957p-4, 0x1.b79bf629a3df7p-4, 0x1.b940972486827p-4, 0x1.bac6727f26133p-4, 0x1.bc2dfe898b375p-4, 0x1.bd77b968f70d3p-4, 0x1.bea41cc3a49eap-4, 0x1.bfb3a2bdf16abp-4, 0x1.c0a6c53d1e467p-4, 0x1.c17dfe5a0b47p-4, 0x1.c239c495b239ep-4, 0x1.c2da95222f911p-4, 0x1.c360e67eea3d9p-4, 0x1.c3cd2decfa2fp-4, 0x1.c41fe43244be4p-4, 0x1.c4597f386ab0fp-4, 0x1.c47a74b8b8371p-4, 0x1.c48339cbf9316p-4, 0x1.c47442dc2538dp-4, 0x1.c44e046bba8dp-4, 0x1.c410ede3fc7bbp-4, 0x1.c3bd76b4ff12ep-4, 0x1.c3540bb8ba0efp-4, 0x1.c2d51f301c662p-4, 0x1.c2412107d2efbp-4, 0x1.c1987feebbeddp-4, 0x1.c0dbaa01e688ep-4, 0x1.c00b0c771d2b2p-4, 0x1.bf2713a75b088p-4, 0x1.be302b08b1eefp-4, 0x1.bd26bdf6b7a52p-4, 0x1.bc0b32cd5acf8p-4, 0x1.baddf7b64c084p-4, 0x1.b99f711556283p-4, 0x1.b850065d87c4fp-4, 0x1.b6f01e14f4ccbp-4, 0x1.b5801d68aa549p-4, 0x1.b40068461bb4bp-4, 0x1.b27161f4f31efp-4, 0x1.b0d36ccb3ca51p-4, 0x1.af26ea302cf1cp-4, 0x1.ad6c3a98f486bp-4, 0x1.aba3bdb836a89p-4, 0x1.a9cdd1ca12f47p-4, 0x1.a7ead35a27543p-4, 0x1.a5fb2223c6b38p-4, 0x1.a3ff1568cff4ep-4, 0x1.a1f70aadb9d51p-4, 0x1.9fe35afd4158p-4, 0x1.9dc45f01e221cp-4, 0x1.9b9a6e76ef82cp-4, 0x1.9965e01728d9ap-4, 0x1.9727099e94ea6p-4, 0x1.94de3fcf55b81p-4, 0x1.928bd677310aep-4, 0x1.90302072b087ep-4, 0x1.8dcb6fc9ec49dp-4, 0x1.8b5e15d145ddp-4, 0x1.88e8606000e6cp-4, 0x1.866aa186ef8a2p-4, 0x1.83e52418a3309p-4, 0x1.815836fd04ac1p-4, 0x1.7ec425c6d5773p-4, 0x1.7c293b5dd53efp-4, 0x1.7987c1cf4338bp-4, 0x1.76e0022d5b45ap-4, 0x1.7432448a28ba4p-4, 0x1.717ecff9cd32ap-4, 0x1.6ec5ea944f123p-4, 0x1.6c07d97ce6824p-4, 0x1.6944e0dd845e4p-4, 0x1.667d43e9dc217p-4, 0x1.63b14501f4f24p-4, 0x1.60e125ad8277bp-4, 0x1.5e0d248f65042p-4, 0x1.5b3583a16e011p-4, 0x1.585a7ea09cbc6p-4, 0x1.557c547939db8p-4, 0x1.529b4151dab7p-4, 0x1.4fb780809d2c8p-4, 0x1.4cd14c841f96bp-4, 0x1.49e8dee435249p-4, 0x1.46fe7044a6c25p-4, 0x1.4412382cbec3bp-4, 0x1.41246d6371c5dp-4, 0x1.3e35459274d11p-4, 0x1.3b44f58363c1p-4, 0x1.3853b10c801d5p-4, 0x1.3561ab138affbp-4, 0x1.326f158f998eep-4, 0x1.2f7c21a506db5p-4, 0x1.2c88ff9782983p-4, 0x1.2995dd2070e92p-4, 0x1.26a2ead61f2e9p-4, 0x1.23b054052054fp-4, 0x1.20be461770607p-4, 0x1.1dccec77d0331p-4, 0x1.1adc719fa0d5ap-4, 0x1.17ecff639d7e1p-4, 0x1.14febe79e70ffp-4, 0x1.1211d6839848ap-4, 0x1.0f266ec40b94fp-4, 0x1.0c3cada33907dp-4, 0x1.0954b7e7cba07p-4, 0x1.066eb1b6631cep-4, 0x1.038abf2481206p-4, 0x1.00a90320d603p-4, 0x1.fb933dd976796p-5, 0x1.f5d9664dc26d7p-5, 0x1.f024c0735acecp-5, 0x1.ea758bb955948p-5, 0x1.e4cc05e04a761p-5, 0x1.df2865568f2e5p-5, 0x1.d98ae8f21a71ep-5, 0x1.d3f3c6ebc3858p-5, 0x1.ce63347309adp-5, 0x1.c8d967dd0723cp-5, 0x1.c3569430f7ed1p-5, 0x1.bddaeac118dfep-5, 0x1.b8669b27ec2f9p-5, 0x1.b2f9d47b2729p-5, 0x1.ad94c452ca3eep-5, 0x1.a837958e0140cp-5, 0x1.a2e2722b4b659p-5, 0x1.9d95837e1a7a2p-5, 0x1.9850f0911fcf4p-5, 0x1.9314de7d9b18bp-5, 0x1.8de172051c0f3p-5, 0x1.88b6cec7bc9d2p-5, 0x1.839515d4a26e8p-5, 0x1.7e7c669608955p-5, 0x1.796ce02e3c65ap-5, 0x1.7466a1094e21bp-5, 0x1.6f69c586685afp-5, 0x1.6a766782db737p-5, 0x1.658ca002df9fbp-5, 0x1.60ac8aa06d9bbp-5, 0x1.5bd63bbd538dcp-5, 0x1.5709c9e0cca7fp-5, 0x1.5247497c9d069p-5, 0x1.4d8ece4a72796p-5, 0x1.48e06b7279d23p-5, 0x1.443c3252bf77ap-5, 0x1.3fa23243408b7p-5, 0x1.3b127a2c520cdp-5, 0x1.368d18d2908fbp-5, 0x1.32121b51f434bp-5, 0x1.2da18cdee1086p-5, 0x1.293b77ecc05cbp-5, 0x1.24dfe6468e1f3p-5, 0x1.208ee0d0591b2p-5, 0x1.1c486fdb51bc9p-5, 0x1.180c9aba8cc1p-5, 0x1.13db66dd812f6p-5, 0x1.0fb4d8a2d898fp-5, 0x1.0b98f4a896cb6p-5, 0x1.0787bed6064efp-5, 0x1.038139437bd18p-5, 0x1.ff0aca0c577aep-6, 0x1.f7288671f4d62p-6, 0x1.ef5ba2e6ac5f1p-6, 0x1.e7a424620e442p-6, 0x1.e0020510c5d33p-6, 0x1.d8753ee73bfb4p-6, 0x1.d0fdce244d626p-6, 0x1.c99ba94639652p-6, 0x1.c24ec65ec9468p-6, 0x1.bb171c215f5e7p-6, 0x1.b3f49fb90fbf3p-6, 0x1.ace74342171cap-6, 0x1.a5eef783fccfep-6, 0x1.9f0bad095fe39p-6, 0x1.983d536514c6dp-6, 0x1.9183d8aa2007dp-6, 0x1.8adf297baec0fp-6, 0x1.844f31a12f29dp-6, 0x1.7dd3dca34308bp-6, 0x1.776d14c7a10ccp-6, 0x1.711ac1d15ccfp-6, 0x1.6adccaa2d3759p-6, 0x1.64b316d7d0e8p-6, 0x1.5e9d8d516e9a2p-6, 0x1.589c125ecaeep-6, 0x1.52ae88dc439dp-6, 0x1.4cd4d3b77062ep-6, 0x1.470ed597b9bafp-6, 0x1.415c7089ad311p-6, 0x1.3bbd865668c0cp-6, 0x1.3631f3f0258a5p-6, 0x1.30b99e6bfc521p-6, 0x1.2b5463ffcde5ep-6, 0x1.2602226cbcc48p-6, 0x1.20c2b9a5a578bp-6, 0x1.1b9605905afbap-6, 0x1.167be26b8badp-6, 0x1.11742d37b41c5p-6, 0x1.0c7ec1fe7d3bfp-6, 0x1.079b7b10f9739p-6, 0x1.02ca328ce465bp-6, 0x1.fc1586343c71dp-7, 0x1.f2ba0e6994018p-7, 0x1.e981b123439eap-7, 0x1.e06c1fc951df6p-7, 0x1.d77909993e42dp-7, 0x1.cea81bc3eab8p-7, 0x1.c5f9022fe877ap-7, 0x1.bd6b6955062a1p-7, 0x1.b4feffef4767fp-7, 0x1.acb376225be21p-7, 0x1.a4887ce3954ep-7, 0x1.9c7dc8b2fff12p-7, 0x1.949312990db84p-7, 0x1.8cc8140cea801p-7, 0x1.851c825a6df11p-7, 0x1.7d900de91212ep-7, 0x1.762262cbfb1d1p-7, 0x1.6ed328166e8d9p-7, 0x1.67a2005f2c292p-7, 0x1.608e8c15443a6p-7, 0x1.599867e768ba5p-7, 0x1.52bf3c3ee8637p-7, 0x1.4c02ae78e7f5ep-7, 0x1.45626a95817fdp-7, 0x1.3ede24ff0c89ap-7, 0x1.38759458372a3p-7, 0x1.3228707e3c88ep-7, 0x1.2bf66d49b3938p-7, 0x1.25df376bd2315p-7, 0x1.1fe2764394ce6p-7, 0x1.19ffcecb0f8dcp-7, 0x1.1436e499ae01p-7, 0x1.0e875bc37e0a3p-7, 0x1.08f0de4350e33p-7, 0x1.037320e9e4d48p-7, 0x1.fc1bc7e30f1c1p-8, 0x1.f181e0c63503bp-8, 0x1.e7182708212a9p-8, 0x1.dcde3173b51c4p-8, 0x1.d2d3856afae47p-8, 0x1.c8f78b4e79275p-8, 0x1.bf4987ea5a23fp-8, 0x1.b5c89c235f55bp-8, 0x1.ac73ccfd9c524p-8, 0x1.a34a130c7afdfp-8, 0x1.9a4a6e7be7a55p-8, 0x1.9173f9f3d701p-8, 0x1.88c5f811783fep-8, 0x1.803fdd167e634p-8, 0x1.77e1539ef54abp-8, 0x1.6faa34b830bf9p-8, 0x1.679a7285eaba2p-8, 0x1.5fb1ff6218635p-8, 0x1.57f0b8ffc6ac1p-8, 0x1.5056582c96903p-8, 0x1.48e26760a6a04p-8, 0x1.419437bb8b907p-8, 0x1.3a6aee629bb1dp-8, 0x1.33659671c77ddp-8, 0x1.2c830f3f7e8d5p-8, 0x1.25c28826c4ad7p-8, 0x1.1f230320a87dbp-8, 0x1.18a3d5bf0b8c3p-8, 0x1.124483370a9fep-8, 0x1.0c04b5c10f756p-8, 0x1.05e439bfb20afp-8, 0x1.ffc5d58ec4953p-9, 0x1.f40142ce13f03p-9, 0x1.e87a43b964231p-9, 0x1.dd301f5ef9568p-9, 0x1.d221d54f77f94p-9, 0x1.c74e28b8f02bp-9, 0x1.bcb3b05a35dfcp-9, 0x1.b250e85124c09p-9, 0x1.a8244d4626d07p-9, 0x1.9e2c7ee795e32p-9, 0x1.946859ac62cb3p-9, 0x1.8ad700c633e32p-9, 0x1.8177dadd9f7aap-9, 0x1.784a83afd8f0fp-9, 0x1.6f4eb4c09bb4cp-9, 0x1.668429dd5b2d9p-9, 0x1.5dea8747b22f7p-9, 0x1.5581467960b42p-9, 0x1.4d47ac97bf69fp-9, 0x1.453ccba7a5243p-9, 0x1.3d5f8d573415dp-9, 0x1.35aec53a80a8cp-9, 0x1.2e2946557ef97p-9, 0x1.26cdf634a5809p-9, 0x1.1f9bde521361cp-9, 0x1.18921a24e530dp-9, 0x1.11afd81867d66p-9, 0x1.0af4445043afp-9, 0x1.045e789ba7d07p-9, 0x1.fbdb25f1da9bap-10, 0x1.ef418334b308bp-10, 0x1.e2ee9f66e1a57p-10, 0x1.d6e15e8c3522bp-10, 0x1.cb18f8c0d1371p-10, 0x1.bf94d3083d5aap-10, 0x1.b45439b497308p-10, 0x1.a9563a6f4fd19p-10, 0x1.9e99b642552a7p-10, 0x1.941d8c1aa3f87p-10, 0x1.89e0bb5c8175fp-10, 0x1.7fe27441a0d8cp-10, 0x1.76220ce9bde57p-10, 0x1.6c9ed7779857fp-10, 0x1.6357e4adff7fp-10, 0x1.5a4bcd6d510ecp-10, 0x1.5178b11633b0ep-10, 0x1.48dc6b19fc885p-10, 0x1.4074f61702a0ep-10, 0x1.3840c42713aebp-10, 0x1.303ed621b1021p-10, 0x1.286e82af31f35p-10, 0x1.20ceff99fffcbp-10, 0x1.195efe0e8068ap-10, 0x1.121c9c4a49d2ap-10, 0x1.0b05c6ffcbcbep-10, 0x1.0418d5d97f191p-10, 0x1.faaa17088b2aep-11, 0x1.ed756c20fb979p-11, 0x1.e095d0e116089p-11, 0x1.d40dc523b18e5p-11, 0x1.c7dea93264382p-11, 0x1.bc07824cc9ca1p-11, 0x1.b084776d7ba92p-11, 0x1.a54f6c3697c69p-11, 0x1.9a6158766368ap-11, 0x1.8fb4237ad782cp-11, 0x1.8544fbf46deb2p-11, 0x1.7b145387e11e8p-11, 0x1.71254fd79daecp-11, 0x1.677b9dce2773fp-11, 0x1.5e1939c714e89p-11, 0x1.54fd63791360dp-11, 0x1.4c2516a78175dp-11, 0x1.438c7741119e7p-11, 0x1.3b303329e539bp-11, 0x1.330e285d3f4d2p-11, 0x1.2b2532fd6631dp-11, 0x1.23748205eb256p-11, 0x1.1bfb093524628p-11, 0x1.14b772dba87ccp-11, 0x1.0da864e9bd189p-11, 0x1.06cc8dad7b7a6p-11, 0x1.00222cbacfa5p-11, 0x1.f34ce99be6acap-12, 0x1.e6ab131920a78p-12, 0x1.da56f83a50805p-12, 0x1.ce4b9278534a7p-12, 0x1.c28891cfde7b5p-12, 0x1.b711aa5edb616p-12, 0x1.abebe3124e9b7p-12, 0x1.a11ad562337fbp-12, 0x1.969f4e4654208p-12, 0x1.8c77c625cf1aap-12, 0x1.82a07a84e4151p-12, 0x1.7917ca009bd69p-12, 0x1.6fdbf22c6cc01p-12, 0x1.66eec2a449a66p-12, 0x1.5e501de26625bp-12, 0x1.55fe2c74ed93dp-12, 0x1.4df4e85f586f1p-12, 0x1.462f217093213p-12, 0x1.3ea794accbc6dp-12, 0x1.3759918ccdd7ep-12, 0x1.30411600ae21ap-12, 0x1.295a754a4fa84p-12, 0x1.22a2f581f5045p-12, 0x1.1c17d3c754b2dp-12, 0x1.15b7beeb17357p-12, 0x1.0f82b026fba4cp-12, 0x1.09787fa558681p-12, 0x1.039aa32958858p-12, 0x1.fbd4e6280a708p-13, 0x1.f0d0daf6fa7c7p-13, 0x1.e628c3a06b382p-13, 0x1.dbdbdcecb9de4p-13, 0x1.d1ea6df84084ap-13, 0x1.c8554bdcc27eap-13, 0x1.bf1aa76478125p-13, 0x1.b6344bb09eca7p-13, 0x1.ad99ec62e21a9p-13, 0x1.a544a21a9c2c6p-13, 0x1.9d306fe1d8c59p-13, 0x1.955c3448006a5p-13, 0x1.8dc90ac6f14cp-13, 0x1.8679e47b9948ep-13, 0x1.7f727e6472091p-13, 0x1.78b5215697bc1p-13, 0x1.723ff230af42p-13, 0x1.6c0b0079bb4cp-13, 0x1.660833d7b3fa5p-13, 0x1.60275d6833048p-13, 0x1.5a5f8b2556bdbp-13, 0x1.54b6a7d3de412p-13, 0x1.4f3c6815f742dp-13, 0x1.49fa510d30c68p-13, 0x1.44eaa6780563cp-13, 0x1.4002eb25e29cap-13, 0x1.3b43f4a8aed94p-13, 0x1.36b7a7082c605p-13, 0x1.3261ac0bf1928p-13, 0x1.2e3a9859bf0e1p-13, 0x1.2a37a9ddbb969p-13, 0x1.2651d63148f62p-13, 0x1.2286c45bf70eap-13, 0x1.1ed6a42bdf46ap-13, 0x1.1b42095ffb2b8p-13, 0x1.17c8e0f783a1ep-13, 0x1.146a9add98a8fp-13, 0x1.1127553fc5d0ep-13, 0x1.0e02d1500b86bp-13, 0x1.0aff32898d0d6p-13, 0x1.0821799dd8cf3p-13, 0x1.056d286ce39a6p-13, 0x1.02ddc88617414p-13, 0x1.00676627cab71p-13, 0x1.fbf06c2378dbep-14, 0x1.f71106e5c2526p-14, 0x1.f249885551afdp-14, 0x1.edb8f7a6ad895p-14, 0x1.e95a1c423d346p-14, 0x1.e5150cf953592p-14, 0x1.e0eb25850f6adp-14, 0x1.dcf0e06928a4p-14, 0x1.d92b14e2998a3p-14, 0x1.d58c028ae08ecp-14, 0x1.d205aed13f5ebp-14, 0x1.ce924c8ad483fp-14, 0x1.cb31af58b1fc6p-14, 0x1.c7e54ab64f2bap-14, 0x1.c4ae4cc8799aap-14, 0x1.c18d4dbaffa24p-14, 0x1.be7d0de113fc2p-14, 0x1.bb8e365c354a4p-14, 0x1.b8a6c999b0ff6p-14, 0x1.b5d41dd5b42aap-14, 0x1.b3137ea6a8d05p-14, 0x1.b065d422e6dp-14, 0x1.adcf5cd4bdbe2p-14, 0x1.ab52a70f0e3eap-14, 0x1.a8f03069c2afep-14, 0x1.a6a432822a5fbp-14, 0x1.a463c319efeacp-14, 0x1.a2233e1065297p-14, 0x1.9fe7cb0e959ecp-14, 0x1.9db92632ae9fp-14, 0x1.9b91127db7fc1p-14, 0x1.996bafd119b5dp-14, 0x1.975424016421dp-14, 0x1.9550dfd828b37p-14, 0x1.935a54fb33b64p-14, 0x1.916846049e0cbp-14, 0x1.8f7893d3c5659p-14, 0x1.8d8c437231d3fp-14, 0x1.8ba44aaf4efc4p-14, 0x1.89c07b735a666p-14, 0x1.87e5800ecc83cp-14, 0x1.860af4c2f6f8fp-14, 0x1.8435270f57c8p-14, 0x1.826424496e2c8p-14, 0x1.809664b07c3cbp-14, 0x1.7ecbbd1f3650fp-14, 0x1.7d03a13808bcdp-14, 0x1.7b3d7ce4153eap-14, 0x1.7978f03b4b889p-14, 0x1.77b5e5804e0bdp-14, 0x1.75f462957d35dp-14, 0x1.74344807e6ebap-14, 0x1.72763ebe44cb3p-14, 0x1.70be7dfd9c33ap-14, 0x1.6f0bda2b4cb9ap-14, 0x1.6d566ac7a021dp-14, 0x1.6b9d32d94fd8ap-14, 0x1.69df1626703cep-14, 0x1.681d6d8b58b7fp-14, 0x1.6660935b836adp-14, 0x1.64a71e814f6a9p-14, 0x1.62ebb3aff4bf4p-14, 0x1.612d20a577098p-14, 0x1.5f6c23b8fbfa5p-14, 0x1.5da95bc8c494p-14, 0x1.5be5100d5672cp-14, 0x1.5a1f4c91f05ddp-14, 0x1.5857e9d8a377cp-14, 0x1.568ea986cddb2p-14, 0x1.54c364c9b2746p-14, 0x1.52f60f07caa2p-14, 0x1.5126af4ae8cf6p-14, 0x1.4f554517c7e77p-14, 0x1.4d81b3386b2f5p-14, 0x1.4babeef953215p-14, 0x1.49d3ff57e899ap-14, 0x1.47f8b5728c627p-14, 0x1.461b334be5e9cp-14, 0x1.443bca8a21f28p-14, 0x1.425aedd295106p-14, 0x1.40761fc2fab2bp-14, 0x1.3e8e686ff4f0bp-14, 0x1.3ca5f1f7b22e8p-14, 0x1.3abcb020d644ap-14, 0x1.38d243066a3ffp-14, 0x1.36d8b7518f2c9p-14, 0x1.34e4bb00030dbp-14, 0x1.32f22a15de6cep-14, 0x1.30f7d7276a122p-14, 0x1.2efbc941d52e1p-14, 0x1.2cfe89ec60073p-14, 0x1.2afeaaca8105cp-14, 0x1.28fc5f5efc83cp-14, 0x1.26f7b0aabdf76p-14, 0x1.24f0a38a2ff6cp-14, 0x1.22e73c1af474dp-14, 0x1.20db7fa73f8dep-14, 0x1.1ecd7cd539e08p-14, 0x1.1cbd4eccbc1e1p-14, 0x1.1aab0ef684b45p-14, 0x1.1896c617dfaep-14, 0x1.1680715325a07p-14, 0x1.1468125fe0fb7p-14, 0x1.124db084855f2p-14, 0x1.10315a0a85159p-14, 0x1.0e1335e51fd92p-14, 0x1.0bf36c63d8cfdp-14, 0x1.09d2041384dc3p-14, 0x1.07aedba2b44d4p-14, 0x1.058a7346e27cfp-14, 0x1.03641c727a502p-14, 0x1.013cdfe9aabf5p-14, 0x1.fe25927f12569p-15, 0x1.f9d04e2dbd6e3p-15, 0x1.f57b90267a79ep-15, 0x1.f121d47b66a98p-15, 0x1.ecc46e7d87d8bp-15, 0x1.e86392ab2e457p-15, 0x1.e4037b19f8dfbp-15, 0x1.dfa32ce39465bp-15, 0x1.db3ed7bff14dp-15, 0x1.d6d8bbe697f46p-15, 0x1.d27217c9ec317p-15, 0x1.ce0a734e7d6cdp-15, 0x1.c9a19301b3bc6p-15, 0x1.c5377d5d0bac3p-15, 0x1.c0cc4f2251d9cp-15, 0x1.bc608603363b4p-15, 0x1.b7f449f328a9dp-15, 0x1.b387a42edc332p-15, 0x1.af1b2dabf3013p-15, 0x1.aaadc422f306ap-15, 0x1.a640a699b3d41p-15, 0x1.a1d3a2d1f470dp-15, 0x1.9d64389026225p-15, 0x1.98fe169e32d34p-15, 0x1.948c838c92433p-15, 0x1.902253c1913cp-15, 0x1.8bba7f56adb36p-15, 0x1.874efe96889e5p-15, 0x1.82e8ea272c597p-15, 0x1.7e8147b4aaee5p-15, 0x1.7a174b047f2b2p-15, 0x1.75a54ffbd7ba8p-15, 0x1.7150b15c26abfp-15, 0x1.6cef1515d8165p-15, 0x1.689042457d6d7p-15, 0x1.64332decbec74p-15, 0x1.5fd80ecdafee3p-15, 0x1.5b7f0db5fc6dp-15, 0x1.572854a9dfd52p-15, 0x1.52d4518fc227dp-15, 0x1.4e82e1e0479bcp-15, 0x1.4a335246eada7p-15, 0x1.45e6ea95cb10dp-15, 0x1.419ca510df0bfp-15, 0x1.3d55b58114dc8p-15, 0x1.391242bb97fbbp-15, 0x1.34d21456d8e4p-15, 0x1.309530c0b0306p-15, 0x1.2c5bb60718e71p-15, 0x1.2825cde493d55p-15, 0x1.23f3650ac80ffp-15, 0x1.1fc4a0993206cp-15, 0x1.1b99ba8a5071dp-15, 0x1.1772c042b05edp-15, 0x1.134fcac8f460dp-15, 0x1.0f30f5b95c37fp-15, 0x1.0b1657de6079p-15, 0x1.0700032bc2a96p-15, 0x1.02ed6a05d7e7ep-15, 0x1.fdc02697ec132p-16, 0x1.f5ad63b7fa684p-16, 0x1.eda5a5ade1d93p-16, 0x1.e5a56feec2e8bp-16, 0x1.ddaebf41dffd3p-16, 0x1.d5c2d2ef74848p-16, 0x1.cde0975cc8177p-16, 0x1.c607c5f2d930bp-16, 0x1.be38a324c6ab3p-16, 0x1.b673cf370a88cp-16, 0x1.aeb9a3bee90a3p-16, 0x1.a707407dc391bp-16, 0x1.9f6b519c69c33p-16, 0x1.97d11b9784fe2p-16, 0x1.9038adbee01bcp-16, 0x1.88b51475dfaa8p-16, 0x1.813b4a86e948cp-16, 0x1.79cc6e6673e4fp-16, 0x1.7266cd96208f5p-16, 0x1.6b0c3d2e58777p-16, 0x1.63c1446600552p-16, 0x1.5c885dfe975d3p-16, 0x1.55509c72cf48ep-16, 0x1.4e292d0ed323cp-16, 0x1.470ac21a92228p-16, 0x1.40173cf14d73ap-16, 0x1.38ef60e6f5ab2p-16, 0x1.31f607bdf73eap-16, 0x1.2b0a18bca8848p-16, 0x1.242b2d7ccedbep-16, 0x1.1d54e7eed93cfp-16, 0x1.168c351e75669p-16, 0x1.0fcfe8cd389d2p-16, 0x1.092131a4db732p-16, 0x1.027d1c7f49399p-16, 0x1.f7cd48850b87fp-17, 0x1.eab8bb4f2ab4dp-17, 0x1.ddbdc67ea3f25p-17, 0x1.d0df0fe42b929p-17, 0x1.c417751b4c183p-17, 0x1.b767c943eaeddp-17, 0x1.aad3e6d2fadb8p-17, 0x1.9e584d4677f52p-17, 0x1.91f7a1cbbf875p-17, 0x1.85b0adbb0da05p-17, 0x1.7983b6db92eep-17, 0x1.6d70faa6ac057p-17, 0x1.61785f85b9fc2p-17, 0x1.5599c2696defcp-17, 0x1.49d4fa9ebd7cbp-17, 0x1.3e297c93862cap-17, 0x1.329779eadb8bep-17, 0x1.272013368234bp-17, 0x1.1bc42b9f3b223p-17, 0x1.10833a0e8812dp-17, 0x1.055ab63a58b57p-17, 0x1.f497469392a1ap-18, 0x1.deac47c22ab26p-18, 0x1.c8f4ea2216e75p-18, 0x1.b36e7fc1949a8p-18, 0x1.9e199a0bc4a56p-18, 0x1.893787e37c361p-18, 0x1.741e4e83af043p-18, 0x1.5f7656edbf797p-18, 0x1.4affe257dc419p-18, 0x1.36b845bd4bc0dp-18, 0x1.22a57e8b13787p-18, 0x1.0ec5f1722d44dp-18, 0x1.f62927fbedc2dp-19, 0x1.cf26a00b20cc3p-19, 0x1.a891c5edbe2c2p-19, 0x1.82a787dd5c6b1p-19, 0x1.5ccff848b16d3p-19, 0x1.371716bc92fcep-19, 0x1.12a03794c1fdp-19, 0x1.dbc6bfab7e86dp-20, 0x1.937c43c2123b8p-20, 0x1.4c2b1ee0be8a5p-20, 0x1.0592717e763aap-20, 0x1.7f3a70deddda6p-21, 0x1.e9a673bc15f9ap-22, 0x1.b0448c83db901p-23, -0x1.b01f950a44343p-25, -0x1.4119b35d30115p-22, -0x1.24aaa82da750bp-21, -0x1.a71f40f621d6fp-21, -0x1.1423ddeda1d8ap-20, -0x1.53e532728f101p-20, -0x1.92d12aca3ac68p-20, -0x1.d1032db79b156p-20, -0x1.073a0e701c25p-19, -0x1.25901f192adcp-19, -0x1.4385be410c0b2p-19, -0x1.611e0e97c11b8p-19, -0x1.7e5c257c0b8a8p-19, -0x1.9b3995e2f36f2p-19, -0x1.b7c002c7504fcp-19, -0x1.d3d98e0f40a8ep-19, -0x1.ef9b475c2ff9fp-19, -0x1.0584ffc9759f4p-18, -0x1.130c7771f23a2p-18, -0x1.2066f61db7ff4p-18, -0x1.2d936204d57bbp-18, -0x1.3a91a24e2128dp-18, -0x1.47615a6d85bb2p-18, -0x1.5407718a83da4p-18, -0x1.607f56419c7d2p-18, -0x1.6cd0f5586f558p-18, -0x1.78e42247aec6dp-18, -0x1.84b452930f4bfp-18, -0x1.90afda4afaa77p-18, -0x1.9c4026c66746ap-18, -0x1.a7af1eab2647cp-18, -0x1.b2f614d5c84ap-18, -0x1.be1ded5e13c6p-18, -0x1.c93ba95fc7a2dp-18, -0x1.d3e33e2677a73p-18, -0x1.de6ba44b3da8ep-18, -0x1.e8de1249e137p-18, -0x1.f324e69f3ef42p-18, -0x1.fd3f1aa242284p-18, -0x1.03ad0665d1806p-17, -0x1.089354a0b29a7p-17, -0x1.0d6388ff5f2bbp-17, -0x1.1220bcbc61212p-17, -0x1.16d5dce20aap-17, -0x1.1b7093a3a1f75p-17, -0x1.1ff44ce5e476ep-17, -0x1.246579d254bf6p-17, -0x1.28c484e9f6d19p-17, -0x1.2d147ad75e7dp-17, -0x1.3152747b433bdp-17, -0x1.35749481a3e58p-17, -0x1.398e3e7270a09p-17, -0x1.3d8f8cab6dfccp-17, -0x1.417f36c35f27p-17, -0x1.455d92f6b8c56p-17, -0x1.4929dfae91d83p-17, -0x1.4ce35477ef04p-17, -0x1.508aa8004d6f3p-17, -0x1.5422fbc60852ap-17, -0x1.57a8b3c8fe90ep-17, -0x1.5b202707b146p-17, -0x1.5e8355e293d6ep-17, -0x1.61d6d88056a19p-17, -0x1.651abc3f5b332p-17, -0x1.684e166308173p-17, -0x1.6b70969b106f6p-17, -0x1.6e825c6c512a3p-17, -0x1.7180ef22725e3p-17, -0x1.74747ab2e90c4p-17, -0x1.775aa5f17ca6ap-17, -0x1.7a03e22ced065p-17, -0x1.7ce8f46e972fap-17, -0x1.7f9b82141aea9p-17, -0x1.823a8b04ebd64p-17, -0x1.84be46a024d04p-17, -0x1.876020258f70bp-17, -0x1.89d07fdbb2b5p-17, -0x1.8c2daf5c69172p-17, -0x1.8e82bd807b794p-17, -0x1.90ca7c2b6a5abp-17, -0x1.930bb786341f1p-17, -0x1.9545d213c0166p-17, -0x1.97610d82dc546p-17, -0x1.996e2dd6b9fb1p-17, -0x1.9b73e1ea79e01p-17, -0x1.9d65015df4d1ep-17, -0x1.9f4d3c927b73bp-17, -0x1.a12972f0343e3p-17, -0x1.a2f94f437ac2cp-17, -0x1.a4b8d168cbd4ep-17, -0x1.a66c926598c31p-17, -0x1.a8186857c9281p-17, -0x1.a9ae3c24e110dp-17, -0x1.ab3ba162dc798p-17, -0x1.acc03efd2a062p-17, -0x1.ae36d3d1b3193p-17, -0x1.af9edac35c9b5p-17, -0x1.b0fb539b2e5a1p-17, -0x1.b246023a8d14ep-17, -0x1.b390d7b251c92p-17, -0x1.b4c8d1e7e5d1cp-17, -0x1.b59998cc179p-17, -0x1.b71f7fc0862d9p-17, -0x1.b827df4e44d93p-17, -0x1.b940096f72f51p-17, -0x1.ba4068e262161p-17, -0x1.bb377f87afa44p-17, -0x1.bc22d1dcadd99p-17, -0x1.bd04816561b4dp-17, -0x1.bdde31f6f74e6p-17, -0x1.beae4e7a91b7p-17, -0x1.bf6ecaad71136p-17, -0x1.c029d418e4a8dp-17, -0x1.c0deb43118d3ep-17, -0x1.c1864dcdf51d6p-17, -0x1.c211386ea5089p-17, -0x1.c2ab9ee65af6dp-17, -0x1.c33129284b8cdp-17, -0x1.c3be69fc971bfp-17, -0x1.c41b0e5f138ap-17, -0x1.c49ac9e7a20b8p-17, -0x1.c4fe76104c2c9p-17, -0x1.c551cdae908cep-17, -0x1.c5a1391dea68bp-17, -0x1.c5f1416a6f457p-17, -0x1.c62b543b1c232p-17, -0x1.c668dffa6603cp-17, -0x1.c69544f91e775p-17, -0x1.c6cdfb55645ccp-17, -0x1.c6df846dadc2dp-17, -0x1.c6f738be5747bp-17, -0x1.c708a776d9152p-17, -0x1.c714204d940ffp-17, -0x1.c7121ad2b9dd2p-17, -0x1.c7025a8db2486p-17, -0x1.c6f88b2eafaf6p-17, -0x1.c6e43b0460a6ep-17, -0x1.c6c6763791349p-17, -0x1.c69c838852b29p-17, -0x1.c673f05a0a12fp-17, -0x1.c6442bad61762p-17, -0x1.c60551c3906e3p-17, -0x1.c5c3011b15714p-17, -0x1.c57c230b327afp-17, -0x1.c52f28903dc9ap-17, -0x1.c4d2219064e51p-17, -0x1.c47f2ad5b6966p-17, -0x1.c420d80a60d4ap-17, -0x1.c3b7c05602743p-17, -0x1.c3288536e5ebep-17, -0x1.c2d27cecfde45p-17, -0x1.c25d2d08d4a69p-17, -0x1.c1e0fd897ca59p-17, -0x1.c15e6b73194a8p-17, -0x1.c0ce9b834fd7bp-17, -0x1.c0444e7999963p-17, -0x1.bfb335219da22p-17, -0x1.bf14082641537p-17, -0x1.be7587de8d4ffp-17, -0x1.bdd03cf899eb8p-17, -0x1.bd262e7de14fep-17, -0x1.bc772aee97ed8p-17, -0x1.bbc715c63d296p-17, -0x1.baf2df3958a04p-17, -0x1.ba51658ef5cccp-17, -0x1.b990c6f1f5d57p-17, -0x1.b8af653d5cd4ap-17, -0x1.b7fb22f0d09ffp-17, -0x1.b725db9b14087p-17, -0x1.b64ce62efa66p-17, -0x1.b576b5ce3e317p-17, -0x1.b49e4ff9aec1ap-17, -0x1.b3bc3349d26d5p-17, -0x1.b2d6ec2d3517bp-17, -0x1.b1ef618c7a40bp-17, -0x1.b0fd672468d53p-17, -0x1.b016222fea6fcp-17, -0x1.aefd94f55e2bdp-17, -0x1.ae2210b11f25ap-17, -0x1.ad1fcadcd96cfp-17, -0x1.ac29832a215eap-17, -0x1.ab245ff000a0bp-17, -0x1.aa1cb03e838bp-17, -0x1.a9123c5f048fdp-17, -0x1.a8040f89a58cap-17, -0x1.a6f334e67f717p-17, -0x1.a5ddb33db4918p-17, -0x1.a4c528b2f6cc7p-17, -0x1.a3a99bc558a9ep-17, -0x1.a28bca9802a31p-17, -0x1.a16bc638efd3p-17, -0x1.a04676afd28dep-17, -0x1.9f1ed4e599d9p-17, -0x1.9df7b0bd4a465p-17, -0x1.9cceecaddf2ecp-17, -0x1.9baa79730535dp-17, -0x1.9a72441a1a28ap-17, -0x1.993e94695709cp-17, -0x1.980c9171aefbap-17, -0x1.96d8be1b48756p-17, -0x1.959b3a8d5a70dp-17, -0x1.945f710a7988ep-17, -0x1.9323497c33e11p-17, -0x1.91defe5d930ap-17, -0x1.90a25b3829effp-17, -0x1.8f4c505c126bdp-17, -0x1.8e226df946c49p-17, -0x1.8cc1ddcbe46eep-17, -0x1.8b835aa5de04dp-17, -0x1.8a3135ab56be9p-17, -0x1.88e9028f852acp-17, -0x1.8799fa63eb90cp-17, -0x1.86485418027c7p-17, -0x1.84f6a66c2dd46p-17, -0x1.83aac4ca3ee74p-17, -0x1.824a18da82057p-17, }}, 
      {{-0x1.66c5e6bdd9ebap-2, -0x1.61d45dbc87b5p-2, -0x1.5c136196e813bp-2, -0x1.5779816c6d3d1p-2, -0x1.556a2104e8307p-2, -0x1.56a6893514be8p-2, -0x1.5b65033481b2bp-2, -0x1.6373f88647e9p-2, -0x1.6e5ccfc9fa7e4p-2, -0x1.7b818990639bp-2, -0x1.8a33bf219add8p-2, -0x1.99c543f18640cp-2, -0x1.a99356d0ed0aap-2, -0x1.b90d7eb2d1aadp-2, -0x1.c7b923258c021p-2, -0x1.d532c9ea1225ap-2, -0x1.e12db65fbf3c3p-2, -0x1.eb727b70581c2p-2, -0x1.f3dced78d65cap-2, -0x1.fa59c2692d3a1p-2, -0x1.fee414ef33d22p-2, -0x1.00c1792d3d115p-1, -0x1.012385432b1bp-1, -0x1.00a4477913a4p-1, -0x1.fea54c6f42483p-2, -0x1.fa7f02285c855p-2, -0x1.f4f9f3a0108d6p-2, -0x1.ee3bb45d990e3p-2, -0x1.e66a2c11d9cbbp-2, -0x1.ddaac8e92112cp-2, -0x1.d421df14e77dbp-2, -0x1.c9f22db865662p-2, -0x1.bf3c8521cc619p-2, -0x1.b41f888bf3ff2p-2, -0x1.a8b787d90d0c9p-2, -0x1.9d1e6b37dbbc6p-2, -0x1.916bae037dd11p-2, -0x1.85b466293246ep-2, -0x1.7a0b542c42da9p-2, -0x1.6e80fcd8323ecp-2, -0x1.6323c4f1c8d3dp-2, -0x1.5800113bdb7f1p-2, -0x1.4d20693178f17p-2, -0x1.428d9d1c07962p-2, -0x1.384ee6c35dbc1p-2, -0x1.2e6a0ea28657bp-2, -0x1.24e38e7d9f74ap-2, -0x1.1bbeb3dcf5606p-2, -0x1.12fdbe0bfb10ep-2, -0x1.0aa1fd114e61ep-2, -0x1.02abee52981c2p-2, -0x1.f636abf9cea3ep-3, -0x1.e7deb14af5ffp-3, -0x1.da4d22b517386p-3, -0x1.cd7e4803b05f3p-3, -0x1.c16da44e2eadcp-3, -0x1.b61616ebd86d3p-3, -0x1.ab71f87498b2dp-3, -0x1.a17b363d2f4e9p-3, -0x1.982b6b326a338p-3, -0x1.8f7bf4bcdc975p-3, -0x1.876605ad4e2cdp-3, -0x1.7fe2b68db6be9p-3, -0x1.78eb15314ad83p-3, -0x1.72783042c645ep-3, -0x1.6c8322c3b715bp-3, -0x1.67051d55f7d01p-3, -0x1.61f76ce5d41b3p-3, -0x1.5d5382b350296p-3, -0x1.5912f9a602ae9p-3, -0x1.552f989af8337p-3, -0x1.51a359073fc93p-3, -0x1.4e68684363d33p-3, -0x1.4b7928ff85f4cp-3, -0x1.48d035eca2b8ep-3, -0x1.4668628d68396p-3, -0x1.443cba77f9acp-3, -0x1.4248819e6c809p-3, -0x1.408734b550ccfp-3, -0x1.3ef488de5ed76p-3, -0x1.3d8c69bc80a11p-3, -0x1.3c4af8cab62afp-3, -0x1.3b2c8d3647ff8p-3, -0x1.3a2db153da7e6p-3, -0x1.394b2125b74a3p-3, -0x1.3881c9c87c08ep-3, -0x1.37cec6162790fp-3, -0x1.372f5e957d004p-3, -0x1.36a1081bf361p-3, -0x1.3621607c322e5p-3, -0x1.35ae2d6dc48f4p-3, -0x1.35455b80f582bp-3, -0x1.34e4fc0d38cf5p-3, -0x1.348b42f4ae07fp-3, -0x1.34368578e0bb7p-3, -0x1.33e5389143e16p-3, -0x1.3395ef65bda7fp-3, -0x1.3347597d20b51p-3, -0x1.32f841b302f93p-3, -0x1.32a78c9ba158dp-3, -0x1.3254371033743p-3, -0x1.31fd54bf51c64p-3, -0x1.31a20ec608c66p-3, -0x1.3141a34dea489p-3, -0x1.30db639a3ed95p-3, -0x1.306eb26822b5ap-3, -0x1.2ffb03a1f8fa8p-3, -0x1.2f7fdb371941dp-3, -0x1.2efccbda5d8cp-3, -0x1.2e7176793955dp-3, -0x1.2ddd890961645p-3, -0x1.2d40bd5dcecdfp-3, -0x1.2c9ad86e0d571p-3, -0x1.2bebaa2e33ff4p-3, -0x1.2b330c7ac87b3p-3, -0x1.2a70e1fc2ed7cp-3, -0x1.29a515fe7c347p-3, -0x1.28cf9bd566e8bp-3, -0x1.27f06e00f0a7cp-3, -0x1.27078d7b0d808p-3, -0x1.2615013f41dfcp-3, -0x1.2518d60cebe69p-3, -0x1.24131df95b5ap-3, -0x1.2303efcc45febp-3, -0x1.21eb66adb9a56p-3, -0x1.20c9a1a649d2cp-3, -0x1.1f9ec34586e33p-3, -0x1.1e6af169e2e7p-3, -0x1.1d2e54c9f2566p-3, -0x1.1be918808ec2ep-3, -0x1.1a9b6a103b047p-3, -0x1.1945792ecec63p-3, -0x1.17e7774724917p-3, -0x1.1681976849e02p-3, -0x1.15140e0a26805p-3, -0x1.139f10ccca6a1p-3, -0x1.1222d63d79699p-3, -0x1.109f95b590f6fp-3, -0x1.0f15873574595p-3, -0x1.0d84e32c5d47bp-3, -0x1.0bede25083149p-3, -0x1.0a50bdb0347edp-3, -0x1.08adae8556fe9p-3, -0x1.0704edfa2344fp-3, -0x1.0556b52c88876p-3, -0x1.03a33d1c236ep-3, -0x1.01eabe7339c5cp-3, -0x1.002d7179fc07bp-3, -0x1.fcd71c32ec96dp-4, -0x1.f94a978cf0b59p-4, -0x1.f5b5c2cde42b7p-4, -0x1.f2190a8928035p-4, -0x1.ee74da00d3506p-4, -0x1.eac99b156b976p-4, -0x1.e717b6506a2bcp-4, -0x1.e35f92bb7f89bp-4, -0x1.dfa195ee045e4p-4, -0x1.dbde23f10c109p-4, -0x1.d8159f371b23ap-4, -0x1.d448683b737cdp-4, -0x1.d076ddb7bc5edp-4, -0x1.cca15cb13ce81p-4, -0x1.c8c84062bd268p-4, -0x1.c4ebe232a0d0dp-4, -0x1.c10c99c7a2d6dp-4, -0x1.bd2abd086307bp-4, -0x1.b9469ffd492cfp-4, -0x1.b56094b7c0d1p-4, -0x1.b178eb65a1478p-4, -0x1.ad8ff265f750bp-4, -0x1.a9a5f64fc4a65p-4, -0x1.a5bb41e82a8b1p-4, -0x1.a1d01e1f98828p-4, -0x1.9de4d22530d54p-4, -0x1.99f9a3579df86p-4, -0x1.960ed534d5defp-4, -0x1.9224a969cf32bp-4, -0x1.8e3b5fd8cf3c6p-4, -0x1.8a5336cc896bbp-4, -0x1.866c6a8187fa4p-4, -0x1.828735ed4189dp-4, -0x1.7ea3d227afe4dp-4, -0x1.7ac2768963bd8p-4, -0x1.76e35914e7e19p-4, -0x1.7306ae1ebadep-4, -0x1.6f2ca7fde003ap-4, -0x1.6b5577f614e9ep-4, -0x1.67814d2906e5dp-4, -0x1.63b055ea52233p-4, -0x1.5fe2be2fb8495p-4, -0x1.5c18b1a647585p-4, -0x1.58525989ba0cep-4, -0x1.548fddecaba0ep-4, -0x1.50d165ee4a544p-4, -0x1.4d1716543be7bp-4, -0x1.496113e1988f3p-4, -0x1.45af80e0ce08cp-4, -0x1.42027ee1cfea8p-4, -0x1.3e5a2df0adfe3p-4, -0x1.3ab6ada31de94p-4, -0x1.37181aba36ed6p-4, -0x1.337e92c55c379p-4, -0x1.2fea3079f1fa7p-4, -0x1.2c5b0e7b8c297p-4, -0x1.28d145c023efep-4, -0x1.254ceef44e047p-4, -0x1.21ce1fdca123bp-4, -0x1.1e54ef50137afp-4, -0x1.1ae17232768cep-4, -0x1.1773bc4d8097fp-4, -0x1.140be0ae7f2e7p-4, -0x1.10a9f15362a13p-4, -0x1.0d4dff0e67283p-4, -0x1.09f81aff99516p-4, -0x1.06a8531565a93p-4, -0x1.035eb7230c995p-4, -0x1.001b53f2e750dp-4, -0x1.f9bc6d280da9p-5, -0x1.f34ed614302b8p-5, -0x1.ecedf9150c9dep-5, -0x1.e699eac04d451p-5, -0x1.e052c0595a049p-5, -0x1.da1888d73dfe3p-5, -0x1.d3eb55e67ba64p-5, -0x1.cdcb3845cc41dp-5, -0x1.c7b83c9e14117p-5, -0x1.c1b26fd2f7f36p-5, -0x1.bbb9dd4106f03p-5, -0x1.b5ce8efb88fe8p-5, -0x1.aff08dd002accp-5, -0x1.aa1fe0b26a522p-5, -0x1.a45c911478aa6p-5, -0x1.9ea6a01971225p-5, -0x1.98fe15e4492e6p-5, -0x1.9362f45b81be6p-5, -0x1.8dd53de8d6da2p-5, -0x1.8854f417bbcbfp-5, -0x1.82e21759c16c8p-5, -0x1.7d7ca7387799ep-5, -0x1.7824a2574d219p-5, -0x1.72da06593a134p-5, -0x1.6d9ccf36c141fp-5, -0x1.686cfc756af0ap-5, -0x1.634a842826e0ap-5, -0x1.5e3563e95dd94p-5, -0x1.592d959acfcdep-5, -0x1.5433126ce15fep-5, -0x1.4f45d0dc47db2p-5, -0x1.4a65c9b745887p-5, -0x1.4592f3a663a57p-5, -0x1.40cd44f311f64p-5, -0x1.3c14b35467ed5p-5, -0x1.376933ea396b9p-5, -0x1.32cabaf800459p-5, -0x1.2e393cbd8d003p-5, -0x1.29b4adc44c2bfp-5, -0x1.253cfcda899f3p-5, -0x1.20d221b508699p-5, -0x1.1c740a9e12248p-5, -0x1.1822a9d13770fp-5, -0x1.13ddf052cea13p-5, -0x1.0fa5ce9cdd888p-5, -0x1.0b7a34b85f88ep-5, -0x1.075b12443b4f9p-5, -0x1.0348567ad5351p-5, -0x1.fe83e06d36fa8p-6, -0x1.f68f9be7055eap-6, -0x1.eeb3bb3c2dc8ep-6, -0x1.e6f018b531f04p-6, -0x1.df44959a0d481p-6, -0x1.d7b1028811813p-6, -0x1.d03542b7edacfp-6, -0x1.c8d1294b73ac2p-6, -0x1.c18490188084cp-6, -0x1.ba4f4f88d1df5p-6, -0x1.b3313f30ce195p-6, -0x1.ac2a362a7ab1dp-6, -0x1.a53a0b1e5a622p-6, -0x1.9e609443a5692p-6, -0x1.979da76d0cc3ep-6, -0x1.90f11a002c4d9p-6, -0x1.8a5ac11295e8dp-6, -0x1.83da7160fc8dp-6, -0x1.7d6ffeca56d6cp-6, -0x1.771b3c61c355p-6, -0x1.70dc0433422d7p-6, -0x1.6ab21f9f46791p-6, -0x1.649d6bbbcae92p-6, -0x1.5e9db5ab9101dp-6, -0x1.58b2d138c129cp-6, -0x1.52dc916fb8fa4p-6, -0x1.4d1ac8c2628ep-6, -0x1.476d4991d622dp-6, -0x1.41d3e5772608ep-6, -0x1.3c4e6f657ff61p-6, -0x1.36dcb83c71a8dp-6, -0x1.317e924d8a213p-6, -0x1.2c33cf1f8617p-6, -0x1.26fc403d9857dp-6, -0x1.21d7b72b4ebcbp-6, -0x1.1cc6055b437adp-6, -0x1.17c6fb9ffd8a7p-6, -0x1.12da6a6ffb06dp-6, -0x1.0e002a03674bep-6, -0x1.093800d5ef4fep-6, -0x1.0481c9c31a36fp-6, -0x1.ffbaa2e7e313p-7, -0x1.f694d39b3b525p-7, -0x1.ed91c9ca6a54cp-7, -0x1.e4b128946936bp-7, -0x1.dbf29341f7b8ap-7, -0x1.d355ad50fab31p-7, -0x1.cada1a46d3d6ap-7, -0x1.c27f7dc365c83p-7, -0x1.ba457bc576771p-7, -0x1.b22bb8b82fa03p-7, -0x1.aa31d92bbc0aep-7, -0x1.a25781e9397d5p-7, -0x1.9a9c582be29f6p-7, -0x1.930001653d54cp-7, -0x1.8b8223284631fp-7, -0x1.842262a2aee9dp-7, -0x1.7ce0613766ed4p-7, -0x1.75bbde242e633p-7, -0x1.6eb45ea9d3326p-7, -0x1.67c9980c27a71p-7, -0x1.60fb3b9498e4ap-7, -0x1.5a48e7b1ee637p-7, -0x1.53b247709ffbbp-7, -0x1.4d370445377dcp-7, -0x1.46d6c7e16f833p-7, -0x1.40913c1b57247p-7, -0x1.3a660af1a407ap-7, -0x1.3454e06889015p-7, -0x1.2e5d67e188746p-7, -0x1.287f4dd8e81b5p-7, -0x1.22ba3f5199decp-7, -0x1.1d0de9f451d62p-7, -0x1.1779fb44fa15dp-7, -0x1.11fe2109cf8c4p-7, -0x1.0c9a0a1411ce5p-7, -0x1.074d660cb1cf3p-7, -0x1.0217e4e833f8ep-7, -0x1.f9f26de9ed67bp-8, -0x1.efe217989b2abp-8, -0x1.e5fe303f2fb5p-8, -0x1.dc4629f844dcbp-8, -0x1.d2b9450a442bep-8, -0x1.c9571119a0ed9p-8, -0x1.c01ee2a48f077p-8, -0x1.b7102403a0906p-8, -0x1.ae2a426440ep-8, -0x1.a56ca9335777fp-8, -0x1.9cd6c5de0067fp-8, -0x1.946808536757fp-8, -0x1.8c1fe0d537491p-8, -0x1.83fdbf9a191bdp-8, -0x1.7c0116ff7ab3p-8, -0x1.74295beaac826p-8, -0x1.6c760431cbfb5p-8, -0x1.64e68681f74d6p-8, -0x1.5d7a5ab05dfc7p-8, -0x1.5630f9358387fp-8, -0x1.4f09dc0eabb29p-8, -0x1.48047fce2a025p-8, -0x1.4120628565d77p-8, -0x1.3a5d01c4f89f5p-8, -0x1.33b9dcef164c1p-8, -0x1.2d36759c825d5p-8, -0x1.26d24d2211ac4p-8, -0x1.208cde606b8a8p-8, -0x1.1a65e0bd7f82bp-8, -0x1.145c933791c23p-8, -0x1.0e7098a9703a9p-8, -0x1.08a18fba3a037p-8, -0x1.02eeec0d94a75p-8, -0x1.fab07f8095982p-9, -0x1.efba3291d25d3p-9, -0x1.e4fa0bb8f4e58p-9, -0x1.da6f287cade84p-9, -0x1.d018ace4263ffp-9, -0x1.c5f5bfc74c522p-9, -0x1.bc05887c5eecfp-9, -0x1.b247306eda9a7p-9, -0x1.a8b9e465f90f1p-9, -0x1.9f5cd48404565p-9, -0x1.962f329d96399p-9, -0x1.8d30304f15c26p-9, -0x1.845f02c54cba8p-9, -0x1.7bbae6d7015f6p-9, -0x1.73431b44e2bc9p-9, -0x1.6af6dc4155fd3p-9, -0x1.62d567bff726bp-9, -0x1.5ade0276ccb06p-9, -0x1.530ff513c7809p-9, -0x1.4b6a884225306p-9, -0x1.43ed05ccda979p-9, -0x1.3c96b64f7e3b5p-9, -0x1.3566d6d3e2abp-9, -0x1.2e5d2563515fbp-9, -0x1.27785c758f5fp-9, -0x1.20b805eb09cf9p-9, -0x1.1a1bb5c2ec52ep-9, -0x1.13a291acee427p-9, -0x1.0d4c057cce9afp-9, -0x1.07177376e4123p-9, -0x1.01043a67446e1p-9, -0x1.f6237979c1f86p-10, -0x1.ea7ec72c3e54fp-10, -0x1.df19346d93222p-10, -0x1.d3f1973b37cd9p-10, -0x1.c906c8a043d35p-10, -0x1.be57a706530efp-10, -0x1.b3e3160ddb3d5p-10, -0x1.a9a7fe442b987p-10, -0x1.9fa54d50d5c23p-10, -0x1.95d9f571420bep-10, -0x1.8c44ea4bde859p-10, -0x1.82e51f3dc09d6p-10, -0x1.79b98f46d25e8p-10, -0x1.70c1422cfa8a9p-10, -0x1.67fb41a2639dp-10, -0x1.5f66906e8e834p-10, -0x1.570235361b0e5p-10, -0x1.4ecd46e0f2ae5p-10, -0x1.46c6e152628a5p-10, -0x1.3eee19954fd78p-10, -0x1.3741ffc57bb62p-10, -0x1.2fc1a154feec2p-10, -0x1.286c0c2b289b3p-10, -0x1.214129be04247p-10, -0x1.1a3f124192c38p-10, -0x1.136565c4c908ap-10, -0x1.0cb3944210207p-10, -0x1.0628847cf8bbdp-10, -0x1.ff87088858a9bp-11, -0x1.f307a3b37509fp-11, -0x1.e6d15ab35d2fap-11, -0x1.dae2bbcd366edp-11, -0x1.cf3a52884a7f6p-11, -0x1.c3d69e73be8d7p-11, -0x1.b8b6274508bcdp-11, -0x1.add790fcade81p-11, -0x1.a3398f1dbdbfp-11, -0x1.98dad213f379bp-11, -0x1.8eba09869e459p-11, -0x1.84d5eb13c914cp-11, -0x1.7b2d32bb204a2p-11, -0x1.71be9fdfd2e9fp-11, -0x1.6888f59ffbdcbp-11, -0x1.5f8afb4036926p-11, -0x1.56c37bd20e82p-11, -0x1.4e314a7e1f418p-11, -0x1.45d340f183c06p-11, -0x1.3da842724dc9ap-11, -0x1.35af344e000adp-11, -0x1.2de6fd84eb42dp-11, -0x1.264e9a06af4f9p-11, -0x1.1ee51a0f8e2aep-11, -0x1.17a986e98b33ap-11, -0x1.109ad8deaa0cap-11, -0x1.09b80a5d85ebep-11, -0x1.030009a404626p-11, -0x1.f8e44867266cdp-12, -0x1.ec1bb69c66c79p-12, -0x1.dfa1c6647cbc3p-12, -0x1.d376f8fa5dd0fp-12, -0x1.c798f12734cffp-12, -0x1.bc06a14adba36p-12, -0x1.b0ba117a27512p-12, -0x1.a5b90d718b61cp-12, -0x1.9afc799e33e45p-12, -0x1.908409116f5d4p-12, -0x1.864edc143c2f8p-12, -0x1.7c5b28b07f83fp-12, -0x1.72a77d876696bp-12, -0x1.69326646c47bbp-12, -0x1.5ffa5d2f0a82cp-12, -0x1.56fddde5c00c5p-12, -0x1.4e3b914e5f106p-12, -0x1.45b234db95421p-12, -0x1.3d606ac868576p-12, -0x1.3544c20268a0ep-12, -0x1.2d5de8b2d16b2p-12, -0x1.25aabc06f5ed5p-12, -0x1.1e2a20db7f5dep-12, -0x1.16daee6abc1ecp-12, -0x1.0fbbfbb3c4ce3p-12, -0x1.08cc29cbe064cp-12, -0x1.020a61c90e67bp-12, -0x1.f6eb201b1b4fbp-13, -0x1.ea19430450154p-13, -0x1.dd9d067e1cd08p-13, -0x1.d1744a1b6a29cp-13, -0x1.c59cfa66acd0fp-13, -0x1.ba1512ffc476fp-13, -0x1.aedaa1716dd77p-13, -0x1.a3ebc2c5034f4p-13, -0x1.994688cb01331p-13, -0x1.8ee824ee8e41dp-13, -0x1.84d41e98e6c8fp-13, -0x1.7b00fe4302f24p-13, -0x1.716de7023819cp-13, -0x1.681f06c2fded4p-13, -0x1.5f0f0b33218a5p-13, -0x1.563ceabee4854p-13, -0x1.4da72a11fd8b1p-13, -0x1.454c1a97fdb41p-13, -0x1.3d2a004932f3ep-13, -0x1.353f94d57d095p-13, -0x1.2d8c0b4bf1705p-13, -0x1.260e2c65b2057p-13, -0x1.1ec4151fcb545p-13, -0x1.17ac162bb92ebp-13, -0x1.10c5496ea8f42p-13, -0x1.0a0ece4076305p-13, -0x1.03875477bf255p-13, -0x1.fa5b4244cb33bp-14, -0x1.ee0035f32d483p-14, -0x1.e1fb2fc07eadp-14, -0x1.d649f6bc444d1p-14, -0x1.caea89a8a9693p-14, -0x1.bfda8c1b466c9p-14, -0x1.b517cc4fac576p-14, -0x1.aaa008ed11e2dp-14, -0x1.a07179c63dac6p-14, -0x1.968a191849a49p-14, -0x1.8ce7d319e0043p-14, -0x1.8388e65ef7ba3p-14, -0x1.7a6c06c6fe85bp-14, -0x1.718fbea59e545p-14, -0x1.68f1ff0c3129cp-14, -0x1.6090a5d9b83a7p-14, -0x1.586a11147ddb5p-14, -0x1.507d0f242fa6dp-14, -0x1.48c8509652e54p-14, -0x1.414a40f2f3ab8p-14, -0x1.3a0128cc9662ep-14, -0x1.32ea536a7f8bfp-14, -0x1.2c0733201800cp-14, -0x1.2557026d0be31p-14, -0x1.1ecf36a1d196dp-14, -0x1.18793efc6b0d6p-14, -0x1.124fc8b77de9p-14, -0x1.0c515697e867p-14, -0x1.067d384ba0154p-14, -0x1.00d24a59b2373p-14, -0x1.f69ea2c5986cap-15, -0x1.ebe619f0c3ec7p-15, -0x1.e1788dabf297dp-15, -0x1.d753d00ef9167p-15, -0x1.cd75ef1718978p-15, -0x1.c3dd03a7a4f13p-15, -0x1.ba8702c370ce6p-15, -0x1.b171981a38672p-15, -0x1.a89a4f8c0a78cp-15, -0x1.9fff537cd7c52p-15, -0x1.979fa48339892p-15, -0x1.8f7a013399245p-15, -0x1.878c04290ed1bp-15, -0x1.7fd2e0226511bp-15, -0x1.784cd43fb341dp-15, -0x1.70f94f0af2ae1p-15, -0x1.69d7c77d97374p-15, -0x1.62e724a23932fp-15, -0x1.5c25f042557c2p-15, -0x1.55928aa63b043p-15, -0x1.4f2b2a62dc092p-15, -0x1.48f148f3eb824p-15, -0x1.42dc4596f2c12p-15, -0x1.3cf4fbb4529b9p-15, -0x1.372d7e6ff1c92p-15, -0x1.318fb3a58de15p-15, -0x1.2c164199001dep-15, -0x1.26c02c9f20ce1p-15, -0x1.218c438ced1d8p-15, -0x1.1c793946ebea6p-15, -0x1.1785da954ddfep-15, -0x1.12b181345f03cp-15, -0x1.0dfbe14175b5p-15, -0x1.0960753983eeap-15, -0x1.04ea384d40376p-15, -0x1.0086cf8fe56f8p-15, -0x1.f86bc8e791313p-16, -0x1.f0146f8d33104p-16, -0x1.e7e6606a34447p-16, -0x1.dfe61905f121fp-16, -0x1.d817afc818ef5p-16, -0x1.d079988162229p-16, -0x1.c908410cafc1p-16, -0x1.c1bfecfb5c4dbp-16, -0x1.ba9e68e29ac32p-16, -0x1.b3a39da7b9c63p-16, -0x1.accfc8d45ad9dp-16, -0x1.a62222f7b8863p-16, -0x1.9f996284d5a43p-16, -0x1.99342b421baabp-16, -0x1.92f0bb24fcdbcp-16, -0x1.8cce265d77023p-16, -0x1.86cb433cdf3d8p-16, -0x1.80e6ac8557e8cp-16, -0x1.7b1f38e536b03p-16, -0x1.7573edea6fac7p-16, -0x1.6fe3ec06ba5dp-16, -0x1.6a6e63fa65cd1p-16, -0x1.65128ae72cf82p-16, -0x1.5fcf80f790131p-16, -0x1.5aa448e352392p-16, -0x1.558ff5c6e5de1p-16, -0x1.5091e771442ep-16, -0x1.4ba9bee925a7dp-16, -0x1.46d70efcbec3fp-16, -0x1.42193030368aep-16, -0x1.3d6f61bf5dc31p-16, -0x1.38d90827454dep-16, -0x1.345590778e9c7p-16, -0x1.2fe41d519d9e6p-16, -0x1.2b837368373dap-16, -0x1.2732968697307p-16, -0x1.22f1c85f1296fp-16, -0x1.1ec1f7b2509c9p-16, -0x1.1aa2e1efb7217p-16, -0x1.169286b7fe75p-16, -0x1.128e42b6c4b6p-16, -0x1.0e913e10f442ap-16, -0x1.0abba150f5a03p-16, -0x1.06df7febc99e1p-16, -0x1.0303566ab65e3p-16, -0x1.fe8d70d8243bap-17, -0x1.f7252946e5e81p-17, -0x1.efd1fcb54bcd4p-17, -0x1.e894ac3eb94e9p-17, -0x1.e16c8b40fc94dp-17, -0x1.da593602f0b22p-17, -0x1.d35aacd98e65ap-17, -0x1.cc7094eb0c11ep-17, -0x1.c599fdc6f46e1p-17, -0x1.bed5e5977cbcp-17, -0x1.b823a9f110b11p-17, -0x1.b1830231a7858p-17, -0x1.aaf3ae07c60ebp-17, -0x1.a475268377ec7p-17, -0x1.9e0699d947ec1p-17, -0x1.97a72cebd055cp-17, -0x1.91563382292f6p-17, -0x1.8b13bc39b0034p-17, -0x1.84e2006825807p-17, -0x1.7e9ea6b8c160cp-17, -0x1.78c970806539p-17, -0x1.72b03f3e3192p-17, -0x1.6cbd474972f43p-17, -0x1.66d7bc6f06719p-17, -0x1.60f3623502e21p-17, -0x1.5b1c6ff082b5cp-17, -0x1.555918b46996p-17, -0x1.4fa6c245685acp-17, -0x1.49fd428fe2abap-17, -0x1.4461fbdde412ap-17, -0x1.3ec92a489531ep-17, -0x1.393bde86f2f57p-17, -0x1.33bb63a1ff54bp-17, -0x1.2e475cf6c6e9dp-17, -0x1.28de8817e3394p-17, -0x1.2380d1df6673dp-17, -0x1.1e2d90971fec9p-17, -0x1.18e480c1726dp-17, -0x1.13a585a0f37eap-17, -0x1.0e709c21b97eep-17, -0x1.094573f89ded3p-17, -0x1.042213fcd615cp-17, -0x1.fdf3d94be303fp-18, -0x1.f42fca076dafbp-18, -0x1.e9fdfc620bba9p-18, -0x1.dff0b9d44e193p-18, -0x1.d614917565517p-18, -0x1.cc440ec1e402cp-18, -0x1.c2859861dfb15p-18, -0x1.b8d8eb2770ff1p-18, -0x1.af3d7ee486efap-18, -0x1.a5b2fbd0fa272p-18, -0x1.9c3865222ec98p-18, -0x1.92d09b253a7ecp-18, -0x1.8981a5a4a3cfp-18, -0x1.8039d6ac02a6dp-18, -0x1.7709ebe050307p-18, -0x1.6decfd66052bdp-18, -0x1.64e09c793787cp-18, -0x1.5be5094b1e53cp-18, -0x1.52f8b15075a25p-18, -0x1.4a1c80af004bp-18, -0x1.414c0d985eb4dp-18, -0x1.3890346aa2d67p-18, -0x1.2feab00edff6fp-18, -0x1.2755626452826p-18, -0x1.1ecb2107da131p-18, -0x1.164c508ec4bbdp-18, -0x1.0dde53e88d71ep-18, -0x1.05851a6eab3b9p-18, -0x1.fa7f46c102b2ap-19, -0x1.ea15af69f0d33p-19, -0x1.d9ca87929dbffp-19, -0x1.c99dfd0181be9p-19, -0x1.b9921d00e37aep-19, -0x1.a9a8538fe6c9dp-19, -0x1.99dfbd5b798ccp-19, -0x1.8a39c24303bcbp-19, -0x1.7ab94e8f0392ap-19, -0x1.6b437496aa56fp-19, -0x1.5bf44852fcb22p-19, -0x1.4cd439cba6f1bp-19, -0x1.3def1f643dbcbp-19, -0x1.2f07fc028a1e8p-19, -0x1.20353ee8bad4p-19, -0x1.11a3586f654c8p-19, -0x1.034ddb6883548p-19, -0x1.ea79eb4a2f9cap-20, -0x1.cc9b49c7300aap-20, -0x1.b0053a8f26c87p-20, -0x1.954dbc4e4c39ep-20, -0x1.78f8c0fc2aaf7p-20, -0x1.5d2c27f5154e6p-20, -0x1.420951c00448fp-20, -0x1.270fa145ccfcp-20, -0x1.0c55cd8e1466dp-20, -0x1.e3bef14243598p-21, -0x1.af5768ce62574p-21, -0x1.7b69d5f92d3b4p-21, -0x1.47e6eb1bed436p-21, -0x1.14d0ae2c55f85p-21, -0x1.c487550d3792dp-22, -0x1.60affca7a89a7p-22, -0x1.fc009ac08b222p-23, -0x1.3855d8eb66834p-23, -0x1.d843579a35984p-25, 0x1.2a3a3ef773e39p-25, 0x1.09216e543e4c6p-23, 0x1.c5694a64f879cp-23, 0x1.3fb4b1fe27845p-22, 0x1.9bae799cde06bp-22, 0x1.f6cec418c20bep-22, 0x1.284eac22e2c7ap-21, 0x1.5504f87e9033fp-21, 0x1.80f3c7cc8cbf6p-21, 0x1.ac7fff04c96d6p-21, 0x1.d78f25a8cdabap-21, 0x1.011014ea7ab18p-20, 0x1.16185d0f501c1p-20, 0x1.2aeab7e4d7b35p-20, 0x1.3f7e83ee98a23p-20, 0x1.53c7b787829e3p-20, 0x1.67e126407b626p-20, 0x1.7bbabb667f7dfp-20, 0x1.8f524c0b3f00bp-20, 0x1.a2a8fe21dab32p-20, 0x1.b5c36f407f202p-20, 0x1.c8a4c4db0b963p-20, 0x1.db4dc2d98946cp-20, 0x1.edbd7f1faeb5dp-20, 0x1.ffee4c0555f48p-20, 0x1.08f00dd2dc21ep-19, 0x1.11caf20493d54p-19, 0x1.1a829488c92ddp-19, 0x1.2323f7b642e29p-19, 0x1.2ba289a49e2c4p-19, 0x1.3404739466165p-19, 0x1.3c75a5e3a6b02p-19, 0x1.441ac2bc70216p-19, 0x1.4c88cf7eb958ap-19, 0x1.547adc6dc1c7ap-19, 0x1.5c3567236fc5ap-19, 0x1.63fbc1d4bc646p-19, 0x1.6b7866730f10fp-19, 0x1.72fb6346c1e6ap-19, 0x1.7a81eab48a3abp-19, 0x1.8234dd2830f8p-19, 0x1.88f79520e19c2p-19, 0x1.900599345d06bp-19, 0x1.96f436dc3ce2bp-19, 0x1.9dca01646f82bp-19, 0x1.a48491fd3d7ccp-19, 0x1.ab22acdf8e64fp-19, 0x1.b1a55b8e5aeb8p-19, 0x1.b80e2bdb6a64ap-19, 0x1.be5d6a215371fp-19, 0x1.c492a0e2be8c8p-19, 0x1.caad6db3a6f03p-19, 0x1.d0adc9c775b5bp-19, 0x1.d693d5f4d33fdp-19, 0x1.dc5fc5b89c76ep-19, 0x1.e211ccb33dbb3p-19, 0x1.e7aa1bbb2be5dp-19, 0x1.ed28d3bb0e52p-19, 0x1.f28dea45a7606p-19, 0x1.f7da3a1392b03p-19, 0x1.fd0dbc1138648p-19, 0x1.01140ceab3dd2p-18, 0x1.0394d49c8e2a7p-18, 0x1.06094690fa1a6p-18, 0x1.087170662660ap-18, 0x1.0acd72b6ecdd6p-18, 0x1.0d1dae52d4858p-18, 0x1.0f65fc3e54f4dp-18, 0x1.1199682d5452bp-18, 0x1.13ca433c4346fp-18, 0x1.15e89959f8c21p-18, 0x1.17fd97839428ep-18, 0x1.1a0597a9f75f9p-18, 0x1.1c00d0e9d5ecdp-18, 0x1.1df1eb7c3b354p-18, 0x1.1fdade23a2acep-18, 0x1.21baec0df07fcp-18, 0x1.238eac9a1ba92p-18, 0x1.25549821db27fp-18, 0x1.27192bea1bc27p-18, 0x1.28a75c541eac3p-18, 0x1.2a4f908e1c6ep-18, 0x1.2c10600e95ce9p-18, 0x1.2da05cd71bba5p-18, 0x1.2f29f88b9c0c2p-18, 0x1.30a934efb30a5p-18, 0x1.32214231afdd3p-18, 0x1.338ff38ba333p-18, 0x1.34ed5f5e0b61fp-18, 0x1.3634d0761cep-18, 0x1.3784eaaed40d4p-18, 0x1.38c301b577bdcp-18, 0x1.39fce81ba9c25p-18, 0x1.3b0649a7f3abdp-18, 0x1.3c59d9cf74411p-18, 0x1.3d747880b4455p-18, 0x1.3e8596a2e963dp-18, 0x1.3f8997fe0de04p-18, 0x1.408eb0c8df3a3p-18, 0x1.4186ad393575cp-18, 0x1.4276014aefa19p-18, 0x1.435ac901065b3p-18, 0x1.4439f480647d8p-18, 0x1.450e6b8e4f022p-18, 0x1.45dadf06ad228p-18, 0x1.469ee7d66eb79p-18, 0x1.475846841ab09p-18, 0x1.480a9913339f5p-18, 0x1.48b7ad1c78c19p-18, 0x1.495a261ce254fp-18, 0x1.49f601960a145p-18, 0x1.4a88caafe667cp-18, 0x1.4b13c06bb8439p-18, 0x1.4b96a68482c77p-18, 0x1.4c11462401d43p-18, 0x1.4c83a4b2ba4eap-18, 0x1.4cee37bf50b05p-18, 0x1.4d5241c6bc19p-18, 0x1.4db1649a060f7p-18, 0x1.4e0b27d3e7679p-18, 0x1.4e5c7a4127276p-18, 0x1.4ea376c587cbcp-18, 0x1.4ee215ab3136cp-18, 0x1.4f1c3493fd62bp-18, 0x1.4f52a769e0fdfp-18, 0x1.4f84016e02a39p-18, 0x1.4faeccedc11e7p-18, 0x1.4fd57f2ba931fp-18, 0x1.4ff7c5bf53604p-18, 0x1.4fe1ae11e7251p-18, 0x1.5018daf4da0aap-18, 0x1.501a2e0ec3abbp-18, 0x1.50181b2bd68bcp-18, 0x1.5013594d3551p-18, 0x1.500882eea2293p-18, 0x1.4ff8538bb0946p-18, 0x1.4fe3e6b8a2b48p-18, 0x1.4fcb686c94c07p-18, 0x1.4fabfa9341a48p-18, 0x1.4f7af2bec615p-18, 0x1.4f521bcf63b77p-18, 0x1.4f2c62b854f9ep-18, 0x1.4ee55eacdd38ep-18, 0x1.4eb219211a169p-18, 0x1.4e724fd32487dp-18, 0x1.4e2556f3227bep-18, 0x1.4dd72220d6a24p-18, 0x1.4d89af62a9733p-18, 0x1.4d34e65d9ce13p-18, 0x1.4cdb18fcf4cf7p-18, 0x1.4c7a4c51421bp-18, 0x1.4c15fa696c9afp-18, 0x1.4baedcc727e2ap-18, 0x1.4b41d98121917p-18, 0x1.4ad2ea06aa26p-18, 0x1.4a5e45575adf8p-18, 0x1.49e317bc5009ap-18, 0x1.496443b9f7293p-18, 0x1.48e0fa71cf553p-18, 0x1.4858a29ff2579p-18, 0x1.47cbd91d9bd4p-18, 0x1.473c0588cf0e1p-18, 0x1.46aaa115bde8ep-18, 0x1.4616bcfc4278fp-18, 0x1.457e633402abep-18, 0x1.44de5a1236ed7p-18, 0x1.443bc3d14598ep-18, 0x1.4397f6a4a1a7bp-18, 0x1.42f25534e4a79p-18, 0x1.4249d95668c25p-18, 0x1.419d3a6ec5a2bp-18, 0x1.40ec903d89346p-18, 0x1.40382b3b12bep-18, 0x1.3f808f0eb2df4p-18, 0x1.3ec59379b734p-18, 0x1.3e0b0bf1921fap-18, 0x1.3d447a6058f5fp-18, 0x1.3c6857769ee87p-18, 0x1.3bc159491b8a6p-18, 0x1.3aefe28a70c4dp-18, 0x1.3a21e7eac287ep-18, 0x1.395226fa8daaep-18, 0x1.3881df56f8f3cp-18, 0x1.37b536cd6933ap-18, 0x1.36d95db36d06p-18, 0x1.35fbcfa51c66dp-18, 0x1.351cba5990663p-18, 0x1.343b3ce397085p-18, 0x1.335859da2e399p-18, 0x1.327c8ab16195p-18, 0x1.3194fd206e964p-18, 0x1.30aa30b2d4f5p-18, 0x1.2fbcb2c5f99f4p-18, 0x1.2ed6cb674caddp-18, 0x1.2de8724c5eef4p-18, 0x1.2cf4b153380c4p-18, 0x1.2c0109f15bdccp-18, 0x1.2b0c1c7d05df6p-18, 0x1.2a17bd96746f8p-18, 0x1.29222249efdd7p-18, 0x1.28262f39b64bcp-18, 0x1.272b9e7bececap-18, 0x1.262d4e79a9e2cp-18, 0x1.252caade3cd1cp-18, 0x1.242b1a436e03cp-18, 0x1.2327b8acb1c33p-18, 0x1.22225dd6a453bp-18, 0x1.211cdd17ffae8p-18, 0x1.201794905c94fp-18, 0x1.1f0fe32893725p-18, 0x1.1e05dc8756d96p-18, 0x1.1cfaac7f6297dp-18, 0x1.1bf04b71bd18dp-18, 0x1.1ae5c7d116371p-18, 0x1.19d9df233ab7bp-18, 0x1.18cc3d66cb2d1p-18, 0x1.17bcfb0e2b28bp-18, 0x1.16ab89513ad87p-18, 0x1.159a5fd501d4ep-18, 0x1.148926629d97p-18, 0x1.136b666de687ap-18, 0x1.125ef8b184864p-18, 0x1.114b63c585c1cp-18, 0x1.1031a3ec13bc7p-18, 0x1.0f0974495f06bp-18, 0x1.0e0c0c7aa416dp-18, 0x1.0cee0c0c4258p-18, 0x1.0bced63bca2c6p-18, 0x1.0ab2578265bc7p-18, 0x1.0995b945b0f8fp-18, 0x1.087d46d4d05ecp-18, 0x1.0766e5a2ab965p-18, 0x1.0648ae89aaf88p-18, 0x1.052a51295f39p-18, 0x1.040c106f677c3p-18, 0x1.02eab174b9b53p-18, 0x1.01cb9d63f21ddp-18, 0x1.00ad2eed8026cp-18, 0x1.ff1d1090aae13p-19, 0x1.fcdf28f67820dp-19, 0x1.fa9d8ae8af8d3p-19, 0x1.f85f58f28abffp-19, 0x1.f61a629876016p-19, 0x1.f3d835031d385p-19, 0x1.f1984eb21cf2p-19, 0x1.ef56677b67488p-19, 0x1.ed11d3fd53d9fp-19, 0x1.eacc130b6f671p-19, 0x1.e8854bce290e3p-19, 0x1.e63f4b69c49ap-19, 0x1.e3f5c4c3e9a4p-19, 0x1.e18c7658e7bbep-19, 0x1.df71fb1f1945ep-19, 0x1.dd2bfe214ca6dp-19, 0x1.dae557dd83628p-19, 0x1.d89e680ef5d01p-19, 0x1.d65a97d5a997dp-19, 0x1.d417dc606913ep-19, 0x1.d1d6203c4c646p-19, 0x1.cf961337a037ep-19, 0x1.cd574bf9b1be8p-19, 0x1.cb158de9b13e2p-19, 0x1.c8d8063078ecdp-19, 0x1.c69a5e535310ap-19, 0x1.c45c06d90b8b3p-19, 0x1.c2127318209d5p-19, 0x1.bfd7f0af7f815p-19, 0x1.bd9a9a9471c35p-19, 0x1.bb67934289019p-19, 0x1.b8fe555656d4ap-19, 0x1.b6e4e8c75e9c6p-19, 0x1.b4a8a8a8e4b6cp-19, 0x1.b266ee9fe4cd8p-19, 0x1.b02ab7b1d5a76p-19, 0x1.adf207f3caaffp-19, 0x1.abb61012a235fp-19, 0x1.a9808875ded3cp-19, 0x1.a7495aa34ca2fp-19, 0x1.a51514f6accf4p-19, 0x1.a2dc4f52c2304p-19, 0x1.a0a807e499322p-19, 0x1.9e74f19306a86p-19, 0x1.9c476811ccd34p-19, 0x1.9a13fdd9fae7ap-19, 0x1.97dd823adb0cp-19, 0x1.95b086f4a646ap-19, 0x1.9382aa4804e45p-19, 0x1.91564a3bd1d69p-19, 0x1.8f2b6d108d3dbp-19, 0x1.8cff6fe104fabp-19, 0x1.8ada5f65e8cdcp-19, 0x1.88af2e33c3e87p-19, 0x1.86860d0312a58p-19, 0x1.845dfb89fb198p-19, 0x1.823691a68694ap-19, 0x1.800961ca80785p-19, 0x1.7df2075ef240dp-19, 0x1.7bce81018c70fp-19, 0x1.79b6784cb80e2p-19, 0x1.778b1c9233a64p-19, 0x1.7574349f77255p-19, 0x1.73614935e32b3p-19, 0x1.71463bc9267eep-19, 0x1.6f3552f67d27bp-19, 0x1.6d1f1024e0d62p-19, 0x1.6b0f4a377ababp-19, 0x1.6902cd38ae95ap-19, 0x1.66f086a71a3abp-19, 0x1.64e3f62a1f7b6p-19, 0x1.62d7c1af999cdp-19, 0x1.60cc893b11115p-19, 0x1.5ec29e4dd9cd1p-19, 0x1.5cc0368a1aabdp-19, 0x1.5a958bf59a7e3p-19, 0x1.58b67aeb33d49p-19, 0x1.56b23c1b35a83p-19, 0x1.54abad6ef6c23p-19, 0x1.52aecc4690c4fp-19, 0x1.50ada0070490ap-19, 0x1.4eade2d7d0a22p-19, 0x1.4cb46c16b71b7p-19, 0x1.4abed55175ffep-19, 0x1.48c88c3457759p-19, 0x1.46d4f4d47c55fp-19, 0x1.44e2e91e12c9dp-19, 0x1.42eea3604bed4p-19, 0x1.4103abae6a3f1p-19, 0x1.3f1318645ee1ep-19, 0x1.3d259b338bfe7p-19, 0x1.3b3760deb1ec6p-19, 0x1.3952d9e893854p-19, 0x1.376f05935ca19p-19, 0x1.358b900e3a522p-19, 0x1.33a7dcc99cba7p-19, 0x1.31c591c531b2ap-19, 0x1.2fe795394da1ap-19, 0x1.2e0a47fa25458p-19, 0x1.2c2dfbbab2f48p-19, 0x1.2a53120b9f862p-19, 0x1.287aa08422989p-19, 0x1.26a585b0a5654p-19, 0x1.24d1c874e5f22p-19, 0x1.22ff60744b6e8p-19, 0x1.2130075f8b5c4p-19, 0x1.1f6350febf5dcp-19, 0x1.1d9b537799348p-19, 0x1.1bd254ddecabcp-19, 0x1.1a0a659847e8ep-19, 0x1.18467c4650d7p-19, 0x1.16865234fd6fap-19, 0x1.14c5105a8ebd7p-19, 0x1.1308216f5aef4p-19, 0x1.114e139f72c15p-19, 0x1.0f8e7f162524ap-19, 0x1.0ddde9cb5aa68p-19, 0x1.0c0b2d2dad544p-19, 0x1.0a769969091fep-19, 0x1.08bc289179847p-19, 0x1.0708e2a26d4c6p-19, 0x1.055852a1368d4p-19, 0x1.03aca85a6e564p-19, 0x1.0200dc38ae4c2p-19, 0x1.0056a941488bdp-19, 0x1.fd600cbbbdc3ep-20, 0x1.fa1ada798b124p-20, 0x1.f6d253f68d252p-20, }}, 
      std::vector<double>(1100, 0.0), 
      {{-0x1.83f07e403c22cp-9, -0x1.6ad2605b7da39p-7, -0x1.4a54983fc2521p-6, -0x1.969daa68d08bp-6, -0x1.62ecfc4977ae7p-6, -0x1.40c972a91c79cp-7, 0x1.40528fb89ff9fp-7, 0x1.1d4e5ccda69a2p-5, 0x1.00a1e5f829152p-4, 0x1.72d140fb5477p-4, 0x1.db47a116d7978p-4, 0x1.19013c30d5489p-3, 0x1.38953f7b766a2p-3, 0x1.4a8564c061feep-3, 0x1.4dee439b92de2p-3, 0x1.42be5a9e92f42p-3, 0x1.298d02706eaefp-3, 0x1.0371f18f53be7p-3, 0x1.a3bfc13c8eeacp-4, 0x1.2d0748ff304bbp-4, 0x1.4ca139233e884p-5, 0x1.340ca44704c9ep-8, -0x1.11301bc64fc8dp-5, -0x1.29d9c6c8410dp-4, -0x1.cd678c421ce2cp-4, -0x1.383a4bb71751dp-3, -0x1.8845b64b9c65p-3, -0x1.d5c852967d612p-3, -0x1.0ff08f8d48a6dp-2, -0x1.32ed0fd939071p-2, -0x1.5392deaa6cc51p-2, -0x1.71adc323b87afp-2, -0x1.8d1a470204fc6p-2, -0x1.a5c3cc78135a4p-2, -0x1.bba2a729fecd5p-2, -0x1.ceba44c43f075p-2, -0x1.df1768f86d304p-2, -0x1.ecce8fafe5889p-2, -0x1.f7fa701952e59p-2, -0x1.005d540303e2ep-1, -0x1.039944c8c5fb8p-1, -0x1.05c406c6c9019p-1, -0x1.06f175523105dp-1, -0x1.0735e51401c85p-1, -0x1.06a5cc5188a34p-1, -0x1.05557a1d76ad6p-1, -0x1.0358db4b2e2cdp-1, -0x1.00c34902c0816p-1, -0x1.fb4ec2e200582p-2, -0x1.f42dd337feb4fp-2, -0x1.ec45707e19bdcp-2, -0x1.e3b54eb25eeebp-2, -0x1.da9b150780d0fp-2, -0x1.d1125474c3ab1p-2, -0x1.c7348796f3fdcp-2, -0x1.bd1918c9dd017p-2, -0x1.b2d56e57d5d9dp-2, -0x1.a87cfa90c238bp-2, -0x1.9e214e7ff9516p-2, -0x1.93d22f2e949c7p-2, -0x1.899daccbd955ep-2, -0x1.7f903b83fdecfp-2, -0x1.75b4cc96de57bp-2, -0x1.6c14e79c388b4p-2, -0x1.62b8c3809df0ep-2, -0x1.59a75ef7c09e1p-2, -0x1.50e698531ce3fp-2, -0x1.487b44c6f5a1ap-2, -0x1.4069468d19b59p-2, -0x1.38b3a27011126p-2, -0x1.315c940685862p-2, -0x1.2a65a0e1a2197p-2, -0x1.23cfaa66d1ecap-2, -0x1.1d9afeb478d23p-2, -0x1.17c7681dfe722p-2, -0x1.12543baf6009ap-2, -0x1.0d4066d5e0db4p-2, -0x1.088a7bc3564d9p-2, -0x1.0430bd0ecf7cbp-2, -0x1.00312847b0c4fp-2, -0x1.f912ffc7e2e4fp-3, -0x1.f26ea87eb9504p-3, -0x1.ec70174d38163p-3, -0x1.e711d415f6f3cp-3, -0x1.e24e2f2b78665p-3, -0x1.de1f4e0163544p-3, -0x1.da7f361f13e53p-3, -0x1.d767d6d024bb2p-3, -0x1.d4d3127a2b9d9p-3, -0x1.d2bac698167cap-3, -0x1.d118d2c1d62a8p-3, -0x1.cfe71f02e5b3dp-3, -0x1.cf1fa193da86ep-3, -0x1.cebc63dc11acep-3, -0x1.ceb786aa9a51fp-3, -0x1.cf0b4605beaedp-3, -0x1.cfb1fc5b5840cp-3, -0x1.d0a6252fd0636p-3, -0x1.d1e25fb54a308p-3, -0x1.d3617021d8111p-3, -0x1.d51e41ee5dcfdp-3, -0x1.d713e84eb09e9p-3, -0x1.d93d9fcc7501bp-3, -0x1.db96ce425e509p-3, -0x1.de1b0390d1877p-3, -0x1.e0c5fa1f5cf4fp-3, -0x1.e393962bad7abp-3, -0x1.e67fe61ac9651p-3, -0x1.e987221bd89e3p-3, -0x1.eca5ab48b6537p-3, -0x1.efd80bb8cfc61p-3, -0x1.f31af541710b5p-3, -0x1.f66b4123ef657p-3, -0x1.f9c5ef289f62cp-3, -0x1.fd28243b4b4b7p-3, -0x1.0047952a02a4ap-2, -0x1.01fc377e0b92ep-2, -0x1.03b0c1074a43ep-2, -0x1.05640acb0606fp-2, -0x1.0714fdfaf4edap-2, -0x1.08c293742d3b7p-2, -0x1.0a6bd3a6cb2a6p-2, -0x1.0c0fd5883cdddp-2, -0x1.0dadbe29abfd6p-2, -0x1.0f44c0aabadaep-2, -0x1.10d41d1db91dfp-2, -0x1.125b2015be79ap-2, -0x1.13d922cf67c35p-2, -0x1.154d8a0bae3dcp-2, -0x1.16b7c5651875ep-2, -0x1.18174fcb376bap-2, -0x1.196bae6524c0cp-2, -0x1.1ab46fd30139ap-2, -0x1.1bf12c66c5f54p-2, -0x1.1d2185d697facp-2, -0x1.1e4525fafd4b6p-2, -0x1.1f5bbedc5cde6p-2, -0x1.20650aefffa77p-2, -0x1.2160cbf9303f3p-2, -0x1.224eca72364d3p-2, -0x1.232ed60a846bep-2, -0x1.2400c5474cf84p-2, -0x1.24c474621f9d4p-2, -0x1.2579c54a6efeap-2, -0x1.2620a0141b12cp-2, -0x1.26b8f239270d5p-2, -0x1.2742adbc002f4p-2, -0x1.27bdc973b7076p-2, -0x1.282a41520e3dap-2, -0x1.2888158c1a77p-2, -0x1.28d749f348667p-2, -0x1.2917e6548675ap-2, -0x1.2949f6aabffd5p-2, -0x1.296d8a5d585afp-2, -0x1.2982b3aa0fe39p-2, -0x1.298987f6897fbp-2, -0x1.29822010fbf48p-2, -0x1.296c97909d506p-2, -0x1.29490c4259256p-2, -0x1.29179e5558b65p-2, -0x1.28d870ad380ebp-2, -0x1.288ba885bde6ep-2, -0x1.28316cd7e29fcp-2, -0x1.27c9e64b28ba1p-2, -0x1.27553f897f2dcp-2, -0x1.26d3a5358cf53p-2, -0x1.26454566dbc31p-2, -0x1.25aa4f5c46d43p-2, -0x1.2502f3a7ac7dp-2, -0x1.244f64602b5e4p-2, -0x1.238fd4e6cf0ffp-2, -0x1.22c4797e47fc8p-2, -0x1.21ed871aec8e4p-2, -0x1.210b33c92dd0fp-2, -0x1.201db663d711dp-2, -0x1.1f2546d79d31p-2, -0x1.1e221d601e2a3p-2, -0x1.1d1472a79bd4fp-2, -0x1.1bfc7fae49432p-2, -0x1.1ada7ed7ddd22p-2, -0x1.19aea9fff5596p-2, -0x1.18793bbbcd055p-2, -0x1.173a6ef0f8982p-2, -0x1.15f27e32ee0bap-2, -0x1.14a1a49415d5dp-2, -0x1.13481dbcb343dp-2, -0x1.11e62489aed6bp-2, -0x1.107bf483861c5p-2, -0x1.0f09c867b6701p-2, -0x1.0d8fdbe626eeap-2, -0x1.0c0e6971f40c7p-2, -0x1.0a85ac471d7a7p-2, -0x1.08f5df067bb73p-2, -0x1.075f3babce779p-2, -0x1.05c1fcc8e6d0cp-2, -0x1.041e5b9f0f263p-2, -0x1.02749217f2abcp-2, -0x1.00c4d93c5e1cep-2, -0x1.fe1ed39d209e5p-3, -0x1.faa8f7327e902p-3, -0x1.f7288e191f331p-3, -0x1.f39e05e0e993bp-3, -0x1.f009ccfa466a5p-3, -0x1.ec6c4ff4fb2afp-3, -0x1.e8c5fa6f29e2p-3, -0x1.e517361b81363p-3, -0x1.e1606d7d1dc8ep-3, -0x1.dda207c888d0cp-3, -0x1.d9dc6c0581cf4p-3, -0x1.d610000e0c80ap-3, -0x1.d23d28235d984p-3, -0x1.ce644740b4c54p-3, -0x1.ca85bf40321cp-3, -0x1.c6a1efa88cd59p-3, -0x1.c2b938b458325p-3, -0x1.becbf6d5c5e14p-3, -0x1.bada86f2d50a6p-3, -0x1.b6e5438084c86p-3, -0x1.b2ec85b1f9728p-3, -0x1.aef0a54ec627fp-3, -0x1.aaf1f8d13a15fp-3, -0x1.a6f0d47817902p-3, -0x1.a2ed8cbcabb29p-3, -0x1.9ee87317db4b1p-3, -0x1.9ae1d7569d17ep-3, -0x1.96da08bdf456dp-3, -0x1.92d154890692bp-3, -0x1.8ec8068eb5499p-3, -0x1.8abe6924a6d18p-3, -0x1.86b4c51a76037p-3, -0x1.82ab61ec7d7edp-3, -0x1.7ea2847d05dd7p-3, -0x1.7a9a7256d0b9ep-3, -0x1.76936d16bb6bap-3, -0x1.728db662139c3p-3, -0x1.6e898dfeed35ap-3, -0x1.6a8732187ff86p-3, -0x1.6686df6c3b13dp-3, -0x1.6288d137afc3ap-3, -0x1.5e8d413e65214p-3, -0x1.5a9467cbf4388p-3, -0x1.569e7beb9bb57p-3, -0x1.52abb22d096a7p-3, -0x1.4ebc3fe943636p-3, -0x1.4ad056b2de34ap-3, -0x1.46e827e094885p-3, -0x1.4303e3663db53p-3, -0x1.3f23b757aec53p-3, -0x1.3b47d0c4524a7p-3, -0x1.37705b3fda93dp-3, -0x1.339d810d30649p-3, -0x1.2fcf6b1a85902p-3, -0x1.2c06410338c28p-3, -0x1.28422921b61c2p-3, -0x1.248348640023p-3, -0x1.20c9c2414e75dp-3, -0x1.1d15ba041d114p-3, -0x1.19674fc39758fp-3, -0x1.15bea43f33f41p-3, -0x1.121bd61632dcp-3, -0x1.0e7f02dd51251p-3, -0x1.0ae846fe7f4ddp-3, -0x1.0757bdb8f114ap-3, -0x1.03cd8125b6627p-3, -0x1.0049aa3d177b5p-3, -0x1.f998a1b93261cp-4, -0x1.f2ab179930cfep-4, -0x1.ebcae1993e069p-4, -0x1.e4f8294102b7fp-4, -0x1.de3314a96943fp-4, -0x1.d77bcaaeeda4dp-4, -0x1.d0d26ccc3c052p-4, -0x1.ca371d39c8e66p-4, -0x1.c3a9fafae7c21p-4, -0x1.bd2b235620e2fp-4, -0x1.b6bab1c53e3f2p-4, -0x1.b058bfecd25abp-4, -0x1.aa0565a21321fp-4, -0x1.a3c0b8f4e968bp-4, -0x1.9d8ace3a21d61p-4, -0x1.9763b813eb494p-4, -0x1.914b877df04e7p-4, -0x1.8b424bd4adca1p-4, -0x1.854812f0a1e9ep-4, -0x1.7f5ce92ead82fp-4, -0x1.7980d8553c90bp-4, -0x1.73b3eb121db51p-4, -0x1.6df627b2beb9dp-4, -0x1.68479563df709p-4, -0x1.62a838ee4176ep-4, -0x1.5d1815d413f2ep-4, -0x1.57972e559b185p-4, -0x1.5225836bfe304p-4, -0x1.4cc314bd406ffp-4, -0x1.476fe0daf3613p-4, -0x1.422be4f2ac74cp-4, -0x1.3cf71d2f2bc96p-4, -0x1.37d18486c54c2p-4, -0x1.32bb14d7a408ep-4, -0x1.2db3c6edf9fd6p-4, -0x1.28bb928b88e81p-4, -0x1.23d26e7fc1d77p-4, -0x1.1ef850a711056p-4, -0x1.1a2d2cfc08e69p-4, -0x1.1570f8afa29c3p-4, -0x1.10c3a591da35ep-4, -0x1.0c2526515cd33p-4, -0x1.07956c255da1dp-4, -0x1.0314676c5c9c4p-4, -0x1.fd440faceff74p-5, -0x1.f47c787f5029p-5, -0x1.ebd1e570f96d2p-5, -0x1.e34431865fc19p-5, -0x1.dad3366664bf4p-5, -0x1.d27ecbef00f56p-5, -0x1.ca46c8dff8a96p-5, -0x1.c22b033dd6ebap-5, -0x1.ba2b4faf75711p-5, -0x1.b2478137c865fp-5, -0x1.aa7f69e44d60ap-5, -0x1.a2d2db1b9ce16p-5, -0x1.9b41a56352f15p-5, -0x1.93cb987ee3575p-5, -0x1.8c70802af7c41p-5, -0x1.85302d14fc1cp-5, -0x1.7e0a6ab244ab5p-5, -0x1.76ff04127fbb7p-5, -0x1.700dc5419489dp-5, -0x1.6936787bf24aap-5, -0x1.6278e75da8414p-5, -0x1.5bd4dad508c6bp-5, -0x1.554a1b8a8b64ap-5, -0x1.4ed871871fbc6p-5, -0x1.487fa4123aa27p-5, -0x1.423f79fa81db4p-5, -0x1.3c17b9f9b8333p-5, -0x1.36082a09abdb9p-5, -0x1.30108f9861599p-5, -0x1.2a30b00e52902p-5, -0x1.24685093d6987p-5, -0x1.1eb735a3343e2p-5, -0x1.191d235c31be4p-5, -0x1.1399ddf812a0ep-5, -0x1.0e2d29acd456cp-5, -0x1.08d6ca55112b7p-5, -0x1.03968316b881p-5, -0x1.fcd82ddeaac75p-6, -0x1.f2ae95c3db541p-6, -0x1.e8afc11d02bd8p-6, -0x1.dedb37645223cp-6, -0x1.d5307eaebeba7p-6, -0x1.cbaf1d4229efep-6, -0x1.c25699e25ce58p-6, -0x1.b9267af7b417cp-6, -0x1.b01e466eb35fdp-6, -0x1.a73d82c81f449p-6, -0x1.9e83b7508eb97p-6, -0x1.95f06b29cfccbp-6, -0x1.8d8325296884ep-6, -0x1.853b6c9da41e9p-6, -0x1.7d18c962532f9p-6, -0x1.751ac3bec297ep-6, -0x1.6d40e4a45981ap-6, -0x1.658ab56ddb6e2p-6, -0x1.5df7bf3c5a2c4p-6, -0x1.56878ba79b951p-6, -0x1.4f39a572bd116p-6, -0x1.480d9823401c9p-6, -0x1.4102ef1fd3bf8p-6, -0x1.3a19365b798d6p-6, -0x1.334ffb266d2e5p-6, -0x1.2ca6c80dee95bp-6, -0x1.261d2f5919ae1p-6, -0x1.1fb2be41684b9p-6, -0x1.19670346d2d88p-6, -0x1.1339901292d95p-6, -0x1.0d29f4e0ed3d5p-6, -0x1.0737c323079b7p-6, -0x1.01628dbfdaec2p-6, -0x1.f753d0b0cc67ep-7, -0x1.ec1acd8974483p-7, -0x1.e1193b547421ep-7, -0x1.d64e45b5d4644p-7, -0x1.cbb91a2c2747bp-7, -0x1.c158e7b7805dfp-7, -0x1.b72cdee55750ap-7, -0x1.ad343233ed37cp-7, -0x1.a36e167a36cd2p-7, -0x1.99d9c23a300abp-7, -0x1.90766cc879e47p-7, -0x1.87434f6446ff1p-7, -0x1.7e3fa64b0cb91p-7, -0x1.756aafbb6bd99p-7, -0x1.6cc3aab2c206dp-7, -0x1.6449d7b99f74p-7, -0x1.5bfc79d7c395dp-7, -0x1.53dad6632e174p-7, -0x1.4be434c9538b2p-7, -0x1.4417defeeb34dp-7, -0x1.3c751bbaab86ep-7, -0x1.34fb3e892559cp-7, -0x1.2da994d214c6ap-7, -0x1.267f6df0b7478p-7, -0x1.1f7c1f4098344p-7, -0x1.189efc8d554bfp-7, -0x1.11e75c7443c64p-7, -0x1.0b5498821ca1cp-7, -0x1.04e60bef3918ap-7, -0x1.fd36261bc8a3ap-8, -0x1.f0e6189ff62a5p-8, -0x1.e4dab18728528p-8, -0x1.d912b723dbf4bp-8, -0x1.cd8cf32ba42cbp-8, -0x1.c248327136a18p-8, -0x1.b74344cf575dp-8, -0x1.ac7cfd383d2a6p-8, -0x1.a1f4322a922ebp-8, -0x1.97a7bed68ab99p-8, -0x1.8d968416ab84p-8, -0x1.83bf6791a3143p-8, -0x1.7a2153205ee6dp-8, -0x1.70bb36a405f16p-8, -0x1.678c08c951babp-8, -0x1.5e92c4670933p-8, -0x1.55ce657ba18acp-8, -0x1.4d3de8f575d87p-8, -0x1.44e04d7a70b3bp-8, -0x1.3cb492ebf538bp-8, -0x1.34b9bad69fde5p-8, -0x1.2ceec9cf6df77p-8, -0x1.2552c358d47a4p-8, -0x1.1de4bb5f7b1a7p-8, -0x1.16a3c2063179ep-8, -0x1.0f8eef0c28fd6p-8, -0x1.08a56412d233fp-8, -0x1.01e645e77e3bdp-8, -0x1.f6a17b02eeb11p-9, -0x1.e9c7e996d7e5bp-9, -0x1.dd3e299707b1cp-9, -0x1.d1028e655062ap-9, -0x1.c51370c6300e3p-9, -0x1.b96f2f4736e74p-9, -0x1.ae142f466bb21p-9, -0x1.a300e2e056c1bp-9, -0x1.9833ce6ba4ecap-9, -0x1.8dab886b1c8d6p-9, -0x1.8366b604e8041p-9, -0x1.796405ccfc26ep-9, -0x1.6fa22947e028cp-9, -0x1.661fcdd033d2fp-9, -0x1.5cdb96e3b4cdcp-9, -0x1.53d41b3ba4896p-9, -0x1.4b07e4c5e7e59p-9, -0x1.427575348ec7p-9, -0x1.3a1b4e5ad25b4p-9, -0x1.31f7fc83991d5p-9, -0x1.2a0a1fa135a98p-9, -0x1.225070ff6391p-9, -0x1.1ac9c79fb90adp-9, -0x1.13751af62228p-9, -0x1.0c517ea93826ap-9, -0x1.055e168d569c2p-9, -0x1.fd34131c9b1edp-10, -0x1.f008eed10eb27p-10, -0x1.e338e33b26802p-10, -0x1.d6c1f2ef41f6dp-10, -0x1.caa1ea8593b46p-10, -0x1.bed6794d7bep-10, -0x1.b35d4f6f3e62p-10, -0x1.a833a006df11dp-10, -0x1.9d57bc9d0d9d2p-10, -0x1.92c6fbf992dafp-10, -0x1.887f7fd48cfep-10, -0x1.7e7f9389bfb8ep-10, -0x1.74c59f8ea5b16p-10, -0x1.6b5039309ec3p-10, -0x1.621e0af5b6247p-10, -0x1.592dc33336d98p-10, -0x1.507e02fd054e9p-10, -0x1.480d51d462c58p-10, -0x1.3fda1b9911482p-10, -0x1.37e2b7c21db22p-10, -0x1.30257105e95f4p-10, -0x1.28a08bd75791cp-10, -0x1.21525273a4bb9p-10, -0x1.1a39264a3dd9ap-10, -0x1.13538ca367218p-10, -0x1.0ca032530cdcap-10, -0x1.061de975c6a05p-10, -0x1.ff9744d8e4716p-11, -0x1.f350c1e0cbbd8p-11, -0x1.e7665e6f8ac4p-11, -0x1.dbd623a3d5055p-11, -0x1.d09dfd89e6fdbp-11, -0x1.c5bbb2907e123p-11, -0x1.bb2ce3f29b87dp-11, -0x1.b0ef17e608056p-11, -0x1.a6ffca62a8c41p-11, -0x1.9d5c81713805cp-11, -0x1.9402dcec6338p-11, -0x1.8af0b009c8cbdp-11, -0x1.8223d70cd6cep-11, -0x1.799a52ef63c6cp-11, -0x1.71522f9bbe9c8p-11, -0x1.694965c142d33p-11, -0x1.617e04c956777p-11, -0x1.59ee35d1b3252p-11, -0x1.529841e5bc6c9p-11, -0x1.4b7a998ac217ap-11, -0x1.4493dbab41438p-11, -0x1.3de2c4372e5bbp-11, -0x1.376608998ddbp-11, -0x1.311c45de78e89p-11, -0x1.2b040be5939d4p-11, -0x1.251bf4f0c31d3p-11, -0x1.1f62ade25db81p-11, -0x1.19d6fb262e63ep-11, -0x1.1477be942da91p-11, -0x1.0f43cf3f5ad85p-11, -0x1.0a39f52ab1fc3p-11, -0x1.0558cc075af1ap-11, -0x1.009ec627f4b36p-11, -0x1.f814800f20564p-12, -0x1.ef33620990929p-12, -0x1.e69793e952982p-12, -0x1.de3f0b1547be2p-12, -0x1.d62803cd53aa6p-12, -0x1.ce50a40b8be25p-12, -0x1.c6b6a0ba2a781p-12, -0x1.bf5734f1c6166p-12, -0x1.b82f7c698ea6cp-12, -0x1.b13cfccaec56ep-12, -0x1.aa7e0e70f3e4bp-12, -0x1.a3f1edc4dbec4p-12, -0x1.9d987d66d2dc2p-12, -0x1.9771ca8ef4f1ap-12, -0x1.917d7100914f4p-12, -0x1.8bba1797f9191p-12, -0x1.862538426d712p-12, -0x1.80bb7a7c04b5cp-12, -0x1.7b792b1392894p-12, -0x1.765ae2fd1499ep-12, -0x1.715ef84a2c5acp-12, -0x1.6c84e4790d122p-12, -0x1.67cd500c7c71dp-12, -0x1.63391a80c46d2p-12, -0x1.5ec86fabde0cfp-12, -0x1.5a7a5e7a05639p-12, -0x1.564d0fde1f961p-12, -0x1.523e5df45d19bp-12, -0x1.4e4c639aca5eep-12, -0x1.4a75bd3e0851dp-12, -0x1.46b971b291e8p-12, -0x1.4316ac31ce1f4p-12, -0x1.3f8c84c7419f5p-12, -0x1.3c19fbf9d84eap-12, -0x1.38be15268ffddp-12, -0x1.3577dad63ec82p-12, -0x1.3246326b45c06p-12, -0x1.2f27a09df98ecp-12, -0x1.2c1a47bb8e275p-12, -0x1.291c47f5fb9b6p-12, -0x1.262c54c0be1e1p-12, -0x1.234a13aeb7868p-12, -0x1.2075f797da414p-12, -0x1.1db0b6c841e8p-12, -0x1.1afac0be9fa57p-12, -0x1.1853f9d55a3dcp-12, -0x1.15bbf1571eaa2p-12, -0x1.13316e3e06b55p-12, -0x1.10b43ef9fda62p-12, -0x1.0e436067e3cc8p-12, -0x1.0bdf5391ac8dbp-12, -0x1.0987b5f464e27p-12, -0x1.073bfd2bd43ep-12, -0x1.04fb3a7ad06ep-12, -0x1.02c44d6204c7ap-12, -0x1.00961777ab32bp-12, -0x1.fcdf33b130377p-13, -0x1.f89fef8195c33p-13, -0x1.f46cb07ae42b7p-13, -0x1.f0448e21352f4p-13, -0x1.ec25c42b5c026p-13, -0x1.e80f94a9fbaafp-13, -0x1.e40273a1009d4p-13, -0x1.dffdc85567661p-13, -0x1.dc0216265b2acp-13, -0x1.d80fc83f12e11p-13, -0x1.d426eb27e1e83p-13, -0x1.d04751677027ep-13, -0x1.cc70c5993b3dcp-13, -0x1.c8a344767dd6ap-13, -0x1.c4dedd0cfafc4p-13, -0x1.c1231f7848cd4p-13, -0x1.bd6ed5b91b132p-13, -0x1.b9c0747fe33e9p-13, -0x1.b616b9359a5fbp-13, -0x1.b270e8eb7859fp-13, -0x1.aeced6754cf7fp-13, -0x1.ab30bb8748f08p-13, -0x1.a79724c950391p-13, -0x1.a402c476133aep-13, -0x1.a07409f0df05ap-13, -0x1.9ceaa7732db49p-13, -0x1.99653b7cf1eb2p-13, -0x1.95e150354abd2p-13, -0x1.925c175e7020cp-13, -0x1.8ed41311535dep-13, -0x1.8b4a6a0ca8edep-13, -0x1.87c1f857438cbp-13, -0x1.843c7bcd9d989p-13, -0x1.80b90525fb4f3p-13, -0x1.7d35d7a164241p-13, -0x1.79b333d52f43p-13, -0x1.7632e8f0f1545p-13, -0x1.72b5ae0002c66p-13, -0x1.6f3a532195838p-13, -0x1.6bbf1bee486b3p-13, -0x1.6842f3d882ee6p-13, -0x1.64c5941b2683bp-13, -0x1.6147240a46594p-13, -0x1.5dc7de4931e01p-13, -0x1.5a47e438c5e71p-13, -0x1.56c73e44f4de9p-13, -0x1.5345ffe3f9b74p-13, -0x1.4fc58a85fb732p-13, -0x1.4c4558714fa51p-13, -0x1.48c6922deb6fbp-13, -0x1.454a95fa738eap-13, -0x1.41d04b0d98b44p-13, -0x1.3e55e8d0eff2bp-13, -0x1.3ad8ae7fe69c4p-13, -0x1.375785b1a0afcp-13, -0x1.33d4a1204f8fbp-13, -0x1.3052aab590eb4p-13, -0x1.2cd1589232be3p-13, -0x1.294ee0f9df908p-13, -0x1.25cb854c0e366p-13, -0x1.22490fa4d7f36p-13, -0x1.1ec80833fdee4p-13, -0x1.1b47799bfcf53p-13, -0x1.17c66a1fa4d5ap-13, -0x1.144487e49f162p-13, -0x1.10c1f4a941f2ap-13, -0x1.0d3ef39a2019p-13, -0x1.09bbc2168902p-13, -0x1.06388f79bafa3p-13, -0x1.02b455bc3b079p-13, -0x1.fe66ad599c97cp-14, -0x1.f76031cc0fc39p-14, -0x1.f05b7174b737dp-14, -0x1.e957833589bap-14, -0x1.e254bd3e0202ep-14, -0x1.db542b3104dbp-14, -0x1.d4567ea01ac21p-14, -0x1.cd5c0e745937fp-14, -0x1.c6644cd2aa6bbp-14, -0x1.bf6e4af6cb6a9p-14, -0x1.b878026fb97aap-14, -0x1.b182d95938db8p-14, -0x1.aa90286b74a95p-14, -0x1.a39f3ece04acp-14, -0x1.9cafc99b01018p-14, -0x1.95c3b8291f039p-14, -0x1.8edc3ccebe8f7p-14, -0x1.87f879416ed8bp-14, -0x1.8117723d55519p-14, -0x1.7a3915b681166p-14, -0x1.735dc2e508f2fp-14, -0x1.6c85d6ce6fceep-14, -0x1.65b1184e6da85p-14, -0x1.5ee2b4c1684cbp-14, -0x1.5815fc9cc945bp-14, -0x1.514dec10652acp-14, -0x1.4a8aef19e5b47p-14, -0x1.43cc76daf2cd3p-14, -0x1.3d12cd2de82ap-14, -0x1.365e1475d3972p-14, -0x1.2fae6b504595bp-14, -0x1.2903f625ca031p-14, -0x1.225edb914925p-14, -0x1.1bbf61068821cp-14, -0x1.1525e1b47c512p-14, -0x1.0e9217f3a233ap-14, -0x1.080550c4556e2p-14, -0x1.017f648ebe6a7p-14, -0x1.f5fead7996336p-15, -0x1.e90a770bb5cebp-15, -0x1.dc223a5478a32p-15, -0x1.cf46cc537b813p-15, -0x1.c27a6db1f2e13p-15, -0x1.b5bd49c270571p-15, -0x1.a90e48b79164p-15, -0x1.9c6d5085a0f51p-15, -0x1.8fdae016fa60ep-15, -0x1.83576ec512504p-15, -0x1.76e35ddec8aa1p-15, -0x1.6a7efc1e920eap-15, -0x1.5e2a815de13fp-15, -0x1.51e61ade5cd4bp-15, -0x1.45b1ff6f4bbe2p-15, -0x1.398e6d7a08ab9p-15, -0x1.2d7ba7c6dd409p-15, -0x1.2179ebed08c94p-15, -0x1.15896a0b5b5e1p-15, -0x1.09aa688dfaaafp-15, -0x1.fbba7cabeba5fp-16, -0x1.e44266623c1d6p-16, -0x1.cceeef40bf30ap-16, -0x1.b5c0663148cafp-16, -0x1.9eb7916185a41p-16, -0x1.87d2ae70e4a1ep-16, -0x1.7112f313b20dep-16, -0x1.5a7a5302b0c93p-16, -0x1.440b90b31d935p-16, -0x1.2dc63d2de29fap-16, -0x1.17938c3e220a4p-16, -0x1.01931fe90e5f3p-16, -0x1.d788550efcaa9p-17, -0x1.ac2244d400fa2p-17, -0x1.810fc10fc3653p-17, -0x1.565322bf6f538p-17, -0x1.2be67681d536dp-17, -0x1.01cb3b46c2aa2p-17, -0x1.b00413011f75ap-18, -0x1.5d16a786cbe25p-18, -0x1.0acef6ab8a8bfp-18, -0x1.725b61be88dbdp-19, -0x1.a0ceb7482f328p-20, -0x1.7e2037da3946fp-22, 0x1.be326c3e18a2p-21, 0x1.0d89655747cbdp-19, 0x1.aa31c4912a9fbp-19, 0x1.22c26f40dd3cfp-18, 0x1.6fc0bf0dfe468p-18, 0x1.bc132b067e4b4p-18, 0x1.03dc6a9d5b9fdp-17, 0x1.2958803476c99p-17, 0x1.4e7db98710e8p-17, 0x1.734c820af6018p-17, 0x1.97c27f127e2fdp-17, 0x1.bbe3f785baa6p-17, 0x1.dfab367162e6ep-17, 0x1.018e6808f333p-16, 0x1.131b05b0ece95p-16, 0x1.247b177b01c59p-16, 0x1.35afa725fcde9p-16, 0x1.46b8a370baa18p-16, 0x1.5795cf466d0cap-16, 0x1.68461cf8cbd92p-16, 0x1.78ca512719d2bp-16, 0x1.8922ceee891d1p-16, 0x1.994f29ba4239bp-16, 0x1.a94f38124fda6p-16, 0x1.b923271873078p-16, 0x1.c8cb11c25604ep-16, 0x1.d84707db4dbfep-16, 0x1.e79717fa2ddcdp-16, 0x1.f6bb1f7ce2dd6p-16, 0x1.02d9954b44f9fp-15, 0x1.0a3faa4596eap-15, 0x1.118f9c7618a7dp-15, 0x1.18ca06e1cb1cep-15, 0x1.1fee7c0cd9728p-15, 0x1.26fd2eab0b8fp-15, 0x1.2df7716ed37f4p-15, 0x1.34d696741e759p-15, 0x1.3ba6e21d1e8f8p-15, 0x1.425ed4f95f5a1p-15, 0x1.490075f30925ep-15, 0x1.4f8d972cb3c0dp-15, 0x1.56043ff4330c7p-15, 0x1.5c6661b12b97dp-15, 0x1.62b3d3d9719dap-15, 0x1.68efc445b2de8p-15, 0x1.6f0cec1346bbap-15, 0x1.7519d1197e46cp-15, 0x1.7b1179d6251fbp-15, 0x1.80f43d5f5495bp-15, 0x1.86c2189c2437ep-15, 0x1.8c7b166449efdp-15, 0x1.921f4ce7f3f38p-15, 0x1.97aed29419ab9p-15, 0x1.9d29c193ece3ep-15, 0x1.a29036b878253p-15, 0x1.a7e238275ac85p-15, 0x1.ad1fe6ef8d2c6p-15, 0x1.b2494f152ff0dp-15, 0x1.b75e8934187c3p-15, 0x1.bc5fb0a404d1ep-15, 0x1.c14cde8148472p-15, 0x1.c6262a7e75695p-15, 0x1.caeba9c57eb1dp-15, 0x1.cf9d82021b4c1p-15, 0x1.d43bc9bee13fbp-15, 0x1.d8c692d3f141dp-15, 0x1.dd3dfba93d08fp-15, 0x1.e1a21fc9e3fd2p-15, 0x1.e5f31a4589dbbp-15, 0x1.ea3106279fa4fp-15, 0x1.ee5bfdff3137p-15, 0x1.f2747106015f3p-15, 0x1.f67973320cffdp-15, 0x1.fa6cabe376029p-15, 0x1.fe4cd7a8f7407p-15, 0x1.010d6820166e4p-14, 0x1.02eb3c1931c38p-14, 0x1.04bff80342926p-14, 0x1.068bb4a2c588bp-14, 0x1.084e87377a586p-14, 0x1.0a087c7e2cd06p-14, 0x1.0bb997dc4da93p-14, 0x1.0d61e6e6db694p-14, 0x1.0f01e21ddccc5p-14, 0x1.10978fb478f69p-14, 0x1.1225e7be4d89fp-14, 0x1.13acf2e1ecf0bp-14, 0x1.152a221654c27p-14, 0x1.169f1a556795dp-14, 0x1.180bbce4f6a32p-14, 0x1.197034a46ac03p-14, 0x1.1acc75c4315b6p-14, 0x1.1c2063d3004b3p-14, 0x1.1d6bee48e5619p-14, 0x1.1eafe3cf329b8p-14, 0x1.1febacbf2377cp-14, 0x1.211fbcb04d165p-14, 0x1.2249543f261fcp-14, 0x1.2370666c9fbf4p-14, 0x1.248d2595dbf39p-14, 0x1.25a2274e8a6dcp-14, 0x1.26af622632366p-14, 0x1.27b5890a42fccp-14, 0x1.28b40d809c3c5p-14, 0x1.29ab3151124d1p-14, 0x1.2a9aed89a0224p-14, 0x1.2b839694561ecp-14, 0x1.2c64ec9295749p-14, 0x1.2d3f2ea0c78bdp-14, 0x1.2e1262346789bp-14, 0x1.2ede781494ca7p-14, 0x1.2fa3b3f9c3014p-14, 0x1.306231c98c23ep-14, 0x1.3119c4d841299p-14, 0x1.31caad074251fp-14, 0x1.3274db5c3b6e6p-14, 0x1.33186fcf8cc87p-14, 0x1.33b5783c1cf1fp-14, 0x1.344c02ff5149dp-14, 0x1.34dc2198b6894p-14, 0x1.3565e6686b4d8p-14, 0x1.35e96527f4cbep-14, 0x1.3666b527bd48fp-14, 0x1.36dde474ae2bdp-14, 0x1.374ef594d99c5p-14, 0x1.37b9eebfe1bc6p-14, 0x1.381ee75342cf3p-14, 0x1.387e08adbf8a5p-14, 0x1.38d75c562fda9p-14, 0x1.392aee9aa333p-14, 0x1.3978cbb161c8p-14, 0x1.39c121bd6d4fap-14, 0x1.3a03fe679d465p-14, 0x1.3a3f2c8aa53fap-14, 0x1.3a788742575f6p-14, 0x1.3aaa6708b313cp-14, 0x1.3ad70b72d91f7p-14, 0x1.3afe916ac148bp-14, 0x1.3b20d7823b8bdp-14, 0x1.3b3df42bc8b0ep-14, 0x1.3b56097587232p-14, 0x1.3b6919ee5a108p-14, 0x1.3b7724fd61bbap-14, 0x1.3b7fe6c153c93p-14, 0x1.3b844fdd26fb5p-14, 0x1.3b84917776b64p-14, 0x1.3b7e256218facp-14, 0x1.3b744fbdf9695p-14, 0x1.3b65b054e1b78p-14, 0x1.3b52294a3ec7cp-14, 0x1.3b3a4e2b4941p-14, 0x1.3b1e36495c9e6p-14, 0x1.3afd8a748f29bp-14, 0x1.3ad88c712a90cp-14, 0x1.3aaf3a90b758bp-14, 0x1.3a81b019606c5p-14, 0x1.3a5004c2fabe8p-14, 0x1.3a1a253ee9a7fp-14, 0x1.39e05395cbb85p-14, 0x1.39a26f58e32b5p-14, 0x1.39608355168b6p-14, 0x1.391ab50ebfc2ep-14, 0x1.38d10aed2d2a9p-14, 0x1.38838e653cb9bp-14, 0x1.3832505ed4df7p-14, 0x1.37dd66108557ep-14, 0x1.3784e4dd7623p-14, 0x1.3728cb248a2f8p-14, 0x1.36c9338b81b3ep-14, 0x1.3665f72286a89p-14, 0x1.35ff5aeba7d5ep-14, 0x1.3595718a8428ep-14, 0x1.35282e0184582p-14, 0x1.34b7a5c4da939p-14, 0x1.3443dd5480a5bp-14, 0x1.33ccdfbdc804ap-14, 0x1.3352b7885e1bp-14, 0x1.32d582327f33bp-14, 0x1.32553ba199b47p-14, 0x1.31d22854dfebcp-14, 0x1.314ba22b64c4cp-14, 0x1.30c1494b88236p-14, 0x1.3036fff641912p-14, 0x1.2fa7d47f32715p-14, 0x1.2f1638b7694d3p-14, 0x1.2e81f44ae7227p-14, 0x1.2deb30b3fff8ep-14, 0x1.2d524c2d2ba81p-14, 0x1.2cb58e4373cbdp-14, 0x1.2c16bee493345p-14, 0x1.2b7576ae53223p-14, 0x1.2ad1a5c231034p-14, 0x1.2a2b7ce267984p-14, 0x1.298365807f398p-14, 0x1.28d8959bf519cp-14, 0x1.282b6e770cf1bp-14, 0x1.277bfcb84e447p-14, 0x1.26cae01c09efbp-14, 0x1.26173b979b637p-14, 0x1.25614e5297466p-14, 0x1.24a96e839c995p-14, 0x1.23ef893617f33p-14, 0x1.2333ba8d9af27p-14, 0x1.2275fbdf53543p-14, 0x1.21b606b7418ebp-14, 0x1.20f488353dfbbp-14, 0x1.2030fc054cd3ep-14, 0x1.1f6ba3d7dc498p-14, 0x1.1ea48b42ed2b9p-14, 0x1.1ddbb2cd427ddp-14, 0x1.1d1123a4ba3abp-14, 0x1.1c44efa13c2a9p-14, 0x1.1b772d64ea4f3p-14, 0x1.1aa7c101368c1p-14, 0x1.19d6d9c9f3331p-14, 0x1.19045a8484e48p-14, 0x1.18306d77963a2p-14, 0x1.175b15e15272cp-14, 0x1.168451bc31c2fp-14, 0x1.15ac27c1bb13ep-14, 0x1.14d2a3448c13ap-14, 0x1.13f7adcfccffcp-14, 0x1.131b94094d5d2p-14, 0x1.123e5b84d4c6bp-14, 0x1.115e6f37d929dp-14, 0x1.107fbb0a57401p-14, 0x1.0f9ed89584e75p-14, 0x1.0ebc798cb15a8p-14, 0x1.0dd825492cefdp-14, 0x1.0cf588cadd65dp-14, 0x1.0c0fc9c70db8cp-14, 0x1.0b29427dd5076p-14, 0x1.0a41d32c61ca6p-14, 0x1.095979c64f44ap-14, 0x1.0870635a64e97p-14, 0x1.078684d2b222fp-14, 0x1.069b749b2e7f5p-14, 0x1.05af899e1b6efp-14, 0x1.04c2fbd8e8cd8p-14, 0x1.03d56248eea5bp-14, 0x1.02e72bb4a7802p-14, 0x1.01f84285a6127p-14, 0x1.0108a9c7003c1p-14, 0x1.001849ba44c46p-14, 0x1.fe4e851777d58p-15, 0x1.fc6b9ac57fae6p-15, 0x1.fa86ecd6bfd84p-15, 0x1.f8a14573c384ap-15, 0x1.f6ba9f9f5cf89p-15, 0x1.f4d2d66fbd828p-15, 0x1.f2e9ef8014653p-15, 0x1.f1000c63998ap-15, 0x1.ef14deb974ee4p-15, 0x1.ed29842633142p-15, 0x1.eb3cc4fcca611p-15, 0x1.e9499e2741d3dp-15, 0x1.e761cef432c64p-15, 0x1.e5721c36eeee1p-15, 0x1.e3833b9b6e954p-15, 0x1.e19303717acdbp-15, 0x1.dfa25a2d3b7f4p-15, 0x1.ddb12714ed04cp-15, 0x1.dbbf7bfb74867p-15, 0x1.d9cd6f5087a07p-15, 0x1.d7db01d53ffeap-15, 0x1.d5e7e613153ddp-15, 0x1.d3f4c2535ea8ap-15, 0x1.d20167ca20ebcp-15, 0x1.d00d98ff6988fp-15, 0x1.ce18da258d565p-15, 0x1.cc24cffbb4d1cp-15, 0x1.ca307e2fb2092p-15, 0x1.c83c9cc07fc4bp-15, 0x1.c644a097be06cp-15, 0x1.c4528f51ca3dbp-15, 0x1.c25dd2c1f708fp-15, 0x1.c068762cd4fcap-15, 0x1.be738fe66c054p-15, 0x1.bc7f403a2d56fp-15, 0x1.ba8a403de2053p-15, 0x1.b89621f086a5ap-15, 0x1.b6a1ac10b914ap-15, 0x1.b4ae966343036p-15, 0x1.b2b9e36880fb4p-15, 0x1.b0c643d879888p-15, 0x1.aed2ff650d73cp-15, 0x1.ace05f57e42d4p-15, 0x1.aaedb1ed8bf49p-15, 0x1.a8fad49a0f94ap-15, 0x1.a7092388cb13bp-15, 0x1.a517c20800e97p-15, 0x1.a326c8ea88579p-15, 0x1.a13601a56b88ep-15, 0x1.9f4621dd56fdap-15, 0x1.9d56f8855fa7bp-15, 0x1.9b67b8a9c33bp-15, 0x1.997946a93a64ep-15, 0x1.978b78333ac3ap-15, 0x1.959e4977e1c7bp-15, 0x1.93b11dc5f782bp-15, 0x1.91c5f87182d8cp-15, 0x1.8fdab45967067p-15, 0x1.8df0d1798c4b3p-15, 0x1.8c04f648d4798p-15, 0x1.8a1df26752b51p-15, 0x1.88361477b5c5dp-15, 0x1.864e9a6d1519p-15, 0x1.846896b28eafp-15, 0x1.82829ee95a5d2p-15, 0x1.809e52aeae043p-15, 0x1.7ebaefdccdc16p-15, 0x1.7cd7b34eb7387p-15, 0x1.7af5ce7a9dfcbp-15, 0x1.7914c71de01f1p-15, 0x1.7734b3bd04f91p-15, 0x1.75559dfb7a748p-15, 0x1.7378154c27bfep-15, 0x1.7197c2601c919p-15, 0x1.6fbef471428c1p-15, 0x1.6de3e0edc58eap-15, 0x1.6c0841177dc7cp-15, 0x1.6a30bc35ec056p-15, 0x1.6858c1e966e7ep-15, 0x1.6681ea0031fa8p-15, 0x1.64ac775338c3p-15, 0x1.62d83fc42f83ap-15, 0x1.6104fe0a104afp-15, 0x1.5f32f177744fbp-15, 0x1.5d6220bb3f3e5p-15, 0x1.5b92146cb91b6p-15, 0x1.59c42019d1be6p-15, 0x1.57f513ab8f922p-15, 0x1.562a8e65c2a49p-15, 0x1.545f6e23f5346p-15, 0x1.529647d324fffp-15, 0x1.50cde3c8153bbp-15, 0x1.4f07025a34f51p-15, 0x1.4d415348ce92fp-15, 0x1.4b7cd6991dfe8p-15, 0x1.49b9ca64c78e4p-15, 0x1.47f7f84ba562ep-15, 0x1.4637763d00752p-15, 0x1.447848e5bd26fp-15, 0x1.42ba7f863a488p-15, 0x1.40fe24851fd49p-15, 0x1.3f4318d3b7c2p-15, 0x1.3d896b6f6fc82p-15, 0x1.3bd1397bc8ca1p-15, 0x1.3a1a8562cd70ep-15, 0x1.3865acebd0704p-15, 0x1.36b14d44e41b2p-15, 0x1.34feb71bb56f4p-15, 0x1.334dbbb5405eep-15, 0x1.319e4f599084ap-15, 0x1.2fefddc112c6p-15, 0x1.2e433aaf9ff0ep-15, 0x1.2c982e9c85261p-15, 0x1.2aedd926906b6p-15, 0x1.29464fa0f0235p-15, 0x1.279c8ea8bbcc2p-15, 0x1.25fab9eaad75fp-15, 0x1.24552faf56125p-15, 0x1.22b35a064115cp-15, 0x1.211218d25ab18p-15, 0x1.1f730f315eb2bp-15, 0x1.1dd52e27cd3d9p-15, 0x1.1c38caf57065ep-15, 0x1.1a9e05e121c15p-15, 0x1.19053868fb398p-15, 0x1.176ceb6fc3a7cp-15, }}, 
      {{-0x1.68346dc4043f7p-1, -0x1.4ceabd1688296p-1, -0x1.4af0649ddfc36p-1, -0x1.60c9961a568efp-1, -0x1.84fcec076f589p-1, -0x1.add7ecf98224ep-1, -0x1.d406767b088bbp-1, -0x1.f2fe6924095e5p-1, -0x1.044b556365748p+0, -0x1.0a31b34e522b5p+0, -0x1.0b8c9e3e80819p+0, -0x1.09076cbdab73dp+0, -0x1.03707b900b154p+0, -0x1.f734ae391c99dp-1, -0x1.e4918f68a7118p-1, -0x1.d04cff3f92912p-1, -0x1.bb816ca733a8ep-1, -0x1.a70d2d1830dbfp-1, -0x1.939604c536537p-1, -0x1.818f413abc6dbp-1, -0x1.714102716a325p-1, -0x1.62cfc6845fd32p-1, -0x1.5643a93f97dbep-1, -0x1.4b8f0c6316c02p-1, -0x1.42947acf04563p-1, -0x1.3b2bae9b0690fp-1, -0x1.3525c2f9177f6p-1, -0x1.30509905d0e73p-1, -0x1.2c7983b5062f7p-1, -0x1.296f49970d285p-1, -0x1.2703999839f2ep-1, -0x1.250c0d3358843p-1, -0x1.2362be4f048f4p-1, -0x1.21e6980864afdp-1, -0x1.207b632fc3511p-1, -0x1.1f09a87b1d686p-1, -0x1.1d7e7392f4342p-1, -0x1.1bcafc442726bp-1, -0x1.19e443f79c1c2p-1, -0x1.17c2ae93b1a89p-1, -0x1.15619327410c3p-1, -0x1.12bed5f241801p-1, -0x1.0fda8261853dap-1, -0x1.0cb66b6f3eb54p-1, -0x1.0955d58549bfep-1, -0x1.05bd24bf8d883p-1, -0x1.01f1971fa9225p-1, -0x1.fbf20ed5ac18cp-2, -0x1.f3b36a849e222p-2, -0x1.eb342cb841777p-2, -0x1.e281619470dffp-2, -0x1.d9a7f3bbee19ep-2, -0x1.d0b47c111f87dp-2, -0x1.c7b30eb5b9a4p-2, -0x1.beaf274a5df3ap-2, -0x1.b5b386e6135p-2, -0x1.acca297dd7677p-2, -0x1.a3fc393af2e79p-2, -0x1.9b520953e6996p-2, -0x1.92d314965b645p-2, -0x1.8a85ff1ede445p-2, -0x1.82709c2045bf3p-2, -0x1.7a97f459b66b8p-2, -0x1.730050099eedp-2, -0x1.6bad3f15f74e4p-2, -0x1.64a1a58e88ff4p-2, -0x1.5ddfc42ad1206p-2, -0x1.576946d3f3b16p-2, -0x1.513f4ede0af58p-2, -0x1.4b627e2d0db19p-2, -0x1.45d303da523dcp-2, -0x1.4090a660fd22bp-2, -0x1.3b9ace500bc3cp-2, -0x1.36f090caf40cdp-2, -0x1.3290b82f99ap-2, -0x1.2e79cd5afcff9p-2, -0x1.2aaa201777abp-2, -0x1.271fcf1b32fb1p-2, -0x1.23d8cede81622p-2, -0x1.20d2f0d1502e6p-2, -0x1.1e0be9bf446b5p-2, -0x1.1b8156ceb4bb4p-2, -0x1.1930c2bf3e144p-2, -0x1.1717abd906706p-2, -0x1.1533872d3f198p-2, -0x1.1381c45f04038p-2, -0x1.11ffd249e480ep-2, -0x1.10ab20e70c188p-2, -0x1.0f812442016edp-2, -0x1.0e7f576b1b5d6p-2, -0x1.0da33eb76610fp-2, -0x1.0cea68d1e65cep-2, -0x1.0c52711365d9fp-2, -0x1.0bd900ac41464p-2, -0x1.0b7bcff595061p-2, -0x1.0b38a78c2fa5p-2, -0x1.0b0d60e311bdp-2, -0x1.0af7e73984057p-2, -0x1.0af637699f26p-2, -0x1.0b066157fc068p-2, -0x1.0b2687909da26p-2, -0x1.0b54dfbd8af2fp-2, -0x1.0b8fb2532786cp-2, -0x1.0bd55aef8a774p-2, -0x1.0c2447bfaf2c1p-2, -0x1.0c7af9dace356p-2, -0x1.0cd804f26707ap-2, -0x1.0d3a0efe2bf11p-2, -0x1.0d9fcfa151a67p-2, -0x1.0e080ff6505dp-2, -0x1.0e71aa5058433p-2, -0x1.0edb89cc01addp-2, -0x1.0f44a98b0255bp-2, -0x1.0fac14a457a9bp-2, -0x1.1010e5873af1cp-2, -0x1.10724567ace01p-2, -0x1.10cf6bce48153p-2, -0x1.11279de19a69cp-2, -0x1.117a2e5e074b9p-2, -0x1.11c67ce1fff13p-2, -0x1.120bf534f246cp-2, -0x1.124a0f04022d9p-2, -0x1.12804d73aa3c5p-2, -0x1.12ae3e6ba143fp-2, -0x1.12d37a4428c13p-2, -0x1.12efa33f7f5c4p-2, -0x1.1302650cb6f13p-2, -0x1.130b74911b921p-2, -0x1.130a8f3fea763p-2, -0x1.12ff7aaa02a0ep-2, -0x1.12ea045564ecfp-2, -0x1.12ca014534226p-2, -0x1.129f4d0c2bcffp-2, -0x1.1269ca3ccf19p-2, -0x1.122961d5e9b86p-2, -0x1.11de026ff4595p-2, -0x1.1187a041f6f52p-2, -0x1.112635341b8d5p-2, -0x1.10b9bffcd8903p-2, -0x1.104243c3b6689p-2, -0x1.0fbfc865aed6p-2, -0x1.0f325a0dbaf7fp-2, -0x1.0e9a08828cc62p-2, -0x1.0df6e70c5dcddp-2, -0x1.0d490c8f867d8p-2, -0x1.0c90934a2bed1p-2, -0x1.0bcd98285f2b5p-2, -0x1.0b003ac00c39ep-2, -0x1.0a289d84e1de1p-2, -0x1.0946e54411076p-2, -0x1.085b38ad6a53bp-2, -0x1.0765c07d38243p-2, -0x1.0666a793a1acep-2, -0x1.055e1a75d49e6p-2, -0x1.044c46ecd01ebp-2, -0x1.03315c2b7ad0ep-2, -0x1.020d8aed9f266p-2, -0x1.00e10515020e6p-2, -0x1.ff57fa803d9fap-3, -0x1.fcdd4dacac427p-3, -0x1.fa526cb6661a6p-3, -0x1.f7b7c232b950ep-3, -0x1.f50db96defa76p-3, -0x1.f254be80caa99p-3, -0x1.ef8d3e847ca5dp-3, -0x1.ecb7a773d7762p-3, -0x1.e9d467ac24cc4p-3, -0x1.e6e3eda179aep-3, -0x1.e3e6a7d6713d1p-3, -0x1.e0dd051d12c63p-3, -0x1.ddc77468dc1a2p-3, -0x1.daa664373ba97p-3, -0x1.d77a4291f2f76p-3, -0x1.d4437ceb43cb8p-3, -0x1.d10280d461b05p-3, -0x1.cdb7badbc9205p-3, -0x1.ca6396e50362ap-3, -0x1.c7067fcf1b0afp-3, -0x1.c3a0e02e2dea9p-3, -0x1.c03320922a1e2p-3, -0x1.bcbdaa1f10856p-3, -0x1.b940e3c8fe8b8p-3, -0x1.b5bd32f9e6968p-3, -0x1.b232fcf2395e3p-3, -0x1.aea2a58dadaf9p-3, -0x1.ab0c8eb0b6d8ep-3, -0x1.a7711a212048bp-3, -0x1.a3d0a6ba12538p-3, -0x1.a02b933cbb753p-3, -0x1.9c823b6e3e14cp-3, -0x1.98d4fbeab71d1p-3, -0x1.95242e00b54c8p-3, -0x1.917029f906be9p-3, -0x1.8db9472674a6dp-3, -0x1.89ffd9b9156a5p-3, -0x1.864436736bfb2p-3, -0x1.8286aecce3cccp-3, -0x1.7ec793801d4fap-3, -0x1.7b07333dc7e6ep-3, -0x1.7745dc05696cep-3, -0x1.7383d82bf84bap-3, -0x1.6fc172f35b066p-3, -0x1.6bfef41a982dp-3, -0x1.683ca2aad7b5cp-3, -0x1.647ac3a7f6a64p-3, -0x1.60b99b419f1bp-3, -0x1.5cf96a0fd8a38p-3, -0x1.593a715bedda9p-3, -0x1.557cefd89ceedp-3, -0x1.51c1227732c35p-3, -0x1.4e0744ba90ef8p-3, -0x1.4a4f907f48437p-3, -0x1.469a3de4df0b2p-3, -0x1.42e784a0a273bp-3, -0x1.3f3798af75a42p-3, -0x1.3b8aaf0dd261bp-3, -0x1.37e0f92195233p-3, -0x1.343aa7d65c834p-3, -0x1.3097ea6231592p-3, -0x1.2cf8ee7ead438p-3, -0x1.295de0540b328p-3, -0x1.25c6eb80ef032p-3, -0x1.2234383c14acep-3, -0x1.1ea5ef0159e42p-3, -0x1.1b1c3709b7f6p-3, -0x1.17973505f5e4p-3, -0x1.14170cf30692ep-3, -0x1.109be16ced323p-3, -0x1.0d25d3c835c74p-3, -0x1.09b5040d883d9p-3, -0x1.064990b73cac6p-3, -0x1.02e3984455ad5p-3, -0x1.ff066aaf2b024p-4, -0x1.f851089ad7921p-4, -0x1.f1a73cd70a364p-4, -0x1.eb0938f76ad47p-4, -0x1.e4772c2c49b74p-4, -0x1.ddf14353bdc4fp-4, -0x1.d777a90b5d85dp-4, -0x1.d10a85ccccb1dp-4, -0x1.caa9fff094818p-4, -0x1.c4563b43b86bdp-4, -0x1.be0f5c5098eedp-4, -0x1.b7d57fc84753fp-4, -0x1.b1a8c658d309bp-4, -0x1.ab894bf834dd4p-4, -0x1.a5772b58ac569p-4, -0x1.9f727c7838586p-4, -0x1.997b56b27650cp-4, -0x1.9391cf17d8a7p-4, -0x1.8db5f90f995bdp-4, -0x1.87e7e65acdfd4p-4, -0x1.8227a7162b3eap-4, -0x1.7c75499c365bbp-4, -0x1.76d0db1af9d9bp-4, -0x1.713a67b86eec8p-4, -0x1.6bb1f6fd0e377p-4, -0x1.663794b66976bp-4, -0x1.60cb45e8404aep-4, -0x1.5b6d10d454a27p-4, -0x1.561cf9ea9d97ep-4, -0x1.50db0441a6181p-4, -0x1.4ba731b171c2bp-4, -0x1.468182db8d891p-4, -0x1.4169f72f8e8f6p-4, -0x1.3c608cf20fd4p-4, -0x1.376541460b13p-4, -0x1.327810191d5abp-4, -0x1.2d98f406c2c79p-4, -0x1.28c7e8be422eap-4, -0x1.2404e4723e6acp-4, -0x1.1f4fe1bd8eeecp-4, -0x1.1aa8d6019dc42p-4, -0x1.160fb7c3472ccp-4, -0x1.11847c650639fp-4, -0x1.0d07184f5b3ecp-4, -0x1.08977f1128802p-4, -0x1.0435a36ca736ap-4, -0x1.ffc2eec040b63p-5, -0x1.f735d8626499p-5, -0x1.eec3e4d81950ep-5, -0x1.e66cf3e4d614p-5, -0x1.de30e3f46b176p-5, -0x1.d60f91de1d1f8p-5, -0x1.ce08d8fedfbbfp-5, -0x1.c61c97543cf38p-5, -0x1.be4aa12ef15c7p-5, -0x1.b692d43014ecfp-5, -0x1.aef504bdc4cf2p-5, -0x1.a77109d1964adp-5, -0x1.a006b929bdc81p-5, -0x1.98b5e764a8e29p-5, -0x1.917e684d5a7fep-5, -0x1.8a600e9b263eap-5, -0x1.835aacd4564fp-5, -0x1.7c6e13f5f976ep-5, -0x1.759a14e49b005p-5, -0x1.6ede7f8e3f4bbp-5, -0x1.683b23473cf7bp-5, -0x1.61afcece3f34fp-5, -0x1.5b3c504f5a9b9p-5, -0x1.54e075283eb07p-5, -0x1.4e9c0a0d4d1a2p-5, -0x1.486edef763ad6p-5, -0x1.4258bac66669dp-5, -0x1.3c596e14f5636p-5, -0x1.3670c1f3a60fbp-5, -0x1.309e81a50b7e3p-5, -0x1.2ae278433d89dp-5, -0x1.253c7046543bdp-5, -0x1.1fac33f9aacp-5, -0x1.1a318d82c8d0cp-5, -0x1.14cc468e6a9dp-5, -0x1.0f7c289af0a39p-5, -0x1.0a40fd57ffedcp-5, -0x1.051a8e39fa04ap-5, -0x1.0008a430a851ep-5, -0x1.f6161072e4a09p-6, -0x1.ec4307652e2f1p-6, -0x1.e297bfa4f5f75p-6, -0x1.d913cae12bc0cp-6, -0x1.cfb6ba4f0b9p-6, -0x1.c6801d7e06af8p-6, -0x1.bd6f92379c92p-6, -0x1.b4849aeb440d7p-6, -0x1.abbed0254711fp-6, -0x1.a31dc896d14c7p-6, -0x1.9aa11251f722fp-6, -0x1.9248412c5e082p-6, -0x1.8a12e8897f11cp-6, -0x1.82009c2503bd6p-6, -0x1.7a10ef89cc7cep-6, -0x1.724376507a4e9p-6, -0x1.6a97c5de3e6ddp-6, -0x1.630d72db7d505p-6, -0x1.5ba41285a121bp-6, -0x1.545b3acb181e2p-6, -0x1.4d3282680007bp-6, -0x1.46297febdeb4bp-6, -0x1.3f3fca3f0ad3cp-6, -0x1.3874f98cd4f18p-6, -0x1.31c8a6c1c96c4p-6, -0x1.2b3a6ac606fe9p-6, -0x1.24c9deb91f2b5p-6, -0x1.1e769c1e2e17ap-6, -0x1.18403f6a8ed11p-6, -0x1.12266712d15eep-6, -0x1.0c28a69068d25p-6, -0x1.0646a3f6931a1p-6, -0x1.007ff8b7920c7p-6, -0x1.f5a886da099cp-7, -0x1.ea86471af7012p-7, -0x1.df9870cc4f8ddp-7, -0x1.d4de44c7eb7efp-7, -0x1.ca5706b5d24dp-7, -0x1.c001fae8aef2bp-7, -0x1.b5de65ff34698p-7, -0x1.abeb8ef2e2ea7p-7, -0x1.a228bf7420463p-7, -0x1.9895426f9022dp-7, -0x1.8f3063fbc9a55p-7, -0x1.85f971aed6f06p-7, -0x1.7cefba2730e22p-7, -0x1.74128dcff9eadp-7, -0x1.6b613f8fe87f3p-7, -0x1.62db25a5f5f03p-7, -0x1.5a7f945b191efp-7, -0x1.524de2f4e6d8p-7, -0x1.4a456b05aa0dep-7, -0x1.426587835b31bp-7, -0x1.3aad91558689fp-7, -0x1.331cfcd67083p-7, -0x1.2bb30b0840152p-7, -0x1.246f299e1b8cfp-7, -0x1.1d50c54199f87p-7, -0x1.16573936c7e2ep-7, -0x1.0f81efa8bd04fp-7, -0x1.08d05228e7fa5p-7, -0x1.0241ca5335c49p-7, -0x1.f7ab874f06bc9p-8, -0x1.eb175970c3e64p-8, -0x1.dec5eb9b8df37p-8, -0x1.d2b620322dc0cp-8, -0x1.c6e6dcba8cbfdp-8, -0x1.bb570acc5d146p-8, -0x1.b00597f42fa1ep-8, -0x1.a4f174a33fd8ep-8, -0x1.9a199336c3246p-8, -0x1.8f7ce9cf952cep-8, -0x1.851a7464eb5fp-8, -0x1.7af132236f5c6p-8, -0x1.71002294f7cf8p-8, -0x1.6746481f02f7cp-8, -0x1.5dc2ab1bd8133p-8, -0x1.547457ad7df3ep-8, -0x1.4b5a5c2d71805p-8, -0x1.4273c907441d7p-8, -0x1.39bfb0a5b24fep-8, -0x1.313d22d9b199fp-8, -0x1.28eb68ddd9297p-8, -0x1.20c95f821bc74p-8, -0x1.18d63debf74a2p-8, -0x1.1111410edbb4fp-8, -0x1.097979846f0a6p-8, -0x1.020e1845dfa64p-8, -0x1.f59c979c075ep-9, -0x1.e77284ec3bc89p-9, -0x1.d99c5cdd51e85p-9, -0x1.cc188f0730199p-9, -0x1.bee590f3b3736p-9, -0x1.b201db36a128ap-9, -0x1.a56beb45bd30dp-9, -0x1.99224488a1977p-9, -0x1.8d23700377492p-9, -0x1.816dfc033b319p-9, -0x1.76007c4625dffp-9, -0x1.6ad98a01bb04ap-9, -0x1.5ff7c2c448618p-9, -0x1.5559c82dacf74p-9, -0x1.4afe44974dd9ep-9, -0x1.40e3edd8c141ap-9, -0x1.37097f7213877p-9, -0x1.2d6db65d17e0bp-9, -0x1.240f547d5c2c5p-9, -0x1.1aed244af66b1p-9, -0x1.1205f5622c2d4p-9, -0x1.0958967802a2p-9, -0x1.00e3d60f5fa6ep-9, -0x1.f14d03569bbeep-10, -0x1.e13ecc5cc413ep-10, -0x1.d19b5d29af203p-10, -0x1.c25f9230b88a5p-10, -0x1.b389a2d404d1dp-10, -0x1.a517ab9aa9d8dp-10, -0x1.97075ce1ab929p-10, -0x1.8956c0ea43f81p-10, -0x1.7c03da03a2f03p-10, -0x1.6f0cb1b46564cp-10, -0x1.626f5bcd2fd5ep-10, -0x1.5629eba4f51d2p-10, -0x1.4a3a6efbf335cp-10, -0x1.3e9efa6caa0d6p-10, -0x1.3355b7610e05bp-10, -0x1.285ce1e7dcd5fp-10, -0x1.1db2c279ab113p-10, -0x1.1355afc6c2c7fp-10, -0x1.09441015422bcp-10, -0x1.fef8aac48e4a9p-11, -0x1.ebf9eea1b089ep-11, -0x1.d988d789570e8p-11, -0x1.c7a2420ecfcebp-11, -0x1.b642f7e3ac3f4p-11, -0x1.a567af9400d6bp-11, -0x1.950d17328a1d4p-11, -0x1.852fde7ecd8adp-11, -0x1.75ccc2d6dbf0cp-11, -0x1.66e0a428f1454p-11, -0x1.5868a3adb8f23p-11, -0x1.4a622b10fc269p-11, -0x1.3ccad4c281a1bp-11, -0x1.2fa05b339e896p-11, -0x1.22e09ae990a82p-11, -0x1.1689735e375a1p-11, -0x1.0a990a9e59e4cp-11, -0x1.fe1b2b7993ec5p-12, -0x1.e7c7479d36c89p-12, -0x1.d23375207d2d4p-12, -0x1.bd5a12bb5d82fp-12, -0x1.a9360ca738b6ep-12, -0x1.95c0377f5613p-12, -0x1.82f6ec7813317p-12, -0x1.70d2d34070478p-12, -0x1.5f5015a678b49p-12, -0x1.4e6aff6bf85b9p-12, -0x1.3e1fcf173bf09p-12, -0x1.2e6b335f619e5p-12, -0x1.1f49fdc936aadp-12, -0x1.10b8fa9e2ca81p-12, -0x1.02b4e5d34246p-12, -0x1.ea74d7b12448cp-13, -0x1.d08c32167efeep-13, -0x1.b7a8705e91975p-13, -0x1.9fc1c36e1653ap-13, -0x1.88d07a223226cp-13, -0x1.72cd4dd6c07a4p-13, -0x1.5db150be35b27p-13, -0x1.4975edd044d4ap-13, -0x1.36151398bc46dp-13, -0x1.2389443e539b6p-13, -0x1.11cd7d59595b6p-13, -0x1.00dd0affcd6f7p-13, -0x1.e166ac1cac8efp-14, -0x1.c2976ffaded07p-14, -0x1.a542b45984b2bp-14, -0x1.895e4b2a3148p-14, -0x1.6edf8ffc93caap-14, -0x1.55bb8ec5bd102p-14, -0x1.3de743b3f379p-14, -0x1.2757af8eb43b8p-14, -0x1.1200bd000923bp-14, -0x1.fbc2e3ab2c15p-15, -0x1.d5c74287f592cp-15, -0x1.b1ff7b20ed5afp-15, -0x1.906d2fa46a3edp-15, -0x1.70f22d48625cbp-15, -0x1.537e5d9167257p-15, -0x1.3800bd8438a86p-15, -0x1.1e6977a50d802p-15, -0x1.06aa907d9dd2bp-15, -0x1.e16f0ff3903aap-16, -0x1.b9091a612e6eap-16, -0x1.940a6ffeb8ca4p-16, -0x1.72583cb97e15fp-16, -0x1.53d7ccb39496cp-16, -0x1.386f5456ac859p-16, -0x1.2007191ab46b6p-16, -0x1.0a8976047d5e9p-16, -0x1.efbdeb40fc612p-17, -0x1.cfe3191848ecdp-17, -0x1.b555f598efe6dp-17, -0x1.9fe4b46d472bdp-17, -0x1.8f5a2e3a04147p-17, -0x1.837d255e5b5f4p-17, -0x1.7c17c1ffc041ap-17, -0x1.78fc9733b5df5p-17, -0x1.7a04764d5a5b9p-17, -0x1.7f0d3dc86633ep-17, -0x1.87f1ac6cdf5f1p-17, -0x1.94886e8bae711p-17, -0x1.a4a48b34fba0ep-17, -0x1.b816ba545c9cep-17, -0x1.ceb1d89a04fe8p-17, -0x1.e8529b27febcp-17, -0x1.02732c1b11368p-16, -0x1.123395b5f6c9fp-16, -0x1.23683c2dd5cd6p-16, -0x1.360a911bfc029p-16, -0x1.4a0cb3b7af07ap-16, -0x1.5f554f5de4accp-16, -0x1.75d297e7815adp-16, -0x1.8d692fdf9a367p-16, -0x1.a5e0b1e8deaddp-16, -0x1.bf4c548052e51p-16, -0x1.d99812085c204p-16, -0x1.f4c44cd37b1e4p-16, -0x1.086ae11258d58p-15, -0x1.16e5680c8ffadp-15, -0x1.25ccf7c1c2ebfp-15, -0x1.3519a64cd3efep-15, -0x1.44c27b697139fp-15, -0x1.54bf78b576189p-15, -0x1.650a835b5e7a2p-15, -0x1.759f0651cc4e5p-15, -0x1.8678dd930f94p-15, -0x1.979363ffcf44dp-15, -0x1.a8e97a683409fp-15, -0x1.ba76830cfdd63p-15, -0x1.cc36a7cbb55d3p-15, -0x1.de2560559fafp-15, -0x1.f03beaf3beaabp-15, -0x1.0138eca8fe817p-14, -0x1.0a5fbf45ee98cp-14, -0x1.138ffffc21216p-14, -0x1.1cc8d7ce73e59p-14, -0x1.260a98992ac8ep-14, -0x1.2f55f5a6e8d45p-14, -0x1.38ab2eb983dd9p-14, -0x1.420995398c3bp-14, -0x1.4b70715f38bc7p-14, -0x1.54dc0578873acp-14, -0x1.5e4d4ad2127ep-14, -0x1.67c0077269d02p-14, -0x1.713685658f55p-14, -0x1.7aaf0cf4ee48cp-14, -0x1.84285a2905ca7p-14, -0x1.8da0728edc3dbp-14, -0x1.97150429ea4f9p-14, -0x1.a083c69c9b127p-14, -0x1.a9eab88284a9dp-14, -0x1.b3480d45dd1e4p-14, -0x1.bc98e1c62cbedp-14, -0x1.c5e18f0539494p-14, -0x1.cf19305a2df6cp-14, -0x1.d83df063cdc5ap-14, -0x1.e15827e7e4cebp-14, -0x1.ea61a94e8b47cp-14, -0x1.f35b3c431528fp-14, -0x1.fc45981a870d4p-14, -0x1.02905f145cbf3p-13, -0x1.06f60e80df3e6p-13, -0x1.0b53770ca733p-13, -0x1.0fa86ab5a70bcp-13, -0x1.13f4f99fe1748p-13, -0x1.183904b0a0efbp-13, -0x1.1c73f930a9007p-13, -0x1.20a50d5e60431p-13, -0x1.24cb9792f7eabp-13, -0x1.28e72d9def9b3p-13, -0x1.2cf7aa9c0a19bp-13, -0x1.30fd179653e26p-13, -0x1.34f7a0e9a0561p-13, -0x1.38e78360084bep-13, -0x1.3cccdf7b1614p-13, -0x1.40a785b0f7a6ep-13, -0x1.4476d2a3dc244p-13, -0x1.4839b04735edfp-13, -0x1.4beee66b20323p-13, -0x1.4f95cd59db8c2p-13, -0x1.532eda9a08c34p-13, -0x1.56bb3a4a211e7p-13, -0x1.5a3b9f6077851p-13, -0x1.5daf9e3084d89p-13, -0x1.61167742da32cp-13, -0x1.647042474bedap-13, -0x1.67bdbd77ab254p-13, -0x1.6aff31da50b25p-13, -0x1.6e3419f6058afp-13, -0x1.715baae4059bdp-13, -0x1.7475653206f66p-13, -0x1.77813c6cd8db3p-13, -0x1.7a7f620cee53fp-13, -0x1.7d6ff299190b9p-13, -0x1.8052d7878783fp-13, -0x1.8327e992f12f7p-13, -0x1.85eec21bbefd5p-13, -0x1.88ab1887a61eap-13, -0x1.8b584a2df7a26p-13, -0x1.8df7767be7c2bp-13, -0x1.908c489dbef65p-13, -0x1.93142d4518e8ap-13, -0x1.958eb4f27711cp-13, -0x1.97fae0afc398ep-13, -0x1.9a58508cdb379p-13, -0x1.9ca7ec71653f9p-13, -0x1.9eeac8252745cp-13, -0x1.a120cde44b4ecp-13, -0x1.a34950f1b4a53p-13, -0x1.a5646bccaad8ep-13, -0x1.a772d1cfa09a8p-13, -0x1.a974c53378bb5p-13, -0x1.ab69fc9810034p-13, -0x1.ad522457b3c7bp-13, -0x1.af2d1df4e482dp-13, -0x1.b0fafb2afea09p-13, -0x1.b2bbe78e31f41p-13, -0x1.b47011683b534p-13, -0x1.b6179faba6dep-13, -0x1.b7b160014fd16p-13, -0x1.b9422bdc56a44p-13, -0x1.bac3c9462518ep-13, -0x1.bc39d2d23e95ep-13, -0x1.bda39feabad89p-13, -0x1.bf011a801d848p-13, -0x1.c052a9aad797ep-13, -0x1.c198a101ed09p-13, -0x1.c2d37986cf658p-13, -0x1.c401940b2cc9fp-13, -0x1.c52603daf511ap-13, -0x1.c63c94d565919p-13, -0x1.c74810c361152p-13, -0x1.c848469315ac1p-13, -0x1.c93d2a1b7f914p-13, -0x1.ca26bec14081p-13, -0x1.cb0560c40300fp-13, -0x1.cbd945fe09d82p-13, -0x1.cca25ae775e06p-13, -0x1.cd6093232891cp-13, -0x1.ce140563a5241p-13, -0x1.cebcd6e60d509p-13, -0x1.cf5b025977208p-13, -0x1.cfee0b7128f9dp-13, -0x1.d07a326f3f87fp-13, -0x1.d0f890e5d2861p-13, -0x1.d16d6bf6e5767p-13, -0x1.d1d9361c1e207p-13, -0x1.d23b01380fe7ap-13, -0x1.d293108b2f71bp-13, -0x1.d2e17ec7a684ap-13, -0x1.d32665dc99cbbp-13, -0x1.d361e4ac37cd1p-13, -0x1.d3942abb90ca6p-13, -0x1.d3bd3a2b8159ep-13, -0x1.d3dcdfe0296c7p-13, -0x1.d3f43ed5babcfp-13, -0x1.d4027630f1613p-13, -0x1.d407ea440cecbp-13, -0x1.d404cff51daf3p-13, -0x1.d3f92b7ecfca4p-13, -0x1.d3e5159c4b645p-13, -0x1.d3c8cde8d5e4bp-13, -0x1.d3a412bb5ab3fp-13, -0x1.d37750c68fe2cp-13, -0x1.d342bd9852e37p-13, -0x1.d3064acb443a4p-13, -0x1.d2c1f6e309608p-13, -0x1.d275df03a4914p-13, -0x1.d2223ebbbc982p-13, -0x1.d1c74b15c6d0cp-13, -0x1.d1651af0ba254p-13, -0x1.d0fbafe3f222dp-13, -0x1.d08b10dc91ff6p-13, -0x1.d0135ccaa0967p-13, -0x1.cf94c4cba73dep-13, -0x1.cf0f6e2ae2ab4p-13, -0x1.ce83638c77786p-13, -0x1.cdf0b731412eep-13, -0x1.cd57966eaf27bp-13, -0x1.ccb7c4a355c4cp-13, -0x1.cc11d4f925e1cp-13, -0x1.cb65cf07db03p-13, -0x1.cab3d715d2e3cp-13, -0x1.c9fbb4649f302p-13, -0x1.c93d9ee74fb8bp-13, -0x1.c879cdf14e239p-13, -0x1.c7b08e7fbced7p-13, -0x1.c6e2114d1f8fap-13, -0x1.c60b7da696ba6p-13, -0x1.c530b868a47e7p-13, -0x1.c4539b6a3b2d4p-13, -0x1.c36daebd3feb7p-13, -0x1.c2832ab3e26dfp-13, -0x1.c19468ebd0387p-13, -0x1.c0a08f664a7dp-13, -0x1.bfa7daef9fb9cp-13, -0x1.beaa66359db6bp-13, -0x1.bda8455d74975p-13, -0x1.bca18616a3d3ap-13, -0x1.bb96334187d7bp-13, -0x1.ba8664885ea59p-13, -0x1.b97244fc458b7p-13, -0x1.b859fc9f16461p-13, -0x1.b73d99bdfa769p-13, -0x1.b61d1c82f682ap-13, -0x1.b4f891ce78b6fp-13, -0x1.b3d00db6e4c99p-13, -0x1.b2a3a4b2f7c0cp-13, -0x1.b17384b556ed5p-13, -0x1.b03fd37206754p-13, -0x1.af0886c30bc2ap-13, -0x1.adcde26131e75p-13, -0x1.ac8ee6e2bd474p-13, -0x1.ab4e50835e541p-13, -0x1.aa08f88c9257ap-13, -0x1.a8c0dbe11967bp-13, -0x1.a775a9fe0e1d8p-13, -0x1.a6278440a56eep-13, -0x1.a4d640aadb8bp-13, -0x1.a38216ad47c38p-13, -0x1.a22b05c44eaa9p-13, -0x1.a0d12dcfec35p-13, -0x1.9f74ce8e5088bp-13, -0x1.9e15b6ea065d5p-13, -0x1.9cb411834b02p-13, -0x1.9b4ffd5ca71bbp-13, -0x1.99e97ec7d9b7bp-13, -0x1.98809bdc79c07p-13, -0x1.971565e3a70efp-13, -0x1.95a7f6465c0dep-13, -0x1.943860d23fddep-13, -0x1.92c6b6163e719p-13, -0x1.9152fbc189708p-13, -0x1.8fddd5f2096f9p-13, -0x1.8e65f155007bap-13, -0x1.8cec6373d0758p-13, -0x1.8b7134c4c4d24p-13, -0x1.89f39dbca6788p-13, -0x1.88771b5590419p-13, -0x1.86f576dc31f23p-13, -0x1.85737c01e6325p-13, -0x1.83f05e828dbfap-13, -0x1.826b80ff2b5fdp-13, -0x1.80e5b01ae97b1p-13, -0x1.7f5e1db93e0b8p-13, -0x1.7dd510af5afe2p-13, -0x1.7c49cc025fac8p-13, -0x1.7abfcfc9f1a05p-13, -0x1.79336c61bde6p-13, -0x1.77a60b5865e2cp-13, -0x1.7617a200ed7a9p-13, -0x1.748839d30e353p-13, -0x1.72f7da8447ae5p-13, -0x1.71669565a376dp-13, -0x1.6fd47e85275b3p-13, -0x1.6e41a0e91822ep-13, -0x1.6cae03506dc4ap-13, -0x1.6b19b3da4e441p-13, -0x1.6984b87f99429p-13, -0x1.67ef203fc629ep-13, -0x1.6658f62e43594p-13, -0x1.64c244b3420cap-13, -0x1.632b16e7ca957p-13, -0x1.619376ec6aa0ap-13, -0x1.5ffb6d46e61a5p-13, -0x1.5e6308d975a38p-13, -0x1.5cca5237fe72dp-13, -0x1.5b314f9b5826ep-13, -0x1.59980ba324a07p-13, -0x1.57fe8f3afb87dp-13, -0x1.5664e340ec5a1p-13, -0x1.54cb139879239p-13, -0x1.533134a4571e3p-13, -0x1.5197784c8cf5p-13, -0x1.4ffd50311ed91p-13, -0x1.4e638096d9894p-13, -0x1.4cc97dcb0b557p-13, -0x1.4b2fbba7bd9fap-13, -0x1.499609cf97183p-13, -0x1.47fc6855fc83cp-13, -0x1.4662f43b329ap-13, -0x1.44c9b0c21e165p-13, -0x1.43309e83427a7p-13, -0x1.4197d2eda5e71p-13, -0x1.3fff5bfe8c711p-13, -0x1.3e66e06abc0d3p-13, -0x1.3cd037e13637p-13, -0x1.3b38d99b28749p-13, -0x1.39a0bd39a07e7p-13, -0x1.380a388267707p-13, -0x1.36740c15f5a7bp-13, -0x1.34de5281d29e5p-13, -0x1.3348f68792bf2p-13, -0x1.31b42e931f04cp-13, -0x1.302024f1d4495p-13, -0x1.2e8cde99ee423p-13, -0x1.2cf9efaa134edp-13, -0x1.2b67ac7228a02p-13, -0x1.29d5f111ff304p-13, -0x1.2846329e31b3cp-13, -0x1.26b49b356f238p-13, -0x1.2525018afd2fbp-13, -0x1.239651fb0550dp-13, -0x1.2207ebf588d41p-13, -0x1.207aed6de90afp-13, -0x1.1eee645f0517ep-13, -0x1.1d62ba1f039p-13, -0x1.1bd7f3f047575p-13, -0x1.1a4ddcd6c1b7dp-13, -0x1.18c4c506038ffp-13, -0x1.173c896abc11dp-13, -0x1.15b5297174445p-13, -0x1.142ef1ac2f528p-13, -0x1.12a8b8f1c851ep-13, -0x1.1124e71b90d4ep-13, -0x1.0fa17c4271f0dp-13, -0x1.0e1ec1e4121adp-13, -0x1.0c9d4c1e42aedp-13, -0x1.0b1cd1b6b07e4p-13, -0x1.099d60ddcd7d3p-13, -0x1.081f00b97816ep-13, -0x1.06a1b616c52ecp-13, -0x1.0525825687297p-13, -0x1.03aa60f3fe236p-13, -0x1.02304b6bf22c8p-13, -0x1.00b7484463ad1p-13, -0x1.fe7edc61617a5p-14, -0x1.fb91941869a5bp-14, -0x1.f8a6a33e6e073p-14, -0x1.f5bdf5891efc4p-14, -0x1.f2d774b0fcb26p-14, -0x1.eff3482f93e94p-14, -0x1.ed1192ed545bbp-14, -0x1.ea321d18f26eap-14, -0x1.e754d8385ad04p-14, -0x1.e47d78f1d38f9p-14, -0x1.e1a2afe639287p-14, -0x1.decdf9b09d265p-14, -0x1.dbfb15831bf74p-14, -0x1.d92ac755a7ed5p-14, -0x1.d65cfe2af74dbp-14, -0x1.d391c511abe29p-14, -0x1.d0c920b65b82fp-14, -0x1.ce030500f27a7p-14, -0x1.cb3f8a6165d95p-14, -0x1.c87f0b1ae41a4p-14, -0x1.c5c0a7aa5959ap-14, -0x1.c30449083e471p-14, -0x1.c04c5e2ebd8c6p-14, -0x1.bd95ec8b8c259p-14, -0x1.bae29bda523bap-14, -0x1.b831d91e0422bp-14, -0x1.b583de8e5861p-14, -0x1.b2d89d8558107p-14, -0x1.b02fb8e90e33fp-14, -0x1.ad8996a200806p-14, -0x1.aae65a70a34a6p-14, -0x1.a846203af7eebp-14, -0x1.a5a8cf8509e8ap-14, -0x1.a30e0eeff9ea8p-14, -0x1.a075dcf6696c6p-14, -0x1.9de0bb977f16bp-14, -0x1.9b4e38e9b9495p-14, -0x1.98be411b82108p-14, -0x1.96316ccec183dp-14, -0x1.93a79df5e62d6p-14, -0x1.91209fdf22225p-14, -0x1.8e9c5ed6cb83cp-14, -0x1.8c1acfe9245f2p-14, -0x1.899bfcf8513afp-14, -0x1.87200fe56352bp-14, -0x1.84a75c8138ca2p-14, -0x1.82312b595fc37p-14, -0x1.7fbdd8ecfb931p-14, -0x1.7d4d50e8fb3c9p-14, -0x1.7adf98d8dc706p-14, -0x1.7874c668b2c84p-14, -0x1.760cd8f78cd0ap-14, -0x1.73a7c5997f11cp-14, -0x1.7145a11857aadp-14, -0x1.6ee6551d87586p-14, -0x1.6c89926fcacf6p-14, -0x1.6a31c2530ac9p-14, -0x1.67dbb4a62cb22p-14, -0x1.658569c109b3fp-14, -0x1.6335154a80d91p-14, -0x1.60e71e6e9aaa1p-14, -0x1.5e9bf3cd2aeadp-14, -0x1.5c537c3a33e8ap-14, -0x1.5a0d6b2815ab1p-14, -0x1.57cb7abdec5e7p-14, -0x1.558ce2b75cab7p-14, -0x1.5351269c0d1f6p-14, -0x1.51154e6ccbdfap-14, -0x1.4ede4d3f2c57ap-14, -0x1.4ca9ddda45deap-14, -0x1.4a788f338c77bp-14, -0x1.484a086ed5db9p-14, -0x1.461dfc3b40cc1p-14, -0x1.43f5fa54c7ccp-14, -0x1.41cfec6eaa3efp-14, -0x1.3fac7d65a3946p-14, -0x1.3d8c528129b91p-14, -0x1.3b6eee972fd3dp-14, -0x1.395442d03d813p-14, -0x1.373c614065634p-14, -0x1.3527a11b0ee2p-14, -0x1.33155a0beff9ep-14, -0x1.31062234fec1dp-14, -0x1.2ef9a3c7db4b2p-14, -0x1.2ceffe7cb637fp-14, -0x1.2ae92b4aa26fap-14, -0x1.28e52345d106fp-14, -0x1.26e3daa91c9dcp-14, -0x1.24e51c615838dp-14, -0x1.22e9609f2fbd6p-14, -0x1.20f06a7522ecdp-14, -0x1.1efa3bb76c532p-14, -0x1.1d06a91290888p-14, -0x1.1b15cc6e3a5eep-14, -0x1.1927992ddf77ep-14, -0x1.173c4118227b8p-14, -0x1.1553d8892841ap-14, -0x1.136e52ef0e85bp-14, -0x1.118ac7ca45047p-14, -0x1.0faa67d5d7525p-14, -0x1.0dcd79e71a7d2p-14, -0x1.0bf181e7c92a6p-14, -0x1.0a18fe7b88372p-14, -0x1.0843cd766a23dp-14, -0x1.0672a1c78d2b3p-14, -0x1.04a025fe23e3fp-14, -0x1.02d2bffe139b4p-14, -0x1.01082c03e69c3p-14, -0x1.fe7f19b086dcbp-15, -0x1.faf388eab6aabp-15, -0x1.f76dbd07f643dp-15, -0x1.f3eca74ac8ce9p-15, -0x1.f0712f6dc9e03p-15, -0x1.ecfa67c6b962fp-15, -0x1.e986e43dfae46p-15, -0x1.e61cabde5bf99p-15, -0x1.e2b5e8a839e8ep-15, -0x1.df543bb720ed6p-15, -0x1.dbf790e96ad54p-15, -0x1.d89fc6322d9d4p-15, -0x1.d54dba700644ap-15, -0x1.d1ffb236c043p-15, -0x1.ceb78c4d54eeap-15, -0x1.cb742173b5eb1p-15, -0x1.c835815482556p-15, -0x1.c4fc00baaa442p-15, -0x1.c1c7a63e36ac7p-15, -0x1.be984a0fb66ebp-15, -0x1.bb6dd2f72361fp-15, -0x1.b8486c204fa76p-15, -0x1.b5277b7a15ca7p-15, -0x1.b20d1d85f9badp-15, -0x1.aef46faa05351p-15, -0x1.abe2879fcff94p-15, -0x1.a8d53e129421dp-15, -0x1.a5ccd8858cc69p-15, -0x1.a2c8ee60942e1p-15, -0x1.9fc9f32379202p-15, -0x1.9ccf9734c2ac5p-15, -0x1.99d9c49360553p-15, -0x1.96e8840be7898p-15, -0x1.93fcb61e39fb9p-15, -0x1.9114699cf931bp-15, -0x1.8e31778452b4bp-15, -0x1.8b5317c18c311p-15, -0x1.8879fa6c17de4p-15, -0x1.85a489549ea69p-15, -0x1.82d5a89fe4644p-15, -0x1.80070b376e7f3p-15, -0x1.7d4378369fa6dp-15, -0x1.7a7d0ac4110e9p-15, -0x1.77be68fe2e8dp-15, -0x1.7505331ec22ecp-15, -0x1.724fe87012862p-15, -0x1.6f9e6fc838e75p-15, -0x1.6cf23972040dp-15, -0x1.6a48ec1c98654p-15, -0x1.67a4d93f63635p-15, -0x1.6504aea19596p-15, -0x1.626a0e64aba82p-15, -0x1.5fd30264e64eap-15, -0x1.5d400ee482159p-15, -0x1.5ab22c67972e8p-15, -0x1.58242e852d2cp-15, -0x1.55a116b3c6d4cp-15, -0x1.531f39273a66ap-15, -0x1.50a177129e51bp-15, -0x1.4e2848b8832eep-15, -0x1.4bb362af7c5efp-15, -0x1.494191ff8214cp-15, -0x1.46d50c1df09e9p-15, -0x1.446b5fde81961p-15, -0x1.420624a344252p-15, -0x1.3fa571a705fb6p-15, -0x1.3d48d0e50326p-15, -0x1.3aef269f27ea2p-15, -0x1.389ac79caae16p-15, -0x1.36491485f1315p-15, -0x1.33fccc4500357p-15, -0x1.31b4ff7f1facbp-15, -0x1.2f6dc6ee81d0fp-15, -0x1.2d2c48aa14aa8p-15, -0x1.2aee862e04facp-15, -0x1.28b531dea16c7p-15, -0x1.267f75516721p-15, -0x1.244c47c891ad7p-15, -0x1.222127a319f9p-15, -0x1.1ff3209baa56bp-15, -0x1.1dcc567dfeb41p-15, -0x1.1ba924c9bc978p-15, -0x1.198999c5d2d17p-15, -0x1.176dac7b4c0a1p-15, -0x1.1554b5d0a5b09p-15, -0x1.1343d38e10f58p-15, -0x1.112f75d8f223dp-15, -0x1.0f2269fc857a5p-15, -0x1.0d1a0e53fea44p-15, -0x1.0b12a1fd322e1p-15, -0x1.090fd09c88938p-15, -0x1.0710b5488409cp-15, -0x1.0514dfd85b894p-15, -0x1.031c6d1bab31p-15, -0x1.01282c98a1581p-15, -0x1.fe6dbf1f00beep-16, -0x1.fa91f6f9f5bafp-16, -0x1.f6c2ddab6675ep-16, -0x1.f2ed26227107p-16, -0x1.ef289e48a640bp-16, -0x1.eb6577776f17cp-16, -0x1.e7ab3eb64bfd2p-16, -0x1.e3f6ffe60050cp-16, -0x1.e04ba912435ffp-16, -0x1.dca442d334bdap-16, -0x1.d9044aada429cp-16, -0x1.d56abe9786208p-16, -0x1.d1d7c9d0112b7p-16, -0x1.ce4b3e1170f9bp-16, -0x1.cac5183b5d8ep-16, -0x1.c74546d92de97p-16, -0x1.c3cb8eea337b1p-16, -0x1.c057ca64b4935p-16, -0x1.bcea7f51b6a39p-16, -0x1.b983d887d4011p-16, -0x1.b623ce6d5ee03p-16, -0x1.b2c7ac933cf1p-16, -0x1.af71b90a2b00dp-16, -0x1.ac2373c45dd8p-16, -0x1.a8d9f2191a5c1p-16, -0x1.a596e9bca91a8p-16, -0x1.a259ce890b9d5p-16, -0x1.9f221dccf0947p-16, -0x1.9bf03ed7f475fp-16, -0x1.98ca58b46cd49p-16, -0x1.959cda2acd354p-16, -0x1.927d18e6e45e4p-16, -0x1.8f6aca8f1babep-16, -0x1.8c4cd3904ee3p-16, -0x1.894198bf04654p-16, -0x1.86365092444fbp-16, -0x1.833836e5f76ffp-16, -0x1.80339766f6eefp-16, -0x1.7d3ad124077c5p-16, -0x1.7a46f74a457e7p-16, -0x1.7758a7b511566p-16, -0x1.746f231731272p-16, -0x1.718d662f6edd1p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.da92ba6a71236p-1, 0x1.da5a9860c8242p-1, 0x1.d9fdf130aa57bp-1, 0x1.d97d671ab8b1ep-1, 0x1.d8d9005875249p-1, 0x1.d80feb35f194ap-1, 0x1.d72079bb12876p-1, 0x1.d60845f69a3b2p-1, 0x1.d4c46e0429743p-1, 0x1.d351d97045eacp-1, 0x1.d1ad7d734b0f5p-1, 0x1.cfd4992becd09p-1, 0x1.cdc4e60baafd7p-1, 0x1.cb7cbaf420d09p-1, 0x1.c8fb222303a5dp-1, 0x1.c63fe317c1114p-1, 0x1.c34b823714ad8p-1, 0x1.c01f383365ce6p-1, 0x1.bcbce3457fbb6p-1, 0x1.b926f41d9ec82p-1, 0x1.b56058399099ap-1, 0x1.b16c630676c8bp-1, 0x1.ad4eb6ec82573p-1, 0x1.a90b2f1ea30b9p-1, 0x1.a4a5cacb04dccp-1, 0x1.a0229a15188f1p-1, 0x1.9b85ad171dba2p-1, 0x1.96d305075a21bp-1, 0x1.920e878377427p-1, 0x1.8d3bf3f1c7b91p-1, 0x1.885edadb4c25p-1, 0x1.837a971907878p-1, 0x1.7e9248aa8f33dp-1, 0x1.79a8d109d7232p-1, 0x1.74c0d0d0444b3p-1, 0x1.6fdca6827c807p-1, 0x1.6afe6e5abc484p-1, 0x1.662802ec4d9a2p-1, 0x1.615afe7de07d3p-1, 0x1.5c98bcfbad45dp-1, 0x1.57e25e656f757p-1, 0x1.5338c99f45147p-1, 0x1.4e9caf8f512dfp-1, 0x1.4a0e8e749553cp-1, 0x1.458eb565d8151p-1, 0x1.411d47e99e67bp-1, 0x1.3cba419a2e56ep-1, 0x1.386579ca59968p-1, 0x1.341ea7216ae99p-1, 0x1.2fe56325fc94bp-1, 0x1.2bb92db0d1611p-1, 0x1.27997041efba4p-1, 0x1.238581334f1bcp-1, 0x1.1f7ca6c5590ap-1, 0x1.1b7e1a02592b8p-1, 0x1.17890976b884cp-1, 0x1.139c9bbc9499p-1, 0x1.0fb7f1d9d3054p-1, 0x1.0bda29706545ep-1, 0x1.08025ec0e2b34p-1, 0x1.042fae8007337p-1, 0x1.0061378003e7fp-1, 0x1.f92c385da7729p-2, 0x1.f19b07d61dbb7p-2, 0x1.ea0d3861ce2abp-2, 0x1.e281334244345p-2, 0x1.daf571c8109a1p-2, 0x1.d3687ed4ac244p-2, 0x1.cbd8f81c9e7b2p-2, 0x1.c4458f2e2a861p-2, 0x1.bcad0a40e00e9p-2, 0x1.b50e44d24ec65p-2, 0x1.ad683014207a3p-2, 0x1.a5b9d32fb2816p-2, 0x1.9e024b6335bf6p-2, 0x1.9640cbfc2e63p-2, 0x1.8e749e3307292p-2, 0x1.869d20eb3957ep-2, 0x1.7eb9c85b5c765p-2, 0x1.76ca1da043ebbp-2, 0x1.6ecdbe3e0cf3ep-2, 0x1.66c45b91dc98fp-2, 0x1.5eadba36d203p-2, 0x1.5689b160775fep-2, 0x1.4e582a2cd5d2cp-2, 0x1.46191ef0165d2p-2, 0x1.3dcc9a7b6db72p-2, 0x1.3572b760e1fe3p-2, 0x1.2d0b9f3556634p-2, 0x1.249789d20ef22p-2, 0x1.1c16bc96c8901p-2, 0x1.138989ad59b8ep-2, 0x1.0af04f4fa79c9p-2, 0x1.024b7710a37dap-2, 0x1.f336ea51d39e3p-3, 0x1.e1c18f8eebb78p-3, 0x1.d037eccdb980ap-3, 0x1.be9b224e9c59cp-3, 0x1.acec605b47de1p-3, 0x1.9b2ce60f4a6dap-3, 0x1.895e002b2ff26p-3, 0x1.778107f271424p-3, 0x1.65976214185dfp-3, 0x1.53a27d9e28808p-3, 0x1.41a3d2fb9b618p-3, 0x1.2f9ce2fccdd68p-3, 0x1.1d8f35ea1f23p-3, 0x1.0b7c5aa089c9bp-3, 0x1.f2cbcb6fbd946p-4, 0x1.ce9ae164c9b0bp-4, 0x1.aa69326afe5f6p-4, 0x1.863a00960aed7p-4, 0x1.62109355fe0bcp-4, 0x1.3df0361ac1744p-4, 0x1.19dc3706fae99p-4, 0x1.ebafcb634e163p-5, 0x1.a3cd23eb84ee1p-5, 0x1.5c17159ed32c4p-5, 0x1.14943a8b97f7bp-5, 0x1.9a964d85a9f6ep-6, 0x1.0c84ccb819p-6, 0x1.fc03dc7ca71e9p-8, -0x1.bd08c66bbd042p-11, -0x1.3454320826e85p-7, -0x1.25b7cd3e28f32p-6, -0x1.b084d01dd60a3p-6, -0x1.1d42599b3bb42p-5, -0x1.61d597aafa98fp-5, -0x1.a5f613a31a255p-5, -0x1.e99dd5372be5ep-5, -0x1.16637dd50fd7ap-4, -0x1.37b5df7fe72c6p-4, -0x1.58c3388fdf6c9p-4, -0x1.7988bf74afbd1p-4, -0x1.9a03b89d26712p-4, -0x1.ba3176f362f6ep-4, -0x1.da0f5c5250bcdp-4, -0x1.f99ad9f4a049ep-4, -0x1.0c68b86e9a404p-3, -0x1.1bd8591c9e9ccp-3, -0x1.2b1b1fde0dc48p-3, -0x1.3a2fe5fa8452fp-3, -0x1.49158d4f658b2p-3, -0x1.57cb0074aefefp-3, -0x1.664f32dee08b1p-3, -0x1.74a120fdf361p-3, -0x1.82bfd059834e5p-3, -0x1.90aa4faa14432p-3, -0x1.9e5fb6ef990a6p-3, -0x1.abdf27853185dp-3, -0x1.b927cc32390f7p-3, -0x1.c638d938a33dfp-3, -0x1.d3118c60c16f1p-3, -0x1.dfb12d025bfc9p-3, -0x1.ec170c0b5a097p-3, -0x1.f8428403d053dp-3, -0x1.02197c87d5e88p-2, -0x1.07f3ec76f652bp-2, -0x1.0db04d7ac0a65p-2, -0x1.134e6007eb16cp-2, -0x1.18cde9589284ep-2, -0x1.1e2eb3674537fp-2, -0x1.23708ce8fc78ep-2, -0x1.289349460b36bp-2, -0x1.2d96c0920296ap-2, -0x1.327acf82a2dcep-2, -0x1.373f5765cfe31p-2, -0x1.3be43e169ab37p-2, -0x1.40696df16a66ep-2, -0x1.44ced5c741a13p-2, -0x1.491468d03559p-2, -0x1.4d3a1e9d1408bp-2, -0x1.513ff3084dffp-2, -0x1.5525e6261f40dp-2, -0x1.58ebfc34097ebp-2, -0x1.5c923d87a3d5bp-2, -0x1.6018b67ccb5b2p-2, -0x1.637f776339b99p-2, -0x1.66c6946b91b4ep-2, -0x1.69ee2593de0fcp-2, -0x1.6cf646939a22ep-2, -0x1.6fdf16c740a0fp-2, -0x1.72a8b91b6f09fp-2, -0x1.755353f7a62a8p-2, -0x1.77df1128aeaf8p-2, -0x1.7a4c1dcaa8d7bp-2, -0x1.7c9aaa32d556ep-2, -0x1.7ecae9d913e4ap-2, -0x1.80dd13412e56cp-2, -0x1.82d15fe3ea1ddp-2, -0x1.84a80c17f22d1p-2, -0x1.866156fa9b7fep-2, -0x1.87fd82588a654p-2, -0x1.897cd29645533p-2, -0x1.8adf8e98b6216p-2, -0x1.8c25ffada2792p-2, -0x1.8d5071742758dp-2, -0x1.8e5f31c532d51p-2, -0x1.8f52909c0f014p-2, -0x1.902adffef846fp-2, -0x1.90e873e7cf01ep-2, -0x1.918ba22ce06cp-2, -0x1.9214c269d63c4p-2, -0x1.92842de8c9e61p-2, -0x1.92da3f8b85252p-2, -0x1.931753b4f0b76p-2, -0x1.933bc832bb627p-2, -0x1.9347fc2737f29p-2, -0x1.933c4ff3785c1p-2, -0x1.93192521ac267p-2, -0x1.92dede4fc1413p-2, -0x1.928ddf1a515edp-2, -0x1.92268c07d770cp-2, -0x1.91a94a74352edp-2, -0x1.9116807c8d0f9p-2, -0x1.906e94eb6a198p-2, -0x1.8fb1ef2548e67p-2, -0x1.8ee0f7157041cp-2, -0x1.8dfc151b2d2bap-2, -0x1.8d03b1f766627p-2, -0x1.8bf836ba9664dp-2, -0x1.8ada0cb31ebbfp-2, -0x1.89a99d5c03f21p-2, -0x1.8867524c0b2c6p-2, -0x1.871395253b99fp-2, -0x1.85aecf84c900ep-2, -0x1.84396af365345p-2, -0x1.82b3d0d5f4f0cp-2, -0x1.811e6a5eb31bdp-2, -0x1.7f79a07eb8bb4p-2, -0x1.7dc5dbd7ee097p-2, -0x1.7c0384af682adp-2, -0x1.7a3302e02ceccp-2, -0x1.7854bdce60827p-2, -0x1.76691c5ade214p-2, -0x1.747084d739493p-2, -0x1.726b5cfa2435ap-2, -0x1.705a09d443d02p-2, -0x1.6e3cefc56698fp-2, -0x1.6c147272243b4p-2, -0x1.69e0f4b9e55d5p-2, -0x1.67a2d8ad4bc24p-2, -0x1.655a7f8503886p-2, -0x1.63084998f7cdp-2, -0x1.60ac9657e4fe2p-2, -0x1.5e47c43f53679p-2, -0x1.5bda30d3ebe94p-2, -0x1.5964389a2e50bp-2, -0x1.56e6370f87221p-2, -0x1.546086a3bdc81p-2, -0x1.51d380b2c0e24p-2, -0x1.4f3f7d7ecbdacp-2, -0x1.4ca4d42ae1cebp-2, -0x1.4a03dab5a5431p-2, -0x1.475ce5f47db21p-2, -0x1.44b0498f150e1p-2, -0x1.41fe57fb27f44p-2, -0x1.3f476278a1135p-2, -0x1.3c8bb90e0b371p-2, -0x1.39cbaa8548d0bp-2, -0x1.370784689b1a5p-2, -0x1.343f92fff38dep-2, -0x1.3174214e8ad95p-2, -0x1.2ea57910bff3cp-2, -0x1.2bd3e2ba3a7cap-2, -0x1.28ffa57451b73p-2, -0x1.2629071cb42c3p-2, -0x1.23504c444dcp-2, -0x1.2075b82e6c3c3p-2, -0x1.1d998cd0208a4p-2, -0x1.1abc0acfdade2p-2, -0x1.17dd71853c174p-2, -0x1.14fdfef922115p-2, -0x1.121defe5e7da5p-2, -0x1.0f3d7fb7d8ed2p-2, -0x1.0c5ce88dd5ae4p-2, -0x1.097c633a2a0b9p-2, -0x1.069c274392bbp-2, -0x1.03bc6ae66b5fap-2, -0x1.00dd63160e61ep-2, -0x1.fbfe86fcb6151p-3, -0x1.f6447d0ac2015p-3, -0x1.f08d0a9a74ca7p-3, -0x1.ead88f6c05ec8p-3, -0x1.e52768bfecac5p-3, -0x1.df79f15b63e64p-3, -0x1.d9d0818d26281p-3, -0x1.d42b6f3273ae1p-3, -0x1.ce8b0dbc48c11p-3, -0x1.c8efae34d3698p-3, -0x1.c3599f451fab9p-3, -0x1.bdc92d3af261dp-3, -0x1.b83ea20ed7fdap-3, -0x1.b2ba456a60236p-3, -0x1.ad3c5cae8704cp-3, -0x1.a7c52afa448cep-3, -0x1.a254f1314241p-3, -0x1.9cebee02b8b65p-3, -0x1.978a5df06a0e1p-3, -0x1.92307b55c082ep-3, -0x1.8cde7e6f0839fp-3, -0x1.87949d60bff38p-3, -0x1.82530c3f0c08ap-3, -0x1.7d19fd153a206p-3, -0x1.77e99fed54b94p-3, -0x1.72c222d7d9e24p-3, -0x1.6da3b1f36e6f9p-3, -0x1.688e7774b29b6p-3, -0x1.63829bae15c6p-3, -0x1.5e804517be711p-3, -0x1.598798577b067p-3, -0x1.5498b848b4616p-3, -0x1.4fb3c604702d5p-3, -0x1.4ad8e0e954256p-3, -0x1.460826a3a6b0ap-3, -0x1.4141b3355f538p-3, -0x1.3c85a0fe2ad0ap-3, -0x1.37d408c37490fp-3, -0x1.332d01b86e492p-3, -0x1.2e90a18612586p-3, -0x1.29fefc5322a1fp-3, -0x1.257824cc205dbp-3, -0x1.20fc2c2b4145p-3, -0x1.1c8b2240578d9p-3, -0x1.18251578b2db8p-3, -0x1.13ca12e6fa298p-3, -0x1.0f7a264af5db7p-3, -0x1.0b355a1951e78p-3, -0x1.06fbb78351eb1p-3, -0x1.02cd467e780eep-3, -0x1.fd541b9834a5fp-4, -0x1.f5242601dfe15p-4, -0x1.ed0ab51915017p-4, -0x1.e507cf817248cp-4, -0x1.dd1b79b1ccce9p-4, -0x1.d545b602bb007p-4, -0x1.cd8684bcf6adfp-4, -0x1.c5dde4279be49p-4, -0x1.be4bd09652afbp-4, -0x1.b6d0447730b7dp-4, -0x1.af6b38608cceap-4, -0x1.a81ca31e9bf24p-4, -0x1.a0e479c0eea5cp-4, -0x1.99c2afa7b0b73p-4, -0x1.92b73690d19fcp-4, -0x1.8bc1fea4f4c5bp-4, -0x1.84e2f684380c4p-4, -0x1.7e1a0b52cb6bap-4, -0x1.776728c55c05fp-4, -0x1.70ca392d53f68p-4, -0x1.6a432584e1a76p-4, -0x1.63d1d57ade14dp-4, -0x1.5d762f7e74ca2p-4, -0x1.573018caa7465p-4, -0x1.50ff75719d8ap-4, -0x1.4ae42867c4afp-4, -0x1.44de138ebeb3dp-4, -0x1.3eed17c02105dp-4, -0x1.391114d8070fep-4, -0x1.3349e9bf6e13p-4, -0x1.2d97747664d6dp-4, -0x1.27f9921e0d6fep-4, -0x1.22701f026470fp-4, -0x1.1cfaf6a3e627ep-4, -0x1.1799f3c0faae7p-4, -0x1.124cf05f343dap-4, -0x1.0d13c5d4604a4p-4, -0x1.07ee4ccf63271p-4, -0x1.02dc5d60ebe4dp-4, -0x1.fbbb9e07ee937p-5, -0x1.f1e4f14c4098bp-5, -0x1.e834615f8caabp-5, -0x1.dea99a1805327p-5, -0x1.d5444660ec14ap-5, -0x1.cc041049bb877p-5, -0x1.c2e8a11516433p-5, -0x1.b9f1a1473c339p-5, -0x1.b11eb8b43ec59p-5, -0x1.a86f8e8ddc313p-5, -0x1.9fe3c970f2f88p-5, -0x1.977b0f72b39a4p-5, -0x1.8f35062d6fc11p-5, -0x1.871152cd1cbeep-5, -0x1.7f0f9a1b84c13p-5, -0x1.772f808c1d99ap-5, -0x1.6f70aa479765p-5, -0x1.67d2bb3710123p-5, -0x1.6055570f0c811p-5, -0x1.58f8215a08c77p-5, -0x1.51babd82d4be4p-5, -0x1.4a9ccede929cdp-5, -0x1.439df8b672badp-5, -0x1.3cbdde51278b5p-5, -0x1.35fc22fc0d989p-5, -0x1.2f586a140a508p-5, -0x1.28d2570e25814p-5, -0x1.22698d7fe7056p-5, -0x1.1c1db1275e968p-5, -0x1.15ee65f2fa03cp-5, -0x1.0fdb500909c7ap-5, -0x1.09e413cf161e3p-5, -0x1.040855f0e003ap-5, -0x1.fc8f76ce6b089p-6, -0x1.f143d2fd0881cp-6, -0x1.e62d0bba4b285p-6, -0x1.db4a6d12f5be8p-6, -0x1.d09b43df8df7cp-6, -0x1.c61eddcfb9844p-6, -0x1.bbd489750c429p-6, -0x1.b1bb964d67f75p-6, -0x1.a7d354cd1876ap-6, -0x1.9e1b166852e1cp-6, -0x1.94922d9c758f4p-6, -0x1.8b37edf8c895dp-6, -0x1.820bac26ed69fp-6, -0x1.790cbdf2e4ee6p-6, -0x1.703a7a52b02f7p-6, -0x1.6794396da7efdp-6, -0x1.5f1954a365ba8p-6, -0x1.56c92692571bp-6, -0x1.4ea30b1e1451dp-6, -0x1.46a65f7534d96p-6, -0x1.3ed28216fa672p-6, -0x1.3726d2d891aabp-6, -0x1.2fa2b2ea17f0fp-6, -0x1.284584db3955ep-6, -0x1.210eac9fa8f6ap-6, -0x1.19fd8f9327d8ap-6, -0x1.1311947d624bfp-6, -0x1.0c4a23957dc95p-6, -0x1.05a6a68563f6cp-6, -0x1.fe4d10d983596p-7, -0x1.f1926bc7b8ec2p-7, -0x1.e51c39fc25d72p-7, -0x1.d8e95a985d3a4p-7, -0x1.ccf8afbce7abbp-7, -0x1.c1491e8cf6621p-7, -0x1.b5d98f31b3d9cp-7, -0x1.aaa8ecdcf9aafp-7, -0x1.9fb625cbe8d1bp-7, -0x1.95002b48c6c76p-7, -0x1.8a85f1acbfdf1p-7, -0x1.804670612af76p-7, -0x1.7640a1e05dfe7p-7, -0x1.6c7383b6529b2p-7, -0x1.62de1680c0eafp-7, -0x1.597f5def1b48bp-7, -0x1.505660c223571p-7, -0x1.476228cb1438bp-7, -0x1.3ea1c2ea97dd7p-7, -0x1.36143f0f9ec2p-7, -0x1.2db8b0357fe1ap-7, -0x1.258e2c6255983p-7, -0x1.1d93cca4c411fp-7, -0x1.15c8ad118a3fdp-7, -0x1.0e2becc0fd438p-7, -0x1.06bcadcc15192p-7, -0x1.fef42a92d4f2dp-8, -0x1.f0c69693df8c6p-8, -0x1.e2eef5aab3346p-8, -0x1.d56ba3cd1ba45p-8, -0x1.c83b02cf66556p-8, -0x1.bb5b7a5c34e3bp-8, -0x1.aecb77ec1b5fbp-8, -0x1.a2896ebce3fc3p-8, -0x1.9693d7c846002p-8, -0x1.8ae931ba9687p-8, -0x1.7f8800e92cb16p-8, -0x1.746ecf482c6e7p-8, -0x1.699c2c60835f4p-8, -0x1.5f0ead454c0afp-8, -0x1.54c4ec89121cbp-8, -0x1.4abd8a3309ae9p-8, -0x1.40f72bb3c5f28p-8, -0x1.37707bd9b476cp-8, -0x1.2e282ac62be9p-8, -0x1.251cede0ee87cp-8, -0x1.1c4d7fcce78cep-8, -0x1.13b8a05be289dp-8, -0x1.0b5d1482430c7p-8, -0x1.0339a64afeb13p-8, -0x1.f69a4995e0963p-9, -0x1.e72cc829052bap-9, -0x1.d8287a55a707ap-9, -0x1.c98b1bea146e1p-9, -0x1.bb5272634d008p-9, -0x1.ad7c4cd2ec07ap-9, -0x1.a00683c4db91dp-9, -0x1.92eef92612f7ep-9, -0x1.863398299e48ap-9, -0x1.79d2552ee8d62p-9, -0x1.6dc92da6cc824p-9, -0x1.621627f9d2ba8p-9, -0x1.56b7536cf3d41p-9, -0x1.4baac807c693ep-9, -0x1.40eea6797b375p-9, -0x1.368117fe807f7p-9, -0x1.2c604e45d9ecap-9, -0x1.228a8356ac04cp-9, -0x1.18fdf975ae245p-9, -0x1.0fb8fb0a7336ep-9, -0x1.06b9da8568451p-9, -0x1.fbfde489d3e4ep-10, -0x1.eb0d48f6fb2ecp-10, -0x1.da9eb629856fbp-10, -0x1.caaf0f37fc9bap-10, -0x1.bb3b4643b494ap-10, -0x1.ac405c43d3f46p-10, -0x1.9dbb60d29569ep-10, -0x1.8fa971f94ef77p-10, -0x1.8207bbfd1910bp-10, -0x1.74d3792ba502fp-10, -0x1.6809f1a89b98dp-10, -0x1.5ba87b3aa2cc2p-10, -0x1.4fac791a12afdp-10, -0x1.44135bbdaa10fp-10, -0x1.38daa0a9ea02fp-10, -0x1.2dffd23fcf4a4p-10, -0x1.2380878aaf1a2p-10, -0x1.195a641144199p-10, -0x1.0f8b17a404b98p-10, -0x1.06105e2ded1f6p-10, -0x1.f9cfff09ad55dp-11, -0x1.e81f9e73d12f6p-11, -0x1.d70b58d6a624fp-11, -0x1.c68f032b85654p-11, -0x1.b6a688cc29629p-11, -0x1.a74deb18917bfp-11, -0x1.9881411bcfc78p-11, -0x1.8a3cb73281cd9p-11, -0x1.7c7c8eb213407p-11, -0x1.6f3d1d91e66aap-11, -0x1.627ace135ace8p-11, -0x1.56321e6b7628ep-11, -0x1.4a5fa06e8cd5p-11, -0x1.3efff93ac982fp-11, -0x1.340fe0e66d37p-11, -0x1.298c222a348cp-11, -0x1.1f719a1394a9ep-11, -0x1.15bd37b047115p-11, -0x1.0c6bfbc058dc2p-11, -0x1.037af86723e4fp-11, -0x1.f5cea1b87718cp-12, -0x1.e55c723da6bfbp-12, -0x1.d599eb5317f77p-12, -0x1.c681b64d6108fp-12, -0x1.b80e9c4c43895p-12, -0x1.aa3b85a724b68p-12, -0x1.9d03795b2bd18p-12, -0x1.90619c7e3c5c6p-12, -0x1.845131aca6913p-12, -0x1.78cd9882518afp-12, -0x1.6dd24d0d81b99p-12, -0x1.635ae7483087ap-12, -0x1.59631a8f9a6f1p-12, -0x1.4fe6b522db72fp-12, -0x1.46e19f9cf49bbp-12, -0x1.3e4fdc756c8dcp-12, -0x1.362d87806a5ep-12, -0x1.2e76d571e1d42p-12, -0x1.27281360b877fp-12, -0x1.203da64d840ecp-12, -0x1.19b40aaa25526p-12, -0x1.1387d3e294008p-12, -0x1.0db5abea08416p-12, -0x1.083a52c4d8fc3p-12, -0x1.03129e1a6f927p-12, -0x1.fc76f18459a52p-13, -0x1.f363c4b0d5f3ep-13, -0x1.eae5dd9f1eb7bp-13, -0x1.e2f78c0efaf98p-13, -0x1.db9346c51f3edp-13, -0x1.d4b3aabf8b784p-13, -0x1.ce537a6792dcfp-13, -0x1.c86d9ccb13f12p-13, -0x1.c2fd1cd5039cbp-13, -0x1.bdfd288dea151p-13, -0x1.b969105a1bb6fp-13, -0x1.b53c463fd6309p-13, -0x1.b1725d2cc6597p-13, -0x1.ae070841ab7e6p-13, -0x1.aaf61a1d3d85dp-13, -0x1.a83b843057945p-13, -0x1.a5d3560b240e5p-13, -0x1.a3b9bcb9069f4p-13, -0x1.a1eb02145478ap-13, -0x1.a0638c2559af1p-13, -0x1.9f1fdc800e9e8p-13, -0x1.9e1c8fa42e31cp-13, -0x1.9d565c621524fp-13, -0x1.9cca13423a027p-13, -0x1.9c749ded328a7p-13, -0x1.9c52fe98ea902p-13, -0x1.9c624f76954a8p-13, -0x1.9c9fc224a992p-13, -0x1.9d089f21c935p-13, -0x1.9d9a4544d28ddp-13, -0x1.9e522933f331ap-13, -0x1.9f2dd4e0cf42ep-13, -0x1.a02ae7074a80bp-13, -0x1.a14712acc4a18p-13, -0x1.a2801ea25349cp-13, -0x1.a3d3e50b72201p-13, -0x1.a54052e2e21b6p-13, -0x1.a6c367869976bp-13, -0x1.a85b3441eafabp-13, -0x1.aa05dbdc3aceep-13, -0x1.abc192297a288p-13, -0x1.ad8c9b9cbae6ap-13, -0x1.af654cdb36793p-13, -0x1.b14a0a5512c19p-13, -0x1.b33947dcdf16ap-13, -0x1.b5318841d8da2p-13, -0x1.b7315cee6637cp-13, -0x1.b9376584e50c7p-13, -0x1.bb424f8208f0ep-13, -0x1.bd50d5ddf6cf1p-13, -0x1.bf61c0b252e14p-13, -0x1.c173e4df57e4ap-13, -0x1.c38623b4b3de8p-13, -0x1.c5976a9bae8bap-13, -0x1.c7a6b2c24eb66p-13, -0x1.c9b300ca19e38p-13, -0x1.cbbb647639128p-13, -0x1.cdbef85c71ab8p-13, -0x1.cfbce198a524ep-13, -0x1.d1b44f80999e2p-13, -0x1.d3a47b59eb855p-13, -0x1.d58ca811dad1bp-13, -0x1.d76c21f693714p-13, -0x1.d9423e700b6e5p-13, -0x1.db0e5bbeeab75p-13, -0x1.dccfe0b7c5a5cp-13, -0x1.de863c83177edp-13, -0x1.e030e65e4141cp-13, -0x1.e1cf5d5cf8279p-13, -0x1.e361282c926a8p-13, -0x1.e4e5d4d85dc43p-13, -0x1.e65cf8907ca33p-13, -0x1.e7c62f7079845p-13, -0x1.e9211c48b5af2p-13, -0x1.ea6d686736b72p-13, -0x1.ebaac36401b7ap-13, -0x1.ecd8e2ec89ab6p-13, -0x1.edf78291c0689p-13, -0x1.ef066396a9502p-13, -0x1.f0054cc05e302p-13, -0x1.f0f40a26ee1e8p-13, -0x1.f1d26d0877636p-13, -0x1.f2a04b9b1e738p-13, -0x1.f35d80e22041bp-13, -0x1.f409ec831c679p-13, -0x1.f4a5729c84f19p-13, -0x1.f52ffb9d44e9fp-13, -0x1.f5a9741d614aap-13, -0x1.f611ccb6dac8cp-13, -0x1.f668f9e00820cp-13, -0x1.f6aef3c80b03ep-13, -0x1.f6e3b631b6e71p-13, -0x1.f7074051cb008p-13, -0x1.f71994ac923ebp-13, -0x1.f71ab8f4c7827p-13, -0x1.f70ab5ebd49f9p-13, -0x1.f6e9974188749p-13, -0x1.f6b76b76c283fp-13, -0x1.f67443be70e8fp-13, -0x1.f62033e1a520dp-13, -0x1.f5bb522303193p-13, -0x1.f545b72316d38p-13, -0x1.f4bf7dc6021bfp-13, -0x1.f428c3192b26cp-13, -0x1.f381a63a6e7d2p-13, -0x1.f2ca483eeebc2p-13, -0x1.f202cc1bade44p-13, -0x1.f12b568e5e81dp-13, -0x1.f0440e0665785p-13, -0x1.ef4d1a8f45e53p-13, -0x1.ee46a5bb3da56p-13, -0x1.ed30da8e3f88ap-13, -0x1.ec0be56a68b8p-13, -0x1.ead7f3fbec4d5p-13, -0x1.e9953526cb2f2p-13, -0x1.e843d8f3d7c7ep-13, -0x1.e6e4107ede78ep-13, -0x1.e5760de6124fbp-13, -0x1.e3fa043804d59p-13, -0x1.e27027648b44fp-13, -0x1.e0d8ac2c63173p-13, -0x1.df33c812019c2p-13, -0x1.dd81b14acddaap-13, -0x1.dbc29eb0d409bp-13, -0x1.d9f6c7b467069p-13, -0x1.d81e644fa2c65p-13, -0x1.d639acf872acep-13, -0x1.d448da9479c6fp-13, -0x1.d24c266ca73f7p-13, -0x1.d043ca2222015p-13, -0x1.ce2fffa1a808dp-13, -0x1.cc110119a25b5p-13, -0x1.c9e708ef2c961p-13, -0x1.c7b251b38410fp-13, -0x1.c573161a90087p-13, -0x1.c32990f1894dbp-13, -0x1.c0d5fd14df686p-13, -0x1.be789568814f4p-13, -0x1.bc1194ce5642p-13, -0x1.b9a1361e9150cp-13, -0x1.b727b41f85e36p-13, -0x1.b4a5497e47d0ep-13, -0x1.b21a30c6f7b23p-13, -0x1.af86a45e3cf32p-13, -0x1.aceade7a00083p-13, -0x1.aa47191b5a7e7p-13, -0x1.a79b8e07d4b28p-13, -0x1.a4e876c3da481p-13, -0x1.a22e0c8d12b4ap-13, -0x1.9f6c88547d71ap-13, -0x1.9ca422b963a6bp-13, -0x1.99d51404d0091p-13, -0x1.96ff9423edb4ap-13, -0x1.9423daa3fff29p-13, -0x1.91421eadcbaf2p-13, -0x1.8e5a9701e5b84p-13, -0x1.8b6d79f3cebd7p-13, -0x1.887afd6757e0ap-13, -0x1.858356cc775c1p-13, -0x1.8286bb1bc02f5p-13, -0x1.7f855ed376869p-13, -0x1.7c7f75f4b7f26p-13, -0x1.797534001c842p-13, -0x1.7666cbf373a3ep-13, -0x1.735470472420ep-13, -0x1.703e52eb88a75p-13, -0x1.6d24a54745b5cp-13, -0x1.6a079834c1186p-13, -0x1.66e75c0041d4p-13, -0x1.63c4206613aa7p-13, -0x1.609e1491505b4p-13, -0x1.5d756719e3a21p-13, -0x1.5a4a460319049p-13, -0x1.571cdeba8cb46p-13, -0x1.53ed5e17041fbp-13, -0x1.50bbf05783c12p-13, -0x1.4d88c121995ffp-13, -0x1.4a53fb815faa2p-13, -0x1.471dc9e855de8p-13, -0x1.43e6562ceb9bp-13, -0x1.40adc989b2993p-13, -0x1.3d744c9d42c1dp-13, -0x1.3a3a0769b22aep-13, -0x1.36ff2154127ccp-13, -0x1.33c3c124a616ap-13, -0x1.30880d06bdd47p-13, -0x1.2d4c2a8852603p-13, -0x1.2a103e9a3cf0bp-13, -0x1.26d46d906452ep-13, -0x1.2398db2228fffp-13, -0x1.205daa6a42e3p-13, -0x1.1d22fde72ba21p-13, -0x1.19e8f77b6ec85p-13, -0x1.16afb86e4be6ep-13, -0x1.1377616c31fbp-13, -0x1.10401287107eep-13, -0x1.0d09eb374c685p-13, -0x1.09d50a5be997bp-13, -0x1.06a18e3bcd4d1p-13, -0x1.036f948622233p-13, -0x1.003f3a53488d7p-13, -0x1.fa21384af1f1dp-14, -0x1.f3c7abd3d4ab2p-14, -0x1.ed7205f36dbd7p-14, -0x1.e7207c35224cap-14, -0x1.e0d342ffc6d2cp-14, -0x1.da8a8d97e4fddp-14, -0x1.d4468e21c61a1p-14, -0x1.ce0775a35975fp-14, -0x1.c7cd7406aae31p-14, -0x1.c198b81bdeb7bp-14, -0x1.bb696f9c07c97p-14, -0x1.b53fc72b116bcp-14, -0x1.af1bea5a6860ep-14, -0x1.a8fe03abb402bp-14, -0x1.a2e63c92b5434p-14, -0x1.9cd4bd7883b28p-14, -0x1.96c9adbd992cp-14, -0x1.90c533bc9f2c7p-14, -0x1.8ac774cd56fe1p-14, -0x1.84d095470003ap-14, -0x1.7ee0b883488a4p-14, -0x1.78f800e0775eep-14, -0x1.73168fc4feefdp-14, -0x1.6d3c85a1f739ep-14, -0x1.676a01f5a7ec5p-14, -0x1.619f234e2d92p-14, -0x1.5bdc074d1aee3p-14, -0x1.5620caa9925b7p-14, -0x1.506d8933a6aa3p-14, -0x1.4ac25dd6c30acp-14, -0x1.451f629cec93dp-14, -0x1.3f84b0b1441ccp-14, -0x1.39f260633282bp-14, -0x1.34688929362bfp-14, -0x1.2ee741a3f1092p-14, -0x1.296e9fa06f87ap-14, -0x1.23feb81beff0ep-14, -0x1.1e979f460ff61p-14, -0x1.19396883d940bp-14, -0x1.13e426732a6cap-14, -0x1.0e97eaecf864cp-14, -0x1.0954c70840a66p-14, -0x1.041acb1d0119ep-14, -0x1.fdd40d8e6cd03p-15, -0x1.f38511d35242cp-15, -0x1.e948bf619cb31p-15, -0x1.df1f312a63755p-15, -0x1.d50880bd48436p-15, -0x1.cb04c64e8e905p-15, -0x1.c11418bbb779bp-15, -0x1.b7368d91c84dcp-15, -0x1.ad6c39121c882p-15, -0x1.a3b52e3896b9ap-15, -0x1.9a117ec09912p-15, -0x1.90813b2ac7502p-15, -0x1.870472c224673p-15, -0x1.7d9b33a1ee04p-15, -0x1.74458abaac813p-15, -0x1.6b0383d72fc3cp-15, -0x1.61d529a1f8e6p-15, -0x1.58ba85ab1fd2ap-15, -0x1.4fb3a06c8716dp-15, -0x1.46c0814f01d0fp-15, -0x1.3de12eb071dcep-15, -0x1.3515ade819e93p-15, -0x1.2c5e034bc5ecp-15, -0x1.23ba323457f27p-15, -0x1.1b2a3d037cbc1p-15, -0x1.12ae2527f921bp-15, -0x1.0a45eb2266174p-15, -0x1.01f18e8a5f408p-15, -0x1.f3621c26ef081p-16, -0x1.e308cf22dc9bfp-16, -0x1.d2d72ff904037p-16, -0x1.c2cd36edec37p-16, -0x1.b2eadaa255cf8p-16, -0x1.a330101bae32p-16, -0x1.939ccacdb2176p-16, -0x1.8430fca3bdef5p-16, -0x1.74ec9607fcc94p-16, -0x1.65cf85ece78d6p-16, -0x1.56d9b9d66adbdp-16, -0x1.480b1de14cb94p-16, -0x1.39639ccb7d238p-16, -0x1.2ae31ffd334b5p-16, -0x1.1c898f908669dp-16, -0x1.0e56d2596ce89p-16, -0x1.004acdedac67dp-16, -0x1.e4cacd5914b7p-17, -0x1.c94cff8eab19bp-17, -0x1.ae1bf69037ea2p-17, -0x1.933774321c803p-17, -0x1.789f381a8023fp-17, -0x1.5e52ffcd07175p-17, -0x1.445286bb9d1bep-17, -0x1.2a9d86534b21cp-17, -0x1.1133b60aa3cc4p-17, -0x1.f02996df49366p-18, -0x1.be80f46e239f2p-18, -0x1.8d6ce88c017b9p-18, -0x1.5cecd3856ab32p-18, -0x1.2d001243c761ap-18, -0x1.fb4bfcc2a0cep-19, -0x1.9dbbdc8f836ep-19, -0x1.414e6a93abbc5p-19, -0x1.cc048eddc69d3p-20, -0x1.17ac1be792b0dp-20, -0x1.96429aa6d04fdp-22, 0x1.2942c5590ff8fp-22, 0x1.eff5ae291d63fp-21, 0x1.a370bfb70ea91p-20, 0x1.265ab519f0a1ep-19, 0x1.79e5ef7704c7ep-19, 0x1.cc5b97b3e4dcap-19, 0x1.0ede9d7b1b32p-18, 0x1.3706354f1bf5bp-18, 0x1.5ea55e0b58874p-18, 0x1.85bce45bd9b2cp-18, 0x1.ac4d96cab1fc2p-18, 0x1.d25845aa063fp-18, 0x1.f7ddc3095f3ddp-18, 0x1.0e6f714d33a4cp-17, 0x1.20ae3ccfa7bep-17, 0x1.32abaf6e8acecp-17, 0x1.4468354284f4dp-17, 0x1.55e43b120bb4fp-17, 0x1.67202e48f852bp-17, 0x1.781c7ceecb57ap-17, 0x1.88d995a02622ap-17, 0x1.9957e7851e498p-17, 0x1.a997e248dd29fp-17, 0x1.b999f61432a41p-17, 0x1.c95e938293a6ep-17, 0x1.d8e62b9b885d5p-17, 0x1.e8312fcbbf903p-17, 0x1.f74011dcafa82p-17, 0x1.0309a1f70df4cp-16, 0x1.0a559c37cf019p-16, 0x1.1184310c01aa1p-16, 0x1.189599ef8d1b8p-16, 0x1.1f8a107c49471p-16, 0x1.2661ce653f45dp-16, 0x1.2d1d0d748da2p-16, 0x1.33bc07884cd38p-16, 0x1.3a3ef68ebb43ep-16, 0x1.40a614839dbaap-16, 0x1.46f19b6d89735p-16, 0x1.4d21c55ab8068p-16, 0x1.5336cc5e361dep-16, 0x1.5930ea8d3b3b5p-16, 0x1.5f1059fce7d17p-16, 0x1.64d554bea5e29p-16, 0x1.6a8014ddb6198p-16, 0x1.7010d45da5a27p-16, 0x1.7587cd36b039cp-16, 0x1.7ae539546c0fdp-16, 0x1.80295292bcadep-16, 0x1.855452bb25b1dp-16, 0x1.8a66738352aa3p-16, 0x1.8f5fee8ae67a3p-16, 0x1.9440fd588a598p-16, 0x1.9909d958f3ca2p-16, 0x1.9dbabbdc0d888p-16, 0x1.a253de1284a4fp-16, 0x1.a6d5790d6f29ap-16, 0x1.ab3fc5bb3fp-16, 0x1.af92fce5f57e2p-16, 0x1.b3cf573182e84p-16, 0x1.b7f50d1a39676p-16, 0x1.bc0456f2d8f5p-16, 0x1.bffd6ce33ed8ap-16, 0x1.c3e086e651decp-16, 0x1.c7addcc87f664p-16, 0x1.cb65a62693f01p-16, 0x1.cf081a6c07e58p-16, 0x1.d29570d1e4683p-16, 0x1.d60de05cd72afp-16, 0x1.d9719fdba6d8ep-16, 0x1.dcc0e5e6aae59p-16, 0x1.dffbe8de5e378p-16, 0x1.e322dee994df4p-16, 0x1.e635fdf4f275ep-16, 0x1.e9357bb0ef8c7p-16, 0x1.ec218d9188f7ap-16, 0x1.eefa68cd3814ap-16, 0x1.f1c0425b259e3p-16, 0x1.f4734ef23b299p-16, 0x1.f713c308fa142p-16, 0x1.f9a1d2d3fc2a7p-16, 0x1.fc1db244cf1adp-16, 0x1.fe8795095c6a6p-16, 0x1.006fd7458e0cp-15, 0x1.019318f717bbdp-15, 0x1.02ada90860f97p-15, 0x1.03bfa0c508381p-15, 0x1.04c91954bb3e3p-15, 0x1.05ca2bbb04b52p-15, 0x1.06c2f0d72a4b2p-15, 0x1.07b38163807b5p-15, 0x1.089bf5f5336e3p-15, 0x1.097c66fc01cccp-15, 0x1.0a54ecc20e464p-15, 0x1.0b259f6b99aaep-15, 0x1.0bee96f6ac177p-15, 0x1.0cafeb3aa997dp-15, 0x1.0d69b3e8790ffp-15, 0x1.0e1c088a1a4f5p-15, 0x1.0ec7008268d14p-15, 0x1.0f6ab30cda2a4p-15, 0x1.1007373d97408p-15, 0x1.109ca40136c27p-15, 0x1.112b101c4ee7cp-15, 0x1.11b2922b80f87p-15, 0x1.123340a3a488ep-15, 0x1.12ad31d119d19p-15, 0x1.13207bd7d6a6fp-15, 0x1.138d34b378d9dp-15, 0x1.13f3723751062p-15, 0x1.14534a0df84a1p-15, 0x1.14acd1b8fb9b2p-15, 0x1.15001e915fa3ap-15, 0x1.154d45c7816a7p-15, 0x1.15945c62a8137p-15, 0x1.15d577413d13ep-15, 0x1.1610ab188ef2ep-15, 0x1.16460c7530c33p-15, 0x1.1675afba74d4ap-15, 0x1.169fa922c837bp-15, 0x1.16c40cbf84434p-15, 0x1.16e2ee7919746p-15, 0x1.16fc620ee7144p-15, 0x1.17107b170d764p-15, 0x1.171f4cff266ffp-15, 0x1.1728eb0bb08c4p-15, 0x1.172d68582a6d8p-15, 0x1.172cd7d73730dp-15, 0x1.17274c52c8f1bp-15, 0x1.171cd86c05c4ap-15, 0x1.170d8e9b734f4p-15, 0x1.16f98131133fp-15, 0x1.16e0c2543d18p-15, 0x1.16c36403941edp-15, 0x1.16a17815a6f3ep-15, 0x1.167b1038f4fbp-15, 0x1.16503df3754cdp-15, 0x1.162112a2fb3c1p-15, 0x1.15ed9f7dac823p-15, 0x1.15b5f591b98cep-15, 0x1.157a25c56f257p-15, 0x1.153a40d76c7bep-15, 0x1.14f6575f1cee1p-15, 0x1.14ae79cc543a9p-15, 0x1.1462b867be31bp-15, 0x1.14132352ccb15p-15, 0x1.13bfca881f686p-15, 0x1.1368bddb2ecfdp-15, 0x1.130e0cf92f81ep-15, 0x1.12afc768b827cp-15, 0x1.124dfc89c8ae3p-15, 0x1.11e8bb9615929p-15, 0x1.118013a1a272ep-15, 0x1.1114139a6b398p-15, 0x1.10a4ca48997p-15, 0x1.1032464ed778bp-15, 0x1.0fbc962a3e2f1p-15, 0x1.0f43c832bf8cep-15, 0x1.0ec7ea9bae7e3p-15, 0x1.0e490b730b752p-15, 0x1.0dc738a218219p-15, 0x1.0d427feddf454p-15, 0x1.0cbaeef71c902p-15, 0x1.0c30933a48281p-15, 0x1.0ba37a0fd9abfp-15, 0x1.0b13b0ace3207p-15, 0x1.0a8144228ba15p-15, 0x1.09ec415ec4f7ap-15, 0x1.0954b52c77317p-15, 0x1.08baac3378b52p-15, 0x1.081e32f8e2ec1p-15, 0x1.077f55df45c84p-15, 0x1.06de2126dc5e3p-15, 0x1.063aa0ed95e6ep-15, 0x1.0594e12fde6ep-15, 0x1.04ecedc830362p-15, 0x1.0442d26f3fad4p-15, 0x1.03969abca1e0bp-15, 0x1.02e852271a4fbp-15, 0x1.023804043c29fp-15, 0x1.0185bb8905983p-15, 0x1.00d183c9e638ap-15, 0x1.001b67bb3941ep-15, 0x1.fec6e4631f76ep-16, 0x1.fd535bc24db86p-16, 0x1.fbdc4abd81de5p-16, 0x1.fa61c6405543ep-16, 0x1.f8e3e2f783ecap-16, 0x1.f762b551aabf9p-16, 0x1.f5de5180687acp-16, 0x1.f456cb7876ebap-16, 0x1.f2cc36f184be6p-16, 0x1.f13ea76792f84p-16, 0x1.efae301aed0aep-16, 0x1.ee1ae41032eaap-16, 0x1.ec84d611e55f8p-16, 0x1.eaec18afd6a07p-16, 0x1.e950be3fd7436p-16, 0x1.e7b2d8dea1dep-16, 0x1.e6127a6f95d8fp-16, 0x1.e46fb49d55f6dp-16, 0x1.e2ca98db3b6c8p-16, 0x1.e123386422ea8p-16, 0x1.df79a43b8fb97p-16, 0x1.ddcded2ee756ep-16, 0x1.dc2023d4d45fbp-16, 0x1.da70588e2f4e8p-16, 0x1.d8be9b85bf132p-16, 0x1.d70afcb1f9fd7p-16, 0x1.d5558bd4cef9ep-16, 0x1.d39e587b33b7cp-16, 0x1.d1e571fe889ffp-16, 0x1.d02ae785cdf59p-16, 0x1.ce6ec804540c3p-16, 0x1.ccb1223aae1d5p-16, 0x1.caf204b842ec2p-16, 0x1.c9317dda7a5d3p-16, 0x1.c76f9bcd702a5p-16, 0x1.c5ac6c8cb7e1cp-16, 0x1.c3e7fde35ce62p-16, 0x1.c2225d6cec52cp-16, 0x1.c05b989572d2bp-16, 0x1.be93bc9964d8ep-16, 0x1.bccad6873b843p-16, }}, 
      {{0x1.da9f47140836cp-1, 0x1.da8c823a18afap-1, 0x1.da6d6ea41b873p-1, 0x1.da423c967dc67p-1, 0x1.da0b0813942efp-1, 0x1.d9c7c9e730b0dp-1, 0x1.d978510fbd218p-1, 0x1.d91c43458925fp-1, 0x1.d8b322a7d9ac6p-1, 0x1.d83c56954de1dp-1, 0x1.d7b7360332dbp-1, 0x1.d723120ca2c54p-1, 0x1.d67f3fd3faa98p-1, 0x1.d5cb2124ec51fp-1, 0x1.d5062b8832f15p-1, 0x1.d42fedac627e9p-1, 0x1.d348132b5149ep-1, 0x1.d24e66cb937c4p-1, 0x1.d142d36be9428p-1, 0x1.d02563cd90e2cp-1, 0x1.cef641742b0e9p-1, 0x1.cdb5b2cfddda6p-1, 0x1.cc6418e222784p-1, 0x1.cb01ec87f5abp-1, 0x1.c98fbb8df4efdp-1, 0x1.c80e25acb5db5p-1, 0x1.c67dd985b5dacp-1, 0x1.c4df91b3e145fp-1, 0x1.c33411fdf61c4p-1, 0x1.c17c24b4f6a52p-1, 0x1.bfb8984582614p-1, 0x1.bdea3d00264fap-1, 0x1.bc11e31a845b1p-1, 0x1.ba3058e9794c4p-1, 0x1.b8466953204dcp-1, 0x1.b654da769cfbp-1, 0x1.b45c6c86e7042p-1, 0x1.b25dd8d56a336p-1, 0x1.b059d108ff1fep-1, 0x1.ae50fe7dabbd7p-1, 0x1.ac4401c98bcc6p-1, 0x1.aa3372635995p-1, 0x1.a81fde67227ccp-1, 0x1.a609ca75e4445p-1, 0x1.a3f1b1acf244ap-1, 0x1.a1d805b23b65bp-1, 0x1.9fbd2ed2b8d1ep-1, 0x1.9da18c307ee1bp-1, 0x1.9b8573fe21602p-1, 0x1.996933c5487ap-1, 0x1.974d10b685cddp-1, 0x1.95314800a8ca4p-1, 0x1.93160f2df4f17p-1, 0x1.90fb9485cd666p-1, 0x1.8ee1ff718c5c4p-1, 0x1.8cc970e35d178p-1, 0x1.8ab203be15e68p-1, 0x1.889bcd3d2d269p-1, 0x1.8686dd5bfb105p-1, 0x1.84733f3ba082cp-1, 0x1.8260f986f6ab7p-1, 0x1.80500ed4098a4p-1, 0x1.7e407e02b3fcap-1, 0x1.7c32429801633p-1, 0x1.7a2555160f66cp-1, 0x1.7819ab503918dp-1, 0x1.760f38bb5d441p-1, 0x1.7405eeba27497p-1, 0x1.71fdbce5456fdp-1, 0x1.6ff6914f83679p-1, 0x1.6df058c5ccc12p-1, 0x1.6beaff0b1b4a4p-1, 0x1.69e66f1062eadp-1, 0x1.67e293288c977p-1, 0x1.65df55389c815p-1, 0x1.63dc9ee41bea5p-1, 0x1.61da59b5eca9ap-1, 0x1.5fd86f45a39fep-1, 0x1.5dd6c95992c85p-1, 0x1.5bd55205a76a2p-1, 0x1.59d3f3c743fccp-1, 0x1.57d2999e3e6eep-1, 0x1.55d12f232a65dp-1, 0x1.53cfa09b1697fp-1, 0x1.51cddb08e6635p-1, 0x1.4fcbcc3c6d016p-1, 0x1.4dc962df717cbp-1, 0x1.4bc68e80bf41p-1, 0x1.49c33f9d686ebp-1, 0x1.47bf67a85ab66p-1, 0x1.45baf910689a5p-1, 0x1.43b5e744e7676p-1, 0x1.41b026b8fe45fp-1, 0x1.3fa9ace5c4489p-1, 0x1.3da2704b48befp-1, 0x1.3b9a68709ce2ap-1, 0x1.39918de2f9eaep-1, 0x1.3787da3417fa6p-1, 0x1.357d47f7cbac4p-1, 0x1.3371d2c0fd9a8p-1, 0x1.3165771e0d04ap-1, 0x1.2f583294b1998p-1, 0x1.2d4a039d672abp-1, 0x1.2b3ae99e76a35p-1, 0x1.292ae4e6a5b76p-1, 0x1.2719f6a79b5dep-1, 0x1.250820f004bdfp-1, 0x1.22f566a581d02p-1, 0x1.20e1cb7e663d8p-1, 0x1.1ecd53fb554cbp-1, 0x1.1cb80560c1008p-1, 0x1.1aa1e5b051aefp-1, 0x1.188afba23f856p-1, 0x1.16734e9e9fbc3p-1, 0x1.145ae6b6aeb64p-1, 0x1.1241cc9e162bp-1, 0x1.102809a439792p-1, 0x1.0e0da7ad85ee1p-1, 0x1.0bf2b12ccf5e9p-1, 0x1.09d7311cb66bap-1, 0x1.07bb32f920d03p-1, 0x1.059ec2b8c031ep-1, 0x1.0381ecc6add61p-1, 0x1.0164bdfc19b0cp-1, 0x1.fe8e873420338p-2, 0x1.fa531686ada2ep-2, 0x1.f61745ecc54c3p-2, 0x1.f1db320ec9428p-2, 0x1.ed9ef834e8e81p-2, 0x1.e962b63ba2a33p-2, 0x1.e5268a888325ep-2, 0x1.e0ea93ff182a8p-2, 0x1.dcaef1f61b7bbp-2, 0x1.d873c42cd7295p-2, 0x1.d4392ac0c2797p-2, 0x1.cfff462357248p-2, 0x1.cbc6371021108p-2, 0x1.c78e1e83088a5p-2, 0x1.c3571daed3e94p-2, 0x1.bf2155f3e4928p-2, 0x1.baece8d72d294p-2, 0x1.b6b9f7f9638efp-2, 0x1.b288a50e688b8p-2, 0x1.ae5911d4ec97cp-2, 0x1.aa2b600e4c11ep-2, 0x1.a5ffb176a58p-2, 0x1.a1d627bd281e3p-2, 0x1.9daee47c9c7a8p-2, 0x1.998a093423293p-2, 0x1.9567b7402df7cp-2, 0x1.91480fd3b019cp-2, 0x1.8d2b33f185bfbp-2, 0x1.8911446613187p-2, 0x1.84fa61c11b9dfp-2, 0x1.80e6ac4fcc67p-2, 0x1.7cd6441701d7ap-2, 0x1.78c948cdbcd23p-2, 0x1.74bfd9d7d4996p-2, 0x1.70ba1640d750ep-2, 0x1.6cb81cb72177bp-2, 0x1.68ba0b872b0a8p-2, 0x1.64c0009705e85p-2, 0x1.60ca19620fabcp-2, 0x1.5cd872f4d689p-2, 0x1.58eb29e9304f1p-2, 0x1.55025a6282ab1p-2, 0x1.511e200a3cad7p-2, 0x1.4d3e960c7e7d2p-2, 0x1.4963d714f2be1p-2, 0x1.458dfd4bd9388p-2, 0x1.41bd225338358p-2, 0x1.3df15f444463cp-2, 0x1.3a2accacf052p-2, 0x1.3669828da854bp-2, 0x1.32ad98573d7aep-2, 0x1.2ef724e8f7373p-2, 0x1.2b463e8ed103bp-2, 0x1.279afaffe15d1p-2, 0x1.23f56f5ce9a4fp-2, 0x1.2055b02f0af56p-2, 0x1.1cbbd166a44c7p-2, 0x1.1927e65a584c3p-2, 0x1.159a01c631c45p-2, 0x1.121235caf4a78p-2, 0x1.0e9093ed8d592p-2, 0x1.0b152d16a2b9ep-2, 0x1.07a011924af2bp-2, 0x1.0431510fe36f6p-2, 0x1.00c8faa2041d4p-2, 0x1.face397d29f02p-3, 0x1.f4178a7e02fe5p-3, 0x1.ed6e02c10eddep-3, 0x1.e6d1bb894a4a4p-3, 0x1.e042cce3414b5p-3, 0x1.d9c14da654aa6p-3, 0x1.d34d5376342d7p-3, 0x1.cce6f2c488523p-3, 0x1.c68e3ed2cb88ep-3, 0x1.c04349b45755p-3, 0x1.ba06245091f91p-3, 0x1.b3d6de65554fap-3, 0x1.adb5868972aaep-3, 0x1.a7a22a2f66344p-3, 0x1.a19cd5a82752ep-3, 0x1.9ba5942627b03p-3, 0x1.95bc6fc069fd3p-3, 0x1.8fe17175bda85p-3, 0x1.8a14a1301ce27p-3, 0x1.845605c821813p-3, 0x1.7ea5a508998d4p-3, 0x1.790383b236329p-3, 0x1.736fa57f4d2abp-3, 0x1.6dea0d27be369p-3, 0x1.6872bc64dddfap-3, 0x1.6309b3f583688p-3, 0x1.5daef3a21dc67p-3, 0x1.58627a40e21dbp-3, 0x1.532445ba04cb7p-3, 0x1.4df4530c04e91p-3, 0x1.48d29e50033e1p-3, 0x1.43bf22be26648p-3, 0x1.3eb9dab205f62p-3, 0x1.39c2bfaf23ccep-3, 0x1.34d9ca656fd16p-3, 0x1.2ffef2b5c844ap-3, 0x1.2b322fb68c82ap-3, 0x1.267377b82ee3cp-3, 0x1.21c2c049c8605p-3, 0x1.1d1ffe3db6c2ep-3, 0x1.188b25ae312cap-3, 0x1.14042a01eb8eep-3, 0x1.0f8afdf0af956p-3, 0x1.0b1f9387f754p-3, 0x1.06c1dc2f87f37p-3, 0x1.0271c8ae0b7d9p-3, 0x1.fc5e925b3cb13p-4, 0x1.f3f49a80cea23p-4, 0x1.eba587ca31894p-4, 0x1.e3713716fc3a9p-4, 0x1.db578431ea244p-4, 0x1.d35849d9cf915p-4, 0x1.cb7361ca770dep-4, 0x1.c3a8a4c56ef67p-4, 0x1.bbf7ea9acc78cp-4, 0x1.b4610a31d5f3bp-4, 0x1.ace3d9918f6f4p-4, 0x1.a5802de94e1d7p-4, 0x1.9e35db9911cep-4, 0x1.9704b639e8689p-4, 0x1.8fec90a6264d5p-4, 0x1.88ed3d018cc4p-4, 0x1.82068cc152af9p-4, 0x1.7b3850b41d6cep-4, 0x1.74825909d40bap-4, 0x1.6de4755b5d10dp-4, 0x1.675e74b23f5f4p-4, 0x1.60f0259028e9ep-4, 0x1.5a9955f654534p-4, 0x1.5459d36cd50abp-4, 0x1.4e316b09c3ec4p-4, 0x1.481fe9784e523p-4, 0x1.42251affa9b57p-4, 0x1.3c40cb89e0c6ap-4, 0x1.3672c6aa8b6b1p-4, 0x1.30bad7a5616e1p-4, 0x1.2b18c974afa46p-4, 0x1.258c66cfabcf3p-4, 0x1.20157a30adc2ap-4, 0x1.1ab3cddb41aa7p-4, 0x1.15672be22126fp-4, 0x1.102f5e2d08b3cp-4, 0x1.0b0c2e7e6d90cp-4, 0x1.05fd667915c32p-4, 0x1.0102cfa58cba1p-4, 0x1.f83866eef9b88p-5, 0x1.ee92b6a5c7ec8p-5, 0x1.e5142122597d6p-5, 0x1.dbbc390c49fc8p-5, 0x1.d28a9109b199cp-5, 0x1.c97ebbc890535p-5, 0x1.c0984c0808f0fp-5, 0x1.b7d6d4a151c23p-5, 0x1.af39e89075833p-5, 0x1.a6c11afcc5caep-5, 0x1.9e6bff4126118p-5, 0x1.963a28f403ae1p-5, 0x1.8e2b2bef2779ep-5, 0x1.863e9c5740077p-5, 0x1.7e740ea334f62p-5, 0x1.76cb17a33ed01p-5, 0x1.6f434c87cc3ccp-5, 0x1.67dc42e826d1ap-5, 0x1.609590c8e5918p-5, 0x1.596ecca220716p-5, 0x1.52678d657fap-5, 0x1.4b7f6a83fb48ep-5, 0x1.44b5fbf37c071p-5, 0x1.3e0ada34414a2p-5, 0x1.377d9e560974p-5, 0x1.310de1fd18e4ap-5, 0x1.2abb3f6701b03p-5, 0x1.2485516f40689p-5, 0x1.1e6bb393a7ff7p-5, 0x1.186e01f89cbf4p-5, 0x1.128bd96d1f116p-5, 0x1.0cc4d76eae278p-5, 0x1.07189a2cf6387p-5, 0x1.0186c08d5c9bep-5, 0x1.f81dd45c9f78p-6, 0x1.ed616ed501b89p-6, 0x1.e2d792b7c6f16p-6, 0x1.d87f83bd19402p-6, 0x1.ce588726d02bep-6, 0x1.c461e3c585c35p-6, 0x1.ba9ae1fd6d1a2p-6, 0x1.b102cbcacbe38p-6, 0x1.a798ecc637881p-6, 0x1.9e5c9228863c7p-6, 0x1.954d0ace75807p-6, 0x1.8c69a73c11fd5p-6, 0x1.83b1b99fd9ba3p-6, 0x1.7b2495d593046p-6, 0x1.72c1916900ddbp-6, 0x1.6a88039829a2ep-6, 0x1.6277455593255p-6, 0x1.5a8eb14a196f2p-6, 0x1.52cda3d6a8ad7p-6, 0x1.4b337b15b0bccp-6, 0x1.43bf96dc5f00cp-6, 0x1.3c7158bbb50dap-6, 0x1.354824014db05p-6, 0x1.2e435db80d8e9p-6, 0x1.27626ca895da9p-6, 0x1.20a4b95978655p-6, 0x1.1a09ae0f5c367p-6, 0x1.1390b6cce21a6p-6, 0x1.0d39415255d25p-6, 0x1.0702bd1d4a27cp-6, 0x1.00ec9b67fe1cbp-6, 0x1.f5ec9e51437b1p-7, 0x1.ea3e9a20d1f9p-7, 0x1.dece1715171a4p-7, 0x1.d39a0576215a9p-7, 0x1.c8a158fafd90cp-7, 0x1.bde308c6d40f3p-7, 0x1.b35e0f65d483p-7, 0x1.a9116ac9b5746p-7, 0x1.9efc1c4630f67p-7, 0x1.951d288d230c4p-7, 0x1.8b7397aa78336p-7, 0x1.81fe74fff757cp-7, 0x1.78bccf40ba25dp-7, 0x1.6fadb86c9311ep-7, 0x1.66d045cb25f75p-7, 0x1.5e238fe6fc7e6p-7, 0x1.55a6b2884e837p-7, 0x1.4d58ccaf9edc6p-7, 0x1.4539009048138p-7, 0x1.3d46738adea0cp-7, 0x1.35804e275e156p-7, 0x1.2de5bc0f448aap-7, 0x1.2675ec07927bdp-7, 0x1.1f300fea9404ap-7, 0x1.18135ca1a7df8p-7, 0x1.111f0a1ee1a78p-7, 0x1.0a52535688c87p-7, 0x1.03ac763894c0ep-7, 0x1.fa596753f3a78p-8, 0x1.eda49efbe3003p-8, 0x1.e13920de6353dp-8, 0x1.d51580320517dp-8, 0x1.c93855e0a4418p-8, 0x1.bda04079479a6p-8, 0x1.b24be4223a579p-8, 0x1.a739ea8a8619ap-8, 0x1.9c6902dbe3b38p-8, 0x1.91d7e1ac209e1p-8, 0x1.878540eebcfe6p-8, 0x1.7d6fdfe659429p-8, 0x1.739683161cb52p-8, 0x1.69f7f4330813ep-8, 0x1.609302153f258p-8, 0x1.576680a956cfep-8, 0x1.4e7148e191725p-8, 0x1.45b238a70fb65p-8, 0x1.3d2832cb09d13p-8, 0x1.34d21ef7fcf3dp-8, 0x1.2caee9a2ec6e2p-8, 0x1.24bd83fc85d51p-8, 0x1.1cfce3e272791p-8, 0x1.156c03d06f29ap-8, 0x1.0e09e2d1b430ap-8, 0x1.06d58472281bp-8, 0x1.ff9be15f8ff92p-9, 0x1.f1e467d7df399p-9, 0x1.e482bdb9ac8d6p-9, 0x1.d7750cfdf8cb7p-9, 0x1.cab9880d5fddbp-9, 0x1.be4e69a354cefp-9, 0x1.b231f4b1381fbp-9, 0x1.a662744210cdbp-9, 0x1.9ade3b5dc10eep-9, 0x1.8fa3a4ececf24p-9, 0x1.84b1139ce9713p-9, 0x1.7a04f1c3961d2p-9, 0x1.6f9db14390df7p-9, 0x1.6579cb70a7161p-9, 0x1.5b97c0f468769p-9, 0x1.51f619b2ca45p-9, 0x1.489364af1a7b2p-9, 0x1.3f6e37f12a1a9p-9, 0x1.3685306a87d2ap-9, 0x1.2dd6f1dc262bdp-9, 0x1.256226bbfdc31p-9, 0x1.1d25801b0a26dp-9, 0x1.151fb58b80b09p-9, 0x1.0d4f850719f1fp-9, 0x1.05b3b2d5bfe63p-9, 0x1.fc9612e8d6dc1p-10, 0x1.ee28b2f844e28p-10, 0x1.e01cf312b10a9p-10, 0x1.d2708c46e1941p-10, 0x1.c521434919cddp-10, 0x1.b82ce842f5fb8p-10, 0x1.ab9156a43b8e3p-10, 0x1.9f4c74f38314dp-10, 0x1.935c34a01fad8p-10, 0x1.87be91d3ab447p-10, 0x1.7c719344ea38ep-10, 0x1.71734a0a6ed4ep-10, 0x1.66c1d16e6842cp-10, 0x1.5c5b4ec2579cdp-10, 0x1.523df133bb8fap-10, 0x1.4867f1a1076bfp-10, 0x1.3ed7926efe6cep-10, 0x1.358b1f5eeccb9p-10, 0x1.2c80ed64e9d4bp-10, 0x1.23b75a7f2ef6ap-10, 0x1.1b2ccd8d27e13p-10, 0x1.12dfb627f6312p-10, 0x1.0ace8c7a9328p-10, 0x1.02f7d11b063f8p-10, 0x1.f6b419c7de55cp-11, 0x1.e7e7a19cdd842p-11, 0x1.d9876b99bacdep-11, 0x1.cb90b94b1fa7fp-11, 0x1.be00db9d077abp-11, 0x1.b0d532930da98p-11, 0x1.a40b2d00d4264p-11, 0x1.97a048444c93ap-11, 0x1.8b921000e3094p-11, 0x1.7fde1ddaf6c17p-11, 0x1.7482193538438p-11, 0x1.697bb6ee30503p-11, 0x1.5ec8b91f12f23p-11, 0x1.5466eedbb6d74p-11, 0x1.4a5433f2fd064p-11, 0x1.408e70b09d7efp-11, 0x1.3713999fc1a9ep-11, 0x1.2de1af4e23a34p-11, 0x1.24f6be10e5c0ap-11, 0x1.1c50ddc98e1cep-11, 0x1.13ee31ac45812p-11, 0x1.0bcce806e289bp-11, 0x1.03eb3a08fb215p-11, 0x1.f88ed71935a1fp-12, 0x1.e9bf95bfedaep-12, 0x1.db6561203f975p-12, 0x1.cd7cfe68577c9p-12, 0x1.c0034673a422cp-12, 0x1.b2f5256425a54p-12, 0x1.a64f9a3ee898dp-12, 0x1.9a0fb6894108fp-12, 0x1.8e329de7f71b7p-12, 0x1.82b585bf9c09ep-12, 0x1.7795b4d7b021fp-12, 0x1.6cd082fd31e6bp-12, 0x1.626358a93ad35p-12, 0x1.584baea754823p-12, 0x1.4e870dbdb6eb1p-12, 0x1.45130e57de0f8p-12, 0x1.3bed58313c79ap-12, 0x1.3313a202faa7cp-12, 0x1.2a83b1317cd27p-12, 0x1.223b597c7050bp-12, 0x1.1a387cb03cc51p-12, 0x1.12790a5865554p-12, 0x1.0afaff732ff19p-12, 0x1.03bc66277ea88p-12, 0x1.f976aaf64e296p-13, 0x1.ebebe2159ce7p-13, 0x1.ded4d186d1231p-13, 0x1.d22df13a0e44ep-13, 0x1.c5f3d0abd8665p-13, 0x1.ba231660d32a5p-13, 0x1.aeb87f619f33ap-13, 0x1.a3b0deb9f6123p-13, 0x1.99091cfac1ffdp-13, 0x1.8ebe37bd6d431p-13, 0x1.84cd412a4132bp-13, 0x1.7b335f8096e51p-13, 0x1.71edcca2b185bp-13, 0x1.68f9d5a183f35p-13, 0x1.6054da4d236d1p-13, 0x1.57fc4cc4f062dp-13, 0x1.4fedb10be61fbp-13, 0x1.48269c9eba537p-13, 0x1.40a4b60a43c37p-13, 0x1.3965b486691dp-13, 0x1.32675f919b63dp-13, 0x1.2ba78e8e89a18p-13, 0x1.25242863ca494p-13, 0x1.1edb231de3b08p-13, 0x1.18ca839224996p-13, 0x1.12f05d0504288p-13, 0x1.0d4ad0d04bd03p-13, 0x1.07d80e0ce7477p-13, 0x1.0296513dd855fp-13, 0x1.fb07c7f758a9bp-14, 0x1.f13e39482ba98p-14, 0x1.e7ccbc122257bp-14, 0x1.deb02e44fb6fep-14, 0x1.d5e58583c9588p-14, 0x1.cd69ce8cfc0acp-14, 0x1.c53a2ca904babp-14, 0x1.bd53d91973ff1p-14, 0x1.b5b4228b5bd71p-14, 0x1.ae586c8e2d34bp-14, 0x1.a73e2f0c91888p-14, 0x1.a062f5c72c7e3p-14, 0x1.99c45fd3d3d62p-14, 0x1.93601f1fc4ad1p-14, 0x1.8d33f7f3301fp-14, 0x1.873dc0778282fp-14, 0x1.817b6041bf4ebp-14, 0x1.7beacfdd50a12p-14, 0x1.768a185cd11fap-14, 0x1.715752e84e636p-14, 0x1.6c50a853ab57fp-14, 0x1.677450b255dfcp-14, 0x1.62c092f11737fp-14, 0x1.5e33c4707a9a5p-14, 0x1.59cc48a10bd8fp-14, 0x1.558890a314924p-14, 0x1.51671ae7c772dp-14, 0x1.4d6672d4e13f2p-14, 0x1.4985306a0bddep-14, 0x1.45c1f7e8fc294p-14, 0x1.421b797f15c32p-14, 0x1.3e9070f0d765dp-14, 0x1.3b1fa547b0607p-14, 0x1.37c7e88189208p-14, 0x1.348817421f05ap-14, 0x1.315f1886db37fp-14, 0x1.2e4bdd5ad7c9ep-14, 0x1.2b4d608f067aep-14, 0x1.2862a672373a6p-14, 0x1.258abc8b23241p-14, 0x1.22c4b954f0df7p-14, 0x1.200fbbfc742a4p-14, 0x1.1d6aec1f812cp-14, 0x1.1ad5798d66af2p-14, 0x1.184e9c09a6782p-14, 0x1.15d5930f55b01p-14, 0x1.1369a5974e109p-14, 0x1.110a21ddd006ap-14, 0x1.0eb65d2b715a1p-14, 0x1.0c6db39df29bep-14, 0x1.0a2f87f3e131cp-14, 0x1.07fb4357bba4p-14, 0x1.05d0552e90e99p-14, 0x1.03ae32e61f429p-14, 0x1.019457c4e69dp-14, 0x1.ff0489776e83ep-15, 0x1.faef006ff8156p-15, 0x1.f6e72bedeb3c3p-15, 0x1.f2ec2db5b76a5p-15, 0x1.eefd3180ccfe8p-15, 0x1.eb196cabe019ep-15, 0x1.e7401de6cb3b9p-15, 0x1.e3708ce648093p-15, 0x1.dfaa0a18c84a5p-15, 0x1.dbebee5ce5a7ep-15, 0x1.d8359ab7fdbc6p-15, 0x1.d48678115a97bp-15, 0x1.d0ddf6ed8e6b6p-15, 0x1.cd3b8f2c455cap-15, 0x1.c99ebfc7d7885p-15, 0x1.c6070e965272dp-15, 0x1.c274080c2b3f9p-15, 0x1.bee53f01d0f9cp-15, 0x1.bb5a4c78f8f7ep-15, 0x1.b7d2cf64e1a74p-15, 0x1.b44e6c7321dabp-15, 0x1.b0cccdd74c46fp-15, 0x1.ad4da3169c5d2p-15, 0x1.a9d0a0d5f3d1fp-15, 0x1.a65580a939f1cp-15, 0x1.a2dc00e4158e5p-15, 0x1.9f63e46b8c6cdp-15, 0x1.9becf289f4d18p-15, 0x1.9876f6c2df1e2p-15, 0x1.9501c0a8de9f5p-15, 0x1.918d23b4f6163p-15, 0x1.8e18f71ee966bp-15, 0x1.8aa515b5ea107p-15, 0x1.87315dbba48b3p-15, 0x1.83bdb0c02687ap-15, 0x1.8049f37e9f297p-15, 0x1.7cd60dba8cc8ap-15, 0x1.7961ea1f669bap-15, 0x1.75ed761fbee8cp-15, 0x1.7278a1d682bbcp-15, 0x1.6f035fe887c9cp-15, 0x1.6b8da56747883p-15, 0x1.681769b4c4f27p-15, 0x1.64a0a667b4f59p-15, 0x1.6129573107f24p-15, 0x1.5db179c254c7ep-15, 0x1.5a390db4d1d4bp-15, 0x1.56c01470dcfe4p-15, 0x1.5346911701a19p-15, 0x1.4fcc88693ea52p-15, 0x1.4c5200b4edf37p-15, 0x1.48d701bd9a786p-15, 0x1.455b94a91d9efp-15, 0x1.41dfc3eb15a26p-15, 0x1.3e639b324b454p-15, 0x1.3ae7275655801p-15, 0x1.376a7645c10dap-15, 0x1.33ed96f426504p-15, 0x1.3070994aa0d21p-15, 0x1.2cf38e16eb74p-15, 0x1.297686fc2f1f2p-15, 0x1.25f99664716dp-15, 0x1.227ccf71ab67cp-15, 0x1.1f0045f024e82p-15, 0x1.1b840e495880ap-15, 0x1.18083d76ea245p-15, 0x1.148ce8f61289dp-15, 0x1.111226bc45ce5p-15, 0x1.0d980d2aeed49p-15, 0x1.0a1eb30549978p-15, 0x1.06a62f651f6bbp-15, 0x1.032e99b0b9197p-15, 0x1.ff701322aeb53p-16, 0x1.f8852dd37c27ap-16, 0x1.f19cb399f99c6p-16, 0x1.eab6d4ec5bf92p-16, 0x1.e3d3c27fd0dd6p-16, 0x1.dcf3ad38c3557p-16, 0x1.d616c61bca9c9p-16, 0x1.cf3d3e3ecb4f7p-16, 0x1.c86746bb5f0a4p-16, 0x1.c19510a1fe955p-16, 0x1.bac6ccec0bd69p-16, 0x1.b3fcac70b161cp-16, 0x1.ad36dfd9b7f1fp-16, 0x1.a67597976291bp-16, 0x1.9fb903d6cb5a7p-16, 0x1.990154780ae14p-16, 0x1.924eb903c346ap-16, 0x1.8ba160a3bf94fp-16, 0x1.84f97a18b4db2p-16, 0x1.7e5733b35e347p-16, 0x1.77babb4c099d4p-16, 0x1.71243e3c55633p-16, 0x1.6a93e957ae5ecp-16, 0x1.6409e8e4da3a6p-16, 0x1.5d86689882f8ap-16, 0x1.5709938f5ce04p-16, 0x1.50939448757b4p-16, 0x1.4a2494a0382b5p-16, 0x1.43bcbdcc91887p-16, 0x1.3d5c3858076a7p-16, 0x1.37032c1db1c3cp-16, 0x1.30b1c0459cb1p-16, 0x1.2a681b417297p-16, 0x1.242662c92c048p-16, 0x1.1decbbd875e26p-16, 0x1.17bb4aabcd6b7p-16, 0x1.119232be9910bp-16, 0x1.0b7196c8a4ffap-16, 0x1.055998bbf84a7p-16, 0x1.fe94b3882eca1p-17, 0x1.f287f486b0a31p-17, 0x1.e68d33a53f397p-17, 0x1.daa4ae7fd355cp-17, 0x1.cecea11a85f9ep-17, 0x1.c30b45e1456ffp-17, 0x1.b75ad5a5e2a7p-17, 0x1.abbd879f6895cp-17, 0x1.a033916a4eab2p-17, 0x1.94bd2708493fap-17, 0x1.895a7adfdeefdp-17, 0x1.7e0bbdbdab6e1p-17, 0x1.72d11ed55bb5fp-17, 0x1.67aacbc196fd7p-17, 0x1.5c98f08660503p-17, 0x1.519bb792383bap-17, 0x1.46b349bfbab4dp-17, 0x1.3bdfce57b8a58p-17, 0x1.31216b1429a4bp-17, 0x1.26784420aa35bp-17, 0x1.1be47c1f58ef8p-17, 0x1.1166342a094f5p-17, 0x1.06fd8bd54f871p-17, 0x1.f95542680d03cp-18, 0x1.e4db21b4d0c27p-18, 0x1.d08cebc288c0fp-18, 0x1.bc6ad3d2e7affp-18, 0x1.a8750a3f24d05p-18, 0x1.94abbc7fecd6ep-18, 0x1.810f1533a7a77p-18, 0x1.6d9f3c272a0cp-18, 0x1.5a5c565e5465cp-18, 0x1.4746861c61d1p-18, 0x1.345deaea9559ep-18, 0x1.21a2a1a365cedp-18, 0x1.0f14c478f8848p-18, 0x1.f968d5fddf117p-19, 0x1.d5035466953cep-19, 0x1.b0f9291235bdep-19, 0x1.8d4a73db9a3dfp-19, 0x1.69f74fac86fcp-19, 0x1.46ffd28eaba7fp-19, 0x1.24640dbbb7e38p-19, 0x1.02240db2f6671p-19, 0x1.c07fb4985af2cp-20, 0x1.7d6eed945c416p-20, 0x1.3b15c3dd5d93fp-20, 0x1.f2e85839968d7p-21, 0x1.71142487591abp-21, 0x1.e15d66e43ae66p-22, 0x1.c6deebe11f0afp-23, -0x1.7a23ec3ab6897p-26, -0x1.0fd88c9c843c1p-22, -0x1.029a345cd790cp-21, -0x1.7bdb73b3b5e53p-21, -0x1.f3b09dbb759c1p-21, -0x1.350d2d6c0d69bp-20, -0x1.6f8cb10bfb32p-20, -0x1.a9573c6f34badp-20, -0x1.e26d395261ebcp-20, -0x1.0d678c2a19078p-19, -0x1.293ea8664f3edp-19, -0x1.44bc3053d970bp-19, -0x1.5fe06621a046fp-19, -0x1.7aab8f21f2163p-19, -0x1.951df3b99d1afp-19, -0x1.af37df4d8d3fep-19, -0x1.c8f9a02ebf4f3p-19, -0x1.e2638788b9339p-19, -0x1.fb75e9507b478p-19, -0x1.0a188e1874d9ap-18, -0x1.164abcbcc6a82p-18, -0x1.2251ae861823fp-18, -0x1.2e2d92a64480ep-18, -0x1.39de9986fb85bp-18, -0x1.4564f4c155decp-18, -0x1.50c0d714f0f6ep-18, -0x1.5bf2745fd6e06p-18, -0x1.66fa01962282dp-18, -0x1.71d7b4b90b4edp-18, -0x1.7c8bc4d01aa37p-18, -0x1.871669dff862cp-18, -0x1.9177dce25c148p-18, -0x1.9bb057bee8f12p-18, -0x1.a5c01542ffe37p-18, -0x1.afa75119cdc77p-18, -0x1.b96647c4ba388p-18, -0x1.c2fd3694a4747p-18, -0x1.cc6c5ba19e047p-18, -0x1.d5b3f5c3a68p-18, -0x1.ded4448ba7e02p-18, -0x1.e7cd883cb848dp-18, -0x1.f0a001c45f0c2p-18, -0x1.f94bf2b416706p-18, -0x1.00e8ce9d51423p-17, -0x1.0518a20eb8e06p-17, -0x1.09359558ac404p-17, -0x1.0d3fca6a27f16p-17, -0x1.11376373a875bp-17, -0x1.151c82e3c7fa6p-17, -0x1.18ef4b64751e6p-17, -0x1.1cafdfd7d58eap-17, -0x1.205e6354fd412p-17, -0x1.23faf92522ed6p-17, -0x1.2785c4c0b0576p-17, -0x1.2afee9cc91711p-17, -0x1.2e668c173a456p-17, -0x1.31bccf95ddbebp-17, -0x1.3501d861e0165p-17, -0x1.3835cab6425a3p-17, -0x1.3b58caecd3ddap-17, -0x1.3e6afd7ba4848p-17, -0x1.416c86f2716fbp-17, -0x1.445d8bf84c06fp-17, -0x1.473e314950ddbp-17, -0x1.4a0e9bb4220fdp-17, -0x1.4ccef01769b14p-17, -0x1.4f7f535fc72bcp-17, -0x1.521fea859117bp-17, -0x1.54b0da8ab3096p-17, -0x1.573248784913dp-17, -0x1.59a4595cb6837p-17, -0x1.5c073249af7b5p-17, -0x1.5e5af852127p-17, -0x1.609fd08810e5ep-17, -0x1.62d5dffafd648p-17, -0x1.64fd4bb5b0bc5p-17, -0x1.671638bc71eaap-17, -0x1.6920cc0b66e6dp-17, -0x1.6b1d2a94dd154p-17, -0x1.6d0b793f56a38p-17, -0x1.6eebdce3e728cp-17, -0x1.70be7a4cb44cbp-17, -0x1.728376335def4p-17, -0x1.743af53f0cf5fp-17, -0x1.75e51c0368aeep-17, -0x1.77820eff0d619p-17, -0x1.7911f29a11491p-17, -0x1.7a94eb2479b3ep-17, -0x1.7c0b1cd4cfd83p-17, -0x1.7d74abc70c209p-17, -0x1.7ed1bbfafa007p-17, -0x1.80227153192a3p-17, -0x1.8166ef93afc4cp-17, -0x1.829f5a614b131p-17, -0x1.83cbd53f64229p-17, -0x1.84ec838f84bd7p-17, -0x1.860188904e187p-17, -0x1.870b075c2d5c4p-17, -0x1.880922e84580fp-17, -0x1.88fbfe037d30bp-17, -0x1.89e3bb55e775fp-17, -0x1.8ac07d5f8de23p-17, -0x1.8b92667751c41p-17, -0x1.8c5998ca50824p-17, -0x1.8d16365ad8febp-17, -0x1.8dc860ffaa792p-17, -0x1.8e703a6351b58p-17, -0x1.8f0de4033e13cp-17, -0x1.8fa17f2f17815p-17, -0x1.902b2d07eef28p-17, -0x1.90ab0e7f875bcp-17, -0x1.91214457e2672p-17, -0x1.918def226c9a8p-17, -0x1.91f12f3f6041cp-17, -0x1.924b24dd64e06p-17, -0x1.929beff8d82a7p-17, -0x1.92e3b05b3f584p-17, -0x1.9322859ad0f98p-17, -0x1.93588f1a2ce6bp-17, -0x1.9385ec076d05fp-17, -0x1.93aabb5bd4966p-17, -0x1.93c71bdb8c74bp-17, -0x1.93db2c1562407p-17, -0x1.93e70a622412p-17, -0x1.93ead4e431826p-17, -0x1.93e6a98760495p-17, -0x1.93daa6007a897p-17, -0x1.93c6e7cd097d6p-17, -0x1.93ab8c32cf712p-17, -0x1.9388b04019e6fp-17, -0x1.935e70cae518bp-17, -0x1.932cea70ed42ep-17, -0x1.92f43997554aap-17, -0x1.92b47a6acc363p-17, -0x1.926dc8def187cp-17, -0x1.922040ae3e2eap-17, -0x1.91cbfd59d7da5p-17, -0x1.91711a29a3b66p-17, -0x1.910fb22c36908p-17, -0x1.90a7e0366ff6ep-17, -0x1.9039bee373039p-17, -0x1.8fc56894bd6b5p-17, -0x1.8f4af771fc41dp-17, -0x1.8eca8568f4ea8p-17, -0x1.8e442c2d9381ep-17, -0x1.8db80539db037p-17, -0x1.8d2629cdcfab8p-17, -0x1.8c8eb2ef998dap-17, -0x1.8bf1b96bb9e75p-17, -0x1.8b4f55d4ad732p-17, -0x1.8aa7a082f39d7p-17, -0x1.89fab1956ac03p-17, -0x1.8948a0f1477d8p-17, -0x1.88918641e5306p-17, -0x1.87d578f916a1ap-17, -0x1.8714904f754acp-17, -0x1.864ee34410a1fp-17, -0x1.8584889cb628ap-17, -0x1.84b596e61ca7dp-17, -0x1.83e22473db8ap-17, -0x1.830a4760cb6a4p-17, -0x1.822e158ef075fp-17, -0x1.814da4a7cb212p-17, -0x1.80690a1c766a5p-17, -0x1.7f805b25e00edp-17, -0x1.7e93acc500bf3p-17, -0x1.7da313c2e4c4dp-17, -0x1.7caea4b0a63e5p-17, -0x1.7bb673e834008p-17, -0x1.7aba958c265a3p-17, -0x1.79bb1d87da762p-17, -0x1.78b81f901534bp-17, -0x1.77b1af231a3a7p-17, -0x1.76a7df88895a5p-17, -0x1.759ac3d1dd676p-17, -0x1.748a6edaf0cb1p-17, -0x1.7376f349bcaafp-17, -0x1.7260638ef1ac2p-17, -0x1.7146d1e621be1p-17, -0x1.702a5055e703fp-17, -0x1.6f0af0b04b97fp-17, -0x1.6de8c49335a15p-17, -0x1.6cc3dd686d184p-17, -0x1.6b9c4c65edeb2p-17, -0x1.6a72228e35d0fp-17, -0x1.694570b08dc8fp-17, -0x1.6816476952298p-17, -0x1.66e4b7223aaecp-17, -0x1.65b0d012fa727p-17, -0x1.647aa2410c0a4p-17, -0x1.63423d8044872p-17, -0x1.6207b1730756ep-17, -0x1.60cb0d8ab98f3p-17, -0x1.5f8c610802c77p-17, -0x1.5e4bbafb197a6p-17, -0x1.5d092a43f294ep-17, -0x1.5bc4bd92dffdp-17, -0x1.5a7e8368b0465p-17, -0x1.59368a1700d73p-17, -0x1.57ecdfc0d2596p-17, -0x1.56a1925a66233p-17, -0x1.5554afa9f25cbp-17, -0x1.54064547d8c2fp-17, -0x1.52b6609f02e41p-17, -0x1.51650eed148fdp-17, -0x1.50125d42f06dap-17, -0x1.4ebe5885110cep-17, -0x1.4d690d6bb6ddcp-17, -0x1.4c1288835c0fcp-17, -0x1.4abad62d1c79cp-17, -0x1.4962029ec223fp-17, -0x1.480819e360c7cp-17, -0x1.46ad27dbb2307p-17, -0x1.4551383e4cda2p-17, -0x1.43f456980e969p-17, -0x1.42968e4c424f9p-17, -0x1.4137ea955a142p-17, -0x1.3fd876850c5a4p-17, -0x1.3e783d04af81ep-17, -0x1.3d1748d56f719p-17, -0x1.3bb5a490dbaf6p-17, -0x1.3a535aa938a8bp-17, -0x1.38f07569c54ep-17, -0x1.378cfef6f3ffap-17, -0x1.3629014f0a3bbp-17, -0x1.34c4864a7580cp-17, -0x1.335f979bda6efp-17, -0x1.31fa3ed096a1cp-17, -0x1.309485511be91p-17, -0x1.2f2e7461395a5p-17, -0x1.2dc8152086f82p-17, -0x1.2c61708aad76ep-17, -0x1.2afa8f77cd23p-17, -0x1.29937a9ca1e84p-17, -0x1.282c3a8b1291cp-17, -0x1.26c4d7b297414p-17, -0x1.255d5a603e55ap-17, -0x1.23f5cabf3fb4p-17, -0x1.228e30d933f9fp-17, -0x1.21269496832b8p-17, -0x1.1fbefdbea9969p-17, -0x1.1e5773f86863cp-17, -0x1.1ceffeca5dc62p-17, -0x1.1b88a59b66421p-17, -0x1.1a216fb28272cp-17, -0x1.18ba64376b30fp-17, -0x1.17538a332345cp-17, -0x1.15ece88fd3ad7p-17, -0x1.148686193d715p-17, -0x1.1320697d53231p-17, -0x1.11ba994c5d2ep-17, -0x1.10551bf926842p-17, -0x1.0eeff7d964abp-17, -0x1.0d8b332624d49p-17, -0x1.0c26d3fc0b47cp-17, -0x1.0ac2e05b8d99bp-17, -0x1.095f5e2963cf5p-17, -0x1.07fc532e9f90cp-17, -0x1.0699c51923c74p-17, -0x1.0537b97c06c19p-17, -0x1.03d635cfa20e4p-17, -0x1.02753f7201e25p-17, -0x1.0114dba74b6b7p-17, -0x1.ff6a1f33c28cep-18, -0x1.fcabc0b536d2fp-18, -0x1.f9eea5c28a326p-18, -0x1.f732d819c4752p-18, -0x1.f478614783406p-18, -0x1.f1bf4aa7e4b35p-18, -0x1.ef079d675af6cp-18, -0x1.ec5162826fffcp-18, -0x1.e99ca2c70fdf5p-18, -0x1.e6e966d5103a6p-18, -0x1.e437b71e32e2p-18, -0x1.e1879be701be7p-18, -0x1.ded91d4780fp-18, -0x1.dc2c432bb9724p-18, -0x1.d9811553bf736p-18, -0x1.d6d79b54aa7eep-18, -0x1.d42fdc9953b8cp-18, -0x1.d189e06235df9p-18, -0x1.cee5adc68d86ep-18, -0x1.cc434bb4804acp-18, -0x1.c9a2c0f1a28c9p-18, -0x1.c704141c0132dp-18, -0x1.c4674ba9b9522p-18, -0x1.c1cc6dea07fa9p-18, -0x1.bf338106205eep-18, -0x1.bc9c8b00a73f2p-18, -0x1.ba0791b70ecd1p-18, -0x1.b7749ae20d6cbp-18, -0x1.b4e3ac1560058p-18, -0x1.b254cac0db41p-18, -0x1.afc7fc31118f9p-18, -0x1.ad3d458f0f6cbp-18, -0x1.aab4abe180ca3p-18, -0x1.a82e340d0130ep-18, -0x1.a5a9e2d3f6dbep-18, -0x1.a327bcd7e07dfp-18, -0x1.a0a7c6998ce25p-18, -0x1.9e2a0479180aep-18, -0x1.9bae7ab6ad2acp-18, -0x1.99352d73444e3p-18, -0x1.96be20b09f78ap-18, -0x1.94495851abc7p-18, -0x1.91d6d81b62419p-18, -0x1.8f66a3b4d2cfbp-18, -0x1.8cf8bea7b2072p-18, -0x1.8a8d2c60a902fp-18, -0x1.8823f02fcafcep-18, -0x1.85bd0d495c77bp-18, -0x1.835886c56806cp-18, -0x1.80f65fa0d2241p-18, -0x1.7e969abda74c9p-18, -0x1.7c393ae30bdc1p-18, -0x1.79de42be5d6f2p-18, -0x1.7785b4e2ec8f9p-18, -0x1.752f93ca81dd8p-18, -0x1.72dbe1d6237fbp-18, -0x1.708aa14de6285p-18, -0x1.6e3bd46195fcp-18, -0x1.6bef7d2948b3cp-18, -0x1.69a59da517dcdp-18, -0x1.675e37be19969p-18, -0x1.65194d46ac607p-18, -0x1.62d6dffa3ce13p-18, -0x1.6096f17e2da39p-18, -0x1.5e598362542dcp-18, -0x1.5c1e97208e5c2p-18, -0x1.59e62e1dc20aap-18, -0x1.57b049a9fe39dp-18, -0x1.557ceb00c84e4p-18, -0x1.534c134969054p-18, -0x1.511dc39741c5fp-18, -0x1.4ef1fcea5214bp-18, -0x1.4cc8c02f0a9c6p-18, -0x1.4aa20e3f19893p-18, -0x1.487de7e1b5794p-18, -0x1.465c4dcb5369bp-18, -0x1.443d409ed0bdfp-18, -0x1.4220c0ed03b46p-18, -0x1.4006cf3561ff5p-18, -0x1.3def6be66a42bp-18, -0x1.3bda975d6de49p-18, -0x1.39c851e75ed8bp-18, -0x1.37b89bc0e665bp-18, -0x1.35ab751672b14p-18, -0x1.33a0de0508decp-18, -0x1.3198d699d81bap-18, -0x1.2f935ed2fb506p-18, -0x1.2d90769fd83e5p-18, -0x1.2b901de0c1d2ap-18, -0x1.29925467c0c23p-18, -0x1.279719f8f0a2dp-18, -0x1.259e6e4a21174p-18, -0x1.23a85103ad1e3p-18, -0x1.21b4c1c08e61cp-18, -0x1.1fc3c00e71ae9p-18, -0x1.1dd54b6e083bcp-18, -0x1.1be963538555bp-18, -0x1.1a000726764e1p-18, -0x1.1819364226c98p-18, -0x1.1634eff62bacep-18, -0x1.14533385ee61ap-18, -0x1.127400298c809p-18, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.1770e1f81e4cep-7, 0x1.176759d090861p-6, 0x1.a2fc6cd266ef7p-6, 0x1.17347d30191d8p-5, 0x1.5cd587a49c96ep-5, 0x1.a26a10e68653fp-5, 0x1.e80511530d436p-5, 0x1.16e1034855519p-4, 0x1.39e0eef7c8912p-4, 0x1.5d13ab0f3ec73p-4, 0x1.8089bc57492d3p-4, 0x1.a45148d7d500dp-4, 0x1.c874ed28a93a8p-4, 0x1.ecfaf37f53c93p-4, 0x1.08f2744a317e2p-3, 0x1.1b97c1a1f60e8p-3, 0x1.2e69681caa56ep-3, 0x1.416148f2a45ffp-3, 0x1.547762c5da83bp-3, 0x1.67a21fded52d8p-3, 0x1.7ad6aa4b6ddb9p-3, 0x1.8e09412218102p-3, 0x1.a12d8b3d4e2b5p-3, 0x1.b436e4bcf069fp-3, 0x1.c718a575af9f1p-3, 0x1.d9c65f2e23cd5p-3, 0x1.ec34131d48945p-3, 0x1.fe565e91c4901p-3, 0x1.08114f7fcdba6p-2, 0x1.10c786f7bf872p-2, 0x1.19496ab9b76c5p-2, 0x1.21930eee5453p-2, 0x1.29a10abcde768p-2, 0x1.3170799296f8dp-2, 0x1.38fefa338e3dfp-2, 0x1.404aabf102587p-2, 0x1.47522a5a6dc58p-2, 0x1.4e1487b6bf042p-2, 0x1.5491468b266bdp-2, 0x1.5ac8526cdb275p-2, 0x1.60b9f85386596p-2, 0x1.6666de9ab24dap-2, 0x1.6bcffcd9e1528p-2, 0x1.70f693b4d0d3cp-2, 0x1.75dc24bfe19a8p-2, 0x1.7a826a8fc104p-2, 0x1.7eeb510704b24p-2, 0x1.8318edf0acc54p-2, 0x1.870d79f321c7dp-2, 0x1.8acb49e460999p-2, 0x1.8e54c88595399p-2, 0x1.91ac70aa32d36p-2, 0x1.94d4c7ccceea5p-2, 0x1.97d0591275b7bp-2, 0x1.9aa1b0bbdb298p-2, 0x1.9d4b5802bad1bp-2, 0x1.9fcfd160c730cp-2, 0x1.a231953cdb7e2p-2, 0x1.a4730efa72443p-2, 0x1.a6969a670577ep-2, 0x1.a89e818089074p-2, 0x1.aa8cfa9007f6ep-2, 0x1.ac642693239p-2, 0x1.ae260fef36c9cp-2, 0x1.afd4a968c6914p-2, 0x1.b171cd59f306cp-2, 0x1.b2ff3d22afccdp-2, 0x1.b47ea0cdae079p-2, 0x1.b5f186e4fb4b5p-2, 0x1.b75964718f437p-2, 0x1.b8b7952139b3cp-2, 0x1.ba0d5b8e8a7fp-2, 0x1.bb5be1a698ff9p-2, 0x1.bca43928c7dc5p-2, 0x1.bde75c3cdacedp-2, 0x1.bf262e1c0137bp-2, 0x1.c0617bc9acb38p-2, 0x1.c199fcd951424p-2, 0x1.c2d0543e654edp-2, 0x1.c40511243b9e7p-2, 0x1.c538afcb80b0ep-2, 0x1.c66b9a6b6862cp-2, 0x1.c79e2a14c9068p-2, 0x1.c8d0a7958fc4bp-2, 0x1.ca034c5b310fbp-2, 0x1.cb364352e0dd1p-2, 0x1.cc69a9c68ac3p-2, 0x1.cd9d9035a06fap-2, 0x1.ced1fb2904e27p-2, 0x1.d006e40173df6p-2, 0x1.d13c39bfe2fd1p-2, 0x1.d271e1c77411ep-2, 0x1.d3a7b898b2318p-2, 0x1.d4dd9285d57f5p-2, 0x1.d6133c5ff6164p-2, 0x1.d7487c1d0e5bdp-2, 0x1.d87d1176d0424p-2, 0x1.d9b0b6824d7acp-2, 0x1.dae32040900e7p-2, 0x1.dc13ff2834153p-2, 0x1.dd42ffa830475p-2, 0x1.de6fcaa3f4ff1p-2, 0x1.df9a05e90ef73p-2, 0x1.e0c1549e88448p-2, 0x1.e1e557ae370aap-2, 0x1.e305ae283cc56p-2, 0x1.e421f5a0e5a62p-2, 0x1.e539ca892ed55p-2, 0x1.e64cc882269afp-2, 0x1.e75a8aab66a56p-2, 0x1.e862abecdd34fp-2, 0x1.e964c73c26b44p-2, 0x1.ea6077dda4281p-2, 0x1.eb5559a18dcd8p-2, 0x1.ec43091d2fa1cp-2, 0x1.ed2923e081f81p-2, 0x1.ee0748a84eef4p-2, 0x1.eedd178d12f3cp-2, 0x1.efaa322ebcd0cp-2, 0x1.f06e3bdd7dafbp-2, 0x1.f128d9bfc9227p-2, 0x1.f1d9b2f5a9b87p-2, 0x1.f28070b990d2cp-2, 0x1.f31cbe7ebbaa9p-2, 0x1.f3ae4a0d48cd6p-2, 0x1.f434c39c2615dp-2, 0x1.f4afdde8e0cdcp-2, 0x1.f51f4e4d7d5b1p-2, 0x1.f582ccd462586p-2, 0x1.f5da144a77334p-2, 0x1.f624e24f7e3c2p-2, 0x1.f662f764c56b2p-2, 0x1.f69416fa3ccebp-2, 0x1.f6b80779fc508p-2, 0x1.f6ce925254866p-2, 0x1.f6d783fe6b6fep-2, 0x1.f6d2ac0d7c7p-2, 0x1.f6bfdd28c28c9p-2, 0x1.f69eed181a957p-2, 0x1.f66fb4c56c27ap-2, 0x1.f632103edb4eap-2, 0x1.f5e5deb7da843p-2, 0x1.f58b02891b4b9p-2, 0x1.f521612f6ccd1p-2, 0x1.f4a8e34993e22p-2, 0x1.f42174951f33ap-2, 0x1.f38b03ea4741bp-2, 0x1.f2e58336e1cdbp-2, 0x1.f230e7786e5e6p-2, 0x1.f16d28b5451abp-2, 0x1.f09a41f4f52d7p-2, 0x1.efb83137d6a5bp-2, 0x1.eec6f76dd9125p-2, 0x1.edc6986c9812bp-2, 0x1.ecb71ae4beabp-2, 0x1.eb988856bdbfap-2, 0x1.ea6aed06e66f6p-2, 0x1.e92e57f0e619bp-2, 0x1.e7e2dabab2939p-2, 0x1.e68889a6ed94dp-2, 0x1.e51f7b86c89adp-2, 0x1.e3a7c9ab6b727p-2, 0x1.e2218fd6ee919p-2, 0x1.e08cec2cea1fdp-2, 0x1.dee9ff22a12ap-2, 0x1.dd38eb6ed7128p-2, 0x1.db79d5f951005p-2, 0x1.d9ace5ca0ddc6p-2, 0x1.d7d243f839b28p-2, 0x1.d5ea1b98e7043p-2, 0x1.d3f499ad93c5bp-2, 0x1.d1f1ed12802cbp-2, 0x1.cfe2466cdf3c3p-2, 0x1.cdc5d818ea48ep-2, 0x1.cb9cd617d9392p-2, 0x1.c96775fdc92dcp-2, 0x1.c725eedf982b7p-2, 0x1.c4d87940bb7d6p-2, 0x1.c27f4f011688bp-2, 0x1.c01aab4ad7c7bp-2, 0x1.bdaaca806134ap-2, 0x1.bb2fea2a45d12p-2, 0x1.b8aa48e558c49p-2, 0x1.b61a2650df39ap-2, 0x1.b37fc2fcdbbdep-2, 0x1.b0db60588920dp-2, 0x1.ae2d40a0f5df2p-2, 0x1.ab75a6cfd4541p-2, 0x1.a8b4d68a7d0ecp-2, 0x1.a5eb1411265e6p-2, 0x1.a318a42e57aeep-2, 0x1.a03dcc269ae8bp-2, 0x1.9d5ad1a86fc94p-2, 0x1.9a6ffabc81337p-2, 0x1.977d8db625b5cp-2, 0x1.9483d124274f1p-2, 0x1.91830bc1da5e9p-2, 0x1.8e7b846881197p-2, 0x1.8b6d82010453ep-2, 0x1.88594b75f9b15p-2, 0x1.853f27a6054f6p-2, 0x1.821f5d568c5dfp-2, 0x1.7efa3326c5646p-2, 0x1.7bcfef831ba63p-2, 0x1.78a0d898f42b5p-2, 0x1.756d344ac8fb4p-2, 0x1.72354824a1252p-2, 0x1.6ef95950e837dp-2, 0x1.6bb9ac8da1a52p-2, 0x1.68768621f9627p-2, 0x1.653029d431552p-2, 0x1.61e6dadff295fp-2, 0x1.5e9adbecf4766p-2, 0x1.5b4c6f0606ec3p-2, 0x1.57fbd59079c8fp-2, 0x1.54a95043defbdp-2, 0x1.51551f22299ffp-2, 0x1.4dff81702c0a5p-2, 0x1.4aa8b5ae6eae5p-2, 0x1.4750f992604acp-2, 0x1.43f889ffe3537p-2, 0x1.409fa303303cfp-2, 0x1.3d467fcb11808p-2, 0x1.39ed5aa375d3ap-2, 0x1.36946cf05660ap-2, 0x1.333bef28f1e06p-2, 0x1.2fe418d35b452p-2, 0x1.2c8d2080578e8p-2, 0x1.29373bc78e4d4p-2, 0x1.25e29f4404099p-2, 0x1.228f7e90e6e8p-2, 0x1.1f3e0c46a28ep-2, 0x1.1bee79f83f3afp-2, 0x1.18a0f8310ac4dp-2, 0x1.1555b67282abep-2, 0x1.120ce3328a449p-2, 0x1.0ec6abd9dd21ep-2, 0x1.0b833cc2c8cp-2, 0x1.0842c138211d4p-2, 0x1.0505637473c75p-2, 0x1.01cb4ca17ce0dp-2, 0x1.fd2949af982dep-3, 0x1.f6c3263d5b868p-3, 0x1.f0647ad88393ap-3, 0x1.ea0d914b974a1p-3, 0x1.e3beb1406e6efp-3, 0x1.dd78204195d62p-3, 0x1.d73a21bc1c4c2p-3, 0x1.d104f701b310fp-3, 0x1.cad8df4b2f13ep-3, 0x1.c4b617bb5b1c6p-3, 0x1.be9cdb621d832p-3, 0x1.b88d633fec33ap-3, 0x1.b287e6498b72bp-3, 0x1.ac8c996c16876p-3, 0x1.a69baf914b3e5p-3, 0x1.a0b559a419275p-3, 0x1.9ad9c6956bc24p-3, 0x1.9509236135c39p-3, 0x1.8f439b13ad9a2p-3, 0x1.898956cec7887p-3, 0x1.83da7dcfdbb88p-3, 0x1.7e3735757e72cp-3, 0x1.789fa1458612ep-3, 0x1.7313e2f337afdp-3, 0x1.6d941a659ede9p-3, 0x1.682065be06e0cp-3, 0x1.62b8e15e98c59p-3, 0x1.5d5da7f116914p-3, 0x1.580ed26db44cdp-3, 0x1.52cc78220d3b9p-3, 0x1.4d96aeb82c6a6p-3, 0x1.486d8a3db5caep-3, 0x1.43511d2b12d34p-3, 0x1.3e41786ac08adp-3, 0x1.393eab60a5818p-3, 0x1.3448c3f17336p-3, 0x1.2f5fce8a18334p-3, 0x1.2a83d6273936bp-3, 0x1.25b4e45cb07efp-3, 0x1.20f3015d16c79p-3, 0x1.1c3e34014e073p-3, 0x1.179681d00ed0ep-3, 0x1.12fbef0575b62p-3, 0x1.0e6e7e9a942ccp-3, 0x1.09ee324cf6061p-3, 0x1.057b0aa632555p-3, 0x1.0115070367398p-3, 0x1.f9784b396d10fp-4, 0x1.f0e0c71981704p-4, 0x1.e86379b017176p-4, 0x1.e00058e8ca79cp-4, 0x1.d7b758a07db2p-4, 0x1.cf886ab3e303cp-4, 0x1.c7737f0e03d85p-4, 0x1.bf7883b69679ep-4, 0x1.b79764e045bb6p-4, 0x1.afd00cf6cae3p-4, 0x1.a82264acf278cp-4, 0x1.a08e530a7519bp-4, 0x1.9913bd79b0fadp-4, 0x1.91b287d537cafp-4, 0x1.8a6a94753df8cp-4, 0x1.833bc43cd6c6cp-4, 0x1.7c25f6a710e22p-4, 0x1.752909d3df9b3p-4, 0x1.6e44da94de1ddp-4, 0x1.67794479e5cdap-4, 0x1.60c621dd71443p-4, 0x1.5a2b4bf0d7e66p-4, 0x1.53a89ac858927p-4, 0x1.4d3de566f11c3p-4, 0x1.46eb01ca0b908p-4, 0x1.40afc4f4f4c3p-4, 0x1.3a8c02fc27eebp-4, 0x1.347f8f106156dp-4, 0x1.2e8a3b8986283p-4, 0x1.28abd9f156589p-4, 0x1.22e43b0dec083p-4, 0x1.1d332eec0add4p-4, 0x1.179884e9387b4p-4, 0x1.12140bbda3b94p-4, 0x1.0ca59185dfaf2p-4, 0x1.074ce3cc5ccbp-4, 0x1.0209cf92bf987p-4, 0x1.f9b842b5efb11p-5, 0x1.ef874a605c2b5p-5, 0x1.e5804d5ef0c8bp-5, 0x1.dba2e220bf49ap-5, 0x1.d1ee9e5a66aa1p-5, 0x1.c86317164fcfep-5, 0x1.beffe0c48db0cp-5, 0x1.b5c48f4a5f866p-5, 0x1.acb0b6113a544p-5, 0x1.a3c3e8159155bp-5, 0x1.9afdb7f527263p-5, 0x1.925db7fd0043cp-5, 0x1.89e37a3704ff3p-5, 0x1.818e907735ff7p-5, 0x1.795e8c688f7f3p-5, 0x1.7152ff9985724p-5, 0x1.696b7b883027fp-5, 0x1.61a791ae16c2p-5, 0x1.5a06d38b9f9a5p-5, 0x1.5288d2b33123bp-5, 0x1.4b2d20d3f8b82p-5, 0x1.43f34fc44f3dap-5, 0x1.3cdaf18be3bc7p-5, 0x1.35e3986d76c6cp-5, 0x1.2f0cd6f053bb5p-5, 0x1.28563fe97b915p-5, 0x1.21bf668471596p-5, 0x1.1b47de4bc877bp-5, 0x1.14ef3b315492dp-5, 0x1.0eb511962461fp-5, 0x1.0898f6521cc6ep-5, 0x1.029a7ebb53dfcp-5, 0x1.f972815a41991p-6, 0x1.ede9a51ddf4a3p-6, 0x1.e29996b578207p-6, 0x1.d7818546b5325p-6, 0x1.cca0a134ec0a6p-6, 0x1.c1f61c2c8f66dp-6, 0x1.b781292e339a3p-6, 0x1.ad40fc990c858p-6, 0x1.a334cc34e1a4fp-6, 0x1.995bcf3ba486dp-6, 0x1.8fb53e6274e32p-6, 0x1.864053e245b5p-6, 0x1.7cfc4b800b66cp-6, 0x1.73e8629479679p-6, 0x1.6b03d8134f29ep-6, 0x1.624dec92429d9p-6, 0x1.59c5e24f8af6ep-6, 0x1.516afd37eaae7p-6, 0x1.493c82ec81363p-6, 0x1.4139bac80bb8bp-6, 0x1.3961ede3f496p-6, 0x1.31b4671cf736ep-6, 0x1.2a30731758e9cp-6, 0x1.22d56042ec453p-6, 0x1.1ba27edea1d67p-6, 0x1.149720fbde684p-6, 0x1.0db29a81789fap-6, 0x1.06f4412e60bfp-6, 0x1.005b6c9c0e00fp-6, 0x1.f3ceec811b514p-7, 0x1.e72f72e0cfb0fp-7, 0x1.dad726c039f1p-7, 0x1.cec4c64b084c1p-7, 0x1.c2f7137185cc7p-7, 0x1.b76cd3ea5436bp-7, 0x1.ac24d13377706p-7, 0x1.a11dd893137efp-7, 0x1.9656bb1784748p-7, 0x1.8bce4d973f799p-7, 0x1.818368b02b52dp-7, 0x1.7774e8c68df0fp-7, 0x1.6da1ae03b2399p-7, 0x1.64089c53ffabdp-7, 0x1.5aa89b64f30d9p-7, 0x1.518096a26f9f3p-7, 0x1.488f7d34050c9p-7, 0x1.3fd441f9cad4ap-7, 0x1.374ddb88c217bp-7, 0x1.2efb442722b5dp-7, 0x1.26db79c83fff8p-7, 0x1.1eed7e0839785p-7, 0x1.173056275e30ep-7, 0x1.0fa30b0533f2cp-7, 0x1.0844a91b80885p-7, 0x1.01144078d69b3p-7, 0x1.f421c97621aeap-8, 0x1.e6735a130c3eap-8, 0x1.d91b681e23afbp-8, 0x1.cc182fe7ddc38p-8, 0x1.bf67f4ae8b78fp-8, 0x1.b309009181fb7p-8, 0x1.a6f9a48392ce9p-8, 0x1.9b38383d5b706p-8, 0x1.8fc31a2f65234p-8, 0x1.8498af73ba3a1p-8, 0x1.79b763bf75c47p-8, 0x1.6f1da953ec35p-8, 0x1.64c9f8efb79a3p-8, 0x1.5abad1bf6bbd3p-8, 0x1.50eeb94e40f68p-8, 0x1.47643b765d0fp-8, 0x1.3e19ea511246ap-8, 0x1.350e5e26f1e22p-8, 0x1.2c40355fb6c07p-8, 0x1.23ae1471f99d4p-8, 0x1.1b56a5d2e59b4p-8, 0x1.133899e5bd854p-8, 0x1.0b52a6eb3eb7ap-8, 0x1.03a388f1106cap-8, 0x1.f8540381ef499p-9, 0x1.e9c9b1a041764p-9, 0x1.dba5b65c44a71p-9, 0x1.cde5b6e884dcap-9, 0x1.c0876368b940dp-9, 0x1.b38876d026e63p-9, 0x1.a6e6b6bf790acp-9, 0x1.9a9ff362d086p-9, 0x1.8eb2074fd8d8bp-9, 0x1.831ad763a33fep-9, 0x1.77d852a0d6cap-9, 0x1.6ce8720dd5b97p-9, 0x1.62493892c4814p-9, 0x1.57f8b2d7bb89fp-9, 0x1.4df4f723593adp-9, 0x1.443c2538acd05p-9, 0x1.3acc66363f2dap-9, 0x1.31a3ec7460c72p-9, 0x1.28c0f363f8784p-9, 0x1.2021bf6d8e04dp-9, 0x1.17c49dd0173dfp-9, 0x1.0fa7e480731aep-9, 0x1.07c9f208b4f7ap-9, 0x1.00292d6789b91p-9, 0x1.f1880be09148cp-10, 0x1.e331e655706cfp-10, 0x1.d54ce96676424p-10, 0x1.c7d6243663455p-10, 0x1.bacab593535bcp-10, 0x1.ae27cbb809df4p-10, 0x1.a1eaa40e58436p-10, 0x1.96108af1b8852p-10, 0x1.8a96db722106ep-10, 0x1.7f7aff17e463p-10, 0x1.74ba6da78cbd1p-10, 0x1.6a52ace6875e8p-10, 0x1.6041506067317p-10, 0x1.5683f92c9352p-10, 0x1.4d1855b3f9003p-10, 0x1.43fc21790a6a4p-10, 0x1.3b2d24dd9265ap-10, 0x1.32a934ebcdd2fp-10, 0x1.2a6e331e52c3dp-10, 0x1.227a0d2900363p-10, 0x1.1acabcc3182d9p-10, 0x1.135e47711abe6p-10, 0x1.0c32be4fda1a3p-10, 0x1.05463ddf90121p-10, 0x1.fd2ddb9fb952p-11, 0x1.f0460199b7118p-11, 0x1.e3d16897a7975p-11, 0x1.d7cca0b1d7f0bp-11, 0x1.cc344ecc7609cp-11, 0x1.c1052c341172p-11, 0x1.b63c063de4d99p-11, 0x1.abd5bde756ec8p-11, 0x1.a1cf4778b43cbp-11, 0x1.9825aa26b439dp-11, 0x1.8ed5ffb7c4dbap-11, 0x1.85dd7428a42e4p-11, 0x1.7d394552edc4ep-11, 0x1.74e6c294d9bep-11, 0x1.6ce34c7a42bdfp-11, 0x1.652c546640c15p-11, 0x1.5dbf5c3eba4fdp-11, 0x1.5699f619307c9p-11, 0x1.4fb9c3e7c1643p-11, 0x1.491c7728c5e0fp-11, 0x1.42bfd09593b15p-11, 0x1.3ca19fd4e283fp-11, 0x1.36bfc32ccb017p-11, 0x1.31182735977b3p-11, 0x1.2ba8c68f4a612p-11, 0x1.266fa996e73edp-11, 0x1.216ae61dc9bd4p-11, 0x1.1c989f20fee52p-11, 0x1.17f7048307d31p-11, 0x1.138452c5abf4ep-11, 0x1.0f3ed2c5f1d81p-11, 0x1.0b24d977c4a69p-11, 0x1.0734c7a40a10ep-11, 0x1.036d09a7b3f7cp-11, 0x1.ff982e63d8ceep-12, 0x1.f8a0e60d4ae41p-12, 0x1.f1f1557e16107p-12, 0x1.eb86ad19d0985p-12, 0x1.e55e31fd1349p-12, 0x1.df753d86554b6p-12, 0x1.d9c93ce2e8f4ap-12, 0x1.d457b09c00b3p-12, 0x1.cf1e2c2673703p-12, 0x1.ca1a55748a785p-12, 0x1.c549e489ad36p-12, 0x1.c0aaa30f33044p-12, 0x1.bc3a6bec7aab3p-12, 0x1.b7f72ae08205bp-12, 0x1.b3dedc1c2c641p-12, 0x1.afef8bdfd79bcp-12, 0x1.ac2756198b1dap-12, 0x1.a8846605a7e7fp-12, 0x1.a504f5d1eb668p-12, 0x1.a1a74e3f84878p-12, 0x1.9e69c64b9b628p-12, 0x1.9b4ac2d41bdbfp-12, 0x1.9848b6427619bp-12, 0x1.9562203603ff5p-12, 0x1.92958d2fda1a9p-12, 0x1.8fe1964131bfp-12, 0x1.8d44e0bac6c5bp-12, 0x1.8abe1dde6e1bfp-12, 0x1.884c0a910ae4cp-12, 0x1.85ed6f0f422a5p-12, 0x1.83a11ea31598p-12, 0x1.8165f75b657eep-12, 0x1.7f3ae1c361bd3p-12, 0x1.7d1ed09de84c7p-12, 0x1.7b10c0a0271d2p-12, 0x1.790fb82f05f6ap-12, 0x1.771ac71caae97p-12, 0x1.75310668d7e3dp-12, 0x1.73519801bcea7p-12, 0x1.717ba6856d595p-12, 0x1.6fae650682f19p-12, 0x1.6de90ed007cddp-12, 0x1.6c2ae72bba788p-12, 0x1.6a7339296f898p-12, 0x1.68c157678b62cp-12, 0x1.67149bdc4864ap-12, 0x1.656c67a1a0ab8p-12, 0x1.63c822bfe67c5p-12, 0x1.62273bfc584dep-12, 0x1.608928a5c8943p-12, 0x1.5eed646594074p-12, 0x1.5d53710e5b80cp-12, 0x1.5bbad66f305d3p-12, 0x1.5a232224d8385p-12, 0x1.588be76de7feep-12, 0x1.56f4beff5b4cbp-12, 0x1.555d46da0ab88p-12, 0x1.53c52220f63e6p-12, 0x1.522bf8f114c68p-12, 0x1.5091783965dffp-12, 0x1.4ef5519463aap-12, 0x1.4d573b2253aadp-12, 0x1.4bb6ef645459ep-12, 0x1.4a142d1836ad9p-12, 0x1.486eb7160ddbcp-12, 0x1.46c6542c9a5f3p-12, 0x1.451acf010e052p-12, 0x1.436bf5ed7774dp-12, 0x1.41b99ae14617fp-12, 0x1.4003934213d15p-12, 0x1.3e49b7cd6d278p-12, 0x1.3c8be47ada49bp-12, 0x1.3ac9f85faf64dp-12, 0x1.3903d59225399p-12, 0x1.3739610ea10b3p-12, 0x1.356a829c57463p-12, 0x1.339724b3a28ccp-12, 0x1.31bf346468468p-12, 0x1.2fe2a13d64389p-12, 0x1.2e015d341ba6fp-12, 0x1.2c1b5c8d5469cp-12, 0x1.2a3095c653856p-12, 0x1.2841017ea3518p-12, 0x1.264c9a622956ep-12, 0x1.24535d144d8b1p-12, 0x1.2255481b47d48p-12, 0x1.20525bcc5256cp-12, 0x1.1e4a9a37e1997p-12, 0x1.1c3e0717248c2p-12, 0x1.1a2ca7b95eb57p-12, 0x1.181682f2558ddp-12, 0x1.15fba108922aep-12, 0x1.13dc0ba4d3cf9p-12, 0x1.11b7cdc16e382p-12, 0x1.0f8ef39a63b3p-12, 0x1.0d618a9dfa2c7p-12, 0x1.0b2fa15d8150cp-12, 0x1.08f9477effb8p-12, 0x1.06be8daec1711p-12, 0x1.047f8591c16d1p-12, 0x1.023c41b84067dp-12, 0x1.ffe9ab21cdf08p-13, 0x1.fb52aab8149fdp-13, 0x1.f6b3ac3f5c3f7p-13, 0x1.f20cdb3737514p-13, 0x1.ed5e647bd1de2p-13, 0x1.e8a8762fadb51p-13, 0x1.e3eb3fa68f1bp-13, 0x1.df26f1502d21ap-13, 0x1.da5bbca46e4f8p-13, 0x1.d589d40fe1a12p-13, 0x1.d0b16ae1199ecp-13, 0x1.cbd2b5355601p-13, 0x1.c6ede7e8a571dp-13, 0x1.c203388322e8dp-13, 0x1.bd12dd295f7aep-13, 0x1.b81d0c8c98d25p-13, 0x1.b321fdda872bbp-13, 0x1.ae21e8af712f3p-13, 0x1.a91d05075e9cep-13, 0x1.a4138b3040ddfp-13, 0x1.9f05b3bcd1881p-13, 0x1.99f3b777dddd6p-13, 0x1.94ddcf573a07ap-13, 0x1.8fc43470e578cp-13, 0x1.8aa71fee90105p-13, 0x1.8586cb030f8d5p-13, 0x1.80636edfbbc6cp-13, 0x1.7b3d44aa1942p-13, 0x1.761485724f585p-13, 0x1.70e96a29aaf98p-13, 0x1.6bbc2b995ce02p-13, 0x1.668d025a1473bp-13, 0x1.615c26cbd0b55p-13, 0x1.5c29d10d6bd1fp-13, 0x1.56f638f574dedp-13, 0x1.51c1960b0efdcp-13, 0x1.4c8c1f7e5fea5p-13, 0x1.47560c2252ffdp-13, 0x1.421f9266a8cf1p-13, 0x1.3ce8e850fde46p-13, 0x1.37b24377fb7e7p-13, 0x1.327bd8fd9a7bfp-13, 0x1.2d45dd8962adbp-13, 0x1.2810854496db2p-13, 0x1.22dc03d475e23p-13, 0x1.1da88c56975fp-13, 0x1.1876515c0fc73p-13, 0x1.134584e6375a7p-13, 0x1.0e16586298e71p-13, 0x1.08e8fca74e72p-13, 0x1.03bda1f01bebbp-13, 0x1.fd28efb642d39p-14, 0x1.f2db5acc56009p-14, 0x1.e892e1d742431p-14, 0x1.de4fe040f531bp-14, 0x1.d412b02406929p-14, 0x1.c9dbaa46787b8p-14, 0x1.bfab2616b9b52p-14, 0x1.b58179a7d38cep-14, 0x1.ab5ef9adb9dffp-14, 0x1.a143f97b4af5bp-14, 0x1.9730cafee2604p-14, 0x1.8d25bec0c1dc8p-14, 0x1.832323e09879ap-14, 0x1.7929481322125p-14, 0x1.6f3877a239508p-14, 0x1.6550fd69c1346p-14, 0x1.5b7322d81468fp-14, 0x1.519f2fec71ecp-14, 0x1.47d56b369f339p-14, 0x1.3e1619d6d2ebfp-14, 0x1.34617f7d881c9p-14, 0x1.2ab7de6ad69f8p-14, 0x1.211977700f1e8p-14, 0x1.178689ef2a3d3p-14, 0x1.0dff53dbbb408p-14, 0x1.048411bbb4c61p-14, 0x1.f629fd5204783p-15, 0x1.e364a8a2cd779p-15, 0x1.d0b895f201bdcp-15, 0x1.be2632f6b4179p-15, 0x1.abadea99062c7p-15, 0x1.995024f6fca41p-15, 0x1.870d476851b16p-15, 0x1.74e5b48037128p-15, 0x1.62d9cc14b70ep-15, 0x1.50e9eb40dc69p-15, 0x1.3f166c69fd725p-15, 0x1.2d5fa74457f3bp-15, 0x1.1bc5f0d914586p-15, 0x1.0a499b89f48cdp-15, 0x1.f1d5ee30e1c75p-16, 0x1.cf54a1536c724p-16, 0x1.ad0fe59b53f7cp-16, 0x1.8b084b070e667p-16, 0x1.693e5c8176858p-16, 0x1.47b29fef58aeep-16, 0x1.266596394aa9fp-16, 0x1.0557bb58bb248p-16, 0x1.c9130cd05631ep-17, 0x1.87f6d3583f97fp-17, 0x1.475ba546d6cep-17, 0x1.07425426c2c65p-17, 0x1.8f57505eba0ep-18, 0x1.1130c0af36b75p-18, 0x1.2824c9f267437p-19, 0x1.7fd96f23bb8dap-22, -0x1.8c3185fcb73fcp-20, -0x1.ba149c096aabfp-19, -0x1.55fb099bb13e3p-18, -0x1.cddd80621c13cp-18, -0x1.225857ab9faf9p-17, -0x1.5d39d20f9a5eep-17, -0x1.9792be684fc46p-17, -0x1.d162b3d5cd0cfp-17, -0x1.0554a8b9c394p-16, -0x1.21b31f1d16993p-16, -0x1.3dcc94712a078p-16, -0x1.59a0e3e1ad7eep-16, -0x1.752fec5c5711p-16, -0x1.907990816e92cp-16, -0x1.ab7db6952368ep-16, -0x1.c63c486fe84a6p-16, -0x1.e0b5336f3049fp-16, -0x1.fae8686884d57p-16, -0x1.0a6aedcc688bep-15, -0x1.173ec24b4f2d6p-15, -0x1.23efaf20ff545p-15, -0x1.307db35bce838p-15, -0x1.3ce8cfa01e5dap-15, -0x1.49310621ada2dp-15, -0x1.55565a9c7b4bbp-15, -0x1.6158d24cb9b07p-15, -0x1.6d3873e813ff8p-15, -0x1.78f54796f806ap-15, -0x1.848f56ecb9fdep-15, -0x1.9006ace0c0699p-15, -0x1.9b5b55c73bf8dp-15, -0x1.a68d5f4ae7d8p-15, -0x1.b19cd8658111ap-15, -0x1.bc89d158feb03p-15, -0x1.c7545ba8bb76bp-15, -0x1.d1fc8a1261fdap-15, -0x1.dc827087d8f94p-15, -0x1.e6e62427dde9ep-15, -0x1.f127bb381b89ap-15, -0x1.fb474d1dff369p-15, -0x1.02a2792c29e65p-14, -0x1.0790623c70f38p-14, -0x1.0c6d6f0f2bea3p-14, -0x1.1139ad76aed87p-14, -0x1.15f52bc54f404p-14, -0x1.1a9ff8ca711b6p-14, -0x1.1f3a23cf2fe51p-14, -0x1.23c3bc93459b3p-14, -0x1.283cd34a5530dp-14, -0x1.2ca57898e3932p-14, -0x1.30fdbd91198f2p-14, -0x1.3545b3b011afep-14, -0x1.397d6cdb23972p-14, -0x1.3da4fb5ccb2d1p-14, -0x1.41bc71e1e0b29p-14, -0x1.45c3e376bc49dp-14, -0x1.49bb6384ae587p-14, -0x1.4da305cf2229ap-14, -0x1.517ade710e06ap-14, -0x1.554301da495e9p-14, -0x1.58fb84ccd3cc2p-14, -0x1.5ca47c5a42d6cp-14, -0x1.603dfde142cbep-14, -0x1.63c81f0b3c2a1p-14, -0x1.6742f5c9a3a8cp-14, -0x1.6aae98538a335p-14, -0x1.6e0b1d23525cdp-14, -0x1.71589af465a52p-14, -0x1.749728c0a9cb2p-14, -0x1.77c6ddbe4dabp-14, -0x1.7ae7d15d5ca61p-14, -0x1.7dfa1b45b0f97p-14, -0x1.80fdd354cab39p-14, -0x1.83f3119b89a87p-14, -0x1.86d9ee5bf206fp-14, -0x1.89b282073aca2p-14, -0x1.8c7ce53ba2852p-14, -0x1.8f3930c2741ap-14, -0x1.91e77d8df1adcp-14, -0x1.9487e4b76ecf9p-14, -0x1.971a7f7d72e8ap-14, -0x1.999f6741a2639p-14, -0x1.9c16b586ff319p-14, -0x1.9e8083efedde4p-14, -0x1.a0dcec3c8fa97p-14, -0x1.a32c0848c0f04p-14, -0x1.a56df20a97d9p-14, -0x1.a7a2c390a0b46p-14, -0x1.a9ca97000bf4fp-14, -0x1.abe58692ffd24p-14, -0x1.adf3ac97194bfp-14, -0x1.aff5236bcfa2ap-14, -0x1.b1ea0580bcca6p-14, -0x1.b3d26d541db6p-14, -0x1.b5ae757171421p-14, -0x1.b77e38700c508p-14, -0x1.b941d0f167a36p-14, -0x1.baf9599fa58f3p-14, -0x1.bca4ed2c78f4dp-14, -0x1.be44a64f6db42p-14, -0x1.bfd89fc4c4d6dp-14, -0x1.c160f44c54557p-14, -0x1.c2ddbea7e6f56p-14, -0x1.c44f1999f6396p-14, -0x1.c5b51fe496c2bp-14, -0x1.c70fec484d475p-14, -0x1.c85f9982bf803p-14, -0x1.c9a4424d81eb2p-14, -0x1.cade015cee8d5p-14, -0x1.cc0cf15f4afa9p-14, -0x1.cd312cfb9f18p-14, -0x1.ce4aced060a39p-14, -0x1.cf59f1729b077p-14, -0x1.d05eaf6cd8212p-14, -0x1.d159233e3611ap-14, -0x1.d249675965a1fp-14, -0x1.d32f9623c1e0dp-14, -0x1.d40bc9f465f28p-14, -0x1.d4de1d132f0fep-14, -0x1.d5a6a9b7d5f15p-14, -0x1.d6658a0941de2p-14, -0x1.d71ad81c7c428p-14, -0x1.d7c6adf3ec542p-14, -0x1.d869257ec6f4fp-14, -0x1.d9025897fce12p-14, -0x1.d9926105988e2p-14, -0x1.da195877fb9c9p-14, -0x1.da9758895087bp-14, -0x1.db0c7abc920c3p-14, -0x1.db78d87ce1d27p-14, -0x1.dbdc8b1d16f0bp-14, -0x1.dc37abd71bca1p-14, -0x1.dc8a53cb2618ep-14, -0x1.dcd49bff1f9c3p-14, -0x1.dd169d5e31003p-14, -0x1.dd5070b7f64dfp-14, -0x1.dd822ec03c442p-14, -0x1.ddabf00e2d928p-14, -0x1.ddcdcd1c19345p-14, -0x1.dde7de46a8ad9p-14, -0x1.ddfa3bccad9a1p-14, -0x1.de04fdce52836p-14, -0x1.de083c4d11deap-14, -0x1.de040f2b121e7p-14, -0x1.ddf88e2a7a8fdp-14, -0x1.dde5d0ed481dfp-14, -0x1.ddcbeef4fc41fp-14, -0x1.ddaaffa239ee3p-14, -0x1.dd831a343ad8bp-14, -0x1.dd5455c88ea0cp-14, -0x1.dd1ec95acd58fp-14, -0x1.dce28bc4363fdp-14, -0x1.dc9fb3bb697e7p-14, -0x1.dc5657d41ab21p-14, -0x1.dc068e7ec8dd8p-14, -0x1.dbb06e0864568p-14, -0x1.db540c9a2389fp-14, -0x1.daf180396f2adp-14, -0x1.da88dec7607e1p-14, -0x1.da1a3e00704a3p-14, -0x1.d9a5b37c9e78bp-14, -0x1.d92b54af1d6b6p-14, -0x1.d8ab36e5d949ep-14, -0x1.d8256f498a059p-14, -0x1.d79a12ddce5edp-14, -0x1.d709368080c23p-14, -0x1.d672eee9c3e48p-14, -0x1.d5d750ac00f5bp-14, -0x1.d53670338d8e8p-14, -0x1.d49061c6c4e88p-14, -0x1.d3e53985b89b2p-14, -0x1.d3350b6a3b6a5p-14, -0x1.d27feb47bb724p-14, -0x1.d1c5eccb3e8ccp-14, -0x1.d107237b53e81p-14, -0x1.d043a2b7ee328p-14, -0x1.cf7b7dba1f259p-14, -0x1.ceaec7947a9acp-14, -0x1.cddd9332ccaf5p-14, -0x1.cd07f359f9573p-14, -0x1.cc2dfaa854a29p-14, -0x1.cb4fbb956cb28p-14, -0x1.ca6d4871b6db6p-14, -0x1.c986b366e7eap-14, -0x1.c89c0e7822fa2p-14, -0x1.c7ad6b816b263p-14, -0x1.c6badc38236dep-14, -0x1.c5c4722af016fp-14, -0x1.c4ca3ec19ba6fp-14, -0x1.c3cc533d3cb84p-14, -0x1.c2cac0b86a38p-14, -0x1.c1c59827192b5p-14, -0x1.c0bcea56a77f2p-14, -0x1.bfb0c7edea70cp-14, -0x1.bea1416d57fd6p-14, -0x1.bd8e672eebdc1p-14, -0x1.bc7849666f8cfp-14, -0x1.bb5ef821a1fa6p-14, -0x1.ba428347fdd44p-14, -0x1.b922fa9b0a9fcp-14, -0x1.b8006db63fe58p-14, -0x1.b6daec0f5f435p-14, -0x1.b5b284f68a0aap-14, -0x1.b48747962d6f6p-14, -0x1.b35942f31d8ddp-14, -0x1.b22885ed06e7ep-14, -0x1.b0f51f3e2bbe1p-14, -0x1.afbf1d7bb8ba6p-14, -0x1.ae868f15fe95bp-14, -0x1.ad4b82584a75ep-14, -0x1.ac0e056933647p-14, -0x1.aace264ac1efep-14, -0x1.a98bf2da9d35p-14, -0x1.a84778d203aa5p-14, -0x1.a700c5c61dfdbp-14, -0x1.a5b7e72811183p-14, -0x1.a46cea453d2acp-14, -0x1.a31fdc4758e2p-14, -0x1.a1d0ca348ec35p-14, -0x1.a07fc0efa1342p-14, -0x1.9f2ccd381d18ap-14, -0x1.9dd7fbaaba62bp-14, -0x1.9c8158c14bad1p-14, -0x1.9b28f0d2e1e69p-14, -0x1.99ced01405f75p-14, -0x1.9873029720e08p-14, -0x1.9715944c6537dp-14, -0x1.95b691021f23p-14, -0x1.94560464c6b81p-14, -0x1.92f3f9ff3d3cfp-14, -0x1.91907d3b0c346p-14, -0x1.902b9960920afp-14, -0x1.8ec5599718112p-14, -0x1.8d5dc8e518bd4p-14, -0x1.8bf4f23087015p-14, -0x1.8a8ae03ee8c6ap-14, -0x1.891f9db583c88p-14, -0x1.87b335197b7bfp-14, -0x1.8645b0d032b2dp-14, -0x1.84d71b1f83d05p-14, -0x1.83677e2dc9f92p-14, -0x1.81f6e4021f95bp-14, -0x1.808556848708cp-14, -0x1.7f12df7e61668p-14, -0x1.7d9f889a65ceap-14, -0x1.7c2b5b64d157dp-14, -0x1.7ab6614bca7fdp-14, -0x1.7940a39f5dbfap-14, -0x1.77ca2b91e1862p-14, -0x1.765302381c3adp-14, -0x1.74db30895756p-14, -0x1.7362bf5fcce85p-14, -0x1.71e9b778e9e51p-14, -0x1.707021753264ep-14, -0x1.6ef605d89569ap-14, -0x1.6d7b6d0aeb549p-14, -0x1.6c005f57d7a2ep-14, -0x1.6a84e4eefde3bp-14, -0x1.690905e46dce8p-14, -0x1.678cca30d9aa4p-14, -0x1.661039b19e3abp-14, -0x1.64935c28ee2a5p-14, -0x1.6316393e42cfbp-14, -0x1.6198d87e9a81cp-14, -0x1.601b415c626f9p-14, -0x1.5e9d7b2fd5339p-14, -0x1.5d1f8d374afd8p-14, -0x1.5ba17e974771dp-14, -0x1.5a23565ab7a13p-14, -0x1.58a51b7342ebcp-14, -0x1.5726d4b959c62p-14, -0x1.55a888ec97b91p-14, -0x1.542a3eb3def1ap-14, -0x1.52abfc9d714b2p-14, -0x1.512dc91f605cp-14, -0x1.4fafaa97b4e94p-14, -0x1.4e31a74c77e87p-14, -0x1.4cb3c56bfcb7ap-14, -0x1.4b360b0d59fe1p-14, -0x1.49b87e303090fp-14, -0x1.483b24bd15bc7p-14, -0x1.46be0485f2332p-14, -0x1.45412345ede12p-14, -0x1.43c486a1ad2bcp-14, -0x1.42483427b8e2fp-14, -0x1.40cc3150a21a5p-14, -0x1.3f50837efd4c7p-14, -0x1.3dd52fffc11bfp-14, -0x1.3c5a3c0aa5431p-14, -0x1.3adfacc20059ep-14, -0x1.396587332aea1p-14, -0x1.37ebd056b4fp-14, -0x1.36728d108814ap-14, -0x1.34f9c2302d36dp-14, -0x1.33817470dcfe3p-14, -0x1.3209a879c92c3p-14, -0x1.309262de7032fp-14, -0x1.2f1ba81e70e42p-14, -0x1.2da57ca610d42p-14, -0x1.2c2fe4ce793dcp-14, -0x1.2abae4dd86306p-14, -0x1.294681062ff28p-14, -0x1.27d2bd68ff32ep-14, -0x1.265f9e13bfc0ap-14, -0x1.24ed2701f5a2ep-14, -0x1.237b5c1d2d715p-14, -0x1.220a413cbe89bp-14, -0x1.2099da2659325p-14, -0x1.1f2a2a8e4154p-14, -0x1.1dbb36172424bp-14, -0x1.1c4d005270f6dp-14, -0x1.1adf8cc0b9c87p-14, -0x1.1972ded1a19b4p-14, -0x1.1806f9e40d189p-14, -0x1.169be14673cfap-14, -0x1.15319836fb0d6p-14, -0x1.13c821e39701cp-14, -0x1.125f816a44652p-14, -0x1.10f7b9d92c238p-14, -0x1.0f90ce2ef5afdp-14, -0x1.0e2ac15a9f061p-14, -0x1.0cc5963c00e5p-14, -0x1.0b614fa3da55dp-14, -0x1.09fdf053b96ecp-14, -0x1.089b7afeb4dfdp-14, -0x1.0739f24923878p-14, -0x1.05d958c8b7d4bp-14, -0x1.0479b10519142p-14, -0x1.031afd77b5528p-14, -0x1.01bd408bed22ap-14, -0x1.00607c9f77f4fp-14, -0x1.fe0968047608dp-15, -0x1.fb53d1ed5de1bp-15, -0x1.f8a03b641de28p-15, -0x1.f5eea8b875d8fp-15, -0x1.f33f1e201900ep-15, -0x1.f0919fb75c657p-15, -0x1.ede63180af68dp-15, -0x1.eb3cd7658faefp-15, -0x1.e89595368f998p-15, -0x1.e5f06eabc59c1p-15, -0x1.e34d6764f4f29p-15, -0x1.e0ac82e9d892p-15, -0x1.de0dc4aab8511p-15, -0x1.db71300020211p-15, -0x1.d8d6c82bbb1bdp-15, -0x1.d63e90587e63cp-15, -0x1.d3a88b9a5983fp-15, -0x1.d114bcef9a0b1p-15, -0x1.ce8327401e2e1p-15, -0x1.cbf3cd5e01b83p-15, -0x1.c966b2067355bp-15, -0x1.c6dbd7e0ecfa1p-15, -0x1.c453418022069p-15, -0x1.c1ccf1625a718p-15, -0x1.bf48e9f13a355p-15, -0x1.bcc72d82843b5p-15, -0x1.ba47be57dd77fp-15, -0x1.b7ca9e9f77b18p-15, -0x1.b54fd07456ad5p-15, -0x1.b2d755de0c739p-15, -0x1.b06130d1727f8p-15, -0x1.aded63310fb59p-15, -0x1.ab7beeccb4969p-15, -0x1.a90cd5623a901p-15, -0x1.a6a0189daa2cbp-15, -0x1.a435ba196faedp-15, -0x1.a1cdbb5e601b5p-15, -0x1.9f681de466866p-15, -0x1.9d04e31262917p-15, -0x1.9aa40c3e780b3p-15, -0x1.98459aaea1ee9p-15, -0x1.95e98f9815a95p-15, -0x1.938fec20892b9p-15, }}, 
      {{0x1.c980ea7e7ac5fp-1, 0x1.c9658812314f3p-1, 0x1.c93b3264fffap-1, 0x1.c900f18482cd7p-1, 0x1.c8b2eb78c6dffp-1, 0x1.c84be9e2b04fcp-1, 0x1.c7c6c01e57337p-1, 0x1.c71f3e19d41e4p-1, 0x1.c652abe8e693ep-1, 0x1.c55fe8a6d4314p-1, 0x1.c4474cdbfbd77p-1, 0x1.c30a6bbc4664ep-1, 0x1.c1abc6f711e5ep-1, 0x1.c02e81d8f717ep-1, 0x1.be961b2d7b2fap-1, 0x1.bce6319e3a433p-1, 0x1.bb2253e7a2d0dp-1, 0x1.b94ddcc367178p-1, 0x1.b76bd9925c46p-1, 0x1.b57efa6311427p-1, 0x1.b38989c9c4c04p-1, 0x1.b18d6aff9ad75p-1, 0x1.af8c1cd8d7426p-1, 0x1.ad86c0490901ap-1, 0x1.ab7e215911f1bp-1, 0x1.a972c1a1059b7p-1, 0x1.a764e383fed5fp-1, 0x1.a55495949a876p-1, 0x1.a341bdacc8fedp-1, 0x1.a12c2362db1c4p-1, 0x1.9f1379a00d133p-1, 0x1.9cf76732ab53p-1, 0x1.9ad78e4794773p-1, 0x1.98b392c4d5d23p-1, 0x1.968b1f89dd5c5p-1, 0x1.945deaa1ba738p-1, 0x1.922bb8798c42ap-1, 0x1.8ff45e31082e1p-1, 0x1.8db7c31d2c5b7p-1, 0x1.8b75e196368ddp-1, 0x1.892ec729f1a07p-1, 0x1.86e2944abea25p-1, 0x1.84917b92760a1p-1, 0x1.823bc0aead0b9p-1, 0x1.7fe1b70a05194p-1, 0x1.7d83c0443d7f7p-1, 0x1.7b224a88b022ap-1, 0x1.78bdced0e477ap-1, 0x1.7656cf1ef297ep-1, 0x1.73edd4b99f3cfp-1, 0x1.71836e72582c9p-1, 0x1.6f182efbb6767p-1, 0x1.6cacab55b5683p-1, 0x1.6a4179538ee91p-1, 0x1.67d72e3e0f9dcp-1, 0x1.656e5d943cf0fp-1, 0x1.630797eb54a9ap-1, 0x1.60a369ee7502p-1, 0x1.5e425b7dadb0ap-1, 0x1.5be4eeebba238p-1, 0x1.598ba05949403p-1, 0x1.5736e52c66f09p-1, 0x1.54e72ba26969dp-1, 0x1.529cda7a988ecp-1, 0x1.505850b7add81p-1, 0x1.4e19e57642601p-1, 0x1.4be1e7d639a7ap-1, 0x1.49b09ef53ee96p-1, 0x1.478649f87aa87p-1, 0x1.45632023b31e5p-1, 0x1.434750fc24c9bp-1, 0x1.4133047574d23p-1, 0x1.3f265b273df6ap-1, 0x1.3d216e89d3c8p-1, 0x1.3b245138f0cd1p-1, 0x1.392f0f3b263e8p-1, 0x1.3741ae4cfce83p-1, 0x1.355c2e2ed26cep-1, 0x1.337e88f498911p-1, 0x1.31a8b356b37ecp-1, 0x1.2fda9d035133ep-1, 0x1.2e1430ef9edaap-1, 0x1.2c5555a861904p-1, 0x1.2a9deda181c9ep-1, 0x1.28edd7842d351p-1, 0x1.2744ee7b4253cp-1, 0x1.25a30a7dc3dc6p-1, 0x1.2408009724957p-1, 0x1.2273a32d3f7bp-1, 0x1.20e5c243dfcdap-1, 0x1.1f5e2bbdc461bp-1, 0x1.1ddcab9b0b7bap-1, 0x1.1c610c350578ap-1, 0x1.1aeb167764cdep-1, 0x1.197a9216d310fp-1, 0x1.180f45c4eeff5p-1, 0x1.16a8f761bba6dp-1, 0x1.15476c2a8e521p-1, 0x1.13ea68e689f4cp-1, 0x1.1291b210b42f5p-1, 0x1.113d0bffb85dfp-1, 0x1.0fec3b0b6abb2p-1, 0x1.0e9f03b01a18cp-1, 0x1.0d552aafc6669p-1, 0x1.0c0e753150071p-1, 0x1.0acaa8ddacb64p-1, 0x1.09898bfb3d0c2p-1, 0x1.084ae5874d2b3p-1, 0x1.070e7d4dd972ep-1, 0x1.05d41bffa26d7p-1, 0x1.049b8b46a6677p-1, 0x1.036495d90d39dp-1, 0x1.022f078a99d81p-1, 0x1.00faad5cad12ep-1, 0x1.ff8eab19d72d5p-2, 0x1.fd299f4528afap-2, 0x1.fac5d8f5293dap-2, 0x1.f862fca4d06e2p-2, 0x1.f600b1a3a09ddp-2, 0x1.f39ea226df194p-2, 0x1.f13c7b58ad8dbp-2, 0x1.eed9ed65165a9p-2, 0x1.ec76ab852a1a7p-2, 0x1.ea126c083a448p-2, 0x1.e7ace85b4d7c9p-2, 0x1.e545dd0edc14fp-2, 0x1.e2dd09daea4f8p-2, 0x1.e07231a18f518p-2, 0x1.de051a7000faep-2, 0x1.db958d7e31d28p-2, 0x1.d923572d10dd5p-2, 0x1.d6ae47037f9a5p-2, 0x1.d4362faa0bc6fp-2, 0x1.d1bae6e57e825p-2, 0x1.cf3c45904fc46p-2, 0x1.ccba279308b67p-2, 0x1.ca346bdbad1dbp-2, 0x1.c7aaf45430ae8p-2, 0x1.c51da5d80ba22p-2, 0x1.c28c6828fc314p-2, 0x1.bff725e2fe2f8p-2, 0x1.bd5dcc6f8c932p-2, 0x1.bac04bf834621p-2, 0x1.b81e97588636ep-2, 0x1.b578a40f75c13p-2, 0x1.b2ce6a30300ebp-2, 0x1.b01fe45276aebp-2, 0x1.ad6d0f82887c2p-2, 0x1.aab5eb30a3ee5p-2, 0x1.a7fa79203254fp-2, 0x1.a53abd569aad1p-2, 0x1.a276be09d7c53p-2, 0x1.9fae838ec8e3cp-2, 0x1.9ce2184753cf5p-2, 0x1.9a1188905deffp-2, 0x1.973ce2af9f9d3p-2, 0x1.946436c164134p-2, 0x1.918796a6375eep-2, 0x1.8ea715f08a9cfp-2, 0x1.8bc2c9d2598b5p-2, 0x1.88dac90ad7947p-2, 0x1.85ef2bd4292aap-2, 0x1.83000bd12f9cbp-2, 0x1.800d83fb76c7ep-2, 0x1.7d17b0913b6a9p-2, 0x1.7a1eaf039de31p-2, 0x1.77229de4fe458p-2, 0x1.74239cd78be6ap-2, 0x1.7121cc7c07ebap-2, 0x1.6e1d4e60c6bd8p-2, 0x1.6b1644f0eb8b3p-2, 0x1.680cd363ecccep-2, 0x1.65011dad581ccp-2, 0x1.61f3486ce6fcp-2, 0x1.5ee378dedbb9p-2, 0x1.5bd1d4ccb2558p-2, 0x1.58be827e20273p-2, 0x1.55a9a8aa6cbf8p-2, 0x1.52936e6a1f44ep-2, 0x1.4f7bfb290513bp-2, 0x1.4c637698952c1p-2, 0x1.494a08a2ad574p-2, 0x1.462fd95cb00fcp-2, 0x1.431510fafde37p-2, 0x1.3ff9d7c4cf273p-2, 0x1.3cde5608709f4p-2, 0x1.39c2b40fdc837p-2, 0x1.36a71a15b7595p-2, 0x1.338bb03aacaefp-2, 0x1.30709e7b2d78cp-2, 0x1.2d560ca58f30fp-2, 0x1.2a3c22508bb8cp-2, 0x1.272306d2211adp-2, 0x1.240ae136d04c4p-2, 0x1.20f3d8393e019p-2, 0x1.1dde123a2a98dp-2, 0x1.1ac9b538d1ce4p-2, 0x1.17b6e6cb9a7cfp-2, 0x1.14a5cc192cd89p-2, 0x1.119689d1d9237p-2, 0x1.0e8944295e44ap-2, 0x1.0b7e1ed1014b6p-2, 0x1.08753cf200ddp-2, 0x1.056ec128567c2p-2, 0x1.026acd7dd1877p-2, 0x1.fed306cafc9dfp-3, 0x1.f8d6076eb9885p-3, 0x1.f2dedd58d2d01p-3, 0x1.ecedc7b5da112p-3, 0x1.e703046634acdp-3, 0x1.e11ecff7e5745p-3, 0x1.db4165a0e31p-3, 0x1.d56aff39fc051p-3, 0x1.cf9bd53a3b26dp-3, 0x1.c9d41eb2d29d2p-3, 0x1.c414114b8675cp-3, 0x1.be5be13f8c323p-3, 0x1.b8abc15ae9003p-3, 0x1.b303e2f83c22ep-3, 0x1.ad6475ff01ddbp-3, 0x1.a7cda8e237211p-3, 0x1.a23fa89f7071ep-3, 0x1.9cbaa0be4b6ap-3, 0x1.973ebb504c6aap-3, 0x1.91cc20f10a973p-3, 0x1.8c62f8c6c55dbp-3, 0x1.8703688342205p-3, 0x1.81ad946509bf8p-3, 0x1.7c619f38e81cp-3, 0x1.771faa5bbf29dp-3, 0x1.71e7d5bca304bp-3, 0x1.6cba3fdf34783p-3, 0x1.679705de41e67p-3, 0x1.627e436ea8651p-3, 0x1.5d7012e26a821p-3, 0x1.586c8d2c049afp-3, 0x1.5373c9e1f2764p-3, 0x1.4e85df426a855p-3, 0x1.49a2e2374601ap-3, 0x1.44cae65a15057p-3, 0x1.3ffdfdf86062p-3, 0x1.3b3c3a180ce23p-3, 0x1.3685aa7bea887p-3, 0x1.31da5da85d4ecp-3, 0x1.2d3a60e82ad85p-3, 0x1.28a5c051652a1p-3, 0x1.241c86ca6b60ep-3, 0x1.1f9ebe0f0a11cp-3, 0x1.1b2c6eb5a7fb4p-3, 0x1.16c5a03495045p-3, 0x1.126a58e75afdcp-3, 0x1.0e1a9e1428c74p-3, 0x1.09d673f14c67ep-3, 0x1.059dddaaaee9dp-3, 0x1.0170dd6768d63p-3, 0x1.fa9ee89ea659ep-4, 0x1.f27345214cde7p-4, 0x1.ea5ececb33537p-4, 0x1.e261823416588p-4, 0x1.da7b5a2252822p-4, 0x1.d2ac4f963081ap-4, 0x1.caf459d538563p-4, 0x1.c3536e757f373p-4, 0x1.bbc98168f0372p-4, 0x1.b456850888962p-4, 0x1.acfa6a1f89869p-4, 0x1.a5b51ff6a4aap-4, 0x1.9e86945f0c691p-4, 0x1.976eb3bd7df56p-4, 0x1.906d691536b6fp-4, 0x1.89829e12cea15p-4, 0x1.82ae3b17030e1p-4, 0x1.7bf0274166acbp-4, 0x1.7548487af795ep-4, 0x1.6eb683809bdd1p-4, 0x1.683abbed7f855p-4, 0x1.61d4d44557b9p-4, 0x1.5b84adfe8656bp-4, 0x1.554a298c1d2p-4, 0x1.4f252667bf4dcp-4, 0x1.4915831b650fap-4, 0x1.431b1d4af884cp-4, 0x1.3d35d1bdd390dp-4, 0x1.37657c68126a4p-4, 0x1.31a9f873cd00cp-4, 0x1.2c03204a1d5ecp-4, 0x1.2670cd9c0b7acp-4, 0x1.20f2d96b4deefp-4, 0x1.1b891c12e3485p-4, 0x1.16336d4f8529cp-4, 0x1.10f1a447f5c89p-4, 0x1.0bc39795235ddp-4, 0x1.06a91d4a2489dp-4, 0x1.01a20afc0c14p-4, 0x1.f95c6b932f18dp-5, 0x1.ef9ae4c55ef6dp-5, 0x1.e5ff2a1f8b3bcp-5, 0x1.dc88e37210685p-5, 0x1.d337b7dad46f5p-5, 0x1.ca0b4dd31229bp-5, 0x1.c1034b3cca5f1p-5, 0x1.b81f556feaea9p-5, 0x1.af5f114725a75p-5, 0x1.a6c2232c71836p-5, 0x1.9e482f2548b94p-5, 0x1.95f0d8de8a262p-5, 0x1.8dbbc3b81b4bp-5, 0x1.85a892d03366ap-5, 0x1.7db6e90e5ae95p-5, 0x1.75e6692e23224p-5, 0x1.6e36b5c990857p-5, 0x1.66a7716337891p-5, 0x1.5f383e70164fap-5, 0x1.57e8bf611d656p-5, 0x1.50b896ac7a90ep-5, 0x1.49a766d68f8cbp-5, 0x1.42b4d27aad4aep-5, 0x1.3be07c5386bd3p-5, 0x1.352a07435ce56p-5, 0x1.2e91165be8bfbp-5, 0x1.28154ce603bc1p-5, 0x1.21b64e6909d89p-5, 0x1.1b73beb208042p-5, 0x1.154d41da96c2fp-5, 0x1.0f427c4f8a9b5p-5, 0x1.095312d757ce1p-5, 0x1.037eaa9843bf3p-5, 0x1.fb89d23caca9bp-6, 0x1.f04ae8c21f0d8p-6, 0x1.e53fe591d3d0fp-6, 0x1.da6816693b0a7p-6, 0x1.cfc2c9fc5f6e1p-6, 0x1.c54f4fffa2c31p-6, 0x1.bb0cf930f4a7p-6, 0x1.b0fb1760c23dap-6, 0x1.a718fd7a6fa8bp-6, 0x1.9d65ff8c63b9bp-6, 0x1.93e172cfcdf8bp-6, 0x1.8a8aadaff3a3p-6, 0x1.816107d12c711p-6, 0x1.7863da17805d4p-6, 0x1.6f927eacf044ap-6, 0x1.66ec5107630dbp-6, 0x1.5e70adee3ad8cp-6, 0x1.561ef37fa1013p-6, 0x1.4df6813581e6dp-6, 0x1.45f6b7ea22adep-6, 0x1.3e1ef9dc8f971p-6, 0x1.366eaab49c915p-6, 0x1.2ee52f86b26cep-6, 0x1.2781eed7500efp-6, 0x1.2044509e3fa59p-6, 0x1.192bbe499227fp-6, 0x1.1237a2c04c06bp-6, 0x1.0b676a64e9bf5p-6, 0x1.04ba83178bc66p-6, 0x1.fc60b86ff070fp-7, 0x1.ef90cd4ea988ep-7, 0x1.e30429937f06bp-7, 0x1.d6b9b50f211c3p-7, 0x1.cab05a9cfedbp-7, 0x1.bee708251adc9p-7, 0x1.b35cae9d6c823p-7, 0x1.a810420af96efp-7, 0x1.9d00b9828844p-7, 0x1.922d0f28e596dp-7, 0x1.87944032fbde1p-7, 0x1.7d354ce5600a1p-7, 0x1.730f3893bf269p-7, 0x1.6921099fdcce7p-7, 0x1.5f69c97857eaep-7, 0x1.55e8849713f84p-7, 0x1.4c9c4a7f672fp-7, 0x1.43842dbc15295p-7, 0x1.3a9f43dcd44dbp-7, 0x1.31eca573dcefp-7, 0x1.296b6e12f12cep-7, 0x1.211abc486443fp-7, 0x1.18f9b19bd64b1p-7, 0x1.1107728aa8b94p-7, 0x1.094326845cafdp-7, 0x1.01abf7e6a9c52p-7, 0x1.f48227f2ef143p-8, 0x1.e60355d5400fbp-8, 0x1.d7d9df930d81ap-8, 0x1.ca0431051b8d7p-8, 0x1.bc80bbb4ae543p-8, 0x1.af4df6d1f88f7p-8, 0x1.a26a5f29f6adcp-8, 0x1.95d4771c5d135p-8, 0x1.898ac690f09bfp-8, 0x1.7d8bdaecf0004p-8, 0x1.71d6470813ad8p-8, 0x1.6668a3217c72p-8, 0x1.5b418cd43d649p-8, 0x1.505fa70bf3df2p-8, 0x1.45c199f90be02p-8, 0x1.3b661304e2edp-8, 0x1.314bc4c5dc99fp-8, 0x1.277166f31c6efp-8, 0x1.1dd5b658761ffp-8, 0x1.147774c9d1e04p-8, 0x1.0b556916d90d6p-8, 0x1.026e5efe64ec3p-8, 0x1.f3824e436b572p-9, 0x1.e2992def86979p-9, 0x1.d21f1180c92b8p-9, 0x1.c211b6eef2e5p-9, 0x1.b26ee58ff08a2p-9, 0x1.a3346dfdb02a2p-9, 0x1.946029fc5d97bp-9, 0x1.85effc601076ap-9, 0x1.77e1d0f2bb96p-9, 0x1.6a339c59ea312p-9, 0x1.5ce35bfc95648p-9, 0x1.4fef15e8eb909p-9, 0x1.4354d8b9ee13ap-9, 0x1.3712bb7d6e273p-9, 0x1.2b26dd99b4bc1p-9, 0x1.1f8f66b35ac07p-9, 0x1.144a869350af5p-9, 0x1.0956750ca322ap-9, 0x1.fd62e3c5340ecp-10, 0x1.e8b3895d75193p-10, 0x1.d49b798e085bp-10, 0x1.c11762483ad1dp-10, 0x1.ae24008fa4325p-10, 0x1.9bbe2046c8656p-10, 0x1.89e29bfc6789p-10, 0x1.788e5cb8f318cp-10, 0x1.67be59cc3a41ep-10, 0x1.576f989b3ebeep-10, 0x1.479f2c6e93105p-10, 0x1.384a3640d3b9fp-10, 0x1.296de48d6e30ep-10, 0x1.1b07731feb83cp-10, 0x1.0d142ae34be72p-10, 0x1.ff22c364243dbp-11, 0x1.e4f8f44c2a84ap-11, 0x1.cba5c6d2df9cbp-11, 0x1.b324320e1b8cdp-11, 0x1.9b6f45786b986p-11, 0x1.848228941f411p-11, 0x1.6e581a8f56701p-11, 0x1.58ec71e91a761p-11, 0x1.443a9c1695383p-11, 0x1.303e1d29ddaefp-11, 0x1.1cf28f7960ac8p-11, 0x1.0a53a347aef74p-11, 0x1.f0ba3cd8c8d54p-12, 0x1.ce15b7fd108acp-12, 0x1.acb197fc67d6p-12, 0x1.8c85e6022c51p-12, 0x1.6d8ad3bc68bb4p-12, 0x1.4fb8bab67062ap-12, 0x1.33081bb5a9e45p-12, 0x1.17719e168e9f9p-12, 0x1.f9dc1e5a9f81bp-13, 0x1.c6ecc34e19884p-13, 0x1.960759d8c6c95p-13, 0x1.671e590f4de4bp-13, 0x1.3a247f15f2f4cp-13, 0x1.0f0ccff1dae9cp-13, 0x1.cb9528bb889a6p-14, 0x1.7ca2b1464f14ap-14, 0x1.3129d6e9a78a4p-14, 0x1.d225733c85f92p-15, 0x1.488bf36d408a2p-15, 0x1.8ab2d6a697f93p-16, 0x1.21843f4b6e40ap-17, -0x1.7447b43b1b961p-18, -0x1.3f1f1f828a3fbp-16, -0x1.0adcb89dd6169p-15, -0x1.709986be046fdp-15, -0x1.d0ee2cba0706bp-15, -0x1.1600ff0907106p-14, -0x1.40fdb99e647bap-14, -0x1.698016bdec58bp-14, -0x1.8f9a7d5fe535bp-14, -0x1.b35eecbbaabe4p-14, -0x1.d4defe23aede9p-14, -0x1.f42be6e16cd96p-14, -0x1.08ab3d02bc3cfp-13, -0x1.1637951b144adp-13, -0x1.22c305ba0fecp-13, -0x1.2e556a6b2b9cp-13, -0x1.38f671226ae06p-13, -0x1.42ad9b1613896p-13, -0x1.4b823d91d74d3p-13, -0x1.537b82cc0434p-13, -0x1.5aa06ab300705p-13, -0x1.60f7cbbb3e02dp-13, -0x1.668853a6ab234p-13, -0x1.6b58884d0dbf1p-13, -0x1.6f6ec85cf0a6ap-13, -0x1.72d14c1d46ac3p-13, -0x1.7586262a42145p-13, -0x1.7793442f2acfdp-13, -0x1.78fe6f9e04759p-13, -0x1.79cd4e6458da6p-13, -0x1.7a05639cacc6fp-13, -0x1.79ac103c459fap-13, -0x1.78c693c0ca1eap-13, -0x1.775a0cd784c09p-13, -0x1.756b7a067e2b1p-13, -0x1.72ffba4df1693p-13, -0x1.701b8dc9f37f3p-13, -0x1.6cc396523834dp-13, -0x1.68fc58143ebb3p-13, -0x1.64ca3a2d94d67p-13, -0x1.60318741d9f65p-13, -0x1.5b366e0ff5d79p-13, -0x1.55dd020306121p-13, -0x1.50293bc226043p-13, -0x1.4a1ef9bc57f37p-13, -0x1.43c200b4884c5p-13, -0x1.3d15fc4852cf3p-13, -0x1.361e7f75678fp-13, -0x1.2edf051f2fe37p-13, -0x1.275af08d200e4p-13, -0x1.1f958debb9079p-13, -0x1.179212c8489c8p-13, -0x1.0f539e8b7a03ap-13, -0x1.06dd3af240e7bp-13, -0x1.fc63b9067a0bap-14, -0x1.eaa8c60644fefp-14, -0x1.d88f33ce5abe4p-14, -0x1.c61c7188b64ep-14, -0x1.b355c77c0f4d3p-14, -0x1.a04057e41dc98p-14, -0x1.8ce11fc4fb293p-14, -0x1.793cf7ba9bd1ap-14, -0x1.655894c6701c2p-14, -0x1.51388917b8ce1p-14, -0x1.3ce144d099aecp-14, -0x1.285716c7a1a09p-14, -0x1.139e2d443967cp-14, -0x1.fd752d78621a4p-15, -0x1.d360850b080b1p-15, -0x1.a906031d66fd3p-15, -0x1.7e6d0e16bda78p-15, -0x1.539cd243d6f9cp-15, -0x1.289c432ad88f7p-15, -0x1.fae439af11c0bp-16, -0x1.a449ca3fa7108p-16, -0x1.4d75d9c84b41cp-16, -0x1.ece945275126dp-17, -0x1.3ea3f3b7b968bp-17, -0x1.206548982ea76p-18, 0x1.e5484e3c4e25bp-21, 0x1.99b83fabee6a3p-18, 0x1.7b4f7c62f1586p-17, 0x1.14cd4eea05253p-16, 0x1.6bd51b54ddf09p-16, 0x1.c2b5d22e05d01p-16, 0x1.0cb33ad4df9d3p-15, 0x1.37ef2cb5896d6p-15, 0x1.630a90462fc21p-15, 0x1.8e015dd9f8385p-15, 0x1.b8cfb3965487fp-15, 0x1.e371d485436d7p-15, 0x1.06f213d6cf686p-14, 0x1.1c119b978dd6bp-14, 0x1.3115d7b0f2e15p-14, 0x1.45fd2eff720e6p-14, 0x1.5ac618a2fa246p-14, 0x1.6f6f1b97a048p-14, 0x1.83f6ce4d2c4ffp-14, 0x1.985bd6442bc4dp-14, 0x1.ac9ce7a9a1457p-14, 0x1.c0b8c4f8570e6p-14, 0x1.d4ae3e98e77adp-14, 0x1.e87c3286053acp-14, 0x1.fc218bf1d9807p-14, 0x1.07cea176a3ebfp-13, 0x1.11772e08712bbp-13, 0x1.1b09f4142b0f1p-13, 0x1.248681ef7ebabp-13, 0x1.2dec6bb7335fp-13, 0x1.373b4b2773cb6p-13, 0x1.4072bf74f7622p-13, 0x1.49926d267fb72p-13, 0x1.5299fdf05c18bp-13, 0x1.5b89208ebd8d8p-13, 0x1.645f88a33010ep-13, 0x1.6d1cee90c5a42p-13, 0x1.75c10f5a736ccp-13, 0x1.7e4bac8193c08p-13, 0x1.86bc8be516081p-13, 0x1.8f1377a19c6c4p-13, 0x1.97503df28666ap-13, 0x1.9f72b112f5eaep-13, 0x1.a77aa720535e2p-13, 0x1.af67f9fcee619p-13, 0x1.b73a873377af3p-13, 0x1.bef22fdb20b28p-13, 0x1.c68ed87c5f0f7p-13, 0x1.ce1068f6382bap-13, 0x1.d576cc644e5eep-13, 0x1.dcc1f105865d1p-13, 0x1.e3f1c823151b4p-13, 0x1.eb0645f82b554p-13, 0x1.f1ff619a6f56ep-13, 0x1.f8dd14e2827b4p-13, 0x1.ff9f5c55c839fp-13, 0x1.03231b87ec45p-12, 0x1.0668d3569eddap-12, 0x1.09a0d79b2804ap-12, 0x1.0ccb2b8562a9ep-12, 0x1.0fe7d366a405p-12, 0x1.12f6d4a81fb82p-12, 0x1.15f835c1332cfp-12, 0x1.18ebfe2e1ed52p-12, 0x1.1bd23666e04b3p-12, 0x1.1eaae7d64f1a9p-12, 0x1.21761cd181968p-12, 0x1.2433e08f354bp-12, 0x1.26e43f1fb587cp-12, 0x1.29874564a097cp-12, 0x1.2c1d010940b02p-12, 0x1.2ea5807ab6efap-12, 0x1.3120d2e099357p-12, 0x1.338f0815af7e9p-12, 0x1.35f030a0bfac4p-12, 0x1.38445dadb52a7p-12, 0x1.3a8ba106de34p-12, 0x1.3cc60d0e5a2dcp-12, 0x1.3ef3b4b7a9c89p-12, 0x1.4114ab818acc6p-12, 0x1.4329056fd623ep-12, 0x1.4530d70571b8ep-12, 0x1.472c353eced3cp-12, 0x1.491b358c0974ap-12, 0x1.4afdedcb97563p-12, 0x1.4cd47444ee629p-12, 0x1.4e9edfa349544p-12, 0x1.505d46f0a6e34p-12, 0x1.520fc190e9d2cp-12, 0x1.53b6673cf817ap-12, 0x1.55514ffe2a299p-12, 0x1.56e09429ca8a7p-12, 0x1.58644c5c94da4p-12, 0x1.59dc917690cb2p-12, 0x1.5b497c96cbc0fp-12, 0x1.5cab27175f017p-12, 0x1.5e01aa897a64cp-12, 0x1.5f4d20b19ab57p-12, 0x1.608da383ccac9p-12, 0x1.61c34d20266c6p-12, 0x1.62ee37cf2bcffp-12, 0x1.640e7dfe7c23dp-12, 0x1.65243a3d8712dp-12, 0x1.662f873a40397p-12, 0x1.67307fbe1fbc1p-12, 0x1.68273eab1b35p-12, 0x1.6913def8a23d5p-12, 0x1.69f67bb0d8a7fp-12, 0x1.6acf2fede5e88p-12, 0x1.6b9e16d7288d2p-12, 0x1.6c634b9eba561p-12, 0x1.6d1ee97ef366bp-12, 0x1.6dd10bb7daff3p-12, 0x1.6e79cd8cfca4cp-12, 0x1.6f194a42fce3p-12, 0x1.6faf9d1d7775cp-12, 0x1.703ce15ccdaf8p-12, 0x1.70c1323c2bd24p-12, 0x1.713caaef8e678p-12, 0x1.71af66a1b4ae4p-12, 0x1.7219807266cdbp-12, 0x1.727b1374978cbp-12, 0x1.72d43aacb5534p-12, 0x1.7325110ee099dp-12, 0x1.736db17d6f5b4p-12, 0x1.73ae36c755f4ep-12, 0x1.73e6bba695e0fp-12, 0x1.74175abed821p-12, 0x1.74402e9c040d3p-12, 0x1.746151b0e3a7p-12, 0x1.747ade55e0b0dp-12, 0x1.748ceec7c0de9p-12, 0x1.74979d267df33p-12, 0x1.749b0374195c4p-12, 0x1.74973b936c345p-12, 0x1.748c5f4741939p-12, 0x1.747a88312eacfp-12, 0x1.7461cfd0ad1f4p-12, 0x1.74424f8226695p-12, 0x1.741c207e07069p-12, 0x1.73ef5bd7fb6d5p-12, 0x1.73bc1a7e0dfa5p-12, 0x1.73827537d49f1p-12, 0x1.734284a5d7c2cp-12, 0x1.72fc6140bb6fap-12, 0x1.72b023589cbebp-12, 0x1.725de31472ddap-12, 0x1.7205b8717bca3p-12, 0x1.71a7bb428cae2p-12, 0x1.7144032fa061dp-12, 0x1.70daa7b54f69ep-12, 0x1.706bc02445414p-12, 0x1.6ff763a0dc5e3p-12, 0x1.6f7da922abce7p-12, 0x1.6efea77414d28p-12, 0x1.6e7a7531f5dbp-12, 0x1.6df128cb41267p-12, 0x1.6d62d880a815fp-12, 0x1.6ccf9a645645cp-12, 0x1.6c378459a897dp-12, 0x1.6b9aac14e67f1p-12, 0x1.6af9271b08cd2p-12, 0x1.6a530ac17e3fep-12, 0x1.69a86c2e00457p-12, 0x1.68f960565b97p-12, 0x1.6845fc00527fep-12, 0x1.678e53c17f974p-12, 0x1.66d27bff2c517p-12, 0x1.661288ee33468p-12, 0x1.654e8e92fd7eap-12, 0x1.6486a0c15c9d8p-12, 0x1.63bad31c8c3c2p-12, 0x1.62eb39172225dp-12, 0x1.6217e5f3110b9p-12, 0x1.6140ecc194406p-12, 0x1.606660634abe7p-12, 0x1.5f8853882f7f5p-12, 0x1.5ea6d8afa123cp-12, 0x1.5dc2022873846p-12, 0x1.5cd9e2110468cp-12, 0x1.5bee8a5742bc6p-12, 0x1.5b000cb8c753bp-12, 0x1.5a0e7ac2f231bp-12, 0x1.5919e5d2fc8c5p-12, 0x1.58225f1627a22p-12, 0x1.5727f789cb978p-12, 0x1.562abffb8398cp-12, 0x1.552ac9094b20bp-12, 0x1.54282321b4031p-12, 0x1.5322de8405806p-12, 0x1.521b0b40669abp-12, 0x1.5110b9381086dp-12, 0x1.5003f81d82ea1p-12, 0x1.4ef4d774b323ep-12, 0x1.4de3669335bcbp-12, 0x1.4ccfb4a08026bp-12, 0x1.4bb9d0961c15p-12, 0x1.4aa1c93fe52edp-12, 0x1.4987ad3c36ff3p-12, 0x1.486b8afc35ea3p-12, 0x1.474d70c4061edp-12, 0x1.462d6cab04c8ep-12, 0x1.450b8c9c17549p-12, 0x1.43e7de55e586fp-12, 0x1.42c26f6b164aap-12, 0x1.419b4d4293b0dp-12, 0x1.40728517d780dp-12, 0x1.3f4823fb2e52dp-12, 0x1.3e1c36d1fb1d6p-12, 0x1.3ceeca57002b4p-12, 0x1.3bbfeb1aa55c6p-12, 0x1.3a8fa58343cf7p-12, 0x1.395e05cd7357dp-12, 0x1.382b180c4d987p-12, 0x1.36f6e829c1545p-12, 0x1.35c181e6d3bc6p-12, 0x1.348af0dbf7cep-12, 0x1.33534079582efp-12, 0x1.321a7c07243p-12, 0x1.30e0aea5d9a98p-12, 0x1.2fa5e34e9a18fp-12, 0x1.2e6a24d37a583p-12, 0x1.2d2d7ddfcdd2dp-12, 0x1.2beff8f86e954p-12, 0x1.2ab1a07c2060bp-12, 0x1.29727ea3d3c5ep-12, 0x1.28329d82f5689p-12, 0x1.26f20707c8f83p-12, 0x1.25b0c4fbada4bp-12, 0x1.246ee1037830ap-12, 0x1.232c649fc14e4p-12, 0x1.21e9592d3a4a3p-12, 0x1.20a5c7e4f6745p-12, 0x1.1f61b9dcc1244p-12, 0x1.1e1d380771f16p-12, 0x1.1cd84b353a28bp-12, 0x1.1b92fc13f6511p-12, 0x1.1a4d532f83bc7p-12, 0x1.190758f20ee4cp-12, 0x1.17c115a464fp-12, 0x1.167a916e420cbp-12, 0x1.1533d456a85dbp-12, 0x1.13ece6442e56bp-12, 0x1.12a5cefd50b38p-12, 0x1.115e9628be949p-12, 0x1.1017434daccfbp-12, 0x1.0ecfddd428ce3p-12, 0x1.0d886d0568434p-12, 0x1.0c40f80c15bbcp-12, 0x1.0af985f4a37c2p-12, 0x1.09b21dad938edp-12, 0x1.086ac607d163dp-12, 0x1.072385b6fb38dp-12, 0x1.05dc6351b15d1p-12, 0x1.04956551e0803p-12, 0x1.034e921517b76p-12, 0x1.0207efdccd64cp-12, 0x1.00c184ceb288ap-12, 0x1.fef6ade9fdbb5p-13, 0x1.fc6ad87d72b68p-13, 0x1.f9df95000d23ep-13, 0x1.f754eee4e9906p-13, 0x1.f4caf16a89debp-13, 0x1.f241a79b76827p-13, 0x1.efb91c4ecb031p-13, 0x1.ed315a28c9b3bp-13, 0x1.eaaa6b9b674f9p-13, 0x1.e8245ae6efcf5p-13, 0x1.e59f321a8e6adp-13, 0x1.e31afb14da1cap-13, 0x1.e097bf846872fp-13, 0x1.de1588e8622e5p-13, 0x1.db94609104f5ap-13, 0x1.d9144fa037f47p-13, 0x1.d6955f0a1dc5cp-13, 0x1.d417979593746p-13, 0x1.d19b01dcc0987p-13, 0x1.cf1fa64da4c11p-13, 0x1.cca58d2a975b6p-13, 0x1.ca2cbe8ad09b5p-13, 0x1.c7b5425af4319p-13, 0x1.c53f205d92194p-13, 0x1.c2ca602baccccp-13, 0x1.c05709353f7b1p-13, 0x1.bde522c1c188fp-13, 0x1.bb74b3f09c8f5p-13, 0x1.b905c3b9b9c55p-13, 0x1.b69858edf54afp-13, 0x1.b42c7a37a5448p-13, 0x1.b1c22e1b18db6p-13, 0x1.af597af70f22cp-13, 0x1.acf2670530b0fp-13, 0x1.aa8cf85a91531p-13, 0x1.a82934e8243ecp-13, 0x1.a5c7227b30435p-13, 0x1.a366c6bdd34b5p-13, 0x1.a10827376bbeap-13, 0x1.9eab494d15b5cp-13, 0x1.9c5032421aaa7p-13, 0x1.99f6e7386a29bp-13, 0x1.979f6d3106d0dp-13, 0x1.9549c90c7997ep-13, 0x1.92f5ff8b3fb51p-13, 0x1.90a4154e3966ep-13, 0x1.8e540ed71c57ep-13, 0x1.8c05f088dde7dp-13, 0x1.89b9bea81d74cp-13, 0x1.876f7d5b923ep-13, 0x1.852730ac74c6fp-13, 0x1.82e0dc86e5852p-13, 0x1.809c84ba59dd4p-13, 0x1.7e5a2cf9fab6bp-13, 0x1.7c19d8dd125e4p-13, 0x1.79db8bdf71684p-13, 0x1.779f4961c6f53p-13, 0x1.756514aa187dfp-13, 0x1.732cf0e40f49cp-13, 0x1.70f6e12162b71p-13, 0x1.6ec2e85a341b9p-13, 0x1.6c91096d773f7p-13, 0x1.6a6147214708ap-13, 0x1.6833a4234b42ep-13, 0x1.660823090b7d2p-13, 0x1.63dec6504a031p-13, 0x1.61b7905f68be2p-13, 0x1.5f928385b7927p-13, 0x1.5d6fa1fbd4bf8p-13, 0x1.5b4eede3fc238p-13, 0x1.5930694a679bap-13, 0x1.57141625a0153p-13, 0x1.54f9f656cdb6ep-13, 0x1.52e20baa14a7cp-13, 0x1.50cc57d6deea7p-13, 0x1.4eb8dc8033bc6p-13, 0x1.4ca79b3508a5fp-13, 0x1.4a9895708a701p-13, 0x1.488bcc9a7ad1p-13, 0x1.4681420777944p-13, 0x1.4478f6f941c31p-13, 0x1.4272ec9f189d2p-13, 0x1.406f2415f33e2p-13, 0x1.3e6d9e68d548ap-13, 0x1.3c6e5c9123912p-13, 0x1.3a715f76db0f7p-13, 0x1.3876a7f0e589fp-13, 0x1.367e36c55d22fp-13, 0x1.34880ca9d0cdap-13, 0x1.32942a438ff6ep-13, 0x1.30a29027ec45bp-13, 0x1.2eb33edc7d297p-13, 0x1.2cc636d767e86p-13, 0x1.2adb787f9b124p-13, 0x1.28f3042d1942cp-13, 0x1.270cda2932c6ep-13, 0x1.2528faaeccc56p-13, 0x1.234765ea99169p-13, 0x1.21681bfb61edap-13, 0x1.1f8b1cf23d2ffp-13, 0x1.1db068d2c61a7p-13, 0x1.1bd7ff936804p-13, 0x1.1a01e11d8e1abp-13, 0x1.182e0d4de5242p-13, 0x1.165c83f499a3dp-13, 0x1.148d44d584e49p-13, 0x1.12c04fa86f9fap-13, 0x1.10f5a4194abb8p-13, 0x1.0f2d41c862a32p-13, 0x1.0d67284a95513p-13, 0x1.0ba357298dc27p-13, 0x1.09e1cde3f74d2p-13, 0x1.08228bedb3ac2p-13, 0x1.066590b009d52p-13, 0x1.04aadb89e251ep-13, 0x1.02f26bcff53p-13, 0x1.013c40ccfaa4bp-13, 0x1.ff10b383c0618p-14, 0x1.fbad6bcbe41ffp-14, 0x1.f84ea8ce30f13p-14, 0x1.f4f468d400473p-14, 0x1.f19eaa148cdeep-14, 0x1.ee4d6ab55ed62p-14, 0x1.eb00a8ca9cbc5p-14, 0x1.e7b8625765a4dp-14, 0x1.e474954e343b4p-14, 0x1.e1353f912e07p-14, 0x1.ddfa5ef27648dp-14, 0x1.dac3f13489da8p-14, 0x1.d791f40a9b0e6p-14, 0x1.d4646518e0f2fp-14, 0x1.d13b41f4ea307p-14, 0x1.ce168825f1b3ep-14, 0x1.caf6352514ba1p-14, 0x1.c7da465dc61a4p-14, 0x1.c4c2b92e04518p-14, 0x1.c1af8ae6b8fc5p-14, 0x1.bea0b8cbfd4b4p-14, 0x1.bb964015590fbp-14, 0x1.b8901dee1b012p-14, 0x1.b58e4f75a4666p-14, 0x1.b290d1bfa2badp-14, 0x1.af97a1d466268p-14, 0x1.aca2bcb117895p-14, 0x1.a9b21f4807be3p-14, 0x1.a6c5c680eea86p-14, 0x1.a3ddaf393174ap-14, 0x1.a0f9d64426554p-14, 0x1.9e1a386b5642fp-14, 0x1.9b3ed26eb955bp-14, 0x1.9867a104f5197p-14, 0x1.9594a0db9e206p-14, 0x1.92c5ce976cf98p-14, 0x1.8ffb26d484fc7p-14, 0x1.8d34a626b43cfp-14, 0x1.8a7249199ec71p-14, 0x1.87b40c31022cbp-14, 0x1.84f9ebe8ed8c3p-14, 0x1.8243e4b5fd5fp-14, 0x1.7f91f3058a7e4p-14, 0x1.7ce4133de2857p-14, 0x1.7a3a41be87693p-14, 0x1.77947ae05b105p-14, 0x1.74f2baf5cdfb5p-14, 0x1.7254fe4b1dc77p-14, 0x1.6fbb41267f27bp-14, 0x1.6d257fc8605e1p-14, 0x1.6a93b66b8a32dp-14, 0x1.6805e1455208fp-14, 0x1.657bfc85cf8d3p-14, 0x1.62f604580342dp-14, 0x1.6073f4e207b1cp-14, 0x1.5df5ca4541adbp-14, 0x1.5b7b809e90f9cp-14, 0x1.5905140673975p-14, 0x1.5692809131305p-14, 0x1.5423c24f0c16fp-14, 0x1.51b8d54c67766p-14, 0x1.4f51b591f1a86p-14, 0x1.4cee5f24cceb7p-14, 0x1.4a8ece06b47f3p-14, 0x1.4832fe36297f5p-14, 0x1.45daebae91b19p-14, 0x1.43869268606a4p-14, 0x1.4135ee5946a57p-14, 0x1.3ee8fb743eeadp-14, 0x1.3c9fb5a9d55c3p-14, 0x1.3a5a18e82fd0ep-14, 0x1.3818211b36e88p-14, 0x1.35d9ca2cbc3b7p-14, 0x1.339f100498428p-14, 0x1.3167ee88c83e3p-14, 0x1.2f34619d9801cp-14, 0x1.2d046525c7f62p-14, 0x1.2ad7f50297e88p-14, 0x1.28af0d13f528bp-14, 0x1.2689a9389eec8p-14, 0x1.2467c54e24827p-14, 0x1.22495d312b377p-14, 0x1.202e6cbd7a0c1p-14, 0x1.1e16efce117c3p-14, 0x1.1c02e23d4b618p-14, 0x1.19f23fe4f1a66p-14, 0x1.17e5049e5dfa7p-14, 0x1.15db2c429f78dp-14, 0x1.13d4b2aa82f1cp-14, 0x1.11d193aeb9775p-14, 0x1.0fd1cb27e4137p-14, 0x1.0dd554eebea73p-14, 0x1.0bdc2cdc25dd2p-14, 0x1.09e64ec92d7f6p-14, 0x1.07f3b68f52e8cp-14, 0x1.06046008703a1p-14, 0x1.0418470ef7cdp-14, 0x1.022f677deb321p-14, 0x1.0049bd30fb136p-14, 0x1.fcce880943bbfp-15, 0x1.f90fefac75a16p-15, 0x1.f557a90801169p-15, 0x1.f1a5abda78821p-15, 0x1.edf9efe4a7e8p-15, 0x1.ea546ce98a771p-15, 0x1.e6b51aaeab179p-15, 0x1.e31bf0fc2ff28p-15, 0x1.df88e79cf2f19p-15, 0x1.dbfbf65ed0a69p-15, 0x1.d87515129af67p-15, 0x1.d4f43b8c55fcfp-15, 0x1.d17961a357c13p-15, 0x1.ce047f32569efp-15, 0x1.ca958c179144bp-15, 0x1.c72c8034f3172p-15, 0x1.c3c953704cc1ep-15, 0x1.c06bfdb329b3ep-15, 0x1.bd1476eb4faa3p-15, 0x1.b9c2b70a7cc14p-15, 0x1.b676b606c0165p-15, 0x1.b3306bda8d984p-15, 0x1.afefd084a473p-15, 0x1.acb4dc088aa3dp-15, 0x1.a97f866e523f2p-15, 0x1.a64fc7c2c679ap-15, 0x1.a3259817a7773p-15, 0x1.a000ef838e30bp-15, 0x1.9ce1c62217affp-15, 0x1.99c814143229cp-15, 0x1.96b3d17fc17a9p-15, 0x1.93a4f69033f2fp-15, 0x1.909b7b764068fp-15, 0x1.8d97586808722p-15, 0x1.8a9885a149bfap-15, 0x1.879efb635e7a9p-15, 0x1.84aab1f546459p-15, 0x1.81bba1a3d3464p-15, 0x1.7ed1c2c1b2cacp-15, 0x1.7bed0da766152p-15, 0x1.790d7ab389551p-15, 0x1.7633024aadd3ep-15, 0x1.735d9cd77dfb6p-15, 0x1.708d42cae94abp-15, 0x1.6dc1ec9bec21cp-15, 0x1.6afb92c8184dbp-15, 0x1.683a2dd30209cp-15, 0x1.657db646f4dc8p-15, 0x1.62c624b47c566p-15, 0x1.601371b29db72p-15, 0x1.5d6595df2ec26p-15, 0x1.5abc89de60a75p-15, 0x1.5818465b2e405p-15, 0x1.5578c4076065ep-15, 0x1.52ddfb9b326b3p-15, 0x1.5047e5d608c88p-15, 0x1.4db67b7dd4bep-15, 0x1.4b29b55f89c79p-15, 0x1.48a18c4efd301p-15, 0x1.461df92702e41p-15, 0x1.439ef4c953248p-15, 0x1.4124781edd64ap-15, 0x1.3eae7c1764d99p-15, 0x1.3c3cf9a9fcc6cp-15, 0x1.39cfe9d4b48bap-15, 0x1.3767459cc33bdp-15, 0x1.3503060eaa35bp-15, 0x1.32a3243df9afap-15, 0x1.30479945b53d7p-15, 0x1.2df05e47e92bp-15, 0x1.2b9d6c6e16eebp-15, 0x1.294ebce8ecbe5p-15, 0x1.270448f07ae1fp-15, 0x1.24be09c44bd75p-15, 0x1.227bf8ab05ec9p-15, 0x1.203e0ef30b386p-15, 0x1.1e0445f1e2475p-15, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      44, 0x1.dp+2, 0x1.61eac67b2c111p+0, 0x1.778ab81860487p+1, -0x1.127f1954ebcdap-8, 
      {{
        {0x1.451eb851eb852p+2, 0x1.4666666666666p+2, 0x1.9bbebea24d213p-7, -0x1.7b7d0ff540021p-6, 0x1.0651bcc58a183p-6, -0x1.420c8498de093p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.8cc62ce5dcc6cp-7, -0x1.7117a56d164d6p-6, 0x1.017d11d29b3e9p-6, -0x1.3bdcb7023acbcp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.6921f13ba379fp-7, -0x1.57ef8d9645497p-6, 0x1.eb4995eb7214p-7, -0x1.34321306bbc86p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.47f2ae0a352c9p-7, -0x1.3ff301f778935p-6, 0x1.d42c3ae48a64dp-7, -0x1.2cd4febae3b7dp-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.291acbdccde59p-7, -0x1.291acba8dfd7ep-6, 0x1.bd9c416352ea7p-7, -0x1.2563221e56ae2p-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.0c7d69c92ff04p-7, -0x1.135fcf03a523dp-6, 0x1.a79b386dd937p-7, -0x1.1df6d714ce527p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.e3fcbadf47b7dp-8, -0x1.fd75d226f17e1p-7, 0x1.9228b519168a7p-7, -0x1.16890e0ffe98ap-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b30465f5f0f57p-8, -0x1.d649f1b1ef3b2p-7, 0x1.7d44d40b16a53p-7, -0x1.0f1bab653a27cp-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.85dc5a4105c84p-8, -0x1.b12db99d0b95cp-7, 0x1.68ef8d96b248ap-7, -0x1.07ae2d4d9e37bp-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.5c508a403ce35p-8, -0x1.8e12e724fc976p-7, 0x1.5528e3ca799e5p-7, -0x1.0040b68f43c8bp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.362e558859825p-8, -0x1.6ceb377332488p-7, 0x1.41f0d6195488dp-7, -0x1.f1a67bb19987fp-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.134488c32b68p-8, -0x1.4da867b646c26p-7, 0x1.2f4764a911fa3p-7, -0x1.e2cb8b52e5ea2p-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.e6c6bb5f1dbc8p-9, -0x1.303c351b71decp-7, 0x1.1d2c8f6f8fc12p-7, -0x1.d3f09aabb698ep-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.acb8f642d96fp-9, -0x1.14985cd04a65cp-7, 0x1.0ba0566f85b51p-7, -0x1.c515aa1803771p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.7805ea0374987p-9, -0x1.f55d38049b58fp-8, 0x1.f5457350718e2p-8, -0x1.b63ab97f0a12bp-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.4856989cf2f8dp-9, -0x1.c4e15fbdffb5ep-8, 0x1.d4677233b7334p-8, -0x1.a75fc8e77dcedp-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.1d56de35715fap-9, -0x1.97a0ab27c680cp-8, 0x1.b4a6a988c0f7p-8, -0x1.9884d84f9f7f2p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.ed6ae23a4b551p-10, -0x1.6d7e949cf566fp-8, 0x1.9603194f95004p-8, -0x1.89a9e7b7c3622p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.a847c39cbd8cdp-10, -0x1.465e967891cb8p-8, 0x1.787cc1883325dp-8, -0x1.7acef71fe7c68p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.6aad35db095b8p-10, -0x1.22242b15a111fp-8, 0x1.5c13a2329b5d7p-8, -0x1.6bf406881b7f2p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3409c29230d5ep-10, -0x1.00b2cccf28ad6p-8, 0x1.40c7bb4ecc80dp-8, -0x1.5d1915f03b54p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.03d1a7b3682bap-10, -0x1.c3dbec005c198p-9, 0x1.26990cdcc80ddp-8, -0x1.4e3e255864112p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.b2fdaf082b56dp-11, -0x1.8b7242076d27ep-9, 0x1.0d8796dc8d58fp-8, -0x1.3f6334c09cd83p-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.6921f13ba3858p-11, -0x1.57ef90698f80fp-9, 0x1.eb26b29c365e7p-9, -0x1.30884428aba22p-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.291acbdccdef8p-11, -0x1.291acbdccdea2p-9, 0x1.bd78a862e96cbp-9, -0x1.21ad5390ed509p-9}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.e3fcbadf47cb4p-12, -0x1.fd75d22e66774p-10, 0x1.92050f0d2c3a6p-9, -0x1.12d262f90027bp-9}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.85dc5a4105d9bp-12, -0x1.b12db99d94a9ep-10, 0x1.68cbe69b05ce2p-9, -0x1.03f7726138898p-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.362e55885994cp-12, -0x1.6ceb37733c06bp-10, 0x1.41cd2f0c7085dp-9, -0x1.ea390392d4288p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.e6c6bb5f1de8p-13, -0x1.303c351b72a25p-10, 0x1.1d08e8616d695p-9, -0x1.cc83226295bc9p-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.7805ea0374cafp-13, -0x1.f55d38049a787p-11, 0x1.f4fe25341129bp-10, -0x1.aecd413548d56p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.1d56de35719p-13, -0x1.97a0ab27ca0d4p-11, 0x1.b45f5b6c1309dp-10, -0x1.91175ffc607f8p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.a847c39cbde1ep-14, -0x1.465e96788522p-11, 0x1.7835736c9e2a5p-10, -0x1.73617eef158a3p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.3409c2923136p-14, -0x1.00b2cccf57bd3p-11, 0x1.40806d2f27bb2p-10, -0x1.55ab9d3fbcb5cp-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.b2fdaf082bf8p-15, -0x1.8b7242060e356p-12, 0x1.0d4048cbfea02p-10, -0x1.37f5bdeb9f4f7p-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.291acbdcce8p-15, -0x1.291acbe1ed239p-12, 0x1.bcea0bd14d755p-11, -0x1.1a3fd5cd93622p-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.85dc5a41071ffp-16, -0x1.b12db977589e9p-13, 0x1.683d4bad3ad83p-11, -0x1.f9141cf840fcp-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.e6c6bb5f201ffp-17, -0x1.303c35aa24503p-13, 0x1.1c7a4754cab2bp-11, -0x1.bda79982a15ecp-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.1d56de35742p-17, -0x1.97a0a6feb023fp-14, 0x1.b342470264fap-12, -0x1.823ea7c0e0b52p-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.3409c29236cp-18, -0x1.00b2dc561a5aap-14, 0x1.3f62ae4887f76p-12, -0x1.46c864010ab4cp-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.291acbdcd9001p-19, -0x1.291a57f76d0fep-15, 0x1.bab386f6d64fdp-13, -0x1.0b83d685a3d04p-11}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.e6c6bb5f48001p-21, -0x1.303f962abc64cp-16, 0x1.1a3139737406dp-13, -0x1.9f0b83ed26faep-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.3409c292a7fffp-22, -0x1.009993ea24a9cp-17, 0x1.3b5b8a256a44cp-14, -0x1.2c7826e799fe7p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.e6c6bb62c0001p-25, -0x1.31b4baf0763dep-19, 0x1.0e26e59b4eec2p-15, -0x1.4b694f44209acp-13}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.e6c6bb7800001p-29, -0x1.0452972bc2103p-22, 0x1.1d3871c9ba4p-17, -0x1.bb861def58c5cp-13}, 
      }}, 
      0x1.a157d510b571p-9, -0x1.41a00ffb79b1fp-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{-0x1.ec0cf8d72d40cp-2, -0x1.c2b0f9db01e9cp-2, -0x1.8745d34cd5a5bp-2, -0x1.42a78f3c5e405p-2, -0x1.f8e2f58050771p-3, -0x1.74aeba4e84d4p-3, -0x1.0041cae33f7b7p-3, -0x1.3fb841b6d735dp-4, -0x1.549533eda46c3p-5, -0x1.fe0516c43021fp-7, 0x1.798a89d28e8cp-11, 0x1.13ba5292ea8b8p-7, 0x1.22593ca265654p-7, 0x1.c6d8c4c5ed419p-9, -0x1.a1b0fe0777ee5p-8, -0x1.3d86ce07394acp-6, -0x1.19c262c65dbe7p-5, -0x1.9d018fe699f06p-5, -0x1.10d2862e8de8bp-4, -0x1.5110596d3dc97p-4, -0x1.8d11fa5591335p-4, -0x1.c33e6dc1bad72p-4, -0x1.f27b255d23693p-4, -0x1.0d0d1e9ee0be3p-3, -0x1.1ce4728f9ff06p-3, -0x1.28bf57956d834p-3, -0x1.30b71e2d0a998p-3, -0x1.34fbc54f0c2c3p-3, -0x1.35ce00207ed29p-3, -0x1.337a18483ad14p-3, -0x1.2e53a2d2394f8p-3, -0x1.26b1f7af0f148p-3, -0x1.1ced592939febp-3, -0x1.115cb70cf8ce8p-3, -0x1.0453f8ab1567dp-3, -0x1.ec4573bb52409p-4, -0x1.ce26d0552d6aep-4, -0x1.aed55df90a37cp-4, -0x1.8ece46b86fa87p-4, -0x1.6e8244e15fce7p-4, -0x1.4e55aef4de4c8p-4, -0x1.2ea0bf51d5f8ap-4, -0x1.0fb007b0d3de5p-4, -0x1.e38a085bec9a2p-5, -0x1.aa2d88f9c764ep-5, -0x1.73a54553bcd3p-5, -0x1.403a033b8161fp-5, -0x1.10241c80fa169p-5, -0x1.c719ff63e19acp-6, -0x1.752153d5b4996p-6, -0x1.2a7e2aa0b9aa4p-6, -0x1.ce765f9a75b48p-7, -0x1.56a0bdc2cf892p-7, -0x1.da960060dfd43p-8, -0x1.24517ca2d83d7p-8, -0x1.1357bb745c1fep-9, -0x1.36afffa7b6d5bp-13, 0x1.72864a3167157p-10, 0x1.550696c5759cdp-9, 0x1.c25af0bc45bb2p-9, 0x1.01ecb13fccbfcp-8, 0x1.0e1771fdc443ep-8, 0x1.0709e7201b4e1p-8, 0x1.dc44f4415aef6p-9, 0x1.897ca1d9aca63p-9, 0x1.186d73f529734p-9, 0x1.177afbca1a936p-10, -0x1.9fdb2faf18734p-13, -0x1.ac840cf041a39p-10, -0x1.a6a3cfe6722a2p-9, -0x1.4467d472b120bp-8, -0x1.bd45ff744518cp-8, -0x1.1e6e93cdb64ep-7, -0x1.6115ee6973fdcp-7, -0x1.a61f5e6ada262p-7, -0x1.ed1844e626185p-7, -0x1.1aca7d3125342p-6, -0x1.3f98632d2deccp-6, -0x1.64c6d98716a9cp-6, -0x1.8a2a2fa9e1c3cp-6, -0x1.af99e98e82814p-6, -0x1.d4f09af755bc3p-6, -0x1.fa0bd14c3b7d6p-6, -0x1.0f65f7de604dp-5, -0x1.218a07f7a236cp-5, -0x1.3364f00ff3fc8p-5, -0x1.44eac27215318p-5, -0x1.5610b8fc227adp-5, -0x1.66cd27849fc6ep-5, -0x1.77176a92f9a86p-5, -0x1.86e7d78092e8dp-5, -0x1.9637adcb2b3a6p-5, -0x1.a501083f2faf3p-5, -0x1.b33ece5491abdp-5, -0x1.c0eca913d7b3fp-5, -0x1.ce06f5a97f738p-5, -0x1.da8ab3c7027ccp-5, -0x1.e67584aa6a2d6p-5, -0x1.f1c595c08c7ccp-5, -0x1.fc799e843c134p-5, -0x1.034867aecc814p-4, -0x1.080566f85c676p-4, -0x1.0c73d38bae3c1p-4, -0x1.1093e60cce4c2p-4, -0x1.146601e0521b7p-4, -0x1.17eab45cde35p-4, -0x1.1b22aeac92e8dp-4, -0x1.1e0ec56a3ec72p-4, -0x1.20afea99edc6dp-4, -0x1.23072c03cfb2cp-4, -0x1.2515b143c088dp-4, -0x1.26dcb6d1ec8b8p-4, -0x1.285d8e1446f57p-4, -0x1.299999d8863cbp-4, -0x1.2a924c285daf7p-4, -0x1.2b49257fc202p-4, -0x1.2bbfb18192213p-4, -0x1.2bf7861e14692p-4, -0x1.2bf241dfa56c3p-4, -0x1.2bb18a46b1b22p-4, -0x1.2b370a9b3c207p-4, -0x1.2a84728db8321p-4, -0x1.299b7501246b5p-4, -0x1.287dc6fad4897p-4, -0x1.272d1e8875074p-4, -0x1.25ab31d617931p-4, -0x1.23f9b66748898p-4, -0x1.221a601f32efdp-4, -0x1.200ee066c6ef3p-4, -0x1.1dd8e5f98c674p-4, -0x1.1b7a1b65ca6eap-4, -0x1.18f4272d0ca65p-4, -0x1.1648aae7a1c54p-4, -0x1.1379433c64cd5p-4, -0x1.108786e3df138p-4, -0x1.0d7506897816ep-4, -0x1.0a434bf91901ep-4, -0x1.06f3da7a117f2p-4, -0x1.03882e3a1d72cp-4, -0x1.0001bbf0aea85p-4, -0x1.f8c3e181597bdp-5, -0x1.f15464b1f8748p-5, -0x1.e9b7bbffaca3ep-5, -0x1.e1f09262e2c8fp-5, -0x1.da0182d6bd33fp-5, -0x1.d1ed17805442fp-5, -0x1.c9b5c988df11bp-5, -0x1.c15e02488a434p-5, -0x1.b8e819de96c8dp-5, -0x1.b056582d17b0ap-5, -0x1.a7aaf34fc8ad1p-5, -0x1.9ee8122abaf8p-5, -0x1.960fcad2a4dd2p-5, -0x1.8d2422008e7bbp-5, -0x1.84270d086fba2p-5, -0x1.7b1a713c1017ep-5, -0x1.720023eafb6abp-5, -0x1.68d9ea415a585p-5, -0x1.5fa97a48b6d61p-5, -0x1.56707b163e2a3p-5, -0x1.4d3084b394219p-5, -0x1.43eb1fa3aeebcp-5, -0x1.3aa1c6c3951cap-5, -0x1.3155e6ff1ffd8p-5, -0x1.2808df01f4895p-5, -0x1.1ebbffc202b73p-5, -0x1.15708b7120cd6p-5, -0x1.0c27bb28b8538p-5, -0x1.02e2b8782ab44p-5, -0x1.f34540b51e793p-6, -0x1.e0d1091d15564p-6, -0x1.ce6ad6ba72031p-6, -0x1.bc149f8371881p-6, -0x1.a9d041d906338p-6, -0x1.979f853c28eefp-6, -0x1.85841dd98e52ap-6, -0x1.737facf0f5549p-6, -0x1.6193bf5c78c59p-6, -0x1.4fc1cbbc62917p-6, -0x1.3e0b3797a7b8fp-6, -0x1.2c7157189e0d1p-6, -0x1.1af56e7fb6823p-6, -0x1.0998af3972153p-6, -0x1.f0b87338dd20cp-7, -0x1.ce823b2d3f0a3p-7, -0x1.ac90bb784b53dp-7, -0x1.8ae5ddc1d0c5ep-7, -0x1.69836bc3d2253p-7, -0x1.486b11cc98539p-7, -0x1.279e60c9b0fb2p-7, -0x1.071ed2e41338p-7, -0x1.cddb97be6338ap-8, -0x1.8e192b41f7a3p-8, -0x1.4ef8bf87e294fp-8, -0x1.107c8766d45f6p-8, -0x1.a54d1c4000983p-9, -0x1.2af1765417d1ep-9, -0x1.63d32bf28e48fp-10, -0x1.d1c521bf57601p-12, 0x1.e0f45ec7ff5eap-12, 0x1.6232c7806bc13p-10, 0x1.24b598dcdd843p-9, 0x1.96f0f9de4f9adp-9, 0x1.03e4e41354097p-8, 0x1.3b9f36c7c9d2p-8, 0x1.72a6cc7001919p-8, 0x1.a8fb14a08bb5ep-8, 0x1.de9b9605b0fd5p-8, 0x1.09c3faa4ce649p-7, 0x1.23dff67250bdfp-7, 0x1.3da1ab1cd254cp-7, 0x1.57091133f1e2bp-7, 0x1.701629e2f43fep-7, 0x1.88c900824c3bcp-7, 0x1.a121aa33e188fp-7, 0x1.b92047b1a9d97p-7, 0x1.d0c503d8c8423p-7, 0x1.e81012fa86a38p-7, 0x1.ff01b13accf18p-7, 0x1.0acd10c520739p-6, 0x1.15ecd7d83efc1p-6, 0x1.20e05724151cbp-6, 0x1.2ba7bcaab7a2ap-6, 0x1.36433a1f60a74p-6, 0x1.40b3044bf0cf4p-6, 0x1.4af752a926decp-6, 0x1.55105fdb3f80bp-6, 0x1.5efe68e5750b5p-6, 0x1.68c1ae6814194p-6, 0x1.725a73f84bb82p-6, 0x1.7bc8ffcd9e277p-6, 0x1.850d9a355d0cbp-6, 0x1.8e288daaa7efbp-6, 0x1.971a267a5a387p-6, 0x1.9fe2b2ed1bb5ep-6, 0x1.a88283b4cae59p-6, 0x1.b0f9ed6e89a1ap-6, 0x1.b9494283f86ebp-6, 0x1.c170daaefe1adp-6, 0x1.c9710d0e878e1p-6, 0x1.d14a31d322417p-6, 0x1.d8fca438b9966p-6, 0x1.e088bf8ab6e9fp-6, 0x1.e7eee13e50e9fp-6, 0x1.ef2f67559abadp-6, 0x1.f64ab121f1e41p-6, 0x1.fd411eae85328p-6, 0x1.0209886920619p-5, 0x1.056074628ee55p-5, 0x1.08a584729d8adp-5, 0x1.0bd8e9eb2c45ep-5, 0x1.0efad6e986bap-5, 0x1.120b7d28d2535p-5, 0x1.150b0ef7cf73cp-5, 0x1.17f9be9d1489bp-5, 0x1.1ad7be60d7e49p-5, 0x1.1da540ee1d854p-5, 0x1.2062789d2348dp-5, 0x1.230f981bcdf2ep-5, 0x1.25acd20ed4aa6p-5, 0x1.283a58fc9ceap-5, 0x1.2ab85f8e165bcp-5, 0x1.2d271813a08e9p-5, 0x1.2f86b4cc8c55dp-5, 0x1.31d767b92fa1fp-5, 0x1.341962d598652p-5, 0x1.364cd7dd066efp-5, 0x1.3871f85385675p-5, 0x1.3a88f57db73e8p-5, 0x1.3c92006d9819dp-5, 0x1.3e8d49d02add5p-5, 0x1.407b01eebcde4p-5, 0x1.425b58d303a2bp-5, 0x1.442e7e1e4a6b6p-5, 0x1.45f4a11160b1p-5, 0x1.47adf08e8605p-5, 0x1.495a9b0a6bce3p-5, 0x1.4aface941f8d3p-5, 0x1.4c8eb8c81e79dp-5, 0x1.4e1686aed2814p-5, 0x1.4f9264eabe1cfp-5, 0x1.51027f965d191p-5, 0x1.5267024bf14bp-5, 0x1.53c018206cbf4p-5, 0x1.550deba01fab2p-5, 0x1.5650a6cffa5dp-5, 0x1.578873258f9d7p-5, 0x1.58b5799755f0dp-5, 0x1.59d7e26a9a7f7p-5, 0x1.5aefd562f0f8bp-5, 0x1.5bfd79a75cc4bp-5, 0x1.5d00f5c831da7p-5, 0x1.5dfa6fbcd901p-5, 0x1.5eea0ce525191p-5, 0x1.5fcff2079dc58p-5, 0x1.60ac434f2d27fp-5, 0x1.617f244a68eb3p-5, 0x1.6248b7f03832ap-5, 0x1.63092093dff88p-5, 0x1.63c07fe5e5fdep-5, 0x1.646ef701b96a8p-5, 0x1.6514a66332028p-5, 0x1.65b1ade9a3396p-5, 0x1.66462cd9712aep-5, 0x1.66d241db6fd03p-5, 0x1.67560afaf8879p-5, 0x1.67d1a5cad16f4p-5, 0x1.68452efaee1e3p-5, 0x1.68b0c2f0e989p-5, 0x1.69147d49ccae4p-5, 0x1.6970792feaf7cp-5, 0x1.69c4d11bc0a3bp-5, 0x1.6a119f07fa2a4p-5, 0x1.6a56fc5e5d214p-5, 0x1.6a9501f52674ap-5, 0x1.6acbc81a151c8p-5, 0x1.6afb6694d6106p-5, 0x1.6b23f4a276445p-5, 0x1.6b4588fa9825bp-5, 0x1.6b6039d29bcafp-5, 0x1.6b741ce156afep-5, 0x1.6b81475dbe6c4p-5, 0x1.6b87ce059e0ccp-5, 0x1.6b87c51f808bcp-5, 0x1.6b814077494cap-5, 0x1.6b74536aa82a5p-5, 0x1.6b6110e75bae1p-5, 0x1.6b478b6d1b87cp-5, 0x1.6b27d5114dd41p-5, 0x1.6b01ff81f91cep-5, 0x1.6ad61c091fe72p-5, 0x1.6aa43b8f9525p-5, 0x1.6a6c6e9f43374p-5, 0x1.6a2ec566b5926p-5, 0x1.69eb4fbc4e4dp-5, 0x1.69a21d211e70bp-5, 0x1.69533cc3c4464p-5, 0x1.68febd8552025p-5, 0x1.68a4adfb65fb7p-5, 0x1.68451c6f77931p-5, 0x1.67e016e6af88ap-5, 0x1.6775ab23ddb43p-5, 0x1.6705e6a8c0977p-5, 0x1.6690d6ba7a655p-5, 0x1.66168864d1d23p-5, 0x1.6597087b7d83dp-5, 0x1.6512639e3856fp-5, 0x1.6488a63b6a8acp-5, 0x1.63f9dc92f3a4ep-5, 0x1.636612b8fff1fp-5, 0x1.62cd5498db354p-5, 0x1.622fadf7856c4p-5, 0x1.618d2a7624bc6p-5, 0x1.60e5d594526fap-5, 0x1.6039bab4ae3e5p-5, 0x1.5f88e51d4836ap-5, 0x1.5ed35ff94d488p-5, 0x1.5e19365db2d5dp-5, 0x1.5d5a734abbd6bp-5, 0x1.5c9721adec77p-5, 0x1.5bcf4c6465266p-5, 0x1.5b02fe3d071dfp-5, 0x1.5a3241fa901b2p-5, 0x1.595d22559fef8p-5, 0x1.5883a9feb0b19p-5, 0x1.57a5e39ffb94ap-5, 0x1.56c3d9df4848fp-5, 0x1.55dd975f91ca4p-5, 0x1.54f326c2e42d7p-5, 0x1.540492abcd5bep-5, 0x1.5311e5bef04ap-5, 0x1.521b2aa470c5ep-5, 0x1.51206c099abb9p-5, 0x1.5021b4a296d89p-5, 0x1.4f1f0f2a951ebp-5, 0x1.4e1886653fbbcp-5, 0x1.4d0e252051c4ap-5, 0x1.4bfff634a9a6p-5, 0x1.4aee0487b7689p-5, 0x1.49d85b0b6a0bdp-5, 0x1.48bf04bf684fbp-5, 0x1.47a20cb20addep-5, 0x1.46817e00fd14cp-5, 0x1.455d63d9f8e9cp-5, 0x1.4435c97b50217p-5, 0x1.430aba34714efp-5, 0x1.41dc416644b68p-5, 0x1.40aa6a84261dp-5, 0x1.3f754114306d6p-5, 0x1.3e3cd0aeb2bdep-5, 0x1.3d0124fe5f764p-5, 0x1.3bc249c17e69dp-5, 0x1.3a804ac9d7bb7p-5, 0x1.393b33fc91bcap-5, 0x1.37f3115287d5p-5, 0x1.36a7eed790089p-5, 0x1.3559d8aa960ecp-5, 0x1.3408dafeeeda6p-5, 0x1.32b5021a817adp-5, 0x1.315e5a564ddep-5, 0x1.3004f01de17b9p-5, 0x1.2ea8cfeee8804p-5, 0x1.2d4a0658db1f1p-5, 0x1.2be89ffc9f461p-5, 0x1.2a84a98c2674p-5, 0x1.291e2fca0f133p-5, 0x1.27b53f893cae3p-5, 0x1.2649e5acc1c54p-5, 0x1.24dc2f270ba4fp-5, 0x1.236c28f9ead7ep-5, 0x1.21f9e035c281fp-5, 0x1.208561f8d16b1p-5, 0x1.1f0ebb6e4ad58p-5, 0x1.1d95f9cd48473p-5, 0x1.1c1b2a57afb56p-5, 0x1.1a9e5a591c821p-5, 0x1.191f9725fc8b5p-5, 0x1.179eee1ae4d24p-5, 0x1.161c6c9be29d4p-5, 0x1.1498201455784p-5, 0x1.131215f71e004p-5, 0x1.118a5bbe99506p-5, 0x1.1000feec5e824p-5, 0x1.0e760d08ac502p-5, 0x1.0ce993a1515dbp-5, 0x1.0b5ba047f4c3fp-5, 0x1.09cc408fdc6ecp-5, 0x1.083b820b60176p-5, 0x1.06a972494e2bcp-5, 0x1.05161ed2d7d1cp-5, 0x1.0381952a17b9fp-5, 0x1.01ebe2c9c8f0ap-5, 0x1.0055152610794p-5, 0x1.fd7a735c865e2p-6, 0x1.fa48bb9e7d703p-6, 0x1.f7151deb7a626p-6, 0x1.f3dfb51fd014ap-6, 0x1.f0a89c1afe294p-6, 0x1.ed6fedbc12f76p-6, 0x1.ea35c4d9e2b31p-6, 0x1.e6fa3c37764f9p-6, 0x1.e3bd6e7665b09p-6, 0x1.e07f76081b31fp-6, 0x1.dd406d239e295p-6, 0x1.da006dbce3f2fp-6, 0x1.d6bf91855220ap-6, 0x1.d37df1f1e607dp-6, 0x1.d03ba849f40a5p-6, 0x1.ccf8cdba2124p-6, 0x1.c9b57b693121p-6, 0x1.c671ca8a9fc37p-6, 0x1.c32dd46a7c78fp-6, 0x1.bfe9b26f38acfp-6, 0x1.bca57e0ef4547p-6, 0x1.b96150b83a9f7p-6, 0x1.b61d43b071f27p-6, 0x1.b2d96fec4d23p-6, 0x1.af95ede8a2bc2p-6, 0x1.ac52d58a935ddp-6, 0x1.a9103e0d93d8bp-6, 0x1.a5ce3e047e358p-6, 0x1.a28ceb6f9a776p-6, 0x1.9f4c5be6951a1p-6, 0x1.9c0ca4d155eb2p-6, 0x1.98cddba5cf277p-6, 0x1.95901623a38p-6, 0x1.92536a81fccadp-6, 0x1.8f17ef8056227p-6, 0x1.8bddbc5a4e8fep-6, 0x1.88a4e89a2bb85p-6, 0x1.856d8bcc02475p-6, 0x1.8237bd1c04e25p-6, 0x1.7f0392edb1091p-6, 0x1.7bd1227cf8766p-6, 0x1.78a07f9a6f0b6p-6, 0x1.7571bc910713bp-6, 0x1.7244ea3e43d4fp-6, 0x1.6f1a185eab1b2p-6, 0x1.6bf1560783898p-6, 0x1.68cab23f04429p-6, 0x1.65a63c9dad3f5p-6, 0x1.628405df86278p-6, 0x1.5f64204c0397fp-6, 0x1.5c469fde79e52p-6, 0x1.592b9a21101a7p-6, 0x1.561325b6c2e5ep-6, 0x1.52fd599e5a99cp-6, 0x1.4fea4c46ce9b2p-6, 0x1.4cda1291e210ep-6, 0x1.49ccbeecdf259p-6, 0x1.46c260aedc2bdp-6, 0x1.43bb03d19343p-6, 0x1.40b6b11b2b17bp-6, 0x1.3db56ebda5775p-6, 0x1.3ab7415da0176p-6, 0x1.37bc2d646b53p-6, 0x1.34c4386a50a77p-6, 0x1.31cf6a97dfa69p-6, 0x1.2eddcfb8587d4p-6, 0x1.2bef77d8f31e6p-6, 0x1.2904774c926cdp-6, 0x1.261ce6042bb46p-6, 0x1.2338de4318ec2p-6, 0x1.20587ad1e970cp-6, 0x1.1d7bd4ea3dc25p-6, 0x1.1aa30226c9d32p-6, 0x1.17ce12c6a4967p-6, 0x1.14fd1089f2fcp-6, 0x1.122ffe58c62b1p-6, 0x1.0f66d8c7a5e95p-6, 0x1.0ca1976eb1341p-6, 0x1.09e02eed00d55p-6, 0x1.0722935d3ea1bp-6, 0x1.0468baf3b3237p-6, 0x1.01b2a0779d855p-6, 0x1.fe008a9668b35p-7, 0x1.f8a3657884ec5p-7, 0x1.f34df4bf570c3p-7, 0x1.ee006ab6e50bfp-7, 0x1.e8bb053d74b39p-7, 0x1.e37e085fdb2cp-7, 0x1.de49b7c74e93cp-7, 0x1.d91e4fdc5721dp-7, 0x1.d3fbff9cec097p-7, 0x1.cee2e41001ff2p-7, 0x1.c9d305fcdf7e7p-7, 0x1.c4cc5a28d833bp-7, 0x1.bfcec3f35bc6p-7, 0x1.bada19d064c2ep-7, 0x1.b5ee2af19b022p-7, 0x1.b10ac5679acf2p-7, 0x1.ac2fbc1eb2a79p-7, 0x1.a75cec3c6e385p-7, 0x1.a292417deac88p-7, 0x1.9dcfb93c6b06ep-7, 0x1.991563c05d07fp-7, 0x1.9463638be6754p-7, 0x1.8fb9ea6b0ec76p-7, 0x1.8b19345dc2adcp-7, 0x1.868180d4d9c7bp-7, 0x1.81f30b2a8bac9p-7, 0x1.7d6e038e92f02p-7, 0x1.78f289aeb81cap-7, 0x1.7480aa1d22e5ep-7, 0x1.70185edc984afp-7, 0x1.6bb992b891d1cp-7, 0x1.67642660c358cp-7, 0x1.6317f5e7754ap-7, 0x1.5ed4dd6302edp-7, 0x1.5a9abbffac90ep-7, 0x1.5669758af9f3bp-7, 0x1.5240f31a3fa49p-7, 0x1.4e2123a043c29p-7, 0x1.4a09fd0228ddep-7, 0x1.45fb7da47f4eep-7, 0x1.41f5adca2df33p-7, 0x1.3df89fbf10b66p-7, 0x1.3a046de07d3c6p-7, 0x1.361936270bd71p-7, 0x1.323713bbe5934p-7, 0x1.2e5e180bab7b3p-7, 0x1.2a8e4557011c2p-7, 0x1.26c78ca716828p-7, 0x1.2309d0363d575p-7, 0x1.1f54e9fa64f88p-7, 0x1.1ba8b485379d4p-7, 0x1.1805136e124a1p-7, 0x1.1469f8746e5bdp-7, 0x1.10d763a8d4148p-7, 0x1.0d4d5ec24ca6bp-7, 0x1.09cbf5a797177p-7, 0x1.06532f52ac36bp-7, 0x1.02e309fc78c2cp-7, 0x1.fef6f819d3be1p-8, 0x1.f838f285d2d48p-8, 0x1.f18bf381ecdc3p-8, 0x1.eaefffabca5e4p-8, 0x1.e4653380006ecp-8, 0x1.ddebbc46689cp-8, 0x1.d783c7dfed6dep-8, 0x1.d12d708f9f888p-8, 0x1.cae8abac7c664p-8, 0x1.c4b541836796p-8, 0x1.be92d1e4f30c2p-8, 0x1.b880e4dd5deb5p-8, 0x1.b27f036cce163p-8, 0x1.ac8cd0e7280dp-8, 0x1.a6aa1cedb80fbp-8, 0x1.a0d6e744f0069p-8, 0x1.9b13531dd242ep-8, 0x1.955f8d034328dp-8, 0x1.8fbbacbc6a9ebp-8, 0x1.8a279efe0a879p-8, 0x1.84a32017ae217p-8, 0x1.7f2dca619091p-8, 0x1.79c732b08b50bp-8, 0x1.746f07f1d7f2dp-8, 0x1.6f252a01214b2p-8, 0x1.69e9afa0e401bp-8, 0x1.64bcd9f9f935dp-8, 0x1.5f9efaf410fdfp-8, 0x1.5a905868c3223p-8, 0x1.55911691b9d2bp-8, 0x1.50a12ff111a51p-8, 0x1.4bc07ac2deaebp-8, 0x1.46eeb755f556cp-8, 0x1.422ba19346bcbp-8, 0x1.3d770193c5469p-8, 0x1.38d0b8c11fc0cp-8, 0x1.3438c8d2a06dfp-8, 0x1.2faf50f05062ap-8, 0x1.2b347e14d5f92p-8, 0x1.26c87030bc9cep-8, 0x1.226b1c3d15a08p-8, 0x1.1e1c38270bceep-8, 0x1.19db3bef87865p-8, 0x1.15a77a8fb96b5p-8, 0x1.1180498e78c1dp-8, 0x1.0d6527064f688p-8, 0x1.0955cfa867a6ep-8, 0x1.05523eb4da6a3p-8, 0x1.015a9acd4502fp-8, 0x1.fade3083c514p-9, 0x1.f31fb83f287e8p-9, 0x1.eb79d578c5a7fp-9, 0x1.e3ec4e99eedd1p-9, 0x1.dc76c330b35e6p-9, 0x1.d518d1543765dp-9, 0x1.cdd2335314346p-9, 0x1.c6a2ce13ffb0cp-9, 0x1.bf8ab1856c4dep-9, 0x1.b88a0f53531d4p-9, 0x1.b1a12c3116d3fp-9, 0x1.aad0505286732p-9, 0x1.a417b9909d059p-9, 0x1.9d778bfe9415fp-9, 0x1.96efbb119eb9ep-9, 0x1.907fed9c4800cp-9, 0x1.8a276d9ea1209p-9, 0x1.83e539ac717aap-9, 0x1.7db83bcb0de9bp-9, 0x1.779f8b72796ap-9, 0x1.719a945306f8dp-9, 0x1.6ba913896e776p-9, 0x1.65cb0147b6c5p-9, 0x1.6000837753d3ap-9, 0x1.5a49ea9d6e16bp-9, 0x1.54a7a4ff21b8ap-9, 0x1.4f1a1d28ae7b8p-9, 0x1.49a18dc92ce33p-9, 0x1.443ddecb1cd1bp-9, 0x1.3eee9f1076d6cp-9, 0x1.39b324e99589ep-9, 0x1.348ac7bb28ed2p-9, 0x1.2f750bdf12f75p-9, 0x1.2a719e45a1b8ap-9, 0x1.258026e3347e5p-9, 0x1.20a02093ebc4dp-9, 0x1.1bd0e0d660985p-9, 0x1.1711cefb61d4p-9, 0x1.1262a2f98ce51p-9, 0x1.0dc37eb7a4d9dp-9, 0x1.0934cf408a009p-9, 0x1.04b708a5a5999p-9, 0x1.004a6842f91d3p-9, 0x1.f7ddc5505e3a3p-10, 0x1.ef487086ae08bp-10, 0x1.e6d400830c9dp-10, 0x1.de7f1335cf78p-10, 0x1.d64784f9159e5p-10, 0x1.ce2af995ca821p-10, 0x1.c6281aada7623p-10, 0x1.be3f8efef380dp-10, 0x1.b673badf2ef2ap-10, 0x1.aec7648480a49p-10, 0x1.a73c3b2014507p-10, 0x1.9fd2480ff6438p-10, 0x1.9888947b58c9bp-10, 0x1.915e54b1b032fp-10, 0x1.8a5384842f651p-10, 0x1.83687faa6a66fp-10, 0x1.7c9d20b278ecap-10, 0x1.75f0396b96875p-10, 0x1.6f5fafabcfe61p-10, 0x1.68e8ff4874a1cp-10, 0x1.6289cc33aedcdp-10, 0x1.5c4059212516ap-10, 0x1.560bcf9f1d278p-10, 0x1.4fec4966b3993p-10, 0x1.49e28d2492482p-10, 0x1.43ef8a8114b33p-10, 0x1.3e13d9643a4cep-10, 0x1.384fa0c0f2498p-10, 0x1.32a2f16322fc1p-10, 0x1.2d0dee4001494p-10, 0x1.27901dc721fbbp-10, 0x1.2227940f82585p-10, 0x1.1cd19bf0faebap-10, 0x1.178ce86a75b5p-10, 0x1.125ae4a960396p-10, 0x1.0d3e546e7f7dep-10, 0x1.0838b338ea178p-10, 0x1.034914c6238aep-10, 0x1.fcdafe746b6fcp-11, 0x1.f34a480527c61p-11, 0x1.e9e23e4e4c623p-11, 0x1.e0a66d808eb59p-11, 0x1.d798826452462p-11, 0x1.ceb767999e38ep-11, 0x1.c600673f41574p-11, 0x1.bd7085a7d382ap-11, 0x1.b505295d165b4p-11, 0x1.acbc3742d6a55p-11, 0x1.a49413c475555p-11, 0x1.9c8bc592f778ap-11, 0x1.94a33001883d6p-11, 0x1.8cdb32376937p-11, 0x1.85356e9774f42p-11, 0x1.7db38fe62a782p-11, 0x1.76562f100c508p-11, 0x1.6f1c12f1784cp-11, 0x1.6802c13c9f77ap-11, 0x1.6108244157c16p-11, 0x1.5a2b1ef9a1d6dp-11, 0x1.5369aef54a557p-11, 0x1.4cbf94597999bp-11, 0x1.4629abdffa59ep-11, 0x1.3faab1ccad015p-11, 0x1.394961dab3879p-11, 0x1.33092d984ea23p-11, 0x1.2ce70dbf01c0ep-11, 0x1.26ddf809cdf8ep-11, 0x1.20ec894966f08p-11, 0x1.1b14eb895c07fp-11, 0x1.1558ec2762b47p-11, 0x1.0fb85eaf95c99p-11, 0x1.0a3265327437ap-11, 0x1.04c69484446ep-11, 0x1.fee9ab19a1251p-12, 0x1.f479a52f19415p-12, 0x1.ea3b632a65c4ap-12, 0x1.e02c6466b677ep-12, 0x1.d649ed3caf032p-12, 0x1.cc9191421cb5p-12, 0x1.c30193fcef273p-12, 0x1.b9991a35b7aa6p-12, 0x1.b058343334d2cp-12, 0x1.a73fcaf4598b5p-12, 0x1.9e51517cda836p-12, 0x1.958deebc5d37cp-12, 0x1.8cf54d831e5c4p-12, 0x1.84857607ad4aep-12, 0x1.7c3cf8bd79c0ap-12, 0x1.741d93cedffe9p-12, 0x1.6c2ac9c9d660dp-12, 0x1.6463a2d99b18cp-12, 0x1.5cc10e79a2d3ep-12, 0x1.553f5b6fdb98ep-12, 0x1.4de1b920ca794p-12, 0x1.46a749c031dc5p-12, 0x1.3f8840c817acfp-12, 0x1.3881bd797684fp-12, 0x1.3199cb76ef34ap-12, 0x1.2ad5babfa2c23p-12, 0x1.24353101bc19fp-12, 0x1.1db56b8f7d77p-12, 0x1.1753f3f8c3fap-12, 0x1.110f07005ff9p-12, 0x1.0ae5d771e0523p-12, 0x1.04d909beadf04p-12, 0x1.fdd4b9a0da564p-13, 0x1.f23691e59d438p-13, 0x1.e6d793042f33bp-13, 0x1.dbb4b211b54fep-13, 0x1.d0c9a2bdda22ep-13, 0x1.c6128b4f9c786p-13, 0x1.bb8cb9883c754p-13, 0x1.b1368c4b49ce9p-13, 0x1.a70f2dcf21ce4p-13, 0x1.9d1683437b9e1p-13, 0x1.934d2c4cef468p-13, 0x1.89b3f5068e702p-13, 0x1.804a64f885692p-13, 0x1.770dc02e9791cp-13, 0x1.6dfaec8713217p-13, 0x1.6512f7442ec24p-13, 0x1.5c5cea36be50bp-13, 0x1.53dd29d3d3d42p-13, 0x1.4b8a5229da7d9p-13, 0x1.435af7bcd7b3cp-13, 0x1.3b52d003cda1fp-13, 0x1.33713dbba95dbp-13, 0x1.2bb3cc2bf3cb1p-13, 0x1.24229a490e048p-13, 0x1.1cc229cc4e198p-13, 0x1.158d710ba452ep-13, 0x1.0e7de6649c8bfp-13, 0x1.078eb599c4b22p-13, 0x1.00bceeb02087ap-13, 0x1.f410e2267e232p-14, 0x1.e6e7a104405dfp-14, 0x1.da03c41f880f5p-14, 0x1.cd658a6b719c8p-14, 0x1.c107addc37064p-14, 0x1.b4e6039317df1p-14, 0x1.a902ce4d1eec9p-14, 0x1.9d63434e1c4dp-14, 0x1.9208989917285p-14, 0x1.86eec704a5d7bp-14, 0x1.7c1036203f0a7p-14, 0x1.7168b43cf1e08p-14, 0x1.66f5f769721ddp-14, 0x1.5cb6fd4e891d4p-14, 0x1.52ab81b8df8b9p-14, 0x1.48d3c9106765ep-14, 0x1.3f304b173d9b3p-14, 0x1.35c0ba5910842p-14, 0x1.2c832baf39136p-14, 0x1.2375089d6c474p-14, 0x1.1a95b3354a37bp-14, 0x1.11e944fb8a12dp-14, 0x1.0975d283146fdp-14, 0x1.0134cf2599309p-14, 0x1.f23395c4b725ap-15, 0x1.e249929a0dbc5p-15, 0x1.d2ac1ba746ee7p-15, 0x1.c369deab7e44fp-15, 0x1.b488078bf1393p-15, 0x1.a5fa544eab87dp-15, 0x1.97b9ce701fe3ap-15, 0x1.89c5b7acf384bp-15, 0x1.7c1eb8e7cfe22p-15, 0x1.6ec5866cedb9cp-15, 0x1.61bade9c82171p-15, 0x1.54ff3118a83ffp-15, 0x1.489108d1a4d11p-15, 0x1.3c6ae2a0714edp-15, 0x1.3084c5cac05c1p-15, 0x1.24db871d1342ep-15, 0x1.197364897383cp-15, 0x1.0e4ed64a0c6ecp-15, 0x1.036894ebe2476p-15, 0x1.f179b3aa389f7p-16, 0x1.dca09edd2bba4p-16, 0x1.c84e2588864dfp-16, 0x1.b47c1ebb85e3dp-16, 0x1.a11f3d0654b8cp-16, 0x1.8e303a108c027p-16, 0x1.7bac2b9984aaap-16, 0x1.6992189bad726p-16, 0x1.57e19a09d0fefp-16, 0x1.469a6748e97cep-16, 0x1.35bbc0c58a9ddp-16, 0x1.2543bb20ec533p-16, 0x1.152f3a6c2f81bp-16, 0x1.057a7606aed33p-16, 0x1.ec47759f5584bp-17, 0x1.ce63132c6f9f3p-17, 0x1.b14ba5541a85dp-17, 0x1.94db5cc450871p-17, 0x1.7905bcd9c6a37p-17, 0x1.5de135a53bc77p-17, 0x1.4377e89fb48e9p-17, 0x1.29b6efd8c08b9p-17, 0x1.1095672318cadp-17, 0x1.f023ffa94a22p-18, 0x1.c056609fc7e1dp-18, 0x1.91bcd8c4124cep-18, 0x1.64516dd2d0b9p-18, 0x1.380deafc2f745p-18, 0x1.0cec1a4495c07p-18, 0x1.c5cbc80c62194p-19, 0x1.73eb07be95f1fp-19, 0x1.242aa38e02cabp-19, 0x1.ad01004411f5ap-20, 0x1.15cb89252db8bp-20, 0x1.0568b97b7fe03p-21, -0x1.882c850a307a1p-25, -0x1.2e77989fc67edp-21, -0x1.1e86e23aabd56p-20, -0x1.a240d8df82256p-20, -0x1.113e171555829p-19, -0x1.4faa9b602ef5ap-19, -0x1.8c4f8e60a812ep-19, -0x1.c7225f4d976c3p-19, -0x1.001f89e4cb0c8p-18, -0x1.1bdff0abdde0cp-18, -0x1.36d8153a23dap-18, -0x1.510a8d02ec3cap-18, -0x1.6a798eb01161ap-18, -0x1.8327995fd348cp-18, -0x1.9b17cd6c33d7fp-18, -0x1.b24e3d7121de3p-18, -0x1.c8cffcb649695p-18, -0x1.dea2c55c50cf1p-18, -0x1.f3c9dd6475f8dp-18, -0x1.04203ea4c20c6p-17, -0x1.0e076dabdd891p-17, -0x1.17a16d5f7be64p-17, -0x1.20e94a9cecb36p-17, -0x1.29e172274b972p-17, -0x1.328e1e23411c4p-17, -0x1.3af089ec0474dp-17, -0x1.4309cb83ef162p-17, -0x1.4adb4876db10fp-17, -0x1.52667fe9701c9p-17, -0x1.59acf15564bc3p-17, -0x1.60b016b7951d4p-17, -0x1.677162cbaa128p-17, -0x1.6df241958980bp-17, -0x1.7434198e2aa4cp-17, -0x1.7a384452f1c9cp-17, -0x1.800013d004c59p-17, -0x1.858cd709132e9p-17, -0x1.8adfdad96622ep-17, -0x1.8ffa6c40ba363p-17, -0x1.94ddd84d9ffa7p-17, -0x1.998b6bd9723d4p-17, -0x1.9e047784c74ecp-17, -0x1.a24a38b0d666fp-17, -0x1.a65d329cb051cp-17, -0x1.aa3c675d8dc9dp-17, -0x1.ade8046eebcd6p-17, -0x1.b16520a63cf3fp-17, -0x1.b4b7fc9d4af32p-17, -0x1.b7df4d9cea6d6p-17, -0x1.bad77397a7445p-17, -0x1.bda287d87555cp-17, -0x1.c043fd6067c5bp-17, -0x1.c2bd0c0785e62p-17, -0x1.c50e173354554p-17, -0x1.c7378744d73d1p-17, -0x1.c93a031941c2cp-17, -0x1.cb167c0145253p-17, -0x1.ccce0ae0c3792p-17, -0x1.ce61f7c4d1d2dp-17, -0x1.cfd394a9a2c1bp-17, -0x1.d1221a853fd72p-17, -0x1.d24eb44a0b3abp-17, -0x1.d359c10246f11p-17, -0x1.d4440961358d4p-17, -0x1.d50fe6a8cbe67p-17, -0x1.d5bd8e662d29dp-17, -0x1.d64d590943e42p-17, -0x1.d6bfe4f26ef46p-17, -0x1.d715e7f59be24p-17, -0x1.d7500f8426e8cp-17, -0x1.d76f0a0c7698ap-17, -0x1.d7737ffd276cep-17, -0x1.d75e155c066cap-17, -0x1.d72f6a7b6ec2cp-17, -0x1.d6e81c9484fa4p-17, -0x1.d688c64de68dcp-17, -0x1.d612000e07657p-17, -0x1.d5845fd9d2b16p-17, -0x1.d4e078bf49f1fp-17, -0x1.d426d9d63b9d8p-17, -0x1.d3580d4a917dep-17, -0x1.d2749828d83cep-17, -0x1.d17cfc92cec01p-17, -0x1.d071bfe5a9135p-17, -0x1.cf53613463b48p-17, -0x1.ce22672795886p-17, -0x1.ccdf6bd83a18dp-17, -0x1.cb8af21b430a5p-17, -0x1.ca2582725be55p-17, -0x1.c8afdfed3ebfap-17, -0x1.c72a872f2b582p-17, -0x1.c5937314ecc71p-17, -0x1.c3ea324a6e193p-17, -0x1.c2358bb7c6303p-17, -0x1.c072676746f3fp-17, -0x1.be9e3ba06055p-17, -0x1.bcbd0c408ac65p-17, -0x1.bacf828402462p-17, -0x1.b8d527f56c343p-17, -0x1.b6ce118efa1b8p-17, -0x1.b4ba998bbc528p-17, -0x1.b29b2c4933d1dp-17, -0x1.b070a46306a62p-17, -0x1.ae3bee4dd193fp-17, -0x1.abfb30b5a4987p-17, -0x1.a9adfff972bb1p-17, -0x1.a75734fd4a476p-17, -0x1.a4f74ceb4b8b4p-17, -0x1.a28ddd3b37a6ep-17, -0x1.a01b080594453p-17, -0x1.9d9f1afe0973fp-17, -0x1.9b1a680f0b832p-17, -0x1.988d3b6af2dc7p-17, -0x1.95f7dce16fa4p-17, -0x1.935a951529286p-17, -0x1.90b5aa33630ecp-17, -0x1.8e0960765a139p-17, -0x1.8b55fa7758096p-17, -0x1.889bb948e415bp-17, -0x1.85dadc82968d7p-17, -0x1.8313a24f42e4dp-17, -0x1.804647878fafep-17, -0x1.7d7307d6404cbp-17, -0x1.7a9a1deccc213p-17, -0x1.77bbc3a0d4271p-17, -0x1.74d8317d49333p-17, -0x1.71efa106e2927p-17, -0x1.6f024753ba49ep-17, -0x1.6c10597aa1657p-17, -0x1.691a09ebf4332p-17, -0x1.661f8976e6c44p-17, -0x1.6321082c64ca2p-17, -0x1.601eb6aba0316p-17, -0x1.5d18c7314eb67p-17, -0x1.5a0f6e4f77813p-17, -0x1.5702dfdd413f5p-17, -0x1.53f34706198cep-17, -0x1.50e0c0f50f537p-17, -0x1.4dcb7317f7bd3p-17, -0x1.4ab3d87953aacp-17, -0x1.479ac3b72d9fp-17, -0x1.447f89c743adcp-17, -0x1.4160e5062eaecp-17, -0x1.3e3eeb9aee40ap-17, -0x1.3b1b574618aa1p-17, -0x1.37f73a824e824p-17, -0x1.34d1fd7be8f0cp-17, -0x1.31ab5f8e3bbdp-17, -0x1.2e838d0679ee8p-17, -0x1.2b5b22b94a7e7p-17, -0x1.28318159f5cf3p-17, -0x1.25060218d6e1ep-17, -0x1.21da5728ed36p-17, -0x1.1eae5415b6a2ap-17, -0x1.1b81da17e2f5cp-17, -0x1.185503c1b34b3p-17, -0x1.1527f1c81c223p-17, -0x1.11fac346695acp-17, -0x1.0ecd958d45c5ep-17, -0x1.0ba08518984d6p-17, -0x1.0873ad6d54fdap-17, -0x1.05472953dfa39p-17, -0x1.021b13041e946p-17, -0x1.fddf08191ba9cp-18, -0x1.f7892ab12e8f3p-18, -0x1.f134be5176dfdp-18, -0x1.eae1f24b71112p-18, -0x1.e490f7bdc2bd6p-18, -0x1.de420eddc4c24p-18, -0x1.d7f57185774c6p-18, -0x1.d1aaf9c392961p-18, -0x1.cb62e43615435p-18, -0x1.c51d9bdca6c35p-18, -0x1.bedb2e5c572ap-18, -0x1.b89bc1a9272dep-18, -0x1.b25f7b4d80fd2p-18, -0x1.ac26805f493c2p-18, -0x1.a5f0f6377876p-18, -0x1.9fbf01e7d0ed4p-18, -0x1.9990c7bf0c796p-18, -0x1.93666b37afdc1p-18, -0x1.8d400eac2d374p-18, -0x1.871dd34beb3f2p-18, -0x1.80ffd91c9b115p-18, -0x1.7ae63ee208711p-18, -0x1.74d122212f87dp-18, -0x1.6ec0a4a4c3ce5p-18, -0x1.68b4ea841f135p-18, -0x1.62ae0cf48747bp-18, -0x1.5cac264eaf9f9p-18, -0x1.56af4b75b8189p-18, -0x1.50b78d7c2f2c1p-18, -0x1.4ac51a4f09fdcp-18, -0x1.44d8725d77758p-18, -0x1.3ef1bacb2a35fp-18, -0x1.390f6b600b1ecp-18, -0x1.33325a2acd745p-18, -0x1.2d5bb242f1bfp-18, -0x1.278b2c43bb6f6p-18, -0x1.21c09fb3661f6p-18, -0x1.1bfbbd8d7ed38p-18, -0x1.163d14ddbbd64p-18, -0x1.1084a38f6211fp-18, -0x1.0ad2706181eabp-18, -0x1.05268f7d530e6p-18, -0x1.ff0227731b23dp-19, -0x1.f3c42201d1354p-19, -0x1.e893311d8c4fp-19, -0x1.dd6f777765126p-19, -0x1.d259166ab341bp-19, -0x1.c7502e8fced99p-19, -0x1.bc54e05b7f37ap-19, -0x1.b1674e6d0e569p-19, -0x1.a68798ea54e63p-19, -0x1.9bb5cc1b12a3ap-19, -0x1.90f1ff5677f6ep-19, -0x1.863c609a8f9f1p-19, -0x1.7b950a4c68248p-19, -0x1.70fc11a54aecbp-19, -0x1.66718e06ba4bp-19, -0x1.5bf5976205efp-19, -0x1.5188427ea97e5p-19, -0x1.4729a567ce3d7p-19, -0x1.3cd9d7db504edp-19, -0x1.3298edba21de4p-19, -0x1.2866fb5510c7cp-19, -0x1.1e4411faf51ap-19, -0x1.1430444ad753dp-19, -0x1.0a2ba429f9f0ep-19, -0x1.00364281f3dd8p-19, -0x1.eca05ef3d66dep-20, -0x1.d8f2f50549a27p-20, -0x1.c56464b0edb58p-20, -0x1.b1f4c9f390644p-20, -0x1.9ea43f3a7bc13p-20, -0x1.8b72de2ee720ap-20, -0x1.7860c5dadb3cap-20, -0x1.656e264a0b405p-20, -0x1.529af419b5749p-20, -0x1.3fe704813da4cp-20, -0x1.2d52c3b1765d5p-20, -0x1.1ade43792c7b6p-20, -0x1.0889829381e34p-20, -0x1.eca91d077fd78p-21, -0x1.c87eedab3c85fp-21, -0x1.a49491c3772cp-21, -0x1.80ea228afa2c4p-21, -0x1.5d7fbb4d9d4a6p-21, -0x1.3a5578fbf9983p-21, -0x1.176b73b1a8207p-21, -0x1.e9829696feb31p-22, -0x1.a4af53ff5d082p-22, -0x1.605e183c2e212p-22, -0x1.1c8c9df1dd84p-22, -0x1.b2780a884e3fdp-23, -0x1.2cd9b941cb3d2p-23, -0x1.507e7a7ebd02fp-24, -0x1.2524e31361f09p-26, 0x1.77d81b3093cf6p-25, 0x1.bf195255cbb1fp-24, 0x1.601fd7b027af6p-23, 0x1.dfb0fab08f67fp-23, 0x1.2f201476d5657p-22, 0x1.6de6a3ea83daap-22, 0x1.ac2c3570dfbbap-22, 0x1.e9f0daa75b7d9p-22, 0x1.139a53c18eff8p-21, 0x1.31fbd93c9afbep-21, 0x1.501d0aaadebf6p-21, 0x1.6dfdf7423286p-21, 0x1.8b9eb110f9f7p-21, 0x1.a8ff4f3bd0abcp-21, 0x1.c61ff3d60ab3ep-21, 0x1.e300bc54c6c45p-21, 0x1.ff9fe4500e46dp-21, 0x1.0e012ffd038e1p-20, 0x1.1c0fbf7dfb1fp-20, 0x1.2a021b8bbd857p-20, 0x1.37d2f0e18a261p-20, 0x1.4583fd8c562cfp-20, 0x1.531572ae53216p-20, 0x1.6087553b56ddp-20, 0x1.6dd9afc3b3adfp-20, 0x1.7b0c9058b61b8p-20, 0x1.882006c3f60bcp-20, 0x1.951423c0cd5fap-20, 0x1.a1e8f8acf8dcp-20, 0x1.ae9e97c7b9d13p-20, 0x1.bb35139be958ep-20, 0x1.c7ac7f8f32b38p-20, 0x1.d404ef035f4fap-20, 0x1.e03e72beb7324p-20, 0x1.ec59223678c8dp-20, 0x1.f8551dd5104c5p-20, 0x1.021933aeb99dp-19, 0x1.07f882bffe1dap-19, 0x1.0dc88e91d72a3p-19, 0x1.13897dafc1245p-19, 0x1.193b49bec5eep-19, 0x1.1eddefa49fae2p-19, 0x1.247181d145212p-19, 0x1.29f610246a71cp-19, 0x1.2f6ba78d42236p-19, 0x1.34d2547ea4d5p-19, 0x1.3a2a23801baafp-19, 0x1.3f7321a70fb2bp-19, 0x1.44ad5bda7878ap-19, 0x1.49d8e11a7c48dp-19, 0x1.4ef5bb0b65673p-19, 0x1.5403f9eedc098p-19, 0x1.5903aaf969144p-19, 0x1.5df4dc29b362cp-19, 0x1.62d7a0778943bp-19, 0x1.67abfdd77765ap-19, 0x1.6c71ffb895ed5p-19, 0x1.7129c0f72c1ap-19, 0x1.75d33e470b655p-19, 0x1.7a6e9efbcf693p-19, 0x1.7efbf29bbd05bp-19, 0x1.837b339b6a802p-19, 0x1.87ec741820ac2p-19, 0x1.8c4fc81271861p-19, 0x1.90a5406684d03p-19, 0x1.94eced2409ef2p-19, 0x1.9926dcf9a3e14p-19, 0x1.9d531691d0357p-19, 0x1.a171a1db60b27p-19, 0x1.a582c54ca0c3bp-19, 0x1.a98675cb8a60dp-19, 0x1.ad7c88d363e5p-19, 0x1.b16552193b55ap-19, 0x1.b540e3c671b2p-19, 0x1.b90f27e4372f4p-19, 0x1.bcd040d3cc499p-19, 0x1.c0844093e4574p-19, 0x1.c42b376028708p-19, 0x1.c7c535dd045cbp-19, 0x1.cb524cd4e1eeep-19, 0x1.ced28d31e9581p-19, 0x1.d24608032f97p-19, 0x1.d5acce5987d8bp-19, 0x1.d906f164e6dcp-19, 0x1.dc54828061c01p-19, 0x1.df95931fe400dp-19, 0x1.e2ca34c365be6p-19, 0x1.e5f278f7798c5p-19, 0x1.e90e713709f6cp-19, 0x1.ec1e2f199036cp-19, 0x1.ef21c4cf2c5f3p-19, 0x1.f21943753da71p-19, 0x1.f504b9c60f633p-19, 0x1.f7e43a25edab6p-19, 0x1.fab7e7506e486p-19, 0x1.fd7fbac23b2b8p-19, 0x1.001de767af463p-18, 0x1.01761d3e76178p-18, 0x1.02c8898f3cb0bp-18, 0x1.041535df03b37p-18, 0x1.055bf988fb63fp-18, 0x1.069d04c9e3f8cp-18, 0x1.07d8dd0952f9bp-18, 0x1.090ec7980815bp-18, 0x1.0a3f1626e1c7fp-18, 0x1.0b69dae030de8p-18, 0x1.0c8f180082472p-18, 0x1.0daee0f617973p-18, 0x1.0ec93835e0e3ep-18, 0x1.0fde23a4c42bp-18, 0x1.10edae685b0a9p-18, 0x1.11f7e1e447483p-18, 0x1.12fcc7238c9ffp-18, 0x1.13fc6755526c7p-18, 0x1.14f6cb8253e1dp-18, 0x1.15ebfcc7fd4d4p-18, 0x1.16dc044064ab7p-18, 0x1.17c6eb08679dp-18, 0x1.18acba47fb67fp-18, 0x1.198d7afffb148p-18, 0x1.1a69366f7cbcbp-18, 0x1.1b3ff5971d26dp-18, 0x1.1c11c1df985afp-18, 0x1.1cdea371b4c87p-18, 0x1.1da6a45571849p-18, 0x1.1e69cd4fd507ap-18, 0x1.1f2827766d777p-18, 0x1.1fe1bb981012bp-18, 0x1.2096929d60e94p-18, 0x1.2146b5c28bdaap-18, 0x1.21f22ce2de7e1p-18, 0x1.229907cb597ccp-18, 0x1.233b483d5da7p-18, 0x1.23d8f5e044c3ap-18, 0x1.247208b8d5e68p-18, 0x1.2506b2cc5aa83p-18, 0x1.2597024f9516dp-18, 0x1.2622ca2368edfp-18, 0x1.26aa2c2a013c5p-18, 0x1.272d37e595d48p-18, 0x1.27abf18b79f77p-18, 0x1.28265e666762cp-18, 0x1.289c9df50d7fep-18, 0x1.290e9a4bf46fap-18, 0x1.297c600f8877p-18, 0x1.29e604f118572p-18, 0x1.2a4b9cb513aa2p-18, 0x1.2aad0ef3047bep-18, 0x1.2b0a92eeac758p-18, 0x1.2b63f2572f99p-18, 0x1.2bb96ee9d2e52p-18, 0x1.2c09d92e72eb2p-18, 0x1.2c5a0a12f64cdp-18, 0x1.2ca1df5f8859cp-18, 0x1.2ce8328759541p-18, 0x1.2d2a41c637207p-18, 0x1.2d688d618e79bp-18, 0x1.2da31e3eb6ebdp-18, 0x1.2dd9fba82cffdp-18, 0x1.2e0d2d6a7d0abp-18, 0x1.2e3cbba6bf76dp-18, 0x1.2e68ae7eaef4ap-18, 0x1.2e910e2b8a794p-18, 0x1.2eb5e329f9e78p-18, 0x1.2ed735a4f44a6p-18, 0x1.2ef50e3862818p-18, 0x1.2f0f7573297afp-18, 0x1.2f267266433acp-18, 0x1.2f3a0dfc5322ep-18, 0x1.2f4a510b75473p-18, 0x1.2f5742d3f3666p-18, 0x1.2f60eb35d9fbcp-18, 0x1.2f675349718f1p-18, 0x1.2f6a821a6975ap-18, 0x1.2f6a80f98f615p-18, 0x1.2f67563eb8283p-18, 0x1.2f610a23c6c02p-18, 0x1.2f5795bedb62dp-18, 0x1.2f4b3b9f1a109p-18, 0x1.2f3ba31c1312bp-18, 0x1.2f293d0d698bdp-18, 0x1.2f13beb8e3e3p-18, 0x1.2efb51fc457abp-18, 0x1.2edffcd4cbdb3p-18, 0x1.2ec1c56e869cp-18, 0x1.2ea0b350daac5p-18, 0x1.2e7cce59cf27fp-18, 0x1.2e561e2c66216p-18, 0x1.2e2caa48c6581p-18, 0x1.2e007a2811b77p-18, 0x1.2dd19539465dap-18, 0x1.2da002d5d1a4bp-18, 0x1.2d6bcac6bf7c3p-18, 0x1.2d34f42bd745ap-18, 0x1.2cfb863ff32c1p-18, 0x1.2cbf87c5a724ep-18, 0x1.2c80fe2d71e7bp-18, 0x1.2c3fe8b20237ap-18, 0x1.2bfc7b03a2331p-18, 0x1.2bb68532a0b39p-18, 0x1.2b6e221a68c3p-18, 0x1.2b235c1d507e1p-18, 0x1.2ad638a8c407dp-18, 0x1.2a86be9001b85p-18, 0x1.2a34f4f085d1p-18, 0x1.29e0e2dc16b1p-18, 0x1.298a91129f1d2p-18, 0x1.29320477b094cp-18, 0x1.28d72b8ee45edp-18, 0x1.287a44b0eebf2p-18, 0x1.281b3551081f5p-18, 0x1.27b9fe1fb215cp-18, 0x1.2756ab6aa36bp-18, 0x1.26f1387763084p-18, 0x1.2689d95fb95e2p-18, }}, 
      {{-0x1.f607c5b5fa3e6p-2, -0x1.e7a0d5beda301p-2, -0x1.d1c57d1290306p-2, -0x1.b6a8865330fd9p-2, -0x1.9864ff0c6241ep-2, -0x1.78cb4c143bb33p-2, -0x1.594f292e02701p-2, -0x1.3b07eabcae144p-2, -0x1.1eb9d39193ef8p-2, -0x1.04e3028c9ad8fp-2, -0x1.db91e8a1ecda3p-3, -0x1.b30a24d5a4f76p-3, -0x1.901f6b1242c32p-3, -0x1.7292dfb6b74d8p-3, -0x1.5a05500604f8cp-3, -0x1.46035fd1f8708p-3, -0x1.360f0d1db6828p-3, -0x1.29a6e6e6a4cb1p-3, -0x1.204b60e9c9831p-3, -0x1.19829b6014e21p-3, -0x1.14daec6dc7befp-3, -0x1.11ec6dfb5aaf8p-3, -0x1.1059cec926c34p-3, -0x1.0fd0914f75be4p-3, -0x1.1008dfaba8168p-3, -0x1.10c517792197p-3, -0x1.11d1226d6cef2p-3, -0x1.1301aee3fa755p-3, -0x1.14335b6eccb16p-3, -0x1.1549dbe782ca5p-3, -0x1.162f22534c85cp-3, -0x1.16d290dddc671p-3, -0x1.1728388acd595p-3, -0x1.172826e719dc4p-3, -0x1.16cdc41774e2bp-3, -0x1.16174198c7e29p-3, -0x1.15051754e0d5p-3, -0x1.13999409fd79dp-3, -0x1.11d878f4ff244p-3, -0x1.0fc6a3f2351e5p-3, -0x1.0d69c5e0fd7ecp-3, -0x1.0ac824736de96p-3, -0x1.07e865440ed63p-3, -0x1.04d161d3c6eedp-3, -0x1.018a034e2b605p-3, -0x1.fc324935b7995p-4, -0x1.f50af4f07be8fp-4, -0x1.edab011667209p-4, -0x1.e61ed5825bec8p-4, -0x1.de7234b9a969p-4, -0x1.d6b02c2370fbap-4, -0x1.cee30983d7b81p-4, -0x1.c71454d655cbdp-4, -0x1.bf4ccdfd18c25p-4, -0x1.b7946d3c3a4eep-4, -0x1.aff26669c9bffp-4, -0x1.a86d2df639a6fp-4, -0x1.a10a7f9594595p-4, -0x1.99cf65af4495bp-4, -0x1.92c042a82328ap-4, -0x1.8be0d9e7edcedp-4, -0x1.8534585de9ab1p-4, -0x1.7ebd608f55709p-4, -0x1.787e1285eaba4p-4, -0x1.727817d716365p-4, -0x1.6cacab2a7f4efp-4, -0x1.671ca22e5dd7p-4, -0x1.61c877c008e4ap-4, -0x1.5cb053512f5e6p-4, -0x1.57d41260a9cfap-4, -0x1.53334fd46a254p-4, -0x1.4ecd6b7112446p-4, -0x1.4aa191267e2e4p-4, -0x1.46aebef48018p-4, -0x1.42f3cb1197d2bp-4, -0x1.3f6f69f39727bp-4, -0x1.3c203233a26b1p-4, -0x1.3904a2a150e21p-4, -0x1.361b25e1989dp-4, -0x1.3362169080f2ap-4, -0x1.30d7c375cbe66p-4, -0x1.2e7a7164ec51bp-4, -0x1.2c485f754b0dcp-4, -0x1.2a3fc8e608e7cp-4, -0x1.285ee77789f08p-4, -0x1.26a3f54c99004p-4, -0x1.250d2f6a9ace4p-4, -0x1.2398d5da6d83ap-4, -0x1.22452e9024096p-4, -0x1.211085eab2e8p-4, -0x1.1ff92ff6124a4p-4, -0x1.1efd894c7cf41p-4, -0x1.1e1bf81239532p-4, -0x1.1d52ec0ab847ap-4, -0x1.1ca0dfc416926p-4, -0x1.1c0458fda86b8p-4, -0x1.1b7be84aa670dp-4, -0x1.1b0629f297384p-4, -0x1.1aa1c5c66d14fp-4, -0x1.1a4d6f723e5e6p-4, -0x1.1a07e64ebf874p-4, -0x1.19cff5bed03cap-4, -0x1.19a4745e2be34p-4, -0x1.198444ff307a9p-4, -0x1.196e55fb473c1p-4, -0x1.1961a0f4c5724p-4, -0x1.195d2ac5420c4p-4, -0x1.196003a58d3b5p-4, -0x1.196946826b179p-4, -0x1.197818f84cafbp-4, -0x1.198bab3f8603bp-4, -0x1.19a33770e035cp-4, -0x1.19be01e98629ap-4, -0x1.19db58749e4e1p-4, -0x1.19fa923a7b634p-4, -0x1.1a1b0f6f357acp-4, -0x1.1a3c390a8acbp-4, -0x1.1a5d810fcb501p-4, -0x1.1a7e616e35895p-4, -0x1.1a9e5bcdf6c8ap-4, -0x1.1abcf9afe3ed4p-4, -0x1.1ad9cc31e92fbp-4, -0x1.1af46b61b1508p-4, -0x1.1b0c7647c8efcp-4, -0x1.1b21928c2f17ap-4, -0x1.1b336c25d9174p-4, -0x1.1b41b510a477dp-4, -0x1.1b4c25b511b01p-4, -0x1.1b527b3931c3dp-4, -0x1.1b5478c107807p-4, -0x1.1b51e66aa885fp-4, -0x1.1b4a914c2a2b9p-4, -0x1.1b3e4b170b32p-4, -0x1.1b2cea1cf5d84p-4, -0x1.1b1648e47fbc3p-4, -0x1.1afa460d447afp-4, -0x1.1ad8c4183a15fp-4, -0x1.1ab1a93a21546p-4, -0x1.1a84df2aa3089p-4, -0x1.1a5252fbbc945p-4, -0x1.1a19f4dd5a506p-4, -0x1.19dbb806cd7cep-4, -0x1.1997928fe8d61p-4, -0x1.194d7d0e4a48ep-4, -0x1.18fd730cab07ap-4, -0x1.18a771ee1deaep-4, -0x1.184b79af6b752p-4, -0x1.17e98c708016fp-4, -0x1.1781adf7b44cfp-4, -0x1.1713e46bbcae7p-4, -0x1.16a037370ed5ap-4, -0x1.1626afbe3117p-4, -0x1.15a758c72fe64p-4, -0x1.15223e8502f8fp-4, -0x1.14976e8f01831p-4, -0x1.1406f7ac186cep-4, -0x1.1370e9ca9e15bp-4, -0x1.12d555e96b615p-4, -0x1.12344e014b53p-4, -0x1.118de4ea71a79p-4, -0x1.10e22e60ba61dp-4, -0x1.10313ebc3b6bp-4, -0x1.0f7b2b2ee3227p-4, -0x1.0ec00970b2151p-4, -0x1.0dffefcddbc5p-4, -0x1.0d3af50f0645fp-4, -0x1.0c71305fea262p-4, -0x1.0ba2b97b5fb9ep-4, -0x1.0acfa84bb533ap-4, -0x1.09f81513baa0ep-4, -0x1.091c1858ed67cp-4, -0x1.083bcad35cab5p-4, -0x1.07574565bafb1p-4, -0x1.066ea117a45e1p-4, -0x1.0581f6ffe514fp-4, -0x1.049160524189bp-4, -0x1.039cf6471ba42p-4, -0x1.02a4d2124e26p-4, -0x1.01a90ce17536cp-4, -0x1.00a9bfdded9e7p-4, -0x1.ff4e082fb096cp-5, -0x1.fd41e50c7c6aap-5, -0x1.fb2f47fc0eb0ep-5, -0x1.f9166279a8acdp-5, -0x1.f6f765a164c9dp-5, -0x1.f4d28238b8debp-5, -0x1.f2a7e8a5ea6ap-5, -0x1.f077c8e00d5ap-5, -0x1.ee4252820e23bp-5, -0x1.ec07b4b0377dfp-5, -0x1.e9c81df6b71dcp-5, -0x1.e783bc89ad7fcp-5, -0x1.e53abdff9ebeep-5, -0x1.e2ed4f548e18cp-5, -0x1.e09b9d5016fep-5, -0x1.de45d3fc61ad9p-5, -0x1.dbec1e4255b9p-5, -0x1.d98ea73befbcbp-5, -0x1.d72d994e1296dp-5, -0x1.d4c91de0f0eb5p-5, -0x1.d2615df3e49e4p-5, -0x1.cff681ee85582p-5, -0x1.cd88b1917b1d2p-5, -0x1.cb1813f566f02p-5, -0x1.c8a4cf988197bp-5, -0x1.c62f0a551c60ep-5, -0x1.c3b6e960717b3p-5, -0x1.c13c9156f6f3ep-5, -0x1.bec0261ec12efp-5, -0x1.bc41caf1c8eefp-5, -0x1.b9c1a27c0ccd8p-5, -0x1.b73fced10bde5p-5, -0x1.b4bc714d21addp-5, -0x1.b237aaa3396f1p-5, -0x1.afb19aeeab3f7p-5, -0x1.ad2a61a9f6f6fp-5, -0x1.aaa21db0d175ep-5, -0x1.a818ed3e3beecp-5, -0x1.a58eedf136803p-5, -0x1.a3043cca305f1p-5, -0x1.a078f625e22eap-5, -0x1.9ded35d100fa8p-5, -0x1.9b6116fa37fffp-5, -0x1.98d4b437f6842p-5, -0x1.964827941ed9cp-5, -0x1.93bb8a6d988f9p-5, -0x1.912ef5909389p-5, -0x1.8ea2814f49c0dp-5, -0x1.8c164560c6df7p-5, -0x1.898a58e791f78p-5, -0x1.86fed271a5c8ap-5, -0x1.8473c80e8fabep-5, -0x1.81e94f4178d87p-5, -0x1.7f5f7d0036c8ap-5, -0x1.7cd665bf8a815p-5, -0x1.7a4e1d6bf44c4p-5, -0x1.77c6b770528cep-5, -0x1.754046b85d2e4p-5, -0x1.72baddacfdbbbp-5, -0x1.70368e3d0b582p-5, -0x1.6db369d8e6404p-5, -0x1.6b318178eaa3fp-5, -0x1.68b0e59db3da6p-5, -0x1.6631a64fb9ddap-5, -0x1.63b3d3260974dp-5, -0x1.61377b4345891p-5, -0x1.5ebcad5901ff5p-5, -0x1.5c4377a936ea6p-5, -0x1.59cbe80b18708p-5, -0x1.57560be63aaccp-5, -0x1.54e1f03edced3p-5, -0x1.526fa1a6bae16p-5, -0x1.4fff2c56979e9p-5, -0x1.4d909c1ae8f0dp-5, -0x1.4b23fc5f8d10bp-5, -0x1.48b95832fe6ecp-5, -0x1.4650ba36f99bap-5, -0x1.43ea2cbf9e306p-5, -0x1.4185b9c26afb5p-5, -0x1.3f236ad87d43bp-5, -0x1.3cc3494462d8ap-5, -0x1.3a655df3695fbp-5, -0x1.3809b17a74092p-5, -0x1.35b04c20ace7cp-5, -0x1.335935db75f2dp-5, -0x1.3104764fa9e72p-5, -0x1.2eb214db45638p-5, -0x1.2c62188206438p-5, -0x1.2a148804f92b5p-5, -0x1.27c969e676948p-5, -0x1.2580c4560be8p-5, -0x1.233a9d42fa9a9p-5, -0x1.20f6fa55112e7p-5, -0x1.1eb5e0f4d094p-5, -0x1.1c775649af14ap-5, -0x1.1a3b5f3b97d52p-5, -0x1.18020075fe43p-5, -0x1.15cb3e6689d8cp-5, -0x1.13971d3ea4675p-5, -0x1.1165a0fc6262cp-5, -0x1.0f36cd6152ceep-5, -0x1.0d0aa5f9b889ep-5, -0x1.0ae12e1c184c9p-5, -0x1.08ba68ec9fd5p-5, -0x1.0696595de601dp-5, -0x1.04750231f03d4p-5, -0x1.025665fa2957fp-5, -0x1.003a871002f26p-5, -0x1.fc42cf6262d3fp-6, -0x1.f81613ed5c2c9p-6, -0x1.f3eedf56a9d5fp-6, -0x1.efcd3534c9742p-6, -0x1.ebb118939dee9p-6, -0x1.e79a8c3f162fp-6, -0x1.e38992c6bf382p-6, -0x1.df7e2e6d3e483p-6, -0x1.db78612b3033ap-6, -0x1.d7782cb4c4365p-6, -0x1.d37d927f1824dp-6, -0x1.cf8893c250a17p-6, -0x1.cb993173bcdap-6, -0x1.c7af6c4edcbbfp-6, -0x1.c3cb44d631f37p-6, -0x1.bfecbb54a780cp-6, -0x1.bc13cfe01ca19p-6, -0x1.b840825a979fcp-6, -0x1.b472d27454e13p-6, -0x1.b0aabfae2a68cp-6, -0x1.ace8495b1bc14p-6, -0x1.a92b6e9d90732p-6, -0x1.a5742e70d9976p-6, -0x1.a1c287a90bd7fp-6, -0x1.9e1678edf9cc2p-6, -0x1.9a7000c2c1b4ep-6, -0x1.96cf1d8727b34p-6, -0x1.9333cd7800be6p-6, -0x1.8f9e0eb50f9a9p-6, -0x1.8c0ddf3485e2fp-6, -0x1.88833cbff1503p-6, -0x1.84fe2526a6c19p-6, -0x1.817e960ce2ad2p-6, -0x1.7e048cf51179bp-6, -0x1.7a90074925ebfp-6, -0x1.77210257119dcp-6, -0x1.73b77b5dc78b9p-6, -0x1.70536f847b89dp-6, -0x1.6cf4dbd9d57f4p-6, -0x1.699bbd5831ffap-6, -0x1.664810e6a3d82p-6, -0x1.62f9d359b7affp-6, -0x1.5fb10173cd66p-6, -0x1.5c6d97e6b3055p-6, -0x1.592f9354853efp-6, -0x1.55f6f0505900bp-6, -0x1.52c3ab5e351f9p-6, -0x1.4f95c0f4d34c1p-6, -0x1.4c6d2d7e48f45p-6, -0x1.4949ed56d9628p-6, -0x1.462bfccea1949p-6, -0x1.4313582e0f05bp-6, -0x1.3ffffbb0d0317p-6, -0x1.3cf1e38792b71p-6, -0x1.39e90bdcf9814p-6, -0x1.36e570d0fe946p-6, -0x1.33e70e785b0f5p-6, -0x1.30ede0e36c049p-6, -0x1.2df9e41a34b95p-6, -0x1.2b0b141d4bc9ap-6, -0x1.28216ce6a5d25p-6, -0x1.253cea69bfa95p-6, -0x1.225d8893c5c5ep-6, -0x1.1f83434c4594cp-6, -0x1.1cae1675bdb9dp-6, -0x1.19ddfdee38dfap-6, -0x1.1712f58c9895bp-6, -0x1.144cf923bf422p-6, -0x1.118c04840ab74p-6, -0x1.0ed013785a1b7p-6, -0x1.0c1921c742207p-6, -0x1.09672b339bdc5p-6, -0x1.06ba2b7c89029p-6, -0x1.04121e5dbe7b4p-6, -0x1.016eff8f9f209p-6, -0x1.fda1958eca863p-7, -0x1.f86ef76c47dc1p-7, -0x1.f3461c11d42c5p-7, -0x1.ee26fad72bfbcp-7, -0x1.e9118b100e0e3p-7, -0x1.e405c406e4d6cp-7, -0x1.df039d008ebdep-7, -0x1.da0b0d3c8589ap-7, -0x1.d51c0bf518117p-7, -0x1.d036905e65e09p-7, -0x1.cb5a91a561e2bp-7, -0x1.c68806f5b447bp-7, -0x1.c1bee77b9d3e8p-7, -0x1.bcff2a48d3903p-7, -0x1.b848c669dede2p-7, -0x1.b39bb307fc198p-7, -0x1.aef7e72f21ee1p-7, -0x1.aa5d59e27f73cp-7, -0x1.a5cc0223ca953p-7, -0x1.a143d6ef98286p-7, -0x1.9cc4cf3c88d39p-7, -0x1.984ee1fb16629p-7, -0x1.93e206135e034p-7, -0x1.8f7e3261a6cfap-7, -0x1.8b235dca4cb8ep-7, -0x1.86d17f37bd6e1p-7, -0x1.82888d7a5eb2fp-7, -0x1.7e487f48aebep-7, -0x1.7a114b64c11cep-7, -0x1.75e2e8935f32dp-7, -0x1.71bd4d8c5e9cdp-7, -0x1.6da070fd75fdcp-7, -0x1.698c498f3c4bep-7, -0x1.6580cde66f543p-7, -0x1.617df49d4e35bp-7, -0x1.5d83b44b3da2p-7, -0x1.5992037e4c91dp-7, -0x1.55a8d8bb47f8dp-7, -0x1.51c82a7d74677p-7, -0x1.4defef374397ep-7, -0x1.4a201d54534eap-7, -0x1.4658ab3a39004p-7, -0x1.42998f47cdd07p-7, -0x1.3ee2bfd45c972p-7, -0x1.3b34332f1e499p-7, -0x1.378ddf9fbb50bp-7, -0x1.33efbb65f63fdp-7, -0x1.3059bcb9c138fp-7, -0x1.2ccbd9cb0dcabp-7, -0x1.294608c07a2f8p-7, -0x1.25c83fb8263ccp-7, -0x1.225274c99d4b3p-7, -0x1.1ee49e03b95c1p-7, -0x1.1b7eb16b5761ap-7, -0x1.1820a4fc323bap-7, -0x1.14ca6eab492d3p-7, -0x1.117c046690e88p-7, -0x1.0e355c14d6fd3p-7, -0x1.0af66b95fc641p-7, -0x1.07bf28c348f47p-7, -0x1.048f896f30d7fp-7, -0x1.01678364b906cp-7, -0x1.fc8e18cd3fe77p-8, -0x1.f65c345d339p-8, -0x1.f03944d8c3f4fp-8, -0x1.ea25358dd06aap-8, -0x1.e41ff1b4a452fp-8, -0x1.de29647684fcfp-8, -0x1.d84178eda4b22p-8, -0x1.d2681a290601dp-8, -0x1.cc9d332fb4c26p-8, -0x1.c6e0af0310a9p-8, -0x1.c132789f98cb5p-8, -0x1.bb927afbcad48p-8, -0x1.b600a10552b9ap-8, -0x1.b07cd59cdcd6fp-8, -0x1.ab070392f29b8p-8, -0x1.a59f15a744b3ep-8, -0x1.a044f68827072p-8, -0x1.9af890b93165ep-8, -0x1.95b9ce96a6245p-8, -0x1.90889a9b9a754p-8, -0x1.8b64df258e2dep-8, -0x1.864e8687777b6p-8, -0x1.81457b1df39c9p-8, -0x1.7c49a751723b8p-8, -0x1.775af5970ba16p-8, -0x1.7279506e68c8cp-8, -0x1.6da4a25be299bp-8, -0x1.68dcd5dfb61d1p-8, -0x1.6421d56bcd056p-8, -0x1.5f738b59c9353p-8, -0x1.5ad1e1e3d867ap-8, -0x1.563cc3218ca2cp-8, -0x1.51b4190a1d863p-8, -0x1.4d37cd7c29d1p-8, -0x1.48c7ca497107ep-8, -0x1.4463f945f2959p-8, -0x1.400c4456af2f6p-8, -0x1.3bc0957d54f8fp-8, -0x1.3780d6df000dbp-8, -0x1.334cf2cb79fc7p-8, -0x1.2f24d3b517fdcp-8, -0x1.2b086415c0ae8p-8, -0x1.26f78e739e861p-8, -0x1.22f23d4cb057cp-8, -0x1.1ef85afea46a5p-8, -0x1.1b09d1bd38ffap-8, -0x1.17268b8e3dbbap-8, -0x1.134e724d2ca0dp-8, -0x1.0f816fb54d8bp-8, -0x1.0bbf6d71bbd7p-8, -0x1.08085531f6cf7p-8, -0x1.045c10bf3379bp-8, -0x1.00ba8a0ebfb13p-8, -0x1.fa47569d6ee14p-9, -0x1.f32ebdd5fabdap-9, -0x1.ec2b1f13a988bp-9, -0x1.e53c500157d13p-9, -0x1.de622685f8315p-9, -0x1.d79c789bf47edp-9, -0x1.d0eb1c26be8c4p-9, -0x1.ca4de6c853f7dp-9, -0x1.c3c4adc470a62p-9, -0x1.bd4f46428e93fp-9, -0x1.b6ed85221d802p-9, -0x1.b09f3e88a8c07p-9, -0x1.aa6446ad299bbp-9, -0x1.a43c71f7ab02cp-9, -0x1.9e2794f165b0bp-9, -0x1.982584749964bp-9, -0x1.923615d1a4296p-9, -0x1.8c591ecffcd7bp-9, -0x1.868e75d70d931p-9, -0x1.80d5f1bff3429p-9, -0x1.7b2f69d7984f4p-9, -0x1.759ab5bf724eap-9, -0x1.7017ad4f17d9ap-9, -0x1.6aa6287407148p-9, -0x1.6545ff13045a8p-9, -0x1.5ff708e93c1cep-9, -0x1.5ab91d7745878p-9, -0x1.558c13f28fd55p-9, -0x1.506fc341f0bc4p-9, -0x1.4b64020909a1ep-9, -0x1.4668a6c03901dp-9, -0x1.417d87d72a4fdp-9, -0x1.3ca27bde3d30ep-9, -0x1.37d759b2470eep-9, -0x1.331bf8a755a8dp-9, -0x1.2e7030ad9cb0dp-9, -0x1.29d3da5585914p-9, -0x1.2546cee1292fap-9, -0x1.20c8e88664026p-9, -0x1.1c5a0224ac93dp-9, -0x1.17f9f72da7878p-9, -0x1.13a8a38d31b2fp-9, -0x1.0f65e36ba73c8p-9, -0x1.0b3192e540cefp-9, -0x1.070b8dc026e8cp-9, -0x1.02f3af2c2383cp-9, -0x1.fdd3a332af254p-10, -0x1.f5db9d633a2b7p-10, -0x1.edfefeee05707p-10, -0x1.e63d79019034ep-10, -0x1.de96bc9c323f1p-10, -0x1.d70a7b4472d2fp-10, -0x1.cf9867b486e91p-10, -0x1.c84036645e0dep-10, -0x1.c1019dea1e5fdp-10, -0x1.b9dc572f8fbd5p-10, -0x1.b2d01d8945e26p-10, -0x1.abdcaea561c11p-10, -0x1.a501ca5af3cf1p-10, -0x1.9e3f3247df728p-10, -0x1.9794a936914fdp-10, -0x1.9101f24c7bab7p-10, -0x1.8a86d014f9c26p-10, -0x1.8423038c4e286p-10, -0x1.7dd64b5de0226p-10, -0x1.77a0638e28aap-10, -0x1.718105a06b457p-10, -0x1.6b77e9529758cp-10, -0x1.6584c5afdd753p-10, -0x1.5fa752492ba96p-10, -0x1.59df48474db8ap-10, -0x1.542c6321bb228p-10, -0x1.4e8e60e4be5d6p-10, -0x1.490502155db76p-10, -0x1.43900960343bp-10, -0x1.3e2f3b3fe53ccp-10, -0x1.38e25dbe6bc78p-10, -0x1.33a93859bc224p-10, -0x1.2e8393f436a25p-10, -0x1.29713aaa347b2p-10, -0x1.2471f763df542p-10, -0x1.1f85951405828p-10, -0x1.1aabddb7b3321p-10, -0x1.15e499553c918p-10, -0x1.112f8d4c88fecp-10, -0x1.0c8c7c47be238p-10, -0x1.07fb26f44f937p-10, -0x1.037b4d7d3a86dp-10, -0x1.fe196265c883dp-11, -0x1.f55e2b4b4d056p-11, -0x1.ecc4831456874p-11, -0x1.e44bfe3bf5b82p-11, -0x1.dbf436d8f8d98p-11, -0x1.d3bcca40efe2fp-11, -0x1.cba556d8a4247p-11, -0x1.c3ad7aa15603bp-11, -0x1.bbd4d2c1cacb8p-11, -0x1.b41afbf967461p-11, -0x1.ac7f93996c42bp-11, -0x1.a502387a952bp-11, -0x1.9da28b698a735p-11, -0x1.96602ebd64abdp-11, -0x1.8f3ac517e19dcp-11, -0x1.8831efa8f76f2p-11, -0x1.81454c8bb30d1p-11, -0x1.7a7475e696a2cp-11, -0x1.73bf02fc7bdcdp-11, -0x1.6d2488edbc154p-11, -0x1.66a49f0bfdd96p-11, -0x1.603ee15471237p-11, -0x1.59f2f0e2fe38bp-11, -0x1.53c0767db9555p-11, -0x1.4da7207e9031bp-11, -0x1.47a69fbd55458p-11, -0x1.41bea58971271p-11, -0x1.3beee203af145p-11, -0x1.36370323b3294p-11, -0x1.3096b61520a3ap-11, -0x1.2b0da856e8e04p-11, -0x1.259b88a06788ap-11, -0x1.204007160e939p-11, -0x1.1afad4ee4853dp-11, -0x1.15cba3f025bb7p-11, -0x1.10b2262af22a5p-11, -0x1.0bae0e0e308ap-11, -0x1.06bf0eaf9b202p-11, -0x1.01e4dbecd7c77p-11, -0x1.fa3e545f19ccfp-12, -0x1.f0db5bddc8a9p-12, -0x1.e7a036ab6e232p-12, -0x1.de8c4d0140747p-12, -0x1.d59f08d779d9fp-12, -0x1.ccd7d8323d3a7p-12, -0x1.c4362e409f54fp-12, -0x1.bbb98220b8dbap-12, -0x1.b3614ba9260edp-12, -0x1.ab2d003ef7bc8p-12, -0x1.a31c12298204ep-12, -0x1.9b2df3697c08ap-12, -0x1.93621aa384abap-12, -0x1.8bb806dfb36cfp-12, -0x1.842f3f4b968fep-12, -0x1.7cc74e95ef06p-12, -0x1.757fbc5aeb824p-12, -0x1.6e580870f1ad6p-12, -0x1.674fab014b58bp-12, -0x1.606619ca47a1ep-12, -0x1.599ad039aee97p-12, -0x1.52ed56a03cc72p-12, -0x1.4c5d450812545p-12, -0x1.45ea406894cacp-12, -0x1.3f93f372af8f5p-12, -0x1.395a0614c0daep-12, -0x1.333c1738f5dc1p-12, -0x1.2d39bb10f37b9p-12, -0x1.27527e12e6f43p-12, -0x1.2185ea79836bap-12, -0x1.1bd38ce7dbbfbp-12, -0x1.163af5d7c44aep-12, -0x1.10bbb7d17a9dcp-12, -0x1.0b556542bf371p-12, -0x1.060791274707bp-12, -0x1.00d1d371c9c52p-12, -0x1.f7679ca77cb23p-13, -0x1.ed5a5f0e895f2p-13, -0x1.e37b564507f2dp-13, -0x1.d9c9e3ab1fd8dp-13, -0x1.d045503bbe9ecp-13, -0x1.c6ecc729439efp-13, -0x1.bdbf5fb73ce3bp-13, -0x1.b4bc3113cce1ep-13, -0x1.abe2666aa2af3p-13, -0x1.a3314a7e6117cp-13, -0x1.9aa847ac81e9fp-13, -0x1.9246def4d0285p-13, -0x1.8a0c9b1a7df36p-13, -0x1.81f903ab359f3p-13, -0x1.7a0b922811169p-13, -0x1.7243ab6bee6c7p-13, -0x1.6aa0a025c5e4p-13, -0x1.6321b5915493dp-13, -0x1.5bc6336c75dbep-13, -0x1.548d708a998c4p-13, -0x1.4d76d7b771672p-13, -0x1.4681e32aded72p-13, -0x1.3fae129d80b9fp-13, -0x1.38fae33ea4c47p-13, -0x1.3267cf2dda9a9p-13, -0x1.2bf453d7bfe32p-13, -0x1.259ff7b327fdep-13, -0x1.1f6a4755b0faep-13, -0x1.1952c9e7fd024p-13, -0x1.1358f75f968eap-13, -0x1.0d7c3b8fcfa02p-13, -0x1.07bc012b0a314p-13, -0x1.0217be26956d7p-13, -0x1.f91df13119a11p-14, -0x1.ee4282b92322ep-14, -0x1.e39c57cb4c7b4p-14, -0x1.d92a95c2544a2p-14, -0x1.ceec65267c3e4p-14, -0x1.c4e0f76e83dfep-14, -0x1.bb078403dae1ep-14, -0x1.b15f3c544f2b3p-14, -0x1.a7e73de5a7b67p-14, -0x1.9e9e8c596ff4dp-14, -0x1.95841b38d554fp-14, -0x1.8c96d2532348p-14, -0x1.83d5ad131eaabp-14, -0x1.7b3fd332437b6p-14, -0x1.72d49b6438418p-14, -0x1.6a93801e375b8p-14, -0x1.627c04d9f3157p-14, -0x1.5a8d9644a0dbap-14, -0x1.52c77c34b2494p-14, -0x1.4b28e7809e6cdp-14, -0x1.43b10c68ffb15p-14, -0x1.3c5f2d336dab6p-14, -0x1.353295528c67dp-14, -0x1.2e2a815a2a2d1p-14, -0x1.27464fa58d942p-14, -0x1.20856e2261c9ap-14, -0x1.19e76fe207754p-14, -0x1.136bdca88dde7p-14, -0x1.0d121c7c8f1b6p-14, -0x1.06d97ec278949p-14, -0x1.00c151efad53ap-14, -0x1.f591e6514001bp-15, -0x1.e9df9ae69763cp-15, -0x1.de6aa6db23087p-15, -0x1.d331f858d4d61p-15, -0x1.c83483ebd585ep-15, -0x1.bd713d055ccdbp-15, -0x1.b2e7095ee9657p-15, -0x1.a894b92795bb4p-15, -0x1.9e790e7a43524p-15, -0x1.9492d4d42d83dp-15, -0x1.8ae0fd3df9247p-15, -0x1.8162aed745e5p-15, -0x1.78173f60cb5f6p-15, -0x1.6efe106e80473p-15, -0x1.66165c660512ep-15, -0x1.5d5f118b1b572p-15, -0x1.54d6df6329a84p-15, -0x1.4c7c74a883eebp-15, -0x1.444eb3bf46de8p-15, -0x1.3c4cb036899dfp-15, -0x1.347599d3f788cp-15, -0x1.2cc8cb925cb19p-15, -0x1.2545dd83244e5p-15, -0x1.1dec77191f46p-15, -0x1.16bc020bf5031p-15, -0x1.0fb396d06ea2ep-15, -0x1.08d2319b7106cp-15, -0x1.0216edb3b522cp-15, -0x1.f70219cb927a5p-16, -0x1.ea1fb750cc7c4p-16, -0x1.dd8541270dc82p-16, -0x1.d131433336d43p-16, -0x1.c5225a48b0335p-16, -0x1.b9573a3714627p-16, -0x1.adcea866a8791p-16, -0x1.a2876f4f08716p-16, -0x1.97805053610ebp-16, -0x1.8cb7fcf777b9dp-16, -0x1.822d1ea700c2cp-16, -0x1.77de69b82a1b7p-16, -0x1.6dcaaedbb953ep-16, -0x1.63f0e10821da2p-16, -0x1.5a50108ab0be8p-16, -0x1.50e75d9177e6ap-16, -0x1.47b5da20a607p-16, -0x1.3eba5dfd432e9p-16, -0x1.35f37fc7423d5p-16, -0x1.2d5fc77f84964p-16, -0x1.24fdf988069bbp-16, -0x1.1ccd2d1dca76ap-16, -0x1.14cc97ed5603bp-16, -0x1.0cfb5f7d9df91p-16, -0x1.0558a9c3c3d57p-16, -0x1.fbc740776d3d2p-17, -0x1.ed367c367ae5fp-17, -0x1.defcb82194484p-17, -0x1.d1180b27d97a6p-17, -0x1.c3870e941e20bp-17, -0x1.b6484b0b0c7dap-17, -0x1.a959fb6e4e315p-17, -0x1.9cba4a94c1d3bp-17, -0x1.906785a30b82ap-17, -0x1.8460206eaaaeep-17, -0x1.78a2a349ed8d9p-17, -0x1.6d2da0f810c4fp-17, -0x1.61ffb497a948bp-17, -0x1.57177d81b6f7dp-17, -0x1.4c739869327a3p-17, -0x1.42129ac38d76dp-17, -0x1.37f314818a073p-17, -0x1.2e139675c1d2dp-17, -0x1.2472b7468e509p-17, -0x1.1b0f12993ead6p-17, -0x1.11e74a668ff1p-17, -0x1.08fa32b9129c9p-17, -0x1.0046b2aef3592p-17, -0x1.ef975e3b9e151p-18, -0x1.df102145f536cp-18, -0x1.cef4f2c048488p-18, -0x1.bf42de5d715ap-18, -0x1.aff78a84bb6d9p-18, -0x1.a1118b1f7c651p-18, -0x1.928f8d7db678dp-18, -0x1.846f44018fb6ap-18, -0x1.76ae090506122p-18, -0x1.6949cf0c02688p-18, -0x1.5c406c0bb0951p-18, -0x1.4f8fbf4470c67p-18, -0x1.433644d795c2fp-18, -0x1.37324fe8d2f89p-18, -0x1.2b81bf0dd3f5dp-18, -0x1.20226d7e57d3ep-18, -0x1.15125edd6800ep-18, -0x1.0a4fb60f34f69p-18, -0x1.ffb144e3e963bp-19, -0x1.eb57d1fbcc2d1p-19, -0x1.d78f2f77c57b3p-19, -0x1.c455292134107p-19, -0x1.b1a6958dfbc73p-19, -0x1.9f80794c99ebp-19, -0x1.8ddfe8c6ebfcep-19, -0x1.7cc20a731f88bp-19, -0x1.6c23f45f8481ap-19, -0x1.5c02a3d7c639ap-19, -0x1.4c5b105b7772p-19, -0x1.3d2a386291723p-19, -0x1.2e6d2e3ddc592p-19, -0x1.2021594509e34p-19, -0x1.12445b32a3c8bp-19, -0x1.04d3a95e06099p-19, -0x1.ef9a1d2904da1p-20, -0x1.d65cc6e5c6013p-20, -0x1.bdea528d5caa6p-20, -0x1.a63d8d3005b27p-20, -0x1.8f51f915399b4p-20, -0x1.7923ebe8c8b4dp-20, -0x1.63afbd3d0f2f5p-20, -0x1.4ef0450a31131p-20, -0x1.3adfeac5bfa73p-20, -0x1.277aac511f613p-20, -0x1.14bcbbc097d35p-20, -0x1.02a31a391fc91p-20, -0x1.e254a3ffe97f2p-21, -0x1.c09c27066dcc2p-21, -0x1.a014cbff89835p-21, -0x1.80b729c57ee7fp-21, -0x1.627c439b04d3fp-21, -0x1.455da68983e45p-21, -0x1.2954a3920945ap-21, -0x1.0e5a639e7775ep-21, -0x1.e8cfdd22f5601p-22, -0x1.b6ec6d5f8c4dbp-22, -0x1.86fcde7257e4p-22, -0x1.58f51ca4bf478p-22, -0x1.2cca9ddc5e72fp-22, -0x1.0272fcc10556cp-22, -0x1.b3c5684e999d1p-23, -0x1.661c1c99dfc4ap-23, -0x1.1bd43659c78b1p-23, -0x1.a9b04fe6c245ep-24, -0x1.2223585da3f34p-24, -0x1.41aaf66477373p-25, -0x1.2ce68b4fc5b07p-27, 0x1.3eba52c4e143cp-26, 0x1.7e6678182756fp-25, 0x1.2916450c0861fp-24, 0x1.8d7aa29a39c74p-24, 0x1.ec806b0618b29p-24, 0x1.2324774e2b9fep-23, 0x1.4d7d1f5df327dp-23, 0x1.755cec17bacbap-23, 0x1.9ad4ed5e3c92ap-23, 0x1.bdf3ed5b78652p-23, 0x1.dec91f2a61d1ep-23, 0x1.fd67937de410fp-23, 0x1.0cefa3e8ef1f1p-22, 0x1.1a1e241f6a19cp-22, 0x1.2645da3c3e165p-22, 0x1.316ebd2935f5ap-22, 0x1.3ba01b7422ac9p-22, 0x1.44e0b96a46fbcp-22, 0x1.4d373586645b6p-22, 0x1.54aa13644d5edp-22, 0x1.5b3fb69abf6a8p-22, 0x1.60fe6bdf6e42dp-22, 0x1.65ecc1e131077p-22, 0x1.6a110b9e87a42p-22, 0x1.6d6e9ead06703p-22, 0x1.700cf72d99948p-22, 0x1.71f24b0b2c05ep-22, 0x1.7323739c6ff5cp-22, 0x1.73a5b6b364bp-22, 0x1.737e53d7f7c35p-22, 0x1.72b2785824b9ap-22, 0x1.71473d13a6a53p-22, 0x1.6f4178ca2a26bp-22, 0x1.6ca5fdf2d19ecp-22, 0x1.697994c27769p-22, 0x1.65c0af69aa7a6p-22, 0x1.617fae39af9c3p-22, 0x1.5cbb0e571999ap-22, 0x1.5777272d7093cp-22, 0x1.51b82a7dfbbcep-22, 0x1.4b821d6e61093p-22, 0x1.44d8e453507c5p-22, 0x1.3dc045b78e92dp-22, 0x1.363bfafb1202dp-22, 0x1.2e4fbe5b6e029p-22, 0x1.25ff465ceb32bp-22, 0x1.1d4e8088a266fp-22, 0x1.143fef4e91e35p-22, 0x1.0ad81a6aae89p-22, 0x1.011950fe1a72dp-22, 0x1.ee0f45850b7a4p-23, 0x1.d94b9c3c2fb1dp-23, 0x1.c3ee2ff12fd57p-23, 0x1.adfd0ae745d5p-23, 0x1.977cb677febadp-23, 0x1.80728da45555dp-23, 0x1.68e56545f388cp-23, 0x1.50db3cca282bcp-23, 0x1.385928597ea14p-23, 0x1.1f640d909e536p-23, 0x1.0600b228aa71dp-23, 0x1.d86822f8bcc29p-24, 0x1.a407b34e8b05ap-24, 0x1.6ee89645735ap-24, 0x1.3912fd7fb3cd6p-24, 0x1.02903a82bd461p-24, 0x1.96d278d03684p-25, 0x1.274d19d5f14e1p-25, 0x1.6d41e54fd2029p-26, 0x1.137a314356fc6p-27, -0x1.6f428cc5b226cp-28, -0x1.43436b88b289bp-26, -0x1.16485823d97e1p-25, -0x1.8bd1a5d11e8dbp-25, -0x1.0111acee971p-24, -0x1.3c97883a0d6b6p-24, -0x1.787482641ca2bp-24, -0x1.b4a27bc4c9025p-24, -0x1.f11b71f366066p-24, -0x1.16ec7d7125edp-23, -0x1.356a58266a313p-23, -0x1.54044b0e37913p-23, -0x1.72b7822c980dfp-23, -0x1.91814d822b6bfp-23, -0x1.b05efc4a2c6cfp-23, -0x1.cf4dcfe6c0c0bp-23, -0x1.ee4b0bb434a1bp-23, -0x1.06aa041356bcfp-22, -0x1.16331e1b18deap-22, -0x1.25bfbe29d0403p-22, -0x1.354eb40c8f568p-22, -0x1.44dee56173bfep-22, -0x1.546f36ee5c6cdp-22, -0x1.63fe7e9def284p-22, -0x1.738bb6cdc9325p-22, -0x1.8315dd3611d4fp-22, -0x1.929c15e8a8f34p-22, -0x1.a21d18f88d54p-22, -0x1.b198449fcd574p-22, -0x1.c10c93d0683c4p-22, -0x1.d07923479533dp-22, -0x1.dfdd18bc5647ap-22, -0x1.ef379fa9acc57p-22, -0x1.fe87e98cad94p-22, -0x1.06e696d7a29a3p-21, -0x1.0e83547addc11p-21, -0x1.1619cef52a0aap-21, -0x1.1da9aa8ff33dp-21, -0x1.25328f0558eap-21, -0x1.2cb4282f46a36p-21, -0x1.342e25a5fad6cp-21, -0x1.3ba02ce0d0252p-21, -0x1.4309ab1426148p-21, -0x1.4a6ac7b18b674p-21, -0x1.51c384dcafd24p-21, -0x1.59128b45914d6p-21, -0x1.6057bd2358ca1p-21, -0x1.6793b4a475ef8p-21, -0x1.6ec693ea8df07p-21, -0x1.75ef3a24ab1fdp-21, -0x1.7d0d2f388e564p-21, -0x1.84207012fd5cp-21, -0x1.8b28cdc0c6823p-21, -0x1.922623c8106e5p-21, -0x1.9918485cd0247p-21, -0x1.9fff00d1758a4p-21, -0x1.a6da1f8cfe67p-21, -0x1.ada974360f464p-21, -0x1.b46cbe8c2f2b9p-21, -0x1.bb23c56cf1efbp-21, -0x1.c1ce9b501ce5fp-21, -0x1.c86d3ed4645c8p-21, -0x1.ceff3ceffd9bbp-21, -0x1.d584660ab5106p-21, -0x1.dbfcade16f139p-21, -0x1.e267ec7d3fe1dp-21, -0x1.e8c603b5f528p-21, -0x1.ef16dd4414351p-21, -0x1.f55a65c9ba436p-21, -0x1.fb90844d845b2p-21, -0x1.00dc73951b164p-20, -0x1.03e9cf29ef9a3p-20, -0x1.06f04f2a4cad7p-20, -0x1.09efe4675360bp-20, -0x1.0ce881afb69bap-20, -0x1.0fda1c89fa69ap-20, -0x1.12c4ab7e3ec0fp-20, -0x1.15a825af65e55p-20, -0x1.188482ce0b63dp-20, -0x1.1b59bb15cf2b2p-20, -0x1.1e27c749a4263p-20, -0x1.20eea0adce3cfp-20, -0x1.23ae411ca8c18p-20, -0x1.2666a2c87dd0cp-20, -0x1.2917bd0c3854bp-20, -0x1.2bc1953d8b22fp-20, -0x1.2e641c38909f2p-20, -0x1.30ff50de50a0bp-20, -0x1.33932ff6bf57bp-20, -0x1.361fb6dc63efep-20, -0x1.38a4e308fec97p-20, -0x1.3b22b26dbb228p-20, -0x1.3d9923b42f349p-20, -0x1.400834ee6c554p-20, -0x1.426fe3c338a64p-20, -0x1.44d02f501ea67p-20, -0x1.47291801ca54ap-20, -0x1.497a9eef5a4eap-20, -0x1.4bc4c4bce2f8p-20, -0x1.4e0788ca20738p-20, -0x1.5042e9f60f2b6p-20, -0x1.5276dc5e47004p-20, -0x1.54a356f453f4ap-20, -0x1.56c8a591fe888p-20, -0x1.58e6b548b6cc4p-20, -0x1.5afd4e70f8b97p-20, -0x1.5d0c86b342ccep-20, -0x1.5f146bef123dep-20, -0x1.61150125f35bap-20, -0x1.630e4c213b657p-20, -0x1.650052f15b14cp-20, -0x1.66eb13c9983cbp-20, -0x1.68ce93be789e5p-20, -0x1.6aaad7f1430dcp-20, -0x1.6c7fe51366b7fp-20, -0x1.6e4dbfc0a8153p-20, -0x1.70146cc421f9ap-20, -0x1.71d3f1eaed7c2p-20, -0x1.738c545e9f6d7p-20, -0x1.753d99fcca479p-20, -0x1.76e7c910392b7p-20, -0x1.788ae8005bceap-20, -0x1.7a26fe0d51912p-20, -0x1.7bbc13a3857a1p-20, -0x1.7d4a3318ead38p-20, -0x1.7ed1675851926p-20, -0x1.8051a67d4af6cp-20, -0x1.81ca77d1b4dabp-20, -0x1.833bab74036b8p-20, -0x1.84a76bac49f5bp-20, -0x1.860d04f37854bp-20, -0x1.876b0713378b5p-20, -0x1.88c21a64119c9p-20, -0x1.8a12671424bb9p-20, -0x1.8b5bfd3538fc3p-20, -0x1.8c9ee95d8293ap-20, -0x1.8ddb33be4bd42p-20, -0x1.8f10e34cb10e3p-20, -0x1.903fff9b6b5d6p-20, -0x1.9168906a938c8p-20, -0x1.928a9dd8e70bbp-20, -0x1.93a63041fd916p-20, -0x1.94bb506698e79p-20, -0x1.95ca08b3a68cfp-20, -0x1.96d266c34d57cp-20, -0x1.97d46c9417ebfp-20, -0x1.98d01638eb926p-20, -0x1.99c57d3491be3p-20, -0x1.9ab4accb4357bp-20, -0x1.9b9daa74d9cf2p-20, -0x1.9c807ec5a70ep-20, -0x1.9d5d333d7208bp-20, -0x1.9e33d11259ab7p-20, -0x1.9f0461ae36306p-20, -0x1.9fceefa2c9adcp-20, -0x1.a09383a347a24p-20, -0x1.a1522690b55f7p-20, -0x1.a20ae2cb98179p-20, -0x1.a2bdc2b1f644fp-20, -0x1.a36ad0e2ae255p-20, -0x1.a41216584aa57p-20, -0x1.a4b39d3336484p-20, -0x1.a54f6f17a160fp-20, -0x1.a5e59643435abp-20, -0x1.a6761c4f3aa71p-20, -0x1.a7010c38499f8p-20, -0x1.a7866f72007f2p-20, -0x1.a80650a0ad175p-20, -0x1.a880ba2319e19p-20, -0x1.a8f5b605c03ddp-20, -0x1.a9654c9dc85c5p-20, -0x1.a9cf80d6ea564p-20, -0x1.aa34587d4076fp-20, -0x1.aa93fbbbc30dp-20, -0x1.aaee7ccae5582p-20, -0x1.ab43c3bdae7fdp-20, -0x1.ab93da15f0e58p-20, -0x1.abded1b5ea8fdp-20, -0x1.ac24b76731625p-20, -0x1.ac65958616e23p-20, -0x1.aca17789d71c4p-20, -0x1.acd867adea2ccp-20, -0x1.ad0a6f27ef06bp-20, -0x1.ad379884d3d1cp-20, -0x1.ad5febd8658bcp-20, -0x1.ad83769f45a47p-20, -0x1.ada242a260d06p-20, -0x1.adbc59b0e1b72p-20, -0x1.add1c6141e4d9p-20, -0x1.ade292235272fp-20, -0x1.adeec83aeb581p-20, -0x1.adf672c660efbp-20, -0x1.adf99c5074851p-20, -0x1.adf84f8db159p-20, -0x1.adf296c660bedp-20, -0x1.ade87732d6318p-20, -0x1.add9e84bdd163p-20, -0x1.adc70d9b6c6a3p-20, -0x1.adb0213e6a22dp-20, -0x1.ad94ea99e5aa4p-20, -0x1.ad75747ceb328p-20, -0x1.ad51d72722109p-20, -0x1.ad2a1f1e7a1f7p-20, -0x1.acfe563c3243ap-20, -0x1.acce864304c65p-20, -0x1.ac9ab9225a12ep-20, -0x1.ac62f8f9dd49cp-20, -0x1.ac2750151a755p-20, -0x1.abe7c8574a32ep-20, -0x1.aba4716f75a16p-20, -0x1.ab5d2e282c5b3p-20, -0x1.ab1238f32b11dp-20, -0x1.aac3b6943aa2ep-20, -0x1.aa7169b71e4b5p-20, -0x1.aa1b5bb1bbfb1p-20, -0x1.a9c17b238659dp-20, -0x1.a96459f21357ap-20, -0x1.a903fa18a9ba7p-20, -0x1.a89fe32f957cfp-20, -0x1.a83838a8b8f0bp-20, -0x1.a7cd274f386b5p-20, -0x1.a75eba4aaf2b5p-20, -0x1.a6ecf75151fadp-20, -0x1.a677e6fa422fbp-20, -0x1.a5ff92ad0f7bfp-20, -0x1.a58403d1dad64p-20, -0x1.a50543d4890cfp-20, -0x1.a4835c50c51f5p-20, -0x1.a3fe5764aa1d8p-20, -0x1.a37640558c8e2p-20, -0x1.a2eb25802bdd5p-20, -0x1.a25d1ce2a1434p-20, -0x1.a1cc37536d977p-20, -0x1.a136f99691573p-20, -0x1.a0a16a08fbb4ep-20, -0x1.a00466cea16ep-20, -0x1.9f6a6fad0b669p-20, -0x1.9ecad1144441cp-20, -0x1.9e2852f16e257p-20, -0x1.9d83363bfb68fp-20, -0x1.9cdb73b184246p-20, -0x1.9c310c632ab9fp-20, -0x1.9b84060a72325p-20, -0x1.9ad4681afbe4p-20, -0x1.9a223aae23814p-20, -0x1.996d8612af89cp-20, -0x1.98b652ca10dafp-20, -0x1.97fca94029496p-20, -0x1.974092012adfcp-20, -0x1.96821577c14fdp-20, -0x1.95c13b7a586c8p-20, -0x1.94fe0d2bf6bf1p-20, -0x1.943894cc7bf29p-20, -0x1.9370d3da53344p-20, -0x1.92a6c6ed9125ep-20, -0x1.91da7e6fff18bp-20, -0x1.910c2e062201fp-20, -0x1.903bc0e17bb66p-20, -0x1.8f6927315feb5p-20, -0x1.8e94734a61df2p-20, -0x1.8dbdb2d55cb22p-20, -0x1.8ce4ee9ccff3p-20, -0x1.8c0a2e460e4e5p-20, -0x1.8b2d794dd8ec5p-20, -0x1.8a4ed7480b71dp-20, -0x1.896e4fdafbf3bp-20, -0x1.888bea7e2b4bbp-20, -0x1.87a7aebb9a872p-20, -0x1.86c1a423f190bp-20, -0x1.85d9d23ab0a43p-20, -0x1.84f04081f60bp-20, -0x1.8404f66b791dbp-20, -0x1.8317fa93382a1p-20, -0x1.8229557b6a5afp-20, -0x1.813906bc0bd07p-20, -0x1.80470f78e405p-20, -0x1.7f5394c9288dfp-20, -0x1.7e5e9dcf84bp-20, -0x1.7d6815b55000ap-20, -0x1.7c7007488573fp-20, -0x1.7b767f946c982p-20, -0x1.7a7b87349f9ccp-20, -0x1.797f25745338ep-20, -0x1.78815ff4353f9p-20, -0x1.778232ef23275p-20, -0x1.76819bcc2001ep-20, -0x1.757fdf3d82f1ep-20, -0x1.747ce3ae7225fp-20, -0x1.7378724a0f309p-20, -0x1.7272d80b748d8p-20, -0x1.716c1b724dd14p-20, -0x1.70641d1cb95ecp-20, -0x1.6f5af5273b73p-20, -0x1.6e50ab248765fp-20, -0x1.6d4544b663339p-20, -0x1.6c38c7bedb56ep-20, -0x1.6b2b3a472bdccp-20, -0x1.6a1ca24b4b295p-20, -0x1.690d05cb52023p-20, -0x1.67fc6ab74b031p-20, -0x1.66ead6fca78bp-20, -0x1.65d85087106a9p-20, -0x1.64c4dd3e3da41p-20, -0x1.63b082f82fa1cp-20, -0x1.629b477effa2p-20, -0x1.61853082a354ep-20, -0x1.606e43b100609p-20, -0x1.5f5686d378b2fp-20, -0x1.5e3dff51632p-20, -0x1.5d24b1f2f4008p-20, -0x1.5c0aa46e899ffp-20, -0x1.5aefe0c5e0cdcp-20, -0x1.59d466589fc4bp-20, -0x1.58b83d9d7e472p-20, -0x1.579b6fab298edp-20, -0x1.567e0906118a5p-20, -0x1.556011691eda2p-20, -0x1.5440d3b3d668ap-20, -0x1.5320e93ce53dp-20, -0x1.520227f520753p-20, -0x1.50e1b84d47607p-20, -0x1.4fc0af6caf956p-20, -0x1.4e9f3478457eap-20, -0x1.4d7d41f55a7cp-20, -0x1.4c5adca8bfe6fp-20, -0x1.4b380589be5cbp-20, -0x1.4a14bfb3efd3p-20, -0x1.48f11052621cp-20, -0x1.47ccfc0a899f5p-20, -0x1.46a887623c1afp-20, -0x1.4583b703378b3p-20, -0x1.445e8f4e99e96p-20, -0x1.433914c2d3dabp-20, -0x1.42134bcb513acp-20, -0x1.40ed38cceaa14p-20, -0x1.3fc6e0246eaedp-20, -0x1.3ea0462018027p-20, -0x1.3d796f0f7d69bp-20, -0x1.3c525f20cb049p-20, -0x1.3b2b1a81bacfbp-20, -0x1.3a03a55f58b01p-20, -0x1.38dc03d3db066p-20, -0x1.37b43a0d0e418p-20, -0x1.368c4bfaa2df6p-20, -0x1.35643d44418aap-20, -0x1.343c11b411278p-20, -0x1.3313ccbf51b9fp-20, -0x1.31eb6e5889b77p-20, -0x1.30c311c6d317ep-20, -0x1.2f9aa066ddb62p-20, -0x1.2e721d8e56745p-20, -0x1.2d495bf683ab1p-20, -0x1.2c20d255d48f3p-20, -0x1.2af88e36a25dp-20, -0x1.29d00c0aa5d5cp-20, -0x1.28a78910d0b92p-20, -0x1.277f1858b4b9ep-20, -0x1.2656b9310b64ep-20, -0x1.252e6ca1856f4p-20, -0x1.24063db3199d1p-20, -0x1.22de2548de18cp-20, -0x1.21b61bebb9cbep-20, -0x1.208e3890bb892p-20, -0x1.1f669583bcf1fp-20, -0x1.1e3efb76d5adap-20, -0x1.1d17b21aa428bp-20, -0x1.1bf06ba728962p-20, -0x1.1ac9930d87aedp-20, -0x1.199cdbf3567a4p-20, -0x1.1883f9114e0b9p-20, -0x1.1753714c02d33p-20, -0x1.162f7e162876cp-20, -0x1.15095e792e602p-20, -0x1.13e3982e7ab06p-20, -0x1.12be237db966cp-20, -0x1.1198fb6947e7dp-20, -0x1.10741fa0f9e48p-20, -0x1.0f4f91a0abae1p-20, -0x1.0e2b5375f05c3p-20, -0x1.0d0767765067cp-20, -0x1.0be3d0510c36bp-20, -0x1.0ac09064086cfp-20, -0x1.099daa608342dp-20, -0x1.087b20b3edeffp-20, -0x1.0758f5cff5a61p-20, -0x1.06372c2b66ce8p-20, -0x1.0515c6288d9bep-20, -0x1.03f4c62af8262p-20, -0x1.02d42e68903ccp-20, -0x1.01b401828bcfp-20, -0x1.0094417dc2abcp-20, -0x1.fee9e17b2bad7p-21, -0x1.fcac22e63f24bp-21, -0x1.fa6f4b770caebp-21, -0x1.f8335c848d7e3p-21, -0x1.f5f86515ee8b7p-21, -0x1.f3be56011a1cbp-21, -0x1.f185508260532p-21, -0x1.ef4d3baf9c29bp-21, -0x1.ed1628b50ec91p-21, -0x1.eae01a68bfd25p-21, -0x1.e8ab13a80865ap-21, -0x1.e67718886c9f7p-21, -0x1.e4442d749fe3ap-21, -0x1.e212564cbb0b4p-21, -0x1.dfe1969f021eep-21, -0x1.ddb1f1e8b8699p-21, -0x1.db836ba4ab06bp-21, -0x1.d9560747fa9e2p-21, -0x1.d729c85b1fdf2p-21, -0x1.d4feb22add1dfp-21, -0x1.d2d4c7fad93eap-21, -0x1.d0ac0d9e90761p-21, -0x1.ce84845e0d919p-21, -0x1.cc5e34eeee423p-21, -0x1.ca3925eff4096p-21, -0x1.c815406148e88p-21, -0x1.c5f29d9db2628p-21, -0x1.c3d142100f6ffp-21, -0x1.c1b12bb91909ap-21, -0x1.bf925ce830ff9p-21, -0x1.bd74d894b0f3fp-21, -0x1.bb58a1af68083p-21, -0x1.b93dbb4f8c53ep-21, -0x1.b72427d233c2fp-21, -0x1.b50be51f1ff86p-21, -0x1.b2f503ef256d3p-21, -0x1.b0df7837e9d33p-21, -0x1.aecb4d212576ap-21, -0x1.acb87928e0253p-21, -0x1.aaa6e4ab18e3ap-21, -0x1.a89702da3e258p-21, }}, 
      std::vector<double>(1350, 0.0), 
      {{0x1.64e8bd1df219ap-8, -0x1.840ed92ebd5a4p-9, -0x1.c4ba457a14d52p-6, -0x1.09cd8f60c5904p-4, -0x1.bf39a1eaaf8bcp-4, -0x1.3dcfd9abfec38p-3, -0x1.96dac9ea14adp-3, -0x1.e4ccc1fcec7d6p-3, -0x1.1219063d839c7p-2, -0x1.29ce096b547d7p-2, -0x1.398eb7bbf28d9p-2, -0x1.41e8f3fa7876p-2, -0x1.43bd8287031c8p-2, -0x1.401927604303cp-2, -0x1.38179d534fd01p-2, -0x1.2cceee0d73beep-2, -0x1.1f419d2c724ep-2, -0x1.1056303b48dccp-2, -0x1.00d2cc75833b9p-2, -0x1.e2b7a8d3a1615p-3, -0x1.c4e9480a1ee78p-3, -0x1.a9036aee1747bp-3, -0x1.8f9745b75a73ap-3, -0x1.790536ddb03fbp-3, -0x1.6583feda2e931p-3, -0x1.5527d82ee5e33p-3, -0x1.47e925b641c14p-3, -0x1.3daa890781c57p-3, -0x1.363e48d23d349p-3, -0x1.316aff82f6ebep-3, -0x1.2eef9500b2fd9p-3, -0x1.2e868d056716bp-3, -0x1.2fe8b7aaf8d0ep-3, -0x1.32cf544dcb90dp-3, -0x1.36f5b82e7e446p-3, -0x1.3c1a89f3640cap-3, -0x1.4200a2a5404f8p-3, -0x1.486fa39661294p-3, -0x1.4f344f80d8b4p-3, -0x1.5620b295e4fd2p-3, -0x1.5d0c240ace69cp-3, -0x1.63d32a67e4abfp-3, -0x1.6a574a546e793p-3, -0x1.707ec5b89644p-3, -0x1.76345000585d9p-3, -0x1.7b66bb65f016p-3, -0x1.8008a2a6076eap-3, -0x1.84101185bdf48p-3, -0x1.87762dee42c25p-3, -0x1.8a36e2e8cc491p-3, -0x1.8c508e8773582p-3, -0x1.8dc3b38ee4f82p-3, -0x1.8e92af80c6eb9p-3, -0x1.8ec175fc83b22p-3, -0x1.8e5550382e2bp-3, -0x1.8d54a2b41fa5p-3, -0x1.8bc6b73dca7cfp-3, -0x1.89b38c5b4733p-3, -0x1.8723a8da75a8ap-3, -0x1.841ff4f241014p-3, -0x1.80b196aada989p-3, -0x1.7ce1d37f61dacp-3, -0x1.78b9f52332927p-3, -0x1.7443322abd362p-3, -0x1.6f869a4b18a9ep-3, -0x1.6a8d056b257ap-3, -0x1.655f05c0ce381p-3, -0x1.6004dcbc3e9acp-3, -0x1.5a8671a1cbe26p-3, -0x1.54eb4b524b085p-3, -0x1.4f3a8b13d34acp-3, -0x1.497ae95680522p-3, -0x1.43b2b3f726955p-3, -0x1.3de7cd6e792e2p-3, -0x1.381fad4feb2e4p-3, -0x1.325f61e0c0b1fp-3, -0x1.2cab91c864988p-3, -0x1.27087f61ad8c5p-3, -0x1.217a0bc5fc0efp-3, -0x1.1c03ba98c7eb9p-3, -0x1.16a8b61e9835p-3, -0x1.116bd30f558c4p-3, -0x1.0c4f952b494eep-3, -0x1.07563363d685fp-3, -0x1.02819c2c1a9cep-3, -0x1.fba6f37b2084cp-4, -0x1.f29a6d1dc57a9p-4, -0x1.e9e0021f9464p-4, -0x1.e179a069dfb3cp-4, -0x1.d968ce3199e76p-4, -0x1.d1aeb1e196f7ep-4, -0x1.ca4c1911f847cp-4, -0x1.c3417fb9e7899p-4, -0x1.bc8f1642714f6p-4, -0x1.b634c84756391p-4, -0x1.b0324234e50eap-4, -0x1.aa86f65abac13p-4, -0x1.a53222f1b529fp-4, -0x1.a032d65341ea5p-4, -0x1.9b87f426bbe07p-4, -0x1.97303946e91f2p-4, -0x1.932a404adee52p-4, -0x1.8f7484d7ba66dp-4, -0x1.8c0d67edcd295p-4, -0x1.88f332966fe7cp-4, -0x1.8624197138be5p-4, -0x1.839e3f424aa3p-4, -0x1.815fb81bd16e6p-4, -0x1.7f668b5b89efcp-4, -0x1.7db0b62fcd44cp-4, -0x1.7c3c2dc86f57fp-4, -0x1.7b06e0f0cac04p-4, -0x1.7a0eba37b8b56p-4, -0x1.7951a134fc552p-4, -0x1.78cd7c47956c6p-4, -0x1.788031f88479ep-4, -0x1.7867a9ebbfecap-4, -0x1.7881ce4326c5p-4, -0x1.78cc8c8ebfbe7p-4, -0x1.7945d6b8cc467p-4, -0x1.79eba3ecd62a5p-4, -0x1.7abbf155e7774p-4, -0x1.7bb4c2bca71b5p-4, -0x1.7cd4233c52182p-4, -0x1.7e1825dd1a6c2p-4, -0x1.7f7ee5ddb4575p-4, -0x1.8106874820f4fp-4, -0x1.82ad3792a9dd5p-4, -0x1.84712d536a7f7p-4, -0x1.8650a91b55108p-4, -0x1.8849f58d15cccp-4, -0x1.8a5b677930a27p-4, -0x1.8c835e05b86bfp-4, -0x1.8ec0430e8101cp-4, -0x1.91108b033f563p-4, -0x1.9372b506c4c11p-4, -0x1.95e54afce7216p-4, -0x1.9866e1935aeap-4, -0x1.9af6184701f38p-4, -0x1.9d91995de28a4p-4, -0x1.a03819b6cf26ep-4, -0x1.a2e858e1bf2aap-4, -0x1.a5a12119d2c5p-4, -0x1.a86146f8e1676p-4, -0x1.ab27a96b634dep-4, -0x1.adf3319d68764p-4, -0x1.b0c2d30255813p-4, -0x1.b3958ad3eaaecp-4, -0x1.b66a6000f4655p-4, -0x1.b940635dbdaf5p-4, -0x1.bc16af27ca861p-4, -0x1.beec66cc96021p-4, -0x1.c1c0b6d120d1p-4, -0x1.c492d4ce4406ep-4, -0x1.c761ff1d2489cp-4, -0x1.ca2d7c7415dbfp-4, -0x1.ccf49bf3c6881p-4, -0x1.cfb6b5038cfd3p-4, -0x1.d27326ebb15cbp-4, -0x1.d5295895f1d13p-4, -0x1.d7d8b8969134fp-4, -0x1.da80bce7517a5p-4, -0x1.dd20e29778202p-4, -0x1.dfb8ad86ff23ap-4, -0x1.e247a873e81ffp-4, -0x1.e4cd64cb26243p-4, -0x1.e7497a15da115p-4, -0x1.e9bb8610d4e3dp-4, -0x1.ec232c5d12061p-4, -0x1.ee80169b94f21p-4, -0x1.f0d1f3fc813b2p-4, -0x1.f31878d15850cp-4, -0x1.f5535e9bb37fep-4, -0x1.f7826422506f7p-4, -0x1.f9a54d1e81dffp-4, -0x1.fbbbe1ca489eep-4, -0x1.fdc5eeae2cbfcp-4, -0x1.ffc344c440d44p-4, -0x1.00d9dcb5f17f4p-3, -0x1.01cb930ced039p-3, -0x1.02b6b3eeca381p-3, -0x1.039b2fadb31e3p-3, -0x1.0478f873cd3f7p-3, -0x1.05500240ffb0dp-3, -0x1.062042b3c1e8dp-3, -0x1.06e9b0e224fa7p-3, -0x1.07ac45554d232p-3, -0x1.0867fa1571632p-3, -0x1.091ccaa6c2f6cp-3, -0x1.09cab3dd33e24p-3, -0x1.0a71b3b6e0e67p-3, -0x1.0b11c95894b2fp-3, -0x1.0baaf5156ec9ep-3, -0x1.0c3d386be014fp-3, -0x1.0cc895edf2f46p-3, -0x1.0d4d111800facp-3, -0x1.0dcaae497adep-3, -0x1.0e4172c72a5eap-3, -0x1.0eb164c1b8a88p-3, -0x1.0f1a8b42bd09ap-3, -0x1.0f7cee126a424p-3, -0x1.0fd8959cbc4a1p-3, -0x1.102d8b064658cp-3, -0x1.107bd810716a6p-3, -0x1.10c38732bd6p-3, -0x1.1104a37847e14p-3, -0x1.113f386f02968p-3, -0x1.1173521e279b3p-3, -0x1.11a0fd0373a58p-3, -0x1.11c846201b082p-3, -0x1.11e93ae9c5cd8p-3, -0x1.1203e93b5fd8bp-3, -0x1.12185f48d12bdp-3, -0x1.1226ab95d1599p-3, -0x1.122edcf9a80ddp-3, -0x1.1231029f993ecp-3, -0x1.122d2c0410608p-3, -0x1.122368e699d49p-3, -0x1.1213c93d87d66p-3, -0x1.11fe5d310600bp-3, -0x1.11e335195c384p-3, -0x1.11c26185bd2d8p-3, -0x1.119bf335c3808p-3, -0x1.116ffb139d0e6p-3, -0x1.113e8a2a0a667p-3, -0x1.1107b19c2b29dp-3, -0x1.10cb82a3f9418p-3, -0x1.108a0e980b183p-3, -0x1.104366e75c529p-3, -0x1.0ff79d17bcb5p-3, -0x1.0fa6c2be65102p-3, -0x1.0f50e97a6c719p-3, -0x1.0ef622ef87377p-3, -0x1.0e9680c636909p-3, -0x1.0e3214adb510cp-3, -0x1.0dc8f05ac030bp-3, -0x1.0d5b2580b2ed6p-3, -0x1.0ce8c5db83afcp-3, -0x1.0c71e316b7116p-3, -0x1.0bf68ed9af804p-3, -0x1.0b76dac23db42p-3, -0x1.0af2d86099c79p-3, -0x1.0a6a993f7b941p-3, -0x1.09de2edd09569p-3, -0x1.094daaab30871p-3, -0x1.08b91e09849f1p-3, -0x1.08209a442843ep-3, -0x1.078430925cb7ep-3, -0x1.06e3f2176146bp-3, -0x1.063fefe0bc57dp-3, -0x1.05983ae89fa46p-3, -0x1.04ece41020b62p-3, -0x1.043dfc23337dfp-3, -0x1.038b93d0884abp-3, -0x1.02d5bbabdf486p-3, -0x1.021c842cd11e2p-3, -0x1.015ffdac1100ap-3, -0x1.00a0386867401p-3, -0x1.ffba8904bf39ap-4, -0x1.fe2e63fa09453p-4, -0x1.fc9c2178b0776p-4, -0x1.fb03e106bca03p-4, -0x1.f965c1e79cf96p-4, -0x1.f7c1e31bf8a68p-4, -0x1.f6186361192c5p-4, -0x1.f469612f79017p-4, -0x1.f2b4fabd19b08p-4, -0x1.f0fb4df99ad96p-4, -0x1.ef3c788fa2d5p-4, -0x1.ed7897e28f9c7p-4, -0x1.ebafc90bd885ap-4, -0x1.e9e228dc887fp-4, -0x1.e80fd3db29042p-4, -0x1.e638e64546e79p-4, -0x1.e45d7c0f1c1efp-4, -0x1.e27db0e30a0fcp-4, -0x1.e099a02271f1bp-4, -0x1.deb164e2b78bep-4, -0x1.dcc519edf9ecdp-4, -0x1.dad4d9c4885ebp-4, -0x1.d8e0be995bec8p-4, -0x1.d6e8e2547812fp-4, -0x1.d4ed5e9261882p-4, -0x1.d2ee4ca4e1819p-4, -0x1.d0ebc59336f62p-4, -0x1.cee5e219eaa36p-4, -0x1.ccdcbaaad99b6p-4, -0x1.cad0676c06afp-4, -0x1.c8c1003ab5987p-4, -0x1.c6ae9ca89efbp-4, -0x1.c49953fdfadfbp-4, -0x1.c2813d38b4a39p-4, -0x1.c0666f0e702dcp-4, -0x1.be48ffec4c5c9p-4, -0x1.bc2905f7474c2p-4, -0x1.ba06970cb2725p-4, -0x1.b7e1c8c28fdb8p-4, -0x1.b5bab067ac8e3p-4, -0x1.b3916304bd894p-4, -0x1.b165f55cd5a22p-4, -0x1.af387bed37c74p-4, -0x1.ad090aeeaa87dp-4, -0x1.aad7b65622b87p-4, -0x1.a8a491d56c55ep-4, -0x1.a66fb0dbedcaep-4, -0x1.a43926977e904p-4, -0x1.a20105effdc19p-4, -0x1.9fc7619662524p-4, -0x1.9d8c4bf1335acp-4, -0x1.9b4fd72ecf9dep-4, -0x1.99121539d69c9p-4, -0x1.96d317c303d59p-4, -0x1.9492f03bab2c5p-4, -0x1.9251afd8fc2fep-4, -0x1.900f67957d64cp-4, -0x1.8dcc283091a67p-4, -0x1.8b88022f31eddp-4, -0x1.894305dce6f3p-4, -0x1.86fd434bf744bp-4, -0x1.84b6ca5870dbap-4, -0x1.826faaa6484eep-4, -0x1.8027f3a2e0f53p-4, -0x1.7ddfb4860a65dp-4, -0x1.7b96fc529c56ap-4, -0x1.794dd9d7d646ap-4, -0x1.77045bb168776p-4, -0x1.74ba90485c50fp-4, -0x1.727085d3e8e5cp-4, -0x1.70264a5a19e5cp-4, -0x1.6ddbebb08a9f8p-4, -0x1.6b91777d0e88cp-4, -0x1.6946fb3666cb9p-4, -0x1.66fc84250721ap-4, -0x1.64b21f63b96fbp-4, -0x1.6267d9e0418e2p-4, -0x1.601dc05c1bfbfp-4, -0x1.5dd3df6d2ce98p-4, -0x1.5b8a437e404afp-4, -0x1.5940f8cfbaff2p-4, -0x1.56f80b787a0eap-4, -0x1.54af876617fb9p-4, -0x1.5267785d9b18cp-4, -0x1.501fe9fc0b3edp-4, -0x1.4dd8e7b70f6cdp-4, -0x1.4b927cdd7976bp-4, -0x1.494cb497bd78bp-4, -0x1.470799e885ca9p-4, -0x1.44c337ad38593p-4, -0x1.427f989e7b1e2p-4, -0x1.403cc750af727p-4, -0x1.3dface3468cd9p-4, -0x1.3bb9b796e6dc8p-4, -0x1.39798da28dd64p-4, -0x1.373a5a5f4b1cbp-4, -0x1.34fc27b2eb43p-4, -0x1.32beff61988a6p-4, -0x1.3082eb0e54f97p-4, -0x1.2e47f43b2bcafp-4, -0x1.2c0e24499bafcp-4, -0x1.29d5847af5fb3p-4, -0x1.279e1df0b1d92p-4, -0x1.2567f9acc1a08p-4, -0x1.23332091e1fd5p-4, -0x1.20ff9b63e6a4ap-4, -0x1.1ecd72c7f813dp-4, -0x1.1c9caf44d7d2ep-4, -0x1.1a6d59433e658p-4, -0x1.183f790e106cp-4, -0x1.161316d27e7abp-4, -0x1.13e83aa05146ap-4, -0x1.11beec6a1e3f5p-4, -0x1.0f97340579b1fp-4, -0x1.0d71192b2102p-4, -0x1.0b4ca37721035p-4, -0x1.0929da69292fcp-4, -0x1.0708c564c06e5p-4, -0x1.04e96bb0bed88p-4, -0x1.02cbd477fa4ecp-4, -0x1.00b006ca43f93p-4, -0x1.fd2c13362c50bp-5, -0x1.f8fbc78467ca7p-5, -0x1.f4cf37f7e81e7p-5, -0x1.f0a671d28a763p-5, -0x1.ec81821f81bffp-5, -0x1.e86075b38a66fp-5, -0x1.e443592d159a9p-5, -0x1.e02a38f4824dcp-5, -0x1.dc15213bf7eb8p-5, -0x1.d8041dff8fdb7p-5, -0x1.d3f73b05e400cp-5, -0x1.cfee83e02b3a4p-5, -0x1.cbea03e9d7ec4p-5, -0x1.c7e9c648d3d0fp-5, -0x1.c3edd5edc5487p-5, -0x1.bff63d9423c12p-5, -0x1.bc0307c25f79ap-5, -0x1.b8143ec9f4dafp-5, -0x1.b429ecc76de08p-5, -0x1.b0441ba276da9p-5, -0x1.ac62d50df2224p-5, -0x1.a886228804101p-5, -0x1.a4ae0d5a189cdp-5, -0x1.a0da9e98ee4ap-5, -0x1.9d0bdf24a3daap-5, -0x1.9941d7a8d0402p-5, -0x1.957c909ca0dc5p-5, -0x1.91bc124300e9ep-5, -0x1.8e0064aac468cp-5, -0x1.8a498faec98b2p-5, -0x1.86979af61e5b3p-5, -0x1.82ea8df411447p-5, -0x1.7f426fe8381d4p-5, -0x1.7b9f47de5bbe7p-5, -0x1.78011cae72084p-5, -0x1.7467f4fca437cp-5, -0x1.70d3d73932c0ap-5, -0x1.6d44c9a0792c9p-5, -0x1.69bad23b22878p-5, -0x1.6635f6de8da66p-5, -0x1.62b63d2d2e43p-5, -0x1.5f3baa9702dap-5, -0x1.5bc6445a06aa6p-5, -0x1.58560f829cab5p-5, -0x1.54eb10ebb9c49p-5, -0x1.51854d3eeb243p-5, -0x1.4e24c8f40e1d9p-5, -0x1.4ac98850edff2p-5, -0x1.47738f68bb8ecp-5, -0x1.4422e21bb3ab6p-5, -0x1.40d78416d5c3dp-5, -0x1.3d9178d422d1cp-5, -0x1.3a50c39b2ce73p-5, -0x1.371567822a528p-5, -0x1.33df676f57934p-5, -0x1.30aec61a87bfbp-5, -0x1.2d83860e99d36p-5, -0x1.2a5da9aa80371p-5, -0x1.273d3321bad7dp-5, -0x1.2422247bf2861p-5, -0x1.210c7f93e0e49p-5, -0x1.1dfc461590dcfp-5, -0x1.1af1797c590f7p-5, -0x1.17ec1b1053607p-5, -0x1.14ec2be52fcafp-5, -0x1.11f1acdb4e33fp-5, -0x1.0efc9e9f25035p-5, -0x1.0c0d01abef962p-5, -0x1.0922d64fd3c1ep-5, -0x1.063e1cb045f88p-5, -0x1.035ed4ce9dfa5p-5, -0x1.0084fe8bf546cp-5, -0x1.fb6133571a27bp-6, -0x1.f5c34ba63c597p-6, -0x1.f030451189e95p-6, -0x1.eaa81e5d4e3a1p-6, -0x1.e52ad5f9c266fp-6, -0x1.dfb869f55c31fp-6, -0x1.da50d7f00e508p-6, -0x1.d4f41d120010ep-6, -0x1.cfa236082f561p-6, -0x1.ca5b1f0863ca8p-6, -0x1.c51ed3dd0bfd8p-6, -0x1.bfed4ff7f1fb6p-6, -0x1.bac68e89afdd9p-6, -0x1.b5aa8a9a399c7p-6, -0x1.b0993f1f1e1cbp-6, -0x1.ab92a70afa9cep-6, -0x1.a696bd52f30bfp-6, -0x1.a1a57ce81e1c8p-6, -0x1.9cbee0a4a7dcbp-6, -0x1.97e2e32e8fa9fp-6, -0x1.93117ed3dc113p-6, -0x1.8e4aad65c99f2p-6, -0x1.898e681923e9ap-6, -0x1.84dca771f27f4p-6, -0x1.8035633f6dc7ap-6, -0x1.7b9892aacfe37p-6, -0x1.77062c58e4b25p-6, -0x1.727e269b04d4cp-6, -0x1.6e0077a97c371p-6, -0x1.698d15df35b71p-6, -0x1.6523f7ed665aap-6, -0x1.60c514fe2c40fp-6, -0x1.5c7064bed1805p-6, -0x1.5825df4d4f257p-6, -0x1.53e57d08ebbdcp-6, -0x1.4faf364a6b81cp-6, -0x1.4b83030c1dda3p-6, -0x1.4760da905e03ep-6, -0x1.4348b3143fa1ap-6, -0x1.3f3a8198e5e8cp-6, -0x1.3b3639d24b073p-6, -0x1.373bce404cd7ap-6, -0x1.334b3070e61e4p-6, -0x1.2f645165ecd26p-6, -0x1.2b872212dadb3p-6, -0x1.27b393e242161p-6, -0x1.23e99931a7ca9p-6, -0x1.202925b035fe9p-6, -0x1.1c722e909f636p-6, -0x1.18c4aa81f9bfbp-6, -0x1.1520916b234ddp-6, -0x1.1185dbeca58dap-6, -0x1.0df482b7053c3p-6, -0x1.0a6c7dcb4afa7p-6, -0x1.06edc3c13be1bp-6, -0x1.0378492f5a6ap-6, -0x1.000c004ce399ap-6, -0x1.f951b1bb4c5a2p-7, -0x1.f29d80da6d389p-7, -0x1.ebfb45a7433afp-7, -0x1.e56ad5e957cep-7, -0x1.deec07475b4dfp-7, -0x1.d87eb124146cdp-7, -0x1.d222ae582fe18p-7, -0x1.cbd7de959343cp-7, -0x1.c59e2745f2d7dp-7, -0x1.bf7573b385c25p-7, -0x1.b95db472e137dp-7, -0x1.b356de0eaecbcp-7, -0x1.ad60e71373662p-7, -0x1.a77bc5b93494ep-7, -0x1.a1a76d7ccb5e4p-7, -0x1.9be3cd0279c06p-7, -0x1.9630cc9224195p-7, -0x1.908e4d6483b11p-7, -0x1.8afc29d41b65cp-7, -0x1.857a365fa4244p-7, -0x1.8008434d525aap-7, -0x1.7aa61eafee3dcp-7, -0x1.7553968d48035p-7, -0x1.70107af073c82p-7, -0x1.6adc9fbec315bp-7, -0x1.65b7de2f4367p-7, -0x1.60a215c7978d9p-7, -0x1.5b9b2cbf7ece6p-7, -0x1.56a30faf2e8d2p-7, -0x1.51b9b0786f94p-7, -0x1.4cdf04743cd5ap-7, -0x1.48130211faf47p-7, -0x1.43559e3b93691p-7, -0x1.3ea6c9ebffe79p-7, -0x1.3a06706948497p-7, -0x1.3574767797c7ep-7, -0x1.30f0baa458ae2p-7, -0x1.2c7b1684574ddp-7, -0x1.281360856eabbp-7, -0x1.23b96dd833194p-7, -0x1.1f6d1404f6bfep-7, -0x1.1b2e29f29d8c6p-7, -0x1.16fc886679a07p-7, -0x1.12d80a3818741p-7, -0x1.0ec08c8220fd5p-7, -0x1.0ab5eeffcd24bp-7, -0x1.06b8149164b0bp-7, -0x1.02c6e3ac51907p-7, -0x1.fdc48cb8a6bdfp-8, -0x1.f614530ed1753p-8, -0x1.ee7cf6b17e5e5p-8, -0x1.e6fe520f63e1bp-8, -0x1.df9838f8d825cp-8, -0x1.d84a750355cd4p-8, -0x1.d114c44c2a01cp-8, -0x1.c9f6db4687ffbp-8, -0x1.c2f0694e476bap-8, -0x1.bc011ebad35c1p-8, -0x1.b528b2899e3a7p-8, -0x1.ae66e5bfbc987p-8, -0x1.a7bb8367f0b9cp-8, -0x1.a1265d598de7ap-8, -0x1.9aa74734f1cfbp-8, -0x1.943e11b6a06d1p-8, -0x1.8dea884db2db8p-8, -0x1.87ac71e350cffp-8, -0x1.81839462f1d6ap-8, -0x1.7b6fb969c9a6fp-8, -0x1.7570b2014c2a2p-8, -0x1.6f865799cd739p-8, -0x1.69b0897c8fb1fp-8, -0x1.63ef2745b2288p-8, -0x1.5e420a2268063p-8, -0x1.58a8ff20f6ca2p-8, -0x1.5323c49f83e27p-8, -0x1.4db20bf297582p-8, -0x1.48537f0e7a27p-8, -0x1.4307c8bb90116p-8, -0x1.3dce9cee9eed3p-8, -0x1.38a7be9f7ae15p-8, -0x1.339300f135482p-8, -0x1.2e9042d82cc1bp-8, -0x1.299f6682ebaa2p-8, -0x1.24c0479171592p-8, -0x1.1ff2b3fd7582cp-8, -0x1.1b366aa2ab35cp-8, -0x1.168b202846e2bp-8, -0x1.11f08864abcfep-8, -0x1.0d66609299cbcp-8, -0x1.08ec76841dc48p-8, -0x1.0482aa4821425p-8, -0x1.0028e9da8727cp-8, -0x1.f7be515f996a8p-9, -0x1.ef4aacc459eaep-9, -0x1.e6f6afa5190c5p-9, -0x1.dec2095a65f77p-9, -0x1.d6ac5288c7ba3p-9, -0x1.ceb5167066333p-9, -0x1.c6dbde2e2596bp-9, -0x1.bf203b570d6b3p-9, -0x1.b781d05d53c37p-9, -0x1.b00055068a036p-9, -0x1.a89b948c056e6p-9, -0x1.a153638aae46ap-9, -0x1.9a278ecb8686fp-9, -0x1.9317c83b6ed48p-9, -0x1.8c239a63bbf57p-9, -0x1.854a6994961dep-9, -0x1.7e8b84327df77p-9, -0x1.77e63c21941ddp-9, -0x1.7159fed28f4d9p-9, -0x1.6ae662cfe64cp-9, -0x1.648b2728d40b3p-9, -0x1.5e4826cd86a11p-9, -0x1.581d457f1800bp-9, -0x1.520a5d838fff4p-9, -0x1.4c0f34d727d6fp-9, -0x1.462b7d2f67499p-9, -0x1.405edcccd2b5ap-9, -0x1.3aa8fa3dc536cp-9, -0x1.35098585c2406p-9, -0x1.2f803c5f17d28p-9, -0x1.2a0cea269ae4p-9, -0x1.24af64e3f9917p-9, -0x1.1f6788d99a757p-9, -0x1.1a3534005d927p-9, -0x1.151842098f424p-9, -0x1.101087b27305ep-9, -0x1.0b1dcb83c217p-9, -0x1.063fbcd72ea9ep-9, -0x1.0175eeac05352p-9, -0x1.f97fba5eced43p-10, -0x1.f039fe1cf743fp-10, -0x1.e719b443ec307p-10, -0x1.de1e1ec51321fp-10, -0x1.d546b3ae5d6e2p-10, -0x1.cc930f08bd43ep-10, -0x1.c402ea81124dp-10, -0x1.bb961b6ce7c32p-10, -0x1.b34c8aa016f77p-10, -0x1.ab261f808439cp-10, -0x1.a322a4bbd2d81p-10, -0x1.9b41b2ff6960fp-10, -0x1.9382ad7c74401p-10, -0x1.8be4d60d94351p-10, -0x1.84677054374eap-10, -0x1.7d09dbebc24ddp-10, -0x1.75cb9116bb6dep-10, -0x1.6eac04dc1f969p-10, -0x1.67aa9157d2e9dp-10, -0x1.60c67bb3a29f6p-10, -0x1.59ff16c81aa6p-10, -0x1.5353e98a8f865p-10, -0x1.4cc4bdb284f1fp-10, -0x1.46518bbf4f295p-10, -0x1.3ffa508026cc5p-10, -0x1.39bee73c0743cp-10, -0x1.339eff245f26ep-10, -0x1.2d9a2888c5e52p-10, -0x1.27afdbb87d34cp-10, -0x1.21df6634e3c5cp-10, -0x1.1c27dc16e189cp-10, -0x1.1688425a31212p-10, -0x1.10ffefb23626dp-10, -0x1.0b8ed6813a803p-10, -0x1.0635700f9983dp-10, -0x1.00f4528a2d4e2p-10, -0x1.f7977f4e4c6a9p-11, -0x1.ed76f5bdcc85cp-11, -0x1.e385f87b5a27fp-11, -0x1.d9c3947affff4p-11, -0x1.d02f4f75da26ap-11, -0x1.c6c8e8273c8bap-11, -0x1.bd8fcf86f30d3p-11, -0x1.b482d8ff177b2p-11, -0x1.aba04d14b0413p-11, -0x1.a2e637fd14201p-11, -0x1.9a52c1ea7e643p-11, -0x1.91e475fbb6afcp-11, -0x1.899a6cdf71481p-11, -0x1.817451530e57fp-11, -0x1.7972362f32047p-11, -0x1.71944606aa703p-11, -0x1.69da75d1ecc45p-11, -0x1.624476f33557ap-11, -0x1.5ad1eeeb8b139p-11, -0x1.53828ffaaa74cp-11, -0x1.4c55b0e8ee79fp-11, -0x1.4549cecbf1fa7p-11, -0x1.3e5cf377586f9p-11, -0x1.378e038ae9e78p-11, -0x1.30dd8145fecfdp-11, -0x1.2a4cb8afdeb8bp-11, -0x1.23dc310ffd33cp-11, -0x1.1d8b06dac5d31p-11, -0x1.1757bb6489965p-11, -0x1.114183d79b36p-11, -0x1.0b48b6e30f26dp-11, -0x1.056e0e6109844p-11, -0x1.ff636ec3eec42p-12, -0x1.f4262283efb78p-12, -0x1.e92206631b8p-12, -0x1.de54c2ad44cbfp-12, -0x1.d3bc3ad570c3fp-12, -0x1.c9569dc8b5f3ap-12, -0x1.bf22678e40f66p-12, -0x1.b51e76e12358fp-12, -0x1.ab4a30079bdedp-12, -0x1.a1a58ea381bd3p-12, -0x1.9831031037c6fp-12, -0x1.8eed032ddc933p-12, -0x1.85d96458cbd3ep-12, -0x1.7cf4ec2a6f9cap-12, -0x1.743da7e1d45fbp-12, -0x1.6bb1e41ff47aep-12, -0x1.63508180005edp-12, -0x1.5b17dbdfef5cep-12, -0x1.5305042ea6c59p-12, -0x1.4b15b6a28b6c5p-12, -0x1.434b1b5c1afb1p-12, -0x1.3ba8a8500c6b8p-12, -0x1.342fe80447ca5p-12, -0x1.2cdeaa217ec0cp-12, -0x1.25b19c12dd0ddp-12, -0x1.1ea7896c1ccb9p-12, -0x1.17c1471d1f21ep-12, -0x1.10ff73b16db05p-12, -0x1.0a618e6004c19p-12, -0x1.03e6b5533e7cbp-12, -0x1.fb1c97947d6b8p-13, -0x1.eeafcceb8c627p-13, -0x1.e285ecb88231fp-13, -0x1.d69d41a1f10cap-13, -0x1.caf3a24fb1f4cp-13, -0x1.bf86c6205ccf2p-13, -0x1.b45495b5101b4p-13, -0x1.a95b632dfb66bp-13, -0x1.9e9a0676c737p-13, -0x1.940fe2756b87bp-13, -0x1.89bcd92bf21eap-13, -0x1.7fa11d42a0167p-13, -0x1.75bcb6434a35p-13, -0x1.6c0ed304d4d6bp-13, -0x1.6295b6b38f17fp-13, -0x1.594ff8311009bp-13, -0x1.503e024adf297p-13, -0x1.4761404976453p-13, -0x1.3eb8901643513p-13, -0x1.363f5fdce91bep-13, -0x1.2df310c13981bp-13, -0x1.25d4e97e9d846p-13, -0x1.1de3e66ef88cfp-13, -0x1.161b235c26a01p-13, -0x1.0e7886e46f7edp-13, -0x1.06fef4b856afep-13, -0x1.ff61c30861739p-14, -0x1.f11b348a3d7b4p-14, -0x1.e326361cdae1ep-14, -0x1.d57f1e25d6d33p-14, -0x1.c8230eb6175ddp-14, -0x1.bb103ebf12ffdp-14, -0x1.ae4684bbdb489p-14, -0x1.a1c6f5deef2dcp-14, -0x1.95925b90e2998p-14, -0x1.89a7d88b9f51dp-14, -0x1.7e04e4b7f5e69p-14, -0x1.72a64834256b3p-14, -0x1.67890f8499b21p-14, -0x1.5caaf0fa1bd19p-14, -0x1.520a4072bdf48p-14, -0x1.47a5c8781f3a8p-14, -0x1.3d7cbf896a857p-14, -0x1.338ec7c127957p-14, -0x1.29db9e134dc67p-14, -0x1.20624b3ed138ep-14, -0x1.17209b58015ecp-14, -0x1.0e142f34a8073p-14, -0x1.053cf93fe2c5fp-14, -0x1.f93c6723870dap-15, -0x1.e8732d38f6d7dp-15, -0x1.d81299c664bfdp-15, -0x1.c80f279e901c5p-15, -0x1.b86bbac4b0986p-15, -0x1.a926809edf589p-15, -0x1.9a3bb3687f366p-15, -0x1.8bb2ed5827ca2p-15, -0x1.7d8fcaca9b568p-15, -0x1.6fcbb75c49203p-15, -0x1.625ea00482128p-15, -0x1.5542517cad2d1p-15, -0x1.48729f6aa055ep-15, -0x1.3bee5e6b24077p-15, -0x1.2fb74c28b5bc9p-15, -0x1.23cf6d7c1a5f5p-15, -0x1.1835ed88302d5p-15, -0x1.0ce70840d4edcp-15, -0x1.01df948724935p-15, -0x1.ee3fb35609801p-16, -0x1.d9536965e7f7bp-16, -0x1.c4f9ca1c92d85p-16, -0x1.b12cc7bd6612cp-16, -0x1.9de4b3d6749b6p-16, -0x1.8b1b6afa78b6cp-16, -0x1.78ccde920fb0bp-16, -0x1.66f668595ad9bp-16, -0x1.559635dbf5bb9p-16, -0x1.44ab0c5b18287p-16, -0x1.3433e657e9e34p-16, -0x1.242eee23fd334p-16, -0x1.1498a7092f5adp-16, -0x1.056cf549c0473p-16, -0x1.ed53aee5f7d9ap-17, -0x1.d0a4545937b44p-17, -0x1.b4d568d2b22aap-17, -0x1.99d67161f882cp-17, -0x1.7f8b8e6920c7bp-17, -0x1.65f2987618f67p-17, -0x1.4d09ea411c599p-17, -0x1.34dd8d97b7da4p-17, -0x1.1d6fa7f89a572p-17, -0x1.06b1a1e79d987p-17, -0x1.e134e7dd77219p-18, -0x1.b64e4554fe2f8p-18, -0x1.8cabfe411e8aep-18, -0x1.644ac75b8246ep-18, -0x1.3d27721fb8cb8p-18, -0x1.173e51dd09251p-18, -0x1.e510a0164abb2p-19, -0x1.9deddc6008d95p-19, -0x1.58ee772423829p-19, -0x1.15fe8b2ba1e04p-19, -0x1.aa4b96a677bf2p-20, -0x1.2ccb00a28903cp-20, -0x1.66896a3e408b8p-21, -0x1.ec6b7575c48c1p-23, 0x1.a23a407269d17p-23, 0x1.4453129e1ee57p-21, 0x1.0c3e32508e8b3p-20, 0x1.72bcb71d0e14ep-20, 0x1.d5cd42cb4ac3ap-20, 0x1.1ac3c358218e7p-19, 0x1.48fddb2a9fceep-19, 0x1.759be130b4586p-19, 0x1.a0a4a69f03312p-19, 0x1.ca1ff081f10e8p-19, 0x1.f21786305541p-19, 0x1.0c4b7db78ebep-18, 0x1.1ed54b157cbp-18, 0x1.30ad39e413eaep-18, 0x1.41d0c78caf1a4p-18, 0x1.524209156060bp-18, 0x1.6212959298b42p-18, 0x1.7148c32cfb4dap-18, 0x1.7fdf21babc8d2p-18, 0x1.8dd6331352c4cp-18, 0x1.9b372c46a57ddp-18, 0x1.a80736b69f76ep-18, 0x1.b4494f98edp-18, 0x1.c000a978a83cbp-18, 0x1.cb30bbe81aa05p-18, 0x1.d5dd0ba5e3541p-18, 0x1.e00911e34697ep-18, 0x1.e9b8348a2311ep-18, 0x1.f2edc5db107f8p-18, 0x1.fbad0a6a4bf5fp-18, 0x1.01fc937ea4ecp-17, 0x1.05ea95417ce1dp-17, 0x1.09a200a7202a2p-17, 0x1.0d242d01c3237p-17, 0x1.107264c12f5cep-17, 0x1.138e339a33cfdp-17, 0x1.167960a2d52b1p-17, 0x1.19355c73f6cb1p-17, 0x1.1bc37a72bebcp-17, 0x1.1e2515a73b9a8p-17, 0x1.205b02cd0a9dp-17, 0x1.226638d0b302ep-17, 0x1.24482d74e397ep-17, 0x1.2602491d4c3b4p-17, 0x1.2795b91050913p-17, 0x1.29038ece694d3p-17, 0x1.2a4cda154b391p-17, 0x1.2b72b48baf411p-17, 0x1.2c763db561411p-17, 0x1.2d58896f48d0dp-17, 0x1.2e1a90b7c53fap-17, 0x1.2ebd2c7200a9fp-17, 0x1.2f41317d9e34ap-17, 0x1.2fa7f582b41ffp-17, 0x1.2ff264efd825fp-17, 0x1.302085eb4b2d1p-17, 0x1.303444c81c03fp-17, 0x1.302e856b1627ep-17, 0x1.300f89086fbb5p-17, 0x1.2fd828b9c383ap-17, 0x1.2f894df67edacp-17, 0x1.2f23cc7d1c9p-17, 0x1.2ea86a23619ffp-17, 0x1.2e17e5034a723p-17, 0x1.2d72f5bf6afabp-17, 0x1.2cba501e111fbp-17, 0x1.2beea41ba26f1p-17, 0x1.2b109f29f8cecp-17, 0x1.2a20e8aa6150fp-17, 0x1.292024080d564p-17, 0x1.280ef1903b09ep-17, 0x1.26edec5707063p-17, 0x1.25bda9b684b14p-17, 0x1.247eb99423e44p-17, 0x1.2331a6888bd84p-17, 0x1.21d6f4f691f1cp-17, 0x1.206f28f516b2bp-17, 0x1.1efaf056033e5p-17, 0x1.1d7b5bcdf9533p-17, 0x1.1bf12bae8e7ebp-17, 0x1.1a5bcba669aa8p-17, 0x1.18badb2ee8347p-17, 0x1.170f6e22a6943p-17, 0x1.155b3282f3273p-17, 0x1.139e4d61881dfp-17, 0x1.11d884a03af7p-17, 0x1.100a322119fb6p-17, 0x1.0e33e22cb2489p-17, 0x1.0c5616e434f4fp-17, 0x1.0a713c808c59ap-17, 0x1.0885ad6ea9436p-17, 0x1.0693bb9eb196dp-17, 0x1.049bacc34c40ap-17, 0x1.029dc72a83929p-17, 0x1.009ab4815561fp-17, 0x1.fd255b93f90bcp-18, 0x1.f90c18c0fbc54p-18, 0x1.f4ea273d25d07p-18, 0x1.f0bfc097d56c9p-18, 0x1.ec8da8a254f6ap-18, 0x1.e85485f650624p-18, 0x1.e414e5c93066cp-18, 0x1.dfcf5258dd974p-18, 0x1.db844b5208808p-18, 0x1.d734518968147p-18, 0x1.d2dfe148e0aa9p-18, 0x1.ce8773469b09fp-18, 0x1.ca2b7cc2bf6bep-18, 0x1.c5cc6f8c2c4dep-18, 0x1.c16aba0d1b45fp-18, 0x1.bd06c75fc3fb6p-18, 0x1.b8a0ff5f6c48fp-18, 0x1.b439c6bd8e114p-18, 0x1.afd17f1433feep-18, 0x1.ab6886f8f762dp-18, 0x1.a6ff3a04f76f9p-18, 0x1.a295f08890bffp-18, 0x1.9e2cfe89e846dp-18, 0x1.99c4b97540fa5p-18, 0x1.955d73afb4636p-18, 0x1.90f7763c1707dp-18, 0x1.8c930dfb83dc6p-18, 0x1.883083eb4957ep-18, 0x1.83d01f1c6b3a5p-18, 0x1.7f722437d6c17p-18, 0x1.7b16cbc49b3a8p-18, 0x1.76be5168a1bdap-18, 0x1.7269095b01315p-18, 0x1.6e172207c956bp-18, 0x1.69c8ca15afdaap-18, 0x1.657e44e3292d1p-18, 0x1.6137c4ffd85c6p-18, 0x1.5cf57769a77dfp-18, 0x1.58b78ce847905p-18, 0x1.547e364d53ba3p-18, 0x1.5049a149c3a1bp-18, 0x1.4c1a01314b0eep-18, 0x1.47ef91a3fb796p-18, 0x1.43ca5094c65f8p-18, 0x1.3faa41991db7ep-18, 0x1.3b8fc5b108dacp-18, 0x1.377b0ce58cac6p-18, 0x1.336c24e34995ap-18, 0x1.2f6326e9944a9p-18, 0x1.2b60312abf765p-18, 0x1.276363be917b3p-18, 0x1.236cd906c401dp-18, 0x1.1f7caa2018301p-18, 0x1.1b92f0df338dp-18, 0x1.17afc56a545b6p-18, 0x1.13d33e5e27a2p-18, 0x1.0ffd710cfaf73p-18, 0x1.0c2e7195eb2acp-18, 0x1.086652ecdd3b5p-18, 0x1.04a526e35fe65p-18, 0x1.00eafe353a93bp-18, 0x1.fa6fd12d10926p-19, 0x1.f317e98ab5968p-19, 0x1.ebce612c08b8ap-19, 0x1.e49353bc1a2f9p-19, 0x1.dd66d3f6750bcp-19, 0x1.d648fd6123591p-19, 0x1.cf39e24add89cp-19, 0x1.c839947526c8dp-19, 0x1.c14823a44e087p-19, 0x1.ba659e67b7e28p-19, 0x1.b392123398a9p-19, 0x1.accd8c0047e1p-19, 0x1.a61818f9cd245p-19, 0x1.9f71c537081b5p-19, 0x1.98da97c876d9ap-19, 0x1.92529094b1be1p-19, 0x1.8bd9b2374c114p-19, 0x1.857023a052f16p-19, 0x1.7f16310834175p-19, 0x1.78cb805a5ae37p-19, 0x1.728f72c0a8775p-19, 0x1.6c61ff2415abcp-19, 0x1.6643d61bf74b6p-19, 0x1.60355b1d4db2ep-19, 0x1.5a3636125cb92p-19, 0x1.5446374956aa4p-19, 0x1.4e655daf3b415p-19, 0x1.4893dbdfff13fp-19, 0x1.42d153199a17dp-19, 0x1.3d1d583641ed3p-19, 0x1.3778a06c3f885p-19, 0x1.31e2ff75ce58bp-19, 0x1.2c5c4ca163099p-19, 0x1.26e47a6a52343p-19, 0x1.217b7e0beffb3p-19, 0x1.1c214ba6f9902p-19, 0x1.16d5d625baf4fp-19, 0x1.11990fb3ac94cp-19, 0x1.0c6ae9b377d02p-19, 0x1.074b54de64a72p-19, 0x1.023a41631a727p-19, 0x1.fa6f3db2ee002p-20, 0x1.f086b8a6c98c3p-20, 0x1.e6bad0c184ef1p-20, 0x1.dd0b62409ac83p-20, 0x1.d378492e085cdp-20, 0x1.ca0162f6d3354p-20, 0x1.c0a68429b633cp-20, 0x1.b76781ca87a59p-20, 0x1.ae443c7c26429p-20, 0x1.a53c87f490944p-20, 0x1.9c5039700c2a3p-20, 0x1.937f29b8a3194p-20, 0x1.8ac92d6138693p-20, 0x1.822e189df2469p-20, 0x1.79adbf7b2ba6fp-20, 0x1.7147f5b918bfep-20, 0x1.68fc8eb2326f2p-20, 0x1.60cb5d4be9c0cp-20, 0x1.58b433d2db5cdp-20, 0x1.50b6e3f001ab4p-20, 0x1.48d33e9c72938p-20, 0x1.410913897e5c8p-20, 0x1.395830888a86fp-20, 0x1.31c06ab0849bfp-20, 0x1.2a419af9a397ep-20, 0x1.22db8862c5f3dp-20, 0x1.1b8e007fce963p-20, 0x1.1458d04eec223p-20, 0x1.0d3bc19313747p-20, 0x1.0636ae791bbf9p-20, 0x1.fe93421eadf14p-21, 0x1.f0e8dde5d0d33p-21, 0x1.e36bec4f4dce2p-21, 0x1.d61ce5c14c4c6p-21, 0x1.c8fca526e9d37p-21, 0x1.bc0a5a7e257aep-21, 0x1.af455a35f1886p-21, 0x1.a2acc9e39e531p-21, 0x1.9640d51131328p-21, 0x1.8a00fdbbcdc9dp-21, 0x1.7decd03b64077p-21, 0x1.7203e994cf13bp-21, 0x1.6645e6729b3fp-21, 0x1.5ab264340e702p-21, 0x1.4f48feff1bbacp-21, 0x1.44095335f935bp-21, 0x1.38f2fd55145adp-21, 0x1.2e059a0855e42p-21, 0x1.2340c637eb2c3p-21, 0x1.18a41fa138c6dp-21, 0x1.0e2f43fdc561bp-21, 0x1.03e1cdc0daffbp-21, 0x1.f376b3f7f19c6p-22, 0x1.df77133936b9bp-22, 0x1.cbc3f6cd84a98p-22, 0x1.b85c9a5e3b519p-22, 0x1.a5403c8c85361p-22, 0x1.926e1d437233dp-22, 0x1.7fe5762d5ca58p-22, 0x1.6da586f065ca2p-22, 0x1.5bad95d9599a9p-22, 0x1.49fce302c5bd3p-22, 0x1.3892b84eb5b0ep-22, 0x1.276e4db6fe9ddp-22, 0x1.168ee96422b56p-22, 0x1.05f3d25463327p-22, 0x1.eb389d9832594p-23, 0x1.cb0f4b923125ep-23, 0x1.ab6a3e94fadbcp-23, 0x1.8c480892afad9p-23, 0x1.6da73d902b744p-23, 0x1.4f867398e168p-23, 0x1.31e442ac720f8p-23, 0x1.14bf45a65ce95p-23, 0x1.f02c368f8cf08p-24, 0x1.b7cebd8d30904p-24, 0x1.806355a8b8f98p-24, 0x1.49e756228668p-24, 0x1.1458092db501cp-24, 0x1.bf6574fca63dbp-25, 0x1.57e97c6372998p-25, 0x1.e46db2bc9cb42p-26, 0x1.1c907ffbca3fp-26, 0x1.60c386bb4db6dp-28, -0x1.a2ede5ae245acp-28, -0x1.263eb2f4bcd89p-26, -0x1.e062c8d53cf3fp-26, -0x1.4b9a9e9b76049p-25, -0x1.a55f053ee9ed6p-25, -0x1.fd8156cf50abep-25, -0x1.2a03a2124a709p-24, -0x1.547c6400f39e7p-24, -0x1.7e2c7966fe75cp-24, -0x1.a71611468b939p-24, -0x1.cf3c1bc73003cp-24, -0x1.f6a1272298fe2p-24, -0x1.0ea36e1b77308p-23, -0x1.2197a8328caf5p-23, -0x1.342ec5e639ef7p-23, -0x1.4669edb72da94p-23, -0x1.584a345aed82ap-23, -0x1.69d0bad678b49p-23, -0x1.7afea2e2f618dp-23, -0x1.8bd50b6ed5bcdp-23, -0x1.9c55105971b02p-23, -0x1.ac7fcaf7ac54p-23, -0x1.bc565282e00acp-23, -0x1.cbd9bbdb33921p-23, -0x1.db0b1a4addec5p-23, -0x1.e9eb80a9a325p-23, -0x1.f87bfe15f977cp-23, -0x1.035e9cd4d4b69p-22, -0x1.0a58a0a5f867bp-22, -0x1.112ba13b02c72p-22, -0x1.17d97a289336p-22, -0x1.1e618a9ee7d78p-22, -0x1.24c4acc8e1bcdp-22, -0x1.2b0365ed3d402p-22, -0x1.311e30d09bf83p-22, -0x1.371587f48ea37p-22, -0x1.3ce9e560b5097p-22, -0x1.429bc2340b2b8p-22, -0x1.482b9672f8c0ap-22, -0x1.4d99d8e259916p-22, -0x1.52e6ff6451f2cp-22, -0x1.58137e7833b08p-22, -0x1.5d1fc9b002635p-22, -0x1.620c52e9054e7p-22, -0x1.66d9879878149p-22, -0x1.6b87d8fe8262ep-22, -0x1.7017c5a069f75p-22, -0x1.7489a75d5211cp-22, -0x1.78dde6224ea02p-22, -0x1.7d14f6984c1ecp-22, -0x1.812f4e913de6dp-22, -0x1.852d4f754cb44p-22, -0x1.890f5a9638533p-22, -0x1.8cd5d98b4e1b6p-22, -0x1.908133b863d99p-22, -0x1.9411ce0a4d37p-22, -0x1.97880c0f0434ap-22, -0x1.9ae45031adecp-22, -0x1.9e26fc2999768p-22, -0x1.a150705b4d2d8p-22, -0x1.a4610e706dbd9p-22, -0x1.a7592f962f651p-22, -0x1.aa3934bb5c1a2p-22, -0x1.ad01795df12b1p-22, -0x1.afb258ae5b5cfp-22, -0x1.b24c33531f064p-22, -0x1.b4cf55f4923e9p-22, -0x1.b73c1a9af936ap-22, -0x1.b992ea5221c2ep-22, -0x1.bbd404713e138p-22, -0x1.bdffcd6f438edp-22, -0x1.c01698e5925f2p-22, -0x1.c218b3799ebd5p-22, -0x1.c40670a4e3d64p-22, -0x1.c5e0237f98f66p-22, -0x1.c7a61d2735c3dp-22, -0x1.c958ad3d1e3c5p-22, -0x1.caf821bc0bc29p-22, -0x1.cc84c68340ca9p-22, -0x1.cdfee7b99d141p-22, -0x1.cf66dcc817b73p-22, -0x1.d0bcfc47461eap-22, -0x1.d2017c35042b8p-22, -0x1.d33479876f08ep-22, -0x1.d45668b8a6f61p-22, -0x1.d567aed4711acp-22, -0x1.d66876a635dd6p-22, -0x1.d75903c027ffap-22, -0x1.d8399c2caf13ap-22, -0x1.d90a84cbbf061p-22, -0x1.d9cc0138e7cp-22, -0x1.da7e540109f8fp-22, -0x1.db21bf1c139a8p-22, -0x1.dbb6837284e66p-22, -0x1.dc3ce12bee7fdp-22, -0x1.dcb517c361d71p-22, -0x1.dd1f65e750ae2p-22, -0x1.dd7c0989589fbp-22, -0x1.ddcb3fd66c938p-22, -0x1.de0d451929c23p-22, -0x1.de4254ff6745bp-22, -0x1.de6aaaff8efb9p-22, -0x1.de86809bf6d01p-22, -0x1.de96087d4f592p-22, -0x1.de997c5ee0f93p-22, -0x1.de9138ebdd4ebp-22, -0x1.de7d3ff162996p-22, -0x1.de5dd924d736dp-22, -0x1.de3342d64d358p-22, -0x1.ddfdb28be3f87p-22, -0x1.ddbd5c665a69cp-22, -0x1.dd724979765bap-22, -0x1.dd1cce4055782p-22, -0x1.dcbd8737b3d1ap-22, -0x1.dc53fee96fd2ap-22, -0x1.dbe0a46df097fp-22, -0x1.db63afc88662bp-22, -0x1.dadd3f57b3c1fp-22, -0x1.da4da891d2548p-22, -0x1.d9b504c5da09bp-22, -0x1.d913769857206p-22, -0x1.d869334d8bbc6p-22, -0x1.d7b6686a11bd3p-22, -0x1.d6fb420bd592ap-22, -0x1.d637eb8c0b241p-22, -0x1.d56c901f68746p-22, -0x1.d4995a0713af7p-22, -0x1.d3be730a4bb9cp-22, -0x1.d2dc0465e2cf8p-22, -0x1.d1f236ee93eeap-22, -0x1.d1013288fb891p-22, -0x1.d0091efe8df2fp-22, -0x1.cf0a234609fe4p-22, -0x1.ce0466db7fbb7p-22, -0x1.ccf80d0db49dcp-22, -0x1.cbe53df79552dp-22, -0x1.cacc1dbb0757ap-22, -0x1.c9acd0a9f5fe3p-22, -0x1.c88779ba98998p-22, -0x1.c75c3b77a28f7p-22, -0x1.c62b35575ad7p-22, -0x1.c4f4771d57571p-22, -0x1.c3b88076862d4p-22, -0x1.c27701d6003aap-22, -0x1.c1304a25cb22fp-22, -0x1.bfe463ded13d9p-22, -0x1.be93997be804dp-22, -0x1.bd3e2124c2ea1p-22, -0x1.bbe3a79ad0595p-22, -0x1.ba8492f87ead1p-22, -0x1.b9210ed740ea8p-22, -0x1.b7b922b10d2f3p-22, -0x1.b64cdcee83633p-22, -0x1.b4dcb2edbd95p-22, -0x1.b3684755e956p-22, -0x1.b1f00328b9c8dp-22, -0x1.b073e9c92e27p-22, -0x1.aef3e3e3381efp-22, -0x1.ad7036b6e943ep-22, -0x1.abe9edd26ed08p-22, -0x1.aa5f11d729fdp-22, -0x1.a8d16d405e6f5p-22, -0x1.a73faca1d50ebp-22, -0x1.a5ad9be4721p-22, -0x1.a41515ab8ac9p-22, -0x1.a27b6fbbd6e67p-22, -0x1.a0de9ad41abb2p-22, -0x1.9f3f09220adfep-22, -0x1.9d9cd346b85adp-22, -0x1.9bf80e83c2db4p-22, -0x1.9a50d09392093p-22, -0x1.98a72f6489f3ep-22, -0x1.96fb402b39e5ap-22, -0x1.954d17d8e20e4p-22, -0x1.939ccc38d6c39p-22, -0x1.91ea710fa2b78p-22, -0x1.90361b5ee7f7ep-22, -0x1.8e7fe0f587d13p-22, -0x1.8cc7d057238c6p-22, -0x1.8b0e0060cd4b7p-22, -0x1.895285cb88f13p-22, -0x1.87957076d196bp-22, -0x1.85d6d2b3586ddp-22, -0x1.8416c045ae276p-22, -0x1.8255491a6866ap-22, -0x1.8092833e46d8p-22, -0x1.7ece78f35fb22p-22, -0x1.7d093dc1ae8c4p-22, -0x1.7b42b41867876p-22, -0x1.797baa51613fbp-22, -0x1.77b2dd1365219p-22, -0x1.75e9ead0901f1p-22, -0x1.741fa2e602bcbp-22, -0x1.725497c269d8dp-22, -0x1.7088d224a2173p-22, -0x1.6ebc5b32f77c7p-22, -0x1.6cef40c59ef9cp-22, -0x1.6b2191c1ec66cp-22, -0x1.69535c50bbaf7p-22, -0x1.6784ae0dfb878p-22, -0x1.65b5945e695ap-22, -0x1.63e61c6ba7a12p-22, -0x1.6216535d2fe5dp-22, -0x1.6046461056742p-22, -0x1.5e76014e13ed9p-22, -0x1.5ca5909194b71p-22, -0x1.5ad4fec3295c9p-22, -0x1.5904509b0094ap-22, -0x1.573382127df87p-22, -0x1.556324d517674p-22, -0x1.53928503fa723p-22, -0x1.51c1fe432623dp-22, -0x1.4ff1a88fc8b1fp-22, -0x1.4e2183fb6f471p-22, -0x1.4c5199cce228bp-22, -0x1.4a81f453e5aaep-22, -0x1.48b2a11f57302p-22, -0x1.46e3ad978ca1bp-22, -0x1.45151dc1ab785p-22, -0x1.4346a09eb3568p-22, -0x1.417917af31a33p-22, -0x1.3fabec9e72b73p-22, -0x1.3ddf31ac9c653p-22, -0x1.3c1313aeda912p-22, -0x1.3a47af7df01e1p-22, -0x1.387ca68b576e6p-22, }}, 
      {{-0x1.b446e6cd9c2e1p-1, -0x1.7417a86720db9p-1, -0x1.3355ac3c5857dp-1, -0x1.fd08a9b2c5c74p-2, -0x1.b182b7ecf37c7p-2, -0x1.8180eb9eedf95p-2, -0x1.670d895fe0045p-2, -0x1.5ba5df1889672p-2, -0x1.5986579975791p-2, -0x1.5c228478382bdp-2, -0x1.6030d9884ca76p-2, -0x1.638532972a77p-2, -0x1.64d9f3b77d49ep-2, -0x1.6397cfd200f1cp-2, -0x1.5fa3819a2907ep-2, -0x1.59341e73e09c8p-2, -0x1.50b24b6310958p-2, -0x1.469f88939e67bp-2, -0x1.3b84614adabc6p-2, -0x1.2fe438867f793p-2, -0x1.24357f42aecc8p-2, -0x1.18dd46782fe99p-2, -0x1.0e2d4aa68425bp-2, -0x1.0463c1440d11fp-2, -0x1.f758adccef258p-3, -0x1.e843db8d315a4p-3, -0x1.dba18ecefef0bp-3, -0x1.d171b54518199p-3, -0x1.c9a053932e98ap-3, -0x1.c409f61da6d56p-3, -0x1.c07fc0bcd370fp-3, -0x1.becb07e14d853p-3, -0x1.beb06994d857fp-3, -0x1.bff26590cd8afp-3, -0x1.c25379fe52418p-3, -0x1.c597ce22da3fep-3, -0x1.c98676c22804cp-3, -0x1.cdea615bdc63cp-3, -0x1.d292f3a2eca5fp-3, -0x1.d7546b830d5a7p-3, -0x1.dc080b6f8dd7fp-3, -0x1.e08c1ddf735bdp-3, -0x1.e4c3d97aa31fp-3, -0x1.e8972dbbb2946p-3, -0x1.ebf27e7c9b116p-3, -0x1.eec653f9ce5acp-3, -0x1.f10703e84bff4p-3, -0x1.f2ac57331205ep-3, -0x1.f3b12f074b726p-3, -0x1.f4132b2ec7fap-3, -0x1.f3d25349933fap-3, -0x1.f2f0c41fcfab5p-3, -0x1.f17261ef34202p-3, -0x1.ef5c903cb3d72p-3, -0x1.ecb5ef74bbd4dp-3, -0x1.e9862053152a1p-3, -0x1.e5d58d03fda34p-3, -0x1.e1ad37c559284p-3, -0x1.dd168ed6ced4p-3, -0x1.d81b45694c179p-3, -0x1.d2c531520a507p-3, -0x1.cd1e2d1bd67efp-3, -0x1.c72ffe31473c3p-3, -0x1.c1043eb9f89aep-3, -0x1.baa44ae84a779p-3, -0x1.b419316870df4p-3, -0x1.ad6ba6b6ff331p-3, -0x1.a6a3fb1849451p-3, -0x1.9fca12f0ba7e4p-3, -0x1.98e5612c93c52p-3, -0x1.91fce371da2b3p-3, -0x1.8b171fe1aee8fp-3, -0x1.843a241f543cbp-3, -0x1.7d6b85915d5d3p-3, -0x1.76b0629df7642p-3, -0x1.700d64e311fb3p-3, -0x1.6986c4345b8a6p-3, -0x1.63204a4fac418p-3, -0x1.5cdd5705cdfb3p-3, -0x1.56c0e4d8bd15ep-3, -0x1.50cd8db5d17ccp-3, -0x1.4b058ff7a6d02p-3, -0x1.456ad3516e004p-3, -0x1.3ffeede096779p-3, -0x1.3ac3292adedc1p-3, -0x1.35b8871f46ecap-3, -0x1.30dfc712e9c1cp-3, -0x1.2c396a9c9f1c8p-3, -0x1.27c5ba713a291p-3, -0x1.2384caf44de06p-3, -0x1.1f7680cd7619cp-3, -0x1.1b9a95151ca74p-3, -0x1.17f0997cebe65p-3, -0x1.1477fc11f7581p-3, -0x1.11300aebb71ffp-3, -0x1.0e17f78219dc2p-3, -0x1.0b2ed9f0b428ep-3, -0x1.0873b3e47b609p-3, -0x1.05e5737b3a75dp-3, -0x1.0382f5d86cb9fp-3, -0x1.014b09a714e1dp-3, -0x1.fe78e2be3b1bbp-4, -0x1.faabcad96ea18p-4, -0x1.f72c2c560ec85p-4, -0x1.f3f75b6b4cf9dp-4, -0x1.f10aa3323c313p-4, -0x1.ee6348b80cb32p-4, -0x1.ebfe8dbd1164fp-4, -0x1.e9d9b34981f25p-4, -0x1.e7f1fbf3d0becp-4, -0x1.e644addc33beep-4, -0x1.e4cf14a206d1fp-4, -0x1.e38e82eca501ap-4, -0x1.e28053e2e4367p-4, -0x1.e1a1ec89ccb2ep-4, -0x1.e0f0bcc4edb02p-4, -0x1.e06a4064939aap-4, -0x1.e00c000a5b329p-4, -0x1.dfd391d23c91p-4, -0x1.dfbe99f616ccbp-4, -0x1.dfcacb62bd6d3p-4, -0x1.dff5e824422fdp-4, -0x1.e03dc1a97b1bfp-4, -0x1.e0a0392630786p-4, -0x1.e11b3fd055abep-4, -0x1.e1acd6d5ae19p-4, -0x1.e2530f95b991fp-4, -0x1.e30c0bbc99ed8p-4, -0x1.e3d5fd09d1381p-4, -0x1.e4af25551d77dp-4, -0x1.e595d69c31d5ep-4, -0x1.e68872ac81385p-4, -0x1.e7856afe492e6p-4, -0x1.e88b40a46d88fp-4, -0x1.e99883fda7e01p-4, -0x1.eaabd4708111dp-4, -0x1.ebc3e035c8f2p-4, -0x1.ecdf640a6261fp-4, -0x1.edfd2af06276cp-4, -0x1.ef1c0ddf60933p-4, -0x1.f03af35a9d291p-4, -0x1.f158cf38b2b01p-4, -0x1.f274a26a24564p-4, -0x1.f38d7a759577ap-4, -0x1.f4a271148cbd8p-4, -0x1.f5b2ac1f2ae83p-4, -0x1.f6bd5d2b0d87cp-4, -0x1.f7c1c0f6b766bp-4, -0x1.f8bf1f2c98c04p-4, -0x1.f9b4ca488364p-4, -0x1.faa21f1f2c922p-4, -0x1.fb8684573b351p-4, -0x1.fc616a43654e9p-4, -0x1.fd324ab71a566p-4, -0x1.fdf8a88823321p-4, -0x1.feb40f24612b7p-4, -0x1.ff641270f6a23p-4, -0x1.00042747a6b78p-3, -0x1.005033b397fcap-3, -0x1.0096042a2bef7p-3, -0x1.00d572050fddap-3, -0x1.010e5a286abaap-3, -0x1.01409cc9b14d7p-3, -0x1.016c1d4ee6a29p-3, -0x1.0190c2466b0edp-3, -0x1.01ae75484fe99p-3, -0x1.01c522bcb961dp-3, -0x1.01d4b9b803c4fp-3, -0x1.01dd2bfc0c77fp-3, -0x1.01de6de648906p-3, -0x1.01d8763866ce1p-3, -0x1.01cb3de9431d9p-3, -0x1.01b6c021d7be2p-3, -0x1.019afa40efb73p-3, -0x1.0177ebb5db90dp-3, -0x1.014d95c62c08bp-3, -0x1.011bfb74f866ap-3, -0x1.00e3218e69f99p-3, -0x1.00a30ea31b42p-3, -0x1.005bcad967d06p-3, -0x1.000d5fbccc0a2p-3, -0x1.ff6fb066f9a6bp-4, -0x1.feb6811813b23p-4, -0x1.fdef4ce6f79f7p-4, -0x1.fd1a3191c8ec1p-4, -0x1.fc374eea75fa2p-4, -0x1.fb46c6cb945dep-4, -0x1.fa48bd2fd352bp-4, -0x1.f93d5820c4e2dp-4, -0x1.f824bf6cb46acp-4, -0x1.f6ff1c60a7331p-4, -0x1.f5cc99b9c59d9p-4, -0x1.f48d63b8285ecp-4, -0x1.f341a81794fedp-4, -0x1.f1e995d8581f6p-4, -0x1.f0855d011b97p-4, -0x1.ef152e8557e89p-4, -0x1.ed993c51fe80bp-4, -0x1.ec11b950f05b2p-4, -0x1.ea7ed947f8f74p-4, -0x1.e8e0d0a42c7cdp-4, -0x1.e737d45738f59p-4, -0x1.e58419d455b08p-4, -0x1.e3c5d71c87768p-4, -0x1.e1fd42b383e22p-4, -0x1.e02a937b717efp-4, -0x1.de4e008d7ce8cp-4, -0x1.dc67c1284f44fp-4, -0x1.da780cb40fe27p-4, -0x1.d87f1ac7d201dp-4, -0x1.d67d231d91b86p-4, -0x1.d4725d72ebf97p-4, -0x1.d25f016c25b8ep-4, -0x1.d0434689a3092p-4, -0x1.ce1f642b87f94p-4, -0x1.cbf391961e7b8p-4, -0x1.c9c005e923396p-4, -0x1.c784f8091828p-4, -0x1.c5429e888746bp-4, -0x1.c2f92f9e11087p-4, -0x1.c0a8e126af1cp-4, -0x1.be51e8aa01b18p-4, -0x1.bbf47b57e5fep-4, -0x1.b990cdfae90d8p-4, -0x1.b72714e6e16bbp-4, -0x1.b4b783ee11d0fp-4, -0x1.b2424e5fa4587p-4, -0x1.afc7a70bb1676p-4, -0x1.ad47c0461d45p-4, -0x1.aac2cbe1f8265p-4, -0x1.a838fb26de6d8p-4, -0x1.a5aa7ec684e4bp-4, -0x1.a31786d7cd24p-4, -0x1.a08042d7adc8fp-4, -0x1.9de4e1ad2603cp-4, -0x1.9b4591ab9e47cp-4, -0x1.98a280904a08p-4, -0x1.95fbdb7ac2cc6p-4, -0x1.9351cee8434b8p-4, -0x1.90a486b075345p-4, -0x1.8df42e06d1e76p-4, -0x1.8b40ef7e2106dp-4, -0x1.888af50b14f72p-4, -0x1.85d268047fa61p-4, -0x1.831771200a568p-4, -0x1.805a386f26998p-4, -0x1.7d9ae55dda9e2p-4, -0x1.7ad99eb3bc68fp-4, -0x1.78168a964b4e1p-4, -0x1.7551ce8c387f3p-4, -0x1.728b8f7f853c9p-4, -0x1.6fc3f1bde25b4p-4, -0x1.6cfb18f72b7cp-4, -0x1.6a31283d3433ap-4, -0x1.676642047309fp-4, -0x1.649a8825e515dp-4, -0x1.61ce1be1d53dap-4, -0x1.5f011de28183fp-4, -0x1.5c33ae3eb64dp-4, -0x1.5965ec7ac5034p-4, -0x1.5697f788b9ec2p-4, -0x1.53c9edc90b8d4p-4, -0x1.50fbed0c03501p-4, -0x1.4e2e1293c63c6p-4, -0x1.4b607b16c49cfp-4, -0x1.489342c26b429p-4, -0x1.45c6853d6adf9p-4, -0x1.42fa5da988fd9p-4, -0x1.402ee6a4693f2p-4, -0x1.3d643a4892f7dp-4, -0x1.3a9a722f30042p-4, -0x1.37d1a771bef5dp-4, -0x1.3509f2ac27984p-4, -0x1.32436bfedde12p-4, -0x1.2f7e2b1113a87p-4, -0x1.2cba471299a0fp-4, -0x1.29f7d6bd444a2p-4, -0x1.2736f0563624dp-4, -0x1.2477a9af3f042p-4, -0x1.21ba182852f0fp-4, -0x1.1efe50b144f5dp-4, -0x1.1c4467cb5dacfp-4, -0x1.198c718b2a47p-4, -0x1.16d6819a4785ep-4, -0x1.1422ab3902ac7p-4, -0x1.1171013faae91p-4, -0x1.0ec1961fc09ffp-4, -0x1.0c147be537b5p-4, -0x1.0969c437ab0edp-4, -0x1.06c1805bc269cp-4, -0x1.041bc13459b7ap-4, -0x1.0178974418bbdp-4, -0x1.fdb0255d52bdfp-5, -0x1.f87486744e5e4p-5, -0x1.f33e70a08ee68p-5, -0x1.ee0e01fe815d7p-5, -0x1.e8e357f580c9p-5, -0x1.e3be8f39dd269p-5, -0x1.de9fc3ced66cep-5, -0x1.d9871108a21b9p-5, -0x1.d474918e67ffap-5, -0x1.cf685f5c40b9ap-5, -0x1.ca6293c53f2c8p-5, -0x1.c563477555aedp-5, -0x1.c06a9272f8bc8p-5, -0x1.bb788c209823fp-5, -0x1.b68d4b3e4dae1p-5, -0x1.b1a8e5eac98edp-5, -0x1.accb71a5caa89p-5, -0x1.a7f50350d256ap-5, -0x1.a325af312ab1cp-5, -0x1.9e5d88f0ed637p-5, -0x1.999ca3a0d631cp-5, -0x1.94e311b996869p-5, -0x1.9030e51d2ef26p-5, -0x1.8b862f1836092p-5, -0x1.86e30063069e2p-5, -0x1.824769230d504p-5, -0x1.7db378ec16162p-5, -0x1.79273ec131ff5p-5, -0x1.74a2c91652823p-5, -0x1.702625d164b83p-5, -0x1.6bb1624b7f3f7p-5, -0x1.67448b521d7b5p-5, -0x1.62dfad2857502p-5, -0x1.5e82d3881397dp-5, -0x1.5a2e09a32c2a1p-5, -0x1.55e15a2486fb2p-5, -0x1.519ccf3138bc2p-5, -0x1.4d607269b207ep-5, -0x1.492c4ceae5e1dp-5, -0x1.4500674f757adp-5, -0x1.40dcc9b0d6affp-5, -0x1.3cc17ba87cfeap-5, -0x1.38ae845109296p-5, -0x1.34a3ea4782b59p-5, -0x1.30a1b3ac7fd2p-5, -0x1.2ca7e6255cb8ep-5, -0x1.28b686dd660c8p-5, -0x1.24cd9a8703349p-5, -0x1.20ed255cf5d77p-5, -0x1.1d152b2393b27p-5, -0x1.1945af29fdfb7p-5, -0x1.157eb44b69a62p-5, -0x1.11c03cf05cc0fp-5, -0x1.0e0a4b0ff5acp-5, -0x1.0a5ce031357aap-5, -0x1.06b7fd6c4e8dfp-5, -0x1.031ba36bf8d07p-5, -0x1.ff0fa4dd7f38ap-6, -0x1.f7f91490b94cdp-6, -0x1.f0f394c619dbdp-6, -0x1.e9ff2381dcf04p-6, -0x1.e31bbdfac1b8dp-6, -0x1.dc49609cdf54dp-6, -0x1.d588070c6b8d9p-6, -0x1.ced7ac2888992p-6, -0x1.c8384a0e2aca5p-6, -0x1.c1a9da1affa88p-6, -0x1.bb2c54f050cedp-6, -0x1.b4bfb275f2c21p-6, -0x1.ae63e9dd44a97p-6, -0x1.a818f1a41c53dp-6, -0x1.a1debf97cdae5p-6, -0x1.9bb548d82d4e1p-6, -0x1.959c81da95164p-6, -0x1.8f945e6cfb29cp-6, -0x1.899cd1b8f7fa1p-6, -0x1.83b5ce46e9e3p-6, -0x1.7ddf46010c1d3p-6, -0x1.78192a368fcbfp-6, -0x1.72636b9ec04dfp-6, -0x1.6cbdfa5c1fd05p-6, -0x1.6728c5ff9b1a5p-6, -0x1.61a3bd8b9b92p-6, -0x1.5c2ecf773c70ap-6, -0x1.56c9e9b19eecap-6, -0x1.5174f9a4f3ccfp-6, -0x1.4c2fec3961ccep-6, -0x1.46faadd8ac1b4p-6, -0x1.41d52a7134e42p-6, -0x1.3cbf4d791a98p-6, -0x1.37b901f171589p-6, -0x1.32c2326971d79p-6, -0x1.2ddac901a3485p-6, -0x1.2902af6f08225p-6, -0x1.2439cefe41bd7p-6, -0x1.1f801096ca732p-6, -0x1.1ad55cbe12314p-6, -0x1.16399b9a8e628p-6, -0x1.11acb4f6c6524p-6, -0x1.0d2e90449aac1p-6, -0x1.08bf14a04ad65p-6, -0x1.045e28d386f69p-6, -0x1.000bb3587ba16p-6, -0x1.f78f34b9cd5f5p-7, -0x1.ef23878a34f93p-7, -0x1.e6d42a5e0d88ap-7, -0x1.dea0e7ea5d069p-7, -0x1.d6898a6323bd4p-7, -0x1.ce8ddb8154b1ap-7, -0x1.c6ada48868b6cp-7, -0x1.bee8ae4c33a7cp-7, -0x1.b73ec136885efp-7, -0x1.afafa54cdb455p-7, -0x1.a83b2235d836fp-7, -0x1.a0e0ff3f067a6p-7, -0x1.99a103626176p-7, -0x1.927af54bcccd7p-7, -0x1.8b6e9b5e90f14p-7, -0x1.847bbbbaac0d2p-7, -0x1.7da21c42012fbp-7, -0x1.76e1829d768e4p-7, -0x1.7039b441c7c9bp-7, -0x1.69aa767458331p-7, -0x1.63338e4fed22bp-7, -0x1.5cd4c0c953344p-7, -0x1.568dd2b41735ap-7, -0x1.505e88c757033p-7, -0x1.4a46a7a2888a8p-7, -0x1.4445f3d283818p-7, -0x1.3e5c31d6636fp-7, -0x1.3889262465e51p-7, -0x1.32cc952e862afp-7, -0x1.2d264366e2feep-7, -0x1.2795f5439a48bp-7, -0x1.221b6f426de84p-7, -0x1.1cb675ebe168fp-7, -0x1.1766cdd649c5fp-7, -0x1.122c3ba8bdf04p-7, -0x1.0d06841e4cfefp-7, -0x1.07f56c0981a3p-7, -0x1.02f8b8587e4efp-7, -0x1.fc205c330db83p-8, -0x1.f27724ffe77ccp-8, -0x1.e8f555d29b7eep-8, -0x1.df9a79c43c06p-8, -0x1.d6661c54880bdp-8, -0x1.cd57c97061becp-8, -0x1.c46f0d76717cep-8, -0x1.bbab753912f8ep-8, -0x1.b30c8dfea9634p-8, -0x1.aa91e58148b87p-8, -0x1.a23b09ee16286p-8, -0x1.9a0789e573b74p-8, -0x1.91f6f47f75e72p-8, -0x1.8a08d952c7b91p-8, -0x1.823cc87ef8f0bp-8, -0x1.7a9252b9b6d0fp-8, -0x1.7309095df2d5ap-8, -0x1.6ba07e7ac356cp-8, -0x1.645844dfdbbddp-8, -0x1.5d2ff0260d73p-8, -0x1.562714b20b361p-8, -0x1.4f3d47b0faeaap-8, -0x1.48721f0f8b1d2p-8, -0x1.41c5316cd3538p-8, -0x1.3b36160bed929p-8, -0x1.34c464c740cc9p-8, -0x1.2e6fb6089882ep-8, -0x1.2837a2c8ed9adp-8, -0x1.221bc4991d0dbp-8, -0x1.1c1bb5b3b545fp-8, -0x1.1637111637996p-8, -0x1.106d729e8d48dp-8, -0x1.0abe77286cbb5p-8, -0x1.0529bca5e8cd2p-8, -0x1.ff5dc45d28507p-9, -0x1.f49b1003d485cp-9, -0x1.ea0a9ef74ee9ep-9, -0x1.dfabb5f5149bp-9, -0x1.d57d9b79fcc03p-9, -0x1.cb7f9771ddc88p-9, -0x1.c1b0f2eacba63p-9, -0x1.b810f7da135b2p-9, -0x1.ae9ef0ff6b34p-9, -0x1.a55a29ed7956ap-9, -0x1.9c41ef3b785a5p-9, -0x1.93558eda8a4d6p-9, -0x1.8a945884d4e13p-9, -0x1.81fd9e36fbe57p-9, -0x1.7990b4a0ab5f2p-9, -0x1.714cf37a14366p-9, -0x1.6931b5ad0a407p-9, -0x1.613e59479fe1fp-9, -0x1.59723f3515349p-9, -0x1.51cccac35615cp-9, -0x1.4a4d6105210aap-9, -0x1.42f36826cae62p-9, -0x1.3bbe46cfdf214p-9, -0x1.34ad63af0659dp-9, -0x1.2dc025421de1ap-9, -0x1.26f5f1e858b41p-9, -0x1.204e304048542p-9, -0x1.19c847c8dd2d9p-9, -0x1.1363a1b0baa12p-9, -0x1.0d1fa9b8d8a3ep-9, -0x1.06fbcf0ae64d1p-9, -0x1.00f784e26930ep-9, -0x1.f62485d95162p-10, -0x1.ea970a94a083dp-10, -0x1.df4598565f5p-10, -0x1.d42f3613c374dp-10, -0x1.c952ef3d0c13dp-10, -0x1.beafd156806b7p-10, -0x1.b444e99f0c48fp-10, -0x1.aa11431d75791p-10, -0x1.a013e56100cfep-10, -0x1.964bd42965a4ap-10, -0x1.8cb81004f88e8p-10, -0x1.835797d2ddcaap-10, -0x1.7a296af888513p-10, -0x1.712c8c0423d46p-10, -0x1.6860036a23cd4p-10, -0x1.5fc2e20ae8f75p-10, -0x1.5754432d48557p-10, -0x1.4f134da97cdcep-10, -0x1.46ff34178932dp-10, -0x1.3f1733e4100ebp-10, -0x1.375a935b42736p-10, -0x1.2fc89edcd2cb4p-10, -0x1.2860a592410eep-10, -0x1.2121f61968c44p-10, -0x1.1a0bdb9ca0892p-10, -0x1.131d9bc46f435p-10, -0x1.0c5675c8a65fp-10, -0x1.05b5a2b79a4a8p-10, -0x1.fe74adaed1dfep-11, -0x1.f1c787b8f1dd9p-11, -0x1.e5623739085dp-11, -0x1.d94325c8a50e1p-11, -0x1.cd68c847f3322p-11, -0x1.c1d1a3704b869p-11, -0x1.b67c4f4eb9625p-11, -0x1.ab6779665cdb5p-11, -0x1.a091e54018cd1p-11, -0x1.95fa6b3eca949p-11, -0x1.8b9ff5a724e6fp-11, -0x1.81817c0b8bbadp-11, -0x1.779dfd8bca416p-11, -0x1.6df47ab02cc93p-11, -0x1.6483efd1e01c2p-11, -0x1.5b4b5106d3ae5p-11, -0x1.5249884772994p-11, -0x1.497d760b60341p-11, -0x1.40e5f406bf4b8p-11, -0x1.3881d9351e242p-11, -0x1.304ffe20eb26cp-11, -0x1.284f4074c1ed2p-11, -0x1.207e854fe40ep-11, -0x1.18dcba6065803p-11, -0x1.1168d639c1f85p-11, -0x1.0a21d880bbfc7p-11, -0x1.0306ca5c5414dp-11, -0x1.f82d7e6318541p-12, -0x1.eaa1aa8f71e26p-12, -0x1.dd686b5bc9c0cp-12, -0x1.d08025a134e2cp-12, -0x1.c3e74b1240e8fp-12, -0x1.b79c520cb18f9p-12, -0x1.ab9dacf9bb8a2p-12, -0x1.9fe9c3bc9042dp-12, -0x1.947ef17835fddp-12, -0x1.895b87d7dd183p-12, -0x1.7e7dd749ca7cap-12, -0x1.73e439d187f6p-12, -0x1.698d1cff6a1dap-12, -0x1.5f7707abbf36dp-12, -0x1.55a0998732186p-12, -0x1.4c0884d26ed48p-12, -0x1.42ad84d3b243p-12, -0x1.398e54d53a40cp-12, -0x1.30a9ab2561801p-12, -0x1.27fe39cd55783p-12, -0x1.1f8ab44e30259p-12, -0x1.174dd7a6b576cp-12, -0x1.0f4670ff95af2p-12, -0x1.07735fe117f25p-12, -0x1.ffa7252cea238p-13, -0x1.f0cbfb5779a74p-13, -0x1.e25322daed08bp-13, -0x1.d43a62652ab93p-13, -0x1.c67f5f71c62e1p-13, -0x1.b91fa45acf1a9p-13, -0x1.ac18b2ad7dd46p-13, -0x1.9f681cb34535fp-13, -0x1.930b9e9acc09cp-13, -0x1.87012f1a552d6p-13, -0x1.7b470159fc79ep-13, -0x1.6fdb766c5886ep-13, -0x1.64bd02263cbb8p-13, -0x1.59ea0cb99bc5cp-13, -0x1.4f60dc76166ddp-13, -0x1.451f9084f6c33p-13, -0x1.3b242ea2a8384p-13, -0x1.316cbe336cc58p-13, -0x1.27f7661eb7a88p-13, -0x1.1ec28236abfa2p-13, -0x1.15cca8b1e39b8p-13, -0x1.0d149e730e3p-13, -0x1.04993f4f9850dp-13, -0x1.f8b2c78784ffdp-14, -0x1.e8a79b55fb1a2p-14, -0x1.d90e4332685dep-14, -0x1.c9e3d9526982ap-14, -0x1.bb256455f7959p-14, -0x1.accff73d010d2p-14, -0x1.9ee0cdd2057b6p-14, -0x1.915560f205be3p-14, -0x1.842b6ed40d6d2p-14, -0x1.7760f2ad07f57p-14, -0x1.6af408b68c5f2p-14, -0x1.5ee2c269307d5p-14, -0x1.532af83d18529p-14, -0x1.47ca2c5461f3bp-14, -0x1.3cbd8e222a3bp-14, -0x1.320221850c948p-14, -0x1.2794fad49cc78p-14, -0x1.1d7377755cb32p-14, -0x1.139b5df286308p-14, -0x1.0a0add4a589b1p-14, -0x1.00c07037622fap-14, -0x1.ef7562d26e7ffp-15, -0x1.ddf062432cf99p-15, -0x1.cceeb744528f2p-15, -0x1.bc6cf059a8661p-15, -0x1.ac6778a4650a3p-15, -0x1.9cdacd286aa73p-15, -0x1.8dc3a7cb091aap-15, -0x1.7f1f1508ec783p-15, -0x1.70ea75505eafdp-15, -0x1.63236e7274261p-15, -0x1.55c7d2354681cp-15, -0x1.48d58162a3a7p-15, -0x1.3c4a52233b226p-15, -0x1.3023f9c49d239p-15, -0x1.245ff4850573dp-15, -0x1.18fb6c6ff26ffp-15, -0x1.0df32f6b2ff7bp-15, -0x1.0343ca0001635p-15, -0x1.f1d392938431p-16, -0x1.ddc40ba2cf9c6p-16, -0x1.ca5399e9c2fffp-16, -0x1.b77db436b9788p-16, -0x1.a53e731a10c57p-16, -0x1.93926af33ad22p-16, -0x1.82769e3f97ap-16, -0x1.71e85ccf0e547p-16, -0x1.61e4f8ce6a923p-16, -0x1.526967b72fce1p-16, -0x1.4371fa780d52p-16, -0x1.34fa564da5f14p-16, -0x1.26fdc32a64274p-16, -0x1.1977b1012a308p-16, -0x1.0c641e4e90a26p-16, -0x1.ff7f27a801975p-17, -0x1.e70d84af55dfbp-17, -0x1.cf6c47a1e8a8cp-17, -0x1.b893f34e0ee6fp-17, -0x1.a27d55a730cb3p-17, -0x1.8d226bf13e96fp-17, -0x1.787ec32617421p-17, -0x1.648f0f35ccf01p-17, -0x1.51503d3051b65p-17, -0x1.3ebe9b40e684ep-17, -0x1.2cd5985aa8e08p-17, -0x1.1b900b5398484p-17, -0x1.0ae85cdd239abp-17, -0x1.f5b04fba816afp-18, -0x1.d6afdf32b3564p-18, -0x1.b8c00f8748781p-18, -0x1.9bd53f840652fp-18, -0x1.7fea9c2c4266dp-18, -0x1.6501292e72e18p-18, -0x1.4b1b27ce455ep-18, -0x1.32373543dfd8cp-18, -0x1.1a4e8207fc63ep-18, -0x1.035708f7dbc77p-18, -0x1.da8ef6c0b2ba1p-19, -0x1.b032a87a7b9f1p-19, -0x1.878f36bc8694ep-19, -0x1.609843c20ca8p-19, -0x1.3b3bc3b37bc77p-19, -0x1.1762cbe6abbcbp-19, -0x1.e9e972d688c22p-20, -0x1.a7b4f7b7f7be4p-20, -0x1.680208d930ae5p-20, -0x1.2ab525c74f234p-20, -0x1.df7adeff125b1p-21, -0x1.6e238e2c28796p-21, -0x1.015714ad80cfdp-21, -0x1.3205f94af0a1ep-22, -0x1.a86a7e8cd5915p-24, 0x1.55282fddf9221p-24, 0x1.0c5b4abd50ef4p-22, 0x1.bb642c8f9aa35p-22, 0x1.3173949ef4e5ep-21, 0x1.81c1dc731c246p-21, 0x1.ced0c4248acdbp-21, 0x1.0c4f969441df6p-20, 0x1.2f889f02107aep-20, 0x1.51113598f61e2p-20, 0x1.70fd6de875de5p-20, 0x1.8f6b14cbaa6f7p-20, 0x1.ac6cfcf9ea047p-20, 0x1.c80426ebd30c4p-20, 0x1.e22b6ea6d7a9fp-20, 0x1.fae62ffa19428p-20, 0x1.0921fca49337p-19, 0x1.142d781f4a776p-19, 0x1.1ea0af7eac48dp-19, 0x1.2885575c499fp-19, 0x1.31e38da41d497p-19, 0x1.3ac20e219a48ap-19, 0x1.432631d1c69f4p-19, 0x1.4b13bac76b33cp-19, 0x1.528cbf6df2281p-19, 0x1.59921a523cd11p-19, 0x1.6024a38707f15p-19, 0x1.6646f87a03433p-19, 0x1.6bfea47dc8174p-19, 0x1.71531eec1cd4bp-19, 0x1.764b0ae7067cp-19, 0x1.7aeb374db54e8p-19, 0x1.7f3993c9391b4p-19, 0x1.833f58f71ba43p-19, 0x1.8703c72d499cp-19, 0x1.8a84c0eaaaa2bp-19, 0x1.8db9ed9c1f4b7p-19, 0x1.90a042d7c3f39p-19, 0x1.933ee1648c104p-19, 0x1.959fe3e781f7dp-19, 0x1.97c7704856f7ap-19, 0x1.99b3f888314b4p-19, 0x1.9b6478efbe1bcp-19, 0x1.9cdb139f9a103p-19, 0x1.9e1b1ccbc20efp-19, 0x1.9f274c2e80912p-19, 0x1.a001caddb2df9p-19, 0x1.a0ace9dad74dcp-19, 0x1.a12b6fd70c14bp-19, 0x1.a180693314a1ep-19, 0x1.a1aecf76f533ap-19, 0x1.a1b943fdde443p-19, 0x1.a1a1eb6b537b9p-19, 0x1.a16a63d8aa23ep-19, 0x1.a113cb823a789p-19, 0x1.a09ed12ef9399p-19, 0x1.a00bdd46f931ap-19, 0x1.9f5b7785e6deap-19, 0x1.9e8ed441a2262p-19, 0x1.9da7e5d1c0f13p-19, 0x1.9ca8596049842p-19, 0x1.9b905ebc049f8p-19, 0x1.9a5f54ddfe144p-19, 0x1.9916ab9a2ec2dp-19, 0x1.97ba995cdc04bp-19, 0x1.964db8d718768p-19, 0x1.94cf6be4dc5abp-19, 0x1.9340d50098343p-19, 0x1.91a61c20d6aefp-19, 0x1.90010e0c39315p-19, 0x1.8e4f6493f93b6p-19, 0x1.8c8f3acd4e627p-19, 0x1.8ac1471036bd2p-19, 0x1.88e7559adab6fp-19, 0x1.8703013fca4fdp-19, 0x1.85157d58a2d5cp-19, 0x1.831f858f5c516p-19, 0x1.812147b2e1562p-19, 0x1.7f1a9bff79765p-19, 0x1.7d0b86240c697p-19, 0x1.7af48bd03663cp-19, 0x1.78d69cd4d0da7p-19, 0x1.76b2bf7dfed0ap-19, 0x1.7489d0ed45f7cp-19, 0x1.725c74c143505p-19, 0x1.702b22228b6eap-19, 0x1.6df634946015ep-19, 0x1.6bbdf2a2bee4bp-19, 0x1.69829178b0f18p-19, 0x1.6744423f5d073p-19, 0x1.650350fc8c446p-19, 0x1.62c03aebee7e4p-19, 0x1.607b820e1910cp-19, 0x1.5e35466e926bcp-19, 0x1.5bed1e7b6cff8p-19, 0x1.59a2dbb2b3d37p-19, 0x1.57578311de03ap-19, 0x1.550c13ae0a686p-19, 0x1.52c061e08bf8ap-19, 0x1.5074a0d8f4053p-19, 0x1.4e292ba1c0ba8p-19, 0x1.4bdd7552e7b4cp-19, 0x1.499144be68de9p-19, 0x1.47452ff86a95fp-19, 0x1.44f9e133423eap-19, 0x1.42afc8cb179a7p-19, 0x1.40671d00bb5f1p-19, 0x1.3e1fdadd64255p-19, 0x1.3bd9df7d36242p-19, 0x1.399517096a7b9p-19, 0x1.37519d7596e12p-19, 0x1.350fa740620afp-19, 0x1.32cf55343f5d4p-19, 0x1.3090a8a3e7392p-19, 0x1.2e53a282642e7p-19, 0x1.2c18595b84222p-19, 0x1.29deed86e4201p-19, 0x1.27a77713c59e3p-19, 0x1.257202272bdddp-19, 0x1.233e948a7dfdp-19, 0x1.210d3329e5d4fp-19, 0x1.1edde4d9f4b36p-19, 0x1.1cb0b31092ebep-19, 0x1.1a85a8927064fp-19, 0x1.185ccd47d4da8p-19, 0x1.163622ba4728p-19, 0x1.1411a78619991p-19, 0x1.11ef610c1bd8bp-19, 0x1.0fcf6559f3954p-19, 0x1.0db1d082329dcp-19, 0x1.0b968ed7c86e3p-19, 0x1.097d7755defcep-19, 0x1.07668e7c80cc2p-19, 0x1.0551d8e3d2cdep-19, 0x1.033f72f168503p-19, 0x1.012f66602868ap-19, 0x1.fe433bfc309e6p-20, 0x1.fa2c1bff1b23cp-20, 0x1.f61969d6f5705p-20, 0x1.f20b2821b8bb1p-20, 0x1.ee015c67fbddp-20, 0x1.e9fc0e2558d87p-20, 0x1.e5fb451b2fe63p-20, 0x1.e1fefebc28655p-20, 0x1.de071b6843a0ep-20, 0x1.da1361a982e8ep-20, 0x1.d623b2f15977ap-20, 0x1.d2382d308365fp-20, 0x1.ce50e8d9411b7p-20, 0x1.ca6db9a67d462p-20, 0x1.c68e77bf45c02p-20, 0x1.c2b34d8d1ece3p-20, 0x1.bedc6b2ce315cp-20, 0x1.bb09b96fc7502p-20, 0x1.b73aff554ed45p-20, 0x1.b37014716feadp-20, 0x1.afa8e7bcf2952p-20, 0x1.abe5748d98dd8p-20, 0x1.a825bafc719efp-20, 0x1.a469bc4f754ebp-20, 0x1.a0b17628db4dp-20, 0x1.9cfcddcc5140ap-20, 0x1.994be0a0f467dp-20, 0x1.959e68a979e9ep-20, 0x1.91f4700d20ed1p-20, 0x1.8e4e251d4945ep-20, 0x1.8aab90a8b9c9cp-20, 0x1.870c3e44d8582p-20, 0x1.8370136ad7918p-20, 0x1.7fd753ae57004p-20, 0x1.7c421258e8d0ep-20, 0x1.78b01c4cf3471p-20, 0x1.75215e7f250bcp-20, 0x1.7195d6f05fe81p-20, 0x1.6e0d8192007d9p-20, 0x1.6a8857c9cc707p-20, 0x1.670652342d1f1p-20, 0x1.638769727a5acp-20, 0x1.600b96959f961p-20, 0x1.5c92d2efd7ee9p-20, 0x1.591d16b2c624dp-20, 0x1.55aa5cacbd9b6p-20, 0x1.523a9fa18c7b1p-20, 0x1.4ecddabc30a9ap-20, 0x1.4b640b7e8cb47p-20, 0x1.47fd30580f284p-20, 0x1.44994220d6d23p-20, 0x1.413833f7955ebp-20, 0x1.3dd9ff7437612p-20, 0x1.3a7ea037b4adcp-20, 0x1.372610ccf7b92p-20, 0x1.33d057c38d4b5p-20, 0x1.307d78d03472ap-20, 0x1.2d2d6b748fc38p-20, 0x1.29e027a2aabe3p-20, 0x1.2695aa6304175p-20, 0x1.234df317917cap-20, 0x1.200900ef0f479p-20, 0x1.1cc6d1a59b4bep-20, 0x1.198761ee26317p-20, 0x1.164aaf53ccdbap-20, 0x1.1310b9e0b96f5p-20, 0x1.0fd9849a4d5e7p-20, 0x1.0ca512e0880a2p-20, 0x1.0973591c66448p-20, 0x1.0644575d2f1bep-20, 0x1.031825bd75e47p-20, 0x1.ffdd4f39911b7p-21, 0x1.f98fb901f2bd6p-21, 0x1.f347aa609c1bcp-21, 0x1.ed05237dadbe7p-21, 0x1.e6c820217167p-21, 0x1.e0909fd999038p-21, 0x1.da5ea4a017b32p-21, 0x1.d432318ea9a66p-21, 0x1.ce0b4a5340511p-21, 0x1.c7e9f325ad9d3p-21, 0x1.c1ce302d201a4p-21, 0x1.bbb804b9cbdd9p-21, 0x1.b5a775fde5553p-21, 0x1.af9c8971ee09ep-21, 0x1.a99743f61319ap-21, 0x1.a397ab0d74dfp-21, 0x1.9d9dc50b7aa2dp-21, 0x1.97a998f9ea8bp-21, 0x1.91bb2e8b97f49p-21, 0x1.8bd28e5db31e5p-21, 0x1.85efc0895fb25p-21, 0x1.8012c1b92a741p-21, 0x1.7a3b731b7f397p-21, 0x1.7469c8bc37d68p-21, 0x1.6e9e11da7deap-21, 0x1.68d892727ce9dp-21, 0x1.631928d63e806p-21, 0x1.5d5f84e7a3249p-21, 0x1.57abc1b6159f6p-21, 0x1.51fe1612ce808p-21, 0x1.4c568f07bf264p-21, 0x1.46b52a2d5ba3p-21, 0x1.4119e6fbaee0dp-21, 0x1.3b84ca94069e8p-21, 0x1.35f5deb29619ep-21, 0x1.306d2ee9ac0bap-21, 0x1.2aeac9cf2d86bp-21, 0x1.256ebd155a6eap-21, 0x1.1ff8f7560f1acp-21, 0x1.1a8988f4a07e2p-21, 0x1.152077be183cdp-21, 0x1.0fbdcf8d52653p-21, 0x1.0a61a75f1747ap-21, 0x1.050c005f0e5e5p-21, 0x1.ff79bf1008c71p-22, 0x1.f4e89a6bc0c03p-22, 0x1.ea64a24096034p-22, 0x1.dfede93921c2ep-22, 0x1.d5847f8d921d1p-22, 0x1.cb2875d3f0884p-22, 0x1.c0d9dc86cc467p-22, 0x1.b698c3f839383p-22, 0x1.ac653c57f224p-22, 0x1.a23f55b1414b9p-22, 0x1.98271fe865927p-22, 0x1.8e1caab74d787p-22, 0x1.842005abd489ep-22, 0x1.7a3140239aff3p-22, 0x1.7050694735f4ap-22, 0x1.667d900f72074p-22, 0x1.5cb8c3869d011p-22, 0x1.530213961ade8p-22, 0x1.49598caf41c8fp-22, 0x1.3fbf3b420e7f6p-22, 0x1.363330b86547fp-22, 0x1.2cb5796876066p-22, 0x1.2346233523049p-22, 0x1.19e53b5e2c0adp-22, 0x1.1092cd6ea774bp-22, 0x1.074ee90592855p-22, 0x1.fc33383811ecap-23, 0x1.e9e5d448cdb3bp-23, 0x1.d7b5c6fbbd829p-23, 0x1.c5a32ef6ad456p-23, 0x1.b3ae18d2fc9e6p-23, 0x1.a1d69beccb722p-23, 0x1.901cd1c8d2f55p-23, 0x1.7e80cea861017p-23, 0x1.6d02a4b02a6dcp-23, 0x1.5ba266d158dc4p-23, 0x1.4a60212f7e467p-23, 0x1.393bd67b54a72p-23, 0x1.2835b9fe8bad8p-23, 0x1.174df898af926p-23, 0x1.068470cd7c075p-23, 0x1.ebb24e4f60556p-24, 0x1.ca9874de1bb7dp-24, 0x1.a9bb7ca661dbdp-24, 0x1.891b805ff4fc1p-24, 0x1.68b8906d79f8cp-24, 0x1.4892c8fbccc8fp-24, 0x1.28aa4365f2062p-24, 0x1.08ff1272cb535p-24, 0x1.d32290cf2afedp-25, 0x1.94c1ededc3d8fp-25, 0x1.56dc5d412e157p-25, 0x1.1971fd1126b9p-25, 0x1.b905d1d82bc9p-26, 0x1.401e73607c1b5p-26, 0x1.905c15aa0eb7cp-27, 0x1.44d2fa175fdeap-28, -0x1.266a891e4c7e9p-29, -0x1.33b01457b281cp-27, -0x1.0deb5e32f0dd1p-26, -0x1.81072f56401adp-26, -0x1.f32b854a6f2edp-26, -0x1.322c2b2ec0cbap-25, -0x1.6a46d0a561ac8p-25, -0x1.a1e5b4685ab9cp-25, -0x1.d908db9779d1ep-25, -0x1.07d8275e39415p-24, -0x1.22ee0db847aacp-24, -0x1.3dc62abd49579p-24, -0x1.58608a34f164fp-24, -0x1.72bd35a1edac9p-24, -0x1.8cdc31be6db6fp-24, -0x1.a6bd880a35615p-24, -0x1.c06169d66b346p-24, -0x1.d9c833ca60ecdp-24, -0x1.f2f19b090b892p-24, -0x1.05ee84f4f9a03p-23, -0x1.12454293adf2ep-23, -0x1.1e7d6e1b8b94ep-23, -0x1.2a974af68e9d2p-23, -0x1.3692b8873500dp-23, -0x1.426fabaef06acp-23, -0x1.4e2e33d2efad6p-23, -0x1.59ce7e97769e1p-23, -0x1.655068a89e612p-23, -0x1.70b3c8d498c5fp-23, -0x1.7bf919e444849p-23, -0x1.87205847948ffp-23, -0x1.9229837a8fb1cp-23, -0x1.9d14ab50cf9aep-23, -0x1.a7e1e2216b194p-23, -0x1.b2913a94d1827p-23, -0x1.bd22c7988bad5p-23, -0x1.c7969c8f1dce9p-23, -0x1.d1eccd4de65edp-23, -0x1.dc256e27d8d3p-23, -0x1.e64093f2e51dfp-23, -0x1.f03e5409e4376p-23, -0x1.fa1ec43b6e185p-23, -0x1.01f0fd6c7a8b9p-22, -0x1.06c4075aee46ep-22, -0x1.0b888bd6db1b1p-22, -0x1.103e9835908aap-22, -0x1.14e637e0ad5ap-22, -0x1.197f72f0ffa76p-22, -0x1.1e0a5962fa23p-22, -0x1.2286f94f3d97ep-22, -0x1.26f55ec24d0a2p-22, -0x1.2b55971ed38cdp-22, -0x1.2fa7afb9ec85bp-22, -0x1.33ebb6309298dp-22, -0x1.3821b8674e7e4p-22, -0x1.3c49c4849b64p-22, -0x1.4063e8ea6df31p-22, -0x1.4470342c5d68bp-22, -0x1.486eb505c289dp-22, -0x1.4c5f7a56be3f2p-22, -0x1.5042931b7a264p-22, -0x1.54180e57d70c1p-22, -0x1.57dffafe6eac1p-22, -0x1.5b9a69734dfbp-22, -0x1.5f476b07ffa15p-22, -0x1.62e70e585bef3p-22, -0x1.667963319f469p-22, -0x1.69fe7934e78e3p-22, -0x1.6d765f62b9089p-22, -0x1.70e1289284511p-22, -0x1.743ef31731936p-22, -0x1.778fd2ae7c4a1p-22, -0x1.7ad3a0336ed13p-22, -0x1.7e0a845c8170dp-22, -0x1.8134b75db46b3p-22, -0x1.84523e979c815p-22, -0x1.8763229a0c4e1p-22, -0x1.8a67656db9105p-22, -0x1.8d5f2b965aa59p-22, -0x1.904a838683febp-22, -0x1.93297d2c12a33p-22, -0x1.95fc2abaa7465p-22, -0x1.98c29e9015f18p-22, -0x1.9b7ceb0c4bf0ep-22, -0x1.9e2b229fa7a6cp-22, -0x1.a0cd57cc13b39p-22, -0x1.a3639d25c3946p-22, -0x1.a5ee055acf267p-22, -0x1.a86ca32e839dbp-22, -0x1.aadf89872f9bap-22, -0x1.ad46cb5980099p-22, -0x1.afa27b4ff61fp-22, -0x1.b1f2ac63740f8p-22, -0x1.b43771ffcfafep-22, -0x1.b670df58c9bbp-22, -0x1.b89f079612efcp-22, -0x1.bac1fe017c6d8p-22, -0x1.bcd9d5fdd3bc9p-22, -0x1.bee6a2c1cfc1p-22, -0x1.c0e877bc7b30fp-22, -0x1.c2df68a8041a1p-22, -0x1.c4cb88f984918p-22, -0x1.c6acec2c704aep-22, -0x1.c883a5de7c8edp-22, -0x1.ca4fc9b3072dfp-22, -0x1.cc116b54ae2cbp-22, -0x1.cdc89e748301bp-22, -0x1.cf7576cc8c879p-22, -0x1.d118081abd8fdp-22, -0x1.d2b066233644cp-22, -0x1.d43ea4ae375a6p-22, -0x1.d5c2d78645aaep-22, -0x1.d73d127c752e2p-22, -0x1.d8ad69647779ap-22, -0x1.da13f021146cap-22, -0x1.db70ba71d25e4p-22, -0x1.dcc3dc07c4273p-22, -0x1.de0d68e66c9f9p-22, -0x1.df4d74e14519bp-22, -0x1.e08413c19cfe3p-22, -0x1.e1b15951a44c9p-22, -0x1.e2d559618f51dp-22, -0x1.e3f027c89c9a3p-22, -0x1.e501d84fda88p-22, -0x1.e60a7e9b4ec93p-22, -0x1.e70a2e40b5fabp-22, -0x1.e800fb476f3d5p-22, -0x1.e8eef9f0bf315p-22, -0x1.e9d440670be2ap-22, -0x1.eab0d8420cf8fp-22, -0x1.eb84deab55d33p-22, -0x1.ec5065c10fdbdp-22, -0x1.ed13802452af4p-22, -0x1.edce41d8ef8b8p-22, -0x1.ee80bc74eeba6p-22, -0x1.ef2b0325bb08ap-22, -0x1.efcd2bc161362p-22, -0x1.f0674a2c5b8dep-22, -0x1.f0f96fe4d5b5cp-22, -0x1.f183b0383f4a4p-22, -0x1.f2061ebc16a63p-22, -0x1.f280cead67afdp-22, -0x1.f2f3d32dc9a18p-22, -0x1.f35f3f50dae2dp-22, -0x1.f3c326217a6c3p-22, -0x1.f41f9a98c664cp-22, -0x1.f474afa280771p-22, -0x1.f4c2781565634p-22, -0x1.f50906aeeef1dp-22, -0x1.f5486e03e3469p-22, -0x1.f580c0a705db5p-22, -0x1.f5b2165dd87b8p-22, -0x1.f5dc742e2929p-22, -0x1.f60004ef6448ep-22, -0x1.f61cb7726d0d9p-22, -0x1.f632bbcf7724cp-22, -0x1.f6421af82a4e5p-22, -0x1.f64ae66074e8p-22, -0x1.f64d306584f5cp-22, -0x1.f6490b31abd96p-22, -0x1.f63e88cfb1469p-22, -0x1.f62dbb2d60475p-22, -0x1.f616b4270a19ap-22, -0x1.f5f98580526fp-22, -0x1.f5d640eb6cdc4p-22, -0x1.f5acf803d68c4p-22, -0x1.f57dbc51663cap-22, -0x1.f5489f4ae2048p-22, -0x1.f50db26897833p-22, -0x1.f4cd06ed5a17dp-22, -0x1.f486ad97c0208p-22, -0x1.f43ab820727c3p-22, -0x1.f3e937c3f5fcdp-22, -0x1.f3923d297da66p-22, -0x1.f335d89800669p-22, -0x1.f2d41b3e5405ep-22, -0x1.f26d161fcbb1ep-22, -0x1.f200d9b85ed8dp-22, -0x1.f18f767828937p-22, -0x1.f118fccbadcaap-22, -0x1.f09d7d0ac1f5cp-22, -0x1.f01d0776cbeb9p-22, -0x1.ef97ac3a3dd72p-22, -0x1.ef0d7b668441ap-22, -0x1.ee7e84f5684p-22, -0x1.edead8ca4133fp-22, -0x1.ed5286b0374fp-22, -0x1.ecb59e5a13264p-22, -0x1.ec142f6394ce5p-22, -0x1.eb6e49529f9dep-22, -0x1.eac3fbb594685p-22, -0x1.ea15558bcc99ep-22, -0x1.e962661ab58a2p-22, -0x1.e8ab3cfa0cbe1p-22, -0x1.e7efe8ad51d46p-22, -0x1.e7307823f7f31p-22, -0x1.e66cfa86dfd82p-22, -0x1.e5a57e8a55bafp-22, -0x1.e4da12c395e4dp-22, -0x1.e40ac5bb133fp-22, -0x1.e337a5e69687cp-22, -0x1.e260c1a8f5752p-22, -0x1.e186275977cdap-22, -0x1.e0a7e52ba39b8p-22, -0x1.dfc608c2185a3p-22, -0x1.dee09fba32e87p-22, -0x1.ddf7b870d80dp-22, -0x1.dd0b62a24c6a9p-22, -0x1.dc1baa48d3d8p-22, -0x1.db289bc7337c4p-22, -0x1.da3245adbe7b4p-22, -0x1.d938b575b8ce5p-22, -0x1.d83bf85dc6293p-22, -0x1.d73c1b8dfdcd4p-22, -0x1.d6392c1a616a3p-22, -0x1.d53336fd27369p-22, -0x1.d42a4918a58afp-22, -0x1.d31e6f363a7dbp-22, -0x1.d20fb604b5232p-22, -0x1.d0fe2a1b4e04cp-22, -0x1.cfe9d7f41ee1cp-22, -0x1.ced2cbf418967p-22, -0x1.cdb91262f2eb6p-22, -0x1.cc9cb77336516p-22, -0x1.cb7dc73b791d7p-22, -0x1.ca5c4db70fb38p-22, -0x1.c93856ce771a9p-22, -0x1.c811ee7fd40efp-22, -0x1.c6e92075fe672p-22, -0x1.c5bdf74466439p-22, -0x1.c4907feb46288p-22, -0x1.c360c557e2d88p-22, -0x1.c22ed2961744cp-22, -0x1.c0fab2cd3c434p-22, -0x1.bfc47118626aap-22, -0x1.be8c1b2e624a8p-22, -0x1.bd51b9e198adp-22, -0x1.bc15514e68942p-22, -0x1.bad6f6c712bb6p-22, -0x1.b996b10411e5ep-22, -0x1.b8548a16503bap-22, -0x1.b7108cfeb3d9dp-22, -0x1.b5cac3168711dp-22, -0x1.b48337398ba14p-22, -0x1.b339f3e8d5e38p-22, -0x1.b1ef02fe97157p-22, -0x1.b0a26e748bf99p-22, -0x1.af5440305810ap-22, -0x1.ae0481ffeb42cp-22, -0x1.acb33d99dda5ap-22, -0x1.ab607c9b5e865p-22, -0x1.aa0c488d73cbcp-22, -0x1.a8b6aade7cd5cp-22, -0x1.a75face8458c4p-22, -0x1.a60757ec0f574p-22, -0x1.a4adb513e5768p-22, -0x1.a352cd731a718p-22, -0x1.a1f6aa0347c8fp-22, -0x1.a09953b2d6361p-22, -0x1.9f3ad3481210cp-22, -0x1.9ddb317c14b57p-22, -0x1.9c7a76f3989b9p-22, -0x1.9b18ac40e47a9p-22, -0x1.99b5d9e0061p-22, -0x1.985208421645bp-22, -0x1.96ed401eb3d98p-22, -0x1.9587877cf7351p-22, -0x1.9420e9028a936p-22, -0x1.92b96bdbd3889p-22, -0x1.915118d596f12p-22, -0x1.8fe7f5c680144p-22, -0x1.8e7e0a1c26ad3p-22, -0x1.8d1360e592b75p-22, -0x1.8ba8003fe7024p-22, -0x1.8a3beeb0e77fap-22, -0x1.88cf3469c94aep-22, -0x1.8761d93b206a4p-22, -0x1.85f3e203456f9p-22, -0x1.848559516bd02p-22, -0x1.831643f20a8ebp-22, -0x1.81a6a9d9922d1p-22, -0x1.803693afdccd3p-22, -0x1.7ec605df658fep-22, -0x1.7d55051313e59p-22, -0x1.7be39e0832383p-22, -0x1.7a71d255b0ac2p-22, -0x1.78ffc02f6d07ep-22, -0x1.778d12d9f725p-22, -0x1.761a6b2d75ec2p-22, -0x1.74a74e85641adp-22, -0x1.7333f7e2fe629p-22, -0x1.71c0648780e56p-22, -0x1.704c9ab11d5a8p-22, -0x1.6ed8a08b281d8p-22, -0x1.6d647c19b7e75p-22, -0x1.6bf0334bc59f4p-22, -0x1.6a7bcbf7217e9p-22, -0x1.69074be2af6c5p-22, -0x1.6792b8baebf64p-22, -0x1.661e18228073cp-22, -0x1.64a96fa291c8p-22, -0x1.6334c4af192eep-22, -0x1.61c01cc4fde7ap-22, -0x1.604b7d2f456f3p-22, -0x1.5ed6eb2bfd4ecp-22, -0x1.5d626bfc67f0ap-22, -0x1.5bee04c47c392p-22, -0x1.5a79ba8f770cap-22, -0x1.5905926696cbbp-22, -0x1.57919128c374dp-22, -0x1.561dbbd03c2e2p-22, -0x1.54aa172c0f998p-22, -0x1.5336a930c72b1p-22, -0x1.51c371dcbfafp-22, -0x1.50507dc1b1bc6p-22, -0x1.4eddc7d753d3bp-22, -0x1.4d6b5ce033e7cp-22, -0x1.4bf93dbe970d9p-22, -0x1.4a876efe35e19p-22, -0x1.4915f5165f7fdp-22, -0x1.47a4d44abf9e6p-22, -0x1.463410c5f6c9p-22, -0x1.44c3aea771136p-22, -0x1.4353b20266266p-22, -0x1.41e41edb3d045p-22, -0x1.4074f92669f5cp-22, -0x1.3f0644c917c94p-22, -0x1.3d980598fb8d8p-22, -0x1.3c2a3f5d7d19bp-22, -0x1.3abcf5d6085ebp-22, -0x1.39502cc005b73p-22, -0x1.37e3e7bc541edp-22, -0x1.36782ae985875p-22, -0x1.350cf62f4d3c9p-22, -0x1.33a252622323dp-22, -0x1.323840639a4f7p-22, -0x1.30cec33330dcfp-22, -0x1.2f65de7a2b49ap-22, -0x1.2dfd957fdea49p-22, -0x1.2c95eb71f71ap-22, -0x1.2b2ee360aff54p-22, -0x1.29c8804089bd2p-22, -0x1.2862c543665ep-22, -0x1.26fdb7d200ecbp-22, -0x1.2599550ee000bp-22, -0x1.2435a42e3de16p-22, -0x1.22d2a7bbbbb13p-22, -0x1.2170617aa2a12p-22, -0x1.200ed36bd33ccp-22, -0x1.1eae03d56488bp-22, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{0x1.ff827397c40aap-2, 0x1.ff2ad6af1d0f8p-2, 0x1.fe9f9c06979dap-2, 0x1.fde96e85f61c6p-2, 0x1.fd122deb50c4dp-2, 0x1.fc23bf1ae99b3p-2, 0x1.fb2733b27227fp-2, 0x1.fa2445d61eadfp-2, 0x1.f921172f62cf7p-2, 0x1.f822202e4b766p-2, 0x1.f72a3fb7b0be1p-2, 0x1.f63adf8a3ca68p-2, 0x1.f554251d5c5d3p-2, 0x1.f475292cd1ae4p-2, 0x1.f39c31b5cf0c7p-2, 0x1.f2c6eb2f602a8p-2, 0x1.f1f29e83c2289p-2, 0x1.f11c61edc4a43p-2, 0x1.f041436f65f6ep-2, 0x1.ef5e6c2172a7ap-2, 0x1.ee713c1aadc85p-2, 0x1.ed775f1a044d3p-2, 0x1.ec6eda756cd4p-2, 0x1.eb56150c561c4p-2, 0x1.ea2bda2141e7bp-2, 0x1.e8ef580cfadbdp-2, 0x1.e7a01bbae45bfp-2, 0x1.e63e09cd8b765p-2, 0x1.e4c9563186e4dp-2, 0x1.e3427ac6b7569p-2, 0x1.e1aa2da88cc03p-2, 0x1.e001577f56ce9p-2, 0x1.de490a28c3ac7p-2, 0x1.dc8277ed6c812p-2, 0x1.daaeeb651bd38p-2, 0x1.d8cfc01b6ff8fp-2, 0x1.d6e65bfa572ep-2, 0x1.d4f429771b1f5p-2, 0x1.d2fa9278e46f6p-2, 0x1.d0fafbec0ff2ap-2, 0x1.cef6c1f401376p-2, 0x1.ccef34acac792p-2, 0x1.cae5956d8f051p-2, 0x1.c8db1480d72b2p-2, 0x1.c6d0cf42c088dp-2, 0x1.c4c7ce9ea5e9cp-2, 0x1.c2c105e088d56p-2, 0x1.c0bd51d31e02dp-2, 0x1.bebd782365176p-2, 0x1.bcc22703babcdp-2, 0x1.bacbf508df169p-2, 0x1.b8db613c0105fp-2, 0x1.b6f0d35d17dccp-2, 0x1.b50c9c5117123p-2, 0x1.b32ef6b7a3b85p-2, 0x1.b15807a405e5p-2, 0x1.af87df751a614p-2, 0x1.adbe7ac80ffaep-2, 0x1.abfbc381cc19bp-2, 0x1.aa3f91eadefbp-2, 0x1.a889adda0ebeep-2, 0x1.a6d9cfe99ecd2p-2, 0x1.a52fa2b3a5f14p-2, 0x1.a38ac411ff9ccp-2, 0x1.a1eac65e98a4ep-2, 0x1.a04f31b124554p-2, 0x1.9eb785178c30dp-2, 0x1.9d2337c6b4691p-2, 0x1.9b91ba4188cc6p-2, 0x1.9a0277748a17p-2, 0x1.9874d5c466b3ap-2, 0x1.96e8380e7990ep-2, 0x1.955bfe9a45f39p-2, 0x1.93cf87fb5abd1p-2, 0x1.924231e33c64p-2, 0x1.90b359e32f5b8p-2, 0x1.8f225e1df6b4ap-2, 0x1.8d8e9de9bca08p-2, 0x1.8bf77a6294fafp-2, 0x1.8a5c56ee0ed9ap-2, 0x1.88bc99b0873f2p-2, 0x1.8717abf4e4121p-2, 0x1.856cfa878b545p-2, 0x1.83bbf6055f98bp-2, 0x1.8204131fa2e45p-2, 0x1.8044cad5970c9p-2, 0x1.7e7d9aa4be823p-2, 0x1.7cae04b092d7cp-2, 0x1.7ad58fe288132p-2, 0x1.78f3c803271adp-2, 0x1.77083dcd0283bp-2, 0x1.751286fa3af31p-2, 0x1.73123e4d43718p-2, 0x1.710703957f2c1p-2, 0x1.6ef07bb04b189p-2, 0x1.6cce5086faf2fp-2, 0x1.6aa0310a3d3e1p-2, 0x1.6865d12b52096p-2, 0x1.661ee9d370d6dp-2, 0x1.63cb38d9b5268p-2, 0x1.616a80f7cc976p-2, 0x1.5efc89bdb1d15p-2, 0x1.5c811f8497686p-2, 0x1.59f813613a238p-2, 0x1.57613b15aee14p-2, 0x1.54bc7102d10c9p-2, 0x1.520994195d116p-2, 0x1.4f4887cac8d7bp-2, 0x1.4c7933f9e2321p-2, 0x1.499b84eb38138p-2, 0x1.46af6b354e1e1p-2, 0x1.43b4dbb09afa2p-2, 0x1.40abcf674d808p-2, 0x1.3d944384d1aebp-2, 0x1.3a6e39450f3cdp-2, 0x1.3739b5e35acb6p-2, 0x1.33f6c289114e8p-2, 0x1.30a56c3bd55a8p-2, 0x1.2d45c3cb66d7fp-2, 0x1.29d7ddbf10ba7p-2, 0x1.265bd2429dc41p-2, 0x1.22d1bd12daf04p-2, 0x1.1f39bd6996ce6p-2, 0x1.1b93f5e92546cp-2, 0x1.17e08c8759b6dp-2, 0x1.141faa7804262p-2, 0x1.10517c16e1bdfp-2, 0x1.0c7630d111abbp-2, 0x1.088dfb0e044f6p-2, 0x1.04991017ef459p-2, 0x1.0097a803cab17p-2, 0x1.f913fb31b4d6ep-3, 0x1.f0e09c6f95fdp-3, 0x1.e895b382dca8fp-3, 0x1.e033c4fa31e42p-3, 0x1.d7bb59fd5e4f7p-3, 0x1.cf2d0018d4435p-3, 0x1.c6894908ba64bp-3, 0x1.bdd0ca839578p-3, 0x1.b5041e049c00dp-3, 0x1.ac23e095d195ep-3, 0x1.a330b29a044cdp-3, 0x1.9a2b3796b96fbp-3, 0x1.911415fe27643p-3, 0x1.87ebf6f95727dp-3, 0x1.7eb3863278d09p-3, 0x1.756b719f8c7fp-3, 0x1.6c14694d75beep-3, 0x1.62af1f2b8303ap-3, 0x1.593c46d78b8eep-3, 0x1.4fbc956aaf2f8p-3, 0x1.4630c146d31efp-3, 0x1.3c9981e4de9f9p-3, 0x1.32f78fa3def13p-3, 0x1.294ba3990d551p-3, 0x1.1f967760d346dp-3, 0x1.15d8c4f0da1c1p-3, 0x1.0c13466b2529bp-3, 0x1.0246b5f25ee4bp-3, 0x1.f0e79afe827e7p-4, 0x1.dd368d6e771f4p-4, 0x1.c97bb588adc48p-4, 0x1.b5b8845cba399p-4, 0x1.a1ee696aa20a8p-4, 0x1.8e1ed25a5d498p-4, 0x1.7a4b2ab612cbcp-4, 0x1.6674dba70142cp-4, 0x1.529d4bb51a4dbp-4, 0x1.3ec5de895c85ep-4, 0x1.2aeff4b2e334cp-4, 0x1.171ceb6eb315dp-4, 0x1.034e1c723c94bp-4, 0x1.df09bb711d8e9p-5, 0x1.b78502a47f12cp-5, 0x1.9010aa6fec833p-5, 0x1.68af463f2f73dp-5, 0x1.416360a815e8ap-5, 0x1.1a2f7b1f0d988p-5, 0x1.e62c1b618e928p-6, 0x1.98330d819e8bfp-6, 0x1.4a789599cdb7fp-6, 0x1.fa02d0d48f2f2p-7, 0x1.5fa44c228aa77p-7, 0x1.8bbd66b5a889p-8, 0x1.65d7908e95b46p-10, -0x1.aef8dd9705478p-9, -0x1.038434832716dp-7, -0x1.9a8e9cffeb204p-7, -0x1.186a9aa06412ep-6, -0x1.6327f757e457ep-6, -0x1.ad7b7403dfa04p-6, -0x1.f76136c91b0c6p-6, -0x1.206abe55f56fbp-5, -0x1.44ea4cd107e18p-5, -0x1.692d7c4f3da1fp-5, -0x1.8d328dcb9dc7fp-5, -0x1.b0f7cdc2e3bacp-5, -0x1.d47b9430fed6dp-5, -0x1.f7bc448c0dd94p-5, -0x1.0d5c26de75c39p-4, -0x1.1eb7150ab976p-4, -0x1.2fee2fa24fe2fp-4, -0x1.4100bf2454dd9p-4, -0x1.51ee11af93b01p-4, -0x1.62b57af9b6078p-4, -0x1.7356544599c9cp-4, -0x1.83cffc58d89p-4, -0x1.9421d77095012p-4, -0x1.a44b4f3598c74p-4, -0x1.b44bd2afc8eebp-4, -0x1.c422d6390f1d4p-4, -0x1.d3cfd36fac32cp-4, -0x1.e35249280f978p-4, -0x1.f2a9bb5e35dbcp-4, -0x1.00ead993542c1p-3, -0x1.086adf4f86fc8p-3, -0x1.0fd4b86f39f48p-3, -0x1.172830f29e422p-3, -0x1.1e6517466aff1p-3, -0x1.258b3c3b98da1p-3, -0x1.2c9a72ff027b2p-3, -0x1.33929110efcb8p-3, -0x1.3a736e3c8fa65p-3, -0x1.413ce48f65386p-3, -0x1.47eed050a58afp-3, -0x1.4e890ff890a8ap-3, -0x1.550b8427c3b88p-3, -0x1.5b760f9e8b19ep-3, -0x1.61c897342d75bp-3, -0x1.680301ce3f9ccp-3, -0x1.6e253857ff6eap-3, -0x1.742f25b9a979ap-3, -0x1.7a20b6cfe65b3p-3, -0x1.7ff9da6339007p-3, -0x1.85ba811f7a198p-3, -0x1.8b629d8b63615p-3, -0x1.90f2240029d9dp-3, -0x1.96690aa12539ap-3, -0x1.9bc749538ab43p-3, -0x1.a10cd9b63cdd8p-3, -0x1.a639b719a7deep-3, -0x1.ab4dde77b8f05p-3, -0x1.b0494e6be92b5p-3, -0x1.b52c072b5833ap-3, -0x1.b9f60a7d05a8bp-3, -0x1.bea75bb218aa7p-3, -0x1.c33fff9e43837p-3, -0x1.c7bffc903aad5p-3, -0x1.cc275a4a49bd2p-3, -0x1.d07621faf5819p-3, -0x1.d4ac5e35bf8dcp-3, -0x1.d8ca1aebfd1e4p-3, -0x1.dccf6565c3fb9p-3, -0x1.e0bc4c3af1bfdp-3, -0x1.e490df4c4839p-3, -0x1.e84d2fbca26c1p-3, -0x1.ebf14fea4157fp-3, -0x1.ef7d53682eb64p-3, -0x1.f2f14ef7b2346p-3, -0x1.f64d5881e6576p-3, -0x1.f99187115b72dp-3, -0x1.fcbdf2cbd5028p-3, -0x1.ffd2b4ec1517bp-3, -0x1.0167f3dde3b84p-2, -0x1.02dad346bb8ebp-2, -0x1.044206db4df34p-2, -0x1.059d9d44e09ap-2, -0x1.06eda5a8591dfp-2, -0x1.08322fa365917p-2, -0x1.096b4b49a57eep-2, -0x1.0a990921e2bebp-2, -0x1.0bbb7a234f23dp-2, -0x1.0cd2afb2cbd53p-2, -0x1.0ddebba039023p-2, -0x1.0edfb023cd11cp-2, -0x1.0fd59fdb75ee4p-2, -0x1.10c09dc83cf56p-2, -0x1.11a0bd4bb8fb2p-2, -0x1.1276122584415p-2, -0x1.1340b070b6d5cp-2, -0x1.1400aca16d40cp-2, -0x1.14b61b825328ap-2, -0x1.1561123233ad2p-2, -0x1.1601a6218feb4p-2, -0x1.1697ed103f9e4p-2, -0x1.1723fd0b11c11p-2, -0x1.17a5ec69774cep-2, -0x1.181dd1cb32ceap-2, -0x1.188bc4160cd2bp-2, -0x1.18efda738d271p-2, -0x1.194a2c4ebce99p-2, -0x1.199ad151e7b49p-2, -0x1.19e1e164683b7p-2, -0x1.1a1f74a875572p-2, -0x1.1a53a378f4cabp-2, -0x1.1a7e866755116p-2, -0x1.1aa03639687e2p-2, -0x1.1ab8cbe746838p-2, -0x1.1ac8609932b3bp-2, -0x1.1acf0da58581ep-2, -0x1.1accec8e9c0e3p-2, -0x1.1ac21700ca946p-2, -0x1.1aaea6d052d04p-2, -0x1.1a92b5f760fa9p-2, -0x1.1a6e5e9409a79p-2, -0x1.1a41bae64eaebp-2, -0x1.1a0ce54e26b5bp-2, -0x1.19cff8498840cp-2, -0x1.198b0e727b5b5p-2, -0x1.193e427d2c224p-2, -0x1.18e9af360457p-2, -0x1.188d6f7fc796fp-2, -0x1.18299e51b3878p-2, -0x1.17be56b5a5498p-2, -0x1.174bb3c64201p-2, -0x1.16d1d0ad25142p-2, -0x1.1650c8a10fbc4p-2, -0x1.15c8b6e42011p-2, -0x1.1539b6c20b272p-2, -0x1.14a3e38e58f28p-2, -0x1.140758a2a9638p-2, -0x1.1364315cfb476p-2, -0x1.12ba891df5cc5p-2, -0x1.120a7b473ad0ap-2, -0x1.11542339b9329p-2, -0x1.10979c54093d6p-2, -0x1.0fd501f0c7542p-2, -0x1.0f0c6f64f8bap-2, -0x1.0e3dfffe713c1p-2, -0x1.0d69cf024135ap-2, -0x1.0c8ff7ab2638ep-2, -0x1.0bb09527fecb2p-2, -0x1.0acbc29a4990ap-2, -0x1.09e19b14a082fp-2, -0x1.08f2399942ab1p-2, -0x1.07fdb9189c893p-2, -0x1.0704346fd786dp-2, -0x1.0605c6676f901p-2, -0x1.050289b1ced63p-2, -0x1.03fa98e9ebc47p-2, -0x1.02ee0e91edfeap-2, -0x1.01dd0511dc9bep-2, -0x1.00c796b64a2eep-2, -0x1.ff5bbb5e1ea1ap-3, -0x1.fd1fe81c05f4ap-3, -0x1.fadbe78b7ad39p-3, -0x1.f88fed50c0a23p-3, -0x1.f63c2cccc42f3p-3, -0x1.f3e0d91ac6729p-3, -0x1.f17e250e0c93ep-3, -0x1.ef14432f9ee3ep-3, -0x1.eca365bc0fc15p-3, -0x1.ea2bbea15a3d1p-3, -0x1.e7ad7f7cba96ap-3, -0x1.e528d998a4a02p-3, -0x1.e29dfdeabb03bp-3, -0x1.e00d1d11d821p-3, -0x1.dd7667542177dp-3, -0x1.dada0c9d2a07dp-3, -0x1.d8383c7c19158p-3, -0x1.d5912621ea717p-3, -0x1.d2e4f85fb244dp-3, -0x1.d033e1a4ec4c8p-3, -0x1.cd7e0ffdde6e9p-3, -0x1.cac3b11205ddep-3, -0x1.c804f2228a65fp-3, -0x1.c5420008c8957p-3, -0x1.c27b0734df6d5p-3, -0x1.bfb033ac524b3p-3, -0x1.bce1b108b1dd6p-3, -0x1.ba0faa7653295p-3, -0x1.b73a4ab314a51p-3, -0x1.b461bc0d2ec0bp-3, -0x1.b18628620fddfp-3, -0x1.aea7b91d473cep-3, -0x1.abc6973778b3ep-3, -0x1.a8e2eb35611e5p-3, -0x1.a5fcdd26e3969p-3, -0x1.a31494a625a4bp-3, -0x1.a02a38d6b3575p-3, -0x1.9d3df064b797ep-3, -0x1.9a4fe184347e8p-3, -0x1.976031f054478p-3, -0x1.946f06eabc0acp-3, -0x1.917c853af470dp-3, -0x1.8e88d12dce02p-3, -0x1.8b940e94e43edp-3, -0x1.889e60c620b87p-3, -0x1.85a7ea9b47d64p-3, -0x1.82b0ce7198f5p-3, -0x1.7fb92e2973cd6p-3, -0x1.7cc12b260bed6p-3, -0x1.79c8e64d2178bp-3, -0x1.76d08006d0c7ep-3, -0x1.73d8183d5bdefp-3, -0x1.70dfce5d0f294p-3, -0x1.6de7c15421ce7p-3, -0x1.6af00f92ace73p-3, -0x1.67f8d70aa635bp-3, -0x1.6502352fe1e85p-3, -0x1.620c46f825124p-3, -0x1.5f1728db400eep-3, -0x1.5c22f6d32e2c6p-3, -0x1.592fcc5c40c57p-3, -0x1.563dc475578cdp-3, -0x1.534cf9a01d3eap-3, -0x1.505d85e14dff2p-3, -0x1.4d6f82c106847p-3, -0x1.4a83094b1c0ccp-3, -0x1.4798320f7fc3dp-3, -0x1.44af1522a3ea6p-3, -0x1.41c7ca1def10ep-3, -0x1.3ee2682031147p-3, -0x1.3bff05ce2a947p-3, -0x1.391db9530b9c9p-3, -0x1.363e98610aefcp-3, -0x1.3361b831f80cp-3, -0x1.30872d87d89d9p-3, -0x1.2daf0cad8ebe3p-3, -0x1.2ad96977847acp-3, -0x1.28065744575ap-3, -0x1.2535e8fd99df8p-3, -0x1.2268311884595p-3, -0x1.1f9d4196c7fadp-3, -0x1.1cd52c074a386p-3, -0x1.1a100186fe0a8p-3, -0x1.174dd2c1b2a36p-3, -0x1.148eaff2ee748p-3, -0x1.11d2a8e6d3e19p-3, -0x1.0f19ccfafb652p-3, -0x1.0c642b1f62d18p-3, -0x1.09b1d1d75acf5p-3, -0x1.0702cf3a745c4p-3, -0x1.045730f57c5c6p-3, -0x1.01af044b6f411p-3, -0x1.fe14ac2cf90a3p-4, -0x1.f8d265920b858p-4, -0x1.f3974cdd49a74p-4, -0x1.ee63795a65a2ap-4, -0x1.e937018bae01cp-4, -0x1.e411fb2c27f7cp-4, -0x1.def47b31b0bcap-4, -0x1.d9de95cf2cfb3p-4, -0x1.d4d05e76b8403p-4, -0x1.cfc9e7dbd2a5fp-4, -0x1.cacb43f59ad11p-4, -0x1.c5d4840110b8fp-4, -0x1.c0e5b8835166ep-4, -0x1.bbfef14bdd42ep-4, -0x1.b7203d76e0237p-4, -0x1.b249ab6f7ce1cp-4, -0x1.ad7b48f21ff75p-4, -0x1.a8b5230ec78d4p-4, -0x1.a3f7462b60a8ap-4, -0x1.9f41be0618053p-4, -0x1.9a9495b7b57f4p-4, -0x1.95efd7b5eceedp-4, -0x1.91538dd5c1d5dp-4, -0x1.8cbfc14de0dap-4, -0x1.88347ab8f93f4p-4, -0x1.83b1c2181cb6ep-4, -0x1.7f379ed51e20bp-4, -0x1.7ac617c4ec133p-4, -0x1.765d3329eff74p-4, -0x1.71fcf6b66eb8p-4, -0x1.6da5678ede5ebp-4, -0x1.69568a4c4d9f5p-4, -0x1.651062feb2107p-4, -0x1.60d2f52f4df5fp-4, -0x1.5c9e43e30149p-4, -0x1.5872519ca7118p-4, -0x1.544f205f66f4ep-4, -0x1.5034b1b10b861p-4, -0x1.4c23069c53d4ap-4, -0x1.481a1fb3430cdp-4, -0x1.4419fd116b2afp-4, -0x1.40229e5e3e304p-4, -0x1.3c3402cf4efc6p-4, -0x1.384e292a9ba63p-4, -0x1.34710fc8cc656p-4, -0x1.309cb49773e46p-4, -0x1.2cd1151b4aff6p-4, -0x1.290e2e7268778p-4, -0x1.2553fd567797cp-4, -0x1.21a27e1ee2b67p-4, -0x1.1df9acc30a615p-4, -0x1.1a5984dc657dbp-4, -0x1.16c201a8ac516p-4, -0x1.13331e0bf43cap-4, -0x1.0facd492d19d7p-4, -0x1.0c2f1f746c52ep-4, -0x1.08b9f894927f2p-4, -0x1.054d5985cea0bp-4, -0x1.01e93b8b6aabbp-4, -0x1.fd1b2f36ee03dp-5, -0x1.f674ccc19ef82p-5, -0x1.efdf407a240a5p-5, -0x1.e95a7a953284dp-5, -0x1.e2e66abcdcde1p-5, -0x1.dc83001466411p-5, -0x1.d630293c1832p-5, -0x1.cfedd45500faap-5, -0x1.c9bbef04b64fp-5, -0x1.c39a6678fbcccp-5, -0x1.bd89276b6a2ebp-5, -0x1.b7881e250bf1ap-5, -0x1.b1973681e69fdp-5, -0x1.abb65bf483c22p-5, -0x1.a5e5798966771p-5, -0x1.a02479ea72f77p-5, -0x1.9a7347625cc9cp-5, -0x1.94d1cbdff1c6dp-5, -0x1.8f3ff0f96a654p-5, -0x1.89bd9fefa6512p-5, -0x1.844ac1b1657edp-5, -0x1.7ee73ede6bc73p-5, -0x1.7992ffca9ee33p-5, -0x1.744dec811fd4p-5, -0x1.6f17ecc73df19p-5, -0x1.69f0e81f86d31p-5, -0x1.64d8c5ccab4a7p-5, -0x1.5fcf6cd45c484p-5, -0x1.5ad4c402324e4p-5, -0x1.55e8b1ea68e5ep-5, -0x1.510b1cecac098p-5, -0x1.4c3beb36c52e7p-5, -0x1.477b02c7468cdp-5, -0x1.42c849702e4f8p-5, -0x1.3e23a4d97610bp-5, -0x1.398cfa839009cp-5, -0x1.35042fc9f4734p-5, -0x1.308929e5877c9p-5, -0x1.2c1bcdeeff9d6p-5, -0x1.27bc00e140a56p-5, -0x1.2369a79ba9c6ap-5, -0x1.1f24a6e459c69p-5, -0x1.1aece36a6954bp-5, -0x1.16c241c811acfp-5, -0x1.12a4a684dbac9p-5, -0x1.0e93f617a9f47p-5, -0x1.0a9014e8cea8bp-5, -0x1.0698e7540a51p-5, -0x1.02ae51aa86267p-5, -0x1.fda07069706c2p-6, -0x1.f5fcfe68a4d99p-6, -0x1.ee7215cc2a44ep-6, -0x1.e6ff7f07304adp-6, -0x1.dfa5028a278c7p-6, -0x1.d86268c63637dp-6, -0x1.d1377a3088adep-6, -0x1.ca23ff45ac021p-6, -0x1.c327c08cb4672p-6, -0x1.bc42869a6cc26p-6, -0x1.b5741a146b80ap-6, -0x1.aebc43b3f2a54p-6, -0x1.a81acc48ffb24p-6, -0x1.a18f7cbcfeadep-6, -0x1.9b1a1e15a6ac5p-6, -0x1.94ba7977a4638p-6, -0x1.8e705829348f7p-6, -0x1.883b8394b9699p-6, -0x1.821bc54b2c3cbp-6, -0x1.7c10e70693e61p-6, -0x1.761ab2ac50697p-6, -0x1.7038f24f6d8f2p-6, -0x1.6a6b7032dc2c1p-6, -0x1.64b1f6cb88ef8p-6, -0x1.5f0c50c281431p-6, -0x1.597a48f6ed3eap-6, -0x1.53fbaa8011593p-6, -0x1.4e9040af27499p-6, -0x1.4937d711400d5p-6, -0x1.43f2397102bfbp-6, -0x1.3ebf33d8651c7p-6, -0x1.399e9292580acp-6, -0x1.3490222c6129cp-6, -0x1.2f93af781e8b4p-6, -0x1.2aa9078cd0c4cp-6, -0x1.25cff7c8c284fp-6, -0x1.21084dd2a432bp-6, -0x1.1c51d79af1665p-6, -0x1.17ac635d23044p-6, -0x1.1317bfa0fee5ap-6, -0x1.0e93bb3babb0cp-6, -0x1.0a202550eab16p-6, -0x1.05bccd54125bdp-6, -0x1.016983092441fp-6, -0x1.fa4c2d0ba4497p-7, -0x1.f1e4b06496dbdp-7, -0x1.e99c31948a24cp-7, -0x1.e17252bb7d347p-7, -0x1.d966b6a3ad48cp-7, -0x1.d17900c300e76p-7, -0x1.c9a8d53ca43a5p-7, -0x1.c1f5d8e237a5ap-7, -0x1.ba5fb1352e374p-7, -0x1.b2e60467f8043p-7, -0x1.ab88795f11c7cp-7, -0x1.a446b7b222964p-7, -0x1.9d2067acedee7p-7, -0x1.961532502f46ap-7, -0x1.8f24c1526a57p-7, -0x1.884ebf20cc47ep-7, -0x1.8192d6df91067p-7, -0x1.7af0b46af98fp-7, -0x1.746804578f7b1p-7, -0x1.6df873f2c139p-7, -0x1.67a1b1435c7d7p-7, -0x1.61636b09d338fp-7, -0x1.5b3d50c079852p-7, -0x1.552f129bf4d32p-7, -0x1.4f38618b3bebap-7, -0x1.4958ef37e456dp-7, -0x1.43906e05fdc4dp-7, -0x1.3dde911454c36p-7, -0x1.38430c3c49c96p-7, -0x1.32bd9411b2f4dp-7, -0x1.2d4ddde2f5effp-7, -0x1.27f39fb87ce4fp-7, -0x1.22ae9054dce9cp-7, -0x1.1d7e673463287p-7, -0x1.1862dc8cb7fc7p-7, -0x1.135ba94cbf47dp-7, -0x1.0e68871bec0c3p-7, -0x1.0989305a145d9p-7, -0x1.04bd601ebc1d8p-7, -0x1.0004d238ccc7ep-7, -0x1.f6be865bb1b9cp-8, -0x1.ed98e0735c7c1p-8, -0x1.e4982e9b41d2fp-8, -0x1.dbbbee1fe294bp-8, -0x1.d3039db6168abp-8, -0x1.ca6ebd79d9a2cp-8, -0x1.c1fcceecad522p-8, -0x1.b9ad54f3edde5p-8, -0x1.b17fd3d7b582ap-8, -0x1.a973d14080acdp-8, -0x1.a188d4361243p-8, -0x1.99be651d5addbp-8, -0x1.92140db6df842p-8, -0x1.8a89591cb40a9p-8, -0x1.831dd3c0c909p-8, -0x1.7bd10b6ab2271p-8, -0x1.74a28f35f4eb2p-8, -0x1.6d91ef8fe61a9p-8, -0x1.669ebe3580106p-8, -0x1.5fc88e318eedap-8, -0x1.590ef3da1fa2bp-8, -0x1.527184cedfea9p-8, -0x1.4befd7f684e26p-8, -0x1.4589857cbf7e6p-8, -0x1.3f3e26cfd854ep-8, -0x1.390d569e90168p-8, -0x1.32f6b0d5cccd1p-8, -0x1.2cf9d29e14272p-8, -0x1.27165a596d594p-8, -0x1.214be7a0e07aap-8, -0x1.1b9a1b4200dc9p-8, -0x1.1600973cbdbffp-8, -0x1.107efec0ad0f3p-8, -0x1.0b14f62aafe31p-8, -0x1.05c22302bd96ep-8, -0x1.00862bf8d5007p-8, -0x1.f6c171c6312ap-9, -0x1.eca2e575c9011p-9, -0x1.e2b007350d2ccp-9, -0x1.d8e82d74f5f1p-9, -0x1.cf4ab0de59835p-9, -0x1.c5d6ec4c60d8ap-9, -0x1.bc8c3cc7889f6p-9, -0x1.b36a018081032p-9, -0x1.aa6f9bcb45bbap-9, -0x1.a19c6f199d8c8p-9, -0x1.98efe0f6538b3p-9, -0x1.906958ff90e6cp-9, -0x1.880840e270d0bp-9, -0x1.7fcc04551e084p-9, -0x1.77b4111204cefp-9, -0x1.6fbfd6d2f3f97p-9, -0x1.67eec74b2005dp-9, -0x1.6040562301532p-9, -0x1.58b3f8f27b3f3p-9, -0x1.5149273bd14e8p-9, -0x1.49ff5a67251fdp-9, -0x1.42d60dbc38359p-9, -0x1.3bccbe5ea0deap-9, -0x1.34e2eb47853e9p-9, -0x1.2e1815416ae19p-9, -0x1.276bbee29fb82p-9, -0x1.20dd6c88708bdp-9, -0x1.1a6ca451f3ef2p-9, -0x1.1418ee1b4bf45p-9, -0x1.0de1d37859786p-9, -0x1.07c6dfb0013afp-9, -0x1.01c79fb7017fcp-9, -0x1.f7c74456efc8cp-10, -0x1.ec34ee9e44c5ap-10, -0x1.e0d762072cf73p-10, -0x1.d5adc588cd46p-10, -0x1.cab74345daa98p-10, -0x1.bff3088299dc2p-10, -0x1.b560459b716d3p-10, -0x1.aafe2dfa81e03p-10, -0x1.a0cbf8106cf23p-10, -0x1.96c8dd47fe53bp-10, -0x1.8cf419ff81eb4p-10, -0x1.834ced7db3121p-10, -0x1.79d299e9af0e5p-10, -0x1.70846440add86p-10, -0x1.6761944e5328bp-10, -0x1.5e6974a248d6fp-10, -0x1.559b52885e5dbp-10, -0x1.4cf67dfeb8f82p-10, -0x1.447a49add39f4p-10, -0x1.3c260adfa91acp-10, -0x1.33f91975ec012p-10, -0x1.2bf2cfe2e7e24p-10, -0x1.24128b2048446p-10, -0x1.1c57aaa61a2d5p-10, -0x1.14c190639a291p-10, -0x1.0d4fa0b58bd05p-10, -0x1.0601425f41ae7p-10, -0x1.fdabbd0166f4p-11, -0x1.ef99c1219ac99p-11, -0x1.e1cb6ca5f19bp-11, -0x1.d43f9fa11a2aap-11, -0x1.c6f53ea0ceeeap-11, -0x1.b9eb329eef114p-11, -0x1.ad2068f0ccf9bp-11, -0x1.a093d338ded84p-11, -0x1.944467571f39fp-11, -0x1.88311f59a2c17p-11, -0x1.7c58f96edcde1p-11, -0x1.70baf7d54b8dfp-11, -0x1.655620cdb5c73p-11, -0x1.5a297e8c97c91p-11, -0x1.4f341f2c2acd1p-11, -0x1.4475149d450e8p-11, -0x1.39eb749a218fdp-11, -0x1.2f9658984230bp-11, -0x1.2574ddbab0579p-11, -0x1.1b8624c4e476ap-11, -0x1.11c9520b8a27bp-11, -0x1.083d8d6a0ff63p-11, -0x1.fdc4046664916p-12, -0x1.eb6bbe49ff0d4p-12, -0x1.d970acb6f4855p-12, -0x1.c7d13a895c88p-12, -0x1.b68bd926df06cp-12, -0x1.a59f0065fafap-12, -0x1.95092e76c42bbp-12, -0x1.84c8e7c9b9b7dp-12, -0x1.74dcb6f6493b6p-12, -0x1.65432ca658b1ep-12, -0x1.55fadf7cb06bep-12, -0x1.47026bfec1361p-12, -0x1.3858747cdffc7p-12, -0x1.29fba0fcbb21ep-12, -0x1.1bea9f227bd2p-12, -0x1.0e24221bd9dfdp-12, -0x1.00a6e288d6dc7p-12, -0x1.e6e33ccdd90f7p-13, -0x1.cd0631f972b58p-13, -0x1.b3b435866c3cp-13, -0x1.9aeae2a7dc3f7p-13, -0x1.82a7dea381312p-13, -0x1.6ae8d8ad1188fp-13, -0x1.53ab89bb6cb5fp-13, -0x1.3cedb46727131p-13, -0x1.26ad24be19cf2p-13, -0x1.10e7b01e4c7p-13, -0x1.f7366a27fc584p-14, -0x1.cd8b3663b1f1fp-14, -0x1.a4c9a5d622964p-14, -0x1.7cedaae27edb9p-14, -0x1.55f3492181f7p-14, -0x1.2fd6951a5462ep-14, -0x1.0a93b3fd12f9p-14, -0x1.cc4db6bf9d70dp-15, -0x1.8518a1edc4bbdp-15, -0x1.3f80d4b3d9fc9p-15, -0x1.f6fe32e858b6fp-16, -0x1.7218b2a43f1cp-16, -0x1.e0866e9cd404dp-17, -0x1.c5c02c5868f9ap-18, 0x1.4dc9a91689c9cp-21, 0x1.06ca271bb888fp-17, 0x1.f302a1aab8c9fp-17, 0x1.6ccfd691a2426p-16, 0x1.dd5d3f59fa1f2p-16, 0x1.259af7f5a521bp-15, 0x1.5b330c02fa7dap-15, 0x1.8f7cd9a4a22ebp-15, 0x1.c27e4501a5dadp-15, 0x1.f43d190dc89b6p-15, 0x1.125f83f867004p-14, 0x1.2a04d5b98f3f9p-14, 0x1.411142ad85526p-14, 0x1.57877fef4f975p-14, 0x1.6d6a36ffa0a2p-14, 0x1.82bc05f9106f4p-14, 0x1.977f7fbf26a96p-14, 0x1.abb72c3093881p-14, 0x1.bf65885056187p-14, 0x1.d28d067dcbf2dp-14, 0x1.e5300e9a2592bp-14, 0x1.f750fe36fb26ap-14, 0x1.04791463ca05dp-13, 0x1.0d0aebe4044e2p-13, 0x1.155f25739c164p-13, 0x1.1d76dc19c6e64p-13, 0x1.25532621c1964p-13, 0x1.2cf5153046b28p-13, 0x1.345db657277ep-13, 0x1.3b8e12279b4b5p-13, 0x1.42872cc6f438dp-13, 0x1.494a06034cb92p-13, 0x1.4fd799635a1c4p-13, 0x1.5630de3ba781bp-13, 0x1.5c56c7bf4a763p-13, 0x1.624a4512b6b4ep-13, 0x1.680c415c19995p-13, 0x1.6d9da3d68f273p-13, 0x1.72ff4fe1d50dcp-13, 0x1.78322513b7eb9p-13, 0x1.7d36ff488c7a6p-13, 0x1.820eb6b3db2b8p-13, 0x1.86ba1feed8d0ep-13, 0x1.8b3a0c0a2972fp-13, 0x1.8f8f489c1bb9ep-13, 0x1.93ba9fcf5dfp-13, 0x1.97bcd87364436p-13, 0x1.9b96b60ae16eep-13, 0x1.9f48f8d97beeap-13, 0x1.a2d45df190b74p-13, 0x1.a6399f43a391ep-13, 0x1.a97973ab027ebp-13, 0x1.ac948efb7668bp-13, 0x1.af8ba20f2d7e9p-13, 0x1.b25f5ad372662p-13, 0x1.b5106454a9e41p-13, 0x1.b79f66cbb5321p-13, 0x1.ba0d07aaaa198p-13, 0x1.bc59e9a8497eep-13, 0x1.be86accbecd2bp-13, 0x1.c093ee799b23fp-13, 0x1.c282497de9f47p-13, 0x1.c452561894642p-13, 0x1.c604aa07f8f0cp-13, 0x1.c799d8947b4abp-13, 0x1.c912729a7ec58p-13, 0x1.ca6f069562646p-13, 0x1.cbb020aa29222p-13, 0x1.ccd64ab0dd0fcp-13, 0x1.cde20c3fa1e58p-13, 0x1.ced3eab3ac0b8p-13, 0x1.cfac693b07b3ap-13, 0x1.d06c08def912bp-13, 0x1.d113488c866c4p-13, 0x1.d1a2a51ddc189p-13, 0x1.d21a996316839p-13, 0x1.d27b9e2b917b8p-13, 0x1.d2c62a4e0b8e2p-13, 0x1.d2fab2b1affbdp-13, 0x1.d319aa5609718p-13, 0x1.d323825b95fd4p-13, 0x1.d318aa0bfc6f4p-13, 0x1.d2f98ee1a89cp-13, 0x1.d2c69c8f5f82ap-13, 0x1.d2803d086bac2p-13, 0x1.d226d88828509p-13, 0x1.d1bad598fff81p-13, 0x1.d13c991bcc63fp-13, 0x1.d0ac864f1b71cp-13, 0x1.d00afed65e605p-13, 0x1.cf5862c042b6p-13, 0x1.ce95108dac613p-13, 0x1.cdc16538801c2p-13, 0x1.ccddbc3a1cbfep-13, 0x1.cbea6f9183873p-13, 0x1.cae7d7c9b3a7cp-13, 0x1.c9d64c000fd52p-13, 0x1.c8b621ea116adp-13, 0x1.c787addb8c9afp-13, 0x1.c64b42cc44f96p-13, 0x1.c501325ddcfefp-13, 0x1.c3a9cce116cffp-13, 0x1.c245615bfb986p-13, 0x1.c0d43d8ea39f9p-13, 0x1.bf56adf8efc11p-13, 0x1.bdccfddf9e108p-13, 0x1.bc37775154947p-13, 0x1.ba96632bc7ee5p-13, 0x1.b8ea0920d5656p-13, 0x1.b732afbabf5e4p-13, 0x1.b5709c61f7f0bp-13, 0x1.b3a4136113831p-13, 0x1.b1cd57e971584p-13, 0x1.afecac17ee057p-13, 0x1.ae0250f8ec925p-13, 0x1.ac0e868d7eeddp-13, 0x1.aa118bcf05abcp-13, 0x1.a80b9eb37bcc8p-13, 0x1.a5fcfc3190fap-13, 0x1.a3e5e044fb9d9p-13, 0x1.a1c685f1f496p-13, 0x1.9f9f2749f730cp-13, 0x1.9d6ffd6ea674bp-13, 0x1.9b394095fa498p-13, 0x1.98fb280dd54d4p-13, 0x1.96b5ea40135cp-13, 0x1.9469bcb546529p-13, 0x1.9216d41943967p-13, 0x1.8fbd643dba1d2p-13, 0x1.8d5da01d8b023p-13, 0x1.8af7b9e0f147p-13, 0x1.888be2dfd0b22p-13, 0x1.861a4ba5c53dap-13, 0x1.83a323f45c586p-13, 0x1.81269ac6eaaeep-13, 0x1.7ea4de553e1ecp-13, 0x1.7c1e1c16a2886p-13, 0x1.799280c4e69ffp-13, 0x1.7702385f20cb5p-13, 0x1.746d6e2c8d384p-13, 0x1.71d44cbf35014p-13, 0x1.6f36fdf6e3ae8p-13, 0x1.6c95ab0381cb1p-13, 0x1.69f07c68007dbp-13, 0x1.674799fcfd134p-13, 0x1.649b2af2d551dp-13, 0x1.61eb55d4f1a52p-13, 0x1.5f38408b29ce1p-13, 0x1.5c82105d1baadp-13, 0x1.59c8e9f3fb162p-13, 0x1.570cf15d141dcp-13, 0x1.544e4a0c4d393p-13, 0x1.518d16ddfd767p-13, 0x1.4ec97a1999065p-13, 0x1.4c039573468f5p-13, 0x1.493b8a0e77e8bp-13, 0x1.4671787fff549p-13, 0x1.43a580cfa5b95p-13, 0x1.40d7c27af6b43p-13, 0x1.3e085c7681414p-13, 0x1.3b376d3079787p-13, 0x1.38651291f59b2p-13, 0x1.35916a015f2ep-13, 0x1.32bc90641d03p-13, 0x1.2fe6a22063187p-13, 0x1.2d0fbb1ed4882p-13, 0x1.2a37f6ccdd35cp-13, 0x1.275f701da3333p-13, 0x1.2486418caecbep-13, 0x1.21ac851e8ca62p-13, 0x1.1ed2546391ba1p-13, 0x1.1bf7c87854ea9p-13, 0x1.191cfa085b91ap-13, 0x1.1642014ed6a6bp-13, 0x1.1366f618e6cf2p-13, 0x1.108befc69b45ap-13, 0x1.0db1054cc8edap-13, 0x1.0ad64d365063p-13, 0x1.07fbdda5c46a1p-13, 0x1.0521cc568b10fp-13, 0x1.02482e9ec4fap-13, 0x1.fede32e05978cp-14, 0x1.f92d42b3a24a9p-14, 0x1.f37db512c32a9p-14, 0x1.edcfb198aae03p-14, 0x1.e8235f230111dp-14, 0x1.e278e3d3ea6ep-14, 0x1.dcd06515d572dp-14, 0x1.d72a079c8fd96p-14, 0x1.d185ef68e2b9cp-14, 0x1.cbe43fca68b7bp-14, 0x1.c6451b620bb86p-14, 0x1.c0a8a424695fep-14, 0x1.bb0efb5c18ee8p-14, 0x1.b57841ac6d6acp-14, 0x1.afe49712fe585p-14, 0x1.aa541aea6d7c6p-14, 0x1.a4c6ebec05328p-14, 0x1.9f3d2832ad074p-14, 0x1.99b6ed3c04b9fp-14, 0x1.943457ebc295fp-14, 0x1.8eb5848c99da4p-14, 0x1.893a8ed3331cbp-14, 0x1.83c391df1afacp-14, 0x1.7e50a83e3782p-14, 0x1.78e1ebed78e8ap-14, 0x1.7377765b43445p-14, 0x1.6e11606965804p-14, 0x1.68afc26ebc8f7p-14, 0x1.6352b4396c234p-14, 0x1.5dfa4d105a0ddp-14, 0x1.58a6a3b549115p-14, 0x1.5357ce6635464p-14, 0x1.4e0de2df825f5p-14, 0x1.48c8f65d77961p-14, 0x1.43891d9e3fd11p-14, 0x1.3e4e6ce2f63c2p-14, 0x1.3918f7f26f4aep-14, 0x1.33e8d219725e1p-14, 0x1.2ebe0e2dcb5f4p-14, 0x1.2998be8e68a86p-14, 0x1.2478f526add54p-14, 0x1.1f5ec36e11685p-14, 0x1.1a4a3a6b6fca2p-14, 0x1.153b6ab52ef4fp-14, 0x1.10326473d8445p-14, 0x1.0b2f376290cb8p-14, 0x1.0631f2d1bae4p-14, 0x1.013aa5a703828p-14, 0x1.f892bcc0491dfp-15, 0x1.eebc562712023p-15, 0x1.e4f232e3699bbp-15, 0x1.db346d8e3ad7fp-15, 0x1.d1831ff9ade47p-15, 0x1.c7de6335dd58dp-15, 0x1.be464f9178b3ep-15, 0x1.b4bafc9d92f02p-15, 0x1.ab3c812f343c1p-15, 0x1.a1caf3638e84cp-15, 0x1.986668a0d884p-15, 0x1.8f0ef599dac1bp-15, 0x1.85c4ae4fbc06fp-15, 0x1.7c87a61546508p-15, 0x1.7357ef905c6dap-15, 0x1.6a359cbd86a53p-15, 0x1.6120bef122cb1p-15, 0x1.581966da662fap-15, 0x1.4f1fa48564703p-15, 0x1.4633875dd145p-15, 0x1.3d551e3060ddap-15, 0x1.3484772dfc417p-15, 0x1.2bc19fed8125cp-15, 0x1.230ca56d7d71ep-15, 0x1.1a659417be6ap-15, 0x1.11cc77c181aefp-15, 0x1.09415baff00a5p-15, 0x1.00c44a9728cb8p-15, 0x1.f0aa9d3f5bf13p-16, 0x1.dfe8e2cac61ep-16, 0x1.cf4377f81b274p-16, 0x1.beba6ddee0301p-16, 0x1.ae4dd48da96d7p-16, 0x1.9dfdbb0af028bp-16, 0x1.8dca2f5b7da98p-16, 0x1.7db33e851aa3cp-16, 0x1.6db8f492a1e3fp-16, 0x1.5ddb5c9747c7ap-16, 0x1.4e1a80b2dea25p-16, 0x1.3e766a15641b2p-16, 0x1.2eef2101cd6d9p-16, 0x1.1f84acd37f7dap-16, 0x1.103713fee9c49p-16, 0x1.01065c195c65fp-16, 0x1.e3e513ae916bp-17, 0x1.c5f74227d991fp-17, 0x1.a84349a4cc042p-17, 0x1.8ac92e863854cp-17, 0x1.6d88f3871b236p-17, 0x1.508299cbd2a91p-17, 0x1.33b620e14abap-17, 0x1.172386c985c9p-17, 0x1.f5958ff64e52cp-18, 0x1.bd57bee1b6679p-18, 0x1.858d8d4913a85p-18, 0x1.4e36eb40290bdp-18, 0x1.1753c5f6ef714p-18, 0x1.c1c80fa17467p-19, 0x1.55cf30cdbd9ddp-19, 0x1.d579727cb0ea1p-20, 0x1.0120daa9752cp-20, 0x1.74a0c3a0d3767p-23, -0x1.445ac074af76fp-21, -0x1.7124259f07c6p-20, -0x1.1f286c015a856p-19, -0x1.84da10b9cc1cep-19, -0x1.e9a75adf136bp-19, -0x1.26c854841d58p-18, -0x1.584b2f4402e33p-18, -0x1.895c719790474p-18, -0x1.b9fc51afa3715p-18, -0x1.ea2b07ee188dp-18, -0x1.0cf467710111cp-17, -0x1.249af19ae89dfp-17, -0x1.3c0941dadd1b8p-17, -0x1.533f789698d7cp-17, -0x1.6a3db73a042bep-17, -0x1.8104202b709d8p-17, -0x1.9792d6ca14c48p-17, -0x1.ade9ff66849bfp-17, -0x1.c409bf424f826p-17, -0x1.d9f23c861aae1p-17, -0x1.efa39e40a7dbcp-17, -0x1.028f063093978p-16, -0x1.0d30d7d8ee54ap-16, -0x1.17b758eaec3f8p-16, -0x1.22229ea18d6d8p-16, -0x1.2c72be9e652e7p-16, -0x1.36a7cee907c5ap-16, -0x1.40c1e5ebf8441p-16, -0x1.4ac11a724f929p-16, -0x1.54a583a6b3459p-16, -0x1.5e6f390fab6ccp-16, -0x1.681e528f4656fp-16, -0x1.71b2e85f9bc74p-16, -0x1.7b2d1312e574ep-16, -0x1.848ceb8e8db61p-16, -0x1.8dd28b0b515e5p-16, -0x1.96fe0b13a5bc5p-16, -0x1.a00f8580790eap-16, -0x1.a90714768033bp-16, -0x1.b1e4d268d866fp-16, -0x1.baa8da10d88a2p-16, -0x1.c3534670bfda8p-16, -0x1.cbe432d13c8e2p-16, -0x1.d45bbabe70bdp-16, -0x1.dcb9fa05fb6a4p-16, -0x1.e4ff0cb760482p-16, -0x1.ed2b0f1ff95ddp-16, -0x1.f53e1dcad7535p-16, -0x1.fd38557e377bap-16, -0x1.028ce99cdc697p-15, -0x1.06715a1b6fee1p-15, -0x1.0a498af1a2f5bp-15, -0x1.0e158af17e754p-15, -0x1.11d56906c968dp-15, -0x1.15893435ab588p-15, -0x1.1930fb9aef5c5p-15, -0x1.1cccce6aae324p-15, -0x1.205cbbef6240fp-15, -0x1.23e0d389778b6p-15, -0x1.275924aef8d2fp-15, -0x1.2ac5bee9916c7p-15, -0x1.2e26b1d724361p-15, -0x1.317c0d2948ce8p-15, -0x1.34c5e0a220ef5p-15, -0x1.38043c1725097p-15, -0x1.3b372f6e1a68cp-15, -0x1.3e5eca9c6babap-15, -0x1.417b1da8c6027p-15, -0x1.448c38a740857p-15, -0x1.47922bbae93dep-15, -0x1.4a8d071501272p-15, -0x1.4d7cdaf291ed5p-15, -0x1.5061b79e62baap-15, -0x1.533bad6e734c7p-15, -0x1.560accc4060a5p-15, -0x1.58cf260b5f2bap-15, -0x1.5b88c9ba6231ep-15, -0x1.5e37c850a83ecp-15, -0x1.60dc3256de4f9p-15, -0x1.6376185d8b6dap-15, -0x1.66058afde9369p-15, -0x1.688a9ad77771dp-15, -0x1.6b055890faca3p-15, -0x1.6d75d4d7a8f42p-15, -0x1.6fdc205d75174p-15, -0x1.72384bda9b0abp-15, -0x1.748a680b36e16p-15, -0x1.76d285afce8b1p-15, -0x1.7910b58c5d8e1p-15, -0x1.7b450868aa6a9p-15, -0x1.7d6f8f0df420ep-15, -0x1.7f905a495f549p-15, -0x1.81a77ae821f49p-15, -0x1.83b501b992b0ep-15, -0x1.85b8ff8e493ep-15, -0x1.87b3853607a9dp-15, -0x1.89a4a381f1171p-15, -0x1.8b8c6b4186b99p-15, -0x1.8d6aed43aa85cp-15, -0x1.8f403a5698586p-15, -0x1.910c6345acb51p-15, -0x1.92cf78db82a5fp-15, -0x1.94898bdec8b9bp-15, -0x1.963aad1429902p-15, -0x1.97e2ed3cda8edp-15, -0x1.99825d15780bep-15, -0x1.9b190d587c875p-15, -0x1.9ca70eb9b3db4p-15, -0x1.9e2c71e9aab2fp-15, -0x1.9fa947935dddap-15, -0x1.a11da05bd6debp-15, -0x1.a2898ce2dc1b6p-15, -0x1.a3ed1dc1b3716p-15, -0x1.a548638b25747p-15, -0x1.a69b6ecb3393p-15, -0x1.a7e65006ab47p-15, -0x1.a92917bad5623p-15, -0x1.aa63d65d3b536p-15, -0x1.ab969c5b497a3p-15, -0x1.acc17a1a2da5p-15, -0x1.ade47ff5c1a52p-15, -0x1.aeffbe41f112ep-15, -0x1.b01345488d04ap-15, -0x1.b11f2549c68e8p-15, -0x1.b2236e7d46575p-15, -0x1.b320310ebb556p-15, -0x1.b4157d2122a31p-15, -0x1.b50362cbdf23cp-15, -0x1.b5e9f21bca9d7p-15, -0x1.b6c93b12f3111p-15, -0x1.b7a14da7670b4p-15, -0x1.b87239c490f56p-15, -0x1.b93c0f48c261cp-15, -0x1.b9fede07d5c8fp-15, -0x1.babab5c7a974ep-15, -0x1.bb6fa6437506bp-15, -0x1.bc1dbf282b29ep-15, -0x1.bcc5101696bb5p-15, -0x1.bd65a8a2df34fp-15, -0x1.bdff985263f62p-15, -0x1.be92ee9eff0cep-15, -0x1.bf1fbaf32c8b3p-15, -0x1.bfa60cac1cdf2p-15, -0x1.c025f319cd52cp-15, -0x1.c09f7d7c45e1fp-15, -0x1.c112bb069c3e9p-15, -0x1.c17fbadcf3d85p-15, -0x1.c1e68c13efe8dp-15, -0x1.c2473db2c6e02p-15, -0x1.c2a1deb008f97p-15, -0x1.c2f67df4355bfp-15, -0x1.c3452a58045adp-15, -0x1.c38df2a45ca61p-15, -0x1.c3d0e59319174p-15, -0x1.c40e11cdfdb7ep-15, -0x1.c44585eed99f9p-15, -0x1.c477507f427f9p-15, -0x1.c4a37ff972efp-15, -0x1.c4ca22c5e0864p-15, -0x1.c4eb473e35e0bp-15, -0x1.c506fbaa5fcfcp-15, -0x1.c51d4e4233f8ap-15, -0x1.c52e4d2ca42f8p-15, -0x1.c53a067fba814p-15, -0x1.c5408840a8552p-15, -0x1.c541e0631a35p-15, -0x1.c53e1cca8e135p-15, -0x1.c5354b47d81b6p-15, -0x1.c527799bf3a0ap-15, -0x1.c514b574fc806p-15, -0x1.c4fd0c70e0b91p-15, -0x1.c4e08c1ab4f2ep-15, -0x1.c4bf41ecce0c9p-15, -0x1.c4993b4f812bdp-15, -0x1.c46e8598a65bfp-15, -0x1.c43f2e0d9209cp-15, -0x1.c40b41e0061bap-15, -0x1.c3d2ce30eeb47p-15, -0x1.c395e00ed414bp-15, -0x1.c35484757615fp-15, -0x1.c30ec84fa480dp-15, -0x1.c2c4b8747df7ap-15, -0x1.c27661a9fc15bp-15, -0x1.c223d0a323be4p-15, -0x1.c1cd1200ab344p-15, -0x1.c172325111e1fp-15, -0x1.c1133e0fdf3b8p-15, -0x1.c0b041a6f2e4ep-15, -0x1.c049496c6e63bp-15, -0x1.bfde61a5240edp-15, -0x1.bf6f96823a224p-15, -0x1.befcf422e1effp-15, -0x1.be8686934e579p-15, -0x1.be0c59cd449c8p-15, -0x1.bd8e79b74d979p-15, -0x1.bd0cf2262420cp-15, -0x1.bc87ceda5937bp-15, -0x1.bbff1b83aafap-15, -0x1.bb72e3bcf029ep-15, -0x1.bae33310245e3p-15, -0x1.ba5014f30f3eep-15, -0x1.b9b994c979733p-15, -0x1.b91fbde3fda15p-15, -0x1.b8829b80b4a5fp-15, -0x1.b7e238ca6dfaep-15, -0x1.b73ea0d9f67f1p-15, -0x1.b697deb49d709p-15, -0x1.b5edfd4cf9246p-15, -0x1.b54107837103bp-15, -0x1.b4910824c2864p-15, -0x1.b3de09eba9416p-15, -0x1.b328177fd617fp-15, -0x1.b26f3b7621abap-15, -0x1.b1b38050bfe1cp-15, -0x1.b0f4f07f5a8dp-15, -0x1.b033965ef3298p-15, -0x1.af6f7c392bd65p-15, -0x1.aea8ac467623dp-15, -0x1.addf30aafb29fp-15, -0x1.ad13137985b07p-15, -0x1.ac445eb1d9c33p-15, -0x1.ab731c411cd22p-15, -0x1.aa9f56020d893p-15, -0x1.a9c915bd5146bp-15, -0x1.a8f0652849116p-15, -0x1.a8154de6bf0edp-15, -0x1.a737d989e0f2p-15, -0x1.a658119009f02p-15, -0x1.a575ff6603688p-15, -0x1.a491ac6607404p-15, -0x1.a3ab21d7bc47dp-15, -0x1.a2c268f1854c6p-15, -0x1.a1d78ad67ef65p-15, -0x1.a0ea9098d3579p-15, -0x1.9ffb833781067p-15, -0x1.9f0a6ba0b8c2dp-15, -0x1.9e1752af836b4p-15, -0x1.9d22412dfd0bap-15, -0x1.9c2b3fd3f7beap-15, -0x1.9b32574752de6p-15, -0x1.9a37901c9cc93p-15, -0x1.993af2d662574p-15, -0x1.983c87e5614b3p-15, -0x1.973c57a9a7d4ap-15, -0x1.963a6a7035d6bp-15, -0x1.9536c8760eb1ap-15, -0x1.943179e604b0ap-15, -0x1.932a86d95f7ddp-15, -0x1.9221f758f80a5p-15, -0x1.9117d35b533f9p-15, -0x1.900c22c686f1ep-15, -0x1.8efeed6f6a59cp-15, -0x1.8df03b1940b08p-15, -0x1.8ce0137752d61p-15, -0x1.8bce7e2ab3e65p-15, -0x1.8abb82c499d27p-15, -0x1.89a728c50b6e1p-15, -0x1.8891779b105a3p-15, -0x1.877a76a584de7p-15, -0x1.86622d325531dp-15, -0x1.8548a27eddaccp-15, -0x1.842dddb831673p-15, -0x1.8311e5fac927bp-15, -0x1.81f4c252cd9bfp-15, -0x1.80d679bc3992bp-15, -0x1.7fb71322dd3ap-15, -0x1.7e9695620468ep-15, -0x1.7d7507459792fp-15, -0x1.7c526f88cee06p-15, -0x1.7b2ed4d7537d8p-15, -0x1.7a0a3dcd12eddp-15, -0x1.78e4b0f5b2892p-15, -0x1.77be34cdcabbap-15, -0x1.7696cfc1cf14ap-15, }}, 
      {{0x1.ff966257f08a9p-2, 0x1.ff78d11fd70e4p-2, 0x1.ff48f139c179p-2, 0x1.ff08a18066a9p-2, 0x1.feba221591ce2p-2, 0x1.fe5fdc5f67af5p-2, 0x1.fdfc35c340c34p-2, 0x1.fd916ead42885p-2, 0x1.fd218ccc46d3fp-2, 0x1.fcae4e6ca6296p-2, 0x1.fc3924c709604p-2, 0x1.fbc33364ae3bdp-2, 0x1.fb4d531e4d22p-2, 0x1.fad817947084bp-2, 0x1.fa63d645aa1ccp-2, 0x1.f9f0ae99e06edp-2, 0x1.f97e925ebe556p-2, 0x1.f90d4e4d21cb4p-2, 0x1.f89c924618276p-2, 0x1.f82bf9096ba0fp-2, 0x1.f7bb0f3960337p-2, 0x1.f749598eeba06p-2, 0x1.f6d65a2f8e728p-2, 0x1.f6619521aa7cp-2, 0x1.f5ea93e5a94c5p-2, 0x1.f570e84165d65p-2, 0x1.f4f42e505443fp-2, 0x1.f4740dede0324p-2, 0x1.f3f03b90d3b4cp-2, 0x1.f36878aea4ebdp-2, 0x1.f2dc93bc89563p-2, 0x1.f24c67e27db02p-2, 0x1.f1b7dc7259854p-2, 0x1.f11ee432ab81ap-2, 0x1.f0817c8ac880dp-2, 0x1.efdfac9b2a742p-2, 0x1.ef39844b2174fp-2, 0x1.ee8f1b5302c29p-2, 0x1.ede0904853b93p-2, 0x1.ed2e07b014405p-2, 0x1.ec77ab1a2ac7fp-2, 0x1.ebbda848019aap-2, 0x1.eb00305fb1d5bp-2, 0x1.ea3f772c888b4p-2, 0x1.e97bb26d3d22bp-2, 0x1.e8b5192ff43b7p-2, 0x1.e7ebe33bde418p-2, 0x1.e720488822182p-2, 0x1.e65280bfb0762p-2, 0x1.e582c2d180d86p-2, 0x1.e4b1448cb2c89p-2, 0x1.e3de3a48129bp-2, 0x1.e309d6946d6c8p-2, 0x1.e23449f927a38p-2, 0x1.e15dc2ba9356p-2, 0x1.e0866ca96d154p-2, 0x1.dfae70fafc0ffp-2, 0x1.ded5f629493edp-2, 0x1.ddfd1fdadeac1p-2, 0x1.dd240ed18bc4bp-2, 0x1.dc4ae0dfa2d9cp-2, 0x1.db71b0e32708ap-2, 0x1.da9896c66cc27p-2, 0x1.d9bfa7859e733p-2, 0x1.d8e6f538b27e6p-2, 0x1.d80e8f214cde3p-2, 0x1.d73681bc1686ep-2, 0x1.d65ed6d519f75p-2, 0x1.d587959eb14bap-2, 0x1.d4b0c2caa1fbep-2, 0x1.d3da60a4fe0b1p-2, 0x1.d3046f307553fp-2, 0x1.d22eec43b7f42p-2, 0x1.d159d3a7a144ap-2, 0x1.d0851f35e09a6p-2, 0x1.cfb0c6f7e0ec1p-2, 0x1.cedcc145ac112p-2, 0x1.ce0902e49f62fp-2, 0x1.cd357f25bf2b4p-2, 0x1.cc6228037c74cp-2, 0x1.cb8eee3ed2da1p-2, 0x1.cabbc17b9f8a8p-2, 0x1.c9e8905c11d94p-2, 0x1.c915489b2ddd7p-2, 0x1.c841d7264b966p-2, 0x1.c76e28358957p-2, 0x1.c69a276328ad3p-2, 0x1.c5c5bfc1d6355p-2, 0x1.c4f0dbf1d3fefp-2, 0x1.c41b66351110ep-2, 0x1.c345488225406p-2, 0x1.c26e6c9641a2p-2, 0x1.c196bc0616041p-2, 0x1.c0be204db43efp-2, 0x1.bfe482df79b61p-2, 0x1.bf09cd320a08dp-2, 0x1.be2de8cd61fc6p-2, 0x1.bd50bf570fd02p-2, 0x1.bc723a9d99587p-2, 0x1.bb9244a31c2fbp-2, 0x1.bab0c7a72e262p-2, 0x1.b9cdae300f88p-2, 0x1.b8e8e313316d6p-2, 0x1.b802517d1db4dp-2, 0x1.b719e4f8cb38cp-2, 0x1.b62f897663f59p-2, 0x1.b5432b5183ba2p-2, 0x1.b454b75700fa9p-2, 0x1.b3641aca392b8p-2, 0x1.b2714369f4e22p-2, 0x1.b17c1f74dfc23p-2, 0x1.b0849dada0fd4p-2, 0x1.af8aad5e9774bp-2, 0x1.ae8e3e5d3fa92p-2, 0x1.ad8f410d43e62p-2, 0x1.ac8da663421a9p-2, 0x1.ab895fe7475d3p-2, 0x1.aa825fb701fe7p-2, 0x1.a9789887b4b67p-2, 0x1.a86bfda7e5363p-2, 0x1.a75c8300d2de8p-2, 0x1.a64a1d17accfep-2, 0x1.a534c10e9566ap-2, 0x1.a41c64a56ac7dp-2, 0x1.a300fe3a5dbbbp-2, 0x1.a1e284ca55f43p-2, 0x1.a0c0eff124a0fp-2, 0x1.9f9c37e989457p-2, 0x1.9e74558d0861cp-2, 0x1.9d4942539690ep-2, 0x1.9c1af85316ca3p-2, 0x1.9ae9723eb574bp-2, 0x1.99b4ab6613893p-2, 0x1.987c9fb45047ep-2, 0x1.97414baeee6d2p-2, 0x1.9602ac7491605p-2, 0x1.94c0bfbb9ab87p-2, 0x1.937b83d0a5726p-2, 0x1.9232f794e02b3p-2, 0x1.90e71a7c4a535p-2, 0x1.8f97ec8bd298ap-2, 0x1.8e456e5757683p-2, 0x1.8cefa0ff9172cp-2, 0x1.8b96862fdda51p-2, 0x1.8a3a201bf437cp-2, 0x1.88da717d87fe3p-2, 0x1.87777d91cc343p-2, 0x1.86114816ea05p-2, 0x1.84a7d54961d8p-2, 0x1.833b29e15a947p-2, 0x1.81cb4b0fdfbebp-2, 0x1.80583e7c12637p-2, 0x1.7ee20a404bf06p-2, 0x1.7d68b4e732891p-2, 0x1.7bec4568c4905p-2, 0x1.7a6cc32759a2ep-2, 0x1.78ea35ec9ba87p-2, 0x1.7764a5e676a72p-2, 0x1.75dc1ba403c16p-2, 0x1.7450a01270aecp-2, 0x1.72c23c79df4a2p-2, 0x1.7130fa7a48a46p-2, 0x1.6f9ce40857bcap-2, 0x1.6e06036a489d5p-2, 0x1.6c6c6334c6991p-2, 0x1.6ad00e47cc495p-2, 0x1.69310fcb838d2p-2, 0x1.678f732d2e53cp-2, 0x1.65eb441c0e15ap-2, 0x1.64448e8654fap-2, 0x1.629b5e96192fcp-2, 0x1.60efc0ae51f36p-2, 0x1.5f41c167db2d2p-2, 0x1.5d916d8e7f384p-2, 0x1.5bded21e0f2d3p-2, 0x1.5a29fc3f7b2bdp-2, 0x1.5872f945ff51cp-2, 0x1.56b9d6ac5434cp-2, 0x1.54fea211eacd2p-2, 0x1.534169383835p-2, 0x1.51823a0008009p-2, 0x1.4fc12266dedcp-2, 0x1.4dfe308467473p-2, 0x1.4c397287ed454p-2, 0x1.4a72f6b5e5ec5p-2, 0x1.48aacb6583b61p-2, 0x1.46e0fefe5b166p-2, 0x1.45159ff6112f7p-2, 0x1.4348bcce1d6fp-2, 0x1.417a641194688p-2, 0x1.3faaa45303d5ep-2, 0x1.3dd98c2a5b598p-2, 0x1.3c072a32e5f67p-2, 0x1.3a338d094e175p-2, 0x1.385ec349b47e1p-2, 0x1.3688db8dcf8fp-2, 0x1.34b1e46b210a4p-2, 0x1.32d9ec71317c9p-2, 0x1.31010227df0ap-2, 0x1.2f27340dba4bfp-2, 0x1.2d4c90966dbcdp-2, 0x1.2b71262935da9p-2, 0x1.2995031f667a6p-2, 0x1.27b835c2fb8c7p-2, 0x1.25dacc4d3a955p-2, 0x1.23fcd4e55e45cp-2, 0x1.221e5d9f51761p-2, 0x1.203f747a74406p-2, 0x1.1e6027606f2c8p-2, 0x1.1c808424138e7p-2, 0x1.1aa098804753cp-2, 0x1.18c07216f92c4p-2, 0x1.16e01e70279c1p-2, 0x1.14ffaaf8ece41p-2, 0x1.131f250298fdbp-2, 0x1.113e99c1d6242p-2, 0x1.0f5e164dd8cd5p-2, 0x1.0d7da79f963c1p-2, 0x1.0b9d5a910bc7dp-2, 0x1.09bd3bdc8b6c3p-2, 0x1.07dd581c1124p-2, 0x1.05fdbbc8a5056p-2, 0x1.041e7339c5b96p-2, 0x1.023f8aa4da6d4p-2, 0x1.00610e1cad8f9p-2, 0x1.fd061321e437dp-3, 0x1.f94b119b9c5a3p-3, 0x1.f5912ef6df5abp-3, 0x1.f1d8823b5100ap-3, 0x1.ee2122271f074p-3, 0x1.ea6b252e59fdbp-3, 0x1.e6b6a17a56113p-3, 0x1.e303ace91acbep-3, 0x1.df525d0ce004ap-3, 0x1.dba2c72b98e24p-3, 0x1.d7f5003e888bbp-3, 0x1.d4491cf1e4eabp-3, 0x1.d09f31a4823acp-3, 0x1.ccf752678d8b9p-3, 0x1.c95192fe4e4dcp-3, 0x1.c5ae06ddf18b9p-3, 0x1.c20cc12d62542p-3, 0x1.be6dd4c52bd32p-3, 0x1.bad1542f5e0c4p-3, 0x1.b73751a7826c1p-3, 0x1.b39fdf1a9842ep-3, 0x1.b00b0e271302ep-3, 0x1.ac78f01ce5aefp-3, 0x1.a8e995fd97f79p-3, 0x1.a55d107c5b568p-3, 0x1.a1d36ffe2ab9dp-3, 0x1.9e4cc499f2f9ep-3, 0x1.9ac91e18bdf34p-3, 0x1.97488bf5e58b2p-3, 0x1.93cb1d5f4cdbfp-3, 0x1.9050e1359a435p-3, 0x1.8cd9e60c81457p-3, 0x1.89663a2b03a3cp-3, 0x1.85f5eb8bc24a4p-3, 0x1.828907dd4f1cap-3, 0x1.7f1f9c828167ep-3, 0x1.7bb9b692d07bbp-3, 0x1.785762dab1c8ep-3, 0x1.74f8addbfc467p-3, 0x1.719da3ce4bd73p-3, 0x1.6e46509f6c997p-3, 0x1.6af2bff3c5562p-3, 0x1.67a2fd26c8f8bp-3, 0x1.6457134b67262p-3, 0x1.610f0d2c82fcbp-3, 0x1.5dcaf54d6c764p-3, 0x1.5a8ad5ea5727cp-3, 0x1.574eb8f8daadap-3, 0x1.5416a8287236cp-3, 0x1.50e2ace2fb2e7p-3, 0x1.4db2d04d3cb2p-3, 0x1.4a871b4769bfbp-3, 0x1.475f966daa6e5p-3, 0x1.443c4a18a7c97p-3, 0x1.411d3e5e10a3p-3, 0x1.3e027b112c78cp-3, 0x1.3aec07c3666e8p-3, 0x1.37d9ebc4daec4p-3, 0x1.34cc2e24ee07bp-3, 0x1.31c2d5b2d7604p-3, 0x1.2ebde8fe3b2bep-3, 0x1.2bbd6e57b7d59p-3, 0x1.28c16bd184514p-3, 0x1.25c9e73ffbf7ep-3, 0x1.22d6e63a3f7fp-3, 0x1.1fe86e1ac6fccp-3, 0x1.1cfe83fffd98ep-3, 0x1.1a192cccd9b89p-3, 0x1.17386d297990cp-3, 0x1.145c4983ba70ep-3, 0x1.1184c60fda9c3p-3, 0x1.0eb1e6c90fb36p-3, 0x1.0be3af722427ep-3, 0x1.091a23961914dp-3, 0x1.06554688bd8a4p-3, 0x1.03951b6752287p-3, 0x1.00d9a51924d0cp-3, 0x1.fc45cca05a6f7p-4, 0x1.f6e1c31364859p-4, 0x1.f187321dc2a6fp-4, 0x1.ec361deaeaceap-4, 0x1.e6ee8a409e887p-4, 0x1.e1b07a80376e9p-4, 0x1.dc7bf1a7de8bbp-4, 0x1.d750f253d391bp-4, 0x1.d22f7ebfa43b5p-4, 0x1.cd1798c771c1p-4, 0x1.c80941e931063p-4, 0x1.c3047b45eac6ep-4, 0x1.be0945a2fa02dp-4, 0x1.b917a16b4ded8p-4, 0x1.b42f8eb0a311ep-4, 0x1.af510d2cd1932p-4, 0x1.aa7c1c42fbc26p-4, 0x1.a5b0bb00d3936p-4, 0x1.a0eee81fe1d36p-4, 0x1.9c36a206b2fcap-4, 0x1.9787e6ca21c54p-4, 0x1.92e2b42e928cap-4, 0x1.8e4707a92a62fp-4, 0x1.89b4de610edcdp-4, 0x1.852c3530a180cp-4, 0x1.80ad08a6b9724p-4, 0x1.7c375507dc3cp-4, 0x1.77cb164f78892p-4, 0x1.736848311d86fp-4, 0x1.6f0ee619b1bf6p-4, 0x1.6abeeb30ab025p-4, 0x1.66785259426f1p-4, 0x1.623b1633a98ccp-4, 0x1.5e07311e3d737p-4, 0x1.59dc9d36ba4ebp-4, 0x1.55bb545b693f9p-4, 0x1.51a3502c5547dp-4, 0x1.4d948a0c77c33p-4, 0x1.498efb22e42cfp-4, 0x1.45929c5bf8a53p-4, 0x1.419f666a85aa2p-4, 0x1.3db551c8f983bp-4, 0x1.39d456ba8829cp-4, 0x1.35fc6d4c5276dp-4, 0x1.322d8d568ae39p-4, 0x1.2e67ae7d9aca6p-4, 0x1.2aaac833439dep-4, 0x1.26f6d1b7c04dcp-4, 0x1.234bc21ae4bb1p-4, 0x1.1fa9903d3b3e1p-4, 0x1.1c1032d12096p-4, 0x1.187fa05bdc27bp-4, 0x1.14f7cf36bcfbbp-4, 0x1.1178b5902c2e8p-4, 0x1.0e02496cc3998p-4, 0x1.0a9480a860f77p-4, 0x1.072f50f734fcbp-4, 0x1.03d2afe6d621ap-4, 0x1.007e92df49eccp-4, 0x1.fa65de4826548p-5, 0x1.f3df73aa73415p-5, 0x1.ed69cfe0a54e5p-5, 0x1.e704dca306ccdp-5, 0x1.e0b083690d3c1p-5, 0x1.da6cad6b58de3p-5, 0x1.d43943a5b4a6bp-5, 0x1.ce162ed908167p-5, 0x1.c803578d54b3dp-5, 0x1.c200a613a1375p-5, 0x1.bc0e0287e56c3p-5, 0x1.b62b54d2f0c9fp-5, 0x1.b05884ac4fa5cp-5, 0x1.aa95799c25d56p-5, 0x1.a4e21afd079p-5, 0x1.9f3e4ffdd19afp-5, 0x1.99a9ffa374178p-5, 0x1.942510cabdaacp-5, 0x1.8eaf6a2a22c6ep-5, 0x1.8948f2537f531p-5, 0x1.83f18fb5cdc58p-5, 0x1.7ea9289ee3de4p-5, 0x1.796fa33d1e7ebp-5, 0x1.7444e5a1137c8p-5, 0x1.6f28d5bf35078p-5, 0x1.6a1b597175694p-5, 0x1.651c5678e68c4p-5, 0x1.602bb27f4ef4fp-5, 0x1.5b495318be062p-5, 0x1.56751dc5193c8p-5, 0x1.51aef7f1a4d6dp-5, 0x1.4cf6c6fa889fbp-5, 0x1.484c702c491a6p-5, 0x1.43afd8c545f77p-5, 0x1.3f20e5f72acffp-5, 0x1.3a9f7ce85ba81p-5, 0x1.362b82b55faf7p-5, 0x1.31c4dc7244f7dp-5, 0x1.2d6b6f2bfb602p-5, 0x1.291f1fe9b2501p-5, 0x1.24dfd3ae26f85p-5, 0x1.20ad6f78f563ap-5, 0x1.1c87d847dfadfp-5, 0x1.186ef31813d2cp-5, 0x1.1462a4e765df9p-5, 0x1.1062d2b589cc1p-5, 0x1.0c6f618549cdap-5, 0x1.0888365daf4c3p-5, 0x1.04ad364b311dep-5, 0x1.00de4660cfd15p-5, 0x1.fa36977276ef5p-6, 0x1.f2c856efce464p-6, 0x1.eb719594397e8p-6, 0x1.e4321dd01ce5ep-6, 0x1.dd09ba2bb8cbfp-6, 0x1.d5f8354932f0bp-6, 0x1.cefd59e695654p-6, 0x1.c818f2dfbd3cep-6, 0x1.c14acb304aa6bp-6, 0x1.ba92adf574e12p-6, 0x1.b3f0666fe4836p-6, 0x1.ad63c0057fb33p-6, 0x1.a6ec86431fd6bp-6, 0x1.a08a84de54a47p-6, 0x1.9a3d87b6ffcbfp-6, 0x1.94055ad9093eap-6, 0x1.8de1ca7de453cp-6, 0x1.87d2a30e2d8cdp-6, 0x1.81d7b123225aap-6, 0x1.7bf0c18823703p-6, 0x1.761da13c21f99p-6, 0x1.705e1d730b6a7p-6, 0x1.6ab20397202fcp-6, 0x1.6519214a4d33p-6, 0x1.5f9344677a1a3p-6, 0x1.5a203b03c04fcp-6, 0x1.54bfd36fb2394p-6, 0x1.4f71dc387bbaap-6, 0x1.4a36242918899p-6, 0x1.450c7a4b65e9bp-6, 0x1.3ff4ade93c25cp-6, 0x1.3aee8e8d7cc78p-6, 0x1.35f9ec0512077p-6, 0x1.3116965ff059cp-6, 0x1.2c445df2022a9p-6, 0x1.27831354139a1p-6, 0x1.22d28764bab42p-6, 0x1.1e328b49286fp-6, 0x1.19a2f06e00b3ap-6, 0x1.1523888822364p-6, 0x1.10b4259567fa6p-6, 0x1.0c5499dd63ccbp-6, 0x1.0804b7f21268p-6, 0x1.03c452b0823b5p-6, 0x1.ff267a82f4604p-7, 0x1.f6e296342623p-7, 0x1.eebc9ff8a1e78p-7, 0x1.e6b43fef51cf4p-7, 0x1.dec91ed31fa74p-7, 0x1.d6fae5fbe428dp-7, 0x1.cf493f5f644dbp-7, 0x1.c7b3d5922cdc9p-7, 0x1.c03a53c86b25bp-7, 0x1.b8dc65d6af3aap-7, 0x1.b199b832b9683p-7, 0x1.aa71f7f4166e6p-7, 0x1.a364d2d4c5927p-7, 0x1.9c71f731d90fdp-7, 0x1.9599140bf1f12p-7, 0x1.8ed9d907cccd7p-7, 0x1.8833f66ea5b44p-7, 0x1.81a71d2ea75c9p-7, 0x1.7b32fedb40fe5p-7, 0x1.74d74dad7efc8p-7, 0x1.6e93bc844ba2ap-7, 0x1.6867fee49c2d8p-7, 0x1.6253c8f9bf9bdp-7, 0x1.5c56cf9565b77p-7, 0x1.5670c82fc94dcp-7, 0x1.50a168e7c113ap-7, 0x1.4ae86882c3ddep-7, 0x1.45457e6cec4a3p-7, 0x1.3fb862b8e456fp-7, 0x1.3a40ce1fdc854p-7, 0x1.34de7a01629cep-7, 0x1.2f9120634c6b6p-7, 0x1.2a587bf1774f4p-7, 0x1.253447fd9b76ep-7, 0x1.2024407f09babp-7, 0x1.1b28221264f6cp-7, 0x1.163fa9f95803dp-7, 0x1.116a961a327fp-7, 0x1.0ca8a4ff9c81fp-7, 0x1.07f995d8250fbp-7, 0x1.035d2875d5daap-7, 0x1.fda63a9b82d28p-8, 0x1.f4b66aef2665fp-8, 0x1.ebea6559faccdp-8, 0x1.e341ae92899b5p-8, 0x1.dabbcc913c81ep-8, 0x1.d258468f698b4p-8, 0x1.ca16a505eb634p-8, 0x1.c1f671ac19986p-8, 0x1.b9f7377652878p-8, 0x1.b2188294bfd34p-8, 0x1.aa59e071f2532p-8, 0x1.a2badfb187dcdp-8, 0x1.9b3b102e9ab9ep-8, 0x1.93da02fa69f9dp-8, 0x1.8c974a5ab7747p-8, 0x1.857279c8516d1p-8, 0x1.7e6b25ed6aabfp-8, 0x1.7780e4a40c34dp-8, 0x1.70b34cf464a66p-8, 0x1.6a01f71317e19p-8, 0x1.636c7c5f988b8p-8, 0x1.5cf277625a6eap-8, 0x1.569383cb1f0a2p-8, 0x1.504f3e6f1b905p-8, 0x1.4a25454733725p-8, 0x1.4415376e25205p-8, 0x1.3e1eb51e9d2cbp-8, 0x1.38415fb16d2e7p-8, 0x1.327cd99b85d76p-8, 0x1.2cd0c66c30a7p-8, 0x1.273ccacaeefafp-8, 0x1.21c08c75c21d5p-8, 0x1.1c5bb23ef1d7bp-8, 0x1.170de40b3e44fp-8, 0x1.11d6cacfbe516p-8, 0x1.0cb6108fe70bap-8, 0x1.07ab605b9a8edp-8, 0x1.02b6664ce1eb8p-8, 0x1.fbad9f0c2beecp-9, 0x1.f218945f5af43p-9, 0x1.e8ad0aec6a962p-9, 0x1.df6a631068e5dp-9, 0x1.d64fff282c6c7p-9, 0x1.cd5d438c0c1aep-9, 0x1.c491968bbea18p-9, 0x1.bbec6069feabdp-9, 0x1.b36d0b5873ca4p-9, 0x1.ab13037324939p-9, 0x1.a2ddb6bca16c5p-9, 0x1.9acc9519379aep-9, 0x1.92df104b1aeefp-9, 0x1.8b149bede4456p-9, 0x1.836cad7235c3bp-9, 0x1.7be6bc199d90dp-9, 0x1.748240f2202b5p-9, 0x1.6d3eb6d2025cdp-9, 0x1.661b9a537317p-9, 0x1.5f1869d04ab4cp-9, 0x1.5834a55d95506p-9, 0x1.516fcec7a7068p-9, 0x1.4ac9698d43c83p-9, 0x1.4440fadbf45acp-9, 0x1.3dd6098b321bp-9, 0x1.37881e1893747p-9, 0x1.3156c2a34674dp-9, 0x1.2b4182e7e3c15p-9, 0x1.2547ec3c32e89p-9, 0x1.1f698d8b00b8ep-9, 0x1.19a5f74fbddaap-9, 0x1.13fcbb9285903p-9, 0x1.0e6d6de3ad1d6p-9, 0x1.08f7a357df5b7p-9, 0x1.039af283962c2p-9, 0x1.fcade6eee6d4ep-10, 0x1.f2567f773fcfbp-10, 0x1.e82ee497ff8b9p-10, 0x1.de364f28239acp-10, 0x1.d46bfad584c91p-10, 0x1.cacf261cd4d8cp-10, 0x1.c15f1241b3e3cp-10, 0x1.b81b034659a6bp-10, 0x1.af023fe3f1d0dp-10, 0x1.a61411825f34bp-10, 0x1.9d4fc43088549p-10, 0x1.94b4a69c6a835p-10, 0x1.8c420a0b31864p-10, 0x1.83f74251b00acp-10, 0x1.7bd3a5cc5c426p-10, 0x1.73d68d57fd437p-10, 0x1.6bff5449a684fp-10, 0x1.644d58676ae03p-10, 0x1.5cbff9e0f36cbp-10, 0x1.55569b4782dd7p-10, 0x1.4e10a18728dd6p-10, 0x1.46ed73def395dp-10, 0x1.3fec7bd9e51ep-10, 0x1.390d25475e6dfp-10, 0x1.324ede3454fa7p-10, 0x1.2bb116e3d1ec7p-10, 0x1.253341c7f632cp-10, 0x1.1ed4d37b08b6cp-10, 0x1.189542b844632p-10, 0x1.127408551000ep-10, 0x1.0c709f3a20af8p-10, 0x1.068a845c8b7a1p-10, 0x1.00c136b6f20e6p-10, 0x1.f6286e8673e19p-11, 0x1.eb0611e66f37bp-11, 0x1.e01a615557b1fp-11, 0x1.d5646a70ce3e9p-11, 0x1.cae33e9ff9396p-11, 0x1.c095f306972d7p-11, 0x1.b67ba077fe387p-11, 0x1.ac93636ab6216p-11, 0x1.a2dc5bec2ac0fp-11, 0x1.9955ad93fbc8ep-11, 0x1.8ffe7f77e9b82p-11, 0x1.86d5fc1f7ece5p-11, 0x1.7ddb517856bf6p-11, 0x1.750db0c9fd04bp-11, 0x1.6c6c4ea9f8ab2p-11, 0x1.63f662f0d0f3cp-11, 0x1.5bab28ad79b43p-11, 0x1.5389de1ac6c13p-11, 0x1.4b91c493b9b6fp-11, 0x1.43c220880fb4bp-11, 0x1.3c1a3971d5a75p-11, 0x1.349959c9a000cp-11, 0x1.2d3ecefc7914ep-11, 0x1.2609e96057a3cp-11, 0x1.1ef9fc2a3e4dfp-11, 0x1.180e5d6339005p-11, 0x1.114665de1a3b1p-11, 0x1.0aa1712d43d39p-11, 0x1.041edd987c539p-11, 0x1.fb7c182554714p-12, 0x1.eefcc0605119ep-12, 0x1.e2be8039d1abp-12, 0x1.d6c029248a93dp-12, 0x1.cb00919ca1e75p-12, 0x1.bf7e9512f85fp-12, 0x1.b43913db0e409p-12, 0x1.a92ef3185b4cp-12, 0x1.9e5f1cac9c906p-12, 0x1.93c87f2436019p-12, 0x1.896a0da62bb0dp-12, 0x1.7f42bfe0ec51ap-12, 0x1.755191f974f9ep-12, 0x1.6b95847a58829p-12, 0x1.620d9c421f5f8p-12, 0x1.58b8e272d3681p-12, 0x1.4f966460ef591p-12, 0x1.46a53383995bp-12, 0x1.3de465640fb72p-12, 0x1.3553138d574d6p-12, 0x1.2cf05b7cc390fp-12, 0x1.24bb5e9285454p-12, 0x1.1cb342021b828p-12, 0x1.14d72ec27a6aap-12, 0x1.0d2651802d6c7p-12, 0x1.059fda8dca889p-12, 0x1.fc85fbaa0e876p-13, 0x1.ee1de5925f2ap-13, 0x1.e005e8b05e462p-13, 0x1.d23c81b94cef3p-13, 0x1.c4c03421084fep-13, 0x1.b78f89fc93ef9p-13, 0x1.aaa913e9566e5p-13, 0x1.9e0b68f128e68p-13, 0x1.91b52670b4481p-13, 0x1.85a4effc7dd48p-13, 0x1.79d96f48ba46p-13, 0x1.6e51540f1f8e1p-13, 0x1.630b53f616c1fp-13, 0x1.58062a787522cp-13, 0x1.4d4098cd4e5ebp-13, 0x1.42b965d02f4dp-13, 0x1.386f5de931ef8p-13, 0x1.2e6152f5f0d4ep-13, 0x1.248e1c32fd15bp-13, 0x1.1af49624ea082p-13, 0x1.1193a2824a58ep-13, 0x1.086a281e318bbp-13, 0x1.feee25a32fe8ap-14, 0x1.ed72a6cdfe4c1p-14, 0x1.dc5fbf0a994p-14, 0x1.cbb36334cca62p-14, 0x1.bb6b919132dacp-14, 0x1.ab86519fc69c2p-14, 0x1.9c01b3fa3444cp-14, 0x1.8cdbd2280868ap-14, 0x1.7e12ce7b46a0dp-14, 0x1.6fa4d3e9cf629p-14, 0x1.619015e71910dp-14, 0x1.53d2d04133681p-14, 0x1.466b46fb758ebp-14, 0x1.3957c62b76275p-14, 0x1.2c96a1d583d8ap-14, 0x1.202635cae427ep-14, 0x1.1404e5873c223p-14, 0x1.08311c0e7d11fp-14, 0x1.f952979afb7fap-15, 0x1.e2d7dcf062082p-15, 0x1.ccef09d52597dp-15, 0x1.b7952e10d0901p-15, 0x1.a2c7673e14af8p-15, 0x1.8e82e08a1fd69p-15, 0x1.7ac4d2803626p-15, 0x1.678a82c56f4edp-15, 0x1.54d143e530c9ep-15, 0x1.429675154b3b3p-15, 0x1.30d781fd71ad3p-15, 0x1.1f91e2801ed99p-15, 0x1.0ec31a8430c0ap-15, 0x1.fcd1737edab6fp-16, 0x1.dd00b701abe55p-16, 0x1.be0f4cf8f7344p-16, 0x1.9ff8993407a7fp-16, 0x1.82b81583053cbp-16, 0x1.6649514feb7fap-16, 0x1.4aa7f14164427p-16, 0x1.2fcfaedb4676dp-16, 0x1.15bc581b81e8ap-16, 0x1.f8d39e46b6fa3p-17, 0x1.c7a813ae86e28p-17, 0x1.97ee231294a76p-17, 0x1.699e05302b71bp-17, 0x1.3cb0184e88424p-17, 0x1.111cdf740e52ap-17, 0x1.cdba03a056af9p-18, 0x1.7bd294257286cp-18, 0x1.2c754b8e54675p-18, 0x1.bf2892d8f3622p-19, 0x1.2a43e11f0b70ap-19, 0x1.3443974f0e98p-20, 0x1.d503ba97e928ep-24, -0x1.e10b75fb0693cp-21, -0x1.f570bd031590ep-20, -0x1.78d1227a54a26p-19, -0x1.f2a56e2dd61a4p-19, -0x1.342687ee98a2cp-18, -0x1.6cefb0c995fe5p-18, -0x1.a3b9a5974d603p-18, -0x1.d88fa238f25d1p-18, -0x1.05be55c344745p-17, -0x1.1e45c8277ff9p-17, -0x1.35e37530a0011p-17, -0x1.4c9c8fb764b0ap-17, -0x1.62763101c488dp-17, -0x1.77755941a1da7p-17, -0x1.8b9ef003f1e28p-17, -0x1.9ef7c4a4a71d6p-17, -0x1.b1848ec202d7ap-17, -0x1.c349eeaa3bef1p-17, -0x1.d44c6dc946ba7p-17, -0x1.e4907f136a5d2p-17, -0x1.f41a7f74f8704p-17, -0x1.01775b190c8b8p-16, -0x1.0888aaa841ea2p-16, -0x1.0f433cfd9b55p-16, -0x1.15a91672bdfacp-16, -0x1.1bbc3155d5c1dp-16, -0x1.217e7e19d2836p-16, -0x1.26f1e3819a008p-16, -0x1.2c183ed2490c2p-16, -0x1.30f363fda3aa8p-16, -0x1.35851dcec09b7p-16, -0x1.39cf2e181b051p-16, -0x1.3dd34dd88a7eep-16, -0x1.41932d697aedbp-16, -0x1.451074a7fe6f6p-16, -0x1.484cc31bf3d9p-16, -0x1.4b49b01f01f84p-16, -0x1.4e08cb0590476p-16, -0x1.508b9b44a1f42p-16, -0x1.52d3a09595e84p-16, -0x1.54e2531c505b8p-16, -0x1.56b9238bffb59p-16, -0x1.58597b4a7d795p-16, -0x1.59c4bc925f668p-16, -0x1.5afc4295cd526p-16, -0x1.5c0161a088eb9p-16, -0x1.5cd5673830f75p-16, -0x1.5d799a3dcf4e5p-16, -0x1.5def3b0c2ae7bp-16, -0x1.5e378398dcc72p-16, -0x1.5e53a79186d7fp-16, -0x1.5e44d47b2737dp-16, -0x1.5e0c31cecf873p-16, -0x1.5daae11630fe3p-16, -0x1.5d21fe0a4c24dp-16, -0x1.5c729eae1512fp-16, -0x1.5b9dd3698a435p-16, -0x1.5aa4a724fe8f3p-16, -0x1.59881f63b5818p-16, -0x1.58493c5e15bd6p-16, -0x1.56e8f91bb3c31p-16, -0x1.55684b8a388abp-16, -0x1.53c82497b7f26p-16, -0x1.5209704adc542p-16, -0x1.502d15da76769p-16, -0x1.4e33f7c402e14p-16, -0x1.4c1ef3e2fb1c9p-16, -0x1.49eee3875d2f9p-16, -0x1.47a49b8b06a22p-16, -0x1.4540ec681db6bp-16, -0x1.42c4a24d63f96p-16, -0x1.40308532b9cebp-16, -0x1.3d8558ef3e2d6p-16, -0x1.3ac3dd4b862ffp-16, -0x1.37ecce162ab9cp-16, -0x1.3500e336a39a8p-16, -0x1.3200d0c081cf5p-16, -0x1.2eed470523366p-16, -0x1.2bc6f2a6ed889p-16, -0x1.288e7caa21f3cp-16, -0x1.25448a87cbb2fp-16, -0x1.21e9be3db89a7p-16, -0x1.1e7eb65fb7576p-16, -0x1.1b040e27a1ff9p-16, -0x1.177a5d8709d87p-16, -0x1.13e239353eb04p-16, -0x1.103c32c110fbbp-16, -0x1.0c88d89e23997p-16, -0x1.08c8b63538ad6p-16, -0x1.04fc53f2609bap-16, -0x1.012437538bbcap-16, -0x1.fa81c5ee57d49p-17, -0x1.f2a5ad52a6363p-17, -0x1.eab51ee49441ap-17, -0x1.e2b10f47b7e02p-17, -0x1.da9a6dcc5e1cap-17, -0x1.d2722488d91dfp-17, -0x1.ca3918736b371p-17, -0x1.c1f0297c93f6cp-17, -0x1.b99832a514802p-17, -0x1.b1320a17a829dp-17, -0x1.a8be813f96122p-17, -0x1.a03e64df9eeecp-17, -0x1.97b27d2a0553cp-17, -0x1.8f1b8dd4ded1bp-17, -0x1.867a5630b281bp-17, -0x1.7dcf913eae5dcp-17, -0x1.751bf5c43b944p-17, -0x1.6c603660b0bb1p-17, -0x1.639d01a07a0ccp-17, -0x1.5ad30211fd85fp-17, -0x1.5202de5817a3bp-17, -0x1.492d393ce9d81p-17, -0x1.4052b1c551e61p-17, -0x1.3773e34399c91p-17, -0x1.2e916568d3359p-17, -0x1.25abcc56ee054p-17, -0x1.1cc3a8b113311p-17, -0x1.13d987adbd421p-17, -0x1.0aedf326bcd34p-17, -0x1.020171aa5ab75p-17, -0x1.f2290d148cf6bp-18, -0x1.e04f63d92063dp-18, -0x1.ce76e1b505482p-18, -0x1.bca07a9d66a15p-18, -0x1.aacd1c8ceedebp-18, -0x1.98fdaf9bd3e79p-18, -0x1.87331620d9bb7p-18, -0x1.756e2cca8bf5bp-18, -0x1.63afcabb3d83bp-18, -0x1.51f8c1a49278fp-18, -0x1.4049dde309e26p-18, -0x1.2ea3e69657e8ep-18, -0x1.1d079dbc6628cp-18, -0x1.0b75c049fb132p-18, -0x1.f3de0c81c52e5p-19, -0x1.d0e8459bc6bc5p-19, -0x1.ae0b88b3410afp-19, -0x1.8b49294ce8183p-19, -0x1.68a271c4275cdp-19, -0x1.4618a37c43988p-19, -0x1.23acf70e2807cp-19, -0x1.01609c7197032p-19, -0x1.be69764c40c9p-20, -0x1.7a54e4c01e25ep-20, -0x1.3685b25bd9b12p-20, -0x1.e5fbfa9280b1ap-21, -0x1.5f7fa804a4c62p-21, -0x1.b334d6a0ef5e6p-22, -0x1.51409254bfde3p-23, 0x1.82db4cbf91bf6p-24, 0x1.68c9333a9a549p-22, 0x1.37c7e24b4a5aap-21, 0x1.ba81d64995837p-21, 0x1.1e4791cd4ab58p-20, 0x1.5ef64985d2929p-20, 0x1.9f4b83d7fe784p-20, 0x1.df45bf2d85b62p-20, 0x1.0f71c34a97a6fp-19, 0x1.2f11b8be2d17fp-19, 0x1.4e8211bd5799fp-19, 0x1.6dc2260796e1dp-19, 0x1.8cd1532fbe38ep-19, 0x1.abaefc86bac51p-19, 0x1.ca5a8af4e2353p-19, 0x1.e8d36ce606cebp-19, 0x1.038c8b1533dd1p-18, 0x1.12957fec55881p-18, 0x1.2184541c27fb8p-18, 0x1.3058c952e26a2p-18, 0x1.3f12a3bbbfdf8p-18, 0x1.4db1a9f2ab20cp-18, 0x1.5c35a4f8a0b64p-18, 0x1.6a9e60250954fp-18, 0x1.78eba91d4e7bap-18, 0x1.871d4fc60596ap-18, 0x1.95332639de045p-18, 0x1.a32d00bba1cd3p-18, 0x1.b10ab5ae80b41p-18, 0x1.becc1d87518c1p-18, 0x1.cc7112c3ece6p-18, 0x1.d9f971e14a671p-18, 0x1.e76519503668ep-18, 0x1.f4b3e96ad6d6ap-18, 0x1.00f2e235a4d1fp-17, 0x1.077d4730dcbebp-17, 0x1.0df9169502e8p-17, 0x1.146644323451fp-17, 0x1.1ac4c4b495db4p-17, 0x1.21148da0e8e1fp-17, 0x1.2755954fcef78p-17, 0x1.2d87d2e85080cp-17, 0x1.33ab3e5de3274p-17, 0x1.39bfd0698cf0cp-17, 0x1.3fc58287da8dp-17, 0x1.45bc4ef32487bp-17, 0x1.4ba430a0a6edap-17, 0x1.517d233c0162fp-17, 0x1.574723231cf88p-17, 0x1.5d022d635dc1ap-17, 0x1.62ae3fb46669dp-17, 0x1.684b587608065p-17, 0x1.6dd976ab498c5p-17, 0x1.735899f78bb63p-17, 0x1.78c8c29aeead3p-17, 0x1.7e29f16e7f7e9p-17, 0x1.837c27e161c49p-17, 0x1.88bf67f556756p-17, 0x1.8df3b43b1a584p-17, 0x1.93190fcfebea2p-17, 0x1.982f7e59d9f88p-17, 0x1.9d3704045d2c8p-17, 0x1.a22fa57e868d1p-17, 0x1.a71967f695a2p-17, 0x1.abf45117d07ddp-17, 0x1.b0c0670834deap-17, 0x1.b57db06376feep-17, 0x1.ba2c343ae7a48p-17, 0x1.becbfa11329e5p-17, 0x1.c35d09d7bc4e3p-17, 0x1.c7df6bec66f73p-17, 0x1.cc532917259a8p-17, 0x1.d0b84a85d1838p-17, 0x1.d50ed9cc937c3p-17, 0x1.d956e0e04b4bcp-17, 0x1.dd906a173ca6ep-17, 0x1.e1bb8023c30fep-17, 0x1.e5d82e13b4c12p-17, 0x1.e9e67f4deb73p-17, 0x1.ede67f8f3d05ap-17, 0x1.f1d83ae8c6d5p-17, 0x1.f5bbbdbe7e3adp-17, 0x1.f99114c373a1ep-17, 0x1.fd584cf9638dep-17, 0x1.0088b9d664577p-16, 0x1.025e4b3a5bed1p-16, 0x1.042ce197df60fp-16, 0x1.05f48400b9f8ap-16, 0x1.07b539a97fda2p-16, 0x1.096f09e6b925ep-16, 0x1.0b21fc2dc4f1fp-16, 0x1.0cce1812cd6e5p-16, 0x1.0e7365481e8ecp-16, 0x1.1011eb9d81c08p-16, 0x1.11a9b2ff40fe1p-16, 0x1.133ac374f5492p-16, 0x1.14c52521a4358p-16, 0x1.1648e04157195p-16, 0x1.17c5fd29d6665p-16, 0x1.193c84492c7aap-16, 0x1.1aac7e24d561ap-16, 0x1.1c15f359422b5p-16, 0x1.1d78ec9899b4fp-16, 0x1.1ed572aabf255p-16, 0x1.202b8e6b8e1fcp-16, 0x1.217b48cb5261cp-16, 0x1.22c4aacd3ab94p-16, 0x1.2407bd86c6056p-16, 0x1.25448a1f21153p-16, 0x1.267b19cf0bfe9p-16, 0x1.27ab75df1faefp-16, 0x1.28d5a7a81c769p-16, 0x1.29f9b891f3986p-16, 0x1.2b17b212c6c39p-16, 0x1.2c2f9daeed1f2p-16, 0x1.2d4184f7ffbbap-16, 0x1.2e4d718c331f6p-16, 0x1.2f536d163620cp-16, 0x1.3053814be164p-16, 0x1.314db7ee79a66p-16, 0x1.32421ac9713f4p-16, 0x1.3330b3b222f37p-16, 0x1.34198c87da9acp-16, 0x1.34fcaf31da8f7p-16, 0x1.35da25a0c84a9p-16, 0x1.36b1f9cc30d7fp-16, 0x1.378435b403235p-16, 0x1.3850e35e2951ep-16, 0x1.39180cd7a4aa2p-16, 0x1.39d9bc330706dp-16, 0x1.3a95fb88a1ad3p-16, 0x1.3b4cd4f58073cp-16, 0x1.3bfe529c0790cp-16, 0x1.3caa7ea1d2d8ap-16, 0x1.3d516330e5d37p-16, 0x1.3df30a76d72aep-16, 0x1.3e8f7ea317ac3p-16, 0x1.3f26c9e9342f2p-16, 0x1.3fb8f67d39ce9p-16, 0x1.40460e96339e6p-16, 0x1.40ce1c6c1347ep-16, 0x1.41512a37cddcep-16, 0x1.41cf4233027d4p-16, 0x1.42486e97c5bd3p-16, 0x1.42bcb99ff28b8p-16, 0x1.432c2d8510f95p-16, 0x1.4396d47fea23ap-16, 0x1.43fcb8c84dd6p-16, 0x1.445de4945cf44p-16, 0x1.44ba621923aeep-16, 0x1.45123b88e0849p-16, 0x1.45657b14339f8p-16, 0x1.45b42ae8e3f0ap-16, 0x1.45fe553180123p-16, 0x1.464404161df41p-16, 0x1.468541ba78126p-16, 0x1.46c2183f734adp-16, 0x1.46fa91c132b4dp-16, 0x1.472eb85811ac3p-16, 0x1.475e9617b324ep-16, 0x1.478a350ee8726p-16, 0x1.47b19f47c1daep-16, 0x1.47d4dec6a8016p-16, 0x1.47f3fd8aed744p-16, 0x1.480f058de75f3p-16, 0x1.482600c2f6e92p-16, 0x1.4838f91798565p-16, 0x1.4847f87283a72p-16, 0x1.485308b4220c9p-16, 0x1.485a33b5e82c8p-16, 0x1.485d834a4eed2p-16, 0x1.485d013cb5e99p-16, 0x1.4858b750fa3e2p-16, 0x1.4850af436c714p-16, 0x1.4844f2c8c37b3p-16, 0x1.48358b8d7599fp-16, 0x1.4822833613d41p-16, 0x1.480be35eff087p-16, 0x1.47f1b59bd8894p-16, 0x1.47d40377f61efp-16, 0x1.47b2d675a032cp-16, 0x1.478e380e8b95ap-16, 0x1.476631b2f7f6p-16, 0x1.473accca4f1edp-16, 0x1.470c12b23ac8p-16, 0x1.46da0cbf4c7bp-16, 0x1.46a4c43c2566ep-16, 0x1.466c4269cf018p-16, 0x1.4630907f5e13bp-16, 0x1.45f1b7a9e6789p-16, 0x1.45afc10c60751p-16, 0x1.456ab5bf85686p-16, 0x1.45229ed1ac7d6p-16, 0x1.44d78546ba17ep-16, 0x1.448972180a366p-16, 0x1.44386e342b459p-16, 0x1.43e4827f02dfap-16, 0x1.438db7d1908d1p-16, 0x1.433416f9dea29p-16, 0x1.42d7a8bac3906p-16, 0x1.427875cc270f3p-16, 0x1.421686da98ebfp-16, 0x1.41b1e4872db8ep-16, 0x1.414a976807b66p-16, 0x1.40e0a8073aeadp-16, 0x1.40741ee3dcca9p-16, 0x1.40050470ef84dp-16, 0x1.3f93611630d1ap-16, 0x1.3f1f3d2f2382p-16, 0x1.3ea8a10c1ad54p-16, 0x1.3e2f94f0d2e7ep-16, 0x1.3db42115c35f3p-16, 0x1.3d364da6e0eaep-16, 0x1.3cb622c492438p-16, 0x1.3c33a8829a06ap-16, 0x1.3baee6e913a27p-16, 0x1.3b27e5f3b3a9bp-16, 0x1.3a9ead91dcb9p-16, 0x1.3a1345a6ff4d5p-16, 0x1.3985b609c6a2cp-16, 0x1.38f6068512bedp-16, 0x1.38643ed6baaa5p-16, 0x1.37d066b0e933ap-16, 0x1.373a85b8a91d6p-16, 0x1.36a2a386fedd6p-16, 0x1.3608c7a840b78p-16, 0x1.356cf99c39545p-16, 0x1.34cf40d655defp-16, 0x1.342fa4bd4b3ap-16, 0x1.338e2cab21878p-16, 0x1.32eadfed9627dp-16, 0x1.3245c5c58c553p-16, 0x1.319ee56729f62p-16, 0x1.30f645fa5da49p-16, 0x1.304bee99e8f64p-16, 0x1.2f9fe6544aacbp-16, 0x1.2ef2342b219f8p-16, 0x1.2e42df137cb8p-16, 0x1.2d91edf5a42ddp-16, 0x1.2cdf67ad39f3dp-16, 0x1.2c2b53095adddp-16, 0x1.2b75b6cc18998p-16, 0x1.2abe99ab5856cp-16, 0x1.2a06024fbca38p-16, 0x1.294bf755f75eap-16, 0x1.28907f4d50236p-16, 0x1.27d3a0b9055ep-16, 0x1.2715620f45499p-16, 0x1.2655c9b9e5aedp-16, 0x1.2594de15fcd98p-16, 0x1.24d2a573ea3dfp-16, 0x1.240f2617e8bfep-16, 0x1.234a6638ea24cp-16, 0x1.22846c022364dp-16, 0x1.21bd3d9190345p-16, 0x1.20f4e0f8f4faap-16, 0x1.202b5c3dcb5ep-16, 0x1.1f60b55899a5ep-16, 0x1.1e94f235d38cfp-16, 0x1.1dc818b5755f8p-16, 0x1.1cfa2eaac03fbp-16, 0x1.1c2b39dd3aabcp-16, 0x1.1b5b40075af09p-16, 0x1.1a8a46d7c1557p-16, 0x1.19b853f0babacp-16, 0x1.18e56ce7eb92dp-16, 0x1.1811974766bebp-16, 0x1.173cd88c5a2a2p-16, 0x1.166736286b8dep-16, 0x1.1590b58089cb2p-16, 0x1.14b95bee3580dp-16, 0x1.13e12ebe0df2ep-16, 0x1.1308333196484p-16, 0x1.122e6e7d71057p-16, 0x1.1153e5cb30d1cp-16, 0x1.10789e379844dp-16, 0x1.0f9c9cd467c9fp-16, 0x1.0ebfe6a6ccfcap-16, 0x1.0de280a8c24c3p-16, 0x1.0d046fc827ae2p-16, 0x1.0c25b8e752bb5p-16, 0x1.0b4660dcdf215p-16, 0x1.0a666c73b51e8p-16, 0x1.0985e06b6f1c2p-16, 0x1.08a4c177c4854p-16, 0x1.07c314414b9cdp-16, 0x1.06e0dd64e96p-16, 0x1.05fe21741824p-16, 0x1.051ae4f5523b4p-16, 0x1.04372c634550bp-16, 0x1.0352fc2dde75bp-16, 0x1.026e58b972ae2p-16, 0x1.0189465f4720ep-16, 0x1.00a3c96ddfa2dp-16, 0x1.ff7bcc4fe6c24p-17, 0x1.fdaf418c8283p-17, 0x1.fbe1faeadb5f1p-17, 0x1.fa1400b07c0fp-17, 0x1.f8455b0bcf0afp-17, 0x1.f6761216422ddp-17, 0x1.f4a62dd3d64c4p-17, 0x1.f2d5b632d897p-17, 0x1.f104b30c7ccefp-17, 0x1.ef332c24bf013p-17, 0x1.ed61292aad074p-17, 0x1.eb8eb1b7ec07p-17, 0x1.e9bbcd520b1edp-17, 0x1.e7e88368f8853p-17, 0x1.e614db58c77f7p-17, 0x1.e440dc68665b3p-17, 0x1.e26c8dcad447ep-17, 0x1.e097f69e59048p-17, 0x1.dec31ded85662p-17, 0x1.dcee0aae59babp-17, 0x1.db18c3c333933p-17, 0x1.d9434ffa648fap-17, 0x1.d76db60ecf74cp-17, 0x1.d597fca708cb1p-17, 0x1.d3c22a5733e4bp-17, 0x1.d1ec459ecf5f3p-17, 0x1.d01654eb4d833p-17, 0x1.ce405e95dde48p-17, 0x1.cc6a68e56458bp-17, 0x1.ca947a0d86d9cp-17, 0x1.c8be982ee168p-17, 0x1.c6e8c9581d9f7p-17, 0x1.c51313841ce6bp-17, 0x1.c33d7c9ca94e4p-17, 0x1.c1680a77d76d8p-17, 0x1.bf92c2daae9c2p-17, 0x1.bdbdab7722218p-17, 0x1.bbe8c9edaed0ep-17, 0x1.ba1423ccf4b74p-17, 0x1.b83fbe913b2adp-17, 0x1.b66b9fa60a148p-17, 0x1.b497cc646c9f1p-17, 0x1.b2c44a14ba0f7p-17, 0x1.b0f11ded9de4p-17, 0x1.af1e4d14a7f21p-17, 0x1.ad4bdc9e43c03p-17, 0x1.ab79d18e3bab4p-17, 0x1.a9a830d6e7eefp-17, 0x1.a7d6ff5a9f953p-17, 0x1.a60641ea86efbp-17, 0x1.a435fd479ba62p-17, 0x1.a26636226b364p-17, 0x1.a096f11b243f2p-17, 0x1.9ec832c1f2bd2p-17, 0x1.9cf9ff9705cd9p-17, 0x1.9b2c5c0a7e634p-17, 0x1.995f4c7cce64cp-17, 0x1.9792d53ed12bbp-17, 0x1.95c6fa9182056p-17, 0x1.93fbc0a6f131dp-17, 0x1.92312ba151c65p-17, 0x1.90673f940fd24p-17, 0x1.8e9e008333491p-17, 0x1.8cd57263f1909p-17, 0x1.8b0d991c9f17ap-17, 0x1.89467884b2384p-17, 0x1.8780146557a7ap-17, 0x1.85ba7078ab952p-17, 0x1.83f5906b09747p-17, 0x1.823177d9c7babp-17, 0x1.806e2a54d40a5p-17, 0x1.7eabab5d4ae92p-17, 0x1.7ce9fe66f5a8p-17, 0x1.7b2926d766af4p-17, 0x1.7969280690d0ep-17, 0x1.77aa053ee1393p-17, 0x1.75ebc1bd257ep-17, 0x1.742e60b0c5446p-17, 0x1.7271e53c00386p-17, 0x1.70b65273c4421p-17, 0x1.6efbab600f855p-17, 0x1.6d41f2fbcc5a3p-17, 0x1.6b892c354eae6p-17, 0x1.69d159edc6c98p-17, 0x1.681a7efa1dcc5p-17, 0x1.66649e22b1f48p-17, 0x1.64afba231cf7ap-17, 0x1.62fbd5ab5ce35p-17, 0x1.6148f35e5917dp-17, 0x1.5f9715d3c39fdp-17, 0x1.5de63f96ac945p-17, 0x1.5c367326a98bep-17, 0x1.5a87b2f749d07p-17, 0x1.58da0170d0476p-17, 0x1.572d60ef38af3p-17, 0x1.5581d3c438ac4p-17, 0x1.53d75c349ec42p-17, 0x1.522dfc7bc5cacp-17, 0x1.5085b6c7fa8c1p-17, 0x1.4ede8d3e66681p-17, 0x1.4d3881f773667p-17, 0x1.4b93970264ad9p-17, 0x1.49efce62381c9p-17, 0x1.484d2a10aa9b2p-17, 0x1.46ababfbb6803p-17, 0x1.450b5607f4999p-17, 0x1.436c2a0edd454p-17, 0x1.41ce29e01d219p-17, 0x1.4031574116f3ap-17, 0x1.3e95b3ed17f75p-17, 0x1.3cfb4195acc1ep-17, 0x1.3b6201e2480c9p-17, 0x1.39c9f670df5c1p-17, 0x1.383320d5786e3p-17, 0x1.369d829ace867p-17, 0x1.35091d4200dc9p-17, 0x1.3375f242b85eap-17, 0x1.31e4030bbb1eep-17, 0x1.305351020a112p-17, 0x1.2ec3dd8222465p-17, 0x1.2d35a9df18803p-17, 0x1.2ba8b763551ebp-17, 0x1.2a1d07504b0e9p-17, 0x1.28929adee79f4p-17, 0x1.2709733f1a75fp-17, 0x1.25819198c4c96p-17, 0x1.23faf70adc98ap-17, 0x1.2275a4ac4f37dp-17, 0x1.20f19b8b7f088p-17, 0x1.1f6edcaef472ap-17, 0x1.1ded69149e822p-17, 0x1.1c6d41b31f167p-17, 0x1.1aee677837f03p-17, 0x1.1970db4af25dap-17, 0x1.17f49e094fa2cp-17, 0x1.1679b08b12a1ep-17, 0x1.1500139edc1d5p-17, 0x1.1387c80d4bff5p-17, 0x1.1210ce9652a46p-17, 0x1.109b27f377a8dp-17, 0x1.0f26d4d64bb7bp-17, 0x1.0db3d5e9ce868p-17, 0x1.0c422bd15336bp-17, 0x1.0ad1d729b755fp-17, 0x1.0962d8885cdd7p-17, 0x1.07f5307c49d9dp-17, 0x1.0688df8d50883p-17, 0x1.051de63cebfa7p-17, 0x1.03b44505a651bp-17, 0x1.024bfc5bc846ap-17, 0x1.00e50cacd6981p-17, 0x1.fefeecc07754dp-18, 0x1.fc3673ad8959p-18, 0x1.f970aed6bcc45p-18, 0x1.f6ad9ee4a2dd2p-18, 0x1.f3ed44748a9c4p-18, 0x1.f12fa01721088p-18, 0x1.ee74b2514d6c4p-18, 0x1.ebbc7b9c719b9p-18, 0x1.e906fc65f09c2p-18, 0x1.e65435100a46ep-18, 0x1.e3a425f186d44p-18, 0x1.e0f6cf55e4fa9p-18, 0x1.de4c317dde836p-18, 0x1.dba44c9f064c7p-18, 0x1.d8ff20e4288c3p-18, 0x1.d65cae6dc9a47p-18, 0x1.d3bcf55149a2ep-18, 0x1.d11ff59a6e8dep-18, 0x1.ce85af4a0e8d3p-18, 0x1.cbee22577d63cp-18, 0x1.c9594eaf95227p-18, 0x1.c6c73435e6d0fp-18, 0x1.c437d2c3a0406p-18, }}, 
      std::vector<double>(1350, 0.0), 
      {{0x1.ff9cfa57d41dap-8, 0x1.ffa373bead6a8p-7, 0x1.7fa649ac7c789p-6, 0x1.ff2780694b223p-6, 0x1.3efe25583ad09p-5, 0x1.7ddf5455d655dp-5, 0x1.bc04cb149f7b5p-5, 0x1.f9419aba295dcp-5, 0x1.1ab8b4dd055a4p-4, 0x1.383cdf0c3bebap-4, 0x1.552507dcd0fcap-4, 0x1.716d8a7251238p-4, 0x1.8d16cf2d22adp-4, 0x1.a8249e811262fp-4, 0x1.c29d6b528e96cp-4, 0x1.dc89a0c4e373fp-4, 0x1.f5f2fb21a6461p-4, 0x1.0771f86ac888dp-3, 0x1.13b397575c901p-3, 0x1.1fc3949275fd9p-3, 0x1.2ba6e1a4becafp-3, 0x1.3762057cc0b0ep-3, 0x1.42f9048a7af54p-3, 0x1.4e6f51eae9635p-3, 0x1.59c7c877973ffp-3, 0x1.6504aa6f4f89p-3, 0x1.7027a665e8b1ep-3, 0x1.7b31e0359ea44p-3, 0x1.8623fcc7b17edp-3, 0x1.90fe2faed252fp-3, 0x1.9bc049b78f832p-3, 0x1.a669c7bdc333dp-3, 0x1.b0f9e13edaa7p-3, 0x1.bb6f9645a2c34p-3, 0x1.c5c9bc6c3c279p-3, 0x1.d0070acaf8d8cp-3, 0x1.da2624bfbd4acp-3, 0x1.e425a388f4c66p-3, 0x1.ee041eba74723p-3, 0x1.f7c03399e2f85p-3, 0x1.00ac45ba583f6p-2, 0x1.0565f081e43efp-2, 0x1.0a0c8278d264dp-2, 0x1.0e9f70cb65679p-2, 0x1.131e3effc80a1p-2, 0x1.178880262990fp-2, 0x1.1bddd7bdec242p-2, 0x1.201dfa56ddd5fp-2, 0x1.2448adf4daaaep-2, 0x1.285dca3b8a06fp-2, 0x1.2c5d386782fa6p-2, 0x1.3046f319bd4ffp-2, 0x1.341b05f9f1f4fp-2, 0x1.37d98d3461573p-2, 0x1.3b82b4d745144p-2, 0x1.3f16b814227edp-2, 0x1.4295e06910c1cp-2, 0x1.460084b5f35e9p-2, 0x1.495708417ead7p-2, 0x1.4c99d9b1d417cp-2, 0x1.4fc971fc39e54p-2, 0x1.52e6534f65407p-2, 0x1.55f107fb79179p-2, 0x1.58ea215abbf33p-2, 0x1.5bd236bdad229p-2, 0x1.5ea9e45cefec8p-2, 0x1.6171ca533133ep-2, 0x1.642a8ba0e36eap-2, 0x1.66d4cd3b68a2p-2, 0x1.69713528f3cdep-2, 0x1.6c0069aa29384p-2, 0x1.6e83107241506p-2, 0x1.70f9cdee30572p-2, 0x1.7365449b23b9fp-2, 0x1.75c6146c601e9p-2, 0x1.781cda4072edfp-2, 0x1.7a6a2f656bb9bp-2, 0x1.7caea92bb7716p-2, 0x1.7eead8871a5ap-2, 0x1.811f49bd252a8p-2, 0x1.834c842079575p-2, 0x1.857309d810ec1p-2, 0x1.879357b1c7fe6p-2, 0x1.89ade4ff4a117p-2, 0x1.8bc3237c9676ap-2, 0x1.8dd37f3f4034ep-2, 0x1.8fdf5ead988f5p-2, 0x1.91e7227cf7a78p-2, 0x1.93eb25b65c721p-2, 0x1.95ebbdc0a66dep-2, 0x1.97e93a6fba149p-2, 0x1.99e3e617e4edcp-2, 0x1.9bdc05a4e6e5ep-2, 0x1.9dd1d8b412db5p-2, 0x1.9fc599b0ffcb6p-2, 0x1.a1b77df459286p-2, 0x1.a3a7b5e45e326p-2, 0x1.a5966d16b3f52p-2, 0x1.a783ca733267ep-2, 0x1.a96ff05767309p-2, 0x1.ab5afcba8e449p-2, 0x1.ad450951c0a31p-2, 0x1.af2e2bb43749ap-2, 0x1.b116757f76695p-2, 0x1.b2fdf47b3b79ep-2, 0x1.b4e4b2bd20886p-2, 0x1.b6cab6cbd5f88p-2, 0x1.b8b003c1e9ec3p-2, 0x1.ba94997010911p-2, 0x1.bc78747ee4f7cp-2, 0x1.be5b8e902042fp-2, 0x1.c03dde5f43a8ep-2, 0x1.c21f57e1b3f5ap-2, 0x1.c3ffec664e084p-2, 0x1.c5df8ab46db21p-2, 0x1.c7be1f2a757b9p-2, 0x1.c99b93dbd196ap-2, 0x1.cb77d0ae80fdep-2, 0x1.cd52bb782612p-2, 0x1.cf2c381aa4dep-2, 0x1.d10428a05134ap-2, 0x1.d2da6d57b02c5p-2, 0x1.d4aee4eed402ep-2, 0x1.d6816c8e4e735p-2, 0x1.d851dff3c32b9p-2, 0x1.da20198c12058p-2, 0x1.dbebf28d22b24p-2, 0x1.ddb5430f4f321p-2, 0x1.df7be22668b48p-2, 0x1.e13fa5fa59135p-2, 0x1.e30063df60e77p-2, 0x1.e4bdf06deabf4p-2, 0x1.e6781f99f6895p-2, 0x1.e82ec4ca15491p-2, 0x1.e9e1b2edf7492p-2, 0x1.eb90bc9480798p-2, 0x1.ed3bb4016ae5ap-2, 0x1.eee26b42699efp-2, 0x1.f084b443cbabbp-2, 0x1.f22260e49a948p-2, 0x1.f3bb430a34904p-2, 0x1.f54f2cb3558ccp-2, 0x1.f6ddf00a930b1p-2, 0x1.f8675f7845158p-2, 0x1.f9eb4db3d7ebfp-2, 0x1.fb698dd4818d9p-2, 0x1.fce1f3615e361p-2, 0x1.fe545260e8ce9p-2, 0x1.ffc07f67d6cc3p-2, 0x1.009327d3a4b51p-1, 0x1.0142cc7d307ffp-1, 0x1.01ef18f990de8p-1, 0x1.0297f8f35bb65p-1, 0x1.033d587c85f9p-1, 0x1.03df2413dc328p-1, 0x1.047d48aa26367p-1, 0x1.0517b3a6f7047p-1, 0x1.05ae52ed291cap-1, 0x1.064114df0895ep-1, 0x1.06cfe8622a851p-1, 0x1.075abce2f2ceap-1, 0x1.07e18257cc585p-1, 0x1.086429440f6d3p-1, 0x1.08e2a2ba9cb45p-1, 0x1.095ce0602bd8dp-1, 0x1.09d2d46d4fa6cp-1, 0x1.0a4471b03276ep-1, 0x1.0ab1ab8e0b233p-1, 0x1.0b1a76044dcfbp-1, 0x1.0b7ec5a99a11dp-1, 0x1.0bde8fae67c87p-1, 0x1.0c39c9dd777a9p-1, 0x1.0c906a9c03d1bp-1, 0x1.0ce268e9bb716p-1, 0x1.0d2fbc608283ep-1, 0x1.0d785d33fe9ep-1, 0x1.0dbc4430ef9f1p-1, 0x1.0dfb6abc58d8bp-1, 0x1.0e35cad27c40dp-1, 0x1.0e6b5f05a81f2p-1, 0x1.0e9c227cdcb3ep-1, 0x1.0ec810f24b2bdp-1, 0x1.0eef26b1ae888p-1, 0x1.0f11609682ab3p-1, 0x1.0f2ebc0a1bedbp-1, 0x1.0f4737019ff1fp-1, 0x1.0f5acffbe2841p-1, 0x1.0f6985ff2a4bep-1, 0x1.0f735896dbfc5p-1, 0x1.0f7847d1130a2p-1, 0x1.0f78543c234b7p-1, 0x1.0f737ee40cf4fp-1, 0x1.0f69c94fdde66p-1, 0x1.0f5b357f074f2p-1, 0x1.0f47c5e6a5e8dp-1, 0x1.0f2f7d6ec27f7p-1, 0x1.0f125f6f8580bp-1, 0x1.0ef06fae68576p-1, 0x1.0ec9b25b5dc3ep-1, 0x1.0e9e2c0df838dp-1, 0x1.0e6de1c28b621p-1, 0x1.0e38d8d74f358p-1, 0x1.0dff17097fef9p-1, 0x1.0dc0a27280b38p-1, 0x1.0d7d81850096dp-1, 0x1.0d35bb0a21a76p-1, 0x1.0ce9561ea5004p-1, 0x1.0c985a301b0c1p-1, 0x1.0c42cefa1b7a3p-1, 0x1.0be8bc8381d13p-1, 0x1.0b8a2b1bb377p-1, 0x1.0b272357ecc1dp-1, 0x1.0abfae10969cdp-1, 0x1.0a53d45ea79bfp-1, 0x1.09e39f990be14p-1, 0x1.096f195219fb6p-1, 0x1.08f64b551252p-1, 0x1.08793fa3a7cf3p-1, 0x1.07f80073977c8p-1, 0x1.0772982c4923fp-1, 0x1.06e911647d233p-1, 0x1.065b76e0068efp-1, 0x1.05c9d38d92f88p-1, 0x1.053432847c515p-1, 0x1.049a9f02aa32cp-1, 0x1.03fd246a7f061p-1, 0x1.035bce40d225ap-1, 0x1.02b6a82af6bf6p-1, 0x1.020dbdeccfb0bp-1, 0x1.01611b66f174cp-1, 0x1.00b0cc94ceda1p-1, 0x1.fff9bb15e8052p-2, 0x1.fe8ab4ea9cbadp-2, 0x1.fd149f2affaf4p-2, 0x1.fb9792827fcf2p-2, 0x1.fa13a7c18f2dep-2, 0x1.f888f7da957d6p-2, 0x1.f6f79bdefa453p-2, 0x1.f55facfc42e4ap-2, 0x1.f3c144794eedap-2, 0x1.f21c7bb3a2923p-2, 0x1.f0716c1ccfdb1p-2, 0x1.eec02f37edf21p-2, 0x1.ed08de972c205p-2, 0x1.eb4b93d974328p-2, 0x1.e98868a8249bcp-2, 0x1.e7bf76b4de64p-2, 0x1.e5f0d7b7635bap-2, 0x1.e41ca56b8a4cdp-2, 0x1.e242f98f4453fp-2, 0x1.e063ede0b27dbp-2, 0x1.de7f9c1c50f21p-2, 0x1.dc961dfb2b5bfp-2, 0x1.daa78d312ad2dp-2, 0x1.d8b4036b697bdp-2, 0x1.d6bb9a4e9e5bfp-2, 0x1.d4be6b759184ep-2, 0x1.d2bc906f9f35dp-2, 0x1.d0b622bf4d75dp-2, 0x1.ceab3bd8e8b6bp-2, 0x1.cc9bf5212f6c6p-2, 0x1.ca8867ec0bb77p-2, 0x1.c870ad7b564b8p-2, 0x1.c654defda4c5p-2, 0x1.c435158d23df9p-2, 0x1.c2116a2e7ae7cp-2, 0x1.bfe9f5cfba9d2p-2, 0x1.bdbed14754df6p-2, 0x1.bb9015531bd5ep-2, 0x1.b95dda974d67ap-2, 0x1.b728399da3fa4p-2, 0x1.b4ef4ad471bf5p-2, 0x1.b2b3268dbf863p-2, 0x1.b073e4fe78bfap-2, 0x1.ae319e3d99b47p-2, 0x1.abec6a4366172p-2, 0x1.a9a460e8a62ecp-2, 0x1.a75999e5ea299p-2, 0x1.a50c2cd2d408fp-2, 0x1.a2bc312563cp-2, 0x1.a069be314e511p-2, 0x1.9e14eb2753995p-2, 0x1.9bbdcf149eaa9p-2, 0x1.996480e22695ep-2, 0x1.97091754155e1p-2, 0x1.94aba9093512bp-2, 0x1.924c4c7a5c09ep-2, 0x1.8feb17f9e093fp-2, 0x1.8d8821b31185fp-2, 0x1.8b237fa9aec3bp-2, 0x1.88bd47b968631p-2, 0x1.86558f955dcf1p-2, 0x1.83ec6cc7a3f48p-2, 0x1.8181f4b0cafdap-2, 0x1.7f163c876a36fp-2, 0x1.7ca95957aa308p-2, 0x1.7a3b6002d7ac2p-2, 0x1.77cc653ef3766p-2, 0x1.755c7d964868fp-2, 0x1.72ebbd67032e8p-2, 0x1.707a38e2cc39cp-2, 0x1.6e08040e63efdp-2, 0x1.6b9532c141758p-2, 0x1.6921d8a533b01p-2, 0x1.66ae093604e97p-2, 0x1.6439d7c121177p-2, 0x1.61c557653c23ep-2, 0x1.5f509b11fc292p-2, 0x1.5cdbb587a7344p-2, 0x1.5a66b956cfb46p-2, 0x1.57f1b8e00632p-2, 0x1.557cc6538c57cp-2, 0x1.5307f3b1086b9p-2, 0x1.509352c73d2e1p-2, 0x1.4e1ef533c37c1p-2, 0x1.4baaec62c5b29p-2, 0x1.4937498ebb12ep-2, 0x1.46c41dc02aa03p-2, 0x1.445179cd6aeap-2, 0x1.41df6e5a663b5p-2, 0x1.3f6e0bd8624fap-2, 0x1.3cfd6285c5d41p-2, 0x1.3a8d826de7258p-2, 0x1.381e7b68d7192p-2, 0x1.35b05d1b302bp-2, 0x1.334336f5e9a1cp-2, 0x1.30d718362ab29p-2, 0x1.2e6c0fe5227b5p-2, 0x1.2c022cd7dd599p-2, 0x1.29997daf24cf3p-2, 0x1.273210d759bp-2, 0x1.24cbf4885558p-2, 0x1.226736c54ca5p-2, 0x1.2003e55cb440fp-2, 0x1.1da20de82952dp-2, 0x1.1b41bdcc5a2fap-2, 0x1.18e30238f4c24p-2, 0x1.1685e82894135p-2, 0x1.142a7c60b3f82p-2, 0x1.11d0cb71a3e14p-2, 0x1.0f78e1b67f607p-2, 0x1.0d22cb55263dfp-2, 0x1.0ace943e3ab65p-2, 0x1.087c482d1df57p-2, 0x1.062bf2a7f4ed3p-2, 0x1.03dd9effa8c61p-2, 0x1.0191584ff1ddep-2, 0x1.fe8e52febafe7p-3, 0x1.f9fe3a7eb9abdp-3, 0x1.f5727c18a522p-3, 0x1.f0eb2c5b4ab75p-3, 0x1.ec685f6ba74f5p-3, 0x1.e7ea290515f99p-3, 0x1.e3709c7982f5bp-3, 0x1.defbccb1a31e1p-3, 0x1.da8bcc2d341dcp-3, 0x1.d620ad033e691p-3, 0x1.d1ba80e25d5e6p-3, 0x1.cd5959110bccbp-3, 0x1.c8fd466dfa274p-3, 0x1.c4a6597060537p-3, 0x1.c054a22861ef3p-3, 0x1.bc08303f6c6f2p-3, 0x1.b7c112f89d27cp-3, 0x1.b37f59313103p-3, 0x1.af431160f0b19p-3, 0x1.ab0c499aad924p-3, 0x1.a6db0f8cb7907p-3, 0x1.a2af70815bcdap-3, 0x1.9e89795f6cf89p-3, 0x1.9a6936aac9e1bp-3, 0x1.964eb484ebfa5p-3, 0x1.9239fead76b4fp-3, 0x1.8e2b2082d173ep-3, 0x1.8a222502c258bp-3, 0x1.861f16cb09141p-3, 0x1.8222001a06e73p-3, 0x1.7e2aeacf64e29p-3, 0x1.7a39e06cbda9fp-3, 0x1.764eea165003ep-3, 0x1.726a1093b1692p-3, 0x1.6e8b5c5082568p-3, 0x1.6ab2d55d2eefap-3, 0x1.66e0836fa7b63p-3, 0x1.63146de42af8dp-3, 0x1.5f4e9bbe01f02p-3, 0x1.5b8f13a850559p-3, 0x1.57d5dbf6deb2ep-3, 0x1.5422faa6e9171p-3, 0x1.5076755ff231fp-3, 0x1.4cd0517498316p-3, 0x1.493093e36e04fp-3, 0x1.45974157d8261p-3, 0x1.42045e2ae5db8p-3, 0x1.3e77ee6435ecp-3, 0x1.3af1f5bad7cc8p-3, 0x1.3772779632154p-3, 0x1.33f9770ee734ap-3, 0x1.3086f6efc3ceep-3, 0x1.2d1af9b6a6f5ap-3, 0x1.29b581957168ep-3, 0x1.26569072f69a5p-3, 0x1.22fe27ebe94abp-3, 0x1.1fac4953d63ap-3, 0x1.1c60f5b61287bp-3, 0x1.191c2dd6b49ffp-3, 0x1.15ddf2338b67fp-3, 0x1.12a64305172b3p-3, 0x1.0f75203f844c4p-3, 0x1.0c4a8993a4326p-3, 0x1.09267e6fec6p-3, 0x1.0608fe017203fp-3, 0x1.02f20734e66c3p-3, 0x1.ffc3316f317f3p-4, 0x1.f9af61f0e31edp-4, 0x1.f3a89c51ee691p-4, 0x1.edaedc7c8d7abp-4, 0x1.e7c21de4379fcp-4, 0x1.e1e25b8798765p-4, 0x1.dc0f8ff295246p-4, 0x1.d649b5404fcb3p-4, 0x1.d090c51d222f4p-4, 0x1.cae4b8c8a9f72p-4, 0x1.c5458917bc4a3p-4, 0x1.bfb32e76704dp-4, 0x1.ba2da0ea19c96p-4, 0x1.b4b4d8134ca1cp-4, 0x1.af48cb2fd231bp-4, 0x1.a9e9711cb046p-4, 0x1.a496c0581af9p-4, 0x1.9f50af0374a0cp-4, 0x1.9a1732e53fab3p-4, 0x1.94ea416b1c168p-4, 0x1.8fc9cfabb7b76p-4, 0x1.8ab5d268bfe8p-4, 0x1.85ae3e10d3be1p-4, 0x1.80b306c16d1aap-4, 0x1.7bc42048d583ep-4, 0x1.76e17e2801d61p-4, 0x1.720b1394828a9p-4, 0x1.6d40d37a63a19p-4, 0x1.6882b07e0907ep-4, 0x1.63d09cfe1205dp-4, 0x1.5f2a8b152d5fdp-4, 0x1.5a906c9bf4dafp-4, 0x1.5602332abe05cp-4, 0x1.517fd01b685e2p-4, 0x1.4d09348b2e473p-4, 0x1.489e515c69af1p-4, 0x1.443f17385a1ccp-4, 0x1.3feb7690e70c2p-4, 0x1.3ba35fa25c7c2p-4, 0x1.3766c27522e9cp-4, 0x1.33358edf75888p-4, 0x1.2f0fb48714157p-4, 0x1.2af522e2ecec2p-4, 0x1.26e5c93cc9658p-4, 0x1.22e196b2ee99fp-4, 0x1.1ee87a39bed7dp-4, 0x1.1afa629d546a8p-4, 0x1.17173e831855ap-4, 0x1.133efc6b555e8p-4, 0x1.0f718ab2c5ce7p-4, 0x1.0baed79419a4ep-4, 0x1.07f6d1297c6ebp-4, 0x1.0449656e192fp-4, 0x1.00a6823f8cdcdp-4, 0x1.fa1c2abec4671p-5, 0x1.f30018e9020d1p-5, 0x1.ebf8aa1934d2ap-5, 0x1.e505b93b2198cp-5, 0x1.de27210daf503p-5, 0x1.d75cbc25a9201p-5, 0x1.d0a664f069ad6p-5, 0x1.ca03f5b683ecep-5, 0x1.c375489e64363p-5, 0x1.bcfa37aed4d8p-5, 0x1.b6929cd1998abp-5, 0x1.b03e51d5e26c7p-5, 0x1.a9fd3072c1ce3p-5, 0x1.a3cf124997cc5p-5, 0x1.9db3d0e871972p-5, 0x1.97ab45cc65905p-5, 0x1.91b54a63d1265p-5, 0x1.8bd1b810aef6bp-5, 0x1.8600682ab775ep-5, 0x1.80413401a5799p-5, 0x1.7a93f4df4b44p-5, 0x1.74f88409ae988p-5, 0x1.6f6ebac51b4fdp-5, 0x1.69f6725627da2p-5, 0x1.648f8403b6efep-5, 0x1.5f39c918d88a5p-5, 0x1.59f51ae6c701ap-5, 0x1.54c152c6bc692p-5, 0x1.4f9e4a1bbf794p-5, 0x1.4a8bda5476cf7p-5, 0x1.4589dcecf1f9ap-5, 0x1.40982b704c27bp-5, 0x1.3bb69f7a6e2ddp-5, 0x1.36e512b9a3d74p-5, 0x1.32235ef04763fp-5, 0x1.2d715df63d85fp-5, 0x1.28cee9ba959d1p-5, 0x1.243bdc44f7473p-5, 0x1.1fb80fb71e047p-5, 0x1.1b435e4e482fdp-5, 0x1.16dda2649b6a6p-5, 0x1.1286b6727930ep-5, 0x1.0e3e750fd9c6dp-5, 0x1.0a04b8f58d71fp-5, 0x1.05d95cfe840bap-5, 0x1.01bc3c28fe0dp-5, 0x1.fb5a632f88956p-6, 0x1.f3583126930cep-6, 0x1.eb7199158c09ap-6, 0x1.e3a6522ab675cp-6, 0x1.dbf613e61b3b1p-6, 0x1.d460961bc8e07p-6, 0x1.cce590f59a1efp-6, 0x1.c584bcf5492aap-6, 0x1.be3dd2f6445a4p-6, 0x1.b7108c2f6a2e6p-6, 0x1.affca234e39a2p-6, 0x1.a901cef9b24cfp-6, 0x1.a21fccd17963ep-6, 0x1.9b565671dd41ap-6, 0x1.94a526f44266p-6, 0x1.8e0bf9d70746p-6, 0x1.878a8aff199eep-6, 0x1.812096b92cc9cp-6, 0x1.7acdd9bb160eap-6, 0x1.749211251f1dcp-6, 0x1.6e6cfa82fe767p-6, 0x1.685e53cd346eap-6, 0x1.6265db6a02e54p-6, 0x1.5c83502e7c2ep-6, 0x1.56b6715f86ba5p-6, 0x1.50fefeb2c6b91p-6, 0x1.4b5cb84f87b69p-6, 0x1.45cf5ecf96c12p-6, 0x1.4056b34008d9ap-6, 0x1.3af277220a89ep-6, 0x1.35a26c6b794c7p-6, 0x1.30665587c351dp-6, 0x1.2b3df55845cc5p-6, 0x1.26290f351dee4p-6, 0x1.212766ed96b0fp-6, 0x1.1c38c0c8a4adcp-6, 0x1.175ce18574432p-6, 0x1.12938e5bbd52p-6, 0x1.0ddc8cfc3b922p-6, 0x1.0937a390fa91cp-6, 0x1.04a498bdb07c4p-6, 0x1.0023339ff1789p-6, 0x1.f766779f2f9d2p-7, 0x1.eea8f2bd6e789p-7, 0x1.e60d69b4292d5p-7, 0x1.dd936e9211deep-7, 0x1.d53a945b99c16p-7, 0x1.cd026f0ae3068p-7, 0x1.c4ea938fe9ae2p-7, 0x1.bcf297d089273p-7, 0x1.b51a12a88629dp-7, 0x1.ad609be95503ap-7, 0x1.a5c5cc5a2eb3cp-7, 0x1.9e493db790d91p-7, 0x1.96ea8ab360e1p-7, 0x1.8fa94ef42867ap-7, 0x1.888527154679fp-7, 0x1.817db0a601bcdp-7, 0x1.7a928a2966a66p-7, 0x1.73c35315c6039p-7, 0x1.6d0fabd40944bp-7, 0x1.667735bf25c0ep-7, 0x1.5ff993238ff93p-7, 0x1.5996673e73bfcp-7, 0x1.534d563d13c71p-7, 0x1.4d1e053c00607p-7, 0x1.47081a463c5b8p-7, 0x1.410b3c548cae2p-7, 0x1.3b27134c71225p-7, 0x1.355b47ff5a851p-7, 0x1.2fa78429ae4ecp-7, 0x1.2a0b7271deb37p-7, 0x1.2486be67433aep-7, 0x1.1f19148133e94p-7, 0x1.19c2221e04be1p-7, 0x1.14819581a840bp-7, 0x1.0f571dd4e7a74p-7, 0x1.0a426b23fb897p-7, 0x1.05432e5d90f0ep-7, 0x1.0059195152247p-7, 0x1.f707bd5e06739p-8, 0x1.ed866409fb4b9p-8, 0x1.e42d8f7e097ebp-8, 0x1.dafcaa4a11e4ep-8, 0x1.d1f320b36b39p-8, 0x1.c91060b26326p-8, 0x1.c053d9ef999c7p-8, 0x1.b7bcfdc118e24p-8, 0x1.af4b3f278f698p-8, 0x1.a6fe12cbd8773p-8, 0x1.9ed4eefb84a5bp-8, 0x1.96cf4ba6888b2p-8, 0x1.8eeca25c20b6cp-8, 0x1.872c6e47ca826p-8, 0x1.7f8e2c2e9785ep-8, 0x1.78115a6be09adp-8, 0x1.70b578ee6fefap-8, 0x1.697a093585ab7p-8, 0x1.625e8e4dacb82p-8, 0x1.5b628ccdd9db9p-8, 0x1.54858ad417f95p-8, 0x1.4dc71002a9fc4p-8, 0x1.4726a57ccba4ep-8, 0x1.40a3d5e388036p-8, 0x1.3a3e2d52e77bep-8, 0x1.33f5395e45e6bp-8, 0x1.2dc8890d97a96p-8, 0x1.27b7acda1d019p-8, 0x1.21c236ab073d8p-8, 0x1.1be7b9d2aab14p-8, 0x1.1627cb0ae499ap-8, 0x1.10820072413f3p-8, 0x1.0af5f1886eccp-8, 0x1.0583372b77227p-8, 0x1.00296b9425306p-8, 0x1.f5d054a62499cp-9, 0x1.eb7e209a9bf15p-9, 0x1.e15b7772964b1p-9, 0x1.d7679836d7123p-9, 0x1.cda1c48648ae7p-9, 0x1.c409408f1f8cap-9, 0x1.ba9d53084535cp-9, 0x1.b15d452bdfb08p-9, 0x1.a84862afc6962p-9, 0x1.9f5df9bfe78cdp-9, 0x1.969d5af7b39f1p-9, 0x1.8e05d95bf1588p-9, 0x1.8596ca53ffe48p-9, 0x1.7d4f85a434c75p-9, 0x1.752f6566d14d3p-9, 0x1.6d35c60658f1bp-9, 0x1.656206371a4d2p-9, 0x1.5db386f0de49dp-9, 0x1.5629ab68f55c4p-9, 0x1.4ec3d90b97e86p-9, 0x1.478177765a7eep-9, 0x1.4061f071b129bp-9, 0x1.3964afeaca89ep-9, 0x1.328923ed832adp-9, 0x1.2bcebc9ea3b4bp-9, 0x1.2534ec35b5d96p-9, 0x1.1ebb26f6b53ap-9, 0x1.1860e32ca95c1p-9, 0x1.122599236b633p-9, 0x1.0c08c32198444p-9, 0x1.0609dd63401eap-9, 0x1.0028661390f0dp-9, 0x1.f4c7ba8e5c3f7p-10, 0x1.e97789edc1e19p-10, 0x1.de5f41f1f77eap-10, 0x1.d37dedf943cb1p-10, 0x1.c8d29d06fa45cp-10, 0x1.be5c61b9309d1p-10, 0x1.b41a523c9d737p-10, 0x1.aa0b884265693p-10, 0x1.a02f20f4e7719p-10, 0x1.96843cec958acp-10, 0x1.8d0a002556d1ap-10, 0x1.83bf91f3eab5dp-10, 0x1.7aa41cfb18635p-10, 0x1.71b6cf21305ccp-10, 0x1.68f6d9852c21ap-10, 0x1.606370751d594p-10, 0x1.57fbcb62edc59p-10, 0x1.4fbf24daa8261p-10, 0x1.47acba788b1p-10, 0x1.3fc3ccde06cdap-10, 0x1.38039fa8e9afep-10, 0x1.306b79689879cp-10, 0x1.28faa39456232p-10, 0x1.21b06a827c8cfp-10, 0x1.1a8c1d5d23aeep-10, 0x1.138d0e1a6f442p-10, 0x1.0cb291717aa71p-10, 0x1.05fbfed21b54ep-10, 0x1.fed160b601e4p-11, 0x1.f1f005a12ac48p-11, 0x1.e552ab2798a92p-11, 0x1.d8f81533047ddp-11, 0x1.ccdf0cc1ef2a6p-11, 0x1.c1065fd69baa5p-11, 0x1.b56ce16525b5ap-11, 0x1.aa116942df997p-11, 0x1.9ef2d41363e56p-11, 0x1.9410033a134dp-11, 0x1.8967dcc6c5bbp-11, 0x1.7ef94b668f8cfp-11, 0x1.74c33e52dc8b1p-11, 0x1.6ac4a94117d69p-11, 0x1.60fc8451af767p-11, 0x1.5769cc026416ep-11, 0x1.4e0b811b3cfdap-11, 0x1.44e0a8a1b79d7p-11, 0x1.3be84bc78387cp-11, 0x1.332177dc2e3ddp-11, 0x1.2a8b3e3ceeecdp-11, 0x1.2224b447062a6p-11, 0x1.19ecf34792ec5p-11, 0x1.11e3186e0bf0dp-11, 0x1.0a0644bca138dp-11, 0x1.02559cfb0d092p-11, 0x1.f5a093502a58ap-12, 0x1.e6eaedd4f662ap-12, 0x1.d888a9092641ep-12, 0x1.ca782b8c6293ep-12, 0x1.bcb7e2fc90386p-12, 0x1.af4643de01259p-12, 0x1.a221c97e5b00ap-12, 0x1.9548f5dcd333ep-12, 0x1.88ba518d35815p-12, 0x1.7c746ba36cf8ep-12, 0x1.7075d9952a5c6p-12, 0x1.64bd37240d5a8p-12, 0x1.594926443ce92p-12, 0x1.4e184f04c1882p-12, 0x1.43295f7662f68p-12, 0x1.387b0b95152d5p-12, 0x1.2e0c0d305fb25p-12, 0x1.23db23d3d1863p-12, 0x1.19e714b1c0588p-12, 0x1.102eaa8ab89a6p-12, 0x1.06b0b5988367p-12, 0x1.fad816f06c267p-13, 0x1.e8bf0e297cfa1p-13, 0x1.d714112179203p-13, 0x1.c5d4ea642b2ffp-13, 0x1.b4ff6e9ab090fp-13, 0x1.a4917c61a5b95p-13, 0x1.9488fc2211e19p-13, 0x1.84e3dfe58289cp-13, 0x1.75a023349b084p-13, 0x1.66bbcaebd5c9dp-13, 0x1.5834e516aeaefp-13, 0x1.4a0988c8b82e8p-13, 0x1.3c37d5fa9f7a6p-13, 0x1.2ebdf563191a2p-13, 0x1.219a185320b3dp-13, 0x1.14ca7893b5d61p-13, 0x1.084d5840b5449p-13, 0x1.f842034ae5a6cp-14, 0x1.e0878e3a1a3ep-14, 0x1.c96805dd313bcp-14, 0x1.b2e02e593825cp-14, 0x1.9cecdb25d7925p-14, 0x1.878aeecf08173p-14, 0x1.72b75ab3d26ffp-14, 0x1.5e6f1ec919206p-14, 0x1.4aaf495904d27p-14, 0x1.3774f6c5d4ff6p-14, 0x1.24bd514ff6443p-14, 0x1.128590d665013p-14, 0x1.00cafaa1c8a65p-14, 0x1.df15c24a85e5dp-15, 0x1.bd85479088f42p-15, 0x1.9cdf5d579142bp-15, 0x1.7d1ef4f0e7e26p-15, 0x1.5e3f18450f593p-15, 0x1.403ae9698d6c1p-15, 0x1.230da23f98206p-15, 0x1.06b29406533c4p-15, 0x1.d64a4de1ef7ap-16, 0x1.a0c1b389afbep-16, 0x1.6cc282f0fa812p-16, 0x1.3a44119adebbbp-16, 0x1.093ddfe4167p-16, 0x1.b34f30867c737p-17, 0x1.56f21d11eb9b1p-17, 0x1.faa8fcc3f935bp-18, 0x1.4ccd3a8e807ebp-18, 0x1.48644450f3f6ap-19, 0x1.72f8b1131b1b3p-27, -0x1.3b74ad29e6d5p-19, -0x1.37466171a8d54p-18, -0x1.cc071cf00a5cbp-18, -0x1.2e0c3911a0676p-17, -0x1.73cade8963e72p-17, -0x1.b74ce7901fa11p-17, -0x1.f89f78cdbda14p-17, -0x1.1be7ba0c75b16p-16, -0x1.3a74bcd3a6f4ap-16, -0x1.57fcf495b6ee3p-16, -0x1.7486718709e7p-16, -0x1.901724c6341b9p-16, -0x1.aab4e0eef57d3p-16, -0x1.c4655a9eabacfp-16, -0x1.dd2e290715886p-16, -0x1.f514c670fa22ep-16, -0x1.060f4863f114ap-15, -0x1.1128650d01f2fp-15, -0x1.1bd84c8f99786p-15, -0x1.262184d72410bp-15, -0x1.300686a5d61f2p-15, -0x1.3989bdcba75d3p-15, -0x1.42ad89638e9fbp-15, -0x1.4b743c14eee7bp-15, -0x1.53e01c49b2a83p-15, -0x1.5bf36467e7147p-15, -0x1.63b0430c327dp-15, -0x1.6b18db41d090ep-15, -0x1.722f44ba52d05p-15, -0x1.78f58c03cf46cp-15, -0x1.7f6db2bb62eabp-15, -0x1.8599afc303bfcp-15, -0x1.8b7b6f77ddae9p-15, -0x1.9114d3e00e137p-15, -0x1.9667b4e07a336p-15, -0x1.9b75e06b2ceb8p-15, -0x1.a0411ab16288ap-15, -0x1.a4cb1e4f8ef21p-15, -0x1.a9159c7f72827p-15, -0x1.ad223d43be336p-15, -0x1.b0f29f9510948p-15, -0x1.b488598efd352p-15, -0x1.b7e4f89bce5b5p-15, -0x1.bb0a019c3636fp-15, -0x1.bdf8f1147d354p-15, -0x1.c0b33b53e4a96p-15, -0x1.c33a4c9c7e309p-15, -0x1.c58f894cad4f6p-15, -0x1.c7b44e0692074p-15, -0x1.c9a9efd44640cp-15, -0x1.cb71bc4d20c7fp-15, -0x1.cd0cf9bd7207p-15, -0x1.ce7ce748a8406p-15, -0x1.cfc2bd0de2b87p-15, -0x1.d0dfac4bc9e26p-15, -0x1.d1d4df8237a98p-15, -0x1.d2a37a92cf59ep-15, -0x1.d34c9ae4661ccp-15, -0x1.d3d157831b563p-15, -0x1.d432c13fa1d91p-15, -0x1.d471e2cf2b97bp-15, -0x1.d48fc0ea10b69p-15, -0x1.d48d5a6b0603cp-15, -0x1.d46ba86c3eec9p-15, -0x1.d42b9e6549009p-15, -0x1.d3ce2a4793b2fp-15, -0x1.d354349a204cdp-15, -0x1.d2bea0960bd8ap-15, -0x1.d20e4c41b290bp-15, -0x1.d144108a84f59p-15, -0x1.d060c160b08afp-15, -0x1.cf652dcfd2898p-15, -0x1.ce522017d6e1p-15, -0x1.cd285dc79d313p-15, -0x1.cbe8a7d4209b5p-15, -0x1.ca93bab0b0ac7p-15, -0x1.c92a4e6634347p-15, -0x1.c7ad16aa5173ep-15, -0x1.c61cc2f60f89dp-15, -0x1.c479fe9be4e32p-15, -0x1.c2c570ddeda6fp-15, -0x1.c0ffbd02f37f4p-15, -0x1.bf29826ba99f7p-15, -0x1.bd435ca7556ecp-15, -0x1.bb4de387415a6p-15, -0x1.b949ab32ee3ecp-15, -0x1.b737443ca55f8p-15, -0x1.b5173bb315c4ep-15, -0x1.b2ea1b3492cf8p-15, -0x1.b0b06901a12d2p-15, -0x1.ae6aa80f175afp-15, -0x1.ac195817567d9p-15, -0x1.a9bcf5aba3a62p-15, -0x1.a755fa45c6443p-15, -0x1.a4e4dc589860ap-15, -0x1.a26a0f5fc4cb9p-15, -0x1.9fe603f02de8ap-15, -0x1.9d5927c7a055ap-15, -0x1.9ac3e5dc9b8b9p-15, -0x1.9826a66d58aa9p-15, -0x1.9581cf0e28a77p-15, -0x1.92d5c2b9383e1p-15, -0x1.9022e1db3cb22p-15, -0x1.8d698a627929dp-15, -0x1.8aaa17ccd2a3ap-15, -0x1.87e4e33458afbp-15, -0x1.851a435c9ec5p-15, -0x1.824a8cc0bc09ep-15, -0x1.7f76119e74c5cp-15, -0x1.7c9d2203d7ce4p-15, -0x1.79c00bdaac6dp-15, -0x1.76df1af50eea6p-15, -0x1.73fa99193a52cp-15, -0x1.7112ce0c8144cp-15, -0x1.6e27ff9e6da89p-15, -0x1.6b3a71b461631p-15, -0x1.684a66544b67cp-15, -0x1.65581daf1a8p-15, -0x1.6263d62b5642fp-15, -0x1.5f6dcc6ede14p-15, -0x1.5c763b692e849p-15, -0x1.597d5c5d75b5fp-15, -0x1.568366ec0990ap-15, -0x1.5388911b21e98p-15, -0x1.508d0f613210dp-15, -0x1.4d9114ad01326p-15, -0x1.4a94d26eeb3a6p-15, -0x1.479878a18615p-15, -0x1.449c35d23f014p-15, -0x1.41a037293b75p-15, -0x1.3ea4a871a5032p-15, -0x1.3ba9b4223cf37p-15, -0x1.38af83644b0a6p-15, -0x1.35b63e1bfce32p-15, -0x1.32be0aef6b0d5p-15, -0x1.2fc70f4e16817p-15, -0x1.2cd16f780a909p-15, -0x1.29dd4e856698ep-15, -0x1.26eace6cb970ep-15, -0x1.23fa100a0570ap-15, -0x1.210b33255808cp-15, -0x1.1e1e5678bbf98p-15, -0x1.1b3397b792bf7p-15, -0x1.184b139434497p-15, -0x1.1564e5c5c73f4p-15, -0x1.1281290f11853p-15, -0x1.0f9ff74392a38p-15, -0x1.0cc1694d4445ep-15, -0x1.09e5973275bfcp-15, -0x1.070c981b4253ep-15, -0x1.04368256bb196p-15, -0x1.01636b6049ce8p-15, -0x1.fd26cfca0e1dap-16, -0x1.f78d1790bbaaep-16, -0x1.f1f9d4529d362p-16, -0x1.ec6d2ace076cfp-16, -0x1.e6e73e4af6b5dp-16, -0x1.e16830a501b49p-16, -0x1.dbf0225375fd4p-16, -0x1.d67f32732dc57p-16, -0x1.d1157ece5285p-16, -0x1.cbb323e541fb1p-16, -0x1.c6583cf6b2162p-16, -0x1.c104e4080975bp-16, -0x1.bbb931ed41bfep-16, -0x1.b6753e509c911p-16, -0x1.b1391fb9be37cp-16, -0x1.ac04eb95a5a8p-16, -0x1.a6d8b63e0758ap-16, -0x1.a1b493005bbf6p-16, -0x1.9c9894243f6b5p-16, -0x1.9784caf3491aap-16, -0x1.927947be7eec9p-16, -0x1.8d7619e576e14p-16, -0x1.887b4fdc8de1ap-16, -0x1.8388f7339fc38p-16, -0x1.7e9f1c9b628acp-16, -0x1.79bdcbebd20bep-16, -0x1.74e51029df7bep-16, -0x1.7014f38d45c0bp-16, -0x1.6b4d7f8597987p-16, -0x1.668ebcc06b1a4p-16, -0x1.61d8b32dd9e99p-16, -0x1.5d2b6a0657af9p-16, -0x1.5886e7cfeac69p-16, -0x1.53eb32623416fp-16, -0x1.4f584eec39513p-16, -0x1.4ace41f8d1ac2p-16, -0x1.464d0f72f2375p-16, -0x1.41d4baaab1eb8p-16, -0x1.3d65465998de9p-16, -0x1.38feb4a6cf0a2p-16, -0x1.34a1072b8ecep-16, -0x1.304c3ef729334p-16, -0x1.2c005c92b2463p-16, -0x1.27bd6005be89cp-16, -0x1.238348d9ed732p-16, -0x1.1f52161e2331dp-16, -0x1.1b29c66a99329p-16, -0x1.170a57e4f23c8p-16, -0x1.12f3c842c014p-16, -0x1.0ee614cdc9509p-16, -0x1.0ae13a6712243p-16, -0x1.06e5358a04d85p-16, -0x1.02f2024fa8b38p-16, -0x1.fe0f38e42508dp-17, -0x1.f64bfe9e7481bp-17, -0x1.ee9a4bd8090bfp-17, -0x1.e6fa15ed681c1p-17, -0x1.df6b5194f26f5p-17, -0x1.d7edf2e357ff7p-17, -0x1.d081ed516b9ap-17, -0x1.c92733c209346p-17, -0x1.c1ddb885c8c1bp-17, -0x1.baa56d60adc36p-17, -0x1.b37e438fe6b36p-17, -0x1.ac682bcdc95a5p-17, -0x1.a56316555ebc3p-17, -0x1.9e6ef2e9aed43p-17, -0x1.978bb0d8365d6p-17, -0x1.90b93efc7e469p-17, -0x1.89f78bc6ee602p-17, -0x1.8346853fe1aacp-17, -0x1.7ca61909a1a1p-17, -0x1.761634671d825p-17, -0x1.6f96c43e6ba31p-17, -0x1.6927b51c6c68cp-17, -0x1.62c8f338c52e9p-17, -0x1.5c7a6a79fadf3p-17, -0x1.563c0677d3905p-17, -0x1.500db27ec70d8p-17, -0x1.49ef59949c287p-17, -0x1.43e0e679db192p-17, -0x1.3de243adb2313p-17, -0x1.37f35b71a43a5p-17, -0x1.321417cb3e48ep-17, -0x1.2c446288c0ddp-17, -0x1.2684254236e45p-17, -0x1.20d3495bde1b8p-17, -0x1.1b31b80b2c6b4p-17, -0x1.159f5a57befeap-17, -0x1.101c191ce0619p-17, -0x1.0aa7dd0ec7f25p-17, -0x1.05428ebb217dbp-17, -0x1.ffd82d14ee885p-18, -0x1.f548b98bb00cep-18, -0x1.ead6932b94c92p-18, -0x1.e0818a0982fep-18, -0x1.d6496e078014cp-18, -0x1.cc2e0ed3a9c14p-18, -0x1.c22f3becff467p-18, -0x1.b84cc4a98f452p-18, -0x1.ae8678394446bp-18, -0x1.a4dc25a72666fp-18, -0x1.9b4d9bdff660cp-18, -0x1.91daa9b5626fp-18, -0x1.88831ddea3ac8p-18, -0x1.7f46c6fea4f7ep-18, -0x1.762573a5da7f3p-18, -0x1.6d1ef2557093ap-18, -0x1.64331183afc2bp-18, -0x1.5b619f9ab84a4p-18, -0x1.52aa6b024bf85p-18, -0x1.4a0d421b057a1p-18, -0x1.4189f344b6e14p-18, -0x1.39204ce42e3e5p-18, -0x1.30d01d5e489ecp-18, -0x1.2899331fb7b48p-18, -0x1.207b5ca04ae42p-18, -0x1.1876685ed7d76p-18, -0x1.108a24ea65425p-18, -0x1.08b660e13dadp-18, -0x1.00faeaf0ec915p-18, -0x1.f2af23bb9e874p-19, -0x1.e39849003ef52p-19, -0x1.d4b0e38cc4ecep-19, -0x1.c5f89174df54dp-19, -0x1.b76ef1023c06dp-19, -0x1.a913a0b1f7cd9p-19, -0x1.9ae63f4572488p-19, -0x1.8ce66bb942476p-19, -0x1.7f13c54eae621p-19, -0x1.716deb8cea068p-19, -0x1.63f47e439275dp-19, -0x1.56a71d908b4b3p-19, -0x1.498569daebb7fp-19, -0x1.3c8f03e14fa69p-19, -0x1.2fc38cb11e857p-19, -0x1.2322a5ac46f1cp-19, -0x1.16abf0961c9d8p-19, -0x1.0a5f0f80a4cd8p-19, -0x1.fc7749c4372b9p-20, -0x1.e482a721f02e7p-20, -0x1.ccdf7d777a207p-20, -0x1.b58d13f9b605ap-20, -0x1.9e8ab29e00bf5p-20, -0x1.87d7a22595a25p-20, -0x1.71732c27c54a5p-20, -0x1.5b5c9b06f066cp-20, -0x1.45933a042cc64p-20, -0x1.301655396bb15p-20, -0x1.1ae5399379122p-20, -0x1.05ff34eb305bbp-20, -0x1.e2c72bed20a99p-21, -0x1.ba2358909c84cp-21, -0x1.921190cdb1f98p-21, -0x1.6a9077717e265p-21, -0x1.439eb1278005cp-21, -0x1.1d3ae46d2c361p-21, -0x1.eec7735ff6aecp-22, -0x1.a42fb655b0e72p-22, -0x1.5aabea136b875p-22, -0x1.12396aceae968p-22, -0x1.95ab30c729619p-23, -0x1.08fbadb5bdc4dp-23, -0x1.f97c6ee8cd364p-25, 0x1.45f5bd1ca0fa7p-28, 0x1.216b9f6083e23p-24, 0x1.153862db55d42p-23, 0x1.97bc783dd6143p-23, 0x1.0c238c68b5a01p-22, 0x1.4b6ea2e6013c4p-22, 0x1.89c1fc048cba4p-22, 0x1.c720104b8bd1dp-22, 0x1.01c5aa17b4a02p-21, 0x1.1f831c101338fp-21, 0x1.3cc9944330d49p-21, 0x1.599a46cda6075p-21, 0x1.75f665e2e6498p-21, 0x1.91df21907b222p-21, 0x1.ad55a7e6c8664p-21, 0x1.c85b24f20be3bp-21, 0x1.e2f0c2acad6bap-21, 0x1.fd17a9015003ap-21, 0x1.0b687ef09f606p-20, 0x1.180ef29413064p-20, 0x1.247fc04ef5d2ep-20, 0x1.30bb780d0b907p-20, 0x1.3cc2a8a527341p-20, 0x1.4895dff7b2c06p-20, 0x1.5435aad6c1cc9p-20, 0x1.5fa2950fe094ep-20, 0x1.6add2978327d3p-20, 0x1.75e5f1ce7cd57p-20, 0x1.80bd76dc3c362p-20, 0x1.8b644065da5b9p-20, 0x1.95dad522e3984p-20, 0x1.a021bad770c44p-20, 0x1.aa39763abc26bp-20, 0x1.b4228b07817b3p-20, 0x1.bddd7bf5f06b8p-20, 0x1.c76acac183e6p-20, 0x1.d0caf8205ff73p-20, 0x1.d9fe83ce786c4p-20, 0x1.e305ec8ddbc32p-20, 0x1.ebe1b0152bff4p-20, 0x1.f4924b2e3c391p-20, 0x1.fd18399df06a4p-20, 0x1.02b9fb17509c4p-19, 0x1.06d2fd5a08bp-19, 0x1.0ad760042ad2bp-19, 0x1.0ec75f02994a1p-19, 0x1.12a335cd91b15p-19, 0x1.166b1f5a13c6dp-19, 0x1.1a1f5627a42cdp-19, 0x1.1dc0143a4f9a2p-19, 0x1.214d9318e24b8p-19, 0x1.24c80bd6dd1fdp-19, 0x1.282fb707ae2dep-19, 0x1.2b84cccbd74c3p-19, 0x1.2ec784ca0c66fp-19, 0x1.31f8162df8c0dp-19, 0x1.3516b7b4dfbdap-19, 0x1.38239f9b92db2p-19, 0x1.3b1f03b0eafa5p-19, 0x1.3e09194ab1e08p-19, 0x1.40e21549d26fbp-19, 0x1.43aa2c1c7a8e6p-19, 0x1.466191bd2a323p-19, 0x1.490879b14fb27p-19, 0x1.4b9f170e7f71p-19, 0x1.4e259c7718ed6p-19, 0x1.509c3c1acda89p-19, 0x1.530327bc67312p-19, 0x1.555a90aa1685ep-19, 0x1.57a2a7c4e38f1p-19, 0x1.59db9d7fc43a9p-19, 0x1.5c05a1dc67072p-19, 0x1.5e20e4711d60ep-19, 0x1.602d94678a66cp-19, 0x1.622be078718bbp-19, 0x1.641bf6f799262p-19, 0x1.65fe05c62763ep-19, 0x1.67d23a612bebcp-19, 0x1.6998c1d688cbdp-19, 0x1.6b51c8cd9781cp-19, 0x1.6cfd7b84bcb57p-19, 0x1.6e9c05ce7917cp-19, 0x1.702d931d552b8p-19, 0x1.71b24e73b8964p-19, 0x1.732a62754bd44p-19, 0x1.7495f95c8f3d9p-19, 0x1.75f53cfde00eep-19, 0x1.774856cce9245p-19, 0x1.788f6fd5e50cep-19, 0x1.79cab0c3acb86p-19, 0x1.7afa41df7c175p-19, 0x1.7c1e4b0db930dp-19, 0x1.7d36f3d5193e4p-19, 0x1.7e446358b64fp-19, 0x1.7f46c05d8814dp-19, 0x1.803e3148d9977p-19, 0x1.812adc20269dfp-19, 0x1.820ce68c78ea9p-19, 0x1.82e475d8beccbp-19, 0x1.83b1aef16adc5p-19, 0x1.8474b66b48f56p-19, 0x1.852db079f299bp-19, 0x1.85dcc0fa2c63ep-19, 0x1.86820b6d40ca4p-19, 0x1.871db2f94c36dp-19, 0x1.87afda6edd069p-19, 0x1.8838a441b75eep-19, 0x1.88b8329295405p-19, 0x1.892ea72629df4p-19, 0x1.899c236f7c34bp-19, 0x1.8a00c8872ca1cp-19, 0x1.8a5cb7346fdccp-19, 0x1.8ab00fe753d92p-19, 0x1.8afaf2bba2cd7p-19, 0x1.8b3d7f7d55b61p-19, 0x1.8b77d59f791fep-19, 0x1.8baa1449ba4c7p-19, 0x1.8bd45a4d01ba3p-19, 0x1.8bf6c62a9fbf1p-19, 0x1.8c1176169e49bp-19, 0x1.8c2487ef4bb1ap-19, 0x1.8c3019498b614p-19, 0x1.8c3447683fca3p-19, 0x1.8c312f4130c6ap-19, 0x1.8c26ed7de6134p-19, 0x1.8c159e7944437p-19, 0x1.8bfd5e4361e3cp-19, 0x1.8bde48a07232fp-19, 0x1.8bb8790892fb1p-19, 0x1.8b8c0aabb3933p-19, 0x1.8b59186d8ab3bp-19, 0x1.8b1fbceaba856p-19, 0x1.8ae01274c54fp-19, 0x1.8a9a3317cf77cp-19, 0x1.8a4e3895d7b38p-19, 0x1.89fc3c6bc9c75p-19, 0x1.89a457cfc7d96p-19, 0x1.8946a3b116d7bp-19, 0x1.88e338bb8861fp-19, 0x1.887a2f543caf5p-19, 0x1.880b9f9e6c1c6p-19, 0x1.8797a176a642cp-19, 0x1.871e4c7aa4055p-19, 0x1.869fb800bbe51p-19, 0x1.861bfb223359p-19, 0x1.85932cb2bc5c1p-19, 0x1.8505634848a0dp-19, 0x1.8472b536a7c64p-19, 0x1.83db389220946p-19, 0x1.833f03317bd5dp-19, 0x1.829e2aa91020cp-19, 0x1.81f8c4541b4e7p-19, 0x1.814ee54b04226p-19, 0x1.80a0a26cd77f2p-19, 0x1.7fee105a71023p-19, 0x1.7f37437822238p-19, 0x1.7e7c4ff044867p-19, 0x1.7dbd49b01d4f4p-19, 0x1.7cfa446c15ffcp-19, 0x1.7c33539dca677p-19, 0x1.7b688a84dc337p-19, 0x1.7a99fc293115dp-19, 0x1.79c7bb57cce18p-19, 0x1.78f1daa8f86e1p-19, 0x1.78186c795ec6cp-19, 0x1.773b82f2b63bcp-19, 0x1.765b300467649p-19, 0x1.7577856a97b7ap-19, 0x1.749094a9b8c28p-19, 0x1.73a66f12cad3cp-19, 0x1.72b925c03153p-19, 0x1.71c8c99a653ffp-19, 0x1.70d56b5345019p-19, 0x1.6fdf1b6c8e4cbp-19, 0x1.6ee5ea31f5821p-19, 0x1.6de9e7bf9252ep-19, 0x1.6ceb23fdc1fb3p-19, 0x1.6be9aea3f0eb1p-19, 0x1.6ae597392a502p-19, 0x1.69deed127c7dbp-19, 0x1.68d5bf566a55ap-19, 0x1.67ca1cfa8cd84p-19, 0x1.66bc14c65f1b9p-19, 0x1.65abb550bc1d7p-19, 0x1.64990d048aebdp-19, 0x1.63842a1c391c2p-19, 0x1.626d1aa6caadbp-19, 0x1.6153ec84ff15cp-19, 0x1.6038ad6b0f6dbp-19, 0x1.5f1b6ae10175fp-19, 0x1.5dfc324320a44p-19, 0x1.5cdb10c2980ep-19, 0x1.5bb8136452c1p-19, 0x1.5a934704c3a3cp-19, 0x1.596cb8539e2f5p-19, 0x1.584473d896c43p-19, 0x1.571a85f16ad6bp-19, 0x1.55eefad25f2d9p-19, 0x1.54c1de87d6dd7p-19, 0x1.53933cf5acafap-19, 0x1.526321d7b56a3p-19, 0x1.513198c27c504p-19, 0x1.4ffead23edc43p-19, 0x1.4eca6a41ecaf8p-19, 0x1.4d94db3d85a96p-19, 0x1.4c5e0b1102aa8p-19, 0x1.4b2604910ebd9p-19, 0x1.49ecd26dc6a9dp-19, 0x1.48b27f31be303p-19, 0x1.4777154358c49p-19, 0x1.463a9ee4d2c73p-19, 0x1.44fd2634b0328p-19, 0x1.43beb52e0416cp-19, 0x1.427f55a89d903p-19, 0x1.413f115a868ccp-19, 0x1.3ffdf1d59a681p-19, 0x1.3ebc008bceecap-19, 0x1.3d7946cbb9b24p-19, 0x1.3c35cdc34a35ep-19, 0x1.3af19e8035129p-19, 0x1.39acc1eda2404p-19, 0x1.386740d85afcep-19, 0x1.372123ec36e77p-19, 0x1.35da73b50bcefp-19, 0x1.349338a0927fcp-19, 0x1.334b7afbe9c69p-19, 0x1.320342f6a0a95p-19, 0x1.30ba98a19f654p-19, 0x1.2f7183ef08e1ap-19, 0x1.2e280cb4df734p-19, 0x1.2cde3aa95dd7fp-19, 0x1.2b941567e763ep-19, 0x1.2a49a46d5cf3fp-19, 0x1.28feef1adf176p-19, 0x1.27b3fcb51b5c4p-19, 0x1.2668d464f5367p-19, 0x1.251d7d377421p-19, 0x1.23d1fe1e7e63cp-19, 0x1.22865df064a1ep-19, 0x1.213aa369563e3p-19, 0x1.1feed52a4ef64p-19, 0x1.1ea2f9bb02076p-19, 0x1.1d571787f4398p-19, 0x1.1c0b34e57e066p-19, 0x1.1abf580d2c058p-19, 0x1.197387206725dp-19, 0x1.1827c827608d7p-19, 0x1.16dc21118d8a4p-19, 0x1.159097b680e53p-19, 0x1.144531d565252p-19, }}, 
      {{0x1.50e95ec055b39p-1, 0x1.50c45c3ae3a85p-1, 0x1.508ecc45c5c6bp-1, 0x1.504f51d694bd6p-1, 0x1.500aa7f49de99p-1, 0x1.4fc36e154de4cp-1, 0x1.4f7a8dc058d1p-1, 0x1.4f2fca4e43c2ap-1, 0x1.4ee2458ccadadp-1, 0x1.4e90e5f4bac6p-1, 0x1.4e3a9c3b3b225p-1, 0x1.4dde8d24dea91p-1, 0x1.4d7c265eb34b9p-1, 0x1.4d1324a86c3fep-1, 0x1.4ca3905abb959p-1, 0x1.4c2db4091f80ep-1, 0x1.4bb20febc81d1p-1, 0x1.4b314bf0b53a1p-1, 0x1.4aac29bff83a2p-1, 0x1.4a23779610cf2p-1, 0x1.4998048ab9eb3p-1, 0x1.490a96a04d5b6p-1, 0x1.487be2ca3eadp-1, 0x1.47ec86f4e1971p-1, 0x1.475d05fc32d7dp-1, 0x1.46cdc569e4dccp-1, 0x1.463f0cc4161fp-1, 0x1.45b1062d16bfbp-1, 0x1.4523c010f5543p-1, 0x1.44972f9e1a68p-1, 0x1.440b33ca35eb4p-1, 0x1.437f98ab20c8ap-1, 0x1.42f41af32b411p-1, 0x1.42686b68e312dp-1, 0x1.41dc323af7dep-1, 0x1.414f1219133b2p-1, 0x1.40c0ab01e3103p-1, 0x1.40309cbcfa4efp-1, 0x1.3f9e88fc8cdcbp-1, 0x1.3f0a15273eb74p-1, 0x1.3e72ebcd7f66cp-1, 0x1.3dd8bdd027df5p-1, 0x1.3d3b433f90ad1p-1, 0x1.3c9a3bfb19fe9p-1, 0x1.3bf5701964d52p-1, 0x1.3b4cb021542d4p-1, 0x1.3a9fd51b789d4p-1, 0x1.39eec082e4a33p-1, 0x1.39395c1bac489p-1, 0x1.387f99b47d733p-1, 0x1.37c172d7f851ap-1, 0x1.36fee871af581p-1, 0x1.36380269ff143p-1, 0x1.356ccf3b5a921p-1, 0x1.349d638319a9cp-1, 0x1.33c9d98f6d71dp-1, 0x1.32f250ebbcff3p-1, 0x1.3216edec6bf39p-1, 0x1.3137d93ac9b9fp-1, 0x1.30553f61ca31ap-1, 0x1.2f6f505c03256p-1, 0x1.2e863f235a865p-1, 0x1.2d9a4142c18f7p-1, 0x1.2cab8e6a51ebap-1, 0x1.2bba60061f8c4p-1, 0x1.2ac6f0d80fe61p-1, 0x1.29d17c9500058p-1, 0x1.28da3f858cd2ep-1, 0x1.27e1762ac4c6cp-1, 0x1.26e75ce70dd09p-1, 0x1.25ec2fab85607p-1, 0x1.24f029aa19758p-1, 0x1.23f3850c94501p-1, 0x1.22f67ab0cee4ep-1, 0x1.21f941ea30c54p-1, 0x1.20fc1048a03a9p-1, 0x1.1fff1964f5471p-1, 0x1.1f028eb2fd2d1p-1, 0x1.1e069f590f265p-1, 0x1.1d0b780d26dbap-1, 0x1.1c1142f772957p-1, 0x1.1b18279a3692fp-1, 0x1.1a204abede2c1p-1, 0x1.1929ce680e8bp-1, 0x1.1834d1c880eebp-1, 0x1.1741713e6bba6p-1, 0x1.164fc65333138p-1, 0x1.155fe7bf1fbd3p-1, 0x1.1471e970cd3fbp-1, 0x1.1385dc9806226p-1, 0x1.129bcfb3bbc05p-1, 0x1.11b3cea2cebc3p-1, 0x1.10cde2b75644bp-1, 0x1.0fea12cc17707p-1, 0x1.0f08635be3af7p-1, 0x1.0e28d69a8e0e4p-1, 0x1.0d4b6c8f35521p-1, 0x1.0c70232f99ec7p-1, 0x1.0b96f67c3fc88p-1, 0x1.0abfe09d2091dp-1, 0x1.09ead9feb11aap-1, 0x1.0917d96f0910bp-1, 0x1.0846d43af919ap-1, 0x1.0777be4ae4af5p-1, 0x1.06aa8a3f35822p-1, 0x1.05df298c49286p-1, 0x1.05158c95b30f1p-1, 0x1.044da2c8be70fp-1, 0x1.03875ab6126c4p-1, 0x1.02c2a22a69b37p-1, 0x1.01ff66464aeeap-1, 0x1.013d9394b57f2p-1, 0x1.007d1620bbd21p-1, 0x1.ff7bb313fd03cp-2, 0x1.fdff92301b1bap-2, 0x1.fc859f9947fefp-2, 0x1.fb0db0e990a8dp-2, 0x1.f9979b719afcap-2, 0x1.f823345679385p-2, 0x1.f6b050ad57a64p-2, 0x1.f53ec5951705ap-2, 0x1.f3ce684de37fap-2, 0x1.f25f0e4ed4ea6p-2, 0x1.f0f08d59bc696p-2, 0x1.ef82bb8d204e1p-2, 0x1.ee156f749312ep-2, 0x1.eca8801769675p-2, 0x1.eb3bc505f5903p-2, 0x1.e9cf166557807p-2, 0x1.e8624cf9fcefp-2, 0x1.e6f54230e8b96p-2, 0x1.e587d027d9c34p-2, 0x1.e419d1b4635b1p-2, 0x1.e2ab226a150bfp-2, 0x1.e13b9e9fc141ap-2, 0x1.dfcb2373f6182p-2, 0x1.de598ed0c2bacp-2, 0x1.dce6bf6ed4c2p-2, 0x1.db7294d8031c6p-2, 0x1.d9fcef6954963p-2, 0x1.d885b05492457p-2, 0x1.d70cb9a177717p-2, 0x1.d591ee2e84adfp-2, 0x1.d41531b189136p-2, 0x1.d29668b7eacffp-2, 0x1.d11578a6b6fd3p-2, 0x1.cf9247ba86cbcp-2, 0x1.ce0cbd073995bp-2, 0x1.cc84c07798827p-2, 0x1.cafa3accda80ap-2, 0x1.c96d159e1b0ddp-2, 0x1.c7dd3b57c2ebdp-2, 0x1.c64a973ae4f56p-2, 0x1.c4b5155c9a832p-2, 0x1.c31ca2a55541ap-2, 0x1.c1812cd03882p-2, 0x1.bfe2a26a6f057p-2, 0x1.be40f2d2828b5p-2, 0x1.bc9c0e37b8a64p-2, 0x1.baf3e59973162p-2, 0x1.b9486ac690219p-2, 0x1.b799905cd42c6p-2, 0x1.b5e749c84e778p-2, 0x1.b4318b42c6ac1p-2, 0x1.b27849d326016p-2, 0x1.b0bb7b4ce3768p-2, 0x1.aefb164f6ac51p-2, 0x1.ad37124583c49p-2, 0x1.ab6f6764b3a52p-2, 0x1.a9a40eac95cfap-2, 0x1.a7d501e62f7e4p-2, 0x1.a6023ba339a81p-2, 0x1.a42bb73d5d4afp-2, 0x1.a25170d56607ap-2, 0x1.a073655262458p-2, 0x1.9e919260b7e71p-2, 0x1.9cabf67123e1fp-2, 0x1.9ac290b7a83f3p-2, 0x1.98d5612a66c1ep-2, 0x1.96e4688063cdcp-2, 0x1.94efa83035f3dp-2, 0x1.92f7226e99592p-2, 0x1.90fada2ceee2dp-2, 0x1.8efad3179ecb6p-2, 0x1.8cf7119463e88p-2, 0x1.8aef9ac077b8p-2, 0x1.88e4746ea86ddp-2, 0x1.86d5a5254ee84p-2, 0x1.84c3341c2ab09p-2, 0x1.82ad293a20847p-2, 0x1.80938d12e0aecp-2, 0x1.7e7668e4686efp-2, 0x1.7c55c69472398p-2, 0x1.7a31b0adbfb4cp-2, 0x1.780a325d50cc9p-2, 0x1.75df576f7796dp-2, 0x1.73b12c4cd8ddbp-2, 0x1.717fbdf74f32fp-2, 0x1.6f4b1a06b08aep-2, 0x1.6d134ea584739p-2, 0x1.6ad86a8d98de5p-2, 0x1.689a7d0484e1dp-2, 0x1.665995d8157ep-2, 0x1.6415c55aa2301p-2, 0x1.61cf1c5f4f0d6p-2, 0x1.5f85ac363cd66p-2, 0x1.5d3986a8a3ecfp-2, 0x1.5aeabdf4dfe64p-2, 0x1.589964ca6c28bp-2, 0x1.56458e45d0b43p-2, 0x1.53ef4dec8148ap-2, 0x1.5196b7a8afcb1p-2, 0x1.4f3bdfc517308p-2, 0x1.4cdedae8b6944p-2, 0x1.4a7fbe1288c88p-2, 0x1.481e9e95338cdp-2, 0x1.45bb9212ad16dp-2, 0x1.4356ae77e35d8p-2, 0x1.40f009f858d67p-2, 0x1.3e87bb09c4472p-2, 0x1.3c1dd85fabbfcp-2, 0x1.39b278e701c8fp-2, 0x1.3745b3c1c3729p-2, 0x1.34d7a0429663p-2, 0x1.326855e86def3p-2, 0x1.2ff7ec5a34288p-2, 0x1.2d867b6273cb7p-2, 0x1.2b141aeb1203ep-2, 0x1.28a0e2f905fe3p-2, 0x1.262ceba820be4p-2, 0x1.23b84d26daadfp-2, 0x1.21431fb22e5dcp-2, 0x1.1ecd7b917abefp-2, 0x1.1c5779127a09cp-2, 0x1.19e130853984bp-2, 0x1.176aba382d01p-2, 0x1.14f42e7446bcep-2, 0x1.127da5792543bp-2, 0x1.100737794cbcbp-2, 0x1.0d90fc967557p-2, 0x1.0b1b0cdde9198p-2, 0x1.08a58044f50dp-2, 0x1.06306ea56a3bbp-2, 0x1.03bbefba3832ap-2, 0x1.01481b1c12f2bp-2, 0x1.fdaa107c676b3p-3, 0x1.f8c59cd65694bp-3, 0x1.f3e3098395bf9p-3, 0x1.ef0284643bec7p-3, 0x1.ea243af50472bp-3, 0x1.e5485a499916bp-3, 0x1.e06f0f070e448p-3, 0x1.db98855e96b43p-3, 0x1.d6c4e9084faf2p-3, 0x1.d1f4653e4d8bdp-3, 0x1.cd2724b7c7d41p-3, 0x1.c85d51a47f78dp-3, 0x1.c39715a84835ap-3, 0x1.bed499d6c3358p-3, 0x1.ba1606af4cbd3p-3, 0x1.b55b84190fa72p-3, 0x1.b0a5395f4f695p-3, 0x1.abf34d2dd62b5p-3, 0x1.a745e58d95e0cp-3, 0x1.a29d27e179c46p-3, 0x1.9df938e35cc53p-3, 0x1.995a3ca132f7cp-3, 0x1.94c0567a5c5efp-3, 0x1.902ba91d23afcp-3, 0x1.8b9c56846bb3bp-3, 0x1.87127ff5835eep-3, 0x1.828e45fe26c29p-3, 0x1.7e0fc872aa384p-3, 0x1.7997266c4c40bp-3, 0x1.75247e47b7c3ap-3, 0x1.70b7eda3a0b33p-3, 0x1.6c51915f99dbep-3, 0x1.67f1859b00b21p-3, 0x1.6397e5b41c23dp-3, 0x1.5f44cc475b157p-3, 0x1.5af8532eb8b08p-3, 0x1.56b29381421fep-3, 0x1.5273a592c928p-3, 0x1.4e3ba0f3aa18cp-3, 0x1.4a0a9c70c301dp-3, 0x1.45e0ae1380034p-3, 0x1.41bdeb2210f55p-3, 0x1.3da2681fb5ef3p-3, 0x1.398e38cd3362fp-3, 0x1.358170295a73ep-3, 0x1.317c2071b63fcp-3, 0x1.2d7e5b2352a8bp-3, 0x1.298830fb9ca2bp-3, 0x1.2599b1f95c026p-3, 0x1.21b2ed5dccf6bp-3, 0x1.1dd3f1adcbfb5p-3, 0x1.19fcccb3198adp-3, 0x1.162d8b7dbf3dep-3, 0x1.12663a65795p-3, 0x1.0ea6e50b45165p-3, 0x1.0aef965afd88dp-3, 0x1.0740588d0b25ep-3, 0x1.0399352829d2fp-3, 0x1.fff46a067459bp-4, 0x1.f8c6c08e5fbdfp-4, 0x1.f1a97ce206fe2p-4, 0x1.ea9caca778522p-4, 0x1.e3a05c350c98cp-4, 0x1.dcb49695ad93dp-4, 0x1.d5d9658d3d91p-4, 0x1.cf0ed19d0d255p-4, 0x1.c854e2087b212p-4, 0x1.c1ab9cd996476p-4, 0x1.bb1306e5dcebcp-4, 0x1.b48b23d31a79dp-4, 0x1.ae13f61c3fb49p-4, 0x1.a7ad7f16636cep-4, 0x1.a157bef5c3373p-4, 0x1.9b12b4d2d3f6dp-4, 0x1.94de5eaf6c45dp-4, 0x1.8ebab97be63d8p-4, 0x1.88a7c11c581e3p-4, 0x1.82a5706dd8ecep-4, 0x1.7cb3c14bbfca6p-4, 0x1.76d2ac94f8ed8p-4, 0x1.71022a3152b29p-4, 0x1.6b423116db61dp-4, 0x1.6592b74f39db5p-4, 0x1.5ff3b1fd0ad5cp-4, 0x1.5a65156144a03p-4, 0x1.54e6d4e090dbep-4, 0x1.4f78e308b097fp-4, 0x1.4a1b3195db529p-4, 0x1.44cdb17814d49p-4, 0x1.3f9052d88b518p-4, 0x1.3a63051eed164p-4, 0x1.3545b6f6b0d87p-4, 0x1.3038565468949p-4, 0x1.2b3ad07b008aap-4, 0x1.264d1200fe682p-4, 0x1.216f06d5b5b67p-4, 0x1.1ca09a4676219p-4, 0x1.17e1b703ad137p-4, 0x1.1332472601af1p-4, 0x1.0e9234336312p-4, 0x1.0a016724117c2p-4, 0x1.057fc86791d45p-4, 0x1.010d3fe9a1869p-4, 0x1.f9536a2e2b405p-5, 0x1.f0aa1dc55addp-5, 0x1.e81e6793c1156p-5, 0x1.dfb013b3239b5p-5, 0x1.d75eed657f417p-5, 0x1.cf2abf1e3c478p-5, 0x1.c713528b53df5p-5, 0x1.bf18709e4bd38p-5, 0x1.b739e19513917p-5, 0x1.af776d02c61c6p-5, 0x1.a7d0d9d852509p-5, 0x1.a045ee6cf2f32p-5, 0x1.98d6708691a54p-5, 0x1.918225620810bp-5, 0x1.8a48d1bb38438p-5, 0x1.832a39d50a4fp-5, 0x1.7c2621814710fp-5, 0x1.753c4c2847b63p-5, 0x1.6e6c7cd092f17p-5, 0x1.67b6762642f5p-5, 0x1.6119fa8259d48p-5, 0x1.5a96cbf1e937dp-5, 0x1.542cac3d18a0ep-5, 0x1.4ddb5cee0990dp-5, 0x1.47a29f5791ce5p-5, 0x1.4182349be2acp-5, 0x1.3b79ddb2f2628p-5, 0x1.35895b70de068p-5, 0x1.2fb06e8c11177p-5, 0x1.29eed7a3573d3p-5, 0x1.24445743c8ba8p-5, 0x1.1eb0adee8d009p-5, 0x1.19339c1e811d2p-5, 0x1.13cce24db60c2p-5, 0x1.0e7c40fad289dp-5, 0x1.094178ae4dd65p-5, 0x1.041c49ff852e5p-5, 0x1.fe18eb336e739p-6, 0x1.f4237881a9d0dp-6, 0x1.ea57bdac72a53p-6, 0x1.e0b53cba6d5bep-6, 0x1.d73b77ff1b964p-6, 0x1.cde9f2236a0c1p-6, 0x1.c4c02e2e1d58cp-6, 0x1.bbbdaf8bebbfbp-6, 0x1.b2e1fa1760c18p-6, 0x1.aa2c9220712cdp-6, 0x1.a19cfc73ea984p-6, 0x1.9932be628e69fp-6, 0x1.90ed5dc7faea1p-6, 0x1.88cc61115d716p-6, 0x1.80cf4f43d0dacp-6, 0x1.78f5b002ae963p-6, 0x1.713f0b956a37ap-6, 0x1.69aaeaed6980fp-6, 0x1.6238d7ab906cap-6, 0x1.5ae85c258a5ecp-6, 0x1.53b9036ae868cp-6, 0x1.4caa594a0d97bp-6, 0x1.45bbea54e45eap-6, 0x1.3eed43e55bb5ep-6, 0x1.383df421aa864p-6, 0x1.31ad8a007c8fep-6, 0x1.2b3b954cca2b6p-6, 0x1.24e7a6a99e73ap-6, 0x1.1eb14f95992d8p-6, 0x1.1898226e4d804p-6, 0x1.129bb273750d6p-6, 0x1.0cbb93c9e4672p-6, 0x1.06f75b7e6c878p-6, 0x1.014e9f8881df5p-6, 0x1.f781ed996e1fcp-7, 0x1.ec9bf23e3e07fp-7, 0x1.e1ea7e8ae7d91p-7, 0x1.d76cc5f24ca1p-7, 0x1.cd21fdd2690a8p-7, 0x1.c3095d77e11f2p-7, 0x1.b9221e211b71cp-7, 0x1.af6b7b0145c4ep-7, 0x1.a5e4b142ccf39p-7, 0x1.9c8d0009da7c6p-7, 0x1.9363a8765a6aep-7, 0x1.8a67eda5e24bap-7, 0x1.819914b53ca4ep-7, 0x1.78f664c1cb9f4p-7, 0x1.707f26eaaaf11p-7, 0x1.6832a651889a8p-7, 0x1.6010301b5eabfp-7, 0x1.58171370dcd36p-7, 0x1.5046a17eb894ap-7, 0x1.489e2d75982d8p-7, 0x1.411d0c8a0da85p-7, 0x1.39c295f42500ep-7, 0x1.328e22eee7bafp-7, 0x1.2b7f0eb7a3404p-7, 0x1.2494b68cfdfc6p-7, 0x1.1dce79adf6605p-7, 0x1.172bb95895561p-7, 0x1.10abd8c897d6ap-7, 0x1.0a4e3d35f1842p-7, 0x1.04124dd30758bp-7, 0x1.fbeee795bf47ap-8, 0x1.effa347e83681p-8, 0x1.e4455c8cf0aafp-8, 0x1.d8cf3dd275c0ep-8, 0x1.cd96ba407d7c1p-8, 0x1.c29ab7a385773p-8, 0x1.b7da1f9e0452p-8, 0x1.ad53dfa2f03abp-8, 0x1.a306e8f03c756p-8, 0x1.98f230890d241p-8, 0x1.8f14af2f9fap-8, 0x1.856d615f4a2eep-8, 0x1.7bfb474608092p-8, 0x1.72bd64bdf8b53p-8, 0x1.69b2c146b409fp-8, 0x1.60da67fe868c9p-8, 0x1.5833679b676fcp-8, 0x1.4fbcd263e470cp-8, 0x1.4775be27f21f6p-8, 0x1.3f5d443972f5fp-8, 0x1.37728164e5025p-8, 0x1.2fb495e9ad523p-8, 0x1.2822a57271bap-8, 0x1.20bbd70d6009p-8, 0x1.197f552446caep-8, 0x1.126c4d748028ap-8, 0x1.0b81f1074386p-8, 0x1.04bf742917116p-8, 0x1.fc481cc40ef8ap-9, 0x1.ef5df4da82762p-9, 0x1.e2beec6179418p-9, 0x1.d669856a1d24dp-9, 0x1.ca5c4839cb427p-9, 0x1.be95c33989028p-9, 0x1.b3148ae4cb0cap-9, 0x1.a7d739b8aa988p-9, 0x1.9cdc7022f7d71p-9, 0x1.9222d4711da24p-9, 0x1.87a912becd716p-9, 0x1.7d6ddce54cde5p-9, 0x1.736fea69fb524p-9, 0x1.69adf86d6e00cp-9, 0x1.6026c99a148a8p-9, 0x1.56d9261356a94p-9, 0x1.4dc3db6423fdep-9, 0x1.44e5bc6e31d3p-9, 0x1.3c3da1589b3e9p-9, 0x1.33ca677ef4ab8p-9, 0x1.2b8af1605ff35p-9, 0x1.237e268e72de5p-9, 0x1.1ba2f39c5ef17p-9, 0x1.13f84a0df9253p-9, 0x1.0c7d204735047p-9, 0x1.0530717b073bep-9, 0x1.fc227b36518efp-10, 0x1.ee3d128e0f299p-10, 0x1.e0aebb77514ddp-10, 0x1.d3759186586d9p-10, 0x1.c68fb9487b1fcp-10, 0x1.b9fb60242f159p-10, 0x1.adb6bc387fb24p-10, 0x1.a1c00c3d0dffp-10, 0x1.961597621be0ep-10, 0x1.8ab5ad30f281bp-10, 0x1.7f9ea56c509a4p-10, 0x1.74cedff195e38p-10, 0x1.6a44c49922bdfp-10, 0x1.5ffec3181ba19p-10, 0x1.55fb52e1dede7p-10, 0x1.4c38f30936ceep-10, 0x1.42b62a231f1c9p-10, 0x1.397186286c0adp-10, 0x1.30699c58979d2p-10, 0x1.279d091c6e172p-10, 0x1.1f0a6fe8f6288p-10, 0x1.16b07b22e6f64p-10, 0x1.0e8ddc02434b5p-10, 0x1.06a14a75f4c9p-10, 0x1.fdd30a10a8de5p-11, 0x1.eecaa1866e94p-11, 0x1.e026f2295cbe2p-11, 0x1.d1e59f680d19fp-11, 0x1.c404590e7cd4ap-11, 0x1.b680db10ca1ecp-11, 0x1.a958ed569bfc9p-11, 0x1.9c8a6387f78dep-11, 0x1.90131cd99281ap-11, 0x1.83f103dafc292p-11, 0x1.78220e4359c1cp-11, 0x1.6ca43cc1c8c98p-11, 0x1.61759acad3078p-11, 0x1.56943e69383c8p-11, 0x1.4bfe480e2a302p-11, 0x1.41b1e26201e37p-11, 0x1.37ad4215c13aap-11, 0x1.2deea5b5b099ep-11, 0x1.2474557b8fbf8p-11, 0x1.1b3ca32240782p-11, 0x1.1245e9b97152ep-11, 0x1.098e8d7a09fdp-11, 0x1.0114fb9bc1fafp-11, 0x1.f1af54538bf8cp-12, 0x1.e1aa2fb3e756bp-12, 0x1.d21797c6001e8p-12, 0x1.c2f4aba880a48p-12, 0x1.b43e9ad9be111p-12, 0x1.a5f2a4eb07d63p-12, 0x1.980e19303ffb4p-12, 0x1.8a8e5674f2565p-12, 0x1.7d70caafc4e1dp-12, 0x1.70b2f2b86f3c8p-12, 0x1.645259fdc6e1fp-12, 0x1.584c9a3dbbadep-12, 0x1.4c9f5b3e1afc1p-12, 0x1.414852860d3aep-12, 0x1.36454319a75dep-12, 0x1.2b93fd34fb0fbp-12, 0x1.21325e09f61d5p-12, 0x1.171e4f7d9a58fp-12, 0x1.0d55c7e7ca29dp-12, 0x1.03d6c9d2f5969p-12, 0x1.f53ec77aef4e5p-13, 0x1.e35b5fb6de5a6p-13, 0x1.d1ffa7b4a39abp-13, 0x1.c128014917492p-13, 0x1.b0d0e44e2126ep-13, 0x1.a0f6de2e081bcp-13, 0x1.9196917263611p-13, 0x1.82acb55351edep-13, 0x1.74361549dc891p-13, 0x1.662f90a2e1aaap-13, 0x1.58961a15e92a3p-13, 0x1.4b66b75aef1cdp-13, 0x1.3e9e80c58998fp-13, 0x1.323aa0dd88a8fp-13, 0x1.263853fe37329p-13, 0x1.1a94e7f21ac06p-13, 0x1.0f4dbb951e355p-13, 0x1.04603e762f15ep-13, 0x1.f393e0f3458f6p-14, 0x1.df10c2ff0ca1ap-14, 0x1.cb32621456aecp-14, 0x1.b7f41bcce0901p-14, 0x1.a5516baae35a9p-14, 0x1.9345ea7236d3ep-14, 0x1.81cd4d80da6b6p-14, 0x1.70e3662d0d851p-14, 0x1.608421266870fp-14, 0x1.50ab85d752284p-14, 0x1.4155b5ccb7866p-14, 0x1.327eec1fb0752p-14, 0x1.24237ce02038dp-14, 0x1.163fd48457192p-14, 0x1.08d0775c0f258p-14, 0x1.f7a40202ba96fp-15, 0x1.de8247a77af31p-15, 0x1.c63550ddea69cp-15, 0x1.aeb6da50e91a4p-15, 0x1.9800cb1dc9943p-15, 0x1.820d33d6a00dfp-15, 0x1.6cd64d874c337p-15, 0x1.585678c6ee806p-15, 0x1.44883cc6f6969p-15, 0x1.3166466a5dc67p-15, 0x1.1eeb6760854b4p-15, 0x1.0d129545649ep-15, 0x1.f7add18c82b2ep-16, 0x1.d66739920a82ap-16, 0x1.b6481b3abd9e6p-16, 0x1.97477050d6f0cp-16, 0x1.795c724067e66p-16, 0x1.5c7e98862975cp-16, 0x1.40a59729ec69ap-16, 0x1.25c95d4b0626p-16, 0x1.0be213a3c946ap-16, 0x1.e5d036483b89dp-17, 0x1.b5a81711bead5p-17, 0x1.873d64096d26cp-17, 0x1.5a821fcc7e22fp-17, 0x1.2f68b29d21695p-17, 0x1.05e3e7cff5fd1p-17, 0x1.bbcdd69bd2b45p-18, 0x1.6eca8e4c35413p-18, 0x1.24a5c2522aaf9p-18, 0x1.ba8fe24cbb7e7p-19, 0x1.31348f0490e1fp-19, 0x1.5a1a6ff500f19p-20, 0x1.6f76a8e0f03cp-22, -0x1.31417d1b9515bp-21, -0x1.83b1e1bfa3c74p-20, -0x1.32d2398e94b6ap-19, -0x1.9f62695ae029ep-19, -0x1.03d747209b2e9p-18, -0x1.35ed4ded1fc9dp-18, -0x1.6604b95e629ebp-18, -0x1.942e73e7529e1p-18, -0x1.c07ae5b596b28p-18, -0x1.eaf9f81d3aa87p-18, -0x1.09dd8c89f2661p-17, -0x1.1d669f312b68cp-17, -0x1.301f747e57ab4p-17, -0x1.420f140f235b4p-17, -0x1.533c4e347468ap-17, -0x1.63adbd6f58f1dp-17, -0x1.7369c7eb48ff9p-17, -0x1.8276a0eed1aeap-17, -0x1.90da4a427bf39p-17, -0x1.9e9a9590b5e44p-17, -0x1.abbd25b9454aep-17, -0x1.b847701ea0048p-17, -0x1.c43ebdef15986p-17, -0x1.cfa82d614fa89p-17, -0x1.da88b2e468a5ep-17, -0x1.e4e51a59b9f0bp-17, -0x1.eec208323c28ep-17, -0x1.f823fa9168f04p-17, -0x1.0087a5332e4ccp-16, -0x1.04c4163f3f42p-16, -0x1.08c959461d1d1p-16, -0x1.0c996617daa48p-16, -0x1.103623f912759p-16, -0x1.13a16a1e5c32cp-16, -0x1.16dd00242af62p-16, -0x1.19ea9e86289ecp-16, -0x1.1ccbef0f7fc03p-16, -0x1.1f828d4c2b24p-16, -0x1.221006f32e296p-16, -0x1.2475dc52df7dp-16, -0x1.26b580b671b6ap-16, -0x1.28d05ac9c803cp-16, -0x1.2ac7c4fdda378p-16, -0x1.2c9d0de45894dp-16, -0x1.2e51788e9d8e1p-16, -0x1.2fe63ce79891p-16, -0x1.315c880a8f9ebp-16, -0x1.32b57c9a5203fp-16, -0x1.33f2331285772p-16, -0x1.3513ba1a6d832p-16, -0x1.361b16d186009p-16, -0x1.3709451e2b949p-16, -0x1.37df37f70cf53p-16, -0x1.389dd9ac42d41p-16, -0x1.39460c2d29ae1p-16, -0x1.39d8a94d8d3aap-16, -0x1.3a5683082242ep-16, -0x1.3ac063bf93dcfp-16, -0x1.3b170e7c73b1fp-16, -0x1.3b5b3f2cbd114p-16, -0x1.3b8daadcc06d1p-16, -0x1.3baefff30653bp-16, -0x1.3bbfe6675de6dp-16, -0x1.3bc0fffa15d61p-16, -0x1.3bb2e868a5a06p-16, -0x1.3b9635a25c994p-16, -0x1.3b6b77f828f6bp-16, -0x1.3b333a4fc49c6p-16, -0x1.3aee0250a8b4p-16, -0x1.3a9c5093bc3c3p-16, -0x1.3a3ea0ce692b1p-16, -0x1.39d569ff21c79p-16, -0x1.39611e9590535p-16, -0x1.38e22c9cfc5b1p-16, -0x1.3858fde263b59p-16, -0x1.37c5f81b99ccap-16, -0x1.37297d0bd89d6p-16, -0x1.3683eaa7a9d43p-16, -0x1.35d59b38b820ap-16, -0x1.351ee57e3daf6p-16, -0x1.34601ccede882p-16, -0x1.33999138312a7p-16, -0x1.32cb8f9cd9d56p-16, -0x1.31f661d39733bp-16, -0x1.311a4ec2f86e4p-16, -0x1.30379a7e68cafp-16, -0x1.2f4e865fcf145p-16, -0x1.2e5f5123a2c8ep-16, -0x1.2d6a3700eb045p-16, -0x1.2c6f71c29a2a7p-16, -0x1.2b6f38deca41fp-16, -0x1.2a69c18e61cb1p-16, -0x1.295f3ee2cbb62p-16, -0x1.284fe1dbb23c8p-16, -0x1.273bd97c0e398p-16, -0x1.262352ddf5dc5p-16, -0x1.2506794655bb1p-16, -0x1.23e5763786c93p-16, -0x1.22c07183c8ecap-16, -0x1.2197915e9e0f8p-16, -0x1.206afa6dd0e45p-16, -0x1.1f3acfd9d252fp-16, -0x1.1e07335dd9a73p-16, -0x1.1cd04556ae785p-16, -0x1.1b9624d16d862p-16, -0x1.1a58ef9a7818bp-16, -0x1.1918c24a4639fp-16, -0x1.17d5b85339751p-16, -0x1.168fec0e19503p-16, -0x1.154776c68f0d8p-16, -0x1.13fc70c6f0e19p-16, -0x1.12aef16390816p-16, -0x1.115f0f05e37f1p-16, -0x1.100cdf370c67bp-16, -0x1.0eb876a9ffb7cp-16, -0x1.0d61e94591088p-16, -0x1.0c094a2d8d679p-16, -0x1.0aaeabcc196abp-16, -0x1.09521fda53e9dp-16, -0x1.07f3b768a693ep-16, -0x1.069382e71230dp-16, -0x1.0531922ce9554p-16, -0x1.03cdf47ffa4p-16, -0x1.0268b89be564ap-16, -0x1.0101ecb91085fp-16, -0x1.ff333d26515c8p-17, -0x1.fc5fb6df1e858p-17, -0x1.f9896046389ffp-17, -0x1.f6b052306a496p-17, -0x1.f3d4a4a8a9f21p-17, -0x1.f0f66efa999c7p-17, -0x1.ee15c7bc739d6p-17, -0x1.eb32c4d96aa6fp-17, -0x1.e84d7b9a9a555p-17, -0x1.e56600aff64a3p-17, -0x1.e27c6838b341cp-17, -0x1.df90c5cbc4542p-17, -0x1.dca32c7f2f56ep-17, -0x1.d9b3aeefe2f24p-17, -0x1.d6c25f483729p-17, -0x1.d3cf4f47449b7p-17, -0x1.d0da9046cadb2p-17, -0x1.cde43341ab2f3p-17, -0x1.caec48d9264a5p-17, -0x1.c7f2e15b1635p-17, -0x1.c4f80cc68a9b3p-17, -0x1.c1fbdad109646p-17, -0x1.befe5aeb396adp-17, -0x1.bbff9c44fa32fp-17, -0x1.b8ffadd26ade9p-17, -0x1.b5fe9e4f05b07p-17, -0x1.b2fc7c41da5aep-17, -0x1.aff95600e60acp-17, -0x1.acf539b4a3a76p-17, -0x1.a9f0355afc1a5p-17, -0x1.a6ea56ca5d812p-17, -0x1.a3e3abb4594f8p-17, -0x1.a0dc41a8552e9p-17, -0x1.9dd42615f0eadp-17, -0x1.9acb664f7daddp-17, -0x1.97c20f8bcf7c4p-17, -0x1.94b82ee85c86p-17, -0x1.91add16b4568p-17, -0x1.8ea304049dc14p-17, -0x1.8b97d39040929p-17, -0x1.888c4cd74cb5ap-17, -0x1.85807c9143a6bp-17, -0x1.82746f657be53p-17, -0x1.7f6831ec119f9p-17, -0x1.7c5bd0af0cb24p-17, -0x1.794f582b3d269p-17, -0x1.7642d4d100a2ap-17, -0x1.73365304f51dbp-17, -0x1.7029df20c4139p-17, -0x1.6d1d857381a2ap-17, -0x1.6a1152426da8dp-17, -0x1.670551c921e1bp-17, -0x1.63f9903a08134p-17, -0x1.60ee19be8c7e4p-17, -0x1.5de2fa777456cp-17, -0x1.5ad83e7cf4d2bp-17, -0x1.57cdf1ded44fap-17, -0x1.54c420a4958ecp-17, -0x1.51bad6cd3f805p-17, -0x1.4eb2204f85e7bp-17, -0x1.4baa09199e443p-17, -0x1.48a29d1138c15p-17, -0x1.459be81328bc7p-17, -0x1.4295f5f35fde3p-17, -0x1.3f90d27ccdadcp-17, -0x1.3c8c8970dedecp-17, -0x1.398926873d0bp-17, -0x1.3686b56dbefcap-17, -0x1.338541c7d137bp-17, -0x1.3084d72e25fdap-17, -0x1.2d85812e8b38fp-17, -0x1.2a874b4b44528p-17, -0x1.278a40fab26ddp-17, -0x1.248e6da7138eap-17, -0x1.2193dcadd8d4cp-17, -0x1.1e9a995f46809p-17, -0x1.1ba2aefe1dea1p-17, -0x1.18ac28bef6e79p-17, -0x1.15b711c7d79c2p-17, -0x1.12c3752fcaf91p-17, -0x1.0fd15dfe63382p-17, -0x1.0ce0d72afb0c4p-17, -0x1.09f1eb9c94328p-17, -0x1.0704a6291372bp-17, -0x1.04191194eb04cp-17, -0x1.012f38928abdp-17, -0x1.fc8e4b83c7a45p-18, -0x1.f6c1c75f9fea1p-18, -0x1.f0f8f9ab60f09p-18, -0x1.eb33f731de68cp-18, -0x1.e572d49511dcdp-18, -0x1.dfb5a64cb2fa2p-18, -0x1.d9fc80a5decb1p-18, -0x1.d44777c1dc639p-18, -0x1.ce969f94d7784p-18, -0x1.c8ea0be5bb2f7p-18, -0x1.c341d04c9f78dp-18, -0x1.bd9e003251b9ep-18, -0x1.b7feaecf1cf01p-18, -0x1.b263ef29f5442p-18, -0x1.accdd417f8106p-18, -0x1.a73c703b4ba5ep-18, -0x1.a1afd6025de58p-18, -0x1.9c2817a744db6p-18, -0x1.96a5472ebb0d3p-18, -0x1.91277667a3d37p-18, -0x1.8baeb6ea2fb79p-18, -0x1.863b1a16e8e65p-18, -0x1.80ccb116c1e29p-18, -0x1.7b638cd991469p-18, -0x1.75ffbe15dcbacp-18, -0x1.70a1554850eaap-18, -0x1.6b4862b315bb9p-18, -0x1.65f4f65d1fa2p-18, -0x1.60a72011b24p-18, -0x1.5b5eef5fe42bp-18, -0x1.561c739a446afp-18, -0x1.50dfbbd60af38p-18, -0x1.4ba8d6eada621p-18, -0x1.4677d3727a3d5p-18, -0x1.414cbfc82b76p-18, -0x1.3c27aa0877facp-18, -0x1.3708a01081751p-18, -0x1.31efaf7e569a4p-18, -0x1.2cdce5afffe71p-18, -0x1.27d04fc331cd8p-18, -0x1.22c9fa95db615p-18, -0x1.1dc9f2c506667p-18, -0x1.18d044acba7eep-18, -0x1.13dcfc68919a9p-18, -0x1.0ef025d27fd03p-18, -0x1.0a09cc83583d1p-18, -0x1.0529fbd2a2f03p-18, -0x1.0050bed60c82dp-18, -0x1.f6fc40c3f887cp-19, -0x1.ed6456120833fp-19, -0x1.e3d9d23783ec9p-19, -0x1.da5cc952c8d52p-19, -0x1.d0ed4efe6ab36p-19, -0x1.c78b765150c26p-19, -0x1.be3751df788a3p-19, -0x1.b4f0f3b90aadcp-19, -0x1.abb86d6af3ae4p-19, -0x1.a28dcfffd4e0ap-19, -0x1.99712bff450b6p-19, -0x1.9062916dc72d1p-19, -0x1.87620fce7a418p-19, -0x1.7e6fb62236b5p-19, -0x1.758b92e805b84p-19, -0x1.6cb5b41e8cff6p-19, -0x1.63ee2743564a6p-19, -0x1.5b34f95375fe1p-19, -0x1.528a36cc8df8bp-19, -0x1.49edebacdd224p-19, -0x1.41602373fe3bep-19, -0x1.38e0e9232f5a9p-19, -0x1.3070473eb99dcp-19, -0x1.280e47cd6ee73p-19, -0x1.1fbaf45a1d18fp-19, -0x1.177655f43cbffp-19, -0x1.0f4075300a717p-19, -0x1.07195a27e018p-19, -0x1.fe0218f983362p-20, -0x1.edef26ae26117p-20, -0x1.ddf9eacea9052p-20, -0x1.ce2271ced91bbp-20, -0x1.be68c7354377bp-20, -0x1.aeccf59ea0657p-20, -0x1.9f4f06bf6ef2bp-20, -0x1.8fef0363fe27ap-20, -0x1.80acf374ff3e6p-20, -0x1.7188ddf704821p-20, -0x1.6282c90d59f49p-20, -0x1.539ab9fc6bd02p-20, -0x1.44d0b52aae445p-20, -0x1.3624be2438f33p-20, -0x1.2796d79ae988p-20, -0x1.1927036a52375p-20, -0x1.0ad5429856327p-20, -0x1.f9432aaeaab95p-21, -0x1.dd17f61352772p-21, -0x1.c128e484c8b2bp-21, -0x1.a575f190978c3p-21, -0x1.89ff172f90ed4p-21, -0x1.6ec44dcb4806ap-21, -0x1.53c58c3fa0ea7p-21, -0x1.3902c7e310b36p-21, -0x1.1e7bf488ba3ccp-21, -0x1.0431048526a0cp-21, -0x1.d443d168d5ea9p-22, -0x1.a09d20fad9b66p-22, -0x1.6d6dd3ad905c6p-22, -0x1.3ab5c29999454p-22, -0x1.0874c40739222p-22, -0x1.ad5556fb0f75ep-23, -0x1.4aae93888809ap-23, -0x1.d1e9b3dbae62ep-24, -0x1.104f822567b07p-24, -0x1.4236d4dcbe181p-26, 0x1.b572679f0fdbcp-26, 0x1.29705c5d3051fp-24, 0x1.e3ae8d5c9356fp-24, 0x1.4e0c18f7ce8p-23, 0x1.a9572c6d8709cp-23, 0x1.01dc869a9c651p-22, 0x1.2e992618b4bfbp-22, 0x1.5ae1bf6fe3a28p-22, 0x1.86b69fa63fbep-22, 0x1.b2181605cd006p-22, 0x1.dd0674039f892p-22, 0x1.03c106a2c63ecp-21, 0x1.18c59bc826152p-21, 0x1.2d91255f6d6e1p-21, 0x1.4223d05e9c0dcp-21, 0x1.567dcabbcd5e4p-21, 0x1.6a9f436c593b3p-21, 0x1.7e886a5e5c59p-21, 0x1.923970723a37ep-21, 0x1.a5b28777aa34ep-21, 0x1.b8f3e22bb7a46p-21, 0x1.cbfdb42e91ae4p-21, 0x1.ded03202d738p-21, 0x1.f16b91080708fp-21, 0x1.01e803bb49e9bp-20, 0x1.0afee62be4ef7p-20, 0x1.13fa8bc39387dp-20, 0x1.1cdb10d492035p-20, 0x1.25a0921415fdep-20, 0x1.2e4b2c979d09ep-20, 0x1.36dafdd44018ap-20, 0x1.3f50239aeb062p-20, 0x1.47aabc1609b0ap-20, 0x1.4feae5c986d18p-20, 0x1.5810bf8d11794p-20, 0x1.601c688d3786bp-20, 0x1.680e0048107d4p-20, 0x1.6fe5a68aa5705p-20, 0x1.77a37b6fb9b8ap-20, 0x1.7f479f5ca2c22p-20, 0x1.86d2330064ebap-20, 0x1.8e4357509117ep-20, 0x1.959b2d875613p-20, 0x1.9cd9d723f753p-20, 0x1.a3ff75e39971fp-20, 0x1.ab0c2bc4ae66ap-20, 0x1.b2001b01d0e19p-20, 0x1.b8db6610b9f9bp-20, 0x1.bf9e2fa02ed4bp-20, 0x1.c6489a96a477dp-20, 0x1.ccdaca0f02d51p-20, 0x1.d354e15887f81p-20, 0x1.d9b703f2d29b7p-20, 0x1.e001558f4d53fp-20, 0x1.e633fa0ac5f57p-20, 0x1.ec4f156fe686ep-20, 0x1.f252cbf3ddca8p-20, 0x1.f83f41f1f312cp-20, 0x1.fe149bf029c49p-20, 0x1.01e97f4aaaba4p-19, 0x1.04bd47574ba8p-19, 0x1.0785b8951f0b9p-19, 0x1.0a42e58ab6b84p-19, 0x1.0cf4e0ce3beb7p-19, 0x1.0f9bbd046be45p-19, 0x1.12378cdf29d65p-19, 0x1.14c8631d3eec7p-19, 0x1.174e5289c3411p-19, 0x1.19c96dfa5830ep-19, 0x1.1c39c84f81b53p-19, 0x1.1e9f7473b28cp-19, 0x1.20fa85596c9a9p-19, 0x1.234b0dfc485e6p-19, 0x1.2591215efbf2ep-19, 0x1.27ccd28aefd85p-19, 0x1.29fe348fbdd34p-19, 0x1.2c255a820a5a7p-19, 0x1.2e42577bed813p-19, 0x1.30553e9a1eee6p-19, 0x1.325e22fe27558p-19, 0x1.345d17caff328p-19, 0x1.365230268e21fp-19, 0x1.383d7f379513cp-19, 0x1.3a1f18257f99fp-19, 0x1.3bf70e188f246p-19, 0x1.3dc574379fbafp-19, 0x1.3f8a5da8f7847p-19, 0x1.4145dd915a6d2p-19, 0x1.42f80712b201p-19, 0x1.44a0ed4cae41p-19, 0x1.4640a35b47718p-19, 0x1.47d73c5659cc6p-19, 0x1.4964cb51e2085p-19, 0x1.4ae9635c191ebp-19, 0x1.4c65177e27931p-19, 0x1.4dd7fabb229e8p-19, 0x1.4f42200f2190fp-19, 0x1.50a39a6f5eaccp-19, 0x1.51fc7cca0b579p-19, 0x1.534cda045034p-19, 0x1.5494c4fb7ea87p-19, 0x1.55d45083dc76ap-19, 0x1.570b8f6820e04p-19, 0x1.583a9468e080fp-19, 0x1.5961723cfb687p-19, 0x1.5a803b8fae804p-19, 0x1.5b97030217811p-19, 0x1.5ca5db288e741p-19, 0x1.5dacd68cb9c5cp-19, 0x1.5eac07aa8af8p-19, 0x1.5fa380f210fd4p-19, 0x1.609354c5fea3dp-19, 0x1.617b957b1f14cp-19, 0x1.625c5558d6611p-19, 0x1.6335a69813255p-19, 0x1.64079b62cfb77p-19, 0x1.64d245d4e5b67p-19, 0x1.6595b7f9e1c17p-19, 0x1.665203cea7b54p-19, 0x1.67073b3f8256ep-19, 0x1.67b57028bdd1bp-19, 0x1.685cb45636bacp-19, 0x1.68fd1982ca86ep-19, 0x1.6996b157d139fp-19, 0x1.6a298d6e6e0e4p-19, 0x1.6ab5bf4c8aff2p-19, 0x1.6b3b586717844p-19, 0x1.6bba6a20b1936p-19, 0x1.6c3305c93c21fp-19, 0x1.6ca53c9dc65bap-19, 0x1.6d111fc90c2f6p-19, 0x1.6d76c061cbba7p-19, 0x1.6dd62f6bde98bp-19, 0x1.6e2f7dd741703p-19, 0x1.6e82bc804d02ep-19, 0x1.6ecffc2eaf51p-19, 0x1.6f174d96cbd0ep-19, 0x1.6f58c15788ce6p-19, 0x1.6f9467fb9f7fp-19, 0x1.6fca51f94fe9ap-19, 0x1.6ffa8fb0baeecp-19, 0x1.7025316e377f1p-19, 0x1.704a47677a894p-19, 0x1.7069e1bd7d82bp-19, 0x1.7084107b5d057p-19, 0x1.7098e3960cb8p-19, 0x1.70a86aed0d772p-19, 0x1.70b2b6493732fp-19, 0x1.70b7d55dba9c5p-19, 0x1.70b7d7c708688p-19, 0x1.70b2cd0abf727p-19, 0x1.70a8c498e779dp-19, 0x1.7099cdc9c9773p-19, 0x1.7085f7df0d884p-19, 0x1.706d52040ba49p-19, 0x1.704feb4c557dfp-19, 0x1.702dd2b45dacap-19, 0x1.700717223cd6p-19, 0x1.6fdbc7639e2d2p-19, 0x1.6fabf22f79981p-19, 0x1.6f77a62535cp-19, 0x1.6f3ef1cc83bfbp-19, 0x1.6f01e395942cep-19, 0x1.6ec089d920e48p-19, 0x1.6e7af2d7879c9p-19, 0x1.6e312cba849cdp-19, 0x1.6de34592cd642p-19, 0x1.6d914b59d0916p-19, 0x1.6d3b4bf15f6b7p-19, 0x1.6ce1552263914p-19, 0x1.6c83749f004eep-19, 0x1.6c21b8003b185p-19, 0x1.6bbc2cc8078abp-19, 0x1.6b52e05f32c56p-19, 0x1.6ae5e017cf1c8p-19, 0x1.6a75392a7282p-19, 0x1.6a00f8b87a716p-19, 0x1.69892bcb32088p-19, 0x1.690ddf52fde48p-19, 0x1.688f2028e38c6p-19, 0x1.680cfb0dae631p-19, 0x1.67877ca95aed4p-19, 0x1.66feb18ced35bp-19, 0x1.6672a63058b17p-19, 0x1.65e366f3a2c95p-19, 0x1.6551001f9902fp-19, 0x1.64bb7de37854ep-19, 0x1.6422ec57e580dp-19, 0x1.6387577cb41bcp-19, 0x1.62e8cb39c91abp-19, 0x1.6247535f8f44bp-19, 0x1.61a2fba5f2a36p-19, 0x1.60fbcfad2d279p-19, 0x1.6051dafe20037p-19, 0x1.5fa52908960fbp-19, 0x1.5ef5c5267f97fp-19, 0x1.5e43ba97fc5bcp-19, 0x1.5d8f14874d84cp-19, 0x1.5cd7de05c5161p-19, 0x1.5c1e220e06625p-19, 0x1.5b61eb827bbf3p-19, 0x1.5aa3452ef8749p-19, 0x1.59e239c6cf521p-19, 0x1.591ed3e6f52b3p-19, 0x1.58591e148d99cp-19, 0x1.579122bd9351ap-19, 0x1.56c6ec39345c3p-19, 0x1.55fa84c71bef5p-19, 0x1.552bf68ff266ap-19, 0x1.545b4ba61e60dp-19, 0x1.53888e0404d6ap-19, 0x1.52b3c78e5adc1p-19, 0x1.51dd02127dedap-19, 0x1.510447470534bp-19, 0x1.5029a0ccf27a9p-19, 0x1.4f4d182d38a01p-19, 0x1.4e6eb6dc3c03dp-19, 0x1.4d8e8636546a5p-19, 0x1.4cac8f83042dfp-19, 0x1.4bc8dbf2e0233p-19, 0x1.4ae374a06d886p-19, 0x1.49fc6290fa322p-19, 0x1.4913aeb2f726dp-19, 0x1.482961dfc5c97p-19, 0x1.473d84daff624p-19, 0x1.4650205223d6dp-19, 0x1.45613cddfe7e1p-19, 0x1.4470e30153be9p-19, 0x1.437f1b29d2048p-19, 0x1.428bedb04072dp-19, 0x1.419762d7a5906p-19, 0x1.40a182ceb70f9p-19, 0x1.3faa55aec07ebp-19, 0x1.3eb1e37c943d8p-19, 0x1.3db8342841209p-19, 0x1.3cbd4f8d1397ep-19, 0x1.3bc13d721e4e8p-19, 0x1.3ac40589fec9ep-19, 0x1.39c5af72a57fap-19, 0x1.38c642b6d24bfp-19, 0x1.37c5c6cbf3b09p-19, 0x1.36c443149ce6fp-19, 0x1.35c1bedeec96bp-19, 0x1.34be416551fbep-19, 0x1.33b9d1cf10561p-19, 0x1.32b4772f0d61ep-19, 0x1.31ae3885ea089p-19, 0x1.30a71cbfbf08p-19, 0x1.2f9f2ab6a8ecfp-19, 0x1.2e966930a62a5p-19, 0x1.2d8cdee190a8p-19, 0x1.2c82926a00693p-19, 0x1.2b778a579e8f5p-19, 0x1.2a6bcd266d5bap-19, 0x1.295f613e648f5p-19, 0x1.28524cf6cb313p-19, 0x1.2744969346b29p-19, 0x1.26364445f83aep-19, 0x1.25275c2f2c87p-19, 0x1.2417e45c75e74p-19, 0x1.2307e2ca6f0a3p-19, 0x1.21f75d63856d9p-19, 0x1.20e65a00a527p-19, 0x1.1fd4de6980f33p-19, 0x1.1ec2f054123c1p-19, 0x1.1db095656ca8bp-19, 0x1.1c9dd3316274ep-19, 0x1.1b8aaf3aa01cfp-19, 0x1.1a772ef36286cp-19, 0x1.196357bc7e8d9p-19, 0x1.184f2ee6ec75cp-19, 0x1.173ab9b2333fep-19, 0x1.1625fd4e6ee58p-19, 0x1.1510feda7a88cp-19, 0x1.13fbc365cc9c1p-19, 0x1.12e64fef4f29p-19, 0x1.11d0a9661fc64p-19, 0x1.10bad4a9a73a2p-19, 0x1.0fa4d68943963p-19, 0x1.0e8eb3c547964p-19, 0x1.0d78710dafbd6p-19, 0x1.0c6213044d771p-19, 0x1.0b4b9e3a48f35p-19, 0x1.0a351733234d1p-19, 0x1.091e8261f0eb1p-19, 0x1.0807e42c0efafp-19, 0x1.06f140e737255p-19, 0x1.05da9cdae61cbp-19, 0x1.04c3fc401797bp-19, 0x1.03ad6340d0b81p-19, 0x1.0296d5f9a08a8p-19, 0x1.01805877ea7dfp-19, 0x1.0069eebbc1649p-19, 0x1.fea7396da0e3cp-20, 0x1.fc7acc99c1f04p-20, 0x1.fa4e9ea8a2507p-20, 0x1.f822b72ab171p-20, 0x1.f5f71d9655b45p-20, 0x1.f3cbd946634d7p-20, 0x1.f1a0f17b3c7afp-20, 0x1.ef766d5b3b985p-20, 0x1.ed4c53f1afb61p-20, 0x1.eb22ac3156b4ep-20, 0x1.e8f97cf159f79p-20, 0x1.e6d0ccf1678bep-20, 0x1.e4a8a2d5e6408p-20, 0x1.e281052bfd82dp-20, 0x1.e059fa663b98bp-20, 0x1.de3388e062b13p-20, 0x1.dc0db6dbae464p-20, 0x1.d9e88a835c1aap-20, 0x1.d7c409e85e086p-20, 0x1.d5a03b063cec9p-20, 0x1.d37d23be89e54p-20, 0x1.d15ac9ddaff2p-20, 0x1.cf39331710fb4p-20, 0x1.cd1865087eb93p-20, 0x1.caf865383d1c8p-20, 0x1.c8d9391650a72p-20, 0x1.c6bae5fc6d215p-20, 0x1.c49d712e13931p-20, 0x1.c280dfd90da16p-20, 0x1.c0653714de97ap-20, 0x1.be4a7be47298fp-20, 0x1.bc30b334483bep-20, 0x1.ba17e1dce0459p-20, 0x1.b8000ca10417dp-20, 0x1.b5e9382f09a9cp-20, 0x1.b3d36920e848bp-20, 0x1.b1bea3fbe46e1p-20, 0x1.afaaed31bef77p-20, 0x1.ad98491f75ca8p-20, 0x1.ab86bc0f47306p-20, 0x1.a9764a36e383p-20, 0x1.a766f7b982fabp-20, 0x1.a558c8a6816dbp-20, 0x1.a34bc0faba7e8p-20, 0x1.a13fe49ff293dp-20, 0x1.9f35376da1c22p-20, 0x1.9d2bbd28851ep-20, 0x1.9b2379836193ep-20, 0x1.991c701ec357ap-20, 0x1.9716a48976f34p-20, 0x1.95121a406b4d2p-20, 0x1.930ed4af7a439p-20, 0x1.910cd73086b3ep-20, 0x1.8f0c250d20243p-20, 0x1.8d0cc17cfe3aap-20, 0x1.8b0eafa7d721cp-20, 0x1.8911f2a41f054p-20, 0x1.87168d7867b63p-20, 0x1.851c831a95c0fp-20, 0x1.8323d6709ea8ap-20, 0x1.812c8a50c4dabp-20, 0x1.7f36a180e8708p-20, 0x1.7d421eb82ad95p-20, 0x1.7b4f049d8ce79p-20, 0x1.795d55c927424p-20, 0x1.776d14c417f26p-20, 0x1.757e4408218a9p-20, 0x1.7390e600b8efdp-20, 0x1.71a4fd0a8e99p-20, 0x1.6fba8b73c1499p-20, 0x1.6dd1937c7e532p-20, 0x1.6bea1756773b7p-20, 0x1.6a041925a11f7p-20, 0x1.681f9b0030161p-20, 0x1.663c9eee6100dp-20, 0x1.645b26eb92db7p-20, 0x1.627b34e4da699p-20, 0x1.609ccabb42ac7p-20, 0x1.5ebfea41b83c7p-20, 0x1.5ce4953f1a7a5p-20, 0x1.5b0acd6d15906p-20, 0x1.59329478dae9ep-20, 0x1.575bec0359b1bp-20, 0x1.5586d5a0d70e8p-20, 0x1.53b352d9d26acp-20, 0x1.51e1652a8b3e3p-20, 0x1.50110e0377cedp-20, 0x1.4e424ec957a2bp-20, 0x1.4c7528d5598c4p-20, 0x1.4aa99d752cf52p-20, 0x1.48dfadeb3935ap-20, 0x1.47175b6ec4c78p-20, 0x1.4550a72bf41eep-20, 0x1.438b924425e61p-20, 0x1.41c81dcdd62b1p-20, 0x1.40064ad4ecc52p-20, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
    }}, 
    {
      32, 0x1.17ae147ae147bp+3, 0x1.ec4eced56d8d1p+0, 0x1.4a7516d11f764p+1, -0x1.bf0dd31d6c43p-19, 
      {{
        {0x1.cb851eb851eb8p+2, 0x1.ccccccccccccdp+2, 0x1.4f4a9455851dep-17, -0x1.addc4c7e237bfp-16, 0x1.9d53dbb7b036fp-16, -0x1.60cca2bf85721p-17}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.3e6cbc03b3796p-17, -0x1.9d8a03b303c8ep-16, 0x1.92be5bf480b0bp-16, -0x1.575e417c8bbdcp-17}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.170aa8312ebafp-17, -0x1.768d697826ccep-16, 0x1.78fdb0a4c302ap-16, -0x1.4bae5e6522121p-17}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.e6dc19d54d154p-18, -0x1.5218db5be507p-16, 0x1.601d699060748p-16, -0x1.4074b7b19fc5fp-17}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.a6ae6f3a25425p-18, -0x1.30165a7390243p-16, 0x1.4814a8964145cp-16, -0x1.351b629a133a4p-17}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.6d11447e7b1f9p-18, -0x1.10703aec27c3cp-16, 0x1.30e5cdfde63aap-16, -0x1.29ca8aaeb9bc8p-17}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.398de6a38985ep-18, -0x1.e621755de1991p-17, 0x1.1a9036ca65195p-16, -0x1.1e776c76a093ap-17}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.0bb1fbbe30fdap-18, -0x1.afc43b38da1a7p-17, 0x1.05140ea7e5db4p-16, -0x1.1324ea455d563p-17}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.c61f05edef854p-19, -0x1.7d9d4bf7cae95p-17, 0x1.e0e293c5641dp-17, -0x1.07d23e4575514p-17}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.7e79a9141387ap-19, -0x1.4f812d04930fcp-17, 0x1.b94fd73af8ea8p-17, -0x1.f8ff3af2a0c54p-18}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.3fa9438e71445p-19, -0x1.2544638e4e9c4p-17, 0x1.936fe602600e5p-17, -0x1.e259f35984e13p-18}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.08ebea23f7669p-19, -0x1.fd76e9a7b0c46p-18, 0x1.6f42c08edc7dap-17, -0x1.cbb4ad5c32195p-18}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.b310c785bff66p-20, -0x1.b775cc1fa6538p-18, 0x1.4cc866c18beeep-17, -0x1.b50f66f085073p-18}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.619c530160eb1p-20, -0x1.782e78fc0637dp-18, 0x1.2c00d8a2b5281p-17, -0x1.9e6a20a271ab5p-18}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.1c2acd34735e9p-20, -0x1.3f49fab3bdb86p-18, 0x1.0cec16301fd4fp-17, -0x1.87c4da4c63e41p-18}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.c2fbe1ce5f9a2p-21, -0x1.0c715bbde39ecp-18, 0x1.df143ed4ca46cp-18, -0x1.711f93f8a12c3p-18}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.60d1ba60cafffp-21, -0x1.be9b4d23079a8p-19, 0x1.a7b5e8a2b219fp-18, -0x1.5a7a4da3a4cc6p-18}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.0fa02aeaf511cp-21, -0x1.6f0fcb4b58606p-19, 0x1.73bd29ca262eap-18, -0x1.43d507513753p-18}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.9aa605a9af1bfp-22, -0x1.299246e2da86ap-19, 0x1.432a024ac447ep-18, -0x1.2d2fc0f5e2f0bp-18}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.2ff1b4473395dp-22, -0x1.dae9a9af2d5bbp-20, 0x1.15fc7225e23e7p-18, -0x1.168a7abb9455cp-18}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.b70c45e642afp-23, -0x1.7413142fe41adp-20, 0x1.d868f2ad17fb8p-19, -0x1.ffca680c29c4ap-19}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.34174858fac29p-23, -0x1.1d44f721ef4d8p-20, 0x1.8ba42fde781fcp-19, -0x1.d27fde3872225p-19}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.a1c06eb29f7a1p-24, -0x1.aa46f8d2f9a6cp-21, 0x1.45aa9b5600998p-19, -0x1.a53546fe8a3a4p-19}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.0f9bf99d705ap-24, -0x1.34a59b8a21645p-21, 0x1.067c371638a95p-19, -0x1.77eae1c54446dp-19}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.4f4a945584ccp-25, -0x1.addc55fef5bap-22, 0x1.9c31f73e100cep-20, -0x1.4a9fc1f041389p-19}, 
        {0x1.0cccccccccccdp+3, 0x1.0e66666666666p+3, 0x1.835af7f17187fp-26, -0x1.1cd1ef6011ee8p-22, 0x1.390209dc62e0ep-20, -0x1.1d575a89f07dbp-19}, 
        {0x1.0e66666666666p+3, 0x1.1p+3, 0x1.9a07bceb8a5fep-27, -0x1.61798591061dep-23, 0x1.c6cfaa32cf13dp-21, -0x1.e009980668d8p-20}, 
        {0x1.1p+3, 0x1.119999999999ap+3, 0x1.80ade82a1acp-28, -0x1.90b4767f4a2d6p-24, 0x1.36ccc9641603fp-21, -0x1.85b043225fad1p-20}, 
        {0x1.119999999999ap+3, 0x1.1333333333333p+3, 0x1.2e33e13f3b8p-29, -0x1.8da7bae192501p-25, 0x1.83c96a805902ep-22, -0x1.2a3c1bd5ef956p-20}, 
        {0x1.1333333333333p+3, 0x1.14ccccccccccdp+3, 0x1.64553d79e5fffp-31, -0x1.3e01162946ad6p-26, 0x1.a1b119fff8f49p-23, -0x1.a5ceec0af79f7p-21}, 
        {0x1.14ccccccccccdp+3, 0x1.1666666666666p+3, 0x1.e6dc19d44p-34, -0x1.5456d39100377p-28, 0x1.4936b2592f22p-24, -0x1.b0be72a75b52ep-22}, 
        {0x1.1666666666666p+3, 0x1.17ae147ae147bp+3, 0x1.2ff1b43p-38, -0x1.5507c9a514a2p-32, 0x1.1644e96cae401p-26, -0x1.8613e5c78f41cp-21}, 
      }}, 
      0x1.1baad263688cfp-16, -0x1.2b4014846944ap-13
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.7338e9b5b66e9p+0, 0x1.6fea9406ac959p+0, 0x1.6a8962fcdf1efp+0, 0x1.6343ec0e0e4fdp+0, 0x1.5a5410117197fp+0, 0x1.4ff998c4951f3p+0, 0x1.4475dfaea8a2p+0, 0x1.3808bf05a8708p+0, 0x1.2aeea00865809p+0, 0x1.1d5f555e07e3ep+0, 0x1.0f8d764968f79p+0, 0x1.01a606abad693p+0, 0x1.e7a0a0e09a1edp-1, 0x1.cc5bc5f8731c3p-1, 0x1.b1b56b590c0f9p-1, 0x1.97dad780b6fccp-1, 0x1.7eef6b903e845p-1, 0x1.670d945cd8c27p-1, 0x1.5047d8ecfbda7p-1, 0x1.3aa9f5f8078d2p-1, 0x1.2639f56a46d47p-1, 0x1.12f936da0f8bep-1, 0x1.00e56006eed1dp-1, 0x1.dff2610f777c8p-2, 0x1.c05a6dc2ae53cp-2, 0x1.a2f0ce7a01cdp-2, 0x1.87a12b050d7a9p-2, 0x1.6e55ab83907e8p-2, 0x1.56f78d18650f7p-2, 0x1.416f920062dfcp-2, 0x1.2da653f545453p-2, 0x1.1b847eec6a845p-2, 0x1.0af2f979e641fp-2, 0x1.f7b5ff1520cb6p-3, 0x1.dc4c678bec5f2p-3, 0x1.c37d5694f2c62p-3, 0x1.ad1dece669f67p-3, 0x1.990450e9a7606p-3, 0x1.8707be4383106p-3, 0x1.77009753d5d9ap-3, 0x1.68c878dc5120cp-3, 0x1.5c3a4f041c463p-3, 0x1.51326ae54b1bfp-3, 0x1.478e9803438a4p-3, 0x1.3f2e30e4c7383p-3, 0x1.37f231a52bc9bp-3, 0x1.31bd4731c872dp-3, 0x1.2c73da45d3098p-3, 0x1.27fc15c2df61dp-3, 0x1.243de867233b6p-3, 0x1.212302098fde3p-3, 0x1.1e96cc906f939p-3, 0x1.1c8660eced28ap-3, 0x1.1ae0788f1804dp-3, 0x1.19955bf065a8cp-3, 0x1.1896cee45b7edp-3, 0x1.17d7fb5b7bbbep-3, 0x1.174d5b2e2ba78p-3, 0x1.16eca161c8a06p-3, 0x1.16aca343032fep-3, 0x1.1685419df0189p-3, 0x1.166f5252b5816p-3, 0x1.16648a843836bp-3, 0x1.165f69974418dp-3, 0x1.165b2535babb6p-3, 0x1.1653967d70a99p-3, 0x1.1645287cf9417p-3, 0x1.162cc80eef1b3p-3, 0x1.1607d521c2307p-3, 0x1.15d415637bc75p-3, 0x1.158fa8502ac23p-3, 0x1.1538fc879ce0cp-3, 0x1.14cec66411964p-3, 0x1.144ff79e49d84p-3, 0x1.13bbb81eda502p-3, 0x1.13115f77d9864p-3, 0x1.12506fac8ffdcp-3, 0x1.11788ff0fad87p-3, 0x1.10898941394c1p-3, 0x1.0f8341d3c1fe6p-3, 0x1.0e65bb33f12ep-3, 0x1.0d310e45e3d09p-3, 0x1.0be56a1bb58b7p-3, 0x1.0a83111d55804p-3, 0x1.090a571db3decp-3, 0x1.077ba10b55b9ap-3, 0x1.05d760ec01cb7p-3, 0x1.041e17e00a96ep-3, 0x1.025051c519705p-3, 0x1.006ea62a3a7ffp-3, 0x1.fcf36eb2d9146p-4, 0x1.f8e45db73b213p-4, 0x1.f4b18205b8ad8p-4, 0x1.f05c4ea5a1851p-4, 0x1.ebe6457611106p-4, 0x1.e750f519012b8p-4, 0x1.e29df24822066p-4, 0x1.ddcede7908a93p-4, 0x1.d8e55f167f0f3p-4, 0x1.d3e31f75e1392p-4, 0x1.cec9d12c2b067p-4, 0x1.c99b2609bb816p-4, 0x1.c458d3f72ba1ep-4, 0x1.bf0490ddd25eap-4, 0x1.b9a011b972f9cp-4, 0x1.b42d0b789d3ffp-4, 0x1.aead2f4a1d7bep-4, 0x1.a9222bdeee188p-4, 0x1.a38dab582d567p-4, 0x1.9df1520edfae6p-4, 0x1.984ebf5b9cbabp-4, 0x1.92a78a8f5e082p-4, 0x1.8cfd43b23fd47p-4, 0x1.8751732372b25p-4, 0x1.81a596e85e5cbp-4, 0x1.7bfb2440608efp-4, 0x1.765386ae6b39ap-4, 0x1.70b01dbeabdffp-4, 0x1.6b123ebb68a39p-4, 0x1.657b33e8574dp-4, 0x1.5fec3a661a4efp-4, 0x1.5a6683ab2ef87p-4, 0x1.54eb35933a5b4p-4, 0x1.4f7b682694f97p-4, 0x1.4a18268097d1p-4, 0x1.44c26ff591ec9p-4, 0x1.3f7b361f3adf8p-4, 0x1.3a435cadea5cep-4, 0x1.351bbb5b873aep-4, 0x1.30051d15ad9e7p-4, 0x1.2b003ea2ac6cdp-4, 0x1.260dd0492ad58p-4, 0x1.212e76b826227p-4, 0x1.1c62c97d8d237p-4, 0x1.17ab531ee0845p-4, 0x1.13089306e7bfap-4, 0x1.0e7afd726211cp-4, 0x1.0a02fa2f460fdp-4, 0x1.05a0e58a1932cp-4, 0x1.015511f40095p-4, 0x1.fa3f8f03c71bap-5, 0x1.f2028615c3926p-5, 0x1.e9f36ebc3b1ddp-5, 0x1.e2129d4210e9ep-5, 0x1.da6053837a9b1p-5, 0x1.d2dcbf976dda6p-5, 0x1.cb87fe0be6135p-5, 0x1.c4621c694d472p-5, 0x1.bd6b188406c3ep-5, 0x1.b6a2df2b43c9ap-5, 0x1.b0094dbfa8988p-5, 0x1.a99e34c26cbb9p-5, 0x1.a36157e3a7f7dp-5, 0x1.9d526ca4a691bp-5, 0x1.97711affc832cp-5, 0x1.91bcffdc0bc13p-5, 0x1.8c35ae039f6f3p-5, 0x1.86daad21dbb3bp-5, 0x1.81ab796d587b9p-5, 0x1.7ca7856c13c45p-5, 0x1.77ce3babb4695p-5, 0x1.731efeb273999p-5, 0x1.6e99282f66597p-5, 0x1.6a3c097932afcp-5, 0x1.6606ed4e6dfap-5, 0x1.61f918e750231p-5, 0x1.5e11cbaca7251p-5, 0x1.5a503eb30535dp-5, 0x1.56b3a5777166cp-5, 0x1.533b2f6547272p-5, 0x1.4fe6089e0a954p-5, 0x1.4cb359b137e73p-5, 0x1.49a2473ed67dp-5, 0x1.46b1f2aa3356cp-5, 0x1.43e17b5ec9498p-5, 0x1.412fff7ab7d2cp-5, 0x1.3e9c9bac8bf1ep-5, 0x1.3c266aea54bccp-5, 0x1.39cc86e2b804fp-5, 0x1.378e08f948d99p-5, 0x1.356a0af34aa2cp-5, 0x1.335fa7126682ep-5, 0x1.316df7dac5919p-5, 0x1.2f941827b803cp-5, 0x1.2dd123d622d8bp-5, 0x1.2c24387766a56p-5, 0x1.2a8c75a375181p-5, 0x1.2908fce24c02bp-5, 0x1.2798f17e477a2p-5, 0x1.263b78c8983a7p-5, 0x1.24efbab57818ep-5, 0x1.23b4e24d52039p-5, 0x1.228a1dc65ef6cp-5, 0x1.216e9e5b807dbp-5, 0x1.2061983776b5dp-5, 0x1.1f6242c3e264fp-5, 0x1.1e6fd918a8da5p-5, 0x1.1d899a3421315p-5, 0x1.1caec8fd53efp-5, 0x1.1bdeac291b0e5p-5, 0x1.1b188e30f8428p-5, 0x1.1a5bbd846d8f9p-5, 0x1.19a78cc659007p-5, 0x1.18fb52e741889p-5, 0x1.18566b2b4b33ep-5, 0x1.17b8352265292p-5, 0x1.1720149710018p-5, 0x1.168d71934f03bp-5, 0x1.15ffb879fd52bp-5, 0x1.15765a18084a4p-5, 0x1.14f0cbafdd6dbp-5, 0x1.146e86fc5fecbp-5, 0x1.13ef0a1a58c5cp-5, 0x1.1371d76a2573cp-5, 0x1.12f6758b1c32fp-5, 0x1.127c6f688838cp-5, 0x1.12035445704dp-5, 0x1.118ab7c07756ap-5, 0x1.111231c2f88d2p-5, 0x1.10995e591b77ap-5, 0x1.101fdd90e99e4p-5, 0x1.0fa553785d62cp-5, 0x1.0f2968285415dp-5, 0x1.0eabc7c610a41p-5, 0x1.0e2c2275afd08p-5, 0x1.0daa2c3c90a8ap-5, 0x1.0d259cda62522p-5, 0x1.0c9e2fae365e9p-5, 0x1.0c13a3b3e3f04p-5, 0x1.0b85bb873a1e2p-5, 0x1.0af43d594abc4p-5, 0x1.0a5ef2d852306p-5, 0x1.09c5a91204199p-5, 0x1.09283055dc8bfp-5, 0x1.08865c1e6708p-5, 0x1.07e00307630e7p-5, 0x1.0734fec80ff96p-5, 0x1.06852c23359e1p-5, 0x1.05d06accfed36p-5, 0x1.05169d502465ep-5, 0x1.0457a8f7cd1d8p-5, 0x1.039375bd13332p-5, 0x1.02c9ee36f7d63p-5, 0x1.01faff8c9db33p-5, 0x1.01269964b340ep-5, 0x1.004cadce8b46dp-5, 0x1.feda6253a4c14p-6, 0x1.fd1034259a7aap-6, 0x1.fb3ac2a692f0dp-6, 0x1.f95a03a740c96p-6, 0x1.f76df1120f0cp-6, 0x1.f57688c5f7476p-6, 0x1.f373cc701ffb1p-6, 0x1.f165c1637b6c3p-6, 0x1.ef4c70730734p-6, 0x1.ed27e5d342483p-6, 0x1.eaf831006734fp-6, 0x1.e8bd64a2362b1p-6, 0x1.e6779668f65b1p-6, 0x1.e426dee75467cp-6, 0x1.e1cb596ec83d5p-6, 0x1.df6523ef128e5p-6, 0x1.dcf45ed8c54c7p-6, 0x1.da792d0304d98p-6, 0x1.d7f3b3933248cp-6, 0x1.d56419e34fd19p-6, 0x1.d2ca896480221p-6, 0x1.d0272d7e18e67p-6, 0x1.cd7a336dad027p-6, 0x1.cac3ca2b69b24p-6, 0x1.c80422523433p-6, 0x1.c53b6e09777c5p-6, 0x1.c269e0ef3df91p-6, 0x1.bf8fb001a7fefp-6, 0x1.bcad1187080f1p-6, 0x1.b9c23cf494b04p-6, 0x1.b6cf6ad458122p-6, 0x1.b3d4d4ac96c03p-6, 0x1.b0d2b4eaa321p-6, 0x1.adc946d05f0d5p-6, 0x1.aab8c66260a8ep-6, 0x1.a7a170558428bp-6, 0x1.a48381fbb23c8p-6, 0x1.a15f393033c3bp-6, 0x1.9e34d443fba94p-6, 0x1.9b0491ea620a4p-6, 0x1.97ceb126cde95p-6, 0x1.9493713c2847ap-6, 0x1.9153119e1e44ep-6, 0x1.8e0dd1e31a348p-6, 0x1.8ac3f1b5ed2e7p-6, 0x1.8775b0c702682p-6, 0x1.84234ebd6367bp-6, 0x1.80cd0b2808366p-6, 0x1.7d73256fe2c1dp-6, 0x1.7a15dccad97dbp-6, 0x1.76b5702faf2a7p-6, 0x1.73521e4ab3dcdp-6, 0x1.6fec25732ade8p-6, 0x1.6c83c3a0dce3ep-6, 0x1.691936619254bp-6, 0x1.65acbace7ece4p-6, 0x1.623e8d81f0e6dp-6, 0x1.5eceea8d97d4p-6, 0x1.5b5e0d71a6bafp-6, 0x1.57ec3114db4a4p-6, 0x1.54798fbd2795fp-6, 0x1.5106630882a6ep-6, 0x1.4d92e3e5d5303p-6, 0x1.4a1f4a8dd831fp-6, 0x1.46abce7c1dd42p-6, 0x1.4338a66866f57p-6, 0x1.3fc6084074939p-6, 0x1.3c542922aae65p-6, 0x1.38e33d5960e1ep-6, 0x1.35737856db6c5p-6, 0x1.32050cb17704ap-6, 0x1.2e982c1fbdb5bp-6, 0x1.2b2d077433261p-6, 0x1.27c3ce991d233p-6, 0x1.245cb08cbb5b3p-6, 0x1.20f7db5e50c9bp-6, 0x1.1d957c2c11d78p-6, 0x1.1a35bf21e9cep-6, 0x1.16d8cf7869cf9p-6, 0x1.137ed77370bcdp-6, 0x1.1028005ff1388p-6, 0x1.0cd47290d2f77p-6, 0x1.0984555b62c67p-6, 0x1.0637cf144f4c5p-6, 0x1.02ef050e76ef1p-6, 0x1.ff54373873328p-7, 0x1.f8d26c26fc713p-7, 0x1.f258eda694157p-7, 0x1.ebe7fe91f33dap-7, 0x1.e57fdfe5d9a33p-7, 0x1.df20d0bdfc49ep-7, 0x1.d8cb0e48a57f7p-7, 0x1.d27ed3b3ea738p-7, 0x1.cc3c5a1a351c4p-7, 0x1.c603d87646b9ep-7, 0x1.bfd583a50f4fcp-7, 0x1.b9b18e7957d1dp-7, 0x1.b39829df06747p-7, 0x1.ad898506766a7p-7, 0x1.a785cd8be8672p-7, 0x1.a18d2f8e7d71fp-7, 0x1.9b9fd5ad134a3p-7, 0x1.95bde8e69f8d4p-7, 0x1.8fe7906480b2cp-7, 0x1.8a1cf13d30695p-7, 0x1.845e2e4328ea5p-7, 0x1.7eab67f286fp-7, 0x1.7904bc89e03a5p-7, 0x1.736a484f04308p-7, 0x1.6ddc25f35e8b3p-7, 0x1.685a6f0064fc1p-7, 0x1.62e53c2f0d1b6p-7, 0x1.5d7ca58f88e94p-7, 0x1.5820c271652acp-7, 0x1.52d1a90c2cd1bp-7, 0x1.4d8f6dfb68825p-7, 0x1.485a23af3462fp-7, 0x1.4331d9fa0835p-7, 0x1.3e169de002d5fp-7, 0x1.390879be55f7fp-7, 0x1.340775cb1438ap-7, 0x1.2f1398d61911ep-7, 0x1.2a2ce91fd5612p-7, 0x1.25536d115fddp-7, 0x1.20872ba47bda6p-7, 0x1.1bc82c5b7421cp-7, 0x1.171676c327f9ep-7, 0x1.12721197a28aap-7, 0x1.0ddb01bd57454p-7, 0x1.0951494f77196p-7, 0x1.04d4e702ccc1ep-7, 0x1.0065d60b4d43fp-7, 0x1.f8081d29dd7a6p-8, 0x1.ef5f0d7a446e7p-8, 0x1.e6d067b35c91ap-8, 0x1.de5c1789530f3p-8, 0x1.d6020bc0b999dp-8, 0x1.cdc23727e2b1cp-8, 0x1.c59c903e72e49p-8, 0x1.bd910f952cabcp-8, 0x1.b59fad3ce40b8p-8, 0x1.adc85dd5d1789p-8, 0x1.a60b0fe9f9d2cp-8, 0x1.9e67aa30199afp-8, 0x1.96de0b232b7aap-8, 0x1.8f6e0a100b7ffp-8, 0x1.8817796872cbap-8, 0x1.80da29e0bad51p-8, 0x1.79b5edaff4549p-8, 0x1.72aa9b3faa14ep-8, 0x1.6bb80eb854aa5p-8, 0x1.64de2a17072ap-8, 0x1.5e1cd3cc87d41p-8, 0x1.5773f436c8d9cp-8, 0x1.50e37282b43a6p-8, 0x1.4a6b319fbe833p-8, 0x1.440b0de4f6a8ep-8, 0x1.3dc2dbde3b791p-8, 0x1.3792687a55496p-8, 0x1.31797a8c27606p-8, 0x1.2b77d54ef6719p-8, 0x1.258d3b6ac92fap-8, 0x1.1fb971db8fd4p-8, 0x1.19fc422526169p-8, 0x1.14557b670677p-8, 0x1.0ec4f225cc569p-8, 0x1.094a7eed0fb32p-8, 0x1.03e5fc2b24b8dp-8, 0x1.fd2e8791ff132p-9, 0x1.f2bc59f85eeddp-9, 0x1.e87515622072fp-9, 0x1.de58557eb921fp-9, 0x1.d465abe84ded2p-9, 0x1.ca9ca1bf00428p-9, 0x1.c0fcba7c6ad4bp-9, 0x1.b785778775efbp-9, 0x1.ae365be7c7a51p-9, 0x1.a50eef5eb28adp-9, 0x1.9c0ec03aeeef9p-9, 0x1.9335638919068p-9, 0x1.8a8273b6e5293p-9, 0x1.81f58e37023adp-9, 0x1.798e50f6fe82ep-9, 0x1.714c5865e0e37p-9, 0x1.692f3e6e3c712p-9, 0x1.61369a5103c82p-9, 0x1.596200fed310fp-9, 0x1.51b10583d253bp-9, 0x1.4a23394d59882p-9, 0x1.42b82c551fcb7p-9, 0x1.3b6f6d6625aa5p-9, 0x1.34488aa4fc433p-9, 0x1.2d431254d5791p-9, 0x1.265e939eaa62ep-9, 0x1.1f9a9f0beda6cp-9, 0x1.18f6c6831e669p-9, 0x1.12729cd123f93p-9, 0x1.0c0db50580565p-9, 0x1.05c7a1ff6de4cp-9, 0x1.ff3fecee6284dp-10, 0x1.f32c8b4080248p-10, 0x1.e754489a4f0cbp-10, 0x1.dbb65497ee94ep-10, 0x1.d051e714d4f7ep-10, 0x1.c52640e1d972ep-10, 0x1.ba32a9f03fd14p-10, 0x1.af766cab1a6dep-10, 0x1.a4f0cf6c543abp-10, 0x1.9aa10e3c9c59cp-10, 0x1.9086578fea49bp-10, 0x1.869fcdf75d0c4p-10, 0x1.7cec8eb8501a7p-10, 0x1.736bbab0cff04p-10, 0x1.6a1c7d5139eabp-10, 0x1.60fe0decbae17p-10, 0x1.580faa6ed7c26p-10, 0x1.4f508e6ebb154p-10, 0x1.46bfec70c69b4p-10, 0x1.3e5ceeef7a826p-10, 0x1.3626c2fe4a08p-10, 0x1.2e1ca8a621816p-10, 0x1.263e009c3efb1p-10, 0x1.1e8a4e9669b7dp-10, 0x1.17012c11ec6ffp-10, 0x1.0fa22f0247651p-10, 0x1.086ccecccb6f5p-10, 0x1.01605461ec711p-10, 0x1.f4f7bc5a16e5cp-11, 0x1.e77cee77215a4p-11, 0x1.da4e6dd0e5c2p-11, 0x1.cd6ab24a8f06ap-11, 0x1.c0d084f9b3763p-11, 0x1.b47eda04a7df9p-11, 0x1.a8748f5c5271ap-11, 0x1.9cb033eaaf74bp-11, 0x1.912ffa1cb9849p-11, 0x1.85f1e50c8ca7p-11, 0x1.7af421151d7dep-11, 0x1.70355e9a0e05bp-11, 0x1.65b4ff73c7989p-11, 0x1.5b72fa9436263p-11, 0x1.516f7dbb0a521p-11, 0x1.47aa772e9554ep-11, 0x1.3e233de67d6e1p-11, 0x1.34d87dd279c21p-11, 0x1.2bc86a235884bp-11, 0x1.22f116ab4d014p-11, 0x1.1a50cce36fe7ap-11, 0x1.11e63a3d6566ep-11, 0x1.09b069504c866p-11, 0x1.01ae8bffb3589p-11, 0x1.f3bf5bfacdf85p-12, 0x1.e484e692163b4p-12, 0x1.d5aa111443914p-12, 0x1.c72ab6d16bf9p-12, 0x1.b9031b495ad3bp-12, 0x1.ab30dbdba6024p-12, 0x1.9db3649c9e846p-12, 0x1.908b9997ad835p-12, 0x1.83badd3ded947p-12, 0x1.7741fe9ad0f99p-12, 0x1.6b209d267d61p-12, 0x1.5f55362434061p-12, 0x1.53dda1f9e57ebp-12, 0x1.48b795ae18cddp-12, 0x1.3de0da876c74ap-12, 0x1.33573695ef3fp-12, 0x1.29183e58b8b7dp-12, 0x1.1f214e38b9449p-12, 0x1.156fb37f758a9p-12, 0x1.0c00d0cd2121ap-12, 0x1.02d212ea55e99p-12, 0x1.f3c1a813bd94p-13, 0x1.e254f53c5fd6ep-13, 0x1.d159df77ff35ap-13, 0x1.c0ce406e5ad2p-13, 0x1.b0b2205a75e61p-13, 0x1.a106b799270f6p-13, 0x1.91cd0586dfe54p-13, 0x1.8304f892e6e82p-13, 0x1.74ad7284715f6p-13, 0x1.66c4ca815d9d9p-13, 0x1.5949628bf4ac7p-13, 0x1.4c39fe6bf6cacp-13, 0x1.3f95853e7cd4cp-13, 0x1.335a31cf0ba53p-13, 0x1.2784d2ec3bf69p-13, 0x1.1c10bbcb4fa8cp-13, 0x1.10f858a882d0ep-13, 0x1.0635e8054554p-13, 0x1.f7880d81b87f1p-14, 0x1.e33c38974f8dcp-14, 0x1.cf81848e6502fp-14, 0x1.bc5416fc64546p-14, 0x1.a9b2e77d47eefp-14, 0x1.979eb584be8ep-14, 0x1.8618424c2d19fp-14, 0x1.751eb9a43353dp-14, 0x1.64af798573f41p-14, 0x1.54c7472d3aaap-14, 0x1.4563d09d7b625p-14, 0x1.3684775854b95p-14, 0x1.2829c2846925dp-14, 0x1.1a5361c85c6edp-14, 0x1.0cfe423769091p-14, 0x1.0024ae6c88887p-14, 0x1.e780aa28d650bp-15, 0x1.cf98a13909e0dp-15, 0x1.b88b89e25259p-15, 0x1.a255cb68b1953p-15, 0x1.8cf23759797c8p-15, 0x1.785710538491ep-15, 0x1.6475d2da613d8p-15, 0x1.513de360c7ca8p-15, 0x1.3ea14793e6edap-15, 0x1.2c99d778248d1p-15, 0x1.1b2af332dbf9cp-15, 0x1.0a5ca573f8bf8p-15, 0x1.f466232f34981p-16, 0x1.d552739173de4p-16, 0x1.b769b0d2b2e19p-16, 0x1.9aa0bac370852p-16, 0x1.7efd9681eddd2p-16, 0x1.6488c5c5ebdb4p-16, 0x1.4b3ce50b92455p-16, 0x1.330674d3441b3p-16, 0x1.1bce0e648c1eep-16, 0x1.0580ea4a5d441p-16, 0x1.e02834c7080efp-17, 0x1.b708d75479732p-17, 0x1.8fa883e114169p-17, 0x1.6a0f3a5e7dcffp-17, 0x1.463f191f3c71p-17, 0x1.242c95495a8a7p-17, 0x1.03b7af32e1033p-17, 0x1.c95fb6ab201bfp-18, 0x1.8ddf7227284ccp-18, 0x1.54e99aba8f77dp-18, 0x1.1e944f6196a94p-18, 0x1.d5856c175beb2p-19, 0x1.726556b22abbbp-19, 0x1.13b27f418d7f7p-19, 0x1.73bede0beaec1p-20, 0x1.94865cdcf775cp-21, 0x1.50f35b81a5d42p-23, -0x1.b71e07430f813p-22, -0x1.fb9db4a4d5cdfp-21, -0x1.85d9a2fda7e34p-20, -0x1.030367fdac134p-19, -0x1.3f6fead1a3acap-19, -0x1.787d8565ba446p-19, -0x1.ae50b81f18f74p-19, -0x1.e0e1c0affd43ap-19, -0x1.080caebc335bep-18, -0x1.1df9296f8fac6p-18, -0x1.32490e2b5f0f6p-18, -0x1.45363838db731p-18, -0x1.5713bf541425dp-18, -0x1.67f60b66ce794p-18, -0x1.779663ddc5183p-18, -0x1.85c85c42a1e29p-18, -0x1.92b74cab55187p-18, -0x1.9e84b79e78f82p-18, -0x1.a91ab29e88c99p-18, -0x1.b28488ea50655p-18, -0x1.bb07b32c20176p-18, -0x1.c2d7e9a48f1cbp-18, -0x1.c9ec30662b5b4p-18, -0x1.d026cb7273277p-18, -0x1.d58ce99930adbp-18, -0x1.da3fe9f1f684ep-18, -0x1.de4afccb70ed3p-18, -0x1.e19bcb20513ep-18, -0x1.e4292448ae203p-18, -0x1.e5fee6ac6f7ebp-18, -0x1.e72bf646b9688p-18, -0x1.e7b9e5a6b6227p-18, -0x1.e7ad8270e1ca9p-18, -0x1.e70c259886ed1p-18, -0x1.e5f730100981dp-18, -0x1.e49b95e45cc29p-18, -0x1.e2e32f70f313dp-18, -0x1.e0aa51d1a9b86p-18, -0x1.de182c595c51dp-18, -0x1.db422e8f7eacap-18, -0x1.d801af47a3c01p-18, -0x1.d450086bf9874p-18, -0x1.d048b7e78eb3bp-18, -0x1.cbfc0d4ad4a43p-18, -0x1.c76a74b4ebc76p-18, -0x1.c28f836b11f9p-18, -0x1.bd69dd80b20f4p-18, -0x1.b8048b367b523p-18, -0x1.b279f4950ec18p-18, -0x1.acda6d9fa1247p-18, -0x1.a71739a5f445ep-18, -0x1.a1249c31a90e5p-18, -0x1.9b151b2b49a62p-18, -0x1.94f1e2fc1a2b1p-18, -0x1.8ea5f3203dfd4p-18, -0x1.8827d120983f8p-18, -0x1.8180593f17745p-18, -0x1.7ab3f3286a96ep-18, -0x1.73db2a6e9b348p-18, -0x1.6d0b1ead84ff5p-18, -0x1.66314001b23bdp-18, -0x1.5f5e55bc0a906p-18, -0x1.589133bf6f615p-18, -0x1.51a6ce61b9b1cp-18, -0x1.4aa86aab85a75p-18, -0x1.43ab820d4e133p-18, -0x1.3cb622aa9b86fp-18, -0x1.35c77b8ea038ap-18, -0x1.2edee3d8b1135p-18, -0x1.27fcffe523edap-18, -0x1.2123328317e5cp-18, -0x1.1a52b4e436b49p-18, -0x1.138c4f3ae6abcp-18, -0x1.0cd045b5a770ep-18, -0x1.061eeb71d5781p-18, -0x1.fef04aca3dceep-19, -0x1.f1b256c0ef744p-19, -0x1.e47d91672589ap-19, -0x1.d7624b18ae2dp-19, -0x1.ca7dc8a78fbdfp-19, -0x1.bdcd9be360f15p-19, -0x1.b13ee460955c7p-19, -0x1.a4c2828a751ecp-19, -0x1.9867dd6fe3b31p-19, -0x1.8c353e061e412p-19, -0x1.8043d2877ce8fp-19, -0x1.748919ea631eap-19, -0x1.68dd3295c8c8dp-19, -0x1.5d5b6972c35b7p-19, -0x1.52143186991cfp-19, -0x1.4703e496bd2b4p-19, -0x1.3c2592d0ccd24p-19, -0x1.31772f57dae8cp-19, -0x1.26f88993aa323p-19, -0x1.1caa3419efebcp-19, -0x1.128cdb4492136p-19, -0x1.08a0edb28b47cp-19, -0x1.fdcce08290e4ep-20, -0x1.eaba256f3a7eep-20, -0x1.d80927c5a93f4p-20, -0x1.c5ba8b5c22881p-20, -0x1.b3d088afb0297p-20, -0x1.a24dde91a393dp-20, -0x1.91337bd74094fp-20, -0x1.8080c3b689e32p-20, -0x1.70398337ccd85p-20, -0x1.606040dbdaf2dp-20, -0x1.50d265483a04dp-20, -0x1.4172cbc473335p-20, -0x1.327ab854b6226p-20, -0x1.23f91c921b11ep-20, -0x1.15d7dc6bb2bc7p-20, -0x1.08052a581604p-20, -0x1.f55d705bb2708p-21, -0x1.db7fa63e93ae1p-21, -0x1.c2296863d7982p-21, -0x1.a97b6956a8c41p-21, -0x1.9190b3ab34e6ap-21, -0x1.7a64d8d337e31p-21, -0x1.63ee0c9a8f9fbp-21, -0x1.4e25eb67e57b9p-21, -0x1.3908b676e93bdp-21, -0x1.2493a3a89d784p-21, -0x1.10c3e13c26dcdp-21, -0x1.fb2c9623b9204p-22, -0x1.d60f82469b87ap-22, -0x1.b22bb1c7c3e01p-22, -0x1.8f7e9a8509525p-22, -0x1.6e0751ccc0ab4p-22, -0x1.4dc3f1934da5dp-22, -0x1.2eadecbd99ee1p-22, -0x1.10bb61680bf98p-22, -0x1.e7d507f85e178p-23, -0x1.b07e806aa9de1p-23, -0x1.7afc705bab2e9p-23, -0x1.470ba1097823ap-23, -0x1.15f4ba5e46d22p-23, -0x1.ce309216e8c62p-24, -0x1.73330c252c4d8p-24, -0x1.1c45f6e182139p-24, -0x1.9308afbfb6b78p-25, -0x1.ea83901ef98d5p-26, -0x1.7baee8593633ep-27, 0x1.83831f8c7650ap-28, 0x1.7407aa67c35c7p-26, 0x1.3ddaeea74c913p-25, 0x1.b9eecaae65265p-25, 0x1.1731f91ca5a42p-24, 0x1.4eb815a714b9ap-24, 0x1.838d615d66679p-24, 0x1.b54d7c593ec7p-24, 0x1.e40af7c55c5a9p-24, 0x1.07f8df6efa9c1p-23, 0x1.1c906fafd37bap-23, 0x1.2fd71d36a33cbp-23, 0x1.41d5eee2b3c1ap-23, 0x1.52954fdd60097p-23, 0x1.621def7128051p-23, 0x1.7079f288fc346p-23, 0x1.7db4ffc99d687p-23, 0x1.89d80208587b7p-23, 0x1.94e4c91adbb5dp-23, 0x1.9eebd2e46059bp-23, 0x1.a806ed92b0296p-23, 0x1.b00fef385907fp-23, 0x1.b73cbdd5efa32p-23, 0x1.bd872144d4186p-23, 0x1.c2ec1e18fcf5cp-23, 0x1.c779f31c1d034p-23, 0x1.cb3ad1aacab26p-23, 0x1.ce36baf0076fep-23, 0x1.d0751c5650b11p-23, 0x1.d1fd345a5ed06p-23, 0x1.d2d63685916ap-23, 0x1.d3076953e7482p-23, 0x1.d2982857dad37p-23, 0x1.d18ffb4d5d999p-23, 0x1.cff5ee49cc92bp-23, 0x1.cdd050f1e4da7p-23, 0x1.cb2577f2813cp-23, 0x1.c7fcec9926f97p-23, 0x1.c4596abf5fa8dp-23, 0x1.c03943828a19dp-23, 0x1.bbb62c66aed13p-23, 0x1.b6cc970922a3dp-23, 0x1.b175f9a8672a8p-23, 0x1.abc8f7f9e1e29p-23, 0x1.a5cbff3dc05c1p-23, 0x1.9f7dc282454bp-23, 0x1.98e012531ed53p-23, 0x1.91fdd26cd1da2p-23, 0x1.8ae54b04f7c84p-23, 0x1.8382fdf512819p-23, 0x1.7bea721d49d92p-23, 0x1.740f0a8c8a7ap-23, 0x1.6c0c5a154282bp-23, 0x1.63e43330a13c7p-23, 0x1.5b94caabddea2p-23, 0x1.532152d015bbcp-23, 0x1.4a8dd9f261668p-23, 0x1.41de515b3f3a5p-23, 0x1.39167cf44ed49p-23, 0x1.3039fd71b4422p-23, 0x1.274c563662a19p-23, 0x1.1e50eed61183p-23, 0x1.154b1408cae69p-23, 0x1.0c3df776e59c1p-23, 0x1.032cab4e12b0ep-23, 0x1.f4342a3aba118p-24, 0x1.e211b3797155ap-24, 0x1.cff6accaac98p-24, 0x1.bde78e652368ap-24, 0x1.abe9210cf81a8p-24, 0x1.9a00cbe3fdce3p-24, 0x1.883463fe83de6p-24, 0x1.7689d468aa439p-24, 0x1.650678f0a420bp-24, 0x1.53ad2b9817c9bp-24, 0x1.427c4932892c7p-24, 0x1.317512ecc588p-24, 0x1.20aa85e118f38p-24, 0x1.102b2221f1a3p-24, 0x1.ffe3e2c98f942p-25, 0x1.df8e97cdb3895p-25, 0x1.bf42730eae872p-25, 0x1.9fd6e813f41c4p-25, 0x1.8131911b14781p-25, 0x1.631db80b4c98bp-25, 0x1.4597af94374efp-25, 0x1.28a5631b43494p-25, 0x1.0c4ceaa3dba9bp-25, 0x1.e12550231a4f3p-26, 0x1.aaf6e429641dep-26, 0x1.7615a871ee19dp-26, 0x1.42888168f8435p-26, 0x1.10557f61d8167p-26, 0x1.bef4936e4b277p-27, 0x1.600c761216eacp-27, 0x1.0417b1c761089p-27, 0x1.55c87c17105acp-28, 0x1.524bbf8019daep-29, 0x1.28b2e5ced03d5p-35, -0x1.3d5a4e43a40c3p-29, -0x1.39ce031ab2748p-28, -0x1.cf07e161e5034p-28, -0x1.2f286474b97cep-27, -0x1.73d0d49762deap-27, -0x1.b578de29e98a4p-27, -0x1.f41be9bf03ec6p-27, -0x1.17dc509c210a6p-26, -0x1.342d8ac973934p-26, -0x1.4f0a5578c84edp-26, -0x1.6870a02272a56p-26, -0x1.804ffc0050eccp-26, -0x1.9667f79e04601p-26, -0x1.ab22e66541f1p-26, -0x1.bee0144c4b1b6p-26, -0x1.d0d592eca5804p-26, -0x1.e13fc24cf0635p-26, -0x1.f038929350f8bp-26, -0x1.fdc44e08b76d6p-26, -0x1.04f3c88658fb8p-25, -0x1.0a501c48da228p-25, -0x1.0eeb0d64eb0c3p-25, -0x1.12bc8f3768a15p-25, -0x1.15f960a8b8024p-25, -0x1.18ac14a8eee0fp-25, -0x1.1a9c073131e53p-25, -0x1.1bd00db294b81p-25, -0x1.1c5885a09f5fcp-25, -0x1.1c3a4c8c07883p-25, -0x1.1b7746159f3f8p-25, -0x1.1a1126be8c2dfp-25, -0x1.1809e754f5d4fp-25, -0x1.1563b6b564f7bp-25, -0x1.1220e8865e8e9p-25, -0x1.0e43db6391b99p-25, -0x1.09ceea3fc49a5p-25, -0x1.04c47751a2a8fp-25, -0x1.fe4dedc4bbd1bp-26, -0x1.f1f1cb94a0ac7p-26, -0x1.e47969eebabb9p-26, -0x1.d5e9a6bc03d2cp-26, -0x1.c6485c9ab45e3p-26, -0x1.b59cd75f5102dp-26, -0x1.a3ecc5cad42e5p-26, -0x1.913c47095420fp-26, -0x1.7d8bb19288b5cp-26, -0x1.68ccba87075f4p-26, -0x1.5342cb287e0b5p-26, -0x1.3ccbd30277d21p-26, -0x1.256168c189c56p-26, -0x1.0d176e5ffb7fbp-26, -0x1.e7e7743759da1p-27, -0x1.b3f6b6cec60edp-27, -0x1.7e67621be0a6ep-27, -0x1.47447d37defb7p-27, -0x1.0e992b07ec536p-27, -0x1.a8e13099fed3fp-28, -0x1.31abde40647dp-28, -0x1.6f50547d63036p-29, -0x1.d79ca805948b9p-31, 0x1.11bee3fa87cf7p-30, 0x1.8ca98022d751p-29, 0x1.4ab14e859f767p-28, 0x1.d16de48dce80ap-28, 0x1.2d3a06d82527bp-27, 0x1.72d66683a4f9fp-27, 0x1.b980bf9dcbdbfp-27, }}, 
      {{0x1.736c9728567dbp+0, 0x1.70b4c38e69a09p+0, 0x1.6c3fc19924de8p+0, 0x1.6628581c51ea6p+0, 0x1.5e90f22c3bd4cp+0, 0x1.55a10179b994bp+0, 0x1.4b82a2bfab44fp+0, 0x1.4060bcf1c45eap+0, 0x1.3465a07111382p+0, 0x1.27ba12bd7d198p+0, 0x1.1a84abbdfc57p+0, 0x1.0ce96c3c8cb27p+0, 0x1.fe12f71c74f0fp-1, 0x1.e20601e0a1893p-1, 0x1.c5e224358bae5p-1, 0x1.a9d766db4a333p-1, 0x1.8e0fcee1d4958p-1, 0x1.72af975d63034p-1, 0x1.57d5815f034c8p-1, 0x1.3d9b351820fd6p-1, 0x1.2415aebb8dcccp-1, 0x1.0b55b1ded3481p-1, 0x1.e6d07d6d0c29fp-2, 0x1.b8ae0a8efb7cap-2, 0x1.8c51a6f71d9dcp-2, 0x1.61c3f7b025ffbp-2, 0x1.390966bbb94fdp-2, 0x1.1222cb9d70c83p-2, 0x1.da1c00da417f6p-3, 0x1.938cc82c7a6d5p-3, 0x1.508a95a470e54p-3, 0x1.1104bcd599effp-3, 0x1.a9cfc02d1767bp-4, 0x1.383cf4502685p-4, 0x1.9a45449b5474fp-5, 0x1.a13eb6e99b60ep-6, 0x1.321e6108a8b37p-9, -0x1.3d38c9018772cp-6, -0x1.4506eea9a225p-5, -0x1.e08a83cf37f33p-5, -0x1.38ca545c80273p-4, -0x1.7c49857b261fap-4, -0x1.baf9821373ed3p-4, -0x1.f51095b0b43fap-4, -0x1.15623c10e0304p-3, -0x1.2e250fba79f42p-3, -0x1.44eacb78a7229p-3, -0x1.59cced91abf54p-3, -0x1.6ce45d2e585ffp-3, -0x1.7e495c74d7064p-3, -0x1.8e137c587d4dfp-3, -0x1.9c5992323bff9p-3, -0x1.a931af43897e1p-3, -0x1.b4b11a2eeb092p-3, -0x1.beec4a51ab5d2p-3, -0x1.c7f6e4d5eb2c7p-3, -0x1.cfe3bb4f768c4p-3, -0x1.d6c4cbbb1a4fcp-3, -0x1.dcab41bf582p-3, -0x1.e1a7791116043p-3, -0x1.e5c900df2d4dep-3, -0x1.e91ea02500b08p-3, -0x1.ebb65ac25051ep-3, -0x1.ed9d7735ab1f6p-3, -0x1.eee084d7bd01ep-3, -0x1.ef8b6277c5c72p-3, -0x1.efa9453c28248p-3, -0x1.ef44bfad4ca1dp-3, -0x1.ee67c8d4626b2p-3, -0x1.ed1bc35ab92efp-3, -0x1.eb69849a923e7p-3, -0x1.e9595b94b17dep-3, -0x1.e6f317c000543p-3, -0x1.e43e0fac6d0d7p-3, -0x1.e141276f0fd26p-3, -0x1.de02d6d3ad17dp-3, -0x1.da892f4bb3b2dp-3, -0x1.d6d9e1973c671p-3, -0x1.d2fa4328be613p-3, -0x1.ceef533c110dp-3, -0x1.cabdbfb43163cp-3, -0x1.c669e9a70d829p-3, -0x1.c1f7e9c697cd2p-3, -0x1.bd6b946dd7013p-3, -0x1.b8c87d9e12197p-3, -0x1.b411fc991826cp-3, -0x1.af4b2f654a738p-3, -0x1.aa76fe085f39bp-3, -0x1.a5981d84ab419p-3, -0x1.a0b112c892ad9p-3, -0x1.9bc435381b1d7p-3, -0x1.96d3b153a62f3p-3, -0x1.91e18b04465bfp-3, -0x1.8cef9fe658816p-3, -0x1.87ffa97f87af1p-3, -0x1.83133f318db75p-3, -0x1.7e2bd844d428ap-3, -0x1.794acda83311fp-3, -0x1.74715baaee6edp-3, -0x1.6fa0a3a04116fp-3, -0x1.6ad9ad52f0546p-3, -0x1.661d687d3910bp-3, -0x1.616cae1d9e846p-3, -0x1.5cc841bbf5419p-3, -0x1.5830d2aa0e8p-3, -0x1.53a6fd2b1c1fep-3, -0x1.4f2b4b928c9b2p-3, -0x1.4abe375cbc106p-3, -0x1.46602a2e48e89p-3, -0x1.42117ed0a9adcp-3, -0x1.3dd282237f85fp-3, -0x1.39a373f45a251p-3, -0x1.358487dbde186p-3, -0x1.3175e607bb543p-3, -0x1.2d77abf24e2a2p-3, -0x1.2989ed238026dp-3, -0x1.25acb3daf1d7dp-3, -0x1.21e001af224bfp-3, -0x1.1e23d035f5461p-3, -0x1.1a7811980aa4fp-3, -0x1.16dcb11a8f846p-3, -0x1.135193b23867fp-3, -0x1.0fd6988567127p-3, -0x1.0c6b996139eecp-3, -0x1.09106b379a499p-3, -0x1.05c4de931d249p-3, -0x1.0288bff90b582p-3, -0x1.feb7b0a31b24dp-4, -0x1.f87bda9ce82f6p-4, -0x1.f25d837d86ae5p-4, -0x1.ec5c2bc1a6eadp-4, -0x1.e6774f74d83dep-4, -0x1.e0ae66c7136adp-4, -0x1.db00e68ccb6c2p-4, -0x1.d56e40ca31c63p-4, -0x1.cff5e53b31f24p-4, -0x1.ca9741c01f695p-4, -0x1.c551c2c328fc2p-4, -0x1.c024d3a8a7bc3p-4, -0x1.bb0fdf351f10ap-4, -0x1.b6124fdc41f77p-4, -0x1.b12b900fc7047p-4, -0x1.ac5b0a96edca1p-4, -0x1.a7a02ad918edp-4, -0x1.a2fa5d16d422ep-4, -0x1.9e690ea4ac631p-4, -0x1.99ebae2bc184bp-4, -0x1.9581abe040fa4p-4, -0x1.912a79aa4985ap-4, -0x1.8ce58b4db2749p-4, -0x1.88b25696de7bdp-4, -0x1.8490538359939p-4, -0x1.807efc5e421a9p-4, -0x1.7c7dcdd75541ap-4, -0x1.788c471f5d1b9p-4, -0x1.74a9ea05da485p-4, -0x1.70d63b0c3cd79p-4, -0x1.6d10c170e76eap-4, -0x1.6959073d5e227p-4, -0x1.65ae9958fd58dp-4, -0x1.62110795e8a1fp-4, -0x1.5e7fe4b589f3ep-4, -0x1.5afac66b5d7ep-4, -0x1.578145638785p-4, -0x1.5412fd49f9f95p-4, -0x1.50af8ccc6e3d7p-4, -0x1.4d5695970dd11p-4, -0x1.4a07bc4fedce8p-4, -0x1.46c2a895d91ep-4, -0x1.4387050026976p-4, -0x1.40547f1a144dfp-4, -0x1.3d2ac758d6da8p-4, -0x1.3a0991112f7p-4, -0x1.36f0927145e29p-4, -0x1.33df847b5326p-4, -0x1.30d622fbcc36ap-4, -0x1.2dd42c7b66172p-4, -0x1.2ad962314e947p-4, -0x1.27e587f8d60e7p-4, -0x1.24f86447cb49p-4, -0x1.2211c021cda9cp-4, -0x1.1f316709048a7p-4, -0x1.1c5726ee434c8p-4, -0x1.1982d022cad67p-4, -0x1.16b4354b949bcp-4, -0x1.13eb2b53c7b83p-4, -0x1.1127895d939e6p-4, -0x1.0e6928b189dc1p-4, -0x1.0bafe4adbd489p-4, -0x1.08fb9ab6c7739p-4, -0x1.064c2a2a1955ep-4, -0x1.03a1744f90a7ap-4, -0x1.00fb5c4975c68p-4, -0x1.fcb38e065e1b9p-5, -0x1.f779364163a57p-5, -0x1.f24781e080bbcp-5, -0x1.ed1e44b9d5fa3p-5, -0x1.e7fd55bfdf62ep-5, -0x1.e2e48ee1ca3dbp-5, -0x1.ddd3cceaf619ep-5, -0x1.d8caef64b3519p-5, -0x1.d3c9d87ba80bcp-5, -0x1.ced06ce5bf2b3p-5, -0x1.c9de93c65e068p-5, -0x1.c4f43691c1be6p-5, -0x1.c01140f095391p-5, -0x1.bb35a0a4d55e7p-5, -0x1.b6614570f54bfp-5, -0x1.b19420ffe199ep-5, -0x1.acce26cc6c566p-5, -0x1.a80f4c08d2549p-5, -0x1.a3578786de774p-5, -0x1.9ea6d1a04b414p-5, -0x1.99fd24200cf8p-5, -0x1.955a7a2d07ee6p-5, -0x1.90bed03565243p-5, -0x1.8c2a23da5505cp-5, -0x1.879c73dc7ddf1p-5, -0x1.8315c008812d4p-5, -0x1.7e9609235a969p-5, -0x1.7a1d50d7a5b17p-5, -0x1.75ab99a483ac6p-5, -0x1.7140e6cd6fdd3p-5, -0x1.6cdd3c4a848ccp-5, -0x1.68809eb909a65p-5, -0x1.642b134bd6034p-5, -0x1.5fdc9fbbb1c5p-5, -0x1.5b954a38c8a8ap-5, -0x1.5755195dc1dd3p-5, -0x1.531c1423af2d2p-5, -0x1.4eea41d61a6afp-5, -0x1.4abfaa071c5dp-5, -0x1.469c548382cacp-5, -0x1.428049473963dp-5, -0x1.3e6b907284b3ap-5, -0x1.3a5e32408dcc7p-5, -0x1.365836feaca4dp-5, -0x1.3259a703c02e8p-5, -0x1.2e628aa76f33fp-5, -0x1.2a72ea39b4dc1p-5, -0x1.268acdfad9e55p-5, -0x1.22aa3e13fa9e8p-5, -0x1.1ed14290404f6p-5, -0x1.1affe356d24bdp-5, -0x1.17362824fd8f3p-5, -0x1.1374188851163p-5, -0x1.0fb9bbd8f0c15p-5, -0x1.0c0719345928bp-5, -0x1.085c3778a6acdp-5, -0x1.04b91d403422fp-5, -0x1.011dd0dd8df3p-5, -0x1.fb14b0af80ac2p-6, -0x1.f3fd72cdb61fdp-6, -0x1.ecf5f2e11cfaep-6, -0x1.e5fe3b0a13753p-6, -0x1.df1654b88e865p-6, -0x1.d83e48a760f58p-6, -0x1.d1761ed7e70b4p-6, -0x1.cabdde8debf66p-6, -0x1.c4158e4bf1b4fp-6, -0x1.bd7d33d00235dp-6, -0x1.b6f4d410db403p-6, -0x1.b07c733b898a8p-6, -0x1.aa1414b1832efp-6, -0x1.a3bbbb07417e1p-6, -0x1.9d7368031dab5p-6, -0x1.973b1c9c4dd8p-6, -0x1.9112d8fa09865p-6, -0x1.8afa9c730a3b7p-6, -0x1.84f2658d8a17p-6, -0x1.7efa31ff9087p-6, -0x1.7911feaf882a6p-6, -0x1.7339c7b51e96dp-6, -0x1.6d71885a56c8ep-6, -0x1.67b93b1cbd5bp-6, -0x1.6210d9aebfebfp-6, -0x1.5c785cf91839p-6, -0x1.56efbd1c898d1p-6, -0x1.5176f173ea2f6p-6, -0x1.4c0df09670602p-6, -0x1.46b4b05a1ac66p-6, -0x1.416b25d63b598p-6, -0x1.3c3145661a37p-6, -0x1.370702abace12p-6, -0x1.31ec50926f439p-6, -0x1.2ce12152452adp-6, -0x1.27e566728a2c2p-6, -0x1.22f910cd49aa9p-6, -0x1.1e1c1092a1c82p-6, -0x1.194e554c35d24p-6, -0x1.148fcde0b192p-6, -0x1.0fe068974b33dp-6, -0x1.0b40131b5341dp-6, -0x1.06aeba7fd852dp-6, -0x1.022c4b4352764p-6, -0x1.fb7162a6bc37ap-7, -0x1.f2a7b021128cbp-7, -0x1.e9fb54a45802ep-7, -0x1.e16c24d49128dp-7, -0x1.d8f9f453111e4p-7, -0x1.d0a495c627aecp-7, -0x1.c86bdae0ee61dp-7, -0x1.c04f946b2236ap-7, -0x1.b84f9248f4ed1p-7, -0x1.b06ba382e559p-7, -0x1.a8a3964db10a2p-7, -0x1.a0f7381233a8bp-7, -0x1.9966557547b9bp-7, -0x1.91f0ba5f99511p-7, -0x1.8a963205748a6p-7, -0x1.835686ee73a34p-7, -0x1.7c3182fd260c2p-7, -0x1.7526ef76a3c51p-7, -0x1.6e36950a1f526p-7, -0x1.67603bd87648ep-7, -0x1.60a3ab7bc3424p-7, -0x1.5a00ab0ecca29p-7, -0x1.537701347d379p-7, -0x1.4d06741f1679bp-7, -0x1.46aec9975982ep-7, -0x1.406fc703762e2p-7, -0x1.3a49316debb79p-7, -0x1.343acd8c498e2p-7, -0x1.2e445fc5e1ca7p-7, -0x1.2865ac3a7ebe7p-7, -0x1.229e76c9132b4p-7, -0x1.1cee831662067p-7, -0x1.1755949391d5cp-7, -0x1.11d36e849663ap-7, -0x1.0c67d40667ec8p-7, -0x1.07128814fbcf9p-7, -0x1.01d34d9106387p-7, -0x1.f953ce8b198dep-8, -0x1.ef2c2fdab79a3p-8, -0x1.e52f4470d432ep-8, -0x1.db5c91a283a4dp-8, -0x1.d1b39cc4da84cp-8, -0x1.c833eb37ce996p-8, -0x1.bedd02711f5edp-8, -0x1.b5ae68069bd86p-8, -0x1.aca7a1b8e82d3p-8, -0x1.a3c8357cac88dp-8, -0x1.9b0fa9840a13p-8, -0x1.927d8447148b8p-8, -0x1.8a114c8bf45bep-8, -0x1.81ca896e94fa3p-8, -0x1.79a8c2681877p-8, -0x1.71ab7f5648cb8p-8, -0x1.69d2488317ca4p-8, -0x1.621ca6ac629dap-8, -0x1.5a8a230bf0632p-8, -0x1.531a475fb5bb9p-8, -0x1.4bcc9df216f43p-8, -0x1.44a0b1a1fed65p-8, -0x1.3d960dea6709bp-8, -0x1.36ac3ee8f29e7p-8, -0x1.2fe2d1635b219p-8, -0x1.293952cb9fe7dp-8, -0x1.22af514326d9dp-8, -0x1.1c445b9d372dap-8, -0x1.15f801617dfb1p-8, -0x1.0fc9d2cf679abp-8, -0x1.09b960e2ccc3p-8, -0x1.03c63d5a6f844p-8, -0x1.fbdff58002f9bp-9, -0x1.f06c58e2275aap-9, -0x1.e530cd4fa6241p-9, -0x1.da2c7d04930e5p-9, -0x1.cf5e940decb2cp-9, -0x1.c4c6404c3b052p-9, -0x1.ba62b16f837f6p-9, -0x1.b03318ee9facp-9, -0x1.a636a9fcf28b1p-9, -0x1.9c6c9982bbe02p-9, -0x1.92d41e1b53057p-9, -0x1.896c701c54f43p-9, -0x1.8034c9a5b7fe9p-9, -0x1.772c66b94b7e9p-9, -0x1.6e528554d5fe5p-9, -0x1.65a6658adfea5p-9, -0x1.5d27499275ab7p-9, -0x1.54d475cc381fap-9, -0x1.4cad30b9cf4a4p-9, -0x1.44b0c2e9eadcap-9, -0x1.3cde76dd46d07p-9, -0x1.353598eb381a1p-9, -0x1.2db5772cad0c8p-9, -0x1.265d61738593fp-9, -0x1.1f2ca9511cdc6p-9, -0x1.1822a22bc3169p-9, -0x1.113ea15edaca1p-9, -0x1.0a7ffe5eee475p-9, -0x1.03e612d97498p-9, -0x1.fae07591d7f7ep-10, -0x1.ee3ba8f05c6fp-10, -0x1.e1dc80e7a78c5p-10, -0x1.d5c1c2d8b93efp-10, -0x1.c9ea381ee7b3ep-10, -0x1.be54adc16828p-10, -0x1.b2fff434cebe4p-10, -0x1.a7eadf3a1a213p-10, -0x1.9d1445e141a91p-10, -0x1.927b02ae0403ap-10, -0x1.881df3d518fap-10, -0x1.7dfbfb83475bap-10, -0x1.7414001e7fb1p-10, -0x1.6a64ec730cdacp-10, -0x1.60edafc37a321p-10, -0x1.57ad3db7cc3a6p-10, -0x1.4ea28e2f061e5p-10, -0x1.45cc9cfb8c19fp-10, -0x1.3d2a699735f1dp-10, -0x1.34baf6debd0afp-10, -0x1.2c7d4ae2ae6ap-10, -0x1.24706ed763ecp-10, -0x1.1c936f24a9198p-10, -0x1.14e55b8cc2635p-10, -0x1.0d65475bfffe2p-10, -0x1.06124991b39dbp-10, -0x1.fdd6f9f0d2edbp-11, -0x1.efe00057b6b9ep-11, -0x1.e23deb21876c3p-11, -0x1.d4ef068bd263ep-11, -0x1.c7f1a62057a37p-11, -0x1.bb44247c093fcp-11, -0x1.aee4e3034b53ep-11, -0x1.a2d24986a1245p-11, -0x1.970ac5ebe349ep-11, -0x1.8b8ccbfdeb678p-11, -0x1.8056d577cba93p-11, -0x1.7567624abc594p-11, -0x1.6abcf8f745053p-11, -0x1.605626c57f008p-11, -0x1.56317fb2f722fp-11, -0x1.4c4d9e148d0c5p-11, -0x1.42a92217f55c6p-11, -0x1.3942b16661992p-11, -0x1.3018f71a2c1ecp-11, -0x1.272aa406ca45p-11, -0x1.1e766f1fb71b1p-11, -0x1.15fb15b0f03cap-11, -0x1.0db75b37e4ad3p-11, -0x1.05aa08e6a681ep-11, -0x1.fba3da2f54c3bp-12, -0x1.ec5bb6135dfbbp-12, -0x1.dd795624f2704p-12, -0x1.cefa76552a606p-12, -0x1.c0dcdee970532p-12, -0x1.b31e64a08e92bp-12, -0x1.a5bce79e1586fp-12, -0x1.98b651632ded7p-12, -0x1.8c0892d321904p-12, -0x1.7fb1a34d57288p-12, -0x1.73af815a350b7p-12, -0x1.680034a21c082p-12, -0x1.5ca1d0098391ep-12, -0x1.519272cd748f4p-12, -0x1.46d0480023f73p-12, -0x1.3c5984ad8c3e5p-12, -0x1.322c65bd3363fp-12, -0x1.28472ec839153p-12, -0x1.1ea82a85bb278p-12, -0x1.154dac7cb15eap-12, -0x1.0c3612e1493ffp-12, -0x1.035fc75f50f07p-12, -0x1.f5927c4f20502p-13, -0x1.e4e1e71ef1d8cp-13, -0x1.d4aad2c226597p-13, -0x1.c4ea4a540c6fp-13, -0x1.b59d60aba730bp-13, -0x1.a6c133cc993c7p-13, -0x1.9852f1a5eee14p-13, -0x1.8a4fdb96c8029p-13, -0x1.7cb54705aa425p-13, -0x1.6f809af56e6ep-13, -0x1.62af4c19d8af8p-13, -0x1.563ed9adbb89cp-13, -0x1.4a2cccdb99fa4p-13, -0x1.3e76baf6b2b48p-13, -0x1.331a490681062p-13, -0x1.28152e57ef9c7p-13, -0x1.1d6534861167p-13, -0x1.13083527c4c6cp-13, -0x1.08fc169b95d8cp-13, -0x1.fe7d92e34d937p-14, -0x1.eb9c8de089cd5p-14, -0x1.d9512090c6bcfp-14, -0x1.c7975c0cca82dp-14, -0x1.b66b5fcf8378ep-14, -0x1.a5c95b1b52815p-14, -0x1.95ad8ff63495bp-14, -0x1.861455c83f919p-14, -0x1.76fa1981a9b83p-14, -0x1.685b5bc32aaedp-14, -0x1.5a34b018dc4b7p-14, -0x1.4c82bfe602ed6p-14, -0x1.3f424fa6fc024p-14, -0x1.327041c9ee29ap-14, -0x1.260993b7399c5p-14, -0x1.1a0b5729c281fp-14, -0x1.0e72ae2ee4c96p-14, -0x1.033cce2558adp-14, -0x1.f0ce0dc6be3dap-15, -0x1.dbdd8b61db6d9p-15, -0x1.c7a31b9d4f2b4p-15, -0x1.b419d2069073fp-15, -0x1.a13cb4a552c7ap-15, -0x1.8f06b877dd845p-15, -0x1.7d72d59b46cc9p-15, -0x1.6c7c216713d21p-15, -0x1.5c1ddb14e5cd4p-15, -0x1.4c5366942134fp-15, -0x1.3d184191cf7b3p-15, -0x1.2e6800e2f825cp-15, -0x1.203e5a57a57edp-15, -0x1.12973005d512bp-15, -0x1.056e910ddbb5bp-15, -0x1.f1815d9cbcb66p-16, -0x1.d913a7b7b5839p-16, -0x1.c18cd4ac6a407p-16, -0x1.aae61d14bad0ap-16, -0x1.9519333ffeb3bp-16, -0x1.80202466fa8bap-16, -0x1.6bf50eb7c8b8dp-16, -0x1.5891e01a385a8p-16, -0x1.45f04c3cef4cfp-16, -0x1.3409f7a9b8f61p-16, -0x1.22d8ad84b267cp-16, -0x1.12567bd34ac8ap-16, -0x1.027db2ad94287p-16, -0x1.e691a888a23acp-17, -0x1.c965006a1ef85p-17, -0x1.ad6ac170fb63ep-17, -0x1.929843e3f859cp-17, -0x1.78e2f210797f2p-17, -0x1.6040703dbd42cp-17, -0x1.48a6d04d00764p-17, -0x1.320cca3674531p-17, -0x1.1c69ef9522409p-17, -0x1.07b6b5c6a7f62p-17, -0x1.e7d8615f8702ep-18, -0x1.c20724a208a13p-18, -0x1.9deb86aed5c7bp-18, -0x1.7b76b531608b1p-18, -0x1.5a99c3a868fep-18, -0x1.3b462cf88d416p-18, -0x1.1d6ddfcb2cad8p-18, -0x1.0103199562d8ap-18, -0x1.cbf0ef7623834p-19, -0x1.98826f260b23fp-19, -0x1.67a29be644043p-19, -0x1.393a5d5974bc4p-19, -0x1.0d32db598830cp-19, -0x1.c6e9fb6fb18bbp-20, -0x1.77d2c417a6d4bp-20, -0x1.2cf11baa20dafp-20, -0x1.cc2cd840ea703p-21, -0x1.462bd539a6fc3p-21, -0x1.8f1cb4cb5225fp-22, -0x1.403f28c964dbap-23, 0x1.045e1cfce4f4ap-24, 0x1.15004ac73eec8p-22, 0x1.dc1c9a9aa50dap-22, 0x1.4b7921363b4f5p-21, 0x1.a2ff3bc5892e9p-21, 0x1.f4d9e4c5a3f2p-21, 0x1.20a0a16ad34a6p-20, 0x1.44378e166f0cbp-20, 0x1.654ed05babe72p-20, 0x1.8402928e8d9dfp-20, 0x1.a06d73a39e8a7p-20, 0x1.baa8855294d84p-20, 0x1.d2cbd05b028b9p-20, 0x1.e8eeefa8b496p-20, 0x1.fd2916c0c728fp-20, 0x1.07c83ab2b649cp-19, 0x1.101ce83b62c1bp-19, 0x1.179c8513d53a1p-19, 0x1.1e5107576fedap-19, 0x1.24447fe399134p-19, 0x1.2980ea6d2d335p-19, 0x1.2e1028909d92p-19, 0x1.31fbc4aab2d65p-19, 0x1.354c190b4c9ccp-19, 0x1.3807ffb632903p-19, 0x1.3a35ee6c7ceb1p-19, 0x1.3bdd15146d57cp-19, 0x1.3d04f029dbfb8p-19, 0x1.3db456fd6bfb9p-19, 0x1.3df18905937e4p-19, 0x1.3dc2b243f4ad9p-19, 0x1.3d2df31f0d68dp-19, 0x1.3c3925175df4fp-19, 0x1.3ae9ee4a02077p-19, 0x1.39460a4ed223ep-19, 0x1.375349b203e3cp-19, 0x1.351720284be52p-19, 0x1.32961a222730cp-19, 0x1.2fd3d0d8f1128p-19, 0x1.2cd3a3b630d2fp-19, 0x1.29999e908d8adp-19, 0x1.262a9cdf16d8ep-19, 0x1.228bca4d2939cp-19, 0x1.1ec20b2d33da3p-19, 0x1.1ad10ea9172f3p-19, 0x1.16baf904a90f9p-19, 0x1.1281c4e2ce241p-19, 0x1.0e287aa4a649ep-19, 0x1.09b29a45ab0c8p-19, 0x1.05235a220cf39p-19, 0x1.007de8a46c9edp-19, 0x1.f78b021ac0712p-20, 0x1.edf9cbe47dea6p-20, 0x1.e44c17dcb5bc7p-20, 0x1.da84e4adb38p-20, 0x1.d0a7a1b3a2b17p-20, 0x1.c6b8a56fd587ep-20, 0x1.bcbc7577fe681p-20, 0x1.b2b71ab106dcfp-20, 0x1.a8abf40148766p-20, 0x1.9e9d9156f96d4p-20, 0x1.948dff9c7f4ep-20, 0x1.8a7fdbc8c0f18p-20, 0x1.8076efe0aa258p-20, 0x1.7677644062605p-20, 0x1.6c84cc44872a9p-20, 0x1.62a171a38705dp-20, 0x1.58cdd630ecef9p-20, 0x1.4f0ab09cf5ea4p-20, 0x1.455a989c90ecp-20, 0x1.3bc0189bb81a7p-20, 0x1.323c7c68e1407p-20, 0x1.28d105d1287ffp-20, 0x1.1f7f1fb4512ebp-20, 0x1.1647f0f68c83p-20, 0x1.0d2c8aec4a35fp-20, 0x1.042e3f5aa07b1p-20, 0x1.f69d48fefa289p-21, 0x1.e51ea4b5f422cp-21, 0x1.d3e3295aa9162p-21, 0x1.c2ec07daa1a04p-21, 0x1.b2390d706a61cp-21, 0x1.a1ca44aff79afp-21, 0x1.91a0de81f65efp-21, 0x1.81bdd3aef82ddp-21, 0x1.72216a38c4868p-21, 0x1.62ccf8337075bp-21, 0x1.53c2e5772a4a4p-21, 0x1.4504843615fb5p-21, 0x1.3691ea124acc6p-21, 0x1.286a7ecd7fae8p-21, 0x1.1a8d88a6dd18dp-21, 0x1.0cfc11c8d2c61p-21, 0x1.ff6ccedb3c76ep-22, 0x1.e576bea50c8b8p-22, 0x1.cc158727ce2fbp-22, 0x1.b34955652c24cp-22, 0x1.9b11a030b4725p-22, 0x1.836daa19beb91p-22, 0x1.6c5cd1d8d64d3p-22, 0x1.55de63d76fc17p-22, 0x1.3ff1d66f6fa1ep-22, 0x1.2a95709b9c379p-22, 0x1.15c7c39878feep-22, 0x1.01867137792ccp-22, 0x1.db9f26b677f4ep-23, 0x1.b543c3ee23388p-23, 0x1.8ff91e097099dp-23, 0x1.6bbcf8fa36d64p-23, 0x1.488bfe3273abbp-23, 0x1.266294bea6a7fp-23, 0x1.053d7c4c38b3cp-23, 0x1.ca32dfa247b42p-24, 0x1.8be27ae04f175p-24, 0x1.4f8202b6f25cap-24, 0x1.150bb39394981p-24, 0x1.b8f87bc319f25p-25, 0x1.4b9495601d887p-25, 0x1.c39f578960f46p-26, 0x1.ee70c85e4156cp-27, 0x1.8ea8a3c6dbedfp-29, -0x1.196281e2dcd98p-27, -0x1.447fe5f9f9057p-26, -0x1.f5b8cafc09951p-26, -0x1.503dbfa3a1379p-25, -0x1.a27412f600a47p-25, -0x1.f18ec22a6b411p-25, -0x1.1ecf22b2c80ep-24, -0x1.435a5bbbf02aap-24, -0x1.6672963da2407p-24, -0x1.88213b232a84fp-24, -0x1.a86f2457c8025p-24, -0x1.c764106e00ac6p-24, -0x1.e5073f5cb940cp-24, -0x1.00b048201a412p-23, -0x1.0e3c7aae36531p-23, -0x1.1b2c7e8163f54p-23, -0x1.27844923cf964p-23, -0x1.3348fc490876ap-23, -0x1.3e7f2abfee30bp-23, -0x1.492861eb74323p-23, -0x1.5347cddecba38p-23, -0x1.5ce22273e66fep-23, -0x1.65fbc83ee8b45p-23, -0x1.6e97297b09e93p-23, -0x1.76b88a324e639p-23, -0x1.7e64a4133063dp-23, -0x1.859ec2c5fb8d8p-23, -0x1.8c6a202cf2ee5p-23, -0x1.92ca38a5ba0a6p-23, -0x1.98c27d7417decp-23, -0x1.9e564346b73f6p-23, -0x1.a388cef11def8p-23, -0x1.a85d63f720c5cp-23, -0x1.acd74e86a66dbp-23, -0x1.b0f9e14c79b2bp-23, -0x1.b4c85fb21571fp-23, -0x1.b845dc14ba7edp-23, -0x1.bb7526a53a8aap-23, -0x1.be58df5e9bfafp-23, -0x1.c0f3a3b597bfdp-23, -0x1.c348423ebb432p-23, -0x1.c559bd2c76a3p-23, -0x1.c72af77d139a9p-23, -0x1.c8be8b805685dp-23, -0x1.ca17453c572d1p-23, -0x1.cb379c93428c9p-23, -0x1.cc20b05db0902p-23, -0x1.ccd57234bdc7ap-23, -0x1.cd58fc3eea17bp-23, -0x1.cdaceb6be43f7p-23, -0x1.cdd3716d59c9dp-23, -0x1.cdced94a42e4ap-23, -0x1.cda152907e7fep-23, -0x1.cd4cfc7fac92fp-23, -0x1.ccd40030d8045p-23, -0x1.cc38314fc7521p-23, -0x1.cb7ae7a18f674p-23, -0x1.ca9ddffbadd8cp-23, -0x1.c9a3631c7553dp-23, -0x1.c88d3907b6d4ap-23, -0x1.c75cb854db0ecp-23, -0x1.c61392cdd0bddp-23, -0x1.c4b36c20d64cp-23, -0x1.c33dcf940fbap-23, -0x1.c1b433391ccfdp-23, -0x1.c017fbc504f1dp-23, -0x1.be6a81437cb29p-23, -0x1.bcad13c576d12p-23, -0x1.bae10140ba496p-23, -0x1.b90796a2863fbp-23, -0x1.b72210625b4a7p-23, -0x1.b5318b08c9f69p-23, -0x1.b3371ef8accc9p-23, -0x1.b133e90f75b0fp-23, -0x1.af28c75785375p-23, -0x1.ad16e5379d89bp-23, -0x1.aaff2b6ab3395p-23, -0x1.a8e27b6449bcdp-23, -0x1.a6c1bc853a3eap-23, -0x1.a49dc85e3bed1p-23, -0x1.a2776be10b2cp-23, -0x1.a04f6a8b8a1fcp-23, -0x1.9e2686649e115p-23, -0x1.9bfd7445771cp-23, -0x1.99d4dba9fcb6dp-23, -0x1.97ad6967100c2p-23, -0x1.9587b5ac54a2ap-23, -0x1.93646447f210fp-23, -0x1.9143e9c55c917p-23, -0x1.8f26e3a42389p-23, -0x1.8d0dbe94a4b6bp-23, -0x1.8af8ed76208e4p-23, -0x1.88e8de90634f9p-23, -0x1.86de12eabd0e1p-23, -0x1.84d8ec686391p-23, -0x1.82d9c5aaf38d2p-23, -0x1.80e0fcc89c1a2p-23, -0x1.7eeeea5f9de38p-23, -0x1.7d03c617ee625p-23, -0x1.7b1fcb2bea661p-23, -0x1.794348508078cp-23, -0x1.776e8e231e3b8p-23, -0x1.75a1b98285563p-23, -0x1.73dd1ea563312p-23, -0x1.7220bc0c84035p-23, -0x1.706ce161de7e2p-23, -0x1.6ec1ac75609dfp-23, -0x1.6d1f37fc74bap-23, -0x1.6b859ed3d78d1p-23, -0x1.69f4f8855573ap-23, -0x1.686d58d5499fbp-23, -0x1.66eed04709ad5p-23, -0x1.65796cb39eb11p-23, -0x1.640d38e540025p-23, -0x1.62aa3c9af98f8p-23, -0x1.61507c7bd9449p-23, -0x1.5ffffa1a50326p-23, -0x1.5eb8b3d79bcfap-23, -0x1.5d7aa45f68399p-23, -0x1.5c45c1c857513p-23, -0x1.5b19fd54bf418p-23, -0x1.59f745619f56ep-23, -0x1.58dd88dc8c42p-23, -0x1.57ccb8c3e9d27p-23, -0x1.56c4c66e611abp-23, -0x1.55c5a161a206dp-23, -0x1.54cf35b329d7fp-23, -0x1.53e1679cd9969p-23, -0x1.52fc0d1e09d8fp-23, -0x1.521ef923ee271p-23, -0x1.514a178bc43acp-23, -0x1.507d5d9050541p-23, -0x1.4fb8ae2f5ed73p-23, -0x1.4efbc7df8decdp-23, -0x1.4e467caa3b469p-23, -0x1.4d98d3f760b33p-23, -0x1.4cf29f723cc11p-23, -0x1.4c53aaa35605fp-23, -0x1.4bbbcc5ca228cp-23, -0x1.4b2ad92f826cep-23, -0x1.4aa08265119bbp-23, -0x1.4a1d0762b6abfp-23, -0x1.499fcf8c8802fp-23, -0x1.4928d85bc043ap-23, -0x1.48b7f27ebfcp-23, -0x1.484cf08869c5ep-23, -0x1.47e812ef60956p-23, -0x1.4788a7f7ec096p-23, -0x1.472d983159b9fp-23, -0x1.46d8733f248f1p-23, -0x1.4688476d596adp-23, -0x1.463ce8b9e0754p-23, -0x1.45f628a28d415p-23, -0x1.45b3d86e2aae5p-23, -0x1.4575c80969213p-23, -0x1.453bb00f3796cp-23, -0x1.4505a47ce767bp-23, -0x1.44d343627e097p-23, -0x1.44a461760a23cp-23, -0x1.4478d9c547c6bp-23, -0x1.445077b769e94p-23, -0x1.442b0695bb307p-23, -0x1.440863f904c5ap-23, -0x1.43e862842f99p-23, -0x1.43cad7e1f3798p-23, -0x1.43af8b895f954p-23, -0x1.439645ff966c4p-23, -0x1.437ef3d649e6bp-23, -0x1.436962865eff9p-23, -0x1.435563bdb3bb8p-23, -0x1.4342cb4acbd63p-23, -0x1.43316cd7d8f65p-23, -0x1.43211e4d8859cp-23, -0x1.4311b9efaa98fp-23, -0x1.430325807208ep-23, -0x1.42f50c6718c7bp-23, -0x1.42e767480bb5cp-23, -0x1.42da0e4b99e18p-23, -0x1.42ccd9bed1441p-23, -0x1.42bfa0324f167p-23, -0x1.42b23a11e8d8bp-23, -0x1.42a4892512a6bp-23, -0x1.42966386d8043p-23, -0x1.4287a6474b18dp-23, -0x1.42782f22171fbp-23, -0x1.4267dbb5cd9c1p-23, -0x1.42568a692ef7bp-23, -0x1.42441a930f8cdp-23, -0x1.42306c4d067ddp-23, -0x1.421b6045da24cp-23, -0x1.4204d7d0169ep-23, -0x1.41ecb50df29e2p-23, -0x1.41d2dad83935ep-23, -0x1.41b72c3fa2e6cp-23, -0x1.41998c2382f4p-23, -0x1.4179df547810dp-23, -0x1.41580c72f4c93p-23, -0x1.4133fa89d9808p-23, -0x1.410d92b8f21bdp-23, -0x1.40e4b4f47ccb3p-23, -0x1.40b94e6927a4ap-23, -0x1.408b499e35faep-23, -0x1.405a8ea214711p-23, -0x1.402707ef0c17bp-23, -0x1.3ff0a0cbd5413p-23, -0x1.3fb74526ad3d8p-23, -0x1.3f7ae198efc47p-23, -0x1.3f3b6365b117cp-23, -0x1.3ef8b86525028p-23, -0x1.3eb2ce8012103p-23, -0x1.3e698e0ccbf96p-23, -0x1.3e1d4002bcd7p-23, -0x1.3dccdf236ac86p-23, -0x1.3d7979e471c7dp-23, -0x1.3d227289c379bp-23, -0x1.3cc7d0791ce75p-23, -0x1.3c698978e37eap-23, -0x1.3c0791b179108p-23, -0x1.3ba1ddaae01a9p-23, }}, 
      {{0x1.74085fdb25c09p+0, 0x1.731f6029a1bf2p+0, 0x1.719ece5e19881p+0, 0x1.6f8c2888797c9p+0, 0x1.6ceeb2705ee9cp+0, 0x1.69cf099267569p+0, 0x1.6636b9a5db1ddp+0, 0x1.622fddbf1066p+0, 0x1.5dc4d27c36421p+0, 0x1.58fff93602ec6p+0, 0x1.53eb89fde1354p+0, 0x1.4e9171850628ep+0, 0x1.48fb38335596ap+0, 0x1.4331f039e7d38p+0, 0x1.3d3e290178ca7p+0, 0x1.3727e6d35e8e6p+0, 0x1.30f69df60b0ecp+0, 0x1.2ab130af1e5ffp+0, 0x1.245defbc51481p+0, 0x1.1e029ce20504dp+0, 0x1.17a46f3324153p+0, 0x1.114818b8dd352p+0, 0x1.0af1cd2559167p+0, 0x1.04a549437d4e8p+0, 0x1.fccbb5bc48665p-1, 0x1.f06cd1c3794b5p-1, 0x1.e432f706e5649p-1, 0x1.d8228885f15a9p-1, 0x1.cc3f4b48c8e0fp-1, 0x1.c08c75105bd51p-1, 0x1.b50cba27553ddp-1, 0x1.a9c25a3e316bp-1, 0x1.9eaf2c432534ep-1, 0x1.93d4a9409b466p-1, 0x1.8933f64c77ec2p-1, 0x1.7ecded8330561p-1, 0x1.74a3261d32299p-1, 0x1.6ab3fbc141282p-1, 0x1.61009523ef186p-1, 0x1.5788e9f37502dp-1, 0x1.4e4cc81faa5d2p-1, 0x1.454bd89ec2649p-1, 0x1.3c85a3c4b9239p-1, 0x1.33f99530cf78fp-1, 0x1.2ba6ff53035e6p-1, 0x1.238d1e96672fcp-1, 0x1.1bab1c426d1c9p-1, 0x1.1400111fb46afp-1, 0x1.0c8b07e4943a5p-1, 0x1.054aff6a20aa6p-1, 0x1.fc7dd95818d23p-2, 0x1.eecb79314d65fp-2, 0x1.e17cab6e4156p-2, 0x1.d48f33523a58dp-2, 0x1.c800cd153f4eap-2, 0x1.bbcf306423ad9p-2, 0x1.aff812a31a47p-2, 0x1.a47928f588ee9p-2, 0x1.99502a0e972c2p-2, 0x1.8e7acfce7d8ecp-2, 0x1.83f6d8b0bca1fp-2, 0x1.79c2090f0b72dp-2, 0x1.6fda2c3c767d8p-2, 0x1.663d157bb743bp-2, 0x1.5ce8a0d393a1bp-2, 0x1.53dab3c3d18cdp-2, 0x1.4b113ddd2fc19p-2, 0x1.428a393eaaffdp-2, 0x1.3a43aafa5d9cbp-2, 0x1.323ba36441ea6p-2, 0x1.2a703e4d268dcp-2, 0x1.22dfa32c2057dp-2, 0x1.1b880538a58aep-2, 0x1.1467a3774235cp-2, 0x1.0d7cc8ba748bp-2, 0x1.06c5cb98fdb3ap-2, 0x1.00410e5aaa27p-2, 0x1.f3d9fdb906dc8p-3, 0x1.e7902cdb06f2ap-3, 0x1.dba1b349b70d9p-3, 0x1.d00bb066b15bbp-3, 0x1.c4cb5961ae1dp-3, 0x1.b9ddf8ce9d32ap-3, 0x1.af40ee373cc1cp-3, 0x1.a4f1adaa36841p-3, 0x1.9aedbf467ace1p-3, 0x1.9132bec40c45bp-3, 0x1.87be5af96f579p-3, 0x1.7e8e555e6ff9p-3, 0x1.75a0818e07ff1p-3, 0x1.6cf2c4c6ed878p-3, 0x1.6483156eab6a6p-3, 0x1.5c4f7a95a5676p-3, 0x1.54560b7ecec96p-3, 0x1.4c94ef2a35d58p-3, 0x1.450a5be1ac309p-3, 0x1.3db496c8bbb13p-3, 0x1.3691f36d20e4ep-3, 0x1.2fa0d359a0ffp-3, 0x1.28dfa5a9e2628p-3, 0x1.224ce69fb3167p-3, 0x1.1be71f3aca4e9p-3, 0x1.15ace4d265d25p-3, 0x1.0f9cd8b20612ep-3, 0x1.09b5a7b91f99ep-3, 0x1.03f609fdc6354p-3, 0x1.fcb984e53e92bp-4, 0x1.f1d13d1f3cc14p-4, 0x1.e730ebfadde66p-4, 0x1.dcd65486d22e1p-4, 0x1.d2bf4cef7409bp-4, 0x1.c8e9bde31916fp-4, 0x1.bf53a1fab3d13p-4, 0x1.b5fb052609cffp-4, 0x1.acde041bb8a0ep-4, 0x1.a3facbcd72cbp-4, 0x1.9b4f98dfddafep-4, 0x1.92dab72670583p-4, 0x1.8a9a81239822bp-4, 0x1.828d5f8c8a746p-4, 0x1.7ab1c8d0f6419p-4, 0x1.730640a6d8d0cp-4, 0x1.6b895799aa86fp-4, 0x1.6439aa9d0a167p-4, 0x1.5d15e2a322c26p-4, 0x1.561cb4361eabfp-4, 0x1.4f4cdf148df04p-4, 0x1.48a52dd12737bp-4, 0x1.42247575660a9p-4, 0x1.3bc99526b21f6p-4, 0x1.359375ce8039fp-4, 0x1.2f8109c541dbbp-4, 0x1.29914c7facd8bp-4, 0x1.23c3423e95661p-4, 0x1.1e15f7c182382p-4, 0x1.188881fb9d17p-4, 0x1.1319fdcad883ep-4, 0x1.0dc98fb190cbap-4, 0x1.089663929398bp-4, 0x1.037fac6f35b32p-4, 0x1.fd09484effd0fp-5, 0x1.f34916793a4d1p-5, 0x1.e9bd512ab32b6p-5, 0x1.e0649288f1fc8p-5, 0x1.d73d80a1e2485p-5, 0x1.ce46cd004930bp-5, 0x1.c57f3443c9a6dp-5, 0x1.bce57dbc350d1p-5, 0x1.b4787b08462ddp-5, 0x1.ac3707b7c24eap-5, 0x1.a42008f0cb3dep-5, 0x1.9c326d182902cp-5, 0x1.946d2b7c8a79ap-5, 0x1.8ccf4404ba0dep-5, 0x1.8557bee0a84dap-5, 0x1.7e05ac3d2cae4p-5, 0x1.76d823fa4e0e7p-5, 0x1.6fce45641c77bp-5, 0x1.68e736ee194d2p-5, 0x1.622225f104be1p-5, 0x1.5b7e466ae58f1p-5, 0x1.54fad2c152436p-5, 0x1.4e970b85eea1cp-5, 0x1.4852373d0aeecp-5, 0x1.422ba226485d2p-5, 0x1.3c229e072ea5ep-5, 0x1.363681f7af9d3p-5, 0x1.3066aa307dad4p-5, 0x1.2ab277db32bfbp-5, 0x1.251950e43a91dp-5, 0x1.1f9a9fce617c7p-5, 0x1.1a35d387f348p-5, 0x1.14ea5f4170617p-5, 0x1.0fb7ba45d4296p-5, 0x1.0a9d5fd454709p-5, 0x1.059acefb7c38fp-5, 0x1.00af8a759ccf7p-5, 0x1.f7b6310d3237bp-6, 0x1.ee3a05b60620fp-6, 0x1.e4e9acd0e52f4p-6, 0x1.dbc4469e03e2cp-6, 0x1.d2c8f977e1d29p-6, 0x1.c9f6f19ad06bp-6, 0x1.c14d60ee9ff3dp-6, 0x1.b8cb7ed269054p-6, 0x1.b07087ea4833p-6, 0x1.a83bbdef1512dp-6, 0x1.a02c677fe1f4fp-6, 0x1.9841cff5471e3p-6, 0x1.907b473674974p-6, 0x1.88d8218ffb15cp-6, 0x1.8157b78c335e1p-6, 0x1.79f965cd17c93p-6, 0x1.72bc8ce7a0d15p-6, 0x1.6ba09140930e4p-6, 0x1.64a4daeac92fdp-6, 0x1.5dc8d586cda08p-6, 0x1.570bf023b9f6fp-6, 0x1.506d9d21422dp-6, 0x1.49ed5212f629dp-6, 0x1.438a87a4b4b2fp-6, 0x1.3d44b98041b08p-6, 0x1.371b6633e6704p-6, 0x1.310e0f1a0ff07p-6, 0x1.2b1c3841e5916p-6, 0x1.25456858d779dp-6, 0x1.1f89289513cabp-6, 0x1.19e704a0e355ep-6, 0x1.145e8a86d8bc4p-6, 0x1.0eef4a9ec9813p-6, 0x1.0998d77b905edp-6, 0x1.045ac5d986903p-6, 0x1.fe69591b7d3d7p-7, 0x1.f44c48ebc211bp-7, 0x1.ea5d90d1774abp-7, 0x1.e09c6a4eda7cfp-7, 0x1.d708129e5aca1p-7, 0x1.cd9fca974a72ep-7, 0x1.c462d693b95d7p-7, 0x1.bb507e573edc9p-7, 0x1.b2680cf6e129bp-7, 0x1.a9a8d0c1eab73p-7, 0x1.a1121b2bbcd6ep-7, 0x1.98a340b6838e6p-7, 0x1.905b98dec0bfap-7, 0x1.883a7e07a0924p-7, 0x1.803f4d680bdc8p-7, 0x1.786966f891df8p-7, 0x1.70b82d61f6adbp-7, 0x1.692b05ec8c3a6p-7, 0x1.61c158701c5f8p-7, 0x1.5a7a8f447ffe1p-7, 0x1.53561732bd3abp-7, 0x1.4c535f66b6affp-7, 0x1.4571d9616cb64p-7, 0x1.3eb0f8ebd5ae9p-7, 0x1.3810340a2708bp-7, 0x1.318f02ef9ea38p-7, 0x1.2b2cdff2b9ab6p-7, 0x1.24e94781d596ap-7, 0x1.1ec3b8183d5c2p-7, 0x1.18bbb2339c8e9p-7, 0x1.12d0b849dac14p-7, 0x1.0d024ebf52f77p-7, 0x1.074ffbdd5fa96p-7, 0x1.01b947c937918p-7, 0x1.f87b78f632dc4p-8, 0x1.edb9cb6b858c5p-8, 0x1.e32ca1fc67e3bp-8, 0x1.d8d31b2778648p-8, 0x1.ceac58d08a3bp-8, 0x1.c4b78031b837fp-8, 0x1.baf3b9ccfcedep-8, 0x1.b160315e2330cp-8, 0x1.a7fc15cd326eap-8, 0x1.9ec6992144963p-8, 0x1.95bef073c5429p-8, 0x1.8ce453e405a0dp-8, 0x1.8435fe8b35f2p-8, 0x1.7bb32e70a3bb3p-8, 0x1.735b247e5fd2fp-8, 0x1.6b2d24761689p-8, 0x1.632874e64a09fp-8, 0x1.5b4c5f1fcf78cp-8, 0x1.53982f2b8e759p-8, 0x1.4c0b33c083127p-8, 0x1.44a4be39f6f34p-8, 0x1.3d64228dfdfb4p-8, 0x1.3648b7441d7b9p-8, 0x1.2f51d56c35cf1p-8, 0x1.287ed8959c606p-8, 0x1.21cf1ec664696p-8, 0x1.1b420872dc553p-8, 0x1.14d6f875316a7p-8, 0x1.0e8d540543071p-8, 0x1.086482b095f27p-8, 0x1.025bee5275915p-8, 0x1.f8e60618639fp-9, 0x1.ed525e7b1d26cp-9, 0x1.e1fbc6fa93fcep-9, 0x1.d6e1252394bbcp-9, 0x1.cc0162d3cf618p-9, 0x1.c15b6e2bae7ap-9, 0x1.b6ee398050a0bp-9, 0x1.acb8bb4dd9d37p-9, 0x1.a2b9ee29d0086p-9, 0x1.98f0d0b5d0b5ap-9, 0x1.8f5c6592654f9p-9, 0x1.85fbb35208c0dp-9, 0x1.7ccdc46c601cep-9, 0x1.73d1a7319c6b5p-9, 0x1.6b066dbdfec9ep-9, 0x1.626b2ded8cf83p-9, 0x1.59ff014fe209ep-9, 0x1.51c1051c36d36p-9, 0x1.49b05a257749ep-9, 0x1.41cc24ce91df2p-9, 0x1.3a138cfed4efbp-9, 0x1.3285be16a8849p-9, 0x1.2b21e6e3ddaebp-9, 0x1.23e73996c64bfp-9, 0x1.1cd4ebb7015bep-9, 0x1.15ea36187b201p-9, 0x1.0f2654d08f927p-9, 0x1.0888872b45a1bp-9, 0x1.02100fa0b4a5ap-9, 0x1.f7786794e24a1p-10, 0x1.eb1878b251cbap-10, 0x1.defeea148399fp-10, 0x1.d32a593b52521p-10, 0x1.c799699740571p-10, 0x1.bc4ac47567774p-10, 0x1.b13d18eb8938p-10, 0x1.a66f1bc44b09fp-10, 0x1.9bdf876bbbad4p-10, 0x1.918d1bdbfb7cp-10, 0x1.87769e8a22a1dp-10, 0x1.7d9ada534d9b4p-10, 0x1.73f89f69cdbc4p-10, 0x1.6a8ec3428a20fp-10, 0x1.615c208273c22p-10, 0x1.585f96ec1a304p-10, 0x1.4f980b4d885dap-10, 0x1.4704676e2a6ap-10, 0x1.3ea399fd0d80dp-10, 0x1.3674967f45ff4p-10, 0x1.2e76553e91468p-10, 0x1.26a7d3383219fp-10, 0x1.1f08120bc75c3p-10, 0x1.179617ea719c6p-10, 0x1.1050ef85d5bc4p-10, 0x1.0937a7ff65643p-10, 0x1.024954d7aabbep-10, 0x1.f70a1bbb7a3bap-11, 0x1.e9d3de3e1ed47p-11, 0x1.dcee31aedfc8bp-11, 0x1.d0575ec279ba7p-11, 0x1.c40db64be78fdp-11, 0x1.b80f911d4c966p-11, 0x1.ac5b4fead6614p-11, 0x1.a0ef5b29b0c61p-11, 0x1.95ca22f439f33p-11, 0x1.8aea1eea3c091p-11, 0x1.804dce132df73p-11, 0x1.75f3b6c0716bcp-11, 0x1.6bda667035983p-11, 0x1.620071b0cbacep-11, 0x1.58647404d1b44p-11, 0x1.4f050fc7b4cc4p-11, 0x1.45e0ee1290d2fp-11, 0x1.3cf6bea148989p-11, 0x1.344537b77c109p-11, 0x1.2bcb160585448p-11, 0x1.23871c8d73062p-11, 0x1.1b78148838c61p-11, 0x1.139ccd4b2a4d6p-11, 0x1.0bf41c2dfc51fp-11, 0x1.047cdc7170a19p-11, 0x1.fa6bde4d46286p-12, 0x1.ec3c762d99df4p-12, 0x1.de695956e2764p-12, 0x1.d0f06bad7bf9ep-12, 0x1.c3cf9bf7c5c65p-12, 0x1.b704e3af1a9aap-12, 0x1.aa8e46d0c752fp-12, 0x1.9e69d3af60355p-12, 0x1.9295a2c4d5a62p-12, 0x1.870fd6852db14p-12, 0x1.7bd69b32416eep-12, 0x1.70e826b077f5cp-12, 0x1.6642b85bde139p-12, 0x1.5be498dde6e83p-12, 0x1.51cc1a0343785p-12, 0x1.47f796926d7ebp-12, 0x1.3e6572220199fp-12, 0x1.351418f07440fp-12, 0x1.2c01ffbc47f85p-12, 0x1.232da39d52328p-12, 0x1.1a9589e096373p-12, 0x1.12383fe170cafp-12, 0x1.0a145ae7b4e68p-12, 0x1.022878022e17ep-12, 0x1.f4e677c4631bcp-13, 0x1.e5e6a56bd6a8ep-13, 0x1.d74ee004c4517p-13, 0x1.c91c9cfb86b77p-13, 0x1.bb4d5fd5252d2p-13, 0x1.addeb9e8bf445p-13, 0x1.a0ce4a1cfcfc7p-13, 0x1.9419bcaa51d3dp-13, 0x1.87becae112edep-13, 0x1.7bbb3af270b7ap-13, 0x1.700cdfb97d27cp-13, 0x1.64b19882bee62p-13, 0x1.59a750d012b2p-13, 0x1.4eec0018e23b3p-13, 0x1.447da986aea12p-13, 0x1.3a5a5bb02525dp-13, 0x1.30803055150e4p-13, 0x1.26ed4c1db5179p-13, 0x1.1d9fde601f971p-13, 0x1.149620ebb6e9ep-13, 0x1.0bce57db85d28p-13, 0x1.0346d16cf01e4p-13, 0x1.f5fbcbb0768aep-14, 0x1.e5e3ee50c7998p-14, 0x1.d642e21f87007p-14, 0x1.c715916fbec6dp-14, 0x1.b858f917d7b3p-14, 0x1.aa0a27fea32bp-14, 0x1.9c263ea376d06p-14, 0x1.8eaa6ea7849f2p-14, 0x1.8193fa5e7e6c2p-14, 0x1.74e0346b1cbdcp-14, 0x1.688c7f6af140cp-14, 0x1.5c964db07a0ddp-14, 0x1.50fb2106e7dbep-14, 0x1.45b88a79657eep-14, 0x1.3acc2a16aac2bp-14, 0x1.3033aeaba535ep-14, 0x1.25ecd575dc715p-14, 0x1.1bf569d701983p-14, 0x1.124b44f42c76fp-14, 0x1.08ec4d4e32dcdp-14, 0x1.ffacecfcaf596p-15, 0x1.ee0f81b0fbb41p-15, 0x1.dcfc7227322f4p-15, 0x1.cc6feffa28e63p-15, 0x1.bc664463dbcfbp-15, 0x1.acdbcfe896f1cp-15, 0x1.9dcd09ed7283p-15, 0x1.8f36807119d29p-15, 0x1.8114d7b44bd17p-15, 0x1.7364c9c551c9dp-15, 0x1.662325eeafff4p-15, 0x1.594cd0163a5b8p-15, 0x1.4cdec01f1d592p-15, 0x1.40d6016506cb5p-15, 0x1.352fb2527b71ap-15, 0x1.29e9040c21f54p-15, 0x1.1eff3a193fd7dp-15, 0x1.146fa9fc065a5p-15, 0x1.0a37bab6c1991p-15, 0x1.0054e44c17681p-15, 0x1.ed895ea1c5a6fp-16, 0x1.db096936775a2p-16, 0x1.c9253a2508841p-16, 0x1.b7d842c07b6e2p-16, 0x1.a71e13a32e02p-16, 0x1.96f25b6012a5fp-16, 0x1.8750e584e29fdp-16, 0x1.7835995c3a66p-16, 0x1.699c78f5a6163p-16, 0x1.5b81a0ef7a4ccp-16, 0x1.4de147fab205bp-16, 0x1.40b7bf1c2e48bp-16, 0x1.3401718f965c6p-16, 0x1.27bae40d68b0ap-16, 0x1.1be0b3db4e8c5p-16, 0x1.106f95ab6018p-16, 0x1.056454a6fff74p-16, 0x1.f577a3aafd69p-17, 0x1.e0e607b1186b3p-17, 0x1.cd0ded847d033p-17, 0x1.b9e997784931bp-17, 0x1.a77370ab261d1p-17, 0x1.95a60b162c978p-17, 0x1.847c1d9605e7dp-17, 0x1.73f082980ac4bp-17, 0x1.63fe379c4c1d9p-17, 0x1.54a05db4b4a31p-17, 0x1.45d23a1f91fb6p-17, 0x1.378f3677eb10cp-17, 0x1.29d2dff56f6cbp-17, 0x1.1c98e5c057794p-17, 0x1.0fdd16d55db02p-17, 0x1.039b60231ae3p-17, 0x1.ef9f96cb4cda1p-18, 0x1.d8ecfd893c3d4p-18, 0x1.c317799a4b14fp-18, 0x1.ae17c85d1d58cp-18, 0x1.99e6ddadd8c51p-18, 0x1.867de111343bep-18, 0x1.73d62ab189ccbp-18, 0x1.61e9414131202p-18, 0x1.50b0d93b9c99ep-18, 0x1.4026d547b8091p-18, 0x1.30454704d406bp-18, 0x1.21066f83a8ac1p-18, 0x1.1264beeef8ea4p-18, 0x1.045ad3361361cp-18, 0x1.edc6eb96500e2p-19, 0x1.d3f331e81a6cfp-19, 0x1.bb30aa5cf08p-19, 0x1.a375cf432e2bap-19, 0x1.8cb9637d25ce5p-19, 0x1.76f2731ef05a2p-19, 0x1.6218532a73225p-19, 0x1.4e229ec39282ep-19, 0x1.3b09324d400fap-19, 0x1.28c426b4e20d1p-19, 0x1.174bcf3284a8fp-19, 0x1.0698b9c4d95dbp-19, 0x1.ed47612515a7ap-20, 0x1.cecb737d762a8p-20, 0x1.b1b029c80a091p-20, 0x1.95e86f2135026p-20, 0x1.7b6795dc1d0aap-20, 0x1.6221572ee842ap-20, 0x1.4a09d5104826fp-20, 0x1.33159a54a6303p-20, 0x1.1d39974f1a044p-20, 0x1.086b1a180a71ap-20, 0x1.e93f971f69f5fp-21, 0x1.c39b515315808p-21, 0x1.9fd6039212fcp-21, 0x1.7ddcef33e0932p-21, 0x1.5d9def3728c99p-21, 0x1.3f07739c97ddfp-21, 0x1.2208832cea418p-21, 0x1.0690c193c0a64p-21, 0x1.d920e319fb945p-22, 0x1.a7f0d6da95edbp-22, 0x1.797411f7d9efcp-22, 0x1.4d8e21c67e79dp-22, 0x1.2423595778545p-22, 0x1.fa31b1b0c4558p-23, 0x1.b0a94a60fcb2fp-23, 0x1.6b7b7d95d93f7p-23, 0x1.2a7858382bcc1p-23, 0x1.dae3cedff9027p-24, 0x1.68781bb2402b5p-24, 0x1.fab119c260f1bp-25, 0x1.3265ab1da4f2fp-25, 0x1.ddb89394f4229p-27, -0x1.b682be0e73d1fp-28, -0x1.b1d6b5040ee7dp-26, -0x1.6f72be899be8ap-25, -0x1.faefff846463dp-25, -0x1.3df30975cec15p-24, -0x1.7968f4c2dd546p-24, -0x1.b015be13d28ddp-24, -0x1.e2336f76ac6c8p-24, -0x1.07fd37ea5db13p-23, -0x1.1cd0bea8dbcabp-23, -0x1.2faed8ac22c52p-23, -0x1.40b1235ec0e64p-23, -0x1.4ff040f390cffp-23, -0x1.5d83bd06c6955p-23, -0x1.6981f9f4b6674p-23, -0x1.74003b09f0cacp-23, -0x1.7d12d10c9afabp-23, -0x1.84cd54f4c7556p-23, -0x1.8b42d1af6086fp-23, -0x1.9085cb69dbeb4p-23, -0x1.94a82ad1f2b29p-23, -0x1.97bb1da2dc59bp-23, -0x1.99cef67bf962bp-23, -0x1.9af3142e13fp-23, -0x1.9b35e476022cbp-23, -0x1.9aa5112c3a65bp-23, -0x1.994dc23f9237cp-23, -0x1.973cc3fac9267p-23, -0x1.947e7b68918f8p-23, -0x1.911ec60ca08bep-23, -0x1.8d28f043434bep-23, -0x1.88a7c7363e0ffp-23, -0x1.83a5a96aea52dp-23, -0x1.7e2c82f13c4bfp-23, -0x1.7845bf2ef8b2p-23, -0x1.71fa4340cc76ap-23, -0x1.6b5279ea355b4p-23, -0x1.64566b21fb99dp-23, -0x1.5d0dd04bab80bp-23, -0x1.5580187516947p-23, -0x1.4db45d46306c4p-23, -0x1.45b15677981ap-23, -0x1.3d7d58f36f854p-23, -0x1.351e5ffbc5e03p-23, -0x1.2c9a19bcdb843p-23, -0x1.23f5e86e26e98p-23, -0x1.1b36ebedb5dd8p-23, -0x1.1261fe73f0b03p-23, -0x1.097baa03742c2p-23, -0x1.0088222f4d6c8p-23, -0x1.ef16a87ba4b8dp-24, -0x1.dd11ff5f5e01bp-24, -0x1.cb0978a12a4a7p-24, -0x1.b903de4cb66e6p-24, -0x1.a70785a191804p-24, -0x1.951a55c5fe8fcp-24, -0x1.8341d71a56669p-24, -0x1.71833fb459952p-24, -0x1.5fe3771e66e4ep-24, -0x1.4e671184bc9b6p-24, -0x1.3d12677481aa1p-24, -0x1.2be99b8876702p-24, -0x1.1af0582c2fe75p-24, -0x1.0a29c26bf8209p-24, -0x1.f33152fde7243p-25, -0x1.d27f77c1c8295p-25, -0x1.b2433d1800024p-25, -0x1.9281c15ba9a7ap-25, -0x1.733fc6ee7faa7p-25, -0x1.54817e58ce5cp-25, -0x1.364a6436adc87p-25, -0x1.189d60595c44bp-25, -0x1.f6f9fea4eb179p-26, -0x1.bdd70d31eea73p-26, -0x1.85d5e60746083p-26, -0x1.4efa000c90743p-26, -0x1.19465c9928ecdp-26, -0x1.c97af72a0fdbp-27, -0x1.62c28cb2de8f1p-27, -0x1.fccc4e9b27c7cp-28, -0x1.38cf3a6432cb3p-28, -0x1.e641b6a96f6d3p-30, 0x1.03ba873bb904dp-30, 0x1.ed5c5560bba7ep-29, 0x1.a7b0ca56c4de4p-28, 0x1.29fdee0a7e5fbp-27, 0x1.7dcb4f51d5824p-27, 0x1.cf443e9a8329ep-27, 0x1.0f3607c9ae092p-26, 0x1.35a3133e4509cp-26, 0x1.5aeb58d9f2c61p-26, 0x1.7f117da8db23cp-26, 0x1.a2189ce3ab566p-26, 0x1.c4040391fd863p-26, 0x1.e4d6b308e3935p-26, 0x1.024a33e4dc33dp-25, 0x1.11a031f19b305p-25, 0x1.206f5a287d8d2p-25, 0x1.2eb997f01415cp-25, 0x1.3c80ecb7f1692p-25, 0x1.49c757dada574p-25, 0x1.568ed5fd3a1fep-25, 0x1.62d9675087a5ep-25, 0x1.6ea8ed0cefa21p-25, 0x1.79ffbebb19576p-25, 0x1.84e01048f67bap-25, 0x1.8f4c37f85b443p-25, 0x1.99468e558ef1p-25, 0x1.a2d166d8ddff9p-25, 0x1.abef119e3eebap-25, 0x1.b4a1d6ff2d16ap-25, 0x1.bcebeb62b01eep-25, 0x1.c4cf761c31492p-25, 0x1.cc4ead011b412p-25, 0x1.d36be1050957fp-25, 0x1.da296cf818ccdp-25, 0x1.e089a0063e6e2p-25, 0x1.e68ebb5b4d4f5p-25, 0x1.ec3b0363b0285p-25, 0x1.f190c31dd4a8cp-25, 0x1.f692406c1ea8fp-25, 0x1.fb41b79e3df73p-25, 0x1.ffa1591a72df8p-25, 0x1.01d9a350b2586p-24, 0x1.03bcd0fa82761p-24, 0x1.057ae0eab1c7p-24, 0x1.07161be11fc28p-24, 0x1.088dc0b0ea1dbp-24, 0x1.09e42790e6217p-24, 0x1.0b19cb0ad183cp-24, 0x1.0c2fc8082256fp-24, 0x1.0d271eedc5d1fp-24, 0x1.0e00c42169d4fp-24, 0x1.0ebda1e605a81p-24, 0x1.0f5ea557eee34p-24, 0x1.0fe4bb6401da1p-24, 0x1.1050c9779fec4p-24, 0x1.10a3af2967377p-24, 0x1.10de4b796f85bp-24, 0x1.110179401e67bp-24, 0x1.110e0bff4ac1p-24, 0x1.1104d22cacaf7p-24, 0x1.10e698d4a516dp-24, 0x1.10b42b2b27c2p-24, 0x1.106e4fd824556p-24, 0x1.1015c983c534ep-24, 0x1.0fab566996c8fp-24, 0x1.0f2faeaabd857p-24, 0x1.0ea37ad59f2b6p-24, 0x1.0e0753eb87e73p-24, 0x1.0d5c32b8e45a8p-24, 0x1.0ca286cffec32p-24, 0x1.0bdadce7b52f1p-24, 0x1.0b05e7923dd14p-24, 0x1.0a2449cc6048dp-24, 0x1.093690c5daafp-24, 0x1.083d599fb3c19p-24, 0x1.07392e1f017c9p-24, 0x1.062a9745aacbap-24, 0x1.05121a588f181p-24, 0x1.03f039df3420ep-24, 0x1.02c5749c020afp-24, 0x1.0192450e7ba9cp-24, 0x1.005722c3bd1bp-24, 0x1.fe29025225c6bp-25, 0x1.fb959d48b5cdfp-25, 0x1.f8f4eedf1caebp-25, 0x1.f647cb501ed6ap-25, 0x1.f38efff10a306p-25, 0x1.f0cb522c03413p-25, 0x1.edfd82485fd39p-25, 0x1.eb264a7a50cd6p-25, 0x1.e8465d5557deap-25, 0x1.e55e664f1b69fp-25, 0x1.e26f0a2558f88p-25, 0x1.df78e744195a1p-25, 0x1.dc7c9662f44b3p-25, 0x1.d97aab157fd99p-25, 0x1.d673b440489efp-25, 0x1.d3683c50e6db3p-25, 0x1.d058c90928904p-25, 0x1.cd45db5dc0787p-25, 0x1.ca2fee04834c4p-25, 0x1.c7177539a4ceap-25, 0x1.c3fcdf5fbbbf5p-25, 0x1.c0e0965fcaaf8p-25, 0x1.bdc300b54c0cep-25, 0x1.baa4819f6bd72p-25, 0x1.b785781e7eeb8p-25, 0x1.b4663e5070e92p-25, 0x1.b14729bd2b45fp-25, 0x1.ae288b7574a1bp-25, 0x1.ab0ab0339da2p-25, 0x1.a7ede2479564ap-25, 0x1.a4d2681b9a35p-25, 0x1.a1b87a658dc24p-25, 0x1.9ea072b2c6474p-25, 0x1.9b8a7934a766ap-25, 0x1.9876c6c074bcbp-25, 0x1.95659443b957fp-25, 0x1.925714abc48c3p-25, 0x1.8f4b77e055fap-25, 0x1.8c42e6e927799p-25, 0x1.893d6d6989a81p-25, 0x1.863b5f9cd9858p-25, 0x1.833d066f59cb7p-25, 0x1.80422bf062807p-25, 0x1.7d4b0eb39d4c8p-25, 0x1.7a57d2bbf392fp-25, 0x1.7768921396256p-25, 0x1.747d646ee3875p-25, 0x1.71965f9c40f72p-25, 0x1.6eb3978bd73e4p-25, 0x1.6bd51e69405f3p-25, 0x1.68fb04b3ee641p-25, 0x1.662559493d1dfp-25, 0x1.6354293ddd04ep-25, 0x1.60877fb9b9082p-25, 0x1.5dbf66308afp-25, 0x1.5afbe4a5d665p-25, 0x1.583d01996d4e5p-25, 0x1.5582c260e8c5fp-25, 0x1.52cd2ad884abp-25, 0x1.501c3d98a9901p-25, 0x1.4d6ffbfcf5df1p-25, 0x1.4ac865ba1ae6dp-25, 0x1.482577a67badap-25, 0x1.45872ded295a7p-25, 0x1.42ed8f6c1d158p-25, 0x1.4058991f4f58ep-25, 0x1.3dc83c9532802p-25, 0x1.3b3c8df90256ep-25, 0x1.38b555188cf92p-25, 0x1.3632a09a6fdbbp-25, 0x1.33b45fb4d6bffp-25, 0x1.313aacea1ac81p-25, 0x1.2ec568beb28fbp-25, 0x1.2c5489edad0a1p-25, 0x1.29e8060ce269cp-25, 0x1.277fd24eda19fp-25, 0x1.251be35e4d505p-25, 0x1.22bc27608e78bp-25, 0x1.2060a41c0fc0cp-25, 0x1.1e093ace6c178p-25, 0x1.1bb5e4449233ep-25, 0x1.1966930b07a97p-25, 0x1.171b39ad8664ep-25, 0x1.14d3ca8198bdep-25, 0x1.12903ca433c55p-25, 0x1.10507733e7e35p-25, 0x1.0e146c79890fbp-25, 0x1.0bdc180111b8bp-25, 0x1.09a7657f3ca68p-25, 0x1.077646323a971p-25, 0x1.0548ab39ac481p-25, 0x1.031e85a0b901dp-25, 0x1.00f7c656b9d1ep-25, 0x1.fda8bc7b11652p-26, 0x1.f9687cffc20c7p-26, 0x1.f52eb0494d8bdp-26, 0x1.f0fb388c19136p-26, 0x1.eccdf81aca818p-26, 0x1.e8a6d1652a17ep-26, 0x1.e485a6fc81d47p-26, 0x1.e06a5b919b262p-26, 0x1.dc54d1edb9794p-26, 0x1.d844ecf22a0fap-26, 0x1.d43a8fbb52b62p-26, 0x1.d0359ddc896bfp-26, 0x1.cc35fb775116fp-26, 0x1.c83b8d1e802d6p-26, 0x1.c44637b44d576p-26, 0x1.c055e06277b0dp-26, 0x1.bc6a6c878577bp-26, 0x1.b883c195ed7f2p-26, 0x1.b4a1c557157e3p-26, 0x1.b0c45e9a37ffbp-26, 0x1.aceb74f5882e7p-26, 0x1.a916f01e55097p-26, 0x1.a546b7e14cf27p-26, 0x1.a17ab499b27f4p-26, 0x1.9db2cf79625dbp-26, 0x1.99eef22d788bp-26, 0x1.962f07baece17p-26, 0x1.9272ff3080071p-26, 0x1.8ebabc33d9249p-26, 0x1.8b05aec88c1a3p-26, 0x1.87552879514a8p-26, 0x1.83a7a532233bap-26, 0x1.7ffd9a12eeef4p-26, 0x1.7c56df5f66818p-26, 0x1.78b36436e2831p-26, 0x1.7516fc5ca733fp-26, 0x1.717c8b5157cefp-26, 0x1.6ddcdc2c718ccp-26, 0x1.6a46883f4e79ap-26, 0x1.66b30335b3ebcp-26, 0x1.63225e8b834c5p-26, 0x1.5f9499c389c22p-26, 0x1.5c09ac7d6b61cp-26, 0x1.588186b1979bep-26, 0x1.54fbd94093119p-26, 0x1.517946e70f96p-26, 0x1.4df93c2ef96b1p-26, 0x1.4a7bb35bc5b53p-26, 0x1.4700bc5405e1bp-26, 0x1.438846ca6ed59p-26, 0x1.4012455cedc4ep-26, 0x1.3c9ec354f4271p-26, 0x1.392daccf61d86p-26, 0x1.35beef538cc83p-26, 0x1.3252882c9823ep-26, 0x1.2ee871a760bb1p-26, 0x1.2b80a51546c0ap-26, 0x1.281b1be2466afp-26, 0x1.24b7cff403352p-26, 0x1.2156bba2cc03bp-26, 0x1.1df7d9b324195p-26, 0x1.1a9b255d637e7p-26, 0x1.17409a28e4b7fp-26, 0x1.13e852d73e234p-26, 0x1.1091f0c54d2afp-26, 0x1.0d3dcc35b780ap-26, 0x1.09ebc3476c6c4p-26, 0x1.069bd4027890dp-26, 0x1.034dfb937d7e9p-26, 0x1.0002342b4c8c3p-26, 0x1.f97118a871fadp-27, 0x1.f2e1e9c2172b6p-27, 0x1.ec56de0dadb09p-27, 0x1.e5cff7ec2a3c9p-27, 0x1.df4d37868dbedp-27, 0x1.d8ce9d8ebf038p-27, 0x1.d2542b572d3bbp-27, 0x1.cbdde2cd7213ap-27, 0x1.c56bc66dbda25p-27, 0x1.befdd940253dep-27, 0x1.b8941ed0cc7a3p-27, 0x1.b22e9b536349cp-27, 0x1.abcd5346580f5p-27, 0x1.a5704bbc165cfp-27, 0x1.9f178a4a9625p-27, 0x1.98c3150de219fp-27, 0x1.9272f28922f55p-27, 0x1.8c2729ac5bd4ap-27, 0x1.85dfc1ba85335p-27, 0x1.7f9cc27e2e6b6p-27, 0x1.795e341cfe79bp-27, 0x1.73241f127dec6p-27, 0x1.6cee8c3936fb5p-27, 0x1.66bd84c294bd3p-27, 0x1.6091122f9cc56p-27, 0x1.5a693e4647f96p-27, 0x1.544612ef1ee4ap-27, 0x1.4e2799a8d91a7p-27, 0x1.480dd7deb4aa5p-27, 0x1.41f8a6ab75059p-27, 0x1.3bea8a4ce685cp-27, 0x1.35dcba638e3e2p-27, 0x1.2fd7299a4bee1p-27, 0x1.29d5e8861e5d3p-27, 0x1.23d995da020dcp-27, 0x1.1de24f6912c8p-27, 0x1.17f023fb396e8p-27, 0x1.120320989932fp-27, }}, 
      {{0x1.2f17dac4d697dp-8, 0x1.4139a95e6ec45p-7, 0x1.069632d0e0eep-6, 0x1.82ab02c8825fbp-6, 0x1.0af430973421cp-5, 0x1.5f04f517a00a2p-5, 0x1.bb53b6950a00bp-5, 0x1.0e94e4eb9ccffp-4, 0x1.40da4f0ea3221p-4, 0x1.73211887ffaa4p-4, 0x1.a42f7659ecacp-4, 0x1.d2f0e6c3013dp-4, 0x1.fe7818cced06bp-4, 0x1.12ff9a0bdc985p-3, 0x1.2473cb82ac1dfp-3, 0x1.335ca188b8944p-3, 0x1.3f90e3b6051f6p-3, 0x1.48f938cb110d8p-3, 0x1.4f8ed5f3fdb3fp-3, 0x1.5359cc870abdp-3, 0x1.546f0ace614f2p-3, 0x1.52ee2dc8779b4p-3, 0x1.4eff4365f4ef8p-3, 0x1.48d09a9ae8dc5p-3, 0x1.4094b951bb8f4p-3, 0x1.368089c4f65b3p-3, 0x1.2ac9ca1d6d2fap-3, 0x1.1da5c300fed1ap-3, 0x1.0f48447927865p-3, 0x1.ffc5c91f43007p-4, 0x1.df48f0ac2e0d1p-4, 0x1.bd717d9770ef4p-4, 0x1.9a90696dc33a4p-4, 0x1.76f0114064896p-4, 0x1.52d44da5e8448p-4, 0x1.2e7aacc70d4c9p-4, 0x1.0a1ac26101673p-4, 0x1.cbcd075b855adp-5, 0x1.84154fd0dae8ap-5, 0x1.3d5e112e8a883p-5, 0x1.efdbf8690e1b8p-6, 0x1.6806d7c98a7e5p-6, 0x1.c7540ceb064d4p-7, 0x1.8c91e3a08340fp-8, -0x1.938294bdd797cp-10, -0x1.224d30b6b6ebap-7, -0x1.046d142653436p-6, -0x1.72dc9dbf33555p-6, -0x1.dc503e496334ap-6, -0x1.20562b8a17f59p-5, -0x1.4feefbff4d9dfp-5, -0x1.7ced1d39b7e83p-5, -0x1.a74ed0216f9f8p-5, -0x1.cf15bb110cca9p-5, -0x1.f4469cd6ac516p-5, -0x1.0b7480bf76cc3p-4, -0x1.1b837c899d797p-4, -0x1.2a56683abd0ffp-4, -0x1.37f466545adf9p-4, -0x1.4465746b1558cp-4, -0x1.4fb24ba88f4c4p-4, -0x1.59e442f54ac65p-4, -0x1.630532df41051p-4, -0x1.6b1f5b58fc054p-4, -0x1.723d4b5db63b8p-4, -0x1.7869ca853856p-4, -0x1.7dafc48bc24aap-4, -0x1.821a36c888973p-4, -0x1.85b41f8dd8846p-4, -0x1.88886f5f78bf4p-4, -0x1.8aa1fbf3d36d8p-4, -0x1.8c0b74e1dfd7cp-4, -0x1.8ccf59eb3c4bp-4, -0x1.8cf7f2b91304ep-4, -0x1.8c8f480187d21p-4, -0x1.8b9f1dd119334p-4, -0x1.8a30ef0d802e7p-4, -0x1.884de9c6b096fp-4, -0x1.85feec93e1e6p-4, -0x1.834c84860dd8cp-4, -0x1.803eebde9ed03p-4, -0x1.7cde096f544fbp-4, -0x1.79317034a9feap-4, -0x1.75405fe802105p-4, -0x1.7111c556fe2a2p-4, -0x1.6cac3b765eb9bp-4, -0x1.68160cc55fd87p-4, -0x1.63553400d3a21p-4, -0x1.5e6f5eb3183e1p-4, -0x1.5969ed8f27ce7p-4, -0x1.5449f7167a614p-4, -0x1.4f14493dd6548p-4, -0x1.49cd6a7556ec5p-4, -0x1.44799d30c6e5fp-4, -0x1.3f1ce06c5de36p-4, -0x1.39baf285939fep-4, -0x1.345753dd8b0f4p-4, -0x1.2ef547737d975p-4, -0x1.2997d6b46cf78p-4, -0x1.2441d2be7faacp-4, -0x1.1ef5d5cf23e55p-4, -0x1.19b646d7755d5p-4, -0x1.148559d90344cp-4, -0x1.0f65126b517fbp-4, -0x1.0a57464e6803p-4, -0x1.055d9dec67b66p-4, -0x1.00799766c8cep-4, -0x1.f759107e4a7b2p-5, -0x1.edef3d2722f03p-5, -0x1.e4b7c7c6565c6p-5, -0x1.dbb47cd2d5001p-5, -0x1.d2e6e57fe6b8ap-5, -0x1.ca504c2edd408p-5, -0x1.c1f1bf53f1e51p-5, -0x1.b9cc1468e74d3p-5, -0x1.b1dfebbe88d23p-5, -0x1.aa2db39381f3p-5, -0x1.a2b5aa4e5c5d7p-5, -0x1.9b77e224609a7p-5, -0x1.9474445dcb83cp-5, -0x1.8daa92b82d4c9p-5, -0x1.871a6b39bb65ep-5, -0x1.80c34b39fb06ep-5, -0x1.7aa490cc24de2p-5, -0x1.74bd7dcc97506p-5, -0x1.6f0d3b223dd1ap-5, -0x1.6992da2be3c55p-5, -0x1.644d56dd513cbp-5, -0x1.5f3b9aeadb838p-5, -0x1.5a5c7f93b6cdcp-5, -0x1.55aecec583e16p-5, -0x1.513145987ff8fp-5, -0x1.4ce296a036e7ap-5, -0x1.48c16aab542b4p-5, -0x1.44cc62059ec1dp-5, -0x1.410216cd71f65p-5, -0x1.3d611e294419fp-5, -0x1.39e808a10ce53p-5, -0x1.3695637b96c57p-5, -0x1.3367ba70ca5p-5, -0x1.305d98451e606p-5, -0x1.2d75870703fd4p-5, -0x1.2aae1121b95e9p-5, -0x1.2805c2a987928p-5, -0x1.257b29b9431f6p-5, -0x1.230cd66adbd61p-5, -0x1.20b95babc7acbp-5, -0x1.1e7f50566f51fp-5, -0x1.1c5d4f5ad82d7p-5, -0x1.1a51f7903068p-5, -0x1.185bec4eeace8p-5, -0x1.1679d6479e10dp-5, -0x1.14aa63ac0a971p-5, -0x1.12ec480281872p-5, -0x1.113e3c5c76b97p-5, -0x1.0f9effe7cc95ap-5, -0x1.0e0d584b142cdp-5, -0x1.0c88118d23c6ap-5, -0x1.0b0dfde122d66p-5, -0x1.099df5ef317e4p-5, -0x1.0836d95cfe15fp-5, -0x1.06d78edd5a5f1p-5, -0x1.057f03ca71f93p-5, -0x1.042c2c1a20a31p-5, -0x1.02de02d7f4738p-5, -0x1.01938a60f9298p-5, -0x1.004bcc1f31f2fp-5, -0x1.fe0bb09115cd5p-6, -0x1.fb818c0a5f658p-6, -0x1.f8f7675b69997p-6, -0x1.f66b8d96d007dp-6, -0x1.f3dc57e7f2cfcp-6, -0x1.f1482d479e7e7p-6, -0x1.eead826b38c99p-6, -0x1.ec0ad9f7cd718p-6, -0x1.e95ec4b9301d5p-6, -0x1.e6a7e17dfef96p-6, -0x1.e3e4dc89108f6p-6, -0x1.e1146f4b794cdp-6, -0x1.de3560b8a7a4bp-6, -0x1.db46858e2cdbcp-6, -0x1.d846c0074b7c4p-6, -0x1.d534ff430ba76p-6, -0x1.d2103f1750205p-6, -0x1.ced7885d4e2dcp-6, -0x1.cb89f0ff8509bp-6, -0x1.c8269b9c2606ap-6, -0x1.c4acb734588ecp-6, -0x1.c11b7f22c9ad5p-6, -0x1.bd723b1eda397p-6, -0x1.b9b03efe6bcbfp-6, -0x1.b5d4ea66c76fep-6, -0x1.b1dfa8d519eb4p-6, -0x1.adcff1c23c594p-6, -0x1.a9a5485e0a0d9p-6, -0x1.a55f3afefb2cbp-6, -0x1.a0fd62d5c61fap-6, -0x1.9c7f642d484f8p-6, -0x1.97e4eec5b2c14p-6, -0x1.932dbd9166853p-6, -0x1.8e5995e2ae08p-6, -0x1.896846e8ff96bp-6, -0x1.8459a9f4950aep-6, -0x1.7f2da2ff9517fp-6, -0x1.79e420a988ccbp-6, -0x1.747d1b71d05ffp-6, -0x1.6ef894e45337ep-6, -0x1.69569788e70c2p-6, -0x1.6397377884c2p-6, -0x1.5dba92b1f14acp-6, -0x1.57c0d0a046651p-6, -0x1.51aa213191706p-6, -0x1.4b76bc4e7d3b3p-6, -0x1.4526e216fdcd5p-6, -0x1.3ebadb720f096p-6, -0x1.3832fa1bcd2f2p-6, -0x1.318f97f08c5f1p-6, -0x1.2ad1160eba6fep-6, -0x1.23f7dc87b8403p-6, -0x1.1d045ab80801ap-6, -0x1.15f707b9f6d72p-6, -0x1.0ed0624dd974p-6, -0x1.0790f01bf54eep-6, -0x1.00393cdea5bfdp-6, -0x1.f193b430a5c3cp-7, -0x1.e286bece52294p-7, -0x1.d34cd5dd7e6c3p-7, -0x1.c3e742860f5f5p-7, -0x1.b4575978851b7p-7, -0x1.a49e7944cf7p-7, -0x1.94be097d9531cp-7, -0x1.84b77b081562bp-7, -0x1.748c48eafcdc6p-7, -0x1.643df880ffca9p-7, -0x1.53ce1884e8391p-7, -0x1.433e3f7733cb1p-7, -0x1.32900a5cfd945p-7, -0x1.21c51c77b55ecp-7, -0x1.10df1fc82dcb6p-7, -0x1.ffbf8b2aaff73p-8, -0x1.dd918c5e36bbfp-8, -0x1.bb37bf8da4255p-8, -0x1.98b5a9ed45fbep-8, -0x1.760ed78ef93fdp-8, -0x1.5346db1eecd6dp-8, -0x1.30614eb7cc5d9p-8, -0x1.0d61d47ffd544p-8, -0x1.d4982bfb3818ap-9, -0x1.8e47840e1b99ep-9, -0x1.47d9147166067p-9, -0x1.01544249c8109p-9, -0x1.7580e753f39e4p-10, -0x1.d09442056608p-11, -0x1.6c4c1c390609ap-12, 0x1.90ac69d9df934p-13, 0x1.7e418998bc985p-11, 0x1.4bffd33b2e617p-10, 0x1.d8a3fdeec672ap-10, 0x1.327f4fe15c257p-9, 0x1.788094936e45ep-9, 0x1.be4e8f6b14fb7p-9, 0x1.01f1067c5f423p-8, 0x1.2499f2d29cb37p-8, 0x1.471e805a3c0bep-8, 0x1.697b2bc98eb64p-8, 0x1.8bac7c26215c5p-8, 0x1.adaf03523e03p-8, 0x1.cf7f5e112186fp-8, 0x1.f11a33e6cbfe7p-8, 0x1.093e1ba1b3217p-7, 0x1.19d1131dd8d6dp-7, 0x1.2a4465d87ccfp-7, 0x1.3a9680459192p-7, 0x1.4ac5d652e7a32p-7, 0x1.5ad0e3a356afdp-7, 0x1.6ab62b98e296ep-7, 0x1.7a74394d1337bp-7, 0x1.8a099f9c4051bp-7, 0x1.9974f95b6d91ap-7, 0x1.a8b4e9b636298p-7, 0x1.b7c81c9b18b0fp-7, 0x1.c6ad4716ace72p-7, 0x1.d563278b0597dp-7, 0x1.e3e885c1f5501p-7, 0x1.f23c32e7d55cfp-7, 0x1.002e84c2875c5p-6, 0x1.0724f6c57fdf2p-6, 0x1.0e00e63e51d98p-6, 0x1.14c1ced5263f9p-6, 0x1.1b673136e67eap-6, 0x1.21f0932b41babp-6, 0x1.285d7f9f27432p-6, 0x1.2ead86a43a8a5p-6, 0x1.34e03d69840aap-6, 0x1.3af53e33bfa78p-6, 0x1.40ec285b3a9d9p-6, 0x1.46c4a05217ebp-6, 0x1.4c7e4fafbfa68p-6, 0x1.5218e53bfe1e1p-6, 0x1.579414f47b78fp-6, 0x1.5cef980b56f2fp-6, 0x1.622b2cdefce8cp-6, 0x1.674696ed78079p-6, 0x1.6c419ec67658bp-6, 0x1.711c11ffaefe1p-6, 0x1.75d5c32dd26bfp-6, 0x1.7a6e89e141812p-6, 0x1.7ee642a2e71ap-6, 0x1.833cceedd6cep-6, 0x1.87721523db7cap-6, 0x1.8b86007e005b3p-6, 0x1.8f7880fa40494p-6, 0x1.93498b4848b53p-6, 0x1.96f918b71a29cp-6, 0x1.9a8727248a2ddp-6, 0x1.9df3b8eeda8a2p-6, 0x1.a13ed4e68554fp-6, 0x1.a468863dedf7ep-6, 0x1.a770dc759adc1p-6, 0x1.aa57eb4614072p-6, 0x1.ad1dca8998e74p-6, 0x1.afc29627f3f6bp-6, 0x1.b2466e04bf3efp-6, 0x1.b4a975ef2641fp-6, 0x1.b6ebd58ff9efp-6, 0x1.b90db8534feb2p-6, 0x1.bb0f4d4b15973p-6, 0x1.bcf0c70a9c76dp-6, 0x1.beb25b7e76f1cp-6, 0x1.c05443c7725ccp-6, 0x1.c1d6bc20912a3p-6, 0x1.c33a03d50a324p-6, 0x1.c47e5d45dd2f5p-6, 0x1.c5a40df723673p-6, 0x1.c6ab5e981723ep-6, 0x1.c7949af731a9p-6, 0x1.c86011d7fc6a5p-6, 0x1.c90e14a88456bp-6, 0x1.c99ef7207644dp-6, 0x1.ca130ede84463p-6, 0x1.ca6ab31de164p-6, 0x1.caa63c9c8cbc4p-6, 0x1.cac605bd22f99p-6, 0x1.caca6adde5c5bp-6, 0x1.cab3cac9e74d7p-6, 0x1.ca82871b388fep-6, 0x1.ca37046252d67p-6, 0x1.c9d1a9f1fa7f2p-6, 0x1.c952e1476fbcep-6, 0x1.c8bb15255189cp-6, 0x1.c80ab094557f5p-6, 0x1.c7421e0e36358p-6, 0x1.c661c71512ce4p-6, 0x1.c56a146283039p-6, 0x1.c45b6eb1b111ap-6, 0x1.c3363ff8f9a36p-6, 0x1.c1faf4bfccf21p-6, 0x1.c0a9fd2954ad3p-6, 0x1.bf43cd54d1da3p-6, 0x1.bdc8dcda0da4ep-6, 0x1.bc39a562e44f5p-6, 0x1.ba96a0a4a4431p-6, 0x1.b8e046318c09dp-6, 0x1.b71709b444598p-6, 0x1.b53b5a19f9effp-6, 0x1.b34da1fc62183p-6, 0x1.b14e494d7afcep-6, 0x1.af3db7ef3cfd6p-6, 0x1.ad1c5899a8bb8p-6, 0x1.aaea9b4d4bc5fp-6, 0x1.a8a8f69da5b64p-6, 0x1.a657e75d28e99p-6, 0x1.a3f7ee975bc93p-6, 0x1.a1898e349e832p-6, 0x1.9f0d450308737p-6, 0x1.9c838b14f4327p-6, 0x1.99eccf61af948p-6, 0x1.97497753310b7p-6, 0x1.9499e07c4d80ap-6, 0x1.91de642caffcap-6, 0x1.8f175c1f7fd26p-6, 0x1.8c45272ff4a47p-6, 0x1.89682cf0f6a8dp-6, 0x1.8680df3af40b9p-6, 0x1.838fb935efe87p-6, 0x1.80953bfa646f5p-6, 0x1.7d91e9763dd8ap-6, 0x1.7a863eb0df86ap-6, 0x1.7772aeb6b44e4p-6, 0x1.74579f56c4837p-6, 0x1.7135687a02908p-6, 0x1.6e0c5649f28e1p-6, 0x1.6adcadbba8323p-6, 0x1.67a6b288704a5p-6, 0x1.646aad4730c9fp-6, 0x1.6128f04ceb25ap-6, 0x1.5de1da3e369ebp-6, 0x1.5a95d5bec17aap-6, 0x1.57455651fda12p-6, 0x1.53f0d31e533f5p-6, 0x1.5098c0b5a7579p-6, 0x1.4d3d8b3244d1fp-6, 0x1.49df91d946c3dp-6, 0x1.467f2519ccba9p-6, 0x1.431c874210f52p-6, 0x1.3fb7efb9b72b8p-6, 0x1.3c51901364a86p-6, 0x1.38e999e96ab44p-6, 0x1.3580444d38afap-6, 0x1.3215cfa6ba941p-6, 0x1.2eaa873a58211p-6, 0x1.2b3ec01b2b57fp-6, 0x1.27d2d5ed1c193p-6, 0x1.24672657a34b4p-6, 0x1.20fc0c3f506bbp-6, 0x1.1d91dbbeec78ap-6, 0x1.1a28df8197789p-6, 0x1.16c157b93c0c3p-6, 0x1.135b7a9e7fdc4p-6, 0x1.0ff7763e4f0ddp-6, 0x1.0c957344eb664p-6, 0x1.0935985eec2d2p-6, 0x1.05d80da2e326fp-6, 0x1.027cff53db085p-6, 0x1.fe493ea3ae312p-7, 0x1.f79e49aac1588p-7, 0x1.f0f9952f43356p-7, 0x1.ea5b982a4fe3ep-7, 0x1.e3c4c5cdc8c76p-7, 0x1.dd358a186d214p-7, 0x1.d6ae48f937e3ap-7, 0x1.d02f5f6df0844p-7, 0x1.c9b9253a7ff17p-7, 0x1.c34bede4674dbp-7, 0x1.bce808678b0cep-7, 0x1.b68dbe1a47138p-7, 0x1.b03d51d1f4166p-7, 0x1.a9f7003c03be2p-7, 0x1.a3bb01a2e2cap-7, 0x1.9d898c713dff5p-7, 0x1.9762d74688efdp-7, 0x1.914719a7c6ee1p-7, 0x1.8b368b24a86bdp-7, 0x1.853161ac256e7p-7, 0x1.7f37d03b5341ap-7, 0x1.794a06d85cb8p-7, 0x1.7368342135378p-7, 0x1.6d9287fd914fp-7, 0x1.67c93681b0c96p-7, 0x1.620c79c35b039p-7, 0x1.5c5c915f2e89dp-7, 0x1.56b9becb63085p-7, 0x1.51243e964f3a6p-7, 0x1.4b9c402ac4591p-7, 0x1.4621df126af3fp-7, 0x1.40b52115c47ap-7, 0x1.3b55fb57e24ep-7, 0x1.36045dba50ee5p-7, 0x1.30c04079ea7d3p-7, 0x1.2b89addab9ef6p-7, 0x1.2660c28b5f668p-7, 0x1.2145a3848c41p-7, 0x1.1c386df87c0e3p-7, 0x1.17392a4ebde8p-7, 0x1.1247cb1fb3d93p-7, 0x1.0d643ba36495bp-7, 0x1.088e7841d002ap-7, 0x1.03c6a4a1101e8p-7, 0x1.fe1a22b241461p-8, 0x1.f4c45408d67bdp-8, 0x1.eb8ca049ba933p-8, 0x1.e273652724bd8p-8, 0x1.d9786b84531d4p-8, 0x1.d09af68ea80aap-8, 0x1.c7da10ddcc06p-8, 0x1.bf34f598d7b1p-8, 0x1.b6ab60fbdb1d1p-8, 0x1.ae3d9bf66a2eep-8, 0x1.a5ec37a4a2678p-8, 0x1.9db7976f9e9c7p-8, 0x1.959f86ae24d74p-8, 0x1.8da317e567069p-8, 0x1.85c0ebe7cb401p-8, 0x1.7df7ca603bcep-8, 0x1.764745d46bfd8p-8, 0x1.6eb0162a6cd1p-8, 0x1.6733f2d1e4383p-8, 0x1.5fd4f4991df13p-8, 0x1.5894c60e41d45p-8, 0x1.5174041aa0795p-8, 0x1.4a721677621d8p-8, 0x1.438d883b33a2ap-8, 0x1.3cc4ab262da4ep-8, 0x1.361636184f2eap-8, 0x1.2f819d272a89ep-8, 0x1.29070571ba0abp-8, 0x1.22a6dd5d6f79p-8, 0x1.1c6143b15f2abp-8, 0x1.1635818896c19p-8, 0x1.1021e222cafaap-8, 0x1.0a2417ce00f31p-8, 0x1.043a19682c542p-8, 0x1.fcc628b1989b1p-9, 0x1.f13fd7d10e09bp-9, 0x1.e5e5e3e212056p-9, 0x1.dabdf24953c27p-9, 0x1.cfcc8d0869294p-9, 0x1.c513e3a44f3e3p-9, 0x1.ba93dd9982107p-9, 0x1.b04b12e0571ap-9, 0x1.a637d1d79ee24p-9, 0x1.9c589188b6b8ap-9, 0x1.92abc26373483p-9, 0x1.892f6db92ed4dp-9, 0x1.7fe1232dbf79p-9, 0x1.76be45198a74ep-9, 0x1.6dc44a4f66f78p-9, 0x1.64f09d0c10956p-9, 0x1.5c40574cf51a5p-9, 0x1.53b0819f9a103p-9, 0x1.4b3f13603c374p-9, 0x1.42ec128d2fc1fp-9, 0x1.3ab9cdef9f6b4p-9, 0x1.32abd7e1b3803p-9, 0x1.2ac5829f40ff3p-9, 0x1.2308f0ddd416cp-9, 0x1.1b7716f3f7f05p-9, 0x1.14104c3147e61p-9, 0x1.0cd4f5065816bp-9, 0x1.05c5e70a837b5p-9, 0x1.fdc84a306d81bp-10, 0x1.f05fe96b1192dp-10, 0x1.e34fface87ca3p-10, 0x1.d6925483c232p-10, 0x1.ca1e9647a4ae8p-10, 0x1.bdebd342d7474p-10, 0x1.b1f1dc395c469p-10, 0x1.a62a368ef398bp-10, 0x1.9a90fca7decb9p-10, 0x1.8f257308e1b22p-10, 0x1.83e9def857546p-10, 0x1.78e25e434816ep-10, 0x1.6e12f4d7c1d51p-10, 0x1.637dd25b36274p-10, 0x1.59231a247bcc3p-10, 0x1.4f0237980259fp-10, 0x1.451b818ecd469p-10, 0x1.3b711ec890db1p-10, 0x1.32067eb2a5478p-10, 0x1.28de30da2a899p-10, 0x1.1ff7ae915bd4ep-10, 0x1.174f5cec9a9bbp-10, 0x1.0ee0c05cbdc69p-10, 0x1.06a8cadffae8p-10, 0x1.fd4d3e0473d46p-11, 0x1.edb5064fb034dp-11, 0x1.de8795f10b338p-11, 0x1.cfbe49c6cd8b3p-11, 0x1.c14cf87acb475p-11, 0x1.b32504b246401p-11, 0x1.a53ab3a701442p-11, 0x1.978b0faf392a6p-11, 0x1.8a1df70d822eap-11, 0x1.7d00b37e1bcbfp-11, 0x1.703c1f2946361p-11, 0x1.63ce62d385819p-11, 0x1.57af405f8485ep-11, 0x1.4bdbce0649b9fp-11, 0x1.405b263c340b5p-11, 0x1.3535ccefe381ap-11, 0x1.2a6bf5c09e753p-11, 0x1.1ff55f06952f9p-11, 0x1.15c75e73a98fbp-11, 0x1.0bd9ec8ffae7dp-11, 0x1.02298fad4c633p-11, 0x1.f16ea831d8f86p-12, 0x1.df0f21eb2ef15p-12, 0x1.cd3f10d5f2669p-12, 0x1.bc054a8b739c2p-12, 0x1.ab603ec9eeb99p-12, 0x1.9b41dc4b328d1p-12, 0x1.8b91d7acaecb5p-12, 0x1.7c3e593c9ba4ep-12, 0x1.6d4a7d5377e8dp-12, 0x1.5ec19bfc64eap-12, 0x1.509f99f070904p-12, 0x1.42d4d8cf3d69ep-12, 0x1.3562208928e8ep-12, 0x1.285c9fa09e2e4p-12, 0x1.1bd0323887d22p-12, 0x1.0fb0a96c25e4dp-12, 0x1.03ec9f2fb9eb3p-12, 0x1.f100d0fe9fde4p-13, 0x1.dae367288dc79p-13, 0x1.c582e52c85a05p-13, 0x1.b0d0eee956d32p-13, 0x1.9cbd1563950ecp-13, 0x1.89426c4650e3fp-13, 0x1.766912e6c58b4p-13, 0x1.643d5c3d48984p-13, 0x1.52c5bc5cf6f23p-13, 0x1.41fb9e12a1a4ep-13, 0x1.31c11b2b07b65p-13, 0x1.21e9a6ec61a05p-13, 0x1.126e3c12ecb74p-13, 0x1.037d179dfb548p-13, 0x1.ea67a45500091p-14, 0x1.cef8f2ae41182p-14, 0x1.b48ee8562d27bp-14, 0x1.9b4a09bf66bffp-14, 0x1.83231763b248p-14, 0x1.6bd01e57dda73p-14, 0x1.551c47b75f3a7p-14, 0x1.3f18309bc0dacp-14, 0x1.29ebc0dc7b9ecp-14, 0x1.15969375a1f41p-14, 0x1.01f7a4699598ep-14, 0x1.de0dad5025214p-15, 0x1.b9bb1f0e6d38p-15, 0x1.97156e789ea19p-15, 0x1.7609a67bb4fd8p-15, 0x1.567c6e74a1254p-15, 0x1.385da86cf3381p-15, 0x1.1ba88cf37042cp-15, 0x1.00579c262d6fp-15, 0x1.cc4f46333aaa2p-16, 0x1.997c0e0bbeb2fp-16, 0x1.68a2011ffe439p-16, 0x1.3a5ee38823212p-16, 0x1.0e169a7fb9947p-16, 0x1.c6fcbce08044cp-17, 0x1.76745a9fdc2aap-17, 0x1.2ac6e8e62bc05p-17, 0x1.c63a52dc304a9p-18, 0x1.3e031f6b7863p-18, 0x1.79ec4c6e713e9p-19, 0x1.0d9835869b7abp-20, -0x1.746b6d4afe89ap-21, -0x1.33015b0b7c59cp-19, -0x1.fdee6f8cd22c5p-19, -0x1.5fdff34a13b98p-18, -0x1.bb5b78514ceaap-18, -0x1.085b84e8e11ebp-17, -0x1.3081c90b52817p-17, -0x1.56650064dc353p-17, -0x1.796a999514a8fp-17, -0x1.994b3d1b13894p-17, -0x1.b6445c48c88p-17, -0x1.d07b1baa27b51p-17, -0x1.e8ac52f3d5b7fp-17, -0x1.ff6fef9c0c72cp-17, -0x1.0a22cbe47c909p-16, -0x1.13cbaaa567acep-16, -0x1.1caacb8971f8bp-16, -0x1.2456ba080ece3p-16, -0x1.2af494df14f8bp-16, -0x1.30c850bb2de45p-16, -0x1.35e4fa8d8640fp-16, -0x1.3a4a58fb214bap-16, -0x1.3df99625b8281p-16, -0x1.40f7dc3d4bd88p-16, -0x1.434c3ae2aebffp-16, -0x1.44fdadb4f3594p-16, -0x1.4611f5b68fbcp-16, -0x1.468e0f049102bp-16, -0x1.4677533efd989p-16, -0x1.45d2222f8fa27p-16, -0x1.449c0576d997dp-16, -0x1.42d0e7cd00213p-16, -0x1.4088117d2c995p-16, -0x1.3de8d756205e9p-16, -0x1.3af2f7979df35p-16, -0x1.3790cb58f82c5p-16, -0x1.33b7277c23c7dp-16, -0x1.2f811c07e2988p-16, -0x1.2af66695a965p-16, -0x1.26333e083f17cp-16, -0x1.212f46cfb3639p-16, -0x1.1bc8be06eca44p-16, -0x1.16209eaee5d27p-16, -0x1.1048d5b3a542ap-16, -0x1.0a401e0d0a83bp-16, -0x1.04050b1184c0cp-16, -0x1.fb32791278158p-17, -0x1.edfff5be0ea38p-17, -0x1.e07a2a92bc4a6p-17, -0x1.d2a8a3354b38ap-17, -0x1.c4925bcc30e48p-17, -0x1.b63da45401394p-17, -0x1.a7b065c755e08p-17, -0x1.98f0b66a57efp-17, -0x1.8a05632fb19bap-17, -0x1.7af5e04dea8c1p-17, -0x1.6bc949fff5409p-17, -0x1.5c84fea9802ecp-17, -0x1.4d2d974226debp-17, -0x1.3dcb10242edfep-17, -0x1.2e633c977882dp-17, -0x1.1ee279a30b55p-17, -0x1.0f3eb34c75382p-17, -0x1.ff49b9445352p-18, -0x1.e03b1c972ff47p-18, -0x1.c139b367a0d91p-18, -0x1.a2417593d597dp-18, -0x1.838d18a44c4a7p-18, -0x1.650955a4ada81p-18, -0x1.46953dc1af826p-18, -0x1.284b30459b504p-18, -0x1.0a41c3c25b9b3p-18, -0x1.d8fa765881be3p-19, -0x1.9dfccc0502e4fp-19, -0x1.638f5fcee3916p-19, -0x1.29b98d1546fb9p-19, -0x1.e106e460bdd91p-20, -0x1.6fe9fb892aaf5p-20, -0x1.002b5e968f801p-20, -0x1.23b3259c93dc7p-21, -0x1.281a05601c15bp-23, 0x1.1922c560cdf54p-22, 0x1.5ff7b733d237ep-21, 0x1.1809e4a4bcd74p-20, 0x1.7e6a050709262p-20, 0x1.e314dce77d864p-20, 0x1.22fed2915e176p-19, 0x1.538b71d6c57c5p-19, 0x1.833d607acdfa1p-19, 0x1.b216360e5228fp-19, 0x1.dfe5e695d4185p-19, 0x1.06601ce2b5013p-18, 0x1.1c5c749118cap-18, 0x1.31dc4fdaa7d23p-18, 0x1.46ddf22c60b21p-18, 0x1.5b621257198e3p-18, 0x1.6f68580aafbafp-18, 0x1.82f0f6a982ee8p-18, 0x1.95fe4d481060dp-18, 0x1.a88fa7fd21717p-18, 0x1.ba9ea29dfc143p-18, 0x1.cc2b09f853258p-18, 0x1.dd3a8dfc882f7p-18, 0x1.edccdd59f2dd5p-18, 0x1.fddf7c30d527p-18, 0x1.06b94e0d5ff51p-17, 0x1.0e4389c0830a6p-17, 0x1.158ec3eb59987p-17, 0x1.1c9b417128628p-17, 0x1.2369481fff721p-17, 0x1.29f9251cc0ea1p-17, 0x1.304b303d03754p-17, 0x1.365fcf63f6dc2p-17, 0x1.3c3774aa6ab53p-17, 0x1.41d28ef452e72p-17, 0x1.47317eb39e192p-17, 0x1.4c54e52d657f7p-17, 0x1.513d80c8f3fbp-17, 0x1.55eb40be4ab26p-17, 0x1.5a5f4e94113f8p-17, 0x1.5e9a12a784c91p-17, 0x1.629c094085b81p-17, 0x1.6665e8ecb92ddp-17, 0x1.69f86050e00d9p-17, 0x1.6d541c20800c1p-17, 0x1.7079cbb9f7b55p-17, 0x1.736a21e2f3ddap-17, 0x1.7625d58575304p-17, 0x1.78ada1eb06381p-17, 0x1.7b0245a04e9e1p-17, 0x1.7d248447ede2cp-17, 0x1.7f15210ed2ce2p-17, 0x1.80d4e2d702d5bp-17, 0x1.82648de772241p-17, 0x1.83c4f0e9df28cp-17, 0x1.84f6ca1a641b9p-17, 0x1.85fac9f5d31aep-17, 0x1.86d2046e8e2cp-17, 0x1.877d27ae9ba4ap-17, 0x1.87fcd88899f9ep-17, 0x1.885227b7f9d82p-17, 0x1.887de972d3822p-17, 0x1.8880d6e6588c6p-17, 0x1.885bb193f53aep-17, 0x1.880f61fab9036p-17, 0x1.879ce8c9149bdp-17, 0x1.8704b6e9e4659p-17, 0x1.8647d789cf35p-17, 0x1.8566c77e2945ep-17, 0x1.8462c9a3ad27p-17, 0x1.833caa84a07a9p-17, 0x1.81f51a4536c21p-17, 0x1.808ce23f5d4eap-17, 0x1.7f04d0c6d94a2p-17, 0x1.7d5db380282a2p-17, 0x1.7b9856dda41c4p-17, 0x1.79b58649a59b3p-17, 0x1.77b60c3d19551p-17, 0x1.759ab2107bab8p-17, 0x1.73643fd4a0327p-17, 0x1.71137c2a198a5p-17, 0x1.6ea92c01fb79fp-17, 0x1.6c2611ffde72p-17, 0x1.698aed644cac8p-17, 0x1.66d8793dd8a3ap-17, 0x1.640f6db08958p-17, 0x1.6130838bb129p-17, 0x1.5e3c76ef327d1p-17, 0x1.5b340665a869p-17, 0x1.5817f05534c83p-17, 0x1.54e8ef4195d5cp-17, 0x1.51a7af6e390fp-17, 0x1.4e54c1b1271dbp-17, 0x1.4af0c0b8b26c2p-17, 0x1.477cab8b076bbp-17, 0x1.43f9677118a66p-17, 0x1.4067783b347b6p-17, 0x1.3cc6377b6d00bp-17, 0x1.3915c5ff8f3bdp-17, 0x1.355950a4c64bfp-17, 0x1.31912b47b1344p-17, 0x1.2dbd34c3dbdc6p-17, 0x1.29dde7b2367ffp-17, 0x1.25f3de52ac87dp-17, 0x1.21ffb38e99021p-17, 0x1.1e01f685105ccp-17, 0x1.19fb3da6143c8p-17, 0x1.15ec14b6b0deap-17, 0x1.11d5070d7dce1p-17, 0x1.0db69d2fb2eeep-17, 0x1.0991569e137efp-17, 0x1.0565be398c144p-17, 0x1.013462fe34c96p-17, 0x1.f9fb526f2d62bp-18, 0x1.f1842ffc001fbp-18, 0x1.e9044e0545d41p-18, 0x1.e07c94a5cbe8ap-18, 0x1.d7ede86f0b756p-18, 0x1.cf592edb3c445p-18, 0x1.c6bf4f72be84ap-18, 0x1.be2123bedf2a6p-18, 0x1.b57f8f188435ap-18, 0x1.acdb6f8986871p-18, 0x1.a4359833a8452p-18, 0x1.9b8eaacd214a6p-18, 0x1.92e72801fe3abp-18, 0x1.8a3fd740a643p-18, 0x1.8199e9ea9055dp-18, 0x1.78f7f4e09d0d2p-18, 0x1.7057f4d95f6c5p-18, 0x1.67b77852d4ab4p-18, 0x1.5f1d3fe22613cp-18, 0x1.5688568b260a8p-18, 0x1.4df897c530262p-18, 0x1.456e89698c966p-18, 0x1.3ceaaea35a271p-18, 0x1.346dcac4bded8p-18, 0x1.2bf971c528d2p-18, 0x1.238ee6c9aabfdp-18, 0x1.1b2aeb1d256cdp-18, 0x1.12cd566a9bc87p-18, 0x1.0a7b070422386p-18, 0x1.02341ca9b0526p-18, 0x1.f3effe30019b5p-19, 0x1.e38dddd78782fp-19, 0x1.d342c3589c594p-19, 0x1.c30fa0b37faf7p-19, 0x1.b2f5565279848p-19, 0x1.a2f4b5f59b048p-19, 0x1.930e855a9e71cp-19, 0x1.834383a8ac729p-19, 0x1.73946e561945ep-19, 0x1.6401fee2a2663p-19, 0x1.548ce69b3672bp-19, 0x1.4535cfd44d609p-19, 0x1.35fd63d55dfd9p-19, 0x1.26e44b0e2b56dp-19, 0x1.17eb0b4a9684p-19, 0x1.0911eaf27d8e7p-19, 0x1.f4b2b6505e11ep-20, 0x1.d78416fcc86c2p-20, 0x1.ba9a42e11ba7p-20, 0x1.9dfbe983ac544p-20, 0x1.8198bf57f8888p-20, 0x1.657beec1f0a05p-20, 0x1.49aa936f78b15p-20, 0x1.2e210e9aa3fbbp-20, 0x1.12dff1349877dp-20, 0x1.efd0237df60d7p-21, 0x1.ba744e4d6159ap-21, 0x1.85ada56fbedc3p-21, 0x1.517d4db78b033p-21, 0x1.1de453ab4dd0bp-21, 0x1.d5c75da96d186p-22, 0x1.70f8957d725d2p-22, 0x1.0d5d4a012ea7bp-22, 0x1.55f2076e3beefp-23, 0x1.272c486ec268ap-24, -0x1.629fb4ff820d9p-26, -0x1.d3944b1b30f6ap-24, -0x1.a4caefb54580fp-23, -0x1.2eab145a06fc7p-22, -0x1.89b5cdef11c32p-22, }}, 
      {{0x1.03df297b1ec78p-8, 0x1.0bbe6aefac76cp-7, 0x1.a4e41f60a7697p-7, 0x1.2992f1d6aca16p-6, 0x1.8ce0308d874b8p-6, 0x1.fcb067fccad29p-6, 0x1.3c27715da1a48p-5, 0x1.7f262e7ffccafp-5, 0x1.c664cf308db78p-5, 0x1.086c5093980b5p-4, 0x1.2eb7f4a1f6c1ap-4, 0x1.558f69cded515p-4, 0x1.7c73b6cc18c63p-4, 0x1.a2ef3ad88d3a8p-4, 0x1.c8971ea35c62cp-4, 0x1.ed0c2e35ca45ep-4, 0x1.07fda7ba5f3aap-3, 0x1.188ed6a9adafp-3, 0x1.281c50dc44875p-3, 0x1.368eb1b3626c2p-3, 0x1.43d43eb2a42dbp-3, 0x1.4fe08bad179cap-3, 0x1.5aac0c23a6bafp-3, 0x1.643397323e24cp-3, 0x1.6c77e39568edep-3, 0x1.737d010d017a6p-3, 0x1.7949d3bf91b9dp-3, 0x1.7de7956dab784p-3, 0x1.81615f4d0255fp-3, 0x1.83c3be70b4d71p-3, 0x1.851c53e60c68ap-3, 0x1.857980e23532p-3, 0x1.84ea1ebdd7541p-3, 0x1.837d424b537d9p-3, 0x1.814209ba30592p-3, 0x1.7e4773c3f6c5ap-3, 0x1.7a9c3efc492cap-3, 0x1.764ed064c79d1p-3, 0x1.716d202d0c116p-3, 0x1.6c04ab518821cp-3, 0x1.662269245edafp-3, 0x1.5fd2c438f9ca5p-3, 0x1.5921962860884p-3, 0x1.521a257386cb4p-3, 0x1.4ac724dc6643bp-3, 0x1.4332b3dd8675p-3, 0x1.3b66601f1ec2bp-3, 0x1.336b27c921368p-3, 0x1.2b497c7b8fb95p-3, 0x1.230946b1e3afap-3, 0x1.1ab1e969bc551p-3, 0x1.124a45fe33597p-3, 0x1.09d8c0375c993p-3, 0x1.0163428e4643fp-3, 0x1.f1de853fd0f35p-4, 0x1.e1038b87d9fafp-4, 0x1.d03ecb764896ep-4, 0x1.bf98aad609996p-4, 0x1.af18cb3dda4c7p-4, 0x1.9ec6139531447p-4, 0x1.8ea6b99409767p-4, 0x1.7ec04b3677b36p-4, 0x1.6f17b81ae611dp-4, 0x1.5fb15ac11db94p-4, 0x1.5091019f9f7eep-4, 0x1.41b9f8052af27p-4, 0x1.332f0ebdbb94cp-4, 0x1.24f2a47372018p-4, 0x1.1706adc5aa56bp-4, 0x1.096cbd117df2p-4, 0x1.f84c13d0914bap-5, 0x1.de66f061a992ep-5, 0x1.c52b3de17271bp-5, 0x1.ac999d789488ap-5, 0x1.94b22f990e4bcp-5, 0x1.7d749f78df3cdp-5, 0x1.66e02de180c94p-5, 0x1.50f3bb5a7ddfbp-5, 0x1.3badd1b91532fp-5, 0x1.270cad16676e4p-5, 0x1.130e44335ced9p-5, 0x1.ff60a08cbc659p-6, 0x1.d9e0a86aa42aep-6, 0x1.b5974683c0d36p-6, 0x1.927ece4a906ccp-6, 0x1.70914b745542ep-6, 0x1.4fc88c55a6d8fp-6, 0x1.301e2b95b82efp-6, 0x1.118b99319acfcp-6, 0x1.e814459c74812p-7, 0x1.af25f7493d901p-7, 0x1.783e86f62c2f9p-7, 0x1.43501aa86bb2fp-7, 0x1.104cca5685fcp-7, 0x1.be4d54b93c275p-8, 0x1.5f9faa01ebadap-8, 0x1.0474e4cdf6425p-8, 0x1.5963020fa14b1p-9, 0x1.60e8cdd9f714ep-10, 0x1.bcfdb1610d17ap-14, -0x1.1cefa1d2f5c64p-10, -0x1.24df824b70f57p-9, -0x1.b58306a05ff52p-9, -0x1.204aaf8c5ec78p-8, -0x1.63244f0d922bfp-8, -0x1.a366ed1c1f876p-8, -0x1.e12a91c252ee7p-8, -0x1.0e435e9313174p-7, -0x1.2ac9322517444p-7, -0x1.4631f711e7d3ap-7, -0x1.608898b984a0fp-7, -0x1.79d7b99feb9c6p-7, -0x1.9229b2b443b88p-7, -0x1.a98892dee8919p-7, -0x1.bffe1ebc358c1p-7, -0x1.d593d061722e4p-7, -0x1.ea52d75e06578p-7, -0x1.fe4418f63f163p-7, -0x1.08b81832cd187p-6, -0x1.11efb7b109f1ep-6, -0x1.1accef705bc89p-6, -0x1.23539feb9cef8p-6, -0x1.2b87861b4b5afp-6, -0x1.336c3c1077f8ap-6, -0x1.3b053988be2e2p-6, -0x1.4255d4921bd74p-6, -0x1.496142478d7e1p-6, -0x1.502a97868a9cep-6, -0x1.56b4c9a4fc523p-6, -0x1.5d02af3891f99p-6, -0x1.631700e039f14p-6, -0x1.68f45a01524c5p-6, -0x1.6e9d398c55a86p-6, -0x1.741402ce1d7f6p-6, -0x1.795afe3452791p-6, -0x1.7e745a0cbf2ccp-6, -0x1.83622b529078fp-6, -0x1.88266e7927cb1p-6, -0x1.8cc3082ba6e15p-6, -0x1.9139c60fb660fp-6, -0x1.958c5f8c237a2p-6, -0x1.99bc768ba5cacp-6, -0x1.9dcb9838ec086p-6, -0x1.a1bb3db6c2226p-6, -0x1.a58cccdb5e84fp-6, -0x1.a94198eb3a8cap-6, -0x1.acdae3460a0e6p-6, -0x1.b059dc0ee63c4p-6, -0x1.b3bfa2dc7de6fp-6, -0x1.b70d476292db5p-6, -0x1.ba43ca0c0b913p-6, -0x1.bd641c9604fddp-6, -0x1.c06f22adcd9b8p-6, -0x1.c365b2848d639p-6, -0x1.c648955b936c2p-6, -0x1.c91888111c8ddp-6, -0x1.cbd63ba6f497fp-6, -0x1.ce8255c2f868p-6, -0x1.d11d71311296bp-6, -0x1.d3a81e5f861a4p-6, -0x1.d622e3cf719c3p-6, -0x1.d88e3e85e965ap-6, -0x1.daeaa28222e56p-6, -0x1.dd387b2a82c83p-6, -0x1.df782bac508dfp-6, -0x1.e1aa0f5e659ecp-6, -0x1.e3ce7a296a87p-6, -0x1.e5e5b8e734b32p-6, -0x1.e7f011b6fa7e2p-6, -0x1.e9edc45381e7cp-6, -0x1.ebdf0a6c1334p-6, -0x1.edc417f64b952p-6, -0x1.ef9d1b7930fbep-6, -0x1.f16a3e59c29abp-6, -0x1.f32ba526e1ed8p-6, -0x1.f4e16fddf7e9ap-6, -0x1.f68bba2b37cbep-6, -0x1.f82a9bad73fdcp-6, -0x1.f9be2839c1043p-6, -0x1.fb46701629728p-6, -0x1.fcc3802e3c6b8p-6, -0x1.fe35624b835fp-6, -0x1.ff9c1d51d4754p-6, -0x1.007bdabaa99ap-5, -0x1.01241633718f5p-5, -0x1.01c6c0c02ee9p-5, -0x1.0263d8fb47c96p-5, -0x1.02fb5c85538f7p-5, -0x1.038d4819d9378p-5, -0x1.041997a13d287p-5, -0x1.04a0464418b28p-5, -0x1.05214e8064745p-5, -0x1.059caa3ccfd9fp-5, -0x1.061252d89d098p-5, -0x1.0682413aad39ap-5, -0x1.06ec6de244215p-5, -0x1.0750d0f89bb2ep-5, -0x1.07af625ffe2abp-5, -0x1.080819bfdbd2ap-5, -0x1.085aee90cdc4ep-5, -0x1.08a7d82aceccfp-5, -0x1.08eecdd408c34p-5, -0x1.092fc6cd1e088p-5, -0x1.096aba5a6319p-5, -0x1.099f9fcca7e2fp-5, -0x1.09ce6e8c4222ap-5, -0x1.09f71e259524dp-5, -0x1.0a19a653e7b67p-5, -0x1.0a35ff08d93f2p-5, -0x1.0a4c2072672ebp-5, -0x1.0a5c030251e85p-5, -0x1.0a659f77bf2f5p-5, -0x1.0a68eee8ed1d4p-5, -0x1.0a65eaca64bccp-5, -0x1.0a5c8cf350cfp-5, -0x1.0a4ccfa1980c9p-5, -0x1.0a36ad7fe77fcp-5, -0x1.0a1a21ad6044dp-5, -0x1.09f727c48c389p-5, -0x1.09cdbbdfdb711p-5, -0x1.099dda9bf0e0ap-5, -0x1.0967811a21a24p-5, -0x1.092aad04cc192p-5, -0x1.08e75c9500d52p-5, -0x1.089d8e9763443p-5, -0x1.084d426eac29cp-5, -0x1.07f678146bd6dp-5, -0x1.07993019eedc4p-5, -0x1.07356baab1078p-5, -0x1.06cb2c901302ap-5, -0x1.065a7534a991ep-5, -0x1.05e348a59932ap-5, -0x1.0565aa921dc6dp-5, -0x1.04e19f4ac58ccp-5, -0x1.04572bc1e26a2p-5, -0x1.03c6558d5898dp-5, -0x1.032f22e88a874p-5, -0x1.02919ab51ab6ap-5, -0x1.01edc479d1e6ap-5, -0x1.0143a86094f3p-5, -0x1.00934f34c6008p-5, -0x1.ffb984c5cc638p-6, -0x1.fe4017f236b4ap-6, -0x1.fcba6d4eaf824p-6, -0x1.fb289b7c61a3p-6, -0x1.f98aba58baafbp-6, -0x1.f7e0e2f761b73p-6, -0x1.f62b2f9d2f7eep-6, -0x1.f469bbbd20029p-6, -0x1.f29ca3f69edf4p-6, -0x1.f0c4061313a2ep-6, -0x1.eee001015e57dp-6, -0x1.ecf0b4cf2826bp-6, -0x1.eaf642a157b7p-6, -0x1.e8f0ccad2f26ep-6, -0x1.e6e07632f1f6ap-6, -0x1.e4c563799bfcp-6, -0x1.e29fb9ca7ac81p-6, -0x1.e06f9f6b6b6d5p-6, -0x1.de353b9774e06p-6, -0x1.dbf0b67631a6p-6, -0x1.d9a2391394fcp-6, -0x1.d749ed5853f8p-6, -0x1.d4e7fe03a06a8p-6, -0x1.d27c96a520fb9p-6, -0x1.d007e3967ce82p-6, -0x1.cd8a11f3b7c23p-6, -0x1.cb034f929631dp-6, -0x1.c873caf984c0ap-6, -0x1.c5dbb356c232cp-6, -0x1.c33b387856a67p-6, -0x1.c0928ac4b7ce2p-6, -0x1.bde1db33a8fb9p-6, -0x1.bb295b46bb76ep-6, -0x1.b8693d0113a78p-6, -0x1.b5a1b2de88df5p-6, -0x1.b2d2efca9112dp-6, -0x1.affd2717496bep-6, -0x1.ad208c7524398p-6, -0x1.aa3d53eb028a3p-6, -0x1.a753b1cea9f4ep-6, -0x1.a463dabd09d45p-6, -0x1.a16e03923e5c5p-6, -0x1.9e726161188a5p-6, -0x1.9b71296a817e5p-6, -0x1.986a9114e9c9fp-6, -0x1.955ecde41386dp-6, -0x1.924e157144915p-6, -0x1.8f389d63cf51fp-6, -0x1.8c1e9b69c9433p-6, -0x1.890045309ac45p-6, -0x1.85ddd05d7d53cp-6, -0x1.82b77285cedd6p-6, -0x1.7f8d61275b2e8p-6, -0x1.7c5fd1a0de693p-6, -0x1.792ef92ac99dcp-6, -0x1.75fb0cd061765p-6, -0x1.72c441693207bp-6, -0x1.6f8acb9242996p-6, -0x1.6c4edfa84a463p-6, -0x1.6910b1c0b1cdap-6, -0x1.65d075a350944p-6, -0x1.628e5ec41e612p-6, -0x1.5f4aa03cfdbcap-6, -0x1.5c056cc7ce15ep-6, -0x1.58bef6b8d475fp-6, -0x1.55776ff958f99p-6, -0x1.522f0a028aa9dp-6, -0x1.4ee5f5d85c4a9p-6, -0x1.4b9c640489fa4p-6, -0x1.485284919226p-6, -0x1.45088705d8b75p-6, -0x1.41be9a5eec08p-6, -0x1.3e74ed0d0eccap-6, -0x1.3b2bacef0dfe7p-6, -0x1.37e3074e723fcp-6, -0x1.349b28dbe6bbbp-6, -0x1.31543dabcd0ebp-6, -0x1.2e0e7132e15edp-6, -0x1.2ac9ee42cfac9p-6, -0x1.2786df06d736ep-6, -0x1.24456d006bc28p-6, -0x1.2105c1040dc5p-6, -0x1.1dc8033666d1p-6, -0x1.1a8c5b09ccc03p-6, -0x1.1752ef3c2c4e1p-6, -0x1.141be5d55095dp-6, -0x1.10e764255deecp-6, -0x1.0db58ec36d272p-6, -0x1.0a86898bf6317p-6, -0x1.075a779f2013ep-6, -0x1.04317b5eee5cep-6, -0x1.010bb66d5e686p-6, -0x1.fbd2935593363p-7, -0x1.f594aa68d2c9fp-7, -0x1.ef5df0c725d95p-7, -0x1.e92ea39a9b047p-7, -0x1.e306fe84e7639p-7, -0x1.dce73ba097ed9p-7, -0x1.d6cf9380c9b14p-7, -0x1.d0c03d343df69p-7, -0x1.cab96e4359f6p-7, -0x1.c4bb5ab108067p-7, -0x1.bec634f9b778cp-7, -0x1.b8da2e12583aap-7, -0x1.b2f77567989edp-7, -0x1.ad1e38dda0671p-7, -0x1.a74ea4d09c187p-7, -0x1.a188e4165ef9p-7, -0x1.9bcd2001069ap-7, -0x1.961b8062b7dbcp-7, -0x1.90742b92269acp-7, -0x1.8ad7466f8b23cp-7, -0x1.8544f469cff29p-7, -0x1.7fbd57831526fp-7, -0x1.7a409054380d2p-7, -0x1.74cebe0ec2836p-7, -0x1.6f67fe7d1c3cp-7, -0x1.6a0c6e01416a1p-7, -0x1.64bc2792b02cbp-7, -0x1.5f7744bce14efp-7, -0x1.5a3ddd9fa964p-7, -0x1.551008f2f191cp-7, -0x1.4feddc0ea22fdp-7, -0x1.4ad76af678db3p-7, -0x1.45ccc868c33e1p-7, -0x1.40ce05ed7cebbp-7, -0x1.3bdb33e327fcfp-7, -0x1.36f461865c34ap-7, -0x1.32199cf275a73p-7, -0x1.2d4af31af7fp-7, -0x1.28886fbf93625p-7, -0x1.23d21d5e40753p-7, -0x1.1f280528311c7p-7, -0x1.1a8a2efe10d04p-7, -0x1.15f8a177206d7p-7, -0x1.117361f3f9704p-7, -0x1.0cfa74bb2c539p-7, -0x1.088ddd19ee90cp-7, -0x1.042d9d84cc6c1p-7, -0x1.ffb36f5a1280dp-8, -0x1.f7245913484fbp-8, -0x1.eeadf89e09defp-8, -0x1.e6504cb038da7p-8, -0x1.de0b520cc2261p-8, -0x1.d5df0341fe502p-8, -0x1.cdcb58790974dp-8, -0x1.c5d04765faf34p-8, -0x1.bdedc36195cf8p-8, -0x1.b623bdab95a3p-8, -0x1.ae7225cae94dbp-8, -0x1.a6d8e9f93865bp-8, -0x1.9f57f78319af7p-8, -0x1.97ef3b0836f52p-8, -0x1.909ea08d243d7p-8, -0x1.8966135b43097p-8, -0x1.82457db6afa45p-8, -0x1.7b3cc87c85645p-8, -0x1.744bdac1a6edep-8, -0x1.6d72998ab82f7p-8, -0x1.66b0e7b0936e5p-8, -0x1.6006a5f9b46a5p-8, -0x1.5973b36584e61p-8, -0x1.52f7ed9a42137p-8, -0x1.4c93315f38b65p-8, -0x1.46455b0ab9346p-8, -0x1.400e46ced7f13p-8, -0x1.39edd0d77d1dp-8, -0x1.33e3d535d3b78p-8, -0x1.2df02f9f9ca3dp-8, -0x1.2812bb1119b0bp-8, -0x1.224b5167a5704p-8, -0x1.1c99cb0da54d7p-8, -0x1.16fdfecde200dp-8, -0x1.1177c1dbc898dp-8, -0x1.0c06e80f76636p-8, -0x1.06ab4445ea545p-8, -0x1.0164a8cad1637p-8, -0x1.f865cf641009cp-9, -0x1.ee2ba61d75819p-9, -0x1.e41a7a0b15a34p-9, -0x1.da31ef81dde71p-9, -0x1.d071aab2c819fp-9, -0x1.c6d94f6e556bap-9, -0x1.bd6880ccc8d8ep-9, -0x1.b41ee0cd132e7p-9, -0x1.aafc0fe9f0da5p-9, -0x1.a1ffacc53516dp-9, -0x1.9929542138f28p-9, -0x1.9078a13a588fap-9, -0x1.87ed2e9171d39p-9, -0x1.7f8696cad323dp-9, -0x1.7744754dd49e7p-9, -0x1.6f266658b389dp-9, -0x1.672c068097c56p-9, -0x1.5f54f1e7c93f1p-9, -0x1.57a0c3a07e097p-9, -0x1.500f159bf536bp-9, -0x1.489f813165748p-9, -0x1.41519fea51cb6p-9, -0x1.3a250c0ecfa21p-9, -0x1.331960938e509p-9, -0x1.2c2e387253494p-9, -0x1.25632de27ab6ep-9, -0x1.1eb7da0d3ede8p-9, -0x1.182bd59766fbp-9, -0x1.11beb9cf193f5p-9, -0x1.0b7021e3c8b9ap-9, -0x1.053fab350182bp-9, -0x1.fe59e9330471cp-10, -0x1.f26f39414f1e8p-10, -0x1.e6be7faeb149cp-10, -0x1.db46f007462acp-10, -0x1.d007b9b56aaaap-10, -0x1.c5000c0bb7559p-10, -0x1.ba2f1aadcdd34p-10, -0x1.af94202a049b7p-10, -0x1.a52e5d6d8d989p-10, -0x1.9afd1671d5dadp-10, -0x1.90ff8e342c3cp-10, -0x1.8735046360814p-10, -0x1.7d9cb62890913p-10, -0x1.7435e19478b71p-10, -0x1.6affc99b5751ep-10, -0x1.61f9b82049cbp-10, -0x1.5922fc9d64d7fp-10, -0x1.507ae7e2929ffp-10, -0x1.4800c7192d308p-10, -0x1.3fb3e0b9662d6p-10, -0x1.3793752e4d408p-10, -0x1.2f9ec2d541834p-10, -0x1.27d50b63ae985p-10, -0x1.203597f6c0889p-10, -0x1.18bfb9f03612p-10, -0x1.1172c87ab155dp-10, -0x1.0a4e1c4e0c5c1p-10, -0x1.03510c2ab86b9p-10, -0x1.f8f5d81f155aap-11, -0x1.eb961f16c5a39p-11, -0x1.de819b4c4f7dep-11, -0x1.d1b707d3c6dddp-11, -0x1.c5352d9676e7ap-11, -0x1.b8fadf08c3dep-11, -0x1.ad06f1ea7a7d1p-11, -0x1.a1583a812ac2dp-11, -0x1.95ed89a239ee3p-11, -0x1.8ac5acab14ed3p-11, -0x1.7fdf6e09e274cp-11, -0x1.753996154a218p-11, -0x1.6ad2ecdcb09b3p-11, -0x1.60aa3ce700c1bp-11, -0x1.56be553f38684p-11, -0x1.4d0e0903507e2p-11, -0x1.43982d2bce18ep-11, -0x1.3a5b97e487762p-11, -0x1.3157243eb97ddp-11, -0x1.2889b8a153662p-11, -0x1.1ff24a840e80cp-11, -0x1.178fdb6862f83p-11, -0x1.0f617153adfa6p-11, -0x1.0766123098781p-11, -0x1.ff398f2479d63p-12, -0x1.f009503896423p-12, -0x1.e139b9e13bep-12, -0x1.d2c9364d010a7p-12, -0x1.c4b6263c6a9afp-12, -0x1.b6fec1e698cc1p-12, -0x1.a9a112c748dabp-12, -0x1.9c9b09197954bp-12, -0x1.8fea99d4e72d2p-12, -0x1.838dce6925d6fp-12, -0x1.7782bfff707b2p-12, -0x1.6bc78b8017b3dp-12, -0x1.605a4f121fc49p-12, -0x1.55393612aa05cp-12, -0x1.4a6286d778c0dp-12, -0x1.3fd4a39d18783p-12, -0x1.358dfd44e8bf6p-12, -0x1.2b8d08590ce3bp-12, -0x1.21d045c64c687p-12, -0x1.18565c4968894p-12, -0x1.0f1e292f31084p-12, -0x1.0626b04b0722ap-12, -0x1.faddddd75082ap-13, -0x1.e9eb637caecd2p-13, -0x1.d9731877110fap-13, -0x1.c971e4a6da987p-13, -0x1.b9e4b57ba4d22p-13, -0x1.aac8a5118c095p-13, -0x1.9c1afcb6ca534p-13, -0x1.8dd922efb1b39p-13, -0x1.800081ec79189p-13, -0x1.728e6f00ac8edp-13, -0x1.65801e614c191p-13, -0x1.58d2abaa924fdp-13, -0x1.4c8333770e55cp-13, -0x1.408ef54286c18p-13, -0x1.34f379521fbb4p-13, -0x1.29aeb42f8f59p-13, -0x1.1ebf11a1197ap-13, -0x1.14234c8f7392fp-13, -0x1.09da1d7534802p-13, -0x1.ffc3e9293a726p-14, -0x1.ec71e059c235ep-14, -0x1.d9ba0efb04964p-14, -0x1.c7986d17a7adp-14, -0x1.b6090ac530f4ep-14, -0x1.a507fc6c73145p-14, -0x1.94916967b0d7ap-14, -0x1.84a1b9331ddd1p-14, -0x1.7535a4b2c5e85p-14, -0x1.664a0fab0db4ap-14, -0x1.57dbc67754727p-14, -0x1.49e7508bfab2p-14, -0x1.3c68ed6892473p-14, -0x1.2f5ca931ab86ep-14, -0x1.22be79ed69c68p-14, -0x1.168a80ed44f95p-14, -0x1.0abd7cd724804p-14, -0x1.feaa2aeb164c1p-15, -0x1.e89f1e59b9f81p-15, -0x1.d3561a4dde179p-15, -0x1.beca3e54dd171p-15, -0x1.aaf6107973603p-15, -0x1.97d495d16d125p-15, -0x1.8561842099349p-15, -0x1.7398890281b66p-15, -0x1.6274cfce838c2p-15, -0x1.51f1398257557p-15, -0x1.4208c599a3775p-15, -0x1.32b6cbe128be5p-15, -0x1.23f6fdcfcf9cbp-15, -0x1.15c5378af097dp-15, -0x1.081d49294ea53p-15, -0x1.f5f5ebb628bbdp-16, -0x1.dcb45cc292ce7p-16, -0x1.c46e738933cfdp-16, -0x1.ad1d110ecf0f7p-16, -0x1.96b8c2ca7c928p-16, -0x1.81399fa0a780bp-16, -0x1.6c978b7a89bc4p-16, -0x1.58ca420a0fdbfp-16, -0x1.45c9b387699c9p-16, -0x1.338f39d736d87p-16, -0x1.22160b6452613p-16, -0x1.1159ac3f29533p-16, -0x1.01545c088645ep-16, -0x1.e3ff6283c1b6ep-17, -0x1.c6abdf10a3471p-17, -0x1.aaa3f2a3f6485p-17, -0x1.8fdd340bc1a3dp-17, -0x1.764cf80c52b1ap-17, -0x1.5de8f7911a625p-17, -0x1.46a71b9958f13p-17, -0x1.307cb6be000fap-17, -0x1.1b5e92cf2adc2p-17, -0x1.07423770ae46fp-17, -0x1.e83ec5da917c1p-18, -0x1.c3e03dbff6abap-18, -0x1.a15d6dfcea0a4p-18, -0x1.80a68a8aa89fbp-18, -0x1.61a6d5e715588p-18, -0x1.44478cded8d85p-18, -0x1.28733341b01bep-18, -0x1.0e1a8f9935773p-18, -0x1.ea6c877ad7083p-19, -0x1.bb7e5f37784f8p-19, -0x1.8f5018ff03757p-19, -0x1.65c195a23171ap-19, -0x1.3eb52df3c6fb5p-19, -0x1.1a0cd4ae0e57bp-19, -0x1.ef52a5cf9f6d7p-20, -0x1.aedfd544f6f4ep-20, -0x1.729bcf5c7a146p-20, -0x1.3a69fffd7d897p-20, -0x1.06285bb751d12p-20, -0x1.ab54e714bd3aep-21, -0x1.51821a7f01f37p-21, -0x1.fd05192124a9dp-22, -0x1.64192cb985789p-22, -0x1.af9383a67cd3ap-23, -0x1.5ebe2dd21b71ep-24, 0x1.cb7b64bcd0262p-26, 0x1.0c3bedcbdbfccp-23, 0x1.ca82dfb61b79ep-23, 0x1.3ac7ef3cef44p-22, 0x1.8725f4c111e8p-22, 0x1.ca8e4ad8e9908p-22, 0x1.02a04d176dffep-21, 0x1.1be2bee645e54p-21, 0x1.3151976ae8f06p-21, 0x1.4318972918b93p-21, 0x1.5164d0ef57fc2p-21, 0x1.5c66897620a49p-21, 0x1.64495758aac5dp-21, 0x1.69370b623ab2p-21, 0x1.6b5d8085b82b1p-21, 0x1.6aeee8f4c3bd3p-21, 0x1.681d35a0a96c9p-21, 0x1.631613be8f9c9p-21, 0x1.5bfb226627347p-21, 0x1.52e27131952p-21, 0x1.47e42ec8137b6p-21, 0x1.3b227412b9c8bp-21, 0x1.2cbd9a082e1edp-21, 0x1.1ccff73c94bcep-21, 0x1.0b7c1a97e3804p-21, 0x1.f1d809173c12fp-22, 0x1.ca80002571676p-22, 0x1.a11e64fca641ap-22, 0x1.75d808f3378eep-22, 0x1.48cee51143112p-22, 0x1.1a3e148500153p-22, 0x1.d4a7eb2c4bbcep-23, 0x1.7254bafa6a965p-23, 0x1.0dd2da8dc085ep-23, 0x1.4ef1982e77c5ap-24, 0x1.fc89407b1b72ep-26, -0x1.4cf1eaa70d381p-26, -0x1.27a0ff2d2a2c8p-24, -0x1.fd8d164e02fdp-24, -0x1.6a387b206b82fp-23, -0x1.d5fff1cc10edfp-23, -0x1.20f145ae49de1p-22, -0x1.56dd7f99159ap-22, -0x1.8cade8de5181fp-22, -0x1.c248fd9501795p-22, -0x1.f793cb3331538p-22, -0x1.163b623ebe591p-21, -0x1.306f466a323eep-21, -0x1.4a5c795479e5ep-21, -0x1.63f9e3f24ca5dp-21, -0x1.7d3f3178129dbp-21, -0x1.962679689ca3fp-21, -0x1.aea7f63e8815ap-21, -0x1.c6bbc62d35511p-21, -0x1.de593c86f463p-21, -0x1.f57bad63fc0b3p-21, -0x1.0610878e8f038p-20, -0x1.1121ad91d12cep-20, -0x1.1beed12e8f58bp-20, -0x1.2676237d29858p-20, -0x1.30b5e533d9f5ap-20, -0x1.3aac5be05ce4bp-20, -0x1.4457e8345c35p-20, -0x1.4db6bb277078ap-20, -0x1.56c7af21b83efp-20, -0x1.5f89c0e452fffp-20, -0x1.67fc0b932fccdp-20, -0x1.701de03b6314p-20, -0x1.77eebe3a987c5p-20, -0x1.7f6df8483aebdp-20, -0x1.869af0e065a65p-20, -0x1.8d751f28185d3p-20, -0x1.93fc49e85dd1bp-20, -0x1.9a30851074b64p-20, -0x1.a011da2d3002cp-20, -0x1.a5a04d6f4ab34p-20, -0x1.aadc725db2cd3p-20, -0x1.afc6aa9500f9bp-20, -0x1.b45e63301c483p-20, -0x1.b8a3e50302dc5p-20, -0x1.bc98097d372bcp-20, -0x1.c03b8091ac5ebp-20, -0x1.c38e77629a879p-20, -0x1.c691cdd688ed8p-20, -0x1.c946962418c53p-20, -0x1.cbad7e2eadaecp-20, -0x1.cdc7438e5da27p-20, -0x1.cf94ce80ad54cp-20, -0x1.d11716c9f3026p-20, -0x1.d24f1b935d34p-20, -0x1.d33de50df1f2dp-20, -0x1.d3e486a145124p-20, -0x1.d4441f9d368acp-20, -0x1.d45dd95d11ec1p-20, -0x1.d432e20bb0b03p-20, -0x1.d3c4684cd8425p-20, -0x1.d3139a86ab2b5p-20, -0x1.d221ab335ee63p-20, -0x1.d0efd7863f7aep-20, -0x1.cf7f6ce256411p-20, -0x1.cdd1c46fa1bbbp-20, -0x1.cbe83376c90a7p-20, -0x1.c9c408fdba353p-20, -0x1.c766a5c2d62dbp-20, -0x1.c4d160842c421p-20, -0x1.c2056339982bcp-20, -0x1.bf0424ff75c7ap-20, -0x1.bbcf1d259bfe5p-20, -0x1.b8679dd128873p-20, -0x1.b4ceecdc8c89dp-20, -0x1.b106823b73e97p-20, -0x1.ad0fc02b9e092p-20, -0x1.a8ec050ce3d86p-20, -0x1.a49cb409ac729p-20, -0x1.a023282a82899p-20, -0x1.9b80b2245f6a4p-20, -0x1.96b6ba33eadebp-20, -0x1.91c69102a1199p-20, -0x1.8cb17e88a25a4p-20, -0x1.8778fb4091445p-20, -0x1.821e4d358ced1p-20, -0x1.7ca2c3b8e86b8p-20, -0x1.7707adfae73dbp-20, -0x1.714e57a28cbdfp-20, -0x1.6b7808d8d09acp-20, -0x1.65860680d34cap-20, -0x1.5f79926799e6ap-20, -0x1.5953eb73eeccp-20, -0x1.53164d75f7c8p-20, -0x1.4cc1f00ef1718p-20, -0x1.465805daa44b1p-20, -0x1.3fd9be2c88ad1p-20, -0x1.39484512a52f1p-20, -0x1.32a4bf43ac076p-20, -0x1.2bf0527d3f97ap-20, -0x1.252c1ccd0576bp-20, -0x1.1e59381716012p-20, -0x1.1778baaebbfcap-20, -0x1.108bb666c2a7p-20, -0x1.09933930c580dp-20, -0x1.02904c20a5137p-20, -0x1.f707dc5f4d191p-21, -0x1.e8de3c3b2fe01p-21, -0x1.daa5b58ca2766p-21, -0x1.cc5fff1c65a61p-21, -0x1.be0f6730436b6p-21, -0x1.afb59b24d2953p-21, -0x1.a154772565cedp-21, -0x1.92ed7b9bb26b5p-21, -0x1.84828fefe46e4p-21, -0x1.76156424d53d9p-21, -0x1.67a7a060dd497p-21, -0x1.593ae6b1c3b8bp-21, -0x1.4ad0cca2baff6p-21, -0x1.3c6aef16ffa5ep-21, -0x1.2e0a9f565dd42p-21, -0x1.1fb18a4a4f718p-21, -0x1.11610c158fdd6p-21, -0x1.031a89172d36cp-21, -0x1.e9bec0c6eb0f2p-22, -0x1.cd61d3c0eab1p-22, -0x1.b120b5a80b807p-22, -0x1.94fe4c4d06204p-22, -0x1.78fcce462a27ep-22, -0x1.5d1e87913919dp-22, -0x1.4165deb539e07p-22, -0x1.25d50c69a3d6ap-22, -0x1.0a6e3a38315dep-22, -0x1.de6700d4ca7bfp-23, -0x1.a84dcd0cc16acp-23, -0x1.7294c7b88182dp-23, -0x1.3d3fbd44dfe24p-23, -0x1.08525c22d0ff8p-23, -0x1.a7a065170ebc4p-24, -0x1.3f795d1ab39b2p-24, -0x1.b06c78eeece42p-25, -0x1.c7757e89565b7p-26, -0x1.8e9c4a1852b7ep-29, 0x1.5ff58c99e6998p-26, 0x1.76e7bb45ac9f8p-25, 0x1.1de939e06d633p-24, 0x1.7f585752c8351p-24, 0x1.dfbc3ef50df7p-24, 0x1.1f8813c23cd45p-23, 0x1.4ea7beff5730cp-23, 0x1.7d3af59bbe448p-23, 0x1.ab3fb05112f52p-23, 0x1.d8b417831d81ep-23, 0x1.02cb3a4bdd29cp-22, 0x1.18f27fab61479p-22, 0x1.2ecef8910995ap-22, 0x1.445fda52330bep-22, 0x1.59a4858abde9dp-22, 0x1.6e9c5a60d70f5p-22, 0x1.83469082664f2p-22, 0x1.97a29904326e3p-22, 0x1.abaff84137228p-22, 0x1.bf6e36fda35eap-22, 0x1.d2dcda3b0e7c4p-22, 0x1.e5fafa3c834dfp-22, 0x1.f8c9a9974dac5p-22, 0x1.05a38c115b9p-21, 0x1.0eb9c34a45eebp-21, 0x1.17a74e1d229d8p-21, 0x1.206c1140f71bp-21, 0x1.290a11ad0fc8cp-21, 0x1.317e7936fd029p-21, 0x1.39c5717613dfcp-21, 0x1.41e6ca97f77b4p-21, 0x1.49df03aa4966ap-21, 0x1.51ae2d5cdbcdp-21, 0x1.59545303a1212p-21, 0x1.60d17f0ea73d8p-21, 0x1.6825b9f329a8ap-21, 0x1.6f50ec1159772p-21, 0x1.765385bfaab41p-21, 0x1.7d2d509caa3fap-21, 0x1.83de670836778p-21, 0x1.8a66f2740eba3p-21, 0x1.90c711a181b06p-21, 0x1.96feea572976ap-21, 0x1.9d0eabc4462c1p-21, 0x1.a2f67163cf0efp-21, 0x1.a8b657d27c426p-21, 0x1.ae4e9cd86b351p-21, 0x1.b3bf7fc266615p-21, 0x1.b90917db06452p-21, 0x1.be2ba0d73cd3ap-21, 0x1.c32755be95c17p-21, 0x1.c7fc7245f08f7p-21, 0x1.ccab35410eb9p-21, 0x1.d133dd491773p-21, 0x1.d596a58203747p-21, 0x1.d9d3f04a17681p-21, 0x1.ddeba446fc03p-21, 0x1.e1de762406ca9p-21, 0x1.e5ac79d9a8b55p-21, 0x1.e955fb6443b29p-21, 0x1.ecdb493f356cep-21, 0x1.f03cac789e2bfp-21, 0x1.f37a86a7ab2bfp-21, 0x1.f695167b09acap-21, 0x1.f98caf72d9a5p-21, 0x1.fc61a678d1f62p-21, 0x1.ff145047d8a7dp-21, 0x1.00d2814415b4bp-20, 0x1.020a09a8d9fe5p-20, 0x1.0330ecb7d13e1p-20, 0x1.04475672b9b6dp-20, 0x1.054d737042be9p-20, 0x1.0643709e16282p-20, 0x1.07297b39f14bep-20, 0x1.07ffc1786cb59p-20, 0x1.08c6733a0a3d8p-20, 0x1.097dbf648d71fp-20, 0x1.0a25d3758823fp-20, 0x1.0abedd89a8486p-20, 0x1.0b490a2dfc08p-20, 0x1.0bc493075661cp-20, 0x1.0c31a24b734f9p-20, 0x1.0c9065b9869f1p-20, 0x1.0ce1101319ae8p-20, 0x1.0d23d1dce5e3bp-20, 0x1.0d58db9102d35p-20, 0x1.0d805dd660dccp-20, 0x1.0d9a8976ee92cp-20, 0x1.0da78f5148bf3p-20, 0x1.0da7a03b60cc2p-20, 0x1.0d9aec749683fp-20, 0x1.0d819dd75f9ep-20, 0x1.0d5c40155b123p-20, 0x1.0d2a0a3b9ae04p-20, 0x1.0cec4d963b399p-20, 0x1.0ca2a9ce162d5p-20, 0x1.0c4d6471ccfc4p-20, 0x1.0becb0ce07ea9p-20, 0x1.0b80c03c5e961p-20, 0x1.0b09c3b049e2ap-20, }}, 
      {{-0x1.5d3921394ddc2p-3, -0x1.6eef54a1d0635p-4, 0x1.bf3a9afbf3aecp-6, 0x1.4dfec4ebe7f08p-3, 0x1.36096555a2a12p-2, 0x1.bd2276d38e31fp-2, 0x1.19fe2afb084dfp-1, 0x1.4ac619de614f5p-1, 0x1.6fba00b5b8f82p-1, 0x1.88b0e4210622ap-1, 0x1.963e1512c4d96p-1, 0x1.99728b7a54207p-1, 0x1.93aa6194be1a1p-1, 0x1.86659a3a32d05p-1, 0x1.732ae01e1bbc8p-1, 0x1.5b72b594ab1f8p-1, 0x1.40998310a656p-1, 0x1.23d714e987d1cp-1, 0x1.063a4620a99c6p-1, 0x1.d14f908e1d896p-2, 0x1.97b6414d9a527p-2, 0x1.60d246ae507e7p-2, 0x1.2d86b36d983fep-2, 0x1.fcef96f8b0f67p-3, 0x1.a82645019e39ap-3, 0x1.5d2f43450e045p-3, 0x1.1c3a56055e86bp-3, 0x1.ca6eb6f5bcf89p-4, 0x1.6fc642eb34a1dp-4, 0x1.27a59ec40cd99p-4, 0x1.e1f77b3484ab4p-5, 0x1.951ab0170890ap-5, 0x1.6606cfb79cbbep-5, 0x1.51ee6c6a76ecap-5, 0x1.55f87649adeb9p-5, 0x1.6f501b9352a58p-5, 0x1.9b3146719fe44p-5, 0x1.d6f22fb10b335p-5, 0x1.10053ad7fdd5fp-4, 0x1.3a0c0e0b86e51p-4, 0x1.687167bdaa871p-4, 0x1.9a2edfa40c387p-4, 0x1.ce542ae1fc6b8p-4, 0x1.0203829e9e7eap-3, 0x1.1d416069ee9e2p-3, 0x1.388bc905d88f2p-3, 0x1.5394d5185d1a9p-3, 0x1.6e1817e1868dap-3, 0x1.87da101533b19p-3, 0x1.a0a791f9d591ap-3, 0x1.b8552e790caa9p-3, 0x1.cebe9a23e5c03p-3, 0x1.e3c61699755fep-3, 0x1.f753e0328c223p-3, 0x1.04aad0a630218p-2, 0x1.0cdef60ff7018p-2, 0x1.1441dddf99f0fp-2, 0x1.1ad0fe43845a4p-2, 0x1.208b8e14e9b12p-2, 0x1.257250a70507ep-2, 0x1.2987654dd75f8p-2, 0x1.2cce1a83eec15p-2, 0x1.2f4ac48a5be2fp-2, 0x1.3102975f78f3p-2, 0x1.31fb83e330b2cp-2, 0x1.323c180045e6ep-2, 0x1.31cb61b33ace7p-2, 0x1.30b0d4c48d824p-2, 0x1.2ef4331146f7fp-2, 0x1.2c9d773782274p-2, 0x1.29b4c1831ab63p-2, 0x1.264246f14061fp-2, 0x1.224e4226f05bfp-2, 0x1.1de0e6338103fp-2, 0x1.190252feed13ap-2, 0x1.13ba8b3c54206p-2, 0x1.0e116bcc66cc9p-2, 0x1.080ea46248fbfp-2, 0x1.01b9b163486f3p-2, 0x1.f633ada0fd114p-3, 0x1.e86c38605195bp-3, 0x1.da2a92b0349b1p-3, 0x1.cb7bc7dedf334p-3, 0x1.bc6c5b71f0eacp-3, 0x1.ad0846b9c9512p-3, 0x1.9d5af7944fcd8p-3, 0x1.8d6f5058ad0bap-3, 0x1.7d4fa80d0e3adp-3, 0x1.6d05cc672a37dp-3, 0x1.5c9b03380db3cp-3, 0x1.4c180d898df8p-3, 0x1.3b852ab467745p-3, 0x1.2aea1b4bc1261p-3, 0x1.1a4e25b27a0f9p-3, 0x1.09b819314988dp-3, 0x1.f25ca49d58819p-4, 0x1.d16d7eaf5a94dp-4, 0x1.b0adc75ce8802p-4, 0x1.9027ba1735d7bp-4, 0x1.6fe4cf05145f4p-4, 0x1.4fedc2d1236c2p-4, 0x1.304aa185393afp-4, 0x1.1102cd52a44afp-4, 0x1.e43a0f44d21dcp-5, 0x1.a73ef4bbbdad1p-5, 0x1.6b1f7c0d34106p-5, 0x1.2fe5c5b847749p-5, 0x1.eb35dfafb1d5cp-6, 0x1.788e44d075b88p-6, 0x1.07e33e7630c0cp-6, 0x1.328335c56f003p-7, 0x1.65a45ae41c0ap-9, -0x1.edd20c1d8aef7p-9, -0x1.4c0514e0c9a8bp-7, -0x1.0c1d656d17aacp-6, -0x1.70052962d5b5ep-6, -0x1.d1b559c2a72adp-6, -0x1.18954a2e8a5e1p-5, -0x1.47313ec24d28fp-5, -0x1.74add6d2bd372p-5, -0x1.a10ad1524c76fp-5, -0x1.cc4857498593bp-5, -0x1.f666f3af7c886p-5, -0x1.0fb3c6ba513d7p-4, -0x1.23a5b021e4795p-4, -0x1.3709faa660c0ep-4, -0x1.49e18f02417acp-4, -0x1.5c2d773e7220fp-4, -0x1.6deedb8939d5ep-4, -0x1.7f26ffb133ec3p-4, -0x1.8fd74103a0389p-4, -0x1.a00113baa754ep-4, -0x1.afa60080b23bdp-4, -0x1.bec7a2b118f14p-4, -0x1.cd67a6817d51ap-4, -0x1.db87c6c72643p-4, -0x1.e929cb44ceffbp-4, -0x1.f64f8760338a7p-4, -0x1.017d6c42763adp-3, -0x1.0796d241fffffp-3, -0x1.0d74ec3173fa6p-3, -0x1.1318b3ac4be1ep-3, -0x1.188324cfe847bp-3, -0x1.1db53d9e7c5eep-3, -0x1.22affd8c96ae8p-3, -0x1.2774652f38f0ep-3, -0x1.2c0375ca88525p-3, -0x1.305e30d3e50a1p-3, -0x1.348597a812aafp-3, -0x1.387aab551888cp-3, -0x1.3c3e6c40ba9e3p-3, -0x1.3fd1d9d0ce521p-3, -0x1.4335f237934c3p-3, -0x1.466bb24526838p-3, -0x1.4974152efcabp-3, -0x1.4c50145a6550fp-3, -0x1.4f00a72a7e7bap-3, -0x1.5186c2d7739d2p-3, -0x1.53e35a58a5058p-3, -0x1.56175e462f822p-3, -0x1.5823bca5f0b9bp-3, -0x1.5a0960cad4cf3p-3, -0x1.5bc933543ff83p-3, -0x1.5d641a1fcdde3p-3, -0x1.5edaf81f013b7p-3, -0x1.602ead3ef49e4p-3, -0x1.6160166cd80f6p-3, -0x1.62700d90e9527p-3, -0x1.635f6975a984ap-3, -0x1.642efdba5616bp-3, -0x1.64df9ad56765ep-3, -0x1.65720e0f5d019p-3, -0x1.65e72178ba7c5p-3, -0x1.663f9beb58506p-3, -0x1.667c410e6d69cp-3, -0x1.669dd14e63706p-3, -0x1.66a509d583747p-3, -0x1.6692a497d2578p-3, -0x1.66675860b85dep-3, -0x1.6623d8ccbe88bp-3, -0x1.65c8d63f69fabp-3, -0x1.6556fdee6bf9ep-3, -0x1.64cef9f7abc06p-3, -0x1.64317164f025fp-3, -0x1.637f08207752bp-3, -0x1.62b85ef9ff5fap-3, -0x1.61de13bfb4c88p-3, -0x1.60f0c14cac374p-3, -0x1.5ff0ff80b186fp-3, -0x1.5edf633bafb9dp-3, -0x1.5dbc7e7352fefp-3, -0x1.5c88e04fafc1ap-3, -0x1.5b45152e4a7a7p-3, -0x1.59f1a69276576p-3, -0x1.588f1b28b8875p-3, -0x1.571df6e80c9abp-3, -0x1.559ebb30121fp-3, -0x1.5411e6c573abdp-3, -0x1.5277f5bca4bddp-3, -0x1.50d1617dbd842p-3, -0x1.4f1ea0eb6f01ap-3, -0x1.4d602887063c9p-3, -0x1.4b966a6ea49b1p-3, -0x1.49c1d64337f7cp-3, -0x1.47e2d9236a167p-3, -0x1.45f9ddcf03bcbp-3, -0x1.44074cd3ecf02p-3, -0x1.420b8c9994629p-3, -0x1.40070147f6726p-3, -0x1.3dfa0cb32d3f6p-3, -0x1.3be50e6ec478cp-3, -0x1.39c863fd75c6p-3, -0x1.37a468f1b38f3p-3, -0x1.357976e4f16abp-3, -0x1.3347e5595b3d4p-3, -0x1.311009b159788p-3, -0x1.2ed2374fe396fp-3, -0x1.2c8ebfc7ef1dbp-3, -0x1.2a45f2f241218p-3, -0x1.27f81edc84d67p-3, -0x1.25a58fac119b8p-3, -0x1.234e8f9ab1065p-3, -0x1.20f36718b036ap-3, -0x1.1e945cf9d90b4p-3, -0x1.1c31b6893bcd8p-3, -0x1.19cbb7793420fp-3, -0x1.1762a1c70229fp-3, -0x1.14f6b5b41f3b4p-3, -0x1.128831e1f05d9p-3, -0x1.1017537c4a991p-3, -0x1.0da45652a6e42p-3, -0x1.0b2f74d0e4cd7p-3, -0x1.08b8e7e539c49p-3, -0x1.0640e6f09427fp-3, -0x1.03c7a7d47ce45p-3, -0x1.014d5f1735e87p-3, -0x1.fda48008962a1p-4, -0x1.f8acf9691ce62p-4, -0x1.f3b48bfaff60ep-4, -0x1.eebb96b6e1dc5p-4, -0x1.e9c275d9ed428p-4, -0x1.e4c9830eaefacp-4, -0x1.dfd115ae9643dp-4, -0x1.dad982f13f259p-4, -0x1.d5e31deff3a41p-4, -0x1.d0ee3785f6b74p-4, -0x1.cbfb1e2eb6b1cp-4, -0x1.c70a1e02be672p-4, -0x1.c21b80dbcad3cp-4, -0x1.bd2f8e8b132e5p-4, -0x1.b8468d0137b97p-4, -0x1.b360c0547f22bp-4, -0x1.ae7e6aaa48c1p-4, -0x1.a99fcc1b408aep-4, -0x1.a4c522abb58e9p-4, -0x1.9feeaa626546bp-4, -0x1.9b1c9d726350cp-4, -0x1.964f3461187fcp-4, -0x1.9186a615f0de6p-4, -0x1.8cc327d184fa1p-4, -0x1.8804ed18968c5p-4, -0x1.834c27a5d4c93p-4, -0x1.7e99076fe2adap-4, -0x1.79ebbac37c797p-4, -0x1.75446e64ba7a4p-4, -0x1.70a34da791b72p-4, -0x1.6c088276c0001p-4, -0x1.6774354b18c27p-4, -0x1.62e68d1d54f3ap-4, -0x1.5e5faf5ee6444p-4, -0x1.59dfc00187acap-4, -0x1.5566e18c02223p-4, -0x1.50f53532e5bcp-4, -0x1.4c8adaeaf9db5p-4, -0x1.4827f16ff4a17p-4, -0x1.43cc964085194p-4, -0x1.3f78e595c2b3cp-4, -0x1.3b2cfa5e022c2p-4, -0x1.36e8ee40e3783p-4, -0x1.32acd9ace5a5bp-4, -0x1.2e78d3e95f62ap-4, -0x1.2a4cf3263462fp-4, -0x1.26294c84dd2a9p-4, -0x1.220df419f854ep-4, -0x1.1dfafce9dce7ap-4, -0x1.19f078e4af92p-4, -0x1.15ee78e68663p-4, -0x1.11f50cbe01a2dp-4, -0x1.0e044337e3a04p-4, -0x1.0a1c2a2be49f9p-4, -0x1.063cce8706146p-4, -0x1.02663c51a45f8p-4, -0x1.fd30fd627c8a5p-5, -0x1.f5a73fcf21ddp-5, -0x1.ee2f52a3200ebp-5, -0x1.e6c946d1d8eeap-5, -0x1.df752b92fda4fp-5, -0x1.d8330e736d944p-5, -0x1.d102fb6789219p-5, -0x1.c9e4fcdaddc74p-5, -0x1.c2d91bbaf5af4p-5, -0x1.bbdf5f7d74b35p-5, -0x1.b4f7ce2294d93p-5, -0x1.ae226c3674ed5p-5, -0x1.a75f3cd43190cp-5, -0x1.a0ae41ad301b7p-5, -0x1.9a0f7b147fe03p-5, -0x1.9382e80c35644p-5, -0x1.8d088651ecdacp-5, -0x1.86a052690ec47p-5, -0x1.804a47a28fa19p-5, -0x1.7a0660228fb07p-5, -0x1.73d494e47f62bp-5, -0x1.6db4ddbef122fp-5, -0x1.67a731687a60ap-5, -0x1.61ab857eac772p-5, -0x1.5bc1ce8ee23cfp-5, -0x1.55ea001fac415p-5, -0x1.50240cb997abbp-5, -0x1.4a6fe5ef0d987p-5, -0x1.44cd7c639d46ap-5, -0x1.3f3cbfd2ffe74p-5, -0x1.39bd9f17b609fp-5, -0x1.345008311bd16p-5, -0x1.2ef3e848d6077p-5, -0x1.29a92bb7ccd8p-5, -0x1.246fbe0ac1374p-5, -0x1.1f478a068726dp-5, -0x1.1a3079ac36217p-5, -0x1.152a763e29d0fp-5, -0x1.103568470f039p-5, -0x1.0b5137a39a80ep-5, -0x1.067dcb8e483edp-5, -0x1.01bb0aab53971p-5, -0x1.fa11b625261a6p-6, -0x1.f0ce44aa561a9p-6, -0x1.e7ab8afc5176ep-6, -0x1.dea9521d383f8p-6, -0x1.d5c761ee8c0a6p-6, -0x1.cd058126589b4p-6, -0x1.c463754e8c696p-6, -0x1.bbe102d3dde7ep-6, -0x1.b37ded26f41aap-6, -0x1.ab39f6eb11169p-6, -0x1.a314e228a2566p-6, -0x1.9b0e7076d6d0fp-6, -0x1.932663107e127p-6, -0x1.8b5c7acd4e503p-6, -0x1.83b078007845bp-6, -0x1.7c221a45e0b14p-6, -0x1.74b1204db0c9p-6, -0x1.6d5d47b8d07a8p-6, -0x1.66264d1620652p-6, -0x1.5f0bec087c717p-6, -0x1.580ddf9222aa8p-6, -0x1.512be2763e4bap-6, -0x1.4a65af99091b9p-6, -0x1.43bb0244bd502p-6, -0x1.3d2b963eaa226p-6, -0x1.36b727a39e92bp-6, -0x1.305d7292081a4p-6, -0x1.2a1e32b6eefa5p-6, -0x1.23f922dd03041p-6, -0x1.1dedfc9eda634p-6, -0x1.17fc7856d3323p-6, -0x1.12244d581f19bp-6, -0x1.0c6532697ef64p-6, -0x1.06bede67c58c3p-6, -0x1.013108e9d9bf2p-6, -0x1.f776d5797cb4ep-7, -0x1.ecbb7c2c3f2b5p-7, -0x1.e22f7cda8b954p-7, -0x1.d7d25000e7b41p-7, -0x1.cda36e45baaadp-7, -0x1.c3a24efd2d76ep-7, -0x1.b9ce66f65ac0dp-7, -0x1.b02727e448dd3p-7, -0x1.a6ac0091a3ca6p-7, -0x1.9d5c5ddcd5c59p-7, -0x1.9437ac49b7f3fp-7, -0x1.8b3d59cd0d5eep-7, -0x1.826cd76872f6p-7, -0x1.79c59a33ca35ep-7, -0x1.71471b9385cc6p-7, -0x1.68f0d88d1c76cp-7, -0x1.60c25060370ddp-7, -0x1.58bb02b85decep-7, -0x1.50da6de382776p-7, -0x1.49200d7854fe3p-7, -0x1.418b59bd7bd4dp-7, -0x1.3a1bc7f5be36cp-7, -0x1.32d0cb8105d68p-7, -0x1.2ba9d79186c83p-7, -0x1.24a66113431e4p-7, -0x1.1dc5e0590904dp-7, -0x1.1707d2308e309p-7, -0x1.106bb8239eb11p-7, -0x1.09f117de0e7f3p-7, -0x1.039779e33b2d2p-7, -0x1.fabccfc8b7411p-8, -0x1.ee8ad634e8a5cp-8, -0x1.e29815ff2591ep-8, -0x1.d6e3994fb9e4bp-8, -0x1.cb6c65a96366cp-8, -0x1.c0317d68b27bcp-8, -0x1.b531e23ee6a1cp-8, -0x1.aa6c981d4d6d5p-8, -0x1.9fe0a7f32c38fp-8, -0x1.958d21ab00604p-8, -0x1.8b711cfdc92b8p-8, -0x1.818bb8f889878p-8, -0x1.77dc1a622000dp-8, -0x1.6e6169794557p-8, -0x1.651acfa72b34p-8, -0x1.5c0775b78f323p-8, -0x1.532682eeb3c18p-8, -0x1.4a771d0a1ac5dp-8, -0x1.41f868fa8d774p-8, -0x1.39a98c08fff87p-8, -0x1.3189ad1e34f08p-8, -0x1.2997f5fb78a05p-8, -0x1.21d39443b2dfap-8, -0x1.1a3bba367c5c6p-8, -0x1.12cf9ef6ac4a7p-8, -0x1.0b8e7e3aa444fp-8, -0x1.04779766b9cb9p-8, -0x1.fb14588ed953ep-9, -0x1.ed8affa7c38dfp-9, -0x1.e051aadac7439p-9, -0x1.d366e1c4bacb5p-9, -0x1.c6c92e4ed1af7p-9, -0x1.ba771ec8aa254p-9, -0x1.ae6f47a427ff7p-9, -0x1.a2b0440b71ce6p-9, -0x1.9738b526f9e32p-9, -0x1.8c074091e66dbp-9, -0x1.811a8ed51d27p-9, -0x1.76714aacedc05p-9, -0x1.6c0a2166ed27dp-9, -0x1.61e3c4178fd2p-9, -0x1.57fce905da53fp-9, -0x1.4e544cb0a6999p-9, -0x1.44e8b222f515fp-9, -0x1.3bb8e2b8459e8p-9, -0x1.32c3ada9e0929p-9, -0x1.2a07e7b50f4c2p-9, -0x1.21846af7b3814p-9, -0x1.193816f6a591dp-9, -0x1.1121d09b0d9c4p-9, -0x1.094081e8c98e8p-9, -0x1.019319096432ap-9, -0x1.f4310cd156a9cp-10, -0x1.e59f740728467p-10, -0x1.d76f415fa87d8p-10, -0x1.c99e457def2e2p-10, -0x1.bc2a4aad45961p-10, -0x1.af111e2d09c7dp-10, -0x1.a2509e574085fp-10, -0x1.95e6c8ce9944ep-10, -0x1.89d1c2720eafep-10, -0x1.7e0fd44c1412fp-10, -0x1.729f5d2170bd1p-10, -0x1.677ebcf5b5b7dp-10, -0x1.5cac43cca99d2p-10, -0x1.52262c795fcd3p-10, -0x1.47eaa6c2f6a3cp-10, -0x1.3df7ebef2b33dp-10, -0x1.344c524b989ccp-10, -0x1.2ae653abc69efp-10, -0x1.21c48100da902p-10, -0x1.18e5675c44db3p-10, -0x1.104773d1a0074p-10, -0x1.07e8e68551004p-10, -0x1.ff8fbebcd182p-11, -0x1.efc5041c37174p-11, -0x1.e06e436c23659p-11, -0x1.d188bc2791004p-11, -0x1.c3124298dcebap-11, -0x1.b508f886a85f7p-11, -0x1.a76ae1556dac5p-11, -0x1.9a3585947a93dp-11, -0x1.8d65d684e60fcp-11, -0x1.80f86538e6a35p-11, -0x1.74e9d72bec677p-11, -0x1.6937609d6f767p-11, -0x1.5ddf063c914f5p-11, -0x1.52df8187376a2p-11, -0x1.4837d1c6a54dep-11, -0x1.3de6aed5d4e7ep-11, -0x1.33ea22ccf9cbep-11, -0x1.2a3f7aa87a314p-11, -0x1.20e3900b18e62p-11, -0x1.17d342f375e1ap-11, -0x1.0f0be8ae0028bp-11, -0x1.068b8122b3a0fp-11, -0x1.fca13fcafcd81p-12, -0x1.ecb42a1098136p-12, -0x1.dd4cf49555cbcp-12, -0x1.ce67adfb2e1bfp-12, -0x1.bfff1411b298p-12, -0x1.b20d2135ab9aap-12, -0x1.a48c27b663f43p-12, -0x1.9777f75d39d37p-12, -0x1.8ace6db06a85cp-12, -0x1.7e8f1849f4fbfp-12, -0x1.72ba19f7e7cb1p-12, -0x1.674ef33bb1814p-12, -0x1.5c4bd34933267p-12, -0x1.51adaee885ec5p-12, -0x1.4770da4b8109ep-12, -0x1.3d91a7fed809fp-12, -0x1.340cb283a8dccp-12, -0x1.2adec937eed37p-12, -0x1.2204bc2783ac7p-12, -0x1.197b498c88336p-12, -0x1.113f3754e45bfp-12, -0x1.094d66a37e3e4p-12, -0x1.01a2b8a78f9eap-12, -0x1.f477cd49b6b22p-13, -0x1.e62b3a3644e89p-13, -0x1.d859eb08f8df7p-13, -0x1.caffff15657ccp-13, -0x1.be1bbed9530a7p-13, -0x1.b1acb13ec92e1p-13, -0x1.a5b23785f02dap-13, -0x1.9a2aa95f0892dp-13, -0x1.8f134e37ab67cp-13, -0x1.8468e6ae2293ap-13, -0x1.7a2855473b8bdp-13, -0x1.704f03136daaap-13, -0x1.66daa5e53314bp-13, -0x1.5dc87261b88d4p-13, -0x1.55145df387412p-13, -0x1.4cb91419e8ec9p-13, -0x1.44b0997229bbp-13, -0x1.3cf5187f9037p-13, -0x1.35816eaa63941p-13, -0x1.2e516c9d06a55p-13, -0x1.2761e9e234e49p-13, -0x1.20b0bb7f8f411p-13, -0x1.1a3c8843b69e9p-13, -0x1.14046fd50ccd4p-13, -0x1.0e0787e80ac86p-13, -0x1.08446bda84acep-13, -0x1.02b9351079769p-13, -0x1.fac7aea0a2573p-14, -0x1.f0850d2d76aeap-14, -0x1.e6a7dc2f82483p-14, -0x1.dd2e300edd5aep-14, -0x1.d415d341ef03cp-14, -0x1.cb5b1b3aeca08p-14, -0x1.c2f8db51503dap-14, -0x1.bae984ea74c25p-14, -0x1.b32854bd4035bp-14, -0x1.abb1afb14db3dp-14, -0x1.a482a56ca35bfp-14, -0x1.9d980fd62f863p-14, -0x1.96edeeaac881cp-14, -0x1.907f6a76b85dfp-14, -0x1.8a4776daf985p-14, -0x1.8441d1197f083p-14, -0x1.7e6bf963863cdp-14, -0x1.78c56523f0054p-14, -0x1.734e6719baa96p-14, -0x1.6e06732f0af16p-14, -0x1.68eb28883b587p-14, -0x1.63f93434d04fep-14, -0x1.5f2e4ba04cf4fp-14, -0x1.5a89bdef6af95p-14, -0x1.560adefac3498p-14, -0x1.51af9df372208p-14, -0x1.4d74dbc9dbd7dp-14, -0x1.49578b4c152bep-14, -0x1.4555544eabbd1p-14, -0x1.416c9103a7e6ap-14, -0x1.3d9c0d3d1f213p-14, -0x1.39e2cd6b07c35p-14, -0x1.363fe73c371bcp-14, -0x1.32b2633edfd63p-14, -0x1.2f392017de838p-14, -0x1.2bd2b378054e4p-14, -0x1.287d6a69ca40ap-14, -0x1.2537957424275p-14, -0x1.21ffe04db7faap-14, -0x1.1ed5492cd9f72p-14, -0x1.1bb6e46ae663bp-14, -0x1.18a3de040efbp-14, -0x1.159ba0d460955p-14, -0x1.129da919a3e2bp-14, -0x1.0fa929a2f776bp-14, -0x1.0cbd23a2866d6p-14, -0x1.09d8b53da25c1p-14, -0x1.06fb0bd7dbcd8p-14, -0x1.042342ab6df96p-14, -0x1.015092e2b1fc6p-14, -0x1.fd0506db66b5fp-15, -0x1.f771872288cf7p-15, -0x1.f1e5bf49771c3p-15, -0x1.ec60484269296p-15, -0x1.e6df8bbbd032ep-15, -0x1.e1623cf457e51p-15, -0x1.dbe7bb0edc016p-15, -0x1.d670a088436fp-15, -0x1.d0fe5a1784f3fp-15, -0x1.cb907e286919fp-15, -0x1.c623f208877c3p-15, -0x1.c0b664d6b699cp-15, -0x1.bb480d226fb97p-15, -0x1.b5d8c171a8532p-15, -0x1.b066ca55f4241p-15, -0x1.aaf1bdb706af6p-15, -0x1.a57b62b3cd55dp-15, -0x1.a0052c54b9252p-15, -0x1.9a8e40a9de675p-15, -0x1.9514932713f0bp-15, -0x1.8f977ec77befbp-15, -0x1.8a180eeae8ee8p-15, -0x1.8496867448d11p-15, -0x1.7f1169972adc9p-15, -0x1.79876270c118cp-15, -0x1.73f8486d0f76bp-15, -0x1.6e645e80156cbp-15, -0x1.68cbcf3f7f113p-15, -0x1.632e897cf810fp-15, -0x1.5d8c84aa20cc7p-15, -0x1.57e79c3835cb1p-15, -0x1.52426119955e4p-15, -0x1.4c9ae6e701c13p-15, -0x1.46ee832c5e971p-15, -0x1.413f724428fe1p-15, -0x1.3b8eb5a02ce26p-15, -0x1.35d9a2d34b18p-15, -0x1.301fbbf9e7863p-15, -0x1.2a629468bf7cfp-15, -0x1.24a2f90a94e17p-15, -0x1.1ee0bb3d2631bp-15, -0x1.191b690e86052p-15, -0x1.1352c9d621a9ep-15, -0x1.0d8781c87376dp-15, -0x1.07bb67a36793p-15, -0x1.01efc1e01892ep-15, -0x1.f846efc2d17bfp-16, -0x1.ecaafdd6775adp-16, -0x1.e10e8e6b8ba4bp-16, -0x1.d57354e81620ap-16, -0x1.c9d5bc259346cp-16, -0x1.be33c91ef75f1p-16, -0x1.b28eb69b61a87p-16, -0x1.a6e76680bdd01p-16, -0x1.9b42cdf17690fp-16, -0x1.8fa4ec7199becp-16, -0x1.840a7f72e135bp-16, -0x1.78764b7bc2f4ap-16, -0x1.6ce7f1e44779cp-16, -0x1.615a0d7375193p-16, -0x1.55ce989930f1bp-16, -0x1.4a492c7454807p-16, -0x1.3ecae49d1e3d2p-16, -0x1.3353e502756e3p-16, -0x1.27e468504d253p-16, -0x1.1c7ce06a15fccp-16, -0x1.111dd3de76be2p-16, -0x1.05c7ca8c816f1p-16, -0x1.f4f65f3a0aefcp-17, -0x1.de70d25d5dfc2p-17, -0x1.c7ffce6ec9a67p-17, -0x1.b1a42c99a60f8p-17, -0x1.9b5de8d9e29e5p-17, -0x1.852c933fe5dffp-17, -0x1.6f1337a1937b4p-17, -0x1.59176745d93adp-17, -0x1.43397ab42afb2p-17, -0x1.2d76763feb603p-17, -0x1.17cd001ba085ep-17, -0x1.02418fab1804cp-17, -0x1.d9aa6618c303bp-18, -0x1.af188e37852a6p-18, -0x1.84cbbde02c66fp-18, -0x1.5aba48a38375ap-18, -0x1.30eea89e727f5p-18, -0x1.076eacf9cb7c5p-18, -0x1.bc749aa48b9e6p-19, -0x1.6aa2fdf224ec4p-19, -0x1.196a5b9e06259p-19, -0x1.919b319c06cb5p-20, -0x1.e33fdbdcc0f56p-21, -0x1.4ba5161ae36a5p-22, 0x1.2a0b6b2b1c7a9p-22, 0x1.cd3e06bd0e3ebp-21, 0x1.81660dc56e432p-20, 0x1.0d69502c445cdp-19, 0x1.596f572c2f23dp-19, 0x1.a4c1ca489f37ep-19, 0x1.ef5d7c454d5bdp-19, 0x1.1ca0012ab74c4p-18, 0x1.4133a1f475e57p-18, 0x1.6567d15bef338p-18, 0x1.893b37551618ap-18, 0x1.acb210eb182c8p-18, 0x1.cfce6f9552608p-18, 0x1.f286502fe8536p-18, 0x1.0a6bfd2c606d1p-17, 0x1.1b631abdfc2cp-17, 0x1.2c2899cd7d4e9p-17, 0x1.3cb9137f683d9p-17, 0x1.4d15a08cb595ap-17, 0x1.5d404d94833a9p-17, 0x1.6d3794cc57559p-17, 0x1.7cfa0f28fcdap-17, 0x1.8c8776f9121fdp-17, 0x1.9bdfc63e02eap-17, 0x1.ab02e18e3ba38p-17, 0x1.b9f09aa6046a1p-17, 0x1.c8a8bde7b0b93p-17, 0x1.d72b1a29ed19p-17, 0x1.e57782920b0c1p-17, 0x1.f38dcc2ebfbcdp-17, 0x1.00b6e54a92d0dp-16, 0x1.078ba7b5070fep-16, 0x1.0e45175284b65p-16, 0x1.14e323b2c7404p-16, 0x1.1b65c641277e2p-16, 0x1.21ccfc5188567p-16, 0x1.2818b4517e241p-16, 0x1.2e48dac482931p-16, 0x1.345dc985cceccp-16, 0x1.3a579b62820bap-16, 0x1.403559e26e381p-16, 0x1.45f7847c6d69cp-16, 0x1.4b9e9a5c37198p-16, 0x1.512a2d9438affp-16, 0x1.569a3d763fe48p-16, 0x1.5beee55e1cae9p-16, 0x1.612834c5cc0ecp-16, 0x1.66464235d0439p-16, 0x1.6b49421afec44p-16, 0x1.70314579a102p-16, 0x1.74fe0ba8d3c6cp-16, 0x1.79afa0c9b8824p-16, 0x1.7e466d2ba9c16p-16, 0x1.82c28752c71a5p-16, 0x1.8723defc0d74cp-16, 0x1.8b6a8b27744d5p-16, 0x1.8f96aeff74151p-16, 0x1.93a86b487ae06p-16, 0x1.979fded676367p-16, 0x1.9b7d28574f851p-16, 0x1.9f406756c589ap-16, 0x1.a2e9bd02fadacp-16, 0x1.a6794d1cbc6e9p-16, 0x1.a9ef3d958431bp-16, 0x1.ad4bb2a5e39bep-16, 0x1.b08ecbf72eab4p-16, 0x1.b3b8b92a8482ep-16, 0x1.b6c9b0b99b479p-16, 0x1.b9c1b316fa7cfp-16, 0x1.bca11125f4d93p-16, 0x1.bf67e976b9111p-16, 0x1.c2165f459d147p-16, 0x1.c4aca4752253bp-16, 0x1.c72ae89450152p-16, 0x1.c9915a7c3fea9p-16, 0x1.cbe02984752f3p-16, 0x1.ce17859e8a738p-16, 0x1.d0379f78a49ecp-16, 0x1.d240a87492f4fp-16, 0x1.d432d26795b53p-16, 0x1.d60e5030e22dap-16, 0x1.d7d354e563b43p-16, 0x1.d9821590cae4fp-16, 0x1.db1ac4f76682dp-16, 0x1.dc9d97ba8c33bp-16, 0x1.de0ac7e5c9042p-16, 0x1.df628f44788c1p-16, 0x1.e0a51713c6df6p-16, 0x1.e1d29d9de86d4p-16, 0x1.e2eb5de83e6afp-16, 0x1.e3ef890873cfap-16, 0x1.e4df56fc508e1p-16, 0x1.e5bb027f2dfd5p-16, 0x1.e682c54ee4393p-16, 0x1.e736d725d7e59p-16, 0x1.e7d76eac95896p-16, 0x1.e864cb3118f8ep-16, 0x1.e8df21ac0a477p-16, 0x1.e946b2a4cc5fbp-16, 0x1.e99bb079bceb1p-16, 0x1.e9de569cd5a93p-16, 0x1.ea0ee0bc1af46p-16, 0x1.ea2d89a75b492p-16, 0x1.ea3a8bea4c3efp-16, 0x1.ea36221e2296bp-16, 0x1.ea2086f1cd31ap-16, 0x1.e9f9f5242b8fep-16, 0x1.e9c2a780840d4p-16, 0x1.e97ad8d7efe4bp-16, 0x1.e922c3fc7d5p-16, 0x1.e8baa3bcd07ap-16, 0x1.e842b2df0edaep-16, 0x1.e7bb2c1a20b7ep-16, 0x1.e7244a0b5d58cp-16, 0x1.e67e472d3fafcp-16, 0x1.e5c95dd7dbce3p-16, 0x1.e505c84ecc4d4p-16, 0x1.e433c0ccc54ffp-16, 0x1.e35381817985cp-16, 0x1.e2654488a2691p-16, 0x1.e16943d8ae8b3p-16, 0x1.e05fb90392cfap-16, 0x1.df48dccd1f481p-16, 0x1.de24e7b764171p-16, 0x1.dcf4140b03812p-16, 0x1.dbb69c82f4ddap-16, 0x1.da6cb988afeacp-16, 0x1.d9169c50d4849p-16, 0x1.d7b479cd014dep-16, 0x1.d64696c643983p-16, 0x1.d4cd29ad82d99p-16, 0x1.d34865f332182p-16, 0x1.d1b881c4f3063p-16, 0x1.d01db3d4562bfp-16, 0x1.ce7833722cd06p-16, 0x1.ccc833f33d45bp-16, 0x1.cb0dedd163341p-16, 0x1.c949955c474d9p-16, 0x1.c77b5fa9ea5f2p-16, 0x1.c5a3816a71ba4p-16, 0x1.c3c22d0a51841p-16, 0x1.c1d798ac2cdd1p-16, 0x1.bfe3fc2b69e22p-16, 0x1.bde782d1922fap-16, 0x1.bbe262de8f9bcp-16, 0x1.b9d4ce9e38fb7p-16, 0x1.b7bef7f07c6b4p-16, 0x1.b5a1105a5cb4fp-16, 0x1.b37b4951f194dp-16, 0x1.b14dd3cffb883p-16, 0x1.af18df987df47p-16, 0x1.acdc9dbdfc0cdp-16, 0x1.aa993e198ce31p-16, 0x1.a84eefddcff3fp-16, 0x1.a5fde0ef9a845p-16, 0x1.a3a63e1772a23p-16, 0x1.a148355313111p-16, 0x1.9ee3f6fa74495p-16, 0x1.9c79bb62d9bdep-16, 0x1.9a099ed99ee6fp-16, 0x1.9793bac952115p-16, 0x1.95185f8e38b75p-16, 0x1.9297aedf2df89p-16, 0x1.9011cefbb166bp-16, 0x1.8d86e9b5956b7p-16, 0x1.8af7285aec711p-16, 0x1.8862b57f788ffp-16, 0x1.85c9c0f4f48b8p-16, 0x1.832c7812df60ep-16, 0x1.808aeb4fc8c94p-16, 0x1.7de53b0ca0a67p-16, 0x1.7b3bad49df5e8p-16, 0x1.788e66cd09f8ep-16, 0x1.75dd867b0d8b7p-16, 0x1.732930c9a664p-16, 0x1.70718afbad2eap-16, 0x1.6db6ba9c25701p-16, 0x1.6af8e45664ab1p-16, 0x1.68382c47cdbd5p-16, 0x1.6574b60b23bfep-16, 0x1.62aea4ca719cdp-16, 0x1.5fe61b540311ep-16, 0x1.5d1b3c0f868bep-16, 0x1.5a4e28eaa91a4p-16, 0x1.577f035e3d16dp-16, 0x1.54adec8845a2cp-16, 0x1.51db052d938a6p-16, 0x1.4f066d223b9ffp-16, 0x1.4c3042cbf3d2ep-16, 0x1.4958a4f758e37p-16, 0x1.467fb32f876ddp-16, 0x1.43a58eac6b79fp-16, 0x1.40ca61f1d39f5p-16, 0x1.3dee24bc879eep-16, 0x1.3b110ab8ab076p-16, 0x1.383339f069624p-16, 0x1.3554c4ef88b63p-16, 0x1.3275c71bdfab8p-16, 0x1.2f965c1dde76ap-16, 0x1.2cb69f025e055p-16, 0x1.29d6aa508b1e6p-16, 0x1.26f69818cd1ccp-16, 0x1.241681fb134dbp-16, 0x1.2136812b8906p-16, 0x1.1e56ae86f5298p-16, 0x1.1b7721730d24ep-16, 0x1.1897f4ba0c07p-16, 0x1.15b93cd9170c5p-16, 0x1.12db12b7f0c87p-16, 0x1.0ffd8cf6bd6eap-16, 0x1.0d20c1ca8dc4p-16, 0x1.0a44c6abeeb37p-16, 0x1.0769b0bf9c90dp-16, }}, 
      {{-0x1.851a339aa6a7dp-3, -0x1.4b7803b5f3e49p-3, -0x1.e76fd8083089fp-4, -0x1.0ce0e71fdc5f3p-4, -0x1.7fa21495310fep-8, 0x1.d11fafebcfbf7p-5, 0x1.e8aa374dbed2cp-4, 0x1.6f7de47ced081p-3, 0x1.e259fc2202fb7p-3, 0x1.254df2ea1c58cp-2, 0x1.5370f10010b9p-2, 0x1.7b43d643cab9ap-2, 0x1.9cbe1c9acee02p-2, 0x1.b80e62f6e755fp-2, 0x1.cd8acb4cbcd93p-2, 0x1.dda414d7311c6p-2, 0x1.e8db39b825f51p-2, 0x1.efb9469d3e557p-2, 0x1.f2c91c9f6974bp-2, 0x1.f292ceccc8c55p-2, 0x1.ef9852562527ep-2, 0x1.ea533fecc2ca1p-2, 0x1.e3336d432691dp-2, 0x1.da9e2e2a7b1f1p-2, 0x1.d0ee14e576c2bp-2, 0x1.c67310a54517ep-2, 0x1.bb72cf938a35fp-2, 0x1.b0294f4026323p-2, 0x1.a4c98ad4a5fc1p-2, 0x1.997e3a36b8942p-2, 0x1.8e6a985aeb168p-2, 0x1.83ab2980ec1ffp-2, 0x1.79567c152418ap-2, 0x1.6f7de0886bf62p-2, 0x1.662e15aa50047p-2, 0x1.5d6fe81b4205dp-2, 0x1.5548c42a8f327p-2, 0x1.4dbb39ea33aa7p-2, 0x1.46c773b0f3743p-2, 0x1.406b9fa83b341p-2, 0x1.3aa44d2bc5e53p-2, 0x1.356cbec0b8c87p-2, 0x1.30bf317be14a1p-2, 0x1.2c951ad0e46c4p-2, 0x1.28e75dcb9c8bcp-2, 0x1.25ae789a19c3cp-2, 0x1.22e2ab30017b5p-2, 0x1.207c17c0ae17dp-2, 0x1.1e72ddcc685ffp-2, 0x1.1cbf30759cb61p-2, 0x1.1b5968c00f8p-2, 0x1.1a3a14443eaaep-2, 0x1.195a00cd68c6ap-2, 0x1.18b2454b74345p-2, 0x1.183c4878cb5a8p-2, 0x1.17f1c58c1d46cp-2, 0x1.17cccf44e30bfp-2, 0x1.17c7d19780d67p-2, 0x1.17dd9234051ecp-2, 0x1.1809301996c47p-2, 0x1.184622615fcdp-2, 0x1.18903665dae61p-2, 0x1.18e38d66ab7eap-2, 0x1.193c99c4f4f6bp-2, 0x1.19981bf080222p-2, 0x1.19f31f1a79a2fp-2, 0x1.1a4af5bf6e56ap-2, 0x1.1a9d36175cdecp-2, 0x1.1ae7b67818ffap-2, 0x1.1b2889b46d206p-2, 0x1.1b5dfb8096a98p-2, 0x1.1b868ce3a9534p-2, 0x1.1ba0f0bc3356ep-2, 0x1.1bac085d44374p-2, 0x1.1ba6e047d74e5p-2, 0x1.1b90ad02fbc7bp-2, 0x1.1b68c81422ab8p-2, 0x1.1b2ead180a9a6p-2, 0x1.1ae1f6fc68e4ep-2, 0x1.1a825d5b1b2ebp-2, 0x1.1a0fb1f79ba7fp-2, 0x1.1989de6057085p-2, 0x1.18f0e1b504d09p-2, 0x1.1844ce91ff9e2p-2, 0x1.1785c9208b189p-2, 0x1.16b405485dcf6p-2, 0x1.15cfc5010cfc8p-2, 0x1.14d956be9b6e9p-2, 0x1.13d113f723c0fp-2, 0x1.12b75fc1be6dfp-2, 0x1.118ca58a687d8p-2, 0x1.105157e25b9b8p-2, 0x1.0f05ef65a068bp-2, 0x1.0daae9bd7bc03p-2, 0x1.0c40c8bae8606p-2, 0x1.0ac8118683fa3p-2, 0x1.09414be8f0decp-2, 0x1.07ad019f7a1f9p-2, 0x1.060bbdc37dddbp-2, 0x1.045e0c3b95bb3p-2, 0x1.02a479376bcdbp-2, 0x1.00df90b7e1d8fp-2, 0x1.fe1fbc3d5e176p-3, 0x1.fa6bd79750c4cp-3, 0x1.f6a48586e9da8p-3, 0x1.f2cad4c49bfebp-3, 0x1.eedfd03486c06p-3, 0x1.eae47e7525f56p-3, 0x1.e6d9e183522fep-3, 0x1.e2c0f66b8560bp-3, 0x1.de9ab508ff55bp-3, 0x1.da680fd0027a9p-3, 0x1.d629f39ece653p-3, 0x1.d1e14796b8e56p-3, 0x1.cd8eecfb28186p-3, 0x1.c933bf1522c36p-3, 0x1.c4d0931cf6777p-3, 0x1.c0663829c865fp-3, 0x1.bbf5772586d4p-3, 0x1.b77f12c701eefp-3, 0x1.b303c7927a4bfp-3, 0x1.ae844bddd2074p-3, 0x1.aa014fda3e24fp-3, 0x1.a57b7da35c0d4p-3, 0x1.a0f3795091bb9p-3, 0x1.9c69e10a00b8dp-3, 0x1.97df4d20ff907p-3, 0x1.93545029d5354p-3, 0x1.8ec97716ae6bdp-3, 0x1.8a3f495476fd3p-3, 0x1.85b648e896bbfp-3, 0x1.812ef28e6baf1p-3, 0x1.7ca9bdd551db3p-3, 0x1.78271d3fd6fdcp-3, 0x1.73a77e624484ep-3, 0x1.6f2b4a00f05a3p-3, 0x1.6ab2e42fa2c1ap-3, 0x1.663eac70d5841p-3, 0x1.61cefdd471cccp-3, 0x1.5d642f17084a9p-3, 0x1.58fe92c1121cep-3, 0x1.549e77460f733p-3, 0x1.5044272387626p-3, 0x1.4befe8ff96428p-3, 0x1.47a1ffc7628a4p-3, 0x1.435aaacdc7522p-3, 0x1.3f1a25e8eaa55p-3, 0x1.3ae0a98f1bfbdp-3, 0x1.36ae6af427b1cp-3, 0x1.32839c25f7eedp-3, 0x1.2e606c27c17afp-3, 0x1.2a45070d1fdbfp-3, 0x1.263196151fdc8p-3, 0x1.22263fc3e16e7p-3, 0x1.1e2327fb80d5cp-3, 0x1.1a28701506dcep-3, 0x1.163636f84da24p-3, 0x1.124c9932c7868p-3, 0x1.0e6bb10e4a804p-3, 0x1.0a9396a765925p-3, 0x1.06c460022364cp-3, 0x1.02fe211e63512p-3, 0x1.fe81d818ee13fp-4, 0x1.f719a201a3c6ap-4, 0x1.efc3bccc5dd61p-4, 0x1.e88041df6c40fp-4, 0x1.e14f4756c3c41p-4, 0x1.da30e0267d218p-4, 0x1.d3251c3acb407p-4, 0x1.cc2c089847817p-4, 0x1.c545af7c5bf9fp-4, 0x1.be72187b47b8fp-4, 0x1.b7b1489c4f177p-4, 0x1.b10342764ccaap-4, 0x1.aa68064c1c429p-4, 0x1.a3df9226b32d6p-4, 0x1.9d69e1eda2d69p-4, 0x1.9706ef80047cdp-4, 0x1.90b6b2cd876e2p-4, 0x1.8a7921ed4b7d5p-4, 0x1.844e3132d834fp-4, 0x1.7e35d34370ed6p-4, 0x1.782ff92bfe121p-4, 0x1.723c92756a0b9p-4, 0x1.6c5b8d36badb2p-4, 0x1.668cd626d176p-4, 0x1.60d058af2079fp-4, 0x1.5b25fefdea32ap-4, 0x1.558db2165a46p-4, 0x1.500759df430d7p-4, 0x1.4a92dd326e5afp-4, 0x1.453021ec936f2p-4, 0x1.3fdf0cfc1d786p-4, 0x1.3a9f826df38b2p-4, 0x1.35716579a59ddp-4, 0x1.3054988e73a92p-4, 0x1.2b48fd60ac648p-4, 0x1.264e74f5afafp-4, 0x1.2164dfae29558p-4, 0x1.1c8c1d4ff6dfcp-4, 0x1.17c40d10f5c2ap-4, 0x1.130c8da230376p-4, 0x1.0e657d39d7cb6p-4, 0x1.09ceb99b9066ap-4, 0x1.054820203c20fp-4, 0x1.00d18dbe98f75p-4, 0x1.f8d5be290e13fp-5, 0x1.f027e0df334d7p-5, 0x1.e7993ba81c27ep-5, 0x1.df298605a6e92p-5, 0x1.d6d8770000305p-5, 0x1.cea5c5346c18cp-5, 0x1.c69126e41fe56p-5, 0x1.be9a5200c74d2p-5, 0x1.b6c0fc364a706p-5, 0x1.af04daf3f6e32p-5, 0x1.a765a3772b09ap-5, 0x1.9fe30ad77e277p-5, 0x1.987cc61257782p-5, 0x1.91328a14113e7p-5, 0x1.8a040bbee8df1p-5, 0x1.82f0fff1d7c3ep-5, 0x1.7bf91b9101372p-5, 0x1.751c138f70f5fp-5, 0x1.6e599cf835cd6p-5, 0x1.67b16cf53f0fcp-5, 0x1.612338d4482e7p-5, 0x1.5aaeb60ba66bbp-5, 0x1.54539a407e7bcp-5, 0x1.4e119b4e54b6dp-5, 0x1.47e86f4e5c8e8p-5, 0x1.41d7cc9cf9af9p-5, 0x1.3bdf69dd586ebp-5, 0x1.35fefdfc7b944p-5, 0x1.30364035477c3p-5, 0x1.2a84e815f9b83p-5, 0x1.24eaad8602287p-5, 0x1.1f6748cac5106p-5, 0x1.19fa728a9c387p-5, 0x1.14a3e3cebd2d7p-5, 0x1.0f63560559e7dp-5, 0x1.0a388304ee46fp-5, 0x1.0523251082c83p-5, 0x1.0022f6dbd155dp-5, 0x1.f66f671c7ca1fp-6, 0x1.ecc22d88da607p-6, 0x1.e33db92273359p-6, 0x1.d9e182fe1e513p-6, 0x1.d0ad05247a1ccp-6, 0x1.c79fba9800c9bp-6, 0x1.beb91f5ab6d6ep-6, 0x1.b5f8b07200b5ep-6, 0x1.ad5debe85ed14p-6, 0x1.a4e850ce15075p-6, 0x1.9c975f3a588bap-6, 0x1.946a984dea4b6p-6, 0x1.8c617e36e9c1ep-6, 0x1.847b9434b0f27p-6, 0x1.7cb85e9a7c2b8p-6, 0x1.751762d074b99p-6, 0x1.6d982753aa915p-6, 0x1.663a33b5ea177p-6, 0x1.5efd109e83f94p-6, 0x1.57e047cc1746cp-6, 0x1.50e36416d8cd7p-6, 0x1.4a05f17278a46p-6, 0x1.43477ceee9503p-6, 0x1.3ca794b824a7ap-6, 0x1.3625c8155803cp-6, 0x1.2fc1a76841b3p-6, 0x1.297ac42d3a1edp-6, 0x1.2350b0fbe7f09p-6, 0x1.1d430188365c3p-6, 0x1.17514aa2e6c99p-6, 0x1.117b2239712a6p-6, 0x1.0bc01f5524343p-6, 0x1.061fda19ecf09p-6, 0x1.0099ebc52dc83p-6, 0x1.f65bdd5a06a98p-7, 0x1.ebb6fc7ffed57p-7, 0x1.e1446e0a360cdp-7, 0x1.d7036d36f6602p-7, 0x1.ccf33773a115cp-7, 0x1.c3130c5a60f95p-7, 0x1.b9622daf4343fp-7, 0x1.afdfdf5d19a09p-7, 0x1.a68b6772d3d16p-7, 0x1.9d640e21525ddp-7, 0x1.94691db9c32cap-7, 0x1.8b99e2ac07f8p-7, 0x1.82f5ab84b76d5p-7, 0x1.7a7bc8ea95c87p-7, 0x1.722b8d9b7840cp-7, 0x1.6a044e68dc76bp-7, 0x1.620562346d958p-7, 0x1.5a2e21ecce6aep-7, 0x1.527de88abac0cp-7, 0x1.4af4130e6102ap-7, 0x1.4390007cea0bfp-7, 0x1.3c5111dd58a49p-7, 0x1.3536aa35a07p-7, 0x1.2e402e87151b1p-7, 0x1.276d05cab9ba1p-7, 0x1.20bc98ed7eb48p-7, 0x1.1a2e52cca46b4p-7, 0x1.13c1a03245fbbp-7, 0x1.0d75efd20e172p-7, 0x1.074ab24604574p-7, 0x1.013f5a0b28546p-7, 0x1.f6a6b6fbf840ap-8, 0x1.eb0c59ad90c52p-8, 0x1.dfae8c4b92787p-8, 0x1.d48c429e8e16cp-8, 0x1.c9a4740f57e42p-8, 0x1.bef61b9f7a38bp-8, 0x1.b48037e1cbccbp-8, 0x1.aa41caf34630fp-8, 0x1.a039da73cda4fp-8, 0x1.96676f7ecf8c2p-8, 0x1.8cc996a3a21e7p-8, 0x1.835f5fddab3d1p-8, 0x1.7a27de8c540d2p-8, 0x1.7122296b0aecdp-8, 0x1.684d5a892d7bfp-8, 0x1.5fa88f4240e44p-8, 0x1.5732e8363cb6p-8, 0x1.4eeb89421b4a2p-8, 0x1.46d1997866c44p-8, 0x1.3ee443199f846p-8, 0x1.3722b38c9c1fdp-8, 0x1.2f8c1b5683bc9p-8, 0x1.281fae12cc5e5p-8, 0x1.20dca26b13c32p-8, 0x1.19c2320edc1a9p-8, 0x1.12cf99ab98f5ap-8, 0x1.0c0418e4c2af4p-8, 0x1.055ef24c0e6d1p-8, 0x1.fdbed6b3fe238p-9, 0x1.f10998cc5cd23p-9, 0x1.e49cc1414be6fp-9, 0x1.d876ec11ec362p-9, 0x1.cc96bacff98cp-9, 0x1.c0fad48ec600fp-9, 0x1.b5a1e5d3db848p-9, 0x1.aa8aa086f365cp-9, 0x1.9fb3bbe1d906ep-9, 0x1.951bf46002d22p-9, 0x1.8ac20bae91a3cp-9, 0x1.80a4c89c6597ep-9, 0x1.76c2f70acd186p-9, 0x1.6d1b67df0ca6fp-9, 0x1.63acf0f4534d6p-9, 0x1.5a766d0e94bcbp-9, 0x1.5176bbcd7ba1ap-9, 0x1.48acc19f646a9p-9, 0x1.401767b36d4d4p-9, 0x1.37b59bea64f1ep-9, 0x1.2f8650c64fb37p-9, 0x1.27887d58b5913p-9, 0x1.1fbb1d3029f71p-9, 0x1.181d3046480dfp-9, 0x1.10adbaeef97fcp-9, 0x1.096bc5ca0e94ep-9, 0x1.02565db78c6f7p-9, 0x1.f6d9279cf6b3ep-10, 0x1.e95afaaa6346ep-10, 0x1.dc30677370c1ep-10, 0x1.cf57a9105fccbp-10, 0x1.c2cf02bc64432p-10, 0x1.b694bfb409147p-10, 0x1.aaa7330c03968p-10, 0x1.9f04b7833cbe5p-10, 0x1.93abaf5472c2ep-10, 0x1.889a840cbb602p-10, 0x1.7dcfa66ae3e9bp-10, 0x1.73498e4b013cbp-10, 0x1.6906ba9d2157fp-10, 0x1.5f05b1640839fp-10, 0x1.5544ffb8a3b5ep-10, 0x1.4bc339c39580fp-10, 0x1.427efab3a5be1p-10, 0x1.3976e49fee037p-10, 0x1.30a9a05de203ep-10, 0x1.2815dd4b1657p-10, 0x1.1fba511267ee5p-10, 0x1.1795b774b926fp-10, 0x1.0fa6d21cce416p-10, 0x1.07ec6883f5a92p-10, 0x1.006547e8d3392p-10, 0x1.f22086ac1e4cfp-11, 0x1.e3d86763ba354p-11, 0x1.d5efef9bda468p-11, 0x1.c864e8db8b70ep-11, 0x1.bb352879ef241p-11, 0x1.ae5e8f620ab17p-11, 0x1.a1df09b27242fp-11, 0x1.95b48e430d2b4p-11, 0x1.89dd1e245039dp-11, 0x1.7e56c42b4b676p-11, 0x1.731f949b9d9acp-11, 0x1.6835acfa2a5e2p-11, 0x1.5d973407b9926p-11, 0x1.534259dc46d2p-11, 0x1.49355811e451cp-11, 0x1.3f6e71ebfdc88p-11, 0x1.35ebf469fa6ccp-11, 0x1.2cac3638d76eep-11, 0x1.23ad977f21edcp-11, 0x1.1aee818783dacp-11, 0x1.126d6654103bep-11, 0x1.0a28c02a1f15p-11, 0x1.021f11274cef5p-11, 0x1.f49dc5dfec97bp-12, 0x1.e56d8d03af015p-12, 0x1.d6aaa85b02c47p-12, 0x1.c852575e9bb06p-12, 0x1.ba61e8adfa972p-12, 0x1.acd6ba55a9066p-12, 0x1.9fae39e623aa9p-12, 0x1.92e5e44bf3b2p-12, 0x1.867b456dc4aa1p-12, 0x1.7a6bf7ac4bfcdp-12, 0x1.6eb5a345f259ep-12, 0x1.6355fdb83e03ep-12, 0x1.584ac94c49df7p-12, 0x1.4d91d49232c64p-12, 0x1.4328f9ed4ea2cp-12, 0x1.390e1f43e5297p-12, 0x1.2f3f35dba77a1p-12, 0x1.25ba3a8b2b66p-12, 0x1.1c7d35fa47681p-12, 0x1.13863cf5c6521p-12, 0x1.0ad37087ec6a8p-12, 0x1.0262fdb27fb54p-12, 0x1.f46639a304717p-13, 0x1.e48421b2a4247p-13, 0x1.d51c4d689b7b1p-13, 0x1.c62b69ed51b15p-13, 0x1.b7ae37d19d3a9p-13, 0x1.a9a18b6ffaa6p-13, 0x1.9c024d05bbf92p-13, 0x1.8ecd7826140b1p-13, 0x1.82001a99eca84p-13, 0x1.759753321fd2bp-13, 0x1.6990512d700a4p-13, 0x1.5de854818cf12p-13, 0x1.529caed50af1p-13, 0x1.47aac4222dbdep-13, 0x1.3d100b1055ef1p-13, 0x1.32ca0b5d9d249p-13, 0x1.28d65c0068d5ep-13, 0x1.1f32a11f7d226p-13, 0x1.15dc8b189462dp-13, 0x1.0cd1d73f73757p-13, 0x1.041051472c0f7p-13, 0x1.f72baa621bd36p-14, 0x1.e6c0a0261ae48p-14, 0x1.d6db7e3801928p-14, 0x1.c7785ae081e76p-14, 0x1.b893638dd4c77p-14, 0x1.aa28d9f5db94dp-14, 0x1.9c3514540f32dp-14, 0x1.8eb4802b19fffp-14, 0x1.81a3a57d37982p-14, 0x1.74ff28304d413p-14, 0x1.68c3c6657f7e8p-14, 0x1.5cee545384885p-14, 0x1.517bb7abd9c18p-14, 0x1.4668e4f6821b3p-14, 0x1.3bb2dffb3bc46p-14, 0x1.3156bf389fb97p-14, 0x1.2751aff76ae07p-14, 0x1.1da0f8f041845p-14, 0x1.1441f9fce46ep-14, 0x1.0b3228fffb837p-14, 0x1.026f0d90dc9f4p-14, 0x1.f3ec7af0a2b24p-15, 0x1.e38ab71589f7bp-15, 0x1.d3b4320fa157ep-15, 0x1.c4647078e9e2ap-15, 0x1.b5971cffcda5ap-15, 0x1.a748087257e3cp-15, 0x1.997326283aee3p-15, 0x1.8c1487035c8c3p-15, 0x1.7f2855a46cc62p-15, 0x1.72aad4f11f99ap-15, 0x1.66985fce2aceep-15, 0x1.5aed692a6836p-15, 0x1.4fa67bd14215ep-15, 0x1.44c03a7f3b6a6p-15, 0x1.3a37607c0f62ap-15, 0x1.3008c2189b441p-15, 0x1.26314bcff51f4p-15, 0x1.1cae00cb70393p-15, 0x1.137bfa3ab0ec9p-15, 0x1.0a98692ff0febp-15, 0x1.020099b6453e9p-15, 0x1.f363e783d50e5p-16, 0x1.e353efa25954cp-16, 0x1.d3cc726402de8p-16, 0x1.c4c8b5b59f47fp-16, 0x1.b644241f3011p-16, 0x1.a83a592e733b6p-16, 0x1.9aa72840e2d48p-16, 0x1.8d8693bd5ed8bp-16, 0x1.80d4b78a212e2p-16, 0x1.748db4f2cdd47p-16, 0x1.68adadbc6ba18p-16, 0x1.5d30cfb35b19bp-16, 0x1.5213650164f3p-16, 0x1.4751dc3193481p-16, 0x1.3ce8c529cf9fap-16, 0x1.32d4cad7a47b7p-16, 0x1.2912b3e7245ecp-16, 0x1.1f9f69956aed2p-16, 0x1.1677fe8e5c049p-16, 0x1.0d99ac3dde6a7p-16, 0x1.0501c79a699fep-16, 0x1.f95b6f783aebdp-17, 0x1.e935f11a35cd3p-17, 0x1.d98e4fcca630cp-17, 0x1.ca601e75f8b9ep-17, 0x1.bba73991dead7p-17, 0x1.ad5f9c2c2b0c9p-17, 0x1.9f8537a21b4ap-17, 0x1.9213ebd33733p-17, 0x1.85079ee7db9cbp-17, 0x1.785c5aa15b4a5p-17, 0x1.6c0e596088be2p-17, 0x1.601a02191e485p-17, 0x1.547bddd6897b5p-17, 0x1.49308e4108259p-17, 0x1.3e34c80c89fafp-17, 0x1.3385539ebe187p-17, 0x1.291f13aaaa21dp-17, 0x1.1eff0fd746f24p-17, 0x1.15227c714e2cep-17, 0x1.0b86bdd9fa276p-17, 0x1.02296cf4721a1p-17, 0x1.f210ad9e1c4eap-18, 0x1.e042e0e1f7fdcp-18, 0x1.cee57e2404cep-18, 0x1.bdf485f334aa2p-18, 0x1.ad6be8d89b76bp-18, 0x1.9d47a5db0883ap-18, 0x1.8d83e72a1b2dcp-18, 0x1.7e1d09e59de22p-18, 0x1.6f0f90d421c1ep-18, 0x1.60581f7d11015p-18, 0x1.51f38025c056bp-18, 0x1.43dea73cd2abep-18, 0x1.3616acd442548p-18, 0x1.2898c14501519p-18, 0x1.1b6225c2ed7fap-18, 0x1.0e702c4c05a23p-18, 0x1.01c03b40a82e7p-18, 0x1.ea9fa4747b584p-19, 0x1.d2392a6b1653fp-19, 0x1.ba48be45ca9a7p-19, 0x1.a2ca955409f3fp-19, 0x1.8bbb3c16c723dp-19, 0x1.75174bb9b557p-19, 0x1.5edb46fcc3b77p-19, 0x1.4903becbfde19p-19, 0x1.338d8820a0f2bp-19, 0x1.1e75bd685aee5p-19, 0x1.09b9951670eecp-19, 0x1.eaac949e0e3b5p-20, 0x1.c2924fd7e469dp-20, 0x1.9b1f322b2d35ap-20, 0x1.744e6351cfd7dp-20, 0x1.4e1b61d41fab7p-20, 0x1.2881fbcc36db5p-20, 0x1.037e3c495c951p-20, 0x1.be18b54189e17p-21, 0x1.76516c187b685p-21, 0x1.2f9fb5e80d562p-21, 0x1.d3fa1fca549fcp-22, 0x1.4ac6b9cf1f29ap-22, 0x1.8733688f17fc8p-23, 0x1.f341a9661e947p-25, -0x1.1360c62e62acp-24, -0x1.8c63093c49d1ap-23, -0x1.45ad32c765669p-22, -0x1.c353ee8f64231p-22, -0x1.1f96e30872113p-21, -0x1.5ca12170eb0b7p-21, -0x1.98cc3475032c7p-21, -0x1.d41b66ee130b7p-21, -0x1.0748f4d7635c7p-20, -0x1.24196b28d5123p-20, -0x1.40808afc3bda2p-20, -0x1.5c7fa8b3ce418p-20, -0x1.7817f5efe9ccp-20, -0x1.934a7d3cabb02p-20, -0x1.ae182da0ee8d4p-20, -0x1.c881f4a1d26fbp-20, -0x1.e288cd232270ap-20, -0x1.fc2dc12a4a33p-20, -0x1.0ab8e7c14fd5cp-19, -0x1.172ae355a50dep-19, -0x1.236d1f323628ep-19, -0x1.2f7fd5ae025fbp-19, -0x1.3b633b9689c1dp-19, -0x1.47179444883fcp-19, -0x1.529d3b23a11d9p-19, -0x1.5df48b3fb8831p-19, -0x1.691dc8e1910efp-19, -0x1.74192b4770bbdp-19, -0x1.7ee6e6442c907p-19, -0x1.898720d5b9e3dp-19, -0x1.93f9f3c0df3fdp-19, -0x1.9e3f79cf2728cp-19, -0x1.a857e02943041p-19, -0x1.b243638b0b06p-19, -0x1.bc023a926ed9ap-19, -0x1.c59486e4957c2p-19, -0x1.cefa5d944c9c2p-19, -0x1.d833d66c04781p-19, -0x1.e14113e3952dcp-19, -0x1.ea22462e4d467p-19, -0x1.f2d7a282815fbp-19, -0x1.fb614abaf1f57p-19, -0x1.01dfa1091638cp-18, -0x1.05f8c10316937p-18, -0x1.09fc07ea325a8p-18, -0x1.0de9858de3752p-18, -0x1.11c15bc6c82cfp-18, -0x1.1583a7885402cp-18, -0x1.193072b3852b6p-18, -0x1.1cc7c1fa17355p-18, -0x1.2049ac70ed82ep-18, -0x1.23b642d5c876bp-18, -0x1.270d95ba8c6ffp-18, -0x1.2a4fb734638a6p-18, -0x1.2d7cb9fd3f8d3p-18, -0x1.3094ad41aa3fcp-18, -0x1.33979c0d73e94p-18, -0x1.3685925237318p-18, -0x1.395e9b4f94bc3p-18, -0x1.3c22cd552c848p-18, -0x1.3ed2478c8edeep-18, -0x1.416d28489a0cfp-18, -0x1.43f3859505b63p-18, -0x1.466575b33606ap-18, -0x1.48c312e7a9e73p-18, -0x1.4b0c6f5ae2ac7p-18, -0x1.4d4195ca35844p-18, -0x1.4f6299a9cdcd6p-18, -0x1.516f96dd2c71dp-18, -0x1.5368adc1e78d5p-18, -0x1.554e0012d2d64p-18, -0x1.571fa39845abcp-18, -0x1.58ddb42354f17p-18, -0x1.5a885723a39p-18, -0x1.5c1faae8cb0d6p-18, -0x1.5da3cbca09d56p-18, -0x1.5f14d86ba0e52p-18, -0x1.6072f02f84dfap-18, -0x1.61be321da055ap-18, -0x1.62f6c4d97e90dp-18, -0x1.641cb329ce36p-18, -0x1.65304201b867ap-18, -0x1.66317d7114ce8p-18, -0x1.672098c116024p-18, -0x1.67fdb7b7c4175p-18, -0x1.68c8fdeb3d7d5p-18, -0x1.69828dbcc7035p-18, -0x1.6a2a8bb567efcp-18, -0x1.6ac11f0cefbdcp-18, -0x1.6b466f894f3fp-18, -0x1.6bbaa48b0b7a6p-18, -0x1.6c1de66b43e25p-18, -0x1.6c70609648369p-18, -0x1.6cb23b9606b2fp-18, -0x1.6ce39fe9967e5p-18, -0x1.6d04b4c57b238p-18, -0x1.6d15a6c5a6106p-18, -0x1.6d16a626e0213p-18, -0x1.6d07dd7461c7ap-18, -0x1.6ce97898b84e8p-18, -0x1.6cbba51d72b82p-18, -0x1.6c7e908755079p-18, -0x1.6c3268f96a635p-18, -0x1.6bd75d85f9b6p-18, -0x1.6b6d949f0221fp-18, -0x1.6af54132a3ddbp-18, -0x1.6a6e93e47411dp-18, -0x1.69d9ba86b1543p-18, -0x1.6936e46cf68d4p-18, -0x1.688642af0b22ep-18, -0x1.67c803dc7788ep-18, -0x1.66fc57843f6b6p-18, -0x1.66236cf81cee2p-18, -0x1.653d748d5ad67p-18, -0x1.644a9f898d2ccp-18, -0x1.634b1ebaf62f2p-18, -0x1.623f2292df323p-18, -0x1.6126dd883e68fp-18, -0x1.600281034a66bp-18, -0x1.5ed23a4d2c8dep-18, -0x1.5d963a0874506p-18, -0x1.5c4eb2e86b8d1p-18, -0x1.5afbd694ae848p-18, -0x1.599dd44faea03p-18, -0x1.5834de0eb64b5p-18, -0x1.56c12673a50bbp-18, -0x1.5542de1d59cb7p-18, -0x1.53ba359a6a7dbp-18, -0x1.52275df31ec0bp-18, -0x1.508a883452b83p-18, -0x1.4ee3e5494d7bcp-18, -0x1.4d33a603797c1p-18, -0x1.4b79fb2612099p-18, -0x1.49b7156a456c5p-18, -0x1.47eb2574a74eap-18, -0x1.46165bb20ac38p-18, -0x1.4438e83f0c783p-18, -0x1.4252fae256bf7p-18, -0x1.4064c32a99655p-18, -0x1.3e6e70975f393p-18, -0x1.3c7032bd8e32p-18, -0x1.3a6a392b2b2ffp-18, -0x1.385cb305b40e7p-18, -0x1.3647cefb2b5cfp-18, -0x1.342bbbdc2098p-18, -0x1.3208a7ece4651p-18, -0x1.2fdec00805433p-18, -0x1.2dae32a43ac3ap-18, -0x1.2b772ded975e9p-18, -0x1.2939df794fd48p-18, -0x1.26f671bad6517p-18, -0x1.24ad135d5c87bp-18, -0x1.225df0ce88268p-18, -0x1.200935dc64309p-18, -0x1.1daf0e5fb5ebp-18, -0x1.1b4fa5a9bce43p-18, -0x1.18eb267a5b87ap-18, -0x1.1681bc7e404a3p-18, -0x1.141390eff538dp-18, -0x1.11a0ccb062eeep-18, -0x1.0f299c34e095cp-18, -0x1.0cae27cd8b7e7p-18, -0x1.0a2e9847ed8cfp-18, -0x1.07ab164a30a75p-18, -0x1.0523ca10cac4ep-18, -0x1.0298db6f3e77fp-18, -0x1.000a71d579c9bp-18, -0x1.faf168a8d04f5p-19, -0x1.f5c7934694a8bp-19, -0x1.f097b03bcb8e2p-19, -0x1.eb620b61ed5eep-19, -0x1.e626ef9749c62p-19, -0x1.e0e6a704b9314p-19, -0x1.dba17b1ff6a26p-19, -0x1.d657b41259293p-19, -0x1.d10999f86fd76p-19, -0x1.cbb7739880d44p-19, -0x1.c66186eae4f0ep-19, -0x1.c108193420d6ap-19, -0x1.bbab6ee139e39p-19, -0x1.b64bcb9d27cd3p-19, -0x1.b0e97232d879fp-19, -0x1.ab84a3ed44e9cp-19, -0x1.a61da1be3bfefp-19, -0x1.a0b4ac495b95dp-19, -0x1.9b4a00b6aaca1p-19, -0x1.95dde1a4b16e5p-19, -0x1.907089a1c6689p-19, -0x1.8b0239ac2866p-19, -0x1.8593272787aa2p-19, -0x1.8023902dab90bp-19, -0x1.7ab3aece2e0ebp-19, -0x1.7543bc54e7a3p-19, -0x1.6fd3f10fa5a62p-19, -0x1.6a64849f2fecep-19, -0x1.64f5af388618bp-19, -0x1.5f87a247d01fp-19, -0x1.5a1a973470085p-19, -0x1.54aec0bfb3046p-19, -0x1.4f445244cabddp-19, -0x1.49db7e32cc148p-19, -0x1.4474760a1ccc2p-19, -0x1.3f0f688b12674p-19, -0x1.39ac8c66696fcp-19, -0x1.344c0c80f89d6p-19, -0x1.2eee1153c3cc5p-19, -0x1.2992d1a47ca54p-19, -0x1.243a75d3c5ad5p-19, -0x1.1ee52a17fb4fep-19, -0x1.199319907f186p-19, -0x1.14446e7aaf348p-19, -0x1.0ef952431b31p-19, -0x1.09b1ed82d15fdp-19, -0x1.046e680b8c585p-19, -0x1.fe5dd1c80571fp-20, -0x1.f3e72c92ffbacp-20, -0x1.e9792b6308252p-20, -0x1.df141795e676ep-20, -0x1.d4b838fe45327p-20, -0x1.ca65d5e51f113p-20, -0x1.c01d330b0422dp-20, -0x1.b5de93abd593p-20, -0x1.abaa3986128c6p-20, -0x1.a18064e121b2dp-20, -0x1.9761548f90721p-20, -0x1.8d4d45efe5fa5p-20, -0x1.834474ede29bap-20, -0x1.79471c002e053p-20, -0x1.6f5574208b9p-20, -0x1.656fb4d70b418p-20, -0x1.5b96146360765p-20, -0x1.51c8c7b97dbbcp-20, -0x1.4808025ed041fp-20, -0x1.3e53f64869f5cp-20, -0x1.34acd424812e7p-20, -0x1.2b12cb97efd2ap-20, -0x1.21860aae95d43p-20, -0x1.1806be022a38ap-20, -0x1.0e951093ea0a6p-20, -0x1.05312d5efde23p-20, -0x1.f7b693cb73d4bp-21, -0x1.e526d2d0141fep-21, -0x1.d2b3afa911ca9p-21, -0x1.c05d58e4dd5adp-21, -0x1.ae2419dd5d2fdp-21, -0x1.9c08384f42467p-21, -0x1.8a0967e2523c1p-21, -0x1.7828a78f41c86p-21, -0x1.6667327496cc2p-21, -0x1.54c3335168bc1p-21, -0x1.433dcfa6ee269p-21, -0x1.31d73ab96ec35p-21, -0x1.208fa835cb952p-21, -0x1.0f674ad3d4ef8p-21, -0x1.fcbcb2a56e54fp-22, -0x1.dae9fdd1592d7p-22, -0x1.b956b7773aae2p-22, -0x1.980357c5a2d28p-22, -0x1.76f02f0354698p-22, -0x1.561d832a19a99p-22, -0x1.358b9ff5024dep-22, -0x1.153acc23feca7p-22, -0x1.ea568a9ae64cp-23, -0x1.aaba9bbb9dd1p-23, -0x1.6ba248c641e0cp-23, -0x1.2d0dfb12710dbp-23, -0x1.ddfc2cc1a1454p-24, -0x1.62e602633b791p-24, -0x1.d1b44f0170075p-25, -0x1.bf65003d84607p-26, 0x1.0383a032c58e4p-29, 0x1.fc159ab6e1a91p-26, 0x1.e9c43ffd0e8a1p-25, 0x1.69b1d5afef4e5p-24, 0x1.dd748f1acb486p-24, 0x1.28145bbf57efp-23, 0x1.60e7a5a2e7dedp-23, 0x1.9933caa97a12fp-23, 0x1.d0f8b28877eb5p-23, 0x1.041b24f7bf335p-22, 0x1.1f763e5705579p-22, 0x1.3a8dad4efe1fbp-22, 0x1.556165d5831f2p-22, 0x1.6ff16b162d3e2p-22, 0x1.8a3dc24419585p-22, 0x1.a44672545c5d5p-22, 0x1.be0b84c06c2afp-22, 0x1.d78d056bf6003p-22, 0x1.f0cb02a837575p-22, 0x1.04e2c6a0289b3p-21, 0x1.113e5c3625945p-21, 0x1.1d784cd84fe09p-21, 0x1.2990a470909ebp-21, 0x1.35877017bc80ep-21, 0x1.415cbe3c42791p-21, 0x1.4d109e2ad089p-21, 0x1.58a31ff928563p-21, 0x1.641454d4673ebp-21, 0x1.6f644ea4090e4p-21, 0x1.7a932256a280ep-21, 0x1.85a0e359d4be5p-21, 0x1.908da6961c9b8p-21, 0x1.9b5982a5bfddap-21, 0x1.a6048eab5de8bp-21, 0x1.b08ee2a5ea0bdp-21, 0x1.baf8977552029p-21, 0x1.c541c6d52022ep-21, 0x1.cf6a8b549e22p-21, 0x1.d973004b68cf1p-21, 0x1.e35b41a8cfc01p-21, 0x1.ed236a1ee9fb2p-21, 0x1.f6cbb3d1b9ec3p-21, 0x1.0029f767e6471p-20, 0x1.04de4a585f54p-20, 0x1.0982cbe23841fp-20, 0x1.0e178f8968f13p-20, 0x1.129ca649b9a5bp-20, 0x1.171221227787ep-20, 0x1.1b78115825d94p-20, }}, 
      {{-0x1.59716274856f7p-14, -0x1.2b30c93a87accp-12, -0x1.8284b90538c5fp-11, -0x1.c40ea9279d157p-10, -0x1.c791abe3f905dp-9, -0x1.8caefa6e1d7c2p-8, -0x1.3276dc5a1d853p-7, -0x1.af2f87eae974dp-7, -0x1.19dd3461f9282p-6, -0x1.5b930689dde8ep-6, -0x1.98a415dec30f9p-6, -0x1.cd987b69f941p-6, -0x1.f7a61c48ff9ebp-6, -0x1.0a55a2dbab219p-5, -0x1.1190225f14538p-5, -0x1.1103851499cep-5, -0x1.086dd6f9ec1aap-5, -0x1.ef864a920762ep-6, -0x1.be4db8dc76ee6p-6, -0x1.7dca9dc8aa66p-6, -0x1.2eda6980004c5p-6, -0x1.a524827dd1b83p-7, -0x1.a8c816c4332c1p-8, 0x1.1d066cc2bfe61p-11, 0x1.0a97a5987e633p-7, 0x1.09804c874685ep-6, 0x1.940e476a6ca6bp-6, 0x1.11c39e30341a4p-5, 0x1.5b45c2d1bbe18p-5, 0x1.a5e776fea1a53p-5, 0x1.f10df118e39f5p-5, 0x1.1e155c201101cp-4, 0x1.435e11a075fa8p-4, 0x1.6826b7ed1d853p-4, 0x1.8c3b4504efac1p-4, 0x1.af6dcc009721bp-4, 0x1.d1962ebfbf38p-4, 0x1.f291c399ada1fp-4, 0x1.09217a963cc78p-3, 0x1.1848702884725p-3, 0x1.26b379bc8a935p-3, 0x1.345a49294bb39p-3, 0x1.41365fa4f6abcp-3, 0x1.4d42e58672ea7p-3, 0x1.587c84d33828p-3, 0x1.62e1468474b8ep-3, 0x1.6c70728244f3dp-3, 0x1.752a722b2ad44p-3, 0x1.7d10b505cae81p-3, 0x1.842597291a068p-3, 0x1.8a6c49027e5b2p-3, 0x1.8fe8b84b64e5p-3, 0x1.949f7a1ef77a9p-3, 0x1.9895b62a50c2bp-3, 0x1.9bd112ed5fbbcp-3, 0x1.9e57a301f735p-3, 0x1.a02fd35ff2aa9p-3, 0x1.a1605a985f1f1p-3, 0x1.a1f0290b91d33p-3, 0x1.a1e65a200a5ap-3, 0x1.a14a2681a038bp-3, 0x1.a022d770f849ap-3, 0x1.9e77bb25108ddp-3, 0x1.9c501a4146a31p-3, 0x1.99b32e5bde483p-3, 0x1.96a81990e31fbp-3, 0x1.9335df193d80cp-3, 0x1.8f635cdc6a612p-3, 0x1.8b3745f1e5acbp-3, 0x1.86b81e049164ap-3, 0x1.81ec358c14a8p-3, 0x1.7cd9a6cb9237bp-3, 0x1.77865388ab758p-3, 0x1.71f7e3673f60dp-3, 0x1.6c33c2de270eep-3, 0x1.663f22aa9c0dfp-3, 0x1.601ef7be1dbcp-3, 0x1.59d7fb86b6fa6p-3, 0x1.536eac90e017bp-3, 0x1.4ce74f71d89p-3, 0x1.4645efdedc1a9p-3, 0x1.3f8e621927fd8p-3, 0x1.38c444497a574p-3, 0x1.31eb0045aadcbp-3, 0x1.2b05cd29b06b4p-3, 0x1.2417b119dae19p-3, 0x1.1d23834198901p-3, 0x1.162bed39009bfp-3, 0x1.0f336d5d92c3ep-3, 0x1.083c58034da52p-3, 0x1.0148d98f6365dp-3, 0x1.f4b5f07503401p-4, 0x1.e6e92a77001f1p-4, 0x1.d92ede740863bp-4, 0x1.cb8a4670990fcp-4, 0x1.bdfe5ce60502ep-4, 0x1.b08de06da3a07p-4, 0x1.a33b5540ea936p-4, 0x1.960909a00717fp-4, 0x1.88f917d7f395cp-4, 0x1.7c0d68533c759p-4, 0x1.6f47b5770ac9bp-4, 0x1.62a98cac710ccp-4, 0x1.5634512a2d407p-4, 0x1.49e93eb0758bfp-4, 0x1.3dc96a8d69639p-4, 0x1.31d5c6982cf3ep-4, 0x1.260f22ff3971fp-4, 0x1.1a762fbe204d4p-4, 0x1.0f0b7f2a560bfp-4, 0x1.03cf8763f5a85p-4, 0x1.f18547f16a864p-5, 0x1.dbca2fbcf5448p-5, 0x1.c66e1dbbdb593p-5, 0x1.b1713df5f7529p-5, 0x1.9cd3942f8a85cp-5, 0x1.8894febca113p-5, 0x1.74b5389de8f97p-5, 0x1.6133dc8435eabp-5, 0x1.4e10677d9fdddp-5, 0x1.3b4a3a987bce2p-5, 0x1.28e09d9c14385p-5, 0x1.16d2c1a7762bcp-5, 0x1.051fc27995bd9p-5, 0x1.e78d518036aa7p-6, 0x1.c58cd93c97e19p-6, 0x1.a43bedcddf92cp-6, 0x1.83984568a6021p-6, 0x1.639f7f74cf9c8p-6, 0x1.444f2764ad4bdp-6, 0x1.25a4b67c65fdfp-6, 0x1.079d9751937e4p-6, 0x1.d46e5261480a8p-7, 0x1.9add82b6f44cdp-7, 0x1.628359913f724p-7, 0x1.2b5a66bdd367dp-7, 0x1.eaba672637a48p-8, 0x1.810c881d892a9p-8, 0x1.19a034e99bda7p-8, 0x1.68d4f00e397b3p-9, 0x1.458196b92935bp-10, -0x1.f11c5a54050a3p-13, -0x1.b970c60d1674ep-10, -0x1.96487d478a16dp-9, -0x1.25eba8615c5ebp-8, -0x1.7ebcf301459d9p-8, -0x1.d5a284bb38f99p-8, -0x1.15534fea08081p-7, -0x1.3ee9b0bd50603p-7, -0x1.67996169cf959p-7, -0x1.8f674b1645f0bp-7, -0x1.b658414990e85p-7, -0x1.dc710164ae96fp-7, -0x1.00db199654218p-6, -0x1.13163437ac322p-6, -0x1.24ec0dccfcafap-6, -0x1.365ed7634724bp-6, -0x1.4770b608f5761p-6, -0x1.5823c328b9ca6p-6, -0x1.687a0c41b4268p-6, -0x1.787592459fa5p-6, -0x1.8818498f9aff6p-6, -0x1.97641a7a26aacp-6, -0x1.a65ae190722e9p-6, -0x1.b4fe6f11e7496p-6, -0x1.c35086b50ef7ep-6, -0x1.d152e00e84a9cp-6, -0x1.df072709a006p-6, -0x1.ec6efbe5ac156p-6, -0x1.f98bf30265901p-6, -0x1.032fca78ec6afp-5, -0x1.0975af64012c7p-5, -0x1.0f98613d7a733p-5, -0x1.1598938b6164ap-5, -0x1.1b76f45d6129fp-5, -0x1.21342c4c08f0bp-5, -0x1.26d0de98b2361p-5, -0x1.2c4da96fcb9b4p-5, -0x1.31ab2613d5835p-5, -0x1.36e9e8d7d9e71p-5, -0x1.3c0a811c929c2p-5, -0x1.410d7979ab53fp-5, -0x1.45f3580174b9dp-5, -0x1.4abc9e680a03dp-5, -0x1.4f69ca037fbep-5, -0x1.53fb53d875c13p-5, -0x1.5871b0c52020cp-5, -0x1.5ccd51aea14edp-5, -0x1.610ea39f44352p-5, -0x1.65360fdc52a7p-5, -0x1.6943fc05fd6edp-5, -0x1.6d38ca3c0345ep-5, -0x1.7114d93045678p-5, -0x1.74d88435c5d49p-5, -0x1.78842368e0624p-5, -0x1.7c180be4abfc8p-5, -0x1.7f948fe4c78a3p-5, -0x1.82f9fec6b2bbcp-5, -0x1.8648a505f487bp-5, -0x1.8980cc5f30ae3p-5, -0x1.8ca2bc15372aap-5, -0x1.8faeb91ffdde3p-5, -0x1.92a5062a7289cp-5, -0x1.9585e37ffaa2bp-5, -0x1.98518f1acda0ep-5, -0x1.9b0844dfcdad3p-5, -0x1.9daa3edeed453p-5, -0x1.a037b5652f539p-5, -0x1.a2b0dee56496p-5, -0x1.a515efee3fa77p-5, -0x1.a7671b4eb64d8p-5, -0x1.a9a49254299aap-5, -0x1.abce84f47ee73p-5, -0x1.ade521cc3e7eap-5, -0x1.afe89606d2b5dp-5, -0x1.b1d90d60d48cfp-5, -0x1.b3b6b25503a96p-5, -0x1.b581ae52b9adcp-5, -0x1.b73a29d60d4e4p-5, -0x1.b8e04c5c8574dp-5, -0x1.ba743c5291586p-5, -0x1.bbf61f1bb7036p-5, -0x1.bd66193d05ab6p-5, -0x1.bec44e8d2e764p-5, -0x1.c010e2476aae2p-5, -0x1.c14bf6fd28d76p-5, -0x1.c275ae832514p-5, -0x1.c38e29f7dd0bdp-5, -0x1.c49589e764d76p-5, -0x1.c58bee76e3afdp-5, -0x1.c671777b89d5cp-5, -0x1.c7464472b5134p-5, -0x1.c80a746cbc23ap-5, -0x1.c8be26075495ap-5, -0x1.c96177858af3p-5, -0x1.c9f486f778ecfp-5, -0x1.ca77725819c63p-5, -0x1.caea57925a849p-5, -0x1.cb4d5471f2291p-5, -0x1.cba086937b8eep-5, -0x1.cbe40b677c2e2p-5, -0x1.cc18004c74d3p-5, -0x1.cc3c82b0c5614p-5, -0x1.cc51b0276daaep-5, -0x1.cc57a667491c4p-5, -0x1.cc4e833cb8a72p-5, -0x1.cc36647deecf8p-5, -0x1.cc0f680ea8d0cp-5, -0x1.cbd9abf4ae5d6p-5, -0x1.cb954e724cf21p-5, -0x1.cb426e17d457dp-5, -0x1.cae129c4b4564p-5, -0x1.ca71a09c7d99cp-5, -0x1.c9f3f1fbf26e7p-5, -0x1.c9683d78a43c5p-5, -0x1.c8cea2eda6905p-5, -0x1.c827428ec7ff2p-5, -0x1.c7723cf8372eep-5, -0x1.c6afb333b41bp-5, -0x1.c5dfc6b341421p-5, -0x1.c50299474947fp-5, -0x1.c4184d18c1a48p-5, -0x1.c32104ac987d2p-5, -0x1.c21ce2ef0edf8p-5, -0x1.c10c0b40a57e9p-5, -0x1.bfeea17e199dp-5, -0x1.bec4ca0092706p-5, -0x1.bd8ea997bc128p-5, -0x1.bc4c65821eae4p-5, -0x1.bafe2368a1605p-5, -0x1.b9a409604c395p-5, -0x1.b83e3df104fabp-5, -0x1.b6cce81d1cd27p-5, -0x1.b5502f6575843p-5, -0x1.b3c83bc867efbp-5, -0x1.b23535bc6c72dp-5, -0x1.b09746294b2cfp-5, -0x1.aeee9662eabaep-5, -0x1.ad3b5027c572p-5, -0x1.ab7d9da2c4b7bp-5, -0x1.a9b5a96e7d3ebp-5, -0x1.a7e39e96f6aa8p-5, -0x1.a607a89879ce8p-5, -0x1.a421f35b35bp-5, -0x1.a232ab2cf2525p-5, -0x1.a039fcbac3284p-5, -0x1.9e38150c7046p-5, -0x1.9c2d2182409d4p-5, -0x1.9a194fd464cebp-5, -0x1.97fcce127d6d3p-5, -0x1.95d7caa1dde88p-5, -0x1.93aa743a039c5p-5, -0x1.9174f9df49cebp-5, -0x1.8f378adc99516p-5, -0x1.8cf256bd2ce56p-5, -0x1.8aa58d47550e8p-5, -0x1.88515e78c7ba5p-5, -0x1.85f5fa83dba34p-5, -0x1.839391ccb10d9p-5, -0x1.812a54e5a4f78p-5, -0x1.7eba748a8c8d9p-5, -0x1.7c44219b23d8dp-5, -0x1.79c78d14db485p-5, -0x1.7744e80cab8fcp-5, -0x1.74bc63a979c7cp-5, -0x1.722e311f690c7p-5, -0x1.6f9a81abddcadp-5, -0x1.6d01869199aefp-5, -0x1.6a6371144c3d8p-5, -0x1.67c07273580fcp-5, -0x1.6518bbe40f8c2p-5, -0x1.626c7e8baa8b4p-5, -0x1.5fbbeb796df43p-5, -0x1.5d0733a13d99cp-5, -0x1.5a4e87d6cc128p-5, -0x1.579218c943f37p-5, -0x1.54d216ff01942p-5, -0x1.520eb2d0ea4eap-5, -0x1.4f481c6522f47p-5, -0x1.4c7e83a9733acp-5, -0x1.49b2184dcdbddp-5, -0x1.46e309bf8cddap-5, -0x1.4411872587486p-5, -0x1.413dbf5cc0bd8p-5, -0x1.3e67e0f5060d9p-5, -0x1.3b901a2cba38bp-5, -0x1.38b698eb39809p-5, -0x1.35db8ab9c2f2cp-5, -0x1.32ff1cbbacc0ep-5, -0x1.30217ba74e7f4p-5, -0x1.2d42d3c164011p-5, -0x1.2a6350dc01f1ep-5, -0x1.27831e590f274p-5, -0x1.24a2672ea86a8p-5, -0x1.21c155eaa1525p-5, -0x1.1ee014b1ff436p-5, -0x1.1bfecd3a15fffp-5, -0x1.191da8bad36b9p-5, -0x1.163ccfdc58014p-5, -0x1.135c6aa41c95ep-5, -0x1.107ca0679d75fp-5, -0x1.0d9d97c92699cp-5, -0x1.0abf76c1b34aap-5, -0x1.07e262b62da4p-5, -0x1.0506809259151p-5, -0x1.022bf4e0b1e78p-5, -0x1.fea5c7abab1a5p-6, -0x1.f8f6e290fe0bbp-6, -0x1.f34b8128b3debp-6, -0x1.eda3e8d8ecd74p-6, -0x1.e8005d50a36a1p-6, -0x1.e2612033ff496p-6, -0x1.dcc670f7139dep-6, -0x1.d7308cf95157ep-6, -0x1.d19fafe2d96p-6, -0x1.cc1414311092bp-6, -0x1.c68df3cef3ff6p-6, -0x1.c10d888d44034p-6, -0x1.bb930c52521d4p-6, -0x1.b61eb8e932413p-6, -0x1.b0b0c77113ff3p-6, -0x1.ab496f893ae0cp-6, -0x1.a5e8e66cb25abp-6, -0x1.a08f5e3b5dfe1p-6, -0x1.9b3d05a84d82bp-6, -0x1.95f2082f39207p-6, -0x1.90ae8ed195678p-6, -0x1.8b72c1369f5c9p-6, -0x1.863ec6ebd2777p-6, -0x1.8112c8741ea9p-6, -0x1.7beeefda1c15dp-6, -0x1.76d36893e0669p-6, -0x1.71c05eb0b8199p-6, -0x1.6cb5fd7799872p-6, -0x1.67b46dc510d62p-6, -0x1.62bbd48db33dep-6, -0x1.5dcc51e7c95eap-6, -0x1.58e600e392c02p-6, -0x1.5408f84a588aap-6, -0x1.4f354c255d5c4p-6, -0x1.4a6b0fba14a67p-6, -0x1.45aa5789076f2p-6, -0x1.40f33ad5ac5e6p-6, -0x1.3c45d454d43aap-6, -0x1.37a241ceeaa62p-6, -0x1.3308a2c12987fp-6, -0x1.2e791645a8fe2p-6, -0x1.29f3b8b7cafap-6, -0x1.2578a19d53144p-6, -0x1.2107e2502edfcp-6, -0x1.1ca185bbe786cp-6, -0x1.1845914583755p-6, -0x1.13f406b1dba86p-6, -0x1.0face6a4e2278p-6, -0x1.0b70333070551p-6, -0x1.073df1e3ca2dcp-6, -0x1.03162ce880738p-6, -0x1.fdf1e5ddf5235p-7, -0x1.f5ccabe26334fp-7, -0x1.edbcd22630e8cp-7, -0x1.e5c27c2f58aaep-7, -0x1.ddddc5e8b0a51p-7, -0x1.d60ec002b0155p-7, -0x1.ce556e42bd0ccp-7, -0x1.c6b1c80e5dc25p-7, -0x1.bf23bb0e593f7p-7, -0x1.b7ab2f5d42e47p-7, -0x1.b0480c66d7534p-7, -0x1.a8fa3d77cb3bp-7, -0x1.a1c1b50e3ceaep-7, -0x1.9a9e6e42ac8dep-7, -0x1.93906c142d289p-7, -0x1.8c97b6e269d36p-7, -0x1.85b458c67800dp-7, -0x1.7ee659a9fbdbp-7, -0x1.782dbbe922798p-7, -0x1.718a7a0a24993p-7, -0x1.6afc85c513daep-7, -0x1.6483c856b116fp-7, -0x1.5e2023f31cd61p-7, -0x1.57d176175a1aap-7, -0x1.51979a60c812bp-7, -0x1.4b726d7285db1p-7, -0x1.4561cf55a6361p-7, -0x1.3f65a4c790729p-7, -0x1.397dd726118fdp-7, -0x1.33aa5310c250ap-7, -0x1.2deb0645b7be4p-7, -0x1.283fdd7d9286bp-7, -0x1.22a8c2f3705ap-7, -0x1.1d259de43ec25p-7, -0x1.17b652d66ef78p-7, -0x1.125ac42d1fbfep-7, -0x1.0d12d28ae71fp-7, -0x1.07de5ccf9c499p-7, -0x1.02bd3fd72ba3dp-7, -0x1.fb5eacab12f24p-8, -0x1.f168f23dfcbddp-8, -0x1.e798ffcf22a6bp-8, -0x1.ddee84696287dp-8, -0x1.d469302728a4cp-8, -0x1.cb08b48361d9ap-8, -0x1.c1ccc385bd27ap-8, -0x1.b8b50e6716b64p-8, -0x1.afc14495efa3bp-8, -0x1.a6f113cf9823p-8, -0x1.9e44297c67bc2p-8, -0x1.95ba34f04dfdap-8, -0x1.8d52e9c8d79c9p-8, -0x1.850e0179d3b59p-8, -0x1.7ceb3b12b65e5p-8, -0x1.74ea589fb7984p-8, -0x1.6d0b1a4143dbap-8, -0x1.654d3820a894cp-8, -0x1.5db05d6160e13p-8, -0x1.5634266eced43p-8, -0x1.4ed8242c70308p-8, -0x1.479be39723e3bp-8, -0x1.407ef70f8c255p-8, -0x1.3980fd131f3edp-8, -0x1.32a1a0bd0bbb4p-8, -0x1.2be0933dc6bap-8, -0x1.253d81711fe1ep-8, -0x1.1eb80bafb9f6bp-8, -0x1.184fc5dac8b84p-8, -0x1.120441cba207p-8, -0x1.0bd520532949cp-8, -0x1.05c2200e27d7ep-8, -0x1.ff964152d9cd5p-9, -0x1.f3e02ba1d3ce8p-9, -0x1.e861da2c16b75p-9, -0x1.dd1ae36df6188p-9, -0x1.d20a78448cd75p-9, -0x1.c72f6deab30e9p-9, -0x1.bc88723050e72p-9, -0x1.b214529eeae7ap-9, -0x1.a7d232f4ca517p-9, -0x1.9dc19560ec00fp-9, -0x1.93e22d4f8ccc6p-9, -0x1.8a3391ba3bb43p-9, -0x1.80b4f7bd6358ap-9, -0x1.77651ea524196p-9, -0x1.6e4281006faffp-9, -0x1.654bbb0360f7cp-9, -0x1.5c7ff7127dffcp-9, -0x1.53df27ecd3984p-9, -0x1.4b69ecaedabc3p-9, -0x1.432125380335p-9, -0x1.3b056711cc9bep-9, -0x1.331693ebce7b4p-9, -0x1.2b53c076dddadp-9, -0x1.23bb6feb81242p-9, -0x1.1c4c0017f994ep-9, -0x1.1504116579bc5p-9, -0x1.0de2c04f1f218p-9, -0x1.06e79d7e72fb7p-9, -0x1.00126ab9c4457p-9, -0x1.f2c570d02a938p-10, -0x1.e5af1f7f6f78bp-10, -0x1.d8deb45e27445p-10, -0x1.cc50489eedfap-10, -0x1.c0005cbc0e932p-10, -0x1.b3ed10df6b464p-10, -0x1.a816c512cdd33p-10, -0x1.9c7fb631f383fp-10, -0x1.912ac4e64c475p-10, -0x1.861a163b50a3fp-10, -0x1.7b4e4793b45p-10, -0x1.70c67e050ceb6p-10, -0x1.668108e525968p-10, -0x1.5c7c0ab99d50ap-10, -0x1.52b5c19a60556p-10, -0x1.492c67d8884c8p-10, -0x1.3fddf6660a3a9p-10, -0x1.36c81ad433e0fp-10, -0x1.2de86a9973998p-10, -0x1.253c8f094518dp-10, -0x1.1cc2318ba5055p-10, -0x1.1476d1a4015d7p-10, -0x1.0c57edcae4036p-10, -0x1.0463a5cbbb5a3p-10, -0x1.f932dcff85134p-11, -0x1.e9f4636a5648ep-11, -0x1.db0f4899d9973p-11, -0x1.cc869f6c54fc4p-11, -0x1.be5bf95657f0ap-11, -0x1.b08f6d56bed84p-11, -0x1.a320515301c55p-11, -0x1.960e0ea0a2e99p-11, -0x1.89589cd8dba9cp-11, -0x1.7d002b470f73ep-11, -0x1.7103fced28d9ap-11, -0x1.65615467f6a5ap-11, -0x1.5a1352e8b9c01p-11, -0x1.4f13c3159c118p-11, -0x1.445c20aa9ef7dp-11, -0x1.39e6641caba0ap-11, -0x1.2fad9d4f81b5cp-11, -0x1.25ae828d2348bp-11, -0x1.1be7cf3bf46cp-11, -0x1.125a27c9d4977p-11, -0x1.09075bb232d8bp-11, -0x1.ffe25477863e1p-12, -0x1.ee305bb734f08p-12, -0x1.dcf7771694c9bp-12, -0x1.cc357346e059ep-12, -0x1.bbe94c6221acap-12, -0x1.ac14463a6d4f2p-12, -0x1.9cb93b1e80d76p-12, -0x1.8dd9ea9bd957p-12, -0x1.7f74451f8ce88p-12, -0x1.71827c39cb3ffp-12, -0x1.63fdc0b73271cp-12, -0x1.56e116f4c52a2p-12, -0x1.4a2a3fa493d13p-12, -0x1.3dd8671840956p-12, -0x1.31e9926ef9495p-12, -0x1.26588dd365bbbp-12, -0x1.1b1ccebbad783p-12, -0x1.102c5b02a28ecp-12, -0x1.057f0dfd79f67p-12, -0x1.f624574382883p-13, -0x1.e1d32c4756c3ap-13, -0x1.ce18ed8cf051dp-13, -0x1.bafe7b81780ap-13, -0x1.a87fc0515be4ep-13, -0x1.9690fa2544c59p-13, -0x1.852cecca4f965p-13, -0x1.745a7a059f268p-13, -0x1.6422390b7a6a5p-13, -0x1.5482c6acb89c3p-13, -0x1.4570a04d3244p-13, -0x1.36dd6ba3f653ep-13, -0x1.28be07a4527bbp-13, -0x1.1b0cdbe9d7b6cp-13, -0x1.0dc9cd67d6863p-13, -0x1.00f8bb7ae64c9p-13, -0x1.e93d37aed5ac8p-14, -0x1.d17c4f5439599p-14, -0x1.baaa1f2738e58p-14, -0x1.a4b32e44487efp-14, -0x1.8f7811f9a3088p-14, -0x1.7ae170cf57dddp-14, -0x1.66f11c4b70ba1p-14, -0x1.53b29747a7ae8p-14, -0x1.411eddf3557eap-14, -0x1.2f214ea969134p-14, -0x1.1db8dde6f7be2p-14, -0x1.0cfcab9241865p-14, -0x1.f9f190acd3027p-15, -0x1.db39e1f4c0d63p-15, -0x1.bda5c23b3a14bp-15, -0x1.a1294c9559095p-15, -0x1.85cebe9014fc8p-15, -0x1.6b95267399575p-15, -0x1.52686ee498308p-15, -0x1.3a32304ef2477p-15, -0x1.22e9b96a9e5fep-15, -0x1.0c95c834ace58p-15, -0x1.ee84116e37378p-16, -0x1.c5e67a3eb7719p-16, -0x1.9f3dd13cfbce6p-16, -0x1.7a3ed1333d971p-16, -0x1.567cad9505724p-16, -0x1.33e2fb31de622p-16, -0x1.12d94d4262a48p-16, -0x1.e73fa0e31b1d3p-17, -0x1.abfe1e2eb3ba9p-17, -0x1.739dd6e55f07cp-17, -0x1.3e62251a8f31p-17, -0x1.0c31ff97bb9b2p-17, -0x1.b8b5b465b5e68p-18, -0x1.5cb79c0a58f9ep-18, -0x1.04a96c58e3951p-18, -0x1.626d7350acc4dp-19, -0x1.8945520a52ea6p-20, -0x1.7549d67791248p-22, 0x1.7f87d25642f07p-21, 0x1.cc5793a3f0bd6p-20, 0x1.63c07f32506a2p-19, 0x1.d90c57daaac23p-19, 0x1.235113daafff4p-18, 0x1.567068b92db22p-18, 0x1.85f914b0bdea1p-18, 0x1.b20131067e8b3p-18, 0x1.db2b7881e7741p-18, 0x1.012742af4ce0dp-17, 0x1.137ad7c639549p-17, 0x1.243aa6bbf2fb9p-17, 0x1.33c30fb031769p-17, 0x1.42419dec37344p-17, 0x1.4f5d0cfc4b3b9p-17, 0x1.5b0acf4b8c3bap-17, 0x1.658aeaea487f3p-17, 0x1.6f0160f14ebb4p-17, 0x1.776f093937312p-17, 0x1.7ecb1590072c3p-17, 0x1.8513d1817cb94p-17, 0x1.8a61bce30f41cp-17, 0x1.8eed8431ef96bp-17, 0x1.92dadaa18aad7p-17, 0x1.960ca472ce98dp-17, 0x1.986be7ca751f2p-17, 0x1.9a20c0924ed47p-17, 0x1.9b4039035dff2p-17, 0x1.9ba0ed7632d28p-17, 0x1.9b309d74e1faep-17, 0x1.9a02011e4e49p-17, 0x1.982125446ceb3p-17, 0x1.95c45472c8c6bp-17, 0x1.9317096d16babp-17, 0x1.8ff6cc2a59ddep-17, 0x1.8c81db832bde1p-17, 0x1.88b4bd0746ba6p-17, 0x1.8456bf4440f84p-17, 0x1.7f7d921123065p-17, 0x1.7a4f5300ebe05p-17, 0x1.74d730520e79fp-17, 0x1.6f15d4d491c2bp-17, 0x1.690cab2145a65p-17, 0x1.62bf38ed8b9a8p-17, 0x1.5c320d1c1987p-17, 0x1.556976fd19b54p-17, 0x1.4e693809908fp-17, 0x1.4734843d99b4bp-17, 0x1.3fcec658616aep-17, 0x1.383ada3b1286dp-17, 0x1.3077e74c8fb08p-17, 0x1.2884207032b48p-17, 0x1.206c3e44f12a5p-17, 0x1.184582a6d22d9p-17, 0x1.100ff8daf7659p-17, 0x1.07c02361a63b7p-17, 0x1.fea0e0a5debecp-18, 0x1.ed9f7946d60dap-18, 0x1.dc8415c199246p-18, 0x1.cb6c39afbb81fp-18, 0x1.ba4f27059703cp-18, 0x1.a90a35e2afac7p-18, 0x1.97c0148118d09p-18, 0x1.86831bda3e6f9p-18, 0x1.7551c2e6ca44dp-18, 0x1.642a77dc7adaep-18, 0x1.530ed0cb8af8p-18, 0x1.42020bb6e17d7p-18, 0x1.3107e406dbeb6p-18, 0x1.2023f806f4397p-18, 0x1.0f5992a78023ep-18, 0x1.fd57429e907d9p-19, 0x1.dc39b2e541884p-19, 0x1.bb6005f3eeac3p-19, 0x1.9ad070c4758d4p-19, 0x1.7a91a891eb228p-19, 0x1.5aa9db0d1c8fdp-19, 0x1.3b1d5bf1660b1p-19, 0x1.1befc43202287p-19, 0x1.fa500e468cacbp-20, 0x1.bd956414606f3p-20, 0x1.8187091947ffap-20, 0x1.461199c47e7b6p-20, 0x1.0b8aecc0bf509p-20, 0x1.a3fd9b18d98aap-21, 0x1.32a653835d505p-21, 0x1.86116e88ec274p-22, 0x1.5633123d05709p-23, -0x1.5f79d9209ea31p-25, -0x1.ff17f1023432cp-23, -0x1.cf63b29a7068ap-22, -0x1.4d9608ee44703p-21, -0x1.b16f995dc08c3p-21, -0x1.09a11a630b8d3p-20, -0x1.398758e54b894p-20, -0x1.6869d6799c734p-20, -0x1.96478d9874eadp-20, -0x1.c31f8e0a14603p-20, -0x1.eef115cb7b475p-20, -0x1.0cddbfbd73a4ep-19, -0x1.21bf17eb0f4d7p-19, -0x1.361c50adebfcep-19, -0x1.49f5486c7087fp-19, -0x1.5d4a1fe80b059p-19, -0x1.701b4d6afd7dfp-19, -0x1.826953c742f67p-19, -0x1.94343005920e5p-19, -0x1.a57bfb441db84p-19, -0x1.b6443896ef3cep-19, -0x1.c68decc2dbbb5p-19, -0x1.d6533bc320e62p-19, -0x1.e598cf3733ffep-19, -0x1.f461d8cc3fc7p-19, -0x1.0156582cb2ca7p-18, -0x1.083d35d89ad37p-18, -0x1.0ee63c58f37fdp-18, -0x1.155200cfb3623p-18, -0x1.1b812052616e5p-18, -0x1.21745b2e06be1p-18, -0x1.272c4c49099fdp-18, -0x1.2ca9447802038p-18, -0x1.31ebee36c8266p-18, -0x1.36f54718c097ap-18, -0x1.3bc5fcf5037dap-18, -0x1.405ea496c6672p-18, -0x1.44bff77db5399p-18, -0x1.48eaba4c91904p-18, -0x1.4cdfb1408f82cp-18, -0x1.509fa19ed46dbp-18, -0x1.542b534ea0b32p-18, -0x1.5783910c17349p-18, -0x1.5aa927d00b7ecp-18, -0x1.5d9ce4f41f748p-18, -0x1.605f94508badap-18, -0x1.62f203e76e92ep-18, -0x1.65550c61fe507p-18, -0x1.67897e9a97995p-18, -0x1.699018f746f4ap-18, -0x1.6b69e66997fbfp-18, -0x1.6d1783707cd75p-18, -0x1.6e99d60844079p-18, -0x1.6ff1c65ce3038p-18, -0x1.7120217852cddp-18, -0x1.7225b9384a41p-18, -0x1.7303628b7a6fap-18, -0x1.73b9f2c9f3e73p-18, -0x1.744a3ea291a42p-18, -0x1.74b51a2b72beap-18, -0x1.74fb5893798ddp-18, -0x1.751dc9dfc1a0cp-18, -0x1.751d418607116p-18, -0x1.74fa8e0b9899p-18, -0x1.74b67eeb3bc67p-18, -0x1.7451e0bf9d2c5p-18, -0x1.73cd7eeee275ap-18, -0x1.732a2aeafa7b8p-18, -0x1.7268bc9cda595p-18, -0x1.7189d668106b9p-18, -0x1.708e4ffe23a56p-18, -0x1.6f77059878af6p-18, -0x1.6e44972a9fb98p-18, -0x1.6cf7c630c878bp-18, -0x1.6b915d191379ep-18, -0x1.6a121e7532e46p-18, -0x1.687ab98e3bb1ep-18, -0x1.66cbd667e6ecep-18, -0x1.650657eb481e8p-18, -0x1.632ada6fd0951p-18, -0x1.613a29ed031e3p-18, -0x1.5f34cedd92d32p-18, -0x1.5d1b7d2e1b57fp-18, -0x1.5aeeea2b2fb9ap-18, -0x1.58afc01621b49p-18, -0x1.565ea562d5aa7p-18, -0x1.53fc3e3bb90ebp-18, -0x1.51892c96aad67p-18, -0x1.4f0610217da0cp-18, -0x1.4c738641a3d63p-18, -0x1.49d22a0238149p-18, -0x1.4722940df56bap-18, -0x1.44655aa66480ep-18, -0x1.419b11a619b6ep-18, -0x1.3ec44a858b6a4p-18, -0x1.3be19456473c5p-18, -0x1.38f37ba2aed56p-18, -0x1.35fa8a4d28dbep-18, -0x1.32f747a2be45p-18, -0x1.2fea38a6aa0bdp-18, -0x1.2cd3e02a2866ap-18, -0x1.29b4beaca71dap-18, -0x1.268d526119bcfp-18, -0x1.235e177864be1p-18, -0x1.202787b212d2cp-18, -0x1.1cea18cbefd5p-18, -0x1.19a63deade4a1p-18, -0x1.165c681b06fd4p-18, -0x1.130d0ab4da3bcp-18, -0x1.0fb8951101984p-18, -0x1.0c5f61edcc234p-18, -0x1.0901e975681c3p-18, -0x1.05a097763dd7dp-18, -0x1.023bc970f24ep-18, -0x1.fda7bf29a30bp-19, -0x1.f6d2736f0b005p-19, -0x1.eff86f01d331p-19, -0x1.e91a5d42b67e8p-19, -0x1.e238fc9d8090dp-19, -0x1.db54f7117e772p-19, -0x1.d46ef7973632ep-19, -0x1.cd87a4162b4bep-19, -0x1.c69f7704df9e4p-19, -0x1.bfb7420201ba8p-19, -0x1.b8cfe399b6d48p-19, -0x1.b1e960adba077p-19, -0x1.ab048b17cf111p-19, -0x1.a421eead5a913p-19, -0x1.9d42138298a5bp-19, -0x1.96657e404e213p-19, -0x1.8f8cb118a201p-19, -0x1.88b82dbd1eb42p-19, -0x1.81e869b502742p-19, -0x1.7b1de259dfdfbp-19, -0x1.74590d828cc57p-19, -0x1.6d9a5c07d776ep-19, -0x1.66e2341436979p-19, -0x1.6030f18de07c3p-19, -0x1.5986f9d1ad6c1p-19, -0x1.52e4c4d52f827p-19, -0x1.4c4b0bab0f503p-19, -0x1.45b9b17033e07p-19, -0x1.3f306ac1c3a0ap-19, -0x1.38b0ba7e16ab3p-19, -0x1.323aa875f27cp-19, -0x1.2bce5c460721fp-19, -0x1.256c1d311fe4bp-19, -0x1.1f14302613189p-19, -0x1.18c6e6399d737p-19, -0x1.1284bbec835c6p-19, -0x1.0c4e18a674f3p-19, -0x1.06226ec79bf29p-19, -0x1.0001cfe58fa85p-19, -0x1.f3dad337baa4fp-20, -0x1.e7cabd9642f1p-20, -0x1.dbd351b135b4cp-20, -0x1.cff4dd6dcc0bep-20, -0x1.c42fc0315aefbp-20, -0x1.b8845b3823bd5p-20, -0x1.acf3070af6115p-20, -0x1.a17c15f173e3dp-20, -0x1.961fd4aff6788p-20, -0x1.8ade8bcd85ac4p-20, -0x1.7fb880f8332ep-20, -0x1.74adf68b59429p-20, -0x1.69bf2a716fd4ep-20, -0x1.5eec5674ff125p-20, -0x1.5435b1e34a754p-20, -0x1.499b71c47f777p-20, -0x1.3f1dc0487f469p-20, -0x1.34bcb49351adfp-20, -0x1.2a786e7ec6977p-20, -0x1.20511ce7b7d22p-20, -0x1.16470ae4a0461p-20, -0x1.0c5b1697e2855p-20, -0x1.028b1c0839c26p-20, -0x1.f1b10ad77e64dp-21, -0x1.de87f77519043p-21, -0x1.cb99f49fdafe8p-21, -0x1.b8e7116e3a4ffp-21, -0x1.a66f6d4e216bep-21, -0x1.94331c8b3ce35p-21, -0x1.82322aeca15e1p-21, -0x1.706c9d98f646dp-21, -0x1.5ee273f09b773p-21, -0x1.4d93a85691821p-21, -0x1.3c80344b1b118p-21, -0x1.2ba7d1a839163p-21, -0x1.1b0b068880e1ap-21, -0x1.0aa90d576f278p-21, -0x1.f5044b3d81bdap-22, -0x1.d52c47b8a50fbp-22, -0x1.b5c9ba882b6d7p-22, -0x1.96dc34c193d7ap-22, -0x1.7863452f801b2p-22, }}, 
      {{-0x1.08daed0ae2284p-7, -0x1.57fef3be0ff2p-5, -0x1.b1aeff190aee3p-4, -0x1.8a941844eb495p-3, -0x1.2abbdd4a033e3p-2, -0x1.922adbba684f6p-2, -0x1.f2fa8782b8e11p-2, -0x1.23846dcb9c9fcp-1, -0x1.454aa4d75791ap-1, -0x1.5df1f4121a748p-1, -0x1.6d65d1dcd3c0bp-1, -0x1.7423ad3286ba5p-1, -0x1.730a5a193569dp-1, -0x1.6b322609a30e2p-1, -0x1.5dcd9db752d92p-1, -0x1.4c123fd109f34p-1, -0x1.3727fee7ac15ep-1, -0x1.201e5bdbda843p-1, -0x1.07e5ede1cd5e2p-1, -0x1.de9aa00b30e64p-2, -0x1.ae01176b869cap-2, -0x1.7f1489bfc05fbp-2, -0x1.52ac1ae06fbbfp-2, -0x1.2966d2a522b5p-2, -0x1.03b2535815661p-2, -0x1.c3a37ba34f494p-3, -0x1.87c8d63565ebp-3, -0x1.53d884d3130c4p-3, -0x1.27a710ff14b4cp-3, -0x1.02e42a00a76c1p-3, -0x1.ca4797229ef1ep-4, -0x1.9bcc446f814e9p-4, -0x1.793c779b43155p-4, -0x1.616f35c77dfe9p-4, -0x1.53358ffffaadap-4, -0x1.4d61f9e594ee1p-4, -0x1.4ece0ce7285cbp-4, -0x1.565eef4422f14p-4, -0x1.6308929be77bcp-4, -0x1.73cff8b9c332p-4, -0x1.87cca9191423cp-4, -0x1.9e297dff08d34p-4, -0x1.b624eb2c071fdp-4, -0x1.cf10da629bf34p-4, -0x1.e852354b8e0f9p-4, -0x1.00b0188f3b4fbp-3, -0x1.0ce1b6dbd24fdp-3, -0x1.188a7b4515f05p-3, -0x1.237e98440a278p-3, -0x1.2d995eb9965e6p-3, -0x1.36bcada605bc7p-3, -0x1.3ed062b5e9d4p-3, -0x1.45c1cdeb9c157p-3, -0x1.4b832a25a362ap-3, -0x1.500b1bbac1141p-3, -0x1.535435f528c21p-3, -0x1.555c87de8705dp-3, -0x1.5625308f3725cp-3, -0x1.55b1fb0ee222fp-3, -0x1.540901b2e0ac1p-3, -0x1.513258d182c3ep-3, -0x1.4d37c090caeb1p-3, -0x1.48245d83752d4p-3, -0x1.420477c4bab6dp-3, -0x1.3ae54036fe641p-3, -0x1.32d49b8b71a29p-3, -0x1.29e0f2b8254d5p-3, -0x1.20190880d1bd5p-3, -0x1.158bd3be09b9p-3, -0x1.0a485e0a36bd2p-3, -0x1.fcbb4d0b289a4p-4, -0x1.e3b510bb96e5dp-4, -0x1.c99b4999e3548p-4, -0x1.ae8aa08920ffdp-4, -0x1.929f04fd5977cp-4, -0x1.75f3925f2ae2bp-4, -0x1.58a27a43aa126p-4, -0x1.3ac4f2f2fd20cp-4, -0x1.1c7329e34dde4p-4, -0x1.fb88737a0c81p-5, -0x1.bd9c46c76689bp-5, -0x1.7f4b93eb3567p-5, -0x1.40bde1a15ad75p-5, -0x1.0218782b80bdbp-5, -0x1.86fcca7b54162p-6, -0x1.0a2105dffff76p-6, -0x1.1bb60b5f4066fp-7, -0x1.263f0fa55978fp-10, 0x1.a03cae17d5f33p-8, 0x1.c29a83c8c6d08p-7, 0x1.59291d63cfbf6p-6, 0x1.cf793c9768cf4p-6, 0x1.220bd82e42f91p-5, 0x1.5b70f6f768407p-5, 0x1.93dc56f1b352fp-5, 0x1.cb3fe1b092eedp-5, 0x1.00c77c75f710ep-4, 0x1.1b5f33684542bp-4, 0x1.356223bb6b8d3p-4, 0x1.4ecbfba0c1d58p-4, 0x1.6799010ac1df7p-4, 0x1.7fc606cee65fbp-4, 0x1.9750657144463p-4, 0x1.ae35f22d3908fp-4, 0x1.c474f5f8562e2p-4, 0x1.da0c273d33467p-4, 0x1.eefaa14704d3dp-4, 0x1.019feeb993b48p-3, 0x1.0b6dd69a9568ap-3, 0x1.14e719694bacbp-3, 0x1.1e0bedf69c877p-3, 0x1.26dcadee3886dp-3, 0x1.2f59d2e98d481p-3, 0x1.3783f3fec8ef2p-3, 0x1.3f5bc34cd6aebp-3, 0x1.46e20b90f32dcp-3, 0x1.4e17adee35926p-3, 0x1.54fd9ff40311ap-3, 0x1.5b94e98ef4b6cp-3, 0x1.61dea318f54a9p-3, 0x1.67dbf3cee2693p-3, 0x1.6d8e10126dcb4p-3, 0x1.72f637c63fa7fp-3, 0x1.7815b51365989p-3, 0x1.7ceddb0204f86p-3, 0x1.8180041520855p-3, 0x1.85cd9141ae7fp-3, 0x1.89d7e8dee58cp-3, 0x1.8da0757ce6daep-3, 0x1.9128a4f52a7ecp-3, 0x1.9471e7a502219p-3, 0x1.977daf885fa3ep-3, 0x1.9a4d6f5c0b369p-3, 0x1.9ce29a039611ep-3, 0x1.9f3ea1ef00a6cp-3, 0x1.a162f8608ebf9p-3, 0x1.a3510ce01e0e6p-3, 0x1.a50a4cd676fbap-3, 0x1.a69023116b373p-3, 0x1.a7e3f746302adp-3, 0x1.a9072db9b3bf2p-3, 0x1.a9fb26fc5f50cp-3, 0x1.aac13f99aaacep-3, 0x1.ab5acfc319a71p-3, 0x1.abc92b17d38dep-3, 0x1.ac0da08434887p-3, 0x1.ac297a0ec6832p-3, 0x1.ac1dfc9c2e188p-3, 0x1.abec67d430c11p-3, 0x1.ab95f61664462p-3, 0x1.ab1bdc59d6fe2p-3, 0x1.aa7f4a0bd7bccp-3, 0x1.a9c1690541d78p-3, 0x1.a8e35d860a0d5p-3, 0x1.a7e6462b271cfp-3, 0x1.a6cb3be468c41p-3, 0x1.a59351ec8e019p-3, 0x1.a43f95c8e6161p-3, 0x1.a2d10f54c19d7p-3, 0x1.a148c0c6c6d4cp-3, 0x1.9fa7a6a9bed24p-3, 0x1.9deeb7e07da34p-3, 0x1.9c1ee5bd4a31ep-3, 0x1.9a391c11c97fep-3, 0x1.983e412dc1fe3p-3, 0x1.962f35e718a41p-3, 0x1.940cd5b2c82cep-3, 0x1.91d7f6b9cc27ep-3, 0x1.8f9169e278a0dp-3, 0x1.8d39fade3a51ap-3, 0x1.8ad2703fea56ap-3, 0x1.885b8b8f008eap-3, 0x1.85d60958aac83p-3, 0x1.8342a145d3eedp-3, 0x1.80a2063168c9fp-3, 0x1.7df4e638173d2p-3, 0x1.7b3beac8fe8b4p-3, 0x1.7877b8c09a322p-3, 0x1.75a8f083e6d4cp-3, 0x1.72d02e102cea4p-3, 0x1.6fee09085762cp-3, 0x1.6d0314cd4d71bp-3, 0x1.6a0fe09c3fd45p-3, 0x1.6714f7a3491cdp-3, 0x1.6412e10d4e81fp-3, 0x1.610a201557309p-3, 0x1.5dfb3423f15b1p-3, 0x1.5ae698e7b0f4bp-3, 0x1.57ccc6625433cp-3, 0x1.54ae30f6a44eep-3, 0x1.518b49826305bp-3, 0x1.4e647d7b9d366p-3, 0x1.4b3a3701ab2c8p-3, 0x1.480cdce4f106ep-3, 0x1.44dcd2b72ffb6p-3, 0x1.41aa78e9757fp-3, 0x1.3e762ce860b28p-3, 0x1.3b40492857a32p-3, 0x1.3809252903372p-3, 0x1.34d115841660ap-3, 0x1.31986c0c4c314p-3, 0x1.2e5f77eac7a1ap-3, 0x1.2b2685aab7af5p-3, 0x1.27eddf3962cc3p-3, 0x1.24b5cbef41d52p-3, 0x1.217e90ab571f5p-3, 0x1.1e486ff2fec5cp-3, 0x1.1b13aa025dd4ep-3, 0x1.17e07ccbf619cp-3, 0x1.14af23f9b6cf7p-3, 0x1.117fd8ff67542p-3, 0x1.0e52d339a0d66p-3, 0x1.0b2848062ba46p-3, 0x1.08006aca06e32p-3, 0x1.04db6ced733e9p-3, 0x1.01b97de0f8e75p-3, 0x1.fd359667d74dp-4, 0x1.f6ff0162e55fdp-4, 0x1.f0cf90e509036p-4, 0x1.eaa795be56efep-4, 0x1.e4875d542c727p-4, 0x1.de6f31ad8a80ap-4, 0x1.d85f599e877fdp-4, 0x1.d25818fce6923p-4, 0x1.cc59b0bf782e6p-4, 0x1.c6645eff3e26fp-4, 0x1.c0785eedad183p-4, 0x1.ba95e8dc4b616p-4, 0x1.b4bd326033066p-4, 0x1.aeee6e818c211p-4, 0x1.a929cddcbfa9ep-4, 0x1.a36f7ea8f973p-4, 0x1.9dbfacaef4904p-4, 0x1.981a8147b36cp-4, 0x1.92802372b1e0ep-4, 0x1.8cf0b7fd8d7ffp-4, 0x1.876c61a8b2dep-4, 0x1.81f3413847306p-4, 0x1.7c8575714ab52p-4, 0x1.77231b12339a3p-4, 0x1.71cc4cd8c6e91p-4, 0x1.6c81239b46a7cp-4, 0x1.6741b66b1042ep-4, 0x1.620e1aafecebcp-4, 0x1.5ce6643236066p-4, 0x1.57caa5171c31ap-4, 0x1.52baeddbde28bp-4, 0x1.4db74d5c7ed01p-4, 0x1.48bfd0e92d2dap-4, 0x1.43d4846274e57p-4, 0x1.3ef5724fd061cp-4, 0x1.3a22a3e94d88bp-4, 0x1.355c21162653cp-4, 0x1.30a1f0692d23ap-4, 0x1.2bf41724809e2p-4, 0x1.275299486c634p-4, 0x1.22bd79a933e31p-4, 0x1.1e34ba033cf7cp-4, 0x1.19b85b06e59fbp-4, 0x1.15485c5b25112p-4, 0x1.10e4bc9b90045p-4, 0x1.0c8d7958a5ee4p-4, 0x1.08428f1f53d44p-4, 0x1.0403f9879a6c3p-4, 0x1.ffa3668b40052p-5, 0x1.f7576c6eee049p-5, 0x1.ef23f6d8ed78ap-5, 0x1.e708f64db691bp-5, 0x1.df0659b69ef87p-5, 0x1.d71c0e659f432p-5, 0x1.cf4a002347eedp-5, 0x1.c7901945c4fedp-5, 0x1.bfee42ca6c2b7p-5, 0x1.b864646aa84bcp-5, 0x1.b0f264a872aadp-5, 0x1.a99828d32d643p-5, 0x1.a255950910404p-5, 0x1.9b2a8c3abc33dp-5, 0x1.9416f034f4514p-5, 0x1.8d1aa1b0ae7c1p-5, 0x1.86358065f509ep-5, 0x1.7f676b1d06bb7p-5, 0x1.78b03fbab9338p-5, 0x1.720fdb479a542p-5, 0x1.6b8619f381fbcp-5, 0x1.6512d718a842fp-5, 0x1.5eb5ed4149199p-5, 0x1.586f363175253p-5, 0x1.523e8af40df94p-5, 0x1.4c23c3e86ad78p-5, 0x1.461eb8ce259e5p-5, 0x1.402f40cdedf9p-5, 0x1.3a55327f5cd6ep-5, 0x1.349063ecea6ecp-5, 0x1.2ee0aa97a8724p-5, 0x1.2945db7c8813ep-5, 0x1.23bfcb1c0cb47p-5, 0x1.1e4e4d83cd97p-5, 0x1.18f1365851a73p-5, 0x1.13a858ddd54aap-5, 0x1.0e7387ff6e354p-5, 0x1.095296548095p-5, 0x1.04455624f6868p-5, 0x1.fe9732da01f06p-6, 0x1.f4ca63c2b2a55p-6, 0x1.eb23e1e972eb4p-6, 0x1.e1a34fbd15776p-6, 0x1.d8484f440c93dp-6, 0x1.cf128229ddf79p-6, 0x1.c60189cadd699p-6, 0x1.bd15073e239e2p-6, 0x1.b44c9b5dfff1cp-6, 0x1.aba7e6cf775d3p-6, 0x1.a3268a097115cp-6, 0x1.9ac8255c72062p-6, 0x1.928c58fb65165p-6, 0x1.8a72c50541d16p-6, 0x1.827b098ec6beep-6, 0x1.7aa4c6ab7f97ap-6, 0x1.72ef9c7617556p-6, 0x1.6b5b2b184d5fep-6, 0x1.63e712d2c405cp-6, 0x1.5c92f404a8f58p-6, 0x1.555e6f32e1dd6p-6, 0x1.4e49250e9d877p-6, 0x1.4752b67b13f6bp-6, 0x1.407ac4927a728p-6, 0x1.39c0f0aa50cc1p-6, 0x1.3324dc575db71p-6, 0x1.2ca629726f76cp-6, 0x1.26447a1ecf6bbp-6, 0x1.1fff70d306232p-6, 0x1.19d6b0636b9c3p-6, 0x1.13c9dc0ce32e2p-6, 0x1.0dd8977ddc1c1p-6, 0x1.080286db8d66ep-6, 0x1.02474ec29c938p-6, 0x1.f94d28872adbcp-7, 0x1.ee3ff9ba212d2p-7, 0x1.e3665ced5bbf2p-7, 0x1.d8bf9ebff8765p-7, 0x1.ce4b0cad5919p-7, 0x1.c407f52836a19p-7, 0x1.b9f5a7c1a6ca9p-7, 0x1.b01375535349dp-7, 0x1.a660b021ec6d1p-7, 0x1.9cdcabed8de49p-7, 0x1.9386bdea41eafp-7, 0x1.8a5e3ca1433acp-7, 0x1.81627fc319b2fp-7, 0x1.7892dff82a19dp-7, 0x1.6feeb6bfd8d3bp-7, 0x1.67755e6bc2e09p-7, 0x1.5f26323ddcdddp-7, 0x1.57008ea6952d2p-7, 0x1.4f03d195a2f5p-7, 0x1.472f5ac97d4f8p-7, 0x1.3f828c076515bp-7, 0x1.37fcc92a5b9b2p-7, 0x1.309d780181c4cp-7, 0x1.29640003688fcp-7, 0x1.224fc9e87302ap-7, 0x1.1b603f46e28dfp-7, 0x1.1494ca4d0586ap-7, 0x1.0decd5afdbed4p-7, 0x1.0767ccd80ea12p-7, 0x1.01051c46c4be3p-7, 0x1.f58864387bd7cp-8, 0x1.e948fd3f6a957p-8, 0x1.dd4ae94ab0a32p-8, 0x1.d18d136ba38ap-8, 0x1.c60e6bd38292ep-8, 0x1.bacde6fc5561fp-8, 0x1.afca7c7329247p-8, 0x1.a503258d1f6a1p-8, 0x1.9a76dc59c4ff1p-8, 0x1.90249b187e821p-8, 0x1.860b5c5925c8p-8, 0x1.7c2a1bc70a05fp-8, 0x1.727fd771b9471p-8, 0x1.690b914a4f62ap-8, 0x1.5fcc5078d6554p-8, 0x1.56c1223856589p-8, 0x1.4de91a01b648dp-8, 0x1.454350f7e4cd2p-8, 0x1.3ccee4b4b24e5p-8, 0x1.348af5bb9687dp-8, 0x1.2c76a5ed1a317p-8, 0x1.24911754d4929p-8, 0x1.1cd96b9769e1ep-8, 0x1.154ec4206f793p-8, 0x1.0df04304ccb7bp-8, 0x1.06bd0c653a7aep-8, 0x1.ff68900045029p-9, 0x1.f1aa452fe718cp-9, 0x1.e43d9dbbe919ap-9, 0x1.d7210b5de289cp-9, 0x1.ca530b2f6d04cp-9, 0x1.bdd2238411b01p-9, 0x1.b19ce1165fefap-9, 0x1.a5b1d42af0aafp-9, 0x1.9a0f8e433a7f6p-9, 0x1.8eb4a0d14e43dp-9, 0x1.839f9d1f94019p-9, 0x1.78cf155e6c807p-9, 0x1.6e419e90e627p-9, 0x1.63f5d2e8f35c6p-9, 0x1.59ea54110029fp-9, 0x1.501dcce5a60c5p-9, 0x1.468ef242c64b2p-9, 0x1.3d3c82be3e4afp-9, 0x1.3425456cd4a56p-9, 0x1.2b48080b8c7a9p-9, 0x1.22a39d082e0cap-9, 0x1.1a36d9df6a6fbp-9, 0x1.1200961e46426p-9, 0x1.09ffab1bd6dd7p-9, 0x1.0232f44fab722p-9, 0x1.f532a01e94dfap-10, 0x1.e66340fd6a154p-10, 0x1.d7f5991727e09p-10, 0x1.c9e781a83e8e5p-10, 0x1.bc36e0b09b9f7p-10, 0x1.aee1a99e893f1p-10, 0x1.a1e5dd04dd285p-10, 0x1.9541874a6da98p-10, 0x1.88f2bea4c30aep-10, 0x1.7cf7a0feb77ap-10, 0x1.714e5281ae5a3p-10, 0x1.65f4fd3ad3528p-10, 0x1.5ae9d1cf62116p-10, 0x1.502b08bfc088ep-10, 0x1.45b6e37c17e7ap-10, 0x1.3b8bacb9ba319p-10, 0x1.31a7b7e89867ap-10, 0x1.2809601f1484ap-10, 0x1.1eaf071109661p-10, 0x1.1597149628e8bp-10, 0x1.0cbff6ee0b358p-10, 0x1.0428238d435bap-10, 0x1.f79c2ffc2a0fp-11, 0x1.e760b4d3df28ep-11, 0x1.d79af3401333ep-11, 0x1.c84819772bbe9p-11, 0x1.b965656498c22p-11, 0x1.aaf0241118dc8p-11, 0x1.9ce5b18028a43p-11, 0x1.8f4378d71d426p-11, 0x1.8206f48fd0642p-11, 0x1.752dae1a197ccp-11, 0x1.68b53c7f12779p-11, 0x1.5c9b4185cdcf3p-11, 0x1.50dd6593c6ebbp-11, 0x1.457953718bc47p-11, 0x1.3a6cb5d07ed96p-11, 0x1.2fb538a8cf55ap-11, 0x1.25508f371cf0dp-11, 0x1.1b3c7d69e13acp-11, 0x1.1176e1761d9cfp-11, 0x1.07fdb93b31d6cp-11, 0x1.fd9e405c69cd2p-12, 0x1.ebd28b2e209b7p-12, 0x1.da94bda5a0e1bp-12, 0x1.c9e137eace3aep-12, 0x1.b9b449774925ep-12, 0x1.aa0a3fbf805adp-12, 0x1.9adf828204c1ep-12, 0x1.8c30adef4ec16p-12, 0x1.7dfa9a4acd1dfp-12, 0x1.703a495006c6p-12, 0x1.62ecbfca5fcc1p-12, 0x1.560eddfeb07f3p-12, 0x1.499d4d48271edp-12, 0x1.3d9490f50747p-12, 0x1.31f136f415d54p-12, 0x1.26b012c537debp-12, 0x1.1bce64c1a422bp-12, 0x1.1149d728725eap-12, 0x1.07204e762d75ep-12, 0x1.fa9f436335e0cp-13, 0x1.e7aabb1ab77b5p-13, 0x1.d55d653339e9dp-13, 0x1.c3b1364876045p-13, 0x1.b2a052cf8057p-13, 0x1.a225b0f635111p-13, 0x1.923d6ce2efb31p-13, 0x1.82e49f99dba86p-13, 0x1.7418c78aa77ccp-13, 0x1.65d70aea0de74p-13, 0x1.581baff3d14efp-13, 0x1.4ae209da28746p-13, 0x1.3e24db89a61cep-13, 0x1.31def88f4f7cbp-13, 0x1.260bd691e9d94p-13, 0x1.1aa7d277fb6f2p-13, 0x1.0fb011f92d11p-13, 0x1.0522120a19ba6p-13, 0x1.f5f6242592553p-14, 0x1.e26f3aa00f703p-14, 0x1.cfa6df8804539p-14, 0x1.bd93a704d6f2bp-14, 0x1.ac2cb2b49c1fep-14, 0x1.9b6b2c8f2fd07p-14, 0x1.8b4afc040d4d9p-14, 0x1.7bca4499962a4p-14, 0x1.6ce7f13b631e2p-14, 0x1.5ea21f2f801f6p-14, 0x1.50f53e16a304dp-14, 0x1.43dc314555327p-14, 0x1.375118baa3636p-14, 0x1.2b4e1e0493a19p-14, 0x1.1fcdd16781d2fp-14, 0x1.14cb0fb6b437fp-14, 0x1.0a40bf6902d47p-14, 0x1.0029ba5328ec6p-14, 0x1.ed01e1079154cp-15, 0x1.da83051ed7e76p-15, 0x1.c8cd3ea8a1708p-15, 0x1.b7d6a24933a6bp-15, 0x1.a79540db084bcp-15, 0x1.98005b885b0f3p-15, 0x1.8911bb0d343b5p-15, 0x1.7ac5f445e6157p-15, 0x1.6d1b36ee6587cp-15, 0x1.600f885f05cc1p-15, 0x1.539fa65380538p-15, 0x1.47c702acabc8dp-15, 0x1.3c80726a1b098p-15, 0x1.31c700d2c1c0dp-15, 0x1.27966bade3ffep-15, 0x1.1dead96915816p-15, 0x1.14bfd8206618cp-15, 0x1.0c0f7348a8eedp-15, 0x1.03d229eef1f61p-15, 0x1.f7ff767a171f9p-16, 0x1.e920481682571p-16, 0x1.daf8980e626ebp-16, 0x1.cd7ca9b95e0cfp-16, 0x1.c0a3670ac8e58p-16, 0x1.b4664a5988bb8p-16, 0x1.a8c0eee018352p-16, 0x1.9db02d2a7236cp-16, 0x1.9330cfb272ffp-16, 0x1.893e791e10e7fp-16, 0x1.7fd39382ec624p-16, 0x1.76ea385295619p-16, 0x1.6e7d2fc73deb2p-16, 0x1.668876b021edp-16, 0x1.5f08fccaabe78p-16, 0x1.57fb5b2cb04c6p-16, 0x1.515a671977c9ap-16, 0x1.4b1f295cfcec2p-16, 0x1.454244c385e22p-16, 0x1.3fbd66b220f1cp-16, 0x1.3a8bb4d982bb6p-16, 0x1.35a92f6c94a2bp-16, 0x1.31119c030d1fap-16, 0x1.2cbfbc93b221dp-16, 0x1.28ad54d1e2458p-16, 0x1.24d3f1f0c351p-16, 0x1.212e21a41a378p-16, 0x1.1db8a0d2853fdp-16, 0x1.1a729587e2b8bp-16, 0x1.175c3685af76ap-16, 0x1.1474ae4827fb1p-16, 0x1.11b8f317b9fcfp-16, 0x1.0f24dcfb569e7p-16, 0x1.0cb58a4588092p-16, 0x1.0a6a0c16fc64bp-16, 0x1.08417c46e2005p-16, 0x1.06394ba9880e1p-16, 0x1.044dabfcd483ep-16, 0x1.027aea8c52628p-16, 0x1.00be33360a0c2p-16, 0x1.fe2b181d17eeap-17, 0x1.faff0d953f0f9p-17, 0x1.f7f5f765ca549p-17, 0x1.f50db3f931525p-17, 0x1.f24406c6afed8p-17, 0x1.ef96538115218p-17, 0x1.ed0156015ff59p-17, 0x1.ea81236347a09p-17, 0x1.e811e0ca8ac69p-17, 0x1.e5b09217813dfp-17, 0x1.e35b017f93522p-17, 0x1.e10f2f074557bp-17, 0x1.decb564e723fdp-17, 0x1.dc8e4c9c2684ap-17, 0x1.da5712f0b4f09p-17, 0x1.d823fdb9ab387p-17, 0x1.d5f2ee70c95f6p-17, 0x1.d3c20e6a0ad3bp-17, 0x1.d18fadd62aff9p-17, 0x1.cf59f3e10b3abp-17, 0x1.cd1f4ff15127p-17, 0x1.cadeea010926ep-17, 0x1.c898498b5858cp-17, 0x1.c64aa4793a91fp-17, 0x1.c3f49be007409p-17, 0x1.c1949b70275a5p-17, 0x1.bf29672e00d39p-17, 0x1.bcb28d9c61fd9p-17, 0x1.ba310dcb35c6ep-17, 0x1.b7a6d90ff0621p-17, 0x1.b513b7fceffecp-17, 0x1.b2745221d900dp-17, 0x1.afc63f548c70fp-17, 0x1.ad0a07b89fdefp-17, 0x1.aa3fc0f8e0a6dp-17, 0x1.a765b4c65360bp-17, 0x1.a47bb073b6ce1p-17, 0x1.a184083b74299p-17, 0x1.9e80ac959ce89p-17, 0x1.9b70e4c20c043p-17, 0x1.9852954a17c0ap-17, 0x1.952540e9fe3f9p-17, 0x1.91ea5d385d406p-17, 0x1.8ea278954cac5p-17, 0x1.8b4c1d381312bp-17, 0x1.87e5ff3b5cb33p-17, 0x1.84702d3e5b77ep-17, 0x1.80eb324c1093p-17, 0x1.7d577d91c81c1p-17, 0x1.79b538304e06ap-17, 0x1.7604939759f44p-17, 0x1.7247e8f0f99aap-17, 0x1.6e825a8b4df14p-17, 0x1.6ab1e86f07318p-17, 0x1.66d3bf44822e4p-17, 0x1.62ea9b9ff9108p-17, 0x1.5ef7d1403cd9p-17, 0x1.5af88d1343508p-17, 0x1.56ec7547fd045p-17, 0x1.52d58103f6cc9p-17, 0x1.4eb4c3f3c13a2p-17, 0x1.4a8a3579b058fp-17, 0x1.4655813f2b6bcp-17, 0x1.421692d56de9fp-17, 0x1.3dce4b6715c91p-17, 0x1.397ee2bb770f5p-17, 0x1.3529ec7ea4a5dp-17, 0x1.30ce53994c513p-17, 0x1.2c6b111bbf937p-17, 0x1.2801e396467fbp-17, 0x1.2393e0be37028p-17, 0x1.1f1f2950097e7p-17, 0x1.1aa2c1bd0aec5p-17, 0x1.161f7804c412ep-17, 0x1.1195ea181d712p-17, 0x1.0d08fb039171p-17, 0x1.087afe05eadb3p-17, 0x1.03ea3ccc57fddp-17, 0x1.feb0aa009cd38p-18, 0x1.f58a4d81b154cp-18, 0x1.ec5baa69c4f05p-18, 0x1.e3272276497b2p-18, 0x1.d9f0d17397f02p-18, 0x1.d0ba14bbe15ebp-18, 0x1.c7833b31869edp-18, 0x1.be4cac31b4079p-18, 0x1.b51703dc8cbd2p-18, 0x1.abe309836e764p-18, 0x1.a2b157674e119p-18, 0x1.99829860ec47cp-18, 0x1.90574efab559p-18, 0x1.873015da41e6bp-18, 0x1.7e0d809a67961p-18, 0x1.74efaabe740cbp-18, 0x1.6bd672e5cc0e4p-18, 0x1.62c390bd048f3p-18, 0x1.59ba1365edbb8p-18, 0x1.50ba3d2fe6c8ep-18, 0x1.47c28517e1e06p-18, 0x1.3ed24de1b92d7p-18, 0x1.35ec164a654b3p-18, 0x1.2d1075e13635p-18, 0x1.2441c0ff77983p-18, 0x1.1b7f88a93f25fp-18, 0x1.12c75ef6c8c68p-18, 0x1.0a1c116a9f431p-18, 0x1.017f29802511dp-18, 0x1.f1e15abd1a6c5p-19, 0x1.e0e149e1783bcp-19, 0x1.cffeaeed9f4e3p-19, 0x1.bf3a5a7f2d71dp-19, 0x1.ae95395467732p-19, 0x1.9e1026278c9b8p-19, 0x1.8dabee9e66fe7p-19, 0x1.7d6951fcba0a4p-19, 0x1.6d4904ebf480ep-19, 0x1.5d4bc13c842e2p-19, 0x1.4d72565f4d1e4p-19, 0x1.3dbda20a73fefp-19, 0x1.2e2e73f6fe0d6p-19, 0x1.1ec5683f4b8ddp-19, 0x1.0f8307a400c23p-19, 0x1.00683b5bf94b4p-19, 0x1.e2eb54b656eaep-20, 0x1.c55286cb4f5f6p-20, 0x1.a8044cfa24077p-20, 0x1.8b0a7449dcb02p-20, 0x1.6e665eb59d071p-20, 0x1.521547cbd59ep-20, 0x1.361741c36d19fp-20, 0x1.1a7294c10f1c5p-20, 0x1.fe4a3966c508cp-21, 0x1.c85616e667d32p-21, 0x1.930e654ca932ep-21, 0x1.5e784ba64ad53p-21, 0x1.2a94b799c963p-21, 0x1.eec7463e9a968p-22, 0x1.89caa36f70318p-22, 0x1.263491981f994p-22, 0x1.880c7eecb37e7p-23, 0x1.8d032abe47a6dp-24, 0x1.f29a768a8378bp-29, -0x1.682e3a5798156p-24, -0x1.6d211de279cabp-23, -0x1.11a8e6f599e02p-22, -0x1.6b53de0c5387p-22, -0x1.c39117997bb6fp-22, -0x1.0d305778a6b37p-21, -0x1.37e169682e832p-21, -0x1.61db7db4e949ep-21, -0x1.8b1e64e345bbp-21, -0x1.b3ac4b6ed4371p-21, -0x1.db85a8d044ae7p-21, -0x1.01531d46f374bp-20, -0x1.1488803afdef1p-20, -0x1.2763fcf89e8a6p-20, -0x1.39e4ea38136aep-20, -0x1.4c0b8cb6c0f81p-20, -0x1.5dd8504ff7393p-20, -0x1.6f4b88363501dp-20, -0x1.80658f47cca39p-20, -0x1.9126e01d126b5p-20, -0x1.a18fdc3404e85p-20, -0x1.b1a0a3d64835fp-20, -0x1.c1599fd29ad95p-20, -0x1.d0bb87b3c6ce6p-20, -0x1.dfc6d0fc6db73p-20, -0x1.ee7bdb429e025p-20, -0x1.fcdb22eef183p-20, -0x1.0572999b593e9p-19, -0x1.0c4d4cadaa23cp-19, -0x1.12fdf2eb2419cp-19, -0x1.1984d718c19cdp-19, -0x1.1fe2469613611p-19, -0x1.261690cfdced7p-19, -0x1.2c22057b3ae45p-19, -0x1.3204f2c580a76p-19, -0x1.37bfa9434e578p-19, -0x1.3d5284e159f3ep-19, -0x1.42bdda013396bp-19, -0x1.4801ea94e9a36p-19, -0x1.4d1f4836a6102p-19, -0x1.5216137b64c53p-19, -0x1.56e6b9c1a14c1p-19, -0x1.5b91abb620b23p-19, -0x1.60173f210ecp-19, -0x1.6477cfdbc75a2p-19, -0x1.68b3be1234f92p-19, -0x1.6ccb6ba2166fdp-19, -0x1.70bf3b1d3a18ep-19, -0x1.748f905df3e5cp-19, -0x1.783cd085f886fp-19, -0x1.7bc760129264bp-19, -0x1.7f2fa75540b18p-19, -0x1.82760b009c63cp-19, -0x1.859af40195c3dp-19, -0x1.889ec8033feb8p-19, -0x1.8b81f281d8b5ep-19, -0x1.8e44d26b67a49p-19, -0x1.90e7c8b75e97fp-19, -0x1.936b5abda377bp-19, -0x1.95cfe23c7b25fp-19, -0x1.9815c18ef5136p-19, -0x1.9a3d6e6a3b3d5p-19, -0x1.9c4754baec585p-19, -0x1.9e33d92805b33p-19, -0x1.a003644f1acddp-19, -0x1.a1b662f76e656p-19, -0x1.a34d4300486a4p-19, -0x1.a4c862d45a4b7p-19, -0x1.a628383c1f7b1p-19, -0x1.a76d228db8af2p-19, -0x1.a897917444515p-19, -0x1.a9a7f2b3676afp-19, -0x1.aa9eaae59abf4p-19, -0x1.ab7c23113d22cp-19, -0x1.ac40c4196ea66p-19, -0x1.acecf67d62557p-19, -0x1.ad812256200dcp-19, -0x1.adfdaf5175315p-19, -0x1.ae6304b42900cp-19, -0x1.aeb189521b925p-19, -0x1.aee9a388d2356p-19, -0x1.af0bb938a0bc5p-19, -0x1.af182fbf4e15ep-19, -0x1.af0f6bf311ad5p-19, -0x1.aef1d21c5cf6p-19, -0x1.aebfc5ee41497p-19, -0x1.ae79aa7dae9fep-19, -0x1.ae1fe23e60b1fp-19, -0x1.adb2cf0364221p-19, -0x1.ad32d1fcb6e5cp-19, -0x1.aca04bb1448b4p-19, -0x1.abfb9bfa7bc97p-19, -0x1.ab452205ad8fep-19, -0x1.aa7d3c4592f65p-19, -0x1.a9a4484cd7cfbp-19, -0x1.a8baa2ea9aedcp-19, -0x1.a7c0a84101b99p-19, -0x1.a6b6b402fb5dcp-19, -0x1.a59d20e47dcacp-19, -0x1.a474476bd9518p-19, -0x1.a33c81cafd4fcp-19, -0x1.a1f628993d3fap-19, -0x1.a0a192a00fe5p-19, -0x1.9f3f16172f798p-19, -0x1.9dcf08e13c088p-19, -0x1.9c51c3c00118ep-19, -0x1.9ac78f2fc39fcp-19, -0x1.9930ca0fcbe0fp-19, -0x1.978dc2338c636p-19, -0x1.95dec97bc816ep-19, -0x1.9424306212169p-19, -0x1.925e2ea7854f3p-19, -0x1.908d32bfb3f06p-19, -0x1.8eb1b37dc3a25p-19, -0x1.8ccba6bfff926p-19, -0x1.8adb7f3cb089ap-19, -0x1.88e187333e84bp-19, -0x1.86de085a302e7p-19, -0x1.84d14bb259936p-19, -0x1.82bb9a501f0a7p-19, -0x1.809d3b57b818ap-19, -0x1.7e7672e1086f2p-19, -0x1.7c478980d8f09p-19, -0x1.7a10c3f96ea1dp-19, -0x1.77d2657c4b81p-19, -0x1.758cb0660ef2cp-19, -0x1.733fe571df6acp-19, -0x1.70ec453561d4fp-19, -0x1.6e921202e8473p-19, -0x1.6c3193a5bba0ap-19, -0x1.69cafcee84874p-19, -0x1.675e7bc8caa4dp-19, -0x1.64ec68f5fd446p-19, -0x1.6274f908cc752p-19, -0x1.5ff862efab3cap-19, -0x1.5d76dfe22faecp-19, -0x1.5af0a82ac142fp-19, -0x1.5865f4b3d3637p-19, -0x1.55d7027a08323p-19, -0x1.53440a5900421p-19, -0x1.50ad3194309c8p-19, -0x1.4e12a1e0c83dep-19, -0x1.4b74ab0f796d7p-19, -0x1.48d37e22bf66ap-19, -0x1.462f46990e749p-19, -0x1.4388347865021p-19, -0x1.40de7732875eep-19, -0x1.3e323f4056696p-19, -0x1.3b83bb3c5970fp-19, -0x1.38d318de9346fp-19, -0x1.3620850a164d7p-19, -0x1.336c2bd51a896p-19, -0x1.30b638a0faabcp-19, -0x1.2dfed6110e7c5p-19, -0x1.2b462df6bc04ep-19, -0x1.288c6956cdc7bp-19, -0x1.25d1b0874282ep-19, -0x1.23162b31201f8p-19, -0x1.2059ffbda3073p-19, -0x1.1d9d52c01165dp-19, -0x1.1ae048e4a52a6p-19, -0x1.1823075ffbea5p-19, -0x1.1565b4d23f175p-19, -0x1.12a8816e23e41p-19, -0x1.0feb68131bf43p-19, -0x1.0d2ea18df90c3p-19, -0x1.0a7258ea7b21bp-19, -0x1.07b6a40527d1bp-19, -0x1.04fba1d911415p-19, -0x1.024171727c978p-19, -0x1.ff1061fbece7dp-20, -0x1.f99ffbbecab32p-20, -0x1.f431e987cea56p-20, -0x1.eec6635436a14p-20, -0x1.e95d9fdcc48bp-20, -0x1.e3f7d5439ad16p-20, -0x1.de952dc869631p-20, -0x1.d935f7a3df4cdp-20, -0x1.d3da452b1c751p-20, -0x1.ce8256e48fc9bp-20, -0x1.c92e59e19ce56p-20, -0x1.c3de7b7cf6a48p-20, -0x1.be92e744e8b9p-20, -0x1.b94bc7c75417bp-20, }}, 
      {{0x1.329e475c844cfp-3, 0x1.7f9e44bddf141p-2, 0x1.3425db211ae7dp-1, 0x1.924b751b1e2d8p-1, 0x1.d3964d37a9ddap-1, 0x1.f995686839e1fp-1, 0x1.04a7e8a747c04p+0, 0x1.045ae468cb631p+0, 0x1.fd5964a0d0cp-1, 0x1.ebe1b45c04aecp-1, 0x1.d7e3d14cf66dcp-1, 0x1.c3efecb0d8efap-1, 0x1.b1b5ae96f0769p-1, 0x1.a2300bf5a249ap-1, 0x1.95d046158b714p-1, 0x1.8ca41f9f02bccp-1, 0x1.8675d0384982ep-1, 0x1.82e58eed15677p-1, 0x1.817d304208d04p-1, 0x1.81be9df1e2d72p-1, 0x1.832e079fda4bdp-1, 0x1.8558a51c6aee9p-1, 0x1.87d8cee3ae133p-1, 0x1.8a58164dede2ap-1, 0x1.8c8fea1961a85p-1, 0x1.8e49386e1235p-1, 0x1.8f5b669c861a2p-1, 0x1.8faae193473e7p-1, 0x1.8f2778b4fe117p-1, 0x1.8dcaa717cc805p-1, 0x1.8b95e4911aa5ap-1, 0x1.88910f84e5294p-1, 0x1.84c8f9e637bfap-1, 0x1.804e1ef13108dp-1, 0x1.7b33839ea1be7p-1, 0x1.758dc171f1c3ap-1, 0x1.6f7239ab12901p-1, 0x1.68f66dcbdf1ep-1, 0x1.622f79ca2fc76p-1, 0x1.5b31ac1d66326p-1, 0x1.541037c99511dp-1, 0x1.4cdcfc9028a1ap-1, 0x1.45a861ab78a28p-1, 0x1.3e813fe6eb5efp-1, 0x1.3774d849e1018p-1, 0x1.308ed4d32c29fp-1, 0x1.29d95106f8bd3p-1, 0x1.235ce8663c2efp-1, 0x1.1d20c942acd19p-1, 0x1.172acaafd778p-1, 0x1.117f84897e2c6p-1, 0x1.0c2268b04ddf8p-1, 0x1.0715dcc22c14fp-1, 0x1.025b53b867167p-1, 0x1.fbe6cdf3e6e5ap-2, 0x1.f3bbdd1d3675p-2, 0x1.ec34307189974p-2, 0x1.e54cfa9d241d1p-2, 0x1.df026e70ba62fp-2, 0x1.d94fe50beb5fep-2, 0x1.d4300129688ffp-2, 0x1.cf9ccf8e497bp-2, 0x1.cb8fe4ab80a87p-2, 0x1.c802778652117p-2, 0x1.c4ed7a04e1d7ap-2, 0x1.c249aebe45f4ap-2, 0x1.c00fbc7016396p-2, 0x1.be383f3d7f8dep-2, 0x1.bcbbd7da7eab7p-2, 0x1.bb9338c902944p-2, 0x1.bab731ca7ca93p-2, 0x1.ba20b9abb8247p-2, 0x1.b9c8f68d58245p-2, 0x1.b9a944cc60b15p-2, 0x1.b9bb3ca9ddeefp-2, 0x1.b9f8b6d170176p-2, 0x1.ba5bcfd695305p-2, 0x1.badeeac67172ap-2, 0x1.bb7cb2e24d935p-2, 0x1.bc301c9ca4ab6p-2, 0x1.bcf465f563872p-2, 0x1.bdc5163fe4e33p-2, 0x1.be9dfd813a2bdp-2, 0x1.bf7b335830862p-2, 0x1.c059159efc4ap-2, 0x1.c13446c54e431p-2, 0x1.c209abcb6197dp-2, 0x1.c2d66a4497f27p-2, 0x1.c397e5cc06388p-2, 0x1.c44bbdb968367p-2, 0x1.c4efca6c12974p-2, 0x1.c5821a98f88c4p-2, 0x1.c600f0d752f9ap-2, 0x1.c66ac0af0ec02p-2, 0x1.c6be2c409da9cp-2, 0x1.c6fa01a6abcaap-2, 0x1.c71d3852bff05p-2, 0x1.c726eee9f8bdbp-2, 0x1.c716689405182p-2, 0x1.c6eb0abb130f3p-2, 0x1.c6a45ae46e516p-2, 0x1.c641fc2338ef3p-2, 0x1.c5c3ad34bf653p-2, 0x1.c52946584cc0dp-2, 0x1.c472b73272835p-2, 0x1.c3a00533bd217p-2, 0x1.c2b149a484a61p-2, 0x1.c1a6b00d5ac2bp-2, 0x1.c08074caedbb6p-2, 0x1.bf3ee373dfae7p-2, 0x1.bde25597a1e4fp-2, 0x1.bc6b31762c503p-2, 0x1.bad9e8b901f53p-2, 0x1.b92ef75a059dap-2, 0x1.b76ae28937424p-2, 0x1.b58e37a0949cp-2, 0x1.b3998b29d1148p-2, 0x1.b18d77faf6823p-2, 0x1.af6a9e571ca01p-2, 0x1.ad31a31b5555cp-2, 0x1.aae32f0f490f9p-2, 0x1.a87fee2f62b2dp-2, 0x1.a6088f02db0fep-2, 0x1.a37dc214ccd37p-2, 0x1.a0e0396687278p-2, 0x1.9e30a7e8244c6p-2, 0x1.9b6fc10d120e8p-2, 0x1.989e3862ad144p-2, 0x1.95bcc125019f1p-2, 0x1.92cc0de48591fp-2, 0x1.8fccd03999b36p-2, 0x1.8cbfb873cbbd4p-2, 0x1.89a5754c91447p-2, 0x1.867eb3adac318p-2, 0x1.834c1e7a39ccap-2, 0x1.800e5e51c896ap-2, 0x1.7cc619615ba03p-2, 0x1.7973f33fee603p-2, 0x1.76188cc73e995p-2, 0x1.72b483ef30febp-2, 0x1.6f4873b367a57p-2, 0x1.6bd4f3febfa13p-2, 0x1.685a9996e119cp-2, 0x1.64d9f607b2599p-2, 0x1.61539796116ecp-2, 0x1.5dc8093a8df7fp-2, 0x1.5a37d298ae0ep-2, 0x1.56a377f43f8f4p-2, 0x1.530b7a3047016p-2, 0x1.4f7056d230b95p-2, 0x1.4bd287ffaf7ffp-2, 0x1.4832847e1e3d9p-2, 0x1.4490bfb82fbabp-2, 0x1.40eda9c3b9a5ap-2, 0x1.3d49af66da3a1p-2, 0x1.39a53a1f41e7cp-2, 0x1.3600b02929694p-2, 0x1.325c7486d0314p-2, 0x1.2eb8e70c830ccp-2, 0x1.2b16646c2ea94p-2, 0x1.2775463c634d5p-2, 0x1.23d5e301f03c4p-2, 0x1.20388e3fbc077p-2, 0x1.1c9d98846b3e2p-2, 0x1.19054f72b6cd2p-2, 0x1.156ffdccef90ap-2, 0x1.11ddeb859585bp-2, 0x1.0e4f5dcd8e4b8p-2, 0x1.0ac4971ed3d7bp-2, 0x1.073dd749b27a1p-2, 0x1.03bb5b84b3367p-2, 0x1.003d5e7a175a9p-2, 0x1.f98830a8260bcp-3, 0x1.f29f7d976e36ap-3, 0x1.ebc10a70e6bdbp-3, 0x1.e4ed3939056p-3, 0x1.de246761bae11p-3, 0x1.d766ede97baa7p-3, 0x1.d0b5217b4a26ep-3, 0x1.ca0f5286afcb9p-3, 0x1.c375cd553949fp-3, 0x1.bce8da276dab6p-3, 0x1.b668bd5579a46p-3, 0x1.aff5b76869abap-3, 0x1.a990052d42d8ep-3, 0x1.a337dfcdd44f9p-3, 0x1.9ced7cf0aabbbp-3, 0x1.96b10ed481c21p-3, 0x1.9082c4625b252p-3, 0x1.8a62c9406904dp-3, 0x1.845145ee8e3a2p-3, 0x1.7e4e5fe558053p-3, 0x1.785a39aaf8108p-3, 0x1.7274f2e07e0f2p-3, 0x1.6c9ea8552642cp-3, 0x1.66d7742477425p-3, 0x1.611f6dd357de6p-3, 0x1.5b76aa60aeae5p-3, 0x1.55dd3c4ec4465p-3, 0x1.505333b4aed63p-3, 0x1.4ad89e5bcc547p-3, 0x1.456d87dc75de7p-3, 0x1.4011f9ad5f17fp-3, 0x1.3ac5fb29d0e62p-3, 0x1.3589919e3402bp-3, 0x1.305cc0620c96ep-3, 0x1.2b3f88f54b0fp-3, 0x1.2631eb1247fa6p-3, 0x1.2133e4b2fc2c1p-3, 0x1.1c457216f89cp-3, 0x1.17668dd6025e4p-3, 0x1.129730fc0b89p-3, 0x1.0dd753203ebe8p-3, 0x1.0926ea6e3f162p-3, 0x1.0485eba7bd9bcp-3, 0x1.ffe8945900291p-4, 0x1.f6e3f01e8848p-4, 0x1.edfdcc5f2beacp-4, 0x1.e5360896df7f8p-4, 0x1.dc8c82084578cp-4, 0x1.d40113bd51e88p-4, 0x1.cb93969775f19p-4, 0x1.c343e176d965dp-4, 0x1.bb11c9689347cp-4, 0x1.b2fd21c5222a5p-4, 0x1.ab05bc37e7fadp-4, 0x1.a32b68bdcf704p-4, 0x1.9b6df5b06fbcbp-4, 0x1.93cd2fe5ffdcdp-4, 0x1.8c48e2da67552p-4, 0x1.84e0d8cdcbdb5p-4, 0x1.7d94daced1361p-4, 0x1.7664b0b8948e6p-4, 0x1.6f50213616c4bp-4, 0x1.6856f1d6e9668p-4, 0x1.6178e7311bf1dp-4, 0x1.5ab5c501140dp-4, 0x1.540d4e3a7b5cdp-4, 0x1.4d7f4509fb5ep-4, 0x1.470b6ad3228c1p-4, 0x1.40b18037e816p-4, 0x1.3a71452e8f81bp-4, 0x1.344a791eb37b6p-4, 0x1.2e3cdaf8de49ap-4, 0x1.2848294117c9p-4, 0x1.226c220eb808ep-4, 0x1.1ca8830b1aa09p-4, 0x1.16fd0978befe4p-4, 0x1.11697245655ap-4, 0x1.0bed7a213a9e7p-4, 0x1.0688dd91c2a8bp-4, 0x1.013b58fadea9ep-4, 0x1.f809513eabb09p-5, 0x1.edc9113eef0d4p-5, 0x1.e3b569fa2c839p-5, 0x1.d9cdd34f9f6dap-5, 0x1.d011c51d03a32p-5, 0x1.c680b75edb1dfp-5, 0x1.bd1a2243ec86cp-5, 0x1.b3dd7e32871f8p-5, 0x1.aaca43c68fd8bp-5, 0x1.a1dfebd2b7ff7p-5, 0x1.991def6c6b3e2p-5, 0x1.9083c80256545p-5, 0x1.8810ef7668ad3p-5, 0x1.7fc4e032b31e9p-5, 0x1.779f15344866cp-5, 0x1.6f9f0a0d43169p-5, 0x1.67c43ae36f933p-5, 0x1.600e24726397fp-5, 0x1.587c44151b5b9p-5, 0x1.510e17d650fccp-5, 0x1.49c31e8288eadp-5, 0x1.429ad7b66df6ap-5, 0x1.3b94c3e6a2f5ap-5, 0x1.34b06461938b2p-5, 0x1.2ded3b4e9de29p-5, 0x1.274acbaeb91b5p-5, 0x1.20c89961b0c11p-5, 0x1.1a66293006e73p-5, 0x1.142300d6cf2a1p-5, 0x1.0dfea7121082ap-5, 0x1.07f8a3a36746p-5, 0x1.02107f5485daap-5, 0x1.f88b87edf1cf7p-6, 0x1.ed2ff8c6d1456p-6, 0x1.e20d68f5a1c92p-6, 0x1.d722f25578fcp-6, 0x1.cc6fb0e79ffb9p-6, 0x1.c1f2c2e16b26dp-6, 0x1.b7ab48b717174p-6, 0x1.ad986521d78e3p-6, 0x1.a3b93d2148304p-6, 0x1.9a0cf7f9e10c6p-6, 0x1.9092bf32f21a3p-6, 0x1.8749be96f3726p-6, 0x1.7e3124374efd3p-6, 0x1.75482072db09bp-6, 0x1.6c8de5fca4697p-6, 0x1.6401a9e10ed11p-6, 0x1.5ba2a3885316dp-6, 0x1.53700cb65932dp-6, 0x1.4b692188962f5p-6, 0x1.438d207316fddp-6, 0x1.3bdb4a3e4d83cp-6, 0x1.3452e20685fa4p-6, 0x1.2cf32d3d3cec1p-6, 0x1.25bb73ab1a916p-6, 0x1.1eaaff714d06ap-6, 0x1.17c11d09a255ep-6, 0x1.10fd1b4538ce3p-6, 0x1.0a5e4b49ee791p-6, 0x1.03e4008f0045dp-6, 0x1.fb1b21b294699p-7, 0x1.eeb4a86fe4f28p-7, 0x1.e2934a03d0d3cp-7, 0x1.d6b5bfa853c4dp-7, 0x1.cb1ac72073ce2p-7, 0x1.bfc122b44eca5p-7, 0x1.b4a7992bfd8a8p-7, 0x1.a9ccf5c9902b3p-7, 0x1.9f3008424c6a5p-7, 0x1.94cfa4b74fc57p-7, 0x1.8aaaa3ad5bac1p-7, 0x1.80bfe20436bcp-7, 0x1.770e40edbaf52p-7, 0x1.6d94a5e4eaf5ep-7, 0x1.6451faa4cab43p-7, 0x1.5b452d1f312c5p-7, 0x1.526d2f73e8e02p-7, 0x1.49c8f7e8cf128p-7, 0x1.415780e381dc3p-7, 0x1.3917c8e405ab8p-7, 0x1.3108d27f23b11p-7, 0x1.2929a4575b5ebp-7, 0x1.21794912f89f8p-7, 0x1.19f6cf4f0ad1ap-7, 0x1.12a1498fe90aep-7, 0x1.0b77ce304896fp-7, 0x1.0479775147a38p-7, 0x1.fb4ac59acea43p-8, 0x1.edf564611d52dp-8, 0x1.e0f1156a64d15p-8, 0x1.d43c2a8ac093fp-8, 0x1.c7d4fcf91310ep-8, 0x1.bbb9ed4c70487p-8, 0x1.afe9636c7f235p-8, 0x1.a461ce71d4088p-8, 0x1.9921a476d1b15p-8, 0x1.8e27625fafd55p-8, 0x1.83718ba2c2034p-8, 0x1.78feaa1b78444p-8, 0x1.6ecd4df1292b3p-8, 0x1.64dc0d95253fdp-8, 0x1.5b2985d5bdeb9p-8, 0x1.51b459fc743e5p-8, 0x1.487b33e9e58d8p-8, 0x1.3f7cc420fbbddp-8, 0x1.36b7c1b696d38p-8, 0x1.2e2aea21aab67p-8, 0x1.25d500f0d1971p-8, 0x1.1db4cf71b9ff1p-8, 0x1.15c9245c1abacp-8, 0x1.0e10d3920c8aap-8, 0x1.068ab60333e51p-8, 0x1.fe6b536f7a5b5p-9, 0x1.f02123fb4de36p-9, 0x1.e234af52613e1p-9, 0x1.d4a3d2a74d5b8p-9, 0x1.c76c7704ef4e4p-9, 0x1.ba8c914bd3643p-9, 0x1.ae0221d163972p-9, 0x1.a1cb33aaaed8p-9, 0x1.95e5dbc3021d1p-9, 0x1.8a5037ed2fa91p-9, 0x1.7f086e21c244p-9, 0x1.740cac11cf53fp-9, 0x1.695b272391ab7p-9, 0x1.5ef21cd352bd7p-9, 0x1.54cfd35a48625p-9, 0x1.4af29a6ca91c9p-9, 0x1.4158cbd7cb031p-9, 0x1.3800cbd204e98p-9, 0x1.2ee908df09885p-9, 0x1.260ffb4622ac4p-9, 0x1.1d742431d63e2p-9, 0x1.15140ca4a4b39p-9, 0x1.0cee44799a7b6p-9, 0x1.050161a2b42f9p-9, 0x1.fa97ff938f01dp-10, 0x1.eb9980c0b568cp-10, 0x1.dd049624e401ap-10, 0x1.ced69cf25815ap-10, 0x1.c10d01ba76ff3p-10, 0x1.b3a541aa967bbp-10, 0x1.a69ceb2df9d08p-10, 0x1.99f19dc5888cap-10, 0x1.8da10917c1cbp-10, 0x1.81a8eb6928d2bp-10, 0x1.76070fcde73b9p-10, 0x1.6ab94c71fa701p-10, 0x1.5fbd8147f6cbdp-10, 0x1.55119753fe30dp-10, 0x1.4ab380a162486p-10, 0x1.40a138ce3a53p-10, 0x1.36d8c5fc6e5a4p-10, 0x1.2d5839e5af28cp-10, 0x1.241db2cc32ac2p-10, 0x1.1b275c0a751efp-10, 0x1.12736e19a5f98p-10, 0x1.0a002e079331p-10, 0x1.01cbec7772986p-10, 0x1.f3aa08cfc2413p-11, 0x1.e433b408ac548p-11, 0x1.d531b37e23912p-11, 0x1.c6a0efa8d92f4p-11, 0x1.b87e606c5c841p-11, 0x1.aac70d865697cp-11, 0x1.9d780f47e6c63p-11, 0x1.908e8f580170dp-11, 0x1.8407c9549df9dp-11, 0x1.77e10b3af297ep-11, 0x1.6c17b5844f975p-11, 0x1.60a93adf31f6dp-11, 0x1.55931f7359fafp-11, 0x1.4ad2f7b6766e3p-11, 0x1.406667049f7e6p-11, 0x1.364b1e54839ccp-11, 0x1.2c7edb635ef5bp-11, 0x1.22ff688b8f435p-11, 0x1.19ca9d2e72ea5p-11, 0x1.10de5e5ae0bd7p-11, 0x1.08389f40c1d12p-11, 0x1.ffaec243ee49bp-12, 0x1.ef7165690e55cp-12, 0x1.dfb55e60b32cfp-12, 0x1.d076fac65adf1p-12, 0x1.c1b29e3a21f8bp-12, 0x1.b364c225548d4p-12, 0x1.a589f635491a5p-12, 0x1.981ee105b1addp-12, 0x1.8b20407dc11b9p-12, 0x1.7e8ae9a1f1c7ep-12, 0x1.725bc7f533288p-12, 0x1.668fdcac307a4p-12, 0x1.5b243deecc1fp-12, 0x1.5016163c68e7dp-12, 0x1.4562a3e686e31p-12, 0x1.3b0738879f8d5p-12, 0x1.3101383fe86afp-12, 0x1.274e1884d406fp-12, 0x1.1deb5e5065ab7p-12, 0x1.14d69bd690ccep-12, 0x1.0c0d6e56ad8cdp-12, 0x1.038d7d05981edp-12, 0x1.f6a8f40b4a6fp-13, 0x1.e6c04b796a1d2p-13, 0x1.d75ca794bea19p-13, 0x1.c879df9a068cp-13, 0x1.ba13ff65326eap-13, 0x1.ac2743e2ca722p-13, 0x1.9eb00f51cd88ep-13, 0x1.91aad96cec43fp-13, 0x1.8514223c8a27cp-13, 0x1.78e86dc9e29ecp-13, 0x1.6d244ad1e6761p-13, 0x1.61c460c1115acp-13, 0x1.56c57cd269a6ap-13, 0x1.4c2495fba38a4p-13, 0x1.41dec3d19f633p-13, 0x1.37f12bb4d7fa5p-13, 0x1.2e58edb2dd9f7p-13, 0x1.25131c36ec8f7p-13, 0x1.1c1cc54a3fbfbp-13, 0x1.13730b488b739p-13, 0x1.0b1341f2dc0f8p-13, 0x1.02fb00d715572p-13, 0x1.f65040193a361p-14, 0x1.e7313d1283266p-14, 0x1.d894f9cabd383p-14, 0x1.ca773c6452b55p-14, 0x1.bcd37d93da428p-14, 0x1.afa50de07b8fdp-14, 0x1.a2e76274ba6bdp-14, 0x1.96966419a8ff4p-14, 0x1.8aae97d6c8a74p-14, 0x1.7f2d0aa08adfbp-14, 0x1.740f080b3a2e3p-14, 0x1.6951bf587a39p-14, 0x1.5ef203489749fp-14, 0x1.54ec4285dcc22p-14, 0x1.4b3cb8860f53dp-14, 0x1.41dfbb796113ap-14, 0x1.38d2016fc8da5p-14, 0x1.3010bf74cd005p-14, 0x1.279997f556e5p-14, 0x1.1f6a616814292p-14, 0x1.1780dd5618bdcp-14, 0x1.0fda7f7fcce24p-14, 0x1.087461b980cc2p-14, 0x1.014b70b475abbp-14, 0x1.f4b98565dc723p-15, 0x1.e74bde5a74351p-15, 0x1.da4a6f73665b6p-15, 0x1.cdb2d24ba0f35p-15, 0x1.c1830a3c62142p-15, 0x1.b5b8ca794ed26p-15, 0x1.aa5110886f35ap-15, 0x1.9f48350d6aab7p-15, 0x1.949a48e1b9efcp-15, 0x1.8a43735176f36p-15, 0x1.80401cf66b816p-15, 0x1.768ce3f471b39p-15, 0x1.6d267d0685469p-15, 0x1.6409a772783a5p-15, 0x1.5b3339e326203p-15, 0x1.52a02b93e71b9p-15, 0x1.4a4d83816c5b4p-15, 0x1.42384138334e7p-15, 0x1.3a5d6bbe31ff3p-15, 0x1.32ba54ac8b028p-15, 0x1.2b4ce2a06ba24p-15, 0x1.24139fd2cf754p-15, 0x1.1d0d77c3c8dc3p-15, 0x1.163954d8569d9p-15, 0x1.0f95e21d26139p-15, 0x1.092189f42ad8fp-15, 0x1.02da9c1b3e095p-15, 0x1.f97ef77084bc5p-16, 0x1.ed9d745120ae9p-16, 0x1.e20e0dbe75bb1p-16, 0x1.d6cdf093f6706p-16, 0x1.cbd9b43dd27a3p-16, 0x1.c12d5817bbffdp-16, 0x1.b6c49c6ffc0fbp-16, 0x1.ac9b6fae742f4p-16, 0x1.a2ae36af0e912p-16, 0x1.98f9e8fcd5bbep-16, 0x1.8f7c12e8a74ebp-16, 0x1.8632c8f1e24e1p-16, 0x1.7d1c8d5aa6ef4p-16, 0x1.743823adec105p-16, 0x1.6b8452ded12d4p-16, 0x1.62ffb162144edp-16, 0x1.5aa8a30984996p-16, 0x1.527d844e0a02ep-16, 0x1.4a7cd8572a401p-16, 0x1.42a560f670952p-16, 0x1.3af613e683818p-16, 0x1.336ddf0bdaf1bp-16, 0x1.2c0b63ece5a09p-16, 0x1.24ccf490eeb1bp-16, 0x1.1db0d53dfc75ap-16, 0x1.16b5804e839e2p-16, 0x1.0fd9b9f65439ap-16, 0x1.091c73ce2062fp-16, 0x1.027c9c8f027e6p-16, 0x1.f7f1fca4bbedep-17, 0x1.eb2080e802836p-17, 0x1.de821392c4ea5p-17, 0x1.d21467c1d1764p-17, 0x1.c5d5f4953badap-17, 0x1.b9c6001685468p-17, 0x1.ade4292647f22p-17, 0x1.a22fb80db8cc3p-17, 0x1.96a74456260dfp-17, 0x1.8b4913ef15558p-17, 0x1.8013de16cddfep-17, 0x1.7506f96c15dfap-17, 0x1.6a21bac5d19b9p-17, 0x1.5f62f39e45119p-17, 0x1.54c920a71b518p-17, 0x1.4a52db116b575p-17, 0x1.3fff0e3db0a26p-17, 0x1.35ccea6348c7fp-17, 0x1.2bbbc3134332p-17, 0x1.21caf8d6c4ceep-17, 0x1.17f9f24e209efp-17, 0x1.0e481c0d05f25p-17, 0x1.04b4e6e5d4d9ep-17, 0x1.f67f877ddb565p-18, 0x1.e3d03aebff827p-18, 0x1.d15aa2ecf7548p-18, 0x1.bf1d67120ceb8p-18, 0x1.ad1756d748e49p-18, 0x1.9b47ac820d5ebp-18, 0x1.89adf807d4bcep-18, 0x1.7849afade90afp-18, 0x1.6719efeded40ep-18, 0x1.561dc28d78e39p-18, 0x1.4554822fe8c57p-18, 0x1.34bdc0b858feap-18, 0x1.2458d776b00efp-18, 0x1.1424dfd8fa2f1p-18, 0x1.0421297483be3p-18, 0x1.e89aec5bb5046p-19, 0x1.c953627764fd5p-19, 0x1.aa6b0d8188b9ap-19, 0x1.8be08cbcd7706p-19, 0x1.6db23fa670f08p-19, 0x1.4fdee853e108p-19, 0x1.326626d8b3a2ep-19, 0x1.154929806573fp-19, 0x1.f1143aba2d46cp-20, 0x1.b8518b556ef72p-20, 0x1.8042e1ec6f952p-20, 0x1.48e2f1da91833p-20, 0x1.1232f45f98dap-20, 0x1.b866678f35e43p-21, 0x1.4dbff1ba86576p-21, 0x1.c8e26369609fp-22, 0x1.f20be82dc5007p-23, 0x1.5fbf58142dffep-25, -0x1.3c9fee7bd662ap-23, -0x1.65e3f885b5c15p-22, -0x1.1564c48e7ae1ap-21, -0x1.767c1a28aed7dp-21, -0x1.d637846dc9bf9p-21, -0x1.1a4ee26c6a95cp-20, -0x1.48da55f503a9ap-20, -0x1.76be96ead2826p-20, -0x1.a3fb638d5efabp-20, -0x1.d090c9aab0698p-20, -0x1.fc7f5c9ccd0c8p-20, -0x1.13e3d3467e65cp-19, -0x1.29334687b7afdp-19, -0x1.3e2bd3b26163dp-19, -0x1.52cfa78163087p-19, -0x1.6721a4fc341dap-19, -0x1.7b1ff6e4e7e7bp-19, -0x1.8ec9feead4a1ap-19, -0x1.a222ab00e9806p-19, -0x1.b52ad3d26f9bfp-19, -0x1.c7e15cbf1b8bap-19, -0x1.da45ebb6f4b3bp-19, -0x1.ec5918d94e082p-19, -0x1.fe1bbe15af84ap-19, -0x1.07c7411fe68aap-18, -0x1.1058a3693c979p-18, -0x1.18c1704606b13p-18, -0x1.21015a7e3016ep-18, -0x1.291923918a9cp-18, -0x1.310982e573757p-18, -0x1.38d21c68de4b2p-18, -0x1.4072db5f32a78p-18, -0x1.47ecccc50ec93p-18, -0x1.4f40a1ad7f62fp-18, -0x1.566e5dcf8dc5bp-18, -0x1.5d761bfe8b2a1p-18, -0x1.64572283f48abp-18, -0x1.6b10ee2968844p-18, -0x1.71a47cb8876acp-18, -0x1.78118e4362d47p-18, -0x1.7e5889b085203p-18, -0x1.847adc4952725p-18, -0x1.8a787169866a7p-18, -0x1.9050e30662ff3p-18, -0x1.96044f083f3dap-18, -0x1.9b9306a95bb1bp-18, -0x1.a0fd574f8b555p-18, -0x1.a6438529bac16p-18, -0x1.ab65cc78340d3p-18, -0x1.b064727e6573ep-18, -0x1.b53fb98637accp-18, -0x1.b9f7eb53ad853p-18, -0x1.be8d4e5227706p-18, -0x1.c3002aeb33229p-18, -0x1.c750dedccd3b2p-18, -0x1.cb7fd15b42ba9p-18, -0x1.cf8d16ea45363p-18, -0x1.d3788b94be969p-18, -0x1.d74287dfe14p-18, -0x1.daebb04314ab9p-18, -0x1.de7482ce1895cp-18, -0x1.e1dcf9887467fp-18, -0x1.e5255bce96215p-18, -0x1.e84da87dca677p-18, -0x1.eb565647cda6p-18, -0x1.ee403090ef23cp-18, -0x1.f10b238d2524ep-18, -0x1.f3b750e4d70f6p-18, -0x1.f6451a892dabp-18, -0x1.f8b4e22dad6cp-18, -0x1.fb06fefb4ac53p-18, -0x1.fd3bc284e9c5cp-18, -0x1.ff537c7719aa3p-18, -0x1.00a73e889641cp-17, -0x1.01968acb947f3p-17, -0x1.0277cc38c96bdp-17, -0x1.034b2c4d479f4p-17, -0x1.0410d43f916dfp-17, -0x1.04c8ec5f340b1p-17, -0x1.05739c5694ba1p-17, -0x1.06110c31357a4p-17, -0x1.06a165bd536a5p-17, -0x1.0724d3601e6b1p-17, -0x1.079b7bd78731p-17, -0x1.0805881f9cba7p-17, -0x1.08633a64a4397p-17, -0x1.08b4c9a27e232p-17, -0x1.08fa36cd1263cp-17, -0x1.0933a95ecdc1dp-17, -0x1.09615bf726d55p-17, -0x1.09837c75029dcp-17, -0x1.099a1bc2a4f7cp-17, -0x1.09a5711044286p-17, -0x1.09a5ba5410debp-17, -0x1.099b1786f96adp-17, -0x1.0985a9d9de848p-17, -0x1.09659ba1f39c2p-17, -0x1.093b18effffbfp-17, -0x1.09064cdf6b718p-17, -0x1.08c761b07550bp-17, -0x1.087e81335ae7bp-17, -0x1.082bd50185da1p-17, -0x1.07cf8688daae8p-17, -0x1.0769befdd0027p-17, -0x1.06faa74e17962p-17, -0x1.068268283d547p-17, -0x1.06012a1a1e8cfp-17, -0x1.057715bd51534p-17, -0x1.04e453d0e812cp-17, -0x1.04490cd706795p-17, -0x1.03a56850c4a2ap-17, -0x1.02f98d9380f34p-17, -0x1.0245a82a4791ep-17, -0x1.0189e0036b458p-17, -0x1.00c653a17184bp-17, -0x1.fff65e4c82041p-18, -0x1.fe5138df5f248p-18, -0x1.fc9d7d3a6c6e8p-18, -0x1.fadb7831a0099p-18, -0x1.f90b76e9f1b6ap-18, -0x1.f72dc5285a99p-18, -0x1.f542ae370640dp-18, -0x1.f34a7d885d4eep-18, -0x1.f1457d19bb943p-18, -0x1.ef33f475b1039p-18, -0x1.ed162c812d0afp-18, -0x1.eaec6f6f5f7dp-18, -0x1.e8b704ed3e066p-18, -0x1.e67633728a7bep-18, -0x1.e42a417f12f7ap-18, -0x1.e1d37538cd5e8p-18, -0x1.df721418432bdp-18, -0x1.dd0662ef71aap-18, -0x1.da90a5f4ae006p-18, -0x1.d81120c381b2p-18, -0x1.d58816569daa8p-18, -0x1.d2f5c8f588285p-18, -0x1.d05a7a221632p-18, -0x1.cdb66abf73abp-18, -0x1.cb09db6b1ec07p-18, -0x1.c8550bbffa903p-18, -0x1.c59839e8d7191p-18, -0x1.c2d3a67448eb9p-18, -0x1.c0078ccf3727fp-18, -0x1.bd342aad65c31p-18, -0x1.ba59bd2b70e6dp-18, -0x1.b7787fa13ec39p-18, -0x1.b490acebe889bp-18, -0x1.b1a27f5ce2331p-18, -0x1.aeae309f1b075p-18, -0x1.abb3f9a96d4c2p-18, -0x1.a8b412ca334bfp-18, -0x1.a5aeb3a6b003ap-18, -0x1.a2a412f2642b9p-18, -0x1.9f94676550412p-18, -0x1.9c7fe67592dc9p-18, -0x1.9966c4c6feeacp-18, -0x1.96493696de34bp-18, -0x1.93276f849e98dp-18, -0x1.9001a2397a559p-18, -0x1.8cd800d6f945cp-18, -0x1.89aabd161d1c5p-18, -0x1.867a07907577fp-18, -0x1.83461084acd6dp-18, -0x1.800f0733c3fcfp-18, -0x1.7cd51a76fb8a7p-18, -0x1.79987864765fbp-18, -0x1.76594e6f89409p-18, -0x1.7317c94057b76p-18, -0x1.6fd414caf002dp-18, -0x1.6c8e5cd16fec4p-18, -0x1.6946cbd26d5ffp-18, -0x1.65fd8c2407943p-18, -0x1.62b2c728ef2b2p-18, -0x1.5f66a547f710fp-18, -0x1.5c194ef0d04bep-18, -0x1.58caeb9d79193p-18, -0x1.557ba2240c9cp-18, -0x1.522b98b82922ap-18, -0x1.4edaf4eb54be2p-18, -0x1.4b89dbad57c39p-18, -0x1.4838714daad95p-18, -0x1.44e6d97c3129ap-18, -0x1.4195374a24bbap-18, -0x1.3e43ad2b14623p-18, -0x1.3af25cf5fd0b5p-18, -0x1.37a167e67bda8p-18, -0x1.3450ee9dedcffp-18, -0x1.3101112402342p-18, -0x1.2db1eee72d4f7p-18, -0x1.2a63a6be4aa29p-18, -0x1.271656eaf0f67p-18, -0x1.23ca1d1b290bcp-18, -0x1.207f166a130ccp-18, -0x1.1d355f61177fep-18, -0x1.19ed13fa538d4p-18, -0x1.16a64f9fffa82p-18, -0x1.13612d26e5c09p-18, -0x1.101dc6d5a29f1p-18, -0x1.0cdc3668cfc45p-18, -0x1.099c9525e149fp-18, -0x1.065efbc18e687p-18, -0x1.0323821b5a76dp-18, -0x1.ffd48024d235cp-19, -0x1.f96699ac251a8p-19, -0x1.f2fd7dbd38f4fp-19, -0x1.ec99586c2ed54p-19, -0x1.e63a54dd403e6p-19, -0x1.dfe09d608818fp-19, -0x1.d98c5a9986ea9p-19, -0x1.d33db53b2d6fep-19, -0x1.ccf4d44c0395cp-19, -0x1.c6b1de229a566p-19, -0x1.c074f8084ac0bp-19, -0x1.ba3e41bc35af2p-19, -0x1.b40de4a0a0417p-19, -0x1.ade40bd1d7fd6p-19, -0x1.a7c0c77261389p-19, -0x1.a1a43ff82fd29p-19, -0x1.9b8e95138d32p-19, -0x1.957fe5a8ef3ep-19, -0x1.8f784fcb8b18ep-19, -0x1.8977f0a341226p-19, -0x1.837ee52992abep-19, -0x1.7d8d482eaec8cp-19, -0x1.77a334fb3117fp-19, -0x1.71c0c58eeb9bcp-19, -0x1.6be61313554f7p-19, -0x1.661335ce14a56p-19, -0x1.6048451ac1009p-19, -0x1.5a8557c471b3fp-19, -0x1.54ca8459bb6b2p-19, -0x1.4f17e2061b2e7p-19, -0x1.496d82faec63bp-19, -0x1.43cb77d58d589p-19, -0x1.3e31d9c6725dcp-19, -0x1.38a0b9ca5dc8bp-19, -0x1.331828de0fa0bp-19, -0x1.2d9837fe8b5fp-19, -0x1.2820f77ddf967p-19, -0x1.22b27752d6522p-19, -0x1.1d4cc7c2982d2p-19, -0x1.17eff80a41f93p-19, -0x1.129c11e67c6f8p-19, -0x1.0d512181b252dp-19, -0x1.080f3890c9791p-19, -0x1.02d662ace6dbp-19, -0x1.fb4d54022039fp-20, -0x1.f10032471645ep-20, -0x1.e6c5748a13581p-20, -0x1.dc9d2e5a68e88p-20, -0x1.d28771fd8864ap-20, -0x1.c884509508261p-20, -0x1.be93da2aa1adp-20, -0x1.b4b61db9842cep-20, -0x1.aaeb293a7fbddp-20, -0x1.a13309a55bc77p-20, -0x1.978dcaed71b38p-20, -0x1.8dfb7807d86e8p-20, -0x1.847c1af95deb9p-20, -0x1.7b0fbcd9d5632p-20, -0x1.71b665a975c4bp-20, -0x1.68701c22193c9p-20, -0x1.5f3ce65d72ec5p-20, -0x1.561cc9fdbf905p-20, -0x1.4d0fcc7a56511p-20, -0x1.4415f5ccd9b2fp-20, -0x1.3b2f3bec05375p-20, -0x1.325ba86fa8f6ep-20, -0x1.299b3fdeb7752p-20, -0x1.20edff459de71p-20, -0x1.1853e61e59f77p-20, -0x1.0fccf35f815fbp-20, -0x1.07592530b707ap-20, -0x1.fdf0f1eaa5ab3p-21, -0x1.ed55d6ab6062dp-21, -0x1.dce0f08ac1cc3p-21, -0x1.cc92361c92516p-21, -0x1.bc699d333438fp-21, -0x1.ac6711572aa1ep-21, -0x1.9c8a9c19d0d1p-21, -0x1.8cd4144ced634p-21, -0x1.7d4377747cdap-21, -0x1.6dd8b28dcdb69p-21, -0x1.5e93b2f167d3p-21, -0x1.4f7464c530123p-21, -0x1.407ab322dec8ap-21, }}, 
      {{-0x1.f8e28e2dd5e59p-2, -0x1.f7d661ae83e2ep-2, -0x1.f61a175bb2f3fp-2, -0x1.f3b199d079f34p-2, -0x1.f0a23556cf70fp-2, -0x1.ecf2690c6bc23p-2, -0x1.e8a9b43584c53p-2, -0x1.e3d065addc894p-2, -0x1.de6f6fe81c595p-2, -0x1.d890413f1d6cp-2, -0x1.d23c9f3aa550bp-2, -0x1.cb7e8385b7d21p-2, -0x1.c45ffa127832p-2, -0x1.bceb00bc1232dp-2, -0x1.b529694dbdf84p-2, -0x1.ad24bf0f9eebep-2, -0x1.a4e630dd6187dp-2, -0x1.9c76807145be4p-2, -0x1.93ddf718ba077p-2, -0x1.8b245f91ed8d8p-2, -0x1.825104705bd69p-2, -0x1.796ab2244e2d6p-2, -0x1.7077bba1f1131p-2, -0x1.677e00a5012cdp-2, -0x1.5e82f4a791d4bp-2, -0x1.558ba5ccf49cap-2, -0x1.4c9cc3350cdbcp-2, -0x1.43baa26117793p-2, -0x1.3ae94383d868dp-2, -0x1.322c54c02330bp-2, -0x1.29873478193ddp-2, -0x1.20fcf2e4710f6p-2, -0x1.189053364cc71p-2, -0x1.1043cc88d2918p-2, -0x1.08198ae379476p-2, -0x1.00137084e6d87p-2, -0x1.f0662f438b0d7p-3, -0x1.e0f3a96a473edp-3, -0x1.d1d172e3a61c6p-3, -0x1.c30130adf69b3p-3, -0x1.b48411bd0a551p-3, -0x1.a65ad864fb2bep-3, -0x1.9885e49ec6648p-3, -0x1.8b053ee916661p-3, -0x1.7dd8a382535cep-3, -0x1.70ff8db82ac86p-3, -0x1.6479430ae742fp-3, -0x1.5844dde82bb35p-3, -0x1.4c6157c7d700cp-3, -0x1.40cd927e671f5p-3, -0x1.358860a1c786bp-3, -0x1.2a908ce716ed8p-3, -0x1.1fe4e069aeb72p-3, -0x1.158427d4b38efp-3, -0x1.0b6d3770e0d7ap-3, -0x1.019eee1f6fd73p-3, -0x1.f0306ea2bbb2bp-4, -0x1.ddb0181e8ac3ep-4, -0x1.cbbae653d0d57p-4, -0x1.ba4f015c99b5dp-4, -0x1.a96aa973fddc1p-4, -0x1.990c3399756cfp-4, -0x1.89320569502b5p-4, -0x1.79da9062e4653p-4, -0x1.6b044cd201931p-4, -0x1.5cadb48d63892p-4, -0x1.4ed53db71ff6p-4, -0x1.417955a6ebc33p-4, -0x1.34985c2091cbap-4, -0x1.28309ef35ac65p-4, -0x1.1c40561989282p-4, -0x1.10c5a069a44bap-4, -0x1.05be80e617a55p-4, -0x1.f651b965b4e4p-5, -0x1.e204f368d4627p-5, -0x1.ce91fbaec9a87p-5, -0x1.bbf3ddf929596p-5, -0x1.aa256704818f1p-5, -0x1.992126c223cffp-5, -0x1.88e173a19e15p-5, -0x1.79606ecf51065p-5, -0x1.6a98094b39596p-5, -0x1.5c8209b98478fp-5, -0x1.4f1812cdc55a9p-5, -0x1.4253aa316f998p-5, -0x1.362e3fc6b905bp-5, -0x1.2aa13529df7eep-5, -0x1.1fa5e55426f1dp-5, -0x1.1535ac458ba1p-5, -0x1.0b49ee9c14fabp-5, -0x1.01dc2101c2e6cp-5, -0x1.f1cb9eb8dd7c3p-6, -0x1.e0c1475a68528p-6, -0x1.d08cd91ee489dp-6, -0x1.c122469392e3fp-6, -0x1.b275e2cbb1946p-6, -0x1.a47c6b8b84c6dp-6, -0x1.972b12615ee1ap-6, -0x1.8a7784a333d3fp-6, -0x1.7e57f24b1d529p-6, -0x1.72c313b0d82c6p-6, -0x1.67b02e2175f73p-6, -0x1.5d17175972cb8p-6, -0x1.52f037e818d5fp-6, -0x1.49348c854551dp-6, -0x1.3fdda664ca309p-6, -0x1.36e5aa943c51dp-6, -0x1.2e475071753fep-6, -0x1.25fddf4936f01p-6, -0x1.1e052b2e2240bp-6, -0x1.1659911901e98p-6, -0x1.0ef7f26395cfep-6, -0x1.07ddafaf70b5cp-6, -0x1.0108a34a69594p-6, -0x1.f4ee3643e07dep-7, -0x1.e84fa4aca4689p-7, -0x1.dc33d4fd25643p-7, -0x1.d099c959c235p-7, -0x1.c58134863cb7ep-7, -0x1.baea6b4c30707p-7, -0x1.b0d655bafc944p-7, -0x1.a746605b25457p-7, -0x1.9e3c6d6da9d74p-7, -0x1.95bac64df5179p-7, -0x1.8dc40d0b216a4p-7, -0x1.865b2e4bbad2bp-7, -0x1.7f83538cf3434p-7, -0x1.793fd5cca5677p-7, -0x1.739430abdbe73p-7, -0x1.6e83f6158d37p-7, -0x1.6a12c273ce1e9p-7, -0x1.6644317beb47fp-7, -0x1.631bd3989c183p-7, -0x1.609d23f7c4576p-7, -0x1.5ecb7f3ffd854p-7, -0x1.5daa1af0c0df5p-7, -0x1.5d3bfd6ef03c7p-7, -0x1.5d83f6be4d4a7p-7, -0x1.5e8499e76a5e1p-7, -0x1.6040370893375p-7, -0x1.62b8d60f70eb1p-7, -0x1.65f0321869eefp-7, -0x1.69e7b56fed8e9p-7, -0x1.6ea076313b09dp-7, -0x1.741b337dbcfb8p-7, -0x1.7a585347a81a2p-7, -0x1.8157e0a9ea8a9p-7, -0x1.89198ac778fdap-7, -0x1.919ca42b4fdb5p-7, -0x1.9ae022a2a3561p-7, -0x1.a4e29f8a852e3p-7, -0x1.afa25889f54c2p-7, -0x1.bb1d30b17b294p-7, -0x1.c750b1f926a9fp-7, -0x1.d43a0f160f566p-7, -0x1.e1d625a05c36p-7, -0x1.f021808303286p-7, -0x1.ff185aae7f79bp-7, -0x1.075b5103e1d53p-6, -0x1.0f7bfd468cc7ep-6, -0x1.17ebe0d54987dp-6, -0x1.20a888dc0fdd6p-6, -0x1.29af62cda49c5p-6, -0x1.32fdbe437ccd6p-6, -0x1.3c90cee9fbea8p-6, -0x1.4665ae7664b75p-6, -0x1.50795ea4355ap-6, -0x1.5ac8cb37669cbp-6, -0x1.6550cc018a888p-6, -0x1.700e26e79497ep-6, -0x1.7afd91e669791p-6, -0x1.861bb51468c1ap-6, -0x1.91652c9e4bc61p-6, -0x1.9cd68abdafd98p-6, -0x1.a86c59a7f2735p-6, -0x1.b4231d73f5883p-6, -0x1.bff755f5a8c35p-6, -0x1.cbe5808e40f6fp-6, -0x1.d7ea19f01acebp-6, -0x1.e4019fd56f53ap-6, -0x1.f02892a9050a5p-6, -0x1.fc5b77203900bp-6, -0x1.044b6be2e38cfp-5, -0x1.0a6ba33a6b389p-5, -0x1.108caee1ee06ep-5, -0x1.16ace12f82e71p-5, -0x1.1cca9228ed3e7p-5, -0x1.22e4201ff64c7p-5, -0x1.28f7f0463b24fp-5, -0x1.2f046f386dd87p-5, -0x1.350811810916ap-5, -0x1.3b01541279cf2p-5, -0x1.40eebcb8d0694p-5, -0x1.46ceda830acedp-5, -0x1.4ca046240aa56p-5, -0x1.5261a24b6193bp-5, -0x1.58119bf60d425p-5, -0x1.5daeeab7534c8p-5, -0x1.633850f9dd7e8p-5, -0x1.68ac9c394d45ap-5, -0x1.6e0aa5346fd5dp-5, -0x1.7351501846641p-5, -0x1.787f8ca423e5bp-5, -0x1.7d9456470ae94p-5, -0x1.828eb4369130fp-5, -0x1.876db97f79448p-5, -0x1.8c3085104b823p-5, -0x1.90d641be15094p-5, -0x1.955e2643a30c1p-5, -0x1.99c7753b69542p-5, -0x1.9e117d14556b2p-5, -0x1.a23b9801d24f7p-5, -0x1.a6452be736686p-5, -0x1.aa2daa3ed4608p-5, -0x1.adf48ffcf6517p-5, -0x1.b199656ef3757p-5, -0x1.b51bbe16a22bp-5, -0x1.b87b38826760bp-5, -0x1.bbb77e2210729p-5, -0x1.bed04318bdd8cp-5, -0x1.c1c5460c09385p-5, -0x1.c4964ff0a3b5cp-5, -0x1.c74333d4a3124p-5, -0x1.c9cbcea7a4a1ap-5, -0x1.cc3007010bc2ap-5, -0x1.ce6fcce47800ap-5, -0x1.d08b1984b3f48p-5, -0x1.d281ef053eacfp-5, -0x1.d454583aa02b2p-5, -0x1.d6026869b16bp-5, -0x1.d78c3b05ffb81p-5, -0x1.d8f1f36f71a9ap-5, -0x1.da33bcaf5a1b7p-5, -0x1.db51c9351168cp-5, -0x1.dc4c529246e12p-5, -0x1.dd2399371aa5fp-5, -0x1.ddd7e42e2e61cp-5, -0x1.de6980d8be718p-5, -0x1.ded8c2aae384p-5, -0x1.df2602e81ba6p-5, -0x1.df51a0602c52cp-5, -0x1.df5bff2c7a07fp-5, -0x1.df45886dee599p-5, -0x1.df0eaa0b7bffap-5, -0x1.deb7d67158cb5p-5, -0x1.de418450fca42p-5, -0x1.ddac2e61fb042p-5, -0x1.dcf85323beb08p-5, -0x1.dc2674a0404efp-5, -0x1.db37182fb9f53p-5, -0x1.da2ac63d73242p-5, -0x1.d9020a0da14eep-5, -0x1.d7bd718470a32p-5, -0x1.d65d8cee3e919p-5, -0x1.d4e2eec907255p-5, -0x1.d34e2b8f144b6p-5, -0x1.d19fd982ef096p-5, -0x1.cfd8907c9c7f1p-5, -0x1.cdf8e9b828732p-5, -0x1.cc017fa586931p-5, -0x1.c9f2edb9c5774p-5, -0x1.c7cdd0419ceccp-5, -0x1.c592c4355b62cp-5, -0x1.c342670e27396p-5, -0x1.c0dd569ca4d5bp-5, -0x1.be6430e0f30dep-5, -0x1.bbd793e40712fp-5, -0x1.b9381d9260752p-5, -0x1.b6866b98186d5p-5, -0x1.b3c31b3e4453ep-5, -0x1.b0eec949b2a86p-5, -0x1.ae0a11daf875ep-5, -0x1.ab15904fc7b13p-5, -0x1.a811df2599d2p-5, -0x1.a4ff97dd9c024p-5, -0x1.a1df52e1dd3d5p-5, -0x1.9eb1a76bbe04dp-5, -0x1.9b772b6b955b1p-5, -0x1.983073718ee12p-5, -0x1.94de1297b2f83p-5, -0x1.91809a6d1c6a9p-5, -0x1.8e189ae250b4p-5, -0x1.8aa6a236b5fcdp-5, -0x1.872b3ce724aa7p-5, -0x1.83a6f59d899e8p-5, -0x1.801a552194364p-5, -0x1.7c85e24a695b2p-5, -0x1.78ea21f15a976p-5, -0x1.754796e58f958p-5, -0x1.719ec1e0a9c92p-5, -0x1.6df0217c5103dp-5, -0x1.6a3c3228a29fbp-5, -0x1.66836e2387d3fp-5, -0x1.62c64d70e0e66p-5, -0x1.5f0545d383789p-5, -0x1.5b40cac704328p-5, -0x1.57794d7a4953fp-5, -0x1.53af3ccad6587p-5, -0x1.4fe30540da2c6p-5, -0x1.4c15110be590fp-5, -0x1.4845c80052d43p-5, -0x1.44758f9553f51p-5, -0x1.40a4cae3a0845p-5, -0x1.3cd3daa4bc92ap-5, -0x1.39031d32d3befp-5, -0x1.3532ee8923787p-5, -0x1.3163a844ee1e1p-5, -0x1.2d95a1a6ecc82p-5, -0x1.29c92f9545036p-5, -0x1.25fea49def223p-5, -0x1.223650f991b8ap-5, -0x1.1e70828eccfacp-5, -0x1.1aad84f5e2a45p-5, -0x1.16eda17cd0397p-5, -0x1.13311f2bb871fp-5, -0x1.0f7842c9ae746p-5, -0x1.0bc34ee1d1a38p-5, -0x1.081283c8b6d3ep-5, -0x1.04661fa220515p-5, -0x1.00be5e66f9726p-5, -0x1.fa36f3d727ee2p-6, -0x1.f2fb53cc4fcedp-6, -0x1.ebca47eb03c6cp-6, -0x1.e4a4374feb69ap-6, -0x1.dd898504ee764p-6, -0x1.d67a900fcd6b5p-6, -0x1.cf77b3810f416p-6, -0x1.c881468335831p-6, -0x1.c1979c6a436ebp-6, -0x1.babb04c379de1p-6, -0x1.b3ebcb655a41cp-6, -0x1.ad2a387fd1034p-6, -0x1.a67690ac90761p-6, -0x1.9fd114ffa57c3p-6, -0x1.993a0318176cep-6, -0x1.92b19530a6f1cp-6, -0x1.8c380230c25fp-6, -0x1.85cd7dbd6873dp-6, -0x1.7f72384a33371p-6, -0x1.79265f2a5de73p-6, -0x1.72ea1ca1dc812p-6, -0x1.6cbd97f66ad66p-6, -0x1.66a0f580a6304p-6, -0x1.609456bd11d7bp-6, -0x1.5a97da5d1db8cp-6, -0x1.54ab9c581952ap-6, -0x1.4ecfb5fc1ccd8p-6, -0x1.49043dfed5ea7p-6, -0x1.4349488e3fd71p-6, -0x1.3d9ee7614f0b1p-6, -0x1.380529c867aa5p-6, -0x1.327c1cbdd0627p-6, -0x1.2d03caf5ecfd3p-6, -0x1.279c3cef675a9p-6, -0x1.22457903250d1p-6, -0x1.1cff83741f679p-6, -0x1.17ca5e7f0bb15p-6, -0x1.12a60a69dca65p-6, -0x1.0d9285930f30ap-6, -0x1.088fcc80d60f3p-6, -0x1.039dd9f0078fap-6, -0x1.fd794dc5c3879p-7, -0x1.f3d8555f32788p-7, -0x1.ea58b61d72a33p-7, -0x1.e0fa58528a305p-7, -0x1.d7bd214d5c376p-7, -0x1.cea0f375178b9p-7, -0x1.c5a5ae644a0dfp-7, -0x1.bccb2f036a13ap-7, -0x1.b4114fa309f21p-7, -0x1.ab77e81585d84p-7, -0x1.a2fecdc84110fp-7, -0x1.9aa5d3dc8390dp-7, -0x1.926ccb3fc7f7ep-7, -0x1.8a5382c3a2d56p-7, -0x1.8259c7352caa6p-7, -0x1.7a7f63740ad05p-7, -0x1.72c42088e4996p-7, -0x1.6b27c5bb7a257p-7, -0x1.63aa18a83b253p-7, -0x1.5c4add556a351p-7, -0x1.5509d647d10ap-7, -0x1.4de6c496eeea6p-7, -0x1.46e16800c9b44p-7, -0x1.3ff97efd3977dp-7, -0x1.392ec6d0c603dp-7, -0x1.3280fb9f1b502p-7, -0x1.2befd87cfb95cp-7, -0x1.257b1781cca25p-7, -0x1.1f2271d8b0138p-7, -0x1.18e59fd135ad8p-7, -0x1.12c458ef86723p-7, -0x1.0cbe53fc503ecp-7, -0x1.06d347140b7bep-7, -0x1.0102e7b611a82p-7, -0x1.f699d5a617f77p-8, -0x1.eb6209b680d39p-8, -0x1.e05dd39866248p-8, -0x1.d58c9a7c27d2bp-8, -0x1.caedc4e160c32p-8, -0x1.c080b8affa28dp-8, -0x1.b644db50a8879p-8, -0x1.ac3991c48fb24p-8, -0x1.a25e40bc0bcc5p-8, -0x1.98b24cacfe2a2p-8, -0x1.8f3519e82c582p-8, -0x1.85e60cadf3b74p-8, -0x1.7cc489427be73p-8, -0x1.73cff400ea2bdp-8, -0x1.6b07b16e2cad9p-8, -0x1.626b264afd998p-8, -0x1.59f9b7a539fcdp-8, -0x1.51b2cae8b0adfp-8, -0x1.4995c5ef3f081p-8, -0x1.41a20f1054882p-8, -0x1.39d70d2fd0e73p-8, -0x1.323427cc6f5e3p-8, -0x1.2ab8c70d77dadp-8, -0x1.236453cfe2e82p-8, -0x1.1c3637b31841bp-8, -0x1.152ddd24f4c1cp-8, -0x1.0e4aaf6d61f85p-8, -0x1.078c1ab94de1ap-8, -0x1.00f18c255f0efp-8, -0x1.f4f4e38fbb2afp-9, -0x1.e84c75749e4b9p-9, -0x1.dbe8ae4527429p-9, -0x1.cfc87076ff493p-9, -0x1.c3eaa0ba276c6p-9, -0x1.b84e26087717dp-9, -0x1.acf1e9b432b28p-9, -0x1.a1d4d775f5f7ap-9, -0x1.96f5dd7991c84p-9, -0x1.8c53ec6a60a18p-9, -0x1.81edf77eac615p-9, -0x1.77c2f4825a45bp-9, -0x1.6dd1dbe0f55a7p-9, -0x1.6419a8aee80c8p-9, -0x1.5a9958b1fd177p-9, -0x1.514fec69721cp-9, -0x1.483c671508f2dp-9, -0x1.3f5dcebbd3cp-9, -0x1.36b32c321e28fp-9, -0x1.2e3b8b1ee953ap-9, -0x1.25f5fa00b210cp-9, -0x1.1de18a31d0009p-9, -0x1.15fd4fec3b98ap-9, -0x1.0e48624cb5f9p-9, -0x1.06c1db55907ep-9, -0x1.fed1afe1b544dp-10, -0x1.f078efe4a629ap-10, -0x1.e277bc30e1bc7p-10, -0x1.d4cc601b0619bp-10, -0x1.c7752cd033f3p-10, -0x1.ba707955ba1e4p-10, -0x1.adbca288e0aa9p-10, -0x1.a1580b1d2443dp-10, -0x1.95411b9a10c21p-10, -0x1.8976425880598p-10, -0x1.7df5f37eb60e1p-10, -0x1.72bea8fc72869p-10, -0x1.67cee285de822p-10, -0x1.5d25258e1c5bap-10, -0x1.52bffd414bb05p-10, -0x1.489dfa7e28d1ap-10, -0x1.3ebdb3ce4e0fap-10, -0x1.351dc55f64d44p-10, -0x1.2bbcd0fa74dc4p-10, -0x1.22997dfb98c47p-10, -0x1.19b27948d1696p-10, -0x1.11067548f32c2p-10, -0x1.089429d979bd1p-10, -0x1.005a544499f0ep-10, -0x1.f0af6e6d6408p-11, -0x1.e11635662e599p-11, -0x1.d1e69813376ep-11, -0x1.c31e3b945ff0ap-11, -0x1.b4bacf73e9cebp-11, -0x1.a6ba0d8d1da09p-11, -0x1.9919b9f47bf14p-11, -0x1.8bd7a2de56f24p-11, -0x1.7ef1a0857b7f5p-11, -0x1.726595115460dp-11, -0x1.66316c7ba5f84p-11, -0x1.5a531c75d101bp-11, -0x1.4ec8a44e5c092p-11, -0x1.43900cd54a2ebp-11, -0x1.38a768407d2cap-11, -0x1.2e0cd210d771dp-11, -0x1.23be6ef51eac4p-11, -0x1.19ba6caf39964p-11, -0x1.0fff01f6942dap-11, -0x1.068a6e5c863afp-11, -0x1.fab5f45f2f2d5p-12, -0x1.e8ddecbd549f4p-12, -0x1.d78978b8a5827p-12, -0x1.c6b55c0403001p-12, -0x1.b65e6ae62df75p-12, -0x1.a6818a00922f2p-12, -0x1.971bae146b181p-12, -0x1.8829dbc9d8da3p-12, -0x1.79a92775e8851p-12, -0x1.6b96b4e0184c1p-12, -0x1.5defb709f6d64p-12, -0x1.50b16ff464d34p-12, -0x1.43d9306781c1ep-12, -0x1.376457b89f68fp-12, -0x1.2b5053916e506p-12, -0x1.1f9a9fb7a6135p-12, -0x1.1440c5d40d5eap-12, -0x1.09405d3ad25a4p-12, -0x1.fd2e15662b6b5p-13, -0x1.e885007f48b09p-13, -0x1.d480f9cf8aad2p-13, -0x1.c11d9900ccf3ap-13, -0x1.ae568eea3ce63p-13, -0x1.9c27a52498436p-13, -0x1.8a8cbd9f61991p-13, -0x1.7981d23404e49p-13, -0x1.6902f43f17d99p-13, -0x1.590c4c35103acp-13, -0x1.499a193b46e0ep-13, -0x1.3aa8b0c0915f8p-13, -0x1.2c347e1735897p-13, -0x1.1e3a020f4f5a7p-13, -0x1.10b5d292f8559p-13, -0x1.03a49a437c34cp-13, -0x1.ee06302dc8204p-14, -0x1.d59c3ded471c1p-14, -0x1.be052abedcd0fp-14, -0x1.a73aea055fc4dp-14, -0x1.913794d1bfa0dp-14, -0x1.7bf56926f6cb3p-14, -0x1.676ec944b8859p-14, -0x1.539e3af128f83p-14, -0x1.407e66c6829edp-14, -0x1.2e0a17833884ep-14, -0x1.1c3c39575a7c5p-14, -0x1.0b0fd93ea1945p-14, -0x1.f50048a22fa42p-15, -0x1.d510ce3b2234p-15, -0x1.b6481a088a201p-15, -0x1.989d3f25a227ap-15, -0x1.7c078bc8ea86bp-15, -0x1.607e8806d33a9p-15, -0x1.45f9f4976f0ecp-15, -0x1.2c71c9a408a26p-15, -0x1.13de3596a280ap-15, -0x1.f86f37de9aac2p-16, -0x1.caed28402da3dp-16, -0x1.9f27d0ca393b8p-16, -0x1.7511295e5389cp-16, -0x1.4c9b8b0dd88bp-16, -0x1.25b9adefdf90fp-16, -0x1.005ea703031cep-16, -0x1.b8fbcc33d2a8p-17, -0x1.7416678ff975fp-17, -0x1.31f55ebe2e57p-17, -0x1.e50333c414f67p-18, -0x1.6b494d7c85039p-18, -0x1.ed22d35fc59adp-19, -0x1.0d6246df90cep-19, -0x1.b7f4a523b06dp-22, 0x1.2cb092f9e3182p-20, 0x1.5af00d6109561p-19, 0x1.0b8a1958d7512p-18, 0x1.6587024d06e96p-18, 0x1.bb9255b3c4382p-18, 0x1.06e74e6d0d7b1p-17, 0x1.2e2eae5fe602dp-17, 0x1.53af8e3c673c4p-17, 0x1.7779b5c3895b6p-17, 0x1.999c73f06464dp-17, 0x1.ba26a20c4f91cp-17, 0x1.d926a69a7c278p-17, 0x1.f6aa7846691ap-17, 0x1.095fd05965f3fp-16, 0x1.16b99fa54810ap-16, 0x1.236905f9e95bp-16, 0x1.2f742ce52a1dcp-16, 0x1.3ae10cd7f561dp-16, 0x1.45b56e74ad473p-16, 0x1.4ff6ebcccc696p-16, 0x1.59aaf1a041b3p-16, 0x1.62d6c08d22e8p-16, 0x1.6b7f6e41e2a9bp-16, 0x1.73a9e6a2c3634p-16, 0x1.7b5aece92479cp-16, 0x1.82971cc3f6eaep-16, 0x1.8962eb67a37f5p-16, 0x1.8fc2a89f0b738p-16, 0x1.95ba7fd4371b3p-16, 0x1.9b4e7912c2ad6p-16, 0x1.a0827a06737acp-16, 0x1.a55a46f029e2fp-16, 0x1.a9d98399cb8f8p-16, 0x1.ae03b43f8e3ap-16, 0x1.b1dc3e7b20307p-16, 0x1.b5666a24201a7p-16, 0x1.b8a562297667cp-16, 0x1.bb9c356bde1c2p-16, 0x1.be4dd78ecd3c3p-16, 0x1.c0bd21c4fb4adp-16, 0x1.c2ecd39a1e672p-16, 0x1.c4df93b4f5a5p-16, 0x1.c697f09562961p-16, 0x1.c818615034acep-16, 0x1.c9634644af2ddp-16, 0x1.ca7ae9cb1d777p-16, 0x1.cb6180e57a5afp-16, 0x1.cc192be3d3e7ep-16, 0x1.cca3f70afca7p-16, 0x1.cd03db3434d47p-16, 0x1.cd3abe672351bp-16, 0x1.cd4a7474ca13p-16, 0x1.cd34bf87bcd46p-16, 0x1.ccfb50b86064dp-16, 0x1.cc9fc89716484p-16, 0x1.cc23b7b4a8debp-16, 0x1.cb889f2a07016p-16, 0x1.cacff115d7c92p-16, 0x1.c9fb111f148fp-16, 0x1.c90b54ec41a37p-16, 0x1.c802049c6a198p-16, 0x1.c6e05b3bcf40fp-16, 0x1.c5a78732c76ap-16, 0x1.c458aab62618ep-16, 0x1.c2f4dc31cfe8ap-16, 0x1.c17d26ae8a7f3p-16, 0x1.bff28a390a471p-16, 0x1.be55fc43657efp-16, 0x1.bca8680497873p-16, 0x1.baeaaed5085fdp-16, 0x1.b91da88811db6p-16, 0x1.b74223c379adcp-16, 0x1.b558e654174dbp-16, 0x1.b362ad81221f1p-16, 0x1.b1602e5b454f3p-16, 0x1.af52160a7d1fdp-16, 0x1.ad390a1955565p-16, 0x1.ab15a8bc523f3p-16, 0x1.a8e8891b6644dp-16, 0x1.a6b23b94bb0afp-16, 0x1.a47349ff3c90fp-16, 0x1.a22c37eb1d847p-16, 0x1.9fdd82e075e84p-16, 0x1.9d87a29b8190fp-16, 0x1.9b2b09483ea9fp-16, 0x1.98c823b8b8e5dp-16, 0x1.965f599eaf9cp-16, 0x1.93f10dbedead8p-16, 0x1.917d9e24b1567p-16, 0x1.8f05645569ed5p-16, 0x1.8c88b57d67a15p-16, 0x1.8a07e2a1763f6p-16, 0x1.878338c9a0517p-16, 0x1.84fb012db6a14p-16, 0x1.826f815f1eef6p-16, 0x1.7fe0fb724f13dp-16, 0x1.7d4fae2370baap-16, 0x1.7abbd4feb967dp-16, 0x1.7825a88347853p-16, 0x1.758d5e471faabp-16, 0x1.72f3291969b4bp-16, 0x1.705739218f74p-16, 0x1.6db9bc0091bcfp-16, 0x1.6b1adcee9a0e6p-16, 0x1.687ac4d820d9ep-16, 0x1.65d99a7a874a1p-16, 0x1.6337827f0cef2p-16, 0x1.60949f95f66c5p-16, 0x1.5df1128d76f47p-16, 0x1.5b4cfa6bc5ddep-16, 0x1.58a8748607672p-16, 0x1.56039c96268b7p-16, 0x1.535e8cd0b835ap-16, 0x1.50b95df961fc2p-16, 0x1.4e1427769bd9fp-16, 0x1.4b6eff64e61cep-16, 0x1.48c9faa934204p-16, 0x1.46252d01b45f5p-16, 0x1.4380a91751005p-16, 0x1.40dc808d9cd8ep-16, 0x1.3e38c41155477p-16, 0x1.3b958367e82dp-16, 0x1.38f2cd7db715cp-16, 0x1.3650b072f0a71p-16, 0x1.33af39a85ba3bp-16, 0x1.310e75cc23618p-16, 0x1.2e6e70e4c8aa4p-16, 0x1.2bcf365cb2948p-16, 0x1.2930d10df9b9fp-16, 0x1.26934b4a13c95p-16, 0x1.23f6aee5a7629p-16, 0x1.215b0540b16fbp-16, 0x1.1ec0574f3b534p-16, 0x1.1c26ada1e74c5p-16, 0x1.198e106de6401p-16, 0x1.16f687941eb5dp-16, 0x1.14601aa8048f3p-16, 0x1.11cad0f78f8a8p-16, 0x1.0f36b18fa4676p-16, 0x1.0ca3c343241b2p-16, 0x1.0a120cb0c69cbp-16, 0x1.0781944821d7ep-16, 0x1.04f2604dc8998p-16, 0x1.026476e17dfd2p-16, 0x1.ffafbc032acb5p-17, 0x1.fa99371e8c077p-17, 0x1.f5856aa5ecddep-17, 0x1.f07461fe0645ep-17, 0x1.eb662867025f7p-17, 0x1.e65ac9030fb77p-17, 0x1.e1524edcd7b8dp-17, 0x1.dc4cc4ea8492bp-17, 0x1.d74a361478837p-17, 0x1.d24aad3a64a61p-17, 0x1.cd4e3535ecd8ap-17, 0x1.c854d8de8a212p-17, 0x1.c35ea30e1ce4ep-17, 0x1.be6b9ea3e2f4p-17, 0x1.b97bd685efadcp-17, 0x1.b48f55a5c3fbp-17, 0x1.afa62700b611fp-17, 0x1.aac055a2f75bbp-17, 0x1.a5ddeca86ca0fp-17, 0x1.a0fef73fc53aep-17, 0x1.9c2380aa0939ap-17, 0x1.974b943bdc356p-17, 0x1.92773d5f91177p-17, 0x1.8da68794661b5p-17, 0x1.88d97e6f7e202p-17, 0x1.84102d9c653edp-17, 0x1.7f4aa0dbfef87p-17, 0x1.7a88e405d1ad3p-17, 0x1.75cb030777efep-17, 0x1.711109e4318ep-17, 0x1.6c5b04b3cbfa3p-17, 0x1.67a8ffa2885bap-17, 0x1.62fb06f09b4aap-17, 0x1.5e5126f1c22b9p-17, 0x1.59ab6c0a65a3p-17, 0x1.5509e2b0e7eeap-17, 0x1.506c976b58e7ap-17, 0x1.4bd396ce68a9p-17, 0x1.473eed7c74defp-17, 0x1.42aea823fde66p-17, 0x1.3e22d37e4b571p-17, 0x1.399b7c4ddfd73p-17, 0x1.3518af5d8b2c7p-17, 0x1.309a797f24d25p-17, 0x1.2c20e78874a41p-17, 0x1.27ac0652b7362p-17, 0x1.233be2b96180ap-17, 0x1.1ed089983a0dbp-17, 0x1.1a6a07c95d1c6p-17, 0x1.16086a238b212p-17, 0x1.11abbd78ce52p-17, 0x1.0d540e94b388fp-17, 0x1.09016a3ab9e98p-17, 0x1.04b3dd24f2ce6p-17, 0x1.006b740117d85p-17, 0x1.f85076dfbc46bp-18, 0x1.efd48007afd5bp-18, 0x1.e7631c7d94986p-18, 0x1.defc651f25256p-18, 0x1.d6a072a32fa9bp-18, 0x1.ce4f5d962e035p-18, 0x1.c6093e55e3ac5p-18, 0x1.bdce2d0f27efp-18, 0x1.b59e41bb4ef8p-18, 0x1.ad79941a34859p-18, 0x1.a5603bb2705cbp-18, 0x1.9d524fcc7313ep-18, 0x1.954fe7713f38fp-18, 0x1.8d59196595abcp-18, 0x1.856dfc288012ep-18, 0x1.7d8ea5f0b26ebp-18, 0x1.75bb2ca86a726p-18, 0x1.6df3a5ec4d44ap-18, 0x1.66382707da6b5p-18, 0x1.5e88c4f3e4aaap-18, 0x1.56e5945392765p-18, 0x1.4f4ea97246b39p-18, 0x1.47c41840e2e14p-18, 0x1.4045f453b228p-18, 0x1.38d450e12adbep-18, 0x1.316f40bead35bp-18, 0x1.2a16d65f3deap-18, 0x1.22cb23d1b5883p-18, 0x1.1b8c3abeddb17p-18, 0x1.145a2c6741edep-18, 0x1.0d3509a1bf9adp-18, 0x1.061ce2d9c3fcfp-18, 0x1.fe23901c51b4p-19, 0x1.f02791a0095a7p-19, 0x1.e245e88215796p-19, 0x1.d47eb2236842bp-19, 0x1.c6d20b001d159p-19, 0x1.b9400eaea7d05p-19, 0x1.abc8d7de0c42p-19, 0x1.9e6c80517eadep-19, 0x1.912b20e17757ap-19, 0x1.8404d175a74aep-19, 0x1.76f9a90917db3p-19, 0x1.6a09bda6a2bfep-19, 0x1.5d352462e8031p-19, 0x1.507bf1610c9bap-19, 0x1.43de37cfe5d0fp-19, 0x1.375c09e8fde49p-19, 0x1.2af578f09f99bp-19, 0x1.1eaa9534a41b8p-19, 0x1.127b6e09c99cap-19, 0x1.066811ceb456cp-19, 0x1.f4e11bd2f7dc2p-20, 0x1.dd29dd929f5c6p-20, 0x1.c5aa7fcc05584p-20, 0x1.ae63177b8c404p-20, 0x1.9753b7b14cab5p-20, 0x1.807c718f931c3p-20, 0x1.69dd544a681a6p-20, 0x1.53766d27fedfep-20, 0x1.3d47c784eff1ap-20, 0x1.27516cd46e27cp-20, 0x1.119364a24693ap-20, 0x1.f81b6929581b4p-21, 0x1.cd80c0dd9ff71p-21, 0x1.a356d4208fe04p-21, 0x1.799da2f6cf09ap-21, 0x1.505529abf4ddp-21, 0x1.277d60d754268p-21, 0x1.fe2c7ad10a173p-22, 0x1.ae3f614b8ce78p-22, 0x1.5f335066f126p-22, 0x1.11081c40dfffap-22, 0x1.877b23ae92becp-23, 0x1.dd4ddc1905c92p-24, 0x1.5e4c554b41315p-25, -0x1.ee07b51955824p-26, -0x1.a2aba78624bc2p-24, -0x1.632c2dab4c342p-23, -0x1.f344bd71dfa22p-23, -0x1.40d024cda52c2p-22, -0x1.871fd2eeadc94p-22, -0x1.cc91d984f90f8p-22, -0x1.089357b6a117cp-21, -0x1.2a6f68f2d3095p-21, -0x1.4bdd624256fb7p-21, -0x1.6cdd888b944cap-21, -0x1.8d7023c608b4bp-21, -0x1.ad957ef440472p-21, -0x1.cd4de81dbf9edp-21, -0x1.ec99b039a4cb5p-21, -0x1.05bc9593a438fp-20, -0x1.14f657d140117p-20, -0x1.23fa4b9dfee17p-20, -0x1.32c89f26a10c6p-20, -0x1.416181f5cb9eep-20, -0x1.4fc524ef7ad26p-20, -0x1.5df3ba4ac2f29p-20, -0x1.6bed758a2ab45p-20, -0x1.79b28b790d5cdp-20, -0x1.874332247512p-20, -0x1.949fa0d552802p-20, -0x1.a1c81008de1c3p-20, -0x1.aebcb96bc9f8ap-20, -0x1.bb7dd7d6dec63p-20, -0x1.c80ba747b5dc3p-20, -0x1.d46664d8a8569p-20, -0x1.e08e4ebaec378p-20, -0x1.ec83a43233c3dp-20, -0x1.f846a58edbef8p-20, -0x1.01ebca13a22cdp-19, -0x1.079b59293e45ap-19, -0x1.0d3221b0957b1p-19, -0x1.12b045cc6401cp-19, -0x1.1815e81634201p-19, -0x1.1d632b9bb6884p-19, -0x1.229833db5b509p-19, -0x1.27b524c25f4f7p-19, -0x1.2cba22a8fb95ap-19, -0x1.31a7524f6c7ffp-19, -0x1.367cd8db31dc3p-19, -0x1.3b3adbd4be4eap-19, -0x1.3fe1812457c51p-19, -0x1.4470ef0de98dap-19, -0x1.48e94c2f76014p-19, -0x1.4d4abf7d61151p-19, -0x1.519570401c4b4p-19, -0x1.55c98611f9d69p-19, -0x1.59e728db6df28p-19, -0x1.5dee80d0502f2p-19, -0x1.61dfb66cb58c8p-19, -0x1.65baf27305558p-19, -0x1.69805de913ccp-19, -0x1.6d3022151bf8dp-19, -0x1.70ca687b72875p-19, -0x1.744f5adad6ae3p-19, -0x1.77bf232aeece3p-19, -0x1.7b19eb99dfa17p-19, }}, 
      {{-0x1.f8f2d6e990dd3p-2, -0x1.f817290d22aa7p-2, -0x1.f6aa83a003869p-2, -0x1.f4af18f0ce4e2p-2, -0x1.f227e94f707d7p-2, -0x1.ef18af0b17028p-2, -0x1.eb85c757ddc8ap-2, -0x1.e7741ab85857dp-2, -0x1.e2e90688a55e3p-2, -0x1.ddea483dc0109p-2, -0x1.d87dea3b36a5ep-2, -0x1.d2aa31db179b4p-2, -0x1.cc758e4c5c945p-2, -0x1.c5e6881cc94bcp-2, -0x1.bf03b17ba822ap-2, -0x1.b7d3976ea3095p-2, -0x1.b05cb4484659fp-2, -0x1.a8a563b04db17p-2, -0x1.a0b3d87d2316p-2, -0x1.988e1482dc9ccp-2, -0x1.9039e25d0fe88p-2, -0x1.87bcd11b843b7p-2, -0x1.7f1c31a1d5e13p-2, -0x1.765d157970f69p-2, -0x1.6d844ecc7ab66p-2, -0x1.6496713e9e2e8p-2, -0x1.5b97d35cf46abp-2, -0x1.528c9066e306p-2, -0x1.49788a3cfc194p-2, -0x1.405f6b4f59c6ap-2, -0x1.3744a87119786p-2, -0x1.2e2b8281ebe34p-2, -0x1.251707e827139p-2, -0x1.1c0a15dd66c36p-2, -0x1.130759953b2aap-2, -0x1.0a115148f2aacp-2, -0x1.012a4d3538689p-2, -0x1.f0a8e12d03599p-3, -0x1.df236560c1048p-3, -0x1.cdc7bfd3f8a61p-3, -0x1.bc99360f73d83p-3, -0x1.ab9abd0ee9a0cp-3, -0x1.9acefc443ff2p-3, -0x1.8a3850e640822p-3, -0x1.79d8d186e6efdp-3, -0x1.69b251e9bf36dp-3, -0x1.59c6670fb211ep-3, -0x1.4a166b6b7d4b8p-3, -0x1.3aa38330ab9b8p-3, -0x1.2b6ea0ae35074p-3, -0x1.1c7888a5f8a8dp-3, -0x1.0dc1d692cbb82p-3, -0x1.fe96019fcbf7dp-4, -0x1.e228b92b93e21p-4, -0x1.c63c4384fbcb3p-4, -0x1.aad0dcc9364e1p-4, -0x1.8fe69405669cbp-4, -0x1.757d513482ce5p-4, -0x1.5b94daa6b966fp-4, -0x1.422cd9cfcce5p-4, -0x1.2944df7d2e105p-4, -0x1.10dc67774964ep-4, -0x1.f1e5b727c6ae2p-5, -0x1.c30f2c82bb637p-5, -0x1.9533c928b5d84p-5, -0x1.68520fc4d92c2p-5, -0x1.3c686deaa72dfp-5, -0x1.11753dc5c199fp-5, -0x1.ceed8e56df268p-6, -0x1.7cd6804ca2ff3p-6, -0x1.2ca19a2836d15p-6, -0x1.bc9601b0adaa2p-7, -0x1.239d69123059cp-7, -0x1.1ca23d4b2f032p-8, 0x1.abbc4dbe04f23p-14, 0x1.22ca9452f5e19p-8, 0x1.1be1991bcdac9p-7, 0x1.a2d6011582552p-7, 0x1.13263c63d47f3p-6, 0x1.5327a9f356a12p-6, 0x1.9174a23bd0097p-6, 0x1.ce12adb062f92p-6, 0x1.0483c20bea021p-5, 0x1.212c860314cdp-5, 0x1.3d06acf5c80a7p-5, 0x1.5815575cacd03p-5, 0x1.725bbb101aed2p-5, 0x1.8bdd223628793p-5, 0x1.a49cea02d2866p-5, 0x1.bc9e814e013aep-5, 0x1.d3e56703905ebp-5, 0x1.ea752871fd034p-5, 0x1.0028afbe3fa45p-4, 0x1.0abed85ac415p-4, 0x1.14fee4b3563c6p-4, 0x1.1eeaaec578895p-4, 0x1.288412e032aa5p-4, 0x1.31ccee9adf5eep-4, 0x1.3ac71fcc426ap-4, 0x1.43748384063eap-4, 0x1.4bd6f508a208fp-4, 0x1.53f04cdb7d9d7p-4, 0x1.5bc25fc501c94p-4, 0x1.634efdea14861p-4, 0x1.6a97f1ec573c2p-4, 0x1.719f00164d378p-4, 0x1.7865e594682a9p-4, 0x1.7eee57bbcaaeep-4, 0x1.853a035f659bp-4, 0x1.8b4a8c33f14d8p-4, 0x1.91218c43186d3p-4, 0x1.96c0936e09988p-4, 0x1.9c2926ff816fcp-4, 0x1.a15cc14d423e8p-4, 0x1.a65cd168caa54p-4, 0x1.ab2abadf0cfd2p-4, 0x1.afc7d586cb19dp-4, 0x1.b4356d5d2b461p-4, 0x1.b874c26ff6943p-4, 0x1.bc8708d50015cp-4, 0x1.c06d68ae13216p-4, 0x1.c428fe38b373dp-4, 0x1.c7bad9e9080c1p-4, 0x1.cb24008f3f13ap-4, 0x1.ce656b868b685p-4, 0x1.d18008ed328ep-4, 0x1.d474bbe4a6acep-4, 0x1.d7445cd928a94p-4, 0x1.d9efb9cffc0c2p-4, 0x1.dc7796bb9c7a6p-4, 0x1.dedcadd5138bbp-4, 0x1.e11faff9cb67ep-4, 0x1.e341450d3a8c7p-4, 0x1.e5420c5d99261p-4, 0x1.e7229d0b1c0bfp-4, 0x1.e8e3867118cb4p-4, 0x1.ea8550905f51ep-4, 0x1.ec087c7a616d5p-4, 0x1.ed6d84bc90d2dp-4, 0x1.eeb4ddcb6dfd1p-4, 0x1.efdef66cf8b5ep-4, 0x1.f0ec3821e2344p-4, 0x1.f1dd078d515p-4, 0x1.f2b1c4dac129ep-4, 0x1.f36acc21a7992p-4, 0x1.f40875c6ab13cp-4, 0x1.f48b16da18e6ap-4, 0x1.f4f301736371ap-4, 0x1.f540850973a27p-4, 0x1.f573eec7afc4p-4, 0x1.f58d89df6bfe6p-4, 0x1.f58d9fd5e5f4p-4, 0x1.f57478ce6c7b9p-4, 0x1.f5425bd0cc194p-4, 0x1.f4f78f0bf3e58p-4, 0x1.f4945814a6e7p-4, 0x1.f418fc206256p-4, 0x1.f385c03c575bcp-4, 0x1.f2dae9808ba8fp-4, 0x1.f218bd3f35fe6p-4, 0x1.f13f81303fc9fp-4, 0x1.f04f7b991d19bp-4, 0x1.ef48f37103b0ep-4, 0x1.ee2c308183012p-4, 0x1.ecf97b83b3915p-4, 0x1.ebb11e39fdd1dp-4, 0x1.ea5363869483dp-4, 0x1.e8e0977edcc1fp-4, 0x1.e759077bab08dp-4, 0x1.e5bd0226ad35cp-4, 0x1.e40cd784fa71ep-4, 0x1.e248d8fef342fp-4, 0x1.e07159659a37p-4, 0x1.de86acf57a488p-4, 0x1.dc8929574532dp-4, 0x1.da79259e4b23cp-4, 0x1.d856fa44d81b3p-4, 0x1.d6230126c0dbap-4, 0x1.d3dd957a0dd44p-4, 0x1.d18713c6116bcp-4, 0x1.cf1fd9d8e9ad1p-4, 0x1.cca846bb994f9p-4, 0x1.ca20baa4d6041p-4, 0x1.c78996eaa6696p-4, 0x1.c4e33df2ed91p-4, 0x1.c22e132303bd8p-4, 0x1.bf6a7ace63655p-4, 0x1.bc98da24ad528p-4, 0x1.b9b9971eed01fp-4, 0x1.b6cd186c574e1p-4, 0x1.b3d3c55e8df59p-4, 0x1.b0ce05d577d17p-4, 0x1.adbc422ad46f3p-4, 0x1.aa9ee31d8b0edp-4, 0x1.a77651bcd9f6dp-4, 0x1.a442f753661d3p-4, 0x1.a1053d524e554p-4, 0x1.9dbd8d3c43c4ep-4, 0x1.9a6c5090bcbcbp-4, 0x1.9711f0b752aa5p-4, 0x1.93aed6eb54777p-4, 0x1.90436c2794b8cp-4, 0x1.8cd019128b6d9p-4, 0x1.895545eacd113p-4, 0x1.85d35a73e1065p-4, 0x1.824abde3829e3p-4, 0x1.7ebbd6cf55b44p-4, 0x1.7b270b1b10cdbp-4, 0x1.778cbfe72afd7p-4, 0x1.73ed59800caaap-4, 0x1.70493b4dcc327p-4, 0x1.6ca0c7c479eafp-4, 0x1.68f46054ff374p-4, 0x1.6544655e94ba5p-4, 0x1.61913620d0e25p-4, 0x1.5ddb30ae53069p-4, 0x1.5a22b1e00b9dfp-4, 0x1.5668154922caap-4, 0x1.52abb52b7fafdp-4, 0x1.4eedea6cecb41p-4, 0x1.4b2f0c8cdf321p-4, 0x1.476f719adb06ep-4, 0x1.43af6e2d7718ep-4, 0x1.3fef5559fde8dp-4, 0x1.3c2f78acab96ap-4, 0x1.3870282184c65p-4, 0x1.34b1b21dc7463p-4, 0x1.30f46369efe42p-4, 0x1.2d38872c54e97p-4, 0x1.297e66e451e76p-4, 0x1.25c64a660099bp-4, 0x1.221077d67eb38p-4, 0x1.1e5d33a8bc301p-4, 0x1.1aacc09acce06p-4, 0x1.16ff5fb3bde96p-4, 0x1.13555041e8578p-4, 0x1.0faecfd9be7cap-4, 0x1.0c0c1a551067fp-4, 0x1.086d69d2c4d31p-4, 0x1.04d2f6b6ff225p-4, 0x1.013cf7abb438bp-4, 0x1.fb5743434c131p-5, 0x1.f43e4fa3846adp-5, 0x1.ed2f777dc5fb7p-5, 0x1.e62b1a6fd766ep-5, 0x1.df3194b47caddp-5, 0x1.d8433f29098f8p-5, 0x1.d1606f5398ed6p-5, 0x1.ca897769defe6p-5, 0x1.c3bea6588a5b9p-5, 0x1.bd0047cb36022p-5, 0x1.b64ea434dc1cp-5, 0x1.afaa00d8c7727p-5, 0x1.a9129fd3fb728p-5, 0x1.a288c02709444p-5, 0x1.9c0c9dc04fd7cp-5, 0x1.959e71869af13p-5, 0x1.8f3e71641e644p-5, 0x1.88ecd051c8371p-5, 0x1.82a9be62dae61p-5, 0x1.7c7568d0d7dffp-5, 0x1.764ffa07a35bep-5, 0x1.703999b1edd98p-5, 0x1.6a326cc5cd20bp-5, 0x1.643a959188fa3p-5, 0x1.5e5233c895a58p-5, 0x1.58796490b06f8p-5, 0x1.52b0428f2465ap-5, 0x1.4cf6e5f624d92p-5, 0x1.474d649245caep-5, 0x1.41b3d1d806a2dp-5, 0x1.3c2a3ef168834p-5, 0x1.36b0bacb96e8cp-5, 0x1.314752248f3b2p-5, 0x1.2bee0f98d3a11p-5, 0x1.26a4fbb1188cap-5, 0x1.216c1cefedb4cp-5, 0x1.1c4377df64f27p-5, 0x1.172b0f1ea7e01p-5, 0x1.1222e36f86c9ep-5, 0x1.0d2af3c3f00b6p-5, 0x1.08433d4b5a67bp-5, 0x1.036bbb8015597p-5, 0x1.fd48d069039ddp-6, 0x1.f3da774063235p-6, 0x1.ea8c58d9cebafp-6, 0x1.e15e5f86f001dp-6, 0x1.d85072b1190f5p-6, 0x1.cf6276f27c161p-6, 0x1.c6944e2f1ec2ep-6, 0x1.bde5d7ad7bfafp-6, 0x1.b556f02edc6b1p-6, 0x1.ace7720750cbdp-6, 0x1.a4973535645e8p-6, 0x1.9c660f796d9bp-6, 0x1.9453d46c879a8p-6, 0x1.8c605597338d8p-6, 0x1.848b62879373fp-6, 0x1.7cd4c8e74efc2p-6, 0x1.753c549110f04p-6, 0x1.6dc1cfa5a7c17p-6, 0x1.666502a0b7974p-6, 0x1.5f25b46d1abfbp-6, 0x1.5803aa78c9152p-6, 0x1.50fea8c866bb5p-6, 0x1.4a16720a67e5cp-6, 0x1.434ac7a9cd2cep-6, 0x1.3c9b69e07926ep-6, 0x1.360817c9215fp-6, 0x1.2f908f70d457ep-6, 0x1.29348de8181cp-6, 0x1.22f3cf53a4e22p-6, 0x1.1cce0efcb6d82p-6, 0x1.16c30760fa99p-6, 0x1.10d272420ead3p-6, 0x1.0afc08b4a8dbdp-6, 0x1.053f832f4a31p-6, 0x1.ff39333137846p-7, 0x1.f42606aabf908p-7, 0x1.e944eeabf9625p-7, 0x1.de955847677fbp-7, 0x1.d416afdace2b1p-7, 0x1.c9c8612819639p-7, 0x1.bfa9d76d6fc9cp-7, 0x1.b5ba7d7c9ca27p-7, 0x1.abf9bdd1b4d0bp-7, 0x1.a26702a90642cp-7, 0x1.9901b61458db9p-7, 0x1.8fc9420f7595bp-7, 0x1.86bd1094062cbp-7, 0x1.7ddc8bacbf38ep-7, 0x1.75271d87e7098p-7, 0x1.6c9c308937d61p-7, 0x1.643b2f5b109a2p-7, 0x1.5c0384ff0f5bap-7, 0x1.53f49cde0aff6p-7, 0x1.4c0de2d76cacfp-7, 0x1.444ec34ff4dccp-7, 0x1.3cb6ab3fe571ap-7, 0x1.35450840a07e6p-7, 0x1.2df94899a6e2ap-7, 0x1.26d2db4d1d2a5p-7, 0x1.1fd13023bc175p-7, 0x1.18f3b7b82fa4fp-7, 0x1.1239e38208694p-7, 0x1.0ba325e0177f9p-7, 0x1.052ef222533eep-7, 0x1.fdb9792681dd6p-8, 0x1.f157f501c5d5cp-8, 0x1.e538448a67982p-8, 0x1.d959569c5155fp-8, 0x1.cdba1c4a9c1e9p-8, 0x1.c25988edd131ep-8, 0x1.b736923169637p-8, 0x1.ac5030207f4b9p-8, 0x1.a1a55d31acf49p-8, 0x1.9735165224c86p-8, 0x1.8cfe5af0106fbp-8, 0x1.83002d04379b7p-8, 0x1.7939911aeac8p-8, 0x1.6fa98e5c3ea44p-8, 0x1.664f2e93ac612p-8, 0x1.5d297e36ee192p-8, 0x1.54378c6c5a952p-8, 0x1.4b786b10928ep-8, 0x1.42eb2ebba3295p-8, 0x1.3a8eeec5896ep-8, 0x1.3262c54a2f2d2p-8, 0x1.2a65cf2cddfe9p-8, 0x1.22972c1b3bbd6p-8, 0x1.1af5fe8fad0cfp-8, 0x1.13816bd35361p-8, 0x1.0c389bff83129p-8, 0x1.051ab9feddf95p-8, 0x1.fc4de71bbb40ap-9, 0x1.eeb8f27630778p-9, 0x1.e174fccdfd979p-9, 0x1.d480728693cc4p-9, 0x1.c7d9c5a41babfp-9, 0x1.bb7f6dc8ba98fp-9, 0x1.af6fe8314ec65p-9, 0x1.a3a9b7b16d863p-9, 0x1.982b64aed20a7p-9, 0x1.8cf37d1c28e3fp-9, 0x1.8200947346e3ap-9, 0x1.775143aed3ceap-9, 0x1.6ce429436345p-9, 0x1.62b7e91833052p-9, 0x1.58cb2c7f398cp-9, 0x1.4f1ca22ceee6ep-9, 0x1.45aafe2f80564p-9, 0x1.3c74f9e5b7616p-9, 0x1.337953f56ab1ap-9, 0x1.2ab6d041a25dfp-9, 0x1.222c37e0483efp-9, 0x1.19d8590f9a55ep-9, 0x1.11ba072b45623p-9, 0x1.09d01aa130161p-9, 0x1.021970e60d706p-9, 0x1.f529d8d327c59p-10, 0x1.e682e91536478p-10, 0x1.d83beb15a715bp-10, 0x1.ca52c104dd94cp-10, 0x1.bcc556a717b8fp-10, 0x1.af91a13acfa85p-10, 0x1.a2b59f5ed66e5p-10, 0x1.962f58f83783ep-10, 0x1.89fcdf17c5a6p-10, 0x1.7e1c4bdf665f2p-10, 0x1.728bc2670ebfap-10, 0x1.67496ea1cd9a5p-10, 0x1.5c5385425c26bp-10, 0x1.51a8439fbe678p-10, 0x1.4745ef99b0e67p-10, 0x1.3d2ad77ce7261p-10, 0x1.335551e75e584p-10, 0x1.29c3bdac66e55p-10, 0x1.207481b8e1be1p-10, 0x1.17660cf7311dbp-10, 0x1.0e96d6335415p-10, 0x1.06055bff06964p-10, 0x1.fb60492b71444p-11, 0x1.eb2b7b817bf43p-11, 0x1.db697976d3ca1p-11, 0x1.cc177c2eb033dp-11, 0x1.bd32cb414258fp-11, 0x1.aeb8bc84ba012p-11, 0x1.a0a6b3d5f0dbbp-11, 0x1.92fa22e1e9381p-11, 0x1.85b088ef031dp-11, 0x1.78c772a6f9c7fp-11, 0x1.6c3c79e09e123p-11, 0x1.600d456a50771p-11, 0x1.543788d4b9065p-11, 0x1.48b9043d90741p-11, 0x1.3d8f841b406ep-11, 0x1.32b8e1085abbap-11, 0x1.2832ff9016edfp-11, 0x1.1dfbcffa72d5p-11, 0x1.14114e1999ec6p-11, 0x1.0a718116ddc3cp-11, 0x1.011a7b40f4b06p-11, 0x1.f014b3b420d43p-12, 0x1.de7e89cd639dap-12, 0x1.cd6eddf9d0912p-12, 0x1.bce22a281c5b2p-12, 0x1.acd4fca9f7237p-12, 0x1.9d43f7d5d5134p-12, 0x1.8e2bd1a90f1fap-12, 0x1.7f89536b6810dp-12, 0x1.7159595417185p-12, 0x1.6398d22e8eda7p-12, 0x1.5644bf020fa28p-12, 0x1.495a32b8c47ffp-12, 0x1.3cd651c8d6fcep-12, 0x1.30b651de57674p-12, 0x1.24f7798606baap-12, 0x1.19971fd9bf527p-12, 0x1.0e92ac2d69ac1p-12, 0x1.03e795bd2f907p-12, 0x1.f326c6ba78ea5p-13, 0x1.df275653db1cep-13, 0x1.cbcc2472e3a4cp-13, 0x1.b910989d163bdp-13, 0x1.a6f03718e4912p-13, 0x1.9566a0572247ap-13, 0x1.846f905f4c3cbp-13, 0x1.7406de3de086ep-13, 0x1.64287b7421729p-13, 0x1.54d0736bac7a6p-13, 0x1.45faeaea62501p-13, 0x1.37a41f89982afp-13, 0x1.29c8672f68391p-13, 0x1.1c642f89d3bc4p-13, 0x1.0f73fd8b837bbp-13, 0x1.02f46cecc3c7p-13, 0x1.edc45f568e0a9p-14, 0x1.d6741b1e5eb2bp-14, 0x1.bff1c760cd443p-14, 0x1.aa3747fbfc64ep-14, 0x1.953ea991ba6cfp-14, 0x1.8102209e260d7p-14, 0x1.6d7c089460eccp-14, 0x1.5aa6e2fd5e556p-14, 0x1.487d569c40d94p-14, 0x1.36fa2e967f555p-14, 0x1.2618599ed9a1bp-14, 0x1.15d2e9243ec84p-14, 0x1.06251086aeffdp-14, 0x1.ee1448994478bp-15, 0x1.d0fb32bd0b6ebp-15, 0x1.b4f6088959187p-15, 0x1.99fc30d472d27p-15, 0x1.80054ec2813cfp-15, 0x1.6709405aeb087p-15, 0x1.4f001d1fc49fp-15, 0x1.37e234aed0af1p-15, 0x1.21a80d68bf4e8p-15, 0x1.0c4a631eebd8fp-15, 0x1.ef844b8f5c22cp-16, 0x1.c810f07222fe4p-16, 0x1.a22d5dd94e442p-16, 0x1.7dcc9d89a6835p-16, 0x1.5ae217bb4be92p-16, 0x1.396190bd89833p-16, 0x1.193f26b10bf72p-16, 0x1.f4de9e912bc03p-17, 0x1.b9cdab26bbd2bp-17, 0x1.8135afb4016b1p-17, 0x1.4b018b03c16dcp-17, 0x1.171cb9fbdaf6fp-17, 0x1.cae6a7249320dp-18, 0x1.6be409b640fd6p-18, 0x1.110c1a53535f7p-18, 0x1.7474e93b27b83p-19, 0x1.9d2f26e01c592p-20, 0x1.81dd91c569584p-22, -0x1.9b84b3dbe195fp-21, -0x1.edfef8386c413p-20, -0x1.805dba0b02de6p-19, -0x1.019c3fde708dp-18, -0x1.3fe5469cf7198p-18, -0x1.7b266b1e38521p-18, -0x1.b37b47493ff7bp-18, -0x1.e8fe9b122879p-18, -0x1.0de529308e65ap-17, -0x1.25fbc56d494f7p-17, -0x1.3ccf4cbc09463p-17, -0x1.526b880681135p-17, -0x1.66dbe1529d0d6p-17, -0x1.7a2b66614a64dp-17, -0x1.8c64cb3a7eaebp-17, -0x1.9d926caf0b59cp-17, -0x1.adbe52ca951f2p-17, -0x1.bcf23331303f5p-17, -0x1.cb37737656beap-17, -0x1.d8972b5b40799p-17, -0x1.e51a270d18a2fp-17, -0x1.f0c8e94414915p-17, -0x1.fbabad653cdd2p-17, -0x1.02e534c5e3f26p-16, -0x1.0796684511258p-16, -0x1.0bed29efae9fcp-16, -0x1.0fed12ce8f5c4p-16, -0x1.13999d20c15e3p-16, -0x1.16f62543a6f0ep-16, -0x1.1a05ea9430faep-16, -0x1.1ccc104a68502p-16, -0x1.1f4b9e503d2bp-16, -0x1.21878210def5bp-16, -0x1.23828f45eefedp-16, -0x1.253f80bc05a56p-16, -0x1.26c0f913e81ebp-16, -0x1.2809837e1f3f2p-16, -0x1.291b9472d5a89p-16, -0x1.29f98a61da202p-16, -0x1.2aa5ae617be4cp-16, -0x1.2b2234d66582ep-16, -0x1.2b713e182c949p-16, -0x1.2b94d7109c973p-16, -0x1.2b8ef9d7871edp-16, -0x1.2b618e49cc806p-16, -0x1.2b0e6a9c1829bp-16, -0x1.2a9753ea8680ep-16, -0x1.29fdfec2a2684p-16, -0x1.29440fab8392fp-16, -0x1.286b1ba8e6ap-16, -0x1.2774a8bb3f4e9p-16, -0x1.26622e5bbae82p-16, -0x1.253515f55d314p-16, -0x1.23eebb59c12efp-16, -0x1.22906d33ae5b1p-16, -0x1.211b6d751e838p-16, -0x1.1f90f1c32fe0cp-16, -0x1.1df223dec42c1p-16, -0x1.1c402209b4361p-16, -0x1.1a7bff698cfbap-16, -0x1.18a6c466ed7bbp-16, -0x1.16c16f0aca474p-16, -0x1.14ccf35831649p-16, -0x1.12ca3ba3c3a5cp-16, -0x1.10ba28e8bd422p-16, -0x1.0e9d931a968a2p-16, -0x1.0c754975fb454p-16, -0x1.0a4212cd2a14fp-16, -0x1.0804add4118ccp-16, -0x1.05bdd168938b1p-16, -0x1.036e2cd8ee6dep-16, -0x1.01166828dad11p-16, -0x1.fd6e48a6dd985p-17, -0x1.f8a1f71660d5p-17, -0x1.f3c902f1b224fp-17, -0x1.eee486eeda31cp-17, -0x1.e9f5919db09cap-17, -0x1.e4fd25d88cf9p-17, -0x1.dffc3b32e56efp-17, -0x1.daf3be629e5bfp-17, -0x1.d5e491a7601bcp-17, -0x1.d0cf8d2dbb286p-17, -0x1.cbb57f6f51dbbp-17, -0x1.c6972d8fce2d7p-17, -0x1.c17553b824364p-17, -0x1.bc50a56bdba37p-17, -0x1.b729cddfaa64ep-17, -0x1.b201704914542p-17, -0x1.acd8282e5a1efp-17, -0x1.a7ae89b2535b7p-17, -0x1.a28521ddbea7cp-17, -0x1.9d5c76e6b07p-17, -0x1.98350875890b1p-17, -0x1.930f4fe6a134cp-17, -0x1.8debc08b833d7p-17, -0x1.88cac7e7a9114p-17, -0x1.83accded640abp-17, -0x1.7e92353703858p-17, -0x1.797b5b3e7efadp-17, -0x1.74689893aadb3p-17, -0x1.6f5a410f20e47p-17, -0x1.6a50a4056da5p-17, -0x1.654c0c7636218p-17, -0x1.604cc13b6790bp-17, -0x1.5b5305360f93p-17, -0x1.565f1778c8b78p-17, -0x1.517133729035ep-17, -0x1.4c899115e512p-17, -0x1.47a8650025387p-17, -0x1.42cde09e0c566p-17, -0x1.3dfa324fd87a6p-17, -0x1.392d858bbfa82p-17, -0x1.346802fe920fbp-17, -0x1.2fa9d0acf5069p-17, -0x1.2af312106ff3dp-17, -0x1.2643e8363c061p-17, -0x1.219c71db03351p-17, -0x1.1cfccb863c1c3p-17, -0x1.18650fa44e417p-17, -0x1.13d556a00c72fp-17, -0x1.0f4db6fa582c6p-17, -0x1.0ace4562068f4p-17, -0x1.065714c930bb4p-17, -0x1.01e8367b82f21p-17, -0x1.fb037464e7897p-18, -0x1.f2475c510471bp-18, -0x1.e99c3e59b7abep-18, -0x1.e102316974e97p-18, -0x1.d87949da281d3p-18, -0x1.d00199968a8b1p-18, -0x1.c79b3039657f3p-18, -0x1.bf461b2bc8adep-18, -0x1.b70265c2991dp-18, -0x1.aed0195b07e4ap-18, -0x1.a6af3d7390084p-18, -0x1.9e9fd7c77711ap-18, -0x1.96a1ec650faafp-18, -0x1.8eb57dc68df6ep-18, -0x1.86da8ce7ad153p-18, -0x1.7f11195af2a76p-18, -0x1.7759215d81fa1p-18, -0x1.6fb2a1eb0763cp-18, -0x1.681d96cf97ed6p-18, -0x1.6099fab8e6ec4p-18, -0x1.5927c74876f1fp-18, -0x1.51c6f521a092ep-18, -0x1.4a777bf9fba4dp-18, -0x1.433952a72a11cp-18, -0x1.3c0c6f2d14cdap-18, -0x1.34f0c6ca518b3p-18, -0x1.2de64e046da19p-18, -0x1.26ecf8b48b625p-18, -0x1.2004ba115b3dbp-18, -0x1.192d84baad546p-18, -0x1.12674ac21f6f2p-18, -0x1.0bb1fdb647f3ap-18, -0x1.050d8eaaa1982p-18, -0x1.fcf3dc7f3e4dep-19, -0x1.efee1957867ccp-19, -0x1.e309b3858c005p-19, -0x1.d64689f863b11p-19, -0x1.c9a47af5e8cd7p-19, -0x1.bd23642668c56p-19, -0x1.b0c322a0ef481p-19, -0x1.a48392f5a5713p-19, -0x1.98649139f29a8p-19, -0x1.8c65f910efd0dp-19, -0x1.8087a5b620efp-19, -0x1.74c97204cd9cp-19, -0x1.692b38819f5b1p-19, -0x1.5dacd36051af9p-19, -0x1.524e1c8d6fe21p-19, -0x1.470eedb264ef6p-19, -0x1.3bef203cfb265p-19, -0x1.30ee8d660022cp-19, -0x1.260d0e342ab5cp-19, -0x1.1b4a7b83229b3p-19, -0x1.10a6ae080bc6p-19, -0x1.06217e5477cf8p-19, -0x1.f77589b5d4b12p-20, -0x1.e2e4b3e6e4576p-20, -0x1.ce902bbc31f01p-20, -0x1.ba77a189f928bp-20, -0x1.a69ac582b6d76p-20, -0x1.92f947b7eaacp-20, -0x1.7f92d821f8cccp-20, -0x1.6c6726a19f624p-20, -0x1.5975e30571b26p-20, -0x1.46bebd0bef152p-20, -0x1.344164686ba38p-20, -0x1.21fd88c417159p-20, -0x1.0ff2d9c149d9bp-20, -0x1.fc420df9f6de2p-21, -0x1.d90f8020ae256p-21, -0x1.b64d692684618p-21, -0x1.93fb2839ff101p-21, -0x1.72181c8c611ecp-21, -0x1.50a3a550612edp-21, -0x1.2f9d21bca461bp-21, -0x1.0f03f10f8f1a4p-21, -0x1.ddaee51c8cd83p-22, -0x1.9e2e0b0360fc4p-22, -0x1.5f84127a6c4efp-22, -0x1.21afba3797b3fp-22, -0x1.c95f81f39294ap-23, -0x1.5105cb2d173d6p-23, -0x1.b49f9ba9d5544p-24, -0x1.94ec1ef3e5f27p-25, 0x1.c76125c304ebp-28, 0x1.0029cde137b6dp-24, 0x1.e0aa26fd78a95p-24, 0x1.5efe10ca6a507p-23, 0x1.cc1260b807995p-23, 0x1.1bca4293224bap-22, 0x1.50c37fffc841fp-22, 0x1.84f62996840cdp-22, 0x1.b86380549e65fp-22, 0x1.eb0cc53e1d428p-22, 0x1.0e799cb0aa78p-21, 0x1.270c0eeb7a441p-21, 0x1.3f3e59e48040ep-21, 0x1.57111e37ded0fp-21, 0x1.6e84fc8adc13dp-21, 0x1.859a958b90bbep-21, 0x1.9c5289f70508p-21, 0x1.b2ad7a90f69b7p-21, 0x1.c8ac082af0cdbp-21, 0x1.de4ed3a4fa4bfp-21, 0x1.f3967dea897dcp-21, 0x1.0441d3fac0745p-20, 0x1.0e8b796704ea7p-20, 0x1.18a87fc5796bcp-20, 0x1.229937a8a8fcfp-20, 0x1.2c5df1aa504fdp-20, 0x1.35f6fe6c18136p-20, 0x1.3f64ae965470bp-20, 0x1.48a752d91648fp-20, 0x1.51bf3bea9d735p-20, 0x1.5aacba88f0df9p-20, 0x1.63701f78813fep-20, 0x1.6c09bb83ca7f2p-20, 0x1.7479df7acbb51p-20, 0x1.7cc0dc33f9439p-20, 0x1.84df0289d1b84p-20, 0x1.8cd4a35ccd8ep-20, 0x1.94a20f9071c6cp-20, 0x1.9c47980b4c763p-20, 0x1.a3c58db780428p-20, 0x1.ab1c418163996p-20, 0x1.b24c045678aacp-20, 0x1.b95527245fa09p-20, 0x1.c037fad9116b1p-20, 0x1.c6f4d06165986p-20, 0x1.cd8bf8a7e6921p-20, 0x1.d3fdc4948d977p-20, 0x1.da4a850ae7bc7p-20, 0x1.e0728aeab2b6p-20, 0x1.e676270c38234p-20, 0x1.ec55aa41b1ce2p-20, 0x1.f2116554a4e7dp-20, 0x1.f7a9a905a614ep-20, 0x1.fd1ec60a3cb4dp-20, 0x1.013886860f719p-19, 0x1.03d067542570cp-19, 0x1.06572db6a06cp-19, 0x1.08cd01ecfe8eep-19, 0x1.0b320c2e23f08p-19, 0x1.0d8674a7bd33ep-19, 0x1.0fca637dbcac7p-19, 0x1.11fe00c987624p-19, 0x1.142174990c2dbp-19, 0x1.1634e6ee506d3p-19, 0x1.18387fbe9aba6p-19, 0x1.1a2c66f1d7d92p-19, 0x1.1c10c461ae5dfp-19, 0x1.1de5bfd8a9639p-19, 0x1.1fab8111bd2e7p-19, 0x1.21622fb73b1e8p-19, 0x1.2309f3623046dp-19, 0x1.24a2f399ca5bcp-19, 0x1.262d57d256996p-19, 0x1.27a9476c6c78fp-19, 0x1.2916e9b451785p-19, 0x1.2a7665e1094b4p-19, 0x1.2bc7e313ce639p-19, 0x1.2d0b8856f6529p-19, 0x1.2e417c9d6dc6fp-19, 0x1.2f69e6c1b11b1p-19, 0x1.3084ed850eadap-19, 0x1.3192b78f21b78p-19, 0x1.32936b6cac4d9p-19, 0x1.33872f8efa943p-19, 0x1.346e2a4b117e3p-19, 0x1.354881d8fdd35p-19, 0x1.36165c530b94dp-19, 0x1.36d7dfb4f26dap-19, 0x1.378d31dae301cp-19, 0x1.3836788137f4ap-19, 0x1.38d3d9433f32ep-19, 0x1.3965799ab4c88p-19, 0x1.39eb7edf1d6f8p-19, 0x1.3a660e44c69cap-19, 0x1.3ad54cdc5d01bp-19, 0x1.3b395f91c7b5bp-19, 0x1.3b926b2bba1aap-19, 0x1.3be0944af7efcp-19, 0x1.3c23ff69a613ep-19, 0x1.3c5cd0da8e977p-19, 0x1.3c8b2cc863156p-19, 0x1.3caf373543a43p-19, 0x1.3cc913f9e20d3p-19, 0x1.3cd8e6c4b5bb6p-19, 0x1.3cded319d5af9p-19, 0x1.3cdafc51fa484p-19, 0x1.3ccd8599c4365p-19, 0x1.3cb691f160d4dp-19, 0x1.3c96442beba23p-19, 0x1.3c6cbeeec5ecap-19, 0x1.3c3a24b0df818p-19, 0x1.3bfe97ba37479p-19, 0x1.3bba3a23712d7p-19, 0x1.3b6d2dd526eaep-19, 0x1.3b17948764923p-19, 0x1.3ab98fc13debp-19, 0x1.3a5340d82463bp-19, 0x1.39e4c8ef73c6ep-19, 0x1.396e48f7c82d2p-19, 0x1.38efe1aeeeffap-19, 0x1.3869b39f1ca25p-19, 0x1.37dbdf1e8e7cdp-19, 0x1.3746844f217ccp-19, 0x1.36a9c31dccebfp-19, 0x1.3605bb424f6dep-19, 0x1.355a8c3eb9fa3p-19, 0x1.34a8555f009abp-19, 0x1.33ef35b8bcbd7p-19, 0x1.332f4c2aa80a8p-19, 0x1.3268b75c5e228p-19, 0x1.319b95be03448p-19, 0x1.30c80587fbab8p-19, 0x1.2fee24ba5640fp-19, 0x1.2f0e111cc5b2p-19, 0x1.2e27e83e50e1fp-19, 0x1.2d3bc774db032p-19, 0x1.2c49cbdd1090ep-19, 0x1.2b52125a026e1p-19, 0x1.2a54b7950757dp-19, 0x1.2951d7fd6fcd9p-19, 0x1.28498fc84c6bcp-19, 0x1.273bfaf0356d9p-19, 0x1.262935350c6aep-19, 0x1.25115a1bfd7fbp-19, 0x1.23f484ef2bb57p-19, 0x1.22d2d0bd8d45dp-19, 0x1.21ac585ae5433p-19, 0x1.2081365f6ad28p-19, 0x1.1f518527b3431p-19, 0x1.1e1d5ed4ca45p-19, 0x1.1ce4dd4be4aa3p-19, 0x1.1ba81a3648305p-19, 0x1.1a672f015f1ap-19, 0x1.192234de8eadfp-19, 0x1.17d944c3140c9p-19, 0x1.168c776810defp-19, 0x1.153be54a8592cp-19, 0x1.13e7a6ab3ee8p-19, 0x1.128fd38ec257cp-19, 0x1.113483bd6d34dp-19, 0x1.0fd5cec371c9ep-19, 0x1.0e73cbf0c735cp-19, 0x1.0d0e925933cb6p-19, 0x1.0ba638d46420ep-19, 0x1.0a3ad5fde8c16p-19, 0x1.08cc8035297e4p-19, 0x1.075b4d9dd0145p-19, 0x1.05e7541f7b807p-19, 0x1.0470a9660123ap-19, 0x1.02f762e177232p-19, 0x1.017b95c651cedp-19, 0x1.fffaae1afd72p-20, 0x1.fcf976e8fb00cp-20, 0x1.f9f3aefafb937p-20, 0x1.f6e97edf378e1p-20, }}, 
      {{-0x1.f923c06bf4ae8p-2, -0x1.f8da735d5cfep-2, -0x1.f8609483f0bf7p-2, -0x1.f7b695262ca0dp-2, -0x1.f6dd114663ecdp-2, -0x1.f5d4ccc1307d8p-2, -0x1.f49eafc6dcce5p-2, -0x1.f33bc308e0733p-2, -0x1.f1ad2be25b68ep-2, -0x1.eff428a548056p-2, -0x1.ee120d1c3f5edp-2, -0x1.ec083f3ffecf7p-2, -0x1.e9d834189f781p-2, -0x1.e7836cc217c8dp-2, -0x1.e50b738f212f4p-2, -0x1.e271d94a65c38p-2, -0x1.dfb8329a0455ap-2, -0x1.dce0158c2d0bfp-2, -0x1.d9eb1754a971bp-2, -0x1.d6daca427044dp-2, -0x1.d3b0bbf2bffcbp-2, -0x1.d06e73c4be2eap-2, -0x1.cd15718e071efp-2, -0x1.c9a72c8e0a616p-2, -0x1.c625129bf9bbfp-2, -0x1.c290878984fe7p-2, -0x1.beeae4b38f069p-2, -0x1.bb3578b9a2ff6p-2, -0x1.b7718754f39p-2, -0x1.b3a0494824dc7p-2, -0x1.afc2ec61c7292p-2, -0x1.abda938c58839p-2, -0x1.a7e856e78886fp-2, -0x1.a3ed43e77a9afp-2, -0x1.9fea5d77985a6p-2, -0x1.9be09c1f64c97p-2, -0x1.97d0ee285297cp-2, -0x1.93bc37c44c816p-2, -0x1.8fa35334ddc64p-2, -0x1.8b8710f354713p-2, -0x1.876837da492e2p-2, -0x1.834785511a4e6p-2, -0x1.7f25ad79d7c2dp-2, -0x1.7b035b6225c06p-2, -0x1.76e1313762948p-2, -0x1.72bfc87e5b4f7p-2, -0x1.6e9fb24e9f1a1p-2, -0x1.6a8177916f73fp-2, -0x1.6665994417b2bp-2, -0x1.624c90bd6f1p-2, -0x1.5e36cff6135f1p-2, -0x1.5a24c1d2ef559p-2, -0x1.5616ca71816e9p-2, -0x1.520d47754d6e6p-2, -0x1.4e089055ed8cp-2, -0x1.4a08f6ad20872p-2, -0x1.460ec6844f669p-2, -0x1.421a46a0f9bd9p-2, -0x1.3e2bb8cf895cdp-2, -0x1.3a435a2c1f7bep-2, -0x1.36616368f00bp-2, -0x1.32860911ddc5dp-2, -0x1.2eb17bcd092ddp-2, -0x1.2ae3e898220c6p-2, -0x1.271d790251b3fp-2, -0x1.235e5362a721cp-2, -0x1.1fa69b0af9202p-2, -0x1.1bf67077409c8p-2, -0x1.184df17975bedp-2, -0x1.14ad39620b787p-2, -0x1.1114612520d88p-2, -0x1.0d837f7c9492ap-2, -0x1.09faa90721db9p-2, -0x1.0679f064b7de4p-2, -0x1.03016650401f5p-2, -0x1.ff22336e05bd8p-3, -0x1.f8522f9bd197p-3, -0x1.f192d84985011p-3, -0x1.eae4416fb229bp-3, -0x1.e4467bffe22c6p-3, -0x1.ddb99601e5e5cp-3, -0x1.d73d9aaed88f5p-3, -0x1.d0d2928a234dep-3, -0x1.ca788378d5422p-3, -0x1.c42f70d7a0277p-3, -0x1.bdf75b8fb2ad5p-3, -0x1.b7d0422abfb56p-3, -0x1.b1ba20e653e2ep-3, -0x1.abb4f1c6b62e1p-3, -0x1.a5c0aca97f749p-3, -0x1.9fdd4757f7fc9p-3, -0x1.9a0ab5996ecfbp-3, -0x1.9448e94593b9p-3, -0x1.8e97d256e49d8p-3, -0x1.88f75efd434a8p-3, -0x1.83677bb0b49bap-3, -0x1.7de813444e3f5p-3, -0x1.78790ef958611p-3, -0x1.731a56929a6d4p-3, -0x1.6dcbd067d3d03p-3, -0x1.688d617951bbdp-3, -0x1.635eed83a4988p-3, -0x1.5e40571362a69p-3, -0x1.59317f98e4789p-3, -0x1.5432477c07951p-3, -0x1.4f428e2fcc275p-3, -0x1.4a623245d4c79p-3, -0x1.45911181b5015p-3, -0x1.40cf08ec02475p-3, -0x1.3c1bf4e51238p-3, -0x1.3777b13767f6p-3, -0x1.32e21929ba961p-3, -0x1.2e5b07908a157p-3, -0x1.29e256df3aec7p-3, -0x1.2577e138b135ep-3, -0x1.211b807f59d19p-3, -0x1.1ccd0e64a5086p-3, -0x1.188c6477dd948p-3, -0x1.14595c34685efp-3, -0x1.1033cf0f57d57p-3, -0x1.0c1b968458209p-3, -0x1.08108c21eb6d8p-3, -0x1.04128994f8ef8p-3, -0x1.002168b3acd6ap-3, -0x1.f87a070f4d301p-4, -0x1.f0ca68aee243bp-4, -0x1.e933ab5eb0aa2p-4, -0x1.e1b584d30647ap-4, -0x1.da4fab6ad428cp-4, -0x1.d301d63d4b858p-4, -0x1.cbcbbd262c83ap-4, -0x1.c4ad18d0d68ecp-4, -0x1.bda5a2c21a443p-4, -0x1.b6b51560f023bp-4, -0x1.afdb2bfded4ffp-4, -0x1.a917a2d9b9391p-4, -0x1.a26a372a6d51cp-4, -0x1.9bd2a71fe95e6p-4, -0x1.9550b1e7417b9p-4, -0x1.8ee417ad3932p-4, -0x1.888c999fe1686p-4, -0x1.8249f9ef6a701p-4, -0x1.7c1bfbce2f74dp-4, -0x1.760263700af66p-4, -0x1.6ffcf60900707p-4, -0x1.6a0b79cb4862ap-4, -0x1.642db5e4c7dd8p-4, -0x1.5e63727c02e3dp-4, -0x1.58ac78ac94876p-4, -0x1.5308928335342p-4, -0x1.4d778af95d0e2p-4, -0x1.47f92df08da5ep-4, -0x1.428d482d4984cp-4, -0x1.3d33a751c6c31p-4, -0x1.37ec19d865472p-4, -0x1.32b66f0df0f17p-4, -0x1.2d92770bb8282p-4, -0x1.288002b181a96p-4, -0x1.237ee39f652a2p-4, -0x1.1e8eec2f90f5p-4, -0x1.19afef7003658p-4, -0x1.14e1c11c3d59bp-4, -0x1.10243596f3f02p-4, -0x1.0b7721e3c89acp-4, -0x1.06da5ba10bc01p-4, -0x1.024db9018d421p-4, -0x1.fba2218d05ab8p-5, -0x1.f2c8747308b04p-5, -0x1.ea0e1a4d4cca9p-5, -0x1.e172c3ad6176ap-5, -0x1.d8f62212f2691p-5, -0x1.d097e7e0c4f07p-5, -0x1.c857c85202be3p-5, -0x1.c035776fd86cfp-5, -0x1.b830aa076aee8p-5, -0x1.b04915a021c55p-5, -0x1.a87e70725367dp-5, -0x1.a0d0715e48e5cp-5, -0x1.993ecfe3a52p-5, -0x1.91c944192b59ap-5, -0x1.8a6f86a4e630cp-5, -0x1.833150b4b0c1dp-5, -0x1.7c0e5bf7235cap-5, -0x1.75066294de856p-5, -0x1.6e191f2a39877p-5, -0x1.67464cc15062p-5, -0x1.608da6cc6ef1dp-5, -0x1.59eee920dd908p-5, -0x1.5369cff206049p-5, -0x1.4cfe17ccf4f9bp-5, -0x1.46ab7d94336f8p-5, -0x1.4071be7bf6018p-5, -0x1.3a509806a154ep-5, -0x1.3447c801a026cp-5, -0x1.2e570c8287762p-5, -0x1.287e23e4897ecp-5, -0x1.22bcccc632963p-5, -0x1.1d12c6076cc21p-5, -0x1.177fcec7c7eap-5, -0x1.1203a66507b3bp-5, -0x1.0c9e0c79ebc77p-5, -0x1.074ec0dd38776p-5, -0x1.021583a0f8668p-5, -0x1.f9e42a23e7557p-6, -0x1.efc86b6ebaefep-6, -0x1.e5d74ca5661abp-6, -0x1.dc104fbf8c874p-6, -0x1.d272f729f206p-6, -0x1.c8fec5c73f8fp-6, -0x1.bfb33ef11179p-6, -0x1.b68fe6795805dp-6, -0x1.ad9440abf2565p-6, -0x1.a4bfd2508e547p-6, -0x1.9c1220acba93ep-6, -0x1.938ab18637878p-6, -0x1.8b290b256f6a3p-6, -0x1.82ecb4581eb6bp-6, -0x1.7ad5347424ba9p-6, -0x1.72e2135a753cap-6, -0x1.6b12d97a2a81ep-6, -0x1.63670fd3b377cp-6, -0x1.5bde3ffc17af8p-6, -0x1.5477f42053fa2p-6, -0x1.4d33b708bf763p-6, -0x1.4611141c893edp-6, -0x1.3f0f976533fdfp-6, -0x1.382ecd922532ep-6, -0x1.316e43fc2c071p-6, -0x1.2acd88a916e9cp-6, -0x1.244c2a4f3bcdp-6, -0x1.1de9b859054ffp-6, -0x1.17a5c2e878df1p-6, -0x1.117fdadab02a4p-6, -0x1.0b7791cb4dae1p-6, -0x1.058c7a17e1c13p-6, -0x1.ff7c4dc691322p-7, -0x1.f4185831d6e8ap-7, -0x1.e8ec3ce000b99p-7, -0x1.ddf726dd574f9p-7, -0x1.d33842da282e6p-7, -0x1.c8aebf30bcb35p-7, -0x1.be59cbeb26dd4p-7, -0x1.b4389ac8e3dbbp-7, -0x1.aa4a5f444381ep-7, -0x1.a08e4e97ab224p-7, -0x1.97039fc29644cp-7, -0x1.8da98b8e742d5p-7, -0x1.847f4c933693p-7, -0x1.7b841f3bc2c87p-7, -0x1.72b741ca19b58p-7, -0x1.6a17f45b4ff75p-7, -0x1.61a578eb42727p-7, -0x1.595f135822146p-7, -0x1.51440965adf4cp-7, -0x1.4953a2c04baf7p-7, -0x1.418d28ffd4bb5p-7, -0x1.39efe7aa2be1ap-7, -0x1.327b2c359ec6cp-7, -0x1.2b2e460b0841cp-7, -0x1.24088687b8049p-7, -0x1.1d0940ff257c9p-7, -0x1.162fcabc657b4p-7, -0x1.0f7b7b0368d79p-7, -0x1.08ebab120503ap-7, -0x1.027fb620c2ef8p-7, -0x1.f86df2c6f3f93p-8, -0x1.ec21a81363e3cp-8, -0x1.e0194e7dacb49p-8, -0x1.d453ac545c6e3p-8, -0x1.c8cf8bdd50facp-8, -0x1.bd8bbb54e4388p-8, -0x1.b2870cecb852dp-8, -0x1.a7c056ca26a87p-8, -0x1.9d3673044f8dap-8, -0x1.92e83fa1cf6c2p-8, -0x1.88d49e961ca15p-8, -0x1.7efa75be8b49dp-8, -0x1.7558aedf008cap-8, -0x1.6bee379e53255p-8, -0x1.62ba01825a95cp-8, -0x1.59bb01ebb4084p-8, -0x1.50f032113a127p-8, -0x1.48588efb3a521p-8, -0x1.3ff3197e58495p-8, -0x1.37bed6363fd0ep-8, -0x1.2fbacd8001f8ep-8, -0x1.27e60b7446486p-8, -0x1.203f9fe133169p-8, -0x1.18c69e4421d0bp-8, -0x1.117a1dc31a1ccp-8, -0x1.0a5939261c01fp-8, -0x1.03630ed030ed9p-8, -0x1.f92d8170a61e3p-9, -0x1.ebe6e8c441441p-9, -0x1.def0a5acd7806p-9, -0x1.d24911372c42cp-9, -0x1.c5ee8b5b9f2a8p-9, -0x1.b9df7aee58796p-9, -0x1.ae1a4d8f21a58p-9, -0x1.a29d779916832p-9, -0x1.9767741203ad8p-9, -0x1.8c76c49993659p-9, -0x1.81c9f15847c62p-9, -0x1.775f88ee3c1ccp-9, -0x1.6d362061bd2ap-9, -0x1.634c530dba89bp-9, -0x1.59a0c29006012p-9, -0x1.503216b78309bp-9, -0x1.46fefd721d806p-9, -0x1.3e062ababf34bp-9, -0x1.3546588716bep-9, -0x1.2cbe46b5578fap-9, -0x1.246cbaf9df076p-9, -0x1.1c5080cccc898p-9, -0x1.14686957912acp-9, -0x1.0cb34b626e77p-9, -0x1.05300341f1d78p-9, -0x1.fbbae588e1115p-10, -0x1.ed75023eef7c1p-10, -0x1.df8c35ba91309p-10, -0x1.d1fe63949e148p-10, -0x1.c4c979c5401f5p-10, -0x1.b7eb707f172f3p-10, -0x1.ab624a0a40b88p-10, -0x1.9f2c129fad258p-10, -0x1.9346e04466922p-10, -0x1.87b0d2a519f67p-10, -0x1.7c6812f1aef37p-10, -0x1.716ad3b905e7ap-10, -0x1.66b750c4fe12cp-10, -0x1.5c4bcef67858bp-10, -0x1.52269c21c3d9bp-10, -0x1.48460eeb192ep-10, -0x1.3ea886a3514dbp-10, -0x1.354c6b24e6c75p-10, -0x1.2c302cb12f426p-10, -0x1.235243cdc20bp-10, -0x1.1ab13122342f4p-10, -0x1.124b7d561829cp-10, -0x1.0a1fb8ef39391p-10, -0x1.022c7c302076p-10, -0x1.f4e0cdede1705p-11, -0x1.e5d44138f5c7p-11, -0x1.d730afa7576fp-11, -0x1.c8f385128c234p-11, -0x1.bb1a3b87ea033p-11, -0x1.ada25b09299e9p-11, -0x1.a089794dee209p-11, -0x1.93cd3985b3efap-11, -0x1.876b4c1a7b544p-11, -0x1.7b616e743ce21p-11, -0x1.6fad6abcd9ba7p-11, -0x1.644d17a4e63c3p-11, -0x1.593e5828ff2f2p-11, -0x1.4e7f1b5801045p-11, -0x1.440d5c19c7529p-11, -0x1.39e720f6aea72p-11, -0x1.300a7bdfcc821p-11, -0x1.267589f7e9e13p-11, -0x1.1d26735d17d0ap-11, -0x1.141b6af30fc5p-11, -0x1.0b52ae2e4e2f2p-11, -0x1.02ca84dfc9562p-11, -0x1.f5028202f5051p-12, -0x1.e4ea7d0732906p-12, -0x1.d549c63500bddp-12, -0x1.c61d3c1ab9637p-12, -0x1.b761d00af00f1p-12, -0x1.a91485bca5abdp-12, -0x1.9b3272ecdd3d9p-12, -0x1.8db8bf01842dfp-12, -0x1.80a4a2add38d1p-12, -0x1.73f36797f8bc2p-12, -0x1.67a2680080e69p-12, -0x1.5baf0e6a8c71ap-12, -0x1.5016d5460a231p-12, -0x1.44d7469ac498bp-12, -0x1.39edfbb528345p-12, -0x1.2f589cd444bafp-12, -0x1.2514e0d91fd31p-12, -0x1.1b208cf763a34p-12, -0x1.117974674e8c6p-12, -0x1.081d7819230bcp-12, -0x1.fe150cd360615p-13, -0x1.ec7d35b0811c7p-13, -0x1.db6f7b7b845a8p-13, -0x1.cae8080a6a01dp-13, -0x1.bae31dcad80ecp-13, -0x1.ab5d1737dd49fp-13, -0x1.9c5266527aaabp-13, -0x1.8dbf941c09337p-13, -0x1.7fa14013c426bp-13, -0x1.71f41fb60f49ep-13, -0x1.64b4fdfea272bp-13, -0x1.57e0baec703c8p-13, -0x1.4b744b0875a28p-13, -0x1.3f6cb6ee4a295p-13, -0x1.33c71ad74528ap-13, -0x1.2880a627c2387p-13, -0x1.1d969afe5eeaep-13, -0x1.13064dc5ea7a2p-13, -0x1.08cd24c8a8226p-13, -0x1.fdd12f8cceebfp-14, -0x1.eaac5f18f5f4ep-14, -0x1.d8270b1ed773bp-14, -0x1.c63c870dee655p-14, -0x1.b4e846182d97fp-14, -0x1.a425da71aab66p-14, -0x1.93f0f494454dfp-14, -0x1.84456286f8324p-14, -0x1.751f0f293a21bp-14, -0x1.667a0181afcbp-14, -0x1.58525c10d4926p-14, -0x1.4aa45c26f5cd2p-14, -0x1.3d6c593dc967dp-14, -0x1.30a6c455bcca7p-14, -0x1.245027560f167p-14, -0x1.18652470eaf8cp-14, -0x1.0ce2758a8d68bp-14, -0x1.01c4eba37ffd3p-14, -0x1.ee12dc8cb5b9ep-15, -0x1.d959f5f0bc8fep-15, -0x1.c559495ada00ap-15, -0x1.b20b267d340dfp-15, -0x1.9f6a05c8ace3fp-15, -0x1.8d708765d1d28p-15, -0x1.7c197234d5276p-15, -0x1.6b5fb2d19b6ddp-15, -0x1.5b3e5a9f1a899p-15, -0x1.4bb09ed6a8e77p-15, -0x1.3cb1d79ddff2ap-15, -0x1.2e3d7f20c120ap-15, -0x1.204f30b1b73b1p-15, -0x1.12e2a7ee752d1p-15, -0x1.05f3bfe963c9ap-15, -0x1.f2fce4b2089f4p-16, -0x1.dafdad95530fp-16, -0x1.c3e243b6dfad6p-16, -0x1.ada348e87b7cfp-16, -0x1.98399617c0029p-16, -0x1.839e39d86c41bp-16, -0x1.6fca76f9478e7p-16, -0x1.5cb7c320f1845p-16, -0x1.4a5fc5728f46ep-16, -0x1.38bc553bcee8bp-16, -0x1.27c778a98c7fep-16, -0x1.177b63854c652p-16, -0x1.07d275fafe1b1p-16, -0x1.f18e76c8c7ebep-17, -0x1.d4a8d23afc194p-17, -0x1.b8e9bac017257p-17, -0x1.9e473c4a3b83ep-17, -0x1.84b7b01e76f4fp-17, -0x1.6c31bab3612b5p-17, -0x1.54ac499f3cd16p-17, -0x1.3e1e9192e221cp-17, -0x1.28800c6028309p-17, -0x1.13c8770e8900dp-17, -0x1.ffdf9ff626016p-18, -0x1.d9dcaa0753044p-18, -0x1.b57903804584p-18, -0x1.92a61b89921c9p-18, -0x1.7155d5e1cccddp-18, -0x1.517a879022e1bp-18, -0x1.3306f3ad37b64p-18, -0x1.15ee4840f2e78p-18, -0x1.f4483666745ep-19, -0x1.bf38cea655f22p-19, -0x1.8c9712def1b7cp-19, -0x1.5c4c7b0a1a706p-19, -0x1.2e4337f7f36f8p-19, -0x1.02662df6a2ce3p-19, -0x1.b141df302a328p-20, -0x1.61bf713afcf5dp-20, -0x1.161ed2040fad5p-20, -0x1.9c7600b6e0637p-21, -0x1.13e060f0ecedfp-21, -0x1.246f0b9a1ec73p-22, -0x1.738773041712cp-25, 0x1.757636168a4dap-23, 0x1.97924c8aadb61p-22, 0x1.3446dcc013ddcp-21, 0x1.97113650a5f13p-21, 0x1.f460c38f7a486p-21, 0x1.263617b2873a8p-20, 0x1.4fb426dbdcbf4p-20, 0x1.76c414dbcc752p-20, 0x1.9b7e89e517f56p-20, 0x1.bdfb578239848p-20, 0x1.de517f2a26c86p-20, 0x1.fc9738a6d54b7p-20, 0x1.0c70fc2357106p-19, 0x1.19a33a741bae9p-19, 0x1.25ec56ef0a789p-19, 0x1.3155f84dbb39fp-19, 0x1.3be96f230326ap-19, 0x1.45afb88c65922p-19, 0x1.4eb180cebe3a8p-19, 0x1.56f725e427249p-19, 0x1.5e88b9f3cc943p-19, 0x1.656e05b9c26adp-19, 0x1.6bae8ad945e02p-19, 0x1.715186244be38p-19, 0x1.765df1cb970a1p-19, 0x1.7ada87859a11cp-19, 0x1.7ecdc29f7c614p-19, 0x1.823de1ffeb5f5p-19, 0x1.8530ea1ea605fp-19, 0x1.87aca6e8d4fbap-19, 0x1.89b6ad988f263p-19, 0x1.8b545e7ec99bfp-19, 0x1.8c8ae6c18d5f4p-19, 0x1.8d5f42093b3c7p-19, 0x1.8dd63c248af0fp-19, 0x1.8df4729d19883p-19, 0x1.8dbe5642ea591p-19, 0x1.8d382ca89d449p-19, 0x1.8c661195d550dp-19, 0x1.8b4bf870ba3f2p-19, 0x1.89edad9876de5p-19, 0x1.884ed7b802237p-19, 0x1.8672f90d7ab89p-19, 0x1.845d70a77cb87p-19, 0x1.82117b99abc18p-19, 0x1.7f9236259dec5p-19, 0x1.7ce29cdc3d57cp-19, 0x1.7a058db7ca601p-19, 0x1.76fdc928b6271p-19, 0x1.73cdf31e9e2c5p-19, 0x1.707894068a2e4p-19, 0x1.6d0019c1f3a3p-19, 0x1.6966d894c7e4dp-19, 0x1.65af0c0c7ee73p-19, 0x1.61dad7e224ecp-19, 0x1.5dec48d2034fdp-19, 0x1.59e5556e7bbf6p-19, 0x1.55c7deea81435p-19, 0x1.5195b1dfab775p-19, 0x1.4d50870b49a5p-19, 0x1.48fa0407f3be1p-19, 0x1.4493bbfe50d5dp-19, 0x1.401f3052c3d17p-19, 0x1.3b9dd14c77924p-19, 0x1.3710feb6d331dp-19, 0x1.327a087cfe1e1p-19, 0x1.2dda2f4173669p-19, 0x1.2932a4f0024ccp-19, 0x1.24848d4a31223p-19, 0x1.1fd0fe702d975p-19, 0x1.1b19016470a0fp-19, 0x1.165d928bbb586p-19, 0x1.119fa228023edp-19, 0x1.0ce014cf8c038p-19, 0x1.081fc3df43461p-19, 0x1.035f7deb46b55p-19, 0x1.fd400e5050848p-20, 0x1.f3c433a6bd0dfp-20, 0x1.ea4ccd2eeccbdp-20, 0x1.e0db29d94ee0fp-20, 0x1.d77086eb4eb06p-20, 0x1.ce0e10b462c4bp-20, 0x1.c4b4e33b90925p-20, 0x1.bb660ae5e0721p-20, 0x1.b2228519810f3p-20, 0x1.a8eb40d7a4f74p-20, 0x1.9fc11f5400936p-20, 0x1.96a4f4868c766p-20, 0x1.8d9787b67e369p-20, 0x1.84999401f9f47p-20, 0x1.7babc8dfb40bbp-20, 0x1.72ceca9c5ba26p-20, 0x1.6a0332d3562d8p-20, 0x1.614990e2b0415p-20, 0x1.58a26a5a85626p-20, 0x1.500e3b6aa3e5ep-20, 0x1.478d77498557p-20, 0x1.3f2088991c4e8p-20, 0x1.36c7d1c658c2dp-20, 0x1.2e83ad67bdb05p-20, 0x1.26546e949c08dp-20, 0x1.1e3a613c703a2p-20, 0x1.1635ca78ca5cfp-20, 0x1.0e46e8dbf9704p-20, 0x1.066df4bfefa6ep-20, 0x1.fd56411b854bdp-21, 0x1.edfd320b83474p-21, 0x1.ded10b06699bfp-21, 0x1.cfd2107a86b31p-21, 0x1.c1007d0ca2eabp-21, 0x1.b25c82105dcb7p-21, 0x1.a3e647fa4e72dp-21, 0x1.959deed10b5e2p-21, 0x1.87838e980b8cap-21, 0x1.799737b5a6c95p-21, 0x1.6bd8f355f7acbp-21, 0x1.5e48c3ca7e211p-21, 0x1.50e6a4e2e5508p-21, 0x1.43b28c45b247fp-21, 0x1.36ac69c234ae7p-21, 0x1.29d427a0d4be5p-21, 0x1.1d29aaee79057p-21, 0x1.10acd3c8ec535p-21, 0x1.045d7da1ec7e5p-21, 0x1.f076ff0b27b5dp-22, 0x1.d88d58b15b563p-22, 0x1.c0fda6310808fp-22, 0x1.a9c77e2777d16p-22, 0x1.92ea70488fd35p-22, 0x1.7c6605ca99e2dp-22, 0x1.6639c1cac2ce7p-22, 0x1.506521b323e28p-22, 0x1.3ae79d999236dp-22, 0x1.25c0a896b144p-22, 0x1.10efb120c4b46p-22, 0x1.f8e842b66335ep-23, 0x1.d09abecadbdf9p-23, 0x1.a8f59b4dd906dp-23, 0x1.81f796290f551p-23, 0x1.5b9f66f0a6396p-23, 0x1.35ebbf5697e9dp-23, 0x1.10db4bb79cc33p-23, 0x1.d8d9671228356p-24, 0x1.913d338c390a9p-24, 0x1.4adf3ac9386d7p-24, 0x1.05bcb36345dcap-24, 0x1.83a59ae26bf9ap-25, 0x1.fc7accd1a633ap-26, 0x1.ecec4e525fc76p-27, -0x1.59c714e23975fp-31, -0x1.075ddfc3c997fp-26, -0x1.ff44684e7209cp-26, -0x1.7946bbbea631dp-25, -0x1.f0a25da80d26ep-25, -0x1.32dd7a2d2f5p-24, -0x1.6c4b2e631649ep-24, -0x1.a49d3abd8b1cp-24, -0x1.dbd68ee71686bp-24, -0x1.08fd0d45f9abcp-23, -0x1.238566789ecbep-23, -0x1.3d85ca55260bap-23, -0x1.56ffaf980b324p-23, -0x1.6ff48c50446c3p-23, -0x1.8865d5b5d0a61p-23, -0x1.a05500057aae9p-23, -0x1.b7c37e630c8fep-23, -0x1.ceb2c2b5e9991p-23, -0x1.e5243d8e2af7p-23, -0x1.fb195e0ac99fep-23, -0x1.0849c8de8b2b2p-22, -0x1.12ca224ac16bp-22, -0x1.1d0e70634d478p-22, -0x1.2717675b3434ap-22, -0x1.30e5ba73f0c8p-22, -0x1.3a7a1bf52d7ecp-22, -0x1.43d53d2330b56p-22, -0x1.4cf7ce38fd3eap-22, -0x1.55e27e6037215p-22, -0x1.5e95fbab391e3p-22, -0x1.6712f30ee842ep-22, -0x1.6f5a105d5ba0cp-22, -0x1.776bfe42632a6p-22, -0x1.7f49663baf506p-22, -0x1.86f2f097f506dp-22, -0x1.8e694471d5202p-22, -0x1.95ad07ac512e5p-22, -0x1.9cbedef07c4bcp-22, -0x1.a39f6daafd4eap-22, -0x1.aa4f5609fd5dcp-22, -0x1.b0cf38fa9f12bp-22, -0x1.b71fb628014bap-22, -0x1.bd416bf9cb77ap-22, -0x1.c334f793eab8p-22, -0x1.c8faf4d351edcp-22, -0x1.ce93fe4fb6c05p-22, -0x1.d400ad5af2f98p-22, -0x1.d94199ff1fd55p-22, -0x1.de575affd684dp-22, -0x1.e34285da8c6a5p-22, -0x1.e803aec600725p-22, -0x1.ec9b68b3a2538p-22, -0x1.f10a454f3db44p-22, -0x1.f550d5015e22cp-22, -0x1.f96fa6ee3caffp-22, -0x1.fd6748f7e53p-22, -0x1.009c23df711f4p-21, -0x1.02719751d665ap-21, -0x1.043443e3acc07p-21, -0x1.05e46e06df02ap-21, -0x1.0782598edd614p-21, -0x1.090e49b221c1bp-21, -0x1.0a88810a65733p-21, -0x1.0bf141955dcd6p-21, -0x1.0d48ccb63f919p-21, -0x1.0e8f6335f906ap-21, -0x1.0fc5454411a35p-21, -0x1.10eab277f5682p-21, -0x1.11ffe9d1a87efp-21, -0x1.130529ba5580cp-21, -0x1.13fab005a1ccep-21, -0x1.14e0b9f2bf025p-21, -0x1.15b7842d0e059p-21, -0x1.167f4acd3079bp-21, -0x1.17384959c25f3p-21, -0x1.17e2bac8ddebdp-21, -0x1.187ed980c32cep-21, -0x1.190cdf58b43cap-21, -0x1.198d059a09bacp-21, -0x1.19ff85012cc05p-21, -0x1.1a6495be9abe4p-21, -0x1.1abc6f77c89d7p-21, -0x1.1b0749482c25ap-21, -0x1.1b4559c21148p-21, -0x1.1b76d6efa6857p-21, -0x1.1b9bf653fe43cp-21, -0x1.1bb4ecebdeca1p-21, -0x1.1bc1ef2eea53p-21, -0x1.1bc3311064e41p-21, -0x1.1bb8e6001e589p-21, -0x1.1ba340eb8a148p-21, -0x1.1b82743e666c2p-21, -0x1.1b56b1e3cece3p-21, -0x1.1b202b47468cep-21, -0x1.1adf115528025p-21, -0x1.1a93947c03f9ap-21, -0x1.1a3de4ad6be7cp-21, -0x1.19de315e776dbp-21, -0x1.1974a9890079fp-21, -0x1.19017bac6534ap-21, -0x1.1884d5ce65208p-21, -0x1.17fee57bc66f7p-21, -0x1.176fd7c94da83p-21, -0x1.16d7d954b9726p-21, -0x1.16371645458fcp-21, -0x1.158dba4caa1dbp-21, -0x1.14dbf0a7c8c04p-21, -0x1.1421e41f8a3a1p-21, -0x1.135fbf09ae688p-21, -0x1.1295ab49861ddp-21, -0x1.11c3d250aa71bp-21, -0x1.10ea5d1fb7fd2p-21, -0x1.100974472ec01p-21, -0x1.0f213fe84b929p-21, -0x1.0e31e7b5675fdp-21, -0x1.0d3b92f2e2ce8p-21, -0x1.0c3e6877ffec9p-21, -0x1.0b3a8eaf65282p-21, -0x1.0a302b97e275dp-21, -0x1.091f64c52a795p-21, -0x1.08085f609898p-21, -0x1.06eb4029bb529p-21, -0x1.05c82b772f534p-21, -0x1.049f4537192d4p-21, -0x1.0370b0efda5f2p-21, -0x1.023c91c0f3c1bp-21, -0x1.01030a6356edbp-21, -0x1.ff887a54f1b79p-22, -0x1.fd009809648e1p-22, -0x1.fa6eb0f7d8c4p-22, -0x1.f7d3076c70aa9p-22, -0x1.f52ddced5fac8p-22, -0x1.f27f723bc7346p-22, -0x1.efc8075520b12p-22, -0x1.ed07db745b0ccp-22, -0x1.ea3f2d1352104p-22, -0x1.e76e39ec2f2f2p-22, -0x1.e4953efa0bdcp-22, -0x1.e1b4787aa5ccbp-22, -0x1.decc21ef6b60bp-22, -0x1.dbdc761ed9a7fp-22, -0x1.d8e5af15bce6p-22, -0x1.d5e8062860051p-22, -0x1.d2e3b3f399725p-22, -0x1.cfd8f05dee937p-22, -0x1.ccc7f29919008p-22, -0x1.c9b0f1230077ep-22, -0x1.c69421c70c71dp-22, -0x1.c371b99f40aadp-22, -0x1.c049ed15429f2p-22, -0x1.bd1cefe3db8a5p-22, -0x1.b9eaf517fc80bp-22, -0x1.b6b42f11d40edp-22, -0x1.b378cf861d087p-22, -0x1.b039077f63325p-22, -0x1.acf5075ee362ep-22, -0x1.a9acfeddd8eecp-22, -0x1.a6611d0ec0f0cp-22, -0x1.a311905e8aa89p-22, -0x1.9fbe869578878p-22, -0x1.9c682cd889bf5p-22, -0x1.990eafaaa2c9ep-22, -0x1.95b23aeda308fp-22, -0x1.9252f9e3a6ab7p-22, -0x1.8ef117300279bp-22, -0x1.8b8cbcd856b0dp-22, -0x1.88261445d8beep-22, -0x1.84bd4646a211fp-22, -0x1.81527b0ed73dfp-22, -0x1.7de5da399dca2p-22, -0x1.7a778aca21369p-22, -0x1.7707b32cfd76cp-22, -0x1.7396793944e32p-22, -0x1.70240231eeda2p-22, -0x1.6cb072c686887p-22, -0x1.693bef14ae4b2p-22, -0x1.65c69aa903807p-22, -0x1.6250988072699p-22, -0x1.5eda0b093a43fp-22, -0x1.5b63142422452p-22, -0x1.57ebd525798d5p-22, -0x1.54746ed66f2fap-22, -0x1.50fd017653a16p-22, -0x1.4d85acbb7864bp-22, -0x1.4a0e8fd447f68p-22, -0x1.4697c968aa4a2p-22, -0x1.4321779af6708p-22, -0x1.3fabb809100e8p-22, -0x1.3c36a7cdd5123p-22, -0x1.38c263821293fp-22, -0x1.354f073d631f4p-22, -0x1.31dcae97afc5cp-22, -0x1.2e6b74aa3c861p-22, -0x1.2afb7410b8627p-22, -0x1.278cc6ea26baap-22, -0x1.241f86da65723p-22, -0x1.20b3cd0b206fbp-22, -0x1.1d49b22d146ddp-22, -0x1.19e14e78e1bccp-22, -0x1.167ab9b06e6f7p-22, -0x1.13160b1ff5fc9p-22, -0x1.0fb3599eef5dep-22, -0x1.0c52bb91607bdp-22, -0x1.08f446e938fa3p-22, -0x1.059811271ad3ap-22, -0x1.023e2f5b40033p-22, -0x1.fdcd6c4de6955p-23, -0x1.f723737beee55p-23, -0x1.f07e9bcd8a2d3p-23, -0x1.e9df0bf83407ap-23, -0x1.e344e9dc9fbf6p-23, -0x1.dcb05a882ec6fp-23, -0x1.d6218237a4799p-23, -0x1.cf9884590fdep-23, -0x1.c915838ddd127p-23, -0x1.c298a1acd4462p-23, -0x1.bc21ffc4cab58p-23, -0x1.b5b1be1e74723p-23, -0x1.af47fc3edfe09p-23, -0x1.a8e4d8e95290bp-23, -0x1.a28872215b968p-23, -0x1.9c32e52d0f634p-23, -0x1.95e44e96ff5dep-23, -0x1.8f9cca305924ep-23, -0x1.895c73132c8cfp-23, -0x1.832363a4a8668p-23, -0x1.7cf1b596f842bp-23, -0x1.76c781eb48f62p-23, -0x1.70a4e0f41f314p-23, -0x1.6a89ea570ad86p-23, -0x1.6476b50ee865ep-23, -0x1.5e6b576de47ffp-23, -0x1.5867e71fcd092p-23, -0x1.526c792b8c34bp-23, -0x1.4c7921f558628p-23, -0x1.468df540ed33fp-23, -0x1.40ab0633ffa8bp-23, -0x1.3ad067572950cp-23, -0x1.34fe2a9855082p-23, -0x1.2f34614c8fd26p-23, -0x1.29731c32b3626p-23, -0x1.23ba6b74cbf7fp-23, -0x1.1e0a5eaa29cc1p-23, -0x1.186304d90b2f4p-23, -0x1.12c46c78c9a14p-23, -0x1.0d2ea373be0b2p-23, -0x1.07a1b7292234dp-23, -0x1.021db46ec5f58p-23, -0x1.f9454f2646c77p-24, -0x1.ee6138bec126ap-24, -0x1.e38f3c31ccab3p-24, -0x1.d8cf6f06698aep-24, -0x1.ce21e5c3b0372p-24, -0x1.c386b3f43d95ap-24, -0x1.b8fdec2a1196fp-24, -0x1.ae87a001dfc3dp-24, -0x1.a423e0267ccp-24, -0x1.99d2bc553e606p-24, -0x1.8f94436078a2p-24, -0x1.85688333c79ddp-24, -0x1.7b4f88d72be0ep-24, -0x1.714960721452bp-24, -0x1.6756154eecec5p-24, -0x1.5d75b1dfa4411p-24, -0x1.53a83fbfead8fp-24, -0x1.49edc7b88fea6p-24, -0x1.404651c321c6bp-24, -0x1.36b1e50d2787ap-24, -0x1.2d3087fb938d1p-24, -0x1.23c2402d8485fp-24, -0x1.1a67127f7b9cp-24, -0x1.111f030f6169cp-24, }}, 
      {{0x1.d41f930524464p-8, 0x1.d423ab30c86cbp-7, 0x1.5f208491cacdp-6, 0x1.d4393c430d859p-6, 0x1.24b2df5ae5976p-5, 0x1.5f5a64b1a626bp-5, 0x1.9a1c9cfc9c6b7p-5, 0x1.d5043e74b0ddep-5, 0x1.080e3d40d292p-4, 0x1.25b830f228dfdp-4, 0x1.438542fd1ceaap-4, 0x1.617a64ee7b31bp-4, 0x1.7f9c25fc99b3bp-4, 0x1.9deea930fc52ep-4, 0x1.bc7595f6d796fp-4, 0x1.db3400a7e44b6p-4, 0x1.fa2c4c7485951p-4, 0x1.0cb0052a7c901p-3, 0x1.1c67ecc2df096p-3, 0x1.2c3da6dcbb26cp-3, 0x1.3c306f0a7395ap-3, 0x1.4c3eef50f5616p-3, 0x1.5c674240de26fp-3, 0x1.6ca6f9fe1c3fcp-3, 0x1.7cfb2b5ad00f5p-3, 0x1.8d607bee72919p-3, 0x1.9dd332005e877p-3, 0x1.ae4f452c4004dp-3, 0x1.bed06ecdbff78p-3, 0x1.cf5239747f49dp-3, 0x1.dfd00eda4ade7p-3, 0x1.f045440c1d1c1p-3, 0x1.005691d388a2p-2, 0x1.08817b18d64ap-2, 0x1.10a1045ba9bb4p-2, 0x1.18b2d8ef777eap-2, 0x1.20b4aae02f5c4p-2, 0x1.28a4345f7c961p-2, 0x1.307f38d64d671p-2, 0x1.384385b8c313p-2, 0x1.3feef335ef46bp-2, 0x1.477f64d73a7d8p-2, 0x1.4ef2ca1de3f98p-2, 0x1.56471f27d9056p-2, 0x1.5d7a6d60892acp-2, 0x1.648acc3ea31a4p-2, 0x1.6b76620cad23bp-2, 0x1.723b64b8507bp-2, 0x1.78d81aa2f16bep-2, 0x1.7f4adb6d6edcep-2, 0x1.859210b905d0ep-2, 0x1.8bac36d795cd3p-2, 0x1.9197dd6660b15p-2, 0x1.9753a7cf4cbcap-2, 0x1.9cde4dadc9677p-2, 0x1.a2369b15a0226p-2, 0x1.a75b70bb06576p-2, 0x1.ac4bc3fc53a0cp-2, 0x1.b1069ecea3de7p-2, 0x1.b58b1f8f5d2cep-2, 0x1.b9d878bd3e294p-2, 0x1.bdedf09bec7efp-2, 0x1.c1cae0c556c2cp-2, 0x1.c56eb5ac4eab8p-2, 0x1.c8d8ee13ca60ap-2, 0x1.cc091a7e194d6p-2, 0x1.cefedc972813p-2, 0x1.d1b9e69cafe06p-2, 0x1.d439fac6d3bd6p-2, 0x1.d67eeab35904ep-2, 0x1.d88896d54b7d2p-2, 0x1.da56edea77743p-2, 0x1.dbe9ec77cfd58p-2, 0x1.dd419c4d787fbp-2, 0x1.de5e1412d3697p-2, 0x1.df3f76dabec39p-2, 0x1.dfe5f3bfcbcc9p-2, 0x1.e051c588223fcp-2, 0x1.e0833250801e2p-2, 0x1.e07a8b3da3b29p-2, 0x1.e0382c336323cp-2, 0x1.dfbc7b90879a5p-2, 0x1.df07e9ee92468p-2, 0x1.de1af1e47b951p-2, 0x1.dcf617cb88c05p-2, 0x1.db99e9855a15p-2, 0x1.da06fe4264872p-2, 0x1.d83df64813508p-2, 0x1.d63f7ab5ea798p-2, 0x1.d40c3d490db95p-2, 0x1.d1a4f81db6407p-2, 0x1.cf0a6d6e25f59p-2, 0x1.cc3d674ed0e42p-2, 0x1.c93eb7677d18cp-2, 0x1.c60f36a93e15cp-2, 0x1.c2afc50138166p-2, 0x1.bf21490839a4p-2, 0x1.bb64afaf3bc2ap-2, 0x1.b77aebe8fb494p-2, 0x1.b364f650dbc64p-2, 0x1.af23cccf5d632p-2, 0x1.aab8723c6e58p-2, 0x1.a623edfff36adp-2, 0x1.a1674bb0e4455p-2, 0x1.9c839ab358e02p-2, 0x1.9779edd5f11f1p-2, 0x1.924b5aeefbc6dp-2, 0x1.8cf8fa79be6fp-2, 0x1.8783e734471cap-2, 0x1.81ed3dbe2928bp-2, 0x1.7c361c387d67bp-2, 0x1.765fa1e785e4ap-2, 0x1.706aeed641449p-2, 0x1.6a59237c4477ap-2, 0x1.642b6066192a8p-2, 0x1.5de2c5e06676bp-2, 0x1.578073a61c8c3p-2, 0x1.51058891d346cp-2, 0x1.4a732252896ap-2, 0x1.43ca5d23e8263p-2, 0x1.3d0c538a23147p-2, 0x1.363a1e118ff02p-2, 0x1.2f54d31205718p-2, 0x1.285d86760149dp-2, 0x1.21554985a5f6cp-2, 0x1.1a3d2ab581eb3p-2, 0x1.131635791ba57p-2, 0x1.0be172193977ep-2, 0x1.049fe58dce95dp-2, 0x1.faa522b6f4141p-3, 0x1.ebf4e6e8ffaeep-3, 0x1.dd310c3a3d991p-3, 0x1.ce5b7fa6441a5p-3, 0x1.bf76267129a0ep-3, 0x1.b082de02d7ce2p-3, 0x1.a1837bc809deap-3, 0x1.9279cd18b2b23p-3, 0x1.8367972368d0bp-3, 0x1.744e96dda1e36p-3, 0x1.653080f856b7bp-3, 0x1.560f01d8dcc7dp-3, 0x1.46ebbd95820ep-3, 0x1.37c84ff5c7127p-3, 0x1.28a64c75cb02ap-3, 0x1.19873e4caee2bp-3, 0x1.0a6ca875a0af7p-3, 0x1.f6b00b76a53f5p-4, 0x1.d895918b15eb6p-4, 0x1.ba8cb8513f08cp-4, 0x1.9c9844ed19b87p-4, 0x1.7ebaeca2f6403p-4, 0x1.60f754fee5557p-4, 0x1.435013fe1f3b8p-4, 0x1.25c7b03a08ffdp-4, 0x1.0860a1147063ep-4, 0x1.d63a9dc9789f7p-5, 0x1.9c00264b66a69p-5, 0x1.62167147381b9p-5, 0x1.2881f754e9f56p-5, 0x1.de8e28d006af6p-6, 0x1.6cd41056095dbp-6, 0x1.f7bbd966f8156p-7, 0x1.17679c692f39ep-7, 0x1.c5d8ea8c06cbap-10, -0x1.4874b7ca9c503p-8, -0x1.7f69f1978a8f5p-7, -0x1.2c62979a2826p-6, -0x1.981f0401a98f1p-6, -0x1.0171b57d15af7p-5, -0x1.3654961e3e9f4p-5, -0x1.6ab4ecda4a926p-5, -0x1.9e8f9b7c75dedp-5, -0x1.d1e19c639b8ecp-5, -0x1.02540121876e6p-4, -0x1.1b6ffbf30ae1ep-4, -0x1.34435ffaeb9f8p-4, -0x1.4cccda60d0308p-4, -0x1.650b2404c31ep-4, -0x1.7cfd016596af8p-4, -0x1.94a142884cacap-4, -0x1.abf6c2e07b727p-4, -0x1.c2fc69399275p-4, -0x1.d9b127a0fcc3dp-4, -0x1.f013fb50f401ap-4, -0x1.0311f64e072ecp-3, -0x1.0df0076cb1375p-3, -0x1.18a3c02892395p-3, -0x1.232cb514e3bebp-3, -0x1.2d8a802ab526ep-3, -0x1.37bcc0bfd0bp-3, -0x1.41c31b7db2176p-3, -0x1.4b9d3a588fb31p-3, -0x1.554acc8676e53p-3, -0x1.5ecb867654543p-3, -0x1.681f21c70873ap-3, -0x1.71455d3e57fcap-3, -0x1.7a3dfcbfcace6p-3, -0x1.8308c94369629p-3, -0x1.8ba590cc4f27p-3, -0x1.9414265f0c773p-3, -0x1.9c5461f7d12b3p-3, -0x1.a46620805df9ap-3, -0x1.ac4943c5b3005p-3, -0x1.b3fdb26d72a77p-3, -0x1.bb8357eb01aaap-3, -0x1.c2da247449045p-3, -0x1.ca020cf6325b6p-3, -0x1.d0fb0b08c2ce4p-3, -0x1.d7c51ce2dea9p-3, -0x1.de60454db0bf6p-3, -0x1.e4cc8b97b1e66p-3, -0x1.eb09fb87508d7p-3, -0x1.f118a54d332f6p-3, -0x1.f6f89d761ae34p-3, -0x1.fca9fcdc5fe42p-3, -0x1.0116704c863adp-2, -0x1.03c0b4fa4950ap-2, -0x1.0653df2b8fb79p-2, -0x1.08d0039c463e2p-2, -0x1.0b353907f8d7ap-2, -0x1.0d83982168024p-2, -0x1.0fbb3b89f4d4cp-2, -0x1.11dc3fc8db5a6p-2, -0x1.13e6c3424011fp-2, -0x1.15dae62e13a52p-2, -0x1.17b8ca8ecbf6cp-2, -0x1.19809427f52acp-2, -0x1.1b32687497249p-2, -0x1.1cce6e9d7bcaep-2, -0x1.1e54cf6f4e97ep-2, -0x1.1fc5b5509737cp-2, -0x1.21214c3799537p-2, -0x1.2267c1a0127ddp-2, -0x1.23994480dd4c9p-2, -0x1.24b605417bd0bp-2, -0x1.25be35af84264p-2, -0x1.26b208f3fe812p-2, -0x1.2791b388a9468p-2, -0x1.285d6b2d2f141p-2, -0x1.291566dc4a4dcp-2, -0x1.29b9dec0deffp-2, -0x1.2a4b0c2b05c7ep-2, -0x1.2ac929850fc07p-2, -0x1.2b34724882016p-2, -0x1.2b8d22f30f69fp-2, -0x1.2bd378fb8d8f5p-2, -0x1.2c07b2c6e7798p-2, -0x1.2c2a0f9d16f8bp-2, -0x1.2c3acf9e1edb9p-2, -0x1.2c3a33b7098c4p-2, -0x1.2c287d96f54eep-2, -0x1.2c05efa424055p-2, -0x1.2bd2ccf11b382p-2, -0x1.2b8f5931d0e18p-2, -0x1.2b3bd8b0e79c1p-2, -0x1.2ad89044fe2c3p-2, -0x1.2a65c5460edep-2, -0x1.29e3bd82e9b81p-2, -0x1.2952bf36c1263p-2, -0x1.28b310fed1e92p-2, -0x1.2804f9d024f93p-2, -0x1.2748c0ed6a7a3p-2, -0x1.267eaddcf9a15p-2, -0x1.25a7085ee4651p-2, -0x1.24c2186336478p-2, -0x1.23d026004d13p-2, -0x1.22d179695aee9p-2, -0x1.21c65ae504276p-2, -0x1.20af12c42c79cp-2, -0x1.1f8be958e324p-2, -0x1.1e5d26ed79a1cp-2, -0x1.1d2313bbc26dap-2, -0x1.1bddf7e478a97p-2, -0x1.1a8e1b66d432p-2, -0x1.1933c61844d79p-2, -0x1.17cf3f9c5ed86p-2, -0x1.1660cf5ced9e3p-2, -0x1.14e8bc823bb3bp-2, -0x1.13674deb7fab1p-2, -0x1.11dcca277f8ep-2, -0x1.1049776d5da4fp-2, -0x1.0ead9b959761ep-2, -0x1.0d097c133359cp-2, -0x1.0b5d5ded1f9f7p-2, -0x1.09a985b7bd6bp-2, -0x1.07ee378ea49bep-2, -0x1.062bb70e8f414p-2, -0x1.0462474f7c8c2p-2, -0x1.02922adf002d5p-2, -0x1.00bba3bac83cap-2, -0x1.fdbde69699d04p-3, -0x1.f9f8b4bd6e398p-3, -0x1.f6283247ec7d3p-3, -0x1.f24cde4c08fecp-3, -0x1.ee67368ebd541p-3, -0x1.ea77b77b56dc6p-3, -0x1.e67edc1b2374cp-3, -0x1.e27d1e0d7eef2p-3, -0x1.de72f58040699p-3, -0x1.da60d92885c3bp-3, -0x1.d6473e3bdd32bp-3, -0x1.d2269869c7ac5p-3, -0x1.cdff59d59cf4bp-3, -0x1.c9d1f310c6c15p-3, -0x1.c59ed31554b32p-3, -0x1.c1666740ecac1p-3, -0x1.bd291b50123ap-3, -0x1.b8e75959c191cp-3, -0x1.b4a189cb627f4p-3, -0x1.b05813650e06p-3, -0x1.ac0b5b362a33ep-3, -0x1.a7bbc49a50b93p-3, -0x1.a369b1368e571p-3, -0x1.9f1580f6e98e5p-3, -0x1.9abf920c3b1b7p-3, -0x1.966840ea52f93p-3, -0x1.920fe84661ffcp-3, -0x1.8db6e115b5513p-3, -0x1.895d828cb1fc3p-3, -0x1.8504221e18bf8p-3, -0x1.80ab137a91ee4p-3, -0x1.7c52a89076e6bp-3, -0x1.77fb318bde62ep-3, -0x1.73a4fcd6ed64fp-3, -0x1.6f50571a5dccp-3, -0x1.6afd8b3e48a35p-3, -0x1.66ace26b26fadp-3, -0x1.625ea40b1214dp-3, -0x1.5e1315cb2f8e4p-3, -0x1.59ca7b9d6304bp-3, -0x1.558517ba29f48p-3, -0x1.51432aa2a9baap-3, -0x1.4d04f322f5007p-3, -0x1.48caae5480a76p-3, -0x1.449497a0c04ap-3, -0x1.4062e8c3f23c3p-3, -0x1.3c35d9d01ccdep-3, -0x1.380da1302a57p-3, -0x1.33ea73ab35a4p-3, -0x1.2fcc8467f6eeap-3, -0x1.2bb404f0594c6p-3, -0x1.27a12535326b8p-3, -0x1.239413921918cp-3, -0x1.1f8cfcd160b72p-3, -0x1.1b8c0c3031be7p-3, -0x1.17916b62badadp-3, -0x1.139d4298853b9p-3, -0x1.0fafb880dfc09p-3, -0x1.0bc8f24f61e78p-3, -0x1.07e913c0883bap-3, -0x1.04103f1e66c2ap-3, -0x1.003e954571671p-3, -0x1.f8e86b52a6ae9p-4, -0x1.f1627cb3c18e3p-4, -0x1.e9eb98101db47p-4, -0x1.e283f41612ed1p-4, -0x1.db2bc4ca906acp-4, -0x1.d3e33b9377eb6p-4, -0x1.ccaa87420df8fp-4, -0x1.c581d41d7133bp-4, -0x1.be694bed38504p-4, -0x1.b76116041aa42p-4, -0x1.b069574a9fbb2p-4, -0x1.a9823249e950cp-4, -0x1.a2abc73686152p-4, -0x1.9be633fb4471dp-4, -0x1.953194441523fp-4, -0x1.8e8e0188f377cp-4, -0x1.87fb9318cbc19p-4, -0x1.817a5e246a483p-4, -0x1.7b0a75c963539p-4, -0x1.74abeb1cff46bp-4, -0x1.6e5ecd371fdd5p-4, -0x1.6823293d23207p-4, -0x1.61f90a6cbd615p-4, -0x1.5be07a26cdee4p-4, -0x1.55d97ffa28576p-4, -0x1.4fe421ae5135ep-4, -0x1.4a00634e376f2p-4, -0x1.442e4732d2e6cp-4, -0x1.3e6dce0dc08d7p-4, -0x1.38bef6f3c6829p-4, -0x1.3321bf6749f69p-4, -0x1.2d962362b5eb6p-4, -0x1.281c1d62c8fa6p-4, -0x1.22b3a670d371dp-4, -0x1.1d5cb62cdab4fp-4, -0x1.181742d7b01e6p-4, -0x1.12e3415ce4b3ap-4, -0x1.0dc0a55cafd37p-4, -0x1.08af6135b52c1p-4, -0x1.03af660eb4595p-4, -0x1.fd8147c03fc42p-5, -0x1.f3c612fb2da8fp-5, -0x1.ea2d093e87a41p-5, -0x1.e0b603d6382d6p-5, -0x1.d760d9fc17b51p-5, -0x1.ce2d60e9efe6cp-5, -0x1.c51b6beb5c187p-5, -0x1.bc2acc6f57bd8p-5, -0x1.b35b5219a2484p-5, -0x1.aaaccad3d3861p-5, -0x1.a21f02de3f144p-5, -0x1.99b1c4e09284ap-5, -0x1.9164d9fa2f99ep-5, -0x1.893809d24cd06p-5, -0x1.812b1aa7c8252p-5, -0x1.793dd160cf49dp-5, -0x1.716ff19a2e7aap-5, -0x1.69c13db660596p-5, -0x1.623176ec6ce04p-5, -0x1.5ac05d566cda3p-5, -0x1.536dafffde357p-5, -0x1.4c392cf3a877ep-5, -0x1.45229149e4aecp-5, -0x1.3e29993560c29p-5, -0x1.374e0010d6716p-5, -0x1.308f806bf3d76p-5, -0x1.29edd41809311p-5, -0x1.2368b4347e51dp-5, -0x1.1cffd93b10834p-5, -0x1.16b2fb0bb48fap-5, -0x1.1081d0f84cd12p-5, -0x1.0a6c11d010176p-5, -0x1.047173eab8f51p-5, -0x1.fd235a66c9ab5p-6, -0x1.f198e6668b5eap-6, -0x1.e642f637ff3c2p-6, -0x1.db20f3a3a423ep-6, -0x1.d03247eb0404bp-6, -0x1.c5765bdbfda28p-6, -0x1.baec97e38ce23p-6, -0x1.b09464202dc0bp-6, -0x1.a66d2873ae549p-6, -0x1.9c764c948e1bcp-6, -0x1.92af381ee5a95p-6, -0x1.891752a4d54ap-6, -0x1.7fae03be83123p-6, -0x1.7672b3198fb32p-6, -0x1.6d64c8883bccbp-6, -0x1.6483ac0feab14p-6, -0x1.5bcec5f76a0dcp-6, -0x1.53457ed49e0dep-6, -0x1.4ae73f99d421ep-6, -0x1.42b371a2a74ap-6, -0x1.3aa97ec06e29ap-6, -0x1.32c8d1465124p-6, -0x1.2b10d414f908ap-6, -0x1.2380f2a5b7577p-6, -0x1.1c1899156772dp-6, -0x1.14d7342efb602p-6, -0x1.0dbc31756546ep-6, -0x1.06c6ff2d7174fp-6, -0x1.ffee18ce2041ep-7, -0x1.f297920c832b4p-7, -0x1.e5894b9787792p-7, -0x1.d8c228ba8ea7cp-7, -0x1.cc410e9ac765fp-7, -0x1.c004e446544e7p-7, -0x1.b40c92c2b60b4p-7, -0x1.a857051ab836ep-7, -0x1.9ce3286ba30f8p-7, -0x1.91afebf1b3642p-7, -0x1.86bc411428f4p-7, -0x1.7c071b70a37a2p-7, -0x1.718f70e5ccfb7p-7, -0x1.6754399da2fa2p-7, -0x1.5d54701711245p-7, -0x1.538f112ef4044p-7, -0x1.4a031c28b38aep-7, -0x1.40af92b63d72p-7, -0x1.379378ff6fec4p-7, -0x1.2eadd5a93976ep-7, -0x1.25fdb1dbfd342p-7, -0x1.1d82194972d72p-7, -0x1.153a1a32a074fp-7, -0x1.0d24c56c5ef54p-7, -0x1.05412e646a434p-7, -0x1.fb1cd64ad9b43p-8, -0x1.ec1728b55f62dp-8, -0x1.dd6f8aa74f5fbp-8, -0x1.cf24380d9265ep-8, -0x1.c133722868163p-8, -0x1.b39b7f8f9be38p-8, -0x1.a65aac362cfa4p-8, -0x1.996f496d80c7fp-8, -0x1.8cd7ade76c45ep-8, -0x1.809235b77f44cp-8, -0x1.749d425493468p-8, -0x1.68f73a986c12ap-8, -0x1.5d9e8abfe39f4p-8, -0x1.5291a46975f4ep-8, -0x1.47cefe9448138p-8, -0x1.3d55159d88112p-8, -0x1.33226b3e46413p-8, -0x1.29358688027f8p-8, -0x1.1f8cf3e12bb17p-8, -0x1.16274500e537fp-8, -0x1.0d0310ea80f2bp-8, -0x1.041ef3e86e7eep-8, -0x1.f6f31f0d23cd7p-9, -0x1.e6231519635abp-9, -0x1.d5cb21ef7f1ecp-9, -0x1.c5e8a7e72cb5ep-9, -0x1.b67913a68486cp-9, -0x1.a779dc1462d93p-9, -0x1.98e882487d346p-9, -0x1.8ac2917a890c3p-9, -0x1.7d059ef228974p-9, -0x1.6faf49f5223b8p-9, -0x1.62bd3bb579041p-9, -0x1.562d273eaf2bep-9, -0x1.49fcc962ead1dp-9, -0x1.3e29e8a6fc226p-9, -0x1.32b2552f18365p-9, -0x1.2793e8a95a3cap-9, -0x1.1ccc86398d67cp-9, -0x1.125a1a63fc57fp-9, -0x1.083a9af6b0d33p-9, -0x1.fcd80de9e6c6cp-10, -0x1.e9d8ccff57224p-10, -0x1.d773957ec827bp-10, -0x1.c5a49b9a38675p-10, -0x1.b4682535a4791p-10, -0x1.a3ba89b8f0ae6p-10, -0x1.939831e0238c1p-10, -0x1.83fd978b15c73p-10, -0x1.74e7458e427ddp-10, -0x1.6651d78135324p-10, -0x1.5839f98df1b9ap-10, -0x1.4a9c683fc0caap-10, -0x1.3d75f0525c3ffp-10, -0x1.30c36e7fb6719p-10, -0x1.2481cf4dd5d24p-10, -0x1.18ae0eddaa805p-10, -0x1.0d4538b825faap-10, -0x1.0244679d4395bp-10, -0x1.ef518a9e96f4fp-11, -0x1.dadf14c7e1571p-11, -0x1.c72bfc1d59f66p-11, -0x1.b432ebe0ae80cp-11, -0x1.a1eeabc90922dp-11, -0x1.905a1f9d426d2p-11, -0x1.7f7046d006e59p-11, -0x1.6f2c3c1c4147p-11, -0x1.5f8935203e779p-11, -0x1.508281fa594f5p-11, -0x1.42138ce5791c3p-11, -0x1.3437d9d539ad4p-11, -0x1.26eb06159fbfp-11, -0x1.1a28c7e43ca8dp-11, -0x1.0decee1321ec5p-11, -0x1.02335fa45e91bp-11, -0x1.edf036d540ee1p-12, -0x1.d86e6f4d82fd6p-12, -0x1.c3d9c356902abp-12, -0x1.b02abaf3d3228p-12, -0x1.9d5a0acdad682p-12, -0x1.8b60937379cf4p-12, -0x1.7a3760a2c152bp-12, -0x1.69d7a88b7d907p-12, -0x1.5a3acb1a48163p-12, -0x1.4b5a5140acbf1p-12, -0x1.3d2fec3f9d00ep-12, -0x1.2fb574f6f3cfdp-12, -0x1.22e4eb2ec83d8p-12, -0x1.16b874ec4cb4cp-12, -0x1.0b2a5dbdb646bp-12, -0x1.00351611d8a93p-12, -0x1.eba66511743d6p-13, -0x1.d7fed69a22af4p-13, -0x1.c56936d2a288ep-13, -0x1.b3db80479501bp-13, -0x1.a34bf0b0e8d62p-13, -0x1.93b107ae495f7p-13, -0x1.85018581e2ba9p-13, -0x1.773469d5f5d8ep-13, -0x1.6a40f27e6c724p-13, -0x1.5e1e9a43edcf5p-13, -0x1.52c517ae0c18p-13, -0x1.482c5bd6df8f5p-13, -0x1.3e4c9138f40cap-13, -0x1.351e1a90c8429p-13, -0x1.2c9991ab18e4ep-13, -0x1.24b7c6508db7dp-13, -0x1.1d71bd1e84758p-13, -0x1.16c0ae734b47p-13, -0x1.109e0557fedb3p-13, -0x1.0b035e6b946eap-13, -0x1.05ea86d71c9c8p-13, -0x1.014d7b43e1c4p-13, -0x1.fa4ccda571594p-14, -0x1.f2df44350f48cp-14, -0x1.ec47645116f18p-14, -0x1.e67a8f0a9bff4p-14, -0x1.e16e7a775e4c2p-14, -0x1.dd192fcf98037p-14, -0x1.d9710985c5bbfp-14, -0x1.d66cb170eaf44p-14, -0x1.d4031efe7584cp-14, -0x1.d22b956351e73p-14, -0x1.d0dda1d6b9151p-14, -0x1.d01119ddfce06p-14, -0x1.cfbe198cbb86ap-14, -0x1.cfdd01e0e45bp-14, -0x1.d0667715b6fe9p-14, -0x1.d1535f0656fbcp-14, -0x1.d29cdf965533cp-14, -0x1.d43c5d2003e17p-14, -0x1.d62b78e4b49a2p-14, -0x1.d8640f901c06bp-14, -0x1.dae037b6b4c8ep-14, -0x1.dd9a405e0c9bcp-14, -0x1.e08caf9273cbp-14, -0x1.e3b240f7435b1p-14, -0x1.e705e46a1845ap-14, -0x1.ea82bca091971p-14, -0x1.ee241dd9cd624p-14, -0x1.f1e58c8824851p-14, -0x1.f5c2bc0c6f9d1p-14, -0x1.f9b78d726a699p-14, -0x1.fdc00e31adb81p-14, -0x1.00ec3b7dcc2e3p-13, -0x1.02fe95434a4f5p-13, -0x1.05155a320538ep-13, -0x1.072ee3ee5e4a2p-13, -0x1.09499f6944cbcp-13, -0x1.0b640c52c5e5ap-13, -0x1.0d7cbc9119e64p-13, -0x1.0f9253ba04e9cp-13, -0x1.11a3868bce1fap-13, -0x1.13af1a707a75cp-13, -0x1.15b3e4fb1ef5p-13, -0x1.17b0cb6d49df5p-13, -0x1.19a4c23df904ap-13, -0x1.1b8ecca28318ap-13, -0x1.1d6dfc19f13a6p-13, -0x1.1f416ffad6325p-13, -0x1.210855052c1c6p-13, -0x1.22c1e4f4a4768p-13, -0x1.246d6616e2af5p-13, -0x1.260a2ae2489f9p-13, -0x1.27979191bd885p-13, -0x1.291503c0279acp-13, -0x1.2a81f607c0b0bp-13, -0x1.2bdde7a2c799p-13, -0x1.2d28620f6a733p-13, -0x1.2e60f8b48cd1bp-13, -0x1.2f87488af4a93p-13, -0x1.309af7c4cb682p-13, -0x1.319bb57ad6b9dp-13, -0x1.32893959d71e6p-13, -0x1.3363435242e43p-13, -0x1.34299b4a2eadap-13, -0x1.34dc10d17e879p-13, -0x1.357a7ad696004p-13, -0x1.3604b75dae7cbp-13, -0x1.367aab3b853c8p-13, -0x1.36dc41cebb333p-13, -0x1.37296cbe2f669p-13, -0x1.376223b6b811fp-13, -0x1.3786642b7bb9ap-13, -0x1.3796311879976p-13, -0x1.379192c5206fdp-13, -0x1.3778968ab6bp-13, -0x1.374b4e99fe2fbp-13, -0x1.3709d1c474173p-13, -0x1.36b43b45ed8adp-13, -0x1.364aaa8fdd7b1p-13, -0x1.35cd43163d499p-13, -0x1.353c2c1d92f5fp-13, -0x1.3497908b677d2p-13, -0x1.33df9eb63369bp-13, -0x1.331488386ed4dp-13, -0x1.323681c484634p-13, -0x1.3145c2f967497p-13, -0x1.304286391099bp-13, -0x1.2f2d088014b2ep-13, -0x1.2e05893de2ea6p-13, -0x1.2ccc4a2f7bb82p-13, -0x1.2b818f3a0928bp-13, -0x1.2a259e4807efap-13, -0x1.28b8bf253e3afp-13, -0x1.273b3b5e44c1dp-13, -0x1.25ad5e1ff8682p-13, -0x1.240f7417283bp-13, -0x1.2261cb5393013p-13, -0x1.20a4b32970cc5p-13, -0x1.1ed87c15d7ec6p-13, -0x1.1cfd77a2ae989p-13, -0x1.1b13f84c8a304p-13, -0x1.191c51686ef56p-13, -0x1.1716d70c3c535p-13, -0x1.1503ddf5c593p-13, -0x1.12e3bb744ff31p-13, -0x1.10b6c552312d7p-13, -0x1.0e7d51c041759p-13, -0x1.0c37b73fda5e3p-13, -0x1.09e64c903f723p-13, -0x1.0789689b0f1a1p-13, -0x1.05216261d83e2p-13, -0x1.02ae90ecc8ee1p-13, -0x1.00314b3a38d01p-13, -0x1.fb53d05a0ba2dp-14, -0x1.f6317cfd87d96p-14, -0x1.f0fc495ef9799p-14, -0x1.ebb4e1f079df7p-14, -0x1.e65bf2793ca26p-14, -0x1.e0f225fd28307p-14, -0x1.db7826a24e60ap-14, -0x1.d5ee9d9ab8e8p-14, -0x1.d056330bddedbp-14, -0x1.caaf8dfa751d7p-14, -0x1.c4fb543420158p-14, -0x1.bf3a2a3d64e9ep-14, -0x1.b96cb33e916e3p-14, -0x1.b39390f16842cp-14, -0x1.adaf6390a5dbdp-14, -0x1.a7c0c9c964b75p-14, -0x1.a1c860a9d4208p-14, -0x1.9bc6c394bc125p-14, -0x1.95bc8c330403fp-14, -0x1.8faa52691ad77p-14, -0x1.8990ac47ff5e6p-14, -0x1.83702e060d4cp-14, -0x1.7d4969f23202dp-14, -0x1.771cf06a61d3ep-14, -0x1.70eb4fd3fb047p-14, -0x1.6ab514931562fp-14, -0x1.647ac90226b54p-14, -0x1.5e3cf56c0fc88p-14, -0x1.57fc2005163edp-14, -0x1.51b8cce5a452fp-14, -0x1.4b737e051dde8p-14, -0x1.452cb334ace7ep-14, -0x1.3ee4ea1b5ce5dp-14, -0x1.389c9e324df87p-14, -0x1.325448c2520acp-14, -0x1.2c0c60e05e8e6p-14, -0x1.25c55b6ba0b07p-14, -0x1.1f7fab0bd940ep-14, -0x1.193bc03008962p-14, -0x1.12fa090e47a3ap-14, -0x1.0cbaf1a0bd932p-14, -0x1.067ee3a840107p-14, -0x1.004646aadb25bp-14, -0x1.f422ffea7e91cp-15, -0x1.e7c1e535bcb8cp-15, -0x1.db69fef08abaep-15, -0x1.cf1c0a66f47e3p-15, -0x1.c2d8c07c35042p-15, -0x1.b6a0d5af9d4bbp-15, -0x1.aa74fa216ef36p-15, -0x1.9e55d996952f8p-15, -0x1.92441b7fc3d8dp-15, -0x1.864062fec4fdp-15, -0x1.7a4b4eefa5969p-15, -0x1.6e6579ec8420dp-15, -0x1.628f7a572db8ap-15, -0x1.56c9e25f7e36fp-15, -0x1.4b15400d3414fp-15, -0x1.3f721d48862dfp-15, -0x1.33e0ffe199a1fp-15, -0x1.2862699c4cb07p-15, -0x1.1cf6d835f50dcp-15, -0x1.119ec5743552dp-15, -0x1.065aa72b4fc32p-15, -0x1.f655de93cb3f5p-16, -0x1.e02017c702b22p-16, -0x1.ca14ce767ec43p-16, -0x1.b434cfa02aaccp-16, -0x1.9e80e0cc39eb7p-16, -0x1.88f9c027227a9p-16, -0x1.73a024974cd82p-16, -0x1.5e74bdd4dce47p-16, -0x1.49783481c891dp-16, -0x1.34ab2a41d10a4p-16, -0x1.200e39d230e3ap-16, -0x1.0ba1f722b40f4p-16, -0x1.eecddedb7bee9p-17, -0x1.c6bb52a302453p-17, -0x1.9f0d49d6bd9d6p-17, -0x1.77c4b7d84aa2cp-17, -0x1.50e2836a55b47p-17, -0x1.2a6786de5ad92p-17, -0x1.04549049da376p-17, -0x1.bd54c3769add8p-18, -0x1.72d362d061cd7p-18, -0x1.292653ca254e6p-18, -0x1.c09da94a75292p-19, -0x1.309c1a5cb180ap-19, -0x1.44943c72f4cb4p-20, -0x1.5a9acf4bca681p-23, 0x1.d50db017d81cfp-21, 0x1.fcf711fad85e3p-20, 0x1.85fd2f4807146p-19, 0x1.05e38632a5261p-18, 0x1.47ebfaa157356p-18, 0x1.891772b89d184p-18, 0x1.c9657f3491112p-18, 0x1.046ae1acaf474p-17, 0x1.23b3fa4b4960ap-17, 0x1.428ded0f070fcp-17, 0x1.60f8a648cf8f2p-17, 0x1.7ef41ac8bd18fp-17, 0x1.9c8047b4ab6e4p-17, 0x1.b99d325620785p-17, 0x1.d64ae7e6aca21p-17, 0x1.f2897d6943e51p-17, 0x1.072c87bbc1105p-16, 0x1.14dce109c5269p-16, 0x1.2255e03cf448bp-16, 0x1.2f979e7b32505p-16, 0x1.3ca2385a07b7cp-16, 0x1.4975cdcaaee17p-16, 0x1.561282028b5bap-16, 0x1.62787b64f3176p-16, 0x1.6ea7e36f90b6ep-16, 0x1.7aa0e6a2cdd8dp-16, 0x1.8663b46fad8aep-16, 0x1.91f07f2023d8bp-16, 0x1.9d477bc4fc7e4p-16, 0x1.a868e21fd2f59p-16, 0x1.b354ec8fed1aap-16, 0x1.be0bd7fd80d98p-16, 0x1.c88de3c76a994p-16, 0x1.d2db51af2c1a1p-16, 0x1.dcf465c688eefp-16, 0x1.e6d9665b7f986p-16, 0x1.f08a9be6d19f5p-16, 0x1.fa0850fa4c46dp-16, 0x1.01a969168a422p-15, 0x1.06353705e3d59p-15, 0x1.0aa7ba82c7dbbp-15, 0x1.0f011cadbd1b2p-15, 0x1.13418787c448cp-15, 0x1.176925ea3e36dp-15, 0x1.1b78237e70bcp-15, 0x1.1f6eacb5ad043p-15, 0x1.234ceec103aa7p-15, 0x1.2713178996fddp-15, 0x1.2ac155a927a43p-15, 0x1.2e57d8625f4e1p-15, 0x1.31d6cf9926398p-15, 0x1.353e6bcbf6b5dp-15, 0x1.388ede0c1462fp-15, 0x1.3bc857f680975p-15, 0x1.3eeb0badb7744p-15, 0x1.41f72bd235afdp-15, 0x1.44eceb7c435a6p-15, 0x1.47cc7e35556fp-15, 0x1.4a9617f1671bp-15, 0x1.4d49ed08c9324p-15, 0x1.4fe8323253466p-15, 0x1.52711c7cb5011p-15, 0x1.54e4e1490cd58p-15, 0x1.5743b64504325p-15, 0x1.598dd164cff55p-15, 0x1.5bc368ddfde05p-15, 0x1.5de4b32218432p-15, 0x1.5ff1e6d8be92fp-15, 0x1.61eb3adb0807fp-15, 0x1.63d0e62e25d62p-15, 0x1.65a31ffe078fcp-15, 0x1.67621f993da99p-15, 0x1.690e1c6bb9f7bp-15, 0x1.6aa74df9f1147p-15, 0x1.6c2debdd5d95bp-15, 0x1.6da22dbe7d9e8p-15, 0x1.6f044b513889p-15, 0x1.70547c515073cp-15, 0x1.7192f87cf4fc5p-15, 0x1.72bff7919c905p-15, 0x1.73dbb147ebfdp-15, 0x1.74e65d4f8bfbap-15, 0x1.75e0334bc3751p-15, 0x1.76c96acfc8fe9p-15, 0x1.77a23b5afe5c2p-15, 0x1.786adc559a9e5p-15, 0x1.7923850d82024p-15, 0x1.79cc6cb2a40a6p-15, 0x1.7a65ca53f5f47p-15, 0x1.7aefd4dc6824cp-15, 0x1.7b6ac30ffe83ap-15, 0x1.7bd6cb887c0c3p-15, 0x1.7c3424b2efe61p-15, 0x1.7c8304ccff7b1p-15, 0x1.7cc3a1e1a9153p-15, 0x1.7cf631c781262p-15, 0x1.7d1aea1db0b43p-15, 0x1.7d3200496711ep-15, 0x1.7d3ba973f5a38p-15, 0x1.7d381a8803fb3p-15, 0x1.7d27882fc814dp-15, 0x1.7d0a26d2c698fp-15, 0x1.7ce02a939b0c1p-15, 0x1.7ca9c74e5cb82p-15, 0x1.7c67309649ad6p-15, 0x1.7c1899b41fc7bp-15, 0x1.7bbe35a44d5a4p-15, }}, 
      {{0x1.95678740082f8p-8, 0x1.95694a285deb2p-7, 0x1.30114c3401bd1p-6, 0x1.95717cffd5c1ep-6, 0x1.fad81d80a26b4p-6, 0x1.3024d7efafb39p-5, 0x1.62e629215178cp-5, 0x1.95b3bc08a863cp-5, 0x1.c891c10d4e15ap-5, 0x1.fb84aae6a94acp-5, 0x1.1748818e1bc3fp-4, 0x1.30dda526fdb7dp-4, 0x1.4a83f163c82f9p-4, 0x1.643d80ec1d5cap-4, 0x1.7e0c5219a209ap-4, 0x1.97f2413bd90a3p-4, 0x1.b1f10221c9789p-4, 0x1.cc0a18b8583fcp-4, 0x1.e63ed10327aa3p-4, 0x1.00481b7dd759ep-3, 0x1.0d7f877d5191ep-3, 0x1.1ac5e7a20703dp-3, 0x1.281b4d961649p-3, 0x1.357fa00eee3bp-3, 0x1.42f29a4e399a5p-3, 0x1.5073cc989209ap-3, 0x1.5e029d89cc8fap-3, 0x1.6b9e4c2387131p-3, 0x1.7945f26c99356p-3, 0x1.86f8887693542p-3, 0x1.94b4e7a06312p-3, 0x1.a279cdf1b18acp-3, 0x1.b045e17088194p-3, 0x1.be17b3596332dp-3, 0x1.cbedc3288ef86p-3, 0x1.d9c68169b6fe4p-3, 0x1.e7a05247f604dp-3, 0x1.f5798fdd10576p-3, 0x1.01a84620ebf05p-2, 0x1.0891c9b212903p-2, 0x1.0f7876541e2c6p-2, 0x1.165b6e2e23613p-2, 0x1.1d39d282539e7p-2, 0x1.2412c443d0f53p-2, 0x1.2ae5649f19386p-2, 0x1.31b0d5778d31fp-2, 0x1.387439dc23afap-2, 0x1.3f2eb674e956fp-2, 0x1.45df71ea730b6p-2, 0x1.4c8595480f676p-2, 0x1.53204c592e79ep-2, 0x1.59aec602291eap-2, 0x1.6030349467f1ap-2, 0x1.66a3ce1dc0f6ep-2, 0x1.6d08ccb2d0266p-2, 0x1.735e6eb3fd741p-2, 0x1.79a3f70cf16fcp-2, 0x1.7fd8ad6e3532ap-2, 0x1.85fbde80d2806p-2, 0x1.8c0cdc13d4e26p-2, 0x1.920afd43a20fap-2, 0x1.97f59e9b3f2e7p-2, 0x1.9dcc222f96babp-2, 0x1.a38defb503ac1p-2, 0x1.a93a748f5a994p-2, 0x1.aed123dccc522p-2, 0x1.b451767bfd6bbp-2, 0x1.b9baeb0dbc4bdp-2, 0x1.bf0d05f2c2c6bp-2, 0x1.c4475145ee9e1p-2, 0x1.c9695cd364fe2p-2, 0x1.ce72be0d09a45p-2, 0x1.d3630ffcb651dp-2, 0x1.d839f33490a7ep-2, 0x1.dcf70dbdda59cp-2, 0x1.e19a0b06941a5p-2, 0x1.e6229bce33ebep-2, 0x1.ea907611bc3b4p-2, 0x1.eee354f75fbf8p-2, 0x1.f31af8b9e9fa5p-2, 0x1.f7372694114a7p-2, 0x1.fb37a8abcc826p-2, 0x1.ff1c4dfdc586dp-2, 0x1.017275247e971p-1, 0x1.0348aafd50a21p-1, 0x1.0510b70d0ebdfp-1, 0x1.06ca8a1ab48ap-1, 0x1.08761726c3165p-1, 0x1.0a13536199a0cp-1, 0x1.0ba23621de26ep-1, 0x1.0d22b8daf3d2cp-1, 0x1.0e94d71375cd8p-1, 0x1.0ff88e5bb1a13p-1, 0x1.114dde4418cf1p-1, 0x1.1294c853a56c5p-1, 0x1.13cd4ffe2850cp-1, 0x1.14f77a9a7d1a7p-1, 0x1.16134f589e86bp-1, 0x1.1720d737964a4p-1, 0x1.18201cfb44ab7p-1, 0x1.19112d21fd733p-1, 0x1.19f415d9f8722p-1, 0x1.1ac8e6f692f6ep-1, 0x1.1b8fb1e5626dap-1, 0x1.1c4889a31b74bp-1, 0x1.1cf382b04939dp-1, 0x1.1d90b305dc285p-1, 0x1.1e2032098fe9p-1, 0x1.1ea218822bffbp-1, 0x1.1f16808ba4f6ep-1, 0x1.1f7d858b1e896p-1, 0x1.1fd74422d75e3p-1, 0x1.2023da2601daep-1, 0x1.2063668c8e02p-1, 0x1.20960966ebd76p-1, 0x1.20bbe3d1ca075p-1, 0x1.20d517e9d9649p-1, 0x1.20e1c8bf9655fp-1, 0x1.20e21a4b2332cp-1, 0x1.20d631603437p-1, 0x1.20be33a215a2ap-1, 0x1.209a4777cfc08p-1, 0x1.206a94006f36bp-1, 0x1.202f410774428p-1, 0x1.1fe876f96fb2p-1, 0x1.1f965ed8cf5d6p-1, 0x1.1f392232e1294p-1, 0x1.1ed0eb150e1c8p-1, 0x1.1e5de4024edabp-1, 0x1.1de037e8e287cp-1, 0x1.1d5812184376fp-1, 0x1.1cc59e3761c6ep-1, 0x1.1c29083b229a6p-1, 0x1.1b827c5d2576bp-1, 0x1.1ad22712d42e4p-1, 0x1.1a183504ba431p-1, 0x1.1954d30627eecp-1, 0x1.18882e0d1df3fp-1, 0x1.17b2732a87101p-1, 0x1.16d3cf82b8745p-1, 0x1.15ec70463f6e5p-1, 0x1.14fc82aaf8125p-1, 0x1.140433e56caf9p-1, 0x1.1303b1227c83cp-1, 0x1.11fb27814c19dp-1, 0x1.10eac40d77686p-1, 0x1.0fd2b3b98cba5p-1, 0x1.0eb32359c67b5p-1, 0x1.0d8c3f9f08876p-1, 0x1.0c5e35121bb54p-1, 0x1.0b29300f27d57p-1, 0x1.09ed5cc1682eep-1, 0x1.08aae71f1aeb1p-1, 0x1.0761fae5a77cp-1, 0x1.0612c395fb52fp-1, 0x1.04bd6c71199b4p-1, 0x1.03622074dd89bp-1, 0x1.02010a58ebba5p-1, 0x1.009a548bd113bp-1, 0x1.fe5c52609b4a9p-2, 0x1.fb796435929abp-2, 0x1.f88c319dde26ap-2, 0x1.f5950cfae09e5p-2, 0x1.f2944803d20b6p-2, 0x1.ef8a33c1d038fp-2, 0x1.ec77208c30a45p-2, 0x1.e95b5e050b291p-2, 0x1.e6373b160473p-2, 0x1.e30b05ed48606p-2, 0x1.dfd70bfabee2ap-2, 0x1.dc9b99ed6bf8ap-2, 0x1.d958fbb1007b2p-2, 0x1.d60f7c6b943fbp-2, 0x1.d2bf667b8bc6ep-2, 0x1.cf6903759ee63p-2, 0x1.cc0c9c23093a5p-2, 0x1.c8aa787fd72f8p-2, 0x1.c542dfb955586p-2, 0x1.c1d6182c9d3b8p-2, 0x1.be6467653cf5ep-2, 0x1.baee121bf94p-2, 0x1.b7735c35aa47cp-2, 0x1.b3f488c22a20ep-2, 0x1.b071d9fb60aep-2, 0x1.aceb91445c49fp-2, 0x1.a961ef2883836p-2, 0x1.a5d5335ad78e1p-2, 0x1.a2459cb545a92p-2, 0x1.9eb369380bde9p-2, 0x1.9b1ed6092cb6dp-2, 0x1.97881f73f1e12p-2, 0x1.93ef80e87abacp-2, 0x1.905534fb5dc0bp-2, 0x1.8cb97565525b9p-2, 0x1.891c7b02e9a03p-2, 0x1.857e7dd4527f8p-2, 0x1.81dfb4fd2b27fp-2, 0x1.7e4056c45f27cp-2, 0x1.7aa098940ad7p-2, 0x1.7700aef973dd8p-2, 0x1.7360cda5037adp-2, 0x1.6fc1276a52d73p-2, 0x1.6c21ee403c9adp-2, 0x1.68835340fe5bp-2, 0x1.64e586aa5f4dcp-2, 0x1.6148b7dde824ep-2, 0x1.5dad15611f4efp-2, 0x1.5a12ccddd3bb4p-2, 0x1.567a0b2270dacp-2, 0x1.52e2fc225e102p-2, 0x1.4f4dcaf6683d2p-2, 0x1.4bbaa1dd36bfcp-2, 0x1.4829aa3bca1c1p-2, 0x1.449b0c9e06159p-2, 0x1.410ef0b747377p-2, 0x1.3d857d6303cdp-2, 0x1.39fed8a575348p-2, 0x1.367b27ac4f451p-2, 0x1.32fa8ecf80107p-2, 0x1.2f7d3191fe979p-2, 0x1.2c0332a29fa8dp-2, 0x1.288cb3dcf9409p-2, 0x1.2519d64a51ca5p-2, 0x1.21aaba2295fa9p-2, 0x1.1e3f7ecd604p-2, 0x1.1ad842e3057c3p-2, 0x1.1775242dafceep-2, 0x1.14163faa84d0bp-2, 0x1.10bbb18ad57acp-2, 0x1.0d659535590d3p-2, 0x1.0a1405477364fp-2, 0x1.06c71b9687315p-2, 0x1.037ef13150149p-2, 0x1.003b9e614b475p-2, 0x1.f9fa75584a269p-3, 0x1.f387b9aa6ee84p-3, 0x1.ed1f35be1dc2bp-3, 0x1.e6c11419efc6fp-3, 0x1.e06d7dc93659ap-3, 0x1.da249a5f3ed47p-3, 0x1.d3e68ffaade67p-3, 0x1.cdb38348e908p-3, 0x1.c78b97899c145p-3, 0x1.c16eee9241866p-3, 0x1.bb5da8d1cc22ep-3, 0x1.b557e55457ab6p-3, 0x1.af5dc1c6ea484p-3, 0x1.a96f5a7b5136cp-3, 0x1.a38cca6bf9119p-3, 0x1.9db62b3febebdp-3, 0x1.97eb954eccc8fp-3, 0x1.922d1fa4e8303p-3, 0x1.8c7ae00755774p-3, 0x1.86d4eaf81ab04p-3, 0x1.813b53ba6a195p-3, 0x1.7bae2c56e06e9p-3, 0x1.762d859fd5b38p-3, 0x1.70b96f35b344ap-3, 0x1.6b51f78b5a9ecp-3, 0x1.65f72bea8d07dp-3, 0x1.60a9187866919p-3, 0x1.5b67c839d678bp-3, 0x1.56334518283a8p-3, 0x1.510b97e58f4dcp-3, 0x1.4bf0c861b9048p-3, 0x1.46e2dd3e69dc5p-3, 0x1.41e1dc2416698p-3, 0x1.3cedc9b68a548p-3, 0x1.3806a9998e769p-3, 0x1.332c7e75935c2p-3, 0x1.2e5f49fc62d0ap-3, 0x1.299f0cedcb423p-3, 0x1.24ebc71c53f1p-3, 0x1.20457771f03d5p-3, 0x1.1bac1bf4b3d73p-3, 0x1.171fb1cb88bp-3, 0x1.12a03542dec41p-3, 0x1.0e2da1d15e879p-3, 0x1.09c7f21ca09acp-3, 0x1.056f1ffdd4c78p-3, 0x1.0123248672ac4p-3, 0x1.f9c7f009c172ep-4, 0x1.f163241239e36p-4, 0x1.e917d2d2b6375p-4, 0x1.e0e5e88d45e7ep-4, 0x1.d8cd5022ceab1p-4, 0x1.d0cdf31c373fep-4, 0x1.c8e7b9b3728ffp-4, 0x1.c11a8adc9722p-4, 0x1.b9664c4eda65ep-4, 0x1.b1cae28d78a7bp-4, 0x1.aa4830f0a248bp-4, 0x1.a2de19ae40832p-4, 0x1.9b8c7de2af9f5p-4, 0x1.94533d9981132p-4, 0x1.8d3237d5fe2p-4, 0x1.86294a9bbc8f6p-4, 0x1.7f3852f712898p-4, 0x1.785f2d056e736p-4, 0x1.719db3fda8febp-4, 0x1.6af3c23834915p-4, 0x1.646131373e139p-4, 0x1.5de5d9aeb5fd8p-4, 0x1.5781938c3e20ep-4, 0x1.513435ff02dcap-4, 0x1.4afd977f7edb1p-4, 0x1.44dd8dd71d8fbp-4, 0x1.3ed3ee27d1375p-4, 0x1.38e08cf380e99p-4, 0x1.33033e236a2c5p-4, 0x1.2d3bd50f5e1d1p-4, 0x1.278a2484eae5dp-4, 0x1.21edfece68588p-4, 0x1.1c6735b9e5c12p-4, 0x1.16f59aa00321fp-4, 0x1.1198fe6aa8d6fp-4, 0x1.0c51319ba7d29p-4, 0x1.071e04533a306p-4, 0x1.01ff465669eb5p-4, 0x1.f9e98e2ab736dp-5, 0x1.effcab62f8b2fp-5, 0x1.e63782071bb73p-5, 0x1.dc99af4346e25p-5, 0x1.d322cfc9dfb14p-5, 0x1.c9d27fdf110f1p-5, 0x1.c0a85b63f93a7p-5, 0x1.b7a3fde1b58a3p-5, 0x1.aec50294293c1p-5, 0x1.a60b0474870a6p-5, 0x1.9d759e43b0e3ap-5, 0x1.95046a9447c37p-5, 0x1.8cb703d4985c8p-5, 0x1.848d045843da5p-5, 0x1.7c860661a8f49p-5, 0x1.74a1a42b2323p-5, 0x1.6cdf77f00eb61p-5, 0x1.653f1bf57fe13p-5, 0x1.5dc02a92e1d88p-5, 0x1.56623e3a482c7p-5, 0x1.4f24f18091p-5, 0x1.4807df254de4cp-5, 0x1.410aa21a79b2fp-5, 0x1.3a2cd58bf074bp-5, 0x1.336e14e6be80cp-5, 0x1.2ccdfbe02a9f5p-5, 0x1.264c267c9f75fp-5, 0x1.1fe8311646d7fp-5, 0x1.19a1b8638c1bp-5, 0x1.1378597d5a845p-5, 0x1.0d6bb1e529bf9p-5, 0x1.077b5f8ae50a1p-5, 0x1.01a700d28f2a2p-5, 0x1.f7dc69338722ep-6, 0x1.eca13479fc4bap-6, 0x1.e19ba33977f7p-6, 0x1.d6caf644cc762p-6, 0x1.cc2e6f8a1bc22p-6, 0x1.c1c5521bfbf39p-6, 0x1.b78ee23a43c2ep-6, 0x1.ad8a655a6f984p-6, 0x1.a3b7222fbc043p-6, 0x1.9a1460b2ea5e6p-6, 0x1.90a16a299f5b9p-6, 0x1.875d892d83b72p-6, 0x1.7e4809b308ad6p-6, 0x1.7560390fd69c9p-6, 0x1.6ca56600fb9cep-6, 0x1.6416e0b0b40efp-6, 0x1.5bb3fabbfa2b8p-6, 0x1.537c0737cd17ep-6, 0x1.4b6e5ab619aebp-6, 0x1.438a4b4a6e82dp-6, 0x1.3bcf308e4ec56p-6, 0x1.343c63a574fd4p-6, 0x1.2cd13f4184142p-6, 0x1.258d1fa5c3a69p-6, 0x1.1e6f62aa5a24cp-6, 0x1.177767bf74a7ep-6, 0x1.10a48ff016d16p-6, 0x1.09f63de4bcedp-6, 0x1.036bd5e5b0aadp-6, 0x1.fa097bba5d677p-7, 0x1.ed80bab2b0563p-7, 0x1.e13c3b1bc4168p-7, 0x1.d53ad2ab1e0d5p-7, 0x1.c97b5a66f1b6ap-7, 0x1.bdfcaea84585fp-7, 0x1.b2bdaf1cb812dp-7, 0x1.a7bd3ec7dbb81p-7, 0x1.9cfa440449042p-7, 0x1.9273a8841a91fp-7, 0x1.882859515acfdp-7, 0x1.7e1746cdddff9p-7, 0x1.743f64b2ef2d6p-7, 0x1.6a9faa10841e2p-7, 0x1.6137114c4164p-7, 0x1.580498201d56cp-7, 0x1.4f073f98bb45ep-7, 0x1.463e0c138f371p-7, 0x1.3da8053c879fdp-7, 0x1.3544360bc555cp-7, 0x1.2d11acc2ab2cfp-7, 0x1.250f7ae900b9cp-7, 0x1.1d3cb549c4b65p-7, 0x1.159873ef9e043p-7, 0x1.0e21d2212b531p-7, 0x1.06d7ee5d2823p-7, 0x1.ff73d4acaa839p-8, 0x1.f18dd5de32bc4p-8, 0x1.e3fc306a08f12p-8, 0x1.d6bd3ab841542p-8, 0x1.c9cf51740e7dp-8, 0x1.bd30d781d0505p-8, 0x1.b0e035f488174p-8, 0x1.a4dbdc0327b77p-8, 0x1.99223efd99fc9p-8, 0x1.8db1da415101p-8, 0x1.82892f2dbee9ap-8, 0x1.77a6c5188ebd5p-8, 0x1.6d09294167938p-8, 0x1.62aeeec5bb05bp-8, 0x1.5896ae9422c1ap-8, 0x1.4ebf075fb050cp-8, 0x1.45269d92d5921p-8, 0x1.3bcc1b4277fd8p-8, 0x1.32ae3020629ddp-8, 0x1.29cb916e0fdc6p-8, 0x1.2122f9eebdc01p-8, 0x1.18b329d9ecd9fp-8, 0x1.107ae6cd441a3p-8, 0x1.0878fbbeb99bp-8, 0x1.00ac38ee484bfp-8, 0x1.f226e7afa0ccfp-9, 0x1.e35b0e497b3bep-9, 0x1.d4f2a53b0ea08p-9, 0x1.c6eb7636c2d06p-9, 0x1.b94354f2f831dp-9, 0x1.abf81f0d50bb7p-9, 0x1.9f07bbecbd23cp-9, 0x1.92701ca4c5509p-9, 0x1.862f3bd79195ap-9, 0x1.7a431d98a787dp-9, 0x1.6ea9cf4f5f51bp-9, 0x1.636167992a4e6p-9, 0x1.5868062c440a8p-9, 0x1.4dbbd3b9c6c5p-9, 0x1.435b01d049dbcp-9, 0x1.3943cabe9d7efp-9, 0x1.2f747175d62fap-9, 0x1.25eb416c18364p-9, 0x1.1ca68e7f5d776p-9, 0x1.13a4b4d7d7a49p-9, 0x1.0ae418cb12f44p-9, 0x1.026326bea0f16p-9, 0x1.f440a61636399p-10, 0x1.e43433bebf15p-10, 0x1.d49dfe4748cddp-10, 0x1.c57b1cb9d9bebp-10, 0x1.b6c8b5213100ep-10, 0x1.a883fc4fa07b1p-10, 0x1.9aaa35a74095fp-10, 0x1.8d38b2e189b29p-10, 0x1.802cd3d7abe66p-10, 0x1.7384064b23848p-10, 0x1.673bc5aee906ap-10, 0x1.5b519af0af989p-10, 0x1.4fc31c42aacp-10, 0x1.448dece5e782p-10, 0x1.39afbcf491446p-10, 0x1.2f26492d78b16p-10, 0x1.24ef5abedfb47p-10, 0x1.1b08c712e06bep-10, 0x1.11706f9b92cc5p-10, 0x1.0824419fdc47ap-10, 0x1.fe446c110a1p-11, 0x1.ecd0a25d126b7p-11, 0x1.dbe94550b0629p-11, 0x1.cb8a8a32f5fdcp-11, 0x1.bbb0bc0283109p-11, 0x1.ac583b14b00fcp-11, 0x1.9d7d7cb6bccbp-11, 0x1.8f1d0ace3970bp-11, 0x1.8133837c90892p-11, 0x1.73bd98c141e04p-11, 0x1.66b8101ecaa8ap-11, 0x1.5a1fc24064aa3p-11, 0x1.4df19aa062642p-11, 0x1.422a972f381fap-11, 0x1.36c7c7fceb85ep-11, 0x1.2bc64ee241761p-11, 0x1.21235f2b562bep-11, 0x1.16dc3d43b927fp-11, 0x1.0cee3e6385f9ap-11, 0x1.0356c83c3a276p-11, 0x1.f426a151adae2p-12, 0x1.e242baba7eea1p-12, 0x1.d0fd072eae391p-12, 0x1.c050cfa321bf7p-12, 0x1.b0397aeb50487p-12, 0x1.a0b28d222be96p-12, 0x1.91b7a7140c725p-12, 0x1.834485ad26805p-12, 0x1.75550166460e5p-12, 0x1.67e50db7a3c5dp-12, 0x1.5af0b889db942p-12, 0x1.4e7429ac2b3a5p-12, 0x1.426ba24c46a3ep-12, 0x1.36d37c6d60396p-12, 0x1.2ba82a650371bp-12, 0x1.20e6365805e7p-12, 0x1.168a41b989254p-12, 0x1.0c9104cc0fe57p-12, 0x1.02f74e2546229p-12, 0x1.f374046472a5cp-13, 0x1.e1ac357fed0e5p-13, 0x1.d0914d060882fp-13, 0x1.c01d91476e949p-13, 0x1.b04b70965f032p-13, 0x1.a11580618ff56p-13, 0x1.92767c5964811p-13, 0x1.84694592e90bcp-13, 0x1.76e8e1b109f17p-13, 0x1.69f07a1255e64p-13, 0x1.5d7b5aff485a5p-13, 0x1.5184f2e0a7eb8p-13, 0x1.4608d17608ddbp-13, 0x1.3b02a70f8422ap-13, 0x1.306e43ce36106p-13, 0x1.264796e578725p-13, 0x1.1c8aaddf520eap-13, 0x1.1333b3e5ca2bbp-13, 0x1.0a3ef11047037p-13, 0x1.01a8c9b296409p-13, 0x1.f2db7b5bdf611p-14, 0x1.e314cf924ca76p-14, 0x1.d3f6fa0ee4155p-14, 0x1.c57b9810218b9p-14, 0x1.b79c78c2bf286p-14, 0x1.aa539c0fbb126p-14, 0x1.9d9b31605df52p-14, 0x1.916d9673ece84p-14, 0x1.85c5563587a71p-14, 0x1.7a9d27976d914p-14, 0x1.6fefec76fe9e3p-14, 0x1.65b8b08550deep-14, 0x1.5bf2a83411c6fp-14, 0x1.52992fa9f5d93p-14, 0x1.49a7c9bbd3387p-14, 0x1.411a1eeb1a2e7p-14, 0x1.38ebfc68ece1cp-14, 0x1.3119531ecf02dp-14, 0x1.299e36bd2f30ap-14, 0x1.2276dccdfa07cp-14, 0x1.1b9f9bce19171p-14, 0x1.1514ea472f13ep-14, 0x1.0ed35df605503p-14, 0x1.08d7aaee76138p-14, 0x1.031ea2c70e978p-14, 0x1.fb4a6792615b3p-15, 0x1.f0d0d04ba2d51p-15, 0x1.e6caca5c21b2cp-15, 0x1.dd32d5203130fp-15, 0x1.d403a333c305p-15, 0x1.cb3818fbce98ep-15, 0x1.c2cb4b3fea1b7p-15, 0x1.bab87dc0e7098p-15, 0x1.b2fb21e167974p-15, 0x1.ab8ed54ee98dcp-15, 0x1.a46f60b9fbfb8p-15, 0x1.9d98b68dd0f65p-15, 0x1.9706f1b7c2263p-15, 0x1.90b65470a0adcp-15, 0x1.8aa3470f2b4e3p-15, 0x1.84ca56e2f812dp-15, 0x1.7f2835140d62dp-15, 0x1.79b9b5882bb76p-15, 0x1.747bcdd475e4bp-15, 0x1.6f6b942ea55fp-15, 0x1.6a863e6b04d5dp-15, 0x1.65c920fc98886p-15, 0x1.6131adfcd5597p-15, 0x1.5cbd743b690ecp-15, 0x1.586a1e53cd266p-15, 0x1.543571c2389f1p-15, 0x1.501d4e07bebd8p-15, 0x1.4c1fabcd965d8p-15, 0x1.483a9c11148fap-15, 0x1.446c4754725bdp-15, 0x1.40b2ecd432c75p-15, 0x1.3d0ce1c1b4318p-15, 0x1.39789086582b2p-15, 0x1.35f47806d9c6dp-15, 0x1.327f2aed69fbbp-15, 0x1.2f174ef910f1ep-15, 0x1.2bbb9c5246e65p-15, 0x1.286adce242f82p-15, 0x1.2523ebb078b4dp-15, 0x1.21e5b4444ba05p-15, 0x1.1eaf320ac3088p-15, 0x1.1b7f6fc0cf585p-15, 0x1.185586e2f2f53p-15, 0x1.15309f1cd7a84p-15, 0x1.120fedc1095ffp-15, 0x1.0ef2b5433ff2bp-15, 0x1.0bd844b6271dfp-15, 0x1.08bff74c47704p-15, 0x1.05a933de03d78p-15, 0x1.02936c733ae35p-15, 0x1.fefc3b9f14fa5p-16, 0x1.f8d19e01d92c2p-16, 0x1.f2a621e9f8b49p-16, 0x1.ec78fc193fe4p-16, 0x1.e649736f7fa67p-16, 0x1.e016e021a2cdfp-16, 0x1.d9e0aaf8756a8p-16, 0x1.d3a64c97a7d14p-16, 0x1.cd674cc7c63fp-16, 0x1.c72341c602a08p-16, 0x1.c0d9cf9d39d8fp-16, 0x1.ba8aa77f6dc38p-16, 0x1.b4358725a2eap-16, 0x1.adda38376ed92p-16, 0x1.a7788fb4a4539p-16, 0x1.a1106d65133eap-16, 0x1.9aa1bb4b4687fp-16, 0x1.942c6d20b2da7p-16, 0x1.8db07fd035b3dp-16, 0x1.872df8f9459d5p-16, 0x1.80a4e676c336ep-16, 0x1.7a155dea20aacp-16, 0x1.737f7c440e4d7p-16, 0x1.6ce3655e0b6a5p-16, 0x1.6641438b8d43ap-16, 0x1.5f99473433715p-16, 0x1.58eba6741b80dp-16, 0x1.52389cb9782e5p-16, 0x1.4b806a6b451f2p-16, 0x1.44c354904a985p-16, 0x1.3e01a47b2a50fp-16, 0x1.373ba7775674ap-16, 0x1.3071ae7c44014p-16, 0x1.29a40dde844fcp-16, 0x1.22d31d0b50ac1p-16, 0x1.1bff363ef16f2p-16, 0x1.1528b642bb0c6p-16, 0x1.0e4ffc2d9b90fp-16, 0x1.07756925930bcp-16, 0x1.00996024116e3p-16, 0x1.f3788b7d6b489p-17, 0x1.e5bcffde5926ep-17, 0x1.d800ebc0e51ecp-17, 0x1.ca451f766f2f7p-17, 0x1.bc8a6cefdc34ap-17, 0x1.aed1a75e4fd8bp-17, 0x1.a11ba2e2c048bp-17, 0x1.936934322ac8bp-17, 0x1.85bb304c40b26p-17, 0x1.78126c30968cfp-17, 0x1.6a6fbc91e7b55p-17, 0x1.5cd3f596abcb1p-17, 0x1.4f3fea978aecbp-17, 0x1.41b46ddce44eep-17, 0x1.3432506c0ed3ep-17, 0x1.26ba61c832c7fp-17, 0x1.194d6fc28c30dp-17, 0x1.0bec464682161p-17, 0x1.fd2f5e5c573f9p-18, 0x1.e2a0e42403b43p-18, 0x1.c82ea845ed1dep-18, 0x1.adda30027f3cap-18, 0x1.93a4fb363c5c2p-18, 0x1.7990840e2be13p-18, 0x1.5f9e3ec9f3abep-18, 0x1.45cf998308901p-18, 0x1.2c25fbf4e8441p-18, 0x1.12a2c747ac44fp-18, 0x1.f28eabc34d7e8p-19, 0x1.c029f67a9b51bp-19, 0x1.8e1a077f8ccc9p-19, 0x1.5c61692e184adp-19, 0x1.2b02972a033d4p-19, 0x1.f3fffc68466b8p-20, 0x1.92b7f7c6e8005p-20, 0x1.3231bcf5cf48cp-20, 0x1.a4e3932e1de5fp-21, 0x1.cdf1efd027eeap-22, 0x1.55612ecfa82ebp-24, -0x1.1ff5495445204p-22, -0x1.48f368fc019c6p-21, -0x1.001b34318bfc3p-20, -0x1.5ade121f335f3p-20, -0x1.b4beaf17732a1p-20, -0x1.06dcc605aab9ap-19, -0x1.32e5a5027a64p-19, -0x1.5e78551764a58p-19, -0x1.899346dbc3c6dp-19, -0x1.b434fadb0e1e9p-19, -0x1.de5c01913e9d2p-19, -0x1.04037da6f17c4p-18, -0x1.189a4c121ef77p-18, -0x1.2cf1cbe92a552p-18, -0x1.410964d591e21p-18, -0x1.54e08636aead9p-18, -0x1.6876a71c8b941p-18, -0x1.7bcb462b6467dp-18, -0x1.8edde99283d0fp-18, -0x1.a1ae1ef6d6dbp-18, -0x1.b43b7b5ff368fp-18, -0x1.c6859b220fd3ep-18, -0x1.d88c21c98c9e6p-18, -0x1.ea4eba063fe63p-18, -0x1.fbcd159317cc4p-18, -0x1.0683768ec7f2ep-17, -0x1.0efe001889261p-17, -0x1.17560a8dda334p-17, -0x1.1f8b7c6a9df96p-17, -0x1.279e3f7236f8bp-17, -0x1.2f8e40a4480bbp-17, -0x1.375b702c90303p-17, -0x1.3f05c1585aa3bp-17, -0x1.468d2a872246p-17, -0x1.4df1a51e46b2cp-17, -0x1.55332d77bd945p-17, -0x1.5c51c2d9396fbp-17, -0x1.634d67619f10ap-17, -0x1.6a261ffbe5596p-17, -0x1.70dbf45294e48p-17, -0x1.776eeebf2117cp-17, -0x1.7ddf1c3ca358bp-17, -0x1.842c8c599e602p-17, -0x1.8a575128b40fp-17, -0x1.905f7f32e9058p-17, -0x1.96452d68c51cdp-17, -0x1.9c0875143ac27p-17, -0x1.a1a971ca3c2dap-17, -0x1.a728415b998efp-17, -0x1.ac8503c7e04b9p-17, -0x1.b1bfdb2deccb1p-17, -0x1.b6d8ebbeb4154p-17, -0x1.bbd05bae47797p-17, -0x1.c0a6532633872p-17, -0x1.c55afc37d37fp-17, -0x1.c9ee82ccc7bf3p-17, -0x1.ce61149b7e222p-17, -0x1.d2b2e1186c6a2p-17, -0x1.d6e41967f79cp-17, -0x1.daf4f05167685p-17, -0x1.dee59a325f9afp-17, -0x1.e2b64cf000956p-17, -0x1.e6673feb03982p-17, -0x1.e9f8abf2ab49fp-17, -0x1.ed6acb3791a84p-17, -0x1.f0bdd93ef0775p-17, -0x1.f3f212d71e1a8p-17, -0x1.f707b609dcb29p-17, -0x1.f9ff0210d584fp-17, -0x1.fcd83748cbcdcp-17, -0x1.ff9397270e96fp-17, -0x1.0118b21648144p-16, -0x1.0258f0ed78c6dp-16, -0x1.038aaa543cb28p-16, -0x1.04ae00fabf423p-16, -0x1.05c318009727cp-16, -0x1.06ca12eedf501p-16, -0x1.07c315b3b1a45p-16, -0x1.08ae449c1b3dcp-16, -0x1.098bc44f38097p-16, -0x1.0a5bb9c939865p-16, -0x1.0b1e4a563eacap-16, -0x1.0bd39b8d4960fp-16, -0x1.0c7bd34b4a3d7p-16, -0x1.0d1717aee7b4ap-16, -0x1.0da58f1359938p-16, -0x1.0e27600bf960bp-16, -0x1.0e9cb15f80968p-16, -0x1.0f05aa043d4cfp-16, -0x1.0f62711b0077cp-16, -0x1.0fb32deb79799p-16, -0x1.0ff807dfcad61p-16, -0x1.10312680b57dbp-16, -0x1.105eb171523fap-16, -0x1.1080d06b2df3ep-16, -0x1.1097ab3ad273fp-16, -0x1.10a369bba63d2p-16, -0x1.10a433d49183dp-16, -0x1.109a31746eacp-16, -0x1.10858a8e60d1p-16, -0x1.106667168a23cp-16, -0x1.103ceefece887p-16, -0x1.10094a3390713p-16, -0x1.0fcba0987886dp-16, -0x1.0f841a0569ff7p-16, -0x1.0f32de43a3a19p-16, -0x1.0ed8150af6653p-16, -0x1.0e73e5fe967b6p-16, -0x1.0e0678aa988d1p-16, -0x1.0d8ff48107ef6p-16, -0x1.0d1080d77980cp-16, -0x1.0c8844e4aa0d5p-16, -0x1.0bf767bdda68ap-16, -0x1.0b5e10544406ep-16, -0x1.0abc657318a8cp-16, -0x1.0a128dbd0a696p-16, -0x1.0960afaa437cdp-16, -0x1.08a6f1863a9fcp-16, -0x1.07e5796d9c6cap-16, -0x1.071c6d4c8a705p-16, -0x1.064bf2dc6cb81p-16, -0x1.05742fa25fbc5p-16, -0x1.049548ed265bfp-16, -0x1.03af63d3a2962p-16, -0x1.02c2a532f208ap-16, -0x1.01cf31ad2c8f9p-16, -0x1.00d52da7b7872p-16, -0x1.ffa97a937b9adp-17, -0x1.fd9c08f575p-17, -0x1.fb824dc25547p-17, -0x1.f95c8fc2b739ep-17, -0x1.f72b1537d4d0dp-17, -0x1.f4ee23d9ad0e6p-17, -0x1.f2a600d471645p-17, -0x1.f052f0c68ebd2p-17, -0x1.edf537be910ddp-17, -0x1.eb8d1938a6584p-17, -0x1.e91ad81d4a8efp-17, -0x1.e69eb6bf2f78ep-17, -0x1.e418f6d9a1f78p-17, -0x1.e189d98f4a16cp-17, -0x1.def19f6825adbp-17, -0x1.dc5088502a2b6p-17, -0x1.d9a6d396273d8p-17, -0x1.d6f4bfea89c2ep-17, -0x1.d43a8b5dff096p-17, -0x1.d1787360618afp-17, -0x1.ceaeb4bfce059p-17, -0x1.cbdd8ba7d5657p-17, -0x1.c90533a0abcd6p-17, -0x1.c625e78e224cep-17, -0x1.c33fe1aefe426p-17, -0x1.c0535b9c53a01p-17, -0x1.bd608e48e664fp-17, -0x1.ba67b200f82c1p-17, -0x1.b768fe69a552ep-17, -0x1.b464aa8092d4p-17, -0x1.b15aec9b7afc6p-17, -0x1.ae4bfa6800be7p-17, -0x1.ab3808ebacd01p-17, -0x1.a81f4c83afb25p-17, -0x1.a501f8e4addp-17, -0x1.a1e0411afc04fp-17, -0x1.9eba578a96f82p-17, -0x1.9b906def2bc18p-17, -0x1.9862b55c4325ep-17, -0x1.95315e3db7c3fp-17, -0x1.91fc985754142p-17, -0x1.8ec492c56b2c3p-17, -0x1.8b897bfd59024p-17, -0x1.884b81cdd03f2p-17, -0x1.850ad15f64986p-17, -0x1.81c79734beb1ap-17, -0x1.7e81ff2b13ba9p-17, -0x1.7b3a347af947fp-17, -0x1.77f061b8b8eap-17, -0x1.74a4b0d4f5e82p-17, -0x1.71574b1da6925p-17, -0x1.6e08593e4de6bp-17, -0x1.6ab803411779bp-17, -0x1.6766708f5c0c3p-17, -0x1.6413c7f2a7d54p-17, -0x1.60c02f953673p-17, -0x1.5d6bcd02e3968p-17, -0x1.5a16c52a04a0fp-17, -0x1.56c13c5c5ac0ap-17, -0x1.536b565031bb5p-17, -0x1.501536211412cp-17, -0x1.4cbefe50acd8dp-17, -0x1.4968d0c8052c1p-17, -0x1.4612ced86047fp-17, -0x1.42bd193c42f61p-17, -0x1.3f67d018937f8p-17, -0x1.3c1312fd946f5p-17, -0x1.38bf00e8043a2p-17, -0x1.356bb842507efp-17, -0x1.321956e5c7437p-17, -0x1.2ec7fa1b8f1eep-17, -0x1.2b77be9d9ef5bp-17, -0x1.2828c098343dep-17, -0x1.24db1bab100d1p-17, -0x1.218eeaea3202ep-17, -0x1.1e4448df83717p-17, -0x1.1afb4f8c231e5p-17, -0x1.17b418692231cp-17, -0x1.146ebc69231edp-17, -0x1.112b53f9823aap-17, -0x1.0de9f7034b04cp-17, -0x1.0aaabced0a38ep-17, -0x1.076dbc9b99dffp-17, -0x1.04330c738dc7cp-17, -0x1.00fac25a9b393p-17, -0x1.fb89e7718085fp-18, }}, 
      {{-0x1.a4ca0fbb99765p-1, -0x1.a4cf84bfffdbp-1, -0x1.a4d1d4afef907p-1, -0x1.a4c85274e0d24p-1, -0x1.a4a90c0d73c7dp-1, -0x1.a469f9982ab1dp-1, -0x1.a401e3550149p-1, -0x1.a368fb5f0d944p-1, -0x1.a2993416e137fp-1, -0x1.a18e60bf99aecp-1, -0x1.a0462e40f95fbp-1, -0x1.9ec00081276ap-1, -0x1.9cfcbe9319c54p-1, -0x1.9afe95b04d78cp-1, -0x1.98c8b8e97d09bp-1, -0x1.965f21c5957ap-1, -0x1.93c654a9f548ep-1, -0x1.91032ad9d137bp-1, -0x1.8e1aa30f87423p-1, -0x1.8b11b91cde897p-1, -0x1.87ed449372642p-1, -0x1.84b1de2b71c6fp-1, -0x1.8163cb6d037ffp-1, -0x1.7e06f00206658p-1, -0x1.7a9ec405e6e49p-1, -0x1.772e4ea421df6p-1, -0x1.73b82458dd366p-1, -0x1.703e682f67d32p-1, -0x1.6cc2cf66952ecp-1, -0x1.6946a6f159821p-1, -0x1.65cada599ae81p-1, -0x1.624ffb9b09899p-1, -0x1.5ed64b9b51b66p-1, -0x1.5b5dc2f3ab5d3p-1, -0x1.57e61acd64084p-1, -0x1.546ed59f4bc6p-1, -0x1.50f747a4d5b2ep-1, -0x1.4d7e9ef14b7f9p-1, -0x1.4a03eb099f016p-1, -0x1.468623f6495bep-1, -0x1.430430c46c2fap-1, -0x1.3f7ced720d223p-1, -0x1.3bef30450a1d4p-1, -0x1.3859ce8f4b3ddp-1, -0x1.34bba0e4f363cp-1, -0x1.311386caf060dp-1, -0x1.2d6069e573fa5p-1, -0x1.29a140ae93b55p-1, -0x1.25d510bdbb559p-1, -0x1.21faf0a8c58fap-1, -0x1.1e1209877b4b4p-1, -0x1.1a19982210ebdp-1, -0x1.1610edd2dd2b9p-1, -0x1.11f771232dfe3p-1, -0x1.0dcc9e2aa343dp-1, -0x1.099006b809c72p-1, -0x1.0541524a2cdbbp-1, -0x1.00e03dde9cdcep-1, -0x1.f8d93737ddfadp-2, -0x1.efcca4b90ad11p-2, -0x1.e69aba3cf4c2ap-2, -0x1.dd4394b9c67afp-2, -0x1.d3c776ac76511p-2, -0x1.ca26c686c4dfp-2, -0x1.c0620d049d329p-2, -0x1.b679f36e68704p-2, -0x1.ac6f41cd4a9fcp-2, -0x1.a242dd15c485cp-2, -0x1.97f5c54ca46b3p-2, -0x1.8d8913a9cf607p-2, -0x1.82fdf8bbf329p-2, -0x1.7855ba8fd8943p-2, -0x1.6d91b2ddb0cbdp-2, -0x1.62b34d3e6c7bbp-2, -0x1.57bc056add6adp-2, -0x1.4cad65862047dp-2, -0x1.4189047491783p-2, -0x1.365084405a14dp-2, -0x1.2b05908c6c23p-2, -0x1.1fa9dd1699911p-2, -0x1.143f244948953p-2, -0x1.08c725dd27f3p-2, -0x1.fa874b16319fp-3, -0x1.e36cd39cefb7cp-3, -0x1.cc42756f8acbfp-3, -0x1.b50bc19f36507p-3, -0x1.9dcc4813a05b7p-3, -0x1.868795911a70dp-3, -0x1.6f4131de24a89p-3, -0x1.57fc9e07a0b4bp-3, -0x1.40bd52c302223p-3, -0x1.2986beeda1b05p-3, -0x1.125c46284f0b4p-3, -0x1.f6827f1c8139ep-4, -0x1.c871e90cb326cp-4, -0x1.9a8d3f5bb2f9fp-4, -0x1.6cdad7b6c12cbp-4, -0x1.3f60e672a7715p-4, -0x1.12257ced0c59cp-4, -0x1.ca5d1030c6656p-5, -0x1.71039e60a3405p-5, -0x1.1849e52934b26p-5, -0x1.8075ab21f9eb3p-6, -0x1.a3843ca5630d5p-7, -0x1.246de93963bafp-9, 0x1.0e270ef19313fp-7, 0x1.310e69071f698p-6, 0x1.d9504cf982255p-6, 0x1.3fe3a2faaa71bp-5, 0x1.92310a51fb014p-5, 0x1.e3881416e4b5bp-5, 0x1.19f0679873107p-4, 0x1.4199d0e3e168ap-4, 0x1.68bca486357b2p-4, 0x1.8f556c70313c6p-4, 0x1.b560ddaf13115p-4, 0x1.dadbd82273021p-4, 0x1.ffc36624efa15p-4, 0x1.120a5e1453bb4p-3, 0x1.23e69c24487f9p-3, 0x1.357530e7cec61p-3, 0x1.46b4f45b3ba22p-3, 0x1.57a4d28c64c73p-3, 0x1.6843cb516c74fp-3, 0x1.7890f1fc04461p-3, 0x1.888b6d0998582p-3, 0x1.983275d09b199p-3, 0x1.a785582b5603bp-3, 0x1.b6837220778c1p-3, 0x1.c52c3389a9f32p-3, 0x1.d37f1db871634p-3, 0x1.e17bc3198465ep-3, 0x1.ef21c6d6e6cdap-3, 0x1.fc70dc78e6c1cp-3, 0x1.04b463c31a8b5p-2, 0x1.0b04ad91a3c8bp-2, 0x1.11293cd89504ep-2, 0x1.17220a35f13c8p-2, 0x1.1cef158448a71p-2, 0x1.229065a9b5873p-2, 0x1.28060866d7384p-2, 0x1.2d501225d2f3ep-2, 0x1.326e9dc97593cp-2, 0x1.3761cc7c6ed5bp-2, 0x1.3c29c580c63c6p-2, 0x1.40c6b5ff82145p-2, 0x1.4538d0d89a1dbp-2, 0x1.49804e732fb36p-2, 0x1.4d9d6c8e21dd8p-2, 0x1.51906e10fcdeep-2, 0x1.55599add4e084p-2, 0x1.58f93fa061fb4p-2, 0x1.5c6fada5793b8p-2, 0x1.5fbd3aa8706abp-2, 0x1.62e240a8e79fep-2, 0x1.65df1dbdeccdfp-2, 0x1.68b433ea2afc8p-2, 0x1.6b61e8f0a8p-2, 0x1.6de8a62a0d2c2p-2, 0x1.7048d85a89844p-2, 0x1.7282ef88450e6p-2, 0x1.74975ed27128fp-2, 0x1.76869c48f4918p-2, 0x1.785120c4b7113p-2, 0x1.79f767c090c5p-2, 0x1.7b79ef32dc207p-2, 0x1.7cd93767ae9f7p-2, 0x1.7e15c2dbbbadp-2, 0x1.7f301617e14d1p-2, 0x1.8028b78d5cc86p-2, 0x1.81002f72b41a3p-2, 0x1.81b707a146ef8p-2, 0x1.824dcb7393161p-2, 0x1.82c507a42786ap-2, 0x1.831d4a2d491ccp-2, 0x1.835722294ba0ep-2, 0x1.83731fb398fc3p-2, 0x1.8371d3ca6e803p-2, 0x1.8353d0314d2eep-2, 0x1.8319a7541ad01p-2, 0x1.82c3ec2af91a9p-2, 0x1.8253321ece8c5p-2, 0x1.81c80cee82423p-2, 0x1.81231094eadp-2, 0x1.8064d12f6d755p-2, 0x1.7f8de2e55284fp-2, 0x1.7e9ed9cfc7157p-2, 0x1.7d9849e28f7e2p-2, 0x1.7c7ac6d56aa22p-2, 0x1.7b46e40e22122p-2, 0x1.79fd348b48c99p-2, 0x1.789e4acfa25cfp-2, 0x1.772ab8ce3a149p-2, 0x1.75a30fd71ef44p-2, 0x1.7407e084cb495p-2, 0x1.7259baaa2ef2fp-2, 0x1.70992d41636ep-2, 0x1.6ec6c65afe357p-2, 0x1.6ce3130e08809p-2, 0x1.6aee9f6894746p-2, 0x1.68e9f660f11a2p-2, 0x1.66d5a1c77b58p-2, 0x1.64b22a3906a65p-2, 0x1.62801711e103ap-2, 0x1.603fee61680cfp-2, 0x1.5df234de37224p-2, 0x1.5b976ddae40a6p-2, 0x1.59301b3b4a874p-2, 0x1.56bcbd6a66d8fp-2, 0x1.543dd350bb3bfp-2, 0x1.51b3da4b3aa99p-2, 0x1.4f1f4e22bbfp-2, 0x1.4c80a903f19bap-2, 0x1.49d86377dfa9dp-2, 0x1.4726f45cd3dacp-2, 0x1.446cd0dfd451bp-2, 0x1.41aa6c768ff3ap-2, 0x1.3ee038d9bd9a6p-2, 0x1.3c0ea5fff6dd9p-2, 0x1.39362218ff7d9p-2, 0x1.365719897e46p-2, 0x1.3371f6e724c5bp-2, 0x1.308722f53e60cp-2, 0x1.2d9704a1a80f6p-2, 0x1.2aa201022cd37p-2, 0x1.27a87b524674ep-2, 0x1.24aad4f13c5c4p-2, 0x1.21a96d609ec94p-2, 0x1.1ea4a24321087p-2, 0x1.1b9ccf5bc7a9ep-2, 0x1.18924e8d6c7adp-2, 0x1.158577da9ae5ep-2, 0x1.1276a165b5553p-2, 0x1.0f661f716e952p-2, 0x1.0c5444618d1a8p-2, 0x1.094160bbf587dp-2, 0x1.062dc329ff86cp-2, 0x1.0319b87a0b48p-2, 0x1.00058ba15cf12p-2, 0x1.f9e30b7c66d39p-3, 0x1.f3bbdc343ebf5p-3, 0x1.ed96145926ecdp-3, 0x1.e7723b3b6171dp-3, 0x1.e150d4928432cp-3, 0x1.db326083e8653p-3, 0x1.d5175ba974ab1p-3, 0x1.cf003f18c8d1ap-3, 0x1.c8ed806ac4296p-3, 0x1.c2df91c36677fp-3, 0x1.bcd6e1d9fe516p-3, 0x1.b6d3dc01acc48p-3, 0x1.b0d6e8322da2ap-3, 0x1.aae06b10eef1dp-3, 0x1.a4f0c5fa618cp-3, 0x1.9f08570b901c3p-3, 0x1.9927792bf570dp-3, 0x1.934e84177de7ap-3, 0x1.8d7dcc68cbb3ep-3, 0x1.87b5a3a3a399dp-3, 0x1.81f6583f8caffp-3, 0x1.7c4035b295104p-3, 0x1.7693847c44484p-3, 0x1.70f08a30ae53ep-3, 0x1.6b578983a4809p-3, 0x1.65c8c2540de5bp-3, 0x1.604471b751746p-3, 0x1.5acad204db4c1p-3, 0x1.555c1ae1bc725p-3, 0x1.4ff8814c55f9fp-3, 0x1.4aa037a81946ep-3, 0x1.45536dc953c0bp-3, 0x1.4012510107b74p-3, 0x1.3add0c28cc50fp-3, 0x1.35b3c7aeb2bf7p-3, 0x1.3096a9a135221p-3, 0x1.2b85d5bb21e31p-3, 0x1.26816d6f8714cp-3, 0x1.21898ff5a153fp-3, 0x1.1c9e5a54c01bap-3, 0x1.17bfe77028569p-3, 0x1.12ee5012eb818p-3, 0x1.0e29aafbbc2ap-3, 0x1.09720ce8ab8e1p-3, 0x1.04c788a2e65b8p-3, 0x1.002a2f0a5c51dp-3, 0x1.f7341e42b1e24p-4, 0x1.ee2e6c30135f2p-4, 0x1.e5435eafea76p-4, 0x1.dc73091eb433p-4, 0x1.d3bd7b78f764bp-4, 0x1.cb22c271a4a01p-4, 0x1.c2a2e78861286p-4, 0x1.ba3df11f765bep-4, 0x1.b1f3e291ba17ap-4, 0x1.a9c4bc4822a9cp-4, 0x1.a1b07bcf2ec89p-4, 0x1.99b71bec137c3p-4, 0x1.91d894b1a61fep-4, 0x1.8a14db951d663p-4, 0x1.826be3827d91dp-4, 0x1.7add9cf0d3f36p-4, 0x1.7369f5f62a468p-4, 0x1.6c10da5b3c22p-4, 0x1.64d233aee7725p-4, 0x1.5dade9595776ap-4, 0x1.56a3e0aeec2fep-4, 0x1.4fb3fd02dcd9fp-4, 0x1.48de1fb99081bp-4, 0x1.4222285ab0c3ap-4, 0x1.3b7ff4a2f43cep-4, 0x1.34f76095a18f7p-4, 0x1.2e88468dc60cbp-4, 0x1.28327f4f243f9p-4, 0x1.21f5e216db09dp-4, 0x1.1bd244abbce2ap-4, 0x1.15c77b6e624d1p-4, 0x1.0fd55968eb8dfp-4, 0x1.09fbb05e7e7a8p-4, 0x1.043a50da74959p-4, 0x1.fd22147e794bep-5, 0x1.f1ff55a9eeaep-5, 0x1.e70bffaf868cbp-5, 0x1.dc47ab0b899fep-5, 0x1.d1b1ee59b3857p-5, 0x1.c74a5e701a72ap-5, 0x1.bd108e7975c05p-5, 0x1.b304100ed3dbep-5, 0x1.a9247350c2c72p-5, 0x1.9f7146ffdd13fp-5, 0x1.95ea1894d1e16p-5, 0x1.8c8e7457d154ap-5, 0x1.835de5776fd9bp-5, 0x1.7a57f61f0194bp-5, 0x1.717c2f8c57247p-5, 0x1.68ca1a25026a7p-5, 0x1.60413d8b05706p-5, 0x1.57e120b0f923dp-5, 0x1.4fa949edb07a8p-5, 0x1.47993f0f53c79p-5, 0x1.3fb0856df331fp-5, 0x1.37eea1fd95eeep-5, 0x1.3053195fd180dp-5, 0x1.28dd6ff4d548ap-5, 0x1.218d29ebf3e7cp-5, 0x1.1a61cb53c044p-5, 0x1.135ad8299e837p-5, 0x1.0c77d468e1458p-5, 0x1.05b8441970a4ep-5, 0x1.fe3756bbe1997p-6, 0x1.f1431d030942ap-6, 0x1.e492e40a1402cp-6, 0x1.d825b557e9232p-6, 0x1.cbfa9b11595c9p-6, 0x1.c010a0110783ep-6, 0x1.b466cffe8b79fp-6, 0x1.a8fc3764a5da8p-6, 0x1.9dcfe3c6ad3abp-6, 0x1.92e0e3b52ea13p-6, 0x1.882e46e1cbc77p-6, 0x1.7db71e324151ap-6, 0x1.737a7bd2b4a9ep-6, 0x1.697773474f1e4p-6, 0x1.5fad197cfaa1cp-6, 0x1.561a84d9911bap-6, 0x1.4cbecd4b3b6d2p-6, 0x1.43990c5728fbcp-6, 0x1.3aa85d279f0e6p-6, 0x1.31ebdc994e635p-6, 0x1.2962a94815b4cp-6, 0x1.210be39b21b01p-6, 0x1.18e6add05fd12p-6, 0x1.10f22c075ee09p-6, 0x1.092d844b97721p-6, 0x1.0197de9e29c2ap-6, 0x1.f460c9fde569p-7, 0x1.e5ec86ea6ba9ep-7, 0x1.d7d1502f31bc9p-7, 0x1.ca0d862762e76p-7, 0x1.bc9f8d6a30d76p-7, 0x1.af85ced7af7a2p-7, 0x1.a2beb7a503bb9p-7, 0x1.9648b9677a333p-7, 0x1.8a224a1eb5991p-7, 0x1.7e49e43e0cf0ap-7, 0x1.72be06b4eaf75p-7, 0x1.677d34f670fcap-7, 0x1.5c85f700209edp-7, 0x1.51d6d95ffa33cp-7, 0x1.476e6d39892d5p-7, 0x1.3d4b484a66015p-7, 0x1.336c04ede2b6p-7, 0x1.29cf422004d62p-7, 0x1.2073a37fde1bcp-7, 0x1.1757d1512c2d3p-7, 0x1.0e7a787d4f0bbp-7, 0x1.05da4a93a8129p-7, 0x1.faebfb92e4d6dp-8, 0x1.ea9899f1ae133p-8, 0x1.dab7ef3f4dff7p-8, 0x1.cb4783baa8a2cp-8, 0x1.bc44e8e13c6a5p-8, 0x1.adadb968f956fp-8, 0x1.9f7f99399547ap-8, 0x1.91b83564bbdp-8, 0x1.8455441d35c15p-8, 0x1.775484ad7b3c6p-8, 0x1.6ab3bf6d1805cp-8, 0x1.5e70c5b5bf11dp-8, 0x1.528971d72cf2p-8, 0x1.46fba70a50c43p-8, 0x1.3bc5516428928p-8, 0x1.30e465c77aa79p-8, 0x1.2656e1d63908ep-8, 0x1.1c1acbe21b68ap-8, 0x1.122e32dccf411p-8, 0x1.088f2e476d9a5p-8, 0x1.fe77bc42e95cep-9, 0x1.ec64d5aeef9d8p-9, 0x1.dae20a61e4171p-9, 0x1.c9ebcc7bddd6bp-9, 0x1.b97e9e88be825p-9, 0x1.a997135945018p-9, 0x1.9a31cddc20269p-9, 0x1.8b4b80f5f3203p-9, 0x1.7ce0ef58d59fdp-9, 0x1.6eeeeb5af9039p-9, 0x1.617256cd2cd97p-9, 0x1.546822d0684eep-9, 0x1.47cd4faafa1e3p-9, 0x1.3b9eec9d98654p-9, 0x1.2fda17b78b5dep-9, 0x1.247bfdaaa71b6p-9, 0x1.1981d99f25c22p-9, 0x1.0ee8f506e0be2p-9, 0x1.04aea7707886p-9, 0x1.f5a0acb4545a7p-10, 0x1.e296ea08f9fbbp-10, 0x1.d03b0889be5eap-10, 0x1.be8824af6a9fap-10, 0x1.ad797565e1935p-10, 0x1.9d0a4bafcce2bp-10, 0x1.8d36124b4539ep-10, 0x1.7df84d55c0b21p-10, 0x1.6f4c99f02662p-10, 0x1.612eade309571p-10, 0x1.539a5742b6852p-10, 0x1.468b7c13cd329p-10, 0x1.39fe19efbc5edp-10, 0x1.2dee45a96790ep-10, 0x1.22582af1f8af9p-10, 0x1.17380bfee537ap-10, 0x1.0c8a412e6f03bp-10, 0x1.024b38ae96f62p-10, 0x1.f0eeec46741dap-11, 0x1.de1724990bbd3p-11, 0x1.cc08755da1154p-11, 0x1.babc6273d2ba8p-11, 0x1.aa2c97e35a12p-11, 0x1.9a52e92df5f2ep-11, 0x1.8b2950a15954ep-11, 0x1.7ca9eeac4ec78p-11, 0x1.6ecf093392f33p-11, 0x1.61930ae84026bp-11, 0x1.54f082a00cb05p-11, 0x1.48e222aefa0ffp-11, 0x1.3d62c041441c2p-11, 0x1.326d52b82eb0cp-11, 0x1.27fcf307f40c2p-11, 0x1.1e0cdb165f35ap-11, 0x1.1498651bf90acp-11, 0x1.0b9b0b067d299p-11, 0x1.031065dc515c4p-11, 0x1.f5e85a45f45c8p-12, 0x1.e6846c8b6303cp-12, 0x1.d7ece7fba6a5fp-12, 0x1.ca19eb7f278e3p-12, 0x1.bd03ce473d43ep-12, 0x1.b0a31eae8d236p-12, 0x1.a4f0a116b943fp-12, 0x1.99e54ecb12e38p-12, 0x1.8f7a54e8c97f8p-12, 0x1.85a91347eae48p-12, 0x1.7c6b1b6a18362p-12, 0x1.73ba2f6ac747ep-12, 0x1.6b9040f4b004bp-12, 0x1.63e7703af1733p-12, 0x1.5cba0af4dc111p-12, 0x1.56028b5c71bc4p-12, 0x1.4fbb9734395c5p-12, 0x1.49dffecc219a5p-12, 0x1.446abc0e0c032p-12, 0x1.3f56f189e7936p-12, 0x1.3a9fe989de699p-12, 0x1.3641152598627p-12, 0x1.32360b5d66f9ap-12, 0x1.2e7a88359f8d9p-12, 0x1.2b0a6bd7741cdp-12, 0x1.27e1b9b4573bbp-12, 0x1.24fc97adb6a0ep-12, 0x1.22574d403080ep-12, 0x1.1fee42b124d95p-12, 0x1.1dbe00419251p-12, 0x1.1bc32d62d32d8p-12, 0x1.19fa8ff078d5p-12, 0x1.18610b6ac9716p-12, 0x1.16f3a0385ad47p-12, 0x1.15af6ae8bfa17p-12, 0x1.1491a379cf72p-12, 0x1.13979ca2fe057p-12, 0x1.12bec321b23dap-12, 0x1.12049d09f50cdp-12, 0x1.1166c919d6d74p-12, 0x1.10e2fe10bad4dp-12, 0x1.10770a08c3d4fp-12, 0x1.1020d1d5336c6p-12, 0x1.0fde506149f07p-12, 0x1.0fad96150632cp-12, 0x1.0f8cc83b72014p-12, 0x1.0f7a206b2d4f4p-12, 0x1.0f73ebf4e2208p-12, 0x1.0f788b511dfb3p-12, 0x1.0f8671939a839p-12, 0x1.0f9c23e0cb818p-12, 0x1.0fb838e56cf54p-12, 0x1.0fd9585245fbfp-12, 0x1.0ffe3a59d77eap-12, 0x1.1025a730a4109p-12, 0x1.104e76914493ep-12, 0x1.10778f41d9e6p-12, 0x1.109fe69cf30dbp-12, 0x1.10c6801cb692fp-12, 0x1.10ea6ce95a843p-12, 0x1.110acb6903de2p-12, 0x1.1126c6d2d58e7p-12, 0x1.113d96c49c3e9p-12, 0x1.114e7eda4c3e9p-12, 0x1.1158ce48e260ap-12, 0x1.115bdf79ca972p-12, 0x1.115717abbb964p-12, 0x1.1149e6920b8c8p-12, 0x1.1133c5f93f532p-12, 0x1.1114396ca6091p-12, 0x1.10eacdddf27c3p-12, 0x1.10b7194f92af7p-12, 0x1.1078ba80ae43bp-12, 0x1.102f589b4f461p-12, 0x1.0fdaa2e4e5924p-12, 0x1.0f7a5070535fbp-12, 0x1.0f0e1fd2578a3p-12, 0x1.0e95d6d816165p-12, 0x1.0e11423e08be8p-12, 0x1.0d80356b6850cp-12, 0x1.0ce28a2cfebap-12, 0x1.0c3820734664fp-12, 0x1.0b80de115cd0fp-12, 0x1.0abcae7e8d70dp-12, 0x1.09eb8298ef41fp-12, 0x1.090d5069d15b4p-12, 0x1.082212ec06389p-12, 0x1.0729c9d39cb64p-12, 0x1.06247956fe305p-12, 0x1.051229fa128bp-12, 0x1.03f2e85a77673p-12, 0x1.02c6c4fd47b53p-12, 0x1.018dd41ee6f16p-12, 0x1.00482d82fc1dbp-12, 0x1.fdebd88ef8b69p-13, 0x1.fb2e5d6e6fbbap-13, 0x1.f8582c3f2c0b8p-13, 0x1.f5698d4c24daap-13, 0x1.f262ce4098c5dp-13, 0x1.ef4441d851b4ep-13, 0x1.ec0e3f94107dp-13, 0x1.e8c1236fa45b2p-13, 0x1.e55d4d9b000abp-13, 0x1.e1e322345ee1p-13, 0x1.de5309063fb15p-13, 0x1.daad6d45bf2bp-13, 0x1.d6f2bd54fa714p-13, 0x1.d3236a865594bp-13, 0x1.cf3fe8e21653ap-13, 0x1.cb48aeede8d85p-13, 0x1.c73e35773a724p-13, 0x1.c320f75d408aap-13, 0x1.bef1715fb690ap-13, 0x1.bab021ed6d0e7p-13, 0x1.b65d88f577c82p-13, 0x1.b1fa27b99299cp-13, 0x1.ad8680a2e9063p-13, 0x1.a9031717a2209p-13, 0x1.a4706f52c1a3bp-13, 0x1.9fcf0e3d3245fp-13, 0x1.9b1f79490dcfbp-13, 0x1.9662364ce27dap-13, 0x1.9197cb61d3c5dp-13, 0x1.8cc0bec295fc8p-13, 0x1.87dd96abc5a6ap-13, 0x1.82eed93de36f1p-13, 0x1.7df50c600ff6bp-13, 0x1.78f0b5a471ae3p-13, 0x1.73e25a2de1a68p-13, 0x1.6eca7e964d6c9p-13, 0x1.69a9a6d6c1221p-13, 0x1.64805630df47bp-13, 0x1.5f4f0f184a1dfp-13, 0x1.5a16531e2b41ap-13, 0x1.54d6a2dd82576p-13, 0x1.4f907de808561p-13, 0x1.4a4462b49452bp-13, 0x1.44f2ce8e57923p-13, 0x1.3f9c3d84ddf6ep-13, 0x1.3a412a5cfe04ap-13, 0x1.34e20e823a639p-13, 0x1.2f7f61fa556eap-13, 0x1.2a199b57d93ecp-13, 0x1.24b12faf1b9f2p-13, 0x1.1f46928aceb5bp-13, 0x1.19da35e1a631fp-13, 0x1.146c8a0d6f93dp-13, 0x1.0efdfdc1597b7p-13, 0x1.098efe026debbp-13, 0x1.041ff61ffd3d6p-13, 0x1.fd629f587c6c2p-14, 0x1.f286e4ed8fce4p-14, 0x1.e7ad890be8a62p-14, 0x1.dcd754251013fp-14, 0x1.d2050b04bb248p-14, 0x1.c7376ec9ec9cdp-14, 0x1.bc6f3cdecd1b9p-14, 0x1.b1ad2ef31f905p-14, 0x1.a6f1faf63d006p-14, 0x1.9c3e5313dff87p-14, 0x1.9192e5af64c2p-14, 0x1.86f05d61c2365p-14, 0x1.7c5760f80f152p-14, 0x1.71c89371357cap-14, 0x1.674493ff7a2f5p-14, 0x1.5ccbfe06b9db9p-14, 0x1.525f691f17753p-14, 0x1.47ff6915bbe14p-14, 0x1.3dac8defc01e8p-14, 0x1.336763ec95b92p-14, 0x1.2930738a5d8f6p-14, 0x1.1f084188e062ep-14, 0x1.14ef4eeeae797p-14, 0x1.0ae6190e3eb3cp-14, 0x1.00ed198b19595p-14, 0x1.ee098cc15dd49p-15, 0x1.da5b23cf4e421p-15, 0x1.c6cfd5baa3377p-15, 0x1.b36878d5a2b2p-15, 0x1.a025dc595691fp-15, 0x1.8d08c8755d28ap-15, 0x1.7a11fe5fc71bap-15, 0x1.67423867bc20dp-15, 0x1.549a2a06344b7p-15, 0x1.421a7feff53ffp-15, 0x1.2fc3e02933234p-15, 0x1.1d96ea1795bbap-15, 0x1.0b943697a4be4p-15, 0x1.f378b01f6e3f2p-16, 0x1.d01fb508983d6p-16, 0x1.ad1e875cf3146p-16, 0x1.8a76261dbb2ccp-16, 0x1.6827840a6ee77p-16, 0x1.463387c9a6e4ep-16, 0x1.249b0c1762c5fp-16, 0x1.035edfef6e7c6p-16, 0x1.c4ff8d798bd2p-17, 0x1.83fcf10a06afap-17, 0x1.43b7442e201c4p-17, 0x1.042fca70123b5p-17, 0x1.8acf634e13ee6p-18, 0x1.0ec0249ee3c58p-18, 0x1.2867bfb387328p-19, 0x1.b2c72c5c3d0c5p-22, -0x1.7151b5471f373p-20, -0x1.a49a65d1031cfp-19, -0x1.46bc77860d282p-18, -0x1.b9a0faf7a52f3p-18, -0x1.157cd152419c3p-17, -0x1.4d62bc6146294p-17, -0x1.8481d5d30bbf4p-17, -0x1.bad9c682975f9p-17, -0x1.f06a489c0e337p-17, -0x1.129993a2651b9p-16, -0x1.2c9a1f1cc77b9p-16, -0x1.4636bcbc568fp-16, -0x1.5f6f6a6f709adp-16, -0x1.78442dea40b6bp-16, -0x1.90b514767df7bp-16, -0x1.a8c232c8179dp-16, -0x1.c06ba4d038d14p-16, -0x1.d7b18d9134727p-16, -0x1.ee9416f0ec75bp-16, -0x1.0289b8c81c289p-15, -0x1.0d97ea4e07a9p-15, -0x1.1874bed31b718p-15, -0x1.2320583badb2ap-15, -0x1.2d9adb7412c0dp-15, -0x1.37e4705a74583p-15, -0x1.41fd41ab3f72dp-15, -0x1.4be57ceb6011dp-15, -0x1.559d5255ededep-15, -0x1.5f24f4c6281f5p-15, -0x1.687c99a5bf9dp-15, -0x1.71a478d752125p-15, -0x1.7a9ccca4fe3aap-15, -0x1.8365d1abcab42p-15, -0x1.8bffc6ca159b5p-15, -0x1.946aed0be8ccp-15, -0x1.9ca78799bbfe5p-15, -0x1.a4b5dba58d632p-15, -0x1.ac9630597bc2dp-15, -0x1.b448cec663da5p-15, -0x1.bbce01d22d035p-15, -0x1.c32616271d984p-15, -0x1.ca515a227ad64p-15, -0x1.d1501dc48c5aep-15, -0x1.d822b2a046ff6p-15, -0x1.dec96bcabec7ap-15, -0x1.e5449dcc72982p-15, -0x1.eb949e905e4ecp-15, -0x1.f1b9c5564813bp-15, -0x1.f7b46aa23300ep-15, -0x1.fd84e82ee7897p-15, -0x1.0195cc6f5c0a1p-14, -0x1.04546c56cd075p-14, -0x1.06fe825194836p-14, -0x1.09943d62788ccp-14, -0x1.0c15cd045d69bp-14, -0x1.0e836123dc1f9p-14, -0x1.10dd2a187ee75p-14, -0x1.1323589ec7092p-14, -0x1.15561dd1a9cecp-14, -0x1.1775ab249a559p-14, -0x1.1982325d539b3p-14, -0x1.1b7be58e5175ap-14, -0x1.1d62f710eac9bp-14, -0x1.1f37997f96735p-14, -0x1.20f9ffb074a26p-14, -0x1.22aa5cb04505fp-14, -0x1.2448e3bc91676p-14, -0x1.25d5c83effe38p-14, -0x1.27513dc7ef8dbp-14, -0x1.28bb7809de1d7p-14, -0x1.2a14aad46e225p-14, -0x1.2b5d0a0fac723p-14, -0x1.2c94c9b78d42ap-14, -0x1.2dbc1dd768e4fp-14, -0x1.2ed33a85935a9p-14, -0x1.2fda53df48375p-14, -0x1.30d19e0458021p-14, -0x1.31b94d1333cb7p-14, -0x1.32919524d0998p-14, -0x1.335aaa4909a4cp-14, -0x1.3414c082bfee9p-14, -0x1.34c00bc43f048p-14, -0x1.355cbfeb9722p-14, -0x1.35eb10bf5ac37p-14, -0x1.366b31eb16257p-14, -0x1.36dd56fc419f8p-14, -0x1.3741b35ee6e52p-14, -0x1.37987a5a94757p-14, -0x1.37e1df0f78225p-14, -0x1.381e147361454p-14, -0x1.384d4d4f277a4p-14, -0x1.386fbc3ba9c4ap-14, -0x1.3885939f4d114p-14, -0x1.388f05ab743bfp-14, -0x1.388c4459febfap-14, -0x1.387d816afbd21p-14, -0x1.3862ee621fb62p-14, -0x1.383cbc84dbb8dp-14, -0x1.380b1cd7f6763p-14, -0x1.37ce401d89897p-14, -0x1.378656d311414p-14, -0x1.3733912f5db39p-14, -0x1.36d61f20dd5a5p-14, -0x1.366e304bb3fbbp-14, -0x1.35fbf4082c021p-14, -0x1.357f9960d327dp-14, -0x1.34f94f11159a6p-14, -0x1.34694383a4b07p-14, -0x1.33cfa4d0f9024p-14, -0x1.332ca0be11376p-14, -0x1.328064baf47b1p-14, -0x1.31cb1de19d9aap-14, -0x1.310cf8f4a1dd9p-14, -0x1.3046225df5f35p-14, -0x1.2f76c62dfba7cp-14, -0x1.2e9f101a89786p-14, -0x1.2dbf2b7dca593p-14, -0x1.2cd7435544ed3p-14, -0x1.2be7824118f88p-14, -0x1.2af01283281a6p-14, -0x1.29f11dfe49289p-14, -0x1.28eace3587f8ap-14, -0x1.27dd4c4b85685p-14, -0x1.26c8c101bd469p-14, -0x1.25ad54b804cdbp-14, -0x1.248b2f6c0b46bp-14, -0x1.236278b8bd218p-14, -0x1.223357d5e0e0bp-14, -0x1.20fdf397aa1cap-14, -0x1.1fc2726e535f8p-14, -0x1.1e80fa65d24dfp-14, -0x1.1d39b12591376p-14, -0x1.1becbbf01cf0bp-14, -0x1.1a9a3fa2fa50bp-14, -0x1.194260b65d3acp-14, -0x1.17e5433d1f40dp-14, -0x1.16830ae4af3ebp-14, -0x1.151bdaf4d810ep-14, -0x1.13afd64fc28fep-14, -0x1.123f1f71e6f8cp-14, -0x1.10c9d8721e0a1p-14, -0x1.0f502301afc9ep-14, -0x1.0dd2206c635f7p-14, -0x1.0c4ff19887b96p-14, -0x1.0ac9b7071a486p-14, -0x1.093f90d3f9fa8p-14, -0x1.07b19eb60f0afp-14, -0x1.061fffff75578p-14, -0x1.048ad39dc837dp-14, -0x1.02f2381a63573p-14, -0x1.01564b9a899e4p-14, -0x1.ff6e57bfa00cp-15, -0x1.fc29ec90e6aecp-15, -0x1.f8df8f9f10894p-15, -0x1.f58f7a1b0733p-15, -0x1.f239e470f1d82p-15, -0x1.eedf064937308p-15, -0x1.eb7f168940c6bp-15, -0x1.e81a4b54381e3p-15, -0x1.e4b0da0c137a4p-15, -0x1.e142f7525d1afp-15, -0x1.ddd0d709548ccp-15, -0x1.da5aac54c5c03p-15, -0x1.d6e0a99b36f5bp-15, -0x1.d3630086f1313p-15, -0x1.cfe1e206cbc9fp-15, -0x1.cc5d7e4f9a1cp-15, -0x1.c8d604dd3b307p-15, -0x1.c54ba473827c2p-15, -0x1.c1be8b1fb2e5dp-15, -0x1.be2ee639a691dp-15, -0x1.ba9ce264cf689p-15, -0x1.b708ab9187f54p-15, -0x1.b3726cfe7f49ap-15, -0x1.afda5139d3755p-15, -0x1.ac4082225b8cp-15, -0x1.a8a528e905201p-15, -0x1.a5086e1231bd5p-15, -0x1.a16a7976d556cp-15, -0x1.9dcb7245efdb8p-15, -0x1.9a2b7f060da45p-15, -0x1.968ac5967bdb9p-15, -0x1.92e96b30b1231p-15, -0x1.8f479469bbfep-15, -0x1.8ba565339a2b8p-15, -0x1.880300de9f7f7p-15, -0x1.84608a1b120dep-15, -0x1.80be22fa66dc7p-15, -0x1.7d1becf09c1fp-15, -0x1.797a08d5e8d7ap-15, -0x1.75d896e82d699p-15, -0x1.7237b6cc0a765p-15, -0x1.6e97878ed0431p-15, -0x1.6af827a7bf606p-15, -0x1.6759b4f95b562p-15, -0x1.63bc4cd324b64p-15, -0x1.60200bf2f864ap-15, -0x1.5c850e866a8c2p-15, -0x1.58eb702c671cap-15, -0x1.55534bf6b0c7fp-15, -0x1.51bcbc6b39145p-15, -0x1.4e27db85a8b7ap-15, -0x1.4a94c2b8ee117p-15, -0x1.47038af09767ep-15, -0x1.43744c926f6efp-15, -0x1.3fe71f7fe0e37p-15, -0x1.3c5c1b1753a98p-15, -0x1.38d35635db579p-15, -0x1.354ce738a48bap-15, -0x1.31c8e3fe3a426p-15, -0x1.2e4761e82d2d6p-15, -0x1.2ac875dcbe486p-15, -0x1.274c3447b3c6fp-15, -0x1.23d2b11c481dep-15, -0x1.205bffd69a962p-15, -0x1.1ce8337cd2c63p-15, -0x1.19775ea0e79cdp-15, -0x1.16099361e4p-15, -0x1.129ee36d2ea97p-15, -0x1.0f3760004f088p-15, -0x1.0bd319e9fb1d2p-15, -0x1.0872218bac126p-15, -0x1.051486db16be7p-15, -0x1.01ba59635932dp-15, }}, 
      {{-0x1.a4c862c8ac2a4p-1, -0x1.a4ca914f617c1p-1, -0x1.a4cccd23bd1d4p-1, -0x1.a4cd37b421371p-1, -0x1.a4c98f0437c23p-1, -0x1.a4bf6486819bfp-1, -0x1.a4ac4b2cd61f7p-1, -0x1.a48dfadbaf5a6p-1, -0x1.a46269758d2a1p-1, -0x1.a427dab4b664ap-1, -0x1.a3dce86ce0e87p-1, -0x1.a38084d8eb5f8p-1, -0x1.a311f87623dcfp-1, -0x1.a290dcb88480dp-1, -0x1.a1fd14a89d9bbp-1, -0x1.a156c444220bfp-1, -0x1.a09e4748c95d3p-1, -0x1.9fd427e7808f8p-1, -0x1.9ef915bb861aap-1, -0x1.9e0ddd456f775p-1, -0x1.9d13601428cb1p-1, -0x1.9c0a8db4f78cfp-1, -0x1.9af45d7670ff3p-1, -0x1.99d1c9007e601p-1, -0x1.98a3c7bc5bdacp-1, -0x1.976b4b0258b91p-1, -0x1.96293affb61bbp-1, -0x1.94de7444ddeefp-1, -0x1.938bc5eb0c31bp-1, -0x1.9231f04039353p-1, -0x1.90d1a3e84bcap-1, -0x1.8f6b81634876p-1, -0x1.8e0018e930248p-1, -0x1.8c8fea8d60635p-1, -0x1.8b1b669c90e09p-1, -0x1.89a2ee29d7aebp-1, -0x1.8826d3c0657a6p-1, -0x1.86a75c30f98fp-1, -0x1.8524bf7335848p-1, -0x1.839f29941ce86p-1, -0x1.8216bbac11925p-1, -0x1.808b8cd78dadap-1, -0x1.7efdab2eae138p-1, -0x1.7d6d1cb85ee2p-1, -0x1.7bd9e056a51ddp-1, -0x1.7a43eeaa07a34p-1, -0x1.78ab3aea9e7d3p-1, -0x1.770fb3b5b54f9p-1, -0x1.757143cf465cdp-1, -0x1.73cfd2d6ddfe5p-1, -0x1.722b45efb89b7p-1, -0x1.7083805c18b28p-1, -0x1.6ed8640bfe4d1p-1, -0x1.6d29d21f8d7d8p-1, -0x1.6b77ab5d8043cp-1, -0x1.69c1d09e1e8c1p-1, -0x1.6808232b3c0cdp-1, -0x1.664a8515c92f4p-1, -0x1.6488d9818a928p-1, -0x1.62c304e78aedbp-1, -0x1.60f8ed4fdd137p-1, -0x1.5f2a7a8346097p-1, -0x1.5d5796355d435p-1, -0x1.5b802c27b5049p-1, -0x1.59a42a4691b65p-1, -0x1.57c380bfb7de9p-1, -0x1.55de2213cc4fdp-1, -0x1.53f40322c09b1p-1, -0x1.52051b33c01a2p-1, -0x1.501163f90604fp-1, -0x1.4e18d99005774p-1, -0x1.4c1b7a7e422dap-1, -0x1.4a1947ab3341fp-1, -0x1.481244578538bp-1, -0x1.46067612073eep-1, -0x1.43f5e4aa8ecafp-1, -0x1.41e09a2311a0ap-1, -0x1.3fc6a29f3980ep-1, -0x1.3da80c52a5dc8p-1, -0x1.3b84e76e139c7p-1, -0x1.395d460b9bd19p-1, -0x1.37313c1a33f4ep-1, -0x1.3500df4899f0fp-1, -0x1.32cc46efd27p-1, -0x1.30938bfd578f8p-1, -0x1.2e56c8dd1a0e5p-1, -0x1.2c1619636fca2p-1, -0x1.29d19ab7066a3p-1, -0x1.27896b3af4633p-1, -0x1.253daa78f7475p-1, -0x1.22ee790bf67a4p-1, -0x1.209bf88ad49f7p-1, -0x1.1e464b73a1587p-1, -0x1.1bed9517361bbp-1, -0x1.1991f985459dp-1, -0x1.17339d78eb311p-1, -0x1.14d2a645bf3c6p-1, -0x1.126f39c573f82p-1, -0x1.10097e4605fe4p-1, -0x1.0da19a787dbeep-1, -0x1.0b37b56048ea6p-1, -0x1.08cbf6432ce8cp-1, -0x1.065e8499d295dp-1, -0x1.03ef8800ed77p-1, -0x1.017f282afc6e4p-1, -0x1.fe1b19a54c3cap-2, -0x1.f935bb5b57e12p-2, -0x1.f44e84c0ea1ecp-2, -0x1.ef65c4e460e4fp-2, -0x1.ea7bca830c97ep-2, -0x1.e590e3f3ba774p-2, -0x1.e0a55f1254f9p-2, -0x1.dbb9892c9bdc8p-2, -0x1.d6cdaeefe8845p-2, -0x1.d1e21c57fc661p-2, -0x1.ccf71c9ecccd8p-2, -0x1.c80cfa2d4b125p-2, -0x1.c323fe8d1c0eep-2, -0x1.be3c725b3c34cp-2, -0x1.b9569d3b86206p-2, -0x1.b472c5cd13c2cp-2, -0x1.af91319f762a7p-2, -0x1.aab22528b64a7p-2, -0x1.a5d5e3bc20108p-2, -0x1.a0fcaf81c6a3ap-2, -0x1.9c26c96ec15aap-2, -0x1.9754713e1bb28p-2, -0x1.9285e56a678efp-2, -0x1.8dbb6327f85cep-2, -0x1.88f5265fb2dcfp-2, -0x1.843369aa79f01p-2, -0x1.7f76664d21888p-2, -0x1.7abe5434ef38ap-2, -0x1.760b69f49c0eep-2, -0x1.715ddcc1d2e95p-2, -0x1.6cb5e07325173p-2, -0x1.6813a77e7154cp-2, -0x1.637762f7b534ap-2, -0x1.5ee14290496ap-2, -0x1.5a5174967a6d6p-2, -0x1.55c825f58487cp-2, -0x1.51458235e3ddap-2, -0x1.4cc9b37dfa3d8p-2, -0x1.4854e293056a9p-2, -0x1.43e736da610c3p-2, -0x1.3f80d65b0e8bcp-2, -0x1.3b21e5bf8432p-2, -0x1.36ca8857b8147p-2, -0x1.327ae01b6cfb3p-2, -0x1.2e330dacb24bep-2, -0x1.29f3305a9fc3dp-2, -0x1.25bb66243fd17p-2, -0x1.218bcbbbac816p-2, -0x1.1d647c8955526p-2, -0x1.194592af73a7bp-2, -0x1.152f270da3bcbp-2, -0x1.11215144a219p-2, -0x1.0d1c27ba2ca5p-2, -0x1.091fbf9d01a6p-2, -0x1.052c2ce8ff463p-2, -0x1.0141826b59fb5p-2, -0x1.fabfa38dde262p-3, -0x1.f30e56f15ee04p-3, -0x1.eb6f3db837bccp-3, -0x1.e3e2745fad07bp-3, -0x1.dc6815348f56dp-3, -0x1.d500385c9bfddp-3, -0x1.cdaaf3e00355p-3, -0x1.c6685bb300981p-3, -0x1.bf3881bf89846p-3, -0x1.b81b75ef17798p-3, -0x1.b111463474ffbp-3, -0x1.aa19fe95a30e6p-3, -0x1.a335a935c71e1p-3, -0x1.9c644e5f1cbf9p-3, -0x1.95a5f48cf2a1bp-3, -0x1.8efaa075ab1ccp-3, -0x1.88625514bafa9p-3, -0x1.81dd13b4ad86ap-3, -0x1.7b6adbf91fd19p-3, -0x1.750babe8bf79ep-3, -0x1.6ebf7ff738be1p-3, -0x1.6886530f2b983p-3, -0x1.62601e9c06761p-3, -0x1.5c4cda93e719ap-3, -0x1.564c7d815f53ep-3, -0x1.505efc8d38de2p-3, -0x1.4a844b882254ep-3, -0x1.44bc5cf44c5d7p-3, -0x1.3f07220ef999fp-3, -0x1.39648ad9f5fbfp-3, -0x1.33d48624fc7fep-3, -0x1.2e5701970c31bp-3, -0x1.28ebe9b79bc52p-3, -0x1.239329f7c623fp-3, -0x1.1e4cacbb4da54p-3, -0x1.19185b6194b65p-3, -0x1.13f61e4e76d91p-3, -0x1.0ee5dcf3065dep-3, -0x1.09e77dd6325dcp-3, -0x1.04fae69d4ecc1p-3, -0x1.001ffc148143fp-3, -0x1.f6ad446e2521fp-4, -0x1.ed3d786f3d964p-4, -0x1.e3f059105d27ep-4, -0x1.dac5a9c44fbafp-4, -0x1.d1bd2c9c5bf5bp-4, -0x1.c8d6a257a6246p-4, -0x1.c011ca7271b06p-4, -0x1.b76e633511aacp-4, -0x1.aeec29c29bc46p-4, -0x1.a68ada2764bc7p-4, -0x1.9e4a2f673129fp-4, -0x1.9629e38b2939ap-4, -0x1.8e29afaf914f8p-4, -0x1.86494c11386b8p-4, -0x1.7e88701aabccp-4, -0x1.76e6d271248c1p-4, -0x1.6f64290137aeep-4, -0x1.6800290b40db6p-4, -0x1.60ba872f8f2aep-4, -0x1.5992f77a4d5bcp-4, -0x1.52892d6f29cep-4, -0x1.4b9cdc14bfb23p-4, -0x1.44cdb5ffba8d9p-4, -0x1.3e1b6d5dbe48bp-4, -0x1.3785b4000884ep-4, -0x1.310c3b65db3c3p-4, -0x1.2aaeb4c69bbb9p-4, -0x1.246cd11bbca8cp-4, -0x1.1e46412a62b8fp-4, -0x1.183ab58cced1ap-4, -0x1.1249debb86042p-4, -0x1.0c736d16416b2p-4, -0x1.06b710ec99c57p-4, -0x1.01147a867f85dp-4, -0x1.f716b458dd40ep-5, -0x1.ec36c05ed6913p-5, -0x1.e18879e18b022p-5, -0x1.d70b41d33bbe5p-5, -0x1.ccbe7964694adp-5, -0x1.c2a18211fced5p-5, -0x1.b8b3bdb304ff4p-5, -0x1.aef48e85fee82p-5, -0x1.a563573db5138p-5, -0x1.9bff7b0db2a52p-5, -0x1.92c85db64bdd7p-5, -0x1.89bd63903ad38p-5, -0x1.80ddf197d9ab7p-5, -0x1.78296d77f398ep-5, -0x1.6f9f3d943579dp-5, -0x1.673ec91332133p-5, -0x1.5f0777e8139eep-5, -0x1.56f8b2dbe2637p-5, -0x1.4f11e39670df6p-5, -0x1.475274a6eb11cp-5, -0x1.3fb9d18c10f7p-5, -0x1.384766bc0c657p-5, -0x1.30faa1abf927fp-5, -0x1.29d2f0d712518p-5, -0x1.22cfc3c58e4afp-5, -0x1.1bf08b13277cep-5, -0x1.1534b8754ec69p-5, -0x1.0e9bbec1184a1p-5, -0x1.082511f0d2b93p-5, -0x1.01d0272955cd9p-5, -0x1.f738e97e07654p-6, -0x1.eb12e4750c5c1p-6, -0x1.df2d30ba7e281p-6, -0x1.d386c24aede16p-6, -0x1.c81e8fa489f0ep-6, -0x1.bcf391ce6bc2ap-6, -0x1.b204c45f64b25p-6, -0x1.a751258446ac1p-6, -0x1.9cd7b605b749fp-6, -0x1.9297794d80c23p-6, -0x1.888f756b7c18ap-6, -0x1.7ebeb319f921cp-6, -0x1.75243dc1c1e49p-6, -0x1.6bbf237da710bp-6, -0x1.628e751dac0c9p-6, -0x1.59914629c3d4ap-6, -0x1.50c6ace436993p-6, -0x1.482dc24b8e52fp-6, -0x1.3fc5a21c434ecp-6, -0x1.378d6ad1eb77cp-6, -0x1.2f843da830a1dp-6, -0x1.27a93e9b590d2p-6, -0x1.1ffb946886bbap-6, -0x1.187a688da037ep-6, -0x1.1124e748f195dp-6, -0x1.09fa3f987b1e8p-6, -0x1.02f9a338f4b05p-6, -0x1.f8448d4923947p-7, -0x1.eae6c222f8d0ep-7, -0x1.ddd858e01033bp-7, -0x1.d117cad15994bp-7, -0x1.c4a396b388a8dp-7, -0x1.b87a40aa04d0ep-7, -0x1.ac9a52397934ep-7, -0x1.a1025a41f177bp-7, -0x1.95b0ecf8873b9p-7, -0x1.8aa4a3e0b2c45p-7, -0x1.7fdc1dc52c6a2p-7, -0x1.7555feb07c6c1p-7, -0x1.6b10efe52c773p-7, -0x1.610b9fd59f1b2p-7, -0x1.5744c21b9e0fcp-7, -0x1.4dbb0f6f8e688p-7, -0x1.446d459f60857p-7, -0x1.3b5a27853f23cp-7, -0x1.32807cfde7976p-7, -0x1.29df12ded4d86p-7, -0x1.2174baec22152p-7, -0x1.19404bce3a2dcp-7, -0x1.1140a10745bebp-7, -0x1.09749ae87132cp-7, -0x1.01db1e86ffbedp-7, -0x1.f4e62b62505cap-8, -0x1.e676ddc5a1cabp-8, -0x1.d8663a743c4a4p-8, -0x1.cab230d7aefffp-8, -0x1.bd58b96f8386fp-8, -0x1.b057d5b954fbdp-8, -0x1.a3ad901916e29p-8, -0x1.9757fbc0d3cf7p-8, -0x1.8b5534986627ap-8, -0x1.7fa35f24f9b64p-8, -0x1.7440a870553d8p-8, -0x1.692b45f022a06p-8, -0x1.5e61756cec2c1p-8, -0x1.53e17ce91ef36p-8, -0x1.49a9aa87f92d3p-8, -0x1.3fb8547431ed4p-8, -0x1.360bd8c6dbf85p-8, -0x1.2ca29d6e0823ap-8, -0x1.237b10135e6a3p-8, -0x1.1a93a602d5b0dp-8, -0x1.11eadc114812p-8, -0x1.097f36831a4ebp-8, -0x1.014f40f2d76cp-8, -0x1.f2b31c6fd5ff5p-9, -0x1.e339709aa6a43p-9, -0x1.d42ec070b004cp-9, -0x1.c5905bded9b4cp-9, -0x1.b75ba08235193p-9, -0x1.a98df975c4319p-9, -0x1.9c24df20c53c4p-9, -0x1.8f1dd704f1f84p-9, -0x1.8276738d0d275p-9, -0x1.762c53dbb39d6p-9, -0x1.6a3d239a53083p-9, -0x1.5ea69ac87016fp-9, -0x1.53667d8b2f9f7p-9, -0x1.487a9bfd46c8dp-9, -0x1.3de0d1ff129dep-9, -0x1.3397070701408p-9, -0x1.299b2df25ec0fp-9, -0x1.1feb44d68e9bep-9, -0x1.168554d26afp-9, -0x1.0d6771e018cb7p-9, -0x1.048fbaa758e2bp-9, -0x1.f7f8b09fe8da9p-10, -0x1.e756fca994e74p-10, -0x1.d736d4ae6d3d4p-10, -0x1.c794c7e57babdp-10, -0x1.b86d7922a5ba2p-10, -0x1.a9bd9e7fa1f7ep-10, -0x1.9b8201062acf1p-10, -0x1.8db77c5ae0f94p-10, -0x1.805afe68f65e7p-10, -0x1.7369870ee2a97p-10, -0x1.66e027cbc420bp-10, -0x1.5abc036e1fc5cp-10, -0x1.4efa4dc2b2591p-10, -0x1.43984b452e824p-10, -0x1.389350d0f5576p-10, -0x1.2de8c3536797dp-10, -0x1.2396177edea98p-10, -0x1.1998d17e8122fp-10, -0x1.0fee84ab2c4dfp-10, -0x1.0694d3413a57dp-10, -0x1.fb12dc2e80677p-11, -0x1.e99428ab9aa49p-11, -0x1.d8a9265fd6a03p-11, -0x1.c84d8b398c2ecp-11, -0x1.b87d2824282c2p-11, -0x1.a933e87f68255p-11, -0x1.9a6dd197bcc61p-11, -0x1.8c270221673afp-11, -0x1.7e5bb1b487855p-11, -0x1.7108304bfa08bp-11, -0x1.6428e5c54e1e4p-11, -0x1.57ba516347e11p-11, -0x1.4bb90951802e4p-11, -0x1.4021ba2a8461cp-11, -0x1.34f1267f8a0c4p-11, -0x1.2a242661e28afp-11, -0x1.1fb7a6ee7dfe4p-11, -0x1.15a8a9dad0037p-11, -0x1.0bf445044d28p-11, -0x1.0297a200ab263p-11, -0x1.f31ffb616cf6fp-12, -0x1.e1b54fa9afc81p-12, -0x1.d0ea0545a6942p-12, -0x1.c0b904bb822c6p-12, -0x1.b11d59df56058p-12, -0x1.a2123309d12eap-12, -0x1.9392e0520f043p-12, -0x1.859ad2cabc6adp-12, -0x1.78259bc35914ap-12, -0x1.6b2eec0bc1578p-12, -0x1.5eb2933bec604p-12, -0x1.52ac7efe359d6p-12, -0x1.4718ba5d4d907p-12, -0x1.3bf36d155290ep-12, -0x1.3138dae7bb094p-12, -0x1.26e562f2eb9b1p-12, -0x1.1cf57f0c6fe67p-12, -0x1.1365c31e4197cp-12, -0x1.0a32dc87b100dp-12, -0x1.0159918077a34p-12, -0x1.f1ad80feb9eb2p-13, -0x1.e14ebf46a6076p-13, -0x1.d190f83ff41c1p-13, -0x1.c26e73588dcb4p-13, -0x1.b3e1a3e9edeb2p-13, -0x1.a5e528212c0a7p-13, -0x1.9873c7eee42a3p-13, -0x1.8b8873fa912bdp-13, -0x1.7f1e449cd0432p-13, -0x1.733078dda2b98p-13, -0x1.67ba7578aa033p-13, -0x1.5cb7c3e67faep-13, -0x1.5224116a89ba3p-13, -0x1.47fb2e2652612p-13, -0x1.3e390c3173b27p-13, -0x1.34d9beb71ef04p-13, -0x1.2bd97916a6ef9p-13, -0x1.23348e0b2d21ap-13, -0x1.1ae76ed5788f1p-13, -0x1.12eeaa6c3fd74p-13, -0x1.0b46ecb00651ep-13, -0x1.03ecfda372014p-13, -0x1.f9bb81503bde4p-14, -0x1.ec2c677f1dc4cp-14, -0x1.df26dda131944p-14, -0x1.d2a545e1e9d53p-14, -0x1.c6a233649ae49p-14, -0x1.bb1868e7a42d6p-14, -0x1.b002d77015ea3p-14, -0x1.a55c9cfaa196cp-14, -0x1.9b21033784717p-14, -0x1.914b7e4adf18bp-14, -0x1.87d7ab95e8ce8p-14, -0x1.7ec15087a5986p-14, -0x1.760459736aea9p-14, -0x1.6d9cd86f7d6cbp-14, -0x1.6587043a6f681p-14, -0x1.5dbf3725ae25bp-14, -0x1.5641ee0966e53p-14, -0x1.4f0bc73c5e3fep-14, -0x1.481981932e1f9p-14, -0x1.4167fb65e4b6ap-14, -0x1.3af4319bd264bp-14, -0x1.34bb3ebc203ap-14, -0x1.2eba5a05cae43p-14, -0x1.28eed68d3d7f5p-14, -0x1.2356225dfdd02p-14, -0x1.1dedc5a44828dp-14, -0x1.18b361d9b1ebap-14, -0x1.13a4b0f9226aap-14, -0x1.0ebf84b6e5d61p-14, -0x1.0a01c5bdff527p-14, -0x1.056972f272b14p-14, -0x1.00f4a0b9c789ap-14, -0x1.f942f08b77af3p-15, -0x1.f0dc6dcc9202fp-15, -0x1.e8b25abd9335ap-15, -0x1.e0c17e7f4e333p-15, -0x1.d906c48b80f3ap-15, -0x1.d17f3b7892022p-15, -0x1.ca2813c95900ap-15, -0x1.c2fe9ec226ae4p-15, -0x1.bc004d47acb63p-15, -0x1.b52aaec643677p-15, -0x1.ae7b701f1f7b1p-15, -0x1.a7f05a9dd1f3p-15, -0x1.a18752f73af1bp-15, -0x1.9b3e584cc8e4p-15, -0x1.951383382e144p-15, -0x1.8f0504ddb111fp-15, -0x1.891126071b25p-15, -0x1.83364640d9859p-15, -0x1.7d72db03035f5p-15, -0x1.77c56edd225b2p-15, -0x1.722ca0a923951p-15, -0x1.6ca722c40adf2p-15, -0x1.6733ba4d7dbc6p-15, -0x1.61d13e6bfbf47p-15, -0x1.5c7e9796c41dbp-15, -0x1.573abee64603p-15, -0x1.5204bd6908456p-15, -0x1.4cdbab7e0276bp-15, -0x1.47beb03348922p-15, -0x1.42ad00ab53cebp-15, -0x1.3da5df866d402p-15, -0x1.38a89c4f0edfcp-15, -0x1.33b492edfcc32p-15, -0x1.2ec92b2101dd5p-15, -0x1.29e5d7f63c14fp-15, -0x1.250a174ba3611p-15, -0x1.203571535531cp-15, -0x1.1b67781abc4f9p-15, -0x1.169fc717be673p-15, -0x1.11de02b6ef271p-15, -0x1.0d21d7f0167ebp-15, -0x1.086afbdda445p-15, -0x1.03b92b55d82cbp-15, -0x1.fe1855153458ap-16, -0x1.f4c789540065p-16, -0x1.eb7f970603179p-16, -0x1.e2402e5ccef1cp-16, -0x1.d9090b70fd0b6p-16, -0x1.cfd9f5a10c6c8p-16, -0x1.c6b2bef1fd471p-16, -0x1.bd934377c46fdp-16, -0x1.b47b68c13c59dp-16, -0x1.ab6b1d4d6e633p-16, -0x1.a262580096f3cp-16, -0x1.996117a29bdd4p-16, -0x1.90676261e8454p-16, -0x1.87754558bb75ep-16, -0x1.7e8ad419aba2dp-16, -0x1.75a8283f1f727p-16, -0x1.6ccd60ff2a2efp-16, -0x1.63faa2c5f2967p-16, -0x1.5b3016cffe48bp-16, -0x1.526deacd7f0cep-16, -0x1.49b450859b0c6p-16, -0x1.41037d7f3173dp-16, -0x1.385baaadb0508p-16, -0x1.2fbd141f59ebbp-16, -0x1.2727f8b2c4964p-16, -0x1.1e9c99ca7d6f1p-16, -0x1.161b3b08e9021p-16, -0x1.0da4220c467dcp-16, -0x1.0537962ec64d4p-16, -0x1.f9abc093d4a96p-17, -0x1.e8fe94f673236p-17, -0x1.d8683fda874fdp-17, -0x1.c7e95945a44e8p-17, -0x1.b7827a8894dbfp-17, -0x1.a7343ddf83b51p-17, -0x1.96ff3e1856bp-17, -0x1.86e416399e457p-17, -0x1.76e361364c84p-17, -0x1.66fdb99a0efcdp-17, -0x1.5733b944baa6dp-17, -0x1.4785f92241731p-17, -0x1.37f510eb5ce8cp-17, -0x1.288196e680f49p-17, -0x1.192c1fafb1896p-17, -0x1.09f53e0032a3fp-17, -0x1.f5bb04fcece14p-18, -0x1.d7caf714e5182p-18, -0x1.ba1b6a2b401a7p-18, -0x1.9cad70e81e76cp-18, -0x1.7f82187799184p-18, -0x1.629a683628bfap-18, -0x1.45f76177f7eadp-18, -0x1.2999ff45672b1p-18, -0x1.0d83362538464p-18, -0x1.e367e7d1f4c24p-19, -0x1.ac5a3efd5c39ep-19, -0x1.75df3187f5d7bp-19, -0x1.3ff870c8496b5p-19, -0x1.0aa79f5f1e284p-19, -0x1.abdca20c7b839p-20, -0x1.439c14ac095ecp-20, -0x1.b9210252f8dffp-21, -0x1.daf2ccb0c505dp-22, -0x1.223572609d4adp-24, 0x1.44e41765d0d52p-22, 0x1.66abecaaa2461p-21, 0x1.14312c79ee128p-20, 0x1.73c87a36696e5p-20, 0x1.d219d14a4566dp-20, 0x1.1791a19b173eep-19, 0x1.457180a2dc79dp-19, 0x1.72abae35b8cedp-19, 0x1.9f3f629a8120ep-19, 0x1.cb2be5cca474dp-19, 0x1.f6708f6fa6d21p-19, 0x1.10866357e8c97p-18, 0x1.2580011492d83p-18, 0x1.3a24e3e3b95e3p-18, 0x1.4e74d65135e09p-18, 0x1.626faa6e0c213p-18, 0x1.761539bbf58d4p-18, 0x1.8965651739baap-18, 0x1.9c6014a194f7fp-18, 0x1.af0537ac168e3p-18, 0x1.c154c49a49bb4p-18, 0x1.d34eb8ce4a08cp-18, 0x1.e4f3188b3fea5p-18, 0x1.f641eedb44639p-18, 0x1.039da6ba325dp-17, 0x1.0befa64d8349ap-17, 0x1.14170582aef22p-17, 0x1.1c13d6df00be3p-17, 0x1.23e63002c804fp-17, 0x1.2b8e299a4f061p-17, 0x1.330bdf4d67256p-17, 0x1.3a5f6fb1285a5p-17, 0x1.4188fc371b917p-17, 0x1.4888a91cd2009p-17, 0x1.4f5e9d5d8d191p-17, 0x1.560b029f751e2p-17, 0x1.5c8e0525eb005p-17, 0x1.62e7d3bfa6fa7p-17, 0x1.69189fb632c9ap-17, 0x1.6f209cbe992b3p-17, 0x1.750000e750e15p-17, 0x1.7ab70489cf077p-17, 0x1.8045e2382b794p-17, 0x1.85acd6ae09186p-17, 0x1.8aec20bf843ap-17, 0x1.900401499c19dp-17, 0x1.94f4bb212429bp-17, 0x1.99be9303a2408p-17, 0x1.9e61cf8631802p-17, 0x1.a2deb9064240ep-17, 0x1.a7359999ef57bp-17, 0x1.ab66bcff07e58p-17, 0x1.af72708d69fcdp-17, 0x1.b3590325b769dp-17, 0x1.b71ac52375422p-17, 0x1.bab8084cf3a3cp-17, 0x1.be311fc54c1fp-17, 0x1.c1865ffc33d8p-17, 0x1.c4b81ea0c6951p-17, 0x1.c7c6b291fa48fp-17, 0x1.cab273d0cb9a5p-17, 0x1.cd7bbb7247d5ap-17, 0x1.d022e3912675ap-17, 0x1.d2a84740b2758p-17, 0x1.d50c427e7f3bap-17, 0x1.d74f3225d5109p-17, 0x1.d97173e2794c6p-17, 0x1.db7366233e4eep-17, 0x1.dd55680e18948p-17, 0x1.df17d972c89f9p-17, 0x1.e0bb1abf6639dp-17, 0x1.e23f8cf3836c2p-17, 0x1.e3a59194f4479p-17, 0x1.e4ed8aa409721p-17, 0x1.e617da8ffbb3ep-17, 0x1.e724e42c0a382p-17, 0x1.e8150aa44ddd4p-17, 0x1.e8e8b172f89b3p-17, 0x1.e9a03c5603e1fp-17, 0x1.ea3c0f4491256p-17, 0x1.eabc8e654aef6p-17, 0x1.eb221e03fc2f8p-17, 0x1.eb6d228833981p-17, 0x1.eb9e006bad563p-17, 0x1.ebb51c31c1a2bp-17, 0x1.ebb2da5d4cc63p-17, 0x1.eb979f68d1cecp-17, 0x1.eb63cfbdb8215p-17, 0x1.eb17cfabd119dp-17, 0x1.eab403610323ap-17, 0x1.ea38cee1d8856p-17, 0x1.e9a696016871ep-17, 0x1.e8fdbc59f43d2p-17, 0x1.e83ea5458ea8dp-17, 0x1.e769b3d6d5ec1p-17, 0x1.e67f4ad28e8d6p-17, 0x1.e57fcca8493e2p-17, 0x1.e46b9b6c7df72p-17, 0x1.e34318d1e5f92p-17, 0x1.e206a6236307cp-17, 0x1.e0b6a43e3d1dcp-17, 0x1.df53738be9f35p-17, 0x1.dddd73fd50fc5p-17, 0x1.dc5505047be03p-17, 0x1.daba859026d9p-17, 0x1.d90e54062b146p-17, 0x1.d750ce3f24b0bp-17, 0x1.d58251818b7edp-17, 0x1.d3a33a7d05691p-17, 0x1.d1b3e5469559bp-17, 0x1.cfb4ad5415fbep-17, 0x1.cda5ed7817edap-17, 0x1.cb87ffde79da3p-17, 0x1.c95b3e0864ef8p-17, 0x1.c72000c8eabc4p-17, 0x1.c4d6a041737f2p-17, 0x1.c27f73ded513bp-17, 0x1.c01ad255ef5f7p-17, 0x1.bda911a126aeep-17, 0x1.bb2a86fcf048ap-17, 0x1.b89f86e5f9babp-17, 0x1.b60865160a749p-17, 0x1.b365748212949p-17, 0x1.b0b7075774458p-17, 0x1.adfd6efa4c313p-17, 0x1.ab38fc033f743p-17, 0x1.a869fe3da5cccp-17, 0x1.a590c4a5c0c2ap-17, 0x1.a2ad9d672de4fp-17, 0x1.9fc0d5db492e1p-17, 0x1.9ccaba87e8c0fp-17, 0x1.99cb971de3547p-17, 0x1.96c3b6781b345p-17, 0x1.93b3629a6afecp-17, 0x1.909ae4b07870bp-17, 0x1.8d7a850cddaadp-17, 0x1.8a528b287c414p-17, 0x1.87233da1b378cp-17, 0x1.83ece23bffb7fp-17, 0x1.80afbddf2b00dp-17, 0x1.7d6c149737529p-17, 0x1.7a222993d5c0fp-17, 0x1.76d23f2834038p-17, 0x1.737c96cae3f59p-17, 0x1.70217115ca4b2p-17, 0x1.6cc10dc62a185p-17, 0x1.695babbcaee7fp-17, 0x1.65f188fd76d2p-17, 0x1.6282e2b07a3f1p-17, 0x1.5f0ff521bce7fp-17, 0x1.5b98fbc1b70a1p-17, 0x1.581e3125b3142p-17, 0x1.549fcf0864f87p-17, 0x1.511e0e4a68feep-17, 0x1.4d9926f2dbaafp-17, 0x1.4a11503016176p-17, 0x1.4686c0585c0dap-17, 0x1.42f9aceaab8c2p-17, 0x1.3f6a4a8fb1a0fp-17, 0x1.3bd8cd1a78a56p-17, 0x1.38456789679d8p-17, 0x1.34b04c074275p-17, 0x1.3119abec314b1p-17, 0x1.2d81b7bedfabap-17, 0x1.29e89f35764f5p-17, 0x1.264e9136e6dccp-17, 0x1.22b3bbdc098bp-17, 0x1.1f184c70d7bc4p-17, 0x1.1b7c6f75c5b97p-17, 0x1.17e050a0fbdb6p-17, 0x1.14441adfc730ep-17, 0x1.10a7f857c58a6p-17, 0x1.0d0c12687a711p-17, 0x1.097091ac98e33p-17, 0x1.05d59dfb98944p-17, 0x1.023b5e6b11f6fp-17, 0x1.fd43f2a0b564dp-18, 0x1.f6132883de25dp-18, 0x1.eee4a83247f0ap-18, 0x1.e7b8b9e73c393p-18, 0x1.e08fa469e9c0bp-18, 0x1.d969ad1095b7cp-18, 0x1.d24717c3cbb95p-18, 0x1.cb282701e5f82p-18, 0x1.c40d1be22d5fep-18, 0x1.bcf636183c4a2p-18, 0x1.b5e3b3f762118p-18, 0x1.aed5d2764297fp-18, 0x1.a7cccd320b281p-18, 0x1.a0c8de71a5522p-18, 0x1.99ca3f29c23e8p-18, 0x1.92d126fff3e3ep-18, 0x1.8bddcc4e5e224p-18, 0x1.84f064272f16fp-18, 0x1.7e0922581896ap-18, 0x1.7728396df2964p-18, 0x1.704ddab84f736p-18, 0x1.697a364d392bp-18, 0x1.62ad7b0c49b1dp-18, 0x1.5be7d6a2a38bp-18, 0x1.5529758e61bfbp-18, 0x1.4e72832236886p-18, 0x1.47c329890dfeap-18, 0x1.411b91c9a188fp-18, 0x1.3a7be3c9ff2bp-18, 0x1.33e44653299f8p-18, 0x1.2d54df14b2aeep-18, 0x1.26cdd2a854147p-18, 0x1.204f44956bdadp-18, 0x1.19d95754c6d4ep-18, 0x1.136c2c53f65a9p-18, 0x1.0d07e3f8c493ap-18, 0x1.06ac9da5099a2p-18, 0x1.005a77ba253f1p-18, 0x1.f4231f38c8afbp-19, 0x1.e7a4036d18c2fp-19, 0x1.db37d2fa94a21p-19, 0x1.cedec2e5b4587p-19, 0x1.c2990654fc6b4p-19, 0x1.b666ce976fae4p-19, 0x1.aa484b2ba159dp-19, 0x1.9e3da9c6c4d31p-19, 0x1.9247165b49018p-19, 0x1.8664bb1fa2ea8p-19, 0x1.7a96c0952467p-19, 0x1.6edd4d8e5b861p-19, 0x1.63388735f8d35p-19, 0x1.57a891157070bp-19, 0x1.4c2d8d1b5fd01p-19, 0x1.40c79ba23ef1p-19, 0x1.3576db76d7f94p-19, 0x1.2a3b69dea03f9p-19, 0x1.1f15629ddb26dp-19, 0x1.1404dffe52469p-19, 0x1.0909fad5988e6p-19, 0x1.fc49951648f68p-20, 0x1.e6aaca3cf4e1cp-20, 0x1.d137be5ad30b6p-20, 0x1.bbf097f3f7467p-20, 0x1.a6d57ae1a40d8p-20, 0x1.91e6885e0a7afp-20, 0x1.7d23df0f84852p-20, 0x1.688d9b14d4f09p-20, 0x1.5423d61153a88p-20, 0x1.3fe6a737ce0d7p-20, 0x1.2bd62355d3a3p-20, 0x1.17f25cdf8505ep-20, 0x1.043b63faeb353p-20, 0x1.e1628d1531652p-21, 0x1.baa820720796p-21, 0x1.9447950715bb9p-21, 0x1.6e40f989d3599p-21, 0x1.489458807a5a8p-21, 0x1.2341b85612b71p-21, 0x1.fc9236e0cd723p-22, 0x1.b3550089865e2p-22, 0x1.6acbc2d7bd494p-22, 0x1.22f66b6baa423p-22, 0x1.b7a9c0feb6047p-23, 0x1.2ace02151a353p-23, 0x1.3eb293ac6147dp-24, 0x1.54b3a1bb3cfdep-27, -0x1.cd72636e7aba8p-25, -0x1.f53d503ea3eb1p-24, -0x1.807b79c087afdp-23, -0x1.0279d043f40d9p-22, -0x1.4403ddd84bec1p-22, -0x1.84dc3b4edf5f5p-22, -0x1.c503444902ea8p-22, -0x1.023cad1aff24bp-21, -0x1.219f72181a7d4p-21, -0x1.40aa276d04ce1p-21, -0x1.5f5d061e73448p-21, -0x1.7db849d36beabp-21, -0x1.9bbc30c57b829p-21, -0x1.b968fbb04ff7dp-21, -0x1.d6beedc0b3059p-21, -0x1.f3be4c8698897p-21, -0x1.0833aff223defp-20, -0x1.165d38ff73e41p-20, -0x1.245be797dc084p-20, -0x1.322fe2fa82676p-20, -0x1.3fd95371cfdbap-20, -0x1.4d58624c36ef3p-20, -0x1.5aad39d4c8ffcp-20, -0x1.67d8054c19c7ep-20, -0x1.74d8f0e196335p-20, -0x1.81b029ac6a369p-20, -0x1.8e5ddda4c9cdbp-20, -0x1.9ae23b9dae6c8p-20, -0x1.a73d733dd50c6p-20, -0x1.b36fb4f95591p-20, -0x1.bf79320b49299p-20, -0x1.cb5a1c6fe1aefp-20, -0x1.d712a6ddd5387p-20, -0x1.e2a304c01cb37p-20, -0x1.ee0b6a309ffb6p-20, -0x1.f94c0bf1f2231p-20, -0x1.02328fb4ceedbp-19, -0x1.07ab6d4d2398dp-19, -0x1.0d10ba0f3e462p-19, -0x1.1262919193fb2p-19, -0x1.17a10fb09a2cdp-19, -0x1.1ccc508ca1f53p-19, -0x1.21e4708736c51p-19, -0x1.26e98c40052ep-19, -0x1.2bdbc09309ae6p-19, -0x1.30bb2a95d324p-19, -0x1.3587e794894a6p-19, -0x1.3a4215103cf69p-19, -0x1.3ee9d0bc1dda5p-19, -0x1.437f387b54931p-19, -0x1.48026a5ecad95p-19, -0x1.4c7384a2ac354p-19, -0x1.50d2a5ac6d978p-19, -0x1.551fec08a88eap-19, -0x1.595b7668aaf8ap-19, }}, 
      {{-0x1.b14c579e93be4p-17, -0x1.b503ea22425adp-15, -0x1.efce0bffb0eb2p-14, -0x1.bb9a8a318915ep-13, -0x1.5c62dcd5bdf31p-12, -0x1.f8788725174b3p-12, -0x1.59e1d42c211b2p-11, -0x1.c872a118628bbp-11, -0x1.24c693a97962ep-10, -0x1.6f7430a2e22b9p-10, -0x1.c5116c88fa61p-10, -0x1.1327dceacb7a2p-9, -0x1.49dc5c8da0b4fp-9, -0x1.86d529eb96ed1p-9, -0x1.ca2b53a590015p-9, -0x1.09f1691a97c46p-8, -0x1.31f5bba3e58d2p-8, -0x1.5d10cf13ccc2ep-8, -0x1.8b274547b8d9fp-8, -0x1.bc1449a4366e1p-8, -0x1.efa9a566cdb37p-8, -0x1.12d7f60bdfa28p-7, -0x1.2ef36963568f4p-7, -0x1.4c02ddc373e4ap-7, -0x1.69de3ab4da6bap-7, -0x1.885a14dbc1a7cp-7, -0x1.a74835199b6d9p-7, -0x1.c67828ee76a1fp-7, -0x1.e5b7d4ce454f8p-7, -0x1.026a00f8b54dfp-6, -0x1.11cc71421a70ep-6, -0x1.20e944587e1c1p-6, -0x1.2fa6a74c7d73ep-6, -0x1.3deb175df6486p-6, -0x1.4b9d86b9d8bbfp-6, -0x1.58a57a7e6db1p-6, -0x1.64eb2302d8637p-6, -0x1.70576f7a91973p-6, -0x1.7ad41e0ae70d4p-6, -0x1.844bc94f2056bp-6, -0x1.8ca9f41fbb9f9p-6, -0x1.93db1440c8e05p-6, -0x1.99cc9c68ddcaap-6, -0x1.9e6d05e25059bp-6, -0x1.a1abd9ddfd712p-6, -0x1.a379ba6c85918p-6, -0x1.a3c86af918a21p-6, -0x1.a28ad80fed03dp-6, -0x1.9fb51e31c557ep-6, -0x1.9b3c8f745b7e4p-6, -0x1.9517b7b3e362p-6, -0x1.8d3e5f22d5e8dp-6, -0x1.83a98b112c36ep-6, -0x1.78537cd25a0e4p-6, -0x1.6b37aeb7c24f5p-6, -0x1.5c52cf24182bcp-6, -0x1.4ba2b9c945594p-6, -0x1.39266f2e8b6c8p-6, -0x1.24de0aa677928p-6, -0x1.0ecab6e3fcbe9p-6, -0x1.eddd42c75cf24p-7, -0x1.ba99d9c329b8cp-7, -0x1.83d3462ab4713p-7, -0x1.49934bdc772dep-7, -0x1.0be5410c29b43p-7, -0x1.95abdffeb6992p-8, -0x1.0ce6f1ff9b7bfp-8, -0x1.f669a6c7020d7p-10, 0x1.818cfabf9cc4p-12, 0x1.681fa0ce55de9p-9, 0x1.5625e303c3439p-8, 0x1.fe34b80d8aff3p-8, 0x1.560a4a6d5e353p-7, 0x1.afce3f8ecc0fbp-7, 0x1.0628994d7f33dp-6, 0x1.35bed0d13e75dp-6, 0x1.669ed144b2d4p-6, 0x1.98bd79391a481p-6, 0x1.cc0f81d9f6498p-6, 0x1.0044c29cbf2fcp-5, 0x1.1b1001fddfa4bp-5, 0x1.3663b53749d3p-5, 0x1.523a0a8e8e61dp-5, 0x1.6e8d2a76ddce4p-5, 0x1.8b57396c898ccp-5, 0x1.a89259a435601p-5, 0x1.c638ac94705a1p-5, 0x1.e444545ff55d5p-5, 0x1.0157ba9336cf7p-4, 0x1.10ba1b206c872p-4, 0x1.204661b71af41p-4, 0x1.2ff9a6fa380ebp-4, 0x1.3fd106dc70e7ep-4, 0x1.4fc9a1299a629p-4, 0x1.5fe09a0e7074p-4, 0x1.70131a9f6542cp-4, 0x1.805e515f24721p-4, 0x1.90bf72c516f59p-4, 0x1.a133b9c40a403p-4, 0x1.b1b86850f1a9fp-4, 0x1.c24ac7e98eda9p-4, 0x1.d2e82a1aa2c0bp-4, 0x1.e38de90540df8p-4, 0x1.f43967e2b078dp-4, 0x1.027409c32a68fp-3, 0x1.0acbb16e7815bp-3, 0x1.13226bb447df8p-3, 0x1.1b76fedc4f495p-3, 0x1.23c836ee9fdb6p-3, 0x1.2c14e5eac16ebp-3, 0x1.345be3fbe28fep-3, 0x1.3c9c0fa9d191p-3, 0x1.44d44e068debp-3, 0x1.4d038ad82e32p-3, 0x1.5528b8beece0bp-3, 0x1.5d42d15734649p-3, 0x1.6550d5578ac14p-3, 0x1.6d51ccaa45ec1p-3, 0x1.7544c682f5859p-3, 0x1.7d28d96f83b3bp-3, 0x1.84fd236508b6dp-3, 0x1.8cc0c9c85f4bdp-3, 0x1.9472f97283899p-3, 0x1.9c12e6b0de85ep-3, 0x1.a39fcd418f7a2p-3, 0x1.ab18f04be3a9p-3, 0x1.b27d9a551767ep-3, 0x1.b9cd1d319c1dfp-3, 0x1.c106d1f305852p-3, 0x1.c82a18d2d9febp-3, 0x1.cf36591a7ba1fp-3, 0x1.d62b010862523p-3, 0x1.dd0785b2dd63cp-3, 0x1.e3cb62e898a1p-3, 0x1.ea761b0f286ap-3, 0x1.f10736ffc4843p-3, 0x1.f77e45e286ebdp-3, 0x1.fddadd084c906p-3, 0x1.020e4be1c15f9p-2, 0x1.05218ba00b726p-2, 0x1.0827012d588dap-2, 0x1.0b1e82bbbf11p-2, 0x1.0e07e92c5433cp-2, 0x1.10e30ffa5bc98p-2, 0x1.13afd5268537cp-2, 0x1.166e19223ae4ep-2, 0x1.191dbebb2c95cp-2, 0x1.1bbeab0713692p-2, 0x1.1e50c54fc8f1fp-2, 0x1.20d3f6ffbf13cp-2, 0x1.23482b8ee4107p-2, 0x1.25ad506fff87fp-2, 0x1.280354fe9217p-2, 0x1.2a4a2a6d41b35p-2, 0x1.2c81c3b4d87bcp-2, 0x1.2eaa1583dde76p-2, 0x1.30c3162ed07cbp-2, 0x1.32ccbda0ff9e9p-2, 0x1.34c7054e0c09bp-2, 0x1.36b1e82411341p-2, 0x1.388d627e740a7p-2, 0x1.3a5972195cc33p-2, 0x1.3c161605d3dc8p-2, 0x1.3dc34e9e871b3p-2, 0x1.3f611d7d2ea0fp-2, 0x1.40ef857091a88p-2, 0x1.426e8a7327d39p-2, 0x1.43de31a24f20dp-2, 0x1.453e81361455bp-2, 0x1.468f80798662dp-2, 0x1.47d137c396152p-2, 0x1.4903b0706d66cp-2, 0x1.4a26f4db4a509p-2, 0x1.4b3b1058c8002p-2, 0x1.4c400f3197c32p-2, 0x1.4d35fe9d9f1a7p-2, 0x1.4e1cecbf77001p-2, 0x1.4ef4e8a046a75p-2, 0x1.4fbe022be890fp-2, 0x1.50784a2d67248p-2, 0x1.5123d24bb1957p-2, 0x1.51c0ad069796fp-2, 0x1.524eedb3f9d7p-2, 0x1.52cea87d2d0cbp-2, 0x1.533ff25c850cap-2, 0x1.53a2e11b09a57p-2, 0x1.53f78b4e47a1bp-2, 0x1.543e08563ed11p-2, 0x1.5476705b5e94fp-2, 0x1.54a0dc4c9beefp-2, 0x1.54bd65dd89c2dp-2, 0x1.54cc278479e4p-2, 0x1.54cd3c78a2181p-2, 0x1.54c0c0b03c43ap-2, 0x1.54a6d0dea06dbp-2, 0x1.547f8a72590cbp-2, 0x1.544b0b93262b8p-2, 0x1.5409731ff4afp-2, 0x1.53bae0acbe4c3p-2, 0x1.535f748059a93p-2, 0x1.52f74f922faa5p-2, 0x1.52829387db31cp-2, 0x1.520162b2a9359p-2, 0x1.5173e00d00a48p-2, 0x1.50da2f37abf28p-2, 0x1.5034747701a8ep-2, 0x1.4f82d4afef0e5p-2, 0x1.4ec57564e3245p-2, 0x1.4dfc7cb29675fp-2, 0x1.4d28114cb7308p-2, 0x1.4c485a7a6c563p-2, 0x1.4b5d8012c04f5p-2, 0x1.4a67aa78e4c77p-2, 0x1.496702985913cp-2, 0x1.485bb1e0ef2b5p-2, 0x1.4745e242b3293p-2, 0x1.4625be29b2b26p-2, 0x1.44fb7079a918p-2, 0x1.43c724898c3edp-2, 0x1.4289061f0075fp-2, 0x1.41414169afb66p-2, 0x1.3ff002fe8c37ap-2, 0x1.3e9577d2f3c9cp-2, 0x1.3d31cd37c66ebp-2, 0x1.3bc530d45f7bdp-2, 0x1.3a4fd0a181199p-2, 0x1.38d1dae42cd95p-2, 0x1.374b7e286880dp-2, 0x1.35bce93bfaeb4p-2, 0x1.34264b2913cd8p-2, 0x1.3287d330f0d76p-2, 0x1.30e1b0c6705bdp-2, 0x1.2f341388a3f8ep-2, 0x1.2d7f2b3d58b2p-2, 0x1.2bc327cb99527p-2, 0x1.2a0039362fee6p-2, 0x1.28368f9629266p-2, 0x1.26665b154e2edp-2, 0x1.248fcbe8aab6ep-2, 0x1.22b3124b109cap-2, 0x1.20d05e77a2aabp-2, 0x1.1ee7e0a4657e3p-2, 0x1.1cf9c8fcd7055p-2, 0x1.1b06479c90fcep-2, 0x1.190d8c89f7be3p-2, 0x1.170fc7b0f0873p-2, 0x1.150d28ddab1c5p-2, 0x1.1305dfb775883p-2, 0x1.10fa1bbba253cp-2, 0x1.0eea0c387f751p-2, 0x1.0cd5e04861e9cp-2, 0x1.0abdc6ccbfd52p-2, 0x1.08a1ee6965e27p-2, 0x1.0682857fbb2afp-2, 0x1.045fba2a2374dp-2, 0x1.0239ba3770657p-2, 0x1.0010b32673407p-2, 0x1.fbc9a44347838p-3, 0x1.f76c87f5bf33dp-3, 0x1.f30a6a4e8fa38p-3, 0x1.eea3a3766f60ep-3, 0x1.ea388accb2329p-3, 0x1.e5c976dfa77a6p-3, 0x1.e156bd6530035p-3, 0x1.dce0b3339a2d1p-3, 0x1.d867ac3aacb73p-3, 0x1.d3ebfb7cf1c11p-3, 0x1.cf6df309490acp-3, 0x1.caede3f4a62ffp-3, 0x1.c66c1e541e0d7p-3, 0x1.c1e8f137272b3p-3, 0x1.bd64aaa21cffap-3, 0x1.b8df9789052bdp-3, 0x1.b45a03ca8d036p-3, 0x1.afd43a2b4d71dp-3, 0x1.ab4e8451472c9p-3, 0x1.a6c92abfa624p-3, 0x1.a24474d2bb7d6p-3, 0x1.9dc0a8bc3b483p-3, 0x1.993e0b7fb8a72p-3, 0x1.94bce0ef5ce7ap-3, 0x1.903d6ba8ddef4p-3, 0x1.8bbfed12b23aep-3, 0x1.8744a559818f9p-3, 0x1.82cbd36dced86p-3, 0x1.7e55b501e077dp-3, 0x1.79e28687e387fp-3, 0x1.75728330421f8p-3, 0x1.7105e4e83c708p-3, 0x1.6c9ce458b5cc6p-3, 0x1.6837b8e533cb5p-3, 0x1.63d698ab1da9fp-3, 0x1.5f79b88129646p-3, 0x1.5b214bf7003b3p-3, 0x1.56cd8555171ecp-3, 0x1.527e959cb6997p-3, 0x1.4e34ac8839438p-3, 0x1.49eff88b7551p-3, 0x1.45b0a6d457611p-3, 0x1.4176e34badae9p-3, 0x1.3d42d89619139p-3, 0x1.3914b0153495dp-3, 0x1.34ec91e8dc9d7p-3, 0x1.30caa4f0a68d1p-3, 0x1.2caf0ecd7e2c5p-3, 0x1.2899f3e369c63p-3, 0x1.248b775b75dcep-3, 0x1.2083bb25c1691p-3, 0x1.1c82dffbb1adfp-3, 0x1.18890562485cp-3, 0x1.149649ac95d9p-3, 0x1.10aac9fe4eb74p-3, 0x1.0cc6a24e81b8cp-3, 0x1.08e9ed6a64b0cp-3, 0x1.0514c4f846573p-3, 0x1.0147417a8f0fbp-3, 0x1.fb02f4a5d44fp-4, 0x1.f3870b8af17f8p-4, 0x1.ec1af1f84c4ap-4, 0x1.e4bed01420c3ap-4, 0x1.dd72cbde030f4p-4, 0x1.d6370936016f4p-4, 0x1.cf0ba9e3ed0bp-4, 0x1.c7f0cd9ebd17ep-4, 0x1.c0e692142181fp-4, 0x1.b9ed12f023a77p-4, 0x1.b30469e4edc85p-4, 0x1.ac2caeb2b2203p-4, 0x1.a565f72f97478p-4, 0x1.9eb0574fd95bp-4, 0x1.980be12dd8d84p-4, 0x1.9178a51264957p-4, 0x1.8af6b17cf8a4cp-4, 0x1.8486132c11f9p-4, 0x1.7e26d525988fdp-4, 0x1.77d900bf4d4dp-4, 0x1.719c9da73be1fp-4, 0x1.6b71b1ec43939p-4, 0x1.6558420696268p-4, 0x1.5f5050e047db7p-4, 0x1.5959dfdddbe71p-4, 0x1.5374eee6d170ep-4, 0x1.4da17c6e3416cp-4, 0x1.47df857b2a815p-4, 0x1.422f05b17dc1ap-4, 0x1.3c8ff75a24339p-4, 0x1.3702536bba41dp-4, 0x1.3186119305b77p-4, 0x1.2c1b283b60cb4p-4, 0x1.26c18c9720105p-4, 0x1.217932a7f8943p-4, 0x1.1c420d474841cp-4, 0x1.171c0e2e62a9cp-4, 0x1.120725fec11efp-4, 0x1.0d03444a3277cp-4, 0x1.0810579af03fdp-4, 0x1.032e4d7ba73eap-4, 0x1.fcba24fedbbf8p-5, 0x1.f3392493590fcp-5, 0x1.e9d96f2bd5ff6p-5, 0x1.e09ad87f2159ap-5, 0x1.d77d32931b7e1p-5, 0x1.ce804dcbdbb2p-5, 0x1.c5a3f8faae64p-5, 0x1.bce8016ce8284p-5, 0x1.b44c32fa811dbp-5, 0x1.abd058148e8c6p-5, 0x1.a37439d37d889p-5, 0x1.9b37a00528feep-5, 0x1.931a513ab936bp-5, 0x1.8b1c12d6515efp-5, 0x1.833ca9188582dp-5, 0x1.7b7bd72d9e2efp-5, 0x1.73d95f3ab1dd4p-5, 0x1.6c55026a7315fp-5, 0x1.64ee80f9e3788p-5, 0x1.5da59a44b3082p-5, 0x1.567a0cd183517p-5, 0x1.4f6b965de6a9ap-5, 0x1.4879f3ea26128p-5, 0x1.41a4e1c4d6ebcp-5, 0x1.3aec1b962d6fdp-5, 0x1.344f5c6b28231p-5, 0x1.2dce5ec075987p-5, 0x1.2768dc8d24079p-5, 0x1.211e8f4d1e91cp-5, 0x1.1aef300b68bc4p-5, 0x1.14da776c2efd7p-5, 0x1.0ee01db68e752p-5, 0x1.08ffdade3c461p-5, 0x1.0339668cd3918p-5, 0x1.fb18f0561b443p-6, 0x1.eff18dd35ce29p-6, 0x1.e4fc139488fb4p-6, 0x1.da37ef4f48be8p-6, 0x1.cfa48e7c7f88ep-6, 0x1.c5415e686ef15p-6, 0x1.bb0dcc427a6e8p-6, 0x1.b109452c8f82p-6, 0x1.a7333649fceddp-6, 0x1.9d8b0cce146e9p-6, 0x1.9410360a2b50ep-6, 0x1.8ac21f7b64d84p-6, 0x1.81a036d808892p-6, 0x1.78a9ea1c5c9a6p-6, 0x1.6fdea7973737cp-6, 0x1.673dddf620953p-6, 0x1.5ec6fc511ba42p-6, 0x1.567972360cf8fp-6, 0x1.4e54afb3a8a73p-6, 0x1.465825643699cp-6, 0x1.3e834477c2706p-6, 0x1.36d57ebe18b2fp-6, 0x1.2f4e46b051513p-6, 0x1.27ed0f7a0cbacp-6, 0x1.20b14d0260be9p-6, 0x1.199a73f44d15ep-6, 0x1.12a7f9c70e281p-6, 0x1.0bd954c5ef089p-6, 0x1.052dfc17de3b8p-6, 0x1.fd4acf8d79a26p-7, 0x1.f07e218c7b3afp-7, 0x1.e3f4e1f52ecddp-7, 0x1.d7ae067da9222p-7, 0x1.cba886d5c84d2p-7, 0x1.bfe35cb2b283ep-7, 0x1.b45d83d9dbe4dp-7, 0x1.a915fa2b581c4p-7, 0x1.9e0bbfabbfaadp-7, 0x1.933dd68d8e0ffp-7, 0x1.88ab4339ed96cp-7, 0x1.7e530c58fc075p-7, 0x1.74343ad9a4617p-7, 0x1.6a4dd9f8ed43fp-7, 0x1.609ef748c0373p-7, 0x1.5726a2b66a9a3p-7, 0x1.4de3ee906a6a1p-7, 0x1.44d5ef8c01e67p-7, 0x1.3bfbbcca29382p-7, 0x1.33546fdc47cdp-7, 0x1.2adf24c84fcaap-7, 0x1.229afa0caa141p-7, 0x1.1a8710a38b947p-7, 0x1.12a28c0600823p-7, 0x1.0aec922ea78e5p-7, 0x1.03644b9be3271p-7, 0x1.f811c6a3bf0c4p-8, 0x1.e9b30db86f8d5p-8, 0x1.dbaacc9e55a1p-8, 0x1.cdf7689121ddp-8, 0x1.c0974be1381b9p-8, 0x1.b388e5f3f7d23p-8, 0x1.a6caab444375dp-8, 0x1.9a5b1561c503cp-8, 0x1.8e38a2efeeb61p-8, 0x1.8261d7a482662p-8, 0x1.76d53c4553e78p-8, 0x1.6b915ea5e4425p-8, 0x1.6094d1a43c1eap-8, 0x1.55de2d25485dap-8, 0x1.4b6c0e11169cep-8, 0x1.413d164e48bf9p-8, 0x1.374fecbd41d23p-8, 0x1.2da33d32eb585p-8, 0x1.2435b87323a12p-8, 0x1.1b06142aa860ap-8, 0x1.12130ae8cd365p-8, 0x1.095b5c18d2384p-8, 0x1.00ddcbfabd848p-8, 0x1.f13247385440dp-9, 0x1.e11861a10864p-9, 0x1.d16b8c524533dp-9, 0x1.c22975da41517p-9, 0x1.b34fd621cab64p-9, 0x1.a4dc6e5a5bc93p-9, 0x1.96cd08ed4ddedp-9, 0x1.891f7968168e2p-9, 0x1.7bd19c6a96319p-9, 0x1.6ee1579367d02p-9, 0x1.624c996c2262dp-9, 0x1.56115955dad79p-9, 0x1.4a2d97748789fp-9, 0x1.3e9f5c9aa357fp-9, 0x1.3364ba33fbec6p-9, 0x1.287bca3087e9fp-9, 0x1.1de2aeef54bbbp-9, 0x1.1397932880a32p-9, 0x1.0998a9d71d222p-9, 0x1.ffc85c477d8f9p-10, 0x1.ecf0c69ae893ap-10, 0x1.daa72927a40d1p-10, 0x1.c8e82a3fcedbdp-10, 0x1.b7b07fdbcdbe5p-10, 0x1.a6fcef6b6dba9p-10, 0x1.96ca4da8f94d6p-10, 0x1.87157e6a49effp-10, 0x1.77db7472a0e64p-10, 0x1.691931443da01p-10, 0x1.5acbc4f1b50cap-10, 0x1.4cf04def00e03p-10, 0x1.3f83f8e2e34a2p-10, 0x1.328400789dfcdp-10, 0x1.25edad304d4d8p-10, 0x1.19be55312bf93p-10, 0x1.0df35c1964e86p-10, 0x1.028a32d0b0e95p-10, 0x1.ef00aeb2e67c3p-11, 0x1.d9a6a942e6da9p-11, 0x1.c50184a8c961cp-11, 0x1.b10c895a4ad78p-11, 0x1.9dc3189003d5p-11, 0x1.8b20abe84db3ap-11, 0x1.7920d50cce9e1p-11, 0x1.67bf3d5671a86p-11, 0x1.56f7a573f2afp-11, 0x1.46c5e50de7c5bp-11, 0x1.3725ea6e4709cp-11, 0x1.2813ba279fabp-11, 0x1.198b6eb9be808p-11, 0x1.0b89383cd7e03p-11, 0x1.fc12b80ecf5bcp-12, 0x1.e21068b0d9eap-12, 0x1.c9046001713dbp-12, 0x1.b0e7a4195ee6dp-12, 0x1.99b362e067963p-12, 0x1.8360f16397248p-12, 0x1.6de9cb2cf46f3p-12, 0x1.5947919f305fdp-12, 0x1.45740b4f93f1p-12, 0x1.326923630421ep-12, 0x1.2020e8eccd39fp-12, 0x1.0e958e4fa50dap-12, 0x1.fb82d13be8538p-13, 0x1.db3dddf9b950cp-13, 0x1.bc517412479d4p-13, 0x1.9eb3067a605fcp-13, 0x1.825848b4f5f23p-13, 0x1.67372d9dff876p-13, 0x1.4d45e64cd4389p-13, 0x1.347ae0e29a32bp-13, 0x1.1cccc76eb0afbp-13, 0x1.06327ecd216a6p-13, 0x1.e1464b110ef51p-14, 0x1.b82c258460ee4p-14, 0x1.9105aa3baf263p-14, 0x1.6bc2635e7c647p-14, 0x1.485245d5a4193p-14, 0x1.26a5af379136p-14, 0x1.06ad63b769a22p-14, 0x1.d0b51845f18f4p-15, 0x1.973d67a66bf83p-15, 0x1.60d78d821557cp-15, 0x1.2d681f102e59dp-15, 0x1.f9a8d5ffe473ep-16, 0x1.9e04eb3a2e36fp-16, 0x1.47b1ea5106859p-16, 0x1.ecfd3865f4b53p-17, 0x1.54763df440a45p-17, 0x1.8ae37b2e05026p-18, 0x1.fca8ec3870903p-20, -0x1.ebbde04b75725p-20, -0x1.6414ed0d6b628p-18, -0x1.1e765482fc288p-17, -0x1.830c410ab562bp-17, -0x1.e01adc7acef3dp-17, -0x1.1af744d3ebfdbp-16, -0x1.4268bd1efb0fap-16, -0x1.6685ddbf28d76p-16, -0x1.8771a11c8db1ep-16, -0x1.a54dfb8f5a24dp-16, -0x1.c03be12a346cep-16, -0x1.d85b4baa9f2fep-16, -0x1.edcb401f61af5p-16, -0x1.0054ea475d54p-15, -0x1.088a1ac0968e1p-15, -0x1.0f9355bb8cdddp-15, -0x1.157e501b90fadp-15, -0x1.1a58520b8f3e7p-15, -0x1.1e2e3990e935ap-15, -0x1.210c7d14ab3a6p-15, -0x1.22ff2ddcd16d8p-15, -0x1.2411fa8548f49p-15, -0x1.245031551629dp-15, -0x1.23c4c2b1380a2p-15, -0x1.227a43549f764p-15, -0x1.207aeea715953p-15, -0x1.1dd0a8ed682b2p-15, -0x1.1a850178599b3p-15, -0x1.16a134ccaf1a8p-15, -0x1.122e2ebb4994fp-15, -0x1.0d348c6b4ea32p-15, -0x1.07bc9e661324ap-15, -0x1.01ce6a8d98d3ap-15, -0x1.f6e35c1e6d906p-16, -0x1.e95bbe93ab712p-16, -0x1.db145f598192cp-16, -0x1.cc1b1b1157cedp-16, -0x1.bc7d4bb9366a5p-16, -0x1.ac47cc2ae752bp-16, -0x1.9b86fb852c3a1p-16, -0x1.8a46c08ac661ap-16, -0x1.78928cf64573dp-16, -0x1.667560a35664dp-16, -0x1.53f9ccc8db1e2p-16, -0x1.4129f6ffef50ep-16, -0x1.2e0f9c5582a58p-16, -0x1.1ab4143931f79p-16, -0x1.07205360f5537p-16, -0x1.e6b9dd3993bf9p-17, -0x1.bee43b43766cdp-17, -0x1.96cf7b6ac27d6p-17, -0x1.6e8aa8b7d16bbp-17, -0x1.462423d432accp-17, -0x1.1da9a81baebd6p-17, -0x1.ea50a12b5d247p-18, -0x1.995939749b973p-18, -0x1.4884ea7dd6741p-18, -0x1.efd4c2700a031p-19, -0x1.4f3e5e8b6986p-19, -0x1.5edf4e909763ep-20, -0x1.08f86ba6ada07p-23, 0x1.1a7a386db480cp-20, 0x1.29d34d8d748aep-19, 0x1.c511fbffab0cep-19, 0x1.2f6cf4b8986f9p-18, 0x1.7b86cde2ba5aap-18, 0x1.c6c8a70271f11p-18, 0x1.0892b8729ab3cp-17, 0x1.2d48745320fb2p-17, 0x1.517fc865809d4p-17, 0x1.75335528e634cp-17, 0x1.985e173fef176p-17, 0x1.bafb6418d4342p-17, 0x1.dd06e6e12688ap-17, 0x1.fe7c9d80c9eafp-17, 0x1.0fac6acea486ep-16, 0x1.1fcc14df8ffe7p-16, 0x1.2f9bbf41d0ab4p-16, 0x1.3f19fff06ee2p-16, 0x1.4e458f419b8c7p-16, 0x1.5d1d469aaec9ep-16, 0x1.6ba01f297eef3p-16, 0x1.79cd30b4555bp-16, 0x1.87a3b05ffb948p-16, 0x1.9522ef8b7cc72p-16, 0x1.a24a5aaf07cd6p-16, 0x1.af197843d8d72p-16, 0x1.bb8fe7b394fc5p-16, 0x1.c7ad60533c6c6p-16, 0x1.d371b05b9923ap-16, 0x1.dedcbbf26803ap-16, 0x1.e9ee7c388b06cp-16, 0x1.f4a6fe5a6c0ffp-16, 0x1.ff0662ae5510ap-16, 0x1.04866deb8816cp-15, 0x1.095d56f37d3a9p-15, 0x1.0e0816c8e9675p-15, 0x1.1286dfb2b7849p-15, 0x1.16d9eb7e2de0ap-15, 0x1.1b017b23d7fe3p-15, 0x1.1efdd66998996p-15, 0x1.22cf4b8647fe3p-15, 0x1.26762ecf707b2p-15, 0x1.29f2da60f9fc5p-15, 0x1.2d45adce55988p-15, 0x1.306f0dd153c25p-15, 0x1.336f63fff0757p-15, 0x1.36471e81a7c6cp-15, 0x1.38f6afc76fcbp-15, 0x1.3b7e8e47585c3p-15, 0x1.3ddf34396daf6p-15, 0x1.40191f584b986p-15, 0x1.422cd09fa82edp-15, 0x1.441acc12d328ep-15, 0x1.45e39882a0c5dp-15, 0x1.4787bf5394215p-15, 0x1.4907cc486104p-15, 0x1.4a644d4e49a4ap-15, 0x1.4b9dd24930c0ap-15, 0x1.4cb4ece4e8557p-15, 0x1.4daa30657a6dp-15, 0x1.4e7e317b8042cp-15, 0x1.4f3186167d68p-15, 0x1.4fc4c53c69203p-15, 0x1.503886e2936a7p-15, 0x1.508d63c48fd76p-15, 0x1.50c3f5419a0dbp-15, 0x1.50dcd537daa29p-15, 0x1.50d89de26dbf3p-15, 0x1.50b7e9b94a0afp-15, 0x1.507b535177902p-15, 0x1.5023753d952cep-15, 0x1.4fb0e9f46d69bp-15, 0x1.4f244bb2a6f3ep-15, 0x1.4e7e3460e9679p-15, 0x1.4dbf3d7b43d69p-15, 0x1.4ce7fffa2507cp-15, 0x1.4bf91438c0068p-15, 0x1.4af311e163fe7p-15, 0x1.49d68fd88a10ep-15, 0x1.48a4242786ee5p-15, 0x1.475c63eb82464p-15, 0x1.45ffe343b2802p-15, 0x1.448f353e0bc7ep-15, 0x1.430aebca7b859p-15, 0x1.417397a9c5234p-15, 0x1.3fc9c85f5d282p-15, 0x1.3e0e0c23b79e8p-15, 0x1.3c40efd8c20a1p-15, 0x1.3a62fefc649acp-15, 0x1.3874c39eddd77p-15, 0x1.3676c656bcad6p-15, 0x1.34698e3842651p-15, 0x1.324da0cac2198p-15, 0x1.30238201a0495p-15, 0x1.2debb434465a2p-15, 0x1.2ba6b8160e2efp-15, 0x1.29550caf55e63p-15, 0x1.26f72f595b29ep-15, 0x1.248d9bb61409ap-15, 0x1.2218cbac801aep-15, 0x1.1f993763a5d8fp-15, 0x1.1d0f553f55fbap-15, 0x1.1a7b99da5782fp-15, 0x1.17de78063097cp-15, 0x1.153860c6a9967p-15, 0x1.1289c34ecbd79p-15, 0x1.0fd30d0099a16p-15, 0x1.0d14a96b253ecp-15, 0x1.0a4f0248335a1p-15, 0x1.07827f7c864a2p-15, 0x1.04af87174211p-15, 0x1.01d67d5113d3ap-15, 0x1.fdef891b23b41p-16, 0x1.f8277ab53a11p-16, 0x1.f2558ce30687fp-16, 0x1.ec7a796f41b5cp-16, 0x1.e696f6816dea3p-16, 0x1.e0abb69ec09ffp-16, 0x1.dab968ae703ecp-16, 0x1.d4c0b7fd1cb9fp-16, 0x1.cec24c42f8e79p-16, 0x1.c8bec9a81f777p-16, 0x1.c2b6d0c765b08p-16, 0x1.bcaafeb6fd721p-16, 0x1.b69bed0c718ap-16, 0x1.b08a31e4cc7e3p-16, 0x1.aa765fe94a786p-16, 0x1.a461065896ecbp-16, 0x1.9e4ab10bdcea9p-16, 0x1.9833e87e8b2ebp-16, 0x1.921d31d7c9fd8p-16, 0x1.8c070ef169eb2p-16, 0x1.85f1fe5f109a6p-16, 0x1.7fde7b77e3325p-16, 0x1.79ccfe5f17146p-16, 0x1.73bdfc0dbb4dfp-16, 0x1.6db1e659455fdp-16, 0x1.67a92bfe56e35p-16, 0x1.61a438a9797c9p-16, 0x1.5ba37500deedep-16, 0x1.55a746ae8bd02p-16, 0x1.4fb010687a099p-16, 0x1.49be31fc12979p-16, 0x1.43d20855a25cfp-16, 0x1.3debed8d0d5f1p-16, 0x1.380c38ee5283dp-16, 0x1.32333f038b0dfp-16, 0x1.2c61519f395cep-16, 0x1.2696bfe6bbb3cp-16, 0x1.20d3d65ca004ap-16, 0x1.1b18dee9f2e21p-16, 0x1.156620e94f5c8p-16, 0x1.0fbbe13177f9dp-16, 0x1.0a1a621ea09c2p-16, 0x1.0481e39d2e62ep-16, 0x1.fde546693a089p-17, 0x1.f2d9b821cb0d2p-17, 0x1.e7e18e1929969p-17, 0x1.dcfd3576e4705p-17, 0x1.d22d16e9eda2p-17, 0x1.c77196bdc248ap-17, 0x1.bccb14ec2073cp-17, 0x1.b239ed335ac15p-17, 0x1.a7be77287ea3ap-17, 0x1.9d59064c63badp-17, 0x1.9309ea208b9f3p-17, 0x1.88d16e39d6d41p-17, 0x1.7eafda54d8c78p-17, 0x1.74a572673e6c3p-17, 0x1.6ab276b63d36ap-17, 0x1.60d723e8a0e39p-17, 0x1.5713b31959815p-17, 0x1.4d6859e9047afp-17, 0x1.43d54a93e0a7ap-17, 0x1.3a5ab4021c032p-17, 0x1.30f8c1dc9f4b1p-17, 0x1.27af9c9d6a458p-17, 0x1.1e7f69a17524p-17, 0x1.15684b3aaf4cap-17, 0x1.0c6a60c30ff55p-17, 0x1.0385c6ad75451p-17, 0x1.f5752d2e3188p-18, 0x1.e411ceaf98b75p-18, 0x1.d2e19a28dcdf8p-18, 0x1.c1e4b29c1a898p-18, 0x1.b11b35e665e13p-18, 0x1.a0853ce29c84ep-18, 0x1.9022db85478cp-18, 0x1.7ff421006f04bp-18, 0x1.6ff917e0eeee2p-18, 0x1.6031c62fcc91bp-18, 0x1.509e2d8db35e3p-18, 0x1.413e4b52ad823p-18, 0x1.321218ac06b57p-18, 0x1.23198ab9817ecp-18, 0x1.145492ab2a23p-18, 0x1.05c31ddc7fa09p-18, 0x1.eeca2be45ba94p-19, 0x1.d274c1e7f647ap-19, 0x1.b685c2d1da2a1p-19, 0x1.9afcecdeea678p-19, 0x1.7fd9f7b5979bbp-19, 0x1.651c949cad3acp-19, 0x1.4ac46ea8301f8p-19, 0x1.30d12af013155p-19, 0x1.174268bea294fp-19, 0x1.fc2f837929e79p-20, 0x1.caa19453982a7p-20, 0x1.99da22134c542p-20, 0x1.69d8409b623aep-20, 0x1.3a9afa0b00ac9p-20, 0x1.0c214f13b650cp-20, 0x1.bcd46eaee280ep-21, 0x1.62e9437368c6fp-21, 0x1.0a7ee95d65ef2p-21, 0x1.67263a2ff276fp-22, 0x1.788e2f264c738p-23, 0x1.45ba74cbcc1cbp-26, -0x1.2141edae3288dp-23, -0x1.32b3be7e6af5bp-22, -0x1.d1e1c5b24daccp-22, -0x1.37181dcf1077dp-21, -0x1.83d233c4776acp-21, -0x1.cf21d3cc2fa32p-21, -0x1.0c84dbf320d9bp-20, -0x1.30c6523f3d575p-20, -0x1.5456b3f12469ep-20, -0x1.77376ce05300cp-20, -0x1.9969ed5a00f05p-20, -0x1.baefa9de7766ep-20, -0x1.dbca1ae8e361bp-20, -0x1.fbfabcaff939p-20, -0x1.0dc1877957e23p-19, -0x1.1d324a5adf014p-19, -0x1.2c506a0864307p-19, -0x1.3b1caafd9695bp-19, -0x1.4997d30ce18c6p-19, -0x1.57c2a94420365p-19, -0x1.659df5d343b05p-19, -0x1.732a81f3ff906p-19, -0x1.806917d1378f4p-19, -0x1.8d5a82723511cp-19, -0x1.99ff8da0dcf45p-19, -0x1.a65905d6d2885p-19, -0x1.b267b8252e729p-19, -0x1.be2c7222c1e37p-19, -0x1.c9a801d5f2407p-19, -0x1.d4db35a14766cp-19, -0x1.dfc6dc2eda47p-19, -0x1.ea6bc45ddb9c5p-19, -0x1.f4cabd2f3f026p-19, -0x1.fee495b6551e2p-19, -0x1.045d0e84e67bbp-18, -0x1.09261116bbffbp-18, -0x1.0dcdba0238b42p-18, -0x1.125470a0f3804p-18, -0x1.16ba9c2bf566ap-18, -0x1.1b00a3b541a2fp-18, -0x1.1f26ee206e8cbp-18, -0x1.232de21adec8bp-18, -0x1.2715e6154bb4ep-18, -0x1.2adf603dd46abp-18, -0x1.2e8ab67a98421p-18, -0x1.32184e615413ep-18, -0x1.35888d317da1p-18, -0x1.38dbd7d006f6p-18, -0x1.3c1292c0f867ap-18, -0x1.3f2d2221b60ebp-18, -0x1.422be9a488f2ep-18, -0x1.450f4c8ccba25p-18, -0x1.47d7ada74a961p-18, -0x1.4a856f47530dp-18, -0x1.4d18f34248e4ap-18, -0x1.4f929aea64da2p-18, -0x1.51f2c70b8dc83p-18, -0x1.5439d7e6ffcbep-18, -0x1.56682d2f47dc9p-18, -0x1.587e2604b8727p-18, -0x1.5a7c20f292e58p-18, }}, 
      {{0x1.8a515fe67b144p-10, 0x1.896e85c0a295dp-9, 0x1.25194ba1fda9ep-8, 0x1.8163c03e885ebp-8, 0x1.d6805ed8e1925p-8, 0x1.1081e39cb3c69p-7, 0x1.2ec951dbd2074p-7, 0x1.449849ddf8122p-7, 0x1.50ba45194ecffp-7, 0x1.52524e043b2cfp-7, 0x1.48deea474d70dp-7, 0x1.34369fb8c9c03p-7, 0x1.147f7ac7343a9p-7, 0x1.d4473001ab934p-8, 0x1.6b888324bb287p-8, 0x1.e0b321ab55ac3p-9, 0x1.922f397580a18p-10, -0x1.af5cad9aeba8ap-11, -0x1.ba1020df99e05p-9, -0x1.8ec70fcd680a9p-8, -0x1.249b1cae35665p-7, -0x1.853f5674b8575p-7, -0x1.e876c04978fbp-7, -0x1.26be6f0fb9704p-6, -0x1.59d208b1c6d99p-6, -0x1.8d2b467491dd8p-6, -0x1.c08b3ff5f082fp-6, -0x1.f3becee252d52p-6, -0x1.134f093aa1259p-5, -0x1.2c85e1140e784p-5, -0x1.457a2e9afd7fdp-5, -0x1.5e26a15bd030ap-5, -0x1.7689de2338ce6p-5, -0x1.8ea601af4fe35p-5, -0x1.a68024138aad4p-5, -0x1.be1fdf6ec02e2p-5, -0x1.d58edbf416a7p-5, -0x1.ecd862beb5f53p-5, -0x1.02047c39e0cbep-4, -0x1.0d97002a6fbfdp-4, -0x1.192ab40aedcffp-4, -0x1.24c6ae43e48bbp-4, -0x1.3072037cc865ep-4, -0x1.3c33a983ac701p-4, -0x1.48125e3acb499p-4, -0x1.541492504c708p-4, -0x1.6040577e2557ep-4, -0x1.6c9b520c31c74p-4, -0x1.792aad4d30f04p-4, -0x1.85f312cf95622p-4, -0x1.92f8a3fcbc0f5p-4, -0x1.a03ef5e3b2ffdp-4, -0x1.adc90ef0086bp-4, -0x1.bb996650e1a4p-4, -0x1.c9b1e4d8956f3p-4, -0x1.d813e7214db08p-4, -0x1.e6c040c7221ffp-4, -0x1.f5b7408c94a95p-4, -0x1.027c5aa0f5fadp-3, -0x1.0a41f9a5ffacp-3, -0x1.122bed5537f5fp-3, -0x1.1a396eb0553bap-3, -0x1.2269831428a31p-3, -0x1.2abaffab2b028p-3, -0x1.332c8cef7036bp-3, -0x1.3bbcaa334e968p-3, -0x1.4469b128fe85bp-3, -0x1.4d31d962b3ae2p-3, -0x1.56133bc568619p-3, -0x1.5f0bd5e98acc2p-3, -0x1.68198d65745c4p-3, -0x1.713a32fe3ae1cp-3, -0x1.7a6b85bc0da14p-3, -0x1.83ab35dfe37edp-3, -0x1.8cf6e7b8a80dap-3, -0x1.964c3656a2108p-3, -0x1.9fa8b61c18bb3p-3, -0x1.a909f72aa068ap-3, -0x1.b26d87acc787ep-3, -0x1.bbd0f5fc176dap-3, -0x1.c531d2a3a0766p-3, -0x1.ce8db23f7cc7cp-3, -0x1.d7e22f39dd77cp-3, -0x1.e12ceb66566c9p-3, -0x1.ea6b917c4f683p-3, -0x1.f39bd6718de96p-3, -0x1.fcbb7ab5e0a25p-3, -0x1.02e425a885a3fp-2, -0x1.0760117212dap-2, -0x1.0bd07547ce086p-2, -0x1.10344d5f896dep-2, -0x1.148a9dee385a3p-2, -0x1.18d27375a62e4p-2, -0x1.1d0ae30704d58p-2, -0x1.21330a7aeed7cp-2, -0x1.254a109f80302p-2, -0x1.294f255d1da37p-2, -0x1.2d4181d283336p-2, -0x1.31206868b1da6p-2, -0x1.34eb24df45c86p-2, -0x1.38a10c51c9c7cp-2, -0x1.3c417d3683d0ep-2, -0x1.3fcbdf5743235p-2, -0x1.433fa3c4ab09bp-2, -0x1.469c44c46df34p-2, -0x1.49e145bae8999p-2, -0x1.4d0e33108f1a5p-2, -0x1.5022a2138b761p-2, -0x1.531e30d5eff79p-2, -0x1.56008608d6cb8p-2, -0x1.58c950d4c9d34p-2, -0x1.5b7848afba61dp-2, -0x1.5e0d2d30dc03ap-2, -0x1.6087c5e2a67bep-2, -0x1.62e7e2133c19bp-2, -0x1.652d58a37ba48p-2, -0x1.675807d4ec0dep-2, -0x1.6967d516be297p-2, -0x1.6b5cacd21298bp-2, -0x1.6d368235af053p-2, -0x1.6ef54f0151b72p-2, -0x1.70991350c414fp-2, -0x1.7221d566d08cbp-2, -0x1.738fa1783ce31p-2, -0x1.74e28976e66p-2, -0x1.761aa4dd16469p-2, -0x1.773810792dd2bp-2, -0x1.783aee39b4ba9p-2, -0x1.792364f9e8fdep-2, -0x1.79f1a04ed8ce2p-2, -0x1.7aa5d0551acb7p-2, -0x1.7b40297f2e426p-2, -0x1.7bc0e4649492dp-2, -0x1.7c283d91ab38dp-2, -0x1.7c7675584d811p-2, -0x1.7cabcfa14bfcdp-2, -0x1.7cc893bebb764p-2, -0x1.7ccd0c3f226fbp-2, -0x1.7cb986c18ae4ep-2, -0x1.7c8e53ca7c43fp-2, -0x1.7c4bc699de7eep-2, -0x1.7bf23501cccebp-2, -0x1.7b81f73e5432dp-2, -0x1.7afb67ce24b5ep-2, -0x1.7a5ee34c3112dp-2, -0x1.79acc84a418f9p-2, -0x1.78e5772c74572p-2, -0x1.78095205afb74p-2, -0x1.7718bc7502bedp-2, -0x1.76141b83f1979p-2, -0x1.74fbd585ae7ep-2, -0x1.73d051f73d93dp-2, -0x1.7291f9607e467p-2, -0x1.714135361b2b2p-2, -0x1.6fde6fbc5d3b6p-2, -0x1.6e6a13eade7d8p-2, -0x1.6ce48d5119757p-2, -0x1.6b4e47fbd5ce1p-2, -0x1.69a7b05b6c132p-2, -0x1.67f1332adc16p-2, -0x1.662b3d57b82f5p-2, -0x1.64563beadd74ap-2, -0x1.62729bf1f8dfcp-2, -0x1.6080ca69d260dp-2, -0x1.5e813429615d6p-2, -0x1.5c7445cd9e4e6p-2, -0x1.5a5a6ba616512p-2, -0x1.583411a23933ap-2, -0x1.5601a33f60a81p-2, -0x1.53c38b778a08fp-2, -0x1.517a34b0c38d4p-2, -0x1.4f2608ad48f83p-2, -0x1.4cc7707c47d9dp-2, -0x1.4a5ed46b4fc61p-2, -0x1.47ec9bf863846p-2, -0x1.45712dc4aebbp-2, -0x1.42ecef87d7bcbp-2, -0x1.40604603ed06ap-2, -0x1.3dcb94f9ea098p-2, -0x1.3b2f3f1ed17b4p-2, -0x1.388ba61159accp-2, -0x1.35e12a502369p-2, -0x1.33302b3081164p-2, -0x1.307906d5c1c7ap-2, -0x1.2dbc1a290587bp-2, -0x1.2af9c0d18da82p-2, -0x1.2832552d9336cp-2, -0x1.2566304b918cfp-2, -0x1.2295a9e4114cap-2, -0x1.1fc11853e3121p-2, -0x1.1ce8d096d1561p-2, -0x1.1a0d2642bfd32p-2, -0x1.172e6b83386d3p-2, -0x1.144cf115644afp-2, -0x1.1169064468c46p-2, -0x1.0e82f8e62c1d8p-2, -0x1.0b9b15587a919p-2, -0x1.08b1a67e890c1p-2, -0x1.05c6f5bed752p-2, -0x1.02db4b01685eap-2, -0x1.ffddd95ca56c8p-3, -0x1.fa043f594b357p-3, -0x1.f42a4ec33c974p-3, -0x1.ee508b605c659p-3, -0x1.e87775f192633p-3, -0x1.e29f8c33054fdp-3, -0x1.dcc948dcdf0f7p-3, -0x1.d6f523a496847p-3, -0x1.d123913ec2a2cp-3, -0x1.cb5503616d0cep-3, -0x1.c589e8c6de14fp-3, -0x1.bfc2ad30de9aep-3, -0x1.b9ffb96c6c44bp-3, -0x1.b4417355dc8b4p-3, -0x1.ae883ddd64ee6p-3, -0x1.a8d4790c09326p-3, -0x1.a3268208e97dcp-3, -0x1.9d7eb31eecd32p-3, -0x1.97dd63c2bffc5p-3, -0x1.9242e8992d4c6p-3, -0x1.8caf937dbc82ep-3, -0x1.8723b389a2ba3p-3, -0x1.819f951afa766p-3, -0x1.7c2381dc3a289p-3, -0x1.76afc0cbf1f12p-3, -0x1.71449644bf0a4p-3, -0x1.6be244057cc4fp-3, -0x1.66890939a6c85p-3, -0x1.61392281ef365p-3, -0x1.5bf2c9fd05313p-3, -0x1.56b6375081346p-3, -0x1.51839fb201cd4p-3, -0x1.4c5b35f061d7p-3, -0x1.473d2a7d1d54cp-3, -0x1.4229ab75ce0b3p-3, -0x1.3d20e4adc0bbbp-3, -0x1.3822ffb7b1136p-3, -0x1.333023ef89ffap-3, -0x1.2e4876844d982p-3, -0x1.296c1a81fecbp-3, -0x1.249b30dba106bp-3, -0x1.1fd5d87545154p-3, -0x1.1b1c2e2e1ec3ep-3, -0x1.166e4ceaa1933p-3, -0x1.11cc4d9ea7152p-3, -0x1.0d36475792a72p-3, -0x1.08ac4f467ed92p-3, -0x1.042e78ca62ea1p-3, -0x1.ff79aaf47792p-4, -0x1.f6aeea5e5c1a5p-4, -0x1.edfccc1d4c56p-4, -0x1.e5636928d1a92p-4, -0x1.dce2d7394875ap-4, -0x1.d47b28dbe2f36p-4, -0x1.cc2c6d8691a51p-4, -0x1.c3f6b1abd4ee6p-4, -0x1.bbd9fece77cb4p-4, -0x1.b3d65b9515c0ep-4, -0x1.abebcbdd947d7p-4, -0x1.a41a50d068b1dp-4, -0x1.9c61e8f3b97dcp-4, -0x1.94c2903e5b665p-4, -0x1.8d3c402a96853p-4, -0x1.85ceefc8cac43p-4, -0x1.7e7a93d1dc275p-4, -0x1.773f1eb96f69ep-4, -0x1.701c80bff397ap-4, -0x1.6912a8047873ap-4, -0x1.622180964b596p-4, -0x1.5b48f4865f835p-4, -0x1.5488ebf87b62ap-4, -0x1.4de14d342d516p-4, -0x1.4751fcb58528cp-4, -0x1.40dadd3d8f364p-4, -0x1.3a7bcfe295d7p-4, -0x1.3434b420211b3p-4, -0x1.2e0567e6bb1f9p-4, -0x1.27edc7ab737d5p-4, -0x1.21edae7721fc6p-4, -0x1.1c04f5f56996bp-4, -0x1.1633768379dd3p-4, -0x1.1079073e8ebe4p-4, -0x1.0ad57e1231245p-4, -0x1.0548afc62e0b5p-4, -0x1.ffa4e018aba3ap-5, -0x1.f4e5231bdc44cp-5, -0x1.ea51cbf1d127p-5, -0x1.dfea7c19a849ap-5, -0x1.d5aed34f176a7p-5, -0x1.cb9e6fa3417cap-5, -0x1.c1b8ed950b598p-5, -0x1.b7fde828e8fadp-5, -0x1.ae6cf90022e64p-5, -0x1.a505b86f9fbecp-5, -0x1.9bc7bd96200b2p-5, -0x1.92b29e71fd154p-5, -0x1.89c5eff665407p-5, -0x1.8101462012ac3p-5, -0x1.786434098495fp-5, -0x1.6fee4bfeb7f3bp-5, -0x1.679f1f905fa33p-5, -0x1.5f763fa6a064dp-5, -0x1.57733c934f959p-5, -0x1.4f95a623b2308p-5, -0x1.47dd0bb1c9d1p-5, -0x1.4048fc351ba7dp-5, -0x1.38d906530d87bp-5, -0x1.318cb86ec1788p-5, -0x1.2a63a0b87d2dfp-5, -0x1.235d4d3ca1f5ap-5, -0x1.1c794bf230895p-5, -0x1.15b72ac8d5f52p-5, -0x1.0f1677b68f49bp-5, -0x1.0896c0c4ddc61p-5, -0x1.0237941d8bd26p-5, -0x1.f7f1002e0d55bp-6, -0x1.ebb22680a07f4p-6, -0x1.dfb1b8d916cacp-6, -0x1.d3eed57c3804ap-6, -0x1.c8689b62c96d5p-6, -0x1.bd1e2a4e46d3p-6, -0x1.b20ea2dccd7cdp-6, -0x1.a739269c63209p-6, -0x1.9c9cd81d511c6p-6, -0x1.9238db03f5c3fp-6, -0x1.880c5419c833cp-6, -0x1.7e16695da8b3cp-6, -0x1.745642138ff4dp-6, -0x1.6acb06d383202p-6, -0x1.6173e197ee7fp-6, -0x1.584ffdcb4ece5p-6, -0x1.4f5e88553e5abp-6, -0x1.469eafa6f125dp-6, -0x1.3e0fa3c6f3c21p-6, -0x1.35b0965c7e83cp-6, -0x1.2d80baba15f5ap-6, -0x1.257f45e79ff9p-6, -0x1.1dab6eabfaf04p-6, -0x1.16046d95f748cp-6, -0x1.0e897d04d7fc6p-6, -0x1.0739d9304439ap-6, -0x1.0014c02fc5a3fp-6, -0x1.f232e40388cb8p-7, -0x1.e48e6123f6e5p-7, -0x1.d73a7f7f1cfacp-7, -0x1.ca35cac53a1aep-7, -0x1.bd7ed2a2c5bbep-7, -0x1.b1142ac9ecde3p-7, -0x1.a4f46afb14a99p-7, -0x1.991e2f0cc3a3ap-7, -0x1.8d9016f286891p-7, -0x1.8248c6c342c88p-7, -0x1.7746e6bea22edp-7, -0x1.6c892351db515p-7, -0x1.620e2d1bd27e5p-7, -0x1.57d4b8f0770d4p-7, -0x1.4ddb7fdb74fb9p-7, -0x1.44213f225b59cp-7, -0x1.3aa4b8461c81ap-7, -0x1.3164b103e4fe7p-7, -0x1.285ff355733afp-7, -0x1.1f954d70dfe9cp-7, -0x1.170391c7c17c4p-7, -0x1.0ea99705f36afp-7, -0x1.0686380fc6562p-7, -0x1.fd30a7ff5f51cp-8, -0x1.edbd9c472c071p-8, -0x1.deb11bf322aafp-8, -0x1.d008fe58a691ep-8, -0x1.c1c3231e4a4a2p-8, -0x1.b3dd7232dafecp-8, -0x1.a655dbc3c898fp-8, -0x1.992a5832c3802p-8, -0x1.8c58e80ac88c6p-8, -0x1.7fdf93f436662p-8, -0x1.73bc6ca8ad6adp-8, -0x1.67ed8ae5da517p-8, -0x1.5c710f6007627p-8, -0x1.514522b416417p-8, -0x1.4667f558a72b7p-8, -0x1.3bd7bf8f1d4ep-8, -0x1.3192c153f2121p-8, -0x1.2797424ea552ep-8, -0x1.1de391c14ac83p-8, -0x1.14760677999f1p-8, -0x1.0b4cfeb5b05b1p-8, -0x1.0266e0265ed69p-8, -0x1.f3842f92b91e2p-9, -0x1.e2ba33c1a70c4p-9, -0x1.d26cc3bde0f7dp-9, -0x1.c298e4a5fef3p-9, -0x1.b33ba9acabf2fp-9, -0x1.a45233f2131adp-9, -0x1.95d9b25cd51efp-9, -0x1.87cf617275fbfp-9, -0x1.7a308b2f96e36p-9, -0x1.6cfa86dfffbe6p-9, -0x1.602ab8f5fbdd1p-9, -0x1.53be92e1eb008p-9, -0x1.47b392e9192ebp-9, -0x1.3c0743fcf1b9dp-9, -0x1.30b73d91748fbp-9, -0x1.25c123740b3dbp-9, -0x1.1b22a5a207d2ap-9, -0x1.10d9801eeb75p-9, -0x1.06e37acae7859p-9, -0x1.fa7cd272083e7p-10, -0x1.e7d0550b6afabp-10, -0x1.d5bd525a1ffd4p-10, -0x1.c43fb5c202714p-10, -0x1.b35380c004287p-10, -0x1.a2f4ca96c96b1p-10, -0x1.931fbffc12d1dp-10, -0x1.83d0a2c60679p-10, -0x1.7503c99916d49p-10, -0x1.66b59f95dc007p-10, -0x1.58e2a40753865p-10, -0x1.4b876a11ef4e5p-10, -0x1.3ea09862483b8p-10, -0x1.322ae8dcc87c9p-10, -0x1.2623284df37b8p-10, -0x1.1a86361a649fp-10, -0x1.0f5103f0148eap-10, -0x1.04809577c81f4p-10, -0x1.f424000e5ead5p-11, -0x1.e004d4a6af819p-11, -0x1.cc9e184848da2p-11, -0x1.b9ea5c1006574p-11, -0x1.a7e45210a8453p-11, -0x1.9686ccbd8eca6p-11, -0x1.85ccbe55fbbeap-11, -0x1.75b1385203f42p-11, -0x1.662f6ad120a22p-11, -0x1.5742a409c845ep-11, -0x1.48e64fbac18a9p-11, -0x1.3b15f69da9903p-11, -0x1.2dcd3ddb65509p-11, -0x1.2107e681d1325p-11, -0x1.14c1ccfa94e43p-11, -0x1.08f6e884867efp-11, -0x1.fb46955aca7dep-12, -0x1.e5863d9c6d506p-12, -0x1.d0a553114189p-12, -0x1.bc9c908c126f6p-12, -0x1.a964e17071872p-12, -0x1.96f760b739cd9p-12, -0x1.854d57f6f14fp-12, -0x1.74603e6eb49afp-12, -0x1.6429b814a9a3ep-12, -0x1.54a394a77195dp-12, -0x1.45c7cec4298edp-12, -0x1.37908afcfdb57p-12, -0x1.29f816f64b405p-12, -0x1.1cf8e88506bffp-12, -0x1.108d9cd0464d4p-12, -0x1.04b0f777c46f8p-12, -0x1.f2bbc3770be24p-13, -0x1.dd1ed350e0a1ap-13, -0x1.c881828f66f39p-13, -0x1.b4da7ba0a0bcp-13, -0x1.a220adbbabf5ep-13, -0x1.904b4b51f2ff6p-13, -0x1.7f51c886c4356p-13, -0x1.6f2bd9aea1bcdp-13, -0x1.5fd171d4c5446p-13, -0x1.513ac144d2badp-13, -0x1.4360341d8dc38p-13, -0x1.363a70e91ab45p-13, -0x1.29c25739fbf13p-13, -0x1.1df0fe4f7cb43p-13, -0x1.12bfb3c038616p-13, -0x1.0827fa29aac9fp-13, -0x1.fc470fcf016ebp-14, -0x1.e9588b9da98a7p-14, -0x1.d7789bdfa545fp-14, -0x1.c69bd4c0ca5fcp-14, -0x1.b6b7280c2ca5dp-14, -0x1.a7bfe2d8a9ebbp-14, -0x1.99abab38b0dcbp-14, -0x1.8c707df698758p-14, -0x1.8004ac5fedb5ap-14, -0x1.745eda170861cp-14, -0x1.6975faf24439ep-14, -0x1.5f4150e3e2dadp-14, -0x1.55b869ed8ab8ep-14, -0x1.4cd31e20727f1p-14, -0x1.44898da3d1df9p-14, -0x1.3cd41ec691d08p-14, -0x1.35ab7c1fba41ep-14, -0x1.2f0892b1aa19fp-14, -0x1.28e4901cf2b55p-14, -0x1.2338e0d78fc2ap-14, -0x1.1dff2e747ce7p-14, -0x1.19315deca5cep-14, -0x1.14c98df938dc6p-14, -0x1.10c21571a0a75p-14, -0x1.0d1581b467fe5p-14, -0x1.09be95179f5ffp-14, -0x1.06b84564e96f4p-14, -0x1.03fdba5c0fde3p-14, -0x1.018a4c3d91043p-14, -0x1.feb304bebcf58p-15, -0x1.face23925cdfcp-15, -0x1.f75db7b18247p-15, -0x1.f459d9d84accbp-15, -0x1.f1baf63091262p-15, -0x1.ef79c9c84eaaep-15, -0x1.ed8f6014814a8p-15, -0x1.ebf5108b8eb73p-15, -0x1.eaa47c4818edcp-15, -0x1.e9978bbc082e5p-15, -0x1.e8c86c7018fecp-15, -0x1.e8318ed4fd181p-15, -0x1.e7cda41cf70f6p-15, -0x1.e7979c29eb252p-15, -0x1.e78aa3801aca6p-15, -0x1.e7a2214dcb789p-15, -0x1.e7d9b57c9182ap-15, -0x1.e82d36ca2b153p-15, -0x1.e898b0f8af59dp-15, -0x1.e91862fe8cf65p-15, -0x1.e9a8bd4a52ea7p-15, -0x1.ea4660110964p-15, -0x1.eaee19a379b66p-15, -0x1.eb9ce4d513af5p-15, -0x1.ec4fe76889b08p-15, -0x1.ed04708881dbcp-15, -0x1.edb7f74c26ff2p-15, -0x1.ee681944fb1e1p-15, -0x1.ef129915940b1p-15, -0x1.efb55d138736bp-15, -0x1.f04e6df4c531bp-15, -0x1.f0dbf58256ed1p-15, -0x1.f15c3d57144e6p-15, -0x1.f1cdada6d74dcp-15, -0x1.f22ecc0d6517ep-15, -0x1.f27e3a6927165p-15, -0x1.f2bab5b8712adp-15, -0x1.f2e3150827acbp-15, -0x1.f2f648604eba8p-15, -0x1.f2f357c03edecp-15, -0x1.f2d9621f43ed6p-15, -0x1.f2a79c7435d3ep-15, -0x1.f25d50c760855p-15, -0x1.f1f9dd47ed049p-15, -0x1.f17cb36b4879bp-15, -0x1.f0e557124f04fp-15, -0x1.f0335db565b4ep-15, -0x1.ef666d975f3cdp-15, -0x1.ee7e3cff0930ep-15, -0x1.ed7a9173c31e7p-15, -0x1.ec5b3f06a4dacp-15, -0x1.eb20279b71a7ep-15, -0x1.e9c93a3adc18ep-15, -0x1.e856726923f8bp-15, -0x1.e6c7d78273f7cp-15, -0x1.e51d7c1e3ce66p-15, -0x1.e3577d7430b4cp-15, -0x1.e17602ca5b659p-15, -0x1.df793ce5caa49p-15, -0x1.dd616580a6f57p-15, -0x1.db2ebec59a175p-15, -0x1.d8e192cf631a1p-15, -0x1.d67a332c74d65p-15, -0x1.d3f8f86949e41p-15, -0x1.d15e419aad098p-15, -0x1.ceaa73f188742p-15, -0x1.cbddfa4cec191p-15, -0x1.c8f944d634b7ep-15, -0x1.c5fcc89b42bf3p-15, -0x1.c2e8ff31940cap-15, -0x1.bfbe665848fa5p-15, -0x1.bc7d7fa13e07p-15, -0x1.b926d01bc3d3cp-15, -0x1.b5bae003d5e43p-15, -0x1.b23a3a730bcdp-15, -0x1.aea56d168ca72p-15, -0x1.aafd07e5a050bp-15, -0x1.a7419cde230b9p-15, -0x1.a373bfc1ed05ep-15, -0x1.9f9405d734f97p-15, -0x1.9ba305ac42e9ep-15, -0x1.97a156de17d9p-15, -0x1.938f91df6c509p-15, -0x1.8f6e4fc53acfep-15, -0x1.8b3e2a13e18cbp-15, -0x1.86ffba8ee02cbp-15, -0x1.82b39b0ad599p-15, -0x1.7e5a65422f0cdp-15, -0x1.79f4b2ab05c81p-15, -0x1.75831c4ff15d6p-15, -0x1.71063aaa4301cp-15, -0x1.6c7ea57f5e2ddp-15, -0x1.67ecf3bd4c2aep-15, -0x1.6351bb5c0f3dp-15, -0x1.5ead913ecc5dep-15, -0x1.5a010917a3adp-15, -0x1.554cb54ce8288p-15, -0x1.509126df5a14bp-15, -0x1.4bceed529d87ap-15, -0x1.470696970ecb5p-15, -0x1.4238aef435ff3p-15, -0x1.3d65c0f5a3e5ep-15, -0x1.388e555964625p-15, -0x1.33b2f2fdcf8c2p-15, -0x1.2ed41ed2ab3e7p-15, -0x1.29f25bca520dcp-15, -0x1.250e2acc2fcc4p-15, -0x1.20280aa873e65p-15, -0x1.1b40780d0b3fdp-15, -0x1.1657ed7b522dp-15, -0x1.116ee33eb82bcp-15, -0x1.0c85cf63cbbcdp-15, -0x1.079d25b23346ep-15, -0x1.02b557a4a886bp-15, -0x1.fb9da8c877a9dp-16, -0x1.f1d41186025acp-16, -0x1.e80ebe6eeaa5ap-16, -0x1.de4e7fb4455e9p-16, -0x1.d49420c26c0dp-16, -0x1.cae0683fbb8bp-16, -0x1.c1341808b8d4fp-16, -0x1.b78fed2d6e93fp-16, -0x1.adf49ff324abp-16, -0x1.a462e3d2235b8p-16, -0x1.9adb677a10e2p-16, -0x1.915ed4d252bd7p-16, -0x1.87edd0ff82292p-16, -0x1.7e88fc66affaep-16, -0x1.7530f2b3b2ba1p-16, -0x1.6be64ade69616p-16, -0x1.62a997331df71p-16, -0x1.597b655918d14p-16, -0x1.505c3e5b6980ap-16, -0x1.474ca6b325b5bp-16, -0x1.3e4d1e4f40c7ap-16, -0x1.355e20a115de2p-16, -0x1.2c8024a5093afp-16, -0x1.23b39cefd5abp-16, -0x1.1af8f7b91aaf2p-16, -0x1.12509ee8e7e57p-16, -0x1.09baf823a9657p-16, -0x1.013864d84a7bbp-16, -0x1.f1928499b2186p-17, -0x1.e0dbd359cc8dp-17, -0x1.d04d602fc32adp-17, -0x1.bfe7cd5e21adfp-17, -0x1.afabb54b5cc23p-17, -0x1.9f99aa9c76fb8p-17, -0x1.8fb23854e4f6ap-17, -0x1.7ff5e1f625171p-17, -0x1.7065239e669a1p-17, -0x1.610072280482p-17, -0x1.51c83b490eecp-17, -0x1.42bce5b4d82e8p-17, -0x1.33ded13b2cc21p-17, -0x1.252e56e8885f4p-17, -0x1.16abc926ec85fp-17, -0x1.085773de060abp-17, -0x1.f463392a5d502p-18, -0x1.d8750525ea0eep-18, -0x1.bce4bdfd1cb31p-18, -0x1.a1b2ca01e3cacp-18, -0x1.86df83c821977p-18, -0x1.6c6b3a6b20fc9p-18, -0x1.525631cc703f9p-18, -0x1.38a0a2d64a4c4p-18, -0x1.1f4abbb99f563p-18, -0x1.0654a032b1511p-18, -0x1.db7cd38b6238bp-19, -0x1.ab104ffe0e0dap-19, -0x1.7b63c1659d5a1p-19, -0x1.4c77207d024b4p-19, -0x1.1e4a5386342bbp-19, -0x1.e1ba5d98f3f8p-20, -0x1.885eea3998143p-20, -0x1.3081b08439153p-20, -0x1.b443e5edeeabep-21, -0x1.0a7da7cb0fe34p-21, -0x1.8ebab37f7ba4p-23, 0x1.00ad0511de809p-23, 0x1.c22527b6aaac6p-22, 0x1.7f09f52d37582p-21, 0x1.0d0a236009d27p-20, 0x1.591a4fce7e282p-20, 0x1.a3b725537e34ep-20, 0x1.ece262635bd86p-20, 0x1.1a4eeed86c7eap-19, 0x1.3d75c2a15b8eep-19, 0x1.5fe6aedde4661p-19, 0x1.81a2c0be8e1f5p-19, 0x1.a2ab0fefafbc2p-19, 0x1.c300be3857bb6p-19, 0x1.e2a4f7167870cp-19, 0x1.00cc77ac7e203p-18, 0x1.0feef264757a2p-18, 0x1.1eba8ee34ec26p-18, 0x1.2d2ff4784f2d9p-18, 0x1.3b4fce6282565p-18, 0x1.491acba7a99cbp-18, 0x1.56919ee51a3fdp-18, 0x1.63b4fe284b375p-18, 0x1.7085a2c13e76bp-18, 0x1.7d04491d62d62p-18, 0x1.8931b09c1168bp-18, 0x1.950e9b69c5002p-18, 0x1.a09bce54ced9ep-18, 0x1.abda10ac6c7eep-18, 0x1.b6ca2c184585cp-18, 0x1.c16cec759b7dcp-18, 0x1.cbc31fb175addp-18, 0x1.d5cd95a8585d1p-18, 0x1.df8d20022bde9p-18, 0x1.e90292117e8a1p-18, 0x1.f22ec0b3727e1p-18, 0x1.fb12823003013p-18, 0x1.01d7570d50528p-17, 0x1.06020e99203bdp-17, 0x1.0a09d4a2b6a72p-17, 0x1.0def168a5ee13p-17, 0x1.11b2421b69cefp-17, 0x1.1553c57ea2f2ap-17, 0x1.18d40f2bfeda4p-17, 0x1.1c338ddea8b5ep-17, 0x1.1f72b087457fbp-17, 0x1.2291e640572d5p-17, 0x1.25919e41cabb5p-17, 0x1.287247d57e638p-17, 0x1.2b34524c25a4ep-17, 0x1.2dd82cf180a53p-17, 0x1.305e4701adbfap-17, 0x1.32c70f9f3b0a5p-17, 0x1.3512f5c8736d1p-17, 0x1.3742684e2fd34p-17, 0x1.3955d5c996fa2p-17, 0x1.3b4dac9380c42p-17, 0x1.3d2a5abaa7979p-17, 0x1.3eec4dfc0a0eep-17, 0x1.4093f3ba163ccp-17, 0x1.4221b8f44a3f2p-17, 0x1.43960a3f9177bp-17, 0x1.44f153bf79a79p-17, 0x1.4634011d62f42p-17, 0x1.475e7d8280eedp-17, 0x1.48713390b9cb9p-17, 0x1.496c8d5c5319ep-17, 0x1.4a50f465a319ap-17, 0x1.4b1ed19286425p-17, 0x1.4bd68d29289bfp-17, 0x1.4c788eca06a1bp-17, 0x1.4d053d6a73bd1p-17, 0x1.4d7cff503e3e3p-17, 0x1.4de03a0c48dd2p-17, 0x1.4e2f5275c9622p-17, 0x1.4e6aaca59bc57p-17, 0x1.4e92abf2713a6p-17, 0x1.4ea7b2ec39efp-17, 0x1.4eaa2358a4f0cp-17, 0x1.4e9a5e2f32893p-17, 0x1.4e78c395e28a6p-17, 0x1.4e45b2dd75828p-17, 0x1.4e018a7efbfe4p-17, 0x1.4daca8183f838p-17, 0x1.4d4768691775dp-17, 0x1.4cd22750d8362p-17, 0x1.4c4d3fcbefcc8p-17, 0x1.4bb90bf1e3208p-17, 0x1.4b15e4f281007p-17, 0x1.4a64231414184p-17, 0x1.49a41db1abd3bp-17, 0x1.48d62b396384ap-17, 0x1.47faa12b222a1p-17, 0x1.4711d4162f2c9p-17, 0x1.461c17993890fp-17, 0x1.4519be601820ep-17, 0x1.440b1a232fb42p-17, 0x1.42f07ba6cefc5p-17, 0x1.41ca32b9e79f6p-17, 0x1.40988e3597e84p-17, 0x1.3f5bdbfcb3044p-17, 0x1.3e1468fb9b66p-17, 0x1.3cc2812705243p-17, 0x1.3b666f7c6afefp-17, 0x1.3a007e01bbf0fp-17, 0x1.3890f5c55ca03p-17, 0x1.37181ede467f1p-17, 0x1.3596406bf22e6p-17, 0x1.340ba096fc805p-17, 0x1.327884913e1bp-17, 0x1.30dd3095d58fp-17, 0x1.2f39e7ea366c1p-17, 0x1.2d8eecdeba171p-17, 0x1.2bdc80cf217dfp-17, 0x1.2a22e423202a4p-17, 0x1.2862564f47732p-17, 0x1.269b15d5fa55p-17, 0x1.24cd604867325p-17, 0x1.22f972475d426p-17, 0x1.211f878479318p-17, 0x1.1f3fdac2febep-17, 0x1.1d5aa5d95e436p-17, 0x1.1b7021b25e783p-17, 0x1.1980864e487a6p-17, 0x1.178c0ac43d13p-17, 0x1.1592e5439d49cp-17, 0x1.13954b156624dp-17, 0x1.1193709de1954p-17, 0x1.0f8d895e14cdep-17, 0x1.0d83c7f506af2p-17, 0x1.0b765e21bd39bp-17, 0x1.09657cc47e5b2p-17, 0x1.075153e0a1b6p-17, 0x1.053a129e9b315p-17, 0x1.031fe74d34b5bp-17, 0x1.0102ff638e821p-17, 0x1.fdc70f0584cc9p-18, 0x1.f98356ef7a13bp-18, 0x1.f53b2c7acdc7bp-18, 0x1.f0eee3fc566e8p-18, 0x1.ec9ed02bd8981p-18, 0x1.e84b4227c9452p-18, 0x1.e3f48979230a6p-18, 0x1.df9af417923e9p-18, 0x1.db3ece6d64582p-18, 0x1.d6e0635af956p-18, 0x1.d27ffc3b62a52p-18, 0x1.ce1de0e8017fbp-18, 0x1.c9ba57bc682b5p-18, 0x1.c555a59af23dbp-18, 0x1.c0f00df05a9fdp-18, 0x1.bc89d2b870a5bp-18, 0x1.b82334813beddp-18, 0x1.b3bc726fe0745p-18, 0x1.af55ca44e7001p-18, 0x1.aaef785fe709fp-18, 0x1.a689b7c3af759p-18, 0x1.a224c21a404f6p-18, 0x1.9dc0cfb9c6cb7p-18, 0x1.995e17a7fbf21p-18, 0x1.94fccf9ec2f18p-18, 0x1.909d2c103a353p-18, 0x1.8c3f602aba095p-18, 0x1.87e39ddd00c9cp-18, 0x1.838a15da6567ap-18, 0x1.7f32f79f0accep-18, 0x1.7ade7174333d7p-18, 0x1.768cb07410006p-18, 0x1.723de08e01bb8p-18, 0x1.6df22c8aa73b9p-18, 0x1.69a9be0fedf74p-18, 0x1.6564bda54c5d4p-18, 0x1.612352b7c1e99p-18, 0x1.5ce5a39dabb49p-18, 0x1.58abd59b0c4d2p-18, 0x1.54760ce5770d5p-18, 0x1.50446ca7f7657p-18, 0x1.4c17170776668p-18, 0x1.47ee2d260de73p-18, 0x1.43c9cf27358f7p-18, 0x1.3faa1c34110a2p-18, 0x1.3b8f327e6096bp-18, 0x1.37792f454c524p-18, 0x1.33682ed8f2bc7p-18, 0x1.2f5c4c9e0716fp-18, 0x1.2b55a31188d84p-18, 0x1.27544bccd59f9p-18, 0x1.23585f8913b25p-18, 0x1.1f61f6230d2dp-18, 0x1.1b71269ec699cp-18, 0x1.1786072b27b06p-18, 0x1.13a0ad25db6d1p-18, 0x1.0fc12d1ea45c3p-18, 0x1.0be79adaac007p-18, 0x1.0814095844ef9p-18, 0x1.04468ad277091p-18, 0x1.007f30c479847p-18, 0x1.f97c17d9e58cdp-19, 0x1.f20658a2b62c9p-19, 0x1.ea9d42831b769p-19, 0x1.e340f2b5ddc16p-19, 0x1.dbf18517bc4b9p-19, 0x1.d4af142d9e7fap-19, 0x1.cd79b92b0783cp-19, 0x1.c6518bf83db14p-19, 0x1.bf36a338eb1abp-19, 0x1.b8291452ecc39p-19, 0x1.b128f373ca45ep-19, 0x1.aa365396faaffp-19, 0x1.a351468c4d2p-19, 0x1.9c79dcfd0836dp-19, 0x1.95b02671d7565p-19, 0x1.8ef43159d81b5p-19, 0x1.88460b0f8fbb5p-19, 0x1.81a5bfdeae2e5p-19, 0x1.7b135b099a94dp-19, 0x1.748ee6cf1337cp-19, 0x1.6e186c6fe4039p-19, 0x1.67aff434161f1p-19, 0x1.615585707c518p-19, 0x1.5b09268ba175ap-19, }}, 
      {{-0x1.a312ea263183bp-1, -0x1.a31d61ae7bedbp-1, -0x1.a32053733dbf8p-1, -0x1.a30ffa317ea0bp-1, -0x1.a2e4062d0cddfp-1, -0x1.a2981c61952cdp-1, -0x1.a22b4ab93247ep-1, -0x1.a19f1e8fb4788p-1, -0x1.a0f6b5af308d6p-1, -0x1.a035f1a467a6fp-1, -0x1.9f60daebddec4p-1, -0x1.9e7b33f20003bp-1, -0x1.9d8835af00d72p-1, -0x1.9c8a6d7ebbd55p-1, -0x1.9b83b3c6428dcp-1, -0x1.9a7533e6f78fcp-1, -0x1.995f7f4bc9138p-1, -0x1.9842a6b47d0b2p-1, -0x1.971e561c36557p-1, -0x1.95f1f0a301f9bp-1, -0x1.94bcaabacb1f4p-1, -0x1.937da18198a3fp-1, -0x1.9233eeb36a4a6p-1, -0x1.90deb8fc1c53fp-1, -0x1.8f7d40b406d2dp-1, -0x1.8e0ee93e7fc14p-1, -0x1.8c933f5cf5617p-1, -0x1.8b09fcd857029p-1, -0x1.897309e8293b6p-1, -0x1.87ce7cbdda8ffp-1, -0x1.861c9795a0396p-1, -0x1.845dc5a613a8cp-1, -0x1.8292973e1c62p-1, -0x1.80bbbd565c27bp-1, -0x1.7eda04d0ea001p-1, -0x1.7cee519832d78p-1, -0x1.7af999c48a13dp-1, -0x1.78fce0e78a412p-1, -0x1.76f93394f6f89p-1, -0x1.74efa33a53541p-1, -0x1.72e14250e0aap-1, -0x1.70cf20f11a6ffp-1, -0x1.6eba49cafec66p-1, -0x1.6ca3bf836a7bcp-1, -0x1.6a8c7a746c3a6p-1, -0x1.687566ccac7acp-1, -0x1.665f6308adedp-1, -0x1.644b3ebfc7fbap-1, -0x1.6239b9be297c9p-1, -0x1.602b8364e4759p-1, -0x1.5e213a48f0b88p-1, -0x1.5c1b6c0a2b117p-1, -0x1.5a1a955b8e2efp-1, -0x1.581f223631926p-1, -0x1.56296e30fd5f7p-1, -0x1.5439c4f76bdaap-1, -0x1.525062da24a61p-1, -0x1.506d7574ad0e8p-1, -0x1.4e911c63df79dp-1, -0x1.4cbb6a094b161p-1, -0x1.4aec6458040aap-1, -0x1.492405a7d46f6p-1, -0x1.47623d8c1f814p-1, -0x1.45a6f1ac1a592p-1, -0x1.43f1fe9a524b2p-1, -0x1.424338a9c59c7p-1, -0x1.409a6cbf0e638p-1, -0x1.3ef7611c67177p-1, -0x1.3d59d6277d30ep-1, -0x1.3bc187283cfcap-1, -0x1.3a2e2affecde4p-1, -0x1.389f74d8132fap-1, -0x1.371514c8c3c86p-1, -0x1.358eb87614874p-1, -0x1.340c0ba48c391p-1, -0x1.328cb8c47a7dcp-1, -0x1.311069743b4fep-1, -0x1.2f96c6f97591ep-1, -0x1.2e1f7ab176b89p-1, -0x1.2caa2e78d9f71p-1, -0x1.2b368d0aadf2dp-1, -0x1.29c442575e7adp-1, -0x1.2852fbd3a2b2p-1, -0x1.26e268bfc1094p-1, -0x1.25723a6775578p-1, -0x1.2402245acfb41p-1, -0x1.2291dca05de17p-1, -0x1.21211be0fc143p-1, -0x1.1faf9d8d9cb19p-1, -0x1.1e3d1fff66adap-1, -0x1.1cc964927b052p-1, -0x1.1b542fbbb9b96p-1, -0x1.19dd4919da176p-1, -0x1.18647b82292fcp-1, -0x1.16e995093be9ap-1, -0x1.156c6707e52a1p-1, -0x1.13ecc61cb9bc9p-1, -0x1.126a8a2a685a8p-1, -0x1.10e58e532f7bcp-1, -0x1.0f5db0f1ae13ap-1, -0x1.0dd2d38f50507p-1, -0x1.0c44dad896d1ep-1, -0x1.0ab3ae8f6d55cp-1, -0x1.091f397bc80bep-1, -0x1.0787695abbe8fp-1, -0x1.05ec2ecc405d4p-1, -0x1.044d7d3fc589dp-1, -0x1.02ab4adfcd922p-1, -0x1.0105907caae88p-1, -0x1.feb892ed17a3dp-2, -0x1.fb5ee74de529bp-2, -0x1.f7fe1e9374da6p-2, -0x1.f4963dcb8fad3p-2, -0x1.f1274e6af688dp-2, -0x1.edb15e1e00e3dp-2, -0x1.ea347e992334cp-2, -0x1.e6b0c56983e63p-2, -0x1.e3264bc5be77fp-2, -0x1.df952e5f01aafp-2, -0x1.dbfd8d3299de3p-2, -0x1.d85f8b5c0acbfp-2, -0x1.d4bb4ee7cc71dp-2, -0x1.d11100a6c4a6p-2, -0x1.cd60cc0287e79p-2, -0x1.c9aaded27a0bap-2, -0x1.c5ef6931d791ep-2, -0x1.c22e9d56b6252p-2, -0x1.be68af6a018e9p-2, -0x1.ba9dd5608723bp-2, -0x1.b6ce46d509869p-2, -0x1.b2fa3ce36de07p-2, -0x1.af21f204fd4ep-2, -0x1.ab45a1edc3bb1p-2, -0x1.a765896b0bbc9p-2, -0x1.a381e642f3e3ep-2, -0x1.9f9af7152505dp-2, -0x1.9bb0fb3ca18b1p-2, -0x1.97c432b2b14dbp-2, -0x1.93d4ddf2e2fb6p-2, -0x1.8fe33de023dcep-2, -0x1.8bef93aae6189p-2, -0x1.87fa20b85a462p-2, -0x1.8403268aaabc1p-2, -0x1.800ae6aa42b45p-2, -0x1.7c11a2900ecfdp-2, -0x1.78179b90be019p-2, -0x1.741d12c8f4cf3p-2, -0x1.7022490a7123cp-2, -0x1.6c277eca196ecp-2, -0x1.682cf40ef1569p-2, -0x1.6432e861eac31p-2, -0x1.60399abe95017p-2, -0x1.5c4149849c608p-2, -0x1.584a326a1a43ep-2, -0x1.5454926eaa402p-2, -0x1.5060a5cf45909p-2, -0x1.4c6ea7fadac9cp-2, -0x1.487ed3879a4e5p-2, -0x1.44916228f8d88p-2, -0x1.40a68ca65a74dp-2, -0x1.3cbe8ad266d0fp-2, -0x1.38d99382fe10fp-2, -0x1.34f7dc89caa7bp-2, -0x1.31199aad6b5b7p-2, -0x1.2d3f01a32c39bp-2, -0x1.296844094f5cbp-2, -0x1.25959361de072p-2, -0x1.21c7200dfbeecp-2, -0x1.1dfd1949baf38p-2, -0x1.1a37ad286676dp-2, -0x1.1677089147349p-2, -0x1.12bb573cd7b35p-2, -0x1.0f04c3b26555fp-2, -0x1.0b5377461a1ap-2, -0x1.07a79a176c5edp-2, -0x1.0401530feccaep-2, -0x1.0060c7e276b54p-2, -0x1.f98c3a1564b9dp-3, -0x1.f262eb99e5358p-3, -0x1.eb45e86cc29a5p-3, -0x1.e435723af4191p-3, -0x1.dd31c845a2cd7p-3, -0x1.d63b2764432eap-3, -0x1.cf51ca07397b1p-3, -0x1.c875e83b00521p-3, -0x1.c1a7b7abc8b13p-3, -0x1.bae76ba991914p-3, -0x1.b435352cabb4ep-3, -0x1.ad9142dab273fp-3, -0x1.a6fbc10bd7363p-3, -0x1.a074d9d09ca2ep-3, -0x1.99fcb4f7e1ddp-3, -0x1.939378154776cp-3, -0x1.8d394687de48cp-3, -0x1.86ee41812817p-3, -0x1.80b2880c578a7p-3, -0x1.7a863715d6891p-3, -0x1.74696973085eap-3, -0x1.6e5c37ea40ab7p-3, -0x1.685eb93af543p-3, -0x1.627102261ce62p-3, -0x1.5c932576b592cp-3, -0x1.56c5340a807b2p-3, -0x1.51073cdad3fb2p-3, -0x1.4b594d059b4a9p-3, -0x1.45bb6fd66a6a7p-3, -0x1.402daecfb1bd6p-3, -0x1.3ab011b40b216p-3, -0x1.35429e8f951d3p-3, -0x1.2fe559c160863p-3, -0x1.2a984604f4239p-3, -0x1.255b647bd051ep-3, -0x1.202eb4b7027b8p-3, -0x1.1b1234c0bcf73p-3, -0x1.1605e125f50efp-3, -0x1.1109b4fffbbf9p-3, -0x1.0c1da9fe1ca0cp-3, -0x1.0741b86f35c36p-3, -0x1.0275d74b4a493p-3, -0x1.fb73f87a212cp-4, -0x1.f21c3756e31b4p-4, -0x1.e8e4518606d5fp-4, -0x1.dfcc2afee0b98p-4, -0x1.d6d3a569ac30fp-4, -0x1.cdfaa03220a1dp-4, -0x1.c540f899e32acp-4, -0x1.bca689cad5323p-4, -0x1.b42b2ce93a7f2p-4, -0x1.abceb925ac4d5p-4, -0x1.a39103cef03bap-4, -0x1.9b71e0637e4e3p-4, -0x1.937120a30013ap-4, -0x1.8b8e949f6dfadp-4, -0x1.83ca0ace194e1p-4, -0x1.7c2350186ae3ap-4, -0x1.749a2fec6de7ep-4, -0x1.6d2e744d1e7dcp-4, -0x1.65dfe5e279eafp-4, -0x1.5eae4c0954b6ap-4, -0x1.57996ce2ebfecp-4, -0x1.50a10d6439c23p-4, -0x1.49c4f1650623dp-4, -0x1.4304dbaeb8a4bp-4, -0x1.3c608e0ae3872p-4, -0x1.35d7c9518a683p-4, -0x1.2f6a4d772a0bdp-4, -0x1.2917d99a7429p-4, -0x1.22e02c11ca795p-4, -0x1.1cc302787200fp-4, -0x1.16c019bb81614p-4, -0x1.10d72e2688f9bp-4, -0x1.0b07fb6ff044ap-4, -0x1.05523cc516554p-4, -0x1.ff6b59ac421fp-5, -0x1.f4640bc31b7d7p-5, -0x1.e98e037eec0dcp-5, -0x1.dee8b3d92a4dep-5, -0x1.d4738f29fe3e6p-5, -0x1.ca2e073d342f7p-5, -0x1.c0178d669a601p-5, -0x1.b62f9295daab9p-5, -0x1.ac758769cc0dap-5, -0x1.a2e8dc43327c5p-5, -0x1.9989015706c7cp-5, -0x1.905566c02fa0ap-5, -0x1.874d7c90b652fp-5, -0x1.7e70b2e27abb8p-5, -0x1.75be79e766d05p-5, -0x1.6d3641f91c1bcp-5, -0x1.64d77ba8277afp-5, -0x1.5ca197cab57e1p-5, -0x1.5494078ac8d2cp-5, -0x1.4cae3c73fc38dp-5, -0x1.44efa880c248p-5, -0x1.3d57be2738242p-5, -0x1.35e5f06579e08p-5, -0x1.2e99b2cd8a85cp-5, -0x1.27727990c5df8p-5, -0x1.206fb98ae483p-5, -0x1.1990e84c8f998p-5, -0x1.12d57c258797fp-5, -0x1.0c3cec2e65fbcp-5, -0x1.05c6b051f1f61p-5, -0x1.fee482ac116fcp-6, -0x1.f27e31c864b7cp-6, -0x1.e659632379719p-6, -0x1.da750dcf124c6p-6, -0x1.ced02ad2e21bbp-6, -0x1.c369b53a9f6cbp-6, -0x1.b840aa236071cp-6, -0x1.ad5408c8459a4p-6, -0x1.a2a2d28e7876ap-6, -0x1.982c0b1078949p-6, -0x1.8deeb828cc22dp-6, -0x1.83e9e1fc0379bp-6, -0x1.7a1c9302206bcp-6, -0x1.7085d80f67b3bp-6, -0x1.6724c05c962a2p-6, -0x1.5df85d8e7be04p-6, -0x1.54ffc3bd1673ap-6, -0x1.4c3a097a12af4p-6, -0x1.43a647d6c878dp-6, -0x1.3b439a69b8146p-6, -0x1.33111f5376723p-6, -0x1.2b0df743320b5p-6, -0x1.2339457aa5608p-6, -0x1.1b922fd1a7a9p-6, -0x1.1417deb9403f8p-6, -0x1.0cc97d3e41bacp-6, -0x1.05a6390b8dc43p-6, -0x1.fd5a84d7ba2a5p-7, -0x1.efbb98965522ap-7, -0x1.e26e186f6ddf8p-7, -0x1.d57074c5633afp-7, -0x1.c8c1234106a95p-7, -0x1.bc5e9ed17d435p-7, -0x1.b04767ab6b421p-7, -0x1.a47a034794275p-7, -0x1.98f4fc60c5588p-7, -0x1.8db6e2f11d77bp-7, -0x1.82be4c2ed94c9p-7, -0x1.7809d2887a9a7p-7, -0x1.6d9815a07a26fp-7, -0x1.6367ba4852463p-7, -0x1.59776a7b392ebp-7, -0x1.4fc5d55836a39p-7, -0x1.4651af1bdd4b7p-7, -0x1.3d19b1198dac2p-7, -0x1.341c99b448d5ep-7, -0x1.2b592c5724c4fp-7, -0x1.22ce316d580c3p-7, -0x1.1a7a7659e759cp-7, -0x1.125ccd6f0c786p-7, -0x1.0a740de52177bp-7, -0x1.02bf13d16a31cp-7, -0x1.f6798038e3bcep-8, -0x1.e7d7f0f047a8dp-8, -0x1.d9974eab66a17p-8, -0x1.cbb577b6571f9p-8, -0x1.be3053b1a3c2dp-8, -0x1.b105d37c897dep-8, -0x1.a433f11ee7cafp-8, -0x1.97b8afb2b5068p-8, -0x1.8b921b4d06fcap-8, -0x1.7fbe48e6f2ed6p-8, -0x1.743b564601339p-8, -0x1.690769e4429fdp-8, -0x1.5e20b2d85898fp-8, -0x1.538568bcfa5a2p-8, -0x1.4933cb9884e25p-8, -0x1.3f2a23c42a109p-8, -0x1.3566c1d3039a9p-8, -0x1.2be7fe78f628bp-8, -0x1.22ac3a716cc3p-8, -0x1.19b1de6615a5ap-8, -0x1.10f75ad55826ep-8, -0x1.087b27f8ca55cp-8, -0x1.003bc5ab929bdp-8, -0x1.f06f76a19bbfep-9, -0x1.e0db2f738cc03p-9, -0x1.d1b7e2188f106p-9, -0x1.c302c951c7fd3p-9, -0x1.b4b92e2261fd1p-9, -0x1.a6d8679c45417p-9, -0x1.995ddaacc356cp-9, -0x1.8c46f9e94bc5p-9, -0x1.7f91455c6b004p-9, -0x1.733a4a52b484dp-9, -0x1.673fa3280e572p-9, -0x1.5b9ef71521ab5p-9, -0x1.5055f9fcdd009p-9, -0x1.45626c3a579fep-9, -0x1.3ac21a6edfe43p-9, -0x1.3072dd506ae63p-9, -0x1.2672997809c8ep-9, -0x1.1cbf3f31117b8p-9, -0x1.1356ca481e733p-9, -0x1.0a3741dacc8a3p-9, -0x1.015eb827b1dc5p-9, -0x1.f19694bce4d19p-10, -0x1.e0f640e11c13ep-10, -0x1.d0d8d9c4a6097p-10, -0x1.c13ad938a9c5ap-10, -0x1.b218cd7a799f4p-10, -0x1.a36f58d7ffb34p-10, -0x1.953b315528dc2p-10, -0x1.87792051d7e4ep-10, -0x1.7a2602315429cp-10, -0x1.6d3ec601de80ap-10, -0x1.60c06d25ca913p-10, -0x1.54a80afd2ccb2p-10, -0x1.48f2c49093336p-10, -0x1.3d9dd03cb5e3cp-10, -0x1.32a6755f25fe6p-10, -0x1.280a0c03ac46p-10, -0x1.1dc5fc92fcdadp-10, -0x1.13d7bf824445p-10, -0x1.0a3cdd038b8a3p-10, -0x1.00f2ecb765edbp-10, -0x1.efef2abe5d9b2p-11, -0x1.de911921b31ep-11, -0x1.cdc72cd63bf5p-11, -0x1.bd8d0a966b473p-11, -0x1.adde7306bcb1ap-11, -0x1.9eb74224673fbp-11, -0x1.90136eb6c7849p-11, -0x1.81ef09c21f146p-11, -0x1.74463dfd0cb1dp-11, -0x1.67154f478de04p-11, -0x1.5a589a23c1774p-11, -0x1.4e0c933197635p-11, -0x1.422dc6ab8fbdap-11, -0x1.36b8d7e606e9dp-11, -0x1.2baa80d03f8e7p-11, -0x1.20ff9177979fbp-11, -0x1.16b4ef8c881aap-11, -0x1.0cc795e990fedp-11, -0x1.0334941c82cadp-11, -0x1.f3f21be227509p-12, -0x1.e22475fba269dp-12, -0x1.d0facc6652a33p-12, -0x1.c06fdad75c653p-12, -0x1.b07e81fdc65bbp-12, -0x1.a121c6ab3850ep-12, -0x1.9254d1009b86fp-12, -0x1.8412eb9e285eap-12, -0x1.765782d79d17bp-12, -0x1.691e23eb9fab1p-12, -0x1.5c627c3ebe081p-12, -0x1.5020589a75321p-12, -0x1.4453a46f31ecfp-12, -0x1.38f86919eca69p-12, -0x1.2e0acd2d8263ap-12, -0x1.238713bf25dc1p-12, -0x1.19699bb6505b2p-12, -0x1.0faedf2001bffp-12, -0x1.06537285612f6p-12, -0x1.faa8088b4efcfp-13, -0x1.e95ab7e5be49cp-13, -0x1.d8b8b36529fb5p-13, -0x1.c8bbeb41745bcp-13, -0x1.b95e7e6d1e572p-13, -0x1.aa9ab967f4edap-13, -0x1.9c6b15186c361p-13, -0x1.8eca35aa85036p-13, -0x1.81b2e974ce2fep-13, -0x1.752027e37df4ep-13, -0x1.690d1068dc3f1p-13, -0x1.5d74e9737965fp-13, -0x1.52531f69973fdp-13, -0x1.47a343ab6201fp-13, -0x1.3d610b980e6a4p-13, -0x1.33884f9b44b6bp-13, -0x1.2a150a3db2a73p-13, -0x1.2103573b24884p-13, -0x1.184f729eb47bbp-13, -0x1.0ff5b7e26d5d2p-13, -0x1.07f2a11542f21p-13, -0x1.0042c60542107p-13, -0x1.f1c5b6dbe1411p-14, -0x1.e39f645975b7ep-14, -0x1.d60c6cf1c187cp-14, -0x1.c906de40334fcp-14, -0x1.bc88f9902c8a6p-14, -0x1.b08d3268928bfp-14, -0x1.a50e2d1e71f3cp-14, -0x1.9a06bd726ad1fp-14, -0x1.8f71e535590b1p-14, -0x1.854ad2f46bc5ep-14, -0x1.7b8ce0ae50e32p-14, -0x1.7233929007e1fp-14, -0x1.693a95b8b1f59p-14, -0x1.609dbf066a6e4p-14, -0x1.585909e8f8222p-14, -0x1.5068973bf73dfp-14, -0x1.48c8ac2ae2de2p-14, -0x1.4175b11749ad6p-14, -0x1.3a6c308a8dc6fp-14, -0x1.33a8d62b73b6ep-14, -0x1.2d286dbb1dffbp-14, -0x1.26e7e21997025p-14, -0x1.20e43c4f37b21p-14, -0x1.1b1aa29d26acbp-14, -0x1.1588579381d75p-14, -0x1.102ab92d7ba3cp-14, -0x1.0aff3ff495c5bp-14, -0x1.06037e27a9954p-14, -0x1.01351ee83ff98p-14, -0x1.f923cade1beefp-15, -0x1.f02f588635d62p-15, -0x1.e788c8f13bb2fp-15, -0x1.df2c29e562356p-15, -0x1.d715b359970b2p-15, -0x1.cf41c60cb7f8dp-15, -0x1.c7acea2b4b6fdp-15, -0x1.c053cdfbe14ep-15, -0x1.b9334495684a8p-15, -0x1.b248449e0949fp-15, -0x1.ab8fe7149758p-15, -0x1.a50766211045fp-15, -0x1.9eac1bedb3675p-15, -0x1.987b81890de65p-15, -0x1.92732dcfe68bbp-15, -0x1.8c90d45f33217p-15, -0x1.86d2448c53471p-15, -0x1.8135686780ccdp-15, -0x1.7bb843c3a1cd5p-15, -0x1.7658f345111edp-15, -0x1.7115ab794f07dp-15, -0x1.6becb7f3fa79ap-15, -0x1.66dc7a730854cp-15, -0x1.61e36a0911a51p-15, -0x1.5d00124ee5507p-15, -0x1.5831129a0c2e6p-15, -0x1.53751d3b4b335p-15, -0x1.4ecaf6c0755ddp-15, -0x1.4a31753e490b7p-15, -0x1.45a77f9f7c3edp-15, -0x1.412c0cf746c54p-15, -0x1.3cbe23dd27216p-15, -0x1.385cd9c985c18p-15, -0x1.3407527a5af8fp-15, -0x1.2fbcbf5c6bdf1p-15, -0x1.2b7c5ef7cc7dap-15, -0x1.27457c6304c1p-15, -0x1.23176eb97b707p-15, -0x1.1ef19896fdb69p-15, -0x1.1ad367972c4dap-15, -0x1.16bc53d9d2cb7p-15, -0x1.12abdf8a41398p-15, -0x1.0ea1966b97018p-15, -0x1.0a9d0d6930bcfp-15, -0x1.069de2298c297p-15, -0x1.02a3baa6520c2p-15, -0x1.fd5c898dd8681p-16, -0x1.f57a6bfdfbc2ap-16, -0x1.eda095e194eb3p-16, -0x1.e5ce8e22c1536p-16, -0x1.de03e8a4e1492p-16, -0x1.d6404598d15ffp-16, -0x1.ce8350db419aap-16, -0x1.c6ccc157eec7ap-16, -0x1.bf1c587170f6ap-16, -0x1.b771e170b6f09p-16, -0x1.afcd30f7499ddp-16, -0x1.a82e2478dbe04p-16, -0x1.a094a1b940afep-16, -0x1.9900964f2e85p-16, -0x1.9171f72c0bdecp-16, -0x1.89e8c028b8a5cp-16, -0x1.8264f394eae27p-16, -0x1.7ae699ce289bfp-16, -0x1.736dc0d8461b1p-16, -0x1.6bfa7bfb18852p-16, -0x1.648ce3643e059p-16, -0x1.5d2513cc17d1ap-16, -0x1.55c32e1fcc903p-16, -0x1.4e67572cf49dap-16, -0x1.4711b752e605cp-16, -0x1.3fc27a35ed5d6p-16, -0x1.3879ce763467p-16, -0x1.3137e56a419c8p-16, -0x1.29fcf2dc2e5c2p-16, -0x1.22c92cc98a591p-16, -0x1.1b9ccb27716e1p-16, -0x1.147807a6ee89p-16, -0x1.0d5b1d7f82e34p-16, -0x1.064649385cb74p-16, -0x1.fe7390f01e6d2p-17, -0x1.f06bb3a665d4ep-17, -0x1.e2757940de0dfp-17, -0x1.d4916197c6fd6p-17, -0x1.c6bfed5e12669p-17, -0x1.b9019dd28f78p-17, -0x1.ab56f47800144p-17, -0x1.9dc072cdbcc73p-17, -0x1.903e9a0f1cff9p-17, -0x1.82d1eaf3b773fp-17, -0x1.757ae57618f9cp-17, -0x1.683a089c5f95ap-17, -0x1.5b0fd2435ca08p-17, -0x1.4dfcbeee8b23dp-17, -0x1.4101499a43effp-17, -0x1.341deb8fdc1e4p-17, -0x1.27531c3ebc66dp-17, -0x1.1aa15116900b8p-17, -0x1.0e08fd64d8c6ep-17, -0x1.018a9233fdc09p-17, -0x1.ea4cfc5d08311p-18, -0x1.d1ba5b0472efp-18, -0x1.b95e138f579d1p-18, -0x1.a138f3d4be104p-18, -0x1.894bc42a29ee9p-18, -0x1.71974738c4ab5p-18, -0x1.5a1c39ddc29d3p-18, -0x1.42db5309bbbc4p-18, -0x1.2bd543a5ac71ep-18, -0x1.150ab67ac3d07p-18, -0x1.fcf8a038b6639p-19, -0x1.d0555daa8fcbfp-19, -0x1.a42cd531fbf71p-19, -0x1.788029ec46336p-19, -0x1.4d5072189fc95p-19, -0x1.229eb70c1b698p-19, -0x1.f0d7ea44d3d8p-20, -0x1.9d7237737edacp-20, -0x1.4b0e1a6285553p-20, -0x1.f35a7ba24a415p-21, -0x1.52a2651c826c4p-21, -0x1.67edbe3131e63p-22, -0x1.75aa3f3988503p-25, 0x1.065f8a757baa3p-22, 0x1.1ba60860aa8f2p-21, 0x1.b206040075b1cp-21, 0x1.2326e472ef06p-20, 0x1.6c3dccd3f6cf6p-20, 0x1.b446f51ba004fp-20, 0x1.fb41afb2831ddp-20, 0x1.2096b391fdf43p-19, 0x1.4304cef1b7253p-19, 0x1.64eaf6fa59454p-19, 0x1.8649044fa7bb2p-19, 0x1.a71edb0fe2633p-19, 0x1.c76c6aa53459ap-19, 0x1.e731ad9e02b4dp-19, 0x1.033754bd8c963p-18, 0x1.1291b742b66c5p-18, 0x1.21a80bccbd4abp-18, 0x1.307a64fdbf703p-18, 0x1.3f08da9175124p-18, 0x1.4d538944e8625p-18, 0x1.5b5a92bc27ebp-18, 0x1.691e1d69596dep-18, 0x1.769e54724bae6p-18, 0x1.83db67957e764p-18, 0x1.90d58b113f408p-18, 0x1.9d8cf7871357fp-18, 0x1.aa01e9e3840a3p-18, 0x1.b634a340dc1fep-18, 0x1.c22568cdf1ce7p-18, 0x1.cdd483b259bc6p-18, 0x1.d94240f3ef48ep-18, 0x1.e46ef15b36415p-18, 0x1.ef5ae95981afcp-18, 0x1.fa0680ed684ccp-18, 0x1.023909c415185p-17, 0x1.074efff9ddd64p-17, 0x1.0c45541b725a9p-17, 0x1.111c38be44d37p-17, 0x1.15d3e1fc51934p-17, 0x1.1a6c85674e483p-17, 0x1.1ee659fbacf5cp-17, 0x1.23419813c13acp-17, 0x1.277e795b4164cp-17, 0x1.2b9d38c29230ap-17, 0x1.2f9e12723b78dp-17, 0x1.338143bf0c474p-17, 0x1.37470b1da2f89p-17, 0x1.3aefa8167f49ap-17, 0x1.3e7b5b3a01cfp-17, 0x1.41ea6614fdb26p-17, 0x1.453d0b24da51p-17, 0x1.48738dcc4f7d5p-17, 0x1.4b8e32485b8a6p-17, 0x1.4e8d3da4a6c6bp-17, 0x1.5170f5b10dd36p-17, 0x1.5439a0f6a9fd2p-17, 0x1.56e786ad8ee14p-17, 0x1.597aeeb1d7d23p-17, 0x1.5bf42179ef8c4p-17, 0x1.5e53680c5fb9dp-17, 0x1.60990bf60c8cfp-17, 0x1.62c557401b529p-17, 0x1.64d89466f4ed5p-17, 0x1.66d30e50a405dp-17, 0x1.68b51043cd6f5p-17, 0x1.6a7ee5de8d2a5p-17, 0x1.6c30db0de384ep-17, 0x1.6dcb3c051f589p-17, 0x1.6f4e5535341cp-17, 0x1.70ba7344d5642p-17, 0x1.720fe3082aa2p-17, 0x1.734ef1791ba41p-17, 0x1.7477ebaf6200dp-17, 0x1.758b1ed939086p-17, 0x1.7688d83407f27p-17, 0x1.777165050a9bp-17, 0x1.78451292a16cp-17, 0x1.79042e1cffddbp-17, 0x1.79af04d83c0c8p-17, 0x1.7a45e3e553b1cp-17, 0x1.7ac9184bf96e4p-17, 0x1.7b38eef4b2c9ap-17, 0x1.7b95b4a2b838dp-17, 0x1.7bdfb5edf086dp-17, 0x1.7c173f3dd444p-17, 0x1.7c3c9cc386013p-17, 0x1.7c501a74be646p-17, 0x1.7c520406702efp-17, 0x1.7c42a4e82ed1ap-17, 0x1.7c22483ef2275p-17, 0x1.7bf138e0ae08bp-17, 0x1.7bafc14f9086bp-17, 0x1.7b5e2bb5e18cdp-17, 0x1.7afcc1e199049p-17, 0x1.7a8bcd4089687p-17, 0x1.7a0b96dbfa3ap-17, 0x1.797c67554ba3bp-17, 0x1.78de86e20cdf4p-17, 0x1.78323d489cf57p-17, 0x1.7777d1dc8ef6dp-17, 0x1.76af8b7b9b706p-17, 0x1.75d9b08a5dfe1p-17, 0x1.74f686f15c5d1p-17, 0x1.7406541a35d88p-17, 0x1.73095cecd597ep-17, 0x1.71ffe5cce4568p-17, 0x1.70ea3296fc231p-17, 0x1.6fc8869e98e94p-17, 0x1.6e9b24ab9892cp-17, 0x1.6d624ef80d4d8p-17, 0x1.6c1e472e5ac27p-17, 0x1.6acf4e670e1f8p-17, 0x1.6975a5271991fp-17, 0x1.68118b5e088c5p-17, 0x1.66a340646acf8p-17, 0x1.652b02fa29d65p-17, 0x1.63a911453065cp-17, 0x1.621da8d0121dcp-17, 0x1.60890688b47aap-17, 0x1.5eeb66bf10566p-17, 0x1.5d4505243ceap-17, 0x1.5b961cc94e215p-17, 0x1.59dee81e94eecp-17, 0x1.581fa0f2933d6p-17, 0x1.56588071632ep-17, 0x1.5489bf23e4ae6p-17, 0x1.52b394ef4a2edp-17, 0x1.50d639147cfccp-17, 0x1.4ef1e22f98198p-17, 0x1.4d06c63791e6ep-17, 0x1.4b151a7e0ce25p-17, 0x1.491d13aee435p-17, 0x1.471ee5d00c92fp-17, 0x1.451ac4416fap-17, 0x1.4310e1bced174p-17, 0x1.410170565dac7p-17, 0x1.3eeca17b7785ap-17, 0x1.3cd2a5f4199a8p-17, 0x1.3ab3ade255a5ep-17, 0x1.388fe8c2ac633p-17, 0x1.3667856c826f4p-17, 0x1.343ab2123d64ap-17, 0x1.32099c41ab9efp-17, 0x1.2fd470e4698bp-17, 0x1.2d9b5c4073a3fp-17, 0x1.2b5e89f89ac05p-17, 0x1.291e250d039cap-17, 0x1.26da57dbc10fbp-17, 0x1.24934c2181b2ep-17, 0x1.22492afa2d1d6p-17, 0x1.1ffc1ce1b2b1ep-17, 0x1.1dac49b4a013bp-17, 0x1.1b59d8b0ffaa5p-17, 0x1.1904f077148e4p-17, 0x1.16adb70a43235p-17, 0x1.145451d1ee751p-17, 0x1.11f8e59a54daap-17, 0x1.0f9b96957744dp-17, 0x1.0d3c885c1eaacp-17, 0x1.0adbddeed0e43p-17, 0x1.0879b9b6cc6e2p-17, 0x1.06163d86f85edp-17, 0x1.03b18a9d27808p-17, 0x1.014bc1a2fcbe3p-17, 0x1.fdca055e10649p-18, 0x1.f8fada8c02efdp-18, 0x1.f42a40b783fd1p-18, 0x1.ef5874a8ee917p-18, 0x1.ea85b20bab7ccp-18, 0x1.e5b233709f1p-18, 0x1.e0de325043878p-18, 0x1.dc09e70d4a0f6p-18, 0x1.d73588f704711p-18, 0x1.d2614e4bca244p-18, 0x1.cd8d6c3b84dcap-18, 0x1.c8ba16ea2e645p-18, 0x1.c3e781726ab5bp-18, 0x1.bf15dde7fb75cp-18, 0x1.ba455d5a40b03p-18, 0x1.b5762fd6f460dp-18, 0x1.b0a8846cbb0ap-18, 0x1.abdc892db89e4p-18, 0x1.a7126b321ec8ep-18, 0x1.a24a569ac673bp-18, 0x1.9d847694005aep-18, 0x1.98c0f5583815fp-18, 0x1.93fffc327c089p-18, 0x1.8f41b38122ba9p-18, 0x1.8a8642b86d03p-18, 0x1.85cdd0655dd0dp-18, 0x1.811882305bc2ap-18, 0x1.7c667cdfb83acp-18, 0x1.77b7e45a71892p-18, 0x1.730cdbaae054cp-18, 0x1.6e6585015c15ep-18, 0x1.69c201b6e630ep-18, 0x1.6522724fe4588p-18, 0x1.6086f67e9e1e1p-18, 0x1.5befad260f8a1p-18, 0x1.575cb45c77f7ap-18, 0x1.52ce296e03755p-18, 0x1.4e4428df7ba3dp-18, 0x1.49bece70d691dp-18, 0x1.453e351fe01cep-18, 0x1.40c2772aadb4ep-18, 0x1.3c4bae126b7a9p-18, 0x1.37d9f29de67e8p-18, 0x1.336d5cdc12644p-18, 0x1.2f060426a2e84p-18, 0x1.2aa3ff2497468p-18, 0x1.264763cca75dap-18, 0x1.21f04767f48d6p-18, 0x1.1d9ebe949a041p-18, 0x1.1952dd47f468bp-18, 0x1.150cb6d14450dp-18, 0x1.10cc5ddc2d8bfp-18, 0x1.0c91e47304483p-18, 0x1.085d5c0152b4fp-18, 0x1.042ed5564907ep-18, 0x1.000660a7321e2p-18, 0x1.f7c81b235f3f3p-19, 0x1.ef8fd63c7fd71p-19, 0x1.e7640f8539109p-19, 0x1.df44e2c7edb43p-19, 0x1.d7326ab28bb66p-19, 0x1.cf2cc0db1a65bp-19, 0x1.c733fdc4913b3p-19, 0x1.bf4838e348a27p-19, 0x1.b76988a16e369p-19, 0x1.af98026365f9cp-19, 0x1.a7d3ba8c5a3dep-19, 0x1.a01cc4826866ep-19, 0x1.987332b2fbca9p-19, 0x1.90d7169767666p-19, 0x1.894880b8d8fcp-19, 0x1.81c780b490c73p-19, 0x1.7a54254047e5cp-19, 0x1.72ee7c2e30b6p-19, 0x1.6b969270f6a24p-19, 0x1.644c741ff66a9p-19, 0x1.5d102c7b23ff1p-19, 0x1.55e1c5ef03f3fp-19, 0x1.4ec14a189d773p-19, 0x1.47aec1c970e2bp-19, 0x1.40aa350b3f093p-19, 0x1.39b3ab23eb9b8p-19, 0x1.32cb2a9911279p-19, 0x1.2bf0b933df744p-19, 0x1.25245c04d86e7p-19, 0x1.1e6617672c3d2p-19, 0x1.17b5ef04bb5b2p-19, 0x1.1113e5d95cc3ap-19, 0x1.0a7ffe3665d62p-19, 0x1.03fa39c640a3bp-19, 0x1.fb05331f891bep-20, 0x1.ee323bf2ee86dp-20, 0x1.e17b8d9a78d4p-20, 0x1.d4e12676c3253p-20, 0x1.c86303bbcc40cp-20, 0x1.bc012177ecfc1p-20, 0x1.afbb7a99c57a6p-20, 0x1.a39208f670bf5p-20, 0x1.9784c54fd077dp-20, 0x1.8b93a75ad6747p-20, 0x1.7fbea5c5a12d1p-20, 0x1.7405b63d1287dp-20, 0x1.6868cd731952ep-20, 0x1.5ce7df2457089p-20, 0x1.5182de1df03bp-20, 0x1.4639bc4317d32p-20, 0x1.3b0c6a92a94dp-20, 0x1.2ffad92cbe56dp-20, 0x1.2504f757cc892p-20, 0x1.1a2ab3861be55p-20, 0x1.0f6bfb5bdfe3ap-20, 0x1.04c8bbb360c02p-20, 0x1.f481c1445d839p-21, 0x1.dfa8aafe3b89ep-21, 0x1.cb0609cc548ecp-21, 0x1.b699b17ac2cc9p-21, 0x1.a2637475dd406p-21, 0x1.8e6323d147368p-21, 0x1.7a988f525f269p-21, 0x1.670385796b337p-21, 0x1.53a3d38a2e686p-21, 0x1.40794595ca3b3p-21, 0x1.2d83a682bc4b1p-21, 0x1.1ac2c0158086dp-21, 0x1.08365afa1d5eap-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      34, 0x1.6666666666666p+2, 0x1.c3c35709eb083p+0, 0x1.8a7a60aebb8b6p+0, -0x1.39debc801a7a8p-10, 
      {{
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.d6ca904e1573dp-9, -0x1.14efe2d467d34p-7, 0x1.e8b5ed7e3b7a5p-8, -0x1.7adb5bd08c5f3p-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.a1ccd00d125fbp-9, -0x1.fa6c7b5fd9968p-8, 0x1.cc4be034fdbfdp-8, -0x1.6e12a8fff8289p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.7169d45d9363dp-9, -0x1.cdc4530707dd4p-8, 0x1.b0d746bb64bcfp-8, -0x1.633438e528b95p-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.455b445867adap-9, -0x1.a3d097b007dd2p-8, 0x1.96335c109b48bp-8, -0x1.57d26b5e6495ep-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.1d5cf1351cf7ep-9, -0x1.7c7becf6b95a7p-8, 0x1.7c69fa6986f0cp-8, -0x1.4c93d0d19905cp-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.f259ac93ff11cp-10, -0x1.57b09a2546fdbp-8, 0x1.63787df368432p-8, -0x1.414bc7c8edaf1p-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.b1163218346a7p-10, -0x1.3558ff427d74ep-8, 0x1.4b5f9bc4566fbp-8, -0x1.360645b5c470ap-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7674121e6cb74p-10, -0x1.155f75b456829p-8, 0x1.341f2356b480fp-8, -0x1.2ac016487395cp-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.41fc400bb7d0ap-10, -0x1.ef5cb14eeb111p-9, 0x1.1db721aadf09p-8, -0x1.1f7a154e39b53p-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.133c0382a2a71p-10, -0x1.b860059d54a75p-9, 0x1.08279345011b8p-8, -0x1.143407e1cf83ap-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d389f0c66e875p-11, -0x1.859d9dfad2c91p-9, 0x1.e6e0f2282315ep-9, -0x1.08edfdcb18d78p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.8a5a1d95f9933p-11, -0x1.56ea2ffcd01aap-9, 0x1.bf23a5b0128f4p-9, -0x1.fb4fe59f584e5p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.4a1d1629eee71p-11, -0x1.2c1a713d67384p-9, 0x1.991741441f231p-9, -0x1.e4c3d02304cdep-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.12100bb351296p-11, -0x1.05031755713eap-9, 0x1.74bbc4db1860ap-9, -0x1.ce37ba85d928ap-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.c2f1afbc3a65dp-12, -0x1.c2f1afbc3ac39p-10, 0x1.5211307774e43p-9, -0x1.b7aba4f18a5d5p-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.6f4bf9a2941bep-12, -0x1.82a0d0e1079e9p-10, 0x1.311784188a83p-9, -0x1.a11f8f5acbf02p-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.27dd4a5d91ed2p-12, -0x1.48bcfd4b85c45p-10, 0x1.11cebfbe88044p-9, -0x1.8a9379c4b1d39p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.d6ca904e1566fp-13, -0x1.14efa02dee757p-10, 0x1.e86dc6d2c229p-10, -0x1.7407642e9c334p-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.7169d45d9358fp-13, -0x1.cdc44974f86ddp-11, 0x1.b09fde322abb2p-10, -0x1.5d7b4e97db45p-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.1d5cf1351cec1p-13, -0x1.7c7bec46d09cep-11, 0x1.7c33c59b63712p-10, -0x1.46ef39038dc33p-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b116321834534p-14, -0x1.3558ff35ded8dp-11, 0x1.4b297d0e0e2cbp-10, -0x1.30632366630b6p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.41fc400bb7b78p-14, -0x1.ef5cb14d07ccp-12, 0x1.1d81048b7f51bp-10, -0x1.19d70dea03736p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.d389f0c66e4c1p-15, -0x1.859d9dfaf8d09p-12, 0x1.e674b81d9734p-11, -0x1.034af7f344c1cp-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.4a1d1629eec1p-15, -0x1.2c1a713c5a14p-12, 0x1.98ab07549c2d6p-11, -0x1.d97dc78b71f5p-11}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c2f1afbc3a0ffp-16, -0x1.c2f1afc400c93p-13, 0x1.51a4f632e4af5p-11, -0x1.ac6591da0e636p-11}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.27dd4a5d919cp-16, -0x1.48bcfd2e81e5ap-13, 0x1.116286b895b9p-11, -0x1.7f4d8df0b6643p-11}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7169d45d925p-17, -0x1.cdc44a4d8cb8cp-14, 0x1.afc762dc27ee1p-12, -0x1.5234d03c054bdp-11}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b1163218333p-18, -0x1.3558fc0d918cbp-14, 0x1.4a512463bff14p-12, -0x1.251ec7eef1efap-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.d389f0c66b801p-19, -0x1.859db58bd9c7dp-15, 0x1.e4c30404eeb9cp-13, -0x1.effd4798c7982p-12}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c2f1afbc333fep-20, -0x1.c2f0ffd42b419p-16, 0x1.4ff70823e60cbp-13, -0x1.9608733287b02p-12}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.7169d45d89p-21, -0x1.cdc96a70c9894p-17, 0x1.ac4f64c31445cp-14, -0x1.3afa06fc52b1ap-12}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.d389f0c654p-23, -0x1.857755bc29b26p-18, 0x1.dea5f4575eeadp-15, -0x1.c80d0c4c0165ep-13}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.7169d45d50001p-25, -0x1.cfffc57e30b96p-20, 0x1.9a090d2055c3ap-16, -0x1.f703be84334d6p-14}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.7169d44efffffp-29, -0x1.8b1dd02652f39p-23, 0x1.b0e804dda8cp-18, -0x1.5096d8f0397e8p-13}, 
      }}, 
      0x1.3cb87fb1608e1p-9, -0x1.e8294a384bc81p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.44a20ec56ae29p-2, 0x1.3feb497340c88p-1, 0x1.d4a9ef826f703p-1, 0x1.2ea0d24610fd6p+0, 0x1.6ba80b7e149cap+0, 0x1.a0a6e83adcd9p+0, 0x1.cd3918e6a93b3p+0, 0x1.f14973f65d675p+0, 0x1.068100601bb3fp+1, 0x1.105eb3705fda7p+1, 0x1.167d12cd88ab4p+1, 0x1.1927d0e555779p+1, 0x1.18b27980f9a0ap+1, 0x1.1574a5e957373p+1, 0x1.0fc6eba0891bep+1, 0x1.0800725648a25p+1, 0x1.fcea39f8c34c8p+0, 0x1.e6e8635d7cb42p+0, 0x1.ce8ed9ed7a6d3p+0, 0x1.b464dcdf27371p+0, 0x1.98e4dcec9216ep+0, 0x1.7c7c5c79eaa93p+0, 0x1.5f8c2a746ff25p+0, 0x1.4268e1883f2dp+0, 0x1.255b98a45b594p+0, 0x1.08a2b21a4fb94p+0, 0x1.d8e574ecfd653p-1, 0x1.a1eea59587355p-1, 0x1.6ca83313038e6p-1, 0x1.394b0614d6381p-1, 0x1.080357564f413p-1, 0x1.b1e46b0574c64p-2, 0x1.585dc27ffe6ffp-2, 0x1.03901ef8bd9e6p-2, 0x1.671431a43fea4p-3, 0x1.a1361d6956fb3p-4, 0x1.0e8b11c9408dfp-5, -0x1.ffc87371a9bacp-6, -0x1.74d7f737abc35p-4, -0x1.2bf5f31100f97p-3, -0x1.94e0bd820e3e3p-3, -0x1.f57dbfc0c3002p-3, -0x1.271201f8811dcp-2, -0x1.4f97430aea7a4p-2, -0x1.747d5fb9eeaa5p-2, -0x1.95f3b4e4d311bp-2, -0x1.b429b967691c6p-2, -0x1.cf4e8d02308b4p-2, -0x1.e7909a3db96aap-2, -0x1.fd1d497757293p-2, -0x1.081061a9c4adbp-1, -0x1.1062e05c221d1p-1, -0x1.179ab311fc457p-1, -0x1.1dcb946c76f0ep-1, -0x1.23085e7233746p-1, -0x1.276304fd64cddp-1, -0x1.2aec934bb877p-1, -0x1.2db52c80ec9cp-1, -0x1.2fcc0de62e339p-1, -0x1.313f93447fc28p-1, -0x1.321d3ca00118fp-1, -0x1.3271b4c4ca63ap-1, -0x1.3248d90e69b92p-1, -0x1.31adc15cea1d8p-1, -0x1.30aac8bfc6891p-1, -0x1.2f499632b72aap-1, -0x1.2d93258618062p-1, -0x1.2b8fd050ba251p-1, -0x1.294756bb88c24p-1, -0x1.26c0e83867e64p-1, -0x1.24032bf18597dp-1, -0x1.2114490458935p-1, -0x1.1df9ee667b6d1p-1, -0x1.1ab95a81e451ap-1, -0x1.17576277bad67p-1, -0x1.13d8790d54c13p-1, -0x1.1040b54563d0ap-1, -0x1.0c93d89adf015p-1, -0x1.08d554f1697d1p-1, -0x1.0508522405dafp-1, -0x1.012fb3512639ap-1, -0x1.fa9c378f79d4fp-2, -0x1.f2cbe76e3b5f4p-2, -0x1.eaf2d9091ab31p-2, -0x1.e31509d4f7608p-2, -0x1.db3619816f703p-2, -0x1.d3595130fc9ap-2, -0x1.cb81aa026e05ap-2, -0x1.c3b1d36024aaap-2, -0x1.bbec38984e60ep-2, -0x1.b433065e29a19p-2, -0x1.ac882f8d55d82p-2, -0x1.a4ed71ee7f244p-2, -0x1.9d645a4dd2674p-2, -0x1.95ee4885a4bc2p-2, -0x1.8e8c731a37bffp-2, -0x1.873fea86f7b26p-2, -0x1.80099c85ca813p-2, -0x1.78ea56b55da77p-2, -0x1.71e2c981d7dbcp-2, -0x1.6af38a6e12522p-2, -0x1.641d16663de08p-2, -0x1.5d5fd3fa74472p-2, -0x1.56bc1511e94ddp-2, -0x1.503218fca9d9cp-2, -0x1.49c20df6448f4p-2, -0x1.436c12a22702bp-2, -0x1.3d3037b41bbb4p-2, -0x1.370e80f7caff4p-2, -0x1.3106e6aa7bb6dp-2, -0x1.2b1956b432374p-2, -0x1.2545b568aa334p-2, -0x1.1f8bdeb5d1602p-2, -0x1.19eba7059139cp-2, -0x1.1464dbcf59805p-2, -0x1.0ef7449681375p-2, -0x1.09a2a3926b349p-2, -0x1.0466b616e9fa6p-2, -0x1.fe866ac78d989p-3, -0x1.f46fae596518p-3, -0x1.ea889bb72554ap-3, -0x1.e0d092630e536p-3, -0x1.d746ed83ba79ep-3, -0x1.cdeb042e2da7fp-3, -0x1.c4bc2a421188bp-3, -0x1.bbb9b1583c0cfp-3, -0x1.b2e2e8f7b9115p-3, -0x1.aa371f04b6cbcp-3, -0x1.a1b5a09932d6p-3, -0x1.995dba546c817p-3, -0x1.912eb871c7eadp-3, -0x1.8927e75d97b3p-3, -0x1.81489432c36dbp-3, -0x1.79900cbc5e029p-3, -0x1.71fd9fa41f45ep-3, -0x1.6a909cf23d5a2p-3, -0x1.6348563f2babdp-3, -0x1.5c241ea306d48p-3, -0x1.55234aec785c5p-3, -0x1.4e4531fa3f967p-3, -0x1.47892cc626b3ep-3, -0x1.40ee965201a51p-3, -0x1.3a74cbd52d01cp-3, -0x1.341b2cf834efp-3, -0x1.2de11bd13440dp-3, -0x1.27c5fccde269fp-3, -0x1.21c936d03fd27p-3, -0x1.1bea3357b886bp-3, -0x1.16285e7b5a13p-3, -0x1.108326d041764p-3, -0x1.0af9fd73b1aa4p-3, -0x1.058c5627d0b12p-3, -0x1.0039a75210532p-3, -0x1.f602d3c22e7d8p-4, -0x1.ebc6328add2ccp-4, -0x1.e1bc67045b9b4p-4, -0x1.d7e4726273b72p-4, -0x1.ce3d5add822a9p-4, -0x1.c4c62b8b04713p-4, -0x1.bb7df461622cep-4, -0x1.b263ca44c52p-4, -0x1.a976c6f24c064p-4, -0x1.a0b608d3bb235p-4, -0x1.9820b2e595f18p-4, -0x1.8fb5ecb8b5af8p-4, -0x1.8774e26dc348fp-4, -0x1.7f5cc497c59cap-4, -0x1.776cc81510db7p-4, -0x1.6fa425f9feefap-4, -0x1.68021b8bc163bp-4, -0x1.6085ea340d582p-4, -0x1.592ed76472dedp-4, -0x1.51fc2c742bfc7p-4, -0x1.4aed368abd7dap-4, -0x1.4401469581f59p-4, -0x1.3d37b139b73bfp-4, -0x1.368fcebb60d51p-4, -0x1.3008fadfa5237p-4, -0x1.29a294d60ab2ep-4, -0x1.235bff2ac9436p-4, -0x1.1d349fb8d3c1fp-4, -0x1.172bdf95c7b79p-4, -0x1.11412af8c144fp-4, -0x1.0b73f123520e4p-4, -0x1.05c3a4511f9bap-4, -0x1.002fb9ab088d9p-4, -0x1.f56f526b8881bp-5, -0x1.eab5db7ec9253p-5, -0x1.e0320992b1758p-5, -0x1.d5e2dced7a22cp-5, -0x1.cbc75afcd2daap-5, -0x1.c1de8e3ae46c5p-5, -0x1.b827860ff6aafp-5, -0x1.aea156afe3c79p-5, -0x1.a54b18f738fc9p-5, -0x1.9c23ea4da3949p-5, -0x1.932aec8ccf742p-5, -0x1.8a5f45e7ab51dp-5, -0x1.81c020d023ecbp-5, -0x1.794cabda653c4p-5, -0x1.710419a036043p-5, -0x1.68e5a0a78cd5p-5, -0x1.60f07b4c41f99p-5, -0x1.5923e7aa7150dp-5, -0x1.517f27886919dp-5, -0x1.4a01803f8108bp-5, -0x1.42aa3aa48af85p-5, -0x1.3b78a2f1e431bp-5, -0x1.346c08b3e0b41p-5, -0x1.2d83beb649fbep-5, -0x1.26bf1af200444p-5, -0x1.201d767a72f89p-5, -0x1.199e2d6a98054p-5, -0x1.13409ed2579edp-5, -0x1.0d042ca56cfcdp-5, -0x1.06e83bab8bd58p-5, -0x1.00ec337115c0ap-5, -0x1.f61efc70026dfp-6, -0x1.eaa311d171a73p-6, -0x1.df638606082bp-6, -0x1.d45f3d1daf004p-6, -0x1.c995201ee85dap-6, -0x1.bf041ceb72742p-6, -0x1.b4ab262802942p-6, -0x1.aa893323928b6p-6, -0x1.a09d3fbefcd39p-6, -0x1.96e64c54c461bp-6, -0x1.8d635da18e7dbp-6, -0x1.84137cadf4b4dp-6, -0x1.7af5b6b96cc08p-6, -0x1.72091d25ce0dep-6, -0x1.694cc5633be58p-6, -0x1.60bfc8dc77b8ap-6, -0x1.586144e39a2b8p-6, -0x1.50305a9f2ea39p-6, -0x1.482c2ef80d892p-6, -0x1.4053ea87e23bcp-6, -0x1.38a6b9883dc39p-6, -0x1.3123cbc1fd3fdp-6, -0x1.29ca547d54ffp-6, -0x1.22998a7248a95p-6, -0x1.1b90a7b970d32p-6, -0x1.14aee9bcf6be3p-6, -0x1.0df39129cb374p-6, -0x1.075de1e15898cp-6, -0x1.00ed22eb95354p-6, -0x1.f5413cd6cb1ddp-7, -0x1.e8ef431ae0dp-7, -0x1.dce2f904fe08fp-7, -0x1.d11b04da20b12p-7, -0x1.c59612ae68db7p-7, -0x1.ba52d44b5196bp-7, -0x1.af5001189e2cfp-7, -0x1.a48c5606559a6p-7, -0x1.9a0695793b8e4p-7, -0x1.8fbd8734ca797p-7, -0x1.85aff845b4b85p-7, -0x1.7bdcbaeaf0c89p-7, -0x1.7242a67f6fc9bp-7, -0x1.68e09765ffe79p-7, -0x1.5fb56ef7e76afp-7, -0x1.56c01374dfa28p-7, -0x1.4dff6ff250648p-7, -0x1.45727447e2ad4p-7, -0x1.3d1814f9a1193p-7, -0x1.34ef4b21d2fd2p-7, -0x1.2cf7145db985p-7, -0x1.252e72bed6793p-7, -0x1.1d946cbff7e8p-7, -0x1.16280d3a5ae52p-7, -0x1.0ee8635736243p-7, -0x1.07d48279c08d6p-7, -0x1.00eb8229a701ap-7, -0x1.f458fbf22d74ap-8, -0x1.e72d2aeb7fe12p-8, -0x1.da51d84109027p-8, -0x1.cdc552d510365p-8, -0x1.c185f161e4eap-8, -0x1.b592125fd34e6p-8, -0x1.a9e81bd52abeap-8, -0x1.9e867b1730498p-8, -0x1.936ba4910209ep-8, -0x1.889613a22075bp-8, -0x1.7e044a9c7f40ep-8, -0x1.73b4d2da352cfp-8, -0x1.69a63ccfed7f8p-8, -0x1.5fd720043ae39p-8, -0x1.56461adab0ce7p-8, -0x1.4cf1d23be045cp-8, -0x1.43d8f136ceef6p-8, -0x1.3afa28c12c73fp-8, -0x1.32542fb089cbap-8, -0x1.29e5c2ebfe668p-8, -0x1.21ada5b8aae45p-8, -0x1.19aaa1efe0912p-8, -0x1.11db87f5a4446p-8, -0x1.0a3f2e5b9283cp-8, -0x1.02d4714c934adp-8, -0x1.f73463e5a22d8p-9, -0x1.e91eac34e6c13p-9, -0x1.db659074156c9p-9, -0x1.ce06efbe7adeap-9, -0x1.c100b49d2c2f3p-9, -0x1.b450d610d6925p-9, -0x1.a7f557d1a22b3p-9, -0x1.9bec497e3107ap-9, -0x1.9033c4e77e638p-9, -0x1.84c9ec120691dp-9, -0x1.79ace7b43507dp-9, -0x1.6edae6d4e209bp-9, -0x1.64521fbd573f7p-9, -0x1.5a10d1e5ca99ep-9, -0x1.501548123b3dep-9, -0x1.465dd9b1943d6p-9, -0x1.3ce8eacc6a8f3p-9, -0x1.33b4ea5e5df5cp-9, -0x1.2ac04f93fe54p-9, -0x1.220996ef3a0d2p-9, -0x1.198f40620c168p-9, -0x1.114fcf279a731p-9, -0x1.0949cb7656179p-9, -0x1.017bc572388eap-9, -0x1.f3c8b086209bdp-10, -0x1.e504582ce75eap-10, -0x1.d6a7ec4ae3b69p-10, -0x1.c8b0ed3b1fbffp-10, -0x1.bb1ce9e7986e3p-10, -0x1.ade977f6f1186p-10, -0x1.a1142e383e1dcp-10, -0x1.949aa36acf837p-10, -0x1.887a71e38c8f9p-10, -0x1.7cb13ed1a6c3p-10, -0x1.713cc29a1f80fp-10, -0x1.661acf543df03p-10, -0x1.5b4952fd78bdap-10, -0x1.50c65454e31bcp-10, -0x1.468feb19d5c74p-10, -0x1.3ca436194330fp-10, -0x1.33015263ae397p-10, -0x1.29a556c9d8abep-10, -0x1.208e5533ac88p-10, -0x1.17ba61614f0dep-10, -0x1.0f279ab840c55p-10, -0x1.06d435dc8a648p-10, -0x1.fd7d060e27af5p-11, -0x1.edc9de301539dp-11, -0x1.de8bfdc208c88p-11, -0x1.cfc08b86432dcp-11, -0x1.c164b474adb4p-11, -0x1.b37597c1c1591p-11, -0x1.a5f03cadf8e19p-11, -0x1.98d195d70a6fcp-11, -0x1.8c169122da88fp-11, -0x1.7fbc2e5e5df6p-11, -0x1.73bf94d9b6d7ep-11, -0x1.681e216d4d0f9p-11, -0x1.5cd569c037058p-11, -0x1.51e334f68c609p-11, -0x1.47456be656743p-11, -0x1.3cfa0401239a1p-11, -0x1.32fee963c0387p-11, -0x1.2951ee04133b5p-11, -0x1.1ff0c438f1a8dp-11, -0x1.16d907f3210d2p-11, -0x1.0e085430acc3dp-11, -0x1.057c5c71f214p-11, -0x1.fa65fdb31986ep-12, -0x1.ea54a689fdf5bp-12, -0x1.dac12875dce14p-12, -0x1.cba85b01261a4p-12, -0x1.bd07386a0dd87p-12, -0x1.aedad4acd2fffp-12, -0x1.a1203cda5bb61p-12, -0x1.93d4590c60844p-12, -0x1.86f3d82977a56p-12, -0x1.7a7b328a8f8bap-12, -0x1.6e66cd1623fe9p-12, -0x1.62b32be9ff50cp-12, -0x1.575d1f1665a7cp-12, -0x1.4c61d10cd9d75p-12, -0x1.41beb41aa8f5p-12, -0x1.37716105234a1p-12, -0x1.2d777fa7cf3ddp-12, -0x1.23cec2e514b87p-12, -0x1.1a74fe6e756adp-12, -0x1.11680208b2af3p-12, -0x1.08a5b68cff987p-12, -0x1.002bd65ace435p-12, -0x1.efefeba60799cp-13, -0x1.e00f2c679822bp-13, -0x1.d0b0ab67725dep-13, -0x1.c1d03377b38f3p-13, -0x1.b36a2c3c22fd3p-13, -0x1.a57b53830e706p-13, -0x1.98004f315127p-13, -0x1.8af566eadfd56p-13, -0x1.7e569a71749cfp-13, -0x1.722001f679544p-13, -0x1.664e2a7ed63eep-13, -0x1.5ade255945961p-13, -0x1.4fcd43ccfea69p-13, -0x1.4518bea730ea4p-13, -0x1.3abd959c17ce2p-13, -0x1.30b8bd9d3c4b7p-13, -0x1.27077560b7d2ep-13, -0x1.1da77e5068689p-13, -0x1.149708fc2cc88p-13, -0x1.0bd44f7f608ecp-13, -0x1.035d113550e75p-13, -0x1.f65c90e1a5053p-14, -0x1.e688b2f2b308ep-14, -0x1.d7374dc24267dp-14, -0x1.c8625976f4a5p-14, -0x1.ba05826109b34p-14, -0x1.ac1dbb6b72bbfp-14, -0x1.9ea8558336e48p-14, -0x1.91a25858ecfdp-14, -0x1.850881928aca1p-14, -0x1.78d7bb8d8c056p-14, -0x1.6d0d96d09ac24p-14, -0x1.61a861833efe1p-14, -0x1.56a6a6abb73afp-14, -0x1.4c06445d55a97p-14, -0x1.41c3a2e456695p-14, -0x1.37d997ae3ddc2p-14, -0x1.2e42171662379p-14, -0x1.24f75bd7248aep-14, -0x1.1bf4e57c661eep-14, -0x1.1337d667f4297p-14, -0x1.0abea335d0b9bp-14, -0x1.028856f698f82p-14, -0x1.f527b8f8b2f7cp-15, -0x1.e5bf6aa46138dp-15, -0x1.d6d47465f69a4p-15, -0x1.c8645224f36dbp-15, -0x1.ba6de56ef828p-15, -0x1.acf08437f9642p-15, -0x1.9fe9fe425f588p-15, -0x1.935574560f00fp-15, -0x1.872bd86c7b536p-15, -0x1.7b65413db4fddp-15, -0x1.6ffa26a58fe18p-15, -0x1.64e44f082f897p-15, -0x1.5a1f20ea31ccep-15, -0x1.4fa7963117784p-15, -0x1.457bea65f3819p-15, -0x1.3b9b56347a25dp-15, -0x1.320561e0ad2c6p-15, -0x1.28b8e227fefc3p-15, -0x1.1fb3e31c821acp-15, -0x1.16f4f401435e2p-15, -0x1.0e7c214ff1e42p-15, -0x1.0649a5f9e5d28p-15, -0x1.fcb75846594b1p-16, -0x1.ed5bea28fdb9ep-16, -0x1.de76d60c99017p-16, -0x1.cfff2f00a012p-16, -0x1.c1ee09e9505f4p-16, -0x1.b43e2d9869dbep-16, -0x1.a6ec01dd35357p-16, -0x1.99f501c34e444p-16, -0x1.8d55dbc00f088p-16, -0x1.810a19b628d4ap-16, -0x1.750f2ce7dd456p-16, -0x1.6965c38c2f6d5p-16, -0x1.5e0e5f99c1daap-16, -0x1.5306fc42300a9p-16, -0x1.484dacdd31dfp-16, -0x1.3de27bda7d0e4p-16, -0x1.33c472042aa9ap-16, -0x1.29ef6af26f034p-16, -0x1.205df61fc5effp-16, -0x1.170b7aaaea403p-16, -0x1.0df465021914dp-16, -0x1.0515a76c8e887p-16, -0x1.f8d9b405dc857p-17, -0x1.e7f19d9e97d7cp-17, -0x1.d7734340f2fccp-17, -0x1.c75eaa305b193p-17, -0x1.b7ae7430c1fc2p-17, -0x1.a85822bcc2c1fp-17, -0x1.995719fe4a41ep-17, -0x1.8ab152974295bp-17, -0x1.7c6ad36ee5687p-17, -0x1.6e7e2131b127ap-17, -0x1.60e57888a24f2p-17, -0x1.539fc8e0bc50ap-17, -0x1.46aad03d4c617p-17, -0x1.3a022dc5bef15p-17, -0x1.2da2d632b6229p-17, -0x1.218b5c0a4eb97p-17, -0x1.15b9d581c78c6p-17, -0x1.0a2a888a1055fp-17, -0x1.fdb1d46c6b0c3p-18, -0x1.e784d24425a76p-18, -0x1.d1cfbcffb63d7p-18, -0x1.bc96905eca37ep-18, -0x1.a7d92ff3f79fbp-18, -0x1.9390a393dc129p-18, -0x1.7fb220a2aa694p-18, -0x1.6c3c443716bdfp-18, -0x1.5937659a24354p-18, -0x1.469eac7beaae7p-18, -0x1.346398c413d85p-18, -0x1.2285d4c7e64bp-18, -0x1.110a895ffff09p-18, -0x1.ffdd44439fb47p-19, -0x1.de5b28c9651d9p-19, -0x1.bd8d30c0dc4c9p-19, -0x1.9d758ef8ec509p-19, -0x1.7e12a906accdbp-19, -0x1.5f58fec280d04p-19, -0x1.41372215362c4p-19, -0x1.23a716b40a086p-19, -0x1.06b309ccd6b5ep-19, -0x1.d4bf320667c2p-20, -0x1.9d4720a893b5dp-20, -0x1.66fba55f182bdp-20, -0x1.31ef72dcb4fa6p-20, -0x1.fc2f3905e2916p-21, -0x1.969aa3c4c2eeep-21, -0x1.33152c88ababbp-21, -0x1.a3335280ad1ep-22, -0x1.c8410d66e4e34p-23, -0x1.4a09eff2d10f7p-25, 0x1.1ab8d02aa0dc5p-23, 0x1.3ffdcdd0d270ep-22, 0x1.eeb9364b24aa8p-22, 0x1.4cbe50cdfaa5cp-21, 0x1.a01c89519f29fp-21, 0x1.f18a789f2a263p-21, 0x1.209c9757a081p-20, 0x1.479a66635bd35p-20, 0x1.6daf0b6d3d115p-20, 0x1.92e0ad2838637p-20, 0x1.b7393053e4bbfp-20, 0x1.daac39c653166p-20, 0x1.fd3cc363748c8p-20, 0x1.0f7cf5c432e3fp-19, 0x1.1ff3d51ccb752p-19, 0x1.2ffe698b70d18p-19, 0x1.3f9f7138aaa4dp-19, 0x1.4ede7243302cap-19, 0x1.5dbc8e09f4f8dp-19, 0x1.6c3ab4bb2a85ap-19, 0x1.7a529be379c6p-19, 0x1.8807014df4f85p-19, 0x1.955c44dce3d6fp-19, 0x1.a2522f4bcf22ep-19, 0x1.aee75370cbe8cp-19, 0x1.bb1dbe6d7e04dp-19, 0x1.c6fc843367645p-19, 0x1.d282eb73a6987p-19, 0x1.ddb06fdb3d598p-19, 0x1.e88855eb807c1p-19, 0x1.f305d90f24168p-19, 0x1.fd2aab79e08e8p-19, 0x1.037e0dee2bd82p-18, 0x1.083dbe4faf8d4p-18, 0x1.0cd486d0bcf34p-18, 0x1.11429643b0fb7p-18, 0x1.15888656e7c52p-18, 0x1.19a66b0472317p-18, 0x1.1d9b2e2c02db3p-18, 0x1.21688756352d9p-18, 0x1.25112aab9bffbp-18, 0x1.2895198771475p-18, 0x1.2bf2683bad6fp-18, 0x1.2f2a255f7b9bdp-18, 0x1.323d96f860f0ep-18, 0x1.352c2ec2ebd46p-18, 0x1.37f68f1ee47ccp-18, 0x1.3a9eb7ffe9955p-18, 0x1.3d251c4f344f6p-18, 0x1.3f89f1a0857c8p-18, 0x1.41cbaf3791661p-18, 0x1.43ebfb017d0adp-18, 0x1.45ec055653125p-18, 0x1.47cc074674848p-18, 0x1.498c3f42b38a7p-18, 0x1.4b2d13c4854fbp-18, 0x1.4caf0008bc02dp-18, 0x1.4e1282036cb0ep-18, 0x1.4f580c2225081p-18, 0x1.508008930155dp-18, 0x1.518af7954ae67p-18, 0x1.52795e621e429p-18, 0x1.534b1732fd43p-18, 0x1.540098517255ap-18, 0x1.549be51b2ce1dp-18, 0x1.551c7e46961a9p-18, 0x1.5581c80319814p-18, 0x1.55cc37eab9d2ap-18, 0x1.55fd9340eb3cp-18, 0x1.5616e8830b388p-18, 0x1.56174d6220744p-18, 0x1.55febdfa84c71p-18, 0x1.55cea018af13dp-18, 0x1.55875dec69688p-18, 0x1.5529378a89682p-18, 0x1.54b48a896ada3p-18, 0x1.5429bfed7d65p-18, 0x1.538942f8bf4a6p-18, 0x1.52d37f708495p-18, 0x1.5208e27a863f9p-18, 0x1.5129da87e62afp-18, 0x1.5036d4bfe5501p-18, 0x1.4f303df458543p-18, 0x1.4e167c4f50afbp-18, 0x1.4ce9f4683c594p-18, 0x1.4bab0dc595635p-18, 0x1.4a5a43a3d861bp-18, 0x1.48f81af4c2f09p-18, 0x1.47849335c4b71p-18, 0x1.45ffc1123a833p-18, 0x1.446acf03acb3bp-18, 0x1.42c6382ee7c84p-18, 0x1.41119b842a682p-18, 0x1.3f4ddf6d3c01ap-18, 0x1.3d7b77b0e2982p-18, 0x1.3b9aa10a54ad7p-18, 0x1.39abb17f64ab7p-18, 0x1.37af07b821b68p-18, 0x1.35a503099b905p-18, 0x1.338e01dc4afa3p-18, 0x1.316a61aa4f33cp-18, 0x1.2f3a7f242123ap-18, 0x1.2cfeb60f76324p-18, 0x1.2ab760dd6a0ebp-18, 0x1.2864d89c901edp-18, 0x1.2607730fe64efp-18, 0x1.239f88d4db75dp-18, 0x1.212d72dafbebbp-18, 0x1.1eb18b2e1a752p-18, 0x1.1c2c283a70098p-18, 0x1.199d9f6c4d2afp-18, 0x1.1706487f09256p-18, 0x1.14662cb7c0aedp-18, 0x1.11bdfbdcb275ap-18, 0x1.0f0deb015cf48p-18, 0x1.0c5632e5f2028p-18, 0x1.09974b9741f54p-18, 0x1.06d148e46f748p-18, 0x1.0404a3517fcdap-18, 0x1.0131a8ce391dep-18, 0x1.fcb130666b88fp-19, 0x1.f6f370f8430b5p-19, 0x1.f12aa56039011p-19, 0x1.eb575e257f2d7p-19, 0x1.e57a29b11e067p-19, 0x1.df9394659581dp-19, 0x1.d9a42876d0276p-19, 0x1.d3ac6ddef8655p-19, 0x1.cdace9a4de5cdp-19, 0x1.c7a61eef3de7ap-19, 0x1.c1989003451aep-19, 0x1.bb84bf01663dep-19, 0x1.b56b2b9f1fd39p-19, 0x1.af4c4e519880bp-19, 0x1.a928a1c6b710ap-19, 0x1.a300b0c550127p-19, 0x1.9cd4c465471b8p-19, 0x1.96a56c2d6eb97p-19, 0x1.9072ff3451f0ap-19, 0x1.8a3e27d94ec82p-19, 0x1.84073a1c20704p-19, 0x1.7dce97f04caf8p-19, 0x1.7794c65074fffp-19, 0x1.7159ed86af393p-19, 0x1.6b1ec9603ffd1p-19, 0x1.64e3813fa9563p-19, 0x1.5ea8791a882fap-19, 0x1.586e33998bd7ep-19, 0x1.52350710ada85p-19, 0x1.4bfd4a9db563ep-19, 0x1.45c759a425dc6p-19, 0x1.3f938e3844244p-19, 0x1.3962404739b92p-19, 0x1.3333c5ad681fdp-19, 0x1.2d08729ff274p-19, 0x1.26e09a15172dp-19, 0x1.20bc8d948f65p-19, 0x1.1a9c9bcb11739p-19, 0x1.14810ef0f4666p-19, 0x1.0e6a36347dd3fp-19, 0x1.08586a93f8751p-19, 0x1.024bd113ddb7bp-19, 0x1.f88964a478b84p-20, 0x1.ec86e72cf60dcp-20, 0x1.e090942e279b4p-20, 0x1.d4a6e6cbb6c3ap-20, 0x1.c8ca5e30b825fp-20, 0x1.bcfb774618ee1p-20, 0x1.b13aab7039ca5p-20, 0x1.a58870a65eb93p-20, 0x1.99e5396b1cfa1p-20, 0x1.8e51747349b8bp-20, 0x1.82cd8d27a86d4p-20, 0x1.7759ec27b1658p-20, 0x1.6bf6fd4868dfcp-20, 0x1.60a529da8feaep-20, 0x1.5564be63d2952p-20, 0x1.4a3616f52875cp-20, 0x1.3f19a36d88f8cp-20, 0x1.340fb28eab1c1p-20, 0x1.291897264db16p-20, 0x1.1e34a3c751b43p-20, 0x1.13642829fad28p-20, 0x1.08a76fe607919p-20, 0x1.fbfd863b0d758p-21, 0x1.e6d4debd6e4f5p-21, 0x1.d1d581ebd381bp-21, 0x1.bcffa62540e77p-21, 0x1.a854139934179p-21, 0x1.93d33c6611bbfp-21, 0x1.7f7d32d349c57p-21, 0x1.6b5369849cea6p-21, 0x1.57554916da204p-21, 0x1.438390c7f1fd9p-21, 0x1.2fdea1c662c69p-21, 0x1.1c66d97451b1p-21, 0x1.091c90b13119ap-21, 0x1.ec0037d243f23p-22, 0x1.c6239655e1d4ep-22, 0x1.a0a3d47d60e5fp-22, 0x1.7b8181ab9184p-22, 0x1.56bd23b4781b1p-22, 0x1.32573a2e8aa0cp-22, 0x1.0e503b0d5d10bp-22, 0x1.d55128f350184p-23, 0x1.8ec15fe624784p-23, 0x1.48f1c4679de8ep-23, 0x1.03e31a1edab48p-23, 0x1.7f2c05d39efacp-24, 0x1.f02c5cf3cea2ep-25, 0x1.ca157fea7c885p-26, -0x1.18518b39b52d6p-28, -0x1.2810ec7fc8ae8p-25, -0x1.15046cadcce09p-24, -0x1.9477ce20f6fa2p-24, -0x1.093184cd3712fp-23, -0x1.476243d6dd521p-23, -0x1.84ce4da7671bdp-23, -0x1.c1757f0c189dcp-23, -0x1.fd57c86d65ab4p-23, -0x1.1c3a935bc077ep-22, -0x1.3966d1398cefdp-22, -0x1.5630a7baa7a7bp-22, -0x1.7298264ab26dep-22, -0x1.8e9d61b980004p-22, }}, 
      {{0x1.19d684a075a92p-2, 0x1.17c5340bcafe8p-1, 0x1.9ea999490d239p-1, 0x1.0ffd389e5d47ep+0, 0x1.4d3487209e778p+0, 0x1.867ae1cb25081p+0, 0x1.bb753a162bffap+0, 0x1.ebe9458a2a21ep+0, 0x1.0bdc8049429c4p+1, 0x1.1f6f1b49d92cp+1, 0x1.30b3273a5a25dp+1, 0x1.3fb73c137dff4p+1, 0x1.4c9022885d07ap+1, 0x1.575755d841cacp+1, 0x1.6029b9357b49cp+1, 0x1.67267d9eeb0f8p+1, 0x1.6c6e345eda455p+1, 0x1.70220a054b9e3p+1, 0x1.7263259c0442dp+1, 0x1.735227e655693p+1, 0x1.730ec6b2257fbp+1, 0x1.71b78073d203cp+1, 0x1.6f6964b5d9474p+1, 0x1.6c3fee19f1b77p+1, 0x1.6854eafc6f1b2p+1, 0x1.63c0720609e89p+1, 0x1.5e98e049e3869p+1, 0x1.58f2dec8cb86cp+1, 0x1.52e16d6ed01f5p+1, 0x1.4c75f22509417p+1, 0x1.45c04a9beb56p+1, 0x1.3ecedfef5242ep+1, 0x1.37aebb7ea81afp+1, 0x1.306b9c3ee4662p+1, 0x1.29100c674ed79p+1, 0x1.21a576fd25e12p+1, 0x1.1a343cc07d6eap+1, 0x1.12c3c8948b8d7p+1, 0x1.0b5aa34087eaap+1, 0x1.03fe862f0267p+1, 0x1.f968da3a01efep+0, 0x1.eb014dc50f03p+0, 0x1.dccdcaa6bf607p+0, 0x1.ced4982cfd1a6p+0, 0x1.c11afcd1d4858p+0, 0x1.b3a557c11f178p+0, 0x1.a677388c6d087p+0, 0x1.9993751f4da6dp+0, 0x1.8cfc3df5fb24p+0, 0x1.80b3309d6b266p+0, 0x1.74b96893164b4p+0, 0x1.690f8ea44d45cp+0, 0x1.5db5e6ec7723ep+0, 0x1.52ac5d8b7e40cp+0, 0x1.47f2922a0e213p+0, 0x1.3d87e25eec225p+0, 0x1.336b7308168f6p+0, 0x1.299c38ae03f85p+0, 0x1.2018ff03dda6ap+0, 0x1.16e06f999a4eap+0, 0x1.0df117d3d1d53p+0, 0x1.05496e38c29cp+0, 0x1.f9cfae459afbfp-1, 0x1.e99551d27c45ep-1, 0x1.d9e05f0d01432p-1, 0x1.caad5f9df66cfp-1, 0x1.bbf8d47d5f315p-1, 0x1.adbf3ad596202p-1, 0x1.9ffd103ec1b3cp-1, 0x1.92aed6660e17cp-1, 0x1.85d1162f7ad43p-1, 0x1.796062618006dp-1, 0x1.6d5959e75aca7p-1, 0x1.61b8a9b626dfcp-1, 0x1.567b0e5f03454p-1, 0x1.4b9d555856134p-1, 0x1.411c5e065fb87p-1, 0x1.36f51a8b0aa02p-1, 0x1.2d2490640f6f5p-1, 0x1.23a7d8dd81369p-1, 0x1.1a7c215d3c2bp-1, 0x1.119eab8f273cdp-1, 0x1.090ccd734e3a2p-1, 0x1.00c3f1539ff48p-1, 0x1.f1832b49f0304p-2, 0x1.e20699aae8d69p-2, 0x1.d30d7a18a0846p-2, 0x1.c4933fb856268p-2, 0x1.b69383d723942p-2, 0x1.a90a0527e3fd8p-2, 0x1.9bf2a6f50767ap-2, 0x1.8f4970457a628p-2, 0x1.830a8afad308fp-2, 0x1.773242e7d8de7p-2, 0x1.6bbd04e3a2587p-2, 0x1.60a75dda34afcp-2, 0x1.55edf9dac5a57p-2, 0x1.4b8da3284b0e7p-2, 0x1.4183414881302p-2, 0x1.37cbd8178bc9bp-2, 0x1.2e6486dcbce7dp-2, 0x1.254a87632a53dp-2, 0x1.1c7b2d16f7323p-2, 0x1.13f3e42638c73p-2, 0x1.0bb230a6e2fb6p-2, 0x1.03b3adc20531p-2, 0x1.f7ec19c67da24p-3, 0x1.e8ee29dfb9e0fp-3, 0x1.da69430125641p-3, 0x1.cc594445d1a73p-3, 0x1.beba3340acc44p-3, 0x1.b1883a91b2a05p-3, 0x1.a4bfa88bdff31p-3, 0x1.985cede39e6b8p-3, 0x1.8c5c9c6649293p-3, 0x1.80bb65c132e18p-3, 0x1.75761a506f0fap-3, 0x1.6a89a7f68f667p-3, 0x1.5ff3190349024p-3, 0x1.55af932115d8bp-3, 0x1.4bbc564b242cdp-3, 0x1.4216bbd1160aep-3, 0x1.38bc3561e1133p-3, 0x1.2faa4c1d820ddp-3, 0x1.26de9fb32fa1ap-3, 0x1.1e56e58758e0ep-3, 0x1.1610e7df0fdbdp-3, 0x1.0e0a8515c225dp-3, 0x1.0641aedbdcd23p-3, 0x1.fd68d2f44cc4ap-4, 0x1.eec1963927398p-4, 0x1.e089f64cc6acdp-4, 0x1.d2be631739293p-4, 0x1.c55b6c5f3c372p-4, 0x1.b85dc09692e36p-4, 0x1.abc22bb4a8b3cp-4, 0x1.9f859618e6efdp-4, 0x1.93a50377b5ccfp-4, 0x1.881d91d545b7cp-4, 0x1.7cec788a96e7fp-4, 0x1.720f0751ab4a2p-4, 0x1.6782a55bb624cp-4, 0x1.5d44d072a542ap-4, 0x1.53531c22ece02p-4, 0x1.49ab30ebfb0afp-4, 0x1.404acb790719bp-4, 0x1.372fbbe37dc14p-4, 0x1.2e57e4fc8f693p-4, 0x1.25c13b9c6467p-4, 0x1.1d69c5f88d54p-4, 0x1.154f9b02014c7p-4, 0x1.0d70e1c9df136p-4, 0x1.05cbd0eb15108p-4, 0x1.fcbd5bf32677dp-5, 0x1.ee4f99efee8f1p-5, 0x1.e04b1fa646f02p-5, 0x1.d2accbc502d1ap-5, 0x1.c57196d89f2afp-5, 0x1.b896925ed46fp-5, 0x1.ac18e7e41a393p-5, 0x1.9ff5d82a0eb31p-5, 0x1.942aba5512579p-5, 0x1.88b4fb218bd6p-5, 0x1.7d921c21dec5bp-5, 0x1.72bfb30477e58p-5, 0x1.683b68e0cbedap-5, 0x1.5e02f989ff9f8p-5, 0x1.541432e85b598p-5, 0x1.4a6cf459b954cp-5, 0x1.410b2e1878adfp-5, 0x1.37ece0a78fc0dp-5, 0x1.2f101c444dbdp-5, 0x1.2673005c713e1p-5, 0x1.1e13bb0ac6d9ap-5, 0x1.15f08899f04a2p-5, 0x1.0e07b3072ec41p-5, 0x1.0657919050489p-5, 0x1.fdbd10801a8d4p-6, 0x1.ef360f02f5291p-6, 0x1.e117176f0e7b6p-6, 0x1.d35d39afd107fp-6, 0x1.c6059c1374326p-6, 0x1.b90d7a8ea718cp-6, 0x1.ac7226078704ep-6, 0x1.a03103a865be5p-6, 0x1.94478c3647f38p-6, 0x1.88b34b7252e78p-6, 0x1.7d71df7a75177p-6, 0x1.7280f83440dap-6, 0x1.67de56bb86d39p-6, 0x1.5d87ccd6c873ep-6, 0x1.537b3c7079341p-6, 0x1.49b69714d6fd2p-6, 0x1.4037dd742bf8ep-6, 0x1.36fd1ee980245p-6, 0x1.2e047905c47b5p-6, 0x1.254c171f2a57bp-6, 0x1.1cd231e441adbp-6, 0x1.14950ef317264p-6, 0x1.0c930073389cbp-6, 0x1.04ca64b3c408dp-6, 0x1.fa734b995cd96p-7, 0x1.ebbe7286dfa27p-7, 0x1.dd733f6578b36p-7, 0x1.cf8ec8ea4777bp-7, 0x1.c20e3aa4eaa91p-7, 0x1.b4eed46013d8ep-7, 0x1.a82de98721502p-7, 0x1.9bc8e0913e59ap-7, 0x1.8fbd32716f253p-7, 0x1.84086a0b380cbp-7, 0x1.78a823abcf568p-7, 0x1.6d9a0c87add57p-7, 0x1.62dbe23c082cbp-7, 0x1.586b72552b3c9p-7, 0x1.4e4699d81f5a6p-7, 0x1.446b44d08c472p-7, 0x1.3ad76de1f6cdep-7, 0x1.31891ddca15c9p-7, 0x1.287e6b541afc8p-7, 0x1.1fb57a4140bb5p-7, 0x1.172c7b94e6f31p-7, 0x1.0ee1ace533619p-7, 0x1.06d3580c96d18p-7, 0x1.fdffa5a46c35fp-8, 0x1.eecafd2894d3ap-8, 0x1.e0058fe9c7838p-8, 0x1.d1ac4d1286bb9p-8, 0x1.c3bc391761036p-8, 0x1.b6326d1f75dd2p-8, 0x1.a90c16715c147p-8, 0x1.9c4675e4c21c9p-8, 0x1.8fdedf580d98p-8, 0x1.83d2b92a0b34fp-8, 0x1.781f7bb7cead4p-8, 0x1.6cc2b0de51c26p-8, 0x1.61b9f37fdd302p-8, 0x1.5702ef0d0a0b6p-8, 0x1.4c9b5f113dff3p-8, 0x1.42810ec28059ap-8, 0x1.38b1d8948ae93p-8, 0x1.2f2ba5cf0d628p-8, 0x1.25ec6e26e9e13p-8, 0x1.1cf2375a68d48p-8, 0x1.143b14d0505b1p-8, 0x1.0bc5273954918p-8, 0x1.038e9c3805255p-8, 0x1.f72b5bfbc7aecp-9, 0x1.e7b14607cb26ap-9, 0x1.d8ab9b5485719p-9, 0x1.ca1717d883976p-9, 0x1.bbf08e1f88fc6p-9, 0x1.ae34e6b0a6834p-9, 0x1.a0e11f764f274p-9, 0x1.93f24b301cf22p-9, 0x1.876590e196a4ap-9, 0x1.7b382b4a3b554p-9, 0x1.6f67685effea4p-9, 0x1.63f0a8c7f7ee4p-9, 0x1.58d15f608a4a4p-9, 0x1.4e0710bc53648p-9, 0x1.438f52ae8bd37p-9, 0x1.3967cbd557fd5p-9, 0x1.2f8e33288b8ccp-9, 0x1.26004f8b62a02p-9, 0x1.1cbbf760e4b4dp-9, 0x1.13bf102277b4dp-9, 0x1.0b078df9a34b4p-9, 0x1.0293735bb19aep-9, 0x1.f4c1a151c8dffp-10, 0x1.e4db8795fe9e4p-10, 0x1.d570efd9fa153p-10, 0x1.c67e49fde6da6p-10, 0x1.b8001f0864cb1p-10, 0x1.a9f31054624c7p-10, 0x1.9c53d6f329da2p-10, 0x1.8f1f4308c7ac4p-10, 0x1.82523b2f6b4bcp-10, 0x1.75e9bbdfc04a5p-10, 0x1.69e2d6de13561p-10, 0x1.5e3ab2b22a9d8p-10, 0x1.52ee8a1b3ae7fp-10, 0x1.47fbab875743dp-10, 0x1.3d5f788a63bc3p-10, 0x1.33176556b9861p-10, 0x1.2920f83a3fb79p-10, 0x1.1f79c92042d7cp-10, 0x1.161f811e08c05p-10, 0x1.0d0fda034fad4p-10, 0x1.04489df054aa3p-10, 0x1.f78f4dd67e614p-11, 0x1.e715bce84357p-11, 0x1.d7207a2a3b8e4p-11, 0x1.c7ab93e9248afp-11, 0x1.b8b334ccaea1bp-11, 0x1.aa33a31540801p-11, 0x1.9c293fd74c15p-11, 0x1.8e90865f1c74dp-11, 0x1.81660b8cc954cp-11, 0x1.74a67d382402p-11, 0x1.684ea18bb9b26p-11, 0x1.5c5b5655fbd15p-11, 0x1.50c9905283fb7p-11, 0x1.45965a73b127p-11, 0x1.3abed536138d6p-11, 0x1.30403604a4d7cp-11, 0x1.2617c6b0b213ap-11, 0x1.1c42e4f96e885p-11, 0x1.12bf021b3fa11p-11, 0x1.0989a25d45941p-11, 0x1.00a05c957c6a4p-11, 0x1.f001b341d45c3p-12, 0x1.df51a7a4eb63cp-12, 0x1.cf2c2cbf1dc5dp-12, 0x1.bf8cf9a4a8ecfp-12, 0x1.b06fe5165d5ap-12, 0x1.a1d0e49de966p-12, 0x1.93ac0bd719dd8p-12, 0x1.85fd8bc64841bp-12, 0x1.78c1b23d6d61cp-12, 0x1.6bf4e93a0608fp-12, 0x1.5f93b63186cebp-12, 0x1.539ab946540b5p-12, 0x1.4806ac50b5581p-12, 0x1.3cd46255141f6p-12, 0x1.3200c5e347bfbp-12, 0x1.2788d8f3d608fp-12, 0x1.1d69b3cfe83c5p-12, 0x1.13a0848f726dcp-12, 0x1.0a2a8eb060d17p-12, 0x1.01052ac279c56p-12, 0x1.f05b8c3022c91p-13, 0x1.df43c4c9088b8p-13, 0x1.cebe2a701b7b6p-13, 0x1.bec60ea70dbfcp-13, 0x1.af56e7b322727p-13, 0x1.a06c4ed8c7f58p-13, 0x1.9201fea7c75ffp-13, 0x1.8413d180e0912p-13, 0x1.769dc0bf53b58p-13, 0x1.699be43636569p-13, 0x1.5d0a7238e3481p-13, 0x1.50e5bfaf62d53p-13, 0x1.452a3fed3a05ep-13, 0x1.39d4841a89f2ep-13, 0x1.2ee13a1d4d88ep-13, 0x1.244d2b1aad6ebp-13, 0x1.1a1539ba553c1p-13, 0x1.1036606270e34p-13, 0x1.06adafbebcc3ap-13, 0x1.faf09b45ecaa7p-14, 0x1.e926ea4ebf2ffp-14, 0x1.d7f8ed9b30a2p-14, 0x1.c76172cb38febp-14, 0x1.b75b74fc41b3p-14, 0x1.a7e21c67ac0fcp-14, 0x1.98f0bc9157483p-14, 0x1.8a82d1803fd91p-14, 0x1.7c93fca2cdb92p-14, 0x1.6f2001c3e2808p-14, 0x1.6222c4392fd43p-14, 0x1.559844992283ep-14, 0x1.497c9f700f44bp-14, 0x1.3dcc0d95fa102p-14, 0x1.3282e60ef3457p-14, 0x1.279da07ecf1f5p-14, 0x1.1d18d62a6bc92p-14, 0x1.12f143ff751efp-14, 0x1.0923c1db61f3dp-14, 0x1.ff5a8edc937e5p-15, 0x1.ed15c68bf86bep-15, 0x1.db737702560f5p-15, 0x1.ca6e17bbe733bp-15, 0x1.ba004868f1de4p-15, 0x1.aa24cf007c364p-15, 0x1.9ad693ebdaa03p-15, 0x1.8c10a77698817p-15, 0x1.7dce441f03374p-15, 0x1.700ad54083793p-15, 0x1.62c1f7bf89c3dp-15, 0x1.55ef764fb5898p-15, 0x1.498f43727f837p-15, 0x1.3d9d730b56f88p-15, 0x1.32163863433d3p-15, 0x1.26f5e23a92febp-15, 0x1.1c38e538d66d5p-15, 0x1.11dbca451da09p-15, 0x1.07db3866d8acep-15, 0x1.fc67d80f2be0bp-16, 0x1.e9c5723325742p-16, 0x1.d7c91d6eab9f3p-16, 0x1.c66cf6b0a3d82p-16, 0x1.b5ab5c549c4a8p-16, 0x1.a57ee85747926p-16, 0x1.95e265c0b0307p-16, 0x1.86d0c8f761c89p-16, 0x1.78452fdca5f32p-16, 0x1.6a3ae7164d29ep-16, 0x1.5cad6ccfa1956p-16, 0x1.4f986bef47d92p-16, 0x1.42f7b25db0b74p-16, 0x1.36c729a51b78fp-16, 0x1.2b02d6a02b45cp-16, 0x1.1fa6de48fb46fp-16, 0x1.14af8a0540e08p-16, 0x1.0a1947d16aea9p-16, 0x1.ffc14d07de99p-17, 0x1.ec04a07451256p-17, 0x1.d8f60bad774c3p-17, 0x1.c68f3f39733d3p-17, 0x1.b4ca2a632695dp-17, 0x1.a3a110cc13c2cp-17, 0x1.930e910070069p-17, 0x1.830d905638a14p-17, 0x1.7399193531b22p-17, 0x1.64ac47cd9bd03p-17, 0x1.564251adc2e96p-17, 0x1.48569c587620ep-17, 0x1.3ae4c7ab263b5p-17, 0x1.2de8a13dcdbd4p-17, 0x1.215e0f56fbd2ap-17, 0x1.154101aa07dfap-17, 0x1.098d74985af74p-17, 0x1.fc7ef56d4ff1cp-18, 0x1.e6a69696a6fa9p-18, 0x1.d18aa88282063p-18, 0x1.bd2495fabd452p-18, 0x1.a96e59a302535p-18, 0x1.96624b0ddf314p-18, 0x1.83fad6d6bd54p-18, 0x1.72325dcf0cf45p-18, 0x1.610353277a80bp-18, 0x1.50687017da50cp-18, 0x1.405cd5730ecbp-18, 0x1.30dbd731413ap-18, 0x1.21e0e20ff6761p-18, 0x1.13674d514e35dp-18, 0x1.056a5fbd1f6e2p-18, 0x1.efcae1a5b11c5p-19, 0x1.d5a82026193f3p-19, 0x1.bc64330ea2a99p-19, 0x1.a3f770eccfa7cp-19, 0x1.8c5aa14753804p-19, 0x1.75879e16adc34p-19, 0x1.5f7812aa3ea6ep-19, 0x1.4a25a5cc0ee19p-19, 0x1.358a3b40d45a4p-19, 0x1.219fc1f311e3fp-19, 0x1.0e608e65ec34fp-19, 0x1.f78eaa32acb2fp-20, 0x1.d39df38d95246p-20, 0x1.b0e4d0b240ef9p-20, 0x1.8f5902289c824p-20, 0x1.6ef0294c6be07p-20, 0x1.4f9ffb656a6cep-20, 0x1.315eacc675566p-20, 0x1.14233afd3d092p-20, 0x1.efcacb9d9edcap-21, 0x1.b93adbfbc0e97p-21, 0x1.8487d46c19bf4p-21, 0x1.51a3847a5d98p-21, 0x1.2080185ee79cfp-21, 0x1.e21f72d30a47ap-22, 0x1.8689ebb5d85bep-22, 0x1.2e271442795f9p-22, 0x1.b1c08a6299891p-23, 0x1.0d3d548af9592p-23, 0x1.ba55db5535b44p-25, -0x1.5329f1d8b42a3p-26, -0x1.7bbdb0cbd9abap-24, -0x1.4c01b14558155p-23, -0x1.d4f72dc8fb646p-23, -0x1.2c7405fcd124p-22, -0x1.6bfded7387c15p-22, -0x1.a92bb7f1b3ee6p-22, -0x1.e40de889332a2p-22, -0x1.0e59d3dcb61f5p-21, -0x1.29961a9aaf3d9p-21, -0x1.43c3e68a772f7p-21, -0x1.5ceb766ed9f76p-21, -0x1.75149f1a6a46cp-21, -0x1.8c461d0058416p-21, -0x1.a285b62049321p-21, -0x1.b7d96cf3acb1bp-21, -0x1.cc480c87662ebp-21, -0x1.dfd85cb2d2399p-21, -0x1.f290912960fb6p-21, -0x1.023b1cd392521p-20, -0x1.0ac7800bc0fa3p-20, -0x1.12f01f4b3d72ap-20, -0x1.1ab7b1a02c969p-20, -0x1.2220f2d5487c9p-20, -0x1.292e8575ac39p-20, -0x1.2fe2c5b1bf68p-20, -0x1.363fc9abac7a7p-20, -0x1.3c47a31a21e19p-20, -0x1.41fc97a2d619ep-20, -0x1.4761064bd09d4p-20, -0x1.4c773113a9977p-20, -0x1.5141304b3f751p-20, -0x1.55c0dfcdf35f1p-20, -0x1.59f7ef4e4839ep-20, -0x1.5de837a264ef8p-20, -0x1.6193b075909e3p-20, -0x1.64fc1dd3f17b3p-20, -0x1.682322492d37ep-20, -0x1.6b0a6c1d18ccfp-20, -0x1.6db3a9ee1e1d5p-20, -0x1.7020798c191cap-20, -0x1.72526759a528ep-20, -0x1.744afa517a242p-20, -0x1.760bb56c6592dp-20, -0x1.77961b238557ep-20, -0x1.78eb95b2d5a42p-20, -0x1.7a0d6c0fa202bp-20, -0x1.7afcdb04668a3p-20, -0x1.7bbb357240803p-20, -0x1.7c49e78e651fcp-20, -0x1.7caa4d6c7f7dap-20, -0x1.7cdda4bbfa26p-20, -0x1.7ce517e7187cbp-20, -0x1.7cc1bfe7e6b0ap-20, -0x1.7c74c309b4e59p-20, -0x1.7bff4c16e674p-20, -0x1.7b6257feccf8ap-20, -0x1.7a9f265e938cp-20, -0x1.79b6a59ca647cp-20, -0x1.78a9f23983399p-20, -0x1.777a0c008913ap-20, -0x1.7627f3db1dbacp-20, -0x1.74b4b0b4278f9p-20, -0x1.73214748d44d7p-20, -0x1.716eb20b9aef9p-20, -0x1.6f9da29156d0ep-20, -0x1.6daf230999c58p-20, -0x1.6ba41524f744bp-20, -0x1.697d5ab8ab8d9p-20, -0x1.673bd0a612a51p-20, -0x1.64e0557792fd6p-20, -0x1.626bc624f74f4p-20, -0x1.5fdeda9db2897p-20, -0x1.5d3a67438ad46p-20, -0x1.5a7f367e34f61p-20, -0x1.57ae1209b3b9ap-20, -0x1.54c7bd72f2683p-20, -0x1.51ccecb364342p-20, -0x1.4ebe5a5d21fe8p-20, -0x1.4b9cbed5d24a1p-20, -0x1.4868cc45dec38p-20, -0x1.452337ed92bd6p-20, -0x1.41ccba17d6adfp-20, -0x1.3e66039979e8p-20, -0x1.3aefb354e2bacp-20, -0x1.376a67b0cfb15p-20, -0x1.33d6c18de91cbp-20, -0x1.303518d27b6d1p-20, -0x1.2c86f30b54cc6p-20, -0x1.28cc069763a8p-20, -0x1.25053f10f9829p-20, -0x1.21330832d59cbp-20, -0x1.1d561ba048f1bp-20, -0x1.196efa2fc8eb8p-20, -0x1.157e2fb4b6cecp-20, -0x1.118441f77acc2p-20, -0x1.0d81bcbef5a5bp-20, -0x1.09772bf5848f8p-20, -0x1.0565104f7db9dp-20, -0x1.014be1d19e4a3p-20, -0x1.fa583b95edc05p-21, -0x1.f20c847b4c9cbp-21, -0x1.e9b59296164dbp-21, -0x1.e154549ce2c5cp-21, -0x1.d8e9b3a89a5f8p-21, -0x1.d07693c5b1f88p-21, -0x1.c7fbd6f4bf245p-21, -0x1.bf7a53241552p-21, -0x1.b6f2e13fee61bp-21, -0x1.ae665379c6ac2p-21, -0x1.a5d5751faf21cp-21, -0x1.9d410e8c825e7p-21, -0x1.94a9e5df9c407p-21, -0x1.8c10be681999fp-21, -0x1.837657450e7fp-21, -0x1.7adb69d007101p-21, -0x1.7240a96394cfap-21, -0x1.69a6c59e2518fp-21, -0x1.610e6b8d747dbp-21, -0x1.587842bf9cb86p-21, -0x1.4fe4f214cf385p-21, -0x1.4755259fe04dep-21, -0x1.3ec97382de8ffp-21, -0x1.36427a1c8e40bp-21, -0x1.2dc0befe20496p-21, -0x1.2544e8ae2ae18p-21, -0x1.1ccf8568362f1p-21, -0x1.1461179181e2fp-21, -0x1.0bfa2d86daffcp-21, -0x1.039b52adad49fp-21, -0x1.f689f80a544a1p-22, -0x1.e5ef59d1e77f1p-22, -0x1.d567bff030587p-22, -0x1.c4f4178c4231ep-22, -0x1.b4954784d69e5p-22, -0x1.a44c30d49ef6ap-22, -0x1.9419aeb2e8b96p-22, -0x1.83fe96a3347f6p-22, -0x1.73fbc1605b11p-22, -0x1.6411e28198062p-22, -0x1.5441d132d9222p-22, -0x1.448c3ef010b5ep-22, -0x1.34f1e1905e1c2p-22, -0x1.25736a7774c77p-22, -0x1.16118628ab163p-22, -0x1.06ccd6532092ep-22, -0x1.ef4bf2f0f970ep-23, -0x1.d13b1e3b0662cp-23, -0x1.b3685793e21c4p-23, -0x1.95d4b4d201182p-23, -0x1.78815028b3208p-23, -0x1.5b6f288c5ad03p-23, -0x1.3e9f43042513ap-23, -0x1.221290007015dp-23, -0x1.05c9f93f3075cp-23, -0x1.d38cbd1f95618p-24, -0x1.9c112be21ef1p-24, -0x1.6522d7d22a472p-24, -0x1.2ec34790e351cp-24, -0x1.f1e7de8b244dep-25, -0x1.876c61e764e5dp-25, -0x1.1e169bb180dcbp-25, -0x1.6bd27f3e4a06bp-26, -0x1.3b99a5871ca8p-27, 0x1.6ef9a61177c73p-29, 0x1.ee5acbb9d0d75p-27, 0x1.be19d346fe895p-26, 0x1.41507422d7b9bp-25, 0x1.a25fa8ee317bep-25, 0x1.011c7ce5b6bd2p-24, 0x1.306d7ff777b63p-24, 0x1.5f222457fb168p-24, 0x1.8d39f538198ddp-24, 0x1.babb40f567c19p-24, 0x1.e7903f88dccb5p-24, 0x1.09e6df1091358p-23, 0x1.1fb64a2004e4ep-23, 0x1.3536221c9c28cp-23, 0x1.4a6641d9168ffp-23, 0x1.5f468be8eaa25p-23, 0x1.73d6e8dabd25ep-23, 0x1.8817484a55cc7p-23, 0x1.9c079e71d3117p-23, 0x1.afa7e56bf9976p-23, 0x1.c2f822c065cd1p-23, 0x1.d5f8585012cabp-23, 0x1.e8a894488937cp-23, 0x1.fb08e88ffa728p-23, 0x1.068cb5eb42ff6p-22, 0x1.0f6d1cfbf5591p-22, 0x1.1825ba76ef656p-22, 0x1.20b6a0e00f37p-22, 0x1.291feac9a2f81p-22, 0x1.3161a4aa80c4bp-22, 0x1.397bf560d93e6p-22, 0x1.416ef338dd0bp-22, 0x1.493abbf1fe759p-22, 0x1.50df72090c5bdp-22, 0x1.585d3663a9835p-22, 0x1.5fb4ea9622a79p-22, 0x1.66e483f43ad05p-22, 0x1.6dee6a622272ep-22, 0x1.74d1f8a640becp-22, 0x1.7b8f625edb19p-22, 0x1.8226d60f6ae58p-22, 0x1.889883d33c1bbp-22, 0x1.8ee49d5094388p-22, 0x1.950b5622fee19p-22, 0x1.9b0ce2d35e3dp-22, 0x1.a0e9796975ad5p-22, 0x1.a6a151bee764fp-22, 0x1.ac34a51a3cd23p-22, 0x1.b1a3ad9873aa9p-22, 0x1.b6eea726a31f3p-22, 0x1.bc15ce658e69ep-22, 0x1.c119617f87598p-22, 0x1.c5f9a3947f877p-22, 0x1.cab6d5a4d200ap-22, 0x1.cf51291dadd34p-22, 0x1.d3c8f771dc56dp-22, 0x1.d81e7070c82adp-22, 0x1.dc51f38a21c5ap-22, 0x1.e063aa27f7cb4p-22, 0x1.e453e7de84d6fp-22, 0x1.e822f30e18b04p-22, 0x1.ebd11359e522bp-22, 0x1.ef5e919f86f5cp-22, 0x1.f2cbb7b07243p-22, 0x1.f618d004d35f8p-22, 0x1.f9462638664d6p-22, 0x1.fc53fe881c49dp-22, 0x1.ff42b8e01beedp-22, 0x1.010946b19022ap-21, 0x1.0261e92daaf26p-21, 0x1.03ab6a688c834p-21, 0x1.04e5f16829c2dp-21, 0x1.0611a5980e882p-21, 0x1.072eae8dae996p-21, 0x1.083d34094d68ep-21, 0x1.093d5df759cd5p-21, 0x1.0a2f5471eb2a3p-21, 0x1.0b133fbb4354dp-21, 0x1.0be9482733255p-21, 0x1.0cb19623d335ep-21, 0x1.0d6c5266dacebp-21, 0x1.0e19a5929a6efp-21, 0x1.0eb9ba19b4cacp-21, 0x1.0f4aae1aa358cp-21, 0x1.0fd2c5cc4d127p-21, 0x1.104c05a71f32cp-21, 0x1.10b8ae8b30074p-21, 0x1.1118e397c2d8p-21, 0x1.116ccd80d5207p-21, 0x1.11b4952a34ed9p-21, 0x1.11f0637b30594p-21, 0x1.1220616088c15p-21, 0x1.1244b79b44e08p-21, 0x1.125d8d2693dabp-21, 0x1.126b0fab16787p-21, 0x1.126d631eab05bp-21, 0x1.1264b198ed984p-21, 0x1.1251239b26775p-21, 0x1.1232e24300e22p-21, 0x1.120a13be32a28p-21, 0x1.11d6e2730ecc3p-21, 0x1.11997636c2103p-21, 0x1.1151f403be4e4p-21, 0x1.110088476fcb2p-21, 0x1.10a5571b88506p-21, 0x1.1040895d0977bp-21, 0x1.0fd244c088fccp-21, 0x1.0f5ac0ad26326p-21, 0x1.0ed9fa5cc247p-21, 0x1.0e504474d1173p-21, 0x1.0dbdb27612dd9p-21, 0x1.0d226cf5f9f8ap-21, 0x1.0c7e9a6df1ba9p-21, 0x1.0bd260f661ea7p-21, 0x1.0b1de66cd103ap-21, 0x1.0a61507794eap-21, 0x1.099cc4855a8c7p-21, 0x1.08d067cc4c38fp-21, }}, 
      {{0x1.714bab4977de2p-2, 0x1.8b82cbcae9f8ap-2, 0x1.b1564b6412798p-2, 0x1.dcefcc158592fp-2, 0x1.047184d875e06p-1, 0x1.1859aecf5060cp-1, 0x1.287f587d23f1fp-1, 0x1.33bb6e48422b7p-1, 0x1.39611fbc84cefp-1, 0x1.392969d86905bp-1, 0x1.331e0adb0bd67p-1, 0x1.2785eef0df10ap-1, 0x1.16d3fcd137fep-1, 0x1.01988a972349ap-1, 0x1.d0eadd3901af8p-2, 0x1.9828e8b21fbabp-2, 0x1.5a3fda0b3646dp-2, 0x1.187a231ba2ed2p-2, 0x1.a81fb930de70bp-3, 0x1.1c425a79405cdp-3, 0x1.1ecb234cb407bp-4, 0x1.ac1b883a31363p-10, -0x1.0ca4ea3f8283ap-4, -0x1.0c41d6bfaa898p-3, -0x1.8d5588da70b83p-3, -0x1.0450f61dcfe9fp-2, -0x1.3eb608509dafdp-2, -0x1.75929d9ccad24p-2, -0x1.a8b322993537ep-2, -0x1.d7f58655440a8p-2, -0x1.01a3822678895p-1, -0x1.15510623d4dc8p-1, -0x1.27062a5a12e59p-1, -0x1.36ca8a3ba9f8bp-1, -0x1.44a9b446fa10bp-1, -0x1.50b271b6a4f8p-1, -0x1.5af6216f7c2f7p-1, -0x1.6388256a3ee3p-1, -0x1.6a7d617f64717p-1, -0x1.6febc9b6bb493p-1, -0x1.73e9ff08d232ep-1, -0x1.768efa0a702d6p-1, -0x1.77f1c2675e714p-1, -0x1.782931e2320c3p-1, -0x1.774bc1912022dp-1, -0x1.756f606ff4453p-1, -0x1.72a9523c6940dp-1, -0x1.6f0e15bd0e494p-1, -0x1.6ab15154fe233p-1, -0x1.65a5c4ff3b42cp-1, -0x1.5ffd40f2168bfp-1, -0x1.59c8a038636afp-1, -0x1.5317c6af65153p-1, -0x1.4bf9a1dd793a7p-1, -0x1.447c2c2bdc14ap-1, -0x1.3cac71f5cdb32p-1, -0x1.34969820d396ap-1, -0x1.2c45e3e051a62p-1, -0x1.23c4c34c01dbbp-1, -0x1.1b1cd6a64eecap-1, -0x1.1256fa096c953p-1, -0x1.097b4f5271518p-1, -0x1.009148344b56cp-1, -0x1.ef3f604c919d3p-2, -0x1.dd596cc9322f3p-2, -0x1.cb7bef0ed3f76p-2, -0x1.b9b10df3f273cp-2, -0x1.a801f01e28fb3p-2, -0x1.9676cd88214aap-2, -0x1.8517003b275p-2, -0x1.73e9144d240b7p-2, -0x1.62f2d70ca1b78p-2, -0x1.52396565a16e3p-2, -0x1.41c1397a6d901p-2, -0x1.318e37772f842p-2, -0x1.21a3b9a32d01fp-2, -0x1.12049bb31cf1bp-2, -0x1.02b34565bc7cbp-2, -0x1.e76368e4afe35p-3, -0x1.ca030b88da174p-3, -0x1.ad47fc43d8699p-3, -0x1.9134244efe266p-3, -0x1.75c8db78fcafcp-3, -0x1.5b06f5e12db23p-3, -0x1.40eed0ba3789ep-3, -0x1.27805dfff0609p-3, -0x1.0ebb2f565f686p-3, -0x1.ed3cffe7f63d5p-4, -0x1.be527bba8e5ap-4, -0x1.90b42479ae978p-4, -0x1.645ed26a582c9p-4, -0x1.394ef1bd96e0bp-4, -0x1.0f808fc3c4658p-4, -0x1.cddecd4d5224p-5, -0x1.7f2dd0e1bceaep-5, -0x1.32e491f5f994p-5, -0x1.d1f21bd87faeep-6, -0x1.42c1d1c21d5f8p-6, -0x1.7045f119ea78bp-7, -0x1.8ffe55a0bda05p-9, 0x1.3ef775d847dd7p-8, 0x1.9a58dd569b15ep-7, 0x1.46628b443d0d9p-6, 0x1.bb76f7c3854b3p-6, 0x1.164044357f55fp-5, 0x1.4ccb09590482bp-5, 0x1.81672feb2ee6dp-5, 0x1.b4200f9e9df0fp-5, 0x1.e500ee6f3f71bp-5, 0x1.0a0a7db3b4991p-4, 0x1.20b3a4fd2d8f5p-4, 0x1.36816770fe009p-4, 0x1.4b792e1ad597ap-4, 0x1.5fa04f39ec4d8p-4, 0x1.72fc0d479f4f9p-4, 0x1.8591959659885p-4, 0x1.9765ff723709ap-4, 0x1.a87e4b99fbdfdp-4, 0x1.b8df635c82a23p-4, 0x1.c88e18211bf88p-4, 0x1.d78f233cc9eecp-4, 0x1.e5e72575d304dp-4, 0x1.f39aa6d011567p-4, 0x1.00570b5423828p-3, 0x1.0692e5c5cb2c4p-3, 0x1.0c830197739a7p-3, 0x1.1229715d37561p-3, 0x1.17883b72a8681p-3, 0x1.1ca15a05cb946p-3, 0x1.2176bb49178bdp-3, 0x1.260a419d86dbep-3, 0x1.2a5dc3a9b9768p-3, 0x1.2e730c8e1eec2p-3, 0x1.324bdc240eb02p-3, 0x1.35e9e7235e247p-3, 0x1.394ed7504bb2ap-3, 0x1.3c7c4bc3aa1ccp-3, 0x1.3f73d9252324ap-3, 0x1.423709d3cbbb9p-3, 0x1.44c75e2512eefp-3, 0x1.47264cb0b3084p-3, 0x1.49554284c2451p-3, 0x1.4b55a35268515p-3, 0x1.4d28c9b3ed82dp-3, 0x1.4ed007762abd2p-3, 0x1.504ca5c8e18bep-3, 0x1.519fe56b84f6dp-3, 0x1.52cafef263293p-3, 0x1.53cf230d8d106p-3, 0x1.54ad7ab7269c9p-3, 0x1.5567275be5d41p-3, 0x1.55fd4319ab8c2p-3, 0x1.5670e1041bee5p-3, 0x1.56c30d5362d4fp-3, 0x1.56f4cd86dc69dp-3, 0x1.5707209800f56p-3, 0x1.56faff3abb8ep-3, 0x1.56d15c0f65c4ep-3, 0x1.568b23c254392p-3, 0x1.56293d306cabbp-3, 0x1.55ac899d6ef22p-3, 0x1.5515e4e91ac2cp-3, 0x1.546625b1b0bd8p-3, 0x1.539e1d6df0ab1p-3, 0x1.52be9892c03e9p-3, 0x1.51c85ec48a313p-3, 0x1.50bc330086c36p-3, 0x1.4f9ad3b65afc2p-3, 0x1.4e64fadecc3cep-3, 0x1.4d1b5e1e430d9p-3, 0x1.4bbeaeeec54c2p-3, 0x1.4a4f9ac089c03p-3, 0x1.48cecb0f0f259p-3, 0x1.473ce573c7176p-3, 0x1.459a8bc27a45dp-3, 0x1.43e85c2c50f5bp-3, 0x1.4226f15b56083p-3, 0x1.4056e28461438p-3, 0x1.3e78c375faabap-3, 0x1.3c8d24adb7eb8p-3, 0x1.3a949374112acp-3, 0x1.388f99f527eabp-3, 0x1.367ebf5158802p-3, 0x1.346287a8f975bp-3, 0x1.323b742af25dfp-3, 0x1.300a032a1da2cp-3, 0x1.2dceb031bcd56p-3, 0x1.2b89f4174a55dp-3, 0x1.293c4504ac016p-3, 0x1.26e6168230387p-3, 0x1.2487d9842a00bp-3, 0x1.2221fc7c3c17dp-3, 0x1.1fb4eb6981c0fp-3, 0x1.1d410fe46180fp-3, 0x1.1ac6d126d0948p-3, 0x1.18469414a559bp-3, 0x1.15c0bb470403cp-3, 0x1.1335a71a0d357p-3, 0x1.10a5b5b938335p-3, 0x1.0e114328e81ebp-3, 0x1.0b78a94d38b4ap-3, 0x1.08dc3ff0dd861p-3, 0x1.063c5cce171c1p-3, 0x1.039953995e277p-3, 0x1.00f3760b9fdc3p-3, 0x1.fc9627d4d8959p-4, 0x1.f740f61c801f8p-4, 0x1.f1e7eed064a4p-4, 0x1.ec8ba61199e2fp-4, 0x1.e72cac50c329p-4, 0x1.e1cb8e5f389p-4, 0x1.dc68d57e3c253p-4, 0x1.d705076b3c5bap-4, 0x1.d1a0a66a3d438p-4, 0x1.cc3c3150a2834p-4, 0x1.c6d823920e5bcp-4, 0x1.c174f54eb059cp-4, 0x1.bc131b6158371p-4, 0x1.b6b3076be447ep-4, 0x1.b15527e22414dp-4, 0x1.abf9e812c20fcp-4, 0x1.a6a1b033075c4p-4, 0x1.a14ce569255c3p-4, 0x1.9bfbe9d9621c1p-4, 0x1.96af1cb230b95p-4, 0x1.9166da37694f4p-4, 0x1.8c237bcc78203p-4, 0x1.86e557fdf844dp-4, 0x1.81acc28b8c47cp-4, 0x1.7c7a0c728e9c8p-4, 0x1.774d83f949e66p-4, 0x1.722774ba1ae76p-4, 0x1.6d0827ae23409p-4, 0x1.67efe3377e971p-4, 0x1.62deeb2afbdf1p-4, 0x1.5dd580d9b80b2p-4, 0x1.58d3e31aff198p-4, 0x1.53da4e569a341p-4, 0x1.4ee8fc8f40783p-4, 0x1.4a00256d09adep-4, 0x1.451ffe47baff9p-4, 0x1.4048ba30b917cp-4, 0x1.3b7a89fc8fd08p-4, 0x1.36b59c4c413cfp-4, 0x1.31fa1d96cbfp-4, 0x1.2d4838333b02bp-4, 0x1.28a0146218a71p-4, 0x1.2401d85a3a866p-4, 0x1.1f6da84efe6bfp-4, 0x1.1ae3a67cd7216p-4, 0x1.1663f330cb639p-4, 0x1.11eeacd1a8f33p-4, 0x1.0d83efe965bd4p-4, 0x1.0923d72feddfep-4, 0x1.04ce7b945af44p-4, 0x1.0083f447f9abp-4, 0x1.f888ad8d4840ap-5, 0x1.f01f6dbe28e6dp-5, 0x1.e7cc4d7622bacp-5, 0x1.df8f6dd140c23p-5, 0x1.d768ecc86b513p-5, 0x1.cf58e54725815p-5, 0x1.c75f6f3fcd424p-5, 0x1.bf7c9fbc6c28ap-5, 0x1.b7b088ec584fbp-5, 0x1.affb3a3116e2ap-5, 0x1.a85cc02e6c75bp-5, 0x1.a0d524de1caadp-5, 0x1.99646fa8745dp-5, 0x1.920aa57b5c06ep-5, 0x1.8ac7c8dd1363ep-5, 0x1.839bd9f5e7911p-5, 0x1.7c86d69a06079p-5, 0x1.7588ba4e726acp-5, 0x1.6ea17e5a635f2p-5, 0x1.67d119dfbbd2ep-5, 0x1.611781fa3a53p-5, 0x1.5a74a9da59b38p-5, 0x1.53e882d57b17bp-5, 0x1.4d72fc6859a32p-5, 0x1.4714043051f52p-5, 0x1.40cb85e928867p-5, 0x1.3a996b79c8a8dp-5, 0x1.347d9d155312ap-5, 0x1.2e7801685b28ap-5, 0x1.28887dc414837p-5, 0x1.22aef6341f2dcp-5, 0x1.1ceb4d7791e74p-5, 0x1.173d64e32d1ep-5, 0x1.11a51c40e0291p-5, 0x1.0c2251c5f3d72p-5, 0x1.06b4e2306f508p-5, 0x1.015ca90ab99dap-5, 0x1.f83301fa7c734p-6, 0x1.edd6881ea6439p-6, 0x1.e3a3976b16179p-6, 0x1.d999e15021c49p-6, 0x1.cfb9151de8f95p-6, 0x1.c600df62659bbp-6, 0x1.bc70e9a466e4fp-6, 0x1.b308dab7b5418p-6, 0x1.a9c857a232e2cp-6, 0x1.a0af04c481b2p-6, 0x1.97bc86ce3a6cep-6, 0x1.8ef0830f0859cp-6, 0x1.864a9ef364afdp-6, 0x1.7dca7ed685ac8p-6, 0x1.756fc4a597e5ep-6, 0x1.6d3a0ef28feafp-6, 0x1.6528f8f445b52p-6, 0x1.5d3c1b962faep-6, 0x1.55730f486bae2p-6, 0x1.4dcd6de66754cp-6, 0x1.464ad3f03dce8p-6, 0x1.3eeae087fdc6dp-6, 0x1.37ad3419e85dp-6, 0x1.30916e23ecfdp-6, 0x1.29972af5fe39p-6, 0x1.22be025c7a8c2p-6, 0x1.1c0587d68ecf6p-6, 0x1.156d4c69410ep-6, 0x1.0ef4e17e96359p-6, 0x1.089bdbceb4f92p-6, 0x1.0261d53a4c6b6p-6, 0x1.f88cd99412bbep-7, 0x1.ec928975c4acfp-7, 0x1.e0d3fe43742e7p-7, 0x1.d55074d2e5f12p-7, 0x1.ca071deddf1d5p-7, 0x1.bef71ddbf9cd3p-7, 0x1.b41f909c365a9p-7, 0x1.a97f918b5274p-7, 0x1.9f1643f561fc5p-7, 0x1.94e2d9a7846d3p-7, 0x1.8ae4951fa9288p-7, 0x1.811ac64eb8741p-7, 0x1.7784c2b05d3a6p-7, 0x1.6e21db351a3e2p-7, 0x1.64f1537ab636cp-7, 0x1.5bf25d859ecefp-7, 0x1.53241bb9a68b9p-7, 0x1.4a85a8874a94p-7, 0x1.4216215a56be9p-7, 0x1.39d4b14eaed34p-7, 0x1.31c0985d48231p-7, 0x1.29d92cc715628p-7, 0x1.221dd61597428p-7, 0x1.1a8e02d09e638p-7, 0x1.13291bbd69818p-7, 0x1.0bee78a22f974p-7, 0x1.04dd5a811123dp-7, 0x1.fbe9db14c6ff4p-8, 0x1.ee68a4c7e6e8cp-8, 0x1.e1355700beac4p-8, 0x1.d44e543e99e7cp-8, 0x1.c7b22e3e732ep-8, 0x1.bb5fab5392d96p-8, 0x1.af55bf338fabfp-8, 0x1.a393793442673p-8, 0x1.9817eb605838p-8, 0x1.8ce20f9afd4e4p-8, 0x1.81f0b2444744bp-8, 0x1.77426a6ab2ecp-8, 0x1.6cd5a42ecb5f8p-8, 0x1.62a8bacca4b09p-8, 0x1.58ba187190cc8p-8, 0x1.4f084faed2a5cp-8, 0x1.4592263bb213p-8, 0x1.3c5692e35504bp-8, 0x1.3354b12d454b1p-8, 0x1.2a8bb4132a7e1p-8, 0x1.21fad5a018e2p-8, 0x1.19a143aee6a84p-8, 0x1.117e0ad27f145p-8, 0x1.0990071a9f72ep-8, 0x1.01d5e5116fe57p-8, 0x1.f49c6daa0819fp-9, 0x1.e5ef2c5fd040dp-9, 0x1.d7a1854039884p-9, 0x1.c9b15917f35c7p-9, 0x1.bc1cd60d44fe8p-9, 0x1.aee24f9084c3dp-9, 0x1.a20022fe9597dp-9, 0x1.9574b70aa49cap-9, 0x1.893e87d446459p-9, 0x1.7d5c20e4e3164p-9, 0x1.71cbfe1713347p-9, 0x1.668c5e6acb15dp-9, 0x1.5b9b33e4dbbf1p-9, 0x1.50f643185f35fp-9, 0x1.469b667ff782cp-9, 0x1.3c88cb6e4006dp-9, 0x1.32bcfe78e1d93p-9, 0x1.2936bbd6ce6fp-9, 0x1.1ff4a361207bbp-9, 0x1.16f508609aebbp-9, 0x1.0e360310a27dap-9, 0x1.05b5b65cf6262p-9, 0x1.fae523732c324p-10, 0x1.ead6b51ceee44p-10, 0x1.db3df1b4c2824p-10, 0x1.cc186c0a7a6bfp-10, 0x1.bd634b31b62d4p-10, 0x1.af1b9164c9c05p-10, 0x1.a13e9c0b56db2p-10, 0x1.93ca7b3bae18ap-10, 0x1.86bdd68dc4751p-10, 0x1.7a175454499e4p-10, 0x1.6dd4cef6f99ebp-10, 0x1.61f2e075ae2dp-10, 0x1.566d28a9bee09p-10, 0x1.4b3f32d70097dp-10, 0x1.4065686c03bfap-10, 0x1.35dd77315a285p-10, 0x1.2ba5fc9cbc5bfp-10, 0x1.21bdd13370153p-10, 0x1.1823887802cdbp-10, 0x1.0ed573eff86d3p-10, 0x1.05d202f30573ap-10, 0x1.fa304705af06p-11, 0x1.e94ea8514921ap-11, 0x1.d8fe7aaa1c614p-11, 0x1.c93de4046838bp-11, 0x1.ba088c6fad9b3p-11, 0x1.ab575c5bb0d31p-11, 0x1.9d2196c9bc831p-11, 0x1.8f5ec81ec98c4p-11, 0x1.82087e378138cp-11, 0x1.751af58a63b11p-11, 0x1.68949ae54ec41p-11, 0x1.5c74d229b2e82p-11, 0x1.50bac2482b08ep-11, 0x1.4564da47473f4p-11, 0x1.3a7140949350ep-11, 0x1.2fdec767380c4p-11, 0x1.25ad716ac468dp-11, 0x1.1bdd9cb314d2ap-11, 0x1.126e44b7e38bfp-11, 0x1.095bf87064677p-11, 0x1.00a140ed7b8bdp-11, 0x1.f06f835f49302p-12, 0x1.e0329a7734157p-12, 0x1.d0817bcba63bdp-12, 0x1.c154bfc4335c3p-12, 0x1.b2a7bc7ee37adp-12, 0x1.a4781f1f9c764p-12, 0x1.96c582ef1a29p-12, 0x1.89900fd6baa7p-12, 0x1.7cd6911aaa503p-12, 0x1.70964fd2d5106p-12, 0x1.64cd8de4d85e8p-12, 0x1.597d5ec0c029p-12, 0x1.4ea71efc70024p-12, 0x1.44481e42c3bdbp-12, 0x1.3a58f100eaa67p-12, 0x1.30d0765c9124ep-12, 0x1.27a6af4fd10aap-12, 0x1.1ed57613cc185p-12, 0x1.165825ff564cfp-12, 0x1.0e2b8fb7579e7p-12, 0x1.064d81acb3762p-12, 0x1.fd75f81f8f1b5p-13, 0x1.eedfc2101618dp-13, 0x1.e0d40edf74548p-13, 0x1.d3551a1cbe80fp-13, 0x1.c664b2239a691p-13, 0x1.b9ff74254616ep-13, 0x1.ae2230a6ec1b7p-13, 0x1.a2cdaf121411cp-13, 0x1.98007ce28994ap-13, 0x1.8db275c791555p-13, 0x1.83d8affc36131p-13, 0x1.7a69f2bc4a16bp-13, 0x1.715f1d24dbef2p-13, 0x1.68b221847ae73p-13, 0x1.605e443c6e5b2p-13, 0x1.58614bb3b907ep-13, 0x1.50bba20ce454bp-13, 0x1.496d67fa67fadp-13, 0x1.4270dad96890ap-13, 0x1.3bbaa00ef806cp-13, 0x1.3545e19dbf8bcp-13, 0x1.2f19756ae49bp-13, 0x1.293a071a998fbp-13, 0x1.23a1b51243103p-13, 0x1.1e4a336ed4e6cp-13, 0x1.19324ed864acdp-13, 0x1.14577e3264f77p-13, 0x1.0fb4eaf51da49p-13, 0x1.0b4741642484cp-13, 0x1.070cf6061e7bp-13, 0x1.0303e78bb5316p-13, 0x1.fe4fc4f11a0ep-14, 0x1.f6e786a15ef76p-14, 0x1.efc93d20cb196p-14, 0x1.e8f6c7c8a471fp-14, 0x1.e2749c4edcb15p-14, 0x1.dc428815b94b7p-14, 0x1.d65864c3efa11p-14, 0x1.d0a981cb9e717p-14, 0x1.cb34407e47e76p-14, 0x1.c6027eca3f64cp-14, 0x1.c10e85190739dp-14, 0x1.bc47285670197p-14, 0x1.b7abe45c74e16p-14, 0x1.b342b4eb1fb28p-14, 0x1.af07eb033a955p-14, 0x1.aaf620cbb8b69p-14, 0x1.a70c61d98f1aep-14, 0x1.a34bf83cb1542p-14, 0x1.9fb3f009ac784p-14, 0x1.9c3d6c42909aap-14, 0x1.98ddf75c6c3d5p-14, 0x1.9591e88c9e9e1p-14, 0x1.925f55918a2fap-14, 0x1.8f490ed568053p-14, 0x1.8c4992c1fcfc5p-14, 0x1.896031a7f101cp-14, 0x1.86928a25fc60ap-14, 0x1.83dd5e225a954p-14, 0x1.813517379cfb6p-14, 0x1.7e9800e1f94e5p-14, 0x1.7c056a50e52a6p-14, 0x1.7979d4d9a8f92p-14, 0x1.76fb5f89d8f44p-14, 0x1.748b0f21dfdcep-14, 0x1.7223f90dd2856p-14, 0x1.6fc48ab60ad39p-14, 0x1.6d6e46637b983p-14, 0x1.6b227028e1ffp-14, 0x1.68de4ece8f644p-14, 0x1.669ac3cb0f793p-14, 0x1.645633391e6cep-14, 0x1.6215b362681e4p-14, 0x1.5fd777a370fbep-14, 0x1.5d98ee12a1142p-14, 0x1.5b5df302af66dp-14, 0x1.5925e0d3951b1p-14, 0x1.56ec9ef824fb4p-14, 0x1.54b158b47891cp-14, 0x1.5276fdb306982p-14, 0x1.503c539904cc2p-14, 0x1.4dfd664495424p-14, 0x1.4bb9e70808108p-14, 0x1.4971a858296cfp-14, 0x1.47289fc6aea5cp-14, 0x1.44dda4703e09p-14, 0x1.428ea0806fec2p-14, 0x1.403c17d405c09p-14, 0x1.3de73c4139e86p-14, 0x1.3b8f518f9cf1fp-14, 0x1.3930e926bcb2cp-14, 0x1.36cce03face45p-14, 0x1.3463f0549096ep-14, 0x1.31f4e03d682a5p-14, 0x1.2f82a741c6e2p-14, 0x1.2d0ca6c405217p-14, 0x1.2a90c9e6f2e31p-14, 0x1.280edd256b18p-14, 0x1.258742bdf4eddp-14, 0x1.22fa41b24eb1bp-14, 0x1.2067c2c848827p-14, 0x1.1dd02b9274ef4p-14, 0x1.1b34fa37354e2p-14, 0x1.189512caa42d2p-14, 0x1.15ee6fe4ae7dep-14, 0x1.134191b291c1dp-14, 0x1.1090c5e6ce6c5p-14, 0x1.0ddb964cd38a7p-14, 0x1.0b215b6b6cf1ap-14, 0x1.0863196b809a8p-14, 0x1.05a0b7d611753p-14, 0x1.02d8fba1b8addp-14, 0x1.000c1694e8d31p-14, 0x1.fa74ddafdde6fp-15, 0x1.f4cb6ae9d00cep-15, 0x1.ef1a21bdda3bcp-15, 0x1.e9603569a88c7p-15, 0x1.e39e543e14f4bp-15, 0x1.ddd51c5483ec4p-15, 0x1.d804efb27d538p-15, 0x1.d22e142001029p-15, 0x1.cc50ccff22b8ap-15, 0x1.c66d6dea91551p-15, 0x1.c084569bcaad7p-15, 0x1.ba95ccce41e9fp-15, 0x1.b4a20f6d1109ap-15, 0x1.aeaa2b834b88p-15, 0x1.a8ae733717ae7p-15, 0x1.a2ad5be148242p-15, 0x1.9ca86515e61adp-15, 0x1.96a1327a21a63p-15, 0x1.9097fc0a5b27cp-15, 0x1.8a8b83a6c1f7p-15, 0x1.847b952a37161p-15, 0x1.7e6a0a912c879p-15, 0x1.78579b58b84c8p-15, 0x1.7243abb11ceb5p-15, 0x1.6c2ea4995b66dp-15, 0x1.6619095ce03b4p-15, 0x1.60033fb9c8ebp-15, 0x1.59eda1e48366dp-15, 0x1.53d8872b8f885p-15, 0x1.4dc4457c79fb8p-15, 0x1.47b13162b9d9ep-15, 0x1.419f9e241e7c5p-15, 0x1.3b8fdeb283b1bp-15, 0x1.3582451a055aep-15, 0x1.2f772561e2f49p-15, 0x1.296ed28d443e2p-15, 0x1.23699d5077c9ep-15, 0x1.1d67caaf1e74fp-15, 0x1.17699819bbb2fp-15, 0x1.116f8f69db736p-15, 0x1.0b7a2c95479adp-15, 0x1.0589409a45cc6p-15, 0x1.ff3a29bc17d11p-16, 0x1.f36ca724de1f7p-16, 0x1.e7a9fd03e0c9fp-16, 0x1.dbf2af345800fp-16, 0x1.d0476b7be3288p-16, 0x1.c4a8c0ead343p-16, 0x1.b91733b214996p-16, 0x1.ad9344525d89p-16, 0x1.a21d70d4b7aa2p-16, 0x1.96b634bc7cc8fp-16, 0x1.8b5e08e4ce267p-16, 0x1.8015638a651e7p-16, 0x1.74dcb87ed9e3p-16, 0x1.69b47867b2e34p-16, 0x1.5e9d13998ab7cp-16, 0x1.5396f3b8025a5p-16, 0x1.48a280502361ep-16, 0x1.3dc01d463871bp-16, 0x1.32f02d45a83bfp-16, 0x1.28330f1cad0c3p-16, 0x1.1d891d9e869a2p-16, 0x1.12f2d4a742346p-16, 0x1.08705f1ef385fp-16, 0x1.fc04422c78db6p-17, 0x1.e750e3b02c7fbp-17, 0x1.d2c6dead97691p-17, 0x1.be67ccdfcfe51p-17, 0x1.aa334b48dde1cp-17, 0x1.962a29e1baf5dp-17, 0x1.824cfab594cadp-17, 0x1.6e9c4298d1fe1p-17, 0x1.5b187ec7b9238p-17, 0x1.47c2272a66d4dp-17, 0x1.3499ae6f1be8cp-17, 0x1.219f82512a16ep-17, 0x1.0ed40b8eefde7p-17, 0x1.f86f59c2de6a6p-18, 0x1.d3958c0217ab5p-18, 0x1.af1b60cfc20afp-18, 0x1.8b0181940c06bp-18, 0x1.67488d74d74dfp-18, 0x1.43f11a4f9d33cp-18, 0x1.20fbb68867036p-18, 0x1.fcd1cce634eeep-19, 0x1.b872336b3b7a8p-19, 0x1.74d9b69519a23p-19, 0x1.3209035e81e04p-19, 0x1.e001ece67461p-20, 0x1.5d84224a792dbp-20, 0x1.b9341552a636ap-21, 0x1.751356965388cp-22, -0x1.03dd50842fd83p-23, -0x1.394685834844ep-21, -0x1.1734c78b1da09p-20, -0x1.902e1d93f0fd8p-20, -0x1.03c7684c79989p-19, -0x1.3eab5f23bf0c4p-19, -0x1.78c2ca32e3546p-19, -0x1.b20d91163fcedp-19, -0x1.ea8baf5958f24p-19, -0x1.111e9720654fp-18, -0x1.2c911211f62a7p-18, -0x1.479d5a3744d44p-18, -0x1.624387dbf648ap-18, -0x1.7c83b9b088df1p-18, -0x1.965e1582d0da9p-18, -0x1.afd2c618b1c8bp-18, -0x1.c8e1fa0990d3ep-18, -0x1.e18bea8491c21p-18, -0x1.f9d0e07952726p-18, -0x1.08d88044705bbp-17, -0x1.14964a60fa28ep-17, -0x1.2021ff03e9745p-17, -0x1.2b7bc9a619993p-17, -0x1.36a3cae56d899p-17, -0x1.419a3422f2b38p-17, -0x1.4c5f353eaef02p-17, -0x1.56f3007d2b2f4p-17, -0x1.6155ca6c4d5e3p-17, -0x1.6b87c9b723e78p-17, -0x1.758936d8f6574p-17, -0x1.7f5a4c56f6db7p-17, -0x1.88fb458d1d049p-17, -0x1.926c6663ec5b7p-17, -0x1.9badee780b5c8p-17, -0x1.a4c01a14070d8p-17, -0x1.ada32cb23d635p-17, -0x1.b6577420a7ce5p-17, -0x1.bedd3469b0754p-17, -0x1.c734b5c87f13p-17, -0x1.cf5e430426896p-17, -0x1.d75a285abc0f8p-17, -0x1.df28b2c0c727p-17, -0x1.e6ca2fec58adcp-17, -0x1.ee3ef2f62fecep-17, -0x1.f58751f16c2bfp-17, -0x1.fca38a2a17495p-17, -0x1.01ca016f21e93p-16, -0x1.052c88009a685p-16, -0x1.087911373c35ap-16, -0x1.0bb1196737fb9p-16, -0x1.0ed379d045e92p-16, -0x1.11e0d2504d7e2p-16, -0x1.14d94e7eafdddp-16, -0x1.17bd1b8dad5c4p-16, -0x1.1a8c671cb9c46p-16, -0x1.1d475f2c6d657p-16, -0x1.1fee321cc6511p-16, -0x1.22810e9c987d3p-16, -0x1.25002348693f5p-16, -0x1.276ba084e2dc2p-16, -0x1.29c3b4f5131e2p-16, -0x1.2c0890b1395f6p-16, -0x1.2e3a63c0dc091p-16, -0x1.30595eb34737bp-16, -0x1.3265b0f9afb11p-16, -0x1.345f8c6da4e7fp-16, -0x1.36472257c7daap-16, -0x1.381ca2ae2372ep-16, -0x1.39e03ce19546p-16, -0x1.3b9223f6df1dcp-16, -0x1.3d328be65515ap-16, -0x1.3ec1a24fad438p-16, -0x1.403f9c1a79d54p-16, -0x1.41aca3eb8dbd8p-16, -0x1.4308f39200101p-16, -0x1.4454b891a36b7p-16, -0x1.4590251e42c33p-16, -0x1.46bb6aef50e12p-16, -0x1.47d6bbaa7db98p-16, -0x1.48e248ec541ap-16, -0x1.49de444744aa8p-16, -0x1.4acadf411a86cp-16, -0x1.4ba84b5018a72p-16, }}, 
      {{0x1.6affc87130353p-2, 0x1.741ba694290f9p-2, 0x1.81fc6328adb6ap-2, 0x1.933abd985bc26p-2, 0x1.a66b0fe08e405p-2, 0x1.ba3f9d6f6b58cp-2, 0x1.cd9951735ab1fp-2, 0x1.df8dd732c6622p-2, 0x1.ef675cf80391p-2, 0x1.fca0c605abb92p-2, 0x1.03700f18abf4bp-1, 0x1.06f836034a894p-1, 0x1.08ddc3de05ffp-1, 0x1.092228b41e881p-1, 0x1.07d0b9bf4b0e8p-1, 0x1.04fc6207e4f87p-1, 0x1.00bda3cf9e7d7p-1, 0x1.f661ceedf96cfp-2, 0x1.e8ea24dd76847p-2, 0x1.d954bd17429c8p-2, 0x1.c7e2d6427e858p-2, 0x1.b4d4ff7d75facp-2, 0x1.a069f568e5aabp-2, 0x1.8addc709ae625p-2, 0x1.7469396096ca7p-2, 0x1.5d415d748e4c2p-2, 0x1.4597501ae2ebep-2, 0x1.2d981b43e2524p-2, 0x1.156cb11ebea95p-2, 0x1.fa73f87be54a8p-3, 0x1.ca41fc24d0a22p-3, 0x1.9a7df246b48c2p-3, 0x1.6b5b460bfcb68p-3, 0x1.3d06b663ec38bp-3, 0x1.0fa6ca6bb944fp-3, 0x1.c6b89126b1f2dp-4, 0x1.708558fc6f84ap-4, 0x1.1ce137eb8075cp-4, 0x1.97e15e8dfa2b6p-5, 0x1.f7413b7ce803bp-6, 0x1.94ac08bf1c257p-7, -0x1.5b0b45940b12fp-8, -0x1.6be3ebf7e8ca4p-6, -0x1.3a7e05854053dp-5, -0x1.b905cc6bd86cp-5, -0x1.18c89bef30494p-4, -0x1.521773165216bp-4, -0x1.88799b5f5d5afp-4, -0x1.bbfbb7a48d7fep-4, -0x1.ecac7afdc745p-4, -0x1.0d4e27ff6d40bp-3, -0x1.22ee84a106776p-3, -0x1.3740cd26058f5p-3, -0x1.4a4eec0a4715dp-3, -0x1.5c232079136e3p-3, -0x1.6cc7e5782b935p-3, -0x1.7c47dc2515162p-3, -0x1.8aadb8a41af6bp-3, -0x1.980431b013c01p-3, -0x1.a455f25546336p-3, -0x1.afad8dc485c68p-3, -0x1.ba1574dcd264dp-3, -0x1.c397edad97209p-3, -0x1.cc3f0b94b261p-3, -0x1.d414a9c2132c6p-3, -0x1.db22660926f54p-3, -0x1.e1719d0bf019ep-3, -0x1.e70b6731f336p-3, -0x1.ebf8967d448eep-3, -0x1.f041b4efc64d3p-3, -0x1.f3ef03a09e5b8p-3, -0x1.f7087a4782785p-3, -0x1.f995c73db3c76p-3, -0x1.fb9e4fdd368d8p-3, -0x1.fd2931332c11bp-3, -0x1.fe3d40f687711p-3, -0x1.fee10eba1a2e3p-3, -0x1.ff1ae54e95754p-3, -0x1.fef0cc47cc2b2p-3, -0x1.fe688996dac4ep-3, -0x1.fd87a37d9ded4p-3, -0x1.fc536222f7974p-3, -0x1.fad0d1997722dp-3, -0x1.f904c3c0a908ap-3, -0x1.f6f3d235e6711p-3, -0x1.f4a26045ed57dp-3, -0x1.f2149cdd75333p-3, -0x1.ef4e847778081p-3, -0x1.ec53e3044b585p-3, -0x1.e92855ca5dcafp-3, -0x1.e5cf4d3de1c7ap-3, -0x1.e24c0ecf214b1p-3, -0x1.dea1b6ac1889ep-3, -0x1.dad3397a2ec0dp-3, -0x1.d6e365fefdaa3p-3, -0x1.d2d4e6c092a3cp-3, -0x1.ceaa43951751dp-3, -0x1.ca65e328b2023p-3, -0x1.c60a0c778a875p-3, -0x1.c198e833557c8p-3, -0x1.bd14822376266p-3, -0x1.b87eca72e19bp-3, -0x1.b3d9970180793p-3, -0x1.af26a47bed2dbp-3, -0x1.aa6797a92ce29p-3, -0x1.a59dfe7544dc9p-3, -0x1.a0cb510b193b7p-3, -0x1.9bf0f2da40158p-3, -0x1.97103394b0c7ep-3, -0x1.922a50207c7a7p-3, -0x1.8d40737f352bep-3, -0x1.8853b7abf1a63p-3, -0x1.8365266eaff05p-3, -0x1.7e75ba273dc0dp-3, -0x1.79865e8e0986ep-3, -0x1.7497f16d5f085p-3, -0x1.6fab43515ecfbp-3, -0x1.6ac1183070243p-3, -0x1.65da280bcda9p-3, -0x1.60f71f88302a9p-3, -0x1.5c18a0805c98p-3, -0x1.573f428fb86a8p-3, -0x1.526b939712254p-3, -0x1.4d9e183b14b7bp-3, -0x1.48d74c5c0ce8ap-3, -0x1.4417a388d5a1ap-3, -0x1.3f5f896bc9b47p-3, -0x1.3aaf62328e36ap-3, -0x1.36078af06d52cp-3, -0x1.316859fcdb746p-3, -0x1.2cd21f4ca2e6dp-3, -0x1.284524c68820ep-3, -0x1.23c1ae94ec685p-3, -0x1.1f47fb715644ep-3, -0x1.1ad844ef46836p-3, -0x1.1672bfc02e00cp-3, -0x1.12179bf59aeffp-3, -0x1.0dc70540a58fcp-3, -0x1.0981232cfb5f6p-3, -0x1.05461959c3b07p-3, -0x1.011607af44fe4p-3, -0x1.f9e21523cd75p-4, -0x1.f1ae762560374p-4, -0x1.e9915e3aa7831p-4, -0x1.e18af348a4958p-4, -0x1.d99b55940a861p-4, -0x1.d1c2a0105c297p-4, -0x1.ca00e8aab9292p-4, -0x1.c2564091d48dap-4, -0x1.bac2b47805de9p-4, -0x1.b3464cd41bd88p-4, -0x1.abe10e1df1b26p-4, -0x1.a492f908661fap-4, -0x1.9d5c0ab7d8287p-4, -0x1.963c3cf5ed4acp-4, -0x1.8f3386632859dp-4, -0x1.8841daa5352c3p-4, -0x1.81672a94b3297p-4, -0x1.7aa3646596a21p-4, -0x1.73f673cfe683fp-4, -0x1.6d604235c21bdp-4, -0x1.66e0b6c784a32p-4, -0x1.6077b6a5b851bp-4, -0x1.5a252501473fap-4, -0x1.53e8e33aa6552p-4, -0x1.4dc2d0febb283p-4, -0x1.47b2cc631a8cdp-4, -0x1.41b8b1ffed24bp-4, -0x1.3bd45d08cafe2p-4, -0x1.3605a764bc003p-4, -0x1.304c69c43a84dp-4, -0x1.2aa87bb7d00e1p-4, -0x1.2519b3c3bab48p-4, -0x1.1f9fe773901e7p-4, -0x1.1a3aeb651e852p-4, -0x1.14ea936d2b6c4p-4, -0x1.0faeb291c0899p-4, -0x1.0a871b2700ecp-4, -0x1.05739eda84cbep-4, -0x1.00740ec0d412cp-4, -0x1.f71076c89c348p-5, -0x1.ed5fe9a2128p-5, -0x1.e3d61542d7cafp-5, -0x1.da72981468407p-5, -0x1.d1350fbb68a2bp-5, -0x1.c81d19649b145p-5, -0x1.bf2a5174978cbp-5, -0x1.b65c53fc1c614p-5, -0x1.adb2bc97b7634p-5, -0x1.a52d268c23936p-5, -0x1.9ccb2cd6218a5p-5, -0x1.948c6a3a18fcfp-5, -0x1.8c707952e6723p-5, -0x1.8476f49fc228fp-5, -0x1.7c9f76915caf2p-5, -0x1.74e999969d87p-5, -0x1.6d54f82870c9bp-5, -0x1.65e12cd559ad3p-5, -0x1.5e8dd24d5b985p-5, -0x1.575a836b04904p-5, -0x1.5046db3def6b2p-5, -0x1.49527513ed8ddp-5, -0x1.427cec82012a3p-5, -0x1.3bc5dd6cff2d7p-5, -0x1.352ce411baf61p-5, -0x1.2eb19d0cd6e92p-5, -0x1.2853a561a67acp-5, -0x1.22129a816d73ep-5, -0x1.1bee1a51e5cbep-5, -0x1.15e5c3338bce8p-5, -0x1.0ff93407bdec8p-5, -0x1.0a280c365c7a4p-5, -0x1.0471ebb312e0fp-5, -0x1.fdace6059afc4p-6, -0x1.f2aa867ff0f9p-6, -0x1.e7dbfc3ed4be6p-6, -0x1.dd408be9b212ap-6, -0x1.d2d77b6d92d86p-6, -0x1.c8a0120519dc8p-6, -0x1.be999848575f8p-6, -0x1.b4c3580f7354ap-6, -0x1.ab1c9cbbbecdbp-6, -0x1.a1a4b2fdb7b13p-6, -0x1.985ae8fa61bb4p-6, -0x1.8f3e8e4b9aee4p-6, -0x1.864ef4042d087p-6, -0x1.7d8b6cb4bb39dp-6, -0x1.74f34c7031e4ap-6, -0x1.6c85e8cff4ec6p-6, -0x1.644298f7b776fp-6, -0x1.5c28b5995191dp-6, -0x1.543798f7c9c4dp-6, -0x1.4c6e9eea9203dp-6, -0x1.44cd24e06bf67p-6, -0x1.3d5289e1b1072p-6, -0x1.35fe2e92b1abfp-6, -0x1.2ecf7535e6f0fp-6, -0x1.27c5c1adeff0cp-6, -0x1.20e0797e9a6aap-6, -0x1.1a1f03ced0bfap-6, -0x1.1380c969eff03p-6, -0x1.0d0534c07788cp-6, -0x1.06abb1e90eb29p-6, -0x1.0073aea140cacp-6, -0x1.f4b9349b70fc3p-7, -0x1.e8cbcbf2415cfp-7, -0x1.dd1e08c1797cep-7, -0x1.d1aed39d7d491p-7, -0x1.c67d18a81198fp-7, -0x1.bb87c72d8665ap-7, -0x1.b0cdd1d0331f5p-7, -0x1.a64e2e7e69ff6p-7, -0x1.9c07d6729c9f5p-7, -0x1.91f9c62954ebep-7, -0x1.8822fd6fb4645p-7, -0x1.7e827f50e1fd9p-7, -0x1.7517521bddf39p-7, -0x1.6be07f5f1d4b3p-7, -0x1.62dd13e5b39d9p-7, -0x1.5a0c1fb37f8fdp-7, -0x1.516cb601ae8c4p-7, -0x1.48fded3b1372bp-7, -0x1.40bedef8ac927p-7, -0x1.38aea7fdfaea7p-7, -0x1.30cc683532dap-7, -0x1.291742ab0ecd9p-7, -0x1.218e5d894ee2ep-7, -0x1.1a30e21287a55p-7, -0x1.12fdfc9b6989cp-7, -0x1.0bf4dc86d1d08p-7, -0x1.0514b44a4323ap-7, -0x1.fcb9727a6d299p-8, -0x1.ef9847d6dcb29p-8, -0x1.e2c45f6e0ec41p-8, -0x1.d63c360420dc1p-8, -0x1.c9fe4e3745p-8, -0x1.be09307475054p-8, -0x1.b25b6ae40cc8ep-8, -0x1.a6f3916137ce7p-8, -0x1.9bd03d81051b1p-8, -0x1.90f00e709f2bcp-8, -0x1.8651a8fb17e4fp-8, -0x1.7bf3b7786d793p-8, -0x1.71d4e9bc523b1p-8, -0x1.67f3f5032718ep-8, -0x1.5e4f93de7c7f5p-8, -0x1.54e6862a67c2dp-8, -0x1.4bb790fe896f1p-8, -0x1.42c17eac2c3cap-8, -0x1.3a031eb613cbbp-8, -0x1.317b45c919215p-8, -0x1.2928cdac66051p-8, -0x1.210a952a5355bp-8, -0x1.191f7ffd4a778p-8, -0x1.116676b2939b2p-8, -0x1.09de66a1213b6p-8, -0x1.028641d3920d2p-8, -0x1.f6b9fe1f7624ap-9, -0x1.e8c3339efef67p-9, -0x1.db26247b50819p-9, -0x1.cde0da53cd516p-9, -0x1.c0f167e91d6fp-9, -0x1.b455e8e6f9a9dp-9, -0x1.a80c81aae19edp-9, -0x1.9c135f134d0bbp-9, -0x1.9068b65f821a5p-9, -0x1.850ac521c4edp-9, -0x1.79f7d13ee707bp-9, -0x1.6f2e28f1445c2p-9, -0x1.64ac22c3d5b8p-9, -0x1.5a701d7c87b66p-9, -0x1.50787ff3c6285p-9, -0x1.46c3b8ddc1f26p-9, -0x1.3d503e8f52b3fp-9, -0x1.341c8ec528a79p-9, -0x1.2b272e83a9afap-9, -0x1.226ea9f326c39p-9, -0x1.19f1946796b4cp-9, -0x1.11ae8859d1fc3p-9, -0x1.09a42770882f6p-9, -0x1.01d11a7a56cb5p-9, -0x1.f46822b370918p-10, -0x1.e59785c2a37ddp-10, -0x1.d72dd9754c4b8p-10, -0x1.c928a58790415p-10, -0x1.bb857f2dcd948p-10, -0x1.ae42072897dd4p-10, -0x1.a15bea464eba3p-10, -0x1.94d0e11e1fd28p-10, -0x1.889eb017f7162p-10, -0x1.7cc3279462a6cp-10, -0x1.713c2415f34fcp-10, -0x1.66078e50b8d0dp-10, -0x1.5b235b0b3f25fp-10, -0x1.508d8aca167e9p-10, -0x1.46442946651fp-10, -0x1.3c454cc582ebcp-10, -0x1.328f157134d55p-10, -0x1.291facc9f2b8bp-10, -0x1.1ff5458b01c9dp-10, -0x1.170e1bb481424p-10, -0x1.0e6875033c654p-10, -0x1.0602a1658cc0dp-10, -0x1.fbb5f6b2337f9p-11, -0x1.ebdfcfea9dae1p-11, -0x1.dc7fad3e74d74p-11, -0x1.cd9280d6d494bp-11, -0x1.bf154e8d6eeafp-11, -0x1.b1052a1818dbep-11, -0x1.a35f354ed47fp-11, -0x1.9620a0212f073p-11, -0x1.8946a7521f841p-11, -0x1.7cce9739a7633p-11, -0x1.70b5ccb8a3a0dp-11, -0x1.64f9b6c82e662p-11, -0x1.5997d6f841bfdp-11, -0x1.4e8dc0e38fe33p-11, -0x1.43d918de9844fp-11, -0x1.397792470b208p-11, -0x1.2f66edb4de6d3p-11, -0x1.25a4f742cca95p-11, -0x1.1c2f850c04bbap-11, -0x1.13047696142a6p-11, -0x1.0a21b568681b6p-11, -0x1.018536fc05c8ep-11, -0x1.f259fe952fadfp-12, -0x1.e22e2127eef8cp-12, -0x1.d283a123e228fp-12, -0x1.c3561ea8d1b2bp-12, -0x1.b4a2a1db9968cp-12, -0x1.a66597bc6c564p-12, -0x1.989bad460bc66p-12, -0x1.8b419d7bd9f94p-12, -0x1.7e5432fee41dap-12, -0x1.71d04884b908ep-12, -0x1.65b2c1e84ae56p-12, -0x1.59f896fa20d07p-12, -0x1.4e9ed20240b85p-12, -0x1.43a2971180c54p-12, -0x1.390125fe37a29p-12, -0x1.2eb7d87196dcfp-12, -0x1.24c41cfbe0101p-12, -0x1.1b237294cd048p-12, -0x1.11d34bcefafe8p-12, -0x1.08d1baa9ea315p-12, -0x1.001ba3c0db6dbp-12, -0x1.ef5eb25dc0505p-13, -0x1.df14dc042656fp-13, -0x1.cf5567770d115p-13, -0x1.c01c03d05891ap-13, -0x1.b1647d609b43ep-13, -0x1.a32ac5867a2c2p-13, -0x1.956af64a31ddep-13, -0x1.88214e9f880dp-13, -0x1.7b4a2a1f58fd2p-13, -0x1.6ee1fab7b5123p-13, -0x1.62e548c608c4p-13, -0x1.5750b7a2ed275p-13, -0x1.4c210854a9d0fp-13, -0x1.4153162708f9dp-13, -0x1.36e3cf3402b59p-13, -0x1.2cd02eeeafb05p-13, -0x1.23153e9754ba1p-13, -0x1.19b019e78aba9p-13, -0x1.109df35711666p-13, -0x1.07dc14f73f589p-13, -0x1.fecfbbd3abaf7p-14, -0x1.ee7d7be42f6ecp-14, -0x1.debc63394d8c6p-14, -0x1.cf8785a5dc56p-14, -0x1.c0da206348bb2p-14, -0x1.b2afae2357c35p-14, -0x1.a503eda7d17a3p-14, -0x1.97d2d00c36fep-14, -0x1.8b185b1177e7bp-14, -0x1.7ed09822b0a34p-14, -0x1.72f79e8450d7p-14, -0x1.6789a8e1b6086p-14, -0x1.5c831f8d848d3p-14, -0x1.51e08ae711988p-14, -0x1.479e8320bb259p-14, -0x1.3db99e865321ep-14, -0x1.342e759fe1b8fp-14, -0x1.2af9acd40b272p-14, -0x1.22180308235cp-14, -0x1.1986640b71e4bp-14, -0x1.1141fa1964e2dp-14, -0x1.09482eddc316cp-14, -0x1.0196921ecaedp-14, -0x1.f4556c249fde6p-15, -0x1.e6043fe671dd4p-15, -0x1.d834b0f4fad4ap-15, -0x1.cae213e2f8cafp-15, -0x1.be080d93d1139p-15, -0x1.b1a288478ca4cp-15, -0x1.a5ad6b3407266p-15, -0x1.9a2480b63ba25p-15, -0x1.8f0375072be37p-15, -0x1.8445f9b0c4ee7p-15, -0x1.79e7f096559ebp-15, -0x1.6fe5839022191p-15, -0x1.663b276f7dbd6p-15, -0x1.5ce5c6b405f98p-15, -0x1.53e20b289b651p-15, -0x1.4b2d426f991aap-15, -0x1.42c4bb5cfc245p-15, -0x1.3aa56d5f0e59ep-15, -0x1.32cc80502479p-15, -0x1.2b374d8a05d0fp-15, -0x1.23e35f7c5b6c1p-15, -0x1.1cce572ae44d8p-15, -0x1.15f5d5cdec9fcp-15, -0x1.0f577013fd253p-15, -0x1.08f0aad9f6346p-15, -0x1.02bf09e773cecp-15, -0x1.f98060a88e273p-16, -0x1.ede3edb99b671p-16, -0x1.e2a4d4e0dc574p-16, -0x1.d7bf71ebebecbp-16, -0x1.cd3049c75f91ap-16, -0x1.c2f409bb196dep-16, -0x1.b90775114c728p-16, -0x1.af67494e8b75cp-16, -0x1.a6105c1ce1682p-16, -0x1.9cffd6753d83p-16, -0x1.9433234d385f6p-16, -0x1.8ba7a2e7e0f6p-16, -0x1.835a9660cbdd9p-16, -0x1.7b494bb5a6ea4p-16, -0x1.73713501131dap-16, -0x1.6bcfe1457a9fp-16, -0x1.6462edeeb50edp-16, -0x1.5d27ff8705d3dp-16, -0x1.561cce1f03b45p-16, -0x1.4f3f4408098c8p-16, -0x1.488d9583fb86ap-16, -0x1.420626aaf8c3cp-16, -0x1.3ba7523d4d268p-16, -0x1.356f5309560a4p-16, -0x1.2f5c4d8d3a10cp-16, -0x1.296c881431c44p-16, -0x1.239ea0bcc6fddp-16, -0x1.1df1822181debp-16, -0x1.186400b8c524dp-16, -0x1.12f4adab216eep-16, -0x1.0da21836cb1a4p-16, -0x1.086b056cae54bp-16, -0x1.034e53b90d713p-16, -0x1.fc95fd0864956p-17, -0x1.f2bffb4857566p-17, -0x1.e918907e092c8p-17, -0x1.df9d9f621663ap-17, -0x1.d64d27e3992bfp-17, -0x1.cd25854bd83c4p-17, -0x1.c4256e42b0ae7p-17, -0x1.bb4b9bad69e6bp-17, -0x1.b2967bcc76eep-17, -0x1.aa0456e04ab4ep-17, -0x1.a1939a3bb7ce2p-17, -0x1.9942e9a0a0488p-17, -0x1.9111381941383p-17, -0x1.88fdb1fffc133p-17, -0x1.81074836ee137p-17, -0x1.792cbf5455193p-17, -0x1.716d1f5d0616p-17, -0x1.69c79b35bd192p-17, -0x1.623b52e8a2ec8p-17, -0x1.5ac762fe47e3ep-17, -0x1.536afc4323edap-17, -0x1.4c2563470f7d9p-17, -0x1.44f5e8c36fda3p-17, -0x1.3ddbd5beb6714p-17, -0x1.36d67a39043a8p-17, -0x1.2fe5407a0553ap-17, -0x1.2907bb8766bdep-17, -0x1.223d9756ddaf3p-17, -0x1.1b8654b256acbp-17, -0x1.14e1503b8b33cp-17, -0x1.0e4dfa92f9247p-17, -0x1.07cbec2c13ff2p-17, -0x1.015ad5ad1e2ddp-17, -0x1.f5f4fa43932d6p-18, -0x1.e95526b04284cp-18, -0x1.dcd57e07b3297p-18, -0x1.d0754ba5c964p-18, -0x1.c435030b6ba44p-18, -0x1.b81325e4d5de4p-18, -0x1.ac0f8951259e3p-18, -0x1.a029d1c3e7704p-18, -0x1.9461a40174713p-18, -0x1.88b68715834cap-18, -0x1.7d2801904989cp-18, -0x1.71b68b4014a77p-18, -0x1.6660094ce815dp-18, -0x1.5b265aab69732p-18, -0x1.50087d7b12e15p-18, -0x1.45063de7d8ed2p-18, -0x1.3a1f6cb675569p-18, -0x1.2f53cffb5ab7ep-18, -0x1.24a34299cf716p-18, -0x1.1a0db00ec278dp-18, -0x1.0f931eada76d1p-18, -0x1.05335aaee134bp-18, -0x1.f5dc8802c7c9p-19, -0x1.e187881339d9bp-19, -0x1.cd67cd53e5f85p-19, -0x1.b97d404cb7602p-19, -0x1.a5c7c7c8796b8p-19, -0x1.92475dfb6b29p-19, -0x1.7efbdfd9be65cp-19, -0x1.6be510c6db0cdp-19, -0x1.5902ccfef8ec2p-19, -0x1.46553ca636ba5p-19, -0x1.33dc77d6a73ebp-19, -0x1.21985ae13111fp-19, -0x1.0f87cb1c23693p-19, -0x1.fb5d3ead10024p-20, -0x1.d811cd9436e8dp-20, -0x1.b530a24a2176ep-20, -0x1.92b6e22f9a7a8p-20, -0x1.70a7c6092584dp-20, -0x1.4f024ff5a2501p-20, -0x1.2dc68c28771f7p-20, -0x1.0cf4a5fa097adp-20, -0x1.d918fd673b1b9p-21, -0x1.991bbe716e16ep-21, -0x1.59f1b2fbdda64p-21, -0x1.1b9b65ee8dc39p-21, -0x1.bc31b318a4b8dp-22, -0x1.42d3b288c023dp-22, -0x1.96392c3420dacp-23, -0x1.5430b930d2329p-24, 0x1.f5db59fd2a282p-26, 0x1.2442980ee73a2p-23, 0x1.033efbd6ce49ap-22, 0x1.72b6c19324d0ap-22, 0x1.e0891994287e3p-22, 0x1.265b378af0c1bp-21, 0x1.5b9f8c03349bfp-21, 0x1.9011c57721954p-21, 0x1.c3b233a26f6afp-21, 0x1.f681368b1b41bp-21, 0x1.143f9ad82855ep-20, 0x1.2cd64b1b7ebf8p-20, 0x1.4504dcbaf3dd4p-20, 0x1.5ccb85361edf9p-20, 0x1.742a82a3f5677p-20, 0x1.8b22136f8a336p-20, 0x1.a1b288f433bf6p-20, 0x1.b7dc3c813e5d9p-20, 0x1.cd9f79879f274p-20, 0x1.e2fc6de66b198p-20, 0x1.f7f3a69bb6fdbp-20, 0x1.0642b0a6191dp-19, 0x1.1059063631212p-19, 0x1.1a3d1acb7041p-19, 0x1.23ef00144c389p-19, 0x1.2d6edf9afad6ep-19, 0x1.36bd26e4e3317p-19, 0x1.3fd9f62d13a75p-19, 0x1.48c5888dd21e9p-19, 0x1.51801da19b62cp-19, 0x1.5a09f60844dbfp-19, 0x1.626354297321cp-19, 0x1.6a8c7cd32a9e4p-19, 0x1.7285b75d02cap-19, 0x1.7a4f42d21ca49p-19, 0x1.81e97fb79a9ap-19, 0x1.8954a206b7805p-19, 0x1.9091000669e66p-19, 0x1.979ee72602d83p-19, 0x1.9e7ea79f7feb1p-19, 0x1.a53093a1f3a24p-19, 0x1.abb4fd34f31c8p-19, 0x1.b20c3914aaa85p-19, 0x1.b8369ff298393p-19, 0x1.be3488b96025ap-19, 0x1.c4064b05a2396p-19, 0x1.c9ac3e7cf0877p-19, 0x1.cf26c85499d7ap-19, 0x1.d4763af852754p-19, 0x1.d99af75575b57p-19, 0x1.de955c5598976p-19, 0x1.e365c9ed1e0dfp-19, 0x1.e80ca117c7e5ap-19, 0x1.ec8a43d133b1bp-19, 0x1.f0df150956c7p-19, 0x1.f50b7893ccee3p-19, 0x1.f90fd3954bd77p-19, 0x1.fcec9435c4af8p-19, 0x1.00510260e391p-18, 0x1.0218533a72b52p-18, 0x1.03cc6d269bd91p-18, 0x1.056d840966bbep-18, 0x1.06fbcc3133e91p-18, 0x1.08777a4e0f0b5p-18, 0x1.09e0c36bb46b2p-18, 0x1.0b37e0b93f729p-18, 0x1.0c7cfb47e0ecp-18, 0x1.0db055e7fb814p-18, 0x1.0ed2255b995c6p-18, 0x1.0fe353270043p-18, 0x1.10e1e80e8d26p-18, 0x1.11d0467eed29ep-18, 0x1.12adf38076ad3p-18, 0x1.137b2156c1f39p-18, 0x1.14380643b5439p-18, 0x1.14e4d8e7f49c8p-18, 0x1.1581cfdfd4eebp-18, 0x1.160f21f12344ap-18, 0x1.168d05a12e3f2p-18, 0x1.16fbb147d9dbep-18, 0x1.175b5d61f02b6p-18, 0x1.17ac3e87ddc57p-18, 0x1.17ee8bfeb33fap-18, 0x1.18227c5000bdap-18, 0x1.184845ee0d34bp-18, 0x1.18601f2ecf792p-18, 0x1.186a3e46b1f8ap-18, 0x1.1866dac52dda9p-18, 0x1.185624ccf0c88p-18, 0x1.18385a87d296ap-18, 0x1.180dad16962b5p-18, 0x1.17d652ce40d15p-18, 0x1.1792801785e7cp-18, 0x1.17426ab1efd19p-18, 0x1.16e64651a4badp-18, 0x1.167ea96f041f3p-18, 0x1.160aa5f62e14ep-18, 0x1.158b99cf63232p-18, 0x1.15014d3b1b4f5p-18, 0x1.146bf76c15acfp-18, 0x1.13cbcc62ddfdap-18, 0x1.1320ff502bdadp-18, 0x1.126bc316d0351p-18, 0x1.11ac4a757f934p-18, 0x1.10e2c7a9d039cp-18, 0x1.100f6c9f8344p-18, 0x1.0f326b0b6a2d6p-18, 0x1.0e4bf45b47124p-18, 0x1.0d5c39653aa1dp-18, 0x1.0c636b01e2887p-18, 0x1.0b61b94ad6b4ap-18, 0x1.0a5753e6d4b36p-18, 0x1.09446d8d1dd32p-18, 0x1.082935abb6016p-18, 0x1.0705ce1c19c1cp-18, 0x1.05da7745e3655p-18, 0x1.04a754438da0ap-18, 0x1.036c9c2e4f9dep-18, 0x1.022a72726634cp-18, 0x1.00e108fc7bae5p-18, 0x1.ff2117c3b6452p-19, 0x1.fc724e6a07f8dp-19, 0x1.f9b60d7fd1534p-19, 0x1.f6ecabe251e1p-19, 0x1.f4167f942ef3p-19, 0x1.f133de2513c43p-19, 0x1.ee4515fb14d3fp-19, 0x1.eb4a8a4f582b4p-19, 0x1.e8447d6d84661p-19, 0x1.e5334800c14e9p-19, 0x1.e2173a5308323p-19, 0x1.def0a47bdababp-19, 0x1.dbbfd5b595835p-19, 0x1.d8851c65dc0f1p-19, 0x1.d540c618ef829p-19, 0x1.d1f31f7e262cfp-19, 0x1.ce9c7464007c9p-19, 0x1.cb3d0fb7d4d5fp-19, 0x1.c7d53b91c6e2fp-19, 0x1.c4654130302c2p-19, 0x1.c0ed68db1bcbep-19, 0x1.bd6dfa3360ebfp-19, 0x1.b9e73e39e7c5fp-19, 0x1.b656ad8983658p-19, 0x1.b2c4ed75c9822p-19, 0x1.af29d57c39ffp-19, 0x1.ab88876e9349cp-19, 0x1.a7e13dcf6fc4dp-19, 0x1.a43439ac8b032p-19, 0x1.a081bb8087deap-19, 0x1.9cca02f3f3b5bp-19, 0x1.990d4ee39c94ap-19, 0x1.954bdd24662dp-19, 0x1.9185e8911db1ep-19, 0x1.8dbbb341dd684p-19, 0x1.89ed736c589cap-19, 0x1.861b64f543e05p-19, 0x1.8245c1971a5d9p-19, 0x1.7e6cc64cf919ep-19, 0x1.7a909ef32730ep-19, 0x1.76b18e926de94p-19, 0x1.72cfc8c50cfb8p-19, 0x1.6eeb7ed23dd4bp-19, 0x1.6b04eb386bc6ep-19, 0x1.671c3db9f61f1p-19, 0x1.6331aab6452ebp-19, 0x1.5f45616227538p-19, 0x1.5b57b2820406bp-19, 0x1.57687e6467464p-19, 0x1.537848da206d2p-19, 0x1.4f871c5222a35p-19, 0x1.4b952b15752c8p-19, 0x1.47a2a2fed5079p-19, 0x1.43afb0cb98d5cp-19, 0x1.3fbc80680088cp-19, 0x1.3bc93cfa0d0aep-19, 0x1.37d610e4ad0e7p-19, 0x1.33e325c95a609p-19, }}, 
      {{-0x1.378c4ef18a118p-5, -0x1.2b2af08cd6ff4p-3, -0x1.3d977ea8b2174p-2, -0x1.06f91516cafecp-1, -0x1.7aff273f29c4p-1, -0x1.f37facf0c29efp-1, -0x1.3531159715f51p+0, -0x1.6d7002732f7bep+0, -0x1.a0b74ce643a1fp+0, -0x1.cdccf3d5c46b6p+0, -0x1.f3ed114ba4d9p+0, -0x1.095a78bc10516p+1, -0x1.1507e43b0c252p+1, -0x1.1d12c3c66d0bbp+1, -0x1.21a5f6548b6abp+1, -0x1.22fcdf5d766f2p+1, -0x1.215e0bff0fa22p+1, -0x1.1d16c9af159e8p+1, -0x1.167795c3d6f8bp+1, -0x1.0dd14bceb2159p+1, -0x1.0372f9ad8906bp+1, -0x1.ef5082bd372e9p+0, -0x1.d5706532c87dbp+0, -0x1.b9c90f5a83f34p+0, -0x1.9cd266fba59acp+0, -0x1.7ef86119a1d68p+0, -0x1.609b0582898dfp+0, -0x1.420ebdba5f659p+0, -0x1.239cdb42f8bbcp+0, -0x1.0584442f0672ep+0, -0x1.cff46cc9949abp-1, -0x1.96562cb22d4cep-1, -0x1.5e7680c3ff378p-1, -0x1.288fad46b16ep-1, -0x1.e99e1c74c83d4p-2, -0x1.86ad1debdca89p-2, -0x1.287c157f80e1fp-2, -0x1.9e525730b1ccfp-3, -0x1.eb0d704484b2ep-4, -0x1.5a65358fe8735p-5, 0x1.f43f2059d5818p-6, 0x1.94026a0321f31p-4, 0x1.4c061f146c703p-3, 0x1.c4d65c9c1bd87p-3, 0x1.1a5db0d62b0b9p-2, 0x1.4e03135b0111fp-2, 0x1.7d869e7786b1cp-2, 0x1.a915925e1ea4ap-2, 0x1.d0de6ffb45ffap-2, 0x1.f5105d292b4c5p-2, 0x1.0aed509802243p-1, 0x1.19b61b7b26c12p-1, 0x1.26f9b90737595p-1, 0x1.32ceda3c5424p-1, 0x1.3d4b99904e8f2p-1, 0x1.468563790bd1p-1, 0x1.4e90e4946d5a6p-1, 0x1.5581fcb28afa5p-1, 0x1.5b6bb5db2a54p-1, 0x1.60603ef537c36p-1, 0x1.6470e94c0a60bp-1, 0x1.67ae287400a31p-1, 0x1.6a279459bb96p-1, 0x1.6bebecad2fc47p-1, 0x1.6d091de311223p-1, 0x1.6d8c4707df435p-1, 0x1.6d81c07495141p-1, 0x1.6cf52316082ffp-1, 0x1.6bf150198263fp-1, 0x1.6a8078e3f9727p-1, 0x1.68ac272710647p-1, 0x1.667d450654916p-1, 0x1.63fc252bd2bfep-1, 0x1.61308ac42bc6ep-1, 0x1.5e21b14dde28cp-1, 0x1.5ad65433b0b15p-1, 0x1.5754b62c781fep-1, 0x1.53a2a85308962p-1, 0x1.4fc590fcc32ecp-1, 0x1.4bc2723cb8341p-1, 0x1.479df02baa8f7p-1, 0x1.435c56cc4108bp-1, 0x1.3f019fb8a8a49p-1, 0x1.3a9177754c552p-1, 0x1.360f428494f14p-1, 0x1.317e22273885fp-1, 0x1.2ce0f8e26a666p-1, 0x1.283a6eb42273bp-1, 0x1.238cf516cb324p-1, 0x1.1edacab26d5ffp-1, 0x1.1a25fee9b0557p-1, 0x1.15707514689dep-1, 0x1.10bbe79ee152p-1, 0x1.0c09eade1c8a5p-1, 0x1.075befc704f65p-1, 0x1.02b3466ecb872p-1, 0x1.fc2240bc7ba36p-2, 0x1.f2ed259b6ada1p-2, 0x1.e9c9313f88e75p-2, 0x1.e0b828b3ef47ap-2, 0x1.d7bba3bf3df84p-2, 0x1.ced51039d4034p-2, 0x1.c605b5399b124p-2, 0x1.bd4eb5c9253b2p-2, 0x1.b4b113c4d564dp-2, 0x1.ac2db240ed562p-2, 0x1.a3c557d8577ddp-2, 0x1.9b78b0f79f0b8p-2, 0x1.934851bc7fe3p-2, 0x1.8b34b7e8e925ep-2, 0x1.833e4cb11537fp-2, 0x1.7b656637d1d34p-2, 0x1.73aa492f1761ep-2, 0x1.6c0d2a41bfa95p-2, 0x1.648e2f439c184p-2, 0x1.5d2d7087adfb7p-2, 0x1.55eaf9feca231p-2, 0x1.4ec6cc2822d0fp-2, 0x1.47c0dd26f0115p-2, 0x1.40d919aaa0356p-2, 0x1.3a0f65a9f0c03p-2, 0x1.33639d3f5f0e2p-2, 0x1.2cd5956b5fcefp-2, 0x1.26651ca4ba0bep-2, 0x1.2011fb80bea12p-2, 0x1.19dbf558e102bp-2, 0x1.13c2c8beba5d5p-2, 0x1.0dc62ff47855ap-2, 0x1.07e5e176bd8d7p-2, 0x1.022190631dbfap-2, 0x1.f8f1d995c8d4fp-3, 0x1.edd74836a68efp-3, 0x1.e2f2c2fab161bp-3, 0x1.d8439c2a63fd8p-3, 0x1.cdc9228d52047p-3, 0x1.c382a20bd36b4p-3, 0x1.b96f642b567eep-3, 0x1.af8eb065f4419p-3, 0x1.a5dfcc9705d42p-3, 0x1.9c61fd7123203p-3, 0x1.931486cf72cbfp-3, 0x1.89f6abf38ea18p-3, 0x1.8107afd704c53p-3, 0x1.7846d57f54e0cp-3, 0x1.6fb36035455e4p-3, 0x1.674c93af0b54bp-3, 0x1.5f11b449765a4p-3, 0x1.57020743bd3c4p-3, 0x1.4f1cd2e6a0bf6p-3, 0x1.47615e9f8276cp-3, 0x1.3fcef324fbb94p-3, 0x1.3864daa0da752p-3, 0x1.312260cd338fbp-3, 0x1.2a06d305186f9p-3, 0x1.23118058d5a55p-3, 0x1.1c41b9a975122p-3, 0x1.1596d1be5fed3p-3, 0x1.0f101d517a81cp-3, 0x1.08acf316e9dc7p-3, 0x1.026cabcc1b345p-3, 0x1.f89d448e9cc7ep-4, 0x1.eca46700e3175p-4, 0x1.e0ed7d280eea3p-4, 0x1.d577498e98c4dp-4, 0x1.ca409320729c4p-4, 0x1.bf4825389dcf5p-4, 0x1.b48ccfa48e72cp-4, 0x1.aa0d66a1432a6p-4, 0x1.9fc8c2dbde36dp-4, 0x1.95bdc176cf55bp-4, 0x1.8beb440c5828bp-4, 0x1.825030aa71c77p-4, 0x1.78eb71cb03e7ep-4, 0x1.6fbbf64e202e1p-4, 0x1.66c0b173b1737p-4, 0x1.5df89ae138051p-4, 0x1.5562ae8ea8daep-4, 0x1.4cfdecc19f31bp-4, 0x1.44c95a01dc7e3p-4, 0x1.3cc3ff107d53cp-4, 0x1.34ece8e16220ep-4, 0x1.2d43289041ac3p-4, 0x1.25c5d354a326ep-4, 0x1.1e740274e8a42p-4, 0x1.174cd338be93p-4, 0x1.104f66e72a6a6p-4, 0x1.097ae2ac3473cp-4, 0x1.02ce6f9b01f0ep-4, 0x1.f8927530c2b52p-5, 0x1.ebd4e89e63bf8p-5, 0x1.df62a24836a3fp-5, 0x1.d33a12533aa77p-5, 0x1.c759b02738575p-5, 0x1.bbbffa53fa35fp-5, 0x1.b06b76758e69bp-5, 0x1.a55ab119a23f8p-5, 0x1.9a8c3da6356d6p-5, 0x1.8ffeb640d3bcfp-5, 0x1.85b0bbb561491p-5, 0x1.7ba0f55bc52a8p-5, 0x1.71ce10fd38aap-5, 0x1.6836c2ba3a0d9p-5, 0x1.5ed9c4f195008p-5, 0x1.55b5d827e6d52p-5, 0x1.4cc9c2ef32f59p-5, 0x1.441451ce088p-5, 0x1.3b94572663a08p-5, 0x1.3348ab1cd387bp-5, 0x1.2b302b807213bp-5, 0x1.2349bbb37adbdp-5, 0x1.1b94449439d86p-5, 0x1.140eb465c651cp-5, 0x1.0cb7feb8cbe24p-5, 0x1.058f1c54d9dfap-5, 0x1.fd26164211a7cp-6, 0x1.ef859c1cbb7e6p-6, 0x1.e23ada03faffbp-6, 0x1.d543e97fba442p-6, 0x1.c89eedaae5139p-6, 0x1.bc4a130d26f92p-6, 0x1.b0438f5fcc5a8p-6, 0x1.a489a18431a2dp-6, 0x1.991a913d339a9p-6, 0x1.8df4af16ac9fap-6, 0x1.8316543c1de3fp-6, 0x1.787de251a92d7p-6, 0x1.6e29c34df3816p-6, 0x1.6418695472c5ap-6, 0x1.5a484e906d6afp-6, 0x1.50b7f510b5449p-6, 0x1.4765e6a406565p-6, 0x1.3e50b4b5d8555p-6, 0x1.3576f82bd41fp-6, 0x1.2cd7514398b3fp-6, 0x1.24706770f9efcp-6, 0x1.1c40e93cd0369p-6, 0x1.14478c245e052p-6, 0x1.0c830c793f6d9p-6, 0x1.04f22d41b50ep-6, 0x1.fb27703382de8p-7, 0x1.ecccfa2962b12p-7, 0x1.ded2a53dea20bp-7, 0x1.d1362ac0f796cp-7, 0x1.c3f5503ee0704p-7, 0x1.b70de74699ff3p-7, 0x1.aa7dcd313019bp-7, 0x1.9e42eaebebddp-7, 0x1.925b34bcce07bp-7, 0x1.86c4aa15fa92ap-7, 0x1.7b7d5558737f8p-7, 0x1.70834ba354063p-7, 0x1.65d4ac9f6109fp-7, 0x1.5b6fa24cbd073p-7, 0x1.515260d166a9ep-7, 0x1.477b2649eed8dp-7, 0x1.3de83a98f11b5p-7, 0x1.3497ef37e6c63p-7, 0x1.2b889f07a1368p-7, 0x1.22b8ae220f581p-7, 0x1.1a2689acf1949p-7, 0x1.11d0a7aeeacaep-7, 0x1.09b586e52920fp-7, 0x1.01d3ae9969c09p-7, 0x1.f4535ceec65a1p-8, 0x1.e56c3cc38d7d5p-8, 0x1.d6ef3c8f8bb3ap-8, 0x1.c8d9abf90ad5dp-8, 0x1.bb28ea21911cep-8, 0x1.adda655d7ad97p-8, 0x1.a0eb9aecabacbp-8, 0x1.945a16b8a26b6p-8, 0x1.882372df392fbp-8, 0x1.7c4557b0a9d9ep-8, 0x1.70bd7b138129fp-8, 0x1.6589a06929312p-8, 0x1.5aa798453ab2ep-8, 0x1.5015403402c21p-8, 0x1.45d0827e49ce5p-8, 0x1.3bd755e9039b7p-8, 0x1.3227bd7064af3p-8, 0x1.28bfc7f3df60fp-8, 0x1.1f9d8ff1974adp-8, 0x1.16bf3b45a7b34p-8, 0x1.0e22fafd5e2bep-8, 0x1.05c70b289c97cp-8, 0x1.fb53656f90758p-9, 0x1.eb92868ae676fp-9, 0x1.dc48319fbc4ccp-9, 0x1.cd7132d739841p-9, 0x1.bf0a69e4013afp-9, 0x1.b110c97dd62b5p-9, 0x1.a381570c0da9bp-9, 0x1.96592a7a55bdp-9, 0x1.89956e233d99dp-9, 0x1.7d335ea03e024p-9, 0x1.71304a7a2f5f2p-9, 0x1.65899176c1887p-9, 0x1.5a3ca3f08bd89p-9, 0x1.4f47020e594b2p-9, 0x1.44a63b3cc06c9p-9, 0x1.3a57edf4dba1bp-9, 0x1.3059c7cd873eep-9, 0x1.26a985ae57e5cp-9, 0x1.1d44f3e8f825ap-9, 0x1.1429ee03dfa45p-9, 0x1.0b565e2079739p-9, 0x1.02c83c1319964p-9, 0x1.f4fb18d169b44p-10, 0x1.e4e8bf48f1613p-10, 0x1.d555a3db5561bp-10, 0x1.c63e16748cp-10, 0x1.b79e7f9f3fc75p-10, 0x1.a973619735891p-10, 0x1.9bb958be2c072p-10, 0x1.8e6d1b072044cp-10, 0x1.818b76233673ep-10, 0x1.75114d322408fp-10, 0x1.68fb962c99fcp-10, 0x1.5d47585dde06fp-10, 0x1.51f1ac05eff17p-10, 0x1.46f7bb5847f09p-10, 0x1.3c56c44a7b71p-10, 0x1.320c1a6269682p-10, 0x1.281527ba32458p-10, 0x1.1e6f6c2958fbep-10, 0x1.15187bde4b681p-10, 0x1.0c0dfbbe169f4p-10, 0x1.034d9ea1fe3e1p-10, 0x1.f5aa464bfe09dp-11, 0x1.e544a639b883dp-11, 0x1.d5660980e9336p-11, 0x1.c60a3a292a9fdp-11, 0x1.b72d2518c1f85p-11, 0x1.a8caddd1a4798p-11, 0x1.9adf9f05e7acbp-11, 0x1.8d67c76a46e8p-11, 0x1.805fd3728046ep-11, 0x1.73c455c946fb5p-11, 0x1.6791f0d2181fap-11, 0x1.5bc553808b719p-11, 0x1.505b3a2514f15p-11, 0x1.4550730f346b2p-11, 0x1.3aa1e5019af19p-11, 0x1.304c9556219d4p-11, 0x1.264daba5dda27p-11, 0x1.1ca271bab1572p-11, 0x1.13484f898831p-11, 0x1.0a3cc4184e604p-11, 0x1.017d5d2d8ed6p-11, 0x1.f20f60673b578p-12, 0x1.e1b2adb36f104p-12, 0x1.d1dfdfaaa10cp-12, 0x1.c292491e2c202p-12, 0x1.b3c560c6298c3p-12, 0x1.a574cf27ba74cp-12, 0x1.979c770d9b766p-12, 0x1.8a3876b235225p-12, 0x1.7d4521d4a96a1p-12, 0x1.70bef636d4939p-12, 0x1.64a28cb45e78ap-12, 0x1.58ec8a059a72cp-12, 0x1.4d99932793d16p-12, 0x1.42a64993c252fp-12, 0x1.380f51319111fp-12, 0x1.2dd15e2d38fe2p-12, 0x1.23e94524b936dp-12, 0x1.1a5405171f09ep-12, 0x1.110ed75e7068bp-12, 0x1.08170f71396c7p-12, 0x1.fed474e8f9f1ep-13, 0x1.ee0bf1c7c2a42p-13, 0x1.ddd0054493c37p-13, 0x1.ce1c345011851p-13, 0x1.beec03c346fdap-13, 0x1.b03af075a6e0dp-13, 0x1.a2046235c0c12p-13, 0x1.9443d513119b5p-13, 0x1.86f4ea0ae39cep-13, 0x1.7a138803fc0bcp-13, 0x1.6d9be2919d43dp-13, 0x1.618a6db8a3498p-13, 0x1.55dbc8c23b9cdp-13, 0x1.4a8cb04e20d02p-13, 0x1.3f99f9f0968d4p-13, 0x1.3500acbf181f9p-13, 0x1.2abdc8b84a47bp-13, 0x1.20ce85eb95773p-13, 0x1.173000abca3c7p-13, 0x1.0ddf509ee8c2cp-13, 0x1.04d9904d8688dp-13, 0x1.f837f4c9446adp-14, 0x1.e74804910a67ap-14, 0x1.d6deae48e31bap-14, 0x1.c6f79b7e5d467p-14, 0x1.b78e7ef507bdp-14, 0x1.a89eec3d563f2p-14, 0x1.9a2466cc68da7p-14, 0x1.8c1a9b3e2da22p-14, 0x1.7e7d93cdae7e5p-14, 0x1.7149be03f6a0cp-14, 0x1.647bbfb7c6a74p-14, 0x1.5810422a19112p-14, 0x1.4c03df587a491p-14, 0x1.40533d7230dcp-14, 0x1.34fb3f7b79f67p-14, 0x1.29f924c58eb25p-14, 0x1.1f4a7ba6efadep-14, 0x1.14ece569f50c7p-14, 0x1.0addca0c8d53p-14, 0x1.011a2ee3a58a2p-14, 0x1.ef3da66d7712bp-15, 0x1.dcd10b57346dcp-15, 0x1.cae8f752eb985p-15, 0x1.b980e79d30204p-15, 0x1.a8952983379b1p-15, 0x1.9822547ce8059p-15, 0x1.8824ebeebe336p-15, 0x1.78995e885e416p-15, 0x1.697c488a7df2ep-15, 0x1.5acab39198294p-15, 0x1.4c82278640026p-15, 0x1.3ea05b0a534f7p-15, 0x1.3122b5e24724cp-15, 0x1.2405e0b7ccd9ap-15, 0x1.1745b6409d68fp-15, 0x1.0adda5d20e431p-15, 0x1.fd92ab8e05494p-16, 0x1.e60a5c62a1c71p-16, 0x1.cf1d161ca2c2bp-16, 0x1.b8c71df645afap-16, 0x1.a30576ee08d1cp-16, 0x1.8dd516d3a84cap-16, 0x1.79329555c4fdfp-16, 0x1.651a6be99e2dcp-16, 0x1.518998d936b59p-16, 0x1.3e7de5f83bc2dp-16, 0x1.2bf56ba85327ep-16, 0x1.19ed8350367e3p-16, 0x1.08622dc57cd94p-16, 0x1.ee9cb0d0f1c22p-17, 0x1.cd591bb7caed5p-17, 0x1.acef327e07634p-17, 0x1.8d560e5c94741p-17, 0x1.6e86714335a1dp-17, 0x1.507b054148043p-17, 0x1.332feb403c4b6p-17, 0x1.16a25724de474p-17, 0x1.f59fcfbb86934p-18, 0x1.bf6b0d60b7bb5p-18, 0x1.8a9eb54e45e71p-18, 0x1.57344bfe07b7cp-18, 0x1.25287fd3b251dp-18, 0x1.e8f0d60aca903p-19, 0x1.8a3a14226674ep-19, 0x1.2e154106b94ap-19, 0x1.a8cfed7080adbp-20, 0x1.f46ab33bfffb3p-21, 0x1.40d0d10d8c27cp-22, -0x1.554c8024757efp-22, -0x1.ecf3556765831p-21, -0x1.9353ff41a514ep-20, -0x1.15fcb8453322cp-19, -0x1.60428fc631b26p-19, -0x1.a885095bdf9bp-19, -0x1.eec74b4929bcp-19, -0x1.1986792154f78p-18, -0x1.3aaf38b82905cp-18, -0x1.5ae1eab328fbcp-18, -0x1.7a20a9824b84fp-18, -0x1.986e96226b048p-18, -0x1.b5d1d894bee96p-18, -0x1.d251bbc22c1f5p-18, -0x1.edf49eb9ffcd5p-18, -0x1.045fe7fbaed14p-17, -0x1.115c08889442bp-17, -0x1.1df0c42daf08ap-17, -0x1.2a1f957b7fd42p-17, -0x1.35e961ce2f8c3p-17, -0x1.414f1ec11bae8p-17, -0x1.4c52fafebea9bp-17, -0x1.56f850ae3b39dp-17, -0x1.614110646adccp-17, -0x1.6b2cb78ff6b8cp-17, -0x1.74bb3e34c277fp-17, -0x1.7deeca4a5a80cp-17, -0x1.86c98ea2c6968p-17, -0x1.8f4cae5233f0bp-17, -0x1.977996c7e50bp-17, -0x1.9f5224051888p-17, -0x1.a6d7e27e407ecp-17, -0x1.ae0bfe2213d6dp-17, -0x1.b4efbe0a16c41p-17, -0x1.bb84cfde3c177p-17, -0x1.c1cd0e3fd1f5cp-17, -0x1.c7c9e33b0f85fp-17, -0x1.cd7bf80a2cd7cp-17, -0x1.d2e3b57fcfbbdp-17, -0x1.d801f740c7616p-17, -0x1.dcd85b6d53abep-17, -0x1.e168ebee5352ap-17, -0x1.e5b4a493df394p-17, -0x1.e9bb7006a36a1p-17, -0x1.ed7eaf47d50acp-17, -0x1.f100cdeb2341ap-17, -0x1.f442aae8a9abcp-17, -0x1.f7448f2fa395p-17, -0x1.fa07a63aceb98p-17, -0x1.fc8d4135ec20ap-17, -0x1.fed649ac86aa9p-17, -0x1.0071bb3326dfbp-16, -0x1.015ad8c5b1aap-16, -0x1.022735f4e35eap-16, -0x1.02d7b2f8119p-16, -0x1.036ce20018f9dp-16, -0x1.03e6e7e28b5cbp-16, -0x1.04460e3ff623ep-16, -0x1.048afc936fb8bp-16, -0x1.04b623343ba58p-16, -0x1.04c7ab8beba2fp-16, -0x1.04c0238058fd6p-16, -0x1.04a0763cbb134p-16, -0x1.04691f6a51863p-16, -0x1.041a8e9a7eab2p-16, -0x1.03b5522626772p-16, -0x1.0339a651b5f6cp-16, -0x1.02a7a2c934047p-16, -0x1.0200295b94671p-16, -0x1.01439c1f05ec5p-16, -0x1.00725280a5c5ep-16, -0x1.ff19487c75622p-17, -0x1.fd262b5ae8cffp-17, -0x1.fb0cb737ca022p-17, -0x1.f8cda1d176e4p-17, -0x1.f669f32570efdp-17, -0x1.f3e1f0d6d19ap-17, -0x1.f136d7a6524dep-17, -0x1.ee69196df4ffbp-17, -0x1.eb798b60013a1p-17, -0x1.e86950edb835ep-17, -0x1.e53942f8abc87p-17, -0x1.e1e9e49cbd8abp-17, -0x1.de7c158072de3p-17, -0x1.daf0f345d2463p-17, -0x1.d749469be4077p-17, -0x1.d385d4865579ap-17, -0x1.cfa702536a986p-17, -0x1.cbada9498c938p-17, -0x1.c79ab69beb802p-17, -0x1.c36eda40a2b93p-17, -0x1.bf2ab2f6ae8e4p-17, -0x1.bacf0b6568db9p-17, -0x1.b65cee29c59dap-17, -0x1.b1d4fe115e75p-17, -0x1.ad37df0a9538p-17, -0x1.a88665290cdeep-17, -0x1.a3c0fdc762038p-17, -0x1.9ee85650733aep-17, -0x1.99fd66a2f51cap-17, -0x1.9500dcdec909ep-17, -0x1.8ff35fbc3885dp-17, -0x1.8ad58f5a03b12p-17, -0x1.85a81961749ebp-17, -0x1.806b9ad89ad68p-17, -0x1.7b208f93e50dep-17, -0x1.75c7bbd534f52p-17, -0x1.7061fd816c3efp-17, -0x1.6aefe8be6e2b6p-17, -0x1.6571da5d2e7fbp-17, -0x1.5fe87d950fb7ep-17, -0x1.5a5482816a66ep-17, -0x1.54b6651cc86a5p-17, -0x1.4f0ec023c9da4p-17, -0x1.495e520ebfa2dp-17, -0x1.43a5ac7e5e33ap-17, -0x1.3de55888d13a5p-17, -0x1.381dacfb6094ap-17, -0x1.324f56ba46cffp-17, -0x1.2c7af3e8023abp-17, -0x1.26a105dddde99p-17, -0x1.20c20c900cee7p-17, -0x1.1ade8a5cee176p-17, -0x1.14f70205c12a6p-17, -0x1.0f0bf4a99c96bp-17, -0x1.091de00f556edp-17, -0x1.032d3ede21654p-17, -0x1.fa75184c65df4p-18, -0x1.ee8c8388abad5p-18, -0x1.e2a1879184f66p-18, -0x1.d6b50bc3029b3p-18, -0x1.cac853cfdf673p-18, -0x1.bedc065eab8afp-18, -0x1.b2f0bacad30bbp-18, -0x1.a70748e9b9498p-18, -0x1.9b20d956d7279p-18, -0x1.8f3e61fa3272cp-18, -0x1.836060806a3cbp-18, -0x1.778773a793186p-18, -0x1.6bb495bb705f7p-18, -0x1.5fe8995280b77p-18, -0x1.542424d4276bfp-18, -0x1.4867eb67423a7p-18, -0x1.3cb49ffc282aep-18, -0x1.310af1dea771cp-18, -0x1.256b8d7436c0bp-18, -0x1.19d71b5e1a588p-18, -0x1.0e4e403fa4691p-18, -0x1.02d1a33a84482p-18, -0x1.eec3a9c2ddc16p-19, -0x1.d7fef49308458p-19, -0x1.c156454ef10dbp-19, -0x1.aacabfec24647p-19, -0x1.945d8c2a0fb84p-19, -0x1.7e0fd21c99d0cp-19, -0x1.67e262717b54fp-19, -0x1.51d60f1a412a5p-19, -0x1.3bec542f0e34cp-19, -0x1.2626371301e27p-19, -0x1.10843053088a5p-19, -0x1.f60eff639b4b7p-20, -0x1.cb621c0f8284p-20, -0x1.a1034f5234f9dp-20, -0x1.76f4359dc20f5p-20, -0x1.4d366dd616a78p-20, -0x1.23cb8ba1e660ep-20, -0x1.f56a2b19d1a81p-21, -0x1.a3e90a7f0d995p-21, -0x1.53168fb3a39b3p-21, -0x1.02f57bb4ecbap-21, -0x1.6710e98c3c0b4p-22, -0x1.93485ea97e023p-23, -0x1.6d4a33556de24p-25, 0x1.b36b064da0958p-24, 0x1.05e3603f94033p-22, 0x1.9d6c221019d69p-22, 0x1.19b86771f293p-21, 0x1.63f6ae4fa85e7p-21, 0x1.ad6eecb027731p-21, 0x1.f62038ceeffffp-21, 0x1.1f03d89881b1bp-20, 0x1.4291fb856d9fdp-20, 0x1.65b9e0b2c1c9cp-20, 0x1.887a7702895a8p-20, 0x1.aad39bdb9e59cp-20, 0x1.ccc429dfab5eap-20, 0x1.ee4b8adb8269ep-20, 0x1.07b49e8ca0d0fp-19, 0x1.180e5c68c6105p-19, 0x1.2832bd4cc3c44p-19, 0x1.382183d9c6117p-19, 0x1.47da77ae2900cp-19, 0x1.575d64a15227ap-19, 0x1.66aa1b47b7b3cp-19, 0x1.75c070c7e8653p-19, 0x1.84a03f2735bd1p-19, 0x1.9349649b7fd57p-19, 0x1.a1bbc2fb28084p-19, 0x1.aff73f4b04edbp-19, 0x1.bdfbc2d8701a9p-19, 0x1.cbc93d9e32b51p-19, 0x1.d95fa309a911bp-19, 0x1.e6bed8ac582b3p-19, 0x1.f3e6fa2d277f3p-19, 0x1.006bf7cb4a6c3p-18, 0x1.06c8e3eb5675ap-18, 0x1.0d0a35e8db882p-18, 0x1.132ff831f4e97p-18, 0x1.193a341dcc821p-18, 0x1.1f289b34ef011p-18, 0x1.24fc319902da3p-18, 0x1.2ab3fb2b24cd1p-18, 0x1.30506baa7a1a8p-18, 0x1.35d18d5888659p-18, 0x1.3b3765dca3819p-18, 0x1.4082082025b9bp-18, 0x1.45b187d7db6ccp-18, 0x1.4ac5f86e23cb3p-18, 0x1.4fbf6e81f3a05p-18, 0x1.549e001c94ddp-18, 0x1.5961c4a4e1322p-18, 0x1.5e0ad4b961fe6p-18, 0x1.62994a0b23845p-18, 0x1.670d3f6761ad6p-18, 0x1.6b66d120fd6d3p-18, 0x1.6fa61d9a6661ep-18, 0x1.73cb40a943a62p-18, 0x1.77d6556019f8ap-18, 0x1.7bc78cd4524f7p-18, 0x1.7f9eff2bef8d1p-18, 0x1.835cc889ad567p-18, 0x1.870112b1521fp-18, 0x1.8a8c00b4decfp-18, 0x1.8dfdb8a3a4dedp-18, 0x1.915660c18ebf5p-18, 0x1.94961ff551d25p-18, 0x1.97bd1e1222441p-18, 0x1.9acb83cf760ffp-18, 0x1.9dc17abfec19ap-18, 0x1.a09f2d5c2c315p-18, 0x1.a364c490f9b98p-18, 0x1.a61270b035d71p-18, 0x1.a8a8576c3b676p-18, 0x1.ab26aae3c1fb9p-18, 0x1.ad8d9886ed354p-18, 0x1.afdd4b7cf3445p-18, 0x1.b215f3b5df3c9p-18, 0x1.b437c0b78971p-18, 0x1.b642e2356f5a3p-18, 0x1.b8378867a79f1p-18, 0x1.ba15e430642f7p-18, 0x1.bbde270139b28p-18, 0x1.bd9081b0e0bd2p-18, 0x1.bf2d2553c4eaap-18, 0x1.c0b449659606p-18, 0x1.c2261c02b371dp-18, 0x1.c382d0e2c57a8p-18, 0x1.c4caa38df0b26p-18, 0x1.c5fdb25581d9cp-18, 0x1.c71c46ee69c77p-18, 0x1.c8268e68f0c16p-18, 0x1.c91cbd84b666ep-18, 0x1.c9ff093038cb4p-18, 0x1.cacda69260142p-18, 0x1.cb88cb06f0d1bp-18, 0x1.cc30ac1a3fd1bp-18, 0x1.ccc57f8430a6bp-18, 0x1.cd477b1c05464p-18, 0x1.cdb6d4fffbff2p-18, 0x1.ce13c338cfe85p-18, 0x1.ce5e7c1112f1fp-18, 0x1.ce9735e13e1d9p-18, 0x1.cebe266e21e04p-18, 0x1.ced386301af81p-18, 0x1.ced789ce27fa1p-18, 0x1.ceca6871c188ap-18, 0x1.ceac580646421p-18, 0x1.ce7d90d655889p-18, 0x1.ce3e4813b45a7p-18, 0x1.cdeeb48f909d4p-18, 0x1.cd8f0dc5f9839p-18, 0x1.cd1f81e1faa7dp-18, 0x1.cca05cc474641p-18, 0x1.cc11be6da4cdp-18, 0x1.cb73e6ef75da4p-18, 0x1.cac70b6afc63ap-18, 0x1.ca0b61e52e37bp-18, 0x1.c941205ebd09fp-18, 0x1.c8687cbd077dep-18, 0x1.c781acc4f71cp-18, 0x1.c68ce61799936p-18, 0x1.c58a5e2fc3713p-18, }}, 
      {{0x1.0f9126879ee0ep-2, 0x1.efc04f60aa566p-2, 0x1.467f0bad6a118p-1, 0x1.72b789cc95ba7p-1, 0x1.801dfecadccf1p-1, 0x1.743e4c5d70ab6p-1, 0x1.55227bf1d03a7p-1, 0x1.2884776ff0d0cp-1, 0x1.e6d467c1e0c43p-2, 0x1.74010c58d87f7p-2, 0x1.fe64edf53f254p-3, 0x1.1aee4773163bfp-3, 0x1.13d0f95dc4f22p-5, -0x1.fa306c8273406p-5, -0x1.2c82f9d254fb7p-3, -0x1.c36a96fbfc312p-3, -0x1.21779e0caf9d4p-2, -0x1.55d1bcf5119bp-2, -0x1.7f6025a2a9bddp-2, -0x1.9ef8324a89364p-2, -0x1.b592c2e5c6c29p-2, -0x1.c43b57beedb57p-2, -0x1.cc02f4b3d6093p-2, -0x1.cdf6489ee3fe8p-2, -0x1.cb16802a64487p-2, -0x1.c4545113207b1p-2, -0x1.ba8ccc6bb2296p-2, -0x1.ae8797ab0d26dp-2, -0x1.a0f63d05f0f29p-2, -0x1.92744a90cd31fp-2, -0x1.83880c9ccb63ep-2, -0x1.74a3aeec6e28ep-2, -0x1.6626a2c29c28fp-2, -0x1.585f2cc47c56fp-2, -0x1.4b8c03948eea4p-2, -0x1.3fddf00ffb1bcp-2, -0x1.3579650935b31p-2, -0x1.2c78046174b62p-2, -0x1.24ea0f27483f4p-2, -0x1.1ed7bbc96ae7ep-2, -0x1.1a4270c317672p-2, -0x1.1725e3a7cb324p-2, -0x1.15791a7b91b0ap-2, -0x1.152f514fc9aabp-2, -0x1.1638c54eee409p-2, -0x1.188366d06dcf5p-2, -0x1.1bfb73956a35cp-2, -0x1.208bfbd24d022p-2, -0x1.261f53b30c61bp-2, -0x1.2c9f73a493361p-2, -0x1.33f648bb8a9dcp-2, -0x1.3c0df7e2e361cp-2, -0x1.44d1143cd9446p-2, -0x1.4e2acae2c22dep-2, -0x1.5807054ff0b3ep-2, -0x1.6252839c47b85p-2, -0x1.6cfaefc47c51bp-2, -0x1.77eeeaef8e316p-2, -0x1.831e15dd16a9ep-2, -0x1.8e7914ca93482p-2, -0x1.99f190518eb9ap-2, -0x1.a57a32cb052f5p-2, -0x1.b106a3fdbbc49p-2, -0x1.bc8b82417b415p-2, -0x1.c7fe5ad5c8138p-2, -0x1.d355a0c7c904cp-2, -0x1.de88a31a6c328p-2, -0x1.e98f827115166p-2, -0x1.f463265a6e56ep-2, -0x1.fefd32764997ep-2, -0x1.04abfdd2df5d6p-1, -0x1.09b73e9c907b8p-1, -0x1.0e9e2732474cbp-1, -0x1.135ecbf7f1161p-1, -0x1.17f7851c15ef4p-1, -0x1.1c66e9c84b7f1p-1, -0x1.20abcb80cd479p-1, -0x1.24c531bf6ce57p-1, -0x1.28b255bc82f5fp-1, -0x1.2c729e72de706p-1, -0x1.30059cecf544dp-1, -0x1.336b08a481012p-1, -0x1.36a2bc3b788f8p-1, -0x1.39acb25942941p-1, -0x1.3c8902c0e4fd3p-1, -0x1.3f37df9849944p-1, -0x1.41b992dce8d4cp-1, -0x1.440e7c0bf09cdp-1, -0x1.46370dee338d9p-1, -0x1.4833cc945bdb4p-1, -0x1.4a054b72db808p-1, -0x1.4bac2baa707f3p-1, -0x1.4d291a665ef0bp-1, -0x1.4e7ccf6bbd3a9p-1, -0x1.4fa80bb485cd2p-1, -0x1.50ab98324576p-1, -0x1.518844a83db0cp-1, -0x1.523ee6988458dp-1, -0x1.52d058507d223p-1, -0x1.533d780063dap-1, -0x1.538726ee71dfcp-1, -0x1.53ae48b75f8a5p-1, -0x1.53b3c2a2bc6a1p-1, -0x1.53987afea8109p-1, -0x1.535d5898aada4p-1, -0x1.53034234bc86dp-1, -0x1.528b1e1ca9aacp-1, -0x1.51f5d1af59062p-1, -0x1.514441068e569p-1, -0x1.50774e9e5083fp-1, -0x1.4f8fdb0515397p-1, -0x1.4e8ec49c72f97p-1, -0x1.4d74e75783378p-1, -0x1.4c431c843080fp-1, -0x1.4afa3aa0610f3p-1, -0x1.499b152aff667p-1, -0x1.48267c80d5b0dp-1, -0x1.469d3dc03253ep-1, -0x1.450022aaf3ba1p-1, -0x1.434ff18f84b32p-1, -0x1.418d6d3a32b85p-1, -0x1.3fb954e21d317p-1, -0x1.3dd4641d1de39p-1, -0x1.3bdf52d9f9865p-1, -0x1.39dad55738ec8p-1, -0x1.37c79c1dac805p-1, -0x1.35a65401eaac2p-1, -0x1.3377a622c397p-1, -0x1.313c37e86b65fp-1, -0x1.2ef4ab0abdc2fp-1, -0x1.2ca19d9631616p-1, -0x1.2a43a9ee8107cp-1, -0x1.27db66d700d51p-1, -0x1.2569677c8b01bp-1, -0x1.22ee3b7cbc8c5p-1, -0x1.206a6eecf5a68p-1, -0x1.1dde8a6874b92p-1, -0x1.1b4b131ac9b8dp-1, -0x1.18b08ac8bcff6p-1, -0x1.160f6fdbedb1bp-1, -0x1.13683d71cb4e6p-1, -0x1.10bb6b6736effp-1, -0x1.0e096e625d238p-1, -0x1.0b52b7e095c5ap-1, -0x1.0897b645c6ae4p-1, -0x1.05d8d4e8657bbp-1, -0x1.03167c1c046a1p-1, -0x1.0051113f9db86p-1, -0x1.fb11ed9a3d23ep-2, -0x1.f57d18cb9ce45p-2, -0x1.efe45db997dc7p-2, -0x1.ea4870897943p-2, -0x1.e4a9fffe7bd85p-2, -0x1.df09b5936dfb8p-2, -0x1.d968358f82c8p-2, -0x1.d3c61f1f0adefp-2, -0x1.ce240c6f4fd64p-2, -0x1.c88292cc9c018p-2, -0x1.c2e242b45126p-2, -0x1.bd43a7eb9d609p-2, -0x1.b7a74999442dp-2, -0x1.b20daa6114acap-2, -0x1.ac77487abb231p-2, -0x1.a6e49dc50bf77p-2, -0x1.a1561fdb7f764p-2, -0x1.9bcc402fc7d47p-2, -0x1.96476c223b3f4p-2, -0x1.90c80d1612852p-2, -0x1.8b4e8883b17c1p-2, -0x1.85db400d846f4p-2, -0x1.806e9197b3aa8p-2, -0x1.7b08d75e1b429p-2, -0x1.75aa6807774d2p-2, -0x1.705396b67e229p-2, -0x1.6b04b31a6354p-2, -0x1.65be098bc82e1p-2, -0x1.607fe318c3ac2p-2, -0x1.5b4a859b4c29dp-2, -0x1.561e33c8f46f8p-2, -0x1.50fb2d42ef8e6p-2, -0x1.4be1aeaafbf06p-2, -0x1.46d1f1b55de6p-2, -0x1.41cc2d3ac66a6p-2, -0x1.3cd09547674d6p-2, -0x1.37df5b2979c03p-2, -0x1.32f8ad86451ap-2, -0x1.2e1cb864cd8cep-2, -0x1.294ba545470a2p-2, -0x1.24859b2c81858p-2, -0x1.1fcabeb2de55fp-2, -0x1.1b1b321326cdbp-2, -0x1.1677153a68103p-2, -0x1.11de85d7c8c02p-2, -0x1.0d519f6b4533ep-2, -0x1.08d07b533ca32p-2, -0x1.045b30d99d22ap-2, -0x1.ffe3aa835f6c3p-3, -0x1.f728f7acedae6p-3, -0x1.ee866bf1b4d04p-3, -0x1.e5fc265a298d2p-3, -0x1.dd8a424e4cff9p-3, -0x1.d530d7adff62cp-3, -0x1.cceffaea01ddfp-3, -0x1.c4c7bd1dc2a04p-3, -0x1.bcb82c290247ap-3, -0x1.b4c152c8448a6p-3, -0x1.ace338ac05187p-3, -0x1.a51de28eec86p-3, -0x1.9d71524c448a5p-3, -0x1.95dd86f6f5771p-3, -0x1.8e627cf0ad074p-3, -0x1.87002dfff39ebp-3, -0x1.7fb6916595229p-3, -0x1.78859bf1d42ap-3, -0x1.716d40177225fp-3, -0x1.6a6d6e0080ee6p-3, -0x1.638613a2fdc74p-3, -0x1.5cb71cd4b65p-3, -0x1.5600735efb50dp-3, -0x1.4f61ff13480f3p-3, -0x1.48dba5d5ba797p-3, -0x1.426d4bbd14b65p-3, -0x1.3c16d317179cp-3, -0x1.35d81c8117698p-3, -0x1.2fb106f87e4cdp-3, -0x1.29a16febaa632p-3, -0x1.23a9334a8014p-3, -0x1.1dc82b9668a64p-3, -0x1.17fe31f20d19dp-3, -0x1.124b1e30eb2fp-3, -0x1.0caec6e6c9e2p-3, -0x1.07290176e4e49p-3, -0x1.01b9a222c9ce8p-3, -0x1.f8c0f831663f8p-4, -0x1.ee3ac302d1fcdp-4, -0x1.e3e0471bbe356p-4, -0x1.d9b125090ddcp-4, -0x1.cfacfb9ce6b63p-4, -0x1.c5d368088f0efp-4, -0x1.bc2405f5b09a1p-4, -0x1.b29e6f9f121f7p-4, -0x1.a9423de8737c9p-4, -0x1.a00f0875aba79p-4, -0x1.970465c11dfcdp-4, -0x1.8e21eb31ae3e6p-4, -0x1.85672d30a5737p-4, -0x1.7cd3bf3d9a2f9p-4, -0x1.7467340622e35p-4, -0x1.6c211d76efd9dp-4, -0x1.64010cd0a267ap-4, -0x1.5c0692ba0cb28p-4, -0x1.54313f5239b4ep-4, -0x1.4c80a2422b5e8p-4, -0x1.44f44acee9a0fp-4, -0x1.3d8bc7e9ec54ep-4, -0x1.3646a8426ebe4p-4, -0x1.2f247a54aeba2p-4, -0x1.2824cc78f12a5p-4, -0x1.21472cf1ad4a8p-4, -0x1.1a8b29fa7d67ep-4, -0x1.13f051d60810cp-4, -0x1.0d7632dc762e4p-4, -0x1.071c5b88d89cdp-4, -0x1.00e25a857cea4p-4, -0x1.f58f7d6e65f68p-5, -0x1.e9982e8fcf635p-5, -0x1.dddde76537189p-5, -0x1.d25fc79a38f27p-5, -0x1.c71cefab72617p-5, -0x1.bc1480fb89f98p-5, -0x1.b1459debce05dp-5, -0x1.a6af69d67deb7p-5, -0x1.9c51094791e1cp-5, -0x1.9229a1dedcadap-5, -0x1.88385a7870518p-5, -0x1.7e7c5b3a4ca7ep-5, -0x1.74f4cdaa4713p-5, -0x1.6ba0dcbf16677p-5, -0x1.627fb4ee7b9e3p-5, -0x1.599084372f322p-5, -0x1.50d27a20329cdp-5, -0x1.4844c7c0b0c0dp-5, -0x1.3fe69fcba424p-5, -0x1.37b7369f8d368p-5, -0x1.2fb5c261a81ffp-5, -0x1.27e17b0b3118bp-5, -0x1.20399a7be5fcfp-5, -0x1.18bd5c72fd905p-5, -0x1.116bfe893c19dp-5, -0x1.0a44c025c740bp-5, -0x1.0346e27d7d83ep-5, -0x1.f8e3514182a8cp-6, -0x1.eb88af3416fdep-6, -0x1.de7c6d107ee2p-6, -0x1.d1bd1d78fdde4p-6, -0x1.c549576bb12dcp-6, -0x1.b91fb6319894dp-6, -0x1.ad3ed90a2abacp-6, -0x1.a1a562f77fbb2p-6, -0x1.9651faa51767ep-6, -0x1.8b434a8adcdbfp-6, -0x1.8078014332b63p-6, -0x1.75eed1f57f6ecp-6, -0x1.6ba674a738dc1p-6, -0x1.619da64c50076p-6, -0x1.57d3288858c49p-6, -0x1.4e45c13421164p-6, -0x1.44f439d834b59p-6, -0x1.3bdd5f56c7b11p-6, -0x1.330001f009532p-6, -0x1.2a5af5a8681edp-6, -0x1.21ed12eea5e75p-6, -0x1.19b537410b6d6p-6, -0x1.11b2458b1e7c3p-6, -0x1.09e3260b3995fp-6, -0x1.0246c5c1b2709p-6, -0x1.f5b82b203bc35p-7, -0x1.e74412d2dd9afp-7, -0x1.d92f2fb179aa6p-7, -0x1.cb77743e8e657p-7, -0x1.be1ad9c36c489p-7, -0x1.b11762572f714p-7, -0x1.a46b1ad200f5cp-7, -0x1.98141bf4a1f66p-7, -0x1.8c1089e8a838bp-7, -0x1.805e930a19c4dp-7, -0x1.74fc6ceb50746p-7, -0x1.69e852004b1b2p-7, -0x1.5f207ffa4629ap-7, -0x1.54a337b5211fp-7, -0x1.4a6ebed09e557p-7, -0x1.408162682eb5cp-7, -0x1.36d979fc7982cp-7, -0x1.2d7569891c683p-7, -0x1.2453a1faecacdp-7, -0x1.1b729fbc0f8dfp-7, -0x1.12d0e7ae51799p-7, -0x1.0a6d038199785p-7, -0x1.02457ea9184a1p-7, -0x1.f4b1c9dae154cp-8, -0x1.e54b86936be91p-8, -0x1.d6555554a25cbp-8, -0x1.c7cc675f68ff7p-8, -0x1.b9ae0489e01eap-8, -0x1.abf78fb4c4b85p-8, -0x1.9ea6872ee1a3fp-8, -0x1.91b880ac8e868p-8, -0x1.852b21bca3cb5p-8, -0x1.78fc16c51f856p-8, -0x1.6d290b40507e3p-8, -0x1.61afa6248fe05p-8, -0x1.568d8b0ef6a66p-8, -0x1.4bc06113c6a9ap-8, -0x1.4145db8f2cd67p-8, -0x1.371bc2bf78cfbp-8, -0x1.2d3ff95ce9de6p-8, -0x1.23b07dfe5db57p-8, -0x1.1a6b684669f72p-8, -0x1.116ee28fba0ep-8, -0x1.08b92146addccp-8, -0x1.004859c04e391p-8, -0x1.f035761d69b95p-9, -0x1.e05cd6fd46054p-9, -0x1.d103183d04186p-9, -0x1.c22482a4b0d85p-9, -0x1.b3bd7a3c022dfp-9, -0x1.a5ca8e7265123p-9, -0x1.98488046f4152p-9, -0x1.8b34415abb695p-9, -0x1.7e8aeaba9ce28p-9, -0x1.7249b4c60adc9p-9, -0x1.666debc44a622p-9, -0x1.5af4e2e862f52p-9, -0x1.4fdbe64e4031ap-9, -0x1.4520306390a06p-9, -0x1.3abeec0a65905p-9, -0x1.30b5403076fbdp-9, -0x1.270066b107f62p-9, -0x1.1d9dbdee37464p-9, -0x1.148acf840a432p-9, -0x1.0bc549903b89fp-9, -0x1.034af22a0e3cap-9, -0x1.f6333eddbf2efp-10, -0x1.e65e6ebad378ap-10, -0x1.d713669fd2ac1p-10, -0x1.c84e38f261527p-10, -0x1.ba0b04bcf5226p-10, -0x1.ac45d75bcab05p-10, -0x1.9efaa39e9fe61p-10, -0x1.92255556485adp-10, -0x1.85c1fa2c62d87p-10, -0x1.79cce580065cap-10, -0x1.6e42b65c12e7ep-10, -0x1.632039c5c01e6p-10, -0x1.58623d60152eep-10, -0x1.4e0573f0587d1p-10, -0x1.440681329f327p-10, -0x1.3a622368ad1dfp-10, -0x1.311558d76e1dfp-10, -0x1.281d6300a2123p-10, -0x1.1f77a6947012ep-10, -0x1.172184b1d8002p-10, -0x1.0f184dc6a23c7p-10, -0x1.075956baf45acp-10, -0x1.ffc43be3dc772p-11, -0x1.f160c756553d4p-11, -0x1.e38441a80a222p-11, -0x1.d62ab3fd1e3f5p-11, -0x1.c94fca277c817p-11, -0x1.bcee91e49bf9ap-11, -0x1.b101a5d9aec9bp-11, -0x1.a583b1ea8b3a5p-11, -0x1.9a6ffc0f4e733p-11, -0x1.8fc29b1b4166ap-11, -0x1.857843b080c38p-11, -0x1.7b8de07f89766p-11, -0x1.72004a7113d5cp-11, -0x1.68cc4a466c4cfp-11, -0x1.5feecd9fe8258p-11, -0x1.57651c4056f2cp-11, -0x1.4f2ce0132a0dcp-11, -0x1.4743ec00527c4p-11, -0x1.3fa7d106bed12p-11, -0x1.385581323cc71p-11, -0x1.31493e1ea6733p-11, -0x1.2a7ee756db02p-11, -0x1.23f2827ce569ap-11, -0x1.1da0b3614f9c9p-11, -0x1.1786ea75282adp-11, -0x1.11a3415f670aap-11, -0x1.0bf4246539f99p-11, -0x1.0677fd28910bp-11, -0x1.012d1083b3628p-11, -0x1.f82334345c1e1p-12, -0x1.ee4823a6dc25fp-12, -0x1.e4c695ac387c8p-12, -0x1.db9c77d3c131ap-12, -0x1.d2c71208cc568p-12, -0x1.ca427ce1e3cc7p-12, -0x1.c209d8e90e641p-12, -0x1.ba17e488a21c6p-12, -0x1.b2678ae8f46a8p-12, -0x1.aaf4556859a26p-12, -0x1.a3baa0380df55p-12, -0x1.9cb7978f49d9bp-12, -0x1.95e91d2a0ce39p-12, -0x1.8f4da893c52f4p-12, -0x1.88e3e4fff0bdcp-12, -0x1.82aa2d8320513p-12, -0x1.7c9e868755dd7p-12, -0x1.76bf451ce8ca4p-12, -0x1.710b8527a8d95p-12, -0x1.6b827eecb4e3cp-12, -0x1.66226eccf0698p-12, -0x1.60e86ff32adaep-12, -0x1.5bd1432621b2cp-12, -0x1.56da043373d81p-12, -0x1.520052e6f8627p-12, -0x1.4d42387118984p-12, -0x1.489e22be369bfp-12, -0x1.4412c7d1d8299p-12, -0x1.3f9eb76e75085p-12, -0x1.3b404c28401c8p-12, -0x1.36f66b71fcaccp-12, -0x1.32c0ce5b671bcp-12, -0x1.2e9f21f6b96ddp-12, -0x1.2a9079a6c3f24p-12, -0x1.2693fb7f003c1p-12, -0x1.22a94e7a6f11fp-12, -0x1.1ecfd69ede87fp-12, -0x1.1b06303976268p-12, -0x1.174aae6ca5df6p-12, -0x1.139be48b7a8dcp-12, -0x1.0ff8b08be2db5p-12, -0x1.0c6019569721ap-12, -0x1.08d152dcfec57p-12, -0x1.054be00f4d8f4p-12, -0x1.01cf95b6dea97p-12, -0x1.fcb889aba45e5p-13, -0x1.f5e2266f503fp-13, -0x1.ef1910467d071p-13, -0x1.e85beda7920d2p-13, -0x1.e1ac1f9904b2ap-13, -0x1.db0a855e4bd71p-13, -0x1.d475994fec6a8p-13, -0x1.cdebc7c9768bep-13, -0x1.c76ca9c5487c9p-13, -0x1.c0f78aa1bee6p-13, -0x1.ba8b43e214cc9p-13, -0x1.b4270e2f7167dp-13, -0x1.adca91d8d45p-13, -0x1.a7755b2c4f718p-13, -0x1.a126862efa76fp-13, -0x1.9adcff9cad067p-13, -0x1.949836ec3f3a9p-13, -0x1.8e58791e85519p-13, -0x1.881e5fcc7e109p-13, -0x1.81ea05962c6d3p-13, -0x1.7bbaa7069594cp-13, -0x1.758f03cc08f13p-13, -0x1.6f671c5e14127p-13, -0x1.69443699f4eb4p-13, -0x1.6325e058e1a87p-13, -0x1.5d0a6dba991d7p-13, -0x1.56f207428ff24p-13, -0x1.50dd88fcbcd2ep-13, -0x1.4accc6fd260f7p-13, -0x1.44bf6ac7153b2p-13, -0x1.3eb599b4d539bp-13, -0x1.38afb7129632ep-13, -0x1.32adea6c5cc74p-13, -0x1.2cafbba0e2faap-13, -0x1.26b452f685ccdp-13, -0x1.20bb92052a189p-13, -0x1.1ac663893e164p-13, -0x1.14d55aed33878p-13, -0x1.0ee82a5abe9ap-13, -0x1.08ff073a639b9p-13, -0x1.031ad1bdfa187p-13, -0x1.fa76f28065ac8p-14, -0x1.eec01ab58a7fep-14, -0x1.e311530209432p-14, -0x1.d76b09eef12b1p-14, -0x1.cbcd19da8635bp-14, -0x1.c0394fc8e0488p-14, -0x1.b4b08a1a806bep-14, -0x1.a9323a8fed77dp-14, -0x1.9dbea5e20cd0dp-14, -0x1.9256a8ba53576p-14, -0x1.86fb121107e8fp-14, -0x1.7babddaff50bp-14, -0x1.70681fd496f98p-14, -0x1.65301c2adc486p-14, -0x1.5a0537073a1cfp-14, -0x1.4ee7c4f6f96b2p-14, -0x1.43d7b3ac0d526p-14, -0x1.38d64f082a317p-14, -0x1.2de3f4b895154p-14, -0x1.23004be60363ep-14, -0x1.182ba6a48f6dbp-14, -0x1.0d67129e2d96ep-14, -0x1.02b2cbf263455p-14, -0x1.f01cefa07ba72p-15, -0x1.daf4f219de207p-15, -0x1.c5ee6cc32a9eap-15, -0x1.b10bd7957ae3fp-15, -0x1.9c4d9152fc73p-15, -0x1.87b3929bb6072p-15, -0x1.733edd979edd3p-15, -0x1.5ef0b5b1a3925p-15, -0x1.4ac98f4e2d3ap-15, -0x1.36c8c002b2571p-15, -0x1.22ef5a62b756ep-15, -0x1.0f3e5cb61fc9cp-15, -0x1.f76be6cffbcc8p-16, -0x1.d0afec7b4b5dep-16, -0x1.aa49b3df04548p-16, -0x1.84389b2d215b9p-16, -0x1.5e7db5d815927p-16, -0x1.391a693d112fdp-16, -0x1.14101685de9ccp-16, -0x1.debf64fd1f9bcp-17, -0x1.9615251fc0de5p-17, -0x1.4e25daac519ccp-17, -0x1.06f18e075a3f3p-17, -0x1.80ed35f84bcb2p-18, -0x1.eadde8fc21c1p-19, -0x1.adcd7a4617fb3p-20, 0x1.d04022a716c9fp-22, 0x1.47ed226ad366dp-19, 0x1.295e214e48f8fp-18, 0x1.ad38808e49e7ap-18, 0x1.17c3c81ad32c1p-17, 0x1.582436bb8edefp-17, 0x1.97bbd5240eab4p-17, 0x1.d686c2d6fdecdp-17, 0x1.0a42cc3c525bdp-16, 0x1.28dc1d324963dp-16, 0x1.470eabdafe66bp-16, 0x1.64d9e03564f46p-16, 0x1.823d463330316p-16, 0x1.9f387fc256cebp-16, 0x1.bbcb3946759dep-16, 0x1.d7f5207adef7ap-16, 0x1.f3b5e56dc3012p-16, 0x1.0786a6148e857p-15, 0x1.14fd92bbfb099p-15, 0x1.223f7587952a1p-15, 0x1.2f4c3a1e4f406p-15, 0x1.3c2441c1b998bp-15, 0x1.48c73b70bb989p-15, 0x1.5534c71ff977p-15, 0x1.616cecc80f246p-15, 0x1.6d700ace09299p-15, 0x1.793e4807e7eep-15, 0x1.84d74b8d3b463p-15, 0x1.903b0397a8908p-15, 0x1.9b69b7cee0326p-15, 0x1.a6637843122fep-15, 0x1.b1284aebbf9bp-15, 0x1.bbb84243b735p-15, 0x1.c6137731deb65p-15, 0x1.d03a0644a325p-15, 0x1.da2c0e9633f7cp-15, 0x1.e3e9b30c8ac4ap-15, 0x1.ed7319b94a691p-15, 0x1.f6c86e0fd1581p-15, 0x1.ffe9d4510c11p-15, 0x1.046bc14ba0ccp-14, 0x1.08c8d2d36c2b3p-14, 0x1.0d0c388fea58ep-14, 0x1.11360f0abcdadp-14, 0x1.1546753d87ad1p-14, 0x1.193d7fa717067p-14, 0x1.1d1b453b68b2ep-14, 0x1.20dff91720364p-14, 0x1.248bbc1665bd4p-14, 0x1.281ea1596bff3p-14, 0x1.2b98d7aee7d3ep-14, 0x1.2efa82248d35p-14, 0x1.3243c4ff8432dp-14, 0x1.3574c552ab701p-14, 0x1.388daa6243914p-14, 0x1.3b8e9c763bc3fp-14, 0x1.3e77c4b860628p-14, 0x1.41494d2dcb788p-14, 0x1.440360b18f738p-14, 0x1.46a62aeb1385bp-14, 0x1.4931d84852f9p-14, 0x1.4ba6965fab655p-14, 0x1.4e04918dc4c16p-14, 0x1.504bf9db1879ep-14, 0x1.527cfe40e858ep-14, 0x1.5497cedd647fp-14, 0x1.569c9c3580eb1p-14, 0x1.588b9789bf627p-14, 0x1.5a64f2c89d017p-14, 0x1.5c28dca958fcp-14, 0x1.5dd78cc8b789dp-14, 0x1.5f7134915ceb9p-14, 0x1.60f6070f0be44p-14, 0x1.626640fc29bd8p-14, 0x1.63c20024f0a83p-14, 0x1.65098f2cbf04ap-14, 0x1.663d1d70ee4b2p-14, 0x1.675ce00277411p-14, 0x1.68690cb76ad6ep-14, 0x1.6961d9fa7527cp-14, 0x1.6a477e5d02d65p-14, 0x1.6b1a30e7204b1p-14, 0x1.6bda28a41c5bap-14, 0x1.6c879cea9904dp-14, 0x1.6d22c56081fcap-14, 0x1.6dabd9ab2eb6cp-14, 0x1.6e2311b55033fp-14, 0x1.6e88a5890f50ap-14, 0x1.6edccd55f5425p-14, 0x1.6f1fc16506cc6p-14, 0x1.6f51ba058c286p-14, 0x1.6f72efb7837d2p-14, 0x1.6f839aefa3f4ap-14, 0x1.6f83f3ddaa78p-14, 0x1.6f74338ad24d1p-14, 0x1.6f5491b6881f3p-14, 0x1.6f2547e033dd3p-14, 0x1.6ee68e22887e4p-14, 0x1.6e989c6dc42afp-14, 0x1.6e3bca8f864a1p-14, 0x1.6dcff3b362331p-14, 0x1.6d55afd5752acp-14, 0x1.6ccd13e494d9cp-14, 0x1.6c36591da091dp-14, 0x1.6b91b808744e1p-14, 0x1.6adf6845f69efp-14, 0x1.6a1fa157cc72p-14, 0x1.69529ab5ef2afp-14, 0x1.68788ba2b314cp-14, 0x1.6791ab2e6a2f8p-14, 0x1.669e303ac738fp-14, 0x1.659e51777f24ap-14, 0x1.64924551a4866p-14, 0x1.637a4213c895dp-14, 0x1.62567db1dfb2ep-14, 0x1.61272dd0d86e5p-14, 0x1.5fec884209558p-14, 0x1.5ea6c2ced18c9p-14, 0x1.5d561024f31fap-14, 0x1.5bfaa6b31f81bp-14, 0x1.5a94b991aad4dp-14, 0x1.592480bad2619p-14, 0x1.57aa2b18790f8p-14, 0x1.5625ee4ffdaa4p-14, 0x1.5497fd5fb9978p-14, 0x1.53008b0088d6fp-14, 0x1.515fc9a837dd8p-14, 0x1.4fb5eb7f6fec2p-14, 0x1.4e032249fa158p-14, 0x1.4c479f563edd8p-14, 0x1.4a839554f2657p-14, 0x1.48b730dd304dp-14, 0x1.46e2a6ed02091p-14, 0x1.4506251923425p-14, 0x1.4321db2711215p-14, 0x1.4135f8e5099e5p-14, 0x1.3f42acf098e35p-14, 0x1.3d4825b2563p-14, 0x1.3b46914021ebdp-14, 0x1.393e1d4a744dap-14, 0x1.372ef70ff81f7p-14, 0x1.35194b5e54af3p-14, 0x1.32fd46dee68cp-14, 0x1.30db15ef258f5p-14, 0x1.2eb2e2d61ab85p-14, 0x1.2c84da17355dbp-14, 0x1.2a512672c4de7p-14, 0x1.2817df4dc09a1p-14, 0x1.25d966c450401p-14, 0x1.2395adff2f205p-14, 0x1.214cf15ded882p-14, 0x1.1eff5960159f6p-14, 0x1.1cad0e4f5ce64p-14, 0x1.1a563808df3dep-14, 0x1.17fafdfccf48ep-14, 0x1.159b872f3e60bp-14, 0x1.1337fa32d3863p-14, 0x1.10d07cfdd08bfp-14, 0x1.0e6535d026dd4p-14, 0x1.0bf649731644fp-14, 0x1.0983dcee27d15p-14, 0x1.070e14aec25e3p-14, 0x1.049514f6fdd1p-14, 0x1.02190091192d1p-14, 0x1.ff33f6e24c514p-15, 0x1.fa305072d7326p-15, 0x1.f52750d83434bp-15, 0x1.f0193df771b19p-15, 0x1.eb065919d20bep-15, 0x1.e5eee4fe46f39p-15, 0x1.e0d32191b11c2p-15, 0x1.dbb3568f70441p-15, 0x1.d68fb104e815fp-15, 0x1.d168831fb5767p-15, 0x1.cc3e01f4242b1p-15, 0x1.c7106b6454fb2p-15, 0x1.c1dffb9fad87p-15, 0x1.bcacedeb59c9dp-15, 0x1.b7777cb50a69cp-15, 0x1.b23fe19600be7p-15, 0x1.ad0655546855p-15, 0x1.a7cb0fe44b367p-15, }}, 
      {{0x1.b6901967e3f4ap-2, 0x1.1c130b2a636eap-1, 0x1.5bc2ead9dcb98p-1, 0x1.8b0ae4cda8192p-1, 0x1.a493823804ebdp-1, 0x1.a878788a7f6e7p-1, 0x1.998f0556842a3p-1, 0x1.7bc71fb2c2bedp-1, 0x1.533fa4abbe85cp-1, 0x1.23c90c74cd8c8p-1, 0x1.e155cb92319d5p-2, 0x1.7920da47fdd64p-2, 0x1.131608eb633f8p-2, 0x1.64800390beefp-3, 0x1.62dc152e9cae3p-4, 0x1.f257a63e3a459p-8, -0x1.feebbc3ca7b72p-5, -0x1.f844841c6f07dp-4, -0x1.660a2df149333p-3, -0x1.be64204be6eb1p-3, -0x1.033ff3e8071dfp-2, -0x1.1ff40270353f6p-2, -0x1.3622b514b089p-2, -0x1.46a4e09df4a6dp-2, -0x1.524f920949f11p-2, -0x1.59ee348b4c3cbp-2, -0x1.5e3e93237467ep-2, -0x1.5fee561ae5394p-2, -0x1.5f99aae39fb9cp-2, -0x1.5dcace97b58e5p-2, -0x1.5afa4347d3c3ep-2, -0x1.578f7d46ca00cp-2, -0x1.53e1e3174a2ecp-2, -0x1.503a01dc41bdp-2, -0x1.4cd2ddcc9228p-2, -0x1.49db4dc37f33ap-2, -0x1.47775659df9fap-2, -0x1.45c179c38ab27p-2, -0x1.44cbf7ac50af4p-2, -0x1.44a1f885e23bap-2, -0x1.4548a25ae09e1p-2, -0x1.46c0154e354afp-2, -0x1.49044e98a5ce5p-2, -0x1.4c0df30e0524cp-2, -0x1.4fd30233b47efp-2, -0x1.544773666a16ep-2, -0x1.595dbdcc0b4bcp-2, -0x1.5f074d1a7f3bcp-2, -0x1.6534e4e89e95bp-2, -0x1.6bd6f486f4f6dp-2, -0x1.72dddcda0facep-2, -0x1.7a3a2a385075ep-2, -0x1.81dcc31948bc5p-2, -0x1.89b70d331bba2p-2, -0x1.91bb0a54b7b7ep-2, -0x1.99db6e06a05p-2, -0x1.a20bad1763061p-2, -0x1.aa4007e27e66bp-2, -0x1.b26d90717236dp-2, -0x1.ba8a2cc8b3862p-2, -0x1.c28c966daaa32p-2, -0x1.ca6c573f8d342p-2, -0x1.d221c4b8129b7p-2, -0x1.d9a5f90d65bfbp-2, -0x1.e0f2cbdd59bc2p-2, -0x1.e802c981bad4dp-2, -0x1.eed129f6c64fcp-2, -0x1.f559c7608abe1p-2, -0x1.fb99145907b67p-2, -0x1.00c6091a5f069p-1, -0x1.039823aeccf33p-1, -0x1.0641dae72d685p-1, -0x1.08c268e9a340fp-1, -0x1.0b193c89e3c45p-1, -0x1.0d45f4f9bf054p-1, -0x1.0f485da9a194cp-1, -0x1.11206a5a96f56p-1, -0x1.12ce336774a45p-1, -0x1.1451f23de6eefp-1, -0x1.15abfe0d4b5cap-1, -0x1.16dcc8bccff47p-1, -0x1.17e4dbf171a5p-1, -0x1.18c4d66762878p-1, -0x1.197d696d6a5f9p-1, -0x1.1a0f5692b0bbbp-1, -0x1.1a7b6d822618ap-1, -0x1.1ac28a067278fp-1, -0x1.1ae5923b6630fp-1, -0x1.1ae574dfd0c0ep-1, -0x1.1ac327d0c6e4bp-1, -0x1.1a7fa6a2160ffp-1, -0x1.1a1bf15b68d1ep-1, -0x1.19990b4bc7102p-1, -0x1.18f7fa01981abp-1, -0x1.1839c452f0845p-1, -0x1.175f718330256p-1, -0x1.166a087d364dp-1, -0x1.155a8f1f10846p-1, -0x1.1432099eaa049p-1, -0x1.12f179f6bbfefp-1, -0x1.1199df6b6db3dp-1, -0x1.102c36199bfbcp-1, -0x1.0ea97696f40b8p-1, -0x1.0d12959475b9p-1, -0x1.0b68839d25a1p-1, -0x1.09ac2ccf0b253p-1, -0x1.07de78a8dcc94p-1, -0x1.060049d75cf4cp-1, -0x1.04127e1302b1fp-1, -0x1.0215edffb3821p-1, -0x1.000b6d124c2cbp-1, -0x1.fbe79303f906ep-2, -0x1.f79f9871189f5p-2, -0x1.f340719318e36p-2, -0x1.eecb9ae3c5198p-2, -0x1.ea428629850fcp-2, -0x1.e5a69a7f831a8p-2, -0x1.e0f93467ed715p-2, -0x1.dc3ba5db0512ap-2, -0x1.d76f365e8619ep-2, -0x1.d2952327f5543p-2, -0x1.cdae9f3887ff9p-2, -0x1.c8bcd380a0d63p-2, -0x1.c3c0df0b455aep-2, -0x1.bebbd7249979p-2, -0x1.b9aec783748c7p-2, -0x1.b49ab27b1b166p-2, -0x1.af80912908da3p-2, -0x1.aa6153a1797b8p-2, -0x1.a53de124309cp-2, -0x1.a017184f28892p-2, -0x1.9aedcf4d068d7p-2, -0x1.95c2d40927b33p-2, -0x1.9096ec64a523cp-2, -0x1.8b6ad66841515p-2, -0x1.863f4873a1508p-2, -0x1.8114f173bb9d8p-2, -0x1.7bec791576134p-2, -0x1.76c67ff49cdbap-2, -0x1.71a39fccbeebep-2, -0x1.6c846bacd8b37p-2, -0x1.67697026ec04fp-2, -0x1.6253337c530b9p-2, -0x1.5d4235ccff5ccp-2, -0x1.5836f14826f41p-2, -0x1.5331da581a419p-2, -0x1.4e335fcbc3a52p-2, -0x1.493beb02bf74fp-2, -0x1.444be01a4086bp-2, -0x1.3f639e15f0e5ap-2, -0x1.3a837f05cb998p-2, -0x1.35abd82e2b934p-2, -0x1.30dcfa31061b8p-2, -0x1.2c173133dd3a6p-2, -0x1.275ac5025339bp-2, -0x1.22a7f931beff9p-2, -0x1.1dff0d4572f8bp-2, -0x1.19603cd3ff943p-2, -0x1.14cbbfa530eedp-2, -0x1.1041c9d1e93e3p-2, -0x1.0bc28be4894a4p-2, -0x1.074e32f9a9d38p-2, -0x1.02e4e8de017e9p-2, -0x1.fd0da853a904dp-3, -0x1.f46830b97898ap-3, -0x1.ebd9abf589bd4p-3, -0x1.e362555109e1ap-3, -0x1.db02628952c7fp-3, -0x1.d2ba03ffce848p-3, -0x1.ca8964eb25568p-3, -0x1.c270ab89cb597p-3, -0x1.ba6ff9529d3b2p-3, -0x1.b2876b2163927p-3, -0x1.aab7196094c3fp-3, -0x1.a2ff182eae5bdp-3, -0x1.9b5f77976ef2dp-3, -0x1.93d843ae4f91dp-3, -0x1.8c6984bdebaa1p-3, -0x1.85133f6af0f36p-3, -0x1.7dd574d64ea79p-3, -0x1.76b022c537ae2p-3, -0x1.6fa343c3b8c24p-3, -0x1.68aecf47ad978p-3, -0x1.61d2b9d03d979p-3, -0x1.5b0ef5007a376p-3, -0x1.54636fcef127ep-3, -0x1.4dd0168845524p-3, -0x1.4754d3091defap-3, -0x1.40f18ccb6e396p-3, -0x1.3aa629042e087p-3, -0x1.34728abd8dbb6p-3, -0x1.2e5692f19f1a3p-3, -0x1.285220a45fe55p-3, -0x1.226510fc4b0a6p-3, -0x1.1c8f3f595b62ap-3, -0x1.16d0856b36f03p-3, -0x1.1128bb47425b6p-3, -0x1.0b97b77eca6dap-3, -0x1.061d4f3496417p-3, -0x1.00b956313078ep-3, -0x1.f6d73dec3a46p-4, -0x1.ec67f5a09a785p-4, -0x1.e22473d4cc677p-4, -0x1.d80c56bdf1761p-4, -0x1.ce1f3a9486f18p-4, -0x1.c45cb9b620506p-4, -0x1.bac46cc56d282p-4, -0x1.b155eac8a6fedp-4, -0x1.a810c9477969bp-4, -0x1.9ef49c68b01e2p-4, -0x1.9600f70f67662p-4, -0x1.8d356af68e47bp-4, -0x1.849188cb685a1p-4, -0x1.7c14e0479bd99p-4, -0x1.73bf004809a64p-4, -0x1.6b8f76e59edbfp-4, -0x1.6385d18c4fa5ep-4, -0x1.5ba19d1202102p-4, -0x1.53e265cc1a967p-4, -0x1.4c47b7a72f55dp-4, -0x1.44d11e2df06ap-4, -0x1.3d7e24b37e4c7p-4, -0x1.364e564f71003p-4, -0x1.2f413dfafd176p-4, -0x1.285666a09a7f7p-4, -0x1.218d5b2c4bea5p-4, -0x1.1ae5a69b89afbp-4, -0x1.145ed40c5acd9p-4, -0x1.0df86ecbd6172p-4, -0x1.07b2026435ca1p-4, -0x1.018b1aaa79abbp-4, -0x1.f7068796e410ap-5, -0x1.eb3414b0c5199p-5, -0x1.df9df6a5ad30fp-5, -0x1.d443486fc4f97p-5, -0x1.c9232615dfd8dp-5, -0x1.be3cacc01c165p-5, -0x1.b38efacbc175bp-5, -0x1.a9192fddf9ad9p-5, -0x1.9eda6cf632509p-5, -0x1.94d1d47f691b2p-5, -0x1.8afe8a6051c3bp-5, -0x1.815fb40ab5b39p-5, -0x1.77f47889dfecep-5, -0x1.6ebc00902c545p-5, -0x1.65b576842556ap-5, -0x1.5ce0068d94e2bp-5, -0x1.543ade9ecb5bbp-5, -0x1.4bc52e84b04c8p-5, -0x1.437e27ec08c82p-5, -0x1.3b64fe6d21dc9p-5, -0x1.3378e793fe658p-5, -0x1.2bb91ae8c0aedp-5, -0x1.2424d1f72f0a5p-5, -0x1.1cbb48573613bp-5, -0x1.157bbbb2b35b9p-5, -0x1.0e656bcbc6d4cp-5, -0x1.07779a81ad8a5p-5, -0x1.00b18bd5a5d5fp-5, -0x1.f4250bddb1713p-6, -0x1.e733a23ed79cfp-6, -0x1.da8d6fd0fa9acp-6, -0x1.ce310dfb6f087p-6, -0x1.c21d1a8f7b03dp-6, -0x1.b65037cb1e4c8p-6, -0x1.aac90c5b209fdp-6, -0x1.9f86435c3cc99p-6, -0x1.94868c60df595p-6, -0x1.89c89b72e4c58p-6, -0x1.7f4b29184ed62p-6, -0x1.750cf25a1b6bp-6, -0x1.6b0cb8a1852bap-6, -0x1.614941f17800cp-6, -0x1.57c158a1ee012p-6, -0x1.4e73cb800d53bp-6, -0x1.455f6dc6936aap-6, -0x1.3c831720fa08p-6, -0x1.33dda3a9b3794p-6, -0x1.2b6df3e699347p-6, -0x1.2332ecc3629e3p-6, -0x1.1b2b777cbcca8p-6, -0x1.13568199129abp-6, -0x1.0bb2fce186d19p-6, -0x1.043fdf61bf4c7p-6, -0x1.f9f846dc14eadp-7, -0x1.ebcd8f45ea026p-7, -0x1.ddfd9dcac0e82p-7, -0x1.d0868099357c7p-7, -0x1.c3664e1d3c7a3p-7, -0x1.b69b24cc9ef4ap-7, -0x1.aa232b0790998p-7, -0x1.9dfc8f1597574p-7, -0x1.922587367fb4cp-7, -0x1.869c51c84fedbp-7, -0x1.7b5f354ab8f64p-7, -0x1.706c805b53d68p-7, -0x1.65c28960ea04ep-7, -0x1.5b5fae4e0a348p-7, -0x1.514254436fc6fp-7, -0x1.4768e762fd3ddp-7, -0x1.3dd1dad39df9fp-7, -0x1.347ba8f480dafp-7, -0x1.2b64d3a2d9dd3p-7, -0x1.228be46a94347p-7, -0x1.19ef6c7ed1ef1p-7, -0x1.118e046cea042p-7, -0x1.09664b9ac6913p-7, -0x1.0176e7bae8b9ap-7, -0x1.f37d08d2b914cp-8, -0x1.e477a62f28fddp-8, -0x1.d5db169c51724p-8, -0x1.c7a4d64ebc972p-8, -0x1.b9d26f9541ba5p-8, -0x1.ac617b5613b95p-8, -0x1.9f4fa0c64825p-8, -0x1.929a943e17442p-8, -0x1.864015b129bdep-8, -0x1.7a3def0454695p-8, -0x1.6e91f32a1bf95p-8, -0x1.6339fe227c691p-8, -0x1.5833f5f964163p-8, -0x1.4d7dcc588317ep-8, -0x1.4315800ce877dp-8, -0x1.38f91deb29a9p-8, -0x1.2f26c031d29a7p-8, -0x1.259c8d9fe6483p-8, -0x1.1c58b6aa660a7p-8, -0x1.13597387b01d6p-8, -0x1.0a9d02a9b006dp-8, -0x1.0221a889faefap-8, -0x1.f3cb61ade764fp-9, -0x1.e3cee11fa445ap-9, -0x1.d44a90989ef5dp-9, -0x1.c53b4bb3bf61ep-9, -0x1.b69e0911017cep-9, -0x1.a86fd7d40ae27p-9, -0x1.9aadda97c3047p-9, -0x1.8d55415bd5d8cp-9, -0x1.80634455b5f35p-9, -0x1.73d5219fa2d14p-9, -0x1.67a81e36a1a04p-9, -0x1.5bd98a44d6fbep-9, -0x1.5066c6eac7c3cp-9, -0x1.454d4bc8f3ebbp-9, -0x1.3a8aaa5ad28edp-9, -0x1.301c8e196ec45p-9, -0x1.2600b92339dfcp-9, -0x1.1c34fe2795273p-9, -0x1.12b739341ce7ap-9, -0x1.09854981552a7p-9, -0x1.009d0ea2c0475p-9, -0x1.eff8d25dcbcbcp-10, -0x1.df42804521289p-10, -0x1.cf130f0facbd3p-10, -0x1.bf668dfdffb8p-10, -0x1.b0393bbbdcc41p-10, -0x1.a187880be16aep-10, -0x1.934e0ef48d62ap-10, -0x1.85898ea70b54ep-10, -0x1.7836da0309619p-10, -0x1.6b52ca837cb85p-10, -0x1.5eda355019f92p-10, -0x1.52c9e77fc5c63p-10, -0x1.471eab82e04cp-10, -0x1.3bd5562c76d83p-10, -0x1.30ead636144b9p-10, -0x1.265c3e2e9de86p-10, -0x1.1c26d41151d1p-10, -0x1.1247f4100af8dp-10, -0x1.08bd2e64f07c1p-10, -0x1.ff0848172e448p-11, -0x1.ed3514e79e25fp-11, -0x1.dbfc3e50d28c7p-11, -0x1.cb593ab89a746p-11, -0x1.bb47710c3ff1ep-11, -0x1.abc230c82ad9fp-11, -0x1.9cc4d29a32dadp-11, -0x1.8e4acea3c3bc4p-11, -0x1.804fdb2d38e47p-11, -0x1.72cff50d6a1b6p-11, -0x1.65c754ef823cdp-11, -0x1.59325bafe565ep-11, -0x1.4d0d85b3c36aep-11, -0x1.4155675d07bccp-11, -0x1.3606c41d7b4c8p-11, -0x1.2b1e593a30e19p-11, -0x1.2099166b887abp-11, -0x1.1673cde5e4719p-11, -0x1.0cab48ba38d0ep-11, -0x1.033c4f0257123p-11, -0x1.f4478bd33becep-12, -0x1.e2bd92d75bf67p-12, -0x1.d1d5609ac8bd2p-12, -0x1.c189ec668285dp-12, -0x1.b1d634cc0a3d4p-12, -0x1.a2b517264b0e4p-12, -0x1.9421600fade54p-12, -0x1.861606e8a1d29p-12, -0x1.788e63b714c8ep-12, -0x1.6b8633e83923cp-12, -0x1.5ef96c7a0f1a9p-12, -0x1.52e402840b272p-12, -0x1.4741d84bc54e1p-12, -0x1.3c0edb1f76bd6p-12, -0x1.3147377fe1692p-12, -0x1.26e77b235ce31p-12, -0x1.1cec876f4e6b7p-12, -0x1.135351a8b39bbp-12, -0x1.0a18910946256p-12, -0x1.013891c91811ep-12, -0x1.f15ea7b9ef6c7p-13, -0x1.e0f1cfbaaae0cp-13, -0x1.d1239c95c377cp-13, -0x1.c1ee39b1560c8p-13, -0x1.b34cb38cdc328p-13, -0x1.a53a65e790f8bp-13, -0x1.97b2978ed636dp-13, -0x1.8ab07cf0d5047p-13, -0x1.7e2f81fe6632p-13, -0x1.722b910bf9ce2p-13, -0x1.66a1213a5838fp-13, -0x1.5b8ce135aa525p-13, -0x1.50eb28852787ep-13, -0x1.46b778808605cp-13, -0x1.3cec67b81e4fap-13, -0x1.33840f5f42cb1p-13, -0x1.2a78c554e4ab8p-13, -0x1.21c5bdb81a41p-13, -0x1.196746a3a9268p-13, -0x1.115a94d151885p-13, -0x1.099d4ce61ba8bp-13, -0x1.022d10556895bp-13, -0x1.f60ea1b54dcafp-14, -0x1.e852ea9722ee9p-14, -0x1.db22716e03fe4p-14, -0x1.ce79a07227affp-14, -0x1.c2554218715c5p-14, -0x1.b6b14365fafb5p-14, -0x1.ab87fea743318p-14, -0x1.a0d28a1389411p-14, -0x1.968984131e2a6p-14, -0x1.8ca5d2de1ca6bp-14, -0x1.83213d98c9256p-14, -0x1.79f69dc90d596p-14, -0x1.7121ee84c99fp-14, -0x1.68a0191fb4ba1p-14, -0x1.606ec28e1df24p-14, -0x1.588bd777be55cp-14, -0x1.50f4ddce27bf2p-14, -0x1.49a6ed200bfb6p-14, -0x1.429f86e06fe51p-14, -0x1.3bdd2fc9a2b5p-14, -0x1.355e92440a41dp-14, -0x1.2f2111ec71b8cp-14, -0x1.29209b3e8802fp-14, -0x1.2358a96b3b131p-14, -0x1.1dc531a7b6539p-14, -0x1.1862d92696e61p-14, -0x1.132ed2be1d794p-14, -0x1.0e26d7cc663aap-14, -0x1.0949011dd61bdp-14, -0x1.0493368dcd597p-14, -0x1.00031a4147e81p-14, -0x1.f72dff4c400d5p-15, -0x1.ee9c95c08c2fp-15, -0x1.e650a5ff561d1p-15, -0x1.de475535a8a46p-15, -0x1.d67df58596bb4p-15, -0x1.cef32427948ccp-15, -0x1.c7a4d7ed3936ep-15, -0x1.c08f109584139p-15, -0x1.b9ad165394941p-15, -0x1.b2fad5c84789bp-15, -0x1.ac74fa3a4c765p-15, -0x1.a61898d5d2647p-15, -0x1.9fe33ba111f42p-15, -0x1.99d33bcd1040dp-15, -0x1.93e7c0c89bdd6p-15, -0x1.8e1fe62398085p-15, -0x1.88791e58cecc5p-15, -0x1.82ef5053f60bap-15, -0x1.7d8061d24f722p-15, -0x1.782da184020dfp-15, -0x1.72f7bc077574dp-15, -0x1.6ddc61d75f0c5p-15, -0x1.68d934a933679p-15, -0x1.63ed52182a219p-15, -0x1.5f1776ddb4749p-15, -0x1.5a55d5b28549fp-15, -0x1.55a7145306a73p-15, -0x1.510a6450647cep-15, -0x1.4c7ed5d49d4ffp-15, -0x1.4802efdc3933ap-15, -0x1.439501de3e7e3p-15, -0x1.3f33ff3ce2c8ep-15, -0x1.3adfed52f0006p-15, -0x1.36992ed90e07ep-15, -0x1.325f89e3a82p-15, -0x1.2e31b6ee35c8ep-15, -0x1.2a0dd9c907f3cp-15, -0x1.25f39d3b09528p-15, -0x1.21e4375236f93p-15, -0x1.1ddec99b65bbdp-15, -0x1.19e0fb2950bbp-15, -0x1.15eaad091e308p-15, -0x1.11fc9acb68502p-15, -0x1.0e1640081da74p-15, -0x1.0a36e5514a621p-15, -0x1.065e6a20233bep-15, -0x1.028cf975ffc38p-15, -0x1.fd84ee86b2ca3p-16, -0x1.f5fc10b4820d4p-16, -0x1.ee7cc2848eefp-16, -0x1.e70630f67a77fp-16, -0x1.df9a0261b22acp-16, -0x1.d8390c4a332b7p-16, -0x1.d0e20c2b7400dp-16, -0x1.c994fa9c2de56p-16, -0x1.c25365e557861p-16, -0x1.bb1ca3cb60ba8p-16, -0x1.b3edfd129536p-16, -0x1.acc7377e75d39p-16, -0x1.a5a85beff1698p-16, -0x1.9e90c49513e7bp-16, -0x1.9781eca59ce3fp-16, -0x1.907cf112ea17ep-16, -0x1.89802f5d08adap-16, -0x1.828bb506ff5fcp-16, -0x1.7ba015dfde8bcp-16, -0x1.74bdda767e05ap-16, -0x1.6de4927256b91p-16, -0x1.6712c148f1d66p-16, -0x1.6048b10d1f1fbp-16, -0x1.59868a6c755c2p-16, -0x1.52cd6334ad1b5p-16, -0x1.4c1c6bb8fb29fp-16, -0x1.4574c920b5c05p-16, -0x1.3ed68cdf2d6ddp-16, -0x1.3840f7f4fcfaep-16, -0x1.31b414aa863aap-16, -0x1.2b30c42fbf38ap-16, -0x1.24b6fd1d63a21p-16, -0x1.1e4605d10e8b5p-16, -0x1.17de02400f42ap-16, -0x1.117f1cc086ddbp-16, -0x1.0b2a77b1d4621p-16, -0x1.04e0019f84238p-16, -0x1.fd3edfea70da2p-17, -0x1.f0d2256a513b7p-17, -0x1.e47ac1d5664dp-17, -0x1.d838b91d53c41p-17, -0x1.cc0acc0b837cfp-17, -0x1.bff1bca35c7d4p-17, -0x1.b3ee3845871a1p-17, -0x1.a80000d814c4cp-17, -0x1.9c28b497aa8c3p-17, -0x1.90689526da56dp-17, -0x1.84beba176e0cfp-17, -0x1.792b6de29eep-17, -0x1.6daf1033b86cp-17, -0x1.624a19e155faep-17, -0x1.56fcb938f9988p-17, -0x1.4bc759ef338fbp-17, -0x1.40aae8f5ecf03p-17, -0x1.35a71bbdb3279p-17, -0x1.2abb32ef96374p-17, -0x1.1fe798e3fba33p-17, -0x1.152d94ec87c33p-17, -0x1.0a8d1da935c01p-17, -0x1.00060b7f89774p-17, -0x1.eb3200c7ff8d2p-18, -0x1.d68c2581d816cp-18, -0x1.c21997eaeb7a3p-18, -0x1.addac496a3bc2p-18, -0x1.99d043ca2d8b4p-18, -0x1.85fbe10c78274p-18, -0x1.725cf7a4902ebp-18, -0x1.5ef34d42d6e4dp-18, -0x1.4bbf56147f32p-18, -0x1.38c178a565ab9p-18, -0x1.25f9f99a916b2p-18, -0x1.13690a62dcb5bp-18, -0x1.010ed60b851fp-18, -0x1.ddd715f7fb0ddp-19, -0x1.b9feb3b57b107p-19, -0x1.9694c50c18eb4p-19, -0x1.7399772d62636p-19, -0x1.510db99ff9ef9p-19, -0x1.2ef1bc72ff871p-19, -0x1.0d43c4e1d19d6p-19, -0x1.d80a2c8195505p-20, -0x1.966e89128a87bp-20, -0x1.55b431363466p-20, -0x1.15d820db053f1p-20, -0x1.adb2597d9e1b3p-21, -0x1.31743af78d04dp-21, -0x1.6df06b0ffdc3ep-22, -0x1.f1d4a4fd78684p-24, 0x1.c633486f02763p-24, 0x1.5c13905910a2cp-22, 0x1.218fe0e1b413p-21, 0x1.9359699df0335p-21, 0x1.01b39a51e0ed4p-20, 0x1.38dd1600276dbp-20, 0x1.6f29ad8eb56p-20, 0x1.a499ee3484a41p-20, 0x1.d92eb8064e053p-20, 0x1.067405da235c2p-19, 0x1.1fe3a43d2d2b2p-19, 0x1.38e6709023c46p-19, 0x1.517cd2629b482p-19, 0x1.69a73f506f6f9p-19, 0x1.81663ad7554ccp-19, 0x1.98b9f5ffb680cp-19, 0x1.afa2b0619494cp-19, 0x1.c6217aa6816a3p-19, 0x1.dc36d2864f63bp-19, 0x1.f1e2d576a541ap-19, 0x1.0393352854cf4p-18, 0x1.0e010239aad57p-18, 0x1.183b226639d18p-18, 0x1.2241db2382c09p-18, 0x1.2c157b3e69067p-18, 0x1.35b653b9e9f8ep-18, 0x1.3f24b760280edp-18, 0x1.4860fab593521p-18, 0x1.516b73ecda232p-18, 0x1.5a447ad124dd7p-18, 0x1.62ec687c5fafep-18, 0x1.6b63a1093c19bp-18, 0x1.73aa67199db82p-18, 0x1.7bc12f857da87p-18, 0x1.83a85433f85b2p-18, 0x1.8b6035145106bp-18, 0x1.92e933726edbbp-18, 0x1.9a43b288f5376p-18, 0x1.a17016e8ef38bp-18, 0x1.a86ec272e83cep-18, 0x1.af401986f5668p-18, 0x1.b5e48a6ad0bb1p-18, 0x1.bc5c79262a1bcp-18, 0x1.c2a889e0c34d6p-18, 0x1.c8c875fa310a6p-18, 0x1.cebd546c42cacp-18, 0x1.d4875b1e31e9p-18, 0x1.da26f3cb1d712p-18, 0x1.df9c8a3f0b88fp-18, 0x1.e4e88b90a8f83p-18, 0x1.ea0b64c2cc7bap-18, 0x1.ef0584553cf75p-18, 0x1.f3d757f9728d7p-18, 0x1.f8814e2571c0ap-18, 0x1.fd03d6641402p-18, 0x1.00afafb82639p-17, 0x1.02ca2c848e3eep-17, 0x1.04d1996f9498bp-17, 0x1.06c62e5a9ea5cp-17, 0x1.08a82338bbd16p-17, 0x1.0a77b030eadf7p-17, 0x1.0c350ca360e92p-17, 0x1.0de07357d5569p-17, 0x1.0f7a17dfc72c4p-17, 0x1.110235c4da9fp-17, 0x1.127906033c6b9p-17, 0x1.13debcf21f41cp-17, 0x1.153393eb6a9d5p-17, 0x1.1677c12e2918ap-17, 0x1.17ac1b07731eap-17, 0x1.18cf01841523bp-17, 0x1.19e28ed7cb15bp-17, 0x1.1ae64c0d4765dp-17, 0x1.1bda76c537855p-17, 0x1.1cbf458bf2f22p-17, 0x1.1d94ef91e76d4p-17, 0x1.1e5babb82bfdp-17, 0x1.1f13b090c9453p-17, 0x1.1fbd3451d4484p-17, 0x1.20586cf936f0fp-17, 0x1.20e5905c48597p-17, 0x1.2164d41620bb6p-17, 0x1.21d66d56ddf5cp-17, 0x1.223a913982bdp-17, 0x1.2291745bf0db5p-17, 0x1.22db4b0bd90a5p-17, 0x1.23184c0d16696p-17, 0x1.2348aacbdb0f7p-17, 0x1.236c911d98344p-17, 0x1.23844137a54f9p-17, 0x1.238fe30ce5eedp-17, 0x1.238fb43f6b7a2p-17, 0x1.2383db66030a4p-17, 0x1.236c908228209p-17, 0x1.234a04a6089f7p-17, 0x1.231c68e20b268p-17, 0x1.22e3ee1da7b82p-17, 0x1.22a0c501b2a4p-17, 0x1.22531dc30e8cfp-17, 0x1.21fb27d421504p-17, 0x1.219918ee67369p-17, 0x1.212d0fc236d08p-17, 0x1.20b74c43ac32p-17, 0x1.2037f58d9066dp-17, 0x1.1faf3a529c181p-17, 0x1.1f1d48465d216p-17, 0x1.1e824c9d52236p-17, 0x1.1dde7427c71d6p-17, 0x1.1d31eb51fdecap-17, 0x1.1c7cde229a7c7p-17, 0x1.1bbf783592bf4p-17, 0x1.1af9e4b89f02ap-17, 0x1.1a2c4e8955a51p-17, 0x1.1956e036476dap-17, 0x1.1879c32ac2d23p-17, 0x1.1795218b30f19p-17, 0x1.16a9249f0d0dep-17, 0x1.15b5b64674928p-17, 0x1.14bbba8b95886p-17, 0x1.13ba9cb5de51ep-17, 0x1.12b2c48106444p-17, 0x1.11a45864dcedcp-17, 0x1.108f7f0565357p-17, 0x1.0f745ea6e4eaap-17, 0x1.0e531d253ddc9p-17, 0x1.0d2bdff5f61c2p-17, 0x1.0bfecc19792c6p-17, 0x1.0acc0599fda49p-17, 0x1.0993b241df2abp-17, 0x1.0855f450d165bp-17, 0x1.0712efaa4b9eep-17, 0x1.05cac745075adp-17, 0x1.047d9f2e5262p-17, 0x1.032b951265fbbp-17, 0x1.01d4cf199cdc6p-17, 0x1.00796da2cb2fap-17, 0x1.fe331f3555cf6p-18, 0x1.fb6ab0e4b463dp-18, 0x1.f899cbfbfdad9p-18, 0x1.f5c0b1d5336a4p-18, 0x1.f2df9d5c737edp-18, 0x1.eff6eef12855fp-18, 0x1.ed068b501c17ap-18, 0x1.ea0f0b5a0149p-18, 0x1.e71082034c72cp-18, 0x1.e40b2e74edc45p-18, 0x1.e0ff4b06034dcp-18, 0x1.dded10e664667p-18, 0x1.dad4b873df98bp-18, 0x1.d7b67945d5b65p-18, 0x1.d4928a308a1b7p-18, 0x1.d1692145abe11p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.cc5818913364cp-6, -0x1.ca7c6b725fcbbp-5, -0x1.5591678e11094p-4, -0x1.c3350c93fbd6ap-4, -0x1.16aff20b69a6ep-3, -0x1.49aeb19a79b1dp-3, -0x1.7a47ef1bb7e02p-3, -0x1.a838cd3d3bdedp-3, -0x1.d34a7c30a2accp-3, -0x1.fb51f2fdbcd71p-3, -0x1.1017b1f75ae51p-2, -0x1.20e6c013023fep-2, -0x1.30104da51965p-2, -0x1.3d92de8455dc6p-2, -0x1.4970d5a0142fdp-2, -0x1.53affa8774089p-2, -0x1.5c590269fe59bp-2, -0x1.63771eb63970dp-2, -0x1.691792c5881b6p-2, -0x1.6d495177a58cp-2, -0x1.701ca3341ac83p-2, -0x1.71a2d476f32cep-2, -0x1.71edecd21d736p-2, -0x1.71106e21c00b6p-2, -0x1.6f1d1b9385579p-2, -0x1.6c26c80ca3f09p-2, -0x1.68402b6dcd896p-2, -0x1.637bbe2d54406p-2, -0x1.5deb9abd96006p-2, -0x1.57a16436aaa66p-2, -0x1.50ae31bdd1f0ap-2, -0x1.49227e2a6fdfp-2, -0x1.410e1b6eefa22p-2, -0x1.388029535debdp-2, -0x1.2f870f1775315p-2, -0x1.2630779a0e059p-2, -0x1.1c894fac27652p-2, -0x1.129dc63dcd726p-2, -0x1.08794e1b15052p-2, -0x1.fc4d41edb3ad2p-3, -0x1.e75f87103441dp-3, -0x1.d23c150ae9fadp-3, -0x1.bcf440a1010bap-3, -0x1.a7981650d98dap-3, -0x1.923667814b0d8p-3, -0x1.7cdcd839bcb61p-3, -0x1.6797ed30aa4adp-3, -0x1.52731a03ca7b7p-3, -0x1.3d78cf74156a4p-3, -0x1.28b28985fc85p-3, -0x1.1428dd6bb6a84p-3, -0x1.ffc70e484c3a7p-4, -0x1.d7d2ed7a925f4p-4, -0x1.b081ba594cd61p-4, -0x1.89de7166c610dp-4, -0x1.63f2c18cf57bp-4, -0x1.3ec722ebb1f1ap-4, -0x1.1a62ec9e3d07ap-4, -0x1.ed98d2ea30d35p-5, -0x1.a811d747e29aap-5, -0x1.6439becb8853fp-5, -0x1.2217b9369c1dp-5, -0x1.c362dda5d619cp-6, -0x1.46163f7a2d54p-6, -0x1.989f053252679p-7, -0x1.5848cd52bc35dp-8, 0x1.ca04caf046b16p-10, 0x1.17912c481ce33p-7, 0x1.eed21dd94308ap-7, 0x1.5f85bffe997bap-6, 0x1.c4242e29a0ebp-6, 0x1.12a59acc89818p-5, 0x1.418173f5afec3p-5, 0x1.6eaa365cd0f89p-5, 0x1.9a24f2358b6dfp-5, 0x1.c3f72698b43c4p-5, 0x1.ec26b505f2a6p-5, 0x1.095ceaec51142p-4, 0x1.1bdb86d035cfp-4, 0x1.2d9291a7628b3p-4, 0x1.3e858b95a157p-4, 0x1.4eb80d40aa336p-4, 0x1.5e2dc3fd6333ap-4, 0x1.6cea6e4d84a8p-4, 0x1.7af1d8a7fae56p-4, 0x1.8847da86b4346p-4, 0x1.94f053b4db405p-4, 0x1.a0ef29d8c9a8bp-4, 0x1.ac4846354ffafp-4, 0x1.b6ff939e2caedp-4, 0x1.c118fc9be4c5ap-4, 0x1.ca9869bb58418p-4, 0x1.d381c005ba3e5p-4, 0x1.dbd8df9dd0cd4p-4, 0x1.e3a1a27f946cfp-4, 0x1.eadfdb5f7130ap-4, 0x1.f19754a6a778cp-4, 0x1.f7cbcf8a87b25p-4, 0x1.fd81033c49d92p-4, 0x1.015d4e17c229cp-3, 0x1.03be1dbab7192p-3, 0x1.05e4bb159fcbcp-3, 0x1.07d2ea7cf9963p-3, 0x1.098a69d310b8ap-3, 0x1.0b0cf0573dd59p-3, 0x1.0c5c2e7bddaf5p-3, 0x1.0d79cdc2677aap-3, 0x1.0e67709d231d6p-3, 0x1.0f26b255f9a5p-3, 0x1.0fb926f9fd71ap-3, 0x1.10205b492b6bp-3, 0x1.105dd4aa1a7b8p-3, 0x1.107311213185ap-3, 0x1.1061874b174dcp-3, 0x1.102aa65a1b403p-3, 0x1.0fcfd61644659p-3, 0x1.0f5276dfcf1a1p-3, 0x1.0eb3e1b3e5a2dp-3, 0x1.0df568335a746p-3, 0x1.0d1854ab2e821p-3, 0x1.0c1dea1ec8522p-3, 0x1.0b076453a62e9p-3, 0x1.09d5f7de6a054p-3, 0x1.088ad23128199p-3, 0x1.072719aac4a13p-3, 0x1.05abeda764b26p-3, 0x1.041a6691b6b33p-3, 0x1.027395f515ce9p-3, 0x1.00b8869068c5p-3, 0x1.fdd478d348b0ap-4, 0x1.fa1369c3df215p-4, 0x1.f62fcd948b94cp-4, 0x1.f22b84f1309ep-4, 0x1.ee0863babbc2dp-4, 0x1.e9c83132f8056p-4, 0x1.e56ca8290cd53p-4, 0x1.e0f77726a25d6p-4, 0x1.dc6a409d6f60fp-4, 0x1.d7c69b1545c12p-4, 0x1.d30e115a81877p-4, 0x1.ce4222acc0109p-4, 0x1.c96442eddf58ap-4, 0x1.c475dad133cfap-4, 0x1.bf78480aedae6p-4, 0x1.ba6cdd7f96ec1p-4, 0x1.b554e373a48e2p-4, 0x1.b03197bb1ed64p-4, 0x1.ab042de940a56p-4, 0x1.a5cdcf8016ddcp-4, 0x1.a08f9c200e2e3p-4, 0x1.9b4aa9b76d82fp-4, 0x1.960004b1a995ep-4, 0x1.90b0b026a7c7bp-4, 0x1.8b5da609bf5bap-4, 0x1.8607d75899456p-4, 0x1.80b02c49d183ep-4, 0x1.7b57847b5d05ap-4, 0x1.75feb720afb1p-4, 0x1.70a69330955fp-4, 0x1.6b4fdf92c52b2p-4, 0x1.65fb5b4d1cce3p-4, 0x1.60a9bdb08adecp-4, 0x1.5b5bb6859d101p-4, 0x1.5611ee38af718p-4, 0x1.50cd0605ba654p-4, 0x1.4b8d9823b97f6p-4, 0x1.465437efa9326p-4, 0x1.41217217173b1p-4, 0x1.3bf5ccc241959p-4, 0x1.36d1c7bdc1dc7p-4, 0x1.31b5dca3c3d8ep-4, 0x1.2ca27f04bea3dp-4, 0x1.27981c8fb5723p-4, 0x1.22971d39f7415p-4, 0x1.1d9fe3665de99p-4, 0x1.18b2cc0c0ad56p-4, 0x1.13d02edc9c6fep-4, 0x1.0ef85e69dd85cp-4, 0x1.0a2ba84aeca97p-4, 0x1.056a5540d5181p-4, 0x1.00b4a95aa0562p-4, 0x1.f815c831abe8ep-5, 0x1.eeda8120df4f2p-5, 0x1.e5b7eb1a765afp-5, 0x1.dcae6b6759a6dp-5, 0x1.d3be5f4441576p-5, 0x1.cae81c230ffaep-5, 0x1.c22befeb0a152p-5, 0x1.b98a2137e6789p-5, 0x1.b102ef97b821ap-5, 0x1.a89693c7ae0eep-5, 0x1.a0453fefaf6b5p-5, 0x1.980f1fdccd01dp-5, 0x1.8ff4593a8a6fep-5, 0x1.87f50bcb05c6fp-5, 0x1.8011519df25aap-5, 0x1.78493f46730b3p-5, 0x1.709ce40fce128p-5, 0x1.690c4a30fee52p-5, 0x1.619776ff26dcbp-5, 0x1.5a3e6b1edcaa9p-5, 0x1.530122b45fdadp-5, 0x1.4bdf9592aea4ap-5, 0x1.44d9b76982414p-5, 0x1.3def77f2338b2p-5, 0x1.3720c31b8a5d3p-5, 0x1.306d81347c9ddp-5, 0x1.29d59715d646bp-5, 0x1.2358e64add69cp-5, 0x1.1cf74d38e36bfp-5, 0x1.16b0a745d3a49p-5, 0x1.1084ccfdbc37cp-5, 0x1.0a73943755bd8p-5, 0x1.047cd0378bd39p-5, 0x1.fd40a3a81a8eap-6, 0x1.f1bbcf29c42eep-6, 0x1.e66abbaa2197dp-6, 0x1.db4cfdc4a2c45p-6, 0x1.d0622637a8474p-6, 0x1.c5a9c2203e6b8p-6, 0x1.bb235b340fa3dp-6, 0x1.b0ce77f99335bp-6, 0x1.a6aa9bfe7d0c8p-6, 0x1.9cb7480c7d7dp-6, 0x1.92f3fa5c547c6p-6, 0x1.89602ec73c85p-6, 0x1.7ffb5ef6bca35p-6, 0x1.76c50292e1ab1p-6, 0x1.6dbc8f6eee0ffp-6, 0x1.64e179b47e45bp-6, 0x1.5c33340d382b6p-6, 0x1.53b12fcaf98c7p-6, 0x1.4b5add0e9e576p-6, 0x1.432faaed62c46p-6, 0x1.3b2f0794de99bp-6, 0x1.3358606daf5fap-6, 0x1.2bab223cd237ap-6, 0x1.2426b943b2f74p-6, 0x1.1cca915efb163p-6, 0x1.159616242dcd5p-6, 0x1.0e88b2fe06d8ap-6, 0x1.07a1d347bb86cp-6, 0x1.00e0e2670e9b4p-6, 0x1.f48a97caa3807p-7, 0x1.e79cf70e8e529p-7, 0x1.daf7bac806243p-7, 0x1.ce99bbf5786a4p-7, 0x1.c281d48f42158p-7, 0x1.b6aedfaf6aacp-7, 0x1.ab1fb9b774357p-7, 0x1.9fd340745c217p-7, 0x1.94c85340ce8e9p-7, 0x1.89fdd3259e3f9p-7, 0x1.7f72a2f88b171p-7, 0x1.7525a7796966dp-7, 0x1.6b15c76dace25p-7, 0x1.6141ebba6f224p-7, 0x1.57a8ff7ceee79p-7, 0x1.4e49f021a5acbp-7, 0x1.4523ad79eb7fp-7, 0x1.3c3529d04d4c3p-7, 0x1.337d59fb7dda7p-7, 0x1.2afb3570133dap-7, 0x1.22adb650fad52p-7, 0x1.1a93d97ec845ep-7, 0x1.12ac9ea5d30d8p-7, 0x1.0af7084b3dfdp-7, 0x1.03721bd8e3d15p-7, 0x1.f839c3508ee8ap-8, 0x1.e9ecca18f35e3p-8, 0x1.dbfb68b6128cbp-8, 0x1.ce63c1e80d941p-8, 0x1.c123fe924d967p-8, 0x1.b43a4dc8084f9p-8, 0x1.a7a4e4d720269p-8, 0x1.9b61ff515f71ap-8, 0x1.8f6fdf1446a6bp-8, 0x1.83cccc4f44f15p-8, 0x1.78771588a6e54p-8, 0x1.6d6d0fa111ecbp-8, 0x1.62ad15d5bae4p-8, 0x1.583589c1651e7p-8, 0x1.4e04d35c30db6p-8, 0x1.441960fa4aea1p-8, 0x1.3a71a7497940dp-8, 0x1.310c214da3c7ap-8, 0x1.27e7505c6e29ep-8, 0x1.1f01bc17d2137p-8, 0x1.1659f267df494p-8, 0x1.0dee87739e84ep-8, 0x1.05be15990f79p-8, 0x1.fb8e7ac9234e7p-9, 0x1.ec114b0ecb1e1p-9, 0x1.dd01f59b4ab08p-9, 0x1.ce5de026e5a8ap-9, 0x1.c0227c7332157p-9, 0x1.b24d483346927p-9, 0x1.a4dbccf2b6294p-9, 0x1.97cb9ffb97511p-9, 0x1.8b1a623b9d5d9p-9, 0x1.7ec5c02817e42p-9, 0x1.72cb71a166848p-9, 0x1.672939d57e008p-9, 0x1.5bdce721bff07p-9, 0x1.50e452f42d857p-9, 0x1.463d61abda552p-9, 0x1.3be60278f27e4p-9, 0x1.31dc2f3c4a05cp-9, 0x1.281dec663daf9p-9, 0x1.1ea948d56bdfbp-9, 0x1.157c5db4db1cep-9, 0x1.0c954e59c0e04p-9, 0x1.03f2482129fe1p-9, 0x1.f723049a9f7cp-10, 0x1.e6e27bc53e869p-10, 0x1.d71f8b096b651p-10, 0x1.c7d6daa60d8c1p-10, 0x1.b905258aebbf1p-10, 0x1.aaa739120e9dp-10, 0x1.9cb9f4b866072p-10, 0x1.8f3a49d6e8201p-10, 0x1.82253b5b5cf9ep-10, 0x1.7577dd81478a8p-10, 0x1.692f558abffcdp-10, 0x1.5d48d979ffe67p-10, 0x1.51c1afca62e07p-10, 0x1.46972f2a364afp-10, 0x1.3bc6be34848fdp-10, 0x1.314dd32b2091fp-10, 0x1.2729f3b11e536p-10, 0x1.1d58b485fc5fcp-10, 0x1.13d7b940a02cbp-10, 0x1.0aa4b40b58d0dp-10, 0x1.01bd655ff1f0cp-10, 0x1.f23f3788bd57p-11, 0x1.e192670ff0b5fp-11, 0x1.d1702d02e3a12p-11, 0x1.c1d4779a29874p-11, 0x1.b2bb4f1797339p-11, 0x1.a420d54580824p-11, 0x1.960144f6e9467p-11, 0x1.8858f18935e4fp-11, 0x1.7b244667ad61cp-11, 0x1.6e5fc68fa4fcbp-11, 0x1.62080c16618e7p-11, 0x1.5619c7b083a28p-11, 0x1.4a91c03a98879p-11, 0x1.3f6cd24331623p-11, 0x1.34a7ef968b119p-11, 0x1.2a401ecc1b1e8p-11, 0x1.20327ad4c10b2p-11, 0x1.167c328b58133p-11, 0x1.0d1a8846480cep-11, 0x1.040ad16ac5bb5p-11, 0x1.f694ec030b1b1p-12, 0x1.e5ade09af683bp-12, 0x1.d55b98c761f84p-12, 0x1.c5994f895ba9p-12, 0x1.b66261efb29bbp-12, 0x1.a7b24e4fd6e05p-12, 0x1.9984b3827f588p-12, 0x1.8bd5502329fa5p-12, 0x1.7ea001d3445fap-12, 0x1.71e0c480214eep-12, 0x1.6593b1ab9c295p-12, 0x1.59b4ffb8d5b03p-12, 0x1.4e41013b14e07p-12, 0x1.4334244807258p-12, 0x1.388af1cd38b4dp-12, 0x1.2e420ce8ff9dap-12, 0x1.24563245bd605p-12, 0x1.1ac4377827243p-12, 0x1.11890a6116401p-12, 0x1.08a1b092078efp-12, 0x1.000b46b4313fdp-12, 0x1.ef85ffe5bd885p-13, 0x1.df8c4ad21aeabp-13, 0x1.d0242b2288919p-13, 0x1.c148877135554p-13, 0x1.b2f46ee89c571p-13, 0x1.a5231834bbcc1p-13, 0x1.97cfe079696dbp-13, 0x1.8af64a4e12ecfp-13, 0x1.7e91fcbf69682p-13, 0x1.729ec25639d61p-13, 0x1.6718882281e9p-13, 0x1.5bfb5ccd1bfdfp-13, 0x1.51436fadb9869p-13, 0x1.46ed0fe596388p-13, 0x1.3cf4ab800f093p-13, 0x1.3356ce9721de4p-13, 0x1.2a10227e157f9p-13, 0x1.211d6cefbaf96p-13, 0x1.187b8f414aefdp-13, 0x1.1027859b09eddp-13, 0x1.081e6634686a9p-13, 0x1.005d6094ba3f3p-13, 0x1.f1c379b20e834p-14, 0x1.e351b5fa7e871p-14, 0x1.d5606455acf3ap-14, 0x1.c7eaa015d9d45p-14, 0x1.baebb037a7ac2p-14, 0x1.ae5f06186c333p-14, 0x1.a2403c32d4372p-14, 0x1.968b14e2520d2p-14, 0x1.8b3b79308da97p-14, 0x1.804d77a869701p-14, 0x1.75bd4331c0fc9p-14, 0x1.6b8731f4c25e6p-14, 0x1.61a7bc4228cfdp-14, 0x1.581b7b84c8b67p-14, 0x1.4edf293984075p-14, 0x1.45ef9decd6d0dp-14, 0x1.3d49d04085de4p-14, 0x1.34ead3f7558e6p-14, 0x1.2ccfd9067376fp-14, 0x1.24f62aadf55ddp-14, 0x1.1d5b2e9755c1ep-14, 0x1.15fc63f98a28bp-14, 0x1.0ed762c302172p-14, 0x1.07e9daca05f6cp-14, 0x1.01319301e73f3p-14, 0x1.f558d16b510b7p-15, 0x1.e8b09d94aae25p-15, 0x1.dc669a05830d9p-15, 0x1.d076fe969bbcdp-15, 0x1.c4de2a13c2ca1p-15, 0x1.b998a0e66df43p-15, 0x1.aea30bc7974cdp-15, 0x1.a3fa367e800cap-15, 0x1.999b0ea608792p-15, 0x1.8f82a27ab9a5ep-15, 0x1.85ae1fb6b4556p-15, 0x1.7c1ad26f0036dp-15, 0x1.72c623fde92b7p-15, 0x1.69ad99f437dedp-15, 0x1.60ced51324843p-15, 0x1.5827904cedc72p-15, 0x1.4fb59fce660c2p-15, 0x1.4776f00f8dbc6p-15, 0x1.3f6984e9df4bp-15, 0x1.378b78b86e0ap-15, 0x1.2fdafb7e3ffd4p-15, 0x1.285652118814p-15, 0x1.20fbd54ee1b38p-15, 0x1.19c9f153f7557p-15, 0x1.12bf24bdea66p-15, 0x1.0bd9ffeff2227p-15, 0x1.0519246061c6dp-15, 0x1.fcf687d13e073p-16, 0x1.effe4039c3212p-16, 0x1.e34713532379fp-16, 0x1.d6cebf6ad46d6p-16, 0x1.ca931e91f2cb3p-16, 0x1.be92257502391p-16, 0x1.b2c9e240c9be9p-16, 0x1.a7387b8c69b3dp-16, 0x1.9bdc2f4f8e54bp-16, 0x1.90b351e5b05b2p-16, 0x1.85bc4d109987dp-16, 0x1.7af59f0a79f3cp-16, 0x1.705dd99f2c4aep-16, 0x1.65f3a14d001fbp-16, 0x1.5bb5ac6d428d9p-16, 0x1.51a2c264fa9c5p-16, 0x1.47b9badd2f586p-16, 0x1.3df97d00cce7dp-16, 0x1.3460fec271006p-16, 0x1.2aef442c4c77ap-16, 0x1.21a35eb1e3498p-16, 0x1.187c6c895652dp-16, 0x1.0f79980c401dbp-16, 0x1.069a171f6ad6ep-16, 0x1.fbba55394e09ep-17, 0x1.ea843b8b81d31p-17, 0x1.d9908b7af7d6ep-17, 0x1.c8de020434a29p-17, 0x1.b86b6ddedd60bp-17, 0x1.a837ae8cd6664p-17, 0x1.9841b37320629p-17, 0x1.88887af873886p-17, 0x1.790b11b014e5ap-17, 0x1.69c8918e29836p-17, 0x1.5ac02121d477ep-17, 0x1.4bf0f2d77e359p-17, 0x1.3d5a44460adafp-17, 0x1.2efb5d8605c3fp-17, 0x1.20d390865c5dep-17, 0x1.12e23871238adp-17, 0x1.0526b915a4d2dp-17, 0x1.ef40fcad6bc2cp-18, 0x1.d49df741e545ep-18, 0x1.ba6356d21805ep-18, 0x1.a0901d5d7ddb7p-18, 0x1.8723590764f29p-18, 0x1.6e1c2332f4058p-18, 0x1.55799fab8c3a7p-18, 0x1.3d3afbdb3f532p-18, 0x1.255f6e02b9f78p-18, 0x1.0de6347f36cafp-18, 0x1.ed9d2a366e973p-19, 0x1.c02fb8c8d07dfp-19, 0x1.9382ba1c24525p-19, 0x1.6794deb60bd7p-19, 0x1.3c64e1239e677p-19, 0x1.11f184e678d72p-19, 0x1.d0732ae998acdp-20, 0x1.7e77ca91ad477p-20, 0x1.2dee9a083f1fbp-20, 0x1.bdaaaa6a28b03p-21, 0x1.22538221bba84p-21, 0x1.13a6a8b151a0cp-22, -0x1.7b472a95e49a9p-26, -0x1.3d72eef6496a6p-22, -0x1.2eceaf2f710e9p-21, -0x1.bc1e2451ee27ep-21, -0x1.23560bc32db31p-20, -0x1.673e6421e2baap-20, -0x1.a9ca3b4fa663bp-20, -0x1.eafbb27999c91p-20, -0x1.156a76573231cp-19, -0x1.34ac07cb8eebep-19, -0x1.5343a20b11994p-19, -0x1.71325b736cd2ep-19, -0x1.8e794c8e2ba5ep-19, -0x1.ab199053dcd34p-19, -0x1.c7144460bb58bp-19, -0x1.e26a892945ae1p-19, -0x1.fd1d821e9cc43p-19, -0x1.0b972aed82e1dp-18, -0x1.184f172194756p-18, -0x1.24b71c5185701p-18, -0x1.30cfd2e1e331ap-18, -0x1.3c99d50034512p-18, -0x1.4815beab89c1ep-18, -0x1.53442db92940ep-18, -0x1.5e25c1d7b53d5p-18, -0x1.68bb1c9398baap-18, -0x1.7304e155c7aa2p-18, -0x1.7d03b5656f43cp-18, -0x1.86b83fe27b7edp-18, -0x1.902329c31124fp-18, -0x1.99451dce8ea7fp-18, -0x1.a21ec897a1c4ap-18, -0x1.aab0d8747af0dp-18, -0x1.b2fbfd7669c03p-18, -0x1.bb00e961f4131p-18, -0x1.c2c04fa3810c6p-18, -0x1.ca3ae543f101ep-18, -0x1.d17160dc72007p-18, -0x1.d8647a8b92cfcp-18, -0x1.df14ebe76640ap-18, -0x1.e5836fefeccfdp-18, -0x1.ebb0c300c78c2p-18, -0x1.f19da2c2b7641p-18, -0x1.f74ace1bd1909p-18, -0x1.fcb90520ca6d8p-18, -0x1.00f4848219956p-17, -0x1.036dce038ab33p-17, -0x1.05c8c0b471104p-17, -0x1.0805beab4de93p-17, -0x1.0a252a6cab85bp-17, -0x1.0c2766e2ca307p-17, -0x1.0e0cd7550fa59p-17, -0x1.0fd5df5ffaa85p-17, -0x1.1182e2eb9969ep-17, -0x1.131446241f89ep-17, -0x1.148a6d70777p-17, -0x1.15e5bd69f26fep-17, -0x1.17269ad3ced79p-17, -0x1.184d6a92488a3p-17, -0x1.195a91a297aeap-17, -0x1.1a4e751291677p-17, -0x1.1b2979f81de29p-17, -0x1.1bec0568f9a31p-17, -0x1.1c967c72db3e2p-17, -0x1.1d294412bdbfcp-17, -0x1.1da4c12da051dp-17, -0x1.1e095887f9fd3p-17, -0x1.1e576ebe61d35p-17, -0x1.1e8f683e1787bp-17, -0x1.1eb1a93d0fcf7p-17, -0x1.1ebe95b3136fbp-17, -0x1.1eb6915210eefp-17, -0x1.1e99ff7f0504dp-17, -0x1.1e69434b4e42ap-17, -0x1.1e24bf6dc459cp-17, -0x1.1dccd63b8daa4p-17, -0x1.1d61e9a2797f6p-17, -0x1.1ce45b223eaep-17, -0x1.1c548bc61162ep-17, -0x1.1bb2dc1eae412p-17, -0x1.1affac3c6c20dp-17, -0x1.1a3b5ba999c18p-17, -0x1.19664964e4464p-17, -0x1.1880d3dbd2291p-17, -0x1.178b58e5ed91dp-17, -0x1.168635bede4c2p-17, -0x1.1571c702535bcp-17, -0x1.144e68a692d58p-17, -0x1.131c75f84170cp-17, -0x1.11dc49957f9c1p-17, -0x1.108e3d6a010a7p-17, -0x1.0f32aaab40c99p-17, -0x1.0dc9e9d3e9ffep-17, -0x1.0c5452a02c257p-17, -0x1.0ad23c0a190afp-17, -0x1.0943fc4603e1cp-17, -0x1.07a9e8bf96494p-17, -0x1.0604561604aedp-17, -0x1.04539819beb63p-17, -0x1.029801c8cc623p-17, -0x1.00d1e54c6160ep-17, -0x1.fe0327ed413cp-18, -0x1.fa4ebc7ec6fc7p-18, -0x1.f68727846cbd4p-18, -0x1.f2ad067863425p-18, -0x1.eec0f514a15b7p-18, -0x1.eac38d4e41d29p-18, -0x1.e6b5675219386p-18, -0x1.e2971981414fbp-18, -0x1.de69386e2a368p-18, -0x1.da2c56d9fd20bp-18, -0x1.d5e105b1da77bp-18, -0x1.d187d40cfe45ep-18, -0x1.cd214f2aa0e64p-18, -0x1.c8ae026ef36cbp-18, -0x1.c42e7763c6d22p-18, -0x1.bfa335b579f4p-18, -0x1.bb0cc3323c7f7p-18, -0x1.b66ba3c8c04fp-18, -0x1.b1c059882ec03p-18, -0x1.ad0b649fe4646p-18, -0x1.a84d435e66ad3p-18, -0x1.a3867231bf4b4p-18, -0x1.9eb76ba6e3b4ep-18, -0x1.99e0a86aa17f3p-18, -0x1.95029f49ae828p-18, -0x1.901dc53161e53p-18, -0x1.8b328d30ddd9ep-18, -0x1.86416879d6809p-18, -0x1.814ac660a6135p-18, -0x1.7c4f145f241b2p-18, -0x1.774ebe1560c98p-18, -0x1.724a2d4afb193p-18, -0x1.6d41c9f0f373dp-18, -0x1.6835fa233f375p-18, -0x1.6327222bae9dap-18, -0x1.5e15a483ad833p-18, -0x1.5901e1d5f812p-18, -0x1.53ec39013729fp-18, -0x1.4ed5071aa28bfp-18, -0x1.49bca77038f4dp-18, -0x1.44a3738bebc4ep-18, -0x1.3f89c3360863bp-18, -0x1.3a6fec78c14b8p-18, -0x1.355643a25bc2ap-18, -0x1.303d1b4855767p-18, -0x1.2b24c44b20409p-18, -0x1.260d8dd95d6p-18, -0x1.20f7c5727cc27p-18, -0x1.1be3b6ea7ed7dp-18, -0x1.16d1ac6d8642fp-18, -0x1.11c1ee839c8e5p-18, -0x1.0cb4c41474494p-18, -0x1.07aa726a2899fp-18, -0x1.02a33d35f4a2dp-18, -0x1.fb3ecd26c1cb4p-19, -0x1.f13e5e184e32ep-19, -0x1.e745ab390d667p-19, -0x1.dd552f6dc4cffp-19, -0x1.d36d629030e8fp-19, -0x1.c98eb976d4f91p-19, -0x1.bfb9a5fb61f65p-19, -0x1.b5ee9705cd039p-19, -0x1.ac2df89313207p-19, -0x1.a27833bd72f94p-19, -0x1.98cdaec50c2b4p-19, -0x1.8f2ecd180eb47p-19, -0x1.859bef5bdecdep-19, -0x1.7c157375d6335p-19, -0x1.729bb492e49c3p-19, -0x1.692f0b30f8c34p-19, -0x1.5fcfcd266bd69p-19, -0x1.567e4dac39725p-19, -0x1.4d3add6533b98p-19, -0x1.4405ca67e84e8p-19, -0x1.3adf6046ead9bp-19, -0x1.31c7e819834b9p-19, -0x1.28bfa8847a17dp-19, -0x1.1fc6e5c22c8dp-19, -0x1.16dde1abeae7bp-19, -0x1.0e04dbc345af2p-19, -0x1.053c113910cdep-19, -0x1.f90779eedd2c3p-20, -0x1.e7b82f52ff95ap-20, -0x1.d68aaf89dc2dap-20, -0x1.c57f6324d8609p-20, -0x1.b496ae6bb1331p-20, -0x1.a3d0f16df497cp-20, -0x1.932e8813cdd52p-20, -0x1.82afca2f8250cp-20, -0x1.72550b8daa622p-20, -0x1.621e9c06102a7p-20, -0x1.520cc78e02d1cp-20, -0x1.421fd6479e63cp-20, -0x1.32580c92cd3e1p-20, -0x1.22b5ab1c6e7dfp-20, -0x1.1338eef093554p-20, -0x1.03e2118a82d49p-20, -0x1.e96291c7c49c7p-21, -0x1.cb4d8f0b1d869p-21, -0x1.ad85792f2838fp-21, -0x1.900aa7df217f4p-21, -0x1.72dd6c45f278p-21, -0x1.55fe112c3bb85p-21, -0x1.396cdb12f29a3p-21, -0x1.1d2a085662e4bp-21, -0x1.0135d14b9fe84p-21, -0x1.cb20d0bd741f6p-22, -0x1.9473f45d2e515p-22, -0x1.5e655b5af7926p-22, -0x1.28f5487d41b48p-22, -0x1.e847e7459eccep-23, -0x1.7fe313fd9992fp-23, -0x1.18bc5c9e370cdp-23, -0x1.65a7e45fe441ep-24, -0x1.38a7c6e6efc09p-25, 0x1.5419b59b3d01p-27, 0x1.ddbafb0ec656fp-25, 0x1.b0bb29f1970fep-24, 0x1.380e4cc66d521p-23, 0x1.968126da1a3e7p-23, 0x1.f3b6755a937bap-23, 0x1.27d74dc6108c1p-22, 0x1.553506af99dfep-22, 0x1.81f4a78699eeap-22, 0x1.ae167a5ad768bp-22, 0x1.d99ad0fca1639p-22, 0x1.02410267c3f08p-21, 0x1.17663b4a9f2p-21, 0x1.2c3d471fdd199p-21, 0x1.40c65d60b9508p-21, 0x1.5501b8f19f25ep-21, 0x1.68ef98087b068p-21, 0x1.7c903c1748704p-21, 0x1.8fe3e9b55c389p-21, 0x1.a2eae88bc5bbcp-21, 0x1.b5a5833b35734p-21, 0x1.c8140749bfa1p-21, }}, 
      {{-0x1.8ef0776c64743p-6, -0x1.8e21ff96ca66dp-5, -0x1.29995d50dfedcp-4, -0x1.8af3a767697c6p-4, -0x1.eac3866991215p-4, -0x1.245982fb7f057p-3, -0x1.5239b7b805f17p-3, -0x1.7edeeca97567bp-3, -0x1.aa29ba503ef4ap-3, -0x1.d3fed142e2a88p-3, -0x1.fc46ee443c58bp-3, -0x1.11775e34f4448p-2, -0x1.23f354d1a72d6p-2, -0x1.359158b01241ap-2, -0x1.464d104024d83p-2, -0x1.5623aa94770ap-2, -0x1.6513be4d14d4bp-2, -0x1.731d285799dafp-2, -0x1.8040eb295e244p-2, -0x1.8c810ef007a6p-2, -0x1.97e083136e1e5p-2, -0x1.a2630148b6ea9p-2, -0x1.ac0cf260b34cep-2, -0x1.b4e354ea4e981p-2, -0x1.bceba5b4361bp-2, -0x1.c42bca2e62ccep-2, -0x1.caa9fca404fabp-2, -0x1.d06cba4051fafp-2, -0x1.d57ab2cc3410ep-2, -0x1.d9daba0fb36d1p-2, -0x1.dd93babfdd419p-2, -0x1.e0acaae09e4d1p-2, -0x1.e32c818168ce7p-2, -0x1.e51a2dbb702edp-2, -0x1.e67c8ed882432p-2, -0x1.e75a6d8a3ddd6p-2, -0x1.e7ba761a27e81p-2, -0x1.e7a3337c3f08cp-2, -0x1.e71b0b2ebee3p-2, -0x1.e62839d30d811p-2, -0x1.e4d0d06d084c3p-2, -0x1.e31ab2372be46p-2, -0x1.e10b92fb5a408p-2, -0x1.dea8f5e1454edp-2, -0x1.dbf82ca4b0b24p-2, -0x1.d8fe5726e99bap-2, -0x1.d5c0634ff27e5p-2, -0x1.d2430d34e52ddp-2, -0x1.ce8adf7a0e59bp-2, -0x1.ca9c33e82cb3fp-2, -0x1.c67b342d1d087p-2, -0x1.c22bdac106dbap-2, -0x1.bdb1f3e9d1ea6p-2, -0x1.b9111ed765296p-2, -0x1.b44cced3c1787p-2, -0x1.af684c82a2da3p-2, -0x1.aa66b72cd4bc9p-2, -0x1.a54b0613d4b6ap-2, -0x1.a01809cadf194p-2, -0x1.9ad06d92c5bep-2, -0x1.9576b8b666ecap-2, -0x1.900d4fe5d0b93p-2, -0x1.8a96768e76843p-2, -0x1.8514502f0f18p-2, -0x1.7f88e1a5f3d68p-2, -0x1.79f612790728cp-2, -0x1.745dae16568e6p-2, -0x1.6ec1650cd27fbp-2, -0x1.6922ce3c9ad34p-2, -0x1.638367fe76fc7p-2, -0x1.5de499423a5bdp-2, -0x1.5847b2a3d69f4p-2, -0x1.52adef7708666p-2, -0x1.4d1876c987be1p-2, -0x1.47885c5bca857p-2, -0x1.41fea1905a0dcp-2, -0x1.3c7c3651e1c8ep-2, -0x1.3701f9f0139bdp-2, -0x1.3190bbf38c7f1p-2, -0x1.2c293ce8ee333p-2, -0x1.26cc2f235fbcep-2, -0x1.217a3776b077cp-2, -0x1.1c33ede95b538p-2, -0x1.16f9de5ea7cddp-2, -0x1.11cc89392cd38p-2, -0x1.0cac63f5f38d6p-2, -0x1.0799d9c07f252p-2, -0x1.02954bfffb79ap-2, -0x1.fb3e25bbab3c5p-3, -0x1.f16efb8bff561p-3, -0x1.e7bda7c23a041p-3, -0x1.de2aa911bbac2p-3, -0x1.d4b66f6d8481ep-3, -0x1.cb615cdb04f4bp-3, -0x1.c22bc63ab2a32p-3, -0x1.b915f406d42eap-3, -0x1.b0202308f0ffep-3, -0x1.a74a85064f6cap-3, -0x1.9e954163f0123p-3, -0x1.960075c262c11p-3, -0x1.8d8c3691dcc5p-3, -0x1.85388f9ee9609p-3, -0x1.7d0584980b90fp-3, -0x1.74f3118cad75dp-3, -0x1.6d012b65ad697p-3, -0x1.652fc057d0e82p-3, -0x1.5d7eb85070d92p-3, -0x1.55edf55ca595bp-3, -0x1.4e7d540b33c67p-3, -0x1.472cabc97b2ecp-3, -0x1.3ffbcf3badc33p-3, -0x1.38ea8c908210cp-3, -0x1.31f8add09f684p-3, -0x1.2b25f929f50fbp-3, -0x1.2472313733033p-3, -0x1.1ddd15439baf3p-3, -0x1.1766618b48271p-3, -0x1.110dcf782c3f1p-3, -0x1.0ad315dbe274fp-3, -0x1.04b5e92680bep-3, -0x1.fd6bf7351bf59p-4, -0x1.f1a5fafc89d8fp-4, -0x1.e6193a948365cp-4, -0x1.dac50fab78429p-4, -0x1.cfa8d100d9a3bp-4, -0x1.c4c3d2b47e8cp-4, -0x1.ba156691c8dbp-4, -0x1.af9cdc56d3496p-4, -0x1.a55981f7c2b72p-4, -0x1.9b4aa3de89f5bp-4, -0x1.916f8d27330ep-4, -0x1.87c787d8dbec5p-4, -0x1.7e51dd1ba350dp-4, -0x1.750dd56b94455p-4, -0x1.6bfab8c8c239ep-4, -0x1.6317cee4b736cp-4, -0x1.5a645f4d51299p-4, -0x1.51dfb195328bdp-4, -0x1.49890d79e03e2p-4, -0x1.415fbb07ac712p-4, -0x1.396302bb865a2p-4, -0x1.31922da2ca80ep-4, -0x1.29ec85792b37fp-4, -0x1.227154c4c8796p-4, -0x1.1b1fe6f08ccadp-4, -0x1.13f78864e4f8dp-4, -0x1.0cf7869ee4f6ap-4, -0x1.061f3045eed01p-4, -0x1.fedbaa7fd7bbfp-5, -0x1.f1c58d8856791p-5, -0x1.e4faaed9e6d35p-5, -0x1.d879b68fb2ad7p-5, -0x1.cc414fc9d27ddp-5, -0x1.c05028c964494p-5, -0x1.b4a4f30a7b47ep-5, -0x1.a93e635c09f9dp-5, -0x1.9e1b31f5db142p-5, -0x1.933a1a8caebc3p-5, -0x1.8899dc649784p-5, -0x1.7e393a61a9719p-5, -0x1.7416fb170d052p-5, -0x1.6a31e8d490f96p-5, -0x1.6088d1b2c499dp-5, -0x1.571a879db34ecp-5, -0x1.4de5e05e4f189p-5, -0x1.44e9b5a29add7p-5, -0x1.3c24e504a56dp-5, -0x1.339650105f13ep-5, -0x1.2b3cdc4861523p-5, -0x1.23177329ada1bp-5, -0x1.1b25022e72c6bp-5, -0x1.13647acfe936p-5, -0x1.0bd4d2874d97cp-5, -0x1.047502ce05b93p-5, -0x1.fa881239fe1afp-6, -0x1.ec81cdd696a25p-6, -0x1.ded5435813793p-6, -0x1.d18085974bd78p-6, -0x1.c481af58e654dp-6, -0x1.b7d6e3456036fp-6, -0x1.ab7e4bdff70d9p-6, -0x1.9f761b7c7c59cp-6, -0x1.93bc8c342be12p-6, -0x1.884fdfd99644ap-6, -0x1.7d2e5feb9d0b1p-6, -0x1.72565d87a83adp-6, -0x1.67c6315b08d7cp-6, -0x1.5d7c3b93a7f18p-6, -0x1.5376e3d007e16p-6, -0x1.49b4990e9bf1bp-6, -0x1.4033d19c9348bp-6, -0x1.36f30b0410c0fp-6, -0x1.2df0c9f9df2afp-6, -0x1.252b9a4ab9e4dp-6, -0x1.1ca20ec81613ep-6, -0x1.1452c134949c2p-6, -0x1.0c3c523011941p-6, -0x1.045d69235dde8p-6, -0x1.f96968576a6d5p-7, -0x1.ea81d00bcc40dp-7, -0x1.dc017ff28482p-7, -0x1.cde5fb84b27a2p-7, -0x1.c02cd2fb01d7ap-7, -0x1.b2d3a322761f8p-7, -0x1.a5d81530dc0b4p-7, -0x1.9937de991bf16p-7, -0x1.8cf0c0df4737p-7, -0x1.8100896c90a5dp-7, -0x1.756511631ec19p-7, -0x1.6a1c3d71de1e7p-7, -0x1.5f23fda83e9a2p-7, -0x1.547a4d49fbd7fp-7, -0x1.4a1d32a2eb5ddp-7, -0x1.400abedadfcd8p-7, -0x1.36410dc9a5974p-7, -0x1.2cbe45cb20bf2p-7, -0x1.2380979392764p-7, -0x1.1a863e040d4ap-7, -0x1.11cd7dff1e61dp-7, -0x1.0954a63daec08p-7, -0x1.011a0f2427cb3p-7, -0x1.f238352face2cp-8, -0x1.e2b267a94032ep-8, -0x1.d39f9e85fbd76p-8, -0x1.c4fcd49c9d0e4p-8, -0x1.b6c71676f8067p-8, -0x1.a8fb81fffbf9bp-8, -0x1.9b9746326adaep-8, -0x1.8e97a2c85894dp-8, -0x1.81f9e7eb702a2p-8, -0x1.75bb75e5feb58p-8, -0x1.69d9bcd4dc7edp-8, -0x1.5e523c5a20ba9p-8, -0x1.53228350b676cp-8, -0x1.48482f80d02dbp-8, -0x1.3dc0ed5537757p-8, -0x1.338a77918ad0ap-8, -0x1.29a297095eecep-8, -0x1.2007225849822p-8, -0x1.16b5fd9ae0cb1p-8, -0x1.0dad1a289f44bp-8, -0x1.04ea764ec088ep-8, -0x1.f8d83a182345ap-9, -0x1.e8604b9b5f977p-9, -0x1.d86968597273cp-9, -0x1.c8efef5a04084p-9, -0x1.b9f056f957c8bp-9, -0x1.ab672c69814d2p-9, -0x1.9d51133581441p-9, -0x1.8faac4c647181p-9, -0x1.82710fe9a9dbfp-9, -0x1.75a0d85b36b75p-9, -0x1.6937164f0daedp-9, -0x1.5d30d5fe7fa83p-9, -0x1.518b3736a9e66p-9, -0x1.46436ce8ee57cp-9, -0x1.3b56bcbd5127p-9, -0x1.30c27ea6abcc9p-9, -0x1.26841c78cef53p-9, -0x1.1c9911806483ep-9, -0x1.12feea1cc33ap-9, -0x1.09b3435b7bb9dp-9, -0x1.00b3ca95c2ea3p-9, -0x1.effc7a1f442f4p-10, -0x1.df20cf31e966fp-10, -0x1.ced04c6035d95p-10, -0x1.bf06c74cf2ad6p-10, -0x1.afc0328d55331p-10, -0x1.a0f89cf8cad53p-10, -0x1.92ac30fc38e0ep-10, -0x1.84d733f075951p-10, -0x1.7776057433e77p-10, -0x1.6a851ec919ee9p-10, -0x1.5e01123415162p-10, -0x1.51e68a60e9dcbp-10, -0x1.463249c8dc32ep-10, -0x1.3ae12a1c84c22p-10, -0x1.2ff01bb0a2ae7p-10, -0x1.255c24ee03bbp-10, -0x1.1b2261c45c884p-10, -0x1.114003201f8eap-10, -0x1.07b24e63322fep-10, -0x1.fced39c0fff66p-11, -0x1.eb14b6b4a9ac6p-11, -0x1.d9d613072ebeep-11, -0x1.c92c73073852bp-11, -0x1.b9131ef992d6dp-11, -0x1.a985822b9c484p-11, -0x1.9a7f2a0aeb20fp-11, -0x1.8bfbc5421acddp-11, -0x1.7df722dab062dp-11, -0x1.706d3163e5c98p-11, -0x1.6359fe1e4ba64p-11, -0x1.56b9b42c534bep-11, -0x1.4a889bc766e39p-11, -0x1.3ec31979d60c2p-11, -0x1.3365ad5d2d533p-11, -0x1.286cf25cf8898p-11, -0x1.1dd59d7e0388cp-11, -0x1.139c7d29da5e4p-11, -0x1.09be787e9b8b6p-11, -0x1.00388ea2d5332p-11, -0x1.ee0fac3af823bp-12, -0x1.dc52f863b5631p-12, -0x1.cb35887f0d2f3p-12, -0x1.bab20e4c09e67p-12, -0x1.aac36558eafdbp-12, -0x1.9b6491d93d7f3p-12, -0x1.8c90bf839ab2ep-12, -0x1.7e4340766241ep-12, -0x1.70778c2371a1dp-12, -0x1.63293e42cedeep-12, -0x1.565415cbc3444p-12, -0x1.49f3f3f49e2ddp-12, -0x1.3e04db38ed1fdp-12, -0x1.3282ee65d4eb9p-12, -0x1.276a6facc17a9p-12, -0x1.1cb7bfbc330c8p-12, -0x1.12675cddfe39bp-12, -0x1.0875e21baa4efp-12, -0x1.fdc00cd0a7fc3p-13, -0x1.eb4537a0252adp-13, -0x1.d9751d5a16da6p-13, -0x1.c849c9c2b4f23p-13, -0x1.b7bd7a2ccb042p-13, -0x1.a7ca9c0264e6ap-13, -0x1.986bcb5741822p-13, -0x1.899bd18515ba8p-13, -0x1.7b55a3d15db2dp-13, -0x1.6d94621c27cddp-13, -0x1.60535597bd7f8p-13, -0x1.538def896d7bbp-13, -0x1.473fc812e1bf4p-13, -0x1.3b649d038f0d5p-13, -0x1.2ff850b316f4fp-13, -0x1.24f6e8e2f4214p-13, -0x1.1a5c8da7f1c1dp-13, -0x1.1025885bea57fp-13, -0x1.064e42965568bp-13, -0x1.f9a68a590fe99p-14, -0x1.e7626e71f1f55p-14, -0x1.d5c9ba531d02cp-14, -0x1.c4d62fa87fe02p-14, -0x1.b481c7255307dp-14, -0x1.a4c6aec8379ap-14, -0x1.959f482b98a05p-14, -0x1.870626e27c5cfp-14, -0x1.78f60ee1be142p-14, -0x1.6b69f2f3759e8p-14, -0x1.5e5cf3374a6c9p-14, -0x1.51ca5bad0c766p-14, -0x1.45ada2ca3e3a3p-14, -0x1.3a02681a3418fp-14, -0x1.2ec472e8ac6b5p-14, -0x1.23efb0f620a3fp-14, -0x1.1980353572898p-14, -0x1.0f723693c53e2p-14, -0x1.05c20ec90488bp-14, -0x1.f8d87263e73fep-15, -0x1.e6daa3651ae34p-15, -0x1.d58427429df38p-15, -0x1.c4ceb174d365fp-15, -0x1.b4b43035df8ebp-15, -0x1.a52eca88f42d9p-15, -0x1.9638de4fdb50dp-15, -0x1.87ccfe6fe3717p-15, -0x1.79e5f105767cp-15, -0x1.6c7eada564f8bp-15, -0x1.5f925babd7fe9p-15, -0x1.531c5099032a7p-15, -0x1.47180e7a75496p-15, -0x1.3b8142613407bp-15, -0x1.3053c2e41b88dp-15, -0x1.258b8eaeac6bep-15, -0x1.1b24cb1a98401p-15, -0x1.111bc2d502211p-15, -0x1.076ce48eab84dp-15, -0x1.fc29836d26315p-16, -0x1.ea201a7f66aabp-16, -0x1.d8b734df6902ep-16, -0x1.c7e8b770b5f5fp-16, -0x1.b7aec3343a59ep-16, -0x1.a803b31f5705ap-16, -0x1.98e21a05b63c8p-16, -0x1.8a44c093797cdp-16, -0x1.7c26a35989fap-16, -0x1.6e82f0e996b1fp-16, -0x1.6155080270a94p-16, -0x1.549875cb263fdp-16, -0x1.4848f41e2e20cp-16, -0x1.3c6267e1f3186p-16, -0x1.30e0df7048cdcp-16, -0x1.25c0910ada57bp-16, -0x1.1afdd95e40227p-16, -0x1.10953a109f7a6p-16, -0x1.0683585d410f1p-16, -0x1.f989f779b6d7ep-17, -0x1.e6ae19314a7f8p-17, -0x1.d46d2613210d5p-17, -0x1.c2c16b43962d2p-17, -0x1.b1a5708404e97p-17, -0x1.a113f5f057df4p-17, -0x1.9107f1d18d69bp-17, -0x1.817c8e839db0ap-17, -0x1.726d286ee982fp-17, -0x1.63d54c11e6ea3p-17, -0x1.55b0b41f24ap-17, -0x1.47fb47a9e3f81p-17, -0x1.3ab11866600dp-17, -0x1.2dce60f70d0c4p-17, -0x1.214f834ba36d2p-17, -0x1.1531070dda28cp-17, -0x1.096f981eb5dc6p-17, -0x1.fc100a3db838p-18, -0x1.e5ee7c109fa48p-18, -0x1.d074a5a273f9ep-18, -0x1.bb9ce43e884fap-18, -0x1.a761d00b389a5p-18, -0x1.93be399d6825p-18, -0x1.80ad27a3a9c7ep-18, -0x1.6e29d4a9fb097p-18, -0x1.5c2facef7c977p-18, -0x1.4aba4c5313f4p-18, -0x1.39c57c55d055fp-18, -0x1.294d322c4be32p-18, -0x1.194d8ce75d4c7p-18, -0x1.09c2d3ad6dc02p-18, -0x1.f552e809a49c9p-19, -0x1.d7fc005f1cffcp-19, -0x1.bb7a5b315a2b5p-19, -0x1.9fc7a69f38c46p-19, -0x1.84ddd125479d6p-19, -0x1.6ab706d834dcp-19, -0x1.514daeaf1ce55p-19, -0x1.389c67f45346fp-19, -0x1.209e07ca2567fp-19, -0x1.094d96cc1fcc3p-19, -0x1.e54c9d930e2dap-20, -0x1.b94731295f614p-20, -0x1.8e8213daf305cp-20, -0x1.64f4c6f692571p-20, -0x1.3c971dc9d0084p-20, -0x1.156139ec3b5f1p-20, -0x1.de970f72a2824p-21, -0x1.949d75d5f9fbap-21, -0x1.4cc796bbf34cep-21, -0x1.0707e3f0f243ep-21, -0x1.86a296beb01d1p-22, -0x1.032e62d639b8cp-22, -0x1.0735add1e7c4fp-23, -0x1.f41d55976ed94p-28, 0x1.c11dc7622c907p-24, 0x1.c98594d072365p-23, 0x1.55b6c50a839efp-22, 0x1.c337e00d5b70cp-22, 0x1.16acf7ce37a45p-21, 0x1.4a1812d920978p-21, 0x1.7be68cd6037cap-21, 0x1.ac2167b04ffaep-21, 0x1.dad15f14b198ap-21, 0x1.03ff75d601796p-20, 0x1.19d92320f073cp-20, 0x1.2ef9b55d920c5p-20, 0x1.43650d778a54ep-20, 0x1.571ef0adc489ap-20, 0x1.6a2b09da52675p-20, 0x1.7c8ceaaf22389p-20, 0x1.8e480cdef67adp-20, 0x1.9f5fd33780dfp-20, 0x1.afd78ab14fb02p-20, 0x1.bfb26b6ef370ap-20, 0x1.cef399b27b73ap-20, 0x1.dd9e26c2995b1p-20, 0x1.ebb511c81a508p-20, 0x1.f93b489dfb736p-20, 0x1.0319d44a41345p-19, 0x1.09507f979c18ep-19, 0x1.0f43056b7f933p-19, 0x1.14f2bdc05f231p-19, 0x1.1a60f9a660673p-19, 0x1.1f8f038e8cde4p-19, 0x1.247e1f928b549p-19, 0x1.292f8bb79d98fp-19, 0x1.2da4802ee2f2ap-19, 0x1.31de2f90bd6f8p-19, 0x1.35ddc71710a02p-19, 0x1.39a46ecfc7108p-19, 0x1.3d3349d2436d1p-19, 0x1.408b766e08333p-19, 0x1.43ae0e57523a5p-19, 0x1.469c26d143816p-19, 0x1.4956d0d5cb38dp-19, 0x1.4bdf193b041fep-19, 0x1.4e3608d5cb889p-19, 0x1.505ca49b2a4a1p-19, 0x1.5253edbf93257p-19, 0x1.541ce1d3e550dp-19, 0x1.55b87adf181e7p-19, 0x1.5727af794929ep-19, 0x1.586b72e2f6891p-19, 0x1.5984b51b68502p-19, 0x1.5a7462f5505efp-19, 0x1.5b3b662aa0fffp-19, 0x1.5bdaa56e6e94ap-19, 0x1.5c53047db9198p-19, 0x1.5ca5642f26ba4p-19, 0x1.5cd2a28281de4p-19, 0x1.5cdb9aae4ca43p-19, 0x1.5cc1252b770dfp-19, 0x1.5c8417c1fe10dp-19, 0x1.5c254593fb28dp-19, 0x1.5ba57f2780171p-19, 0x1.5b05927020c57p-19, 0x1.5a464ad82d09p-19, 0x1.596871487e117p-19, 0x1.586ccc308999bp-19, 0x1.57541f8c39d21p-19, 0x1.561f2cebaeb4fp-19, 0x1.54ceb378de06bp-19, 0x1.53636ffd3ad3bp-19, 0x1.51de1ce692982p-19, 0x1.503f724c314f6p-19, 0x1.4e8825f37a95ep-19, 0x1.4cb8eb538526dp-19, 0x1.4ad273995c5e9p-19, 0x1.48d56daba21p-19, 0x1.46c2862e4ee61p-19, 0x1.449a678538071p-19, 0x1.425db9d7953ddp-19, 0x1.400d231238c9cp-19, 0x1.3da946eb043d3p-19, 0x1.3b32c6e2c4a58p-19, 0x1.38aa4247e899bp-19, 0x1.3610563907988p-19, 0x1.33659da6e96c3p-19, 0x1.30aab1568f496p-19, 0x1.2de027e367032p-19, 0x1.2b0695c1787a8p-19, 0x1.281e8d3f97ab9p-19, 0x1.25289e893ba51p-19, 0x1.222557a8a6c85p-19, 0x1.1f154488bc9a2p-19, 0x1.1bf8eef6fd0b9p-19, 0x1.18d0dea5af087p-19, 0x1.159d992dc6ff8p-19, 0x1.125fa211569d9p-19, 0x1.0f177abd51e69p-19, 0x1.0bc5a28bc54b4p-19, 0x1.086a96c63418dp-19, 0x1.0506d2a763e9ap-19, 0x1.019acf5e3671ap-19, 0x1.fc4e081f4055bp-20, 0x1.f557cbb2e0868p-20, 0x1.ee53cfa8e2bc7p-20, 0x1.e742f62e50922p-20, 0x1.e0261d7019e53p-20, 0x1.d8fe1fa1adddep-20, 0x1.d1cbd300e035fp-20, 0x1.ca9009dcfec48p-20, 0x1.c34b929bd94ep-20, 0x1.bbff37bf80a51p-20, 0x1.b4abbfecfdac1p-20, 0x1.ad51edf1c8fa9p-20, 0x1.a5f280ca1b42cp-20, 0x1.9e8e33a830fb1p-20, 0x1.9725bdf9f70c5p-20, 0x1.8fb9d370b7661p-20, 0x1.884b2406ca495p-20, 0x1.80da5c0816ffep-20, 0x1.796824179957bp-20, 0x1.71f5213806177p-20, 0x1.6a81f4d25bf4ap-20, 0x1.630f3cbdd305dp-20, 0x1.5b9d9347569c5p-20, 0x1.542d8f39d0f29p-20, 0x1.4cbfc3e5569fbp-20, 0x1.4554c127801b8p-20, 0x1.3ded13739ae8cp-20, 0x1.368943daadc88p-20, 0x1.2f29d813fa981p-20, 0x1.27cf52856920ep-20, 0x1.207a324bfc482p-20, 0x1.192af34486a7ap-20, 0x1.11e20e14391adp-20, 0x1.0a9ff831490bdp-20, 0x1.036523ec38646p-20, 0x1.f86400f0be4b3p-21, 0x1.ea0df3e9be23p-21, 0x1.dbc8f2ecfc4a2p-21, 0x1.cd95ca1edbd7bp-21, 0x1.bf753fb37f8d1p-21, 0x1.b16813ff15ccdp-21, 0x1.a36f018a458fcp-21, 0x1.958abd22ed307p-21, 0x1.87bbf5f0b0952p-21, 0x1.7a0355867549cp-21, 0x1.6c617ff5aa636p-21, 0x1.5ed713e10909p-21, 0x1.5164aa8f9003fp-21, 0x1.440ad7ff9324dp-21, 0x1.36ca2af938edcp-21, 0x1.29a32d2247bcdp-21, 0x1.1c966310716cdp-21, 0x1.0fa44c5c7618ap-21, 0x1.02cd63b5de985p-21, 0x1.ec243de94de83p-22, 0x1.d2e5de5b3b7f6p-22, 0x1.b9e08187db9ddp-22, 0x1.a114f6fba8886p-22, 0x1.8884052bbcd14p-22, 0x1.702e699cfc3a2p-22, 0x1.5814d909da68dp-22, 0x1.4037ff86e6a1ap-22, 0x1.289880a95a2b5p-22, 0x1.1136f7ab7b745p-22, 0x1.f427ef23d9bffp-23, 0x1.c66016a1edee2p-23, 0x1.99176be0199ccp-23, 0x1.6c4ee55e50674p-23, 0x1.40076a5893a5fp-23, 0x1.1441d30aa0891p-23, 0x1.d1fdd1f7d85f9p-24, 0x1.7c7ece8a545e4p-24, 0x1.2807f5b02193cp-24, 0x1.a9350b14d84adp-25, 0x1.046f420bcfaf6p-25, 0x1.8702831d9642dp-27, -0x1.f6a7e39a85b84p-28, -0x1.ba9fd91b0819ep-26, -0x1.79aeb88a1ac46p-25, -0x1.09f80d407b32ep-24, -0x1.56097e41dca3cp-24, -0x1.a10b3bd777736p-24, -0x1.eafce9862ef8fp-24, -0x1.19ef20a3b355cp-23, -0x1.3dd789889272fp-23, -0x1.6137a22650834p-23, -0x1.840f67ad7802bp-23, -0x1.a65ee18d16385p-23, -0x1.c82621339cc9cp-23, -0x1.e96541d204b01p-23, -0x1.050e340fb2b2p-22, -0x1.1525e10e023a4p-22, -0x1.24f9c36b79fccp-22, -0x1.3489fb1998df2p-22, -0x1.43d6ac5668be9p-22, -0x1.52dfff9056d4fp-22, -0x1.61a6214a292c6p-22, -0x1.702941ff1a58dp-22, -0x1.7e699606b6041p-22, -0x1.8c675579d878fp-22, -0x1.9a22bc174d564p-22, -0x1.a79c092aaeb75p-22, -0x1.b4d37f70e1507p-22, -0x1.c1c964fe1d264p-22, -0x1.ce7e03263e1b9p-22, -0x1.daf1a66257fbfp-22, -0x1.e7249e374a78ap-22, -0x1.f3173d1f4ad8cp-22, -0x1.fec9d8708a693p-22, -0x1.051e6422b39c2p-21, -0x1.0ab833b2fda77p-21, -0x1.10328997f5d3fp-21, -0x1.158d95c0d5d6cp-21, -0x1.1ac989515b20fp-21, -0x1.1fe6969735e3cp-21, -0x1.24e4f0feeee1dp-21, -0x1.29c4cd0955c23p-21, -0x1.2e86604185ba7p-21, -0x1.3329e13224618p-21, -0x1.37af875b6ea6ep-21, -0x1.3c178b29861f4p-21, -0x1.406225eab5c8ap-21, -0x1.448f91c593c29p-21, -0x1.48a009afa24e5p-21, -0x1.4c93c9648bc2cp-21, -0x1.506b0d5c88fb5p-21, -0x1.542612c3b3e51p-21, -0x1.57c517713d38bp-21, -0x1.5b4859df0a6e7p-21, -0x1.5eb019214c8c1p-21, -0x1.61fc94ddfb819p-21, -0x1.652e0d44d444bp-21, -0x1.6844c307d583p-21, -0x1.6b40f752ad9f6p-21, -0x1.6e22ebc3e27c4p-21, -0x1.70eae264e2443p-21, -0x1.73991da2d7802p-21, -0x1.762de047e17bdp-21, -0x1.78a96d736827fp-21, -0x1.7b0c08939a5c4p-21, -0x1.7d55f55ec85c8p-21, -0x1.7f8777ccb772p-21, -0x1.81a0d4102b04ap-21, -0x1.83a24e90a71d9p-21, -0x1.858c2be456a84p-21, -0x1.875eb0c9ef298p-21, -0x1.891a22231ed0ap-21, -0x1.8abec4ee7e3fcp-21, -0x1.8c4cde42105dbp-21, -0x1.8dc4b345de4a6p-21, -0x1.8f26892e7c08cp-21, -0x1.9072a537e9645p-21, -0x1.91a94ca0af05ep-21, -0x1.92cac4a45e45dp-21, -0x1.93d7527789ffdp-21, -0x1.94cf3b428908bp-21, -0x1.95b2c41ce2d06p-21, -0x1.96823208f1823p-21, -0x1.973dc9efa9bb6p-21, -0x1.97e5d09c354adp-21, -0x1.987a8ab7dbe08p-21, -0x1.98fc3cc5f4458p-21, -0x1.996b2b2041f38p-21, -0x1.99c799f2e0c3bp-21, -0x1.9a11cd38afab5p-21, -0x1.9a4a08b7d5fc3p-21, -0x1.9a708ffe4d7d5p-21, -0x1.9a85a65e3f512p-21, -0x1.9a898eeb0fa4cp-21, -0x1.9a7c8c7610224p-21, -0x1.9a5ee18b7eb64p-21, -0x1.9a30d06f4b259p-21, -0x1.99f29b1ad185p-21, -0x1.99a483398d97ap-21, -0x1.9946ca267f446p-21, -0x1.98d9b0e987e56p-21, -0x1.985d7835390ap-21, -0x1.97d260640fa6p-21, -0x1.9738a9763fd3ep-21, -0x1.9690930f5dc65p-21, -0x1.95da5c7464cd3p-21, -0x1.9516448978071p-21, -0x1.944489cfc4bc4p-21, -0x1.93656a63d8b68p-21, -0x1.927923fb98ac2p-21, -0x1.917ff3e47aebbp-21, -0x1.907a1701ccde6p-21, -0x1.8f67c9cb241eap-21, -0x1.8e49484ad9035p-21, -0x1.8d1ece1c4237cp-21, -0x1.8be8966a8c6ebp-21, -0x1.8aa6dbef56214p-21, -0x1.8959d8f15f998p-21, -0x1.8801c7431e9fp-21, -0x1.869ee041bc713p-21, -0x1.85315cd40c251p-21, -0x1.83b975696d69ep-21, -0x1.823761f8ae60fp-21, -0x1.80ab59ff433d7p-21, }}, 
      {{0x1.3e8c610588822p-2, 0x1.3ee69aad79a31p-2, 0x1.3f81470b2091bp-2, 0x1.4061e3b3d28b3p-2, 0x1.418eab3ddd004p-2, 0x1.430dba297bceep-2, 0x1.44e45aa204ca1p-2, 0x1.47167eeb437d8p-2, 0x1.49a669c50d11dp-2, 0x1.4c947fa79a17ap-2, 0x1.4fdf39db0232cp-2, 0x1.53833408eff4dp-2, 0x1.577b4d56a6f03p-2, 0x1.5bc0d6ebc9026p-2, 0x1.604bcac74ceecp-2, 0x1.651306c240a67p-2, 0x1.6a0c888b25ef3p-2, 0x1.6f2da83349571p-2, 0x1.746b4f9665925p-2, 0x1.79ba2d7492ae5p-2, 0x1.7f0ee3899a1c5p-2, 0x1.845e2f4656b98p-2, 0x1.899d0d14f761cp-2, 0x1.8ec0d642e673fp-2, 0x1.93bf59ce85009p-2, 0x1.988ef06e6cdc5p-2, 0x1.9d268c3674386p-2, 0x1.a17dc446004bp-2, 0x1.a58cdced67813p-2, 0x1.a94cccb67d7f3p-2, 0x1.acb73eb80ee57p-2, 0x1.afc69296039e6p-2, 0x1.b275da88b39d7p-2, 0x1.b4c0d7be456f7p-2, 0x1.b6a3f5610e5eep-2, 0x1.b81c42861de4ep-2, 0x1.b9276b3f99897p-2, 0x1.b9c3b10784761p-2, 0x1.b9efe2b0d9de4p-2, 0x1.b9ab5406e2062p-2, 0x1.b8f5d53d00877p-2, 0x1.b7cfaa4c48431p-2, 0x1.b639825788f1ep-2, 0x1.b4346f2a7efc6p-2, 0x1.b1c1dce54049bp-2, 0x1.aee389e1c3415p-2, 0x1.ab9b7ede90c54p-2, 0x1.a7ec077748e3p-2, 0x1.a3d7aaf16bef2p-2, 0x1.9f612562113cep-2, 0x1.9a8b612f88b38p-2, 0x1.955970f09958dp-2, 0x1.8fce89a9d2aep-2, 0x1.89edfd687fd7cp-2, 0x1.83bb3639e3c2fp-2, 0x1.7d39b17cd7687p-2, 0x1.766cfb8b360b1p-2, 0x1.6f58abb835008p-2, 0x1.680060a058663p-2, 0x1.6067bcc78782ep-2, 0x1.5892638185943p-2, 0x1.5083f6210c4ccp-2, 0x1.48401169a8b04p-2, 0x1.3fca4b407a8cp-2, 0x1.37263098069dep-2, 0x1.2e57439353682p-2, 0x1.2560f9dca3116p-2, 0x1.1c46bb2c37f82p-2, 0x1.130bdffbb53d3p-2, 0x1.09b3b062ca73bp-2, 0x1.0041631a036adp-2, 0x1.ed7039417f629p-3, 0x1.da35dd06f13dfp-3, 0x1.c6d9ad7f47b01p-3, 0x1.b3617e856bc64p-3, 0x1.9fd2fb03c3df3p-3, 0x1.8c33a450bd22bp-3, 0x1.7888d1b457fd5p-3, 0x1.64d7b012c2513p-3, 0x1.512541b89a4ddp-3, 0x1.3d765e456c158p-3, 0x1.29cfb2b17da3cp-3, 0x1.1635c16c0fc35p-3, 0x1.02ace28f90331p-3, 0x1.de728852a6fc6p-4, 0x1.b7bdd52582f85p-4, 0x1.914361b3d3f7ep-4, 0x1.6b0a926fa1ab1p-4, 0x1.451a7b2561906p-4, 0x1.1f79e015a5daep-4, 0x1.f45e6e425d36bp-5, 0x1.aa815209da001p-5, 0x1.616825479ecccp-5, 0x1.191e0cb89c133p-5, 0x1.a35b359fd3936p-6, 0x1.1641a50d22789p-6, 0x1.1604a8e4bc048p-7, 0x1.af1d218fa5e8fp-14, -0x1.0b4e6a2e02671p-7, -0x1.0af0ddfbce757p-6, -0x1.8e1f1ae9467fbp-6, -0x1.079212694467p-5, -0x1.46f9951e53ca4p-5, -0x1.8540249c936e5p-5, -0x1.c26044b1058ddp-5, -0x1.fe54eaecd1b31p-5, -0x1.1c8cbdd3fcd87p-4, -0x1.3954e383d89dep-4, -0x1.558103048f4ap-4, -0x1.710f6bc894cfap-4, -0x1.8bfe9ec0fc3c5p-4, -0x1.a64d4ceb4cf29p-4, -0x1.bffa55e2afcp-4, -0x1.d904c6749d273p-4, -0x1.f16bd7395cbb6p-4, -0x1.0497759826fecp-3, -0x1.1026c730299c1p-3, -0x1.1b63ba3e33385p-3, -0x1.264e3bc63b2bdp-3, -0x1.30e64b4d58f56p-3, -0x1.3b2bfa32abf2ep-3, -0x1.451f6b0a8dcc7p-3, -0x1.4ec0d0fc1da5dp-3, -0x1.58106f21287b9p-3, -0x1.610e97e87f623p-3, -0x1.69bbac7ab49eap-3, -0x1.72181c2159fa8p-3, -0x1.7a2463b0b323p-3, -0x1.81e10cf3ee8b1p-3, -0x1.894eae1be5b2p-3, -0x1.906de9306af7p-3, -0x1.973f6b841d0e7p-3, -0x1.9dc3ed2ae1866p-3, -0x1.a3fc3072e0874p-3, -0x1.a9e901602965dp-3, -0x1.af8b352aed8d5p-3, -0x1.b4e3a9c05628fp-3, -0x1.b9f34545ff18ap-3, -0x1.bebaf5a00e67ep-3, -0x1.c33baff9ee6cep-3, -0x1.c7767051a8ce5p-3, -0x1.cb6c3905e5f4fp-3, -0x1.cf1e12668ac05p-3, -0x1.d28d0a47f802ap-3, -0x1.d5ba3398ed881p-3, -0x1.d8a6a5fb07db4p-3, -0x1.db537d5dda8b9p-3, -0x1.ddc1d99caa782p-3, -0x1.dff2de1eb92ccp-3, -0x1.e1e7b17a2da0ep-3, -0x1.e3a17d198a82bp-3, -0x1.e5216ce3b4b33p-3, -0x1.e668aee684ab1p-3, -0x1.e7787303e48b1p-3, -0x1.e851eaa163f98p-3, -0x1.e8f6485a5b4eap-3, -0x1.e966bfb4783d4p-3, -0x1.e9a484d6c58ffp-3, -0x1.e9b0cc431d42dp-3, -0x1.e98cca92079fp-3, -0x1.e939b430f31c2p-3, -0x1.e8b8bd22ccf1bp-3, -0x1.e80b18c2ea84ap-3, -0x1.e731f98a402acp-3, -0x1.e62e90d6db981p-3, -0x1.e5020eb59d8fdp-3, -0x1.e3ada1ae2688cp-3, -0x1.e2327690f3a0ep-3, -0x1.e091b8479b2aap-3, -0x1.decc8fa728d31p-3, -0x1.dce423449095bp-3, -0x1.dad9974b22803p-3, -0x1.d8ae0d550ab51p-3, -0x1.d662a445c269bp-3, -0x1.d3f8782673a0ap-3, -0x1.d170a2043b666p-3, -0x1.cecc37d0535bap-3, -0x1.cc0c4c4201206p-3, -0x1.c931eeba538adp-3, -0x1.c63e2b29a0776p-3, -0x1.c33209f6b0ba8p-3, -0x1.c00e8fe7978f8p-3, -0x1.bcd4be0c303dbp-3, -0x1.b98591aa24ed8p-3, -0x1.b622042a91253p-3, -0x1.b2ab0b091777ep-3, -0x1.af2197c476b6fp-3, -0x1.ab8697d08989bp-3, -0x1.a7daf489ab241p-3, -0x1.a41f93296ea33p-3, -0x1.a05554bcb0fbcp-3, -0x1.9c7d161ae086dp-3, -0x1.9897afde8f4afp-3, -0x1.94a5f65f286b8p-3, -0x1.90a8b9abd6d19p-3, -0x1.8ca0c58780e8dp-3, -0x1.888ee165df978p-3, -0x1.8473d06997d28p-3, -0x1.805051635b316p-3, -0x1.7c251ed1fd0a9p-3, -0x1.77f2eee3734c2p-3, -0x1.73ba7376c06cep-3, -0x1.6f7c5a1eb4deep-3, -0x1.6b394c25855f2p-3, -0x1.66f1ee912c763p-3, -0x1.62a6e22889f78p-3, -0x1.5e58c3793ebd4p-3, -0x1.5a082ade38503p-3, -0x1.55b5ac86e2ceap-3, -0x1.5161d87efd8d8p-3, -0x1.4d0d3ab707049p-3, -0x1.48b85b0d39dd3p-3, -0x1.4463bd5713395p-3, -0x1.400fe16b59668p-3, -0x1.3bbd432c9db69p-3, -0x1.376c5a943517p-3, -0x1.331d9bbd98742p-3, -0x1.2ed176f229624p-3, -0x1.2a8858b55f73cp-3, -0x1.2642a9d140534p-3, -0x1.2200cf6337be2p-3, -0x1.1dc32ae9333a8p-3, -0x1.198a1a4f06ce5p-3, -0x1.1555f7fc12ceep-3, -0x1.11271ae1249e2p-3, -0x1.0cfdd6868a6d8p-3, -0x1.08da7b1a5e6a8p-3, -0x1.04bd557ef277p-3, -0x1.00a6af596c42ap-3, -0x1.f92d9e40fcd5bp-4, -0x1.f11bf0567b826p-4, -0x1.e918d58021e8dp-4, -0x1.e124c84763a31p-4, -0x1.d9403d5087424p-4, -0x1.d16ba378df59fp-4, -0x1.c9a763f51c2bfp-4, -0x1.c1f3e26f9f172p-4, -0x1.ba517d26d893ep-4, -0x1.b2c08d0b965b9p-4, -0x1.ab4165df51904p-4, -0x1.a3d4565260bep-4, -0x1.9c79a82218452p-4, -0x1.9531a036ce445p-4, -0x1.8dfc7ec1af038p-4, -0x1.86da7f5a7b337p-4, -0x1.7fcbd91d0d013p-4, -0x1.78d0bec6abe74p-4, -0x1.71e95ed32e2ecp-4, -0x1.6b15e399dd646p-4, -0x1.6456736a192ffp-4, -0x1.5dab30a7bcc54p-4, -0x1.571439e739ebep-4, -0x1.5091aa096c3f3p-4, -0x1.4a2398571f076p-4, -0x1.43ca189c4414fp-4, -0x1.3d853b42d684bp-4, -0x1.37550d6d68e63p-4, -0x1.313999115c79bp-4, -0x1.2b32e510bfc46p-4, -0x1.2540f553cc8f7p-4, -0x1.1f63cae20e1edp-4, -0x1.199b63fb242edp-4, -0x1.13e7bc2f25e4ep-4, -0x1.0e48cc76a1b48p-4, -0x1.08be8b4a3d09bp-4, -0x1.0348ecb9e92abp-4, -0x1.fbcfc5076f096p-5, -0x1.f136b854898a5p-5, -0x1.e6c68e157ac67p-5, -0x1.dc7f1ce4f56f7p-5, -0x1.d26037686b4d4p-5, -0x1.c869ac79a5711p-5, -0x1.be9b474f8a00ap-5, -0x1.b4f4cfa60d24fp-5, -0x1.ab7609e54f36cp-5, -0x1.a21eb747ebafbp-5, -0x1.98ee9600760dap-5, -0x1.8fe5615e20709p-5, -0x1.8702d1f094beap-5, -0x1.7e469daafd7cep-5, -0x1.75b078063f124p-5, -0x1.6d40122261cddp-5, -0x1.64f51ae72f26fp-5, -0x1.5ccf3f2406cb1p-5, -0x1.54ce29aee252p-5, -0x1.4cf183829660dp-5, -0x1.4538f3dc4b99ap-5, -0x1.3da4205831cfp-5, -0x1.3632ad0d6ee2ep-5, -0x1.2ee43ca94d8afp-5, -0x1.27b87089ae151p-5, -0x1.20aee8d6b987fp-5, -0x1.19c7449bd669ep-5, -0x1.130121dfedf6ap-5, -0x1.0c5c1dbced5a2p-5, -0x1.05d7d476a2f69p-5, -0x1.fee7c321c3c77p-6, -0x1.f25fbfc9e780ep-6, -0x1.e616d36cca4cp-6, -0x1.da0c318e4d855p-6, -0x1.ce3f0cd60c8afp-6, -0x1.c2ae97350b96bp-6, -0x1.b75a020a19bfep-6, -0x1.ac407e4500e24p-6, -0x1.a1613c8877747p-6, -0x1.96bb6d4adeda9p-6, -0x1.8c4e40f5e3537p-6, -0x1.8218e804dc6b3p-6, -0x1.781a93222208p-6, -0x1.6e52734337cdap-6, -0x1.64bfb9c3e8e16p-6, -0x1.5b61988058477p-6, -0x1.523741edf87a6p-6, -0x1.493fe9338b50ep-6, -0x1.407ac2401a002p-6, -0x1.37e701e0f56dp-6, -0x1.2f83ddd6c0e5dp-6, -0x1.27508ce99afa5p-6, -0x1.1f4c46fc4797dp-6, -0x1.1776451e821cbp-6, -0x1.0fcdc19e710e7p-6, -0x1.0851f8193d8fp-6, -0x1.0102258ae0283p-6, -0x1.f3bb10ba22acbp-7, -0x1.e5c6c0eaf6bffp-7, -0x1.d825de8648a83p-7, -0x1.cad6ef962a3aap-7, -0x1.bdd87d68a2b93p-7, -0x1.b12914a62f353p-7, -0x1.a4c74566d7d7ap-7, -0x1.98b1a345f364ap-7, -0x1.8ce6c574a5a41p-7, -0x1.816546cb1a182p-7, -0x1.762bc5d87f3a4p-7, -0x1.6b38e4f1e1357p-7, -0x1.608b4a3fd60a5p-7, -0x1.56219fcaf6e4bp-7, -0x1.4bfa93876e68ap-7, -0x1.4214d75f586ap-7, -0x1.386f213c35338p-7, -0x1.2f082b0f4f4a9p-7, -0x1.25deb2d94a4b1p-7, -0x1.1cf17ab0a4ac6p-7, -0x1.143f48c76646fp-7, -0x1.0bc6e76fff8b7p-7, -0x1.0387252146237p-7, -0x1.f6fda8f35a7d1p-8, -0x1.e759988393735p-8, -0x1.d81fcedbca1b9p-8, -0x1.c94e0a3e3d563p-8, -0x1.bae2114754a37p-8, -0x1.acd9b2ed04c3ap-8, -0x1.9f32c67cdaf8cp-8, -0x1.91eb2b98df535p-8, -0x1.8500ca334869p-8, -0x1.78719289026e1p-8, -0x1.6c3b7d1b39434p-8, -0x1.605c8aa7d4039p-8, -0x1.54d2c42104fa7p-8, -0x1.499c3aa3d89d7p-8, -0x1.3eb7076df82b7p-8, -0x1.34214bd276925p-8, -0x1.29d9312dd4eb3p-8, -0x1.1fdce8d963255p-8, -0x1.162aac1db4883p-8, -0x1.0cc0bc24961cfp-8, -0x1.039d61ea3f7dfp-8, -0x1.f57ddc5bc15c5p-9, -0x1.e44772c34545ap-9, -0x1.d3944734713e1p-9, -0x1.c36128fb60ee9p-9, -0x1.b3aaf663e3892p-9, -0x1.a46e9c957b2b7p-9, -0x1.95a9176ea8abap-9, -0x1.8757715f172b3p-9, -0x1.7976c341462e9p-9, -0x1.6c0434337b0f8p-9, -0x1.5efcf96fed66dp-9, -0x1.525e5624d2cf8p-9, -0x1.46259b4b29c85p-9, -0x1.3a50277da4abcp-9, -0x1.2edb66cee2c3ap-9, -0x1.23c4d29f4f4a8p-9, -0x1.1909f17298478p-9, -0x1.0ea856c4e65d4p-9, -0x1.049da2dfc1d82p-9, -0x1.f5cf055da408ep-10, -0x1.e3075f28d4d57p-10, -0x1.d0dfde7b6d4f7p-10, -0x1.bf5426ee32feap-10, -0x1.ae5ff4006ddb2p-10, -0x1.9dff18c009f2ep-10, -0x1.8e2d7f719f29dp-10, -0x1.7ee72938867c8p-10, -0x1.70282dbefba57p-10, -0x1.61ecbade3800ep-10, -0x1.54311446ed24dp-10, -0x1.46f19329bc172p-10, -0x1.3a2aa5e0165aap-10, -0x1.2dd8cf9540c23p-10, -0x1.21f8a7f00a69p-10, -0x1.1686dabc3a7bfp-10, -0x1.0b80279523dedp-10, -0x1.00e161904f736p-10, -0x1.ed4eddd160256p-11, -0x1.d99e91548b4d9p-11, -0x1.c6abf4bcdd56bp-11, -0x1.b47143717fc6ep-11, -0x1.a2e8dc899e81ep-11, -0x1.920d4227ce87fp-11, -0x1.81d918d84100cp-11, -0x1.724726ef5bd52p-11, -0x1.635253ea88d5bp-11, -0x1.54f5a7d1bc2dep-11, -0x1.472c4a9b69e96p-11, -0x1.39f18390a9dcfp-11, -0x1.2d40b8b40e691p-11, -0x1.21156e2a528ap-11, -0x1.156b45a360a04p-11, -0x1.0a3dfdc5df0a8p-11, -0x1.ff12e339b74e7p-12, -0x1.ea93300ba83b7p-12, -0x1.d6f506436d9cdp-12, -0x1.c430bf8f63abbp-12, -0x1.b23ee9f097627p-12, -0x1.a11846a77ccfcp-12, -0x1.90b5c9234b335p-12, -0x1.811095f52dfd5p-12, -0x1.722201c5ff394p-12, -0x1.63e390517e319p-12, -0x1.564ef3636b8fdp-12, -0x1.495e09d8aff7ep-12, -0x1.3d0adea658ed8p-12, -0x1.314fa7e0e8982p-12, -0x1.2626c5c8f8c42p-12, -0x1.1b8ac1dc06fdbp-12, -0x1.11764de7c3559p-12, -0x1.07e443229a11ep-12, -0x1.fd9f428c0a443p-13, -0x1.ec671b5c68d56p-13, -0x1.dc16a4f658a1ep-13, -0x1.cca4bb70f13e2p-13, -0x1.be08810d31857p-13, -0x1.b0395c901792dp-13, -0x1.a32ef7a3a471p-13, -0x1.96e13d412f189p-13, -0x1.8b48582086b6cp-13, -0x1.805cb12f1196ap-13, -0x1.7616ee0fd2dcap-13, -0x1.6c6fef9cbe6ccp-13, -0x1.6360d074fe90bp-13, -0x1.5ae2e38d16ff1p-13, -0x1.52efb2cb736dep-13, -0x1.4b80fda68c5e1p-13, -0x1.4490b7ca80875p-13, -0x1.3e1907c822801p-13, -0x1.381445c687b51p-13, -0x1.327cfa3d9f877p-13, -0x1.2d4ddcb9bb25p-13, -0x1.2881d29d5050ep-13, -0x1.2413edf0ebdfcp-13, -0x1.1fff6c34974d9p-13, -0x1.1c3fb539aaa5p-13, -0x1.18d05a01f2186p-13, -0x1.15ad13a4ec8dp-13, -0x1.12d1c239f7281p-13, -0x1.103a6bc8a2058p-13, -0x1.0de33b3f1cf9fp-13, -0x1.0bc87f6ea0753p-13, -0x1.09e6aa0d5637dp-13, -0x1.083a4ebc1fecbp-13, -0x1.06c02212946e9p-13, -0x1.0574f8b191668p-13, -0x1.0455c6597dc4cp-13, -0x1.035f9d05497fp-13, -0x1.028fac0f54d57p-13, -0x1.01e33f524575bp-13, -0x1.0157be572bf0cp-13, -0x1.00eaab8391c5cp-13, -0x1.0099a34f3c006p-13, -0x1.00625b7d650cdp-13, -0x1.0042a259e10bcp-13, -0x1.00385dfbf9d29p-13, -0x1.00418b8c44edp-13, -0x1.005c3e909712dp-13, -0x1.0086a03ac1e2cp-13, -0x1.00beeebef994fp-13, -0x1.01037ca7e6667p-13, -0x1.0152b0350c554p-13, -0x1.01ab02b9280dep-13, -0x1.020affffb21b9p-13, -0x1.027145b32bdbdp-13, -0x1.02dc82c9f17a8p-13, -0x1.034b76f4d74bfp-13, -0x1.03bcf212360f3p-13, -0x1.042fd3a359e0bp-13, -0x1.04a30a476c7ebp-13, -0x1.05159339989dcp-13, -0x1.058679d14d457p-13, -0x1.05f4d705c08abp-13, -0x1.065fd0f5c546p-13, -0x1.06c69a726f905p-13, -0x1.0728728c24f18p-13, -0x1.0784a4241e2b2p-13, -0x1.07da85800f59dp-13, -0x1.082977e0c765bp-13, -0x1.0870e71b034c3p-13, -0x1.08b0493375f86p-13, -0x1.08e71dff0d796p-13, -0x1.0914eec41ece1p-13, -0x1.09394ddf0b9a7p-13, -0x1.0953d66881b0bp-13, -0x1.09642bdfd5be1p-13, -0x1.0969f9d596b6bp-13, -0x1.0964f39b307dbp-13, -0x1.0954d3f2609cfp-13, -0x1.09395cc1ecaabp-13, -0x1.091256c99706cp-13, -0x1.08df9159400b4p-13, -0x1.08a0e20b1d2b5p-13, -0x1.0856247f0cb31p-13, -0x1.07ff3a187cdaap-13, -0x1.079c09be32efp-13, -0x1.072c7f9bee0f7p-13, -0x1.06b08ce5ed9a3p-13, -0x1.0628279e27f25p-13, -0x1.05934a5b53d7cp-13, -0x1.04f1f4125d715p-13, -0x1.044427e126ce1p-13, -0x1.0389ecdb287cp-13, -0x1.02c34dd6d92d9p-13, -0x1.01f0593dff2b6p-13, -0x1.011120de583dep-13, -0x1.0025b9bcc84e6p-13, -0x1.fe5c77d298c79p-14, -0x1.fc5584aa588f8p-14, -0x1.fa36d5547dc8dp-14, -0x1.f800aa451e049p-14, -0x1.f5b348c5c7085p-14, -0x1.f34efaaaa87e3p-14, -0x1.f0d40e0bfa1bdp-14, -0x1.ee42d501f6eb3p-14, -0x1.eb9ba56230a5cp-14, -0x1.e8ded87f7496cp-14, -0x1.e60ccaec476bp-14, -0x1.e325dc3f2c5f3p-14, -0x1.e02a6ed95d876p-14, -0x1.dd1ae7b0206c3p-14, -0x1.d9f7ae175080dp-14, -0x1.d6c12b8f534cp-14, -0x1.d377cb924835bp-14, -0x1.d01bfb65cb43ep-14, -0x1.ccae29eccd75fp-14, -0x1.c92ec77c0edccp-14, -0x1.c59e45b07614dp-14, -0x1.c1fd1746d73dfp-14, -0x1.be4baff549127p-14, -0x1.ba8a8445969ep-14, -0x1.b6ba0972547eep-14, -0x1.b2dab543dcef5p-14, -0x1.aeecfdf056075p-14, -0x1.aaf159fc42b44p-14, -0x1.a6e8401d4b253p-14, -0x1.a2d2271d20f47p-14, -0x1.9eaf85be34a1ep-14, -0x1.9a80d2a1a61eap-14, -0x1.9646842e8eafcp-14, -0x1.9201107a0bed4p-14, -0x1.8db0ed315b4cfp-14, -0x1.89568f83b4d26p-14, -0x1.84f26c0ec60b6p-14, -0x1.8084f6caa81a4p-14, -0x1.7c0ea2f780b0dp-14, -0x1.778fe30c24d5p-14, -0x1.730928a59f588p-14, -0x1.6e7ae477afea9p-14, -0x1.69e5863e158aep-14, -0x1.65497caeccb95p-14, -0x1.60a7356c95b3bp-14, -0x1.5bff1cfb35516p-14, -0x1.57519eb3353ecp-14, -0x1.529f24b755786p-14, -0x1.4de817eae3ffp-14, -0x1.492cdfe793be7p-14, -0x1.446de2f597844p-14, -0x1.3fab8602b9042p-14, -0x1.3ae62c9b672efp-14, -0x1.361e38e31b336p-14, -0x1.31540b8e7b889p-14, -0x1.2c8803dd2e72p-14, -0x1.27ba7f94e3714p-14, -0x1.22ebdafc3cd53p-14, -0x1.1e1c70d70a84p-14, -0x1.194c9a61a8cffp-14, -0x1.147caf4e0870bp-14, -0x1.0fad05c0c851bp-14, -0x1.0addf24e1a989p-14, -0x1.060fc7f852cf1p-14, -0x1.0142d82dd5585p-14, -0x1.f8eee58eefb24p-15, -0x1.ef5bcc0fcdacp-15, -0x1.e5ccfd350e8a4p-15, -0x1.dc430f267c57dp-15, -0x1.d2be94dc74cbap-15, -0x1.c9401e2031b39p-15, -0x1.bfc8378cfb8f8p-15, -0x1.b6576a92523fcp-15, -0x1.acee3d74b1bcbp-15, -0x1.a38d3350cd4f6p-15, -0x1.9a34cc1e7be2fp-15, -0x1.90e584b3e759bp-15, -0x1.879fd6c971779p-15, -0x1.7e6438fdd6c52p-15, -0x1.75331edaee2c5p-15, -0x1.6c0cf8daaa272p-15, -0x1.62f2346c9a327p-15, -0x1.59e33bfb1b8bap-15, -0x1.50e076f172515p-15, -0x1.47ea49c26b8d3p-15, -0x1.3f0115edce131p-15, -0x1.36253a084ae3bp-15, -0x1.2d5711c20debp-15, -0x1.2496f5ed97294p-15, -0x1.1be53c87ce646p-15, -0x1.134238bf12003p-15, -0x1.0aae3afbcee99p-15, -0x1.022990e760f4p-15, -0x1.f3690aea75c57p-16, -0x1.e29ec1d4b66dp-16, -0x1.d1f4d1ccbb078p-16, -0x1.c16bc0d786346p-16, -0x1.b1040fd1d86dep-16, -0x1.a0be3a80e10d1p-16, -0x1.909ab7a458501p-16, -0x1.8099f9083c6bcp-16, -0x1.70bc6b966c07p-16, -0x1.6102776a6964fp-16, -0x1.516c7fe1953bfp-16, -0x1.41fae3aeda18p-16, -0x1.32adfcec89dap-16, -0x1.2386212f83cb4p-16, -0x1.1483a198a042cp-16, -0x1.05a6cae95611ep-16, -0x1.eddfcb27466c5p-17, -0x1.d0be6b9cf7052p-17, -0x1.b3e9f74fd243cp-17, -0x1.9762e62f19de2p-17, -0x1.7b29a82471193p-17, -0x1.5f3ea5361e319p-17, -0x1.43a23dad757fcp-17, -0x1.2854ca3b8590ap-17, -0x1.0d569c1e68d46p-17, -0x1.e54ffa8912914p-18, -0x1.b09260e54e9d1p-18, -0x1.7c74e2cda279ep-18, -0x1.48f7e9fae33aap-18, -0x1.161bd2aa35c24p-18, -0x1.c7c1d7c8975a8p-19, -0x1.648eef85841d1p-19, -0x1.029f5771c77edp-19, -0x1.43e6c35e58174p-20, -0x1.0a2d208d8cd7bp-21, 0x1.b98d2f5caa863p-23, 0x1.e1e3922cf869bp-21, 0x1.a829f04ca705cp-20, 0x1.2e6d2f70f85f1p-19, 0x1.8781c1a628919p-19, 0x1.df52fb13e0dc5p-19, 0x1.1af09e4cfd321p-18, 0x1.45967d921b18ep-18, 0x1.6f9b5f9875e58p-18, 0x1.98ff92285248p-18, 0x1.c1c36c53f5254p-18, 0x1.e9e74e3bbfc09p-18, 0x1.08b5d067a2da8p-17, 0x1.1c286ac9f47f2p-17, 0x1.2f4bb333957d6p-17, 0x1.421feaa28bdf5p-17, 0x1.54a556083984ep-17, 0x1.66dc3e2a05d2ep-17, 0x1.78c4ef8805587p-17, 0x1.8a5fba3fb7ff8p-17, 0x1.9bacf1f1186afp-17, 0x1.acaceda3dfeeep-17, 0x1.bd6007abdcbebp-17, 0x1.cdc69d904c8fdp-17, 0x1.dde10ff07966p-17, 0x1.edafc26b3c904p-17, 0x1.fd331b84de462p-17, 0x1.0635c2480cb75p-16, 0x1.0dacb4c9e68fdp-16, 0x1.14fe9c9a6513ap-16, 0x1.1c2bb24e43418p-16, 0x1.23342fb1e2433p-16, 0x1.2a184fbd3ecdcp-16, 0x1.30d84e892ced9p-16, 0x1.37746943c2229p-16, 0x1.3decde263910dp-16, 0x1.4441ec69805cbp-16, 0x1.4a73d43c786e1p-16, 0x1.5082d6b98a077p-16, 0x1.566f35dc6818ap-16, 0x1.5c39347809c67p-16, 0x1.61e1162d521aep-16, 0x1.67671f61566dbp-16, 0x1.6ccb9533e09cap-16, 0x1.720ebd763ac2bp-16, 0x1.7730dea2c6dbep-16, 0x1.7c323fd34e8c4p-16, 0x1.811328b90be54p-16, 0x1.85d3e19391373p-16, 0x1.8a74b32933d6p-16, 0x1.8ef5e6be46c8cp-16, 0x1.9357c60d1ff47p-16, 0x1.979a9b3eefaf6p-16, 0x1.9bbeb0e366158p-16, 0x1.9fc451e97ac1ep-16, 0x1.a3abc998044p-16, 0x1.a7756386d63dp-16, 0x1.ab216b9768d3cp-16, 0x1.aeb02dede6e39p-16, 0x1.b221f6eae5bcfp-16, 0x1.b5771324af47p-16, 0x1.b8afcf608fbfcp-16, 0x1.bbcc788c81e11p-16, 0x1.becd5bb9c3c4fp-16, 0x1.c1b2c6166b434p-16, 0x1.c47d04e74992dp-16, 0x1.c72c6582755ecp-16, 0x1.c9c1354a18978p-16, 0x1.cc3bc1a6a862cp-16, 0x1.ce9c5801433bep-16, 0x1.d0e345bf3c485p-16, 0x1.d310d83cf3f76p-16, 0x1.d5255cc865b2p-16, 0x1.d721209ccdd7dp-16, 0x1.d90470de11c4bp-16, 0x1.dacf9a9441c62p-16, 0x1.dc82eaa6cb15dp-16, 0x1.de1eadd86f43bp-16, 0x1.dfa330c37deaep-16, 0x1.e110bfd553c62p-16, 0x1.e267a74a38e13p-16, 0x1.e3a83329e3cep-16, 0x1.e4d2af43d6a8dp-16, 0x1.e5e7672bd1016p-16, 0x1.e6e6a635f110ap-16, 0x1.e7d0b773575a5p-16, 0x1.e8a5e5af64832p-16, 0x1.e9667b6bd6eb6p-16, }}, 
      {{0x1.3e789f32e7d49p-2, 0x1.3e9677a50eff7p-2, 0x1.3ec919204aebp-2, 0x1.3f11b2d99af0dp-2, 0x1.3f71b15c1785ap-2, 0x1.3fea983c32805p-2, 0x1.407ddfee8875bp-2, 0x1.412cd99984361p-2, 0x1.41f8996f2650dp-2, 0x1.42e1e759cad2ep-2, 0x1.43e9355cd0bcbp-2, 0x1.450e9ad8eadep-2, 0x1.4651d3d5f83a9p-2, 0x1.47b2437b8a6f6p-2, 0x1.492ef8f3e635ap-2, 0x1.4ac6b60d7c548p-2, 0x1.4c77f708b938bp-2, 0x1.4e40fb19364f9p-2, 0x1.501fcd38ae911p-2, 0x1.52124cfedff54p-2, 0x1.541637438a705p-2, 0x1.56292e5f03cfdp-2, 0x1.5848c1ea9173bp-2, 0x1.5a7275ec26ed7p-2, 0x1.5ca3c961729dp-2, 0x1.5eda3c24ca12fp-2, 0x1.6113542b8c399p-2, 0x1.634ca22176124p-2, 0x1.6583c5672aeb8p-2, 0x1.67b66f7c2734p-2, 0x1.69e266ddae4fdp-2, 0x1.6c058964f825cp-2, 0x1.6e1dce2f4d1ap-2, 0x1.7029471ac00aep-2, 0x1.722621e2097aep-2, 0x1.7412a8e1ac779p-2, 0x1.75ed4390088c7p-2, 0x1.77b476b17e455p-2, 0x1.7966e4511f5fap-2, 0x1.7b034b85c9684p-2, 0x1.7c88880aef25fp-2, 0x1.7df591b3a5447p-2, 0x1.7f497bbdfd7adp-2, 0x1.8083740c1a71bp-2, 0x1.81a2c247de55ep-2, 0x1.82a6c6f598ab5p-2, 0x1.838efa799475bp-2, 0x1.845aec13f6c24p-2, 0x1.850a40d5ff81dp-2, 0x1.859cb2934cb8p-2, 0x1.86120ed17e0d5p-2, 0x1.866a35b82b802p-2, 0x1.86a51902f90cp-2, 0x1.86c2baf732fe3p-2, 0x1.86c32d5e378b5p-2, 0x1.86a69085b040fp-2, 0x1.866d12467c10ap-2, 0x1.8616ed12f114bp-2, 0x1.85a4670d04fddp-2, 0x1.8515d124c4d77p-2, 0x1.846b863f65934p-2, 0x1.83a5ea6723e73p-2, 0x1.82c56a040acbcp-2, 0x1.81ca791db1511p-2, 0x1.80b592a5e30afp-2, 0x1.7f8737cc233cep-2, 0x1.7e3fef59e5654p-2, 0x1.7ce0451754e38p-2, 0x1.7b68c9387996bp-2, 0x1.79da0fd27c51ep-2, 0x1.7834b058d1fa1p-2, 0x1.7679452208b16p-2, 0x1.74a86af3f0406p-2, 0x1.72c2c096da035p-2, 0x1.70c8e66fa6e7fp-2, 0x1.6ebb7e205847bp-2, 0x1.6c9b2a2edb7cbp-2, 0x1.6a688db1c8829p-2, 0x1.68244c02cd436p-2, 0x1.65cf08767b3e1p-2, 0x1.6369661932e98p-2, 0x1.60f40770f2566p-2, 0x1.5e6f8e43b5b22p-2, 0x1.5bdc9b623db0ap-2, 0x1.593bce76ee744p-2, 0x1.568dc5d897e52p-2, 0x1.53d31e60e893bp-2, 0x1.510c73465b36p-2, 0x1.4e3a5df965224p-2, 0x1.4b5d7604b9cc1p-2, 0x1.487650f071209p-2, 0x1.45858227e76a8p-2, 0x1.428b9ae22ba43p-2, 0x1.3f892a0cd0acfp-2, 0x1.3c7ebc3900d61p-2, 0x1.396cdb8aadf5bp-2, 0x1.36540fa9b90c2p-2, 0x1.3334ddb4f6393p-2, 0x1.300fc836ec036p-2, 0x1.2ce54f1c307aep-2, 0x1.29b5efab4c06ep-2, 0x1.2682247e070ap-2, 0x1.234a657c09bbep-2, 0x1.200f27d6b8ac2p-2, 0x1.1cd0de0639b2bp-2, 0x1.198ff7c78a6f1p-2, 0x1.164ce21b98f22p-2, 0x1.130807474b37fp-2, 0x1.0fc1ced4652c9p-2, 0x1.0c7a9d933d65cp-2, 0x1.0932d59d319e1p-2, 0x1.05ead657d1445p-2, 0x1.02a2fc78a7b1p-2, 0x1.feb744134ea77p-3, 0x1.f82a3cdc398e5p-3, 0x1.f19f8cd055582p-3, 0x1.eb17d83d76c57p-3, 0x1.e493be47c6b6dp-3, 0x1.de13d8f75c8c5p-3, 0x1.d798bd468bf5ap-3, 0x1.d122fb30e7f58p-3, 0x1.cab31dc2e2773p-3, 0x1.c449ab29fec8ap-3, 0x1.bde724c58562dp-3, 0x1.b78c0737b65afp-3, 0x1.b138ca775e59p-3, 0x1.aaede1e1d5fc3p-3, 0x1.a4abbc4d54cfap-3, 0x1.9e72c41b91a77p-3, 0x1.98435f4ca7993p-3, 0x1.921def9238874p-3, 0x1.8c02d262c00dp-3, 0x1.85f2610d15eacp-3, 0x1.7fecf0cc101c5p-3, 0x1.79f2d2da4d659p-3, 0x1.7404548608aacp-3, 0x1.6e21bf4509506p-3, 0x1.684b58c89c66p-3, 0x1.6281631190754p-3, 0x1.5cc41c8435b67p-3, 0x1.5713bffc59df4p-3, 0x1.517084e13f8bdp-3, 0x1.4bda9f397de77p-3, 0x1.46523fbede938p-3, 0x1.40d793f2194p-3, 0x1.3b6ac62e83d4dp-3, 0x1.360bfdbd9b05fp-3, 0x1.30bb5eea75cb4p-3, 0x1.2b790b151305fp-3, 0x1.264520c57f902p-3, 0x1.211fbbbede653p-3, 0x1.1c08f5123b215p-3, 0x1.1700e33138716p-3, 0x1.12079a008fe3dp-3, 0x1.0d1d2aea5dd41p-3, 0x1.0841a4f039703p-3, 0x1.037514bd21a54p-3, 0x1.fd6f096e58f02p-4, 0x1.f411fa21fa65p-4, 0x1.ead307b6129b2p-4, 0x1.e1b23a293dd1p-4, 0x1.d8af95795d1c3p-4, 0x1.cfcb19c4b79aap-4, 0x1.c704c36a9b38p-4, 0x1.be5c8b2b85d1fp-4, 0x1.b5d26648c6e74p-4, 0x1.ad6646a3ad2b2p-4, 0x1.a5181adc2adfep-4, 0x1.9ce7ce6ef2bcbp-4, 0x1.94d549d322d33p-4, 0x1.8ce0729754a65p-4, 0x1.85092b7e38f78p-4, 0x1.7d4f549aa6238p-4, 0x1.75b2cb6b209e7p-4, 0x1.6e336af4df7f3p-4, 0x1.66d10bde474b7p-4, 0x1.5f8b8488df6a3p-4, 0x1.5862a92abf4p-4, 0x1.51564be776a57p-4, 0x1.4a663ce86c9ebp-4, 0x1.43924a74bc117p-4, 0x1.3cda41088607ap-4, 0x1.363deb6bc24a7p-4, 0x1.2fbd12c888b49p-4, 0x1.29577ec0d8834p-4, 0x1.230cf583db2edp-4, 0x1.1cdd3be2a4609p-4, 0x1.16c815647203ap-4, 0x1.10cd445a6b082p-4, 0x1.0aec89f2de145p-4, 0x1.0525a64c02c6fp-4, 0x1.fef0b10c7c248p-5, 0x1.f3c8bdabd08d7p-5, 0x1.e8d2ed2937afdp-5, 0x1.de0eb8a411436p-5, 0x1.d37b97c89e0cp-5, 0x1.c91900efcc1b4p-5, 0x1.bee6693e17bp-5, 0x1.b4e344c18276p-5, 0x1.ab0f068ea8e34p-5, 0x1.a16920dcf60d5p-5, 0x1.97f10521fae3ap-5, 0x1.8ea6242be7cp-5, 0x1.8587ee3b31743p-5, 0x1.7c95d31b61d39p-5, 0x1.73cf423b16e42p-5, 0x1.6b33aac3343b8p-5, 0x1.62c27bad4bceap-5, 0x1.5a7b23d93f42ep-5, 0x1.525d12221fbb4p-5, 0x1.4a67b5724e3f2p-5, 0x1.429a7cd6ddc6fp-5, 0x1.3af4d7924017p-5, 0x1.3376352e3cb21p-5, 0x1.2c1e058d345bfp-5, 0x1.24ebb8fabaaadp-5, 0x1.1ddec03b8331ap-5, 0x1.16f68c9ca7e42p-5, 0x1.103290024d47cp-5, 0x1.09923cf5a7423p-5, 0x1.031506b25f93p-5, 0x1.f974c266cfa6cp-6, 0x1.ed03827e614bep-6, 0x1.e0d538e6ab242p-6, 0x1.d4e8d29f6b9a8p-6, 0x1.c93d3e820900ap-6, 0x1.bdd16d55a05dcp-6, 0x1.b2a451e21418cp-6, 0x1.a7b4e102077e1p-6, 0x1.9d0211b3f6fb5p-6, 0x1.928add2a45a83p-6, 0x1.884e3eda6c718p-6, 0x1.7e4b348b3c206p-6, 0x1.7480be623945fp-6, 0x1.6aeddef028907p-6, 0x1.61919b3cbb5bp-6, 0x1.586afad171937p-6, 0x1.4f7907c3b52fep-6, 0x1.46bacebe2e7f5p-6, 0x1.3e2f5f095e002p-6, 0x1.35d5ca9380a9bp-6, 0x1.2dad25f7b9bb4p-6, 0x1.25b488849f9f5p-6, 0x1.1deb0c4213416p-6, 0x1.164fcdf67c949p-6, 0x1.0ee1ed2b6f1a8p-6, 0x1.07a08c31ad45ap-6, 0x1.008ad024a4bfdp-6, 0x1.f33fc1daadd56p-7, 0x1.e5bdd2897cfa4p-7, 0x1.d88e2d6b5c0aap-7, 0x1.cbaf333c5f81p-7, 0x1.bf1f4a60ec88fp-7, 0x1.b2dcdee68c1a1p-7, 0x1.a6e66283fbdb7p-7, 0x1.9b3a4c9856cfap-7, 0x1.8fd71a2978f87p-7, 0x1.84bb4de18a3ddp-7, 0x1.79e5700bdda28p-7, 0x1.6f540e9107367p-7, 0x1.6505bcf25469fp-7, 0x1.5af914448931fp-7, 0x1.512cb32a09662p-7, 0x1.479f3dcc618a3p-7, 0x1.3e4f5dd54466fp-7, 0x1.353bc266f2541p-7, 0x1.2c63201424852p-7, 0x1.23c430d77a845p-7, 0x1.1b5db40a64168p-7, 0x1.132e6e5ba582cp-7, 0x1.0b3529c56b663p-7, 0x1.0370b582f933cp-7, 0x1.f7bfcc0be39dap-8, 0x1.e90329d69d524p-8, 0x1.daa941dff87cbp-8, 0x1.ccafdbca46c48p-8, 0x1.bf14c9485862p-8, 0x1.b1d5e604fbbacp-8, 0x1.a4f11789e58ecp-8, 0x1.98644d262cc87p-8, 0x1.8c2d7fd450a39p-8, 0x1.804ab21fe672ap-8, 0x1.74b9f00ad09bfp-8, 0x1.69794ef21fbcep-8, 0x1.5e86ed72bb819p-8, 0x1.53e0f34da9412p-8, 0x1.4985914c222f2p-8, 0x1.3f73012368402p-8, 0x1.35a7855865937p-8, 0x1.2c21692325049p-8, 0x1.22df00522745ap-8, 0x1.19dea72d90d9bp-8, 0x1.111ec25a3e71bp-8, 0x1.089dbebcce07bp-8, 0x1.005a115c8a6b1p-8, 0x1.f0a46e8ca7fa4p-9, 0x1.e1096adf31d07p-9, 0x1.d1e031324b4e3p-9, 0x1.c325ea642b451p-9, 0x1.b4d7ce75843ep-9, 0x1.a6f3244f9e9p-9, 0x1.9975418a76f8dp-9, 0x1.8c5b8a3300abep-9, 0x1.7fa37091aaefep-9, 0x1.734a74f125c89p-9, 0x1.674e2565555abp-9, 0x1.5bac1d92a1a26p-9, 0x1.506206758145ep-9, 0x1.456d962a54e8bp-9, 0x1.3acc8fb5a1a22p-9, 0x1.307cc2cca8e72p-9, 0x1.267c0b9e6feabp-9, 0x1.1cc8529d2110ep-9, 0x1.135f8c47c6e41p-9, 0x1.0a3fb8f49216bp-9, 0x1.0166e49b82091p-9, 0x1.f1a64d4324552p-10, 0x1.e1054348e70eap-10, 0x1.d0e7068d1066dp-10, 0x1.c14807f727f66p-10, 0x1.b224cdabbfd65p-10, 0x1.a379f2a7a81fep-10, 0x1.9544265ca7fc2p-10, 0x1.87802c4ec2507p-10, 0x1.7a2adbb2d7721p-10, 0x1.6d411f0e50906p-10, 0x1.60bff3d7f33b4p-10, 0x1.54a46a19de26dp-10, 0x1.48eba414ca312p-10, 0x1.3d92d5e449dc2p-10, 0x1.32974524103d5p-10, 0x1.27f64896b6bc3p-10, 0x1.1dad47cd8b662p-10, 0x1.13b9bad168f93p-10, 0x1.0a1929cd4187dp-10, 0x1.00c92cb941ab7p-10, 0x1.ef8ed60ea8ebbp-11, 0x1.de2336a224866p-11, 0x1.cd4b060d250e9p-11, 0x1.bd01ec3d6080ap-11, 0x1.ad43ad90db085p-11, 0x1.9e0c2a3b18adap-11, 0x1.8f575dac4e29ep-11, 0x1.81215dfb570e2p-11, 0x1.73665b51fe29ap-11, 0x1.66229f5b921b8p-11, 0x1.59528cb5d2e64p-11, 0x1.4cf29e649b5efp-11, 0x1.40ff6746ca242p-11, 0x1.3575918ea2eb1p-11, 0x1.2a51de3be2d84p-11, 0x1.1f9124981e50cp-11, 0x1.153051b5bc06cp-11, 0x1.0b2c67f0e7879p-11, 0x1.01827e72de241p-11, 0x1.f05f816e496f1p-12, 0x1.de62dc26af061p-12, 0x1.cd09b281a2ac9p-12, 0x1.bc4ecfd1a6b7p-12, 0x1.ac2d246516575p-12, 0x1.9c9fc4a6ee96ap-12, 0x1.8da1e842cf788p-12, 0x1.7f2ee94de190bp-12, 0x1.71424373dc983p-12, 0x1.63d793279bbc1p-12, 0x1.56ea94d8287cfp-12, 0x1.4a772429e2f23p-12, 0x1.3e793b32bffc2p-12, 0x1.32ecf1baf6d15p-12, 0x1.27ce7c819ad9cp-12, 0x1.1d1a2c84714c8p-12, 0x1.12cc6e4bdc8a4p-12, 0x1.08e1c93a82ae3p-12, 0x1.feadbdc149f3ap-13, 0x1.ec50d4a4f1d6bp-13, 0x1.daa67f04d6c14p-13, 0x1.c9a8953dabf7dp-13, 0x1.b9511ee5cf797p-13, 0x1.a99a5196b4bfbp-13, 0x1.9a7e8fbbe7a3cp-13, 0x1.8bf867697caeep-13, 0x1.7e029138382fep-13, 0x1.7097ef2862e17p-13, 0x1.63b38b8ac6d33p-13, 0x1.575097ef709a3p-13, 0x1.4b6a6c1b0cf55p-13, 0x1.3ffc8501d67bfp-13, 0x1.350283c8ed4f1p-13, 0x1.2a782ccc3437ap-13, 0x1.205966ab4204ap-13, 0x1.16a2395a633dcp-13, 0x1.0d4ecd3a5a842p-13, 0x1.045b6a34417efp-13, 0x1.f788edb856525p-14, 0x1.e70cef2ef8c4fp-14, 0x1.d73c1b9247996p-14, 0x1.c80fee0543b25p-14, 0x1.b982187374937p-14, 0x1.ab8c82069a809p-14, 0x1.9e2945a45e811p-14, 0x1.9152b077a6dfp-14, 0x1.850340806e29cp-14, 0x1.7935a32e3d748p-14, 0x1.6de4b40280a12p-14, 0x1.630b7b3c24bfcp-14, 0x1.58a52c89ce611p-14, 0x1.4ead25c6de04fp-14, 0x1.451eedbdd8fb5p-14, 0x1.3bf632f57d3f7p-14, 0x1.332eca828d8dfp-14, 0x1.2ac4aee3f7c1dp-14, 0x1.22b3fee3e2cbbp-14, 0x1.1af8fc82a3a5ap-14, 0x1.13900be5e222ep-14, 0x1.0c75b25169485p-14, 0x1.05a69524c3dedp-14, 0x1.fe3ef1c11c46p-15, 0x1.f1ba806493fp-15, 0x1.e5b9d60c64f0ep-15, 0x1.da372b3df6294p-15, 0x1.cf2cef6a24887p-15, 0x1.c495c73422077p-15, 0x1.ba6c8ac705aebp-15, 0x1.b0ac44350726ap-15, 0x1.a7502de2519c8p-15, 0x1.9e53b0faeb33ap-15, 0x1.95b263f38b2e1p-15, 0x1.8d68091434d79p-15, 0x1.85708d0d48199p-15, 0x1.7dc805971f7f8p-15, 0x1.766ab01ab5d6ep-15, 0x1.6f54f0639bd59p-15, 0x1.68834f5cebf61p-15, 0x1.61f279d4ac1fp-15, 0x1.5b9f3f49def58p-15, 0x1.558690c30d0a1p-15, 0x1.4fa57fac3469bp-15, 0x1.49f93cbecb7cfp-15, 0x1.447f16efd3a94p-15, 0x1.3f347a6794f65p-15, 0x1.3a16ef7edfd55p-15, 0x1.352419c6972b8p-15, 0x1.3059b71396e4dp-15, 0x1.2bb59e93f614cp-15, 0x1.2735bfe9a0bebp-15, 0x1.22d8224c70827p-15, 0x1.1e9ae3b34eb9bp-15, 0x1.1a7c3803011abp-15, 0x1.167a6843e6364p-15, 0x1.1293d1dcbab6ap-15, 0x1.0ec6e5d48d2a4p-15, 0x1.0b122819049dp-15, 0x1.07742ecca2bedp-15, 0x1.03eba197ea6efp-15, 0x1.007739014919cp-15, 0x1.fa2b7b947182ep-16, 0x1.f38c10a1e3717p-16, 0x1.ed0dffeec348cp-16, 0x1.e6af351fb4ad9p-16, 0x1.e06db797d92f3p-16, 0x1.da47a964fc298p-16, 0x1.d43b4630fc5cbp-16, 0x1.ce46e23e40575p-16, 0x1.c868e96b67797p-16, 0x1.c29fde3ee3ca1p-16, 0x1.bcea58fba9d0ep-16, 0x1.b74706bbcd402p-16, 0x1.b1b4a895479ebp-16, 0x1.ac3212c34eff8p-16, 0x1.a6be2bd8cfb66p-16, 0x1.a157ebf89efb5p-16, 0x1.9bfe5c143defap-16, 0x1.96b0953260b4fp-16, 0x1.916dbfbaf585bp-16, 0x1.8c3512c89ed5fp-16, 0x1.8705d3828de45p-16, 0x1.81df5479493fp-16, 0x1.7cc0f50ade017p-16, 0x1.77aa20cbdfd01p-16, 0x1.729a4ef5e02f3p-16, 0x1.6d9101dbd6fdfp-16, 0x1.688dc66216dcfp-16, 0x1.6390337bf913p-16, 0x1.5e97e9adeefbep-16, 0x1.59a49294a30f7p-16, 0x1.54b5e06fce2ffp-16, 0x1.4fcb8db2f6e65p-16, 0x1.4ae55c97b44a5p-16, 0x1.460316b678a6ap-16, 0x1.41248ca18f9aep-16, 0x1.3c4995852c8e8p-16, 0x1.37720eca525c6p-16, 0x1.329ddbbe28765p-16, 0x1.2dcce53b751cp-16, 0x1.28ff195897c63p-16, 0x1.24346b17d5525p-16, 0x1.1f6cd21b8a2e1p-16, 0x1.1aa84a5dbd337p-16, 0x1.15e6d3e9c595dp-16, 0x1.11287298b2402p-16, 0x1.0c6d2dd1157ebp-16, 0x1.07b5104947e24p-16, 0x1.030027cc178dbp-16, 0x1.fc9d0a00763dp-17, 0x1.f3407664159fp-17, 0x1.e9eac03f30a8bp-17, 0x1.e09c178cccf6bp-17, 0x1.d754b067f6f24p-17, 0x1.ce14c2b27d78ep-17, 0x1.c4dc89bccdbe7p-17, 0x1.bbac43f3e965dp-17, 0x1.b28432919a2c6p-17, 0x1.a9649951d6545p-17, 0x1.a04dbe29a5d83p-17, 0x1.973fe904331f2p-17, 0x1.8e3b6380677bep-17, 0x1.854078b3c562p-17, 0x1.7c4f74ef8bb7p-17, 0x1.7368a586edd64p-17, 0x1.6a8c589c9a335p-17, 0x1.61badceeb61b7p-17, 0x1.58f481a757812p-17, 0x1.5039963018db5p-17, 0x1.478a6a06a7eb9p-17, 0x1.3ee74c9505c4fp-17, 0x1.36508d0a6106cp-17, 0x1.2dc67a384636p-17, 0x1.2549626fb266ep-17, 0x1.1cd993622d545p-17, 0x1.14775a0368336p-17, 0x1.0c23026d8149cp-17, 0x1.03dcd7c74e54fp-17, 0x1.f74a4854ee7c5p-18, 0x1.e6f8611cb141fp-18, 0x1.d6c4896297305p-18, 0x1.c6af4e0bab1c6p-18, 0x1.b6b93941904c8p-18, 0x1.a6e2d24ec8a21p-18, 0x1.972c9d80aeef7p-18, 0x1.87971c0a92faap-18, 0x1.7822cbeadce34p-18, 0x1.68d027d4fb881p-18, 0x1.599fa71bb1c08p-18, 0x1.4a91bd9e45749p-18, 0x1.3ba6dbb5ab3f9p-18, 0x1.2cdf6e26f012cp-18, 0x1.1e3bde1441c33p-18, 0x1.0fbc90f2cc197p-18, 0x1.0161e87fe1bccp-18, 0x1.e658857459f6ap-19, 0x1.ca37f3b38391p-19, 0x1.ae62c894d28cep-19, 0x1.92d9a95164b68p-19, 0x1.779d337caaac7p-19, 0x1.5cadfd055f2cfp-19, 0x1.420c943268affp-19, 0x1.27b97fa8d0725p-19, 0x1.0db53e6b44cb1p-19, 0x1.e8008fc94e146p-20, 0x1.b53617d8a7ccdp-20, 0x1.830be5a6cdaf8p-20, 0x1.5182badd87e88p-20, 0x1.209b4a4ce91adp-20, 0x1.e0ac70095d7d1p-21, 0x1.816832f099114p-21, 0x1.236aeb3a733ep-21, 0x1.8d6b145f566f5p-22, 0x1.ad2392e243581p-23, 0x1.125b3c249d7c4p-25, -0x1.1ecdadee639c5p-23, -0x1.3e83ee1c589c5p-22, -0x1.eb0b0fe8fd3f4p-22, -0x1.4a7dd1baa077ep-21, -0x1.9e2aa213c1156p-21, -0x1.f08be06d4e3dp-21, -0x1.20d0c6c32702ap-20, -0x1.48b5e181edafbp-20, -0x1.6ff5597e98e92p-20, -0x1.968f53c6d0eb8p-20, -0x1.bc84012e3438cp-20, -0x1.e1d39e18fe15bp-20, -0x1.033f391e64083p-19, -0x1.15426832f817ap-19, -0x1.26f38b1edf41bp-19, -0x1.3852d605702d2p-19, -0x1.4960823bd79f9p-19, -0x1.5a1cce2983a0dp-19, -0x1.6a87fd2be0e5ep-19, -0x1.7aa257745638fp-19, -0x1.8a6c29ed08c27p-19, -0x1.99e5c6186532fp-19, -0x1.a90f81f3ad63p-19, -0x1.b7e9b7d66e771p-19, -0x1.c674c6574246bp-19, -0x1.d4b1102b75593p-19, -0x1.e29efc096d524p-19, -0x1.f03ef48a9ca71p-19, -0x1.fd91680df11cap-19, -0x1.054b644cfffdbp-18, -0x1.0ba7c5e018872p-18, -0x1.11de153f64699p-18, -0x1.17ee90923e7bfp-18, -0x1.1dd97799f4db8p-18, -0x1.239f0ba318f46p-18, -0x1.293f8f785c6f6p-18, -0x1.2ebb4753c793ep-18, -0x1.341278d126a98p-18, -0x1.39456ae129c4bp-18, -0x1.3e5465bb36cd2p-18, -0x1.433fb2d060a62p-18, -0x1.48079cbe131c8p-18, -0x1.4cac6f41bf10bp-18, -0x1.512e772bad042p-18, -0x1.558e0252853c7p-18, -0x1.59cb5f872ae8cp-18, -0x1.5de6de88656a7p-18, -0x1.61e0cff6bf3a3p-18, -0x1.65b98548c0be7p-18, -0x1.697150bf630dbp-18, -0x1.6d08855ad081fp-18, -0x1.707f76cee2b88p-18, -0x1.73d6797878bd4p-18, -0x1.770de25277e57p-18, -0x1.7a2606eb631edp-18, -0x1.7d1f3d5a654d9p-18, -0x1.7ff9dc3557dd4p-18, -0x1.82b63a8711aa8p-18, -0x1.8554afc50d993p-18, -0x1.87d593c67d7d7p-18, -0x1.8a393eba211d9p-18, -0x1.8c80091db22b8p-18, -0x1.8eaa4bb43aacdp-18, -0x1.90b85f7d4beacp-18, -0x1.92aa9dacccfecp-18, -0x1.94815fa1f4a7ap-18, -0x1.963cfedfb0e29p-18, -0x1.97ddd5041d8e7p-18, -0x1.99643bc0e7fbcp-18, -0x1.9ad08cd3a3c98p-18, -0x1.9c2321fdeb034p-18, -0x1.9d5c54fe0ceb6p-18, -0x1.9e7c7f8888431p-18, -0x1.9f83fb407001ep-18, -0x1.a07321b11b39ap-18, -0x1.a14a4c476807ep-18, -0x1.a209d44b46953p-18, -0x1.a2b212d9b19c1p-18, -0x1.a34360dde0ec2p-18, -0x1.a3be170c0bfd5p-18, -0x1.a4228ddb9c65fp-18, -0x1.a4711d817715cp-18, -0x1.a4aa1deae0a26p-18, -0x1.a4cde6b7ed6bep-18, -0x1.a4dccf36beaf4p-18, -0x1.a4d72e5e6ee55p-18, -0x1.a4bd5ac9f6ec5p-18, -0x1.a48faab40ac8fp-18, -0x1.a44e73f288963p-18, -0x1.a3fa0bf208079p-18, -0x1.a392c7b1db7acp-18, -0x1.a318fbbfe5842p-18, -0x1.a28cfc350d955p-18, -0x1.a1ef1cb10d77p-18, -0x1.a13fb056c91d6p-18, -0x1.a07f09c91c149p-18, -0x1.9fad7b2789d1ap-18, -0x1.9ecb560ad7d11p-18, -0x1.9dd8eb825d4bcp-18, -0x1.9cd68c10a8939p-18, -0x1.9bc487a8e6fdfp-18, -0x1.9aa32dac2c86dp-18, -0x1.9972cce67a057p-18, -0x1.9833b38ca47d3p-18, -0x1.96e62f3a00c44p-18, -0x1.958a8cedec4a1p-18, -0x1.94211909da73fp-18, -0x1.92aa1f4f2cf0cp-18, -0x1.9125eadd53d1cp-18, -0x1.8f94c6301f366p-18, -0x1.8df6fb1d7912cp-18, -0x1.8c4cd2d4396d1p-18, -0x1.8a9695daa1416p-18, -0x1.88d48c0cb8dc1p-18, -0x1.8706fc9b31a38p-18, -0x1.852e2e09f1697p-18, -0x1.834a662f314f7p-18, -0x1.815bea32104cdp-18, -0x1.7f62fe89dcbbbp-18, -0x1.7d5fe6fcbdedfp-18, -0x1.7b52e69f51505p-18, -0x1.793c3fd3d442ap-18, -0x1.771c3449446d5p-18, -0x1.74f304faefa1fp-18, -0x1.72c0f22fe16fap-18, -0x1.70863b7a7ffc5p-18, -0x1.6e431fb807b89p-18, -0x1.6bf7dd101af68p-18, -0x1.69a4b0f4b4a7dp-18, -0x1.6749d821e7838p-18, -0x1.64e78e9d9e095p-18, -0x1.627e0fb7da347p-18, -0x1.600d960a77cd8p-18, -0x1.5d965b7928aaep-18, -0x1.5b189931b3869p-18, -0x1.589487ac1c0e7p-18, -0x1.560a5eaa8af7fp-18, -0x1.537a5539d6556p-18, -0x1.50e4a1b1d045cp-18, -0x1.4e4979b596cbap-18, -0x1.4ba91233d6acp-18, -0x1.49039f6774e89p-18, -0x1.465954d7e8f7ap-18, -0x1.43aa6559c562bp-18, -0x1.40f7030f4424dp-18, -0x1.3e3f5f68e57b4p-18, -0x1.3b83ab2624546p-18, -0x1.38c41656151fbp-18, -0x1.3600d05810ba2p-18, -0x1.333a07dcaa93cp-18, -0x1.306feae652189p-18, -0x1.2da2a6ca27fafp-18, -0x1.2ad26830d0524p-18, -0x1.27ff5b177b7d3p-18, -0x1.2529aad07e51p-18, -0x1.225182047bd7ep-18, -0x1.1f770ab364f9bp-18, -0x1.1c9a6e355cc36p-18, -0x1.19bbd53bac3eap-18, -0x1.16db67d1e6b63p-18, -0x1.13f94d5f0acdbp-18, -0x1.1115aca654a0dp-18, -0x1.0e30abc8832c9p-18, -0x1.0b4a7044f10bdp-18, -0x1.08631efab94efp-18, -0x1.057adc29d3adap-18, -0x1.0291cb743b195p-18, -0x1.ff501fbe75dddp-19, -0x1.f97b97a92e87ap-19, -0x1.f3a642476098cp-19, -0x1.edd062059b12cp-19, -0x1.e7fa3820da8ffp-19, -0x1.e22404a8bd9e2p-19, -0x1.dc4e068217a3ep-19, -0x1.d6787b69aa64dp-19, -0x1.d0a39ff6e1d48p-19, -0x1.cacfaf9de13e6p-19, -0x1.c4fce4b290f3ep-19, -0x1.bf2b786b117dp-19, -0x1.b95ba2e28fa11p-19, -0x1.b38d9b1b6b7f9p-19, }}, 
      {{0x1.0c9c7530883aep-11, 0x1.0928d6deeb024p-9, 0x1.241560d670e37p-8, 0x1.f890747ad5bb4p-8, 0x1.7c50fdbfac291p-7, 0x1.06703619e2bcap-6, 0x1.5438996748cd5p-6, 0x1.a4c0af7ccf10ap-6, 0x1.f563ef5be7571p-6, 0x1.21d70606d047dp-5, 0x1.46b4486c87c93p-5, 0x1.68519fdcb83bp-5, 0x1.85dc15f30b97bp-5, 0x1.9ea63e0b2c749p-5, 0x1.b2275300f5ae8p-5, 0x1.bff96abf938d8p-5, 0x1.c7d7090fcd7fap-5, 0x1.c9984c7b5b71bp-5, 0x1.c52fe34e49eb1p-5, 0x1.baa7ebf410688p-5, 0x1.aa1edb128a974p-5, 0x1.93c47aa511465p-5, 0x1.77d70fb3537b3p-5, 0x1.56a0afd068663p-5, 0x1.3074cc1b09663p-5, 0x1.05adf4cd6462cp-5, 0x1.ad57acc098f08p-6, 0x1.47a2df73431efp-6, 0x1.b60dfedb0b48fp-7, 0x1.a1393c6abb3ffp-8, -0x1.f7d0465da6821p-11, -0x1.18b4a726fa215p-7, -0x1.0cc538d2af069p-6, -0x1.9045d350d5f3cp-6, -0x1.0b15328cf7908p-5, -0x1.4ee4d2d2fdef3p-5, -0x1.9341afb67be5fp-5, -0x1.d7e06e8ce5d33p-5, -0x1.0e3d4b2e56b51p-4, -0x1.30674fb2b2d62p-4, -0x1.524ff9a657fd8p-4, -0x1.73db703276b59p-4, -0x1.94f04122421c7p-4, -0x1.b57750d411e79p-4, -0x1.d55bc6b07cbe6p-4, -0x1.f48af6ece7b2cp-4, -0x1.097a2522d1361p-3, -0x1.184492226b0f8p-3, -0x1.269e644b05e1bp-3, -0x1.34821fe9a23adp-3, -0x1.41eb1e138e7b8p-3, -0x1.4ed57f08441fp-3, -0x1.5b3e1cc3774aep-3, -0x1.67227dd8cccb4p-3, -0x1.7280c8ad98549p-3, -0x1.7d57b72066ae6p-3, -0x1.87a68aaa519fcp-3, -0x1.916d0102bbaa9p-3, -0x1.9aab494b59e16p-3, -0x1.a361f9c7f2a6dp-3, -0x1.ab9206236de0ep-3, -0x1.b33cb641fbb03p-3, -0x1.ba639d9ef639dp-3, -0x1.c1089333de7dfp-3, -0x1.c72da9e519bb6p-3, -0x1.ccd5297066b75p-3, -0x1.d20187d85c001p-3, -0x1.d6b56348225bap-3, -0x1.daf37c6a1395bp-3, -0x1.debeb12bf93d5p-3, -0x1.e219f7eb6e95dp-3, -0x1.e5085b04e8fd6p-3, -0x1.e78cf4c00effbp-3, -0x1.e9aaeb93e7801p-3, -0x1.eb656ebdc5e13p-3, -0x1.ecbfb325c4b7dp-3, -0x1.edbcf08bf342cp-3, -0x1.ee605ef969baep-3, -0x1.eead3470c50ffp-3, -0x1.eea6a2d9a5f0bp-3, -0x1.ee4fd6230d6c4p-3, -0x1.edabf298a7259p-3, -0x1.ecbe13673ecd4p-3, -0x1.eb89494cdb496p-3, -0x1.ea1099711b5cfp-3, -0x1.e856fc62bd0c6p-3, -0x1.e65f5d3748cd5p-3, -0x1.e42c98ca25391p-3, -0x1.e1c17d186fb75p-3, -0x1.df20c8b72b5c9p-3, -0x1.dc4d2a6182548p-3, -0x1.d949409cf5d76p-3, -0x1.d61799718c925p-3, -0x1.d2bab23414afp-3, -0x1.cf34f760e3fb7p-3, -0x1.cb88c4856107cp-3, -0x1.c7b86436fb886p-3, -0x1.c3c6101625339p-3, -0x1.bfb3f0dc1bap-3, -0x1.bb841e7254913p-3, -0x1.b738a0127ce32p-3, -0x1.b2d36c6e201ccp-3, -0x1.ae5669dd025d9p-3, -0x1.a9c36e9166be2p-3, -0x1.a51c40d186c73p-3, -0x1.a062973580859p-3, -0x1.9b9818e92856p-3, -0x1.96be5df12d45fp-3, -0x1.91d6ef72fd241p-3, -0x1.8ce347ff0be56p-3, -0x1.87e4d3dcf8aaap-3, -0x1.82dcf1593db7bp-3, -0x1.7dccf1141285dp-3, -0x1.78b616512393fp-3, -0x1.73999747f157fp-3, -0x1.6e789d747912dp-3, -0x1.695445e8061a8p-3, -0x1.642da199e9a2bp-3, -0x1.5f05b5b7f4108p-3, -0x1.59dd7bf6821e4p-3, -0x1.54b5e2dffc605p-3, -0x1.4f8fce23a8a0cp-3, -0x1.4a6c16e3af297p-3, -0x1.454b8c024507cp-3, -0x1.402ef26dd6595p-3, -0x1.3b17056c2a792p-3, -0x1.360476e46eb2dp-3, -0x1.30f7efa81969cp-3, -0x1.2bf20fba96bf4p-3, -0x1.26f36e97beb8ap-3, -0x1.21fc9b78fee71p-3, -0x1.1d0e1d9943009p-3, -0x1.182874778044cp-3, -0x1.134c1817f8c98p-3, -0x1.0e7979441d2d3p-3, -0x1.09b101c91f272p-3, -0x1.04f314b520bbap-3, -0x1.00400e930d45p-3, -0x1.f7308b4a335b5p-4, -0x1.edf8143bd5f61p-4, -0x1.e4d74cb0bd84dp-4, -0x1.dbcebe1c11c49p-4, -0x1.d2dee718ab933p-4, -0x1.ca083bd0c4069p-4, -0x1.c14b2662fc74ep-4, -0x1.b8a80744e0da7p-4, -0x1.b01f35a2d4c88p-4, -0x1.a7b0ffbd81bb7p-4, -0x1.9f5dab44c190ep-4, -0x1.972575b025aa1p-4, -0x1.8f089494fd2bep-4, -0x1.870735fa0e6f5p-4, -0x1.7f2180a8ec974p-4, -0x1.7757947d03adap-4, -0x1.6fa98ab05dcp-4, -0x1.681776262f3aap-4, -0x1.60a163b331311p-4, -0x1.59475a63d58bdp-4, -0x1.52095bc05ec6fp-4, -0x1.4ae7640ee5a3cp-4, -0x1.43e16a935510dp-4, -0x1.3cf761cd6ae44p-4, -0x1.362937b4c38eep-4, -0x1.2f76d5f2fc653p-4, -0x1.28e0221bf793dp-4, -0x1.2264fde44ab7ap-4, -0x1.1c054755e3898p-4, -0x1.15c0d902ebc29p-4, -0x1.0f978a36f66eap-4, -0x1.09892f2681c07p-4, -0x1.0395991cd5808p-4, -0x1.fb792d5093be2p-5, -0x1.effbe789fe383p-5, -0x1.e4b2f40c21d86p-5, -0x1.d99de17a9bc03p-5, -0x1.cebc3a42fb12fp-5, -0x1.c40d84e67b9ep-5, -0x1.b991444102edp-5, -0x1.af46f7cd7162bp-5, -0x1.a52e1be759fb3p-5, -0x1.9b462a0a32a9dp-5, -0x1.918e990e0d82p-5, -0x1.8806dd61ee04fp-5, -0x1.7eae6943cb1dp-5, -0x1.7584acf64c352p-5, -0x1.6c8916f45795p-5, -0x1.63bb14227c37bp-5, -0x1.5b1a0ffe4b29ap-5, -0x1.52a574cbac0b3p-5, -0x1.4a5cabc0433c2p-5, -0x1.423f1d2cf05eep-5, -0x1.3a4c30a57a509p-5, -0x1.32834d26737e4p-5, -0x1.2ae3d939666b4p-5, -0x1.236d3b175a99dp-5, -0x1.1c1ed8c9b7cf5p-5, -0x1.14f818499ffdp-5, -0x1.0df85f9dc241bp-5, -0x1.071f14f6bc7cep-5, -0x1.006b9eca1112cp-5, -0x1.f3bac7d782d68p-6, -0x1.e6e7974d30dd4p-6, -0x1.da5c7ba65b95bp-6, -0x1.ce1845db5e0d4p-6, -0x1.c219c854fd238p-6, -0x1.b65fd7134d6bap-6, -0x1.aae947d2742d9p-6, -0x1.9fb4f22d3e99ep-6, -0x1.94c1afbdb5e47p-6, -0x1.8a0e5c3bb5e69p-6, -0x1.7f99d5999d81dp-6, -0x1.7562fc1f32ccap-6, -0x1.6b68b282bd252p-6, -0x1.61a9de0076f14p-6, -0x1.5825667058743p-6, -0x1.4eda365a59fbbp-6, -0x1.45c73b092f812p-6, -0x1.3ceb649b9d697p-6, -0x1.3445a6145ea5ep-6, -0x1.2bd4f568c5ba8p-6, -0x1.23984b8e0d675p-6, -0x1.1b8ea4857953bp-6, -0x1.13b6ff6743ebp-6, -0x1.0c105e6c758fcp-6, -0x1.0499c6f7a742dp-6, -0x1.faa483397f09p-7, -0x1.ec71b44f5e231p-7, -0x1.de993f448da1ap-7, -0x1.d11948b24f4bcp-7, -0x1.c3effbbf9c89ep-7, -0x1.b71b8a27b6cd9p-7, -0x1.aa9a2c3f15fbep-7, -0x1.9e6a20f6ee8dep-7, -0x1.9289addf36125p-7, -0x1.86f71f276b06ap-7, -0x1.7bb0c79e03e11p-7, -0x1.70b500aeae1d2p-7, -0x1.66022a5f61822p-7, -0x1.5b96ab4c63ca8p-7, -0x1.5170f0a33e13dp-7, -0x1.478f6e1cb61adp-7, -0x1.3df09df5d5428p-7, -0x1.349300e81a873p-7, -0x1.2b751e20d09cbp-7, -0x1.2295833799631p-7, -0x1.19f2c4243f4d1p-7, -0x1.118b7b33d7fb5p-7, -0x1.095e48fd3ab8p-7, -0x1.0169d454df3b1p-7, -0x1.f359948045378p-8, -0x1.e44bbbd017cefp-8, -0x1.d5a791170d988p-8, -0x1.c76a92e26a8c2p-8, -0x1.b9924bb17d629p-8, -0x1.ac1c51d79176dp-8, -0x1.9f06475d168ecp-8, -0x1.924dd9e01c601p-8, -0x1.85f0c2741cc0dp-8, -0x1.79ecc5815229p-8, -0x1.6e3fb2a368214p-8, -0x1.62e76487cfa76p-8, -0x1.57e1c0cb89ee7p-8, -0x1.4d2cb7d8a2e68p-8, -0x1.42c644c353622p-8, -0x1.38ac6d26d58c6p-8, -0x1.2edd4101f347ep-8, -0x1.2556da93607bdp-8, -0x1.1c175e35e0bdfp-8, -0x1.131cfa3c51669p-8, -0x1.0a65e6cd8e35cp-8, -0x1.01f065c03a19cp-8, -0x1.f37584ed077acp-9, -0x1.e386a373c228bp-9, -0x1.d410e32d8b1c8p-9, -0x1.c5111270d13a5p-9, -0x1.b68411890ca5bp-9, -0x1.a866d26e946ddp-9, -0x1.9ab6587e7a6a3p-9, -0x1.8d6fb832c87c1p-9, -0x1.809016dae897fp-9, -0x1.7414aa5458cf5p-9, -0x1.67fab8c3cadfcp-9, -0x1.5c3f984ea0a55p-9, -0x1.50e0aed4c960ep-9, -0x1.45db71ab19274p-9, -0x1.3b2d6555f9428p-9, -0x1.30d41d44cef8cp-9, -0x1.26cd3b8dbb452p-9, -0x1.1d1670a9f43fdp-9, -0x1.13ad7b32b7a63p-9, -0x1.0a90279eb30a4p-9, -0x1.01bc500033db8p-9, -0x1.f25fb787af92fp-10, -0x1.e1d17edfea79cp-10, -0x1.d1c9f8c92479ap-10, -0x1.c245413837b85p-10, -0x1.b33f8cd986511p-10, -0x1.a4b52895269e2p-10, -0x1.96a2791469298p-10, -0x1.8903fa48e0cc3p-10, -0x1.7bd63ef4a96f4p-10, -0x1.6f15f0347008p-10, -0x1.62bfcd0ac3585p-10, -0x1.56d0a9ecefdeep-10, -0x1.4b45705176bcap-10, -0x1.401b1e3fc33a5p-10, -0x1.354ec5e1a06a8p-10, -0x1.2add8d1641dd8p-10, -0x1.20c4ad068c175p-10, -0x1.170171bb4488cp-10, -0x1.0d9139b4814a8p-10, -0x1.04717582b33b9p-10, -0x1.f73f4ec2a5b26p-11, -0x1.e632c5a62298ap-11, -0x1.d5b8987f0c7cep-11, -0x1.c5cc3124eecbap-11, -0x1.b66919b9119cep-11, -0x1.a78afbeb292cep-11, -0x1.992da0412e67fp-11, -0x1.8b4ced61cdb67p-11, -0x1.7de4e76258ee5p-11, -0x1.70f1af1775202p-11, -0x1.646f8168d34a2p-11, -0x1.585ab6a7ac55ap-11, -0x1.4cafc1e8dd454p-11, -0x1.416b306120f27p-11, -0x1.3689a8c4cb5bep-11, -0x1.2c07eaaa2062dp-11, -0x1.21e2cdee97eedp-11, -0x1.1817421ee2e19p-11, -0x1.0ea24de21c0a9p-11, -0x1.05810e6752558p-11, -0x1.f9616dac7816bp-12, -0x1.e85d1f84a622ep-12, -0x1.d7efed4198302p-12, -0x1.c814ba82a298ep-12, -0x1.b8c692929254cp-12, -0x1.aa00a763ad5ecp-12, -0x1.9bbe5090ae13cp-12, -0x1.8dfb0a6336bcbp-12, -0x1.80b274deb967dp-12, -0x1.73e052d0e416dp-12, -0x1.678088e73c957p-12, -0x1.5b8f1cc8e8921p-12, -0x1.50083435cc8cdp-12, -0x1.44e8142a5c572p-12, -0x1.3a2b2007f3b36p-12, -0x1.2fcdd8c1d5419p-12, -0x1.25ccdc0eb6f4cp-12, -0x1.1c24e39f448b6p-12, -0x1.12d2c4585ccbdp-12, -0x1.09d36d922dcc5p-12, -0x1.0123e85b564ep-12, -0x1.f182ad80c710fp-13, -0x1.e151e62ec87e6p-13, -0x1.d1b01e9fa873ep-13, -0x1.c298288cabbcfp-13, -0x1.b4050238e3868p-13, -0x1.a5f1d528e0fedp-13, -0x1.9859f4e14f45ap-13, -0x1.8b38ddadc1d64p-13, -0x1.7e8a336ec6085p-13, -0x1.7249c06f51c4fp-13, -0x1.6673744184a25p-13, -0x1.5b0362a1cbcd3p-13, -0x1.4ff5c262174cep-13, -0x1.4546ec5ac60b8p-13, -0x1.3af35a6284caap-13, -0x1.30f7a64d18cf2p-13, -0x1.275088f0c700fp-13, -0x1.1dfad93167e74p-13, -0x1.14f38b11c4545p-13, -0x1.0c37aecb74663p-13, -0x1.03c46fecaa70fp-13, -0x1.f72e28f662582p-14, -0x1.e759f83b80262p-14, -0x1.d8073e95d8d5fp-14, -0x1.c9311cfadf8ccp-14, -0x1.bad2e2dbfb58cp-14, -0x1.ace80ca3c80eep-14, -0x1.9f6c423edeff4p-14, -0x1.925b55ae1ce7ap-14, -0x1.85b141a30f5ffp-14, -0x1.796a2825fdc87p-14, -0x1.6d825145d624ap-14, -0x1.61f629d085339p-14, -0x1.56c2421580d23p-14, -0x1.4be34cb085671p-14, -0x1.41561d5cc7ea1p-14, -0x1.3717a7d185196p-14, -0x1.2d24fea626febp-14, -0x1.237b523f52e51p-14, -0x1.1a17efc3240fp-14, -0x1.10f8401540a64p-14, -0x1.0819c6db3724fp-14, -0x1.fef4430f56007p-15, -0x1.ee2e0cd90ab66p-15, -0x1.dddc87aa026ebp-15, -0x1.cdfb7e4ba4c8fp-15, -0x1.be86e809cf97cp-15, -0x1.af7ae70e6167bp-15, -0x1.a0d3c6c89f179p-15, -0x1.928dfa634e728p-15, -0x1.84a61b460cf84p-15, -0x1.7718e7a1bd5a9p-15, -0x1.69e34109ed08ep-15, -0x1.5d022b187dac4p-15, -0x1.5072ca1ce1492p-15, -0x1.443261d6f4eb7p-15, -0x1.383e543a2db3bp-15, -0x1.2c94203c8ef1fp-15, -0x1.213160af7e976p-15, -0x1.1613cb217381ap-15, -0x1.0b392eca3d1aap-15, -0x1.009f737fb9181p-15, -0x1.ec89316631b93p-16, -0x1.d84d68ef7537cp-16, -0x1.c487e524ea9a5p-16, -0x1.b135272086e44p-16, -0x1.9e51d7cab3a8cp-16, -0x1.8bdac628ff6b7p-16, -0x1.79cce5ba5c4c5p-16, -0x1.68254ce2abc0dp-16, -0x1.56e1336713d0ap-16, -0x1.45fdf0f2e95b7p-16, -0x1.3578fbae6804p-16, -0x1.254fe6e15a10bp-16, -0x1.158061a29a73p-16, -0x1.06083592ae991p-16, -0x1.edca8b48f4aa4p-17, -0x1.d02b19df83118p-17, -0x1.b32e3b1e45c3ep-17, -0x1.96d03f17c7ccbp-17, -0x1.7b0d9f9f3f707p-17, -0x1.5fe2fe47b6ae1p-17, -0x1.454d227406584p-17, -0x1.2b48f77bab10ap-17, -0x1.11d38ae145bfep-17, -0x1.f1d41538be32dp-18, -0x1.c11386e813109p-18, -0x1.91603ed2e9c5p-18, -0x1.62b54869c7854p-18, -0x1.350de3a6971b4p-18, -0x1.08658241fcfp-18, -0x1.b96f8a0e82e13p-19, -0x1.6400f2930fb91p-19, -0x1.10772cde201c5p-19, -0x1.7d94ee72f73b2p-20, -0x1.bbcd6bded3b7fp-21, -0x1.0755413aba6b3p-22, 0x1.5ab47428c8081p-22, 0x1.d75bde68d1a31p-21, 0x1.7d3a0d334e737p-20, 0x1.05aef785f7a9cp-19, 0x1.4b12d24dabe6bp-19, 0x1.8ece6dfcb1cd4p-19, 0x1.d0e773d42662ap-19, 0x1.08b1b11c12bb2p-18, 0x1.2823c7b41ddbep-18, 0x1.46cc9619b0d74p-18, 0x1.64aea33c8e3d1p-18, 0x1.81cc65c3fd26ap-18, 0x1.9e28452db389bp-18, 0x1.b9c49ae223f8dp-18, 0x1.d4a3b33763ecdp-18, 0x1.eec7ce64ac812p-18, 0x1.041990b6926e8p-17, 0x1.1073eb7d4897cp-17, 0x1.1c7408135bf2cp-17, 0x1.281af2a0d71e2p-17, 0x1.3369b34540e47p-17, 0x1.3e614e6caeec3p-17, 0x1.4902c51ee05a4p-17, 0x1.534f154d92016p-17, 0x1.5d473a1a6831dp-17, 0x1.66ec2c1711e8fp-17, 0x1.703ee185d7843p-17, 0x1.79404e92425c9p-17, 0x1.81f16585daed7p-17, 0x1.8a5316f9f260ep-17, 0x1.9266520640bd7p-17, 0x1.9a2c046b279ffp-17, 0x1.a1a51ab6ee033p-17, 0x1.a8d2806b76868p-17, 0x1.afb5201e93f7p-17, 0x1.b64de397be447p-17, 0x1.bc9db3e9451a7p-17, 0x1.c2a5798b77fddp-17, 0x1.c8661c70cf109p-17, 0x1.cde084197c839p-17, 0x1.d31597a5a2b7p-17, 0x1.d8063de41e21fp-17, 0x1.dcb35d5ea9e35p-17, 0x1.e11ddc650f533p-17, 0x1.e546a11771e0dp-17, 0x1.e92e916df4283p-17, 0x1.ecd6933e322fbp-17, 0x1.f03f8c3f8b908p-17, 0x1.f36a620eac819p-17, 0x1.f657fa2ee0836p-17, 0x1.f9093a0b25a2bp-17, 0x1.fb7f06f5ada5ep-17, 0x1.fdba462620bc8p-17, 0x1.ffbbdcb5d0b7fp-17, 0x1.00c257ce31389p-16, 0x1.018ad1d5cc9f1p-16, 0x1.0237cec4e94f1p-16, 0x1.02c9c0d617276p-16, 0x1.03411a2798a2cp-16, 0x1.039e4cb7949fep-16, 0x1.03e1ca600e83dp-16, 0x1.040c04d2cff3bp-16, 0x1.041d6d94cb158p-16, 0x1.041675f989ca9p-16, 0x1.03f78f1dce1abp-16, 0x1.03c129e2bc416p-16, 0x1.0373b6e835ec6p-16, 0x1.030fa687f18cdp-16, 0x1.029568cfa1b3ep-16, 0x1.02056d7bb0284p-16, 0x1.016023f142ac6p-16, 0x1.00a5fb3872362p-16, 0x1.ffaec3ed26e27p-17, 0x1.fde98cd13b0b8p-17, 0x1.fbfd2cba04637p-17, 0x1.f9ea7e5c1f081p-17, 0x1.f7b25b77d7fb2p-17, 0x1.f5559ccdd536cp-17, 0x1.f2d51a133085dp-17, 0x1.f031a9e5c7af3p-17, 0x1.ed6c21c19a1fdp-17, 0x1.ea8555f4e3c34p-17, 0x1.e77e199512ea3p-17, 0x1.e4573e73e3a9ep-17, 0x1.e11195143eb39p-17, 0x1.ddadeca0288cdp-17, 0x1.da2d12dd59c9dp-17, 0x1.d68fd423c597bp-17, 0x1.d2d6fb52f031ep-17, 0x1.cf0351c8a94e7p-17, 0x1.cb159f56de83dp-17, 0x1.c70eaa3a79bc4p-17, 0x1.c2ef37122b7cap-17, 0x1.beb808d587501p-17, 0x1.ba69e0cc6b247p-17, 0x1.b6057e86a780fp-17, 0x1.b18b9fd3b343ep-17, 0x1.acfd00bb6fc18p-17, 0x1.a85a5b759d18fp-17, 0x1.a3a468633fbb5p-17, 0x1.9edbde077a28bp-17, 0x1.9a017100e12c1p-17, 0x1.9515d402c4903p-17, 0x1.9019b7cf7407dp-17, 0x1.8b0dcb3244acdp-17, 0x1.85f2baf98987p-17, 0x1.80c931f1fd02p-17, 0x1.7b91d8e11892p-17, 0x1.764d5680ca8b2p-17, 0x1.70fc4f7af535ap-17, 0x1.6b9f66652ebc2p-17, 0x1.66373bbca3affp-17, 0x1.60c46de30e419p-17, 0x1.5b47991aaa103p-17, 0x1.55c15783f524dp-17, 0x1.50324119c6588p-17, 0x1.4a9aebb02ccf9p-17, 0x1.44fbeaf108a79p-17, 0x1.3f55d05a9da25p-17, 0x1.39a92b3d9d56dp-17, 0x1.33f688bba9b82p-17, 0x1.2e3e73c63a9e1p-17, 0x1.2881751d85e62p-17, 0x1.22c0134fa6b3dp-17, 0x1.1cfad2b801f05p-17, 0x1.1732357f741ecp-17, 0x1.1166bb9bc46a6p-17, 0x1.0b98e2d02207dp-17, 0x1.05c926acdf77p-17, 0x1.fff00121a8a14p-18, 0x1.f44bcf53a52aap-18, 0x1.e8a6a1eacc6a9p-18, 0x1.dd015e856bf3bp-18, 0x1.d15ce666033e2p-18, 0x1.c5ba1677d3da9p-18, 0x1.ba19c751e0234p-18, 0x1.ae7ccd3b1643bp-18, 0x1.a2e3f82ce162ap-18, 0x1.975013da7cdc5p-18, 0x1.8bc1e7b44bba5p-18, 0x1.803a36ed7e76cp-18, 0x1.74b9c080e0dd8p-18, 0x1.69413f3731129p-18, 0x1.5dd169ad4ac92p-18, 0x1.526af25a914fbp-18, 0x1.470e879757e1cp-18, 0x1.3bbcd3a4bdcbp-18, 0x1.30767cb1fc418p-18, 0x1.253c24e6014a5p-18, 0x1.1a0e6a65e221fp-18, 0x1.0eede75c97aaap-18, 0x1.03db3202f4c9bp-18, 0x1.f1adb951988dbp-19, 0x1.dbc2eb7b9c11ep-19, 0x1.c5f70fb281d8bp-19, 0x1.b04b3385b632ap-19, 0x1.9ac05cf832599p-19, 0x1.85578a9254e47p-19, 0x1.7011b3767579cp-19, 0x1.5aefc7714723fp-19, 0x1.45f2af10ce7cap-19, 0x1.311b4bb376cf7p-19, 0x1.1c6a779f18692p-19, 0x1.07e106150d789p-19, 0x1.e6ff86c8f5d5cp-20, 0x1.be8ee9fea6c07p-20, 0x1.9671b31d17817p-20, 0x1.6ea95215bd26ap-20, 0x1.4737299b30c6dp-20, 0x1.201c8f4edd96ep-20, 0x1.f2b597d2be058p-21, 0x1.a5e636cd23cb9p-21, 0x1.59cd5a6237851p-21, 0x1.0e6d489905c65p-21, 0x1.87905e0ee5c9cp-22, 0x1.e7808c9628ae8p-23, 0x1.85b914da63871p-24, -0x1.7b0ec5555c159p-25, -0x1.7d58ea0fc56acp-23, -0x1.4c6e1f14bdd35p-22, -0x1.d8a392dd442f7p-22, -0x1.31a4dc45a8237p-21, -0x1.762ed1d5415dep-21, -0x1.b9ee49466bbc3p-21, -0x1.fce1f6ca22426p-21, -0x1.1f8451a2724acp-20, -0x1.403095f9c5f79p-20, -0x1.60754109b9b08p-20, -0x1.8051d54808e03p-20, -0x1.9fc5ded10377cp-20, -0x1.bed0f33ecad79p-20, -0x1.dd72b1835986bp-20, -0x1.fbaac1b4eda36p-20, -0x1.0cbc6a7305789p-19, -0x1.1b6e527f69a95p-19, -0x1.29eafa476cf1p-19, -0x1.38324752d1e8fp-19, -0x1.46442351cded8p-19, -0x1.54207c08fc4ffp-19, -0x1.61c7433e72e97p-19, -0x1.6f386ea3ba97dp-19, -0x1.7c73f7c1b9c91p-19, -0x1.8979dbe4c0768p-19, -0x1.964a1c0760df5p-19, -0x1.a2e4bcbef6e07p-19, -0x1.af49c626a6273p-19, -0x1.bb7943ccdf2dcp-19, -0x1.c77344a11b8efp-19, -0x1.d337dadcf113dp-19, -0x1.dec71bf2ed1b1p-19, -0x1.ea21207c38233p-19, -0x1.f5460424eddd3p-19, -0x1.001af2ccec2cbp-18, -0x1.05787339ef078p-18, -0x1.0abb959389ba2p-18, -0x1.0fe46d78cb7c3p-18, -0x1.14f30fe414408p-18, -0x1.19e79322ad5a8p-18, -0x1.1ec20ecbfe20bp-18, -0x1.23829bb87a3ap-18, -0x1.282953f939fa8p-18, -0x1.2cb652cf2e27bp-18, -0x1.3129b4a2d28f8p-18, -0x1.358396fd1ccf4p-18, -0x1.39c4187d82516p-18, -0x1.3deb58d251335p-18, -0x1.41f978b19b976p-18, -0x1.45ee99d0aedb1p-18, -0x1.49cadedc8701dp-18, -0x1.4d8e6b71f6513p-18, -0x1.5139641544e1bp-18, -0x1.54cbee2c16fdp-18, -0x1.58462ff53df89p-18, -0x1.5ba8508200566p-18, -0x1.5ef277ae8362fp-18, -0x1.6224ce1b18d01p-18, -0x1.653f7d24c5b8cp-18, -0x1.6842aedeae8p-18, -0x1.6b2e8e0b446d7p-18, -0x1.6e0346159ac6dp-18, -0x1.70c1030b8a92ep-18, -0x1.7367f196403e3p-18, -0x1.75f83ef3fd14bp-18, -0x1.787218f2cad83p-18, -0x1.7ad5ade980b8dp-18, -0x1.7d232cb23782ep-18, -0x1.7f5ac4a428346p-18, -0x1.817ca58d1fa42p-18, -0x1.8388ffacedbb7p-18, -0x1.858003af4378ap-18, -0x1.8761e2a61b4b1p-18, -0x1.892ece0463ba1p-18, -0x1.8ae6f798eb301p-18, -0x1.8c8a9188c1ff7p-18, -0x1.8e19ce49fcf5bp-18, -0x1.8f94e09ecefaap-18, -0x1.90fbfb909ea67p-18, -0x1.924f526b8c40dp-18, -0x1.938f18b92f23ep-18, -0x1.94bb823ba826ep-18, -0x1.95d4c2e9d0cdfp-18, -0x1.96db0eea3816ap-18, -0x1.97ce9a8eefa81p-18, -0x1.98af9a5177dacp-18, -0x1.997e42cdcef73p-18, -0x1.9a3ac8be9ef4ep-18, -0x1.9ae560f9a5725p-18, -0x1.9b7e406b4618cp-18, -0x1.9c059c12ef1fp-18, -0x1.9c7ba8fed8a38p-18, -0x1.9ce09c4927b49p-18, -0x1.9d34ab13916b8p-18, -0x1.9d780a83e4e7cp-18, -0x1.9daaefc0b5917p-18, -0x1.9dcd8fee063a3p-18, -0x1.9de0202a28b24p-18, -0x1.9de2d58a33031p-18, -0x1.9dd5e516a481cp-18, -0x1.9db983c925a33p-18, -0x1.9d8de688a8c27p-18, -0x1.9d534226d8f68p-18, -0x1.9d09cb5db82d1p-18, -0x1.9cb1b6cbe8deep-18, -0x1.9c4b38f26c28dp-18, -0x1.9bd686325c25cp-18, -0x1.9b53d2c9c4996p-18, -0x1.9ac352d171c0bp-18, -0x1.9a253a3a90718p-18, -0x1.9979bccc05e12p-18, -0x1.98c10e209b447p-18, -0x1.97fb61a44f3f5p-18, -0x1.9728ea92474c2p-18, -0x1.9649dbf2be408p-18, -0x1.955e689931152p-18, -0x1.9466c3221613cp-18, -0x1.93631df0eed06p-18, -0x1.9253ab2e94119p-18, -0x1.91389cc7a8ebbp-18, -0x1.9012246a1f7e7p-18, -0x1.8ee073840fcabp-18, }}, 
      {{0x1.d2e5f0d3038a4p-8, 0x1.d720b176cefe2p-7, 0x1.663973753d558p-6, 0x1.e5d3b9a44f259p-6, 0x1.3572eaafdfaddp-5, 0x1.7ab8ac36f1209p-5, 0x1.c287564a0a841p-5, 0x1.0642a6c8412cp-4, 0x1.2c20671b7dd43p-4, 0x1.529dca7ba60a9p-4, 0x1.797a2011dea71p-4, 0x1.a076ba9b5f612p-4, 0x1.c75981a48e18bp-4, 0x1.edeea6bc0614fp-4, 0x1.0a04d3141b258p-3, 0x1.1cc2dc599c3cdp-3, 0x1.2f22ec18bdbeep-3, 0x1.411a39d9af3b9p-3, 0x1.52a175c3bbb65p-3, 0x1.63b4745859c91p-3, 0x1.7451cfb41f65p-3, 0x1.847a845fc4fb4p-3, 0x1.94318e3eaabb5p-3, 0x1.a37b88ec2a362p-3, 0x1.b25e55d7b12a4p-3, 0x1.c0e0c9a1bf2b1p-3, 0x1.cf0a619a55019p-3, 0x1.dce301c526d8cp-3, 0x1.ea72bb6a947e4p-3, 0x1.f7c19bf885ebp-3, 0x1.026bc1e35b9bp-2, 0x1.08de0219427cap-2, 0x1.0f3b2239c6d6ep-2, 0x1.15867640a0f26p-2, 0x1.1bc30aafd0b09p-2, 0x1.21f39f16535d3p-2, 0x1.281aa2a785b47p-2, 0x1.2e3a329848dfbp-2, 0x1.345419fc8c6acp-2, 0x1.3a69d2e5e2f55p-2, 0x1.407c8889c730bp-2, 0x1.468d1a3c5d38cp-2, 0x1.4c9c1f122c8abp-2, 0x1.52a9ea00f40c3p-2, 0x1.58b68e5cce19dp-2, 0x1.5ec1e4939f041p-2, 0x1.64cb8f0d2c8aep-2, 0x1.6ad2ff1a21ee8p-2, 0x1.70d779dfce2bbp-2, 0x1.76d81d31941abp-2, 0x1.7cd3e44bd105fp-2, 0x1.82c9ac66675dap-2, 0x1.88b839174b08bp-2, 0x1.8e9e387f45a0ap-2, 0x1.947a473cc258cp-2, 0x1.9a4af421cfd9ap-2, 0x1.a00ec3abb8728p-2, 0x1.a5c4333b83589p-2, 0x1.ab69bc0f86f9ep-2, 0x1.b0fdd5fee5a6dp-2, 0x1.b67ef9f8546aap-2, 0x1.bbeba445fc118p-2, 0x1.c1425698a359cp-2, 0x1.c68199dc8c3cdp-2, 0x1.cba7ffda9ff0ap-2, 0x1.d0b424a8abf3ep-2, 0x1.d5a4afeb7c263p-2, 0x1.da7855edb0d61p-2, 0x1.df2dd88e26e24p-2, 0x1.e3c40808c4182p-2, 0x1.e839c39c6a21ap-2, 0x1.ec8dfa10be1bfp-2, 0x1.f0bfaa1e5b2f2p-2, 0x1.f4cde2bbf243ap-2, 0x1.f8b7c352adda7p-2, 0x1.fc7c7bdc259acp-2, 0x1.000da675fed55p-1, 0x1.01c9c3d39d0ep-1, 0x1.037246d593213p-1, 0x1.0506e872cbc9ap-1, 0x1.068769b01a768p-1, 0x1.07f393801fc8fp-1, 0x1.094b369e2c7a8p-1, 0x1.0a8e2b64c4bddp-1, 0x1.0bbc51a05eb0bp-1, 0x1.0cd5905eef6ddp-1, 0x1.0dd9d5bcbfe87p-1, 0x1.0ec916af08e51p-1, 0x1.0fa34eccbbdf4p-1, 0x1.10688015dc0a4p-1, 0x1.1118b2b9c38f6p-1, 0x1.11b3f4dc9eeep-1, 0x1.123a5a5c6babbp-1, 0x1.12abfc95b820bp-1, 0x1.1308fa285caadp-1, 0x1.135176bc6460bp-1, 0x1.13859ac75025dp-1, 0x1.13a59351dc967p-1, 0x1.13b191be6d18cp-1, 0x1.13a9cb903d0fdp-1, 0x1.138e7a336c857p-1, 0x1.135fdac605186p-1, 0x1.131e2de20542cp-1, 0x1.12c9b768858bp-1, 0x1.1262be4e03461p-1, 0x1.11e98c67ddacfp-1, 0x1.115e6e3b0cbedp-1, 0x1.10c1b2cc19a2fp-1, 0x1.1013ab705dd08p-1, 0x1.0f54aba08bd8fp-1, 0x1.0e8508cc8558cp-1, 0x1.0da51a307f294p-1, 0x1.0cb538ab70be7p-1, 0x1.0bb5be96d3bf8p-1, 0x1.0aa7079faa9e6p-1, 0x1.098970a0d3049p-1, 0x1.085d577e9bb99p-1, 0x1.07231b039ce9cp-1, 0x1.05db1abece2fep-1, 0x1.0485b6e2d551cp-1, 0x1.032350268a642p-1, 0x1.01b447a6aa845p-1, 0x1.0038fec8b613dp-1, 0x1.fd63ae3de434dp-2, 0x1.fa3e649b1304ep-2, 0x1.f702e3e19240cp-2, 0x1.f3b1ef08da92bp-2, 0x1.f04c4897feddap-2, 0x1.ecd2b27874239p-2, 0x1.e945edcae065p-2, 0x1.e5a6babde183fp-2, 0x1.e1f5d866c19dp-2, 0x1.de34049c09e2ap-2, 0x1.da61fbd1ef93dp-2, 0x1.d68078f887b5bp-2, 0x1.d290355bbaf59p-2, 0x1.ce91e884ed63cp-2, 0x1.ca86481e4cd6p-2, 0x1.c66e07d7bcb3ap-2, 0x1.c249d94d56d1cp-2, 0x1.be1a6bef6ee5ap-2, 0x1.b9e06cec165b1p-2, 0x1.b59c871a0f671p-2, 0x1.b14f62e52c436p-2, 0x1.acf9a63c0575ep-2, 0x1.a89bf47f09c7ep-2, 0x1.a436ee70d17f4p-2, 0x1.9fcb3227b77c3p-2, 0x1.9b595b00a3207p-2, 0x1.96e2019300cc4p-2, 0x1.9265bba5dbbf2p-2, 0x1.8de51c2614f79p-2, 0x1.8960b31da579p-2, 0x1.84d90dabedbb3p-2, 0x1.804eb5fefe77cp-2, 0x1.7bc2334ddd7a1p-2, 0x1.773409d3b154ap-2, 0x1.72a4bacbd7f2p-2, 0x1.6e14c46ed749bp-2, 0x1.6984a1f022829p-2, 0x1.64f4cb7caeab5p-2, 0x1.6065b63a48f7p-2, 0x1.5bd7d447acba2p-2, 0x1.574b94bd4e9bdp-2, 0x1.52c163aed50e3p-2, 0x1.4e39aa2d3a8bap-2, 0x1.49b4ce498b843p-2, 0x1.45333318429f9p-2, 0x1.40b538b531bc2p-2, 0x1.3c3b3c47fabe7p-2, 0x1.37c598090b006p-2, 0x1.3354a34715da9p-2, 0x1.2ee8b26d065dbp-2, 0x1.2a82170863d5fp-2, 0x1.26211fd023d13p-2, 0x1.21c618abde39p-2, 0x1.1d714abb67047p-2, 0x1.1922fc5ebc5bdp-2, 0x1.14db713e51f8dp-2, 0x1.109aea53a4377p-2, 0x1.0c61a5f21c132p-2, 0x1.082fdfd0366e1p-2, 0x1.0405d110ebff9p-2, 0x1.ffc7609aabe73p-3, 0x1.f793633d13087p-3, 0x1.ef700d4f4ef11p-3, 0x1.e75dbd4030ff9p-3, 0x1.df5cccbbebf07p-3, 0x1.d76d90c12cab2p-3, 0x1.cf9059b6796d8p-3, 0x1.c7c5737fd04c8p-3, 0x1.c00d259478b8bp-3, 0x1.b867b314ff3c2p-3, 0x1.b0d55ae15d32ap-3, 0x1.a95657af402cdp-3, 0x1.a1eae020666f9p-3, 0x1.9a9326d914f55p-3, 0x1.934f5a96955a8p-3, 0x1.8c1fa645bd767p-3, 0x1.850431197b5aap-3, 0x1.7dfd1ea15966ep-3, 0x1.770a8edffb548p-3, 0x1.702c9e618fd1dp-3, 0x1.696366522de2bp-3, 0x1.62aefc941c43bp-3, 0x1.5c0f73d5fd884p-3, 0x1.5584dba8d9eb4p-3, 0x1.4f0f409612409p-3, 0x1.48aeac3518d93p-3, 0x1.4263254111c5cp-3, 0x1.3c2cafae3baf2p-3, 0x1.360b4cbf2d95p-3, 0x1.2ffefb19da7edp-3, 0x1.2a07b6dc63ea2p-3, 0x1.242579b1b30dp-3, 0x1.1e583ae5d5664p-3, 0x1.189fef7a16747p-3, 0x1.12fc8a38e3c4fp-3, 0x1.0d6dfbc9655d1p-3, 0x1.07f432c2d6cecp-3, 0x1.028f1bbf9bb11p-3, 0x1.fa7d42e00f236p-4, 0x1.f0055959c61adp-4, 0x1.e5b6491347p-4, 0x1.db8fdcccae1e9p-4, 0x1.d191dc028f679p-4, 0x1.c7bc0b1098e7fp-4, 0x1.be0e2b539df3ap-4, 0x1.b487fb4b0cc85p-4, 0x1.ab2936b9a9b5dp-4, 0x1.a1f196c5d2a63p-4, 0x1.98e0d218f7cf5p-4, 0x1.8ff69cfe95062p-4, 0x1.8732a98270984p-4, 0x1.7e94a78e4631bp-4, 0x1.761c4506c6c42p-4, 0x1.6dc92de7facd9p-4, 0x1.659b0c60fdac1p-4, 0x1.5d9188ef1a15cp-4, 0x1.55ac4a7842f5ap-4, 0x1.4deaf664ea14ep-4, 0x1.464d30b937bbcp-4, 0x1.3ed29c2da0a6ap-4, 0x1.377ada46df689p-4, 0x1.30458b6d4c225p-4, 0x1.29324f039bdf8p-4, 0x1.2240c37cffb0cp-4, 0x1.1b708672ad884p-4, 0x1.14c134b8cd398p-4, 0x1.0e326a72cf3b2p-4, 0x1.07c3c3272e3afp-4, 0x1.0174d9d299ee2p-4, 0x1.f68a91f5260f4p-5, 0x1.ea69557ee61e1p-5, 0x1.de8531dbce3fdp-5, 0x1.d2dd5a1fb9bcfp-5, 0x1.c77100f9cc0e3p-5, 0x1.bc3f58d41cbf6p-5, 0x1.b14793f26003cp-5, 0x1.a688e48f7cd94p-5, 0x1.9c027cfa22ae4p-5, 0x1.91b38fb057d8dp-5, 0x1.879b4f7a0de4fp-5, 0x1.7db8ef82bd7cp-5, 0x1.740ba3720c01fp-5, 0x1.6a929f837ec67p-5, 0x1.614d189d454b1p-5, 0x1.583a44661b512p-5, 0x1.4f59595a479dcp-5, 0x1.46a98edfbd141p-5, 0x1.3e2a1d595b55fp-5, 0x1.35da3e39667cfp-5, 0x1.2db92c1322ed2p-5, 0x1.25c622aba7e5fp-5, 0x1.1e005f09ed0b5p-5, 0x1.16671f860d9fp-5, 0x1.0ef9a3d7d686dp-5, 0x1.07b72d248ef1p-5, 0x1.009efe0c1544fp-5, 0x1.f360b56a7efadp-6, 0x1.e5d511b32db27p-6, 0x1.d8999fa0ce49p-6, 0x1.cbacf1325365p-6, 0x1.bf0d9bca9b93fp-6, 0x1.b2ba3842d38d4p-6, 0x1.a6b162fb97939p-6, 0x1.9af1bbed03ce7p-6, 0x1.8f79e6b5933d1p-6, 0x1.84488aa7ec391p-6, 0x1.795c52d79a895p-6, 0x1.6eb3ee24cd88ep-6, 0x1.644e0f4705fa9p-6, 0x1.5a296cd6d9882p-6, 0x1.5044c156be8f4p-6, 0x1.469ecb3aec31fp-6, 0x1.3d364cf060f6ap-6, 0x1.340a0ce30bbeap-6, 0x1.2b18d58320edcp-6, 0x1.226175499c766p-6, 0x1.19e2bebc0803p-6, 0x1.119b886f83213p-6, 0x1.098aad0b0c05p-6, 0x1.01af0b491b31bp-6, 0x1.f40f0bf11d02bp-7, 0x1.e52607f9fb2c8p-7, 0x1.d6a0e09cb2e6cp-7, 0x1.c87d73f0169c3p-7, 0x1.bab9a82ee03d9p-7, 0x1.ad536bb395f28p-7, 0x1.a048b4f36bd56p-7, 0x1.939782780d9dfp-7, 0x1.873ddad88886p-7, 0x1.7b39ccb133a1ep-7, 0x1.6f896e9abe137p-7, 0x1.642adf205ee05p-7, 0x1.591c44b53315p-7, 0x1.4e5bcda8d847ap-7, 0x1.43e7b01b61759p-7, 0x1.39be29f06cf27p-7, 0x1.2fdd80c1a9aa7p-7, 0x1.264401d0bb871p-7, 0x1.1cf001f87b96dp-7, 0x1.13dfdd9dba3e8p-7, 0x1.0b11f89f5c316p-7, 0x1.0284be4613102p-7, 0x1.f46d4267028bep-8, 0x1.e44c36a2075ddp-8, 0x1.d4a35b7bfd619p-8, 0x1.c56fc17bab3cdp-8, 0x1.b6ae874af6bc5p-8, 0x1.a85cd9914fbbp-8, 0x1.9a77f2cd95e65p-8, 0x1.8cfd1b2f5ab0bp-8, 0x1.7fe9a86f870c6p-8, 0x1.733afda8b5fe8p-8, 0x1.66ee8b2f007d4p-8, 0x1.5b01ce6738104p-8, 0x1.4f72519e25f1dp-8, 0x1.443dabdf1413p-8, 0x1.396180ca5787cp-8, 0x1.2edb806b6e051p-8, 0x1.24a9670f095b6p-8, 0x1.1ac8fd18cfc94p-8, 0x1.113816d8f696fp-8, 0x1.07f49461d9e0cp-8, 0x1.fdf8c2baf2b8bp-9, 0x1.ec9ae9c591497p-9, 0x1.dbcba2967db64p-9, 0x1.cb87080ffdf62p-9, 0x1.bbc94aeedd995p-9, 0x1.ac8eb175542f9p-9, 0x1.9dd39715fe428p-9, 0x1.8f946c1f57ca3p-9, 0x1.81cdb56736a1ap-9, 0x1.747c0bf6c3155p-9, 0x1.679c1cb68034ep-9, 0x1.5b2aa81afbe71p-9, 0x1.4f2481d1b3586p-9, 0x1.4386906e9c5b9p-9, 0x1.384dcd19e5656p-9, 0x1.2d77433e80c17p-9, 0x1.23001038fe97fp-9, 0x1.18e563070372cp-9, 0x1.0f247bf77f4a4p-9, 0x1.05baac5b42955p-9, 0x1.f94aac6d04142p-10, 0x1.e7c3d7e59a6cbp-10, 0x1.d6dbe02345706p-10, 0x1.c68de9c00153dp-10, 0x1.b6d538552f7f9p-10, 0x1.a7ad2de508c17p-10, 0x1.99114a45f942ep-10, 0x1.8afd2a8f8c305p-10, 0x1.7d6c8888f2556p-10, 0x1.705b3a18ce1b1p-10, 0x1.63c530b6f6cd5p-10, 0x1.57a678df9466dp-10, 0x1.4bfb39883f066p-10, 0x1.40bfb396d57e5p-10, 0x1.35f0415954983p-10, 0x1.2b8956003d9eap-10, 0x1.21877d1a3947fp-10, 0x1.17e75a11d5ef1p-10, 0x1.0ea5a7ac7eccap-10, 0x1.05bf378ba623p-10, 0x1.fa61e35f2c9bcp-11, 0x1.e9efa7f7ca68ap-11, 0x1.da21e37bfbef7p-11, 0x1.caf2e669d335fp-11, 0x1.bc5d2a36ddf46p-11, 0x1.ae5b50672ca3dp-11, 0x1.a0e821a85beb1p-11, 0x1.93fe8cef8debdp-11, 0x1.8799a69becd0fp-11, 0x1.7bb4a79b7b8e7p-11, 0x1.704aec949dd2ep-11, 0x1.6557f5120b708p-11, 0x1.5ad762b303652p-11, 0x1.50c4f85eb6242p-11, 0x1.471c997af432p-11, 0x1.3dda4926ebbacp-11, 0x1.34fa297829c54p-11, 0x1.2c787abc3c12cp-11, 0x1.24519abd3c572p-11, 0x1.1c8204094d577p-11, 0x1.15064d3de5f09p-11, 0x1.0ddb285645dcap-11, 0x1.06fd61fcf7d8ap-11, 0x1.0069e0e144d1fp-11, 0x1.f43b4a1d8690fp-12, 0x1.e82b8e91fe43ap-12, 0x1.dc9ef0d3b1acep-12, 0x1.d19001864378fp-12, 0x1.c6f97f068cbdfp-12, 0x1.bcd6543a5a53cp-12, 0x1.b321976558efp-12, 0x1.a9d689048e5f4p-12, 0x1.a0f092b07f051p-12, 0x1.986b46038b3e7p-12, 0x1.90425b86ce411p-12, 0x1.8871b1a569ac7p-12, 0x1.80f54ba3ca786p-12, 0x1.79c9509e198e3p-12, 0x1.72ea0a8b92a3p-12, 0x1.6c53e5465b171p-12, 0x1.66036d99ddddbp-12, 0x1.5ff55055d0d9dp-12, 0x1.5a265966e3ef9p-12, 0x1.549372f3ac1a1p-12, 0x1.4f39a47f4138fp-12, 0x1.4a161210aa3f6p-12, 0x1.4525fb5ea8fbep-12, 0x1.4066bb019babap-12, 0x1.3bd5c5a8ab6d6p-12, 0x1.3770a953d5b37p-12, 0x1.33350c93a5b89p-12, 0x1.2f20adcbd426ap-12, 0x1.2b31627bf2a03p-12, 0x1.2765168b0523ep-12, 0x1.23b9cb986eacdp-12, 0x1.202d984fc2371p-12, 0x1.1cbea7c2a3426p-12, 0x1.196b38c51bee7p-12, 0x1.16319d4e95574p-12, 0x1.131039de27a06p-12, 0x1.100584e3b77bbp-12, 0x1.0d10062bea1eap-12, 0x1.0a2e565073dbp-12, 0x1.075f1e2c0febbp-12, 0x1.04a1165101381p-12, 0x1.01f306847c0d1p-12, 0x1.fea78a783734p-13, 0x1.f9846e40c539bp-13, 0x1.f47a9d21ef511p-13, 0x1.ef881659415ffp-13, 0x1.eaaaf2b9be6afp-13, 0x1.e5e163c75e6d2p-13, 0x1.e129b2dad3954p-13, 0x1.dc82404adea56p-13, 0x1.d7e9829917d51p-13, 0x1.d35e05a79cb83p-13, 0x1.cede69f20bec8p-13, 0x1.ca6963cd3a0dcp-13, 0x1.c5fdbaac1f555p-13, 0x1.c19a4869b5d57p-13, 0x1.bd3df897915ffp-13, 0x1.b8e7c7d281f5cp-13, 0x1.b496c31b261e3p-13, 0x1.b04a0733e20c7p-13, 0x1.ac00c003ff392p-13, 0x1.a7ba27fe18dc3p-13, 0x1.a375878b9154fp-13, 0x1.9f32347cde0f8p-13, 0x1.9aef917dd1bb2p-13, 0x1.96ad0d8d77d59p-13, 0x1.926a237c15c4cp-13, 0x1.8e265969df2efp-13, 0x1.89e1404c8ed55p-13, 0x1.859a7376c47f1p-13, 0x1.81519824b77aap-13, 0x1.7d065d0ba32f2p-13, 0x1.78b879ecbdcc3p-13, 0x1.7467af2bad652p-13, 0x1.7013c56880dd5p-13, 0x1.6bbc8d1ca3bd5p-13, 0x1.6761de3baf06p-13, 0x1.630397d73ed4dp-13, 0x1.5ea19fc4648f4p-13, 0x1.5a3be24662d79p-13, 0x1.55d251b9ec1adp-13, 0x1.5164e6458346bp-13, 0x1.4cf39d8a93571p-13, 0x1.487e7a5ac2752p-13, 0x1.4405846ee537ap-13, 0x1.3f88c820a4be4p-13, 0x1.3b085626b0eb6p-13, 0x1.368443537220bp-13, 0x1.31fca8564467bp-13, 0x1.2d71a17ee10b8p-13, 0x1.28e34e822046ep-13, 0x1.2451d2421808p-13, 0x1.1fbd5297b335p-13, 0x1.1b25f81e1e36ep-13, 0x1.168bee00ee797p-13, 0x1.11ef61cbb5cfap-13, 0x1.0d50833b64d05p-13, 0x1.08af841154896p-13, 0x1.040c97e8561ccp-13, 0x1.fecfe81780597p-14, 0x1.f5839e9fafe9cp-14, 0x1.ec34c3d7c5427p-14, 0x1.e2e3caaac6f74p-14, 0x1.d991283b184d1p-14, 0x1.d03d539ed9633p-14, 0x1.c6e8c5a0c4aecp-14, 0x1.bd93f8823ce7dp-14, 0x1.b43f67c15bfacp-14, 0x1.aaeb8fe0ef923p-14, 0x1.a198ee31ca766p-14, 0x1.984800a196d3bp-14, 0x1.8ef94588afe8dp-14, 0x1.85ad3b7c8883ep-14, 0x1.7c646123888eep-14, 0x1.731f350b0c16bp-14, 0x1.69de357f1d1c6p-14, 0x1.60a1e0649ce19p-14, 0x1.576ab3156aa71p-14, 0x1.4e392a3ddf40bp-14, 0x1.450dc1bd2634dp-14, 0x1.3be8f48643fa8p-14, 0x1.32cb3c834fb49p-14, 0x1.29b5127a7be5fp-14, 0x1.20a6edf39d6cep-14, 0x1.17a14521132fdp-14, 0x1.0ea48cc7fab9fp-14, 0x1.05b1382c35671p-14, 0x1.f98f71f831c99p-15, 0x1.e7d0fe7a58973p-15, 0x1.d627f27797e88p-15, 0x1.c49526f4bf2fp-15, 0x1.b3197145176eap-15, 0x1.a1b5a2efbea0fp-15, 0x1.906a89960962ap-15, 0x1.7f38eedc756f7p-15, 0x1.6e21985485954p-15, 0x1.5d25476a1db02p-15, 0x1.4c44b95185775p-15, 0x1.3b80a6f90e458p-15, 0x1.2ad9c4f988cc4p-15, 0x1.1a50c38b91cecp-15, 0x1.09e64e7bb0f15p-15, 0x1.f3361a438e94bp-16, 0x1.d2df44b1db479p-16, 0x1.b2c958f132512p-16, 0x1.92f58aa139124p-16, 0x1.7365044ac58a4p-16, 0x1.5418e75a2be4fp-16, 0x1.35124c1b80d56p-16, 0x1.165241bb8a421p-16, 0x1.efb39c90341f8p-17, 0x1.b353dd67ff50ap-17, 0x1.77872db8d3712p-17, 0x1.3c4f632196602p-17, 0x1.01ae413726551p-17, 0x1.8f4af33339ecp-18, 0x1.1c6d5814a75f6p-18, 0x1.558d9a2bb6952p-19, 0x1.d2d2576dfd0d8p-21, -0x1.a6aac54f0ec5p-21, -0x1.458ad57a3deabp-19, -0x1.0f735ac3d6a1dp-18, -0x1.7adcba5edfbaep-18, -0x1.e4ff3cfc0f13fp-18, -0x1.26ec5bc1e0304p-17, -0x1.5ab38ffcd4e6cp-17, -0x1.8dd44690bde6bp-17, -0x1.c04d9b0cfff8ap-17, -0x1.f21eb8fb67035p-17, -0x1.11a36dd767892p-16, -0x1.29e2a7054860cp-16, -0x1.41ccb5288d917p-16, -0x1.59614cf4414efp-16, -0x1.70a02a913840ep-16, -0x1.878911829c4a9p-16, -0x1.9e1bcc8701047p-16, -0x1.b4582d7d78255p-16, -0x1.ca3e0d44bb454p-16, -0x1.dfcd4ba053bb9p-16, -0x1.f505cf178b74dp-16, -0x1.04f3c26cbc744p-15, -0x1.0f39304dd337bp-15, -0x1.19532e3ed180bp-15, -0x1.2341bc738e282p-15, -0x1.2d04de3605f16p-15, -0x1.369c99d5bce67p-15, -0x1.4008f89842184p-15, -0x1.494a06aa12d8fp-15, -0x1.525fd30e3957ap-15, -0x1.5b4a6f8f1fa44p-15, -0x1.6409f0af7a7a9p-15, -0x1.6c9e6d999b207p-15, -0x1.75080010cfa5p-15, -0x1.7d46c461a5c71p-15, -0x1.855ad952abf53p-15, -0x1.8d4460151351ap-15, -0x1.95037c35a7d25p-15, -0x1.9c98538cea148p-15, -0x1.a4030e311781p-15, -0x1.ab43d666acf7fp-15, -0x1.b25ad8918edbbp-15, -0x1.b948432677012p-15, -0x1.c00c469c54ef2p-15, -0x1.c6a7155dc3bbdp-15, -0x1.cd18e3bb0afc9p-15, -0x1.d361e7dba3c4dp-15, -0x1.d98259b0083ap-15, -0x1.df7a72e42433ap-15, -0x1.e54a6ed155161p-15, -0x1.eaf28a70c081fp-15, -0x1.f073044e832fdp-15, -0x1.f5cc1c7ba0942p-15, -0x1.fafe14810b2e3p-15, -0x1.000497a98d2edp-14, -0x1.0276d8a240b2ap-14, -0x1.04d5effccaab3p-14, -0x1.0722012dec139p-14, -0x1.095b3046fccd7p-14, -0x1.0b81a1ef96b1bp-14, -0x1.0d957b6011f44p-14, -0x1.0f96e25b4266fp-14, -0x1.1185fd28dc44p-14, -0x1.1362f28f9933ep-14, -0x1.152de9cfad20bp-14, -0x1.16e70a9d66cfcp-14, -0x1.188e7d1b92556p-14, -0x1.1a2469d6509fep-14, -0x1.1ba8f9bd985d3p-14, -0x1.1d1c56205423cp-14, -0x1.1e7ea8a726e5cp-14, -0x1.1fd01b4f86aep-14, -0x1.2110d866ae789p-14, -0x1.22410a8526a4ap-14, -0x1.2360dc8994ef7p-14, -0x1.24707994a856ap-14, -0x1.25700d042d875p-14, -0x1.265fc26ecb5ffp-14, -0x1.273fc59fa5816p-14, -0x1.28104291dd5e8p-14, -0x1.28d1656ca086fp-14, -0x1.29835a7f159e9p-14, -0x1.2a264e3c3f106p-14, -0x1.2aba6d37153ccp-14, -0x1.2b3fe41eb58e5p-14, -0x1.2bb6dfba809ebp-14, -0x1.2c1f8ce6a5e32p-14, -0x1.2c7a18905fb93p-14, -0x1.2cc6afb27bd4cp-14, -0x1.2d057f51ee7d9p-14, -0x1.2d36b47a7320dp-14, -0x1.2d5a7c3b50042p-14, -0x1.2d7103a416016p-14, -0x1.2d7a77c1afb48p-14, -0x1.2d77059b0dc3p-14, -0x1.2d66da2e547b3p-14, -0x1.2d4a226de032fp-14, -0x1.2d210b3db13b7p-14, -0x1.2cebc17065cd3p-14, -0x1.2caa71c4c1b99p-14, -0x1.2c5d48e301269p-14, -0x1.2c04735a30274p-14, -0x1.2ba01d9de115dp-14, -0x1.2b307403bc8eep-14, -0x1.2ab5a2c112af9p-14, -0x1.2a2fd5e8b1ae3p-14, -0x1.299f3968ac0f1p-14, -0x1.2903f9083194bp-14, -0x1.285e40658478dp-14, -0x1.27ae3af3e34bcp-14, -0x1.26f413f9c8c1fp-14, -0x1.262ff68eae4dbp-14, -0x1.25620d997eb96p-14, -0x1.248a83cec5625p-14, -0x1.23a983aeea0efp-14, -0x1.22bf37848ea3dp-14, -0x1.21cbc962f3264p-14, -0x1.20cf63247e22bp-14, -0x1.1fca2e69163c8p-14, -0x1.1ebc5494cad39p-14, -0x1.1da5fece5cc67p-14, -0x1.1c8755fe0d771p-14, -0x1.1b6082cc27025p-14, -0x1.1a31ad9ff032dp-14, -0x1.18fafe9e41269p-14, -0x1.17bc9da88e227p-14, -0x1.1676b25bbeb14p-14, -0x1.1529640f1a335p-14, -0x1.13d4d9d342a8dp-14, -0x1.12793a714e1c5p-14, -0x1.1116ac69bd76ap-14, -0x1.0fad55f3bbbep-14, -0x1.0e3d5cfc4196ep-14, -0x1.0cc6e72547e6cp-14, -0x1.0b4a19c4ea9cap-14, -0x1.09c719e4d7db1p-14, -0x1.083e0c4196c84p-14, -0x1.06af1549bfc61p-14, -0x1.051a591d83077p-14, -0x1.037ffb8e287b6p-14, -0x1.01e0201d5559fp-14, -0x1.003ae9fcb354bp-14, -0x1.fd20f81aa199ap-15, -0x1.f9c1f1bec2784p-15, -0x1.f65905636330dp-15, -0x1.f2e676e27faf4p-15, -0x1.ef6a897236769p-15, -0x1.ebe57fa3a8c28p-15, -0x1.e8579b629ab1p-15, -0x1.e4c11df4fc5d2p-15, -0x1.e12247fa78058p-15, -0x1.dd7b596bf4aa8p-15, -0x1.d9cc919b237c7p-15, -0x1.d6162f3278a66p-15, -0x1.d2587034e1167p-15, -0x1.ce9391fd3b61ep-15, -0x1.cac7d13e4b29p-15, -0x1.c6f56a02fc76dp-15, -0x1.c31c97ae2119fp-15, -0x1.bf3d94fa1f379p-15, -0x1.bb589bf93f7a5p-15, -0x1.b76de615d5c8bp-15, -0x1.b37dac12408c8p-15, -0x1.af882608bee7ap-15, -0x1.ab8d8b6c2cc68p-15, -0x1.a78e13080dae9p-15, -0x1.a389f30077d8fp-15, -0x1.9f8160d2b3ce2p-15, -0x1.9b749155a59ap-15, -0x1.9763b8ba0729dp-15, -0x1.934f0a8a9a60ap-15, -0x1.8f36b9accdbe1p-15, -0x1.8b1af8617d1f9p-15, -0x1.86fbf844fb7a8p-15, -0x1.82d9ea4f873bap-15, -0x1.7eb4fed608267p-15, -0x1.7a8d658adc562p-15, -0x1.76634d7e42864p-15, -0x1.7236e51ec6e1dp-15, -0x1.6e085a39fac1fp-15, -0x1.69d7d9fd7d7e1p-15, -0x1.65a590f72e23ep-15, }}, 
      {{0x1.57e4354377fbap-2, 0x1.583da2568aa59p-2, 0x1.58e2e93715103p-2, 0x1.59e0a07163258p-2, 0x1.5b3e58ebd2de4p-2, 0x1.5cfda8df5bf44p-2, 0x1.5f1aa0f4f8a3p-2, 0x1.618ce45f8c004p-2, 0x1.6448f2858030dp-2, 0x1.674164f203c97p-2, 0x1.6a680395fe6d4p-2, 0x1.6daea3c6ed732p-2, 0x1.7107d0d4a38e3p-2, 0x1.74674294253e2p-2, 0x1.77c228ccc4d94p-2, 0x1.7b0f5343d95dap-2, 0x1.7e473df547d2fp-2, 0x1.816408540ef91p-2, 0x1.84615d7ff000dp-2, 0x1.873c52601607dp-2, 0x1.89f33d9f201d9p-2, 0x1.8c858ca89ca5fp-2, 0x1.8ef398083b54dp-2, 0x1.913e78e9442edp-2, 0x1.9367e0eff41ap-2, 0x1.9571f53b6f019p-2, 0x1.975f2d0af43f3p-2, 0x1.993234406e985p-2, 0x1.9aedd1ca28f1fp-2, 0x1.9c94d1da5886p-2, 0x1.9e29f3baca5f9p-2, 0x1.9fafdafaf53c5p-2, 0x1.a12903ad3fc61p-2, 0x1.a297b963b29c5p-2, 0x1.a3fe109b74d53p-2, 0x1.a55de2483fd7p-2, 0x1.a6b8c9348642p-2, 0x1.a81020effaf4dp-2, 0x1.a965060b959fap-2, 0x1.aab857683ee95p-2, 0x1.ac0ab8633716ap-2, 0x1.ad5c93b14437ep-2, 0x1.aeae1ebf5d99ap-2, 0x1.afff5d74d6901p-2, 0x1.b15026380fd05p-2, 0x1.b2a0261b35f45p-2, 0x1.b3eee51ab5f1p-2, 0x1.b53bca5ac4eefp-2, 0x1.b6862054a8e7bp-2, 0x1.b7cd18e758e0dp-2, 0x1.b90fd1419537bp-2, 0x1.ba4d559de6a53p-2, 0x1.bb84a4cacda09p-2, 0x1.bcb4b37b25589p-2, 0x1.bddc6f5c18ea7p-2, 0x1.befac1ef4ef49p-2, 0x1.c00e9328db5f2p-2, 0x1.c116cbd16b044p-2, 0x1.c21257adbcfb7p-2, 0x1.c300276d1736fp-2, 0x1.c3df3260c1d2fp-2, 0x1.c4ae77fef05e3p-2, 0x1.c56d0133c2cfbp-2, 0x1.c619e18321cfp-2, 0x1.c6b437fe69729p-2, 0x1.c73b3010d59bp-2, 0x1.c7ae0225a461p-2, 0x1.c80bf42ae7e32p-2, 0x1.c85459f3e1f85p-2, 0x1.c886957dbfe3ep-2, 0x1.c8a2171961106p-2, 0x1.c8a65d7ccbeaap-2, 0x1.c892f5bebbaafp-2, 0x1.c8677b3eaa6p-2, 0x1.c823977b7ddfep-2, 0x1.c7c701daf422p-2, 0x1.c7517f63b10a5p-2, 0x1.c6c2e26bc1994p-2, 0x1.c61b0a3d32caep-2, 0x1.c559e2b24db21p-2, 0x1.c47f63cad4b07p-2, 0x1.c38b913b93916p-2, 0x1.c27e79f961b8ap-2, 0x1.c15837c0b2828p-2, 0x1.c018ee9a9d5dfp-2, 0x1.bec0cc603e5e6p-2, 0x1.bd50083d31aafp-2, 0x1.bbc6e231dcc96p-2, 0x1.ba25a2961c304p-2, 0x1.b86c999ce08a8p-2, 0x1.b69c1ed930a94p-2, 0x1.b4b490c4fda73p-2, 0x1.b2b6544a1b7bdp-2, 0x1.b0a1d44dad98dp-2, 0x1.ae77813e4bbdep-2, 0x1.ac37d0a50d2fcp-2, 0x1.a9e33cb9ace7ep-2, 0x1.a77a43f9e5f5p-2, 0x1.a4fd68c424a41p-2, 0x1.a26d30f5a0ac2p-2, 0x1.9fca258bef518p-2, 0x1.9d14d24a1256ep-2, 0x1.9a4dc5610ba61p-2, 0x1.97758f1bf37ebp-2, 0x1.948cc18f87edbp-2, 0x1.9193f04d38315p-2, 0x1.8e8bb019959b3p-2, 0x1.8b7496a6251aep-2, 0x1.884f3a4e7e164p-2, 0x1.851c31d8ac012p-2, 0x1.81dc1438b45cbp-2, 0x1.7e8f78573c477p-2, 0x1.7b36f4db3106ap-2, 0x1.77d31ff65d8dap-2, 0x1.74648f34dfcf4p-2, 0x1.70ebd74f5d4f6p-2, 0x1.6d698bffe9c17p-2, 0x1.69de3fd986334p-2, 0x1.664a842222c5p-2, 0x1.62aee8af0cf23p-2, 0x1.5f0bfbc3b3fdp-2, 0x1.5b6249f2b254ap-2, 0x1.57b25e00ffd1bp-2, 0x1.53fcc0cb3f25dp-2, 0x1.5041f92d09e7fp-2, 0x1.4c828bea32724p-2, 0x1.48befb99db75dp-2, 0x1.44f7c8935ab68p-2, 0x1.412d70dcd4052p-2, 0x1.3d60701b7367p-2, 0x1.39913f853d2d9p-2, 0x1.35c055d45cafbp-2, 0x1.31ee273be7867p-2, 0x1.2e1b255dfaea4p-2, 0x1.2a47bf432ecadp-2, 0x1.2674615347517p-2, 0x1.22a1754f1ab1ap-2, 0x1.1ecf624b9a90bp-2, 0x1.1afe8cadf2f15p-2, 0x1.172f5628b3a51p-2, 0x1.13621db9f4de9p-2, 0x1.0f973faa6d379p-2, 0x1.0bcf158d68749p-2, 0x1.0809f641971b6p-2, 0x1.044835f2abddbp-2, 0x1.008a261bb9356p-2, 0x1.f9a02b148bedp-3, 0x1.f234a0c41baf8p-3, 0x1.ead24042cf92dp-3, 0x1.e379974c864d7p-3, 0x1.dc2b2e67688f5p-3, 0x1.d4e788f01576p-3, 0x1.cdaf2526cef94p-3, 0x1.c6827c3d86a3ap-3, 0x1.bf620266d6e91p-3, 0x1.b84e26e5bfc2fp-3, 0x1.b147541e28551p-3, 0x1.aa4defa60cf93p-3, 0x1.a3625a57546b7p-3, 0x1.9c84f06236fap-3, 0x1.95b6096033535p-3, 0x1.8ef5f8677d98p-3, 0x1.88450c1edd417p-3, 0x1.81a38ed1fabe5p-3, 0x1.7b11c685fb583p-3, 0x1.748ff50e77b26p-3, 0x1.6e1e5822b6e56p-3, 0x1.67bd297322c66p-3, 0x1.616c9ebef7ff9p-3, 0x1.5b2ce9ea1a384p-3, 0x1.54fe39130fd29p-3, 0x1.4ee0b6a918edap-3, 0x1.48d48982555b8p-3, 0x1.42d9d4f1fd104p-3, 0x1.3cf0b8de9a536p-3, 0x1.371951d83f8afp-3, 0x1.3153b92ebec96p-3, 0x1.2ba00507c8ba8p-3, 0x1.25fe4874fe5e4p-3, 0x1.206e9389eb03dp-3, 0x1.1af0f371da34ap-3, 0x1.15857285925a7p-3, 0x1.102c1860e52cdp-3, 0x1.0ae4e9f81261ap-3, 0x1.05afe9acfadd1p-3, 0x1.008d176427e7ap-3, 0x1.f6f8e133245a5p-4, 0x1.ecfbe0ea64662p-4, 0x1.e3231fbeabbfp-4, 0x1.d96e8b29664ddp-4, 0x1.cfde0c746fbf2p-4, 0x1.c67188e124ac2p-4, 0x1.bd28e1cef6dacp-4, 0x1.b403f4e151935p-4, 0x1.ab029c250491ep-4, 0x1.a224ae34f8031p-4, 0x1.9969fe5e5c8fbp-4, 0x1.90d25cc428248p-4, 0x1.885d9681f925bp-4, 0x1.800b75ce51a11p-4, 0x1.77dbc21c2be6cp-4, 0x1.6fce403be58bfp-4, 0x1.67e2b27b81e44p-4, 0x1.6018d8c64014bp-4, 0x1.587070c38626bp-4, 0x1.50e935f51df27p-4, 0x1.4982e1d4c6dcbp-4, 0x1.423d2bf117d59p-4, 0x1.3b17ca09b6df8p-4, 0x1.3412702ae1e5fp-4, 0x1.2d2cd0c84a1dbp-4, 0x1.26669cd745483p-4, 0x1.1fbf83e852083p-4, 0x1.1937343ff1be2p-4, 0x1.12cd5aeed9afbp-4, 0x1.0c81a3e97a6b3p-4, 0x1.0653ba1ee1a01p-4, 0x1.0043478ef3422p-4, 0x1.f49feac007fbfp-5, 0x1.e8f2d7e7937a2p-5, 0x1.dd7ea5f7630d9p-5, 0x1.d242a319254e9p-5, 0x1.c73e1c638cffbp-5, 0x1.bc705dff47894p-5, 0x1.b1d8b34ac3d2p-5, 0x1.a77666fcc972ap-5, 0x1.9d48c345e47e9p-5, 0x1.934f11f0b2e5ep-5, 0x1.89889c81066c6p-5, 0x1.7ff4ac51f75a7p-5, 0x1.76928ab2d3dbp-5, 0x1.6d61810306c2fp-5, 0x1.6460d8ccebe88p-5, 0x1.5b8fdbdf9b304p-5, 0x1.52edd467b6facp-5, 0x1.4a7a0d0731fb6p-5, 0x1.4233d0ec251bp-5, 0x1.3a1a6be6acf2ep-5, 0x1.322d2a7dd6f9p-5, 0x1.2a6b5a03a8371p-5, 0x1.22d448a83ef4bp-5, 0x1.1b67458c1008bp-5, 0x1.1423a0d14fa72p-5, 0x1.0d08abac838f4p-5, 0x1.0615b8744001dp-5, 0x1.fe943560444bep-6, 0x1.f14a4e4df9325p-6, 0x1.e44c67d88ed36p-6, 0x1.d79930d9a4223p-6, 0x1.cb2f5af58078fp-6, 0x1.bf0d9ab1a592dp-6, 0x1.b332a78a03169p-6, 0x1.a79d3c04e66f1p-6, 0x1.9c4c15c5960dbp-6, 0x1.913df59db16cap-6, 0x1.86719f9d6112ap-6, 0x1.7be5db225ad1cp-6, 0x1.719972e5b98c8p-6, 0x1.678b3508cbb07p-6, 0x1.5db9f320c34aap-6, 0x1.5424824165432p-6, 0x1.4ac9bb06b8747p-6, 0x1.41a8799db6068p-6, 0x1.38bf9dcc1cd4bp-6, 0x1.300e0af74b049p-6, 0x1.2792a82a40fccp-6, 0x1.1f4c601ad2a92p-6, 0x1.173a212e00b65p-6, 0x1.0f5add7b8f95fp-6, 0x1.07ad8ad0de674p-6, 0x1.003122b2ffe1p-6, 0x1.f1c944c05078fp-7, 0x1.e38e15a0daa1p-7, 0x1.d5aec16bbe657p-7, 0x1.c82958f81a24dp-7, 0x1.bafbf48dc699ep-7, 0x1.ae24b3e214492p-7, 0x1.a1a1be135ff96p-7, 0x1.957141a3a59f3p-7, 0x1.89917472094a8p-7, 0x1.7e0093b3804e2p-7, 0x1.72bce3ea922fap-7, 0x1.67c4b0de32c86p-7, 0x1.5d164d8fd1bcdp-7, 0x1.52b01430a21aep-7, 0x1.489066162c6b4p-7, 0x1.3eb5abae2aedap-7, 0x1.351e5471b8713p-7, 0x1.2bc8d6d7df94cp-7, 0x1.22b3b0479a9d2p-7, 0x1.19dd6509417e3p-7, 0x1.1144803773987p-7, 0x1.08e793af7fp-7, 0x1.00c538015c3dep-7, 0x1.f1b818be57edep-8, 0x1.e2556d18c8255p-8, 0x1.d35fc599303bp-8, 0x1.c4d487a3b03a6p-8, 0x1.b6b12555a381ap-8, 0x1.a8f31d6139aeap-8, 0x1.9b97fae89e1d1p-8, 0x1.8e9d555898d8bp-8, 0x1.8200d042a8745p-8, 0x1.75c01b36cd586p-8, 0x1.69d8f19d05f99p-8, 0x1.5e491a8e55f76p-8, 0x1.530e68adc0d83p-8, 0x1.4826ba00d1a5ap-8, 0x1.3d8ff7c805d35p-8, 0x1.3348165716a6ap-8, 0x1.294d14ed17459p-8, 0x1.1f9cfd8c8e448p-8, 0x1.1635e4d367849p-8, 0x1.0d15e9d2e610ep-8, 0x1.043b35e7983d4p-8, 0x1.f747f9229277bp-9, 0x1.e69cf69611df5p-9, 0x1.d671f2c6bd0eap-9, 0x1.c6c38fa8bb14dp-9, 0x1.b78e8237f3e6bp-9, 0x1.a8cf92291184bp-9, 0x1.9a83999aa3784p-9, 0x1.8ca784c6f1645p-9, 0x1.7f3851b5e0baep-9, 0x1.72330fef78a18p-9, 0x1.6594e02ec73aep-9, 0x1.595af4155c1eap-9, 0x1.4d828ddf3fca1p-9, 0x1.42090017a7188p-9, 0x1.36ebad4e030d7p-9, 0x1.2c2807cbb500fp-9, 0x1.21bb914a8fb6p-9, 0x1.17a3daabdefc1p-9, 0x1.0dde83b01c242p-9, 0x1.04693aaf9126ap-9, 0x1.f68378a6f607p-10, 0x1.e4cba69f8ba33p-10, 0x1.d3a6b03be8964p-10, 0x1.c3106170d29d5p-10, 0x1.b304a0ad64285p-10, 0x1.a37f6e551b121p-10, 0x1.947ce43b90ef4p-10, 0x1.85f9352192a53p-10, 0x1.77f0ac33fffe1p-10, 0x1.6a5fac8c769bp-10, 0x1.5d42b0b380358p-10, 0x1.50964a247b5b6p-10, 0x1.445720d37ed27p-10, 0x1.3881f2b4218abp-10, 0x1.2d139342e19a3p-10, 0x1.2208eb0fc558ep-10, 0x1.175ef74aadf54p-10, 0x1.0d12c951a02fdp-10, 0x1.03218640ac8b7p-10, 0x1.f310cd072fa61p-11, 0x1.e0896ad1de206p-11, 0x1.cea7a16e808a2p-11, 0x1.bd6650877fa88p-11, 0x1.acc07b159ce28p-11, 0x1.9cb146941a25p-11, 0x1.8d33fa38cb9ap-11, 0x1.7e43fe2ed625cp-11, 0x1.6fdcdad4fd315p-11, 0x1.61fa37ffb3c76p-11, 0x1.5497dc3dd3082p-11, 0x1.47b1ac21512fp-11, 0x1.3b43a98adc895p-11, 0x1.2f49f2f88c5b4p-11, 0x1.23c0c2d813901p-11, 0x1.18a46edc38685p-11, 0x1.0df1675506376p-11, 0x1.03a4368b7041ap-11, 0x1.f3730040374d2p-12, 0x1.e05c00dab8171p-12, 0x1.cdfd17d7b5258p-12, 0x1.bc501d34d12fap-12, 0x1.ab4f16d1ac3b6p-12, 0x1.9af4374b62b6bp-12, 0x1.8b39dcde897e5p-12, 0x1.7c1a904d56996p-12, 0x1.6d9103cd2c907p-12, 0x1.5f9811f8e8721p-12, 0x1.522abcc90eb0dp-12, 0x1.45442c90d94d9p-12, 0x1.38dfaf013512cp-12, 0x1.2cf8b630f8608p-12, 0x1.218ad7aa6027bp-12, 0x1.1691cb7dd805fp-12, 0x1.0c096b593acp-12, 0x1.01edb1a51ff85p-12, 0x1.f075714c78102p-13, 0x1.ddd973480223cp-13, 0x1.cc00182784b43p-13, 0x1.bae2499273725p-13, 0x1.aa792a55e5342p-13, 0x1.9abe14d7bd8eap-13, 0x1.8baa999201e87p-13, 0x1.7d387d97962c4p-13, 0x1.6f61b92136114p-13, 0x1.6220762330477p-13, 0x1.556f0eec3666ap-13, 0x1.49480ccaa0c8ap-13, 0x1.3da626bc017f8p-13, 0x1.328440236ddefp-13, 0x1.27dd67880f6a1p-13, 0x1.1dacd55abd4b9p-13, 0x1.13edeac3d5fddp-13, 0x1.0a9c3077fe5c9p-13, 0x1.01b3559536846p-13, 0x1.f25e5d0aac67cp-14, 0x1.e21767d1f5ce4p-14, 0x1.d28a0310ce884p-14, 0x1.c3aeaa985ed9p-14, 0x1.b57e1c761285ap-14, 0x1.a7f156ff6a7d6p-14, 0x1.9b0196e6e9911p-14, 0x1.8ea8555fc2f7fp-14, 0x1.82df464e5feacp-14, 0x1.77a05682a15b3p-14, 0x1.6ce5a9fe2befp-14, 0x1.62a99a48714bp-14, 0x1.58e6b4ca59c41p-14, 0x1.4f97b937c43c8p-14, 0x1.46b798038ec27p-14, 0x1.3e4170db05938p-14, 0x1.3630912f1b818p-14, 0x1.2e8072c62e8d1p-14, 0x1.272cba58201dp-14, 0x1.20313632d702ep-14, 0x1.1989dce9be443p-14, 0x1.1332cc0d106cep-14, 0x1.0d2846ea76261p-14, 0x1.0766b5581d2a4p-14, 0x1.01eaa28559229p-14, 0x1.f96177aad1253p-15, 0x1.ef6b9f855af3p-15, 0x1.e5ed999146616p-15, 0x1.dce180ae4e08ap-15, 0x1.d441ab9818028p-15, 0x1.cc08aaea04176p-15, 0x1.c431472e2ff8dp-15, 0x1.bcb67f0035a46p-15, 0x1.b5938539d3a51p-15, 0x1.aec3bf2d4ae51p-15, 0x1.a842c2ecefa36p-15, 0x1.a20c55a146b62p-15, 0x1.9c1c69e94ef59p-15, 0x1.966f1e48eadd2p-15, 0x1.9100bba378d37p-15, 0x1.8bcdb3be58974p-15, 0x1.86d29fd35113dp-15, 0x1.820c3f2a95e4bp-15, 0x1.7d7775c2d6b7ap-15, 0x1.79114b00b6292p-15, 0x1.74d6e8696562dp-15, 0x1.70c598682f868p-15, 0x1.6cdac51b4d969p-15, 0x1.6913f72cab698p-15, 0x1.656ed4b5297b4p-15, 0x1.61e92022c3227p-15, 0x1.5e80b72db7f76p-15, 0x1.5b3391d241adcp-15, 0x1.57ffc15459457p-15, 0x1.54e36f4ba0db5p-15, 0x1.51dcdcb60692ep-15, 0x1.4eea6111f3b8dp-15, 0x1.4c0a69809951dp-15, 0x1.493b77ef31ec6p-15, 0x1.467c22472efc2p-15, 0x1.43cb11a626ac3p-15, 0x1.4127019a4e258p-15, 0x1.3e8ebf662a4e1p-15, 0x1.3c01294b6e5d3p-15, 0x1.397d2ddaf3c26p-15, 0x1.3701cb4a45255p-15, 0x1.348e0ed0ec63dp-15, 0x1.32211407e2c15p-15, 0x1.2fba0451aaa96p-15, 0x1.2d581644c153p-15, 0x1.2afa8d1e76f34p-15, 0x1.28a0b837ecbc8p-15, 0x1.2649f281246d6p-15, 0x1.23f5a1ffe99f4p-15, 0x1.21a33753b50f1p-15, 0x1.1f522d3df0654p-15, 0x1.1d02082d99f5fp-15, 0x1.1ab255d23c86p-15, 0x1.1862acae10b16p-15, 0x1.1612abaf4d965p-15, 0x1.13c1f9cbf3f85p-15, 0x1.117045a24d1bap-15, 0x1.0f1d451b8724ap-15, 0x1.0cc8b51327699p-15, 0x1.0a725900615b5p-15, 0x1.0819faa3a874p-15, 0x1.05bf69b5eee47p-15, 0x1.03627b9c8bbap-15, 0x1.01030b20952a7p-15, 0x1.fd41f04dea47cp-16, 0x1.f8784ed771741p-16, 0x1.f3a9048221f03p-16, 0x1.eed3eca056a1cp-16, 0x1.e9f8eab8dd18p-16, 0x1.e517ea12ac64ep-16, 0x1.e030dd458f736p-16, 0x1.db43bdcebd4b7p-16, 0x1.d6508ba7d3a8dp-16, 0x1.d1574ce52f521p-16, 0x1.cc580d5882575p-16, 0x1.c752de343b48fp-16, 0x1.c247d5b59bcc7p-16, 0x1.bd370ecfbc42fp-16, 0x1.b820a8dd31d56p-16, 0x1.b304c751e580fp-16, 0x1.ade39172c30d1p-16, 0x1.a8bd320e3e056p-16, 0x1.a391d73b5963bp-16, 0x1.9e61b21787cb6p-16, 0x1.992cf688ffb73p-16, 0x1.93f3db06864b8p-16, 0x1.8eb6985d0bb55p-16, 0x1.8975697b4715fp-16, 0x1.84308b3f4a1d4p-16, 0x1.7ee83c454f885p-16, 0x1.799cbcb9b66eep-16, 0x1.744e4e2cb51ecp-16, 0x1.6efd3367d63fcp-16, 0x1.69a9b0465665ep-16, 0x1.6454098f9060ap-16, 0x1.5efc84d23cac2p-16, 0x1.59a36842ff8eap-16, 0x1.5448fa9bc6bcfp-16, 0x1.4eed82fb43d21p-16, 0x1.499148ca5959ap-16, 0x1.4434939dfd5efp-16, 0x1.3ed7ab1eb9887p-16, 0x1.397ad6efd4bacp-16, 0x1.341e5e97450e4p-16, 0x1.2ec28967a7dc4p-16, 0x1.29679e6b4f383p-16, 0x1.240de450cbe01p-16, 0x1.1eb5a158eafd7p-16, 0x1.195f1b45c2d6ap-16, 0x1.140a974a30a12p-16, 0x1.0eb859f9eda66p-16, 0x1.0968a73ccf0e1p-16, 0x1.041bc24022271p-16, 0x1.fda3dad64415fp-17, 0x1.f316d4a70fd56p-17, 0x1.e890f3671b778p-17, 0x1.de12b6bdbcb64p-17, 0x1.d39c9c73ac00dp-17, 0x1.c92f20636c7e3p-17, 0x1.becabc6837988p-17, 0x1.b46fe851e3f41p-17, 0x1.aa1f19d823c92p-17, 0x1.9fd8c48ecaf82p-17, 0x1.959d59da461e8p-17, 0x1.8b6d48e8feacep-17, 0x1.8148fea7eece5p-17, 0x1.7730e5bd3b57ap-17, 0x1.6d2566823c28ap-17, 0x1.6326e6fe7afcep-17, 0x1.5935cae1b8eadp-17, 0x1.4f52738110fcfp-17, 0x1.457d3fd4828ddp-17, 0x1.3bb68c73f32aep-17, 0x1.31feb3956bedfp-17, 0x1.28560d0e97f8bp-17, 0x1.1ebcee51b9839p-17, 0x1.1533aa70900fp-17, 0x1.0bba921c17ae6p-17, 0x1.0251f3a590c2fp-17, 0x1.f1f43601253b9p-18, 0x1.df66a38d62719p-18, 0x1.ccfbbe7315e3cp-18, 0x1.bab4108bbf79p-18, 0x1.a8901f0f3ca7bp-18, 0x1.96906a9d0dbfep-18, 0x1.84b56f43cdc06p-18, 0x1.72ffa4886343ep-18, 0x1.616f7d7335bc6p-18, 0x1.5005689bcede5p-18, 0x1.3ec1d02fd5146p-18, 0x1.2da51a03093bep-18, 0x1.1cafa79770507p-18, 0x1.0be1d62bcb2e9p-18, 0x1.f677fd8d45f65p-19, 0x1.d57cec8c39965p-19, 0x1.b4d31ad753846p-19, 0x1.947b21d25040bp-19, 0x1.747592e079fbdp-19, 0x1.54c2f7844618ep-19, 0x1.3563d171e8faep-19, 0x1.16589ab1df324p-19, 0x1.ef438b8367bf8p-20, 0x1.b27f7b5ef0bfp-20, 0x1.7665cc6b631a9p-20, 0x1.3af737bb1bdeep-20, 0x1.0034682fe9d5p-20, 0x1.8c3bf579d4967p-21, 0x1.1968fd4ae3cb3p-21, 0x1.4fe1d6e231c26p-22, 0x1.bea54955159a6p-24, -0x1.b757d25f37fa8p-24, -0x1.489a9245859d6p-22, -0x1.1051a67f7d488p-21, -0x1.7af78e1897c5ap-21, -0x1.e43e93b1f76cep-21, -0x1.2613314ccad99p-20, -0x1.59575e90e5674p-20, -0x1.8bebbe2709dcep-20, -0x1.bdd0479d75d5dp-20, -0x1.ef04fd5df5f0bp-20, -0x1.0fc4f6387e45bp-19, -0x1.27af9620caee6p-19, -0x1.3f426f30cc93dp-19, -0x1.567d972579268p-19, -0x1.6d612896cab06p-19, -0x1.83ed42dba7fbfp-19, -0x1.9a2209ea67edap-19, -0x1.afffa640e7808p-19, -0x1.c58644c8416d2p-19, -0x1.dab616bb2d76dp-19, -0x1.ef8f5183627d1p-19, -0x1.020917519914p-18, -0x1.0c1f75cfba5b1p-18, -0x1.160ae4eedc6ccp-18, -0x1.1fcb87493e47dp-18, -0x1.29618151e931cp-18, -0x1.32ccf948b7185p-18, -0x1.3c0e172cebc34p-18, -0x1.452504af4b2acp-18, -0x1.4e11ed29dbe87p-18, -0x1.56d4fd90fab8ep-18, -0x1.5f6e646a149e5p-18, -0x1.67de51be9767ap-18, -0x1.7024f711a25cfp-18, -0x1.7842875512a1cp-18, -0x1.803736dbb785p-18, -0x1.88033b4f08146p-18, -0x1.8fa6cba7cab1dp-18, -0x1.9722201f83166p-18, -0x1.9e757228cef74p-18, -0x1.a5a0fc64b0aa2p-18, -0x1.aca4fa9836e21p-18, -0x1.b381a9a36d024p-18, -0x1.ba37477350e22p-18, -0x1.c0c612fc686a6p-18, -0x1.c72e4c311c05ap-18, -0x1.cd7033f6fdcf9p-18, -0x1.d38c0c1f82bf7p-18, -0x1.d982175e134fdp-18, -0x1.df52993ff2d47p-18, -0x1.e4fdd6234e5a1p-18, -0x1.ea84132c00f9ep-18, -0x1.efe5963f2841cp-18, -0x1.f522a5f9c05cdp-18, -0x1.fa3b89a7c0359p-18, -0x1.ff30893d932a5p-18, -0x1.0200f6a8000cap-17, -0x1.0457ff86aecf3p-17, -0x1.069d841a7bff5p-17, -0x1.08d1a986c8f7bp-17, -0x1.0af49530ac0ddp-17, -0x1.0d066cbb763a8p-17, -0x1.0f07560495544p-17, -0x1.10f77720f354cp-17, -0x1.12d6f65946d31p-17, -0x1.14a5fa26dd451p-17, -0x1.1664a930febc4p-17, -0x1.18132a47c81bap-17, -0x1.19b1a46329fdfp-17, -0x1.1b403e9fd1842p-17, -0x1.1cbf203b34ca4p-17, -0x1.1e2e70918e89ep-17, -0x1.1f8e571adf8dcp-17, -0x1.20defb687932fp-17, -0x1.222085223cafcp-17, -0x1.23531c02eb444p-17, -0x1.2476e7d6459a8p-17, -0x1.258c1076cce68p-17, -0x1.2692bdcb22e39p-17, -0x1.278b17c43ed2ep-17, -0x1.2875465a1cc9dp-17, -0x1.2951718a3f5bp-17, -0x1.2a1fc154e0e31p-17, -0x1.2ae05dbb8a177p-17, -0x1.2b936ebceea27p-17, -0x1.2c391c54d91bp-17, -0x1.2cd18e7a0afbep-17, -0x1.2d5ced1b37e4bp-17, -0x1.2ddb601d7c995p-17, -0x1.2e4d0f5ad5dc9p-17, -0x1.2eb222a05ba0cp-17, -0x1.2f0ac1abed8bfp-17, -0x1.2f57142a16f7dp-17, -0x1.2f9741b4ee6d2p-17, -0x1.2fcb71d228305p-17, -0x1.2ff3cbf144c3ap-17, -0x1.3010776b3a6ebp-17, -0x1.30219b7faa00bp-17, -0x1.30275f5361c56p-17, -0x1.3021e9ef2480fp-17, -0x1.3011623f02fbbp-17, -0x1.2ff5ef0f076c4p-17, -0x1.2fcfb70b3c3dcp-17, -0x1.2f9ee0be055eep-17, -0x1.2f63928f9e1f6p-17, -0x1.2f1df2c329ea2p-17, -0x1.2ece2776c03b5p-17, -0x1.2e7456a21eb64p-17, -0x1.2e10a6156148cp-17, -0x1.2da33b7787002p-17, -0x1.2d2c3c4569712p-17, -0x1.2cabcdd10fec5p-17, -0x1.2c2215402cd5p-17, -0x1.2b8f378b52237p-17, -0x1.2af3597da9a05p-17, -0x1.2a4e9fb3486fdp-17, -0x1.29a12e982f691p-17, -0x1.28eb2a675b6cp-17, -0x1.282cb72b00e67p-17, -0x1.2765f8ba0dafdp-17, -0x1.269712b875fe1p-17, -0x1.25c0289608a37p-17, -0x1.24e15d8e1a75dp-17, -0x1.23fad4a67ddb6p-17, -0x1.230cb0ae5425fp-17, -0x1.2217143e914bfp-17, -0x1.211a21b86f4d7p-17, -0x1.2015fb44c9311p-17, -0x1.1f0ac2d413608p-17, -0x1.1df89a1d2cbabp-17, -0x1.1cdfa29d1a1f3p-17, -0x1.1bbffd9660691p-17, -0x1.1a99cc10bf41cp-17, -0x1.196d2ed8d2038p-17, -0x1.183a467f115c9p-17, -0x1.1701335785576p-17, -0x1.15c21579d739cp-17, -0x1.147d0cc0416dcp-17, -0x1.133238c763439p-17, -0x1.11e1b8edf9e4cp-17, -0x1.108bac54d3374p-17, -0x1.0f3031dd9085ap-17, -0x1.0dcf682b6fae9p-17, -0x1.0c696da213476p-17, -0x1.0afe60661731p-17, -0x1.098e5e5bbf5d7p-17, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      29, 0x1.2851eb851eb85p+2, 0x1.0e6bfad2eed86p+1, 0x1.a4b2b11a09bccp+0, -0x1.808a9571f78f2p-10, 
      {{
        {0x1.9ae147ae147aep+1, 0x1.ap+1, 0x1.206652c4fd06ep-8, -0x1.9632a7b59f123p-7, 0x1.ad14c209cefe2p-7, -0x1.8eaaf85bbcad2p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.01405cc3a82c7p-8, -0x1.74d40418ffcf6p-7, 0x1.95293841be8d7p-7, -0x1.807ac34d6672p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.bbe486eb35464p-9, -0x1.4dc0fe90799eap-7, 0x1.78533668bd44bp-7, -0x1.7241b49c75d95p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.7cd0061ad7636p-9, -0x1.298285003017ep-7, 0x1.5c8e48dd013abp-7, -0x1.64147f6b916a6p-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.44b5089e132fcp-9, -0x1.07fd53f3c550fp-7, 0x1.41d98c1b5652ep-7, -0x1.55e41d67c00fdp-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.130ad29093836p-9, -0x1.d22c60956986ep-8, 0x1.28353d19f4b8p-7, -0x1.47b4952f97492p-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ce9c3543a3281p-10, -0x1.9963b9527f7a8p-8, 0x1.0fa14b832fc5dp-7, -0x1.3984d29bbd8dp-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.8202142a29e21p-10, -0x1.656a38996dbf1p-8, 0x1.f03b776f031d1p-8, -0x1.2b551faaf86c3p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.3f567982e709fp-10, -0x1.36096492cf4c1p-8, 0x1.c35519155dd96p-8, -0x1.1d2568899395p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.05b38223a32e6p-10, -0x1.0b0ac37d39946p-8, 0x1.988f7c9a54834p-8, -0x1.0ef5b28798ab5p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.a87c601387237p-11, -0x1.c86fb722bcdd7p-9, 0x1.6feaa1d2ca694p-8, -0x1.00c5fc3899c85p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.544cd4b4945d7p-11, -0x1.82b466130754ap-9, 0x1.496688ca4cf1cp-8, -0x1.e52c8bfc73a2bp-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0d4dfac3ab6bcp-11, -0x1.4476a03f059c3p-9, 0x1.2503317dc445bp-8, -0x1.c8cd1f7cd371bp-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a4166a5286381p-12, -0x1.0d49721aa50f7p-9, 0x1.02c09bee01369p-8, -0x1.ac6db2ff6973p-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.424b623a1756cp-12, -0x1.b97fd03384d1ap-10, 0x1.c53d9035b29c2p-9, -0x1.900e46841770dp-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e5519897bb034p-13, -0x1.64da1d6085494p-10, 0x1.893b6c0848b15p-9, -0x1.73aed9fe08279p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.659058683dd6fp-13, -0x1.1bc7e4a3f44fbp-10, 0x1.517acb556112p-9, -0x1.574f6da11d2dp-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.00dd347b29284p-13, -0x1.bade7dcbded4cp-11, 0x1.1dfbae16cfe5p-9, -0x1.3af000aa0ee96p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.66330d45a98p-14, -0x1.51ec8a19c4712p-11, 0x1.dd7c28c7681ddp-10, -0x1.1e9095f2a4a8fp-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.e1f747b9f83dp-15, -0x1.f60c40162baacp-12, 0x1.8783fbcb69eap-10, -0x1.023122d6a248ap-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.36670aa92126p-15, -0x1.68eee2943e3dbp-12, 0x1.3a0ed7be393aep-10, -0x1.cba39e1afd334p-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7aa172f9e264p-16, -0x1.f232c0c52073cp-13, 0x1.ea39667459b3cp-11, -0x1.92e40cbaf2e9cp-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.aeb13d348a48p-17, -0x1.46483226ec6dcp-13, 0x1.715b62a2aa6ep-11, -0x1.5a27e3ebcd2a7p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.be73612834c01p-18, -0x1.8e9dfd8bd9c6cp-14, 0x1.09829e4253481p-11, -0x1.215f02a75ba27p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.9685503852fffp-19, -0x1.b9ddf44662ff4p-15, 0x1.6565d486a2c58p-12, -0x1.d18b354e07905p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.30fe7b63a28p-20, -0x1.a7a0ca42f6945p-16, 0x1.b37822ab41027p-13, -0x1.5ef60c16cd554p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.4bebc8f1f9fffp-22, -0x1.3ef77755e7b57p-17, 0x1.c1c903a18ba04p-14, -0x1.e316aa6410276p-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.7cd00618e0001p-25, -0x1.2c51a87f89264p-19, 0x1.3fdd3acb03e03p-15, -0x1.c364b8e5ad321p-13}, 
        {0x1.2666666666666p+2, 0x1.2851eb851eb85p+2, 0x1.e1f74748p-31, -0x1.4d211d70669c1p-25, 0x1.88399209ac8p-18, -0x1.551c8b656072cp-11}, 
      }}, 
      0x1.8cec5115a214dp-6, -0x1.283e075c5fe93p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.c2b69dc2f8c3dp+0, -0x1.c0d6f72c58dcp+0, -0x1.bdc1a21d597ebp+0, -0x1.b983bc6401aecp+0, -0x1.b42d50f805107p+0, -0x1.add0694645702p+0, -0x1.a68056348f53fp+0, -0x1.9e5123bba3dfp+0, -0x1.95572cc2e05a4p+0, -0x1.8ba6c7781d49cp+0, -0x1.8154046e9203ep+0, -0x1.76727c588da56p+0, -0x1.6b152948db4aep+0, -0x1.5f4e492e191edp+0, -0x1.532f47c617fcbp+0, -0x1.46c8aeabf57cap+0, -0x1.3a2a1a6d0246ep+0, -0x1.2d6233c784b43p+0, -0x1.207eac5fe6244p+0, -0x1.138c3e58abb8p+0, -0x1.0696ae526235bp+0, -0x1.f3519ed7dc345p-1, -0x1.d99911d66cc32p-1, -0x1.c015ba84262b3p-1, -0x1.a6d7e45b58248p-1, -0x1.8dee336f37e63p-1, -0x1.7565b7cea7fc1p-1, -0x1.5d4a01e342298p-1, -0x1.45a5376d30e95p-1, -0x1.2e8029073d13ep-1, -0x1.17e26822d34cep-1, -0x1.01d25c5c6da95p-1, -0x1.d8aaafe584bc3p-2, -0x1.aedf5bc2a1041p-2, -0x1.86498d6a8eccdp-2, -0x1.5eee632b620c7p-2, -0x1.38d173e923048p-2, -0x1.13f4ef6221ea4p-2, -0x1.e0b3748158b15p-3, -0x1.9bff473e75a13p-3, -0x1.59cace5dc6061p-3, -0x1.1a11a5a218d53p-3, -0x1.b99bdf11b5dddp-4, -0x1.43f0678fc60dp-4, -0x1.a61f415253d37p-5, -0x1.9b985bdbc8e59p-6, 0x1.4332d5bf959ddp-13, 0x1.8e79785e1950bp-6, 0x1.8450fd00cddd1p-5, 0x1.1c595ffcdd772p-4, 0x1.724b4c9a9dd5ep-4, 0x1.c41949b53f5b4p-4, 0x1.08ef7782ee199p-3, 0x1.2ddc2244679f5p-3, 0x1.50e0d2692b4c6p-3, 0x1.720bd13a6bf26p-3, 0x1.916b785d98b5fp-3, 0x1.af0e2769a7154p-3, 0x1.cb023a7228aa4p-3, 0x1.e556013989ea6p-3, 0x1.fe17b6d16410bp-3, 0x1.0aaabcca77974p-2, 0x1.158ea1c1de52dp-2, 0x1.1fbe7187dd954p-2, 0x1.2940fa39268c6p-2, 0x1.321cedca9b4ddp-2, 0x1.3a58df49d08dap-2, 0x1.41fb4069a1e16p-2, 0x1.490a5f59e397ap-2, 0x1.4f8c64e90a975p-2, 0x1.558752eeeb4bp-2, 0x1.5b0102ff3d63dp-2, 0x1.5fff2561bf21cp-2, 0x1.6487404c99ad3p-2, 0x1.689eaf5c69a15p-2, 0x1.6c4aa34452e53p-2, 0x1.6f9021b03918cp-2, 0x1.72740552ee9bdp-2, 0x1.74fafe1aab4f5p-2, 0x1.77299187151eap-2, 0x1.79041b1bdd911p-2, 0x1.7a8ecced2158ap-2, 0x1.7bcdb0427238ep-2, 0x1.7cc4a64d9972p-2, 0x1.7d7768f30c28fp-2, 0x1.7de98ba17d366p-2, 0x1.7e1e7c368bfcep-2, 0x1.7e1983f2ca431p-2, 0x1.7dddc86e9367p-2, 0x1.7d6e4ca01a68cp-2, 0x1.7ccdf1de9c1fbp-2, 0x1.7bff78ee65974p-2, 0x1.7b05830cd8394p-2, 0x1.79e292fcf4fdp-2, 0x1.78990e12d9fcfp-2, 0x1.772b3d420a4a4p-2, 0x1.759b4e20497dap-2, 0x1.73eb53ef14173p-2, 0x1.721d489c6d0dap-2, 0x1.70330dbf1c1f7p-2, 0x1.6e2e6d8ef664ap-2, 0x1.6c111bd9b743fp-2, 0x1.69dcb6f2d760cp-2, 0x1.6792c89891a4cp-2, 0x1.6534c6d9104fap-2, 0x1.62c414ef77fd9p-2, 0x1.6042041902578p-2, 0x1.5dafd4676ff21p-2, 0x1.5b0eb58759271p-2, 0x1.585fc78438317p-2, 0x1.55a41b86e6b74p-2, 0x1.52dcb486e76ep-2, 0x1.500a87fcb48c8p-2, 0x1.4d2e7e89c6017p-2, 0x1.4a4974962688ep-2, 0x1.475c3af18eca9p-2, 0x1.44679765ddc75p-2, 0x1.416c4542f1d31p-2, 0x1.3e6af5edd02f3p-2, 0x1.3b64515f44672p-2, 0x1.3858f69f3f205p-2, 0x1.35497c42cde5dp-2, 0x1.323670d933a23p-2, 0x1.2f205b57ec75ep-2, 0x1.2c07bb883dd11p-2, 0x1.28ed0a64f4d59p-2, 0x1.25d0ba77b09cp-2, 0x1.22b3383789ae3p-2, 0x1.1f94ea59ac57ep-2, 0x1.1c76322087afap-2, 0x1.19576baced9bp-2, 0x1.1638ee43a604p-2, 0x1.131b0c8f9d715p-2, 0x1.0ffe14e69be3fp-2, 0x1.0ce2518530c9cp-2, 0x1.09c808c5ae0eep-2, 0x1.06af7d59da134p-2, 0x1.0398ee7e72c5p-2, 0x1.008498281d284p-2, 0x1.fae566664705dp-3, 0x1.f4c6eb217d39ap-3, 0x1.eeae24d77bb8ep-3, 0x1.e89b749b56d3cp-3, 0x1.e28f368d9d961p-3, 0x1.dc89c21dd640ep-3, 0x1.d68b6a40b05ep-3, 0x1.d0947daf0c4ddp-3, 0x1.caa54725bb8c8p-3, 0x1.c4be0d9425645p-3, 0x1.bedf14452c09dp-3, 0x1.b9089b13220f7p-3, 0x1.b33ade9aaf2b6p-3, 0x1.ad76185cfdb11p-3, 0x1.a7ba7edd31372p-3, 0x1.a20845c958046p-3, 0x1.9c5f9e24c19b8p-3, 0x1.96c0b66312ee3p-3, 0x1.912bba7b9402dp-3, 0x1.8ba0d406acc26p-3, 0x1.86202a624f12ap-3, 0x1.80a9e2cb032fap-3, 0x1.7b3e2067ee4dcp-3, 0x1.75dd045bdd76ap-3, 0x1.7086ade2f55c2p-3, 0x1.6b3b3a6d6f76ap-3, 0x1.65fac5aa65c11p-3, 0x1.60c5698d87c06p-3, 0x1.5b9b3e6188bd6p-3, 0x1.567c5ae37893bp-3, 0x1.5168d45383cacp-3, 0x1.4c60be767cc4ep-3, 0x1.47642b99efd7ep-3, 0x1.42732ca7be5a5p-3, 0x1.3d8dd13dc6bf7p-3, 0x1.38b427b6f5e15p-3, 0x1.33e63d27e9dd5p-3, 0x1.2f241d6283feap-3, 0x1.2a6dd3091bff8p-3, 0x1.25c367a2d590bp-3, 0x1.2124e3a0b54a7p-3, 0x1.1c924e57fd3c5p-3, 0x1.180bae0450ec4p-3, 0x1.139107d8b929dp-3, 0x1.0f22601215cc4p-3, 0x1.0abfb9fbce5d5p-3, 0x1.066917e9bd30cp-3, 0x1.021e7b37778d6p-3, 0x1.fbbfc8aabf6c4p-4, 0x1.f35aa5b3ffa37p-4, 0x1.eb0d8b1259bbcp-4, 0x1.e2d8749f4fa44p-4, 0x1.dabb5c7ea5127p-4, 0x1.d2b63b2cf2cf8p-4, 0x1.cac9079e09fc7p-4, 0x1.c2f3b7526859ap-4, 0x1.bb363e573d8ddp-4, 0x1.b3908f3ce6a1cp-4, 0x1.ac029b18efb16p-4, 0x1.a48c519a5d221p-4, 0x1.9d2da12291493p-4, 0x1.95e676d137421p-4, 0x1.8eb6be80ec7a5p-4, 0x1.879e62c1fcc7ep-4, 0x1.809d4ce0e2fbdp-4, 0x1.79b364f9467bep-4, 0x1.72e0920968653p-4, 0x1.6c24b9fab9841p-4, 0x1.657fc1a01e79ep-4, 0x1.5ef18cb3d896p-4, 0x1.5879fdde29c44p-4, 0x1.5218f6c4caf8p-4, 0x1.4bce581afb4a9p-4, 0x1.459a01aa45452p-4, 0x1.3f7bd253b5bbfp-4, 0x1.3973a80fb2d07p-4, 0x1.33815ff2f327ap-4, 0x1.2da4d639ffb9dp-4, 0x1.27dde656ccc9dp-4, 0x1.222c6afaa5536p-4, 0x1.1c903e1a90c5p-4, 0x1.170938f1017a9p-4, 0x1.1197340147b13p-4, 0x1.0c3a071f489a4p-4, 0x1.06f1897a47a0ap-4, 0x1.01bd91a72d24bp-4, 0x1.f93beb4f392f6p-5, 0x1.ef2515dbfe82cp-5, 0x1.e5364cc18ad54p-5, 0x1.db6f38bebf5f8p-5, 0x1.d1cf81938f9edp-5, 0x1.c856ce12ea8efp-5, 0x1.bf04c43341f06p-5, 0x1.b5d9091b09988p-5, 0x1.acd34129c6182p-5, 0x1.a3f31000440e3p-5, 0x1.9b38188aae55bp-5, 0x1.92a1fd0d9364p-5, 0x1.8a305f34a10c7p-5, 0x1.81e2e020a0831p-5, 0x1.79b920739437p-5, 0x1.71b2c05a29578p-5, 0x1.69cf5f949c417p-5, 0x1.620e9d7ff4e32p-5, 0x1.5a701920cd30ep-5, 0x1.52f3712f6525ap-5, 0x1.4b984423d3f78p-5, 0x1.445e304127368p-5, 0x1.3d44d39eff3ddp-5, 0x1.364bcc320c8a9p-5, 0x1.2f72b7d450e84p-5, 0x1.28b9344e0b42p-5, 0x1.221edf5f99644p-5, 0x1.1ba356cbf6506p-5, 0x1.15463862ea1a2p-5, 0x1.0f07220a17da4p-5, 0x1.08e5b1c49bf35p-5, 0x1.02e185b9c6583p-5, 0x1.f9f47877c0298p-6, 0x1.ee5ee79fda383p-6, 0x1.e301966d74762p-6, 0x1.d7dbc2ed73251p-6, 0x1.ccecabcab58e2p-6, 0x1.c233905d0efdfp-6, 0x1.b7afb0b365bedp-6, 0x1.ad604d9a68182p-6, 0x1.a344a8a3441e3p-6, 0x1.995c042e877bbp-6, 0x1.8fa5a37d4c15bp-6, 0x1.8620cac78e353p-6, 0x1.7cccbf52eda77p-6, 0x1.73a8c7838addp-6, 0x1.6ab42ae2758adp-6, 0x1.61ee3219de0ecp-6, 0x1.595626ecb81d7p-6, 0x1.50eb5433360a1p-6, 0x1.48ad05e471884p-6, 0x1.409a893022aaep-6, 0x1.38b32ca2f4878p-6, 0x1.30f64049431dep-6, 0x1.296315c20c746p-6, 0x1.21f900392808cp-6, 0x1.1ab7544aa047bp-6, 0x1.139d67dd00e22p-6, 0x1.0caa92072a4a7p-6, 0x1.05de2b14383c9p-6, 0x1.fe6f1958aca16p-7, 0x1.f16c2430c46cbp-7, 0x1.e4b2310ec9665p-7, 0x1.d83ffe6f07879p-7, 0x1.cc144ed9098d7p-7, 0x1.c02de86395688p-7, 0x1.b48b93fbaf7b2p-7, 0x1.a92c1cbd248d9p-7, 0x1.9e0e4faf32de8p-7, 0x1.9330fc16442c2p-7, 0x1.8892f45058fe2p-7, 0x1.7e330ef1e3c68p-7, 0x1.741027b22426bp-7, 0x1.6a291fbb990d1p-7, 0x1.607cdd29c5678p-7, 0x1.570a49d094947p-7, 0x1.4dd051ba9142ap-7, 0x1.44cde1f6fd9dcp-7, 0x1.3c01e841e4a02p-7, 0x1.336b53c57be47p-7, 0x1.2b0916c7f2e3ap-7, 0x1.22da28b3795cep-7, 0x1.1add87b245dbep-7, 0x1.1312392f7a308p-7, 0x1.0b7748ec82ec9p-7, 0x1.040bc6e1cd89ep-7, 0x1.f99d893d88592p-8, 0x1.eb7ea63cb3184p-8, 0x1.ddb903da5e5f4p-8, 0x1.d04ac01ea9c91p-8, 0x1.c331fce5ba9f8p-8, 0x1.b66ce648f5555p-8, 0x1.a9f9b8475780bp-8, 0x1.9dd6c18b9f7a4p-8, 0x1.92026227933bcp-8, 0x1.867b06683f6bcp-8, 0x1.7b3f1f6ee96bfp-8, 0x1.704d1bf484a23p-8, 0x1.65a363d7369d4p-8, 0x1.5b40580a0fd7ep-8, 0x1.5122571acef64p-8, 0x1.4747c4e816aa2p-8, 0x1.3daf12fb21828p-8, 0x1.3456c6b0c97b3p-8, 0x1.2b3d7b12f9fc5p-8, 0x1.2261ddb330f92p-8, 0x1.19c2a78094f96p-8, 0x1.115e93e429ff5p-8, 0x1.093458f937451p-8, 0x1.0142a35aaad2bp-8, 0x1.f3102db04e447p-9, 0x1.e406a7a34a5f2p-9, 0x1.d565fee7d57ap-9, 0x1.c72b983bdf3f7p-9, 0x1.b954fe68ec475p-9, 0x1.abdfe537fb122p-9, 0x1.9eca23309d173p-9, 0x1.9211a4a115487p-9, 0x1.85b45c4921aa2p-9, 0x1.79b036486463cp-9, 0x1.6e0310e5724dcp-9, 0x1.62aabcecacaa1p-9, 0x1.57a505376245cp-9, 0x1.4cefbac6ba9fp-9, 0x1.4288c15b1923p-9, 0x1.386e1840707a2p-9, 0x1.2e9ddc882392bp-9, 0x1.2516448b81bcp-9, 0x1.1bd59714f584bp-9, 0x1.12da21c0f43f6p-9, 0x1.0a2231b8fcc8fp-9, 0x1.01ac10800da7bp-9, 0x1.f2ec0a20ce87ap-10, 0x1.e2fcb0f2645fdp-10, 0x1.d386b8c188b58p-10, 0x1.c486e26d52acp-10, 0x1.b5fa13b432356p-10, 0x1.a7dd56ce762f4p-10, 0x1.9a2dd2f0ef503p-10, 0x1.8ce8c0feb1934p-10, 0x1.800b6053de422p-10, 0x1.7392ee7603dd4p-10, 0x1.677ca3498221ep-10, 0x1.5bc5b349fdba3p-10, 0x1.506b58fc2cf58p-10, 0x1.456ae43c79d7dp-10, 0x1.3ac1c9c97d689p-10, 0x1.306da8471ebe8p-10, 0x1.266c42d031816p-10, 0x1.1cbb6f16e0ce7p-10, 0x1.135909091ba75p-10, 0x1.0a42f03a00bf5p-10, 0x1.01770ed2b763bp-10, 0x1.f1e6be4a74272p-11, 0x1.e16bcbe19668fp-11, 0x1.d1794512bdd0dp-11, 0x1.c20b041e2556dp-11, 0x1.b31cc855b6579p-11, 0x1.a4aa650df9a7p-11, 0x1.96aff53ff309dp-11, 0x1.8929e939b772dp-11, 0x1.7c14e21cec34fp-11, 0x1.6f6d7d25ce8d7p-11, 0x1.633042d2b4837p-11, 0x1.5759cfd5efc8ap-11, 0x1.4be718dccb6c3p-11, 0x1.40d58ee035183p-11, 0x1.362301039d45p-11, 0x1.2bcd4e419d571p-11, 0x1.21d21c71122afp-11, 0x1.182ebe3ba3c6cp-11, 0x1.0ee04767d28f5p-11, 0x1.05e3aedd5fcdap-11, 0x1.fa6bbd9b7c45bp-12, 0x1.e9a75d9cfe80dp-12, 0x1.d973c35718336p-12, 0x1.c9ca8cd3802d6p-12, 0x1.baa5ff42e2b8dp-12, 0x1.ac0195e625b35p-12, 0x1.9dda2532f9968p-12, 0x1.902d6b35e327cp-12, 0x1.82f962fae9645p-12, 0x1.763be24fccd4ap-12, 0x1.69f2a7ee94584p-12, 0x1.5e1b797fc0bddp-12, 0x1.52b3e314cd154p-12, 0x1.47b89239fb091p-12, 0x1.3d24b31217b82p-12, 0x1.32f1dadf1e6d2p-12, 0x1.2918ce3ab8c3p-12, 0x1.1f92e9d8e04c4p-12, 0x1.165b79575a717p-12, 0x1.0d702e997875bp-12, 0x1.04d05fa7d8291p-12, 0x1.f8f71c1b450bbp-13, 0x1.e8e0bb94050c4p-13, 0x1.d959885438937p-13, 0x1.ca5e11007dc14p-13, 0x1.bbecece188261p-13, 0x1.ae061ad54dcfbp-13, 0x1.a0a8cb4bd584cp-13, 0x1.93d13591b8325p-13, 0x1.8777d7a4571ebp-13, 0x1.7b9232c075ce1p-13, 0x1.7014761abef99p-13, 0x1.64f3edf2eed61p-13, 0x1.5a29b2f95084ap-13, 0x1.4fb3dc5bbb42bp-13, 0x1.4593b83b807e2p-13, 0x1.3bca31d9af128p-13, 0x1.325595c93f265p-13, 0x1.29324bb17e858p-13, 0x1.205d3416a45cfp-13, 0x1.17d5736cb2166p-13, 0x1.0f9be04fffd1ep-13, 0x1.07b05ab81d205p-13, 0x1.00101476974e4p-13, 0x1.f16d00933ef48p-14, 0x1.e33dfde762251p-14, 0x1.d58a701ab70e4p-14, 0x1.c848fbee91098p-14, 0x1.bb6f6ac459122p-14, 0x1.aef4b24ec8d15p-14, 0x1.a2d3ca36ea25ep-14, 0x1.970c4f4e78cf2p-14, 0x1.8b9f9e11065b7p-14, 0x1.808d02bb3a37fp-14, 0x1.75d1209074b0ep-14, 0x1.6b68ff983687fp-14, 0x1.6153b15ebfc8cp-14, 0x1.57904b5fe4bddp-14, 0x1.4e1bd9c66604ap-14, 0x1.44f18a3334a57p-14, 0x1.3c0c799909a0ap-14, 0x1.33694f4a70b5dp-14, 0x1.2b06120ce6b2dp-14, 0x1.22e0af234b274p-14, 0x1.1af5945371ed3p-14, 0x1.133fc7ecf00bbp-14, 0x1.0bbb814b7400fp-14, 0x1.0467bfb44c103p-14, 0x1.fa868b5650c32p-15, 0x1.ec94cc8b6bc66p-15, 0x1.def602763831p-15, 0x1.d1ae3505b7bbfp-15, 0x1.c4bf248e16c42p-15, 0x1.b821c8477be79p-15, 0x1.abce87f3e8d7cp-15, 0x1.9fc3032566628p-15, 0x1.93fe0eaacc179p-15, 0x1.887cf24bfba82p-15, 0x1.7d3d5f4c9d792p-15, 0x1.723e109146459p-15, 0x1.677ca69515c03p-15, 0x1.5cf31eba9fa27p-15, 0x1.529a050161359p-15, 0x1.4871509715d6ep-15, 0x1.3e7f3ef9d3747p-15, 0x1.34c36ec7b7625p-15, 0x1.2b3765cfcae33p-15, 0x1.21d7b90c3bbeep-15, 0x1.18a2226d71599p-15, 0x1.0f94cab9f51c1p-15, 0x1.06afb95f8f702p-15, 0x1.fbe20081d4a67p-16, 0x1.eaab338243d25p-16, 0x1.d9bbc6d4f7edep-16, 0x1.c916751545d3p-16, 0x1.b8b988e6df469p-16, 0x1.a8a1eef2fc3a7p-16, 0x1.98cd981a88a5ap-16, 0x1.893941d09b26bp-16, 0x1.79dcc9fc78b1fp-16, 0x1.6ab40cc25fb1bp-16, 0x1.5bc54b7d9da5cp-16, 0x1.4d0f858910ca3p-16, 0x1.3e8e3c1f6435fp-16, 0x1.30466763f3bcep-16, 0x1.223963b6094d3p-16, 0x1.14623764239b5p-16, 0x1.06bae751d5717p-16, 0x1.f27dfb07089e2p-17, 0x1.d7e07b0ff3169p-17, 0x1.bda2bd8e4d7b3p-17, 0x1.a3bee881f571ap-17, 0x1.8a3390ac5292dp-17, 0x1.71067245cd0dcp-17, 0x1.583665b96fca6p-17, 0x1.3fbef61b3352bp-17, 0x1.279f08a92cdc8p-17, 0x1.0fd313ed9e378p-17, 0x1.f0ac30b4b871p-18, 0x1.c2584f907557fp-18, 0x1.94a3dd99404c7p-18, 0x1.678f7b0bc2462p-18, 0x1.3b252ccbb5f22p-18, 0x1.0f5d128419417p-18, 0x1.c8621efead0b4p-19, 0x1.7342e760d1da7p-19, 0x1.1f5fdaadd6aecp-19, 0x1.99796f9cc3fdp-20, 0x1.ed5cf3214a7dfp-21, 0x1.590c2b739cfafp-22, -0x1.1f29e79f8a243p-22, -0x1.c6ea5d4fefc78p-21, -0x1.7cc9c66e3f197p-20, -0x1.09d8f0637e9e1p-19, -0x1.54154512becp-19, -0x1.9d1d1bbba43dcp-19, -0x1.e4f25ed920fe2p-19, -0x1.15d0396cf1158p-18, -0x1.38932fa2d405dp-18, -0x1.5ac2acb2a6c27p-18, -0x1.7c5822eef3001p-18, -0x1.9d55d344a2bdcp-18, -0x1.bdbf0e47b19b5p-18, -0x1.dd93baa5915cp-18, -0x1.fcd3732e7a246p-18, -0x1.0dbf1e7776776p-17, -0x1.1cca24048cb7fp-17, -0x1.2b8ae000beb85p-17, -0x1.3a0165206b821p-17, -0x1.482d865a56fc9p-17, -0x1.560ea46072d5ap-17, -0x1.63a5813ab58cep-17, -0x1.70f369c47436cp-17, -0x1.7df8a518cb231p-17, -0x1.8ab4ca11e49a7p-17, -0x1.9725ce32a85e3p-17, -0x1.a34c939d9cd4p-17, -0x1.af2ba30dea086p-17, -0x1.bac31311de9cep-17, -0x1.c6113943c29b9p-17, -0x1.d11678750240bp-17, -0x1.dbd3cde03f2d6p-17, -0x1.e64951176fb38p-17, -0x1.f0771c1ae8b0ep-17, -0x1.fa5d67bc7df66p-17, -0x1.01fe3c70facbbp-16, -0x1.06aa4b6cb4ebep-16, -0x1.0b3304b64bc7bp-16, -0x1.0f988dd835a85p-16, -0x1.13db10901f15ap-16, -0x1.17fabc43af97p-16, -0x1.1bf7c62a7f53dp-16, -0x1.1fd26456dbebfp-16, -0x1.238aa3b48577ep-16, -0x1.2720780c9d85cp-16, -0x1.2a947b74946b1p-16, -0x1.2de6daaf01f4ep-16, -0x1.31178565a6a05p-16, -0x1.342719d7e1fcbp-16, -0x1.37158a86bba9p-16, -0x1.39e31392d0ce8p-16, -0x1.3c9026ea39693p-16, -0x1.3f1cec883d34cp-16, -0x1.41899862b407bp-16, -0x1.43d66a64fd6fep-16, -0x1.4603a6dd448fbp-16, -0x1.4811941895ca8p-16, -0x1.4a0079948f6f4p-16, -0x1.4bd09f5b43d19p-16, -0x1.4d824d80d3e34p-16, -0x1.4f15cc9af89f9p-16, -0x1.508b67b1b9a39p-16, -0x1.51e36e3e5cd86p-16, -0x1.531e33c1b7b4bp-16, -0x1.543c0b12aa96ap-16, -0x1.553d4151905ddp-16, -0x1.56222adcf2aafp-16, -0x1.56eb286458825p-16, -0x1.579836641886ap-16, -0x1.5829da24c3809p-16, -0x1.58a0bed58d354p-16, -0x1.58fcdec7bfbf7p-16, -0x1.593e9358554bfp-16, -0x1.5966675444d65p-16, -0x1.5974a7e0af56fp-16, -0x1.5969a30f4f39ep-16, -0x1.5945b13eb1d03p-16, -0x1.59092e56aa9c3p-16, -0x1.58b4773ef673p-16, -0x1.5847e93f0fd53p-16, -0x1.57c3e1c8c1ae9p-16, -0x1.5728be5316ca8p-16, -0x1.5676dc83768fbp-16, -0x1.55ae9af2c5184p-16, -0x1.54d059d3d168dp-16, -0x1.53dc7a87d0285p-16, -0x1.52d35e1a4f961p-16, -0x1.51b562076c3f7p-16, -0x1.5082e08c16623p-16, -0x1.4f3c41bfb20d9p-16, -0x1.4de1f49ee378dp-16, -0x1.4c742e4babfa1p-16, -0x1.4af37c1d189b5p-16, -0x1.49601612e058ap-16, -0x1.47ba8ee554ecap-16, -0x1.460316ef92f99p-16, -0x1.443a36e333ff6p-16, -0x1.42602539d713ep-16, -0x1.40755bfbf42adp-16, -0x1.3e7a46f4d5334p-16, -0x1.3c6f3a3aa0c0ap-16, -0x1.3a5492d563de3p-16, -0x1.382ab07c11575p-16, -0x1.35f1f2cb16b2ep-16, -0x1.33aab8b360c6dp-16, -0x1.3155606616214p-16, -0x1.2ef247b29d272p-16, -0x1.2c81cc8d82669p-16, -0x1.2a044d1e2dcb8p-16, -0x1.277a27703d02bp-16, -0x1.24e3b8684ae12p-16, -0x1.224158ecbddfcp-16, -0x1.1f93605d954e3p-16, -0x1.1cda3309edabp-16, -0x1.1a1636ac8f4f1p-16, -0x1.1747a25cf7891p-16, -0x1.146ecef7f8b37p-16, -0x1.118c37b796b78p-16, -0x1.0ea02abf6af14p-16, -0x1.0baaf69957beep-16, -0x1.08acef4d9a9dcp-16, -0x1.05a67172f56acp-16, }}, 
      {{-0x1.c3215f1a4adcdp+0, -0x1.c27f5d115389cp+0, -0x1.c173812289df7p+0, -0x1.c000aacbc3752p+0, -0x1.be2a729a6de5dp+0, -0x1.bbf4faa5ae45cp+0, -0x1.b964c83872a7ep+0, -0x1.b67ea50a6c39cp+0, -0x1.b3478698aeb7bp+0, -0x1.afc47a66df994p+0, -0x1.abfa962af4f0ap+0, -0x1.a7eeeb196b929p+0, -0x1.a3a67bb386d5fp+0, -0x1.9f26339c2f74cp+0, -0x1.9a72e112dcd5fp+0, -0x1.95912fc8c4448p+0, -0x1.9085a4d45d4a9p+0, -0x1.8b549b9368212p+0, -0x1.860243550013dp+0, -0x1.80929dac85e48p+0, -0x1.7b097d53c04d3p+0, -0x1.756a85870a6d4p+0, -0x1.6fb929c9bf5c9p+0, -0x1.69f8ae03f0979p+0, -0x1.642c26ec83a14p+0, -0x1.5e567ab4b4cf9p+0, -0x1.587a61eb42aap+0, -0x1.529a688ed5b57p+0, -0x1.4cb8ef482ed4bp+0, -0x1.46d82cc560332p+0, -0x1.40fa2f2fb9d9dp+0, -0x1.3b20ddb7133cfp+0, -0x1.354dfa2e7f4e5p+0, -0x1.2f8322b452ep+0, -0x1.29c1d3604e3a7p+0, -0x1.240b67f85e73p+0, -0x1.1e611da40003dp+0, -0x1.18c41499f954fp+0, -0x1.133551cfb2b0ap+0, -0x1.0db5c0941823ep+0, -0x1.084634239c284p+0, -0x1.02e769383aa75p+0, -0x1.fb340ee2b8b72p-1, -0x1.f0bd45830b4eap-1, -0x1.e66b797c812fep-1, -0x1.dc3f8ba93d32ep-1, -0x1.d23a3cee208a5p-1, -0x1.c85c305ffe6a6p-1, -0x1.bea5ed4bb67e8p-1, -0x1.b517e114c912dp-1, -0x1.abb260f55332ep-1, -0x1.a275aba89567ap-1, -0x1.9961eb0657c69p-1, -0x1.90773589acd56p-1, -0x1.87b58fc13090ep-1, -0x1.7f1ceda8ed276p-1, -0x1.76ad33f361eb8p-1, -0x1.6e663945243cfp-1, -0x1.6647c7636841p-1, -0x1.5e519c527cba7p-1, -0x1.56836b61a0249p-1, -0x1.4edcde237ba05p-1, -0x1.475d9554f0826p-1, -0x1.400529b520a94p-1, -0x1.38d32cd138563p-1, -0x1.31c729c57353ep-1, -0x1.2ae0a5f3aec8ep-1, -0x1.241f21af2ae7dp-1, -0x1.1d8218dd04358p-1, -0x1.1709038955e0ap-1, -0x1.10b356717518dp-1, -0x1.0a808384164fp-1, -0x1.046ffa586476fp-1, -0x1.fd02513a07c64p-2, -0x1.f166f4ff8aa1fp-2, -0x1.e60cb61d1e947p-2, -0x1.daf269237de53p-2, -0x1.d016e1c0443e5p-2, -0x1.c578f3592bdcbp-2, -0x1.bb17719ab52e8p-2, -0x1.b0f130fa8b1e5p-2, -0x1.a705072e21d37p-2, -0x1.9d51cb963545ep-2, -0x1.93d6579ffc82cp-2, -0x1.8a91871ce67efp-2, -0x1.81823891aac7ep-2, -0x1.78a74d7d987c3p-2, -0x1.6fffaa9a5690fp-2, -0x1.678a38156ff4fp-2, -0x1.5f45e1c2ff296p-2, -0x1.5731974b098abp-2, -0x1.4f4c4c50cfcd8p-2, -0x1.4794f894edd6p-2, -0x1.400a9812b1b35p-2, -0x1.38ac2b18488e5p-2, -0x1.3178b65a8e0c9p-2, -0x1.2a6f430531992p-2, -0x1.238edec677f9dp-2, -0x1.1cd69bd74527cp-2, -0x1.16459100fd527p-2, -0x1.0fdad99fd073dp-2, -0x1.099595a2349d1p-2, -0x1.0374e98656a76p-2, -0x1.faeffcabcdc2fp-3, -0x1.ef3c033f03f12p-3, -0x1.e3cc4adc88558p-3, -0x1.d89f40805680ep-3, -0x1.cdb359f5d5e07p-3, -0x1.c30715c010349p-3, -0x1.b898fafe4f147p-3, -0x1.ae67994f2afb2p-3, -0x1.a47188b2748a8p-3, -0x1.9ab5696890414p-3, -0x1.9131e3d1afe34p-3, -0x1.87e5a84b508edp-3, -0x1.7ecf6f0c33279p-3, -0x1.75edf80057649p-3, -0x1.6d400aa3f7c87p-3, -0x1.64c475de09933p-3, -0x1.5c7a0fda418e6p-3, -0x1.545fb5e345b61p-3, -0x1.4c744c3c78d88p-3, -0x1.44b6bdfb5ae5dp-3, -0x1.3d25fce16708dp-3, -0x1.35c1013662569p-3, -0x1.2e86c9a258bp-3, -0x1.27765b07b5c9fp-3, -0x1.208ec05e87832p-3, -0x1.19cf0a8fcf2f1p-3, -0x1.13365050ac2c9p-3, -0x1.0cc3adfeb896dp-3, -0x1.0676457cc799cp-3, -0x1.004d3e0fe4dd8p-3, -0x1.f48f887a90f42p-4, -0x1.e8ca13516ab2fp-4, -0x1.dd4889e66d337p-4, -0x1.d2096335c7debp-4, -0x1.c70b1fb6c1043p-4, -0x1.bc4c491cf9f1dp-4, -0x1.b1cb721b7aaf3p-4, -0x1.a787362996f33p-4, -0x1.9d7e3948a9ba5p-4, -0x1.93af27cb12ccp-4, -0x1.8a18b61ce74ebp-4, -0x1.80b9a08de3102p-4, -0x1.7790ab1c558c4p-4, -0x1.6e9ca14190edp-4, -0x1.65dc55c01b0c7p-4, -0x1.5d4ea272bf778p-4, -0x1.54f2681c99ab1p-4, -0x1.4cc68e3ad17d5p-4, -0x1.44ca02d7bab74p-4, -0x1.3cfbba5ed8d99p-4, -0x1.355aaf71f9038p-4, -0x1.2de5e2bfc1af5p-4, -0x1.269c5adb82f64p-4, -0x1.1f7d2415e315ap-4, -0x1.1887505682d35p-4, -0x1.11b9f6f6f212cp-4, -0x1.0b14349ee0b7ep-4, -0x1.04952b212927ep-4, -0x1.fc7802b3302a1p-5, -0x1.f00fc617a99a2p-5, -0x1.e3f00186fe4e1p-5, -0x1.d8171f6a4a99p-5, -0x1.cc83933fc1f9dp-5, -0x1.c133d95fa2d7ep-5, -0x1.b62676c34fd4cp-5, -0x1.ab59f8ce47456p-5, -0x1.a0ccf5185eb79p-5, -0x1.967e09392b4b3p-5, -0x1.8c6bda951bde2p-5, -0x1.8295162c77b55p-5, -0x1.78f8706be2a36p-5, -0x1.6f94a4fdd888p-5, -0x1.6668769d31656p-5, -0x1.5d72aee93148ep-5, -0x1.54b21e3b4cd68p-5, -0x1.4c259b7e31876p-5, -0x1.43cc04058428ap-5, -0x1.3ba43b667492bp-5, -0x1.33ad2b51b89bap-5, -0x1.2be5c36f17c9bp-5, -0x1.244cf93a07594p-5, -0x1.1ce1c7decec76p-5, -0x1.15a330184f9dp-5, -0x1.0e90380efefb1p-5, -0x1.07a7eb39449fep-5, -0x1.00e95a3cdb1eep-5, -0x1.f4a735a14d55cp-6, -0x1.e7cb8f3df6d1ap-6, -0x1.db3e005187113p-6, -0x1.cefcd153bf206p-6, -0x1.c30653fd11cebp-6, -0x1.b758e31272c5ap-6, -0x1.abf2e231b0f2fp-6, -0x1.a0d2bd9ef9e8bp-6, -0x1.95f6ea1435689p-6, -0x1.8b5de4925d008p-6, -0x1.810632341f161p-6, -0x1.76ee60011c0e1p-6, -0x1.6d1502c1c1141p-6, -0x1.6378b6d44f5b5p-6, -0x1.5a1820037f085p-6, -0x1.50f1e95ea5d54p-6, -0x1.4804c512c3d21p-6, -0x1.3f4f6c44168b1p-6, -0x1.36d09ee83e8eep-6, -0x1.2e8723a16e3d3p-6, -0x1.2671c79ae4babp-6, -0x1.1e8f5e669611fp-6, -0x1.16dec1db92bb8p-6, -0x1.0f5ed1f4ee845p-6, -0x1.080e74b126d21p-6, -0x1.00ec95f257159p-6, -0x1.f3f04ebed95b7p-7, -0x1.e660408cac032p-7, -0x1.d926fafdbc03cp-7, -0x1.cc42829c0f797p-7, -0x1.bfb0e693b3a83p-7, -0x1.b370407b773cap-7, -0x1.a77eb41f262b9p-7, -0x1.9bda6f4b53db2p-7, -0x1.9081a99a79e1ep-7, -0x1.8572a4430ba74p-7, -0x1.7aaba9e668628p-7, -0x1.702b0e6097c24p-7, -0x1.65ef2e9924471p-7, -0x1.5bf6705514b88p-7, -0x1.523f420a2ab4cp-7, -0x1.48c81ab30c484p-7, -0x1.3f8f79a44c734p-7, -0x1.3693e662278bdp-7, -0x1.2dd3f0770267dp-7, -0x1.254e2f4acb8d3p-7, -0x1.1d0141fb48d28p-7, -0x1.14ebcf3550e02p-7, -0x1.0d0c850ed6f3cp-7, -0x1.056218e1ae722p-7, -0x1.fbd68e4de68cap-8, -0x1.ed4da6a631c5dp-8, -0x1.df270f6552a7p-8, -0x1.d1606a8f90243p-8, -0x1.c3f76750d5635p-8, -0x1.b6e9c1ba87b29p-8, -0x1.aa354282acdb7p-8, -0x1.9dd7bec433a92p-8, -0x1.91cf17c05f7a7p-8, -0x1.86193aa154e73p-8, -0x1.7ab4203dcc891p-8, -0x1.6f9dccddfda53p-8, -0x1.64d45001a326cp-8, -0x1.5a55c42743741p-8, -0x1.50204e94607afp-8, -0x1.46321f1ec8d08p-8, -0x1.3c896ff6d420bp-8, -0x1.332485729e5a7p-8, -0x1.2a01adda2210fp-8, -0x1.211f41345d6cp-8, -0x1.187ba1155b169p-8, -0x1.1015386d38398p-8, -0x1.07ea7b5810fd1p-8, -0x1.fff3cddda0629p-9, -0x1.f0840231dc6ddp-9, -0x1.e182b0bdf1337p-9, -0x1.d2ed077bc0369p-9, -0x1.c4c044f6259f3p-9, -0x1.b6f9b7f2a48p-9, -0x1.a996bf1c8cd9cp-9, -0x1.9c94c8b1ce068p-9, -0x1.8ff1523154e56p-9, -0x1.83a9e80b11ed5p-9, -0x1.77bc25519492fp-9, -0x1.6c25b36d269c7p-9, -0x1.60e449d03c9bep-9, -0x1.55f5adad0102fp-9, -0x1.4b57b1ac17169p-9, -0x1.410835a489fp-9, -0x1.37052654eb7c1p-9, -0x1.2d4c7d1dd6231p-9, -0x1.23dc3fbddd7bap-9, -0x1.1ab2800f13305p-9, -0x1.11cd5bc5fd31p-9, -0x1.092afc31d0261p-9, -0x1.00c995fe01dabp-9, -0x1.f14ed1e95361ap-10, -0x1.e1857f839449ap-10, -0x1.d233df6e9089dp-10, -0x1.c356b1231034cp-10, -0x1.b4eac879d0005p-10, -0x1.a6ed0d388c806p-10, -0x1.995a7aa24c4bp-10, -0x1.8c301f0b68412p-10, -0x1.7f6b1b71c0519p-10, -0x1.7308a31865315p-10, -0x1.6705fb258b8b7p-10, -0x1.5b607a40d2822p-10, -0x1.5015882ff3bccp-10, -0x1.45229d7113791p-10, -0x1.3a8542d38b0d3p-10, -0x1.303b1111e2471p-10, -0x1.2641b0705cdc8p-10, -0x1.1c96d863bba7dp-10, -0x1.13384f4121843p-10, -0x1.0a23e9f5d0c44p-10, -0x1.01578bc1aad37p-10, -0x1.f1a24bdd2159ap-11, -0x1.e11d6efe7cae7p-11, -0x1.d11c99a6e36ddp-11, -0x1.c19bfe887fb7fp-11, -0x1.b297e97f7b6e8p-11, -0x1.a40cbeda8eb21p-11, -0x1.95f6fac4a9ebap-11, -0x1.885330d571424p-11, -0x1.7b1e0bc07c67bp-11, -0x1.6e544d0f39805p-11, -0x1.61f2cccb5b2d5p-11, -0x1.55f679044b92fp-11, -0x1.4a5c5526c449bp-11, -0x1.3f2179300fac8p-11, -0x1.344310d68425ep-11, -0x1.29be5ac750f3ep-11, -0x1.1f90a817253f8p-11, -0x1.15b75bf10cd66p-11, -0x1.0c2feb7b570bdp-11, -0x1.02f7ddd5df653p-11, -0x1.f41998152638cp-12, -0x1.e2d8c19aa3745p-12, -0x1.d228aff289414p-12, -0x1.c204fba3446d9p-12, -0x1.b2695c4644f1bp-12, -0x1.a351a6dfde753p-12, -0x1.94b9cc98954f2p-12, -0x1.869dda0528626p-12, -0x1.78f9f6fca663p-12, -0x1.6bca66cc01f12p-12, -0x1.5f0b887bd1eb8p-12, -0x1.52b9d6d67e32ap-12, -0x1.46d1e7eff732dp-12, -0x1.3b506c1f50736p-12, -0x1.30322c8d5e81dp-12, -0x1.257409a6ef272p-12, -0x1.1b12f9c8924abp-12, -0x1.110c085ebb63fp-12, -0x1.075c55813b754p-12, -0x1.fc022bcdc8bc7p-13, -0x1.e9ef25fdca7ecp-13, -0x1.d87a560951aedp-13, -0x1.c79ea1d3199bap-13, -0x1.b75717e9ad7e4p-13, -0x1.a79eee027bcbap-13, -0x1.98717ec458b2bp-13, -0x1.89ca475fd2894p-13, -0x1.7ba4e5af2ac65p-13, -0x1.6dfd17608e442p-13, -0x1.60ceba05e348dp-13, -0x1.5415cb58326b1p-13, -0x1.47ce68f3eacfbp-13, -0x1.3bf4cf62d2509p-13, -0x1.308558e73c813p-13, -0x1.257c7c8d1f4bcp-13, -0x1.1ad6cd80e76d7p-13, -0x1.1090fa2b0203dp-13, -0x1.06a7caace1f81p-13, -0x1.fa303e209e6d3p-14, -0x1.e7bddc3292eefp-14, -0x1.d5f28add19de4p-14, -0x1.c4c8958a656dep-14, -0x1.b43a79a79d7e6p-14, -0x1.a442e5d3e9dccp-14, -0x1.94dcb6445bbc4p-14, -0x1.8602f078e117ap-14, -0x1.77b0c0aec718ap-14, -0x1.69e179941a094p-14, -0x1.5c9094b415b1fp-14, -0x1.4fb9b16c47b99p-14, -0x1.435891fcdaa2dp-14, -0x1.376918624850bp-14, -0x1.2be7451ec12c8p-14, -0x1.20cf3864431edp-14, -0x1.161d33f15721p-14, -0x1.0bcd9b73051a4p-14, -0x1.01dcf2c3ba2ep-14, -0x1.f08fb68904c62p-15, -0x1.de162446ac1f4p-15, -0x1.cc46e0c4dd89dp-15, -0x1.bb1bd7a78769cp-15, -0x1.aa8f2ee36583dp-15, -0x1.9a9b4440ce178p-15, -0x1.8b3aa8b23d4f5p-15, -0x1.7c681be2f3a66p-15, -0x1.6e1e88d2d0785p-15, -0x1.60590254a55e7p-15, -0x1.5312bee1e8982p-15, -0x1.4647156782102p-15, -0x1.39f17cff2c1c1p-15, -0x1.2e0d8f50907b4p-15, -0x1.22970bf26330fp-15, -0x1.1789dbcaeeb26p-15, -0x1.0ce213b942295p-15, -0x1.029bf5b9eb8cap-15, -0x1.f167e0c7e53c8p-16, -0x1.de4d3b3121424p-16, -0x1.cbe180b151874p-16, -0x1.ba1e7f5959491p-16, -0x1.a8fe3a575eef9p-16, -0x1.987ad4349d966p-16, -0x1.888e82ca38d3bp-16, -0x1.7933934289b6p-16, -0x1.6a6476010d614p-16, -0x1.5c1bc6527597ep-16, -0x1.4e544b5773927p-16, -0x1.4108f7dcfa2fbp-16, -0x1.3434edf55db64p-16, -0x1.27d38899b471bp-16, -0x1.1be06bb0751d5p-16, -0x1.105793924458dp-16, -0x1.0535534cac6d5p-16, -0x1.f4ec6de6a6ddcp-17, -0x1.e02db10e162f3p-17, -0x1.cc278e750312fp-17, -0x1.b8d321ad575f5p-17, -0x1.a629b6c250366p-17, -0x1.9424e429ec291p-17, -0x1.82be7d6b55867p-17, -0x1.71f07b1b05368p-17, -0x1.61b4ef4bcfae8p-17, -0x1.520603f5800d8p-17, -0x1.42ddff328fd52p-17, -0x1.34375da34f336p-17, -0x1.260d1019017bcp-17, -0x1.185ab584c3e46p-17, -0x1.0b1c874d1e509p-17, -0x1.fc9dde12b4aaep-18, -0x1.e3dc48c67f4ccp-18, -0x1.cbec5a5595b46p-18, -0x1.b4c64709e3697p-18, -0x1.9e62c7b0891f1p-18, -0x1.88bb06fb9a38cp-18, -0x1.73c86d236a585p-18, -0x1.5f8480ccbed2p-18, -0x1.4be8de448da47p-18, -0x1.38ef3bf79767bp-18, -0x1.26916f68b664ep-18, -0x1.14c973c83a88bp-18, -0x1.0391910d93802p-18, -0x1.e5c946c1a507cp-19, -0x1.c57c683121a6ep-19, -0x1.a6345fba26bfap-19, -0x1.87e90b6a0ac6ap-19, -0x1.6a9226a608ca5p-19, -0x1.4e279a7b8ec24p-19, -0x1.32a1affe9b5d4p-19, -0x1.17f90dbab2ba2p-19, -0x1.fc4d487b05e6ep-20, -0x1.ca4726863444bp-20, -0x1.99d231e8a64e6p-20, -0x1.6ae134e82d481p-20, -0x1.3d678904e84d1p-20, -0x1.1159420a9e818p-20, -0x1.cd560e98640b3p-21, -0x1.7aa3d125d41d7p-21, -0x1.2a86d73a0f926p-21, -0x1.b9d5c1df1fe5cp-22, -0x1.23784b27a5969p-22, -0x1.23a11a168e6fdp-23, -0x1.2f79bffb47876p-28, 0x1.07be03050a6e5p-23, 0x1.08266868ca6dp-22, 0x1.88376d871f3c2p-22, 0x1.02175f643d79bp-21, 0x1.3e13ef65314c6p-21, 0x1.781f16e17b94ep-21, 0x1.b0466fa4a5a09p-21, 0x1.e697336d1cd37p-21, 0x1.0d8eceb69f00fp-20, 0x1.26f2507f934bcp-20, 0x1.3f7b5aaab67cp-20, 0x1.572f67893c9dep-20, 0x1.6e142fafc2b48p-20, 0x1.842f454c3df9p-20, 0x1.998574c24ca07p-20, 0x1.ae1ab18090cc2p-20, 0x1.c1f30b714117fp-20, 0x1.d51320049e759p-20, 0x1.e77f8b2c80f79p-20, 0x1.f93c98f07d469p-20, 0x1.0527131e39eb8p-19, 0x1.0d5bcee16b62cp-19, 0x1.153e30750cc26p-19, 0x1.1cd000e2f2f62p-19, 0x1.24130280f2627p-19, 0x1.2b08d762b89f5p-19, 0x1.31b2ffb6437dcp-19, 0x1.3812efad60c9p-19, 0x1.3e2a3386802edp-19, 0x1.43fa6c20abd69p-19, 0x1.49852bec58e9cp-19, 0x1.4ecbcd3ed1855p-19, 0x1.53cf74cf176cep-19, 0x1.589160c955ad1p-19, 0x1.5d12e28c9ffeep-19, 0x1.61552cab3da74p-19, 0x1.6559749aa4a79p-19, 0x1.6921017d46948p-19, 0x1.6cad16029d6efp-19, 0x1.6ffedc558cb16p-19, 0x1.73175ac1038a7p-19, 0x1.75f7902aa907bp-19, 0x1.78a090d4f6bc7p-19, 0x1.7b136bceb1137p-19, 0x1.7d511ac460b5p-19, 0x1.7f5a97de20b96p-19, 0x1.8130ea28e4be8p-19, 0x1.82d51ad1f316dp-19, 0x1.8448258931429p-19, 0x1.858af2910dcc9p-19, 0x1.869e5ebdcd2fp-19, 0x1.878359662f708p-19, 0x1.883acc0702381p-19, 0x1.88c5925e7648bp-19, 0x1.89248ceb5bccdp-19, 0x1.895897ff37a0bp-19, 0x1.89628b0b71feep-19, 0x1.89433e44bf933p-19, 0x1.88fb8af94c52ep-19, 0x1.888c471ee01b3p-19, 0x1.87f642cb7ffd8p-19, 0x1.873a462eb9efcp-19, 0x1.86591ae725479p-19, 0x1.85538db8556ccp-19, 0x1.842a63d88b062p-19, 0x1.82de64f6ad1afp-19, 0x1.81705881a690bp-19, 0x1.7fe0fe5dbc616p-19, 0x1.7e31162e606p-19, 0x1.7c615eb4745a2p-19, 0x1.7a7296d77b4c2p-19, 0x1.786575c5f6ae4p-19, 0x1.763ab558742b1p-19, 0x1.73f30e8ad976p-19, 0x1.718f3739d19f1p-19, 0x1.6f0fe402f2a59p-19, 0x1.6c75c86fe9f3cp-19, 0x1.69c1964dacd5cp-19, 0x1.66f3fd42e080fp-19, 0x1.640dab5bff436p-19, 0x1.610f4dd5b677dp-19, 0x1.5df9905e5cb7cp-19, 0x1.5acd1def3d2b1p-19, 0x1.578aa05c0238ep-19, 0x1.5432bf6423d1ap-19, 0x1.50c621232a4efp-19, 0x1.4d4567aa9b4c6p-19, 0x1.49b136266f058p-19, 0x1.460a312987ca5p-19, 0x1.4250f8fa6d7cep-19, 0x1.3e862994de357p-19, 0x1.3aaa5fac855c9p-19, 0x1.36be375321101p-19, 0x1.32c24a52d3cap-19, 0x1.2eb7313739ea4p-19, 0x1.2a9d834703692p-19, 0x1.2675d6331bbf7p-19, 0x1.2240bddf148aep-19, 0x1.1dfecc51a8154p-19, 0x1.19b091dd6e022p-19, 0x1.15569d705208cp-19, 0x1.10f17cca19cbap-19, 0x1.0c81bc54bb114p-19, 0x1.0807e6c852a94p-19, 0x1.038484662fb56p-19, 0x1.fdf036731f825p-20, 0x1.f4c66339ed4a6p-20, 0x1.eb8c976fc8a48p-20, 0x1.e243d757352c9p-20, 0x1.d8ed26426572fp-20, 0x1.cf897fedc2efep-20, 0x1.c619de172d9ebp-20, 0x1.bc9f383f5a5p-20, 0x1.b31a813370c7fp-20, 0x1.a98ca8aab831fp-20, 0x1.9ff69b4a68cdep-20, 0x1.96594273ba0a3p-20, 0x1.8cb5842d3d9fep-20, 0x1.830c42fb3f044p-20, 0x1.795e5db2d140dp-20, 0x1.6facaf53b78a4p-20, 0x1.65f80f22c4c2ap-20, 0x1.5c415116954dfp-20, 0x1.5289463997de1p-20, 0x1.48d0bc929da4bp-20, 0x1.3f187e705eff2p-20, 0x1.35615190c293p-20, 0x1.2babf7b064e9bp-20, 0x1.21f92ff2c5565p-20, 0x1.1849b51296506p-20, 0x1.0e9e40f49b148p-20, 0x1.04f789f6d1a56p-20, 0x1.f6ac7ec120936p-21, 0x1.e3761d4468a6p-21, 0x1.d04d44f7e56adp-21, 0x1.bd334274ef8e9p-21, 0x1.aa295ba1515acp-21, 0x1.9730cfe8eea3cp-21, 0x1.844ad7f484843p-21, 0x1.7178a57e9c203p-21, 0x1.5ebb634341387p-21, 0x1.4c1434fbd268bp-21, 0x1.3984375f44063p-21, 0x1.270c80478424p-21, 0x1.14ae1f06967bcp-21, 0x1.026a1cc218f26p-21, 0x1.e082f8567ee9ep-22, 0x1.bc6a71ec8ec8bp-22, 0x1.988c8e84bf28p-22, 0x1.74eb2769a1461p-22, 0x1.51880c1a2ee9ep-22, 0x1.2e650309af734p-22, 0x1.0b83c01a0d927p-22, 0x1.d1cbdc36e0b26p-23, 0x1.8d1a47f4f954ap-23, 0x1.48f5e996bec25p-23, 0x1.0561c2811e104p-23, 0x1.84c18ca086059p-24, 0x1.ffd70c0cf598dp-25, 0x1.f11bbc4f749f2p-26, -0x1.89bb36500cc3fp-30, -0x1.0eb1ef7b468b9p-25, -0x1.074a483c22d85p-24, -0x1.85f6231d66d25p-24, -0x1.01abfdfdc1e62p-23, -0x1.3fb5ba85ee0c8p-23, -0x1.7d162f97c1a68p-23, -0x1.b9cb5bee845c8p-23, -0x1.f5d35352237a7p-23, -0x1.18961f2d8ad4ep-22, -0x1.35ea2d7ebee13p-22, -0x1.52e4fea71c8d9p-22, -0x1.6f85c8a633917p-22, -0x1.8bcbcc82e3844p-22, -0x1.a7b652a4c171ap-22, -0x1.c344acd70e6d6p-22, -0x1.de763b8f8f9d9p-22, -0x1.f94a669ea9524p-22, -0x1.09e04e3d28dep-21, -0x1.16ec2c4a0cdeap-21, -0x1.23c8902171d18p-21, -0x1.3075412a95245p-21, -0x1.3cf20ab474641p-21, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.3575676f70e43p-5, 0x1.2fa6edd811472p-4, 0x1.ba6de22686413p-4, 0x1.1c02ed246ec97p-3, 0x1.5335b6efa1a4fp-3, 0x1.8233fc5b6daa7p-3, 0x1.a8b1aefa94bf8p-3, 0x1.c69f951eb77a3p-3, 0x1.dc1ca891777ffp-3, 0x1.e96a80c853e8cp-3, 0x1.eee428683924dp-3, 0x1.ecf6dd4816588p-3, 0x1.e41c54d29050ap-3, 0x1.d4d6345d940bbp-3, 0x1.bfaa7e5048a86p-3, 0x1.a520c27d45ccfp-3, 0x1.85bfeaac7a643p-3, 0x1.620c848e98612p-3, 0x1.3a8770c1eae47p-3, 0x1.0face39059cdp-3, 0x1.c3e74feff3fbbp-4, 0x1.63993137c7d86p-4, 0x1.fe891281f021bp-5, 0x1.2f62e15f85673p-5, 0x1.6cd631dda860cp-7, -0x1.f28eb11bd0bebp-7, -0x1.56e7c32394eaap-5, -0x1.1937b59b459bcp-4, -0x1.87162eda00233p-4, -0x1.f49440a3a5e7ap-4, -0x1.30a13cd1bc115p-3, -0x1.665e3e538a1adp-3, -0x1.9b5439a00ae12p-3, -0x1.cf5b3d9f707d6p-3, -0x1.0128039acd001p-2, -0x1.1a09dbdd70a7cp-2, -0x1.3245c5400a3b4p-2, -0x1.49d044ed68fedp-2, -0x1.609fa5f5ff0cep-2, -0x1.76abd335947aap-2, -0x1.8bee3a2c23298p-2, -0x1.a061ab2783d0ep-2, -0x1.b40233ebc4cd4p-2, -0x1.c6cd0e6a14228p-2, -0x1.d8c07c05d4bfep-2, -0x1.e9dbaecbebd8ap-2, -0x1.fa1eb34dbc9f3p-2, -0x1.04c52b0f58f4p-1, -0x1.0c10088b53fbbp-1, -0x1.12f0fb5bd8225p-1, -0x1.19694febef5cdp-1, -0x1.1f7a8da7f12bep-1, -0x1.25266f6b70905p-1, -0x1.2a6edcc0aadaap-1, -0x1.2f55e3c542f21p-1, -0x1.33ddb39fd9d05p-1, -0x1.380897857384bp-1, -0x1.3bd8f23dc506fp-1, -0x1.3f513a175db7cp-1, -0x1.4273f536ad45p-1, -0x1.4543b62e6ab63p-1, -0x1.47c318d5fc3d6p-1, -0x1.49f4bf58f2719p-1, -0x1.4bdb4f7ed4c56p-1, -0x1.4d79702b08083p-1, -0x1.4ed1c713d20e6p-1, -0x1.4fe6f6ae427f2p-1, -0x1.50bb9c4b36916p-1, -0x1.51524e63084cdp-1, -0x1.51ad9b0ccc98cp-1, -0x1.51d006a09bb8dp-1, -0x1.51bc0a8231f03p-1, -0x1.51741413e4569p-1, -0x1.50fa83d05f5dep-1, -0x1.5051ac88858e6p-1, -0x1.4f7bd2c31e463p-1, -0x1.4e7b2c3c33924p-1, -0x1.4d51df7f7bdf3p-1, -0x1.4c02039c86f9fp-1, -0x1.4a8d9ff05c43ap-1, -0x1.48f6ac0347103p-1, -0x1.473f0f77b014ap-1, -0x1.4568a209dcf83p-1, -0x1.43752b9ce7898p-1, -0x1.416664554d1f7p-1, -0x1.3f3df4be5bbe4p-1, -0x1.3cfd75f9c67b7p-1, -0x1.3aa671fca4f96p-1, -0x1.383a63cb8e30dp-1, -0x1.35bab7c7e5e3ap-1, -0x1.3328cbfa988e9p-1, -0x1.3085f068600c2p-1, -0x1.2dd367690c137p-1, -0x1.2b1265ff8c3afp-1, -0x1.2844143690ea5p-1, -0x1.25698d8040a74p-1, -0x1.2283e110b112fp-1, -0x1.1f94123fb4c65p-1, -0x1.1c9b18e9f898fp-1, -0x1.1999e1cd0d488p-1, -0x1.16914ee6705dep-1, -0x1.138237d3a4355p-1, -0x1.106d6a2f40a7p-1, -0x1.0d53a9ea6309dp-1, -0x1.0a35b1a7c5f62p-1, -0x1.07143315bb61dp-1, -0x1.03efd7445afcap-1, -0x1.00c93efb42d13p-1, -0x1.fb420615e0eb5p-2, -0x1.f4ef693cee824p-2, -0x1.ee9bbb16d722ep-2, -0x1.e8480139700cbp-2, -0x1.e1f533bc3a524p-2, -0x1.dba43dc78d87ap-2, -0x1.d555fe1cd525cp-2, -0x1.cf0b47a161325p-2, -0x1.c8c4e1df3970dp-2, -0x1.c283898003b0ap-2, -0x1.bc47f0c978212p-2, -0x1.b612c0107e6e3p-2, -0x1.afe49626bd698p-2, -0x1.a9be08c9e7587p-2, -0x1.a39fa509dda9p-2, -0x1.9d89efaad84dbp-2, -0x1.977d658729b3ep-2, -0x1.917a7be8b7caep-2, -0x1.8b81a0e0bbeabp-2, -0x1.85933b9d7b522p-2, -0x1.7fafacb82c55dp-2, -0x1.79d74e8214537p-2, -0x1.740a75500b4efp-2, -0x1.6e496fbed6745p-2, -0x1.689486f570a3p-2, -0x1.62ebfee712c23p-2, -0x1.5d50168f49ec6p-2, -0x1.57c1082b21eecp-2, -0x1.523f0972817c4p-2, -0x1.4cca4bccdfd2ap-2, -0x1.4762fc81f9311p-2, -0x1.420944eb68012p-2, -0x1.3cbd4aa40240ap-2, -0x1.377f2fb172efcp-2, -0x1.324f12ad383eep-2, -0x1.2d2d0eef0d746p-2, -0x1.28193cb2e3eccp-2, -0x1.2313b13a76a5fp-2, -0x1.1e1c7ef070a63p-2, -0x1.1933b58be44ffp-2, -0x1.1459622ed7fcfp-2, -0x1.0f8d8f81c581dp-2, -0x1.0ad045d150293p-2, -0x1.06218b2c409dp-2, -0x1.0181637cb550ap-2, -0x1.f9dfa13cc93a2p-3, -0x1.f0d9a4ee7c775p-3, -0x1.e7f0ce2259a5ep-3, -0x1.df25155f61e57p-3, -0x1.d6766fc3aaf39p-3, -0x1.cde4cf2bd1166p-3, -0x1.c570225f5824ep-3, -0x1.bd185537bbce6p-3, -0x1.b4dd50be47029p-3, -0x1.acbefb49e6f3ap-3, -0x1.a4bd38a4167d7p-3, -0x1.9cd7ea2dbb793p-3, -0x1.950eeefa93c86p-3, -0x1.8d6223e729276p-3, -0x1.85d163b460866p-3, -0x1.7e5c87290af06p-3, -0x1.7703652e7e885p-3, -0x1.6fc5d2e36908ep-3, -0x1.68a3a3adc1f7cp-3, -0x1.619ca954ae809p-3, -0x1.5ab0b41db9a79p-3, -0x1.53df92e281bep-3, -0x1.4d29131e16f1bp-3, -0x1.468d00fc53a28p-3, -0x1.400b27714ed6cp-3, -0x1.39a350525378fp-3, -0x1.33554466fa286p-3, -0x1.2d20cb7346cb3p-3, -0x1.2705ac44475c6p-3, -0x1.2103acc42be04p-3, -0x1.1b1a920fd7b34p-3, -0x1.154a20859f1p-3, -0x1.0f921bcd8700ap-3, -0x1.09f246e2ce49p-3, -0x1.046a6423fbd0dp-3, -0x1.fdf46acb115a9p-4, -0x1.f342f7ffb8479p-4, -0x1.e8bff1adf16b9p-4, -0x1.de6ad8c281eabp-4, -0x1.d4432d65df505p-4, -0x1.ca486f1b0a72cp-4, -0x1.c07a1cdb0a911p-4, -0x1.b6d7b525c8b01p-4, -0x1.ad60b60cb9e8bp-4, -0x1.a4149d41319e8p-4, -0x1.9af2e82ac6cabp-4, -0x1.91fb1400702b4p-4, -0x1.892c9ddbed59dp-4, -0x1.808702c574698p-4, -0x1.7809bfbcefdfdp-4, -0x1.6fb451c767784p-4, -0x1.67863601dfa8ap-4, -0x1.5f7ee9b4d016fp-4, -0x1.579dea62d9619p-4, -0x1.4fe2b5d225c09p-4, -0x1.484cca146c188p-4, -0x1.40dba591e15b7p-4, -0x1.398ec717d03c8p-4, -0x1.3265ade7ad169p-4, -0x1.2b5fd9c3106aap-4, -0x1.247ccaf3e4df9p-4, -0x1.1dbc025317ae2p-4, -0x1.171d0150a96cdp-4, -0x1.109f49fe31aa5p-4, -0x1.0a425f1a549ap-4, -0x1.0405c41abad2cp-4, -0x1.fbd1fa66e5c61p-5, -0x1.efd71eb92a35ep-5, -0x1.e41a00afd8e1ap-5, -0x1.d899ad6fe472p-5, -0x1.cd5533cfcd5e2p-5, -0x1.c24ba4677cc97p-5, -0x1.b77c119d56e72p-5, -0x1.ace58fb026ef6p-5, -0x1.a28734bf73fffp-5, -0x1.986018d42b21fp-5, -0x1.8e6f55eac38b3p-5, -0x1.84b407fe4ef59p-5, -0x1.7b2d4d12ed64cp-5, -0x1.71da453e6c43ap-5, -0x1.68ba12af0104cp-5, -0x1.5fcbd9b0f4239p-5, -0x1.570ec0b448fa2p-5, -0x1.4e81f0530f2eap-5, -0x1.462493581fc9dp-5, -0x1.3df5d6c57553ep-5, -0x1.35f4e9d99e2f2p-5, -0x1.2e20fe13bdde7p-5, -0x1.26794736df12bp-5, -0x1.1efcfb4cd84c7p-5, -0x1.17ab52a9610b9p-5, -0x1.108387ed5ab73p-5, -0x1.0984d80a04c36p-5, -0x1.02ae8243a3665p-5, -0x1.f7ff906696e83p-6, -0x1.eaefdb8ff21p-6, -0x1.de2c728e51234p-6, -0x1.d1b3e69ad3cdfp-6, -0x1.c584cd9e119a4p-6, -0x1.b99dc231b2139p-6, -0x1.adfd63a15c07cp-6, -0x1.a2a255ea76e64p-6, -0x1.978b41ba496d9p-6, -0x1.8cb6d46af7d5bp-6, -0x1.8223c0000b0e7p-6, -0x1.77d0bb23acd65p-6, -0x1.6dbc8124adc76p-6, -0x1.63e5d1f518201p-6, -0x1.5a4b7227feecdp-6, -0x1.50ec2aed4acbep-6, -0x1.47c6ca0b01693p-6, -0x1.3eda21d4a76f4p-6, -0x1.362509228e0f5p-6, -0x1.2da65b4b0a4ep-6, -0x1.255cf81ea44bdp-6, -0x1.1d47c3e69b46dp-6, -0x1.1565a7636a519p-6, -0x1.0db58fc822636p-6, -0x1.06366eb07e088p-6, -0x1.fdce7423b1d56p-7, -0x1.ef8dd853f6e05p-7, -0x1.e1a906e0ec60dp-7, -0x1.d41e051cfb439p-7, -0x1.c6eae0bd5c927p-7, -0x1.ba0dafe385b22p-7, -0x1.ad84912479999p-7, -0x1.a14dab7ff32acp-7, -0x1.95672e3f33788p-7, -0x1.89cf50bdd994cp-7, -0x1.7e84522aa9c15p-7, -0x1.738479545654ep-7, -0x1.68ce14945af7ap-7, -0x1.5e5f79dd7a7a3p-7, -0x1.543706e3ac995p-7, -0x1.4a532144a9619p-7, -0x1.40b23693d994bp-7, -0x1.3752bc3552f2dp-7, -0x1.2e332f06d7d11p-7, -0x1.255212ecf800bp-7, -0x1.1cadf26a85767p-7, -0x1.14455e6969493p-7, -0x1.0c16ee4b3e3f8p-7, -0x1.0421403b4e8a5p-7, -0x1.f8c5f33ae2a1p-8, -0x1.e9b58ec7bd851p-8, -0x1.db0ebc330e785p-8, -0x1.cccef3116e2f1p-8, -0x1.bef3b81a6f435p-8, -0x1.b17a9b8d83d69p-8, -0x1.a46137e8a3b5dp-8, -0x1.97a531700d67p-8, -0x1.8b4436bf05371p-8, -0x1.7f3c02325c4f9p-8, -0x1.738a5ba122b3p-8, -0x1.682d19a9981ccp-8, -0x1.5d2221f1be777p-8, -0x1.52676815fabd5p-8, -0x1.47faeb7e3a906p-8, -0x1.3ddab4c4b8d45p-8, -0x1.3404d39242639p-8, -0x1.2a775db93ffe3p-8, -0x1.21306fef13976p-8, -0x1.182e2fee4d386p-8, -0x1.0f6ecf420e29fp-8, -0x1.06f08daf16663p-8, -0x1.fd637486a6927p-9, -0x1.ed616513a7718p-9, -0x1.ddd7bff978611p-9, -0x1.cec368f8d5f84p-9, -0x1.c0214dd041da1p-9, -0x1.b1ee62086ca09p-9, -0x1.a4279ec436ea8p-9, -0x1.96ca06b2939ecp-9, -0x1.89d2accf83e31p-9, -0x1.7d3ebba0558b1p-9, -0x1.710b7a6210e0ep-9, -0x1.65364e4c41d1p-9, -0x1.59bcb75a88a1dp-9, -0x1.4e9c498d713ccp-9, -0x1.43d2a4b7cda3bp-9, -0x1.395d6d6380249p-9, -0x1.2f3a48fa060dep-9, -0x1.2566de4f00f7bp-9, -0x1.1be0da424923ep-9, -0x1.12a5f6dc29a06p-9, -0x1.09b40277135bap-9, -0x1.0108e4952c6d1p-9, -0x1.f1453db4ebc9dp-10, -0x1.e0fe93ffc6852p-10, -0x1.d13a1fc09901ep-10, -0x1.c1f4491b92131p-10, -0x1.b32980eabe6f6p-10, -0x1.a4d63a3933191p-10, -0x1.96f6ea6270ea8p-10, -0x1.89880f5d77bc3p-10, -0x1.7c8639e2a3b53p-10, -0x1.6fee17dfd9409p-10, -0x1.63bc7b968f5ebp-10, -0x1.57ee5d12c79ebp-10, -0x1.4c80d5eed825fp-10, -0x1.417119724632bp-10, -0x1.36bc6c1a469bap-10, -0x1.2c601d2eca237p-10, -0x1.225983d3cf3f4p-10, -0x1.18a5ffbf2e493p-10, -0x1.0f42fcd3eaad6p-10, -0x1.062df83ff468bp-10, -0x1.fac90a85b9a31p-11, -0x1.e9c89f9110d16p-11, -0x1.d956379f78da8p-11, -0x1.c96d83dd4aa0fp-11, -0x1.ba0a54bb84a69p-11, -0x1.ab289062b8663p-11, -0x1.9cc42bd7b4c25p-11, -0x1.8ed92813ec7e7p-11, -0x1.81639412d4649p-11, -0x1.745f948504786p-11, -0x1.67c96fd35ffdp-11, -0x1.5b9d99d479516p-11, -0x1.4fd8b6b995731p-11, -0x1.44779572405a6p-11, -0x1.39772035e8c88p-11, -0x1.2ed451945e7b4p-11, -0x1.248c31902d397p-11, -0x1.1a9bdaab9d514p-11, -0x1.11007e5a1cadp-11, -0x1.07b760fafb655p-11, -0x1.fd7b9c67ae1c2p-12, -0x1.ec221f88cd5d8p-12, -0x1.db5ce3ac21178p-12, -0x1.cb26aadcbeb8cp-12, -0x1.bb7a87ea1befap-12, -0x1.ac53e64d6402dp-12, -0x1.9dae6a680f913p-12, -0x1.8f85c5bf9db4dp-12, -0x1.81d5a7af49c4cp-12, -0x1.7499db01433f5p-12, -0x1.67ce78d879731p-12, -0x1.5b7004e48c419p-12, -0x1.4f7b57cd7df6ep-12, -0x1.43ed64b6cde86p-12, -0x1.38c302918fc59p-12, -0x1.2df8d97fb482cp-12, -0x1.238b73d3ebe8dp-12, -0x1.197759336b716p-12, -0x1.0fb91af2d0e92p-12, -0x1.064d4dca0afa8p-12, -0x1.fa6108d6cafdep-13, -0x1.e8bec746c762bp-13, -0x1.d7ada81161d83p-13, -0x1.c7286c30821acp-13, -0x1.b72ae135a6271p-13, -0x1.a7b192d3d0b6cp-13, -0x1.98b94d02404a2p-13, -0x1.8a3ed1777c396p-13, -0x1.7c3edf1b35609p-13, -0x1.6eb647ffed846p-13, -0x1.61a1c63b49b2fp-13, -0x1.54fd899ad414ap-13, -0x1.48c4c5e4f0b9fp-13, -0x1.3cf1a43fcf72dp-13, -0x1.317dce98523p-13, -0x1.26636b84d28fcp-13, -0x1.1b9e0b95c4132p-13, -0x1.112af9b46f04cp-13, -0x1.0708b1c64458fp-13, -0x1.fa6bb319a6976p-14, -0x1.e7610f69b5939p-14, -0x1.d4ecc737aac63p-14, -0x1.c30aad4c30781p-14, -0x1.b1b80e1ac0e9p-14, -0x1.a0f33f7726397p-14, -0x1.90ba1980bda2fp-14, -0x1.8108784ef29e3p-14, -0x1.71d7b921221cap-14, -0x1.631f401d1048p-14, -0x1.54d5a24b7ffd2p-14, -0x1.46f252cb14801p-14, -0x1.396f75d1fa646p-14, -0x1.2c4aa9b17c7aep-14, -0x1.1f83c7e200ebfp-14, -0x1.131a6d9f414acp-14, -0x1.070c78ecd6d2ep-14, -0x1.f6ad14a676b2fp-15, -0x1.dfeb415d3454dp-15, -0x1.c9d09bbeb9b33p-15, -0x1.b45ca2fd75797p-15, -0x1.9f8d983c332cfp-15, -0x1.8b5e2fd427b36p-15, -0x1.77c6d76106e9dp-15, -0x1.64bff96dc811bp-15, -0x1.524274d511e61p-15, -0x1.4046cb45cc772p-15, -0x1.2ec50132e3795p-15, -0x1.1db5f8823ddcap-15, -0x1.0d1550c5c488ap-15, -0x1.f9c39d889a0fp-16, -0x1.da36d657e6f6bp-16, -0x1.bb818ffdd116cp-16, -0x1.9d9d96f444a49p-16, -0x1.808552eb5b91bp-16, -0x1.6435f6656107cp-16, -0x1.48acc9b7621fep-16, -0x1.2de46ec79ab77p-16, -0x1.13d51d7fcb14cp-16, -0x1.f4ee16ba69b34p-17, -0x1.c3891533d27dp-17, -0x1.937399cf677ebp-17, -0x1.64a5d98d85ad3p-17, -0x1.3714258364f39p-17, -0x1.0aaf2bc88c34dp-17, -0x1.bed5bb137614fp-18, -0x1.6a8559b99045p-18, -0x1.18630e0048475p-18, -0x1.90afae8b5fe8ep-19, -0x1.e953bc5802e17p-20, -0x1.730d7b75553a1p-21, 0x1.b806071a98fcep-22, 0x1.8d9bcce2b944cp-20, 0x1.52d267f373377p-19, 0x1.db209f2777d71p-19, 0x1.2fe216b1a45fp-18, 0x1.70686b9763f8ep-18, 0x1.af2c0a0a2f89ap-18, 0x1.ec32e422c988cp-18, 0x1.13c2fe56158d7p-17, 0x1.309c2acf21016p-17, 0x1.4cb0705f63361p-17, 0x1.680107dc1c853p-17, 0x1.828673b520fb7p-17, 0x1.9c42402cfee91p-17, 0x1.b53e59ed908f1p-17, 0x1.cd808d68c2b42p-17, 0x1.e50d3a2386c62p-17, 0x1.fbe821b1fd31cp-17, 0x1.09091cad58731p-16, 0x1.13c7960146cb8p-16, 0x1.1e322fdf613d1p-16, 0x1.28493800750bep-16, 0x1.320c2c29d757dp-16, 0x1.3b7c1c7ae4ddbp-16, 0x1.449aa6bf811f6p-16, 0x1.4d691795b7a8dp-16, 0x1.55e937484885fp-16, 0x1.5e1ea9d2e2ec6p-16, 0x1.660b8948df68fp-16, 0x1.6dadf548cc235p-16, 0x1.7506d870e5b5ap-16, 0x1.7c187455cea5ap-16, 0x1.82e16674a19b1p-16, 0x1.8961ac357a1a9p-16, 0x1.8f9bb5a5c5ba2p-16, 0x1.9592685006499p-16, 0x1.9b482ce10c884p-16, 0x1.a0bcecc1d00bbp-16, 0x1.a5f0143c49fc7p-16, 0x1.aae3746e38393p-16, 0x1.af97fc64727a3p-16, 0x1.b40ceee730469p-16, 0x1.b8430b5c879bap-16, 0x1.bc3be9a1d4778p-16, 0x1.bff869008611p-16, 0x1.c37a02331f5d1p-16, 0x1.c6c28553c7d52p-16, 0x1.c9d1900a4ad77p-16, 0x1.cca88cb40dac5p-16, 0x1.cf480649ccfc7p-16, 0x1.d1af67362d9edp-16, 0x1.d3e047c41edebp-16, 0x1.d5dc0addc1338p-16, 0x1.d7a34b9e370e1p-16, 0x1.d9367b276cb7fp-16, 0x1.da96028bdf63dp-16, 0x1.dbc2aa3a4574fp-16, 0x1.dcbe0eb5955cep-16, 0x1.dd88ece274a64p-16, 0x1.de23c55e32bbap-16, 0x1.de8fcf95b45f6p-16, 0x1.deccd1be6e389p-16, 0x1.dedb45a3f120fp-16, 0x1.debc143e8c15cp-16, 0x1.de701bf26d8e4p-16, 0x1.ddf913993c1ebp-16, 0x1.dd57921065aaap-16, 0x1.dc8c5f98a25f6p-16, 0x1.db96fbe803b8ep-16, 0x1.da787c909d45bp-16, 0x1.d932287943d08p-16, 0x1.d7c4a9c466ecep-16, 0x1.d6309d28d4e12p-16, 0x1.d476b2999853p-16, 0x1.d297a104c60afp-16, 0x1.d0941c887f585p-16, 0x1.ce6cd76a632dcp-16, 0x1.cc2268dbd29c3p-16, 0x1.c9b52c8ed1e5cp-16, 0x1.c726176d7fdd8p-16, 0x1.c4766dc8b336p-16, 0x1.c1a7015324b63p-16, 0x1.beb844210c8d6p-16, 0x1.bba9b6d0c0b3dp-16, 0x1.b87c68b8e93b6p-16, 0x1.b53255f8043fap-16, 0x1.b1cc236586e12p-16, 0x1.ae497e0bb0c25p-16, 0x1.aaab2d7367697p-16, 0x1.a6f24af504307p-16, 0x1.a31f714261d45p-16, 0x1.9f333a18445cap-16, 0x1.9b2e4d63bd335p-16, 0x1.971156d3a2a19p-16, 0x1.92dd0082e8381p-16, 0x1.8e91f20127365p-16, 0x1.8a30d21455ae5p-16, 0x1.85ba49a110171p-16, 0x1.812f050a9bce2p-16, 0x1.7c8fb44d29588p-16, 0x1.77dd05501152cp-16, 0x1.731771d215f7dp-16, 0x1.6e3f532f3035cp-16, 0x1.6955c5ff5a71cp-16, 0x1.645b60a26e107p-16, 0x1.5f506cf813cd2p-16, 0x1.5a360159b213cp-16, 0x1.550c66d394dbp-16, 0x1.4fd437e89a4cfp-16, 0x1.4a8e4bc4a3684p-16, 0x1.453b20fd90821p-16, 0x1.3fdb40b57df6dp-16, 0x1.3a6f3e9367dc2p-16, 0x1.34f7b0075d00cp-16, 0x1.2f75299948246p-16, 0x1.29e83e13495edp-16, 0x1.24517dea83aadp-16, 0x1.1eb176d72e5acp-16, 0x1.1908b453985cbp-16, 0x1.1357c16c17b82p-16, 0x1.0d9f2a8cba058p-16, 0x1.07df7d0ee826ap-16, 0x1.021942e684d4ep-16, 0x1.f899fc6042337p-17, 0x1.ecf669c8fdd36p-17, 0x1.e148eaef0f82ap-17, 0x1.d591e7a1d02c3p-17, 0x1.c9d2b2fe1c514p-17, 0x1.be0cdc9de6b13p-17, 0x1.b240b7fe3fe8dp-17, 0x1.a66f43fb97915p-17, 0x1.9a99c1b973635p-17, 0x1.8ec1080129b8dp-17, 0x1.82e5ed5f757aep-17, 0x1.770954acb243fp-17, 0x1.6b2c21a909fdep-17, 0x1.5f4f35172f631p-17, 0x1.53736be743306p-17, 0x1.47999f09c8e99p-17, 0x1.3bc2a34d7f617p-17, 0x1.2fef499fed67cp-17, 0x1.24205ff95965cp-17, 0x1.1856b23e5ea0dp-17, 0x1.0c9309cd1dcd1p-17, 0x1.00d62bbf8b2f7p-17, 0x1.ea41aa59c754cp-18, 0x1.d2e7771b4d2f2p-18, 0x1.bb9f41e7b59f4p-18, 0x1.a46a978095af9p-18, 0x1.8d4a741ac893ep-18, 0x1.76409e1fc6f47p-18, 0x1.5f4e0b94cd9eap-18, 0x1.4874802530686p-18, 0x1.31b4d361983f7p-18, 0x1.1b109fdcfa24p-18, 0x1.0488c37c185e2p-18, 0x1.dc3d52b349a26p-19, 0x1.afa726f4774d3p-19, 0x1.83511a7aa838dp-19, 0x1.573d5deceffbbp-19, 0x1.2b6e201c882d6p-19, 0x1.ffcb05b2d967ep-20, 0x1.a94b321e74c3fp-20, 0x1.5360cd7899a6p-20, 0x1.fc1f896dea87bp-21, 0x1.52b7db2de60f1p-21, 0x1.55241d60f5627p-22, 0x1.dab8f497d2e21p-28, -0x1.43add52433459p-22, -0x1.460c578ad08a2p-21, -0x1.e8e4666b375d8p-21, -0x1.452c171e96de7p-20, -0x1.95306f2f61469p-20, -0x1.e47d14a64d5e4p-20, -0x1.19878e7a10a9ap-19, -0x1.40716ade00ab5p-19, -0x1.66fae1cc0bc28p-19, -0x1.8d22bdb191086p-19, -0x1.b2e7bffb9f318p-19, -0x1.d8489a769226cp-19, }}, 
      {{-0x1.653d63a2c148ap+1, -0x1.5f83b1f77f904p+1, -0x1.5725a05f7911ep+1, -0x1.4ce352a5b54afp+1, -0x1.415672865967fp+1, -0x1.34f91cee49e08p+1, -0x1.282bb0695e225p+1, -0x1.1b399c52c486cp+1, -0x1.0e5d54627bd4ap+1, -0x1.01c38b776614cp+1, -0x1.eb1baac4f85fbp+0, -0x1.d3a996ac1d85cp+0, -0x1.bd53948f7ab5ap+0, -0x1.a830bd0c5da52p+0, -0x1.944ed86bafe4ep+0, -0x1.81b442d30684ep+0, -0x1.70617828ae186p+0, -0x1.60525826111eap+0, -0x1.517f2fdb043aep+0, -0x1.43dd934fac62fp+0, -0x1.37610fe1ff7eap+0, -0x1.2bfbbe55ceedcp+0, -0x1.219eba3d22aa3p+0, -0x1.183a835148287p+0, -0x1.0fbf4c7d40061p+0, -0x1.081d3bad51da4p+0, -0x1.01449cecd7a69p+0, -0x1.f64c15d85dc73p-1, -0x1.eb651d5776715p-1, -0x1.e1b76f7c5e548p-1, -0x1.d9275cbc6c0ffp-1, -0x1.d19a80c204f25p-1, -0x1.caf7d3b24d408p-1, -0x1.c527b4592d7e3p-1, -0x1.c013ec9123682p-1, -0x1.bba7b0c738b79p-1, -0x1.b7cf9ba2ade59p-1, -0x1.b479a6b56965bp-1, -0x1.b19520a413d2cp-1, -0x1.af12a13d5f36ep-1, -0x1.ace3fc9994424p-1, -0x1.aafc35001f87dp-1, -0x1.a94f6b98ac32dp-1, -0x1.a7d2d1f7492b9p-1, -0x1.a67c9a1858a44p-1, -0x1.a543e71b2ab51p-1, -0x1.a420be26d61b2p-1, -0x1.a30bf734cad0cp-1, -0x1.a1ff2e8e36cffp-1, -0x1.a0f4b6b671b73p-1, -0x1.9fe78ac00b533p-1, -0x1.9ed3416f343a4p-1, -0x1.9db400fcf17bcp-1, -0x1.9c8673941a52bp-1, -0x1.9b47bc8136bf2p-1, -0x1.99f56e0b2763ep-1, -0x1.988d7ff825b7p-1, -0x1.970e46b8a0b23p-1, -0x1.95766b2f52e57p-1, -0x1.93c4e308231e9p-1, -0x1.91f8e98f498a9p-1, -0x1.9011f8fd786p-1, -0x1.8e0fc4320420cp-1, -0x1.8bf230d74d8e8p-1, -0x1.89b951ee71d19p-1, -0x1.876562beed945p-1, -0x1.84f6c2259b79ep-1, -0x1.826dee3dd679p-1, -0x1.7fcb805f53a3dp-1, -0x1.7d10296bf85d1p-1, -0x1.7a3cae695b4e2p-1, -0x1.7751e562a3096p-1, -0x1.7450b28f5e641p-1, -0x1.713a05bc36866p-1, -0x1.6e0ed7f1ee7fap-1, -0x1.6ad02956eb37ap-1, -0x1.677eff4730156p-1, -0x1.641c629e8cfadp-1, -0x1.60a95e30e23bap-1, -0x1.5d26fd6c903dfp-1, -0x1.59964b235865p-1, -0x1.55f8507623bc8p-1, -0x1.524e13e223916p-1, -0x1.4e98986a9b14ep-1, -0x1.4ad8dcdeeb207p-1, -0x1.470fdb38e826dp-1, -0x1.433e8812703e1p-1, -0x1.3f65d234b1c8p-1, -0x1.3b86a23171fc7p-1, -0x1.37a1da194ddb6p-1, -0x1.33b855387994fp-1, -0x1.2fcae7e7856dep-1, -0x1.2bda5f67c41d5p-1, -0x1.27e781c8501bap-1, -0x1.23f30dd8b292cp-1, -0x1.1ffdbb24a1174p-1, -0x1.1c0839f21a18p-1, -0x1.1813334ca91aep-1, -0x1.141f491704b74p-1, -0x1.102d161b5c1c9p-1, -0x1.0c3d2e251ec7ap-1, -0x1.08501e209a748p-1, -0x1.04666c3bc3b14p-1, -0x1.00809807736d2p-1, -0x1.f93e353cb9b8ep-2, -0x1.f184cd9e312e3p-2, -0x1.e9d5d28acd734p-2, -0x1.e232116c69568p-2, -0x1.da9a4c14410bdp-2, -0x1.d30f39171cd03p-2, -0x1.cb91842a96c98p-2, -0x1.c421ce7d3191dp-2, -0x1.bcc0af145187cp-2, -0x1.b56eb325d2dc4p-2, -0x1.ae2c5e6f9bbcp-2, -0x1.a6fa2b94bdae8p-2, -0x1.9fd88c743514bp-2, -0x1.98c7ea7cfd339p-2, -0x1.91c8a705c981cp-2, -0x1.8adb1b9f85134p-2, -0x1.83ff9a637246ap-2, -0x1.7d366e454f96ap-2, -0x1.767fdb605886fp-2, -0x1.6fdc1f409b245p-2, -0x1.694b712d6e085p-2, -0x1.62ce026f4de2p-2, -0x1.5c63fe947c23cp-2, -0x1.560d8bb4415d1p-2, -0x1.4fcacaad7f5bp-2, -0x1.499bd765182dep-2, -0x1.4380c90325b8ep-2, -0x1.3d79b22bb086cp-2, -0x1.3786a13584271p-2, -0x1.31a7a060e371p-2, -0x1.2bdcb60b010f5p-2, -0x1.2625e4dee92e1p-2, -0x1.20832c05ae0a7p-2, -0x1.1af4875427f25p-2, -0x1.1579ef764842ap-2, -0x1.10135a19c15p-2, -0x1.0ac0ba1748c06p-2, -0x1.0581ff987b6efp-2, -0x1.0057183c82043p-2, -0x1.f67fde79fee2p-3, -0x1.ec78db210df1fp-3, -0x1.e298f4144fc86p-3, -0x1.d8dff2f1f5e59p-3, -0x1.cf4d9d8eb9628p-3, -0x1.c5e1b62efdf6cp-3, -0x1.bc9bfbbbb085p-3, -0x1.b37c29f7de5fp-3, -0x1.aa81f9b5ee6b9p-3, -0x1.a1ad210763b88p-3, -0x1.98fd53688408bp-3, -0x1.907241ed3f71bp-3, -0x1.880b9b6e8dd6bp-3, -0x1.7fc90cb319f7p-3, -0x1.77aa409359b9bp-3, -0x1.6faee01e503cfp-3, -0x1.67d692bfef128p-3, -0x1.6020fe646b457p-3, -0x1.588dc79680f39p-3, -0x1.511c919c96636p-3, -0x1.49ccfe986137dp-3, -0x1.429eafa648ca5p-3, -0x1.3b9144f7dead6p-3, -0x1.34a45deaaa005p-3, -0x1.2dd79920a8cf3p-3, -0x1.272a949b4e489p-3, -0x1.209cedd4282dap-3, -0x1.1a2e41d02b95ep-3, -0x1.13de2d3174ff6p-3, -0x1.0dac4c4c21c66p-3, -0x1.07983b3cd359p-3, -0x1.01a195fb7e322p-3, -0x1.f78ff0d2f5f0bp-4, -0x1.ec15fcbee3943p-4, -0x1.e0d4877d99cb4p-4, -0x1.d5cac90815793p-4, -0x1.caf7f9aa7a0cep-4, -0x1.c05b5218b7f45p-4, -0x1.b5f40b83c8993p-4, -0x1.abc15fb57c2d1p-4, -0x1.a1c2892e32483p-4, -0x1.97f6c33bef7aep-4, -0x1.8e5d4a09cd901p-4, -0x1.84f55aaf1b108p-4, -0x1.7bbe334413d53p-4, -0x1.72b712f98ec48p-4, -0x1.69df3a2c3f813p-4, -0x1.6135ea70f638fp-4, -0x1.58ba669ea4efp-4, -0x1.506bf2dc23e7ap-4, -0x1.4849d4b1e919p-4, -0x1.4053531a63d02p-4, -0x1.3887b68cd056dp-4, -0x1.30e6490400201p-4, -0x1.296e56060b0cfp-4, -0x1.221f2aafb056cp-4, -0x1.1af815c136743p-4, -0x1.13f867a88fb4cp-4, -0x1.0d1f72872d5ep-4, -0x1.066c8a35e5255p-4, -0x1.ffbe0894b57f8p-5, -0x1.f2ec703dff39ap-5, -0x1.e662fdb6e77adp-5, -0x1.da2066f4fd477p-5, -0x1.ce23659a024c9p-5, -0x1.c26ab6f776483p-5, -0x1.b6f51c1456cbep-5, -0x1.abc159b64d33ep-5, -0x1.a0ce386b61f71p-5, -0x1.961a8490800a5p-5, -0x1.8ba50e53b69a9p-5, -0x1.816ca9b4585d5p-5, -0x1.77702e83fdd16p-5, -0x1.6dae7869c33ecp-5, -0x1.642666e66ab52p-5, -0x1.5ad6dd56efc0dp-5, -0x1.51bec2f441c0ap-5, -0x1.48dd02d0e8d65p-5, -0x1.40308bd65b52ep-5, -0x1.37b850c36fc77p-5, -0x1.2f73482bd8b9dp-5, -0x1.27606c7768c24p-5, -0x1.1f7ebbdfd01d2p-5, -0x1.17cd386ca2c88p-5, -0x1.104ae7ee5b52fp-5, -0x1.08f6d3f967841p-5, -0x1.01d009e1e16cap-5, -0x1.f5ab356f58c5bp-6, -0x1.e80d368479b2fp-6, -0x1.dac447f6cab2ap-6, -0x1.cdcea21233ad4p-6, -0x1.c12a846d39935p-6, -0x1.b4d635db38e3cp-6, -0x1.a8d0045f51875p-6, -0x1.9d16451fad717p-6, -0x1.91a754586e981p-6, -0x1.8681954d99f5fp-6, -0x1.7ba3723ba4d12p-6, -0x1.710b5c473add7p-6, -0x1.66b7cb6cb58e2p-6, -0x1.5ca73e6fcf383p-6, -0x1.52d83acb9b2a7p-6, -0x1.49494ca27f2e5p-6, -0x1.3ff906ada5389p-6, -0x1.36e6022ba6a96p-6, -0x1.2e0edece971bcp-6, -0x1.257242a9b0e9ap-6, -0x1.1d0eda1f215a4p-6, -0x1.14e357ce0dd09p-6, -0x1.0cee7480e7c96p-6, -0x1.052eef1b80d09p-6, -0x1.fb4719115d273p-7, -0x1.ec962f4e79d65p-7, -0x1.de48c26cde9c9p-7, -0x1.d05c7f84f7df5p-7, -0x1.c2cf1f2322f77p-7, -0x1.b59e6522ede42p-7, -0x1.a8c8208b463edp-7, -0x1.9c4a2b6a3797cp-7, -0x1.90226aaf066d9p-7, -0x1.844ece020a1d9p-7, -0x1.78cd4f9aff953p-7, -0x1.6d9bf417b3446p-7, -0x1.62b8ca55083c7p-7, -0x1.5821eb4b75f3dp-7, -0x1.4dd579ee47227p-7, -0x1.43d1a30b4fae8p-7, -0x1.3a149d27d24d8p-7, -0x1.309ca8587c844p-7, -0x1.27680e14a265fp-7, -0x1.1e752107c69a2p-7, -0x1.15c23ce61a39ep-7, -0x1.0d4dc648068a2p-7, -0x1.05162a8e0b95fp-7, -0x1.fa33bf9412f19p-8, -0x1.eaaec94fa1762p-8, -0x1.db9a809c2625ep-8, -0x1.ccf4046731e61p-8, -0x1.beb883d40562ap-8, -0x1.b0e53dc9f9e04p-8, -0x1.a377808fdf3ccp-8, -0x1.966ca9862c86dp-8, -0x1.89c2250559bafp-8, -0x1.7d756e55dbcfcp-8, -0x1.71840fa971673p-8, -0x1.65eba1f8b4b2cp-8, -0x1.5aa9ccb15a19p-8, -0x1.4fbc45344d4a5p-8, -0x1.4520ce39aa437p-8, -0x1.3ad53740344aep-8, -0x1.30d75c2e51b7bp-8, -0x1.27252539dc9e9p-8, -0x1.1dbc87103a3ep-8, -0x1.149b831a79c69p-8, -0x1.0bc027a910dd9p-8, -0x1.03288fd6a4431p-8, -0x1.f5a5c61623d02p-9, -0x1.e57aa85cbd813p-9, -0x1.d5cc417ddcdbap-9, -0x1.c69720224b035p-9, -0x1.b7d7e5ea51ce6p-9, -0x1.a98b47b8b2bc5p-9, -0x1.9bae0ecdb790ep-9, -0x1.8e3d1a2ad719ap-9, -0x1.81355f8ce12ep-9, -0x1.7493eb65c739fp-9, -0x1.6855df9636246p-9, -0x1.5c78712057ee1p-9, -0x1.50f8e57856658p-9, -0x1.45d4904a4a427p-9, -0x1.3b08d27249f3fp-9, -0x1.30931a7c8dd8bp-9, -0x1.2670e676c615ep-9, -0x1.1c9fc657636cfp-9, -0x1.131d5e09d1ff2p-9, -0x1.09e7663ce299fp-9, -0x1.00fbab5473e64p-9, -0x1.f0b015ba65e4ep-10, -0x1.dff4dffb4a7a7p-10, -0x1.cfc1a08cfc5f5p-10, -0x1.c01253187c9f4p-10, -0x1.b0e30363d170ap-10, -0x1.a22fd0bd5e101p-10, -0x1.93f4f3ec0d8d6p-10, -0x1.862ec57ee01c4p-10, -0x1.78d9c229842d7p-10, -0x1.6bf28b7f7cd9ep-10, -0x1.5f75e49a8006dp-10, -0x1.5360ab965cd41p-10, -0x1.47afd1d02a9c7p-10, -0x1.3c60553b03007p-10, -0x1.316f3cbcbad87p-10, -0x1.26d99889abbc9p-10, -0x1.1c9c862e43002p-10, -0x1.12b536c68717cp-10, -0x1.0920f52c7a815p-10, -0x1.ffba53f776031p-11, -0x1.edceb829372f3p-11, -0x1.dc7a5b0cc715ep-11, -0x1.cbb8abe168716p-11, -0x1.bb85383dab847p-11, -0x1.abdba15207e88p-11, -0x1.9cb795e915b61p-11, -0x1.8e14d258a6f7fp-11, -0x1.7fef25e534c55p-11, -0x1.72427b799d3b1p-11, -0x1.650ae28777428p-11, -0x1.584494d6da03fp-11, -0x1.4bebf74521092p-11, -0x1.3ffd957de41a5p-11, -0x1.34761a94146cp-11, -0x1.29524937ed349p-11, -0x1.1e8ef5d6702d5p-11, -0x1.142903d9121b5p-11, -0x1.0a1d6618c7732p-11, -0x1.006921d476e9fp-11, -0x1.ee12a5e5b97aap-12, -0x1.dbf65fe533e1bp-12, -0x1.ca7817de2513dp-12, -0x1.b992abab28b6p-12, -0x1.a9412a2e47a36p-12, -0x1.997eca25b9cbbp-12, -0x1.8a46e1578d996p-12, -0x1.7b94de1601746p-12, -0x1.6d64442b6772ap-12, -0x1.5fb0ae0b3ed2dp-12, -0x1.5275d2edeccbcp-12, -0x1.45af90bd77f88p-12, -0x1.3959f57a580eap-12, -0x1.2d714270f34e1p-12, -0x1.21f1e5db20bbep-12, -0x1.16d86f0b83a03p-12, -0x1.0c2184436db13p-12, -0x1.01c9e06e361d2p-12, -0x1.ef9cae888711dp-13, -0x1.dc57b1057d68ap-13, -0x1.c9bed751683c5p-13, -0x1.b7cc4a4ddb532p-13, -0x1.a67a3b9c41a7bp-13, -0x1.95c2ebd11694bp-13, -0x1.85a0c8fd5919ap-13, -0x1.760e8f5e93616p-13, -0x1.6707503a51a7p-13, -0x1.588657c9ed5bap-13, -0x1.4a8709686ab3ap-13, -0x1.3d04d3c86fd0bp-13, -0x1.2ffb4a68c5eecp-13, -0x1.23664fbb4ee25p-13, -0x1.17422ad442436p-13, -0x1.0b8b72dfd84aep-13, -0x1.003edc72e6904p-13, -0x1.eab2162a1a5bbp-14, -0x1.d5ad029f88767p-14, -0x1.c1675c63d7f5bp-14, -0x1.adda06219b823p-14, -0x1.9afdfb09ad8a2p-14, -0x1.88cc4638c8594p-14, -0x1.773dfe11a7bb6p-14, -0x1.664c6a73301p-14, -0x1.55f1595994591p-14, -0x1.462772e500605p-14, -0x1.36ea4b44900f7p-14, -0x1.28361be115c3bp-14, -0x1.1a0758cf1782dp-14, -0x1.0c5a7448e168ap-14, -0x1.fe57cd0ac703fp-15, -0x1.e4f07ef0e18fep-15, -0x1.cc7801faf9f2bp-15, -0x1.b4e67dca27847p-15, -0x1.9e3283b8539c8p-15, -0x1.8850fc602db3p-15, -0x1.733613d566b66p-15, -0x1.5ed6dc551c8e7p-15, -0x1.4b2ad3c82a543p-15, -0x1.382c613f2636bp-15, -0x1.25d7e9d6de34bp-15, -0x1.142a1aa3ba352p-15, -0x1.031eba180674p-15, -0x1.e561c093d0eddp-16, -0x1.c5b835bc4aadap-16, -0x1.a73a661c214f8p-16, -0x1.89e39c5b208b3p-16, -0x1.6dae5cfaf5677p-16, -0x1.529200e809009p-16, -0x1.3881ed198b675p-16, -0x1.1f6e729fb0126p-16, -0x1.0746b1559624p-16, -0x1.dff6929ed4d85p-17, -0x1.b3028913e0f8p-17, -0x1.87a6a013e6b84p-17, -0x1.5ddf6403b76cfp-17, -0x1.35a8a50584aa1p-17, -0x1.0ef8a8adabb6cp-17, -0x1.d383a8073d52bp-18, -0x1.8bef9ecce7f35p-18, -0x1.4726a8f8a66b4p-18, -0x1.0521c3cfd99b3p-18, -0x1.8bac193dcf087p-19, -0x1.125b0e9ca6fadp-19, -0x1.3c2cd1bfa3a11p-20, -0x1.752351c6d9d95p-22, 0x1.e18c2c7fad938p-22, 0x1.4547ed8acb306p-20, 0x1.04ee240a18d16p-19, 0x1.63456a97a0fb1p-19, 0x1.bdcda6c7e7ff6p-19, 0x1.0a4b7440b9b0cp-18, 0x1.33d4e04c90305p-18, 0x1.5b8b8683ac5d4p-18, 0x1.817d2281eff2cp-18, 0x1.a5b6657df5639p-18, 0x1.c83fa02f79c45p-18, 0x1.e920f24e7060ep-18, 0x1.04333c30ef114p-17, 0x1.130ff788037c5p-17, 0x1.212e82ddc5f2ap-17, 0x1.2e950f4c42ee1p-17, 0x1.3b48582b8a3cdp-17, 0x1.474d25aff29f4p-17, 0x1.52a9b5a98e037p-17, 0x1.5d659b31d5236p-17, 0x1.678715faea7ffp-17, 0x1.71117b0f497a8p-17, 0x1.7a085198fb774p-17, 0x1.82719382714d8p-17, 0x1.8a51a2215381cp-17, 0x1.91a8a2d33eb5p-17, 0x1.9877d211019b9p-17, 0x1.9ec4cdaf221c1p-17, 0x1.a495716d5dfe5p-17, 0x1.a9ecea2cbe051p-17, 0x1.aecdbcf3bcc3bp-17, 0x1.b33b304ebac8bp-17, 0x1.b7384ede401c8p-17, 0x1.bac798222725fp-17, 0x1.bdec1b9e7d9b7p-17, 0x1.c0aac5a481e33p-17, 0x1.c3093656227dfp-17, 0x1.c50927db8b9c8p-17, 0x1.c6a90b0235e64p-17, 0x1.c7eab49c363b2p-17, 0x1.c8d3178a9e672p-17, 0x1.c965956d43dp-17, 0x1.c9a50436760c6p-17, 0x1.c993f8569809bp-17, 0x1.c933f2bbdfba6p-17, 0x1.c88772efab112p-17, 0x1.c7919b29ee532p-17, 0x1.c653bf23a6e97p-17, 0x1.c4ce91fc98696p-17, 0x1.c303ee91c743fp-17, 0x1.c0f615805e665p-17, 0x1.bea7071fd8c9fp-17, 0x1.bc191bdb2c3ddp-17, 0x1.b95008b05b2aep-17, 0x1.b64e56808bf35p-17, 0x1.b313941ea14aep-17, 0x1.afa160c962d4ap-17, 0x1.abfa56291eebfp-17, 0x1.a81e55bddbef9p-17, 0x1.a40e4245c53cdp-17, 0x1.9fcccb2698c1ap-17, 0x1.9b5cf29157b16p-17, 0x1.96c159616af8ap-17, 0x1.91fac164d72b8p-17, 0x1.8d098b3ac0d54p-17, 0x1.87efda4637c6ap-17, 0x1.82af263003aa5p-17, 0x1.7d47a45cdc353p-17, 0x1.77baa01aaa7e1p-17, 0x1.720a01bd1ac21p-17, 0x1.6c3725372391ep-17, 0x1.6643d39fb898dp-17, 0x1.603211d307bb2p-17, 0x1.5a023f210020bp-17, 0x1.53b60dc373d12p-17, 0x1.4d4e8650068acp-17, 0x1.46cbd560ca42bp-17, 0x1.402fc2896038ep-17, 0x1.397bea60fffd9p-17, 0x1.32b150b10b304p-17, 0x1.2bd0d6018f0e7p-17, 0x1.24db50f71ca14p-17, 0x1.1dd1db85c034fp-17, 0x1.16b62a1723ebfp-17, 0x1.0f894585bee57p-17, 0x1.084c06032fc31p-17, 0x1.00ffc92379817p-17, 0x1.f349a83e25699p-18, 0x1.e477debab1853p-18, 0x1.d58c656d7b9efp-18, 0x1.c689518d3d26p-18, 0x1.b771f7f652204p-18, 0x1.a847f850da772p-18, 0x1.990d36f9642b7p-18, 0x1.89c199cf61381p-18, 0x1.7a676702870e7p-18, 0x1.6b012c79fc834p-18, 0x1.5b9081f34eed8p-18, 0x1.4c16e3257eb17p-18, 0x1.3c95e276221b4p-18, 0x1.2d0f16471d947p-18, 0x1.1d8409addb065p-18, 0x1.0df63dfca2978p-18, 0x1.fcce06e329b23p-19, 0x1.ddae8d9d397ebp-19, 0x1.be91bda9207a6p-19, 0x1.9f7c31852ab1dp-19, 0x1.8071100a45f32p-19, 0x1.617249e8d827ep-19, 0x1.427ecd653b82fp-19, 0x1.239a549927aacp-19, 0x1.04cb845b47213p-19, 0x1.cc298dc136c01p-20, 0x1.8eeaabd655f33p-20, 0x1.51dfc29178b0dp-20, 0x1.15103f6c83a71p-20, 0x1.b1008d21a43ecp-21, 0x1.3867b903e00e7p-21, 0x1.80bd34f7daab6p-22, 0x1.23b74afd514b3p-23, -0x1.6f11d1206df9p-24, -0x1.4812e466c03a8p-22, -0x1.197fedb1af48bp-21, -0x1.8e3dcf203824ap-21, -0x1.011d96f78d413p-20, -0x1.3ab808208dfedp-20, -0x1.73ea5b44cf933p-20, -0x1.acb22c187a624p-20, -0x1.e50e0c7f16007p-20, -0x1.0e7ba729e0b8fp-19, -0x1.2a357a3252e99p-19, -0x1.45b41c5f7438cp-19, -0x1.60f457a51cb08p-19, -0x1.7bf5d9e8c56e3p-19, -0x1.96b73f10abddap-19, -0x1.b136427d6a933p-19, -0x1.cb71e7769e214p-19, -0x1.e56914d7319bp-19, -0x1.ff1a91856953ep-19, -0x1.0c4291b06d022p-18, -0x1.18d3cc7f2e8ap-18, -0x1.25406661ab7d4p-18, -0x1.3187d3a471ab3p-18, -0x1.3da99093dfca1p-18, -0x1.49a52085d90dap-18, -0x1.557a09f9cf3cep-18, -0x1.6127d279dc6a6p-18, -0x1.6cadff140e96ep-18, -0x1.780c1d28a9a6ap-18, -0x1.8341cc577c97dp-18, -0x1.8e4ea76e6853cp-18, -0x1.993238218dc98p-18, -0x1.a3ecc2234c5f9p-18, -0x1.ae7d9d400e155p-18, -0x1.b8e3dc96ee75p-18, -0x1.c31fe378e06e8p-18, -0x1.cd315e3516a1fp-18, -0x1.d717b76a40572p-18, -0x1.e0d2ca3bab4dep-18, -0x1.ea62726675ddap-18, -0x1.f3c67f58a83b5p-18, -0x1.fcfec020f6b7dp-18, -0x1.030583beb9e92p-17, -0x1.07759655496a3p-17, -0x1.0bcf85c3be5d8p-17, -0x1.1013425b8adc1p-17, -0x1.1440bea5b869cp-17, -0x1.1857eec72572bp-17, -0x1.1c58c7e78a478p-17, -0x1.2043406390572p-17, -0x1.241750d26e873p-17, -0x1.27d4f654dbacp-17, -0x1.2b7c328a78978p-17, -0x1.2f0cff1f931f1p-17, -0x1.328751f893624p-17, -0x1.35eb4cf3c0065p-17, -0x1.3938d3c7ffa97p-17, -0x1.3c700a2424818p-17, -0x1.3f90d23ebdfcfp-17, -0x1.429b584810318p-17, -0x1.458f89f579f6p-17, -0x1.486d904d99741p-17, -0x1.4b35669c91a35p-17, -0x1.4de7147d2245ep-17, -0x1.5082b2201aa93p-17, -0x1.530852c4df15bp-17, -0x1.5578091f80c26p-17, -0x1.57d1e91ba095fp-17, -0x1.5a160824e0c23p-17, -0x1.5c447d2433e51p-17, -0x1.5e5d603d063cep-17, -0x1.6060ca77094c7p-17, -0x1.624ed5abe81cap-17, -0x1.64279ca992bcp-17, -0x1.65eb3bb944457p-17, -0x1.6799d220be575p-17, -0x1.693380bc7805ap-17, -0x1.6ab8621ca894ap-17, -0x1.6c2890b6c12a7p-17, -0x1.6d8440c776d5fp-17, -0x1.6ecb94ef62c8p-17, -0x1.6ffe9e0564ac2p-17, -0x1.711d85ae3469dp-17, -0x1.722875ab3441p-17, -0x1.731f950d43cdcp-17, -0x1.74030727dcdaep-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.f98221dafd3c8p-1, 0x1.f8ca47ac8170bp-1, 0x1.f7988dda4c34p-1, 0x1.f5edfb7662e1ep-1, 0x1.f3cbfa1ae859dp-1, 0x1.f134503008e72p-1, 0x1.ee291a6dde77cp-1, 0x1.eaacc4e2d30cbp-1, 0x1.e6c203b924249p-1, 0x1.e26bcbea22cd6p-1, 0x1.ddad4c0381d82p-1, 0x1.d889e51a4af9p-1, 0x1.d30523ffdc04ep-1, 0x1.cd22bac74de62p-1, 0x1.c6e67aa4da837p-1, 0x1.c0544e2cf587fp-1, 0x1.b97033f5c50adp-1, 0x1.b23e399b520c8p-1, 0x1.aac27724ffcb5p-1, 0x1.a3010ac994234p-1, 0x1.9afe150e30c5p-1, 0x1.92bdb53bfc87dp-1, 0x1.8a440627e7365p-1, 0x1.81951b47bd72fp-1, 0x1.78b4fe0fb74ecp-1, 0x1.6fa7ab93c2d5cp-1, 0x1.66711267e2b13p-1, 0x1.5d1510bb365c5p-1, 0x1.539772a96cb81p-1, 0x1.49fbf0bea434ap-1, 0x1.40462ea9fbc6p-1, 0x1.3679ba1b4d7eep-1, 0x1.2c9a09c8d19d5p-1, 0x1.22aa7c999af58p-1, 0x1.18ae58f219413p-1, 0x1.0ea8cc1ffdc8ep-1, 0x1.049ce9e30fae3p-1, 0x1.f51b582155b81p-2, 0x1.e0fbe49f9082ap-2, 0x1.cce103d7345a6p-2, 0x1.b8d00b75c3a0ap-2, 0x1.a4ce1c34987a5p-2, 0x1.90e021f06d419p-2, 0x1.7d0ad3e0bf627p-2, 0x1.6952b4ec36f52p-2, 0x1.55bc141779a92p-2, 0x1.424b0d0bf0204p-2, 0x1.2f0388b432255p-2, 0x1.1be93debf1592p-2, 0x1.08ffb2415c3ffp-2, 0x1.ec94758c31f0fp-3, 0x1.c797f9dc180c6p-3, 0x1.a30fdef49aa42p-3, 0x1.7f01b6dd675f3p-3, 0x1.5b72ba2121cb5p-3, 0x1.3867c9da7da7ap-3, 0x1.15e571ce82f8p-3, 0x1.e7dfd52340edep-4, 0x1.a516376ae7aecp-4, 0x1.63753bfa753c4p-4, 0x1.23037b2e33796p-4, 0x1.c78df1623f47ep-5, 0x1.4b8a4ff1eadeap-5, 0x1.a40bc30a306abp-6, 0x1.6c259c5f6f6fep-7, -0x1.96363ec7c858fp-9, -0x1.167381a87be6fp-6, -0x1.f4e7c9ab666efp-6, -0x1.670cf05aa22f4p-5, -0x1.d100e66207ce1p-5, -0x1.1c2651fe77611p-4, -0x1.4e76ebf46e6b5p-4, -0x1.7f717d2509a3ap-4, -0x1.af15a243ceafep-4, -0x1.dd6354a564b5cp-4, -0x1.052d7328eadeap-3, -0x1.1afe7f14efb8cp-3, -0x1.30254a0ff2755p-3, -0x1.44a276c27d2dp-3, -0x1.5876ccb52beb5p-3, -0x1.6ba3368bbbf2p-3, -0x1.7e28c04a94e9bp-3, -0x1.900895a6d933p-3, -0x1.a144006107032p-3, -0x1.b1dc66aa2f946p-3, -0x1.c1d34993ce177p-3, -0x1.d12a438a2785fp-3, -0x1.dfe306d932761p-3, -0x1.edff5c3bf9bcep-3, -0x1.fb8121765dba1p-3, -0x1.043523fc93fep-2, -0x1.0a5e69c82706fp-2, -0x1.103d6c8da80a2p-2, -0x1.15d33ea7c7247p-2, -0x1.1b20f9c23de8cp-2, -0x1.2027be44c3ae8p-2, -0x1.24e8b2c2c888ep-2, -0x1.2965036fee19ep-2, -0x1.2d9de199213b7p-2, -0x1.3194832243c6dp-2, -0x1.354a220856a65p-2, -0x1.38bffbe80e332p-2, -0x1.3bf75188b75d1p-2, -0x1.3ef1666b61bccp-2, -0x1.41af805e36cfcp-2, -0x1.4432e713e2396p-2, -0x1.467ce3bf06319p-2, -0x1.488ec0b195de4p-2, -0x1.4a69c9000f6f4p-2, -0x1.4c0f482876526p-2, -0x1.4d8089bd012e5p-2, -0x1.4ebed9125ff0bp-2, -0x1.4fcb80f18e0d8p-2, -0x1.50a7cb4d1298cp-2, -0x1.515500f9a33bp-2, -0x1.51d4696a0d6a2p-2, -0x1.52274a6e5bc91p-2, -0x1.524ee7f61aa7fp-2, -0x1.524c83d5acafbp-2, -0x1.52215d8e9db1bp-2, -0x1.51ceb21ada898p-2, -0x1.5155bbbac311dp-2, -0x1.50b7b1c5fb595p-2, -0x1.4ff5c87ef0363p-2, -0x1.4f1130e8f6285p-2, -0x1.4e0b18a0f6381p-2, -0x1.4ce4a9b893461p-2, -0x1.4b9f0a93b8d6dp-2, -0x1.4a3b5dc879d8fp-2, -0x1.48bac2013cc1cp-2, -0x1.471e51e1107f1p-2, -0x1.456723ea2dc45p-2, -0x1.43964a667fbf7p-2, -0x1.41acd35236dabp-2, -0x1.3fabc848425b5p-2, -0x1.3d942e70b3f1bp-2, -0x1.3b670670eaec7p-2, -0x1.39254c5d83facp-2, -0x1.36cff7adfc56fp-2, -0x1.3467fb31f099p-2, -0x1.31ee4507f5dfbp-2, -0x1.2f63be95efd8cp-2, -0x1.2cc94c82e4184p-2, -0x1.2a1fceb22e298p-2, -0x1.276820401226p-2, -0x1.24a3177f99978p-2, -0x1.21d185f9ac218p-2, -0x1.1ef4386d5f8cep-2, -0x1.1c0bf6d16693bp-2, -0x1.191984569846p-2, -0x1.161d9f6b85e8ap-2, -0x1.131901c10b857p-2, -0x1.100c604fd6542p-2, -0x1.0cf86b5ed1993p-2, -0x1.09ddce8a6fdbdp-2, -0x1.06bd30ccc5754p-2, -0x1.0397348667466p-2, -0x1.006c778806fc9p-2, -0x1.fa7b263982087p-3, -0x1.f416382a1c2e6p-3, -0x1.edab45a4ad47cp-3, -0x1.e73b66a62a492p-3, -0x1.e0c7aa7f0deb3p-3, -0x1.da5117edb96d6p-3, -0x1.d3d8ad39c499cp-3, -0x1.cd5f6050319a1p-3, -0x1.c6e61ee07063bp-3, -0x1.c06dce7a19f9fp-3, -0x1.b9f74cab6a907p-3, -0x1.b3836f204a2cdp-3, -0x1.ad1303c1f8e3dp-3, -0x1.a6a6d0d73397cp-3, -0x1.a03f9524d1394p-3, -0x1.99de080ecedc1p-3, -0x1.9382d9b9b584ap-3, -0x1.8d2eb32c49d86p-3, -0x1.86e236718cbb4p-3, -0x1.809dfebaed2e5p-3, -0x1.7a62a082a7ecep-3, -0x1.7430a9ae50601p-3, -0x1.6e08a1b16eaf5p-3, -0x1.67eb09b0312a8p-3, -0x1.61d85ca222fb8p-3, -0x1.5bd10f74e033ep-3, -0x1.55d5912ec2d14p-3, -0x1.4fe64b1178e3p-3, -0x1.4a03a0bc8593bp-3, -0x1.442df04f9b7e6p-3, -0x1.3e65928cd3d5p-3, -0x1.38aadafab1a12p-3, -0x1.32fe1805f3c23p-3, -0x1.2d5f93232a3aep-3, -0x1.27cf90f007c35p-3, -0x1.224e515473254p-3, -0x1.1cdc0fa34508p-3, -0x1.177902bac1209p-3, -0x1.12255d24ae9ffp-3, -0x1.0ce14d361fb45p-3, -0x1.07acfd2edd90ap-3, -0x1.028893586ca7cp-3, -0x1.fae8644970226p-4, -0x1.f0dff0989a6f9p-4, -0x1.e6f801d86683ap-4, -0x1.dd30c746aacdap-4, -0x1.d38a695f0066p-4, -0x1.ca050a13d1d9ap-4, -0x1.c0a0c5069a5ddp-4, -0x1.b75dafbf2269ep-4, -0x1.ae3bd9e1e0697p-4, -0x1.a53b4d6571377p-4, -0x1.9c5c0ec708b6bp-4, -0x1.939e1d3e05d01p-4, -0x1.8b0172ee89d01p-4, -0x1.8286051b148ddp-4, -0x1.7a2bc45530f69p-4, -0x1.71f29cad26bcp-4, -0x1.69da75e0b125p-4, -0x1.61e33388c3466p-4, -0x1.5a0cb5464c434p-4, -0x1.5256d6ee078dbp-4, -0x1.4ac170b355197p-4, -0x1.434c575216852p-4, -0x1.3bf75c379a5e7p-4, -0x1.34c24daa8fb43p-4, -0x1.2dacf6f2054c9p-4, -0x1.26b7207b769dbp-4, -0x1.1fe08fffea92bp-4, -0x1.192908a81c613p-4, -0x1.12904b2fbfab3p-4, -0x1.0c161607d4ac7p-4, -0x1.05ba2578115fap-4, -0x1.fef8677ed7236p-5, -0x1.f2b7f2676ecc6p-5, -0x1.e6b258c0d280bp-5, -0x1.dae70448edb07p-5, -0x1.cf555b9eb8d18p-5, -0x1.c3fcc27a929d5p-5, -0x1.b8dc99e4edd0fp-5, -0x1.adf4406b56407p-5, -0x1.a3431253d8d96p-5, -0x1.98c869ceccd2ep-5, -0x1.8e839f270e39cp-5, -0x1.847408f0ab9bep-5, -0x1.7a98fc360785dp-5, -0x1.70f1cca3812e1p-5, -0x1.677dccb19fb9bp-5, -0x1.5e3c4dcdcb03ap-5, -0x1.552ca0819c73ep-5, -0x1.4c4e1498c89b9p-5, -0x1.439ff945a844ap-5, -0x1.3b219d447016bp-5, -0x1.32d24efd14b41p-5, -0x1.2ab15ca3e6382p-5, -0x1.22be1458e85cfp-5, -0x1.1af7c445f3996p-5, -0x1.135dbabb9b595p-5, -0x1.0bef464ce9d7ep-5, -0x1.04abb5e9f5225p-5, -0x1.fb24b1f2af9fbp-6, -0x1.ed44fee107ep-6, -0x1.dfb6f3d626075p-6, -0x1.d2793381fe9aap-6, -0x1.c58a6237b7dcbp-6, -0x1.b8e92616141f8p-6, -0x1.ac94272dfc2adp-6, -0x1.a08a0fa713343p-6, -0x1.94c98be27c849p-6, -0x1.89514a9bd703bp-6, -0x1.7e1ffd0877d02p-6, -0x1.733456f4f4127p-6, -0x1.688d0ee101c9ap-6, -0x1.5e28de19c4ac8p-6, -0x1.540680d28b59cp-6, -0x1.4a24b63c032b5p-6, -0x1.40824099f931cp-6, -0x1.371de557b66afp-6, -0x1.2df66d1af3aebp-6, -0x1.250aa3d571484p-6, -0x1.1c5958d554039p-6, -0x1.13e15ed431296p-6, -0x1.0ba18c04f673ap-6, -0x1.0398ba208d9b8p-6, -0x1.f78b8ce2ebd25p-7, -0x1.e84f23bc6c6d8p-7, -0x1.d97a01e593c43p-7, -0x1.cb09f7d1f96d9p-7, -0x1.bcfcdd5fa98c7p-7, -0x1.af5091e4172dcp-7, -0x1.a202fc372211dp-7, -0x1.95120abc6c659p-7, -0x1.887bb36afac98p-7, -0x1.7c3df3d333c43p-7, -0x1.7056d12344406p-7, -0x1.64c4582a16201p-7, -0x1.59849d58b9ee7p-7, -0x1.4e95bcc28a0f6p-7, -0x1.43f5da1beeee8p-7, -0x1.39a320b7d18dcp-7, -0x1.2f9bc383de5d3p-7, -0x1.25ddfd03aa854p-7, -0x1.1c680f4aae8abp-7, -0x1.133843f53a0ep-7, -0x1.0a4cec2051dd1p-7, -0x1.01a46060b0c81p-7, -0x1.f27a01719cbddp-8, -0x1.e22a691c04c8ep-8, -0x1.d256d539eac18p-8, -0x1.c2fc31da22aecp-8, -0x1.b4177986c2c77p-8, -0x1.a5a5b52956e9bp-8, -0x1.97a3fbedc5aecp-8, -0x1.8a0f732408088p-8, -0x1.7ce54e208db1dp-8, -0x1.7022ce1ba9141p-8, -0x1.63c5420fe31b7p-8, -0x1.57ca069752d73p-8, -0x1.4c2e85c81bce4p-8, -0x1.40f037102ca3ap-8, -0x1.360c9f0ff29cep-8, -0x1.2b814f749b291p-8, -0x1.214be6d174c9ap-8, -0x1.176a1078db737p-8, -0x1.0dd98454a3bd9p-8, -0x1.049806bdd1eb2p-8, -0x1.f746d0a8101c1p-9, -0x1.e5f30ba8ecb08p-9, -0x1.d5308fe0dd13ep-9, -0x1.c4fb4647938c6p-9, -0x1.b54f2f15c5c3fp-9, -0x1.a6286170e5293p-9, -0x1.97830b163ec2p-9, -0x1.895b7005ca7c9p-9, -0x1.7badea2d16a74p-9, -0x1.6e76e9119ad88p-9, -0x1.61b2f17b5eb83p-9, -0x1.555e9d1f5eeb9p-9, -0x1.49769a49c7c83p-9, -0x1.3df7ab88a09e9p-9, -0x1.32dea7567f75cp-9, -0x1.282877c54809fp-9, -0x1.1dd21a297035cp-9, -0x1.13d89ec58eab4p-9, -0x1.0a392875d688ap-9, -0x1.00f0ec5c57f56p-9, -0x1.effa631b75d17p-10, -0x1.deb6a17c42afp-10, -0x1.ce1167dda3976p-10, -0x1.be05ac393c03ep-10, -0x1.ae8e85dc41fe3p-10, -0x1.9fa72cc6b9fb3p-10, -0x1.914af90b3670ap-10, -0x1.8375623023bc2p-10, -0x1.7621fe923c269p-10, -0x1.694c82c92dba8p-10, -0x1.5cf0c10cefbebp-10, -0x1.510aa89cb3244p-10, -0x1.45964527c13a8p-10, -0x1.3a8fbe37d26f7p-10, -0x1.2ff3569ce61eep-10, -0x1.25bd6bdb0d28p-10, -0x1.1bea7599fb5fep-10, -0x1.12770515f3caap-10, -0x1.095fc4925329dp-10, -0x1.00a176cec1589p-10, -0x1.f071ecfa7dc39p-11, -0x1.e0466b74f6fc2p-11, -0x1.d0ba7b1093934p-11, -0x1.c1c85a92850b3p-11, -0x1.b36a747da5826p-11, -0x1.a59b5e115fa54p-11, -0x1.9855d64d44cf1p-11, -0x1.8b94c4f7b1371p-11, -0x1.7f5339a8793e6p-11, -0x1.738c6ad82c272p-11, -0x1.683bb4f1bdc32p-11, -0x1.5d5c996924934p-11, -0x1.52eabdd4c926ap-11, -0x1.48e1eb0b2675bp-11, -0x1.3f3e0c450c7dp-11, -0x1.35fb2e41f14ffp-11, -0x1.2d157e71b395dp-11, -0x1.24894a213cb0cp-11, -0x1.1c52fdab1ae74p-11, -0x1.146f23ab8c757p-11, -0x1.0cda643830aa8p-11, -0x1.0591841bff9f1p-11, -0x1.fd22c82ca1bf2p-12, -0x1.efae003be5bdp-12, -0x1.e2bedd4ea15a6p-12, -0x1.d64fbfde27cbbp-12, -0x1.ca5b3a8e8415cp-12, -0x1.bedc10d072bbfp-12, -0x1.b3cd358a8dda5p-12, -0x1.a929c9c9ababep-12, -0x1.9eed1b7789ce4p-12, -0x1.9512a41809438p-12, -0x1.8b96078e49d04p-12, -0x1.827312e727743p-12, -0x1.79a5bb2a600b8p-12, -0x1.712a1c321fccdp-12, -0x1.68fc7789d1c3bp-12, -0x1.6119335236ec2p-12, -0x1.597cd92c53dadp-12, -0x1.5224152a45cdbp-12, -0x1.4b0bb4c6dfdfep-12, -0x1.4430a5e1b2a4dp-12, -0x1.3d8ff5c280bbbp-12, -0x1.3726d020c0906p-12, -0x1.30f27e33483bdp-12, -0x1.2af065c3ac0bdp-12, -0x1.251e084791f69p-12, -0x1.1f7902000c704p-12, -0x1.19ff091ed5e79p-12, -0x1.14adecee4d85dp-12, -0x1.0f839502c50a8p-12, -0x1.0a7e006bf06d4p-12, -0x1.059b44ef5bd94p-12, -0x1.00d98e46e72ddp-12, -0x1.f86e3ac66581bp-13, -0x1.ef648f65fd16dp-13, -0x1.e692ece28e39dp-13, -0x1.ddf64be98747fp-13, -0x1.d58bca0c26aa4p-13, -0x1.cd50a8761823bp-13, -0x1.c5424aa5a770cp-13, -0x1.bd5e353501995p-13, -0x1.b5a20ca7ef11fp-13, -0x1.ae0b944168461p-13, -0x1.a698ace1e3eadp-13, -0x1.9f4753f02b5fcp-13, -0x1.9815a244fdd5fp-13, -0x1.9101cb212dce8p-13, -0x1.8a0a1b2da53a4p-13, -0x1.832cf77be6cbcp-13, -0x1.7c68dc95b87ddp-13, -0x1.75bc5d8e29c6cp-13, -0x1.6f26231c320fep-13, -0x1.68a4eabb5c696p-13, -0x1.623785d2f7609p-13, -0x1.5bdcd8e4acda1p-13, -0x1.5593dabe43ab3p-13, -0x1.4f5b93b583465p-13, -0x1.49331ce7dcf95p-13, -0x1.43199f812a527p-13, -0x1.3d0e5406663cp-13, -0x1.371081a8aac92p-13, -0x1.311f7d9b94345p-13, -0x1.2b3aaa715aa2ep-13, -0x1.2561777e075dp-13, -0x1.1f93603d1b1ecp-13, -0x1.19cfebbc42bf2p-13, -0x1.1416ac0df2db7p-13, -0x1.0e673dbe4144ap-13, -0x1.08c1474d31a3fp-13, -0x1.032478accep-13, -0x1.fb21158b4085ep-14, -0x1.f00a7dfa0b10ep-14, -0x1.e504bd7ef676cp-14, -0x1.da0f762a74d2dp-14, -0x1.cf2a586084bp-14, -0x1.c455220d1f2e5p-14, -0x1.b98f9dda34469p-14, -0x1.aed9a26f60a57p-14, -0x1.a43311b4f967dp-14, -0x1.999bd820e3728p-14, -0x1.8f13ec0cb0b94p-14, -0x1.849b4d0b6909dp-14, -0x1.7a320348a7b9cp-14, -0x1.6fd81ef628fc4p-14, -0x1.658db7b035212p-14, -0x1.5b52ebf3bcd3ap-14, -0x1.5127e094c4406p-14, -0x1.470cc03f8e4b2p-14, -0x1.3d01baf7220ffp-14, -0x1.3307059f56f99p-14, -0x1.291cd98cb3598p-14, -0x1.1f4374146ab5dp-14, -0x1.157b1621b5p-14, -0x1.0bc403d4e2174p-14, -0x1.021e842291adep-14, -0x1.f115c0ed9282cp-15, -0x1.de12c8bf4573dp-15, -0x1.cb34ba73d596p-15, -0x1.b87c33c5280a2p-15, -0x1.a5e9d4d27097ep-15, -0x1.937e3f9572546p-15, -0x1.813a175db0566p-15, -0x1.6f1e004a11056p-15, -0x1.5d2a9ecd688ebp-15, -0x1.4b6097435cd22p-15, -0x1.39c08d79b98a4p-15, -0x1.284b244fe881fp-15, -0x1.1700fd51454b8p-15, -0x1.05e2b85eed37dp-15, -0x1.e9e1e6aba4c0fp-16, -0x1.c8589379ed20ep-16, -0x1.a72aa8f52ef31p-16, -0x1.865953245107cp-16, -0x1.65e5b7b8376adp-16, -0x1.45d0f592b7051p-16, -0x1.261c245b8739ep-16, -0x1.06c8540c14217p-16, -0x1.cfad1930f0fap-17, -0x1.928f9b12f9863p-17, -0x1.563a1b6f88a4ep-17, -0x1.1aae75f7a1d19p-17, -0x1.bfdce78d489eap-18, -0x1.4bf795e1c322dp-18, -0x1.b3607865a1d7ap-19, -0x1.a427e086d3511p-20, 0x1.7e1048e847ca7p-24, 0x1.cd4e8d3dcdc18p-20, 0x1.be0b171c2908cp-19, 0x1.490b80e4b7df7p-18, 0x1.b16334966fbb3p-18, 0x1.0c05413c8d6bbp-17, 0x1.3e7fb876a1265p-17, 0x1.7020189fce721p-17, 0x1.a0e58fcbacc2bp-17, 0x1.d0cf6195cfab5p-17, 0x1.ffdce6f2c214ep-17, 0x1.1706c726458fp-16, 0x1.2db06daa8f6eap-16, 0x1.43eb337f579a7p-16, 0x1.59b6efa43c46p-16, 0x1.6f13839301f8fp-16, 0x1.8400db2ee6ddep-16, 0x1.987eeca6eaeb2p-16, 0x1.ac8db857a4c0ap-16, 0x1.c02d48b6da33bp-16, 0x1.d35db231b5cafp-16, 0x1.e61f131285ef1p-16, 0x1.f8719350d4b68p-16, 0x1.052ab23df8083p-15, 0x1.0de560c6ea26dp-15, 0x1.1668f764b7a73p-15, 0x1.1eb59cc533142p-15, 0x1.26cb7c0fa726dp-15, 0x1.2eaac4d311c79p-15, 0x1.3653aaec3058p-15, 0x1.3dc6667024b0fp-15, 0x1.45033394bcd6dp-15, 0x1.4c0a529b1515bp-15, 0x1.52dc07b94d67p-15, 0x1.59789afdc80abp-15, 0x1.5fe0583b8f6f6p-15, 0x1.66138ef0e827bp-15, 0x1.6c12922e590bap-15, 0x1.71ddb87ef2352p-15, 0x1.77755bcb68498p-15, 0x1.7cd9d9470a23cp-15, 0x1.820b9153efbcfp-15, 0x1.870ae76a306bap-15, 0x1.8bd841fe4ab18p-15, 0x1.90740a674b8b2p-15, 0x1.94deacc917eap-15, 0x1.991897f8d59eep-15, 0x1.9d223d63c4488p-15, 0x1.a0fc10f76f6abp-15, 0x1.a4a689090a25dp-15, 0x1.a8221e3d4fe14p-15, 0x1.ab6f4b6f84dbap-15, 0x1.ae8e8d96f98c6p-15, 0x1.b18063b405594p-15, 0x1.b4454eb43d6b7p-15, 0x1.b6ddd15d36242p-15, 0x1.b94a70333b41bp-15, 0x1.bb8bb16254034p-15, 0x1.bda21ca9d537ap-15, 0x1.bf8e3b439271bp-15, 0x1.c15097ce38cddp-15, 0x1.c2e9be364a132p-15, 0x1.c45a3ba20f513p-15, 0x1.c5a29e5b5a2a5p-15, 0x1.c6c375bb07082p-15, 0x1.c7bd5212ce9c3p-15, 0x1.c890c49a1b791p-15, 0x1.c93e5f59d9616p-15, 0x1.c9c6b518a6f2bp-15, 0x1.ca2a5946e8b08p-15, 0x1.ca69dfeb0692ep-15, 0x1.ca85dd909e2f9p-15, 0x1.ca7ee7353bdd1p-15, 0x1.ca559236938ap-15, 0x1.ca0a74400f86dp-15, 0x1.c99e233977f89p-15, 0x1.c91135373563ap-15, 0x1.c8644068f3136p-15, 0x1.c797db09f8b37p-15, 0x1.c6ac9b50b1804p-15, 0x1.c5a3175fb9a88p-15, 0x1.c47be5364e992p-15, 0x1.c3379aa2d8794p-15, 0x1.c1d6cd32634e1p-15, 0x1.c05a1223c759bp-15, 0x1.bec1fe5a81dafp-15, 0x1.bd0f265166e3ep-15, 0x1.bb421e0d3d35ep-15, 0x1.b95b79107e4f4p-15, 0x1.b75bca4dcde3fp-15, 0x1.b543a41e5cbcbp-15, 0x1.b3139834c8abep-15, 0x1.b0cc3793009a1p-15, 0x1.ae6e127f61b2cp-15, 0x1.abf9b8796c70bp-15, 0x1.a96fb830754fbp-15, 0x1.a6d09f79fd39dp-15, 0x1.a41cfb47872aap-15, 0x1.a155579d6b1bcp-15, 0x1.9e7a3f8ab7e09p-15, 0x1.9b8c3d21345a8p-15, 0x1.988bd96c28aaep-15, 0x1.95799c69322bdp-15, 0x1.92560d004f73ap-15, 0x1.8f21b0fc8d644p-15, 0x1.8bdd0d058cc3dp-15, 0x1.8888a498af33p-15, 0x1.8524fa03a02dbp-15, 0x1.81b28e5cf355p-15, 0x1.7e31e17f1985fp-15, 0x1.7aa37202c9109p-15, 0x1.7707bd39dd309p-15, 0x1.735f3f2a5aa1dp-15, 0x1.6faa72890e9b4p-15, 0x1.6be9d0b64a944p-15, 0x1.681dd1b9ead0ap-15, 0x1.6446ec3dca1f6p-15, 0x1.6065958bf5c43p-15, 0x1.5c7a4189deb91p-15, 0x1.588562b5dcb11p-15, 0x1.54876a236aaf5p-15, 0x1.5080c779c02e5p-15, 0x1.4c71e8f10764fp-15, 0x1.485b3b4ec7fb4p-15, 0x1.443d29e5a85ap-15, 0x1.40181e91b1d25p-15, 0x1.3bec81b7fa824p-15, 0x1.37baba450e908p-15, 0x1.33832daac77e2p-15, 0x1.2f463fdfa1bbep-15, 0x1.2b04535f3c914p-15, 0x1.26bdc927289e2p-15, 0x1.227300b8248c5p-15, 0x1.1e245814e6da1p-15, 0x1.19d22bc2baf04p-15, 0x1.157cd6c7f136cp-15, 0x1.1124b2ad09663p-15, 0x1.0cca177e0e915p-15, 0x1.086d5bc8690f7p-15, 0x1.040ed49dc4517p-15, }}, 
      {{0x1.f9ab0856693e8p-1, 0x1.f96db6ab989c4p-1, 0x1.f907a78d6c5f6p-1, 0x1.f8790ff0a528cp-1, 0x1.f7c238fa9730bp-1, 0x1.f6e37f2327a43p-1, 0x1.f5dd5134b0fc4p-1, 0x1.f4b02f33d25f6p-1, 0x1.f35ca9378cf46p-1, 0x1.f1e35e389a77cp-1, 0x1.f044fadda4079p-1, 0x1.ee823848e1233p-1, 0x1.ec9bdaeab2199p-1, 0x1.ea92b15bfcap-1, 0x1.e8679342600d2p-1, 0x1.e61b603fc43eap-1, 0x1.e3aefeee4e215p-1, 0x1.e1235be96678ep-1, 0x1.de7968e42955dp-1, 0x1.dbb21bcd5a5ccp-1, 0x1.d8ce6e00c96e2p-1, 0x1.d5cf5b85e7e69p-1, 0x1.d2b5e25b3a78cp-1, 0x1.cf8301ce349ep-1, 0x1.cc37b9df0786dp-1, 0x1.c8d50aafdc6d5p-1, 0x1.c55bf3fef02fdp-1, 0x1.c1cd74ab06537p-1, 0x1.be2a8a41a5975p-1, 0x1.ba743096938f2p-1, 0x1.b6ab61640df82p-1, 0x1.b2d113f33a89dp-1, 0x1.aee63ccc53e0fp-1, 0x1.aaebcd6e1c8bep-1, 0x1.a6e2b40c26f9ap-1, 0x1.a2cbdb5383ae6p-1, 0x1.9ea82a35764d6p-1, 0x1.9a7883b7ca1eap-1, 0x1.963dc6ca6f322p-1, 0x1.91f8ce220b087p-1, 0x1.8daa7017276c6p-1, 0x1.89537e89b75e5p-1, 0x1.84f4c6c8a8658p-1, 0x1.808f117d3c1c8p-1, 0x1.7c232299e989cp-1, 0x1.77b1b94c8aad1p-1, 0x1.733b8ff39d4cbp-1, 0x1.6ec15c1660092p-1, 0x1.6a43ce5f9842p-1, 0x1.65c3929ad30eep-1, 0x1.61414fb3f1945p-1, 0x1.5cbda7b8d6b41p-1, 0x1.583937dd0c899p-1, 0x1.53b4987f3d30cp-1, 0x1.4f305d3057434p-1, 0x1.4aad14bc3fb22p-1, 0x1.462b4933ee3e5p-1, 0x1.41ab7ff8d43c2p-1, 0x1.3d2e39c976528p-1, 0x1.38b3f2cf17c95p-1, 0x1.343d22ac61a17p-1, 0x1.2fca3c8ceb838p-1, 0x1.2b5baf359169dp-1, 0x1.26f1e5157dd42p-1, 0x1.228d4457d83f9p-1, 0x1.1e2e2ef600ccap-1, 0x1.19d502ca4afedp-1, 0x1.158219a3243dap-1, 0x1.1135c95698732p-1, 0x1.0cf063d625d57p-1, 0x1.08b23742d03c8p-1, 0x1.047b8e016b3a8p-1, 0x1.004caecf0c712p-1, 0x1.f84bb9ab348b6p-2, 0x1.f00eaf80e124cp-2, 0x1.e7e2b7a21cb74p-2, 0x1.dfc843e789aebp-2, 0x1.d7bfbfa8c1086p-2, 0x1.cfc98fe587eb2p-2, 0x1.c7e6136edc589p-2, 0x1.c015a30fc9221p-2, 0x1.b85891b5fa18ap-2, 0x1.b0af2c9a03b58p-2, 0x1.a919bb67517bap-2, 0x1.a1988063b94e6p-2, 0x1.9a2bb896a45a2p-2, 0x1.92d39befcae9cp-2, 0x1.8b905d6d7acf9p-2, 0x1.84622b4263892p-2, 0x1.7d492efae2687p-2, 0x1.76458da1c6d61p-2, 0x1.6f5767e492a2ap-2, 0x1.687eda3729354p-2, 0x1.61bbfcf6f11cep-2, 0x1.5b0ee48d640cfp-2, 0x1.5477a192047c5p-2, 0x1.4df640ebc453ap-2, 0x1.478acbf1cc665p-2, 0x1.4135488bad116p-2, 0x1.3af5b950f328fp-2, 0x1.34cc1da821a61p-2, 0x1.2eb871e50f32dp-2, 0x1.28baaf66a5d24p-2, 0x1.22d2ccb407b96p-2, 0x1.1d00bd9918e72p-2, 0x1.1744734268a65p-2, 0x1.119ddc5884a53p-2, 0x1.0c0ce51aad486p-2, 0x1.06917778f160cp-2, 0x1.012b7b2db3781p-2, 0x1.f7b5abad2353bp-3, 0x1.ed3ed61976f12p-3, 0x1.e2f238f95eeddp-3, 0x1.d8cf93faccf87p-3, 0x1.ced6a34dd3828p-3, 0x1.c5071fd0b4fafp-3, 0x1.bb60bf3acf017p-3, 0x1.b1e334466a5dap-3, 0x1.a88e2ed975e28p-3, 0x1.9f615c2d26161p-3, 0x1.965c66f487afbp-3, 0x1.8d7ef782040c5p-3, 0x1.84c8b3ebd6b79p-3, 0x1.7c39402f8059p-3, 0x1.73d03e5439ab5p-3, 0x1.6b8d4e8c5e904p-3, 0x1.63700f55e57e8p-3, 0x1.5b781d99e2676p-3, 0x1.53a514cb0c487p-3, 0x1.4bf68f035e0aap-3, 0x1.446c2520c65dbp-3, 0x1.3d056ee0f4a3ap-3, 0x1.35c202fc3f66cp-3, 0x1.2ea1773fafc9ep-3, 0x1.27a360a631117p-3, 0x1.20c75370e5275p-3, 0x1.1a0ce33eb090fp-3, 0x1.1373a322ed225p-3, 0x1.0cfb25bb596b1p-3, 0x1.06a2fd453f966p-3, 0x1.006abbb1dac76p-3, 0x1.f4a3e573f5e3ap-4, 0x1.e8b067e1e8c26p-4, 0x1.dcfa21ada4434p-4, 0x1.d18035d3b803fp-4, 0x1.c641c76ed0878p-4, 0x1.bb3df9d81521cp-4, 0x1.b073f0c624486p-4, 0x1.a5e2d06addc95p-4, 0x1.9b89bd8fdb3c2p-4, 0x1.9167ddb1c958ap-4, 0x1.877c571a78db2p-4, 0x1.7dc650f9da554p-4, 0x1.7444f37dceed6p-4, 0x1.6af767e8e4375p-4, 0x1.61dcd8a7fc35p-4, 0x1.58f47166eb2b3p-4, 0x1.503d5f240f83dp-4, 0x1.47b6d042ed97bp-4, 0x1.3f5ff49dd3f2ep-4, 0x1.3737fd968ffd5p-4, 0x1.2f3e1e263a99ep-4, 0x1.27718aec1ed67p-4, 0x1.1fd17a3bc6ff5p-4, 0x1.185d242a32e51p-4, 0x1.1113c29a3dab1p-4, 0x1.09f4914839737p-4, 0x1.02fecdd4c8d35p-4, 0x1.f8636f9df3dccp-5, 0x1.eb19217b520ebp-5, 0x1.de1d3850615c3p-5, 0x1.d16e3f3cdddd9p-5, 0x1.c50ac5804396dp-5, 0x1.b8f15e874520dp-5, 0x1.ad20a1f80b4b3p-5, 0x1.a1972bbd440b4p-5, 0x1.96539c1010e85p-5, 0x1.8b549780d7b5ap-5, 0x1.8098c6ff0622cp-5, 0x1.761ed7dfce1eap-5, 0x1.6be57be3e703p-5, 0x1.61eb693c57c13p-5, 0x1.582f5a8e59e5cp-5, 0x1.4eb00ef65a5fcp-5, 0x1.456c4a0a1ebb4p-5, 0x1.3c62d3da1defcp-5, 0x1.339278f20dd11p-5, 0x1.2afa0a58b281ap-5, 0x1.22985d8ef41e5p-5, 0x1.1a6c4c8e447ebp-5, 0x1.1274b5c65d207p-5, 0x1.0ab07c1a591dep-5, 0x1.031e86dd36cabp-5, 0x1.f77b839b89ad8p-6, 0x1.e91a3a2404b34p-6, 0x1.db171a63f30a8p-6, 0x1.cd70162435405p-6, 0x1.c02327da3b39fp-6, 0x1.b32e529addc3ep-6, 0x1.a68fa20c6235bp-6, 0x1.9a452a57aaf9ap-6, 0x1.8e4d0818a4755p-6, 0x1.82a5604dfa48p-6, 0x1.774c60481f6ep-6, 0x1.6c403d97a9fc7p-6, 0x1.617f35fb1e9bbp-6, 0x1.57078f4c24028p-6, 0x1.4cd7976c3226ap-6, 0x1.42eda430bd218p-6, 0x1.3948134ef51fcp-6, 0x1.2fe54a470dfbfp-6, 0x1.26c3b64f26711p-6, 0x1.1de1cc3dd3d35p-6, 0x1.153e0874524dp-6, 0x1.0cd6eec86ca1ap-6, 0x1.04ab0a6e18a4fp-6, 0x1.f971dbc1ae5b9p-7, 0x1.e9fe6599a6977p-7, 0x1.daf8f3efb5919p-7, 0x1.cc5ed654317cfp-7, 0x1.be2d6a2d734c2p-7, 0x1.b0621a88c0873p-7, 0x1.a2fa5feb0db8dp-7, 0x1.95f3c02191022p-7, 0x1.894bce12290d8p-7, 0x1.7d00298bb04d1p-7, 0x1.710e7f1640be8p-7, 0x1.657487c3720d6p-7, 0x1.5a3008fe8b0aep-7, 0x1.4f3ed45cd0b3cp-7, 0x1.449ec76dd67a6p-7, 0x1.3a4dcb8bed3f3p-7, 0x1.3049d5acb40ffp-7, 0x1.2690e631c8498p-7, 0x1.1d2108b9ac78dp-7, 0x1.13f853f0d733cp-7, 0x1.0b14e96303acp-7, 0x1.0274f54cbccd8p-7, 0x1.f42d5cda5c0e3p-8, 0x1.e3f0abb07694p-8, 0x1.d4306d91cf229p-8, 0x1.c4e94ce81472bp-8, 0x1.b61807b6c8161p-8, 0x1.a7b96f4208269p-8, 0x1.99ca67b6173b9p-8, 0x1.8c47e7cfba4c1p-8, 0x1.7f2ef8854b8dp-8, 0x1.727cb4b0a143bp-8, 0x1.662e48b9d4ed6p-8, 0x1.5a40f242dab1ep-8, 0x1.4eb1ffd3fe858p-8, 0x1.437ed08934654p-8, 0x1.38a4d3c077136p-8, 0x1.2e2188c8e832dp-8, 0x1.23f27e92fe0a1p-8, 0x1.1a15536190c3cp-8, 0x1.1087b47bf4365p-8, 0x1.07475de0ecf04p-8, 0x1.fca433f5798bp-9, 0x1.eb4b82a82e99fp-9, 0x1.da80749c48087p-9, 0x1.ca3ef1aee86bfp-9, 0x1.ba82fc47f839cp-9, 0x1.ab48b0cc374d2p-9, 0x1.9c8c4511368p-9, 0x1.8e4a07d3545e1p-9, 0x1.807e602de7293p-9, 0x1.7325cd1555237p-9, 0x1.663ce4d3214f6p-9, 0x1.59c0548428e2ep-9, 0x1.4dacdf98d4a09p-9, 0x1.41ff5f5751cb3p-9, 0x1.36b4c25fc0b01p-9, 0x1.2bca0c327f0fbp-9, 0x1.213c54b8678cep-9, 0x1.1708c7cd0863p-9, 0x1.0d2ca4caddc5cp-9, 0x1.03a53e198d198p-9, 0x1.f4dff17c089ebp-10, 0x1.e31497d926b05p-10, 0x1.d1e38139e9fa6p-10, 0x1.c147e240adc2ap-10, 0x1.b13d117251deep-10, 0x1.a1be8669a0b7ap-10, 0x1.92c7d90ebdbdfp-10, 0x1.8454c0d222bbdp-10, 0x1.766113eb21dccp-10, 0x1.68e8c69a46812p-10, 0x1.5be7ea6f3648ep-10, 0x1.4f5aad922c3aep-10, 0x1.433d5a10ff66p-10, 0x1.378c552f9d57p-10, 0x1.2c441ebbe7802p-10, 0x1.2161506535fedp-10, 0x1.16e09d16e6a24p-10, 0x1.0cbed05684ed5p-10, 0x1.02f8cda53b7bdp-10, 0x1.f3171fc85ff9ap-11, 0x1.e0e85178e8e52p-11, 0x1.cf5f8013b732cp-11, 0x1.be7726927043bp-11, 0x1.ae29ea12dd43bp-11, 0x1.9e7298bf1a41bp-11, 0x1.8f4c28bbf5df6p-11, 0x1.80b1b71d1c441p-11, 0x1.729e86df281dbp-11, 0x1.650dffe77488bp-11, 0x1.57fbae0924097p-11, 0x1.4b63401024fe5p-11, 0x1.3f4086d14922fp-11, 0x1.338f744010ea4p-11, 0x1.284c1a89b72c5p-11, 0x1.1d72ab351f065p-11, 0x1.12ff76480b839p-11, 0x1.08eee97137abep-11, 0x1.fe7b1e6f0dap-12, 0x1.ebd01c5be4aa1p-12, 0x1.d9d650593a0d9p-12, 0x1.c887731ba1d53p-12, 0x1.b7dd70dfe0c43p-12, 0x1.a7d267f84e8e4p-12, 0x1.9860a761fe324p-12, 0x1.8982ad642862ap-12, 0x1.7b332636f5629p-12, 0x1.6d6ceab216091p-12, 0x1.602aff0515019p-12, 0x1.536891765e2b3p-12, 0x1.4720f92ac7ea3p-12, 0x1.3b4fb4f5964dap-12, 0x1.2ff06a2ecc4d1p-12, 0x1.24fee390ec3e4p-12, 0x1.1a77101f129aap-12, 0x1.10550211493dp-12, 0x1.0694edc7f1938p-12, 0x1.fa66518e908b8p-13, 0x1.e858516fcfc3p-13, 0x1.d6f904dc72fcep-13, 0x1.c641d1f29e67p-13, 0x1.b62c596d786fap-13, 0x1.a6b274dafd1f6p-13, 0x1.97ce34ddf1541p-13, 0x1.8979df7b5bd8p-13, 0x1.7bafee71ec4d8p-13, 0x1.6e6b0d9e92e71p-13, 0x1.61a6196b4d1cfp-13, 0x1.555c1d48f93d8p-13, 0x1.49885234059dp-13, 0x1.3e261d443ef23p-13, 0x1.33310e43d1927p-13, 0x1.28a4de52bba02p-13, 0x1.1e7d6e92cb11dp-13, 0x1.14b6c6dd6bd5cp-13, 0x1.0b4d14828ab6cp-13, 0x1.023ca9110f9e7p-13, 0x1.f303f24f91556p-14, 0x1.e233369ab466bp-14, 0x1.d2008da49a8fdp-14, 0x1.c265a5762ad08p-14, 0x1.b35c6962e34a8p-14, 0x1.a4defffbf273ap-14, 0x1.96e7c91496d1ap-14, 0x1.89715bd13f7dp-14, 0x1.7c7684c5e2a24p-14, 0x1.6ff2442513cccp-14, 0x1.63dfcbfa4851dp-14, 0x1.583a7e728543cp-14, 0x1.4cfdec32eda6ep-14, 0x1.4225d2bbf3511p-14, 0x1.37ae1ad6c8d81p-14, 0x1.2d92d710167e4p-14, 0x1.23d0423f11a84p-14, 0x1.1a62be1775b5p-14, 0x1.1146d1c6f194cp-14, 0x1.0879289dd6c71p-14, 0x1.ffed2185c5addp-15, 0x1.ef77f3df2cf98p-15, 0x1.df8ce86d7628p-15, 0x1.d0265daab6c2bp-15, 0x1.c13eee1dcd63bp-15, 0x1.b2d16e1eb574bp-15, 0x1.a4d8e9b1b37c6p-15, 0x1.9750a275f9a51p-15, 0x1.8a340d9f01553p-15, 0x1.7d7ed201a7f1dp-15, 0x1.712cc6303e9c1p-15, 0x1.6539eea9d42f1p-15, 0x1.59a27c14a8b01p-15, 0x1.4e62c989de454p-15, 0x1.43775af0a49fp-15, 0x1.38dcdb657ff04p-15, 0x1.2e901bae9dee9p-15, 0x1.248e10be40951p-15, 0x1.1ad3d2406515ap-15, 0x1.115e9939c0d0ap-15, 0x1.082bbeae0a64dp-15, 0x1.fe7174a596388p-16, 0x1.ed0642a6df5b9p-16, 0x1.dc114a2de547bp-16, 0x1.cb8e243044433p-16, 0x1.bb789d830acbbp-16, 0x1.abccb4b193714p-16, 0x1.9c8697e852dbfp-16, 0x1.8da2a2ea5748bp-16, 0x1.7f1d5d1f52b99p-16, 0x1.70f377b9a3577p-16, 0x1.6321cbde05aeap-16, 0x1.55a558eb97db6p-16, 0x1.487b42c42b40bp-16, 0x1.3ba0d03536714p-16, 0x1.2f136967979c6p-16, 0x1.22d0965d8e9b8p-16, 0x1.16d5fd80d72e4p-16, 0x1.0b216245d6e23p-16, 0x1.ff614799decc6p-17, 0x1.e9037742365c6p-17, 0x1.d32578e2eae63p-17, 0x1.bdc3a1cec7caap-17, 0x1.a8da7505d08bcp-17, 0x1.9466a0ff223e4p-17, 0x1.8064fd8be9501p-17, 0x1.6cd289dea3da7p-17, 0x1.59ac6a8c4b309p-17, 0x1.46efe7babd67cp-17, 0x1.349a6b4d54166p-17, 0x1.22a97f2e5081dp-17, 0x1.111acbae2dbc8p-17, 0x1.ffd82be8d06b7p-18, 0x1.de367ce825db9p-18, 0x1.bd4c7f0152d72p-18, 0x1.9d1657e3d1fep-18, 0x1.7d905b8dfb974p-18, 0x1.5eb709d2a3069p-18, 0x1.40870be1d821cp-18, 0x1.22fd31f4d92a2p-18, 0x1.0616712a4b842p-18, 0x1.d39fc2bf8fc42p-19, 0x1.9c4d764a89a3p-19, 0x1.6630abcf73a7bp-19, 0x1.31444c1850ea7p-19, 0x1.fb06ecdce9c8bp-20, 0x1.95d2fa796b0e1p-20, 0x1.32e3c5b2db785p-20, 0x1.a46159fced2f7p-21, 0x1.cec58c64a0d7p-22, 0x1.75de95ba43d12p-24, -0x1.0b45d60f54dccp-22, -0x1.35c8541b68004p-21, -0x1.e1c2c9f43fb07p-21, -0x1.44d01b8177a56p-20, -0x1.96b70b9104258p-20, -0x1.e69cbff3bad2bp-20, -0x1.1a43c9fe28424p-19, -0x1.403edb7ff5265p-19, -0x1.654297de577a2p-19, -0x1.8951efd2a7beap-19, -0x1.ac6fc2d79c56fp-19, -0x1.ce9ee091d7d9fp-19, -0x1.efe20a3eb5eaap-19, -0x1.081df9e5a9f71p-18, -0x1.17d7a2952cfe5p-18, -0x1.271f4dade83dcp-18, -0x1.35f644bc6523p-18, -0x1.445dcccc6789bp-18, -0x1.525726e58f64bp-18, -0x1.5fe39076e1ea2p-18, -0x1.6d0443a97fd7cp-18, -0x1.79ba77cfc9893p-18, -0x1.860761b6f594bp-18, -0x1.91ec33ed00834p-18, -0x1.9d6a1f1a63e02p-18, -0x1.a882523ab3e31p-18, -0x1.b335fae00c1d3p-18, -0x1.bd864562ef9afp-18, -0x1.c7745d1fbe85bp-18, -0x1.d1016ca293987p-18, -0x1.da2e9dc66114fp-18, -0x1.e2fd19e8f8779p-18, -0x1.eb6e0a09b3448p-18, -0x1.f38296e262c19p-18, -0x1.fb3be908f8525p-18, -0x1.014d948130a9cp-17, -0x1.04d0bfacfee9fp-17, -0x1.08280a554e0a9p-17, -0x1.0b5408da3b8fcp-17, -0x1.0e554fb20f61fp-17, -0x1.112c736be193fp-17, -0x1.13da08b491c5p-17, -0x1.165ea45981145p-17, -0x1.18badb4845bf3p-17, -0x1.1aef428e5e075p-17, -0x1.1cfc6f5a0c1ep-17, -0x1.1ee2f6f68b17ep-17, -0x1.20a36ecb24734p-17, -0x1.223e6c550069ap-17, -0x1.23b48525fda28p-17, -0x1.25064edd8acb7p-17, -0x1.26345f24d9abdp-17, -0x1.273f4ba847fd1p-17, -0x1.2827aa12a46a7p-17, -0x1.28ee100500b7bp-17, -0x1.299313100a2b1p-17, -0x1.2a1748ad4a301p-17, -0x1.2a7b46370fb19p-17, -0x1.2abfa0dfe16a7p-17, -0x1.2ae4edaa6cde9p-17, -0x1.2aebc160c2ea1p-17, -0x1.2ad4b08b85534p-17, -0x1.2aa04f69fb3c6p-17, -0x1.2a4f31e88aff6p-17, -0x1.29e1eb977e1d2p-17, -0x1.29590fa2e0819p-17, -0x1.28b530c7e0c54p-17, -0x1.27f6e14cff48bp-17, -0x1.271eb2f7c7863p-17, -0x1.262d3704566adp-17, -0x1.2522fe1c2bac4p-17, -0x1.2400984c04d47p-17, -0x1.22c694fb2baf7p-17, -0x1.217582e2e9542p-17, -0x1.200df0066d0b5p-17, -0x1.1e9069a7f7d3p-17, -0x1.1cfd7c41f5f2ep-17, -0x1.1b55b37e24eaep-17, -0x1.19999a2c89f85p-17, -0x1.17c9ba3b186c9p-17, -0x1.15e69cae74ee7p-17, -0x1.13f0c99a09ebep-17, -0x1.11e8c817918c7p-17, -0x1.0fcf1e3f7e96cp-17, -0x1.0da45121c8c6p-17, -0x1.0b68e4bf5455cp-17, -0x1.091d5c02b0cbbp-17, -0x1.06c238b83837fp-17, -0x1.0457fb89e5305p-17, -0x1.01df23f69649dp-17, -0x1.feb0609a4e92cp-18, -0x1.f9873b4ab08f1p-18, -0x1.f443cfb720236p-18, -0x1.eee71315fe695p-18, -0x1.e971f80f76333p-18, -0x1.e3e56eb4106cap-18, -0x1.de4264730f1f8p-18, -0x1.d889c410c3dbbp-18, -0x1.d2bc759edd15dp-18, -0x1.ccdb5e72a40f6p-18, -0x1.c6e7611f877f9p-18, -0x1.c0e15d6d1d3e2p-18, -0x1.baca3050a7c8fp-18, -0x1.b4a2b3e6d3b48p-18, -0x1.ae6bbf6cf56cbp-18, -0x1.a826273de477bp-18, -0x1.a1d2bcc98bbfep-18, -0x1.9b724e925e2d7p-18, -0x1.9505a82762332p-18, -0x1.8e8d9220206dcp-18, -0x1.880ad218db2ffp-18, -0x1.817e2ab207e7dp-18, -0x1.7ae85b89cb6b6p-18, -0x1.744a213cafd8p-18, -0x1.6da4356072f77p-18, -0x1.66f74e83fcbc8p-18, -0x1.6044202d2cecep-18, -0x1.598b5ad97d673p-18, -0x1.52cdabfcc88abp-18, -0x1.4c0bbe0070776p-18, -0x1.45463844340edp-18, -0x1.3e7dbf1dfdf41p-18, -0x1.37b2f3d8a9ccbp-18, -0x1.30e674b86d899p-18, -0x1.2a18dcfb429bcp-18, -0x1.234ac4d9edaf1p-18, -0x1.1c7cc18a1b18fp-18, -0x1.15af653fde311p-18, -0x1.0ee33f304ee07p-18, -0x1.0818db94754cep-18, -0x1.0150c3ad6ba73p-18, -0x1.f516fb8f527c3p-19, -0x1.e7931a79c1557p-19, -0x1.da16e4f326d76p-19, -0x1.cca355ff433c8p-19, -0x1.bf3962d360e67p-19, -0x1.b1d9fae11f576p-19, -0x1.a48607e5252e1p-19, -0x1.973e6de9f14c8p-19, -0x1.8a040b53d06dap-19, -0x1.7cd7b8ebdd27ap-19, -0x1.6fba49e8943dp-19, -0x1.62ac8bf95e654p-19, -0x1.55af475410c2ap-19, -0x1.48c33ec3d75bbp-19, -0x1.3be92fafb7141p-19, -0x1.2f21d228e5275p-19, -0x1.226dd8f8d84ecp-19, -0x1.15cdf1a9b01c2p-19, -0x1.0942c495a77e7p-19, -0x1.f999e9eb6896dp-20, -0x1.e0da41e60003ap-20, -0x1.c847c359616dap-20, -0x1.afe396979551p-20, -0x1.97aeda1c38271p-20, -0x1.7faaa2a8dc1c5p-20, -0x1.67d7fb64d5d7ep-20, -0x1.5037e5f8eb7dap-20, -0x1.38cb5abb18c58p-20, -0x1.219348b9e2949p-20, -0x1.0a9095e335296p-20, -0x1.e7883e43d9b56p-21, -0x1.ba5d70eeeef69p-21, -0x1.8da25a3d3d1cbp-21, -0x1.61587f53fe821p-21, -0x1.3581545abcdc5p-21, -0x1.0a1e3c9b15b6fp-21, -0x1.be61159de8ee7p-22, -0x1.697302c034c95p-22, -0x1.1574a5365aaap-22, -0x1.84d083e17306fp-23, -0x1.c13ffa9bb710fp-24, -0x1.f2de28b9e874ap-26, 0x1.87e14b044fb56p-25, 0x1.0058b3a572bc8p-23, 0x1.9cc2015015ad1p-23, 0x1.1b988c7982a8cp-22, 0x1.67d1881170aa2p-22, 0x1.b30a99fb60808p-22, 0x1.fd4283e00cdb4p-22, 0x1.233c110989d79p-21, 0x1.4755359f37a13p-21, 0x1.6aec37da07c2cp-21, 0x1.8e00ac86b2a16p-21, 0x1.b09234d83b23fp-21, 0x1.d2a07e282142ap-21, 0x1.f42b41ba6c42ap-21, 0x1.0a992234ef441p-20, 0x1.1adaab43ab07p-20, 0x1.2ada29c8cdc37p-20, 0x1.3a9790ff857ddp-20, 0x1.4a12d981058bfp-20, 0x1.594c0124e11e5p-20, 0x1.68430ae72842p-20, 0x1.76f7fec43f11ep-20, 0x1.856ae99bb5b36p-20, 0x1.939bdd1ee7369p-20, 0x1.a18aefa9c4407p-20, 0x1.af383c28f5d0bp-20, 0x1.bca3e202835b9p-20, 0x1.c9ce04f5d3484p-20, 0x1.d6b6cd0474c85p-20, 0x1.e35e664bdeedcp-20, 0x1.efc500f1e623dp-20, 0x1.fbead10d0982fp-20, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.0fb9c54acdf09p-7, 0x1.100eb9952d8f2p-6, 0x1.98e710fa2e8f2p-6, 0x1.1158b42b4c2d6p-5, 0x1.56d8aa3d9c8c2p-5, 0x1.9d10a1d41a45cp-5, 0x1.e418e20e2f019p-5, 0x1.16024c8b091e3p-4, 0x1.3a70edcf07a88p-4, 0x1.5f5ce1ad9348cp-4, 0x1.84c8525390b38p-4, 0x1.aab32a6cdec92p-4, 0x1.d11b3e0d3f0b4p-4, 0x1.f7fc773880a63p-4, 0x1.0fa8822d4e9d8p-3, 0x1.2388c3ae7496bp-3, 0x1.379aa228f9412p-3, 0x1.4bd92778c06e1p-3, 0x1.603edb291ae5bp-3, 0x1.74c5d73c59865p-3, 0x1.8967dbbb4898cp-3, 0x1.9e1e60f75e66cp-3, 0x1.b2e2a87533dc7p-3, 0x1.c7adcc7d3cb7ep-3, 0x1.dc78ce5727d05p-3, 0x1.f13ca33915c69p-3, 0x1.02f91ffba3575p-2, 0x1.0d4951c1a6927p-2, 0x1.178b7025b5d1dp-2, 0x1.21bc1245c840fp-2, 0x1.2bd7e0d0f0169p-2, 0x1.35db993c49088p-2, 0x1.3fc4108b5c54ap-2, 0x1.498e35b47068ep-2, 0x1.533713a8e8659p-2, 0x1.5cbbd3096f7a8p-2, 0x1.6619bb8d3b882p-2, 0x1.6f4e352349509p-2, 0x1.7856c8d3ed7fcp-2, 0x1.81312168bba83p-2, 0x1.89db0be0484cap-2, 0x1.925277b2e02e9p-2, 0x1.9a9576ecf32e7p-2, 0x1.a2a23e238a914p-2, 0x1.aa772446cb6a7p-2, 0x1.b212a25635dc5p-2, 0x1.b97352f9ffa5fp-2, 0x1.c097f204a212ap-2, 0x1.c77f5bdf77231p-2, 0x1.ce288ce4fbd66p-2, 0x1.d492a0ab16821p-2, 0x1.dabcd13f99e3ap-2, 0x1.e0a67658f575dp-2, 0x1.e64f047cf26cap-2, 0x1.ebb60c1f1dd6ap-2, 0x1.f0db38b86bb73p-2, 0x1.f5be4fd97605p-2, 0x1.fa5f303895174p-2, 0x1.febdd0bd040c9p-2, 0x1.016d1fc409ab2p-1, 0x1.035a507eb1d38p-1, 0x1.0526976581b55p-1, 0x1.06d21b791d6bcp-1, 0x1.085d0d68dad2cp-1, 0x1.09c7a718da4ecp-1, 0x1.0b122b2969374p-1, 0x1.0c3ce47ff2efcp-1, 0x1.0d4825d1b738ap-1, 0x1.0e3449307c79fp-1, 0x1.0f01af996a01fp-1, 0x1.0fb0c086323e8p-1, 0x1.1041e980b0c84p-1, 0x1.10b59db917bcbp-1, 0x1.110c559ec7744p-1, 0x1.11468e7be5773p-1, 0x1.1164ca13c2bfcp-1, 0x1.11678e441f5bdp-1, 0x1.114f64a957872p-1, 0x1.111cda457e323p-1, 0x1.10d07f2a6c70ep-1, 0x1.106ae626c7932p-1, 0x1.0feca475fb431p-1, 0x1.0f56517328fbcp-1, 0x1.0ea8864f063e9p-1, 0x1.0de3ddc8a27ecp-1, 0x1.0d08f3e9128f3p-1, 0x1.0c1865c1f0a49p-1, 0x1.0b12d12eaf29p-1, 0x1.09f8d498ad3a5p-1, 0x1.08cb0ebe0325fp-1, 0x1.078a1e7af9e96p-1, 0x1.0636a2961e89fp-1, 0x1.04d1398ee59d8p-1, 0x1.035a816ecd333p-1, 0x1.01d3179ceed1p-1, 0x1.003b98b3f304p-1, 0x1.fd2940b4a8f25p-2, 0x1.f9bd9239c9fbfp-2, 0x1.f6355897021c7p-2, 0x1.f291c3afc6666p-2, 0x1.eed4006d10f18p-2, 0x1.eafd388321471p-2, 0x1.e70e923b1fa4dp-2, 0x1.e309304076aacp-2, 0x1.deee3171cde75p-2, 0x1.dabeb0b57ccaep-2, 0x1.d67bc4d15a4e2p-2, 0x1.d2268045caf27p-2, 0x1.cdbff12beace2p-2, 0x1.c9492116ba925p-2, 0x1.c4c314f72a9aap-2, 0x1.c02ecd02eee84p-2, 0x1.bb8d449df94b5p-2, 0x1.b6df7246826aap-2, 0x1.b226478380ad8p-2, 0x1.ad62b0d57a1ebp-2, 0x1.a89595a990bc9p-2, 0x1.a3bfd84eb0952p-2, 0x1.9ee255eccd35bp-2, 0x1.99fde67e0c202p-2, 0x1.95135cc9cff47p-2, 0x1.9023866182e2dp-2, 0x1.8b2f2b9f16481p-2, 0x1.86370fa51363bp-2, 0x1.813bf06037714p-2, 0x1.7c3e868a7cca6p-2, 0x1.773f85af805ccp-2, 0x1.723f9c32339dfp-2, 0x1.6d3f7353c3ae1p-2, 0x1.683faf3ba7258p-2, 0x1.6340ef00c2b8ep-2, 0x1.5e43ccb38f96bp-2, 0x1.5948dd69379fp-2, 0x1.5450b147972e9p-2, 0x1.4f5bd3921519cp-2, 0x1.4a6acab742c3ep-2, 0x1.457e185f34eep-2, 0x1.4096397a8ce29p-2, 0x1.3bb3a6521ea3ep-2, 0x1.36d6d2972d131p-2, 0x1.32002d742cac7p-2, 0x1.2d30219e055ddp-2, 0x1.28671565c3a21p-2, 0x1.23a56acab32abp-2, 0x1.1eeb7f8cd422ap-2, 0x1.1a39ad3fa785cp-2, 0x1.1590495d43998p-2, 0x1.10efa559a97cap-2, 0x1.0c580eb654c4ap-2, 0x1.07c9cf15fd3eep-2, 0x1.03452c507e139p-2, 0x1.fd94d10dc495fp-3, 0x1.f4b3846f13e6ep-3, 0x1.ebe6e8a4c543ep-3, 0x1.e32f6c9a5ead2p-3, 0x1.da8d786faa705p-3, 0x1.d2016da156c6fp-3, 0x1.c98ba73188443p-3, 0x1.c12c79d062949p-3, 0x1.b8e434046705fp-3, 0x1.b0b31e52b445ap-3, 0x1.a8997b671a23cp-3, 0x1.a097883bea7ccp-3, 0x1.98ad7c4190f6ap-3, 0x1.90db8985e29ccp-3, 0x1.8921dcdb1bae6p-3, 0x1.81809dfe8abe7p-3, 0x1.79f7efbeda2f9p-3, 0x1.7287f021fff8dp-3, 0x1.6b30b88abdb39p-3, 0x1.63f25dddbaa13p-3, 0x1.5cccf0a627d23p-3, 0x1.55c07d39ebcc2p-3, 0x1.4ecd0bdd611cap-3, 0x1.47f2a0e682e94p-3, 0x1.41313cdfac6c3p-3, 0x1.3a88dca9c58cdp-3, 0x1.33f9799ded48cp-3, 0x1.2d8309ae9bc6bp-3, 0x1.27257f8836caep-3, 0x1.20e0cab11427dp-3, 0x1.1ab4d7a8f0537p-3, 0x1.14a19007d3d95p-3, 0x1.0ea6da9c5fbfdp-3, 0x1.08c49b898a8d2p-3, 0x1.02fab463c51f5p-3, 0x1.fa92089b1b03p-4, 0x1.ef5ed026c6d8p-4, 0x1.e45b748e5c8afp-4, 0x1.d987a6b607dd5p-4, 0x1.cee31376c05aep-4, 0x1.c46d63d17640bp-4, 0x1.ba263d2125e9fp-4, 0x1.b00d414ba94d3p-4, 0x1.a6220ef171c24p-4, 0x1.9c64419c06e1dp-4, 0x1.92d371eb62113p-4, 0x1.896f35c2249e6p-4, 0x1.80372070a3d8cp-4, 0x1.772ac2ded3f2bp-4, 0x1.6e49abb512bacp-4, 0x1.65936783d257fp-4, 0x1.5d0780ea2952p-4, 0x1.54a580bb49a6ep-4, 0x1.4c6cee22e2453p-4, 0x1.445d4ec86deap-4, 0x1.3c7626f17399dp-4, 0x1.34b6f9a2bb59p-4, 0x1.2d1f48c0788b9p-4, 0x1.25ae952d748adp-4, 0x1.1e645ee934ddap-4, 0x1.1740252d24a4p-4, 0x1.10416688c7e4fp-4, 0x1.0967a0fcf7b1ap-4, 0x1.02b252162e255p-4, 0x1.f841ee0bcadd4p-5, 0x1.eb6619761c8ddp-5, 0x1.ded01ff3463e3p-5, 0x1.d27efae2b27aap-5, 0x1.c671a3a6eeb7bp-5, 0x1.baa713cfa87fap-5, 0x1.af1e454202a73p-5, 0x1.a3d6325f4f8e2p-5, 0x1.98cdd62a32e24p-5, 0x1.8e042c6a389dap-5, 0x1.837831cde62d2p-5, 0x1.7928e40b520fap-5, 0x1.6f1541ff4626fp-5, 0x1.653c4bcafa18dp-5, 0x1.5b9d02f06b07cp-5, 0x1.52366a6d57526p-5, 0x1.490786d4ef972p-5, 0x1.400f5e6838c3ap-5, 0x1.374cf92d30c6dp-5, 0x1.2ebf6104bd49dp-5, 0x1.2665a1bf66e61p-5, 0x1.1e3ec930ee36cp-5, 0x1.1649e742c3928p-5, 0x1.0e860e0562d46p-5, 0x1.06f251c0a472bp-5, 0x1.ff1b92060441bp-6, 0x1.f0af195fb6992p-6, 0x1.e29d70198c42dp-6, 0x1.d4e4d19bd1b38p-6, 0x1.c7837e42d6645p-6, 0x1.ba77bb740ca92p-6, 0x1.adbfd3b171051p-6, 0x1.a15a16ab465b9p-6, 0x1.9544d95037e13p-6, 0x1.897e75dbef941p-6, 0x1.7e054be428445p-6, 0x1.72d7c064488c1p-6, 0x1.67f43dc7aa99dp-6, 0x1.5d5933f26c364p-6, 0x1.530518490d633p-6, 0x1.48f665b6b794ap-6, 0x1.3f2b9cb26249ep-6, 0x1.35a34342bafe7p-6, 0x1.2c5be50101b3dp-6, 0x1.2354131ac00b2p-6, 0x1.1a8a64528a14fp-6, 0x1.11fd74ffb0e93p-6, 0x1.09abe70d09831p-6, 0x1.019461f6ceea5p-6, 0x1.f36b258f3f533p-7, 0x1.e41c5829423fdp-7, 0x1.d539cbf1cde03p-7, 0x1.c6c0fc200a70ep-7, 0x1.b8af6edfe9f54p-7, 0x1.ab02b5448b8ecp-7, 0x1.9db86b394605p-7, 0x1.90ce37717b46ep-7, 0x1.8441cb573ebd9p-7, 0x1.7810e2f8ca393p-7, 0x1.6c3944f4f85a6p-7, 0x1.60b8c266af5bep-7, 0x1.558d36cf5f6c3p-7, 0x1.4ab4880095ffp-7, 0x1.402ca604c2fp-7, 0x1.35f38b07269aap-7, 0x1.2c073b3b0d343p-7, 0x1.2265c4c258f65p-7, 0x1.190d3f9364634p-7, 0x1.0ffbcd5e41901p-7, 0x1.072f997180f71p-7, 0x1.fd4db13cce179p-8, 0x1.ecbf923950b5p-8, 0x1.dcb164db8526ep-8, 0x1.cd1fca7fc18c1p-8, 0x1.be0776a0ed224p-8, 0x1.af652e9cfe011p-8, 0x1.a135c978ef28ep-8, 0x1.93762fa421639p-8, 0x1.86235abb772eep-8, 0x1.793a554bd2768p-8, 0x1.6cb83a948afcap-8, 0x1.609a36496f629p-8, 0x1.54dd845494a73p-8, 0x1.497f70981040bp-8, 0x1.3e7d56af8de7cp-8, 0x1.33d4a1b1ed8b5p-8, 0x1.2982cbf2c6cfbp-8, 0x1.1f855ec3f8a7ep-8, 0x1.15d9f23753645p-8, 0x1.0c7e2ce06bda1p-8, 0x1.036fc3967f6d8p-8, 0x1.f558f26d7f63cp-9, 0x1.e4643ccd1ecd2p-9, 0x1.d3fd22ac6886dp-9, 0x1.c41f7b079396p-9, 0x1.b4c736fd0ffb7p-9, 0x1.a5f06154f818cp-9, 0x1.97971e08f21c4p-9, 0x1.89b7a9cd2304dp-9, 0x1.7c4e5999de3cbp-9, 0x1.6f579a3655e85p-9, 0x1.62cfefc432049p-9, 0x1.56b3f54c7dcb7p-9, 0x1.4b005c4d051eep-9, 0x1.3fb1ec47191dbp-9, 0x1.34c5824f8f68cp-9, 0x1.2a38109f8f722p-9, 0x1.20069e270e74bp-9, 0x1.162e462010737p-9, 0x1.0cac37a31817dp-9, 0x1.037db53d2f425p-9, 0x1.f540290dbedafp-10, 0x1.e4217b7921527p-10, 0x1.d39a56b0fbd3ap-10, 0x1.c3a5d35b2caddp-10, 0x1.b43f2d07521cep-10, 0x1.a561c16aa0e5dp-10, 0x1.97090f9dbb3cap-10, 0x1.8930b75d583dp-10, 0x1.7bd4784e671a2p-10, 0x1.6ef031443b989p-10, 0x1.627fdf890e228p-10, 0x1.567f9e2a99b31p-10, 0x1.4aeba548268d2p-10, 0x1.3fc049643db0cp-10, 0x1.34f9fab8eb977p-10, 0x1.2a95448f11706p-10, 0x1.208ecc9794de8p-10, 0x1.16e3524835153p-10, 0x1.0d8fae3ad4367p-10, 0x1.0490d18f848a5p-10, 0x1.f7c78aa2d6448p-11, 0x1.e70b53bd96357p-11, 0x1.d6e76ca5560f3p-11, 0x1.c7566fe435cfep-11, 0x1.b8532337e16f6p-11, 0x1.a9d8767638185p-11, 0x1.9be1827768d8fp-11, 0x1.8e6988059c361p-11, 0x1.816beed2212c7p-11, 0x1.74e4446e016a2p-11, 0x1.68ce3b4982261p-11, 0x1.5d25a9b86ff91p-11, 0x1.51e688fb13449p-11, 0x1.470cf44c061fp-11, 0x1.3c9527f4485afp-11, 0x1.327b8062ea102p-11, 0x1.28bc7948ecc18p-11, 0x1.1f54acbbd9828p-11, 0x1.1640d25bd3b9p-11, 0x1.0d7dbe7e97c1dp-11, 0x1.0508615f1cf44p-11, 0x1.f9bb8ca4b9008p-12, 0x1.e9f625ff8dcdep-12, 0x1.dabb0d3bbd722p-12, 0x1.cc04f26879bbep-12, 0x1.bdceb5c2d292p-12, 0x1.b013664945625p-12, 0x1.a2ce40590aa73p-12, 0x1.95faac5375ae2p-12, 0x1.89943d4ab6fa9p-12, 0x1.7d96afb5de97fp-12, 0x1.71fde82db660cp-12, 0x1.66c5f2335c2b9p-12, 0x1.5beafefa4dc53p-12, 0x1.5169643cdb72cp-12, 0x1.473d9b18c41fp-12, 0x1.3d643ef0958e1p-12, 0x1.33da0c5526ecfp-12, 0x1.2a9bdff56104ap-12, 0x1.21a6b5971abc5p-12, 0x1.18f7a714ac1edp-12, 0x1.108beb61424f1p-12, 0x1.0860d595604ecp-12, 0x1.0073d3fffdf77p-12, 0x1.f184de7e67c97p-13, 0x1.e29492ba90a32p-13, 0x1.d41239e93aa0dp-13, 0x1.c5f978b6e0d44p-13, 0x1.b84621a4ea57ap-13, 0x1.aaf433748ab58p-13, 0x1.9dffd7a006426p-13, 0x1.916560d95fc53p-13, 0x1.85214997fa2eap-13, 0x1.793032abc325ep-13, 0x1.6d8ee1dfe8103p-13, 0x1.623a40a629dbep-13, 0x1.572f5ac904312p-13, 0x1.4c6b5d2af36b2p-13, 0x1.41eb948eb7e8ap-13, 0x1.37ad6c667ec59p-13, 0x1.2dae6daf0cbcbp-13, 0x1.23ec3dcdc3857p-13, 0x1.1a649d7f51e75p-13, 0x1.111567caa946cp-13, 0x1.07fc90f9fb077p-13, 0x1.fe304b3f5a8fep-14, 0x1.eccc9344c41f2p-14, 0x1.dbca6e9b2bd9ep-14, 0x1.cb267cdee429cp-14, 0x1.badd86e910c12p-14, 0x1.aaec7d26fb834p-14, 0x1.9b5075fb8307ap-14, 0x1.8c06ac2704c7fp-14, 0x1.7d0c7d403a40ep-14, 0x1.6e5f684002af3p-14, 0x1.5ffd0c0d903ep-14, 0x1.51e32622559abp-14, 0x1.440f91334f275p-14, 0x1.368043e1ced98p-14, 0x1.29334f82cedf2p-14, 0x1.1c26deeb7952fp-14, 0x1.0f59354478b66p-14, 0x1.02c8aced3d2f1p-14, 0x1.ece76cd337ba9p-15, 0x1.d4b1aea7d5972p-15, 0x1.bced52bb38081p-15, 0x1.a597b2ae1c714p-15, 0x1.8eae4c79b0c32p-15, 0x1.782ec0affd74dp-15, 0x1.6216d0b979836p-15, 0x1.4c645d29632e2p-15, 0x1.3715642856545p-15, 0x1.2227ffe5b5241p-15, 0x1.0d9a651f9678fp-15, 0x1.f2d5c36554c25p-16, 0x1.cb2fb6735ed72p-16, 0x1.a43f9b79e7348p-16, 0x1.7e0294ea5760bp-16, 0x1.5875ed1cece99p-16, 0x1.339714010866dp-16, 0x1.0f639ce6d6b75p-16, 0x1.d7b278abcb5fap-17, 0x1.91eb8c10da316p-17, 0x1.4d6e55ec54848p-17, 0x1.0a36eec9d1b5dp-17, 0x1.9083449fbda5fp-18, 0x1.0f15d7abaabd6p-18, 0x1.203dcc85c14cp-19, 0x1.39812600782fap-22, -0x1.9a12d5791b8b2p-20, -0x1.bc7a76ebeed17p-19, -0x1.539709174ed6dp-18, -0x1.c6976ae54dc1fp-18, -0x1.1ba1bb261473bp-17, -0x1.52d00708d1edbp-17, -0x1.88d8f36564f46p-17, -0x1.bdbec57231d0cp-17, -0x1.f183af6c414e9p-17, -0x1.1214e93cd3f63p-16, -0x1.2ad9a02f378c3p-16, -0x1.4310fea50c21bp-16, -0x1.5abc00bac5aa9p-16, -0x1.71db9d3fa5d79p-16, -0x1.8870c6827b802p-16, -0x1.9e7c6af644669p-16, -0x1.b3ff75d80a992p-16, -0x1.c8facfb80d63dp-16, -0x1.dd6f5f19c8f04p-16, -0x1.f15e08f404dfdp-16, -0x1.0263d89230b09p-15, -0x1.0bd69d76c5772p-15, -0x1.1507c4b297142p-15, -0x1.1df7bfe780b6dp-15, -0x1.26a700ff65748p-15, -0x1.2f15fa58e0de1p-15, -0x1.37451eee072b4p-15, -0x1.3f34e27524c53p-15, -0x1.46e5b98501d06p-15, -0x1.4e5819b439118p-15, -0x1.558c79b226cap-15, -0x1.5c83515ea1bb4p-15, -0x1.633d19e2f023cp-15, -0x1.69ba4dc529a15p-15, -0x1.6ffb68f570195p-15, -0x1.7600e8e2790aep-15, -0x1.7bcb4c834eb71p-15, -0x1.815b146397a3ap-15, -0x1.86b0c2a844347p-15, -0x1.8bccdb1b75fbep-15, -0x1.90afe33053b6cp-15, -0x1.955a62070884p-15, -0x1.99cce06c9f24fp-15, -0x1.9e07e8de1cc8bp-15, -0x1.a20c078798a98p-15, -0x1.a5d9ca403f5adp-15, -0x1.a971c08a05aeep-15, -0x1.acd47b8bc0f25p-15, -0x1.b0028e0c1d177p-15, -0x1.b2fc8c68b1ed2p-15, -0x1.b5c30c9143828p-15, -0x1.b856a5fecb1e2p-15, -0x1.bab7f1ab44907p-15, -0x1.bce78a05f6ce1p-15, -0x1.bee60ae8a6ba1p-15, -0x1.c0b4118f15353p-15, -0x1.c2523c87fc48dp-15, -0x1.c3c12baa595c6p-15, -0x1.c5018008bd368p-15, -0x1.c613dbe315146p-15, -0x1.c6f8e299de344p-15, -0x1.c7b1389dab38ep-15, -0x1.c83d83630c34fp-15, -0x1.c89e695294ae3p-15, -0x1.c8d491bc5116ap-15, -0x1.c8e0a4c3897f2p-15, -0x1.c8c34b54490d2p-15, -0x1.c87d2f113304cp-15, -0x1.c80efa446493p-15, -0x1.c77957cf2ecaap-15, -0x1.c6bcf31aea60bp-15, -0x1.c5da780977764p-15, -0x1.c4d292e460a02p-15, -0x1.c3a5f04c93cf5p-15, -0x1.c2553d2b11aa2p-15, -0x1.c0e126a1c767ep-15, -0x1.bf4a59fbc8b5dp-15, -0x1.bd91849afe34dp-15, -0x1.bbb753ecad208p-15, -0x1.b9bc755740d2ep-15, -0x1.b7a1962bdc034p-15, -0x1.b567639682d0ap-15, -0x1.b30e8a8fc7629p-15, -0x1.b097b7cec28f9p-15, -0x1.ae0397b956c33p-15, -0x1.ab52d6563b60bp-15, -0x1.a8861f3e1ce0ap-15, -0x1.a59e1d8ec4d41p-15, -0x1.a29b7bdd92ce1p-15, -0x1.9f7ee42815099p-15, -0x1.9c48ffc937993p-15, -0x1.98fa776baba96p-15, -0x1.9593f2fbd61p-15, -0x1.9216199d50a1cp-15, -0x1.8e81919cafaedp-15, -0x1.8ad700665889dp-15, -0x1.87170a78c06f4p-15, -0x1.8342535ae6744p-15, -0x1.7f597d8f7f8p-15, -0x1.7b5d2a8b4c8f1p-15, -0x1.774dfaaaea938p-15, -0x1.732c8d28ef6f1p-15, -0x1.6ef98012beb42p-15, -0x1.6ab570411c68cp-15, -0x1.6660f94d9d6c7p-15, -0x1.61fcb589aea27p-15, -0x1.5d893df6dcc3ap-15, -0x1.59072a3dce905p-15, -0x1.547710a776199p-15, -0x1.4fd986142090dp-15, -0x1.4b2f1df54ebep-15, -0x1.46786a455886fp-15, -0x1.41b5fb810fb65p-15, -0x1.3ce860a243f11p-15, -0x1.38102718de058p-15, -0x1.332ddac4836afp-15, -0x1.2e4205f035c2dp-15, -0x1.294d314c01275p-15, -0x1.244fe3e797e7fp-15, -0x1.1f4aa32eb71e7p-15, -0x1.1a3df2e434a1bp-15, -0x1.152a551e4e58ap-15, -0x1.10104a417dcf7p-15, -0x1.0af050fe526a7p-15, -0x1.05cae64c7efdp-15, -0x1.00a085685bb77p-15, -0x1.f6e34fa03bb99p-16, -0x1.ec7d8a840eb3bp-16, -0x1.e210a77072de8p-16, -0x1.d79d8ecf8a346p-16, -0x1.cd25257d9aacfp-16, -0x1.c2a84cc328a18p-16, -0x1.b827e25343932p-16, -0x1.ada4c04a18d56p-16, -0x1.a31fbd2bd6354p-16, -0x1.9899abe045e02p-16, -0x1.8e135bb2870d2p-16, -0x1.838d985149cc5p-16, -0x1.790929cc02c5fp-16, -0x1.6e86d49485f4cp-16, -0x1.6407597fb7e9p-16, -0x1.598b75c7432c6p-16, -0x1.4f13e306c35b9p-16, -0x1.44a1574201f23p-16, -0x1.3a3484e3cb40dp-16, -0x1.2fce1abf7fc93p-16, -0x1.256ec4146f2bap-16, -0x1.1b17289124aadp-16, -0x1.10c7ec58b292ep-16, -0x1.0681b001fb32ep-16, -0x1.f88a21395b71ep-17, -0x1.e4254f6cc6f7ap-17, -0x1.cfd616b96ebbep-17, -0x1.bb9d9c46b47e9p-17, -0x1.a77cfe5028bcbp-17, -0x1.937554354544ep-17, -0x1.7f87ae7922464p-17, -0x1.6bb516d63ff6fp-17, -0x1.57fe904859631p-17, -0x1.44651713c7f02p-17, -0x1.30e9a0d378b2dp-17, -0x1.1d8d1c865a287p-17, -0x1.0a5072a127b1fp-17, -0x1.ee690a2bb74a7p-18, -0x1.c8745ec4bc84p-18, -0x1.a2c48d3cfe6b9p-18, -0x1.7d5b331546896p-18, -0x1.5839e13d2d64p-18, -0x1.33621c2e519b5p-18, -0x1.0ed55c12498f5p-18, -0x1.d52a19c135d4ap-19, -0x1.8d451cdc47468p-19, -0x1.45fe694c2bd05p-19, -0x1.feb11e6870c0fp-20, -0x1.72ac0e946a781p-20, -0x1.cfe4cc49143f8p-21, -0x1.7a22e99e6572p-22, 0x1.4c6463d3e8cefp-23, 0x1.60926648125d8p-21, 0x1.35a92a5813c7ep-20, 0x1.b9a88e8f64639p-20, 0x1.1e21d3a709d4fp-19, 0x1.5ebb73502cd5cp-19, 0x1.9e9f74499ced9p-19, 0x1.ddcc394992f05p-19, 0x1.0e201cb49792ap-18, 0x1.2cfcfffd893c4p-18, 0x1.4b7c16100d19p-18, 0x1.699cb844c8eb8p-18, 0x1.875e499c4351bp-18, 0x1.a4c0369a932f3p-18, 0x1.c1c1f5222c8cp-18, 0x1.de630442f5421p-18, 0x1.faa2ec23d5b5bp-18, 0x1.0b409eec6e373p-17, }}, 
      {{0x1.f5549fa002ffdp-1, 0x1.f4dedc4c11f8ep-1, 0x1.f41db80267ab9p-1, 0x1.f3153c398b42p-1, 0x1.f1ca4ae384efep-1, 0x1.f0424c4754542p-1, 0x1.ee82eebda8b1dp-1, 0x1.ec91f5063cacdp-1, 0x1.ea75107ba98cp-1, 0x1.e831c4e41c8f4p-1, 0x1.e5cd5401d77fep-1, 0x1.e34caf5a1bfd5p-1, 0x1.e0b46eeeccdfbp-1, 0x1.de08cbe0fcd43p-1, 0x1.db4d9e22c07e2p-1, 0x1.d8865c86814d5p-1, 0x1.d5b61e9b22e3cp-1, 0x1.d2df9fdfa890dp-1, 0x1.d00543efaa2a2p-1, 0x1.cd291b5c850d2p-1, 0x1.ca4ce8f69bd3bp-1, 0x1.c7722756879p-1, 0x1.c49a0e808511cp-1, 0x1.c1c59984ca4d2p-1, 0x1.bef58c066255cp-1, 0x1.bc2a7797bdcc1p-1, 0x1.b964c0e0ae7afp-1, 0x1.b6a4a4852a95ep-1, 0x1.b3ea3bc71bf76p-1, 0x1.b13580dfd09a3p-1, 0x1.ae86530f79385p-1, 0x1.abdc7a628cf0bp-1, 0x1.a937ab2dff724p-1, 0x1.a697894417076p-1, 0x1.a3fbaae43db2bp-1, 0x1.a1639b68ab65dp-1, 0x1.9eceddb50720dp-1, 0x1.9c3cee69569d7p-1, 0x1.99ad45dcaa281p-1, 0x1.971f59e2fd7eap-1, 0x1.94929f61c1b73p-1, 0x1.92068bb67146bp-1, 0x1.8f7a95f27de17p-1, 0x1.8cee37efc28bcp-1, 0x1.8a60ef408cab3p-1, 0x1.87d23dfe20807p-1, 0x1.8541ab787fc47p-1, 0x1.82aec4ca0d96cp-1, 0x1.80191d5186a49p-1, 0x1.7d804f149d48fp-1, 0x1.7ae3fb0d619c1p-1, 0x1.7843c9647ed3ap-1, 0x1.759f699a2c776p-1, 0x1.72f6929f95c54p-1, 0x1.704902e256724p-1, 0x1.6d96804b8eb63p-1, 0x1.6aded833f26eap-1, 0x1.6821df4e1cc41p-1, 0x1.655f718856055p-1, 0x1.629771e6e21ebp-1, 0x1.5fc9ca57d99f7p-1, 0x1.5cf66b8173fa4p-1, 0x1.5a1d4c8b9c7cfp-1, 0x1.573e6ae593128p-1, 0x1.5459ca084c076p-1, 0x1.516f73363233cp-1, 0x1.4e7f7538db5c7p-1, 0x1.4b89e41d36785p-1, 0x1.488ed8eeab42ap-1, 0x1.458e7171966a8p-1, 0x1.4288cfdd8401bp-1, 0x1.3f7e1a977fe9p-1, 0x1.3c6e7becc6c6bp-1, 0x1.395a21ce1f35ap-1, 0x1.36413d8c15ad9p-1, 0x1.33240394528d4p-1, 0x1.3002ab30340f2p-1, 0x1.2cdd6e44db705p-1, 0x1.29b48914c8fe7p-1, 0x1.26883a0328412p-1, 0x1.2358c158e46fcp-1, 0x1.2026610b9773bp-1, 0x1.1cf15c8665f01p-1, 0x1.19b9f874d42eap-1, 0x1.16807a8f9d2e6p-1, 0x1.1345296b918bap-1, 0x1.10084c4a84a23p-1, 0x1.0cca2aee4707ap-1, 0x1.098b0d6dadeeap-1, 0x1.064b3c0ba5e77p-1, 0x1.030aff104cd1dp-1, 0x1.ff953d481708ep-2, 0x1.f914c55952e7cp-2, 0x1.f2952558a54b5p-2, 0x1.ec16eb450900dp-2, 0x1.e59aa3ddb1cbcp-2, 0x1.df20da6b4af16p-2, 0x1.d8aa188cc1868p-2, 0x1.d236e60785625p-2, 0x1.cbc7c89b2d5dp-2, 0x1.c55d43d856d3bp-2, 0x1.bef7d8fab5e47p-2, 0x1.b89806c6308f1p-2, 0x1.b23e4966f1607p-2, 0x1.abeb1a544e7a1p-2, 0x1.a59ef03672ecfp-2, 0x1.9f5a3ecea6575p-2, 0x1.991d76e2212e8p-2, 0x1.92e906274a84ap-2, 0x1.8cbd5735494d6p-2, 0x1.869ad175cd6c7p-2, 0x1.8081d918fb00cp-2, 0x1.7a72cf0b567f8p-2, 0x1.746e10eda0783p-2, 0x1.6e73f90e854c7p-2, 0x1.6884de6609fdp-2, 0x1.62a114929e4b6p-2, 0x1.5cc8ebd7bdc3ap-2, 0x1.56fcb11e0a8fbp-2, 0x1.513cadf4cb382p-2, 0x1.4b892894b8d72p-2, 0x1.45e263e405ff9p-2, 0x1.40489f7b91969p-2, 0x1.3abc17ad29085p-2, 0x1.353d058acfbc7p-2, 0x1.2fcb9eeef9bf9p-2, 0x1.2a681685a173ap-2, 0x1.25129bd632fep-2, 0x1.1fcb5b4e3230bp-2, 0x1.1a927e4c96169p-2, 0x1.15682b2dc5072p-2, 0x1.104c85582561ap-2, 0x1.0b3fad49369f8p-2, 0x1.0641c0a3258b3p-2, 0x1.0152da3acd196p-2, 0x1.f8e6244c3a963p-3, 0x1.ef44fb95ab3e7p-3, 0x1.e5c25fdb2548fp-3, 0x1.dc5e718231591p-3, 0x1.d3194bebb9e74p-3, 0x1.c9f3059376666p-3, 0x1.c0ebb02fae5fap-3, 0x1.b80358d133178p-3, 0x1.af3a0803925f5p-3, 0x1.a68fc1ed60458p-3, 0x1.9e0486709c0a6p-3, 0x1.9598514b15154p-3, 0x1.8d4b1a36cd459p-3, 0x1.851cd50a47091p-3, 0x1.7d0d71d8b74c6p-3, 0x1.751cdd120e13cp-3, 0x1.6d4affa2d156ep-3, 0x1.6597bf13ba49dp-3, 0x1.5e02fda91350fp-3, 0x1.568c9a81c7ac5p-3, 0x1.4f3471b6285dep-3, 0x1.47fa5c764dab5p-3, 0x1.40de312829751p-3, 0x1.39dfc3852490ap-3, 0x1.32fee4b7626a6p-3, 0x1.2c3b637687bffp-3, 0x1.25950c241c33p-3, 0x1.1f0ba8e769adp-3, 0x1.189f01c8ec0d9p-3, 0x1.124edccd37a08p-3, 0x1.0c1afe0f6e1b9p-3, 0x1.060327db1ef5p-3, 0x1.00071ac5b47f6p-3, 0x1.f44d2b8e98bbep-4, 0x1.e8c2aca624612p-4, 0x1.dd6e30de0b2f7p-4, 0x1.d24f2d967dd72p-4, 0x1.c76515b14924ap-4, 0x1.bcaf59be23af5p-4, 0x1.b22d6825eada4p-4, 0x1.a7dead54bd8fap-4, 0x1.9dc293e308112p-4, 0x1.93d884bd6a2abp-4, 0x1.8a1fe74b90f06p-4, 0x1.80982195f2163p-4, 0x1.7740986a74d73p-4, 0x1.6e18af8005c92p-4, 0x1.651fc9991a021p-4, 0x1.5c5548a521bdcp-4, 0x1.53b88de0ed254p-4, 0x1.4b48f9f608daap-4, 0x1.4305ed191248dp-4, 0x1.3aeec72705d3bp-4, 0x1.3302e7c18e4bdp-4, 0x1.2b41ae6a54984p-4, 0x1.23aa7a9d57ad3p-4, 0x1.1c3cabea4b956p-4, 0x1.14f7a20d06963p-4, 0x1.0ddabd04fff48p-4, 0x1.06e55d2be519cp-4, 0x1.0016e34b44be9p-4, 0x1.f2dd6162b6095p-5, 0x1.e5d84e89fb3a1p-5, 0x1.d91d53315cfc4p-5, 0x1.ccab35f9b1027p-5, 0x1.c080bf2276b5cp-5, 0x1.b49cb8ab15414p-5, 0x1.a8fdee7288293p-5, 0x1.9da32e5585bp-5, 0x1.928b484b24514p-5, 0x1.87b50e8009df2p-5, 0x1.7d1f55703473ap-5, 0x1.72c8f3ff51f11p-5, 0x1.68b0c38fcaab6p-5, 0x1.5ed5a0187017dp-5, 0x1.55366838e7705p-5, 0x1.4bd1fd4ccee27p-5, 0x1.42a7437dafef6p-5, 0x1.39b521d3bea35p-5, 0x1.30fa8245746a8p-5, 0x1.287651c60955fp-5, 0x1.20278052dd656p-5, 0x1.180d00ffcd9f9p-5, 0x1.1025ca02895ffp-5, 0x1.0870d4bce7258p-5, 0x1.00ed1dc645348p-5, 0x1.f33349e7fa25p-6, 0x1.e4eadac1e556p-6, 0x1.d6fefae886a5fp-6, 0x1.c96dbdce4147dp-6, 0x1.bc353d93b6178p-6, 0x1.af539b104df52p-6, 0x1.a2c6fdd940653p-6, 0x1.968d9447204f2p-6, 0x1.8aa5937a1a7bep-6, 0x1.7f0d375cc1f02p-6, 0x1.73c2c2a5a26efp-6, 0x1.68c47ed796534p-6, 0x1.5e10bc40e128cp-6, 0x1.53a5d1f939f18p-6, 0x1.49821ddea3508p-6, 0x1.3fa4049151a2dp-6, 0x1.3609f16e871a8p-6, 0x1.2cb2568a73ed7p-6, 0x1.239baca93e7cep-6, 0x1.1ac473371da34p-6, 0x1.122b303fa2b84p-6, 0x1.09ce706446498p-6, 0x1.01acc6d22320fp-6, 0x1.f3899a6e0dff9p-7, 0x1.e42a476bac7dp-7, 0x1.d538e1b496eep-7, 0x1.c6b2c31831b5p-7, 0x1.b8955203063fep-7, 0x1.aade0162d6f93p-7, 0x1.9d8a5089b5e5cp-7, 0x1.9097cb1027c89p-7, 0x1.840408b67b349p-7, 0x1.77ccad4531c63p-7, 0x1.6bef686cb69ffp-7, 0x1.6069f5a45df1cp-7, 0x1.553a1c08ba358p-7, 0x1.4a5dae395ad4ap-7, 0x1.3fd28a35fd14cp-7, 0x1.3596993b3baep-7, 0x1.2ba7cf9ecb89ap-7, 0x1.22042cab48c1bp-7, 0x1.18a9ba7bb0083p-7, 0x1.0f968dd681137p-7, 0x1.06c8c60895541p-7, 0x1.fc7d197f5d7e8p-8, 0x1.ebec2bc9e6ebcp-8, 0x1.dbdb3eee2f04cp-8, 0x1.cc46e2c8debc6p-8, 0x1.bd2bbac9dea5dp-8, 0x1.ae867da82d779p-8, 0x1.a053f5159e109p-8, 0x1.9290fd727d01p-8, 0x1.853a85815aaa2p-8, 0x1.784d8e1ad996fp-8, 0x1.6bc729e1a9069p-8, 0x1.5fa47cf6af977p-8, 0x1.53e2bcad680dap-8, 0x1.487f2f408b80bp-8, 0x1.3d772b8706f8ap-8, 0x1.32c818a95d69cp-8, 0x1.286f6dd76c33dp-8, 0x1.1e6ab1fe8e358p-8, 0x1.14b77b8035a71p-8, 0x1.0b536fe91c8cfp-8, 0x1.023c43a90bc03p-8, 0x1.f2df7395ec421p-9, 0x1.e1d7475bc3a55p-9, 0x1.d15bc17c96b19p-9, 0x1.c168bc6090378p-9, 0x1.b1fa2d749fae7p-9, 0x1.a30c24a140004p-9, 0x1.949acbc2a8df6p-9, 0x1.86a26622af55bp-9, 0x1.791f4ff3b99aep-9, 0x1.6c0dfdcdc0b71p-9, 0x1.5f6afc2c6c2ebp-9, 0x1.5332eeeebd608p-9, 0x1.476290d881c06p-9, 0x1.3bf6b3153c8f4p-9, 0x1.30ec3cbcf7865p-9, 0x1.26402a5a6db96p-9, 0x1.1bef8d72d4cdcp-9, 0x1.11f78c0f8302fp-9, 0x1.08556049269d7p-9, 0x1.fe0cafa98f1dcp-10, 0x1.ec0fa72541beep-10, 0x1.daae8e3c54295p-10, 0x1.c9e470c0ab992p-10, 0x1.b9ac7e467da6cp-10, 0x1.aa02094f6d17bp-10, 0x1.9ae0867963b31p-10, 0x1.8c438baffebcbp-10, 0x1.7e26cf6206242p-10, 0x1.708627b9f6b4bp-10, 0x1.635d89da43a8p-10, 0x1.56a9091ccf411p-10, 0x1.4a64d6566e1b2p-10, 0x1.3e8d3f1c8266p-10, 0x1.331ead0ebdfcp-10, 0x1.2815a52453cbep-10, 0x1.1d6ec6fbe231p-10, 0x1.1326cc2fa94d2p-10, 0x1.093a87ac5528bp-10, 0x1.ff4dca1503c4bp-11, 0x1.ecd1cfd94a68fp-11, 0x1.dafb56be5a5cap-11, 0x1.c9c4c27857486p-11, 0x1.b928a3257d0cap-11, 0x1.a921b42150081p-11, 0x1.99aadaddc44fbp-11, 0x1.8abf25c44fbfap-11, 0x1.7c59cb1b367c5p-11, 0x1.6e7627f16eb9ep-11, 0x1.610fbf1187a61p-11, 0x1.542237f8f29ep-11, 0x1.47a95dd42d76fp-11, 0x1.3ba11e832107bp-11, 0x1.300589a0a3d0dp-11, 0x1.24d2cf90e5342p-11, 0x1.1a05409527dcbp-11, 0x1.0f994be518ccap-11, 0x1.058b7ecb9b992p-11, 0x1.f7b10795746dep-12, 0x1.e4fa4387c5284p-12, 0x1.d2ec764a234f9p-12, 0x1.c1819a370451ap-12, 0x1.b0b3dd972e2dap-12, 0x1.a07da1178e0d5p-12, 0x1.90d9764b3e0fcp-12, 0x1.81c21e36a8d7dp-12, 0x1.733287e2e7e39p-12, 0x1.6525cefa93defp-12, 0x1.57973a704759p-12, 0x1.4a823b2d86973p-12, 0x1.3de26ac749e98p-12, 0x1.31b38a3e1835ap-12, 0x1.25f180c5b85ccp-12, 0x1.1a985a93dbdb8p-12, 0x1.0fa447b7387p-12, 0x1.05119af810219p-12, 0x1.f5b9917be7819p-13, 0x1.e204cbf854d2ap-13, 0x1.cefe4e50d4c22p-13, 0x1.bc9fbe6d62d32p-13, 0x1.aae2fd38e6235p-13, 0x1.99c224b5fbe8dp-13, 0x1.893786225b064p-13, 0x1.793da824d17d7p-13, 0x1.69cf4506d372bp-13, 0x1.5ae748fecd385p-13, 0x1.4c80d08480019p-13, 0x1.3e9726b097e19p-13, 0x1.3125c3aa88022p-13, 0x1.24284b211ad94p-13, 0x1.179a8acd45c3ap-13, 0x1.0b7878fecf6fap-13, 0x1.ff7c666a3c88cp-14, 0x1.e8cff98b114cbp-14, 0x1.d2e47b0bd7374p-14, 0x1.bdb3010ae07bp-14, 0x1.a934e5a00fb7p-14, 0x1.9563c4706af9cp-14, 0x1.823978561f683p-14, 0x1.6fb0191930bp-14, 0x1.5dc1f94076d3cp-14, 0x1.4c69a3ee1c3d8p-14, 0x1.3ba1dacd02276p-14, 0x1.2b6594132e9a4p-14, 0x1.1baff890824bbp-14, 0x1.0c7c61cef63b3p-14, 0x1.fb8cb07ba09ffp-15, 0x1.df1322dcc927ep-15, 0x1.c383dcc8869b6p-15, 0x1.a8d6f3d79efe5p-15, 0x1.8f04ce025e12dp-15, 0x1.76061e92af14bp-15, 0x1.5dd3e3228c049p-15, 0x1.466760bb857c3p-15, 0x1.2fba2105e89f8p-15, 0x1.19c5ef9b7a372p-15, 0x1.0484d76edc9f2p-15, 0x1.dfe24084048a1p-16, 0x1.b80a98747935dp-16, 0x1.91782b186fe04p-16, 0x1.6c20d86537929p-16, 0x1.47fae78695739p-16, 0x1.24fd029160753p-16, 0x1.031e32845e763p-16, 0x1.c4abb6b6ee708p-17, 0x1.853770764b51ep-17, 0x1.47cfafa150ca8p-17, 0x1.0c6531aea84e2p-17, 0x1.a5d29a955ab53p-18, 0x1.369bd7f902e15p-18, 0x1.96160e893ff21p-19, 0x1.8c18841b8deeep-20, -0x1.8be0e9f8da25ep-26, -0x1.8b0c3b1d6d4b3p-20, -0x1.816d1b616475cp-19, -0x1.1b7ca1c8c2acbp-18, -0x1.732ab86bfbd9bp-18, -0x1.c7d57198fa457p-18, -0x1.0cc8549455e3ep-17, -0x1.3437bfeead931p-17, -0x1.5a4231d2766bfp-17, -0x1.7ef08bdbdf175p-17, -0x1.a24b5e48321a8p-17, -0x1.c45aebae513e9p-17, -0x1.e5272c844b838p-17, -0x1.025be954f3cap-16, -0x1.118a26551032cp-16, -0x1.2021e47126c96p-16, -0x1.2e269c502155bp-16, -0x1.3b9ba974a575cp-16, -0x1.48844ba81387bp-16, -0x1.54e3a850498ddp-16, -0x1.60bccbadf182fp-16, -0x1.6c12aa16123bcp-16, -0x1.76e82117ddd6dp-16, -0x1.813ff89c935c6p-16, -0x1.8b1ce3f482595p-16, -0x1.948182d9c29bep-16, -0x1.9d706260a81f1p-16, -0x1.a5ebfde85310cp-16, -0x1.adf6bff7980f5p-16, -0x1.b593030fdbf24p-16, -0x1.bcc3127a6bf7dp-16, -0x1.c3892b04b3143p-16, -0x1.c9e77bb9a8c4p-16, -0x1.cfe026948fc85p-16, -0x1.d5754120aff4p-16, -0x1.daa8d516ada54p-16, -0x1.df7ce0f089a76p-16, -0x1.e3f3587a8eef3p-16, -0x1.e80e2552f1849p-16, -0x1.ebcf276af3f9ap-16, -0x1.ef383583d34c1p-16, -0x1.f24b1d911cf02p-16, -0x1.f509a5337aa87p-16, -0x1.f7758a159640dp-16, -0x1.f990824da96f9p-16, -0x1.fb5c3cb28445ep-16, -0x1.fcda6134bd5bp-16, -0x1.fe0c912cde5a8p-16, -0x1.fef4679ffe9d3p-16, -0x1.ff93798d3a218p-16, -0x1.ffeb562e82f7ep-16, -0x1.fffd872e72acp-16, -0x1.ffcb90e9bdd28p-16, -0x1.ff56f2a0d258ap-16, -0x1.fea126ace09c2p-16, -0x1.fdaba2a83ef65p-16, -0x1.fc77d7a081d33p-16, -0x1.fb07323bc0d6dp-16, -0x1.f95b1ada62d1fp-16, -0x1.f774f5bde5da5p-16, -0x1.f5562328ec7d6p-16, -0x1.f2ffff7adcc38p-16, -0x1.f073e349a0bc5p-16, -0x1.edb3237cb1ca1p-16, -0x1.eabf116328815p-16, -0x1.e798fac6b49f1p-16, -0x1.e44229fff3eaap-16, -0x1.e0bbe607186a3p-16, -0x1.dd0772840f0d5p-16, -0x1.d9260fd7ef0bap-16, -0x1.d518fb2d3f8b2p-16, -0x1.d0e16e84c63f3p-16, -0x1.cc80a0b971ba9p-16, -0x1.c7f7c58cc5563p-16, -0x1.c3480dabd60dbp-16, -0x1.be72a6b87ec7cp-16, -0x1.b978bb4af041ap-16, -0x1.b45b72f7f1754p-16, -0x1.af1bf2553490dp-16, -0x1.a9bb5afca8858p-16, -0x1.a43acb897d386p-16, -0x1.9e9b5f9f63b66p-16, -0x1.98de2fea70a92p-16, -0x1.9304521d26d1ap-16, -0x1.8d0ed8f15b746p-16, -0x1.86fed42766d2dp-16, -0x1.80d550877be25p-16, -0x1.7a9357dd540d3p-16, -0x1.7439f0f711d98p-16, -0x1.6dca1fa5143c6p-16, -0x1.6744e4b8176aep-16, -0x1.60ab3dfbd03a7p-16, -0x1.59fe2636da1d5p-16, -0x1.533e9529b69cp-16, -0x1.4c6d7f89abb93p-16, -0x1.458bd6fd81848p-16, -0x1.3e9a8a1be75ffp-16, -0x1.379a8469eee39p-16, -0x1.308cae59022afp-16, -0x1.2971ed3f4f527p-16, -0x1.224b2359b5571p-16, -0x1.1b192fc7879eap-16, -0x1.13dcee8932a6dp-16, -0x1.0c97387b183f4p-16, -0x1.0548e356aab9bp-16, -0x1.fbe5835eedbb8p-17, -0x1.ed2b45de6a888p-17, -0x1.de64a6a7f7762p-17, -0x1.cf9337df548b1p-17, -0x1.c0b88552c9638p-17, -0x1.b1d6146fac1f5p-17, -0x1.a2ed6441934c9p-17, -0x1.93ffed732e13cp-17, -0x1.850f224aec2c7p-17, -0x1.761c6eab9dd51p-17, -0x1.6729381122fc6p-17, -0x1.5836dd9440addp-17, -0x1.4946b7e8f5e98p-17, -0x1.3a5a195d31c2fp-17, -0x1.2b724dd93a6bdp-17, -0x1.1c909ae40f929p-17, -0x1.0db63fa9db7e8p-17, -0x1.fdc8e9ef34b26p-18, -0x1.e038da7f9c872p-18, -0x1.c2bea93d052d6p-18, -0x1.a55ca1b86ba91p-18, -0x1.881502e900771p-18, -0x1.6ae9ff32f7ecp-18, -0x1.4dddbc71488cep-18, -0x1.30f25407d3a36p-18, -0x1.1429d2e52ef37p-18, -0x1.ef0c7327e91ffp-19, -0x1.b612f88a08b0ep-19, -0x1.7d6b05de02f92p-19, -0x1.4518529bc9eb4p-19, -0x1.0d1e7df37136dp-19, -0x1.ab021dd1b96e9p-20, -0x1.3c86e8f77391ep-20, -0x1.9da41729f117cp-21, -0x1.87a8124e5bc7fp-22, 0x1.455b8a57c725dp-25, 0x1.d599d86b92daap-22, 0x1.bf85ac5f09fefp-21, 0x1.493a381a1ab65p-20, 0x1.b1c70522f57f7p-20, 0x1.0cb1e9f12bbe7p-19, 0x1.4005b3e86522cp-19, 0x1.72dc5880f6795p-19, 0x1.a53365da02b82p-19, 0x1.d7087ff25f41bp-19, 0x1.042cb03c90ee9p-18, 0x1.1c91eb47536b2p-18, 0x1.34b2e343d5977p-18, 0x1.4c8e94e27982fp-18, 0x1.64240736616bp-18, 0x1.7b724b9a60676p-18, 0x1.92787d966ba28p-18, 0x1.a935c2c070221p-18, 0x1.bfa94a9973feep-18, 0x1.d5d24e6ece2c9p-18, 0x1.ebb0113fd27f3p-18, 0x1.00a0efce63328p-17, 0x1.0b4387c3db7c9p-17, 0x1.15bf802a4e9f6p-17, 0x1.20148d44dd24p-17, 0x1.2a4267dc825cep-17, 0x1.3448cd334455fp-17, 0x1.3e277ef31ff3ep-17, 0x1.47de431c13adep-17, 0x1.516ce3f542c48p-17, 0x1.5ad32ffd0e25bp-17, 0x1.6410f9d64b033p-17, 0x1.6d261835ec204p-17, 0x1.761265d4fa9dp-17, 0x1.7ed5c15f64afp-17, 0x1.87700d62b6bc6p-17, 0x1.8fe1303de4d73p-17, 0x1.9829140fa62b9p-17, 0x1.a047a6a5f38acp-17, 0x1.a83cd96a605b2p-17, 0x1.b008a155bf448p-17, 0x1.b7aaf6dbbce4cp-17, 0x1.bf23d5dbd960ep-17, 0x1.c6733d8fc261ep-17, 0x1.cd99307c17533p-17, 0x1.d495b45dd4248p-17, 0x1.db68d217e1842p-17, 0x1.e21295a5cd317p-17, 0x1.e8930e097ccdfp-17, 0x1.eeea4d3bae5efp-17, 0x1.f518681b31ac4p-17, 0x1.fb1d765bb9da8p-17, 0x1.007cc93b7594ap-16, 0x1.03566cccc1b4dp-16, 0x1.061bb5caec55fp-16, 0x1.08ccb569aec72p-16, 0x1.0b697e1ea8d8ap-16, 0x1.0df2239a576bep-16, 0x1.1066babfc7788p-16, 0x1.12c7599d7d7a2p-16, 0x1.15141763df283p-16, 0x1.174d0c5f46a61p-16, 0x1.197251ef8bbd7p-16, 0x1.1b8402810e9abp-16, 0x1.1d8239852d60dp-16, 0x1.1f6d136a54db9p-16, 0x1.2144ad951bceap-16, 0x1.23092658ec6b4p-16, 0x1.24ba9cf02fabap-16, 0x1.265931763999ap-16, 0x1.27e504df9d04dp-16, 0x1.295e38f338681p-16, 0x1.2ac4f0436a717p-16, 0x1.2c194e2769d85p-16, 0x1.2d5b76b477bcp-16, 0x1.2e8b8eb6765cbp-16, 0x1.2fa9bbaa92e53p-16, 0x1.30b623b7a6194p-16, 0x1.31b0eda87cd81p-16, 0x1.329a40e5a5672p-16, 0x1.3372456e8a08cp-16, 0x1.343923d38e42dp-16, 0x1.34ef05303ee18p-16, 0x1.35941324ce8d9p-16, 0x1.362877d077876p-16, 0x1.36ac5dcbec83cp-16, 0x1.371ff02325f68p-16, 0x1.37835a4fd3a7fp-16, 0x1.37d6c833dd6bdp-16, 0x1.381a6613f2fa2p-16, 0x1.384e609226974p-16, 0x1.3872e4a874473p-16, 0x1.38881fa3ce4f2p-16, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      44, 0x1.0cccccccccccdp+2, 0x1.058d371857f3ep+1, 0x1.b1b9a4b2ddf31p+1, -0x1.dffe1948de154p-4, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.85633a8986f94p-2, -0x1.043755d274f92p+0, 0x1.09dbf4fa78334p+0, -0x1.812680b488cfdp-2}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.53f46fb5e2d01p-2, -0x1.d4b46c6941c76p-1, 0x1.f6d506b432f09p-1, -0x1.8413d3dcd777cp-2}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.278cccf8f00bbp-2, -0x1.a3e079a7bec59p-1, 0x1.d9b9f06a092dep-1, -0x1.8690d68989817p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ffc3a644ae27dp-3, -0x1.75f80642232b9p-1, 0x1.bc6f13861eddep-1, -0x1.892c2c494a482p-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.b9510845d4e9fp-3, -0x1.4afff6645c338p-1, 0x1.9ef229cd6c7ebp-1, -0x1.8bbe863868da7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.7b2ac6194dc6p-3, -0x1.22fd42b711bedp-1, 0x1.8143dfbc64a1ap-1, -0x1.8e567c5707005p-2}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.44b8e825666dfp-3, -0x1.fbe9c14bac37ep-2, 0x1.6363c99c441b5p-1, -0x1.90e0fd88441d2p-2}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.15627912c0e1p-3, -0x1.b7d77c27ae775p-2, 0x1.4552e9cba565cp-1, -0x1.939bb63f8c2c7p-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.d91b0b98a6d6fp-4, -0x1.79cdd485d432fp-2, 0x1.270da286e148fp-1, -0x1.952325ff5f255p-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.933e4b5cfff5ep-4, -0x1.41d4f7809bb1dp-2, 0x1.08aaffad53bf9p-1, -0x1.95c8e44c5dfe2p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.57f7a91a299e5p-4, -0x1.0ff112e113549p-2, 0x1.d477dd1bffcc7p-2, -0x1.95aa1391674ecp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.260f99729a4ebp-4, -0x1.c846536e179c9p-3, 0x1.979e5a2c96b42p-2, -0x1.98ff509c7f2c9p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.f89c3cc3a264cp-5, -0x1.7ce2ce1fd7899p-3, 0x1.5a44dae1ea06ap-2, -0x1.84fc871ce2d49p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.b2f83161c15f7p-5, -0x1.3d778ac64adadp-3, 0x1.1febc69d94cd5p-2, -0x1.599dbabeee56ap-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.78e38ff0c5029p-5, -0x1.09112721f5ca1p-3, 0x1.d8283b9b7bb37p-3, -0x1.31bef12201babp-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.484a9544d7a6p-5, -0x1.bcdffcc71fb0ap-4, 0x1.7c6ef3447b2eep-3, -0x1.08efc0e4d5356p-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.1f57debe2f9c5p-5, -0x1.78bc828d17b0ep-4, 0x1.2cf3d2ffd4d26p-3, -0x1.c0c450cf45955p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.f8e8d4921e698p-6, -0x1.43470285fecf3p-4, 0x1.d3465a8e47f78p-4, -0x1.6f7d2f158a202p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.bc8f2cbb89791p-6, -0x1.1a0feea77349p-4, 0x1.650732d49e87bp-4, -0x1.1e62a0d939f66p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.876e440154f74p-6, -0x1.f54f76b0037b6p-5, 0x1.0f1ccf604056ep-4, -0x1.99836acd22678p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.57ce59844d6fep-6, -0x1.c53b086a14922p-5, 0x1.a35efeb6298f3p-5, -0x1.f436ad3f70e72p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.2c746d7d57665p-6, -0x1.9f0b8b1f6143p-5, 0x1.5856cb1fd8ap-5, -0x1.3163c7fdbd033p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.04a2413d6f572p-6, -0x1.7dc1a3666d449p-5, 0x1.416f4f53373fbp-5, 0x1.9c1c3630c02c4p-12}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.c021de036e4b3p-7, -0x1.5d96b9c3b1407p-5, 0x1.41eaf1637912ep-5, -0x1.03c0d1a9c6e28p-8}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7d6ae02013939p-7, -0x1.3da3f8dcb44a5p-5, 0x1.3d0c20a84a251p-5, -0x1.3ba42a5448f5ep-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.410a45a71e04p-7, -0x1.1e3b503231bebp-5, 0x1.37210ca9e8c6dp-5, -0x1.b10e719304f9p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ae0c561917bap-7, -0x1.ff0caf08484dep-6, 0x1.2f0260ef27156p-5, -0x1.0afe1d7176e12p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.b58a20164c7cap-8, -0x1.c372ebc18473cp-6, 0x1.24ff3fd47f6cep-5, -0x1.3faa86ad1d139p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6107a0a491ea3p-8, -0x1.8a0c59bc25a31p-6, 0x1.1902746134bc3p-5, -0x1.73bf1c914523ap-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.17bf55b03557ep-8, -0x1.533d89494025fp-6, 0x1.0b11b01bc2246p-5, -0x1.a7fd7b3fc3efbp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.b244f8c1c3523p-9, -0x1.1f6aa1162d933p-6, 0x1.f656c3c5ef309p-6, -0x1.dc2c8a1c578d5p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.491c8b8755107p-9, -0x1.ddefc274577d8p-7, 0x1.d2a0396a356c7p-6, -0x1.083787bb2b8cap-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.e52f5b2c31a07p-10, -0x1.84931b91447f6p-7, 0x1.aafe4b74887d9p-6, -0x1.223985563fe6ep-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5a41213bb216dp-10, -0x1.338782f4dacc9p-7, 0x1.7f75aaa798816p-6, -0x1.3caedbfa4fcd2p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dbe53864c7293p-11, -0x1.d72ce1d9b34e6p-8, 0x1.4ff509a872ef3p-6, -0x1.5576138c5ebe8p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.38ef9d36429fcp-11, -0x1.5b094a17f8d0fp-8, 0x1.1cbced203186p-6, -0x1.74826e5d6a631p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.86d22a59a68cfp-12, -0x1.e8a1fbd41d334p-9, 0x1.c9b91f8ac322p-7, -0x1.69b476072d337p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ca2f23e65a607p-13, -0x1.473eec0dae043p-9, 0x1.5d362f5568c52p-7, -0x1.350fcd6b6b78ap-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.eea1fd9976c9cp-14, -0x1.9c35ac2b9a3c6p-10, 0x1.007e3e81fbbadp-7, -0x1.06a55f697291fp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dd138cb26fcc2p-15, -0x1.dd10b94e9e798p-11, 0x1.636610917f838p-8, -0x1.ad69a410dcc09p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.86d22a59a68bdp-16, -0x1.e88d420a68792p-12, 0x1.c526584c142e2p-9, -0x1.4d450f139d1ffp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.eea1fd9976d47p-18, -0x1.9c088d6710906p-13, 0x1.fa60381a389e3p-10, -0x1.e2754382a2edp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.86d22a59a6a81p-20, -0x1.eae400551f41dp-15, 0x1.b1cd52647a88cp-11, -0x1.0a161ffcd844ap-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.86d22a59a9p-24, -0x1.a200b0bdd159p-18, 0x1.c9fe49a10f2c2p-13, -0x1.641eb8838c97dp-8}, 
      }}, 
      0x1.4f1df1fa990e2p-4, -0x1.0243c85e06bdep-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.644e78d1209eap-7, 0x1.117ec9d98e72ap-6, 0x1.cabc10e88b17dp-7, 0x1.54182d8513997p-10, -0x1.5c5f67780b732p-6, -0x1.ad140a8f1f0cfp-5, -0x1.70e601447e10fp-4, -0x1.0e6ad5941b293p-3, -0x1.68792f51e79cfp-3, -0x1.c2436dddc7684p-3, -0x1.0c000468f3e8bp-2, -0x1.3348544498ac4p-2, -0x1.55c3e12e5e7abp-2, -0x1.7290b71800bccp-2, -0x1.891a743d9c40fp-2, -0x1.9911301499066p-2, -0x1.a25facae4666ap-2, -0x1.a5218390757e3p-2, -0x1.a199b9a179d93p-2, -0x1.9829ffb228343p-2, -0x1.894aca230f045p-2, -0x1.7584552af7ac4p-2, -0x1.5d6897ccdbc76p-2, -0x1.418e1f099ae0ep-2, -0x1.228bc71d4aabfp-2, -0x1.00f545e8f2deap-2, -0x1.bab0e8efc8a5ep-3, -0x1.70768a2ea843fp-3, -0x1.2434a10d5c138p-3, -0x1.ad9f972d860e2p-4, -0x1.122e2329342f3p-4, -0x1.de1c69e531183p-6, 0x1.08759224c0ab3p-7, 0x1.6ceccfaa05d19p-5, 0x1.47bb5ba00ab42p-4, 0x1.d40e82af7db85p-4, 0x1.2d61ecd62ae52p-3, 0x1.6da7d5d8b48bfp-3, 0x1.aaa1ce191a8cfp-3, 0x1.e426026a92c55p-3, 0x1.0d0b4ceeed12ap-2, 0x1.26303bfb99201p-2, 0x1.3d7d023a60029p-2, 0x1.52f1077007e86p-2, 0x1.668f5fa691b5ap-2, 0x1.785e4d86554a5p-2, 0x1.8866cbe83eebcp-2, 0x1.96b421a90bc2p-2, 0x1.a3537df82f13ap-2, 0x1.ae539e96041d2p-2, 0x1.b7c47cc7e45e5p-2, 0x1.bfb7037844fedp-2, 0x1.c63ccd79da8aep-2, 0x1.cb67ecb31ee86p-2, 0x1.cf4ab8ac7b6ffp-2, 0x1.d1f7a2f6918bp-2, 0x1.d3811117595bep-2, 0x1.d3f93ae55dec8p-2, 0x1.d3720fbe422b7p-2, 0x1.d1fd1f3856837p-2, 0x1.cfab8658d1cdfp-2, 0x1.cc8de1453ab66p-2, 0x1.c8b43e772e8a1p-2, 0x1.c42e152cb8192p-2, 0x1.bf0a3e70be662p-2, 0x1.b956ef07650e2p-2, 0x1.b321b58cd68fep-2, 0x1.ac7777df0709ap-2, 0x1.a56474392aabep-2, 0x1.9df441aae8b0ap-2, 0x1.9631d3297f5c4p-2, 0x1.8e2779cc55347p-2, 0x1.85dee89986da8p-2, 0x1.7d6138e3f545cp-2, 0x1.74b6ee6c3ac76p-2, 0x1.6be7fc7b7e909p-2, 0x1.62fbcaff63747p-2, 0x1.59f93baa0dd6cp-2, 0x1.50e6b06b3da51p-2, 0x1.47ca0f87c5e01p-2, 0x1.3ea8ca6248d86p-2, 0x1.3587e31e2ba0bp-2, 0x1.2c6bf1487db0ep-2, 0x1.2359286286d91p-2, 0x1.1a535cfae1a7cp-2, 0x1.115e092641ec9p-2, 0x1.087c52a074a19p-2, 0x1.ff621f64127f2p-3, 0x1.edfd9610db71p-3, 0x1.dccf92c474e63p-3, 0x1.cbdc1b8cac213p-3, 0x1.bb26ba60e749bp-3, 0x1.aab28692143b7p-3, 0x1.9a822caf00281p-3, 0x1.8a97f4a431b6p-3, 0x1.7af5ca585938ap-3, 0x1.6b9d437992c33p-3, 0x1.5c8fa61c3c009p-3, 0x1.4dcdf0040c71fp-3, 0x1.3f58d9d04da2fp-3, 0x1.3130de70c34dcp-3, 0x1.2356409b485bcp-3, 0x1.15c90e441c498p-3, 0x1.0889265020dbcp-3, 0x1.f72c7882df4dbp-4, 0x1.dddfb971a3135p-4, 0x1.c52ae26b53899p-4, 0x1.ad0c8791fed33p-4, 0x1.958304816f943p-4, 0x1.7e8c83067be4cp-4, 0x1.68270121b76d8p-4, 0x1.5250560ff40eep-4, 0x1.3d06378d2183dp-4, 0x1.28463efec6343p-4, 0x1.140dee2020456p-4, 0x1.005ab1c679692p-4, 0x1.da53cd4e26a9ap-5, 0x1.b4f1bb152578fp-5, 0x1.9089b821fa965p-5, 0x1.6d1645e8174b6p-5, 0x1.4a91dc449ae71p-5, 0x1.28f6ee592acb5p-5, 0x1.083ff3732e54dp-5, 0x1.d0cecefa0b426p-6, 0x1.92cf9be3a8958p-6, 0x1.56776e171958bp-6, 0x1.1bbb8894397dbp-6, 0x1.c522989ac3a88p-7, 0x1.55dc876a9630bp-7, 0x1.d3209d552160ep-8, 0x1.00537309353f2p-8, 0x1.994f8ff70f257p-11, -0x1.29055a9945869p-9, -0x1.56d8515e1eed8p-8, -0x1.09fe07c580cccp-7, -0x1.6609016420e81p-7, -0x1.bf9ead6b9b025p-7, -0x1.0b6817bc13ffdp-6, -0x1.35d71982a9b2bp-6, -0x1.5f2470904a3dep-6, -0x1.8757f841fd668p-6, -0x1.ae795021d52d9p-6, -0x1.d48fd8ca0c02p-6, -0x1.f9a2b6d45bdd1p-6, -0x1.0edc6b09dbed9p-5, -0x1.206c73c51c16p-5, -0x1.3184b09aa08fep-5, -0x1.42283f8e4e297p-5, -0x1.525a253670ec8p-5, -0x1.621d4a89d725ep-5, -0x1.71747c6c33f34p-5, -0x1.80626ec76f53dp-5, -0x1.8ee9bcbc3850dp-5, -0x1.9d0ce94799028p-5, -0x1.aace5eddef968p-5, -0x1.b8307002abf7cp-5, -0x1.c5355ae855222p-5, -0x1.d1df473f4e741p-5, -0x1.de3047a22ea34p-5, -0x1.ea2a5ab1f0ed3p-5, -0x1.f5cf6b2c5fa94p-5, -0x1.0090a8f95fb5bp-4, -0x1.0610ead2d4c92p-4, -0x1.0b6955a7666c9p-4, -0x1.109abb9bd9a1p-4, -0x1.15a5e709d448p-4, -0x1.1a8b9adc0902dp-4, -0x1.1f4c928a4e8dbp-4, -0x1.23e9826e82ac2p-4, -0x1.2863183cbc7a4p-4, -0x1.2cb9fb639c667p-4, -0x1.30eecd765ecap-4, -0x1.35022a28fe2c3p-4, -0x1.38f4a78959463p-4, -0x1.3cc6d68ef4ceep-4, -0x1.40794354339d7p-4, -0x1.440c7522f43bep-4, -0x1.4780eeffbb30fp-4, -0x1.4ad72fc43a498p-4, -0x1.4e0fb1d58378p-4, -0x1.512aec8b93527p-4, -0x1.542953650bc58p-4, -0x1.570b568fe5eep-4, -0x1.59d1630bb1567p-4, -0x1.5c7be2ec3d713p-4, -0x1.5f0b3d8c1c613p-4, -0x1.617fd7c795609p-4, -0x1.63da140c06969p-4, -0x1.661a5254e4d73p-4, -0x1.6840f0a924258p-4, -0x1.6a4e4b049042cp-4, -0x1.6c42bb71f1a0cp-4, -0x1.6e1e9a794f57bp-4, -0x1.6fe23ef716e18p-4, -0x1.718dfe6dcd83cp-4, -0x1.73222ca12a0ecp-4, -0x1.749f1c65bf0b5p-4, -0x1.76051f403677dp-4, -0x1.775485b7300e7p-4, -0x1.788d9f4a0866ap-4, -0x1.79b0ba7f3edecp-4, -0x1.7abe2525dff6ep-4, -0x1.7bb62bfd9d915p-4, -0x1.7c991b65516c4p-4, -0x1.7d673eba9e6cdp-4, -0x1.7e20e127a45ddp-4, -0x1.7ec64d0c7c1f9p-4, -0x1.7f57cc5da0ae5p-4, -0x1.7fd5a8784893ap-4, -0x1.80402a787768dp-4, -0x1.80979af2ba018p-4, -0x1.80dc423b042f9p-4, -0x1.810e684c07473p-4, -0x1.812e54e8aaec9p-4, -0x1.813c4f83162fcp-4, -0x1.81389f174ba45p-4, -0x1.81238ab3ab34p-4, -0x1.80fd590e46ffdp-4, -0x1.80c65083962e5p-4, -0x1.807eb78984ec5p-4, -0x1.8026d4341d179p-4, -0x1.7fbeec6176ddp-4, -0x1.7f47460996e38p-4, -0x1.7ec0268ed03bcp-4, -0x1.7e29d37a579f2p-4, -0x1.7d8491f8e5287p-4, -0x1.7cd0a73eecc59p-4, -0x1.7c0e582c99937p-4, -0x1.7b3de97f4e39p-4, -0x1.7a5f9fcea398dp-4, -0x1.7973bf79c9dcbp-4, -0x1.787a8c9ee9b2p-4, -0x1.77744b545e5b9p-4, -0x1.76613f42bb6a9p-4, -0x1.7541ac2396db6p-4, -0x1.7415d53cb4445p-4, -0x1.72ddfd99ba93cp-4, -0x1.719a683d64329p-4, -0x1.704b57936e56bp-4, -0x1.6ef10dfa5c6b4p-4, -0x1.6d8bcd8a0201ap-4, -0x1.6c1bd7f0f2d42p-4, -0x1.6aa16eb886d0bp-4, -0x1.691cd30387514p-4, -0x1.678e4584cd3f1p-4, -0x1.65f606c3f049cp-4, -0x1.645456c74837ap-4, -0x1.62a97541497fcp-4, -0x1.60f5a18c58ea8p-4, -0x1.5f391aaa2b209p-4, -0x1.5d741f29903d7p-4, -0x1.5ba6ed0d4f2e6p-4, -0x1.59d1c216b5ecp-4, -0x1.57f4db5c95a08p-4, -0x1.5610759cd3e08p-4, -0x1.5424cd43de02dp-4, -0x1.52321e13274e9p-4, -0x1.5038a35f76ef4p-4, -0x1.4e3897ed41219p-4, -0x1.4c323627ea7bfp-4, -0x1.4a25b794d19bfp-4, -0x1.48135573a6d22p-4, -0x1.45fb485aace62p-4, -0x1.43ddc87feebfbp-4, -0x1.41bb0d6063ffcp-4, -0x1.3f934dfb08595p-4, -0x1.3d66c0cc278e9p-4, -0x1.3b359b6a3e792p-4, -0x1.390012f3c2bb6p-4, -0x1.36c65bcf17e3bp-4, -0x1.3488a9dc946cbp-4, -0x1.324730608c551p-4, -0x1.300222324934cp-4, -0x1.2db9b16d96d28p-4, -0x1.2b6e0f771b7ecp-4, -0x1.291f6d053ecabp-4, -0x1.26cdf9d491126p-4, -0x1.2479e51f03a4dp-4, -0x1.22235d64870bep-4, -0x1.1fca90acf876cp-4, -0x1.1d6fac8d3a89dp-4, -0x1.1b12ddfb6ecbbp-4, -0x1.18b4512b7b80dp-4, -0x1.1654317231c45p-4, -0x1.13f2a933414b7p-4, -0x1.118fe1e1ff036p-4, -0x1.0f2c044694e16p-4, -0x1.0cc738a38a087p-4, -0x1.0a61a6f31d717p-4, -0x1.07fb76c72b066p-4, -0x1.0594cf3c08e32p-4, -0x1.032dd6886fd71p-4, -0x1.00c6b1c7a904dp-4, -0x1.fcbf09cacb226p-5, -0x1.f7f0e51d4ec9ep-5, -0x1.f32339a8621cap-5, -0x1.ee564a8bbc6dp-5, -0x1.e98a5b3692fd3p-5, -0x1.e4bfaedc9130cp-5, -0x1.dff688eb9adefp-5, -0x1.db2f2aaac592fp-5, -0x1.d669d3932bdabp-5, -0x1.d1a6bead40027p-5, -0x1.cce6245f9b3b3p-5, -0x1.c8283a16f87a3p-5, -0x1.c36d34242896fp-5, -0x1.beb54780b89d6p-5, -0x1.ba00aace58926p-5, -0x1.b54f960a5363p-5, -0x1.b0a24268601c9p-5, -0x1.abf8e6dbf2a6fp-5, -0x1.a753b7466a9ap-5, -0x1.a2b2e1fe5cd15p-5, -0x1.9e168fc7c005fp-5, -0x1.997ee57d9bf4bp-5, -0x1.94ec063fc54efp-5, -0x1.905e166b951dfp-5, -0x1.8bd53e23fb0a1p-5, -0x1.8751a9d71e6a3p-5, -0x1.82d389ed309dap-5, -0x1.7e5b0efbe164bp-5, -0x1.79e8673a899adp-5, -0x1.757bb9cff2403p-5, -0x1.711526134a33p-5, -0x1.6cb4c316ef8b7p-5, -0x1.685aa24d98a88p-5, -0x1.6406d4126457bp-5, -0x1.5fb96b1a8f145p-5, -0x1.5b7280cb950dap-5, -0x1.5732368dc89cep-5, -0x1.52f8b53ce59e6p-5, -0x1.4ec62932eb453p-5, -0x1.4a9abcc22cc92p-5, -0x1.467692f9d3587p-5, -0x1.4259c359e1607p-5, -0x1.3e4459bd10d0bp-5, -0x1.3a365894e1f5dp-5, -0x1.362fbcc697882p-5, -0x1.32308378f08c5p-5, -0x1.2e38aec453a1dp-5, -0x1.2a484b7808622p-5, -0x1.265f72b9e13bep-5, -0x1.227e49ffbf19p-5, -0x1.1ea4fd02df6bep-5, -0x1.1ad3b58ab1812p-5, -0x1.170a92ed083dcp-5, -0x1.1349a5075524p-5, -0x1.0f90ec46d4bep-5, -0x1.0be05c5257f83p-5, -0x1.0837e10554cf8p-5, -0x1.04976321370fdp-5, -0x1.00fece1f9e5d3p-5, -0x1.fadc2fe7e38a6p-6, -0x1.f3ca8fb931c47p-6, -0x1.ecc8f560c6a59p-6, -0x1.e5d7baacb22b3p-6, -0x1.def743440e8e6p-6, -0x1.d827de6bc93c9p-6, -0x1.d169b45f1dc2ap-6, -0x1.cabcc0ab51a46p-6, -0x1.c420e024ff129p-6, -0x1.bd95dafd61634p-6, -0x1.b71b6ec5fdfap-6, -0x1.b0b14f402f7f7p-6, -0x1.aa5732e017601p-6, -0x1.a40ce4c81cb6p-6, -0x1.9dd261735e64p-6, -0x1.97a7dfb999642p-6, -0x1.918dc5bb354cep-6, -0x1.8b847ff421691p-6, -0x1.858c5767e6cecp-6, -0x1.7fa55b2e294d2p-6, -0x1.79cf69129af42p-6, -0x1.740a48aeae2f1p-6, -0x1.6e55c4c28d024p-6, -0x1.68b1ad0847c2dp-6, -0x1.631dc7f7a8636p-6, -0x1.5d99c618542ccp-6, -0x1.58254f66aeeffp-6, -0x1.52c025f4a4b11p-6, -0x1.4d6a4805c183p-6, -0x1.4823f069e5cecp-6, -0x1.42ed790926ac9p-6, -0x1.3dc724f100eep-6, -0x1.38b100df50e81p-6, -0x1.33aae4bd18782p-6, -0x1.2eb49515c0d95p-6, -0x1.29cdec9642d53p-6, -0x1.24f6ee3a11fa7p-6, -0x1.202fb15d72504p-6, -0x1.1b7831368aaedp-6, -0x1.16d02a0f9fabcp-6, -0x1.1237212084ef9p-6, -0x1.0dac94b53622fp-6, -0x1.09302f89d1a14p-6, -0x1.04c1dc2eb36ffp-6, -0x1.0061b3b434149p-6, -0x1.f81fad7ba570cp-7, -0x1.ef98a60e944cep-7, -0x1.e72e3b758c731p-7, -0x1.dee04ce09d822p-7, -0x1.d6aeed70e4e02p-7, -0x1.ce9a8b860c0e6p-7, -0x1.c6a3d7b9d4fe7p-7, -0x1.becb4bcb44eebp-7, -0x1.b710a636b5fbap-7, -0x1.af72bee052c0dp-7, -0x1.a7efe069c7dd3p-7, -0x1.a08661747964dp-7, -0x1.99351234f1d04p-7, -0x1.91fb62f89b1fep-7, -0x1.8ad95b1cbafdp-7, -0x1.83cf6bf54a498p-7, -0x1.7cde2ea3092e7p-7, -0x1.760628b4dd654p-7, -0x1.6f47cbef25977p-7, -0x1.68a3a78baced2p-7, -0x1.621a763c980ep-7, -0x1.5bacd16b495fbp-7, -0x1.555abb13be8b9p-7, -0x1.4f2355411d21ap-7, -0x1.4904fa67aa29p-7, -0x1.42fdb8ce3ca76p-7, -0x1.3d0be192bc6cfp-7, -0x1.372e3a26d371cp-7, -0x1.3163ee3f41b0dp-7, -0x1.2bacc00923ea8p-7, -0x1.260951408cf1p-7, -0x1.207acd0dac20dp-7, -0x1.1b023289fba2fp-7, -0x1.15a0224d5a57bp-7, -0x1.1055613587cb5p-7, -0x1.0b22f13e2ed26p-7, -0x1.06094886f46ep-7, -0x1.01079e4fc4f97p-7, -0x1.f83882e925e5bp-8, -0x1.ee8ac238d0212p-8, -0x1.e5031233fbbd5p-8, -0x1.db9f75c7d9259p-8, -0x1.d25eeb69f20b2p-8, -0x1.c940b960ae09cp-8, -0x1.c04353d586e5ep-8, -0x1.b7654d4e41982p-8, -0x1.aea7c51fdc38p-8, -0x1.a60dd9d4dec04p-8, -0x1.9d998cce1b8a8p-8, -0x1.954b57971e4cep-8, -0x1.8d24ba8a0fee4p-8, -0x1.8528428abccb8p-8, -0x1.7d563f674aadcp-8, -0x1.75ab5ccba42cep-8, -0x1.6e22c71f5c1a4p-8, -0x1.66b8c6effa6a2p-8, -0x1.5f6bb9a5aacedp-8, -0x1.583b5eb0943f6p-8, -0x1.5127eaae64a56p-8, -0x1.4a320e5045247p-8, -0x1.435a327024588p-8, -0x1.3c9e44f00a698p-8, -0x1.35fb7de847656p-8, -0x1.2f73540090307p-8, -0x1.2909a5e76dc98p-8, -0x1.22bf3c9ce8875p-8, -0x1.1c9354b93a1afp-8, -0x1.168769a4e54abp-8, -0x1.109cd7ed38f92p-8, -0x1.0ad1e274a3902p-8, -0x1.05233a92dc0edp-8, -0x1.ff1c5c4f67709p-9, -0x1.f42220202f10bp-9, -0x1.e955f2a1c82dfp-9, -0x1.deb734346dbfep-9, -0x1.d44618d0bfca6p-9, -0x1.ca037b2b1c7e9p-9, -0x1.bff1ad312722cp-9, -0x1.b611810b7410ap-9, -0x1.ac5ccd80c8cd6p-9, -0x1.a2cef094d4ad1p-9, -0x1.996f0a5c93e9p-9, -0x1.90422c068a5aep-9, -0x1.8743fbef6302dp-9, -0x1.7e737a9af8938p-9, -0x1.75d2a943ddbb1p-9, -0x1.6d5e972794efbp-9, -0x1.651341278a1a2p-9, -0x1.5cefc9f2d65e5p-9, -0x1.54f4e5719ee5p-9, -0x1.4d2280daea711p-9, -0x1.4576c0f5b555p-9, -0x1.3deedc23a77d1p-9, -0x1.368914dc004cbp-9, -0x1.2f455c2ed5a59p-9, -0x1.282481d3f1f9fp-9, -0x1.2128e241cf208p-9, -0x1.1a53410a2f3f7p-9, -0x1.139e0ca36d63ap-9, -0x1.0d09ded1e1874p-9, -0x1.069c90cc5520ap-9, -0x1.0050f4a767f3p-9, -0x1.f449245fdddddp-10, -0x1.e833bfa4c6d48p-10, -0x1.dc5b8741b4891p-10, -0x1.d0ba7cfa8c418p-10, -0x1.c551891284befp-10, -0x1.ba247cc361e61p-10, -0x1.af36a4bccb3e5p-10, -0x1.a48959d6cf571p-10, -0x1.9a1a583334587p-10, -0x1.8fe2f66382dfp-10, -0x1.85db9c0ea8fc1p-10, -0x1.7c01ef87304d9p-10, -0x1.72584df5f259cp-10, -0x1.68e1a7615e4fbp-10, -0x1.5fa3d6f2b5741p-10, -0x1.569f1de247d85p-10, -0x1.4dcbf199d6006p-10, -0x1.452d3db488e18p-10, -0x1.3cb8ebf82bbc9p-10, -0x1.346fb4f073387p-10, -0x1.2c57749c03035p-10, -0x1.246936d7ab449p-10, -0x1.1ca188e1bd85ap-10, -0x1.1501812380bdap-10, -0x1.0d8abfaafc9ccp-10, -0x1.063e85ac4dc09p-10, -0x1.fe3c6ddd414c9p-11, -0x1.f0574efd1777fp-11, -0x1.e2ceb60349a53p-11, -0x1.d599ae2632e92p-11, -0x1.c8a54eb887adfp-11, -0x1.bbea555273018p-11, -0x1.af74b8d5205b1p-11, -0x1.a3456fe547669p-11, -0x1.975add0e54c39p-11, -0x1.8bcbdaa276d97p-11, -0x1.808be62bd778bp-11, -0x1.758602bf2936dp-11, -0x1.6ab0cf5bbd65ep-11, -0x1.601db6b8b7731p-11, -0x1.55ceac7ab3547p-11, -0x1.4bb77ab56095ap-11, -0x1.41d74033d40ddp-11, -0x1.382f7136e16fap-11, -0x1.2ec044ef2e23ep-11, -0x1.2589314da00eep-11, -0x1.1c899ddb454bp-11, -0x1.13c1ef843b414p-11, -0x1.0b34488a0307ep-11, -0x1.02e3da1ece8dfp-11, -0x1.f59dbfc7b1b7cp-12, -0x1.e5ce2ee77de65p-12, -0x1.d649492739f5dp-12, -0x1.c725fa986067ep-12, -0x1.b85a33c562e43p-12, -0x1.a9e0455a19ce1p-12, -0x1.9be5e845d7115p-12, -0x1.8e5bec691b786p-12, -0x1.810a7f6ccb0c8p-12, -0x1.73f92c6578bc9p-12, -0x1.674b57204d451p-12, -0x1.5af0a1fbaa7dep-12, -0x1.4edf1a6f5b9a8p-12, -0x1.431919803e10ep-12, -0x1.379f48796feaep-12, -0x1.2c70515989cedp-12, -0x1.218a96a7f8eaep-12, -0x1.16ec4ba21409fp-12, -0x1.0c93bcc4cb038p-12, -0x1.027f7681158c9p-12, -0x1.f15e8a2f0d0bp-13, -0x1.de4b05d1ca8f2p-13, -0x1.cbcfba9130bc4p-13, -0x1.b9dec31191d0cp-13, -0x1.a85368a8d504bp-13, -0x1.9739eab232395p-13, -0x1.86846ff0fb18cp-13, -0x1.76486d2b778dep-13, -0x1.6698688eafda3p-13, -0x1.576df163f9bfcp-13, -0x1.488b4803d5a34p-13, -0x1.3a03b8d0dc443p-13, -0x1.2bf9e28f0f262p-13, -0x1.1e4fa91b24e04p-13, -0x1.1103516a9d01bp-13, -0x1.04175c8f40675p-13, -0x1.ef15837c1e716p-14, -0x1.d6b663cd25152p-14, -0x1.bf0c6e72d0f76p-14, -0x1.a81302927be47p-14, -0x1.91c5f8f49d4adp-14, -0x1.7c212c4292d15p-14, -0x1.671f6934c056p-14, -0x1.52bab743c1bc1p-14, -0x1.3eee0d76b8fecp-14, -0x1.2bc16c49dfb61p-14, -0x1.195099165157ap-14, -0x1.07796a591ed27p-14, -0x1.ec2133893840dp-15, -0x1.ca33e144c3153p-15, -0x1.a99bf74db5c1p-15, -0x1.8a1707dfbbff7p-15, -0x1.6b93e35cf54bp-15, -0x1.4dfc98967aac3p-15, -0x1.31468bbb887bbp-15, -0x1.15a32d296690ap-15, -0x1.f5bbd1878e755p-16, -0x1.c1f04e7cf88f1p-16, -0x1.8fe8ffb59c75bp-16, -0x1.5f9c22cdd7939p-16, -0x1.30fd843808f38p-16, -0x1.04016f09439fap-16, -0x1.b13970db1b24dp-17, -0x1.5d8968ebea49ap-17, -0x1.0cdf38e05793p-17, -0x1.7e52f8e632141p-18, -0x1.d1480e365df5p-19, -0x1.61ef674c148f1p-20, 0x1.9326b7ad78232p-21, 0x1.70834ae335961p-19, 0x1.38c18fa448be9p-18, 0x1.b2abb7323f3bfp-18, 0x1.141713fd029ccp-17, 0x1.4d2f455ec8273p-17, 0x1.834a804737688p-17, 0x1.b70d50c7cbe99p-17, 0x1.e9059083c4f21p-17, 0x1.0c5f0ab3103e7p-16, 0x1.2332a0cebc994p-16, 0x1.38ec0a16e5cc6p-16, 0x1.4db78a87aada9p-16, 0x1.618fd227ae7afp-16, 0x1.7476ccf36d29dp-16, 0x1.86723a68eccb8p-16, 0x1.978a08e4d71fdp-16, 0x1.a7c3e95764916p-16, 0x1.b724b3669793ep-16, 0x1.c5bcc41270765p-16, 0x1.d38198a864353p-16, 0x1.e08412d0c1ea4p-16, 0x1.ecc71b2837236p-16, 0x1.f84fb57d41e0cp-16, 0x1.0191ee4393a4ap-15, 0x1.06a528aad327dp-15, 0x1.0b64f1da4f4eap-15, 0x1.0fd594551c6a5p-15, 0x1.13f752f023e7p-15, 0x1.17b9986029103p-15, 0x1.1b3d51482e806p-15, 0x1.1e753e9d60119p-15, 0x1.215da12ef5c05p-15, 0x1.2409f547565b7p-15, 0x1.267a8b4a7d61dp-15, 0x1.28a7d61c88559p-15, 0x1.2a9080834305ap-15, 0x1.2c3f11f10c27dp-15, 0x1.2db5384d4fe62p-15, 0x1.2ef268c503e82p-15, 0x1.2ff8b5e4235c9p-15, 0x1.30ca0aeda9e99p-15, 0x1.3167ef278777p-15, 0x1.31d48b689af53p-15, 0x1.32118964891d4p-15, 0x1.321fdc4385049p-15, 0x1.320257fa5e71fp-15, 0x1.31b98dbf939e9p-15, 0x1.3145f3f1f3b6ep-15, 0x1.30acff393657bp-15, 0x1.2fec41dad90cp-15, 0x1.2f0535e5f3083p-15, 0x1.2dfd0c5404396p-15, 0x1.2cd16e0793924p-15, 0x1.2b85a8b058405p-15, 0x1.2a1ac4f0f792ap-15, 0x1.289077419df92p-15, 0x1.26e6d9aff891bp-15, 0x1.251e8b267e0c4p-15, 0x1.233dac9928aep-15, 0x1.2144422d0692ap-15, 0x1.1f32af407a67bp-15, 0x1.1d0a4c4a4b966p-15, 0x1.1ac86d697af9fp-15, 0x1.187128de4f105p-15, 0x1.1606071c6f5f1p-15, 0x1.138732c5cc9ddp-15, 0x1.10f55b5b1f9d7p-15, 0x1.0e518974c7ef1p-15, 0x1.0b9cbf5b79d43p-15, 0x1.08d7afea84d64p-15, 0x1.0603396369913p-15, 0x1.032014d77a74fp-15, 0x1.002f5f8722f75p-15, 0x1.fa6375755d2bbp-16, 0x1.f45092b2c4ecdp-16, 0x1.ee25771d1e86ap-16, 0x1.e7e6edea69918p-16, 0x1.e18f704a7769ep-16, 0x1.db26fcd14f29ap-16, 0x1.d4adee31a0308p-16, 0x1.ce2467ef8ab89p-16, 0x1.c78b23e586456p-16, 0x1.c0e5733b82f61p-16, 0x1.ba3325f0992d2p-16, 0x1.b37181686973bp-16, 0x1.aca60ae50cd03p-16, 0x1.a5d4029794348p-16, 0x1.9ef60de3f97c3p-16, 0x1.9811f4017f704p-16, 0x1.912742eab7c93p-16, 0x1.8a37431c11976p-16, 0x1.83419dcf06f29p-16, 0x1.7c484b9ae0abfp-16, 0x1.754bde027ba74p-16, 0x1.6e4d3004bee41p-16, 0x1.674c90af1996ep-16, 0x1.604b10a622c96p-16, 0x1.594ae32e28301p-16, 0x1.524a58484f26bp-16, 0x1.4b4b9f5d5d13dp-16, 0x1.444ec4b7c4bcep-16, 0x1.3d54a82f4c26ap-16, 0x1.365ddf548e25p-16, 0x1.2f6b0daed34ccp-16, 0x1.287bbabe1c732p-16, 0x1.219270e9290e3p-16, 0x1.1aadd823e155fp-16, 0x1.13d0af2f558c6p-16, 0x1.0cf9137fa748ap-16, 0x1.0628e95074a75p-16, 0x1.fec8614d6bb99p-17, 0x1.f140b4b108ac7p-17, 0x1.e3ce6fe5bd888p-17, 0x1.d66f6300de52bp-17, 0x1.c92323f2c3156p-17, 0x1.bbea14a1149bfp-17, 0x1.aec50c313cbb7p-17, 0x1.a1b4436874879p-17, 0x1.94b8f278c5e64p-17, 0x1.87d19e8ecbf36p-17, 0x1.7b0414a6a0884p-17, 0x1.6e4c05831098fp-17, 0x1.61abab26eb47dp-17, 0x1.5523cf4f1b1cdp-17, 0x1.48b3c85e6f6dep-17, 0x1.3c5dc8f5cc08dp-17, 0x1.302171e39e564p-17, 0x1.23fee2f26a5a3p-17, 0x1.17f6ac6db0bbcp-17, 0x1.0c08bc6164a8ap-17, 0x1.0037dccba7bbdp-17, 0x1.e90422d206bf4p-18, 0x1.d1cd0381687e8p-18, 0x1.bacd91f6dc911p-18, 0x1.a40a961bccd99p-18, 0x1.8d820a19cfacap-18, 0x1.77319252d95c8p-18, 0x1.61240024c018cp-18, 0x1.4b3ee1a31ec39p-18, 0x1.35a0ad5444e9p-18, 0x1.203bd33af34c9p-18, 0x1.0b19fffdb28c2p-18, 0x1.ec4f9c95e35ddp-19, 0x1.c2f1ddbd1b369p-19, 0x1.9a10d729b5191p-19, 0x1.71a4bc5e198d5p-19, 0x1.49ce01515d55ap-19, 0x1.223ef7dd041dap-19, 0x1.f683bfc1ab509p-20, 0x1.a9886f282b101p-20, 0x1.5d812830b6aa7p-20, 0x1.1251fd02d64d3p-20, 0x1.90b96ae643046p-21, 0x1.fceff1e10037p-22, 0x1.b841eece48e82p-23, -0x1.00a142269dd0cp-24, -0x1.59993608b6c41p-22, -0x1.373f2d01c7fdap-21, -0x1.bfe0f4b183847p-21, -0x1.23475c197fa66p-20, -0x1.65aedb4498dfdp-20, -0x1.a72563a645823p-20, -0x1.e7b0cc039d1cfp-20, -0x1.1385014c8176cp-19, -0x1.32d2cf42453b6p-19, -0x1.519cdd277fdc7p-19, -0x1.6ff5bfb8e4a52p-19, -0x1.8dd4f0d6d44aep-19, -0x1.ab38bd5a91082p-19, -0x1.c8229b27d2ea4p-19, -0x1.e498463e7a5ddp-19, -0x1.004b0b9edd52dp-18, -0x1.0e1de21afbba1p-18, -0x1.1b9be64b3f1p-18, -0x1.28eb2a6aefd9bp-18, -0x1.35ff212ca6055p-18, -0x1.42da44d0e3f47p-18, -0x1.4f7dc2a00825ep-18, -0x1.5be5c4b3b43f1p-18, -0x1.68173bf5dd705p-18, -0x1.740faf1e14958p-18, -0x1.7fceefe5c2cf7p-18, -0x1.8b53de0b96df9p-18, -0x1.96a69c5d62125p-18, -0x1.a1b96ce5c716ep-18, -0x1.aca24fbf4d78bp-18, -0x1.b74f06bd73dap-18, -0x1.c1c5412e01d3bp-18, -0x1.cc073c7e74104p-18, -0x1.d6131c9060742p-18, -0x1.dfe7f55bb5a7ap-18, -0x1.e97de96ab0fadp-18, -0x1.f2f72623c0583p-18, -0x1.fc3a02e91b85bp-18, -0x1.029efe13e877p-17, -0x1.070b518031475p-17, -0x1.0b5eb538e3b86p-17, -0x1.0f986a672bf1ep-17, -0x1.13b788326facbp-17, -0x1.17c1a8dddf2d3p-17, -0x1.1bb123e063637p-17, -0x1.1f8b25f34243ep-17, -0x1.234a9af5ff15dp-17, -0x1.26f3f62015e4p-17, -0x1.2a8c8a4d3d695p-17, -0x1.2e00dfbe4d3dcp-17, -0x1.31642945183e8p-17, -0x1.34aebd0ae706ep-17, -0x1.37e9051c46607p-17, -0x1.3b09a42815dd5p-17, -0x1.3e152fc862f58p-17, -0x1.410a7ca349e93p-17, -0x1.43ea55deea062p-17, -0x1.46b5bc05c0f4cp-17, -0x1.496ba143b5594p-17, -0x1.4c0b412693d16p-17, -0x1.4e9845ff82b17p-17, -0x1.510eb2b0b1d0bp-17, -0x1.53771e9bd0af8p-17, -0x1.55c4238aaedabp-17, -0x1.5801e595a2eacp-17, -0x1.5a2a4063a18a3p-17, -0x1.5c46533ec28a7p-17, -0x1.5e426249668e6p-17, -0x1.60349ee2caf01p-17, -0x1.6211c4e8c9a6ep-17, -0x1.63dd9531c68a2p-17, -0x1.659657f17b896p-17, -0x1.673fdf4f0753fp-17, -0x1.68d582b6af87fp-17, -0x1.6a5b2363b8acbp-17, -0x1.6bce9635833f3p-17, }}, 
      {{0x1.416f03d752a7p-7, 0x1.1c5dba6edcbf5p-6, 0x1.564513a28e2e4p-6, 0x1.3ce9d0b68198ap-6, 0x1.92649e80dbaccp-7, -0x1.ccd6474ea284ap-13, -0x1.221c0a4b569fbp-6, -0x1.437e2c12b70cep-5, -0x1.0929f36302e81p-4, -0x1.7b2ad24fc1cffp-4, -0x1.f42bf2ff991fp-4, -0x1.3864f5308ca34p-3, -0x1.76f782bee2d9cp-3, -0x1.b4714fb1de134p-3, -0x1.efa7df2b400ebp-3, -0x1.13d1670f268e3p-2, -0x1.2dcd067ad8951p-2, -0x1.4579652476c2bp-2, -0x1.5a9dca84c2f0fp-2, -0x1.6d140aa4136f9p-2, -0x1.7cc64eb579973p-2, -0x1.89ace1a38fcb8p-2, -0x1.93cc113c80ebp-2, -0x1.9b322f3f43fe7p-2, -0x1.9ff5b91e6cf1ep-2, -0x1.a233abcf0da5ep-2, -0x1.a20e038b5739cp-2, -0x1.9faa697509554p-2, -0x1.9b310c743a53p-2, -0x1.94cba43d351b4p-2, -0x1.8ca49b336a43bp-2, -0x1.82e65c1faf36ap-2, -0x1.77bac01c42fb8p-2, -0x1.6b4a999d7fe35p-2, -0x1.5dbd5868a0985p-2, -0x1.4f38c3c4f40cfp-2, -0x1.3fe0c67917ffap-2, -0x1.2fd74c3a9431dp-2, -0x1.1f3c295f06b5ep-2, -0x1.0e2d10fe61bbap-2, -0x1.f98b25902f8bep-3, -0x1.d63e3ac16920ep-3, -0x1.b2a215f2f6dc7p-3, -0x1.8ee16478ac627p-3, -0x1.6b22ed76a9283p-3, -0x1.4789b94fd3086p-3, -0x1.243545b7faad9p-3, -0x1.0141b7f0fb8e7p-3, -0x1.bd9016b4f2e19p-4, -0x1.79bc7ff26e069p-4, -0x1.372f1e643db89p-4, -0x1.ec128309e09f9p-5, -0x1.6cceedfeb18f5p-5, -0x1.e18793334831p-6, -0x1.e064fefe2c48p-7, -0x1.7803051498446p-12, 0x1.ba77dc6e847e1p-7, 0x1.b8f9e42927604p-6, 0x1.469eb954ceea1p-5, 0x1.acfa26f09333ap-5, 0x1.07c54fb3a7db6p-4, 0x1.3727cf89201f8p-4, 0x1.64a621510dbffp-4, 0x1.904370f78c49p-4, 0x1.ba04565885b42p-4, 0x1.e1eea70fd907cp-4, 0x1.0404a85429669p-3, 0x1.162e177d6144ap-3, 0x1.2777f727aafb9p-3, 0x1.37e6f4e513712p-3, 0x1.4780083df9ffbp-3, 0x1.564865217bc4ap-3, 0x1.64457086410dep-3, 0x1.717cb564e4591p-3, 0x1.7df3db7e11885p-3, 0x1.89b09e1cf543fp-3, 0x1.94b8c59261dccp-3, 0x1.9f121f171efc9p-3, 0x1.a8c277a5905bp-3, 0x1.b1cf95bc4d38p-3, 0x1.ba3f35a60e4bep-3, 0x1.c21704905b3a3p-3, 0x1.c95c9cffd7c7cp-3, 0x1.d01583c408d04p-3, 0x1.d64725da4513dp-3, 0x1.dbf6d4705c783p-3, 0x1.e129c4b503348p-3, 0x1.e5e50d3c3e869p-3, 0x1.ea2da55652a4dp-3, 0x1.ee0862e9d5464p-3, 0x1.f179fb1999169p-3, 0x1.f487005d72792p-3, 0x1.f733e2f20524ap-3, 0x1.f984f053d5cfcp-3, 0x1.fb7e5337c3d94p-3, 0x1.fd2413b41fa5dp-3, 0x1.fe7a16d8d697cp-3, 0x1.ff842027a152ap-3, 0x1.0022e8915df25p-2, 0x1.006154a28b362p-2, 0x1.007f03fef4403p-2, 0x1.007d96114c081p-2, 0x1.005e9a668793p-2, 0x1.00239153acd15p-2, 0x1.ff9bd785ffc1fp-3, 0x1.febe1831cab19p-3, 0x1.fdb08ca078c1fp-3, 0x1.fc75c0fb915acp-3, 0x1.fb10264ffc888p-3, 0x1.f982135c3a7fep-3, 0x1.f7cdc5cddce01p-3, 0x1.f5f561beb717cp-3, 0x1.f3faf45aa37d1p-3, 0x1.f1e0739260126p-3, 0x1.efa7bf4329f45p-3, 0x1.ed52a12fb92fbp-3, 0x1.eae2cf53a293cp-3, 0x1.e859eb6219313p-3, 0x1.e5b983e2ecaa8p-3, 0x1.e303155500bbep-3, 0x1.e0380a31fedp-3, 0x1.dd59bc1bebf26p-3, 0x1.da6974a0d30a7p-3, 0x1.d7686d8d2e49cp-3, 0x1.d457d1a26094dp-3, 0x1.d138bd63399e5p-3, 0x1.ce0c4005c387p-3, 0x1.cad35acb7b8b2p-3, 0x1.c78f0350b5b94p-3, 0x1.c440229e62feep-3, 0x1.c0e79658d3ee3p-3, 0x1.bd86318125782p-3, 0x1.ba1cbca87be5cp-3, 0x1.b6abf5d6bd51bp-3, 0x1.b3349204a1f28p-3, 0x1.afb73cfa8698cp-3, 0x1.ac349a33ce96dp-3, 0x1.a8ad445895959p-3, 0x1.a521ce6980876p-3, 0x1.a192c44e5ab83p-3, 0x1.9e00aa5c1acb4p-3, 0x1.9a6bfe6a9764bp-3, 0x1.96d537c618cd6p-3, 0x1.933cc79087d1cp-3, 0x1.8fa3191aa3eeep-3, 0x1.8c089239e446cp-3, 0x1.886d9345d87bfp-3, 0x1.84d2787d952c2p-3, 0x1.813797ce37bbap-3, 0x1.7d9d43d7ceed6p-3, 0x1.7a03ca7f91707p-3, 0x1.766b75e21a54ep-3, 0x1.72d48bb96813ap-3, 0x1.6f3f4e5b9aca7p-3, 0x1.6babfd1eccccfp-3, 0x1.681ad33af9f96p-3, 0x1.648c08cd1080ep-3, 0x1.60ffd3a72afcfp-3, 0x1.5d766655bb32p-3, 0x1.59eff09257916p-3, 0x1.566c9fd8751c6p-3, 0x1.52ec9f1bedd4p-3, 0x1.4f7016f5e06b1p-3, 0x1.4bf72dd8d8becp-3, 0x1.4882082c5f2eep-3, 0x1.4510c853e4268p-3, 0x1.41a38f31ea509p-3, 0x1.3e3a7ae913fb1p-3, 0x1.3ad5a8c1ef87ap-3, 0x1.37753471d996ep-3, 0x1.341937c33689p-3, 0x1.30c1cbb4fc97ep-3, 0x1.2d6f06fdb1b9ep-3, 0x1.2a20ff8f11271p-3, 0x1.26d7ca2869a78p-3, 0x1.23937a0942ee9p-3, 0x1.205421a4bcba5p-3, 0x1.1d19d24af7cb3p-3, 0x1.19e49bfaac20ap-3, 0x1.16b48e4c87f81p-3, 0x1.1389b72d69678p-3, 0x1.1064245bd5784p-3, 0x1.0d43e26f80f6bp-3, 0x1.0a28fd20938b8p-3, 0x1.07137f879be61p-3, 0x1.040373f39e593p-3, 0x1.00f8e3f701103p-3, 0x1.fbe7b11d02248p-4, 0x1.f5e8b37f9efb7p-4, 0x1.eff4dfbe4d57cp-4, 0x1.ea0c42b6d304p-4, 0x1.e42eea0c08aap-4, 0x1.de5ce195b41c5p-4, 0x1.d89633eb588e1p-4, 0x1.d2daebe19cf6dp-4, 0x1.cd2b11969c14bp-4, 0x1.c786ad60f4765p-4, 0x1.c1edc63402572p-4, 0x1.bc6062df0fcf3p-4, 0x1.b6de87ec1c6bbp-4, 0x1.b1683a374825cp-4, 0x1.abfd7ee55eb3p-4, 0x1.a69e57a015e8dp-4, 0x1.a14ac72f702d5p-4, 0x1.9c02cf82a4128p-4, 0x1.96c6717c52dd8p-4, 0x1.9195ad727a89dp-4, 0x1.8c70832ad97ddp-4, 0x1.8756f1e7ff858p-4, 0x1.8248f80e4cd76p-4, 0x1.7d4693a221072p-4, 0x1.784fc1f1f0377p-4, 0x1.7364802f8d762p-4, 0x1.6e84ca31ec9e8p-4, 0x1.69b09bffa473p-4, 0x1.64e7f1081ed66p-4, 0x1.602ac3d021808p-4, 0x1.5b790efb3f27bp-4, 0x1.56d2cc4b6ac99p-4, 0x1.5237f52b6c0dfp-4, 0x1.4da8824997e93p-4, 0x1.49246d857cc41p-4, 0x1.44abad8d9a827p-4, 0x1.403e3ac64a598p-4, 0x1.3bdc0c73cbd64p-4, 0x1.378519a18860ap-4, 0x1.333958e7ce1cep-4, 0x1.2ef8c0bef8ee3p-4, 0x1.2ac34662e94fap-4, 0x1.2698e0039e64dp-4, 0x1.227982b1fda0ap-4, 0x1.1e65234f45afcp-4, 0x1.1a5bb65970743p-4, 0x1.165d3060cf2a8p-4, 0x1.126984f84e837p-4, 0x1.0e80a809dde23p-4, 0x1.0aa28cf46156dp-4, 0x1.06cf270e472b2p-4, 0x1.030668a4fc629p-4, 0x1.fe9088a90176ep-5, 0x1.f72959e6b0ce7p-5, 0x1.efd728c518836p-5, 0x1.e899d8cab1a7ap-5, 0x1.e1714cec1cb34p-5, 0x1.da5d69473e0bcp-5, 0x1.d35e0e9daddcdp-5, 0x1.cc731ffd7a14ap-5, 0x1.c59c7ea3579fbp-5, 0x1.beda0a68736d5p-5, 0x1.b82ba5d29ddb3p-5, 0x1.b1913071b58ebp-5, 0x1.ab0a8a406260fp-5, 0x1.a4979364c8dacp-5, 0x1.9e382ae4ed5acp-5, 0x1.97ec301de5e63p-5, 0x1.91b38167b933bp-5, 0x1.8b8dfd5b59507p-5, 0x1.857b821ddceadp-5, 0x1.7f7bede1e8934p-5, 0x1.798f1df597932p-5, 0x1.73b4f026c83e1p-5, 0x1.6ded417e1ac2p-5, 0x1.6837eebcde7b1p-5, 0x1.6294d4c3b6586p-5, 0x1.5d03d03210c3bp-5, 0x1.5784be43ba1d2p-5, 0x1.521779a3bbc91p-5, 0x1.4cbbdfa31cbbbp-5, 0x1.4771caf4b4d23p-5, 0x1.42391898f9389p-5, 0x1.3d11a4954e679p-5, 0x1.37fb491b47ed2p-5, 0x1.32f5e21cc4517p-5, 0x1.2e014afc2b41cp-5, 0x1.291d5ed76a829p-5, 0x1.2449f9183936p-5, 0x1.1f86f4d4be652p-5, 0x1.1ad42cec57e76p-5, 0x1.16317c7542f03p-5, 0x1.119ebe4e3ea89p-5, 0x1.0d1bcd662ac1fp-5, 0x1.08a884a34397ap-5, 0x1.0444bf11f2ae5p-5, 0x1.ffe0af142072cp-6, 0x1.f75651f43e0ecp-6, 0x1.eeea1c9d9be66p-6, 0x1.e69bc4ceb1664p-6, 0x1.de6b00a7e879bp-6, 0x1.d657857416883p-6, 0x1.ce6109aa00889p-6, 0x1.c68743bad641p-6, 0x1.bec9e976b6e71p-6, 0x1.b728b05b142d5p-6, 0x1.afa3514baf2ebp-6, 0x1.a83982475c2f2p-6, 0x1.a0eaf9d6954dp-6, 0x1.99b770076badcp-6, 0x1.929e9af551ac8p-6, 0x1.8ba032d9af79p-6, 0x1.84bbed833d676p-6, 0x1.7df187177531ep-6, 0x1.7740b2a8c9df5p-6, 0x1.70a92c4c0fa22p-6, 0x1.6a2aaa876f633p-6, 0x1.63c4e77d323e6p-6, 0x1.5d779ddb590a6p-6, 0x1.57428622b18abp-6, 0x1.51255b4a25e52p-6, 0x1.4b1fd770c5c8cp-6, 0x1.4531b47683869p-6, 0x1.3f5aad8c73ff4p-6, 0x1.399a7cacc906bp-6, 0x1.33f0dd897b64fp-6, 0x1.2e5d8cccbcf87p-6, 0x1.28e046559bb6cp-6, 0x1.2378c7ad5a6eep-6, 0x1.1e26cee131dbep-6, 0x1.18ea18fe7929bp-6, 0x1.13c2651f8a68dp-6, 0x1.0eaf72ea4ffcap-6, 0x1.09b0fef4711b5p-6, 0x1.04c6c91ade929p-6, 0x1.ffe120b92912bp-7, 0x1.f65c26763f90dp-7, 0x1.ecfe22bbdfad2p-7, 0x1.e3c697b84e2e7p-7, 0x1.dab5089c435dbp-7, 0x1.d1c8fbaefe64bp-7, 0x1.c901f86f5e10bp-7, 0x1.c05f86e38cadcp-7, 0x1.b7e12feca9754p-7, 0x1.af867ba99d4b8p-7, 0x1.a74ef0a7aa45ap-7, 0x1.9f3a165b2f1acp-7, 0x1.97476e8ce2222p-7, 0x1.8f768ac2e37d8p-7, 0x1.87c6eb67f9e1dp-7, 0x1.803820f9fcb55p-7, 0x1.78c9bac550365p-7, 0x1.717b4c911a97dp-7, 0x1.6a4c69fbf3d8bp-7, 0x1.633ca9bd64af1p-7, 0x1.5c4ba10bd5939p-7, 0x1.5578e3a3127ebp-7, 0x1.4ec40369abbdep-7, 0x1.482c916d73dd2p-7, 0x1.41b21d59dd09dp-7, 0x1.3b543afe43614p-7, 0x1.35127aa09aeap-7, 0x1.2eec770816395p-7, 0x1.28e1ce9e56ea1p-7, 0x1.22f21f6194084p-7, 0x1.1d1d0b83380cap-7, 0x1.17623472181b7p-7, 0x1.11c13db691897p-7, 0x1.0c39c77c15eb5p-7, 0x1.06cb719202b66p-7, 0x1.0175d88da43d6p-7, 0x1.f8712b4ad1b9dp-8, 0x1.ee269e1f2c9d4p-8, 0x1.e40b341d9ea79p-8, 0x1.da1e3d497f0c1p-8, 0x1.d05f05cb66ef2p-8, 0x1.c6cce5acc0e79p-8, 0x1.bd673595290acp-8, 0x1.b42d51c73e129p-8, 0x1.ab1e90676f59dp-8, 0x1.a23a51d56f543p-8, 0x1.997fed5c97249p-8, 0x1.90eebde915435p-8, 0x1.8886170afc4c9p-8, 0x1.804554e9e7b35p-8, 0x1.782bc144a49adp-8, 0x1.7038bdd955731p-8, 0x1.686ba94af9d9cp-8, 0x1.60c3edf15dbd5p-8, 0x1.5940fa3da4522p-8, 0x1.51e23a8d1330bp-8, 0x1.4aa723cbfc13bp-8, 0x1.438f1bd5b223p-8, 0x1.3c99945da15p-8, 0x1.35c5ff887f9a6p-8, 0x1.2f13d19b0972ap-8, 0x1.28827df4ffdeep-8, 0x1.22117cd2d1736p-8, 0x1.1bc03b0ebad25p-8, 0x1.158e33e03881fp-8, 0x1.0f7adfd952321p-8, 0x1.0985bd8eee42fp-8, 0x1.03ae4e58c3dcdp-8, 0x1.fbe8271bc70b8p-9, 0x1.f0ad24f919799p-9, 0x1.e5aa7b4ab26dcp-9, 0x1.dadf40af31e95p-9, 0x1.d04a7a4f1d47p-9, 0x1.c5eb422ec50bap-9, 0x1.bbc0aa4f80f33p-9, 0x1.b1c9d32212ddp-9, 0x1.a805e036bcef4p-9, 0x1.9e73f9dff7c42p-9, 0x1.95134baff253ep-9, 0x1.8be3078ee86c5p-9, 0x1.82e24f3f4a85p-9, 0x1.7a104302db1f6p-9, 0x1.716c0d835ba4dp-9, 0x1.68f4c9f726e93p-9, 0x1.60a99866fab32p-9, 0x1.5889a73e5b169p-9, 0x1.50943406039aap-9, 0x1.48c86ebe655dep-9, 0x1.4125b0d1795a9p-9, 0x1.39ab3b07789a8p-9, 0x1.325854bf8ad39p-9, 0x1.2b2c5b336fe8bp-9, 0x1.2426ae19df421p-9, 0x1.1d46b6990d56bp-9, 0x1.168bd0e5a80e4p-9, 0x1.0ff5409dce3a4p-9, 0x1.0982447591d18p-9, 0x1.03321670ca252p-9, 0x1.fa07f14b77719p-10, 0x1.edee78a5d1298p-10, 0x1.e2168390a8fe6p-10, 0x1.d67eccab7414ap-10, 0x1.cb265172a3f5cp-10, 0x1.c00be65919722p-10, 0x1.b52e604395271p-10, 0x1.aa8c938cf7dbcp-10, 0x1.a02566e176997p-10, 0x1.95f805a3f4fb3p-10, 0x1.8c038f919de11p-10, 0x1.82470b10bcdb3p-10, 0x1.78c16ad6f3d45p-10, 0x1.6f715d2e43a0ep-10, 0x1.66559a2a4984dp-10, 0x1.5d6cd6fdbadbep-10, 0x1.54b5ff7df3632p-10, 0x1.4c30203fbff89p-10, 0x1.43da61d6c28bap-10, 0x1.3bb3e23003844p-10, 0x1.33bbd9d7f3538p-10, 0x1.2bf1287a6021fp-10, 0x1.24530e25c6883p-10, 0x1.1ce098aae389cp-10, 0x1.159901ccb5a2fp-10, 0x1.0e7ba0b13e829p-10, 0x1.0787c8bc4ed67p-10, 0x1.00bcb8447f9bap-10, 0x1.f432f0144e445p-11, 0x1.e73a838264753p-11, 0x1.da8e15e0987e4p-11, 0x1.ce2b82b1ab32fp-11, 0x1.c2114059e1f79p-11, 0x1.b63ddf7773f05p-11, 0x1.aab05c43dcabp-11, 0x1.9f675184e36e6p-11, 0x1.94616a7b603d5p-11, 0x1.899d23286d483p-11, 0x1.7f190008b9fcap-11, 0x1.74d3a88b780c3p-11, 0x1.6acc04a03fb23p-11, 0x1.61014a5ac260ep-11, 0x1.5771e10f1ea2ap-11, 0x1.4e1ce0fbe3dd9p-11, 0x1.4500ee744f861p-11, 0x1.3c1cc30d03fb5p-11, 0x1.336f23325f046p-11, 0x1.2af6cfb2a73ddp-11, 0x1.22b25d564e2fep-11, 0x1.1aa0a436e81f5p-11, 0x1.12c08c113ca17p-11, 0x1.0b1141a77ed9ep-11, 0x1.0391c4466864fp-11, 0x1.f8821b31cb29cp-12, 0x1.ea3c907f186bfp-12, 0x1.dc4fda8ed13e3p-12, 0x1.ceba4925ea195p-12, 0x1.c17a4f723c06dp-12, 0x1.b48eb43b9d222p-12, 0x1.a7f5dbcae4e81p-12, 0x1.9bad8039a0352p-12, 0x1.8fb38a3e7e0c1p-12, 0x1.840654ac8caddp-12, 0x1.78a41a155e19cp-12, 0x1.6d8b771524114p-12, 0x1.62badc51da00dp-12, 0x1.5830904d9f5f4p-12, 0x1.4deaaddf1c335p-12, 0x1.43e7d5f8903a5p-12, 0x1.3a2679642487dp-12, 0x1.30a5446649cfdp-12, 0x1.2762db0501992p-12, 0x1.1e5d8c502db64p-12, 0x1.1593c2e17d122p-12, 0x1.0d042c8e21476p-12, 0x1.04adc33c581e9p-12, 0x1.f91f4aa6c2cffp-13, 0x1.e950aefcd2353p-13, 0x1.d9eda85fbc5d1p-13, 0x1.caf212f0c29fap-13, 0x1.bc5c1281badc5p-13, 0x1.ae29408e2da56p-13, 0x1.a0575c78ddadcp-13, 0x1.92e50077b2387p-13, 0x1.85cf912b98469p-13, 0x1.7915642da0c69p-13, 0x1.6cb40eb0daa2dp-13, 0x1.60a9407af64b4p-13, 0x1.54f281b48f114p-13, 0x1.498ddce957578p-13, 0x1.3e798c5f994f9p-13, 0x1.33b36dbff6d05p-13, 0x1.293968056f607p-13, 0x1.1f0a42cf6eeb2p-13, 0x1.15247353b8f57p-13, 0x1.0b861626c5f1bp-13, 0x1.022d7db3aea7bp-13, 0x1.f23116b01f033p-14, 0x1.e08af62f02d1p-14, 0x1.cf65d2881b493p-14, 0x1.bebe279da8687p-14, 0x1.ae91888404a73p-14, 0x1.9edcd9663f384p-14, 0x1.8f9d8fe4563f2p-14, 0x1.80d1c31ab696fp-14, 0x1.7274b87b39a95p-14, 0x1.6485753fb01a1p-14, 0x1.5700cde37a0a4p-14, 0x1.49e312b3ce34ap-14, 0x1.3d291f62ccfaep-14, 0x1.30d0c5b86940cp-14, 0x1.24d7b018a5634p-14, 0x1.193bca1ab8f5ep-14, 0x1.0dfa6901e5de2p-14, 0x1.03131ca2fc9bap-14, 0x1.f1044e2f58697p-15, 0x1.dc89287dbdf55p-15, 0x1.c8b1106a8a838p-15, 0x1.b5788a391175dp-15, 0x1.a2dda79eda5a6p-15, 0x1.90d5af5b5e165p-15, 0x1.7f637c8c408b3p-15, 0x1.6e8033e50544bp-15, 0x1.5e28f9bcc35d1p-15, 0x1.4e5b789188804p-15, 0x1.3f1191fb37831p-15, 0x1.304a879c0c737p-15, 0x1.220244b6e13cep-15, 0x1.1434d11be98e7p-15, 0x1.06de562ac71b8p-15, 0x1.f3f5f0712856ap-16, 0x1.db0d47e2a27a6p-16, 0x1.c3010a93192a7p-16, 0x1.abcb25aa6a027p-16, 0x1.9563d5bbc18e5p-16, 0x1.7fc638c60ff29p-16, 0x1.6af276f870e1ep-16, 0x1.56d8e7f89a106p-16, 0x1.43799ba8770abp-16, 0x1.30ce5d24b1855p-16, 0x1.1ed260001c12dp-16, 0x1.0d8163f771556p-16, 0x1.f9aca72a54508p-17, 0x1.d99adfd0eed79p-17, 0x1.bab9896080bf3p-17, 0x1.9d0d0bb7f700ap-17, 0x1.808897a79dccfp-17, 0x1.65257f3ceaeffp-17, 0x1.4ad2dd7c7149ep-17, 0x1.319b4dc9e5003p-17, 0x1.1964cf332af5ap-17, 0x1.022ec1789aed9p-17, 0x1.d7dc884f031f8p-18, 0x1.ad3784a0e86e8p-18, 0x1.846833b4ca7ebp-18, 0x1.5d5d5e6de0e63p-18, 0x1.380422208c6d4p-18, 0x1.14556188a3075p-18, 0x1.e48f8187fc2b7p-19, 0x1.a3889732baaeep-19, 0x1.6581080fda09ap-19, 0x1.2a7506e48c05p-19, 0x1.e466edef2086p-20, 0x1.796677c9934aap-20, 0x1.13cd9be8feaa4p-20, 0x1.66a4513aaba2p-21, 0x1.5f4edc42a3e6ep-22, 0x1.2fdaaf81b64d3p-28, -0x1.43414e5e9586ep-22, -0x1.3c953cf072915p-21, -0x1.cebe3290da68cp-21, -0x1.2c23fb65ffb6p-20, -0x1.6ce9f2cd84c0fp-20, -0x1.a987591b09a79p-20, -0x1.e27b7b3d9837ap-20, -0x1.0bdcf0e58560dp-19, -0x1.24c399244635fp-19, -0x1.3bd4fcf1aa612p-19, -0x1.514a924545fccp-19, -0x1.651cf6d4a4878p-19, -0x1.77666ad6d67e8p-19, -0x1.883d00246f226p-19, -0x1.9798b304d041fp-19, -0x1.a58716ce55164p-19, -0x1.b255d2f9f5a18p-19, -0x1.bd904be4774d9p-19, -0x1.c7bad5acde78cp-19, -0x1.d0a860eda32a9p-19, -0x1.d86a8d6861811p-19, -0x1.df1a156d8b18ep-19, -0x1.e4bae6ab0dd36p-19, -0x1.e95b03ab6a056p-19, -0x1.ecfd1aa774026p-19, -0x1.efa5fc81db79ep-19, -0x1.f16be87937d34p-19, -0x1.f256ea7c22565p-19, -0x1.f26b5976e03b3p-19, -0x1.f1baf577ec605p-19, -0x1.f048ca175d2bap-19, -0x1.ee152682c04fbp-19, -0x1.eb3527ad7e4bdp-19, -0x1.e7aa2251cff43p-19, -0x1.e376a1f37f98dp-19, -0x1.deaffffaf0b5p-19, -0x1.d95febc21bf0bp-19, -0x1.d3744e3aacfb3p-19, -0x1.cd0bd429940e6p-19, -0x1.c621fb0f1546p-19, -0x1.bec28327258ddp-19, -0x1.b6ece90751b83p-19, -0x1.aeac4ddf53785p-19, -0x1.a60dfc46c22f4p-19, -0x1.9d060dd6a6722p-19, -0x1.93a94726ca218p-19, -0x1.89f2fa7fea6a6p-19, -0x1.7fd0a847409f6p-19, -0x1.75ba7ee77a61dp-19, -0x1.6b073c6c6af72p-19, -0x1.602b3950d3264p-19, -0x1.5515fe379dc65p-19, -0x1.49c76dfc4564bp-19, -0x1.3e42e20bd9c55p-19, -0x1.328dff4166512p-19, -0x1.26a98e70ebebep-19, -0x1.1aa31678048d8p-19, -0x1.0e6f2e796efddp-19, -0x1.021f97ceae72ep-19, -0x1.eb5606a0c06f5p-20, -0x1.d2508ccd32604p-20, -0x1.b8ff207e6f41fp-20, -0x1.9f99b5ec3d223p-20, -0x1.8604a2f7dfbe8p-20, -0x1.6c524bbbf9789p-20, -0x1.5290cb098e73ep-20, -0x1.38ae005135a67p-20, -0x1.1ecdc00cdea73p-20, -0x1.04d247abc220ap-20, -0x1.d5bc6ae071f4p-21, -0x1.a1e09e636fa3bp-21, -0x1.6de61780a4549p-21, -0x1.39fed553c0a61p-21, -0x1.067b3c779b029p-21, -0x1.a5b4bcf1e3825p-22, -0x1.3ef807a4965fep-22, -0x1.b0e72e762a9f7p-23, -0x1.c73d6308bc3e3p-24, -0x1.99c4a6aca6efcp-27, 0x1.60ac1e0f7014p-24, 0x1.7a9a7b1b873dfp-23, 0x1.205546996bedap-22, 0x1.8362b8b34b681p-22, 0x1.e593a3beca838p-22, 0x1.23c4cb9af2f32p-21, 0x1.5414d3543f3e7p-21, 0x1.845f96a41686ap-21, 0x1.b40ee1736c6a4p-21, 0x1.e33c27eb02823p-21, 0x1.09009b1d6b8a3p-20, 0x1.20206ddec66bdp-20, 0x1.37037376b0a8bp-20, 0x1.4dab0185a000dp-20, 0x1.6409b80b23ac9p-20, 0x1.7a34cbb940d75p-20, 0x1.90185afce65f3p-20, 0x1.a5afd837ca80ap-20, 0x1.bb0b345b4e6cp-20, 0x1.d011e47b5516dp-20, 0x1.e4d92e9ba9213p-20, 0x1.f9597f7f7f743p-20, 0x1.06cad24a1b31ap-19, 0x1.10bc1f8946222p-19, 0x1.1a8c39e2678c2p-19, 0x1.242b159a039dap-19, 0x1.2daba1077005dp-19, 0x1.36fde6df726bfp-19, 0x1.403fbaa50e72fp-19, 0x1.495433c014a97p-19, 0x1.5235bad5e38a9p-19, 0x1.5af069c4ce8adp-19, 0x1.638a2cab8c055p-19, 0x1.6bf3cb488389fp-19, 0x1.743e7738830c9p-19, 0x1.7c5aff5a4422p-19, 0x1.845100708c684p-19, 0x1.8c15558c4ade7p-19, 0x1.93c64f7ad15efp-19, 0x1.9b454b3cbbb3ap-19, 0x1.a29bc913c803ap-19, 0x1.a9ca860a7beb6p-19, 0x1.b0d4030a29e4bp-19, 0x1.b7b0f9148d9f9p-19, 0x1.be6609413637p-19, 0x1.c4f6e21e17ad2p-19, 0x1.cb639eac9c3ecp-19, 0x1.d1a1aed2baff4p-19, 0x1.d7b38b0e58723p-19, 0x1.ddac30799122dp-19, 0x1.e373ae861e4aep-19, 0x1.e91771b96f035p-19, 0x1.ee90d132647c6p-19, 0x1.f3ee4d80f255bp-19, 0x1.f9220d307b3a3p-19, 0x1.fe352cf842186p-19, 0x1.018cba6007104p-18, 0x1.03ef2fb0ec0edp-18, 0x1.063c8e2cbe54bp-18, 0x1.0878e1ea52661p-18, 0x1.0aa32fc0850ep-18, 0x1.0cb3966092ac3p-18, 0x1.0ebfe59f78a86p-18, 0x1.10b65e74e3b39p-18, 0x1.1297a536dfe04p-18, 0x1.1468ab1019dap-18, 0x1.16285d914a1c9p-18, 0x1.17d696353bbc5p-18, 0x1.1976cb707908cp-18, 0x1.1b0156bbcbfe8p-18, 0x1.1c7fb0eed7dc1p-18, 0x1.1deae43473fbp-18, 0x1.1f46b5882b99p-18, 0x1.20920ad2e6172p-18, 0x1.21cd96ca80ab3p-18, 0x1.22f9c4ce439d5p-18, 0x1.241646dac2541p-18, 0x1.25228001e84c2p-18, 0x1.2620c40400ff2p-18, 0x1.270f743c0134ap-18, 0x1.27ef74aee65c8p-18, 0x1.28bf6af3feb34p-18, 0x1.2981857adc70dp-18, 0x1.2a374f1bc165ap-18, 0x1.2adee8dc33c81p-18, 0x1.2b76a79198c9ep-18, 0x1.2c00d914129bfp-18, 0x1.2c7d4e8ce2383p-18, 0x1.2ce9b3aba46bep-18, 0x1.2d518e99beff3p-18, 0x1.2da5da3ab80bdp-18, 0x1.2df0a9f1a3dap-18, 0x1.2e28d79e742c7p-18, 0x1.2e5bf33b68675p-18, 0x1.2e7fc4e0f1258p-18, 0x1.2e94607935b8bp-18, 0x1.2ea2a0092cc6cp-18, 0x1.2e9c950396d7p-18, 0x1.2e93ef389b71cp-18, 0x1.2e81714c38dd2p-18, 0x1.2e5c9431e256p-18, 0x1.2e30b1d67850ap-18, 0x1.2dfb2a689174bp-18, 0x1.2db688ab86abdp-18, 0x1.2d68cb2ea1463p-18, 0x1.2d155a2c07caap-18, 0x1.2cb052fc8a3b2p-18, 0x1.2c4adb7fc6743p-18, 0x1.2bd2058eb502fp-18, 0x1.2b55927bae30dp-18, 0x1.2acf0a6449fe3p-18, 0x1.2a3ee329e654dp-18, 0x1.29a5b5a81972fp-18, 0x1.290644a9c14fap-18, 0x1.285691c0d9b64p-18, 0x1.27a59ab57b9fcp-18, 0x1.26e9aa01fc2fcp-18, 0x1.2625dcaea5d53p-18, 0x1.255b99ea21d7fp-18, 0x1.2486f9d578bcbp-18, 0x1.23aa94035578fp-18, 0x1.22c847d59b384p-18, 0x1.21dcaaddd8fb7p-18, 0x1.20ef5269d23eep-18, 0x1.1ff534ab5e9f9p-18, 0x1.1ef4f5fb1b809p-18, 0x1.1ded9b8458651p-18, 0x1.1ce232a5255b9p-18, 0x1.1bcf586a8074fp-18, 0x1.1ab5803c88775p-18, 0x1.19974d6ea539ap-18, 0x1.18724864dc828p-18, 0x1.17472731cdf57p-18, 0x1.16158aeffd72p-18, 0x1.14e0050542ea7p-18, 0x1.13a0c8719528p-18, 0x1.1261cc49c3cdp-18, 0x1.111b7e7a0d8ffp-18, 0x1.0fcfded752b0ap-18, 0x1.0e804feb9cc64p-18, 0x1.0d2bb27e4045ep-18, 0x1.0bd0edd407b74p-18, 0x1.0a7127d8bb2edp-18, 0x1.090d6822991a7p-18, 0x1.07abf09a3489fp-18, 0x1.0640166fca46dp-18, 0x1.04d064723cbcbp-18, 0x1.035fd6c3cf9fcp-18, 0x1.01e8beafe4c28p-18, 0x1.006c5e6c20bd1p-18, 0x1.fde3c68bc2bep-19, 0x1.fae02143af98fp-19, 0x1.f7dc47d561a02p-19, 0x1.f4c891bd4a05dp-19, 0x1.f1b7f62686341p-19, 0x1.ee9ece5eb9565p-19, 0x1.eb7f16e591003p-19, 0x1.e8561e8b45f5bp-19, 0x1.e52ca83312c5p-19, 0x1.e1fb24255b645p-19, 0x1.dec396cd74ad1p-19, 0x1.db8dd629b458dp-19, 0x1.d850965fa910bp-19, 0x1.d50f452473c9ap-19, 0x1.d1c82b666d7ffp-19, 0x1.ce818b2431ee9p-19, 0x1.cb3363266762bp-19, 0x1.c7e09a5a09673p-19, 0x1.c48ab068a2f4cp-19, 0x1.c137803abbbdap-19, 0x1.bddb4172b5babp-19, 0x1.ba80e4b8091a5p-19, 0x1.b72094f919266p-19, 0x1.b3bf4b7236b4bp-19, 0x1.b057a0862da5p-19, 0x1.acf2f008504ddp-19, 0x1.a989c211cff7bp-19, 0x1.a6218b5927053p-19, 0x1.a2b2a85903f5p-19, 0x1.9f469807f0c6fp-19, 0x1.9bdb02d9b11ddp-19, 0x1.986a8de509ddfp-19, 0x1.94f8f58362547p-19, }}, 
      {{-0x1.b2a46fdb2becap-5, -0x1.3b15e1fccdc0ap-5, -0x1.aec6ec275d871p-6, -0x1.90357b4ac9fe8p-6, -0x1.2d021f22de102p-5, -0x1.044dec55d1efap-4, -0x1.a466b42fb4049p-4, -0x1.33e99d675c6a6p-3, -0x1.9e9ea5ffbe59cp-3, -0x1.04de2ace2a961p-2, -0x1.36c7e965b61e1p-2, -0x1.61dd24b67ffb4p-2, -0x1.83aef794f6dfap-2, -0x1.9a8ed9a58b256p-2, -0x1.a580818cd6c5ap-2, -0x1.a4241f66d9156p-2, -0x1.969d3dd1d9faep-2, -0x1.7d791210db2d9p-2, -0x1.5995f0050cbddp-2, -0x1.2c0ce04af3d1dp-2, -0x1.ec3bbe5a4ad1ap-3, -0x1.723def4058c21p-3, -0x1.d9b8cc419e14cp-4, -0x1.7b31b4c76c90dp-5, 0x1.aaaace30843ffp-6, 0x1.9a24e9ef0ba5dp-4, 0x1.66243b3591abp-3, 0x1.fe7a33e75d40bp-3, 0x1.4a1edb8f4e6fap-2, 0x1.92e9a6750d6f8p-2, 0x1.d8ed1dee2b50fp-2, 0x1.0dcaaf1785f56p-1, 0x1.2d34c85abdd1p-1, 0x1.4a850d0d22dccp-1, 0x1.659752058dfdp-1, 0x1.7e51f545d8a98p-1, 0x1.94a4c8598e923p-1, 0x1.a887ff37c2addp-1, 0x1.b9fb1e474cbd2p-1, 0x1.c904051413ea7p-1, 0x1.d5adfed3d1f35p-1, 0x1.e008e82e1e759p-1, 0x1.e82869e41a9fp-1, 0x1.ee2345d4c85c3p-1, 0x1.f212aff97cea2p-1, 0x1.f411ba427926dp-1, 0x1.f43cd4a69136ap-1, 0x1.f2b1593f8b00ap-1, 0x1.ef8d228b65619p-1, 0x1.eaee2ff160cbcp-1, 0x1.e4f25a6572f44p-1, 0x1.ddb714fb8a4aap-1, 0x1.d55935f91677bp-1, 0x1.cbf4c7c06d05fp-1, 0x1.c1a4e30c2e331p-1, 0x1.b683927de4168p-1, 0x1.aaa9bde421da2p-1, 0x1.9e2f1b5256939p-1, 0x1.912a244e44946p-1, 0x1.83b00f0d36adcp-1, 0x1.75d4cb9089ee7p-1, 0x1.67ab04497ec51p-1, 0x1.5944221f21122p-1, 0x1.4ab052de39c0ap-1, 0x1.3bfe9160e7a83p-1, 0x1.2d3caf4c77b88p-1, 0x1.1e775f5827d0dp-1, 0x1.0fba40de32414p-1, 0x1.010feb972549bp-1, 0x1.e503f862d3711p-2, 0x1.c83241ec9fcb8p-2, 0x1.abba4d9b0a87dp-2, 0x1.8faa0c4887b6dp-2, 0x1.740ddf421fa4ep-2, 0x1.58f0b16ff4646p-2, 0x1.3e5c0fa636db3p-2, 0x1.2458402d77e86p-2, 0x1.0aec59b04e5d3p-2, 0x1.e43cb1b1e6594p-3, 0x1.b3e66b75df412p-3, 0x1.84ddef30ac6b9p-3, 0x1.5729902a6c15cp-3, 0x1.2ace0b483d61bp-3, 0x1.ff9d522f50914p-4, 0x1.ac5abcc1d1d58p-4, 0x1.5bd5d7437da92p-4, 0x1.0e0df20bf8d05p-4, 0x1.8600c717fc903p-5, 0x1.eaa2ed816189bp-6, 0x1.a8078864dcd5ep-7, -0x1.bfce10d10d887p-9, -0x1.397883997850bp-6, -0x1.184feb04903p-5, -0x1.8ecd7baabb423p-5, -0x1.00262323cb598p-4, -0x1.36728a323f344p-4, -0x1.6a58f8102e1e9p-4, -0x1.9be6f7e51778fp-4, -0x1.cb2a84f5adacfp-4, -0x1.f831f2b1dea08p-4, -0x1.1185eda1fc9aap-3, -0x1.25e38664d2d45p-3, -0x1.39393c40166b3p-3, -0x1.4b8e928242a29p-3, -0x1.5ceb0f83ce848p-3, -0x1.6d56379ea3149p-3, -0x1.7cd786c82e6fcp-3, -0x1.8b766c3d6895ep-3, -0x1.993a45fdaebf9p-3, -0x1.a62a5c79a6a0fp-3, -0x1.b24de0077e99fp-3, -0x1.bdabe4d57799ep-3, -0x1.c84b60ddbbd7bp-3, -0x1.d23329ed4840ep-3, -0x1.db69f2c72a1d9p-3, -0x1.e3f64a5dab978p-3, -0x1.ebde9a39c4063p-3, -0x1.f32924f2e8729p-3, -0x1.f9dc06139dab4p-3, -0x1.fffd3111cb0cbp-3, -0x1.02c938325a98fp-2, -0x1.0550b31ec00c1p-2, -0x1.0797c5d9caa1ap-2, -0x1.09a1185645146p-2, -0x1.0b6f3e5f1d709p-2, -0x1.0d04b764d28c2p-2, -0x1.0e63eeac8f07cp-2, -0x1.0f8f3bdbcadeep-2, -0x1.1088e2f2a391ap-2, -0x1.1153148272ef8p-2, -0x1.11efee59bddccp-2, -0x1.12617bcfb8d04p-2, -0x1.12a9b5b44a90ep-2, -0x1.12ca8335863bfp-2, -0x1.12c5ba3bb47c8p-2, -0x1.129d1f860d844p-2, -0x1.1252674094c42p-2, -0x1.11e735b879551p-2, -0x1.115d1f7a9642ap-2, -0x1.10b5a9af69497p-2, -0x1.0ff24ae4f1349p-2, -0x1.0f146b73e01e7p-2, -0x1.0e1d65ae7b83p-2, -0x1.0d0e8652aa701p-2, -0x1.0be90d636aad3p-2, -0x1.0aae2e4cee4dep-2, -0x1.095f1028d4569p-2, -0x1.07fcce598a6d7p-2, -0x1.0688790e8e55dp-2, -0x1.050315996f086p-2, -0x1.036d9e891a132p-2, -0x1.01c90450639f9p-2, -0x1.00162dbb34a4fp-2, -0x1.fcabf05f4b7ccp-3, -0x1.f9126fc957e6bp-3, -0x1.f561707f279ddp-3, -0x1.f19a78d553349p-3, -0x1.edbeff1e9f323p-3, -0x1.e9d069dfe535bp-3, -0x1.e5d0108ffa24p-3, -0x1.e1bf3c8d532f1p-3, -0x1.dd9f2981aa816p-3, -0x1.d97105c7a215dp-3, -0x1.d535f2dea80f3p-3, -0x1.d0ef061ad2e21p-3, -0x1.cc9d493ff2198p-3, -0x1.c841bae202bb2p-3, -0x1.c3dd4e8a54bc3p-3, -0x1.bf70ed6faaa13p-3, -0x1.bafd76f11af57p-3, -0x1.b683c0e8f3fd1p-3, -0x1.b2049802b9b05p-3, -0x1.ad80c011bda57p-3, -0x1.a8f8f47032bcp-3, -0x1.a46de8720df88p-3, -0x1.9fe047b103135p-3, -0x1.9b50b6474cd42p-3, -0x1.96bfd1258e065p-3, -0x1.922e2e4ca62d2p-3, -0x1.8d9c5d407f055p-3, -0x1.890ae72586b02p-3, -0x1.847a4f1ad6029p-3, -0x1.7feb125504829p-3, -0x1.7b5da870b888dp-3, -0x1.76d283aaf2c5bp-3, -0x1.724a1119e5a17p-3, -0x1.6dc4b8df34a46p-3, -0x1.6942de50e8874p-3, -0x1.64c4e024d3c8ep-3, -0x1.604b18b850ec6p-3, -0x1.5bd5de16c5553p-3, -0x1.5765824df6689p-3, -0x1.52fa53720342ap-3, -0x1.4e949bd0c2df8p-3, -0x1.4a34a2254b9afp-3, -0x1.45daa98fd66efp-3, -0x1.4186f1ea00bacp-3, -0x1.3d39b7c8bd3ep-3, -0x1.38f334a27b46fp-3, -0x1.34b39eee8d725p-3, -0x1.307b2a38aebaep-3, -0x1.2c4a07516c2b6p-3, -0x1.28206443567f7p-3, -0x1.23fe6c92a8e6ep-3, -0x1.1fe4493a751a4p-3, -0x1.1bd220d3b2c13p-3, -0x1.17c817a0f1a2fp-3, -0x1.13c64fa876ae5p-3, -0x1.0fcce8c3a4247p-3, -0x1.0bdc00bb6e85cp-3, -0x1.07f3b34caab84p-3, -0x1.04141a4a48b2ap-3, -0x1.003d4da36b082p-3, -0x1.f8dec6f8bfd21p-4, -0x1.f154e06e7597ap-4, -0x1.e9dd0d026ec4fp-4, -0x1.e2776eda1a574p-4, -0x1.db2424fbe6f2dp-4, -0x1.d3e34b45f86c7p-4, -0x1.ccb4fac87228dp-4, -0x1.c59949af6642fp-4, -0x1.be904b6f89437p-4, -0x1.b79a10e2a1c65p-4, -0x1.b0b6a83fa6a7cp-4, -0x1.a9e61d5b24a7dp-4, -0x1.a328799e9b136p-4, -0x1.9c7dc437a386bp-4, -0x1.95e602155e382p-4, -0x1.8f6135face6d2p-4, -0x1.88ef60b7ff423p-4, -0x1.8290810a3decp-4, -0x1.7c4493c5f08aap-4, -0x1.760b93f4f4daap-4, -0x1.6fe57ace8cc5ep-4, -0x1.69d23fe1c686fp-4, -0x1.63d1d90bd8d41p-4, -0x1.5de43a95c8512p-4, -0x1.5809574cf75c5p-4, -0x1.52412072dbd3bp-4, -0x1.4c8b85ec35172p-4, -0x1.46e8764427065p-4, -0x1.4157deb180339p-4, -0x1.3bd9ab364ebb5p-4, -0x1.366dc69ab8805p-4, -0x1.31141a7905abdp-4, -0x1.2bcc8f5c32095p-4, -0x1.26970cb198e0ap-4, -0x1.217378f1eea76p-4, -0x1.1c61b995fee03p-4, -0x1.1761b33c7c078p-4, -0x1.12734996006dp-4, -0x1.0d965f70069e4p-4, -0x1.08cad6de142d2p-4, -0x1.0410911c8bb14p-4, -0x1.fecedd67d746fp-5, -0x1.f59e9f1cced3ap-5, -0x1.ec9025c559878p-5, -0x1.e3a32ea15941fp-5, -0x1.dad775bbfb8fap-5, -0x1.d22cb60ed4dp-5, -0x1.c9a2a9652a31p-5, -0x1.c13908a09f50bp-5, -0x1.b8ef8bbeb1643p-5, -0x1.b0c5e9fa21983p-5, -0x1.a8bbd9ba287afp-5, -0x1.a0d110b3de9a4p-5, -0x1.990543f7618c1p-5, -0x1.915827bad58a6p-5, -0x1.89c96fb052046p-5, -0x1.8258cee51429fp-5, -0x1.7b05f81823803p-5, -0x1.73d09d8f10a7ep-5, -0x1.6cb87166617fbp-5, -0x1.65bd255a456a5p-5, -0x1.5ede6aca8ed61p-5, -0x1.581bf2b99530bp-5, -0x1.51756dbeed09bp-5, -0x1.4aea8c4fccbc3p-5, -0x1.447afebda154fp-5, -0x1.3e267573df72p-5, -0x1.37eca101a663cp-5, -0x1.31cd3209e0076p-5, -0x1.2bc7d920acbd5p-5, -0x1.25dc46b5a214p-5, -0x1.200a2b084816cp-5, -0x1.1a513637d0fd2p-5, -0x1.14b118840f0fap-5, -0x1.0f29827fa32c5p-5, -0x1.09ba25533c234p-5, -0x1.0462b2aa90d84p-5, -0x1.fe45b94af540dp-6, -0x1.f3f4ab04521fap-6, -0x1.e9d19eca77934p-6, -0x1.dfdbf8889567p-6, -0x1.d6131bf03171bp-6, -0x1.cc766d59bb8d3p-6, -0x1.c305524edc539p-6, -0x1.b9bf329c01fb9p-6, -0x1.b0a3782665a22p-6, -0x1.a7b18ecbf8aap-6, -0x1.9ee8e2ff75a7bp-6, -0x1.9648e17797018p-6, -0x1.8dd0f597f5ad9p-6, -0x1.85808a30478bap-6, -0x1.7d5709bf1a1c1p-6, -0x1.7553dfeeb0069p-6, -0x1.6d767b299d13ep-6, -0x1.65be4d76a78b9p-6, -0x1.5e2acc802fefep-6, -0x1.56bb70e60b93dp-6, -0x1.4f6fb4233c4fp-6, -0x1.48470f19769eep-6, -0x1.4140f87f97b16p-6, -0x1.3a5ce4aa4e0e7p-6, -0x1.339a46e82ab7bp-6, -0x1.2cf8934b0990cp-6, -0x1.26774113e48e3p-6, -0x1.2015ccc45cdf6p-6, -0x1.19d3b89b486b1p-6, -0x1.13b08c12dd3e6p-6, -0x1.0dabd167d7971p-6, -0x1.07c512f63a417p-6, -0x1.01fbd8191e40cp-6, -0x1.f89f487138b55p-7, -0x1.ed7fed5b652dfp-7, -0x1.e29899802bb97p-7, -0x1.d7e849dd62514p-7, -0x1.cd6e03a1ee4e1p-7, -0x1.c328da0dade0ap-7, -0x1.b917f093e618cp-7, -0x1.af3a798d67d58p-7, -0x1.a58fb08e17632p-7, -0x1.9c16d24fe8216p-7, -0x1.92cf14d7d5266p-7, -0x1.89b7a234c804ap-7, -0x1.80cf974202276p-7, -0x1.781608d7e92ecp-7, -0x1.6f8a083f206bap-7, -0x1.672aabbddf085p-7, -0x1.5ef715262383p-7, -0x1.56ee78a7d1de6p-7, -0x1.4f101ed483fc5p-7, -0x1.475b63ad76d2p-7, -0x1.3fcfae6d48143p-7, -0x1.386c668322b4ap-7, -0x1.3130e8aac8eeap-7, -0x1.2a1c80de03ae5p-7, -0x1.232e6ac0a97b7p-7, -0x1.1c65d6a675534p-7, -0x1.15c1efc075aa8p-7, -0x1.0f41e2b7a8c6p-7, -0x1.08e4e4c73da58p-7, -0x1.02aa3bbe43554p-7, -0x1.f9228b0ba5022p-8, -0x1.ed32f736868ep-8, -0x1.e184d916fe0eap-8, -0x1.d6175c013c5d2p-8, -0x1.cae996fd89894p-8, -0x1.bffa77b93f7bbp-8, -0x1.b548bd3bb0281p-8, -0x1.aad30d07b8864p-8, -0x1.a097fe5cca134p-8, -0x1.969627f595927p-8, -0x1.8ccc20cea0878p-8, -0x1.83388a7a96d7bp-8, -0x1.79da22a1e3b1dp-8, -0x1.70afdf42f21a5p-8, -0x1.67b8f6f654f27p-8, -0x1.5ef4d48b122dfp-8, -0x1.5662ebbd083cp-8, -0x1.4e028d87d314bp-8, -0x1.45d2d0f28b599p-8, -0x1.3dd2a0d9fb2b6p-8, -0x1.3600d7e2e5115p-8, -0x1.2e5c5e713c971p-8, -0x1.26e42c4c6d938p-8, -0x1.1f9738427aa5p-8, -0x1.187468ba6d3d9p-8, -0x1.117a9cd9604dfp-8, -0x1.0aa8d0028d433p-8, -0x1.03fe38d372084p-8, -0x1.faf4985eb87f6p-9, -0x1.ee393f6141a8ap-9, -0x1.e1c96d62d1b37p-9, -0x1.d5a3c785e52f6p-9, -0x1.c9c697ec7fcc6p-9, -0x1.be30100d3cd03p-9, -0x1.b2de997d2d78ap-9, -0x1.a7d0f72af54b4p-9, -0x1.9d061cb7ec3d9p-9, -0x1.927ccfee8b93ap-9, -0x1.883363c35c1e1p-9, -0x1.7e27cad2c1551p-9, -0x1.7457eb0988bfcp-9, -0x1.6ac2067ec3735p-9, -0x1.6164dbdb710ecp-9, -0x1.583f86a28090fp-9, -0x1.4f5136fb3449ep-9, -0x1.4699010422d4ap-9, -0x1.3e15d430203bdp-9, -0x1.35c69da57bee8p-9, -0x1.2daa7e8517057p-9, -0x1.25c0eb50912eap-9, -0x1.1e09924a8422cp-9, -0x1.1683f13bd8349p-9, -0x1.0f2ee721003b5p-9, -0x1.080896573c036p-9, -0x1.010eb766f61eep-9, -0x1.f47e3a9a592acp-10, -0x1.e73025311cc62p-10, -0x1.da30d7fcfa27dp-10, -0x1.cd7efef89fc5dp-10, -0x1.c119f0a9c162p-10, -0x1.b5014429c7c16p-10, -0x1.a93473ba46b0ep-10, -0x1.9db2deede6e81p-10, -0x1.927c1785f65c9p-10, -0x1.878ff150af565p-10, -0x1.7cee013c09536p-10, -0x1.7294e6d36a10cp-10, -0x1.6881ed35af22fp-10, -0x1.5eb148c2a0d8ap-10, -0x1.551ee2f3328abp-10, -0x1.4bc735e1e98fap-10, -0x1.42a782ca1afebp-10, -0x1.39bdb0c49dd33p-10, -0x1.31087f1293acep-10, -0x1.2887eff4de95dp-10, -0x1.203ccd59b058p-10, -0x1.18279f0f3141fp-10, -0x1.1048612c4add3p-10, -0x1.089f40bb438e8p-10, -0x1.012cc2096a3fp-10, -0x1.f3e13a52cd842p-11, -0x1.e5d180c301e93p-11, -0x1.d823ab56dec62p-11, -0x1.cad0df6e25fd6p-11, -0x1.bdd38a4a9f54fp-11, -0x1.b127a15ea7da1p-11, -0x1.a4caa16baa2ecp-11, -0x1.98ba73b961837p-11, -0x1.8cf3f2b2ab11ap-11, -0x1.8173f55f49ed1p-11, -0x1.763abc2881099p-11, -0x1.6b4b37e776205p-11, -0x1.60a6e3188cfdep-11, -0x1.564d1ed1c4ce2p-11, -0x1.4c3e945530c18p-11, -0x1.427d58cff213dp-11, -0x1.3908922f583c1p-11, -0x1.2fdad0c7e7a3p-11, -0x1.26eccd004dedcp-11, -0x1.1e38b907c407cp-11, -0x1.15bb8deea4456p-11, -0x1.0d7418ea4f5c7p-11, -0x1.0561dabf156a5p-11, -0x1.fb09f1269d49fp-12, -0x1.ebba6ed8b87cp-12, -0x1.dccea1babaf69p-12, -0x1.ce3e3db6bd0bdp-12, -0x1.c00b378e60e3dp-12, -0x1.b23d54a6cd57p-12, -0x1.a4d513511db51p-12, -0x1.97ced7c56a7d6p-12, -0x1.8b2c812e90bbbp-12, -0x1.7eefcdab32978p-12, -0x1.731356d5fc704p-12, -0x1.678e2588726b6p-12, -0x1.5c58caf762729p-12, -0x1.516e3a05fc7bcp-12, -0x1.46cb25c4ce453p-12, -0x1.3c6dafd2488d4p-12, -0x1.32551dd85b6a3p-12, -0x1.28818172d0abbp-12, -0x1.1ef4589a6b761p-12, -0x1.15ada9f3d01d1p-12, -0x1.0ca5cec8e8325p-12, -0x1.03d6e3faeb887p-12, -0x1.f68f54f407b27p-13, -0x1.e5f93b88825f2p-13, -0x1.d5e026fb8eedbp-13, -0x1.c6400ef2b045cp-13, -0x1.b71bbe8cc3928p-13, -0x1.a86ba69ef3505p-13, -0x1.9a25eb8d1763fp-13, -0x1.8c473271dec6fp-13, -0x1.7ecf8c8f0c1d6p-13, -0x1.71bd7541abf32p-13, -0x1.650b81eecbf4fp-13, -0x1.58b2b7b91a242p-13, -0x1.4cae59fe9b6a1p-13, -0x1.40fd490b9cb98p-13, -0x1.35a02bde19c3fp-13, -0x1.2a9a6857623cep-13, -0x1.1fec404454db8p-13, -0x1.158a0c37d42a6p-13, -0x1.0b73ecdc59737p-13, -0x1.01b3ebab82p-13, -0x1.f07d7b198b502p-14, -0x1.de1e1688df767p-14, -0x1.cc51a9b066d62p-14, -0x1.bb0affe8c8d1p-14, -0x1.aa3d3f4741b43p-14, -0x1.99e855d28a07p-14, -0x1.8a11a5231ab65p-14, -0x1.7abd9569a18p-14, -0x1.6bed00066044p-14, -0x1.5d9a1bc538582p-14, -0x1.4fb748ef10a31p-14, -0x1.4235a8bb1381bp-14, -0x1.3510179454627p-14, -0x1.2849f9036836dp-14, -0x1.1be71f41d38b5p-14, -0x1.0fefea43d8fd5p-14, -0x1.0463c8a4b0feep-14, -0x1.f269b737f3593p-15, -0x1.dccd35894e1d3p-15, -0x1.c7cdfe697ec08p-15, -0x1.b36cf8825ae93p-15, -0x1.9fbc6aa5435c6p-15, -0x1.8ca38f12766ddp-15, -0x1.7a15068e586b4p-15, -0x1.681275c553de4p-15, -0x1.569fbf82181ccp-15, -0x1.45becd229dffep-15, -0x1.35737a2485de4p-15, -0x1.25c10b2b63945p-15, -0x1.16a79656a2accp-15, -0x1.08172e8aa5293p-15, -0x1.f3e1a4466d4e1p-16, -0x1.d850d8d1b658dp-16, -0x1.bd9f5714c254ap-16, -0x1.a3cdcef5ad93cp-16, -0x1.8ad41d3b07913p-16, -0x1.72f3870ca3973p-16, -0x1.5c04b808391d2p-16, -0x1.45c6de472b195p-16, -0x1.301cb887299c7p-16, -0x1.1b384631efcap-16, -0x1.071cb6c727ef7p-16, -0x1.e74d045cfd477p-17, -0x1.c19e1917e1b57p-17, -0x1.9d3355dcc0711p-17, -0x1.7a0ab6c2a03abp-17, -0x1.581da171e64c6p-17, -0x1.3766bb48a4bdp-17, -0x1.17e3d913e1295p-17, -0x1.f33d6fd747788p-18, -0x1.b94afbae83b91p-18, -0x1.81d545b39934dp-18, -0x1.4c3a5ff65125ep-18, -0x1.1825d4207ecefp-18, -0x1.cc15bfeb1ed41p-19, -0x1.6b6260b6c38dfp-19, -0x1.0def56cf49aefp-19, -0x1.6b1fc1f7afb11p-20, -0x1.862b9ad959102p-21, -0x1.f55e20c8c9fbp-24, 0x1.fe5cd497b7de4p-22, 0x1.16eb5df770eddp-20, 0x1.a8033e0da5ebfp-20, 0x1.19dc8cb19410ap-19, 0x1.5cf5f904b71e2p-19, 0x1.9d5147459dda2p-19, 0x1.daf0cb42457d3p-19, 0x1.0afe48969229fp-18, 0x1.2742b421d9f4ap-18, 0x1.4250742446accp-18, 0x1.5c2f4e164ff9ep-18, 0x1.74e89d26d4675p-18, 0x1.8c6f3a1dd1b63p-18, 0x1.a2aa7a3a25a76p-18, 0x1.b7bf395e4a67p-18, 0x1.cc05dea75c746p-18, 0x1.df62eff0ccb3ap-18, 0x1.f1f8195123fb5p-18, 0x1.01c9e55df4a4ap-17, 0x1.0a091e2a6a14fp-17, 0x1.11c20e337fec4p-17, 0x1.1938efe8dbba1p-17, 0x1.20598c51b371p-17, 0x1.26fe99e87dd26p-17, 0x1.2d49823a32282p-17, 0x1.333d8816c19f5p-17, 0x1.38d8311ba8209p-17, 0x1.3e1b68e877833p-17, 0x1.430a49682e088p-17, 0x1.47a7e8f56fef5p-17, 0x1.4bf7882751905p-17, 0x1.4ffbe80cf6b31p-17, 0x1.53b6f7237643ep-17, 0x1.572d8e0844415p-17, 0x1.5a61c304117d6p-17, 0x1.5d56a5efbef55p-17, 0x1.60090c8934b45p-17, 0x1.626bba3d5e72p-17, 0x1.648fc0aa99cc2p-17, 0x1.668c8b818158p-17, 0x1.685e130ea8835p-17, 0x1.69ea2244e6ea4p-17, 0x1.6b41a7daa7d11p-17, 0x1.6c68ed3e8667ap-17, 0x1.6d6514828961fp-17, 0x1.6e3a73ef344d4p-17, 0x1.6ed76a69b1d8ep-17, 0x1.6f534d9f4ee49p-17, 0x1.6fa58124b6a1ep-17, 0x1.6fd0fd03169f5p-17, 0x1.6fd63b6083463p-17, 0x1.6fb75046fa893p-17, 0x1.6f75c51d33d2cp-17, 0x1.6f1281a8ade83p-17, 0x1.6e8f486361162p-17, 0x1.6dee49821a6e2p-17, 0x1.6d2f211b72039p-17, 0x1.6c53e87a220f1p-17, 0x1.6b5e1d4f12a9dp-17, 0x1.6a4f9a281d59bp-17, 0x1.692a51873fa69p-17, 0x1.67ebe4e240309p-17, 0x1.668cfab7c3bfdp-17, 0x1.651bc0cf3355dp-17, 0x1.639ec6116cf24p-17, 0x1.6205d216585eap-17, 0x1.6059829e9a028p-17, 0x1.5e9fd3d0992ep-17, 0x1.5cd3f79794951p-17, 0x1.5af806d3536f4p-17, 0x1.590aa4726746bp-17, 0x1.570fe849d00d4p-17, 0x1.55073556e4af8p-17, 0x1.52f17167d5c3bp-17, 0x1.50ce84a186a41p-17, 0x1.4e9f96e51b5f5p-17, 0x1.4c66255a7b086p-17, 0x1.4a22f358ad314p-17, 0x1.47cf452c6462p-17, 0x1.4579303c3a097p-17, 0x1.43180b26eba65p-17, 0x1.40ae774fd88eap-17, 0x1.3e3cef40a2a51p-17, 0x1.3bc402967be43p-17, 0x1.39446741738d3p-17, 0x1.36bebbf95dcccp-17, 0x1.3433b91875318p-17, 0x1.31a365e86b5a7p-17, 0x1.2f0b5c69186c8p-17, 0x1.2c70e9a0d31ebp-17, 0x1.29d14236fcf4cp-17, 0x1.272cfd6f870d7p-17, 0x1.24868c8afb737p-17, 0x1.21dde548b7351p-17, 0x1.1f32133097824p-17, 0x1.1c832538557e9p-17, 0x1.19d24f75368bdp-17, 0x1.17201dd8f85a5p-17, 0x1.146c44f132b7dp-17, 0x1.11b743fadfd47p-17, 0x1.0f018c678fcebp-17, 0x1.0c4ae2cc92795p-17, 0x1.09949d0c96744p-17, 0x1.06dd3db757632p-17, 0x1.0426d902160a7p-17, 0x1.016fc66b364f9p-17, 0x1.fd7363efab343p-18, 0x1.f80be1aef85f4p-18, 0x1.f2a007e3f92b9p-18, 0x1.ed3a3c2bbb9ddp-18, 0x1.e7dc0213be5f6p-18, 0x1.e276ac815bc95p-18, 0x1.dd19d5eb0eff6p-18, 0x1.d7be9c253c97dp-18, 0x1.d26bf399a3f38p-18, 0x1.cd18690135abbp-18, 0x1.c7ce87f2e359bp-18, 0x1.c286c53193ac6p-18, 0x1.bd44a101fa1cdp-18, 0x1.b807d54c510d7p-18, 0x1.b2d0f7053d816p-18, 0x1.ada05b3c59a6p-18, 0x1.a875330e52148p-18, 0x1.a35047d928f3cp-18, 0x1.9e31ba3c4aa4dp-18, 0x1.991a50fff798fp-18, 0x1.9409ad3c2080ep-18, 0x1.8effe3f13d803p-18, 0x1.89fd9a45eec7bp-18, 0x1.85025c8bfef02p-18, 0x1.800e8307eeefep-18, 0x1.7b22241ee1f9ep-18, 0x1.763dc09864255p-18, 0x1.71617a94e71a4p-18, 0x1.6c8e39542b4ecp-18, 0x1.67c164f636769p-18, 0x1.62fa93a64c481p-18, 0x1.5e40dd0b0cdc9p-18, 0x1.598c8a332da52p-18, 0x1.54e1df79acaa6p-18, 0x1.503f81051afb9p-18, 0x1.4ba5877b850a1p-18, 0x1.47143551a4607p-18, 0x1.428ba78759688p-18, 0x1.3e0bb58150bdap-18, 0x1.39945cbe5d843p-18, 0x1.3523a5e91bb1bp-18, 0x1.30c0a7e90f25fp-18, 0x1.2c6435d93b546p-18, 0x1.2810aca5ed766p-18, 0x1.23c63f4261bfep-18, 0x1.1f8510d850622p-18, 0x1.1b4bbe2575ca5p-18, 0x1.171c529fac1f8p-18, 0x1.12f5bd0db4b5dp-18, 0x1.0ed8f6aad1103p-18, 0x1.0ac47eba1e9b9p-18, 0x1.06b781a4c7452p-18, 0x1.02b63713cc80fp-18, 0x1.fd79ea36ae792p-19, 0x1.f5973fdd95b58p-19, 0x1.edc5cd4fe70bp-19, 0x1.e60b8c79b0ed6p-19, 0x1.de60893087302p-19, 0x1.d6c9cc753289p-19, 0x1.cf441d6b471e4p-19, 0x1.c7cdc569005cfp-19, 0x1.c06bfbb4bb4fp-19, 0x1.b91a2c99ae36p-19, 0x1.b1d9ec8be3919p-19, 0x1.aaa326a897b6ap-19, 0x1.a3901ce885bc3p-19, 0x1.9c851bace0a1dp-19, 0x1.958bee7d4232ap-19, 0x1.8ea3fc9baea16p-19, 0x1.87cd73bf3aab7p-19, 0x1.8107ecb5ef648p-19, 0x1.7a52af64cd1d9p-19, 0x1.73b02295caf8cp-19, 0x1.6d1f6fbff9f6bp-19, 0x1.669c5ca71fbc1p-19, 0x1.602bf9b43dfb8p-19, 0x1.59cbef51143efp-19, 0x1.537c7e27afe8fp-19, 0x1.4d3da284fac55p-19, 0x1.470f42b6b70b6p-19, 0x1.40f1c3288bb8bp-19, 0x1.3ae3a5c6c4331p-19, 0x1.34e54c279ef18p-19, 0x1.2ef7ad4126e44p-19, 0x1.291b1ff05cc26p-19, 0x1.234a43314640bp-19, 0x1.1d8eea12c546dp-19, 0x1.17df3dfdc6b91p-19, 0x1.1240504a5a843p-19, 0x1.0cb17453c807p-19, 0x1.073055115c74fp-19, 0x1.01baa08fa7139p-19, 0x1.f8b7b7b3b8335p-20, 0x1.ee140636b6896p-20, 0x1.e389dff0ba31dp-20, 0x1.d91b44fad4f64p-20, 0x1.cecfd00275bap-20, 0x1.c49f15dae1436p-20, 0x1.ba87ec3f77258p-20, 0x1.b0920c36325b1p-20, 0x1.a6a68b4c35abap-20, 0x1.9cf85a8a431aap-20, 0x1.93533ce92551dp-20, 0x1.89ccc50cb0338p-20, 0x1.805fa90e4cb0bp-20, 0x1.7717506676243p-20, 0x1.6dd7a53f695acp-20, 0x1.64b4b4702e303p-20, 0x1.5bb6ede02a887p-20, 0x1.52c6e38ba2fe8p-20, 0x1.4a069663c766cp-20, 0x1.4152467a3427cp-20, 0x1.38ba074fc1a25p-20, 0x1.30391dd887ca6p-20, 0x1.27cfacef41704p-20, 0x1.1f83a793970abp-20, 0x1.1753276f49a77p-20, 0x1.0f317c02b23eep-20, 0x1.072c6c4c2b835p-20, 0x1.fe7de189e3f5ap-21, 0x1.eed0df1c4929ep-21, 0x1.df53920166234p-21, 0x1.d0087962998f3p-21, 0x1.c0ee078faaa21p-21, 0x1.b1fe5f12776ecp-21, 0x1.a33c9171443b2p-21, 0x1.94bfdc966f0f3p-21, 0x1.8636a8930039ep-21, 0x1.77ff26359d563p-21, 0x1.69f0844c72c95p-21, 0x1.5c0c0774ccc47p-21, 0x1.4e4e99ee0d269p-21, 0x1.40bfd00203a3dp-21, 0x1.3356aadb9d00bp-21, 0x1.26199543bd69ap-21, 0x1.19074a8868d94p-21, 0x1.0c21fb3df55c3p-21, 0x1.fec6f34246e1cp-22, 0x1.e5804289bc5ecp-22, 0x1.cca137020a2cfp-22, 0x1.b40f7a8ce18d1p-22, 0x1.9bcabf5a704d5p-22, 0x1.83cdbc2f09e4ep-22, 0x1.6c204b4d04f7p-22, 0x1.54c7331a267cdp-22, 0x1.3d7384505012fp-22, 0x1.26cfd7f9a3714p-22, 0x1.105566fbd8c84p-22, 0x1.f411edb153777p-23, 0x1.c83b1ab6e074ep-23, 0x1.9cf447700558p-23, 0x1.723d23a3cbdf3p-23, 0x1.480dbf0ff98d5p-23, 0x1.1e40ac8d3c1e2p-23, 0x1.ea41f3ffa104ap-24, 0x1.9907e38388508p-24, 0x1.48b53448cb0f1p-24, 0x1.f2be16781c6b4p-25, 0x1.5817e60aa2099p-25, 0x1.77cc2018ced5fp-26, 0x1.1f45cc513e297p-28, -0x1.cbb78f946d37ep-27, -0x1.06c79c3425e61p-25, -0x1.99a661255d7d1p-25, -0x1.14ee02df2c913p-24, -0x1.5c2ca3012d574p-24, -0x1.a28536f7de8ccp-24, -0x1.e80a0e31090dbp-24, -0x1.16455ec96341ep-23, -0x1.37fcb1f69f6e9p-23, -0x1.595fe9780b86dp-23, -0x1.7a3a250581daap-23, -0x1.9a981d6f9c1cap-23, -0x1.bac451821cfe5p-23, -0x1.da48fb292e66fp-23, -0x1.f97293d992b4fp-23, -0x1.0be215eb1692fp-22, -0x1.1b490845b44afp-22, -0x1.2a28ecf83689p-22, -0x1.38df98ae51c68p-22, -0x1.4773a216b811ep-22, -0x1.55b3c89471422p-22, -0x1.63df5c15097afp-22, -0x1.71cccb82f4598p-22, -0x1.7f8bd56f02471p-22, -0x1.8d1316a0fa1a4p-22, }}, 
      {{-0x1.d704bd0178f7p-5, -0x1.a7d1f64e9c5d4p-5, -0x1.7156512cee629p-5, -0x1.46b66c49100b6p-5, -0x1.357112b745514p-5, -0x1.44c707164d6c1p-5, -0x1.769a7466cfa61p-5, -0x1.c8c5ea9915064p-5, -0x1.1b395ff7347c3p-4, -0x1.5c9ebcbe265p-4, -0x1.a50d3111e0d1fp-4, -0x1.f0fe307da03fbp-4, -0x1.1e91a21994904p-3, -0x1.4344bb18d245bp-3, -0x1.65564060df001p-3, -0x1.83bf18d658a76p-3, -0x1.9db2cc6b60d34p-3, -0x1.b29c6553edb27p-3, -0x1.c219a5d69450bp-3, -0x1.cbf554080e9a5p-3, -0x1.d0212451eca9ap-3, -0x1.ceafa0c3f58bdp-3, -0x1.c7ce4e6e11001p-3, -0x1.bbc038b7cb102p-3, -0x1.aad8fc0f076dfp-3, -0x1.95785bdb65f0dp-3, -0x1.7c0666b41a531p-3, -0x1.5ef0256800645p-3, -0x1.3ea4cedbe39dap-3, -0x1.1b9376b13bb58p-3, -0x1.ec525746d27cp-4, -0x1.9d9ef38e0c327p-4, -0x1.4bd689d78a091p-4, -0x1.ef6fbb28acb18p-5, -0x1.43eafc611d06bp-5, -0x1.2cd40ba7eb027p-6, 0x1.7e2bbde9f4cf8p-9, 0x1.8bcba9d80ad38p-6, 0x1.72a49d6a00defp-5, 0x1.0e9f499bb75bfp-4, 0x1.62763a67bc0d2p-4, 0x1.b47fa033844f7p-4, 0x1.0237b8499c723p-3, 0x1.2902308aedd23p-3, 0x1.4e83a03c6b1a7p-3, 0x1.72a521817fd36p-3, 0x1.95541d9ac44c6p-3, 0x1.b681ee9328a7fp-3, 0x1.d6238c34791cap-3, 0x1.f4313a69386e2p-3, 0x1.085319f4b884p-2, 0x1.15c02b8514e3cp-2, 0x1.225fed870b8f6p-2, 0x1.2e338713bc003p-2, 0x1.393d0bdc79feap-2, 0x1.437f5e09fc342p-2, 0x1.4cfe1142a076dp-2, 0x1.55bd50113435bp-2, 0x1.5dc1c43af331dp-2, 0x1.651081df671fbp-2, 0x1.6baef4dcfa886p-2, 0x1.71a2cf771895cp-2, 0x1.76f1faa78073ap-2, 0x1.7ba2877f6e8b2p-2, 0x1.7fbaa233f6af5p-2, 0x1.834086bbaf56cp-2, 0x1.863a76bfc5f46p-2, 0x1.88aeb13b4347fp-2, 0x1.8aa36ad09765p-2, 0x1.8c1ec76d653cbp-2, 0x1.8d26d49600cf3p-2, 0x1.8dc18487fd6d4p-2, 0x1.8df4aa1575883p-2, 0x1.8dc5f521b8d5bp-2, 0x1.8d3aefbbda4dp-2, 0x1.8c58fbd9ef444p-2, 0x1.8b2551758fe62p-2, 0x1.89a4fd47eae81p-2, 0x1.87dcdfc558df2p-2, 0x1.85d1ac943402p-2, 0x1.8387ea2310111p-2, 0x1.8103f1adbb0cap-2, 0x1.7e49ef639caeep-2, 0x1.7b5de2bf9a636p-2, 0x1.78439f0412384p-2, 0x1.74fecc09f2adcp-2, 0x1.7192e6e6fccf2p-2, 0x1.6e0342ece3a08p-2, 0x1.6a530a85b5bccp-2, 0x1.6685407b5b899p-2, 0x1.629cc0da5907dp-2, 0x1.5e9c423e2e64dp-2, 0x1.5a8656f6c003bp-2, 0x1.565d6e3fd1b63p-2, 0x1.5223d57e4d6bep-2, 0x1.4ddbb978f0149p-2, 0x1.4987279e0f95dp-2, 0x1.45280f238d20fp-2, 0x1.40c04255f8181p-2, 0x1.3c5177ce25edfp-2, 0x1.37dd4b7f0ffcp-2, 0x1.33653ffc398dap-2, 0x1.2eeabf8e3c1cbp-2, 0x1.2a6f1d4484e8cp-2, 0x1.25f3961cea3cfp-2, 0x1.217951f99dde5p-2, 0x1.1d0164ade3c5fp-2, 0x1.188ccef4cedf5p-2, 0x1.141c7f656b634p-2, 0x1.0fb15360cf03fp-2, 0x1.0b4c17dd72d78p-2, 0x1.06ed8a71b55c2p-2, 0x1.029659e785e0cp-2, 0x1.fc8e4e4fe98c9p-3, 0x1.f4010bec89e4ap-3, 0x1.eb85fb6509d85p-3, 0x1.e31e13dd110b7p-3, 0x1.daca365cc680ep-3, 0x1.d28b2f06ff555p-3, 0x1.ca61b640cddbcp-3, 0x1.c24e71ee87a63p-3, 0x1.ba51f67aa2454p-3, 0x1.b26cc7e2659c5p-3, 0x1.aa9f5ab8663f9p-3, 0x1.a2ea1520393bfp-3, 0x1.9b4d4f9e04685p-3, 0x1.93c955f2f8498p-3, 0x1.8c5e681fd7a27p-3, 0x1.850cbacc04b2p-3, 0x1.7dd47851606bep-3, 0x1.76b5c15041f6fp-3, 0x1.6fb0ad4aceb17p-3, 0x1.68c54b45d438ep-3, 0x1.61f3a287c038p-3, 0x1.5b3bb2f29b9c4p-3, 0x1.549d759df4aedp-3, 0x1.4e18dd40e6f2p-3, 0x1.47add6df7fbb8p-3, 0x1.415c4a0ffa556p-3, 0x1.3b24194f4ac71p-3, 0x1.350522a4cca9ap-3, 0x1.2eff3fce1773ap-3, 0x1.291246a674633p-3, 0x1.233e097d36325p-3, 0x1.1d825761dc599p-3, 0x1.17defc74192a2p-3, 0x1.1253c21ffae1ep-3, 0x1.0ce06f2af94e7p-3, 0x1.0784c89143ad4p-3, 0x1.024090f9abe0cp-3, 0x1.fa2712de03bp-4, 0x1.effae2880b179p-4, 0x1.e5fc0d28b5774p-4, 0x1.dc2a0c54ceff8p-4, 0x1.d284573bd6e55p-4, 0x1.c90a63a99ebabp-4, 0x1.bfbba5b2ba559p-4, 0x1.b6978feeab98dp-4, 0x1.ad9d940ae56afp-4, 0x1.a4cd22e2d1f0cp-4, 0x1.9c25ac99649a5p-4, 0x1.93a6a0f606d1ep-4, 0x1.8b4f6f717e096p-4, 0x1.831f876e5e204p-4, 0x1.7b1658618c555p-4, 0x1.733351f102115p-4, 0x1.6b75e3f49ef3dp-4, 0x1.63dd7f21f929p-4, 0x1.5c69946dd51e7p-4, 0x1.5519956bcc6ddp-4, 0x1.4decf4ae3fb84p-4, 0x1.46e3253f0f067p-4, 0x1.3ffb9b935a258p-4, 0x1.3935cce6b25e6p-4, 0x1.32912f669265bp-4, 0x1.2c0d3aa5c8153p-4, 0x1.25a96730848d2p-4, 0x1.1f652ee299573p-4, 0x1.19400ceca084cp-4, 0x1.13397da21e8ffp-4, 0x1.0d50fef9b629ep-4, 0x1.07861005805fbp-4, 0x1.01d8316109133p-4, 0x1.f88dca2f49a5fp-5, 0x1.eda35d497dedcp-5, 0x1.e2f0260375155p-5, 0x1.d873313d0a966p-5, 0x1.ce2b8ecb880bfp-5, 0x1.c41851f83a00dp-5, 0x1.ba388ff4cee8p-5, 0x1.b08b6280683c7p-5, 0x1.a70fe559323a4p-5, 0x1.9dc537ad30e9p-5, 0x1.94aa7bbe8013bp-5, 0x1.8bbed67bc652cp-5, 0x1.830170857f1c8p-5, 0x1.7a71751c2e938p-5, 0x1.720e12baf0d07p-5, 0x1.69d67a7374dabp-5, 0x1.61c9e131eb0e2p-5, 0x1.59e77e30ae868p-5, 0x1.522e8b6557cabp-5, 0x1.4a9e46b8827p-5, 0x1.4335f040870adp-5, 0x1.3bf4cb2e513e7p-5, 0x1.34da1d9f479adp-5, 0x1.2de53086e8138p-5, 0x1.27154fb6d8f85p-5, 0x1.2069c9d745695p-5, 0x1.19e1f0493811ap-5, 0x1.137d174e2fe72p-5, 0x1.0d3a95cf7d096p-5, 0x1.0719c545811b7p-5, 0x1.011a022cf7252p-5, 0x1.f6755708f12cbp-6, 0x1.eaf6458afd7d2p-6, 0x1.dfb59895e42a8p-6, 0x1.d4b21d17e9bf4p-6, 0x1.c9eaa61117baap-6, 0x1.bf5e0af6de14p-6, 0x1.b50b289a33f19p-6, 0x1.aaf0df6a374a8p-6, 0x1.a10e16868a665p-6, 0x1.9761b8a726111p-6, 0x1.8deab56e33209p-6, 0x1.84a801339c52p-6, 0x1.7b9894bff5b28p-6, 0x1.72bb6d6e7c883p-6, 0x1.6a0f8dbe83e7bp-6, 0x1.6193fb2e0be12p-6, 0x1.5947c08612513p-6, 0x1.5129ece539252p-6, 0x1.49399330a1d4dp-6, 0x1.4175caa4fe7d7p-6, 0x1.39ddaea52594fp-6, 0x1.32705ea78a5bp-6, 0x1.2b2cfe082b0c4p-6, 0x1.2412b3a6e4c1dp-6, 0x1.1d20ab7383a7ap-6, 0x1.1656145e07715p-6, 0x1.0fb2206cbb973p-6, 0x1.0934067d92a49p-6, 0x1.02db00982e051p-6, 0x1.f94c993be2d78p-7, 0x1.ed2a568e03c0ap-7, 0x1.e14dc3633549p-7, 0x1.d5b56fcb47932p-7, 0x1.ca5ff27dd8614p-7, 0x1.bf4bea49a205ap-7, 0x1.b477f9f0dae96p-7, 0x1.a9e2cca25c8d9p-7, 0x1.9f8b13e55eea2p-7, 0x1.956f86626f614p-7, 0x1.8b8ee1a611dc3p-7, 0x1.81e7e95518974p-7, 0x1.787966a9ac3d8p-7, 0x1.6f4228f95ef81p-7, 0x1.664105463fd34p-7, 0x1.5d74d6360ef23p-7, 0x1.54dc7cf13ce7bp-7, 0x1.4c76ddda0de87p-7, 0x1.4442e530626d4p-7, 0x1.3c3f82f5ed5c4p-7, 0x1.346bad0fe579bp-7, 0x1.2cc65ed939505p-7, 0x1.254e96bb84b47p-7, 0x1.1e035bc9e78f6p-7, 0x1.16e3b672c39c1p-7, 0x1.0feeb60143c8bp-7, 0x1.09236ccb65df4p-7, 0x1.0280f2c58ffb9p-7, 0x1.f80ccb350e058p-8, 0x1.eb65cba3e637p-8, 0x1.df0b31a9d15e6p-8, 0x1.d2fb50a476feap-8, 0x1.c73484fb6c198p-8, 0x1.bbb5331014a9fp-8, 0x1.b07bc75d0f117p-8, 0x1.a586b6b0bf3aep-8, 0x1.9ad47da0af5c8p-8, 0x1.9063a0b0c7561p-8, 0x1.8632ac13837bcp-8, 0x1.7c4033ac0ad35p-8, 0x1.728ad292cc853p-8, 0x1.69112b3d98209p-8, 0x1.5fd1e7316381cp-8, 0x1.56cbb6e8e6b83p-8, 0x1.4dfd51df46e54p-8, 0x1.456575ca48e33p-8, 0x1.3d02e7ab1c0e1p-8, 0x1.34d472ae58b5ep-8, 0x1.2cd8e861795f6p-8, 0x1.250f21726abe9p-8, 0x1.1d75fbc6de711p-8, 0x1.160c5b71ee78cp-8, 0x1.0ed12af25827ep-8, 0x1.07c35a7a151d8p-8, 0x1.00e1df84fcf64p-8, 0x1.f457691e9927bp-9, 0x1.e73fb956fc35cp-9, 0x1.da7ab1aa2662fp-9, 0x1.ce067505bf47fp-9, 0x1.c1e11ba80147cp-9, 0x1.b608d7d271ddp-9, 0x1.aa7bddba838d3p-9, 0x1.9f386aef59f6dp-9, 0x1.943cccd0c7a48p-9, 0x1.89875244a2ce5p-9, 0x1.7f165898c3cbap-9, 0x1.74e846192bd26p-9, 0x1.6afb855ef224fp-9, 0x1.614e8da580403p-9, 0x1.57dfdd6edfc04p-9, 0x1.4eadfc7b46088p-9, 0x1.45b77a342979fp-9, 0x1.3cfaeedf6adc4p-9, 0x1.3476fbb61485dp-9, 0x1.2c2a480ba1bfdp-9, 0x1.241384c410b43p-9, 0x1.1c31675f4ebb7p-9, 0x1.1482b1f9e95e6p-9, 0x1.0d0624a7ca1dcp-9, 0x1.05ba8b20050f8p-9, 0x1.fd3d6d5b829c8p-10, 0x1.ef62fef872efdp-10, 0x1.e1e38b78d109ep-10, 0x1.d4bce04a8422cp-10, 0x1.c7ecda29128d3p-10, 0x1.bb71645b57f5dp-10, 0x1.af487585077a8p-10, 0x1.a3700f8f0d957p-10, 0x1.97e63dcb688f7p-10, 0x1.8ca9138eeb72ep-10, 0x1.81b6ada2d62b9p-10, 0x1.770d379228c16p-10, 0x1.6caad2562ffbdp-10, 0x1.628dc97ea18e6p-10, 0x1.58b463ea6599p-10, 0x1.4f1cf7e959f16p-10, 0x1.45c5e94b13e4ap-10, 0x1.3cada8ac39096p-10, 0x1.33d2ac3c90799p-10, 0x1.2b3374dbcededp-10, 0x1.22ce87c23bc95p-10, 0x1.1aa26ec97eb4bp-10, 0x1.12adbb2eade0bp-10, 0x1.0aef01de4235p-10, 0x1.0364de87a6435p-10, 0x1.f81c09e5c71e4p-11, 0x1.e9d24a80c2edp-11, 0x1.dbe9fc7122355p-11, 0x1.ce60ba8a58a84p-11, 0x1.c1342e4db1206p-11, 0x1.b4620b09b846ap-11, 0x1.a7e8161f391d7p-11, 0x1.9bc4161148c6bp-11, 0x1.8ff3dde598feap-11, 0x1.8475411d89295p-11, 0x1.794626e5f4e7bp-11, 0x1.6e645fb267fe3p-11, 0x1.63cdfd2423f12p-11, 0x1.5981092b26ad6p-11, 0x1.4f7ba19b902d5p-11, 0x1.45bbfbbbb4a92p-11, 0x1.3c4056d4aa46dp-11, 0x1.3306f84d9ed84p-11, 0x1.2a0e3d3584fc8p-11, 0x1.21547603d0f2ap-11, 0x1.18d809d8d9261p-11, 0x1.10975fbeb07a6p-11, 0x1.0890ee3712817p-11, 0x1.00c30ea8a458dp-11, 0x1.f258ab3f8c7p-12, 0x1.e3968536483f2p-12, 0x1.d53cd7e098f28p-12, 0x1.c748f262441fep-12, 0x1.b9b83b269ee13p-12, 0x1.ac882f6d61aap-12, 0x1.9fb62531072f2p-12, 0x1.933fca31bfbd1p-12, 0x1.8722a850915c7p-12, 0x1.7b5c682e5c496p-12, 0x1.6feac3257fdbap-12, 0x1.64cb80073224bp-12, 0x1.59fc615da9689p-12, 0x1.4f7b4e319079dp-12, 0x1.454620c3b3cb7p-12, 0x1.3b5ad6602cc71p-12, 0x1.31b7797052badp-12, 0x1.285a24192206p-12, 0x1.1f40f8e66cb98p-12, 0x1.166a106ceb0ep-12, 0x1.0dd3c437f383p-12, 0x1.057c263e6b95fp-12, 0x1.fac32a5171daep-13, 0x1.eb04d69cb1ea6p-13, 0x1.dbba20281523p-13, 0x1.ccdff6ca7aba8p-13, 0x1.be735d059638ep-13, 0x1.b0716c527edc7p-13, 0x1.a2d7507c3369cp-13, 0x1.95a254a3bc13bp-13, 0x1.88cf9f9538a51p-13, 0x1.7c5c8af44bfabp-13, 0x1.7046534a00237p-13, 0x1.648a5b4132cc1p-13, 0x1.5925fef902591p-13, 0x1.4e16be47c8b9fp-13, 0x1.435a291f1d0b9p-13, 0x1.38ee46f9abc3p-13, 0x1.2ed0b3c21757fp-13, 0x1.24ff5f6105e51p-13, 0x1.1b782d91034f3p-13, 0x1.123937055368bp-13, 0x1.094095bc1f1f3p-13, 0x1.008c870f0571p-13, 0x1.f03676f864f67p-14, 0x1.dfd577a7c5938p-14, 0x1.cff22375a02c3p-14, 0x1.c0888b62a8271p-14, 0x1.b194edbdac10ap-14, 0x1.a313d43f9ded2p-14, 0x1.9501ec0a1e5d4p-14, 0x1.875c5c0ca939ep-14, 0x1.7a2015c743222p-14, 0x1.6d4a546e9aa44p-14, 0x1.60d81fa349b12p-14, 0x1.54c69cf61969dp-14, 0x1.4913360ee0d51p-14, 0x1.3dbb8bfd62613p-14, 0x1.32bd6e091b6ffp-14, 0x1.281689ad6dea5p-14, 0x1.1dc435d2f84e8p-14, 0x1.13c3dddd132fap-14, 0x1.0a127d551a14ap-14, 0x1.00ad97ad4314fp-14, 0x1.ef258858b5d0ep-15, 0x1.dd7fd56f84b9bp-15, 0x1.cc66593b02d06p-15, 0x1.bbd54077187cep-15, 0x1.abc86e898c66cp-15, 0x1.9c3d1248333e9p-15, 0x1.8d2e76bfe95fep-15, 0x1.7e9905efa3e81p-15, 0x1.7079926452f5dp-15, 0x1.62cd42f5eaba6p-15, 0x1.5591008d72e2bp-15, 0x1.48c1ad434d911p-15, 0x1.3c5cdcc6afba4p-15, 0x1.305de0669f5ap-15, 0x1.24c17b2df5bd1p-15, 0x1.19849127ab856p-15, 0x1.0ea3228ede352p-15, 0x1.041b9a891c62dp-15, 0x1.f3d6c33836b75p-16, 0x1.e02004af8d5e3p-16, 0x1.cd0e5e289846ap-16, 0x1.ba9c759c32003p-16, 0x1.a8c5114ba5cffp-16, 0x1.978384fd6c192p-16, 0x1.86d3f42c7d626p-16, 0x1.76b202368d0eep-16, 0x1.671c44bab3ffdp-16, 0x1.580c069493dbbp-16, 0x1.497da43d96d36p-16, 0x1.3b6d1798d582dp-16, 0x1.2dd672c4a2ad9p-16, 0x1.20b5d65ab48ecp-16, 0x1.1406eda0d288ep-16, 0x1.07c5bc277152fp-16, 0x1.f7df039c15592p-17, 0x1.e101b19461401p-17, 0x1.caf0769d12f93p-17, 0x1.b5a4321ab1f0cp-17, 0x1.a111a3e4aa687p-17, 0x1.8d376fb282b6ep-17, 0x1.7a0e4b9d1db97p-17, 0x1.679182cd1beaap-17, 0x1.55bd644479869p-17, 0x1.448d0ae0fa92p-17, 0x1.33fa925d6d709p-17, 0x1.23ffd0d6e37a7p-17, 0x1.149842deb698ep-17, 0x1.05c0163d89f4ep-17, 0x1.eee411dd2a642p-18, 0x1.d352ce52fd339p-18, 0x1.b8c68e06aaaf4p-18, 0x1.9f38d82687015p-18, 0x1.869ac94fca4dbp-18, 0x1.6ee8197f1646ep-18, 0x1.58199adfdb467p-18, 0x1.42285bfaf646fp-18, 0x1.2d0c1de3bfe7bp-18, 0x1.18bd6b1d467dbp-18, 0x1.05357fdee896fp-18, 0x1.e4de52acf821p-19, 0x1.c0ccfa7725fdep-19, 0x1.9e2fcda670b6bp-19, 0x1.7ce47664c1b67p-19, 0x1.5cf01406cbd67p-19, 0x1.3e47d84cb9a8bp-19, 0x1.20d966c3dfa82p-19, 0x1.049c92ddc0449p-19, 0x1.d31b041fc786ep-20, 0x1.9f39676ad1292p-20, 0x1.6d8a31eeb01adp-20, 0x1.3df76e76a25d4p-20, 0x1.106db40da4486p-20, 0x1.c9ac139ce8531p-21, 0x1.76453f91ade57p-21, 0x1.2688e1660716p-21, 0x1.b4b7e16370b42p-22, 0x1.230f44663df0ep-22, 0x1.2fcf0f01aed46p-23, 0x1.34fc2446d3784p-26, -0x1.ac5846c7eb92fp-24, -0x1.c715c44e504f4p-23, -0x1.56427b0439048p-22, -0x1.c375337990933p-22, -0x1.15af4b2f9a765p-21, -0x1.470e3dc9e153fp-21, -0x1.75e2657170019p-21, -0x1.a2690f8e7582dp-21, -0x1.cc83e67c15997p-21, -0x1.f47ad25acd757p-21, -0x1.0d0b92e0b9b8cp-20, -0x1.1ed8327582bedp-20, -0x1.2fa0c8254c2fp-20, -0x1.3f7303745e7d4p-20, -0x1.4e5a1e4f9282dp-20, -0x1.5c5c93c72a6c1p-20, -0x1.698466a61a7d7p-20, -0x1.75d27aedabdfap-20, -0x1.815556ede100ap-20, -0x1.8c10bc0746c14p-20, -0x1.960b3a88f2cb6p-20, -0x1.9f51ccc204462p-20, -0x1.a7e8904c5e738p-20, -0x1.afd56b6a3df15p-20, -0x1.b725f7174eba6p-20, -0x1.bdcd79df5e8b5p-20, -0x1.c3e40c2ff2acap-20, -0x1.c96bf8b48c274p-20, -0x1.ce6814f83d92cp-20, -0x1.d2dd0064ce29ep-20, -0x1.d6cea1f402ecbp-20, -0x1.da463bcec7a58p-20, -0x1.dd453a9a11007p-20, -0x1.dfd27318e4e8ap-20, -0x1.e1f399aee3ad9p-20, -0x1.e3b4b07de975dp-20, -0x1.e503c97e3ff57p-20, -0x1.e5fcf6e99141dp-20, -0x1.e697e92000015p-20, -0x1.e6dd9ddd82c44p-20, -0x1.e6c4b6df93142p-20, -0x1.e66bcef6eafcp-20, -0x1.e5c0f0375d8dep-20, -0x1.e4c9c6537a16cp-20, -0x1.e38f040035af2p-20, -0x1.e2122198fc147p-20, -0x1.e0542ec76fc7ep-20, -0x1.de5aa98f4ca74p-20, -0x1.dc309a44ab5bbp-20, -0x1.d9bd30c2ed08dp-20, -0x1.d71f71f1e935fp-20, -0x1.d44f7840402d8p-20, -0x1.d14dff31aed17p-20, -0x1.ce1c05264c916p-20, -0x1.cac602aeee39cp-20, -0x1.c74c213de9f65p-20, -0x1.c3a63ace5db73p-20, -0x1.bfdc27a6d5eadp-20, -0x1.bbf2d01d8561ep-20, -0x1.b7e76eff19629p-20, -0x1.b3c0f02e80b71p-20, -0x1.af7b1f803f901p-20, -0x1.ab1cf4482725bp-20, -0x1.a6a398d1ee7e1p-20, -0x1.a2143ed7ab8cp-20, -0x1.9d715c545a177p-20, -0x1.98b856a1fe01ep-20, -0x1.93ed591fa17bbp-20, -0x1.8f120be7f1bdp-20, -0x1.8a2467fd38e7ap-20, -0x1.8529959392677p-20, -0x1.8021a9e341eb6p-20, -0x1.7b0ca2fbb08fdp-20, -0x1.75ede6a42bbafp-20, -0x1.70c54ab937161p-20, -0x1.6b8f7526b9951p-20, -0x1.66575211a917p-20, -0x1.61186ae8741e2p-20, -0x1.5bcc0db1add9p-20, -0x1.56809eea737fp-20, -0x1.512f3a8a47a82p-20, -0x1.4bd6fc7c1614bp-20, -0x1.4685ba669d78ep-20, -0x1.412dcadc319b1p-20, -0x1.3bd1f6b82fdefp-20, -0x1.36777931147acp-20, -0x1.311ee8350572bp-20, -0x1.2bc59b8622962p-20, -0x1.267515631f6fap-20, -0x1.211202abbf4e3p-20, -0x1.1bc7101b2844bp-20, -0x1.1677dfc84b09dp-20, -0x1.112c12e3700bdp-20, -0x1.0be23a1b5d922p-20, -0x1.069f8a79a52d5p-20, -0x1.016249b73027fp-20, -0x1.f84eb5d81137dp-21, -0x1.ede48df674e11p-21, -0x1.e3952e0505bd5p-21, -0x1.d9479795fd6b7p-21, -0x1.cf0938659bc79p-21, -0x1.c4d7c7aaafe9ap-21, -0x1.bab95a4483443p-21, -0x1.b0aa92776ee02p-21, -0x1.a6a7cda9ee931p-21, -0x1.9cb90d5fa3707p-21, -0x1.92db27247d9e6p-21, -0x1.890c3bcd61d96p-21, -0x1.7f500efe8c39p-21, -0x1.75ad54498d11cp-21, -0x1.6c151ed068b68p-21, -0x1.6293da0526055p-21, -0x1.5926547ed4169p-21, -0x1.4fcdb955b1bcep-21, -0x1.46889e556b6fep-21, -0x1.3d54ec5569512p-21, -0x1.343c183c77c9cp-21, -0x1.2b32e0d9bee24p-21, -0x1.223fd7edac0d5p-21, -0x1.19694c788d644p-21, -0x1.10aef11de8694p-21, -0x1.07d9ae976016cp-21, -0x1.fea21288b92f7p-22, -0x1.ed9a35fc0daecp-22, -0x1.dcbe25bc2357fp-22, -0x1.cc0e541092aep-22, -0x1.bb8a4c6f8aaa5p-22, -0x1.ab33001f46f16p-22, -0x1.9b05861b17619p-22, -0x1.8b0bbc8ce1ca3p-22, -0x1.7b3761f5fbd14p-22, -0x1.6b96f2bb9e23ep-22, -0x1.5c287c0e14b3bp-22, -0x1.4cd5a524df4dap-22, -0x1.3db84749eb9cp-22, -0x1.2ece1919b6b4ap-22, -0x1.200a34b37196p-22, -0x1.1173ed5a47e2bp-22, -0x1.0311377c9bc68p-22, -0x1.e9a304570cd93p-23, -0x1.cd8c2d02b8687p-23, -0x1.b1bd08b66056dp-23, -0x1.965b73519725cp-23, -0x1.7b512e1734f81p-23, -0x1.608d2786bbcddp-23, -0x1.464ba70d93c1dp-23, -0x1.2c2924f498fe3p-23, -0x1.1284cfb0f9a65p-23, -0x1.f23855a1105d4p-24, -0x1.c02216568341cp-24, -0x1.8f00533f93058p-24, -0x1.5e045a9b38d28p-24, -0x1.2e0bc9be47415p-24, -0x1.fea59eee2be38p-25, -0x1.9ff5b541783adp-25, -0x1.43e4f19e1767dp-25, -0x1.d1245b7b65594p-26, -0x1.1eee819602301p-26, -0x1.b36c77437fddfp-28, 0x1.00b4d0d67f2e3p-28, 0x1.d738ce008ef7bp-27, 0x1.9474af59b8ba4p-26, 0x1.1d89df21b839cp-25, 0x1.6f86895398094p-25, 0x1.c0438aaffbbe8p-25, 0x1.07ede717eb413p-24, 0x1.2f1f687c2b3e7p-24, 0x1.55d0069921b8ep-24, 0x1.7bcbe46aa458bp-24, 0x1.a13984b45a59bp-24, 0x1.c6215c1cf8133p-24, 0x1.ea57314b60c23p-24, 0x1.07074a14e4c64p-23, 0x1.189d1e35daafdp-23, 0x1.29f199c69a8edp-23, 0x1.3af0183fda3cp-23, 0x1.4bad96aac9bf1p-23, 0x1.5c12fedfce9c3p-23, 0x1.6c4602370e0cep-23, 0x1.7c5034312616cp-23, 0x1.8be670eac4ffdp-23, 0x1.9b5d02a24affdp-23, 0x1.aa7a72bdc30e2p-23, 0x1.b9597769f7017p-23, 0x1.c800b9942d0d5p-23, 0x1.d65ba5c5a4e4p-23, 0x1.e4843796228afp-23, 0x1.f264acbcd0cb6p-23, 0x1.00059c925e416p-22, 0x1.06c55ca02fa3p-22, 0x1.0d4dd26ff7ef4p-22, 0x1.13c58b15c6557p-22, 0x1.1a1f46f984db1p-22, 0x1.205ab19e9fd45p-22, 0x1.26783e8a2df71p-22, 0x1.2c7ee22a0696fp-22, 0x1.326117e2ff795p-22, 0x1.382c232f471c3p-22, 0x1.3dd577440d6f8p-22, 0x1.436bbbcb686fep-22, 0x1.48eaa2e2cc341p-22, 0x1.4e3b4a7e8e4e7p-22, 0x1.53797609677a1p-22, 0x1.58aa08b3659f8p-22, 0x1.5dc3118ba36a3p-22, 0x1.62ae77837183fp-22, 0x1.67849fc0492bbp-22, 0x1.6c45b8464e117p-22, 0x1.70ea434ff72cep-22, 0x1.757d3b78fe71ap-22, 0x1.79f3b24458bfp-22, 0x1.7e52f09db4e2bp-22, 0x1.829cdf690721fp-22, 0x1.86dfa8be58df4p-22, 0x1.8ae3cd9ebfe82p-22, 0x1.8eea9ff2a5efdp-22, 0x1.92d4a7d44ebbep-22, 0x1.96aabae44435bp-22, 0x1.9a6b5b4482c6cp-22, 0x1.9e16eeb08a96p-22, 0x1.a1b3987f6d7efp-22, 0x1.a52e87f4e832ap-22, 0x1.a899b0a6d827ap-22, 0x1.abf52058aa44ap-22, 0x1.af37e6e5947fcp-22, 0x1.b267562c0bc94p-22, 0x1.b5821d0292acap-22, 0x1.b88b4940aec38p-22, 0x1.bb8193dadad7ep-22, 0x1.be623cd73435bp-22, 0x1.c133a540d20c2p-22, 0x1.c3f1ca8e64e07p-22, 0x1.c69bbfc46266ap-22, 0x1.c9323aada4f4bp-22, 0x1.cbc09d3d25a57p-22, 0x1.ce2f89f176352p-22, 0x1.d095e2131771ep-22, 0x1.d2e8ea22f2d91p-22, 0x1.d52a2c6bb9957p-22, 0x1.d75bc53ead5f3p-22, 0x1.d984ef7696921p-22, 0x1.db93720516a7p-22, 0x1.dd92a776e2903p-22, 0x1.df892e89c2ef2p-22, 0x1.e16909eb8b42ap-22, 0x1.e33e649643f9ep-22, 0x1.e5035f0bc2d94p-22, 0x1.e6bcb209f4e6cp-22, 0x1.e8615a2f837adp-22, 0x1.ea052d792697ep-22, 0x1.eb7ceabceb4adp-22, 0x1.ed02025ba801dp-22, 0x1.ee6a107322546p-22, 0x1.efcd0dc043f08p-22, 0x1.f11c4fbc7b15ap-22, 0x1.f26800e2472d4p-22, 0x1.f3aefdc4af4eap-22, 0x1.f4d5b453aa857p-22, 0x1.f5fb674da40acp-22, 0x1.f702d9dc99e8ap-22, 0x1.f80ee54b7a5d2p-22, 0x1.f9076c6fc88cp-22, 0x1.f9f92ed2ae97ep-22, 0x1.faddaa5790f0ap-22, 0x1.fbb48900382b8p-22, 0x1.fc801419e9262p-22, 0x1.fd41512cd6283p-22, 0x1.fdfac99318f4dp-22, 0x1.fea8d1f9dc732p-22, 0x1.ff4a1986a7e1cp-22, 0x1.ffe3f16fd303cp-22, 0x1.003724f452cfbp-21, 0x1.0076edb6e3d59p-21, 0x1.00b361cff0bdcp-21, 0x1.00e95cc1ff7bcp-21, 0x1.01199c6016157p-21, 0x1.014b6f2fa723cp-21, 0x1.01727cd276b11p-21, 0x1.019578aeba1fcp-21, 0x1.01b5b7e12b6d1p-21, 0x1.01d0877d6674ap-21, 0x1.01e64e035630ep-21, 0x1.01f9a2eeae7fap-21, 0x1.0207e71a565ddp-21, 0x1.02117b0a9f13fp-21, 0x1.021626fdf2934p-21, 0x1.02154357abe28p-21, 0x1.0213738c1e0f9p-21, 0x1.020d083379c8fp-21, 0x1.020215d12d40dp-21, 0x1.01f317eb3f0a6p-21, 0x1.01e16043f8003p-21, 0x1.01cbd81979731p-21, 0x1.01b0d82e207a4p-21, 0x1.0195b531fea2fp-21, 0x1.01747160d0a92p-21, 0x1.014faf1966e07p-21, 0x1.0127befb200ddp-21, 0x1.00fc5c37d974cp-21, 0x1.00ce187822033p-21, 0x1.009a8645c7e3bp-21, 0x1.006368e5d154bp-21, 0x1.002dff77a6a96p-21, 0x1.ffe32ada019f3p-22, 0x1.ff655da442abbp-22, 0x1.fee2c0a82dc4dp-22, 0x1.fe5e4f82b3b45p-22, 0x1.fdc8f7c088b98p-22, 0x1.fd3d43aef1927p-22, 0x1.fc9fe101613f7p-22, 0x1.fc03579791992p-22, 0x1.fb5b339ee6d62p-22, 0x1.fab64bfc851bfp-22, 0x1.fa02f30880859p-22, 0x1.f94ec7258f18ep-22, 0x1.f895286c38074p-22, 0x1.f7d989058ffe6p-22, 0x1.f71682baeec0ap-22, 0x1.f64e92c13b322p-22, 0x1.f581f86167abp-22, 0x1.f4b11c3af39ecp-22, 0x1.f3db2266e4654p-22, 0x1.f302c1a38b336p-22, 0x1.f2241115ab6dp-22, 0x1.f1413754f72ffp-22, 0x1.f055b73f3b82ep-22, 0x1.ef710d18849f4p-22, 0x1.ee7f4c37331a8p-22, 0x1.ed8c3226bd9e1p-22, 0x1.ec972dd1360dap-22, 0x1.eb98e69459686p-22, 0x1.ea9c3378bc114p-22, 0x1.e99e88bc9286cp-22, 0x1.e897f3ef4e016p-22, 0x1.e78dc55bd04d6p-22, }}, 
      {{-0x1.a143bcb143d47p-6, -0x1.7a3aebdd3781p-4, -0x1.7423201b2d77ap-3, -0x1.1a32b25292724p-2, -0x1.7118007735b7p-2, -0x1.b5f3fcef81bf8p-2, -0x1.e456ab81af0f2p-2, -0x1.fb252de84e77p-2, -0x1.fb922e3cfd15p-2, -0x1.e83b921950ef2p-2, -0x1.c47b8f6d1cc61p-2, -0x1.93ec406970fe4p-2, -0x1.5a1533ac7327dp-2, -0x1.1a38f4fc9b876p-2, -0x1.ae72e3eb758c7p-3, -0x1.2717cddf7050bp-3, -0x1.44db9d755f74fp-4, -0x1.1d6b526eceb28p-6, 0x1.4ad553d9fba87p-5, 0x1.7ded4da76c2c3p-4, 0x1.1fed07185427bp-3, 0x1.74f2edebc1247p-3, 0x1.bdd12fd211267p-3, 0x1.faaa9dd0767efp-3, 0x1.15f4a555bb171p-2, 0x1.2916d9639219p-2, 0x1.371ff20bf1c58p-2, 0x1.408156b2877edp-2, 0x1.45b4637b666aep-2, 0x1.4735ed0d51e38p-2, 0x1.45829fdbbe43cp-2, 0x1.4114273cae582p-2, 0x1.3a5f0373f5dbp-2, 0x1.31d0f6722eb86p-2, 0x1.27cff288c8657p-2, 0x1.1cb97351127a8p-2, 0x1.10e22c20677dap-2, 0x1.0495fbabd97e4p-2, 0x1.f030291187f28p-3, 0x1.d7469498c87c4p-3, 0x1.bed4f723e2145p-3, 0x1.a7321c185ff8cp-3, 0x1.90a6e9fc0e26ap-3, 0x1.7b6f7c44cb381p-3, 0x1.67bc3f5dd93dap-3, 0x1.55b30d68730e8p-3, 0x1.457042aab147cp-3, 0x1.3707ca40352b3p-3, 0x1.2a861a97c7edap-3, 0x1.1ff125487e16p-3, 0x1.1749368aedb45p-3, 0x1.1089c3be45244p-3, 0x1.0baa2901ba98bp-3, 0x1.089e518dcd5d3p-3, 0x1.075750cec3591p-3, 0x1.07c3eb1e8b62ep-3, 0x1.09d110d4181b4p-3, 0x1.0d6a4a75ae3f2p-3, 0x1.127a19dc270c5p-3, 0x1.18ea4d2008bcdp-3, 0x1.20a444b762d7ep-3, 0x1.299133c1d066bp-3, 0x1.339a540e76f35p-3, 0x1.3ea9141aada9ap-3, 0x1.4aa73f166af26p-3, 0x1.577f1a94eb799p-3, 0x1.651b83e6c8547p-3, 0x1.736801fe61ef7p-3, 0x1.8250d819518aep-3, 0x1.91c3105649bbfp-3, 0x1.a1ac86a8f2e26p-3, 0x1.b1fbedb2051bcp-3, 0x1.c2a0d26db9a9p-3, 0x1.d38b9f406ea56p-3, 0x1.e4ad9a38e2088p-3, 0x1.f5f8e41a9023dp-3, 0x1.03b03a79c1661p-2, 0x1.0c6c0bb4d4406p-2, 0x1.152a3300e8514p-2, 0x1.1de56069d697ep-2, 0x1.2698a53e2d888p-2, 0x1.2f3f709b1a0e6p-2, 0x1.37d58a5216a53p-2, 0x1.405710f5bdb54p-2, 0x1.48c07597a388fp-2, 0x1.510e7684c45e7p-2, 0x1.593e1d5b32d6dp-2, 0x1.614cbadfc35edp-2, 0x1.6937e217af6a1p-2, 0x1.70fd65c62b193p-2, 0x1.789b551087eaep-2, 0x1.800ff663e91cap-2, 0x1.8759c5bc326b4p-2, 0x1.8e777101f5454p-2, 0x1.9567d41f3cd34p-2, 0x1.9c29f6d3d4289p-2, 0x1.a2bd0951aac1cp-2, 0x1.a920613af5f03p-2, 0x1.af5378ba2f6ecp-2, 0x1.b555e8cea19d3p-2, 0x1.bb27693358824p-2, 0x1.c0c7ce2baff1fp-2, 0x1.c63704f26faccp-2, 0x1.cb7512d7b0af2p-2, 0x1.d082124a158d5p-2, 0x1.d55e31e9a04c8p-2, 0x1.da09b217783eep-2, 0x1.de84e3d81e4f7p-2, 0x1.e2d0270e57541p-2, 0x1.e6ebe87ee6871p-2, 0x1.ead8a1c14343cp-2, 0x1.ee96d69d71b98p-2, 0x1.f227144c76e63p-2, 0x1.f589f106ba1b4p-2, 0x1.f8c00a056cd9cp-2, 0x1.fbca0326214ap-2, 0x1.fea8859a45bccp-2, 0x1.00ae1fd616d8dp-1, 0x1.01f2f188c6b33p-1, 0x1.032312dfa3235p-1, 0x1.043edfba2881ap-1, 0x1.0546b4fa3b7d1p-1, 0x1.063af0a02a946p-1, 0x1.071bf0ee37ef9p-1, 0x1.07ea146f80824p-1, 0x1.08a5b9bbbf9dbp-1, 0x1.094f3f87ea87fp-1, 0x1.09e70417a3b1ap-1, 0x1.0a6d653c00078p-1, 0x1.0ae2c04f9b506p-1, 0x1.0b4771f3beb7bp-1, 0x1.0b9bd638267fbp-1, 0x1.0be047dbfcc9fp-1, 0x1.0c152136e5f7fp-1, 0x1.0c3abb319f199p-1, 0x1.0c516dc5b224ap-1, 0x1.0c598fd0e8105p-1, 0x1.0c537710bf4efp-1, 0x1.0c3f77f183aa6p-1, 0x1.0c1de5b392ba8p-1, 0x1.0bef1248e7d51p-1, 0x1.0bb34e920fe23p-1, 0x1.0b6ae9d42d59bp-1, 0x1.0b16324401a6ep-1, 0x1.0ab574c43517bp-1, 0x1.0a48fce136e3cp-1, 0x1.09d114d77ac3bp-1, 0x1.094e05bc4f51ap-1, 0x1.08c01740e04f7p-1, 0x1.08278fe421d5dp-1, 0x1.0784b4f6bb4dep-1, 0x1.06d7ca5fc73d3p-1, 0x1.0621130aa3256p-1, 0x1.0560d09b1c84ap-1, 0x1.04974388772e8p-1, 0x1.03c4ab2ffa4ebp-1, 0x1.02e945a3a0eacp-1, 0x1.02055035cf751p-1, 0x1.011906de3f131p-1, 0x1.0024a47afcf68p-1, 0x1.fe50c6288804fp-2, 0x1.fc48f735ad14cp-2, 0x1.fa324c0a7796dp-2, 0x1.f80d328d0fdd2p-2, 0x1.f5da16cb593f2p-2, 0x1.f3996308b40e4p-2, 0x1.f14b7fc4f5df6p-2, 0x1.eef0d390880dap-2, 0x1.ec89c34d2f002p-2, 0x1.ea16b25e20bccp-2, 0x1.e79802702f415p-2, 0x1.e50e135413ae7p-2, 0x1.e27943a0880c3p-2, 0x1.dfd9f02468a92p-2, 0x1.dd307451743eap-2, 0x1.da7d29fb5e678p-2, 0x1.d7c069c65d0d9p-2, 0x1.d4fa8abe08c46p-2, 0x1.d22be26445d9dp-2, 0x1.cf54c51d3624p-2, 0x1.cc75860386935p-2, 0x1.c98e76e2f3c78p-2, 0x1.c69fe7d269a55p-2, 0x1.c3aa282bec77dp-2, 0x1.c0ad85df376ap-2, 0x1.bdaa4d9745d1bp-2, 0x1.baa0cacc3045ep-2, 0x1.b79147cc8b50ep-2, 0x1.b47c0dd559ep-2, 0x1.b16164defa4fcp-2, 0x1.ae4193bad9c3cp-2, 0x1.ab1ce04e61029p-2, 0x1.a7f38f3f71ff1p-2, 0x1.a4c5e4162287ap-2, 0x1.a1942156ac71bp-2, 0x1.9e5e88787dbdp-2, 0x1.9b2559cbd44bbp-2, 0x1.97e8d4e071d8ep-2, 0x1.94a937e9512ebp-2, 0x1.9166c0222cd85p-2, 0x1.8e21a9ee1ab17p-2, 0x1.8ada30a40698fp-2, 0x1.87908e829bf99p-2, 0x1.8444fca841a94p-2, 0x1.80f7b3a66e3cfp-2, 0x1.7da8eac18133ap-2, 0x1.7a58d867f891bp-2, 0x1.7707b1ffd2e97p-2, 0x1.73b5ac133d5b6p-2, 0x1.7062fa1d4eefdp-2, 0x1.6d0fcebcfafe8p-2, 0x1.69bc5b9d46c4fp-2, 0x1.6668d1790588fp-2, 0x1.631560222e1f1p-2, 0x1.5fc2366fcc217p-2, 0x1.5c6f827dbfc46p-2, 0x1.591d713aeb057p-2, 0x1.55cc2ef245ae6p-2, 0x1.527be6e3b29fep-2, 0x1.4f2cc37158e6fp-2, 0x1.4bdeee26e578fp-2, 0x1.48928facd7b9dp-2, 0x1.4547cfa74eb3p-2, 0x1.41fed51144769p-2, 0x1.3eb7c5e98cf59p-2, 0x1.3b72c764edd32p-2, 0x1.382ffdc83224dp-2, 0x1.34ef8c9968214p-2, 0x1.31b19671251e3p-2, 0x1.2e763d2316ac6p-2, 0x1.2b3da1a1be7c2p-2, 0x1.2807e41933e22p-2, 0x1.24d523c74c54ap-2, 0x1.21a57f576b75fp-2, 0x1.1e79145dd3a5bp-2, 0x1.1b4fffd52fd92p-2, 0x1.182a5de8bfa58p-2, 0x1.150849c4c7426p-2, 0x1.11e9de3301071p-2, 0x1.0ecf34ef0e866p-2, 0x1.0bb866e1f5ac4p-2, 0x1.08a58c7287991p-2, 0x1.0596bd1757251p-2, 0x1.028c0f9d0c475p-2, 0x1.ff0b3420d0b0fp-3, 0x1.f906e3968d074p-3, 0x1.f30b56999e853p-3, 0x1.ed18b54ef6844p-3, 0x1.e72f25ab5ba96p-3, 0x1.e14ecce85ab08p-3, 0x1.db77ce891a1a6p-3, 0x1.d5aa4ce46b842p-3, 0x1.cfe668ce6965p-3, 0x1.ca2c41ed412dp-3, 0x1.c47bf6827d3ffp-3, 0x1.bed5a35c41472p-3, 0x1.b9396444653d2p-3, 0x1.b3a753c536538p-3, 0x1.ae1f8b13160d6p-3, 0x1.a8a221e2086f7p-3, 0x1.a32f2f479583ap-3, 0x1.9dc6c8a247cdfp-3, 0x1.9869027ecfaefp-3, 0x1.9315efe1b6d6ep-3, 0x1.8dcda32a67938p-3, 0x1.88902d2e6e958p-3, 0x1.835d9e04305e3p-3, 0x1.7e360468393d5p-3, 0x1.79196e073bb37p-3, 0x1.7407e7794d4efp-3, 0x1.6f017cb085b12p-3, 0x1.6a06383383e44p-3, 0x1.651623b2a98c6p-3, 0x1.603147fceae54p-3, 0x1.5b57acdb1f2bep-3, 0x1.56895902af40ap-3, 0x1.51c65276b3cfbp-3, 0x1.4d0e9e0d1ae2bp-3, 0x1.48623febc5f86p-3, 0x1.43c13b609cf5bp-3, 0x1.3f2b92cc5e797p-3, 0x1.3aa147db23ad2p-3, 0x1.36225b7377b6p-3, 0x1.31aecd85b5b78p-3, 0x1.2d469d3c9f61bp-3, 0x1.28e9c903cd544p-3, 0x1.24984e609a719p-3, 0x1.20522a5c94682p-3, 0x1.1c17593ad7109p-3, 0x1.17e7d6c2aca9ap-3, 0x1.13c39e0455c76p-3, 0x1.0faaa959c8332p-3, 0x1.0b9cf27022b9ap-3, 0x1.079a722e94805p-3, 0x1.03a320e176d73p-3, 0x1.ff6dec1c1b3ap-4, 0x1.f7abd207b2e2ap-4, 0x1.efffe0f5c645p-4, 0x1.e86a0521df5adp-4, 0x1.e0ea2b3dc6fd7p-4, 0x1.d9803cfe9e40bp-4, 0x1.d22c2558c63dp-4, 0x1.caedcaff1cba9p-4, 0x1.c3c515c8cda1p-4, 0x1.bcb1eb2735adbp-4, 0x1.b5b42fe45ae26p-4, 0x1.aecbc89c430b8p-4, 0x1.a7f899f7820cfp-4, 0x1.a13a86e929616p-4, 0x1.9a91746d69564p-4, 0x1.93fd4428fd5e4p-4, 0x1.8d7dd89f1fd89p-4, 0x1.8713117b4ec58p-4, 0x1.80bcce049aecep-4, 0x1.7a7aeb63b06d3p-4, 0x1.744d46b546009p-4, 0x1.6e33bd396279dp-4, 0x1.682e2bc87662bp-4, 0x1.623c708a95521p-4, 0x1.5c5e69d267b17p-4, 0x1.5693f606c652cp-4, 0x1.50dcf21298c4fp-4, 0x1.4b393a2e2fd74p-4, 0x1.45a8a8001a73ap-4, 0x1.402b1428abbbfp-4, 0x1.3ac055f5a0021p-4, 0x1.3568441e7517fp-4, 0x1.3022b646b7339p-4, 0x1.2aef84dca7f91p-4, 0x1.25ce89e0de325p-4, 0x1.20bfa085ad2d2p-4, 0x1.1bc2a4b4d1689p-4, 0x1.16d77192ec404p-4, 0x1.11fde1168ce98p-4, 0x1.0d35cb0da9ad2p-4, 0x1.087f04cba84b5p-4, 0x1.03d96262ff7d5p-4, 0x1.fe896df2dba97p-5, 0x1.f581ab055a1fep-5, 0x1.ec9b24d546de1p-5, 0x1.e3d5872732257p-5, 0x1.db3084017da11p-5, 0x1.d2abd0b0e49dfp-5, 0x1.ca472586497dbp-5, 0x1.c2023a01be4fcp-5, 0x1.b9dcc24f2ce29p-5, 0x1.b1d66d0b0be2p-5, 0x1.a9eee3a46b058p-5, 0x1.a225cb1285d6fp-5, 0x1.9a7ac5ef0f83cp-5, 0x1.92ed7711c4649p-5, 0x1.8b7d812df4426p-5, 0x1.842a8c1b44bd9p-5, 0x1.7cf4462efedfap-5, 0x1.75da6605bb6acp-5, 0x1.6edca860919a9p-5, 0x1.67facc13a1b15p-5, 0x1.61348ce577eadp-5, 0x1.5a899f66465c5p-5, 0x1.53f9b1f9bd61dp-5, 0x1.4d846ca44c7dep-5, 0x1.472975ceb773p-5, 0x1.40e8707e2a8e4p-5, 0x1.3ac100652b1a8p-5, 0x1.34b2c8a3e7798p-5, 0x1.2ebd72b7515bdp-5, 0x1.28e0af06e599cp-5, 0x1.231c3b699b8c7p-5, 0x1.1d6fde21335cp-5, 0x1.17db5c85aa33ap-5, 0x1.125e79b77d742p-5, 0x1.0cf8ec9866e8bp-5, 0x1.07aa659a8167dp-5, 0x1.027291e187bb7p-5, 0x1.faa23cd9b63b5p-6, 0x1.f08b755765ffdp-6, 0x1.e6a0281911aefp-6, 0x1.dcdfab30d0cabp-6, 0x1.d349540b8fa95p-6, 0x1.c9dc830219a4ep-6, 0x1.c098ae228149ep-6, 0x1.b77d63002ef72p-6, 0x1.ae8a3863fd522p-6, 0x1.a5bec0724f4a8p-6, 0x1.9d1a781d1d105p-6, 0x1.949cd272d1b13p-6, 0x1.8c45369872b6dp-6, 0x1.841317ef1fbb1p-6, 0x1.7c05f7112c89bp-6, 0x1.741d5aa8d3617p-6, 0x1.6c58c36ca9f63p-6, 0x1.64b79ee28d0c5p-6, 0x1.5d394a8b16a21p-6, 0x1.55dd2536b39cap-6, 0x1.4ea29bd1dce19p-6, 0x1.4789343ecd175p-6, 0x1.409080c9055aap-6, 0x1.39b8199f7a9adp-6, 0x1.32ff912c2167bp-6, 0x1.2c6671f00284dp-6, 0x1.25ec471ad4a3ap-6, 0x1.1f90a4ca78022p-6, 0x1.19532f5ef2519p-6, 0x1.1333953e6e4dep-6, 0x1.0d317e2c604dbp-6, 0x1.074c7777fc173p-6, 0x1.0183e9f8e3eddp-6, 0x1.f7ae56dab5f0dp-7, 0x1.ec8b2a0ea7d53p-7, 0x1.e19d25f032ba4p-7, 0x1.d6e3596979876p-7, 0x1.cc5d04d58d00bp-7, 0x1.c2098c1301d52p-7, 0x1.b7e85fe50dd78p-7, 0x1.adf8ecb66d497p-7, 0x1.a43a9b7dd4ea1p-7, 0x1.9aacdf2db220bp-7, 0x1.914f3abec4ba7p-7, 0x1.88212aa38d826p-7, 0x1.7f220025b971ep-7, 0x1.7650cb0e0de65p-7, 0x1.6dac6489be467p-7, 0x1.65338ec42672bp-7, 0x1.5ce51dc373c58p-7, 0x1.54c0114e2672dp-7, 0x1.4cc3851ca5526p-7, 0x1.44eecaece4786p-7, 0x1.3d417669dc97ep-7, 0x1.35bb46e074fd8p-7, 0x1.2e5beccca349ep-7, 0x1.272302294a1c2p-7, 0x1.2010286a38b11p-7, 0x1.1923154d3a7a2p-7, 0x1.125b5ce1b14e3p-7, 0x1.0bb833cb20884p-7, 0x1.0538940b2199fp-7, 0x1.fdb6e013e0479p-8, 0x1.f13fa7e56e056p-8, 0x1.e509e4d121e2p-8, 0x1.d9143a2b92c2p-8, 0x1.cd5d71c475da2p-8, 0x1.c1e41014a82fcp-8, 0x1.b6a6bdc151acp-8, 0x1.aba4d6db280a8p-8, 0x1.a0de49c048973p-8, 0x1.9652b26ce855cp-8, 0x1.8c0146b70db0cp-8, 0x1.81e9861b77f8fp-8, 0x1.780b3ee0098p-8, 0x1.6e659dc258499p-8, 0x1.64f6d39a92b8bp-8, 0x1.5bbcb940716e7p-8, 0x1.52b567d7199dp-8, 0x1.49dfa2a2ec7cfp-8, 0x1.413a8a1758c19p-8, 0x1.38c55b1c8ea88p-8, 0x1.307f7aad07ffap-8, 0x1.2868398db53f3p-8, 0x1.207e442182619p-8, 0x1.18c01c5185b5ap-8, 0x1.112d707484e4cp-8, 0x1.09c68ec62ca6p-8, 0x1.028aef9c5edaap-8, 0x1.f6f35f3e81214p-9, 0x1.e92502548e6aep-9, 0x1.dbaa1e43a1e9ap-9, 0x1.ce805d45a0a75p-9, 0x1.c1a4b1aacfd0dp-9, 0x1.b5145fceb197cp-9, 0x1.a8cd42adb8144p-9, 0x1.9ccdb19149dafp-9, 0x1.911444df7e5bp-9, 0x1.859fda4bc0788p-9, 0x1.7a6f738c614afp-9, 0x1.6f828de877f5p-9, 0x1.64d8281927cd1p-9, 0x1.5a6d8ded3164ep-9, 0x1.504074e881be4p-9, 0x1.46519cb3857cp-9, 0x1.3ca13808e181ap-9, 0x1.332d2530fe777p-9, 0x1.29f4197082d4ep-9, 0x1.20f58e924caccp-9, 0x1.182fc6011590fp-9, 0x1.0fa0a8959b428p-9, 0x1.07471c03899fep-9, 0x1.fe44b318705c7p-10, 0x1.ee62d368010e5p-10, 0x1.dee5e735e2bccp-10, 0x1.cfcad4a7c61a4p-10, 0x1.c10ef26cb12cdp-10, 0x1.b2b08961d13d1p-10, 0x1.a4ae410aa356dp-10, 0x1.9707af91cc444p-10, 0x1.89bb883d9d00ep-10, 0x1.7cc569bf5aaf4p-10, 0x1.702410f3a87bep-10, 0x1.63d8c4ff72328p-10, 0x1.57df96c0fa876p-10, 0x1.4c35c7d2c30aep-10, 0x1.40db0db92f176p-10, 0x1.35cc738b908c3p-10, 0x1.2b071ef70f5c4p-10, 0x1.2089ff3ac9cd8p-10, 0x1.16548c46d75d3p-10, 0x1.0c66489f4a00ap-10, 0x1.02be2e14a6582p-10, 0x1.f2b4e87b4c11dp-11, 0x1.e0709bf48bb0fp-11, 0x1.cea96531ed5eep-11, 0x1.bd5bbf3975a85p-11, 0x1.ac868cd089e43p-11, 0x1.9c28bb02455d4p-11, 0x1.8c42cf9492cf4p-11, 0x1.7cd2bfec309afp-11, 0x1.6dd29d6699ac3p-11, 0x1.5f41cda552f53p-11, 0x1.51198aa404ffcp-11, 0x1.435816a6174d4p-11, 0x1.35fe12ee66b08p-11, 0x1.29063fec5f763p-11, 0x1.1c6d6e05188bfp-11, 0x1.1031dae883e05p-11, 0x1.0452c36d705c3p-11, 0x1.f19d615d4c339p-12, 0x1.db49027da8d21p-12, 0x1.c5a67a006360ap-12, 0x1.b0b2f0e853129p-12, 0x1.9c66ee970fc4bp-12, 0x1.88b6c87113b76p-12, 0x1.759c177734343p-12, 0x1.6318ef1edd781p-12, 0x1.512ada705d90bp-12, 0x1.3fcde47ca09f9p-12, 0x1.2f097e7de4aa6p-12, 0x1.1ed4e503ba8b3p-12, 0x1.0f240e9159dbep-12, 0x1.ffe0810100317p-13, 0x1.e27c8344034a9p-13, 0x1.c61915360f06cp-13, 0x1.aaa47763bfc26p-13, 0x1.901b6f592311bp-13, 0x1.7678b260307eep-13, 0x1.5db837d0c975cp-13, 0x1.45d4e7ba30a4ep-13, 0x1.2ec876cf7b8efp-13, 0x1.188fd41fdbc17p-13, 0x1.0327c162d12dep-13, 0x1.dd1d1eac8d961p-14, 0x1.b57d79878febcp-14, 0x1.8f4eee448a367p-14, 0x1.6a7e09a446db9p-14, 0x1.4713dd49188bfp-14, 0x1.25013fe764f9dp-14, 0x1.04396bb4ef4fcp-14, 0x1.c9b7478c004b6p-15, 0x1.8da7db7c15832p-15, 0x1.53d7117bc6652p-15, 0x1.1c45779a94679p-15, 0x1.ce3d9a568bbbep-16, 0x1.6876101a4bd6p-16, 0x1.06f9a402b7d7ap-16, 0x1.536fe86eb9056p-17, 0x1.4260811d0af8p-18, -0x1.20de064d715cp-22, -0x1.56d5ce63a4805p-18, -0x1.4637b6bbeb608p-17, -0x1.d9a4ca5af5804p-17, -0x1.32f7b2cc14b6ap-16, -0x1.7599f2bc2883cp-16, -0x1.b4d0b4c64936fp-16, -0x1.f09881715ef31p-16, -0x1.148e1ba05bacp-15, -0x1.2f5668f91573fp-15, -0x1.48a3d5362b1c4p-15, -0x1.608b996375917p-15, -0x1.770794191eeep-15, -0x1.8c0e72ecef114p-15, -0x1.9faef6d1b6e7dp-15, -0x1.b2245fa037b4bp-15, -0x1.c366a053a1ab6p-15, -0x1.d3628da87b43fp-15, -0x1.e2391598d740bp-15, -0x1.eff14e9e5a1ccp-15, -0x1.fc90f8dbcca61p-15, -0x1.0410cbafc0cc8p-14, -0x1.0955b37bcfec3p-14, -0x1.0e1ba278a73fcp-14, -0x1.1266f90ce99bcp-14, -0x1.163c18a39d3adp-14, -0x1.199e83478d8b5p-14, -0x1.1c92e60e25323p-14, -0x1.1f1d5873c63cdp-14, -0x1.214122c4eb4b6p-14, -0x1.2300c5fd118c2p-14, -0x1.2459122d574c2p-14, -0x1.25532b7579106p-14, -0x1.25fab4cb65f4p-14, -0x1.2651dee5a6bd2p-14, -0x1.264f1a715e956p-14, -0x1.25fbe8876abc9p-14, -0x1.255d2d4abb0cep-14, -0x1.2476036144174p-14, -0x1.234a2ababd0f2p-14, -0x1.21d99378a83fap-14, -0x1.20255e614525cp-14, -0x1.1e363267135fep-14, -0x1.1c09ee2185506p-14, -0x1.19a413902ac24p-14, -0x1.17074afe6631cp-14, -0x1.1435dbaa036c9p-14, -0x1.11321242e5a48p-14, -0x1.0dfe61f3f998ap-14, -0x1.0a9d2716ffc24p-14, -0x1.070fd1884c6efp-14, -0x1.035925657df68p-14, -0x1.fef5c8e09abbep-15, -0x1.f6efb3100beebp-15, -0x1.eea4a4871ea68p-15, -0x1.e613ec8ab2197p-15, -0x1.dd390176785fp-15, -0x1.d424f4403a591p-15, -0x1.cae1bce72c2f3p-15, -0x1.c15fcc9ea1048p-15, -0x1.b7aa6dc5b2007p-15, -0x1.adcac291bf94ap-15, -0x1.a3bd9092829aap-15, -0x1.9986f5a97122bp-15, -0x1.8f278ba81793bp-15, -0x1.84a537e3b37dep-15, -0x1.7a02f5f5732a8p-15, -0x1.6f41ca7b7d6c6p-15, -0x1.6463c5fab081fp-15, -0x1.596ceded6d08cp-15, -0x1.4e5d534c5204cp-15, -0x1.4336d79724cffp-15, -0x1.38067332bb562p-15, -0x1.2cbbbcbc8c2efp-15, -0x1.216593d940b5fp-15, -0x1.16031f9fc26d4p-15, -0x1.0a95e6031c415p-15, -0x1.fe3fb4047fc9bp-16, -0x1.e7466917955e2p-16, -0x1.d042f6b53a59ep-16, -0x1.b93b37b6bd20ap-16, -0x1.a22f7cee31708p-16, -0x1.8b1bbdf5c3e4ap-16, -0x1.741077a84030bp-16, -0x1.5d0a2f9faa085p-16, -0x1.4606402b4901p-16, -0x1.2f1366875ae2bp-16, -0x1.1830a3fa4c698p-16, -0x1.015dae1b0321p-16, -0x1.d53360e101b18p-17, -0x1.a7d89ac58ca58p-17, -0x1.7ab34ca41eb0ep-17, -0x1.4db9a1299a412p-17, -0x1.20fe1ef106cccp-17, -0x1.e8f72ba0163aep-18, -0x1.906ea454cdff4p-18, -0x1.38701c00dee44p-18, -0x1.c20462adca4abp-19, -0x1.143cf2dad0ef2p-19, -0x1.9f3e675068bap-21, 0x1.0db86a455ae8p-21, 0x1.db4718a12636p-20, 0x1.95fe5d7b37e48p-19, 0x1.1e9547ed200ebp-18, 0x1.7186c6f41e219p-18, 0x1.c395762e85a65p-18, 0x1.0a79edb61c849p-17, 0x1.32c2bd238ed18p-17, 0x1.5aab5c9669f47p-17, 0x1.822b205cd3fe1p-17, 0x1.a947c9395393p-17, 0x1.cff7201e0b833p-17, 0x1.f638004c14656p-17, 0x1.0e049454a1d95p-16, 0x1.20b4fe519e386p-16, 0x1.332bf414632f2p-16, 0x1.456b94be7dc91p-16, 0x1.577167947cd1dp-16, 0x1.693c251912f28p-16, 0x1.7acbfbba0ed2ep-16, 0x1.8c1ffbf68e44p-16, 0x1.9d394c6bd4678p-16, 0x1.ae145aee8b111p-16, 0x1.beb41a1ee2947p-16, 0x1.cf16c0743f239p-16, 0x1.df3cba4d8e539p-16, 0x1.ef23c76cb98cdp-16, 0x1.feccc234a8c4dp-16, 0x1.071b209d971cdp-15, 0x1.0eb1d0aca4df8p-15, 0x1.1626b9b18a863p-15, 0x1.1d81f2d0963e6p-15, 0x1.24bb375e9d032p-15, 0x1.2bd43b65896bcp-15, 0x1.32cdcc23efc19p-15, 0x1.39a90ef5f214dp-15, 0x1.40638aff21526p-15, 0x1.46ffd1da63eb8p-15, 0x1.4d7cb84f19637p-15, 0x1.53da47fc1f3a2p-15, 0x1.5a172ebdf4087p-15, 0x1.60375715f9b72p-15, 0x1.663744f490489p-15, 0x1.6c182257c3376p-15, 0x1.71d9ee7ea2468p-15, 0x1.777d16a005b42p-15, 0x1.7d017d1b3f291p-15, 0x1.8267a8eb21868p-15, 0x1.87aed2353a635p-15, 0x1.8cd73ccbe31b8p-15, 0x1.91e40fd7bf684p-15, 0x1.96cf3f66cc121p-15, 0x1.9b9ec1f315ff5p-15, 0x1.a04eb019d90c4p-15, 0x1.a4e1c129bef6p-15, 0x1.a9577a324df3ap-15, 0x1.adb032a0bd842p-15, 0x1.b1ebb4443c43fp-15, 0x1.b60b5fe53672ap-15, 0x1.ba0d5b366207cp-15, 0x1.bdf34c35af9cfp-15, 0x1.c1bbd8269c31cp-15, 0x1.c5694bed6018ep-15, 0x1.c8fab3babebd6p-15, 0x1.cc6cf6fd1c485p-15, 0x1.cfca4a1fcbd9fp-15, 0x1.d309d40055993p-15, 0x1.d62d8063420a7p-15, 0x1.d93655c5f42e2p-15, 0x1.dc24e789ff6b1p-15, 0x1.def9860c85babp-15, 0x1.e1b3e6e06c5c2p-15, 0x1.e453c803dde0bp-15, 0x1.e6dc4ca23a51fp-15, 0x1.e9487696515b3p-15, 0x1.eb9cd5098cad9p-15, 0x1.edd85c4c0f72bp-15, 0x1.effb314f97a9dp-15, 0x1.f2061c045b969p-15, 0x1.f3f839f15f412p-15, 0x1.f5d29e83bc54ap-15, 0x1.f795775ed822ep-15, 0x1.f94167a92f5dcp-15, 0x1.fad6746573b82p-15, 0x1.fc532db1786fbp-15, 0x1.fdbb8ba08d9aep-15, 0x1.ff0b5a1001b3bp-15, 0x1.00235d27c982ap-14, 0x1.00b5c44e0e716p-14, 0x1.013d3384c443ep-14, 0x1.01ba479fd8defp-14, 0x1.022bc5efe88cep-14, 0x1.029551ab9c5bcp-14, 0x1.02f32242eab7dp-14, 0x1.034719921042cp-14, 0x1.038faf83539fep-14, 0x1.03d0cc2194161p-14, 0x1.0407319215b59p-14, 0x1.0433676ff8887p-14, 0x1.0456deeeac5dap-14, 0x1.046fb722a9871p-14, 0x1.048142cbcd9bdp-14, 0x1.048926eade998p-14, 0x1.0487bb1cb423fp-14, 0x1.047d89985283p-14, 0x1.046b792114a52p-14, 0x1.044f0bb42ca5ap-14, 0x1.042b1a5717fe8p-14, 0x1.03ff5b32a0c39p-14, 0x1.03caac703ffecp-14, 0x1.038e8bb9750cfp-14, 0x1.0349c123ae894p-14, 0x1.02fdadf10accfp-14, 0x1.02a9bc8dfd794p-14, 0x1.024e9f8c7fd89p-14, 0x1.01ec2caa75355p-14, 0x1.01824f4083a61p-14, 0x1.010fb588187acp-14, 0x1.00976c32095a3p-14, 0x1.0017e65c0ef1cp-14, 0x1.ff23c721019b6p-15, 0x1.fe09d761e7f03p-15, 0x1.fce2670a8ea0ep-15, 0x1.fbadcaf820937p-15, 0x1.fa6ce2ea9aeedp-15, 0x1.f91f11ac8c5a4p-15, 0x1.f7c8df06249a5p-15, 0x1.f6602602df4f3p-15, 0x1.f4ee1c15a8b7cp-15, 0x1.f3701e5cdd39fp-15, 0x1.f1e7c0d6bdc0bp-15, 0x1.f0541cf306b83p-15, 0x1.eeb51d22a63ddp-15, 0x1.ed0b8719a32f6p-15, 0x1.eb57845780858p-15, 0x1.e9992d11ef645p-15, 0x1.e7d041e1fa4cp-15, 0x1.e5fe6efcd8a2bp-15, 0x1.e42037582ccacp-15, 0x1.e23c1c88bc32cp-15, 0x1.e04d076cc687cp-15, 0x1.de54ee1fde2b3p-15, 0x1.dc54bb8d9d1bp-15, 0x1.da4ae0b2a148p-15, 0x1.d8381ff44f20bp-15, 0x1.d61a3ae87c3c9p-15, 0x1.d3f9ef5314cf8p-15, 0x1.d1d1a6766c5fcp-15, 0x1.cf9dcf9764b27p-15, 0x1.cd663176dbe49p-15, 0x1.cb24f4d4e0377p-15, 0x1.c8dc84c562ebap-15, 0x1.c68ce13c25dbdp-15, 0x1.c437de33aec29p-15, 0x1.c1db39ff20626p-15, 0x1.bf78d5c373bebp-15, 0x1.bd0eb735c187bp-15, 0x1.baa007ef5c52cp-15, 0x1.b82cf27e874bap-15, 0x1.b5af900c2f374p-15, 0x1.b32e8e5c6faacp-15, 0x1.b0a6eba66f47bp-15, 0x1.ae1d4d6ff5eb5p-15, 0x1.ab8ca5524794p-15, 0x1.a8f75a69bdc89p-15, 0x1.a65d5c96ecc31p-15, 0x1.a3be4c6c2d847p-15, 0x1.a11b33e6daa9p-15, 0x1.9e73b2b86bdc1p-15, 0x1.9bc7b209b4373p-15, 0x1.9917b9f7fbeb7p-15, 0x1.966333da7d9e4p-15, 0x1.93ae054e3a7bfp-15, 0x1.90f068e9d15dfp-15, 0x1.8e3324f43fe64p-15, 0x1.8b70bb28de905p-15, 0x1.88ad788c8a092p-15, 0x1.85e3d4d26f789p-15, 0x1.83184c5296b15p-15, 0x1.804a4b85500f7p-15, 0x1.7d794cd17962ap-15, 0x1.7aa5ea3ec9d53p-15, 0x1.77d177766936bp-15, 0x1.74f92fabc4b4ep-15, 0x1.721fbb0bbd03fp-15, 0x1.6f43b6c9f9ba2p-15, }}, 
      {{0x1.55ac5108f8e7cp-3, 0x1.c071c03584f3p-3, 0x1.375ec7449f5a7p-3, 0x1.1f12afc133e95p-8, -0x1.70807c1f2a1bep-3, -0x1.758700b2e7adp-2, -0x1.0d0153b42f2ccp-1, -0x1.4b9a65a6aa9b5p-1, -0x1.7396300fed4adp-1, -0x1.850451bbab4bdp-1, -0x1.81e5a8b7df981p-1, -0x1.6d51c454a7fdep-1, -0x1.4ad7dda6bf12dp-1, -0x1.1e126dee0330ap-1, -0x1.d4c4e0111ec92p-2, -0x1.658fec5e0d6e3p-2, -0x1.e73dae99b356ep-3, -0x1.0633126f03159p-3, -0x1.73f376a5311e4p-6, 0x1.361ac9a97528fp-4, 0x1.5317f78dc09d7p-3, 0x1.f78d7718b8a25p-3, 0x1.43b4589e2082bp-2, 0x1.813fd1c6ef131p-2, 0x1.b4aa2292cc441p-2, 0x1.de7538d6dc963p-2, 0x1.ff51ab93dda2bp-2, 0x1.0c07995684af7p-1, 0x1.14c7e06a96495p-1, 0x1.1a5e8614ea8a1p-1, 0x1.1d40237702d8p-1, 0x1.1ddde33816541p-1, 0x1.1ca329a154eep-1, 0x1.19f3ef8823c84p-1, 0x1.162bb30f4b3fap-1, 0x1.119ce13b5f9f3p-1, 0x1.0c909e89d2962p-1, 0x1.0746d9ef2ed29p-1, 0x1.01f698958275fp-1, 0x1.f99ccc358d0eep-2, 0x1.efe9c309a647ap-2, 0x1.e712b847e3018p-2, 0x1.df48fc054d091p-2, 0x1.d8b1d97b4daedp-2, 0x1.d367ea72bd53ap-2, 0x1.cf7c5d66ebb11p-2, 0x1.ccf8269a5254bp-2, 0x1.cbdd23158e081p-2, 0x1.cc272e3034978p-2, 0x1.cdcd1feef5872p-2, 0x1.d0c1b0215cd96p-2, 0x1.d4f441792b06ap-2, 0x1.da519a9e4c4e8p-2, 0x1.e0c48c0eb1144p-2, 0x1.e836819c172a4p-2, 0x1.f08ffeaf81e1cp-2, 0x1.f9b907e2a32a8p-2, 0x1.01ccbedef4e7bp-1, 0x1.070cb4f12b53ap-1, 0x1.0c90a076a60c6p-1, 0x1.124d0c46a1862p-1, 0x1.1836e94cd8e4bp-1, 0x1.1e439f78e089bp-1, 0x1.24691a6063fafp-1, 0x1.2a9dd280f429p-1, 0x1.30d8d3d15bc08p-1, 0x1.3711c1830f435p-1, 0x1.3d40d82ef205fp-1, 0x1.435eed94b3db2p-1, 0x1.49656f42a1f3dp-1, 0x1.4f4e5f7a8a76fp-1, 0x1.55145163e341fp-1, 0x1.5ab26436eef89p-1, 0x1.60243dbd9a9fp-1, 0x1.6566047b5bc8ap-1, 0x1.6a745978e6fe7p-1, 0x1.6f4c51bf3dc28p-1, 0x1.73eb6fefbc097p-1, 0x1.784f9d6d9cac2p-1, 0x1.7c7724220df93p-1, 0x1.8060a7b2c07d4p-1, 0x1.840b1f2eed66ap-1, 0x1.8775ceff5fee9p-1, 0x1.8aa042ab8ba4bp-1, 0x1.8d8a470d8af9cp-1, 0x1.9033e504f3b11p-1, 0x1.929d5bd9d47ecp-1, 0x1.94c71c311b7efp-1, 0x1.96b1c384219a4p-1, 0x1.985e175a13809p-1, 0x1.99cd010f2fcf6p-1, 0x1.9aff89fe251a5p-1, 0x1.9bf6d7961d3fcp-1, 0x1.9cb427e22a166p-1, 0x1.9d38ce62cd3fdp-1, 0x1.9d8630e5c7136p-1, 0x1.9d9dc4d1608b8p-1, 0x1.9d810c7686c86p-1, 0x1.9d319493a83b6p-1, 0x1.9cb0f277b15efp-1, 0x1.9c00c1a899f16p-1, 0x1.9b22a20b4a332p-1, 0x1.9a18365d1e61dp-1, 0x1.98e3227b23c1dp-1, 0x1.97850a28b812ep-1, 0x1.95ff8fa85cebep-1, 0x1.945452a13c315p-1, 0x1.9284ef1a17963p-1, 0x1.9092fc9751532p-1, 0x1.8e800d3b0baa7p-1, 0x1.8c4dad19ee046p-1, 0x1.89fd619e07b31p-1, 0x1.8790a8fdf787p-1, 0x1.8508f9adf1ba2p-1, 0x1.8267c20c3e21bp-1, 0x1.7fae681c26ef2p-1, 0x1.7cde4924d14bbp-1, 0x1.79f8b9753af7ep-1, 0x1.76ff046953dafp-1, 0x1.73f26bfca0445p-1, 0x1.70d428f8f9531p-1, 0x1.6da56ae198394p-1, 0x1.6a6757c0b87aep-1, 0x1.671b0c525f11p-1, 0x1.63c19c20708f2p-1, 0x1.605c1174ba2f5p-1, 0x1.5ceb6d5878373p-1, 0x1.5970a7fdd269cp-1, 0x1.55ecb0a2f6f4cp-1, 0x1.52606db7d107bp-1, 0x1.4eccbd2b27707p-1, 0x1.4b3274671344cp-1, 0x1.479260a26a01ap-1, 0x1.43ed46ebed1cap-1, 0x1.4043e4934b188p-1, 0x1.3c96ef149650bp-1, 0x1.38e7145febafdp-1, 0x1.3534fb344d89p-1, 0x1.31814327a0069p-1, 0x1.2dcc84d960db2p-1, 0x1.2a175239084b8p-1, 0x1.266236bbd3e7cp-1, 0x1.22adb7801ae81p-1, 0x1.1efa53763f994p-1, 0x1.1b4883ae98b99p-1, 0x1.1798bb8c3ba25p-1, 0x1.13eb68d30a531p-1, 0x1.1040f3d29edccp-1, 0x1.0c99bfe279579p-1, 0x1.08f62b3afc248p-1, 0x1.05568f43a4035p-1, 0x1.01bb40b60593p-1, 0x1.fc491fbda4c54p-2, 0x1.f5259168e1a0fp-2, 0x1.ee0c65d2bda85p-2, 0x1.e6fe248eee8d5p-2, 0x1.dffb4d83ec3b1p-2, 0x1.d90458e71c126p-2, 0x1.d219b7f50ee2p-2, 0x1.cb3bd50519502p-2, 0x1.c46b13afbd71ep-2, 0x1.bda7d158b74c1p-2, 0x1.b6f26538a091bp-2, 0x1.b04b209fe98b6p-2, 0x1.a9b24f390349fp-2, 0x1.a328374f1d7c3p-2, 0x1.9cad19e036faep-2, 0x1.9641332e91678p-2, 0x1.8fe4ba7cd716bp-2, 0x1.8997e25cc070ep-2, 0x1.835ad92597debp-2, 0x1.7d2dc8ec4b351p-2, 0x1.7710d7b4f2654p-2, 0x1.7104279b858a4p-2, 0x1.6b07d70b0e128p-2, 0x1.651c00da9d6abp-2, 0x1.5f40bc801fbb5p-2, 0x1.59761e183e9cfp-2, 0x1.53bc36c982432p-2, 0x1.4e13147b6c227p-2, 0x1.487ac27ba7098p-2, 0x1.42f3492753112p-2, 0x1.3d7cae53fd3c2p-2, 0x1.3816f55a9ff9dp-2, 0x1.32c21f26bd788p-2, 0x1.2d7e2a5f130eep-2, 0x1.284b13782016bp-2, 0x1.2328d4cef11e1p-2, 0x1.1e1766deb1036p-2, 0x1.1916bffd3db46p-2, 0x1.1426d5112834bp-2, 0x1.0f4798f6a83edp-2, 0x1.0a78fd0957d8cp-2, 0x1.05baf11ab334ep-2, 0x1.010d63518c286p-2, 0x1.f8e0817c82de5p-3, 0x1.efc6e9b790757p-3, 0x1.e6cdd3e71a3c5p-3, 0x1.ddf5121f20786p-3, 0x1.d53c7453176fp-3, 0x1.cca3c8403ad1ep-3, 0x1.c42ad93ebdf35p-3, 0x1.bbd1716531adep-3, 0x1.b3975871170b9p-3, 0x1.ab7c548870105p-3, 0x1.a3802a38c265cp-3, 0x1.9ba29c8a7f641p-3, 0x1.93e36d15390d5p-3, 0x1.8c425c21a7f1cp-3, 0x1.84bf28a2b6db5p-3, 0x1.7d599084c9266p-3, 0x1.7611507027474p-3, 0x1.6ee6241ec0f52p-3, 0x1.67d7c66a6dc8fp-3, 0x1.60e5f14010dc9p-3, 0x1.5a105dc554a95p-3, 0x1.5356c467d762ep-3, 0x1.4cb8dcb9c9a1p-3, 0x1.46365e15096dp-3, 0x1.3fceff058d58cp-3, 0x1.398275ba50dabp-3, 0x1.335077b62afc2p-3, 0x1.2d38ba6c55d49p-3, 0x1.273af2de8530ep-3, 0x1.2156d5b6d6bf1p-3, 0x1.1b8c1779707e6p-3, 0x1.15da6c6b5135ep-3, 0x1.104188b6de9e8p-3, 0x1.0ac120ab567e2p-3, 0x1.0558e8057a387p-3, 0x1.000892e33143fp-3, 0x1.f59faaa81c7afp-4, 0x1.eb5cc6d05bb6p-4, 0x1.e147e28f34d8p-4, 0x1.d7606698e35ap-4, 0x1.cda5bbe34f8f1p-4, 0x1.c4174bca37a6bp-4, 0x1.bab47fd31c95bp-4, 0x1.b17cc2933ddb8p-4, 0x1.a86f7ec9cefeep-4, 0x1.9f8c1f9874553p-4, 0x1.96d211461b038p-4, 0x1.8e40c078b0da1p-4, 0x1.85d79abe8c425p-4, 0x1.7d960e29d68f8p-4, 0x1.757b89fa00bebp-4, 0x1.6d877e065026bp-4, 0x1.65b95b1e3b1d2p-4, 0x1.5e109360e4decp-4, 0x1.568c9900b22ap-4, 0x1.4f2cdfebb7b05p-4, 0x1.47f0dd3152bb1p-4, 0x1.40d806345379p-4, 0x1.39e1d205de7a1p-4, 0x1.330db8a98defap-4, 0x1.2c5b331c6deb5p-4, 0x1.25c9bbb9e0dep-4, 0x1.1f58cdfb73a83p-4, 0x1.1907e6894aa9dp-4, 0x1.12d6832d60ffep-4, 0x1.0cc423059e3afp-4, 0x1.06d0465bce0bap-4, 0x1.00fa6eb9d5106p-4, 0x1.f6843dd3c4e49p-5, 0x1.eb4db66946373p-5, 0x1.e05051c4ab4fdp-5, 0x1.d58b1d9c0f84ap-5, 0x1.cafd29dfafbe7p-5, 0x1.c0a5894f31f9cp-5, 0x1.b68351196879ap-5, 0x1.ac95984fa41d3p-5, 0x1.a2db7b2b8c2c8p-5, 0x1.9954167129527p-5, 0x1.8ffe8a3dd27cap-5, 0x1.86d9f951f45ccp-5, 0x1.7de589247f6c3p-5, 0x1.752061d1b330ap-5, 0x1.6c89adfc819eep-5, 0x1.64209b336b27bp-5, 0x1.5be459b89b58ap-5, 0x1.53d41c8acf0bdp-5, 0x1.4bef19686edeep-5, 0x1.443488dced94dp-5, 0x1.3ca3a5d975884p-5, 0x1.353badf20890ep-5, 0x1.2dfbe15e56fdap-5, 0x1.26e382d39e615p-5, 0x1.1ff1d7f884f17p-5, 0x1.192629081ab9p-5, 0x1.127fc12985007p-5, 0x1.0bfdee1465543p-5, 0x1.05a0000010ccfp-5, 0x1.feca9414af477p-6, 0x1.f29a417adb61ap-6, 0x1.e6adb74fd3625p-6, 0x1.db03a966dd38bp-6, 0x1.cf9ad12f43ec9p-6, 0x1.c471ed2c42de9p-6, 0x1.b987c1870b10cp-6, 0x1.aedb183e8233bp-6, 0x1.a46abe2aede9cp-6, 0x1.9a35878ffb26cp-6, 0x1.903a4a03273dcp-6, 0x1.8677e0e2d0c89p-6, 0x1.7ced2adc98a98p-6, 0x1.73990b9714b66p-6, 0x1.6a7a6c20d16fp-6, 0x1.61903b0e25b39p-6, 0x1.58d96c47785bfp-6, 0x1.5054f99779016p-6, 0x1.4801dfba0030bp-6, 0x1.3fdf2007684b6p-6, 0x1.37ebbe7e6950dp-6, 0x1.3026c2a9672d9p-6, 0x1.288f36a27a38ep-6, 0x1.212428bf1631ep-6, 0x1.19e4ad044a6a9p-6, 0x1.12cfdbd5e7b32p-6, 0x1.0be4d47dd3ed8p-6, 0x1.0522bab4d2c9dp-6, 0x1.fd1171ea54f4dp-7, 0x1.f02bf354b1866p-7, 0x1.e39357886eaffp-7, 0x1.d745fde1cbbe9p-7, 0x1.cb424a3697258p-7, 0x1.bf86a55b87c6fp-7, 0x1.b4117ea5a3902p-7, 0x1.a8e14fd755611p-7, 0x1.9df49db5103e7p-7, 0x1.9349f922c3da3p-7, 0x1.88dffe4461611p-7, 0x1.7eb552ad0e27ep-7, 0x1.74c8a0f1e50a5p-7, 0x1.6b1897e46866bp-7, 0x1.61a3e6fb0c135p-7, 0x1.58693c0bcc377p-7, 0x1.4f674b0816e9bp-7, 0x1.469cca6fc5103p-7, 0x1.3e08772e5762p-7, 0x1.35a91804b6d3cp-7, 0x1.2d7d8047031d5p-7, 0x1.25848e761f596p-7, 0x1.1dbd2d6cbf476p-7, 0x1.162650c6afce9p-7, 0x1.0ebef047bd081p-7, 0x1.078604cbeaeb3p-7, 0x1.007a8513836b8p-7, 0x1.f336ca9837013p-8, 0x1.e5cf3ce65454p-8, 0x1.d8bc4d5a56bcp-8, 0x1.cbfbf4ecfc391p-8, 0x1.bf8c3c22f626dp-8, 0x1.b36b3ffc0a39p-8, 0x1.a797347bbd2dcp-8, 0x1.9c0e6bffd7ed2p-8, 0x1.90cf4d5753015p-8, 0x1.85d84c8c708b8p-8, 0x1.7b27dd8ad5493p-8, 0x1.70bc6d5f0ab76p-8, 0x1.669459c618356p-8, 0x1.5cae074b3dc6cp-8, 0x1.5307d80b982a7p-8, 0x1.49a03125fdc6cp-8, 0x1.40758268fd16fp-8, 0x1.378642dbbcce9p-8, 0x1.2ed0fad2f56c5p-8, 0x1.265451a574476p-8, 0x1.1e0f02c3d978cp-8, 0x1.15ffe9d2b26e8p-8, 0x1.0e25e40634853p-8, 0x1.067fd01ed78ep-8, 0x1.fe18e71b6525ep-9, 0x1.ef95285754365p-9, 0x1.e171e556a4ed7p-9, 0x1.d3acaf574cb06p-9, 0x1.c6432fbdfcd94p-9, 0x1.b933153a68a32p-9, 0x1.ac7a157066978p-9, 0x1.a015d90c9896fp-9, 0x1.9404423d5049cp-9, 0x1.884353168f7adp-9, 0x1.7cd1469d980efp-9, 0x1.71ac751b2a5a6p-9, 0x1.66d3322c28603p-9, 0x1.5c43b61119c0dp-9, 0x1.51fc298a5208bp-9, 0x1.47faacb459c3p-9, 0x1.3e3d7e04a75fp-9, 0x1.34c2ff74bffb6p-9, 0x1.2b89a77952bb5p-9, 0x1.228fe7321987ap-9, 0x1.19d40df104a6ep-9, 0x1.115462a884e82p-9, 0x1.090f1ca6bec35p-9, 0x1.0102a99e17ed9p-9, 0x1.f25b38678c4c7p-10, 0x1.e31d57b48370bp-10, 0x1.d4493fe950aa5p-10, 0x1.c5dc765c640cep-10, 0x1.b7d47103bbb74p-10, 0x1.aa2eb10fe1751p-10, 0x1.9ce8e71192ef3p-10, 0x1.9000fe2285552p-10, 0x1.83750efb6da98p-10, 0x1.7743247b23e57p-10, 0x1.6b68efd272516p-10, 0x1.5fe3b26c5644dp-10, 0x1.54b07ea409efap-10, 0x1.49cc74f2d47f1p-10, 0x1.3f352a4b26eb4p-10, 0x1.34e866cb8ac6bp-10, 0x1.2ae46a26fda94p-10, 0x1.2127a6ecb9adcp-10, 0x1.17b0b0c8a7246p-10, 0x1.0e7e11eab9f12p-10, 0x1.058e598542cc4p-10, 0x1.f9c059fd4679dp-11, 0x1.e8e4989d78552p-11, 0x1.d886de9107908p-11, 0x1.c8a412ad57e53p-11, 0x1.b9385c3d9cdcap-11, 0x1.aa3f5c1648a28p-11, 0x1.9bb478008a9fcp-11, 0x1.8d93a5f5bcad2p-11, 0x1.7fd91dd70aa4cp-11, 0x1.7281b3d0d0325p-11, 0x1.658acb4a03f2bp-11, 0x1.58f2981bb9ee9p-11, 0x1.4cb7c45501442p-11, 0x1.40d8de010f92fp-11, 0x1.35543227ec689p-11, 0x1.2a282164fa322p-11, 0x1.1f5356ea796fbp-11, 0x1.14d413b03f5dap-11, 0x1.0aa79720f1a49p-11, 0x1.00ca774a61a9bp-11, 0x1.ee72960a365b1p-12, 0x1.dbe210d188bb7p-12, 0x1.c9de5426f5b2fp-12, 0x1.b8631c0e12522p-12, 0x1.a76c6ea2b2672p-12, 0x1.96f6496754ecbp-12, 0x1.86fc197b345f3p-12, 0x1.777baee516c17p-12, 0x1.6874539e7af7bp-12, 0x1.59e4860e1d7bp-12, 0x1.4bc9aeed0f506p-12, 0x1.3e21ed3bf002p-12, 0x1.30ec6d04f2e06p-12, 0x1.2426503baf6e5p-12, 0x1.17ca938a5dd6fp-12, 0x1.0bd3635c418b3p-12, 0x1.003b52ed2ff8ap-12, 0x1.e9fe928bed3b2p-13, 0x1.d4391d0e273dap-13, 0x1.bf2235cd38129p-13, 0x1.aab6a883a1196p-13, 0x1.96f2adab820b5p-13, 0x1.83cf5cbdb7b68p-13, 0x1.71451bd5f0396p-13, 0x1.5f520bdd4bf9p-13, 0x1.4df6f301a0916p-13, 0x1.3d31dde94ad06p-13, 0x1.2cfd547994fc2p-13, 0x1.1d57aa6e6e486p-13, 0x1.0e3f135759d04p-13, 0x1.ff5bae84ed2edp-14, 0x1.e3399483f3513p-14, 0x1.c80aa2bb2c0a8p-14, 0x1.adc4dc959a069p-14, 0x1.94604146129d9p-14, 0x1.7bd62f1a9b5afp-14, 0x1.6421b76dec1b7p-14, 0x1.4d3f05e7fe7f5p-14, 0x1.37291e0632b82p-14, 0x1.21de1c06c20d7p-14, 0x1.0d515a2a7567cp-14, 0x1.f2f1c5af54fp-15, 0x1.ccafdd85dda3ep-15, 0x1.a7de035c7e732p-15, 0x1.846a689d333d6p-15, 0x1.62491f536472bp-15, 0x1.4176785a53f2ap-15, 0x1.21e386dad052bp-15, 0x1.038097981aed5p-15, 0x1.cc84f9734a97dp-16, 0x1.9448b32be47bp-16, 0x1.5e3e587f4b8aap-16, 0x1.2a4d405271c3fp-16, 0x1.f0bcecf9c5b9dp-17, 0x1.90b84f712f144p-17, 0x1.347574952511cp-17, 0x1.b7c0bffcda0d7p-18, 0x1.0de8ba068fedcp-18, 0x1.acee8686d2ce5p-20, -0x1.864be18470faep-21, -0x1.8c907681acf56p-19, -0x1.5510ee09ae155p-18, -0x1.ddb4fd3f849e9p-18, -0x1.3033d09d3ee5fp-17, -0x1.6e996d4e51b37p-17, -0x1.aa35bcda7cfa7p-17, -0x1.e332285d0b09ep-17, -0x1.0cccc87e966e4p-16, -0x1.26bac2bfcb918p-16, -0x1.3f642600b6c32p-16, -0x1.56d05dcb0c1fdp-16, -0x1.6d0ad8e333787p-16, -0x1.822752829db0cp-16, -0x1.9639e925c6adbp-16, -0x1.a94d60658ed4ep-16, -0x1.bb63d0f6820a9p-16, -0x1.cc817cc1477efp-16, -0x1.dca45015ae807p-16, -0x1.ebcf8981f9828p-16, -0x1.fa175fb3a56fap-16, -0x1.03bf009ce9a78p-15, -0x1.0a0c266235df8p-15, -0x1.0ff5b08ca013cp-15, -0x1.1579d4a6823d4p-15, -0x1.1aa0c2c4339b9p-15, -0x1.1f6e70526a0ecp-15, -0x1.23e685361759fp-15, -0x1.280891a0a498p-15, -0x1.2bd81618c9ca4p-15, -0x1.2f5390a983b33p-15, -0x1.327e9a1db0b53p-15, -0x1.3559f2d5e5bdp-15, -0x1.37eb4d97cab3bp-15, -0x1.3a3b43bf6dc66p-15, -0x1.3c4e4922e19ep-15, -0x1.3e2275323a0fap-15, -0x1.3fb7bacadbb4ep-15, -0x1.4112608ccb62fp-15, -0x1.422bf44b5352cp-15, -0x1.430a54340072fp-15, -0x1.43b6339489154p-15, -0x1.4433d85a07027p-15, -0x1.447f54ecfc7dcp-15, -0x1.449ab364f3086p-15, -0x1.44885667519dbp-15, -0x1.444c2ffe4535dp-15, -0x1.43e731fe7ed49p-15, -0x1.4359c99ac6912p-15, -0x1.42a609d8de99dp-15, -0x1.41cc3099de89ep-15, -0x1.40ceb38593b38p-15, -0x1.3fad9eb988ca9p-15, -0x1.3e6949b54f196p-15, -0x1.3d02fd1f10f28p-15, -0x1.3b80dbc08d20cp-15, -0x1.39e3de33d9b1cp-15, -0x1.382c3f1d1db85p-15, -0x1.365b38195171bp-15, -0x1.3472ba860e0cdp-15, -0x1.326ce499d24fbp-15, -0x1.304db0c51c4ddp-15, -0x1.2e1ce1f8836bcp-15, -0x1.2bd9d0b5e930cp-15, -0x1.298142d621fb5p-15, -0x1.2715e582fd2d9p-15, -0x1.2499aed719f73p-15, -0x1.220ceb0422bd3p-15, -0x1.1f712492072c4p-15, -0x1.1cc4dccd2826bp-15, -0x1.1a0b333ccef3dp-15, -0x1.17442778d9824p-15, -0x1.14705739c3948p-15, -0x1.11906316507d8p-15, -0x1.0ea5c6a6bc725p-15, -0x1.0bb0e78c264e4p-15, -0x1.08b03e27ff8c7p-15, -0x1.05a58ef5dc53dp-15, -0x1.029410d10cafbp-15, -0x1.fef5bf4c05236p-16, -0x1.f8b82bf0eab79p-16, -0x1.f26b2217742c6p-16, -0x1.ec0f897d6cc83p-16, -0x1.e5a5ea8992534p-16, -0x1.df363699931aep-16, -0x1.d8bf3e54e504ep-16, -0x1.d23e6b757b476p-16, -0x1.cbb5978c739d4p-16, -0x1.c52796e3f26bfp-16, -0x1.be93b64f3dddap-16, -0x1.b7fb81357472bp-16, -0x1.b15f4ec87566bp-16, -0x1.aabfbd4c08b4fp-16, -0x1.a41e0783b1d51p-16, -0x1.9d7b0e4778c02p-16, -0x1.96d6d638d2811p-16, -0x1.903234b80872dp-16, -0x1.898edec2d910cp-16, -0x1.82eb3bd2d1342p-16, -0x1.7c4a079147ae7p-16, -0x1.75a90e4821e8cp-16, -0x1.6f09ea1d5c38fp-16, -0x1.6870764b672c3p-16, -0x1.61dbb4d05d65bp-16, -0x1.5b48e4b101033p-16, -0x1.54baa047455d1p-16, -0x1.4e326d75c30c7p-16, -0x1.47af72734246ap-16, -0x1.4134ba4cd8cf4p-16, -0x1.3ab9a4a80b2p-16, -0x1.344d9e4accfa8p-16, -0x1.2de4b5a33e0a7p-16, -0x1.2783ad7941868p-16, -0x1.2129dcb09ffd6p-16, -0x1.1ad8a4dc455b2p-16, -0x1.148fc10c5e5f5p-16, -0x1.0e4ed0a21c3e2p-16, -0x1.08170ad09ea03p-16, -0x1.01e9ff6509623p-16, -0x1.f789f9f31ed2fp-17, -0x1.eb53fd1258bdep-17, -0x1.df30f4b30f191p-17, -0x1.d32330bebb987p-17, -0x1.c72ad5d859cbdp-17, -0x1.bb462e0f85f82p-17, -0x1.af7562445a592p-17, -0x1.a3bb03dd2db37p-17, -0x1.981876a9303e5p-17, -0x1.8c89d981f1b57p-17, -0x1.8112fffdfde1fp-17, -0x1.75b29e3e380b8p-17, -0x1.6a69cb08a715cp-17, -0x1.5f3857a502a0ap-17, -0x1.541e515fa154fp-17, -0x1.491cc32221144p-17, -0x1.3e30c5aa271d4p-17, -0x1.335f28ba7dc04p-17, -0x1.28a4cea2e9892p-17, -0x1.1e0338f177544p-17, -0x1.137caa5b00299p-17, -0x1.090e1dc7095d4p-17, -0x1.fd5881968de29p-18, -0x1.e8e4fb6cf1537p-18, -0x1.d49970c908f13p-18, -0x1.c08039fd9cfebp-18, -0x1.ac98ea91da06dp-18, -0x1.98e367d5cd48fp-18, -0x1.85604fd988798p-18, -0x1.720ebfdf9ec08p-18, -0x1.5ef08bfef1371p-18, -0x1.4c0444abebe98p-18, -0x1.394a713ed5344p-18, -0x1.26c3a743bb52ep-18, -0x1.146f5a41661c2p-18, -0x1.024b15ada4817p-18, -0x1.e0b7a2b95cacdp-19, -0x1.bd39fcbb719b1p-19, -0x1.9a226f6472053p-19, -0x1.776fde46f9679p-19, -0x1.551e9aff1ed97p-19, -0x1.3334d5c35f946p-19, -0x1.11a930bc5237bp-19, -0x1.e10d25a3e8fc2p-20, -0x1.9f8affc10bf58p-20, -0x1.5ec7b54b3390cp-20, -0x1.1ed7c649054eap-20, -0x1.bf2ce255a8953p-21, -0x1.426c1a58a2153p-21, -0x1.8dced7e0ca244p-22, -0x1.340cded5c3313p-23, 0x1.5967adc515fbdp-24, 0x1.449d047dfb25ap-22, 0x1.17a787a5c3dc8p-21, 0x1.8b2470f583fd3p-21, 0x1.fdf918263de2p-21, 0x1.3774c64df05dfp-20, 0x1.6f425965d4dabp-20, 0x1.a63ac8ea6d161p-20, 0x1.dc93e6fb8dd6ap-20, 0x1.090d77059f2b2p-19, 0x1.2383cf44e4328p-19, 0x1.3d9838618419ap-19, 0x1.575338795ffccp-19, 0x1.70b4e2bdb686ep-19, 0x1.89bb47477d80fp-19, 0x1.a26c71117f038p-19, 0x1.bac40dd2395f2p-19, 0x1.d2c8216dfd843p-19, 0x1.ea72aca13b437p-19, 0x1.00e37288f96d9p-18, 0x1.0c649640f1c09p-18, 0x1.17b84fcae5ba1p-18, 0x1.22e47d198ca96p-18, 0x1.2de6b76d553b2p-18, 0x1.38bfc7050e0d6p-18, 0x1.436f2eedbf844p-18, 0x1.4df4f99534c48p-18, 0x1.5851358257be6p-18, 0x1.628834eb071a9p-18, 0x1.6c9d9bab26dd1p-18, 0x1.767e7dcd2ea82p-18, 0x1.803f487456128p-18, 0x1.89d74894c1d12p-18, 0x1.9348b68510217p-18, 0x1.9c95d351aa8aep-18, 0x1.a5bb6f17ad4bbp-18, 0x1.aebdd27b65c44p-18, 0x1.b799ba69489p-18, 0x1.c0511e316c28dp-18, 0x1.c8e72a07a4d26p-18, 0x1.d1522db9b247bp-18, 0x1.d99d185db0101p-18, 0x1.e1c4a7b74b749p-18, 0x1.e9c8ec17ab4b3p-18, 0x1.f1aa47afd0bfep-18, 0x1.f969c0780ead9p-18, 0x1.00837e9c1aa1ap-17, 0x1.0440de336cb11p-17, 0x1.07ee92f8b1ec9p-17, 0x1.0b8875aaef667p-17, 0x1.0f16c0a2b4075p-17, 0x1.12906abdc4655p-17, 0x1.15fc4529e3018p-17, 0x1.19596a641bd5bp-17, 0x1.1ca732113449dp-17, 0x1.1fe22e23b1654p-17, 0x1.230f19524860fp-17, 0x1.262b93477450ep-17, 0x1.2939a434abad9p-17, 0x1.2c39a2806d7dep-17, 0x1.2f29af4aa8202p-17, 0x1.320b870a9f46bp-17, 0x1.34dfc70dfeef9p-17, 0x1.37a954705d52fp-17, 0x1.3a5b98ccc4789p-17, 0x1.3d04e376fc909p-17, 0x1.3f9f881be0269p-17, 0x1.422c56fefe34dp-17, 0x1.44abfe9370a8dp-17, 0x1.471ee09678262p-17, 0x1.49849d59b3068p-17, 0x1.4bdbdc9291559p-17, 0x1.4e25cf17d7113p-17, 0x1.50658290d802p-17, 0x1.5296ca5ff01eap-17, 0x1.54bbb9e74e57dp-17, 0x1.56d42c6d58913p-17, 0x1.58e0b00f00a4fp-17, 0x1.5ae09c133f81ep-17, 0x1.5cd4ab94b0d0ep-17, 0x1.5ebd25323fa16p-17, 0x1.609a7d1480d34p-17, 0x1.626ba95c28d2p-17, 0x1.6430090330a55p-17, 0x1.65ea53ab6a602p-17, 0x1.6799f51609a98p-17, 0x1.693ea1cc46641p-17, 0x1.6ad7ddc517bbp-17, 0x1.6c65cee3ea7d7p-17, 0x1.6dea042f4769fp-17, 0x1.6f65eba98484ep-17, 0x1.70d35495fecbap-17, 0x1.7237bea96510ap-17, 0x1.73931fa7e1d47p-17, 0x1.74e4ef44623d6p-17, 0x1.762a3af3c4989p-17, 0x1.7767d3f908f69p-17, 0x1.789c77438a7adp-17, 0x1.79c5201f6e7d2p-17, 0x1.7ae83ff99331bp-17, 0x1.7bfc5b9cdcdafp-17, 0x1.7d0b85c4e5c65p-17, 0x1.7e10596bea707p-17, 0x1.7f0ccc5662a5bp-17, 0x1.7ffd4890a3b0dp-17, 0x1.80eb322ba0a83p-17, 0x1.81cf46d8eb1f6p-17, 0x1.82a85e2ee67b4p-17, 0x1.837aa97e51892p-17, 0x1.84425c5069087p-17, 0x1.850341f14b1e4p-17, 0x1.85bc788a7262bp-17, 0x1.866dc786cd5f1p-17, 0x1.87182331800cap-17, 0x1.87b86c42ec91cp-17, 0x1.885260e5906fbp-17, 0x1.88e5ab9934ab8p-17, 0x1.8971d5b2078p-17, 0x1.89f5619b2e167p-17, 0x1.8a729858eb588p-17, 0x1.8ae8a8a06f478p-17, 0x1.8b5716ff731aap-17, 0x1.8bbe6e77b9a53p-17, 0x1.8c1f85fed7446p-17, 0x1.8c79b4cb20dbbp-17, 0x1.8cca696c0c489p-17, 0x1.8d1bb532912a2p-17, 0x1.8d6140797baadp-17, 0x1.8da190926cb1p-17, 0x1.8ddc0ecd152e4p-17, 0x1.8e103aaf54ebp-17, 0x1.8e3e26d212b21p-17, 0x1.8e666819c684fp-17, 0x1.8e887bac8071fp-17, 0x1.8ea4ccefdae13p-17, 0x1.8ebb03d3b8cbep-17, 0x1.8eca2c2315f2cp-17, 0x1.8ed7df88ae7adp-17, 0x1.8edcf1e587305p-17, 0x1.8edd028528d5dp-17, 0x1.8ed7f185773f9p-17, 0x1.8ece8b09a320fp-17, 0x1.8ebf1354951cfp-17, 0x1.8eaa11ccc907bp-17, 0x1.8e944b6f11498p-17, 0x1.8e739fcb0e1d5p-17, 0x1.8e4f5e7407dcfp-17, 0x1.8e295d9fab352p-17, 0x1.8dfa3bb5611fep-17, 0x1.8dc9792d4f95cp-17, 0x1.8d929b2af9962p-17, 0x1.8d57dae5c23d5p-17, 0x1.8d19dfd323d92p-17, 0x1.8cd658009974bp-17, 0x1.8c8e7afc7c967p-17, 0x1.8c42e7dc8b256p-17, 0x1.8bf383a3b0de8p-17, 0x1.8b9ccf95ebd9fp-17, 0x1.8b47b612e7c9dp-17, 0x1.8aeb042d7c688p-17, 0x1.8a8cadae9dbb4p-17, 0x1.8a274632de92p-17, 0x1.89c09b367f27ap-17, 0x1.89549bb28639bp-17, 0x1.88e57ec98ed66p-17, 0x1.887314a26742bp-17, 0x1.87fd4ffa1e1e5p-17, 0x1.8783ec39fe505p-17, 0x1.87070a1c7cecep-17, 0x1.8686a1106a798p-17, 0x1.8602c5996e2b6p-17, 0x1.857acd3e6c756p-17, 0x1.84f2d1986922cp-17, 0x1.846537de6b3f7p-17, 0x1.83d511174b2bdp-17, 0x1.833e92fa64557p-17, 0x1.82aa77588b0d9p-17, 0x1.8211a55a276bdp-17, 0x1.81759d440b202p-17, 0x1.80d7464b05e46p-17, 0x1.8033f7a7c4a79p-17, 0x1.7f9074cd8f375p-17, 0x1.7ee954e7a8718p-17, 0x1.7e3fc3bb13301p-17, 0x1.7d93420dba286p-17, }}, 
      {{0x1.cd12616c5c29ep-4, 0x1.98929db6684fp-3, 0x1.9eee7f0005c28p-3, 0x1.03b4168841169p-3, 0x1.f216a94bad1fdp-9, -0x1.116b85a3899e2p-3, -0x1.0a117dd6837b9p-2, -0x1.6fd851208e28ap-2, -0x1.b20b38312f649p-2, -0x1.ceeacf4d1f2afp-2, -0x1.c8e19c712ba3bp-2, -0x1.a4ca459a03b39p-2, -0x1.68a585c9b44a5p-2, -0x1.1ab6132ba8ba3p-2, -0x1.81dd50c1579f1p-3, -0x1.8275926b1e1ep-4, 0x1.bd873ace07336p-10, 0x1.89f04b752e8cbp-4, 0x1.7d9819ebceaf8p-3, 0x1.149dc4e75c10bp-2, 0x1.628ce50a46e85p-2, 0x1.a7c6f902e4ef3p-2, 0x1.e3f1df4a463ep-2, 0x1.0b89c6a7d0166p-1, 0x1.20bdfca0d03fbp-1, 0x1.31d8cb6e55256p-1, 0x1.3f30482e1cfd8p-1, 0x1.49265a223724fp-1, 0x1.5022f93806635p-1, 0x1.548f980a87d85p-1, 0x1.56d398389bca6p-1, 0x1.5751a6d1f7b86p-1, 0x1.5665ddb487fbcp-1, 0x1.5464883ef9537p-1, 0x1.51996e1bf8cd8p-1, 0x1.4e47884a485a9p-1, 0x1.4aa9076f28283p-1, 0x1.46ef9802283cbp-1, 0x1.4344d3fd16279p-1, 0x1.3fcacee29c995p-1, 0x1.3c9cb6352eec7p-1, 0x1.39cf7cdd99a4cp-1, 0x1.37728485ff2f4p-1, 0x1.359044df3faf8p-1, 0x1.342ef216fc065p-1, 0x1.3351181893414p-1, 0x1.32f62740452dcp-1, 0x1.331af89496c83p-1, 0x1.33ba4a6ccaeadp-1, 0x1.34cd2fd6f981dp-1, 0x1.364b706788466p-1, 0x1.382bdbc6e7291p-1, 0x1.3a6494de4dfa5p-1, 0x1.3ceb548b77117p-1, 0x1.3fb5a259e5092p-1, 0x1.42b902c2784a4p-1, 0x1.45eb1c827430ep-1, 0x1.4941d752e522dp-1, 0x1.4cb375623ca93p-1, 0x1.5036a83555a0ep-1, 0x1.53c2a0b1aa852p-1, 0x1.574f1a98a8b5bp-1, 0x1.5ad463f6f5634p-1, 0x1.5e4b61313c53ep-1, 0x1.61ad8e91b3dd6p-1, 0x1.64f4ffe5d64fbp-1, 0x1.681c5e8361e2dp-1, 0x1.6b1ee61c7e68dp-1, 0x1.6df8604c42b5dp-1, 0x1.70a51f4c534f8p-1, 0x1.7321f7c32c17dp-1, 0x1.756c3a1d32c22p-1, 0x1.7781ab7434ea5p-1, 0x1.79607e4743b5fp-1, 0x1.7b074b20dc26p-1, 0x1.7c75094bb9248p-1, 0x1.7da9079e43d21p-1, 0x1.7ea2e57e23ccfp-1, 0x1.7f628c039732ep-1, 0x1.7fe8277eecefdp-1, 0x1.80342112f2772p-1, 0x1.804718b2e3a2bp-1, 0x1.8021df6bdd85dp-1, 0x1.7fc571e9141b9p-1, 0x1.7f32f354a6b56p-1, 0x1.7e6ba89959647p-1, 0x1.7d70f3d342784p-1, 0x1.7c44501c3e5a7p-1, 0x1.7ae74dc2ed3ddp-1, 0x1.795b8e9c29887p-1, 0x1.77a2c2bd77675p-1, 0x1.75bea579236fbp-1, 0x1.73b0fa9321c1bp-1, 0x1.717b8bb2cfa01p-1, 0x1.6f202622ff96cp-1, 0x1.6ca098ac7d0a5p-1, 0x1.69feb1be58989p-1, 0x1.673c3daf68d86p-1, 0x1.645b053ce6bb8p-1, 0x1.615ccc3e2d514p-1, 0x1.5e4350607e8a9p-1, 0x1.5b1048170755dp-1, 0x1.57c561b9f5efp-1, 0x1.546442b032cc9p-1, 0x1.50ee86c4b4abbp-1, 0x1.4d65bf92de638p-1, 0x1.49cb7400a2a36p-1, 0x1.46211fe197221p-1, 0x1.426833a73e575p-1, 0x1.3ea2141594956p-1, 0x1.3ad01a29b3a34p-1, 0x1.36f392ebc209p-1, 0x1.330dbf6ac2613p-1, 0x1.2f1fd4b49283cp-1, 0x1.2b2afbd8f6332p-1, 0x1.2730520f1486dp-1, 0x1.2330e8c05d999p-1, 0x1.1f2dc5a9d18dcp-1, 0x1.1b27e31ed0fe9p-1, 0x1.1720301bb3afap-1, 0x1.1317908c65d79p-1, 0x1.0f0edd903bd5p-1, 0x1.0b06e5a1773a8p-1, 0x1.07006cdfa977fp-1, 0x1.02fc2d65231e5p-1, 0x1.fdf5aeef66398p-2, 0x1.f5fa23981a555p-2, 0x1.ee06f3dbf4593p-2, 0x1.e61d48dd6c2ecp-2, 0x1.de3e3a5af4f03p-2, 0x1.d66acf726a01ep-2, 0x1.cea3ff0f35252p-2, 0x1.c6eab07cac81fp-2, 0x1.bf3fbc05b0765p-2, 0x1.b7a3eb9f92798p-2, 0x1.b017fb391ec2ep-2, 0x1.a89c99616e336p-2, 0x1.a13267fabf514p-2, 0x1.99d9fc8e2a012p-2, 0x1.9293e0ce21b8ep-2, 0x1.8b609333a5ddfp-2, 0x1.8440878116367p-2, 0x1.7d342716ed328p-2, 0x1.763bd170e49cfp-2, 0x1.6f57dcbbc5e45p-2, 0x1.68889636fdb07p-2, 0x1.61ce42817e05cp-2, 0x1.5b291e069bcffp-2, 0x1.54995da928c93p-2, 0x1.4e1f2ed5435f9p-2, 0x1.47bab7f71f3d5p-2, 0x1.416c18d0915b7p-2, 0x1.3b336aefd88a6p-2, 0x1.3510c1e7c5c7ap-2, 0x1.2f042b8d483ep-2, 0x1.290db07049171p-2, 0x1.232d541ce89f3p-2, 0x1.1d631544a94fep-2, 0x1.17aeee22470ecp-2, 0x1.1210d4af879e8p-2, 0x1.0c88bae066d01p-2, 0x1.07168ef29d81ap-2, 0x1.01ba3b947ee1ap-2, 0x1.f8e7503a7730cp-3, 0x1.ee85718ff0d7fp-3, 0x1.e44e9dd896efdp-3, 0x1.da42923c4cdaep-3, 0x1.d06106f74d4bap-3, 0x1.c6a9af5ed0618p-3, 0x1.bd1c3a55ec72cp-3, 0x1.b3b852c0b8e09p-3, 0x1.aa7d9faef3cd3p-3, 0x1.a16bc4ae5e57dp-3, 0x1.98826201be471p-3, 0x1.8fc1150173da1p-3, 0x1.8727783d25136p-3, 0x1.7eb523cb23bbep-3, 0x1.7669ad734c453p-3, 0x1.6e44a8fac3045p-3, 0x1.6645a82414bd3p-3, 0x1.5e6c3b40c829bp-3, 0x1.56b7f0f5d0964p-3, 0x1.4f28569b0bfbfp-3, 0x1.47bcf872209a6p-3, 0x1.407561b631a97p-3, 0x1.39511cc759ecap-3, 0x1.324fb34f0fa48p-3, 0x1.2b70ae5f15703p-3, 0x1.24b396a8ffe8cp-3, 0x1.1e17f4536693ep-3, 0x1.179d4f9bde6e8p-3, 0x1.1143305fad02bp-3, 0x1.0b091e905cab2p-3, 0x1.04eea2385821cp-3, 0x1.fde686d5c9c22p-4, 0x1.f22d155f106c2p-4, 0x1.e6b00179d3d16p-4, 0x1.db6e5d7fb5469p-4, 0x1.d0673ca3c20bp-4, 0x1.c599b340affd5p-4, 0x1.bb04d6e87c4f3p-4, 0x1.b0a7be3dd3c02p-4, 0x1.a68181bc2f0f4p-4, 0x1.9c913b0fc1c61p-4, 0x1.92d6059926c86p-4, 0x1.894efe724024ep-4, 0x1.7ffb447b5bc38p-4, 0x1.76d9f86f1584fp-4, 0x1.6dea3cf9a2d5fp-4, 0x1.652b36bcd71fap-4, 0x1.5c9c0c78ded81p-4, 0x1.543be6f4b4f45p-4, 0x1.4c09f12135f58p-4, 0x1.440558417caep-4, 0x1.3c2d4bbeed6a1p-4, 0x1.3480fd5205689p-4, 0x1.2cffa10823f1p-4, 0x1.25a86d2745f4bp-4, 0x1.1e7a9a98276e3p-4, 0x1.1775647c2667fp-4, 0x1.1098087c61eccp-4, 0x1.09e1c67558687p-4, 0x1.0351e10f6c1b9p-4, 0x1.f9cf3a7df697dp-5, 0x1.ed4484dd008edp-5, 0x1.e102352b6799cp-5, 0x1.d506e43be31fdp-5, 0x1.c9512fe88c14fp-5, 0x1.bddfbb6a82675p-5, 0x1.b2b12e4068246p-5, 0x1.a7c4356a43d3dp-5, 0x1.9d1782dddd24fp-5, 0x1.92a9cd6a96d2p-5, 0x1.8879d0d3d7a81p-5, 0x1.7e864df7515f8p-5, 0x1.74ce0a8c57c55p-5, 0x1.6b4fd1373ab0ep-5, 0x1.620a714eb64ep-5, 0x1.58fcbf6e7006bp-5, 0x1.502594cbb93efp-5, 0x1.4783cf2a48746p-5, 0x1.3f16517868c33p-5, 0x1.36dc032b359c2p-5, 0x1.2ed3d0875493bp-5, 0x1.26fcaa3ec92fdp-5, 0x1.1f5585fc8378p-5, 0x1.17dd5d9bb720bp-5, 0x1.10932fd759697p-5, 0x1.0975ffeb21ad3p-5, 0x1.0284d518534bdp-5, 0x1.f77d76e769eedp-6, 0x1.ea4586f752c51p-6, 0x1.dd600316b50efp-6, 0x1.d0cb1d5218df5p-6, 0x1.c4850fef4cfaap-6, 0x1.b88c1d51cb009p-6, 0x1.acde9074dd2e4p-6, 0x1.a17abc49fa078p-6, 0x1.965efbf3a0659p-6, 0x1.8b89b23524061p-6, 0x1.80f94a16170e8p-6, 0x1.76ac3603802e7p-6, 0x1.6ca0f01be56e6p-6, 0x1.62d5fa17935dcp-6, 0x1.5949dd589091ep-6, 0x1.4ffb2a1bd28a2p-6, 0x1.46e8786e0020bp-6, 0x1.3e1066fa53883p-6, 0x1.35719bca3b297p-6, 0x1.2d0ac361a0a6bp-6, 0x1.24da90bb019fcp-6, 0x1.1cdfbf53b27bp-6, 0x1.15190fa34a1e8p-6, 0x1.0d85492506c75p-6, 0x1.062339bd97c3ap-6, 0x1.fde36b0fd3b96p-7, 0x1.efdf2dcad8ee5p-7, 0x1.e2377c43bb92ep-7, 0x1.d4ea237f59d91p-7, 0x1.c7f4fc24af712p-7, 0x1.bb55eabe3e7b9p-7, 0x1.af0adf4a9902cp-7, 0x1.a311d50d0b7b2p-7, 0x1.9768d225ef14ep-7, 0x1.8c0de75637a53p-7, 0x1.80ff2ffd8e1b5p-7, 0x1.763ad1d2c654fp-7, 0x1.6bbefd3d3bff6p-7, 0x1.6189ec9fd4fedp-7, 0x1.5799e4d16dfa5p-7, 0x1.4ded34365f931p-7, 0x1.448232d28d323p-7, 0x1.3b574273c21fep-7, 0x1.326acc5615196p-7, 0x1.29bb43c467d73p-7, 0x1.214724692b04bp-7, 0x1.190cf3258882cp-7, 0x1.110b3d88feffp-7, 0x1.0940998eaa318p-7, 0x1.01aba718a14c4p-7, 0x1.f49616caab966p-8, 0x1.e63aedfb0ba0dp-8, 0x1.d8433bdbc53d3p-8, 0x1.caac7c12128dbp-8, 0x1.bd7435ed99bdap-8, 0x1.b0980019685dp-8, 0x1.a415808f44d85p-8, 0x1.97ea6ce0c6152p-8, 0x1.8c14886b34144p-8, 0x1.8091a8285c397p-8, 0x1.755fa95419319p-8, 0x1.6a7c78fbe38e7p-8, 0x1.5fe60db7d0157p-8, 0x1.559a6878894cbp-8, 0x1.4b9795a9aa442p-8, 0x1.41dbac8288b43p-8, 0x1.3864d201aa847p-8, 0x1.2f31379c836dfp-8, 0x1.263f1d47c9eb4p-8, 0x1.1d8ccdfd0865fp-8, 0x1.1518a4037044p-8, 0x1.0ce0fde12e7d1p-8, 0x1.04e4462472605p-8, 0x1.fa41d97814b4cp-9, 0x1.eb2ad34b10e4ep-9, 0x1.dc8079eba0e51p-9, 0x1.ce3fde975f03bp-9, 0x1.c066297cdd922p-9, 0x1.b2f099730026bp-9, 0x1.a5dc857b640d9p-9, 0x1.99275b2840fe1p-9, 0x1.8cce9bd663d25p-9, 0x1.80cfd76bfe38ap-9, 0x1.7528a9eb5d039p-9, 0x1.69d6b928727ap-9, 0x1.5ed7ad5e4afedp-9, 0x1.54294041ce902p-9, 0x1.49c93484dcec4p-9, 0x1.3fb55b482f47p-9, 0x1.35eb98a611d33p-9, 0x1.2c69e628e9462p-9, 0x1.232e51cccfaa7p-9, 0x1.1a36fd8743b1dp-9, 0x1.11821be4e6f55p-9, 0x1.090de9be0068ep-9, 0x1.00d8aabc6eed3p-9, 0x1.f1c1492428d43p-10, 0x1.e2483e2886f6p-10, 0x1.d342dd5de403ap-10, 0x1.c4adce5b020a3p-10, 0x1.b685d30668742p-10, 0x1.a8c7cb8293224p-10, 0x1.9b70b7ca0c5e1p-10, 0x1.8e7db99505b6p-10, 0x1.81ec1fa05cb7fp-10, 0x1.75b957260ddd5p-10, 0x1.69e2e3a255924p-10, 0x1.5e664fb6b58fp-10, 0x1.534125b7282e8p-10, 0x1.4870e32aa5053p-10, 0x1.3df31861e66dbp-10, 0x1.33c5590da6ec7p-10, 0x1.29e5430aea262p-10, 0x1.205088fa8cf35p-10, 0x1.1704ea7f1cfadp-10, 0x1.0e0041c7bad1dp-10, 0x1.054090a1d6dc9p-10, 0x1.f987e37c11d64p-11, 0x1.e9115bb679bdap-11, 0x1.d91a169c685f6p-11, 0x1.c99ec0694c20fp-11, 0x1.ba9bc584713dcp-11, 0x1.ac0dad53d3797p-11, 0x1.9df0f7c7721a9p-11, 0x1.9042400af770ap-11, 0x1.82fe48496e2afp-11, 0x1.7621de5a0717bp-11, 0x1.69a9e57b2832dp-11, 0x1.5d9333702ea2dp-11, 0x1.51dae960a556dp-11, 0x1.467e4b8886b2fp-11, 0x1.3b7ae24100ec7p-11, 0x1.30ce5c68978c2p-11, 0x1.2676690ed15c1p-11, 0x1.1c709bb7f120dp-11, 0x1.12ba8f064751p-11, 0x1.0951c892e1c8p-11, 0x1.0033ff690fedp-11, 0x1.eebe288838b4p-12, 0x1.dda2007f1d10ap-12, 0x1.cd0f7e9076c36p-12, 0x1.bd025a2d77557p-12, 0x1.ad76494a99e9cp-12, 0x1.9e66dfefac78bp-12, 0x1.8fd032720ae05p-12, 0x1.81aea6ab19b5ep-12, 0x1.73fef9b8a0bcfp-12, 0x1.66be0ff4fb721p-12, 0x1.59e8cb3d50e34p-12, 0x1.4d7c0a2b014e9p-12, 0x1.4174bb0c08928p-12, 0x1.35d00230037c8p-12, 0x1.2a8b49352a81cp-12, 0x1.1fa42797a3f7fp-12, 0x1.15182c3bcc589p-12, 0x1.0ae49ca67677ap-12, 0x1.010648fa2db84p-12, 0x1.eef3c5061307fp-13, 0x1.dc7855ea6d3c4p-13, 0x1.ca94e0a95f8cap-13, 0x1.b944461572424p-13, 0x1.a88270e4060e9p-13, 0x1.984bb007d6bcbp-13, 0x1.889c9f4118874p-13, 0x1.7971bf984a59ep-13, 0x1.6ac7b446564dap-13, 0x1.5c9b4a5e9e532p-13, 0x1.4ee98adf175c2p-13, 0x1.41af6ed333e91p-13, 0x1.34e976bb520aep-13, 0x1.289369af0635bp-13, 0x1.1ca8af3d9fbep-13, 0x1.1124732c38b05p-13, 0x1.060294327a3b4p-13, 0x1.f67e319c50546p-14, 0x1.e1ad6b6f42b3dp-14, 0x1.cd8d42df99ca2p-14, 0x1.ba19a1ed9538dp-14, 0x1.a74f6499207abp-14, 0x1.952b21d3d53ffp-14, 0x1.83a91e6c943c8p-14, 0x1.72c5b0055f15ep-14, 0x1.627db1381e528p-14, 0x1.52cd731cec266p-14, 0x1.43af384047b12p-14, 0x1.351c44481c0eep-14, 0x1.270ddf69c80e5p-14, 0x1.197e0dd25d697p-14, 0x1.0c67f2096a96ap-14, 0x1.ff8e91f56de21p-15, 0x1.e7304f9af4ff9p-15, 0x1.cfada5a8e868ep-15, 0x1.b8fd448542dfap-15, 0x1.a31ac523f1667p-15, 0x1.8e042a020759dp-15, 0x1.79b60f2c553adp-15, 0x1.662b498c25d2ap-15, 0x1.535fc43fcd93bp-15, 0x1.4151a8fd21aa1p-15, 0x1.2ffafcbfc0c15p-15, 0x1.1f52810789d4p-15, 0x1.0f4e061f6673bp-15, 0x1.ffc60aa95bf78p-16, 0x1.e218b8f3756a8p-16, 0x1.c588e58c3d92cp-16, 0x1.aa0f66f9e4accp-16, 0x1.8fa6098aa84fdp-16, 0x1.7645a6e7e34d1p-16, 0x1.5de1eb2470b1ap-16, 0x1.466d4d0211caep-16, 0x1.2fe41a3580cd5p-16, 0x1.1a466dc547d72p-16, 0x1.059169a2b64d1p-16, 0x1.e374d379c595ep-17, 0x1.bd7c4d2166ca6p-17, 0x1.99324bed23134p-17, 0x1.768204472bc5p-17, 0x1.5554779e1a6a9p-17, 0x1.359205c2788bp-17, 0x1.17292999759d9p-17, 0x1.f419f2ec80c5ep-18, 0x1.bc61a70da92acp-18, 0x1.87196bd577755p-18, 0x1.5435000913891p-18, 0x1.239dc6551bacap-18, 0x1.eaa2d66da3e8cp-19, 0x1.924997e454feep-19, 0x1.3dee201e74ffbp-19, 0x1.db464036357bcp-20, 0x1.42cdbc68825a8p-20, 0x1.640b7d747d1bfp-21, 0x1.44bc3d0f3b3eep-23, -0x1.665f2e24fc1bp-22, -0x1.a9c0bec943347p-21, -0x1.49b0b600fc08dp-20, -0x1.b851bb9bb507fp-20, -0x1.106ed220fc516p-19, -0x1.41c15332622d6p-19, -0x1.704bea24d3dfp-19, -0x1.9c303c075f721p-19, -0x1.c5938cdd54f3fp-19, -0x1.ec8485e569b07p-19, -0x1.088b39b65360bp-18, -0x1.19a5fbbd34b26p-18, -0x1.299acb0df149ep-18, -0x1.3883a7e3e7e69p-18, -0x1.466588145faf7p-18, -0x1.5337a6965a13bp-18, -0x1.5f19e0e5a346cp-18, -0x1.6a115acb4b1dap-18, -0x1.7421b1fd5e341p-18, -0x1.7d5aace837b43p-18, -0x1.85cd40f645b7bp-18, -0x1.8d7ab07627ce7p-18, -0x1.9469f51547e2ap-18, -0x1.9a9940a66f80dp-18, -0x1.a0107568c610bp-18, -0x1.a4d723419e0d3p-18, -0x1.a8fc6d97aa023p-18, -0x1.ac8e2cd90f948p-18, -0x1.af9310d48dbcap-18, -0x1.b20e22aba6445p-18, -0x1.b40345fed333fp-18, -0x1.b571ac5c9e2b7p-18, -0x1.b658b9b1d3cbp-18, -0x1.b6c83a78fdc58p-18, -0x1.b6c1fb820110cp-18, -0x1.b654cb6365cedp-18, -0x1.b584535c6c864p-18, -0x1.b44d1b5f97de3p-18, -0x1.b2bc1eccbf4e3p-18, -0x1.b0d3ac7e94451p-18, -0x1.ae9db6da36d74p-18, -0x1.ac152aac808a5p-18, -0x1.a9426f5f71b77p-18, -0x1.a61ea98ec4667p-18, -0x1.a2b36d3b5c3d4p-18, -0x1.9eff20d2fb107p-18, -0x1.9b0a8cc229042p-18, -0x1.96e110bb893dap-18, -0x1.928839bf6705dp-18, -0x1.8dfe1be62619ap-18, -0x1.894014641fb8ep-18, -0x1.8456f43016d26p-18, -0x1.7f3877f4a2ee6p-18, -0x1.79ecc0a1846dp-18, -0x1.747ef6fdba908p-18, -0x1.6ef44f5a2f1ccp-18, -0x1.6947fa66624f5p-18, -0x1.637cf1deb9bdep-18, -0x1.5d93dd1eed4a1p-18, -0x1.5793e66f3870dp-18, -0x1.517e01fa8fd0fp-18, -0x1.4b51abba468b4p-18, -0x1.45127452f87adp-18, -0x1.3ebee4ebb266fp-18, -0x1.385b5a7aff541p-18, -0x1.31e75f2e41bd5p-18, -0x1.2b63817f1ea58p-18, -0x1.24d069377d4ecp-18, -0x1.1e3804542dcp-18, -0x1.1795bfeb7041p-18, -0x1.10efaab675d5bp-18, -0x1.0a444a2ce068ap-18, -0x1.039674597685bp-18, -0x1.f9bcc26f2874dp-19, -0x1.ec43a69db60dp-19, -0x1.ded28fc591eb1p-19, -0x1.d16580bda3411p-19, -0x1.c3f7bca84535fp-19, -0x1.b68d3614bd0bdp-19, -0x1.a92b1022a7584p-19, -0x1.9bd08ac18aa1p-19, -0x1.8e83e750faaa2p-19, -0x1.813b45e53eeb4p-19, -0x1.74034bf0aa798p-19, -0x1.66d985a285e7ep-19, -0x1.59be7dad1212ap-19, -0x1.4cb3b5c6ca7a4p-19, -0x1.3fbbb143ef99p-19, -0x1.32daea67aaef6p-19, -0x1.260821933f668p-19, -0x1.19484ce9c1272p-19, -0x1.0ca3848c8ade4p-19, -0x1.00165db99a83bp-19, -0x1.e74d561144cf6p-20, -0x1.ce978a00b8d3p-20, -0x1.b613fc40bd011p-20, -0x1.9dbe4ed68e872p-20, -0x1.85a9ad8efc672p-20, -0x1.6dd40e40e496ap-20, -0x1.563492bbed1adp-20, -0x1.3ec9fcba95246p-20, -0x1.27a18af977f8cp-20, -0x1.10b2e9713f7f5p-20, -0x1.f409f59cf3bccp-21, -0x1.c72abe9795183p-21, -0x1.9ac89fcbc8b5cp-21, -0x1.6ee7a9403096ep-21, -0x1.438bf5b7744d2p-21, -0x1.18b1304c9d6ddp-21, -0x1.dcaab692a2fa9p-22, -0x1.891c51acb1678p-22, -0x1.3667b6aee076ap-22, -0x1.c9cc139dfe84p-23, -0x1.28ac11dc43668p-23, -0x1.131f7a03662bdp-24, 0x1.318fa57595e64p-27, 0x1.5b541a02cda0ap-24, 0x1.463fc87b40117p-23, 0x1.dcc0d88d9903dp-23, 0x1.387f6fea2637ep-22, 0x1.81988f1e1e74ap-22, 0x1.c97b4ef9ec29ap-22, 0x1.085e78f7741bap-21, 0x1.2b30651979defp-21, 0x1.4d9c12d4fe0f4p-21, 0x1.6f814325792d4p-21, 0x1.90e4ad35a92dfp-21, 0x1.b1b9644a6441p-21, 0x1.d20c1ef34f53p-21, 0x1.f1e2d4229ec2bp-21, 0x1.0898b1c7d517ap-20, 0x1.17f3d8e9dbf03p-20, 0x1.2717a827fe132p-20, 0x1.35f74f33ee133p-20, 0x1.449a9223ad76fp-20, 0x1.52fa4e85d57edp-20, 0x1.61194cab4cfc5p-20, 0x1.6efce6b4722acp-20, 0x1.7ca15559b89edp-20, 0x1.8a0705669dad6p-20, 0x1.972d46f6ac486p-20, 0x1.a41a388e30bb7p-20, 0x1.b0c7b140d8c44p-20, 0x1.bd3c3ddd81845p-20, 0x1.c9733744596f6p-20, 0x1.d56f6e052490ep-20, 0x1.e131f045caf17p-20, 0x1.ecb8b1cdd6f25p-20, 0x1.f80e34a697f85p-20, 0x1.0191fc3580459p-19, 0x1.0701d6eb712eap-19, 0x1.0c568a908903ep-19, 0x1.118d49b936095p-19, 0x1.16a8d12f2ff17p-19, 0x1.1bb85ed6638b3p-19, 0x1.209beacba44bbp-19, 0x1.256b5e1f1cc95p-19, 0x1.2a21463ac8801p-19, 0x1.2ebde50421b71p-19, 0x1.3341b4a38a8fcp-19, 0x1.37acd843a74aep-19, 0x1.3c0081352a3dap-19, 0x1.403b3362b468fp-19, 0x1.445f5c87ce798p-19, 0x1.486b1509d8965p-19, 0x1.4c5fd97c13a12p-19, 0x1.503e054147124p-19, 0x1.540824b95db9p-19, 0x1.57b9543d37d04p-19, 0x1.5b576725b2309p-19, 0x1.5edfb3da3827p-19, 0x1.62513015a687fp-19, 0x1.65b043f5e0246p-19, 0x1.68f9d43a37df7p-19, 0x1.6c315c25c367fp-19, 0x1.6f51da7cc4bb3p-19, 0x1.7260b15d0ad11p-19, 0x1.755d161381984p-19, 0x1.7843fbbc68ea7p-19, 0x1.7b1d8dba1a777p-19, 0x1.7ddfda88ff08dp-19, 0x1.8095131a92f98p-19, 0x1.8336e21097119p-19, 0x1.85c4285eb2405p-19, 0x1.8847d47b69fd3p-19, 0x1.8ab69f59316e5p-19, 0x1.8d0d086524a85p-19, 0x1.8f64945b97f73p-19, 0x1.91a30316005bcp-19, 0x1.93d5512ba13fap-19, 0x1.95f442186b353p-19, 0x1.9808a0512ec98p-19, 0x1.9a09fbd5f60ffp-19, 0x1.9c015f2cc033bp-19, 0x1.9de8d19b2f9b7p-19, 0x1.9fc2afd07f4f7p-19, 0x1.a18fc63d8b959p-19, 0x1.a34e6ff332834p-19, 0x1.a5017d222ce29p-19, 0x1.a6a73925419ccp-19, 0x1.a8425974c54acp-19, 0x1.a9cfaa67e9058p-19, 0x1.ab514852dd4d7p-19, 0x1.acc91798154fep-19, 0x1.ae32e053581eap-19, 0x1.af93444005328p-19, 0x1.b0e8b88165a09p-19, 0x1.b2335f2100231p-19, 0x1.b373582bdc3d6p-19, 0x1.b4a9a0f849b55p-19, 0x1.b5d59413b1bccp-19, 0x1.b6f7b10467b7p-19, 0x1.b814df15ec2c6p-19, 0x1.b920fe1f44452p-19, 0x1.ba2815becbfcp-19, 0x1.bb2598f88159bp-19, 0x1.bc19f605afbfdp-19, 0x1.bd07a5a655b35p-19, 0x1.bdeb20a3572b8p-19, 0x1.bec8f23cbba9fp-19, 0x1.bf9d63d49beep-19, 0x1.c06a712ee5665p-19, 0x1.c131baca49c73p-19, 0x1.c1edf62732617p-19, 0x1.c2a53007aa1a5p-19, 0x1.c355826847aecp-19, 0x1.c3ff13e03ed3ap-19, 0x1.c4a22ce1b9561p-19, 0x1.c53e8ccc30413p-19, 0x1.c5d4d091a245ap-19, 0x1.c664c2c5bfdbp-19, 0x1.c6f02a89f9ee2p-19, 0x1.c7726ac98b6c6p-19, 0x1.c7f3e8a6db59ap-19, 0x1.c86a97d624bd7p-19, 0x1.c8df0dba105fp-19, 0x1.c950193f98981p-19, 0x1.c9bc36ac45f62p-19, 0x1.ca1fd36d32deap-19, 0x1.ca7f5c23a8b94p-19, 0x1.cada4e898753bp-19, 0x1.cb318a06cf345p-19, 0x1.cb83e22a59f64p-19, 0x1.cbd2580c64741p-19, 0x1.cc1bbbc046dc8p-19, 0x1.cc62d6232fc79p-19, 0x1.ccaa60a7053b4p-19, 0x1.cce369631dba1p-19, 0x1.cd1ed0bde87d8p-19, 0x1.cd557063d5a84p-19, 0x1.cd88d63e4faa2p-19, 0x1.cdb8f56853e86p-19, 0x1.cde6d4336ce7ap-19, 0x1.ce1203d83087fp-19, 0x1.ce37acc9a60cfp-19, 0x1.ce5ac528b7983p-19, 0x1.ce7d8ca983dc6p-19, 0x1.ce9b92aa8a4eap-19, 0x1.ceb73982baec9p-19, 0x1.cecfdbdb5c082p-19, 0x1.cee68e8597cb6p-19, 0x1.cefa4485fc97bp-19, 0x1.cf0be88bb141dp-19, 0x1.cf1b2834593abp-19, 0x1.cf28b97647306p-19, 0x1.cf3354e685367p-19, 0x1.cf3ad832d177cp-19, 0x1.cf419c3435c23p-19, 0x1.cf46c48ee7fcfp-19, 0x1.cf492e67b9bcap-19, 0x1.cf4a289dcd31ap-19, 0x1.cf48db9fae842p-19, 0x1.cf462c8dca418p-19, 0x1.cf4479cf2b73fp-19, 0x1.cf3c7faafa5c7p-19, 0x1.cf34c159e55f5p-19, 0x1.cf2cde1cd0816p-19, 0x1.cf227b442d542p-19, 0x1.cf14d6b1b75aep-19, 0x1.cf0877b3fd0a8p-19, 0x1.cefaf24c8aa37p-19, 0x1.cee971a63c202p-19, 0x1.ceda2e7e61e92p-19, 0x1.cec34a4f8d48dp-19, 0x1.ceb1f651ce66p-19, 0x1.ce9bf28370666p-19, 0x1.ce86371bb82ecp-19, 0x1.ce6c306c7ffc3p-19, 0x1.ce5744b286aafp-19, 0x1.ce3f9ffd074abp-19, 0x1.ce2485c117b37p-19, 0x1.ce0a4556ee2a1p-19, 0x1.cdec7f66c198ap-19, 0x1.cdcfe60fea5d4p-19, 0x1.cdb2008602cd9p-19, 0x1.cd934bf498fb1p-19, 0x1.cd746d45e2efp-19, 0x1.cd5239ca4f7d6p-19, 0x1.cd3151fd16158p-19, 0x1.cd0fc6d3eaf3p-19, 0x1.ccee50d06021ep-19, 0x1.ccca8cf752b36p-19, 0x1.cca69cbf0c648p-19, 0x1.cc820d82ef553p-19, 0x1.cc5c02d41da6p-19, 0x1.cc35463fc60e3p-19, 0x1.cc0e90ff6756cp-19, 0x1.cbe67f3a79d5ap-19, 0x1.cbbb5d2ae27dap-19, 0x1.cb968e21eef92p-19, 0x1.cb6b849080ef7p-19, 0x1.cb411e37c1d3dp-19, 0x1.cb1735f22402fp-19, 0x1.caeb762eb0be2p-19, 0x1.cabf69601b2a8p-19, 0x1.ca9345d7ced03p-19, 0x1.ca65d9566a3dcp-19, 0x1.ca38414659b47p-19, 0x1.ca09fff30295p-19, 0x1.c9d837f633f5bp-19, 0x1.c9ab588417c22p-19, 0x1.c97a0334dfa16p-19, 0x1.c948ed098aafcp-19, 0x1.c91744128b59cp-19, 0x1.c8e61dbc6b945p-19, 0x1.c8b3762637c4p-19, 0x1.c87f68adfd2a8p-19, 0x1.c84efdcb825p-19, 0x1.c818bb4c9eb8ep-19, 0x1.c7e24781a647bp-19, 0x1.c7ae61c9cc10ap-19, 0x1.c77597462b82dp-19, 0x1.c73fe101b6ea5p-19, 0x1.c7077570664bep-19, 0x1.c6cebf39c96b1p-19, 0x1.c696e1816613ep-19, 0x1.c65d48aa845e9p-19, 0x1.c622c9d5b0c87p-19, 0x1.c5e81e1229f85p-19, 0x1.c5adde4d7034fp-19, 0x1.c56f00a684026p-19, 0x1.c53544a783af3p-19, 0x1.c4f74505353f1p-19, 0x1.c4bb5652e381bp-19, 0x1.c47a232504a97p-19, 0x1.c43bf328e6355p-19, 0x1.c3faf3076eab2p-19, 0x1.c3ba0182f4f9fp-19, 0x1.c3787c80db32ep-19, 0x1.c336baaaf3192p-19, 0x1.c2f3ef2a99873p-19, 0x1.c2b0a6f9dad5ap-19, 0x1.c26b67bab1473p-19, 0x1.c2265ad58eb03p-19, 0x1.c1df1c931782p-19, 0x1.c19a4753b18a1p-19, 0x1.c1528109de71dp-19, 0x1.c10a6f27a3cfcp-19, 0x1.c0bdb2ac610b3p-19, 0x1.c075c1d09c7b2p-19, 0x1.c02b3f8a57dap-19, 0x1.bfdffda4d47f3p-19, 0x1.bf93e7e257c1cp-19, 0x1.bf44fe5c8e632p-19, 0x1.bef78e232617cp-19, 0x1.bea93b3971b88p-19, 0x1.be591cfcd7d1bp-19, 0x1.be08251321387p-19, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.307c2ea4b475p-9, -0x1.3011a9f976763p-8, -0x1.c749a7aaed5ebp-8, -0x1.2f0b4640eceecp-7, -0x1.7a8e1b93d8658p-7, -0x1.c6b855c34d72bp-7, -0x1.0a2349781f633p-6, -0x1.320dba86a707bp-6, -0x1.5b991a99c888cp-6, -0x1.87488d206ab41p-6, -0x1.b59e7a07e422ap-6, -0x1.e71720597dd4bp-6, -0x1.0e1211cbfc1c5p-5, -0x1.2a948de0c592fp-5, -0x1.493c8eab25387p-5, -0x1.6a2a91ffec6d2p-5, -0x1.8d75a2641b1a4p-5, -0x1.b32b453329cdcp-5, -0x1.db4faef1c2edbp-5, -0x1.02ef17c05daaap-4, -0x1.1964e47623fb5p-4, -0x1.30fef2729bbbp-4, -0x1.49af8f360f2dcp-4, -0x1.63660b5f9182cp-4, -0x1.7e0f270f5cf2fp-4, -0x1.99957d368ae2cp-4, -0x1.b5e1eb7eb6076p-4, -0x1.d2dbf50a63a7dp-4, -0x1.f06a1ed17b2cep-4, -0x1.07392265a0fdap-3, -0x1.166cf3b91a0f2p-3, -0x1.25c338bb7138dp-3, -0x1.352ebad7cf609p-3, -0x1.44a272beb9522p-3, -0x1.54119ffece4e8p-3, -0x1.636fdd39bc7a9p-3, -0x1.72b13131e9952p-3, -0x1.81ca1cf07f81cp-3, -0x1.90afa74486e95p-3, -0x1.9f5765dac05edp-3, -0x1.adb7842be662bp-3, -0x1.bbc6c87bda41p-3, -0x1.c97c9720e2661p-3, -0x1.d6d0f4461ba16p-3, -0x1.e3bc845887114p-3, -0x1.f0388b4a15c7ap-3, -0x1.fc3eead25474cp-3, -0x1.03e50fe86dd93p-2, -0x1.096a9f7910a7cp-2, -0x1.0eadf85a23fb6p-2, -0x1.13ad367342ae4p-2, -0x1.1866badd8cdfep-2, -0x1.1cd92940ae6d5p-2, -0x1.2103650d8b145p-2, -0x1.24e48e9f3163cp-2, -0x1.287c0049b3e5p-2, -0x1.2bc94b5dbbd44p-2, -0x1.2ecc3526d7687p-2, -0x1.3184b3e9d238bp-2, -0x1.33f2ebe7b7b33p-2, -0x1.36172c6995f21p-2, -0x1.37f1ecd87d4a8p-2, -0x1.3983c9e4bf1fap-2, -0x1.3acd82beffaf7p-2, -0x1.3bcff6653c338p-2, -0x1.3c8c210591606p-2, -0x1.3d0319782c37cp-2, -0x1.3d360ed18eedfp-2, -0x1.3d26460dfd6ddp-2, -0x1.3cd517d6b3549p-2, -0x1.3c43ee6145e93p-2, -0x1.3b7443695f5dp-2, -0x1.3a679e44db3f5p-2, -0x1.391f921221657p-2, -0x1.379dbc0073a2ap-2, -0x1.35e3c1b1cf4f4p-2, -0x1.33f34fb5e3854p-2, -0x1.31ce181d8456dp-2, -0x1.2f75d125f7d34p-2, -0x1.2cec33fb6260fp-2, -0x1.2a32fb91923a3p-2, -0x1.274be3925ae6dp-2, -0x1.2438a760a7dfdp-2, -0x1.20fb012f76567p-2, -0x1.1d94a92bc9809p-2, -0x1.1a0754b8c25a5p-2, -0x1.1654b5bcfb71p-2, -0x1.127e7a003f2e4p-2, -0x1.0e864a98c5f8ap-2, -0x1.0a6dcb6718586p-2, -0x1.06369a9fc66a3p-2, -0x1.01e250621d204p-2, -0x1.fae4fcb616f7ep-3, -0x1.f1d15ee6f7eb2p-3, -0x1.e88ccf12a170fp-3, -0x1.df1a4664b3a26p-3, -0x1.d57caf110f7efp-3, -0x1.cbb6e3fd67791p-3, -0x1.c1cbb07ab2719p-3, -0x1.b7bdd00d471cap-3, -0x1.ad8fee42705a1p-3, -0x1.a344a6926c75ap-3, -0x1.98de844db9703p-3, -0x1.8e600294bd4fp-3, -0x1.83cb8c58d2638p-3, -0x1.79237c65d9016p-3, -0x1.6e6a1d737c69ap-3, -0x1.63a1aa3d58aecp-3, -0x1.58cc4da156efep-3, -0x1.4dec22c388112p-3, -0x1.43033536da58ap-3, -0x1.3813812a19ac5p-3, -0x1.2d1ef398acd42p-3, -0x1.22276a7e8aeddp-3, -0x1.172eb50ef95c3p-3, -0x1.0c3693eda0ba2p-3, -0x1.0140b9698bbf3p-3, -0x1.ec9d937396f15p-4, -0x1.d6c4b676a94eep-4, -0x1.c0f9ed5fadd95p-4, -0x1.ab402efa9414ep-4, -0x1.959a57dbd6c42p-4, -0x1.800b2ae0faa73p-4, -0x1.6a9551b11f00bp-4, -0x1.553b5d3d4e6a9p-4, -0x1.3fffc6403fc46p-4, -0x1.2ae4edbd45142p-4, -0x1.15ed1d7e2a6d9p-4, -0x1.011a888fd018fp-4, -0x1.d8de977aacea4p-5, -0x1.afdadc1366f05p-5, -0x1.872dc24f2e22cp-5, -0x1.5edb03defffbbp-5, -0x1.36e631a7dab53p-5, -0x1.0f52b4a744ce2p-5, -0x1.d0479da7b06c2p-6, -0x1.82b937f388ebap-6, -0x1.360025268466ep-6, -0x1.d4441273cc934p-7, -0x1.3e488198c9a96p-7, -0x1.542f8aeb05337p-8, -0x1.7bb8360b21d77p-11, 0x1.e30c9280a189ep-9, 0x1.075b94d6b1d6ep-7, 0x1.9405aee8ba27cp-7, 0x1.0f5ce879f42c5p-6, 0x1.53b8695bfc8cp-6, 0x1.971201675274fp-6, 0x1.d96691f8aaf76p-6, 0x1.0d599a92f3bap-5, 0x1.2d7a9e36e4221p-5, 0x1.4d1517b6e864bp-5, 0x1.6c27e54ef9adp-5, 0x1.8ab1ff0905537p-5, 0x1.a8b2762065631p-5, 0x1.c6287467f59eap-5, 0x1.e3133bb2bd49bp-5, 0x1.ff72253f075a7p-5, 0x1.0da25091e7591p-4, 0x1.1b451ae03a405p-4, 0x1.28a13f974f2cep-4, 0x1.35b6975b177bp-4, 0x1.42850521a0d9ap-4, 0x1.4f0c75ef0bf89p-4, 0x1.5b4ce09272fe7p-4, 0x1.67464563b7afbp-4, 0x1.72f8ae0231e1ep-4, 0x1.7e642d14397c2p-4, 0x1.8988de077d6a9p-4, 0x1.9466e4d22c177p-4, 0x1.9efe6db4e1fb3p-4, 0x1.a94facfd5c25fp-4, 0x1.b35adec9e3ae9p-4, 0x1.bd2046cd79969p-4, 0x1.c6a03014b8c27p-4, 0x1.cfdaeccb6594cp-4, 0x1.d8d0d602b0f95p-4, 0x1.e1824b7835eb7p-4, 0x1.e9efb35d9008ap-4, 0x1.f2197a20ae605p-4, 0x1.fa001234cba15p-4, 0x1.00d1f9ee05d28p-3, 0x1.0482ce78e2b0dp-3, 0x1.0812c85abf45fp-3, 0x1.0b822bcb3d7eap-3, 0x1.0ed13f8005ee6p-3, 0x1.12004c9340503p-3, 0x1.150f9e6a5a505p-3, 0x1.17ff829d2e369p-3, 0x1.1ad048dd76f8bp-3, 0x1.1d8242dea0a84p-3, 0x1.2015c43deaaeap-3, 0x1.228b226ae3c14p-3, 0x1.24e2b4903cea8p-3, 0x1.271cd37cf64b2p-3, 0x1.2939d98de20f6p-3, 0x1.2b3a229783bfep-3, 0x1.2d1e0bd0494acp-3, 0x1.2ee5f3bb1ce44p-3, 0x1.30923a1253432p-3, 0x1.32233fb2fb7fcp-3, 0x1.3399668880c18p-3, 0x1.34f51178b498p-3, 0x1.3636a4502b226p-3, 0x1.375e83af0367bp-3, 0x1.386d14f6025e3p-3, 0x1.3962be341076ep-3, 0x1.3a3fe6141e12bp-3, 0x1.3b04f3cb5c69bp-3, 0x1.3bb24f07db992p-3, 0x1.3c485fdf8cf8bp-3, 0x1.3cc78ebfa0091p-3, 0x1.3d30445c40242p-3, 0x1.3d82e9a0b9f88p-3, 0x1.3dbfe79ff8fb3p-3, 0x1.3de7a7856bc33p-3, 0x1.3dfa928645a24p-3, 0x1.3df911d322c19p-3, 0x1.3de38e8a0b3e4p-3, 0x1.3dba71a8d6262p-3, 0x1.3d7e23fff0bb3p-3, 0x1.3d2f0e257dad2p-3, 0x1.3ccd9868d97a4p-3, 0x1.3c5a2ac67b2cdp-3, 0x1.3bd52cdc3335fp-3, 0x1.3b3f05ddc5c3ep-3, 0x1.3a981c89e79c3p-3, 0x1.39e0d71f8f66ep-3, 0x1.39199b53ade46p-3, 0x1.3842ce4731c7fp-3, 0x1.375cd47d743f9p-3, 0x1.366811d2f5866p-3, 0x1.3564e97474114p-3, 0x1.3453bdd65acfap-3, 0x1.3334f0ac89254p-3, 0x1.3208e2e26bd02p-3, 0x1.30cff4936ce34p-3, 0x1.2f8a8503b4ae3p-3, 0x1.2e38f299429a9p-3, 0x1.2cdb9ad54d48ep-3, 0x1.2b72da4dfe283p-3, 0x1.29ff0ca870c8ep-3, 0x1.28808c930943fp-3, 0x1.26f7b3c0101f9p-3, 0x1.2564dae09c7cep-3, 0x1.23c8599fc9eadp-3, 0x1.2222869e3032p-3, 0x1.2073b76dac0ccp-3, 0x1.1ebc408d63af9p-3, 0x1.1cfc756615347p-3, 0x1.1b34a846a9a2bp-3, 0x1.19652a61066a4p-3, 0x1.178e4bc721b88p-3, 0x1.15b05b68545ffp-3, 0x1.13cba70ee7905p-3, 0x1.11e07b5de80b4p-3, 0x1.0fef23cf28d96p-3, 0x1.0df7eab18554p-3, 0x1.0bfb19275b7a3p-3, 0x1.09f8f7253b0d1p-3, 0x1.07f1cb70cdd8ap-3, 0x1.05e5db9fedb98p-3, 0x1.03d56c17f5929p-3, 0x1.01c0c00d3ab82p-3, 0x1.ff5033057b8b7p-4, 0x1.fb1772940b59ap-4, 0x1.f6d7be065647bp-4, 0x1.f291923a13d1p-4, 0x1.ee4569ab46878p-4, 0x1.e9f3bc754e83fp-4, 0x1.e59d0054493ep-4, 0x1.e141a8a6c08e4p-4, 0x1.dce2266fa393ap-4, 0x1.d87ee8588b3e2p-4, 0x1.d4185ab43ff1p-4, 0x1.cfaee7817cb76p-4, 0x1.cb42f66e0365ap-4, 0x1.c6d4ecd9e03a2p-4, 0x1.c2652ddaf0584p-4, 0x1.bdf41a40943dcp-4, 0x1.b9821097b4e78p-4, 0x1.b50f6d2ede123p-4, 0x1.b09c8a1a9d178p-4, 0x1.ac29bf3a1491ep-4, 0x1.a7b7623ba8a0dp-4, 0x1.a345c6a1e8c1p-4, 0x1.9ed53dc8a056dp-4, 0x1.9a6616ea0c2bcp-4, 0x1.95f89f242f959p-4, 0x1.918d217e5ccefp-4, 0x1.8d23e6eecc71cp-4, 0x1.88bd36606253bp-4, 0x1.845954b88915cp-4, 0x1.7ff884dd2c4ebp-4, 0x1.7b9b07bacbdefp-4, 0x1.77411c4aa8c55p-4, 0x1.72eaff9905222p-4, 0x1.6e98eccb7d343p-4, 0x1.6a4b1d2771941p-4, 0x1.6601c81882ac7p-4, 0x1.61bd23371dca9p-4, 0x1.5d7d624f14bc4p-4, 0x1.5942b76649a99p-4, 0x1.550d52c35f26fp-4, 0x1.50dd62f476e1cp-4, 0x1.4cb314d5f7dcep-4, 0x1.488e93995c6b4p-4, 0x1.447008cc05cb8p-4, 0x1.40579c5e14dd9p-4, 0x1.3c4574a948796p-4, 0x1.3839b677dae49p-4, 0x1.3434850b6353dp-4, 0x1.30360223b57d1p-4, 0x1.2c3e4e05c3ccep-4, 0x1.284d87827d362p-4, 0x1.2463cbfda9128p-4, 0x1.20813774be428p-4, 0x1.1ca5e485b66f3p-4, 0x1.18d1ec75ddc6fp-4, 0x1.1505673898b32p-4, 0x1.11406b762446cp-4, 0x1.0d830e924fa3bp-4, 0x1.09cd64b329c3cp-4, 0x1.061f80c7a7b0ap-4, 0x1.0279748e3fd44p-4, 0x1.fdb6a136f89f8p-5, 0x1.f68a48c0fc63ep-5, 0x1.ef6dfc62f01cdp-5, 0x1.e861d698317f6p-5, 0x1.e165efbbd6288p-5, 0x1.da7a5e154fdf1p-5, 0x1.d39f35e4f0d16p-5, 0x1.ccd4897055159p-5, 0x1.c61a690ead334p-5, 0x1.bf70e334e46ffp-5, 0x1.b8d80481b0f13p-5, 0x1.b24fd7c978973p-5, 0x1.abd866221d371p-5, 0x1.a571b6ee9ef65p-5, 0x1.9f1bcfeaa49c9p-5, 0x1.98d6b535d249fp-5, 0x1.92a2695f0bc47p-5, 0x1.8c7eed6f8c336p-5, 0x1.866c40f5d3475p-5, 0x1.806a621078b36p-5, 0x1.7a794d78d080dp-5, 0x1.7498fe8d6d412p-5, 0x1.6ec96f5c78082p-5, 0x1.690a98adea7d9p-5, 0x1.635c720d9a233p-5, 0x1.5dbef1d51f5dap-5, 0x1.58320d3597315p-5, 0x1.52b5b84138505p-5, 0x1.4d49e5f4c661ap-5, 0x1.47ee8840da5b5p-5, 0x1.42a3901307ad7p-5, 0x1.3d68ed5ed355bp-5, 0x1.383e8f2689e05p-5, 0x1.33246383eb8a6p-5, 0x1.2e1a57b0ad1d3p-5, 0x1.2920580ed6a89p-5, 0x1.24365030f96d3p-5, 0x1.1f5c2ae23fc6bp-5, 0x1.1a91d22e50c0fp-5, 0x1.15d72f69145d1p-5, 0x1.112c2b364ce92p-5, 0x1.0c90ad9107e25p-5, 0x1.08049dd2eba72p-5, 0x1.0387e2bb6038bp-5, 0x1.fe34c4ed1e565p-6, 0x1.f578054880cecp-6, 0x1.ecd950bd2124cp-6, 0x1.e4587080ff65dp-6, 0x1.dbf52cd8c3dd8p-6, 0x1.d3af4d24489a4p-6, 0x1.cb8697eae66dap-6, 0x1.c37ad2e773d0cp-6, 0x1.bb8bc314003abp-6, 0x1.b3b92cb54e05bp-6, 0x1.ac02d365f72f1p-6, 0x1.a4687a215b334p-6, 0x1.9ce9e34e47408p-6, 0x1.9586d0c95adafp-6, 0x1.8e3f03ef256eap-6, 0x1.87123da608c55p-6, 0x1.80003e67d5d1cp-6, 0x1.7908c64b2fc7dp-6, 0x1.722b950ca8214p-6, 0x1.6b686a17a3bfdp-6, 0x1.64bf048efa64ep-6, 0x1.5e2f235567039p-6, 0x1.57b88515b1004p-6, 0x1.515ae84a9bbcp-6, 0x1.4b160b46a2c2p-6, 0x1.44e9ac3b769fdp-6, 0x1.3ed5894145aabp-6, 0x1.38d9605dc9a92p-6, 0x1.32f4ef8b22d21p-6, 0x1.2d27f4be7c9dp-6, 0x1.27722dee7bae4p-6, 0x1.21d359197ebb3p-6, 0x1.1c4b344b9eb02p-6, 0x1.16d97da48d0fdp-6, 0x1.117df35d3a077p-6, 0x1.0c3853cd49f48p-6, 0x1.07085d70578c2p-6, 0x1.01edceeb12d39p-6, 0x1.f9d0ce2053d27p-7, 0x1.efefc9ca13632p-7, 0x1.e6380f4cd7b3ap-7, 0x1.dca91d9984beap-7, 0x1.d3427420ed846p-7, 0x1.ca0392dbee82cp-7, 0x1.c0ebfa535df58p-7, 0x1.b7fb2ba77ed41p-7, 0x1.af30a897482fp-7, 0x1.a68bf3874cd9cp-7, 0x1.9e0c8f8874a2cp-7, 0x1.95b2005e492d7p-7, 0x1.8d7bca850eb99p-7, 0x1.85697337995cfp-7, 0x1.7d7a8074d63d2p-7, 0x1.75ae79051b15dp-7, 0x1.6e04e47f393aap-7, 0x1.667d4b4d3abf2p-7, 0x1.5f1736b0f566cp-7, 0x1.57d230c85b6eap-7, 0x1.50adc491a0b6bp-7, 0x1.49a97def08a92p-7, 0x1.42c4e9aa913a5p-7, 0x1.3bff957964115p-7, 0x1.35590fff0c03ep-7, 0x1.2ed0e8d088a77p-7, 0x1.2866b0771f08ep-7, 0x1.2219f872ee036p-7, 0x1.1bea533d7a921p-7, 0x1.15d7544be0cacp-7, 0x1.0fe09010fe5f4p-7, 0x1.0a059bff52cfep-7, 0x1.04460e8aceba3p-7, 0x1.fd42fe54a506p-8, 0x1.f22f0cb27ca16p-8, 0x1.e74f7b315daf4p-8, 0x1.dca37ee1466dp-8, 0x1.d22a4ee1e2489p-8, 0x1.c7e324645ff07p-8, 0x1.bdcd3aacc8bap-8, 0x1.b3e7cf1344e4p-8, 0x1.aa3221051270fp-8, 0x1.a0ab72050899fp-8, 0x1.975305ac3887cp-8, 0x1.8e2821a9f3cbfp-8, 0x1.852a0dc4080d3p-8, 0x1.7c5813d661943p-8, 0x1.73b17fd2a09ddp-8, 0x1.6b359fbf86fd1p-8, 0x1.62e3c3b7fddfep-8, 0x1.5abb3dea4614dp-8, 0x1.52bb6296ca051p-8, 0x1.4ae3880e8ffb3p-8, 0x1.433306b1e9c61p-8, 0x1.3ba938ee9877dp-8, 0x1.34457b3e0db22p-8, 0x1.2d072c2378501p-8, 0x1.25edac29a20e8p-8, 0x1.1ef85de08a7e8p-8, 0x1.1826a5db30b17p-8, 0x1.1177eaace7853p-8, 0x1.0aeb94e6bf548p-8, 0x1.04810f14df9c7p-8, 0x1.fc6f8b7720d18p-9, 0x1.f01e4ea86d9cfp-9, 0x1.e40d4894a62cp-9, 0x1.d83b5df0c2afap-9, 0x1.cca77748fdf95p-9, 0x1.c15080fa97d44p-9, 0x1.b6356b2c66d04p-9, 0x1.ab5529c8516b8p-9, 0x1.a0aeb473d76c2p-9, 0x1.96410689074eep-9, 0x1.8c0b1f0f11328p-9, 0x1.820c00b2bb5c5p-9, 0x1.7842b1beb1055p-9, 0x1.6eae3c13c7055p-9, 0x1.654dad210b92dp-9, 0x1.5c2015dc22935p-9, 0x1.53248ab9164ep-9, 0x1.4a5a23a20eca5p-9, 0x1.41bffbef86275p-9, 0x1.3955325f8540fp-9, 0x1.3118e90ddc884p-9, 0x1.290a456b691a6p-9, 0x1.21287035eba4ep-9, 0x1.1972956f7cc66p-9, 0x1.11e7e455f47bfp-9, 0x1.0a878f5a6b747p-9, 0x1.0350cc18b5a21p-9, 0x1.f885a69da8b45p-10, 0x1.eab9c1a8f070ep-10, 0x1.dd3c67240f71ep-10, 0x1.d00c1af08a45p-10, 0x1.c32766ef22bap-10, 0x1.b68cdaee75341p-10, 0x1.aa3b0c99eb8c9p-10, 0x1.9e30976867e76p-10, 0x1.926c1c8afd096p-10, 0x1.86ec42db8608ep-10, 0x1.7bafb6cb68c68p-10, 0x1.70b52a5288dp-10, 0x1.65fb54de35c2p-10, 0x1.5b80f340284d5p-10, 0x1.5144c79d21c83p-10, 0x1.4745995c08ba4p-10, 0x1.3d8235150b087p-10, 0x1.33f96c80d4661p-10, 0x1.2aaa166787f8dp-10, 0x1.21930e9061bf6p-10, 0x1.18b335b11e8c6p-10, 0x1.1009715ceca85p-10, 0x1.0794abf4704cdp-10, 0x1.fea7a92a316a1p-11, 0x1.ee8bbe1240686p-11, 0x1.ded3876eb25dap-11, 0x1.cf7cff2639efp-11, 0x1.c08628187dac3p-11, 0x1.b1ed0dfe87ed6p-11, 0x1.a3afc54b3437p-11, 0x1.95cc6b0c1a43ep-11, 0x1.884124cad3224p-11, 0x1.7b0c206de55ep-11, 0x1.6e2b941a60958p-11, 0x1.619dbe15a9053p-11, 0x1.5560e4a7084d5p-11, 0x1.497355faa561p-11, 0x1.3dd3680364564p-11, 0x1.327f785e40828p-11, 0x1.2775ec3535c73p-11, 0x1.1cb530222db1cp-11, 0x1.123bb8131cd43p-11, 0x1.0807ff2d46d03p-11, 0x1.fc310f639c9b1p-12, 0x1.e8d7b5c41f23ap-12, 0x1.d60111c8d6047p-12, 0x1.c3aa51521322ap-12, 0x1.b1d0af9e8a357p-12, 0x1.a07175163faabp-12, 0x1.8f89f715666dcp-12, 0x1.7f1797b993c2fp-12, 0x1.6f17c5ae7ef12p-12, 0x1.5f87fbfbace8ap-12, 0x1.5065c1d10db2ep-12, 0x1.41aeaa567eb98p-12, 0x1.3360547a3fbcep-12, 0x1.25786ac112bb5p-12, 0x1.17f4a315fb05p-12, 0x1.0ad2be9b80f87p-12, 0x1.fc2112f9a4568p-13, 0x1.e357b57f7c8p-13, 0x1.cb45282dd4746p-13, 0x1.b3e54369c74dap-13, 0x1.9d33f43f434fbp-13, 0x1.872d3c098e688p-13, 0x1.71cd301d3eaf7p-13, 0x1.5d0ff972da6cfp-13, 0x1.48f1d451d8831p-13, 0x1.356f0ffdbb77ap-13, 0x1.22840e629444dp-13, 0x1.102d43c562286p-13, 0x1.fcce6ce77c9a6p-14, 0x1.da5cfceab7a9dp-14, 0x1.b8ff8a7bccea2p-14, 0x1.98af8abfd114p-14, 0x1.79669482a9137p-14, 0x1.5b1e5fa202c73p-14, 0x1.3dd0c47822839p-14, 0x1.2177bb4c764e6p-14, 0x1.060d5bc56e433p-14, 0x1.d717b8b55a7b2p-15, 0x1.a3db239225db6p-15, 0x1.7259dd1409815p-15, 0x1.4289049a5248dp-15, 0x1.145df2e282ep-15, 0x1.cf9c72088ad04p-16, 0x1.799f3edff671ep-16, 0x1.26b049e8e96ap-16, 0x1.ad77f6ed24f42p-17, 0x1.135e495d7fdep-17, 0x1.fbb7ed1b99f74p-19, -0x1.ffb726987e721p-22, -0x1.3311a7032245cp-18, -0x1.1dd69048f5cf7p-17, -0x1.9d096d02a5f06p-17, -0x1.0ba195c35bb52p-16, -0x1.46526ab2ce338p-16, -0x1.7ea75fb9db30ep-16, -0x1.b4b0468935037p-16, -0x1.e87c99bf45134p-16, -0x1.0d0dbf46bd785p-15, -0x1.24cde32888fc1p-15, -0x1.3b85f80d91886p-15, -0x1.513d152493a63p-15, -0x1.65fa2a0298b3fp-15, -0x1.79c3ff62be41ap-15, -0x1.8ca137e86246fp-15, -0x1.9e9850d3b97cfp-15, -0x1.afafa2b6fa84ap-15, -0x1.bfed623190864p-15, -0x1.cf57a09554a42p-15, -0x1.ddf44c9e8b254p-15, -0x1.ebc933196b72cp-15, -0x1.f8dbff8d7badp-15, -0x1.02991e713a2f5p-14, -0x1.0868aafea4e3ap-14, -0x1.0ddf4b3446b7p-14, -0x1.12ff9574f1d11p-14, -0x1.17cc111083ab5p-14, -0x1.1c47368e16ba2p-14, -0x1.20736ff75113p-14, -0x1.24531922a255ep-14, -0x1.27e87ff9ba36cp-14, -0x1.2b35e4c14826dp-14, -0x1.2e3d7a5eacf86p-14, -0x1.3101669a95239p-14, -0x1.3383c2660c9bep-14, -0x1.35c69a1b40ec5p-14, -0x1.37cbedbf0b1b8p-14, -0x1.3995b13f46fc8p-14, -0x1.3b25ccb48b306p-14, -0x1.3c7e1c9be59adp-14, -0x1.3da07214fb92bp-14, -0x1.3e8e931cb7bb5p-14, -0x1.3f4a3ac8675f1p-14, -0x1.3fd5197d3f139p-14, -0x1.4030d529e0983p-14, -0x1.405f097da8b66p-14, -0x1.4061481cf3738p-14, -0x1.403918d8c5746p-14, -0x1.3fe7f9e04927ep-14, -0x1.3f6f5ff642279p-14, -0x1.3ed0b6a261d98p-14, -0x1.3e0d606205a78p-14, -0x1.3d26b6d94674p-14, -0x1.3c1e0b031db1ap-14, -0x1.3af4a55e62b69p-14, -0x1.39abc61db1233p-14, -0x1.3844a5530fef3p-14, -0x1.36c0731bd588ep-14, -0x1.352057cd3f8e5p-14, -0x1.3365741cfa8e1p-14, -0x1.3190e14cb14d6p-14, -0x1.2fa3b1512cc96p-14, -0x1.2d9eeefcb085cp-14, -0x1.2b839e241b4edp-14, -0x1.2952bbc6e69bap-14, -0x1.270d3e343942ap-14, -0x1.24b41530fae2ep-14, -0x1.22482a1acf63cp-14, -0x1.1fca600dc4f1fp-14, -0x1.1d3b9404f2eefp-14, -0x1.1a9c9cffa74f1p-14, -0x1.17ee4c2102d8dp-14, -0x1.15316cd1564fap-14, -0x1.1266c4e00601cp-14, -0x1.0f8f14a13c09dp-14, -0x1.0cab170f0c8c9p-14, -0x1.09bb81e6455bap-14, -0x1.06c105c607af3p-14, -0x1.03bc4e4be48a6p-14, -0x1.00ae02309a2c1p-14, -0x1.fb2d86cb18417p-15, -0x1.f4ee5e5f66b42p-15, -0x1.ee9fbc8525eafp-15, -0x1.e842c9b6f380ap-15, -0x1.e1d8a5b49738bp-15, -0x1.db6267b9b426p-15, -0x1.d4e11eab991eep-15, -0x1.ce55d14e38e5dp-15, -0x1.c7c17e725735dp-15, -0x1.c1251d246a4fdp-15, -0x1.ba819cdcfcf57p-15, -0x1.b3d7e5a9e3a49p-15, -0x1.ad28d85e61522p-15, -0x1.a6754ebd70fd1p-15, -0x1.9fbe1ba274e25p-15, -0x1.99040b2e0a61ap-15, -0x1.9247e2ebf7c02p-15, -0x1.8b8a61fd2281p-15, -0x1.84cc413d68fb1p-15, -0x1.7e0e336b147fap-15, -0x1.7750e54b6c845p-15, -0x1.7094fdd104986p-15, -0x1.69db1e3d661ebp-15, -0x1.6323e246db7aap-15, -0x1.5c6fe03948763p-15, -0x1.55bfa918bf9d3p-15, -0x1.4f13c8c1a22cbp-15, -0x1.486cc60bd0b63p-15, -0x1.41cb22e63e3f9p-15, -0x1.3b2f5c79c6d43p-15, -0x1.3499eb4619ff1p-15, -0x1.2e0b433ec66a7p-15, -0x1.2783d3e9a4c71p-15, -0x1.2104087af7caep-15, -0x1.1a8c47f04fda9p-15, -0x1.141cf52e41ccp-15, -0x1.0db66f18eda36p-15, -0x1.075910af787ap-15, -0x1.010531249dae5p-15, -0x1.f57647f264b54p-16, -0x1.e8f672255bcf4p-16, -0x1.dc8b79aaa5708p-16, -0x1.d035f0745ba62p-16, -0x1.c3f661ce23a91p-16, -0x1.b7cd52884d179p-16, -0x1.abbb4124ba068p-16, -0x1.9fc0a602941bfp-16, -0x1.93ddf385d000dp-16, -0x1.8813964341996p-16, -0x1.7c61f52823113p-16, -0x1.70c971a012788p-16, -0x1.654a67bcfacfbp-16, -0x1.59e52e5b785b1p-16, -0x1.4e9a1749d5556p-16, -0x1.43696f68ce292p-16, -0x1.38537ed15b2c2p-16, -0x1.2d5888f6278cfp-16, -0x1.2278ccc59bf7fp-16, -0x1.17b484c94eb43p-16, -0x1.0d0be74862978p-16, -0x1.027f26648e52fp-16, -0x1.f01ce075fde06p-17, -0x1.db73de01f3084p-17, -0x1.c7039241a0fp-17, -0x1.b2cc42b0753fbp-17, -0x1.9ece2da64b31dp-17, -0x1.8b098a8c5948ap-17, -0x1.777e8a15ded2dp-17, -0x1.642d5672f532ap-17, -0x1.5116138373e12p-17, -0x1.3e38df0798bd1p-17, -0x1.2b95d0d2f84e5p-17, -0x1.192cfafabcb0bp-17, -0x1.06fe6a0530404p-17, -0x1.ea144a276c803p-18, -0x1.c6a05c2517b64p-18, -0x1.a3a103c412176p-18, -0x1.811631040080dp-18, -0x1.5effca7162398p-18, -0x1.3d5dad7ae029cp-18, -0x1.1c2faebefb058p-18, -0x1.f6eb34a9fef33p-19, -0x1.b65e6837d2101p-19, -0x1.76b8700097648p-19, -0x1.37f8b487a534bp-19, -0x1.f43d1f0bd169ep-20, -0x1.7a5298e2c19a1p-20, -0x1.02305205ccfbdp-20, -0x1.17a956d1887ddp-21, -0x1.73dec7b946cc3p-24, 0x1.6e56ef7fd2709p-22, 0x1.99506cc47ab41p-21, 0x1.3bfb82771662fp-20, 0x1.a991b560da73ep-20, 0x1.0ab67ca8dcf0ep-19, 0x1.3fc7c64ef3067p-19, 0x1.73fde06eaf626p-19, 0x1.a759fd1726f47p-19, 0x1.d9dd5731c22c8p-19, 0x1.05c499108df5ep-18, 0x1.1e2f6cb124ecdp-18, 0x1.362fd01924fdep-18, 0x1.4dc67099399f3p-18, 0x1.64f3ff095f865p-18, 0x1.7bb92f9d6778cp-18, 0x1.9216b9bb9386p-18, 0x1.a80d57d4102dbp-18, 0x1.bd9dc73a43e98p-18, 0x1.d2c8c7ffa66bcp-18, 0x1.e78f1ccc343e5p-18, 0x1.fbf18ab9e4d19p-18, 0x1.07f86c9998443p-17, 0x1.11c6e8e8c0246p-17, 0x1.1b64a01d32973p-17, 0x1.24d1f8fead70bp-17, 0x1.2e0f5b3bc43b3p-17, 0x1.371d2f59b0e7cp-17, 0x1.3ffbdea5c3666p-17, 0x1.48abd326e56cp-17, 0x1.512d778f046c1p-17, 0x1.5981372e28beep-17, 0x1.61a77de3eebd8p-17, 0x1.69a0b8146aa49p-17, 0x1.716d529ae7f69p-17, 0x1.790dbabd44a87p-17, 0x1.80825e2054087p-17, 0x1.87cbaabc8f788p-17, 0x1.8eea0ed29a7aap-17, 0x1.95ddf8e19b1ddp-17, 0x1.9ca7d79be0a14p-17, 0x1.a34819dce116p-17, 0x1.a9bf2e9f0bc51p-17, 0x1.b00d84f2c4755p-17, 0x1.b6338bf5f1b16p-17, 0x1.bc31b2ca3cb46p-17, 0x1.c208688b76cfp-17, 0x1.c7b81c488d154p-17, 0x1.cd413cfae432ep-17, 0x1.d2a4397ed30bp-17, 0x1.d7e1808bc11adp-17, 0x1.dcf980ad6f2e8p-17, 0x1.e1eca83c4b16fp-17, 0x1.e6bb655663573p-17, 0x1.eb6625d90c151p-17, 0x1.efed575b0e636p-17, 0x1.f451672620857p-17, 0x1.f892c230b1c8ep-17, 0x1.fcb1d518140c5p-17, 0x1.0057860d99f8fp-16, 0x1.0245698abb45cp-16, 0x1.0422cabcbe8a5p-16, 0x1.05efdf261352ap-16, 0x1.07acdc0fab676p-16, 0x1.0959f686d4488p-16, 0x1.0af7635ba236bp-16, 0x1.0c85571e46893p-16, 0x1.0e04061cf4bp-16, 0x1.0f73a461f6c54p-16, 0x1.10d465b1d92d3p-16, 0x1.12267d89d2056p-16, 0x1.136a1f1df84c1p-16, 0x1.149f7d57868fap-16, 0x1.15c6cad394828p-16, 0x1.16e039e14d6a7p-16, 0x1.17ebfc801544bp-16, 0x1.18ea445f495cap-16, 0x1.19db42dc6ca46p-16, 0x1.1abf2901e6547p-16, 0x1.1b962785834b8p-16, 0x1.1c606ec7f3a1dp-16, 0x1.1d1e2ed341f24p-16, 0x1.1dcf975a3eea4p-16, 0x1.1e74d7b7415a4p-16, 0x1.1f0e1eeb87aeap-16, 0x1.1f9b9b9e0c2d9p-16, 0x1.201d7c1abece5p-16, 0x1.2093ee527ebcdp-16, 0x1.20ff1fda0cdb6p-16, 0x1.215f3de8f9382p-16, 0x1.21b475598e278p-16, 0x1.21fef2a7df988p-16, }}, 
      {{-0x1.07c21f4917ed7p-9, -0x1.0791c7efa20fp-8, -0x1.8af2e9b7ff89cp-8, -0x1.0701a5688fdabp-7, -0x1.4873a077b6639p-7, -0x1.89f574505ddp-7, -0x1.cbc02d7868cacp-7, -0x1.070ec0b9608eep-6, -0x1.28b24b8364bd7p-6, -0x1.4afb30e82d186p-6, -0x1.6e1cf52f968b8p-6, -0x1.924c6089a9731p-6, -0x1.b7bde1a711749p-6, -0x1.dea424a75e72ep-6, -0x1.039771a9ec2ep-5, -0x1.18c4f7ac3661bp-5, -0x1.2eee3a2bee4c3p-5, -0x1.462436f6cc1b4p-5, -0x1.5e7526506b3d9p-5, -0x1.77ec62212dd6fp-5, -0x1.92925f00f44a8p-5, -0x1.ae6cb44f0ce59p-5, -0x1.cb7e30aa6a21cp-5, -0x1.e9c6f84e42a45p-5, -0x1.04a25588de7a1p-4, -0x1.14f9480464603p-4, -0x1.25e4e2829beb2p-4, -0x1.3760b83b85a64p-4, -0x1.49677a33d68e3p-4, -0x1.5bf310c22598p-4, -0x1.6efcb4af65fa3p-4, -0x1.827d079d4404ep-4, -0x1.966c2b7100dc1p-4, -0x1.aac1d892a0f5bp-4, -0x1.bf7572dedb389p-4, -0x1.d47e1d3679933p-4, -0x1.e9d2cb9fada0ap-4, -0x1.ff6a53f638351p-4, -0x1.0a9dbe96b0742p-3, -0x1.159e8695e2746p-3, -0x1.20b2eaa6766dep-3, -0x1.2bd65ecb7a7b1p-3, -0x1.3704675a663bap-3, -0x1.42389d634e8bap-3, -0x1.4d6eb28d4586ep-3, -0x1.58a2747033f36p-3, -0x1.63cfcf7552791p-3, -0x1.6ef2d147530fp-3, -0x1.7a07aadb066bcp-3, -0x1.850ab218e25b2p-3, -0x1.8ff8632f885e8p-3, -0x1.9acd6196f53e6p-3, -0x1.a58678cba0902p-3, -0x1.b0209cc8556acp-3, -0x1.ba98ea4541deap-3, -0x1.c4eca6c22fcc6p-3, -0x1.cf1940618623dp-3, -0x1.d91c4d9942c17p-3, -0x1.e2f38cbecb52dp-3, -0x1.ec9ce37208592p-3, -0x1.f6165debed571p-3, -0x1.ff5e2e3444b04p-3, -0x1.043955a11aef9p-2, -0x1.08a928056774ep-2, -0x1.0cfddd4038a8bp-2, -0x1.1136d542f2678p-2, -0x1.1553806bbd1e6p-2, -0x1.19535ef63e159p-2, -0x1.1d3600697e73bp-2, -0x1.20fb0303dff49p-2, -0x1.24a21325febf1p-2, -0x1.282aeabd35fe1p-2, -0x1.2b9550ae701fp-2, -0x1.2ee11841dd148p-2, -0x1.320e2090128f3p-2, -0x1.351c53f1048fbp-2, -0x1.380ba76d4b4f9p-2, -0x1.3adc1a31fe30ap-2, -0x1.3d8db5077c8a5p-2, -0x1.402089cb61e8p-2, -0x1.4294b2edd84b1p-2, -0x1.44ea52f27b059p-2, -0x1.472193f4eab8ep-2, -0x1.493aa7313140fp-2, -0x1.4b35c49006b4bp-2, -0x1.4d132a370c255p-2, -0x1.4ed31c1cff329p-2, -0x1.5075e3a1ed7bcp-2, -0x1.51fbcf2b670dap-2, -0x1.536531c4a7008p-2, -0x1.54b262c2af32dp-2, -0x1.55e3bd6c44a77p-2, -0x1.56f9a0a5c34adp-2, -0x1.57f46ea0b393p-2, -0x1.58d48c8f12243p-2, -0x1.599a625a2ff88p-2, -0x1.5a465a5d19e37p-2, -0x1.5ad8e12268a7dp-2, -0x1.5b52652566b71p-2, -0x1.5bb356966e92ap-2, -0x1.5bfc27226a0fap-2, -0x1.5c2d49bd52622p-2, -0x1.5c47326f9d251p-2, -0x1.5c4a562676437p-2, -0x1.5c372a86ad41ap-2, -0x1.5c0e25c23a30ap-2, -0x1.5bcfbe7042fc5p-2, -0x1.5b7c6b6780893p-2, -0x1.5b14a39aefd6dp-2, -0x1.5a98ddf8b13f3p-2, -0x1.5a09914affd4ep-2, -0x1.5967341b27cf5p-2, -0x1.58b23c966281ep-2, -0x1.57eb207481001p-2, -0x1.571254e05365dp-2, -0x1.56284e61b02e3p-2, -0x1.552d80c90c338p-2, -0x1.54225f1c8b287p-2, -0x1.53075b8679256p-2, -0x1.51dce7451276bp-2, -0x1.50a3729b95449p-2, -0x1.4f5b6cc47a57ep-2, -0x1.4e0543e4d56a8p-2, -0x1.4ca16500beac1p-2, -0x1.4b303bf0bfc25p-2, -0x1.49b23358315ccp-2, -0x1.4827b49c7deb4p-2, -0x1.469127dd38c17p-2, -0x1.44eef3ecfe389p-2, -0x1.43417e4b17164p-2, -0x1.41892b1dc5b7dp-2, -0x1.3fc65d2d4399ap-2, -0x1.3df975df54678p-2, -0x1.3c22d533721a1p-2, -0x1.3a42d9bf80faap-2, -0x1.3859e0ad04f47p-2, -0x1.366845b6d048cp-2, -0x1.346e632725ee1p-2, -0x1.326c91d642691p-2, -0x1.306329294b8f1p-2, -0x1.2e527f119990fp-2, -0x1.2c3ae80c5b0f9p-2, -0x1.2a1cb72284659p-2, -0x1.27f83de9104dfp-2, -0x1.25cdcc8181316p-2, -0x1.239db19aa8d29p-2, -0x1.21683a71a996dp-2, -0x1.1f2db2d3339fcp-2, -0x1.1cee651cf2458p-2, -0x1.1aaa9a3f301a4p-2, -0x1.186299bea5262p-2, -0x1.1616a9b670addp-2, -0x1.13c70eda39acep-2, -0x1.11740c787593ap-2, -0x1.0f1de47ccf1ffp-2, -0x1.0cc4d772ae321p-2, -0x1.0a692487da75ep-2, -0x1.080b098f3c64bp-2, -0x1.05aac303b4b4fp-2, -0x1.03488c0b0b89ep-2, -0x1.00e49e78f4bfdp-2, -0x1.fcfe65a45389bp-3, -0x1.f831009f22281p-3, -0x1.f36179c2f67bap-3, -0x1.ee903a65db244p-3, -0x1.e9bda959ef938p-3, -0x1.e4ea2af43a12cp-3, -0x1.e01621138457dp-3, -0x1.db41eb27551fdp-3, -0x1.d66de636f8bf5p-3, -0x1.d19a6ce8a170fp-3, -0x1.ccc7d78893147p-3, -0x1.c7f67c105cffep-3, -0x1.c326ae2e22c58p-3, -0x1.be58bf4beea61p-3, -0x1.b98cfe9712f76p-3, -0x1.b4c3b9078aaa1p-3, -0x1.affd39676a85p-3, -0x1.ab39c85a56c74p-3, -0x1.a679ac64fb6d6p-3, -0x1.a1bd29f48a9eep-3, -0x1.9d0483663ea08p-3, -0x1.984ff90edae55p-3, -0x1.939fc942388f2p-3, -0x1.8ef4305ac69e7p-3, -0x1.8a4d68c112ee1p-3, -0x1.85abaaf34ec8ep-3, -0x1.810f2d8cd5423p-3, -0x1.7c78254da7e0ap-3, -0x1.77e6c521f090cp-3, -0x1.735b3e297c8d8p-3, -0x1.6ed5bfbf3121p-3, -0x1.6a5677807dc18p-3, -0x1.65dd9154c8e76p-3, -0x1.616b3774d4173p-3, -0x1.5cff92721c671p-3, -0x1.589ac93e2f94ep-3, -0x1.543d0132011c7p-3, -0x1.4fe65e152bf35p-3, -0x1.4b97022534451p-3, -0x1.474f0e1cbdc05p-3, -0x1.430ea13ab754dp-3, -0x1.3ed5d94978dfcp-3, -0x1.3aa4d2a5dff5fp-3, -0x1.367ba84657922p-3, -0x1.325a73c1d8bap-3, -0x1.2e414d56e0948p-3, -0x1.2a304bf256ab9p-3, -0x1.262785366c23dp-3, -0x1.22270d816334cp-3, -0x1.1e2ef7f455bfdp-3, -0x1.1a3f5679e88d1p-3, -0x1.165839ccec0fbp-3, -0x1.1279b17ef53f5p-3, -0x1.0ea3cbfee94p-3, -0x1.0ad6969f6ea6ap-3, -0x1.07121d9d5ebd7p-3, -0x1.03566c2619c18p-3, -0x1.ff4718bba66b6p-4, -0x1.f7f30ecb9e82dp-4, -0x1.f0b0cac50b587p-4, -0x1.e9805b037f23fp-4, -0x1.e261cc013ff62p-4, -0x1.db5528633234fp-4, -0x1.d45a7904a36cfp-4, -0x1.cd71c502f8fd9p-4, -0x1.c69b11c93810fp-4, -0x1.bfd6631b5fd6cp-4, -0x1.b923bb21aea23p-4, -0x1.b2831a73b94b6p-4, -0x1.abf480236bb17p-4, -0x1.a577e9c7cbaa2p-4, -0x1.9f0d5387b325fp-4, -0x1.98b4b82451814p-4, -0x1.926e110392723p-4, -0x1.8c39563a5abep-4, -0x1.86167e969ffc8p-4, -0x1.80057fa95d2cdp-4, -0x1.7a064dd05e795p-4, -0x1.7418dc3fe9cc8p-4, -0x1.6e3d1d0c3fa42p-4, -0x1.68730132f8004p-4, -0x1.62ba78a436dc9p-4, -0x1.5d13724bbdd4ap-4, -0x1.577ddc19d5513p-4, -0x1.51f9a30c11a61p-4, -0x1.4c86b335f1213p-4, -0x1.4724f7c954476p-4, -0x1.41d45b1ed287cp-4, -0x1.3c94c6bde64bcp-4, -0x1.37662364f605p-4, -0x1.3248591136e19p-4, -0x1.2d3b4f066a611p-4, -0x1.283eebd676ccp-4, -0x1.23531568db3fap-4, -0x1.1e77b101fe152p-4, -0x1.19aca34a5818ep-4, -0x1.14f1d0557aa39p-4, -0x1.10471ba8f1fc9p-4, -0x1.0bac68430270fp-4, -0x1.072198a145ed4p-4, -0x1.02a68ec7206c6p-4, -0x1.fc7658882db15p-5, -0x1.f3bea473fcaffp-5, -0x1.eb25c2c61aaadp-5, -0x1.e2ab742f8f32dp-5, -0x1.da4f78a991369p-5, -0x1.d2118f80dbf5bp-5, -0x1.c9f17760bd3bfp-5, -0x1.c1eeee5de5afcp-5, -0x1.ba09b200f31c4p-5, -0x1.b2417f50bf454p-5, -0x1.aa9612dc6a795p-5, -0x1.a30728c52aad6p-5, -0x1.9b947cc7d764ep-5, -0x1.943dca463e5cap-5, -0x1.8d02cc5034a7ap-5, -0x1.85e33dac70e8dp-5, -0x1.7eded8e125839p-5, -0x1.77f5583c638f3p-5, -0x1.712675dc42adfp-5, -0x1.6a71ebb6cf30ap-5, -0x1.63d773a1bf3a1p-5, -0x1.5d56c759f31c3p-5, -0x1.56efa08abc015p-5, -0x1.50a1b8d4ebb1ap-5, -0x1.4a6cc9d5b6422p-5, -0x1.44508d2d5521fp-5, -0x1.3e4cbc857dd31p-5, -0x1.38611197a273bp-5, -0x1.328d463303225p-5, -0x1.2cd114428c02ep-5, -0x1.272c35d2825c3p-5, -0x1.219e651603f7bp-5, -0x1.1c275c6c58c48p-5, -0x1.16c6d6661066ep-5, -0x1.117c8dc9fd4d7p-5, -0x1.0c483d99f888bp-5, -0x1.0729a117810bp-5, -0x1.022073c82cd18p-5, -0x1.fa58e2f3e4951p-6, -0x1.f09aac8e928bap-6, -0x1.e705bd363fd3bp-6, -0x1.dd998e695406dp-6, -0x1.d4559a5618e3bp-6, -0x1.cb395be1bc00ep-6, -0x1.c2444eaf0b8a1p-6, -0x1.b975ef24eb36p-6, -0x1.b0cdba747bd5p-6, -0x1.a84b2e9f043eap-6, -0x1.9fedca7b8ef3ap-6, -0x1.97b50dbc4befep-6, -0x1.8fa078f3aeeedp-6, -0x1.87af8d994a214p-6, -0x1.7fe1ce0e6af74p-6, -0x1.7836bda2816ecp-6, -0x1.70ade097426c1p-6, -0x1.6946bc24981c6p-6, -0x1.6200d67c4f7e2p-6, -0x1.5adbb6cd9bb14p-6, -0x1.53d6e5485450fp-6, -0x1.4cf1eb200994fp-6, -0x1.462c528ee5c8ap-6, -0x1.3f85a6d855c1ep-6, -0x1.38fd744b844f6p-6, -0x1.32934845a4648p-6, -0x1.2c46b1340ef03p-6, -0x1.26173e96367b1p-6, -0x1.200480ff66b31p-6, -0x1.1a0e0a1862304p-6, -0x1.14336ca0cef72p-6, -0x1.0e743c7081e8bp-6, -0x1.08d00e789c74cp-6, -0x1.034678c488859p-6, -0x1.fbae24f5a548dp-7, -0x1.f102e7bbb3cb3p-7, -0x1.e68a6c98b511bp-7, -0x1.dc43e883c5925p-7, -0x1.d22e92ae397ffp-7, -0x1.c849a483f9ad5p-7, -0x1.be9459aba6bc4p-7, -0x1.b50df0067b8f7p-7, -0x1.abb5a7afed973p-7, -0x1.a28ac2fd29ee4p-7, -0x1.998c867c4d814p-7, -0x1.90ba38f37735ep-7, -0x1.8813235f8f7aep-7, -0x1.7f9690f30a373p-7, -0x1.7743cf144363fp-7, -0x1.6f1a2d5bdd0fp-7, -0x1.6718fd92e0d9p-7, -0x1.5f3f93b0b199ep-7, -0x1.578d45d8e0dfp-7, -0x1.50016c58db99ap-7, -0x1.489b61a56c948p-7, -0x1.415a82581c6e4p-7, -0x1.3a3e2d2c7aa32p-7, -0x1.3345c2fd34107p-7, -0x1.2c70a6c11d5dfp-7, -0x1.25be3d881429cp-7, -0x1.1f2dee77c968bp-7, -0x1.18bf22c8682acp-7, -0x1.127145c12c788p-7, -0x1.0c43c4b4e002cp-7, -0x1.06360efe3b197p-7, -0x1.004795fc32598p-7, -0x1.f4ef9a1c6b28ep-8, -0x1.e98c5320931fep-8, -0x1.de6445ae44f4p-8, -0x1.d3766458473e2p-8, -0x1.c8c1a5929961ap-8, -0x1.be4503aa3674dp-8, -0x1.b3ff7cbcb6f27p-8, -0x1.a9f012afe8015p-8, -0x1.a015cb292757ap-8, -0x1.966faf84c30f5p-8, -0x1.8cfccccd38431p-8, -0x1.83bc33b263511p-8, -0x1.7aacf8809c214p-8, -0x1.71ce3317bc774p-8, -0x1.691efee22133p-8, -0x1.609e7acb88aabp-8, -0x1.584bc93807d0ep-8, -0x1.50260ffad179ap-8, -0x1.482c784d0460bp-8, -0x1.405e2ec470762p-8, -0x1.38ba634a55f9dp-8, -0x1.314049122135ap-8, -0x1.29ef169012844p-8, -0x1.22c6056ffbbc3p-8, -0x1.1bc4528bddcbfp-8, -0x1.14e93de2a6255p-8, -0x1.0e340a8ec988fp-8, -0x1.07a3febd07a29p-8, -0x1.013863a30a0dep-8, -0x1.f5e10aec4773ep-9, -0x1.e99766c3f53f8p-9, -0x1.dd927efea16fdp-9, -0x1.d1d0fd957ed9cp-9, -0x1.c6519236ee8d4p-9, -0x1.bb12f234497afp-9, -0x1.b013d86f656c4p-9, -0x1.a553054869ebbp-9, -0x1.9acf3e8bad0ecp-9, -0x1.90874f5f873ep-9, -0x1.867a08324f859p-9, -0x1.7ca63ea883ce5p-9, -0x1.730acd8ad4f1ap-9, -0x1.69a694b497917p-9, -0x1.60787901fca53p-9, -0x1.577f643ea1483p-9, -0x1.4eba45141e883p-9, -0x1.46280ef8bf7bep-9, -0x1.3dc7ba1e420b6p-9, -0x1.35984360dcf7p-9, -0x1.2d98ac36454dep-9, -0x1.25c7fa9cdb4cdp-9, -0x1.1e25390b0a772p-9, -0x1.16af765eae312p-9, -0x1.0f65c5cca3f32p-9, -0x1.08473ed08de75p-9, -0x1.0152fd1c9e887p-9, -0x1.f510411352febp-10, -0x1.e7cb9a0e6a212p-10, -0x1.dad65517988dap-10, -0x1.ce2eca0ae268cp-10, -0x1.c1d358944ed2bp-10, -0x1.b5c268116108p-10, -0x1.a9fa6772bfac5p-10, -0x1.9e79cd1e536dp-10, -0x1.933f16d19def5p-10, -0x1.8848c9844d8bap-10, -0x1.7d95714b66c68p-10, -0x1.7323a13c5986p-10, -0x1.68f1f3508fep-10, -0x1.5eff084978c1ap-10, -0x1.5549879486342p-10, -0x1.4bd01f2fdb45fp-10, -0x1.4291838eff947p-10, -0x1.398c6f800eafdp-10, -0x1.30bfa4111ea95p-10, -0x1.2829e8762c9dap-10, -0x1.1fca09eefdfc6p-10, -0x1.179edbad942e5p-10, -0x1.0fa736bcdf479p-10, -0x1.07e1f9e7b688bp-10, -0x1.004e09a028219p-10, -0x1.f1d49fce59ddbp-11, -0x1.e36b7869215e8p-11, -0x1.d55e86be52f87p-11, -0x1.c7abbf0aeb35p-11, -0x1.ba511fecb37p-11, -0x1.ad4cb234ea7d7p-11, -0x1.a09c88badf927p-11, -0x1.943ec02faaf01p-11, -0x1.88317ef23d053p-11, -0x1.7c72f4e41c14ap-11, -0x1.71015b3eccc48p-11, -0x1.65daf469dac83p-11, -0x1.5afe0bd1087e9p-11, -0x1.5068f5bbb469bp-11, -0x1.461a0f244734dp-11, -0x1.3c0fbd90a8f6dp-11, -0x1.32486eeae8ab8p-11, -0x1.28c2995ab2d76p-11, -0x1.1f7cbb1f5234ap-11, -0x1.16755a6a00502p-11, -0x1.0dab05393d9cdp-11, -0x1.051c513432886p-11, -0x1.f98fb70e01a98p-12, -0x1.e958917eb9ffep-12, -0x1.d99089535a692p-12, -0x1.ca35045dd10edp-12, -0x1.bb437665f2873p-12, -0x1.acb960e6963efp-12, -0x1.9e9452ccdffb6p-12, -0x1.90d1e8373030cp-12, -0x1.836fca36433e9p-12, -0x1.766bae8eb6e65p-12, -0x1.69c3577b8e375p-12, -0x1.5d74937217756p-12, -0x1.517d3ce643f0fp-12, -0x1.45db3a105697fp-12, -0x1.3a8c7cb314aedp-12, -0x1.2f8f01e39383dp-12, -0x1.24e0d1d15566p-12, -0x1.1a7fff8fda9bap-12, -0x1.106aa8e05d211p-12, -0x1.069ef5fd16055p-12, -0x1.fa3632c9eed5bp-13, -0x1.e7ba9f518e551p-13, -0x1.d5c7be7162845p-13, -0x1.c45a3065279e7p-13, -0x1.b36ea8633182cp-13, -0x1.a301ec3cc121ap-13, -0x1.9310d3ff1c777p-13, -0x1.839849981bf06p-13, -0x1.7495487b6dbd8p-13, -0x1.6604dd48bed96p-13, -0x1.57e42574406ecp-13, -0x1.4a304ef02df34p-13, -0x1.3ce697d8a8703p-13, -0x1.30044e2014658p-13, -0x1.2386cf3dd4f5bp-13, -0x1.176b87ddb6b56p-13, -0x1.0baff3913442bp-13, -0x1.00519c81e9809p-13, -0x1.ea9c364a7ebdap-14, -0x1.d5462be4d7d27p-14, -0x1.c09c823133f05p-14, -0x1.ac9abc6e4fd11p-14, -0x1.993c782d5786cp-14, -0x1.867d6cc72f6bfp-14, -0x1.74596ad44ad16p-14, -0x1.62cc5ba6b4b86p-14, -0x1.51d240c6ad245p-14, -0x1.416733724b98bp-14, -0x1.3187641e27e24p-14, -0x1.222f19f9b0203p-14, -0x1.135ab2743e1dap-14, -0x1.0506a0c661918p-14, -0x1.ee5edafa251f1p-15, -0x1.d3a36c09f5573p-15, -0x1.b9d458755585bp-15, -0x1.a0eb2bf6bf9bcp-15, -0x1.88e19970713c2p-15, -0x1.71b17a151b468p-15, -0x1.5b54cc9adc878p-15, -0x1.45c5b4698a7e4p-15, -0x1.30fe78d4bedb1p-15, -0x1.1cf98453ba833p-15, -0x1.09b163c110f8dp-15, -0x1.ee418b3971397p-16, -0x1.ca84f29ffa009p-16, -0x1.a822dcf307a97p-16, -0x1.8711687218a13p-16, -0x1.6746f0feede22p-16, -0x1.48ba0ec6c1c59p-16, -0x1.2b6194ef3c7b3p-16, -0x1.0f34904afada2p-16, -0x1.e8548c2e8bbf2p-17, -0x1.b4746578fd4e3p-17, -0x1.82b81133f2bb5p-17, -0x1.530f5d9de858cp-17, -0x1.256a802a8972p-17, -0x1.f374265a86fcep-18, -0x1.9fde274348f63p-18, -0x1.4ff5bde7499a6p-18, -0x1.039e61b8451cdp-18, -0x1.7578850b76deap-19, -0x1.d4d11153d6c2p-20, -0x1.975fdabc9746p-21, 0x1.86cb02c7545f3p-23, 0x1.212f351c1647cp-20, 0x1.02d9ae2af6be3p-19, 0x1.6f628f1e682e4p-19, 0x1.d660a7696b0abp-19, 0x1.1c0096f8d40d3p-18, 0x1.4a3816d084573p-18, 0x1.75ec461d9d067p-18, 0x1.9f32088cbd209p-18, 0x1.c61db5e349c35p-18, 0x1.eac31d3326935p-18, 0x1.069ac40087b6dp-17, 0x1.16c3deb435a85p-17, 0x1.25e6028923173p-17, 0x1.340a1520bb9b7p-17, 0x1.4138bf506221ep-17, 0x1.4d7a6e98cfc6cp-17, 0x1.58d7567ca2cacp-17, 0x1.635771e9f610fp-17, 0x1.6d0284856ae6ep-17, 0x1.75e01bfc08a64p-17, 0x1.7df79149601c7p-17, 0x1.855009f9eb1a8p-17, 0x1.8bf0795e401d7p-17, 0x1.91dfa1c0ecbf7p-17, 0x1.9724158e37835p-17, 0x1.9bc4387be4829p-17, 0x1.9fc640a8aaf7p-17, 0x1.a33037b0d03a4p-17, 0x1.a607fbc5809c8p-17, 0x1.a85340b5cd4b1p-17, 0x1.aa1790f5c5fd3p-17, 0x1.ab5a4e9e0bceap-17, 0x1.ac20b46912592p-17, 0x1.ac6fd6a7b8506p-17, 0x1.ac4ca43012494p-17, 0x1.abbbe74e8b963p-17, 0x1.aac246a32da22p-17, 0x1.a9644609f89a3p-17, 0x1.a7a6476e7ee2cp-17, 0x1.a58c8babbabb4p-17, 0x1.a31b335539ce6p-17, 0x1.a0563f8b9dcbbp-17, 0x1.9d4192c25a4e8p-17, 0x1.99e0f18404b71p-17, 0x1.96380333e0687p-17, 0x1.924a52c82f25cp-17, 0x1.8e1b4f80ad72ep-17, 0x1.89ae4d9ac4699p-17, 0x1.8506870158e53p-17, 0x1.80271bf632a7dp-17, 0x1.7b1313bc68575p-17, 0x1.75cd5d3a511b9p-17, 0x1.7058cf978e13p-17, 0x1.6ab82add52ccep-17, 0x1.64ee18890cbb9p-17, 0x1.5efd2c2768349p-17, 0x1.58e7e3e28e065p-17, 0x1.52b0a911a8319p-17, 0x1.4c59d0c3e92d5p-17, 0x1.45e59c4817f4ap-17, 0x1.3f5639b2a9fe2p-17, 0x1.38adc45c6b915p-17, 0x1.31ee4563b5ab4p-17, 0x1.2b19b4268bbffp-17, 0x1.2431f6bb673e9p-17, 0x1.1d38e268c69b8p-17, 0x1.16303c1738e3bp-17, 0x1.0f19b8c11d528p-17, 0x1.07f6fde2a60fep-17, 0x1.00c9a1e27be36p-17, 0x1.f32658f8e3e18p-18, 0x1.e4aa2e4bda7ap-18, 0x1.d6219ae634dcbp-18, 0x1.c78f5aefb9681p-18, 0x1.b8f6104f93b1ap-18, 0x1.aa5843624c9aap-18, 0x1.9bb863b319494p-18, 0x1.8d18c8a8fbc48p-18, 0x1.7e7bb236fa771p-18, 0x1.6fe3497f04345p-18, 0x1.6151a17b02e8dp-18, 0x1.52c8b79e726dap-18, 0x1.444a746cef8f7p-18, 0x1.35d8ac19229ffp-18, 0x1.27751f1655a9ap-18, 0x1.19217aaab5909p-18, 0x1.0adf597ca4758p-18, 0x1.f960883b0bc68p-19, 0x1.dd2b631d7b765p-19, 0x1.c1220f914debbp-19, 0x1.a547387099c35p-19, 0x1.899d6879fa5dp-19, 0x1.6e270b47e64e6p-19, 0x1.52e66e3a26431p-19, 0x1.37ddc161651f1p-19, 0x1.1d0f185b16457p-19, 0x1.027c6b3522f6dp-19, 0x1.d04f2e82fe4b3p-20, 0x1.9c24bfd51a7aap-20, 0x1.687cdef3b4828p-20, 0x1.355aafc965f9ap-20, 0x1.02c1271c74c0bp-20, 0x1.a1661802e599bp-21, 0x1.3e65f295dec92p-21, 0x1.b90d7bf33d118p-22, 0x1.ef341ccd7737ep-23, 0x1.c3d0b068212dcp-25, -0x1.08951dd168683p-23, -0x1.3eac98b0c45c1p-22, -0x1.f6a550c884229p-22, -0x1.561746b6b7023p-21, -0x1.afa1565d721d1p-21, -0x1.03f7240ec2e8p-20, -0x1.2f7de617fca3ep-20, -0x1.5a63e81464e1fp-20, -0x1.84a83e6c5857bp-20, -0x1.ae4a1a1e6dd0ap-20, -0x1.d748c7c101313p-20, -0x1.ffa3ae8cd84d3p-20, -0x1.13ad27b6bbf0dp-19, -0x1.27362209dff7bp-19, -0x1.3a6c9f07e3919p-19, -0x1.4d5082fd6233ap-19, -0x1.5fe1bd4bbbe5ep-19, -0x1.722048006d18bp-19, -0x1.840c27705184ap-19, -0x1.95a569d2e70abp-19, -0x1.a6ec26e4efe9ap-19, -0x1.b7e07f8528db6p-19, -0x1.c8829d5aba16p-19, -0x1.d8d2b280c040cp-19, -0x1.e8d0f9284b85bp-19, -0x1.f87db34b5e576p-19, -0x1.03ec952b1d464p-18, -0x1.0b71d76dbd047p-18, -0x1.12cecc22fcfbbp-18, -0x1.1a03a24683cf8p-18, -0x1.21108bf63bd8bp-18, -0x1.27f5be4f53cadp-18, -0x1.2eb3714b7589ap-18, -0x1.3549df9f7163bp-18, -0x1.3bb9469b8f44ap-18, -0x1.4201e60bf1c68p-18, -0x1.4824001960bcap-18, -0x1.4e1fd92d6528bp-18, -0x1.53f5b7d3a9f04p-18, -0x1.59a5e49f369c3p-18, -0x1.5f30aa0f967ep-18, -0x1.64965475d6e7bp-18, -0x1.69d731dba1d24p-18, -0x1.6ef391eb41679p-18, -0x1.73ebc5d610512p-18, -0x1.78c0203f869d9p-18, -0x1.7d70f52547f4ep-18, -0x1.81fe99c99c58p-18, -0x1.8669649ebf514p-18, -0x1.8ab1ad32b404fp-18, -0x1.8ed7cc1aa96c9p-18, -0x1.92dc1ae0b2eb6p-18, -0x1.96bef3f0fd73dp-18, -0x1.9a80b2886bcf8p-18, -0x1.9e21b2a281a4ep-18, -0x1.a1a250e8804bdp-18, -0x1.a502eaa27bc09p-18, -0x1.a843dda6d1665p-18, -0x1.ab65884a74f16p-18, -0x1.ae6849532065p-18, -0x1.b14c7fe8fe533p-18, -0x1.b4128b8927f68p-18, -0x1.b6bacbf7a197bp-18, -0x1.b945a1347a3f5p-18, -0x1.bbb36b6de5817p-18, -0x1.be048af475c16p-18, -0x1.c039603033875p-18, -0x1.c2524b95e94bcp-18, -0x1.c44fad9b95ef2p-18, -0x1.c631e6aef5dcdp-18, -0x1.c7f9572b7ae8dp-18, -0x1.c9a65f50cba5dp-18, -0x1.cb395f39d570dp-18, -0x1.ccb2b6d35f16ap-18, -0x1.ce12c5d4293b7p-18, -0x1.cf59ebb506b0ep-18, -0x1.d08887a89ce2p-18, -0x1.d19ef893bf9bbp-18, -0x1.d29d9d06bfce8p-18, -0x1.d384d336b520cp-18, -0x1.d454f8f6163dcp-18, -0x1.d50e6baeed064p-18, -0x1.d5b1885d25d92p-18, -0x1.d63eab8864f04p-18, -0x1.d6b6313de53ffp-18, -0x1.d718750c36f47p-18, -0x1.d765d1fdb8cf3p-18, -0x1.d79ea293ffe26p-18, -0x1.d7c340c2cb6ddp-18, -0x1.d7d405ec5d905p-18, -0x1.d7d14adcc6c3dp-18, -0x1.d7bb67c63f222p-18, -0x1.d792b43d3956p-18, -0x1.d7578734c43bap-18, -0x1.d70a36fb82627p-18, -0x1.d6ab19386226p-18, -0x1.d63a82e73d46fp-18, -0x1.d5b8c85680887p-18, -0x1.d5263d2492bdep-18, -0x1.d483343d02c64p-18, -0x1.d3cfffd609fbcp-18, -0x1.d30cf16ee7ac2p-18, -0x1.d23a59cdc3834p-18, -0x1.d15888fd177a4p-18, -0x1.d067ce4aea67bp-18, -0x1.cf6878467daa8p-18, -0x1.ce5ad4bef4274p-18, -0x1.cd3f30c247612p-18, -0x1.cc15d89bc666ep-18, -0x1.cadf17d3011efp-18, -0x1.c99b392ad9565p-18, -0x1.c84a86a090ed4p-18, -0x1.c6ed496ac7dfcp-18, -0x1.c583c9f8cd9aep-18, -0x1.c40e4ff2a9ebep-18, -0x1.c28d2237d8746p-18, -0x1.c10086df40981p-18, -0x1.bf68c336fa668p-18, -0x1.bdc61bc3ea4d4p-18, -0x1.bc18d44199e4dp-18, -0x1.ba612fa21d6c3p-18, -0x1.b89f700e46837p-18, -0x1.b6d3d6e5c755cp-18, -0x1.b4fea4beacdc3p-18, -0x1.b32019669e837p-18, -0x1.b13873e2ac04fp-18, -0x1.af47f26f8c864p-18, -0x1.ad4ed28233094p-18, -0x1.ab4d50c82efaep-18, -0x1.a943a92869473p-18, -0x1.a73216c380df6p-18, -0x1.a518d3f4da3c9p-18, -0x1.a2f81a52bda4p-18, -0x1.a0d022af371bp-18, -0x1.9ea12519467cap-18, -0x1.9c6b58dd75a48p-18, -0x1.9a2ef48686864p-18, -0x1.97ec2ddee4666p-18, -0x1.95a339f12f5b9p-18, -0x1.93544d093f22fp-18, -0x1.90ff9ab53f089p-18, -0x1.8ea555c6cfddp-18, -0x1.8c45b05430d6p-18, -0x1.89e0dbb92c316p-18, -0x1.8777089813fc7p-18, -0x1.850866db918d5p-18, -0x1.829525b777eb8p-18, -0x1.801d73aa01baep-18, -0x1.7da17e7d157ep-18, -0x1.7b217347898edp-18, -0x1.789d7e6e914e9p-18, -0x1.7615cba6dac8dp-18, -0x1.738a85f64e529p-18, -0x1.70fbd7b52fa2ap-18, -0x1.6e69ea8f2e325p-18, -0x1.6bd4e7852bc76p-18, -0x1.693cf6eeaf1e6p-18, -0x1.66a2407b14dcfp-18, -0x1.6404eb331f588p-18, -0x1.61651d7a7db71p-18, -0x1.5ec2fd1123cb7p-18, -0x1.5c1eaf14a565fp-18, -0x1.59785801eb4a3p-18, -0x1.56d01bb699738p-18, -0x1.54261d72aeb68p-18, -0x1.517a7fd97c579p-18, -0x1.4ecd64f3be70ap-18, -0x1.4c1eee3103f12p-18, -0x1.496f3c6924738p-18, -0x1.46be6fdd91c22p-18, -0x1.440ca83af9326p-18, -0x1.415a049ae9e7p-18, -0x1.3ea6a38550b31p-18, -0x1.3bf2a2f1dca49p-18, -0x1.393e2049bae43p-18, -0x1.36893869177f5p-18, -0x1.33d407a03a76ep-18, -0x1.311ea9b57985dp-18, -0x1.2e6939e6d7c1cp-18, -0x1.2bb3d2eb2a728p-18, -0x1.28fe8ef3d81dcp-18, -0x1.264987ae7341ap-18, -0x1.2394d645fc924p-18, -0x1.20e0936458cfbp-18, -0x1.1e2cd734492dp-18, -0x1.1b79b9627bfaep-18, -0x1.18c7511f329f8p-18, -0x1.1615b51fab9b8p-18, -0x1.1364fb9f99cfep-18, -0x1.10b53a62d92ap-18, }}, 
      {{-0x1.557cff53d2c3ap-2, -0x1.55b1a2e6796cfp-2, -0x1.5606fbd6c6622p-2, -0x1.567b6e793586p-2, -0x1.570f077b56664p-2, -0x1.57c40c2d3dd46p-2, -0x1.589ef6e4ea8d4p-2, -0x1.59a60c3ca3a95p-2, -0x1.5ae0b75c837cbp-2, -0x1.5c56d25da94b6p-2, -0x1.5e0ff4b696cf2p-2, -0x1.6012d7df6aab4p-2, -0x1.6264dace2658dp-2, -0x1.6509a773489b8p-2, -0x1.6802f9a31cf38p-2, -0x1.6b5084795c1e8p-2, -0x1.6eeff1ef48bafp-2, -0x1.72dcf7c959508p-2, -0x1.77117cf5c7512p-2, -0x1.7b85cac238672p-2, -0x1.8030c5cf81579p-2, -0x1.85082b44839ap-2, -0x1.8a00cf6141edp-2, -0x1.8f0edb2d2204ep-2, -0x1.942607877057ap-2, -0x1.9939d45baa282p-2, -0x1.9e3dbb22ad40cp-2, -0x1.a3255c2ef39b3p-2, -0x1.a7e4a686003b6p-2, -0x1.ac6ffa3ddde18p-2, -0x1.b0bc457d6c1d7p-2, -0x1.b4bf1c5afe0b1p-2, -0x1.b86ecbe8e0a8cp-2, -0x1.bbc268cc3809fp-2, -0x1.beb1d9c1e622bp-2, -0x1.c135de783e878p-2, -0x1.c34813240813cp-2, -0x1.c4e2f134cfbp-2, -0x1.c601cd8846239p-2, -0x1.c6a0d477210d7p-2, -0x1.c6bd040fd5e8ap-2, -0x1.c65424cd2b9a3p-2, -0x1.c564c10ff9dcdp-2, -0x1.c3ee1b9cea201p-2, -0x1.c1f025589adcdp-2, -0x1.bf6b727660bf9p-2, -0x1.bc612f47fdd49p-2, -0x1.b8d314d720e82p-2, -0x1.b4c35d6c4c757p-2, -0x1.b034b921fc824p-2, -0x1.ab2a429e71018p-2, -0x1.a5a7740a6e3d4p-2, -0x1.9fb01c5794f65p-2, -0x1.994854e594915p-2, -0x1.927477926c227p-2, -0x1.8b39153f409d6p-2, -0x1.839aecd0de5bep-2, -0x1.7b9ee2b0ca1aap-2, -0x1.7349f8d1ffabp-2, -0x1.6aa1473ab2c28p-2, -0x1.61a9f5131b245p-2, -0x1.58693238039cp-2, -0x1.4ee4314edc15bp-2, -0x1.452022582b4ccp-2, -0x1.3b222dbc7fdf5p-2, -0x1.30ef6fcf84fc3p-2, -0x1.268cf4c44c6fcp-2, -0x1.1bffb50dab0a3p-2, -0x1.114c92252cd64p-2, -0x1.067853b312cccp-2, -0x1.f70f4a234c9c3p-3, -0x1.e0fe264c76d9fp-3, -0x1.cac6151478ce3p-3, -0x1.b46fabfd539f1p-3, -0x1.9e033a495941cp-3, -0x1.8788c6ebd671p-3, -0x1.71080eef17b19p-3, -0x1.5a88844609f1dp-3, -0x1.44114d00148cbp-3, -0x1.2da942d64f4d4p-3, -0x1.1756f309a17bep-3, -0x1.01209e89d306cp-3, -0x1.d61874bc53f14p-4, -0x1.aa3ee090e0d4cp-4, -0x1.7ebf3f37e78d9p-4, -0x1.53a3bc84c00d3p-4, -0x1.28f5f3d180e8ep-4, -0x1.fd7de53e07401p-5, -0x1.aa0e76e24bafap-5, -0x1.57ad91bcf5bcp-5, -0x1.066a21968b38ap-5, -0x1.6ca41f213e38ep-6, -0x1.9dc92476c1f6ep-7, -0x1.9d6c726eddcadp-9, 0x1.93ab555a4135ep-8, 0x1.f5a09a409caf2p-7, 0x1.8df04a5b253a3p-6, 0x1.0f1cf61fa7708p-5, 0x1.55cef87feec7ap-5, 0x1.9b075372a485ep-5, 0x1.debfeebfc8e52p-5, 0x1.1079b5be7c7fap-4, 0x1.30ce8e6639ec7p-4, 0x1.505c805a8fbaap-4, 0x1.6f21dc8b6c7c7p-4, 0x1.8d1d425eefdc4p-4, 0x1.aa4d9c4be773bp-4, 0x1.c6b21c8608b3ep-4, 0x1.e24a39bcd2bcp-4, 0x1.fd15abed9cc17p-4, 0x1.0b8a34a4c9039p-3, 0x1.18235197e4368p-3, 0x1.2456619df34a3p-3, 0x1.3023b434be641p-3, 0x1.3b8bb2260f5e7p-3, 0x1.468edc2e2c459p-3, 0x1.512dc9acb4e36p-3, 0x1.5b69275fd5489p-3, 0x1.6541b629b5908p-3, 0x1.6eb849e0170dcp-3, 0x1.77cdc825f11f1p-3, 0x1.8083274ef6d06p-3, 0x1.88d96d4cd5c6ap-3, 0x1.90d1aea6019aep-3, 0x1.986d0d75ecdb6p-3, 0x1.9facb8766a353p-3, 0x1.a691ea12161c1p-3, 0x1.ad1de77f94298p-3, 0x1.b351ffe560deap-3, 0x1.b92f8b861114p-3, 0x1.beb7eaf4c6ccfp-3, 0x1.c3ec8651a07e5p-3, 0x1.c8cecc8df42b3p-3, 0x1.cd6032b825142p-3, 0x1.d1a2334ecf5e9p-3, 0x1.d5964d9b2d8cdp-3, 0x1.d93e05126d042p-3, 0x1.dc9ae0bdcf512p-3, 0x1.dfae6aa95eff7p-3, 0x1.e27a2f5904fedp-3, 0x1.e4ffbd43d6206p-3, 0x1.e740a4555bfap-3, 0x1.e93e7574b8a49p-3, 0x1.eafac211708dfp-3, 0x1.ec771bb5abc06p-3, 0x1.edb5139dc2a45p-3, 0x1.eeb63a54f22cp-3, 0x1.ef7c1f570a8dp-3, 0x1.f00850b6e745bp-3, 0x1.f05c5ac99447fp-3, 0x1.f079c7d5f6122p-3, 0x1.f0621fc8c3728p-3, 0x1.f016e7ecc3c4ap-3, 0x1.ef99a2a712533p-3, 0x1.eeebcf3757ea5p-3, 0x1.ee0ee97bce9fbp-3, 0x1.ed0469b8f1063p-3, 0x1.ebcdc464b19f8p-3, 0x1.ea6c69f5248c8p-3, 0x1.e8e1c6b26bfdcp-3, 0x1.e72f428bda322p-3, 0x1.e55640f0216e3p-3, 0x1.e35820a876a88p-3, 0x1.e1363bb6938fbp-3, 0x1.def1e7356e94p-3, 0x1.dc8c733c9bc26p-3, 0x1.da072ac63c0cap-3, 0x1.d763539751a8ep-3, 0x1.d4a22e2a7c2a8p-3, 0x1.d1c4f59cee97fp-3, 0x1.ceccdf9d940dcp-3, 0x1.cbbb1c5e47aa1p-3, 0x1.c890d6870f0afp-3, 0x1.c54f332b3ebd5p-3, 0x1.c1f751c073819p-3, 0x1.be8a4c17508eep-3, 0x1.bb093655ebf8cp-3, 0x1.b7751ef3da403p-3, 0x1.b3cf0eb7c1532p-3, 0x1.b01808b66789p-3, 0x1.ac510a532b43p-3, 0x1.a87b0b41ca8fap-3, 0x1.a496fd897d73fp-3, 0x1.a0a5cd893fac5p-3, 0x1.9ca861fd43bbfp-3, 0x1.989f9c0581382p-3, 0x1.948c572d4f5bap-3, 0x1.906f6973f887cp-3, 0x1.8c49a3563de82p-3, 0x1.881bcfd8c5f08p-3, 0x1.83e6b4935287cp-3, 0x1.7fab11bccf93cp-3, 0x1.7b69a23811726p-3, 0x1.77231ba15170dp-3, 0x1.72d82e5c49788p-3, 0x1.6e8985a2eef1ap-3, 0x1.6a37c794bb43fp-3, 0x1.65e3954683b79p-3, 0x1.618d8ad2c733cp-3, 0x1.5d363f6a747ffp-3, 0x1.58de456619309p-3, 0x1.54862a5773186p-3, 0x1.502e771b5e15ap-3, 0x1.4bd7afec11097p-3, 0x1.47825473a20e9p-3, 0x1.432edfded1f01p-3, 0x1.3eddc8f00f0ap-3, 0x1.3a8f8212a96c8p-3, 0x1.3644796e3840ap-3, 0x1.31fd18fa233ddp-3, 0x1.2db9c6914844fp-3, 0x1.297ae405c349ap-3, 0x1.2540cf34c1aa7p-3, 0x1.210be21a67216p-3, 0x1.1cdc72e5bc60ap-3, 0x1.18b2d40ca2f6dp-3, 0x1.148f545fc3ec1p-3, 0x1.10723f1e7bbbcp-3, 0x1.0c5bdc0abd81cp-3, 0x1.084c6f7ce5724p-3, 0x1.04443a7778d7fp-3, 0x1.00437abad47b1p-3, 0x1.f894d5b171752p-4, 0x1.f0b2848f86576p-4, 0x1.e8e06aed7dc64p-4, 0x1.e11eebbfa863ep-4, 0x1.d96e64372debp-4, 0x1.d1cf2be7be7ffp-4, 0x1.ca4194ed0bb53p-4, 0x1.c2c5ec0fc9effp-4, 0x1.bb5c78ea5f1d6p-4, 0x1.b4057e0d2b5f7p-4, 0x1.acc1392262e4dp-4, 0x1.a58fe3117aae5p-4, 0x1.9e71b0222bc6fp-4, 0x1.9766d01efeaecp-4, 0x1.906f6e7759831p-4, 0x1.898bb26120617p-4, 0x1.82bbbef9d205fp-4, 0x1.7bffb367289p-4, 0x1.7557aaf739dbbp-4, 0x1.6ec3bd401632ap-4, 0x1.6843fe3ee3c0ap-4, 0x1.61d87e7673cdap-4, 0x1.5b814b0d52444p-4, 0x1.553e6deb4fb23p-4, 0x1.4f0fedd680212p-4, 0x1.48f5ce8fb35abp-4, 0x1.42f010ee63c7fp-4, 0x1.3cfeb2fc1974fp-4, 0x1.3721b00f45cb5p-4, 0x1.315900e5939eep-4, 0x1.2ba49bbdad4d9p-4, 0x1.260474707a2eap-4, 0x1.20787c89d0ad1p-4, 0x1.1b00a360a0ecap-4, 0x1.159cd62e94745p-4, 0x1.104d002727cb4p-4, 0x1.0b110a8e3ddb5p-4, 0x1.05e8dcce27781p-4, 0x1.00d45c8d2c3bbp-4, 0x1.f7a6db8511e1dp-5, 0x1.edcbe595dc885p-5, 0x1.e41798f8f3844p-5, 0x1.da89b47463826p-5, 0x1.d121f40df83dbp-5, 0x1.c7e0113036802p-5, 0x1.bec3c2ce543ccp-5, 0x1.b5ccbd873d304p-5, 0x1.acfab3c7a29ecp-5, 0x1.a44d55eb14c8p-5, 0x1.9bc4525c363fcp-5, 0x1.935f55b3fd354p-5, 0x1.8b1e0ad810bb9p-5, 0x1.83001b183d266p-5, 0x1.7b052e4b0d8e7p-5, 0x1.732ceae984814p-5, 0x1.6b76f629f9248p-5, 0x1.63e2f41a2089bp-5, 0x1.5c7087b84332ep-5, 0x1.551f530ba35a8p-5, 0x1.4deef73c18ec2p-5, 0x1.46df14a8e32e1p-5, 0x1.3fef4afeba4ebp-5, 0x1.391f394d1b36bp-5, 0x1.326e7e1adafc6p-5, 0x1.2bdcb77a0091bp-5, 0x1.2569831ae88aap-5, 0x1.1f147e5eb78fap-5, 0x1.18dd46691d3ep-5, 0x1.12c3783170f62p-5, 0x1.0cc6b093272fcp-5, 0x1.06e68c5d9f539p-5, 0x1.0122a8635a4a7p-5, 0x1.f6f543111b954p-6, 0x1.ebdc29a24b42fp-6, 0x1.e0f93edc675aap-6, 0x1.d64bbd9580e94p-6, 0x1.cbd2e13041e4bp-6, 0x1.c18de5b36a2dbp-6, 0x1.b77c07e0520f2p-6, 0x1.ad9c85485f3a2p-6, 0x1.a3ee9c6176ccbp-6, 0x1.9a718c998017fp-6, 0x1.91249668efb37p-6, 0x1.8806fb64683c6p-6, 0x1.7f17fe4d830dp-6, 0x1.7656e322a4117p-6, 0x1.6dc2ef2e050ffp-6, 0x1.655b6913edd58p-6, 0x1.5d1f98e019fbfp-6, 0x1.550ec81264e95p-6, 0x1.4d2841aaa9be3p-6, 0x1.456b5233efd2dp-6, 0x1.3dd747ceded6cp-6, 0x1.366b723b87f1ap-6, 0x1.2f2722e28113bp-6, 0x1.2809acdd69b07p-6, 0x1.211264febcbc5p-6, 0x1.1a40a1d913d0ap-6, 0x1.1393bbc5d95acp-6, 0x1.0d0b0ceb5e92cp-6, 0x1.06a5f14280271p-6, 0x1.0063c69ba36dap-6, 0x1.f487d946a0ba6p-7, 0x1.e88b89cc70e7dp-7, 0x1.dcd165a9a8222p-7, 0x1.d158378d105b6p-7, 0x1.c61ecdf8bb35cp-7, 0x1.bb23fb46965b6p-7, 0x1.b06695ac2f8bcp-7, 0x1.a5e5773db7d97p-7, 0x1.9b9f7df046185p-7, 0x1.91938b9b6256dp-7, 0x1.87c085f9ee151p-7, 0x1.7e2556aa514e5p-7, 0x1.74c0eb2e09e1fp-7, 0x1.6b9234e8b11p-7, 0x1.6298291e53dabp-7, 0x1.59d1c0f15da12p-7, 0x1.513df95fdca87p-7, 0x1.48dbd34066f0cp-7, 0x1.40aa533e655b2p-7, 0x1.38a881d5f325ap-7, 0x1.30d56b4f5f1b8p-7, 0x1.29301fba2fcc6p-7, 0x1.21b7b2e7cd448p-7, 0x1.1a6b3c65d8049p-7, 0x1.1349d777f9fd5p-7, 0x1.0c52a3119caabp-7, 0x1.0584c1cf1fcffp-7, 0x1.fdbeb3ddc3859p-8, 0x1.f0c32a93e401dp-8, 0x1.e41542991543bp-8, 0x1.d7b35ddc88cccp-8, 0x1.cb9be554169ecp-8, 0x1.bfcd48ebce967p-8, 0x1.b445ff751196ap-8, 0x1.a904869560f36p-8, 0x1.9e0762b4c0179p-8, 0x1.934d1eebdddep-8, 0x1.88d44cf1d7be7p-8, 0x1.7e9b8509bc85p-8, 0x1.74a165efeef31p-8, 0x1.6ae494c726242p-8, 0x1.6163bd0565c8fp-8, 0x1.581d9060ae53ep-8, 0x1.4f10c6bb86059p-8, 0x1.463c1e1161e29p-8, 0x1.3d9e5a63082fcp-8, 0x1.353645a2ad68ep-8, 0x1.2d02afa01d515p-8, 0x1.25026df4c676ap-8, 0x1.1d345befd3362p-8, 0x1.15975a820eafbp-8, 0x1.0e2a5029e1157p-8, 0x1.06ec28df465a5p-8, 0x1.ffb7abff706b1p-9, 0x1.f1f09c74a2052p-9, 0x1.e4811af74b72fp-9, 0x1.d76729b3e3a08p-9, 0x1.caa0d5026b332p-9, 0x1.be2c333ecc2d8p-9, 0x1.b20764a163cccp-9, 0x1.a6309317ba8ecp-9, 0x1.9aa5f21d6821bp-9, 0x1.8f65be9545032p-9, 0x1.846e3ea2cbf93p-9, 0x1.79bdc18390efep-9, 0x1.6f529f694012bp-9, 0x1.652b3953ac18bp-9, 0x1.5b45f8eb3a045p-9, 0x1.51a1505b90708p-9, 0x1.483bba2e9fd09p-9, 0x1.3f13b927fe90cp-9, 0x1.3627d82086845p-9, 0x1.2d76a9e25c296p-9, 0x1.24fec90544bcbp-9, 0x1.1cbed7cb54afbp-9, 0x1.14b57ffdf8c0fp-9, 0x1.0ce172cb808f5p-9, 0x1.054168a4baa04p-9, 0x1.fba8423694593p-10, 0x1.ed30c5805aae1p-10, 0x1.df19f6056eb47p-10, 0x1.d1617c1fb66f5p-10, 0x1.c4050d63e59f2p-10, 0x1.b7026c61b0546p-10, 0x1.aa5768653d425p-10, 0x1.9e01dd38a595ap-10, 0x1.91ffb2e6ef177p-10, 0x1.864edd7f7c898p-10, 0x1.7aed5cda8e798p-10, 0x1.6fd93c5e50d12p-10, 0x1.651092c525e79p-10, 0x1.5a9181e41e9bep-10, 0x1.505a3672d878cp-10, 0x1.4668e7d430a37p-10, 0x1.3cbbd7df543ebp-10, 0x1.335152a9eb667p-10, 0x1.2a27ae5350231p-10, 0x1.213d4ad004696p-10, 0x1.189091b678bf2p-10, 0x1.101ff60cb76f1p-10, 0x1.07e9f41626409p-10, 0x1.ffda224596c56p-11, 0x1.f04fb6be414dcp-11, 0x1.e131d3498f273p-11, 0x1.d27db6977cc23p-11, 0x1.c430aff99324ep-11, 0x1.b6481f088aba6p-11, 0x1.a8c1734b92c4cp-11, 0x1.9b9a2be23031p-11, 0x1.8ecfd72dfe043p-11, 0x1.8260127ec8d11p-11, 0x1.764889c055cbcp-11, 0x1.6a86f72913d33p-11, 0x1.5f1922eaeec46p-11, 0x1.53fce2e4dff43p-11, 0x1.49301a5691a2cp-11, 0x1.3eb0b9946ab0bp-11, 0x1.347cbdbe6aae6p-11, 0x1.2a9230777e2a4p-11, 0x1.20ef279e3b822p-11, 0x1.1791c506e3f78p-11, 0x1.0e78363743f1dp-11, 0x1.05a0b4234e27ep-11, 0x1.fa1305d6a62d9p-12, 0x1.e961e337b7101p-12, 0x1.d92ab3db1ef4ep-12, 0x1.c96a400f4f2d6p-12, 0x1.ba1d648547fcfp-12, 0x1.ab4111da9673bp-12, 0x1.9cd24c23a6f3fp-12, 0x1.8ece2a78ea184p-12, 0x1.8131d6875abdep-12, 0x1.73fa8c2188036p-12, 0x1.672598d44b2e7p-12, 0x1.5ab05b7e98745p-12, 0x1.4e9843e7ecdf5p-12, 0x1.42dad25c8c32dp-12, 0x1.37759749a595ap-12, 0x1.2c6632dca60a4p-12, 0x1.21aa54a44f0ffp-12, 0x1.173fbb33bee99p-12, 0x1.0d2433c7323f5p-12, 0x1.035599eae5552p-12, 0x1.f3a3ae4797c4ep-13, 0x1.e12dc535427b3p-13, 0x1.cf458191259d7p-13, 0x1.bde7064a50edap-13, 0x1.ad0e8fac4f3d3p-13, 0x1.9cb872c3da72dp-13, 0x1.8ce11cc57b5bep-13, 0x1.7d851277516f9p-13, 0x1.6ea0efa1cd7e3p-13, 0x1.6031667cd03cfp-13, 0x1.52333f261f547p-13, 0x1.44a35717680bp-13, 0x1.377ea0a1c729cp-13, 0x1.2ac2226af91ebp-13, 0x1.1e6af6ed322a8p-13, 0x1.12764bfa9bb3p-13, 0x1.06e16242c0fb5p-13, 0x1.f75319b725305p-14, 0x1.e1986199d834ap-14, 0x1.cc8d8940e6078p-14, 0x1.b82d9fded8703p-14, 0x1.a473d5f05ef88p-14, 0x1.915b7c64f8864p-14, 0x1.7ee003d2cdf7p-14, 0x1.6cfcfba96e1fdp-14, 0x1.5bae116e1adbfp-14, 0x1.4aef0ff9db598p-14, 0x1.3abbdebc737adp-14, 0x1.2b108102dfc26p-14, 0x1.1be91544a1c1ep-14, 0x1.0d41d475866f1p-14, 0x1.fe2e22b2b1f7fp-15, 0x1.e2ca6fb560f55p-15, 0x1.c85198d2350fap-15, 0x1.aebcd6b27a8fep-15, 0x1.960590908f0e9p-15, 0x1.7e255b0a419d7p-15, 0x1.6715f6f8ad8b4p-15, 0x1.50d1504dea2fep-15, 0x1.3b517cf863701p-15, 0x1.2690bbce8671p-15, 0x1.1289738555718p-15, 0x1.fe6c635170792p-16, 0x1.d92353381c1ccp-16, 0x1.b52d673bcf335p-16, 0x1.928097ae0826dp-16, 0x1.711322d203b9cp-16, 0x1.50db8b13f3152p-16, 0x1.31d0953d480a4p-16, 0x1.13e946c6d48e2p-16, 0x1.ee39c8467d44bp-17, 0x1.b6c5de2e27aa6p-17, 0x1.81664a4aebdb6p-17, 0x1.4e0afbfc2f578p-17, 0x1.1ca453f395509p-17, 0x1.da46427dd0ca5p-18, 0x1.7ef13cc711e01p-18, 0x1.272cdd189a8c2p-18, 0x1.a5ba6b1a62173p-19, 0x1.03ce3d4c1812cp-19, 0x1.a18190d606c1ep-21, -0x1.6613a3925baafp-22, -0x1.779865394ea7ep-20, -0x1.44ed57a904e2cp-19, -0x1.c85509b8a7264p-19, -0x1.23188e7f21adp-18, -0x1.5f570e4bc0df9p-18, -0x1.98fba9b0dadc4p-18, -0x1.d01b6a2d0e86bp-18, -0x1.026560b9f0df6p-17, -0x1.1b8ec6c692849p-17, -0x1.33938e592ab71p-17, -0x1.4a7d189af68d9p-17, -0x1.6054829ae87d4p-17, -0x1.7522a71cc446dp-17, -0x1.88f02060e22fep-17, -0x1.9bc549e0cc2dcp-17, -0x1.adaa41fc88addp-17, -0x1.bea6eba0734d4p-17, -0x1.cec2efe1ff8b2p-17, -0x1.de05bf86e338ep-17, -0x1.ec76948d260efp-17, -0x1.fa1c739d7abc1p-17, -0x1.037f16c42f28cp-16, -0x1.09913052456cdp-16, -0x1.0f47bd190547p-16, -0x1.14a5dbd5a6917p-16, -0x1.19ae94086ac81p-16, -0x1.1e64d694f9afap-16, -0x1.22cb7e6043294p-16, -0x1.26e550ea38babp-16, -0x1.2ab4fee1e2568p-16, -0x1.2e3d24b8effe1p-16, -0x1.31804b2f11de9p-16, -0x1.3480e7dcfc1edp-16, -0x1.37415db7a248cp-16, -0x1.39c3fd943b04fp-16, -0x1.3c0b06a82d8f3p-16, -0x1.3e18a704616cbp-16, -0x1.3feefc0e8751cp-16, -0x1.419012f5d8757p-16, -0x1.42fde9242ddeep-16, -0x1.443a6cae856afp-16, -0x1.45477cbf6e0d8p-16, -0x1.4626ea02324efp-16, -0x1.46da77092658fp-16, -0x1.4763d8b15729bp-16, -0x1.47c4b684da21ap-16, -0x1.47feab180c40ep-16, -0x1.4813446576cc3p-16, -0x1.480404275e959p-16, -0x1.47d2603089826p-16, -0x1.477fc2bfa8d07p-16, -0x1.470d8ad35882cp-16, -0x1.467d0c7ade8b8p-16, -0x1.45cf912315411p-16, -0x1.450657e419d26p-16, -0x1.442295c88168ap-16, -0x1.43257619827ecp-16, -0x1.42101aa262477p-16, -0x1.40e39bf672842p-16, -0x1.3fa109b44c7a4p-16, -0x1.3e496ac5040a4p-16, -0x1.3cddbd9b544b1p-16, -0x1.3b5ef871c240dp-16, -0x1.39ce0985730fdp-16, -0x1.382bd7509f774p-16, -0x1.367940c3e14d9p-16, -0x1.34b71d7c324f3p-16, -0x1.32e63df984691p-16, -0x1.31076bd2064acp-16, -0x1.2f1b69e536f87p-16, -0x1.2d22f48ccba35p-16, -0x1.2b1ec1cc97dd8p-16, -0x1.290f8181b4b0cp-16, -0x1.26f5dd8f76608p-16, -0x1.24d27a0cfdd1ap-16, -0x1.22a5f56f1b6e4p-16, -0x1.2070e8b1c764ap-16, -0x1.1e33e781aca1fp-16, -0x1.1bef806299ba8p-16, -0x1.19a43cd78104p-16, -0x1.1752a186b2661p-16, -0x1.14fb2e5f453f1p-16, -0x1.129e5ebca0f12p-16, -0x1.103ca9879117dp-16, -0x1.0dd68159ea2efp-16, -0x1.0b6c549d61a5p-16, -0x1.08fe8dac0fc98p-16, -0x1.068d92ef24908p-16, -0x1.0419c6fcd8568p-16, -0x1.01a388b6154ebp-16, -0x1.fe5666c612b5ep-17, -0x1.f9623d9c0c36fp-17, -0x1.f46b3ebdd0eb3p-17, -0x1.ef720c69dd7c8p-17, -0x1.ea774280ee3b1p-17, -0x1.e57b76b6d238fp-17, -0x1.e07f38c28bb2dp-17, -0x1.db83128d51ae1p-17, -0x1.d6878860ebdb8p-17, -0x1.d18d191338232p-17, -0x1.cc943e3092d65p-17, -0x1.c79d6c262d973p-17, -0x1.c2a9126aabd1p-17, -0x1.bdb79ba4a7146p-17, -0x1.b8c96dd2d6d3ep-17, -0x1.b3deea7109e05p-17, -0x1.aef86e9baaa2fp-17, -0x1.aa165333cacf9p-17, -0x1.a538ed00e1a8p-17, -0x1.a0608cd2f0927p-17, -0x1.9b8d7fa298391p-17, -0x1.96c00eaf8a4ap-17, -0x1.91f87fa11eda6p-17, -0x1.8d3714a21b0b3p-17, -0x1.887c0c7f9331dp-17, -0x1.83c7a2c4668c5p-17, -0x1.7f1a0fd45bd79p-17, -0x1.7a738906ac578p-17, -0x1.75d440bf603abp-17, -0x1.713c6688a81cp-17, -0x1.6cac272c68f51p-17, -0x1.6823acca20c25p-17, -0x1.63a31eefa17d7p-17, -0x1.5f2aa2ae740dap-17, -0x1.5aba5ab174dbep-17, -0x1.565267528777ap-17, -0x1.51f2e6aef61d8p-17, -0x1.4d9bf4ba722eap-17, -0x1.494dab53d344p-17, -0x1.450822564e5e5p-17, -0x1.40cb6fada8e56p-17, -0x1.3c97a7662a93p-17, -0x1.386cdbbf2ea86p-17, -0x1.344b1d3aee124p-17, -0x1.30327aae5b6c8p-17, -0x1.2c230151b399p-17, -0x1.281cbccfe3ep-17, -0x1.241fb754e6e4dp-17, -0x1.202bf99c26367p-17, -0x1.1c418afec847ap-17, -0x1.18607180d4833p-17, -0x1.1488b1def85acp-17, -0x1.10ba4f9ac277cp-17, -0x1.0cf54d0775d1fp-17, -0x1.0939ab554d49p-17, -0x1.05876a9e03373p-17, -0x1.01de89ef6008bp-17, -0x1.fc7e0eadef82dp-18, -0x1.f551bfd875894p-18, -0x1.ee381fb6edfd6p-18, -0x1.e73124dd7410ep-18, -0x1.e03cc43004b79p-18, -0x1.d95af0f61b56ap-18, -0x1.d28b9cec19856p-18, -0x1.cbceb855715ccp-18, -0x1.c524320d6af19p-18, -0x1.be8bf798506cp-18, -0x1.b805f53227377p-18, -0x1.b19215df54a1dp-18, -0x1.ab30437b4fd75p-18, -0x1.a4e066c7d9e48p-18, -0x1.9ea2677a17d9fp-18, -0x1.98762c493b8e1p-18, -0x1.925b9afaa7e47p-18, -0x1.8c5298701a73bp-18, -0x1.865b08b359562p-18, -0x1.8074cf017fd7bp-18, -0x1.7a9fcdd7fe149p-18, -0x1.74dbe6fed13ddp-18, -0x1.6f28fb9365ebap-18, -0x1.6986ec1399db4p-18, -0x1.63f59867da8c1p-18, -0x1.5e74dfed0755dp-18, -0x1.5904a17d35db9p-18, -0x1.53a4bb793470cp-18, -0x1.4e550bd28791p-18, -0x1.4915701138daep-18, -0x1.43e5c55e6009p-18, -0x1.3ec5e88c1468ep-18, -0x1.39b5b61c07e73p-18, -0x1.34b50a472c6f2p-18, -0x1.2fc3c104be387p-18, -0x1.2ae1b61253384p-18, -0x1.260ec4f959b19p-18, -0x1.214ac914c2df4p-18, -0x1.1c959d996a97ap-18, -0x1.17ef1d9a3682ap-18, -0x1.1357240d6c067p-18, -0x1.0ecd8bd3dce1dp-18, -0x1.0a522fbd9d212p-18, -0x1.05e4ea8ea52f7p-18, -0x1.01859703aaabcp-18, -0x1.fa681fae2b8d5p-19, -0x1.f1e05f8d26d89p-19, -0x1.e973a329b4277p-19, -0x1.e121a01e05ae5p-19, -0x1.d8ea0c23b61bp-19, -0x1.d0cc9d19d6af2p-19, -0x1.c8c9090961c2ep-19, -0x1.c0df062f0cb6ap-19, -0x1.b90e4b018fb32p-19, -0x1.b1568e392cc4ep-19, -0x1.a9b786d1953dap-19, -0x1.a230ec1481f3ap-19, -0x1.9ac2759e70b5p-19, -0x1.936bdb60c59c9p-19, -0x1.8c2cd5a8f4cabp-19, -0x1.85051d26b2824p-19, -0x1.7df46aefa0854p-19, -0x1.76fa7881560c6p-19, -0x1.7016ffc71d2cfp-19, -0x1.6949bb2117616p-19, -0x1.62926563d3781p-19, -0x1.5bf0b9db7dd77p-19, -0x1.556474501b165p-19, -0x1.4eed510bce00ep-19, -0x1.488b0cdad704dp-19, -0x1.423d650d4ae17p-19, -0x1.3c04177a453a8p-19, -0x1.35dee285c9bbdp-19, -0x1.2fcd851e4f2e4p-19, -0x1.29cfbec125dedp-19, -0x1.23e54f7cdfdbbp-19, -0x1.1e0df7f2381d1p-19, -0x1.18497955aaa7bp-19, -0x1.129795710127ap-19, -0x1.0cf80ea59d32ep-19, -0x1.076aa7ed7f277p-19, -0x1.01ef24db3606fp-19, -0x1.f90a933573e24p-20, -0x1.ee59b5eaf0152p-20, -0x1.e3cb3ca30cd67p-20, -0x1.d95eb36102032p-20, -0x1.cf13a760f2c34p-20, -0x1.c4e9a71eb8244p-20, -0x1.bae042528d177p-20, -0x1.b0f709f3fcfeap-20, -0x1.a72d9034b25afp-20, -0x1.9d836885a81e5p-20, -0x1.93f8279a260e8p-20, -0x1.8a8b635e6f602p-20, -0x1.813cb300718bap-20, -0x1.780baeed1d3b8p-20, -0x1.6ef7f0cc8db3bp-20, -0x1.6601138611d64p-20, -0x1.5d26b33b3a3adp-20, -0x1.54686d4c2f725p-20, -0x1.4bc5e0521a18ep-20, -0x1.433eac1e3d67dp-20, -0x1.3ad271ba7bcb4p-20, -0x1.3280d36a4b4dcp-20, -0x1.2a4974a6b5ccep-20, -0x1.222bfa1c61257p-20, -0x1.1a2809a7eba45p-20, -0x1.123d4a5bd81dap-20, -0x1.0a6b647729644p-20, -0x1.02b201684dbaap-20, -0x1.f62197918f0a3p-21, -0x1.e70edeb6a330ep-21, -0x1.d82b3217ed7cep-21, -0x1.c975edd43f3fdp-21, -0x1.baee7057c3de9p-21, -0x1.ac941a4e36923p-21, -0x1.9e664ea28154dp-21, -0x1.9064727a4e2ccp-21, -0x1.828ded315b223p-21, -0x1.74e2285260c83p-21, -0x1.67608f97e7fcdp-21, -0x1.5a0890de4fef6p-21, -0x1.4cd99c22b96cbp-21, -0x1.3fd3238300e08p-21, -0x1.32f49b364f526p-21, -0x1.263d7985f98d7p-21, -0x1.19ad36c497a5ep-21, -0x1.0d434d4e18928p-21, -0x1.00ff39855b6fep-21, -0x1.e9c0f38e76038p-22, -0x1.d1cd1cd3dc458p-22, -0x1.ba21f36964571p-22, -0x1.a2be7fc0f19e6p-22, -0x1.8ba1ce1450793p-22, -0x1.74caee5cc4479p-22, -0x1.5e38f45b20d5fp-22, -0x1.47eaf7760bc0dp-22, -0x1.31e012b4da202p-22, -0x1.1c1764bfbf915p-22, -0x1.06900fc97f1aap-22, -0x1.e292730e0b531p-23, -0x1.b8841648eb695p-23, -0x1.8ef3626f418fcp-23, -0x1.65deb76b1f54ap-23, -0x1.3d447bce59648p-23, -0x1.15231cd5dcb39p-23, -0x1.daf21c69670b4p-24, -0x1.8c8994084407fp-24, -0x1.3f09a1490f795p-24, -0x1.e4dea321e97a6p-25, -0x1.4d6f7cf2fd28dp-25, -0x1.6f80376555d9fp-26, -0x1.1e5715cd61338p-28, 0x1.b9d6cbb7ba892p-27, 0x1.fe0e2563966cdp-26, 0x1.8dee9367786fcp-25, 0x1.0d98baa96b585p-24, 0x1.536a7111ea211p-24, 0x1.986ef6e372ccfp-24, 0x1.dca8cb5f4d5b9p-24, 0x1.100d317bde079p-23, 0x1.316313cfb3876p-23, 0x1.52573c8593f79p-23, 0x1.72ead65e11c8ap-23, 0x1.931f0721f887ap-23, 0x1.b2f4efaa1081bp-23, 0x1.d26dabf5822bp-23, 0x1.f18a53398a96ap-23, 0x1.0825fbfa0ee54p-22, 0x1.1759d404ff84p-22, 0x1.2661366e3054dp-22, 0x1.353ca5a23886bp-22, 0x1.43eca1e2392c6p-22, 0x1.5271a94095e8cp-22, }}, 
      {{-0x1.557118fc8b5a5p-2, -0x1.5582cc8bb62b2p-2, -0x1.559fc17c46d4fp-2, -0x1.55c77a6e21209p-2, -0x1.55f9b29a126a4p-2, -0x1.563683b1bc9afp-2, -0x1.567e74e2ee616p-2, -0x1.56d2773109816p-2, -0x1.5733d4d204b62p-2, -0x1.57a418e60daap-2, -0x1.5824f3dadf68bp-2, -0x1.58b81fa8ce72dp-2, -0x1.595f461332bcfp-2, -0x1.5a1bea424894ep-2, -0x1.5aef5669fc38cp-2, -0x1.5bda8db99e1ap-2, -0x1.5cde427cabb5fp-2, -0x1.5dfad01dc2958p-2, -0x1.5f30389bd3436p-2, -0x1.607e24f15bd71p-2, -0x1.61e3e7e91031fp-2, -0x1.636082df6783ap-2, -0x1.64f2abf9bdc34p-2, -0x1.6698d5681e51fp-2, -0x1.68513554ac649p-2, -0x1.6a19ce31a696ep-2, -0x1.6bf077249ebc2p-2, -0x1.6dd2e45a1b2acp-2, -0x1.6fbeaf1818cc6p-2, -0x1.71b15d6fde4a5p-2, -0x1.73a8697811b9cp-2, -0x1.75a147ff347edp-2, -0x1.77996eaca95edp-2, -0x1.798e598b3c1f3p-2, -0x1.7b7d8ffc0fe6dp-2, -0x1.7d64a913efea1p-2, -0x1.7f414f6745899p-2, -0x1.8111444ad6df5p-2, -0x1.82d2629099224p-2, -0x1.8482a0c8d03a6p-2, -0x1.8620131036293p-2, -0x1.87a8ec742c2d3p-2, -0x1.891b7ff604b6ep-2, -0x1.8a7641365fb93p-2, -0x1.8bb7c4d152a9ep-2, -0x1.8cdec073cd64bp-2, -0x1.8dea0ab23d6ecp-2, -0x1.8ed89aa8144bp-2, -0x1.8fa987674a25bp-2, -0x1.905c073e90842p-2, -0x1.90ef6edc5ccb4p-2, -0x1.916330547c901p-2, -0x1.91b6da0d6fc85p-2, -0x1.91ea159a4c6eep-2, -0x1.91fca685740b5p-2, -0x1.91ee6910106b6p-2, -0x1.91bf50e9c1e37p-2, -0x1.916f67e3b190bp-2, -0x1.90fecca1b5b3cp-2, -0x1.906db14c079f9p-2, -0x1.8fbc5a439c508p-2, -0x1.8eeb1cdaff102p-2, -0x1.8dfa5e153d0c4p-2, -0x1.8cea916c387c4p-2, -0x1.8bbc379f83d91p-2, -0x1.8a6fdd8cad5e2p-2, -0x1.89061b11b7f16p-2, -0x1.877f91fa5b612p-2, -0x1.85dcecf874a3dp-2, -0x1.841edea7f695ap-2, -0x1.8246209e8f8abp-2, -0x1.80537287177f7p-2, -0x1.7e479948c83a2p-2, -0x1.7c235e3a30685p-2, -0x1.79e78e5fb942ap-2, -0x1.7794f9b594ef1p-2, -0x1.752c7284ce611p-2, -0x1.72aeccc33af36p-2, -0x1.701cdd7df9493p-2, -0x1.6d777a4e2b38bp-2, -0x1.6abf78d7891c4p-2, -0x1.67f5ae507460cp-2, -0x1.651aef1325ec8p-2, -0x1.62300e3791032p-2, -0x1.5f35dd359c891p-2, -0x1.5c2d2b8f46046p-2, -0x1.5916c682511e1p-2, -0x1.55f378c11e7bfp-2, -0x1.52c40a3245ad1p-2, -0x1.4f893fb696ad3p-2, -0x1.4c43daf528667p-2, -0x1.48f49a2d0f79fp-2, -0x1.459c380c752e2p-2, -0x1.423b6b8cadc1ep-2, -0x1.3ed2e7d3035fp-2, -0x1.3b635c15e5316p-2, -0x1.37ed738633d28p-2, -0x1.3471d53c5cc1bp-2, -0x1.30f1242909f8cp-2, -0x1.2d6bff091c9bbp-2, -0x1.29e3005cba784p-2, -0x1.2656be613213ep-2, -0x1.22c7cb0d7c8cp-2, -0x1.1f36b4112dc9ep-2, -0x1.1ba402d59c7f4p-2, -0x1.18103c8113bf7p-2, -0x1.147be1fbe62ddp-2, -0x1.10e76ff73819dp-2, -0x1.0d535ef5548c4p-2, -0x1.09c023536fcf1p-2, -0x1.062e2d54b3cf5p-2, -0x1.029de92e71d96p-2, -0x1.fe1f7e2ac0578p-3, -0x1.f708269792ddp-3, -0x1.eff68c61131d3p-3, -0x1.e8eb689d9e61p-3, -0x1.e1e76cdcfc363p-3, -0x1.daeb434a42052p-3, -0x1.d3f78eceba236p-3, -0x1.cd0ceb35999b1p-3, -0x1.c62bed506b258p-3, -0x1.bf55231c0fae8p-3, -0x1.b88913e637591p-3, -0x1.b1c8407335ff5p-3, -0x1.ab1323241d2efp-3, -0x1.a46a301d04c4dp-3, -0x1.9dcdd56b6d0a5p-3, -0x1.973e7b2c9ff2p-3, -0x1.90bc83b41334fp-3, -0x1.8a484bb1a1192p-3, -0x1.83e22a57a18cbp-3, -0x1.7d8a7180c1495p-3, -0x1.77416dd59e086p-3, -0x1.710766f20c831p-3, -0x1.6adc9f8a075e7p-3, -0x1.64c1558e39dp-3, -0x1.5eb5c25025fcdp-3, -0x1.58ba1aa5ce704p-3, -0x1.52ce8f0cee1aap-3, -0x1.4cf34bcdb1a69p-3, -0x1.4728791cecdc8p-3, -0x1.416e3b3dc0a66p-3, -0x1.3bc4b2a2c34a6p-3, -0x1.362bfc0e8a519p-3, -0x1.30a430b3acf86p-3, -0x1.2b2d6654292c3p-3, -0x1.25c7af603a09bp-3, -0x1.20731b149006ap-3, -0x1.1b2fb597f00ebp-3, -0x1.15fd88183d178p-3, -0x1.10dc98e6dd37bp-3, -0x1.0bcceb948cbabp-3, -0x1.06ce810c903c4p-3, -0x1.01e157af4cd55p-3, -0x1.fa0ad6d88af32p-4, -0x1.f0756bb6f7858p-4, -0x1.e7025cac79eb5p-4, -0x1.ddb1941e9de16p-4, -0x1.d482f855162c4p-4, -0x1.cb766ba7c3d76p-4, -0x1.c28bccab8b59ap-4, -0x1.b9c2f65e13c4ep-4, -0x1.b11bc05052181p-4, -0x1.a895fecffb18dp-4, -0x1.a031830fd9efdp-4, -0x1.97ee1b4f0fc3p-4, -0x1.8fcb92ff34bbep-4, -0x1.87c9b2e97239cp-4, -0x1.7fe841528b756p-4, -0x1.7827021ddd616p-4, -0x1.7085b6ef5ab42p-4, -0x1.69041f4c860b8p-4, -0x1.61a1f8bc71b99p-4, -0x1.5a5efee6c7859p-4, -0x1.533aebb1dc6afp-4, -0x1.4c35775fd59f4p-4, -0x1.454e58aae4abep-4, -0x1.3e8544e09a6f9p-4, -0x1.37d9effc5c1c4p-4, -0x1.314c0cc0f9aa4p-4, -0x1.2adb4cd16b8f5p-4, -0x1.248760c8bd875p-4, -0x1.1e4ff85128049p-4, -0x1.1834c23a61126p-4, -0x1.12356c8f2424p-4, -0x1.0c51a4a9f805ep-4, -0x1.06891749380bp-4, -0x1.00db70a261df1p-4, -0x1.f690b8e95e0dcp-5, -0x1.eb9f0c35fa18ap-5, -0x1.e0e1313a0f011p-5, -0x1.d6567d7ff724fp-5, -0x1.cbfe462cc6931p-5, -0x1.c1d7e01ee6f4dp-5, -0x1.b7e2a00b75c04p-5, -0x1.ae1dda9a72124p-5, -0x1.a488e481c2a23p-5, -0x1.9b23129f16451p-5, -0x1.91ebba10ac05ep-5, -0x1.88e2304d08738p-5, -0x1.8005cb399cb7p-5, -0x1.7755e1406d2c3p-5, -0x1.6ed1c964b82edp-5, -0x1.6678db56a5903p-5, -0x1.5e4a6f860a4fep-5, -0x1.5645df34414c9p-5, -0x1.4e6a8485215e8p-5, -0x1.46b7ba8f194d6p-5, -0x1.3f2cdd6a768e7p-5, -0x1.37c94a3fdd7a8p-5, -0x1.308c5f55f9abp-5, -0x1.29757c1e6a02bp-5, -0x1.22840141f2f0ep-5, -0x1.1bb750abf693bp-5, -0x1.150ecd9541825p-5, -0x1.0e89dc8e24d9cp-5, -0x1.0827e387f1f5dp-5, -0x1.01e849ddd18p-5, -0x1.f794f0ba00121p-6, -0x1.eb9bb298ed041p-6, -0x1.dfe3b0e7fbc24p-6, -0x1.d46bc64578bd8p-6, -0x1.c932d06a6c9fep-6, -0x1.be37b0359f45ep-6, -0x1.b37949b59ecb5p-6, -0x1.a8f68431cee6p-6, -0x1.9eae4a32965e6p-6, -0x1.949f8988a66c4p-6, -0x1.8ac9335365d39p-6, -0x1.812a3c06958f8p-6, -0x1.77c19b6f1e2a8p-6, -0x1.6e8e4cb72bc12p-6, -0x1.658f4e6987198p-6, -0x1.5cc3a2743cb2ap-6, -0x1.542a4e2a9e74ep-6, -0x1.4bc25a469b18ep-6, -0x1.438ad2e97c25fp-6, -0x1.3b82c79c0f76cp-6, -0x1.33a94b4e3adb2p-6, -0x1.2bfd74560c23p-6, -0x1.247e5c6e42c1bp-6, -0x1.1d2b20b45a138p-6, -0x1.1602e1a620ef3p-6, -0x1.0f04c31edbb43p-6, -0x1.082fec53f50cfp-6, -0x1.018387d15336fp-6, -0x1.f5fd86ea80711p-7, -0x1.e941a0d7e795bp-7, -0x1.dcd1c655a55a4p-7, -0x1.d0ac66d68fddap-7, -0x1.c4cff84ab990bp-7, -0x1.b93af713f8054p-7, -0x1.adebe5f9f04cp-7, -0x1.a2e14e1d8b538p-7, -0x1.9819beebf8479p-7, -0x1.8d93ce11347fdp-7, -0x1.834e176a2cb12p-7, -0x1.79473cf66d87ep-7, -0x1.6f7de6c978c7fp-7, -0x1.65f0c2fbc7634p-7, -0x1.5c9e859b6ead5p-7, -0x1.5385e89c82016p-7, -0x1.4aa5abc9242fcp-7, -0x1.41fc94b163947p-7, -0x1.39896e9ad6246p-7, -0x1.314b0a6ffc7b7p-7, -0x1.29403eaf7b41bp-7, -0x1.2167e75b2a9fep-7, -0x1.19c0e5e6f2e5ep-7, -0x1.124a21279631p-7, -0x1.0b028541562f2p-7, -0x1.03e903968284fp-7, -0x1.f9f9256bd9356p-8, -0x1.ec785c92a9977p-8, -0x1.df4dae07865bbp-8, -0x1.d277251fad8d2p-8, -0x1.c5f2d6fc246fcp-8, -0x1.b9bee2664dc1fp-8, -0x1.add96fac74babp-8, -0x1.a240b07e65436p-8, -0x1.96f2dfca116bbp-8, -0x1.8bee4198534bap-8, -0x1.813122e9b4869p-8, -0x1.76b9d99351ac2p-8, -0x1.6c86c41bf704ap-8, -0x1.62964999480fep-8, -0x1.58e6d98d24184p-8, -0x1.4f76ebc32d1d4p-8, -0x1.4645002e82d03p-8, -0x1.3d4f9ec7b6b4bp-8, -0x1.3495576afbedcp-8, -0x1.2c14c1b68a8dp-8, -0x1.23cc7ce94597ap-8, -0x1.1bbb2fc1ab5abp-8, -0x1.13df885cfa19fp-8, -0x1.0c383c16a6177p-8, -0x1.04c407682bedfp-8, -0x1.fb035b9208d4dp-9, -0x1.ecdff31e1047cp-9, -0x1.df1b779e23214p-9, -0x1.d1b3987c0b203p-9, -0x1.c4a6122438d3bp-9, -0x1.b7f0adc9002cap-9, -0x1.ab91412689c35p-9, -0x1.9f85ae477f946p-9, -0x1.93cbe34a548c9p-9, -0x1.8861da27574eap-9, -0x1.7d45987762995p-9, -0x1.72752f3b4da46p-9, -0x1.67eebaa40b92p-9, -0x1.5db061db9348ap-9, -0x1.53b856ce82336p-9, -0x1.4a04d5f66f363p-9, -0x1.40942624f0a76p-9, -0x1.3764984f6bd14p-9, -0x1.2e74875b96e93p-9, -0x1.25c257ecc7605p-9, -0x1.1d4c7832041bdp-9, -0x1.15115fb4a3da8p-9, -0x1.0d0f8f27d389bp-9, -0x1.05459038cb1d6p-9, -0x1.fb63eabf5d58bp-10, -0x1.eca6b362ba38ap-10, -0x1.de50c1637e512p-10, -0x1.d05f6c4dcd66bp-10, -0x1.c2d01bd9c8f86p-10, -0x1.b5a04794a3f72p-10, -0x1.a8cd768b366afp-10, -0x1.9c553ef60b658p-10, -0x1.903545e6b337ep-10, -0x1.846b3ef65f8a8p-10, -0x1.78f4ebf627ed5p-10, -0x1.6dd01ca08646ap-10, -0x1.62faae4c21a72p-10, -0x1.58728ba051579p-10, -0x1.4e35ac4a8235p-10, -0x1.444214b504567p-10, -0x1.3a95d5bf6f262p-10, -0x1.312f0c7802ce5p-10, -0x1.280be1d689948p-10, -0x1.1f2a8a7877d63p-10, -0x1.1689465e4ce72p-10, -0x1.0e2660aa0226ep-10, -0x1.06002f5ee994cp-10, -0x1.fc2a26457cd14p-11, -0x1.ecc6edffb3e9ap-11, -0x1.ddd3a0514a09dp-11, -0x1.cf4d3b78b38a5p-11, -0x1.c130d118e97abp-11, -0x1.b37b85c79f72ep-11, -0x1.a62a909d27ef8p-11, -0x1.993b3ac6a2997p-11, -0x1.8caadf1a9af9fp-11, -0x1.8076e9af9eaf3p-11, -0x1.749cd77502c04p-11, -0x1.691a35cd80b1ap-11, -0x1.5deca22c45d34p-11, -0x1.5311c9b3b8c21p-11, -0x1.488768d68f5c1p-11, -0x1.3e4b4afaa98b3p-11, -0x1.345b4a1e12664p-11, -0x1.2ab54e7d7a0dp-11, -0x1.21574e3ce7a41p-11, -0x1.183f4d124cfaap-11, -0x1.0f6b5bf1ad7bdp-11, -0x1.06d998bb47364p-11, -0x1.fd105bd7233acp-12, -0x1.eceaa4993de63p-12, -0x1.dd3e9152c5035p-12, -0x1.ce08bf0577576p-12, -0x1.bf45e18bccb13p-12, -0x1.b0f2c3096154dp-12, -0x1.a30c435e9a76fp-12, -0x1.958f579f7f45dp-12, -0x1.8879098d2c082p-12, -0x1.7bc677127c7d2p-12, -0x1.6f74d1c3c410cp-12, -0x1.63815e612925cp-12, -0x1.57e9745c3d7d8p-12, -0x1.4caa7d5feb598p-12, -0x1.41c1f4db7df2cp-12, -0x1.372d6790127c5p-12, -0x1.2cea7320c6ceep-12, -0x1.22f6c5a56de55p-12, -0x1.19501d3fac712p-12, -0x1.0ff447b2c92f1p-12, -0x1.06e121fdcba85p-12, -0x1.fc292ff057272p-13, -0x1.eb1947e0c2633p-13, -0x1.da8e9c9aa04cdp-13, -0x1.ca855a62a31acp-13, -0x1.baf9c83fe81cfp-13, -0x1.abe8474ad330fp-13, -0x1.9d4d52014b69bp-13, -0x1.8f257b9dfe555p-13, -0x1.816d6f742515bp-13, -0x1.7421f04f4d321p-13, -0x1.673fd7d6b1d5ep-13, -0x1.5ac415f49e305p-13, -0x1.4eabb0410294cp-13, -0x1.42f3c170a0251p-13, -0x1.379978c6b3ff1p-13, -0x1.2c9a198acdc44p-13, -0x1.21f2fa81b1408p-13, -0x1.17a18569e638dp-13, -0x1.0da3367aabdp-13, -0x1.03f59be7419bbp-13, -0x1.f52caac8420a4p-14, -0x1.e3062760ff7b6p-14, -0x1.d1733042ebdf2p-14, -0x1.c06f68625eb83p-14, -0x1.aff6921ff583ep-14, -0x1.a0048e725e192p-14, -0x1.90955c12e35f2p-14, -0x1.81a516b1fbdfep-14, -0x1.732ff62ed56d1p-14, -0x1.65324dd5301edp-14, -0x1.57a88b9febc86p-14, -0x1.4a8f37802e209p-14, -0x1.3de2f2a8e8afbp-14, -0x1.31a076e032565p-14, -0x1.25c495d387eafp-14, -0x1.1a4c3871cde22p-14, -0x1.0f345e48b8f4ep-14, -0x1.047a1ce6aae94p-14, -0x1.f4353e8180393p-15, -0x1.e0264a39aa7dcp-15, -0x1.ccc204fe6972ap-15, -0x1.ba033e384c3afp-15, -0x1.a7e4eb9b1c8bap-15, -0x1.966228175c14p-15, -0x1.857632d3083aep-15, -0x1.751c6e2a9a9f6p-15, -0x1.65505eb6421abp-15, -0x1.560daa5777823p-15, -0x1.4750174ce194fp-15, -0x1.39138b4b3fdc3p-15, -0x1.2b540a9e4e943p-15, -0x1.1e0db74db7d91p-15, -0x1.113cd04970a16p-15, -0x1.04ddb099eebe4p-15, -0x1.f1d99d3083d4fp-16, -0x1.dacd7651f685bp-16, -0x1.c49041fc5931bp-16, -0x1.af1b87baefd81p-16, -0x1.9a68ffd6b08d8p-16, -0x1.867291f7bcb98p-16, -0x1.733253ceefd1p-16, -0x1.60a287c9c6e82p-16, -0x1.4ebd9bcd8aa12p-16, -0x1.3d7e27fd17d73p-16, -0x1.2cdeed8500765p-16, -0x1.1cdad57397f7ap-16, -0x1.0d6cef94e2fa7p-16, -0x1.fd20e2b1ec159p-17, -0x1.e08169836b821p-17, -0x1.c4f26eaedd345p-17, -0x1.aa6b324a36873p-17, -0x1.90e3377b66763p-17, -0x1.78524286edc22p-17, -0x1.60b056f6513ecp-17, -0x1.49f5b5c4ae8d2p-17, -0x1.341adb9cc2d1dp-17, -0x1.1f187f20b4aa5p-17, -0x1.0ae78f3e67944p-17, -0x1.ef026322940c9p-18, -0x1.c9bd819803174p-18, -0x1.a5f3966559037p-18, -0x1.83982235f0952p-18, -0x1.629f06f3eafdp-18, -0x1.42fc84f600cf7p-18, -0x1.24a5383eb6b3cp-18, -0x1.078e15d5a456ep-18, -0x1.d758d2610c2b3p-19, -0x1.a1eba356a3d61p-19, -0x1.6ec080379e8e6p-19, -0x1.3dc3e8d6ca218p-19, -0x1.0ee2f69409425p-19, -0x1.c416afb7fc2cfp-20, -0x1.6e569794f865cp-20, -0x1.1c633be11d5a4p-20, -0x1.9c3688c254187p-21, -0x1.06bcc2f869fb5p-21, -0x1.e06a2360dbab3p-23, 0x1.fd9a126867821p-26, 0x1.232820e52e26ep-22, 0x1.0d14283e2a7e8p-21, 0x1.82a441ce0f071p-21, 0x1.f279ccc048157p-21, 0x1.2e6445ce98d95p-20, 0x1.60e15041042b2p-20, 0x1.90cc4cc191814p-20, 0x1.be3cbe56ee7fbp-20, 0x1.e94969d9a4a14p-20, 0x1.09042dcdcf2a2p-19, 0x1.1c47767ad21a4p-19, 0x1.2e78e4cad8461p-19, 0x1.3fa27a5312d9ep-19, 0x1.4fcde6f21d2e9p-19, 0x1.5f048b428e248p-19, 0x1.6d4f7afb1f33cp-19, 0x1.7ab77f3c097e3p-19, 0x1.874518cf1f87dp-19, 0x1.9300825301f42p-19, 0x1.9df1b25905613p-19, 0x1.a8205d723a92p-19, 0x1.b193f8314da8ap-19, 0x1.ba53b919f1472p-19, 0x1.c2669a7b3c5c4p-19, 0x1.c9d35c48f1819p-19, 0x1.d0a085dd89d9fp-19, 0x1.d6d467b4c3c89p-19, 0x1.dc751d1510846p-19, 0x1.e1888db1417e7p-19, 0x1.e6146f38ae9c7p-19, 0x1.ea1e46e09c386p-19, 0x1.edab6adc5836cp-19, 0x1.f0c103cffd713p-19, 0x1.f3640e38ad4a9p-19, 0x1.f5995bc36138dp-19, 0x1.f765949fe571p-19, 0x1.f8cd38c6e86b8p-19, 0x1.f9d4a137c7f37p-19, 0x1.fa80012bf8b08p-19, 0x1.fad36741502ddp-19, 0x1.fad2be9eb6f31p-19, 0x1.fa81d00cfd3e6p-19, 0x1.f9e443061368ap-19, 0x1.f8fd9ec1095f8p-19, 0x1.f7d14b30b5705p-19, 0x1.f66291fefa62bp-19, 0x1.f4b49f7cf30b4p-19, 0x1.f2ca83911c3eap-19, 0x1.f0a73298eb3b2p-19, 0x1.ee4d86471f0e1p-19, 0x1.ebc03e791df61p-19, 0x1.e902020710bccp-19, 0x1.e6155f8f081efp-19, 0x1.e2fcce39126cdp-19, 0x1.dfbaae75dcf9fp-19, 0x1.dc514ab70ef4ep-19, 0x1.d8c2d8216a54cp-19, 0x1.d511773886796p-19, 0x1.d13f3489ea8a5p-19, 0x1.cd4e094ed1403p-19, 0x1.c93fdc0b25545p-19, 0x1.c5168127b86acp-19, 0x1.c0d3bb8635b1fp-19, 0x1.bc793d11c9262p-19, 0x1.b808a749b41d8p-19, 0x1.b3838bcb4bf2dp-19, 0x1.aeeb6cd5b7dc2p-19, 0x1.aa41bdc9c8521p-19, 0x1.a587e3a564081p-19, 0x1.a0bf357b32c63p-19, 0x1.9be8fce68d125p-19, 0x1.9706767d495c2p-19, 0x1.9218d23d6197bp-19, 0x1.8d2133f60e1f6p-19, 0x1.8820b3b0caadap-19, 0x1.83185e13127dap-19, 0x1.7e0934c0a7ebep-19, 0x1.78f42eb75179bp-19, 0x1.73da38ab0cfc1p-19, 0x1.6ebc355e9b331p-19, 0x1.699afdf8000ddp-19, 0x1.64776254556aep-19, 0x1.5f522956b2db2p-19, 0x1.5a2c1136c6feap-19, 0x1.5505cfcbb5af5p-19, 0x1.4fe012d537fdap-19, 0x1.4abb8041c7486p-19, 0x1.4598b67452281p-19, 0x1.40784c864ae8ap-19, 0x1.3b5ad2884f74bp-19, 0x1.3640d1bf5cf5bp-19, 0x1.312acce2ed7f7p-19, 0x1.2c1940559fd0dp-19, 0x1.270ca25f2e01p-19, 0x1.22056362da8d9p-19, 0x1.1d03ee150f09ep-19, 0x1.1808a7af28724p-19, 0x1.1313f02049fedp-19, 0x1.0e26223eef584p-19, 0x1.093f93f6430dep-19, 0x1.04609674e5faep-19, 0x1.ff12ecafa765dp-20, 0x1.f574f7abe7be1p-20, 0x1.ebe7d5d16c44ap-20, 0x1.e26c06e6fc664p-20, 0x1.d90202d6ebf95p-20, 0x1.cfaa39f69fa34p-20, 0x1.c66515509242ep-20, 0x1.bd32f6ea1c4eap-20, 0x1.b4143a085126bp-20, 0x1.ab0933700ac79p-20, 0x1.a21231a575831p-20, 0x1.992f7d2af9294p-20, 0x1.906158bb22739p-20, 0x1.87a80182cbd8ap-20, 0x1.7f03af5875cdp-20, 0x1.767494f274687p-20, 0x1.6dfae01a8e2f2p-20, 0x1.6596b9e018a0ap-20, 0x1.5d4846cabe411p-20, 0x1.550fa706328c9p-20, 0x1.4cecf6924a03ep-20, 0x1.44e04d6e41bf6p-20, 0x1.3ce9bfc3c0aebp-20, 0x1.35095e0f7a684p-20, 0x1.2d3f3547f81edp-20, 0x1.258b4f068e741p-20, 0x1.1dedb1aa9550bp-20, 0x1.1666607eba27ap-20, 0x1.0ef55bda8d399p-20, 0x1.079aa14508749p-20, 0x1.00562b9400b08p-20, 0x1.f24fe6159153cp-21, 0x1.e41fdaf4d066ap-21, 0x1.d61c1cbaed5d8p-21, 0x1.c8448de850475p-21, 0x1.ba990cc2683d9p-21, 0x1.ad197384c8b14p-21, 0x1.9fc598977d571p-21, 0x1.929d4eb9d65ep-21, 0x1.85a06535c3a8ep-21, 0x1.78cea80e0865cp-21, 0x1.6c27e028bedd2p-21, 0x1.5fabd37aff7bap-21, 0x1.535a4530db4dcp-21, 0x1.4732f5d5af42ap-21, 0x1.3b35a3795a87ap-21, 0x1.2f6209d12d285p-21, 0x1.23b7e260dc433p-21, 0x1.1836e499b5047p-21, 0x1.0cdec5fc80d7dp-21, 0x1.01af3a3992fbbp-21, 0x1.ed4fe69b827dfp-22, 0x1.d7914344f2d69p-22, 0x1.c221e84b31356p-22, 0x1.ad0130caeceb7p-22, 0x1.982e755b036c2p-22, 0x1.83a90c3ae78b2p-22, 0x1.6f704984e7514p-22, 0x1.5b837f5c08e0ep-22, 0x1.47e1fe197835dp-22, 0x1.348b1476e8993p-22, 0x1.217e0fb103681p-22, 0x1.0eba3bb44bfp-22, 0x1.f87dc68b206a1p-23, 0x1.d416a042c8a72p-23, 0x1.b03d9649b847bp-23, 0x1.8cf138d3dacc8p-23, 0x1.6a3016d857d33p-23, 0x1.47f8be4a47c08p-23, 0x1.2649bc496523bp-23, 0x1.05219d65e18e3p-23, 0x1.c8fddbb12900ep-24, 0x1.88c0735a389bbp-24, 0x1.498819f8de24cp-24, 0x1.0b51e82d23384p-24, 0x1.9c35eed77bcfap-25, 0x1.23c0c49057168p-25, 0x1.5a7d12bf44e9dp-26, 0x1.c54bc5ca90a07p-28, -0x1.d0216ec54e165p-28, -0x1.55a04c5bcc2d9p-26, -0x1.19c026e8d81dbp-25, -0x1.86d9e0fff574ap-25, -0x1.f222ff3ce6e73p-25, -0x1.2dd092e274c16p-24, -0x1.61acf8ed115bep-24, -0x1.94a97c9f8af3cp-24, -0x1.c6c8e4ef15bd9p-24, -0x1.f80df4bcfdebp-24, -0x1.143db552adc1cp-23, -0x1.2c0a006ba9accp-23, -0x1.436d3673d6663p-23, -0x1.5a68afd76a3ap-23, -0x1.70fdc29cfe5bfp-23, -0x1.872dc24e45d72p-23, -0x1.9cf9ffe465485p-23, -0x1.b263c9c1479efp-23, -0x1.c76c6b9a5a7abp-23, -0x1.dc152e70c413cp-23, -0x1.f05f588371c8fp-23, -0x1.022616a4ad6b9p-22, -0x1.0bee76b0ebef9p-22, -0x1.15896b4b51657p-22, -0x1.1ef791e47a6b3p-22, -0x1.28398675b1e86p-22, -0x1.314fe37fad515p-22, -0x1.3a3b4206c51e5p-22, -0x1.42fc398ede67ep-22, -0x1.4b9360195fef8p-22, -0x1.54014a257a10bp-22, -0x1.5c468aadf070cp-22, -0x1.6463b326e8c04p-22, -0x1.6c59537b9f34p-22, -0x1.7427fa1045acap-22, -0x1.7bd033bcc2057p-22, -0x1.83528bce8915fp-22, -0x1.8aaf8c08999ecp-22, -0x1.91e7bca3e235p-22, -0x1.98fba44c38304p-22, -0x1.9febc82788a73p-22, -0x1.a6b8abd0cfedep-22, -0x1.ad62d15935aa5p-22, -0x1.b3eab9493648dp-22, -0x1.ba50e2a4b1fefp-22, -0x1.c095cae7b6888p-22, -0x1.c6b9ee09a033ap-22, -0x1.ccbdc67f032e5p-22, -0x1.d2a1cd3c953b7p-22, -0x1.d86679b748e8ap-22, -0x1.de0c41e548e48p-22, -0x1.e3939a42ef6f7p-22, -0x1.e8fcf5d2e542p-22, -0x1.ee48c61e3c4c1p-22, -0x1.f3777b398de2fp-22, -0x1.f88983c63c30ap-22, -0x1.fd7f4cf644577p-22, -0x1.012ca145cd226p-21, -0x1.038be77028e48p-21, -0x1.05ddad7289398p-21, -0x1.08222711c5604p-21, -0x1.0a59876152efp-21, -0x1.0c8400c560029p-21, -0x1.0ea1c4f3080c4p-21, -0x1.10b304f1f918ap-21, -0x1.12b7f11eef4d2p-21, -0x1.14b0b92cbf3b6p-21, -0x1.169d8c25b9abap-21, -0x1.187e986d44705p-21, -0x1.1a540bc18697fp-21, -0x1.1c1e133d915e1p-21, -0x1.1ddcdb59ec5d5p-21, -0x1.1f908fee54e49p-21, -0x1.21395c34516fep-21, -0x1.22d76ac834d56p-21, -0x1.246ae5aa6a8b4p-21, -0x1.25f3f64206349p-21, -0x1.2772c55e90cc9p-21, -0x1.28e77b38da7b6p-21, -0x1.2a523f73f3637p-21, -0x1.2bb3392144c97p-21, -0x1.2d0a8ec083f01p-21, -0x1.2e586641a24fbp-21, -0x1.2f9ce50618797p-21, -0x1.30d82fe46a1p-21, -0x1.320a6b2769da6p-21, -0x1.3333ba91c4314p-21, -0x1.3454415ea2f0fp-21, -0x1.356c2243878e1p-21, -0x1.367b7f7255d2p-21, -0x1.37827a9ac3ddcp-21, -0x1.388134ebc606cp-21, -0x1.3977cf15af3fcp-21, -0x1.3a66694b84fa5p-21, -0x1.3b4d23448c72dp-21, -0x1.3c2c1c3e0bde1p-21, -0x1.3d0372fd81e15p-21, -0x1.3dd345d186d9bp-21, -0x1.3e9bb292dcf3ap-21, -0x1.3f5cd6a73d487p-21, -0x1.4016cf02dfa1ep-21, -0x1.40c9b82953eadp-21, -0x1.4175ae2eed96p-21, -0x1.421accbb13c21p-21, -0x1.42b92f0a10b2bp-21, -0x1.4350efed35189p-21, -0x1.43e229cdaa419p-21, -0x1.446cf6acdfdb4p-21, -0x1.44f17026a05dep-21, -0x1.456faf72c9012p-21, -0x1.45e7cd6634edfp-21, -0x1.4659e274c3d44p-21, -0x1.46c606b23b32dp-21, -0x1.472c51d4412a6p-21, -0x1.478cdb32d6ee1p-21, -0x1.47e7b9ca9d254p-21, -0x1.483d043e0b351p-21, -0x1.488cd0d69bef7p-21, -0x1.48d73585d00ecp-21, -0x1.491c47e70e0edp-21, -0x1.495c1d4146fd8p-21, -0x1.4996ca87b1b73p-21, -0x1.49cc645acf75cp-21, -0x1.49fcff09ffcccp-21, -0x1.4a28ae95813fdp-21, -0x1.4a4f86aeaa374p-21, -0x1.4a719ab9cffe9p-21, -0x1.4a8efdce9c8b2p-21, -0x1.4aa7c2b985a5ap-21, -0x1.4abbfbfde4197p-21, -0x1.4acbbbd64042dp-21, -0x1.4ad71435d4fa2p-21, -0x1.4ade16c9d2dbbp-21, -0x1.4ae0d4fa342fbp-21, -0x1.4adf5feb0843dp-21, -0x1.4ad9c87d2e311p-21, -0x1.4ad01f4fa070bp-21, -0x1.4ac274c0b9fb4p-21, -0x1.4ab0d8eefb349p-21, -0x1.4a9b5bba249d8p-21, -0x1.4a820cc47b7ddp-21, -0x1.4a64fb73ad044p-21, -0x1.4a4436f1ead12p-21, -0x1.4a1fce2e506b2p-21, -0x1.49f7cfde345cdp-21, -0x1.49cc4a7e98e8cp-21, -0x1.499d4c54b9d8dp-21, -0x1.496ae36f25932p-21, -0x1.49351da609e3p-21, -0x1.48fc089bd13b3p-21, -0x1.48bfb1bf51a54p-21, -0x1.4880264c47e3dp-21, -0x1.483d734b9bb3p-21, -0x1.47f7a59503374p-21, -0x1.47aec9cf7f469p-21, -0x1.4762ec720431cp-21, -0x1.471419c432b27p-21, -0x1.46c25ddfbd8ddp-21, -0x1.466dc4afd4299p-21, -0x1.461659f3a82e8p-21, -0x1.45bc293dc8aacp-21, -0x1.455f3df603871p-21, -0x1.44ffa359619bep-21, -0x1.449d647b4e4cap-21, -0x1.44388c45e202cp-21, -0x1.43d1257a94e17p-21, -0x1.43673ab33b432p-21, -0x1.42fad662ca2e7p-21, -0x1.428c02d5f5fafp-21, -0x1.421aca33ec659p-21, -0x1.41a7367e72c5ep-21, -0x1.41315191ad8fap-21, -0x1.40b92526ed35cp-21, -0x1.403ebad4286d3p-21, -0x1.3fc21c0cec71dp-21, -0x1.3f4352227029bp-21, -0x1.3ec26644e5078p-21, -0x1.3e3f61835910ap-21, -0x1.3dba4ccc6e68ap-21, -0x1.3d3330ef5a58p-21, -0x1.3caa169b84e9ep-21, -0x1.3c1f06616d333p-21, -0x1.3b9208b3bd905p-21, -0x1.3b0325e76cd9p-21, -0x1.3a7266343b95dp-21, }}, 
      {{0x1.5526424095158p-15, 0x1.3057816cebe63p-13, 0x1.179e35c9dab7ap-12, 0x1.668c1a987d1ecp-12, 0x1.3dadf7b358809p-12, 0x1.6a0b5153dd625p-14, -0x1.7a6e2feba9477p-12, -0x1.1a9552b175b11p-10, -0x1.11e639f1c369ep-9, -0x1.be90d1946387ep-9, -0x1.4990582fb1e0ep-8, -0x1.c70b6329b1e1fp-8, -0x1.2b3a0f3da9c8dp-7, -0x1.7b1189b98a60dp-7, -0x1.d217e02ee3c74p-7, -0x1.17a36f9ae63ddp-6, -0x1.48c966e7c8e4cp-6, -0x1.7bfa54c19241bp-6, -0x1.b0b921ef8a39fp-6, -0x1.e6923322d46ap-6, -0x1.0e8ecb2429b5p-5, -0x1.2a003370a1da6p-5, -0x1.4576c33597048p-5, -0x1.60d2e2ea086d9p-5, -0x1.7bfbcde52f89ep-5, -0x1.96df40dc0f256p-5, -0x1.b171075512513p-5, -0x1.cbaa7242d7295p-5, -0x1.e589c078daf04p-5, -0x1.ff118033c8d19p-5, -0x1.0c23f7c539152p-4, -0x1.189b302b28d1fp-4, -0x1.24f451807ef8fp-4, -0x1.31363d54e8d51p-4, -0x1.3d688e22253acp-4, -0x1.49935cd15094fp-4, -0x1.55bf0c6aceb47p-4, -0x1.61f41bef82338p-4, -0x1.6e3afe3184f9cp-4, -0x1.7a9bf7656b226p-4, -0x1.871f00113bf81p-4, -0x1.93cbacf1f7497p-4, -0x1.a0a91b6a1be7fp-4, -0x1.adbde209c8fb8p-4, -0x1.bb1004c2959ep-4, -0x1.c8a4ec5d4418ap-4, -0x1.d68160cd0145bp-4, -0x1.e4a98602861d4p-4, -0x1.f320dae8bd09ep-4, -0x1.00f51d1decb9bp-3, -0x1.0883ee79a4facp-3, -0x1.103daeff00dc4p-3, -0x1.1822df8ba52e3p-3, -0x1.2033b74069d61p-3, -0x1.287026ba29c7bp-3, -0x1.30d7db925ae92p-3, -0x1.396a4415ac0f2p-3, -0x1.422693215deefp-3, -0x1.4b0bc419cffecp-3, -0x1.54189eee9fcb6p-3, -0x1.5d4bbc2257945p-3, -0x1.66a388cd0a99cp-3, -0x1.701e4a927e986p-3, -0x1.79ba2385b4e7bp-3, -0x1.837515f49bfcep-3, -0x1.8d4d0817925f3p-3, -0x1.973fc7a138187p-3, -0x1.a14b0d2bb56efp-3, -0x1.ab6c7f814cc1fp-3, -0x1.b5a1b6be752bbp-3, -0x1.bfe83f4c66333p-3, -0x1.ca3d9cb34251dp-3, -0x1.d49f4c437b27p-3, -0x1.df0ac79660646p-3, -0x1.e97d86e60811ep-3, -0x1.f3f5033d0d11p-3, -0x1.fe6eb87eb7a57p-3, -0x1.047413a43cfe7p-2, -0x1.09af6b56d7fbep-2, -0x1.0ee82ae75d64bp-2, -0x1.141d1ea65bdf5p-2, -0x1.194d184d88ba6p-2, -0x1.1e76ef9823eaap-2, -0x1.239982cbb093cp-2, -0x1.28b3b731af641p-2, -0x1.2dc479831d282p-2, -0x1.32cabe466c1b6p-2, -0x1.37c58220b897cp-2, -0x1.3cb3ca1aebb42p-2, -0x1.4194a3db88ef1p-2, -0x1.466725d5db382p-2, -0x1.4b2a6f6f2e2efp-2, -0x1.4fdda91ac7eadp-2, -0x1.5480046d3f6bbp-2, -0x1.5910bc27dd6d7p-2, -0x1.5d8f143c9e07fp-2, -0x1.61fa59cb67c2ap-2, -0x1.6651e3190da46p-2, -0x1.6a950f80a3453p-2, -0x1.6ec3475fa5804p-2, -0x1.72dbfbfd7670cp-2, -0x1.76dea76ea459fp-2, -0x1.7acacc7466cap-2, -0x1.7e9ff658c3e11p-2, -0x1.825db8c7b6229p-2, -0x1.8603afa5bf02p-2, -0x1.89917ee42c8a5p-2, -0x1.8d06d2537431fp-2, -0x1.90635d73e4653p-2, -0x1.93a6db44f6383p-2, -0x1.96d10e1382fbbp-2, -0x1.99e1bf4718333p-2, -0x1.9cd8bf2ea1c7cp-2, -0x1.9fb5e4cc9fadep-2, -0x1.a2790da313db9p-2, -0x1.a5221d7f5175p-2, -0x1.a7b0fe45dbce6p-2, -0x1.aa259fbe6ec57p-2, -0x1.ac7ff7605796ap-2, -0x1.aec0001f37402p-2, -0x1.b0e5ba3848654p-2, -0x1.b2f12b0040014p-2, -0x1.b4e25cb1dd962p-2, -0x1.b6b95e3d38786p-2, -0x1.b8764317e0367p-2, -0x1.ba19230dd4f1dp-2, -0x1.bba21a136c555p-2, -0x1.bd1148182014fp-2, -0x1.be66d0da5bf42p-2, -0x1.bfa2dbbc4449ep-2, -0x1.c0c5939983853p-2, -0x1.c1cf269e1c0f1p-2, -0x1.c2bfc61e404cp-2, -0x1.c397a66f3adaep-2, -0x1.c456fec15ac05p-2, -0x1.c4fe08faeb697p-2, -0x1.c58d019435013p-2, -0x1.c604277482043p-2, -0x1.c663bbd028c11p-2, -0x1.c6ac020794d08p-2, -0x1.c6dd3f874f329p-2, -0x1.c6f7bba8fa83ap-2, -0x1.c6fbbf9549e19p-2, -0x1.c6e99626e31c9p-2, -0x1.c6c18bce2e669p-2, -0x1.c683ee760b96cp-2, -0x1.c6310d6966d89p-2, -0x1.c5c93939ad373p-2, -0x1.c54cc3a613d39p-2, -0x1.c4bbff83b1c5p-2, -0x1.c41740a6652a8p-2, -0x1.c35edbca81398p-2, -0x1.c293267f37a81p-2, -0x1.c1b47711c47bdp-2, -0x1.c0c324794c687p-2, -0x1.bfbf86436bfb8p-2, -0x1.bea9f48175621p-2, -0x1.bd82c7b653fd3p-2, -0x1.bc4a58c5115ecp-2, -0x1.bb0100dffb3e2p-2, -0x1.b9a719785c525p-2, -0x1.b83cfc2ecf19cp-2, -0x1.b6c302c41d602p-2, -0x1.b539870aab9e7p-2, -0x1.b3a0e2d86cb32p-2, -0x1.b1f96ff956766p-2, -0x1.b0438822595eap-2, -0x1.ae7f84e4cfc5p-2, -0x1.acadbfa266fe1p-2, -0x1.aace91817c8d6p-2, -0x1.a8e25361edb3p-2, -0x1.a6e95dd24f34fp-2, -0x1.a4e409059710fp-2, -0x1.a2d2acc926f04p-2, -0x1.a0b5a07b4099ep-2, -0x1.9e8d3b01d4fdfp-2, -0x1.9c59d2c1ba2b7p-2, -0x1.9a1bbd963708cp-2, -0x1.97d350c8ea872p-2, -0x1.9580e10a0c1dap-2, -0x1.9324c268fe125p-2, -0x1.90bf484d32e27p-2, -0x1.8e50c56f6559cp-2, -0x1.8bd98bd31bdedp-2, -0x1.8959ecc078b64p-2, -0x1.86d238be550acp-2, -0x1.8442bf8ca5671p-2, -0x1.81abd01f21eb5p-2, -0x1.7f0db8983551p-2, -0x1.7c68c6442c96p-2, -0x1.79bd4594ac248p-2, -0x1.770b821c5fea2p-2, -0x1.7453c68aec866p-2, -0x1.71965ca91c498p-2, -0x1.6ed38d554873ap-2, -0x1.6c0ba07ff81cbp-2, -0x1.693edd28be709p-2, -0x1.666d895b47fabp-2, -0x1.6397ea2ca3c1fp-2, -0x1.60be43b8be174p-2, -0x1.5de0d9200e683p-2, -0x1.5affec8578874p-2, -0x1.581bbf0c5b406p-2, -0x1.553490d6d262bp-2, -0x1.524aa10425362p-2, -0x1.4f5e2daf60eb5p-2, -0x1.4c6f73ee20c9ap-2, -0x1.497eafcf8257cp-2, -0x1.468c1c5b40a8ep-2, -0x1.4397f390f9721p-2, -0x1.40a26e679a958p-2, -0x1.3dabc4ccf5f1dp-2, -0x1.3ab42da57b032p-2, -0x1.37bbdecc1576bp-2, -0x1.34c30d122e0bep-2, -0x1.31c9ec3fd2292p-2, -0x1.2ed0af13f5d4cp-2, -0x1.2bd78744df04bp-2, -0x1.28dea580ab51fp-2, -0x1.25e6396df5564p-2, -0x1.22ee71ac9a95ep-2, -0x1.1ff77bd69bcc4p-2, -0x1.1d0184811ab09p-2, -0x1.1a0cb73d736f3p-2, -0x1.17193e9a6f35p-2, -0x1.14274425911e3p-2, -0x1.1136f06c7d174p-2, -0x1.0e486afe736a8p-2, -0x1.0b5bda6de873p-2, -0x1.087164522bb3dp-2, -0x1.05892d492bf6fp-2, -0x1.02a358f9497e6p-2, -0x1.ff8014267feadp-3, -0x1.f9bec4a843124p-3, -0x1.f403050ec8111p-3, -0x1.ee4d15120562p-3, -0x1.e89d328f56d32p-3, -0x1.e2f3998e03f84p-3, -0x1.dd508443d590cp-3, -0x1.d7b42b19dc2fcp-3, -0x1.d21ec4b13dee2p-3, -0x1.cc9085e82acf6p-3, -0x1.c709a1dee9c8dp-3, -0x1.c18a49fcf2f98p-3, -0x1.bc12adf62df3p-3, -0x1.b6a2fbd039aeep-3, -0x1.b13b5fe7cb635p-3, -0x1.abdc04f625f81p-3, -0x1.a6851416933e8p-3, -0x1.a136b4cbff774p-3, -0x1.9bf10d069153p-3, -0x1.96b441295e199p-3, -0x1.918074102073fp-3, -0x1.8c55c714fc68ap-3, -0x1.87345a165088fp-3, -0x1.821c4b7c8d475p-3, -0x1.7d0db84010b2fp-3, -0x1.7808bbef1127ep-3, -0x1.730d70b3855b6p-3, -0x1.6e1bef591452cp-3, -0x1.69344f530b82ep-3, -0x1.6456a6c2532cep-3, -0x1.5f830a7b68025p-3, -0x1.5ab98e0c5306ap-3, -0x1.55fa43c2a4f5cp-3, -0x1.51453cb16c63p-3, -0x1.4c9a88b7303e8p-3, -0x1.47fa3683deebp-3, -0x1.4364539ec700bp-3, -0x1.3ed8ec6c7d971p-3, -0x1.3a580c34c9d62p-3, -0x1.35e1bd288b409p-3, -0x1.3176086792cbep-3, -0x1.2d14f6067b178p-3, -0x1.28be8d1478b9ap-3, -0x1.2472d3a121bf8p-3, -0x1.2031cec22b81ap-3, -0x1.1bfb8299216dcp-3, -0x1.17cff25911431p-3, -0x1.13af204c2cc04p-3, -0x1.0f990dd960c37p-3, -0x1.0b8dbb89e1db9p-3, -0x1.078d290eae4c3p-3, -0x1.03975546003b9p-3, -0x1.ff587c8171af1p-4, -0x1.f797c28f72034p-4, -0x1.efec75c2609c3p-4, -0x1.e8568dabbf64dp-4, -0x1.e0d6006c93762p-4, -0x1.d96ac2bfaea44p-4, -0x1.d214c803dea78p-4, -0x1.cad40245f20dap-4, -0x1.c3a8624ab45e6p-4, -0x1.bc91d798b57a4p-4, -0x1.b590508201232p-4, -0x1.aea3ba2dafd16p-4, -0x1.a7cc00a1561c2p-4, -0x1.a1090eca5b808p-4, -0x1.9a5ace8728b2ap-4, -0x1.93c128b03724ep-4, -0x1.8d3c052103e3p-4, -0x1.86cb4ac0d834p-4, -0x1.806edf8b77abfp-4, -0x1.7a26a899a8c4dp-4, -0x1.73f28a299dcd3p-4, -0x1.6dd267a73830fp-4, -0x1.67c623b42c9edp-4, -0x1.61cda03002c33p-4, -0x1.5be8be3ff3c3ap-4, -0x1.56175e56a5305p-4, -0x1.5059603bc14e7p-4, -0x1.4aaea3136d6dap-4, -0x1.451705659cb4dp-4, -0x1.3f92652540faep-4, -0x1.3a209fb75a323p-4, -0x1.34c191f9e0896p-4, -0x1.2f75184a8f3a7p-4, -0x1.2a3b0e8d8b1d9p-4, -0x1.25135033e855dp-4, -0x1.1ffdb8420e638p-4, -0x1.1afa2155f880fp-4, -0x1.160865ad56db8p-4, -0x1.11285f2b8c707p-4, -0x1.0c59e75f8c5ep-4, -0x1.079cd78997304p-4, -0x1.02f108a0d5856p-4, -0x1.fcaca6b1a93acp-5, -0x1.f399204dc0821p-5, -0x1.eaa72e8e7c749p-5, -0x1.e1d681849280ep-5, -0x1.d926c8e2db45p-5, -0x1.d097b4080ce7ep-5, -0x1.c828f208361ep-5, -0x1.bfda31b5fd5d9p-5, -0x1.b7ab21aba49dp-5, -0x1.af9b7053d140bp-5, -0x1.a7aacbf2150e3p-5, -0x1.9fd8e2ab46373p-5, -0x1.9825628d91604p-5, -0x1.908ff9985cdc2p-5, -0x1.891855c3efbc6p-5, -0x1.81be2508dfe2dp-5, -0x1.7a8115674d682p-5, -0x1.7360d4ede44eep-5, -0x1.6c5d11c0ab8c8p-5, -0x1.65757a1fa058ep-5, -0x1.5ea9bc6d1716ep-5, -0x1.57f98733f4d41p-5, -0x1.5164892dab907p-5, -0x1.4aea71480a31p-5, -0x1.448aeeaae01ccp-5, -0x1.3e45b0bd66729p-5, -0x1.381a672b83f29p-5, -0x1.3208c1eadd2fbp-5, -0x1.2c10713fba2e2p-5, -0x1.263125c1bc27ep-5, -0x1.206a90606dabep-5, -0x1.1abc62679f048p-5, -0x1.15264d83a1311p-5, -0x1.0fa803c54f433p-5, -0x1.0a4137a5f48d5p-5, -0x1.04f19c0b0ab45p-5, -0x1.ff71c893978dep-6, -0x1.f52d885547ec3p-6, -0x1.eb15dfd8f4458p-6, -0x1.e12a388fa6f4bp-6, -0x1.d769fce3ab4d4p-6, -0x1.cdd4983e3ef0dp-6, -0x1.c469770d0fc77p-6, -0x1.bb2806c76b26ap-6, -0x1.b20fb5f32ad3fp-6, -0x1.a91ff4295f2ccp-6, -0x1.a058321ac5f06p-6, -0x1.97b7e193f5beap-6, -0x1.8f3e758152b2ap-6, -0x1.86eb61f2cb671p-6, -0x1.7ebe1c1f4e32ep-6, -0x1.76b61a68218cep-6, -0x1.6ed2d45be7496p-6, -0x1.6713c2b979d83p-6, -0x1.5f785f7296d86p-6, -0x1.580025ae4a56ep-6, -0x1.50aa91cb3e9bcp-6, -0x1.49772161bff77p-6, -0x1.42655345a6874p-6, -0x1.3b74a7880c9b2p-6, -0x1.34a49f78d1083p-6, -0x1.2df4bda7fbee6p-6, -0x1.276485e6ea7d4p-6, -0x1.20f37d495d2bdp-6, -0x1.1aa12a265831dp-6, -0x1.146d1418e457cp-6, -0x1.0e56c4009996fp-6, -0x1.085dc40221fc7p-6, -0x1.02819f8774c5p-6, -0x1.f983c6802b645p-7, -0x1.ee3c3a4221a28p-7, -0x1.e32bb8c9da399p-7, -0x1.d8516316f50c8p-7, -0x1.cdac5cb2efc6fp-7, -0x1.c33bcbb05f6d3p-7, -0x1.b8fed8a9bef51p-7, -0x1.aef4aec031359p-7, -0x1.a51c7b9a0d5a1p-7, -0x1.9b756f610a3b2p-7, -0x1.91febcc077c8fp-7, -0x1.88b798e31fcc6p-7, -0x1.7f9f3b70fdd7cp-7, -0x1.76b4de8ce7bbap-7, -0x1.6df7bed1e45bcp-7, -0x1.65671b5073088p-7, -0x1.5d02358bae40dp-7, -0x1.54c851763628bp-7, -0x1.4cb8b56f05e31p-7, -0x1.44d2aa3e2ace3p-7, -0x1.3d157b114db9dp-7, -0x1.358075781cdf9p-7, -0x1.2e12e960b015dp-7, -0x1.26cc2913ae85fp-7, -0x1.1fab89306c80ep-7, -0x1.18b060a8f4a37p-7, -0x1.11da08bde3cd7p-7, -0x1.0b27dcfa48556p-7, -0x1.04993b2f552f7p-7, -0x1.fc5b06e00818bp-8, -0x1.efc830195e0ebp-8, -0x1.e378bb1d1c134p-8, -0x1.d76b75664fdf8p-8, -0x1.cb9f30cf54231p-8, -0x1.c012c3887379bp-8, -0x1.b4c5080e699a1p-8, -0x1.a9b4dd20c19cfp-8, -0x1.9ee125b82f7bep-8, -0x1.9448c8fcc14f7p-8, -0x1.89eab23be0238p-8, -0x1.7fc5d0de8eb86p-8, -0x1.75d9185f2fcb1p-8, -0x1.6c23803fa27f6p-8, -0x1.62a403fef6a48p-8, -0x1.5959a30f4d72fp-8, -0x1.504360cb84872p-8, -0x1.4760446d13cedp-8, -0x1.3eaf5901a7a04p-8, -0x1.362fad60cc8d3p-8, -0x1.2de054218228ep-8, -0x1.25c0638ffd5f7p-8, -0x1.1dcef5a31f15ep-8, -0x1.160b27f21edd2p-8, -0x1.0e741baa29d21p-8, -0x1.0708f583e35fdp-8, -0x1.ff91bb723789ap-9, -0x1.f165fff489751p-9, -0x1.e38d16c8724c6p-9, -0x1.d60564eb974b2p-9, -0x1.c8cd560ad861dp-9, -0x1.bbe35c6dc6d1bp-9, -0x1.af45f0e1e76ebp-9, -0x1.a2f392a65eb66p-9, -0x1.96eac7576d9d9p-9, -0x1.8b2a1ad9eafd3p-9, -0x1.7fb01f473cc92p-9, -0x1.747b6cd8e0206p-9, -0x1.698aa1d472d6ep-9, -0x1.5edc627795983p-9, -0x1.546f58e4242b4p-9, -0x1.4a42350c3cbc3p-9, -0x1.4053ac9e9ef81p-9, -0x1.36a27af30df99p-9, -0x1.2d2d60f6cc1a6p-9, -0x1.23f3251973183p-9, -0x1.1af29339893bp-9, -0x1.122a7c916c0e2p-9, -0x1.0999b7a45e8f7p-9, -0x1.013f202bd81c8p-9, -0x1.f2332e092ae53p-10, -0x1.e2500438fcf58p-10, -0x1.d2d298bf460b2p-10, -0x1.c3b8cb4cf793ap-10, -0x1.b500854722467p-10, -0x1.a6a7b9a34216fp-10, -0x1.98ac64c38ea6dp-10, -0x1.8b0c8c53c9d3p-10, -0x1.7dc63f2663d15p-10, -0x1.70d795116a641p-10, -0x1.643eaeccb58dfp-10, -0x1.57f9b5cf87896p-10, -0x1.4c06dc2f517c2p-10, -0x1.40645c7dedadfp-10, -0x1.351079a8e917p-10, -0x1.2a097ed87f3ecp-10, -0x1.1f4dbf4fad535p-10, -0x1.14db964beb2efp-10, -0x1.0ab166e5a725p-10, -0x1.00cd9bf0ddf5p-10, -0x1.ee5d4fbc8e0aep-11, -0x1.dba609387cd4cp-11, -0x1.c97266f1e0834p-11, -0x1.b7bf7a08a9fcdp-11, -0x1.a68a61e4ceee9p-11, -0x1.95d04bfba91a6p-11, -0x1.858e7396424e9p-11, -0x1.75c2219853d59p-11, -0x1.6668ac47520ecp-11, -0x1.577f771305eb7p-11, -0x1.4903f25e22d21p-11, -0x1.3af39b47f83aep-11, -0x1.2d4bfb7688db6p-11, -0x1.200aa8e1217f3p-11, -0x1.132d459c6e3b5p-11, -0x1.06b17fa65924p-11, -0x1.f52a21663ff5ep-12, -0x1.ddab7bf5116fp-12, -0x1.c6e2b00cb9235p-12, -0x1.b0cb7502226c9p-12, -0x1.9b61980afbe4bp-12, -0x1.86a0fbdd2c17fp-12, -0x1.72859851d8e53p-12, -0x1.5f0b7a0729b5ap-12, -0x1.4c2ec204f800dp-12, -0x1.39eba5614cecfp-12, -0x1.283e6ce80179ap-12, -0x1.172374c2af481p-12, -0x1.06972c2111fa5p-12, -0x1.ed2c29c84e43dp-13, -0x1.ce398692ef3bbp-13, -0x1.b04fbb3025556p-13, -0x1.9368379b7ee22p-13, -0x1.777c8e9f7fd1p-13, -0x1.5c867533a570ap-13, -0x1.427fc1e16c6cp-13, -0x1.29626c27e8309p-13, -0x1.11288be51e9adp-13, -0x1.f398b17e4e952p-14, -0x1.c690531ff0d36p-14, -0x1.9b2ce7ab565d1p-14, -0x1.71639642a97f8p-14, -0x1.4929c115977bap-14, -0x1.2275044bb9dd3p-14, -0x1.fa7669e391aap-15, -0x1.b2e4bfd95db5ap-15, -0x1.6e2191e203b44p-15, -0x1.2c19d2fa3e04ap-15, -0x1.d975bf644ec85p-16, -0x1.5fe4f8648d0bbp-16, -0x1.d6bb492f3072ep-17, -0x1.eef37c5fc191ep-18, -0x1.0e086b7007a88p-20, 0x1.556316efa1b38p-18, 0x1.6e1f56151459cp-17, 0x1.146415373c715p-16, 0x1.6d753b07c9a79p-16, 0x1.c261a174da312p-16, 0x1.09a38f8dff82bp-15, 0x1.30216fc81f6b8p-15, 0x1.54b8b358b4d34p-15, 0x1.777749f19d313p-15, 0x1.986ad2a14b3b2p-15, 0x1.b7a09d62b5edfp-15, 0x1.d525aca90783cp-15, 0x1.f106b6e5cf4b4p-15, 0x1.05a8140163417p-14, 0x1.1207116e778a6p-14, 0x1.1da6415964e16p-14, 0x1.288b6e467707p-14, 0x1.32bc405330a19p-14, 0x1.3c3e3de2e188ep-14, 0x1.4516cc4ea1003p-14, 0x1.4d4b3089fd2b3p-14, 0x1.54e08fcc0a49cp-14, 0x1.5bdbf02f620e2p-14, 0x1.624239561d1ffp-14, 0x1.6818350461ef9p-14, 0x1.6d628fbd1955fp-14, 0x1.7225d957c729p-14, 0x1.76668598b3ab1p-14, 0x1.7a28ecc100907p-14, 0x1.7d714c1f68f9bp-14, 0x1.8043c69d57f5dp-14, 0x1.82a4654a1395bp-14, 0x1.849717e3f6cd2p-14, 0x1.861fb55c473e7p-14, 0x1.8741fc5cd8e98p-14, 0x1.880193c86788cp-14, 0x1.88620b385e392p-14, 0x1.8866db798f4bep-14, 0x1.88136706d9ee1p-14, 0x1.876afa81aba33p-14, 0x1.8670cd247aa1ep-14, 0x1.8528013c021dcp-14, 0x1.8393a4927312p-14, 0x1.81b6b0e303523p-14, 0x1.7f940c4403dep-14, 0x1.7d2e89954b45bp-14, 0x1.7a88e8e54762bp-14, 0x1.77a5d7dbf44ecp-14, 0x1.7487f21e09b45p-14, 0x1.7131c1b035734p-14, 0x1.6da5bf5992d0dp-14, 0x1.69e65302e52c6p-14, 0x1.65f5d4135021p-14, 0x1.61d689cd555e8p-14, 0x1.5d8aaba867e8ep-14, 0x1.591461a9b6d82p-14, 0x1.5475c4bb8331ap-14, 0x1.4fb0df01ff12bp-14, 0x1.4ac7ac2d10fb1p-14, 0x1.45bc19cdac8fcp-14, 0x1.409007a144346p-14, 0x1.3b4547e53f616p-14, 0x1.35dd9fa0dd66p-14, 0x1.305ac6f2dbefep-14, 0x1.2abe695ad2b13p-14, 0x1.250a26012d39bp-14, 0x1.1f3f90001438fp-14, 0x1.19602ea810ebp-14, 0x1.136d7dc575c7p-14, 0x1.0d68ede20e37bp-14, 0x1.0753e488955edp-14, 0x1.012fbc84b8573p-14, 0x1.f5fb8c44256d3p-15, 0x1.e97e8ed459c22p-15, 0x1.dceaf8c32b26dp-15, 0x1.d0432e84fc298p-15, 0x1.c38981705425ep-15, 0x1.b6c0302eadcacp-15, 0x1.a9e9672d32878p-15, 0x1.9d074109093a4p-15, 0x1.901bc6fdda855p-15, 0x1.8328f14b7587p-15, 0x1.7630a7a00161p-15, 0x1.6934c17a4d7efp-15, 0x1.5c37068f85705p-15, 0x1.4f392f29dbad4p-15, 0x1.423ce4890c564p-15, 0x1.3543c13fc4cbap-15, 0x1.284f518bf306ep-15, 0x1.1b6113b36b5cap-15, 0x1.0e7a78589592bp-15, 0x1.019ce2d18d95p-15, 0x1.e99352f83a3fp-16, 0x1.d0042c1c48debp-16, 0x1.b68ecbcdba94p-16, 0x1.9d3594bcff5efp-16, 0x1.83fad221738a3p-16, 0x1.6ae0b854d514p-16, 0x1.51e96565dd6fbp-16, 0x1.3916e1a5bdfe7p-16, 0x1.206b203a33c97p-16, 0x1.07e7ffa3a359bp-16, 0x1.df1e948eacba2p-17, 0x1.aec56de3197dp-17, 0x1.7ec7d2b69836ep-17, 0x1.4f28e54611f73p-17, 0x1.1feba39da0f64p-17, 0x1.e225d10a6077p-18, 0x1.8542d8e47d7ebp-18, 0x1.29338cd4c09ddp-18, 0x1.9bf9b3c1b6f98p-19, 0x1.ce8db6b71399bp-20, 0x1.a2bb84ba067d7p-22, -0x1.f330916a300dep-21, -0x1.2c1beffbbec21p-19, -0x1.d9907036461b9p-19, -0x1.429148ae0d3cbp-18, -0x1.9765d57fce6f5p-18, -0x1.eb42be8a4d1e2p-18, -0x1.1f128b3a69379p-17, -0x1.48051098ca798p-17, -0x1.7077a94e87d75p-17, -0x1.9869268abe81cp-17, -0x1.bfd87015111e6p-17, -0x1.e6c483a70e0afp-17, -0x1.06963a24e233bp-16, -0x1.1987b4dc9b8bcp-16, -0x1.2c364fe0816ep-16, -0x1.3ea1b2d787435p-16, -0x1.50c98eda56d5fp-16, -0x1.62ad9e2ddcd3fp-16, -0x1.744da3fb66053p-16, -0x1.85a96c09b68bbp-16, -0x1.96c0ca7ccd9fdp-16, -0x1.a7939b907f0b8p-16, -0x1.b821c35794c56p-16, -0x1.c86b2d807faf4p-16, -0x1.d86fcd1341e7dp-16, -0x1.e82f9c38650a1p-16, -0x1.f7aa9bfb90a6fp-16, -0x1.03706a09f690cp-15, -0x1.0ae9295584ae2p-15, -0x1.123f96135403fp-15, -0x1.1973bd78d49ffp-15, -0x1.2085afa563826p-15, -0x1.27757f8731a1fp-15, -0x1.2e4342c3581b8p-15, -0x1.34ef119d4bb12p-15, -0x1.3b7906df557e9p-15, -0x1.41e13fc23fc22p-15, -0x1.4827dbd91832cp-15, -0x1.4e4cfcf8f4ec7p-15, -0x1.5450c72423c77p-15, -0x1.5a336075d2619p-15, -0x1.5ff4f10ccc54ap-15, -0x1.6595a2f82d8p-15, -0x1.6b15a223b8741p-15, -0x1.70751c4441c1ep-15, -0x1.75b440c5dfd15p-15, -0x1.7ad340b9bd09dp-15, -0x1.7fd24ec4957bp-15, -0x1.84b19f0d1f9f4p-15, -0x1.8971672c2b3a7p-15, -0x1.8e11de1b73515p-15, -0x1.92933c2633ed3p-15, -0x1.96f5bad99d49cp-15, -0x1.9b3994f5d1003p-15, -0x1.9f5f065f0225p-15, -0x1.a3664c0f56831p-15, -0x1.a74fa40972411p-15, -0x1.ab1b4d4a20303p-15, -0x1.aec987bb505fap-15, -0x1.b25a9427a1c39p-15, -0x1.b5ceb42daa48bp-15, -0x1.b9262a33e21e3p-15, -0x1.bc61395c5f705p-15, -0x1.bf802579b9ef8p-15, -0x1.c2833303fbabbp-15, -0x1.c56aa70d57edep-15, -0x1.c836c737b198fp-15, -0x1.cae7d9aa7b9c4p-15, -0x1.cd7e2508898c4p-15, -0x1.cff9f0667225ap-15, -0x1.d25b834099e7ap-15, -0x1.d4a32572a2018p-15, -0x1.d6d11f2e541a6p-15, -0x1.d8e5b8f296635p-15, -0x1.dae13b834ee4p-15, -0x1.dcc3efe17b055p-15, -0x1.de8e1f42bfa48p-15, -0x1.e0401309d8869p-15, -0x1.e1da14bf31f3ap-15, -0x1.e35c6e09f1a62p-15, -0x1.e4c768a86300ap-15, -0x1.e61b4e6935abap-15, -0x1.e758692514d59p-15, -0x1.e87f02b86728ap-15, -0x1.e98f64fcdcac6p-15, -0x1.ea89d9c35dee7p-15, -0x1.eb6eaace553dcp-15, -0x1.ec3e21cc5253dp-15, -0x1.ecf888522290cp-15, -0x1.ed9e27d5864bbp-15, -0x1.ee2f49a88845fp-15, -0x1.eeac36f409e9p-15, -0x1.ef1538b37aeb9p-15, -0x1.ef6a97afe9c9ep-15, -0x1.efac9c7bcd6e2p-15, -0x1.efdb8f6e8d467p-15, -0x1.eff7b8a051698p-15, -0x1.f0015fe6379cep-15, -0x1.eff8ccce91007p-15, -0x1.efde469cc775p-15, -0x1.efb21445fc8f5p-15, -0x1.ef747c6d92ec9p-15, -0x1.ef25c56215342p-15, -0x1.eec63519a748ap-15, -0x1.ee56112f4eed3p-15, -0x1.edd59edfad61p-15, -0x1.ed4523066eee1p-15, -0x1.eca4e21bbdb4ep-15, -0x1.ebf520312a1f9p-15, -0x1.eb3620ef93da5p-15, -0x1.ea682794a7129p-15, -0x1.e98b76f07ed26p-15, -0x1.e8a05163c236cp-15, -0x1.e7a6f8dd56494p-15, -0x1.e69faed880fa5p-15, -0x1.e58ab45ac016ap-15, -0x1.e46849f253a89p-15, -0x1.e338afb4c5d47p-15, -0x1.e1fc253cbe331p-15, -0x1.e0b2e9a88c33dp-15, -0x1.df5d3b98e789p-15, -0x1.ddfb592fcb3dfp-15, -0x1.dc8d800efb699p-15, -0x1.db13ed5656ff6p-15, -0x1.d98edda36d2a2p-15, -0x1.d7fe8d0ff26bfp-15, -0x1.d66337310a4fdp-15, -0x1.d4bd171648b07p-15, -0x1.d30c6748b46fdp-15, -0x1.d15161ca3d1ddp-15, -0x1.cf8c40148d0bep-15, -0x1.cdbd3b18de6d9p-15, -0x1.cbe48b3f478fbp-15, -0x1.ca0268660bbefp-15, -0x1.c81709e108a49p-15, -0x1.c622a6795e5d6p-15, -0x1.c425746cf4421p-15, -0x1.c21fa96e8526bp-15, -0x1.c0117aa506981p-15, -0x1.bdfb1cab4ad26p-15, -0x1.bbdcc38feac73p-15, -0x1.b9b6a2d54d51ep-15, -0x1.b788ed71bdeabp-15, -0x1.b553d5cefa14p-15, -0x1.b3178dca0c9adp-15, -0x1.b0d446b3bbd63p-15, -0x1.ae8a3150595fdp-15, -0x1.ac397dd81662cp-15, -0x1.a9e25bf6ed452p-15, -0x1.a784faccfccefp-15, -0x1.a52188eed48bep-15, -0x1.a2b8346524cf3p-15, -0x1.a0492aad9a7aap-15, -0x1.9dd498bb49ff6p-15, -0x1.9b5aaaf6cf6f6p-15, -0x1.98db8d3e4f353p-15, -0x1.96576ae64991ep-15, -0x1.93ce6eb9e13a3p-15, -0x1.9140c2fb632b1p-15, -0x1.8eae9164c0708p-15, -0x1.8c1803281374p-15, -0x1.897d40eff6d11p-15, -0x1.86de72e0220e8p-15, -0x1.843bc096880cbp-15, -0x1.8195512b7099dp-15, -0x1.7eeb4b31df20bp-15, -0x1.7c3dd4b89a077p-15, -0x1.798d134aac63ep-15, -0x1.76d92bf008789p-15, -0x1.7422432e65a52p-15, -0x1.71687d09b354ap-15, -0x1.6eabfd054f8f2p-15, -0x1.6bece62441b39p-15, -0x1.692b5ae9d8fefp-15, -0x1.66677d5b0f6e3p-15, -0x1.63a16eff22256p-15, -0x1.60d950e05797fp-15, -0x1.5e0f438c5b0c3p-15, -0x1.5b436715b68c8p-15, -0x1.5875db142f7f6p-15, -0x1.55a6bea5ef87fp-15, -0x1.52d630701fcedp-15, -0x1.50044e9fdfce2p-15, -0x1.4d3136eb1e927p-15, -0x1.4a5d069166a71p-15, -0x1.4787da5d19b2cp-15, -0x1.44b1cea45bbc7p-15, -0x1.41daff49562e9p-15, -0x1.3f0387bb9e53cp-15, -0x1.3c2b82f903103p-15, }}, 
      {{-0x1.b86a5f35b6cd4p-8, -0x1.b606800581e5ap-7, -0x1.4684ceadcc9fep-6, -0x1.b1705e6ce52f2p-6, -0x1.0e9e5699e77f6p-5, -0x1.45cd4b7159aefp-5, -0x1.7f103de81be2p-5, -0x1.bb0a2ce52fbfcp-5, -0x1.fa2887a324162p-5, -0x1.1e4ff6aeb9b99p-4, -0x1.4137d39188d06p-4, -0x1.65b48e86d7d18p-4, -0x1.8b9c9eaaf6f5p-4, -0x1.b2b933e770035p-4, -0x1.dacaf6151147ep-4, -0x1.01c721fa8e155p-3, -0x1.165f65b5c495fp-3, -0x1.2b0d36a8f6f95p-3, -0x1.3fb1b81138455p-3, -0x1.543107b14b34fp-3, -0x1.6872bdd5e84f9p-3, -0x1.7c6230e06143cp-3, -0x1.8fee87ae084cbp-3, -0x1.a30aa5921379dp-3, -0x1.b5acf987e1ccdp-3, -0x1.c7cf38fdf6835p-3, -0x1.d96e0d467d8fdp-3, -0x1.ea88b9721506bp-3, -0x1.fb20bd2c64b41p-3, -0x1.059cbc13ab239p-2, -0x1.0d6be85e48657p-2, -0x1.1500efd634ee8p-2, -0x1.1c5f5121c3f5cp-2, -0x1.238ad9d8af869p-2, -0x1.2a8786fab1cbp-2, -0x1.3159693dd91ep-2, -0x1.38048d23c6f8ep-2, -0x1.3e8ce6aff8eaep-2, -0x1.44f6408a4417ep-2, -0x1.4b442e4f03984p-2, -0x1.517a01c8a63f7p-2, -0x1.579ac2cb9b1b1p-2, -0x1.5da9296d4f034p-2, -0x1.63a79a504511p-2, -0x1.699824c20e3b3p-2, -0x1.6f7c826b689e7p-2, -0x1.75561856ef615p-2, -0x1.7b25f91741c9bp-2, -0x1.80ece7da272cp-2, -0x1.86ab5c3adfe0cp-2, -0x1.8c6186aa6b741p-2, -0x1.920f5548fd9a4p-2, -0x1.97b4791016b23p-2, -0x1.9d506b30b245dp-2, -0x1.a2e2728cc20adp-2, -0x1.a869a9369635ep-2, -0x1.ade501e40f3c2p-2, -0x1.b3534d46586c2p-2, -0x1.b8b33f398668ep-2, -0x1.be0373c1e2718p-2, -0x1.c34273cec14fp-2, -0x1.c86eb9bca8f94p-2, -0x1.cd86b59236965p-2, -0x1.d288d0f4a8589p-2, -0x1.d77372d23acb5p-2, -0x1.dc4502c193a58p-2, -0x1.e0fbec1674a07p-2, -0x1.e596a0acac2c4p-2, -0x1.ea139b6ae806p-2, -0x1.ee71627f98adp-2, -0x1.f2ae895a7c803p-2, -0x1.f6c9b265ca7ffp-2, -0x1.fac1908228239p-2, -0x1.fe94e848d184bp-2, -0x1.0121488bb6942p-1, -0x1.02e4baf490dadp-1, -0x1.04944b003ee21p-1, -0x1.062f82b2dd6d7p-1, -0x1.07b5f69e745cdp-1, -0x1.092745fbadb3dp-1, -0x1.0a831ab1da9c2p-1, -0x1.0bc9294fdc19ep-1, -0x1.0cf930f776705p-1, -0x1.0e12fb3c814cdp-1, -0x1.0f165bf954cb6p-1, -0x1.10033119bf5f6p-1, -0x1.10d9625db9285p-1, -0x1.1198e114f8b93p-1, -0x1.1241a7d4775dfp-1, -0x1.12d3ba26db279p-1, -0x1.134f2438b1d44p-1, -0x1.13b3fa814cd17p-1, -0x1.140259690085p-1, -0x1.143a64ed78c3cp-1, -0x1.145c4844bdeebp-1, -0x1.1468357f811f1p-1, -0x1.145e652b296f6p-1, -0x1.143f15f41dbc9p-1, -0x1.140a8c48aac11p-1, -0x1.13c111fce5a33p-1, -0x1.1362f5efd6d2fp-1, -0x1.12f08bb23591fp-1, -0x1.126a2b2eece1p-1, -0x1.11d03055a104ep-1, -0x1.1122fac75be69p-1, -0x1.1062ed85881b2p-1, -0x1.0f906ea355d98p-1, -0x1.0eabe6f9a12bbp-1, -0x1.0db5c1dd6cb67p-1, -0x1.0cae6cd8fac41p-1, -0x1.0b96576790e2ep-1, -0x1.0a6df2b3e7a16p-1, -0x1.0935b15949ecfp-1, -0x1.07ee0727601d9p-1, -0x1.069768e8a4436p-1, -0x1.05324c2b76eacp-1, -0x1.03bf270dcbc26p-1, -0x1.023e700b6671ep-1, -0x1.00b09dce94b7ap-1, -0x1.fe2c4e06c25d6p-2, -0x1.fadf045a502ebp-2, -0x1.f77a4afd07281p-2, -0x1.f3ff0d66ff097p-2, -0x1.f06e35dc003b3p-2, -0x1.ecc8ad28a0732p-2, -0x1.e90f5a638114ep-2, -0x1.e54322b294792p-2, -0x1.e164e9144448ep-2, -0x1.dd758e2c538acp-2, -0x1.d975f0145e0a2p-2, -0x1.d566ea2fcfb4bp-2, -0x1.d149550331a1bp-2, -0x1.cd1e060eac36bp-2, -0x1.c8e5cfab9c8c2p-2, -0x1.c4a180ed1c868p-2, -0x1.c051e5835e6a2p-2, -0x1.bbf7c5a1baed1p-2, -0x1.b793e5e756828p-2, -0x1.b327074a3b92cp-2, -0x1.aeb1e704d1ddap-2, -0x1.aa353e8593d05p-2, -0x1.a5b1c360e4c4fp-2, -0x1.a1282744f4637p-2, -0x1.9c9917ef8fe88p-2, -0x1.98053f25c6f01p-2, -0x1.936d42ad522aep-2, -0x1.8ed1c447a20d7p-2, -0x1.8a3361ae7aa2fp-2, -0x1.8592b4920fc4cp-2, -0x1.80f05298843d3p-2, -0x1.7c4ccd5ebc722p-2, -0x1.77a8b27a713d8p-2, -0x1.73048b7d6f27fp-2, -0x1.6e60ddf9effecp-2, -0x1.69be2b87fe0e6p-2, -0x1.651cf1cbd12b6p-2, -0x1.607daa7d1382dp-2, -0x1.5be0cb6f01e11p-2, -0x1.5746c69955d7p-2, -0x1.52b00a21ef306p-2, -0x1.4e1d006729604p-2, -0x1.498e100ad9603p-2, -0x1.45039bfddcb18p-2, -0x1.407e038c35fc9p-2, -0x1.3bfda269a8cbp-2, -0x1.3782d0bec95d3p-2, -0x1.330de336767e3p-2, -0x1.2e9f2b0bb419ap-2, -0x1.2a36f617dc754p-2, -0x1.25d58ee11f43ap-2, -0x1.217b3ca946a4p-2, -0x1.1d28437cb7824p-2, -0x1.18dce441a9d1ap-2, -0x1.14995cc78b001p-2, -0x1.105de7d68b12dp-2, -0x1.0c2abd3f473a8p-2, -0x1.080011ea8de98p-2, -0x1.03de17e939c9p-2, -0x1.ff89fd0829314p-3, -0x1.f769e49791232p-3, -0x1.ef5c3a51a555ap-3, -0x1.e7614cd6de4bbp-3, -0x1.df7965b7117d9p-3, -0x1.d7a4c9912823cp-3, -0x1.cfe3b832c54c5p-3, -0x1.c8366cb7be31fp-3, -0x1.c09d1da96f645p-3, -0x1.b917fd1dd7013p-3, -0x1.b1a738d675c14p-3, -0x1.aa4afa5ef899bp-3, -0x1.a303672b91725p-3, -0x1.9bd0a0b70ec3bp-3, -0x1.94b2c4a0a2489p-3, -0x1.8da9ecc9509b4p-3, -0x1.86b62f710b7fap-3, -0x1.7fd79f5372758p-3, -0x1.790e4bc430c67p-3, -0x1.725a40cafc944p-3, -0x1.6bbb873f2a979p-3, -0x1.653224e2e663ap-3, -0x1.5ebe1c7df1472p-3, -0x1.585f6df7ff8a7p-3, -0x1.52161672a3542p-3, -0x1.4be21062c7d7ap-3, -0x1.45c353a9ba2aap-3, -0x1.3fb9d5adc1835p-3, -0x1.39c589724279fp-3, -0x1.33e65faf6c6bep-3, -0x1.2e1c46e97100dp-3, -0x1.28672b874bfap-3, -0x1.22c6f7e90710ap-3, -0x1.1d3b947d97cb2p-3, -0x1.17c4e7d838806p-3, -0x1.1262d6c552867p-3, -0x1.0d15445eeefe1p-3, -0x1.07dc1220affdep-3, -0x1.02b71ffb5926dp-3, -0x1.fb4c98cfb6a14p-4, -0x1.f152e8f3e1014p-4, -0x1.e780e7e487897p-4, -0x1.ddd64aa03f576p-4, -0x1.d452c3c569e4p-4, -0x1.caf603b3c88e9p-4, -0x1.c1bfb8ad3d0c3p-4, -0x1.b8af8ef5adf07p-4, -0x1.afc530f1f8703p-4, -0x1.a70047462b2f3p-4, -0x1.9e6078f2c3b9bp-4, -0x1.95e56b71377f2p-4, -0x1.8d8ec2cf95a37p-4, -0x1.855c21cb609dbp-4, -0x1.7d4d29eb9d2dp-4, -0x1.75617b9a13d34p-4, -0x1.6d98b63bcdfc5p-4, -0x1.65f27848d0929p-4, -0x1.5e6e5f6312c6fp-4, -0x1.570c086cbbc6fp-4, -0x1.4fcb0f9da3dc3p-4, -0x1.48ab10981ffe7p-4, -0x1.41aba67d19c86p-4, -0x1.3acc6bff7726p-4, -0x1.340cfb76d4ba8p-4, -0x1.2d6ceef197bdep-4, -0x1.26ebe046599b9p-4, -0x1.20896924af9b3p-4, -0x1.1a45232554e95p-4, -0x1.141ea7d9b64bfp-4, -0x1.0e1590dae68b9p-4, -0x1.082977d7fe083p-4, -0x1.0259f6a3e54dp-4, -0x1.f94d4e8527e96p-5, -0x1.ee1e47eb816afp-5, -0x1.e3260e9219e8cp-5, -0x1.d863d83b4fa9bp-5, -0x1.cdd6db6ae0aa1p-5, -0x1.c37e4f7b33f62p-5, -0x1.b9596cb1a9366p-5, -0x1.af676c51f51bbp-5, -0x1.a5a788b09be91p-5, -0x1.9c18fd4479922p-5, -0x1.92bb06b778daap-5, -0x1.898ce2f66ab03p-5, -0x1.808dd14007988p-5, -0x1.77bd12332f417p-5, -0x1.6f19e7dc55aa8p-5, -0x1.66a395c2351fcp-5, -0x1.5e5960f1c181ep-5, -0x1.563a900966b5p-5, -0x1.4e466b4395076p-5, -0x1.467c3c80a298dp-5, -0x1.3edb4f5003dfep-5, -0x1.3762f0f8e5da2p-5, -0x1.301270822b512p-5, -0x1.28e91eb9d0b71p-5, -0x1.21e64e3bbfc28p-5, -0x1.1b09537811ba8p-5, -0x1.145184b8cedf2p-5, -0x1.0dbe3a272332dp-5, -0x1.074ecdd017693p-5, -0x1.01029ba8ca1eap-5, -0x1.f5b203246a9b2p-6, -0x1.e9a2beb900054p-6, -0x1.ddd62d93c32b6p-6, -0x1.d24b17222c1dp-6, -0x1.c70046bee5ab7p-6, -0x1.bbf48bb51d5b5p-6, -0x1.b126b9432a735p-6, -0x1.a695a69c716b6p-6, -0x1.9c402eea9336ap-6, -0x1.9225314dfd84dp-6, -0x1.884390ddd4f2p-6, -0x1.7e9a34a743b23p-6, -0x1.752807ac330e9p-6, -0x1.6bebf8e17825cp-6, -0x1.62e4fb2c706aep-6, -0x1.5a1205602cd93p-6, -0x1.5172123a0e4e8p-6, -0x1.4904205df9c05p-6, -0x1.40c732520baabp-6, -0x1.38ba4e79ef505p-6, -0x1.30dc7f11c6cb6p-6, -0x1.292cd228b6f03p-6, -0x1.21aa599b0ff71p-6, -0x1.1a542b0c1f98cp-6, -0x1.13295fdfbd805p-6, -0x1.0c2915336f982p-6, -0x1.05526bd760993p-6, -0x1.fd49108e00194p-7, -0x1.f03d2542bc177p-7, -0x1.e37f6d42b2842p-7, -0x1.d70e472b01e0dp-7, -0x1.cae818afa1df8p-7, -0x1.bf0b4e8a65308p-7, -0x1.b3765c6998cc1p-7, -0x1.a827bcde5fae8p-7, -0x1.9d1df14aa93f3p-7, -0x1.925781cee6fa9p-7, -0x1.87d2fd3792423p-7, -0x1.7d8ef8ea4e40ap-7, -0x1.738a10d2e805dp-7, -0x1.69c2e75025624p-7, -0x1.603825205cde2p-7, -0x1.56e8794df022ep-7, -0x1.4dd2991b9ac39p-7, -0x1.44f53ff0a5dcp-7, -0x1.3c4f2f44fa9cbp-7, -0x1.33df2e8d2cd18p-7, -0x1.2ba40b266726p-7, -0x1.239c984255b96p-7, -0x1.1bc7aed2fd227p-7, -0x1.14242d768b424p-7, -0x1.0cb0f8632f68ap-7, -0x1.056cf952ec22cp-7, -0x1.fcae3eded063fp-8, -0x1.eedcbe7bb3183p-8, -0x1.e1636515dc357p-8, -0x1.d44030ad65053p-8, -0x1.c77129815b1b3p-8, -0x1.baf461e7d2d9fp-8, -0x1.aec7f62657222p-8, -0x1.a2ea0c4a6a2e1p-8, -0x1.9758d4025073ap-8, -0x1.8c128675fe6ddp-8, -0x1.811566203e219p-8, -0x1.765fbea82be43p-8, -0x1.6befe4bae9bdap-8, -0x1.61c435e58965p-8, -0x1.57db186f6e6e6p-8, -0x1.4e32fb34ab676p-8, -0x1.44ca558101a52p-8, -0x1.3b9fa6eb07118p-8, -0x1.32b1772f9ba16p-8, -0x1.29fe560dce415p-8, -0x1.2184db2307005p-8, -0x1.1943a5c799a84p-8, -0x1.11395ceb9b53bp-8, -0x1.0964aef434254p-8, -0x1.01c451993abe5p-8, -0x1.f4ae038686c99p-9, -0x1.e63706d3f2618p-9, -0x1.d82142e5ea165p-9, -0x1.ca6a5b21cd2b9p-9, -0x1.bd1000463aad7p-9, -0x1.b00ff02b262c7p-9, -0x1.a367f58276657p-9, -0x1.9715e799b7323p-9, -0x1.8b17aa1c6889bp-9, -0x1.7f6b2cd71afadp-9, -0x1.740e6b7b87ca6p-9, -0x1.68ff6d656f39cp-9, -0x1.5e3c456021f03p-9, -0x1.53c3116cfa361p-9, -0x1.4991fa8ab2fc7p-9, -0x1.3fa7347d8cef6p-9, -0x1.3600fd982cbe5p-9, -0x1.2c9d9e855f12fp-9, -0x1.237b6a12a190bp-9, -0x1.1a98bcfb90f31p-9, -0x1.11f3fdb62f581p-9, -0x1.098b9c3fb3e73p-9, -0x1.015e11ea80e3fp-9, -0x1.f2d3c2595a7e3p-10, -0x1.e35b2adf0bb4bp-10, -0x1.d44f85bf46d55p-10, -0x1.c5ae0c7be3b75p-10, -0x1.b7740962f0757p-10, -0x1.a99ed733c4931p-10, -0x1.9c2be0c5b9379p-10, -0x1.8f18a0b01caa4p-10, -0x1.8262a0f41653ap-10, -0x1.76077aa7ae5acp-10, -0x1.6a04d5a299deep-10, -0x1.5e58682c276c5p-10, -0x1.52fff6ab20775p-10, -0x1.47f953569086bp-10, -0x1.3d425de87e03cp-10, -0x1.32d9035193fb7p-10, -0x1.28bb3d6e92bd3p-10, -0x1.1ee712beee36cp-10, -0x1.155a961cd0194p-10, -0x1.0c13e676a64f6p-10, -0x1.03112e89924afp-10, -0x1.f4a1493b563d9p-11, -0x1.e3a11486c7164p-11, -0x1.d31e582403095p-11, -0x1.c315c2cf32164p-11, -0x1.b38418546b487p-11, -0x1.a4663114468f3p-11, -0x1.95b8f98b8ee01p-11, -0x1.877971dc5dfcdp-11, -0x1.79a4ad5a4be72p-11, -0x1.6c37d218c3c5p-11, -0x1.5f30187b93605p-11, -0x1.528acac9c049ap-11, -0x1.464544c2e0193p-11, -0x1.3a5cf336063b8p-11, -0x1.2ecf539b5428ap-11, -0x1.2399f3afdd34fp-11, -0x1.18ba7113026efp-11, -0x1.0e2e78e62b8c3p-11, -0x1.03f3c76ed3a99p-11, -0x1.f4104f73d3af4p-12, -0x1.e0d2e683ae6fap-12, -0x1.ce2b232c616fbp-12, -0x1.bc14f009d6de2p-12, -0x1.aa8c528bfddcep-12, -0x1.998d6a5128aa5p-12, -0x1.8914708461e5dp-12, -0x1.791db73e95901p-12, -0x1.69a5a8ebe9729p-12, -0x1.5aa8c7b4284ebp-12, -0x1.4c23ace64622bp-12, -0x1.3e130868496dap-12, -0x1.3073a02911d5cp-12, -0x1.23424f958ecf8p-12, -0x1.167c071217b64p-12, -0x1.0a1dcb7559ab8p-12, -0x1.fc496b0f72a57p-13, -0x1.e51be308bd2dcp-13, -0x1.cead7d3c0c063p-13, -0x1.b8f8dd0b4c0efp-13, -0x1.a3f8c9eab6223p-13, -0x1.8fa82e7994aa8p-13, -0x1.7c0217a12cfabp-13, -0x1.6901b3b82a787p-13, -0x1.56a251acdef95p-13, -0x1.44df603288d7bp-13, -0x1.33b46cf4e384bp-13, -0x1.231d23d0a34efp-13, -0x1.13154e0ec47p-13, -0x1.0398d1a6dff0cp-13, -0x1.e94761077e6cbp-14, -0x1.cc640f9e19a06p-14, -0x1.b0801e7db8b46p-14, -0x1.959430d09142bp-14, -0x1.7b991c2dec1b7p-14, -0x1.6287e74dff25cp-14, -0x1.4a59c8c960be8p-14, -0x1.330825dfd4dffp-14, -0x1.1c8c914252fc6p-14, -0x1.06e0c9ea6a953p-14, -0x1.e3fd73e8bdfd1p-15, -0x1.bbc0eb063825fp-15, -0x1.9500735472701p-15, -0x1.6fb0d6be5a335p-15, -0x1.4bc72cdfeb051p-15, -0x1.2938d90311006p-15, -0x1.07fb8827f3e7dp-15, -0x1.d00a5e34afc21p-16, -0x1.9298112b26428p-16, -0x1.578d26de3cde4p-16, -0x1.1ed7219dd1132p-16, -0x1.d0c809d4240ep-17, -0x1.6844a4269b682p-17, -0x1.040209d288d55p-17, -0x1.47be42445374bp-18, -0x1.1eeee29c1de25p-19, 0x1.0877ecab70108p-21, 0x1.9423e0710f056p-19, 0x1.6bcc9f6d7916bp-18, 0x1.033c512da725cp-17, 0x1.4d26fcc1fd9b2p-17, 0x1.93c18cbf511fcp-17, 0x1.d7267abc6b3fcp-17, 0x1.0bb7c257ebe72p-16, 0x1.2a5ad8f582bc2p-16, 0x1.4788abf240d33p-16, 0x1.634d0f8157818p-16, 0x1.7db38392d3d97p-16, 0x1.96c73616a4575p-16, 0x1.ae930523e70c2p-16, 0x1.c521811e5ac24p-16, 0x1.da7ceec4671acp-16, 0x1.eeaf49344be54p-16, 0x1.00e121f141d74p-15, 0x1.09dfa64390ca3p-15, 0x1.1257c67b87221p-15, 0x1.1a4df679599aap-15, 0x1.21c689f5d882p-15, 0x1.28c5b5602d411p-15, 0x1.2f4f8eb2c9ed4p-15, 0x1.35680e444add1p-15, 0x1.3b130f945904bp-15, 0x1.4054520ffdc63p-15, 0x1.452f79d2cc772p-15, 0x1.49a81062cffdep-15, 0x1.4dc1856835d6dp-15, 0x1.517f2f5fda5f8p-15, 0x1.54e44c46b7e0ap-15, 0x1.57f402437f0e4p-15, 0x1.5ab1604a7c5dcp-15, 0x1.5d1f5ebec0992p-15, 0x1.5f40e00c6e1fdp-15, 0x1.6118b14213addp-15, 0x1.62a98aa2b31e1p-15, 0x1.63f61036eb51bp-15, 0x1.6500d256c28a8p-15, 0x1.65cc4e332b98bp-15, 0x1.665aee5b6996cp-15, 0x1.66af0b3cc18f7p-15, 0x1.66caeba0db44ep-15, 0x1.66b0c5274e8adp-15, 0x1.6662bcbd3a62ap-15, 0x1.65e2e71054533p-15, 0x1.65334900688dbp-15, 0x1.6455d80d0a698p-15, 0x1.634c7ac0c8f7dp-15, 0x1.621909183c611p-15, 0x1.60bd4ce7cc7acp-15, 0x1.5f3b023dcfb27p-15, 0x1.5d93d7c316724p-15, 0x1.5bc96f172d72ap-15, 0x1.59dd5d2c9145dp-15, 0x1.57d12aa025e15p-15, 0x1.55a6540fb2505p-15, 0x1.535e4a6cc605ap-15, 0x1.50fa734ec3d8ap-15, 0x1.4e7c2942a94ep-15, 0x1.4be4bc177dd51p-15, 0x1.4935712a49529p-15, 0x1.466f83aee5cap-15, 0x1.439424f6f3a4ap-15, 0x1.40a47cb6f827fp-15, 0x1.3da1a949dd977p-15, 0x1.3a8cbff2fa79ep-15, 0x1.3766cd1dbe1b5p-15, 0x1.3430d49c3aab3p-15, 0x1.30ebd1e2e542bp-15, 0x1.2d98b843e2447p-15, 0x1.2a387327efc47p-15, 0x1.26cbe646fba11p-15, 0x1.2353eddda661dp-15, 0x1.1fd15ee2f99b1p-15, 0x1.1c45073b58317p-15, 0x1.18afadeaa874ap-15, 0x1.151213448d075p-15, 0x1.116cf11c583e7p-15, 0x1.0dc0faf35aaf7p-15, 0x1.0a0ede256b0f1p-15, 0x1.065742153b43dp-15, 0x1.029ac85635e25p-15, 0x1.fdb419ad9b078p-16, 0x1.f62b4c104efa5p-16, 0x1.ee9c4a0a708d1p-16, 0x1.e7082b7348267p-16, 0x1.df6ffe0d3867dp-16, 0x1.d7d4c5cf11e67p-16, 0x1.d0377d2a0e214p-16, 0x1.c899154db030fp-16, 0x1.c0fa766bb552ap-16, 0x1.b95c7ff86c8d5p-16, 0x1.b1c008eac41e8p-16, 0x1.aa25dff99ed45p-16, 0x1.a28ecbd783dcfp-16, 0x1.9afb8b6e6e4bep-16, 0x1.936cd6179631cp-16, 0x1.8be35bd2e61e7p-16, 0x1.845fc57cad8e6p-16, 0x1.7ce2b5030a90cp-16, 0x1.756cc59851da9p-16, 0x1.6dfe8be598b75p-16, 0x1.6698963ac707fp-16, 0x1.5f3b6cbd9dec9p-16, 0x1.57e791981688fp-16, 0x1.509d81241384bp-16, 0x1.495db218cad0cp-16, 0x1.422895b37141bp-16, 0x1.3afe97e143a44p-16, 0x1.33e01f689fde9p-16, 0x1.2ccd8e0eeda7bp-16, 0x1.25c740bf0276ep-16, 0x1.1ecd8fae9e252p-16, 0x1.17e0ce8219aadp-16, 0x1.11014c6fe36ccp-16, 0x1.0a2f546352335p-16, 0x1.036b2d1d0afecp-16, 0x1.f96a32a87c9e8p-17, 0x1.ec1aafabca30ep-17, 0x1.dee84747aab5fp-17, 0x1.d1d368261fb9ep-17, 0x1.c4dc79cff5a3ep-17, 0x1.b803dce72a383p-17, 0x1.ab49eb5e16719p-17, 0x1.9eaef8adc7623p-17, 0x1.9233520a84263p-17, 0x1.85d73e96107e8p-17, 0x1.799aff92262ecp-17, 0x1.6d7ed0901c57p-17, 0x1.6182e7a2660fap-17, 0x1.55a77587e2a1bp-17, 0x1.49eca5da538p-17, 0x1.3e529f399fac3p-17, 0x1.32d98374fedb9p-17, 0x1.27816fb74bf15p-17, 0x1.1c4a7cac7afedp-17, 0x1.1134bea9760f5p-17, 0x1.064045d2ac09ep-17, 0x1.f6da3c80b6717p-18, 0x1.e176a0475f9edp-18, 0x1.cc55bfd44d215p-18, 0x1.b7779cbd04592p-18, 0x1.a2dc3195824a5p-18, 0x1.8e83723177f8p-18, 0x1.7a6d4be4891bp-18, 0x1.6699a5bcf0e64p-18, 0x1.530860c11558ap-18, 0x1.3fb95828e0408p-18, 0x1.2cac61979d691p-18, 0x1.19e14d5341d97p-18, 0x1.0757e6790bb7cp-18, 0x1.ea1fe66287e62p-19, 0x1.c61269c721cedp-19, 0x1.a286d0c94449ap-19, 0x1.7f7c8c56473e1p-19, 0x1.5cf304f8f90edp-19, 0x1.3ae99b32cb065p-19, 0x1.195fa7d5e9883p-19, 0x1.f0a8f8b37af97p-20, 0x1.af8ec663d3246p-20, 0x1.6f6f403d5bc6p-20, 0x1.3048e0eb24b23p-20, 0x1.e4342ddf21645p-21, 0x1.69c28a512d1d3p-21, 0x1.e2730dbb03d0ap-22, 0x1.ea56f8ded7a55p-23, 0x1.74edcbc63b0edp-27, -0x1.b44069416681bp-23, -0x1.bc32a88688e7bp-22, -0x1.4d4ba58707bfdp-21, -0x1.baaaccdadf408p-21, -0x1.131d4c04ca27p-20, -0x1.47ff7176fb7b6p-20, -0x1.7bfdcb51787fbp-20, -0x1.af1a5454fa3cdp-20, -0x1.e1570d04c45fep-20, -0x1.095afda2f5f77p-19, -0x1.219c95009f11fp-19, -0x1.3971545bdd36ap-19, -0x1.50da45989c9a6p-19, -0x1.67d8748a9cea5p-19, -0x1.7e6ceecff4608p-19, -0x1.9498c39fae8eep-19, -0x1.aa5d03a6b7b09p-19, -0x1.bfbac0e06a399p-19, -0x1.d4b30e6bdd244p-19, -0x1.e94700664f63fp-19, -0x1.fd77abca094f4p-19, -0x1.08a313246b3dbp-18, -0x1.1259c314b9612p-18, -0x1.1be07115a1881p-18, -0x1.2537a8b0bf88ep-18, -0x1.2e5ff58b1a805p-18, -0x1.3759e35695223p-18, -0x1.4025fdc3d91dbp-18, -0x1.48c4d0730cf27p-18, -0x1.5136e6e8796c1p-18, -0x1.597ccc7d7bb51p-18, -0x1.61970c55e9eb8p-18, -0x1.69863151897f9p-18, -0x1.714ac60475a56p-18, -0x1.78e554a9171e4p-18, -0x1.8056671597cap-18, -0x1.879e86b24bcbdp-18, -0x1.8ebe3c6eb186fp-18, -0x1.95b610b8761ecp-18, -0x1.9c868b71605bfp-18, -0x1.a33033e87f708p-18, -0x1.a9b390cfe1b21p-18, -0x1.b0112835843e3p-18, -0x1.b6497f79c47aap-18, -0x1.bc5d1b49f9277p-18, -0x1.c24c7f972ba4p-18, -0x1.c8182f915e84ep-18, -0x1.cdc0ad9f2512dp-18, -0x1.d3467b57ccd1p-18, -0x1.d8aa197e7158bp-18, -0x1.ddec07faffe0ep-18, -0x1.e30cc5d54273fp-18, -0x1.e80cd13036f38p-18, -0x1.ececa74435735p-18, -0x1.f1acc45aa1bddp-18, -0x1.f64da3c87a065p-18, -0x1.facfbfebfdf2cp-18, -0x1.ff3392274fbffp-18, -0x1.01bcc96e3a3b3p-17, -0x1.03d11cb64ab27p-17, -0x1.05d6fe18efa51p-17, -0x1.07cea83de5024p-17, -0x1.09b855475f525p-17, -0x1.0b943ecfdefefp-17, -0x1.0d629de98d0b4p-17, -0x1.0f23ab1bf898fp-17, -0x1.10d79e63f52f8p-17, -0x1.127eaf3304ffbp-17, -0x1.1419146cad34fp-17, -0x1.15a70467385eap-17, -0x1.1728b4eb08ec3p-17, -0x1.189e5b30d98e5p-17, -0x1.1a082be1890b2p-17, -0x1.1b665b15e19b1p-17, -0x1.1cb91c561e44fp-17, -0x1.1e00a29931885p-17, -0x1.1f3d2044268d5p-17, -0x1.206ec72b4d55bp-17, -0x1.2195c8917a32dp-17, -0x1.22b255269a2bep-17, -0x1.23c49d0868b85p-17, -0x1.24cccfc382p-17, -0x1.25cb1c523ebc8p-17, -0x1.26bfb11d0f286p-17, -0x1.27aabbfa3cbddp-17, -0x1.288c6a2f9e978p-17, -0x1.2964e8710d1fep-17, -0x1.2a3462e101756p-17, -0x1.2afb05123d66dp-17, -0x1.2bb8fa072bea7p-17, -0x1.2c6e6c31f74f9p-17, -0x1.2d1b85754eae9p-17, -0x1.2dc06f25cfc89p-17, -0x1.2e5d5209cf1cap-17, -0x1.2ef25658ca187p-17, -0x1.2f7fa3bd97fe3p-17, -0x1.300561575de0cp-17, -0x1.3083b5b996fffp-17, -0x1.30fac6ebb662ep-17, -0x1.316aba6ae9a33p-17, -0x1.31d3b52b88b4ep-17, -0x1.3235db9960688p-17, -0x1.32915197534d5p-17, -0x1.32e63a820f9b8p-17, -0x1.3334b92ff722fp-17, -0x1.337ceff1ddf52p-17, -0x1.33bf00944243p-17, -0x1.33fb0c6053a91p-17, -0x1.3431341cf3913p-17, -0x1.3461980f316c6p-17, -0x1.348c57fb844b7p-17, -0x1.34b193274302bp-17, -0x1.34d16859d138ap-17, -0x1.34ebf5dc3836p-17, -0x1.3501597afd00bp-17, -0x1.3511b087e8a01p-17, -0x1.351d17db106cp-17, -0x1.3523abd2c9393p-17, -0x1.352588556b4b3p-17, -0x1.3522c8d216786p-17, -0x1.351b8842f73cap-17, -0x1.350fe12d7e102p-17, -0x1.34ffeda2d56f8p-17, -0x1.34ebc74302d9cp-17, -0x1.34d3873c42aa3p-17, -0x1.34b7464c938ccp-17, -0x1.34971cc3a6addp-17, -0x1.347322830af68p-17, -0x1.344b6f007500fp-17, -0x1.342019459b10fp-17, -0x1.33f137f27462fp-17, -0x1.33bee13e60769p-17, -0x1.33892af8fb31fp-17, -0x1.33502a8affdcdp-17, -0x1.3313f4f7c89e6p-17, -0x1.32d49edea95fap-17, -0x1.32923c7cb49afp-17, -0x1.324ce1ac5aa84p-17, -0x1.3204a1e827012p-17, -0x1.31b9904ae2434p-17, -0x1.316bbf9154b1dp-17, -0x1.311b421b90aap-17, -0x1.30c829ed98a89p-17, -0x1.307288b151348p-17, -0x1.301a6fb6c7a2p-17, -0x1.2fbfeff6292dap-17, -0x1.2f631a106f7d9p-17, -0x1.2f03fe50c62ebp-17, -0x1.2ea2acad96bd6p-17, -0x1.2e3f34ca0827dp-17, -0x1.2dd9a5f67992ep-17, -0x1.2d720f329e933p-17, -0x1.2d087f2e49841p-17, -0x1.2c9d0449f3dc6p-17, -0x1.2c2fac98501eep-17, -0x1.2bc085df7508cp-17, -0x1.2b4f9d9a5726ap-17, -0x1.2add00f978384p-17, -0x1.2a68bce3b5fe1p-17, -0x1.29f2ddf8288b5p-17, -0x1.297b708ecabe1p-17, -0x1.290280b9b694bp-17, -0x1.28881a45c088fp-17, -0x1.280c48bc5e185p-17, -0x1.278f17648e832p-17, -0x1.27109142df8ep-17, -0x1.2690c11bde3f1p-17, -0x1.260fb1749ae07p-17, -0x1.258d6c931f76cp-17, -0x1.2509fc8026df6p-17, -0x1.24856b07f7016p-17, -0x1.23ffc1bb712e2p-17, -0x1.237909f10a95cp-17, -0x1.22f14cc5d9c5ep-17, -0x1.2268931e99c81p-17, -0x1.21dee5a7fc90fp-17, -0x1.21544cd863b4bp-17, -0x1.20c8d0f0a3887p-17, -0x1.203c79fd3e06dp-17, -0x1.1faf4fd67a03dp-17, -0x1.1f215a2247d55p-17, -0x1.1e92a0545ab0cp-17, -0x1.1e0329aff0a5cp-17, -0x1.1d72fd4809f55p-17, -0x1.1ce2220010d2p-17, -0x1.1c509e8dc5186p-17, -0x1.1bbe79798fe53p-17, -0x1.1b2bb91ed750bp-17, -0x1.1a9863ad8c7a3p-17, -0x1.1a047f2b26b99p-17, -0x1.19701172865dep-17, -0x1.18db20354fb4dp-17, -0x1.1845b0fd1bd88p-17, -0x1.17afc92bd5351p-17, -0x1.17196dfcdb391p-17, -0x1.1682a4857cb02p-17, -0x1.15eb71b5c0cd4p-17, -0x1.1553da5932a87p-17, -0x1.14bbe317896d9p-17, -0x1.1423907596017p-17, -0x1.138ae6d627247p-17, -0x1.12f1ea7a22f49p-17, -0x1.12589f8216b4p-17, -0x1.11bf09ee3a199p-17, }}, 
      {{-0x1.7782803960506p-2, -0x1.77b20c2932727p-2, -0x1.77f755652f207p-2, -0x1.78566822727dp-2, -0x1.78dcec1e83e6cp-2, -0x1.799d0fadd3c83p-2, -0x1.7aa8bc1c171ddp-2, -0x1.7c0e3b935c1d9p-2, -0x1.7dd670098ea5p-2, -0x1.80044e4ad5bbep-2, -0x1.8295361d2248bp-2, -0x1.8581cb6a24f18p-2, -0x1.88bf0ad0b1819p-2, -0x1.8c3f6a32fff2fp-2, -0x1.8ff3e7bf1f76dp-2, -0x1.93ccf703389f9p-2, -0x1.97bb449a9f272p-2, -0x1.9bb04edfd4ba1p-2, -0x1.9f9ed5b1cfc4ap-2, -0x1.a37b256e703e6p-2, -0x1.a73b424865523p-2, -0x1.aad6f96f73f87p-2, -0x1.ae47dd5fcc056p-2, -0x1.b189324561babp-2, -0x1.b497ced2c9531p-2, -0x1.b771f54d76c19p-2, -0x1.ba1727f21b7dp-2, -0x1.bc87fb3c32abep-2, -0x1.bec5e8116245ep-2, -0x1.c0d31f56bc397p-2, -0x1.c2b2600c574fap-2, -0x1.c466d0b2e5a41p-2, -0x1.c5f3dc75d0e1bp-2, -0x1.c75d1459a2b06p-2, -0x1.c8a6148060c3dp-2, -0x1.c9d26d725bcf8p-2, -0x1.cae5913ff49a3p-2, -0x1.cbe2c43eb684ap-2, -0x1.cccd1118265cfp-2, -0x1.cda73fd9b3fb3p-2, -0x1.ce73cfb25419ep-2, -0x1.cf34f30a40641p-2, -0x1.cfec8da3b86f2p-2, -0x1.d09c34777b72ap-2, -0x1.d1452f04bf99fp-2, -0x1.d1e879d21ffp-2, -0x1.d286c9e309882p-2, -0x1.d32090eb690f4p-2, -0x1.d3b60211709b2p-2, -0x1.d44717133d84ap-2, -0x1.d4d395abc6e71p-2, -0x1.d55b1517ad93cp-2, -0x1.d5dd039f6b4a9p-2, -0x1.d658ac10bfa77p-2, -0x1.d6cd3b1533ca2p-2, -0x1.d739c4572560ep-2, -0x1.d79d4769e396cp-2, -0x1.d7f6b46c3c509p-2, -0x1.d844f05f3632bp-2, -0x1.d886d92ccf8b5p-2, -0x1.d8bb495c5ad8cp-2, -0x1.d8e11b73966b1p-2, -0x1.d8f72d04e053fp-2, -0x1.d8fc616be368ep-2, -0x1.d8efa43afecd9p-2, -0x1.d8cfeb5c4b56fp-2, -0x1.d89c38e9a3d48p-2, -0x1.d8539cbf7ca82p-2, -0x1.d7f535ce974b7p-2, -0x1.d7803330c7481p-2, -0x1.d6f3d50523194p-2, -0x1.d64f6d17e8859p-2, -0x1.d5925f5a6ee68p-2, -0x1.d4bc222f579ep-2, -0x1.d3cc3e8f14c59p-2, -0x1.d2c25008c1911p-2, -0x1.d19e04a30c0a7p-2, -0x1.d05f1ca0cc2f9p-2, -0x1.cf056a2cad7ecp-2, -0x1.cd90d0ef18969p-2, -0x1.cc0145915f715p-2, -0x1.ca56cd30e787ap-2, -0x1.c8917cc4ed78cp-2, -0x1.c6b1787937eaep-2, -0x1.c4b6f2ffe58dp-2, -0x1.c2a22cdc55482p-2, -0x1.c07373a8ebdcbp-2, -0x1.be2b21595fc6ap-2, -0x1.bbc99b7af7909p-2, -0x1.b94f52740f6eep-2, -0x1.b6bcc0c40c5dcp-2, -0x1.b4126a44c352ap-2, -0x1.b150db6e3a851p-2, -0x1.ae78a89d8d5c5p-2, -0x1.ab8a6d5fa19c2p-2, -0x1.a886cbc03f63ap-2, -0x1.a56e6b9e0b18cp-2, -0x1.a241fa03c3c52p-2, -0x1.9f02288724721p-2, -0x1.9bafacad9dbc5p-2, -0x1.984b3f572b595p-2, -0x1.94d59c2f59595p-2, -0x1.914f8124a43fbp-2, -0x1.8db9ade62ffc8p-2, -0x1.8a14e367ea024p-2, -0x1.8661e36d02acfp-2, -0x1.82a17018bfbdap-2, -0x1.7ed44b85852b3p-2, -0x1.7afb37620bed2p-2, -0x1.7716f4949892cp-2, -0x1.732842e41ddc5p-2, -0x1.6f2fe0a71a83ep-2, -0x1.6b2e8a7810c9cp-2, -0x1.6724faef6996bp-2, -0x1.6313ea629656ap-2, -0x1.5efc0ea84835ep-2, -0x1.5ade1ae18393p-2, -0x1.56babf476c76bp-2, -0x1.5292a8fd91934p-2, -0x1.4e6681e88b925p-2, -0x1.4a36f088bbeb4p-2, -0x1.460497d9033b5p-2, -0x1.41d0173135127p-2, -0x1.3d9a0a2c26052p-2, -0x1.396308911d7aap-2, -0x1.352ba6408482fp-2, -0x1.30f47323a1c4fp-2, -0x1.2cbdfb1f3aeecp-2, -0x1.2888c608f2c2bp-2, -0x1.2455579f36729p-2, -0x1.20242f839aa03p-2, -0x1.1bf5c9377ce83p-2, -0x1.17ca9c1ac9dcfp-2, -0x1.13a31b6cbd383p-2, -0x1.0f7fb64e85d6p-2, -0x1.0b60d7c7a2cf7p-2, -0x1.0746e6cbddff8p-2, -0x1.03324642c98f8p-2, -0x1.fe46aa213e3cp-3, -0x1.f634dc40cdfbp-3, -0x1.ee2fd0de9c125p-3, -0x1.e6382e32211abp-3, -0x1.de4e92cac2642p-3, -0x1.d67395ac75815p-3, -0x1.cea7c66dfa339p-3, -0x1.c6ebad5894bb1p-3, -0x1.bf3fcb891d707p-3, -0x1.b7a49b123628fp-3, -0x1.b01a8f1f8e856p-3, -0x1.a8a2141a13fep-3, -0x1.a13b8fcce7d75p-3, -0x1.99e7618b05038p-3, -0x1.92a5e2557725ap-3, -0x1.8b77650204d09p-3, -0x1.845c36623d2a3p-3, -0x1.7d549d6ac94a3p-3, -0x1.7660db5af09cfp-3, -0x1.6f812be4388afp-3, -0x1.68b5c55210713p-3, -0x1.61fed8b175ae2p-3, -0x1.5b5c91f878e67p-3, -0x1.54cf182da8e51p-3, -0x1.4e568d8f38e0ap-3, -0x1.47f30fb9ee74p-3, -0x1.41a4b7cfb7a1fp-3, -0x1.3b6b9a9dee293p-3, -0x1.3547c8c32c04p-3, -0x1.2f394ed4bba15p-3, -0x1.2940358386d06p-3, -0x1.235c81c08d2abp-3, -0x1.1d8e34e0cbfecp-3, -0x1.17d54cc0a5cebp-3, -0x1.1231c3e6a6334p-3, -0x1.0ca391a5bac47p-3, -0x1.072aaa3ec8669p-3, -0x1.01c6ff01a3245p-3, -0x1.f8f0fcdab505p-4, -0x1.ee7e289fd446p-4, -0x1.e43553ca66e4cp-4, -0x1.da164beaa3eeep-4, -0x1.d020d9e489fc4p-4, -0x1.c654c229c115p-4, -0x1.bcb1c4f22c94ap-4, -0x1.b3379e730f223p-4, -0x1.a9e60714db21ap-4, -0x1.a0bcb3a791b47p-4, -0x1.97bb5595cd52dp-4, -0x1.8ee19b166176dp-4, -0x1.862f2f5ca30e7p-4, -0x1.7da3bac75115bp-4, -0x1.753ee30e2543cp-4, -0x1.6d004b6e0b8eap-4, -0x1.64e794d406dc3p-4, -0x1.5cf45e06c5dd7p-4, -0x1.552643ceeb3e4p-4, -0x1.4d7ce11e0c281p-4, -0x1.45f7cf346e0fdp-4, -0x1.3e96a5c581b2ep-4, -0x1.3758fb1b26b24p-4, -0x1.303e6437b7f9p-4, -0x1.294674f6e8249p-4, -0x1.2270c02d73362p-4, -0x1.1bbcd7c7ab2d8p-4, -0x1.152a4ce6e39a7p-4, -0x1.0eb8affdc3b42p-4, -0x1.086790eb8302cp-4, -0x1.02367f16182c1p-4, -0x1.f84a1306b8b24p-5, -0x1.ec657de25d49cp-5, -0x1.e0be5bd92e17ap-5, -0x1.d553c9cfe6d78p-5, -0x1.ca24e4a064e3ap-5, -0x1.bf30c9424701p-5, -0x1.b47694f1bd703p-5, -0x1.a9f565549e51ep-5, -0x1.9fac589dc3a55p-5, -0x1.959a8daebf8bbp-5, -0x1.8bbf2437f2c72p-5, -0x1.82193cd715fe4p-5, -0x1.78a7f93434b5ep-5, -0x1.6f6a7c1d3249p-5, -0x1.665fe99fdb53fp-5, -0x1.5d876722941d2p-5, -0x1.54e01b7ba7807p-5, -0x1.4c692f074b781p-5, -0x1.4421cbbc5a363p-5, -0x1.3c091d3fd21aap-5, -0x1.341e50f7249b7p-5, -0x1.2c6096195a1dp-5, -0x1.24cf1dbf1ec6dp-5, -0x1.1d691af1b1a57p-5, -0x1.162dc2b8d07ep-5, -0x1.0f1c4c27a0ac8p-5, -0x1.0833f06898915p-5, -0x1.0173eac8855b1p-5, -0x1.f5b6f181388f6p-6, -0x1.e8d3b3ff6ec4dp-6, -0x1.dc3ca0e56f85ap-6, -0x1.cff040982d9aap-6, -0x1.c3ed20156eb07p-6, -0x1.b831d0ffe4f93p-6, -0x1.acbce9a9df1c8p-6, -0x1.a18d051e96e6dp-6, -0x1.96a0c32a3104ap-6, -0x1.8bf6c860741e1p-6, -0x1.818dbe22515cbp-6, -0x1.776452a23b8b1p-6, -0x1.6d7938e7683f1p-6, -0x1.63cb28d00164dp-6, -0x1.5a58df12504ffp-6, -0x1.51211d3cf3ea8p-6, -0x1.4822a9b6241ebp-6, -0x1.3f5c4fba24411p-6, -0x1.36ccdf58cdf84p-6, -0x1.2e732d7259381p-6, -0x1.264e13b35fe8dp-6, -0x1.1e5c70902f861p-6, -0x1.169d273f61abap-6, -0x1.0f0f1fb3dca36p-6, -0x1.07b146962c78cp-6, -0x1.00828d3d53885p-6, -0x1.f303d34e08f1bp-7, -0x1.e55cacdec4eddp-7, -0x1.d80da5908425ap-7, -0x1.cb14c4dff8b02p-7, -0x1.be701b4f8c16dp-7, -0x1.b21dc25375d23p-7, -0x1.a61bdc3ce11e2p-7, -0x1.9a68942486104p-7, -0x1.8f021dd4915bp-7, -0x1.83e6b5b1ee6fcp-7, -0x1.7914a0a522729p-7, -0x1.6e8a2c027b7aap-7, -0x1.6445ad71f26b3p-7, -0x1.5a4582d68e22p-7, -0x1.508812355e80cp-7, -0x1.470bc99c37fdep-7, -0x1.3dcf1f080a4c2p-7, -0x1.34d0904afe029p-7, -0x1.2c0ea2f24a5a6p-7, -0x1.2387e42be0234p-7, -0x1.1b3ae8abe83f2p-7, -0x1.13264c9212d4p-7, -0x1.0b48b34ec8a7cp-7, -0x1.03a0c7884c4ccp-7, -0x1.f85a75ff8992cp-8, -0x1.e9d98cec7ec54p-8, -0x1.dbbc53234e3f3p-8, -0x1.ce00558377c35p-8, -0x1.c0a32e4a2a552p-8, -0x1.b3a284dc57906p-8, -0x1.a6fc0d90e90f8p-8, -0x1.9aad897b0d767p-8, -0x1.8eb4c634ce651p-8, -0x1.830f9da9bd7dfp-8, -0x1.77bbf5e20bd2bp-8, -0x1.6cb7c0cdd4d35p-8, -0x1.6200fc109fd86p-8, -0x1.5795b0cd579d6p-8, -0x1.4d73f3728861dp-8, -0x1.4399e38714421p-8, -0x1.3a05ab774593dp-8, -0x1.30b58062317abp-8, -0x1.27a7a1e7a97a4p-8, -0x1.1eda59f69de71p-8, -0x1.164bfc9be36c2p-8, -0x1.0dfae7d19fc22p-8, -0x1.05e5834f03874p-8, -0x1.fc1480b13f7c1p-9, -0x1.eccf3322831fep-9, -0x1.ddf82596a2766p-9, -0x1.cf8c71b59b903p-9, -0x1.c18942cf757bfp-9, -0x1.b3ebd58254b04p-9, -0x1.a6b17761b2812p-9, -0x1.99d7869eae9fp-9, -0x1.8d5b71b19484dp-9, -0x1.813ab704b60bfp-9, -0x1.7572e4a0152acp-9, -0x1.6a0197d670eb2p-9, -0x1.5ee47cf38da25p-9, -0x1.54194eeb8da03p-9, -0x1.499dd70bb107ap-9, -0x1.3f6fecac10bb2p-9, -0x1.358d74e2a29bfp-9, -0x1.2bf4623766764p-9, -0x1.22a2b459cebe5p-9, -0x1.199677d758bb2p-9, -0x1.10cdc5d374c61p-9, -0x1.0846c3c06eafp-9, -0x1.ffff463311defp-10, -0x1.efed423cd103cp-10, -0x1.e0540d1f26e3cp-10, -0x1.d1304ed828502p-10, -0x1.c27ec560f019dp-10, -0x1.b43c442d927e2p-10, -0x1.a665b3af179d9p-10, -0x1.98f810d8684cep-10, -0x1.8bf06ca4e6bep-10, -0x1.7f4beba19aef6p-10, -0x1.7307c5787eeb6p-10, -0x1.6721447e0ffdbp-10, -0x1.5b95c540ce2eap-10, -0x1.5062b61b04159p-10, -0x1.458596c6cce0ep-10, -0x1.3afbf7f411a51p-10, -0x1.30c37ae0af7dp-10, -0x1.26d9d0f2dbdf4p-10, -0x1.1d3cbb54f13d9p-10, -0x1.13ea0a93fd94cp-10, -0x1.0adf9e3fd56bdp-10, -0x1.021b648d35123p-10, -0x1.f336b3f3cca21p-11, -0x1.e2bb11e5b1c5ap-11, -0x1.d2c012f804765p-11, -0x1.c34201b3dd55p-11, -0x1.b43d427aebd6ap-11, -0x1.a5ae52e20d9f9p-11, -0x1.9791c90fab706p-11, -0x1.89e4531d5fcc3p-11, -0x1.7ca2b67d7f90dp-11, -0x1.6fc9cf636f147p-11, -0x1.6356902f69f83p-11, -0x1.574600ddf71aep-11, -0x1.4b953e7a0cb24p-11, -0x1.40417a92e41eep-11, -0x1.3547fab4a66ecp-11, -0x1.2aa617e418102p-11, -0x1.20593e1d62547p-11, -0x1.165eebd5e150ep-11, -0x1.0cb4b180a052ap-11, -0x1.03583115d13b2p-11, -0x1.f48e3b3a3c3e3p-12, -0x1.e2fe7575b99f5p-12, -0x1.d1fcb87f4f1b4p-12, -0x1.c184cb7560f12p-12, -0x1.b192941d73c44p-12, -0x1.a222161323098p-12, -0x1.932f71fc9d961p-12, -0x1.84b6e4c2db98p-12, -0x1.76b4c6cfd5a28p-12, -0x1.69258b50f57e4p-12, -0x1.5c05bf7e2f13dp-12, -0x1.4f5209e551c05p-12, -0x1.430729ba126d7p-12, -0x1.3721f62a6fdb6p-12, -0x1.2b9f5db768188p-12, -0x1.207c6591b8742p-12, -0x1.15b628fa76606p-12, -0x1.0b49d8a84853cp-12, -0x1.0134ba2fdeee4p-12, -0x1.eee84ee118d34p-13, -0x1.dc0b1c08b4e6cp-13, -0x1.c9ccdd689edfp-13, -0x1.b828b9df7f816p-13, -0x1.a719fc8ee5322p-13, -0x1.969c13d806e95p-13, -0x1.86aa905f83154p-13, -0x1.7741241736892p-13, -0x1.685ba14ec57d6p-13, -0x1.59f5f9cad13a9p-13, -0x1.4c0c3de0fa597p-13, -0x1.3e9a9b9b6f0dfp-13, -0x1.319d5de16bdc3p-13, -0x1.2510eba5bdd45p-13, -0x1.18f1c71a540b1p-13, -0x1.0d3c8ce9cfe5bp-13, -0x1.01edf375d9dfcp-13, -0x1.ee0594375492p-14, -0x1.d8eff0f87e874p-14, -0x1.c494fb94eb552p-14, -0x1.b0eee03b04ec6p-14, -0x1.9df7f7917af48p-14, -0x1.8baac56dc8521p-14, -0x1.7a01f7969fa11p-14, -0x1.68f8648babbcdp-14, -0x1.58890a582c145p-14, -0x1.48af0d6e1123p-14, -0x1.3965b787c7eb1p-14, -0x1.2aa87691f5d23p-14, -0x1.1c72db9ed8494p-14, -0x1.0ec099de59fa1p-14, -0x1.018d859f9aee6p-14, -0x1.e9ab26b35e048p-15, -0x1.d129ad71473a9p-15, -0x1.b98f03688fadp-15, -0x1.a2d3c7589fb37p-15, -0x1.8cf0d1165bf24p-15, -0x1.77df2fdcb1501p-15, -0x1.639828ac26a1ap-15, -0x1.501534b35ff6fp-15, -0x1.3d4fffc4689adp-15, -0x1.2b4266d7e3a1cp-15, -0x1.19e67695f229fp-15, -0x1.093669ed1510ep-15, -0x1.f25951674dd11p-16, -0x1.d3878ca338d57p-16, -0x1.b5ed00ec6a7e8p-16, -0x1.997f7bab278c4p-16, -0x1.7e3519e152cb6p-16, -0x1.640445c7fd0ebp-16, -0x1.4ae3b486ba083p-16, -0x1.32ca63f65ce84p-16, -0x1.1baf98741f62dp-16, -0x1.058adac5e00b3p-16, -0x1.e0a7ec21b2354p-17, -0x1.b805ebb60d0bcp-17, -0x1.9120483e84ebfp-17, -0x1.6be80ee065bb7p-17, -0x1.484ec2474e424p-17, -0x1.26465724ffd9cp-17, -0x1.05c130c2a5478p-17, -0x1.cd643b6758f6cp-18, -0x1.9218a933ec5e7p-18, -0x1.5986e20c98ddep-18, -0x1.2396e0e48b05ep-18, -0x1.e062bd27c36abp-19, -0x1.7e7f985054859p-19, -0x1.21589acf33811p-19, -0x1.9186cd6d59492p-20, -0x1.d25bb94733513p-21, -0x1.255b4fae45e5dp-22, 0x1.392d8e4a1653ap-22, 0x1.bc06f65c3542dp-21, 0x1.6619d13971f4cp-20, 0x1.e6d482f698f5ap-20, 0x1.303bbefb0341dp-19, 0x1.69a248770866fp-19, 0x1.9fbdbe096073ep-19, 0x1.d2ad006ac6512p-19, 0x1.0146fc5828b9ep-18, 0x1.17becfe1b46d7p-18, 0x1.2ccc02cae4d83p-18, 0x1.407c2c1273bd1p-18, 0x1.52dc75273efdbp-18, 0x1.63f99d2b4449p-18, 0x1.73dffc31ee09ep-18, 0x1.829b8651cddecp-18, 0x1.9037ceaf97b47p-18, 0x1.9cc00a5c4b003p-18, 0x1.a83f1330b532p-18, 0x1.b2bf6a8840ca1p-18, 0x1.bc4b3bed28a38p-18, 0x1.c4ec5facddc5ap-18, 0x1.ccac5d5639033p-18, 0x1.d3946e2dbe697p-18, 0x1.d9ad7f76fdfcap-18, 0x1.df0034cb79d0ap-18, 0x1.e394ea4df2492p-18, 0x1.e773b6ce12942p-18, 0x1.eaa46dd9fc587p-18, 0x1.ed2ea1c6342c6p-18, 0x1.ef19a59f8e50dp-18, 0x1.f06c8f142bbd4p-18, 0x1.f12e3846503cep-18, 0x1.f165419e3dc9p-18, 0x1.f118137fe2ec6p-18, 0x1.f04cdff0cdb56p-18, 0x1.ef09a44146da4p-18, 0x1.ed542aa1b2c89p-18, 0x1.eb320ba5fc46bp-18, 0x1.e8a8afc233092p-18, 0x1.e5bd50bc87154p-18, 0x1.e274fb1396093p-18, 0x1.ded48f579551bp-18, 0x1.dae0c379c133p-18, 0x1.d69e24199bc9bp-18, 0x1.d21115be02b41p-18, 0x1.cd3dd603621f3p-18, 0x1.c8287ccc29babp-18, 0x1.c2d4fd5ddbc0ap-18, 0x1.bd47277d4b4ffp-18, 0x1.b782a879d068cp-18, 0x1.b18b0c39dbd6ap-18, 0x1.ab63be396d45ap-18, 0x1.a5100a8681162p-18, 0x1.9e931eaa396a1p-18, 0x1.97f00a9a8ed47p-18, 0x1.9129c19d27906p-18, 0x1.8a431b1ea13p-18, 0x1.833ed38e5b81p-18, 0x1.7c1f8d2bcb64dp-18, 0x1.74e7d0cf2992cp-18, 0x1.6d9a0eae674f8p-18, 0x1.66389f19ffd01p-18, 0x1.5ec5c336b8c3p-18, 0x1.5743a5b355cbep-18, 0x1.4fb45b7389f48p-18, 0x1.4819e438f3985p-18, 0x1.40762b48da35fp-18, 0x1.38cb0808de4d7p-18, 0x1.311a3e99eda84p-18, 0x1.29658073816b2p-18, 0x1.21ae6cedee9cap-18, 0x1.19f691d6060bap-18, 0x1.123f6bf324311p-18, 0x1.0a8a678caf384p-18, 0x1.02d8e0ed5f3cp-18, 0x1.f65849c4f6f5bp-19, 0x1.e70ae26c29d54p-19, 0x1.d7cbea4ac8ea3p-19, 0x1.c89da3a91d0e1p-19, 0x1.b982357a9cc25p-19, 0x1.aa7bac3abff77p-19, 0x1.9b8bfac64222bp-19, 0x1.8cb4fb1fb0599p-19, 0x1.7df86f4168e57p-19, 0x1.6f5801dcd4e2ep-19, 0x1.60d54714879f2p-19, 0x1.5271bd33d6975p-19, 0x1.442ecd683fca7p-19, 0x1.360dcc6d0256bp-19, 0x1.280ffb317f6e3p-19, 0x1.1a368781b6dcep-19, 0x1.0c828ca25208ap-19, 0x1.fdea27d5ed0ddp-20, 0x1.e31e2abe228fcp-20, 0x1.c8a2f086fea4cp-20, 0x1.ae7a274a5e66bp-20, 0x1.94a55ddd6fb63p-20, 0x1.7b2604d113e5ep-20, 0x1.61fd6f79ae69p-20, 0x1.492cd4eb97d77p-20, 0x1.30b550f9a5979p-20, 0x1.1897e5259b323p-20, 0x1.00d579835e2c7p-20, 0x1.d2ddbb504db02p-21, 0x1.a4c993097a944p-21, 0x1.776fbc6589de9p-21, 0x1.4ad14daa01288p-21, 0x1.1eef32b07d1d4p-21, 0x1.e7945cf006edap-22, 0x1.92c5b96a9c3ap-22, 0x1.3f736683cea07p-22, 0x1.db3c0e086bc2ep-23, 0x1.3a8bef2fb0692p-23, 0x1.39ad46037b0fep-24, 0x1.0ded3bd90118ep-30, -0x1.2b4a6c3721afcp-24, -0x1.2a6dd1df212b1p-23, -0x1.bc3fae8c55c6p-23, -0x1.258e77fb6c984p-22, -0x1.6b8411ce950a4p-22, -0x1.b0021deed305fp-22, -0x1.f30a460c5c6ccp-22, -0x1.1a4f3108b32f6p-21, -0x1.3a603b1401304p-21, -0x1.59b9586142a52p-21, -0x1.785bb45897fap-21, -0x1.96488dab85a99p-21, -0x1.b381355c8c50fp-21, -0x1.d0070de8b9f16p-21, -0x1.ebdb8a7468edbp-21, -0x1.038016ef17d12p-20, -0x1.10bb44fce4332p-20, -0x1.1da01f6b478c6p-20, -0x1.2a2f7cfa91ep-20, -0x1.366a3abfba86ep-20, -0x1.42513bd1574fcp-20, -0x1.4de568e662131p-20, -0x1.5927b0007b60fp-20, -0x1.6419041c4516cp-20, -0x1.6eba5cdcd6937p-20, -0x1.790cb644e9df6p-20, -0x1.8311105d15565p-20, -0x1.8cc86ef2d5e9ap-20, -0x1.9633d94f98a57p-20, -0x1.9f5459ec715a3p-20, -0x1.a82afe2fe5831p-20, -0x1.b0b8d631e9987p-20, -0x1.b8fef4803e132p-20, -0x1.c0fe6dd1af55dp-20, -0x1.c8b858d9cf4e2p-20, -0x1.d02dce045415ap-20, -0x1.d75fe73fc8cfep-20, -0x1.de4fbfc75ede5p-20, -0x1.e4fe73f07f75ep-20, -0x1.eb6d20fe707f1p-20, -0x1.f19ce4e9035afp-20, -0x1.f78ede2de9293p-20, -0x1.fd442ba7137b1p-20, -0x1.015ef62ca9d8fp-19, -0x1.03fe9fa5ababap-19, -0x1.0681a1acd3754p-19, -0x1.08e88b8df356bp-19, -0x1.0b33ec5aec879p-19, -0x1.0d6452d6c2494p-19, -0x1.0f7a4d698f913p-19, -0x1.11766a09cfb2cp-19, -0x1.1359362e23b75p-19, -0x1.15233ebcd585fp-19, -0x1.16d50ffdd5b9ep-19, -0x1.186f3590bde0bp-19, -0x1.19f23a57432c2p-19, -0x1.1b5ea86beed9fp-19, -0x1.1cb509128b662p-19, -0x1.1df5e4ad5d06dp-19, -0x1.1f21c2b069d23p-19, -0x1.20392995157b5p-19, -0x1.213c9ed43661bp-19, -0x1.222ca6da45745p-19, -0x1.2309c4f857789p-19, -0x1.23d47b613d7a1p-19, -0x1.248d4b1cd3483p-19, -0x1.2534b3fefa28bp-19, -0x1.25cb34a0a26d6p-19, -0x1.26514a568ff68p-19, -0x1.26c77131dff03p-19, -0x1.272e23f260965p-19, -0x1.2785dbffc2908p-19, -0x1.27cf11663d715p-19, -0x1.280a3ace204a4p-19, -0x1.2837cd77e2047p-19, -0x1.28583d364c582p-19, -0x1.286bfc6a97acdp-19, -0x1.28737c042e924p-19, -0x1.286f2b7646806p-19, -0x1.285f78b62ae2bp-19, -0x1.2844d03a38886p-19, -0x1.281f9cf39ba8cp-19, -0x1.27f0484c834b4p-19, -0x1.27b73a24310cfp-19, -0x1.2774d8ce1d7e9p-19, -0x1.2729891546634p-19, -0x1.26d5ae33feadcp-19, -0x1.2679a9d2b6a28p-19, -0x1.2615dc089937dp-19, -0x1.25aaa35909e82p-19, -0x1.25385cb3226a8p-19, -0x1.24bf6371ba311p-19, -0x1.244011591a6b6p-19, -0x1.23babe9dc1234p-19, -0x1.232fc1dca35d7p-19, -0x1.229f701cde993p-19, -0x1.220a1cd34550cp-19, -0x1.217019e0b86dep-19, -0x1.20d1b792b7fa9p-19, -0x1.202f44a394215p-19, -0x1.1f890e3beffaap-19, -0x1.1edf5ff77c1efp-19, -0x1.1e3283e4a1551p-19, -0x1.1d82c284e2927p-19, -0x1.1cd062cebc981p-19, -0x1.1c1baa2d7e2c1p-19, -0x1.1b64dc86f8d16p-19, -0x1.1aac3c3ac0d14p-19, -0x1.19f20a26363fdp-19, -0x1.193685a47d7dep-19, -0x1.1879ec9711ceap-19, -0x1.17bc7b61c58c9p-19, -0x1.16fe6cede24ap-19, -0x1.163ffab05578dp-19, -0x1.15815cab39902p-19, -0x1.14c2c96f4f0d4p-19, -0x1.1404761ea2f29p-19, -0x1.1346967162229p-19, -0x1.12895cba56d5dp-19, -0x1.11ccf9e852a01p-19, -0x1.11119d8a14ddcp-19, -0x1.105775d2198p-19, -0x1.0f9eaf96416d1p-19, -0x1.0ee776571a33p-19, -0x1.0e31f4436c433p-19, -0x1.0d7e523b18c78p-19, -0x1.0cccb7d0276b6p-19, -0x1.0c1d4b5101cb8p-19, -0x1.0b7031c6f0146p-19, -0x1.0ac58efbb9958p-19, -0x1.0a1d857a344b5p-19, -0x1.09783698a12adp-19, -0x1.08d5c277a2624p-19, -0x1.08364806a37b3p-19, -0x1.0799e5083bb8dp-19, -0x1.0700b6175bf47p-19, -0x1.066ad6ab6b3b2p-19, -0x1.05d8611ad9b3p-19, -0x1.05496ea0cf97dp-19, -0x1.04be17601eaap-19, -0x1.04367265dbfecp-19, -0x1.03b295af4cabp-19, -0x1.0332962e6b4bfp-19, -0x1.02b687ce5bb0bp-19, -0x1.023e7d73daafcp-19, -0x1.01ca89070a551p-19, -0x1.015abb73522dbp-19, -0x1.00ef24adab108p-19, -0x1.0087d3b69818cp-19, -0x1.0024d69fbb1eap-19, -0x1.ff8c752352584p-20, -0x1.fed81797ab78ap-20, -0x1.fe2cab5706c48p-20, -0x1.fd8a45609866fp-20, -0x1.fcf0f8fbd8225p-20, -0x1.fc60d7c5bdc01p-20, -0x1.fbd9f1b5fcc2cp-20, -0x1.fb5c5527d81f9p-20, -0x1.fae80ee1165bp-20, -0x1.fa7d2a1960dddp-20, -0x1.fa1bb084e4da5p-20, -0x1.f9c3aa5bf20a5p-20, -0x1.f9751e5f6dc56p-20, -0x1.f93011e4e4d55p-20, -0x1.f8f488dcc4cc7p-20, -0x1.f8c285d9ba33bp-20, -0x1.f89a0a167c59cp-20, -0x1.f87b158333445p-20, -0x1.f865a6c5a6f5p-20, -0x1.f859bb4776084p-20, -0x1.f8574f3743c6p-20, -0x1.f85e5d96eb4bp-20, -0x1.f86ee03df755ep-20, -0x1.f888cfe1e3956p-20, -0x1.f8ac241d2b48fp-20, -0x1.f8d8d378f808ep-20, -0x1.f90ed370622f1p-20, -0x1.f94e187ac6cb4p-20, -0x1.f996960fb2ae1p-20, -0x1.f9e83eb1c62c5p-20, -0x1.fa4303f1bd09dp-20, -0x1.faa6d675bb5bcp-20, -0x1.fb13a6020597ap-20, -0x1.fb89617e63778p-20, -0x1.fc07f6fd500a7p-20, -0x1.fc8f53bfa42eep-20, -0x1.fd1f643e083fcp-20, -0x1.fdb814317a8f4p-20, -0x1.fe594e929f019p-20, -0x1.ff02fda3e6e32p-20, -0x1.ffb50af84ffc7p-20, -0x1.0037afbdee9b8p-19, -0x1.0098f1b96f12dp-19, -0x1.00fe3f41d664ep-19, -0x1.01678bdd26431p-19, -0x1.01d4cac90ec19p-19, -0x1.0245eefbb9419p-19, -0x1.02baeb27bafa8p-19, -0x1.0333b1beab544p-19, -0x1.03b034f3b638bp-19, -0x1.043066bf21a99p-19, -0x1.04b438dd799cfp-19, -0x1.053b9cd642625p-19, -0x1.05c683fca592fp-19, -0x1.0654df7224ab2p-19, -0x1.06e6a028f52bep-19, -0x1.077bb6e5f4659p-19, -0x1.081414459e906p-19, -0x1.08afa8babfe02p-19, -0x1.094e6491dd46bp-19, -0x1.09f037f426774p-19, -0x1.0a9512ec0f082p-19, -0x1.0b3ce563104bp-19, -0x1.0be79f268f1a7p-19, -0x1.0c952fe7b1c4fp-19, -0x1.0d45873e7afd4p-19, -0x1.0df894adb981fp-19, -0x1.0eae47a284ae5p-19, -0x1.0f668f77d1a0ap-19, -0x1.10215b78090e3p-19, -0x1.10de9ade60902p-19, -0x1.119e3cd97ffacp-19, -0x1.1260308b80ca1p-19, -0x1.1324650cda60ap-19, -0x1.13eac96f16ef9p-19, -0x1.14b34cbcde6a7p-19, -0x1.157dddfcdb47cp-19, -0x1.164a6c32ee557p-19, -0x1.1718e6628ee37p-19, -0x1.17e93b8e5248ap-19, -0x1.18bb5aba11d4ap-19, -0x1.198f32ed77f0ap-19, -0x1.1a64b336706e8p-19, -0x1.1b3bcaa8b4aap-19, -0x1.1c1468600a447p-19, -0x1.1cee7b7fcfd96p-19, -0x1.1dc9f33495b5p-19, -0x1.1ea6beb79c7eap-19, -0x1.1f84cd4fe79ep-19, -0x1.20640e514681cp-19, -0x1.214471202dcb1p-19, -0x1.2225e5316f3fp-19, -0x1.23085a0aeec8dp-19, -0x1.23ebbf4540f3ap-19, -0x1.24d0048d0718fp-19, -0x1.25b519a2185bbp-19, -0x1.269aee5c0327ap-19, -0x1.278172a7633d7p-19, -0x1.2868968a1cde2p-19, -0x1.29504a22629cp-19, -0x1.2a387da9545a9p-19, -0x1.2b21216fd96a7p-19, -0x1.2c0a25e262a5ep-19, -0x1.2cf37b8afa7bp-19, -0x1.2ddd13108461bp-19, -0x1.2ec6dd377f202p-19, -0x1.2fb0cae44fa13p-19, -0x1.309acd18c1153p-19, -0x1.3184d4f40a224p-19, -0x1.326ed3b8807d6p-19, -0x1.3358bac9382c5p-19, -0x1.34427babcef64p-19, -0x1.352c080790c2p-19, -0x1.361551a7826f5p-19, -0x1.36fe4a79c06ebp-19, -0x1.37e6e4905250bp-19, -0x1.38cf1221d7227p-19, -0x1.39b6c5897952fp-19, -0x1.3a9df1479a7bcp-19, -0x1.3b848802d50eep-19, -0x1.3c6a7c8844652p-19, -0x1.3d4fc1cb62bbbp-19, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      31, 0x1.45c28f5c28f5cp+2, 0x1.f5f5ae12b4156p+0, 0x1.b87e9a1a377f9p+1, -0x1.dbd470b8a1a84p-8, 
      {{
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.64ddbbac9b77p-6, -0x1.d27e2261e3fb9p-5, 0x1.c958449a259fbp-5, -0x1.8aada7b6c161dp-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.40fc271e45141p-6, -0x1.aeda34078f1b8p-5, 0x1.b1aa02382442cp-5, -0x1.7da6dcd3aec5cp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.180535acbe83p-6, -0x1.84eac9c1756acp-5, 0x1.950a4b41dd8dap-5, -0x1.7097f1d22d244p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.e6372cb6ec391p-7, -0x1.5dcb9bc6dc3afp-5, 0x1.79654c521a2acp-5, -0x1.6393e7ec9b8bep-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.a3f1076a99bebp-7, -0x1.3963a2226ad65p-5, 0x1.5eba3486c1b39p-5, -0x1.568cf3c27c9f3p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.68af70ed041b9p-7, -0x1.1799dc84122cdp-5, 0x1.45093bd82b8e2p-5, -0x1.4986c78e9dfa6p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.33eedf19665f2p-7, -0x1.f0aa911e9e1a4p-6, 0x1.2c52534712e8p-5, -0x1.3c8065c658725p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.0530c82db8231p-7, -0x1.b6f9c8e84a585p-6, 0x1.14957ed832ac5p-5, -0x1.2f7a1259608d7p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.b7f745955b128p-8, -0x1.81ef5c79e192ep-6, 0x1.fba57aefca0fep-6, -0x1.2273bb139ffbfp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6fb5cbe76e7dcp-8, -0x1.515947fc4a168p-6, 0x1.d0141ee00baa6p-6, -0x1.156d64d5b944p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.30be121e04f25p-8, -0x1.2505879301fdep-6, 0x1.a676e9599646cp-6, -0x1.08670e5125ecbp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.f4760f95e3df9p-9, -0x1.f9842ec5f493ep-7, 0x1.7ecdda6703c9dp-6, -0x1.f6c16fbef68b5p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.96c33a8b040e9p-9, -0x1.b0b9e721812f7p-7, 0x1.5918f2057e186p-6, -0x1.dcb4c2d193854p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.46e18754f5c1dp-9, -0x1.6f483081fa5a9p-7, 0x1.35583035c63b3p-6, -0x1.c2a815e6bf38cp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0362d9b836679p-9, -0x1.34cb0330a238ep-7, 0x1.138b94f7ab173p-6, -0x1.a89b68fb87c7dp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.95da2e086b34bp-10, -0x1.00de5776bf1a8p-7, 0x1.e766409668371p-7, -0x1.8e8ebc0f975ddp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.38744c26aa2bap-10, -0x1.a63c4b3b2a5b1p-8, 0x1.ab9da460de4fbp-7, -0x1.74820f26876f5p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d85fbd2ba30d4p-11, -0x1.564ccbdcd9854p-8, 0x1.73bd554e49fe1p-7, -0x1.5a75623326601p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5da1726cdab44p-11, -0x1.11262164ffc75p-8, 0x1.3fc55360376fbp-7, -0x1.4068b565d02abp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.f90acbfbb82a7p-12, -0x1.ac0078ccf74f4p-9, 0x1.0fb59e90f1cffp-7, -0x1.265c080ac2ba4p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.626697eea1277p-12, -0x1.48261ae53b25ep-9, 0x1.c71c6deb7601fp-8, -0x1.0c4f5cc070c49p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.e08b7a76a8d81p-13, -0x1.ea5a1482106bcp-10, 0x1.769e387e8760fp-8, -0x1.e485538252827p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.386f79848e0c1p-13, -0x1.630a4fc68ff02p-10, 0x1.2df09f2afaff6p-8, -0x1.b06c2708e75e2p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.81b08eedfe5cp-14, -0x1.ee7955c2507b7p-11, 0x1.da2732a016fc9p-9, -0x1.7c5223e64b7c4p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.bd945db4ac6p-15, -0x1.47a1c8c86a89fp-11, 0x1.680e8e4166be3p-9, -0x1.483b41e21742cp-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.d7a9a9ab1c3ffp-16, -0x1.969b31e8483cep-12, 0x1.059660e3f95ddp-9, -0x1.1418b20e28f5fp-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ba8054d1c6403p-17, -0x1.ccef8d1f86346p-13, 0x1.658456f2a6f57p-10, -0x1.c04370b487dep-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.5ba09c1d867ffp-18, -0x1.c96d76fa9cbep-14, 0x1.be136a45c92e3p-11, -0x1.571027ec7a58bp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.99e4e645ec002p-20, -0x1.6dcddc34843f6p-15, 0x1.e079d7d632c08p-12, -0x1.e53610cb26ef2p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.180535acep-22, -0x1.877f0bb475404p-17, 0x1.7ab2ceb89d30dp-13, -0x1.f1ca64e55a236p-11}, 
        {0x1.4333333333333p+2, 0x1.45c28f5c28f5cp+2, 0x1.5da17277fffffp-27, -0x1.884a9b37c0ddp-21, 0x1.4018af22694p-15, -0x1.c0b60d846760ap-10}, 
      }}, 
      0x1.464e501bc5f3ap-5, -0x1.583b349515ac8p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.7b917d2843db3p-3, 0x1.8675ed24a831fp-3, 0x1.95ce636d8c3ebp-3, 0x1.a6c23a2870a5cp-3, 0x1.b6a078a7c721dp-3, 0x1.c324971bb4b7bp-3, 0x1.ca907ef547f6bp-3, 0x1.cbae192e232e1p-3, 0x1.c5c3b42cd5f85p-3, 0x1.b8824cce8b275p-3, 0x1.a3f20c14968cfp-3, 0x1.885f4a4008902p-3, 0x1.66494759f322ep-3, 0x1.3e5328ceb865ep-3, 0x1.11373ef955b6bp-3, 0x1.bf791d0ca4e53p-4, 0x1.555cc6515ec23p-4, 0x1.cb56eccadb67cp-5, 0x1.c7a26c836631bp-6, -0x1.1f89e57374cecp-10, -0x1.f0d7a05e59744p-6, -0x1.e81319ec98adfp-5, -0x1.6ae3632a23765p-4, -0x1.dfcd8a8836cdp-4, -0x1.28f8be621a283p-3, -0x1.604b75e253f22p-3, -0x1.959114fa88fa7p-3, -0x1.c88920de05f08p-3, -0x1.f8ff7020019cfp-3, -0x1.13658a7431dep-2, -0x1.28e6a377d6b67p-2, -0x1.3cf829a0fb869p-2, -0x1.4f934c5f599bcp-2, -0x1.60b4c9502e117p-2, -0x1.705c7a5c5a909p-2, -0x1.7e8ced141b84p-2, -0x1.8b4b02ad94591p-2, -0x1.969d98a69caccp-2, -0x1.a08d3a40e920fp-2, -0x1.a923d996eeb42p-2, -0x1.b06c8f5a80bdbp-2, -0x1.b673613e9f654p-2, -0x1.bb450ee75acccp-2, -0x1.beeee49e81d3p-2, -0x1.c17e93094557ep-2, -0x1.c3020b87f30adp-2, -0x1.c387612271aa2p-2, -0x1.c31cadb0bdad7p-2, -0x1.c1cffab9f1e46p-2, -0x1.bfaf2d7e822adp-2, -0x1.bcc7f5c5b791ep-2, -0x1.b927bf2bb1c87p-2, -0x1.b4dba4bde5c6p-2, -0x1.aff066b6a1784p-2, -0x1.aa72621cabfeep-2, -0x1.a46d8a0e33dfep-2, -0x1.9ded6286b62e8p-2, -0x1.96fcfc69c05bcp-2, -0x1.8fa6f2befc311p-2, -0x1.87f568e8794ccp-2, -0x1.7ff209d453c18p-2, -0x1.77a607f03877cp-2, -0x1.6f1a1de0f1e7fp-2, -0x1.66568fcf43d11p-2, -0x1.5d632d42d0a8fp-2, -0x1.5447536a107d9p-2, -0x1.4b09efce1d7e3p-2, -0x1.41b1833d9518cp-2, -0x1.38442529e799p-2, -0x1.2ec786e56a5f6p-2, -0x1.2540f788ce756p-2, -0x1.1bb5674f73ba9p-2, -0x1.12296bca9446cp-2, -0x1.08a1436d1c95ap-2, -0x1.fe41b30c134d5p-3, -0x1.eb5794dd7f488p-3, -0x1.d88acd1d9b263p-3, -0x1.c5e16f2da4797p-3, -0x1.b36104c518fb9p-3, -0x1.a10e99291592p-3, -0x1.8eeebd67ea886p-3, -0x1.7d05901e386d7p-3, -0x1.6b56c648747f2p-3, -0x1.59e5acfe9ec5cp-3, -0x1.48b536002cefcp-3, -0x1.37c7f813071edp-3, -0x1.272037d1930a7p-3, -0x1.16bfedf791e29p-3, -0x1.06a8c8901622cp-3, -0x1.edb86afff081cp-4, -0x1.ceb6c5a080c11p-4, -0x1.b04e899aa8159p-4, -0x1.9281379fe7e97p-4, -0x1.754fe9c01dabfp-4, -0x1.58bb619a137eap-4, -0x1.3cc40c171a27bp-4, -0x1.216a0790cde1ep-4, -0x1.06ad2d4328fd4p-4, -0x1.d91a276f9ed7fp-5, -0x1.a6122cde6b6cbp-5, -0x1.7440b58fb103bp-5, -0x1.43a3a7acbefd7p-5, -0x1.143890ab3bd3bp-5, -0x1.cbf9574be9034p-6, -0x1.71d9d486232eep-6, -0x1.1a0bf8bea2eeap-6, -0x1.8911581b11d2bp-7, -0x1.c521ba22ecd35p-8, -0x1.021b149f69b41p-9, 0x1.74753a27dc042p-9, 0x1.ecd890aede4b9p-8, 0x1.8b778e28b6685p-7, 0x1.0e2875ec34317p-6, 0x1.5485404488aadp-6, 0x1.98db590005764p-6, 0x1.db340cfd8ea68p-6, 0x1.0dcc5dded4b16p-5, 0x1.2d09694a1ca9ap-5, 0x1.4b55e278c0403p-5, 0x1.68b6832e2759fp-5, 0x1.85300397fd5ebp-5, 0x1.a0c7174cbb67ap-5, 0x1.bb806ab643e6fp-5, 0x1.d560a21d3ed2dp-5, 0x1.ee6c579898b7fp-5, 0x1.03540c6161ae5p-4, 0x1.0f0c3316331e7p-4, 0x1.1a60d924b7af6p-4, 0x1.25542fc2f5588p-4, 0x1.2fe85fddbf70cp-4, 0x1.3a1f89fc8efcbp-4, 0x1.43fbc59c025d9p-4, 0x1.4d7f20d1456ddp-4, 0x1.56aba05e54089p-4, 0x1.5f833f7771307p-4, 0x1.6807ef68377f4p-4, 0x1.703b979831e38p-4, 0x1.7820159caeb09p-4, 0x1.7fb73d161f9e6p-4, 0x1.8702d79e1abf5p-4, 0x1.8e04a4df56b34p-4, 0x1.94be5aae35e13p-4, 0x1.9b31a51369bcbp-4, 0x1.a16026558feb5p-4, 0x1.a74b7710366b5p-4, 0x1.acf526672a41p-4, 0x1.b25eba2b3e197p-4, 0x1.b789aeea696abp-4, 0x1.bc77780c803a2p-4, 0x1.c1298015c82e2p-4, 0x1.c5a128dd8a82ap-4, 0x1.c9dfcba1306cp-4, 0x1.cde6b9258cbfp-4, 0x1.d1b739feb10dp-4, 0x1.d5528ecca99dep-4, 0x1.d8b9f05a4f881p-4, 0x1.dbee8fc12b545p-4, 0x1.def196a8b1525p-4, 0x1.e1c42784a3c83p-4, 0x1.e4675dc06c193p-4, 0x1.e6dc4dea3d634p-4, 0x1.e92405e63a5c2p-4, 0x1.eb3f8d2105a63p-4, 0x1.ed2fe4c387c4p-4, 0x1.eef607eb3c5fep-4, 0x1.f092ebda9331cp-4, 0x1.f2078018c12ep-4, 0x1.f354ae9a5d80ap-4, 0x1.f47b5c04012d6p-4, 0x1.f57c67e9b4a5dp-4, 0x1.f658ace941987p-4, 0x1.f71100b620f11p-4, 0x1.f7a6344bb87f1p-4, 0x1.f819143f4152dp-4, 0x1.f86a68f363799p-4, 0x1.f89af6985e736p-4, 0x1.f8ab7d2e13b01p-4, 0x1.f89cb8c69d637p-4, 0x1.f86f61d966fdap-4, 0x1.f8242d683ae08p-4, 0x1.f7bbcceca82a9p-4, 0x1.f736ee56e3f71p-4, 0x1.f6963c4f844a6p-4, 0x1.f5da5e8d9e997p-4, 0x1.f503f9f3b7db7p-4, 0x1.f413b073158f3p-4, 0x1.f30a21000b8acp-4, 0x1.f1e7e7ca163e1p-4, 0x1.f0ad9e906d66ep-4, 0x1.ef5bdcc50e524p-4, 0x1.edf3376ff9885p-4, 0x1.ec7441134392bp-4, 0x1.eadf89cbfc206p-4, 0x1.e9359f9fb3c4p-4, 0x1.e7770eaf93beap-4, 0x1.e5a4612a8369dp-4, 0x1.e3be1f24a21afp-4, 0x1.e1c4ce9642c5ep-4, 0x1.dfb8f3937279cp-4, 0x1.dd9b108c47252p-4, 0x1.db6ba65d5327fp-4, 0x1.d92b342e7d18bp-4, 0x1.d6da3752a8e27p-4, 0x1.d4792b5694f55p-4, 0x1.d2088a3850edfp-4, 0x1.cf88cc956b884p-4, 0x1.ccfa69ab07bbcp-4, 0x1.ca5dd732818ddp-4, 0x1.c7b38947234c1p-4, 0x1.c4fbf275b2a95p-4, 0x1.c23783eab20a3p-4, 0x1.bf66ad96c71a2p-4, 0x1.bc89de2ca23b6p-4, 0x1.b9a183020cc42p-4, 0x1.b6ae07f615d9dp-4, 0x1.b3afd77720505p-4, 0x1.b0a75aa53cff4p-4, 0x1.ad94f972cd498p-4, 0x1.aa791aa95d1f6p-4, 0x1.a75423d34d88dp-4, 0x1.a4267920e9c91p-4, 0x1.a0f07d6164f8p-4, 0x1.9db292158b15p-4, 0x1.9a6d178c59228p-4, 0x1.97206cf1d45bdp-4, 0x1.93ccf04624b8fp-4, 0x1.9072fe46e6fb7p-4, 0x1.8d12f25d91094p-4, 0x1.89ad26a03da46p-4, 0x1.8641f3e343232p-4, 0x1.82d1b1ccdf60cp-4, 0x1.7f5cb6dbd0c3ap-4, 0x1.7be3585d23bcap-4, 0x1.7865ea5a21433p-4, 0x1.74e4bf8b90303p-4, 0x1.7160295a88b2cp-4, 0x1.6dd877ecf77ffp-4, 0x1.6a4dfa33b8cbcp-4, 0x1.66c0fdefef5f6p-4, 0x1.6331cfac84bb3p-4, 0x1.5fa0bab10e6f3p-4, 0x1.5c0e08f6f500ap-4, 0x1.587a0327574ebp-4, 0x1.54e4f0a20d807p-4, 0x1.514f1788207c3p-4, 0x1.4db8bcc26943bp-4, 0x1.4a222400671d9p-4, 0x1.468b8fb0a1ab1p-4, 0x1.42f540f7b9eb7p-4, 0x1.3f5f77ab903a4p-4, 0x1.3bca7254fe66bp-4, 0x1.38366e367303bp-4, 0x1.34a3a75313d37p-4, 0x1.311258725525dp-4, 0x1.2d82bb1e6a266p-4, 0x1.29f5079f4a7bap-4, 0x1.266974f584b4ep-4, 0x1.22e038d81f0b1p-4, 0x1.1f5987b6cbbc2p-4, 0x1.1bd594bf158f2p-4, 0x1.185491e1e09c8p-4, 0x1.14d6afd6cfe2fp-4, 0x1.115c1e1c97422p-4, 0x1.0de50af6f6cc4p-4, 0x1.0a71a36c3ce12p-4, 0x1.0702134459eb3p-4, 0x1.0396850aa997bp-4, 0x1.002f2211f990fp-4, 0x1.f99824f2a6482p-5, 0x1.f2dafa600c0cdp-5, 0x1.ec270ff03487ep-5, 0x1.e57caece25a1ep-5, 0x1.dedc1dcb7b609p-5, 0x1.d845a1608c7ep-5, 0x1.d1b97baeb002p-5, 0x1.cb37ec88a19d7p-5, 0x1.c4c13176ae912p-5, 0x1.be5585c4032c6p-5, 0x1.b7f522840dadap-5, 0x1.b1a03e994f0ccp-5, 0x1.ab570eb984b7ep-5, 0x1.a519c5708b17ep-5, 0x1.9ee893237158p-5, 0x1.98c3a6150fd9dp-5, 0x1.92ab2a6cd63p-5, 0x1.8c9f4a3f58a42p-5, 0x1.86a02d97ae616p-5, 0x1.80adfa80a729p-5, 0x1.7ac8d50d0a626p-5, 0x1.74f0df5e2cc9cp-5, 0x1.6f2639a8cc8efp-5, 0x1.69690238f3a49p-5, 0x1.63b955764c0f3p-5, 0x1.5e174dea6122bp-5, 0x1.5883044959033p-5, 0x1.52fc8f7cfe4d9p-5, 0x1.4d8404b0a92b1p-5, 0x1.4819775cad4p-5, 0x1.42bcf94f6d3f6p-5, 0x1.3d6e9ab2f88cdp-5, 0x1.382e6a0f534c5p-5, 0x1.32fc744b5fa7bp-5, 0x1.2dd8c4af6b2e9p-5, 0x1.28c364ec3467fp-5, 0x1.23bc5d27a7017p-5, 0x1.1ec3b40e3a691p-5, 0x1.19d96ee5ba731p-5, 0x1.14fd919d05b8dp-5, 0x1.10301ed4d7a2fp-5, 0x1.0b7117dfc64d3p-5, 0x1.06c07cbb2e875p-5, 0x1.021e4c0612e34p-5, 0x1.fb1505f9ec634p-6, 0x1.f20a3b03095e9p-6, 0x1.e91c2c5dd3186p-6, 0x1.e04accf370c28p-6, 0x1.d7960da3bbeffp-6, 0x1.cefddd7b0569bp-6, 0x1.c68229c69d05fp-6, 0x1.be22de00d95e3p-6, 0x1.b5dfe39bedca4p-6, 0x1.adb921c164049p-6, 0x1.a5ae7d23bda93p-6, 0x1.9dbfd7fd43836p-6, 0x1.95ed124960b23p-6, 0x1.8e360a30e6174p-6, 0x1.869a9c8d2786dp-6, 0x1.7f1aa5592cedp-6, 0x1.77b5ffe971c9dp-6, 0x1.706c86d32530bp-6, 0x1.693e1386522a1p-6, 0x1.622a7dbb534ebp-6, 0x1.5b319ae83973ep-6, 0x1.54533df60cffdp-6, 0x1.4d8f375d99beap-6, 0x1.46e555b2a2515p-6, 0x1.4055667df98e6p-6, 0x1.39df3727bf3b7p-6, 0x1.338295a618899p-6, 0x1.2d3f50b1d9536p-6, 0x1.27153765d8218p-6, 0x1.2104185dd5e7bp-6, 0x1.1b0bc098b2eeap-6, 0x1.152bfa7c509d7p-6, 0x1.0f648d5769098p-6, 0x1.09b53d9be3e9fp-6, 0x1.041dcdd3f3cfp-6, 0x1.fd3c002d1a60ep-7, 0x1.f26b2f2139d4bp-7, 0x1.e7c8b350c024dp-7, 0x1.dd541cabc0bd8p-7, 0x1.d30cff08f2193p-7, 0x1.c8f2ef378539dp-7, 0x1.bf057f2f84785p-7, 0x1.b5443a88e9637p-7, 0x1.abaea46568b9ap-7, 0x1.a244379be2143p-7, 0x1.9904694ee847fp-7, 0x1.8feead5a763e1p-7, 0x1.87027b6888e3dp-7, 0x1.7e3f533269d51p-7, 0x1.75a4be978103p-7, 0x1.6d3250be34fc8p-7, 0x1.64e7a245f42c7p-7, 0x1.5cc44b71c73ddp-7, 0x1.54c7dddf3855p-7, 0x1.4cf1df9ecac8bp-7, 0x1.4541c93d12df6p-7, 0x1.3db7078e0d53fp-7, 0x1.3651010424789p-7, 0x1.2f0f1d5469bc5p-7, 0x1.27f0cd6af52b8p-7, 0x1.20f5917acd02ep-7, 0x1.1a1cfb54f3f2bp-7, 0x1.1366ac2c40046p-7, 0x1.0cd24e20b64adp-7, 0x1.065f8b1bf42eep-7, 0x1.000e034bc708bp-7, 0x1.f3ba8b6b4ec73p-8, 0x1.e79999b420772p-8, 0x1.dbb80118ff1aap-8, 0x1.d0147984c51eap-8, 0x1.c4adb84336af6p-8, 0x1.b98287320365dp-8, 0x1.ae91d86b537cbp-8, 0x1.a3dad0a443f69p-8, 0x1.995cc5481bcb6p-8, 0x1.8f172ece83c5bp-8, 0x1.8509931eeac4ap-8, 0x1.7b336d9f13be1p-8, 0x1.71941a642f706p-8, 0x1.682ac88b8a77fp-8, 0x1.5ef6760b53d72p-8, 0x1.55f5f5f5d5412p-8, 0x1.4d2800e435acdp-8, 0x1.448b4d3b12fdep-8, 0x1.3c1eaa214cd72p-8, 0x1.33e1156afb615p-8, 0x1.2bd1c53768d4cp-8, 0x1.23f02212bba2ep-8, 0x1.1c3bb4eb5162bp-8, 0x1.14b410c4ed9cdp-8, 0x1.0d58c00df193ap-8, 0x1.0629391fd520fp-8, 0x1.fe49b073f77abp-9, 0x1.f095b73446a32p-9, 0x1.e334c240a057ap-9, 0x1.d624d26148e21p-9, 0x1.c963c7168e5c4p-9, 0x1.bcef8c5e3fa1fp-9, 0x1.b0c64cf7cac3bp-9, 0x1.a4e68f826d046p-9, 0x1.994f2b10b0f32p-9, 0x1.8dff163af133cp-9, 0x1.82f52d002fde7p-9, 0x1.783012c183eebp-9, 0x1.6dae439c319e9p-9, 0x1.636e46d8d919bp-9, 0x1.596eda4d027ap-9, 0x1.4faef437acea9p-9, 0x1.462d9a63d1237p-9, 0x1.3ce9b19bd397cp-9, 0x1.33e1f03e78289p-9, 0x1.2b15036ff22c8p-9, 0x1.2281ccdfd1842p-9, 0x1.1a278819b77b2p-9, 0x1.1205b162a0a46p-9, 0x1.0a1bad56f8dfp-9, 0x1.02685bd321e41p-9, 0x1.f5d3b384c20afp-10, 0x1.e73b4d33ba0b4p-10, 0x1.d90254abe1d2fp-10, 0x1.cb24aec9f7bdep-10, 0x1.bda0117a82a4fp-10, 0x1.b073c595cef96p-10, 0x1.a39fa58004fa9p-10, 0x1.97231b3d4f0a3p-10, 0x1.8afcd5ffb2d62p-10, 0x1.7f2b51b291834p-10, 0x1.73ada70435bafp-10, 0x1.6883f2f39c583p-10, 0x1.5daef7ed81dc2p-10, 0x1.532f14d493043p-10, 0x1.49031041a8ce6p-10, 0x1.3f275a1ffd538p-10, 0x1.359639c11325cp-10, 0x1.2c48f7dc0139dp-10, 0x1.233999b5961b1p-10, 0x1.1a6463f1c9666p-10, 0x1.11c855e03ebd8p-10, 0x1.09664ea669dbcp-10, 0x1.013f71306c95dp-10, 0x1.f2a7be4754bffp-11, 0x1.e3453bc521b61p-11, 0x1.d454f429655e5p-11, 0x1.c5d631d36990ep-11, 0x1.b7cad175f289bp-11, 0x1.aa36185a48f25p-11, 0x1.9d1a133718e94p-11, 0x1.90754d3c1613ep-11, 0x1.844243ea8cf21p-11, 0x1.787850c75e77ap-11, 0x1.6d0d164a945a1p-11, 0x1.61f6301e7784fp-11, 0x1.572b35738fc3bp-11, 0x1.4ca7756967fe5p-11, 0x1.426a6fe584b57p-11, 0x1.3876857ea0b66p-11, 0x1.2ece66f2656a4p-11, 0x1.2572d662be69cp-11, 0x1.1c622f8491253p-11, 0x1.139a0133b3dep-11, 0x1.0b19a170ef639p-11, 0x1.02e336d26fac4p-11, 0x1.f5f316458c908p-12, 0x1.e6b9941fb7826p-12, 0x1.d8135e3283d9ep-12, 0x1.c9f6d960eee9cp-12, 0x1.bc5b7eae1fefcp-12, 0x1.af3a79e7ad7e1p-12, 0x1.a28c7bd345368p-12, 0x1.96480f9539891p-12, 0x1.8a624ae2218bcp-12, 0x1.7ed197ef7640bp-12, 0x1.7391d6a4a8ff1p-12, 0x1.68a6a3815f201p-12, 0x1.5e1746bc1c758p-12, 0x1.53e68f6121fbap-12, 0x1.4a0fc69790844p-12, 0x1.408d59fc5b101p-12, 0x1.37605ea775a4p-12, 0x1.2e8db9e03a08ep-12, 0x1.2615d08e8afd4p-12, 0x1.1df24e6865467p-12, 0x1.161a789417a3dp-12, 0x1.0e87e8f6406ddp-12, 0x1.0738932d19e54p-12, 0x1.002e0bf2e3dd1p-12, 0x1.f2d55bcf0931dp-13, 0x1.e5dc33acef6c2p-13, 0x1.d96650f953a3p-13, 0x1.cd5f5f91a8fc7p-13, 0x1.c1af35543615p-13, 0x1.b64c06dbc610bp-13, 0x1.ab4475ca28755p-13, 0x1.a0a9c0d5f07p-13, 0x1.967772124bc95p-13, 0x1.8c9f6d01d5c4ep-13, 0x1.8322782ef6d65p-13, 0x1.7a0a355cfbfb6p-13, 0x1.7155b06a226a8p-13, 0x1.68f8a42ec8201p-13, 0x1.60e62a37e80d9p-13, 0x1.5916a5f0ae09fp-13, 0x1.518731795e21dp-13, 0x1.4a37d55f8a0d4p-13, 0x1.432b3899c015ep-13, 0x1.3c663b3359eecp-13, 0x1.35ed421bd291ep-13, 0x1.2fc0bbe629bccp-13, 0x1.29dab4741b7a6p-13, 0x1.242a89896ac1fp-13, 0x1.1e9af9bfbc8a8p-13, 0x1.192c35f1ba2e3p-13, 0x1.13f122cd889bfp-13, 0x1.0eeb13496325ap-13, 0x1.0a0d475067986p-13, 0x1.055a6487424e4p-13, 0x1.00db95ab9ceb7p-13, 0x1.f91b434d6f563p-14, 0x1.f0cc195dde016p-14, 0x1.e8bb0ed9dfd72p-14, 0x1.e0e3b7f7b7eaep-14, 0x1.d9465e6d00d7fp-14, 0x1.d1e34afb0fd7dp-14, 0x1.cab950c2b7357p-14, 0x1.c3c6f99d101c3p-14, 0x1.bd0ccc0491b9p-14, 0x1.b68dfdcd1461dp-14, 0x1.b04ddbc2ddd92p-14, 0x1.aa4e04d395ad9p-14, 0x1.a48c807dfef73p-14, 0x1.9ef5017e5ff11p-14, 0x1.996e2cac74e3ep-14, 0x1.9406ac6c1f6a7p-14, 0x1.8ec940ee9ec46p-14, 0x1.89a4fbce82d3bp-14, 0x1.84a337222ca3ap-14, 0x1.7fd14429bcd85p-14, 0x1.7b250c337e3dap-14, 0x1.769124811a1aap-14, 0x1.7210fbe42aebbp-14, 0x1.6da50e4fc5ee1p-14, 0x1.694e6ea6fe473p-14, 0x1.650d6ced4bd01p-14, 0x1.60e18a5f493a4p-14, 0x1.5cc994b74d42p-14, 0x1.58c3d62797388p-14, 0x1.54cea9bec8a12p-14, 0x1.50e97808aab3ep-14, 0x1.4d14dd3e18d3p-14, 0x1.4951305167398p-14, 0x1.45a030bfacb79p-14, 0x1.420689b4c9bd3p-14, 0x1.3e7a492f6af35p-14, 0x1.3aef1db22a4fap-14, 0x1.376b6588a8ep-14, 0x1.33e922e91b7eep-14, 0x1.3072b4d2ae73ep-14, 0x1.2d0e3893ba055p-14, 0x1.29b1e8aedfaf7p-14, 0x1.2658a39644498p-14, 0x1.2302d28bc64c7p-14, 0x1.1fb18b8c7125p-14, 0x1.1c652f0d71c3p-14, 0x1.191d9a342c11dp-14, 0x1.15da79c3633c5p-14, 0x1.129b74f172e95p-14, 0x1.0f60302909a67p-14, 0x1.0c2836c5b6e4fp-14, 0x1.08f2ea4df8ab3p-14, 0x1.05bfa86abcfaap-14, 0x1.028e22e2a3bbp-14, 0x1.febca0784370dp-15, 0x1.f85fb8d59da71p-15, 0x1.f2088adfd8b1dp-15, 0x1.ebc08df95e9cap-15, 0x1.e57dc1d4367b1p-15, 0x1.df32c6b71fe55p-15, 0x1.d8defe00a1c8fp-15, 0x1.d292440784485p-15, 0x1.cc4f9d17f5129p-15, 0x1.c60bad1e5ef25p-15, 0x1.bfc5457545705p-15, 0x1.b97e4ed40b8d3p-15, 0x1.b337c77423eefp-15, 0x1.acf1edb51dab2p-15, 0x1.a6acb96dfe149p-15, 0x1.a06811088b221p-15, 0x1.9a23e1c0600e2p-15, 0x1.93e02893415d9p-15, 0x1.8d9cf3ec8ada2p-15, 0x1.875a57b946c8dp-15, 0x1.811858307438dp-15, 0x1.7ad6dbe58e435p-15, 0x1.7495bbe7934c4p-15, 0x1.6e54f8a055bd6p-15, 0x1.6814bec0c64c4p-15, 0x1.61d5134bc978ap-15, 0x1.5b974d2860b6p-15, 0x1.555ed50849deap-15, 0x1.4f2821b439f5fp-15, 0x1.48ed84ab2532ep-15, 0x1.42b5e1c6b0032p-15, 0x1.3c837965bbb42p-15, 0x1.365202a2b4861p-15, 0x1.30220a49f2402p-15, 0x1.29f486c0ac512p-15, 0x1.23c9e7a976b11p-15, 0x1.1da26bac54cep-15, 0x1.177e47dc44709p-15, 0x1.115db15dc2d75p-15, 0x1.0b40df26056bfp-15, 0x1.052809dcd3ac9p-15, 0x1.fe26d9069d78fp-16, 0x1.f2068ab26f16cp-16, 0x1.e5efaaee66d5ap-16, 0x1.d9e2bbe6da69ap-16, 0x1.cde036fbb215cp-16, 0x1.c1e8872765b2ap-16, 0x1.b5fc0fac867a2p-16, 0x1.aa1b44b2cc149p-16, 0x1.9e46b4a55713bp-16, 0x1.927ed6b9d1483p-16, 0x1.86c4834424d2fp-16, 0x1.7b18fc47d05f4p-16, 0x1.6f7b17c27dedep-16, 0x1.63eb347000aa9p-16, 0x1.586bb1ee69addp-16, 0x1.4cfb8e8671449p-16, 0x1.419b137c8ae2dp-16, 0x1.364b1c2875ca5p-16, 0x1.2b0c318c27341p-16, 0x1.1fdec360baf1cp-16, 0x1.14c33d79d59dcp-16, 0x1.09ba0addc968fp-16, 0x1.fd872ae933631p-17, 0x1.e7c08b6cb8f16p-17, 0x1.d2210464c3cbdp-17, 0x1.bca95f2669df4p-17, 0x1.a75a616474fbep-17, 0x1.9234cdaefedccp-17, 0x1.7d3962eaa0d78p-17, 0x1.6868db786e8a2p-17, 0x1.53c3ea734169bp-17, 0x1.3f4b3af988c2dp-17, 0x1.2aff7211044dbp-17, 0x1.16e13450fb759p-17, 0x1.02f129d14bb61p-17, 0x1.de5fd8f0d71dp-18, 0x1.b73c108cb6d2p-18, 0x1.9078a314410a7p-18, 0x1.6a15a8becf1ebp-18, 0x1.441574d876d56p-18, 0x1.1e7849bd59e81p-18, 0x1.f27e1037c094cp-19, 0x1.a8d546863dec1p-19, 0x1.5ff8577e2dbd2p-19, 0x1.17e8feccd4e48p-19, 0x1.a151b7a7d06dep-20, 0x1.147315f4d4cb6p-20, 0x1.1271af15fade1p-21, -0x1.68a0480c5939dp-30, -0x1.10868d0f03b94p-21, -0x1.0e8007e18f0f3p-20, -0x1.930e17aaebb28p-20, -0x1.0af5a678fbae1p-19, -0x1.4b8ad2e752cfbp-19, -0x1.8b45a24b6f5b2p-19, -0x1.ca25355c945ecp-19, -0x1.04146463b102fp-18, -0x1.22a7cffa6e2a1p-18, -0x1.40cc8ed015703p-18, -0x1.5e82574d0cfd7p-18, -0x1.7bc8e227fea21p-18, -0x1.98a017bf86239p-18, -0x1.b507b45dda314p-18, -0x1.d0ff99e89ba64p-18, -0x1.ec87a927d0411p-18, -0x1.03cfda39279e4p-17, -0x1.1123ea2238346p-17, -0x1.1e4005d8bf4bep-17, -0x1.2b241b4f631a7p-17, -0x1.37d04ab75e2d7p-17, -0x1.444496d45207fp-17, -0x1.50810adda5c7bp-17, -0x1.5c85b9d3d94d9p-17, -0x1.6852ba92710f8p-17, -0x1.73e827607dfe2p-17, -0x1.7f461de616fecp-17, -0x1.8a6cbf4ed6dbfp-17, -0x1.955c304a6980bp-17, -0x1.a01498f156e25p-17, -0x1.aa9624b827692p-17, -0x1.b4e1025614856p-17, -0x1.bef563b415602p-17, -0x1.c8d37dbd00bep-17, -0x1.d27b882aa61a1p-17, -0x1.dbedbd5252504p-17, -0x1.e52a5a59b1cbap-17, -0x1.ee319fc50b3a4p-17, -0x1.f703d1a752fd2p-17, -0x1.ffa13701c8bd1p-17, -0x1.04050bd5165e8p-16, -0x1.081f5d5262fe8p-16, -0x1.0c1fb7731cca5p-16, -0x1.100650482d6bp-16, -0x1.13d33ae163adfp-16, -0x1.1786930281b0ap-16, -0x1.1b20ad31db236p-16, -0x1.1ea1b1e9bea1p-16, -0x1.2209ac589b613p-16, -0x1.2558dc7baad63p-16, -0x1.288f7a2f42582p-16, -0x1.2badae454a45ap-16, -0x1.2eb3ab69ef29ap-16, -0x1.31a19b222afc5p-16, -0x1.3477b92a810f8p-16, -0x1.373635ed3b5dcp-16, -0x1.39dd4521a96dp-16, -0x1.3c6d1a0ea36e3p-16, -0x1.3ee5ee204ec5bp-16, -0x1.4147f45d7f957p-16, -0x1.43936092d36d6p-16, -0x1.45c873a3a498cp-16, -0x1.47e75c561e118p-16, -0x1.49f0561b9d399p-16, -0x1.4be3997768c52p-16, -0x1.4dc15fbe851f9p-16, -0x1.4f89e2c1dfe61p-16, -0x1.513d5ca63e817p-16, -0x1.52dc0831e33c7p-16, -0x1.546620c8694c4p-16, -0x1.55dbe104ccd94p-16, -0x1.573d8204f345p-16, -0x1.588b41417c5a2p-16, -0x1.59c56efe4bf2p-16, -0x1.5aec21d8c2a4bp-16, -0x1.5bff9c9311ad8p-16, -0x1.5d00378787043p-16, -0x1.5dee1f37dc113p-16, -0x1.5ec994e99ddb6p-16, -0x1.5f92da0dd4263p-16, -0x1.604a0df3d8492p-16, -0x1.60ef90582e5cp-16, -0x1.618393f172cf2p-16, -0x1.6206546434da5p-16, -0x1.62780f862791p-16, -0x1.62d902fb32513p-16, -0x1.63296c39cac6p-16, -0x1.636988c19ae32p-16, -0x1.639995d2a7aadp-16, -0x1.63b9d0c4c913ep-16, -0x1.63ca76d7fb7b1p-16, -0x1.63cbc5227dd17p-16, -0x1.63bdf887cd9b3p-16, -0x1.63a14bd322125p-16, -0x1.637601babc7bap-16, -0x1.633c51a03cad5p-16, -0x1.62f477f41582dp-16, -0x1.629eb1fb810f4p-16, -0x1.623b3b65c9604p-16, -0x1.61ca50114d969p-16, -0x1.614c2b9b8fdf2p-16, -0x1.60c108e989716p-16, -0x1.6029219179594p-16, -0x1.5f84afcd9aab5p-16, -0x1.5ed3f7921de35p-16, -0x1.5e172a3556522p-16, -0x1.5d4e73e5f68c3p-16, -0x1.5c7a27c386711p-16, -0x1.5b9a72fb5b7c6p-16, -0x1.5aaf8e19eae6fp-16, -0x1.59b9b65b8b2fcp-16, -0x1.58b921c6c53c5p-16, -0x1.57aecdb49f752p-16, -0x1.569894b271488p-16, -0x1.5578f9c12f79bp-16, -0x1.544f8b948c08bp-16, -0x1.531c7220b78fdp-16, -0x1.51dfe2bf4cee6p-16, -0x1.509a115293fa4p-16, -0x1.4f4b3300f9577p-16, -0x1.4df37d627388fp-16, -0x1.4c9323d83e25ep-16, -0x1.4b2a5a07952a5p-16, -0x1.49b95316b4e7ep-16, -0x1.484041bb7b935p-16, -0x1.46bf58386640cp-16, -0x1.4536c8599c488p-16, }}, 
      {{0x1.78ecc3d900137p-3, 0x1.7cbb56fb29f8p-3, 0x1.8274b9d414dbap-3, 0x1.896b5076a7082p-3, 0x1.90ece7d9f81cep-3, 0x1.9853aeea12f7bp-3, 0x1.9f0f194f50d6bp-3, 0x1.a4a7a6d6a2eacp-3, 0x1.a8bf85ecf49d4p-3, 0x1.ab1150a313169p-3, 0x1.ab6dcc378490ep-3, 0x1.a9b9215fba87ep-3, 0x1.a5e7fb25fbff4p-3, 0x1.9ffcb7ea688c3p-3, 0x1.9804cab694933p-3, 0x1.8e166316b9ba3p-3, 0x1.824e56f431ea3p-3, 0x1.74ce55e6c5fd8p-3, 0x1.65bb614c13d5fp-3, 0x1.553c809555b5cp-3, 0x1.4379b2087d5e7p-3, 0x1.309b0ca62a518p-3, 0x1.1cc810aa554b3p-3, 0x1.08271d3291f0bp-3, 0x1.e5ba1166b5843p-4, 0x1.ba19a99c630e2p-4, 0x1.8daef3321c727p-4, 0x1.60b788c7545fp-4, 0x1.336c8c6bc4007p-4, 0x1.06029d1323f51p-4, 0x1.b153c08a46a98p-5, 0x1.571c35da6a8fap-5, 0x1.fb5b57668058fp-6, 0x1.4a9e28de2b77p-6, 0x1.38fe9f37069d7p-7, -0x1.d22bbb46ae5d3p-11, -0x1.6c63833cc0505p-7, -0x1.5a0c9350096e1p-6, -0x1.f9d879d3a32f8p-6, -0x1.4aab946c4c0f6p-5, -0x1.962a44942c757p-5, -0x1.df52f4a2f245cp-5, -0x1.130a4ce183fb8p-4, -0x1.35310b37b8526p-4, -0x1.5618f00f7192cp-4, -0x1.75bed575bf516p-4, -0x1.94210d3a1d445p-4, -0x1.b13f3b7943daap-4, -0x1.cd1a3368b4a7ap-4, -0x1.e7b3d69e23d4fp-4, -0x1.00877b70dfaa8p-3, -0x1.0c979d3325ca4p-3, -0x1.180c811330b3p-3, -0x1.22e8a918bb225p-3, -0x1.2d2edde4dbf31p-3, -0x1.36e224a04c432p-3, -0x1.4005b5bd26e9dp-3, -0x1.489cf490f274ap-3, -0x1.50ab67acfbd23p-3, -0x1.5834b1ee0f191p-3, -0x1.5f3c8c3371ee1p-3, -0x1.65c6bfaf13b15p-3, -0x1.6bd720c2fe691p-3, -0x1.71718a61d2361p-3, -0x1.7699d9e894aacp-3, -0x1.7b53eb6a147f4p-3, -0x1.7fa39662d3de5p-3, -0x1.838caace3bf39p-3, -0x1.8712ee9556b3p-3, -0x1.8a3a1b4fd0a08p-3, -0x1.8d05dc504ba16p-3, -0x1.8f79ccf52aa8p-3, -0x1.91997738afb1dp-3, -0x1.9368527843044p-3, -0x1.94e9c2733d61fp-3, -0x1.96211672c437cp-3, -0x1.971188a5093a2p-3, -0x1.97be3d9387568p-3, -0x1.982a43ca2016ep-3, -0x1.9858938ed9726p-3, -0x1.984c0ec01ac3p-3, -0x1.980780c8948cp-3, -0x1.978d9ea0b48dp-3, -0x1.96e106f632f0ep-3, -0x1.96044249a7bd3p-3, -0x1.94f9c336c516dp-3, -0x1.93c3e6b4042d2p-3, -0x1.9264f46576734p-3, -0x1.90df1f012bcf1p-3, -0x1.8f3484a8f3c0ap-3, -0x1.8d672f5fe1c8p-3, -0x1.8b791577bcf3ap-3, -0x1.896c1a0694fc7p-3, -0x1.87420d67545f7p-3, -0x1.84fcadadb8f0dp-3, -0x1.829da72d3166fp-3, -0x1.802694f4b8a1ap-3, -0x1.7d99014e8e7fep-3, -0x1.7af66644255aep-3, -0x1.78402e193d8b6p-3, -0x1.7577b3cdcccd2p-3, -0x1.729e439aa83b5p-3, -0x1.6fb51b6c6cd15p-3, -0x1.6cbd6b600f037p-3, -0x1.69b8563970b3fp-3, -0x1.66a6f1dab98cp-3, -0x1.638a47b91d62fp-3, -0x1.6063554f41f48p-3, -0x1.5d330c89e8858p-3, -0x1.59fa543910c95p-3, -0x1.56ba0877c33d9p-3, -0x1.5372fb14f5e07p-3, -0x1.5025f3f7c746p-3, -0x1.4cd3b181ff3cp-3, -0x1.497ce8efac8e3p-3, -0x1.462246b338cbcp-3, -0x1.42c46ecf4f412p-3, -0x1.3f63fd2dfa95bp-3, -0x1.3c0185f4d79ecp-3, -0x1.389d95d6227a9p-3, -0x1.3538b2602fedp-3, -0x1.31d35a4955b3cp-3, -0x1.2e6e05b92aea9p-3, -0x1.2b09269052995p-3, -0x1.27a528acbfc88p-3, -0x1.2442722bdbbdap-3, -0x1.20e163aa374cep-3, -0x1.1d825881d62a3p-3, -0x1.1a25a7045c748p-3, -0x1.16cba0b488d0bp-3, -0x1.1374927d8c474p-3, -0x1.1020c4e731db9p-3, -0x1.0cd07c484f35ep-3, -0x1.0983f8f85b28bp-3, -0x1.063b777dc0956p-3, -0x1.02f730ba59d85p-3, -0x1.ff6eb42ddbff5p-4, -0x1.f8f84b593e3f9p-4, -0x1.f28b84d7f534dp-4, -0x1.ec28b885dfd85p-4, -0x1.e5d03883040b5p-4, -0x1.df825179441aap-4, -0x1.d93f4add6f067p-4, -0x1.d307672dffef6p-4, -0x1.ccdae434caf0ap-4, -0x1.c6b9fb3a34949p-4, -0x1.c0a4e14326f28p-4, -0x1.ba9bc742985ecp-4, -0x1.b49eda4d2e2f3p-4, -0x1.aeae43c99a1d2p-4, -0x1.a8ca299f0cd3fp-4, -0x1.a2f2ae6159673p-4, -0x1.9d27f17b26ecfp-4, -0x1.976a0f54b4c52p-4, -0x1.91b9217d95fbep-4, -0x1.8c153ecdee194p-4, -0x1.867e7b8ab1897p-4, -0x1.80f4e986a3448p-4, -0x1.7b7898424033dp-4, -0x1.76099509ceb83p-4, -0x1.70a7eb11d938p-4, -0x1.6b53a3929fe9cp-4, -0x1.660cc5e24a9dfp-4, -0x1.60d3578dafc93p-4, -0x1.5ba75c6fc8067p-4, -0x1.5688d6c81f85bp-4, -0x1.5177c75040d3fp-4, -0x1.4c742d4ff89d8p-4, -0x1.477e06b097e3dp-4, -0x1.4295500f685f4p-4, -0x1.3dba04cf1cdd7p-4, -0x1.38ec1f283f5f2p-4, -0x1.342b9838df475p-4, -0x1.2f786813ca068p-4, -0x1.2ad285cea424ap-4, -0x1.2639e78e15882p-4, -0x1.21ae8299458cep-4, -0x1.1d304b58e1623p-4, -0x1.18bf356e83969p-4, -0x1.145b33bc2e1f5p-4, -0x1.1004386d7038p-4, -0x1.0bba3501a046fp-4, -0x1.077d1a5572266p-4, -0x1.034cd8ac6307dp-4, -0x1.fe52bf728fb77p-5, -0x1.f6253d4bb23a8p-5, -0x1.ee110833d1e49p-5, -0x1.e615fc85b579p-5, -0x1.de33f5b63b504p-5, -0x1.d66ace61c1ee4p-5, -0x1.ceba6057a18d4p-5, -0x1.c72284a4eeb3fp-5, -0x1.bfa3139fdc2d3p-5, -0x1.b83be4f3c8b3bp-5, -0x1.b0eccfabad704p-5, -0x1.a9b5aa3b3b0d6p-5, -0x1.a2964a879f2e7p-5, -0x1.9b8e85ee9d01bp-5, -0x1.949e3150b998dp-5, -0x1.8dc52119d9f8bp-5, -0x1.87032948f4b8p-5, -0x1.80581d7620ecfp-5, -0x1.79c3d0d8c5d3p-5, -0x1.7346164e33a4dp-5, -0x1.6cdec060d6eaep-5, -0x1.668da14f77c1ap-5, -0x1.60528b11f4e5p-5, -0x1.5a2d4f5debbc5p-5, -0x1.541dbfabdda81p-5, -0x1.4e23ad3c14ebdp-5, -0x1.483ee91c7e7b4p-5, -0x1.426f442ddb3dcp-5, -0x1.3cb48f27eeb7ap-5, -0x1.370e9a9cf4fb3p-5, -0x1.317d36fd3736cp-5, -0x1.2c00349b35704p-5, -0x1.269763b0391adp-5, -0x1.214294609010bp-5, -0x1.1c0196bf022ap-5, -0x1.16d43acf9c899p-5, -0x1.11ba508a8eda6p-5, -0x1.0cb3a7df3ebd6p-5, -0x1.07c010b7f38f2p-5, -0x1.02df5afd67171p-5, -0x1.fc22ad33b83dap-6, -0x1.f2aba6f746c12p-6, -0x1.e959432eac6f2p-6, -0x1.e02b21d48d97fp-6, -0x1.d720e2fa7c00bp-6, -0x1.ce3a26ceef4c8p-6, -0x1.c5768da2f1652p-6, -0x1.bcd5b7eef444ap-6, -0x1.b4574656e586bp-6, -0x1.abfad9ae0b173p-6, -0x1.a3c012fb1dccbp-6, -0x1.9ba6937cfa9abp-6, -0x1.93adfcaf7c938p-6, -0x1.8bd5f0502a958p-6, -0x1.841e10625299fp-6, -0x1.7c85ff3291f25p-6, -0x1.750d5f5a29727p-6, -0x1.6db3d3c27bd3bp-6, -0x1.6678ffa8dfd5p-6, -0x1.5f5c86a29eb02p-6, -0x1.585e0ca0ea1dp-6, -0x1.517d35f46d00bp-6, -0x1.4ab9a75081558p-6, -0x1.441305ce1ac7ap-6, -0x1.3d88f6eea9947p-6, -0x1.371b209f317c7p-6, -0x1.30c9293b84982p-6, -0x1.2a92b79193fdep-6, -0x1.247772e498ffap-6, -0x1.1e7702efab56p-6, -0x1.18910fe8c2f63p-6, -0x1.12c54282f5931p-6, -0x1.0d1343f0eb01fp-6, -0x1.077abde7698bdp-6, -0x1.01fb5a9fee35bp-6, -0x1.f92989b68fb0ep-7, -0x1.ee8d4fc826875p-7, -0x1.e4215f220f0b2p-7, -0x1.d9e5108e2e8d9p-7, -0x1.cfd7bdf6cfda8p-7, -0x1.c5f8c26a7f328p-7, -0x1.bc477a1ff5c07p-7, -0x1.b2c3427a09475p-7, -0x1.a96b7a0ba0098p-7, -0x1.a03f809b80184p-7, -0x1.973eb727d6dcbp-7, -0x1.8e687fe98df64p-7, -0x1.85bc3e573c2c9p-7, -0x1.7d395727e3b77p-7, -0x1.74df3054e5dcfp-7, -0x1.6cad312c0b22p-7, -0x1.64a2c21515b5cp-7, -0x1.5cbf4d0907d97p-7, -0x1.55023d1a9010dp-7, -0x1.4d6afebe71aadp-7, -0x1.45f8ffbad3435p-7, -0x1.3eabaf29d6c2fp-7, -0x1.37827d7b9be84p-7, -0x1.307cdc77e94fp-7, -0x1.299a3f3fb3f7bp-7, -0x1.22da1a4ec3625p-7, -0x1.1c3be37d2a2a9p-7, -0x1.15bf1200b0b6dp-7, -0x1.0f631e6e18a1cp-7, -0x1.092782ba21fp-7, -0x1.030bba3a4fd09p-7, -0x1.fa1e834aee5b3p-8, -0x1.ee632e2852255p-8, -0x1.e2e47402487fp-8, -0x1.d7a1569371096p-8, -0x1.cc98da5d48019p-8, -0x1.c1ca06a80aaafp-8, -0x1.b733e5849dfaep-8, -0x1.acd583cc525c5p-8, -0x1.a2adf120932f6p-8, -0x1.98bc3fe99fb64p-8, -0x1.8eff85550c472p-8, -0x1.8576d953e5326p-8, -0x1.7c2156993b36ap-8, -0x1.72fe1a99a446bp-8, -0x1.6a0c458b6b636p-8, -0x1.614afa668d3acp-8, -0x1.58b95ee3e7958p-8, -0x1.50569b7b73522p-8, -0x1.4821db61060acp-8, -0x1.401a4c80235a7p-8, -0x1.383f1f776a7d6p-8, -0x1.308f87948493ep-8, -0x1.290abad161d9ap-8, -0x1.21aff1d2ee5a4p-8, -0x1.1a7e67e8cdd2fp-8, -0x1.13755b0d15e45p-8, -0x1.0c940be2d8462p-8, -0x1.05d9bdb292845p-8, -0x1.fe8b6cc8d3e28p-9, -0x1.f1ae7cf1633bap-9, -0x1.e51b4200ae89bp-9, -0x1.d8d0572cec25p-9, -0x1.cccc5cb8f3a39p-9, -0x1.c10df7f163b3dp-9, -0x1.b593d32d59a26p-9, -0x1.aa5c9dceee535p-9, -0x1.9f670c3fde031p-9, -0x1.94b1d7e7af62bp-9, -0x1.8a3bbf1b426a8p-9, -0x1.800385080488ep-9, -0x1.7607f19f2b921p-9, -0x1.6c47d18596c41p-9, -0x1.62c1f60b576aep-9, -0x1.5975352a654cbp-9, -0x1.50606989dac38p-9, -0x1.4782728009da1p-9, -0x1.3eda340e6a46bp-9, -0x1.366696d3940cep-9, -0x1.2e2687f47cf4ep-9, -0x1.2618f9006afe9p-9, -0x1.1e3cdfd5cb62bp-9, -0x1.16913691be049p-9, -0x1.0f14fb8981aa2p-9, -0x1.07c7314fb83f4p-9, -0x1.00a6dec0a0d68p-9, -0x1.f3661e16a3992p-10, -0x1.e5d5a35fbfce3p-10, -0x1.d89a74dad4d16p-10, -0x1.cbb2c23fbcfecp-10, -0x1.bf1cc32868007p-10, -0x1.b2d6b6bca533ep-10, -0x1.a6dee37717547p-10, -0x1.9b339715cfd58p-10, -0x1.8fd326b6966b7p-10, -0x1.84bbef12f6156p-10, -0x1.79ec54c1ddcacp-10, -0x1.6f62c4611ad82p-10, -0x1.651db28f2f7c3p-10, -0x1.5b1b9baa43782p-10, -0x1.515b035c487a9p-10, -0x1.47da740e3c335p-10, -0x1.3e987e64537a2p-10, -0x1.3593b8e61e341p-10, -0x1.2ccabfed6b93ap-10, -0x1.243c35ddadaep-10, -0x1.1be6c3904c653p-10, -0x1.13c918d00526bp-10, -0x1.0be1ecb6a4f8ep-10, -0x1.042ffdc90ed3dp-10, -0x1.f964238e2393p-11, -0x1.eacdea55e573fp-11, -0x1.dc9af4f0f268bp-11, -0x1.cec8f37722771p-11, -0x1.c1559f87167afp-11, -0x1.b43ebbd1c7804p-11, -0x1.a78214109f022p-11, -0x1.9b1d7da2e4f4cp-11, -0x1.8f0ed8affedcp-11, -0x1.83541135396c3p-11, -0x1.77eb202c3b899p-11, -0x1.6cd20c38e11b6p-11, -0x1.6206e59e71f01p-11, -0x1.5787cc3581bb3p-11, -0x1.4d52e728b693ep-11, -0x1.436667b9f7309p-11, -0x1.39c087aea1ce9p-11, -0x1.305f88cccfebap-11, -0x1.2741b4898e29fp-11, -0x1.1e655bfb44284p-11, -0x1.15c8d83b36d53p-11, -0x1.0d6a8b389fcddp-11, -0x1.0548e0b1ddf3bp-11, -0x1.fac49d937c983p-12, -0x1.eb6aab9c25e8p-12, -0x1.dc80fe68b19d4p-12, -0x1.ce04b8b114687p-12, -0x1.bff30b6b8d435p-12, -0x1.b24935e60ad65p-12, -0x1.a50487072572bp-12, -0x1.98225e607af5cp-12, -0x1.8ba02c08802c1p-12, -0x1.7f7b6f45f9172p-12, -0x1.73b1b50c65393p-12, -0x1.6840976898d29p-12, -0x1.5d25be283ba71p-12, -0x1.525edfdb1ab1ep-12, -0x1.47e9c1c40ce7ap-12, -0x1.3dc435f839d99p-12, -0x1.33ec186d683dap-12, -0x1.2a5f4ccb606eap-12, -0x1.211bbe9e7d1e2p-12, -0x1.181f64074f953p-12, -0x1.0f684160f82f6p-12, -0x1.06f46bc7ea7e5p-12, -0x1.fd8412ecac7ddp-13, -0x1.ed9e9fe5118d9p-13, -0x1.de35056f48f37p-13, -0x1.cf43e2d5ecfa2p-13, -0x1.c0c7f08d8d8b7p-13, -0x1.b2bdfda5db99fp-13, -0x1.a522e816faffap-13, -0x1.97f39be7e15cp-13, -0x1.8b2d0de23e1aap-13, -0x1.7ecc38bdfab41p-13, -0x1.72ce1ea8763bdp-13, -0x1.672fcd1162098p-13, -0x1.5bee6186a5bdep-13, -0x1.51070e30e1a9bp-13, -0x1.46771ca2454ap-13, -0x1.3c3bef72fcc56p-13, -0x1.32530490e3e41p-13, -0x1.28b9f937aa7b7p-13, -0x1.1f6e8ccb95a6fp-13, -0x1.166e9d52ca93p-13, -0x1.0db81b8a6d6eap-13, -0x1.0548fbc1d72b8p-13, -0x1.fa3e59b8662ep-14, -0x1.ea71356d453a3p-14, -0x1.db266f303a9d9p-14, -0x1.cc5a05c5e3958p-14, -0x1.be080f2045d65p-14, -0x1.b02cabfa743bap-14, -0x1.a2c400819fa4bp-14, -0x1.95ca384effe5p-14, -0x1.893b91d7c1869p-14, -0x1.7d146dba9ace3p-14, -0x1.7151635f979e3p-14, -0x1.65ef5798b8b37p-14, -0x1.5aeb85ae074a4p-14, -0x1.504368b93417ap-14, -0x1.45f48a32024ddp-14, -0x1.3bfc557b5539dp-14, -0x1.325811b4897d1p-14, -0x1.2904fd6567d0fp-14, -0x1.20007abcfc781p-14, -0x1.174816dc25782p-14, -0x1.0ed976f38c817p-14, -0x1.06b23b9fae718p-14, -0x1.fd9fdf20078e9p-15, -0x1.ee601a18b4105p-15, -0x1.dfa0236f37a9fp-15, -0x1.d15b2247548c1p-15, -0x1.c38c83111b65ep-15, -0x1.b6301632a1016p-15, -0x1.a942334e5b9cbp-15, -0x1.9cbfb6fba2149p-15, -0x1.90a5bd66f057ep-15, -0x1.84f144404b9f2p-15, -0x1.799f0186a42dbp-15, -0x1.6eab8e0513e35p-15, -0x1.6413a586dbed2p-15, -0x1.59d4443acfc73p-15, -0x1.4fea9968ae33cp-15, -0x1.4653e65b0465ep-15, -0x1.3d0d5f296c23dp-15, -0x1.3414181925e5ap-15, -0x1.2b650eb11182ep-15, -0x1.22fd4d526e71fp-15, -0x1.1ada0bf265f3cp-15, -0x1.12f8b2880ed4fp-15, -0x1.0b56ccdb863e8p-15, -0x1.03f1fc6746895p-15, -0x1.f99048343cabp-16, -0x1.ebaec6dc14dbcp-16, -0x1.de3bc9c47a8d9p-16, -0x1.d133a17a16fbcp-16, -0x1.c492ac576d2e1p-16, -0x1.b855777a07b53p-16, -0x1.ac78a803914a5p-16, -0x1.a0f8e0c47c63fp-16, -0x1.95d2cf2b65914p-16, -0x1.8b03351466c62p-16, -0x1.8086e129d3378p-16, -0x1.765aa90ec59d9p-16, -0x1.6c7b700b53b9fp-16, -0x1.62e638c1bffb7p-16, -0x1.599842d074bd4p-16, -0x1.508f15d49b154p-16, -0x1.47c853fcbf202p-16, -0x1.3f417246e20a2p-16, -0x1.36f7b3facaf0cp-16, -0x1.2ee872a209466p-16, -0x1.27114e67d5644p-16, -0x1.1f703cc20e0efp-16, -0x1.180399e2cdde6p-16, -0x1.10c9f79f247f7p-16, -0x1.09c1b980d539fp-16, -0x1.02e906b7341ap-16, -0x1.f87c096d79eacp-17, -0x1.eb7dda13cb326p-17, -0x1.ded3dda24e15p-17, -0x1.d27adeb338657p-17, -0x1.c66fd96075e8p-17, -0x1.bab02ec1f6be2p-17, -0x1.af39455645efep-17, -0x1.a408814ea42f2p-17, -0x1.991b9e250548p-17, -0x1.8e709865c477fp-17, -0x1.84054afa73913p-17, -0x1.79d700db5b5bdp-17, -0x1.6fe2a95557f43p-17, -0x1.662563db23aebp-17, -0x1.5c9cd90621afbp-17, -0x1.53479b344b2cep-17, -0x1.4a24cce32a8acp-17, -0x1.4133157699a63p-17, -0x1.387098b8a09c1p-17, -0x1.2fdb9bef3bbe3p-17, -0x1.27727f68b28ccp-17, -0x1.1f338fb2dde06p-17, -0x1.171d305752058p-17, -0x1.0f2e02907e74p-17, -0x1.0764e036f6cecp-17, -0x1.ff8180402256ap-18, -0x1.f08131632122fp-18, -0x1.e1c6a7d00bac7p-18, -0x1.d34fc1cefbdfep-18, -0x1.c51aa6bf1baffp-18, -0x1.b725c444af1e2p-18, -0x1.a96f4e71f446ep-18, -0x1.9bf4d1c89abe7p-18, -0x1.8eb3a12a9f5b8p-18, -0x1.81a96e337341dp-18, -0x1.74d4b12cab62bp-18, -0x1.6834e74a19f93p-18, -0x1.5bc92d54464acp-18, -0x1.4f8fcfd755abep-18, -0x1.438786f9252b1p-18, -0x1.37af31422bff9p-18, -0x1.2c0575286ef5fp-18, -0x1.208907c8f9b3p-18, -0x1.1538e13ae19abp-18, -0x1.0a141231dd768p-18, -0x1.fe338559c0135p-19, -0x1.e89256fa6d9c1p-19, -0x1.d3431a61522acp-19, -0x1.be4448262a33bp-19, -0x1.a99446fa82c2bp-19, -0x1.9531863afa352p-19, -0x1.811abbbde0c88p-19, -0x1.6d4eec571aedcp-19, -0x1.59ccdc8ca8827p-19, -0x1.4692c4987cbe6p-19, -0x1.339f274a9ff68p-19, -0x1.20f0d5cc5ca16p-19, -0x1.0e86d81d373dep-19, -0x1.f8c13aa2f1a73p-20, -0x1.d4f9c14d920f2p-20, -0x1.b1b6184537af1p-20, -0x1.8ef504795b3ccp-20, -0x1.6cb47992cdde7p-20, -0x1.4af2ded7301b7p-20, -0x1.29aef4c2803a7p-20, -0x1.08e78306a036dp-20, -0x1.d1369ae0e01b7p-21, -0x1.9192468ab0586p-21, -0x1.52dfd69bd123p-21, -0x1.151d51599008bp-21, -0x1.b091c8f7dc61ap-22, -0x1.38c1353523199p-22, -0x1.8589bca067ee9p-23, -0x1.3a6219a5d0578p-24, 0x1.1e39af55940ffp-25, 0x1.28b9a90e854b2p-23, 0x1.032b8aba24b71p-22, 0x1.70370e919fb5p-22, 0x1.db8107a19697ap-22, 0x1.2286825543cadp-21, 0x1.566fff7d78b38p-21, 0x1.897e9d600f0bcp-21, 0x1.bbb292fc7bf8ep-21, 0x1.ed0d3261c7f5dp-21, 0x1.0ec799c4fc805p-20, 0x1.269d3de8953d6p-20, 0x1.3e081b55b786cp-20, 0x1.5508a228139fap-20, 0x1.6b9f58ff7c435p-20, 0x1.81ccbdc5dbc66p-20, 0x1.979185999522cp-20, 0x1.acee33db32852p-20, 0x1.c1e3502345f8ep-20, 0x1.d6715c26ffcafp-20, 0x1.ea98d8574019p-20, 0x1.fe5a4cc59d15fp-20, 0x1.08db2696271fdp-19, 0x1.1256b93db5af2p-19, 0x1.1ba0255cb08e6p-19, 0x1.24b7a84d2331fp-19, 0x1.2d9d80a8d6724p-19, 0x1.3651efcd6867cp-19, 0x1.3ed5308bde205p-19, 0x1.4727a03a99d97p-19, 0x1.4f49aa356b3dfp-19, 0x1.573b763e9811ap-19, 0x1.5efd3e5f7e116p-19, 0x1.668f5e988a264p-19, 0x1.6df21ff2be116p-19, 0x1.7525c9d16ca7ap-19, 0x1.7c2aa86fa0e74p-19, 0x1.83010910e8587p-19, 0x1.89a938552a3a2p-19, 0x1.90238885d3f53p-19, 0x1.96704979ac429p-19, 0x1.9c8fcd27a153bp-19, 0x1.a282664cdf3a1p-19, 0x1.a848680a73856p-19, 0x1.ade225f97120fp-19, 0x1.b34ff4c8ca39fp-19, 0x1.b8922b2d64c35p-19, 0x1.bda921c7ee41fp-19, 0x1.c295367a5e05dp-19, 0x1.c756baed43b02p-19, 0x1.cbee1079c8116p-19, 0x1.d05b8cf511aa3p-19, 0x1.d49f8c37435a9p-19, 0x1.d8ba6d1b10e1p-19, 0x1.dcac91df50526p-19, 0x1.e076b14951c9ap-19, 0x1.e418282c21b4ep-19, 0x1.e79258e9bb4bdp-19, 0x1.eae54fe0b0261p-19, 0x1.ee116f593ecc6p-19, 0x1.f1171b92a8bc5p-19, 0x1.f3f6b94cbc713p-19, 0x1.f6b0add76395p-19, 0x1.f9455f677d322p-19, 0x1.fbb534abc81bfp-19, 0x1.fe0095714f855p-19, 0x1.0013f4f25dp-18, 0x1.0115cd717bbfep-18, 0x1.020608f34cb01p-18, 0x1.02e4dc36b0a0dp-18, 0x1.03b27cc84ba34p-18, 0x1.046f1fc48180ep-18, 0x1.051afafeff9cbp-18, 0x1.05b6447521a35p-18, 0x1.0641325930f77p-18, 0x1.06bbfaea3f8cep-18, 0x1.0726d44636f51p-18, 0x1.0781fb1f77a99p-18, 0x1.07cd90c9f85cbp-18, 0x1.0809f36732de8p-18, 0x1.08372af2f927dp-18, 0x1.0855902b30e51p-18, 0x1.0865513737773p-18, 0x1.0866a333c4879p-18, 0x1.0859bddd9c2c1p-18, 0x1.083ed89c5c312p-18, 0x1.08162c29db149p-18, 0x1.07dfef147895dp-18, 0x1.079c5155c199ep-18, 0x1.074b94699a734p-18, 0x1.06edebcc89dcp-18, 0x1.06838e8a378bep-18, 0x1.060cb34550573p-18, 0x1.05899076b3f13p-18, 0x1.04fa5d3e7eed2p-18, 0x1.045f509307a85p-18, 0x1.03b8a0ff5e7c3p-18, 0x1.030683ec2b0ecp-18, 0x1.024932067c73bp-18, 0x1.0180df4375358p-18, 0x1.00adc2e2f6096p-18, 0x1.ffa01745264a6p-19, 0x1.fdcfb77e56dd1p-19, 0x1.fbeb54335ab78p-19, 0x1.f9f30a2e76c03p-19, 0x1.f7e719df50b04p-19, 0x1.f5c80ebb7b98ap-19, 0x1.f396555370589p-19, 0x1.f15251e4fc08dp-19, 0x1.eefc6d5f32016p-19, 0x1.ec950cf5a08d7p-19, 0x1.ea1c969adbb63p-19, 0x1.e7936f74cd005p-19, 0x1.e4f9fc02d2534p-19, 0x1.e250a03898d88p-19, 0x1.df97bfa0e46aep-19, 0x1.dccfbce02c868p-19, 0x1.d9f8f97e3d0ffp-19, 0x1.d713d66fa7301p-19, 0x1.d420b4180cbdbp-19, 0x1.d11ff2167bb0fp-19, 0x1.ce11ef3ab9a45p-19, 0x1.caf7098485998p-19, 0x1.c7cf9e2972c58p-19, 0x1.c49c09897fa38p-19, 0x1.c15ca72d752dp-19, 0x1.be11d1c1b3cd5p-19, 0x1.babbe318fec51p-19, 0x1.b75b34302737fp-19, 0x1.b3f01d2deabdap-19, 0x1.b07af554dabcdp-19, 0x1.acfc12f596354p-19, 0x1.a973cc50373c1p-19, 0x1.a5e27434e97c3p-19, 0x1.a2485f8a64ea6p-19, 0x1.9ea5e0f9eb602p-19, 0x1.9afb49b0c3d82p-19, 0x1.9748eb51cef6fp-19, 0x1.938f1595d627bp-19, 0x1.8fce170e12e6dp-19, 0x1.8c063db08f521p-19, 0x1.8837d6122a93fp-19, 0x1.846330b707f4dp-19, 0x1.8088a39116db5p-19, 0x1.7ca84a6a5e67ap-19, 0x1.78c29ffcfd457p-19, 0x1.74d7dcaf9b33p-19, 0x1.70e845fedbfb4p-19, 0x1.6cf411c9f6ca1p-19, 0x1.68fbb41c22df5p-19, 0x1.64ff4d2862e85p-19, 0x1.60ff13a8f5d3ap-19, 0x1.5cfb7ac20a01cp-19, 0x1.58f498c85a43dp-19, 0x1.54eabcfd5a7b6p-19, 0x1.50de25cbd5583p-19, 0x1.4ccf13046e604p-19, 0x1.48bdc3eb75cb8p-19, 0x1.44aa74300ebe8p-19, 0x1.40955e82bf5f6p-19, 0x1.3c7ebe1359bb5p-19, 0x1.3866cd154c6c4p-19, 0x1.344dc47fe9557p-19, 0x1.3033dc61e5f4dp-19, 0x1.2c194c064709bp-19, 0x1.27fe494240ce1p-19, 0x1.23e30944c4814p-19, 0x1.1fc7c0858ccfp-19, 0x1.1baca24702dbp-19, 0x1.1791e102ead3bp-19, 0x1.1377ae4432047p-19, 0x1.0f5e3a50b46c7p-19, 0x1.0b45b536e2c46p-19, 0x1.072e4da30e661p-19, 0x1.03183173dc791p-19, 0x1.fe071b53e8acfp-20, 0x1.f5e11cc1c188p-20, 0x1.edbebdb96a9c6p-20, 0x1.e5a0527b80aa8p-20, 0x1.dd862e44404afp-20, 0x1.d570a27d703dep-20, 0x1.cd5fff2f4a505p-20, 0x1.c55491d5f0318p-20, 0x1.bd4ea3d5b3b1ep-20, 0x1.b54e29f95fc05p-20, 0x1.ad546bd374efcp-20, 0x1.a560d3d5599ep-20, 0x1.9d73c668e4bb9p-20, 0x1.958da2c40cd42p-20, 0x1.8daea7223a20cp-20, 0x1.85d714d7f38ddp-20, 0x1.7e072b16c641p-20, 0x1.763f276be899bp-20, 0x1.6e7f4664a6336p-20, 0x1.66c7c97ce4d15p-20, 0x1.5f18d60700819p-20, 0x1.5772b6b8c0a43p-20, 0x1.4fd59b27cd2aap-20, 0x1.4841b8b180c2fp-20, 0x1.40b74291dc89p-20, 0x1.39366dff5b262p-20, 0x1.31bf9be128f92p-20, 0x1.2a534473ef8ecp-20, 0x1.2300ff211519bp-20, 0x1.1b97fdcc146f2p-20, 0x1.14490821efd42p-20, 0x1.0d058cc5fcb14p-20, 0x1.05ccff1abe8f5p-20, 0x1.fd3eeb893e023p-21, 0x1.eefa130ca8213p-21, 0x1.e0cbbf1ac0b92p-21, 0x1.d2b4461a46beep-21, 0x1.c4b3e252acf53p-21, 0x1.b6cad600d180ep-21, 0x1.a8f96041d3e0ep-21, 0x1.9b3fbdee8f682p-21, 0x1.8d9e298c5a11p-21, 0x1.8014db58ee322p-21, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.da6d9fa863eecp-9, 0x1.7246522aefddp-8, 0x1.80e1b61fc1abbp-8, 0x1.3d7c7a0211f7ep-8, 0x1.bef7939f16db6p-9, 0x1.3f37b84e06fd8p-9, 0x1.5de65e5fa4011p-9, 0x1.331c16b799fe9p-8, 0x1.22adeee5c68c1p-7, 0x1.f9b5e09d83d12p-7, 0x1.9042d527b09b5p-6, 0x1.253b9984c40a2p-5, 0x1.946843b3928f3p-5, 0x1.09e1487879ddbp-4, 0x1.508257d0eb42p-4, 0x1.9cd82ba1c8d0ep-4, 0x1.ed97eb628433cp-4, 0x1.20bc0acf648f7p-3, 0x1.4b9d37fd0cb94p-3, 0x1.76d9a42b4abdcp-3, 0x1.a1e738c4fdd23p-3, 0x1.cc49328d3de0dp-3, 0x1.f590f31c98053p-3, 0x1.0eaf1e82ff041p-2, 0x1.21af7ee1320e7p-2, 0x1.33a761d29d6ecp-2, 0x1.447afc7f1e58bp-2, 0x1.54147c02aa931p-2, 0x1.6263843c20d5dp-2, 0x1.6f5ca97c23ef8p-2, 0x1.7af8ea214a8f3p-2, 0x1.85352b7239b0ap-2, 0x1.8e11bcc2402f1p-2, 0x1.9591e1ce2b443p-2, 0x1.9bbb65f7bceb6p-2, 0x1.a09638f2cf0a4p-2, 0x1.a42c141b1c81dp-2, 0x1.a6882895f8ddfp-2, 0x1.a7b6d69604e39p-2, 0x1.a7c56c73a69b4p-2, 0x1.a6c1ec720cd6dp-2, 0x1.a4bad94235b23p-2, 0x1.a1bf093d7f501p-2, 0x1.9ddd7f76c19b9p-2, 0x1.992549a03e5c2p-2, 0x1.93a5625cfc50fp-2, 0x1.8d6c97ef6c5fap-2, 0x1.8689771224047p-2, 0x1.7f0a39736f28cp-2, 0x1.76fcb7352a79fp-2, 0x1.6e6e5af772b54p-2, 0x1.656c1826c776ap-2, 0x1.5c0263625adcep-2, 0x1.523d2cd14cfaep-2, 0x1.4827dc2e797fap-2, 0x1.3dcd4e4f9e31p-2, 0x1.3337d3eed8a0bp-2, 0x1.2871317daf9b4p-2, 0x1.1d829fe61a497p-2, 0x1.1274ce0b481dbp-2, 0x1.074fe30388c95p-2, 0x1.f83701bcac5b1p-3, 0x1.e1bd8fef73bc4p-3, 0x1.cb40b54f33fabp-3, 0x1.b4ccc2b454467p-3, 0x1.9e6d1d9fbdcb4p-3, 0x1.882c496fd4675p-3, 0x1.7213f062eee23p-3, 0x1.5c2ced74d413ep-3, 0x1.467f55660614dp-3, 0x1.311280f5578f9p-3, 0x1.1bed15b6eb271p-3, 0x1.0715102366cd8p-3, 0x1.e51f992bb0af6p-4, 0x1.bcc4204e2e8ap-4, 0x1.952025777db6fp-4, 0x1.6e3b0af5e7af9p-4, 0x1.481b3ce302302p-4, 0x1.22c639a1426e8p-4, 0x1.fc8151f8babb3p-5, 0x1.b51ccc0df0bf1p-5, 0x1.6f651ca1dc304p-5, 0x1.2b5f286626f38p-5, 0x1.d21d0a899c05cp-6, 0x1.50eb545c3eaf8p-6, 0x1.a657cbda515b2p-7, 0x1.637e02bca82f2p-8, -0x1.dfade75bbc7dcp-10, -0x1.22cbea1e1c0bdp-7, -0x1.0165efc0aca5fp-6, -0x1.6e0064afaabb6p-6, -0x1.d73c290724c47p-6, -0x1.1e9093a3c6772p-5, -0x1.4fdc2c8e2e305p-5, -0x1.7f85cbc3a67dbp-5, -0x1.ad92c62848a35p-5, -0x1.da08cea432319p-5, -0x1.0276f3297d223p-4, -0x1.17242bfa25146p-4, -0x1.2b0f55cdbb1bep-4, -0x1.3e3bcf3206c39p-4, -0x1.50ad0e1d8d4cep-4, -0x1.62669b3b172cap-4, -0x1.736c0f5257e6bp-4, -0x1.83c10fe2ca6bbp-4, -0x1.93694c2434867p-4, -0x1.a2687ac73e62bp-4, -0x1.b0c25713a32a2p-4, -0x1.be7a9ef5f2fbfp-4, -0x1.cb9510ec7a6b3p-4, -0x1.d81569db33199p-4, -0x1.e3ff63ac99e2fp-4, -0x1.ef56b382b84ebp-4, -0x1.fa1f082384db2p-4, -0x1.022e047d17a81p-3, -0x1.0708aa4f3ebfp-3, -0x1.0ba13fd665547p-3, -0x1.0ff98a0e4514fp-3, -0x1.1413480f84f68p-3, -0x1.17f032a06965bp-3, -0x1.1b91fc07b29abp-3, -0x1.1efa4fa72941p-3, -0x1.222ad1a481bbap-3, -0x1.25251edc09e6p-3, -0x1.27eacca7caaa6p-3, -0x1.2a7d68999b13ep-3, -0x1.2cde787eec466p-3, -0x1.2f0f7a54935cfp-3, -0x1.3111e4137a34fp-3, -0x1.32e723b5314fdp-3, -0x1.34909f4a56e03p-3, -0x1.360fb4e44f671p-3, -0x1.3765ba921ffadp-3, -0x1.3893fe8402a2p-3, -0x1.399bc7182cb6bp-3, -0x1.3a7e52d99b09p-3, -0x1.3b3cd89b978b6p-3, -0x1.3bd8879ccc5f2p-3, -0x1.3c5287995cbc2p-3, -0x1.3cabf8de4ebb2p-3, -0x1.3ce5f46ab8d7ep-3, -0x1.3d018c139bc94p-3, -0x1.3cffcaa11f195p-3, -0x1.3ce1b3e89207ap-3, -0x1.3ca844ed449ap-3, -0x1.3c5474081930ep-3, -0x1.3be7310c9dabcp-3, -0x1.3b616562974e6p-3, -0x1.3ac3f425afdeep-3, -0x1.3a0fba512b288p-3, -0x1.39458ee658ee1p-3, -0x1.386643068fa44p-3, -0x1.3772a211b82b3p-3, -0x1.366b71d0980a1p-3, -0x1.3551729c34651p-3, -0x1.34255f78d57a4p-3, -0x1.32e7ee3357756p-3, -0x1.3199cf86c5c2ep-3, -0x1.303baf41a8195p-3, -0x1.2ece3464106b1p-3, -0x1.2d52013c83eeap-3, -0x1.2bc7b387b2caep-3, -0x1.2a2fe4908ec3p-3, -0x1.288b294f89802p-3, -0x1.26da12896a2e4p-3, -0x1.251d2cebfffbfp-3, -0x1.23550126e8f67p-3, -0x1.2182140683efcp-3, -0x1.1fa4e69456546p-3, -0x1.1dbdf635d6593p-3, -0x1.1bcdbcc1b266ep-3, -0x1.19d4b091877d1p-3, -0x1.17d3449cdbe37p-3, -0x1.15c9e89b52cbp-3, -0x1.13b9091eafd42p-3, -0x1.11a10f9fafea3p-3, -0x1.0f82628cceb47p-3, -0x1.0d5d656484298p-3, -0x1.0b3278d846e65p-3, -0x1.0901fae0bbe25p-3, -0x1.06cc46c4a035ap-3, -0x1.0491b523d5ebfp-3, -0x1.02529c1241aeep-3, -0x1.000f4f37745f4p-3, -0x1.fb903fc0add3fp-4, -0x1.f6faba05688e7p-4, -0x1.f25ea688b00f2p-4, -0x1.edbc9a23c1626p-4, -0x1.e9152578bf7bep-4, -0x1.e468d51694178p-4, -0x1.dfb8317e4f6f2p-4, -0x1.db03bf27e99bbp-4, -0x1.d64bfea25da6bp-4, -0x1.d1916cc84d27fp-4, -0x1.ccd482e8bcebp-4, -0x1.c815b6d1f94bfp-4, -0x1.c3557acf812c2p-4, -0x1.be943db89e872p-4, -0x1.b9d26b185fd22p-4, -0x1.b5106b597898bp-4, -0x1.b04ea3dd10552p-4, -0x1.ab8d76fb1c294p-4, -0x1.a6cd4402382a3p-4, -0x1.a20e674b91978p-4, -0x1.9d513a6058d6dp-4, -0x1.9896141b85057p-4, -0x1.93dd48b751d7dp-4, -0x1.8f2729cb554e8p-4, -0x1.8a74064dce7d8p-4, -0x1.85c42aa623c7fp-4, -0x1.8117e0cc6e919p-4, -0x1.7c6f7064db71bp-4, -0x1.77cb1ecadc24bp-4, -0x1.732b2f0ff49p-4, -0x1.6e8fe1fc274d9p-4, -0x1.69f9761b3a5e9p-4, -0x1.656827d591087p-4, -0x1.60dc318845c33p-4, -0x1.5c55cb91d0c5p-4, -0x1.57d52c5362c06p-4, -0x1.535a88302a0fcp-4, -0x1.4ee611942d2d6p-4, -0x1.4a77f9056f3fbp-4, -0x1.46106d38e6f2p-4, -0x1.41af9b21ecf5p-4, -0x1.3d55adf81327dp-4, -0x1.3902cf374ac4ap-4, -0x1.34b726a1e47c9p-4, -0x1.3072da4982715p-4, -0x1.2c360e9e857a1p-4, -0x1.2800e6803596ep-4, -0x1.23d38347b8f34p-4, -0x1.1fae04cc63fbdp-4, -0x1.1b908964d8d34p-4, -0x1.177b2dea06574p-4, -0x1.136e0dbf3729ap-4, -0x1.0f6942de6f66ep-4, -0x1.0b6ce5e54ed58p-4, -0x1.07790e1e89739p-4, -0x1.038dd186c30e9p-4, -0x1.ff56899d9c59bp-5, -0x1.f7a2f6bd3e384p-5, -0x1.f0010eb6d5687p-5, -0x1.e870f362084efp-5, -0x1.e0f2c438d16a9p-5, -0x1.d9869e698f9c4p-5, -0x1.d22c9ce31cf89p-5, -0x1.cae4d85bf3a9ap-5, -0x1.c3af675813b25p-5, -0x1.bc8c5e31bdd76p-5, -0x1.b57bcf26b1fd1p-5, -0x1.ae7dca68c7aabp-5, -0x1.a7925e2eb71bep-5, -0x1.a0b996c200da8p-5, -0x1.99f37e8928df3p-5, -0x1.93401e0f168f1p-5, -0x1.8c9f7c0a3727ep-5, -0x1.86119d6591535p-5, -0x1.7f96854cb2cdcp-5, -0x1.792e3539963e3p-5, -0x1.72d8ad027e266p-5, -0x1.6c95eae6277f2p-5, -0x1.6665eb95aac68p-5, -0x1.6048aa3c8dabfp-5, -0x1.5a3e2088425f2p-5, -0x1.544646b09c1b2p-5, -0x1.4e611381eb4f8p-5, -0x1.488e7c6876d1ep-5, -0x1.42ce757c4db88p-5, -0x1.3d20f18c6510ep-5, -0x1.3785e22877df2p-5, -0x1.31fd37a98ce5fp-5, -0x1.2c86e139a8a01p-5, -0x1.2722ccdb7721cp-5, -0x1.21d0e773abab8p-5, -0x1.1c911cce8a984p-5, -0x1.176357b1284cfp-5, -0x1.124781dbc8808p-5, -0x1.0d3d8417ba3a1p-5, -0x1.0845463eea798p-5, -0x1.035eaf43d90a1p-5, -0x1.fd134a71dd4e4p-6, -0x1.f38c1aaf45241p-6, -0x1.ea27980fd417bp-6, -0x1.e0e589d0983cep-6, -0x1.d7c5b5accec9bp-6, -0x1.cec7dfef522bbp-6, -0x1.c5ebcb83c326ap-6, -0x1.bd313a06b553fp-6, -0x1.b497ebd45cd33p-6, -0x1.ac1fa0156cf4cp-6, -0x1.a3c814cae5dbap-6, -0x1.9b9106d9aec16p-6, -0x1.937a3217592edp-6, -0x1.8b835158ad99dp-6, -0x1.83ac1e81be8f8p-6, -0x1.7bf45296f00c2p-6, -0x1.745ba5cd36fa8p-6, -0x1.6ce1cf981d4dap-6, -0x1.658686b46b9bcp-6, -0x1.5e49812fa1bd5p-6, -0x1.572a746dccbaep-6, -0x1.502915306a3dep-6, -0x1.494517a0d92b7p-6, -0x1.427e2f5fb95dbp-6, -0x1.3bd40f984160ap-6, -0x1.35466b14cebb4p-6, -0x1.2ed4f450b19b9p-6, -0x1.287f5d837579fp-6, -0x1.224558a4115fdp-6, -0x1.1c26976557ed4p-6, -0x1.1622cb303ef96p-6, -0x1.1039a5224ba7ap-6, -0x1.0a6ad615b98acp-6, -0x1.04b60eb585eefp-6, -0x1.fe35ff36357f3p-7, -0x1.f332b2dd05ddp-7, -0x1.e8619a002dc93p-7, -0x1.ddc216a70fd8cp-7, -0x1.d3538b312ed8ep-7, -0x1.c9155a2993c6ap-7, -0x1.bf06e60e87eb4p-7, -0x1.b52791287cbbcp-7, -0x1.ab76bd87a2021p-7, -0x1.a1f3cd34b0516p-7, -0x1.989e228ee147cp-7, -0x1.8f7520bedf8b6p-7, -0x1.86782c1b1cc9cp-7, -0x1.7da6aa5b24f88p-7, -0x1.75000284ac84fp-7, -0x1.6c839c94a5bb6p-7, -0x1.6430e0ffbf87ep-7, -0x1.5c0738373d739p-7, -0x1.54060a62bf3e2p-7, -0x1.4c2cbf722477p-7, -0x1.447abf8e5f572p-7, -0x1.3cef73cfb3174p-7, -0x1.358a470450976p-7, -0x1.2e4aa64734f5bp-7, -0x1.273001312cb9cp-7, -0x1.2039c98b46b25p-7, -0x1.196772937fa8dp-7, -0x1.12b8700a135dp-7, -0x1.0c2c3556c6c8ep-7, -0x1.05c235140b231p-7, -0x1.fef3c26451fa2p-8, -0x1.f2a5576c9c1dap-8, -0x1.e6980fcd5b7fep-8, -0x1.dacad718ec788p-8, -0x1.cf3c9fcdc04f5p-8, -0x1.c3ec63f6dabb3p-8, -0x1.b8d924395cfdbp-8, -0x1.ae01e57d5157fp-8, -0x1.a365add4ebdd2p-8, -0x1.99038191d2a8bp-8, -0x1.8eda617a65197p-8, -0x1.84e94ac910aecp-8, -0x1.7b2f391bb58ep-8, -0x1.71ab29e0f67d3p-8, -0x1.685c2053ecb8fp-8, -0x1.5f4128dbb4b5fp-8, -0x1.56595abcd68p-8, -0x1.4da3d77957384p-8, -0x1.451fc7e214fd9p-8, -0x1.3ccc578c110c2p-8, -0x1.34a8afe43ce24p-8, -0x1.2cb3f44f700c2p-8, -0x1.24ed408e3c755p-8, -0x1.1d53aa06ba8c6p-8, -0x1.15e643cbacb75p-8, -0x1.0ea4246a5cab4p-8, -0x1.078c6bf76e963p-8, -0x1.009e48aa9020dp-8, -0x1.f3b1f139ffd7dp-9, -0x1.e67790184f6c7p-9, -0x1.d98c18ca25087p-9, -0x1.ccee3a9506973p-9, -0x1.c09c9ab6678cap-9, -0x1.b495c92617bap-9, -0x1.a8d83ba7301c7p-9, -0x1.9d62509f37d58p-9, -0x1.9232594192defp-9, -0x1.8746a9c219bf5p-9, -0x1.7c9daa4c92279p-9, -0x1.7235e5bec1ccbp-9, -0x1.680e111452d72p-9, -0x1.5e25099afbbb8p-9, -0x1.5479ca58ce374p-9, -0x1.4b0b5b9be6bbp-9, -0x1.41d8c0ffcdd6ap-9, -0x1.38e0ea093a9dap-9, -0x1.3022a84c90a6dp-9, -0x1.279cacb7958c3p-9, -0x1.1f4d8c9250115p-9, -0x1.1733cddf1edfdp-9, -0x1.0f4df9592e053p-9, -0x1.079aae3aab3ffp-9, -0x1.0018b22af4551p-9, -0x1.f18defeb1371ep-10, -0x1.e349357d99637p-10, -0x1.d561a05f81488p-10, -0x1.c7d5af28b2b66p-10, -0x1.baa3d7c7198d6p-10, -0x1.adca76afc328fp-10, -0x1.a147c6b3fd2c6p-10, -0x1.9519dc46df754p-10, -0x1.893ea2f2f8aa4p-10, -0x1.7db3e210c9589p-10, -0x1.72774f8722eep-10, -0x1.6786b0cdf523p-10, -0x1.5cdfff1359aa7p-10, -0x1.52817c0f1e9bap-10, -0x1.4869a97e23e18p-10, -0x1.3e972568e0ccfp-10, -0x1.35087f9d9e702p-10, -0x1.2bbc2328f7402p-10, -0x1.22b06246066cap-10, -0x1.19e39a11bfabep-10, -0x1.115451f34b28cp-10, -0x1.09013d713b448p-10, -0x1.00e91f6747e57p-10, -0x1.f2154f4251f87p-11, -0x1.e2c8d21e0ac8cp-11, -0x1.d3e9e79421fbdp-11, -0x1.c576012e66da2p-11, -0x1.b76b1675714abp-11, -0x1.a9c781c54fdb7p-11, -0x1.9c89847a2c7d2p-11, -0x1.8faeae614a5dap-11, -0x1.8333870b03455p-11, -0x1.7713c25c4e4d7p-11, -0x1.6b4afb68c8aafp-11, -0x1.5fd59595bb544p-11, -0x1.54b13ea169e44p-11, -0x1.49dcc2336e9fcp-11, -0x1.3f5755e063d81p-11, -0x1.351fe55f46f38p-11, -0x1.2b34dead64bddp-11, -0x1.21948febc5e3bp-11, -0x1.183db6fd4ec18p-11, -0x1.0f2fc852bccd6p-11, -0x1.066aace563d09p-11, -0x1.fbdc1891b922cp-12, -0x1.eb70f5122c8b9p-12, -0x1.db8df1712aa83p-12, -0x1.cc2a2f077bb6bp-12, -0x1.bd3b88b0d5016p-12, -0x1.aeb8ee602157p-12, -0x1.a09c6e5bfc436p-12, -0x1.92e3d46307b34p-12, -0x1.858f7b9031d32p-12, -0x1.78a019e6a9775p-12, -0x1.6c150b3b3544dp-12, -0x1.5fec2ecafc317p-12, -0x1.54231e0d0ee55p-12, -0x1.48b89b75b9f72p-12, -0x1.3dad26c0ea0dp-12, -0x1.3302322e0090ep-12, -0x1.28b85ea59696cp-12, -0x1.1ecdf709590fcp-12, -0x1.153e984810515p-12, -0x1.0c03d3f5790d2p-12, -0x1.0316285278005p-12, -0x1.f4dc428b0b969p-13, -0x1.e40b5723a9ffcp-13, -0x1.d3b26ab0551d3p-13, -0x1.c3cfea7bbbc7dp-13, -0x1.b46609d150b4bp-13, -0x1.a5775cf127928p-13, -0x1.9703ee0c52efap-13, -0x1.8908aa531827bp-13, -0x1.7b817e46ba523p-13, -0x1.6e6cb154b7e8bp-13, -0x1.61cc3b08dc81p-13, -0x1.55a2e7a980a23p-13, -0x1.49f01a1a2de21p-13, -0x1.3eaebff4b731cp-13, -0x1.33d7d1f6ad9bp-13, -0x1.2965090f23a08p-13, -0x1.1f514564bbf8ep-13, -0x1.159726bc381cfp-13, -0x1.0c2ff810c72d1p-13, -0x1.0314280f47d6fp-13, -0x1.f47a1f50a9698p-14, -0x1.e34f1555be77cp-14, -0x1.d2aacce746502p-14, -0x1.c2958f6921afep-14, -0x1.b311f70b70e5ep-14, -0x1.a4190daa9b14p-14, -0x1.95a2cc1f635fap-14, -0x1.87afabbae036cp-14, -0x1.7a4501c9084acp-14, -0x1.6d6269d6fa934p-14, -0x1.60feff8e162aap-14, -0x1.550ee91677776p-14, -0x1.498954206446dp-14, -0x1.3e6af75ea2751p-14, -0x1.33b51f5189ad9p-14, -0x1.296a120244641p-14, -0x1.1f88aad17c71ap-14, -0x1.1609cd619967ep-14, -0x1.0ce0287a9b7aap-14, -0x1.03fc1a57eb6d8p-14, -0x1.f6ae0e26c223p-15, -0x1.e5f3280e70865p-15, -0x1.d5dc117b9405fp-15, -0x1.c6624acecaabdp-15, -0x1.b773526cd3d3ep-15, -0x1.a90f38883d614p-15, -0x1.9b410fd0dbeb1p-15, -0x1.8e06bdec3c103p-15, -0x1.81503422729c5p-15, -0x1.750cc1ee3f34ap-15, -0x1.69325c5d7812dp-15, -0x1.5dbcd21097078p-15, -0x1.52ab8b3be9ca8p-15, -0x1.480125d7f5c67p-15, -0x1.3dc2f8d41fc6bp-15, -0x1.33f5c23279ecep-15, -0x1.2a996049ff734p-15, -0x1.21a5e23017846p-15, -0x1.19066667f20ebp-15, -0x1.10a091e02798bp-15, -0x1.08743bf9762b2p-15, -0x1.0097f633fd27bp-15, -0x1.f219cc7f66585p-16, -0x1.e386345bc96bbp-16, -0x1.d57abe4150701p-16, -0x1.c80cc7627baeap-16, -0x1.bb3396c55e16cp-16, -0x1.aed508c9a39eep-16, -0x1.a2ded2d28babap-16, -0x1.974b078a6af99p-16, -0x1.8c19645889fd4p-16, -0x1.8149a37aeaf02p-16, -0x1.76d9bf9c1d84ap-16, -0x1.6cc75ef125171p-16, -0x1.63128d007ea62p-16, -0x1.59be8de0c5174p-16, -0x1.50cebd5e1f272p-16, -0x1.484467ebbfc67p-16, -0x1.401c8a762955bp-16, -0x1.383e7b19fd502p-16, -0x1.308bc6832f56p-16, -0x1.291573ff5da4bp-16, -0x1.21e7c7376d08ep-16, -0x1.1aee3f1448c26p-16, -0x1.1433895c67e8fp-16, -0x1.0dc6ec0567ffap-16, -0x1.079c030edf63fp-16, -0x1.01a29e357ff9p-16, -0x1.f7aa14b10de84p-17, -0x1.ec670565744abp-17, -0x1.e17ddf5fcac6ap-17, -0x1.d6eea8c95a2cfp-17, -0x1.ccb786ec5f33ap-17, -0x1.c2d500dc92ebbp-17, -0x1.b942704003b27p-17, -0x1.affb5b263bb3dp-17, -0x1.a6fdbf65b6349p-17, -0x1.9e4a6932afb6dp-17, -0x1.95e182e4e0709p-17, -0x1.8dc66e6bea1b9p-17, -0x1.8603429295e49p-17, -0x1.7e8063cf4e3efp-17, -0x1.7720e0ebf8a5dp-17, -0x1.6ff2ded063612p-17, -0x1.68e80088dcaf5p-17, -0x1.6217ac04a4e06p-17, -0x1.5b8f51a0f187fp-17, -0x1.5537e1c5a42bfp-17, -0x1.4f0519233f82p-17, -0x1.48f76e00d4952p-17, -0x1.4310db3167bdfp-17, -0x1.3d51b8c210b0dp-17, -0x1.37b932a39831fp-17, -0x1.324607ca2ca6p-17, -0x1.2cf6ec879221fp-17, -0x1.27ca91612618dp-17, -0x1.22bf6d8d0224p-17, -0x1.1dd39dfc21ea8p-17, -0x1.190535c3210bcp-17, -0x1.145307eda6f29p-17, -0x1.0fbc847a1d4adp-17, -0x1.0b4076011f399p-17, -0x1.06e1be3b3e689p-17, -0x1.02aa785ba7183p-17, -0x1.fd1dd2cf5ee85p-18, -0x1.f4ff4864bf075p-18, -0x1.ecf71358fbda8p-18, -0x1.e527c4c6ec37fp-18, -0x1.dd970f248254fp-18, -0x1.d62ab32f9797fp-18, -0x1.cedf2e250cf9p-18, -0x1.c7b7da6344ab2p-18, -0x1.c0b605926a85ap-18, -0x1.b9d9520500326p-18, -0x1.b320c6f4df4fbp-18, -0x1.ac8b448d2f4fbp-18, -0x1.a617bcf6dbbf9p-18, -0x1.9fc5461d6bbeap-18, -0x1.99931d821dc24p-18, -0x1.93808df4ef6ecp-18, -0x1.8d8cc106a3c32p-18, -0x1.87b6a0e73bf5ep-18, -0x1.81fcfc05da4afp-18, -0x1.7c5ef7dcf58dfp-18, -0x1.76dc1b26a2d97p-18, -0x1.71739ab8fe997p-18, -0x1.6c27861a5052fp-18, -0x1.66fe48a037b9fp-18, -0x1.61ef6a87f051cp-18, -0x1.5cee086d98679p-18, -0x1.5808062c4affp-18, -0x1.534150ceca79dp-18, -0x1.4e8ffff81a738p-18, -0x1.49f4751661cabp-18, -0x1.456fed6e90cf6p-18, -0x1.410289182a71bp-18, -0x1.3cac01839142ep-18, -0x1.386bfe1dc52a4p-18, -0x1.3442275f41d09p-18, -0x1.302e2b6ac1c9bp-18, -0x1.2c2fbd5ac08dap-18, -0x1.28469694f4d4cp-18, -0x1.2472789c6e3ccp-18, -0x1.20b32c09f7065p-18, -0x1.1d087ab8f7442p-18, -0x1.1972273508e63p-18, -0x1.15efe7e3503acp-18, -0x1.12816d1a70985p-18, -0x1.0f267bbc3e3e6p-18, -0x1.0bdeefa0008ccp-18, -0x1.08aa911791861p-18, -0x1.05898afd8d4f3p-18, -0x1.027c65bc97f9dp-18, -0x1.ff02bd78fb52bp-19, -0x1.f9303ec46f537p-19, -0x1.f3850656d1014p-19, -0x1.edfd6b6ae4398p-19, -0x1.e898fa3713d64p-19, -0x1.e358134fdb6bbp-19, -0x1.de3a83f710ccdp-19, -0x1.d93fef57c70a1p-19, -0x1.d467f53826d5bp-19, -0x1.cfb2373ab03c5p-19, -0x1.cb1e58a0b932cp-19, -0x1.c6abfcda321c3p-19, -0x1.c25ac7c358d09p-19, -0x1.be2a5d38141c4p-19, -0x1.ba1a611314155p-19, -0x1.b62a776065fdep-19, -0x1.b25a43604fb3cp-19, -0x1.aea967b4de10ep-19, -0x1.ab17848a3dc1ap-19, -0x1.a7a43840c33e8p-19, -0x1.a44f212bb78fep-19, -0x1.a117dfb55cfbbp-19, -0x1.9dfe14baef4a2p-19, -0x1.9b014e9139664p-19, -0x1.9821467c9d8c7p-19, -0x1.955d86b3ca6cap-19, -0x1.92b5ad10588b4p-19, -0x1.902952e979c9p-19, -0x1.8db80b4fa68fdp-19, -0x1.8b616f35e296dp-19, -0x1.892512dac7bfdp-19, -0x1.87028f1861625p-19, -0x1.84f977917c0e7p-19, -0x1.8309605b822e7p-19, -0x1.8131e264db757p-19, -0x1.7f7286c7d7a74p-19, -0x1.7dcae1e97e86bp-19, -0x1.7c3a844ffaa94p-19, -0x1.7ac0fe1ddd34dp-19, -0x1.795dded9fd96fp-19, -0x1.7810b4c49d684p-19, -0x1.76d90d6d6cd08p-19, -0x1.75b675f862a92p-19, -0x1.74a87b773a317p-19, -0x1.73aea72167279p-19, -0x1.72c8861f21544p-19, -0x1.71f5a2e6c92c2p-19, -0x1.71359086eb609p-19, -0x1.7087edf15582p-19, -0x1.6fec00000951bp-19, -0x1.6f6175e653146p-19, -0x1.6ee7f85a85809p-19, -0x1.6e7ef7f3490edp-19, -0x1.6e25eb92f06fbp-19, -0x1.6ddc7324a831fp-19, -0x1.6da219947ce64p-19, -0x1.6d7651d7c47ffp-19, -0x1.6d58c05b43d2p-19, -0x1.6d48e61be273fp-19, -0x1.6d4649076cfb5p-19, -0x1.6d50735e0988fp-19, -0x1.6d66ef77b2591p-19, -0x1.6d8947e28177bp-19, -0x1.6db7079fc5d34p-19, -0x1.6defb9fc299c8p-19, -0x1.6e32ea9632848p-19, -0x1.6e8025865ecf1p-19, -0x1.6ed6f76b19c0ep-19, -0x1.6f36ed79ad7d7p-19, -0x1.6f9f955f8d416p-19, -0x1.70107d7db8629p-19, -0x1.708934daf0111p-19, -0x1.71094b4113dp-19, -0x1.7190513848ea2p-19, -0x1.721dd82fced53p-19, -0x1.72b1726fb0f04p-19, -0x1.734ab2fe38e3cp-19, -0x1.73e92d6dff9d3p-19, -0x1.748c75ced4239p-19, -0x1.753423d735b44p-19, -0x1.75dfd06e0734ep-19, -0x1.768f0cea0272dp-19, -0x1.774174f79891dp-19, -0x1.77f6a4a9afac7p-19, -0x1.78ae34b0c5ac1p-19, -0x1.7967c34c8a158p-19, -0x1.7a22ed33b5af8p-19, -0x1.7adf50d276dc3p-19, -0x1.7b9c8c02f079dp-19, -0x1.7c5a39d55c48cp-19, -0x1.7d18164acf8adp-19, -0x1.7dd5a9a363826p-19, -0x1.7e92a18b72cc1p-19, -0x1.7f4ea54f23e67p-19, -0x1.8009648bc76fcp-19, -0x1.80c271a6c9dc5p-19, -0x1.817988795fe3p-19, -0x1.822e5b3f13559p-19, -0x1.82e07e1d4ae9dp-19, -0x1.838fb5dadbafp-19, -0x1.843baadcacb08p-19, -0x1.84e40f4285b82p-19, -0x1.85889570b973p-19, -0x1.8628f0fb7349cp-19, -0x1.86c4d83b6c5c6p-19, -0x1.875c02d25336fp-19, -0x1.87ee28fef7405p-19, -0x1.887b0547221a4p-19, -0x1.8902555456141p-19, -0x1.8983d567b2673p-19, -0x1.89ff34b89bedap-19, -0x1.8a744ff83aa43p-19, -0x1.8ae2e5a86978cp-19, -0x1.8b4aa28929b6p-19, -0x1.8bab58962ce5ep-19, -0x1.8c04caaa3f62p-19, -0x1.8c56bd0720d19p-19, -0x1.8ca1131a00cdbp-19, -0x1.8ce37a10863b8p-19, -0x1.8d1dc7b1e3fd4p-19, -0x1.8d4fcb974abap-19, -0x1.8d7954f940ca6p-19, -0x1.8d9a34c30e616p-19, -0x1.8db23d6c2596bp-19, -0x1.8dc14357144aep-19, -0x1.8dc71bdc8412p-19, -0x1.8dc39e13bdb9ep-19, -0x1.8db6a25693fefp-19, -0x1.8da002bd086e8p-19, -0x1.8d7f9b76e2782p-19, -0x1.8d55607700cbcp-19, -0x1.8d20ebca07581p-19, -0x1.8ce258a3d07ecp-19, -0x1.8c997ffe144fap-19, -0x1.8c463d6618c89p-19, -0x1.8be875ece201ap-19, -0x1.8b800ebf5c27p-19, -0x1.8b0cee8d07de8p-19, -0x1.8a8efdee41b48p-19, -0x1.8a0627e294674p-19, -0x1.8972550104f11p-19, -0x1.88d36fab7b813p-19, -0x1.88296678dded2p-19, -0x1.87743a79c71fp-19, -0x1.86b3bf45b2019p-19, -0x1.85e7f39f9584fp-19, -0x1.8510c9e29b847p-19, -0x1.842e25fe0116ep-19, -0x1.833feac71422p-19, -0x1.824170e84f162p-19, -0x1.814148054b71fp-19, -0x1.8030fad6ec3cap-19, -0x1.7f14d6d9fe746p-19, -0x1.7ded1367f8d75p-19, -0x1.7cb9b1e455cbep-19, -0x1.7b7ab3cef3296p-19, -0x1.7a3017897134ap-19, -0x1.78d9da6397a6fp-19, -0x1.7777febbe82b6p-19, -0x1.760a866c91dcep-19, -0x1.74917476fa6b3p-19, -0x1.730cccdee57a2p-19, -0x1.717c94ace2a21p-19, -0x1.6fe0d1e76bc5cp-19, }}, 
      {{-0x1.356a79991e775p-6, 0x1.b9e374b9a6b7ep-6, 0x1.22384d5129bfap-4, 0x1.9e78ab8d4415bp-4, 0x1.d1f56130c74ffp-4, 0x1.bc6d42075ecc3p-4, 0x1.66888c5dbc0a5p-4, 0x1.b9cac9b672209p-5, 0x1.693e09c1e2117p-7, -0x1.375a96990eb36p-5, -0x1.721048af18d1ep-4, -0x1.26262c8cbf7fp-3, -0x1.9148ff01633b9p-3, -0x1.f76f0dfba4ea2p-3, -0x1.2b32d655a30b7p-2, -0x1.56568905addfcp-2, -0x1.7cadb5cce7cfep-2, -0x1.9e009576d849ap-2, -0x1.ba47ddcfe6277p-2, -0x1.d1a197158a3ebp-2, -0x1.e4477fc70eb59p-2, -0x1.f286f5d2aaaa8p-2, -0x1.fcba49fe39879p-2, -0x1.01a1acffe4f15p-1, -0x1.0343a4b8ab1e3p-1, -0x1.037598e0717d2p-1, -0x1.0268d1952a31ep-1, -0x1.004c69a18b6f4p-1, -0x1.fa995a0113fc6p-2, -0x1.f325614fd5005p-2, -0x1.ea882f9a967f5p-2, -0x1.e105f8ee528ffp-2, -0x1.d6dbe5d14de7cp-2, -0x1.cc4041f5b95b9p-2, -0x1.c162c752c46e1p-2, -0x1.b66cfc5cbe60bp-2, -0x1.ab829ea902391p-2, -0x1.a0c2144ab9f0cp-2, -0x1.9644df5142482p-2, -0x1.8c201099fb57dp-2, -0x1.8264b80f27dbfp-2, -0x1.792050672f911p-2, -0x1.705d24ebfd4cap-2, -0x1.6822b0bbafc5cp-2, -0x1.6075f7689e5ffp-2, -0x1.5959d6cddd315p-2, -0x1.52cf51e502a8bp-2, -0x1.4cd5d4a3ee5fdp-2, -0x1.476b713bbeecbp-2, -0x1.428d173b91852p-2, -0x1.3e36c5136485p-2, -0x1.3a63b45c495fep-2, -0x1.370e813b72108p-2, -0x1.34314d355fbadp-2, -0x1.31c5ddcef93cap-2, -0x1.2fc5b75c9c6ebp-2, -0x1.2e2a345dc9a5ap-2, -0x1.2cec99be2328cp-2, -0x1.2c0628482255dp-2, -0x1.2b702b912e36cp-2, -0x1.2b24069bfa9d1p-2, -0x1.2b1b3e6fb12b7p-2, -0x1.2b4f82d67d6fcp-2, -0x1.2bbab57e3e3e3p-2, -0x1.2c56efa2ff0acp-2, -0x1.2d1e867b85366p-2, -0x1.2e0c0e808ed3dp-2, -0x1.2f1a5dc8a61dep-2, -0x1.30448d7cc62c3p-2, -0x1.3185faa75ef8cp-2, -0x1.32da464cf355cp-2, -0x1.343d551139058p-2, -0x1.35ab4e5d63cd8p-2, -0x1.37209b1a47515p-2, -0x1.3899e44c71945p-2, -0x1.3a14110432a68p-2, -0x1.3b8c44c875831p-2, -0x1.3cffdce811b48p-2, -0x1.3e6c6ec5a29acp-2, -0x1.3fcfc501a2852p-2, -0x1.4127dd4a56dc6p-2, -0x1.4272e6157013ap-2, -0x1.43af3b90a39dcp-2, -0x1.44db662458e31p-2, -0x1.45f6170107a85p-2, -0x1.46fe268845c54p-2, -0x1.47f291bd07778p-2, -0x1.48d2779ea2674p-2, -0x1.499d17d380be7p-2, -0x1.4a51cf9b2583bp-2, -0x1.4af0186a71c64p-2, -0x1.4b7785e290c93p-2, -0x1.4be7c38ba198ep-2, -0x1.4c4093b50e27p-2, -0x1.4c81cd3c669b4p-2, -0x1.4cab5a2985f31p-2, -0x1.4cbd364d24133p-2, -0x1.4cb76d7fcaf59p-2, -0x1.4c9a1a9589edap-2, -0x1.4c6565eeb6d16p-2, -0x1.4c19844298f28p-2, -0x1.4bb6b59a143b9p-2, -0x1.4b3d441f2e2bfp-2, -0x1.4aad8336055ap-2, -0x1.4a07ce851b566p-2, -0x1.494c891202997p-2, -0x1.487c1c7d8376dp-2, -0x1.4796f830f7aa3p-2, -0x1.469d90b341975p-2, -0x1.45905efdf3e9fp-2, -0x1.446fdfd55349ep-2, -0x1.433c93428122p-2, -0x1.41f6fc02703d1p-2, -0x1.409f9f022f263p-2, -0x1.3f3702f4f79bp-2, -0x1.3dbdafdcf1063p-2, -0x1.3c342ea36d9dcp-2, -0x1.3a9b08c70242cp-2, -0x1.38f2c7fc5d491p-2, -0x1.373bf5db9aa04p-2, -0x1.35771ba3bb4fbp-2, -0x1.33a4c1f1cbfc2p-2, -0x1.31c5707e28414p-2, -0x1.2fd9adf19aed9p-2, -0x1.2de1ffb1b9ec4p-2, -0x1.2bdee9aae491dp-2, -0x1.29d0ee3198a88p-2, -0x1.27b88de2866d8p-2, -0x1.25964778f32d7p-2, -0x1.236a97b63774bp-2, -0x1.2135f9519e9c9p-2, -0x1.1ef8e4dd00ca6p-2, -0x1.1cb3d0af61912p-2, -0x1.1a6730dd25de5p-2, -0x1.1813772bb6432p-2, -0x1.15b913014f1dep-2, -0x1.1358715ea633cp-2, -0x1.10f1fcdcd8ba4p-2, -0x1.0e861da6d521p-2, -0x1.0c153973d0b32p-2, -0x1.099fb3879a46p-2, -0x1.0725ecb48c85dp-2, -0x1.04a8435ba312p-2, -0x1.0227136cf36f3p-2, -0x1.ff456cd63866p-3, -0x1.fa3706e333638p-3, -0x1.f5239e72ef153p-3, -0x1.f00bd839bc571p-3, -0x1.eaf05439d1ab1p-3, -0x1.e5d1add5a618dp-3, -0x1.e0b07bdfc3c73p-3, -0x1.db8d50a5965b8p-3, -0x1.d668b9fe52b84p-3, -0x1.d14341605ef44p-3, -0x1.cc1d6bf4b43b4p-3, -0x1.c6f7baa51da9ap-3, -0x1.c1d2aa2d29a77p-3, -0x1.bcaeb32ffe107p-3, -0x1.b78c4a4d2d465p-3, -0x1.b26be032068afp-3, -0x1.ad4de1ac2f535p-3, -0x1.a832b7bec3ff6p-3, -0x1.a31ac7b66b68ap-3, -0x1.9e06733c34d14p-3, -0x1.98f61869f7f9dp-3, -0x1.93ea11df76b9cp-3, -0x1.8ee2b6d4b53b6p-3, -0x1.89e05b2b78f47p-3, -0x1.84e34f8436596p-3, -0x1.7febe154bba5ap-3, -0x1.7afa5afa972a6p-3, -0x1.760f03c96c286p-3, -0x1.712a201ca9329p-3, -0x1.6c4bf16edf5dep-3, -0x1.6774b66f6d123p-3, -0x1.62a4ab109e1dp-3, -0x1.5ddc089315c1ap-3, -0x1.591b05995bb31p-3, -0x1.5461d63f0667ap-3, -0x1.4fb0ac2c41095p-3, -0x1.4b07b6a09d5ap-3, -0x1.4667227d376d1p-3, -0x1.41cf1a56effb9p-3, -0x1.3d3fc68db2dd5p-3, -0x1.38b94d5e15abbp-3, -0x1.343bd2ea46bddp-3, -0x1.2fc77942428b8p-3, -0x1.2b5c6073df737p-3, -0x1.26faa6a08861fp-3, -0x1.22a2680ea78ddp-3, -0x1.1e53bf3241e45p-3, -0x1.1a0ec4b313dc8p-3, -0x1.15d38f78d5abbp-3, -0x1.11a234be48b46p-3, -0x1.0d7ac82322afdp-3, -0x1.095d5bb637909p-3, -0x1.0549fffa68a0dp-3, -0x1.0140c3ee686d4p-3, -0x1.fa836a36d0eb8p-4, -0x1.f299bf4d06136p-4, -0x1.eac49cbb2a0a2p-4, -0x1.e304157b5fecp-4, -0x1.db5839eeb9a86p-4, -0x1.d3c117ef2cd7ap-4, -0x1.cc3ebaebf44e8p-4, -0x1.c4d12c06afaf1p-4, -0x1.bd787227057f8p-4, -0x1.b63492044759p-4, -0x1.af058e2e1a852p-4, -0x1.a7eb671d3e3eep-4, -0x1.a0e61b4c4c66ep-4, -0x1.99f5a7506c257p-4, -0x1.931a05ea244e7p-4, -0x1.8c53300e610fp-4, -0x1.85a11cee46454p-4, -0x1.7f03c204b32e2p-4, -0x1.787b132a85cep-4, -0x1.720702abf886ap-4, -0x1.6ba78158d518ap-4, -0x1.655c7e8e02a85p-4, -0x1.5f25e83c81752p-4, -0x1.5903aaf32d783p-4, -0x1.52f5b1ede51dbp-4, -0x1.4cfbe72792dddp-4, -0x1.4716336a3605cp-4, -0x1.41447e59ef8a7p-4, -0x1.3b86ae7c2fe37p-4, -0x1.35dca93ec31f7p-4, -0x1.30465301e1f83p-4, -0x1.2ac38f25de511p-4, -0x1.25544019d0bacp-4, -0x1.1ff847680a0bp-4, -0x1.1aaf85bee119p-4, -0x1.1579daf722f36p-4, -0x1.1057261ab594p-4, -0x1.0b47456d76255p-4, -0x1.064a167872575p-4, -0x1.015f7615c5504p-4, -0x1.f90e80f5f0e34p-5, -0x1.ef82a281c2f3ep-5, -0x1.e61b06d355deap-5, -0x1.dcd762cd56eb5p-5, -0x1.d3b76a3f047e1p-5, -0x1.cabacff5a76ebp-5, -0x1.c1e145cfa0a4dp-5, -0x1.b92a7cce47c3fp-5, -0x1.b0962524ab27dp-5, -0x1.a823ee433ddc9p-5, -0x1.9fd386e21b8a2p-5, -0x1.97a49d0c0b6d4p-5, -0x1.8f96de2b7ce99p-5, -0x1.87a9f71915363p-5, -0x1.7fdd942a97764p-5, -0x1.783161410ba85p-5, -0x1.70a509d3c57e3p-5, -0x1.693838f9f6f3fp-5, -0x1.61ea9973c8d0bp-5, -0x1.5abbd5b3c3b96p-5, -0x1.53ab97e9704b7p-5, -0x1.4cb98a0cec195p-5, -0x1.45e555ea88275p-5, -0x1.3f2ea52d84779p-5, -0x1.3895216979d14p-5, -0x1.32187422851c9p-5, -0x1.2bb846d4bfa7bp-5, -0x1.257442fbd3384p-5, -0x1.1f4c121b2e32ap-5, -0x1.193f5dc6cbe23p-5, -0x1.134dcfac1832dp-5, -0x1.0d77119a6f7e3p-5, -0x1.07bacd8ae1686p-5, -0x1.0218ada70e557p-5, -0x1.f920b89eb1a3p-6, -0x1.ee430841a0827p-6, -0x1.e3979ff58b6f6p-6, -0x1.d91dd60dd6045p-6, -0x1.ced501790b7ecp-6, -0x1.c4bc79d4f6b42p-6, -0x1.bad39776e6c2bp-6, -0x1.b119b3781b083p-6, -0x1.a78e27bfe7bd5p-6, -0x1.9e304f0ce4467p-6, -0x1.94ff84fd7d4cbp-6, -0x1.8bfb26187e652p-6, -0x1.83228fd61bca2p-6, -0x1.7a7520a93243ep-6, -0x1.71f23808a1ce9p-6, -0x1.6999367850fe2p-6, -0x1.61697d9173cc3p-6, -0x1.59627009d72dep-6, -0x1.518371ba00e4ep-6, -0x1.49cbe7a273c32p-6, -0x1.423b37f0a7ef3p-6, -0x1.3ad0ca046f86dp-6, -0x1.338c06762f10ap-6, -0x1.2c6c571da57bap-6, -0x1.2571271926d18p-6, -0x1.1e99e2d4161a2p-6, -0x1.17e5f80c19701p-6, -0x1.1154d5d45dfb7p-6, -0x1.0ae5ec972587bp-6, -0x1.0498ae165fea7p-6, -0x1.fcd91ad97db8ep-7, -0x1.f0c1fe211c947p-7, -0x1.e4eaf1b1f5694p-7, -0x1.d952e40a4bc73p-7, -0x1.cdf8c6873f0b2p-7, -0x1.c2db8d7054734p-7, -0x1.b7fa2ffc05d63p-7, -0x1.ad53a84becb1bp-7, -0x1.a2e6f36252f88p-7, -0x1.98b31115d74bp-7, -0x1.8eb70409960c3p-7, -0x1.84f1d1af2f4c2p-7, -0x1.7b62825483cf4p-7, -0x1.7208213a654aep-7, -0x1.68e1bcacee409p-7, -0x1.5fee661477be1p-7, -0x1.572d31f758e95p-7, -0x1.4e9d37e98235ap-7, -0x1.463d926de2d06p-7, -0x1.3e0d5ed2fe9a3p-7, -0x1.360bbd183aac3p-7, -0x1.2e37cfe6bd3eep-7, -0x1.2690bca36cd8bp-7, -0x1.1f15ab961d8a3p-7, -0x1.17c5c81958b4fp-7, -0x1.10a040c139ebp-7, -0x1.09a4476917b2cp-7, -0x1.02d1111e98e2dp-7, -0x1.f84babd95dda3p-8, -0x1.eb43a129c9ff4p-8, -0x1.de887c9a866b1p-8, -0x1.d218bd3382777p-8, -0x1.c5f2e6a297577p-8, -0x1.ba15819f4780ap-8, -0x1.ae7f1c8cc3219p-8, -0x1.a32e4c253d408p-8, -0x1.9821abf0ec54fp-8, -0x1.8d57de579cd01p-8, -0x1.82cf8c392895ap-8, -0x1.788764216389ep-8, -0x1.6e7e194ef046p-8, -0x1.64b262d9d92c3p-8, -0x1.5b22fb423455ap-8, -0x1.51cea09247eefp-8, -0x1.48b4151216cd4p-8, -0x1.3fd2205adf5d2p-8, -0x1.3727907460995p-8, -0x1.2eb33a9d2ad78p-8, -0x1.2673fb71dc37dp-8, -0x1.1e68b6553ff0fp-8, -0x1.16905435972b1p-8, -0x1.0ee9c201e6851p-8, -0x1.0773ef4257c6fp-8, -0x1.002dcd43e24f4p-8, -0x1.f22c9e43eb0bp-9, -0x1.e458d570d646ap-9, -0x1.d6de348143274p-9, -0x1.c9babc47ab2d9p-9, -0x1.bcec7ce9728a5p-9, -0x1.b071972716c52p-9, -0x1.a4483b70580aep-9, -0x1.986ea6d56a40fp-9, -0x1.8ce31e8b3c7e2p-9, -0x1.81a3eb337fafp-9, -0x1.76af553ea84dp-9, -0x1.6c03a3825be3p-9, -0x1.619f1c8ca2f48p-9, -0x1.57800a7c8c068p-9, -0x1.4da4c06c11d33p-9, -0x1.440b9ff5f9a5ep-9, -0x1.3ab31d440088ep-9, -0x1.3199c0637b176p-9, -0x1.28be23556fc5fp-9, -0x1.201eed2fda687p-9, -0x1.17bacb772f376p-9, -0x1.0f906b5947329p-9, -0x1.079e747ff8aebp-9, -0x1.ffc70db39d243p-10, -0x1.f0bc77ee5b2afp-10, -0x1.e21a57f943bd7p-10, -0x1.d3dde95812796p-10, -0x1.c60482fd6c1acp-10, -0x1.b88ba4008a1bep-10, -0x1.ab70fa0a19467p-10, -0x1.9eb25f3589886p-10, -0x1.924dd00003c6ap-10, -0x1.86415c0d1d429p-10, -0x1.7a8b15adf923bp-10, -0x1.6f2903e0402aap-10, -0x1.6419196424e37p-10, -0x1.5959324ce5521p-10, -0x1.4ee71886f18cp-10, -0x1.44c08efaf575ep-10, -0x1.3ae361a9050d4p-10, -0x1.314d772c2fb0fp-10, -0x1.27fcdeb04aa19p-10, -0x1.1eefd592d4552p-10, -0x1.1624c2d140208p-10, -0x1.0d9a2a8c85ecep-10, -0x1.054e9f053a191p-10, -0x1.fa8168959dffbp-11, -0x1.eaddf187b94dfp-11, -0x1.dbafe2d0cff74p-11, -0x1.ccf42edb2a4b2p-11, -0x1.bea7ade7560abp-11, -0x1.b0c7220615847p-11, -0x1.a34f478d8d2f8p-11, -0x1.963cf1ec222c4p-11, -0x1.898d2ad7b5e1ep-11, -0x1.7d3d43bc670a5p-11, -0x1.714acd8ea9e08p-11, -0x1.65b37963b49b9p-11, -0x1.5a74f3de903cp-11, -0x1.4f8cd28e173afp-11, -0x1.44f89ef38a7bep-11, -0x1.3ab5f579dbeaap-11, -0x1.30c29f90a88bdp-11, -0x1.271c93fb5853dp-11, -0x1.1dc1dd48e1f6ap-11, -0x1.14b07bc1c4c65p-11, -0x1.0be65d6624e28p-11, -0x1.0361749673bf6p-11, -0x1.f63fba11e855dp-12, -0x1.e63fe2e6eb3acp-12, -0x1.d6c077345a77cp-12, -0x1.c7be7e3bd63a3p-12, -0x1.b93672159dfb5p-12, -0x1.ab23f8a14a64p-12, -0x1.9d82131bb2998p-12, -0x1.904bbdf8b969p-12, -0x1.837cae2f8b875p-12, -0x1.7711bb8bc28dap-12, -0x1.6b08b74dd17a7p-12, -0x1.5f5fd28ccbe77p-12, -0x1.5415078d7f5b1p-12, -0x1.4925eff3a0d33p-12, -0x1.3e90144ecca7fp-12, -0x1.3451636541c86p-12, -0x1.2a686b5f2feedp-12, -0x1.20d42106af06p-12, -0x1.179347fd21664p-12, -0x1.0ea3c5603d3ap-12, -0x1.06023864573d2p-12, -0x1.fb5433004a3c8p-13, -0x1.eb2ccbca76292p-13, -0x1.db8531ca8df2fp-13, -0x1.cc5701b6e39e3p-13, -0x1.bd9efa654b128p-13, -0x1.af5bfe7ba3a68p-13, -0x1.a18d429173562p-13, -0x1.9430e8f773b42p-13, -0x1.8743e879b4ebep-13, -0x1.7ac30affdbd5fp-13, -0x1.6eac1709cb465p-13, -0x1.62fe44f7d58d7p-13, -0x1.57b9976f0e828p-13, -0x1.4cdd6d119fba9p-13, -0x1.4267491dacd38p-13, -0x1.3852902d43afbp-13, -0x1.2e990d81dd58cp-13, -0x1.2533bb986de31p-13, -0x1.1c1bad1ed6f45p-13, -0x1.134b1d5a9b23p-13, -0x1.0abe561e52f1fp-13, -0x1.0273e633ca6cfp-13, -0x1.f4d7cd773f93dp-14, -0x1.e54d3a5fd8143p-14, -0x1.d6469fb3f9d88p-14, -0x1.c7c0189828055p-14, -0x1.b9b5019196787p-14, -0x1.ac22a46c4f389p-14, -0x1.9f0941025469bp-14, -0x1.9269c4646abefp-14, -0x1.8642702820e24p-14, -0x1.7a8e0dcd0633bp-14, -0x1.6f45ec6d79e4cp-14, -0x1.6464025c67decp-14, -0x1.59e33b04254b1p-14, -0x1.4fbe59796123fp-14, -0x1.45ef2139ada77p-14, -0x1.3c6eb4bdbc763p-14, -0x1.3336fcde4cf4ep-14, -0x1.2a44b37595c5dp-14, -0x1.21987b0091fb5p-14, -0x1.1934cb8fe0d5ep-14, -0x1.1119e48cd99eep-14, -0x1.094452dba4b36p-14, -0x1.01b04577328fbp-14, -0x1.f4ba7e2e61d74p-15, -0x1.e6994d361ca55p-15, -0x1.d8fb6157b5ae9p-15, -0x1.cbd8a2ffc2c1bp-15, -0x1.bf26c2db9aee7p-15, -0x1.b2ddd81a1e091p-15, -0x1.a6fa4d941a84fp-15, -0x1.9b7c21cdb2561p-15, -0x1.906419bb88ca9p-15, -0x1.85b05fa19aaap-15, -0x1.7b5a938cc4249p-15, -0x1.7157a4cbea9ebp-15, -0x1.679ad4da663aap-15, -0x1.5e1e6236a2f2ap-15, -0x1.54e83623db197p-15, -0x1.4bff6f808a549p-15, -0x1.4360e3637a4ap-15, -0x1.3b04e68cf511ap-15, -0x1.32eae167d1e86p-15, -0x1.2b1668b2cbfbp-15, -0x1.23861d6fd8d4dp-15, -0x1.1c3360d7acc98p-15, -0x1.15176188ae919p-15, -0x1.0e2dd67772489p-15, -0x1.0774b47860a98p-15, -0x1.00eb54c1b173ep-15, -0x1.f524957a3f21ap-16, -0x1.e8d66819402d1p-16, -0x1.dceeeb1882054p-16, -0x1.d16d4070304bdp-16, -0x1.c64ab64e125dbp-16, -0x1.bb76f4f5cd458p-16, -0x1.b0dda19f394e7p-16, -0x1.a67e17bfecf2bp-16, -0x1.9c68b5eb2e23ep-16, -0x1.929dd3f00f8fap-16, -0x1.89110e7a1007fp-16, -0x1.7fc4037facf93p-16, -0x1.76be33a6b9254p-16, -0x1.6dfbf1bf0270ap-16, -0x1.65731b52ca2f6p-16, -0x1.5d1c8181899d1p-16, -0x1.54f59840a6b73p-16, -0x1.4cfdf6889aeffp-16, -0x1.453537118dedep-16, -0x1.3d9a51f73e7fep-16, -0x1.362c243cf0635p-16, -0x1.2eea73f47679ep-16, -0x1.27d63dde0438ep-16, -0x1.20f088ca1181fp-16, -0x1.1a3996a5f59cap-16, -0x1.13b010d741459p-16, -0x1.0d4a9e8a4836cp-16, -0x1.06fdcc8ad0375p-16, -0x1.00cfcc4b3c99p-16, -0x1.f58a12c012b13p-17, -0x1.e9ab8dd2247c8p-17, -0x1.de0bb44f5e915p-17, -0x1.d2b5a20f98589p-17, -0x1.c79ff26e29ca8p-17, -0x1.bcbe7385a962dp-17, -0x1.b20cbf065e8fbp-17, -0x1.a78ad9afb7c5bp-17, -0x1.9d394c58b1356p-17, -0x1.9317f94b36b61p-17, -0x1.8926156c9f4e8p-17, -0x1.7f623e55bc70dp-17, -0x1.75caa286b6bbp-17, -0x1.6c5d82cc86fa2p-17, -0x1.631a0e4a96f04p-17, -0x1.5a0085475a909p-17, -0x1.5110eb46c629p-17, -0x1.484c70149e0b6p-17, -0x1.3fb6c60d7a6ffp-17, -0x1.374719c3ad785p-17, -0x1.2ef29a0193ef5p-17, -0x1.26be87ad1e75cp-17, -0x1.1ea570cc56b33p-17, -0x1.16b01c262aea1p-17, -0x1.0ee398ad43cdcp-17, -0x1.073738a4c5f08p-17, -0x1.ff4cbcbbcc16dp-18, -0x1.f0626bc06e8a5p-18, -0x1.e1b0fa7ff829ap-18, -0x1.d338a9b156418p-18, -0x1.c4f8d83fce6dp-18, -0x1.b6f0943bc8e5bp-18, -0x1.a91ee6062495p-18, -0x1.9b82d54e6530ep-18, -0x1.8e1b3c79c239ap-18, -0x1.80e6aeb4de71dp-18, -0x1.73e3b1eeabd3cp-18, -0x1.67115f4d31f02p-18, -0x1.5a6f4cdfce6dep-18, -0x1.4dfc9127a42ffp-18, -0x1.41bb69ff07af9p-18, -0x1.35b3b7deb8db2p-18, -0x1.29dc6ab4c5e4p-18, -0x1.1e2972e91c1dap-18, -0x1.1299d03324242p-18, -0x1.073b1ca4ba325p-18, -0x1.f81f4e17b57dep-19, -0x1.e21a0802b186dp-19, -0x1.cc63a4e2495e7p-19, -0x1.b6fec5f809566p-19, -0x1.a1ec63e8ae4ap-19, -0x1.8d2c243170301p-19, -0x1.78bd2beacbbbbp-19, -0x1.649e851f2c416p-19, -0x1.50cf3ec52cb27p-19, -0x1.3d4e84d2454b9p-19, -0x1.2a1ba35a6556p-19, -0x1.1735eff625673p-19, -0x1.049c9fc6f8471p-19, -0x1.e49d560cabcfcp-20, -0x1.c095d584ffde6p-20, -0x1.9d20fc389a57cp-20, -0x1.7a3db20f65bbdp-20, -0x1.57ea5ad6dd39cp-20, -0x1.362a43da0ade9p-20, -0x1.15081b92db849p-20, -0x1.e8e9d42bbceafp-21, -0x1.a8b3b981bb442p-21, -0x1.699d38ba0b941p-21, -0x1.2bb3ad83112eep-21, -0x1.dda6a73b85f15p-22, -0x1.65f8f89efacd8p-22, -0x1.e0ca6377e3541p-23, -0x1.f3a92f58d2de5p-24, -0x1.7089a3c7bd54dp-27, 0x1.8f4549b6d447dp-24, 0x1.a2366397943fcp-23, 0x1.3c5dd4d8f24d7p-22, 0x1.a59daf6ddf1c7p-22, 0x1.066f8af23e86ap-21, 0x1.391315b8612aap-21, 0x1.6abb7368d4af5p-21, 0x1.9b6aa11b37003p-21, 0x1.cb22c4eca7a09p-21, 0x1.f9e63890ac656p-21, 0x1.13dbc22e53c2ap-20, 0x1.2a4c6e403d2ddp-20, 0x1.40460c35e9d36p-20, 0x1.55c9afb6cfb7ep-20, 0x1.6ad79eeaf5a76p-20, 0x1.7f6f6b8312891p-20, 0x1.9395732f763d6p-20, 0x1.a74ac5e51f1b7p-20, 0x1.ba8d10a3a22c1p-20, 0x1.cd5feb1232e03p-20, 0x1.dfc4db04cc272p-20, 0x1.f1bc30556f5fp-20, 0x1.01a365ef27503p-19, 0x1.0a32e14e501dcp-19, 0x1.128d18a1fbea5p-19, 0x1.1ab2992ccb8a3p-19, 0x1.22a3ef85cf45fp-19, 0x1.2a61a890540e2p-19, 0x1.31ec513151fb7p-19, 0x1.3944767df1fcdp-19, 0x1.406aa55c3bae5p-19, 0x1.475f6cd1dbdcbp-19, 0x1.4e2356ee02fc6p-19, 0x1.54b6f49c3d5d9p-19, 0x1.5b1ad418acd57p-19, 0x1.614f85cc6f5dfp-19, 0x1.675599dfc442cp-19, 0x1.6d2d9eaf33772p-19, 0x1.72d821a3eb64dp-19, 0x1.7855eae67a5ep-19, 0x1.7da6d988b24a8p-19, 0x1.82cc4bbfbb8ecp-19, 0x1.87c6726018604p-19, 0x1.8c95ea210826bp-19, 0x1.913b3efbe90b5p-19, 0x1.95b70741417d1p-19, 0x1.9a09d53e0c31dp-19, 0x1.9e34373486eedp-19, 0x1.a236bcfcbb779p-19, 0x1.a611f7659b543p-19, 0x1.a9c6791fc7589p-19, 0x1.ad54cf2c6cf05p-19, 0x1.b0bd8ab51a6b7p-19, 0x1.b4013b7980484p-19, 0x1.b72070dde18f5p-19, 0x1.ba1bb9e8f9698p-19, 0x1.bcf3a54b2a9c9p-19, 0x1.bfa8c15ab9f8ap-19, 0x1.c23b9c1f0645ap-19, 0x1.c4acc36203e79p-19, 0x1.c6fcc4c4a8caap-19, 0x1.c92c2d06ef824p-19, 0x1.cb3b87f6ee10cp-19, 0x1.cd2b5e5fbb7f2p-19, 0x1.cefc3547c964ap-19, 0x1.d0aeaa895855ep-19, 0x1.d2433e782bf4bp-19, 0x1.d3ba6db9feaedp-19, 0x1.d514c9fa643ffp-19, 0x1.d652e63d80af1p-19, 0x1.d7753ac183cc6p-19, 0x1.d87c4c880eb5ep-19, 0x1.d968af26314f2p-19, 0x1.da3ad57758861p-19, 0x1.daf3487e4e259p-19, 0x1.db928d22a3569p-19, 0x1.dc1924c674749p-19, 0x1.dc878ffc0fc04p-19, 0x1.dcde4e69dd731p-19, 0x1.dd1dde94d9465p-19, 0x1.dd46be1a333bdp-19, 0x1.dd5969b063bdbp-19, 0x1.dd565d05899ap-19, 0x1.dd3e12b39f15dp-19, 0x1.dd110439d8d39p-19, 0x1.dccfaa09187fap-19, 0x1.dc7a7b7d9cff1p-19, 0x1.dc11eed9a82fcp-19, 0x1.db967936c1659p-19, 0x1.db088e7fd8e37p-19, 0x1.da68a16b00af2p-19, 0x1.d9b723849ebaap-19, 0x1.d8f4853802f04p-19, 0x1.d82135b645512p-19, 0x1.d73da29d9579dp-19, 0x1.d64a38f8b74b8p-19, 0x1.d54764ca90fb7p-19, 0x1.d43590c0dc99dp-19, 0x1.d315254dff706p-19, 0x1.d1e68970b4c8fp-19, 0x1.d0aa2512bdb64p-19, 0x1.cf605c705d98p-19, 0x1.ce09940cc36fap-19, 0x1.cca62f00b4584p-19, 0x1.cb368da35adf7p-19, 0x1.c9bb0df00e783p-19, 0x1.c83417cdc0c8fp-19, 0x1.c6a1ffd772486p-19, 0x1.c505257807cb6p-19, 0x1.c35de3292c6b9p-19, 0x1.c1ac90dac32b2p-19, 0x1.bff18cd8d059p-19, 0x1.be2d298d50fd5p-19, 0x1.bc5fbfd58722ep-19, 0x1.ba899d1f8c8bbp-19, 0x1.b8ab1c64440b3p-19, 0x1.b6c48cf595224p-19, 0x1.b4d63f67e92e6p-19, 0x1.b2e083399b99bp-19, 0x1.b0e3a6e0e9927p-19, 0x1.aedff6fe4a753p-19, 0x1.acd5befc21d21p-19, 0x1.aac5495d3b637p-19, 0x1.a8aedf13bd434p-19, 0x1.a692c7219531cp-19, 0x1.a4714880a53d9p-19, 0x1.a24aaee57c6dbp-19, 0x1.a01f32a0068ddp-19, 0x1.9def17e265f58p-19, 0x1.9bbaa99f70c0bp-19, 0x1.998222c884458p-19, 0x1.9745c3f1ba8fbp-19, 0x1.9505cc64ae86p-19, 0x1.92c26ec919539p-19, 0x1.907bf24e44f26p-19, 0x1.8e328dafaf198p-19, 0x1.8be6798a41599p-19, 0x1.8997ee0992e01p-19, 0x1.8747221da9115p-19, 0x1.84f44b8becdb9p-19, 0x1.829f9ecf2a0e5p-19, 0x1.80494f6ebe2efp-19, 0x1.7df18fc810e5cp-19, 0x1.7b989139c2345p-19, 0x1.793e83eaf0d5dp-19, 0x1.76e397131b735p-19, 0x1.74880013485c4p-19, 0x1.722bd5ce99c2bp-19, 0x1.6fcf57f70733ep-19, 0x1.6d72acbc05b16p-19, 0x1.6b15fda40980cp-19, 0x1.68b972f96bebbp-19, 0x1.665d34963b4ap-19, 0x1.6401694ad5ec7p-19, 0x1.61a636c1d7f3ap-19, 0x1.5f4bc17ec4e57p-19, 0x1.5cf22eb6c4b14p-19, 0x1.5a99a03ed3823p-19, 0x1.5842394ed0e17p-19, 0x1.55ec14f161f57p-19, 0x1.53975b95740f2p-19, 0x1.514427fbcaa78p-19, 0x1.4ef29b8ef787dp-19, 0x1.4ca2cdfb72d0dp-19, 0x1.4a54e97b2135ap-19, 0x1.4809633f53c55p-19, 0x1.45bf1e3a11fe6p-19, 0x1.43776a8e3c67bp-19, 0x1.413206bbb4f45p-19, 0x1.3eef04e6a0f1dp-19, 0x1.3cae7b8ffe1aep-19, 0x1.3a7082d2788d9p-19, 0x1.383530d62c892p-19, 0x1.35fc98252682dp-19, 0x1.33c6d02195bep-19, 0x1.3193eb8acee6dp-19, 0x1.2f63fd95ea67ap-19, 0x1.2d3718a705134p-19, 0x1.2b0d4e6c9c24p-19, 0x1.28e6afe50d874p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.2f5734e8ea555p-1, 0x1.2f5fcc08a6567p-1, 0x1.2f6e8c7db76d5p-1, 0x1.2f84010e3a5bap-1, 0x1.2fa0c07e0c07ep-1, 0x1.2fc553176968p-1, 0x1.2ff21c3336615p-1, 0x1.302748ecf2732p-1, 0x1.3064c43274982p-1, 0x1.30aa2fd200424p-1, 0x1.30f6e1e1ad582p-1, 0x1.3149e5beeb40ep-1, 0x1.31a1ffe2a8e0fp-1, 0x1.31fdb3d339831p-1, 0x1.325b4b9125f2p-1, 0x1.32b8dff3536b2p-1, 0x1.3314617e87667p-1, 0x1.336ba15ac2c61p-1, 0x1.33bc5a1d4cabbp-1, 0x1.34043830476fep-1, 0x1.3440e1b004fbbp-1, 0x1.346ffda34bcccp-1, 0x1.348f3a7e507d3p-1, 0x1.349c53e8b0637p-1, 0x1.349517c5709cfp-1, 0x1.34776a8113dc6p-1, 0x1.34414aada0e23p-1, 0x1.33f0d3f71acf5p-1, 0x1.3384417c9e275p-1, 0x1.32f9ef9b5cc8bp-1, 0x1.32505d391bce4p-1, 0x1.31862c9bcf7bcp-1, 0x1.309a23db9b5b9p-1, 0x1.2f8b2cfbe3a7ap-1, 0x1.2e5855b75b93p-1, 0x1.2d00cf0a272b9p-1, 0x1.2b83ec84384bbp-1, 0x1.29e1236d25a2fp-1, 0x1.281809c1ce783p-1, 0x1.262855133cd0ep-1, 0x1.2411d94d5c34fp-1, 0x1.21d4876b51649p-1, 0x1.1f706c1e8acedp-1, 0x1.1ce5ae6ce9bdfp-1, 0x1.1a348e49d265ap-1, 0x1.175d632d5e88p-1, 0x1.14609aac74ce3p-1, 0x1.113eb7140f155p-1, 0x1.0df84e09a1fe3p-1, 0x1.0a8e073237102p-1, 0x1.07009ae182316p-1, 0x1.0350d0d1fba8ap-1, 0x1.fefefdcd925c8p-2, 0x1.f71b0ff026236p-2, 0x1.eef7b55469dd9p-2, 0x1.e696e0a033ffap-2, 0x1.ddfa97b1e0babp-2, 0x1.d524f1928e5edp-2, 0x1.cc18147f35c7bp-2, 0x1.c2d634086cb04p-2, 0x1.b9618f4893093p-2, 0x1.afbc6f30120acp-2, 0x1.a5e924e732bd3p-2, 0x1.9bea08451457fp-2, 0x1.91c1765b3468ap-2, 0x1.8771d014eca0ap-2, 0x1.7cfd78ea55971p-2, 0x1.7266d5a5e055dp-2, 0x1.67b04b3c0d32ap-2, 0x1.5cdc3db495512p-2, 0x1.51ed0f2460fdbp-2, 0x1.46e51eb7a6657p-2, 0x1.3bc6c7cb91e61p-2, 0x1.30946116cff42p-2, 0x1.25503be05dc82p-2, 0x1.19fca3440c9bfp-2, 0x1.0e9bdb84128a2p-2, 0x1.0330216727c3ep-2, 0x1.ef77534526302p-3, 0x1.d881409f49e3p-3, 0x1.c18250d82e42cp-3, 0x1.aa7eb6c9a59acp-3, 0x1.937a91553f329p-3, 0x1.7c79eaa081ce2p-3, 0x1.6580b7632c9c2p-3, 0x1.4e92d6469032ep-3, 0x1.37b40f552f23ep-3, 0x1.20e81379e5838p-3, 0x1.0a327c0dc60c9p-3, 0x1.e72d94e7ea11p-4, 0x1.ba30cf85a92a9p-4, 0x1.8d7548f399d19p-4, 0x1.610170862eae7p-4, 0x1.34db8381c5ed6p-4, 0x1.09098cca8ee9dp-4, 0x1.bb22c951c474p-5, 0x1.64f1614201119p-5, 0x1.0f89c6ba5f4c1p-5, 0x1.75ecf2a4e6d75p-6, 0x1.9d064bf3599c5p-7, 0x1.474c83e35a9f4p-9, -0x1.eb34bbf0b27aep-8, -0x1.1c8f42eb57818p-6, -0x1.bc4b9e08e694fp-6, -0x1.2cf8fd0124d5cp-5, -0x1.7ab96b026ed08p-5, -0x1.c75fba8e14a6fp-5, -0x1.09727719a6b57p-4, -0x1.2ea13448d440cp-4, -0x1.5338f5a6d0789p-4, -0x1.7736cafa044f4p-4, -0x1.9a97f266adb96p-4, -0x1.bd59d7d10315ep-4, -0x1.df7a14385cfa8p-4, -0x1.007b3685e3d7p-3, -0x1.10e669bc453a6p-3, -0x1.20fdb1d98a1cdp-3, -0x1.30c0321d54152p-3, -0x1.402d228c22b79p-3, -0x1.4f43cf8c98e43p-3, -0x1.5e039982b6b7p-3, -0x1.6c6bf4694af41p-3, -0x1.7a7c6769b6525p-3, -0x1.88348c7239d24p-3, -0x1.95940fcaf0ab9p-3, -0x1.a29aafa9a633fp-3, -0x1.af483bc4a3014p-3, -0x1.bb9c94e4ab581p-3, -0x1.c797ac7637af6p-3, -0x1.d339841a25bf2p-3, -0x1.de822d35ebc66p-3, -0x1.e971c883802bp-3, -0x1.f40885a10ef74p-3, -0x1.fe46a2a095d42p-3, -0x1.041635cbc62a9p-2, -0x1.08dd1d1754a52p-2, -0x1.0d783a98f9dbdp-2, -0x1.11e7c8108f49p-2, -0x1.162c056030b0fp-2, -0x1.1a453854e8393p-2, -0x1.1e33ac6fafd29p-2, -0x1.21f7b2aec865cp-2, -0x1.2591a1577b6f2p-2, -0x1.2901d3c048cb7p-2, -0x1.2c48aa1b8e58p-2, -0x1.2f668942b383fp-2, -0x1.325bda81dda8fp-2, -0x1.35290b64390b1p-2, -0x1.37ce8d80dbc7dp-2, -0x1.3a4cd6484c5fcp-2, -0x1.3ca45ed2b2751p-2, -0x1.3ed5a3aeb29fap-2, -0x1.40e124b1083f8p-2, -0x1.42c764c4d5645p-2, -0x1.4488e9bcb66a8p-2, -0x1.46263c249cd44p-2, -0x1.479fe71473204p-2, -0x1.48f67803950ccp-2, -0x1.4a2a7e9d14ce2p-2, -0x1.4b3c8c94dd0d8p-2, -0x1.4c2d357dac2a7p-2, -0x1.4cfd0e9fea835p-2, -0x1.4dacaed1656f6p-2, -0x1.4e3cae4dea15ep-2, -0x1.4eada690c3a64p-2, -0x1.4f00322f22a86p-2, -0x1.4f34ecb36cf59p-2, -0x1.4f4c727971f37p-2, -0x1.4f47608b8e807p-2, -0x1.4f265480b603dp-2, -0x1.4ee9ec5b6c808p-2, -0x1.4e92c669a4eafp-2, -0x1.4e2181259011p-2, -0x1.4d96bb17542a2p-2, -0x1.4cf312b7ad0fdp-2, -0x1.4c37265376e06p-2, -0x1.4b6393f021ba9p-2, -0x1.4a78f9310c5e7p-2, -0x1.4977f33dc2a0bp-2, -0x1.48611ea921713p-2, -0x1.473517595e42fp-2, -0x1.45f47870ec1d5p-2, -0x1.449fdc38424bcp-2, -0x1.4337dc087d32ap-2, -0x1.41bd1036da294p-2, -0x1.403010010831dp-2, -0x1.3e91717a51846p-2, -0x1.3ce1c97995206p-2, -0x1.3b21ab880c707p-2, -0x1.3951a9d0e408fp-2, -0x1.3772551195097p-2, -0x1.35843c8b0e84ap-2, -0x1.3387edf3964eep-2, -0x1.317df569748c5p-2, -0x1.2f66dd6650edbp-2, -0x1.2d432eb351703p-2, -0x1.2b13705de828dp-2, -0x1.28d827ad55d1dp-2, -0x1.2691d818d8bf5p-2, -0x1.2441033e8608cp-2, -0x1.21e628dacc755p-2, -0x1.1f81c6c094dc7p-2, -0x1.1d1458d206212p-2, -0x1.1a9e58f9e46dbp-2, -0x1.18203f2583c57p-2, -0x1.159a813f54849p-2, -0x1.130d9329fb4aep-2, -0x1.1079e6bbf7d6fp-2, -0x1.0ddfebbbd2752p-2, -0x1.0b400fdccf92cp-2, -0x1.089abebc242e6p-2, -0x1.05f061dea64e3p-2, -0x1.034160aef89b8p-2, -0x1.008e207c29393p-2, -0x1.fbae08f18b2d9p-3, -0x1.f638db74b4089p-3, -0x1.f0bd7672baedcp-3, -0x1.eb3c93a30950fp-3, -0x1.e5b6e884edb4bp-3, -0x1.e02d2661c7939p-3, -0x1.da9ffa4fece33p-3, -0x1.d5100d3641454p-3, -0x1.cf7e03d07539fp-3, -0x1.c9ea7eb3ee35p-3, -0x1.c4561a5549825p-3, -0x1.bec16f0e7756ep-3, -0x1.b92d11256622fp-3, -0x1.b39990d339c03p-3, -0x1.ae077a4c030bfp-3, -0x1.a87755c6fb724p-3, -0x1.a2e9a787302f2p-3, -0x1.9d5eefe4aa77p-3, -0x1.97d7ab55f69f3p-3, -0x1.9254527a1e801p-3, -0x1.8cd55a22fe71cp-3, -0x1.875b335ff23dfp-3, -0x1.81e64b88e111cp-3, -0x1.7c770c4994338p-3, -0x1.770ddbad5c01fp-3, -0x1.71ab1c2af7cc8p-3, -0x1.6c4f2cb0c6ae4p-3, -0x1.66fa68b12fd2ap-3, -0x1.61ad282f44c8p-3, -0x1.5c67bfcb9a5c3p-3, -0x1.572a80d14d72ep-3, -0x1.51f5b94334b9p-3, -0x1.4cc9b3e93e52cp-3, -0x1.47a6b85de62bp-3, -0x1.428d0b1bd91e3p-3, -0x1.3d7ced8ba6391p-3, -0x1.38769e1191635p-3, -0x1.337a581b7a462p-3, -0x1.2e88542ecbfdep-3, -0x1.29a0c7f681e8ap-3, -0x1.24c3e65137e3fp-3, -0x1.1ff1df5f37057p-3, -0x1.1b2ae09095adfp-3, -0x1.166f14b34b4bfp-3, -0x1.11bea4014dcabp-3, -0x1.0d19b42ea00ddp-3, -0x1.0880687764d26p-3, -0x1.03f2e1addf171p-3, -0x1.fee27c90d6f74p-4, -0x1.f5f734ded7195p-4, -0x1.ed24201640b2dp-4, -0x1.e4696da2e19cap-4, -0x1.dbc748a743f92p-4, -0x1.d33dd817e2f39p-4, -0x1.cacd3ed63708ep-4, -0x1.c2759bcb9492cp-4, -0x1.ba370a03c93c5p-4, -0x1.b211a0c786717p-4, -0x1.aa0573b68e3bfp-4, -0x1.a21292e19d47p-4, -0x1.9a390ae4158dcp-4, -0x1.9278e4fd646d7p-4, -0x1.8ad2272a20c47p-4, -0x1.8344d43ce068cp-4, -0x1.7bd0ebf6bf291p-4, -0x1.74766b1f9e8ddp-4, -0x1.6d354b9e12917p-4, -0x1.660d848efb7c9p-4, -0x1.5eff0a5cd25a9p-4, -0x1.5809ced69f943p-4, -0x1.512dc1469cbf5p-4, -0x1.4a6ace887dc43p-4, -0x1.43c0e11f66188p-4, -0x1.3d2fe14b85d7ep-4, -0x1.36b7b51f5c421p-4, -0x1.305840949e921p-4, -0x1.2a1165a0c81a4p-4, -0x1.23e304494e318p-4, -0x1.1dccfab7762f5p-4, -0x1.17cf254bd4da1p-4, -0x1.11e95eb16934ep-4, -0x1.0c1b7ff0649e3p-4, -0x1.06656080911efp-4, -0x1.00c6d65b58e68p-4, -0x1.f67f6c1aec571p-5, -0x1.eb9fa5908981dp-5, -0x1.e0edfce56fac8p-5, -0x1.d66a1373e3341p-5, -0x1.cc13884300de5p-5, -0x1.c1e9f826847a9p-5, -0x1.b7ecfdddd507bp-5, -0x1.ae1c32325c019p-5, -0x1.a4772c152e84ep-5, -0x1.9afd80bbf981fp-5, -0x1.91aec3bd44591p-5, -0x1.888a872c00063p-5, -0x1.7f905bb2687cdp-5, -0x1.76bfd0ac36182p-5, -0x1.6e187440240c2p-5, -0x1.6599d378cfb63p-5, -0x1.5d437a5ce96a8p-5, -0x1.5514f406c368p-5, -0x1.4d0dcabb35cd4p-5, -0x1.452d87ffe9808p-5, -0x1.3d73b4b0f763cp-5, -0x1.35dfd915ec063p-5, -0x1.2e717cf62e683p-5, -0x1.272827acc9d46p-5, -0x1.2003603ba71c4p-5, -0x1.1902ad5e1c98bp-5, -0x1.1225959afdbdfp-5, -0x1.0b6b9f560a3ecp-5, -0x1.04d450e0cdfc9p-5, -0x1.fcbe6115fac0bp-6, -0x1.f01789646e7bbp-6, -0x1.e3b327a29182fp-6, -0x1.d790491dc9f61p-6, -0x1.cbadfb97a0c02p-6, -0x1.c00b4d6135516p-6, -0x1.b4a74d758eba2p-6, -0x1.a9810b9305f5bp-6, -0x1.9e979853b179dp-6, -0x1.93ea0544d912ep-6, -0x1.897764fd8020ep-6, -0x1.7f3ecb340c897p-6, -0x1.753f4cd300856p-6, -0x1.6b78000cd06fep-6, -0x1.61e7fc6ef4413p-6, -0x1.588e5af404277p-6, -0x1.4f6a36150c924p-6, -0x1.467aa9da27c45p-6, -0x1.3dbed3ea35828p-6, -0x1.3535d399d62cfp-6, -0x1.2cdec9f9b5374p-6, -0x1.24b8d9e3f7606p-6, -0x1.1cc32809174p-6, -0x1.14fcdafbf0d59p-6, -0x1.0d651b3d32fbdp-6, -0x1.05fb13461a9acp-6, -0x1.fd7bdf251ad24p-7, -0x1.ef59bd553523cp-7, -0x1.e18e22569de5ep-7, -0x1.d417739df0cbbp-7, -0x1.c6f41ae9a37b6p-7, -0x1.ba2286504b19cp-7, -0x1.ada1284db6109p-7, -0x1.a16e77cf05b03p-7, -0x1.9588f03da5e64p-7, -0x1.89ef11894d415p-7, -0x1.7e9f603111eccp-7, -0x1.7398654b70752p-7, -0x1.68d8ae8d79d02p-7, -0x1.5e5ece5125d82p-7, -0x1.54295b9aa70acp-7, -0x1.4a36f21cf66f6p-7, -0x1.4086323dafd92p-7, -0x1.3715c117ed74cp-7, -0x1.2de4487e8622p-7, -0x1.24f076fd88753p-7, -0x1.1c38ffdb0c6a4p-7, -0x1.13bc9b17328c4p-7, -0x1.0b7a056baa80fp-7, -0x1.0370004a69911p-7, -0x1.f73aa3b7b15a2p-8, -0x1.e80189f910d9ap-8, -0x1.d93252742aa97p-8, -0x1.cacaa59f78e58p-8, -0x1.bcc835448e314p-8, -0x1.af28bc770975bp-8, -0x1.a1e9ff8a8f649p-8, -0x1.9509cc07c3463p-8, -0x1.8885f8a07f88fp-8, -0x1.7c5c65230601cp-8, -0x1.708afa6cc1d6dp-8, -0x1.650faa5bc0ee7p-8, -0x1.59e86fbfeb38dp-8, -0x1.4f134e4b2ffafp-8, -0x1.448e52812b6e6p-8, -0x1.3a5791a63779ep-8, -0x1.306d29add1d7ap-8, -0x1.26cd412872f5bp-8, -0x1.1d760730d4b9bp-8, -0x1.1465b358e3b22p-8, -0x1.0b9a8595f3698p-8, -0x1.0312c62cb82dap-8, -0x1.f5998b393cdadp-9, -0x1.e58db9160f424p-9, -0x1.d5fed75ba85d1p-9, -0x1.c6e9b76bd3d77p-9, -0x1.b84b3a725aab1p-9, -0x1.aa205138a35a8p-9, -0x1.9c65fbf89a176p-9, -0x1.8f194a2f1d9eep-9, -0x1.82375a6e345b4p-9, -0x1.75bd5a2eb6788p-9, -0x1.69a885a14cd66p-9, -0x1.5df6277fd03dfp-9, -0x1.52a398dd927e2p-9, -0x1.47ae40f837a5fp-9, -0x1.3d1395077fe7p-9, -0x1.32d1180dbe4b9p-9, -0x1.28e45aa76c8e4p-9, -0x1.1f4afadb039f4p-9, -0x1.1602a3e8ef2fep-9, -0x1.0d090e1aee4f7p-9, -0x1.045bfe93c3689p-9, -0x1.f7f28e3e8002cp-10, -0x1.e7bd8c02f1bebp-10, -0x1.d814cb8d8f4aep-10, -0x1.c8f43a27825f9p-10, -0x1.ba57dce9d423cp-10, -0x1.ac3bd05dd25d5p-10, -0x1.9e9c481dd7b55p-10, -0x1.91758e75ddf17p-10, -0x1.84c40404b7ef8p-10, -0x1.78841f5e699b8p-10, -0x1.6cb26cadbbfep-10, -0x1.614b8d570027cp-10, -0x1.564c379bc42f7p-10, -0x1.4bb1363e1437bp-10, -0x1.417768253ec3cp-10, -0x1.379bc002dedb2p-10, -0x1.2e1b43f8806c9p-10, -0x1.24f30d3e618afp-10, -0x1.1c2047ca3dccep-10, -0x1.13a031f7b25f7p-10, -0x1.0b701c3031821p-10, -0x1.038d68951a192p-10, -0x1.f7eb1553422d3p-11, -0x1.e94c0dfc104eep-11, -0x1.db38e5b6c35b4p-11, -0x1.cdace7e0dad42p-11, -0x1.c0a37ffecd896p-11, -0x1.b41839189ec2ap-11, -0x1.a806bd19713eep-11, -0x1.9c6ad42f3aa1dp-11, -0x1.9140642e1e0c6p-11, -0x1.86836ff3aa56dp-11, -0x1.7c3016ce7e305p-11, -0x1.724293e5ccf2ap-11, -0x1.68b73da2f1b3cp-11, -0x1.5f8a851e833cdp-11, -0x1.56b8f58d5faafp-11, -0x1.4e3f33b071acfp-11, -0x1.4619fd4827f4cp-11, -0x1.3e462885c68c1p-11, -0x1.36c0a382b569p-11, -0x1.2f8673b79f7f4p-11, -0x1.2894b5766792cp-11, -0x1.21e89b6590232p-11, -0x1.1b7f6dfdf67d6p-11, -0x1.15568b0ac7bc3p-11, -0x1.0f6b652a6b007p-11, -0x1.09bb835232c88p-11, -0x1.044480546781dp-11, -0x1.fe0814cd9033dp-12, -0x1.f3efc55916e62p-12, -0x1.ea3bb9823ca5ep-12, -0x1.e0e7bc8c9f09fp-12, -0x1.d7efbce53452ap-12, -0x1.cf4fcb43e8f59p-12, -0x1.c70419d5bf1a7p-12, -0x1.bf08fb61b9075p-12, -0x1.b75ae278ead49p-12, -0x1.aff660a6f9915p-12, -0x1.a8d825a6ee4a8p-12, -0x1.a1fcfe9c6582ep-12, -0x1.9b61d54f5031cp-12, -0x1.9503af6cc6b1fp-12, -0x1.8edfadc947945p-12, -0x1.88f30ba84e30ep-12, -0x1.833b1e071f201p-12, -0x1.7db552ec57d3cp-12, -0x1.785f30b6a3c3ap-12, -0x1.7336557372bcbp-12, -0x1.6e387636d4606p-12, -0x1.69635e7798362p-12, -0x1.64b4ef6db7347p-12, -0x1.602b1f7567a56p-12, -0x1.5bc3f9746d732p-12, -0x1.577d9c430eb2fp-12, -0x1.53563a1751a86p-12, -0x1.4f4c17f4819b9p-12, -0x1.4b5d8d1e9039cp-12, -0x1.4789028d88f98p-12, -0x1.43ccf2665421cp-12, -0x1.4027e7762d923p-12, -0x1.3c987cb096197p-12, -0x1.391d5cb053126p-12, -0x1.35b5413b56e65p-12, -0x1.325ef2c96c2ccp-12, -0x1.2f19480e7138ep-12, -0x1.2be325855ec41p-12, -0x1.28bb7cff23ed7p-12, -0x1.25a14d3544a58p-12, -0x1.2293a15d23afap-12, -0x1.1f9190be92c2p-12, -0x1.1c9a3e4d80b02p-12, -0x1.19acd845839bfp-12, -0x1.16c897c79f905p-12, -0x1.13ecc07b4cebcp-12, -0x1.1118a03037e3cp-12, -0x1.0e4b8e85b24dp-12, -0x1.0b84ec90bd18fp-12, -0x1.08c424859a26dp-12, -0x1.0608a963bf6a5p-12, -0x1.0351f6a4e7a91p-12, -0x1.009f8fec20842p-12, -0x1.fbe20172385b8p-13, -0x1.f68bb8371da97p-13, -0x1.f13b78d5f16edp-13, -0x1.ebf085fb62865p-13, -0x1.e6aa2fc703755p-13, -0x1.e167d34386579p-13, -0x1.dc28d9e4f4eabp-13, -0x1.d6ecb90721589p-13, -0x1.d1b2f16ff3186p-13, -0x1.cc7b0ed6c225bp-13, -0x1.c744a77044405p-13, -0x1.c20f5b7a44211p-13, -0x1.bcdad4cd8826p-13, -0x1.b7a6c67104757p-13, -0x1.b272ec3479a5cp-13, -0x1.ad3f0a4767f22p-13, -0x1.a80aecd8309b8p-13, -0x1.a2d667b35e049p-13, -0x1.9da155e886a6fp-13, -0x1.986b997165afp-13, -0x1.93351ad892508p-13, -0x1.8dfdc8e59b02cp-13, -0x1.88c5984db579p-13, -0x1.838c8362bf29ap-13, -0x1.7e5289c6c98f7p-13, -0x1.7917b02289e99p-13, -0x1.73dbffddbce0bp-13, -0x1.6e9f86dc69ac8p-13, -0x1.6962573842d34p-13, -0x1.64248701eb3a6p-13, -0x1.5ee63001fb43bp-13, -0x1.59a76f7e0a894p-13, -0x1.546865fdc9d0ap-13, -0x1.4f2937120d496p-13, -0x1.49ea091ff4a37p-13, -0x1.44ab052d2d127p-13, -0x1.3f6c56acd73f8p-13, -0x1.3a2e2b4edab9bp-13, -0x1.34f0b2d13e6a4p-13, -0x1.2fb41ed427472p-13, -0x1.2a78a2afe088fp-13, -0x1.253e7348fc979p-13, -0x1.2005c6e9d38f8p-13, -0x1.1aced51b65f45p-13, -0x1.1599d68245cf2p-13, -0x1.106704ba5944cp-13, -0x1.0b369a3466bbbp-13, -0x1.0608d216d75e9p-13, -0x1.00dde81ef6d12p-13, -0x1.f76c3106b8449p-14, -0x1.ed233fad135f9p-14, -0x1.e2e175d8204e5p-14, -0x1.d8a74d7e9881fp-14, -0x1.ce7540b5c3459p-14, -0x1.c44bc982b6c75p-14, -0x1.ba2b61abdd95ep-14, -0x1.b014828ef06d6p-14, -0x1.a607a4fa30489p-14, -0x1.9c0541056c33dp-14, -0x1.920dcdebad661p-14, -0x1.8821c1ea9d00cp-14, -0x1.7e41922068d7bp-14, -0x1.746db26fbded9p-14, -0x1.6aa6956182a8cp-14, -0x1.60ecac082ca8dp-14, -0x1.574065e618016p-14, -0x1.4da230d6b63d5p-14, -0x1.441278f756e0dp-14, -0x1.3a91a8926ff91p-14, -0x1.3120280ae36e2p-14, -0x1.27be5dca282dfp-14, -0x1.1e6cae30288ddp-14, -0x1.152b7b8382d8ep-14, -0x1.0bfb25e1c0531p-14, -0x1.02dc0b31e168bp-14, -0x1.f39d0e32b7bd9p-15, -0x1.e1a5e5e21cc46p-15, -0x1.cfd34b79b28p-15, -0x1.be25e83ef96dfp-15, -0x1.ac9e60a8aef9p-15, -0x1.9b3d5451390e5p-15, -0x1.8a035de8c15a1p-15, -0x1.78f1132dd6cf7p-15, -0x1.680704e1b7b46p-15, -0x1.5745bec2624b6p-15, -0x1.46adc7856ee4ep-15, -0x1.363fa0d736faap-15, -0x1.25fbc75384689p-15, -0x1.15e2b285dff7fp-15, -0x1.05f4d4e91f855p-15, -0x1.ec6537d1910d9p-16, -0x1.cd38dfcecc1fdp-16, -0x1.ae65687e2aaap-16, -0x1.8feb8e8bd388cp-16, -0x1.71cc04a8d32f1p-16, -0x1.5407739804ee4p-16, -0x1.369e7a400278cp-16, -0x1.1991adbaae2edp-16, -0x1.f9c332cdf5fe3p-17, -0x1.c11d7dfbeedb2p-17, -0x1.89332d540854ap-17, -0x1.52051e48e6d1cp-17, -0x1.1b941b8592685p-17, -0x1.cbc1ba5ef0bc9p-18, -0x1.61d8122df9668p-18, -0x1.f2d8cbc631522p-19, -0x1.24ff72636e5cp-19, -0x1.6897649bb5457p-21, 0x1.b6ca127e4c8b7p-21, 0x1.3288701499acdp-19, 0x1.f45af60a3dafap-19, 0x1.5994b2cc05b08p-18, 0x1.b779a7a8870edp-18, 0x1.09ee2104ca9d8p-17, 0x1.375e44f925cdap-17, 0x1.640d533cb3733p-17, 0x1.8ffb6e8dbc3a8p-17, 0x1.bb28c8966b4p-17, 0x1.e595a1b532a75p-17, 0x1.07a1244d54b94p-16, 0x1.1c178d0449963p-16, 0x1.302e4043b7c76p-16, 0x1.43e57a0b875e8p-16, 0x1.573d7ced7c14bp-16, 0x1.6a3691ed79845p-16, 0x1.7cd108585a2ddp-16, 0x1.8f0d359bcb558p-16, 0x1.a0eb751f2e72fp-16, 0x1.b26c2820d0508p-16, 0x1.c38fb58951adfp-16, 0x1.d45689cc30a7ap-16, 0x1.e4c116bf577a2p-16, 0x1.f4cfd36fc7f68p-16, 0x1.02419dfff0c8cp-15, 0x1.09ede8c20150bp-15, 0x1.116d0ceb3e66p-15, 0x1.18bf4fbbd7022p-15, 0x1.1fe4f8b259c3cp-15, 0x1.26de517b935p-15, 0x1.2daba5dd25fb3p-15, 0x1.344d43a5c4099p-15, 0x1.3ac37a9c2d3e8p-15, 0x1.410e9c69d99dfp-15, 0x1.472efc8b2e456p-15, 0x1.4d24f03ed05eap-15, 0x1.52f0ce722abd1p-15, 0x1.5892efb11e20ep-15, 0x1.5e0bae1776b84p-15, 0x1.635b653d0320dp-15, 0x1.688272260342bp-15, 0x1.6d813333cc218p-15, 0x1.725808141f7ep-15, 0x1.770751afae2d8p-15, 0x1.7b8f721dce112p-15, 0x1.7ff0cc91e30a5p-15, 0x1.842bc54e74421p-15, 0x1.8840c1943c17ep-15, 0x1.8c302795f46f6p-15, 0x1.8ffa5e681bd96p-15, 0x1.939fcdf28f783p-15, 0x1.9720dee3ee75bp-15, 0x1.9a7dfaa22f6aep-15, 0x1.9db78b3d9ccaep-15, 0x1.a0cdfb640d1c4p-15, 0x1.a3c1b65423d88p-15, 0x1.a69327cfbdb92p-15, 0x1.a942bc10866cp-15, 0x1.abd0dfba4640dp-15, 0x1.ae3dffcff7683p-15, 0x1.b08a89a69a606p-15, 0x1.b2b6eadba8afp-15, 0x1.b4c39148b310fp-15, 0x1.b6b0eaf765fc4p-15, 0x1.b87f6619437e5p-15, 0x1.ba2f70fa8cea5p-15, 0x1.bbc179f97aa6ep-15, 0x1.bd35ef7b9ee34p-15, 0x1.be8d3fe4665e7p-15, 0x1.bfc7d98b3675cp-15, 0x1.c0e62ab0eed64p-15, 0x1.c1e8a1791ebcep-15, 0x1.c2cfabdf63b5p-15, 0x1.c39bb7ae62b5bp-15, 0x1.c44d327a3cf4bp-15, 0x1.c4e48996004ccp-15, 0x1.c5622a0abc189p-15, 0x1.c5c68091f88bdp-15, 0x1.c611f98cdb0bfp-15, 0x1.c64500fe3b2dbp-15, 0x1.c66002815cc4ap-15, 0x1.c6636944abb13p-15, 0x1.c64fa003a545p-15, 0x1.c62510fda84d9p-15, 0x1.c5e425f23bc1bp-15, 0x1.c58d481af42fcp-15, 0x1.c520e0240ec9ep-15, 0x1.c49f5627770f5p-15, 0x1.c40911a7a4d3dp-15, 0x1.c35e798a71a1dp-15, 0x1.c29ff4132908bp-15, 0x1.c1cde6dd2f847p-15, 0x1.c0e8b6d9d467bp-15, 0x1.bff0c84afdceep-15, 0x1.bee67ebc54824p-15, 0x1.bdca3d00a1dc9p-15, 0x1.bc9c652f19e0ep-15, 0x1.bb5d589e38e6p-15, 0x1.ba0d77e051f69p-15, 0x1.b8ad22bf335d7p-15, 0x1.b73cb83b5c869p-15, 0x1.b5bc9685c7531p-15, 0x1.b42d1afdcd781p-15, 0x1.b28ea22fece1ap-15, 0x1.b0e187d1bf1dp-15, 0x1.af2626be93407p-15, 0x1.ad5cd8f5f9611p-15, 0x1.ab85f79ab3a3ap-15, 0x1.a9a1daef0365ep-15, 0x1.a7b0da51069f1p-15, 0x1.a5b34c3b58ec7p-15, 0x1.a3a986443d32p-15, 0x1.a193dd1a4d206p-15, 0x1.9f72a481871f4p-15, 0x1.9d462f53a12b8p-15, 0x1.9b0ecf7fa3f5ap-15, 0x1.98ccd608248eep-15, 0x1.9680930052545p-15, 0x1.942a558ddbe14p-15, 0x1.91ca6be6ade0cp-15, 0x1.8f61235017a3ap-15, 0x1.8ceec81e6b49ep-15, 0x1.8a73a5b4d6d9ap-15, 0x1.87f00685132eap-15, 0x1.8564340e09051p-15, 0x1.82d076dc62e44p-15, 0x1.8035168b126cfp-15, 0x1.7d9259c3251d9p-15, 0x1.7ae88639b8d29p-15, 0x1.7837e0b14d01p-15, 0x1.7580acfb5f9a7p-15, 0x1.72c32df87d43bp-15, 0x1.6fffa5969bcafp-15, 0x1.6d3654d2df0a1p-15, 0x1.6a677bb93f8c2p-15, 0x1.679359675166fp-15, 0x1.64ba2c0b429fbp-15, 0x1.61dc30e36a09ap-15, 0x1.5ef9a442450d1p-15, 0x1.5c12c18c8bdbfp-15, 0x1.5927c33ac2727p-15, 0x1.5638e2daf1f0fp-15, 0x1.53465910a55ep-15, 0x1.50505d977cfa3p-15, 0x1.4d57274236bb8p-15, 0x1.4a5aebfd6b6bdp-15, 0x1.475be0d105005p-15, 0x1.445a39e0a9f6cp-15, 0x1.41562a6cc4582p-15, 0x1.3e4fe4d412b8ep-15, 0x1.3b479a9588201p-15, 0x1.383d7c529d105p-15, 0x1.3531b9ce52f7dp-15, 0x1.322481f1191afp-15, 0x1.2f1602c881a3dp-15, 0x1.2c066989fe08bp-15, 0x1.28f5e29498c23p-15, 0x1.25e49971cd77fp-15, 0x1.22d2b8d800f22p-15, 0x1.1fc06aab38209p-15, 0x1.1cadd8001279p-15, 0x1.199b291c5a14dp-15, 0x1.1688857956e2ep-15, 0x1.137613c578841p-15, 0x1.1063f9e6cd284p-15, 0x1.0d525cfba1e2ap-15, 0x1.0a41615daac98p-15, 0x1.07312aa3a5faap-15, 0x1.0421dba221c35p-15, }}, 
      {{0x1.2f5553dd1e90bp-1, 0x1.2f582aea61b0cp-1, 0x1.2f5cfdc12f81ep-1, 0x1.2f63eaadf10cdp-1, 0x1.2f6d152a9c86dp-1, 0x1.2f78a14e8b16ep-1, 0x1.2f86afa32a371p-1, 0x1.2f97599b5e261p-1, 0x1.2faaaec687cedp-1, 0x1.2fc0b2c12dddfp-1, 0x1.2fd95bd7aa657p-1, 0x1.2ff49247d6018p-1, 0x1.3012300b4cbbcp-1, 0x1.303201131c6b9p-1, 0x1.3053c3de85209p-1, 0x1.30772a582016fp-1, 0x1.309bdae70409dp-1, 0x1.30c171a3d289bp-1, 0x1.30e781a404933p-1, 0x1.310d9650104b6p-1, 0x1.313334bb18237p-1, 0x1.3157dcf4b76fdp-1, 0x1.317b0b4f2529ap-1, 0x1.319c399556208p-1, 0x1.31bae02e01b04p-1, 0x1.31d677296f88fp-1, 0x1.31ee7738cd41fp-1, 0x1.32025a8e7f34fp-1, 0x1.32119da7655d4p-1, 0x1.321bbffd8187ep-1, 0x1.322044a4bc28cp-1, 0x1.321eb2d2c2f71p-1, 0x1.321696532a9f7p-1, 0x1.32077fe91499cp-1, 0x1.31f1059faf4ecp-1, 0x1.31d2c30ae95b8p-1, 0x1.31ac5979afdffp-1, 0x1.317d701b0c08dp-1, 0x1.3145b41763176p-1, 0x1.3104d89f10f07p-1, 0x1.30ba96ef83debp-1, 0x1.3066ae4fee638p-1, 0x1.3008e4068ca2bp-1, 0x1.2fa103476ea42p-1, 0x1.2f2edd1da1903p-1, 0x1.2eb2484f7e099p-1, 0x1.2e2b213ed4cb4p-1, 0x1.2d9949c59cb73p-1, 0x1.2cfca90fba487p-1, 0x1.2c552b7264219p-1, 0x1.2ba2c2419fdd9p-1, 0x1.2ae563a441c87p-1, 0x1.2a1d0a66ce80fp-1, 0x1.2949b5cd9597p-1, 0x1.286b69664e28cp-1, 0x1.27822cd979726p-1, 0x1.268e0bbbc2494p-1, 0x1.258f155f9044ap-1, 0x1.24855ca6f547dp-1, 0x1.2370f7d6204e8p-1, 0x1.225200667088cp-1, 0x1.212892da49192p-1, 0x1.1ff4ce91b978p-1, 0x1.1eb6d5a00fd1p-1, 0x1.1d6ecca262535p-1, 0x1.1c1cda9722272p-1, 0x1.1ac128b6ba00fp-1, 0x1.195be24d489adp-1, 0x1.17ed349576a14p-1, 0x1.16754e946f8e6p-1, 0x1.14f460f6fd3b7p-1, 0x1.136a9defca1d2p-1, 0x1.11d83916c6a72p-1, 0x1.103d6749b1d56p-1, 0x1.0e9a5e8dc4a48p-1, 0x1.0cef55f278c57p-1, 0x1.0b3c85756ba71p-1, 0x1.098225e755417p-1, 0x1.07c070d211c1dp-1, 0x1.05f7a05fb69d7p-1, 0x1.0427ef42acaa7p-1, 0x1.0251989ecc2b1p-1, 0x1.0074d7f373503p-1, 0x1.fd23d20d20569p-2, 0x1.f9520fa132dfcp-2, 0x1.f574e0d2e02c9p-2, 0x1.f18cbdec4061fp-2, 0x1.ed9a1f2efd85cp-2, 0x1.e99d7cb335d24p-2, 0x1.e5974e47ff691p-2, 0x1.e1880b5575a6ap-2, 0x1.dd702ac04fa4ep-2, 0x1.d95022ceec939p-2, 0x1.d528690fca768p-2, 0x1.d0f972415e0dcp-2, 0x1.ccc3b23b3eb5dp-2, 0x1.c8879bd8990e4p-2, 0x1.c445a0e3e1cdcp-2, 0x1.bffe3203b95f1p-2, 0x1.bbb1bea8f77afp-2, 0x1.b760b4fdd4a1cp-2, 0x1.b30b81d62838p-2, 0x1.aeb290a0aef58p-2, 0x1.aa564b59514c2p-2, 0x1.a5f71a7c616a4p-2, 0x1.a19564fac64bcp-2, 0x1.9d31902f0db04p-2, 0x1.98cbffd357c5ep-2, 0x1.946515f81902ep-2, 0x1.8ffd32fba7a0ep-2, 0x1.8b94b5828e90ap-2, 0x1.872bfa709a06ep-2, 0x1.82c35ce2a045fp-2, 0x1.7e5b3628efc4fp-2, 0x1.79f3ddc26f053p-2, 0x1.758da95855755p-2, 0x1.7128ecba83193p-2, 0x1.6cc5f9dc6b876p-2, 0x1.686520d29047p-2, 0x1.6406afd080e13p-2, 0x1.5faaf32760a58p-2, 0x1.5b523544e9c6bp-2, 0x1.56fcbeb2e5e51p-2, 0x1.52aad6171b252p-2, 0x1.4e5cc033a81adp-2, 0x1.4a12bfe7c62e4p-2, 0x1.45cd1630f27a2p-2, 0x1.418c022c7619dp-2, 0x1.3d4fc11947bf9p-2, 0x1.39188e5a4702cp-2, 0x1.34e6a378ca5d5p-2, 0x1.30ba382777ed3p-2, 0x1.2c9382457003fp-2, 0x1.2872b5e1b93dcp-2, 0x1.2458053ef286bp-2, 0x1.2043a0d74555dp-2, 0x1.1c35b76091f65p-2, 0x1.182e75d0d8f28p-2, 0x1.142e0762d7838p-2, 0x1.1034959ad775ap-2, 0x1.0c42484bae1c6p-2, 0x1.0857459bea54ep-2, 0x1.0473b20b2a1ep-2, 0x1.0097b07797c58p-2, 0x1.f986c4471ab05p-3, 0x1.f1edcd76abf4ap-3, 0x1.ea64b8b627829p-3, 0x1.e2ebbf297b7acp-3, 0x1.db8316ec77d78p-3, 0x1.d42af31f2fa87p-3, 0x1.cce383f28e338p-3, 0x1.c5acf6b510268p-3, 0x1.be8775df9c732p-3, 0x1.b7732922821c5p-3, 0x1.b070357291485p-3, 0x1.a97ebd1647acep-3, 0x1.a29edfb314bb3p-3, 0x1.9bd0ba5ab1258p-3, 0x1.951467987bac6p-3, 0x1.8e69ff7ee783p-3, 0x1.87d197b4ef19bp-3, 0x1.814b438388aadp-3, 0x1.7ad713e320efcp-3, 0x1.747517890c28fp-3, 0x1.6e255af4ff10cp-3, 0x1.67e7e87e6f2cfp-3, 0x1.61bcc861fdaeap-3, 0x1.5ba400cec54b2p-3, 0x1.559d95f3a3af1p-3, 0x1.4fa98a0c71598p-3, 0x1.49c7dd6f237ap-3, 0x1.43f88e98dd182p-3, 0x1.3e3b9a3ae5d77p-3, 0x1.3890fb4790e66p-3, 0x1.32f8aafefefb6p-3, 0x1.2d72a0fbcc173p-3, 0x1.27fed33fa2027p-3, 0x1.229d363fa4f84p-3, 0x1.1d4dbcf0c6cefp-3, 0x1.181058d3f36cep-3, 0x1.12e4fa02249bbp-3, 0x1.0dcb8f38473dcp-3, 0x1.08c405e300d8cp-3, 0x1.03ce4a2a51f0dp-3, 0x1.fdd48dfa1a94ep-4, 0x1.f42fcc385474cp-4, 0x1.eaae204bdb3c6p-4, 0x1.e14f5941d67fcp-4, 0x1.d813440dba00fp-4, 0x1.cef9ab9e9f951p-4, 0x1.c60258f4458d7p-4, 0x1.bd2d1333c17c4p-4, 0x1.b4799fbbceb1ep-4, 0x1.abe7c238d2d7ap-4, 0x1.a3773cb878fcdp-4, 0x1.9b27cfbcff3bap-4, 0x1.92f93a5026c76p-4, 0x1.8aeb3a15c1fd3p-4, 0x1.82fd8b5df3d23p-4, 0x1.7b2fe93709bf2p-4, 0x1.73820d7efe981p-4, 0x1.6bf3b0f4a0805p-4, 0x1.64848b485beb4p-4, 0x1.5d34532ca9e7p-4, 0x1.5602be6624277p-4, 0x1.4eef81db3d96fp-4, 0x1.47fa51a39e5dcp-4, 0x1.4122e11727127p-4, 0x1.3a68e2dc989c8p-4, 0x1.33cc08f7e2e5fp-4, 0x1.2d4c04d8197a5p-4, 0x1.26e887650ef42p-4, 0x1.20a1410c9b18bp-4, 0x1.1a75e1cf85d24p-4, 0x1.1466194e1c518p-4, 0x1.0e7196d47136p-4, 0x1.0898096647378p-4, 0x1.02d91fcaa4e77p-4, 0x1.fa69112e32361p-5, 0x1.ef53e4754fcdp-5, 0x1.e4721610d2453p-5, 0x1.d9c30283a8df6p-5, 0x1.cf4606417a5bdp-5, 0x1.c4fa7dc202cebp-5, 0x1.badfc593cee72p-5, 0x1.b0f53a6e647ecp-5, 0x1.a73a3943cd2dfp-5, 0x1.9dae1f5193ca7p-5, 0x1.94504a3123364p-5, 0x1.8b2017e79e6e2p-5, 0x1.821ce6f524d0ep-5, 0x1.794616638b6ccp-5, 0x1.709b05d48bac6p-5, 0x1.681b158f6a8ddp-5, 0x1.5fc5a68e18be2p-5, 0x1.579a1a89d3b12p-5, 0x1.4f97d407415f4p-5, 0x1.47be36620ec29p-5, 0x1.400ca5d81766ap-5, 0x1.388287940acabp-5, 0x1.311f41b7a185ep-5, 0x1.29e23b6559bd8p-5, 0x1.22cadcc9c5d46p-5, 0x1.1bd88f2465969p-5, 0x1.150abcd013608p-5, 0x1.0e60d14b09d57p-5, 0x1.07da393e7c29p-5, 0x1.01766285c96eap-5, 0x1.f669786a96902p-6, 0x1.ea296d418d456p-6, 0x1.de2b86c2ee403p-6, 0x1.d26eaab77bebcp-6, 0x1.c6f1c188fcf0dp-6, 0x1.bbb3b64c2885ap-6, 0x1.b0b376c9fd8edp-6, 0x1.a5eff38861638p-6, 0x1.9b681fd228adbp-6, 0x1.911af1be732fdp-6, 0x1.8707623773c44p-6, 0x1.7d2c6d00a2797p-6, 0x1.738910bc56af8p-6, 0x1.6a1c4ef0da1a4p-6, 0x1.60e52c0ce30f5p-6, 0x1.57e2af6b9b6d7p-6, 0x1.4f13e358195e2p-6, 0x1.4677d510569d3p-6, 0x1.3e0d94c7b674bp-6, 0x1.35d435a91418dp-6, 0x1.2dcacdd85259ap-6, 0x1.25f0767388d0ap-6, 0x1.1e444b93c4b04p-6, 0x1.16c56c4d58484p-6, 0x1.0f72faafccf28p-6, 0x1.084c1bc57498dp-6, 0x1.014ff7929ad23p-6, 0x1.f4fb7228b7dcfp-7, 0x1.e7a91c7e497e9p-7, 0x1.daa74ff9cb5c3p-7, 0x1.cdf47455cda4ap-7, 0x1.c18ef72eb9652p-7, 0x1.b5754bfd5291dp-7, 0x1.a9a5ec10be347p-7, 0x1.9e1f5687ec63bp-7, 0x1.92e0104a7c86cp-7, 0x1.87e6a401407cdp-7, 0x1.7d31a20e2a96ep-7, 0x1.72bfa083d09a9p-7, 0x1.688f3b1c8c41bp-7, 0x1.5e9f13311fep-7, 0x1.54edcfaf0c39p-7, 0x1.4b7a1d0e72edep-7, 0x1.4242ad47b43dfp-7, 0x1.394637c8a0d46p-7, 0x1.3083796971e26p-7, 0x1.27f9346164327p-7, 0x1.1fa6303b0be1p-7, 0x1.178939c87305dp-7, 0x1.0fa12316e86dap-7, 0x1.07ecc36298243p-7, 0x1.006af709eb6b1p-7, 0x1.f2353f0177de6p-8, 0x1.e3f5468693d37p-8, 0x1.d613db921f8c5p-8, 0x1.c88edeeec0e28p-8, 0x1.bb643b27dcdfp-8, 0x1.ae91e46e4ea4cp-8, 0x1.a215d87cd604ap-8, 0x1.95ee1e7c65fadp-8, 0x1.8a18c6e82774cp-8, 0x1.7e93eb715737ap-8, 0x1.735daee3016f3p-8, 0x1.68743d0590c49p-8, 0x1.5dd5ca8249cp-8, 0x1.538094c6a103bp-8, 0x1.4972e1e7871c3p-8, 0x1.3fab00849f7c6p-8, 0x1.362747ab70288p-8, 0x1.2ce616ba92c9p-8, 0x1.23e5d544d5b1fp-8, 0x1.1b24f2f45ceb4p-8, 0x1.12a1e76ddfeddp-8, 0x1.0a5b3233ca636p-8, 0x1.024f5a89a6a51p-8, 0x1.f4f9deaea3ce8p-9, 0x1.e5c50e18f207cp-9, 0x1.d6fd7f0824586p-9, 0x1.c8a07bcff3942p-9, 0x1.baab5d2955ecbp-9, 0x1.ad1b89fa40f05p-9, 0x1.9fee771da072p-9, 0x1.9321a72b7a7bdp-9, 0x1.86b2aa4198ac5p-9, 0x1.7a9f1dcc7d92ep-9, 0x1.6ee4ac507121ep-9, 0x1.63810d33639b9p-9, 0x1.58720486b57a8p-9, 0x1.4db562d19d897p-9, 0x1.434904dc0da5ep-9, 0x1.392ad379c99c4p-9, 0x1.2f58c35618d42p-9, 0x1.25d0d4bfdd513p-9, 0x1.1c91137627ad9p-9, 0x1.139796753339ap-9, 0x1.0ae27fc3d342ep-9, 0x1.026ffc4172b8ep-9, 0x1.f47c86e9327a9p-10, 0x1.e4972eb3912c3p-10, 0x1.d52c88665835ep-10, 0x1.c63940b0b68c5p-10, 0x1.b7ba180df7875p-10, 0x1.a9abe26784263p-10, 0x1.9c0b86b80d90ep-10, 0x1.8ed5feafdb351p-10, 0x1.8208565a08b4p-10, 0x1.759fabc30ff45p-10, 0x1.69992ea025bf4p-10, 0x1.5df21ff7c53b9p-10, 0x1.52a7d1cb842b8p-10, 0x1.47b7a6c2f682fp-10, 0x1.3d1f11d77c2cfp-10, 0x1.32db9601801ccp-10, 0x1.28eac5e684497p-10, 0x1.1f4a43885ec7p-10, 0x1.15f7bff5d6283p-10, 0x1.0cf0fafc02e83p-10, 0x1.0433c2d8fa9b1p-10, 0x1.f77be7dfa014fp-11, 0x1.e71af0fa89132p-11, 0x1.d740909babf4bp-11, 0x1.c7e8d0e9de287p-11, 0x1.b90fd60a0b241p-11, 0x1.aab1dd91d576dp-11, 0x1.9ccb3dfca5cedp-11, 0x1.8f586622d8ad7p-11, 0x1.8255dcb2a00e3p-11, 0x1.75c03fabb39a9p-11, 0x1.699443dc6fe8ep-11, 0x1.5dceb461a1d3cp-11, 0x1.526c72289dc3dp-11, 0x1.476a7372b967dp-11, 0x1.3cc5c35b7b34ep-11, 0x1.327b8160bbff9p-11, 0x1.2888e0ec9c0e1p-11, 0x1.1eeb28e1c2c2cp-11, 0x1.159fb3295272dp-11, 0x1.0ca3ec4364886p-11, 0x1.03f552d8cd80dp-11, 0x1.f722ee9f6bffcp-12, 0x1.e6ebf6c2ee092p-12, 0x1.d7412365a41a1p-12, 0x1.c81dfadab60bap-12, 0x1.b97e23b7ce87bp-12, 0x1.ab5d640f5110dp-12, 0x1.9db7a0b036246p-12, 0x1.9088dc687ebf2p-12, 0x1.83cd374b663e5p-12, 0x1.7780edfbe162fp-12, 0x1.6ba058f9345bdp-12, 0x1.6027ebf0b6382p-12, 0x1.551435113c97cp-12, 0x1.4a61dc636bceap-12, 0x1.400da324bac91p-12, 0x1.36146325ad4b7p-12, 0x1.2c730e2babaf5p-12, 0x1.2326ad5642f95p-12, 0x1.1a2c60864c395p-12, 0x1.11815dca30a9bp-12, 0x1.0922f0cae75a5p-12, 0x1.010e7a3e7e654p-12, 0x1.f282deb6cb954p-13, 0x1.e372b2a10ea95p-13, 0x1.d4e7a97d7e3bap-13, 0x1.c6dd226d77946p-13, 0x1.b94ea1701c97fp-13, 0x1.ac37ce68a3497p-13, 0x1.9f947428034a6p-13, 0x1.93607f7da4af8p-13, 0x1.8797fe4cd8b76p-13, 0x1.7c371ea74068ep-13, 0x1.713a2dec06156p-13, 0x1.669d97ee0d612p-13, 0x1.5c5de61c4b6f3p-13, 0x1.5277beb13a82cp-13, 0x1.48e7e3e51a98ap-13, 0x1.3fab3326f195dp-13, 0x1.36bea4585fa3fp-13, 0x1.2e1f490fc371ap-13, 0x1.25ca4bdcdb423p-13, 0x1.1dbcef9360502p-13, 0x1.15f48e99e40e4p-13, 0x1.0e6e9a3b9d833p-13, 0x1.072899ff0987ap-13, 0x1.00202b011b405p-13, 0x1.f2a5fea6a1f9bp-14, 0x1.e57dbabda4082p-14, 0x1.d8c33e9637d01p-14, 0x1.cc7264ce6988bp-14, 0x1.c0872d32ad9ecp-14, 0x1.b4fdbb9e6114bp-14, 0x1.a9d256e7c407ap-14, 0x1.9f0167cf6caddp-14, 0x1.948777f985eefp-14, 0x1.8a6130eb2b1c2p-14, 0x1.808b5b11c184fp-14, 0x1.7702dccc89246p-14, 0x1.6dc4b97edd006p-14, 0x1.64ce10aa58c0ap-14, 0x1.5c1c1d0b525d9p-14, 0x1.53ac33bddafa8p-14, 0x1.4b7bc366b4b1cp-14, 0x1.438853631a847p-14, 0x1.3bcf82fcc4c15p-14, 0x1.344f08a699b1fp-14, 0x1.2d04b13aa962cp-14, 0x1.25ee5f3ee7bcep-14, 0x1.1f0a0a30e8adfp-14, 0x1.1855bdd41d155p-14, 0x1.11cf9985811b6p-14, 0x1.0b75cf950f2cdp-14, 0x1.0546a4a0f27p-14, 0x1.fe80ddf13ce37p-15, 0x1.f2c32c05d4c05p-15, 0x1.e75123516198ep-15, 0x1.dc27d3859c9f4p-15, 0x1.d1446b1ab0a1ap-15, 0x1.c6a43640791e3p-15, 0x1.bc449dd06c7b2p-15, 0x1.b223264cba1ap-15, 0x1.a83d6ee4eb4f4p-15, 0x1.9e9130809a3c1p-15, 0x1.951c3cd476531p-15, 0x1.8bdc7d7cec89fp-15, 0x1.82cff31eb696bp-15, 0x1.79f4b48ea3897p-15, 0x1.7148edffb6697p-15, 0x1.68cae03c25212p-15, 0x1.6078dfdbbd3dbp-15, 0x1.585154868f1cbp-15, 0x1.5052b83b92329p-15, 0x1.487b969b6fcd5p-15, 0x1.40ca8c3e430b4p-15, 0x1.393e46081f02cp-15, 0x1.31d58087b3055p-15, 0x1.2a8f075719bb2p-15, 0x1.2369b483b99c4p-15, 0x1.1c646ffc3ee6cp-15, 0x1.157e2effeac61p-15, 0x1.0eb5f392e34d6p-15, 0x1.080acbf96822bp-15, 0x1.017bd235434dp-15, 0x1.f6105712cde86p-16, 0x1.e95e100059bb9p-16, 0x1.dcdf43ed38489p-16, 0x1.d0927b556dfb6p-16, 0x1.c476519d1d362p-16, 0x1.b889743fdf76ap-16, 0x1.accaa20270f57p-16, 0x1.a138aa2fa5c78p-16, 0x1.95d26bd6ec096p-16, 0x1.8a96d5179856ap-16, 0x1.7f84e26f4dc4ep-16, 0x1.749b9e106678p-16, 0x1.69da1f3bd1cd2p-16, 0x1.5f3f89a4593e8p-16, 0x1.54cb0cd48a9e9p-16, 0x1.4a7be39dd472ep-16, 0x1.4051538b22b3cp-16, 0x1.364aac5687eeap-16, 0x1.2c674766f05f7p-16, 0x1.22a687510ed13p-16, 0x1.1907d75e5603bp-16, 0x1.0f8aab1942838p-16, 0x1.062e7ddb76b82p-16, 0x1.f9e5a4c4c7751p-17, 0x1.e7ae64d16ac3cp-17, 0x1.d5b65c826161ep-17, 0x1.c3fcb8f1b7ab7p-17, 0x1.b280b2faa86e2p-17, 0x1.a1418e82f3db1p-17, 0x1.903e99d4098cfp-17, 0x1.7f772cfb2942p-17, 0x1.6eeaa92e145dp-17, 0x1.5e9878374637p-17, 0x1.4e800be804131p-17, 0x1.3ea0dd9349b9fp-17, 0x1.2efa6d8806203p-17, 0x1.1f8c42997322fp-17, 0x1.1055e9a5bbc66p-17, 0x1.0156f52a6c1ecp-17, 0x1.e51df9aee5c47p-18, 0x1.c7fb3a4724f2fp-18, 0x1.ab44eddf1072dp-18, 0x1.8efa5e509dce7p-18, 0x1.731adcd98346ap-18, 0x1.57a5c1772e197p-18, 0x1.3c9a6a4472edap-18, 0x1.21f83ae9525bep-18, 0x1.07be9bfd5a691p-18, 0x1.dbd9f518b5fb4p-19, 0x1.a9058f1ebc487p-19, 0x1.76feeee8b134cp-19, 0x1.45c5035be5845p-19, 0x1.1556c07e6faeap-19, 0x1.cb663d6ec1f5p-20, 0x1.6db2340cb20d8p-20, 0x1.118f62a02f559p-20, 0x1.6df796ce85f16p-21, 0x1.77d5cf69aa1dcp-22, 0x1.9e98dedb045bcp-26, -0x1.3ddd750469f9bp-22, -0x1.47c38be67c72dp-21, -0x1.ed8d9e694657ep-21, -0x1.4828738b92686p-20, -0x1.9808b02a5a10cp-20, -0x1.e66985ba54c52p-20, -0x1.19a67c8935e45p-19, -0x1.3f5a89ea4eb73p-19, -0x1.6451f27c2ad95p-19, -0x1.888dc0b33286bp-19, -0x1.ac0f023299b16p-19, -0x1.ced6c806aee1ap-19, -0x1.f0e626d606ce9p-19, -0x1.091f1b87b8ad8p-18, -0x1.19700a84bb67ep-18, -0x1.29667095ac9a7p-18, -0x1.3902e0084f034p-18, -0x1.4845ed48bac6fp-18, -0x1.57302eef85a6ap-18, -0x1.65c23dcaf58d7p-18, -0x1.73fcb4e550625p-18, -0x1.81e03185c29dap-18, -0x1.8f6d533565151p-18, -0x1.9ca4bbbf4838ep-18, -0x1.a9870f30ee005p-18, -0x1.b614f3d60258dp-18, -0x1.c24f12394dd72p-18, -0x1.ce3615194705ep-18, -0x1.d9caa967adce6p-18, -0x1.e50d7e43d906p-18, -0x1.efff44ec711cep-18, -0x1.faa0b0b75977ap-18, -0x1.02793b843dc9ep-17, -0x1.077aa7a61c983p-17, -0x1.0c54f9726102ap-17, -0x1.11088e8f4060bp-17, -0x1.1595c591ed8c4p-17, -0x1.19fcfdf78433p-17, -0x1.1e3e981dd609cp-17, -0x1.225af53bf117ap-17, -0x1.2652775bddba3p-17, -0x1.2a25814f403d2p-17, -0x1.2dd476abab7e6p-17, -0x1.315fbbbfe4388p-17, -0x1.34c7b58a03f7bp-17, -0x1.380cc9af219a4p-17, -0x1.3b2f5e74a3ad3p-17, -0x1.3e2fdab849e9bp-17, -0x1.410ea5e39ad3cp-17, -0x1.43cc27e55b6a4p-17, -0x1.4668c92792d62p-17, -0x1.48e4f2860ea6dp-17, -0x1.4b410d46953d7p-17, -0x1.4d7d830ed2924p-17, -0x1.4f9abddd82a59p-17, -0x1.519927fddb5f1p-17, -0x1.53792c027b15ep-17, -0x1.553b34b9be35dp-17, -0x1.56dfad2425817p-17, -0x1.5867006c0f943p-17, -0x1.59d199dd63fa8p-17, -0x1.5b1fe4dea976p-17, -0x1.5c524ce57e829p-17, -0x1.5d693d6efe578p-17, -0x1.5e6521f71e2d9p-17, -0x1.5f4665efedb1cp-17, -0x1.600d74b9ed9d5p-17, -0x1.60bab99b5028cp-17, -0x1.614e9fb9f8c75p-17, -0x1.61c992119dd01p-17, -0x1.622bfb6cac513p-17, -0x1.6276465d42f24p-17, -0x1.62a8dd3381bb2p-17, -0x1.62c429f7bf222p-17, -0x1.62c89661977f6p-17, -0x1.62b68bd414be4p-17, -0x1.628e7354f7762p-17, -0x1.6250b585823dfp-17, -0x1.61fdba9c0d514p-17, -0x1.6195ea5e07bcep-17, -0x1.6119ac184c852p-17, -0x1.6089669ab7588p-17, -0x1.5fe580308b011p-17, -0x1.5f2e5e9ddd58bp-17, -0x1.5e64671687079p-17, -0x1.5d87fe3a44014p-17, -0x1.5c99880ea9296p-17, -0x1.5b9967f979165p-17, -0x1.5a8800bc94ff3p-17, -0x1.5965b46f7c33dp-17, -0x1.5832e47cb981ep-17, -0x1.56eff19d9d5eep-17, -0x1.559d3bd33bacap-17, -0x1.543b2263ea69p-17, -0x1.52ca03d70a41cp-17, -0x1.514a3df06764ep-17, -0x1.4fbc2dacceb98p-17, -0x1.4e202f3e5a50bp-17, -0x1.4c769e0acaff1p-17, -0x1.4abfd4a6b46dep-17, -0x1.48fc2cd191c6fp-17, -0x1.472bff748813p-17, -0x1.454fa49d5c1bap-17, -0x1.4367737d3b8f7p-17, -0x1.4173c2654c9c6p-17, -0x1.3f74e6c46fc79p-17, -0x1.3d6b352691fb2p-17, -0x1.3b570130db914p-17, -0x1.39389d9f52c17p-17, -0x1.37105c4409a72p-17, -0x1.34de8e04bd14bp-17, -0x1.32a382d9171d8p-17, -0x1.305f89c929418p-17, -0x1.2e12f0ec631bdp-17, -0x1.2bbe0569fd9bcp-17, -0x1.2961137508a09p-17, -0x1.26fc664c9558p-17, -0x1.2490483b13f87p-17, -0x1.221d029475ddep-17, -0x1.1fa2ddb5ee45cp-17, -0x1.1d222105c8a8ep-17, -0x1.1a9b12f20dfd7p-17, -0x1.180df8f1fb6a5p-17, -0x1.157b178452a6ep-17, -0x1.12e2b22ec317ap-17, -0x1.10450b7ee3fd5p-17, -0x1.0da26509a3552p-17, -0x1.0afaff6b705c3p-17, -0x1.084f1a48053bp-17, -0x1.059ef44b3c2aap-17, -0x1.02eacb2a5e3c4p-17, -0x1.0032dba37d543p-17, -0x1.faeec2fb6288fp-18, -0x1.f5712f15793b8p-18, -0x1.efed6f4cb645cp-18, -0x1.ea63f56f738f3p-18, -0x1.e4d5316409002p-18, -0x1.df41912c35d7fp-18, -0x1.d9a980e411bd5p-18, -0x1.d40d6ac8bdb24p-18, -0x1.ce6db73723473p-18, -0x1.c8caccada53d7p-18, -0x1.c3250fd0f9ccap-18, -0x1.bd7ce36d6f2f5p-18, -0x1.b7d2a879252dap-18, -0x1.b226be16a5c65p-18, -0x1.ac79819999b26p-18, -0x1.a6cb4e895de27p-18, -0x1.a11c7ea2c0855p-18, -0x1.9b6d69db542d8p-18, -0x1.95be66668576dp-18, -0x1.900fc8b5c2836p-18, -0x1.8a61e37dad743p-18, -0x1.84b507b93fb59p-18, -0x1.7f0984ae2d84ap-18, -0x1.795fa7ee1493cp-18, -0x1.73b7bd5ddf688p-18, -0x1.6e120f372bebp-18, -0x1.686ee60bdd162p-18, -0x1.62ce88ca0ea86p-18, -0x1.5d313cc1fa501p-18, -0x1.579745a6ec608p-18, -0x1.5200e594d5fc3p-18, -0x1.4c6e5d1425f6ap-18, -0x1.46dfeb1ed6fc3p-18, -0x1.4155cd23d290ep-18, -0x1.3bd03f09bd079p-18, -0x1.364f7b357dd2p-18, -0x1.30d3ba8da5ab6p-18, -0x1.2b5d347d1cdf7p-18, -0x1.25ec1ef94f14dp-18, -0x1.2080ae85627c9p-18, -0x1.1b1b1637eb21bp-18, -0x1.15bb87bd28337p-18, -0x1.1062335d9903dp-18, -0x1.0b0f48016e26bp-18, -0x1.05c2f3340b47fp-18, -0x1.007d6129a3ff9p-18, -0x1.f67d798774dfp-19, -0x1.ec0e5f294e4eap-19, -0x1.e1adc3c7c5725p-19, -0x1.d75bf5680db77p-19, -0x1.cd193f8b3b195p-19, -0x1.c2e5eb39be147p-19, -0x1.b8c23f0962304p-19, -0x1.aeae7f27292aap-19, -0x1.a4aaed6204a63p-19, -0x1.9ab7c931a9fedp-19, -0x1.90d54fbec5c1fp-19, -0x1.8703bbee2b89dp-19, -0x1.7d434667b1507p-19, -0x1.7394259f10fefp-19, -0x1.69f68ddd3b8d8p-19, -0x1.606ab14970c2ep-19, -0x1.56f0bff0f5956p-19, -0x1.4d88e7cd69c02p-19, -0x1.443354d3f07fp-19, -0x1.3af030f8080d3p-19, -0x1.31bfa4353a278p-19, -0x1.28a1d496e3253p-19, -0x1.1f96e6450455cp-19, -0x1.169efb85bd95fp-19, -0x1.0dba34cc577e6p-19, -0x1.04e8b0bbb7276p-19, -0x1.f8551861ecd0dp-20, -0x1.e6ffc4980f72ep-20, -0x1.d5d198f001746p-20, -0x1.c4cac4e40da01p-20, -0x1.b3eb74a45cceep-20, -0x1.a333d1253caa6p-20, -0x1.92a4002ef8ceep-20, -0x1.823c246dbf73cp-20, -0x1.71fc5d812b003p-20, -0x1.61e4c80b7aeaep-20, -0x1.51f57dbe078ep-20, -0x1.422e956c04124p-20, -0x1.3290231b96ec5p-20, -0x1.231a380f19f6dp-20, -0x1.13cce2d2f15f6p-20, -0x1.04a82f50a3b1ap-20, -0x1.eb584dbdf736p-21, -0x1.cdb1a0902c097p-21, -0x1.b05c5fbe1f903p-21, -0x1.93588f0a8c34bp-21, -0x1.76a62d7ca3e4ep-21, -0x1.5a45357baac99p-21, -0x1.3e359ce7520b4p-21, -0x1.22775534fdcfdp-21, -0x1.070a4b851e894p-21, -0x1.d7dcd18494b0ap-22, -0x1.a2472365dbe8bp-22, -0x1.6d534e32b5de4p-22, -0x1.39010b8e58d58p-22, -0x1.05500d753827dp-22, -0x1.a47ffcd86f9c1p-23, -0x1.3fa10356170bfp-23, -0x1.b804cd7133943p-24, -0x1.e68d460107a37p-25, -0x1.882e0a043e99ep-27, 0x1.1d7f704b5ce55p-25, 0x1.4c0bc2ca7f72ap-24, 0x1.0370389901819p-23, 0x1.5f9ff6f2dbe3bp-23, 0x1.ba963d9688e53p-23, 0x1.0a2a1c8f45e7bp-22, 0x1.366d908e6288cp-22, 0x1.62161bf3868ecp-22, 0x1.8d24651ae1e59p-22, 0x1.b799176dc7e5ep-22, 0x1.e174e33debcd9p-22, 0x1.055c3ecdcc6edp-21, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.7c5499bcf1e53p-9, -0x1.7c2caa6d2e986p-8, -0x1.1cf5b5353ac64p-7, -0x1.7bac569ad8571p-7, -0x1.da376edb46fddp-7, -0x1.1c4a26c02e366p-6, -0x1.4b5e2622f5424p-6, -0x1.7a50afef751eep-6, -0x1.a915c79e5c989p-6, -0x1.d79bafba99bbp-6, -0x1.02e548e251c7ap-5, -0x1.19c243f8dffcdp-5, -0x1.3052fadb0d8eap-5, -0x1.46830dec3c9a8p-5, -0x1.5c3beb18f8db9p-5, -0x1.716539b619d08p-5, -0x1.85e54cc85c227p-5, -0x1.99a1965fa6748p-5, -0x1.ac7f17df0f2c2p-5, -0x1.be62cc18dd0d4p-5, -0x1.cf32090f15f5cp-5, -0x1.ded2d7ecfe2e6p-5, -0x1.ed2c426dd3cddp-5, -0x1.fa26956453389p-5, -0x1.02d5cc3c71a3cp-4, -0x1.07d35dbeed9c7p-4, -0x1.0c029cf6f9cccp-4, -0x1.0f5b1aa63df2cp-4, -0x1.11d5639a3af37p-4, -0x1.136b05f7392cap-4, -0x1.1416933396e5bp-4, -0x1.13d39f2e5f0bbp-4, -0x1.129ebcc7b643ep-4, -0x1.1075785ba39d2p-4, -0x1.0d565078c84b2p-4, -0x1.0940ad24f9186p-4, -0x1.0434d5f9e7463p-4, -0x1.fc67ceb882d2p-5, -0x1.ee7f8e10488a1p-5, -0x1.deb6304d1ce42p-5, -0x1.cd125e319021p-5, -0x1.b99c0a40f0ed1p-5, -0x1.a45c580ae57e6p-5, -0x1.8d5d83aa30e5ep-5, -0x1.74aac9a51cc31p-5, -0x1.5a504f55c5677p-5, -0x1.3e5b0bf931bbp-5, -0x1.20d8b27dbf4aep-5, -0x1.01d79c23cfbf5p-5, -0x1.c2cd67fda1df9p-6, -0x1.7f2ac6c115ad6p-6, -0x1.38e6fe6a36acp-6, -0x1.e044d94bc333dp-7, -0x1.49fc02fe8d106p-7, -0x1.5e6c7f42dceb6p-8, -0x1.036ff2afde8f9p-11, 0x1.257bb7b034b65p-8, 0x1.396430570c407p-7, 0x1.e377cf4ed7714p-7, 0x1.485a547c6cbc3p-6, 0x1.a06b7b5a802acp-6, 0x1.f9cdb0e7c212bp-6, 0x1.2a2fc9d0f64cep-5, 0x1.58000e27874dcp-5, 0x1.86475687514adp-5, 0x1.b4f58f8debdf2p-5, 0x1.e3fae7a8e0c9dp-5, 0x1.09a3ea607cf0fp-4, 0x1.21668cab5fa75p-4, 0x1.393de48c0a6edp-4, 0x1.5122a67b38c57p-4, 0x1.690db36294399p-4, 0x1.80f81a3362715p-4, 0x1.98db19482c2f9p-4, 0x1.b0b01f949d183p-4, 0x1.c870cda6c7611p-4, 0x1.e016f67cb6c01p-4, 0x1.f79ca03148fd9p-4, 0x1.077e02417498ap-3, 0x1.1317c89b6b988p-3, 0x1.1e98f42db174ep-3, 0x1.29fef035be2a7p-3, 0x1.3547422ae0367p-3, 0x1.406f89b494e33p-3, 0x1.4b758094a6eddp-3, 0x1.5656fa8608eefp-3, 0x1.6111e5114a11p-3, 0x1.6ba447577d75bp-3, 0x1.760c41d454eep-3, 0x1.80480e1835cecp-3, 0x1.8a55fe7af367dp-3, 0x1.94347dc7d63edp-3, 0x1.9de20ee38e60cp-3, 0x1.a75d4c6ca491dp-3, 0x1.b0a4e856f554ap-3, 0x1.b9b7ab82b5558p-3, 0x1.c294754f75166p-3, 0x1.cb3a3b2ba529fp-3, 0x1.d3a80820edabfp-3, 0x1.dbdcfc5dd6c0cp-3, 0x1.e3d84cbd0a3b4p-3, 0x1.eb99424a8f2c3p-3, 0x1.f31f39c757509p-3, 0x1.fa69a32b5a2fp-3, 0x1.00bc00934aed4p-2, 0x1.0424f45095811p-2, 0x1.076f801d6e37cp-2, 0x1.0a9b7fe5120aap-2, 0x1.0da8d7ed8c4f4p-2, 0x1.10977497282d8p-2, 0x1.13674a1bfeabcp-2, 0x1.1618544faa8ddp-2, 0x1.18aa965f45a6cp-2, 0x1.1b1e1a91b7168p-2, 0x1.1d72f20868728p-2, 0x1.1fa934806fea7p-2, 0x1.21c1001443a5ap-2, 0x1.23ba78fdfc808p-2, 0x1.2595c95a3c655p-2, 0x1.275320ebbf4a9p-2, 0x1.28f2b4dfa2b53p-2, 0x1.2a74bf9271d36p-2, 0x1.2bd98055f9b36p-2, 0x1.2d213b37f258p-2, 0x1.2e4c38c982623p-2, 0x1.2f5ac5e7a68c9p-2, 0x1.304d3384800c5p-2, 0x1.3123d67194d6bp-2, 0x1.31df072b02ac6p-2, 0x1.327f21a3ab12bp-2, 0x1.330485125d819p-2, 0x1.336f93c0034b9p-2, 0x1.33c0b2d6cfe32p-2, 0x1.33f84a3278206p-2, 0x1.3416c431763ffp-2, 0x1.341c8d8755526p-2, 0x1.340a1510106e8p-2, 0x1.33dfcba47d496p-2, 0x1.339e23efc7edcp-2, 0x1.3345924600e2ap-2, 0x1.32d68c7bbb901p-2, 0x1.325189bebea27p-2, 0x1.31b7026fc4abep-2, 0x1.31076ffd50168p-2, 0x1.30434cbf8cb09p-2, 0x1.2f6b13d54104fp-2, 0x1.2e7f4101ce2eap-2, 0x1.2d80508c3cd57p-2, 0x1.2c6ebf1f519bep-2, 0x1.2b4b09aaaeb66p-2, 0x1.2a15ad44f96ecp-2, 0x1.28cf270f04054p-2, 0x1.2777f417fe92ap-2, 0x1.261091429f154p-2, 0x1.24997b2b4d6b5p-2, 0x1.23132e0f4678ap-2, 0x1.217e25b4b6777p-2, 0x1.1fdadd53c59f4p-2, 0x1.1e29cf809800fp-2, 0x1.1c6b7616383edp-2, 0x1.1aa04a226b5c9p-2, 0x1.18c8c3d26b759p-2, 0x1.16e55a6084f2dp-2, 0x1.14f68402916ap-2, 0x1.12fcb5d94adf5p-2, 0x1.10f863e0792b6p-2, 0x1.0eea00dfef68cp-2, 0x1.0cd1fe5d56c48p-2, 0x1.0ab0cc8ec7233p-2, 0x1.0886da4e21495p-2, 0x1.0654950d2d9bap-2, 0x1.041a68ca778c5p-2, 0x1.01d8c006e0df1p-2, 0x1.ff200777d987p-3, 0x1.fa8136a57232fp-3, 0x1.f5d5d93745956p-3, 0x1.f11eb78d2992bp-3, 0x1.ec5c96b7f392p-3, 0x1.e790386c9350ep-3, 0x1.e2ba5af86d03p-3, 0x1.dddbb936da1d6p-3, 0x1.d8f50a87ce296p-3, 0x1.d40702c797b48p-3, 0x1.cf125247b7359p-3, 0x1.ca17a5c8b96d9p-3, 0x1.c517a67519aaep-3, 0x1.c012f9dd1b379p-3, 0x1.bb0a41f39127dp-3, 0x1.b5fe1d0b95698p-3, 0x1.b0ef25d718356p-3, 0x1.abddf3664eecbp-3, 0x1.a6cb1927efe94p-3, 0x1.a1b726ea36daep-3, 0x1.9ca2a8dcad4b9p-3, 0x1.978e2792a5b3ap-3, 0x1.927a280670268p-3, 0x1.8d672b9d37012p-3, 0x1.8855b02b77491p-3, 0x1.83462ffa1e698p-3, 0x1.7e3921cc39f42p-3, 0x1.792ef8e52ed7cp-3, 0x1.7428250f81b97p-3, 0x1.6f2512a417cfap-3, 0x1.6a262a91f200fp-3, 0x1.652bd26662476p-3, 0x1.60366c55a5598p-3, 0x1.5b465743e6c2fp-3, 0x1.565beecea780ep-3, 0x1.51778b568018dp-3, 0x1.4c99820932bb8p-3, 0x1.47c224ec12b9ep-3, 0x1.42f1c2e6b41a7p-3, 0x1.3e28a7cde3505p-3, 0x1.39671c6ed6ff1p-3, 0x1.34ad669aa1f5ap-3, 0x1.2ffbc931d9ef7p-3, 0x1.2b5284306f97fp-3, 0x1.26b1d4b9b288dp-3, 0x1.2219f5247f811p-3, 0x1.1d8b1d0792acap-3, 0x1.19058145f8b4dp-3, 0x1.1489541b9bf6fp-3, 0x1.1016c529ea5bdp-3, 0x1.0bae0184912cap-3, 0x1.074f33be46fb1p-3, 0x1.02fa83f5a1d9ap-3, 0x1.fd602fc3fc947p-4, 0x1.f4e025c0c713dp-4, 0x1.ec752c00e3118p-4, 0x1.e41f80229c025p-4, 0x1.dbdf5b5d1dd6bp-4, 0x1.d3b4f29a3d914p-4, 0x1.cba076903911ap-4, 0x1.c3a213db5734bp-4, 0x1.bbb9f3177ba48p-4, 0x1.b3e838f98eacdp-4, 0x1.ac2d0668d1b64p-4, 0x1.a4887898027ebp-4, 0x1.9cfaa91e4ed29p-4, 0x1.9583ae10302bcp-4, 0x1.8e239a17fa433p-4, 0x1.86da7c8e44832p-4, 0x1.7fa8619219127p-4, 0x1.788d5220e2c7bp-4, 0x1.7189542e1fd3dp-4, 0x1.6a9c6abad517p-4, 0x1.63c695ecb9ddp-4, 0x1.5d07d3251e482p-4, 0x1.56601d178be5fp-4, 0x1.4fcf6be01a43bp-4, 0x1.4955b519761b3p-4, 0x1.42f2ebf299dccp-4, 0x1.3ca701443d90ep-4, 0x1.3671e3a5ea8b8p-4, 0x1.30537f82c61cdp-4, 0x1.2a4bbf2e01d65p-4, 0x1.245a8af6fe3ap-4, 0x1.1e7fc93d0f1f4p-4, 0x1.18bb5e82f065bp-4, 0x1.130d2d81e0f01p-4, 0x1.0d75173c65d5fp-4, 0x1.07f2fb10b40a7p-4, 0x1.0286b6cac12b3p-4, 0x1.fa604d6bfe54fp-5, 0x1.efde4b5d713f1p-5, 0x1.e5871a662b501p-5, 0x1.db5a6ae794d1bp-5, 0x1.d157eac8cf3b6p-5, 0x1.c77f4596a22c9p-5, 0x1.bdd024a2bd67fp-5, 0x1.b44a2f22464ffp-5, 0x1.aaed0a4bae139p-5, 0x1.a1b85973da65ap-5, 0x1.98abbe2aa00bp-5, 0x1.8fc6d8568dd5cp-5, 0x1.870946500430fp-5, 0x1.7e72a4fba47ccp-5, 0x1.76028fe416d4fp-5, 0x1.6db8a15322611p-5, 0x1.6594726a1aa63p-5, 0x1.5d959b39a7d48p-5, 0x1.55bbb2d8f0c0cp-5, 0x1.4e064f7c16b3ep-5, 0x1.4675068a0e53ap-5, 0x1.3f076cb1e4c48p-5, 0x1.37bd15ff5dabcp-5, 0x1.309595eef282ep-5, 0x1.29907f813dcb1p-5, 0x1.22ad654dccd86p-5, 0x1.1bebd9955b077p-5, 0x1.154b6e5374f2cp-5, 0x1.0ecbb54f9270ep-5, 0x1.086c402d96769p-5, 0x1.022ca07dcf9adp-5, 0x1.f818cf98bcffcp-6, 0x1.ec164f603d3fdp-6, 0x1.e050e3b20a5bep-6, 0x1.d4c7b03bf1b5dp-6, 0x1.c979d9145e534p-6, 0x1.be6682d403327p-6, 0x1.b38cd2aea0373p-6, 0x1.a8ebee8ac09edp-6, 0x1.9e82fd1891f09p-6, 0x1.945125e7cc613p-6, 0x1.8a55917cb6838p-6, 0x1.808f6964487f9p-6, 0x1.76fdd8476f834p-6, 0x1.6da009fd79dfep-6, 0x1.64752b9dad3abp-6, 0x1.5b7c6b900ff8dp-6, 0x1.52b4f99d6969p-6, 0x1.4a1e06fe7fb62p-6, 0x1.41b6c66a89c8p-6, 0x1.397e6c24f3542p-6, 0x1.31742e0a56f9cp-6, 0x1.2997439cd954fp-6, 0x1.21e6e60fc4aa9p-6, 0x1.1a6250528b2d2p-6, 0x1.1308bf1b1738ep-6, 0x1.0bd970ef6fdcfp-6, 0x1.04d3a62edd522p-6, 0x1.fbed4234acf95p-7, 0x1.ee834bb8ef01ep-7, 0x1.e167f5219ab3ep-7, 0x1.d499ce953d18fp-7, 0x1.c8176c3661ef9p-7, 0x1.bbdf662f046a3p-7, 0x1.aff058bb06d3dp-7, 0x1.a448e431c6356p-7, 0x1.98e7ad0e9b8b8p-7, 0x1.8dcb5bf8762c7p-7, 0x1.82f29dc8a74c4p-7, 0x1.785c2390cdbadp-7, 0x1.6e06a29fd2612p-7, 0x1.63f0d48653c8cp-7, 0x1.5a19771a0203dp-7, 0x1.507f4c786c6fbp-7, 0x1.47211b090fa51p-7, 0x1.3dfdad7e9514bp-7, 0x1.3513d2d78bf5ep-7, 0x1.2c625e5e69b21p-7, 0x1.23e827a8f9ebcp-7, 0x1.1ba40a971ca03p-7, 0x1.1394e750faee1p-7, 0x1.0bb9a244b1a68p-7, 0x1.041124237a89p-7, 0x1.f934b3bc88392p-8, 0x1.eaa86943de5dfp-8, 0x1.dc7b53a5a75bep-8, 0x1.ceab66102cfdbp-8, 0x1.c1369c0cb5597p-8, 0x1.b41af974729ccp-8, 0x1.a7568a6470bcap-8, 0x1.9ae76330d8926p-8, 0x1.8ecba05794c7ap-8, 0x1.830166720c032p-8, 0x1.7786e2265ef37p-8, 0x1.6c5a481815645p-8, 0x1.6179d4d834753p-8, 0x1.56e3ccd4a9f4bp-8, 0x1.4c967c478241p-8, 0x1.429037254c2d9p-8, 0x1.38cf590b17dc2p-8, 0x1.2f52452c44e35p-8, 0x1.2617663fa98bbp-8, 0x1.1d1d2e6c7a276p-8, 0x1.14621736dfe96p-8, 0x1.0be4a16c3ef41p-8, 0x1.03a3550f03ef6p-8, 0x1.f7398284c4d7dp-9, 0x1.e79ef86b5ac17p-9, 0x1.d874461f06611p-9, 0x1.c9b6b3b1a5ad5p-9, 0x1.bb6396cf4da06p-9, 0x1.ad7852939fdd4p-9, 0x1.9ff2575eb5eedp-9, 0x1.92cf22a9a3d1ep-9, 0x1.860c3edafb9f7p-9, 0x1.79a7431b6c3c3p-9, 0x1.6d9dd3297ae96p-9, 0x1.61ed9f2dbf708p-9, 0x1.5694638f0e4afp-9, 0x1.4b8fe8c60d0b3p-9, 0x1.40de033129da6p-9, 0x1.367c92e85f2b3p-9, 0x1.2c69839135e97p-9, 0x1.22a2cc327e7adp-9, 0x1.19266f088d7a7p-9, 0x1.0ff2795949bb2p-9, 0x1.0705034875f57p-9, 0x1.fcb85f57c5a2bp-10, 0x1.ebec57c037514p-10, 0x1.dba25f39dc441p-10, 0x1.cbd6f99509742p-10, 0x1.bc86beace792dp-10, 0x1.adae5a11f38b6p-10, 0x1.9f4a8ab620b98p-10, 0x1.91582297addcap-10, 0x1.83d4066e3de1p-10, 0x1.76bb2d5700d81p-10, 0x1.6a0aa082b9325p-10, 0x1.5dbf7ae3eaa19p-10, 0x1.51d6e8dd9b594p-10, 0x1.464e27f2fc1dfp-10, 0x1.3b228677fde53p-10, 0x1.30516341ead6dp-10, 0x1.25d82d597098bp-10, 0x1.1bb463aca3da2p-10, 0x1.11e394c2ec82ap-10, 0x1.08635e70a5515p-10, 0x1.fe62db18a24aep-11, 0x1.ec96fb4840358p-11, 0x1.db5eb16a130a9p-11, 0x1.cab5adc334fbdp-11, 0x1.ba97bc55b1108p-11, 0x1.ab00c45119cdcp-11, 0x1.9becc7879bd5bp-11, 0x1.8d57e1e3f876dp-11, 0x1.7f3e48e065e9ep-11, 0x1.719c4affe7313p-11, 0x1.646e4f4ab9399p-11, 0x1.57b0d4c9b43d8p-11, 0x1.4b607205fd719p-11, 0x1.3f79d488f8305p-11, 0x1.33f9c05e8fb49p-11, 0x1.28dd0f996c2b5p-11, 0x1.1e20b1d978e58p-11, 0x1.13c1abd2e4228p-11, 0x1.09bd16d7f01b5p-11, 0x1.0010206567978p-11, 0x1.ed70135d4a98bp-12, 0x1.db644e598ca93p-12, 0x1.c9f7c05fb561fp-12, 0x1.b9255ce18417ap-12, 0x1.a8e83b4cacfap-12, 0x1.993b9636c0c78p-12, 0x1.8a1aca8bf1b0ep-12, 0x1.7b8156c4d01c7p-12, 0x1.6d6ada1b60c7fp-12, 0x1.5fd313c6e0078p-12, 0x1.52b5e237db09cp-12, 0x1.460f425a5e74p-12, 0x1.39db4ed9ef75ep-12, 0x1.2e163f6ae529ep-12, 0x1.22bc68145b889p-12, 0x1.17ca387ef7716p-12, 0x1.0d3c3b48a7ec5p-12, 0x1.030f155813a6fp-12, 0x1.f27f0a6d0c267p-13, 0x1.df94c4d4b0bdap-13, 0x1.cd5939abc6e48p-13, 0x1.bbc678322af3fp-13, 0x1.aad6bdefc05aep-13, 0x1.9a847582f6696p-13, 0x1.8aca35755ed9cp-13, 0x1.7ba2bf1bd9858p-13, 0x1.6d08fd76f371p-13, 0x1.5ef804193e5d2p-13, 0x1.516b0e19ee0f1p-13, 0x1.445d7d01c6eddp-13, 0x1.37cad7c7f2fbp-13, 0x1.2baec9cfb9c65p-13, 0x1.200521edb6e9cp-13, 0x1.14c9d16f87ed6p-13, 0x1.09f8eb2b1f6edp-13, 0x1.ff1d452c7cb4p-14, 0x1.eb0e95b701128p-14, 0x1.d7beabf3031fcp-14, 0x1.c526a7d1655fbp-14, 0x1.b33fe37f48fd8p-14, 0x1.a203f1c5f2551p-14, 0x1.916c9c6b1de59p-14, 0x1.8173e2a33180ap-14, 0x1.7213f78257824p-14, 0x1.6347407cc4ae4p-14, 0x1.550853f909d81p-14, 0x1.4751f7d608979p-14, 0x1.3a1f2008b6153p-14, 0x1.2d6aed4083d67p-14, 0x1.2130ab8f63f4bp-14, 0x1.156bd12003287p-14, 0x1.0a17fcedd7629p-14, 0x1.fe61eb19d5e8fp-15, 0x1.e9654fe1b5cbcp-15, 0x1.d5324c81c8716p-15, 0x1.c1c14d6a3eabap-15, 0x1.af0b04ef60d9cp-15, 0x1.9d0869122bbb8p-15, 0x1.8bb2b167bb3f9p-15, 0x1.7b0355061f597p-15, 0x1.6af4087f3b12ap-15, 0x1.5b7ebbe9363a1p-15, 0x1.4c9d98f43c847p-15, 0x1.3e4b0112a032bp-15, 0x1.30818ba356662p-15, 0x1.233c043178b83p-15, 0x1.167568ba12632p-15, 0x1.0a28e8049dae8p-15, 0x1.fca3bff88c26p-16, 0x1.e5d7b83b745a9p-16, 0x1.cfe527dd8fb49p-16, 0x1.bac3d2fa78448p-16, 0x1.a66bcfd3a4e46p-16, 0x1.92d5840079597p-16, 0x1.7ff9a1b0aad8fp-16, 0x1.6dd1250207291p-16, 0x1.5c555167e0532p-16, 0x1.4b7faf1e7d322p-16, 0x1.3b4a08c254209p-16, 0x1.2bae68ef8660ep-16, 0x1.1ca717eacb9d7p-16, 0x1.0e2e997077d7bp-16, 0x1.003faa82ab555p-16, 0x1.e5aa7e996787cp-17, 0x1.cbd502381c8ap-17, 0x1.b2f598bf0bb1bp-17, 0x1.9b035d92d54afp-17, 0x1.83f5cad89f717p-17, 0x1.6dc4b5d30312ep-17, 0x1.58684b5a57d22p-17, 0x1.43d90c9bf04ep-17, 0x1.300fcbb26d988p-17, 0x1.1d05a88760355p-17, 0x1.0ab40dbd14344p-17, 0x1.f2295b82c9b0dp-18, 0x1.d042ffb17093cp-18, 0x1.afa97abca2a8cp-18, 0x1.9051be24d75cdp-18, 0x1.7231351e83908p-18, 0x1.553dbf77701e2p-18, 0x1.396dac9a36e5bp-18, 0x1.1eb7b6ef5792ep-18, 0x1.0512ff7eb60bep-18, 0x1.d8ee127b53b39p-19, 0x1.a9b76a1f7aeacp-19, 0x1.7c727b2bfe386p-19, 0x1.511066cb91bb7p-19, 0x1.2782f20bd5834p-19, 0x1.ff78fd9979ef5p-20, 0x1.b36009201262cp-20, 0x1.6aa2138c348f6p-20, 0x1.25273ab7612fep-20, 0x1.c5b1407a62532p-21, 0x1.4740baf127c0fp-21, 0x1.9da5e18b87036p-22, 0x1.70febbc87adbbp-23, -0x1.09f9158c05447p-25, -0x1.dfbefd1d1c76ap-23, -0x1.b3a88e52d6dd8p-22, -0x1.366f2462824ap-21, -0x1.8de0f56b522bep-21, -0x1.e0490c70e3cddp-21, -0x1.16e2c0b39d74cp-20, -0x1.3b39a08abfbd2p-20, -0x1.5d370eaf6f541p-20, -0x1.7ce86e46873b4p-20, -0x1.9a5aa3c6d2ef2p-20, -0x1.b59a1b770bf11p-20, -0x1.ceb2d0979e0d4p-20, -0x1.e5b05348e40cep-20, -0x1.fa9dcec2bec8dp-20, -0x1.06c3078ae38a4p-19, -0x1.0f39c32f967dbp-19, -0x1.16b8292e50862p-19, -0x1.1d4320a6b54adp-19, -0x1.22df6b81c40dp-19, -0x1.2791a87048ee6p-19, -0x1.2b5e552a08954p-19, -0x1.2e49d0b78818ep-19, -0x1.30585d2fc6cccp-19, -0x1.318e219eb1eabp-19, -0x1.31ef2bc4cd8bdp-19, -0x1.317f71ccdd926p-19, -0x1.3042d3de4447dp-19, -0x1.2e3d1dafbdcaep-19, -0x1.2b7207ddfedeap-19, -0x1.27e5394103129p-19, -0x1.239a484037cdbp-19, -0x1.1e94bc213a148p-19, -0x1.18d80dea5b9abp-19, -0x1.1267a97871e0ep-19, -0x1.0b46eea713a6ep-19, -0x1.037932483dc54p-19, -0x1.f6037dcad55dfp-20, -0x1.e3c7ab0b56daep-20, -0x1.d0455d0417f5dp-20, -0x1.bb82f46ef88acp-20, -0x1.a586c370bfaf2p-20, -0x1.8e570edc042a7p-20, -0x1.75fa0f60a0502p-20, -0x1.5c75f2554475bp-20, -0x1.41d0db084d67ap-20, -0x1.2610e39587d52p-20, -0x1.093c1d4caed85p-20, -0x1.d6b12340f3afdp-21, -0x1.98d886295ed59p-21, -0x1.58fa5bdb7ca8ep-21, -0x1.1722909cf185bp-21, -0x1.a6ba0be325e38p-22, -0x1.1b6b25d06f382p-22, -0x1.18e0151d11163p-23, 0x1.87eee449b38e5p-28, 0x1.385965bd803b3p-23, 0x1.359f6fc732b71p-22, 0x1.d2609668d02afp-22, 0x1.392c6c194ea73p-21, 0x1.8ab87a0a59f92p-21, 0x1.ddc8db8607b56p-21, 0x1.1928fef7210acp-20, 0x1.44242a9117205p-20, 0x1.6fd02d8d95b1cp-20, 0x1.9c274879803d4p-20, 0x1.c923bf43baaedp-20, 0x1.f6bfd989570aep-20, 0x1.127af15b4a71dp-19, 0x1.29e0150802e33p-19, 0x1.418c8173ce7a8p-19, 0x1.597d624e1037ap-19, 0x1.71afe5839ade6p-19, 0x1.8a213b5271ad6p-19, 0x1.a2ce965fb55dap-19, 0x1.bbb52bed06ddbp-19, 0x1.d4d233f066613p-19, 0x1.ee22e94ff04e3p-19, 0x1.03d244e1ae8ap-18, 0x1.10aa2b0c864ep-18, 0x1.1d97c93a26baep-18, 0x1.2a99c32637182p-18, 0x1.37aebe5a5dbp-18, 0x1.44d56240af957p-18, 0x1.520c582fe8ce3p-18, 0x1.5f524b853968fp-18, 0x1.6ca5e9a12a8cfp-18, 0x1.7a05e21e36c4bp-18, 0x1.8770e6ca1345dp-18, 0x1.94e5abcbfbcf7p-18, 0x1.a262e7b3b30c2p-18, 0x1.afe7538b65655p-18, 0x1.bd71aaf5bcccep-18, 0x1.cb00ac31a8542p-18, 0x1.d8931826ac41cp-18, 0x1.e627b294e436fp-18, 0x1.f3bd4214143ddp-18, 0x1.00a948144ef4p-17, 0x1.077334af06d2ap-17, 0x1.0e3bceab3f947p-17, 0x1.15027f6db658dp-17, 0x1.1bc6b1eebb20bp-17, 0x1.2287d2cbe9b27p-17, 0x1.2945505162356p-17, 0x1.2ffe9a7b53348p-17, 0x1.36b323060204ep-17, 0x1.3d625d6fca869p-17, 0x1.440bbf02f0148p-17, 0x1.4aaebedd960afp-17, 0x1.514ad5ef68b1cp-17, 0x1.57df7f0a72b62p-17, 0x1.5e6c36e765735p-17, 0x1.64f07c297beb6p-17, 0x1.6b6bcf666f202p-17, 0x1.71ddb32b2ae0bp-17, 0x1.7845ac04b43f9p-17, 0x1.7ea340801c9a3p-17, 0x1.84f5f92a91733p-17, 0x1.8b3d609efc08fp-17, 0x1.91790388e1c31p-17, 0x1.97a870a4d1b9bp-17, 0x1.9dcb38c8fd58fp-17, 0x1.a3e0eee6bd7d4p-17, 0x1.a9e9280b71d49p-17, 0x1.afe37b69f48f8p-17, 0x1.b5cf8250589a8p-17, 0x1.bbacd83492c43p-17, 0x1.c17b1ab83c6ddp-17, 0x1.c739e9a3bf092p-17, 0x1.cce8e6ec5b91cp-17, 0x1.d287b6b3d1331p-17, 0x1.d815ff4d47688p-17, 0x1.dd93693a95e9fp-17, 0x1.e2ff9f29981fap-17, 0x1.e85a4df95de02p-17, 0x1.eda324b872724p-17, 0x1.f2d9d4a5c6048p-17, 0x1.f7fe1134bfa12p-17, 0x1.fd0f9005f4542p-17, 0x1.010704751d04fp-16, 0x1.037c9af007982p-16, 0x1.05e8698bbe8dbp-16, 0x1.084a4f7220d6p-16, 0x1.0aa22ce33a759p-16, 0x1.0cefe335af2a6p-16, 0x1.0f3354d1e196fp-16, 0x1.116c65328f9fap-16, 0x1.139af8e3a47efp-16, 0x1.15bef582cf5efp-16, 0x1.17d841bb4ca5fp-16, 0x1.19e6c54411963p-16, 0x1.1bea68e139a35p-16, 0x1.1de316603dfd9p-16, 0x1.1fd0b89594af6p-16, 0x1.21b33b5fa5f05p-16, 0x1.238a8ba1035c7p-16, 0x1.2556973e1a863p-16, 0x1.27174d1ca8731p-16, 0x1.28cc9d2400397p-16, 0x1.2a767835906eap-16, 0x1.2c14d02de3ad4p-16, 0x1.2da797e1df23bp-16, 0x1.2f2ec31f55934p-16, 0x1.30aa46a5696f8p-16, 0x1.321a1825b6773p-16, 0x1.337e2e418855ap-16, 0x1.34d680874ba17p-16, 0x1.3623076ea4434p-16, 0x1.3763bc566bb03p-16, 0x1.38989983b3453p-16, 0x1.39c19a1c87497p-16, 0x1.3adeba263761p-16, 0x1.3beff684b5242p-16, 0x1.3cf54cf59dbf3p-16, 0x1.3deebc0d047dfp-16, 0x1.3edc433299923p-16, 0x1.3fbde2a207084p-16, 0x1.40939b63bc1a5p-16, 0x1.415d6f4bfc845p-16, 0x1.421b60f751b51p-16, 0x1.42cd73c87a9f8p-16, 0x1.4373abe5c2c93p-16, 0x1.440e0e32fe6b5p-16, 0x1.449ca0527a663p-16, 0x1.451f689f549e5p-16, 0x1.45966e2a9b8ecp-16, 0x1.4601b8b95c5dep-16, 0x1.466150c0d6167p-16, 0x1.46b53f6370274p-16, 0x1.46fd8e6d04ab1p-16, 0x1.473a4850a8983p-16, 0x1.476b7825ea4efp-16, 0x1.479129a40cf1cp-16, 0x1.47ab691f90732p-16, 0x1.47ba4388428cdp-16, 0x1.47bdc664d2b9p-16, 0x1.47b5ffcfc0c55p-16, 0x1.47a2fe74753p-16, 0x1.4784d18d1426cp-16, 0x1.475b88dc5659p-16, 0x1.472734aed01bep-16, 0x1.46e7e5d4035bcp-16, 0x1.469dad9e086b2p-16, 0x1.46489ddb5642bp-16, 0x1.45e8c8d6c3f1ap-16, 0x1.457e41528ea3cp-16, 0x1.45091a875ede7p-16, 0x1.4489681ec4e51p-16, 0x1.43ff3e31d3512p-16, 0x1.436ab144d4e9fp-16, 0x1.42cbd645c10bfp-16, 0x1.4222c2874dee1p-16, 0x1.416f8bbfe26adp-16, 0x1.40b248064aecfp-16, 0x1.3feb0dce1f197p-16, 0x1.3f19f3e553f3fp-16, 0x1.3e3f1170b4fd2p-16, 0x1.3d5a7deaa219dp-16, 0x1.3c6c511e7beabp-16, 0x1.3b74a3253b2e8p-16, 0x1.3a738c6599d47p-16, 0x1.3969258f753dep-16, 0x1.38558798c9107p-16, 0x1.3738cbb9b95c9p-16, 0x1.36130b6d362f7p-16, 0x1.34e4606bff6f5p-16, 0x1.33ace4ac4e636p-16, 0x1.326cb25bfd10dp-16, 0x1.3123e3e03e2cp-16, 0x1.2fd293d1e47edp-16, 0x1.2e78dcfb21b9ep-16, 0x1.2d16da54de3bap-16, 0x1.2baca703f34bap-16, 0x1.2a3a5e594734dp-16, 0x1.28c01bcc7657p-16, 0x1.273dfafa95607p-16, 0x1.25b417a38caf1p-16, 0x1.24228da807696p-16, 0x1.228979077df92p-16, 0x1.20e8f5dc02394p-16, 0x1.1f41205ab65b3p-16, 0x1.1d9214d0f1847p-16, 0x1.1bdbefa158e47p-16, 0x1.1a1ecd3fe07d1p-16, 0x1.185aca334e154p-16, 0x1.16900310754a4p-16, 0x1.14be947b593acp-16, 0x1.12e69b2368662p-16, 0x1.110833bfca8e4p-16, 0x1.0f237b0fa191ep-16, 0x1.0d388dd6bf11ep-16, 0x1.0b4788dc2b952p-16, 0x1.095088e8b08d8p-16, 0x1.0753aac466e28p-16, }}, 
      {{0x1.667a22d324edep-1, 0x1.66853bf5e1c58p-1, 0x1.669aa2e76257ep-1, 0x1.66bc7c95f0474p-1, 0x1.66ebdf51a6138p-1, 0x1.6728a043d3db6p-1, 0x1.677168226765ap-1, 0x1.67c3e9f822f15p-1, 0x1.681d26240cf49p-1, 0x1.6879ad304f2ffp-1, 0x1.68d5dbfb2e2b3p-1, 0x1.692e0e3cc00a5p-1, 0x1.697ec6920b32fp-1, 0x1.69c4cc6b16ccfp-1, 0x1.69fd40dc6e96dp-1, 0x1.6a25ab9d4a919p-1, 0x1.6a3c018dbb3adp-1, 0x1.6a3ea612cedcep-1, 0x1.6a2c687839151p-1, 0x1.6a047e60d0a68p-1, 0x1.69c67c26e7e57p-1, 0x1.69724be67895p-1, 0x1.690823c72ea85p-1, 0x1.68887bfc8b0e4p-1, 0x1.67f404d6c6ce6p-1, 0x1.674b9d27ed5fp-1, 0x1.6690492d56cf2p-1, 0x1.65c32a1e08cf6p-1, 0x1.64e57671f20c4p-1, 0x1.63f872ec25904p-1, 0x1.62fd6c6aa5eb9p-1, 0x1.61f5b278a4c04p-1, 0x1.60e2929bfcdfep-1, 0x1.5fc55453c4225p-1, 0x1.5e9f35bbfb4dap-1, 0x1.5d7168c938a6p-1, 0x1.5c3d110eb6f4bp-1, 0x1.5b0342011a6afp-1, 0x1.59c4fda890564p-1, 0x1.588333b56b835p-1, 0x1.573ec0eb1a168p-1, 0x1.55f86ed617c4ap-1, 0x1.54b0f3c25c54cp-1, 0x1.5368f2e8a89dap-1, 0x1.5220fcc9f2b9ap-1, 0x1.50d98fb10fd84p-1, 0x1.4f93185389a72p-1, 0x1.4e4df28b58485p-1, 0x1.4d0a6a23ec912p-1, 0x1.4bc8bbb5ac61dp-1, 0x1.4a89158b9836cp-1, 0x1.494b988f6a214p-1, 0x1.48105938fb047p-1, 0x1.46d7607e37a37p-1, 0x1.45a0acc154a53p-1, 0x1.446c32bb572b9p-1, 0x1.4339de6152618p-1, 0x1.420993c310ccfp-1, 0x1.40db2fe21aeb4p-1, 0x1.3fae8980486c5p-1, 0x1.3e8371e54024p-1, 0x1.3d59b59a7062bp-1, 0x1.3c311d1d38054p-1, 0x1.3b096d870f6a5p-1, 0x1.39e2692ba6f7ap-1, 0x1.38bbd02cffcd6p-1, 0x1.379561059e51ep-1, 0x1.366ed9090106ap-1, 0x1.3547f4da97772p-1, 0x1.342070db80109p-1, 0x1.32f8098f59d8cp-1, 0x1.31ce7bf87f903p-1, 0x1.30a385ec07813p-1, 0x1.2f76e65de3e74p-1, 0x1.2e485da5878c2p-1, 0x1.2d17adbb6a4ebp-1, 0x1.2be49a6fd443ap-1, 0x1.2aaee99b4caedp-1, 0x1.297663490d5d6p-1, 0x1.283ad1dbd80f8p-1, 0x1.26fc022d89a37p-1, 0x1.25b9c3a9c0feap-1, 0x1.2473e863f414ep-1, 0x1.232a452941c86p-1, 0x1.21dcb18e50accp-1, 0x1.208b07f988867p-1, 0x1.1f3525a9ec73cp-1, 0x1.1ddaeabadc8f4p-1, 0x1.1c7c3a24ffe94p-1, 0x1.1b18f9bc9434p-1, 0x1.19b1122d5f2a6p-1, 0x1.18446ef47872fp-1, 0x1.16d2fe581f032p-1, 0x1.155cb15dcdb0ep-1, 0x1.13e17bbeb8f25p-1, 0x1.126153dae5bbap-1, 0x1.10dc32aafc029p-1, 0x1.0f5213b10070bp-1, 0x1.0dc2f4e812f4cp-1, 0x1.0c2ed6b3567c3p-1, 0x1.0a95bbcc1d18cp-1, 0x1.08f7a92f783ccp-1, 0x1.0754a60b42638p-1, 0x1.05acbbaabe828p-1, 0x1.03fff562e0661p-1, 0x1.024e607e549fep-1, 0x1.00980c2956fa7p-1, 0x1.fdba12badd14p-2, 0x1.fa3ad59a343f5p-2, 0x1.f6b2899ef9ebp-2, 0x1.f3215a98334acp-2, 0x1.ef87774d4e25cp-2, 0x1.ebe5115612cabp-2, 0x1.e83a5cf2f3b21p-2, 0x1.e48790e5c9c1fp-2, 0x1.e0cce64b1411ep-2, 0x1.dd0a9873bdd35p-2, 0x1.d940e4bf86129p-2, 0x1.d5700a78063d6p-2, 0x1.d1984aac6cfaap-2, 0x1.cdb9e80deea68p-2, 0x1.c9d526ccf8a34p-2, 0x1.c5ea4c772a944p-2, 0x1.c1f99fd61b397p-2, 0x1.be0368cef30a2p-2, 0x1.ba07f042d9097p-2, 0x1.b6077ff03a301p-2, 0x1.b2026254eef02p-2, 0x1.adf8e2913bbeap-2, 0x1.a9eb4c4bb33bap-2, 0x1.a5d9eb95f836dp-2, 0x1.a1c50cd25eaf4p-2, 0x1.9dacfc9a71859p-2, 0x1.999207a655d81p-2, 0x1.95747ab50ce8cp-2, 0x1.9154a2759650cp-2, 0x1.8d32cb70ee8bp-2, 0x1.890f41f4e8146p-2, 0x1.84ea51ffdc7d5p-2, 0x1.80c4472d35dep-2, 0x1.7c9d6ca2ca139p-2, 0x1.78760cff0adb3p-2, 0x1.744e7247fe096p-2, 0x1.7026e5db09bep-2, 0x1.6bffb05d7e96dp-2, 0x1.67d919adf026ep-2, 0x1.63b368d648588p-2, 0x1.5f8ee3fe9a207p-2, 0x1.5b6bd060af1bp-2, 0x1.574a723c4c1f1p-2, 0x1.532b0ccc246b9p-2, 0x1.4f0de23b81262p-2, 0x1.4af3339c8dc7dp-2, 0x1.46db40df500f2p-2, 0x1.42c648c940eadp-2, 0x1.3eb488ed81853p-2, 0x1.3aa63da5aff69p-2, 0x1.369ba20b502dbp-2, 0x1.3294eff1c51a3p-2, 0x1.2e925fe0de0dep-2, 0x1.2a94290fe80e9p-2, 0x1.269a81614d37p-2, 0x1.22a59d5ead09cp-2, 0x1.1eb5b0357d8bap-2, 0x1.1acaebb41f98cp-2, 0x1.16e580476c2bbp-2, 0x1.13059cf8b31d1p-2, 0x1.0f2b6f6c2cad2p-2, 0x1.0b5723dfcee2ep-2, 0x1.0788e52a91c02p-2, 0x1.03c0dcbc10429p-2, 0x1.fffe65391992p-3, 0x1.f8881ada9ca1bp-3, 0x1.f11f24d2b5e05p-3, 0x1.e9c3cacd0131bp-3, 0x1.e27651ad665c7p-3, 0x1.db36fb9370053p-3, 0x1.d40607de31286p-3, 0x1.cce3b330c01d4p-3, 0x1.c5d0377732048p-3, 0x1.becbcbec1bebp-3, 0x1.b7d6a51e88077p-3, 0x1.b0f0f4f869a2cp-3, 0x1.aa1aeac570e07p-3, 0x1.a354b33a50e0bp-3, 0x1.9c9e787c6400cp-3, 0x1.95f86229ae395p-3, 0x1.8f629561322cp-3, 0x1.88dd34cb9c649p-3, 0x1.826860a43a3f7p-3, 0x1.7c0436c231063p-3, 0x1.75b0d2a1fe0eap-3, 0x1.6f6e4d6f32a93p-3, 0x1.693cbe0e63f5fp-3, 0x1.631c392750609p-3, 0x1.5d0cd12f365f7p-3, 0x1.570e967351046p-3, 0x1.512197237de6p-3, 0x1.4b45df5d0555fp-3, 0x1.457b79357c1a4p-3, 0x1.3fc26cc5c6931p-3, 0x1.3a1ac0352bb5cp-3, 0x1.348477c47d244p-3, 0x1.2eff95d950dc1p-3, 0x1.298c1b0945737p-3, 0x1.242a062549db6p-3, 0x1.1ed95444f4f69p-3, 0x1.199a00d1d627p-3, 0x1.146c0592cc045p-3, 0x1.0f4f5ab752456p-3, 0x1.0a43f6e2d24e6p-3, 0x1.0549cf37e0647p-3, 0x1.0060d76379c27p-3, 0x1.f7120350579e8p-4, 0x1.ed847dd265109p-4, 0x1.e418fd6b05614p-4, 0x1.dacf5ea5830f1p-4, 0x1.d1a77b904d033p-4, 0x1.c8a12bd2918cdp-4, 0x1.bfbc44c19bca8p-4, 0x1.b6f899760c21ap-4, 0x1.ae55fae0c6d3p-4, 0x1.a5d437dfba18bp-4, 0x1.9d731d525de65p-4, 0x1.9532762debe19p-4, 0x1.8d120b9165ec8p-4, 0x1.8511a4d94ab4cp-4, 0x1.7d3107b30c28dp-4, 0x1.756ff830347a1p-4, 0x1.6dce38d94b155p-4, 0x1.664b8ac06638bp-4, 0x1.5ee7ad937278ep-4, 0x1.57a25fae2b498p-4, 0x1.507b5e2bc2f33p-4, 0x1.497264f83b04fp-4, 0x1.42872ee168dbbp-4, 0x1.3bb975a7a9c42p-4, 0x1.3508f20e4116p-4, 0x1.2e755beb65905p-4, 0x1.27fe6a37f7cdp-4, 0x1.21a3d31ee416cp-4, 0x1.1b654c0c2ebf7p-4, 0x1.154289bbad6d3p-4, 0x1.0f3b40476871ap-4, 0x1.094f2335a566ap-4, 0x1.037de586a056ep-4, 0x1.fb8e7383d9877p-5, 0x1.f055a406ff2cep-5, 0x1.e550c010d2bf2p-5, 0x1.da7f2a766f7f4p-5, 0x1.cfe04580094f9p-5, 0x1.c57373005bfd2p-5, 0x1.bb38146b86c32p-5, 0x1.b12d8aed2add9p-5, 0x1.a753377df9261p-5, 0x1.9da87af8901f2p-5, 0x1.942cb62dc7471p-5, 0x1.8adf49f84a251p-5, 0x1.81bf974fa2ba7p-5, 0x1.78ccff5aa21b1p-5, 0x1.7006e38131ba9p-5, 0x1.676ca57d898fdp-5, 0x1.5efda76ccddf8p-5, 0x1.56b94bdf22c04p-5, 0x1.4e9ef5e7214a1p-5, 0x1.46ae0928c225dp-5, 0x1.3ee5e9e7bbb9fp-5, 0x1.3745fd1552e61p-5, 0x1.2fcda85d9df36p-5, 0x1.287c5234460b6p-5, 0x1.215161e0c4624p-5, 0x1.1a4c3f8a15d09p-5, 0x1.136c5441f3a06p-5, 0x1.0cb10a0f8d57ap-5, 0x1.0619cbf9c7026p-5, 0x1.ff4c0c21f7482p-6, 0x1.f2aa4af098829p-6, 0x1.e64d30dcf64f1p-6, 0x1.da339caca4167p-6, 0x1.ce5c6f7d32a1cp-6, 0x1.c2c68cd3453cbp-6, 0x1.b770daa8dce1cp-6, 0x1.ac5a417ac1855p-6, 0x1.a181ac5520022p-6, 0x1.96e608df7982bp-6, 0x1.8c864767b2708p-6, 0x1.82615aec7934ap-6, 0x1.78763926ecddbp-6, 0x1.6ec3da938ccfap-6, 0x1.65493a7a83ca2p-6, 0x1.5c0556f73e165p-6, 0x1.52f730ff62135p-6, 0x1.4a1dcc691dc52p-6, 0x1.41782ff0eb2a3p-6, 0x1.3905653e9fb89p-6, 0x1.30c478ea043aap-6, 0x1.28b47a7ed073dp-6, 0x1.20d47c8017378p-6, 0x1.1923946b36a74p-6, 0x1.11a0daba3affcp-6, 0x1.0a4b6ae5d236ep-6, 0x1.03226366b932bp-6, 0x1.f849cb6d69c82p-7, 0x1.eaa42ca22ff4bp-7, 0x1.dd523965c683bp-7, 0x1.d05246b4df948p-7, 0x1.c3a2af8d7c8d1p-7, 0x1.b741d4ecb6edep-7, 0x1.ab2e1dcbc8566p-7, 0x1.9f65f71c683eap-7, 0x1.93e7d3c46d1a7p-7, 0x1.88b22c98db1e5p-7, 0x1.7dc3805830cd3p-7, 0x1.731a53a42f3a3p-7, 0x1.68b530fafda1fp-7, 0x1.5e92a8afca1f9p-7, 0x1.54b150e2d8056p-7, 0x1.4b0fc579233e6p-7, 0x1.41aca81367545p-7, 0x1.3886a004b49aap-7, 0x1.2f9c5a48ae5f1p-7, 0x1.26ec897936bcfp-7, 0x1.1e75e5c3e975bp-7, 0x1.16372cdf012fbp-7, 0x1.0e2f21fdf96e5p-7, 0x1.065c8dc5d9fd3p-7, 0x1.fd7c7c8257524p-8, 0x1.eea60da73ce24p-8, 0x1.e033805afc12cp-8, 0x1.d222907d8d0dp-8, 0x1.c4710453f7a06p-8, 0x1.b71cac6dad6eep-8, 0x1.aa2363896d08ap-8, 0x1.9d830e7994a25p-8, 0x1.91399c087cacdp-8, 0x1.854504dc13de8p-8, 0x1.79a34b5946e0cp-8, 0x1.6e527b87571b3p-8, 0x1.6350aaf29f205p-8, 0x1.589bf88f5fd3bp-8, 0x1.4e328c9c4221ap-8, 0x1.44129884bb27ap-8, 0x1.3a3a56c3233e1p-8, 0x1.30a80ac2c5afep-8, 0x1.275a00c1d644fp-8, 0x1.1e4e8db35630fp-8, 0x1.15840f20d5d38p-8, 0x1.0cf8eb0c66097p-8, 0x1.04ab8fd21105fp-8, 0x1.f934e8138ae5p-9, 0x1.e9882cd1f6f29p-9, 0x1.da4dfb49089ecp-9, 0x1.cb8370a4bb61p-9, 0x1.bd25b9972a3b2p-9, 0x1.af32121c9ed5ap-9, 0x1.a1a5c53f6c40fp-9, 0x1.947e2cdc58b4ap-9, 0x1.87b8b1672133p-9, 0x1.7b52c9af6703p-9, 0x1.6f49faa5a23afp-9, 0x1.639bd720d9539p-9, 0x1.5845ffa423402p-9, 0x1.4d462224b1326p-9, 0x1.4299f9d07b9f8p-9, 0x1.383f4ed4f7b7ap-9, 0x1.2e33f6266d4d4p-9, 0x1.2475d147c4a5cp-9, 0x1.1b02ce12a67aap-9, 0x1.11d8e68005402p-9, 0x1.08f6207149ad8p-9, 0x1.00588d79d205ep-9, 0x1.effc955201ddep-10, 0x1.dfcb00a9c9acap-10, 0x1.d018c3cac2c42p-10, 0x1.c0e25b3f9e32p-10, 0x1.b22458e65bf29p-10, 0x1.a3db63898ccacp-10, 0x1.9604367af7eb7p-10, 0x1.889ba12fb780ep-10, 0x1.7b9e86dc956fbp-10, 0x1.6f09de14673a2p-10, 0x1.62dab0676bba7p-10, 0x1.570e1a037a47ap-10, 0x1.4ba14955a8c79p-10, 0x1.40917eacf6f5dp-10, 0x1.35dc0bde7cfa5p-10, 0x1.2b7e53ea6c8aap-10, 0x1.2175caa2c4a4dp-10, 0x1.17bff452cdb28p-10, 0x1.0e5a656831c0bp-10, 0x1.0542c21ccd23dp-10, 0x1.f8ed7c44632fap-11, 0x1.e7e8389befba7p-11, 0x1.d7715c8fa43f3p-11, 0x1.c784a870bdc5dp-11, 0x1.b81df8f2ba7f3p-11, 0x1.a939468ef4185p-11, 0x1.9ad2a4e935206p-11, 0x1.8ce642380b73p-11, 0x1.7f7066ae44189p-11, 0x1.726d73e8242adp-11, 0x1.65d9e45a0b5c9p-11, 0x1.59b24ac200875p-11, 0x1.4df3519b6dcb3p-11, 0x1.4299ba959f124p-11, 0x1.37a25e0bae0c3p-11, 0x1.2d0a2a7fb27abp-11, 0x1.22ce2417452ap-11, 0x1.18eb641ba79b8p-11, 0x1.0f5f187ac7036p-11, 0x1.0626834ba1179p-11, 0x1.fa7df4a82083bp-12, 0x1.e94bcd23c87d5p-12, 0x1.d8b18789544c7p-12, 0x1.c8aa3ff679778p-12, 0x1.b93136438f28cp-12, 0x1.aa41cd268a1b3p-12, 0x1.9bd78959c8e97p-12, 0x1.8dee10c5f4f0bp-12, 0x1.808129b055438p-12, 0x1.738cb9ef2a58p-12, 0x1.670cc61eaf724p-12, 0x1.5afd70dcea7f6p-12, 0x1.4f5afa080ac3cp-12, 0x1.4421be0077f1p-12, 0x1.394e34ef95f24p-12, 0x1.2edcf2127ae06p-12, 0x1.24caa3072ed5ep-12, 0x1.1b140f1e5aa98p-12, 0x1.11b616b1b8703p-12, 0x1.08adb27bb3892p-12, 0x1.ffefe5e7f627p-13, 0x1.ef23ff6013678p-13, 0x1.def22d8ae4d13p-13, 0x1.cf551862dc4cdp-13, 0x1.c04792858ba97p-13, 0x1.b1c4980d0506cp-13, 0x1.a3c74d7358d17p-13, 0x1.964afe787da44p-13, 0x1.894b1d1155067p-13, 0x1.7cc340599d902p-13, 0x1.70af238f7283ap-13, 0x1.650aa51272589p-13, 0x1.59d1c56a9f429p-13, 0x1.4f00a652a884p-13, 0x1.449389c95bd15p-13, 0x1.3a86d129dc96ep-13, 0x1.30d6fc4689986p-13, 0x1.2780a88c200c5p-13, 0x1.1e809026fb268p-13, 0x1.15d3892fd05d7p-13, 0x1.0d7684dc57172p-13, 0x1.05668eb704953p-13, 0x1.fb4197b219af5p-14, 0x1.ec44f453879a9p-14, 0x1.ddd1df4a06e57p-14, 0x1.cfe33346a3353p-14, 0x1.c273f84e6e57dp-14, 0x1.b57f626428376p-14, 0x1.a900d02e4e44ap-14, 0x1.9cf3c9b16914dp-14, 0x1.9153ff0ce113cp-14, 0x1.861d474273be6p-14, 0x1.7b4b9f03a7b11p-14, 0x1.70db2788490a1p-14, 0x1.66c8256f78193p-14, 0x1.5d0effa1b5b48p-14, 0x1.53ac3e3f172d4p-14, 0x1.4a9c89956e137p-14, 0x1.41dca9193e074p-14, 0x1.39698269fc977p-14, 0x1.31401859bc42fp-14, 0x1.295d89ff7b41fp-14, 0x1.21bf11cb3c3bep-14, 0x1.1a6204a2edd9cp-14, 0x1.1343d109e10c7p-14, 0x1.0c61fe44ce3c9p-14, 0x1.05ba2b8ad67f9p-14, 0x1.fe941e746af21p-15, 0x1.f21eec2608269p-15, 0x1.e61084efd7fdfp-15, 0x1.da64d76538e3ap-15, 0x1.cf17fa8081828p-15, 0x1.c4262c400c8a7p-15, 0x1.b98bd051d2eafp-15, 0x1.af456ec897a6ep-15, 0x1.a54fb2dc7c272p-15, 0x1.9ba769ac46e44p-15, 0x1.92498110a4062p-15, 0x1.8933067642c6dp-15, 0x1.806125bfa1494p-15, 0x1.77d1282f5440cp-15, 0x1.6f80735b4c797p-15, 0x1.676c88298c1cbp-15, 0x1.5f9301d1d9e55p-15, 0x1.57f194e8980a9p-15, 0x1.50860e7080f02p-15, 0x1.494e52f8b56fep-15, 0x1.42485db8b0262p-15, 0x1.3b723fb94554ep-15, 0x1.34ca1f04cb33cp-15, 0x1.2e4e35db5f5fp-15, 0x1.27fcd1ee0513dp-15, 0x1.21d453a1413c9p-15, 0x1.1bd32d55ed28cp-15, 0x1.15f7e2b79920fp-15, 0x1.1041080e947c2p-15, 0x1.0aad4198cf3aap-15, 0x1.053b42ebed076p-15, 0x1.ffd39caee1739p-16, 0x1.f56f689b175adp-16, 0x1.eb47a5a604dd7p-16, 0x1.e15a29e51d1d8p-16, 0x1.d7a4e4670175ep-16, 0x1.ce25dc2f81281p-16, 0x1.c4db2f35e225ep-16, 0x1.bbc311790691bp-16, 0x1.b2dbcc0d372f2p-16, 0x1.aa23bc3625d8ep-16, 0x1.a199528d44cebp-16, 0x1.993b12304b489p-16, 0x1.91078fef1507ep-16, 0x1.88fd718a09d8ep-16, 0x1.811b6cf30159bp-16, 0x1.79604798975e5p-16, 0x1.71cad5b0e7923p-16, 0x1.6a59f9900475ap-16, 0x1.630ca30553c4dp-16, 0x1.5be1cec0db9cep-16, 0x1.54d885b8484bap-16, 0x1.4defdc941c822p-16, 0x1.4726f324b4039p-16, 0x1.407cf3dc7711p-16, 0x1.39f1134a1a15dp-16, 0x1.33828f9ea2c67p-16, 0x1.2d30b035017ddp-16, 0x1.26fac522bb941p-16, 0x1.20e026c31da14p-16, 0x1.1ae0354f80d32p-16, 0x1.14fa5878d3ccfp-16, 0x1.0f2dff06c1cc3p-16, 0x1.097a9e7bc10bcp-16, 0x1.03dfb2b930489p-16, 0x1.fcb97b52c39e7p-17, 0x1.f1e28dddc42bap-17, 0x1.e739b7273a624p-17, 0x1.dcbe1b7aaf3bp-17, 0x1.d26ee8cf84d69p-17, 0x1.c84b563a9c155p-17, 0x1.be52a373f081cp-17, 0x1.b484184a0831dp-17, 0x1.aadf04329cac9p-17, 0x1.a162bdd2631dfp-17, 0x1.980ea294ee3bep-17, 0x1.8ee21643e1caep-17, 0x1.85dc82a193cb7p-17, 0x1.7cfd57088acf4p-17, 0x1.74440815e9956p-17, 0x1.6bb00f508cb15p-17, 0x1.6340ead6e3d01p-17, 0x1.5af61d12c12bfp-17, 0x1.52cf2c6fc722p-17, 0x1.4acba31918de8p-17, 0x1.42eb0eb034e64p-17, 0x1.3b2d0011ce545p-17, 0x1.33910b175abaep-17, 0x1.2c16c6649b5d3p-17, 0x1.24bdcb319bed6p-17, 0x1.1d85b514fe3fcp-17, 0x1.166e21d474ce9p-17, 0x1.0f76b13cd2c3dp-17, 0x1.089f04f71bbacp-17, 0x1.01e6c05e3af8bp-17, 0x1.f69b10b835f8dp-18, 0x1.e9a6068d5332bp-18, 0x1.dcedb17f3a74dp-18, 0x1.d071632a36816p-18, 0x1.c4306f4b98a9dp-18, 0x1.b82a2b87cccc4p-18, 0x1.ac5def44bdda9p-18, 0x1.a0cb13787a692p-18, 0x1.9570f27c12645p-18, 0x1.8a4ee7defffcep-18, 0x1.7f6450473286bp-18, 0x1.74b0895aad50bp-18, 0x1.6a32f194971d9p-18, 0x1.5feae82f3f4e1p-18, 0x1.55d7cd08337edp-18, 0x1.4bf9008b0d4eep-18, 0x1.424de3970f1e3p-18, 0x1.38d5d7739a449p-18, 0x1.2f903dba24189p-18, 0x1.267c784a92356p-18, 0x1.1d99e94361cdcp-18, 0x1.14e7f2f4bfafap-18, 0x1.0c65f7d282118p-18, 0x1.04135a660d0bfp-18, 0x1.f7defaa978b7ep-19, 0x1.e7f386ad5abf5p-19, 0x1.d8631e694428dp-19, 0x1.c92c87846cdccp-19, 0x1.ba4e87bb38124p-19, 0x1.abc7e4e3b9d78p-19, 0x1.9d9764d6c865p-19, 0x1.8fbbcd8cd64e4p-19, 0x1.8233e5140aa82p-19, 0x1.74fe719d5893dp-19, 0x1.681a39893966bp-19, 0x1.5b86036d5a8p-19, 0x1.4f40961c9030cp-19, 0x1.4348b8a56e05bp-19, 0x1.379d326ae81b3p-19, 0x1.2c3ccb35e6f74p-19, 0x1.21264b3c36763p-19, 0x1.16587b3724ea3p-19, 0x1.0bd22468fec9fp-19, 0x1.019210b8155f5p-19, 0x1.ef2e155f00f05p-20, 0x1.dbbfbb30aa0fbp-20, 0x1.c8d6ab16cbf0cp-20, 0x1.b6707f0516b25p-20, 0x1.a48ad2e028f66p-20, 0x1.9323449904176p-20, 0x1.8237745eeb9c8p-20, 0x1.71c504ad1f542p-20, 0x1.61c99a7130ff2p-20, 0x1.5242dd43a3ff1p-20, 0x1.432e778537f09p-20, 0x1.348a167dd2527p-20, 0x1.26536a9243406p-20, 0x1.1888275490b81p-20, 0x1.0b2603c12e08p-20, 0x1.fc557470effbep-21, 0x1.e328119a73f35p-21, 0x1.cabf629737286p-21, 0x1.b316f2d5708p-21, 0x1.9c2a55e51e4d3p-21, 0x1.85f527a199a01p-21, 0x1.70730c887ee44p-21, 0x1.5b9fb1f6db65p-21, 0x1.4776ce385c7ddp-21, 0x1.33f4210284c5p-21, 0x1.211373a61dbd3p-21, 0x1.0ed0991e41ab5p-21, 0x1.fa4edce8f45fep-22, 0x1.d827b5cfc7407p-22, 0x1.b723a0404082dp-22, 0x1.973a94afbf1b4p-22, 0x1.7864a11344f1bp-22, 0x1.5a99e97bd4c78p-22, 0x1.3dd2a81c357e7p-22, 0x1.22072de9f30a9p-22, 0x1.072fe2cd7292ep-22, 0x1.da8a8bc6c879bp-23, 0x1.a87fdbe8bec54p-23, 0x1.783112ec5fff4p-23, 0x1.498fbdff45373p-23, 0x1.1c8d9af649067p-23, 0x1.e23931f5531cbp-24, 0x1.8e5db102b5ab3p-24, 0x1.3d6d57fdf37dep-24, 0x1.de9a61a9b5f6ep-25, 0x1.47c55446d9532p-25, 0x1.6c4e6333ed715p-26, 0x1.4c6380e575f9cp-28, -0x1.78f6ad5c807fep-27, -0x1.c2d21aa6af932p-26, -0x1.6026d259fff23p-25, -0x1.daa74624b96c8p-25, -0x1.288cf24867f46p-24, -0x1.61d6ab3e50a98p-24, -0x1.9947b9c0ae9c1p-24, -0x1.cef6a11842891p-24, -0x1.017cbd4562607p-23, -0x1.1ab2fb4f021dp-23, -0x1.3328ae24a0aedp-23, -0x1.4ae845114b8c5p-23, -0x1.61fbfa62407dfp-23, -0x1.786dd46afafe3p-23, -0x1.8e47a5261de75p-23, -0x1.a39309e35ceaep-23, -0x1.b8596c583f08p-23, -0x1.cca40232f3ba1p-23, -0x1.e07bcd3ca34f8p-23, -0x1.f3e99bd4801b9p-23, -0x1.037b04983ce5ap-22, -0x1.0cd4bebb1f354p-22, -0x1.160616cdb4277p-22, -0x1.1f130e2892b3ap-22, -0x1.27ff8d26b52dcp-22, -0x1.30cf62f27e33ep-22, -0x1.39864602d79bbp-22, -0x1.4227d41b09dcep-22, -0x1.4ab792b022537p-22, -0x1.5338eec7c5724p-22, -0x1.5baf3d6a87e5fp-22, -0x1.641dbbe6f20e4p-22, -0x1.6c878f793c1cep-22, -0x1.74efc6148627fp-22, -0x1.7d59568c34226p-22, -0x1.85c7207439c0cp-22, -0x1.8e3beca3a5844p-22, -0x1.96ba6d7a6a66fp-22, -0x1.9f453ef94191cp-22, -0x1.a7dee6ee99c0ap-22, -0x1.b089d53c684fp-22, -0x1.b948644db828dp-22, -0x1.c21cd93ddaf9ap-22, -0x1.cb0963e5166bp-22, -0x1.d4101f58a5dc2p-22, -0x1.dd331219279efp-22, -0x1.e6742e6743481p-22, -0x1.efd5526d84791p-22, -0x1.f95848accap-22, -0x1.017f640fca9a7p-21, -0x1.06653a26c2c1cp-21, -0x1.0b5e6efacb1e2p-21, -0x1.106bc1a1a785cp-21, -0x1.158de7f43ef5fp-21, -0x1.1ac58ec52924dp-21, -0x1.20135a090ac2p-21, -0x1.2577e4f2e1099p-21, -0x1.2af3c20d56f36p-21, -0x1.30877b5bdc675p-21, -0x1.3633929e3b366p-21, -0x1.3bf88166e8fb5p-21, -0x1.41d6b945edd58p-21, -0x1.47cea3c80696dp-21, -0x1.4de0a2d3a9e56p-21, -0x1.540d10a9cf751p-21, -0x1.5a544023a4abp-21, -0x1.60b67cc10fca5p-21, -0x1.67340ae25e928p-21, -0x1.6dcd27bef3ee2p-21, -0x1.748209b0a9517p-21, -0x1.7b52e05d2f8a9p-21, -0x1.823fd4d465868p-21, -0x1.894909aadd698p-21, -0x1.906e9b2cc5699p-21, -0x1.97b09f76be2b8p-21, -0x1.9f0f269c507adp-21, -0x1.a68a3abadb047p-21, -0x1.ae21e02d1be93p-21, -0x1.b5d615b58c33p-21, -0x1.bda6d4968cb6dp-21, -0x1.c59410caf6c64p-21, -0x1.cd9db8f100e76p-21, -0x1.d5c3b6a5b45c7p-21, -0x1.de05ee8dde9cap-21, -0x1.e664408ae8536p-21, -0x1.eede87c02e5afp-21, -0x1.f7749ad6cbbd9p-21, -0x1.001325eb886d2p-20, -0x1.0479b4471badfp-20, -0x1.08eddd4c9d1cep-20, -0x1.0d6f83c8e1845p-20, -0x1.11fe888d6acdep-20, -0x1.169aca889eceap-20, -0x1.1b4426cc9da49p-20, -0x1.1ffa78a3ab8f8p-20, -0x1.24bd99999bb39p-20, -0x1.298d618672253p-20, -0x1.2e69a6ad9759dp-20, -0x1.33523dc188661p-20, -0x1.3846f9f81d71bp-20, -0x1.3d47ad14ec5a9p-20, -0x1.4254276be5665p-20, -0x1.476c38021a393p-20, -0x1.4c8fac94db733p-20, -0x1.51be51a89b187p-20, -0x1.56f7f2932b766p-20, -0x1.5c3c598ac2facp-20, -0x1.618b4f9a35505p-20, -0x1.66e49cd30b506p-20, -0x1.6c4808488b572p-20, -0x1.71b55823f7a55p-20, -0x1.772c51a7b0cf2p-20, -0x1.7cacb9419c929p-20, -0x1.823652929e89fp-20, -0x1.87c8e07be834ep-20, -0x1.8d6425242237fp-20, -0x1.9307e201e3c06p-20, -0x1.98b3d7ef9382fp-20, -0x1.9e67c7375cbd7p-20, -0x1.a4236f97ffb04p-20, -0x1.a9e690527f09fp-20, -0x1.afb0e8260a349p-20, -0x1.b582356978907p-20, -0x1.bb5a361540de3p-20, -0x1.c138a7c7f3401p-20, -0x1.c71d47d11aaf3p-20, -0x1.cd07d343a7474p-20, -0x1.d2f806db95af8p-20, -0x1.d8ed9f2305695p-20, -0x1.dee8587eca9e8p-20, -0x1.e4e7ef2f6cecap-20, -0x1.eaec1f5b2ca54p-20, -0x1.f0f4a5128f416p-20, -0x1.f7013c59c586fp-20, -0x1.fd11a1314b612p-20, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      14, 0x1.0cccccccccccdp+2, 0x1.6571c1bb67876p+1, 0x1.907a47a00240cp+2, -0x1.8643d85d5f17cp-7, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.23921c82ff785p-6, -0x1.53c8aaf4d231ap-4, 0x1.da6dd31de510fp-4, -0x1.1da4612c4d37dp-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c892deb3e00c1p-7, -0x1.25698072f52d8p-4, 0x1.c5017f075f468p-4, -0x1.1cf46a9c0609dp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5c20628bd979fp-7, -0x1.f25c37a6e424cp-5, 0x1.afa25d6eded26p-4, -0x1.1fc85a1a68ee5p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.00f178fbc78c7p-7, -0x1.9e311647f487p-5, 0x1.9a0cf0467d5a1p-4, -0x1.153e7b511a882p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6c55a7473e4d8p-8, -0x1.4e42ced4b49d4p-5, 0x1.8541da3a01c32p-4, -0x1.6475683d18808p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.ebb0245356317p-9, -0x1.03153ced6701bp-5, 0x1.6a85d8cf06532p-4, -0x1.07ed91da9574fp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.385e282f57aaap-9, -0x1.7d131ab4f3cf2p-6, 0x1.42ef02ee3cb4fp-4, -0x1.534c843091dp-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.70d4b54bb7631p-10, -0x1.061483e6797fap-6, 0x1.1009ef1a26d57p-4, -0x1.adca792b54ef4p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8e8263262816fp-11, -0x1.4c51125959071p-7, 0x1.9f23ed0db4305p-5, -0x1.af013f8a70be3p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.805d5d426e907p-12, -0x1.803ddf51f1fd3p-8, 0x1.1dd6c0642bf69p-5, -0x1.57e013f2c0f0bp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.3adf1eeebdb4fp-13, -0x1.89abd7481dddep-9, 0x1.6d5a419d175d7p-6, -0x1.0d10351146f5dp-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8e826326281f8p-15, -0x1.4bedc574386a5p-10, 0x1.97d4438bd9953p-7, -0x1.84680bbe4d6d9p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.3adf1eeebdd7p-17, -0x1.8b88347621d01p-12, 0x1.5d921299bca9p-8, -0x1.acdf2ce5a7cbep-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3adf1eeebf6p-21, -0x1.509ed2a64ce1p-15, 0x1.70fd783fc6441p-10, -0x1.1f446104402dfp-5}, 
      }}, 
      0x1.0e94b9d86f88cp-1, -0x1.a140fa9a3fb78p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.65193438a7401p-4, 0x1.84cf6b1a2c31dp-4, 0x1.b6ac72c5e22dep-4, 0x1.f74f5e0f00a73p-4, 0x1.2189319cdc696p-3, 0x1.4b2c84e6cf076p-3, 0x1.76e12e4434549p-3, 0x1.a32377e5ac41dp-3, 0x1.cea42179ab7c2p-3, 0x1.f84a89208e902p-3, 0x1.0f9978d22ff89p-2, 0x1.21553f579e549p-2, 0x1.31150b5675623p-2, 0x1.3ea8796e03338p-2, 0x1.49efab60fc84bp-2, 0x1.52d8d799db722p-2, 0x1.595e1943a38e2p-2, 0x1.5d838210d1e5fp-2, 0x1.5f5568970a1eap-2, 0x1.5ee6ebd54cf06p-2, 0x1.5c50a48e3b7d5p-2, 0x1.57af7e774eb26p-2, 0x1.5123b4aaa8621p-2, 0x1.48cfedbfd7483p-2, 0x1.3ed8746a7036cp-2, 0x1.336289cfde194p-2, 0x1.2693cf134b627p-2, 0x1.1891c41abfb75p-2, 0x1.098159dee97b2p-2, 0x1.f30d2d76118b6p-3, 0x1.d18896a8cdde2p-3, 0x1.aeb7ad430c463p-3, 0x1.8ad9ef34f3cfp-3, 0x1.662b563e12a66p-3, 0x1.40e42941cca4dp-3, 0x1.1b38e08269a6p-3, 0x1.eab433e9e3bcfp-4, 0x1.9ee93637786f2p-4, 0x1.5362be311ed0ap-4, 0x1.086b5a876523bp-4, 0x1.7c8cdc6b6451fp-5, 0x1.d4c1fae72cccbp-6, 0x1.6afbe22d0db19p-7, -0x1.8fcdd47ac92e3p-8, -0x1.76eaac2d4dfe5p-6, -0x1.416b2aa3fc17cp-5, -0x1.c39c9d22a3956p-5, -0x1.20ea663a6f863p-4, -0x1.5df3b87d5ba31p-4, -0x1.98d8463317b57p-4, -0x1.d189b64bb21c3p-4, -0x1.03fe9315592b8p-3, -0x1.1e155f6cf320fp-3, -0x1.3706c2a2d2a36p-3, -0x1.4ed180bc72662p-3, -0x1.6575887bd51ep-3, -0x1.7af3cf321914fp-3, -0x1.8f4e3a7501ea9p-3, -0x1.a287852b54524p-3, -0x1.b4a32b19a4667p-3, -0x1.c5a553718723ap-3, -0x1.d592bd8f63a63p-3, -0x1.e470af095a7a3p-3, -0x1.f244e39a69682p-3, -0x1.ff157e5d9f347p-3, -0x1.05747dd722441p-2, -0x1.0ae311b06c418p-2, -0x1.0fd9fdbe06b16p-2, -0x1.145cddece3839p-2, -0x1.186f6177b3bd8p-2, -0x1.1c1545d752795p-2, -0x1.1f52521f77e7dp-2, -0x1.222a52a48fae9p-2, -0x1.24a114dfcac26p-2, -0x1.26ba6397e1163p-2, -0x1.287a0364a984cp-2, -0x1.29e3af9bcb383p-2, -0x1.2afb17aa8d42p-2, -0x1.2bc3dcd2ee837p-2, -0x1.2c419037e2f1bp-2, -0x1.2c77b12a08f61p-2, -0x1.2c69aba1ed1b5p-2, -0x1.2c1ad6e8a3427p-2, -0x1.2b8e7468f8de3p-2, -0x1.2ac7aeb12de6fp-2, -0x1.29c998a54f5b9p-2, -0x1.28972ce22f5a4p-2, -0x1.27334d523697dp-2, -0x1.25a0c2e8e5cd7p-2, -0x1.23e23d83a2debp-2, -0x1.21fa53e9720a3p-2, -0x1.1feb83de9952p-2, -0x1.1db83250a91d9p-2, -0x1.1b62ab910d9b4p-2, -0x1.18ed23a2c5c1p-2, -0x1.1659b695a233ep-2, -0x1.13aa68f2184d5p-2, -0x1.10e12833c5e4ep-2, -0x1.0dffcb50d33d7p-2, -0x1.0b08134d315b5p-2, -0x1.07fbabd9ad4a3p-2, -0x1.04dc2bf7ed39dp-2, -0x1.01ab16a874bedp-2, -0x1.fcd3b732a9333p-3, -0x1.f633afb5c7ecbp-3, -0x1.ef78ad264d2c9p-3, -0x1.e8a523667766bp-3, -0x1.e1bb655675d16p-3, -0x1.dabda638e4bdbp-3, -0x1.d3adfb14fd7a2p-3, -0x1.cc8e5c105dce2p-3, -0x1.c560a5c8098c2p-3, -0x1.be269a9b04d0dp-3, -0x1.b6e1e3f6d20bap-3, -0x1.af9413921918cp-3, -0x1.a83ea4a57b489p-3, -0x1.a0e2fd1920864p-3, -0x1.99826ea429b2bp-3, -0x1.921e37e89f286p-3, -0x1.8ab7857dd1525p-3, -0x1.834f72f482ee5p-3, -0x1.7be70bcd59446p-3, -0x1.747f4c6263ad9p-3, -0x1.6d1922cd08649p-3, -0x1.65b56fb4931ddp-3, -0x1.5e55071ba3fd1p-3, -0x1.56f8b1244a67ep-3, -0x1.4fa12abb48446p-3, -0x1.484f264af512fp-3, -0x1.41034c5d8883ep-3, -0x1.39be3c2c790bap-3, -0x1.32808c37f6576p-3, -0x1.2b4acacbb470cp-3, -0x1.241d7e76b4aecp-3, -0x1.1cf9268a12cf4p-3, -0x1.15de3b83f42aep-3, -0x1.0ecd2f7238b93p-3, -0x1.07c66e5d38214p-3, -0x1.00ca5e9d08bf2p-3, -0x1.f3b2c24ff213bp-4, -0x1.e5e7a3d7b2344p-4, -0x1.d834102a7d492p-4, -0x1.ca98ac9374df2p-4, -0x1.bd1615e062c24p-4, -0x1.aface0dece49ap-4, -0x1.a25d9ab38c4e2p-4, -0x1.9528c94650641p-4, -0x1.880eebaea76c7p-4, -0x1.7b107a7a7f257p-4, -0x1.6e2de7fd1899p-4, -0x1.6167a0a8f4e5p-4, -0x1.54be0b4b0bb6ep-4, -0x1.4831893c0818fp-4, -0x1.3bc276b08bc4ap-4, -0x1.2f712af6b1051p-4, -0x1.233df88880278p-4, -0x1.17292d3905b68p-4, -0x1.0b331285e3b2fp-4, -0x1.feb7db74f26c3p-5, -0x1.e747ffcd721c4p-5, -0x1.d0170c0bc63a9p-5, -0x1.b92572a179bf9p-5, -0x1.a2739eb1b79cap-5, -0x1.8c01f3d63a406p-5, -0x1.75d0ce48505dp-5, -0x1.5fe0837f62362p-5, -0x1.4a31627fee701p-5, -0x1.34c3b39be26b9p-5, -0x1.1f97b85ba56d6p-5, -0x1.0aadabf6d4546p-5, -0x1.ec0b879ba9fb8p-6, -0x1.c3405eb551046p-6, -0x1.9afa2fdd6559ep-6, -0x1.733941af63c0bp-6, -0x1.4bfdcfb26ec51p-6, -0x1.25480adbf22e1p-6, -0x1.fe30329d2ddc6p-7, -0x1.b2dc2c27cc4b6p-7, -0x1.689422fa63457p-7, -0x1.1f5823a95d7cbp-7, -0x1.ae504efc129afp-8, -0x1.200828bfbc2fp-8, -0x1.27aef2449b6cap-9, -0x1.37b7c2c13a1cdp-13, 0x1.f916bcee76224p-10, 0x1.04339898ac61ep-8, 0x1.880ce9b513312p-8, 0x1.04e9581ef24eep-7, 0x1.44c30e174537ap-7, 0x1.83943f9528f31p-7, 0x1.c15da53ca28d8p-7, 0x1.fe20065c2321cp-7, 0x1.1cee1c3e0f461p-6, 0x1.3a498fe546634p-6, 0x1.5722d7bd6b983p-6, 0x1.737a74942a3a4p-6, 0x1.8f50edacf63e7p-6, 0x1.aaa6d024b7687p-6, 0x1.c57caef2c5ea7p-6, 0x1.dfd32352958c2p-6, 0x1.f9aacce8c413ep-6, 0x1.098228a063ba1p-5, 0x1.15f02d7802a02p-5, 0x1.221fcc8799ca5p-5, 0x1.2e115fb2666b3p-5, 0x1.39c5437011a73p-5, 0x1.453bd6d9d326bp-5, 0x1.50757b62e1496p-5, 0x1.5b72946ae2479p-5, 0x1.663386fde2bdbp-5, 0x1.70b8b9e8a9cb6p-5, 0x1.7b0295f58d53ap-5, 0x1.85118602af85ap-5, 0x1.8ee5f6c9642e2p-5, 0x1.9880567f32554p-5, 0x1.a1e11489ef15p-5, 0x1.ab08a1803c435p-5, 0x1.b3f76f5bcee37p-5, 0x1.bcadf1a03f37p-5, 0x1.c52c9d47a6b0ep-5, 0x1.cd73e8790335p-5, 0x1.d5844a3954ac6p-5, 0x1.dd5e3a49d567cp-5, 0x1.e502313d09c6dp-5, 0x1.ec70a8a3bd789p-5, 0x1.f3aa1b2066f14p-5, 0x1.faaf04499c889p-5, 0x1.00bff03588eccp-4, 0x1.040e9625edc0bp-4, 0x1.0743b28d0d81p-4, 0x1.0a5f843f80726p-4, 0x1.0d624a60c822p-4, 0x1.104c446afb369p-4, 0x1.131db224e5439p-4, 0x1.15d6d38b20e52p-4, 0x1.1877e8b997035p-4, 0x1.1b0131e0acee3p-4, 0x1.1d72ef4a1a273p-4, 0x1.1fcd616593d9cp-4, 0x1.2210c8d2047f3p-4, 0x1.243d665b6e8edp-4, 0x1.26537aede8015p-4, 0x1.285347842997cp-4, 0x1.2a3d0d1a8a053p-4, 0x1.2c110cac8ac4dp-4, 0x1.2dcf873b7d717p-4, 0x1.2f78bdd7ac1bp-4, 0x1.310cf1a519999p-4, 0x1.328c63d8a8e21p-4, 0x1.33f755ae408bep-4, 0x1.354e085c33ed6p-4, 0x1.3690bd09fb1bcp-4, 0x1.37bfb4ce719cep-4, 0x1.38db30b47a0ddp-4, 0x1.39e371c1e4369p-4, 0x1.3ad8b8fc440f1p-4, 0x1.3bbb4768e67cap-4, 0x1.3c8b5e06cc98dp-4, 0x1.3d493dc49a7p-4, 0x1.3df527774ed44p-4, 0x1.3e8f5bd5b33e5p-4, 0x1.3f181b7a71b9bp-4, 0x1.3f8fa6e96f805p-4, 0x1.3ff63e95679f1p-4, 0x1.404c22e2b5e7dp-4, 0x1.4091942502ebep-4, 0x1.40c6d297eb60cp-4, 0x1.40ec1e55bc594p-4, 0x1.4101b750d9b77p-4, 0x1.4107dd527d1e4p-4, 0x1.40fecffdb0904p-4, 0x1.40e6ced348ac3p-4, 0x1.40c0193462646p-4, 0x1.408aee618ac97p-4, 0x1.40478d76b6342p-4, 0x1.3ff6356540d2ep-4, 0x1.3f9724eecf57dp-4, 0x1.3f2a9aa35f391p-4, 0x1.3eb0d4e2548e1p-4, 0x1.3e2a11dbd2b11p-4, 0x1.3d968f8f7b5d8p-4, 0x1.3cf68bc831f42p-4, 0x1.3c4a4416a9d38p-4, 0x1.3b91f5cd18b92p-4, 0x1.3acdddfdd8d85p-4, 0x1.39fe397d1b616p-4, 0x1.392344e49bd89p-4, 0x1.383d3c966593ep-4, 0x1.374c5cbb7e44bp-4, 0x1.3650e13ccd928p-4, 0x1.354b05b811b1p-4, 0x1.343b057562fb5p-4, 0x1.33211b61cfabep-4, 0x1.31fd8210ea25ep-4, 0x1.30d073c3beb1bp-4, 0x1.2f9a2a7149162p-4, 0x1.2e5adfcbd9c1fp-4, 0x1.2d12cd4035521p-4, 0x1.2bc22bed1e173p-4, 0x1.2a693495f396ep-4, 0x1.29081f94b0e86p-4, 0x1.279f24d0da01fp-4, 0x1.262e7bbe69cfdp-4, 0x1.24b65b640b5a9p-4, 0x1.2336fa64a9e77p-4, 0x1.21b08f079d36p-4, 0x1.20234f3b3cdaep-4, 0x1.1e8f70909706p-4, 0x1.1cf52831848d3p-4, 0x1.1b54aad436461p-4, 0x1.19ae2cb0296e7p-4, 0x1.1801e177fe887p-4, 0x1.164ffc599df26p-4, 0x1.1498b003719c2p-4, 0x1.12dc2eab7df31p-4, 0x1.111aaa14c0b63p-4, 0x1.0f54539041a45p-4, 0x1.0d895bf95a37cp-4, 0x1.0bb9f3ae8ea8p-4, 0x1.09e64a89460dcp-4, 0x1.080e8fd6a3eb8p-4, 0x1.0632f25337368p-4, 0x1.0453a02a292adp-4, 0x1.0270c6f76718ap-4, 0x1.008a93cb439c9p-4, 0x1.fd42665b40143p-5, 0x1.f969a23df058fp-5, 0x1.f58b322d85d95p-5, 0x1.f1a76bffb37p-5, 0x1.edbea46644ef7p-5, 0x1.e9d12ee8620abp-5, 0x1.e5df5ddb496fp-5, 0x1.e1e98260c21fdp-5, 0x1.ddefec67e72ebp-5, 0x1.d9f2eaafe49aep-5, 0x1.d5f2cacb08477p-5, 0x1.d1efd92110609p-5, 0x1.cdea60eed094cp-5, 0x1.c9e2ac43a1306p-5, 0x1.c5d903fcdb4f4p-5, 0x1.c1cdafc17cd06p-5, 0x1.bdc0f5fe5ea73p-5, 0x1.b9b31be4ceaecp-5, 0x1.b5a4656b29c4ep-5, 0x1.b195154ea4d5ep-5, 0x1.ad856d15921b6p-5, 0x1.a975ad1104823p-5, 0x1.a566145d8808p-5, 0x1.a156e0e2bbb29p-5, 0x1.9d484f523bf4dp-5, 0x1.993a9b2612fd3p-5, 0x1.952dfea01a61p-5, 0x1.9122b2c98c482p-5, 0x1.8d18ef73ff584p-5, 0x1.8910eb3b994ep-5, 0x1.850adb8938706p-5, 0x1.8106f494bd628p-5, 0x1.7d05696696428p-5, 0x1.79066bd867e6p-5, 0x1.750a2c955db8ap-5, 0x1.7110db1a92efap-5, 0x1.6d1aa5b80f834p-5, 0x1.6927b992913aap-5, 0x1.653842a605b18p-5, 0x1.614c6bc85387cp-5, 0x1.5d645eac02d92p-5, 0x1.598043e27a644p-5, 0x1.55a042ddba294p-5, 0x1.51c481f1c6de1p-5, 0x1.4ded26561cc66p-5, 0x1.4a1a54277fc8bp-5, 0x1.464c2e6a702cbp-5, 0x1.4282d70e2188dp-5, 0x1.3ebe6ef02958fp-5, 0x1.3aff15e00a663p-5, 0x1.3744eaa2791cp-5, 0x1.33900af4034b1p-5, 0x1.2fe0938b0b857p-5, 0x1.2c36a019857f4p-5, 0x1.28924b4edb4p-5, 0x1.24f3aeda80237p-5, 0x1.215ae36f6d204p-5, 0x1.1dc800c86b3cap-5, 0x1.1a3b1dacad875p-5, 0x1.16b44ff40b5d4p-5, 0x1.1333ac8a68fbep-5, 0x1.0fb947721fef7p-5, 0x1.0c4533c5b08bap-5, 0x1.08d783b9573e7p-5, 0x1.0570489d479b1p-5, 0x1.020f92e1197f9p-5, 0x1.fd6ae430fdb23p-6, 0x1.f6c3ea01ac08dp-6, 0x1.f02a530da5639p-6, 0x1.e99e3996918cap-6, 0x1.e31fb64ce4329p-6, 0x1.dcaee0533e718p-6, 0x1.d64bcd3f8a68fp-6, 0x1.cff6911bf23a6p-6, 0x1.c9af3e69ff6d2p-6, 0x1.c375e629ad846p-6, 0x1.bd4a97e4e8d18p-6, 0x1.b72d61be4fd94p-6, 0x1.b11e5080b41f6p-6, 0x1.ab1d6fac4584cp-6, 0x1.a52ac97eb699bp-6, 0x1.9f4666f56b587p-6, 0x1.99704fca99168p-6, 0x1.93a88a7056b2p-6, 0x1.8def1c0d93b2ap-6, 0x1.88440880c0c13p-6, 0x1.82a7526a371c5p-6, 0x1.7d18fb3e38573p-6, 0x1.7799035b5dd93p-6, 0x1.72276a20c14a2p-6, 0x1.6cc42dfe8a2d7p-6, 0x1.676f4c7cfad7ap-6, 0x1.6228c238d1ac9p-6, 0x1.5cf08ad7351edp-6, 0x1.57c6a0f6452f2p-6, 0x1.52aafe210603ep-6, 0x1.4d9d9acce3127p-6, 0x1.489e6e649321bp-6, 0x1.43ad6f603aaa4p-6, 0x1.3eca9366ad0cap-6, 0x1.39f5cf703ee0bp-6, 0x1.352f17e2cedecp-6, 0x1.3076609fa99abp-6, 0x1.2bcb9cffb32b5p-6, 0x1.272ebfbf19066p-6, 0x1.229fbadec4847p-6, 0x1.1e1e7f851019ap-6, 0x1.19aafde866c1fp-6, 0x1.1545254c2a3edp-6, 0x1.10ece413e3882p-6, 0x1.0ca227eab56aep-6, 0x1.0864ddf74a98ep-6, 0x1.0434f3107b62fp-6, 0x1.001253e5e3aa9p-6, 0x1.f7f9da242ecf5p-7, 0x1.efe956229005p-7, 0x1.e7f2f43cd0536p-7, 0x1.e0168bfeaf96fp-7, 0x1.d853f39b5e736p-7, 0x1.d0aaff96844p-7, 0x1.c91b829eafd85p-7, 0x1.c1a54da8167cap-7, 0x1.ba48304724ea9p-7, 0x1.b303f93aa1103p-7, 0x1.abd8770833a3fp-7, 0x1.a4c578886c92dp-7, 0x1.9dcacd4146058p-7, 0x1.96e845795f5fep-7, 0x1.901db1fd3599cp-7, 0x1.896ae3a2e32aap-7, 0x1.82cfaaa7dd5e4p-7, 0x1.7c4bd60def717p-7, 0x1.75df331def16dp-7, 0x1.6f898d3003503p-7, 0x1.694aadca2fce3p-7, 0x1.63225d1442412p-7, 0x1.5d10628cb2631p-7, 0x1.571485daba351p-7, 0x1.512e8f9206e9fp-7, 0x1.4b5e49bdfc84ep-7, 0x1.45a38015d9acap-7, 0x1.3ffdffcdb8dep-7, 0x1.3a6d970da47b9p-7, 0x1.34f2142aaa359p-7, 0x1.2f8b44cb30b3fp-7, 0x1.2a38f522515d3p-7, 0x1.24faef6b5f3f4p-7, 0x1.1fd0fbc1a58f2p-7, 0x1.1abae06041552p-7, 0x1.15b86242707a3p-7, 0x1.10c94609761e2p-7, 0x1.0bed50fd48149p-7, 0x1.072449f63573fp-7, 0x1.026df9ffeed97p-7, 0x1.fb94592987b85p-8, 0x1.f2715ecb7a019p-8, 0x1.e972a377ebaf5p-8, 0x1.e097c728b2bf8p-8, 0x1.d7e06943446c1p-8, 0x1.cf4c26c43a96dp-8, 0x1.c6da98e052d7cp-8, 0x1.be8b54526df0ep-8, 0x1.b65de974fe525p-8, 0x1.ae51e52a3c3dbp-8, 0x1.a666d2778c6bap-8, 0x1.9e9c3c98fd1cp-8, 0x1.96f1b13404a38p-8, 0x1.8f66c2419ce3ep-8, 0x1.87fb074de21a6p-8, 0x1.80ae1dcccf964p-8, 0x1.797fa8771dd7bp-8, 0x1.726f4dd9e5b07p-8, 0x1.6b7cb66d1651p-8, 0x1.64a78a9305e6ap-8, 0x1.5def70d76d23p-8, 0x1.57540ca5e3fffp-8, 0x1.50d4fd90faf1fp-8, 0x1.4a71df2f73026p-8, 0x1.442a498f44e0dp-8, 0x1.3dfdd23c1c482p-8, 0x1.37ec0dcc6f86cp-8, 0x1.31f491cf9d395p-8, 0x1.2c16f6d478acfp-8, 0x1.2652da25d8adcp-8, 0x1.20a7ded8975dfp-8, 0x1.1b15ade7bc78fp-8, 0x1.159bf555cdeb2p-8, 0x1.103a668da3fe5p-8, 0x1.0af0b46d5ee48p-8, 0x1.05be9172d18b4p-8, 0x1.00a3ae62c992fp-8, 0x1.f73f731ac5cfcp-9, 0x1.ed64bd3048377p-9, 0x1.e3b68d32d042ap-9, 0x1.da3430b49ef5bp-9, 0x1.d0dcf1710f977p-9, 0x1.c7b0168f679e7p-9, 0x1.beace6b62116ep-9, 0x1.b5d2ab054f218p-9, 0x1.ad20b29e4bfc4p-9, 0x1.a49655f54a875p-9, 0x1.9c32f9016a3f5p-9, 0x1.93f60b8ca557cp-9, 0x1.8bdf076a065fbp-9, 0x1.83ed6cfa8a5b6p-9, 0x1.7c20bef4da7a2p-9, 0x1.74787e9ec6a25p-9, 0x1.6cf4296dd807ap-9, 0x1.6593386c54749p-9, 0x1.5e55210224458p-9, 0x1.5739563cd4069p-9, 0x1.503f49a372fd8p-9, 0x1.49666b17ed543p-9, 0x1.42ae2802423e8p-9, 0x1.3c15ea96ad13fp-9, 0x1.359d1a2b7dc03p-9, 0x1.2f431d28a4f89p-9, 0x1.29075c624318cp-9, 0x1.22e94703c6c38p-9, 0x1.1ce855dd7d46ap-9, 0x1.17040d034a76ap-9, 0x1.113bfb29a3832p-9, 0x1.0b8fb6e460bcfp-9, 0x1.05fedaa2679bep-9, 0x1.008900ba56102p-9, 0x1.f65b81b189991p-10, 0x1.ebd95f27cc937p-10, 0x1.e18ac001757e4p-10, 0x1.d76ecc9009c1ep-10, 0x1.cd84b390742ap-10, 0x1.c3cbab1648a98p-10, 0x1.ba42ed49ea3bdp-10, 0x1.b0e9b2409ccf8p-10, 0x1.a7bf29be5aa3dp-10, 0x1.9ec277e0245b7p-10, 0x1.95f2b665f8c09p-10, 0x1.8d4efa4fd16cap-10, 0x1.84d65bd817d2dp-10, 0x1.7c87fe2e24551p-10, 0x1.746314a90fb1dp-10, 0x1.6c66e406d4911p-10, 0x1.6492bf69301b7p-10, 0x1.5ce6020ab1bbp-10, 0x1.556007d4b91eep-10, 0x1.4e00278204632p-10, 0x1.46c5b06ab68b4p-10, 0x1.3fafecaf01803p-10, 0x1.38be26c894fa6p-10, 0x1.31efb04eca2fdp-10, 0x1.2b43e73082133p-10, 0x1.24ba37186c3a6p-10, 0x1.1e521611194a3p-10, 0x1.180afd79a518ep-10, 0x1.11e46223aee2bp-10, 0x1.0bddaf026771ep-10, 0x1.05f6449dd48bfp-10, 0x1.002d7d1c83647p-10, 0x1.f5056554e772p-11, 0x1.e9ea8b2c3c046p-11, 0x1.df09411d9ed8dp-11, 0x1.d46075399c929p-11, 0x1.c9ef2d8d02b86p-11, 0x1.bfb482881c24p-11, 0x1.b5af955207783p-11, 0x1.abdf84c7981a8p-11, 0x1.a24364d3abd74p-11, 0x1.98da3ac695514p-11, 0x1.8fa2ff626d4a2p-11, 0x1.869ca5c9535f9p-11, 0x1.7dc6256fc9b7cp-11, 0x1.751e84212eefbp-11, 0x1.6ca4dc52ea098p-11, 0x1.64585c86a82b8p-11, 0x1.5c383f2792dafp-11, 0x1.5443be04f6658p-11, 0x1.4c7a07435962p-11, 0x1.44da395c39a2dp-11, 0x1.3d6367e90470bp-11, 0x1.3614a59fc0a68p-11, 0x1.2eed0d11982e5p-11, 0x1.27ebc42c9a933p-11, 0x1.210ffc45777eep-11, 0x1.1a58f341705d9p-11, 0x1.13c5f733c1b17p-11, 0x1.0d5668ac48badp-11, 0x1.0709b77683196p-11, 0x1.00df59daaa1c9p-11, 0x1.f5ad84cc5738fp-12, 0x1.e9deb113c759ep-12, 0x1.de50ecc2104bcp-12, 0x1.d302d7a4a2fbbp-12, 0x1.c7f30b2318833p-12, 0x1.bd202a57b0c54p-12, 0x1.b288ee1eebda4p-12, 0x1.a82c296a31f2fp-12, 0x1.9e08c5b87c75ep-12, 0x1.941db9df72ee8p-12, 0x1.8a69fdfbd53cap-12, 0x1.80ec80150569cp-12, 0x1.77a41e5823b79p-12, 0x1.6e8fab02d2816p-12, 0x1.65adf8304aa4ap-12, 0x1.5cfde1cbee1f4p-12, 0x1.547e4bbbfe7c9p-12, 0x1.4c2e174163a26p-12, 0x1.440c206094ca2p-12, 0x1.3c174f647e9eep-12, 0x1.344eb3fb27804p-12, 0x1.2cb19172d5a5ep-12, 0x1.253f4f7cf880bp-12, 0x1.1df759fa36714p-12, 0x1.16d904d5d0022p-12, 0x1.0fe38264378bfp-12, 0x1.0915ecf710ec5p-12, 0x1.026f591481dbfp-12, 0x1.f7ddc558ef7bp-13, 0x1.eb275d3f73787p-13, 0x1.deb9ca284ab04p-13, 0x1.d2935c8f5cca7p-13, 0x1.c6b26dc946ed9p-13, 0x1.bb157163cca9bp-13, 0x1.afbb0124fb5efp-13, 0x1.a4a1d9c646cd4p-13, 0x1.99c8c8c38013fp-13, 0x1.8f2e9663b7b8ap-13, 0x1.84d1fc3d57ddfp-13, 0x1.7ab1af5d7f084p-13, 0x1.70cc6f02051e6p-13, 0x1.6720fced39fefp-13, 0x1.5dadfce1c4421p-13, 0x1.5471e43d6fd0fp-13, 0x1.4b6b232de21fp-13, 0x1.4298711020e7p-13, 0x1.39f8f106a3e83p-13, 0x1.318c07d44de6ep-13, 0x1.29510c5974bd4p-13, 0x1.214717a71a944p-13, 0x1.196d11cab4f69p-13, 0x1.11c1e2f420ac3p-13, 0x1.0a4499015d88bp-13, 0x1.02f463b37b52bp-13, 0x1.f7a0e4d4a7a61p-14, 0x1.e9afab9f96e4fp-14, 0x1.dc12f65984989p-14, 0x1.cec87a2c7d6fp-14, 0x1.c1cdf37cd4ae5p-14, 0x1.b521478ba13e2p-14, 0x1.a8c0949382a51p-14, 0x1.9caa3108ee91ap-14, 0x1.90dc9b3f0bb89p-14, 0x1.85565db184507p-14, 0x1.7a15f5844e93bp-14, 0x1.6f19d0dcfeed3p-14, 0x1.64606dd0c2f7ep-14, 0x1.59e87abd794fcp-14, 0x1.4fb0c3503d66dp-14, 0x1.45b7e70ef169ep-14, 0x1.3bfc3022ed7b7p-14, 0x1.327bdebeb5e26p-14, 0x1.2935a8766d8b1p-14, 0x1.2028c76d66509p-14, 0x1.17547cbfdbcb5p-14, 0x1.0eb79ba18fc4ep-14, 0x1.065095c73bca6p-14, 0x1.fc3bd162d06aep-15, 0x1.ec3ce8766e127p-15, 0x1.dca2dd54b482dp-15, 0x1.cd6c3538222a7p-15, 0x1.be97251e52c54p-15, 0x1.b0218dc4ec0cap-15, 0x1.a20924b1c2dc9p-15, 0x1.944b94d3912cap-15, 0x1.86e68f247091ep-15, 0x1.79d7d5c11be1bp-15, 0x1.6d1d466cac864p-15, }}, 
      {{0x1.5dd44ccadbf17p-4, 0x1.6896f8bdb78a6p-4, 0x1.79e048c1772adp-4, 0x1.90ec0bcc69462p-4, 0x1.acdce797bf9f6p-4, 0x1.ccccf44a6223bp-4, 0x1.efd93e6882ec8p-4, 0x1.0a94c6fc96977p-3, 0x1.1dfaaedb61efep-3, 0x1.31c3638965228p-3, 0x1.459def023f23bp-3, 0x1.594370a387e71p-3, 0x1.6c76ce8dd4bbfp-3, 0x1.7f0426fbb2f4p-3, 0x1.90c01e62fc81cp-3, 0x1.a1871eda23565p-3, 0x1.b13c9507c9641p-3, 0x1.bfca343ed45ep-3, 0x1.cd1f44a03e5bdp-3, 0x1.d92ffe370f9e2p-3, 0x1.e3f4f1480c434p-3, 0x1.ed6a7b86949c9p-3, 0x1.f590497110593p-3, 0x1.fc68e2fa727b2p-3, 0x1.00fca15254cdbp-2, 0x1.03243b25a047ep-2, 0x1.04afa4786a425p-2, 0x1.05a3fa79642d6p-2, 0x1.0606ef08bef63p-2, 0x1.05dea95ed7cf3p-2, 0x1.0531aa186443cp-2, 0x1.0406b26973b5bp-2, 0x1.0264ae3bb63edp-2, 0x1.0052a10238853p-2, 0x1.fbaf2a13733a8p-3, 0x1.f5f51a2530964p-3, 0x1.ef84f006119d4p-3, 0x1.e86c4d01d383dp-3, 0x1.e0b88487cd01dp-3, 0x1.d8768deeab1abp-3, 0x1.cfb2f901d05a3p-3, 0x1.c679e5049b519p-3, 0x1.bcd6f9ee7dc3ep-3, 0x1.b2d563964a641p-3, 0x1.a87fce7bd642fp-3, 0x1.9de0662390366p-3, 0x1.9300d482c1a68p-3, 0x1.87ea429dd3feep-3, 0x1.7ca559e65ae13p-3, 0x1.713a464eea78bp-3, 0x1.65b0b91b8247cp-3, 0x1.5a0febe39d6ecp-3, 0x1.4e5ea3f54ce07p-3, 0x1.42a335f6c39abp-3, 0x1.36e38a0dadfb4p-3, 0x1.2b251fdfd284ep-3, 0x1.1f6d127cd5b99p-3, 0x1.13c01c69cff3p-3, 0x1.08229c0ec3c7cp-3, 0x1.f93130581c074p-4, 0x1.e24b87ee2398ap-4, 0x1.cb9b05ccf4cadp-4, 0x1.b525d906088ffp-4, 0x1.9ef1a0ea5e1f1p-4, 0x1.89037552d1538p-4, 0x1.735fee7395b63p-4, 0x1.5e0b2be0fe2aap-4, 0x1.4908daf1e5f79p-4, 0x1.345c3cf5aeed8p-4, 0x1.20082d908b526p-4, 0x1.0c0f29415681p-4, 0x1.f0e6a799731e3p-5, 0x1.ca6cfc7d87858p-5, 0x1.a4b458bffa3edp-5, 0x1.7fbf335761e49p-5, 0x1.5b8f7bee5179dp-5, 0x1.3826a3f350f7ep-5, 0x1.1585a79e3f9aep-5, 0x1.e75a2dc9759acp-6, 0x1.a53a3c6310ba9p-6, 0x1.64ab1d4dfa22p-6, 0x1.25abcb8c4e633p-6, 0x1.d07551c3596bp-7, 0x1.58ab154f21b94p-7, 0x1.c7e716d6408fp-8, 0x1.c921ccf590cacp-9, 0x1.d15b6f08a69d8p-14, -0x1.a015ffe7632a9p-9, -0x1.a1716817beffap-8, -0x1.3680019a52975p-7, -0x1.99650c842893ep-7, -0x1.f971ef96e122bp-7, -0x1.2b589693b85d7p-6, -0x1.5896d07be9792p-6, -0x1.847939a6f8ed8p-6, -0x1.af05869023ed3p-6, -0x1.d841869ba5222p-6, -0x1.00198f883d29ap-5, -0x1.1370233775a25p-5, -0x1.2627800d4e95dp-5, -0x1.3842ac2abdbd3p-5, -0x1.49c4b040f61a1p-5, -0x1.5ab095d91cb7dp-5, -0x1.6b0965bf9848fp-5, -0x1.7ad2269301436p-5, -0x1.8a0ddb763f6d1p-5, -0x1.98bf82e367d81p-5, -0x1.a6ea159faa789p-5, -0x1.b49085cc3d858p-5, -0x1.c1b5be142c9abp-5, -0x1.ce5ca0f10a67p-5, -0x1.da88080c2d187p-5, -0x1.e63ac3ae4a5cbp-5, -0x1.f1779a465cab5p-5, -0x1.fc414800fe989p-5, -0x1.034d3f37447aap-4, -0x1.0842f21c154f6p-4, -0x1.0d030a71e29c9p-4, -0x1.118ed04f83e33p-4, -0x1.15e7860e68bb8p-4, -0x1.1a0e683b6d88ap-4, -0x1.1e04ad8df0014p-4, -0x1.21cb86e30f36ap-4, -0x1.25641f3c0b59cp-4, -0x1.28cf9bc176b65p-4, -0x1.2c0f1bc897579p-4, -0x1.2f23b8dc45a81p-4, -0x1.320e86c7b204cp-4, -0x1.34d093a48eaa1p-4, -0x1.376ae7e9c57c4p-4, -0x1.39de867d887cdp-4, -0x1.3c2c6cc76e36p-4, -0x1.3e5592c48657cp-4, -0x1.405aeb1cf4598p-4, -0x1.423d633933e7ep-4, -0x1.43fde359119c3p-4, -0x1.459d4eaaef861p-4, -0x1.471c8363e4345p-4, -0x1.487c5ad6af05ep-4, -0x1.49bda98d324a9p-4, -0x1.4ae13f5ff613ap-4, -0x1.4be7e78e83c09p-4, -0x1.4cd268d87fe5p-4, -0x1.4da18594fc5e2p-4, -0x1.4e55fbcc68d8cp-4, -0x1.4ef0854cde241p-4, -0x1.4f71d7c5cabe5p-4, -0x1.4fdaa4dd135f8p-4, -0x1.502b9a4593e32p-4, -0x1.506561d8944edp-4, -0x1.5088a1a92a855p-4, -0x1.5095fc1b25181p-4, -0x1.508e0ff8ed827p-4, -0x1.50717888687e8p-4, -0x1.5040cd9f060e9p-4, -0x1.4ffca3b643e0bp-4, -0x1.4fa58bffc5ca7p-4, -0x1.4f3c14781bcafp-4, -0x1.4ec0c7f929c24p-4, -0x1.4e342e4d12925p-4, -0x1.4d96cc404ebc5p-4, -0x1.4ce923b2364a1p-4, -0x1.4c2bb3a6c516ap-4, -0x1.4b5ef855c8be9p-4, -0x1.4a836b3cee9e8p-4, -0x1.4999832e2bd9ep-4, -0x1.48a1b45e81363p-4, -0x1.479c707564dbbp-4, -0x1.468a269bb2df7p-4, -0x1.456b43893c61p-4, -0x1.44403191b98e8p-4, -0x1.430958b23b8d7p-4, -0x1.41c71e9ed629p-4, -0x1.4079e6cf33305p-4, -0x1.3f22128a0b209p-4, -0x1.3dc000f0ad1dp-4, -0x1.3c540f0b13d09p-4, -0x1.3ade97d3af5ecp-4, -0x1.395ff4421a132p-4, -0x1.37d87b55610d3p-4, -0x1.3648821d1ad15p-4, -0x1.34b05bc66326ep-4, -0x1.331059a3b8df4p-4, -0x1.3168cb378a0f7p-4, -0x1.2fb9fe3ceba1cp-4, -0x1.2e043eb0a90a2p-4, -0x1.2c47d6da7ebaep-4, -0x1.2a850f5617064p-4, -0x1.28bc2f1b7f5d9p-4, -0x1.26ed7b8738efbp-4, -0x1.25193862342b2p-4, -0x1.233fa7e9d23b7p-4, -0x1.21610ad7cb9bfp-4, -0x1.1f7da069efc9bp-4, -0x1.1d95a6698ffd3p-4, -0x1.1ba95932a6dccp-4, -0x1.19b8f3bacf74bp-4, -0x1.17c4af983146bp-4, -0x1.15ccc50877c91p-4, -0x1.13d16af7c2dbap-4, -0x1.11d2d7073ddfbp-4, -0x1.0fd13d9376985p-4, -0x1.0dccd1ba6add3p-4, -0x1.0bc5c561588c6p-4, -0x1.09bc493b69916p-4, -0x1.07b08ccfc5489p-4, -0x1.05a2be7f88e82p-4, -0x1.03930b8b41c6p-4, -0x1.0181a01834c64p-4, -0x1.fedd4e6b8ec74p-5, -0x1.fab495c65cc45p-5, -0x1.f689682a368d1p-5, -0x1.f25c15762de3p-5, -0x1.ee2ceb88d25bep-5, -0x1.e9fc36497a6fbp-5, -0x1.e5ca3fb1d71eap-5, -0x1.e1974fd800f97p-5, -0x1.dd63acf8b1d9p-5, -0x1.d92f9b810dffp-5, -0x1.d4fb5e179d9ffp-5, -0x1.d0c735a4ae6e4p-5, -0x1.cc93615aa6045p-5, -0x1.c8601ebeb022cp-5, -0x1.c42da9b1c64dep-5, -0x1.bffc3c79a13fep-5, -0x1.bbcc0fc917496p-5, -0x1.b79d5ac7cfb28p-5, -0x1.b370531996691p-5, -0x1.af452ce6399a5p-5, -0x1.ab1c1ae02feb2p-5, -0x1.a6f54e4d9202ap-5, -0x1.a2d0f70f42966p-5, -0x1.9eaf43a85f4cbp-5, -0x1.9a9061450e02bp-5, -0x1.96747bc0f21c8p-5, -0x1.925bbdada82b3p-5, -0x1.8e4650596358ep-5, -0x1.8a345bd5b1e36p-5, -0x1.862606fe35a05p-5, -0x1.821b777f0e0b2p-5, -0x1.7e14d1dadf74ap-5, -0x1.7a1239708c16fp-5, -0x1.7613d080cc709p-5, -0x1.7219b833cd9abp-5, -0x1.6e24109ee6d83p-5, -0x1.6a32f8ca5b1b3p-5, -0x1.66468eb6fca27p-5, -0x1.625eef638767ap-5, -0x1.5e7c36d1c017dp-5, -0x1.5a9e800b53027p-5, -0x1.56c5e52694121p-5, -0x1.52f27f4b4a61ep-5, -0x1.4f2466b785525p-5, -0x1.4b5bb2c476e5bp-5, -0x1.479879eb36e38p-5, -0x1.43dad1c947b52p-5, -0x1.4022cf251db9p-5, -0x1.3c7085f1f054cp-5, -0x1.38c409548421bp-5, -0x1.351d6ba4fd78bp-5, -0x1.317cbe76c78cp-5, -0x1.2de212990d6fdp-5, -0x1.2a4d781c824f7p-5, -0x1.26befe56f654cp-5, -0x1.2336b3e716d6bp-5, -0x1.1fb4a6b7fa1bp-5, -0x1.1c38e4048bc78p-5, -0x1.18c3785ae97e7p-5, -0x1.15546f9fc8fa2p-5, -0x1.11ebd511eb2dfp-5, -0x1.0e89b34d92918p-5, -0x1.0b2e144fe55e2p-5, -0x1.07d9017a1dd5ap-5, -0x1.048a8394ba2f5p-5, -0x1.0142a2d26f4cap-5, -0x1.fc02cda632a1bp-6, -0x1.f58dad4d3813cp-6, -0x1.ef25f19f92a85p-6, -0x1.e8cba68e9dc46p-6, -0x1.e27ed6fd2be1cp-6, -0x1.dc3f8cc52214fp-6, -0x1.d60dd0bcf6b91p-6, -0x1.cfe9aabd11255p-6, -0x1.c9d321a514fa3p-6, -0x1.c3ca3b6101cdep-6, -0x1.bdcefcee592ep-6, -0x1.b7e16a60fef72p-6, -0x1.b20186e826569p-6, -0x1.ac2f54d312778p-6, -0x1.a66ad595ce0a2p-6, -0x1.a0b409cde7035p-6, -0x1.9b0af14724078p-6, -0x1.956f8b0057634p-6, -0x1.8fe1d53011a58p-6, -0x1.8a61cd4932728p-6, -0x1.84ef6fff2e0bbp-6, -0x1.7f8ab94afe8a9p-6, -0x1.7a33a46bcc0f1p-6, -0x1.74ea2bf1a19c8p-6, -0x1.6fae49ba9dee2p-6, -0x1.6a7ff6fae24f2p-6, -0x1.655f2c3fdace1p-6, -0x1.604be174a6f42p-6, -0x1.5b460de645438p-6, -0x1.564da8478d73ap-6, -0x1.5162a6b4f8b77p-6, -0x1.4c84feb824593p-6, -0x1.47b4a54b62691p-6, -0x1.42f18edd4416fp-6, -0x1.3e3baf5437bf9p-6, -0x1.3992fa12426bdp-6, -0x1.34f761f8cdb7ep-6, -0x1.3068d96c69c44p-6, -0x1.2be7525877399p-6, -0x1.2772be32b5269p-6, -0x1.230b0dfe952aep-6, -0x1.1eb032506b098p-6, -0x1.1a621b5090f9cp-6, -0x1.1620b8be924cdp-6, -0x1.11ebf9f464269p-6, -0x1.0dc3cde9b1ea8p-6, -0x1.09a823371db1fp-6, -0x1.0598e819925ap-6, -0x1.01960a7573cabp-6, -0x1.fb3eefb38255ap-7, -0x1.f36a3b0623919p-7, -0x1.ebadd0bd023efp-7, -0x1.e4098a18fa9aap-7, -0x1.dc7d3fc72f4f7p-7, -0x1.d508c9e6c3f24p-7, -0x1.cdac000e609abp-7, -0x1.c666b9520f8e8p-7, -0x1.bf38cc48e409cp-7, -0x1.b8220f1276cdep-7, -0x1.b122575c6581ep-7, -0x1.aa397a678bb3dp-7, -0x1.a3674d0d37a1ap-7, -0x1.9caba3c434c91p-7, -0x1.960652a5c42cp-7, -0x1.8f772d728ef3cp-7, -0x1.88fe07977a1dep-7, -0x1.829ab431c062cp-7, -0x1.7c4d0616c6502p-7, -0x1.7614cfd4dc807p-7, -0x1.6ff1e3b8b6891p-7, -0x1.69e413d4a9e65p-7, -0x1.63eb3202a3016p-7, -0x1.5e070fe9399acp-7, -0x1.58377efff7ba3p-7, -0x1.527c50938310cp-7, -0x1.4cd555c9cbfbep-7, -0x1.47425fa61be1cp-7, -0x1.41c33f0d14eb2p-7, -0x1.3c57c4c896b6dp-7, -0x1.36ffc18b9fd15p-7, -0x1.31bb05f621a92p-7, -0x1.2c896298ab6bp-7, -0x1.276aa7f81ce37p-7, -0x1.225ea691291afp-7, -0x1.1d652edbd29c3p-7, -0x1.187e114ecdf9cp-7, -0x1.13a91e62cab5ap-7, -0x1.0ee62695bd922p-7, -0x1.0a34fa6e35dc2p-7, -0x1.05956a7e4a6c9p-7, -0x1.01074766b63b1p-7, -0x1.f914c3b3f1c45p-8, -0x1.f03d153e25dcbp-8, -0x1.e7872528bd368p-8, -0x1.def2956497b5bp-8, -0x1.d67f081c19c31p-8, -0x1.ce2c1fb85b2bcp-8, -0x1.c5f97ee6633bap-8, -0x1.bde6c89c4ca22p-8, -0x1.b5f3a01e27c27p-8, -0x1.ae1fa902b8fbfp-8, -0x1.a66a8737f995fp-8, -0x1.9ed3df076b5a6p-8, -0x1.975b551a48714p-8, -0x1.90008e7d7c587p-8, -0x1.88c330a5a626p-8, -0x1.81a2e1731ba23p-8, -0x1.7a9f4735fa2c6p-8, -0x1.73b808b215913p-8, -0x1.6ceccd229fa9ep-8, -0x1.663d3c3daa44p-8, -0x1.5fa8fe372bc7bp-8, -0x1.592fbbc3e6978p-8, -0x1.52d11e1c23afap-8, -0x1.4c8ccefe65ab1p-8, -0x1.466278b249aaap-8, -0x1.4051c60bab394p-8, -0x1.3a5a626dae932p-8, -0x1.347bf9cddd814p-8, -0x1.2eb638b6174e4p-8, -0x1.2908cc49a2607p-8, -0x1.2373624297e26p-8, -0x1.1df5a8f5902b7p-8, -0x1.188f4f53a6212p-8, -0x1.134004ea76171p-8, -0x1.0e0779e6603d2p-8, -0x1.08e55f14d0f72p-8, -0x1.03d965e6dd15ap-8, -0x1.fdc680e7d8d2ap-9, -0x1.f40542f80f78p-9, -0x1.ea6e78d28986p-9, -0x1.e1018aa0fe19ep-9, -0x1.d7bde1e21924ap-9, -0x1.cea2e96897fcbp-9, -0x1.c5b00d5a2140fp-9, -0x1.bce4bb2fd616cp-9, -0x1.b44061b89690cp-9, -0x1.abc2711d7637dp-9, -0x1.a36a5ae75c125p-9, -0x1.9b379204b80e9p-9, -0x1.93298acdc4521p-9, -0x1.8b3fbb06214dcp-9, -0x1.837999db445bdp-9, -0x1.7bd69fe034c08p-9, -0x1.74564707c8bc3p-9, -0x1.6cf80a9f47f29p-9, -0x1.65bb674b3221bp-9, -0x1.5e9fdb07a2c63p-9, -0x1.57a4e52c2023p-9, -0x1.50ca0672c8b94p-9, -0x1.4a0ec10037258p-9, -0x1.4372986a4fe44p-9, -0x1.3cf511bbb015ap-9, -0x1.3695b3724ad5p-9, -0x1.30540579174dap-9, -0x1.2a2f911e18e0ep-9, -0x1.2427e106e5acdp-9, -0x1.1e3c8126d349dp-9, -0x1.186cfeb8d1587p-9, -0x1.12b8e83f06fd8p-9, -0x1.0d1fcd8864456p-9, -0x1.07a13fba407c3p-9, -0x1.023cd15c1cd5ap-9, -0x1.f9e42cc33ace8p-10, -0x1.ef814860429bcp-10, -0x1.e550233b3be28p-10, -0x1.db4fedd1169aap-10, -0x1.d17fdb53e48f2p-10, -0x1.c7df21891ff7dp-10, -0x1.be6cf8a8c49ddp-10, -0x1.b5289b450b245p-10, -0x1.ac11463f6da96p-10, -0x1.a32638cd9eea1p-10, -0x1.9a66b48c7ca2bp-10, -0x1.91d1fd9c691c2p-10, -0x1.89675abf7016ap-10, -0x1.8126157107c6p-10, -0x1.790d79f1ccb89p-10, -0x1.711cd7423be28p-10, -0x1.69537f0cb75edp-10, -0x1.61b0c57fe2fb9p-10, -0x1.5a34012f2b496p-10, -0x1.52dc8adbf343dp-10, -0x1.4ba9bd5c752d4p-10, -0x1.449af58f40803p-10, -0x1.3daf925624644p-10, -0x1.36e6f4a931d28p-10, -0x1.30407fb34c4d5p-10, -0x1.29bb98f33ca52p-10, -0x1.2357a8599135p-10, -0x1.1d14185bb44adp-10, -0x1.16f055f75a5adp-10, -0x1.10ebd0a700a4ep-10, -0x1.0b05fa3da1275p-10, -0x1.053e46d042813p-10, -0x1.ff2858f84df4dp-11, -0x1.f40e469047bcp-11, -0x1.e92d4a0b9a0fbp-11, -0x1.de845a84b3147p-11, -0x1.d412728e39a6cp-11, -0x1.c9d690509432ap-11, -0x1.bfcfb5baca671p-11, -0x1.b5fce8bb3ff82p-11, -0x1.ac5d3370f5931p-11, -0x1.a2efa44b8876fp-11, -0x1.99b34e136595ap-11, -0x1.90a747d757c72p-11, -0x1.87caacc53c18cp-11, -0x1.7f1c9bf3c3672p-11, -0x1.769c38255e183p-11, -0x1.6e48a78ca8375p-11, -0x1.66211398a47dap-11, -0x1.5e24a8cf15f0dp-11, -0x1.565296b945adep-11, -0x1.4eaa0fe524b75p-11, -0x1.472a49f8613d1p-11, -0x1.3fd27dceb6164p-11, -0x1.38a1e79a0ff54p-11, -0x1.3197c6fb41225p-11, -0x1.2ab35f0bed836p-11, -0x1.23f3f65863401p-11, -0x1.1d58d6cc7cb1dp-11, -0x1.16e14d99f243p-11, -0x1.108cab1d40dc8p-11, -0x1.0a5a42c5c75ccp-11, -0x1.04496aff343f6p-11, -0x1.fcb2fa36c5eb8p-12, -0x1.f113aa724d644p-12, -0x1.e5b3a4569be1ap-12, -0x1.da91aac53f21ep-12, -0x1.cfac85c38a9d8p-12, -0x1.c5030276c63fp-12, -0x1.ba93f3345aff2p-12, -0x1.b05e2f966b42p-12, -0x1.a66094846d8cep-12, -0x1.9c9a04260a969p-12, -0x1.930965c06ca13p-12, -0x1.89ada58a1857fp-12, -0x1.8085b489082cap-12, -0x1.77908889aa7fap-12, -0x1.6ecd1c31b406cp-12, -0x1.663a6f2302e3dp-12, -0x1.5dd78617767dap-12, -0x1.55a36ade1adeap-12, -0x1.4d9d2c2e2b33ep-12, -0x1.45c3dd57b6f65p-12, -0x1.3e1695e9a4a7ap-12, -0x1.3694716129b16p-12, -0x1.2f3c8f19a6cafp-12, -0x1.280e123b9aa26p-12, -0x1.210821c7ebd2ap-12, -0x1.1a29e8cf03832p-12, -0x1.137296510b0eep-12, -0x1.0ce15d201d917p-12, -0x1.067573aa488d9p-12, -0x1.002e13c81200fp-12, -0x1.f414f55933637p-13, -0x1.e813d206a7a0ap-13, -0x1.dc57466a1e94dp-13, -0x1.d0dde37089736p-13, -0x1.c5a6428b621bp-13, -0x1.baaf05a1dea89p-13, -0x1.aff6d6747424ep-13, -0x1.a57c659ebf3a7p-13, -0x1.9b3e698a75414p-13, -0x1.913b9db49e6dcp-13, -0x1.8772c27c40d26p-13, -0x1.7de29d78004b3p-13, -0x1.7489fa15f2984p-13, -0x1.6b67aa31fd6ecp-13, -0x1.627a865869e57p-13, -0x1.59c16d97d1871p-13, -0x1.513b44f48af52p-13, -0x1.48e6f6b7cd6bp-13, -0x1.40c371e198442p-13, -0x1.38cfa9fa0f0aep-13, -0x1.310a97572e884p-13, -0x1.297337bd2546ap-13, -0x1.22088f0f3bc44p-13, -0x1.1ac9a7b5c3351p-13, -0x1.13b59274b50b2p-13, -0x1.0ccb65a168129p-13, -0x1.060a3bfa9e3p-13, -0x1.fee2670f5b278p-14, -0x1.f1fed9e924c3ap-14, -0x1.e5681741dceep-14, -0x1.d91c6c9ae4954p-14, -0x1.cd1a302606349p-14, -0x1.c15fc2749fa5ep-14, -0x1.b5eb8f47947bap-14, -0x1.aabc0d52b4006p-14, -0x1.9fcfbd255e653p-14, -0x1.952527a94215fp-14, -0x1.8abadcb160dd4p-14, -0x1.808f720d8679ap-14, -0x1.76a1831be200fp-14, -0x1.6cefb1957f93bp-14, -0x1.6378a63d83d14p-14, -0x1.5a3b1233d3c22p-14, -0x1.5135afb38e375p-14, -0x1.48674202cf266p-14, -0x1.3fce945ec366ep-14, -0x1.376a782dece16p-14, -0x1.2f39c3286e1a3p-14, -0x1.273b4e439bdecp-14, -0x1.1f6df5d685cedp-14, -0x1.17d09ad82ce99p-14, -0x1.1062248d3a193p-14, -0x1.092181d787b74p-14, -0x1.020da9a69b0aep-14, -0x1.f64b35103bf86p-15, -0x1.e8d0b3738f719p-15, -0x1.dba9e4682777bp-15, -0x1.ced4e7dd78451p-15, -0x1.c24fe6ce1a4fap-15, -0x1.b61912aba20cbp-15, -0x1.aa2ea4d9f2dfdp-15, -0x1.9e8ede4da8604p-15, -0x1.9338079b6a3e7p-15, -0x1.882871bc5a60dp-15, -0x1.7d5e7738f233cp-15, -0x1.72d87e16b2474p-15, -0x1.6894f7704ec87p-15, -0x1.5e925ea3e193ep-15, -0x1.54cf37aa1df84p-15, -0x1.4b4a0c81a82b9p-15, -0x1.42016c623ca91p-15, -0x1.38f3ec8948b1ep-15, -0x1.30202a2e8f8a5p-15, -0x1.2784cc588a505p-15, -0x1.1f2084529ced8p-15, -0x1.16f20ca537b33p-15, -0x1.0ef8276c20909p-15, -0x1.07319d294ada4p-15, -0x1.ff3a79447d61cp-16, -0x1.f073b70d86c5fp-16, -0x1.e20cae4d16657p-16, -0x1.d40328fd0c5d6p-16, -0x1.c654fea0aee7ap-16, -0x1.b900110129ccdp-16, -0x1.ac02492d2ed95p-16, -0x1.9f5995e376417p-16, -0x1.9303ecb1fd674p-16, -0x1.86ff4d10f225ap-16, -0x1.7b49c40b73ed9p-16, -0x1.6fe16ea52db9bp-16, -0x1.64c479d68665bp-16, -0x1.59f1203b81a35p-16, -0x1.4f65a6a88bb2dp-16, -0x1.452059676b97ep-16, -0x1.3b1f8b8a79d3p-16, -0x1.3161986f774b7p-16, -0x1.27e4e5f5871ep-16, -0x1.1ea7e5418157cp-16, -0x1.15a91149a96d3p-16, -0x1.0ce6ec783b102p-16, -0x1.045fff9c86ad9p-16, -0x1.f825b6136e4b8p-17, -0x1.e7fc31b51cff8p-17, -0x1.d840bcfab41a4p-17, -0x1.c8f0b8e41e57fp-17, -0x1.ba0998c38f708p-17, -0x1.ab88dd4cfa77ep-17, -0x1.9d6c10a343d79p-17, -0x1.8fb0c45388db8p-17, -0x1.8254911c0ebd6p-17, -0x1.7555182a8a7cdp-17, -0x1.68b005ba16eadp-17, -0x1.5c6314e9b322cp-17, -0x1.506c13b19633dp-17, -0x1.44c8e56a204ddp-17, -0x1.3977828f3d26ap-17, -0x1.2e75f583f63a7p-17, -0x1.23c25531fdebbp-17, -0x1.195abf84d62a5p-17, -0x1.0f3d568d1264fp-17, -0x1.056841f777442p-17, -0x1.f7b3667fd97dp-18, -0x1.e51fd10a030f7p-18, -0x1.d31256b5c6f8ap-18, -0x1.c1879bdda850ap-18, -0x1.b07c5580213b1p-18, -0x1.9fed4f8f9c2ep-18, -0x1.8fd772e7e60eep-18, -0x1.8037c407a95efp-18, -0x1.710b5b5626264p-18, -0x1.624f5d9eb335cp-18, -0x1.5400f9ae1097bp-18, -0x1.461d6ac47fdc6p-18, -0x1.38a1fba0413fep-18, -0x1.2b8c06bb7d29ep-18, -0x1.1ed8f3ca759f9p-18, -0x1.128635416570cp-18, -0x1.06914853afd39p-18, -0x1.f5ef6f9491bc9p-19, -0x1.df6e414cce618p-19, -0x1.c99a6a63181fp-19, -0x1.b46f7cb3d6d4p-19, -0x1.9fe9397ffa3fbp-19, -0x1.8c0382b7730a9p-19, -0x1.78ba4cdba243cp-19, -0x1.6609994dcf048p-19, -0x1.53ed6ce464be7p-19, -0x1.4261da897664ap-19, -0x1.31631175d29a4p-19, -0x1.20ed63250cf2p-19, -0x1.10fd3c24cd0aap-19, -0x1.018f1bf3244c4p-19, -0x1.e53f2ff2c9e18p-20, -0x1.c856c8656f332p-20, -0x1.ac5ea505a7bfdp-20, -0x1.91508c7ed0f55p-20, -0x1.7726533275b92p-20, -0x1.5dd9dd1c063f7p-20, -0x1.45653025927cbp-20, -0x1.2dc2834b49258p-20, -0x1.16ec3ea884dap-20, -0x1.00dcf135d6cap-20, -0x1.d71e8eba25999p-21, -0x1.adfc0dcde9b2dp-21, -0x1.86481c789f05ep-21, -0x1.5ff8aaa82f6c6p-21, -0x1.3b03e1078e90dp-21, -0x1.176029d5df95ap-21, -0x1.ea0872553d368p-22, }}, 
      std::vector<double>(700, 0.0), 
      {{0x1.991d21190293cp-4, 0x1.89ae65b035725p-3, 0x1.175cd1ad79988p-2, 0x1.5bdb476b2f56dp-2, 0x1.91ce95c4d8375p-2, 0x1.b9a6287207d9ep-2, 0x1.d46b719da8457p-2, 0x1.e3812847468e8p-2, 0x1.e8730320be1a5p-2, 0x1.e4d3b29a67451p-2, 0x1.da2696983ba64p-2, 0x1.c9d262decc9ap-2, 0x1.b51a3f628a7c1p-2, 0x1.9d1b5a213583dp-2, 0x1.82cd4fd692c6dp-2, 0x1.67043d4024912p-2, 0x1.4a73a7a6ae6f8p-2, 0x1.2db1b5d122c6bp-2, 0x1.113a687f8ebefp-2, 0x1.eae54edc1054ep-3, 0x1.b5561f424e856p-3, 0x1.8244fb820d8dfp-3, 0x1.5210ad1d51fc4p-3, 0x1.24fd25ad7657p-3, 0x1.f66e55c929f5p-4, 0x1.a9af47d1c7fa6p-4, 0x1.63cd2706d547dp-4, 0x1.24bb9120283ddp-4, 0x1.d8ad2ec11a2efp-5, 0x1.74ce3cddf1e0ap-5, 0x1.1d4d9530e31eep-5, 0x1.a30df9ec8eaep-6, 0x1.2189c65240ac2p-6, 0x1.691721f8f1269p-7, 0x1.6a0768e8aba92p-8, 0x1.1d4a0936cc3ep-10, -0x1.389f16d3d2df7p-9, -0x1.4726a47917894p-8, -0x1.bf515c3fec3ecp-8, -0x1.055b50a0e4ec1p-7, -0x1.177d63f03cf99p-7, -0x1.18bbbfc27d484p-7, -0x1.0b9b24a774adep-7, -0x1.e4ed2f36ea8b3p-8, -0x1.9efd2b2345324p-8, -0x1.49720f459e472p-8, -0x1.d007c8e53049dp-9, -0x1.f86269a1e1ae7p-10, -0x1.d8ee3bfde320ep-13, 0x1.8c9137d93b9f1p-10, 0x1.aa4dcd86dab8cp-9, 0x1.4500d41ef6e94p-8, 0x1.b0b1fa5cd693ap-8, 0x1.0b3b0c899619p-7, 0x1.3a6016074b23p-7, 0x1.651b6c7d8652cp-7, 0x1.8ad8197e04879p-7, 0x1.ab172161153cp-7, 0x1.c56db8ed26eep-7, 0x1.d983b2f67ae87p-7, 0x1.e711f3889ea5ep-7, 0x1.ede0fdb824034p-7, 0x1.edc79a2edebc8p-7, 0x1.e6a99bc85cad2p-7, 0x1.d876bc5810e0dp-7, 0x1.c32988ee858a8p-7, 0x1.a6c6591acef9cp-7, 0x1.835a52316db08p-7, 0x1.58fa7ae46ffbp-7, 0x1.27c2e18da611fp-7, 0x1.dfaba860bcabp-8, 0x1.62b64d702e23p-8, 0x1.b1fe0ee658e0cp-9, 0x1.0b9e333f4cd77p-10, -0x1.7c9d0f784988bp-10, -0x1.0cbe86170b8ddp-8, -0x1.c56a58ace278p-8, -0x1.445966b71bcfdp-7, -0x1.ab0e60941ffc8p-7, -0x1.0b4aa80130455p-6, -0x1.4357462fdb0dbp-6, -0x1.7d8cf0b60a414p-6, -0x1.b9cb6dcded925p-6, -0x1.f7f28735f613ep-6, -0x1.1bf11506ca47ep-5, -0x1.3cbd41af1b2c8p-5, -0x1.5e4e0cc7450f5p-5, -0x1.8093f13e58184p-5, -0x1.a37fab83e0bb2p-5, -0x1.c70241f72eb3dp-5, -0x1.eb0d0c4ec0b35p-5, -0x1.07c8dcfe35f2dp-4, -0x1.1a412be0df469p-4, -0x1.2ce8aa383973bp-4, -0x1.3fb8c27504088p-4, -0x1.52ab13b766e2cp-4, -0x1.65b973190a12fp-4, -0x1.78ddeca3ad4fbp-4, -0x1.8c12c3f775938p-4, -0x1.9f5274ab0a99bp-4, -0x1.b297b25d79c34p-4, -0x1.c5dd689c81e86p-4, -0x1.d91eba867191bp-4, -0x1.ec570247f8282p-4, -0x1.ff81d06b99df2p-4, -0x1.094d75839eb29p-3, -0x1.12cf26662f191p-3, -0x1.1c4411fe17188p-3, -0x1.25aa68a2a1235p-3, -0x1.2f007345ba2ffp-3, -0x1.384492d367bc5p-3, -0x1.41753f808d8e5p-3, -0x1.4a9108212672ap-3, -0x1.5396916d9d38dp-3, -0x1.5c84954ccaea1p-3, -0x1.6559e21750b81p-3, -0x1.6e1559dab6fbbp-3, -0x1.76b5f19ce6ce3p-3, -0x1.7f3ab0a084cfdp-3, -0x1.87a2afa8f77d9p-3, -0x1.8fed1841c8064p-3, -0x1.9819240876493p-3, -0x1.a0261bfb4ae76p-3, -0x1.a81357c6d085ap-3, -0x1.afe03d1ea122p-3, -0x1.b78c3f15c10efp-3, -0x1.bf16dd78d5cd8p-3, -0x1.c67fa438d8633p-3, -0x1.cdc62accc2b75p-3, -0x1.d4ea139f61795p-3, -0x1.dbeb0b85cc022p-3, -0x1.e2c8c932569b3p-3, -0x1.e9830cb27d5dfp-3, -0x1.f0199ef424289p-3, -0x1.f68c5147bfceap-3, -0x1.fcdafceed190bp-3, -0x1.0182c15898fb8p-2, -0x1.0485e535d2e5bp-2, -0x1.0776e157db1dap-2, -0x1.0a55b03339e2p-2, -0x1.0d224f37cfa53p-2, -0x1.0fdcbea5c86d1p-2, -0x1.128501670802fp-2, -0x1.151b1ce605f3p-2, -0x1.179f18e7be1dap-2, -0x1.1a10ff6ba73d5p-2, -0x1.1c70dc895b34bp-2, -0x1.1ebebe4fc1122p-2, -0x1.20fab4aac55e7p-2, -0x1.2324d145af914p-2, -0x1.253d27706643cp-2, -0x1.2743cc07e107cp-2, -0x1.2938d5616f7aep-2, -0x1.2b1c5b319ae48p-2, -0x1.2cee767666b8fp-2, -0x1.2eaf41690258dp-2, -0x1.305ed76cabbb4p-2, -0x1.31fd54f8469e4p-2, -0x1.338ad7865a6d1p-2, -0x1.35077d8cd5636p-2, -0x1.3673666fb344dp-2, -0x1.37ceb26d7062fp-2, -0x1.391982913dfbbp-2, -0x1.3a53f8b03324dp-2, -0x1.3b7e375f9cbcap-2, -0x1.3c9861e4d902cp-2, -0x1.3da29c28a41e3p-2, -0x1.3e9d0ab3f9de7p-2, -0x1.3f87d2acc7fd3p-2, -0x1.406319ca70437p-2, -0x1.412f0648c3b3p-2, -0x1.41ebbee291a9cp-2, -0x1.42996ad0f31fp-2, -0x1.433831c65b859p-2, -0x1.43c83be451714p-2, -0x1.4449b1b2c6dafp-2, -0x1.44bcbc1cfd84ep-2, -0x1.4521847049712p-2, -0x1.45783457cc67dp-2, -0x1.45c0f5d4e743ap-2, -0x1.45fbf3392d64dp-2, -0x1.46295720fe627p-2, -0x1.46494c7366605p-2, -0x1.465bfe5f3030ap-2, -0x1.466198566c13fp-2, -0x1.465a4607e6444p-2, -0x1.46463359702a7p-2, -0x1.46258c65727c5p-2, -0x1.45f87d7ac6f9p-2, -0x1.45bf331aea9dcp-2, -0x1.4579d9f42e3a6p-2, -0x1.45289eda16266p-2, -0x1.44cbaec0cfd97p-2, -0x1.446336bd784a3p-2, -0x1.43ef640725219p-2, -0x1.437063f3992f5p-2, -0x1.42e663ef4fae1p-2, -0x1.42519175e9298p-2, -0x1.41b21a0ff0a12p-2, -0x1.41082b54f79c5p-2, -0x1.4053f2ec39c61p-2, -0x1.3f959e879056fp-2, -0x1.3ecd5bdaa485dp-2, -0x1.3dfb589462ff3p-2, -0x1.3d1fc25dde75cp-2, -0x1.3c3ac6dcf0fa4p-2, -0x1.3b4c93b45f2a4p-2, -0x1.3a55567e845acp-2, -0x1.39553cc4d9eaep-2, -0x1.384c73f992c0ap-2, -0x1.373b29767a552p-2, -0x1.36218a7f1a763p-2, -0x1.34ffc441397fap-2, -0x1.33d603d0c6b34p-2, -0x1.32a476203fa57p-2, -0x1.316b47fa29dc7p-2, -0x1.302aa5fe74fdfp-2, -0x1.2ee2bca391344p-2, -0x1.2d93b837a3ecbp-2, -0x1.2c3dc4de8f62cp-2, -0x1.2ae10e8c6c36fp-2, -0x1.297dc0fefb938p-2, -0x1.281407b931714p-2, -0x1.26a40e0245565p-2, -0x1.252dfee6b480cp-2, -0x1.23b2053867b8fp-2, -0x1.22304b8c1e4b2p-2, -0x1.20a8fc3473eap-2, -0x1.1f1c413c6f61bp-2, -0x1.1d8a446463075p-2, -0x1.1bf32f20cbc51p-2, -0x1.1a572a9b0c75cp-2, -0x1.18b65fb15776ap-2, -0x1.1710f6f4aac36p-2, -0x1.156718a506a1cp-2, -0x1.13b8ecad1b85dp-2, -0x1.12069a9f2539fp-2, -0x1.105049b3ace4ep-2, -0x1.0e9620c9a7d25p-2, -0x1.0cd846669328ap-2, -0x1.0b16e0b57cbdp-2, -0x1.09521584a3b4cp-2, -0x1.078a0a423ccefp-2, -0x1.05bee3f973cffp-2, -0x1.03f0c7509cd51p-2, -0x1.021fd888ba80cp-2, -0x1.004c3b7da20b3p-2, -0x1.fcec274bce0dfp-3, -0x1.f93b0823f1c33p-3, -0x1.f5855ed4a0825p-3, -0x1.f1cb6fda12faep-3, -0x1.ee0d7ed77956ep-3, -0x1.ea4bce947051bp-3, -0x1.e686a0fc7fea7p-3, -0x1.e2be371f94c71p-3, -0x1.def2d1327530fp-3, -0x1.db24ae8e23a1fp-3, -0x1.d7540dade7a16p-3, -0x1.d3812c2b9c2f7p-3, -0x1.cfac46bd545bfp-3, -0x1.cbd599313f42cp-3, -0x1.c7fd5e6f0a87cp-3, -0x1.c423d077e2566p-3, -0x1.c0492867d3dd7p-3, -0x1.bc6d9e768fb3fp-3, -0x1.b89169f6f8609p-3, -0x1.b4b4c15561c02p-3, -0x1.b0d7da15207fdp-3, -0x1.acfae8ceb1c35p-3, -0x1.a91e212f50b64p-3, -0x1.a541b5f9e3299p-3, -0x1.a165d9087591p-3, -0x1.9d8abb4d7c125p-3, -0x1.99b08cd47e0aep-3, -0x1.95d77cc1f827dp-3, -0x1.91ffb952af1d8p-3, -0x1.8e296fdb1b001p-3, -0x1.8a54ccc78ed89p-3, -0x1.8681fb9d432abp-3, -0x1.82b126fbb4eb2p-3, -0x1.7ee2789da1f2bp-3, -0x1.7b161959728b9p-3, -0x1.774c312177043p-3, -0x1.7384e7047005ep-3, -0x1.6fc0612ebd2bp-3, -0x1.6bfec4ec31d3ap-3, -0x1.684036aa52a74p-3, -0x1.6484d9fa78b25p-3, -0x1.60ccd1932bf77p-3, -0x1.5d183f5059f87p-3, -0x1.59674432c02dcp-3, -0x1.55ba005f89826p-3, -0x1.521093212cde1p-3, -0x1.4e6b1ae9e6778p-3, -0x1.4ac9b5577071ap-3, -0x1.472c7f36fbb01p-3, -0x1.43939488520b3p-3, -0x1.3fff108076556p-3, -0x1.3c6f0d886ebc3p-3, -0x1.38e3a53e24337p-3, -0x1.355cf072bc3f8p-3, -0x1.31db072b3baeep-3, -0x1.2e5e00a2c9633p-3, -0x1.2ae5f34ea01b8p-3, -0x1.2772f4e2c7ebp-3, -0x1.24051a5669a66p-3, -0x1.209c77e6d6b4bp-3, -0x1.1d39211907b09p-3, -0x1.19db28b9e80ep-3, -0x1.1682a0de22342p-3, -0x1.132f9ae24efdap-3, -0x1.0fe2276c44d9cp-3, -0x1.0c9a566ddf674p-3, -0x1.09583728e4ee6p-3, -0x1.061bd833645c8p-3, -0x1.02e5477b9c80fp-3, -0x1.ff692495c4e0dp-4, -0x1.f9138a8ee064p-4, -0x1.f2c9d8eadcc6ep-4, -0x1.ec8c266f93efap-4, -0x1.e65a88a2a9755p-4, -0x1.e03513cd2d401p-4, -0x1.da1bdb00bdac5p-4, -0x1.d40ef01e027cp-4, -0x1.ce0e63dbc7deep-4, -0x1.c81a45cddf6cbp-4, -0x1.c232a46af2345p-4, -0x1.bc578d1127b93p-4, -0x1.b6890c09a01dap-4, -0x1.b0c72c8ba2a77p-4, -0x1.ab11f8bff1361p-4, -0x1.a56979c4d7f58p-4, -0x1.9fcdb7b2fe947p-4, -0x1.9a3eb9a2d60cdp-4, -0x1.94bc85b273242p-4, -0x1.8f47210b5f128p-4, -0x1.89de8fe8257c4p-4, -0x1.8482d59956906p-4, -0x1.7f33f489e8e2fp-4, -0x1.79f1ee432d54ap-4, -0x1.74bcc370b1e89p-4, -0x1.6f9473e478dfbp-4, -0x1.6a78fe9ac9f79p-4, -0x1.656a61c0082aep-4, -0x1.60689ab5a6cb3p-4, -0x1.5b73a616b12e7p-4, -0x1.568b7fbd4f28ap-4, -0x1.51b022c75010ep-4, -0x1.4ce1899a8619ep-4, -0x1.481fade8fdf37p-4, -0x1.436a88b4ec89ap-4, -0x1.3ec2125523defp-4, -0x1.3a26427901254p-4, -0x1.3597102ccef29p-4, -0x1.311471de8c431p-4, -0x1.2c9e5d623bdaep-4, -0x1.2834c7f675a09p-4, -0x1.23d7a648b8cf5p-4, -0x1.1f86ec795a69cp-4, -0x1.1b428e1f691efp-4, -0x1.170a7e4c89cbbp-4, -0x1.12deaf90e01efp-4, -0x1.0ebf13ff12565p-4, -0x1.0aab9d305c75cp-4, -0x1.06a43c48a8f2ap-4, -0x1.02a8e1fa86308p-4, -0x1.fd72fd15dd8e2p-5, -0x1.f5ac03a9d7912p-5, -0x1.edfcb69a307d9p-5, -0x1.e664f40a3b3d7p-5, -0x1.dee4995e68eap-5, -0x1.d77b834368672p-5, -0x1.d0298db568792p-5, -0x1.c8ee94076b72dp-5, -0x1.c1ca70ea6d25ep-5, -0x1.babcfe7448704p-5, -0x1.b3c616263010dp-5, -0x1.ace590f2d419bp-5, -0x1.a61b4744415dap-5, -0x1.9f671101c3ae5p-5, -0x1.98c8c595ec58p-5, -0x1.92403bf4dc84fp-5, -0x1.8bcd4aa2c9aefp-5, -0x1.856fc7ba712cfp-5, -0x1.7f2788f346712p-5, -0x1.78f463a723abp-5, -0x1.72d62cd772992p-5, -0x1.6cccb931f4f47p-5, -0x1.66d7dd156c7b5p-5, -0x1.60f76c967a3bap-5, -0x1.5b2b3b84de43p-5, -0x1.55731d71267edp-5, -0x1.4fcee5b2893cdp-5, -0x1.4a3e676ca10f8p-5, -0x1.44c17594cc294p-5, -0x1.3f57e2f5fd6ecp-5, -0x1.3a01823564285p-5, -0x1.34be25d522e66p-5, -0x1.2f8da0374feebp-5, -0x1.2a6fc3a1d56f4p-5, -0x1.25646242b48fbp-5, -0x1.206b4e351a353p-5, -0x1.1b845986ff759p-5, -0x1.16af563ebe6d3p-5, -0x1.11ec165ff2f0fp-5, -0x1.0d3a6bef35756p-5, -0x1.089a28f48ca2ap-5, -0x1.040b1f7ccc1e5p-5, -0x1.ff1a43353e7c8p-6, -0x1.f64002cfec7dbp-6, -0x1.ed8722114a754p-6, -0x1.e4ef455d140fp-6, -0x1.dc78113e1d828p-6, -0x1.d4212a72bed5dp-6, -0x1.cbea35f8a39c2p-6, -0x1.c3d2d915d77fcp-6, -0x1.bbdab95daceeep-6, -0x1.b4017cb149d84p-6, -0x1.ac46c93cdcb92p-6, -0x1.a4aa4573c9c8bp-6, -0x1.9d2b980e82935p-6, -0x1.95ca680c647c3p-6, -0x1.8e865cbafd4a4p-6, -0x1.875f1dc2430c2p-6, -0x1.80545333f3d15p-6, -0x1.7965a59aec3ddp-6, -0x1.7292be07185b9p-6, -0x1.6bdb461341ca5p-6, -0x1.653ee7e3af33ep-6, -0x1.5ebd4e1e57ef3p-6, -0x1.585623df73f59p-6, -0x1.520914ae57d71p-6, -0x1.4bd5cc76cdcdcp-6, -0x1.45bbf789ea41ap-6, -0x1.3fbb42a7a7df9p-6, -0x1.39d35b102959ap-6, -0x1.3403ee9904de4p-6, -0x1.2e4cabc21d907p-6, -0x1.28ad41c4bce2ep-6, -0x1.2325609969395p-6, -0x1.1db4b8f2b288bp-6, -0x1.185afc2e51473p-6, -0x1.1317dc403453ap-6, -0x1.0deb0b9d20612p-6, -0x1.08d43d2ab4066p-6, -0x1.03d324399fe26p-6, -0x1.fdcee91908d8dp-7, -0x1.f421c4d5de0d2p-7, -0x1.ea9e45798923bp-7, -0x1.e143d6504aa7ep-7, -0x1.d811e45634383p-7, -0x1.cf07de55559bp-7, -0x1.c62534e7a0e19p-7, -0x1.bd695a5aa9e84p-7, -0x1.b4d3c27b5b635p-7, -0x1.ac63e255859f4p-7, -0x1.a4192ff245b4cp-7, -0x1.9bf3222cc71fap-7, -0x1.93f1309e04622p-7, -0x1.8c12d3aa47883p-7, -0x1.845784b125b8ep-7, -0x1.7cbebe526fb1ap-7, -0x1.7547fcbc99c0fp-7, -0x1.6df2bdf2e079p-7, -0x1.66be81fc187b9p-7, -0x1.5faacaef16ebcp-7, -0x1.58b71cd96e8b4p-7, -0x1.51e2fd84fc841p-7, -0x1.4b2df4296cb9fp-7, -0x1.4497891470afap-7, -0x1.3e1f4562067e6p-7, -0x1.37c4b2cae5449p-7, -0x1.31875b981fae7p-7, -0x1.2b66cabd88a05p-7, -0x1.25628c170d605p-7, -0x1.1f7a2cbe4e466p-7, -0x1.19ad3b67652b8p-7, -0x1.13fb48b2e1748p-7, -0x1.0e63e76325092p-7, -0x1.08e6ac6a2d2e3p-7, -0x1.03832ecca74edp-7, -0x1.fc720ec01aa18p-8, -0x1.f20fa0e1f25f2p-8, -0x1.e7de4ac4356a7p-8, -0x1.dddd44a9a408bp-8, -0x1.d40bc7d1cbc91p-8, -0x1.ca690e3aab627p-8, -0x1.c0f452ad3f74dp-8, -0x1.b7acd11547467p-8, -0x1.ae91c7181c99bp-8, -0x1.a5a274d3eab49p-8, -0x1.9cde1da59fc1dp-8, -0x1.944408cfca956p-8, -0x1.8bd381e0100ecp-8, -0x1.838bd8bd729d5p-8, -0x1.7b6c615d24663p-8, -0x1.737473300471bp-8, -0x1.6ba3686813e81p-8, -0x1.63f89d39a33dfp-8, -0x1.5c736f36f3621p-8, -0x1.55133cd8e8049p-8, -0x1.4dd7653cddd49p-8, -0x1.46bf48184b10ap-8, -0x1.3fca45e230091p-8, -0x1.38f7c0306637dp-8, -0x1.32471a43d8792p-8, -0x1.2bb7b9b51172ap-8, -0x1.254907261aa01p-8, -0x1.1efa6ed668904p-8, -0x1.18cb60f55063ep-8, -0x1.12bb519d0cb8ep-8, -0x1.0cc9b8755b26bp-8, -0x1.06f61014b5d9ap-8, -0x1.013fd54734318p-8, -0x1.f74d0cca7329cp-9, -0x1.ec5345b043097p-9, -0x1.e19155ae94b29p-9, -0x1.d7063ea663977p-9, -0x1.ccb103f813be1p-9, -0x1.c290aaa95d42p-9, -0x1.b8a439a26946p-9, -0x1.aeeaba193fbfp-9, -0x1.a5633849409eep-9, -0x1.9c0cc4747f8d3p-9, -0x1.92e6741bd661ep-9, -0x1.89ef631c2162ap-9, -0x1.8126b453129c4p-9, -0x1.788b91a8b5c57p-9, -0x1.701d2b5451b5p-9, -0x1.67dab691d26d6p-9, -0x1.5fc36c1c91c9p-9, -0x1.57d686da60f5dp-9, -0x1.50134308481c1p-9, -0x1.4878de04b9ccp-9, -0x1.41069691d1dbdp-9, -0x1.39bbad3d58602p-9, -0x1.3297649c2d246p-9, -0x1.2b990130e97a1p-9, -0x1.24bfc916da52fp-9, -0x1.1e0b03bbee6bp-9, -0x1.1779f9fd48b0cp-9, -0x1.110bf6d239114p-9, -0x1.0ac048713e2c2p-9, -0x1.0496419fef4f2p-9, -0x1.fd1a758be892fp-10, -0x1.f14924cc4ba98p-10, -0x1.e5b759a15a8aep-10, -0x1.da63e63c33efap-10, -0x1.cf4da38520f4dp-10, -0x1.c4736e5c807f7p-10, -0x1.b9d425d86454bp-10, -0x1.af6eaafd76ad6p-10, -0x1.a541e1d0c5fbdp-10, -0x1.9b4cb30db7c83p-10, -0x1.918e0d81ce195p-10, -0x1.8804e63f2288ep-10, -0x1.7eb03763cb8cdp-10, -0x1.758efdef544p-10, -0x1.6ca0379b7e57ap-10, -0x1.63e2e1bbd35e4p-10, -0x1.5b55f9b0edebp-10, -0x1.52f87ecde213ep-10, -0x1.4ac9750141663p-10, -0x1.42c7e75dcee2cp-10, -0x1.3af2e9bfb92e7p-10, -0x1.334999192c7cbp-10, -0x1.2bcb1a4fc63cbp-10, -0x1.247698064b59dp-10, -0x1.1d4b400d59262p-10, -0x1.16484162553eep-10, -0x1.0f6ccb729007ep-10, -0x1.08b80ecb58125p-10, -0x1.02293efc29b9ap-10, -0x1.f77f299b243dep-11, -0x1.eaf49fe68146cp-11, -0x1.deb16ee166a38p-11, -0x1.d2b430cafa753p-11, -0x1.c6fb87425b184p-11, -0x1.bb8615e866e1cp-11, -0x1.b0527ec30e24fp-11, -0x1.a55f61d58e0a9p-11, -0x1.9aab5fc86fc79p-11, -0x1.90351e23cdd65p-11, -0x1.85fb4b53a05e5p-11, -0x1.7bfca16677be5p-11, -0x1.7237e73ec30fcp-11, -0x1.68abf0310fp-11, -0x1.5f579a00280f2p-11, -0x1.5639c983dd5bbp-11, -0x1.4d5166ec11fbdp-11, -0x1.449d5ad39452fp-11, -0x1.3c1c8d0177eb6p-11, -0x1.33cde50bd0e27p-11, -0x1.2bb04c95fc8a5p-11, -0x1.23c2b2899f853p-11, -0x1.1c040e5e0ecd3p-11, -0x1.1473620d18127p-11, -0x1.0d0fb9edfff58p-11, -0x1.05d829ebf1b8fp-11, -0x1.fd97926f2b457p-12, -0x1.efd35d19f7d43p-12, -0x1.e261dd77b429fp-12, -0x1.d5413c53a175bp-12, -0x1.c86fa839fd7f1p-12, -0x1.bbeb5b54ee827p-12, -0x1.afb29dcb06a4cp-12, -0x1.a3c3c5aa49dbep-12, -0x1.981d3769b3af5p-12, -0x1.8cbd67f88c6b5p-12, -0x1.81a2de10f37fap-12, -0x1.76cc300ef4b6dp-12, -0x1.6c37fe4b1265ep-12, -0x1.61e4ec7835c63p-12, -0x1.57d19cb45341bp-12, -0x1.4dfcadcb9b2f2p-12, -0x1.4464bce180566p-12, -0x1.3b0869b6c4ff8p-12, -0x1.31e65bcf72464p-12, -0x1.28fd4676bc797p-12, -0x1.204bea4b6dde2p-12, -0x1.17d114262989ap-12, -0x1.0f8b99fe97995p-12, -0x1.077a56c449113p-12, -0x1.ff384cc481d0ep-13, -0x1.efdfc73e137c8p-13, -0x1.e0e8d29203b11p-13, -0x1.d2512c558a7ep-13, -0x1.c416a1039d4bep-13, -0x1.b6370aede5b44p-13, -0x1.a8b04aa9f8669p-13, -0x1.9b80443ac597ap-13, -0x1.8ea4e9cee1f4bp-13, -0x1.821c4dff96cefp-13, -0x1.75e4ad3ed73d8p-13, -0x1.69fc650c77abcp-13, -0x1.5e61ded03bac1p-13, -0x1.53137c039748dp-13, -0x1.480f8e0846fddp-13, -0x1.3d545b46074fp-13, -0x1.32e02b387298fp-13, -0x1.28b14ffa22114p-13, -0x1.1ec627da48c4bp-13, -0x1.151d1955226abp-13, -0x1.0bb490416cf4ap-13, -0x1.028b0057af4c2p-13, -0x1.f33dd6d1060adp-14, -0x1.e1ddcc845e8e8p-14, -0x1.d0f33099edc9fp-14, -0x1.c07b6ad4a525dp-14, -0x1.b073eb5c4c20ap-14, -0x1.a0da21dba4c28p-14, -0x1.91ab82f095c63p-14, -0x1.82e592ae02141p-14, -0x1.7485e03a0a505p-14, -0x1.6689ee1bdadcp-14, -0x1.58ef2360491f5p-14, -0x1.4bb2e69ea561fp-14, -0x1.3ed2d76919976p-14, -0x1.324cef93a47b4p-14, -0x1.261f6979dadd2p-14, -0x1.1a4883d9ca154p-14, -0x1.0ec65736b037p-14, -0x1.0396d9087b4f1p-14, -0x1.f170005d5ce69p-15, -0x1.dc4fcc5a0927p-15, -0x1.c7c9922896157p-15, -0x1.b3d9e2b057551p-15, -0x1.a07d2cb24766p-15, -0x1.8dafad096ad65p-15, -0x1.7b6d85a96e3aap-15, -0x1.69b2e31113d3dp-15, -0x1.587c1c0fbef76p-15, -0x1.47c5c3c6c15a2p-15, -0x1.378cac1ba7e4fp-15, -0x1.27cddb0e3f45p-15, -0x1.188672c772ee4p-15, -0x1.09b39666a5665p-15, -0x1.f6a4c531648d9p-16, -0x1.dac00724e9a93p-16, -0x1.bfb3a7e839c28p-16, -0x1.a57aa837e363p-16, -0x1.8c0fd92580f84p-16, -0x1.736d832d75011p-16, -0x1.5b8dd9b03fde9p-16, -0x1.446be9f020d5cp-16, -0x1.2e03d809c35a5p-16, -0x1.1852046a13102p-16, -0x1.035214e45016cp-16, -0x1.ddfdcb41a8dcp-17, -0x1.b6a6ac0d50968p-17, -0x1.909623a433991p-17, -0x1.6bc5322a8374ep-17, -0x1.482d55224c341p-17, -0x1.25c783f1f6fa3p-17, -0x1.048c06e04dbccp-17, -0x1.c8e5973b5d07fp-18, -0x1.8ae76c5e8ab93p-18, -0x1.4f0d98ef4649p-18, -0x1.15489f24219c6p-18, -0x1.bb134789561a9p-19, }}, 
      {{0x1.55254f7f51355p-3, 0x1.a92da7b29d4a8p-3, 0x1.0856cbd7a0788p-2, 0x1.3cdb7c465a9ddp-2, 0x1.6cc0eb4dd3ad1p-2, 0x1.9510b6e22b757p-2, 0x1.b471469ae7deap-2, 0x1.ca951f9e38cc6p-2, 0x1.d7d6afad6af82p-2, 0x1.dcf3b1cfbc651p-2, 0x1.dadef8bb1d206p-2, 0x1.d2a1a7febf9e8p-2, 0x1.c547072ccfeb2p-2, 0x1.b3cfa29120f29p-2, 0x1.9f297605310ap-2, 0x1.882b91c3dfe8ep-2, 0x1.6f9422a3cd347p-2, 0x1.5608199acb099p-2, 0x1.3c13e7bd30af1p-2, 0x1.222ceb726336cp-2, 0x1.08b347d89d3fp-2, 0x1.dfe7e6d342a0fp-3, 0x1.b055b343485e9p-3, 0x1.8309ecdb72beap-3, 0x1.5844b51499169p-3, 0x1.30301c7cafdcfp-3, 0x1.0ae3990326c7ap-3, 0x1.d0ce4eefa695ep-4, 0x1.916c2e14104acp-4, 0x1.57830179c66afp-4, 0x1.22e4dd6a7a72ep-4, 0x1.e6aee325f4a63p-5, 0x1.912e7210b7527p-5, 0x1.44b45c638c07dp-5, 0x1.00a41fd547fd9p-5, 0x1.88b912eec681p-6, 0x1.1e75a141faa6fp-6, 0x1.827473003e7f4p-7, 0x1.bf24592cd80aap-8, 0x1.476c7210df574p-9, -0x1.48176f4e5d7ccp-10, -0x1.267ea2297edfbp-8, -0x1.dde7dd37ad164p-8, -0x1.3e1b62f9504e7p-7, -0x1.828fec5330753p-7, -0x1.be0ae5502fed8p-7, -0x1.f224cef90a389p-7, -0x1.102ac6bd871b1p-6, -0x1.24fa9ec80fa04p-6, -0x1.381e767b7f7dbp-6, -0x1.4a23f260b7211p-6, -0x1.5b8a5ad541a38p-6, -0x1.6cc36255914a1p-6, -0x1.7e33c4586f1ddp-6, -0x1.903411d57c17cp-6, -0x1.a3115dc9a5839p-6, -0x1.b70e09627f30cp-6, -0x1.cc6276bdad8cp-6, -0x1.e33dc1da50d1fp-6, -0x1.fbc66b2cdaf0ep-6, -0x1.0b0d8247d1078p-5, -0x1.19296c8fb5bfcp-5, -0x1.283f46cb5c4d2p-5, -0x1.38545acad9ef3p-5, -0x1.496b2fe7cfbaep-5, -0x1.5b83cea32241p-5, -0x1.6e9c02d9420c7p-5, -0x1.82af9bf3486e7p-5, -0x1.97b8a97c6c131p-5, -0x1.adafb2fd6397ep-5, -0x1.c48beb2a86bcep-5, -0x1.dc435f59617edp-5, -0x1.f4cb2441a4bd1p-5, -0x1.070bc04b10b01p-4, -0x1.140e0a9e986e7p-4, -0x1.21660148d1d89p-4, -0x1.2f0d050acaf1ep-4, -0x1.3cfc5632fbfe7p-4, -0x1.4b2d21cfae15p-4, -0x1.59988d5d28377p-4, -0x1.6837c13763d4ap-4, -0x1.7703f206ff901p-4, -0x1.85f669491ce7p-4, -0x1.95088cf7a0dc8p-4, -0x1.a433e64584294p-4, -0x1.b372276d1437fp-4, -0x1.c2bd3083ad878p-4, -0x1.d20f136b7c9c6p-4, -0x1.e16216ef2db3dp-4, -0x1.f0b0b92605e28p-4, -0x1.fff5b13e39aedp-4, -0x1.0795f864f4e1cp-3, -0x1.0f27524cb47f8p-3, -0x1.16ac9aa15bb8fp-3, -0x1.1e23a3a73ab5dp-3, -0x1.258a5d8ce891dp-3, -0x1.2cded6384b3c8p-3, -0x1.341f38f06d831p-3, -0x1.3b49cde7f5639p-3, -0x1.425cf9ab5cddap-3, -0x1.49573c777575dp-3, -0x1.5037317aa0c81p-3, -0x1.56fb8e061a5b2p-3, -0x1.5da320b417998p-3, -0x1.642cd082da177p-3, -0x1.6a979bed7805cp-3, -0x1.70e297fd37dp-3, -0x1.770cef5d3bb3cp-3, -0x1.7d15e16c614f8p-3, -0x1.82fcc151dfffdp-3, -0x1.88c0f512f2a37p-3, -0x1.8e61f4af06df2p-3, -0x1.93df493c2e59ap-3, -0x1.99388c099186dp-3, -0x1.9e6d65c7b8e6dp-3, -0x1.a37d8db5ff727p-3, -0x1.a868c8d491a0fp-3, -0x1.ad2ee9208d852p-3, -0x1.b1cfccd0fc2d9p-3, -0x1.b64b5da22d1p-3, -0x1.baa19021a0d5cp-3, -0x1.bed26305e065fp-3, -0x1.c2ddde8c9e80bp-3, -0x1.c6c413dce2035p-3, -0x1.ca851c7736bdep-3, -0x1.ce2119a7a96f8p-3, -0x1.d19833ff4da0dp-3, -0x1.d4ea9ad82a116p-3, -0x1.d81883dd3be1cp-3, -0x1.db222a96eb12cp-3, -0x1.de07d0045fccp-3, -0x1.e0c9ba338a428p-3, -0x1.e36833e1f9f16p-3, -0x1.e5e38c260ac0bp-3, -0x1.e83c16174a80dp-3, -0x1.ea722880360dcp-3, -0x1.ec861d94ae273p-3, -0x1.ee7852aa1c2b2p-3, -0x1.f04927f4bd5ap-3, -0x1.f1f9004d513adp-3, -0x1.f38840f2fa44fp-3, -0x1.f4f75154d4623p-3, -0x1.f6469ae22d15ap-3, -0x1.f77688d7ecff2p-3, -0x1.f88788121576dp-3, -0x1.f97a06e4fdaddp-3, -0x1.fa4e74f4183fap-3, -0x1.fb05430bb7c8bp-3, -0x1.fb9ee2ff5c91dp-3, -0x1.fc1bc78be7b6dp-3, -0x1.fc7c64320fa85p-3, -0x1.fcc12d1ef13c9p-3, -0x1.fcea9713a60fap-3, -0x1.fcf917460f05bp-3, -0x1.fced234728bb2p-3, -0x1.fcc730f490d87p-3, -0x1.fc87b6649bdadp-3, -0x1.fc2f29c931fdfp-3, -0x1.fbbe015c5bc43p-3, -0x1.fb34b35936c3bp-3, -0x1.fa93b5ec9646fp-3, -0x1.f9db7f19d91cp-3, -0x1.f90c84ab315e2p-3, -0x1.f8273c2bf2111p-3, -0x1.f72c1ae22242ep-3, -0x1.f61b95b6e5a5fp-3, -0x1.f4f62123a0642p-3, -0x1.f3bc312ed78e2p-3, -0x1.f26e396a41e34p-3, -0x1.f10cace3a604ap-3, -0x1.ef97fe112c0e5p-3, -0x1.ee109ec8ba40fp-3, -0x1.ec7700404c167p-3, -0x1.eacb9308cbb93p-3, -0x1.e90ec6ff65347p-3, -0x1.e7410b3f8d155p-3, -0x1.e562ce1e041a7p-3, -0x1.e3747d286da6cp-3, -0x1.e176852065089p-3, -0x1.df6951f0f73b6p-3, -0x1.dd4d4ea21af8dp-3, -0x1.db22e556787dcp-3, -0x1.d8ea7f46d3439p-3, -0x1.d6a484c1a5b97p-3, -0x1.d4515d245ff46p-3, -0x1.d1f16ed1fbcbfp-3, -0x1.cf851f2b48c48p-3, -0x1.cd0cd28c8ee3bp-3, -0x1.ca88ec4e8338p-3, -0x1.c7f9cec4afb5ep-3, -0x1.c55fdb362fb89p-3, -0x1.c2bb71d423938p-3, -0x1.c00cf1b4ac575p-3, -0x1.bd54b8d4b99d3p-3, -0x1.ba93241b131a2p-3, -0x1.b7c88f55a620cp-3, -0x1.b4f55530a1334p-3, -0x1.b219cf2e0e3fcp-3, -0x1.af3655a496d89p-3, -0x1.ac4b3fc47352ap-3, -0x1.a958e39aa59aep-3, -0x1.a65f960d33665p-3, -0x1.a35faad2462a8p-3, -0x1.a05974697299p-3, -0x1.9d4d441d858a5p-3, -0x1.9a3b6a0a4d406p-3, -0x1.9724352012b01p-3, -0x1.9407f320300cep-3, -0x1.90e6f0958286cp-3, -0x1.8dc178cf725f6p-3, -0x1.8a97d5e3a814ep-3, -0x1.876a50b424cfp-3, -0x1.843930f39db75p-3, -0x1.8104bd2416da4p-3, -0x1.7dcd3a919f975p-3, -0x1.7a92ed4db1cb9p-3, -0x1.7756182fde38fp-3, -0x1.7416fcdaeea95p-3, -0x1.70d5dbc2573b5p-3, -0x1.6d92f42bf539fp-3, -0x1.6a4e842d96ac2p-3, -0x1.6708c8a947defp-3, -0x1.63c1fd4c3c8fcp-3, -0x1.607a5c91d194ap-3, -0x1.5d321fc8f0f79p-3, -0x1.59e97f187a80bp-3, -0x1.56a0b18084c4cp-3, -0x1.5357ecd8ed78p-3, -0x1.500f65cff6f27p-3, -0x1.4cc74fea08db3p-3, -0x1.497fdd85d334fp-3, -0x1.46393fe0d5b16p-3, -0x1.42f3a71baf99bp-3, -0x1.3faf423c30744p-3, -0x1.3c6c3f2d831dfp-3, -0x1.392acabfed946p-3, -0x1.35eb10a9c49cap-3, -0x1.32ad3b8a68247p-3, -0x1.2f7174ee9953dp-3, -0x1.2c37e554c1a99p-3, -0x1.2900b4301a77p-3, -0x1.25cc07ea72c06p-3, -0x1.229a05e5290c8p-3, -0x1.1f6ad27a5d7edp-3, -0x1.1c3e90ff47191p-3, -0x1.191563c7c6863p-3, -0x1.15ef6c2a8a085p-3, -0x1.12ccca84fbbeap-3, -0x1.0fad9e3e6bc44p-3, -0x1.0c9205ca5e67cp-3, -0x1.097a1eaa43184p-3, -0x1.0666056f3f8d3p-3, -0x1.0355d5bccfcbcp-3, -0x1.0049aa4c41329p-3, -0x1.fa8339e190a86p-4, -0x1.f47b8d3724d95p-4, -0x1.ee7c7ebed0032p-4, -0x1.e8863ce6fa917p-4, -0x1.e298f46bc55bap-4, -0x1.dcb4d057ec953p-4, -0x1.d6d9fa0e8d69dp-4, -0x1.d108994d00fa7p-4, -0x1.cb40d43522658p-4, -0x1.c582cf554e81dp-4, -0x1.bfceadb05586bp-4, -0x1.ba2490c3eef41p-4, -0x1.b484988da52c2p-4, -0x1.aeeee38edc5a5p-4, -0x1.a9638ed15f0d8p-4, -0x1.a3e2b5ed715e6p-4, -0x1.9e6c731119b4ep-4, -0x1.9900df07e1013p-4, -0x1.93a011420a16fp-4, -0x1.8e4a1fdaed7adp-4, -0x1.88ff1f9e86a9p-4, -0x1.83bf240eb7fe7p-4, -0x1.7e8a3f68f77c7p-4, -0x1.796082acd2dfbp-4, -0x1.7441fda2fd771p-4, -0x1.6f2ebee3f4996p-4, -0x1.6a26d3dd7b26ap-4, -0x1.652a48d701e4fp-4, -0x1.603928f5e35b1p-4, -0x1.5b537e4297e55p-4, -0x1.567951af8ae63p-4, -0x1.51aaab2141bc9p-4, -0x1.4ce79176f26f9p-4, -0x1.48300a921b712p-4, -0x1.43841b5bf355fp-4, -0x1.3ee3c7c8731c9p-4, -0x1.3a4f12d7f6effp-4, -0x1.35c5fe996009cp-4, -0x1.31488c2e7ce27p-4, -0x1.2cd6bbd35c58p-4, -0x1.28708ce7c71d1p-4, -0x1.2415fdf90fe31p-4, -0x1.1fc70ccad3e48p-4, -0x1.1b83b65a4eb58p-4, -0x1.174bf6e4fb07dp-4, -0x1.131fc9e4d35d9p-4, -0x1.0eff2a135465fp-4, -0x1.0aea116b7cebcp-4, -0x1.06e0792f78d6ap-4, -0x1.02e259f0d7c9p-4, -0x1.fddf5733d09aap-5, -0x1.f610caec9ec5fp-5, -0x1.ee58fc72d5f7fp-5, -0x1.e6b7d80424565p-5, -0x1.df2d48b872229p-5, -0x1.d7b938837fd8bp-5, -0x1.d05b9037c3c74p-5, -0x1.c914378cbe4cfp-5, -0x1.c1e315297e815p-5, -0x1.bac80eb24f67cp-5, -0x1.b3c308d761c0dp-5, -0x1.acd3e7620b1cbp-5, -0x1.a5fa8d3ef233dp-5, -0x1.9f36dc84e4f9p-5, -0x1.9888b6793992ep-5, -0x1.91effb935f649p-5, -0x1.8b6c8b81270c1p-5, -0x1.84fe452ccc088p-5, -0x1.7ea506c5271f7p-5, -0x1.7860adc77452ep-5, -0x1.72311709cadf8p-5, -0x1.6c161ec504f9bp-5, -0x1.660fa09d415cfp-5, -0x1.601d77a8a333ap-5, -0x1.5a3f7e749f267p-5, -0x1.54758f0a8ce3bp-5, -0x1.4ebf82f457f75p-5, -0x1.491d3341d70e5p-5, -0x1.438e788f143dfp-5, -0x1.3e132b0b47535p-5, -0x1.38ab2280438a6p-5, -0x1.33563659c161cp-5, -0x1.2e143dac31283p-5, -0x1.28e50f3abfb59p-5, -0x1.23c8817c907bp-5, -0x1.1ebe6aa15fed5p-5, -0x1.19c6a095ec3c5p-5, -0x1.14e0f90800182p-5, -0x1.100d496d3f43bp-5, -0x1.0b4b67060a82p-5, -0x1.069b26e3714f6p-5, -0x1.01fc5dee75062p-5, -0x1.faddc1d73ad7dp-6, -0x1.f1e50900771aap-6, -0x1.e90e3a6d6bea3p-6, -0x1.e058ff05262f6p-6, -0x1.d7c4ff888332fp-6, -0x1.cf51e499fe622p-6, -0x1.c6ff56c56456p-6, -0x1.beccfe87e9132p-6, -0x1.b6ba84589dfc9p-6, -0x1.aec790b085433p-6, -0x1.a6f3cc12762edp-6, -0x1.9f3edf126c393p-6, -0x1.97a8725c1e7f2p-6, -0x1.90302eb92cf04p-6, -0x1.88d5bd17277eap-6, -0x1.8198c68d90618p-6, -0x1.7a78f46415ef9p-6, -0x1.7375f018e519dp-6, -0x1.6c8f6366e291ep-6, -0x1.65c4f84bad0cap-6, -0x1.5f16590d27304p-6, -0x1.5883303e87c58p-6, -0x1.520b28c50e6e4p-6, -0x1.4badeddc8a9ebp-6, -0x1.456b2b1bcaa96p-6, -0x1.3f428c792a763p-6, -0x1.3933be4f4bbd3p-6, -0x1.333e6d61c3b45p-6, -0x1.2d6246e1a2bbfp-6, -0x1.279ef871a4caep-6, -0x1.21f43029ea391p-6, -0x1.1c619c9b3ff36p-6, -0x1.16e6ecd227a6dp-6, -0x1.1183d059b71a9p-6, -0x1.0c37f73ea8ccep-6, -0x1.07031212a0a21p-6, -0x1.01e4d1efa121ap-6, -0x1.f9b9d0f6eae25p-7, -0x1.efd60fd59795ep-7, -0x1.e61dc607a99e7p-7, -0x1.dc905a40a5281p-7, -0x1.d32d345e8d32ap-7, -0x1.c9f3bd6cc3a02p-7, -0x1.c0e35fa75168dp-7, -0x1.b7fb867ec3fd5p-7, -0x1.af3b9e9d0c365p-7, -0x1.a6a315ea8e854p-7, -0x1.9e315b9342a0fp-7, -0x1.95e5e009c4d64p-7, -0x1.8dc0150d77412p-7, -0x1.85bf6da68844ap-7, -0x1.7de35e28c8bf2p-7, -0x1.762b5c3499e32p-7, -0x1.6e96deb5bea1bp-7, -0x1.67255de5e1a6p-7, -0x1.5fd6534ff9af9p-7, -0x1.58a939d4c05bcp-7, -0x1.519d8daf31618p-7, -0x1.4ab2cc77e7e17p-7, -0x1.43e8752666bd4p-7, -0x1.3d3e081027a62p-7, -0x1.36b306e581368p-7, -0x1.3046f4ae0193p-7, -0x1.29f955c52b47ap-7, -0x1.23c9afd96a4d1p-7, -0x1.1db789ed95ef9p-7, -0x1.17c26c5d0d869p-7, -0x1.11e9e0e11e133p-7, -0x1.0c2d72962625ap-7, -0x1.068cadfe73633p-7, -0x1.01072101a6966p-7, -0x1.f738b5d0b6062p-8, -0x1.ec97d8a9a355cp-8, -0x1.e22ace75229c4p-8, -0x1.d7f0bdaea9a38p-8, -0x1.cde8cf5e6b7cbp-8, -0x1.c4122f1ae7123p-8, -0x1.ba6c0b12dfd97p-8, -0x1.b0f5941d2cdf9p-8, -0x1.a7adfdc8cd5b4p-8, -0x1.9e947e67f4efap-8, -0x1.95a84f113b627p-8, -0x1.8ce8ab9502108p-8, -0x1.8454d26851b2cp-8, -0x1.7bec0489550cep-8, -0x1.73ad8563fabb3p-8, -0x1.6b989abda0724p-8, -0x1.63ac8cac90f0dp-8, -0x1.5be8a59dc1dcdp-8, -0x1.544c32672b0cp-8, -0x1.4cd68260f1c24p-8, -0x1.4586e77e8865cp-8, -0x1.3e5cb65f14b1ep-8, -0x1.3757464f9e718p-8, -0x1.3075f13be3247p-8, -0x1.29b8138ffcb96p-8, -0x1.231d0c1034bdcp-8, -0x1.1ca43bafe72cp-8, -0x1.164d05705579cp-8, -0x1.1016ce4f2eccdp-8, -0x1.0a00fd4898fep-8, -0x1.040afb6bf5a8bp-8, -0x1.fc6867fc0f4fdp-9, -0x1.f0f8293e85999p-9, -0x1.e5c41ad87362cp-9, -0x1.dacb221caa88dp-9, -0x1.d00c296f20c31p-9, -0x1.c586200ed5f13p-9, -0x1.bb37f9bb8b11dp-9, -0x1.b120ae44dc68dp-9, -0x1.a73f392b7d2b5p-9, -0x1.9d92993c171e4p-9, -0x1.9419d06d57346p-9, -0x1.8ad3e3eccda08p-9, -0x1.81bfdc4e2b1ffp-9, -0x1.78dcc5e652fcfp-9, -0x1.7029b13189171p-9, -0x1.67a5b32e7ae3ap-9, -0x1.5f4fe597d5664p-9, -0x1.572766ec7aaedp-9, -0x1.4f2b5a416049p-9, -0x1.475ae6e401a7ep-9, -0x1.3fb537dec9cc3p-9, -0x1.38397b72fb248p-9, -0x1.30e6e2a5ef21ep-9, -0x1.29bca0f089ed3p-9, -0x1.22b9ec227944ap-9, -0x1.1bddfc7c797bbp-9, -0x1.15280cfbea126p-9, -0x1.0e975bc8c1c4bp-9, -0x1.082b2aad623f1p-9, -0x1.01e2bf7fdda92p-9, -0x1.f77ac8c6e8d78p-10, -0x1.eb74cfa6be0d2p-10, -0x1.dfb238e58455dp-10, -0x1.d431b152fdc0ep-10, -0x1.c8f1ec416f7c1p-10, -0x1.bdf1a26b20c56p-10, -0x1.b32f90f35fbefp-10, -0x1.a8aa78a7ebbp-10, -0x1.9e611d9d323aep-10, -0x1.9452473050c69p-10, -0x1.8a7cc06ec154fp-10, -0x1.80df58d21d6e4p-10, -0x1.7778e53149f9ep-10, -0x1.6e4840b9a43aap-10, -0x1.654c4dbe9186ep-10, -0x1.5c83f631a25e1p-10, -0x1.53ee2ba744ddfp-10, -0x1.4b89e6e51d42p-10, -0x1.43562712786afp-10, -0x1.3b51f0b4c244p-10, -0x1.337c4ca72b4bdp-10, -0x1.2bd44736d5d67p-10, -0x1.2458ef7c134e6p-10, -0x1.1d0956facf05cp-10, -0x1.15e4918a17f5p-10, -0x1.0ee9b5818f468p-10, -0x1.0817dc28b57cep-10, -0x1.016e2260541d1p-10, -0x1.f5d752e72c3adp-11, -0x1.e91f2fdc2c042p-11, -0x1.dcb23496df93cp-11, -0x1.d08ec6a726bdbp-11, -0x1.c4b3581280eeap-11, -0x1.b91e6652eb6e7p-11, -0x1.adce78b224299p-11, -0x1.a2c21e637f5d4p-11, -0x1.97f7ecc6ed17fp-11, -0x1.8d6e7e20e8bebp-11, -0x1.832470e392411p-11, -0x1.7918676ee6124p-11, -0x1.6f4908190eaffp-11, -0x1.65b4fd583a6bbp-11, -0x1.5c5af60733a05p-11, -0x1.5339a5de972c7p-11, -0x1.4a4fc639dba2cp-11, -0x1.419c17597dbcap-11, -0x1.391d61a8461b5p-11, -0x1.30d276e62cfd6p-11, -0x1.28ba331248dbep-11, -0x1.20d37c3870294p-11, -0x1.191d418bd5c17p-11, -0x1.119679cd38e28p-11, -0x1.0a3e216c084aap-11, -0x1.031338e228829p-11, -0x1.f8298754b6e43p-12, -0x1.ea838fe7b5a32p-12, -0x1.dd329dcfbe945p-12, -0x1.d034ca424f6f7p-12, -0x1.c38835e7978ffp-12, -0x1.b72b08a66c0e1p-12, -0x1.ab1b70e26cc85p-12, -0x1.9f57a2d06cb9cp-12, -0x1.93ddd8a1c1d76p-12, -0x1.88ac53eb123a1p-12, -0x1.7dc1601b45b8dp-12, -0x1.731b555351a04p-12, -0x1.68b89ab5665cdp-12, -0x1.5e97a75b70d14p-12, -0x1.54b7018f0da81p-12, -0x1.4b153c67ba594p-12, -0x1.41b0f47fa2bc5p-12, -0x1.3888ccc6899c4p-12, -0x1.2f9b6c6f03109p-12, -0x1.26e77e85da157p-12, -0x1.1e6bb30da9469p-12, -0x1.1626c0d82743ep-12, -0x1.0e176702cc6ep-12, -0x1.063c6d314f911p-12, -0x1.fd294475ad3cap-13, -0x1.ee3db3951f933p-13, -0x1.dfb3d3fb05453p-13, -0x1.d189542ef75fbp-13, -0x1.c3bbe5d411025p-13, -0x1.b64941952f5b9p-13, -0x1.a92f2cbaee8e6p-13, -0x1.9c6b7e7fcaeacp-13, -0x1.8ffc23802bb31p-13, -0x1.83df1e4afce5ap-13, -0x1.781284e498fa8p-13, -0x1.6c947bfe38868p-13, -0x1.616331713af7cp-13, -0x1.567cd7e963cfbp-13, -0x1.4bdfa5393f70ep-13, -0x1.4189d3baf1e9ap-13, -0x1.3779a623a3751p-13, -0x1.2dad6c13cba1ap-13, -0x1.2423858d63722p-13, -0x1.1ada63b6b7213p-13, -0x1.11d0864fabc7ep-13, -0x1.0904769f8e894p-13, -0x1.0074c1d5af267p-13, -0x1.f03fea6d64e26p-14, -0x1.e0093b2773643p-14, -0x1.d04293cfc117dp-14, -0x1.c0e91f2c59f6ap-14, -0x1.b1fa1ce5d08e9p-14, -0x1.a372e7025fb5ep-14, -0x1.9550f4315389p-14, -0x1.8791d6e9cffe5p-14, -0x1.7a33393e6aceap-14, -0x1.6d32d60e0d30dp-14, -0x1.608e7178da18fp-14, -0x1.5443d2fe498d3p-14, -0x1.4850c2fcee0c3p-14, -0x1.3cb30befe8e82p-14, -0x1.31687ed1ca36ap-14, -0x1.266ef96035d34p-14, -0x1.1bc46c24aa9e6p-14, -0x1.1166df1ceb5a8p-14, -0x1.0754701d52262p-14, -0x1.fb169b1b6253p-15, -0x1.e8135d5975e6p-15, -0x1.d59b97069e1bdp-15, -0x1.c3abb461e2954p-15, -0x1.b240238a0707ep-15, -0x1.a155611327e9ap-15, -0x1.90e8033cd08b3p-15, -0x1.80f4be5992895p-15, -0x1.71786469bcf49p-15, -0x1.626fe5c0aa4d3p-15, -0x1.53d854a3b3dc4p-15, -0x1.45aee79a8ee8ap-15, -0x1.37f0f53ed0b54p-15, -0x1.2a9be9832a9a7p-15, -0x1.1dad392a2e726p-15, -0x1.11225879524a8p-15, -0x1.04f8b80129c0cp-15, -0x1.f25b8f7441fep-16, -0x1.db7dfe1491236p-16, -0x1.c553cc8050945p-16, -0x1.afd83b9048b9p-16, -0x1.9b06c15a115bp-16, -0x1.86db0463b9e89p-16, -0x1.7350cfc6cbb88p-16, -0x1.606403edfda21p-16, -0x1.4e1088443ae0dp-16, -0x1.3c5243bac53c2p-16, -0x1.2b25212d2a34fp-16, -0x1.1a851da6f5812p-16, -0x1.0a6e54ce3a619p-16, -0x1.f5b9fdb04c1bp-17, -0x1.d79ac55a0aa72p-17, -0x1.ba77a0b9afb13p-17, -0x1.9e4967c8ba3c3p-17, -0x1.83096adae9897p-17, -0x1.68b193f4ad9c8p-17, -0x1.4f3c472e0f4b6p-17, -0x1.36a4170f74cafp-17, -0x1.1ee37db363d3dp-17, -0x1.07f4bfc8b6286p-17, -0x1.e3a3fe6e4507dp-18, -0x1.b8eacd58cfd8cp-18, -0x1.8fb298264fc3ep-18, -0x1.67f06c8174968p-18, -0x1.41999bdf8d6c6p-18, -0x1.1ca3a4edc211bp-18, -0x1.f208856e3edcep-19, -0x1.ad632cfda200ep-19, -0x1.6b4492f50fcfcp-19, -0x1.2b9b156fbdefcp-19, -0x1.dcab96b9d9e62p-20, -0x1.66c8275c2457bp-20, -0x1.ead55e32e187ep-21, -0x1.10e4b43c92acep-21, -0x1.fbf3973abda25p-24, 0x1.1337dcf4a000cp-22, 0x1.4aaa1c5bd366p-21, 0x1.01f73ada80dadp-20, 0x1.5ad59ea9396f8p-20, 0x1.b00e4f67494b1p-20, 0x1.00dd4e1c0d192p-19, 0x1.27f83345f9cafp-19, 0x1.4d62a39ae9a67p-19, 0x1.712865293bb45p-19, 0x1.935623a565194p-19, 0x1.b3f87dafc293dp-19, 0x1.d31b2647a6101p-19, 0x1.f0c8d66353c6fp-19, 0x1.0685fcaf76bf5p-18, 0x1.13f7b12e28c96p-18, 0x1.20bf40254839p-18, 0x1.2ce289423df46p-18, 0x1.3867573b6cfedp-18, 0x1.43532ca1dac03p-18, 0x1.4dab2a357a1fcp-18, 0x1.577402f4cb51dp-18, 0x1.60b2167471691p-18, 0x1.696998944b3bp-18, 0x1.719eb16187301p-18, 0x1.7955926448274p-18, 0x1.8092528ebbc1bp-18, 0x1.8758bee17c6e1p-18, 0x1.8dac67fa74c9ap-18, 0x1.939101704d53dp-18, 0x1.990aa6a988977p-18, 0x1.9e1d81bfd0c9p-18, 0x1.a2cd12dc32716p-18, 0x1.a71c00f8b85b6p-18, 0x1.ab0cc28320309p-18, 0x1.aea25bff3c671p-18, 0x1.b1e06bf76fd5dp-18, 0x1.b4ca8d40c5386p-18, 0x1.b763bc449ee8fp-18, 0x1.b9ae51489861fp-18, 0x1.bbac74079a6cfp-18, 0x1.bd607f85b0911p-18, 0x1.becd11347def5p-18, 0x1.bff4e78fd6eccp-18, 0x1.c0dac25f53e98p-18, 0x1.c18151f8e5e4fp-18, 0x1.c1eb2e2811726p-18, 0x1.c21acec011b3p-18, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.40fc4e130e87cp-4, -0x1.404a9e2d3c36p-4, -0x1.3f1d1ca1bd3f8p-4, -0x1.3d6c4137ca049p-4, -0x1.3b2e535b31313p-4, -0x1.3857ffc79546fp-4, -0x1.34dcefbc3658ap-4, -0x1.30b058b2e1cd3p-4, -0x1.2bc57da6569ap-4, -0x1.26101d95a4053p-4, -0x1.1f84cd92b4bc1p-4, -0x1.18193ec931e5fp-4, -0x1.0fc4725031e95p-4, -0x1.067edd4ad9b4ap-4, -0x1.f88500036997ap-5, -0x1.e215e4d4200adp-5, -0x1.c9aad05daf954p-5, -0x1.af415bc3436e2p-5, -0x1.92da412f4c98cp-5, -0x1.747941d0b3909p-5, -0x1.54250419285acp-5, -0x1.31e6eb7752d54p-5, -0x1.0dcaeaa520e62p-5, -0x1.cfbea32a8ff83p-6, -0x1.80693012d39bcp-6, -0x1.2dba4bb653dedp-6, -0x1.afb46803b4d96p-7, -0x1.fbd08a77a67fep-8, -0x1.19aede5facbd5p-9, 0x1.d985fd6624546p-9, 0x1.381c3811683d7p-7, 0x1.fe5eaca04dc21p-7, 0x1.6460996e6a95cp-6, 0x1.cb6d73f01430fp-6, 0x1.1a1093030131bp-5, 0x1.4f2373d52bb0cp-5, 0x1.84d5137e451c5p-5, 0x1.bb0b5f8c5e2cp-5, 0x1.f1ac93e9e9c3ep-5, 0x1.144fa7b862e5bp-4, 0x1.2fe552bf17cbfp-4, 0x1.4b8b166c6245ap-4, 0x1.6735061d84593p-4, 0x1.82d78269ce3aap-4, 0x1.9e673d840462p-4, 0x1.b9d93ee0a91a1p-4, 0x1.d522e6413bcbfp-4, 0x1.f039ee404c8c4p-4, 0x1.058a373b3787bp-3, 0x1.12d46ea5def24p-3, 0x1.1ff708c2c7bc9p-3, 0x1.2ceda1ce4b478p-3, 0x1.39b40771f480bp-3, 0x1.46463943667fp-3, 0x1.52a0693024183p-3, 0x1.5ebefbd6dcec6p-3, 0x1.6a9e88cded394p-3, 0x1.763bdad629fe9p-3, 0x1.8193eff8b31f8p-3, 0x1.8ca3f98e2b71ap-3, 0x1.97695c2dbb11fp-3, 0x1.a1e1af822a59ep-3, 0x1.ac0abe039a584p-3, 0x1.b5e2849489081p-3, 0x1.bf6732012cbe1p-3, 0x1.c897266069af3p-3, 0x1.d170f2561cf2fp-3, 0x1.d9f35636c24aap-3, 0x1.e21d410ce7e5bp-3, 0x1.e9edcf813b561p-3, 0x1.f1644aa6484afp-3, 0x1.f88026a96b396p-3, 0x1.ff41016aa6f47p-3, 0x1.02d3507eb2165p-2, 0x1.05d8790a23d14p-2, 0x1.08b0032d3f6d6p-2, 0x1.0b5a095e80f6ap-2, 0x1.0dd6b6d335aadp-2, 0x1.10264697feefdp-2, 0x1.124902a549fcfp-2, 0x1.143f42f10ae8ep-2, 0x1.16096c7f0d50bp-2, 0x1.17a7f0711f9d7p-2, 0x1.191b4b1850b99p-2, 0x1.1a640308701e2p-2, 0x1.1b82a82ee8d06p-2, 0x1.1c77d2edf979ep-2, 0x1.1d44233d46eefp-2, 0x1.1de83fd0a0a5p-2, 0x1.1e64d545c0154p-2, 0x1.1eba9559b52c6p-2, 0x1.1eea362699439p-2, 0x1.1ef4716a12bcfp-2, 0x1.1eda03d50c383p-2, 0x1.1e9bac650253ap-2, 0x1.1e3a2bc724abap-2, 0x1.1db643c57bcacp-2, 0x1.1d10b6be2f4f8p-2, 0x1.1c4a4724f5f3fp-2, 0x1.1b63b70ea9503p-2, 0x1.1a5dc7c6e596cp-2, 0x1.1939396f8f076p-2, 0x1.17f6caaa10ae4p-2, 0x1.1697384a0cbd9p-2, 0x1.151b3d1141609p-2, 0x1.1383917443e97p-2, 0x1.11d0eb67c562dp-2, 0x1.1003fe35f4541p-2, 0x1.0e1d7a5b9d999p-2, 0x1.0c1e0d6c9f3fp-2, 0x1.0a0661ff38cf2p-2, 0x1.07d71f9dd7063p-2, 0x1.0590eabed5321p-2, 0x1.033464c1d3f0ap-2, 0x1.00c22bf2238d3p-2, 0x1.fc75b71baf1d7p-3, 0x1.f73e17a224de2p-3, 0x1.f1dea40a2d62p-3, 0x1.ec58812568716p-3, 0x1.e6acce2f51918p-3, 0x1.e0dca4fd18941p-3, 0x1.dae91a31d1f9dp-3, 0x1.d4d33d76420aep-3, 0x1.ce9c19b38d727p-3, 0x1.c844b55029febp-3, 0x1.c1ce126e72129p-3, 0x1.bb392f2c356b6p-3, 0x1.b48705e2d15c9p-3, 0x1.adb88d673bd8dp-3, 0x1.a6ceb9498d2ebp-3, 0x1.9fca7a139d274p-3, 0x1.98acbd864f411p-3, 0x1.91766ed524794p-3, 0x1.8a2876dfd6d37p-3, 0x1.82c3bc699f9fcp-3, 0x1.7b49244df57bdp-3, 0x1.73b991b28399ep-3, 0x1.6c15e63630162p-3, 0x1.645f021cfe556p-3, 0x1.5c95c478bd97fp-3, 0x1.54bb0b4e5603cp-3, 0x1.4ccfb3b7b5e73p-3, 0x1.44d49a02406c9p-3, 0x1.3cca99c9c1417p-3, 0x1.34b28e0fe3712p-3, 0x1.2c8d51502c521p-3, 0x1.245bbd9081904p-3, 0x1.1c1eac6e4becap-3, 0x1.13d6f72844c36p-3, 0x1.0b8576a50294ep-3, 0x1.032b03765c514p-3, 0x1.f590ebb37b93bp-4, 0x1.e4bd4b6b19e4ep-4, 0x1.d3dcd5276a1f5p-4, 0x1.c2f1373315ac7p-4, 0x1.b1fc1efa32a0cp-4, 0x1.a0ff38f00fd57p-4, 0x1.8ffc3070705b9p-4, 0x1.7ef4af9c8c502p-4, 0x1.6dea5f341a9dfp-4, 0x1.5cdee66ab81f6p-4, 0x1.4bd3eab9f4c7ap-4, 0x1.3acb0fb05d06fp-4, 0x1.29c5f6bdc2f77p-4, 0x1.18c63efd1ca62p-4, 0x1.07cd84fc3c126p-4, 0x1.edbac5036c15ap-5, 0x1.cbeedca26930cp-5, 0x1.aa3a77dd1000cp-5, 0x1.88a0b6bf661edp-5, 0x1.6724b1dc79d45p-5, 0x1.45c979d006ffdp-5, 0x1.249216bfa6767p-5, 0x1.038187dbf81e3p-5, 0x1.c53585c498176p-6, 0x1.83c1673e366eap-6, 0x1.42ac76e3a284fp-6, 0x1.01fc61a49458fp-6, 0x1.836d7b6144117p-7, 0x1.03c2131631ab6p-7, 0x1.0a02ac90c37c4p-8, 0x1.cd777c36becffp-13, -0x1.d657c64c266bep-9, -0x1.e2afd44f9e67ep-8, -0x1.6c06158a7b29bp-7, -0x1.e596b6d7677e9p-7, -0x1.2f0026001d00ep-6, -0x1.6a9cc7981b181p-6, -0x1.a59cbc0f407d4p-6, -0x1.dffb9ea6c8d96p-6, -0x1.0cda954ddf457p-5, -0x1.29629dd9af099p-5, -0x1.4593e75eb8e1bp-5, -0x1.616c810647373p-5, -0x1.7cea8af21295p-5, -0x1.980c366e2487p-5, -0x1.b2cfc61d8a43p-5, -0x1.cd338e21e5e3bp-5, -0x1.e735f43dcdaacp-5, -0x1.006ab7f904094p-4, -0x1.0d08454ad6bcep-4, -0x1.1972efb4956bdp-4, -0x1.25aa0dd224ad6p-4, -0x1.31acff3f9c6b2p-4, -0x1.3d7b2c9b5cbf2p-4, -0x1.49140785b9dcdp-4, -0x1.54770a9e4dcb3p-4, -0x1.5fa3b97ef619fp-4, -0x1.6a99a0b490bcbp-4, -0x1.755855b585c66p-4, -0x1.7fdf76d623ffep-4, -0x1.8a2eab3aec51cp-4, -0x1.9445a2c8d447p-4, -0x1.9e2416138b9e7p-4, -0x1.a7c9c649e8ce2p-4, -0x1.b1367d206e393p-4, -0x1.ba6a0cba238e5p-4, -0x1.c3644f8fa3a42p-4, -0x1.cc252854a0718p-4, -0x1.d4ac81dbd0a59p-4, -0x1.dcfa4ef963037p-4, -0x1.e50e8a640c9fdp-4, -0x1.ece93694baca3p-4, -0x1.f48a5da50d959p-4, -0x1.fbf2112c9e83p-4, -0x1.0190350e8fd05p-3, -0x1.050ac44ebf8b7p-3, -0x1.0868c9f200885p-3, -0x1.0baa5d07c4262p-3, -0x1.0ecf97fff895fp-3, -0x1.11d89896dbca3p-3, -0x1.14c57fc0758e9p-3, -0x1.17967193bd2edp-3, -0x1.1a4b953578bebp-3, -0x1.1ce514c2ded02p-3, -0x1.1f631d3bfd396p-3, -0x1.21c5de6df05c7p-3, -0x1.240d8adcf034fp-3, -0x1.263a57ae44c59p-3, -0x1.284c7c9212f01p-3, -0x1.2a4433ad24e7cp-3, -0x1.2c21b9829e683p-3, -0x1.2de54cddad681p-3, -0x1.2f8f2ebb40f37p-3, -0x1.311fa233c0068p-3, -0x1.3296ec64d584ap-3, -0x1.33f5545b4ea82p-3, -0x1.353b22fd0ccbap-3, -0x1.3668a2f31de82p-3, -0x1.377e2093f2fa8p-3, -0x1.387be9cdc2643p-3, -0x1.39624e1117285p-3, -0x1.3a319e3b916a8p-3, -0x1.3aea2c82df396p-3, -0x1.3b8c4c5feb015p-3, -0x1.3c18527a4e9aap-3, -0x1.3c8e949404cc1p-3, -0x1.3cef69755e88p-3, -0x1.3d3b28d944b04p-3, -0x1.3d722b59c49ep-3, -0x1.3d94ca5ce5ac4p-3, -0x1.3da36001d879cp-3, -0x1.3d9e470e7474fp-3, -0x1.3d85dadd0b9acp-3, -0x1.3d5a774a98cf2p-3, -0x1.3d1c78a5454acp-3, -0x1.3ccc3b9b4983p-3, -0x1.3c6a1d2a2fb51p-3, -0x1.3bf67a8e6f486p-3, -0x1.3b71b1336c776p-3, -0x1.3adc1ea3d6168p-3, -0x1.3a36207a65dfbp-3, -0x1.3980145307a76p-3, -0x1.38ba57bc5b2b8p-3, -0x1.37e54829a3d5dp-3, -0x1.370142e515bb5p-3, -0x1.360ea5028985bp-3, -0x1.350dcb529665ap-3, -0x1.33ff12560be5ep-3, -0x1.32e2d631da92dp-3, -0x1.31b972a352d5dp-3, -0x1.308342f4d629cp-3, -0x1.2f40a1f2e1272p-3, -0x1.2df1e9e17f1d5p-3, -0x1.2c9774721d8cbp-3, -0x1.2b319ab9c3e74p-3, -0x1.29c0b527aa50ap-3, -0x1.28451b7c32e25p-3, -0x1.26bf24c03e6a8p-3, -0x1.252f273ce3af3p-3, -0x1.2395787385b0bp-3, -0x1.21f26d163f3e9p-3, -0x1.20465900b02f9p-3, -0x1.1e918f312370dp-3, -0x1.1cd461c20a675p-3, -0x1.1b0f21e3d3cc3p-3, -0x1.19421fd716194p-3, -0x1.176daae71028dp-3, -0x1.159211647c84ep-3, -0x1.13afa0a0b2feep-3, -0x1.11c6a4e9223dap-3, -0x1.0fd769830ec8fp-3, -0x1.0de238a7a847cp-3, -0x1.0be75b8061995p-3, -0x1.09e71a2399d9ap-3, -0x1.07e1bb918921ep-3, -0x1.05d785b1764a1p-3, -0x1.03c8bd4f33092p-3, -0x1.01b5a618d6893p-3, -0x1.ff3d05397af1bp-4, -0x1.fb07288f9666dp-4, -0x1.f6ca36c7cf368p-4, -0x1.f286ae2d6a7e5p-4, -0x1.ee3d0ac11d7ebp-4, -0x1.e9edc637578fbp-4, -0x1.e59957f725224p-4, -0x1.e1403519575e4p-4, -0x1.dce2d0683335ap-4, -0x1.d8819a5f7164cp-4, -0x1.d41d012cab848p-4, -0x1.cfb570b02659bp-4, -0x1.cb4b527df9618p-4, -0x1.c6df0ddf874aap-4, -0x1.c27107d551e91p-4, -0x1.be01a31927e1fp-4, -0x1.b991402091adp-4, -0x1.b5203d1f968b3p-4, -0x1.b0aef60bc7dcap-4, -0x1.ac3dc49f8f4f3p-4, -0x1.a7cd005dca762p-4, -0x1.a35cfe9595e03p-4, -0x1.9eee12666c9fep-4, -0x1.9a808cc46b02ap-4, -0x1.9614bc7cd93bbp-4, -0x1.91aaee3aea21ap-4, -0x1.8d436c8ca4ab9p-4, -0x1.88de7fe805e75p-4, -0x1.847c6eb04b0b1p-4, -0x1.801d7d3b69f95p-4, -0x1.7bc1edd7b429cp-4, -0x1.776a00d199f17p-4, -0x1.7315f47997a91p-4, -0x1.6ec6052a41f6dp-4, -0x1.6a7a6d4e702d4p-4, -0x1.6633656789528p-4, -0x1.61f12413e69d8p-4, -0x1.5db3de1552a08p-4, -0x1.597bc6579d62ap-4, -0x1.55490df748391p-4, -0x1.511be44842de9p-4, -0x1.4cf476dcb8b93p-4, -0x1.48d2f18bf25cp-4, -0x1.44b77e7940018p-4, -0x1.40a2461af3adap-4, -0x1.3c936f4162001p-4, -0x1.388b1f1df0919p-4, -0x1.3489794a26c83p-4, -0x1.308e9fcec966ap-4, -0x1.2c9ab32af5ee6p-4, -0x1.28add25b44b17p-4, -0x1.24c81ae0ea02dp-4, -0x1.20e9a8c8d7edep-4, -0x1.1d1296b2e0cf9p-4, -0x1.1942fdd8d5018p-4, -0x1.157af6159f1e2p-4, -0x1.11ba95ec5c64dp-4, -0x1.0e01f28f6d07p-4, -0x1.0a511fe77f2e7p-4, -0x1.06a8309a92cc3p-4, -0x1.03073612f4428p-4, -0x1.fedc810c5a0e9p-5, -0x1.f7babdf7da7a1p-5, -0x1.f0a93ea9c6b4ep-5, -0x1.e9a81ca321a85p-5, -0x1.e2b76f3211ec2p-5, -0x1.dbd74b7f510c4p-5, -0x1.d507c49b7b245p-5, -0x1.ce48eb8c3cb39p-5, -0x1.c79acf596993p-5, -0x1.c0fd7d19ed36bp-5, -0x1.ba7100009bf95p-5, -0x1.b3f56168e1389p-5, -0x1.ad8aa8e34f88fp-5, -0x1.a730dc4205fd3p-5, -0x1.a0e7ffa4f50efp-5, -0x1.9ab01585f8f4cp-5, -0x1.94891ec4d55bbp-5, -0x1.8e731ab306346p-5, -0x1.886e071f67558p-5, -0x1.8279e061b3a7bp-5, -0x1.7c96a165e06fp-5, -0x1.76c443b749c7ap-5, -0x1.7102bf8bb6532p-5, -0x1.6b520bce37023p-5, -0x1.65b21e29d6a9ep-5, -0x1.6022eb141fbb5p-5, -0x1.5aa465d77659cp-5, -0x1.5536809d4c70ep-5, -0x1.4fd92c7821b8ep-5, -0x1.4a8c596d60e4fp-5, -0x1.454ff67f0e609p-5, -0x1.4023f1b54ab7bp-5, -0x1.3b083827a9b7cp-5, -0x1.35fcb6065c882p-5, -0x1.310156a337843p-5, -0x1.2c16047a7ca07p-5, -0x1.273aa93b910c3p-5, -0x1.226f2dd16f462p-5, -0x1.1db37a6b068b1p-5, -0x1.19077683592cfp-5, -0x1.146b08e980e0ep-5, -0x1.0fde17c87d924p-5, -0x1.0b6088aede8fcp-5, -0x1.06f24096428e8p-5, -0x1.029323eaaafd8p-5, -0x1.fc862d234fe35p-6, -0x1.f403f7e2b7358p-6, -0x1.eb9f6deea9d18p-6, -0x1.e358543e7dd3bp-6, -0x1.db2e6ef2d451fp-6, -0x1.d32181625a775p-6, -0x1.cb314e263bd06p-6, -0x1.c35d97264e38bp-6, -0x1.bba61da4ec277p-6, -0x1.b40aa24a7ec45p-6, -0x1.ac8ae530c0e8fp-6, -0x1.a526a5edb1eacp-6, -0x1.9ddda39e4f649p-6, -0x1.96af9cf0f43a1p-6, -0x1.8f9c502f6db7cp-6, -0x1.88a37b48e2419p-6, -0x1.81c4dbdb5a6aap-6, -0x1.7b002f3d15458p-6, -0x1.745532858f4d8p-6, -0x1.6dc3a2963f6c2p-6, -0x1.674b3c232eb33p-6, -0x1.60ebbbbb28a5ep-6, -0x1.5aa4ddcfcea7ap-6, -0x1.54765ebd5645dp-6, -0x1.4e5ffad21a781p-6, -0x1.48616e55d7076p-6, -0x1.427a7590cd6fdp-6, -0x1.3caaccd28fb0cp-6, -0x1.36f230789ec76p-6, -0x1.31505cf4c7b82p-6, -0x1.2bc50ed3587bap-6, -0x1.265002c10f41dp-6, -0x1.20f0f590e0e42p-6, -0x1.1ba7a44187c1p-6, -0x1.1673cc02d0713p-6, -0x1.11552a3acddc7p-6, -0x1.0c4b7c8abc619p-6, -0x1.075680d3dc8c8p-6, -0x1.0275f53bf95b9p-6, -0x1.fb533063a6259p-7, -0x1.f1e250e2b031bp-7, -0x1.e898ca0f54ebfp-7, -0x1.df761aae206c6p-7, -0x1.d679c23558689p-7, -0x1.cda340d3f087cp-7, -0x1.c4f2177879164p-7, -0x1.bc65c7d77e2afp-7, -0x1.b3fdd471c5063p-7, -0x1.abb9c09a2df61p-7, -0x1.a399107b4ba33p-7, -0x1.9b9b491c9ee2dp-7, -0x1.93bff067c30dbp-7, -0x1.8c068d2d1a453p-7, -0x1.846ea72853b8p-7, -0x1.7cf7c704b562dp-7, -0x1.75a176611b39cp-7, -0x1.6e6b3fd3a7819p-7, -0x1.6754aeed5b3bdp-7, -0x1.605d503d68352p-7, -0x1.5984b1542ea19p-7, -0x1.52ca60c63c21ap-7, -0x1.4c2dee2ed1be9p-7, -0x1.45aeea326f878p-7, -0x1.3f4ce680f972p-7, -0x1.390775d7d4a09p-7, -0x1.32de2c03cbcdfp-7, -0x1.2cd09de2b9bc2p-7, -0x1.26de6164feb92p-7, -0x1.21070d8ee443ap-7, -0x1.1b4a3a79b7147p-7, -0x1.15a78154f0c7cp-7, -0x1.101e7c66f7682p-7, -0x1.0aaec70dce32dp-7, -0x1.0557fdbfbbcd7p-7, -0x1.0019be0b8a079p-7, -0x1.f5e74d3205176p-8, -0x1.ebcaae51e0d7fp-8, -0x1.e1dce12a752eap-8, -0x1.d81d29a18ff7dp-8, -0x1.ce8acdce72997p-8, -0x1.c52515f93bb46p-8, -0x1.bbeb4c9a048ep-8, -0x1.b2dcbe57d9e26p-8, -0x1.a9f8ba077681cp-8, -0x1.a13e90a98454dp-8, -0x1.98ad956928d1p-8, -0x1.90451d9a15db2p-8, -0x1.880480b675824p-8, -0x1.7feb185cc9106p-8, -0x1.77f8404d8d8fp-8, -0x1.702b5668b4627p-8, -0x1.6883baaae5da9p-8, -0x1.6100cf2abb515p-8, -0x1.59a1f815dcdbdp-8, -0x1.52669bade46f1p-8, -0x1.4b4e22454d1fep-8, -0x1.4457f63bf64b7p-8, -0x1.3d8383fbceb9ap-8, -0x1.36d039f54f9bfp-8, -0x1.303d889be97acp-8, -0x1.29cae26239ae6p-8, -0x1.2377bbb650bc4p-8, -0x1.1d438afdece12p-8, -0x1.172dc89238325p-8, -0x1.1135eebbfeeefp-8, -0x1.0b5b79af69f89p-8, -0x1.059de787f41f3p-8, -0x1.fff9708856b6p-9, -0x1.f4eedb82c004ap-9, -0x1.ea1b176ea25dfp-9, -0x1.df7d2f676d08fp-9, -0x1.d514322bcf993p-9, -0x1.cadf3214a8e36p-9, -0x1.c0dd450c2a4d9p-9, -0x1.b70d8484a97ep-9, -0x1.ad6f0d6f756bp-9, -0x1.a4010033a4193p-9, -0x1.9ac280a4a14dp-9, -0x1.91b2b5f94186ep-9, -0x1.88d0cac209c67p-9, -0x1.801bece029319p-9, -0x1.77934d7bfb633p-9, -0x1.6f3620fb6983ap-9, -0x1.67039ef8c739bp-9, -0x1.5efb023914cc7p-9, -0x1.571b88a2c6205p-9, -0x1.4f6473344625fp-9, -0x1.47d505fa978f4p-9, -0x1.406c8807c09ap-9, -0x1.392a436980088p-9, -0x1.320d851fe8c61p-9, -0x1.2b159d13bf9e3p-9, -0x1.2441de0d5caefp-9, -0x1.1d919dab5ac0ep-9, -0x1.170434595782bp-9, -0x1.1098fd467f6a2p-9, -0x1.0a4f565c6a14ep-9, -0x1.0426a035d3331p-9, -0x1.fc3c7c2b327e8p-10, -0x1.f06b2bbb0e97fp-10, -0x1.e4d8200acee05p-10, -0x1.d9822f23d4d52p-10, -0x1.ce683417a3664p-10, -0x1.c3890eede2076p-10, -0x1.b8e3a4928a8adp-10, -0x1.ae76dec489d31p-10, -0x1.a441ac04337c4p-10, -0x1.9a42ff824a22ap-10, -0x1.9079d10eb5799p-10, -0x1.86e51d074824dp-10, -0x1.7d83e446ef68p-10, -0x1.74552c14adeacp-10, -0x1.6b57fe135dc64p-10, -0x1.628b6830e816p-10, -0x1.59ee7c96352e7p-10, -0x1.51805196f0eacp-10, -0x1.494001a1621e2p-10, -0x1.412cab2e83535p-10, -0x1.394570b24d152p-10, -0x1.3189788bf4f58p-10, -0x1.29f7ecf6c012ap-10, -0x1.228ffbfac4b81p-10, -0x1.1b50d75dd7e9ap-10, -0x1.1439b4943e213p-10, -0x1.0d49ccb239da5p-10, -0x1.06805c5d60b1bp-10, -0x1.ffb9477ba477ap-11, -0x1.f2bbcce03bdd7p-11, -0x1.e606d6ee55798p-11, -0x1.d998fa5d40529p-11, -0x1.cd70d278dbec6p-11, -0x1.c18d0107167acp-11, -0x1.b5ec2e2cb55d1p-11, -0x1.aa8d08521cec5p-11, -0x1.9f6e4409f1d6ep-11, -0x1.948e9bf6c4975p-11, -0x1.89ecd0b169da6p-11, -0x1.7f87a8af67d73p-11, -0x1.755df02abf1a6p-11, -0x1.6b6e790858fe4p-11, -0x1.61b81ac0072e3p-11, -0x1.5839b24472ba2p-11, -0x1.4ef221eb4014ap-11, -0x1.45e05155bd1a4p-11, -0x1.3d032d5a84fe4p-11, -0x1.3459a7edea50cp-11, -0x1.2be2b80bd049cp-11, -0x1.239d59a1c8c1cp-11, -0x1.1b888d7846a14p-11, -0x1.13a3591e14264p-11, -0x1.0becc6d32a302p-11, -0x1.0463e572dca1ep-11, -0x1.fa0f90c185407p-12, -0x1.ebaf0ee6901e8p-12, -0x1.dda47dc08164ap-12, -0x1.cfee1e51aaae1p-12, -0x1.c28a3a0bef51p-12, -0x1.b57722ac7564p-12, -0x1.a8b33213a6cfp-12, -0x1.9c3cca22564fap-12, -0x1.90125493abe25p-12, -0x1.843242da486ccp-12, -0x1.789b0dfccf62cp-12, -0x1.6d4b3671de0d5p-12, -0x1.624143ff487cbp-12, -0x1.577bc59799863p-12, -0x1.4cf951388d9b6p-12, -0x1.42b883cbb9d35p-12, -0x1.38b80105a3089p-12, -0x1.2ef6734688e92p-12, -0x1.25728b7ae4eb5p-12, -0x1.1c2b00fd239b3p-12, -0x1.131e9176837c8p-12, -0x1.0a4c00c2db03ep-12, -0x1.01b218d33639fp-12, -0x1.f29f532195adbp-13, -0x1.e247118250226p-13, -0x1.d25923d59783fp-13, -0x1.c2d34c7314fe6p-13, -0x1.b3b358c718a99p-13, -0x1.a4f7212039eep-13, -0x1.969c88780833ap-13, -0x1.88a17c4410781p-13, -0x1.7b03f4415027ap-13, -0x1.6dc1f2456d246p-13, -0x1.60d9820ce8fc2p-13, -0x1.5448b90d38503p-13, -0x1.480db643e2086p-13, -0x1.3c26a20b3143ap-13, -0x1.3091adeade27ep-13, -0x1.254d146e2568dp-13, -0x1.1a5718f764cbfp-13, -0x1.0fae079507a58p-13, -0x1.055034d999795p-13, -0x1.f677fb621913ap-14, -0x1.e2df8e735d1c9p-14, -0x1.cfd3fd35619fbp-14, -0x1.bd5231bc8fd3ap-14, -0x1.ab572596d2b7dp-14, -0x1.99dfe18167665p-14, -0x1.88e97d1e6dcedp-14, -0x1.78711eadafccep-14, -0x1.6873fac36253ep-14, -0x1.58ef5406c1bc4p-14, -0x1.49e07ae731e72p-14, -0x1.3b44cd5ecafd4p-14, -0x1.2d19b6ae54893p-14, -0x1.1f5caf1a3e084p-14, -0x1.120b3baf6d8fep-14, -0x1.0522ee0145534p-14, -0x1.f142c7e1c553fp-15, -0x1.d9088ed642d7ap-15, -0x1.c1929c662ee68p-15, -0x1.aadc7350d344dp-15, -0x1.94e1ad0f7f9c6p-15, -0x1.7f9df9728cfd8p-15, -0x1.6b0d1e3301e44p-15, -0x1.572af6817aeb7p-15, -0x1.43f372a5cc70bp-15, -0x1.3162978fcf822p-15, -0x1.1f747e7877536p-15, -0x1.0e25547c2b717p-15, -0x1.fae2b46b9c5b5p-16, -0x1.daa9c6cae5bc6p-16, -0x1.bb98ad106089dp-16, -0x1.9da85918e932p-16, -0x1.80d1e0d39e912p-16, -0x1.650e7d9baa7dfp-16, -0x1.4a578b8fa2f74p-16, -0x1.30a688da4e167p-16, -0x1.17f5151e8108p-16, -0x1.003cf0c114cbcp-16, -0x1.d2eff8a76c7bp-17, -0x1.a7406fdc3463p-17, -0x1.7d5f8538a74ccp-17, -0x1.5541b382ac35ep-17, -0x1.2edbb114ec971p-17, -0x1.0a226ea6eb7f9p-17, -0x1.ce162c821bc71p-18, -0x1.8b161435ef8d7p-18, -0x1.4b2fc71ca859dp-18, -0x1.0e4ee3eaeb23ep-18, -0x1.a8bee7181136fp-19, -0x1.3a9bcdcbd043cp-19, -0x1.a41c53768f9f7p-20, }}, 
      {{-0x1.412370cea6623p-4, -0x1.40e87cc1df8bbp-4, -0x1.40852505754b1p-4, -0x1.3ff7dc196aae5p-4, -0x1.3f3e966212d47p-4, -0x1.3e56e23c31ba5p-4, -0x1.3d3e010938905p-4, -0x1.3bf0fff6ab70bp-4, -0x1.3a6ccf789b1a1p-4, -0x1.38ae58b16bd75p-4, -0x1.36b2904b8be97p-4, -0x1.3476868f9b2aap-4, -0x1.31f774b9dcef7p-4, -0x1.2f32c7b8c3969p-4, -0x1.2c262894f270ep-4, -0x1.28cf82cc3e5a9p-4, -0x1.252d08e8cb471p-4, -0x1.213d37977cf7dp-4, -0x1.1cfed7781ef1p-4, -0x1.1870fdd883d2dp-4, -0x1.13930c83588e4p-4, -0x1.0e64b0c478884p-4, -0x1.08e5e1bf32aa6p-4, -0x1.0316de2f2b266p-4, -0x1.f9f05353c3f49p-5, -0x1.ed1512ea9a244p-5, -0x1.df9e020d85eadp-5, -0x1.d18d9c795c81dp-5, -0x1.c2e6cac9506b6p-5, -0x1.b3acda3d93884p-5, -0x1.a3e3745bddf56p-5, -0x1.938e9686d77c2p-5, -0x1.82b289a697d6p-5, -0x1.7153d9f930d8dp-5, -0x1.5f774f1ef6954p-5, -0x1.4d21e4729f99ap-5, -0x1.3a58c1ba1b4f7p-5, -0x1.272134398c745p-5, -0x1.1380a82ed599ap-5, -0x1.fef94572ad902p-6, -0x1.d635785e2e595p-6, -0x1.acc135bca5daap-6, -0x1.82a7dc71cacddp-6, -0x1.57f4d4cac4727p-6, -0x1.2cb38861cf5b9p-6, -0x1.00ef5ab77f922p-6, -0x1.a96744ea7d494p-7, -0x1.50174697efa69p-7, -0x1.ec0a21886f631p-8, -0x1.368d7d1103e2ap-8, -0x1.ff9134c73a4efp-10, 0x1.be32d16559b7cp-11, 0x1.e0901ba4e7e38p-9, 0x1.a977190a989cfp-8, 0x1.3195451b9b6e1p-7, 0x1.8e9d1f22c9f4ap-7, 0x1.ebbf758cde99ap-7, 0x1.24748a420ab7fp-6, 0x1.53039edb9cd1fp-6, 0x1.8183d61e7f2e9p-6, 0x1.afec4c0a0ff19p-6, 0x1.de345ca2922d1p-6, 0x1.0629d2aa5c84dp-5, 0x1.1d210316a4c2cp-5, 0x1.33fbd172f2f8ap-5, 0x1.4ab671e414a5bp-5, 0x1.614d3b33b20eep-5, 0x1.77bca7190050ap-5, 0x1.8e01526d6c05cp-5, 0x1.a417fd4da231bp-5, 0x1.b9fd8b27306e9p-5, 0x1.cfaf02b32cf4ep-5, 0x1.e5298dde36b69p-5, 0x1.fa6a799e53f43p-5, 0x1.07b79adb950bbp-4, 0x1.121aaa3696939p-4, 0x1.1c5d451431b42p-4, 0x1.267e5683bd66ep-4, 0x1.307cda31fe534p-4, 0x1.3a57dc2432a19p-4, 0x1.440e786c86b7p-4, 0x1.4d9fdad8685e5p-4, 0x1.570b3e99302adp-4, 0x1.604fede7a4ad1p-4, 0x1.696d41a2cf72bp-4, 0x1.7262a0eab49b3p-4, 0x1.7b2f80b75dc53p-4, 0x1.83d3636ccddcap-4, 0x1.8c4dd86c4ff6bp-4, 0x1.949e7ba3a8299p-4, 0x1.9cc4f51aa20cbp-4, 0x1.a4c0f87f76f8bp-4, 0x1.ac9244b272c32p-4, 0x1.b438a351670bbp-4, 0x1.bbb3e84331e2fp-4, 0x1.c303f143ce039p-4, 0x1.ca28a57157935p-4, 0x1.d121f4da4a084p-4, 0x1.d7efd80d4f282p-4, 0x1.de924faaee4bap-4, 0x1.e50963f9694e2p-4, 0x1.eb55247ae8966p-4, 0x1.f175a7865c40dp-4, 0x1.f76b09e30ee6fp-4, 0x1.fd356e673e757p-4, 0x1.016a7eccec7c3p-3, 0x1.0424f2abaf905p-3, 0x1.06ca2c3d16cc9p-3, 0x1.095a474314d3fp-3, 0x1.0bd561abf23a2p-3, 0x1.0e3b9b6b9fc07p-3, 0x1.108d1656ca0ddp-3, 0x1.12c9f5ffb5ebp-3, 0x1.14f25f94d44cep-3, 0x1.170679c11ee37p-3, 0x1.19066c8e22c94p-3, 0x1.1af26147c686p-3, 0x1.1cca8261b1005p-3, 0x1.1e8efb5e53213p-3, 0x1.203ff8b78616p-3, 0x1.21dda7c8b2c29p-3, 0x1.236836ba76117p-3, 0x1.24dfd46fad075p-3, 0x1.2644b073efa23p-3, 0x1.2796faeb4f6afp-3, 0x1.28d6e48361a38p-3, 0x1.2a049e657aaf2p-3, 0x1.2b205a2a13a9bp-3, 0x1.2c2a49cd3c47bp-3, 0x1.2d229fa41ac05p-3, 0x1.2e098e535e7cdp-3, 0x1.2edf48c6993d8p-3, 0x1.2fa4022876c91p-3, 0x1.3057eddbb53e4p-3, 0x1.30fb3f74dc45ep-3, 0x1.318e2ab4a34f1p-3, 0x1.3210e382f620dp-3, 0x1.32839dea81c17p-3, 0x1.32e68e14d7c8ap-3, 0x1.3339e846f5161p-3, 0x1.337de0de48141p-3, 0x1.33b2ac4e08c72p-3, 0x1.33d87f1cefdd5p-3, 0x1.33ef8de335de5p-3, 0x1.33f80d48d1b09p-3, 0x1.33f23203f673p-3, 0x1.33de30d7baaeep-3, 0x1.33bc3e92e8e06p-3, 0x1.338c900ef08b3p-3, 0x1.334f5a2ef0d18p-3, 0x1.3304d1ded2dfdp-3, 0x1.32ad2c12734d2p-3, 0x1.32489dc4cfe0dp-3, 0x1.31d75bf7371b4p-3, 0x1.31599bb074391p-3, 0x1.30cf91fbf7b24p-3, 0x1.303973e8ee219p-3, 0x1.2f9776894e5fcp-3, 0x1.2ee9cef0d3643p-3, 0x1.2e30b233e48d6p-3, 0x1.2d6c55666386bp-3, 0x1.2c9ced9a67b48p-3, 0x1.2bc2afdedf3dbp-3, 0x1.2addd13e106a5p-3, 0x1.29ee86bc08896p-3, 0x1.28f50554e7a7dp-3, 0x1.27f181fb11e39p-3, 0x1.26e43195465bap-3, 0x1.25cd48fc9919p-3, 0x1.24acfcfa4e2e8p-3, 0x1.238382459df99p-3, 0x1.22510d815a9a3p-3, 0x1.2115d3397cc98p-3, 0x1.1fd207e099d1ap-3, 0x1.1e85dfcd3c7efp-3, 0x1.1d318f372e3bdp-3, 0x1.1bd54a34a406ap-3, 0x1.1a7144b75ab17p-3, 0x1.1905b2899fc7cp-3, 0x1.1792c74b49bd8p-3, 0x1.1618b66ea2edp-3, 0x1.1497b3353db56p-3, 0x1.130ff0accb3d7p-3, 0x1.1181a1abd52edp-3, 0x1.0fecf8ce811e8p-3, 0x1.0e5228733df7fp-3, 0x1.0cb162b7732a3p-3, 0x1.0b0ad9742c509p-3, 0x1.095ebe3abcf0cp-3, 0x1.07ad4251689e6p-3, 0x1.05f696b00ea3fp-3, 0x1.043aebfcccdf6p-3, 0x1.027a7288b436ap-3, 0x1.00b55a4c79871p-3, 0x1.fdd7a5ca60852p-4, 0x1.fa3c172220f62p-4, 0x1.f6986658846bdp-4, 0x1.f2ecf05b6f65cp-4, 0x1.ef3a11481f3cp-4, 0x1.eb80246516f8ep-4, 0x1.e7bf841c1a45ap-4, 0x1.e3f889f456145p-4, 0x1.e02b8e8ca56ffp-4, 0x1.dc58e995f271ap-4, 0x1.d880f1cdd1445p-4, 0x1.d4a3fcf930447p-4, 0x1.d0c25fdf32582p-4, 0x1.ccdc6e443fd11p-4, 0x1.c8f27ae538babp-4, 0x1.c504d772d86abp-4, 0x1.c113d48d48913p-4, 0x1.bd1fc1bfdafcdp-4, 0x1.b928ed7d07faep-4, 0x1.b52fa51a81d3fp-4, 0x1.b13434cd97725p-4, 0x1.ad36e7a7aa62ap-4, 0x1.a9380792f945fp-4, 0x1.a537dd4f7d9d8p-4, 0x1.a136b0701c457p-4, 0x1.9d34c757e5c4ep-4, 0x1.99326737b245bp-4, 0x1.952fd40bcf7ep-4, 0x1.912d5099f95dbp-4, 0x1.8d2b1e6f78e93p-4, 0x1.89297ddf7dd6p-4, 0x1.8528ae01a85bp-4, 0x1.8128ecb0c822p-4, 0x1.7d2a7689ca045p-4, 0x1.792d86eadb42ep-4, 0x1.753257f2bc97ap-4, 0x1.7139228046b67p-4, 0x1.6d421e321d6c2p-4, 0x1.694d816695687p-4, 0x1.655b813bc4f43p-4, 0x1.616c518fc58fcp-4, 0x1.5d8025011ee9p-4, 0x1.59972cef628c3p-4, 0x1.55b1997bee1b9p-4, 0x1.51cf998adb44ap-4, 0x1.4df15ac417d13p-4, 0x1.4a170994a49ap-4, 0x1.4640d12ffda32p-4, 0x1.426edb91a7846p-4, 0x1.3ea1517ee2775p-4, 0x1.3ad85a88800d5p-4, 0x1.37141d0cdb33fp-4, 0x1.3354be39f52a3p-4, 0x1.2f9a620fae424p-4, 0x1.2be52b62230d3p-4, 0x1.28353bdc257f7p-4, 0x1.248ab401d1002p-4, 0x1.20e5b3333f035p-4, 0x1.1d4657af53bf1p-4, 0x1.19acbe96a3db2p-4, 0x1.161903ee75381p-4, 0x1.128b42a3d41edp-4, 0x1.0f03948ec05d4p-4, 0x1.0b8212756f7eap-4, 0x1.0806d40fa3f39p-4, 0x1.0491f00a140f8p-4, 0x1.01237c09e7303p-4, 0x1.fb7719607d5e2p-5, 0x1.f4b46b3ba6ceep-5, 0x1.edff12ed3a881p-5, 0x1.e75733cb175fbp-5, 0x1.e0bcef409292cp-5, 0x1.da3064d613edap-5, 0x1.d3b1b238ccb2ap-5, 0x1.cd40f3427c384p-5, 0x1.c6de4201467a5p-5, 0x1.c089b6bfa07adp-5, 0x1.ba43680c4135cp-5, 0x1.b40b6ac21f9ap-5, 0x1.ade1d21081bf4p-5, 0x1.a7c6af830ab42p-5, 0x1.a1ba1309d8d54p-5, 0x1.9bbc0b019febap-5, 0x1.95cca43bcb62fp-5, 0x1.8febea06a2f5cp-5, 0x1.8a19e6356ce3ep-5, 0x1.8456a1289352fp-5, 0x1.7ea221d5c24b9p-5, 0x1.78fc6dd005025p-5, 0x1.7365894fdccbbp-5, 0x1.6ddd773b52147p-5, 0x1.6864392dfe50dp-5, 0x1.62f9cf810bb76p-5, 0x1.5d9e39532ea6dp-5, 0x1.585174908cbfep-5, 0x1.53137dfaa0208p-5, 0x1.4de451300ac9fp-5, 0x1.48c3e8b457607p-5, 0x1.43b23df7b2e28p-5, 0x1.3eaf495e9142ap-5, 0x1.39bb02494286fp-5, 0x1.34d55f1b74341p-5, 0x1.2ffe5543a992cp-5, 0x1.2b35d942933bfp-5, 0x1.267bdeb25f426p-5, 0x1.21d0584ded8f9p-5, 0x1.1d3337f7f35dfp-5, 0x1.18a46ec208e24p-5, 0x1.1423ecf39cebep-5, 0x1.0fb1a210d9096p-5, 0x1.0b4d7ce1681fdp-5, 0x1.06f76b772cd25p-5, 0x1.02af5b34d56e6p-5, 0x1.fcea71a8c7104p-6, 0x1.f491e0db2b5c8p-6, 0x1.ec54daf869effp-6, 0x1.e43335cc9f26fp-6, 0x1.dc2cc604b12d7p-6, 0x1.d4415f3a5971p-6, 0x1.cc70d3fff94d2p-6, 0x1.c4baf5ec3f90fp-6, 0x1.bd1f95a5993e8p-6, 0x1.b59e82ed6eebbp-6, 0x1.ae378cab27badp-6, 0x1.a6ea80f6fb118p-6, 0x1.9fb72d2495465p-6, 0x1.989d5dcd7adc7p-6, 0x1.919cdedb39cap-6, 0x1.8ab57b917355dp-6, 0x1.83e6fe979e2e6p-6, 0x1.7d313202a49dbp-6, 0x1.7693df5e3c5fp-6, 0x1.700ecfb61d60dp-6, 0x1.69a1cb9ef7cbp-6, 0x1.634c9b3f3c464p-6, 0x1.5d0f0657ae155p-6, 0x1.56e8d44bbefedp-6, 0x1.50d9cc29bc117p-6, 0x1.4ae1b4b2ca8e4p-6, 0x1.45005462adf02p-6, 0x1.3f3571775ecd2p-6, 0x1.3980d1f86ad4cp-6, 0x1.33e23bbe2bfe1p-6, 0x1.2e597478caeedp-6, 0x1.28e641b70e03fp-6, 0x1.238868ed030ecp-6, 0x1.1e3faf7a6eaap-6, 0x1.190bdab11372ap-6, 0x1.13ecafdacacf3p-6, 0x1.0ee1f43f6bc11p-6, 0x1.09eb6d2a8c69cp-6, 0x1.0508dff10f7ep-6, 0x1.003a11f68c6cbp-6, 0x1.f6fd916519337p-7, 0x1.edad936b2d436p-7, 0x1.e483b55c273d9p-7, 0x1.db7f82da227b7p-7, 0x1.d2a087d5a5224p-7, 0x1.c9e65096810bbp-7, 0x1.c15069c45393ap-7, 0x1.b8de606ecbb0ep-7, 0x1.b08fc2159765p-7, 0x1.a8641cb006941p-7, 0x1.a05afeb471583p-7, 0x1.9873f71f42da8p-7, 0x1.90ae9579d0198p-7, 0x1.890a69e0e1474p-7, 0x1.8187050aec57bp-7, 0x1.7a23f84e1b7c5p-7, 0x1.72e0d5a61b545p-7, 0x1.6bbd2fb986988p-7, 0x1.64b899df32d0ap-7, 0x1.5dd2a823397b9p-7, 0x1.570aef4bb266dp-7, 0x1.506104dd496eap-7, 0x1.49d47f1f96517p-7, 0x1.4364f5212c74dp-7, 0x1.3d11febb83f62p-7, 0x1.36db3496a997cp-7, 0x1.30c0302cbb73bp-7, 0x1.2ac08bcd2a6e3p-7, 0x1.24dbe29fce0efp-7, 0x1.1f11d0a7c6abfp-7, 0x1.1961f2c6345fep-7, 0x1.13cbe6bcc1875p-7, 0x1.0e4f4b2ff2d57p-7, 0x1.08ebbfa958075p-7, 0x1.03a0e4998426bp-7, 0x1.fcdcb6b3e672dp-8, 0x1.f2a78c5d6408ap-8, 0x1.e8a1908fc1947p-8, 0x1.deca0b86333a9p-8, 0x1.d520475954b67p-8, 0x1.cba390015a9d9p-8, 0x1.c2533357fb4b6p-8, 0x1.b92e811a116f2p-8, 0x1.b034cae8f1c1ap-8, 0x1.a765644b9ef43p-8, 0x1.9ebfa2af9652cp-8, 0x1.9642dd698e0aap-8, 0x1.8dee6db5d9a71p-8, 0x1.85c1aeb89ac35p-8, 0x1.7dbbfd7db9b9p-8, 0x1.75dcb8f8b45e3p-8, 0x1.6e234204315fp-8, 0x1.668efb615ef4cp-8, 0x1.5f1f49b736072p-8, 0x1.57d39391726e9p-8, 0x1.50ab415f7300ep-8, 0x1.49a5bd72e97ccp-8, 0x1.42c273fe65057p-8, 0x1.3c00d313a2a22p-8, 0x1.35604aa1dc9dbp-8, 0x1.2ee04c73c3344p-8, 0x1.28804c2d91f6fp-8, 0x1.223fbf4ac45bbp-8, 0x1.1c1e1d1bd6676p-8, 0x1.161adec3d0b56p-8, 0x1.10357f35bf62fp-8, 0x1.0a6d7b320071bp-8, 0x1.04c251438d1ap-8, 0x1.fe67037a39a9p-9, 0x1.f3811d6c5eaedp-9, 0x1.e8d1f810076e7p-9, 0x1.de589e94ef365p-9, 0x1.d4141fa197f75p-9, 0x1.ca038d4cc3ff4p-9, 0x1.c025fd16ae65ap-9, 0x1.b67a87e24b5a5p-9, 0x1.ad0049ee1bcd7p-9, 0x1.a3b662cd46564p-9, 0x1.9a9bf5604b54ap-9, 0x1.91b027cda8bfap-9, 0x1.88f2237a7973p-9, 0x1.80611502da80fp-9, 0x1.77fc2c326437dp-9, 0x1.6fc29bfc6bfc6p-9, 0x1.67b39a7441138p-9, 0x1.5fce60c57adecp-9, 0x1.58122b2bf6091p-9, 0x1.507e38ebdea5ap-9, 0x1.4911cc49d674bp-9, 0x1.41cc2a82bc04bp-9, 0x1.3aac9bc3b7124p-9, 0x1.33b26b220aeb1p-9, 0x1.2cdce69305882p-9, 0x1.262b5ee3c97efp-9, 0x1.1f9d27b136ea6p-9, 0x1.1931975fa2381p-9, 0x1.12e80712aa7d4p-9, 0x1.0cbfd2a4f796p-9, 0x1.06b858a00c891p-9, 0x1.00d0fa340a27ep-9, 0x1.f612365f0f47fp-10, 0x1.eac043eeaffedp-10, 0x1.dfaaeefcc5441p-10, 0x1.d4d10e7af6bc2p-10, 0x1.ca317e5646c08p-10, 0x1.bfcb1f671018dp-10, 0x1.b59cd7609aff6p-10, 0x1.aba590c11418bp-10, 0x1.a1e43ac16e077p-10, 0x1.9857c94553e38p-10, 0x1.8eff34cb4c1bp-10, 0x1.85d97a5cf2f84p-10, 0x1.7ce59b7ee9b81p-10, 0x1.74229e214a7b7p-10, 0x1.6b8f8c9003743p-10, 0x1.632b75635bb9dp-10, 0x1.5af56b705ad8bp-10, 0x1.52ec85b997f6ap-10, 0x1.4b0fdf600b37p-10, 0x1.435e9793cbfc3p-10, 0x1.3bd7d18540df4p-10, 0x1.347ab456199d4p-10, 0x1.2d466b0a83901p-10, 0x1.263a247a8a107p-10, 0x1.1f551343845acp-10, 0x1.18966db9a9bbbp-10, 0x1.11fd6dd9dbc7dp-10, 0x1.0b89513b522d1p-10, 0x1.05395901c76e7p-10, 0x1.fe19939ec5b7dp-11, 0x1.f205d76e51448p-11, 0x1.e636145e37366p-11, 0x1.daa8e8058175bp-11, 0x1.cf5cf68be4db4p-11, 0x1.c450ea8eed336p-11, 0x1.b9837507d6a3cp-11, 0x1.aef34d3198d5bp-11, 0x1.a49f306f6c65dp-11, 0x1.9a85e2336b592p-11, 0x1.90a62be597ce3p-11, 0x1.86fedccae9e1ep-11, 0x1.7d8ec9ecb399dp-11, 0x1.7454ce0084eefp-11, 0x1.6b4fc95050b27p-11, 0x1.627ea1a2c4566p-11, 0x1.59e042239d3c9p-11, 0x1.51739b4ce8a86p-11, 0x1.4937a2d026a45p-11, 0x1.412b537f97037p-11, 0x1.394dad383daebp-11, 0x1.319db4cc0b32fp-11, 0x1.2a1a73ebcb371p-11, 0x1.22c2f91212856p-11, 0x1.1b96576dd7be1p-11, 0x1.1493a6ce054f3p-11, 0x1.0dba038c8898bp-11, 0x1.07088e7a5db73p-11, 0x1.007e6ccb8cabap-11, 0x1.f43590069755cp-12, 0x1.e7b99bc163fb8p-12, 0x1.db876096f7895p-12, 0x1.cf9d4a8290024p-12, 0x1.c3f9cd8577a68p-12, 0x1.b89b6582cb239p-12, 0x1.ad80961aee407p-12, 0x1.a2a7ea87fc49fp-12, 0x1.980ff57ad19ecp-12, 0x1.8db750f861575p-12, 0x1.839c9e376827bp-12, 0x1.79be857f33c67p-12, 0x1.701bb60668136p-12, 0x1.66b2e5d28f5abp-12, 0x1.5d82d197973adp-12, 0x1.548a3c9883d68p-12, 0x1.4bc7f088c18dcp-12, 0x1.433abd6cbd9d8p-12, 0x1.3ae1797c667d1p-12, 0x1.32bb0105762fep-12, 0x1.2ac6364e0cc24p-12, 0x1.23020177c3776p-12, 0x1.1b6d5064513d4p-12, 0x1.14071698ae84fp-12, 0x1.0cce4d22c77a6p-12, 0x1.05c1f27dbc7d3p-12, 0x1.fdc214efb19ap-13, 0x1.f0553c31031afp-13, 0x1.e33b770cc1611p-13, 0x1.d672ebdd6b059p-13, 0x1.c9f9cad8b79f1p-13, 0x1.bdce4ddec6444p-13, 0x1.b1eeb84a7d66ep-13, 0x1.a65956c2bd736p-13, 0x1.9b0c7f0ba65acp-13, 0x1.90068fd9c633bp-13, 0x1.8545f0a4e77b7p-13, 0x1.7ac9117cf576ap-13, 0x1.708e6addf4959p-13, 0x1.66947d8684439p-13, 0x1.5cd9d24da1c22p-13, 0x1.535cf9fa30fb6p-13, 0x1.4a1c8d1a8d6eep-13, 0x1.41172bdd677cbp-13, 0x1.384b7deaf00cdp-13, 0x1.2fb8323ebea9fp-13, 0x1.275bff0291958p-13, 0x1.1f35a16908741p-13, 0x1.1743dd8a52e02p-13, 0x1.0f857e4044f6fp-13, 0x1.07f9550486871p-13, 0x1.009e39cd0549bp-13, 0x1.f2e615d8458c9p-14, 0x1.e4ed59dcf7d7ap-14, 0x1.d75014f6af9cbp-14, 0x1.ca0c2869a947dp-14, 0x1.bd1f813127844p-14, 0x1.b08817c34384ep-14, 0x1.a443efd57c416p-14, 0x1.985118204107dp-14, 0x1.8cadaa26f8a78p-14, 0x1.8157c9fd9ac05p-14, 0x1.764da613a53a7p-14, 0x1.6b8d76fb429f3p-14, 0x1.61157f366fa1fp-14, 0x1.56e40b0026d8cp-14, 0x1.4cf7701ac26c2p-14, 0x1.434e0d9c845c4p-14, 0x1.39e64bbedc6ebp-14, 0x1.30be9bad13ba4p-14, 0x1.27d57755d8167p-14, 0x1.1f29613bc8ff6p-14, 0x1.16b8e4488ad57p-14, 0x1.0e82939e848ecp-14, 0x1.06850a6df5187p-14, 0x1.fd7dd794de13ap-15, 0x1.ee5dc4ff5f61bp-15, 0x1.dfa741cff89fbp-15, 0x1.d157c18827328p-15, 0x1.c36cc62768a88p-15, 0x1.b5e3dfdb7aa5dp-15, 0x1.a8baacb58942cp-15, 0x1.9beed85ef7752p-15, 0x1.8f7e1bcded774p-15, 0x1.83663cff77c33p-15, 0x1.77a50eaee1babp-15, 0x1.6c3870132a844p-15, 0x1.611e4c9862e97p-15, 0x1.56549ba0a6ec3p-15, 0x1.4bd9604157319p-15, 0x1.41aaa901e08aap-15, 0x1.37c68f9f0bfa4p-15, 0x1.2e2b38cd62bddp-15, 0x1.24d6d3fd522c3p-15, 0x1.1bc79b20311f8p-15, 0x1.12fbd26fa07dap-15, 0x1.0a71c83394664p-15, 0x1.0227d48d1ad3fp-15, 0x1.f438b27a20938p-16, 0x1.e49b82e3ab4e7p-16, 0x1.d575032519346p-16, 0x1.c6c22e177e781p-16, 0x1.b880103ffa587p-16, 0x1.aaabc7683339fp-16, 0x1.9d428243089bdp-16, 0x1.9041800ca46cdp-16, 0x1.83a6102fd938p-16, 0x1.776d91eca4df4p-16, 0x1.6b9573fe727c2p-16, 0x1.601b344a2c921p-16, 0x1.54fc5f86908e3p-16, 0x1.4a3690eb3769dp-16, 0x1.3fc771e0aeacep-16, 0x1.35acb9ac73f57p-16, 0x1.2be42d289d72p-16, 0x1.226b9e77dd368p-16, 0x1.1940ecb91b5cfp-16, 0x1.106203c106541p-16, 0x1.07ccdbd1b7074p-16, 0x1.fefef2ad0063bp-17, 0x1.eeefd93c9f4b5p-17, 0x1.df68a3304f5a5p-17, 0x1.d0659f2b4cc5ep-17, 0x1.c1e3320f0c90ep-17, 0x1.b3ddd680049d6p-17, 0x1.a6521c6c7a8e7p-17, 0x1.993ca895d56afp-17, 0x1.8c9a34182abaep-17, 0x1.80678bf6d9ccp-17, 0x1.74a190af83777p-17, 0x1.694535cda7a1fp-17, 0x1.5e4f8179f5b2ap-17, 0x1.53bd8c1241348p-17, 0x1.498c7fc57fa15p-17, 0x1.3fb9982df3627p-17, 0x1.364221eac7234p-17, 0x1.2d237a4807ad4p-17, 0x1.245b0ed746a0fp-17, 0x1.1be65d1768391p-17, 0x1.13c2f218f2d15p-17, 0x1.0bee6a2568efcp-17, 0x1.0466706b22114p-17, 0x1.fa517d46840f6p-18, 0x1.ec663983e7ffap-18, 0x1.df06c14e9cdbfp-18, 0x1.d22edb9b11686p-18, 0x1.c5da69f6bdac8p-18, 0x1.ba0567ef6ace3p-18, 0x1.aeabea8366496p-18, 0x1.a3ca1f870b09p-18, 0x1.995c4d1cad4d8p-18, 0x1.8f5ed12d51337p-18, 0x1.85ce20da48833p-18, 0x1.7ca6c7f9a2ae8p-18, 0x1.73e5688df543bp-18, 0x1.6b86ba507f652p-18, 0x1.63878a2ef7fa5p-18, 0x1.5be4b9d334747p-18, 0x1.549b3f23e33e8p-18, 0x1.4da823d751ef3p-18, 0x1.4708850337616p-18, 0x1.40b992a63b3d2p-18, 0x1.3ab88f3f3e869p-18, 0x1.3502cf63dab32p-18, 0x1.2f95b94cb69acp-18, 0x1.2a6ec479ad35ap-18, 0x1.258b794d86f2ep-18, 0x1.20e970a9176a1p-18, 0x1.1c86538971aa5p-18, 0x1.185fdaa8a67f7p-18, 0x1.1473ce265bf7bp-18, 0x1.10c0052e7400dp-18, 0x1.0d4265a0831f8p-18, 0x1.09f8e3b9dca3cp-18, 0x1.06e181b626456p-18, 0x1.03fa4f8d79cc6p-18, 0x1.01416a9e3e414p-18, 0x1.fd69fab313434p-19, 0x1.f8a67df8226f2p-19, 0x1.f434e680dcec6p-19, 0x1.f011d4346d66bp-19, 0x1.ec39fec0c326bp-19, 0x1.e8aa35366a3f7p-19, 0x1.e55f5d61616aep-19, 0x1.e25673435fc31p-19, 0x1.df8c88961d888p-19, 0x1.dcfec449ef8b2p-19, 0x1.daaa62066d6dcp-19, 0x1.d88cb1b4f43b8p-19, 0x1.d6a317022ea3dp-19, 0x1.d4eb08e6710abp-19, 0x1.d362112d4fdf6p-19, 0x1.d205cc0fd0172p-19, 0x1.d0d3e7c34a666p-19, 0x1.cfca2401406cep-19, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.a994d2f8d08abp-10, -0x1.a2ff8330e335bp-9, -0x1.324fa62a26508p-8, -0x1.8a43f34d4d475p-8, -0x1.d749ddc84f935p-8, -0x1.0be8aad361e61p-7, -0x1.2564dbbbc27f3p-7, -0x1.37cc005b10452p-7, -0x1.430436f333c57p-7, -0x1.471ed9b341de8p-7, -0x1.444fe69ad929ep-7, -0x1.3ae5ee19814dbp-7, -0x1.2b42f679b2119p-7, -0x1.15d67f011f56p-7, -0x1.f6313b3e79fadp-8, -0x1.b70c2bdc83ec4p-8, -0x1.6f3a796f2f367p-8, -0x1.1fb6f623ec149p-8, -0x1.92ed2accdd096p-9, -0x1.b59472949e3b3p-10, -0x1.8c4c954eac6dp-13, 0x1.62ffb0a91e3a2p-10, 0x1.828075bb716a6p-9, 0x1.2c6e68cf80bc9p-8, 0x1.99acddfee3c74p-8, 0x1.043896ab09695p-7, 0x1.3c222a865e19dp-7, 0x1.74614fcae9105p-7, 0x1.accd96226194bp-7, 0x1.e54794afe03a1p-7, 0x1.0edc32d63378dp-6, 0x1.2b08838eead0ap-6, 0x1.4724d3bd5dab1p-6, 0x1.63307280079f8p-6, 0x1.7f2d83121eeep-6, 0x1.9b20987e61f57p-6, 0x1.b710535601b97p-6, 0x1.d3050389b02e2p-6, 0x1.ef0850116aa64p-6, 0x1.059272cfa2462p-5, 0x1.13b31697de525p-5, 0x1.21ec05750c5cp-5, 0x1.304352b7d633p-5, 0x1.3ebf1ab95ff42p-5, 0x1.4d656e9ac43e8p-5, 0x1.5c3c43b349c2bp-5, 0x1.6b496658eb174p-5, 0x1.7a926fa539f9dp-5, 0x1.8a1cbdd3fe628p-5, 0x1.99ed6ed87b3cap-5, 0x1.aa095cc91c527p-5, 0x1.ba751bc6accfcp-5, 0x1.cb34f90baad8bp-5, 0x1.dc4cfad8cb194p-5, 0x1.edc0e0fd35479p-5, 0x1.ff9425c294772p-5, 0x1.08e4ff8757842p-4, 0x1.1232afcaba22bp-4, 0x1.1bb47bff72e88p-4, 0x1.256b9bf621b9fp-4, 0x1.2f59276757732p-4, 0x1.397e1643dd18fp-4, 0x1.43db40e8a2436p-4, 0x1.4e71603743c45p-4, 0x1.59410d95a7e7fp-4, 0x1.644ac2d891364p-4, 0x1.6f8eda1de4de8p-4, 0x1.7b0d8d9bf802cp-4, 0x1.86c6f76b87afep-4, 0x1.92bb115207361p-4, 0x1.9ee9b491cdc1bp-4, 0x1.ab5299c554a61p-4, 0x1.b7f558ca4c7aap-4, 0x1.c4d168c0bc741p-4, 0x1.d1e62021c1eedp-4, 0x1.df32b4f0eb248p-4, 0x1.ecb63d0a6cd67p-4, 0x1.fa6fae8fd762p-4, 0x1.042ef03a20c46p-3, 0x1.0b3fc5941f903p-3, 0x1.1269a4b2bbd72p-3, 0x1.19abcc8c86ad6p-3, 0x1.21056e35dc7e7p-3, 0x1.2875ad72f0d88p-3, 0x1.2ffba156ec401p-3, 0x1.379654eee3c96p-3, 0x1.3f44c7f78d799p-3, 0x1.4705ef9c38f6p-3, 0x1.4ed8b73dc0e51p-3, 0x1.56bc014003912p-3, 0x1.5eaea7dc5d229p-3, 0x1.66af7df7d996fp-3, 0x1.6ebd4ffb8f1c7p-3, 0x1.76d6e4add99c1p-3, 0x1.7efafe0b23093p-3, 0x1.87285a1cf7675p-3, 0x1.8f5db3ce37b39p-3, 0x1.9799c3bb585fdp-3, 0x1.9fdb40fdb1908p-3, 0x1.a820e1f0ec954p-3, 0x1.b0695cf1d503p-3, 0x1.b8b36915c23f8p-3, 0x1.c0fdbeda0da24p-3, 0x1.c94718cb094f5p-3, 0x1.d18e342210e2p-3, 0x1.d9d1d15a578b7p-3, 0x1.e210b4bc3b59ep-3, 0x1.ea49a6def1accp-3, 0x1.f27b75207436p-3, 0x1.faa4f213ada5fp-3, 0x1.01627af276f6ap-2, 0x1.056d2f5a64a21p-2, 0x1.09720874c140ap-2, 0x1.0d707bbba0ed5p-2, 0x1.1168020fa97d9p-2, 0x1.155817d35a9acp-2, 0x1.19403d022c356p-2, 0x1.1d1ff543aae85p-2, 0x1.20f6c7facbe8ap-2, 0x1.24c440519e55p-2, 0x1.2887ed419b6dp-2, 0x1.2c416198c1397p-2, 0x1.2ff033fbb144cp-2, 0x1.3393fee50fa33p-2, 0x1.372c60a24b315p-2, 0x1.3ab8fb4e14f81p-2, 0x1.3e3974c8ae49fp-2, 0x1.41ad76ae4a4bdp-2, 0x1.4514ae4bb2d8fp-2, 0x1.486ecc915e801p-2, 0x1.4bbb86052e228p-2, 0x1.4efa92b2f645bp-2, 0x1.522bae1c09beep-2, 0x1.554e9725e3a1dp-2, 0x1.586310082142ep-2, 0x1.5b68de39eb87ap-2, 0x1.5e5fca5eef2f5p-2, 0x1.6147a0340b387p-2, 0x1.64202e7bcd93bp-2, 0x1.66e946ead7a67p-2, 0x1.69a2be144b98cp-2, 0x1.6c4c6b564c1ccp-2, 0x1.6ee628c6afaa5p-2, 0x1.716fd31ff22f1p-2, 0x1.73e949ae77aaep-2, 0x1.76526e3e2a46bp-2, 0x1.78ab2508849cep-2, 0x1.7af354a31412cp-2, 0x1.7d2ae5ee72616p-2, 0x1.7f51c405c9a8ep-2, 0x1.8167dc2ede36cp-2, 0x1.836d1dcaaac0cp-2, 0x1.85617a4688ec1p-2, 0x1.8744e50df270bp-2, 0x1.8917537cd19e3p-2, 0x1.8ad8bcd263e33p-2, 0x1.8c891a24b2bf7p-2, 0x1.8e286654965e3p-2, 0x1.8fb69e024791p-2, 0x1.9133bf8278cf9p-2, 0x1.929fcad3f328cp-2, 0x1.93fac195b5d2dp-2, 0x1.9544a6fd88f5cp-2, 0x1.967d7fcf0c7cfp-2, 0x1.97a5525331568p-2, 0x1.98bc26501b5fep-2, 0x1.99c205016798bp-2, 0x1.9ab6f910cb9d2p-2, 0x1.9b9b0e8f0d169p-2, 0x1.9c6e52ed45b2fp-2, 0x1.9d30d4f6701ddp-2, 0x1.9de2a4c937d33p-2, 0x1.9e83d3d20370fp-2, 0x1.9f1474c5343f8p-2, 0x1.9f949b99953a3p-2, 0x1.a0045d82f21d7p-2, 0x1.a063d0ecd447ap-2, 0x1.a0b30d755b4f2p-2, 0x1.a0f22be82f8b1p-2, 0x1.a12146398633ep-2, 0x1.a140778139bebp-2, 0x1.a14fdbf5e3fb9p-2, 0x1.a14f90e80645fp-2, 0x1.a13fb4bd2e312p-2, 0x1.a12066eb1e295p-2, 0x1.a0f1c7f2eaa6p-2, 0x1.a0b3f95c14b83p-2, 0x1.a0671daf96865p-2, 0x1.a00b5872e4c9p-2, 0x1.9fa0ce22db9c4p-2, 0x1.9f27a42ea133p-2, 0x1.9ea000f26e97fp-2, 0x1.9e0a0bb245851p-2, 0x1.9d65ec94911e9p-2, 0x1.9cb3cc9cad9c5p-2, 0x1.9bf3d5a55ad74p-2, 0x1.9b26325b107d7p-2, 0x1.9a4b0e363fce4p-2, 0x1.996295757a10dp-2, 0x1.986cf5177ae5fp-2, 0x1.976a5ad51faf9p-2, 0x1.965af51b42d36p-2, 0x1.953ef3047d7a8p-2, 0x1.94168452d97c4p-2, 0x1.92e1d969639ebp-2, 0x1.91a12345b0a4ap-2, 0x1.905493794b0d8p-2, 0x1.8efc5c230d09cp-2, 0x1.8d98afe86b7b9p-2, 0x1.8c29c1eead9dap-2, 0x1.8aafc5d41a8c5p-2, 0x1.892aefa913e54p-2, 0x1.879b73e92b206p-2, 0x1.860187742783bp-2, 0x1.845d5f870892ap-2, 0x1.82af31b4fe6p-2, 0x1.80f733e0608dbp-2, 0x1.7f359c33a005dp-2, 0x1.7d6aa11a39241p-2, 0x1.7b967939a48dbp-2, 0x1.79b95b6a4e31p-2, 0x1.77d37eb08d271p-2, 0x1.75e51a35a37f2p-2, 0x1.73ee6540c665cp-2, 0x1.71ef97302e369p-2, 0x1.6fe8e772318c4p-2, 0x1.6dda8d7e72599p-2, 0x1.6bc4c0cf127b9p-2, 0x1.69a7b8d9fcf82p-2, 0x1.6783ad0a42258p-2, 0x1.6558d4b982c64p-2, 0x1.6327672973552p-2, 0x1.60ef9b7d754f1p-2, 0x1.5eb1a8b4467a6p-2, 0x1.5c6dc5a1cb01ap-2, 0x1.5a2428e8f0a0bp-2, 0x1.57d508f5ac351p-2, 0x1.55809bf717d97p-2, 0x1.532717d9a9323p-2, 0x1.50c8b24189974p-2, 0x1.4e65a0850de81p-2, 0x1.4bfe17a74d99ep-2, 0x1.49924c52db32ap-2, 0x1.472272d49ff35p-2, 0x1.44aebf16d87e1p-2, 0x1.4237649c35fdbp-2, 0x1.3fbc967b251fep-2, 0x1.3d3e87593449p-2, 0x1.3abd6966a633ep-2, 0x1.38396e5a2208ep-2, 0x1.35b2c76c8eff4p-2, 0x1.3329a55515d1dp-2, 0x1.309e384542be7p-2, 0x1.2e10afe556955p-2, 0x1.2b813b50b620bp-2, 0x1.28f0091287badp-2, 0x1.265d47226fac7p-2, 0x1.23c922e17c7cbp-2, 0x1.2133c91731282p-2, 0x1.1e9d65eebb537p-2, 0x1.1c0624f44edfep-2, 0x1.196e3112a600fp-2, 0x1.16d5b490a9577p-2, 0x1.143cd90f3b3c3p-2, 0x1.11a3c7872d43p-2, 0x1.0f0aa8475486fp-2, 0x1.0c71a2f2c82fap-2, 0x1.09d8de7f4081ap-2, 0x1.074081339b518p-2, 0x1.04a8b0a683353p-2, 0x1.021191bd3c179p-2, 0x1.fef6915519a63p-3, 0x1.f9cbf1dba0c2ap-3, 0x1.f4a38aa449043p-3, 0x1.ef7d9fdb75618p-3, 0x1.ea5a74428fc54p-3, 0x1.e53a492f2d271p-3, 0x1.e01d5e8a64a9p-3, 0x1.db03f2d07097ep-3, 0x1.d5ee43107b674p-3, 0x1.d0dc8aecb30b2p-3, 0x1.cbcf049a8d93fp-3, 0x1.c6c5e8e34453dp-3, 0x1.c1c16f248911ep-3, 0x1.bcc1cd516737ep-3, 0x1.b7c737f362933p-3, 0x1.b2d1e22bb944bp-3, 0x1.ade1fdb4e4244p-3, 0x1.a8f7bae4350c8p-3, 0x1.a41348abb1d83p-3, 0x1.9f34d49c0c664p-3, 0x1.9a5c8ae6cda25p-3, 0x1.958a9660a2db3p-3, 0x1.90bf2083d633ap-3, 0x1.8bfa5172e87f4p-3, 0x1.873c4ffb50115p-3, 0x1.828541985b9c5p-3, 0x1.7dd54a7632178p-3, 0x1.792c8d74f5d4cp-3, 0x1.748b2c2c01f9p-3, 0x1.6ff146ed479f8p-3, 0x1.6b5efcc8c39ep-3, 0x1.66d46b90106fp-3, 0x1.6251afda0b756p-3, 0x1.5dd6e5069bad6p-3, 0x1.596425428047fp-3, 0x1.54f9898b3ef0bp-3, 0x1.509729b32107fp-3, 0x1.4c3d1c654192dp-3, 0x1.47eb7729b0484p-3, 0x1.43a24e699c883p-3, 0x1.3f61b57396503p-3, 0x1.3b29be7fd9beep-3, 0x1.36fa7ab4a4436p-3, 0x1.32d3fa2a961e4p-3, 0x1.2eb64bf121f47p-3, 0x1.2aa17e12fb81cp-3, 0x1.26959d9a9a862p-3, 0x1.2292b696b86bap-3, 0x1.1e98d41ed95c5p-3, 0x1.1aa80057de238p-3, 0x1.16c0447890c81p-3, 0x1.12e1a8ce39f28p-3, 0x1.0f0c34c13b9a1p-3, 0x1.0b3feed9a042cp-3, 0x1.077cdcc3ba105p-3, 0x1.03c30354b74b1p-3, 0x1.0012668f38a74p-3, 0x1.f8d6134fcb941p-4, 0x1.f199de13fc931p-4, 0x1.ea7030b7d1d58p-4, 0x1.e3590d078077dp-4, 0x1.dc547357a075p-4, 0x1.d562628e3ed24p-4, 0x1.ce82d82bc915dp-4, 0x1.c7b5d053f6fbfp-4, 0x1.c0fb45d6a0d2p-4, 0x1.ba5332388d055p-4, 0x1.b3bd8dbc2c1aep-4, 0x1.ad3a4f6a3880ep-4, 0x1.a6c96d1a5ba7dp-4, 0x1.a06adb7ba55ddp-4, 0x1.9a1e8e1cffa57p-4, 0x1.93e477758d15ep-4, 0x1.8dbc88ecec511p-4, 0x1.87a6b2e369e1cp-4, 0x1.81a2e4ba175c6p-4, 0x1.7bb10cdad1c96p-4, 0x1.75d118c028653p-4, 0x1.7002f4fd2e169p-4, 0x1.6a468d45367d2p-4, 0x1.649bcc736fd06p-4, 0x1.5f029c926dcbp-4, 0x1.597ae6e390df5p-4, 0x1.540493e658aa2p-4, 0x1.4e9f8b5f9741dp-4, 0x1.494bb4608ee2p-4, 0x1.4408f54dec0ep-4, 0x1.3ed733e6ab4b4p-4, 0x1.39b6554adea9fp-4, 0x1.34a63e0257aefp-4, 0x1.2fa6d20334916p-4, 0x1.2ab7f4b8517eap-4, 0x1.25d989079db94p-4, 0x1.210b715851ee7p-4, 0x1.1c4d8f990a65bp-4, 0x1.179fc545c672bp-4, 0x1.1301f36dc67bp-4, 0x1.0e73fab950d32p-4, 0x1.09f5bb6f58b37p-4, 0x1.0587157b07186p-4, 0x1.0127e87127224p-4, 0x1.f9b0272aee61bp-5, 0x1.f12eebbfb887ep-5, 0x1.e8cbdc02ef412p-5, 0x1.e086b4d343cbap-5, 0x1.d85f32958fbf7p-5, 0x1.d055113e5dcbap-5, 0x1.c8680c5b2ee61p-5, 0x1.c097df1b9325ep-5, 0x1.b8e4445a05655p-5, 0x1.b14cf6a48cd61p-5, 0x1.a9d1b04535c4ep-5, 0x1.a2722b4a4296bp-5, 0x1.9b2e218e32e73p-5, 0x1.94054cbf952c3p-5, 0x1.8cf766689effbp-5, 0x1.860427f696f81p-5, 0x1.7f2b4ac1068fp-5, 0x1.786c8810bd96dp-5, 0x1.71c799269d0a5p-5, 0x1.6b3c37423ceb1p-5, 0x1.64ca1ba84d836p-5, 0x1.5e70ffa8e115fp-5, 0x1.58309ca56e7a4p-5, 0x1.5208ac16b7945p-5, 0x1.4bf8e7926fc1fp-5, 0x1.460108d0c6d77p-5, 0x1.4020c9b1b8a5dp-5, 0x1.3a57e4423627p-5, 0x1.34a612c126e7fp-5, 0x1.2f0b0fa435ac5p-5, 0x1.2986959c79e26p-5, 0x1.24185f9afcdap-5, 0x1.1ec028d504937p-5, 0x1.197dacc847556p-5, 0x1.1450a73ef1dfap-5, 0x1.0f38d45381a31p-5, 0x1.0a35f07486588p-5, 0x1.0547b8682f848p-5, 0x1.006de94fbc6d8p-5, 0x1.f750815595feap-6, 0x1.edecf8b4f8eb1p-6, 0x1.e4b0b548f1e72p-6, 0x1.db9b346bb38e6p-6, 0x1.d2abf44bcbdcp-6, 0x1.c9e273f16bf37p-6, 0x1.c13e334373645p-6, 0x1.b8beb30c2d532p-6, 0x1.b06374fdddc72p-6, 0x1.a82bfbb7110c9p-6, 0x1.a017cac6a9a4ep-6, 0x1.982666afc7832p-6, 0x1.905754ed5fc42p-6, 0x1.88aa1bf5ae672p-6, 0x1.811e433d733fp-6, 0x1.79b3533af47c7p-6, 0x1.7268d568cff5p-6, 0x1.6b3e54489a74fp-6, 0x1.64335b65558b9p-6, 0x1.5d477755b2ae6p-6, 0x1.567a35be22fc7p-6, 0x1.4fcb2552cdad9p-6, 0x1.4939d5d9472c1p-6, 0x1.42c5d82a1c8dap-6, 0x1.3c6ebe324f911p-6, 0x1.36341af48cf1fp-6, 0x1.3015828a57799p-6, 0x1.2a128a24f3bb6p-6, 0x1.242ac80e4455fp-6, 0x1.1e5dd3a972d59p-6, 0x1.18ab45738ca06p-6, 0x1.1312b703e57a7p-6, 0x1.0d93c30c68725p-6, 0x1.082e0559c0b19p-6, 0x1.02e11ad3743ap-6, 0x1.fb5942f797f1fp-7, 0x1.f12070df62985p-7, 0x1.e716ffccd64ffp-7, 0x1.dd3c326275beap-7, 0x1.d38f4d75d4484p-7, 0x1.ca0f980e5ace6p-7, 0x1.c0bc5b641beafp-7, 0x1.b794e2de3793fp-7, 0x1.ae987c113ebefp-7, 0x1.a5c676bd56475p-7, 0x1.9d1e24cc3daf4p-7, 0x1.949eda4f2a3f2p-7, 0x1.8c47ed7c88d03p-7, 0x1.8418b6ad73975p-7, 0x1.7c10905b41457p-7, 0x1.742ed71cb473cp-7, 0x1.6c72e9a33bf42p-7, 0x1.64dc28b7f5341p-7, 0x1.5d69f738b2d94p-7, 0x1.561bba14be677p-7, 0x1.4ef0d84995adap-7, 0x1.47e8badf9cf14p-7, 0x1.4102cce69620dp-7, 0x1.3a3e7b722cb72p-7, 0x1.339b35963f78bp-7, 0x1.2d186c6325447p-7, 0x1.26b592e1ec674p-7, 0x1.20721e1089538p-7, 0x1.1a4d84ddcc12p-7, 0x1.1447402593c2ap-7, 0x1.0e5ecaac7f5e8p-7, 0x1.0893a11c07c05p-7, 0x1.02e541fe3bf03p-7, 0x1.faa65b7323fa9p-8, 0x1.efb9cd1950fd9p-8, 0x1.e503e113f17ep-8, 0x1.da83a3270f8aap-8, 0x1.d03822acddb0fp-8, 0x1.c620728d2ebdcp-8, 0x1.bc3ba9345bb0cp-8, 0x1.b288e08a9c873p-8, 0x1.a90735ead71a5p-8, 0x1.9fb5ca19b805p-8, 0x1.9693c13c8e751p-8, 0x1.8da042d066312p-8, 0x1.84da79a0d50e9p-8, 0x1.7c4193bedab4p-8, 0x1.73d4c277cc752p-8, 0x1.6b933a4c3906p-8, 0x1.637c32e684f72p-8, 0x1.5b8ee71206fb7p-8, 0x1.53ca94b1da703p-8, 0x1.4c2e7cb79de78p-8, 0x1.44b9e31a52a2cp-8, 0x1.3d6c0ecd3c9c6p-8, 0x1.364449b6d9168p-8, 0x1.2f41e0a7a54fep-8, 0x1.2864235131c84p-8, 0x1.21aa643cfee9fp-8, 0x1.1b13f8c3811bp-8, 0x1.14a0390322462p-8, 0x1.0e4e7fd73550cp-8, 0x1.081e2acf3a119p-8, 0x1.020e9a25dd71p-8, 0x1.f83e6170724d8p-9, 0x1.ec9ea7f9e090dp-9, 0x1.e13cd7f700f5p-9, 0x1.d617c68713af9p-9, 0x1.cb2e4dc863bc3p-9, 0x1.c07f4cc6eaef6p-9, 0x1.b609a76b99da9p-9, 0x1.abcc466b08419p-9, 0x1.a1c61734d4136p-9, 0x1.97f60be297adcp-9, 0x1.8e5b1b2794d5bp-9, 0x1.84f44040441a5p-9, 0x1.7bc07ae1b45dep-9, 0x1.72becf2993417p-9, 0x1.69ee458debd14p-9, 0x1.614deacd46058p-9, 0x1.58dccfde9037p-9, 0x1.509a09e1e9c31p-9, 0x1.4884b2109a034p-9, 0x1.409be5ae0d9b4p-9, 0x1.38dec5f835962p-9, 0x1.314c7818aafc1p-9, 0x1.29e42515986bbp-9, 0x1.22a4f9c2c8dbep-9, 0x1.1b8e26b33ce82p-9, 0x1.149ee02a71ddap-9, 0x1.0dd65e0e07eb8p-9, 0x1.0733dbd7904b3p-9, 0x1.00b69886607ap-9, 0x1.f4bbad234ea04p-10, 0x1.e851b7b561a23p-10, 0x1.dc2de33e6cbdcp-10, 0x1.d04ec8d806bc9p-10, 0x1.c4b3081ee9674p-10, 0x1.b959471900f6bp-10, 0x1.ae40321ae9278p-10, 0x1.a3667bae7be51p-10, 0x1.98cadc792f8b2p-10, 0x1.8e6c132347b21p-10, 0x1.8448e43ee8b57p-10, 0x1.7a601a2f51823p-10, 0x1.70b08510f572fp-10, 0x1.6738faa12b362p-10, 0x1.5df8562702b09p-10, 0x1.54ed785b9a85ep-10, 0x1.4c17475384f87p-10, 0x1.4374ae679dcbdp-10, 0x1.3b049e1f02a2ep-10, 0x1.32c60c18bb6d7p-10, 0x1.2ab7f2f5d6cddp-10, 0x1.22d9524410fa9p-10, 0x1.1b292e6855787p-10, 0x1.13a6908a111f4p-10, 0x1.0c50867e96229p-10, 0x1.052622b4573bp-10, 0x1.fc4cf83e815bbp-11, 0x1.eea15c4885ae2p-11, 0x1.e147b10d155c7p-11, 0x1.d43e3ea72f66dp-11, 0x1.c78355a1dd3adp-11, 0x1.bb154ed161f57p-11, 0x1.aef28b2f5984fp-11, 0x1.a31973b5e9c7cp-11, 0x1.9788793c212e5p-11, 0x1.8c3e145219eb9p-11, 0x1.8138c51f0060cp-11, 0x1.7677133e70342p-11, 0x1.6bf78d9f0e3bap-11, 0x1.61b8ca60eb3bep-11, 0x1.57b966b4c8bc2p-11, 0x1.4df806bc630fcp-11, 0x1.44735569ec6eap-11, 0x1.3b2a04613a6d3p-11, 0x1.321acbd930edap-11, 0x1.29446a7d90255p-11, 0x1.20a5a550c148ap-11, 0x1.183d478e986f1p-11, 0x1.100a228feacfep-11, 0x1.080b0dace335fp-11, 0x1.003ee622adb04p-11, 0x1.f1491ded5f5c2p-12, 0x1.e275e1b8e6d19p-12, 0x1.d401f433d3e0ep-12, 0x1.c5eb3cdd0fdb6p-12, 0x1.b82fadf09ac6cp-12, 0x1.aacd4435faec4p-12, 0x1.9dc206ce670c9p-12, 0x1.910c0702fefdp-12, 0x1.84a96014ece9p-12, 0x1.7898370e8e094p-12, 0x1.6cd6ba9417d98p-12, 0x1.616322b5e264cp-12, 0x1.563bb0c38cfddp-12, 0x1.4b5eaf1eb515p-12, 0x1.40ca710feacfcp-12, 0x1.367d529cc1cd5p-12, 0x1.2c75b85b74e07p-12, 0x1.22b20f4c74cacp-12, 0x1.1930ccaef28bep-12, 0x1.0ff06ddaad9d5p-12, 0x1.06ef7817822c2p-12, 0x1.fc58f0ee01accp-13, 0x1.eb4c075e7b382p-13, 0x1.dab56be86ed93p-13, 0x1.ca9265a894c09p-13, 0x1.bae04a26aec36p-13, 0x1.ab9c7d1070049p-13, 0x1.9cc46ff2f185cp-13, 0x1.8e55a1f5ba3dcp-13, 0x1.804d9f98a0c46p-13, 0x1.72aa0271a3fc6p-13, 0x1.656870eb3d567p-13, 0x1.58869e06bb4d7p-13, 0x1.4c02491c2562p-13, 0x1.3fd93d9de68f1p-13, 0x1.340952dbbb7dcp-13, 0x1.28906bc886eb9p-13, 0x1.1d6c76be5296bp-13, 0x1.129b6d475bcc5p-13, 0x1.081b53e4c8fcbp-13, 0x1.fbd473b136233p-14, 0x1.e80c71dceb115p-14, 0x1.d4daea9132386p-14, 0x1.c23c3a53fd11ep-14, 0x1.b02cd18678ff5p-14, 0x1.9ea9340497e47p-14, 0x1.8dadf8bd22ddfp-14, 0x1.7d37c955a837cp-14, 0x1.6d4361c989b57p-14, 0x1.5dcd900d54d54p-14, 0x1.4ed333b379466p-14, 0x1.40513d93aefa9p-14, 0x1.3244af7004b3ep-14, 0x1.24aa9ba1d33e8p-14, 0x1.178024c2768adp-14, 0x1.0ac27d58ee61ep-14, 0x1.fcddcf12a1305p-15, 0x1.e5056985fbac7p-15, 0x1.cdf68ae95506p-15, 0x1.b7ac11795527bp-15, 0x1.a220f83e00096p-15, 0x1.8d5056712ccacp-15, 0x1.79355ef51b8b8p-15, 0x1.65cb5fbee5412p-15, 0x1.530dc14c52f78p-15, 0x1.40f8061b95b09p-15, 0x1.2f85ca251bc77p-15, 0x1.1eb2c252b518ep-15, 0x1.0e7abc061e28cp-15, 0x1.fdb339209a021p-16, 0x1.df96c175d4ebbp-16, 0x1.c298389a5704cp-16, 0x1.a6aff31f4c508p-16, 0x1.8bd671bab0047p-16, 0x1.7204605461636p-16, 0x1.5932952de12b8p-16, 0x1.415a0ff7918dap-16, 0x1.2a73f90143baep-16, 0x1.1479a067ffae2p-16, 0x1.fec8fa6d0ce1dp-17, 0x1.d65c5942f24ebp-17, 0x1.afa0e279f0bfdp-17, 0x1.8a8a6468ae573p-17, 0x1.670cf51ed5d61p-17, 0x1.451cf0d444e35p-17, 0x1.24aef88cf4257p-17, 0x1.05b7f09a99c66p-17, 0x1.d059fe7316dbep-18, 0x1.9807166f06a85p-18, 0x1.62627523e2033p-18, 0x1.2f57e2787f943p-18, 0x1.fda73ee12498ep-19, 0x1.a184c76634446p-19, 0x1.4a22b672e5fdfp-19, 0x1.eeb88e9074529p-20, 0x1.521b2822c6ce3p-20, 0x1.7c4e43dced408p-21, 0x1.94c07c2874ed2p-23, -0x1.435366b6ea47ap-22, -0x1.98c195f641946p-21, -0x1.404b653aa0732p-20, -0x1.acd2c0d7bd766p-20, -0x1.0919bb5399bf4p-19, -0x1.385453d3a3bdcp-19, -0x1.64360289fe8a4p-19, -0x1.8cdaec11d5821p-19, -0x1.b25e84ff283c6p-19, -0x1.d4db9547f41d1p-19, -0x1.f46c3c49480c4p-19, -0x1.0894fa23913ecp-18, }}, 
      {{-0x1.cc3b3bc635926p-7, -0x1.c7ec453d38d5dp-7, -0x1.c00b9e444d718p-7, -0x1.b3de51fa986efp-7, -0x1.a2b16d5c84994p-7, -0x1.8bef0e7f2d6ap-7, -0x1.6f27c463a07a1p-7, -0x1.4c14e3258a82p-7, -0x1.2296ef73ec6e1p-7, -0x1.e564157620f3cp-8, -0x1.7912e7ba96439p-8, -0x1.00b55f3edd798p-8, -0x1.f3c531b404d4bp-10, 0x1.1723d16bcb7acp-12, 0x1.532bdf9239405p-9, 0x1.4a8aa76bbf486p-8, 0x1.f35901e3f4799p-8, 0x1.518408cad2d82p-7, 0x1.ac518b210e2fcp-7, 0x1.04cf8cf582efdp-6, 0x1.347e8a450d2f5p-6, 0x1.6501c4673ab84p-6, 0x1.962991ac47dbap-6, 0x1.c7caddf32be29p-6, 0x1.f9bf45ed766ddp-6, 0x1.15f287819809ap-5, 0x1.2f0f81a196b69p-5, 0x1.482a1c2e62c56p-5, 0x1.6137e3f8ece0ap-5, 0x1.7a303f5d75702p-5, 0x1.930c438830c6fp-5, 0x1.abc68942631e8p-5, 0x1.c45b02afe29c1p-5, 0x1.dcc6d3017872bp-5, 0x1.f50828c9d86aap-5, 0x1.068f0dad24ebbp-4, 0x1.128445a8c07e8p-4, 0x1.1e64032d11cefp-4, 0x1.2a2ed6fab75b6p-4, 0x1.35e5908c0f839p-4, 0x1.418934292544p-4, 0x1.4d1af21a5f05dp-4, 0x1.589c1ed2d318dp-4, 0x1.640e2bed0bd98p-4, 0x1.6f72a1d820556p-4, 0x1.7acb1a17386e5p-4, 0x1.861939fa17ffp-4, 0x1.915eadba02fd6p-4, 0x1.9c9d23eaca95bp-4, 0x1.a7d649340c461p-4, 0x1.b30bc44a5ea24p-4, 0x1.be3f32235dd84p-4, 0x1.c972226212db3p-4, 0x1.d4a613fb64ce6p-4, 0x1.dfdc7213a9109p-4, 0x1.eb1691177c0e3p-4, 0x1.f655ac129d44ap-4, 0x1.00cd7123f6924p-3, 0x1.06739a869bb3fp-3, 0x1.0c1dc2f6d1f74p-3, 0x1.11cc4a8a4ca5p-3, 0x1.177f800153ac7p-3, 0x1.1d37a0468194cp-3, 0x1.22f4d613c4cc1p-3, 0x1.28b739bc1e9eep-3, 0x1.2e7ed1195d75ap-3, 0x1.344b8f9c8090ap-3, 0x1.3a1d567f55977p-3, 0x1.3ff3f5156608ap-3, 0x1.45cf293a23e6p-3, 0x1.4bae9fda0f4fap-3, 0x1.5191f59453d18p-3, 0x1.5778b7725d086p-3, 0x1.5d6263b2a20dfp-3, 0x1.634e6aa4193ccp-3, 0x1.693c2f8f8d93bp-3, 0x1.6f2b09ac3f5fep-3, 0x1.751a451d3b971p-3, 0x1.7b0923f4eece8p-3, 0x1.80f6df3ca3d43p-3, 0x1.86e2a7fd9df06p-3, 0x1.8ccba849d6cb1p-3, 0x1.92b1044262aa7p-3, 0x1.9891db19c5dfdp-3, 0x1.9e6d4810a967dp-3, 0x1.a442636b7b8b8p-3, 0x1.aa10435fd6b8fp-3, 0x1.afd5fcf88e0fdp-3, 0x1.b592a4ef83bafp-3, 0x1.bb45507c8b183p-3, 0x1.c0ed1618c4aa9p-3, 0x1.c6890e35fa743p-3, 0x1.cc1853e9babecp-3, 0x1.d19a058bf907cp-3, 0x1.d70d45492c447p-3, 0x1.dc7139a7e5368p-3, 0x1.e1c50e02143afp-3, 0x1.e707f2f21d5e8p-3, 0x1.ec391eb4154e8p-3, 0x1.f157cd7b7652cp-3, 0x1.f66341bdb7bd7p-3, 0x1.fb5ac4723e918p-3, 0x1.001ed2a40cdc5p-2, 0x1.02859d690d04bp-2, 0x1.04e17154e1839p-2, 0x1.073200c4d5618p-2, 0x1.097701afe9ed4p-2, 0x1.0bb02dac49cbp-2, 0x1.0ddd41f14bf7bp-2, 0x1.0ffdff5647d6p-2, 0x1.12122a4e89719p-2, 0x1.14198ae2a4da6p-2, 0x1.1613eca769b1ap-2, 0x1.18011eb2bb82ap-2, 0x1.19e0f38e8b29cp-2, 0x1.1bb3412a2b566p-2, 0x1.1d77e0ca339d4p-2, 0x1.1f2eaef731e12p-2, 0x1.20d78b6b4e923p-2, 0x1.227258ff1d613p-2, 0x1.23fefd95bbd4ap-2, 0x1.257d62086d3dcp-2, 0x1.26ed7211d3b97p-2, 0x1.284f1c38eb9e1p-2, 0x1.29a251bbe1879p-2, 0x1.2ae7067ae9447p-2, 0x1.2c1d30e320a2dp-2, 0x1.2d44c9d9a1bd2p-2, 0x1.2e5dcca6cd21dp-2, 0x1.2f6836e1e395cp-2, 0x1.3064085cfae0ep-2, 0x1.315143115bb7bp-2, 0x1.322feb0c503bfp-2, 0x1.3300065c70b6ap-2, 0x1.33c19cff6fdcdp-2, 0x1.3474b8d06d39p-2, 0x1.35196576d36f7p-2, 0x1.35afb055c420cp-2, 0x1.3637a87c0c943p-2, 0x1.36b15e94ad469p-2, 0x1.371ce4d7eb224p-2, 0x1.377a4efce97e2p-2, 0x1.37c9b22bcff8fp-2, 0x1.380b24f06efddp-2, 0x1.383ebf2d69fc8p-2, 0x1.38649a0fd9b2ap-2, 0x1.387cd00366f6bp-2, 0x1.38877ca6d619dp-2, 0x1.3884bcc102705p-2, 0x1.3874ae363a9bdp-2, 0x1.38576ffe04302p-2, 0x1.382d2219389fbp-2, 0x1.37f5e58876292p-2, 0x1.37b1dc42e6875p-2, 0x1.3761292d479a7p-2, 0x1.3703f011441c2p-2, 0x1.369a559501fb9p-2, 0x1.36247f32f2b26p-2, 0x1.35a29331d77ebp-2, 0x1.3514b89cf279fp-2, 0x1.347b173c6b94ap-2, 0x1.33d5d78dd6ffap-2, 0x1.332522bce47bbp-2, 0x1.3269229c2d022p-2, 0x1.31a2019e1d03bp-2, 0x1.30cfeacdfa5ccp-2, 0x1.2ff309c8fd324p-2, 0x1.2f0b8ab781e17p-2, 0x1.2e199a4648908p-2, 0x1.2d1d659fc6581p-2, 0x1.2c171a65824bcp-2, 0x1.2b06e6a97df26p-2, 0x1.29ecf8e7aaf01p-2, 0x1.28c97fff66d85p-2, 0x1.279cab2cfe7ap-2, 0x1.2666aa033d7c7p-2, 0x1.2527ac64fd1aap-2, 0x1.23dfe27ebe4e5p-2, 0x1.228f7cc048d13p-2, 0x1.2136abd64ef4ep-2, 0x1.1fd5a0a418f4ep-2, 0x1.1e6c8c3d33ccep-2, 0x1.1cfb9fdf2a9dep-2, 0x1.1b830ceb40f3dp-2, 0x1.1a0304e03c707p-2, 0x1.187bb9542f56ep-2, 0x1.16ed5bee4f681p-2, 0x1.15581e60d6dc7p-2, 0x1.13bc3262ee9a6p-2, 0x1.1219c9aaa59e1p-2, 0x1.107115e6f20e8p-2, 0x1.0ec248b9c45a6p-2, 0x1.0d0d93b224733p-2, 0x1.0b53284661f0dp-2, 0x1.099337ce547bcp-2, 0x1.07cdf37dac7cep-2, 0x1.06038c5e5a3adp-2, 0x1.0434334b07711p-2, 0x1.026018e9a3cfbp-2, 0x1.00876da60e822p-2, 0x1.fd54c3599c738p-3, 0x1.f99249cbd70c8p-3, 0x1.f5c7cddfbb4d4p-3, 0x1.f1f5ae352700ap-3, 0x1.ee1c48c53962p-3, 0x1.ea3bfad8cf7a4p-3, 0x1.e65520ff4436ep-3, 0x1.e26817056ef5ap-3, 0x1.de7537ecd7b77p-3, 0x1.da7cdde32e2d9p-3, 0x1.d67f623a0806p-3, 0x1.d27d1d5ed23c7p-3, 0x1.ce7666d317bdap-3, 0x1.ca6b9524fa2e3p-3, 0x1.c65cfde7ff225p-3, 0x1.c24af5ae14c05p-3, 0x1.be35d000ead3dp-3, 0x1.ba1ddf5b87b1fp-3, 0x1.b603752428c27p-3, 0x1.b1e6e1a66f8f8p-3, 0x1.adc8740dcd499p-3, 0x1.a9a87a6040f9fp-3, 0x1.a587417955ebap-3, 0x1.a16515056f7bep-3, 0x1.9d423f7d5a67fp-3, 0x1.991f0a222aa19p-3, 0x1.94fbbcf95878cp-3, 0x1.90d89ec93154bp-3, 0x1.8cb5f51580b96p-3, 0x1.8894041c8e9efp-3, 0x1.84730ed458b8p-3, 0x1.805356e8159bbp-3, 0x1.7c351cb5fbaa1p-3, 0x1.78189f4d49e91p-3, 0x1.73fe1c6c93bb8p-3, 0x1.6fe5d08051337p-3, 0x1.6bcff6a1ab35ap-3, 0x1.67bcc8958b571p-3, 0x1.63ac7ecbe5c8dp-3, 0x1.5f9f505f4379fp-3, 0x1.5b95731487287p-3, 0x1.578f1b5aee426p-3, 0x1.538c7c4c468dfp-3, 0x1.4f8dc7ad62451p-3, 0x1.4b932deebe549p-3, 0x1.479cde2d5f245p-3, 0x1.43ab0633dea15p-3, 0x1.3fbdd27bb293ep-3, 0x1.3bd56e2e9b6b4p-3, 0x1.37f203284d17ap-3, 0x1.3413b9f8378ecp-3, 0x1.303ab9e38c01cp-3, 0x1.2c6728e75c76p-3, 0x1.28992bbaf1e8p-3, 0x1.24d0e5d243da3p-3, 0x1.210e796094d6p-3, 0x1.1d52075b3843fp-3, 0x1.199baf7c78cfap-3, 0x1.15eb90469e762p-3, 0x1.1241c70718a4ap-3, 0x1.0e9e6fd9c55e4p-3, 0x1.0b01a5ac5649dp-3, 0x1.076b8241ce60dp-3, 0x1.03dc1e361bc3dp-3, 0x1.00539101ccd3dp-3, 0x1.f9a3e1fbb30d3p-4, 0x1.f2aea6cf05711p-4, 0x1.ebc798c88ef7ap-4, 0x1.e4eede0bd7ff2p-4, 0x1.de249a9d2ce87p-4, 0x1.d768f069e7b5p-4, 0x1.d0bbff50eca9ap-4, 0x1.ca1de52b3503bp-4, 0x1.c38ebdd475d49p-4, 0x1.bd0ea333e14p-4, 0x1.b69dad44f7904p-4, 0x1.b03bf2206d65bp-4, 0x1.a9e986052541ap-4, 0x1.a3a67b6131db9p-4, 0x1.9d72e2daddbe9p-4, 0x1.974ecb59cad33p-4, 0x1.913a421012f75p-4, 0x1.8b355283680f4p-4, 0x1.854006963ed2p-4, 0x1.7f5a6690f9687p-4, 0x1.7984792b0fc2dp-4, 0x1.73be43943a0bp-4, 0x1.6e07c97d921ddp-4, 0x1.68610d22b39bfp-4, 0x1.62ca0f52d2a7fp-4, 0x1.5d42cf79cd8a9p-4, 0x1.57cb4ba92fbc6p-4, 0x1.526380a12d5fdp-4, 0x1.4d0b69d990d44p-4, 0x1.47c3018a99b04p-4, 0x1.428a40b5cbe58p-4, 0x1.3d611f2eb2ef3p-4, 0x1.384793a38e4e1p-4, 0x1.333d93a5ecf48p-4, 0x1.2e4313b334fe2p-4, 0x1.2958073d19493p-4, 0x1.247c60b1f6c86p-4, 0x1.1fb011851bd7ep-4, 0x1.1af30a36f7a4ap-4, 0x1.16453a5d34ff5p-4, 0x1.11a690aab854bp-4, 0x1.0d16faf78640bp-4, 0x1.0896664890f8fp-4, 0x1.0424bed76991ap-4, 0x1.ff83e033ab483p-5, 0x1.f6dbc99294c8dp-5, 0x1.ee510dd4993fbp-5, 0x1.e5e37fa764f1dp-5, 0x1.dd92f06b8ed0dp-5, 0x1.d55f3042aa4dep-5, 0x1.cd480e1d1923cp-5, 0x1.c54d57c7a859cp-5, 0x1.bd6ed9f8eb213p-5, 0x1.b5ac605e56b84p-5, 0x1.ae05b5a92a93fp-5, 0x1.a67aa39b1285fp-5, 0x1.9f0af3128c03ep-5, 0x1.97b66c17164d9p-5, 0x1.907cd5e51964dp-5, 0x1.895df6f998f1ep-5, 0x1.8259951d9bdd2p-5, 0x1.7b6f757166df1p-5, 0x1.749f5c776c796p-5, 0x1.6de90e1f04fe1p-5, 0x1.674c4dcee95fp-5, 0x1.60c8de6f6b7c9p-5, 0x1.5a5e827475cffp-5, 0x1.540cfbe74f445p-5, 0x1.4dd40c701d9f2p-5, 0x1.47b3755f353dcp-5, 0x1.41aaf7b623292p-5, 0x1.3bba54307d752p-5, 0x1.35e14b4c809c4p-5, 0x1.301f9d53694cbp-5, 0x1.2a750a619b8b8p-5, 0x1.24e1526e8e079p-5, 0x1.1f6435547c127p-5, 0x1.19fd72d7e05c5p-5, 0x1.14accaaeb655fp-5, 0x1.0f71fc8789f6bp-5, 0x1.0a4cc8104f36cp-5, 0x1.053cecfcfe137p-5, 0x1.00422b0e09fcp-5, 0x1.f6b8842d1eb5dp-6, 0x1.ed15e404bb2d3p-6, 0x1.e39bf5b79cce8p-6, 0x1.da4a39a2bf341p-6, 0x1.d120307656cfdp-6, 0x1.c81d5b4046729p-6, 0x1.bf413b764820bp-6, 0x1.b68b52ffad0c7p-6, 0x1.adfb243ec91fap-6, 0x1.a5903219fb4c9p-6, 0x1.9d4a00046e18cp-6, 0x1.952812066f4dcp-6, 0x1.8d29ecc581ffdp-6, 0x1.854f158c086f8p-6, 0x1.7d971250affe5p-6, 0x1.760169bd85e1ap-6, 0x1.6e8da336b493ep-6, 0x1.673b46e101f06p-6, 0x1.6009dda7fd173p-6, 0x1.58f8f143d5c34p-6, 0x1.52080c3efd70cp-6, 0x1.4b36b9fb79b47p-6, 0x1.448486b7ebfadp-6, 0x1.3df0ff945b5afp-6, 0x1.377bb296c130dp-6, 0x1.31242eaf4ea54p-6, 0x1.2aea03bc700fdp-6, 0x1.24ccc28e9759ap-6, 0x1.1ecbfcebc9db6p-6, 0x1.18e74592f7585p-6, 0x1.131e303f11a45p-6, 0x1.0d7051a9f0eb4p-6, 0x1.07dd3f8efe449p-6, 0x1.026490adab9cep-6, 0x1.fa0bb9977a5b1p-7, 0x1.ef81796eafb09p-7, 0x1.e5299491c7c47p-7, 0x1.db0340c9854a8p-7, 0x1.d10db5f9a496dp-7, 0x1.c7482e239cb6p-7, 0x1.bdb1e568e77cep-7, 0x1.b44a1a0d1f5f3p-7, 0x1.ab100c77a2d56p-7, 0x1.a202ff3518cc2p-7, 0x1.992236f86df87p-7, 0x1.906cfa9bd22afp-7, 0x1.87e2932124ae8p-7, 0x1.7f824bb253fbbp-7, 0x1.774b71a152767p-7, 0x1.6f3d5467ed9d9p-7, 0x1.675745a74df8fp-7, 0x1.5f9899273ebb6p-7, 0x1.5800a4d557d6fp-7, 0x1.508ec0c3bd1bap-7, 0x1.49424727d7b4p-7, 0x1.421a9458cf09ap-7, 0x1.3b1706cdbb266p-7, 0x1.3436ff1bbaf06p-7, 0x1.2d79dff3e2fd7p-7, 0x1.26df0e20e698fp-7, 0x1.2065f084c134fp-7, 0x1.1a0df01604a94p-7, 0x1.13d677dd2946bp-7, 0x1.0dbef4f1a6bfp-7, 0x1.07c6d676f056dp-7, 0x1.01ed8d9942ca6p-7, 0x1.f8651b14dd12fp-8, 0x1.ed2a96fccc8dcp-8, 0x1.e22a7d4f79495p-8, 0x1.d763c06820d99p-8, 0x1.ccd556909db25p-8, 0x1.c27e39f9bdd5fp-8, 0x1.b85d68b38d698p-8, 0x1.ae71e4a5438dfp-8, 0x1.a4bab3853d93ep-8, 0x1.9b36ded0a0f56p-8, 0x1.91e573c2f56e2p-8, 0x1.88c5834d9b9c2p-8, 0x1.7fd6220f20297p-8, 0x1.7716684a73a8p-8, 0x1.6e8571ddf90d6p-8, 0x1.66225e3a95063p-8, 0x1.5dec505a9479dp-8, 0x1.55e26eb87fa17p-8, 0x1.4e03e345f350cp-8, 0x1.464fdb6243ebcp-8, 0x1.3ec587d112911p-8, 0x1.37641cb1091cfp-8, 0x1.302ad17238b8ap-8, 0x1.2918e0ccc5417p-8, 0x1.222d88b73d176p-8, 0x1.1b680a5d1f5c5p-8, 0x1.14c7aa1530a9ep-8, 0x1.0e4baf5805418p-8, 0x1.07f364b64c308p-8, 0x1.01be17cf3c3a1p-8, 0x1.f756328dd2ca9p-9, 0x1.eb7379796e81p-9, 0x1.dfd2b1836b815p-9, 0x1.d4728d9e26796p-9, 0x1.c951c67923937p-9, 0x1.be6f1a6dcdd5ep-9, 0x1.b3c94d6c97e67p-9, 0x1.a95f28e9bc8a1p-9, 0x1.9f2f7bcaad186p-9, 0x1.95391a52f4e24p-9, 0x1.8b7ade11842e5p-9, 0x1.81f3a5ce0ca85p-9, 0x1.78a255764f2dep-9, 0x1.6f85d60bb8fb8p-9, 0x1.669d159113fd3p-9, 0x1.5de706f7f8a2cp-9, 0x1.5562a20ee5c5ap-9, 0x1.4d0ee36efd5c5p-9, 0x1.44eacc6a38864p-9, 0x1.3cf562f98512bp-9, 0x1.352db1ab2b171p-9, 0x1.2d92c79133149p-9, 0x1.2623b82ff6e75p-9, 0x1.1edf9b6cf9a37p-9, 0x1.17c58d7da97dep-9, 0x1.10d4aed68c1b1p-9, 0x1.0a0c241a5338bp-9, 0x1.036b16091affdp-9, 0x1.f9e162e00293p-10, 0x1.ed384e31aa306p-10, 0x1.e0d957735a97ep-10, 0x1.d4c2efca8c1f1p-10, 0x1.c8f38ff5411d8p-10, 0x1.bd69b82b5f86ep-10, 0x1.b223efff1f35bp-10, 0x1.a720c63e78e9fp-10, 0x1.9c5ed0d4c7f29p-10, 0x1.91dcacac9fa11p-10, 0x1.8798fd9216f5cp-10, 0x1.7d926e1521ce5p-10, 0x1.73c7af6cd7a58p-10, 0x1.6a37795a74842p-10, 0x1.60e08a0d62884p-10, 0x1.57c1a606ba109p-10, 0x1.4ed997fddb60ep-10, 0x1.462730c4cedb5p-10, 0x1.3da9472da28d2p-10, 0x1.355eb7ef89cecp-10, 0x1.2d46658ca145dp-10, 0x1.255f3837fc15bp-10, 0x1.1da81dbc1545p-10, 0x1.162009612f1f1p-10, 0x1.0ec5f3d4c30d4p-10, 0x1.0798db10fdd3p-10, 0x1.0097c24446b56p-10, 0x1.f3836372aa201p-11, 0x1.e62b6d7f46ba2p-11, 0x1.d925c7289f94p-11, 0x1.cc709e95ef039p-11, 0x1.c00a2b6edd81ep-11, 0x1.b3f0aeaeb4ccfp-11, 0x1.a82272789c13ap-11, 0x1.9c9dc9ec3f50ap-11, 0x1.916110fb23222p-11, 0x1.866aac3f47404p-11, 0x1.7bb908d1788f1p-11, 0x1.714a9c210b07ap-11, 0x1.671de3cb5d226p-11, 0x1.5d316574cb6cep-11, 0x1.5383aea1b94a2p-11, 0x1.4a135490abbefp-11, 0x1.40def414447cep-11, 0x1.37e5316efe643p-11, 0x1.2f24b82e5acd9p-11, 0x1.269c3b0716116p-11, 0x1.1e4a73b1fa5adp-11, 0x1.162e22c95a784p-11, 0x1.0e460fa72a113p-11, 0x1.069108432d81ep-11, 0x1.fe1bc224c6c61p-12, 0x1.ef76e9ccfc924p-12, 0x1.e131499c0c89ep-12, 0x1.d348afe9ab2f1p-12, 0x1.c5baf70beb9c1p-12, 0x1.b886051973b7cp-12, 0x1.aba7cbaf12e88p-12, 0x1.9f1e47b4929e4p-12, 0x1.92e7812405ec6p-12, 0x1.87018ad0c5d24p-12, 0x1.7b6a823044244p-12, 0x1.70208f23dd5c5p-12, 0x1.6521e3c3392d8p-12, 0x1.5a6cbc27e97ffp-12, 0x1.4fff5e39bcaa5p-12, 0x1.45d8197c17951p-12, 0x1.3bf546dbf4b22p-12, 0x1.3255487f3ffc4p-12, 0x1.28f68994de8cep-12, 0x1.1fd77e26141f9p-12, 0x1.16f6a2e7a33aap-12, 0x1.0e527d0cfe844p-12, 0x1.05e99a1b4c9adp-12, 0x1.fb751f7b66adp-13, 0x1.eb87f73521ab9p-13, 0x1.dc09065367c79p-13, 0x1.ccf5a71644787p-13, 0x1.be4b42bbcfa1bp-13, 0x1.b00751319c7fcp-13, 0x1.a22758c5858c9p-13, 0x1.94a8edda6117dp-13, 0x1.8789b29c604cep-13, 0x1.7ac756b83d003p-13, 0x1.6e5f9711feff9p-13, 0x1.62503d7ec8e8dp-13, 0x1.5697207f08138p-13, 0x1.4b3222f9f38cfp-13, 0x1.401f33fb590cap-13, 0x1.355c4e718d09p-13, 0x1.2ae778ee00249p-13, 0x1.20bec5660b8b9p-13, 0x1.16e050f43183ep-13, 0x1.0d4a439cdf1a8p-13, 0x1.03fad0117643ep-13, 0x1.f5e066f01a4c7p-14, 0x1.e4516a6257f4fp-14, 0x1.d3454d418d613p-14, 0x1.c2b8c5ed5420ep-14, 0x1.b2a89df34b3abp-14, 0x1.a311b1a443279p-14, 0x1.93f0efae4abddp-14, 0x1.854358b653fd6p-14, 0x1.7705fef73d1eep-14, 0x1.693605dee984fp-14, 0x1.5bd0a1b14aeap-14, 0x1.4ed317292e0e8p-14, 0x1.423abb1e02d24p-14, 0x1.3604f22bc8aap-14, 0x1.2a2f30595dd4ap-14, 0x1.1eb6f8c398434p-14, 0x1.1399dd49da124p-14, 0x1.08d57e3ce0293p-14, 0x1.fccf1417c94fdp-15, 0x1.e89b79ef011ebp-15, 0x1.d50bc188ac95dp-15, 0x1.c21b98daf1b42p-15, 0x1.afc6c7ba765fep-15, 0x1.9e092f442ed44p-15, 0x1.8cdec953da9cep-15, 0x1.7c43a7f4cb292p-15, 0x1.6c33f4df5fc54p-15, 0x1.5cabf0ef075e5p-15, 0x1.4da7f3a121e36p-15, 0x1.3f246a9581107p-15, 0x1.311dd9106891dp-15, 0x1.2390d7814ae25p-15, 0x1.167a130b683a5p-15, 0x1.09d64d1035fa8p-15, 0x1.fb44b577f3e1cp-16, 0x1.e3b6492eb4611p-16, 0x1.ccfb4c2a0022bp-16, 0x1.b70dda5003e2fp-16, 0x1.a1e833baa9539p-16, 0x1.8d84bbdfed4d6p-16, 0x1.79ddf8d4b6f24p-16, 0x1.66ee927bc9c85p-16, 0x1.54b151cb71c27p-16, 0x1.4321200ba7bfp-16, 0x1.3239061d9642dp-16, 0x1.21f42bcbc5423p-16, 0x1.124dd710b6d55p-16, 0x1.03416b721a386p-16, 0x1.e994d2a0546d2p-17, 0x1.cdc8da8c2ec88p-17, 0x1.b3165f08585d8p-17, 0x1.9975065810ap-17, 0x1.80dcab793d85ap-17, 0x1.69455cefedd7dp-17, 0x1.52a75b971efedp-17, 0x1.3cfb198a56b7p-17, 0x1.283938fb27e57p-17, 0x1.145a8b2535ffcp-17, 0x1.01580f364bce1p-17, 0x1.de55e28ee7373p-18, 0x1.bb9912aaa4126p-18, 0x1.9a6cb485e21dap-18, 0x1.7ac421c143aedp-18, 0x1.5c9305ed3db3dp-18, 0x1.3fcd5cafcb7b9p-18, 0x1.24676ff506d58p-18, 0x1.0a55d617ea65dp-18, 0x1.e31ae058d3cdp-19, 0x1.b406d0a1cdb78p-19, 0x1.875a5fe4f4da9p-19, 0x1.5d00fc7a13f14p-19, 0x1.34e69ce3ac0f7p-19, 0x1.0ef7bcc6da3f3p-19, 0x1.d642b3a103144p-20, 0x1.92a1e1950d6f9p-20, 0x1.52e8f5319285p-20, 0x1.16f4d2cceaf9p-20, 0x1.bd46974ca4aa6p-21, 0x1.53a630d26b419p-21, 0x1.e18f50196476ep-22, 0x1.28d7d92370aap-22, 0x1.f2acecbda4ep-24, -0x1.1b700143dd314p-25, -0x1.6fd02ef4974b1p-23, -0x1.41342587e6bc4p-22, -0x1.bfc032a4627b7p-22, -0x1.19fba413bedb3p-21, -0x1.4f20c0f9cb2bep-21, -0x1.7f820fe08f1b3p-21, -0x1.ab50caf1d0242p-21, -0x1.d2bccf9043338p-21, -0x1.f5f4a5c9e4f31p-21, -0x1.0a92c4a0bb4c8p-20, -0x1.183db81d4b5dcp-20, -0x1.241089d23cc71p-20, -0x1.2e1ffb3dca6a7p-20, -0x1.36803678beedep-20, -0x1.3d44d1f339421p-20, -0x1.4280d3c49dd8ep-20, -0x1.4646b54e9aa66p-20, -0x1.48a86667dad59p-20, -0x1.49b7509753012p-20, -0x1.49845a92b6f0ep-20, -0x1.481feb1ec8323p-20, -0x1.4599ec0fe95f2p-20, -0x1.4201cd861e327p-20, -0x1.3d6688929db8fp-20, -0x1.37d6a25631534p-20, -0x1.31602e9c34ff1p-20, -0x1.2a10d2af41a28p-20, -0x1.21f5c7f973677p-20, -0x1.191bdeb01d0d5p-20, -0x1.0f8f805426f92p-20, -0x1.055cb218c0148p-20, -0x1.f51e2f06f88adp-21, -0x1.de63e97e191cep-21, -0x1.c6a061c537ba3p-21, -0x1.ade8b09d4c04bp-21, -0x1.94513db7d4572p-21, -0x1.79edc445536d3p-21, -0x1.5ed156b379832p-21, -0x1.430e63643e58bp-21, -0x1.26b6b89fe4218p-21, -0x1.09db886f432c9p-21, -0x1.d91ad937f04ep-22, -0x1.9db8d4fda48d7p-22, -0x1.61afed78b692ep-22, -0x1.251df1c4a9a69p-22, -0x1.d03f3b61a6c3cp-23, -0x1.55a142bd11588p-23, -0x1.b52e9c91f6871p-24, -0x1.7d52d72fc5febp-25, 0x1.bf51f030af3e3p-27, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      80, 0x1.0a8f5c28f5c29p+3, 0x1.2df18f4df8adap+1, 0x1.06f510dff3bdp+3, -0x1.e08db3c2dfbf3p-6, 
      {{
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.8dfe121ae3eabp-4, -0x1.318f24f9e2c3bp-2, 0x1.6865a147a5663p-2, -0x1.2fdcc0bda3e2dp-3}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.5f5ee294e39a4p-4, -0x1.1574e83418e54p-2, 0x1.562a4e0911537p-2, -0x1.2fdcc0eb3c458p-3}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.2b39997b2438fp-4, -0x1.e8c25e68252dbp-3, 0x1.3f6025f76cce5p-2, -0x1.2fdcc042e4d26p-3}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.faef08ae0c8b5p-5, -0x1.ab29c13729745p-3, 0x1.2895fdf26871ep-2, -0x1.2fdcc2b57c14ep-3}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.ab47e88deb047p-5, -0x1.721ff8d8ae74dp-3, 0x1.11cbd5be6589fp-2, -0x1.2fdcb9937886p-3}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.669474d2bb60ap-5, -0x1.3da5053fde41p-3, 0x1.f6035c7378ffep-3, -0x1.2fdcdba8ee4a6p-3}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2beb4fb955225p-5, -0x1.0db8e69ca0bcdp-3, 0x1.c86f084d5540ep-3, -0x1.2fdc5c751aabdp-3}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.f4c636fd1f9fp-6, -0x1.c4b738785881bp-4, 0x1.9adac73bc4742p-3, -0x1.2fde372ef4d6ap-3}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.a224f4be85d44p-6, -0x1.771a51737f214p-4, 0x1.6d463ef4b9541p-3, -0x1.2fd74b7b5faa2p-3}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.5e201d308beb3p-6, -0x1.329b04b6528a5p-4, 0x1.3fb2c06f04944p-3, -0x1.2ff11f8fd7117p-3}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.26e4f4cce0ebap-6, -0x1.ee7335b7c0be1p-5, 0x1.121b6219711eap-3, -0x1.2f6128414a12p-3}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.f5419875e4c8bp-7, -0x1.89e89c7c55b6p-5, 0x1.c933381f4c032p-4, -0x1.16628faff4f57p-3}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.af0fcdf769aa5p-7, -0x1.36d1f6da12fa7p-5, 0x1.75af40374f539p-4, -0x1.f1091cf8e07c4p-4}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.77dfd5ea59eb8p-7, -0x1.e713dc9102b8fp-6, 0x1.2b21157860daep-4, -0x1.b768a3abbe4d4p-4}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.4cb5b3d626672p-7, -0x1.7c9bafedb10dp-6, 0x1.d26f93706f057p-5, -0x1.7d372a0258918p-4}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.2aee9e4cd099ap-7, -0x1.2ac1e82e50b46p-6, 0x1.60123a095473dp-5, -0x1.432e28b01b74fp-4}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.1040feeaeaa01p-7, -0x1.dc13c5d41adebp-7, 0x1.fe3bf542986b5p-6, -0x1.0914465d7d35bp-4}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.f578e4af2e764p-8, -0x1.85ef65cc652dbp-7, 0x1.5f2fcb0a807eep-6, -0x1.9e2adf6a79cb4p-5}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.d193908913967p-8, -0x1.4c1f71f90255bp-7, 0x1.c5df766eb7eb2p-7, -0x1.297696c7c6df2p-5}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.b25606dc0ca6cp-8, -0x1.27a8d10d87d45p-7, 0x1.13651bf6da32dp-7, -0x1.6ecd483251958p-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.95f6b335c2ef6p-8, -0x1.119f399451f41p-7, 0x1.4ab57302b6a67p-8, -0x1.dbdfa763095eap-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.7b5e673900fc5p-8, -0x1.02defdbc8e4bap-7, 0x1.0353e6b3dba3fp-8, -0x1.58ed7b53f26ecp-13}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.6220edcde609ap-8, -0x1.ebe3e34aaf81p-8, 0x1.01b5fcecaa1aap-8, -0x1.1fb08efef2c34p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.4a2b5e341ba6p-8, -0x1.d2a89481e5ab4p-8, 0x1.edd8558635339p-9, -0x1.b1deb8251a516p-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.33726f150b58fp-8, -0x1.ba5f7e00fb462p-8, 0x1.dd932e9e6a9d5p-9, -0x1.cd5838af97d48p-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.1deb09b4120e1p-8, -0x1.a2ed417c6ce2dp-8, 0x1.cc464617d4ebep-9, -0x1.bb8a44ae62e9cp-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.098a49ee8014fp-8, -0x1.8c543115f50d2p-8, 0x1.bba449eae4694p-9, -0x1.b5de3c78ca3b1p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.ec8afc773245ap-9, -0x1.768eaa6815fbp-8, 0x1.ab38c13ff66d7p-9, -0x1.acf1f9a07f085p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.c8244f59289f7p-9, -0x1.61992cbcf54c7p-8, 0x1.9b22e17d24dd3p-9, -0x1.a4e4b5872eb25p-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.a5cbf3d938314p-9, -0x1.4d6fa52763427p-8, 0x1.8b5a4de1acb68p-9, -0x1.9c9bb114e5ff4p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.856db6819cbd3p-9, -0x1.3a0e27e7e2332p-8, 0x1.7be1440a7db05p-9, -0x1.9462af476856bp-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.66f5c91078cdfp-9, -0x1.2770bebf81883p-8, 0x1.6cb72a449cf99p-9, -0x1.8c25633f9bab9p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.4a50c277d5b81p-9, -0x1.1593763f6a3acp-8, 0x1.5ddc29bf07234p-9, -0x1.83e93d7c8e4c3p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.2f6b9edda3971p-9, -0x1.04725a37d201ap-8, 0x1.4f503770c1cd3p-9, -0x1.7bacc8e052638p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.1633bf9bb94fep-9, -0x1.e812ed5943fcbp-9, 0x1.4113564ebeb66p-9, -0x1.7370696497c57p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.fd2dd67fa91f4p-10, -0x1.c8a9af27d1d76p-9, 0x1.3325858e2c38ap-9, -0x1.6b34043fb32ebp-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.d1069b173397dp-10, -0x1.aaa111ced7837p-9, 0x1.2586c565624d1p-9, -0x1.62f7a09f15611p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.a7ceeee928883p-10, -0x1.8df12d3fe1b95p-9, 0x1.183715c5d17fdp-9, -0x1.5abb3c966ff76p-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.8164be486bfe3p-10, -0x1.7292196d059fdp-9, 0x1.0b3676b360804p-9, -0x1.527ed8a9bdfap-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.5da6bfefaf992p-10, -0x1.587bee4833d9dp-9, 0x1.fd09d05a05f41p-10, -0x1.4a4274b55ca65p-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.3c7475017288ep-10, -0x1.3fa6c3c366c46p-9, 0x1.e444d4660567cp-10, -0x1.420610c34e09ap-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.1dae2908018f6p-10, -0x1.280ab1d096296p-9, 0x1.cc1df98a92c03p-10, -0x1.39c9acd04fde6p-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.0134f1f57700ap-10, -0x1.119fd061ba7e9p-9, 0x1.b4953fc7bff61p-10, -0x1.318d48ddf44bbp-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.cdd5604775821p-11, -0x1.f8bc6ed198265p-10, 0x1.9daaa71d80d7p-10, -0x1.2950e4eb0f53bp-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.9d641ca904894p-11, -0x1.d07bfdaf8685ep-10, 0x1.875e2f8bdfb0ap-10, -0x1.211480f87da05p-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.70dd0362a125bp-11, -0x1.aa6e7d4130a05p-10, 0x1.71afd912d644ap-10, -0x1.18d81d05e5897p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.48089396ec866p-11, -0x1.86841d6a8742p-10, 0x1.5c9fa3b2650d4p-10, -0x1.109bb9131b7ccp-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.22b0e13822fd5p-11, -0x1.64ad0e0f7b043p-10, 0x1.482d8f6a8fca6p-10, -0x1.085f55208a653p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.00a195081bff8p-11, -0x1.44d97f13fc841p-10, 0x1.34599c3b52361p-10, -0x1.0022f12ddbdb5p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.c34fd9309446ep-12, -0x1.26f9a05bfc7aep-10, 0x1.2123ca24ae85ep-10, -0x1.efcd1a766a25p-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.8b2574937643fp-12, -0x1.0afda1cb6b8c3p-10, 0x1.0e8c1926a4248p-10, -0x1.df5452910e55fp-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.5864ca9a2fac4p-12, -0x1.e1ab668c74b78p-11, 0x1.f925128267351p-11, -0x1.cedb8aabecc15p-12}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.2ab1d345487dp-12, -0x1.b0e40960b348ep-11, 0x1.d66e34e8b5738p-11, -0x1.be62c2c600d7bp-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.01b3b0347ef4ap-12, -0x1.83858bdb73b41p-11, 0x1.b4f3998042304p-11, -0x1.ade9fae1d1e37p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.ba29594d8f40dp-13, -0x1.59704dc497cadp-11, 0x1.94b54048ec0c2p-11, -0x1.9d7132fb544fep-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.79047af49a777p-13, -0x1.3284aee400d3p-11, 0x1.75b32942df531p-11, -0x1.8cf86b166fc62p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.3f5a0258e1c07p-13, -0x1.0ea30f018f639p-11, 0x1.57ed546dfd56fp-11, -0x1.7c7fa331acff8p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.0c917fb393ca1p-13, -0x1.db579bca4b7dp-12, 0x1.3b63c1ca4390bp-11, -0x1.6c06db4b7a70fp-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.c031acf89757p-14, -0x1.9efe96ad49c65p-12, 0x1.20167157cd952p-11, -0x1.5b8e1366b50a6p-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.72c87ad2225ep-14, -0x1.67fbce3bdb9ddp-12, 0x1.0605631680014p-11, -0x1.4b154b8139f19p-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.2fdc7cdcb12bp-14, -0x1.36100205c45eep-12, 0x1.da612e0cd0eb5p-12, -0x1.3a9c839be7a0ap-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.ecdedafc0aabfp-15, -0x1.08fbf19ac6557p-12, 0x1.ab301a4f07c5ap-12, -0x1.2a23bbb6c9bdp-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.8b1f5b31731ap-15, -0x1.c100b91549052p-13, 0x1.7e778af39cb64p-12, -0x1.19aaf3d0c30f6p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.38b089188316p-15, -0x1.78bc04ca4115ap-13, 0x1.54377ffab2a75p-12, -0x1.09322beca1edcp-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.e7c380d3a93cp-16, -0x1.38ab4573fbf18p-13, 0x1.2c6ff96400c3ep-12, -0x1.f172c80c8c86dp-13}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.763753af6623fp-16, -0x1.004ffa31ff67bp-13, 0x1.0720f72fdca03p-12, -0x1.d08138443376dp-13}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.19c0761c38ep-16, -0x1.9e574447a234ep-14, 0x1.c894f2bbe4ba6p-13, -0x1.af8fa871043c1p-13}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.9f2adacb04401p-17, -0x1.497f78d1d4869p-14, 0x1.87d8ffde24181p-13, -0x1.8e9e18ca6201fp-13}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.2a3eb1940bap-17, -0x1.011b904209a87p-14, 0x1.4c0e15bfc898p-13, -0x1.6dac8873b59ap-13}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.9fe7c5efb56p-18, -0x1.885d11ab792b2p-15, 0x1.1534347b3a276p-13, -0x1.4cbafab85d6b3p-13}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.17ce2a8316801p-18, -0x1.2376c1a38dabcp-15, 0x1.c696b758beaf2p-14, -0x1.2bc9633d4bf9ap-13}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.68688a8bfd801p-19, -0x1.a314597e539e2p-16, 0x1.6ca7199327e2ep-14, -0x1.0ad7f022a5b45p-13}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.b7a0c9a718001p-20, -0x1.213aa03b4d9b6p-16, 0x1.1c9984bbf62d2p-14, -0x1.d3cbea94cb9dfp-14}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.f413af6a9afffp-21, -0x1.7ad8978d01368p-17, 0x1.acdc431815ab6p-15, -0x1.91ebea08fed8ep-14}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.032fdce908p-21, -0x1.ced59aa16bd13p-18, 0x1.3448b01562cedp-15, -0x1.4ffd2469813d4p-14}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.d802e2673ffffp-23, -0x1.0086a17e40c64p-18, 0x1.9ef97d8511b0dp-16, -0x1.0e457df5fee6ep-14}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.6220edce60001p-24, -0x1.ebdfe51f4ca42p-20, 0x1.f99f971624adcp-17, -0x1.97803fd4e1989p-15}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.8164be488p-26, -0x1.725a2a586485p-21, 0x1.051f70c99d582p-17, -0x1.187501f8b670fp-15}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.ba29594cp-29, -0x1.5cb34bf7533efp-23, 0x1.7364f19e5913cp-19, -0x1.060e752b428c7p-16}, 
        {0x1.099999999999ap+3, 0x1.0a8f5c28f5c29p+3, 0x1.17ce2afffffffp-34, -0x1.82cbe79830de1p-29, 0x1.c7698e86bp-22, -0x1.8c10890a2a901p-15}, 
      }}, 
      0x1.ccde11d8a52d8p-10, -0x1.57f78ac27e7d6p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.4c53eee359c39p-5, 0x1.437d8c17fcaefp-4, 0x1.d092bfcbb90cep-4, 0x1.240e213f18fa4p-3, 0x1.5371e05bae12ep-3, 0x1.75c04df706942p-3, 0x1.8b0120f05890ep-3, 0x1.93ccdee88185ep-3, 0x1.91241d89c74a4p-3, 0x1.844b0c3fe87c6p-3, 0x1.6eaaa36c6242ap-3, 0x1.51b84e4018e66p-3, 0x1.2ee3adf0e0341p-3, 0x1.0789f3a31a58cp-3, 0x1.b9db2bdedf675p-4, 0x1.6062f6cdfa44ep-4, 0x1.04ad5ed39cea1p-4, 0x1.50efa62a21ef1p-5, 0x1.34f34f7e71f81p-6, -0x1.79111b7f53a13p-9, -0x1.865f8dab0c85cp-6, -0x1.66cc58613119fp-5, -0x1.0097f6a4a8188p-4, -0x1.48bbbeb1ba0f9p-4, -0x1.8b8468812f41ep-4, -0x1.c8c4185de6441p-4, -0x1.0033b843b830ep-3, -0x1.19389ece4cdecp-3, -0x1.2f7b479f47891p-3, -0x1.430d9d54ef3c6p-3, -0x1.54075fb59312cp-3, -0x1.6284c6623b3e4p-3, -0x1.6ea551bf9947dp-3, -0x1.788ac7540641cp-3, -0x1.8058560728f0bp-3, -0x1.8631e0147bb08p-3, -0x1.8a3b64406af42p-3, -0x1.8c988490fbc35p-3, -0x1.8d6c247d56debp-3, -0x1.8cd81d10a2d9ap-3, -0x1.8afd03162e605p-3, -0x1.87f9fd963fe55p-3, -0x1.83eca91662f74p-3, -0x1.7ef0fc3fd9074p-3, -0x1.79216152d2f9dp-3, -0x1.729680836cb81p-3, -0x1.6b67661f56e95p-3, -0x1.63a98fa9f37e4p-3, -0x1.5b70ed79dd4f6p-3, -0x1.52cfeac864ff4p-3, -0x1.49d78e403ef08p-3, -0x1.4097772278b7dp-3, -0x1.371e178d76f06p-3, -0x1.2d7887a78dfd1p-3, -0x1.23b2e21c9dc7p-3, -0x1.19d8139454916p-3, -0x1.0ff210c6a1119p-3, -0x1.0609ea28aa927p-3, -0x1.f84f7000c69fdp-4, -0x1.e4a5a295a7a3fp-4, -0x1.d123955e06e23p-4, -0x1.bdd4e7760cf6ep-4, -0x1.aac3f3b44f671p-4, -0x1.97f9dcd1d613ep-4, -0x1.857e9445bdef1p-4, -0x1.7358f45c2a863p-4, -0x1.618ede74cb391p-4, -0x1.5025460ce427ap-4, -0x1.3f20432c37139p-4, -0x1.2e831c1550c97p-4, -0x1.1e50621bc552dp-4, -0x1.0e89f770945fep-4, -0x1.fe6242012878ep-5, -0x1.e08d2877f63c5p-5, -0x1.c39500a195d5bp-5, -0x1.a77940b3af9f1p-5, -0x1.8c388827f367ap-5, -0x1.71d0b70a2edc6p-5, -0x1.583f046988c38p-5, -0x1.3f8012b42f523p-5, -0x1.279001b71cf82p-5, -0x1.106a823de173p-5, -0x1.f415cc6763594p-6, -0x1.c8d860a143b77p-6, -0x1.9f124610ee6dfp-6, -0x1.76b89b233ae5ep-6, -0x1.4fc02f224a9b2p-6, -0x1.2a1d9c7c6663bp-6, -0x1.05c559cb566c7p-6, -0x1.c5579a1ded29bp-7, -0x1.818ab798af38cp-7, -0x1.400cf459b1389p-7, -0x1.00c76f19fed7dp-7, -0x1.874726ecbca7dp-8, -0x1.1116560d09312p-8, -0x1.3da1b725c0f88p-9, -0x1.82614ea4da19ep-11, 0x1.d509f5ea36ae6p-11, 0x1.443f7a22c61a8p-9, 0x1.06567af333ac3p-8, 0x1.676b689904c21p-8, 0x1.c583313f699d6p-8, 0x1.10609b420f61ap-7, 0x1.3ca3c90ed2597p-7, 0x1.679b874a7702ep-7, 0x1.915797b1695a4p-7, 0x1.b9e71b0c1d02fp-7, 0x1.e158908581fb1p-7, 0x1.03dce781b02ddp-6, 0x1.168c123ad718p-6, 0x1.28c01b8356656p-6, 0x1.3a7f0a4770b89p-6, 0x1.4bce950deadf5p-6, 0x1.5cb4362a09ae7p-6, 0x1.6d3589eb78526p-6, 0x1.7d575a88c8a5p-6, 0x1.8d1e30f24ac45p-6, 0x1.9c8eb48350d93p-6, 0x1.abac91cdfd03dp-6, 0x1.ba7c6c3b235ep-6, 0x1.c901ec806d366p-6, 0x1.d740defdd88bbp-6, 0x1.e53c0a37589ep-6, 0x1.f2f78c30d3b41p-6, 0x1.003aa68a66a4bp-5, 0x1.06dc732f62fa9p-5, 0x1.0d624d63feba5p-5, 0x1.13cd89a2defdbp-5, 0x1.1a1f3206c8497p-5, 0x1.205840beaf198p-5, 0x1.267a021fa6923p-5, 0x1.2c8533bb0e27ap-5, 0x1.327a736fbee6fp-5, 0x1.385aa861fc948p-5, 0x1.3e26c706c3328p-5, 0x1.43df4055f9f9fp-5, 0x1.498473f109d33p-5, 0x1.4f16f46f94e4ep-5, 0x1.5497664c5ae49p-5, 0x1.5a062f4f63275p-5, 0x1.5f63800b3b397p-5, 0x1.64af8a6a18021p-5, 0x1.69ea99dd2fb5dp-5, 0x1.6f14fa1f489e6p-5, 0x1.742ed0a7b29edp-5, 0x1.7938294de6d63p-5, 0x1.7e31025716257p-5, 0x1.83195a9d669a5p-5, 0x1.87f13ac7af876p-5, 0x1.8cb8a03e55c1fp-5, 0x1.916f711b13f0bp-5, 0x1.961589dbdcdf6p-5, 0x1.9aaabfcc69c93p-5, 0x1.9f2edfe4cadfep-5, 0x1.a3a1b7d793fd3p-5, 0x1.a80315a5cbddfp-5, 0x1.ac52bc47fb702p-5, 0x1.b09063d5fbeb9p-5, 0x1.b4bbc0e039738p-5, 0x1.b8d484b3af635p-5, 0x1.bcda5b24486edp-5, 0x1.c0ccecf515e01p-5, 0x1.c4abe3668edfap-5, 0x1.c876e589d8444p-5, 0x1.cc2d94a9466fdp-5, 0x1.cfcf8e3144ebap-5, 0x1.d35c6eb72b94dp-5, 0x1.d6d3d23457e41p-5, 0x1.da3552f329001p-5, 0x1.dd8089883ae8fp-5, 0x1.e0b50e5f0c912p-5, 0x1.e3d27ac9336d7p-5, 0x1.e6d867d676abbp-5, 0x1.e9c66d60a24a7p-5, 0x1.ec9c22f5625ccp-5, 0x1.ef5921123b8fp-5, 0x1.f1fd017bc165ap-5, 0x1.f4875f0b03cb9p-5, 0x1.f6f7d5af202cbp-5, 0x1.f94e025b7a026p-5, 0x1.fb8983bda4dc7p-5, 0x1.fda9fab45278dp-5, 0x1.ffaf0a0e0813ap-5, 0x1.00cc2b2acc3e2p-4, 0x1.01b2c3098214cp-4, 0x1.028b2121afdc2p-4, 0x1.03551b4fe5286p-4, 0x1.041088e1be73ep-4, 0x1.04bd429736b7ap-4, 0x1.055b22aa6d9f4p-4, 0x1.05ea04d7cd70ep-4, 0x1.0669c672a9f06p-4, 0x1.06da468aa4a1dp-4, 0x1.073b65e668b2ap-4, 0x1.078d071f7fa2cp-4, 0x1.07cf0e8eb22b6p-4, 0x1.0801626d2d7c7p-4, 0x1.0823eae4f6fb4p-4, 0x1.0836921ddba33p-4, 0x1.08394449ff85ap-4, 0x1.082befaed01d6p-4, 0x1.080e84a9489b7p-4, 0x1.07e0f5b89a193p-4, 0x1.07a337800397bp-4, 0x1.075540caae546p-4, 0x1.06f70a9eb0d68p-4, 0x1.0688904218442p-4, 0x1.0609cf400b935p-4, 0x1.057ac76bb9ab8p-4, 0x1.04db7adaeb161p-4, 0x1.042bedeb0179p-4, 0x1.036c27537f52ep-4, 0x1.029c3026e198p-4, 0x1.01bc13df225aep-4, 0x1.00cbe046178c9p-4, 0x1.ff974af09532ap-5, 0x1.fd76ebc8d758p-5, 0x1.fb36cca296a3fp-5, 0x1.f8d71bcbbfae6p-5, 0x1.f6580c4d4be9fp-5, 0x1.f3b9d5d351eep-5, 0x1.f0fcb4932fdb7p-5, 0x1.ee20e942dc69dp-5, 0x1.eb26b9221f126p-5, 0x1.e80e6dfe9be3dp-5, 0x1.e4d85635bb843p-5, 0x1.e184c4937a2a8p-5, 0x1.de14102f77665p-5, 0x1.da869455f65f1p-5, 0x1.d6dcb081a6cacp-5, 0x1.d316c85a0aadbp-5, 0x1.cf3543b0faecap-5, 0x1.cb388e6aff5dap-5, 0x1.c721185a25a18p-5, 0x1.c2ef5506c75bp-5, 0x1.bea3bba6ea031p-5, 0x1.ba3ec7040b5c4p-5, 0x1.b5c0f581240f9p-5, 0x1.b12ac9091dcbdp-5, 0x1.ac7cc6e6cd3b2p-5, 0x1.a7b77789adce7p-5, 0x1.a2db66681ff8ep-5, 0x1.9de921e4184abp-5, 0x1.98e13b3cd11a2p-5, 0x1.93c4467a4305fp-5, 0x1.8e92da5ef6489p-5, 0x1.894d901ca6128p-5, 0x1.83f503417080ep-5, 0x1.7e89d183c341cp-5, 0x1.790c9aa62bf79p-5, 0x1.737e006383785p-5, 0x1.6ddea655e0659p-5, 0x1.682f31d3852dp-5, 0x1.627049c514d1ap-5, 0x1.5ca2966b801d7p-5, 0x1.56c6c15107042p-5, 0x1.50dd75110c14dp-5, 0x1.4ae75d4718bdfp-5, 0x1.44e526734cb9ep-5, 0x1.3ed77de01c6f5p-5, 0x1.38bf11645efe9p-5, 0x1.329c8f52165bap-5, 0x1.2c70a6364f552p-5, 0x1.263c04c6fc8a2p-5, 0x1.1fff59c8ad0dp-5, 0x1.19bb53e605ecap-5, 0x1.1370a1962ebedp-5, 0x1.0d1ff0fc9f55cp-5, 0x1.06c9efc40c0fdp-5, 0x1.006f4af7e16c1p-5, 0x1.f4215dba60226p-6, 0x1.e75d8dafeb548p-6, 0x1.da947aa6a4f8bp-6, 0x1.cdc7774e151d7p-6, 0x1.c0f7d3f3b36d8p-6, 0x1.b426de466bf33p-6, 0x1.a755e11811482p-6, 0x1.9a8624222b608p-6, 0x1.8db8ebcf67592p-6, 0x1.80ef790d9a121p-6, 0x1.742b090b733e1p-6, 0x1.676cd5384ef1p-6, 0x1.5ab612dffe964p-6, 0x1.4e07f3204bab8p-6, 0x1.4163a2b5e0506p-6, 0x1.34ca49c9fd503p-6, 0x1.283d0bce9dd39p-6, 0x1.1bbd0752e756bp-6, 0x1.0f4b55e78d1ecp-6, 0x1.02e90c01d8c4bp-6, 0x1.ed2e71798d163p-7, 0x1.d4adcbcdd503ep-7, 0x1.bc522f876f925p-7, 0x1.a41d99c8d712dp-7, 0x1.8c11fcab7cb33p-7, 0x1.74313e6ccdaa7p-7, 0x1.5c7d398d86714p-7, 0x1.44f7bc9afbdc4p-7, 0x1.2da28a0913ep-7, 0x1.167f5811c235ep-7, 0x1.ff1fa130adfap-8, 0x1.d1ab22203979bp-8, 0x1.a4a454cbc5693p-8, 0x1.780e41d4f93ap-8, 0x1.4bebd88292a1ep-8, 0x1.203fee884e712p-8, 0x1.ea1a7fc6837d5p-9, 0x1.94acde148830ep-9, 0x1.403c0970a2352p-9, 0x1.d999be9f3a3dbp-10, 0x1.34c81a6e26c76p-10, 0x1.24181e0b25474p-11, -0x1.d23b2f9ee9a84p-15, -0x1.5a12fa80f1d87p-11, -0x1.4953204f87cd3p-10, -0x1.e3676c3dd5e7bp-10, -0x1.3d9fb7da29422p-9, -0x1.886a4ef255894p-9, -0x1.d21067532bfa1p-9, -0x1.0d478ead66066p-8, -0x1.30f1e03a4478bp-8, -0x1.5405e7818b395p-8, -0x1.76827c37c6355p-8, -0x1.98668dc0c4ccbp-8, -0x1.b9b1236925602p-8, -0x1.da615bba02dfp-8, -0x1.fa766c842f334p-8, -0x1.0cf7d13edaed3p-7, -0x1.1c663056d8ba3p-7, -0x1.2b86102de7aa2p-7, -0x1.3a57385b453cap-7, -0x1.48d97b3c968edp-7, -0x1.570cb5c6f8c06p-7, -0x1.64f0cf56a73b4p-7, -0x1.7285b98013d64p-7, -0x1.7fcb6fe4c425fp-7, -0x1.8cc1f80926eb8p-7, -0x1.99696124ee5d4p-7, -0x1.a5c1c3ecfa659p-7, -0x1.b1cb42592a62ep-7, -0x1.bd86076d63689p-7, -0x1.c8f24708d2756p-7, -0x1.d4103db683402p-7, -0x1.dee03079d3437p-7, -0x1.e9626c9799c4ep-7, -0x1.f397475f270bdp-7, -0x1.fd7f1df40cd99p-7, -0x1.038d2a8babaap-6, -0x1.0834ac77fda34p-6, -0x1.0cb64e69373bep-6, -0x1.11124d8581f4p-6, -0x1.1548ea55a7c2ep-6, -0x1.195a68a89a4b7p-6, -0x1.1d470f739d752p-6, -0x1.210f28b914038p-6, -0x1.24b3015971298p-6, -0x1.2832e94a3abaep-6, -0x1.2b8f32ec1b37p-6, -0x1.2ec83376e041cp-6, -0x1.31de429ef2b17p-6, -0x1.34d1ba872d28ep-6, -0x1.37a2f78d30e0ep-6, -0x1.3a52584dbee45p-6, -0x1.3ce03d8d1b62fp-6, -0x1.3f4d0a031d85p-6, -0x1.41992265abfc6p-6, -0x1.43c4ed30ae045p-6, -0x1.45d0d2953ba0cp-6, -0x1.47bd3c6de680ap-6, -0x1.498a960356d33p-6, -0x1.4b394c082ddc3p-6, -0x1.4cc9cc763f9a9p-6, -0x1.4e3c869e17195p-6, -0x1.4f91ead68cc31p-6, -0x1.50ca6a84828f7p-6, -0x1.51e67810a0715p-6, -0x1.52e686ce9e308p-6, -0x1.53cb0ae5bd419p-6, -0x1.54947937ff9f3p-6, -0x1.5543474749f36p-6, -0x1.55d7eb1c99bc7p-6, -0x1.5652db3048f63p-6, -0x1.56b48e5a3af8ap-6, -0x1.56fd7bc7cb90ep-6, -0x1.572e1af2e0052p-6, -0x1.5746e395470b8p-6, -0x1.57484d97851cdp-6, -0x1.5732d0f75cca7p-6, -0x1.5706e5a4d66eep-6, -0x1.56c50362a25d7p-6, -0x1.566da18294e99p-6, -0x1.560136c201bp-6, -0x1.558039947a41fp-6, -0x1.54eb1fb1491e4p-6, -0x1.54425e36b8d18p-6, -0x1.53866a3c74055p-6, -0x1.52b7b8ca8b41ep-6, -0x1.51d6bef6bbe7ep-6, -0x1.50e3f1be1a904p-6, -0x1.4fdfc61738cadp-6, -0x1.4ecab077e552ap-6, -0x1.4da5246bd774fp-6, -0x1.4c6f9423e610cp-6, -0x1.4b2a701c2d74cp-6, -0x1.49d626e298c94p-6, -0x1.4873253991e4bp-6, -0x1.4701d66e24c04p-6, -0x1.4582a4cb481e4p-6, -0x1.43f5fa3052939p-6, -0x1.425c405cd6e4fp-6, -0x1.40b5e11da3647p-6, -0x1.3f0346211c16dp-6, -0x1.3d44d877433ccp-6, -0x1.3b7affdcff47ap-6, -0x1.39a62214dbb17p-6, -0x1.37c6a26c1944dp-6, -0x1.35dce1ae2a39ap-6, -0x1.33e93e95a134ap-6, -0x1.31ec16ac46951p-6, -0x1.2fe5c768cb9e7p-6, -0x1.2dd6af3adac5ap-6, -0x1.2bbf2e2aa5efp-6, -0x1.299fa5b970ba6p-6, -0x1.27787819f7a7bp-6, -0x1.254a05dbd0072p-6, -0x1.2314ac37f8d85p-6, -0x1.20d8c28659c01p-6, -0x1.1e96981c3797bp-6, -0x1.1c4e7402d0ad1p-6, -0x1.1a0095aeae60fp-6, -0x1.17ad378158fc5p-6, -0x1.1554929f98102p-6, -0x1.12f6e3813111ap-6, -0x1.10946e541ab53p-6, -0x1.0e2d822c3d8c8p-6, -0x1.0bc27a29b6787p-6, -0x1.0953bc22aa3d9p-6, -0x1.06e1b4b6d7166p-6, -0x1.046cd12fca3c3p-6, -0x1.01f578317c912p-6, -0x1.fef80556dea14p-7, -0x1.fa016cd9bf811p-7, -0x1.f50786ee61fa1p-7, -0x1.f00a89b2829b5p-7, -0x1.eb0a8a6f49bfdp-7, -0x1.e6078c9ef9788p-7, -0x1.e101951dad85ap-7, -0x1.dbf8bd850f21ap-7, -0x1.d6ed4438b924ap-7, -0x1.d1df9698b7c27p-7, -0x1.ccd052d4fc382p-7, -0x1.c7c0401031f76p-7, -0x1.c2b0407748c09p-7, -0x1.bda13bb6444cdp-7, -0x1.b89409e40660ap-7, -0x1.b3895f910e2f3p-7, -0x1.ae81bff0020eap-7, -0x1.a97d774b5660fp-7, -0x1.a47c9e6f0eb47p-7, -0x1.9f7f266675afdp-7, -0x1.9a84ea741ce49p-7, -0x1.958dc501ca106p-7, -0x1.9099a3b9d286p-7, -0x1.8ba897144ce27p-7, -0x1.86bada7738be3p-7, -0x1.81d0d372e8807p-7, -0x1.7ceb087438a58p-7, -0x1.780a111a3dc47p-7, -0x1.732e8399f0e4ap-7, -0x1.6e58e337c137cp-7, -0x1.69899344ccebp-7, -0x1.64c0d0bfc26e5p-7, -0x1.5ffeb3a848f74p-7, -0x1.5b4336ff2946bp-7, -0x1.568e46018bfd7p-7, -0x1.51dfcc259c367p-7, -0x1.4d37c5230305dp-7, -0x1.48964a35093e8p-7, -0x1.43fb99d23f55bp-7, -0x1.3f68185f3dc28p-7, -0x1.3adc4852935a9p-7, -0x1.3658bb8fe3e62p-7, -0x1.31de00417983dp-7, -0x1.2d6c8d0058865p-7, -0x1.2904b09d50e8cp-7, -0x1.24a688da19964p-7, -0x1.2052019dad231p-7, -0x1.1c06dc39dc205p-7, -0x1.17c4bcc957b3dp-7, -0x1.138b3afb56e58p-7, -0x1.0f59f3ab138f3p-7, -0x1.0b3099003c522p-7, -0x1.070eff3975e2dp-7, -0x1.02f524a6d5fcep-7, -0x1.fdc667b71917ap-8, -0x1.f5b2ff75d4ed5p-8, -0x1.edb0f7f98489ap-8, -0x1.e5c15f28a3835p-8, -0x1.dde54d42e11a3p-8, -0x1.d61dc8e3c13a8p-8, -0x1.ce6bab3e504ddp-8, -0x1.c6cf89347b2bap-8, -0x1.bf49a62ba76a4p-8, -0x1.b7d9f14684266p-8, -0x1.b08010b46571fp-8, -0x1.a93b7ac470621p-8, -0x1.a20b99ccc8fe6p-8, -0x1.9aeff2db5d9ccp-8, -0x1.93e842e59f8d4p-8, -0x1.8cf4861527741p-8, -0x1.8614e352c0323p-8, -0x1.7f498049915a4p-8, -0x1.78924e496c806p-8, -0x1.71eee6bd993d7p-8, -0x1.6b5e8aa8b6062p-8, -0x1.64e04b4178282p-8, -0x1.5e734f9b07f77p-8, -0x1.58171caa0b8d9p-8, -0x1.51cbc1624eec3p-8, -0x1.4b91d291e332bp-8, -0x1.456a360878a37p-8, -0x1.3f55d27533a9cp-8, -0x1.3955475cdad02p-8, -0x1.3368cf6fd6af2p-8, -0x1.2d905c59982a4p-8, -0x1.27cbe0460a7eep-8, -0x1.221ba2466b01bp-8, -0x1.1c8070191c3aep-8, -0x1.16fb8efa88e1dp-8, -0x1.118e67ef49fd6p-8, -0x1.0c3a06ae972d4p-8, -0x1.06fe971c54b9ep-8, -0x1.01db13d662f7p-8, -0x1.f99a927dd016ap-9, -0x1.efa4699801487p-9, -0x1.e5cd54425e86fp-9, -0x1.dc1018dbc4223p-9, -0x1.d269bd80d076bp-9, -0x1.c8d9f2432bdcdp-9, -0x1.bf62a37293d4bp-9, -0x1.b606ea8451bfdp-9, -0x1.acc9d64ea4e4ap-9, -0x1.a3ad8bf75e7dap-9, -0x1.9ab30ce5a980bp-9, -0x1.91da9d4ed2366p-9, -0x1.892484899a34bp-9, -0x1.8091c38ea6043p-9, -0x1.7824699ae6e63p-9, -0x1.6fdf5d5344962p-9, -0x1.67c5afa5f595p-9, -0x1.5fd9ba1517f66p-9, -0x1.581c4f5121517p-9, -0x1.508c32d6b99a8p-9, -0x1.4926020598eb1p-9, -0x1.41e4a5ab85ad3p-9, -0x1.3ac245dfa1cdep-9, -0x1.33b97c129ed8ap-9, -0x1.2cc65a21ab7adp-9, -0x1.25e6e25c009d3p-9, -0x1.1f1ad4199af5p-9, -0x1.18630c74f06a5p-9, -0x1.11c0eb56a64d3p-9, -0x1.0b35fe73ba57fp-9, -0x1.04c3dab6d33b6p-9, -0x1.fcd7e7695c3aap-10, -0x1.f05ef762b76c5p-10, -0x1.e41ee48006f13p-10, -0x1.d819b8837c84ap-10, -0x1.cc51933cbd672p-10, -0x1.c0c841e3e75p-10, -0x1.b57f3b035379dp-10, -0x1.aa77aae9a02bdp-10, -0x1.9fb25e11077a6p-10, -0x1.952f1f5cf3144p-10, -0x1.8aebd30448565p-10, -0x1.80e44ba86a595p-10, -0x1.7712cc1955882p-10, -0x1.6d714edef297p-10, -0x1.63fadebda6fd1p-10, -0x1.5aac76351bb6fp-10, -0x1.5184eda8fa5ebp-10, -0x1.4884084b0a3eap-10, -0x1.3fa952f3e3482p-10, -0x1.36f3bdf6b35d7p-10, -0x1.2e622ae83c935p-10, -0x1.25f4427870b82p-10, -0x1.1daafeda01c9ap-10, -0x1.1588ef5c51432p-10, -0x1.0d91e329a5faap-10, -0x1.05c944340d8ddp-10, -0x1.fc5fc4ab112aap-11, -0x1.ed871fc056c66p-11, -0x1.df02d69fd24ddp-11, -0x1.d0d0b73f07dfp-11, -0x1.c2f1f8019adedp-11, -0x1.b5675128e5f0ap-11, -0x1.a82ee1cd3af7cp-11, -0x1.9b45968b8c5e2p-11, -0x1.8ea928f35b7acp-11, -0x1.82584992e9291p-11, -0x1.76515e78a2c8cp-11, -0x1.6a9155920e4edp-11, -0x1.5f1375b241a41p-11, -0x1.53d2cc47cda81p-11, -0x1.48cd19df62dd2p-11, -0x1.3e04b4c76fdb5p-11, -0x1.337e05713e911p-11, -0x1.293917e78fabdp-11, -0x1.1f2d3c8b2d617p-11, -0x1.154e8bd3a674bp-11, -0x1.0b9a800378dedp-11, -0x1.021caff4988b1p-11, -0x1.f1c6b561bb093p-12, -0x1.dfe166aa26cfbp-12, -0x1.ce750633716e5p-12, -0x1.bd6e441efe3a4p-12, -0x1.acccb2bf9aa1bp-12, -0x1.9c98ef127b918p-12, -0x1.8cd3804815803p-12, -0x1.7d73377b14586p-12, -0x1.6e6e0d2a6f828p-12, -0x1.5fbf6a96c6fp-12, -0x1.5168f952081dp-12, -0x1.4370744e1938cp-12, -0x1.35dc5981bc076p-12, -0x1.28b0bbb81e8d5p-12, -0x1.1bece6f63209cp-12, -0x1.0f893ca98a1aep-12, -0x1.0377a547859dep-12, -0x1.ef5b30c9d410dp-13, -0x1.d8643c3aa2e74p-13, -0x1.c2305c01a14e1p-13, -0x1.acc2e2779be45p-13, -0x1.97de68cb21539p-13, -0x1.8346e26b48107p-13, -0x1.6f1739fc1f382p-13, -0x1.5b9a37d7f4f9cp-13, -0x1.48e0fe51d9913p-13, -0x1.36b9b487874edp-13, -0x1.25034a991d49ep-13, -0x1.13ce66d8373e2p-13, -0x1.032c1ae98338p-13, -0x1.e6248d159b306p-14, -0x1.c6de03e34c1eep-14, -0x1.a871dc486f73dp-14, -0x1.8adc969345efcp-14, -0x1.6e1f2533be553p-14, -0x1.52398d72f1629p-14, -0x1.372b370cce483p-14, -0x1.1cf55d2ea9768p-14, -0x1.039c1c9f60f7dp-14, -0x1.d64a087776358p-15, -0x1.a727d3363d832p-15, -0x1.79e191a2dd85cp-15, -0x1.4e71192250d63p-15, -0x1.24960189e314cp-15, -0x1.f8085d10d91ffp-16, -0x1.a9cba87f09902p-16, -0x1.5f1194321a3edp-16, -0x1.16e4cc5bc1463p-16, -0x1.a024151787d09p-17, -0x1.173e480d05e29p-17, -0x1.2a60fab4b6f2cp-18, -0x1.84ffa013e50f9p-21, 0x1.817a2f36e35d5p-19, 0x1.a79c1c737856dp-18, 0x1.420d817fdde7bp-17, 0x1.abfdce6b27fb1p-17, 0x1.09062a2340a4cp-16, 0x1.3a15d8946d0d6p-16, 0x1.6929a5b616a96p-16, 0x1.963ea47aeeb4ap-16, 0x1.c15bd973eb4p-16, 0x1.ea8c25f6eb4e4p-16, 0x1.08edb59af0d0bp-15, 0x1.1baaf49504166p-15, 0x1.2d8478db5d6e2p-15, 0x1.3e81dd7beefbbp-15, 0x1.4ea97eb29431p-15, 0x1.5e00f982b47cbp-15, 0x1.6c8bff9110083p-15, 0x1.7a4c6544fd4ccp-15, 0x1.873f75ecd284dp-15, 0x1.935a90dc48c11p-15, 0x1.9e9b07ba9adf2p-15, 0x1.a91197360db79p-15, 0x1.b2df5cf97bc03p-15, 0x1.bc2fc8fa8843dp-15, 0x1.c50c20a5d6714p-15, 0x1.cd604a1b82a3p-15, 0x1.d4f5f1509ab0ep-15, 0x1.dbc813f9e9ba9p-15, 0x1.e20afe50bff31p-15, 0x1.e7d6c0494f685p-15, 0x1.ed28ff7247309p-15, 0x1.f1fd923747639p-15, 0x1.f654621ef9aa4p-15, 0x1.fa2f80f33c7b8p-15, 0x1.fd92bc95ef8dp-15, 0x1.00411c486d336p-14, 0x1.0180e9e41f2d9p-14, 0x1.0289d7e96fb92p-14, 0x1.035f4a115e67fp-14, 0x1.040264e6b35fap-14, 0x1.04741c41d98bap-14, 0x1.04b6e5fdb6dbbp-14, 0x1.04ccc42a6bba6p-14, 0x1.04b78d6251ab5p-14, 0x1.0478bf3960b84p-14, 0x1.04119d9890e23p-14, 0x1.0383b987ebbc7p-14, 0x1.02d0b73aa1827p-14, 0x1.01f8641e93da3p-14, 0x1.00f9fb7f17a0cp-14, 0x1.ffb679d876ebp-15, 0x1.fd3f0bd1bb804p-15, 0x1.fa896d6aff336p-15, 0x1.f796309ae0f3ep-15, 0x1.f46db324ad734p-15, 0x1.f1108b9d71552p-15, 0x1.ed7e7d3a89687p-15, 0x1.e9b9fde8060bap-15, 0x1.e5c6086a8a7b4p-15, 0x1.e1a48f0e7a51ep-15, 0x1.dd5a18058fa4p-15, 0x1.d8e62e144c5bap-15, 0x1.d44c1ea73780bp-15, 0x1.cf8da5c57b1d5p-15, 0x1.caac831891ab5p-15, 0x1.c5aa6e52a7b0cp-15, 0x1.c089280b4fbb5p-15, 0x1.bb4a7a70b6f4ap-15, 0x1.b5f062e068646p-15, 0x1.b07cd10f4ee36p-15, 0x1.aaf16fa8febd4p-15, 0x1.a54e69a3fb164p-15, 0x1.9f98010f81dadp-15, 0x1.99cb7a4478005p-15, 0x1.93ebf3e8bda47p-15, 0x1.8dfb9285deb04p-15, 0x1.87fb25393797ap-15, 0x1.81eb72003f0bfp-15, 0x1.7bd839a69b3adp-15, 0x1.75bf0f91064c3p-15, 0x1.6f84f104b1a5ap-15, 0x1.6945bc6413354p-15, 0x1.63086d8763ac9p-15, 0x1.5cc08e50598d2p-15, 0x1.5676370b4c82dp-15, 0x1.50300a38a60c5p-15, 0x1.49d4bef5fd2fep-15, 0x1.4372af903f515p-15, 0x1.3d1b524835cc2p-15, 0x1.36c2abb2ac6f6p-15, 0x1.3065ef9a712c1p-15, 0x1.2a084914007e9p-15, 0x1.23abc72dc66dbp-15, 0x1.1d51762ab076bp-15, 0x1.16fa0bff5ce62p-15, 0x1.10a630db667b7p-15, 0x1.0a56962d8826cp-15, 0x1.040c05909137fp-15, 0x1.fb8e957f0822bp-16, 0x1.ef1232257ed93p-16, 0x1.e2a3c4f3e4cb8p-16, 0x1.d643cbc14d58bp-16, 0x1.c9f2879d3d5abp-16, 0x1.bdb0a1fab1749p-16, 0x1.b1804639e4bcap-16, 0x1.a564bbfab1cd8p-16, 0x1.995d6945e1dd3p-16, 0x1.8d64094a0ff44p-16, 0x1.818863602d84bp-16, 0x1.75c2d6261b76fp-16, 0x1.6a101e225584ep-16, 0x1.5e81bf016f0dcp-16, 0x1.530363951a121p-16, 0x1.479b02b7005a9p-16, 0x1.3c4c281e79bbbp-16, 0x1.3113f586e75e1p-16, 0x1.25f8a3aa1c955p-16, 0x1.1b00ad8662885p-16, 0x1.101f628adcdf5p-16, 0x1.0557b34ca9dc9p-16, 0x1.f558a57c94d52p-17, 0x1.e04b5e2b854aep-17, 0x1.cb6f151856331p-17, 0x1.b6db046e71f3ap-17, 0x1.a2821885b6288p-17, 0x1.8e5f222ef5313p-17, 0x1.7a7898c402b0ap-17, 0x1.66d0f621eecbdp-17, 0x1.5364c841f2dddp-17, 0x1.4034e2a73013fp-17, 0x1.2d4e2db232dbdp-17, 0x1.1ab18ae53d055p-17, 0x1.084a5c7cc8b62p-17, 0x1.ec44657c2a832p-18, 0x1.c87d95adb45e4p-18, 0x1.a5443ed0567a7p-18, 0x1.8265915b3c58bp-18, 0x1.602c93c2dca61p-18, 0x1.3e67609e0f14fp-18, 0x1.1d24663ce690ap-18, 0x1.f8dfe5678bcc8p-19, 0x1.b88ac0c93a0e9p-19, 0x1.79269285ebe19p-19, 0x1.3ac6e071cda7ap-19, 0x1.faddc5bbc7649p-20, 0x1.823bb80764201p-20, 0x1.0ba572e2cb539p-20, 0x1.2e330a97d5e73p-21, 0x1.24b10f641d00fp-23, -0x1.2f9a3b6f320bbp-22, -0x1.74bd1407f48dfp-21, -0x1.26d3dfb7e02d8p-20, -0x1.91489efdaba13p-20, -0x1.f9becde7a886dp-20, -0x1.301c3426a2cd4p-19, -0x1.625bc4017c02p-19, -0x1.939f9711009dp-19, -0x1.c3e9d4f561b3p-19, -0x1.f33c87daacf9ep-19, -0x1.10cb9e1f7bde2p-18, -0x1.277c124239dbdp-18, -0x1.3db428232074ep-18, -0x1.53779bde8276ep-18, -0x1.68c10c41f7d52p-18, -0x1.7d90e6f9d37b6p-18, -0x1.91e9c47829591p-18, -0x1.a5cd480660e54p-18, -0x1.b93d5dcb087b5p-18, -0x1.cc3b08f600d52p-18, -0x1.dec5e57c07836p-18, -0x1.f0d960ccd6c2bp-18, -0x1.013f69505704fp-17, -0x1.09df37c0a2c81p-17, -0x1.124469787d9bfp-17, -0x1.1a72919992bc1p-17, -0x1.226accb03f99dp-17, -0x1.2a2d8c7169832p-17, -0x1.31bb70fd47df4p-17, -0x1.3915031e4c8f7p-17, -0x1.403ab0ae2591dp-17, -0x1.472d0cb562605p-17, -0x1.4decaf1d9586ep-17, -0x1.547a2779eb9b2p-17, -0x1.5ad647d8ad265p-17, -0x1.6102b98a5ca1p-17, -0x1.66fbcb4cb2dfp-17, -0x1.6cc70c9c75858p-17, -0x1.72621f46d9bc2p-17, -0x1.77cefb7beb0b4p-17, -0x1.7d0dc1f4af08dp-17, -0x1.821f20f20e52ep-17, -0x1.8703b64114d6ap-17, -0x1.8bbc2461e483ep-17, -0x1.904bb82258cc4p-17, -0x1.94aa6ac741c2ep-17, -0x1.98e1212ee8a3ap-17, -0x1.9cee3504ff0a4p-17, -0x1.a0d1e040909e1p-17, -0x1.a48c934f945b3p-17, -0x1.a81e938b35102p-17, -0x1.ab7cf0d3aa5a3p-17, -0x1.aec5e19c8e064p-17, -0x1.b1f0d0b30623fp-17, -0x1.b4e34c1f52c7ap-17, -0x1.b7baa21355132p-17, -0x1.ba6e460bdfd7cp-17, -0x1.bcf0b09af3dbcp-17, -0x1.bf5902a3a824dp-17, -0x1.c19d7d6350ac9p-17, -0x1.c3bf4b9c4ee6bp-17, -0x1.c5bf448d059b5p-17, -0x1.c7a3bb41a79c5p-17, -0x1.c95c46b533e23p-17, -0x1.cafa4c4581ec6p-17, -0x1.cc78af24c1ee9p-17, -0x1.cdd875312ab3bp-17, -0x1.cf19a8f7dd67dp-17, -0x1.d03ccec85cd37p-17, -0x1.d1429977d99b7p-17, -0x1.d22ba7c8aafcbp-17, -0x1.d2f88ba4f8d4ap-17, -0x1.d3a90e2f236e6p-17, -0x1.d43f4ca735cap-17, -0x1.d4ba3d38fe46cp-17, -0x1.d51b1ab2662afp-17, -0x1.d5622dc3faf97p-17, -0x1.d5900bba038b2p-17, -0x1.d5a5203fdd093p-17, -0x1.d5a22f80c363p-17, -0x1.d5878f00908f5p-17, -0x1.d556373c16c7ep-17, -0x1.d5089a67e3a1p-17, -0x1.d4ae68bb10ee7p-17, -0x1.d438c919e3adbp-17, -0x1.d3ae6feff573ep-17, -0x1.d30ea2f6fe851p-17, -0x1.d25b787912393p-17, -0x1.d193f5e575a93p-17, -0x1.d0b8c5cca9cf9p-17, -0x1.cfca8a1891b4ep-17, -0x1.cec9a87a1531ep-17, -0x1.cdb68de780fdbp-17, -0x1.cc91af30b33d1p-17, -0x1.cb5b9ec4b4c09p-17, -0x1.ca1efab6d1d79p-17, -0x1.c8bc8ac3cd24bp-17, -0x1.c7544647565d4p-17, -0x1.c5dc857ab6dep-17, -0x1.c4556c347393cp-17, -0x1.c2bf61af53f93p-17, -0x1.c11ac316a4df5p-17, -0x1.bf67f6dbbd03dp-17, -0x1.bda758802404fp-17, -0x1.bbd9485bf5f9ap-17, -0x1.b9fe1ca89e517p-17, -0x1.b815fc7e08faep-17, -0x1.b621900cb7a76p-17, -0x1.b43121525b01ap-17, -0x1.b2158fa20ba81p-17, -0x1.affe872a0a13bp-17, -0x1.addccf3244c9ap-17, -0x1.abb022200153ep-17, -0x1.a9794478dbe25p-17, -0x1.a737d5c4be9fdp-17, -0x1.a4ed05f79b5e9p-17, -0x1.a2990eaf3dc01p-17, -0x1.a03bed479f9a4p-17, -0x1.9dd5c66337e6ep-17, -0x1.9b6619985f3dbp-17, -0x1.98d6f8de997fap-17, -0x1.9671cfba0f2b3p-17, -0x1.93ee2c79d57cap-17, -0x1.915aa0a13105dp-17, -0x1.8ecd8f4b0da9bp-17, -0x1.8c30dfb72e77p-17, -0x1.898f4e94f95d2p-17, -0x1.86e7b23d42607p-17, -0x1.843a104215c64p-17, -0x1.81868a2f9cfc2p-17, -0x1.7ecca387e6c69p-17, -0x1.7bf467070250bp-17, -0x1.794be2c02e1f2p-17, -0x1.768582fd826f6p-17, -0x1.73b99dd9b0546p-17, -0x1.70e9681a4e355p-17, -0x1.6e1db44961095p-17, -0x1.6b3cc290a7f87p-17, -0x1.6860b88ae177bp-17, -0x1.658452fe85314p-17, -0x1.62a5871ac0a6p-17, -0x1.5fb94299e2b92p-17, -0x1.5ccdc3607c7dbp-17, -0x1.59e7d528a34b6p-17, -0x1.56fe5913bcab3p-17, -0x1.5411d76342b12p-17, -0x1.5119771f54e94p-17, -0x1.4e26bedd80176p-17, -0x1.4b321b2a4aa87p-17, -0x1.483bf30330406p-17, -0x1.45447483f1714p-17, -0x1.424bdb598fe5ap-17, -0x1.3f524c7106411p-17, -0x1.3c57f9701a3abp-17, -0x1.395d0111c3dbfp-17, -0x1.3661865e09e5dp-17, -0x1.33655e13b350fp-17, -0x1.307c8bc06a2f1p-17, -0x1.2d6e4d06bf09ap-17, -0x1.2a6d04f6496c5p-17, -0x1.27777c3d17166p-17, -0x1.247b5a046af82p-17, -0x1.218080ff61e5cp-17, -0x1.1e866dbc2e67bp-17, -0x1.1b8d264412986p-17, -0x1.1894cae27db9fp-17, -0x1.159d7712fad12p-17, -0x1.12a75026456dap-17, -0x1.0fb252b9f335p-17, -0x1.0cbe4f4ca2161p-17, -0x1.09cca9bce71cbp-17, -0x1.06dc60284cf31p-17, -0x1.03ed8b7b1d701p-17, -0x1.01007350ab447p-17, -0x1.fc290e59ddd2bp-18, -0x1.f67d529156c49p-18, -0x1.f087818c33a1bp-18, -0x1.eac051c2a898dp-18, -0x1.e4fbeeb93d041p-18, -0x1.df444617d03d1p-18, -0x1.d9816908d61e5p-18, -0x1.d3caeaa9d76dbp-18, -0x1.ce186f9dfea4dp-18, -0x1.c86d0ffe89e77p-18, -0x1.c2c72073adb32p-18, -0x1.bd26a4b34c7cfp-18, -0x1.b78be794d600ep-18, -0x1.b1f7226965a43p-18, -0x1.ac68b8666e062p-18, -0x1.a6e306971ed2ap-18, -0x1.a15347bbd3f62p-18, -0x1.9be3c80a82f79p-18, -0x1.966af0aa36eedp-18, -0x1.9130315db9c7bp-18, -0x1.8b93b1745536dp-18, -0x1.86348e4e53e63p-18, -0x1.80db188886051p-18, -0x1.7b8864c03de28p-18, -0x1.763cc629cd40ep-18, -0x1.70f7e014cdac1p-18, -0x1.6bcf09ba25be4p-18, -0x1.6686fbf723e49p-18, -0x1.6158436bb1467p-18, -0x1.5c31ee9a0b894p-18, -0x1.571372cde619cp-18, -0x1.51fda6982dd35p-18, -0x1.4ceddac9e5b69p-18, -0x1.47e6e78586042p-18, -0x1.42e7e9d906538p-18, -0x1.3df0c52fd3294p-18, -0x1.39001ffa5e4abp-18, -0x1.33faff77913fbp-18, -0x1.2f3c65ca0d48fp-18, -0x1.2a5280efdf7e1p-18, -0x1.259b20d7be8abp-18, -0x1.20d81872acf15p-18, -0x1.1c1498cd6b705p-18, -0x1.1765f7510b845p-18, -0x1.12b797b067871p-18, -0x1.0e13cdc9a018ep-18, -0x1.0978d6eb5112fp-18, -0x1.04e61d36e37f4p-18, -0x1.00591749fa399p-18, -0x1.f7424be891102p-19, -0x1.eec357fc3d38dp-19, -0x1.e5e80b89bb165p-19, -0x1.dd1a046ac0e9ep-19, -0x1.d4606d3d604cp-19, -0x1.cba69e68e89b3p-19, -0x1.c31a8b38e69b6p-19, -0x1.ba92e5ccafca6p-19, -0x1.b21c45e0e5225p-19, -0x1.a9b793e0d2ca5p-19, -0x1.a16496173c2bdp-19, -0x1.99232d86d596bp-19, -0x1.90f377f0bde06p-19, -0x1.88d74e50d43e2p-19, -0x1.8127e19314202p-19, -0x1.78ceda1357c1fp-19, -0x1.70e431a7ef33cp-19, -0x1.690c38cd9e6bdp-19, -0x1.6156e909bcdbdp-19, -0x1.59970e024d7adp-19, -0x1.5201e355550dap-19, -0x1.4a3e73b94247bp-19, -0x1.42d72a96406d7p-19, -0x1.3c0530fffa15ap-19, -0x1.3401e8d101bbep-19, -0x1.2cb9318043f55p-19, -0x1.25823e9926405p-19, -0x1.1e57ef8c39d84p-19, -0x1.173fa09e855cdp-19, -0x1.1039d00ea2185p-19, -0x1.090e7113d0edcp-19, -0x1.026ec502a9989p-19, -0x1.f713bd8e4745fp-20, -0x1.e9905b56eb86dp-20, -0x1.dc22ca83a8397p-20, -0x1.cee99f8f255d6p-20, -0x1.c1cad52d98782p-20, -0x1.b51b598f9c039p-20, -0x1.a7f0cad8571cbp-20, -0x1.9b32a9e53df33p-20, -0x1.8f671c7f08f8bp-20, -0x1.82631003aaeddp-20, -0x1.75cea022e21edp-20, -0x1.6999d4c300efdp-20, -0x1.5d7e06574a81ap-20, -0x1.50c47aa2c3a99p-20, -0x1.45b38168d10ebp-20, -0x1.3a348330184b6p-20, -0x1.2e5ba06cf4499p-20, -0x1.23030e79b80c7p-20, -0x1.17b28eb3f90c2p-20, -0x1.0c800f70b1337p-20, -0x1.016d002afcbf2p-20, -0x1.ed5e7eded236ap-21, -0x1.d749b65dd6e3bp-21, -0x1.c1dda31a51823p-21, -0x1.acafd1f87cab2p-21, -0x1.97c0587c44712p-21, -0x1.82fb6c62ab0ffp-21, -0x1.6e9c03973c52dp-21, -0x1.5a5d12dcf5c9bp-21, -0x1.465d70cd488b2p-21, -0x1.329bfd476b5bdp-21, -0x1.1f153b42cc0acp-21, }}, 
      {{0x1.211f35ab8c872p-5, 0x1.1d3bd22aea4f1p-4, 0x1.a2912619d83dbp-4, 0x1.0ee64b924b32ep-3, 0x1.467458349c96ap-3, 0x1.77483142c0f24p-3, 0x1.a104595023f8p-3, 0x1.c38c742a18985p-3, 0x1.def8e2176cb72p-3, 0x1.f38b28460cba8p-3, 0x1.00d1b375f12ap-2, 0x1.04db75cd70242p-2, 0x1.06244038103cfp-2, 0x1.04f0f882d3e3ap-2, 0x1.01878b8b987acp-2, 0x1.f85a02a69fa5cp-3, 0x1.ea482252a1b31p-3, 0x1.d95847fb86d52p-3, 0x1.c6014cf68d9cfp-3, 0x1.b0b140576367p-3, 0x1.99ccfeb8b738ap-3, 0x1.81b015a0d96f9p-3, 0x1.68ace862284eap-3, 0x1.4f0cfb3b96db5p-3, 0x1.35115e6f0e6fp-3, 0x1.1af32cc3b9e41p-3, 0x1.00e4164e05b09p-3, 0x1.ce1de35543174p-4, 0x1.9b309e94a2efdp-4, 0x1.693e1648ec68fp-4, 0x1.3879b32ff3da3p-4, 0x1.090d9dd256dd4p-4, 0x1.b6377a8c49c42p-5, 0x1.5d7d4a04c073p-5, 0x1.0814e73808314p-5, 0x1.6c3673147c0cdp-6, 0x1.9e8d2c102937bp-7, 0x1.cb796af8e62e2p-9, -0x1.552609ededd88p-8, -0x1.b9d3880a14619p-7, -0x1.5d82839cdc981p-6, -0x1.d72d95ecf2564p-6, -0x1.25061b5753dc2p-5, -0x1.5b22d7c080c7bp-5, -0x1.8e03153d267c7p-5, -0x1.bdbed7cc0daf8p-5, -0x1.ea6f97caa0091p-5, -0x1.0a17f53ba1426p-4, -0x1.1d8d951c0540ep-4, -0x1.2fa68f56d6422p-4, -0x1.4070ecf1487d1p-4, -0x1.4ffaaa9c8175ap-4, -0x1.5e51cc05a3f86p-4, -0x1.6b8408ab8ffbap-4, -0x1.779f0e6d06216p-4, -0x1.82b02490199d1p-4, -0x1.8cc451bb2b502p-4, -0x1.95e85bbf541acp-4, -0x1.9e2884023c2cbp-4, -0x1.a590c9c910c1ep-4, -0x1.ac2cd081a8ddfp-4, -0x1.b207b3748773cp-4, -0x1.b72c36b138862p-4, -0x1.bba4c53939601p-4, -0x1.bf7b4f77fb0cdp-4, -0x1.c2b9574f7984fp-4, -0x1.c568011a1b551p-4, -0x1.c7900d9b318d9p-4, -0x1.c939dbdb0ae87p-4, -0x1.ca6d52d4ddaedp-4, -0x1.cb320e950f7bdp-4, -0x1.cb8f405c9744bp-4, -0x1.cb8bc53591a65p-4, -0x1.cb2e259c905a4p-4, -0x1.ca7c80a5de63ep-4, -0x1.c97cb23761693p-4, -0x1.c83442d6dd433p-4, -0x1.c6a866faa6535p-4, -0x1.c4de0eb98aca5p-4, -0x1.c2d9e623f73e5p-4, -0x1.c0a046de9ed6bp-4, -0x1.be355264e006fp-4, -0x1.bb9ceae9664a6p-4, -0x1.b8dab4c4e81ep-4, -0x1.b5f218ed20b27p-4, -0x1.b2e64b19199e9p-4, -0x1.afba50ad1ce87p-4, -0x1.ac70f53dd9a9p-4, -0x1.a90cd82a3a5ffp-4, -0x1.a5906f6082b81p-4, -0x1.a1fe0584daa51p-4, -0x1.9e57bd6fc40a9p-4, -0x1.9a9f9469aa397p-4, -0x1.96d763996b234p-4, -0x1.9300e4c79edf3p-4, -0x1.8f1db41eda8c6p-4, -0x1.8b2f4c7a48e07p-4, -0x1.87370eeec06adp-4, -0x1.833643b84d425p-4, -0x1.7f2e1a50044c6p-4, -0x1.7b1fab58e433fp-4, -0x1.770bfa64477bep-4, -0x1.72f3f7475b8adp-4, -0x1.6ed87ee3d954fp-4, -0x1.6aba5c911395cp-4, -0x1.669a4ca25f01ap-4, -0x1.6278fc23ecf3p-4, -0x1.5e57090c7aea9p-4, -0x1.5a3504e2bf572p-4, -0x1.5613755ca1cc5p-4, -0x1.51f2d4a128138p-4, -0x1.4dd3922a886a2p-4, -0x1.49b613c29f816p-4, -0x1.459ab636e98c7p-4, -0x1.4181cdc732831p-4, -0x1.3d6ba6a5cdcf8p-4, -0x1.3958860936dedp-4, -0x1.3548aa21c1994p-4, -0x1.313c4b750b118p-4, -0x1.2d339d7864644p-4, -0x1.292ecc62a7f2bp-4, -0x1.252e00c92bfc9p-4, -0x1.213160e814492p-4, -0x1.1d3906853bc8bp-4, -0x1.1945161e5f3e4p-4, -0x1.1555a237cfcb8p-4, -0x1.116ac1a8d5f2ep-4, -0x1.0d8486692310fp-4, -0x1.09a30363f1482p-4, -0x1.05c6465a9526ep-4, -0x1.01ee520c5c253p-4, -0x1.fc366d19f62ddp-5, -0x1.f49a03ed41113p-5, -0x1.ed07690ad7691p-5, -0x1.e57e91fa9d497p-5, -0x1.ddff96371c151p-5, -0x1.d68a8b6448b51p-5, -0x1.cf1f6d61ef7bfp-5, -0x1.c7be299138857p-5, -0x1.c066be970bcc6p-5, -0x1.b9193bb0a6834p-5, -0x1.b1d5a97f5afbbp-5, -0x1.aa9bfd355d973p-5, -0x1.a36c24a7a3636p-5, -0x1.9c461a965a5cdp-5, -0x1.9529e1628c6ep-5, -0x1.8e177eb5738d7p-5, -0x1.870ef20defa96p-5, -0x1.80102e1a9b0eap-5, -0x1.791b270cd29efp-5, -0x1.722fdadcefa64p-5, -0x1.6b4e490bdc35ap-5, -0x1.647672a62852cp-5, -0x1.5da85acad6cdp-5, -0x1.56e3fe876a1b1p-5, -0x1.502955d44c1a5p-5, -0x1.49785e2d76b1dp-5, -0x1.42d11a9d5d76p-5, -0x1.3c338dcbb7e17p-5, -0x1.359fba4eef043p-5, -0x1.2f15a5b45829bp-5, -0x1.289555d721bf6p-5, -0x1.221eccc84724p-5, -0x1.1bb20c623bf62p-5, -0x1.154f1b43d8de4p-5, -0x1.0ef602bca5c74p-5, -0x1.08a6cbc988b59p-5, -0x1.02617f04e21cep-5, -0x1.f84c4d6d2f2bep-6, -0x1.ebe99df96a24ep-6, -0x1.df9b07d2d6523p-6, -0x1.d360a06c284b1p-6, -0x1.c73a7f171268fp-6, -0x1.bb28c0b92ed53p-6, -0x1.af2b856e2f0b6p-6, -0x1.a342ed75e2fb2p-6, -0x1.976f18e27525p-6, -0x1.8bb0286d06b78p-6, -0x1.80063f369af9cp-6, -0x1.7471826fe9b5p-6, -0x1.68f217f1d9d03p-6, -0x1.5d8824e6d41e3p-6, -0x1.5233cf3dab6e2p-6, -0x1.46f53fb06867p-6, -0x1.3bcca124ba95cp-6, -0x1.30ba1efc172a9p-6, -0x1.25bde47d90a39p-6, -0x1.1ad81ce8a080ep-6, -0x1.1008f3f030517p-6, -0x1.0550960eb9599p-6, -0x1.f55e61717f961p-7, -0x1.e049e487d6b9cp-7, -0x1.cb640f811c491p-7, -0x1.b6ad4092fdbb6p-7, -0x1.a225d26e28749p-7, -0x1.8dce23e1e1295p-7, -0x1.79a693cde3a4ep-7, -0x1.65af80d9fa402p-7, -0x1.51e948aeb1ba1p-7, -0x1.3e54481271e3ep-7, -0x1.2af0db0bcdc27p-7, -0x1.17bf5ce725d52p-7, -0x1.04c02874cc115p-7, -0x1.e3e7302dbaaeap-8, -0x1.beb40ad16b693p-8, -0x1.99e79243358e2p-8, -0x1.758274c31bbeap-8, -0x1.51855df375bdcp-8, -0x1.2df0f76f00fd1p-8, -0x1.0ac5e863c1ebbp-8, -0x1.d009a95da93bbp-9, -0x1.8b5cb854ceef1p-9, -0x1.47863378a50f1p-9, -0x1.048748557f34fp-9, -0x1.84c2354755f1dp-10, -0x1.02298a7fe0a95p-10, -0x1.028d66ac6253cp-11, -0x1.0ddf8babd8922p-17, 0x1.ed555a975778dp-12, 0x1.ee154cfacbef7p-11, 0x1.71025e44d9ceap-10, 0x1.e93ac212eca6bp-10, 0x1.2fd91648fbc4cp-9, 0x1.6a3388318c5d8p-9, 0x1.a3abfa6d5aa7cp-9, 0x1.dc41bdbda0494p-9, 0x1.09fa17e705825p-8, 0x1.25615dfc8ab34p-8, 0x1.40566db5d4f8p-8, 0x1.5ad90a9385dd5p-8, 0x1.74e8ff1504f37p-8, 0x1.8e861cbf8c57p-8, 0x1.a7b03c25fe7bep-8, 0x1.c0673cd85ec2ep-8, 0x1.d8ab05aea97acp-8, 0x1.f07b850771075p-8, 0x1.03ec5803b3684p-7, 0x1.0f6141e99ea9cp-7, 0x1.1a9c81cf39df6p-7, 0x1.259e1dea4bep-7, 0x1.30661f4c2e676p-7, 0x1.3af49317280e8p-7, 0x1.454989d5838bbp-7, 0x1.4f6518473b485p-7, 0x1.594759dc5ef3p-7, 0x1.62f06538523edp-7, 0x1.6c605ee6e4a2cp-7, 0x1.75976b4d81e33p-7, 0x1.7e95b0c3c4abep-7, 0x1.875b5b894490bp-7, 0x1.8fe89b4ff6393p-7, 0x1.983da36260a1cp-7, 0x1.a05aaabca37a5p-7, 0x1.a83fec51b7da6p-7, 0x1.afeda59e408fap-7, 0x1.b764196e247p-7, 0x1.bea38cfcf0555p-7, 0x1.c5ac494c2f293p-7, 0x1.cc7e9ac7c7c5ap-7, 0x1.d31ad141c58p-7, 0x1.d9813fe6296acp-7, 0x1.dfb23d265d915p-7, 0x1.e5ae22c13bbc1p-7, 0x1.eb754daf98bdbp-7, 0x1.f1081e1564179p-7, 0x1.f666f740deb8cp-7, 0x1.fb923f94dcd32p-7, 0x1.0045303b1221ap-6, 0x1.02a7e31c1c4d5p-6, 0x1.04f1700837e58p-6, 0x1.07220ffc5c45bp-6, 0x1.0939fd504b66fp-6, 0x1.0b3973ab8458ap-6, 0x1.0d20affd2c4d1p-6, 0x1.0eeff070da5e2p-6, 0x1.10a77467fbe3cp-6, 0x1.12477c6eba41cp-6, 0x1.13d04a322d8ecp-6, 0x1.1542207603321p-6, 0x1.169d4319f098cp-6, 0x1.17e1f6b01080dp-6, 0x1.19108146301d1p-6, 0x1.1a29295ba01a7p-6, 0x1.1b2c367e86109p-6, 0x1.1c19f10e9da53p-6, 0x1.1cf2a22fe5c6fp-6, 0x1.1db693ca07f99p-6, 0x1.1e66107e28786p-6, 0x1.1f01639ae7525p-6, 0x1.1f88d9108a555p-6, 0x1.1ffcbd6e6412fp-6, 0x1.205d5dc7eb7a3p-6, 0x1.20ab07eaef273p-6, 0x1.20e6097d033edp-6, 0x1.210eb16bfa07bp-6, 0x1.21254e6b8d595p-6, 0x1.212a2fb476f62p-6, 0x1.211da4cb83e12p-6, 0x1.20fffd764e8c2p-6, 0x1.20d189b24fdb3p-6, 0x1.209299ab37cb4p-6, 0x1.20437db11205dp-6, 0x1.1fe4862dd1c15p-6, 0x1.1f76039325ad1p-6, 0x1.1ef846553c1f5p-6, 0x1.1e6b9f7893b9ep-6, 0x1.1dd05eb04c0a3p-6, 0x1.1d26d4f85abfp-6, 0x1.1c6f51a7886cfp-6, 0x1.1baa21f51af2ep-6, 0x1.1ad7a16ebe109p-6, 0x1.19f81350899cdp-6, 0x1.190bcb643de11p-6, 0x1.181318be4bf31p-6, 0x1.170e4a355e3c8p-6, 0x1.15fdae4b9977dp-6, 0x1.14e193266c66fp-6, 0x1.13ba46880458cp-6, 0x1.128815aa1f156p-6, 0x1.114b4dbbd0166p-6, 0x1.10043ab0f6fe7p-6, 0x1.0eb328ba2eb59p-6, 0x1.0d58632817934p-6, 0x1.0bf434c8f9136p-6, 0x1.0a86e7ddc0457p-6, 0x1.0910c607fa6ccp-6, 0x1.0792184a5cd01p-6, 0x1.060b2704e26a6p-6, 0x1.047c39ee26666p-6, 0x1.02e5980e65855p-6, 0x1.014787b8566bcp-6, 0x1.ff449d05e0f7cp-7, 0x1.fbec629154a39p-7, 0x1.f886e85341808p-7, 0x1.f514b51297e15p-7, 0x1.f1964e0a62cf1p-7, 0x1.ee0c36d033857p-7, 0x1.ea76f1478d5fap-7, 0x1.e6d6fda5fceebp-7, 0x1.e32cda7fcf3bap-7, 0x1.df7904ca2b656p-7, 0x1.dbbbf7ca3365p-7, 0x1.d7f62d0160e91p-7, 0x1.d4281c271aedap-7, 0x1.d0523b2b6e62dp-7, 0x1.cc74fe3922298p-7, 0x1.c890d7b42328ep-7, 0x1.c4a63835c479cp-7, 0x1.c0b58e892c9bdp-7, 0x1.bcbf47a86e5d2p-7, 0x1.b8c3ceb871c45p-7, 0x1.b4c38d04e9a48p-7, 0x1.b0bee9ff81ea9p-7, 0x1.acb64b47d84eep-7, 0x1.a8aa14b8bd835p-7, 0x1.a49aa8b173a8p-7, 0x1.a088641841abbp-7, 0x1.9c73a989e18a3p-7, 0x1.985cd3c4d7043p-7, 0x1.94443c838d8a1p-7, 0x1.902a3b872317bp-7, 0x1.8c0f28fc5a0f7p-7, 0x1.87f3596998cc9p-7, 0x1.83d71fb1a1edp-7, 0x1.7fbaccfd290aep-7, 0x1.7b9eb0992ac9ep-7, 0x1.7783180689c8cp-7, 0x1.73684ef4a2f59p-7, 0x1.6f4e9f431c944p-7, 0x1.6b365104a8bf9p-7, 0x1.671faa812a48ep-7, 0x1.630af03822c7ep-7, 0x1.5ef864e3112e7p-7, 0x1.5ae84978ee0f5p-7, 0x1.56dadd31fdbe4p-7, 0x1.52d05d8c34ce1p-7, 0x1.4ec9065008ecdp-7, 0x1.4ac511939047ap-7, 0x1.46c4b7c1149ecp-7, 0x1.42c82fa5b4dc3p-7, 0x1.3ecfae571b4aap-7, 0x1.3adb675d0acep-7, 0x1.36eb8ca17952ap-7, 0x1.33004e6e0bc9ap-7, 0x1.2f19db730f8e3p-7, 0x1.2b3860d514aa3p-7, 0x1.275c0a30f7455p-7, 0x1.238501a1aa2ccp-7, 0x1.1fb36fc8762b3p-7, 0x1.1be77bbb71c62p-7, 0x1.18214b3c55464p-7, 0x1.1461028642a0cp-7, 0x1.10a6c4ce5e7f3p-7, 0x1.0cf2b288b9a26p-7, 0x1.0944ec09f9c94p-7, 0x1.059d916160d01p-7, 0x1.01fcbec7f297bp-7, 0x1.fcc51f0a826bcp-8, 0x1.f59e3f7e1f8e1p-8, 0x1.ee8510fee9e22p-8, 0x1.e779c406400cfp-8, 0x1.e07c86b705ee6p-8, 0x1.d98d84cd5a039p-8, 0x1.d2ace7a231c45p-8, 0x1.cbdad64745f97p-8, 0x1.c517757ec3a1fp-8, 0x1.be62e7ba34b95p-8, 0x1.b7bd4d205fdbep-8, 0x1.b126c35c99682p-8, 0x1.aa9f65f366e07p-8, 0x1.a427504d46fb2p-8, 0x1.9dbe9aff6114fp-8, 0x1.97655ac01b615p-8, 0x1.911ba5ca23064p-8, 0x1.8ae18c862c3adp-8, 0x1.84b71f732ecc4p-8, 0x1.7e9c6de45aa8fp-8, 0x1.789185096218dp-8, 0x1.729670260d74ap-8, 0x1.6cab38bff370ep-8, 0x1.66cfe6b63e9afp-8, 0x1.610480598b0b3p-8, 0x1.5b490affbf7d9p-8, 0x1.559d86cd775fap-8, 0x1.5001fa065e64p-8, 0x1.4a7663e960b1p-8, 0x1.44fac00a746ccp-8, 0x1.3f8f0e0ba4259p-8, 0x1.3a3349579d2f1p-8, 0x1.34e76c9db607dp-8, 0x1.2fab71952ce2ap-8, 0x1.2a7f512178354p-8, 0x1.2563034def746p-8, 0x1.20567f2bb43a8p-8, 0x1.1b59bb1188278p-8, 0x1.166cacebee7ep-8, 0x1.118f499fad19ap-8, 0x1.0cc18419cee3cp-8, 0x1.08034d515e4e5p-8, 0x1.035494e8aa63p-8, 0x1.fd6a923f8b60bp-9, 0x1.f44aac84f2cdcp-9, 0x1.eb494cf238a66p-9, 0x1.e2664a7436dbap-9, 0x1.d9a18462b8fdap-9, 0x1.d0fab938393e9p-9, 0x1.c871c0481aca8p-9, 0x1.c00684677f592p-9, 0x1.b7b8d3548bbdep-9, 0x1.af8882b53526bp-9, 0x1.a7756a335e628p-9, 0x1.9f7f62faaa5e7p-9, 0x1.97a63ae14548ap-9, 0x1.8fe9c275d8c28p-9, 0x1.8849c31281c11p-9, 0x1.80c602e654465p-9, 0x1.795e45783376dp-9, 0x1.72124c8a96d48p-9, 0x1.6ae1d9688b727p-9, 0x1.63ccae425c3b7p-9, 0x1.5cd28f2330a45p-9, 0x1.55f342575a3acp-9, 0x1.4f2e904905eb9p-9, 0x1.488442e44c1a9p-9, 0x1.41f4249557f07p-9, 0x1.3b7dff11fa85cp-9, 0x1.35219a3f5e302p-9, 0x1.2edebb13ab2a4p-9, 0x1.28b523afbeb6ep-9, 0x1.22a4939bd38a3p-9, 0x1.1cacc63003c8bp-9, 0x1.16cd790077642p-9, 0x1.110666e044c99p-9, 0x1.0b574ccce3353p-9, 0x1.05bfe97ab8f34p-9, 0x1.003ffdd87b21ap-9, 0x1.f5ae9a2884336p-10, 0x1.eb0b382bf9da3p-10, 0x1.e09563323ded6p-10, 0x1.d64ca6c4a9859p-10, 0x1.cc308deec1bc5p-10, 0x1.c2409ff614a48p-10, 0x1.b87c5d4df9a3ep-10, 0x1.aee33f2020423p-10, 0x1.a574b8e778fdbp-10, 0x1.9c303a32e0415p-10, 0x1.93153195558f2p-10, 0x1.8a230f8596245p-10, 0x1.81594881907d6p-10, 0x1.78b755f47f6b7p-10, 0x1.703cb6137cf4bp-10, 0x1.67e8eb5878fb9p-10, 0x1.5fbb7cabaf1abp-10, 0x1.57b3f810992b2p-10, 0x1.4fd1ed86e8634p-10, 0x1.4814b577d714cp-10, 0x1.407c36c4048a8p-10, 0x1.390801278c46ap-10, 0x1.31b7716527f16p-10, 0x1.2a8a1c51c789dp-10, 0x1.237f9fd81cf1ap-10, 0x1.1c9773f3b37dfp-10, 0x1.15d1125d67426p-10, 0x1.0f2bf689bdba1p-10, 0x1.08a79e3c4c51p-10, 0x1.02438c257e55ep-10, 0x1.f7fe89bcd53c6p-11, 0x1.ebb49d8ce3616p-11, 0x1.dfa85caaedefap-11, 0x1.d3d8cc64718efp-11, 0x1.c844ef794b7c8p-11, 0x1.bcebcba37fc1ep-11, 0x1.b1cc6ffc927b8p-11, 0x1.a6e5f9d746e07p-11, 0x1.9c3795df0944ep-11, 0x1.91c07d122565dp-11, 0x1.877fef4169569p-11, 0x1.7d752dccc8a99p-11, 0x1.739f78aa2a695p-11, 0x1.69fe0e585ecd7p-11, 0x1.60902db966ec9p-11, 0x1.575515e7329bep-11, 0x1.4e4bfcca1661bp-11, 0x1.457434670f762p-11, 0x1.3ccd0f57800ebp-11, 0x1.3455a82261d2cp-11, 0x1.2c0d2ef0988ep-11, 0x1.23f2cf1c4d658p-11, 0x1.1c05ad090e384p-11, 0x1.1444e31a5e8c4p-11, 0x1.0caf80c66c872p-11, 0x1.05449fef8e337p-11, 0x1.fc06d02adbf85p-12, 0x1.edd60c7cf8f6fp-12, 0x1.dff56089c5229p-12, 0x1.d263533fddc26p-12, 0x1.c51e89bc82001p-12, 0x1.b825c9dc19a49p-12, 0x1.ab77fa14e4f53p-12, 0x1.9f141ad88e988p-12, 0x1.92f938b03c3d7p-12, 0x1.87265c82811d6p-12, 0x1.7b9a7f3b204d3p-12, 0x1.7054851e09035p-12, 0x1.65533fc18c51dp-12, 0x1.5a9572e492f52p-12, 0x1.5019d89f7b274p-12, 0x1.45df23ab29ad4p-12, 0x1.3be40082c1d2dp-12, 0x1.32271655a3944p-12, 0x1.28a706630fd6ep-12, 0x1.1f62816def692p-12, 0x1.1658015cdfc67p-12, 0x1.0d863c5ca55b6p-12, 0x1.04ebc4898de0dp-12, 0x1.f90e8610b1206p-13, 0x1.e8af005693a6bp-13, 0x1.d8b6da4565d87p-13, 0x1.c9244a762032p-13, 0x1.b9f5ba0952676p-13, 0x1.ab29a74ec2d89p-13, 0x1.9cbe8f9be0c5fp-13, 0x1.8eb2eef32a625p-13, 0x1.810542f9645cfp-13, 0x1.73b40c4d68a0dp-13, 0x1.66be065b14c59p-13, 0x1.5a1fbd669bba1p-13, 0x1.4dd866aee9eep-13, 0x1.41e8ae8e47c44p-13, 0x1.364996f1720f9p-13, 0x1.2afc2ec2d3acep-13, 0x1.1ffee5096d127p-13, 0x1.154f1cd50913ep-13, 0x1.0aec2ba6af5cap-13, 0x1.00d2601813e6dp-13, 0x1.ee026a33d7a9fp-14, 0x1.daec010286334p-14, 0x1.c85e3fcd1e542p-14, 0x1.b655e984b3c17p-14, 0x1.a4d036c2913cfp-14, 0x1.93ca8ed768303p-14, 0x1.834232facf491p-14, 0x1.7334351f6fffp-14, 0x1.639dccb9a9fb8p-14, 0x1.547caf4505b24p-14, 0x1.45ceff0c72209p-14, 0x1.3792d19bf915fp-14, 0x1.29c5c687dbbbp-14, 0x1.1c6513ebf2b02p-14, 0x1.0f6de9d80ba6ep-14, 0x1.02ddbec6cf1p-14, 0x1.ed6499c018fa5p-15, 0x1.d5d2c6697b7a5p-15, 0x1.bf0180dda280ep-15, 0x1.a8ec0c3858891p-15, 0x1.938d839686581p-15, 0x1.7ee10de67d9fep-15, 0x1.6ae2121d4d10ap-15, 0x1.578c37e99cfbep-15, 0x1.44db30c0d7ec3p-15, 0x1.32ca9de67dbecp-15, 0x1.215633dea4b2dp-15, 0x1.1079e500f107p-15, 0x1.0031d1a0543e2p-15, 0x1.e0f3f4f6469a5p-16, 0x1.c29bffb5dd0ddp-16, 0x1.a552dd9ae9078p-16, 0x1.89178a8174a0cp-16, 0x1.6de07e2571eeap-16, 0x1.53a7f3feeffe5p-16, 0x1.3a668632f2094p-16, 0x1.221575531311dp-16, 0x1.0aaeaf04b04cdp-16, 0x1.e859d3f7116cfp-17, 0x1.bd1386d6c63abp-17, 0x1.937d77fd71797p-17, 0x1.6b8e7054fda0fp-17, 0x1.453980438f1dbp-17, 0x1.2072b6c265a86p-17, 0x1.fa61e37b71e94p-18, 0x1.b6d13c23d392ap-18, 0x1.761c56589aaaep-18, 0x1.382f508fadd12p-18, 0x1.f9f19d0525b72p-19, 0x1.88ce2cf0559b1p-19, 0x1.1cccf12977da3p-19, 0x1.6b83de6c7e5dap-20, 0x1.4e00f8af0ae17p-21, -0x1.44321791b79d4p-24, -0x1.8d200db686d54p-21, -0x1.702590f6fba81p-20, -0x1.089adccfb878cp-19, -0x1.54f3e8d394935p-19, -0x1.9d463a4119ffcp-19, -0x1.e21a1468f7c46p-19, -0x1.1188099c1d873p-18, -0x1.30350e6989fa7p-18, -0x1.4d1e65432942dp-18, -0x1.685439491817bp-18, -0x1.81e7a6a16c06dp-18, -0x1.99e6065d9936ap-18, -0x1.b05b7778097b8p-18, -0x1.c5545b2ed9804p-18, -0x1.d8dd0f808c62cp-18, -0x1.eb01a5389d80cp-18, -0x1.fbce160bb91d1p-18, -0x1.05a740cbf9d4p-17, -0x1.0cc7821d7fb48p-17, -0x1.134d92e1a5f67p-17, -0x1.193e9db66b1f7p-17, -0x1.1e9e679f22d1bp-17, -0x1.2364e807e8e66p-17, -0x1.27d1669cf9b18p-17, -0x1.2b912f707e7edp-17, -0x1.2ed20ba4e907fp-17, -0x1.31af14c6bf9b8p-17, -0x1.34145a4173cd1p-17, -0x1.360c86f306062p-17, -0x1.379bc97897ee6p-17, -0x1.38c725a92b68dp-17, -0x1.39933acdbe46ap-17, -0x1.39fa67029f372p-17, -0x1.3a1bad27db4dcp-17, -0x1.39d7f94cef882p-17, -0x1.39479e9d0f03fp-17, -0x1.386937c3a2e6ap-17, -0x1.373ffde0f3fbp-17, -0x1.35cf83ee89358p-17, -0x1.342ae0b30ded6p-17, -0x1.3224c00950f9dp-17, -0x1.2ff08080f0ffcp-17, -0x1.2d813af735b08p-17, -0x1.2ada0bfee03f5p-17, -0x1.27fde31b69d5fp-17, -0x1.24ef6fd9782f4p-17, -0x1.21b11aeb12d64p-17, -0x1.1e45300f9797cp-17, -0x1.1ab1b767b00cap-17, -0x1.16f1aba7382dcp-17, -0x1.130a82801d001p-17, -0x1.0f0145e09d75dp-17, -0x1.0ad5b83e5d901p-17, -0x1.068a6ddfc3b14p-17, -0x1.0222089f5d86p-17, -0x1.fb3dbc1524d5p-18, -0x1.f205625ac6074p-18, -0x1.e89e137b36d5p-18, -0x1.df0b9a5e3b204p-18, -0x1.d5521dee83dd1p-18, -0x1.cb75542982915p-18, -0x1.c177b64fe3e57p-18, -0x1.b75c040813cdfp-18, -0x1.ad25c0e56aa63p-18, -0x1.a2d7f2d0e47c1p-18, -0x1.986e32c7ab09p-18, -0x1.8df5ff2cdd882p-18, -0x1.837c1cf62c5a9p-18, -0x1.78e8a88e52e13p-18, -0x1.6e4e2cca67b0ap-18, -0x1.63aa4ff5da65ep-18, -0x1.5900f376beea7p-18, -0x1.4e33e17d5cd0dp-18, -0x1.438e8e2c0035fp-18, -0x1.38f79be94d245p-18, -0x1.2e49649405959p-18, -0x1.239fcfb43c493p-18, -0x1.18fd024dd2d43p-18, -0x1.0e62446b1b8d7p-18, -0x1.03d10f1a3901p-18, -0x1.f2959dc63ea87p-19, -0x1.dda1ddb74d70dp-19, -0x1.c8c9c429a6a4bp-19, -0x1.b411dd856d353p-19, -0x1.9f772ca05a93dp-19, -0x1.8b0214d3a099ap-19, -0x1.76b34096f31d7p-19, -0x1.628c92601288ap-19, -0x1.4e8ff899f442bp-19, -0x1.3abfa95c6036p-19, -0x1.271e009c8ad78p-19, -0x1.13ac65b6cf433p-19, -0x1.006c6e207893ep-19, -0x1.dac2282744512p-20, -0x1.b4e503ce9dcb3p-20, -0x1.8fe5c8579da8cp-20, -0x1.6b00b0c170fb9p-20, -0x1.469b4ae746015p-20, -0x1.22ae07eff417bp-20, -0x1.fe71c9a81223cp-21, -0x1.b879dd7add086p-21, -0x1.7378ca73d1b36p-21, -0x1.2f6d4561a6d9dp-21, -0x1.d8c03f0d652ecp-22, -0x1.54a4a6cb8567fp-22, -0x1.a50c455f791ecp-23, -0x1.4588d7db1668ap-24, 0x1.5b4af3dda89f2p-25, 0x1.4ed674bf703a8p-23, 0x1.21457effc7393p-22, 0x1.990f5faa4b076p-22, 0x1.075304686334dp-21, 0x1.40ed4e836f509p-21, 0x1.79cd38bb9fd91p-21, 0x1.b1659f4bf07a8p-21, 0x1.e7f3ba87beb8dp-21, 0x1.0eb855ae9efcbp-20, 0x1.293403a774b61p-20, 0x1.425fe5be737e6p-20, 0x1.5c1800977db64p-20, 0x1.74608c3c0c996p-20, 0x1.8c77d9e7f0a04p-20, 0x1.a407619631aa3p-20, 0x1.bb0d1d061ccf6p-20, 0x1.d18ad00ab5278p-20, 0x1.e7817d50adb3cp-20, 0x1.fcf1a9b097cf2p-20, 0x1.08edf979fcc3bp-19, 0x1.1320888bc5268p-19, 0x1.1d10dd5c2050ap-19, 0x1.26bf7d24fa514p-19, 0x1.302c9a470069dp-19, 0x1.3958a47c7e5c5p-19, 0x1.42443ae5ee56dp-19, 0x1.4aef7153d6f7ep-19, 0x1.535b2ba7f000ep-19, 0x1.5b87682708becp-19, 0x1.637569a0c1e74p-19, 0x1.6b25885a27146p-19, 0x1.7298450e20b0bp-19, 0x1.79cdfb222cd71p-19, 0x1.80c734267668fp-19, 0x1.8784c99ce33dp-19, 0x1.8e07359e1925ep-19, 0x1.944f17cd8e76dp-19, 0x1.9a5ca76051b63p-19, 0x1.a02fb2d22c069p-19, 0x1.a5ceb44dc95eep-19, 0x1.ab346e74a59abp-19, 0x1.b05c4481c1edep-19, 0x1.b5921307a2059p-19, 0x1.ba6af06b3287bp-19, 0x1.be9c96a43e81fp-19, 0x1.c2f8f342d9a5p-19, 0x1.c71ea8d4baf33p-19, 0x1.cb0fccc700d81p-19, 0x1.cecdfe18f4c9ap-19, 0x1.d25a7afec0442p-19, 0x1.d5b5e6f033499p-19, 0x1.d8e1194fbc0a4p-19, 0x1.dbdcd17435306p-19, 0x1.dea9ab96cc685p-19, 0x1.e149374e6192fp-19, 0x1.e3f5075c0233bp-19, 0x1.e64eb247d790bp-19, 0x1.e8617f871f612p-19, 0x1.ea074d7600a1bp-19, 0x1.ebc0d3923ff17p-19, 0x1.ed6e543677667p-19, 0x1.eeccb71d49895p-19, 0x1.efe526db58a07p-19, 0x1.f14f0d251dbc8p-19, 0x1.f23812c3bebd8p-19, 0x1.f30b644122401p-19, 0x1.f3b9ac17a91e6p-19, 0x1.f4430de0db685p-19, 0x1.f4a65087ce7e1p-19, 0x1.f4ea11e45dbfdp-19, 0x1.f5098657f0679p-19, 0x1.f506d0d1e1b3cp-19, 0x1.f4e299f3c776cp-19, 0x1.f49de910ce3c6p-19, 0x1.f43916d8bcb4cp-19, 0x1.f3b4f5d798fa9p-19, 0x1.f31234cabc0bap-19, 0x1.f2517f8a41da5p-19, 0x1.f17380221f2b9p-19, 0x1.f078de518b5f6p-19, 0x1.ef623fab823bp-19, 0x1.ee3047611763bp-19, 0x1.ece394d63eacep-19, 0x1.eb7cdfa789ce6p-19, 0x1.e9fcbc657e0afp-19, 0x1.e863d19254a6cp-19, 0x1.e6b2b715a6e94p-19, 0x1.e4ea5554f529fp-19, 0x1.e30a4ffb4465fp-19, 0x1.e11446d5bcffep-19, 0x1.df087ddb9d21cp-19, 0x1.dce76d910b3e7p-19, 0x1.dab19cc3128d6p-19, 0x1.d867923bc4312p-19, 0x1.d609c003e8125p-19, 0x1.d39974f39d47dp-19, 0x1.d1172f8159f29p-19, 0x1.ce827fa7677d9p-19, 0x1.cbdc42729ba83p-19, 0x1.c9254fae2a33cp-19, 0x1.c65e0ff7fdabbp-19, 0x1.c386fd24aa0dcp-19, 0x1.c0a089d53c1ccp-19, 0x1.bdab2de757e79p-19, 0x1.baa7bc013ab0ep-19, 0x1.b796aeccdf124p-19, 0x1.b47827019921fp-19, 0x1.b14c9d1330741p-19, 0x1.ae14880f210f8p-19, 0x1.aad01e180019fp-19, 0x1.a7810ea1054f5p-19, 0x1.a42fa053b6c9ap-19, 0x1.a0d164756d8a1p-19, 0x1.9d524d34a9fa2p-19, 0x1.99d78b80d9615p-19, 0x1.96591548e99ep-19, 0x1.92cd0a269ced2p-19, 0x1.8f39dc4cdeacep-19, 0x1.8b9d9ecbd5d0dp-19, 0x1.87f5541ed8a8p-19, 0x1.8454905a79f01p-19, 0x1.809a0c50d5219p-19, 0x1.7ce0025ea93c2p-19, 0x1.7920344d9dc2bp-19, 0x1.755a515a74b03p-19, 0x1.718e3e519bb1cp-19, 0x1.6db9c82e08735p-19, 0x1.69b403129fc6ap-19, 0x1.65d40586af5f6p-19, 0x1.623f3c9360295p-19, 0x1.5e490eb291ad9p-19, 0x1.5a6bdd3927ed8p-19, 0x1.56a2b33c7c5fdp-19, 0x1.528d8d55f02dfp-19, 0x1.4e9ddecf7000bp-19, 0x1.4aaf310bec73bp-19, 0x1.46bcfe27f721dp-19, 0x1.42c80d243762bp-19, 0x1.3efb74853028ap-19, 0x1.3ad934e9a8976p-19, 0x1.36df30ee814fap-19, 0x1.32e44ca81eda1p-19, 0x1.2ee9ff3bb160ep-19, 0x1.2aef10bfda88ep-19, 0x1.26f363a1fa3f8p-19, 0x1.22f835750372fp-19, 0x1.1efd9b6a092eap-19, 0x1.1b03c8d58fe87p-19, 0x1.17085216101b9p-19, 0x1.1311e26a21aa9p-19, 0x1.0f1afbdf947fep-19, 0x1.0b25bd9f4a52p-19, 0x1.0731b16d77b42p-19, 0x1.033f977e454dp-19, 0x1.fe9eeaeb6c329p-20, 0x1.f6c3be45efb9p-20, 0x1.eeeda3b2f182ep-20, 0x1.e71eea05a5f9ap-20, 0x1.df3f7fcbfa4e6p-20, 0x1.d78c4e5a55107p-20, 0x1.cfc8d4c3f2127p-20, 0x1.c80e10593c86dp-20, 0x1.c05a926d8400ap-20, 0x1.b8ae37faee767p-20, 0x1.b1092b00e4312p-20, 0x1.a96bab5a72d83p-20, 0x1.a1d5fa93f743ap-20, 0x1.9a4858ca7bb64p-20, 0x1.92c307965330cp-20, 0x1.8b4663f2f14d8p-20, 0x1.83d37cd29c81cp-20, 0x1.7c963967b390cp-20, 0x1.7506240d0c4f5p-20, 0x1.6dac77cb692c5p-20, 0x1.665d952639fb6p-20, 0x1.5f187705625ep-20, 0x1.57dd307046521p-20, 0x1.50ac8feb659dep-20, 0x1.498678052f343p-20, 0x1.426ae9a12537ap-20, 0x1.3b5a1410c4fafp-20, 0x1.34540d61a24dbp-20, 0x1.2d58239b26629p-20, 0x1.2667e3c26a002p-20, 0x1.1fce284179e7p-20, 0x1.18a95a95c84bp-20, 0x1.11dcfd15ef847p-20, 0x1.0b25bed0fd3fap-20, 0x1.046c5c34fc963p-20, 0x1.fb94dac2e9a2ap-21, 0x1.ee48ba53deb34p-21, 0x1.e124a600d7718p-21, 0x1.d4247e3e91ccbp-21, 0x1.c738ca54e24ccp-21, 0x1.ba623350a6dafp-21, 0x1.ad97d4bc54d26p-21, 0x1.9ff284ec64552p-21, 0x1.947234b097dd6p-21, 0x1.8819c8b1e6fdep-21, 0x1.7b8e727b96e2p-21, 0x1.6fa29baa52857p-21, 0x1.63651093c62efp-21, 0x1.57612a941a4ecp-21, 0x1.4b783b4551fc8p-21, 0x1.3fa7bae251c4ep-21, 0x1.33efcc1cff641p-21, 0x1.2847b5848afe6p-21, 0x1.1b91865a29fe4p-21, 0x1.1164b8226a276p-21, 0x1.0629c4b764b6fp-21, 0x1.f5fb34c5e4d8dp-22, 0x1.dfd8e64a59abcp-22, 0x1.cb1e3ce40291ep-22, 0x1.b42a748f6ebc4p-22, 0x1.9e9e227056867p-22, 0x1.8994974339ea2p-22, 0x1.74fca054eb7d7p-22, 0x1.5f45f9d987474p-22, 0x1.4a1d30e1e3216p-22, 0x1.365014208d805p-22, 0x1.227cf0461efd2p-22, 0x1.0ecb4def98a91p-22, 0x1.f425b990e5fc7p-23, 0x1.ccffd112481aep-23, 0x1.a6332fdcd65bbp-23, 0x1.7fcebac01b2cfp-23, 0x1.59d3a981c5479p-23, 0x1.344454a47e044p-23, 0x1.0f200ac60fc98p-23, 0x1.d4cdb1b844187p-24, 0x1.8c304ac0a501cp-24, 0x1.4465d4f279fb3p-24, 0x1.fab91a41a37a3p-25, 0x1.7625a0fe9688ap-25, 0x1.c7f315ceba70cp-26, 0x1.67806cea3d22fp-27, -0x1.5fbff3b96bfedp-28, -0x1.63b8757186a78p-26, -0x1.35f1f0e29b657p-25, -0x1.b86405f7a0152p-25, -0x1.1c9865c9068abp-24, -0x1.5c30e62ee4a09p-24, -0x1.9afc50e0acfdep-24, -0x1.d8f92e889b63dp-24, -0x1.0b15558ff44b6p-23, -0x1.294df45c94ddfp-23, -0x1.4716d6306353dp-23, -0x1.647efd402162ep-23, -0x1.8185e335d23abp-23, -0x1.9e2aafabf4efap-23, -0x1.ba8279a8566f6p-23, -0x1.d44662b14370bp-23, -0x1.f1ebb4a9a1716p-23, -0x1.067a1d2d9738ap-22, -0x1.13d4b4ff19958p-22, -0x1.20c083aaeb467p-22, -0x1.2deb6b658a523p-22, -0x1.3aa9446cd85cfp-22, -0x1.476e9b6e790fap-22, -0x1.53d1146373a03p-22, -0x1.6007bcdd10605p-22, -0x1.6c16b9b6bbf68p-22, -0x1.77f9de74374a9p-22, -0x1.83afd1940e37ap-22, -0x1.8f37dee1a6d7bp-22, -0x1.9a8cab2641dbfp-22, -0x1.a5dea4bd52aep-22, -0x1.b0c4046ea5751p-22, -0x1.bbacaad207493p-22, -0x1.c4be76ce31d1ap-22, -0x1.d0d9aa7acafe2p-22, -0x1.db2572e827f0cp-22, -0x1.e54b1a1b5d541p-22, -0x1.ef4a2b817ac5dp-22, -0x1.f92025372eaap-22, -0x1.016752982db39p-21, -0x1.05fcc766fddc5p-21, -0x1.0aca3a701c426p-21, -0x1.0f69ff29d2c26p-21, -0x1.13f00eb305705p-21, -0x1.185fafcc1af16p-21, -0x1.1cbb3f4a35fbap-21, -0x1.2102fd3419512p-21, -0x1.25370e20926ep-21, -0x1.2957bdaed3775p-21, -0x1.2d6606b20b51ap-21, -0x1.3168963187fd1p-21, -0x1.35d32d0e3e09ep-21, -0x1.3922c55bd64eap-21, -0x1.3cf59212b177cp-21, -0x1.4087eeab3250cp-21, -0x1.44221bb92f845p-21, -0x1.47b12e326158fp-21, -0x1.4b2446472295ep-21, -0x1.4e8c1fb09ceddp-21, -0x1.51e0976278521p-21, -0x1.55235479e519bp-21, -0x1.58558d9ab3cfdp-21, -0x1.5b7e8b5fca515p-21, -0x1.5f0ecaec95cdep-21, -0x1.6186a2762562p-21, -0x1.646efb87d4009p-21, -0x1.674d506372368p-21, -0x1.6a1cfc583018p-21, -0x1.6cdfc82d69ca3p-21, -0x1.6f867d8a00e15p-21, -0x1.721e0cb4e6cc6p-21, -0x1.74a9f6e36800fp-21, -0x1.7726a8c8a4a77p-21, -0x1.799408c8af761p-21, -0x1.7bf26c4a5c62dp-21, -0x1.7e421a451c7cbp-21, -0x1.80833d0d494d1p-21, -0x1.8272a7ed31487p-21, -0x1.84ddaf090feaep-21, -0x1.86ede227a53f1p-21, -0x1.88fa479f38453p-21, -0x1.8aed8b3831128p-21, -0x1.8cc4870eaa588p-21, -0x1.8e79a61558268p-21, -0x1.908267e546c7p-21, -0x1.9257d2cc191d1p-21, -0x1.933f24d538966p-21, -0x1.95b4ee1257ffcp-21, -0x1.9749839f1e2b3p-21, -0x1.98d3130775b1ap-21, -0x1.9a54b591ede81p-21, -0x1.9bc95b635be9p-21, -0x1.9d32b23e69049p-21, -0x1.9e7ce78553a83p-21, -0x1.9fbed9d3683ccp-21, -0x1.a122e7d9c520cp-21, -0x1.a2546951548f4p-21, -0x1.a38177f1669d8p-21, -0x1.a4a516328d6dep-21, -0x1.a5b91bbd11008p-21, -0x1.a66ffcdfc01aap-21, -0x1.a7c14c15631c8p-21, -0x1.a8b63b5d90424p-21, -0x1.a95047f51562fp-21, -0x1.aa7702bde82d2p-21, -0x1.ab4e4af1e86f3p-21, -0x1.ac15a631f2cacp-21, -0x1.acd63ecf8e126p-21, -0x1.adb678fdfacaep-21, -0x1.ae33a4a1d8d04p-21, -0x1.aeb5bec28b829p-21, -0x1.af306c3b7e3a3p-21, -0x1.aff3afe581b62p-21, -0x1.b073cbba735e3p-21, -0x1.b0ec73c2ed6dap-21, -0x1.b15c1a64c17eep-21, -0x1.b1a82a009dfd2p-21, -0x1.b22093389d6edp-21, -0x1.b275a5a8f2598p-21, -0x1.b2c1f71f199c3p-21, -0x1.b305aa7b0c074p-21, -0x1.b34185cabe956p-21, -0x1.b373c37f47179p-21, -0x1.b39ec62e5ad96p-21, -0x1.b3c1b604d0e35p-21, -0x1.b3dc50bb62a9cp-21, -0x1.b3ef30626877bp-21, }}, 
      {{0x1.238f5f9745e8ap-1, 0x1.2f57aee6fa2a3p-1, 0x1.3f6a49e1c65d5p-1, 0x1.5084c07915616p-1, 0x1.5fe3857a072aep-1, 0x1.6b7ead8f151b7p-1, 0x1.720d56cc54511p-1, 0x1.72edef13a3b8cp-1, 0x1.6e04b3cc63ed9p-1, 0x1.63996a30f8831p-1, 0x1.5438771d63447p-1, 0x1.4098eb7a18ac1p-1, 0x1.2987c977f5fa8p-1, 0x1.0fd8249cf159fp-1, 0x1.e8aefc435fa51p-2, 0x1.af8b638012348p-2, 0x1.759f95149744dp-2, 0x1.3c1a47f66ffe6p-2, 0x1.03fc995ebd06ep-2, 0x1.9c34cd28ad716p-3, 0x1.3638e8a08707bp-3, 0x1.ae0f03d9a76e9p-4, 0x1.fd6c14be63308p-5, 0x1.7d771c6e2cd6p-6, -0x1.7b7cc9ad9081fp-7, -0x1.5b081a34f2ccp-5, -0x1.1afe39e8541ddp-4, -0x1.783b5ed42ca5ep-4, -0x1.c5caba59dee47p-4, -0x1.0231319a9d098p-3, -0x1.1a6ac495fc0b6p-3, -0x1.2c060456f41a7p-3, -0x1.377d9b6c0e016p-3, -0x1.3d4fe76e32bdbp-3, -0x1.3dfc748d988a8p-3, -0x1.3a01ed402c295p-3, -0x1.31dc737fa9fe9p-3, -0x1.260452dd75fcp-3, -0x1.16ed02b948998p-3, -0x1.050469cf307e9p-3, -0x1.e164b50600116p-4, -0x1.b4b07fdba6b05p-4, -0x1.84a1d9b2faea7p-4, -0x1.51e1095574b0ep-4, -0x1.1d096d15f3d21p-4, -0x1.cd524c324f736p-5, -0x1.5e839eb25044ap-5, -0x1.dd2450841c5eep-6, -0x1.f948ec53730aap-7, -0x1.d0376dfeb6d46p-10, 0x1.80d64e817443p-7, 0x1.9a7c5f03a2c13p-6, 0x1.381364518f152p-5, 0x1.a0433e46159b6p-5, 0x1.02b4be4161357p-4, 0x1.3398f923d6e3p-4, 0x1.62aa98bf9d181p-4, 0x1.8fcbb7c8c050cp-4, 0x1.bae4b1e4ad1aep-4, 0x1.e3e2799d1723fp-4, 0x1.055b4710e87bfp-3, 0x1.17ab8718d09cfp-3, 0x1.28decf2e3b6cep-3, 0x1.38f388b847c8p-3, 0x1.47e9bc14a051p-3, 0x1.55c2cd097a117p-3, 0x1.628141e6d8cdp-3, 0x1.6e28a61710e42p-3, 0x1.78bd6c9c2e968p-3, 0x1.8244ea49ecdfcp-3, 0x1.8ac5086361bdep-3, 0x1.924452577fc6ep-3, 0x1.98c9c626bee23p-3, 0x1.9e5cc569e6787p-3, 0x1.a30516a619beep-3, 0x1.a6cab1709c5ebp-3, 0x1.a9b5c1cc16344p-3, 0x1.abce9c1dbaf93p-3, 0x1.ad1da3c4273bep-3, 0x1.adab4423f0c9bp-3, 0x1.ad7ff3b63538cp-3, 0x1.aca416fb75ba8p-3, 0x1.ab20019ef5189p-3, 0x1.a8fbf0273ff5cp-3, 0x1.a640024eb4ac1p-3, 0x1.a2f43271415d4p-3, 0x1.9f204eacc9789p-3, 0x1.9acbff4053eep-3, 0x1.95febacc3bc0ep-3, 0x1.90bfc48c9acebp-3, 0x1.8b162c93550c3p-3, 0x1.8508cd6eff083p-3, 0x1.7e9e4af9e2eb3p-3, 0x1.77dd1258a5e65p-3, 0x1.70cb572b6cbdbp-3, 0x1.696f146681c9bp-3, 0x1.61ce0f023ea9ep-3, 0x1.59edd33a57eb7p-3, 0x1.51d3b59d7864bp-3, 0x1.4984d4771fe5ep-3, 0x1.4106189f1bcb2p-3, 0x1.385c362e7c7d5p-3, 0x1.2f8bad96cd22cp-3, 0x1.2698cd34afd7ap-3, 0x1.1d87b23df553ap-3, 0x1.145c4986ec7a4p-3, 0x1.0b1a518e946e4p-3, 0x1.01c55c241252cp-3, 0x1.f0c19e426c044p-4, 0x1.dddfcbc3ed45ap-4, 0x1.caeb65c6f5537p-4, 0x1.b7ea41d22683fp-4, 0x1.a4e1e85333e76p-4, 0x1.91d7994f1c125p-4, 0x1.7ed05aee70d9cp-4, 0x1.6bd0dd9082759p-4, 0x1.58dd8f8e3fad2p-4, 0x1.45faac650178dp-4, 0x1.332c1b1990786p-4, 0x1.2075ae2bad0a4p-4, 0x1.0ddae96c0ff5p-4, 0x1.f6be4baaa2a31p-5, 0x1.d20add141defap-5, 0x1.ada1a4955078bp-5, 0x1.8987d41bc2929p-5, 0x1.65c2c95bc78bfp-5, 0x1.42573b1ff4749p-5, 0x1.1f49b3a7a90b7p-5, 0x1.f93ca30a0759bp-6, 0x1.b4b1da8a5651fp-6, 0x1.70faa3c2bf323p-6, 0x1.2e1d73f1310d8p-6, 0x1.d84063dd1022ap-7, 0x1.56117008452dbp-7, 0x1.ab723332b7accp-8, 0x1.5d019057988f3p-9, -0x1.2a8444169fe07p-10, -0x1.3fe34ded88b5p-8, -0x1.189b62f0db697p-7, -0x1.8f4766cf40014p-7, -0x1.01f83f5f3b4b6p-6, -0x1.3b48fe4489cb6p-6, -0x1.7393b5920501ep-6, -0x1.aad6676717979p-6, -0x1.e10f86602b1a1p-6, -0x1.0b1ef0ebced0cp-5, -0x1.2530498ef2ed1p-5, -0x1.3ebb72072fc18p-5, -0x1.57c01f0f4748bp-5, -0x1.703e2478f6ae9p-5, -0x1.88357d6bc6efcp-5, -0x1.9fa640afb18bbp-5, -0x1.b6909e6cce98p-5, -0x1.ccf4dfdb0c277p-5, -0x1.e2d35eb2cc3bbp-5, -0x1.f82c84d784f18p-5, -0x1.06806a9360867p-4, -0x1.10a8754026fd2p-4, -0x1.1a8eb87cdbb09p-4, -0x1.2433929a3e893p-4, -0x1.2d976adefbd8dp-4, -0x1.36bab0031003p-4, -0x1.3f9dd645979cfp-4, -0x1.48415868e55e9p-4, -0x1.50a5b94b5e03cp-4, -0x1.58cb82999ea42p-4, -0x1.60b34343cecbap-4, -0x1.685d8f2725978p-4, -0x1.6fcaff666c9f6p-4, -0x1.76fc3246954c7p-4, -0x1.7df1ca24a4c89p-4, -0x1.84ac6cb9a6732p-4, -0x1.8b2cc399935e3p-4, -0x1.91737c9079bf1p-4, -0x1.978148fab8c6ap-4, -0x1.9d56dcf970875p-4, -0x1.a2f4ef2a6bee1p-4, -0x1.a85c388afe8d5p-4, -0x1.ad8d7485fbb2bp-4, -0x1.b28960b149cb4p-4, -0x1.b750bc6801f95p-4, -0x1.bbe4485c57a38p-4, -0x1.c044c6a31eaa3p-4, -0x1.c472fac6eb4f8p-4, -0x1.c86fa987ebe8ep-4, -0x1.cc3b9878b1461p-4, -0x1.cfd78dba39c76p-4, -0x1.d3444fda2e534p-4, -0x1.d682a5b9dec7ep-4, -0x1.d993567831219p-4, -0x1.dc772954bbf6ep-4, -0x1.df2ee5825a096p-4, -0x1.e1bb51f43225bp-4, -0x1.e41d3535adeeap-4, -0x1.e65555696e762p-4, -0x1.e864782e4e079p-4, -0x1.ea4b62822d3c2p-4, -0x1.ec0ad8958cab4p-4, -0x1.eda39daa13c31p-4, -0x1.ef1673fd925edp-4, -0x1.f0641cb5783b4p-4, -0x1.f18d57cc730dcp-4, -0x1.f292e401d27c5p-4, -0x1.f3757ecbd5fe2p-4, -0x1.f435e44543e92p-4, -0x1.f4d4cf12f636bp-4, -0x1.f552f852ef514p-4, -0x1.f5b117882ec6p-4, -0x1.f5efe29a951edp-4, -0x1.f6100dcd21cb7p-4, -0x1.f6124babfc884p-4, -0x1.f5f74cfb9d866p-4, -0x1.f5bfc09eaea0fp-4, -0x1.f56c5399f9a39p-4, -0x1.f4fdb10610cc8p-4, -0x1.f47482172b59p-4, -0x1.f3d16e148cbcap-4, -0x1.f3151a497efa8p-4, -0x1.f24029fa39821p-4, -0x1.f1533e5e6a9abp-4, -0x1.f04ef6a20e03bp-4, -0x1.ef33efe7ed4f7p-4, -0x1.ee02c546de71p-4, -0x1.ecbc0fc13e4d9p-4, -0x1.eb60663f439f6p-4, -0x1.e9f05d83b815p-4, -0x1.e86c88311a74p-4, -0x1.e6d576cea4966p-4, -0x1.e52bb7cb48acfp-4, -0x1.e36fd77b01648p-4, -0x1.e1a26010e02cep-4, -0x1.dfc3d99a46904p-4, -0x1.ddd4ca016d97fp-4, -0x1.dbd5b51874618p-4, -0x1.d9c71c9a5f34dp-4, -0x1.d7a980338614p-4, -0x1.d57d5d7cf304ap-4, -0x1.d3432ffa1d84dp-4, -0x1.d0fb7110b0c2ap-4, -0x1.cea698295699cp-4, -0x1.cc451a9362512p-4, -0x1.c9d76ba7bb324p-4, -0x1.c75dfcc0bb612p-4, -0x1.c4d93d3a95e53p-4, -0x1.c2499a72c667dp-4, -0x1.bfaf7fcb352adp-4, -0x1.bd0b56b4a7494p-4, -0x1.ba5d86b07a0a2p-4, -0x1.b7a6755f1845ap-4, -0x1.b4e6867f5a4e8p-4, -0x1.b21e1bf1b2b46p-4, -0x1.af4d95ba418c8p-4, -0x1.ac755205318cp-4, -0x1.a995ad2b49e9dp-4, -0x1.a6af01c6e780ap-4, -0x1.a3c1a8a09bd07p-4, -0x1.a0cdf8ce1432ep-4, -0x1.9dd447a7fe0bcp-4, -0x1.9ad4e8cf5f755p-4, -0x1.97d02e37bbae6p-4, -0x1.94c668228c4ep-4, -0x1.91b7e5323503dp-4, -0x1.8ea4f268dedb7p-4, -0x1.8b8ddb30d913dp-4, -0x1.8872e961872f5p-4, -0x1.8554654155a02p-4, -0x1.8232958a5f8abp-4, -0x1.7f0dbf70288dcp-4, -0x1.7be626a627e3p-4, -0x1.78bc0d6675faep-4, -0x1.758fb47804eeap-4, -0x1.72615b33bb123p-4, -0x1.6f313f88df035p-4, -0x1.6bff9e013460cp-4, -0x1.68ccb1c5bd854p-4, -0x1.6598b4a391ab6p-4, -0x1.6263df118ef74p-4, -0x1.5f2e683616887p-4, -0x1.5bf885ec922efp-4, -0x1.58c26cc89d7bdp-4, -0x1.558c50260ee43p-4, -0x1.52566213a8c4fp-4, -0x1.4f20d37622693p-4, -0x1.4bebd3f85e95fp-4, -0x1.48b79215dd8dbp-4, -0x1.45843b20ac25ep-4, -0x1.4251fb450f063p-4, -0x1.3f20fd8e8d92dp-4, -0x1.3bf16bed0f223p-4, -0x1.38c36f39616f2p-4, -0x1.35972f37599a2p-4, -0x1.326cd29c6a05cp-4, -0x1.2f447f0e213e4p-4, -0x1.2c1e59336fc5fp-4, -0x1.28fa84a4258efp-4, -0x1.25d92401ef074p-4, -0x1.22ba58f1d5947p-4, -0x1.1f9e4422fd5eap-4, -0x1.1c850552841b7p-4, -0x1.196ebb4eee334p-4, -0x1.165b83fb862dep-4, -0x1.134b7c53df7bcp-4, -0x1.103ec06f95efdp-4, -0x1.0d356b85853d6p-4, -0x1.0a2f97f198095p-4, -0x1.072d5f3fea602p-4, -0x1.042eda148cc59p-4, -0x1.013420595ab88p-4, -0x1.fc7a9223432ap-5, -0x1.f694d5863d4p-5, -0x1.f0b734cf86ae2p-5, -0x1.eae1da73826a7p-5, -0x1.e514ee1707dc3p-5, -0x1.df50963bb7a86p-5, -0x1.d994f7ef7e51bp-5, -0x1.d3e236d4eb355p-5, -0x1.ce38752985226p-5, -0x1.c897d3cac0dc1p-5, -0x1.c3007241aa7e9p-5, -0x1.bd726eae3f653p-5, -0x1.b7ede6086d8f5p-5, -0x1.b272f3db421b5p-5, -0x1.ad01b280a1f11p-5, -0x1.a79a3b16ef519p-5, -0x1.a23ca5849105cp-5, -0x1.9ce90881adc61p-5, -0x1.979f799c74ed4p-5, -0x1.92600d3ea4e17p-5, -0x1.8d2ad6b328b67p-5, -0x1.87ffe82a732bdp-5, -0x1.82df52bf5a719p-5, -0x1.7dc9267ca161dp-5, -0x1.78bd7262a1cdep-5, -0x1.73bc446d529f8p-5, -0x1.6ec5a999f8d53p-5, -0x1.69d9adec2bbcfp-5, -0x1.64f85c7287e86p-5, -0x1.6021bf4b2650ap-5, -0x1.5b55dfa8721f9p-5, -0x1.5694c5d62b826p-5, -0x1.51de793e160adp-5, -0x1.4d33006c4b3b6p-5, -0x1.489261138d6ep-5, -0x1.43fca01213c35p-5, -0x1.3f71c1769f40dp-5, -0x1.3af1c8856cbfdp-5, -0x1.367cb7bce4b71p-5, -0x1.321290d9f7471p-5, -0x1.2db354dc4b975p-5, -0x1.295f040a3fb3dp-5, -0x1.25159df4c9ce2p-5, -0x1.20d7217b3fcfap-5, -0x1.1ca38ccf71402p-5, -0x1.187add79d31e8p-5, -0x1.145d105e527f4p-5, -0x1.104a21b6d52c7p-5, -0x1.0c420d52342edp-5, -0x1.0844ce0903cb4p-5, -0x1.04525e6679efbp-5, -0x1.006ab859e3bdap-5, -0x1.f91baa8ba801bp-6, -0x1.f1775bd5e9243p-6, -0x1.e9e8752ca0df7p-6, -0x1.e26ee620da3cep-6, -0x1.db0a9d41cb183p-6, -0x1.d3bb882abc14p-6, -0x1.cc819385fba7fp-6, -0x1.c55cab14154f2p-6, -0x1.be4cb9ad337c2p-6, -0x1.b751a95682fd9p-6, -0x1.b06b633b2af5cp-6, -0x1.a999cfb7deacap-6, -0x1.a2dcd64cec75cp-6, -0x1.9c345dc65930dp-6, -0x1.95a04c354553dp-6, -0x1.8f2086f2c53c3p-6, -0x1.88b4f2a931467p-6, -0x1.825d735a6fd7cp-6, -0x1.7c19ec6457bf7p-6, -0x1.75ea40842b157p-6, -0x1.6fce51dd3e26ap-6, -0x1.69c601fc2b40bp-6, -0x1.63d131df45205p-6, -0x1.5defc1fd76299p-6, -0x1.5821924ef7cc1p-6, -0x1.52668255c5a5dp-6, -0x1.4cbe7122c1687p-6, -0x1.47293d574777fp-6, -0x1.41a6c521edc03p-6, -0x1.3c36e63cf56b8p-6, -0x1.36d97de55c9abp-6, -0x1.318e68fd05024p-6, -0x1.2c5583a5fc1a3p-6, -0x1.272ea9ec9297fp-6, -0x1.2219b786d77acp-6, -0x1.1d1687a52e23ep-6, -0x1.1824f593fdf03p-6, -0x1.1344dc93b9323p-6, -0x1.0e761796d5374p-6, -0x1.09b881a73df9cp-6, -0x1.050bf5975a5ffp-6, -0x1.00704df33ee06p-6, -0x1.f7cac9cfb2333p-7, -0x1.eed62865fe45ap-7, -0x1.e6026a3f1eb25p-7, -0x1.dd4f413230e26p-7, -0x1.d4bc5e975984p-7, -0x1.cc4973955da31p-7, -0x1.c3f6317c86ca6p-7, -0x1.bbc249f525677p-7, -0x1.b3ad6f18e5f9ep-7, -0x1.abb75350110fp-7, -0x1.a3dfa907c0105p-7, -0x1.9c26226147f6ap-7, -0x1.948a70d673fabp-7, -0x1.8d0c451e848efp-7, -0x1.85ab4f46aa69ep-7, -0x1.7e673f117efe9p-7, -0x1.773fc49098e9dp-7, -0x1.703490d3a4d5cp-7, -0x1.6945567d58e44p-7, -0x1.6271ca0ab1724p-7, -0x1.5bb9a19b2875fp-7, -0x1.551c94af5d6ffp-7, -0x1.4e9a59f14e8dfp-7, -0x1.4832a72aae81p-7, -0x1.41e52fa28a135p-7, -0x1.3bb1a283d3b82p-7, -0x1.3597ab7b42fdfp-7, -0x1.2f96f31843876p-7, -0x1.29af206c19217p-7, -0x1.23dfdb4c4b299p-7, -0x1.1e28cedcb6d59p-7, -0x1.1889abe2563ecp-7, -0x1.13022a625ac1ep-7, -0x1.0d920a18bc295p-7, -0x1.083911742ddfap-7, -0x1.02f70b2c2ec31p-7, -0x1.fb9785b9c99e2p-8, -0x1.f16e026ac40acp-8, -0x1.e77110a397231p-8, -0x1.dda0220c4252p-8, -0x1.d3fa93a36210dp-8, -0x1.ca7faeb30d392p-8, -0x1.c12ead89808d2p-8, -0x1.b806c917cf9d5p-8, -0x1.af073bc9429d4p-8, -0x1.a62f4bd84093fp-8, -0x1.9d7e597b1f6e8p-8, -0x1.94f3de8d5a9dfp-8, -0x1.8c8f6f3ea5ca1p-8, -0x1.8450b598a9865p-8, -0x1.7c376ae8dd0edp-8, -0x1.74434b5d2cb06p-8, -0x1.6c740c67de78ap-8, -0x1.64c952e550ce5p-8, -0x1.5d42acdf764dap-8, -0x1.55df8f91e6c1dp-8, -0x1.4e9f59d5e011ep-8, -0x1.47815a8b255ffp-8, -0x1.4084d9c73318ap-8, -0x1.39a9231742055p-8, -0x1.32ed8f009fee6p-8, -0x1.2c5189fef46bdp-8, -0x1.25d497b50f96ep-8, -0x1.1f7651c3d13fbp-8, -0x1.1936629fd35b9p-8, -0x1.13147d9fa0f82p-8, -0x1.0d1055eb15b5bp-8, -0x1.0729965814b96p-8, -0x1.015fdbc65cddcp-8, -0x1.f765652377968p-9, -0x1.ec43302e77751p-9, -0x1.e157fdea9f28p-9, -0x1.d6a2ab7cfd525p-9, -0x1.cc221d5b271cap-9, -0x1.c1d54e34025e3p-9, -0x1.b7bb5ac608e6ap-9, -0x1.add387eb16723p-9, -0x1.a41d4258ecdc6p-9, -0x1.9a9815a3d31a5p-9, -0x1.91439d9b199p-9, -0x1.881f73c4f3787p-9, -0x1.7f2b1d0468da7p-9, -0x1.7665fabf4dc46p-9, -0x1.6dcf43470e90bp-9, -0x1.6566023af2308p-9, -0x1.5d29205c1ed98p-9, -0x1.551770b96e12ap-9, -0x1.4d2fc0959174dp-9, -0x1.4570e7907a5ep-9, -0x1.3dd9d60a6badcp-9, -0x1.3669a03553b48p-9, -0x1.2f1f84c6dbfc9p-9, -0x1.27faedd8bb406p-9, -0x1.20fb684d2d6a2p-9, -0x1.1a20ac23bcea8p-9, -0x1.136a7ea7c06a1p-9, -0x1.0cd8a8761053dp-9, -0x1.066af1ba139c8p-9, -0x1.0021123fc7786p-9, -0x1.f3f546300bbedp-10, -0x1.e7ee383e4e095p-10, -0x1.dc2ba51e5e779p-10, -0x1.d0abfceb2915p-10, -0x1.c56d8c4734909p-10, -0x1.ba6e9ca298e27p-10, -0x1.afad968610c0dp-10, -0x1.a5291a94fa71dp-10, -0x1.9ae0066d185bp-10, -0x1.90d1614670d67p-10, -0x1.86fc347359039p-10, -0x1.7d5f5ede68021p-10, -0x1.73f97775098e9p-10, -0x1.6ac8ceeb0d882p-10, -0x1.61cb951d72844p-10, -0x1.5900168724777p-10, -0x1.5064fa07af62p-10, -0x1.47f964e4c09aep-10, -0x1.3fbcf465a3749p-10, -0x1.37af8e0ae810bp-10, -0x1.2fd119cb90f07p-10, -0x1.282144c61aa75p-10, -0x1.209f6994bc906p-10, -0x1.194aa8f5987fcp-10, -0x1.122227db77f69p-10, -0x1.0b255628e03ep-10, -0x1.04541737a0666p-10, -0x1.fb5d694b270a9p-11, -0x1.ee6b2b4a10079p-11, -0x1.e1d1a5300950cp-11, -0x1.d58f98d3a92acp-11, -0x1.c9a1d7b97372ep-11, -0x1.be034cb066c37p-11, -0x1.b2ada15542b43p-11, -0x1.a79a53a1ee309p-11, -0x1.9cc3e5cf5cffcp-11, -0x1.9226c465648cp-11, -0x1.87c193149dd57p-11, -0x1.7d94c9bbe54e5p-11, -0x1.73a1d2b5ca895p-11, -0x1.69ea0e54e487p-11, -0x1.606e227bd838dp-11, -0x1.572dcfd751763p-11, -0x1.4e2845b4c9925p-11, -0x1.455cba9a87be8p-11, -0x1.3ccafb2a96262p-11, -0x1.3473ab126ea3p-11, -0x1.2c581873ae4cp-11, -0x1.2479b325736bfp-11, -0x1.1cd95b36e79cep-11, -0x1.1576beccbdd2fp-11, -0x1.0e4fed41c45e7p-11, -0x1.07614b3a4e1d7p-11, -0x1.00a5ed642cd2cp-11, -0x1.f430c3cc22536p-12, -0x1.e76748cfe2ab2p-12, -0x1.dae7d819ec11dp-12, -0x1.ceae0178347cep-12, -0x1.c2b81374b8d93p-12, -0x1.b70613a39a77ep-12, -0x1.ab98cd8253c2fp-12, -0x1.a07155834facfp-12, -0x1.9590d4cbe9f3cp-12, -0x1.8af84ddf59025p-12, -0x1.80a86cc6967efp-12, -0x1.76a16a2a84bb5p-12, -0x1.6ce3b251c577ap-12, -0x1.636fd9e8db359p-12, -0x1.5a45aee0db2e7p-12, -0x1.516558e6ecfddp-12, -0x1.48cea73447e77p-12, -0x1.408143b4b3135p-12, -0x1.387b8acb72f2cp-12, -0x1.30bb77dd6f994p-12, -0x1.293c51384539ap-12, -0x1.21f8f49fab637p-12, -0x1.1aebc49779dbbp-12, -0x1.14101a616465p-12, -0x1.0d62dc3ee641cp-12, -0x1.06e26acba940fp-12, -0x1.008de2de82c49p-12, -0x1.f4c87d44d5972p-13, -0x1.e8c80b8a02b1dp-13, -0x1.dd176a8d7c614p-13, -0x1.d1b4ba5125066p-13, -0x1.c6a00cac22099p-13, -0x1.bbdbc652b00eap-13, -0x1.b16c1bf05d59fp-13, -0x1.a754a8eba9e47p-13, -0x1.9d9542c2b1fbp-13, -0x1.94297a6d81eafp-13, -0x1.8b0bfa2444ce5p-13, -0x1.823a1d173cf67p-13, -0x1.79b3c358a9ea3p-13, -0x1.71786fc0705f3p-13, -0x1.6985bc00eeap-13, -0x1.61d85f3e8699cp-13, -0x1.5a6da47e85ec5p-13, -0x1.53438ad0ebc56p-13, -0x1.4c57e00066724p-13, -0x1.45a76ca75219cp-13, -0x1.3f2ddc23f9f99p-13, -0x1.38e6cec956326p-13, -0x1.32cff475f3b0cp-13, -0x1.2cea55d2b6b8fp-13, -0x1.27387532aa309p-13, -0x1.21b9c0a79af09p-13, -0x1.1c6778d3422dcp-13, -0x1.1738aad68849ap-13, -0x1.122af1a39430ap-13, -0x1.0d45a897215f7p-13, -0x1.0891fa717ed1dp-13, -0x1.0410c84e0f2a3p-13, -0x1.ff74e129bacdp-14, -0x1.f70f9cafa95c1p-14, -0x1.eef0ade7a1c1fp-14, -0x1.e71d0dab4b9p-14, -0x1.df9424a146af6p-14, -0x1.d84ec97685b13p-14, -0x1.d1452db96b8e3p-14, -0x1.ca7349e3bb1cp-14, -0x1.c3d9722cb8818p-14, -0x1.bd7ac674b6a44p-14, -0x1.b75ae01fddbfp-14, -0x1.b17ba584cbbdp-14, -0x1.abdbb8c779434p-14, -0x1.a6751c6d7cacdp-14, -0x1.a13da6e010a2bp-14, -0x1.9c2dd13c870bfp-14, -0x1.9749e1b750823p-14, -0x1.929def6d7ece8p-14, -0x1.8e2aa320ff49ep-14, -0x1.89db7483fa3f8p-14, -0x1.859b19602fd2p-14, -0x1.8173ad51abf1ap-14, -0x1.7d7c360a99fddp-14, -0x1.79b9b73f4a6d5p-14, -0x1.761ba92ce1a16p-14, -0x1.72970cfaa23aep-14, -0x1.6f31006f2bb1dp-14, -0x1.6beebddea41cap-14, -0x1.68ccb1100e1cep-14, -0x1.65c4c319692ecp-14, -0x1.62d3a402b3021p-14, -0x1.5ff880ec7e6c6p-14, -0x1.5d3345eb7434dp-14, -0x1.5a83bff04044p-14, -0x1.57e9a80b4c8e2p-14, -0x1.556503f96b65ep-14, -0x1.52f6506a4bdd3p-14, -0x1.509e7bf40154fp-14, -0x1.4e5cb84e34e57p-14, -0x1.4c33d6f4d8665p-14, -0x1.4a22501128529p-14, -0x1.4822863db2acp-14, -0x1.462f114b407d4p-14, -0x1.444af8d46615bp-14, -0x1.427c07ec20fcep-14, -0x1.40b8e6322e852p-14, -0x1.3ef60dd171efp-14, -0x1.3d3c443b87fb1p-14, -0x1.3b993d1d016f3p-14, -0x1.39fff73511b6ep-14, -0x1.386e6e25476a9p-14, -0x1.36e9221939d0dp-14, -0x1.356fd6c474f5fp-14, -0x1.33fe5dad66574p-14, -0x1.32925251ec49ap-14, -0x1.312cf1cf6eap-14, -0x1.2fcd6bf99bbdp-14, -0x1.2e7438b66f0a5p-14, -0x1.2d211f20d2e51p-14, -0x1.2bd3c32f5569dp-14, -0x1.2a8bc0611d865p-14, -0x1.2948b0041bbebp-14, -0x1.280a237ea5783p-14, -0x1.26cf9d37c641ep-14, -0x1.2598bb2c7d7d8p-14, -0x1.246526f7600cap-14, -0x1.2334acbaca261p-14, -0x1.22073cfa8ee6p-14, -0x1.20dd1c6d966c9p-14, -0x1.1fb7181dd070cp-14, -0x1.1e955e15a0523p-14, -0x1.1d76cb6881c38p-14, -0x1.1c59424417874p-14, -0x1.1b39f5e3a7c48p-14, -0x1.1a186915ba03ep-14, -0x1.18f60c61589a9p-14, -0x1.17d689ced07e5p-14, -0x1.16ba5135fbd05p-14, -0x1.159e0609b69e9p-14, -0x1.14802b8e1509fp-14, -0x1.1361246b5fe91p-14, -0x1.124123c5f7126p-14, -0x1.11201c2afc70bp-14, -0x1.0ffe7c4eb6397p-14, -0x1.0edbd47eeeeabp-14, -0x1.0db818a1dbfb7p-14, -0x1.0c931ba0c98cap-14, -0x1.0b6d8e5cd06f7p-14, -0x1.0a4582ff140cfp-14, -0x1.091b8b24e73d4p-14, -0x1.07f08573a8491p-14, -0x1.06c3af54ebf1ep-14, -0x1.0594e67db94ebp-14, -0x1.046412adff022p-14, -0x1.0331245d72704p-14, -0x1.01fc129909a81p-14, -0x1.00c4cbef389fbp-14, -0x1.ff1679d6bf56dp-15, -0x1.fc9f0483b3845p-15, -0x1.fa23be56cb0a4p-15, -0x1.f7a3735436b64p-15, -0x1.f51da549b24d7p-15, -0x1.f2930a085785dp-15, -0x1.f003cb69596a7p-15, -0x1.ed6f331b81f9fp-15, -0x1.ead57555750fap-15, -0x1.e836ccf2c868p-15, -0x1.e59325091b064p-15, -0x1.e2ea5964379edp-15, -0x1.e03da2551a76dp-15, -0x1.dd89309484a47p-15, -0x1.dad19742db352p-15, -0x1.d8148efd1a2e6p-15, -0x1.d55259c3055f5p-15, -0x1.d28b0d7d67063p-15, -0x1.cfbeba87f37c1p-15, -0x1.cced68a5a814fp-15, -0x1.ca17301b880d5p-15, -0x1.c73c077380d7bp-15, -0x1.c45bf6c89fb86p-15, -0x1.c176f6aab14c1p-15, -0x1.be8a32cd142ffp-15, -0x1.bb9f5c145c887p-15, -0x1.b8ac5ef321059p-15, -0x1.b5b524f7d7b29p-15, -0x1.b2b96f7a1e6p-15, -0x1.afb95e1fe8b75p-15, -0x1.acb511cd7b986p-15, -0x1.a9abdc8e20068p-15, -0x1.a69e0a64d8224p-15, -0x1.a38de784aa8c1p-15, -0x1.a07977ef5f483p-15, -0x1.9d60dff74f8f9p-15, -0x1.9a435e74c326fp-15, -0x1.9723eb6e75129p-15, -0x1.93fea99d445f3p-15, -0x1.90d7bac9b00cep-15, -0x1.8dad9d626b456p-15, -0x1.8a7f736e9b20fp-15, -0x1.874e2beea2cb8p-15, -0x1.841a0fbd3ce3fp-15, -0x1.80e31472e4945p-15, -0x1.7da944759f5ap-15, -0x1.7a6cb8ba16e76p-15, -0x1.772d8ee440bp-15, -0x1.73ebe32ac290dp-15, -0x1.70a7d61a859e2p-15, -0x1.6d61827b93eeep-15, -0x1.6a190a424b056p-15, -0x1.66ce88257f027p-15, -0x1.638216138f7d8p-15, -0x1.6033df8c254ebp-15, -0x1.5ce3f338bbb85p-15, -0x1.599274c0b201bp-15, -0x1.563f815c826d1p-15, -0x1.52eb36e32963fp-15, -0x1.4f95b17228f06p-15, -0x1.4c3f0af284afbp-15, -0x1.48e76526a332cp-15, -0x1.458ed8a563805p-15, -0x1.42357f44be274p-15, -0x1.3edb881408c81p-15, -0x1.3b81232f5714ep-15, -0x1.3826388ee9df7p-15, -0x1.34cac492d75ecp-15, -0x1.3170eac96607ep-15, -0x1.2e15f462d2338p-15, -0x1.2ab805b859f5fp-15, -0x1.275cb8b24e37p-15, -0x1.2401862bc7479p-15, -0x1.20a690bb839bfp-15, -0x1.1d4c40a562866p-15, -0x1.19f244ee24c7ap-15, -0x1.169939fa9facfp-15, -0x1.1340f47ea4fb3p-15, -0x1.0fe95302dbed9p-15, -0x1.0c9292ea97b59p-15, -0x1.093ce5a75dd85p-15, -0x1.05e9e4a74266dp-15, -0x1.02982d9d67211p-15, -0x1.fe8bfb32507e3p-16, -0x1.f7e59127032f2p-16, -0x1.f147d19714d31p-16, -0x1.eaad96179ad64p-16, -0x1.e4159d985ea6bp-16, -0x1.dd7b11eb0a341p-16, -0x1.d6ee0a096a4f5p-16, -0x1.d06777b8e284bp-16, -0x1.c9dfabb6e793cp-16, -0x1.c35bcbb8e60c2p-16, -0x1.bcdd8e356796bp-16, -0x1.b6645e1568dp-16, -0x1.afef52098fa3bp-16, -0x1.a97ef315bcb98p-16, -0x1.a313bf3b0b146p-16, -0x1.9caddcd8cdd34p-16, -0x1.964d736b3d2d2p-16, -0x1.8ff2a0adf19ecp-16, -0x1.899d8d945825p-16, -0x1.834e612b006fep-16, -0x1.7d05410455219p-16, -0x1.76c24f806b18cp-16, -0x1.7085ab4611bfep-16, -0x1.6a4f7014a2c87p-16, -0x1.641fb8ded26a7p-16, -0x1.5df6a644435bfp-16, -0x1.57d46d0eb3d97p-16, -0x1.51b946d8ebc7ep-16, -0x1.4ba54146f63dp-16, -0x1.4597ea33b341fp-16, -0x1.3f90fdd0550b9p-16, -0x1.3992b2c96842bp-16, -0x1.339d2405255e4p-16, -0x1.2dae62bed6642p-16, -0x1.27c6b5eae0d6fp-16, -0x1.21e6ba5af3c49p-16, -0x1.1c0eb9e65a5bp-16, -0x1.163f0689c133fp-16, -0x1.10778d2ac1fafp-16, -0x1.0ab81ddb3c08ap-16, -0x1.04fff5ad0b30cp-16, -0x1.fea14876f3d38p-17, -0x1.f35705bd04bdcp-17, -0x1.e81b415452a95p-17, -0x1.dcf06444f3bacp-17, -0x1.d1d704f72e05dp-17, -0x1.c6cf35ed53df7p-17, -0x1.bbd918edd5833p-17, -0x1.b0f4cc1359474p-17, -0x1.a62265cc667fbp-17, -0x1.9b6205e555da1p-17, -0x1.90b3cb4f7c006p-17, -0x1.8617cdb703d47p-17, -0x1.7b8e3d3662575p-17, -0x1.7117cc573798fp-17, -0x1.66b4603fafd47p-17, -0x1.5c60c336ef397p-17, -0x1.5221a4599862ep-17, -0x1.47f600d165b11p-17, -0x1.3ddcb93ea0c73p-17, -0x1.33d6a3bd2f8c9p-17, -0x1.29e375c81619ep-17, -0x1.2002595c72251p-17, -0x1.163017bdbee15p-17, -0x1.0c7cab767b135p-17, -0x1.02d781601b91ap-17, -0x1.f28a36c3d08c1p-18, -0x1.df8c0d77b26fap-18, -0x1.ccb484a8ad607p-18, -0x1.ba0283059fb7ep-18, -0x1.a75943752cadfp-18, -0x1.950c85c114997p-18, -0x1.82e52c929e322p-18, -0x1.70cc252b1071bp-18, -0x1.5ee67897af059p-18, -0x1.4d2eadc304eb6p-18, -0x1.3b8309f0a99a1p-18, -0x1.2a101de826daap-18, -0x1.18c482cccd0cep-18, -0x1.07a0105866703p-18, -0x1.ed4627323424p-19, -0x1.cbb37a4a64898p-19, -0x1.aa40319eac67ap-19, -0x1.8933d0723ef6fp-19, -0x1.68768befc7e53p-19, -0x1.4809d1e164243p-19, -0x1.27eb3f2502eaep-19, -0x1.081d12e2df733p-19, -0x1.d13af8b53e461p-20, -0x1.92d9fe27a0f9fp-20, -0x1.5517889040631p-20, -0x1.17f1aaaecc353p-20, -0x1.b6dafdf26b5f9p-21, -0x1.3f036fdd87d45p-21, -0x1.90d64c14bca98p-22, -0x1.4c34326940096p-23, 0x1.08c4e6fdaef53p-24, 0x1.280c4e34e85cdp-22, 0x1.05bbaba2ead51p-21, 0x1.763a081c99566p-21, 0x1.e58172d55cff1p-21, 0x1.29cd24062db68p-20, 0x1.6038afd11149ap-20, 0x1.960de8cb240b6p-20, 0x1.cb491715ccebap-20, 0x1.ffecd11a28c62p-20, 0x1.19faafe4ae40ap-19, 0x1.33b35a0192814p-19, 0x1.4d20617644007p-19, 0x1.6641cd05248cap-19, 0x1.7f17ef0b252a7p-19, 0x1.97a3192ffde25p-19, 0x1.afe3d0a449f21p-19, 0x1.c7db95f3bad9ep-19, 0x1.dfd2bf83f459dp-19, 0x1.f6e97a0680992p-19, 0x1.06ffec8acd34ep-18, 0x1.12675d515a0a1p-18, 0x1.1daa793566e1dp-18, 0x1.28c94429e5ca1p-18, 0x1.33c3e5bdc45b1p-18, 0x1.3e9a82f04bd88p-18, 0x1.494d4dfa820a8p-18, 0x1.53dc727173712p-18, 0x1.5e48288502899p-18, 0x1.6890fb0a4aa5ap-18, 0x1.72b6703ab5e85p-18, 0x1.7c95d5a812243p-18, 0x1.8698f08055352p-18, 0x1.905578e0f965fp-18, 0x1.99ee8bb0337b7p-18, 0x1.a367876736d1p-18, 0x1.acbcf3d2d05a7p-18, 0x1.b5f2fb1defc06p-18, 0x1.bf0633e953788p-18, 0x1.c7f725b7caa3cp-18, 0x1.d0c72f3a98ff2p-18, 0x1.d976a0728e585p-18, 0x1.e20705f1ab661p-18, 0x1.ea9af14c85ebep-18, 0x1.f2c14bea03cbp-18, 0x1.faec3aea97c6ep-18, 0x1.017d1947108c8p-17, 0x1.057299b3ca94fp-17, 0x1.095965d6947cep-17, 0x1.0d308fa97da33p-17, 0x1.10f7f67db949fp-17, 0x1.14afb9ebc17d8p-17, 0x1.1858475df12b3p-17, 0x1.1bf233e49ca1dp-17, 0x1.1f8decca66e46p-17, 0x1.22f6fe4378089p-17, 0x1.26620e643b5ep-17, 0x1.29bef402ecee9p-17, 0x1.2d0d1c3c6a763p-17, 0x1.304653b0ec775p-17, 0x1.337de1e0aa87cp-17, 0x1.36a0ca3eb1234p-17, 0x1.39b482e73f30dp-17, 0x1.3cb4419e70283p-17, 0x1.3fb3db03b85c5p-17, 0x1.429f168805d1ap-17, 0x1.4578d3a543dc4p-17, 0x1.484518b2864e8p-17, 0x1.4b0442221f057p-17, 0x1.4dbb4b94a386ep-17, 0x1.5060c09897851p-17, 0x1.52f903a00508bp-17, 0x1.55841253ac30bp-17, 0x1.5801ffa6455bep-17, 0x1.5a72ec78db464p-17, 0x1.5cd6f741a49bep-17, 0x1.5f2e3d1ef8b6bp-17, 0x1.6178dd12419f9p-17, 0x1.63b6f893604bcp-17, 0x1.65e9004f2bf12p-17, 0x1.67faedfe5b59p-17, 0x1.6a27be21b3a78p-17, 0x1.6c342364f9747p-17, 0x1.6e34575660e38p-17, 0x1.70293ef23813ap-17, 0x1.72124cc6cd02p-17, 0x1.73efa2ca0ee9ap-17, 0x1.75c15fd531ad8p-17, 0x1.77879cce87aa9p-17, 0x1.79426e55847e7p-17, 0x1.7af1fdc1319c1p-17, 0x1.7c966ff09a39ap-17, 0x1.7e2fdf63f4698p-17, 0x1.7fbe26818f91cp-17, 0x1.8141a3377a9a8p-17, 0x1.82ba74ccb882dp-17, 0x1.8428ba7ea1d44p-17, 0x1.858cdef917ec7p-17, 0x1.86d83021f0e6ep-17, 0x1.88357a5130439p-17, 0x1.897978058a77p-17, 0x1.8ab455692958fp-17, 0x1.8be9295d6c63bp-17, 0x1.8d0af4521a33cp-17, 0x1.8e26c50cefb9fp-17, 0x1.8f3aae62f6aa5p-17, 0x1.9043dcb4224e5p-17, 0x1.91439d34cdabdp-17, 0x1.923a1f2026ccbp-17, 0x1.932761ab30a2fp-17, 0x1.940b744094a61p-17, 0x1.94e66b16eb8e9p-17, 0x1.95b84ad90d863p-17, 0x1.9681ca18aec08p-17, 0x1.9741af657a9d6p-17, 0x1.97f9c3bf4034ep-17, 0x1.989858c9085c6p-17, 0x1.994f3b9e74c35p-17, 0x1.99ecf02a08af4p-17, 0x1.9a8297c52a88bp-17, 0x1.9b10263848719p-17, 0x1.9b95a87a5e53ep-17, 0x1.9c136242d1abap-17, 0x1.9c7f50b7cc164p-17, 0x1.9cf60444ab459p-17, 0x1.9d5c29367eb12p-17, 0x1.9dba5ed83225bp-17, 0x1.9e10fed2b1ac1p-17, 0x1.9e601368eef09p-17, 0x1.9ea7eeeca4316p-17, 0x1.9ee86912eceddp-17, 0x1.9f21afb7788b9p-17, 0x1.9f53e647cfecdp-17, 0x1.9f7fd786be8b6p-17, 0x1.9fac6b8349eb8p-17, 0x1.9fc1dfe5f1f3ep-17, 0x1.9fca34a269f9ap-17, 0x1.9fe6e4ada5ce8p-17, 0x1.9fefd1c086742p-17, 0x1.9ff2b9c54cafap-17, 0x1.9feed45a019abp-17, 0x1.9fe4d7e760b4cp-17, 0x1.9fd489af1fa67p-17, 0x1.9fbe11a7c5d65p-17, 0x1.9fa1ba4664e3ep-17, 0x1.9f801db54501ep-17, 0x1.9f697e2954b51p-17, 0x1.9f28a35657b12p-17, 0x1.9ef3e0c0b8e97p-17, 0x1.9eb9e370b3805p-17, 0x1.9e7a55f47b454p-17, 0x1.9e3613d103edp-17, 0x1.9deac5e190f7ep-17, 0x1.9d9aa112c2ed2p-17, 0x1.9d455c80c4d5ep-17, 0x1.9ceae94b63cd1p-17, 0x1.9c8b5c4db9e25p-17, 0x1.9c26c7eef9f26p-17, 0x1.9bbd3fb4b7b06p-17, 0x1.9b4f07ca06d35p-17, 0x1.9ac6e60858253p-17, 0x1.9a648c16c1955p-17, 0x1.99e66f536ecddp-17, 0x1.996575e76c07ep-17, 0x1.98e6437bc07f4p-17, 0x1.9853dc96c695ap-17, 0x1.97c2e4d36b8d2p-17, 0x1.9732cd0fee6bcp-17, 0x1.969afc335eca1p-17, 0x1.95e816c7bd328p-17, 0x1.955f9a2ab1611p-17, 0x1.94baddcf4b10dp-17, 0x1.9412841da7af3p-17, 0x1.93660cc8a3434p-17, 0x1.92b602bbbfc0bp-17, 0x1.92022490c0142p-17, 0x1.914af599c3564p-17, 0x1.908e86361edd3p-17, 0x1.8fd02c16ea5f1p-17, 0x1.8f0dcd041d526p-17, 0x1.8e48902d0d228p-17, 0x1.8d7de22e511e9p-17, 0x1.8cb0e410610c4p-17, 0x1.8bd9ff246667fp-17, 0x1.8b0d094f4ab03p-17, 0x1.8a3680a0243a7p-17, 0x1.894cff7f193c1p-17, 0x1.888c5869e42e3p-17, 0x1.879ef99efd50ap-17, 0x1.86bb73f0220a3p-17, 0x1.85d5b6e0a7fadp-17, 0x1.8501c2c534cb1p-17, 0x1.840187b99ac7ep-17, 0x1.830fae4eeada7p-17, 0x1.821c6254dff7fp-17, 0x1.812ce58ee263dp-17, 0x1.80361d182e344p-17, 0x1.7f3cf1d2f5f1bp-17, 0x1.7e41494bf34dep-17, 0x1.7d3fde3a343a1p-17, 0x1.7c42adfbd38d3p-17, 0x1.7b3fd9675c03ep-17, 0x1.7a3ab6788de2bp-17, 0x1.79335d9864475p-17, 0x1.782852c202852p-17, 0x1.771e58c21e2b7p-17, 0x1.76101d5ce00efp-17, 0x1.75001929aacfep-17, 0x1.73ee404dd8372p-17, 0x1.72da5c1e72edbp-17, }}, 
      {{0x1.20a415ce6694dp-1, 0x1.24cd0a6dfb591p-1, 0x1.2aecf84b82745p-1, 0x1.3233683af75ddp-1, 0x1.39daaeb204c2ap-1, 0x1.413a451d5f6f2p-1, 0x1.47cd7c55dfe4fp-1, 0x1.4d33a832d7e5ep-1, 0x1.512ce3833f692p-1, 0x1.539553c01220dp-1, 0x1.546006a3e5118p-1, 0x1.5392025e95de7p-1, 0x1.513dcf7b48f3dp-1, 0x1.4d7f9ea7377e3p-1, 0x1.487a0dbd2410cp-1, 0x1.42538691dafd3p-1, 0x1.3b3428d681f6bp-1, 0x1.33442d8ab74bap-1, 0x1.2aaab30f41dc8p-1, 0x1.218ce03a198e5p-1, 0x1.180d4ea7de4bfp-1, 0x1.0e4bae5b65bdcp-1, 0x1.046495aaea0d5p-1, 0x1.f4e2e6d87df52p-2, 0x1.e111346728149p-2, 0x1.cd7abb5b40723p-2, 0x1.ba4078cc5318ap-2, 0x1.a77e230ca4095p-2, 0x1.954a966381548p-2, 0x1.83b8455bbd947p-2, 0x1.72d5a9310da7ap-2, 0x1.62adaf5a5fa6ap-2, 0x1.534822243a22dp-2, 0x1.44aa0b538dc52p-2, 0x1.36d60ff3408c9p-2, 0x1.29ccc53b16038p-2, 0x1.1d8cfd9faf895p-2, 0x1.12140f2563c65p-2, 0x1.075e124b8d6b8p-2, 0x1.facc353f65f9cp-3, 0x1.e84cd1b2381dcp-3, 0x1.d7312ddd68d6cp-3, 0x1.c76b7dd84c699p-3, 0x1.b8ed39e36cb8p-3, 0x1.aba75832e3421p-3, 0x1.9f8a7ffc24afdp-3, 0x1.948735b763603p-3, 0x1.8a8dfd667e974p-3, 0x1.818f7871c0a9fp-3, 0x1.797c870286f56p-3, 0x1.72464ff657e7cp-3, 0x1.6bde6543a90cap-3, 0x1.6636b2d25985ap-3, 0x1.6141b7be83daep-3, 0x1.5cf2525708f28p-3, 0x1.593c0324b92bep-3, 0x1.5612c8b3bb652p-3, 0x1.536b206f67a8fp-3, 0x1.513a32eecf32p-3, 0x1.4f759dda99afep-3, 0x1.4e1384070c693p-3, 0x1.4d0aaaeb9c4fp-3, 0x1.4c5252afd6e3bp-3, 0x1.4be22eb4bb3f1p-3, 0x1.4bb281f9f57c9p-3, 0x1.4bbc0d2d6eedbp-3, 0x1.4bf8024ce5aafp-3, 0x1.4c5fffc0a1ce3p-3, 0x1.4cee10c20163bp-3, 0x1.4d9cba734b344p-3, 0x1.4e66d3ec8d1e1p-3, 0x1.4f479f5bd0871p-3, 0x1.503ab0bd9c76bp-3, 0x1.513befa9baf3ep-3, 0x1.5247a5a387e09p-3, 0x1.535a5a9e948c4p-3, 0x1.5470e2913541fp-3, 0x1.55885c5775c62p-3, 0x1.569e1fd412843p-3, 0x1.57afbf8671eap-3, 0x1.58bb140885e3cp-3, 0x1.59be21b33bfdep-3, 0x1.5ab71fadef8ddp-3, 0x1.5ba475aaabdb1p-3, 0x1.5c84b9d2c581cp-3, 0x1.5d56a9271fbc3p-3, 0x1.5e19211c161a3p-3, 0x1.5ecb2c0778351p-3, 0x1.5f6bf1df3f6dcp-3, 0x1.5ffab70b9c9e7p-3, 0x1.6076ddb0ecfc1p-3, 0x1.60dfe22a0c606p-3, 0x1.61355972b92afp-3, 0x1.6176f06f26592p-3, 0x1.61a465f12d58cp-3, 0x1.61bd8a966c348p-3, 0x1.61c244a04335dp-3, 0x1.61b2884d8be2fp-3, 0x1.618e57752f53ep-3, 0x1.6155c1e44a9cap-3, 0x1.6108e3a3bf07cp-3, 0x1.60a7e39af3f58p-3, 0x1.6032f29f44223p-3, 0x1.5faa4af1f2325p-3, 0x1.5f0e2f390918ep-3, 0x1.5e5ee7da74a8fp-3, 0x1.5d9cc3e62851ep-3, 0x1.5cc819950da67p-3, 0x1.5be1435473305p-3, 0x1.5ae89fb2cdbf5p-3, 0x1.59de9157faa6ep-3, 0x1.58c37e56c44d4p-3, 0x1.5797cf9e9a6ddp-3, 0x1.565bf06ff954bp-3, 0x1.55104dfd7dc89p-3, 0x1.53b5571787feep-3, 0x1.524b7be2b69b4p-3, 0x1.50d32db3d64efp-3, 0x1.4f4cddf94f858p-3, 0x1.4db8fe4c3769dp-3, 0x1.4c1800fbabf91p-3, 0x1.4a6a57dc3c67ap-3, 0x1.48b07442bf13cp-3, 0x1.46eac7c43a56ap-3, 0x1.4519c1815130ep-3, 0x1.433dd1da4cb0ap-3, 0x1.41576710633ep-3, 0x1.3f66ee798b0b8p-3, 0x1.3d6cd3b89ebadp-3, 0x1.3b698177f3ab1p-3, 0x1.395d625b5d403p-3, 0x1.3748dd1271f7cp-3, 0x1.352c56d52c0f5p-3, 0x1.3308354a47f92p-3, 0x1.30dcdcf98e768p-3, 0x1.2eaaada3280f4p-3, 0x1.2c72054647252p-3, 0x1.2a33421296bfdp-3, 0x1.27eec16253362p-3, 0x1.25a4dd272c7c6p-3, 0x1.2355ebf1a5c8dp-3, 0x1.210242f21dcd2p-3, 0x1.1eaa370e12c89p-3, 0x1.1c4e1bca7a2f3p-3, 0x1.19ee41b79a61p-3, 0x1.178af6c5d4c8p-3, 0x1.152486ad757b4p-3, 0x1.12bb3bd16ee75p-3, 0x1.104f5fd15949p-3, 0x1.0de13a5210f68p-3, 0x1.0b711049081e7p-3, 0x1.08ff24c161911p-3, 0x1.068bb8dade507p-3, 0x1.04170bcef98adp-3, 0x1.01a15bab4da69p-3, 0x1.fe55ca778e45dp-4, 0x1.f967c637c2d8ap-4, 0x1.f4791b72abac2p-4, 0x1.ef8a37ee09098p-4, 0x1.ea9b862d487ebp-4, 0x1.e5ad6d13ea8d9p-4, 0x1.e0c0507b633acp-4, 0x1.dbd491d167699p-4, 0x1.d6ea8fa15ed2p-4, 0x1.d202a4a593a34p-4, 0x1.cd1d28551de5dp-4, 0x1.c83a6f64d575bp-4, 0x1.c35acbd1f3856p-4, 0x1.be7e8c9c3828ap-4, 0x1.b9a5fdc5bc975p-4, 0x1.b4d168c6b1b22p-4, 0x1.b00114cfa5ea4p-4, 0x1.ab35466297ad8p-4, 0x1.a66e3f099b809p-4, 0x1.a1ac3da362a7p-4, 0x1.9cef7ebd9a9f9p-4, 0x1.98383c98f0b34p-4, 0x1.9386af2e511f2p-4, 0x1.8edb0c12a288ap-4, 0x1.8a35868f4c775p-4, 0x1.85964fc00f711p-4, 0x1.80fd96cffe2cp-4, 0x1.7c6b88c3e487ep-4, 0x1.77e05061ac525p-4, 0x1.735c1652b3bd5p-4, 0x1.6edf015736f77p-4, 0x1.6a693661f554cp-4, 0x1.65fad89cb0e49p-4, 0x1.6194096924bbfp-4, 0x1.5d34e85fcf29p-4, 0x1.58dd93563837ep-4, 0x1.548e267178602p-4, 0x1.5046bc3b57a7p-4, 0x1.4c076dbd579edp-4, 0x1.47d05265a55cp-4, 0x1.43a1801c824d2p-4, 0x1.3f7b0b455a032p-4, 0x1.3b5d06dc23341p-4, 0x1.3747848b1f4e6p-4, 0x1.333a94b13078ap-4, 0x1.2f36466450f4p-4, 0x1.2b3aa770dbcc6p-4, 0x1.2747c46c8c07dp-4, 0x1.235da8ba7c29bp-4, 0x1.1f7c5e9496224p-4, 0x1.1ba3ef1cd6499p-4, 0x1.17d4625787bdcp-4, 0x1.140dbf40862d9p-4, 0x1.10500bd00dd32p-4, 0x1.0c9b4d018048ep-4, 0x1.08ef86dae91efp-4, 0x1.054cbc71d8bfp-4, 0x1.01b2f00f438adp-4, 0x1.fc444620fa8d2p-5, 0x1.f534ac19237ecp-5, 0x1.ee37118994a85p-5, 0x1.e74b7464d7bd6p-5, 0x1.e071d12760ea7p-5, 0x1.d9aa22dd1868ep-5, 0x1.d2f4632c07f86p-5, 0x1.cc508a61d34aap-5, 0x1.c5be8f812b81bp-5, 0x1.bf3e684d46f8ep-5, 0x1.b8d0095689659p-5, 0x1.b27365fb2f308p-5, 0x1.ac28708190d75p-5, 0x1.a5ef1a213e3d8p-5, 0x1.9fc753126de11p-5, 0x1.99b10a9a08697p-5, 0x1.93ac2f0f02bbcp-5, 0x1.8db8add8a302p-5, 0x1.87d6738478304p-5, 0x1.82056bd659d43p-5, 0x1.7c4581b44c9bfp-5, 0x1.76969f6735bb8p-5, 0x1.70f8ae68a342p-5, 0x1.6b6b977cce0a1p-5, 0x1.65ef42c1bfbf5p-5, 0x1.608397c61b61ep-5, 0x1.5b287d473ecffp-5, 0x1.55ddd9ac72e0ap-5, 0x1.50a392b43a027p-5, 0x1.4b798d9e373ep-5, 0x1.465faf31d3604p-5, 0x1.4155dbce9628dp-5, 0x1.3c5bf74f8aa97p-5, 0x1.3771e546366cbp-5, 0x1.329788dd6a0f5p-5, 0x1.2dccc4d8be032p-5, 0x1.29117baca51a2p-5, 0x1.24658f7a5732bp-5, 0x1.1fc8e216b778cp-5, 0x1.1b3b55110a198p-5, 0x1.16bcc9c007b43p-5, 0x1.124d21220521fp-5, 0x1.0dec3c2c5ae16p-5, 0x1.0999fb8417c96p-5, 0x1.05563fa8757d5p-5, 0x1.0120e8e979e7cp-5, 0x1.f9f3aeb83b446p-6, 0x1.f1c1d631f7cd2p-6, 0x1.e9ac07f11779ep-6, 0x1.e1b2039dd1aa6p-6, 0x1.d9d388b74ca72p-6, 0x1.d2105682899fp-6, 0x1.ca682c215f7aep-6, 0x1.c2dac89da26ep-6, 0x1.bb67eaf69449ap-6, 0x1.b40f522b49d5fp-6, 0x1.acd0bd3b421cfp-6, 0x1.a5abeb17e5c29p-6, 0x1.9ea09ab10ae87p-6, 0x1.97ae8b03bfb89p-6, 0x1.90d57b1f1d5e4p-6, 0x1.8a152a2651746p-6, 0x1.836d57557f115p-6, 0x1.7cddc205ba6b8p-6, 0x1.766629b16d576p-6, 0x1.70064df89ab2ep-6, 0x1.69bdeeaf1d9bap-6, 0x1.638ccba38e53cp-6, 0x1.5d72a52ad8354p-6, 0x1.576f3b80dcb6dp-6, 0x1.51824f380f3dcp-6, 0x1.4baba119c399bp-6, 0x1.45eaf22b8d067p-6, 0x1.404003b79e4e3p-6, 0x1.3aaa9757c2e88p-6, 0x1.352a6ee4a4561p-6, 0x1.2fbf4c6d14247p-6, 0x1.2a68f27dfcd64p-6, 0x1.252723c641cdbp-6, 0x1.1ff9a307af176p-6, 0x1.1ae0349b4aa31p-6, 0x1.15da9b41af16fp-6, 0x1.10e89b6a9623ep-6, 0x1.0c09f97e770a9p-6, 0x1.073e7a4158dfdp-6, 0x1.0285e2d6a77d4p-6, 0x1.fbbff181cf03bp-7, 0x1.f29903c604ebdp-7, 0x1.e996890436e59p-7, 0x1.e0b80e9201b6ep-7, 0x1.d7fd22a8b79d8p-7, 0x1.cf65545cac6efp-7, 0x1.c6f0321fc17b8p-7, 0x1.be9d4e2a6448cp-7, 0x1.b66c3857ff58dp-7, 0x1.ae5c8510eebb2p-7, 0x1.a66dc0a42b484p-7, 0x1.9e9f8bc33ddcbp-7, 0x1.96f16fab88427p-7, 0x1.8f63059dcdb75p-7, 0x1.87f3e3e10b2ap-7, 0x1.80a3a1b27e148p-7, 0x1.7971d733cc24ep-7, 0x1.725e1d68cc11ap-7, 0x1.6b680e32bd2eep-7, 0x1.648f44351d978p-7, 0x1.5dd35b4c4a835p-7, 0x1.5733ef9b8f1d3p-7, 0x1.50b09ed92dbc3p-7, 0x1.4a49075681937p-7, 0x1.43fcc8200da9bp-7, 0x1.3dcb817c245f6p-7, 0x1.37b4d44607466p-7, 0x1.31b86262101ebp-7, 0x1.2bd5ceb238355p-7, 0x1.260cbccb8cabdp-7, 0x1.205cd13817e86p-7, 0x1.1ac5b16a54d4fp-7, 0x1.154703b277558p-7, 0x1.0fe06f4486e3fp-7, 0x1.0a919c44c49d9p-7, 0x1.055a33cacc32dp-7, 0x1.0039dfd59cc0ap-7, 0x1.f66096728c113p-8, 0x1.ec7a4330d3d1ap-8, 0x1.e2c01edca4a85p-8, 0x1.d9318442cd726p-8, 0x1.cfcdd014f7a23p-8, 0x1.c69460d1d31f7p-8, 0x1.bd8496a674626p-8, 0x1.b49dd368901dcp-8, 0x1.abdf7aa1cfd87p-8, 0x1.a348f19913f22p-8, 0x1.9ad99f53edf12p-8, 0x1.9290ec94b74dcp-8, 0x1.8a6e43d97570cp-8, 0x1.8271115b37019p-8, 0x1.7a98c3039418bp-8, 0x1.72e4c8581cfa1p-8, 0x1.6b54927f4c707p-8, 0x1.63e79464c8982p-8, 0x1.5c9d42de6fbbep-8, 0x1.557514b330837p-8, 0x1.4e6e7db801788p-8, 0x1.4788fd504883fp-8, 0x1.40c40c78c2c33p-8, 0x1.3a1f26f581002p-8, 0x1.3399ca2234a4cp-8, 0x1.2d3377caaf7aep-8, 0x1.26ebb0c8d80c8p-8, 0x1.20c1f83e4541fp-8, 0x1.1ab5d277a3fep-8, 0x1.14c6c5ed721e3p-8, 0x1.0ef45a4dbe376p-8, 0x1.093e18afe2237p-8, 0x1.03a38bcd16dd3p-8, 0x1.fc487fc9ee203p-9, 0x1.f17f85668a316p-9, 0x1.e6eb46d9b5a85p-9, 0x1.dc8ae57aa27afp-9, 0x1.d25d85887878ep-9, 0x1.c8624e24efd0ep-9, 0x1.be98694f640ebp-9, 0x1.b4ff03dfce541p-9, 0x1.ab954d7f11e55p-9, 0x1.a25a78a52bba3p-9, 0x1.994dbaa4a7764p-9, 0x1.906e4b7a3a91bp-9, 0x1.87bb6605b1ff8p-9, 0x1.7f3447e52776p-9, 0x1.76d831404e56cp-9, 0x1.6ea664cb04148p-9, 0x1.669e27ef168f9p-9, 0x1.5ebec2cb7f9dap-9, 0x1.5707802fdbac3p-9, 0x1.4f77ad8b888c1p-9, 0x1.480e9aac7eed3p-9, 0x1.40cb99f0fc078p-9, 0x1.39ae001850b39p-9, 0x1.32b52506c7cf9p-9, 0x1.2be060ada751dp-9, 0x1.252f0fae958dfp-9, 0x1.1ea09336259b6p-9, 0x1.183448b5da15ep-9, 0x1.11e994ca61da6p-9, 0x1.0bbfdd25b6126p-9, 0x1.05b689b26e60cp-9, 0x1.ff9a08f711197p-10, 0x1.f40573d7255d1p-10, 0x1.e8ae31555eb6ep-10, 0x1.dd932386309c5p-10, 0x1.d2b32fb3eecddp-10, 0x1.c80d4033a3653p-10, 0x1.bda0440ed6b17p-10, 0x1.b36b2d5a276b6p-10, 0x1.a96cf3fbc1b49p-10, 0x1.9fa4926b721e4p-10, 0x1.961107c33c314p-10, 0x1.8cb1575496155p-10, 0x1.8384880890dccp-10, 0x1.7a89a58580da1p-10, 0x1.71bfbe670a751p-10, 0x1.6925e5937982cp-10, 0x1.60bb31e0f2d07p-10, 0x1.587ebdcc69323p-10, 0x1.506fa778c555fp-10, 0x1.488d10abe2865p-10, 0x1.40d61ec5dcc2dp-10, 0x1.3949fac341729p-10, 0x1.31e7d1f84fb4fp-10, 0x1.2aaecfd03336bp-10, 0x1.239e2e4334fbcp-10, 0x1.1cb522939a431p-10, 0x1.15f2e216ebbcbp-10, 0x1.0f56ad6f38735p-10, 0x1.08dfc44d735c1p-10, 0x1.028d6a651b9b4p-10, 0x1.f8bdcdd9a7beep-11, 0x1.eca7093f93891p-11, 0x1.e0d5229309949p-11, 0x1.d546ba47d5856p-11, 0x1.c9fa776f2f7f6p-11, 0x1.beef0a6e8469ep-11, 0x1.b4232a1ba7629p-11, 0x1.a9958eebd5ba4p-11, 0x1.9f44f418bf311p-11, 0x1.95301c71909c2p-11, 0x1.8b55d2220c8e2p-11, 0x1.81b4e3eac57ffp-11, 0x1.784c29d5b16a9p-11, 0x1.6f1a6dccc2e93p-11, 0x1.661e56f0ed3e2p-11, 0x1.5d57305ffa292p-11, 0x1.54c3dc1e2373fp-11, 0x1.4c62ece1db9b7p-11, 0x1.4433892f903cp-11, 0x1.3c34baf0c45dbp-11, 0x1.346579e169b15p-11, 0x1.2cc4cbc81dbadp-11, 0x1.2551b4220fa79p-11, 0x1.1e0b3fdefafd8p-11, 0x1.16f07cbb08aa3p-11, 0x1.10007c9583786p-11, 0x1.093a52fefeb47p-11, 0x1.029d17f76c8e5p-11, 0x1.f84fcfdbb431p-12, 0x1.ebb3c93937434p-12, 0x1.df646b46f81bfp-12, 0x1.d360109c1b134p-12, 0x1.c7a51e79bc3f9p-12, 0x1.bc32042441a73p-12, 0x1.b10539afe6be1p-12, 0x1.a61d3e6c21a8ap-12, 0x1.9b78979154c2bp-12, 0x1.9115ce7a678bep-12, 0x1.86f3717d9911ap-12, 0x1.7d101487aa958p-12, 0x1.736a49f3789d6p-12, 0x1.6a00b5a8205ddp-12, 0x1.60d1f98554ea3p-12, 0x1.57dcc35975d16p-12, 0x1.4f1fc96c6b33ep-12, 0x1.4699cb21d640bp-12, 0x1.3e4990d256fb7p-12, 0x1.362deadf6fa03p-12, 0x1.2e45b27e09ap-12, 0x1.268fc49ab10abp-12, 0x1.1f0b0458f3d4cp-12, 0x1.17b65a0d1191cp-12, 0x1.1090ab406ef66p-12, 0x1.0998e48ae297bp-12, 0x1.02cdf29497bbbp-12, 0x1.f85d8b28f4b94p-13, 0x1.eb74a5139fc07p-13, 0x1.dedf29b73a7b4p-13, 0x1.d29b1e63532f2p-13, 0x1.c6a6977dc0b6ap-13, 0x1.baffb81307ab2p-13, 0x1.afa4b18ad5576p-13, 0x1.a493c67fcff05p-13, 0x1.99cb5958cd45fp-13, 0x1.8f49ceed5e15fp-13, 0x1.850c529ba22b1p-13, 0x1.7b131aa799a25p-13, 0x1.715c84f11657dp-13, 0x1.67e5eafbc41e3p-13, 0x1.5eadfcac9b40bp-13, 0x1.55b3c418d926bp-13, 0x1.4cf5910d528c3p-13, 0x1.4471df16a3051p-13, 0x1.3c2734ef9931cp-13, 0x1.34142c5bbbbb1p-13, 0x1.2c3767ba8a8ddp-13, 0x1.248f8cb124612p-13, 0x1.1d1b4bdb3448cp-13, 0x1.15d95ad3ba511p-13, 0x1.0ec87395a7fb5p-13, 0x1.07e754a380268p-13, 0x1.0134c3e9ddf8cp-13, 0x1.f55f23d7ba35ap-14, 0x1.e8ad3845b5592p-14, 0x1.dc519a977b2a5p-14, 0x1.d04a36a3ec80cp-14, 0x1.c49508c8830c6p-14, 0x1.b93019efc3b9bp-14, 0x1.ae197c8f75c93p-14, 0x1.a34f4a9470745p-14, 0x1.98cfa6818564ep-14, 0x1.8e98bd1318104p-14, 0x1.84a8c144b4552p-14, 0x1.7afdfafc534ecp-14, 0x1.7196bc2ac7c54p-14, 0x1.6871453b14ad7p-14, 0x1.5f8bcfab50b8p-14, 0x1.56e49351d8e21p-14, 0x1.4e79f58a023bbp-14, 0x1.464a4b1d1f69bp-14, 0x1.3e53bab4e6badp-14, 0x1.36949b9243f64p-14, 0x1.2f0b73e333aecp-14, 0x1.27b6bef9cd0e4p-14, 0x1.2094fba21d533p-14, 0x1.19a4c1d88409ep-14, 0x1.12e4c280ca265p-14, 0x1.0c53c51fe9682p-14, 0x1.05f0a61dc3985p-14, 0x1.ff74a5beeff67p-15, 0x1.f35f85ef205bap-15, 0x1.e79fe1bd31377p-15, 0x1.dc33a8f8f8961p-15, 0x1.d118c27d7452dp-15, 0x1.c64d0e29b6f86p-15, 0x1.bbce691a61a3ap-15, 0x1.b19ab1255005fp-15, 0x1.a7afc69e498b4p-15, 0x1.9e0b8d12b2cbcp-15, 0x1.94abeb55dec99p-15, 0x1.8b8ec53141c32p-15, 0x1.82b24324e1fb3p-15, 0x1.7a13f46c59e66p-15, 0x1.71b23ae44295bp-15, 0x1.698ae4051250cp-15, 0x1.619c1369e9abcp-15, 0x1.59e405bf9361bp-15, 0x1.526143b8af0bp-15, 0x1.4b125be10526dp-15, 0x1.43f60149caa38p-15, 0x1.3d0aec452a5a7p-15, 0x1.364fe912e0861p-15, 0x1.2fc3cb6bfcdf6p-15, 0x1.2965657d26f9p-15, 0x1.2333a67bf84ap-15, 0x1.1d2e2a03a55eep-15, 0x1.1750b9f82417bp-15, 0x1.119c15ad8bcd8p-15, 0x1.0c1393a174efep-15, 0x1.06acc8a069e63p-15, 0x1.016ba1ffdbc08p-15, 0x1.f89ec34fb813dp-16, 0x1.eeafb3f8db455p-16, 0x1.e4fc8360928b7p-16, 0x1.db927eafe67d1p-16, 0x1.d262f695f0982p-16, 0x1.c971fd9b3591dp-16, 0x1.c0bbba44f7598p-16, 0x1.b83e59fd8b8b6p-16, 0x1.aff83bd7016a3p-16, 0x1.a7e7d1e0a10ffp-16, 0x1.a00b8120c5005p-16, 0x1.9861a07b6c189p-16, 0x1.90e89dd0ff54cp-16, 0x1.899f235790d38p-16, 0x1.82840f29c687p-16, 0x1.7b963eb7cb41dp-16, 0x1.74d4620d65e4p-16, 0x1.6e3d019e2079ap-16, 0x1.67cea8bc91b35p-16, 0x1.618805cf681e8p-16, 0x1.5b67e8c04b08p-16, 0x1.556d2f3cff105p-16, 0x1.4f96b51f34abp-16, 0x1.49e34c166ccefp-16, 0x1.4451bdd4e78f5p-16, 0x1.3ee0d857bbc1ap-16, 0x1.398f7fa76b5c3p-16, 0x1.345cb1330823p-16, 0x1.2f476b9e958bcp-16, 0x1.2a4ea968ebc18p-16, 0x1.25716c1934bf8p-16, 0x1.20aec5fca3b03p-16, 0x1.1c05d4f1ac382p-16, 0x1.1775b2df0bfe6p-16, 0x1.12fd702cc9394p-16, 0x1.0e9c33def752cp-16, 0x1.0a519a80135ccp-16, 0x1.061cdf1212976p-16, 0x1.01fd4da90c375p-16, 0x1.fbe3df2087a05p-17, 0x1.f3f4a9cf5d1cfp-17, 0x1.ec2bec9f19e98p-17, 0x1.e488b5148d23fp-17, 0x1.dd0904a76aeb3p-17, 0x1.d5ab58d87bba7p-17, 0x1.ce700fdd516dbp-17, 0x1.c754f41a0ddffp-17, 0x1.c0586c5b071d2p-17, 0x1.b97ac40a69148p-17, 0x1.b2bad2f85db5bp-17, 0x1.ac172cdbef0efp-17, 0x1.a58edbb48e358p-17, 0x1.9f212cef133adp-17, 0x1.98cd5b0ff5369p-17, 0x1.92928d35eeb51p-17, 0x1.8c6fd0f44c5abp-17, 0x1.86642bcab953cp-17, 0x1.806eb8e7cff6fp-17, 0x1.7a8eb0e9336d6p-17, 0x1.74c35d2a50c5cp-17, 0x1.6f0ca87f0d349p-17, 0x1.696bbb280b2fbp-17, 0x1.63e07d6aa812dp-17, 0x1.5e5ac5184e0aep-17, 0x1.58ee4558fdd7dp-17, 0x1.5392cca64c58p-17, 0x1.4e48099e54b1ep-17, 0x1.490d74fc88e3ep-17, 0x1.43e2684eb8106p-17, 0x1.3ec676cca04p-17, 0x1.39b92fd16c21bp-17, 0x1.34ba2b3f08481p-17, 0x1.2fc904f6903f7p-17, 0x1.2ae5576f0c00fp-17, 0x1.260ebcc90ab59p-17, 0x1.2144ce93a0d84p-17, 0x1.1c87276da22cdp-17, 0x1.17d567b840492p-17, 0x1.132f3c6bbd9c5p-17, 0x1.0e94ac4ffc64fp-17, 0x1.0a0a0bcbc9afbp-17, 0x1.0579bb0aaf48dp-17, 0x1.0103a6cc154c3p-17, 0x1.f9316a1b37456p-18, 0x1.f06149d5c9a8cp-18, 0x1.e7a8d9b474bedp-18, 0x1.df031c4434394p-18, 0x1.d66f8652212a7p-18, 0x1.cded69679772ap-18, 0x1.c57c234c50928p-18, 0x1.bd0ba8408115ap-18, 0x1.b4d5a7ec5b5a9p-18, 0x1.ac8fd60192aadp-18, 0x1.a4621344dc104p-18, 0x1.9c436429909b3p-18, 0x1.9433e3e315a7ep-18, 0x1.8c33f160e6d2fp-18, 0x1.8437d8c4aaebep-18, 0x1.7c60d13f451d6p-18, 0x1.748d1e9af9ef2p-18, 0x1.6cc7a95462272p-18, 0x1.6510308009a8cp-18, 0x1.5d667b6d2bf21p-18, 0x1.55ca5bc8a00c6p-18, 0x1.4e3bac630a6b5p-18, 0x1.46ba489eb4b3cp-18, 0x1.3f45bb63d5c03p-18, 0x1.37de8dd84ae2dp-18, 0x1.308451dd6bae5p-18, 0x1.2936a6c95595dp-18, 0x1.21f5a67fb0d04p-18, 0x1.1ac123a5def84p-18, 0x1.1398edac72cbdp-18, 0x1.0c7cddccf0a3dp-18, 0x1.056ce2985c0afp-18, 0x1.fcd1e78be8802p-19, 0x1.eee1f86d76f91p-19, 0x1.e109ba6f949ep-19, 0x1.d348f900f915fp-19, 0x1.c59fb04658509p-19, 0x1.b80dd20ad527ap-19, 0x1.aa932d50e6dbbp-19, 0x1.9d2fa70f8c83ep-19, 0x1.8fe90254667f5p-19, 0x1.82b6257f16744p-19, 0x1.758eec3a9893dp-19, 0x1.68895f9dde165p-19, 0x1.5b96e81c220d9p-19, 0x1.4ebcc1963b186p-19, 0x1.41f901a2e07e7p-19, 0x1.356638de8e853p-19, 0x1.28c7a4b5d4357p-19, 0x1.1c344066ec724p-19, 0x1.0fccd400bd016p-19, 0x1.037b7d699e385p-19, 0x1.ee8014642a5d7p-20, 0x1.d635d5e0b23a6p-20, 0x1.be18893a73e89p-20, 0x1.a6284ff098599p-20, 0x1.8e653b2924606p-20, 0x1.76cf5119fb416p-20, 0x1.5f651ff716d44p-20, 0x1.482b1a3b7dd78p-20, 0x1.311ccdd5a8bc4p-20, 0x1.1a3ba773d20c3p-20, 0x1.0387a7a0779d1p-20, 0x1.da01563344dc7p-21, 0x1.ad4d88f8bbf54p-21, 0x1.80f6f7221f712p-21, 0x1.54fafd033df8cp-21, 0x1.29567b8bf566dp-21, 0x1.fc0e6f5d3c89dp-22, 0x1.a6a3d98633655p-22, 0x1.50e09928862b3p-22, 0x1.f943bc214b6b2p-23, 0x1.51f1bb565d8bp-23, 0x1.57f85d7693cb5p-24, 0x1.db7ad565b1c7bp-29, -0x1.3768726dab42p-24, -0x1.3d6be7afeb65fp-23, -0x1.ddaddd9853f22p-23, -0x1.3e43282ca534dp-22, -0x1.8cf9e773be627p-22, -0x1.db018b7826b98p-22, -0x1.14aa803abcf34p-21, -0x1.3a5d3094b27d1p-21, -0x1.6050314f06ca2p-21, -0x1.85dd0b6b08d6ap-21, -0x1.ab0ee6f3a12a5p-21, -0x1.cfe5fb3a66f9ap-21, -0x1.f4629ad629fb4p-21, -0x1.0c3fcbe7299b2p-20, -0x1.1e21a81034329p-20, -0x1.2fd5bd5b691dep-20, -0x1.415c2c78271f6p-20, -0x1.529e6dd18fe64p-20, -0x1.63f1b2d666793p-20, -0x1.74bf8220f6587p-20, -0x1.85a862d46bbc2p-20, -0x1.96485262e12b2p-20, -0x1.a6ba87774e19ep-20, -0x1.b6ff711105067p-20, -0x1.c716e9f1e71d9p-20, -0x1.d700de047a864p-20, -0x1.e6bd57aa7ce3dp-20, -0x1.f64c65b73e994p-20, -0x1.02d70bdc9dba4p-19, -0x1.0a7145a76164ap-19, -0x1.11f4cc8dcdb9fp-19, -0x1.1961ce8a4fadap-19, -0x1.20b83ade3a83ap-19, -0x1.27f81118ce44bp-19, -0x1.2f216e85697d1p-19, -0x1.3634905975c42p-19, -0x1.3d30dddbfc3afp-19, -0x1.441717976803cp-19, -0x1.4ae700d00a6b8p-19, -0x1.51a0ae4696cbp-19, -0x1.5844302203fa8p-19, -0x1.5ed1980ef83c5p-19, -0x1.6548faa9af213p-19, -0x1.6baa74024f59cp-19, -0x1.71f63a646bf01p-19, -0x1.782c947aa3878p-19, -0x1.7e4ce942b5c36p-19, -0x1.845546436337ap-19, -0x1.8a496ab0fee4ep-19, -0x1.902b8a121112dp-19, -0x1.95de93db32056p-19, -0x1.9b8af7d52c981p-19, -0x1.a1493bc0d8ac6p-19, -0x1.a6d0ba3c3daacp-19, -0x1.ac442664ac3d8p-19, -0x1.b1a31d3eb5fe9p-19, -0x1.b6ed4c63b684bp-19, -0x1.bc22a805c40f2p-19, -0x1.c14338e960366p-19, -0x1.c64f14ff4371cp-19, -0x1.cb4656a941a46p-19, -0x1.d0291b8f31b72p-19, -0x1.d4f725aed5792p-19, -0x1.d99a79d8dbaa5p-19, -0x1.de373c9303689p-19, -0x1.e2cbf2ab15e9fp-19, -0x1.e766b13efe0cp-19, -0x1.ebd24b9f3faefp-19, -0x1.f023875c0d8b6p-19, -0x1.f46a09e93b935p-19, -0x1.f8b826bc7eacep-19, -0x1.fcc5f72dd403dp-19, -0x1.005d76c0ea119p-18, -0x1.025709f2c4bd4p-18, -0x1.0447a707d6ef5p-18, -0x1.062ecc46ced6ap-18, -0x1.080cf0d9c38b9p-18, -0x1.09e0fd746f4e6p-18, -0x1.0babfd331efb1p-18, -0x1.0d6dc3c1bf763p-18, -0x1.0f2660b23ba7ep-18, -0x1.10d5cfce8666bp-18, -0x1.127c333f75893p-18, -0x1.141991c5dacd5p-18, -0x1.15adf9fdaee93p-18, -0x1.17397b0f88877p-18, -0x1.18bc2471deee5p-18, -0x1.1a360601da4e7p-18, -0x1.1ba72ff9e41a7p-18, -0x1.1d0fb3088c30dp-18, -0x1.1e6fa0b49425bp-18, -0x1.1fc7027955513p-18, -0x1.2115ed84b152bp-18, -0x1.225c71b9c5f58p-18, -0x1.239aa0f2ad0e7p-18, -0x1.24d0baadf2af7p-18, -0x1.25fe52462e549p-18, -0x1.2723f2dfd65d4p-18, -0x1.28417f60fa21p-18, -0x1.295714b984a91p-18, -0x1.2a64d1c5b5388p-18, -0x1.2b6a97b218341p-18, -0x1.2c684204992b2p-18, -0x1.2d5e6df926077p-18, -0x1.2e4d3d1503aabp-18, -0x1.2f342a769d277p-18, -0x1.301373274d0cep-18, -0x1.30eb50d23a43ap-18, -0x1.31bbd0cc86d26p-18, -0x1.3284fdc9af53ep-18, -0x1.3346e70e52cf2p-18, -0x1.34019e069a8dep-18, -0x1.34b52f1727694p-18, -0x1.3561ab7226cdcp-18, -0x1.36072a1cca79p-18, -0x1.36a5bcfa71d3bp-18, -0x1.373d7755e1b7ap-18, -0x1.37ce759d8eb8dp-18, -0x1.3858aa00fc4b4p-18, -0x1.38db2497deddep-18, -0x1.3955e10d59472p-18, -0x1.39cfc854c673dp-18, -0x1.3a3fd9ecacd36p-18, -0x1.3aa87007f444ap-18, -0x1.3b0bc6e0bee07p-18, -0x1.3b688e1d5a79cp-18, -0x1.3bbf76407240cp-18, -0x1.3c11b0270d7b7p-18, -0x1.3c6011feb984cp-18, -0x1.3ca0683c0c1dap-18, -0x1.3cde8992671e7p-18, -0x1.3d1752bec8e55p-18, -0x1.3d4a6cf3fee8ap-18, -0x1.3d77f35da0816p-18, -0x1.3da0912755ac8p-18, -0x1.3dcfa054a9859p-18, -0x1.3de7587742c1ep-18, -0x1.3df30a0fcc52dp-18, -0x1.3e07bb206efa8p-18, -0x1.3e126d9d13b4ap-18, -0x1.3e136721cacedp-18, -0x1.3e1d0287ea313p-18, -0x1.3e19b74523a6dp-18, -0x1.3e10d47f06559p-18, -0x1.3e03299ebc738p-18, -0x1.3df0b1ad3ab21p-18, -0x1.3dd1aae063e5ap-18, -0x1.3dbd3fa224157p-18, -0x1.3d9c812dd6565p-18, -0x1.3d770f1ec9372p-18, -0x1.3d4cbcb6dbc03p-18, -0x1.3d1e0df320c97p-18, -0x1.3cea94e86f8ddp-18, -0x1.3cb2c082a9182p-18, -0x1.3c7689eb9d576p-18, -0x1.3c35ed0ad2149p-18, -0x1.3bf10f8a6b892p-18, -0x1.3ba797387d393p-18, -0x1.3b5a94e9d5ef9p-18, -0x1.3b091624f522bp-18, -0x1.3ab37b631cfdbp-18, -0x1.3a59ed13f90cfp-18, -0x1.39fc72608b9b9p-18, -0x1.399b13063687fp-18, -0x1.3935dd369ce6dp-18, -0x1.38ccda7be92d1p-18, -0x1.386054fc84568p-18, -0x1.37efc674baf42p-18, -0x1.377bd24b9f555p-18, -0x1.37044a268f3d6p-18, -0x1.3689407b68501p-18, -0x1.360ac4244b057p-18, -0x1.3588e3a39ca26p-18, -0x1.3503acf381a58p-18, -0x1.347b2dfecb28ep-18, -0x1.33ef74d12365cp-18, -0x1.33609040dd797p-18, -0x1.32ce95f46d9adp-18, -0x1.3239c3a233494p-18, -0x1.31ab471a5051fp-18, -0x1.3106961b14b5ap-18, -0x1.3068556229561p-18, -0x1.2fc76fb65ff63p-18, -0x1.2f23c29a819c4p-18, -0x1.2e7d5547edb76p-18, -0x1.2dd4240ebe0e2p-18, -0x1.2d28447d12c26p-18, -0x1.2c79c3db66b8dp-18, -0x1.2bc8b0a03ca72p-18, -0x1.2b1517ff6d561p-18, -0x1.2a5f1e36adb8fp-18, -0x1.29a6a24b23af6p-18, -0x1.28e1f5084cdb8p-18, -0x1.282ec113f5f43p-18, -0x1.276f20226dc6fp-18, -0x1.26ac4ff1bb26ep-18, -0x1.25e8c49569fe8p-18, -0x1.2521dda335a68p-18, -0x1.245a869b4d46ep-18, -0x1.23904c1d85886p-18, -0x1.22c37305e2b06p-18, -0x1.21f4d3826f616p-18, -0x1.21246fa6e90c8p-18, -0x1.2052b97d7d4cp-18, -0x1.1f8a57e134f6dp-18, -0x1.1ea8367a9abdcp-18, -0x1.1dcfb1768e4e6p-18, -0x1.1cf6891aab9b2p-18, -0x1.1c1a2006f6636p-18, -0x1.1b3d4b50ae394p-18, -0x1.1a5ec43d986c6p-18, -0x1.197e8336d498dp-18, -0x1.189c8c53d37fcp-18, -0x1.17b934e84499p-18, -0x1.16d4da4c567p-18, -0x1.15fae1d4de3c3p-18, -0x1.1506b9ffecb6ap-18, -0x1.141d0594cdbb2p-18, -0x1.133275ee43a81p-18, -0x1.124694b57d3f6p-18, -0x1.11531d3b27639p-18, -0x1.106b4f5c7a79bp-18, -0x1.0f7bff2111867p-18, -0x1.0e8a7e2ab7bd5p-18, -0x1.0d94dd53f0e03p-18, -0x1.0ca70a8eed44ap-18, -0x1.0bb4a86e783c5p-18, -0x1.0abd4c63fb4d7p-18, -0x1.09c575dc102e5p-18, -0x1.08cd18683c4bap-18, -0x1.07d8ee6eae7cep-18, -0x1.06dff61827b5ap-18, -0x1.05e642104a6ep-18, -0x1.04ebbb843edbep-18, -0x1.03f064e428eddp-18, -0x1.02f44684a8c8ap-18, -0x1.01f7692828c67p-18, -0x1.00f9d5584f41bp-18, -0x1.fff72624fffc8p-19, -0x1.fdf956fe69b07p-19, -0x1.fbfa8ef6ddab2p-19, -0x1.f9eaac637fc8ep-19, -0x1.f7f911509e123p-19, -0x1.f5f5e0dc4d3cfp-19, -0x1.f3f1be853a2afp-19, -0x1.f1ecf033b828cp-19, -0x1.efe72541cc4dp-19, -0x1.ede071203856p-19, -0x1.ebd8d4fbfc599p-19, -0x1.e9d067a3f2eecp-19, -0x1.e7c72b3922117p-19, -0x1.e5bd39ec92e46p-19, -0x1.e3b2a4e4385bcp-19, -0x1.e1a770dfb5f51p-19, -0x1.df9b8d5ac2014p-19, -0x1.dd8f2be8c70dap-19, -0x1.db825b4c0b69p-19, -0x1.d975391cf376ep-19, -0x1.d767f444cc46cp-19, -0x1.d54d9a62d499fp-19, -0x1.d34bf3b847194p-19, -0x1.d13d2a88f3fb9p-19, -0x1.cf2e66fd8b10cp-19, -0x1.cd2050d0f6aedp-19, -0x1.cb0f4062efaaap-19, -0x1.c8fec5f210c7p-19, -0x1.c6f1486b75652p-19, -0x1.c4e1469af80bp-19, -0x1.c2d16c8f6afc2p-19, -0x1.c0c1f306cee07p-19, -0x1.beb2ab58119fdp-19, -0x1.bca38a575df77p-19, -0x1.ba949276569b2p-19, -0x1.b885c45227ed3p-19, -0x1.b6775e67e60d7p-19, -0x1.b469013e671edp-19, -0x1.b25b7e2fbf3dbp-19, -0x1.b03e05facf017p-19, -0x1.ae409baa66e78p-19, -0x1.ac3379cac9b79p-19, -0x1.aa26f376becfp-19, -0x1.a81b0aefd3237p-19, -0x1.a60faf48c3935p-19, -0x1.a405003ea6b31p-19, -0x1.a1f54cb5229ddp-19, -0x1.9ff021b653a71p-19, -0x1.9de792c64ca8cp-19, -0x1.9bdf3678a4964p-19, -0x1.99d76056e02a1p-19, -0x1.97d03e481eebdp-19, -0x1.95c9d45c1329ap-19, -0x1.93c4289b9d484p-19, -0x1.91bf4415f2627p-19, -0x1.8fbb3b9cbfc13p-19, -0x1.8db8c6a8fd43ep-19, -0x1.8bbf5a23f1274p-19, -0x1.89b4e4f89edf4p-19, -0x1.87ae8b65a02cap-19, -0x1.85b370b8c73eep-19, -0x1.83b47d961c583p-19, -0x1.81b6a70a5c783p-19, -0x1.7fb9ba00007f3p-19, -0x1.7dbddce475a2p-19, -0x1.7bc305386a6d6p-19, -0x1.79c9424d0fffep-19, -0x1.77d0bc863486ap-19, -0x1.75d9ae1309b58p-19, -0x1.73edf98a1ce2fp-19, -0x1.71ed825f5d16ap-19, -0x1.6ff8faa8495d6p-19, -0x1.6e05d3db6b64ep-19, -0x1.6c141b45683cp-19, -0x1.6a23c5012402bp-19, -0x1.6833ff1918f2ep-19, -0x1.66456f949c8bep-19, -0x1.6458683a1489bp-19, -0x1.626cb67b3492bp-19, -0x1.60825b032850ep-19, -0x1.5e995a3b927dcp-19, -0x1.5cb1b7f69215dp-19, -0x1.5acb89b682a56p-19, -0x1.58de8b13d07d1p-19, -0x1.5703d07702d25p-19, -0x1.5520810b18642p-19, -0x1.5340d441f76a2p-19, -0x1.5162c6c3cd979p-19, -0x1.4f817413f4d6dp-19, -0x1.4da2bad5240fbp-19, -0x1.4bca51c470c34p-19, -0x1.49f27acbbd34ap-19, -0x1.480b01aee096dp-19, -0x1.4643a1a66eff3p-19, -0x1.446dfb5d5b459p-19, -0x1.429a3d72f6adcp-19, -0x1.40c7e4a229862p-19, -0x1.3ef74ad9322fbp-19, -0x1.3d284eb0ab1cfp-19, -0x1.3b5a2804bff97p-19, -0x1.398df3b43ebacp-19, -0x1.37c472bd4637dp-19, -0x1.35fc1964be907p-19, -0x1.34352ff719469p-19, -0x1.326ea69db877bp-19, -0x1.30aa949d559e1p-19, -0x1.2ee1970ff9d74p-19, -0x1.2d2764467ee0cp-19, -0x1.2b6853a52736ap-19, -0x1.29a43e7e57eeep-19, -0x1.27f0d731c4363p-19, -0x1.263458a0af0bp-19, -0x1.247ba5204b82p-19, -0x1.22c4b7311544ep-19, -0x1.21148bf008a96p-19, -0x1.1f5c0c59863a8p-19, -0x1.1da8164212403p-19, -0x1.1bf5d40c9c37p-19, -0x1.1a4afb8ea0afbp-19, -0x1.189dead4b3ac1p-19, -0x1.16f2b629cfd3ep-19, -0x1.1549384bbee5dp-19, -0x1.139fb0c5b1277p-19, -0x1.11fb674f9f002p-19, -0x1.105716703682dp-19, -0x1.0eb47e324e986p-19, -0x1.0d13a0a9d2cfep-19, -0x1.0b74617c36c8dp-19, -0x1.09d71ec1a78abp-19, -0x1.083b7116aefa2p-19, -0x1.06a182be4cff5p-19, -0x1.050964945f93p-19, -0x1.0372fd02bba91p-19, }}, 
      {{-0x1.9fd49f0c11b01p-8, -0x1.897ac1e0184f3p-6, -0x1.9913562ce88a2p-5, -0x1.4a86b2223da19p-4, -0x1.cfd31cf0bee14p-4, -0x1.292bfbcfec51ap-3, -0x1.654705a78b38bp-3, -0x1.99a70f86d5ba7p-3, -0x1.c4bfb28bc906fp-3, -0x1.e5dc94b7d0ecap-3, -0x1.fcf196c374993p-3, -0x1.05373f48b5917p-2, -0x1.078bf415cab03p-2, -0x1.05f39d90c2241p-2, -0x1.00f8a032f21dep-2, -0x1.f2531e8403fc2p-3, -0x1.de24b6595aae4p-3, -0x1.c66f3c84cb557p-3, -0x1.ac274269c88a2p-3, -0x1.90293eb89facap-3, -0x1.7337edb01ef5ap-3, -0x1.55fc1512258ebp-3, -0x1.390524e319334p-3, -0x1.1cca888f8f0cep-3, -0x1.01ad5a0f483c6p-3, -0x1.cff496c0f6041p-4, -0x1.9fd76a3f2e461p-4, -0x1.735755ac3f4b6p-4, -0x1.4aabfb1965b6ap-4, -0x1.25f4653441919p-4, -0x1.053ac3a854977p-4, -0x1.d0efb837e4d9cp-5, -0x1.9f2c7cbc7c924p-5, -0x1.74ea5af5707fdp-5, -0x1.51d63936e4529p-5, -0x1.3590147e00e22p-5, -0x1.1faea593b736ep-5, -0x1.0fc2de2643858p-5, -0x1.055a859978defp-5, -0x1.0002967d09067p-5, -0x1.fe9218174d1d7p-6, -0x1.02be57558fccbp-5, -0x1.09f67e037c099p-5, -0x1.1489ef5251858p-5, -0x1.2216299c80097p-5, -0x1.323e024d74e54p-5, -0x1.44a9ea0c7d83p-5, -0x1.59081222a5b01p-5, -0x1.6f0c6fbcaf379p-5, -0x1.8670657a3872bp-5, -0x1.9ef2f0b87d5b2p-5, -0x1.b85818db6e791p-5, -0x1.d2694bbaa855bp-5, -0x1.ecf4310fbab71p-5, -0x1.03e5c5ddab5d2p-4, -0x1.1162f304c0516p-4, -0x1.1edefad02eb45p-4, -0x1.2c4932712deeep-4, -0x1.3992746d5200ap-4, -0x1.46ad6e8c116dfp-4, -0x1.538e40e4c21f2p-4, -0x1.602a690edc209p-4, -0x1.6c78bd2eb9e46p-4, -0x1.78715142c6b68p-4, -0x1.840d4b326dc01p-4, -0x1.8f46d3686038p-4, -0x1.9a190d0808cebp-4, -0x1.a47ff936d55ebp-4, -0x1.ae78688aa4f15p-4, -0x1.b7ffd6f578eaap-4, -0x1.c11478b865bf4p-4, -0x1.c9b5172abf486p-4, -0x1.d1e109ed40f35p-4, -0x1.d998289e4b802p-4, -0x1.e0dab8a7f373ep-4, -0x1.e7a96bbc580e1p-4, -0x1.ee0549972d82cp-4, -0x1.f3efae3a9846bp-4, -0x1.f96a3e273e3c9p-4, -0x1.fe76d9cb3a974p-4, -0x1.018bcd187a7bcp-3, -0x1.03a7638bcfaa4p-3, -0x1.058f6889725b9p-3, -0x1.0745251af9682p-3, -0x1.08c9f0dc8f8a8p-3, -0x1.0a1f2e2744d68p-3, -0x1.0b4647708709p-3, -0x1.0c40af9b2ce04p-3, -0x1.0d0fde236c06ep-3, -0x1.0db54cbfee68bp-3, -0x1.0e3275836809bp-3, -0x1.0e88d3fa8abfcp-3, -0x1.0eb9e1cad42d1p-3, -0x1.0ec715e35b8d5p-3, -0x1.0eb1e23630ff8p-3, -0x1.0e7bb5b9704dap-3, -0x1.0e25f9dc0c175p-3, -0x1.0db21178d6015p-3, -0x1.0d21591f68044p-3, -0x1.0c75260529286p-3, -0x1.0baec547dfc83p-3, -0x1.0acf7c9fbfcbfp-3, -0x1.09d8893b22b2cp-3, -0x1.08cb1ef7c6927p-3, -0x1.07a86a1a739f1p-3, -0x1.06718d2ddfe9p-3, -0x1.0527a2f97b3b5p-3, -0x1.03cbbc5cdd15cp-3, -0x1.025eded6920b8p-3, -0x1.00e20a9fa518ep-3, -0x1.feac6a96f4de8p-4, -0x1.fb7896fc48321p-4, -0x1.f82a631e6647ap-4, -0x1.f4c382f946fc7p-4, -0x1.f145897a71b4bp-4, -0x1.edb20df823ba1p-4, -0x1.ea0a9fc2be1e1p-4, -0x1.e650a45da0f9ep-4, -0x1.e28598b0b46acp-4, -0x1.deaaaf6bfac15p-4, -0x1.dac12f31cb1d5p-4, -0x1.d6ca3e70e0b42p-4, -0x1.d2c7215710837p-4, -0x1.ceb8ba9aa6f6cp-4, -0x1.caa04bd2afedep-4, -0x1.c67ea2e307623p-4, -0x1.c254bffe3b9cp-4, -0x1.be2379abde0d3p-4, -0x1.b9ebadf94d55ep-4, -0x1.b5ae2fad20045p-4, -0x1.b16b96d994601p-4, -0x1.ad24ab393a373p-4, -0x1.a8da2e9964bebp-4, -0x1.a48cad03e1a2p-4, -0x1.a03c9c95bfa4ep-4, -0x1.9beaa1111cdb6p-4, -0x1.979755314da46p-4, -0x1.93432aef0faa8p-4, -0x1.8eee7bc05c05cp-4, -0x1.8a99b203e15f8p-4, -0x1.864545e27e644p-4, -0x1.81f1a0e521f2dp-4, -0x1.7d9f117d6ef3ep-4, -0x1.794ddb5e1798dp-4, -0x1.74fe47eb89c62p-4, -0x1.70b0a3bccbf5cp-4, -0x1.6c65384f2074fp-4, -0x1.681c44567cd3dp-4, -0x1.63d5f78b54b74p-4, -0x1.5f927e6f15309p-4, -0x1.5b520912db27bp-4, -0x1.5714c4b35067fp-4, -0x1.52dadacdba67p-4, -0x1.4ea4728de00abp-4, -0x1.4a71ab5034cf1p-4, -0x1.46429d3c6fa13p-4, -0x1.42176127b9948p-4, -0x1.3df0117bfd5c3p-4, -0x1.39ccc3b74d4edp-4, -0x1.35ad8b16af896p-4, -0x1.319278d81b88fp-4, -0x1.2d7b9b77c8836p-4, -0x1.2968fdfc9a8edp-4, -0x1.255aaa327f504p-4, -0x1.2150a900e9bfap-4, -0x1.1d4b029e9abf2p-4, -0x1.1949bc78a4126p-4, -0x1.154cdadaed81p-4, -0x1.1154616e7da5dp-4, -0x1.0d605279930cap-4, -0x1.0970ae3ba8aa9p-4, -0x1.05857362f962dp-4, -0x1.019ea0327e904p-4, -0x1.fb7865e53b818p-5, -0x1.f3bc52d8995bfp-5, -0x1.ec09001e9d2f2p-5, -0x1.e45e641faf318p-5, -0x1.dcbc77bb444adp-5, -0x1.d5232ebb8e36bp-5, -0x1.cd927f79a4936p-5, -0x1.c60a5d678da21p-5, -0x1.be8ab9e530979p-5, -0x1.b71387d965e69p-5, -0x1.afa4ba5aa672cp-5, -0x1.a83e44219d702p-5, -0x1.a0e0178b176e7p-5, -0x1.998a26acf3642p-5, -0x1.923c637f14cf1p-5, -0x1.8af6c01432766p-5, -0x1.83b92eccd20edp-5, -0x1.7c83a2d5894c5p-5, -0x1.75560ffdfe082p-5, -0x1.6e3068ce52ce2p-5, -0x1.6712a2e9bdff4p-5, -0x1.5ffcb240246a2p-5, -0x1.58ee8df851c5ep-5, -0x1.51e82cfcd25dfp-5, -0x1.4ae986f01dddcp-5, -0x1.43f294840a134p-5, -0x1.3d034ef522464p-5, -0x1.361bb0c80aeedp-5, -0x1.2f3bb7082ac93p-5, -0x1.28635ef07879p-5, -0x1.2192a6689cd9fp-5, -0x1.1ac98cfd7d02ap-5, -0x1.140812d0e19ebp-5, -0x1.0d4e3b0949fbcp-5, -0x1.069c0a59a76d9p-5, -0x1.ffe30b3e6b06dp-6, -0x1.f29d674305044p-6, -0x1.e5673a8000d6dp-6, -0x1.d84095fec7a7ap-6, -0x1.cb2991ca9f28fp-6, -0x1.be22433903bf6p-6, -0x1.b12ac8ea937a1p-6, -0x1.a44342b42a824p-6, -0x1.976bd29284552p-6, -0x1.8aa49df641779p-6, -0x1.7dedcd2b9af48p-6, -0x1.71478b579aef6p-6, -0x1.64b20667b3a09p-6, -0x1.582d6ef880aafp-6, -0x1.4bb9f86003a41p-6, -0x1.3f57d8a8be1bdp-6, -0x1.330748d67c178p-6, -0x1.26c884aa3d768p-6, -0x1.1a9bca7809f92p-6, -0x1.0e815ab3d5a35p-6, -0x1.0279776e16d8ap-6, -0x1.ed08c9e0b504ep-7, -0x1.d544d73271e65p-7, -0x1.bda7ad3282952p-7, -0x1.a631e41664071p-7, -0x1.8ee40fc07e432p-7, -0x1.77becfec4f25ep-7, -0x1.60c2c039e6786p-7, -0x1.49f087b3afe93p-7, -0x1.3348cfc7bfd28p-7, -0x1.1ccc3f51651b1p-7, -0x1.067b8165ded3p-7, -0x1.e0ae8634b93dbp-8, -0x1.b4c066166d60cp-8, -0x1.892e021f1d0dp-8, -0x1.5df8bc44bd06cp-8, -0x1.3321f825fc325p-8, -0x1.08ab1c3763b13p-8, -0x1.bd2b1bd14049p-9, -0x1.69c566a8a2b04p-9, -0x1.1727e3dcc446fp-9, -0x1.8aaab729099a1p-10, -0x1.d1424d327abb2p-11, -0x1.20e268d415e22p-12, 0x1.5a25ccfa3871bp-12, 0x1.e73f29e388561p-11, 0x1.8f046daf15dc8p-10, 0x1.14595d2add56bp-9, 0x1.6052a321fd60ap-9, 0x1.ab6b6b0f8d5e5p-9, 0x1.f5a12018c5163p-9, 0x1.1f78abfc7bc57p-8, 0x1.43acc3c8bf983p-8, 0x1.676bb00e78d81p-8, 0x1.8ab43f906d1c9p-8, 0x1.ad85507cd89b1p-8, 0x1.cfddd044f08ddp-8, 0x1.f1bca9d8d2d9ep-8, 0x1.0990672cff607p-7, 0x1.1a049d28a7365p-7, 0x1.2a3a7bbc0f70ap-7, 0x1.3a318dab4ac69p-7, 0x1.49e96087579c9p-7, 0x1.5961864a6de57p-7, 0x1.689996d01fc8bp-7, 0x1.77912fbbb28abp-7, 0x1.8647f43352f0fp-7, 0x1.94bd8ce17c23bp-7, 0x1.a2f1a80e094fp-7, 0x1.b0e3f9cce6789p-7, 0x1.be943c0954358p-7, 0x1.cc022e94f3a6ep-7, 0x1.d92d977c03aep-7, 0x1.e616425eef3dfp-7, 0x1.f2bc0158805ddp-7, 0x1.ff1eac7f9320bp-7, 0x1.059f110f8d662p-6, 0x1.0b8d236c6ed22p-6, 0x1.11598294286b7p-6, 0x1.170425d237156p-6, 0x1.1c8d090baab24p-6, 0x1.21f42d1d05c4cp-6, 0x1.2739910dd9bb9p-6, 0x1.2c5d3c0096863p-6, 0x1.315f33e0e52d3p-6, 0x1.363f838ae818p-6, 0x1.3afe396187a2ep-6, 0x1.3f9b6690625abp-6, 0x1.44171ee4bac6ep-6, 0x1.4871792998e6dp-6, 0x1.4caa8f1c6a56ap-6, 0x1.50c27d5d31fe3p-6, 0x1.54b96362b365fp-6, 0x1.588f63779c821p-6, 0x1.5c44a2ca3d61cp-6, 0x1.5fd94958ca4d3p-6, 0x1.634d82542868fp-6, 0x1.66a179e89d10dp-6, 0x1.69d55f31dec65p-6, 0x1.6ce964239611dp-6, 0x1.6fddbe0752946p-6, 0x1.72b2a425c8056p-6, 0x1.7568516af9bfap-6, 0x1.77feffe06875p-6, 0x1.7a76edbf60899p-6, 0x1.7cd05b399e2cap-6, 0x1.7f0b8ad760584p-6, 0x1.8128c165fabc8p-6, 0x1.832845bc0f5c1p-6, 0x1.850a602c2829dp-6, 0x1.86cf5a60e5484p-6, 0x1.88777fba4a4d1p-6, 0x1.8a031e371647cp-6, 0x1.8b728431dd124p-6, 0x1.8cc6034cc27bdp-6, 0x1.8dfdf10d56116p-6, 0x1.8f1aa01d6e7b4p-6, 0x1.901c674c64e12p-6, 0x1.91039ccc07465p-6, 0x1.91d097c17d213p-6, 0x1.9283b2e775419p-6, 0x1.931d495ba4ce6p-6, 0x1.939db68813847p-6, 0x1.94055640eeb8ap-6, 0x1.9454855d6ff53p-6, 0x1.948ba2a201c68p-6, 0x1.94ab0ed40a479p-6, 0x1.94b32ba9e5857p-6, 0x1.94a45a79d80bbp-6, 0x1.947efbec02641p-6, 0x1.944370dd8f72cp-6, 0x1.93f21ba820e52p-6, 0x1.938b6072cd587p-6, 0x1.930fa4345597bp-6, 0x1.927f4ba2d51b8p-6, 0x1.91dabb0dddb5ap-6, 0x1.912256c2aa613p-6, 0x1.9056835320361p-6, 0x1.8f77a59bf97cp-6, 0x1.8e8622b36a957p-6, 0x1.8d825fdeb9d67p-6, 0x1.8c6cc2851eb5p-6, 0x1.8b45afecc9d92p-6, 0x1.8a0d8cc8ecd2fp-6, 0x1.88c4bd6a27ab6p-6, 0x1.876ba65e1505ap-6, 0x1.8602ac7b1bfap-6, 0x1.848a341ac3cfep-6, 0x1.8302a16b723f5p-6, 0x1.816c56fffbfdep-6, 0x1.7fc7b7f4b7b81p-6, 0x1.7e15269e525bbp-6, 0x1.7c5503f723bd2p-6, 0x1.7a87b25a04916p-6, 0x1.78ad93b8afd78p-6, 0x1.76c706bb9059p-6, 0x1.74d46cafd43d9p-6, 0x1.72d6228871f85p-6, 0x1.70cc86b4b3968p-6, 0x1.6eb7f745ae5ebp-6, 0x1.6c98d0e3e1df9p-6, 0x1.6a6f6f5c93103p-6, 0x1.683c2da96331ap-6, 0x1.65ff65ec6e33cp-6, 0x1.63b9715027e5bp-6, 0x1.616aa826a2845p-6, 0x1.5f1361d5bc6fdp-6, 0x1.5cb3f4cd97143p-6, 0x1.5a4cb6876ea8cp-6, 0x1.57ddfb7f9c264p-6, 0x1.556817324fe36p-6, 0x1.52eb5c1ebb86ap-6, 0x1.50681bce0221ap-6, 0x1.4ddea6db3683ep-6, 0x1.4b4f4cbce45dfp-6, 0x1.48ba5b683cbaep-6, 0x1.46201f5d0c72ep-6, 0x1.4380e42f1e77fp-6, 0x1.40dcf4c56b7f4p-6, 0x1.3e349b4ea725bp-6, 0x1.3b8820ed8435ep-6, 0x1.38d7cd35a58abp-6, 0x1.3623e6074533fp-6, 0x1.336cb00fa2251p-6, 0x1.30b26e76a507ap-6, 0x1.2df563a729024p-6, 0x1.2b35d0b44e868p-6, 0x1.2873f53624b5dp-6, 0x1.25b0104f1eb93p-6, 0x1.22ea603a1b77p-6, 0x1.202321ca58fffp-6, 0x1.1d5a915fa8266p-6, 0x1.1a90ea4641549p-6, 0x1.17c6667801411p-6, 0x1.14fb3dcd92906p-6, 0x1.122fa5b67041ep-6, 0x1.0f63d4c036f8cp-6, 0x1.0c97fedfe0a5ep-6, 0x1.09cc55a582bdap-6, 0x1.07010a7e01651p-6, 0x1.04364ba5b140cp-6, 0x1.016c48cbeeb02p-6, 0x1.fd4661d233335p-7, 0x1.f7b663bace808p-7, 0x1.f228f12cb8accp-7, 0x1.ec9e61c95b5f4p-7, 0x1.e7170a1b25f69p-7, 0x1.e1933b57d0b6fp-7, 0x1.dc13434907e3cp-7, 0x1.d6976caf00cbdp-7, 0x1.d1200019118aap-7, 0x1.cbad44faa5c3bp-7, 0x1.c63f82a4c491p-7, 0x1.c0d700f15fb88p-7, 0x1.bb74080e738a3p-7, 0x1.b616e0d7e103p-7, 0x1.b0bfd00bd5cd7p-7, 0x1.ab6f17e13b7b3p-7, 0x1.a624f4f94c852p-7, 0x1.a0e19a89be2dp-7, 0x1.9ba534457c1e4p-7, 0x1.966fe67b3ad72p-7, 0x1.9141d0f761f61p-7, 0x1.8c1b126b3ab35p-7, 0x1.86fbca2820cfdp-7, 0x1.81e419bfa0324p-7, 0x1.7cd42d7c4283fp-7, 0x1.77cc43ffd2d68p-7, 0x1.72cca63742a4cp-7, 0x1.6dd59a964857dp-7, 0x1.68e76405de60dp-7, 0x1.64024592735ap-7, 0x1.5f267a16d2b83p-7, 0x1.5a542736f7fe6p-7, 0x1.558b5b0b766b2p-7, 0x1.50cc102171355p-7, 0x1.4c163276a5558p-7, 0x1.4769a71ae0aeap-7, 0x1.42c65339ae79p-7, 0x1.3e2c2510c3f31p-7, 0x1.399b1c6046741p-7, 0x1.35134d15f7a59p-7, 0x1.3094e16370b71p-7, 0x1.2c201a186cf4p-7, 0x1.27b53fc994ceap-7, 0x1.23549e2ddc5e8p-7, 0x1.1efe77e363f7ep-7, 0x1.1ab30022c7d0ap-7, 0x1.1672565867a4ep-7, 0x1.123c7f2d8881dp-7, 0x1.0e1166abb375ep-7, 0x1.09f0e6fae2801p-7, 0x1.05dad0f3a0d3bp-7, 0x1.01cef532b5a59p-7, 0x1.fb9a5a3b662bp-8, 0x1.f3aac44a1095ap-8, 0x1.ebcf2302c061bp-8, 0x1.e4079781dc45bp-8, 0x1.dc54617c12523p-8, 0x1.d4b5ce546771ap-8, 0x1.cd2c2ceb039aep-8, 0x1.c5b7bcef34bcfp-8, 0x1.be58924abe9c4p-8, 0x1.b70eb7acc196ep-8, 0x1.afda01b594faap-8, 0x1.a8ba3320a5428p-8, 0x1.a1aeffd5a7c8p-8, 0x1.9ab81c5c42a6cp-8, 0x1.93d54c6fc6056p-8, 0x1.8d066f06e0bd4p-8, 0x1.864b84f208c5bp-8, 0x1.7fa4b49e44c4cp-8, 0x1.791235876c449p-8, 0x1.72945c51b6aa2p-8, 0x1.6c2b706cce5c6p-8, 0x1.65d7a6a53e93cp-8, 0x1.5f991004d1953p-8, 0x1.596f91a364561p-8, 0x1.535ae41cbd76bp-8, 0x1.4d5a9a4ddb68ep-8, 0x1.476e2d89b51edp-8, 0x1.41950cc3703eep-8, 0x1.3bceac6cbc342p-8, 0x1.361a94ede0b61p-8, 0x1.30786e1127e59p-8, 0x1.2ae805fe319b3p-8, 0x1.2569538a091e1p-8, 0x1.1ffc7671cb939p-8, 0x1.1aa1a337daff9p-8, 0x1.1559261865f04p-8, 0x1.10235346e1205p-8, 0x1.0b00711b02ee2p-8, 0x1.05f0afb9f5cc1p-8, 0x1.00f42add861b4p-8, 0x1.f815a415d2c28p-9, 0x1.ee68e5c055901p-9, 0x1.e4e16b1712a89p-9, 0x1.db7e632e1c3dp-9, 0x1.d23ef5579734cp-9, 0x1.c92261108e15cp-9, 0x1.c028177296cf5p-9, 0x1.b74fc312a76ddp-9, 0x1.ae9935f37562dp-9, 0x1.a604425e5a546p-9, 0x1.9d908d9e48e19p-9, 0x1.953d7092e2d63p-9, 0x1.8d09f709c47e7p-9, 0x1.84f5033602142p-9, 0x1.7cfd8ba269552p-9, 0x1.7522dc3dcfd43p-9, 0x1.6d64bd8f4446ep-9, 0x1.65c36feefbf3cp-9, 0x1.5e3f7c730922p-9, 0x1.56d96e5c6ba4bp-9, 0x1.4f919348d9407p-9, 0x1.4867dfd94940fp-9, 0x1.415c0c8eb4c2ep-9, 0x1.3a6dd484ab577p-9, 0x1.339d24f96a3b6p-9, 0x1.2cea64620a9d7p-9, 0x1.26569615b8c12p-9, 0x1.1fe2c8a883914p-9, 0x1.198f88e1a7fa2p-9, 0x1.135cc20b49b49p-9, 0x1.0d496bf771634p-9, 0x1.0753579f9b82ep-9, 0x1.017795cb3603dp-9, 0x1.f766338578f98p-10, 0x1.ec06b817f118p-10, 0x1.e0cdb0033db8ap-10, 0x1.d5ba745c945dap-10, 0x1.cace5e2b1a99p-10, 0x1.c00bd45042454p-10, 0x1.b57534e9151f8p-10, 0x1.ab0c0dfcfb1f2p-10, 0x1.a0d0e99309dbfp-10, 0x1.96c3a94108681p-10, 0x1.8ce431c40424p-10, 0x1.83330d9621526p-10, 0x1.79b1b8087b3f9p-10, 0x1.70626c36de4dep-10, 0x1.67478aada103dp-10, 0x1.5e62ca1f4eff9p-10, 0x1.55b4cb97355bdp-10, 0x1.4d3b998617ebbp-10, 0x1.44f44fbe1f83cp-10, 0x1.3cda084a80b15p-10, 0x1.34e745efec399p-10, 0x1.2d16f95c8fbcep-10, 0x1.2565550fb6f96p-10, 0x1.1dd059f994449p-10, 0x1.1657923f08469p-10, 0x1.0efb83a9e3473p-10, 0x1.07bd298a919aep-10, 0x1.009da88e69938p-10, 0x1.f33c568b553f4p-11, 0x1.e57f7aefd2396p-11, 0x1.d8064be75e4b2p-11, 0x1.cad2494b886ccp-11, 0x1.bde4a36dabd53p-11, 0x1.b13e8db626af4p-11, 0x1.a4e1876f642fap-11, 0x1.98ce3ed84841bp-11, 0x1.8d053a7ed8f3p-11, 0x1.8186c608e11f7p-11, 0x1.7652244b5dd3fp-11, 0x1.6b65305ccc837p-11, 0x1.60bbbd3353bebp-11, 0x1.5650723272bedp-11, 0x1.4c1dadd797189p-11, 0x1.421ec7772af2bp-11, 0x1.3850c88483098p-11, 0x1.2eb258daa0045p-11, 0x1.2542eae8ce6aap-11, 0x1.1c01c28254cafp-11, 0x1.12ed9fa1b2862p-11, 0x1.0a053c0cedd65p-11, 0x1.014804034329ep-11, 0x1.f16d14a149b53p-12, 0x1.e0a57e412ad78p-12, 0x1.d03f49fbed481p-12, 0x1.c03fc9f36cebap-12, 0x1.b0a7ce5872d65p-12, 0x1.a172fcfa34967p-12, 0x1.929bc71946c06p-12, 0x1.841faff13f05cp-12, 0x1.75ff22a696217p-12, 0x1.683a17447c76bp-12, 0x1.5ace561427867p-12, 0x1.4db8bd59abdabp-12, 0x1.40f6edfe68379p-12, 0x1.34875de775423p-12, 0x1.286846f44dafap-12, 0x1.1c96add609974p-12, 0x1.110e370278a7dp-12, 0x1.05ca600c97c17p-12, 0x1.f591b127e7f2fp-13, 0x1.e0163df11f426p-13, 0x1.cb28a7b93a2c7p-13, 0x1.b6c7a7b592aacp-13, 0x1.a2e409c5f2f56p-13, 0x1.8f694b4e3ddffp-13, 0x1.7c52c83be56e2p-13, 0x1.69b30f0549bd7p-13, 0x1.57a1b11b10603p-13, 0x1.4622230672f01p-13, 0x1.3520fbb3697dap-13, 0x1.248d2af901fc7p-13, 0x1.1467c72c1c56dp-13, 0x1.04b54013e579cp-13, 0x1.eae914e5a1e5bp-14, 0x1.cd3e94ad78eaap-14, 0x1.b0595ebe738b3p-14, 0x1.9430158ca81fp-14, 0x1.78c420d4b072cp-14, 0x1.5e1d6d858f22cp-14, 0x1.4444ff2e7c067p-14, 0x1.2b40116db8024p-14, 0x1.130c911d37e69p-14, 0x1.f73ba27a843d2p-15, 0x1.c9ba1d079c1d3p-15, 0x1.9d717452f1995p-15, 0x1.72743b54c754ap-15, 0x1.48f9754d59351p-15, 0x1.21024c1da5489p-15, 0x1.f45a3150a202ep-16, 0x1.a83c6bd14b4aep-16, 0x1.5dff10ec8a715p-16, 0x1.167ef5f1343f8p-16, 0x1.a3d6b5297de4ap-17, 0x1.1f4f9613f664fp-17, 0x1.3d39bb0f9b6dp-18, 0x1.10bd1de4dd395p-20, -0x1.57a9d9c71904dp-19, -0x1.935ea852ea2a5p-18, -0x1.39a326375d2ffp-17, -0x1.a5fe7574421e3p-17, -0x1.076796da6588cp-16, -0x1.3a0c0d37b3a6p-16, -0x1.6aefd455c8e35p-16, -0x1.9a178a68bc696p-16, -0x1.c7860cab4ce62p-16, -0x1.f33b2f3ed3822p-16, -0x1.0e9c42b35bc34p-15, -0x1.22b5724dd2702p-15, -0x1.35f3eec3c607bp-15, -0x1.48552dd629b87p-15, -0x1.59ebd257ba22p-15, -0x1.6ad5210aa1a08p-15, -0x1.7b0532bd291fcp-15, -0x1.8a66c5028ecc5p-15, -0x1.9921c079fc755p-15, -0x1.a7657d30f3083p-15, -0x1.b50d54465920ap-15, -0x1.c1f033e68d80bp-15, -0x1.ce357538b1e56p-15, -0x1.d9e79fe7a12ccp-15, -0x1.e4fb2e7698edep-15, -0x1.ef769e23a58fbp-15, -0x1.f96a9c1e7b9e1p-15, -0x1.0196bdbfdc1b1p-14, -0x1.05e6a73b5f492p-14, -0x1.0a1e5fee9d30bp-14, -0x1.0e168a48dbf32p-14, -0x1.11d085db8508dp-14, -0x1.154dd6dd75f63p-14, -0x1.189001042ef07p-14, -0x1.1b988b91dfe2bp-14, -0x1.1e6909fb42329p-14, -0x1.21031c00bc65p-14, -0x1.2368e3a2ad418p-14, -0x1.259bdcbda5b0ep-14, -0x1.279d55de84b21p-14, -0x1.296ed02f87947p-14, -0x1.2b11d09cad487p-14, -0x1.2c8781ac05228p-14, -0x1.2dcf9cf386135p-14, -0x1.2eeaceeaa9f1ep-14, -0x1.2fddb8db2e46cp-14, -0x1.30aab1f45f87ap-14, -0x1.3151704dd004ep-14, -0x1.31d0678f7e5abp-14, -0x1.3228c0a7453d4p-14, -0x1.3260cd84dab44p-14, -0x1.3278e9de6783cp-14, -0x1.326f183d6cbc6p-14, -0x1.3243a67529a01p-14, -0x1.31f86929c81f4p-14, -0x1.318e77fdaad81p-14, -0x1.3106c43c6dad3p-14, -0x1.306559ae4ab16p-14, -0x1.2fa811a1e2265p-14, -0x1.2ed082e990ba7p-14, -0x1.2de259427f1dbp-14, -0x1.2cd8b02e411fp-14, -0x1.2bb64ac9f8c4p-14, -0x1.2a7e89d512cf8p-14, -0x1.2931b9e986976p-14, -0x1.27d0a58278c84p-14, -0x1.265b88e87c61ap-14, -0x1.24d24972b128p-14, -0x1.23351c1312e06p-14, -0x1.21846c528dbc8p-14, -0x1.1fbfc53497df2p-14, -0x1.1dea5a7fd97f1p-14, -0x1.1c0c7ee80884cp-14, -0x1.1a2e92f8153e6p-14, -0x1.18447d57c6947p-14, -0x1.163ddfcde001cp-14, -0x1.14230e2942d02p-14, -0x1.11ff50d13084ap-14, -0x1.0fd47cd0a5571p-14, -0x1.0da2c61e5345bp-14, -0x1.0b635d95279f4p-14, -0x1.09160987c59dp-14, -0x1.06be4449e1957p-14, -0x1.045c1e72c9892p-14, -0x1.01f280bd355ecp-14, -0x1.ff020a8dbb3cbp-15, -0x1.fa10539b3f448p-15, -0x1.f5108db0d6643p-15, -0x1.f003682f15e36p-15, -0x1.eaea2fe4b076p-15, -0x1.e5c469d77f583p-15, -0x1.e094d83decc0dp-15, -0x1.db5c3af2d1f7bp-15, -0x1.d61b5008cb32p-15, -0x1.d0d3649ea6027p-15, -0x1.cb7f816114ac8p-15, -0x1.c62461c7997cp-15, -0x1.c0c190b7470f3p-15, -0x1.bb59abfdc7af8p-15, -0x1.b5eb14fcefca4p-15, -0x1.b0756489bb7abp-15, -0x1.ab105749f8109p-15, -0x1.a5b051a94fd73p-15, -0x1.a026aaa5dfda9p-15, -0x1.9aa3567d5a7b9p-15, -0x1.95321b8786ce5p-15, -0x1.8fb2339e8ab9bp-15, -0x1.8a42d125dc452p-15, -0x1.84d986129150ep-15, -0x1.7f58e34d318bep-15, -0x1.79d384f8b740bp-15, -0x1.7464699cdadbfp-15, -0x1.6ef7501fab719p-15, -0x1.6986c48b61aecp-15, -0x1.6416f4e14168ep-15, -0x1.5eaa4ef697863p-15, -0x1.5941a83f845c5p-15, -0x1.53dd51cacd14ap-15, -0x1.4e7d8c2267913p-15, -0x1.4922a97e92546p-15, -0x1.43cd28afff371p-15, -0x1.3e7d92416101p-15, -0x1.39344ad754c4p-15, -0x1.33f1679d4408cp-15, -0x1.2eb4bd47e5b8cp-15, -0x1.297df9a7c26f5p-15, -0x1.244d1dfbba6bbp-15, -0x1.1f233f37722dap-15, -0x1.1a023531894bep-15, -0x1.14e91b43db345p-15, -0x1.0fd328a4da56cp-15, -0x1.0acb26bf5084p-15, -0x1.05cb46593ac67p-15, -0x1.00d109fa511bcp-15, -0x1.f7d1fb43a761ep-16, -0x1.ee03e509cdb86p-16, -0x1.e44449a7fd5bep-16, -0x1.da978524c0665p-16, -0x1.d102596a40209p-16, -0x1.c77fa98dcba27p-16, -0x1.be04b79fa2cc2p-16, -0x1.b4a594c1df2d3p-16, -0x1.ab55faed761afp-16, -0x1.a21978871bba9p-16, -0x1.98fb47982544ap-16, -0x1.8fea3eb5d8ff7p-16, -0x1.86f5ff4e999d8p-16, -0x1.7e154341e3e47p-16, -0x1.754434c48711bp-16, -0x1.6c8701190c64cp-16, -0x1.63df02867a636p-16, -0x1.5b487e93dd948p-16, -0x1.52d8f8c4a8ac6p-16, -0x1.4a7158ec27ebfp-16, -0x1.4218b6077aa0dp-16, -0x1.39dbd298a0295p-16, -0x1.31afc0b74e554p-16, -0x1.29a4d9611b1c6p-16, -0x1.21a4fab3b7de4p-16, -0x1.19c95efe1ef41p-16, -0x1.11f9ac6fec3ffp-16, -0x1.0a3ee25693415p-16, -0x1.0299806f1be55p-16, -0x1.f61ccd9f06efbp-17, -0x1.e744fcb1b2c8ep-17, -0x1.d87617de77e56p-17, -0x1.c9de204d5f8adp-17, -0x1.bb73dec5f313bp-17, -0x1.ad35e8c6bc7a3p-17, -0x1.9f23fed1ea724p-17, -0x1.913e0512e68bbp-17, -0x1.8383d479a221fp-17, -0x1.75f549f71d961p-17, -0x1.6892417b6f702p-17, -0x1.5b5a991d19673p-17, -0x1.4e4e3499a8d1ep-17, -0x1.416cfe6369a48p-17, -0x1.34b6e6e75a1a2p-17, -0x1.282bdb84a5f99p-17, -0x1.1bcba1991e28bp-17, -0x1.0f95c52c9a22cp-17, -0x1.0389e19a1e832p-17, -0x1.ef50f96fe869ap-18, -0x1.d7e5496a6a754p-18, -0x1.c0cae1583b642p-18, -0x1.a9fd5d8a7480cp-18, -0x1.938586e06a7bp-18, -0x1.7d63309e3df81p-18, -0x1.67932e68c7f86p-18, -0x1.5214d4a1d1a18p-18, -0x1.3ce6b331f035dp-18, -0x1.2806bf00ed197p-18, -0x1.13768689a29b2p-18, -0x1.fe7e742dcb8dbp-19, -0x1.d6a6f889dd5d5p-19, -0x1.af4e5d3d407aep-19, -0x1.88a697562a024p-19, -0x1.629bd94ba13bbp-19, -0x1.3d2939a2aecb2p-19, -0x1.184e301040065p-19, -0x1.e814f090e0e63p-20, -0x1.a0b9f48f94beap-20, -0x1.5a8837ba302d1p-20, -0x1.157d72652f8e8p-20, -0x1.a32ee1e21d514p-21, -0x1.1da720326ea95p-21, -0x1.34b2a80d78fabp-22, -0x1.981cb16e8c147p-25, 0x1.9527240f3b1c6p-23, 0x1.c4475a282cdeep-22, 0x1.5cab2e779fd3ap-21, 0x1.d4af0a73356dbp-21, 0x1.2570a1ec5b37cp-20, 0x1.5f6ee844d837cp-20, 0x1.9885d13653425p-20, 0x1.d0718189fb045p-20, 0x1.039b4f31651a1p-19, 0x1.1e93e931a739p-19, 0x1.39036e537183fp-19, 0x1.52f2638f52bc9p-19, 0x1.6c6225b429748p-19, 0x1.8554364b71c1ep-19, 0x1.9dcecfba3c2a6p-19, 0x1.b6062981bc5e8p-19, 0x1.cd895fe9aa27ep-19, 0x1.e445883cf87ebp-19, 0x1.fadb242782363p-19, 0x1.087e6df8da8dp-18, 0x1.131a3d3a0b698p-18, 0x1.1deef5b46f605p-18, 0x1.28556ac50033ep-18, 0x1.327be6c1f6dcap-18, 0x1.3c6b4c5e3e0dfp-18, 0x1.4624b38e0839dp-18, 0x1.4fb7dad300482p-18, 0x1.58f5de798fd8dp-18, 0x1.620e38072781dp-18, 0x1.6ae789dc221cap-18, 0x1.73a24195ea0ebp-18, 0x1.7c1f13261df6ep-18, 0x1.8467862723e68p-18, 0x1.8c80ae6f004f2p-18, 0x1.9466d491ed974p-18, 0x1.9c1beab1479dbp-18, 0x1.a37e460e7a7c4p-18, 0x1.aaf7613a33224p-18, 0x1.b21745592109ap-18, 0x1.b914905635693p-18, 0x1.bfdebbbb92e47p-18, 0x1.c67b42fc88fc8p-18, 0x1.cce6e04699aeap-18, 0x1.d32e4e292255ep-18, 0x1.d945d01f50214p-18, 0x1.df312198d2ed9p-18, 0x1.e4fc3f7fdf2f6p-18, 0x1.ea8cab70796cfp-18, 0x1.effdafcb8eed9p-18, 0x1.f5452d92ec4e5p-18, 0x1.fa60ec3e7faa3p-18, 0x1.ff59db7ddf2f1p-18, 0x1.0214fb5dc723ep-17, 0x1.0469661aaa88ep-17, 0x1.06aaeede3cbf5p-17, 0x1.08d9c2f7574d6p-17, 0x1.0af622fee0f8bp-17, 0x1.0d005123b62b3p-17, 0x1.0ef367e661262p-17, 0x1.10d556d47f3dbp-17, 0x1.12b48e3367901p-17, 0x1.147887ae64819p-17, 0x1.162b7810d22aep-17, 0x1.17cdf2fc221acp-17, 0x1.19600ab5f5bc6p-17, 0x1.1ae1a08ae6139p-17, 0x1.1c53315dcbff5p-17, 0x1.1db525c514976p-17, 0x1.1f07ba85372fbp-17, 0x1.204b2da5d9e94p-17, 0x1.217ffff1661d4p-17, 0x1.22a63ffeb5a28p-17, 0x1.23af5c0073638p-17, 0x1.24ca8cb64ff6bp-17, 0x1.25c55016527f8p-17, 0x1.26a6d02a2cb96p-17, 0x1.278e18978fb48p-17, 0x1.2858c7800c61bp-17, 0x1.2928f081e0d82p-17, 0x1.29e3094027be9p-17, 0x1.2a8b78c1c0167p-17, 0x1.2b2928924bd05p-17, 0x1.2bbbe826f9adfp-17, 0x1.2c447a78d6cf7p-17, 0x1.2cd882fe3892p-17, 0x1.2d2df9a3ca7ap-17, 0x1.2d8f42cb0574ep-17, 0x1.2deddbc6c34f2p-17, 0x1.2e33dd87760c5p-17, 0x1.2e797530fee84p-17, 0x1.2eaf7ae123319p-17, 0x1.2edd09e016a6bp-17, 0x1.2f0099e97fc1cp-17, 0x1.2f19eb37d00a1p-17, 0x1.2f2a3db240155p-17, 0x1.2f4c1e7a0dc01p-17, 0x1.2f2b1f516c3a5p-17, 0x1.2f1c60a1224dcp-17, 0x1.2f056b2ad8445p-17, 0x1.2ee5933e797b2p-17, 0x1.2ed2c3a8f2b03p-17, 0x1.2e8b457e62b45p-17, 0x1.2e5173d7562cep-17, 0x1.2e0baa59ac25ap-17, 0x1.2dbc57e80552ap-17, 0x1.2d7264506ac2ep-17, 0x1.2cfd42952a0fep-17, 0x1.2cb428a397a92p-17, 0x1.2c45b984aaae2p-17, 0x1.2bd12b687f8d7p-17, 0x1.2b620a3be2553p-17, 0x1.2ae1f988c1f49p-17, 0x1.2a5b553f765a6p-17, 0x1.29cea91794f67p-17, 0x1.2939a53a81ab7p-17, 0x1.289f0b484d697p-17, 0x1.27fde5084b01ap-17, 0x1.2756e13458dp-17, 0x1.26a994f9ea566p-17, 0x1.25f65f29e4fb7p-17, 0x1.253d6e40faf62p-17, 0x1.246d2eb754383p-17, 0x1.23b9d6c7366a4p-17, 0x1.22f45b916168ep-17, 0x1.22207e26be1b2p-17, 0x1.214d01ef81f48p-17, 0x1.2073e0754717bp-17, 0x1.1f95bf66ce7d9p-17, 0x1.1eb2c325da17bp-17, 0x1.1dcb04bd8df89p-17, 0x1.1cde9fcdce3aep-17, 0x1.1bedb799f3544p-17, 0x1.1af883c8ade05p-17, 0x1.19fe2eff58431p-17, 0x1.190178d8a8451p-17, 0x1.17ffda5e860acp-17, 0x1.16fa976836503p-17, 0x1.15f11307c6deep-17, 0x1.14e55b9c029cdp-17, 0x1.13c3fbda30166p-17, 0x1.12cc5a5b7f5c3p-17, 0x1.11ac59328bc62p-17, 0x1.108f8a41b18dp-17, 0x1.0f6098dc035d5p-17, 0x1.0e4e01301afdap-17, 0x1.0d21e7995b157p-17, 0x1.0c0d4073c0056p-17, 0x1.0addeab2dce18p-17, 0x1.09adb7e5e0a3ep-17, 0x1.087db1d69f557p-17, 0x1.074be83fe8ec4p-17, 0x1.0617c69e0732fp-17, 0x1.04e10eae7d423p-17, 0x1.03a718dd86d31p-17, 0x1.02712ce1ccfebp-17, 0x1.012f2cc436c5bp-17, 0x1.ffe2a2bdb88afp-18, 0x1.fd2c1c1626c55p-18, 0x1.fad984079ca4p-18, 0x1.f84dae6efa449p-18, 0x1.f5bdb5dc6fe2p-18, 0x1.f32e0a5e7dce2p-18, 0x1.f09a2459e2bfbp-18, 0x1.ee027142384cdp-18, 0x1.eb4f3c6d97394p-18, 0x1.e8cba8a33fccfp-18, 0x1.e6298b993774cp-18, 0x1.e38615bcc66ebp-18, 0x1.e0e0c7f1a981dp-18, 0x1.de4865b686216p-18, 0x1.db8f3c6f054e2p-18, 0x1.d8e367d268c65p-18, 0x1.d635bbb862e0bp-18, 0x1.d38684767498ep-18, 0x1.d0d7e09e0ae55p-18, 0x1.ce43da560fbcp-18, 0x1.cb6f640259d23p-18, 0x1.c8c8af5735565p-18, 0x1.c600babe765b5p-18, 0x1.c3493670f7c0ep-18, 0x1.c09316afc114fp-18, 0x1.bdd508f7dd4a1p-18, 0x1.bb1c1f6e2d5a2p-18, 0x1.b860f2a778cbp-18, 0x1.b5a47dd8cc023p-18, 0x1.b2df3bef1a7e9p-18, 0x1.b02c566969255p-18, 0x1.ada492058e1bfp-18, 0x1.aab169fcf2c91p-18, 0x1.a7f1170d29ebbp-18, 0x1.a5355939b1199p-18, 0x1.a2820e00fca04p-18, 0x1.9fbf7b14b9f03p-18, 0x1.9cfd662af3582p-18, 0x1.9a3fa129e1eep-18, 0x1.978286f254e72p-18, 0x1.94c584660f583p-18, 0x1.92091dde65b1dp-18, 0x1.8f4db1fec34c5p-18, 0x1.8c936d9dcda0ap-18, 0x1.89d8f74fa4794p-18, 0x1.86f8ebe555662p-18, 0x1.84674475f5ec5p-18, 0x1.81af8c0f72969p-18, 0x1.7efdf96ba845bp-18, 0x1.7c51f0f6a48d2p-18, 0x1.797f8044f78acp-18, 0x1.76c45a048e82cp-18, 0x1.7414fc0e48d57p-18, 0x1.7188e04d0a5c5p-18, 0x1.6e915046a9b45p-18, 0x1.6c20a9a24a697p-18, 0x1.69526479dc323p-18, 0x1.66c24bc2de879p-18, 0x1.6416b38591fd6p-18, 0x1.616e11dd1e5fep-18, 0x1.5ec8432d99b9dp-18, 0x1.5c3528a686047p-18, 0x1.5978b14e7c134p-18, 0x1.56e0a4477c3d7p-18, 0x1.54415775b7d41p-18, 0x1.516589dec2d33p-18, 0x1.4f081351bf833p-18, 0x1.4c6e99f3364d5p-18, 0x1.49ec3986281a5p-18, 0x1.4743253770ee7p-18, 0x1.44b12c8b59af4p-18, 0x1.41f545f4cf83ep-18, 0x1.3f8591c4ebd44p-18, 0x1.3d03d8d1099e1p-18, 0x1.3a77a7eeab75bp-18, 0x1.37e8cdaab04c5p-18, 0x1.3598e015a098bp-18, 0x1.32ea269101d2fp-18, 0x1.305d2677728f7p-18, 0x1.2deb00453da59p-18, 0x1.2b6f4fa8bd50ep-18, 0x1.28f53e1f1ba32p-18, 0x1.267e11ffca8b1p-18, 0x1.2409a7692d767p-18, 0x1.22db09d5249e8p-18, 0x1.1f2933e8703edp-18, 0x1.1cbc973aecb16p-18, 0x1.1a524df23062ap-18, 0x1.17ea4ec53df24p-18, 0x1.15868bd577969p-18, 0x1.1321d97ba73dbp-18, 0x1.10c27246ef27ap-18, 0x1.0e6560a576a21p-18, 0x1.0c0b3271d2f0cp-18, 0x1.09b3c2a44bf79p-18, }}, 
      {{0x1.6809f0e75b46p-3, 0x1.3dc0ab5475d58p-2, 0x1.902102262ac0cp-2, 0x1.ae4d85d3a3921p-2, 0x1.a22613e4305d6p-2, 0x1.7754cd4454194p-2, 0x1.38daaa84909b1p-2, 0x1.e004697ab58a6p-3, 0x1.4825a27e2aa19p-3, 0x1.6992a65a48875p-4, 0x1.69f5efe65b749p-6, -0x1.27ca85d3e5708p-5, -0x1.5ce60c8493f41p-4, -0x1.ff21f87688237p-4, -0x1.3dcbbc0a74891p-3, -0x1.6a72396d09378p-3, -0x1.8755ba8ae11a8p-3, -0x1.968ddaab006ccp-3, -0x1.9a4b821668791p-3, -0x1.94b85534d2565p-3, -0x1.87e04387b49bfp-3, -0x1.75a31d110231p-3, -0x1.5fac5905dd584p-3, -0x1.476f80f7b7ccp-3, -0x1.2e27f868261f1p-3, -0x1.14db1cc0fd852p-3, -0x1.f8b7ca1297b21p-4, -0x1.ca9ed1e10b83ap-4, -0x1.a063bf0527eb9p-4, -0x1.7ab7748e7b571p-4, -0x1.5a0d51a4d47c8p-4, -0x1.3ea4bf938887bp-4, -0x1.28920b9612314p-4, -0x1.17c6693f6b7b1p-4, -0x1.0c173c54853dbp-4, -0x1.0544406d71efap-4, -0x1.02fd2d0257fedp-4, -0x1.04e635085105p-4, -0x1.0a9c1b8ded02dp-4, -0x1.13b7661682458p-4, -0x1.1fcf0ee788d1ep-4, -0x1.2e7ac0d9b497dp-4, -0x1.3f547e65f5c7p-4, -0x1.51f9e949a9dc7p-4, -0x1.660d921d6d349p-4, -0x1.7b37392631bf9p-4, -0x1.91248c115b375p-4, -0x1.a7898634e3de1p-4, -0x1.be208ae19ee88p-4, -0x1.d4aa13608cf03p-4, -0x1.eaed231e0a725p-4, -0x1.005b37bc16872p-3, -0x1.0aec97e6d94efp-3, -0x1.1516a76781834p-3, -0x1.1ec87f5b4b3bfp-3, -0x1.27f34c791b998p-3, -0x1.308ab6ec58d58p-3, -0x1.3884b771e2d27p-3, -0x1.3fd8e5b218667p-3, -0x1.4680f48a482dbp-3, -0x1.4c784b4112327p-3, -0x1.51bb94c4c4054p-3, -0x1.5648fb72ed3d5p-3, -0x1.5a200441fee61p-3, -0x1.5d4128b6af72cp-3, -0x1.5fadd93b1c379p-3, -0x1.61686f6922a5fp-3, -0x1.62740ea56491ap-3, -0x1.62d4872a3bd56p-3, -0x1.628e177309344p-3, -0x1.61a59d820d7eep-3, -0x1.60204b1c3e6f4p-3, -0x1.5e03b59478097p-3, -0x1.5b55bc2e0985ap-3, -0x1.581c5c7140819p-3, -0x1.545dd38d02a8fp-3, -0x1.5020771450c4dp-3, -0x1.4b6aa5e255d46p-3, -0x1.4642d40335f9dp-3, -0x1.40af77dfa1f57p-3, -0x1.3ab6eba6fc069p-3, -0x1.345f8b9b4f0afp-3, -0x1.2daf9e45f8921p-3, -0x1.26ad4e0e4719ep-3, -0x1.1f5ea2b18203bp-3, -0x1.17c984cc25afdp-3, -0x1.0ff3c0888436dp-3, -0x1.07e2ec8855b25p-3, -0x1.ff38f6e69603bp-4, -0x1.ee4b67ad18689p-4, -0x1.dd075dfc055c8p-4, -0x1.cb76aefb828f1p-4, -0x1.b9a2d3711aca1p-4, -0x1.a794df58c7f77p-4, -0x1.95558e8810682p-4, -0x1.82ed3f00b2159p-4, -0x1.7063ea4030f73p-4, -0x1.5dc12dac9eb1dp-4, -0x1.4b0c504a3542cp-4, -0x1.384c3bbdb9a8fp-4, -0x1.25877f308760ap-4, -0x1.12c454e3fb1eep-4, -0x1.0008a18779f39p-4, -0x1.dab3eadfced1ep-5, -0x1.b57b27089b409p-5, -0x1.9070df7332f11p-5, -0x1.6b9e6a629f88dp-5, -0x1.470c80c09f56p-5, -0x1.22c35b3938058p-5, -0x1.fd95431a7732fp-6, -0x1.b652f6f26fd8ep-6, -0x1.6fcd2b1d22a0ap-6, -0x1.2a10471b30489p-6, -0x1.ca4f93b303d23p-7, -0x1.423c4bf94587dp-7, -0x1.77f4cba5d8bd9p-8, -0x1.bce053a9d29f9p-10, 0x1.2b3a3abdae6dep-9, 0x1.966bb15a19373p-8, 0x1.498cc8f9d365bp-7, 0x1.c5c6f7d42a40dp-7, 0x1.1fecc67231724p-6, 0x1.5bdd1489507fep-6, 0x1.96b07f951ae7p-6, 0x1.d062b35a23d32p-6, 0x1.047865061682ep-5, 0x1.202be5d05cd93p-5, 0x1.3b4abcea80cddp-5, 0x1.55d3e92c32376p-5, 0x1.6fc6a1cb9e96bp-5, 0x1.892288cab4c14p-5, 0x1.a1e729967c364p-5, 0x1.ba143297b41acp-5, 0x1.d1a9b6f610ebfp-5, 0x1.e8a8012bf48dp-5, 0x1.ff0f3c29505a1p-5, 0x1.0a6fd9ea17adcp-4, 0x1.150d00a9fc265p-4, 0x1.1f5f792418eaap-4, 0x1.2967a9d2b8acap-4, 0x1.3325f6c9618aap-4, 0x1.3c9ad776ccd4ap-4, 0x1.45c6dc80fab3bp-4, 0x1.4eaaa72ed490fp-4, 0x1.5746d953bea94p-4, 0x1.5f9c183a915a7p-4, 0x1.67ab1090e8fd8p-4, 0x1.6f747ba886e77p-4, 0x1.76f9226833fe7p-4, 0x1.7e39d47f895dap-4, 0x1.853760c9bb408p-4, 0x1.8bf29c7a16af4p-4, 0x1.926c60dea8c8ep-4, 0x1.98a58ccc1199cp-4, 0x1.9e9f066e6dc1bp-4, 0x1.a459bb0404559p-4, 0x1.a9d698c92e3ecp-4, 0x1.af168dcc13a34p-4, 0x1.b41a8c7104aa8p-4, 0x1.b8e3897414ce8p-4, 0x1.bd727b07ecc88p-4, 0x1.c1c85a342d9abp-4, 0x1.c5e6213c0ea21p-4, 0x1.c9ccce64c454bp-4, 0x1.cd7d5ce14e79dp-4, 0x1.d0f8c9b4fa739p-4, 0x1.d440116669e5cp-4, 0x1.d754313707c63p-4, 0x1.da362639c3bp-4, 0x1.dce6eca0549cfp-4, 0x1.df67806e8d76bp-4, 0x1.e1b8ddca37363p-4, 0x1.e3dbffc6a01e7p-4, 0x1.e5d1df7160323p-4, 0x1.e79b7483168b7p-4, 0x1.e939b5a84ba14p-4, 0x1.eaad97004898dp-4, 0x1.ebf80ca995138p-4, 0x1.ed1a0748be0e7p-4, 0x1.ee14770ea014bp-4, 0x1.eee848fd2cfeep-4, 0x1.ef9668be29f13p-4, 0x1.f01fbf7e9add9p-4, 0x1.f08533ac85684p-4, 0x1.f0c7a91b6751bp-4, 0x1.f0e8012cff6c9p-4, 0x1.f0e71ad1923a7p-4, 0x1.f0c5d273fc2f5p-4, 0x1.f08501c96b2f2p-4, 0x1.f0257fb1e717ap-4, 0x1.efa8205467ad2p-4, 0x1.ef0db5074b483p-4, 0x1.ee570b2baefd6p-4, 0x1.ed84ef07cf67dp-4, 0x1.ec98283024fc4p-4, 0x1.eb917c927dafdp-4, 0x1.ea71ae40d18dp-4, 0x1.e9397c31a5c9ep-4, 0x1.e7e9a2a20ec15p-4, 0x1.e682dad94db24p-4, 0x1.e505db07e292cp-4, 0x1.e373561c50d18p-4, 0x1.e1cbfc0a188b4p-4, 0x1.e01079b812a14p-4, 0x1.de4178f128383p-4, 0x1.dc5fa09b47312p-4, 0x1.da6b9473d6cd7p-4, 0x1.d865f50d8136bp-4, 0x1.d64f5ff71fb5bp-4, 0x1.d4286ff5ddafap-4, 0x1.d1f1bcc5d59ddp-4, 0x1.cfabda7a8c4fep-4, 0x1.cd575b7d5ae2p-4, 0x1.caf4ce07dc771p-4, 0x1.c884be905f07ep-4, 0x1.c607b62e8186dp-4, 0x1.c37e3b0545698p-4, 0x1.c0e8d09489b72p-4, 0x1.be47f78f0ab03p-4, 0x1.bb9c2ddcc603dp-4, 0x1.b8e5eea9f5e88p-4, 0x1.b625b2768ca11p-4, 0x1.b35bef1c20ef1p-4, 0x1.b08917dc296a1p-4, 0x1.adad9d52d1d61p-4, 0x1.aac9ed9028ea9p-4, 0x1.a7de74210844ap-4, 0x1.a4eb9a21dc594p-4, 0x1.a1f1c64dcd4aep-4, 0x1.9ef15cfc7c216p-4, 0x1.9beac0123496p-4, 0x1.98de4f3804b26p-4, 0x1.95cc67de115dfp-4, 0x1.92b56494670a5p-4, 0x1.8f999eaa8ef93p-4, 0x1.8c796c8b72d04p-4, 0x1.895522def04fdp-4, 0x1.862d143d5aeecp-4, 0x1.830190bfa13aap-4, 0x1.7fd2e6c44fb44p-4, 0x1.7ca1628b436eep-4, 0x1.796d4e729aa32p-4, 0x1.7636f2ea68eap-4, 0x1.72fe967edb242p-4, 0x1.6fc47ddca767p-4, 0x1.6c88ebe947a45p-4, 0x1.694c21b9e1dd8p-4, 0x1.660e5ea6723fep-4, 0x1.62cfe05a16c6cp-4, 0x1.5f90e2ce7ab6fp-4, 0x1.5c51a05763839p-4, 0x1.591251a9280ep-4, 0x1.55d32de0be193p-4, 0x1.52946a924e1ecp-4, 0x1.4f563bb5b4c19p-4, 0x1.4c18d3e660a14p-4, 0x1.48dc64371426ap-4, 0x1.45a11c7084befp-4, 0x1.42672afe6965cp-4, 0x1.3f2ebc2aabda9p-4, 0x1.3bf7fc1eab157p-4, 0x1.38c314b7152fdp-4, 0x1.35902f0fab146p-4, 0x1.325f72e85f674p-4, 0x1.2f310692be41p-4, 0x1.2c050f4437a61p-4, 0x1.28dbb10dcfc06p-4, 0x1.25b50ed9daaedp-4, 0x1.22914a708f1a9p-4, 0x1.1f70847f34121p-4, 0x1.1c52dc98ae7a5p-4, 0x1.1938713f2ab1ap-4, 0x1.16215feb78556p-4, 0x1.130dc512e5fd9p-4, 0x1.0ffdbc2b93428p-4, 0x1.0cf15fb14de95p-4, 0x1.09e8c92b3851dp-4, 0x1.06e411323709bp-4, 0x1.03e34f757c2afp-4, 0x1.00e69abcbb5dcp-4, 0x1.fbdc12044e6b3p-5, 0x1.f5f35e882e2cep-5, 0x1.f013438d09d21p-5, 0x1.ea3be7de2f494p-5, 0x1.e46d70ac8c30ap-5, 0x1.dea80198a1e3ap-5, 0x1.d8ebbcbfdef06p-5, 0x1.d338c2e18456p-5, 0x1.cd8f331a12a0dp-5, 0x1.c7ef2ae00757ap-5, 0x1.c258c6d8a0da8p-5, 0x1.bccc21b8bad83p-5, 0x1.b7495533e12afp-5, 0x1.b1d079ed6aea8p-5, 0x1.ac61a68c062c6p-5, 0x1.a6fcf0f0fbd21p-5, 0x1.a1a26dacdf99dp-5, 0x1.9c52301db6de2p-5, 0x1.970c4a7641b52p-5, 0x1.91d0cdc481d8cp-5, 0x1.8c9fc9f8494cp-5, 0x1.87794de954308p-5, 0x1.825d675c5e3fp-5, 0x1.7d4c2348db757p-5, 0x1.78458c89e81b9p-5, 0x1.7349af000a8ebp-5, 0x1.6e5893af4543ap-5, 0x1.697243ce277f4p-5, 0x1.6496c69f42f23p-5, 0x1.5fc622c34b422p-5, 0x1.5b00615771051p-5, 0x1.5645841783d85p-5, 0x1.519590a879ed4p-5, 0x1.4cf08a96837cp-5, 0x1.485674a251b38p-5, 0x1.43c750c1766cap-5, 0x1.3f4320274ffbcp-5, 0x1.3ac9e3540557dp-5, 0x1.365b9a273d283p-5, 0x1.31f843a444bc4p-5, 0x1.2d9fde5a91e36p-5, 0x1.295267db47dbp-5, 0x1.250fdd73e4d57p-5, 0x1.20d83b307845dp-5, 0x1.1cab7d01cc56bp-5, 0x1.18899e16f81a8p-5, 0x1.1472991c763ap-5, 0x1.1066682adefb8p-5, 0x1.0c6504b15d1c9p-5, 0x1.086e67a0e260fp-5, 0x1.0482897e680ebp-5, 0x1.00a1626a03fb5p-5, 0x1.f995d40bf4331p-6, 0x1.f1fe2e9e464e9p-6, 0x1.ea7bc132178cdp-6, 0x1.e30e778552af4p-6, 0x1.dbb63ccb9b77fp-6, 0x1.d472fbda48f59p-6, 0x1.cd449ed8c247ap-6, 0x1.c62b0ed10d05p-6, 0x1.bf263396726bbp-6, 0x1.b835f41cdb44fp-6, 0x1.b15a36d68f27ep-6, 0x1.aa92e1c2c8d5p-6, 0x1.a3dfda4da9379p-6, 0x1.9d4105399102ep-6, 0x1.96b6469e96c66p-6, 0x1.903f81f3bcfbfp-6, 0x1.89dc9a173c5a2p-6, 0x1.838d7153642bap-6, 0x1.7d51e96e5b24ap-6, 0x1.7729e3bd2ca46p-6, 0x1.711541203265dp-6, 0x1.6b13e1ed272e8p-6, 0x1.6525a5e8ea243p-6, 0x1.5f4a6c49d873dp-6, 0x1.5982156b0e00dp-6, 0x1.53cc7e1fb0bbdp-6, 0x1.4e29855d657fbp-6, 0x1.4899095d8e4ddp-6, 0x1.431ae7ff60b04p-6, 0x1.3daefdfcbb7bap-6, 0x1.3855288a37c0fp-6, 0x1.330d443c4df5cp-6, 0x1.2dd72dc67bac6p-6, 0x1.28b2c1108dd18p-6, 0x1.239fda1cfa627p-6, 0x1.1e9e54b356605p-6, 0x1.19ae0c5e7531ap-6, 0x1.14cedc705850cp-6, 0x1.1000a00f945d3p-6, 0x1.0b4332371ba1p-6, 0x1.06966dc5fe319p-6, 0x1.01fa2d6eb5a0ap-6, 0x1.fadc9786bdfap-7, 0x1.f1e54679db8e7p-7, 0x1.e90e1c7986c29p-7, 0x1.e056ce1fc9ed4p-7, 0x1.d7bf0fe20434cp-7, 0x1.cf469616d3e45p-7, 0x1.c6ed14dfc8b4p-7, 0x1.beb2403e682dap-7, 0x1.b695cc2b8833ep-7, 0x1.ae976ccf650c9p-7, 0x1.a6b6d68676753p-7, 0x1.9ef3bda21945ep-7, 0x1.974dd64941d92p-7, 0x1.8fc4d47dbc172p-7, 0x1.88586c3ff9b13p-7, 0x1.810851de7337ep-7, 0x1.79d439c61a4fdp-7, 0x1.72bbd86d3ec87p-7, 0x1.6bbee252fda65p-7, 0x1.64dd0c9f7c7cp-7, 0x1.5e160bbf0574p-7, 0x1.576993f08d822p-7, 0x1.50d75b266ee0fp-7, 0x1.4a5f17cd0b4afp-7, 0x1.44007ef4c31dcp-7, 0x1.3dbb477aea745p-7, 0x1.378f283053363p-7, 0x1.317bd821c7c88p-7, 0x1.2b810e6eee902p-7, 0x1.259e81fe3590cp-7, 0x1.1fd3eac1c4d5ep-7, 0x1.1a210005bd6a5p-7, 0x1.148578fe7095ap-7, 0x1.0f010dffc65b9p-7, 0x1.099376db5e139p-7, 0x1.043c6cf730596p-7, 0x1.fdf7546d112acp-8, 0x1.f3a1d1d388ba7p-8, 0x1.e977c7cc1b159p-8, 0x1.df78ac72d604ep-8, 0x1.d5a3f67411476p-8, 0x1.cbf91c8a090bbp-8, 0x1.c27795a116014p-8, 0x1.b91ed93b222a3p-8, 0x1.afee5ff58507p-8, 0x1.a6e5a42c8cc4bp-8, 0x1.9e04227e93af5p-8, 0x1.95495a0e11769p-8, 0x1.8cb4cc1049862p-8, 0x1.8445fdafd3b12p-8, 0x1.7bfc7050455dap-8, 0x1.73d7a81e2f848p-8, 0x1.6bd7290419bbbp-8, 0x1.63fa71186eea1p-8, 0x1.5c40fd7adc29dp-8, 0x1.54aa48ac58e05p-8, 0x1.4d35cbd6ec1f7p-8, 0x1.45e301081a251p-8, 0x1.3eb167e41c55ep-8, 0x1.37a08a1770a8p-8, 0x1.30aff7877b701p-8, 0x1.29df40776babdp-8, 0x1.232dfb1b8b868p-8, 0x1.1c9bca223c3aap-8, 0x1.1628553918828p-8, 0x1.0fd33b9f624edp-8, 0x1.099c1290e792fp-8, 0x1.03826a625500cp-8, 0x1.fb0b9998791e3p-9, 0x1.ef4b7c5c9cc98p-9, 0x1.e3c3844050b12p-9, 0x1.d87287f1ae16dp-9, 0x1.cd578312b8e0bp-9, 0x1.c27197364fca9p-9, 0x1.b7bfd47eb378ep-9, 0x1.ad416c7fbf55bp-9, 0x1.a2f5b09b36a01p-9, 0x1.98dc0ad95c801p-9, 0x1.8ef3f01d6cdccp-9, 0x1.853cdad1fbb6cp-9, 0x1.7bb63d6d8ad25p-9, 0x1.725f7af0e885ap-9, 0x1.6937e59db84e8p-9, 0x1.603eb95826169p-9, 0x1.57731f5212ce4p-9, 0x1.4ed4332bcc372p-9, 0x1.46610b00f2d49p-9, 0x1.3e18c16e999d5p-9, 0x1.35fa7e6fc4a65p-9, 0x1.2e057d60fad7fp-9, 0x1.26390fb5d8e81p-9, 0x1.1e949bdc7d6fep-9, 0x1.17179986fddc8p-9, 0x1.0fc185eb7877dp-9, 0x1.0891e3bd9213p-9, 0x1.0188352c1b118p-9, 0x1.f547984cd514ap-10, 0x1.e7c854a56859ep-10, 0x1.da9124391ba4p-10, 0x1.cda0a163ecf48p-10, 0x1.c0f55c541fe12p-10, 0x1.b48ded7b24ab6p-10, 0x1.a8690348f52cap-10, 0x1.9c856cfa58db6p-10, 0x1.90e21f3914b83p-10, 0x1.857e3c63db53bp-10, 0x1.7a58e7da0f443p-10, 0x1.6f717e8154b6cp-10, 0x1.64c740b189e8p-10, 0x1.5a59650ac86b8p-10, 0x1.50270314db884p-10, 0x1.462f0cf1d196cp-10, 0x1.3c704fc71ea45p-10, 0x1.32e97af2f8495p-10, 0x1.29992c3755a9bp-10, 0x1.207dfdc25a252p-10, 0x1.179694ee56778p-10, 0x1.0ee1aef4b0282p-10, 0x1.065e2a1be041fp-10, 0x1.fc16128504ffcp-11, 0x1.ebcef38abe4dap-11, 0x1.dbe6034a91cf6p-11, 0x1.cc599681c60d9p-11, 0x1.bd28c3253bb12p-11, 0x1.ae52ffbd18fddp-11, 0x1.9fd7470eeaa0cp-11, 0x1.91b4578b47e14p-11, 0x1.83e91d9330efp-11, 0x1.76741bf9d433ep-11, 0x1.6953a7eee0b49p-11, 0x1.5c85cade2b866p-11, 0x1.500880c9e8528p-11, 0x1.43d9cf39e2b3ap-11, 0x1.37f7d36af1b5fp-11, 0x1.2c60dc80a2a58p-11, 0x1.21137267077f6p-11, 0x1.160e44c9d1bd1p-11, 0x1.0b5007971847fp-11, 0x1.00d74b34b15afp-11, 0x1.ed44c3ffd9e4ap-12, 0x1.d95ec4a3b59d1p-12, 0x1.c5f891f333c09p-12, 0x1.b30e5f15c3349p-12, 0x1.a09d018161643p-12, 0x1.8ea230c6df87ep-12, 0x1.7d1c7fcfc32fcp-12, 0x1.6c0b07b18f70cp-12, 0x1.5b6ce7ed9251bp-12, 0x1.4b40d8ec19a43p-12, 0x1.3b84f73f6a743p-12, 0x1.2c36e09c911f4p-12, 0x1.1d5445658c1d9p-12, 0x1.0edbe6c32ab1ep-12, 0x1.00cd50a513f6dp-12, 0x1.e64f6217d97e1p-13, 0x1.cbd5bd4535f99p-13, 0x1.b22e56fdcbd97p-13, 0x1.9955b1f939f38p-13, 0x1.8143b81b448e5p-13, 0x1.69ee2bd6931a5p-13, 0x1.534909d0e9669p-13, 0x1.3d47c8e96b7b4p-13, 0x1.27df902f13a94p-13, 0x1.1308f0048e9b5p-13, 0x1.fd80e753c53b3p-14, 0x1.d60be186ce6c1p-14, 0x1.afb5e6b97ddfcp-14, 0x1.8a81f372b6b11p-14, 0x1.66707118cc111p-14, 0x1.437e9c48b3c0ep-14, 0x1.21a7afe8c4dd1p-14, 0x1.00e7059a8378dp-14, 0x1.c27425c6c0542p-15, 0x1.85429f064b287p-15, 0x1.4a3f2d681adp-15, 0x1.1170741bcbf4ap-15, 0x1.b5b006489e5afp-16, 0x1.4cf2d0f8d5a8bp-16, 0x1.d0bcba4b9063p-17, 0x1.0fb5035d4eecfp-17, 0x1.589d313684f3p-19, -0x1.72533586b05ap-19, -0x1.0918ace5ea04ap-17, -0x1.afe0f09844421p-17, -0x1.289a52710501dp-16, -0x1.769a8ebe09387p-16, -0x1.c1f6701ab7493p-16, -0x1.0556c54c61035p-15, -0x1.285ea3cbf59e7p-15, -0x1.4a1158ca4f0d3p-15, -0x1.6a6e808aea92bp-15, -0x1.8975a8d25c898p-15, -0x1.a725dc4bb94ebp-15, -0x1.c3828dec32d53p-15, -0x1.de90b756dee5cp-15, -0x1.f84c385e633ap-15, -0x1.085c82d3d2e7dp-14, -0x1.13edb34704abcp-14, -0x1.1edc78d632f1bp-14, -0x1.292865dfe52a3p-14, -0x1.32dc6fe983801p-14, -0x1.3bfcfe30fd0aep-14, -0x1.4496895d6a339p-14, -0x1.4cb32ad394e2dp-14, -0x1.545bfe9b809cp-14, -0x1.5b9761a96432ep-14, -0x1.626914e3838afp-14, -0x1.68d39126f487ap-14, -0x1.6ed98be726479p-14, -0x1.747e7b6fc50f8p-14, -0x1.79c5dd38cfa9p-14, -0x1.7eb22502984b3p-14, -0x1.834411d1372e1p-14, -0x1.877a5f357dfe2p-14, -0x1.8b52380fc19fep-14, -0x1.8ec94ba9cd483p-14, -0x1.91e08b7149d66p-14, -0x1.949c987c51518p-14, -0x1.9702dfc0f1dffp-14, -0x1.99168600d2ef6p-14, -0x1.9ad8807340cb7p-14, -0x1.9c49f3d32e74ep-14, -0x1.9d6d96fb54988p-14, -0x1.9e46f9a3fd9a3p-14, -0x1.9ed93340968f2p-14, -0x1.9f26a3593791p-14, -0x1.9f31b96f8e55fp-14, -0x1.9efdbd04bee82p-14, -0x1.9e8ee943f8ee3p-14, -0x1.9de97c7d34c9fp-14, -0x1.9d0ffedb96fbdp-14, -0x1.9c022503fe286p-14, -0x1.9abeaeff6c4dbp-14, -0x1.99475965930d9p-14, -0x1.97a1ac728c21p-14, -0x1.95d54e44491efp-14, -0x1.93e470af7d98cp-14, -0x1.91ca5089419p-14, -0x1.8f80a68945a81p-14, -0x1.8d08099dcca19p-14, -0x1.8a640e4c5602dp-14, -0x1.879a829bf1f3p-14, -0x1.84b13ef198ab1p-14, -0x1.81a3175ba6326p-14, -0x1.7e6f855397797p-14, -0x1.7b1dbe81f7863p-14, -0x1.77b0e11ca2c83p-14, -0x1.7429d00408b91p-14, -0x1.7088a8f537742p-14, -0x1.6cccb65278ff6p-14, -0x1.68f5142bd9246p-14, -0x1.65017b3efa3e6p-14, -0x1.60f2dbe17e7f3p-14, -0x1.5ccbe70364058p-14, -0x1.5890ea3f92558p-14, -0x1.544537bebcda9p-14, -0x1.4fe798fc9688cp-14, -0x1.4b73f73653f4ep-14, -0x1.46eafc23ac6bdp-14, -0x1.42550b24fb3ecp-14, -0x1.3db879774074fp-14, -0x1.39127cea48578p-14, -0x1.345c6c0df16d2p-14, -0x1.2f93b627fa12dp-14, -0x1.2abefb605a289p-14, -0x1.25e28ada5c8cp-14, -0x1.20fcc5f46f63bp-14, -0x1.1c0c38ae7f29ap-14, -0x1.1712a86780dd1p-14, -0x1.12129b0ab947ep-14, -0x1.0d0d706ddae09p-14, -0x1.08039d70e3134p-14, -0x1.02f5605c41f7ep-14, -0x1.fbc61a9411a06p-15, -0x1.f19a0af915a62p-15, -0x1.e7672be75c307p-15, -0x1.dd2df315555e6p-15, -0x1.d2f08020a5e75p-15, -0x1.c8a61ff2aa9f7p-15, -0x1.be5c509bebd5bp-15, -0x1.b40dbf9aede13p-15, -0x1.a9baed9db5835p-15, -0x1.9f6bcf9431819p-15, -0x1.951e08e4f9052p-15, -0x1.8ace96aa655fp-15, -0x1.8083a9df792bfp-15, -0x1.76446630d722bp-15, -0x1.6c07fa5e62d78p-15, -0x1.61d823c846a87p-15, -0x1.57a382338da6cp-15, -0x1.4d7b735ebe36p-15, -0x1.43596ebb7619ep-15, -0x1.393edc9f34a03p-15, -0x1.2f2fd4f0e097cp-15, -0x1.2572f2f992abdp-15, -0x1.1b346ab0ca5eep-15, -0x1.114845b6af9a2p-15, -0x1.0768494eb4accp-15, -0x1.fb29bf10a28a1p-16, -0x1.e79d1500fd17dp-16, -0x1.d42b9ae4c4857p-16, -0x1.c0d651c01e59dp-16, -0x1.ad9e37df604b9p-16, -0x1.9a843cf0a0fcbp-16, -0x1.8789aac155a6ap-16, -0x1.74af5570d4b0dp-16, -0x1.61f5f422edf6cp-16, -0x1.4f5e5f2e05b4ap-16, -0x1.3ce967b84d37cp-16, -0x1.2a97a9a7dc11cp-16, -0x1.1868f4ea84785p-16, -0x1.065d91ab6b837p-16, -0x1.e8efde86f880dp-17, -0x1.c57279e2cb26ep-17, -0x1.a24276f730501p-17, -0x1.7f5deb165b952p-17, -0x1.5cc5c5b372bbep-17, -0x1.3a806e5106882p-17, -0x1.188da8ef62c9dp-17, -0x1.edd4489360707p-18, -0x1.ab24809fec28bp-18, -0x1.691760fc4f071p-18, -0x1.27d3626b974bfp-18, -0x1.ce94fc18b8abp-19, -0x1.4e58fe5d6be59p-19, -0x1.9f665de1a85a2p-20, -0x1.49a4ac3178ff5p-21, 0x1.4dccdb3d82ad6p-22, 0x1.48fc2673df8c7p-20, 0x1.1ddb7b9e77a4ep-19, 0x1.95bdf9d4204b6p-19, 0x1.062406b370221p-18, 0x1.40ba1aa20d147p-18, 0x1.7aa059ef67f51p-18, 0x1.b3d771a2b7365p-18, 0x1.ec5fd297d489cp-18, 0x1.121cd5f27883bp-17, 0x1.2db36b1eac6cdp-17, 0x1.48e8e5aec9ffap-17, 0x1.63cf6f1330072p-17, 0x1.7e46c93db3bdfp-17, 0x1.98631ab440002p-17, 0x1.b234962b16f39p-17, 0x1.cbb4c5dd5a37fp-17, 0x1.e4d8d6182d6cbp-17, 0x1.fd9996949192dp-17, 0x1.0aff80051c071p-16, 0x1.170a0256730dep-16, 0x1.22ebb5c0816a9p-16, 0x1.2e9bd8fcf11f7p-16, 0x1.3a2793b392d94p-16, 0x1.4581dfb04e95fp-16, 0x1.50b17f3e54c93p-16, 0x1.5bb5c86b4b78dp-16, 0x1.668ebfefd2bf3p-16, 0x1.713c8895106b1p-16, 0x1.7bbde4c936af9p-16, 0x1.861769f0c9a9fp-16, 0x1.9044f4dc0fed9p-16, 0x1.9a48178861f78p-16, 0x1.a421126f9ae37p-16, 0x1.add7826c9e595p-16, 0x1.b752e0ea3b7f8p-16, 0x1.c0ae4b40835afp-16, 0x1.c9df88c5c76dep-16, 0x1.d2e91b53ea81bp-16, 0x1.dbc97eb598dd6p-16, 0x1.e4817a1d66202p-16, 0x1.ed0db16b18ab2p-16, 0x1.f5709a3ac8f09p-16, 0x1.fdb1d11e1771cp-16, 0x1.02e51c903835ap-15, 0x1.06daec093296fp-15, 0x1.0ac1ae97c6041p-15, 0x1.0e8f199a1053ap-15, 0x1.124cda032cd49p-15, 0x1.15f7ae5fd135fp-15, 0x1.198fd320973c6p-15, 0x1.1d13e7301e1c9p-15, 0x1.20855f5a2f9a9p-15, 0x1.23e4a92e325aep-15, 0x1.2731ae194cb9ap-15, 0x1.2a6c7a5c4afd9p-15, 0x1.2d9531a9c10acp-15, 0x1.30abfba7157b2p-15, 0x1.33b0f62669016p-15, 0x1.36a44acc7328bp-15, 0x1.3986200cc9c4ap-15, 0x1.3c56a3a9823b5p-15, 0x1.3f15fa93a0a37p-15, 0x1.41c44c7bf8681p-15, 0x1.4461dadc4fc4ep-15, 0x1.46eebe2120138p-15, 0x1.496b245febe0ap-15, 0x1.4bd7335ee4147p-15, 0x1.4e3313aafb4d8p-15, 0x1.507eecdf3e96cp-15, 0x1.52baecda89107p-15, 0x1.54e76a2594081p-15, 0x1.5704f934eae01p-15, 0x1.591427a9bef72p-15, 0x1.5b127573001bcp-15, 0x1.5cfcf7705200bp-15, 0x1.5edb58e1a151ap-15, 0x1.60b184b7a2624p-15, 0x1.626dd452c0552p-15, 0x1.6426310b753a2p-15, 0x1.65d1aada34507p-15, 0x1.6768401675084p-15, 0x1.68f1a9e3e44acp-15, 0x1.6a6de3e558becp-15, 0x1.6bdd0eaef41bep-15, 0x1.6d3e8fd20210ap-15, 0x1.6e93334bc24f7p-15, 0x1.6fdabed2fdc76p-15, 0x1.711508f2c795ep-15, 0x1.72426c8d51586p-15, 0x1.736341e1667a1p-15, 0x1.747a76e3a0e97p-15, 0x1.757b29d22cd61p-15, 0x1.767782ca5390cp-15, 0x1.776b21c24fb1p-15, 0x1.784f566dbb4d2p-15, 0x1.7929ea2dd9a82p-15, 0x1.79f416fbb7249p-15, 0x1.7ab9b7ad482a3p-15, 0x1.7b6e340c82ffap-15, 0x1.7c16af24ed1e4p-15, 0x1.7cb61e829e5cep-15, 0x1.7d4a83ce9dddcp-15, 0x1.7dd57df0618efp-15, 0x1.7e52f6910e206p-15, 0x1.7ecb68142c5f4p-15, 0x1.7f37050cd97edp-15, 0x1.7f982771d03eep-15, 0x1.7fef6940af715p-15, 0x1.803cf04377a75p-15, 0x1.8080d649e109bp-15, 0x1.80bb3e439b2b3p-15, 0x1.80ec4bc0b865cp-15, 0x1.811422d0c4283p-15, 0x1.8132e67842489p-15, 0x1.8148b85c66cedp-15, 0x1.8155b92d6cf51p-15, 0x1.815a084c161d7p-15, 0x1.8155c48582897p-15, 0x1.814916ed0a8abp-15, 0x1.813432ad285b2p-15, 0x1.811731b3f6c1bp-15, 0x1.80f1ced536f7ep-15, 0x1.80c3ec29d95ecp-15, 0x1.808f2c5a90935p-15, 0x1.80539c9fdfddfp-15, 0x1.800fda0e8f31ap-15, 0x1.7fc47e9ce4ac4p-15, 0x1.7f725b7c96ec9p-15, 0x1.7f1858aae15e5p-15, 0x1.7eb5d4b9975dbp-15, 0x1.7e4e3a7f5c7b4p-15, 0x1.7de140113b3b5p-15, 0x1.7d6b53dfd3d5fp-15, 0x1.7ceec610fbaa9p-15, 0x1.7c6d6ddb0ff6p-15, 0x1.7be4e9bee38a6p-15, 0x1.7b561931d0c4p-15, 0x1.7ac13e2d16f3bp-15, 0x1.7a266c9cd2f08p-15, 0x1.7985b9bc01919p-15, 0x1.78df40466117ep-15, 0x1.78331da24aff9p-15, 0x1.77816d51bbb35p-15, 0x1.76ca4b5ba2383p-15, 0x1.760dd72c797f8p-15, 0x1.754c2a61cd6dep-15, 0x1.74851d39e6c74p-15, 0x1.73b919f61fa23p-15, 0x1.72ea988031f7cp-15, 0x1.7216500312cafp-15, 0x1.713607f0ac881p-15, 0x1.7057f72a73831p-15, 0x1.6f737e9570631p-15, 0x1.6e8c9b568c084p-15, 0x1.6da4c7d1321b7p-15, 0x1.6cb41c26fcf27p-15, 0x1.6bbc962a4949p-15, 0x1.6ac31e663e34p-15, 0x1.69c621b31a45ep-15, 0x1.68c55032fa3cbp-15, 0x1.67c0b7caa611p-15, 0x1.66b8a9fc49749p-15, 0x1.65b12a0a81493p-15, 0x1.649fa284907b3p-15, 0x1.63893ecd1ed6p-15, 0x1.6273635623803p-15, 0x1.615992960c228p-15, 0x1.60364fdbccf6fp-15, 0x1.5f1cee016ba4ap-15, 0x1.5df9f8c6d386ap-15, 0x1.5cd38ea14ad5bp-15, 0x1.5baa3c96a6641p-15, 0x1.5a7e2b5d37d68p-15, 0x1.59518493ecb08p-15, 0x1.581e064230e7cp-15, 0x1.56ea059483f4fp-15, 0x1.55b27b8908bdep-15, 0x1.547a8591fdd47p-15, 0x1.533f0aedf7516p-15, 0x1.5201348ab7692p-15, 0x1.50c1593cdca9p-15, 0x1.4f7f94bda3ab1p-15, 0x1.4e3b4beec407bp-15, 0x1.4cf02844310e4p-15, 0x1.4baac079a14c2p-15, 0x1.4a6197f6680fap-15, 0x1.4915c6dbb3bf8p-15, 0x1.47c7513306e92p-15, 0x1.467765618d931p-15, 0x1.4525dc0013584p-15, 0x1.43d2ca39cccb1p-15, 0x1.427e1cbf29b64p-15, 0x1.4127e863ec8a1p-15, 0x1.3fd05bc4fa161p-15, 0x1.3e7740bd94f49p-15, 0x1.3d1ce770a772fp-15, 0x1.3bc143d613874p-15, 0x1.3a6442f757a5ep-15, 0x1.390642db06ee9p-15, 0x1.37a7106edbbefp-15, 0x1.3646c2af1f106p-15, 0x1.34e570371db1fp-15, 0x1.338324b74ddcbp-15, 0x1.321feeab69809p-15, 0x1.30bbe203a302ep-15, 0x1.2f592fd3c548fp-15, 0x1.2df5f06e567d8p-15, 0x1.2c8b30985412fp-15, 0x1.2b23e03fb0fc2p-15, 0x1.29bbfeb99d0b6p-15, 0x1.2853ad84a7db9p-15, 0x1.26eace0b48e73p-15, 0x1.2581438c021bdp-15, 0x1.241735150b94bp-15, 0x1.22acc2b2eb212p-15, 0x1.2141f748277abp-15, 0x1.1fd6d9aede308p-15, 0x1.1e6b7fda6976dp-15, 0x1.1cffebb09a8cap-15, 0x1.1b9037b06e661p-15, 0x1.1a29e4dacdd43p-15, 0x1.18be5b5aeca89p-15, 0x1.174b557329738p-15, 0x1.15e28bcc53257p-15, 0x1.1471f93cc57dbp-15, 0x1.130b4f799276bp-15, 0x1.119fc845ac903p-15, 0x1.10318660c5045p-15, 0x1.0ec494257371ap-15, 0x1.0d585b45b34cap-15, 0x1.0beca6cd775ebp-15, 0x1.0a85a9ccbd4a8p-15, 0x1.09152168a7583p-15, 0x1.07a9c8b5ffad5p-15, 0x1.063f5494c8626p-15, 0x1.04d2e01cd062fp-15, 0x1.036783eb5cdecp-15, 0x1.01fe910fc5bb1p-15, 0x1.00956f19a56ebp-15, 0x1.fe5706775dcd3p-16, 0x1.fb84d104476aep-16, 0x1.f8b4437f579b1p-16, 0x1.f5ee0db1cd3cap-16, 0x1.f315a4af05931p-16, 0x1.f047bdc4dfd55p-16, 0x1.ed7b37a60a5fp-16, 0x1.eaafc81c1519cp-16, 0x1.e7e11675cd7cbp-16, 0x1.e51c84a2b17a2p-16, 0x1.e254cbdbc808ep-16, 0x1.df8db3f817a42p-16, 0x1.dcc55b7515898p-16, 0x1.da05f78dec897p-16, 0x1.d73b3c2410facp-16, 0x1.d482fe15953a4p-16, 0x1.d1c2bb8e1efaep-16, 0x1.cf0477914b691p-16, 0x1.cc4b504be59e8p-16, 0x1.c9911c6bf9a7bp-16, 0x1.c6d8b492b7177p-16, 0x1.c4220d656190fp-16, 0x1.c16d2d1eb1ddp-16, 0x1.beba1578518dbp-16, 0x1.bc08d1a263152p-16, 0x1.b95976fbe824p-16, 0x1.b6abfd3cebc0bp-16, 0x1.b400765424873p-16, 0x1.b157015efc122p-16, 0x1.aea68b261d757p-16, 0x1.ac0a1ead87e2p-16, 0x1.a966626cb17p-16, 0x1.a6c4b7dd1a941p-16, 0x1.a4256fd61f91ep-16, 0x1.a18849ee769d2p-16, 0x1.9eed4abdb15eap-16, 0x1.9c547640d9281p-16, 0x1.99bdcc560308ep-16, 0x1.9729562f485e4p-16, 0x1.9497112d732d7p-16, 0x1.920703d0d816ep-16, 0x1.8f78fdaee8ab9p-16, 0x1.8cedce88ebc09p-16, 0x1.8a64c8d8ba361p-16, 0x1.87de7f92ca528p-16, 0x1.855b8e684a448p-16, 0x1.82d8ffc89acd1p-16, 0x1.804ffc452a75dp-16, 0x1.7dddb14a97ba3p-16, 0x1.7b674290474d6p-16, 0x1.78ed971bff5ddp-16, 0x1.766d756158137p-16, 0x1.740000011fd9p-16, 0x1.71894459c335p-16, 0x1.6f27c0dbd4004p-16, 0x1.6cb835a155b4ap-16, 0x1.6a4c848b44acfp-16, 0x1.67e55ae0cf4f6p-16, 0x1.6581528afa57p-16, 0x1.631ff984434f5p-16, 0x1.60c133a214becp-16, 0x1.5e64fb8501eefp-16, 0x1.5c0b8ee597aa7p-16, 0x1.59b46d6de1d8cp-16, 0x1.576054207104fp-16, 0x1.55067449cf43ap-16, 0x1.52bf627a0cd7ep-16, 0x1.5072a84610be3p-16, 0x1.4e2849d24531fp-16, 0x1.4be15ba59168ep-16, 0x1.499cc7cff20c6p-16, 0x1.475b0e5620d3ap-16, 0x1.4516da9978e01p-16, 0x1.42dfe04f07566p-16, 0x1.40a58c2df0cc6p-16, 0x1.3e6e285b88d37p-16, 0x1.3c39b581ad752p-16, 0x1.3a08b404d4a33p-16, 0x1.37d90e6b9e204p-16, 0x1.35accba960091p-16, 0x1.338341266f85cp-16, 0x1.315c78da3147ep-16, 0x1.2f389a229591ap-16, 0x1.2d1bb929087adp-16, 0x1.2af8fc6171ce1p-16, 0x1.28d766c1c0115p-16, 0x1.26c346841f5e4p-16, 0x1.24acbd701de5ap-16, 0x1.22990e84aea46p-16, 0x1.2087fda8bd6c7p-16, 0x1.1e79bfb658372p-16, 0x1.1c6e45ec10047p-16, 0x1.1a65e44a4678bp-16, 0x1.185feb0bb918ep-16, 0x1.165c072e6060bp-16, 0x1.1461aafacca58p-16, 0x1.125ee0e710889p-16, 0x1.106453cfab3c9p-16, 0x1.0e6ae12acfe94p-16, 0x1.0c75462088527p-16, 0x1.0a82b636261b3p-16, 0x1.08927c272684dp-16, 0x1.06a50d958f584p-16, 0x1.04ba50c3428bcp-16, 0x1.02d22c9e0a8a2p-16, 0x1.00ecbfa72d243p-16, 0x1.fe145de3f9a38p-17, 0x1.fa550481fc69p-17, 0x1.f69b2bf6a1f8ep-17, 0x1.f2d4e74fd0fe3p-17, 0x1.ef3755cdc4564p-17, 0x1.eb8be3582f804p-17, 0x1.e7ea55e6c6969p-17, 0x1.e4589d0e32ac4p-17, 0x1.e0a6fb96727b7p-17, 0x1.dd1074a45fd1cp-17, 0x1.d9778d0f4c823p-17, 0x1.d6084bbd501a7p-17, 0x1.d26df57739462p-17, 0x1.cefcca626e77fp-17, 0x1.cb78a1e764679p-17, 0x1.c80a52ae346e1p-17, 0x1.c49a0c46b24bfp-17, 0x1.c12f5f602e2acp-17, 0x1.bdcae798c1705p-17, 0x1.ba6b725f4e021p-17, 0x1.b70f60582f73dp-17, 0x1.b3ba8da9bff44p-17, 0x1.b06b044205ef9p-17, 0x1.ad0d03962e072p-17, 0x1.a9d7e37ba980ap-17, 0x1.a696b5e07f696p-17, 0x1.a361fa512ef4ep-17, 0x1.a024959c74295p-17, 0x1.9cf3547280c1dp-17, 0x1.99b9d55d77491p-17, 0x1.96a93c19a54cp-17, 0x1.937db50b01707p-17, 0x1.90625218a8412p-17, 0x1.8d445e7252e03p-17, 0x1.8a3ffc5b1a3cap-17, 0x1.8727cc7ae2f2ap-17, 0x1.841bef789af43p-17, 0x1.81133e1368a2dp-17, 0x1.7e17417d5d17bp-17, 0x1.7b1c5270e078bp-17, 0x1.782681adef1b8p-17, 0x1.7535aabe38faap-17, 0x1.729966f2cd5fcp-17, 0x1.6f62edf8677e2p-17, 0x1.6c80a0a1d8f5ep-17, 0x1.69a2e80c0f098p-17, 0x1.66c9c969e8705p-17, 0x1.63f42d0e1a51p-17, 0x1.6125ce4af80fap-17, 0x1.5e5ab33de210ap-17, 0x1.5b94a3ca4a845p-17, 0x1.58d328868c013p-17, 0x1.561674d94d3a4p-17, }}, 
      {{0x1.13c735cb58ce6p+0, 0x1.2c17af7f621d7p+0, 0x1.405625dff1619p+0, 0x1.4b5b7d489c07ep+0, 0x1.4c90dba7a09cfp+0, 0x1.456bbf32c8cd4p+0, 0x1.3818089dc056ap+0, 0x1.26ca4c67500fdp+0, 0x1.136fe52999384p+0, 0x1.ff24185df689ep-1, 0x1.d8a6ea8cd39bfp-1, 0x1.b4f51934c3068p-1, 0x1.95016c2e3c228p-1, 0x1.7944f21b42819p-1, 0x1.61dd2a4e9e754p-1, 0x1.4ea62dcb3880dp-1, 0x1.3f504b1cc227fp-1, 0x1.33713284066fbp-1, 0x1.2a911f8ff2843p-1, 0x1.243493a6c1622p-1, 0x1.1fe339cc37dd7p-1, 0x1.1d2c82deee9f8p-1, 0x1.1baa7cd1f5361p-1, 0x1.1b03516bdb5c3p-1, 0x1.1ae9c95ec5dd7p-1, 0x1.1b1d1dcee2b18p-1, 0x1.1b68524885b99p-1, 0x1.1ba14429b7e0ep-1, 0x1.1ba79125db9ccp-1, 0x1.1b636c0a296b4p-1, 0x1.1ac470c460758p-1, 0x1.19c083bcfcdbcp-1, 0x1.1852c3296f963p-1, 0x1.167a8f02743afp-1, 0x1.143aac62a33ecp-1, 0x1.1198805fafc3fp-1, 0x1.0e9b685ac838p-1, 0x1.0b4c26f640715p-1, 0x1.07b46b8110478p-1, 0x1.03de6b76677bep-1, 0x1.ffa91ea6e8aa3p-2, 0x1.f742608675b9ap-2, 0x1.ee9cc64b696d9p-2, 0x1.e5cba28650365p-2, 0x1.dce12cb14ea9bp-2, 0x1.d3ee63757439ep-2, 0x1.cb02eb6e0cf45p-2, 0x1.c22cfa226cde1p-2, 0x1.b97953d68c7a3p-2, 0x1.b0f3564f537f8p-2, 0x1.a8a4ef29829d1p-2, 0x1.a096c1976f38fp-2, 0x1.98d00df36d0a5p-2, 0x1.9156ff390fe65p-2, 0x1.8a307784f5387p-2, 0x1.83606914b54b3p-2, 0x1.7ce9c1b4960fbp-2, 0x1.76ce7f9a2bacp-2, 0x1.710fed37fcd98p-2, 0x1.6bae85fd75e2fp-2, 0x1.66aa1aabebec5p-2, 0x1.6201fbd963733p-2, 0x1.5db4edc1a959ep-2, 0x1.59c1378dc9615p-2, 0x1.5624c9c23ead9p-2, 0x1.52dd4250cc44ap-2, 0x1.4fe7f2e565ef6p-2, 0x1.4d41eeb242e12p-2, 0x1.4ae81885d7026p-2, 0x1.48d736f8e0aep-2, 0x1.470be82c3f16p-2, 0x1.4582bc6cdeb42p-2, 0x1.44383092319p-2, 0x1.4328b8c6f1019p-2, 0x1.4250d1c51a2c9p-2, 0x1.41acf2e1cf0f4p-2, 0x1.41399d372acbbp-2, 0x1.40f361797562bp-2, 0x1.40d6dc0f7d402p-2, 0x1.40e0ba346229ap-2, 0x1.410dc4572471ap-2, 0x1.415ad554cbb32p-2, 0x1.41c4e0e69f11ap-2, 0x1.4248f588df28ep-2, 0x1.42e43db63380cp-2, 0x1.4393febd56797p-2, 0x1.445597fc2bc3ep-2, 0x1.452689d2ad582p-2, 0x1.4604707858af3p-2, 0x1.46ed030e1c64ep-2, 0x1.47de16971ee91p-2, 0x1.48d59c9017304p-2, 0x1.49d1a31840535p-2, 0x1.4ad0540f7567bp-2, 0x1.4bcff3387ddb5p-2, 0x1.4ccede09a1874p-2, 0x1.4dcb8e1c891afp-2, 0x1.4ec4948fed6e1p-2, 0x1.4fb89ad03fce3p-2, 0x1.50a661cd29577p-2, 0x1.518cc0cbdcd15p-2, 0x1.526aa519b09adp-2, 0x1.533f10d18fc08p-2, 0x1.54091a07ae01ep-2, 0x1.54c7eaf8047dfp-2, 0x1.557abee210de7p-2, 0x1.5620e351c64d2p-2, 0x1.56b9b6b170e18p-2, 0x1.5744a7bc125fep-2, 0x1.57c133999b6eep-2, 0x1.582ee65055bc1p-2, 0x1.588d59d3a54cp-2, 0x1.58dc34deb9f2bp-2, 0x1.591b2ace5b64p-2, 0x1.5949fb37079ap-2, 0x1.59686f8e73349p-2, 0x1.59765cb5b4ef5p-2, 0x1.5973a100ebbd4p-2, 0x1.596023e12bb14p-2, 0x1.593bd5f51ae7p-2, 0x1.5906b02ddd9fbp-2, 0x1.58c0b2fdf7ea3p-2, 0x1.5869e5764eb0ap-2, 0x1.58025750130d7p-2, 0x1.578a1ba48ab16p-2, 0x1.57014e623d2ddp-2, 0x1.56680f8097308p-2, 0x1.55be84a51e4dp-2, 0x1.5504d77d4df29p-2, 0x1.543b36c80a14p-2, 0x1.5361d65639f77p-2, 0x1.5278ebd481646p-2, 0x1.5180b0fc4ac39p-2, 0x1.507963920c3dp-2, 0x1.4f63453056b2ep-2, 0x1.4e3e97d903a4ep-2, 0x1.4d0ba0402bf77p-2, 0x1.4bcaa677fe17ap-2, 0x1.4a7bf52a56434p-2, 0x1.491fd79eb4504p-2, 0x1.47b69a95de0fcp-2, 0x1.46408c146510cp-2, 0x1.44bdfc6988a79p-2, 0x1.432f3ced27b5p-2, 0x1.41949f578538dp-2, 0x1.3fee76057515dp-2, 0x1.3e3d13d1ed334p-2, 0x1.3c80cc4a7b5dp-2, 0x1.3ab9f3d6fae86p-2, 0x1.38e8ded6c8c5fp-2, 0x1.370de1e3d185p-2, 0x1.35295135b415dp-2, 0x1.333b81354ed94p-2, 0x1.3144c5a6539c1p-2, 0x1.2f45728e51661p-2, 0x1.2d3ddbcf2e38cp-2, 0x1.2b2e549f9e6e3p-2, 0x1.29172fbb005c4p-2, 0x1.26f8bf11eed7fp-2, 0x1.24d3542b537d7p-2, 0x1.22a73fa1d74b1p-2, 0x1.2074d10b78912p-2, 0x1.1e3c583d12139p-2, 0x1.1bfe235f0b443p-2, 0x1.19ba80549e68p-2, 0x1.1771bb265de6p-2, 0x1.15241f6c76ce1p-2, 0x1.12d1f7c48bb79p-2, 0x1.107b8dac57714p-2, 0x1.0e21297db26b5p-2, 0x1.0bc3127606963p-2, 0x1.09618ec8233d7p-2, 0x1.06fce3879eeefp-2, 0x1.0495548f2eff7p-2, 0x1.022b245e4e166p-2, 0x1.ff7d286eed154p-3, 0x1.fa9fc96f21eeap-3, 0x1.f5bea91f66437p-3, 0x1.f0da43a27ee54p-3, 0x1.ebf3111efbeefp-3, 0x1.e709884581ffdp-3, 0x1.e21e1cde144e6p-3, 0x1.dd31405042368p-3, 0x1.d843616d79f7cp-3, 0x1.d354ec5f1844bp-3, 0x1.ce664ac01bbd1p-3, 0x1.c977e3a597e3ap-3, 0x1.c48a1ba19d441p-3, 0x1.bf9d54c0e26fcp-3, 0x1.bab1ee8abb31bp-3, 0x1.b5c845cc2db1ep-3, 0x1.b0e0b4b65e848p-3, 0x1.abfb942210c2cp-3, 0x1.a71938b0150a8p-3, 0x1.a239f6375d2b7p-3, 0x1.9d5e1ca0bae1dp-3, 0x1.9885fa2f84e13p-3, 0x1.93b1dadc90f43p-3, 0x1.8ee2080970a29p-3, 0x1.8a16c8b280385p-3, 0x1.8550619018ad7p-3, 0x1.808f154678ebdp-3, 0x1.7bd3241273486p-3, 0x1.771ccbe206a2cp-3, 0x1.726c487b9c69dp-3, 0x1.6dc1d3519c23ap-3, 0x1.691da3e90ab82p-3, 0x1.647fefbc34564p-3, 0x1.5fe8ea13f09e1p-3, 0x1.5b58c3ef2cb09p-3, 0x1.56cfac71b7f25p-3, 0x1.524dd19e91579p-3, 0x1.4dd35debfc47ap-3, 0x1.49607b6e86b6dp-3, 0x1.44f551107841p-3, 0x1.40920490f3156p-3, 0x1.3c36ba0b6ec95p-3, 0x1.37e3939d1987bp-3, 0x1.3398b1a214766p-3, 0x1.2f5632c48bd6p-3, 0x1.2b1c340533a47p-3, 0x1.26ead0c4cc216p-3, 0x1.22c222cc832c5p-3, 0x1.1ea242577a8b7p-3, 0x1.1a8b461880785p-3, 0x1.167d434521b9cp-3, 0x1.12784d9e0da54p-3, 0x1.0e7c7775e5821p-3, 0x1.0a89d1b4b16bdp-3, 0x1.06a06bedbe282p-3, 0x1.02c05483ff556p-3, 0x1.fdd330bca9a84p-4, 0x1.f63885fd64ed3p-4, 0x1.eeb0bf4402612p-4, 0x1.e73bedabbb6c7p-4, 0x1.dfda225e620bcp-4, 0x1.d88b6b0b8e428p-4, 0x1.d14fd3230eab9p-4, 0x1.ca2764cd310aap-4, 0x1.c31227cc187e9p-4, 0x1.bc10219fd8706p-4, 0x1.b52155ef40a8fp-4, 0x1.ae45c67ba1e8p-4, 0x1.a77d7333e6c2bp-4, 0x1.a0c85a5212348p-4, 0x1.9a26781a9aa6fp-4, 0x1.9397c76ce0f0ep-4, 0x1.8d1c416b23d2bp-4, 0x1.86b3dd9d2dae3p-4, 0x1.805e92148db8bp-4, 0x1.7a1c5369a4bf2p-4, 0x1.73ed14c927c5bp-4, 0x1.6dd0c80184389p-4, 0x1.67c75d914c2b3p-4, 0x1.61d0c4ac9694fp-4, 0x1.5beceb5b5be57p-4, 0x1.561bbe692494p-4, 0x1.505d291bac3b7p-4, 0x1.4ab11627499edp-4, 0x1.451770176c758p-4, 0x1.3f901e716d1bep-4, 0x1.3a1b09bb68f56p-4, 0x1.34b817ea22f12p-4, 0x1.2f672e582c789p-4, 0x1.2a28324db836dp-4, 0x1.24fb0810bdfa6p-4, 0x1.1fdf930d4bde6p-4, 0x1.1ad5b5e1606a1p-4, 0x1.15dd525e96688p-4, 0x1.10f6499eb071ap-4, 0x1.0c207c43f648fp-4, 0x1.075bca64878d4p-4, 0x1.02a8137994f1p-4, 0x1.fc0a6cd54948fp-5, 0x1.f2e62336f1698p-5, 0x1.e9e305ebd767p-5, 0x1.e100cfe26ca37p-5, 0x1.d83f3b33349edp-5, 0x1.cf9e012d66c3p-5, 0x1.c71cda60d5124p-5, 0x1.bebb7ec153a5ap-5, 0x1.b679a580d0d3cp-5, 0x1.ae570558831bap-5, 0x1.a653546eb4e47p-5, 0x1.9e6e48752bf9dp-5, 0x1.96a796b922acfp-5, 0x1.8efef3fcd6685p-5, 0x1.877413c43378cp-5, 0x1.8006aa878238ep-5, 0x1.78b66e0da62e8p-5, 0x1.71830fb5373bbp-5, 0x1.6a6c44e98803fp-5, 0x1.6371bf3b69d61p-5, 0x1.5c9331ef6cfffp-5, 0x1.55d050478ba3fp-5, 0x1.4f28cd836e551p-5, 0x1.489c5c7e1e1d8p-5, 0x1.422ab01c40d2dp-5, 0x1.3bd37b52dcdc9p-5, 0x1.35967129c2567p-5, 0x1.2f7344c0618dap-5, 0x1.2969a951901c7p-5, 0x1.2379523229122p-5, 0x1.1da1f30c458b2p-5, 0x1.17e33eb30bb07p-5, 0x1.123cea57bc65cp-5, 0x1.0caea991e776ap-5, 0x1.0738314c7cbf5p-5, 0x1.01d9356a79ee8p-5, 0x1.f922d692562dcp-6, 0x1.eec111703532fp-6, 0x1.e48c84e1e5739p-6, 0x1.da849dd27e94dp-6, 0x1.d0a8c8fd65d9ap-6, 0x1.c6f873d134039p-6, 0x1.bd730c7bf17p-6, 0x1.b4180201bb122p-6, 0x1.aae6c469f8b34p-6, 0x1.a1dec4e06e4efp-6, 0x1.98ff7571cdeafp-6, 0x1.904849001ebbap-6, 0x1.87b8b1b3fc04cp-6, 0x1.7f50239ae2ccep-6, 0x1.770e18556a706p-6, 0x1.6ef202fe2178ap-6, 0x1.66fb5d86eb849p-6, 0x1.5f299fd1e5653p-6, 0x1.577c41bc54ba1p-6, 0x1.4ff2bfa9a30fep-6, 0x1.488c95eeb67b1p-6, 0x1.4149419ff20a7p-6, 0x1.3a28411f661f5p-6, 0x1.332914005200fp-6, 0x1.2c4b3ac99901p-6, 0x1.258e36eacce11p-6, 0x1.1ef18afbe6b51p-6, 0x1.1874bafc1c7a1p-6, 0x1.12174c697064fp-6, 0x1.0bd8c60996c38p-6, 0x1.05b8af9d911b3p-6, 0x1.ff6d239bb7bd7p-7, 0x1.f3a3ecc2cd8b2p-7, 0x1.e814d0f1838efp-7, 0x1.dcbee9294cf62p-7, 0x1.d1a150fb8403p-7, 0x1.c6bb26653243fp-7, 0x1.bc0b89c6f079ap-7, 0x1.b1919de2176c1p-7, 0x1.a74c87cbc0e1ap-7, 0x1.9d3b6ee508a18p-7, 0x1.935d7d1503cfep-7, 0x1.89b1df37bd039p-7, 0x1.8037c4d92d464p-7, 0x1.76ee5f7192335p-7, 0x1.6dd4e2438db97p-7, 0x1.64ea8300e7b8bp-7, 0x1.5c2e7bcbfb90ap-7, 0x1.53a0064586f36p-7, 0x1.4b3e6117370f7p-7, 0x1.4308cbd92e19fp-7, 0x1.3afe8593ff385p-7, 0x1.331ed5eca7726p-7, 0x1.2b690796e82e6p-7, 0x1.23dc5eeaabbdfp-7, 0x1.1c782d01bae5dp-7, 0x1.153bb9dedc126p-7, 0x1.0e26569f37e12p-7, 0x1.07375811788e7p-7, 0x1.006e134fef818p-7, 0x1.f393bef034365p-8, 0x1.e6942c0efba33p-8, 0x1.d9dc25a0229b4p-8, 0x1.cd6a67c63da9p-8, 0x1.c13db323efb98p-8, 0x1.b554ccc7b601ap-8, 0x1.a9ae7e2314984p-8, 0x1.9e49950190f58p-8, 0x1.9324e3834ccp-8, 0x1.883f400d9af59p-8, 0x1.7d978539a5f6p-8, 0x1.732c91ae10999p-8, 0x1.68fd48152a878p-8, 0x1.5f088f50166d7p-8, 0x1.554d52dce91ccp-8, 0x1.4bca82c40a7b1p-8, 0x1.427f12e901e0fp-8, 0x1.3969faab22809p-8, 0x1.308a34df59493p-8, 0x1.27dec019fa11p-8, 0x1.1f669f3fc6f9cp-8, 0x1.1720d9736e177p-8, 0x1.0f0c79bd263a8p-8, 0x1.07288e5091aa8p-8, 0x1.fee8537b98838p-9, 0x1.efdcc3876851cp-9, 0x1.e12c9e7105d9bp-9, 0x1.d2d61e3acd36ap-9, 0x1.c4d7879e7b5a2p-9, 0x1.b72f2029bb832p-9, 0x1.a9db38ff1d69cp-9, 0x1.9cda2932f7171p-9, 0x1.902a4f33e0b79p-9, 0x1.83ca0c0771a08p-9, 0x1.77b7be31ed4d8p-9, 0x1.6bf1ea81da7b1p-9, 0x1.6077099382aa3p-9, 0x1.554590012bdbdp-9, 0x1.4a5c0ba6dcce9p-9, 0x1.3fb8f2b18817fp-9, 0x1.355add9dbd605p-9, 0x1.2b40695ba03c8p-9, 0x1.21683307cccafp-9, 0x1.17d0dc9fe51bdp-9, 0x1.0e790fa353d9p-9, 0x1.055f79c436e2dp-9, 0x1.f9059dec89df4p-10, 0x1.e7c391bb49502p-10, 0x1.d6f64d0d9228cp-10, 0x1.c69b594260831p-10, 0x1.b6b04b94d3f66p-10, 0x1.a732c589d6873p-10, 0x1.982074cb94edap-10, 0x1.89771292153a5p-10, 0x1.7b3465312d043p-10, 0x1.6d56384dbb5f5p-10, 0x1.5fda632f74634p-10, 0x1.52bec5b686c81p-10, 0x1.460142c978d6fp-10, 0x1.399fc502d69a7p-10, 0x1.2d983cbb3046cp-10, 0x1.21e8a0b4f3a38p-10, 0x1.168ef0546ce46p-10, 0x1.0b893adb2d7c8p-10, 0x1.00d5a63fd0218p-10, 0x1.ece4c98ed3373p-11, 0x1.d8bb4eef85a25p-11, 0x1.c52b56415595p-11, 0x1.b231923b2ae8dp-11, 0x1.9fcad58210cb1p-11, 0x1.8df3e0cec4862p-11, 0x1.7ca9644aa3406p-11, 0x1.6be81b719ff87p-11, 0x1.5bacc57cd719bp-11, 0x1.4bf4392698654p-11, 0x1.3cbb7f55fbb28p-11, 0x1.2dfee928b59afp-11, 0x1.1fbb659bf0d58p-11, 0x1.11ee66822281cp-11, 0x1.0494d13c759c5p-11, 0x1.ef577295a008ap-12, 0x1.d660cca2715abp-12, 0x1.be4174aa6cd41p-12, 0x1.a6f448e3b413ep-12, 0x1.9074d4af0f8b9p-12, 0x1.7abe27294681cp-12, 0x1.65cb4d11d5c98p-12, 0x1.5197c6db6c8bcp-12, 0x1.3e1ed35ec10afp-12, 0x1.2b5b9cb6d416fp-12, 0x1.19494967b8f91p-12, 0x1.07e30885168edp-12, 0x1.ee4853542dfdcp-13, 0x1.ce1058365fb65p-13, 0x1.af15870f0a0cbp-13, 0x1.914fb311fce2p-13, 0x1.74b71600519cap-13, 0x1.59444327283dp-13, 0x1.3eeffd3f287fp-13, 0x1.25b33894fab1bp-13, 0x1.0d871702b48bdp-13, 0x1.ecc7dfc6a89b5p-14, 0x1.c086a56778579p-14, 0x1.963b753416ab8p-14, 0x1.6dd81db7acc65p-14, 0x1.474e864ece7c4p-14, 0x1.2290f3fc2ccc1p-14, 0x1.ff2469cbe235ap-15, 0x1.bc8b80491868dp-15, 0x1.7d3f857b9a565p-15, 0x1.412a58bb2238fp-15, 0x1.083673ba8c16ap-15, 0x1.a49fd62efbc44p-16, 0x1.3ec4f753b233bp-16, 0x1.bd686e2512fep-17, 0x1.0888f6c8de446p-17, 0x1.7a5c1cf5dabe9p-19, -0x1.03108232a204ap-19, -0x1.abc165b255403p-18, -0x1.61170fee64a46p-17, -0x1.e2be6aaac48e8p-17, -0x1.2d95a8255bb5p-16, -0x1.65573eacedbf2p-16, -0x1.98ca13b5926c7p-16, -0x1.c8120e3ce8902p-16, -0x1.f35039d792032p-16, -0x1.0d4e2ad288bc1p-15, -0x1.1f0e18e54da3ap-15, -0x1.2ef4cae150b72p-15, -0x1.3d0bfc633bfc8p-15, -0x1.496283b03b701p-15, -0x1.5408f1d3eb11cp-15, -0x1.5d068ff26d5c6p-15, -0x1.646aac1c2b84bp-15, -0x1.6a41d83d7b377p-15, -0x1.6e9d8781dc087p-15, -0x1.718d6e9ddf8d9p-15, -0x1.731d8b918a24p-15, -0x1.735b81182f439p-15, -0x1.72544f7825371p-15, -0x1.7013fb546ee0ap-15, -0x1.6ca5cc0e7321bp-15, -0x1.6814c5cb70b5ep-15, -0x1.626c2af423d91p-15, -0x1.5bb7ceb871572p-15, -0x1.54040236fb993p-15, -0x1.4b5d11740f93cp-15, -0x1.41cea29745919p-15, -0x1.3763461f17ac6p-15, -0x1.2c242015b2422p-15, -0x1.2018d2387edafp-15, -0x1.1347ff0729167p-15, -0x1.05b82a47dc2dbp-15, -0x1.eee0fac3808c2p-16, -0x1.d0f105f3505c7p-16, -0x1.b1b0f76b8bde9p-16, -0x1.913225b85815p-16, -0x1.6f7f5208ab85ap-16, -0x1.4ca0b711cc94dp-16, -0x1.28a46676fc963p-16, -0x1.03943894fe3a9p-16, -0x1.bae780154f963p-17, -0x1.6c9fc05326d47p-17, -0x1.1c7cda8c33abdp-17, -0x1.9554ca352e6dp-18, -0x1.dd58bad488dbfp-19, -0x1.157e0524d5f44p-20, 0x1.98f1d6841ccc6p-20, 0x1.13e64ea1d2cedp-18, 0x1.c373de0b29b87p-18, 0x1.3a66e305ebe69p-17, 0x1.93f3403ab0a4p-17, 0x1.ee585f6cbea56p-17, 0x1.24c638ee46dbp-16, 0x1.52c0e5180ebe1p-16, 0x1.81143bbb63331p-16, 0x1.afb88ac4a0f2bp-16, 0x1.dea7b1d353769p-16, 0x1.06eedb254a6e6p-15, 0x1.1eac2e5d1bd37p-15, 0x1.368afbd9b3789p-15, 0x1.4e899c385a532p-15, 0x1.66a84ccf45563p-15, 0x1.7ed9a71e0a2e4p-15, 0x1.971cb1a93134fp-15, 0x1.af6c04da018f1p-15, 0x1.c7bdc226ce2fep-15, 0x1.e00a972b58f0fp-15, 0x1.f848e524ab2fp-15, 0x1.083b241effab5p-14, 0x1.144889a57c474p-14, 0x1.204bc74f7c5dcp-14, 0x1.2c4446f4972eep-14, 0x1.383199dc86951p-14, 0x1.441354e358d9fp-14, 0x1.4fe8d8e1bfb19p-14, 0x1.5bb2627686f83p-14, 0x1.676f3bf879829p-14, 0x1.731eba3a2643fp-14, 0x1.7ebfaf22faf6ap-14, 0x1.8a52b6572ad9ap-14, 0x1.95d6f988918fbp-14, 0x1.a14bbe8009b82p-14, 0x1.acaf697beeefep-14, 0x1.b804fe846b711p-14, 0x1.c3460dbc856fp-14, 0x1.ce7533736f574p-14, 0x1.d98e8aa5edc64p-14, 0x1.e490d264c01bcp-14, 0x1.ef7a72e8f72dcp-14, 0x1.fa4a4f9e8b8eep-14, 0x1.027fe1e415dfbp-13, 0x1.07cd32e058a68p-13, 0x1.0d0ce2da8e734p-13, 0x1.123eabc073086p-13, 0x1.176246e3ff494p-13, 0x1.1c7781a007a4p-13, 0x1.217e4b03a14c1p-13, 0x1.2676ba37ed721p-13, 0x1.2b61054f0d651p-13, 0x1.303d592f9cb72p-13, 0x1.350ba6c8b239bp-13, 0x1.39cb9c86ab6acp-13, 0x1.3e7cdc571ef6fp-13, 0x1.431f340b4dbadp-13, 0x1.47b29da692827p-13, 0x1.4c371756e8f34p-13, 0x1.50ac8389b1fcep-13, 0x1.5512abf4480cap-13, 0x1.59695ef99880dp-13, 0x1.5db07e13bb1afp-13, 0x1.61e7ee54d72bcp-13, 0x1.660f86d513cd2p-13, 0x1.6a27129cbd606p-13, 0x1.6e2e5865debdp-13, 0x1.72254fe745dbbp-13, 0x1.760c2931689d5p-13, 0x1.79e2ecfc79d95p-13, 0x1.7da915f851064p-13, 0x1.815f09f540b1fp-13, 0x1.8504a2bcd61fdp-13, 0x1.8899ee08fa02ep-13, 0x1.8c1e931a20e49p-13, 0x1.8f930264d6a44p-13, 0x1.92f77def21446p-13, 0x1.964c5d60fd87ap-13, 0x1.99916c401c915p-13, 0x1.9cc5bb98c2eb3p-13, 0x1.9fea44b789be1p-13, 0x1.a2ff5f57bdda1p-13, 0x1.a6042d9639f6cp-13, 0x1.a8f8acdc09ba5p-13, 0x1.abdd189f57d46p-13, 0x1.aeb197c4500d6p-13, 0x1.b17655cadc45ap-13, 0x1.b42b80e63203ep-13, 0x1.b6d13e5f0578dp-13, 0x1.b967a0691f1adp-13, 0x1.bbee9dcb358f1p-13, 0x1.be6615e050456p-13, 0x1.c0cdfb272b3bap-13, 0x1.c326894569a4bp-13, 0x1.c570218c5ed85p-13, 0x1.c7aacb391c9acp-13, 0x1.c9d63177bb9e9p-13, 0x1.cbf269001689dp-13, 0x1.cdffacaa992b7p-13, 0x1.cffe271dc3341p-13, 0x1.d1ee57a4b10e4p-13, 0x1.d3d004f31845ap-13, 0x1.d5a3183226344p-13, 0x1.d767d0d4fcd7cp-13, 0x1.d91e6ba5de762p-13, 0x1.dac6f567f9accp-13, 0x1.dc616f16ec916p-13, 0x1.ddedeb9acde56p-13, 0x1.df6c8c2c1633ep-13, 0x1.e0dd74d5a23e4p-13, 0x1.e240c82d1b693p-13, 0x1.e396a8130da3dp-13, 0x1.e4df3773c68d2p-13, 0x1.e61a98d10743fp-13, 0x1.e748d2f5ba973p-13, 0x1.e86a9698ec1eap-13, 0x1.e97f35be31e92p-13, 0x1.ea8731d4f9792p-13, 0x1.eb82cac7d756ap-13, 0x1.ec71d177ed8fcp-13, 0x1.ed54843349f6fp-13, 0x1.ee2b1cd83746bp-13, 0x1.eef5a110ed886p-13, 0x1.efb419c792323p-13, 0x1.f067a1a10493ap-13, 0x1.f10cd6e4ff98bp-13, 0x1.f1a8b15a011f2p-13, 0x1.f238628862126p-13, 0x1.f2bd35f9acc1dp-13, 0x1.f3371d3704376p-13, 0x1.f3a574858787dp-13, 0x1.f404ab9e1b8c5p-13, 0x1.f4616423cb07bp-13, 0x1.f4af59fc6f006p-13, 0x1.f4f2c9afb0fp-13, 0x1.f52bd42f2860ep-13, 0x1.f55a99ea3451cp-13, 0x1.f57f3b559b43p-13, 0x1.f599d9431a874p-13, 0x1.f5aa92d3d0b8cp-13, 0x1.f5b180a2a998ap-13, 0x1.f5aed87b6ac3cp-13, 0x1.f5a2af879988cp-13, 0x1.f58d1d80a61f2p-13, 0x1.f56e4af6f8bbep-13, 0x1.f54657961cff5p-13, 0x1.f5156376da4a2p-13, 0x1.f4db905b444f5p-13, 0x1.f498feb7dee8p-13, 0x1.f44dcb1efb4c7p-13, 0x1.f3fa140e9f37ap-13, 0x1.f39dfa7cbc64bp-13, 0x1.f339a06f00f57p-13, 0x1.f2cd2546991f6p-13, 0x1.f258a36960beap-13, 0x1.f1dc3c4158b43p-13, 0x1.f15816632a506p-13, 0x1.f0cc63702be13p-13, 0x1.f0392d1af9615p-13, 0x1.ef9e2e9683377p-13, 0x1.eefba90422021p-13, 0x1.ee52ab292f886p-13, 0x1.eda23dd5f2b3dp-13, 0x1.ecead4ea1c5b6p-13, 0x1.ec2ce2c38b174p-13, 0x1.eb682551ec7cep-13, 0x1.ea9cb7350f43cp-13, 0x1.e9caa43b75128p-13, 0x1.e8f23a4f09f2bp-13, 0x1.e8138f63f0f4ep-13, 0x1.e72ebb54586a5p-13, 0x1.e643d84dae701p-13, 0x1.e553012af627fp-13, 0x1.e45c50e88e6d3p-13, 0x1.e35fe270b3cbfp-13, 0x1.e25da0ec1c95cp-13, 0x1.e1563522c4ffep-13, 0x1.e0492ac658295p-13, 0x1.df36ce4835429p-13, 0x1.de1f44042e9dep-13, 0x1.dd02b655809f1p-13, 0x1.dbe12827fc16ap-13, 0x1.daba1409cf4afp-13, 0x1.d98e4264a38c9p-13, 0x1.d85e36ee5c0c1p-13, 0x1.d729d59c1a94fp-13, 0x1.d5f0362a48ec1p-13, 0x1.d4b2867dff449p-13, 0x1.d37038b24861fp-13, 0x1.d229c117688aap-13, 0x1.d0df2564c2465p-13, 0x1.cf90783882039p-13, 0x1.ce3dcef075c37p-13, 0x1.cce72bbd8bb2dp-13, 0x1.cb8ce4766bddcp-13, 0x1.ca2ed30021c14p-13, 0x1.c8cd22c179006p-13, 0x1.c767ed192c39cp-13, 0x1.c6001c8035f24p-13, 0x1.c492fda239b45p-13, 0x1.c3239ef46f655p-13, 0x1.c1b0e7ef66feep-13, 0x1.c03b31cc9e04bp-13, 0x1.bec25a230ae6ep-13, 0x1.bd467eb1a47b9p-13, 0x1.bbc7ddf29235p-13, 0x1.ba4666f990072p-13, 0x1.b8c213c6e01bdp-13, 0x1.b73b1c8700b76p-13, 0x1.b5b18ce2b6612p-13, 0x1.b42597ebe4e9dp-13, 0x1.b29702d1db645p-13, 0x1.b10646ee46b8bp-13, 0x1.af7311ffb3077p-13, 0x1.addd9824f0db4p-13, 0x1.ac460babbf95ep-13, 0x1.aaac674f0ee0ap-13, 0x1.a910b401f2389p-13, 0x1.a77307288a36ep-13, 0x1.a5d3749b69d21p-13, 0x1.a4320e014ba3ap-13, 0x1.a28ee3936a95ap-13, 0x1.a0ea03b793205p-13, 0x1.9f437e42d02dbp-13, 0x1.9d9b63684cb6ep-13, 0x1.9bf1c3c07920fp-13, 0x1.9a46ae938d054p-13, 0x1.989a31a876a74p-13, 0x1.96ec609d8a78ap-13, 0x1.953d442db8fa3p-13, 0x1.938cebee06af3p-13, 0x1.91db67b1166ap-13, 0x1.9028c97104edap-13, 0x1.8e751c6fee734p-13, 0x1.8cc06386e4c23p-13, 0x1.8b0acde2f018cp-13, 0x1.89546f0d823c6p-13, 0x1.879d527bb5888p-13, 0x1.85e4fdd97b266p-13, 0x1.842b63f0ae591p-13, 0x1.8271ba05de87ep-13, 0x1.80b820180e33fp-13, 0x1.7efcb16523372p-13, 0x1.7d418087447d9p-13, 0x1.7b85dbee76bf3p-13, 0x1.79c94fd3f9729p-13, 0x1.780c646aa2c65p-13, 0x1.764f2448bd31dp-13, 0x1.7491a729f3fb3p-13, 0x1.72d3d3587b4cbp-13, 0x1.7115d399365b8p-13, 0x1.6f579f2efa7f3p-13, 0x1.6d99354379c49p-13, 0x1.6bdaa9377b6bcp-13, 0x1.6a1c0a6fb094ap-13, 0x1.685d91f7c17a1p-13, 0x1.669e5f6554192p-13, 0x1.64dfcc8998f4bp-13, 0x1.63218d460f846p-13, 0x1.616318363226dp-13, 0x1.5fa4f50d540d1p-13, 0x1.5de6ac47a6f36p-13, 0x1.5c2949caa30e7p-13, 0x1.5a6bb89a623d5p-13, 0x1.58add262148cep-13, 0x1.56f0b357994p-13, 0x1.5533e4e2b4e03p-13, 0x1.5377a4a4a664p-13, 0x1.51bb9024c8865p-13, 0x1.50004b5df42f5p-13, 0x1.4e4552daec026p-13, 0x1.4c8ad02940ce1p-13, 0x1.4ad0d75964f76p-13, 0x1.49176fd485af5p-13, 0x1.475e9fc1343d8p-13, 0x1.45a66dfb00bf7p-13, 0x1.43eee159061c2p-13, 0x1.423800aeb3c73p-13, 0x1.4081d2b142b8ep-13, 0x1.3ecc5df842d7dp-13, 0x1.3d17a9038a7cap-13, 0x1.3b63ba0b86167p-13, 0x1.39b096b30b122p-13, 0x1.37fe44e4440edp-13, 0x1.364ccb4606f99p-13, 0x1.349c2ef311668p-13, 0x1.32ec6ded97529p-13, 0x1.313d8804b0bbfp-13, 0x1.2f8fa4a417748p-13, 0x1.2de2c259634b6p-13, 0x1.2c36cfad70ca2p-13, 0x1.2a8be1990cfa8p-13, 0x1.28e214ee8e94cp-13, 0x1.27391940a0b55p-13, 0x1.2590b9bf166d8p-13, 0x1.23e9f0eead2b2p-13, 0x1.2244aa807ddb2p-13, 0x1.209fffdb651e1p-13, 0x1.1efc58ebf28c6p-13, 0x1.1d5a0023b9b7ap-13, 0x1.1bb8c8a5b583ep-13, 0x1.1a18bcd58b723p-13, 0x1.1879e150a0f11p-13, 0x1.16dc3918abffp-13, 0x1.153fc7c5a03eep-13, 0x1.13a490ef5acefp-13, 0x1.120a9810fbb8cp-13, 0x1.1071e0cafdf7ap-13, 0x1.0eda6ee258fdcp-13, 0x1.0d44466204f6ep-13, 0x1.0baf69961d38ep-13, 0x1.0a1be2483123dp-13, 0x1.0889a207079c3p-13, 0x1.06f8e9e4fc2f4p-13, 0x1.05697550ee20cp-13, 0x1.03dacfe502591p-13, 0x1.024e0c5c02634p-13, 0x1.00c285d4c7d11p-13, 0x1.fe71038de310ap-14, 0x1.fb60798e133bep-14, 0x1.f852529808ae8p-14, 0x1.f545d8ae9f90cp-14, 0x1.f23cdeb361666p-14, 0x1.ef36df75fd29ap-14, 0x1.ec33c59972368p-14, 0x1.e9339459d2c98p-14, 0x1.e6365a594901bp-14, 0x1.e33cefbf235p-14, 0x1.e044c871b053ep-14, 0x1.dd500bfb23ebep-14, 0x1.da5e9fd4cf6afp-14, 0x1.d7701c4259c93p-14, 0x1.d4837eb370135p-14, 0x1.d19c37eb90fbap-14, 0x1.ceb6c6a98f646p-14, 0x1.cbd4526fcf1ddp-14, 0x1.c8f4e86ac3693p-14, 0x1.c6188f1c8cfd6p-14, 0x1.c33f8c29b0d6ap-14, 0x1.c06919f73d80bp-14, 0x1.bd9600d635da7p-14, 0x1.bac5daa7d4e25p-14, 0x1.b7f918803a9e9p-14, 0x1.b52f43b138014p-14, 0x1.b268951f8e027p-14, 0x1.afa5123778afep-14, 0x1.ace4e312674cfp-14, 0x1.aa27a0df11eafp-14, 0x1.a76c32ebc0901p-14, 0x1.a4b57dd37c3f5p-14, 0x1.a20277e689dd5p-14, 0x1.9f51c62b2623ap-14, 0x1.9ca3fb96c4a13p-14, 0x1.99f9850c17f5fp-14, 0x1.975253dd7647p-14, 0x1.94ae3d039a4f1p-14, 0x1.920d5ce84fafp-14, 0x1.8f6fab8ea40ep-14, 0x1.8cd50a1355ff7p-14, 0x1.8a3dc76860389p-14, 0x1.87a995f2ed6ddp-14, 0x1.85189589eda5ap-14, 0x1.828ac1bb9c5fp-14, 0x1.80001fe3517a8p-14, 0x1.7d78ab552048fp-14, 0x1.7af464bcef9fcp-14, 0x1.78734cb760d84p-14, 0x1.75f56313cb88p-14, 0x1.737aa7eec3549p-14, 0x1.71031cc8b9399p-14, 0x1.6e8f8e6ef39e1p-14, 0x1.6c1f4de3666e1p-14, 0x1.69af930acba75p-14, 0x1.6744ab3108c76p-14, 0x1.64dcf7944b6adp-14, 0x1.627873abb09d3p-14, 0x1.601719cd25431p-14, 0x1.5db8e520598dfp-14, 0x1.5b5dd7a4b4f3dp-14, 0x1.5905f27a573bp-14, 0x1.56b134b4e8545p-14, 0x1.545f9ce840d13p-14, 0x1.52112bf1787e4p-14, 0x1.4fc5ddd8f4358p-14, 0x1.4d7ce05444af6p-14, 0x1.4b38e69ea6e12p-14, 0x1.48f70a069e6c7p-14, 0x1.46b750af6dbdbp-14, 0x1.447c1ce1140aap-14, 0x1.4242efd352dp-14, 0x1.400e3f4cb0d26p-14, 0x1.3ddbf8e36abf9p-14, 0x1.3bac648dfd54ep-14, 0x1.398014656fa5dp-14, 0x1.3756ebe093775p-14, 0x1.3530e062e5207p-14, 0x1.330e8b5b28998p-14, 0x1.30ede37aa9792p-14, 0x1.2ed11bbf3dd56p-14, 0x1.2cb75c0e4aa8bp-14, 0x1.2aa0079e3a885p-14, 0x1.288bad18d29efp-14, 0x1.267b8bc478e6p-14, 0x1.246e08bc6fc71p-14, 0x1.2262f32843bd1p-14, 0x1.205b098018e24p-14, 0x1.1e56388e8a614p-14, 0x1.1c54e745bd3e6p-14, 0x1.1a55897bf14f3p-14, 0x1.1859a4c86fce1p-14, 0x1.1660b4b6f057cp-14, 0x1.146ab10b96716p-14, 0x1.12763f2afb0ecp-14, 0x1.10877289d40b4p-14, 0x1.0e9a30b320fedp-14, 0x1.0cafda9014016p-14, 0x1.0ac8129feb925p-14, 0x1.08e3d46ec0308p-14, 0x1.07019efedc99fp-14, 0x1.052354c5f733cp-14, 0x1.034759eace272p-14, 0x1.016e3cca67658p-14, 0x1.ff300df646b62p-15, 0x1.fb8930d6ab7e8p-15, 0x1.f7e7f88fcfe9dp-15, 0x1.f44c573c653fep-15, 0x1.f0b6634ad37c7p-15, 0x1.ed25f620b6efcp-15, 0x1.e99b180935b5ap-15, 0x1.e615c25eb7d54p-15, 0x1.e295f07013173p-15, 0x1.df1b9db0255bcp-15, 0x1.dba6cbd586c78p-15, 0x1.d835a583c749ep-15, 0x1.d4cd873a1ce56p-15, 0x1.d168b74ce14d5p-15, 0x1.ce09b3dadaf17p-15, 0x1.caafe1db8dea6p-15, 0x1.c75b6ef7bb83cp-15, 0x1.c40c4fe44bfadp-15, 0x1.c0c27e9279f5ap-15, 0x1.bd7df4a6a4c6dp-15, 0x1.ba3eadc31d0e4p-15, 0x1.b704a107782fbp-15, 0x1.b3cfc77745e81p-15, 0x1.b0a01bb2345c5p-15, 0x1.ad75a18589c67p-15, 0x1.aa50502875edep-15, 0x1.a730415c81477p-15, 0x1.a415b90b382bcp-15, 0x1.a0ff52299c4a3p-15, 0x1.9dec129b5295fp-15, 0x1.9ae1ed654f36ep-15, 0x1.97dcdc1cbb1e5p-15, 0x1.94da587545da1p-15, 0x1.91dc6acb5be41p-15, 0x1.8ee4a60f849aap-15, 0x1.8bf0beeda136dp-15, 0x1.89043ba066577p-15, 0x1.861a6f3395545p-15, 0x1.8335aa24f257bp-15, 0x1.8055fd4e1691ap-15, 0x1.7d7b331813f29p-15, 0x1.7aa53608186abp-15, 0x1.77d3fd66d10ddp-15, 0x1.750789c888525p-15, 0x1.723f9861547a9p-15, 0x1.6f7cac1e4f26cp-15, 0x1.6cbe43fd1113dp-15, 0x1.6a03a56e5effp-15, 0x1.674f55965c30ep-15, 0x1.649ec1844f1e2p-15, 0x1.61f2ae2bdd704p-15, 0x1.5f4b4b39805f9p-15, 0x1.5ca8605242636p-15, 0x1.5a0a0c603db54p-15, 0x1.576f50b704e0bp-15, 0x1.54dad77613c88p-15, 0x1.5249be69a02e7p-15, 0x1.4fbd178de4fbep-15, 0x1.4d34e6b8cfd4p-15, 0x1.4ab10b7be9626p-15, 0x1.4831ab0d392e8p-15, 0x1.45b68b983a26dp-15, 0x1.433fb8b5a4d1dp-15, 0x1.40cd2e0978b6fp-15, 0x1.3e5ee08846fb2p-15, 0x1.3bf530d26f0e1p-15, 0x1.398f23a5835adp-15, 0x1.372b85de1751ep-15, 0x1.34cfe52e18fd6p-15, 0x1.32768630d47fcp-15, 0x1.302140fcf6dcfp-15, 0x1.2dd0308656b14p-15, 0x1.2b831bcfdceb4p-15, 0x1.293a20f3dada1p-15, 0x1.26f55820ee77p-15, 0x1.24b4c5bdb5855p-15, 0x1.22772e226f36p-15, 0x1.203e5dcde5adp-15, 0x1.1e09a10e1b0d4p-15, 0x1.1bd8d2a11eb14p-15, 0x1.19ab161394782p-15, 0x1.178182cd896c6p-15, 0x1.155c337f4de8ep-15, 0x1.133aa45b3d13dp-15, 0x1.111cd72e63d3p-15, 0x1.0f02ce0b1ba0dp-15, 0x1.0cec83a27aacbp-15, 0x1.0ad9f7d7ea12ep-15, 0x1.08cb2c8f0cap-15, 0x1.06c01dfe430c7p-15, 0x1.04b8c6988638bp-15, 0x1.02b369f47ec65p-15, 0x1.00b502d843f4fp-15, 0x1.fd70b0ec07dabp-16, 0x1.f97f62341677dp-16, 0x1.f597844883419p-16, 0x1.f1b0155c038efp-16, 0x1.edd39dde12cbap-16, 0x1.e9fc1c92cade4p-16, 0x1.e6317f62da31bp-16, 0x1.e267c3bdbd328p-16, 0x1.dea873c5dccb4p-16, 0x1.daedb00e0491p-16, 0x1.d73b5275ce41dp-16, 0x1.d38f31f3a678ep-16, 0x1.cfe9cbba99bdbp-16, 0x1.cc4b3f31725cap-16, 0x1.c8b2d9cbbd88fp-16, 0x1.c52207343f655p-16, 0x1.c196dc1b03294p-16, 0x1.be12cbf7d158dp-16, 0x1.ba928bb58bbb2p-16, 0x1.b71d22e44a254p-16, 0x1.b3ac1f9d02822p-16, 0x1.b0424b7197613p-16, 0x1.acdd537660e8p-16, 0x1.a97f68a7e839bp-16, 0x1.a6260da23953bp-16, 0x1.a2d9793ebc8dp-16, 0x1.9f8b45b2dc51cp-16, 0x1.9c470138ce4c8p-16, 0x1.99067c2195eeep-16, 0x1.95cedb69c4adfp-16, 0x1.929ba9a686238p-16, 0x1.8f6eb4b74a875p-16, 0x1.8c45fd34c4e66p-16, 0x1.8925739c1456bp-16, 0x1.860a2bae09225p-16, 0x1.82f4c63854a67p-16, 0x1.7fe53157d5728p-16, 0x1.7ce0df9f3362dp-16, 0x1.79d75b342fc98p-16, 0x1.76d8f3c536964p-16, 0x1.73e026c879cadp-16, 0x1.70ecee657f9a2p-16, 0x1.6dfee2134477bp-16, 0x1.6b17365476b3bp-16, 0x1.68348b827e521p-16, 0x1.65577639c9a12p-16, 0x1.627fc686478f5p-16, 0x1.5fad85d5b7ebep-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.24bf74865178dp-7, -0x1.24307ebf5b1c8p-6, -0x1.b4e99dfc9c885p-6, -0x1.220705fdd96c8p-5, -0x1.689824f3e838p-5, -0x1.adfa69e8a0504p-5, -0x1.f209a02af4f4dp-5, -0x1.1a55920dee253p-4, -0x1.3ae6bb9787d6cp-4, -0x1.5ab3c10ee0ceep-4, -0x1.79bbd191fc4e6p-4, -0x1.98015171dca8ap-4, -0x1.b589527818f25p-4, -0x1.d25b114e3a738p-4, -0x1.ee7f7c67739e4p-4, -0x1.050063433f048p-3, -0x1.127502b85p-3, -0x1.1fa36e3df6c01p-3, -0x1.2c91991ecf8d5p-3, -0x1.3945784008f6fp-3, -0x1.45c4e6d8a1012p-3, -0x1.52158f885421ap-3, -0x1.5e3cd97bf526fp-3, -0x1.6a3fd952ecdf2p-3, -0x1.7623457b62af7p-3, -0x1.81eb6db8cf94bp-3, -0x1.8d9c35855effdp-3, -0x1.993910faca281p-3, -0x1.a4c503ed00c26p-3, -0x1.b042a2e045a97p-3, -0x1.bbb4158633ca7p-3, -0x1.c71b1a70f551ap-3, -0x1.d2790bb1f196p-3, -0x1.ddcee42095e71p-3, -0x1.e91d450e5ae54p-3, -0x1.f4647c35f4b8fp-3, -0x1.ffa489bcb22e6p-3, -0x1.056e9312c7009p-2, -0x1.0b06e40eb4869p-2, -0x1.109ad50781c4ap-2, -0x1.1629e7b9ab54fp-2, -0x1.1bb384ec0fb0bp-2, -0x1.2136fecd2c9b7p-2, -0x1.26b3932adb2e3p-2, -0x1.2c286d86285dep-2, -0x1.3194a905ab1dep-2, -0x1.36f7524931c1ep-2, -0x1.3c4f6921cbcb5p-2, -0x1.419be23138d5fp-2, -0x1.46dba8738eca1p-2, -0x1.4c0d9eb5b7cd3p-2, -0x1.5130a0faff477p-2, -0x1.564385d3946ccp-2, -0x1.5b451fa581ca4p-2, -0x1.60343de93f32dp-2, -0x1.650fae5aa7788p-2, -0x1.69d63e1ed5e34p-2, -0x1.6e86badf1df9fp-2, -0x1.731ff3d92c204p-2, -0x1.77a0bae41ea8fp-2, -0x1.7c07e56a508d1p-2, -0x1.80544d5775072p-2, -0x1.8484d1fa99323p-2, -0x1.889858db9791p-2, -0x1.8c8dce838dc81p-2, -0x1.90642737ee811p-2, -0x1.941a5fa7d7119p-2, -0x1.97af7d8b5e2p-2, -0x1.9b229034a680ep-2, -0x1.9e72b1129782cp-2, -0x1.a19f0425301a7p-2, -0x1.a4a6b86388499p-2, -0x1.a78908139b93ep-2, -0x1.aa4539141fccfp-2, -0x1.acda9d18b0cffp-2, -0x1.af4891d8b72a8p-2, -0x1.b18e81317ac1fp-2, -0x1.b3abe13be4f39p-2, -0x1.b5a0345682e1cp-2, -0x1.b76b0924616c8p-2, -0x1.b90bfa816e5a7p-2, -0x1.ba82af6d03a0ap-2, -0x1.bbcedaeb55f0ep-2, -0x1.bcf03bde767a7p-2, -0x1.bde69cd7a79f5p-2, -0x1.beb1d3e1b2c67p-2, -0x1.bf51c245005ecp-2, -0x1.bfc654461af57p-2, -0x1.c00f80df592bp-2, -0x1.c02d49765060ap-2, -0x1.c01fb98db9008p-2, -0x1.bfe6e67463253p-2, -0x1.bf82eef1cda53p-2, -0x1.bef3faf0f5ebep-2, -0x1.be3a3b29dd86bp-2, -0x1.bd55e8ca4877ep-2, -0x1.bc47451e25c5bp-2, -0x1.bb0e99380e77cp-2, -0x1.b9ac359a3a729p-2, -0x1.b82071e04398p-2, -0x1.b66bac6a09dadp-2, -0x1.b48e4a07f8ed2p-2, -0x1.b288b5a8f343ap-2, -0x1.b05b600a133ffp-2, -0x1.ae06bf6872719p-2, -0x1.ab8b4f351c505p-2, -0x1.a8e98fcb4ba97p-2, -0x1.a6220629099eep-2, -0x1.a3353baa43548p-2, -0x1.a023bdc65ce3bp-2, -0x1.9cee1dd04ec87p-2, -0x1.9994f0b94b932p-2, -0x1.9618ced5e90a6p-2, -0x1.927a53a5ce7dbp-2, -0x1.8eba1d9dd722fp-2, -0x1.8ad8cdf498a92p-2, -0x1.86d708714b5ccp-2, -0x1.82b5733cf0aedp-2, -0x1.7e74b6b5b033ap-2, -0x1.7a157d4451976p-2, -0x1.75987333ba063p-2, -0x1.70fe468a577abp-2, -0x1.6c47a6e56385p-2, -0x1.67754555de506p-2, -0x1.6287d43f2e1cfp-2, -0x1.5d80073746267p-2, -0x1.585e92e8404c4p-2, -0x1.53242cf34c73fp-2, -0x1.4dd18bd4dd055p-2, -0x1.486766ca00aa6p-2, -0x1.42e675b6c8c7ep-2, -0x1.3d4f710dacd92p-2, -0x1.37a311b7d35fcp-2, -0x1.31e210fe32549p-2, -0x1.2c0d287367dfap-2, -0x1.262511de4b57ap-2, -0x1.202a87251277dp-2, -0x1.1a1e42390f32ep-2, -0x1.1400fd02e83a8p-2, -0x1.0dd3714f46f42p-2, -0x1.079658bbefddp-2, -0x1.014a6ca534355p-2, -0x1.f5e0cc2779e75p-3, -0x1.e911fb55390efp-3, -0x1.dc29d72b4c304p-3, -0x1.cf29cef005901p-3, -0x1.c21350b5f93dep-3, -0x1.b4e7c939fb95fp-3, -0x1.a7a8a3c17c1fp-3, -0x1.9a5749f93a1fdp-3, -0x1.8cf523d443f9ep-3, -0x1.7f83976b511d2p-3, -0x1.720408dc5fb67p-3, -0x1.6477da2aa188cp-3, -0x1.56e06b1eb0e67p-3, -0x1.493f19271a1c8p-3, -0x1.3b953f3928981p-3, -0x1.2de435b20ea5ep-3, -0x1.202d52385a998p-3, -0x1.1271e79dc227dp-3, -0x1.04b345c1558d4p-3, -0x1.ede572e4057e6p-4, -0x1.d26318a31b348p-4, -0x1.b6e2096fda70dp-4, -0x1.9b64cb2e2cb24p-4, -0x1.7feddcbe88e7cp-4, -0x1.647fb5c7755cbp-4, -0x1.491cc68014b1fp-4, -0x1.2dc7777bc1c2fp-4, -0x1.12822976cbep-4, -0x1.ee9e6a48aed6p-5, -0x1.b861d5faf964p-5, -0x1.8253262339e07p-5, -0x1.4c76d9b0203b9p-5, -0x1.16d15e063f2eep-5, -0x1.c2ce1d5188ce6p-6, -0x1.587869ca20c66p-6, -0x1.dd541e04bc543p-7, -0x1.0ad6a9b523411p-7, -0x1.cc45cf0527e8fp-10, 0x1.2d0b77c98fd13p-8, 0x1.654510c34dc0bp-7, 0x1.1952f6d3c9075p-6, 0x1.7f4ca61ee2b1fp-6, 0x1.e4883befd7907p-6, 0x1.247f439d5c75ap-5, 0x1.565440522ee56p-5, 0x1.87bfa572a90a5p-5, 0x1.b8be1992e7432p-5, 0x1.e94c58a988bf5p-5, 0x1.0cb39a1b62435p-4, 0x1.2485c9b416933p-4, 0x1.3c1b399c774cp-4, 0x1.5372734751f8p-4, 0x1.6a8a0b295b8d5p-4, 0x1.8160a0c429b9fp-4, 0x1.97f4deaf7217ep-4, 0x1.ae457aa098163p-4, 0x1.c451357088b47p-4, 0x1.da16db1fee734p-4, 0x1.ef9542d9a96a7p-4, 0x1.0265a779db932p-3, 0x1.0cdbf6773269fp-3, 0x1.172d0ab8f4a49p-3, 0x1.21586625399d1p-3, 0x1.2b5d90314192bp-3, 0x1.353c15ddf0109p-3, 0x1.3ef389b37419dp-3, 0x1.488383bc3338cp-3, 0x1.51eba17efe795p-3, 0x1.5b2b85f87df52p-3, 0x1.6442d993f7e3bp-3, 0x1.6d314a235463ap-3, 0x1.75f68ad682f06p-3, 0x1.7e92543228009p-3, 0x1.87046405a7eaap-3, 0x1.8f4c7d6091b2ap-3, 0x1.976a688768df8p-3, 0x1.9f5df2e7d562cp-3, 0x1.a726ef0c3b534p-3, 0x1.aec5348ec5ebbp-3, 0x1.b638a00bdec28p-3, 0x1.bd81131423b49p-3, 0x1.c49e741dd478ep-3, 0x1.cb90ae75bee6cp-3, 0x1.d257b22fb0f8p-3, 0x1.d8f374167db91p-3, 0x1.df63ed9b7ba42p-3, 0x1.e5a91cc5acc8fp-3, 0x1.ebc3042071168p-3, 0x1.f1b1aaa9d53f3p-3, 0x1.f7751bc087e4ep-3, 0x1.fd0d6711734ap-3, 0x1.013d50427c019p-2, 0x1.03de7015f42a3p-2, 0x1.066a211610141p-2, 0x1.08e0735675e28p-2, 0x1.0b4178e18d08bp-2, 0x1.0d8d45ae6c279p-2, 0x1.0fc3ef96a9737p-2, 0x1.11e58e4c0da27p-2, 0x1.13f23b4e329ffp-2, 0x1.15ea11e005a98p-2, 0x1.17cd2efd3bc93p-2, 0x1.199bb14fae90cp-2, 0x1.1b55b924aac15p-2, 0x1.1cfb686233135p-2, 0x1.1e8ce27c32b8bp-2, 0x1.200a4c69ab08bp-2, 0x1.2173cc99d3f98p-2, 0x1.22c98ae939f6fp-2, 0x1.240bb096da66fp-2, 0x1.253a683935ap-2, 0x1.2655ddb3693b2p-2, 0x1.275e3e2a49136p-2, 0x1.2853b7f97a79p-2, 0x1.29367aa8943adp-2, 0x1.2a06b6e04a1ebp-2, 0x1.2ac49e5f9bdf2p-2, 0x1.2b7063f110791p-2, 0x1.2c0a3b5ffeabdp-2, 0x1.2c92596ddf255p-2, 0x1.2d08f3c7b35aap-2, 0x1.2d6e40fb76ee9p-2, 0x1.2dc2786da6344p-2, 0x1.2e05d24ed80c4p-2, 0x1.2e3887916bfc3p-2, 0x1.2e5ad1df4cf29p-2, 0x1.2e6ceb8fcc3acp-2, 0x1.2e6f0f9d95f38p-2, 0x1.2e61799cbdb58p-2, 0x1.2e4465b0e59dbp-2, 0x1.2e18108382ceep-2, 0x1.2ddcb73a3d383p-2, 0x1.2d92976d6e95p-2, 0x1.2d39ef1ebfc6p-2, 0x1.2cd2fcafe330ep-2, 0x1.2c5dfed97726p-2, 0x1.2bdb34a20005ap-2, 0x1.2b4add550bbccp-2, 0x1.2aad387a771f7p-2, 0x1.2a0285cdd2ed9p-2, 0x1.294b0535f22efp-2, 0x1.2886f6bc9bbebp-2, 0x1.27b69a865db44p-2, 0x1.26da30ca8e894p-2, 0x1.25f1f9cb6e5bp-2, 0x1.24fe35ce70318p-2, 0x1.23ff2514adef6p-2, 0x1.22f507d380527p-2, 0x1.21e01e2d427fp-2, 0x1.20c0a82a399abp-2, 0x1.1f96e5b1aa962p-2, 0x1.1e63168314772p-2, 0x1.1d257a2f94db6p-2, 0x1.1bde501378e73p-2, 0x1.1a8dd74ff3256p-2, 0x1.19344ec4fb2f5p-2, 0x1.17d1f50b5e26dp-2, 0x1.1667086eeca6dp-2, 0x1.14f3c6e8de5cdp-2, 0x1.13786e1a570eap-2, 0x1.11f53b47180bep-2, 0x1.106a6b505bd85p-2, 0x1.0ed83aafd9db9p-2, 0x1.0d3ee572f4ba2p-2, 0x1.0b9ea7360e817p-2, 0x1.09f7bb2008ce5p-2, 0x1.084a5bddeebc2p-2, 0x1.0696c39ec0408p-2, 0x1.04dd2c0f6ec8cp-2, 0x1.031dce56fa63ep-2, 0x1.0158e312bae66p-2, 0x1.ff1d44a59b205p-3, 0x1.fb7e872d556fp-3, 0x1.f7d5fb93c1ac3p-3, 0x1.f4240e81f0faep-3, 0x1.f0692b6cf28e2p-3, 0x1.eca5bc903119dp-3, 0x1.e8da2ae8123c5p-3, 0x1.e506de2ce6d3ep-3, 0x1.e12c3cce19c8dp-3, 0x1.dd4aabedab5d8p-3, 0x1.d9628f5bf3be6p-3, 0x1.d5744993a3246p-3, 0x1.d1803bb60e7e2p-3, 0x1.cd86c587b7e99p-3, 0x1.c988456d1bc8fp-3, 0x1.c5851867bfd13p-3, 0x1.c17d9a137c255p-3, 0x1.bd7224a409efdp-3, 0x1.b96310e2c884cp-3, 0x1.b550b62cc0f79p-3, 0x1.b13b6a70e9e76p-3, 0x1.ad23822e9acaap-3, 0x1.a90950743ccddp-3, 0x1.a4ed26de39442p-3, 0x1.a0cf55960eccbp-3, 0x1.9cb02b51ae982p-3, 0x1.988ff552fa3ap-3, 0x1.946eff678453dp-3, 0x1.904d93e875505p-3, 0x1.8c2bfbbaabef7p-3, 0x1.880a7e4f03a46p-3, 0x1.83e961a2cc366p-3, 0x1.7fc8ea406c7abp-3, 0x1.7ba95b40348fp-3, 0x1.778af64953423p-3, 0x1.736dfb92fa1c8p-3, 0x1.6f52a9e5a6588p-3, 0x1.6b393e9c8ded1p-3, 0x1.6721f5a73a544p-3, 0x1.630d098b3cd4ap-3, 0x1.5efab3660b40cp-3, 0x1.5aeb2aef01a88p-3, 0x1.56dea67979262p-3, 0x1.52d55af70e2bep-3, 0x1.4ecf7bf9f5c4ap-3, 0x1.4acd3bb77c2d3p-3, 0x1.46cecb0a96c67p-3, 0x1.42d4597694d16p-3, 0x1.3ede1529eb6fcp-3, 0x1.3aec2b0117a2p-3, 0x1.36fec68998e64p-3, 0x1.3316120504787p-3, 0x1.2f32366c2bec4p-3, 0x1.2b535b7257216p-3, 0x1.2779a788989aap-3, 0x1.23a53fe12aa15p-3, 0x1.1fd64872e88e2p-3, 0x1.1c0ce3fccf1bbp-3, 0x1.18493409963aep-3, 0x1.148b58f3502edp-3, 0x1.10d371e71ea5ep-3, 0x1.0d219ce8f09eep-3, 0x1.0975f6d74c9e6p-3, 0x1.05d09b6f28162p-3, 0x1.0231a54fc95a2p-3, 0x1.fd325bfd613fdp-4, 0x1.f60e9bd71c5d1p-4, 0x1.eef838e878288p-4, 0x1.e7ef5fd188582p-4, 0x1.e0f43b1eca849p-4, 0x1.da06f35151df5p-4, 0x1.d327aee6e85a5p-4, 0x1.cc5692624870ep-4, 0x1.c593c0534fe77p-4, 0x1.bedf595f45e45p-4, 0x1.b8397c492109ep-4, 0x1.b1a245f9ca0a8p-4, 0x1.ab19d188751c7p-4, 0x1.a4a03842dbc27p-4, 0x1.9e3591b59d489p-4, 0x1.97d9f3b4799b8p-4, 0x1.918d7262aa616p-4, 0x1.8b50203b1a79bp-4, 0x1.85220e18b5966p-4, 0x1.7f034b3e9bdc5p-4, 0x1.78f3e5605d41ep-4, 0x1.72f3e8aa27341p-4, 0x1.6d035fc8ec138p-4, 0x1.672253f282135p-4, 0x1.6150ccedb7b5cp-4, 0x1.5b8ed11a5e6ffp-4, 0x1.55dc657946dfdp-4, 0x1.50398db437076p-4, 0x1.4aa64c25ca8ap-4, 0x1.4522a1e151281p-4, 0x1.3fae8eba938a5p-4, 0x1.3a4a114d8d262p-4, 0x1.34f527061d821p-4, 0x1.2fafcc279cce1p-4, 0x1.2a79fbd46aad6p-4, 0x1.2553b015656dap-4, 0x1.203ce1e15276dp-4, 0x1.1b35892434c9ap-4, 0x1.163d9cc68c453p-4, 0x1.115512b48ae58p-4, 0x1.0c7bdfe52ca12p-4, 0x1.07b1f8613ff87p-4, 0x1.02f74f4a5e55ep-4, 0x1.fc97adc38ece3p-5, 0x1.f35f011e5aaap-5, 0x1.ea4479ced6b0bp-5, 0x1.e147f7664b93dp-5, 0x1.d86957eaa3d7p-5, 0x1.cfa877e35d1fbp-5, 0x1.c70532663f77ap-5, 0x1.be7f6123eccc6p-5, 0x1.b616dc7448ad7p-5, 0x1.adcb7b62abf74p-5, 0x1.a59d13b9e8a4ap-5, 0x1.9d8b7a102962ap-5, 0x1.959681d29b4f7p-5, 0x1.8dbdfd50ea562p-5, 0x1.8601bdc891e98p-5, 0x1.7e61936ffcd65p-5, 0x1.76dd4d8178677p-5, 0x1.6f74ba45f3764p-5, 0x1.6827a71f9998bp-5, 0x1.60f5e0942e9f4p-5, 0x1.59df32575064dp-5, 0x1.52e36754783a5p-5, 0x1.4c0249b8d491p-5, 0x1.453ba2fcf64f1p-5, 0x1.3e8f3bee468d9p-5, 0x1.37fcdcb85b9ccp-5, 0x1.31844cee1aaaep-5, 0x1.2b2553929fb64p-5, 0x1.24dfb72206e3fp-5, 0x1.1eb33d9a09808p-5, 0x1.189fac8255b17p-5, 0x1.12a4c8f4dd59fp-5, 0x1.0cc257a5dd39bp-5, 0x1.06f81cebba86dp-5, 0x1.0145dcc6c408p-5, 0x1.f756b5d160aa3p-6, 0x1.ec50b57810c6ep-6, 0x1.e1793ed6ad38ap-6, 0x1.d6cfd7d0560ccp-6, 0x1.cc5405e4030e5p-6, 0x1.c2054e39e76f3p-6, 0x1.b7e335b07c136p-6, 0x1.aded40e94f73fp-6, 0x1.a422f45575cebp-6, 0x1.9a83d4419b0a5p-6, 0x1.910f64e1e0881p-6, 0x1.87c52a5d602eap-6, 0x1.7ea4a8d94ad4ap-6, 0x1.75ad6483e0ab6p-6, 0x1.6cdee19f0183fp-6, 0x1.6438a48a73319p-6, 0x1.5bba31cdf6a9dp-6, 0x1.53630e22f0c67p-6, 0x1.4b32be7dc7bbfp-6, 0x1.4328c817484ddp-6, 0x1.3b44b0753ab7fp-6, 0x1.3385fd7338557p-6, 0x1.2bec354aeab0ap-6, 0x1.2476de9c13afap-6, 0x1.1d2580747b03ep-6, 0x1.15f7a25761dc1p-6, 0x1.0eeccc44e5b38p-6, 0x1.080486c0fdcbep-6, 0x1.013e5ada4b9e7p-6, 0x1.f533a46183907p-7, 0x1.e82cedf7d51e1p-7, 0x1.db67a821d1778p-7, 0x1.cee2e9d11c8a8p-7, 0x1.c29dcb4994318p-7, 0x1.b697662c846edp-7, 0x1.aaced582c0c56p-7, 0x1.9f4335c6f8adcp-7, 0x1.93f3a4eeea203p-7, 0x1.88df4274e7274p-7, 0x1.7e052f6057153p-7, 0x1.73648e4e30b03p-7, 0x1.68fc8378ed42bp-7, 0x1.5ecc34c02301ap-7, 0x1.54d2c9afd0a29p-7, 0x1.4b0f6b870718dp-7, 0x1.4181453eb7e9dp-7, 0x1.3827838f8fbfcp-7, 0x1.2f0154f816168p-7, 0x1.260de9c1c1c99p-7, 0x1.1d4c740685aefp-7, 0x1.14bc27b58bc69p-7, 0x1.0c5c3a97840c9p-7, 0x1.042be4531f9f5p-7, 0x1.f854bce1ba7dfp-8, 0x1.e8adc8bd6070fp-8, 0x1.d96166e6a40fp-8, 0x1.ca6e15e2be1adp-8, 0x1.bbd25814168e2p-8, 0x1.ad8cb3bfc9e2dp-8, 0x1.9f9bb3118945dp-8, 0x1.91fde42020942p-8, 0x1.84b1d8f11d6a4p-8, 0x1.77b6277b26aecp-8, 0x1.6b0969a9ae0bap-8, 0x1.5eaa3d5e3d7acp-8, 0x1.52974472a0a7p-8, 0x1.46cf24ba2585ep-8, 0x1.3b50880242697p-8, 0x1.301a1c135e697p-8, 0x1.252a92b0cbc1fp-8, 0x1.1a80a198654f8p-8, 0x1.101b02822e4bp-8, 0x1.05f8731f11689p-8, 0x1.f82f6a2f0dd07p-9, 0x1.e4ef1c13d95f3p-9, 0x1.d22d8f1170362p-9, 0x1.bfe85e2fba4bbp-9, 0x1.ae1d2c54471c8p-9, 0x1.9cc9a43cf1328p-9, 0x1.8beb7878d4b48p-9, 0x1.7b8063625dbeap-9, 0x1.6b862715e2e61p-9, 0x1.5bfa8d6c3d7e6p-9, 0x1.4cdb67efbde65p-9, 0x1.3e268fd491fa3p-9, 0x1.2fd9e5ef42e19p-9, 0x1.21f352aa5a20fp-9, 0x1.1470c5fc34448p-9, 0x1.0750375c98ff5p-9, 0x1.f51f4b7275e13p-10, 0x1.dc5a2ed522f82p-10, 0x1.c44d344f8d828p-10, 0x1.acf485f4a7e5cp-10, 0x1.964c5c64e3d24p-10, 0x1.8050feb145385p-10, 0x1.6afec24486fabp-10, 0x1.56520ac631444p-10, 0x1.42474a0070adep-10, 0x1.2edaffc27bcf5p-10, 0x1.1c09b9c6f4e1bp-10, 0x1.09d013942e613p-10, 0x1.f0556cc1caea5p-11, 0x1.ce2cb1eb6a6d1p-11, 0x1.ad1f7f1f6ef3ep-11, 0x1.8d27778286c1dp-11, 0x1.6e3e58a78f4a5p-11, 0x1.505dfa513500cp-11, 0x1.33804e325f904p-11, 0x1.179f5fb131d9bp-11, 0x1.f96aa7471a7c4p-12, 0x1.c578d026b040ap-12, 0x1.935de7f24233p-12, 0x1.630ecdfe626a5p-12, 0x1.3480927a3d07cp-12, 0x1.07a875f069e3fp-12, 0x1.b8f7d17e9d851p-13, 0x1.65e1152f6e954p-13, 0x1.15f853e9fb2ap-13, 0x1.92530e6b04657p-14, 0x1.fd84105ffe102p-15, 0x1.c45bd0916648dp-16, -0x1.6d41be6909452p-18, -0x1.3248cabe20365p-15, -0x1.15fe7712fe076p-14, -0x1.8d86333d6623ep-14, -0x1.ffded1b23dddp-14, -0x1.369570ec7d607p-13, -0x1.6ac62674ad0f1p-13, -0x1.9c922bed36103p-13, -0x1.cc09d2ce5fe95p-13, -0x1.f93d1c8aab396p-13, -0x1.121dddcd96442p-12, -0x1.268a8a46ec243p-12, -0x1.39ec1f8436824p-12, -0x1.4c4a0367faf1fp-12, -0x1.5dab7668aa8c4p-12, -0x1.6e1794128deb8p-12, -0x1.7d955389258a4p-12, -0x1.8c2b880990b29p-12, -0x1.99e0e16b6fc3p-12, -0x1.a6bbec9e6cf82p-12, -0x1.b2c3142df439dp-12, -0x1.bdfca0bd71c7p-12, -0x1.c86eb9850e88cp-12, -0x1.d21f64d1e326dp-12, -0x1.db14888119a01p-12, -0x1.e353ea7934a7bp-12, -0x1.eae3312a38d24p-12, -0x1.f1c7e401a1289p-12, -0x1.f8076be7b1e63p-12, -0x1.fda713b59d4cap-12, -0x1.015604566f9aap-11, -0x1.038dad7693ac8p-11, -0x1.057cfef642065p-11, -0x1.07266473e419fp-11, -0x1.088c3babcf5b1p-11, -0x1.09b0d4b23edbep-11, -0x1.0a96722a6885bp-11, -0x1.0b3f49801f90bp-11, -0x1.0bad831e4cc92p-11, -0x1.0be33aa7630fep-11, -0x1.0be27f2a26d3ap-11, -0x1.0bad535a26657p-11, -0x1.0b45adc32da64p-11, -0x1.0aad78ff05dfdp-11, -0x1.09e693eab543ep-11, -0x1.08f2d1d87f0d1p-11, -0x1.07d3fac52745bp-11, -0x1.068bcb89e9003p-11, -0x1.051bf60ef372ap-11, -0x1.0386217caa3d7p-11, -0x1.01cbea6d5c97fp-11, -0x1.ffddc63ae13cbp-12, -0x1.fbe1273705d57p-12, -0x1.f7a4f3f0e8545p-12, -0x1.f32c14ea69c3ap-12, -0x1.ee795f645683ap-12, -0x1.e98f95b8bfe0fp-12, -0x1.e47167b5ff736p-12, -0x1.df2172f64fe4cp-12, -0x1.d9a2433ab309ap-12, -0x1.d3f652c11ddd1p-12, -0x1.ce200a9944c0ep-12, -0x1.c821c2faf2b4fp-12, -0x1.c1fdc398a87f1p-12, -0x1.bbb643f2bfc77p-12, -0x1.b54d6ba92c39ap-12, -0x1.aec552cb579b8p-12, -0x1.a8200227868cp-12, -0x1.a15f739a09044p-12, -0x1.9a859258e2f8dp-12, -0x1.93943b41bd8c6p-12, -0x1.8c8d3d21f4017p-12, -0x1.857259039c169p-12, -0x1.7e454274e02cfp-12, -0x1.77079fd05d4a5p-12, -0x1.6fbb0a8326128p-12, -0x1.68610f52992b6p-12, -0x1.60fb2ea14e573p-12, -0x1.598adcb277b17p-12, -0x1.521181ed7d772p-12, -0x1.4a907b1e230d9p-12, -0x1.430919b5ae16dp-12, -0x1.3b7ca40abd8eep-12, -0x1.33ec5597d1d6cp-12, -0x1.2c595f3794bdcp-12, -0x1.24c4e763d13dp-12, -0x1.1d300a6f7bf15p-12, -0x1.159bdac1103f3p-12, -0x1.0e09610d98273p-12, -0x1.06799c90ab3aep-12, -0x1.fddb0687895f3p-13, -0x1.eecc042ce8a21p-13, -0x1.dfc7fa46af7cap-13, -0x1.d0d09fcb7d94cp-13, -0x1.c1e79ada5b258p-13, -0x1.b30e81237a21bp-13, -0x1.a446d84aa4be4p-13, -0x1.9592164bfd8fap-13, -0x1.86f1a1dc0fe4fp-13, -0x1.7866d2c8a819p-13, -0x1.69f2f255ebb8p-13, -0x1.5b973b9af38c5p-13, -0x1.4d54dbdd289c5p-13, -0x1.3f2cf2e7946fp-13, -0x1.3120936329027p-13, -0x1.2330c32ce26b4p-13, -0x1.155e7ba958bb6p-13, -0x1.07aaaa17d11a7p-13, -0x1.f42c5fc6ab21fp-14, -0x1.d943c5e467cbcp-14, -0x1.be9d1be6e7bd4p-14, -0x1.a439e15824193p-14, -0x1.8a1b8084b875fp-14, -0x1.70434f0e6aca4p-14, -0x1.56b28e7d4632p-14, -0x1.3d6a6ccbd1b39p-14, -0x1.246c04f57b3aep-14, -0x1.0bb85f7b260acp-14, -0x1.e6a0e5d443a0ep-15, -0x1.b66a48bd32d05p-15, -0x1.86ce9009a42e9p-15, -0x1.57cf432bf02a3p-15, -0x1.296dc9a5cd92bp-15, -0x1.f756d7f9489cbp-16, -0x1.9d12a944353bfp-16, -0x1.441121ba53b06p-16, -0x1.d8a846af6e162p-17, -0x1.2bbab2860f227p-17, -0x1.02b8e6023eb2p-18, 0x1.337f967584bfep-20, 0x1.9750bb181445fp-18, 0x1.6e4b0c5c38b3fp-17, 0x1.072b4dea84733p-16, 0x1.55e50178f49d8p-16, 0x1.a3524807a608cp-16, 0x1.ef72f302a63f4p-16, 0x1.1d237e5463d46p-15, 0x1.41e743537ae17p-15, 0x1.6604ec5e3f1c5p-15, 0x1.897cafb29ce8ep-15, 0x1.ac4ed546e9349p-15, 0x1.ce7bb6287b476p-15, 0x1.f003bbdb471a8p-15, 0x1.0873afdf6d6f7p-14, 0x1.1893953bcbf27p-14, 0x1.2861d9ad6b333p-14, 0x1.37decfee3c66bp-14, 0x1.470ad182dff06p-14, 0x1.55e63e74deaa8p-14, 0x1.64717d0eb2269p-14, 0x1.72acf99b55cb7p-14, 0x1.8099262602a47p-14, 0x1.8e367a3b112f8p-14, 0x1.9b8572ac6e7b3p-14, 0x1.a8869155f300ap-14, 0x1.b53a5ce2529d8p-14, 0x1.c1a1609575239p-14, 0x1.cdbc2c138a519p-14, 0x1.d98b532affab6p-14, 0x1.e50f6da118f4ep-14, 0x1.f0491700a8b6cp-14, 0x1.fb38ee667815ep-14, 0x1.02efcb28aacedp-13, 0x1.081eda3a64b11p-13, 0x1.0d29f8c57c14ep-13, 0x1.12117c93bce4bp-13, 0x1.16d5bcc5ca17dp-13, 0x1.1b7711bf493d4p-13, 0x1.1ff5d5114c913p-13, 0x1.245261672c5e6p-13, 0x1.288d1272f6172p-13, 0x1.2ca644db10602p-13, 0x1.309e5627d619fp-13, 0x1.3475a4b1436dfp-13, 0x1.382c8f8eb8152p-13, 0x1.3bc3768613e37p-13, 0x1.3f3ab9fb0fac4p-13, 0x1.4292badfdc36ap-13, 0x1.45cbdaa639e34p-13, 0x1.48e67b30ac3f5p-13, 0x1.4be2fec3a2c76p-13, 0x1.4ec1c7f8065adp-13, 0x1.518339ad91899p-13, 0x1.5427b6fe3800ap-13, 0x1.56afa33169eefp-13, 0x1.591b61af4900bp-13, 0x1.5b6b55f606659p-13, 0x1.5d9fe38d82fc1p-13, 0x1.5fb96dfd0769ap-13, 0x1.61b858c0111d6p-13, 0x1.639d073c926aap-13, 0x1.6567dcb83589cp-13, 0x1.67193c4fa3b5cp-13, 0x1.68b188ed01a02p-13, 0x1.6a31253ecb5fp-13, 0x1.6b9873af73cffp-13, 0x1.6ce7d65da0b44p-13, 0x1.6e1faf1360b18p-13, 0x1.6f405f3ea1fap-13, 0x1.704a47ea79ec9p-13, 0x1.713dc9b7724e5p-13, 0x1.721b44d505287p-13, 0x1.72e318faf2d17p-13, 0x1.7395a563599e5p-13, 0x1.743348c4d2143p-13, 0x1.74bc614bb03a8p-13, 0x1.75314c95a14e9p-13, 0x1.759267ac00b4bp-13, 0x1.75e00efe9acbep-13, 0x1.761a9e5f65a75p-13, 0x1.764270fd9a5aap-13, 0x1.7657e161946e5p-13, 0x1.765b496841a42p-13, 0x1.764d023fdfe59p-13, 0x1.762d6463ea3bfp-13, 0x1.75fcc7999c329p-13, 0x1.75bb82ec6503dp-13, 0x1.7569ecab368bep-13, 0x1.75085a64ebd8ep-13, 0x1.749720e6657b8p-13, 0x1.7416943727eefp-13, 0x1.738707972fdbp-13, 0x1.72e8cd7c9ce62p-13, 0x1.723c3791a9fecp-13, 0x1.718196b26b17cp-13, 0x1.70b93aeb84657p-13, 0x1.6fe3737797f07p-13, 0x1.6f008ebea5419p-13, 0x1.6e10da54045e8p-13, 0x1.6d14a2f530d75p-13, 0x1.6c0c34895be35p-13, 0x1.6af7da1f85fd5p-13, 0x1.69d7ddedafb98p-13, 0x1.68ac89502b07ep-13, 0x1.677624c916cc8p-13, 0x1.6634f7ffcec1cp-13, 0x1.64e949c06b91ep-13, 0x1.63935ffaec774p-13, 0x1.62337fc383cc9p-13, 0x1.60c9ed52816eap-13, 0x1.5f56ec03bd374p-13, 0x1.5ddabe56dc589p-13, 0x1.5c55a5ef4ea8ep-13, 0x1.5ac7e394fd604p-13, 0x1.5931b733a55cfp-13, 0x1.57935fdc022d7p-13, 0x1.55ed1bc3f77f5p-13, 0x1.543f2846bff58p-13, 0x1.5289c1e5e8757p-13, 0x1.50cd2449dd90ep-13, 0x1.4f098a422c5fbp-13, 0x1.4d3f2dc705cf5p-13, 0x1.4b6e47f960dcfp-13, 0x1.49971123f4157p-13, 0x1.47b9c0bc8bdb1p-13, 0x1.45d68d64be8acp-13, 0x1.43edaceaf7ff5p-13, 0x1.41ff544b66756p-13, 0x1.400bb7b199c68p-13, 0x1.3e130a792a0b6p-13, 0x1.3c157f2f022c7p-13, 0x1.3a134792f61afp-13, 0x1.380c9498eb27dp-13, 0x1.360196699e2b8p-13, 0x1.33f27c64d679ep-13, 0x1.31df752279807p-13, 0x1.2fc8ae73df3f7p-13, 0x1.2dae55655ccdep-13, 0x1.2b90963fa9ef5p-13, 0x1.296f9c898f9f3p-13, 0x1.274b93096177dp-13, 0x1.2524a3c69dd41p-13, 0x1.22faf80b4a63bp-13, 0x1.20ceb865c971ap-13, 0x1.1ea00caa9a731p-13, 0x1.1c6f1bf5d9bc4p-13, 0x1.1a3c0cacd06c1p-13, 0x1.1807047fdacf7p-13, 0x1.15d0286be2aedp-13, 0x1.13979cbbfaef2p-13, 0x1.115d850bc89p-13, 0x1.0f220448ba521p-13, 0x1.0ce53cb39988ep-13, 0x1.0aa74fe2ba5a5p-13, 0x1.08685ec396793p-13, 0x1.0628899ca352p-13, 0x1.03e7f00ed1cp-13, 0x1.01a6b117f457cp-13, 0x1.fec9d627b0da9p-14, 0x1.fa45777d1d4abp-14, 0x1.f5c0806c489f9p-14, 0x1.f13b29f8a94cfp-14, 0x1.ecb5abf099ed8p-14, 0x1.e8303cf18aeb4p-14, 0x1.e3ab126ac10f2p-14, 0x1.df2660a195933p-14, 0x1.daa25ab54beb2p-14, 0x1.d61f32a22c33dp-14, 0x1.d19d194519ef4p-14, 0x1.cd1c3e5f68004p-14, 0x1.c89cd09a936dfp-14, 0x1.c41efd8b8574bp-14, 0x1.bfa2f1b6574b4p-14, 0x1.bb28d891fcafdp-14, 0x1.b6b0dc8b61f17p-14, 0x1.b23b2709d1d6cp-14, 0x1.adc7e071d2cd3p-14, 0x1.a9573028909c2p-14, 0x1.a4e93c980fda5p-14, 0x1.a07e2b31cafbep-14, 0x1.9c162072b15c2p-14, 0x1.97b13fe6ab3d4p-14, 0x1.934fac2ba2624p-14, 0x1.8ef186f5512d6p-14, 0x1.8a96f110d36a2p-14, 0x1.86400a6733535p-14, 0x1.81ecf2018bbcfp-14, 0x1.7d9dc60beefe9p-14, 0x1.7952a3d9054p-14, 0x1.750ba7e5486a8p-14, 0x1.70c8edda181bdp-14, 0x1.6c8a9090e8147p-14, 0x1.6850aa16c3511p-14, 0x1.641b53afb083fp-14, 0x1.5feaa5d958aeep-14, 0x1.5bbeb84e41d1bp-14, 0x1.5797a20935bb3p-14, 0x1.53757947e536ep-14, 0x1.4f58538e78a94p-14, 0x1.4b4045aaa90e1p-14, 0x1.472d63b635c0dp-14, 0x1.431fc11a3d40ep-14, 0x1.3f17709203dbfp-14, 0x1.3b14842e2f155p-14, 0x1.37170d578bc65p-14, 0x1.331f1cd1d49b2p-14, 0x1.2f2cc2beb4025p-14, 0x1.2b400ea043ddfp-14, 0x1.27590f5c429bfp-14, 0x1.2377d33ee22abp-14, 0x1.1f9c67fd245b3p-14, 0x1.1bc6dab79bf61p-14, 0x1.17f737fd6943fp-14, 0x1.142d8bce82423p-14, 0x1.1069e19eafe34p-14, 0x1.0cac4457bfed9p-14, 0x1.08f4be5ca6fb5p-14, 0x1.0543598b9300dp-14, 0x1.01981f4061434p-14, 0x1.fbe630aed41dap-15, 0x1.f4a89a5fb2a0dp-15, 0x1.ed778b5bb6192p-15, 0x1.e653127afb34cp-15, 0x1.df3b3da8efec6p-15, 0x1.d83019ea11d92p-15, 0x1.d131b36019bdp-15, 0x1.ca40154e18a1ep-15, 0x1.c35b4a1e68fcap-15, 0x1.bc835b651f0dep-15, 0x1.b5b851e5cad23p-15, 0x1.aefa35977681ap-15, 0x1.a8490da8d6c6cp-15, 0x1.a1a4e08459d16p-15, 0x1.9b0db3d4992p-15, 0x1.94838c88d78a5p-15, 0x1.8e066ed817014p-15, 0x1.87965e456aa4bp-15, 0x1.81335da4f5c9p-15, 0x1.7add6f1e37984p-15, 0x1.74949430938f3p-15, 0x1.6e58cdb784f2bp-15, 0x1.682a1bedb4904p-15, 0x1.62087e71347cfp-15, 0x1.5bf3f4461a418p-15, 0x1.55ec7bdb6cf11p-15, 0x1.4ff2130e04826p-15, 0x1.4a04b72c0ff8cp-15, 0x1.442464f81f9d2p-15, 0x1.3e5118acdb6e7p-15, 0x1.388ace005e6b4p-15, 0x1.32d18027a4972p-15, 0x1.2d2529d8eac91p-15, 0x1.2785c54fecf01p-15, 0x1.21f34c510b519p-15, 0x1.1c6db82b353fbp-15, 0x1.16f501bb716c1p-15, 0x1.11892170a03bdp-15, 0x1.0c2a0f4d5871p-15, 0x1.06d7c2eb5b5p-15, 0x1.0192337e46371p-15, 0x1.f8b2afad88f15p-16, 0x1.ee5a4cc8eac59p-16, 0x1.e41b2a7254b33p-16, 0x1.d9f53417efd12p-16, 0x1.cfe854759349p-16, 0x1.c5f4759b75decp-16, 0x1.bc1980f2fb3dep-16, 0x1.b2575f436e8b2p-16, 0x1.a8adf8b6e0fccp-16, 0x1.9f1d34de901d8p-16, 0x1.95a4fab87ab32p-16, 0x1.8c4530b4a9445p-16, 0x1.82fdbcb73cd5cp-16, 0x1.79ce841e9d4d2p-16, 0x1.70b76bc8edeadp-16, 0x1.67b85815f466p-16, 0x1.5ed12cec2aae5p-16, 0x1.5601cdbe06b8ep-16, 0x1.4d4a1d8d41f9p-16, 0x1.44a9feee408d2p-16, 0x1.3c21540d0e1b2p-16, 0x1.33affeb12d796p-16, 0x1.2b55e040c1e3ap-16, 0x1.2312d9c41a2f7p-16, 0x1.1ae6cbeaf21cfp-16, 0x1.12d1970d990e1p-16, 0x1.0ad31b31fb22cp-16, 0x1.02eb381051b3bp-16, 0x1.f6339a26877eap-17, 0x1.e6bd72bb5ed61p-17, 0x1.d773b79b3eac9p-17, 0x1.c85625fdad737p-17, 0x1.b9647a9c6cd5fp-17, 0x1.aa9e71b95d2acp-17, 0x1.9c03c72617029p-17, 0x1.8d943646751d7p-17, 0x1.7f4f7a1984f76p-17, 0x1.71354d40385p-17, 0x1.634569fcbf6f1p-17, 0x1.557f8a3d9d543p-17, 0x1.47e367a2689f9p-17, 0x1.3a70bb7e9e29cp-17, 0x1.2d273ee134f35p-17, 0x1.2006aa9892b1dp-17, 0x1.130eb73652aefp-17, 0x1.063f1d1460545p-17, 0x1.f32f28b605efcp-18, 0x1.da2faa0bd3204p-18, 0x1.c17f2dc8ade4ap-18, 0x1.a91d234809282p-18, 0x1.9108f9a1ed76fp-18, 0x1.79421fb0786c8p-18, 0x1.61c80425cb6d7p-18, 0x1.4a9a1581af5bfp-18, 0x1.33b7c226d09e3p-18, 0x1.1d20786244c93p-18, 0x1.06d3a66909507p-18, 0x1.e1a174ccafaa3p-19, 0x1.b62e450ca5b89p-19, 0x1.8b4c99e47d973p-19, 0x1.60fb4fc18ed52p-19, 0x1.37394333dcc5bp-19, 0x1.0e0550ef88033p-19, 0x1.cabcabd7a65c7p-20, 0x1.7a865ed30cb1dp-20, 0x1.2b6575e65e075p-20, 0x1.baaf59da286e1p-21, 0x1.20b5812027666p-21, 0x1.11b1b97b8a017p-22, -0x1.9d62c443b4233p-26, -0x1.4135b053f1311p-22, -0x1.323ae7bd9c218p-21, -0x1.c1cfc0daac3a4p-21, -0x1.27aeee5e6470ap-20, -0x1.6d74d9066f8bbp-20, -0x1.b23bda2e4bbcfp-20, -0x1.f6062a2b7a7c2p-20, -0x1.1c6affde5532cp-19, -0x1.3d56c7f2eb869p-19, -0x1.5dc787071020bp-19, -0x1.7dbe55e3c224bp-19, -0x1.9d3c4c642aed7p-19, -0x1.bc4281792fbd6p-19, -0x1.dad20b15d277bp-19, -0x1.f8ebfe2f2d033p-19, -0x1.0b48b758165ddp-18, -0x1.19e1b7b838bc7p-18, -0x1.284189216a276p-18, -0x1.3668b3ebde0dp-18, -0x1.4457bfdcda5efp-18, -0x1.520f342aed438p-18, -0x1.5f8f977798f11p-18, -0x1.6cd96fc96da42p-18, -0x1.79ed428e88a1p-18, -0x1.86cb94945bd52p-18, -0x1.9374ea0b9b301p-18, -0x1.9fe9c683a0e96p-18, -0x1.ac2aace62c915p-18, -0x1.b8381f75caa4fp-18, -0x1.c4129fd02d83bp-18, -0x1.cfbaaee4ac7bep-18, -0x1.db30ccfb34274p-18, -0x1.e67579a7ed1cp-18, -0x1.f18933d3c21dcp-18, -0x1.fc6c79b4fd9c9p-18, -0x1.038fe46711b67p-17, -0x1.08d1cef8382e3p-17, -0x1.0dfc3a9a0a456p-17, -0x1.130f64fd5bcdcp-17, -0x1.180b8b7729ca5p-17, -0x1.1cf0eaff29a4fp-17, -0x1.21bfc0308fea4p-17, -0x1.2678474643f19p-17, -0x1.2b1abc1eeea5p-17, -0x1.2fa75a3aa8c04p-17, -0x1.341e5cb8040c9p-17, -0x1.387ffe554ea09p-17, -0x1.3ccc7973ad873p-17, -0x1.41040810acca9p-17, -0x1.4526e3c9d60b1p-17, -0x1.493545d9bdc43p-17, -0x1.4d2f671c67af8p-17, -0x1.5115800a9f144p-17, -0x1.54e7c8b9402f9p-17, -0x1.58a678dc380dp-17, -0x1.5c51c7c5380cdp-17, -0x1.5fe9ec62bd95p-17, -0x1.636f1d3f3cc6ap-17, -0x1.66e190834b55ep-17, -0x1.6a417bf4b5a19p-17, -0x1.6d8f14f51387ap-17, -0x1.70ca908242e4cp-17, -0x1.73f423382d8a7p-17, }}, 
      {{-0x1.fb377bcfd17f1p-8, -0x1.fabb3605dfb55p-7, -0x1.7b72e6e750b95p-6, -0x1.f8d4ecb2d8ebcp-6, -0x1.3aa7cbb857351p-5, -0x1.785a3e5628775p-5, -0x1.b56db69bdc708p-5, -0x1.f1d15c2af43c6p-5, -0x1.16bbcb4827781p-4, -0x1.342af9a87107p-4, -0x1.51327be1a972ep-4, -0x1.6dcff27c80ac3p-4, -0x1.8a0239a7bf68bp-4, -0x1.a5c945225813ep-4, -0x1.c125fc0512f7bp-4, -0x1.dc1a15a3090f5p-4, -0x1.f6a7f846e380ep-4, -0x1.08694d1e6492ap-3, -0x1.154eb2ae4e87dp-3, -0x1.22060e90ecd1ap-3, -0x1.2e9163a3bf374p-3, -0x1.3af2cb6947369p-3, -0x1.472c6cb804cfbp-3, -0x1.534073846b89ep-3, -0x1.5f3109b697e7ep-3, -0x1.6b0050fc41db3p-3, -0x1.76b05d86ecc1ep-3, -0x1.824331a5fe62bp-3, -0x1.8dbaba2bb048ap-3, -0x1.9918cb8b906c1p-3, -0x1.a45f1fa0c2247p-3, -0x1.af8f540a58d5cp-3, -0x1.baaae90c2a318p-3, -0x1.c5b340e31fa7ep-3, -0x1.d0a99f7cbdafap-3, -0x1.db8f2a8293fe1p-3, -0x1.e664e9ab88346p-3, -0x1.f12bc74620637p-3, -0x1.fbe490f067bc9p-3, -0x1.0347fc39a85efp-2, -0x1.08974a5c78c26p-2, -0x1.0de0716b12c26p-2, -0x1.1323a390b3fdep-2, -0x1.18610728edeebp-2, -0x1.1d98b751279bep-2, -0x1.22cac47a8e1fap-2, -0x1.27f734fb2a288p-2, -0x1.2d1e059d331ddp-2, -0x1.323f2a2bf14dbp-2, -0x1.375a8dfdb7141p-2, -0x1.3c70147aae90ap-2, -0x1.417f99a0408d1p-2, -0x1.4688f28111ef4p-2, -0x1.4b8bedc187015p-2, -0x1.50885410df08dp-2, -0x1.557de89eefa5bp-2, -0x1.5a6c698e94a6ap-2, -0x1.5f539064e7aafp-2, -0x1.643312754da62p-2, -0x1.690aa14a6705dp-2, -0x1.6dd9eb0bf16dcp-2, -0x1.72a09ae19b0acp-2, -0x1.775e5952d0b7ap-2, -0x1.7c12cca383009p-2, -0x1.80bd992ddc4bcp-2, -0x1.855e61b8e908cp-2, -0x1.89f4c7cc22127p-2, -0x1.8e806bffd8d17p-2, -0x1.9300ee4a7317ap-2, -0x1.9775ee4a75d3dp-2, -0x1.9bdf0b8d4d052p-2, -0x1.a03be5d2d1d02p-2, -0x1.a48c1d4d8112ep-2, -0x1.a8cf52df643a8p-2, -0x1.ad052853a46f7p-2, -0x1.b12d4094ca4bap-2, -0x1.b5473fdfad2e9p-2, -0x1.b952cbf316954p-2, -0x1.bd4f8c3c1cfa6p-2, -0x1.c13d29ff48b81p-2, -0x1.c51b507e843cdp-2, -0x1.c8e9ad1bee013p-2, -0x1.cca7ef799c145p-2, -0x1.d055c99660329p-2, -0x1.d3f2efe7a73afp-2, -0x1.d77f19708529cp-2, -0x1.daf9ffd608dd4p-2, -0x1.de635f70f2e96p-2, -0x1.e1baf75ce657fp-2, -0x1.e50089852f7cfp-2, -0x1.e833daaf4249dp-2, -0x1.eb54b28307706p-2, -0x1.ee62db9119c1dp-2, -0x1.f15e23570d4b9p-2, -0x1.f4465a41e19fap-2, -0x1.f71b53aebe10fp-2, -0x1.f9dce5ea0e527p-2, -0x1.fc8aea2d2388ep-2, -0x1.ff253c9a711ebp-2, -0x1.00d5de1c42f2dp-1, -0x1.020f2575ebfa5p-1, -0x1.033e66b7bdf0dp-1, -0x1.046395a6750c3p-1, -0x1.057ea7696ea4dp-1, -0x1.068f9285b5e9fp-1, -0x1.07964ed8b6a4dp-1, -0x1.0892d5929f0f4p-1, -0x1.098521307fb24p-1, -0x1.0a6d2d762cdp-1, -0x1.0b4af767ee1cp-1, -0x1.0c1e7d4402bp-1, -0x1.0ce7be7c03945p-1, -0x1.0da6bbae2908ap-1, -0x1.0e5b769e79cfep-1, -0x1.0f05f22fedba2p-1, -0x1.0fa6325d8488p-1, -0x1.103c3c335866cp-1, -0x1.10c815c7b0de8p-1, -0x1.1149c6341a251p-1, -0x1.11c1558e83eb7p-1, -0x1.122ecce26c439p-1, -0x1.1292362a169dfp-1, -0x1.12eb9c47d6926p-1, -0x1.133b0aff6b968p-1, -0x1.13808eef72425p-1, -0x1.13bc358aeb918p-1, -0x1.13ee0d12dda6fp-1, -0x1.141624900c185p-1, -0x1.14348bccca2c3p-1, -0x1.1449534ee8ccfp-1, -0x1.14548c51bdfebp-1, -0x1.145648c0495b5p-1, -0x1.144e9b2f71d93p-1, -0x1.143d96d860d08p-1, -0x1.14234f92f7644p-1, -0x1.13ffd9d05f684p-1, -0x1.13d34a95b6e2ap-1, -0x1.139db776d50f9p-1, -0x1.135f36912b1a3p-1, -0x1.1317de86bbecap-1, -0x1.12c7c6792e2aep-1, -0x1.126f0604f6263p-1, -0x1.120db53c96e6ep-1, -0x1.11a3eca3f9dd6p-1, -0x1.1131c52bdd70dp-1, -0x1.10b7582d5791ap-1, -0x1.1034bf656f9a8p-1, -0x1.0faa14f0c9592p-1, -0x1.0f17734765325p-1, -0x1.0e7cf53873a1p-1, -0x1.0ddab5e63851ep-1, -0x1.0d30d0c202933p-1, -0x1.0c7f618832864p-1, -0x1.0bc6843c52c45p-1, -0x1.0b0655253e8bdp-1, -0x1.0a3ef0c959859p-1, -0x1.097073ead59dp-1, -0x1.089afb8406eaep-1, -0x1.07bea4c3c6943p-1, -0x1.06db8d09e3133p-1, -0x1.05f1d1e39d093p-1, -0x1.0501910832234p-1, -0x1.040ae8557416dp-1, -0x1.030df5cc6bef5p-1, -0x1.020ad78e0a55p-1, -0x1.0101abd7e30a8p-1, -0x1.ffe52201e7b48p-2, -0x1.fdbb4aecf2bc7p-2, -0x1.fb860f7197647p-2, -0x1.f945acb09434dp-2, -0x1.f6fa5fe49f5b7p-2, -0x1.f4a4665c67507p-2, -0x1.f243fd74abaa9p-2, -0x1.efd96292694e7p-2, -0x1.ed64d31d1f3dcp-2, -0x1.eae68c7928f49p-2, -0x1.e85ecc022baeep-2, -0x1.e5cdcf05a126ap-2, -0x1.e333d2bd6ff34p-2, -0x1.e091144aa00f9p-2, -0x1.dde5d0b0239a7p-2, -0x1.db3244cdb6e6ep-2, -0x1.d876ad5ad5a88p-2, -0x1.d5b346e1c76eep-2, -0x1.d2e84dbac4c2bp-2, -0x1.d015fe072f2b5p-2, -0x1.cd3c93ace479cp-2, -0x1.ca5c4a51a6befp-2, -0x1.c7755d569b915p-2, -0x1.c48807d3e4643p-2, -0x1.c19484944d4cfp-2, -0x1.be9b0e111317cp-2, -0x1.bb9bde6dc1fd4p-2, -0x1.b8972f742d69ep-2, -0x1.b58d3a907c002p-2, -0x1.b27e38cd5112cp-2, -0x1.af6a62d00a599p-2, -0x1.ac51f0d51799bp-2, -0x1.a9351aac6aee3p-2, -0x1.a61417b601b25p-2, -0x1.a2ef1ede852b4p-2, -0x1.9fc6669c04437p-2, -0x1.9c9a24eac7a9cp-2, -0x1.996a8f4a3c5e4p-2, -0x1.9637dab9f6e04p-2, -0x1.93023bb6d2822p-2, -0x1.8fc9e63825d94p-2, -0x1.8c8f0dad12e38p-2, -0x1.8951e4f9ebd7fp-2, -0x1.86129e75b650dp-2, -0x1.82d16be7c2b03p-2, -0x1.7f8e7e855ec95p-2, -0x1.7c4a06ef9e173p-2, -0x1.790435313e186p-2, -0x1.75bd38bc9fc7bp-2, -0x1.72754069ddaa9p-2, -0x1.6f2c7a74f296ap-2, -0x1.6be3147c0172cp-2, -0x1.68993b7dacce2p-2, -0x1.654f1bd78bedfp-2, -0x1.6204e144b487ep-2, -0x1.5ebab6dc5c3b5p-2, -0x1.5b70c71091cb7p-2, -0x1.58273bad0b043p-2, -0x1.54de3dd60e555p-2, -0x1.5195f6076cb22p-2, -0x1.4e4e8c1396b6fp-2, -0x1.4b082722c5986p-2, -0x1.47c2edb2384dfp-2, -0x1.447f05938b203p-2, -0x1.413c93ec1f0bcp-2, -0x1.3dfbbd3498745p-2, -0x1.3abca53873d44p-2, -0x1.377f6f15adc6dp-2, -0x1.34443d3c7b57ep-2, -0x1.310b316f1f5adp-2, -0x1.2dd46cc1c7abep-2, -0x1.2aa00f9a87e8fp-2, -0x1.276e39b15f295p-2, -0x1.243f0a1056c74p-2, -0x1.21129f13ad08bp-2, -0x1.1de9166a1637p-2, -0x1.1ac28d150d8b4p-2, -0x1.179f1f6937421p-2, -0x1.147ee90ed2f4cp-2, -0x1.116205023ffbp-2, -0x1.0e488d948efe3p-2, -0x1.0b329c6c27c7fp-2, -0x1.08204a85784c7p-2, -0x1.0511b033b861cp-2, -0x1.0206e521b9c61p-2, -0x1.fe0000a5880edp-3, -0x1.f7fa304706a6fp-3, -0x1.f1fc8495ff472p-3, -0x1.ec0727b7493cap-3, -0x1.e61a4288a8102p-3, -0x1.e035fca30d6c9p-3, -0x1.da5a7c5ced7fap-3, -0x1.d487e6ccadbcbp-3, -0x1.cebe5fcb2c419p-3, -0x1.c8fe09f6554dep-3, -0x1.c34706b3d945ep-3, -0x1.bd997633eaa04p-3, -0x1.b7f5777417f97p-3, -0x1.b25b2842351afp-3, -0x1.accaa53f575dp-3, -0x1.a74409e2e01abp-3, -0x1.a1c7707d9ee6p-3, -0x1.9c54f23cf9e47p-3, -0x1.96eca72e2fad9p-3, -0x1.918ea6419bcd2p-3, -0x1.8c3b054e13e64p-3, -0x1.86f1d9144da28p-3, -0x1.81b335424baa4p-3, -0x1.7c7f2c76dfb98p-3, -0x1.7755d04531fbdp-3, -0x1.723731385214dp-3, -0x1.6d235ed6d2b78p-3, -0x1.681a67a674314p-3, -0x1.631c592fc9ad8p-3, -0x1.5e294001f639ep-3, -0x1.594127b661df4p-3, -0x1.54641af48214fp-3, -0x1.4f9223759eaf3p-3, -0x1.4acb4a08a23ccp-3, -0x1.460f9695e983cp-3, -0x1.415f10231ae8bp-3, -0x1.3cb9bcd7023bcp-3, -0x1.381fa1fd69e24p-3, -0x1.3390c40afdad4p-3, -0x1.2f0d26a1294a1p-3, -0x1.2a94cc91fdbcbp-3, -0x1.2627b7e41354ep-3, -0x1.21c5e9d669001p-3, -0x1.1d6f62e450ccfp-3, -0x1.192422c949f65p-3, -0x1.14e42884e9008p-3, -0x1.10af725eb467cp-3, -0x1.0c85fdea03f22p-3, -0x1.0867c809dd5ddp-3, -0x1.0454ccf4ca05ep-3, -0x1.004d0838b0ed1p-3, -0x1.f8a0e97d4e374p-4, -0x1.f0be199d772e6p-4, -0x1.e8f1942788777p-4, -0x1.e13b4b3e3c887p-4, -0x1.d99b2fd8e2ed6p-4, -0x1.d21131cad6cb2p-4, -0x1.ca9d3fcad93cep-4, -0x1.c33f477a7f0bp-4, -0x1.bbf7356d72674p-4, -0x1.b4c4f530bd74bp-4, -0x1.ada87151f8a9ep-4, -0x1.a6a193666ea4dp-4, -0x1.9fb044123ab7dp-4, -0x1.98d46b0f44747p-4, -0x1.920def343d52ap-4, -0x1.8b5cb67b8123bp-4, -0x1.84c0a609ecabfp-4, -0x1.7e39a2359f1fp-4, -0x1.77c78e8cae118p-4, -0x1.716a4ddbbd171p-4, -0x1.6b21c23493441p-4, -0x1.64edccf489a2p-4, -0x1.5ece4ecaf975cp-4, -0x1.58c327bf8784cp-4, -0x1.52cc373865254p-4, -0x1.4ce95c0079bc6p-4, -0x1.471a744d755d1p-4, -0x1.415f5dc5d6086p-4, -0x1.3bb7f586cbdb4p-4, -0x1.3624182a15d87p-4, -0x1.30a3a1cbc124cp-4, -0x1.2b366e0fd1eb3p-4, -0x1.25dc5827da7d3p-4, -0x1.20953ad87ff95p-4, -0x1.1b60f07edb0f1p-4, -0x1.163f5315d3219p-4, -0x1.11303c3b5aa0bp-4, -0x1.0c33853596a03p-4, -0x1.074906f7ef8fcp-4, -0x1.02709a280ef3cp-4, -0x1.fb542e457fd32p-5, -0x1.f1eaac018440ap-5, -0x1.e8a45d36fcc4ap-5, -0x1.df80f12358aedp-5, -0x1.d6801697b3b0dp-5, -0x1.cda17c01c533ep-5, -0x1.c4e4cf749ec6fp-5, -0x1.bc49beb1356bdp-5, -0x1.b3cff72ed405cp-5, -0x1.ab77262346b54p-5, -0x1.a33ef88aec84ap-5, -0x1.9b271b3097d2dp-5, -0x1.932f3ab545396p-5, -0x1.8b570397a4b54p-5, -0x1.839e223b72416p-5, -0x1.7c0442f0ad05p-5, -0x1.748911faa2865p-5, -0x1.6d2c3b96c6d94p-5, -0x1.65ed6c036a529p-5, -0x1.5ecc4f864779bp-5, -0x1.57c89272dbd8cp-5, -0x1.50e1e130a5b5bp-5, -0x1.4a17e8412f7aep-5, -0x1.436a5445f3037p-5, -0x1.3cd8d2061df18p-5, -0x1.36630e7421975p-5, -0x1.3008b6b3211ap-5, -0x1.29c9781c40433p-5, -0x1.23a50043bcd89p-5, -0x1.1d9afcfdee434p-5, -0x1.17ab1c64139bfp-5, -0x1.11d50cd913493p-5, -0x1.0c187d0df16fap-5, -0x1.06751c064931cp-5, -0x1.00ea991c8533bp-5, -0x1.f6f1480c049a4p-6, -0x1.ec3dd9ae15a8ep-6, -0x1.e1ba480d68b5ap-6, -0x1.d765f4e529317p-6, -0x1.cd4042c4ad5eap-6, -0x1.c34895166aa58p-6, -0x1.b97e50269a645p-6, -0x1.afe0d929a2efp-6, -0x1.a66f964246272p-6, -0x1.9d29ee878798ap-6, -0x1.940f4a0a62bd3p-6, -0x1.8b1f11db3b954p-6, -0x1.8258b00f201b1p-6, -0x1.79bb8fc4ae3b8p-6, -0x1.71471d28f42d8p-6, -0x1.68fac57bee451p-6, -0x1.60d5f714e24bdp-6, -0x1.58d821667a1bbp-6, -0x1.5100b502b6d21p-6, -0x1.494f239e9f0c6p-6, -0x1.41c2e015c7d96p-6, -0x1.3a5b5e6da612fp-6, -0x1.331813d8a3e79p-6, -0x1.2bf876b92b219p-6, -0x1.24fbfea443c47p-6, -0x1.1e2224643f54ap-6, -0x1.176a61fb1e74fp-6, -0x1.10d432a4bfa11p-6, -0x1.0a5f12d8ecd5p-6, -0x1.040a804d4821fp-6, -0x1.fbabf3ee0f69fp-7, -0x1.ef820018fb97p-7, -0x1.e396280d1b4eap-7, -0x1.d7e77143d33fbp-7, -0x1.cc74e3c063119p-7, -0x1.c13d8a11e9e58p-7, -0x1.b6407154fd121p-7, -0x1.ab7ca9351e7fdp-7, -0x1.a0f143ede164fp-7, -0x1.969d564bb928p-7, -0x1.8c7ff7aca5128p-7, -0x1.829842009caf9p-7, -0x1.78e551c9983d6p-7, -0x1.6f66461b937ep-7, -0x1.661a409c2b32ep-7, -0x1.5d00658229b58p-7, -0x1.5417db949ebfcp-7, -0x1.4b5fcc2a2004fp-7, -0x1.42d763276a79ap-7, -0x1.3a7dcefe3e708p-7, -0x1.325240aba12e6p-7, -0x1.2a53ebb65105ap-7, -0x1.2282062cb916fp-7, -0x1.1adbc8a300835p-7, -0x1.13606e30b0c54p-7, -0x1.0c0f346e6673bp-7, -0x1.04e75b733c5abp-7, -0x1.fbd04ba417977p-8, -0x1.ee21b12d5fc3bp-8, -0x1.e0c17685c7744p-8, -0x1.d3ae2f96af64ep-8, -0x1.c6e6752865356p-8, -0x1.ba68e4dbe892dp-8, -0x1.ae342123918ecp-8, -0x1.a246d13c0265bp-8, -0x1.969fa124c24b9p-8, -0x1.8b3d41987e26p-8, -0x1.801e68056493fp-8, -0x1.7541ce84d8cb3p-8, -0x1.6aa633d365a25p-8, -0x1.604a5b4886aa8p-8, -0x1.562d0ccdb9c3dp-8, -0x1.4c4d14d60340bp-8, -0x1.42a944551fd8bp-8, -0x1.394070b654a75p-8, -0x1.301173d379b6ep-8, -0x1.271b2beb96344p-8, -0x1.1e5c7b997c136p-8, -0x1.15d449ca65f35p-8, -0x1.0d8181b435dfap-8, -0x1.056312cbd938cp-8, -0x1.faefe176f6b56p-9, -0x1.eb7e26b11283fp-9, -0x1.dc6eed33ba513p-9, -0x1.cdc0351b3cd79p-9, -0x1.bf70069e4be5p-9, -0x1.b17c71f9a872p-9, -0x1.a3e38f5bb4d3bp-9, -0x1.96a37ecfed084p-9, -0x1.89ba682a1d264p-9, -0x1.7d267af1d6d89p-9, -0x1.70e5ee4d6dd19p-9, -0x1.64f700ed6565ap-9, -0x1.5957f8f72e81ap-9, -0x1.4e0723f0740e8p-9, -0x1.4302d6aa0cb26p-9, -0x1.38496d2afe954p-9, -0x1.2dd94a9b558c9p-9, -0x1.23b0d92f7c713p-9, -0x1.19ce8a129a428p-9, -0x1.1030d552365b9p-9, -0x1.06d639c8dbf48p-9, -0x1.fb7a7a122e4b7p-10, -0x1.e9c8d691991bap-10, -0x1.d894ae97e6ae9p-10, -0x1.c7db34a060d8ap-10, -0x1.b799a7ef4740cp-10, -0x1.a7cd54689d124p-10, -0x1.98739266fb3p-10, -0x1.8989c69261473p-10, -0x1.7b0d61b69f4dp-10, -0x1.6cfbe09b1c032p-10, -0x1.5f52cbd9ca129p-10, -0x1.520fb7b68c9cp-10, -0x1.453043f71441ap-10, -0x1.38b21bbaf47c5p-10, -0x1.2c92f55317efap-10, -0x1.20d0921aabaabp-10, -0x1.1568be4f43209p-10, -0x1.0a5950e9ace42p-10, -0x1.ff4056eebf744p-11, -0x1.ea7673e66c73fp-11, -0x1.d650e53ec2cf2p-11, -0x1.c2cbabbd4b29bp-11, -0x1.afe2dc1ea1757p-11, -0x1.9d929ec91f586p-11, -0x1.8bd72f8413a86p-11, -0x1.7aacdd2bd63cp-11, -0x1.6a1009693ad83p-11, -0x1.59fd2868e0c44p-11, -0x1.4a70c091b9babp-11, -0x1.3b676a3e22d42p-11, -0x1.2cddcf74b4094p-11, -0x1.1ed0aba143464p-11, -0x1.113ccb4f88cp-11, -0x1.041f0be5cc117p-11, -0x1.eee8b6bfd9feep-12, -0x1.d6737018d9efep-12, -0x1.bed8608fcbe54p-12, -0x1.a811c476be5bap-12, -0x1.9219f734e9c47p-12, -0x1.7ceb72c23d5f1p-12, -0x1.6880cf28c3b78p-12, -0x1.54d4c2035d4c8p-12, -0x1.41e21dff56985p-12, -0x1.2fa3d260317f8p-12, -0x1.1e14ea82c6c4ap-12, -0x1.0d308d64318e3p-12, -0x1.f9e3fa515ca25p-13, -0x1.daa92d45c3879p-13, -0x1.bca7a1bf305bp-13, -0x1.9fd6795fd5c6ep-13, -0x1.842d086b37bd3p-13, -0x1.69a2d4e2692adp-13, -0x1.502f95a4c7e1ap-13, -0x1.37cb3190f876ap-13, -0x1.206dbea6307d3p-13, -0x1.0a0f812f7ecdp-13, -0x1.e951d5d1ca7p-14, -0x1.c0653464e46ep-14, -0x1.994ab26fbba74p-14, -0x1.73f43a5375511p-14, -0x1.50540ad7eaa56p-14, -0x1.2e5cb5a2c7ccp-14, -0x1.0e011da9d7b2cp-14, -0x1.de68eb56779d5p-15, -0x1.a3d47d56f1cc1p-15, -0x1.6c2c8cfb52566p-15, -0x1.37594c8faa446p-15, -0x1.0543822c6a79p-15, -0x1.aba909b77cc9bp-16, -0x1.51ec738e796acp-16, -0x1.fa4c45ec974e7p-17, -0x1.5a5814a11964p-17, -0x1.87549fbdc7a99p-18, -0x1.af980c85af86ap-20, 0x1.3c6f25aabdc71p-19, 0x1.979c177d6db82p-18, 0x1.406dd164c002ep-17, 0x1.ad4341f2ae667p-17, 0x1.094a5512e6c59p-16, 0x1.385342d87dfbfp-16, 0x1.63ddc45038f04p-16, 0x1.8c0a5463de4f6p-16, 0x1.b0f8937f16497p-16, 0x1.d2c74c0bb5d96p-16, 0x1.f19476ef2259bp-16, 0x1.06be9ff2fdf0bp-15, 0x1.134f04eea4992p-15, 0x1.1e8939963d146p-15, 0x1.287aace218415p-15, 0x1.31306fa535bdfp-15, 0x1.38b73691e03fep-15, 0x1.3f1b5c36b4557p-15, 0x1.4468e2f149a19p-15, 0x1.48ab76db3cbddp-15, 0x1.4bee6facff426p-15, 0x1.4e3cd296ca2f4p-15, 0x1.4fa154164b071p-15, 0x1.502659c069f47p-15, 0x1.4fd5fc02df6bdp-15, 0x1.4eba07e1012efp-15, 0x1.4cdc00a4cbaa3p-15, 0x1.4a45218c772d2p-15, 0x1.46fe5f6d21a8cp-15, 0x1.43106a4b9115ap-15, 0x1.3e83aef822a95p-15, 0x1.396058964656ep-15, 0x1.33ae5227bf861p-15, 0x1.2d754807eeaefp-15, 0x1.26bca9632ed5fp-15, 0x1.1f8ba9ae0432p-15, 0x1.17e942093a004p-15, 0x1.0fdc32a77faffp-15, 0x1.076b042ace56ap-15, 0x1.fd3811f58178ap-16, 0x1.eaeabd27e45bfp-16, 0x1.d7f9dda0b627fp-16, 0x1.c470e25a4c311p-16, 0x1.b05ad808b98e6p-16, 0x1.9bc26b8dcf848p-16, 0x1.86b1ec531bd1bp-16, 0x1.71334ea3d43dep-16, 0x1.5b502df59d231p-16, 0x1.4511cf26af113p-16, 0x1.2e8122adebb9ep-16, 0x1.17a6c6ca1e4a4p-16, 0x1.008b099069225p-16, 0x1.d26bd61b6ca18p-17, 0x1.a35e3e87fc33cp-17, 0x1.73fc2049e5eaep-17, 0x1.4453bf0b51282p-17, 0x1.1472d21a9b9fcp-17, 0x1.c8cd1016818d7p-18, 0x1.687714dea3252p-18, 0x1.07fc02cd06e6ep-18, 0x1.4ee65c71997a5p-19, 0x1.1bcbd9b2eec16p-20, -0x1.96f33ac47b492p-22, -0x1.e67b1b7b79c7p-20, -0x1.b31036cbfc30cp-19, -0x1.3918647b84f3cp-18, -0x1.983daa51a4ap-18, -0x1.f6e6c3fec589dp-18, -0x1.2a81a8ca9a813p-17, -0x1.5941db3f23755p-17, -0x1.87ac89da0094fp-17, -0x1.b5baa12bc8647p-17, -0x1.e36567273a29bp-17, -0x1.08533c3de3694p-16, -0x1.1ebbe302bcf48p-16, -0x1.34e9c92695e43p-16, -0x1.4ada37882a4a4p-16, -0x1.608a9d6c3b97ap-16, -0x1.75f88f53ea964p-16, -0x1.8b21c5d592b31p-16, -0x1.a0041c7f94318p-16, -0x1.b49d90bfc1298p-16, -0x1.c8ec40d67f646p-16, -0x1.dcee6ac397d13p-16, -0x1.f0a26b496fea5p-16, -0x1.02035e767aef9p-15, -0x1.0b8cfb7d491fep-15, -0x1.14ed664c17cedp-15, -0x1.1e2405eb16bc5p-15, -0x1.27304e6538762p-15, -0x1.3011c05710f49p-15, -0x1.38c7e88133e41p-15, -0x1.41525f5da4b86p-15, -0x1.49b0c8b8445dp-15, -0x1.51e2d3463ebaep-15, -0x1.59e838472d262p-15, -0x1.61c0bb21597aep-15, -0x1.696c290376c89p-15, -0x1.70ea588a2d9cdp-15, -0x1.783b29658b7b4p-15, -0x1.7f5e8403760a9p-15, -0x1.86545939bfdc3p-15, -0x1.8d1ca1f2ef274p-15, -0x1.93b75ede192f7p-15, -0x1.9a24982184852p-15, -0x1.a0645d0d8713cp-15, -0x1.a676c3d1cbec3p-15, -0x1.ac5be935ee387p-15, -0x1.b213f05320f54p-15, -0x1.b79f024fe6229p-15, -0x1.bcfd4e1c440d5p-15, -0x1.c22f0832fa578p-15, -0x1.c7346a58a9b37p-15, -0x1.cc0db36075ddp-15, -0x1.d0bb26f04f4d2p-15, -0x1.d53d0d4556de6p-15, -0x1.d993b2fe8e17ap-15, -0x1.ddbf68e4efd04p-15, -0x1.e1c083b5f0337p-15, -0x1.e5975bf08d358p-15, -0x1.e9444da4e44f7p-15, -0x1.ecc7b841cdaa4p-15, -0x1.f021fe66d2056p-15, -0x1.f35385b63ff5p-15, -0x1.f65cb6a93d7ecp-15, -0x1.f93dfc652c058p-15, -0x1.fbf7c491641e3p-15, -0x1.fe8a7f2f845c7p-15, -0x1.007b4f3a48e75p-14, -0x1.019e4b5165974p-14, -0x1.02ae6ef26c0dap-14, -0x1.03abf61589d6ap-14, -0x1.04971d842e176p-14, -0x1.057022c8ba5b5p-14, -0x1.0637441ec4c2p-14, -0x1.06ecc062cbaebp-14, -0x1.0790d703e4085p-14, -0x1.0823c7f4e258ep-14, -0x1.08a5d39e56842p-14, -0x1.09173ad12ae16p-14, -0x1.09783eb960851p-14, -0x1.09c920d192f51p-14, -0x1.0a0a22d6e4b56p-14, -0x1.0a3b86bd4a39ep-14, -0x1.0a5d8ea3d7017p-14, -0x1.0a707cca3e60fp-14, -0x1.0a7493862152cp-14, -0x1.0a6a1538f255ep-14, -0x1.0a5144464af8fp-14, -0x1.0a2a630ad4924p-14, -0x1.09f5b3d2a446dp-14, -0x1.09b378d140eddp-14, -0x1.0963f418f8c56p-14, -0x1.09076792ced61p-14, -0x1.089e14f73c8bep-14, -0x1.08283dc695184p-14, -0x1.07a623421229bp-14, -0x1.07180665064a1p-14, -0x1.067e27deb0776p-14, -0x1.05d8c80bf1a72p-14, -0x1.052826f14409fp-14, -0x1.046c84352d59ap-14, -0x1.03a61f1b0add1p-14, -0x1.02d5367e29fb9p-14, -0x1.01fa08cc717c7p-14, -0x1.0114d40230c55p-14, -0x1.0025d5a581064p-14, -0x1.fe5a95843e329p-15, -0x1.fc56dfcb38c74p-15, -0x1.fa410237e143fp-15, -0x1.f81973d62ae63p-15, -0x1.f5e0aaa107e64p-15, -0x1.f3971b7c10ed2p-15, -0x1.f13d3a2cb0f6cp-15, -0x1.eed3795567828p-15, -0x1.ec5a4a7046685p-15, -0x1.e9d21dca54d2bp-15, -0x1.e73b627f272eep-15, -0x1.e49686749f1bp-15, -0x1.e1e3f656c14e8p-15, -0x1.df241d94d5e4ep-15, -0x1.dc57665d8c74dp-15, -0x1.d97e399c7a64p-15, -0x1.d698fef6cc39dp-15, -0x1.d3a81cc98457dp-15, -0x1.d0abf826e0cdcp-15, -0x1.cda4f4d48d199p-15, -0x1.ca937549ca899p-15, -0x1.c777daae1e48fp-15, -0x1.c45284d8a413dp-15, -0x1.c123d24dc8595p-15, -0x1.bdec203f0f4edp-15, -0x1.baabca8acf0acp-15, -0x1.b7632bbb7fb26p-15, -0x1.b4129d0721fe2p-15, -0x1.b0ba764fac64cp-15, -0x1.ad5b0e2306c82p-15, -0x1.a9f4b9bb02888p-15, -0x1.a687ccfe0ea8fp-15, -0x1.a3149a7fcb2b5p-15, -0x1.9f9b73819e951p-15, -0x1.9c1ca7f368a32p-15, -0x1.98988674e5888p-15, -0x1.950f5c56b7765p-15, -0x1.9181759b9b043p-15, -0x1.8def1cf9a8341p-15, -0x1.8a589bdba85c8p-15, -0x1.86be3a632cd31p-15, -0x1.83203f69c57ep-15, -0x1.7f7ef082e9615p-15, -0x1.7bda91fe7f7f4p-15, -0x1.783366e997accp-15, -0x1.7489b111517aep-15, -0x1.70ddb10520a3bp-15, -0x1.6d2fa61889a28p-15, -0x1.697fce6582f33p-15, -0x1.65ce66cf0ba3dp-15, -0x1.621bab03b8e4ep-15, -0x1.5e67d57faf84fp-15, -0x1.5ab31f8f6b262p-15, -0x1.56fdc1528fe66p-15, -0x1.5347f1be906f2p-15, -0x1.4f91e6a11554ap-15, -0x1.4bdbd4a2f888fp-15, -0x1.4825ef4ad2901p-15, -0x1.447069004703ap-15, -0x1.40bb730e49b79p-15, -0x1.3d073da6978f5p-15, -0x1.3953f7e4722b2p-15, -0x1.35a1cfcf6ce18p-15, -0x1.31f0f25eca31ep-15, -0x1.2e418b7c07877p-15, -0x1.2a93c606284c3p-15, -0x1.26e7cbd4ede33p-15, -0x1.233dc5bbb6496p-15, -0x1.1f95db8cb46c1p-15, -0x1.1bf0341bd378dp-15, -0x1.184cf5421f1f1p-15, -0x1.14ac43e0da08ep-15, -0x1.110e43e48c0aap-15, -0x1.0d731847d0e91p-15, -0x1.09dae317103aap-15, -0x1.0645c5736fd96p-15, -0x1.02b3df9604a83p-15, -0x1.fe4aa1a58ceb7p-16, -0x1.f7346f37f4ce5p-16, -0x1.f025630a565b6p-16, -0x1.e91db68cc42b2p-16, -0x1.e21da17ebeb9cp-16, -0x1.db2559f52418fp-16, -0x1.d43514602ec3ap-16, -0x1.cd4d03929ec33p-16, -0x1.c66d58c742563p-16, -0x1.bf9643a6f29aep-16, -0x1.b8c7f24f9e70ap-16, -0x1.b20291598a57ap-16, -0x1.ab464bddcbedbp-16, -0x1.a4934b7c36bddp-16, -0x1.9de9b86193489p-16, -0x1.9749b94da95f2p-16, -0x1.90b373993ef6fp-16, -0x1.8a270b3b74dc5p-16, -0x1.83a4a2d0612abp-16, -0x1.7d2c5b9ed75d4p-16, -0x1.76be559dcb7d2p-16, -0x1.705aaf7ab9712p-16, -0x1.6a01869e7af0cp-16, -0x1.63b2f733cff91p-16, -0x1.5d6f1c2c8ca8dp-16, -0x1.57360f47539fap-16, -0x1.5107e91520ce8p-16, -0x1.4ae4c0feb6047p-16, -0x1.44ccad4a81facp-16, -0x1.3ebfc3215d0fep-16, -0x1.38be169431a2ap-16, -0x1.32c7baa196049p-16, -0x1.2cdcc13a549adp-16, -0x1.26fd3b470dbcep-16, -0x1.212938adb9279p-16, -0x1.1b60c8561efb3p-16, -0x1.15a3f82f1e18p-16, -0x1.0ff2d533b310bp-16, -0x1.0a4d6b6fef434p-16, -0x1.04b3c605b140bp-16, -0x1.fe4bde62a4cbdp-17, -0x1.f347e09dc7b37p-17, -0x1.e85ba3bd9fcb8p-17, -0x1.dd8737142717ep-17, -0x1.d2caa84e5b647p-17, -0x1.c826037d55ba5p-17, -0x1.bd99531f32476p-17, -0x1.b324a027da013p-17, -0x1.a8c7f209ae04fp-17, -0x1.9e834ebe7f58bp-17, -0x1.9456bacfe0f11p-17, -0x1.8a42395f93a7fp-17, -0x1.8045cc2fdb23dp-17, -0x1.766173abb5ed3p-17, -0x1.6c952eeee1a16p-17, -0x1.62e0fbcdc817p-17, -0x1.5944d6ddd8988p-17, -0x1.4fc0bb7cc0e39p-17, -0x1.4654a3d857219p-17, -0x1.3d0088f5d75f2p-17, -0x1.33c462b9c2b54p-17, -0x1.2aa027ef43aa3p-17, -0x1.2193ce4e920b1p-17, -0x1.189f4a850d512p-17, -0x1.0fc2903bb1eb6p-17, -0x1.06fd921e2e80cp-17, -0x1.fca083c336c0ap-18, -0x1.eb752096b778fp-18, -0x1.da78da6e66d17p-18, -0x1.c9ab8f3cb5e8cp-18, -0x1.b90d1b3aba67cp-18, -0x1.a89d58f5469fdp-18, -0x1.985c2159f0a85p-18, -0x1.88494bc200386p-18, -0x1.7864adfebab49p-18, -0x1.68ae1c66268fep-18, -0x1.592569dd6fa9bp-18, -0x1.49ca67e4aabbcp-18, -0x1.3a9ce6a1ec229p-18, -0x1.2b9cb4eca9df5p-18, -0x1.1cc9a05815022p-18, -0x1.0e23753da9438p-18, -0x1.ff53fd902e3f2p-19, -0x1.e2ba0dfb069e3p-19, -0x1.c678ad910086bp-19, -0x1.aa8f6c06b7f6ep-19, -0x1.8efdd7020b39ep-19, -0x1.73c37a2d408d6p-19, -0x1.58dfdf49e3b7cp-19, -0x1.3e528e43a0bd1p-19, -0x1.241b0d435cd5cp-19, -0x1.0a38e0bd7b769p-19, -0x1.e157170bd07abp-20, -0x1.aee51dc240e32p-20, -0x1.7d1ad5266c8f6p-20, -0x1.4bf739e37e799p-20, -0x1.1b7945e69d5b6p-20, -0x1.d73fe0fc468afp-21, -0x1.78d45cf3e25b1p-21, -0x1.1bade48f13efcp-21, -0x1.7f94b0442a959p-22, -0x1.949e4eceaf86dp-23, -0x1.786de62bb11a6p-26, 0x1.3191053f2c27cp-23, 0x1.46a35ac08e30cp-22, 0x1.f20e1004a91f1p-22, 0x1.4d8687737a54ep-21, 0x1.a0d264fbae53cp-21, 0x1.f2ecdcbaf04c9p-21, 0x1.21ec16baa6231p-20, 0x1.49cb4c332d9d1p-20, 0x1.7115308881cdap-20, 0x1.97cae6882c595p-20, 0x1.bded91f5a3535p-20, 0x1.e37e577548037p-20, 0x1.043f2e3b34977p-19, 0x1.1677638e736b9p-19, 0x1.28685f17c5f69p-19, 0x1.3a12b4812dc53p-19, 0x1.4b76f7b13a932p-19, 0x1.5c95bcc2bfc36p-19, 0x1.6d6f97faca83cp-19, 0x1.7e051dbecb3e3p-19, 0x1.8e56e28be6c3ap-19, 0x1.9e657aef81a2bp-19, 0x1.ae317b7db5b0dp-19, 0x1.bdbb78c9eeacp-19, 0x1.cd04075e12781p-19, 0x1.dc0bbbb335f69p-19, 0x1.ead32a2923ce1p-19, 0x1.f95ae700c22dep-19, 0x1.03d1c32996511p-18, 0x1.0ad6ce05844cdp-18, 0x1.11bcddef3a7e8p-18, 0x1.18843ca389554p-18, 0x1.1f2d33be800d5p-18, 0x1.25b80cb7d414ap-18, 0x1.2c2510dfd71cp-18, 0x1.3274895c5c6fdp-18, 0x1.38a6bf263b67fp-18, 0x1.3ebbfb061a3c2p-18, 0x1.44b48591ecb42p-18, 0x1.4a90a72a1eaep-18, 0x1.5050a7f7510ffp-18, 0x1.55f4cfe75630ap-18, 0x1.5b7d66ab3285p-18, 0x1.60eab3b502365p-18, 0x1.663cfe3531345p-18, 0x1.6b748d180eef9p-18, 0x1.7091a704775afp-18, 0x1.759492592afc6p-18, 0x1.7a7d952b0f972p-18, 0x1.7f4cf54370d6ap-18, 0x1.8402f81d7c665p-18, 0x1.889fe2e54248cp-18, 0x1.8d23fa75a5aacp-18, 0x1.918f83568d6aap-18, 0x1.95e2c1bae7a74p-18, 0x1.9a1df980044efp-18, 0x1.9e416e2bed225p-18, 0x1.a24d62eb1641ep-18, 0x1.a6421a8f9da3fp-18, 0x1.aa1fd7906d6e9p-18, 0x1.ade6dc0700682p-18, 0x1.b19769aed0b29p-18, 0x1.b531c1e421a87p-18, 0x1.b8b625a26ca13p-18, 0x1.bc24d5838d618p-18, 0x1.bf7e11bf01916p-18, 0x1.c2c21a28cf229p-18, 0x1.c5f12e3081c54p-18, 0x1.c90b8cdff9623p-18, 0x1.cc1174db05831p-18, 0x1.cf03245ed5c85p-18, 0x1.d1e0d940af05ep-18, 0x1.d4aad0ed2cbdfp-18, 0x1.d7614867c657ap-18, 0x1.da047c4aa34fap-18, 0x1.dc94a8c52e07cp-18, 0x1.df12099bc158p-18, 0x1.e17cda27b338fp-18, 0x1.e3d555566a6e5p-18, 0x1.e61bb5a8d70fdp-18, 0x1.e8503532f9c3ep-18, 0x1.ea730d9c48577p-18, 0x1.ec84781e4eadap-18, 0x1.ee84ad847ee6bp-18, 0x1.f073e62cc868fp-18, 0x1.f2525a06f4bcbp-18, 0x1.f42040941802fp-18, 0x1.f5ddd0e6472b7p-18, 0x1.f78b41a0f14eep-18, 0x1.f928c8f868a4fp-18, 0x1.fab69cb230a06p-18, 0x1.fc34f224c8e64p-18, 0x1.fda3fe368953ep-18, 0x1.ff03f55f18b1ap-18, 0x1.002a85d38e6e2p-17, 0x1.00cbba53ccf7cp-17, 0x1.0165b1c51c036p-17, 0x1.01f88584ebb1ap-17, 0x1.02844eb93759bp-17, 0x1.0309265026469p-17, 0x1.03872500cb3ebp-17, 0x1.03fe634acc2c1p-17, 0x1.046ef976913c7p-17, 0x1.04d8ff953bf21p-17, 0x1.053c8d8102cbcp-17, 0x1.0599badd1e63fp-17, 0x1.05f09f160111bp-17, 0x1.0641516188c58p-17, 0x1.068be8bef07b6p-17, 0x1.06d07bf6bf5e4p-17, 0x1.070f219b8e81cp-17, 0x1.0747f00a0eefap-17, 0x1.077afd68a93e4p-17, 0x1.07a85fa81b5fp-17, 0x1.07d02c83b141p-17, 0x1.07f279814c99dp-17, 0x1.080f5bf1bb825p-17, 0x1.0826e8f0780b1p-17, 0x1.083935647c161p-17, 0x1.0846560067876p-17, 0x1.084e5f424631p-17, 0x1.08516573d9e63p-17, 0x1.084f7cab67452p-17, 0x1.0848b8cb4bca3p-17, 0x1.083d2d82931d7p-17, 0x1.082cee4d40b79p-17, 0x1.08180e742e724p-17, 0x1.07fea10d9fd16p-17, 0x1.07e0b8fda36f4p-17, 0x1.07be68f5f4253p-17, 0x1.0797c376933f6p-17, 0x1.076cdacdde1b7p-17, 0x1.073dc118930e5p-17, 0x1.070a8842a8b33p-17, 0x1.06d34207766afp-17, 0x1.0697fff18aff4p-17, 0x1.0658d35b37467p-17, 0x1.0615cd6f142a3p-17, 0x1.05ceff2817687p-17, 0x1.05847951abc95p-17, 0x1.05364c88558eap-17, 0x1.04e48939d9137p-17, 0x1.048f3fa583dcep-17, 0x1.04367fdc671d3p-17, 0x1.03da59c1d2eb4p-17, 0x1.037add0ba96a6p-17, 0x1.031819426eee9p-17, 0x1.02b21dc1922fap-17, 0x1.0248f9b829f18p-17, 0x1.01dcbc28e69abp-17, 0x1.016d73ea840e2p-17, 0x1.00fb2fa800dd5p-17, 0x1.0085fde0f52f5p-17, 0x1.000decea0cd15p-17, 0x1.ff2615da11059p-18, 0x1.fe2acbd2ce03p-18, 0x1.fd2a1769211ecp-18, 0x1.fc2413f3e2105p-18, 0x1.fb18dc774df65p-18, 0x1.fa088ba5d5b58p-18, 0x1.f8f33bdf1d72dp-18, 0x1.f7d9073256f9cp-18, 0x1.f6ba075ee1fe5p-18, 0x1.f59655d3b19eep-18, 0x1.f46e0bb089bbcp-18, 0x1.f34141c74d9ap-18, 0x1.f210109bb210dp-18, 0x1.f0da906453f7bp-18, 0x1.efa0d90b2e533p-18, 0x1.ee63022ebc4a9p-18, 0x1.ed21232175257p-18, 0x1.ebdb52ebbbc38p-18, 0x1.ea91a84c18d59p-18, 0x1.e94439b73c983p-18, 0x1.e7f31d596159bp-18, 0x1.e69e69169de94p-18, 0x1.e546328bacc1dp-18, 0x1.e3ea8f0e709fep-18, 0x1.e28b93ae37602p-18, 0x1.e12955354777fp-18, 0x1.dfc3e8289f64bp-18, 0x1.de5b60c8e85ccp-18, 0x1.dcefd313707e3p-18, 0x1.db8152c1c1e4dp-18, 0x1.da0ff34b31dccp-18, 0x1.d89bc7e60b34p-18, 0x1.d724e386035a8p-18, 0x1.d5ab58dea8187p-18, 0x1.d42f3a6413b31p-18, 0x1.d2b09a4a44996p-18, 0x1.d12f8a8663171p-18, 0x1.cfac1cd00ed05p-18, 0x1.ce2662a06c5acp-18, 0x1.cc9e6d33f2b2bp-18, 0x1.cb144d8ac6e2ep-18, 0x1.c9881469000adp-18, 0x1.c7f9d2573cacp-18, 0x1.c66997a435e5fp-18, 0x1.c4d77463992ep-18, 0x1.c343786ff8edep-18, }}, 
      {{-0x1.b5f14330f2d87p-1, -0x1.b5a871bdf7719p-1, -0x1.b52d3a4cfd9d8p-1, -0x1.b47d5fd4a3a6p-1, -0x1.b3968b9c8a8fbp-1, -0x1.b276bab54d922p-1, -0x1.b11c8fac8d26cp-1, -0x1.af8785f496c6cp-1, -0x1.adb8099cd3745p-1, -0x1.abaf7863116fp-1, -0x1.a97011d7074ffp-1, -0x1.a6fcdbfffee66p-1, -0x1.a4598131cc3ecp-1, -0x1.a18a2ad218797p-1, -0x1.9e935be5db601p-1, -0x1.9b79cd6e80f59p-1, -0x1.98424def110bdp-1, -0x1.94f1a4e5088dp-1, -0x1.918c7a9401282p-1, -0x1.8e174432cf927p-1, -0x1.8a96344ff0e06p-1, -0x1.870d2f1d89a71p-1, -0x1.837fc23ece927p-1, -0x1.7ff11fa5d36dcp-1, -0x1.7c641b0e715f7p-1, -0x1.78db29a69c8f3p-1, -0x1.7558637c18437p-1, -0x1.71dd86516eba1p-1, -0x1.6e6bf9871b13cp-1, -0x1.6b04d2d126dc1p-1, -0x1.67a8db7c68ff4p-1, -0x1.64589610bcc76p-1, -0x1.61144426b8a72p-1, -0x1.5ddbec4f7b1p-1, -0x1.5aaf5ff41e7ddp-1, -0x1.578e411847c67p-1, -0x1.547807f030a24p-1, -0x1.516c083e97f19p-1, -0x1.4e6976724cdp-1, -0x1.4b6f6c7da6764p-1, -0x1.487cee645425p-1, -0x1.4590ee7d9619p-1, -0x1.42aa516a323f6p-1, -0x1.3fc7f1be79fd7p-1, -0x1.3ce8a36173b36p-1, -0x1.3a0b36a2d5e37p-1, -0x1.372e7b09e7b69p-1, -0x1.345141dfbc027p-1, -0x1.317260776e88bp-1, -0x1.2e90b237473p-1, -0x1.2bab1a65ba893p-1, -0x1.28c085bd63acap-1, -0x1.25cfebcb18522p-1, -0x1.22d85019456fbp-1, -0x1.1fd8c32bc31c1p-1, -0x1.1cd0634f49637p-1, -0x1.19be5d3fabc6fp-1, -0x1.16a1eca7ef883p-1, -0x1.137a5c7f461bfp-1, -0x1.10470745e03a8p-1, -0x1.0d07572472bfdp-1, -0x1.09bac5f137296p-1, -0x1.0660dd1d0cc5ap-1, -0x1.02f9358b45b6ep-1, -0x1.ff06eead1f4ccp-2, -0x1.f7feb30a7ce8ap-2, -0x1.f0d9435e4d941p-2, -0x1.e996472e213ecp-2, -0x1.e23581734d2cp-2, -0x1.dab6cfa745f8dp-2, -0x1.d31a28c1c7873p-2, -0x1.cb5f9c2bb83bfp-2, -0x1.c38750a9915b7p-2, -0x1.bb91833fcb90bp-2, -0x1.b37e86138928p-2, -0x1.ab4ebf498c01ep-2, -0x1.a302a7e542d41p-2, -0x1.9a9acaa984fcep-2, -0x1.9217c2fc689f7p-2, -0x1.897a3bcf6676bp-2, -0x1.80c2ee8cd8f7p-2, -0x1.77f2a20bba91ep-2, -0x1.6f0a298a5f56dp-2, -0x1.660a63b0c8466p-2, -0x1.5cf4399b08d95p-2, -0x1.53c89dec1d4a1p-2, -0x1.4a888be97d463p-2, -0x1.4135069f914bfp-2, -0x1.37cf180f2acd5p-2, -0x1.2e57d06403807p-2, -0x1.24d045343e94cp-2, -0x1.1b3990c8d32c6p-2, -0x1.1194d16ec0e0bp-2, -0x1.07e328d0e173cp-2, -0x1.fc4b76b4495a1p-3, -0x1.e8bb5f3ff7c04p-3, -0x1.d5185ba9672f8p-3, -0x1.c164be82f1f52p-3, -0x1.ada2db8f812dbp-3, -0x1.99d506d395b3bp-3, -0x1.85fd93b3e7e8dp-3, -0x1.721ed421136p-3, -0x1.5e3b17cfb397fp-3, -0x1.4a54ab7c62663p-3, -0x1.366dd83af8dcbp-3, -0x1.2288e2d09a28cp-3, -0x1.0ea80b17ea16cp-3, -0x1.f59b16dde82aep-4, -0x1.cdf7305c82d5ep-4, -0x1.a668be513e225p-4, -0x1.7ef40e6644bd2p-4, -0x1.579d5f69f4707p-4, -0x1.3068e07d4f1eep-4, -0x1.095ab0505f7c2p-4, -0x1.c4edb8d7d250bp-5, -0x1.7782c10f56ebap-5, -0x1.2a7c4bd9115ffp-5, -0x1.bbc40b882d391p-6, -0x1.2376e89a8f8cdp-6, -0x1.183fd39130ddcp-7, 0x1.4650ff0019016p-11, 0x1.3ee4ae89f2e57p-7, 0x1.3391c3d5fea56p-6, 0x1.c68363e12c297p-6, 0x1.2c1d12af91e77p-5, 0x1.7454a797ed314p-5, 0x1.bbe24110c0ac1p-5, 0x1.015fee76b3de8p-4, 0x1.2473d36a51ee9p-4, 0x1.4729fc4d404b2p-4, 0x1.697fad4699c4ap-4, 0x1.8b7241dac48dbp-4, 0x1.acff2d05a1bb6p-4, 0x1.ce23f94ecf72dp-4, 0x1.eede48d84fea3p-4, 0x1.0795eab3cbc45p-3, 0x1.17853834a754cp-3, 0x1.273c0177e74abp-3, 0x1.36b946d64d203p-3, 0x1.45fc14726dcc6p-3, 0x1.55038230909bdp-3, 0x1.63ceb3ac38c74p-3, 0x1.725cd82b6457ap-3, 0x1.80ad2a8fa2a52p-3, 0x1.8ebef144fb676p-3, 0x1.9c917e2eca67bp-3, 0x1.aa242e92943b7p-3, 0x1.b7766b00e4bc6p-3, 0x1.c487a73c4efefp-3, 0x1.d157621e932cep-3, 0x1.dde5257c05882p-3, 0x1.ea30860537779p-3, 0x1.f63923270cd65p-3, 0x1.00ff537494a5p-2, 0x1.06c062e57533bp-2, 0x1.0c5f9f4f70b98p-2, 0x1.11dced327b0acp-2, 0x1.17383611957dbp-2, 0x1.1c71685e9204p-2, 0x1.218877653f6a9p-2, 0x1.267d5b360405bp-2, 0x1.2b50108fecf25p-2, 0x1.300098ca4150cp-2, 0x1.348ef9bd9c1dp-2, 0x1.38fb3dac948e4p-2, 0x1.3d45732c05444p-2, 0x1.416dad0aeb395p-2, 0x1.45740239f5894p-2, 0x1.49588db2c0c7ap-2, 0x1.4d1b6e5ecdb9ep-2, 0x1.50bcc6fe392dp-2, 0x1.543cbe0e394cbp-2, 0x1.579b7daf6e8f2p-2, 0x1.5ad9338c0834ep-2, 0x1.5df610bdcae0ep-2, 0x1.60f249b3fb7b5p-2, 0x1.63ce1619379b4p-2, 0x1.6689b0b941301p-2, 0x1.69255766c7f6dp-2, 0x1.6ba14ae12f6bdp-2, 0x1.6dfdceba609b9p-2, 0x1.703b293ca7633p-2, 0x1.7259a350a7009p-2, 0x1.7459886362dcap-2, 0x1.763b264c6e0aap-2, 0x1.77fecd34391f6p-2, 0x1.79a4cf7a8ea76p-2, 0x1.7b2d819d3e3bap-2, 0x1.7c993a1ef8d7cp-2, 0x1.7de8516e6ba51p-2, 0x1.7f1b21cd91be5p-2, 0x1.803207394da45p-2, 0x1.812d5f514125ep-2, 0x1.820d893ff6a54p-2, 0x1.82d2e5a3519cfp-2, 0x1.837dd67551d37p-2, 0x1.840ebef52c524p-2, 0x1.84860390b467ep-2, 0x1.84e409ce279edp-2, 0x1.852938364db55p-2, 0x1.8555f63efcdbap-2, 0x1.856aac35fb9f7p-2, 0x1.8567c32c47ffdp-2, 0x1.854da4e1c2569p-2, 0x1.851cbbb1407d6p-2, 0x1.84d5727d05aa5p-2, 0x1.8478349ba921p-2, 0x1.84056dc5635cfp-2, 0x1.837d8a01c9a04p-2, 0x1.82e0f595f7055p-2, 0x1.82301cf31ffeep-2, 0x1.816b6ca59983bp-2, 0x1.809351444875cp-2, 0x1.7fa8376086069p-2, 0x1.7eaa8b76704c8p-2, 0x1.7d9ab9ddab6f6p-2, 0x1.7c792eba9138bp-2, 0x1.7b4655efd36e5p-2, 0x1.7a029b1087ba9p-2, 0x1.78ae6952a7bp-2, 0x1.774a2b81fa5aep-2, 0x1.75d64bf36fbbap-2, 0x1.74533478e72p-2, 0x1.72c14e5560cd2p-2, 0x1.712102319cbb4p-2, 0x1.6f72b8112582ap-2, 0x1.6db6d747c151bp-2, 0x1.6bedc66f4bffbp-2, 0x1.6a17eb5dfc6ffp-2, 0x1.6835ab1d0a45ap-2, 0x1.664769dfbd257p-2, 0x1.644d8afadeec6p-2, 0x1.624870dc8ce53p-2, 0x1.60387d046f078p-2, 0x1.5e1e0ffc4b218p-2, 0x1.5bf98950f7727p-2, 0x1.59cb478ba84e8p-2, 0x1.5793a82b9a1f1p-2, 0x1.555307a0151b3p-2, 0x1.5309c142c733cp-2, 0x1.50b82f5274a3ap-2, 0x1.4e5eaaedfeb3ep-2, 0x1.4bfd8c0fb8c88p-2, 0x1.499529891563bp-2, 0x1.4725d8fe9ad8dp-2, 0x1.44afeee42aaeap-2, 0x1.4233be7994361p-2, 0x1.3fb199c76f422p-2, 0x1.3d29d19c41333p-2, 0x1.3a9cb589e77fep-2, 0x1.380a93e3482b2p-2, 0x1.3573b9ba4514ep-2, 0x1.32d872ddf061p-2, 0x1.303909d8ffc37p-2, 0x1.2d95c7f07f918p-2, 0x1.2aeef522c132ep-2, 0x1.2844d826824ecp-2, 0x1.2597b66a5039ep-2, 0x1.22e7d414202b3p-2, 0x1.203574011df9dp-2, 0x1.1d80d7c5abac8p-2, 0x1.1aca3fad9802bp-2, 0x1.1811eabc82bb2p-2, 0x1.155816ae6d45dp-2, 0x1.129cfff87f5cp-2, 0x1.0fe0e1c9ee564p-2, 0x1.0d23f60d18689p-2, 0x1.0a667568bf88cp-2, 0x1.07a897417282dp-2, 0x1.04ea91bb16285p-2, 0x1.022c99ba96154p-2, 0x1.feddc5cf6ea3p-3, 0x1.f9633f5e153bap-3, 0x1.f3ea0288013abp-3, 0x1.ee726f4636ee7p-3, 0x1.e8fce3287bdf1p-3, 0x1.e389b95a28e5cp-3, 0x1.de194aa738f64p-3, 0x1.d8abed81813ecp-3, 0x1.d341f60622752p-3, 0x1.cddbb6031c723p-3, 0x1.c8797cfd1936fp-3, 0x1.c31b983554f92p-3, 0x1.bdc252afb6905p-3, 0x1.b86df53904094p-3, 0x1.b31ec66d3dec8p-3, 0x1.add50abe186dbp-3, 0x1.a891047995264p-3, 0x1.a352f3d0b02a2p-3, 0x1.9e1b16de34b19p-3, 0x1.98e9a9ad9b6fep-3, 0x1.93bee64207b38p-3, 0x1.8e9b049d553cap-3, 0x1.897e3ac7388c4p-3, 0x1.8468bcd470cb5p-3, 0x1.7f5abcee06e33p-3, 0x1.7a546b589aa8fp-3, 0x1.7555f67bbc59bp-3, 0x1.705f8ae94d1fap-3, 0x1.6b715364edaacp-3, 0x1.668b78eb6e8bp-3, 0x1.61ae22ba4794dp-3, 0x1.5cd97657172fcp-3, 0x1.580d97971e203p-3, 0x1.534aa8a6c41d9p-3, 0x1.4e90ca11155e5p-3, 0x1.49e01ac749d1ap-3, 0x1.4538b8283d645p-3, 0x1.409abe07f1f37p-3, 0x1.3c0646b7040cap-3, 0x1.377b6b0a1faecp-3, 0x1.32fa42616d1fbp-3, 0x1.2e82e2affa3dcp-3, 0x1.2a15608313fbcp-3, 0x1.25b1cf09a19efp-3, 0x1.2158401b6bc28p-3, 0x1.1d08c440643c1p-3, 0x1.18c36ab7d8023p-3, 0x1.1488417fa0325p-3, 0x1.1057555b39945p-3, 0x1.0c30b1dada5b6p-3, 0x1.081461627730fp-3, 0x1.04026d30b5c67p-3, 0x1.fff5bacba46b6p-4, 0x1.f7fb7214f3a58p-4, 0x1.f0160c2d1e3fp-4, 0x1.e84592efbf581p-4, 0x1.e08a0e3197c8bp-4, 0x1.d8e383cdb1c0ap-4, 0x1.d151f7b262fb5p-4, 0x1.c9d56bee32cd1p-4, 0x1.c26de0bc92739p-4, 0x1.bb1b549270748p-4, 0x1.b3ddc42aa70afp-4, 0x1.acb52a9245a2ap-4, 0x1.a5a18134b3ap-4, 0x1.9ea2bfe7a1e59p-4, 0x1.97b8dcf6e27d5p-4, 0x1.90e3cd300ce3ap-4, 0x1.8a2383edfc7f2p-4, 0x1.8377f32423ff3p-4, 0x1.7ce10b69bc4f8p-4, 0x1.765ebc04c5cebp-4, 0x1.6ff0f2f4db6d3p-4, 0x1.69979cfde432ap-4, 0x1.6352a5b29461cp-4, 0x1.5d21f77ec59f7p-4, 0x1.57057bb1a42ccp-4, 0x1.50fd1a87b0803p-4, 0x1.4b08bb349b92ep-4, 0x1.452843ecee94cp-4, 0x1.3f5b99ef937c8p-4, 0x1.39a2a18f27964p-4, 0x1.33fd3e3b2b96ap-4, 0x1.2e6b528908944p-4, 0x1.28ecc03ce5ae9p-4, 0x1.23816852583bdp-4, 0x1.1e292b04e6ee1p-4, 0x1.18e3e7d867525p-4, 0x1.13b17da12c2ap-4, 0x1.0e91ca8c0dc4dp-4, 0x1.0984ac264b79ap-4, 0x1.0489ff653afbbp-4, 0x1.ff43415bb6614p-5, 0x1.f596d7b86d4a9p-5, 0x1.ec0e789540053p-5, 0x1.e2a9d9b190abcp-5, 0x1.d968afe55208p-5, 0x1.d04aaf2e97eb5p-5, 0x1.c74f8abedc3bcp-5, 0x1.be76f507e8868p-5, 0x1.b5c09fc880f12p-5, 0x1.ad2c3c18bb147p-5, 0x1.a4b97a7619061p-5, 0x1.9c680acf4076ap-5, 0x1.94379c8f88fe8p-5, 0x1.8c27deaa2517p-5, 0x1.84387fa5153d5p-5, 0x1.7c692da3d83d1p-5, 0x1.74b99671c167p-5, 0x1.6d29678c1e3b5p-5, 0x1.65b84e2c0df68p-5, 0x1.5e65f7501a7e9p-5, 0x1.57320fc58ecfdp-5, 0x1.501c443189dc6p-5, 0x1.49244119d3d8cp-5, 0x1.4249b2ed6e928p-5, 0x1.3b8c460cf6a11p-5, 0x1.34eba6d2b07fbp-5, 0x1.2e67819a6ef2ep-5, 0x1.27ff82c92ed78p-5, 0x1.21b356d47d75dp-5, 0x1.1b82aa49a7f24p-5, 0x1.156d29d4b0afbp-5, 0x1.0f72824706115p-5, 0x1.0992609e09084p-5, 0x1.03cc720961ab6p-5, 0x1.fc40c7e2256eap-6, 0x1.f11bc7f6ca99bp-6, 0x1.e629402528978p-6, 0x1.db688cd4adea5p-6, 0x1.d0d90b0a48422p-6, 0x1.c67a1872b1e8ap-6, 0x1.bc4b136c521a6p-6, 0x1.b24b5b10b102p-6, 0x1.a87a4f3da554fp-6, 0x1.9ed7509e15923p-6, 0x1.9561c0b27e248p-6, 0x1.8c1901d90098ep-6, 0x1.82fc7755256c9p-6, 0x1.7a0b855766f88p-6, 0x1.714591043fcebp-6, 0x1.68aa007b10fbap-6, 0x1.60383adc9e06p-6, 0x1.57efa8514f3a9p-6, 0x1.4fcfb20f23bf9p-6, 0x1.47d7c25f4febp-6, 0x1.400744a3abbf3p-6, 0x1.385da55bc754ep-6, 0x1.30da5229bdd3dp-6, 0x1.297cb9d6dc168p-6, 0x1.22444c57e144ep-6, 0x1.1b307ad122953p-6, 0x1.1440b79a5b4fap-6, 0x1.0d7476424fc8fp-6, 0x1.06cb2b922240dp-6, 0x1.00444d90897e5p-6, 0x1.f3bea70965f5bp-7, 0x1.e7376bf1ff82fp-7, 0x1.daf1dd7b1be04p-7, 0x1.ceecf1d50b677p-7, 0x1.c327a1c465cd1p-7, 0x1.b7a0e8a5ed236p-7, 0x1.ac57c47208b9p-7, 0x1.a14b35bfdedb3p-7, 0x1.967a3fc81b8f5p-7, 0x1.8be3e867508f3p-7, 0x1.818738202b0dp-7, 0x1.77633a1d0a6e5p-7, 0x1.6d76fc31a3b2p-7, 0x1.63c18edbfa8b4p-7, 0x1.5a4205455d4d1p-7, 0x1.50f77542e664ap-7, 0x1.47e0f755c9c17p-7, 0x1.3efda6ab55654p-7, 0x1.364ca11cae423p-7, 0x1.2dcd072e5a26dp-7, 0x1.257dfc0f8c056p-7, 0x1.1d5ea599130fdp-7, 0x1.156e2c4c2638ap-7, 0x1.0dabbb511d442p-7, 0x1.061680758e0d9p-7, 0x1.fd5b58555ab47p-8, 0x1.eee0e30655ea8p-8, 0x1.e0bc0c61d460ap-8, 0x1.d2eb45055dfbep-8, 0x1.c56d02c2d6f81p-8, 0x1.b83fc09b19955p-8, 0x1.ab61feb817dcap-8, 0x1.9ed242667f927p-8, 0x1.928f160f77c74p-8, 0x1.86970931ba05ap-8, 0x1.7ae8b05a76961p-8, 0x1.6f82a51e12c3p-8, 0x1.64638610a14e2p-8, 0x1.5989f6bde345cp-8, 0x1.4ef49fa154ac2p-8, 0x1.44a22e1df308ep-8, 0x1.3a9154758868ap-8, 0x1.30c0c9c02d88ap-8, 0x1.272f49e3437d7p-8, 0x1.1ddb95885ddfap-8, 0x1.14c472142125p-8, 0x1.0be8a99cc0b6dp-8, 0x1.03470ae03d22cp-8, 0x1.f5bcd27674952p-9, 0x1.e55b393cd4647p-9, 0x1.d567030a4a85cp-9, 0x1.c5ddf1d61b589p-9, 0x1.b6bdd08385125p-9, 0x1.a80472cd92addp-9, 0x1.99afb531d4d03p-9, 0x1.8bbd7cdbbbafep-9, 0x1.7e2bb78eff791p-9, 0x1.70f85b926bc72p-9, 0x1.6421679aa60d1p-9, 0x1.57a4e2b44d5b2p-9, 0x1.4b80dc2defeccp-9, 0x1.3fb36b82ff29ep-9, 0x1.343ab04520428p-9, 0x1.2914d206becccp-9, 0x1.1e4000446f63cp-9, 0x1.13ba724f7041fp-9, 0x1.09826736cfa41p-9, 0x1.ff2c4b63b27e2p-10, 0x1.ebe7f812d478fp-10, 0x1.d9348003d6921p-10, 0x1.c70e9d89eb42fp-10, 0x1.b573199658f4ap-10, 0x1.a45ecb8beca1fp-10, 0x1.93ce99123c101p-10, 0x1.83bf75ea11438p-10, 0x1.742e63c0259cep-10, 0x1.6518720203868p-10, 0x1.567abdb07e031p-10, 0x1.4852713504126p-10, 0x1.3a9cc435808a1p-10, 0x1.2d56fb67ccb7ep-10, 0x1.207e686710289p-10, 0x1.141069880b76fp-10, 0x1.080a69adddd31p-10, 0x1.f8d3c03dd0fap-11, 0x1.e258a0b46893ep-11, 0x1.cc9e93d8e24f7p-11, 0x1.b7a0d08ce28f2p-11, 0x1.a35aa5239168cp-11, 0x1.8fc7770f9e859p-11, 0x1.7ce2c29000127p-11, 0x1.6aa81a5b0c279p-11, 0x1.5913274f35235p-11, 0x1.481fa81eda971p-11, 0x1.37c971006f709p-11, 0x1.280c6b5d9512fp-11, 0x1.18e4958285796p-11, 0x1.0a4e024f80906p-11, 0x1.f889b1d39e181p-12, 0x1.dd8aa8da0ad77p-12, 0x1.c397873cdf2a3p-12, 0x1.aaa9113ee0f08p-12, 0x1.92b83142899fcp-12, 0x1.7bbdf732b9806p-12, 0x1.65b397eecb9cap-12, 0x1.50926cb44b802p-12, 0x1.3c53f28b6c3b3p-12, 0x1.28f1c9b6feb67p-12, 0x1.1665b52204e34p-12, 0x1.04a999d40f503p-12, 0x1.e76efcbc3ce97p-13, 0x1.c71314ab86e94p-13, 0x1.a8340b87925fp-13, 0x1.8ac6b13d12017p-13, 0x1.6ec01484204cbp-13, 0x1.541581cffdcd1p-13, 0x1.3abc824757a8cp-13, 0x1.22aadabdc79dp-13, 0x1.0bd68aae3f118p-13, 0x1.ec6b96770d3bdp-14, 0x1.c37e1c625fe5ep-14, 0x1.9cd1fa0e613d5p-14, 0x1.7854efdc68846p-14, 0x1.55f529a355ad2p-14, 0x1.35a13cdcbd78p-14, 0x1.174826ba6f1d6p-14, 0x1.f5b294a5cb956p-15, 0x1.c088dd8c9e75ap-15, 0x1.8ef37afa3774bp-15, 0x1.60d380a8d5346p-15, 0x1.360abfc4fd194p-15, 0x1.0e7bc3707734fp-15, 0x1.d4139ab48e549p-16, 0x1.9131a4aaad6f9p-16, 0x1.541aee0fdbf3fp-16, 0x1.1c9a194049262p-16, 0x1.d4f6363fd9dd5p-17, 0x1.7b16699c9d0d9p-17, 0x1.2b31da52fa28cp-17, 0x1.c9d02b0fabc1ap-18, 0x1.4fb6363539e46p-18, 0x1.cebd4786738b3p-19, 0x1.202dedb22eac5p-19, 0x1.24c543ee1c315p-20, 0x1.2045a6d121d9p-22, -0x1.614d4515a5022p-22, -0x1.7dd64a924749ap-21, -0x1.dc4e79c3aaca1p-21, -0x1.d0d01ae1a2d83p-21, -0x1.5ffb584b12619p-21, -0x1.1ca0908d35944p-22, 0x1.3fa0dafd42c53p-22, 0x1.131274fa736f6p-20, 0x1.00225d704f97cp-19, 0x1.8abdf7e03bd48p-19, 0x1.1430dc4c7757p-18, 0x1.6c0d30c272958p-18, 0x1.cc7dd17d601a6p-18, 0x1.1a87fd4341153p-17, 0x1.52aa1cdfe8bf3p-17, 0x1.8e6f2e530b583p-17, 0x1.cda2af2b503c6p-17, 0x1.0808d586840c4p-16, 0x1.2ac5598d765e6p-16, 0x1.4eeeeab0d1d69p-16, 0x1.746e4a485162ap-16, 0x1.9b2cefdbe41c3p-16, 0x1.c315051f365d6p-16, 0x1.ec1161f217fd3p-16, 0x1.0b06c443413ep-15, 0x1.207ad0be47345p-15, 0x1.365b3c120a1eep-15, 0x1.4c9ebb67717p-15, 0x1.633c5192b878bp-15, 0x1.7a2b4d48b796cp-15, 0x1.916347637acbfp-15, 0x1.a8dc211f384b6p-15, 0x1.c08e02720faa1p-15, 0x1.d871585ae972ep-15, 0x1.f07ed3420561bp-15, 0x1.0457b2af7a0cp-14, 0x1.107e20931758ap-14, 0x1.1caf6bdb56456p-14, 0x1.28e86baee8d8fp-14, 0x1.3526150a8dec4p-14, 0x1.41657a050bc5ep-14, 0x1.4da3c91a93fcap-14, 0x1.59de4c74df84fp-14, 0x1.6612693d72956p-14, 0x1.723d9eed512d6p-14, 0x1.7e5d86a5bea42p-14, 0x1.8a6fd286b3353p-14, 0x1.96724d0c7c7fap-14, 0x1.a262d86f518ecp-14, 0x1.ae3f6e04bf39cp-14, 0x1.ba061da7a3463p-14, 0x1.c5b50d1e825d3p-14, 0x1.d14a77875fa0fp-14, 0x1.dcc4acc7dc13ap-14, 0x1.e82210fddf429p-14, 0x1.f3611bf417882p-14, 0x1.fe805899ac27dp-14, 0x1.04bf323e4b478p-13, 0x1.0a2cf7a19f37ap-13, 0x1.0f88dd1888f1fp-13, 0x1.14d24bd20dae8p-13, 0x1.1a08b54dc0fafp-13, 0x1.1f2b931fcea91p-13, 0x1.243a66b568b7ep-13, 0x1.2934b91ae848fp-13, 0x1.2e1a1ac2df14p-13, 0x1.32ea234f741f5p-13, 0x1.37a4715b62cb2p-13, 0x1.3c48aa45b138ap-13, 0x1.40d679fca8a32p-13, 0x1.454d92cc3f879p-13, 0x1.49adad2b6d799p-13, 0x1.4df6878c14191p-13, 0x1.5227e62b3918bp-13, 0x1.564192e2ab419p-13, 0x1.5a435cfb48b1cp-13, 0x1.5e2d1901a34a2p-13, 0x1.61fea0991d4b8p-13, 0x1.65b7d25234349p-13, 0x1.69589180f427cp-13, 0x1.6ce0c61455815p-13, 0x1.70505c6eeee5dp-13, 0x1.73a7454056f54p-13, 0x1.76e5755ed45a2p-13, 0x1.7a0ae5a25f9e8p-13, 0x1.7d1792c1c6d69p-13, 0x1.800b7d2e1c72p-13, 0x1.82e6a8f15e35ep-13, 0x1.85a91d8c8965dp-13, 0x1.8852e5d6e12adp-13, 0x1.8ae40fde656cbp-13, 0x1.8d5cacc7c8ddp-13, 0x1.8fbcd0b163b8ep-13, 0x1.9204929429a2p-13, 0x1.94340c27e609fp-13, 0x1.964b59c6b2753p-13, 0x1.984a9a51247cap-13, 0x1.9a31ef141a24ap-13, 0x1.9c017bae2dee2p-13, 0x1.9db965f6c208bp-13, 0x1.9f59d5e497523p-13, 0x1.a0e2f57638b7p-13, 0x1.a254f09a7c304p-13, 0x1.a3aff51936324p-13, 0x1.a4f4327d4f171p-13, 0x1.a621d9ff05921p-13, 0x1.a7391e6e7aff7p-13, 0x1.a83a341fb499bp-13, 0x1.a92550d6222f9p-13, 0x1.a9faabb1c7af8p-13, 0x1.aaba7d1bd6961p-13, 0x1.ab64feb42d0b2p-13, 0x1.abfa6b4051ffep-13, 0x1.ac7afe98d212p-13, 0x1.ace6f5998386cp-13, 0x1.ad3e8e10aaf17p-13, 0x1.ad8206af0589p-13, 0x1.adb19ef87a1fdp-13, 0x1.adcd97351a457p-13, 0x1.add630621fcddp-13, 0x1.adcbac24bb1e5p-13, 0x1.adae4cbb68fa4p-13, 0x1.ad7e54f12bff6p-13, 0x1.ad3c08106faa2p-13, 0x1.ace7a9d72867ap-13, 0x1.ac817e6990c57p-13, 0x1.ac09ca47790e8p-13, 0x1.ab80d24091b29p-13, 0x1.aae6db691b75bp-13, 0x1.aa3c2b0fb3599p-13, 0x1.a98106b3398dp-13, 0x1.a8b5b3f7edb0fp-13, 0x1.a7da789f0620ap-13, 0x1.a6ef9a7c6555ep-13, 0x1.a5f55f6e19c5fp-13, 0x1.a4ec0d53865eep-13, 0x1.a3d3ea05345bp-13, 0x1.a2ad3b4c626d7p-13, 0x1.a17846dbb8a9fp-13, 0x1.a03552474e969p-13, 0x1.9ee4a2fdd0913p-13, 0x1.9d867e41022dep-13, 0x1.9c1b291f6c85p-13, 0x1.9aa2e86e08e81p-13, 0x1.991e00c19b6b6p-13, 0x1.978cb668dc9b4p-13, 0x1.95ef4d67471e8p-13, 0x1.9446096eb6b58p-13, 0x1.92912ddaa927ap-13, 0x1.90d0fdaaf47b7p-13, 0x1.8f05bb7f692b1p-13, 0x1.8d2fa9922e4a1p-13, 0x1.8b4f09b472d7ep-13, 0x1.89641d49a2f81p-13, 0x1.876f25432f153p-13, 0x1.8570621ceb3c7p-13, 0x1.836813d990b36p-13, 0x1.815679fec98fp-13, 0x1.7f3bd39233fe1p-13, 0x1.7d185f162b06cp-13, 0x1.7aec5a8675259p-13, 0x1.78b803560f8d6p-13, 0x1.767b966bfa7f6p-13, 0x1.74375020c9fecp-13, 0x1.71eb6c3c264e1p-13, 0x1.6f9825f308ac5p-13, 0x1.6d3db7e52b9b9p-13, 0x1.6adc5c1b02437p-13, 0x1.68744c0424046p-13, 0x1.6605c07592372p-13, 0x1.6390f1a848ae4p-13, 0x1.6116173701c0dp-13, 0x1.5e95681db1e3p-13, 0x1.5c0f1ab7e04efp-13, 0x1.598364bfb76ddp-13, 0x1.56f27b4caf77ep-13, 0x1.545c92d2ff3e1p-13, 0x1.51c1df229ff5fp-13, 0x1.4f2293664d6c3p-13, 0x1.4c7ee22346f73p-13, 0x1.49d6fd38c7756p-13, 0x1.472b15df2d208p-13, 0x1.447b5ca7bfe89p-13, 0x1.41c8017c7d35cp-13, 0x1.3f1133a01a9c5p-13, 0x1.3c5721ad7cf39p-13, 0x1.3999f997c6bf9p-13, 0x1.36d9e8aa41acp-13, 0x1.34171b88b16a8p-13, 0x1.3151be2f6b1d6p-13, 0x1.2e89fbf346eeap-13, 0x1.2bbfff8254349p-13, 0x1.28f3f2e39fcc7p-13, 0x1.2625ff7823b1fp-13, 0x1.23564dfae9397p-13, 0x1.20850681ab311p-13, 0x1.1db2507d2524p-13, 0x1.1ade52b9f909fp-13, 0x1.180933614ce6dp-13, 0x1.153317f93d2f3p-13, 0x1.125c2565b88fp-13, 0x1.0f847fe96e9a4p-13, 0x1.0cac4b268a3fdp-13, 0x1.09d3aa1f73716p-13, 0x1.06fabf37cef13p-13, 0x1.0421ac354814dp-13, 0x1.01489240c3eadp-13, 0x1.fcdf23ce57c74p-14, 0x1.f72d963513186p-14, 0x1.f17cba667365ap-14, 0x1.ebcccde15fb82p-14, 0x1.e61e0cf5cf1cep-14, 0x1.e070b2c68b009p-14, 0x1.dac4f94bab184p-14, 0x1.d51b19552fe9ep-14, 0x1.cf734a8d313e4p-14, 0x1.c9cdc37a8e479p-14, 0x1.c42ab982c2017p-14, 0x1.be8a60ed4949p-14, 0x1.b8ecece5ec54fp-14, 0x1.b3528f7f12fc3p-14, 0x1.adbb79b42ccdbp-14, 0x1.a827db6d2cc6bp-14, 0x1.a297e3807f068p-14, 0x1.9d0bbfb63f57ap-14, 0x1.97839cca73863p-14, 0x1.91ffa67039439p-14, 0x1.8c8007541cc5p-14, 0x1.8704e91f386c1p-14, 0x1.818e7479e9ca7p-14, 0x1.7c1cd10ebb9bdp-14, 0x1.76b0258c9df24p-14, 0x1.714897aab4f8cp-14, 0x1.6be64c2a6190fp-14, 0x1.668966da43faep-14, 0x1.61320a99aac16p-14, 0x1.5be0595ac6efcp-14, 0x1.569474259b457p-14, 0x1.514e7b1af43cfp-14, 0x1.4c0e8d7764efdp-14, 0x1.46d4c996255b5p-14, 0x1.41a14cf3f12ebp-14, 0x1.3c74343173d9cp-14, 0x1.374d9b1689b74p-14, 0x1.322d9c955e167p-14, 0x1.2d1452ccb6804p-14, 0x1.2801d70b3c2adp-14, 0x1.22f641d1ebd0bp-14, 0x1.1df1aad7444cbp-14, 0x1.18f42909d9359p-14, 0x1.13fdd293518f4p-14, 0x1.0f0ebcdb0c699p-14, 0x1.0a26fc89266a7p-14, 0x1.0546a5892a22p-14, 0x1.006dcb0ca9acap-14, 0x1.f738ff1c1e8ccp-15, 0x1.eda5a9a76e5fdp-15, 0x1.e421b7e454652p-15, 0x1.daad4a9db57eap-15, 0x1.d1488146b3b26p-15, 0x1.c7f379ff5150ap-15, 0x1.beae5199e7f39p-15, 0x1.b57923a005a6cp-15, 0x1.ac540a58843bp-15, 0x1.a33f1ecc22b1fp-15, 0x1.9a3a78cab2058p-15, 0x1.91462ef0a1c56p-15, 0x1.886256ac47e42p-15, 0x1.7f8f04427855ap-15, 0x1.76cc4ad342262p-15, 0x1.6e1a3c5fe6bccp-15, 0x1.6578e9cf58facp-15, 0x1.5ce862f2cc33ep-15, 0x1.5468b68b066e9p-15, 0x1.4bf9f24d7c986p-15, 0x1.439c22e841e39p-15, 0x1.3b4f540754fb3p-15, 0x1.33139059988d4p-15, 0x1.2ae8e194f292ap-15, 0x1.22cf507afb592p-15, 0x1.1ac6e4ddfabc4p-15, 0x1.12cfa5a52a5ffp-15, 0x1.0ae998d1352c2p-15, 0x1.0314c380a7492p-15, 0x1.f6a253e87cd0bp-16, 0x1.e73d9f2763543p-16, 0x1.d7fb6de31ea73p-16, 0x1.c8dbc39ede5ffp-16, 0x1.b9dea2457ab04p-16, 0x1.ab040a307195ep-16, 0x1.9c4bfa313fe31p-16, 0x1.8db66f98e3bdbp-16, 0x1.7f43664007bbdp-16, 0x1.70f2d88ef007cp-16, 0x1.62c4bf865f657p-16, 0x1.54b912c529377p-16, 0x1.46cfc891d06cap-16, 0x1.3908d5e22055bp-16, 0x1.2b642e613c0bdp-16, 0x1.1de1c4785781p-16, 0x1.10818956061ddp-16, 0x1.03436cf47ec18p-16, 0x1.ec4ebc4366d4ap-17, 0x1.d25a950ba65c2p-17, 0x1.b8aa3d55192f1p-17, 0x1.9f3d8c03ea72ap-17, 0x1.861455da38723p-17, 0x1.6d2e6d851ce3ep-17, 0x1.548ba3ab5439ep-17, 0x1.3c2bc6f9263f5p-17, 0x1.240ea42d5062cp-17, 0x1.0c340625791b5p-17, 0x1.e9376bd8b11ap-18, 0x1.ba8af58655925p-18, 0x1.8c62345ffcb3ap-18, 0x1.5ebcb0162b76p-18, 0x1.3199ed0b7f031p-18, 0x1.04f96c755ae38p-18, 0x1.b1b558e2a6d8cp-19, 0x1.5a7a502cd2ce7p-19, 0x1.0440af2126101p-19, 0x1.5e0ec0d4680ebp-20, 0x1.6b3524b8ac2c1p-21, 0x1.e4525033604bep-25, -0x1.2ab712f41ffa1p-21, -0x1.37e2165a6609ep-20, -0x1.d8737294ca2dfp-20, -0x1.3b89030bc642bp-19, -0x1.89e020ef66e5dp-19, -0x1.d7404fd7f9322p-19, -0x1.11d568752a0d8p-18, -0x1.379074b19e364p-18, -0x1.5cd1f13a5ba62p-18, -0x1.819a84932885ep-18, -0x1.a5ead714129e6p-18, -0x1.c9c392da11005p-18, -0x1.ed2563b91aedfp-18, -0x1.08087b92266a8p-17, -0x1.19437e10e2975p-17, -0x1.2a44119dd91eep-17, -0x1.3b0a8f35bd99cp-17, -0x1.4b9750864acf5p-17, -0x1.5beaafe6e71fcp-17, -0x1.6c05085018d91p-17, -0x1.7be6b5547d34fp-17, -0x1.8b9013190b56fp-17, -0x1.9b017e4f7a10bp-17, -0x1.aa3b542ca9997p-17, -0x1.b93df261e50e6p-17, -0x1.c809b71860159p-17, -0x1.d69f00e7f2bb6p-17, -0x1.e4fe2ed2a8608p-17, -0x1.f327a03d0959ap-17, -0x1.008dda73782c7p-16, -0x1.076d6673695f7p-16, -0x1.0e32a451e30c9p-16, -0x1.14ddc466cffb9p-16, -0x1.1b6ef72ce545ap-16, -0x1.21e66d3dc0a8fp-16, -0x1.2844574e9b4c4p-16, -0x1.2e88e62f5d65dp-16, -0x1.34b44ac67f4edp-16, -0x1.3ac6b60e88336p-16, -0x1.40c05913ade82p-16, -0x1.46a164f145e93p-16, -0x1.4c6a0acf37ca7p-16, -0x1.521a7bdfc848cp-16, -0x1.57b2e95cf8fdep-16, -0x1.5d338485e0e01p-16, -0x1.629c7e9cf4b46p-16, -0x1.67ee08e5bbcap-16, -0x1.6d2854a28e138p-16, -0x1.724b931253b07p-16, -0x1.7757f56de9adp-16, -0x1.7c4dace711a1p-16, -0x1.812ceaa630818p-16, -0x1.85f5dfc7db01cp-16, -0x1.8aa8bd5ba6367p-16, -0x1.8f45b4614b7a9p-16, -0x1.93ccf5c7bccecp-16, -0x1.983eb26b8fe29p-16, -0x1.9c9b1b1433fd3p-16, -0x1.a0e26072ac4a1p-16, -0x1.a514b32071c7bp-16, -0x1.a932439d7463ap-16, -0x1.ad3b424e5ac85p-16, -0x1.b12fdf7b2fb1p-16, -0x1.b5104b4dd08d7p-16, -0x1.b8dcb5d09683bp-16, -0x1.bc954eed0f4b7p-16, -0x1.c03a466a4fb7bp-16, -0x1.c3cbcbeb63cb4p-16, -0x1.c74a0eee7c505p-16, -0x1.cab53ecbc1a5p-16, -0x1.ce0d8ab3bbe2cp-16, -0x1.d15321ae06aefp-16, -0x1.d48632984dd28p-16, -0x1.d7a6ec2568156p-16, -0x1.dab57cdc2fcecp-16, -0x1.ddb21316423d2p-16, -0x1.e09cdcfe82571p-16, -0x1.e3760891250bp-16, -0x1.e63dc39a00e6fp-16, -0x1.e8f43bb3a32ffp-16, -0x1.eb999e46758cap-16, -0x1.ee2e188819ba7p-16, -0x1.f0b1d77aa1f44p-16, -0x1.f32507eaf6f08p-16, -0x1.f587d6708cf04p-16, -0x1.f7da6f6d3c1ddp-16, -0x1.fa1cff0b7d781p-16, -0x1.fc4fb13dbb004p-16, -0x1.fe72b1be540cdp-16, -0x1.004316077b6acp-15, -0x1.014525bbbdf2ep-15, -0x1.023f9d82570cfp-15, -0x1.033292c4782d6p-15, -0x1.041e1acdbccf8p-15, -0x1.05024acb8ca6cp-15, -0x1.05df37cd12f9ap-15, -0x1.06b4f6c2c5365p-15, -0x1.07839c7eab5e3p-15, -0x1.084b3db379cc2p-15, -0x1.090beef4ca7ddp-15, -0x1.09c5c4b6c1ec8p-15, -0x1.0a78d34dfcad6p-15, -0x1.0b252eef327cep-15, -0x1.0bcaebaed8922p-15, -0x1.0c6a1d81a749bp-15, -0x1.0d02d83bdecbfp-15, -0x1.0d952f910c52fp-15, -0x1.0e2137143b2a5p-15, -0x1.0ea70237c3af7p-15, -0x1.0f26a44d05c85p-15, -0x1.0fa0308466ba4p-15, -0x1.1013b9ed58021p-15, -0x1.10815375ebf6bp-15, -0x1.10e90feaa9d4ap-15, -0x1.114b01f6f8bf2p-15, -0x1.11a73c250b938p-15, -0x1.11fdd0dd2083ep-15, -0x1.124ed265de0bep-15, -0x1.129a52e48842fp-15, -0x1.12e0645c99d1ap-15, -0x1.132118afafc48p-15, -0x1.135c819d8ddedp-15, -0x1.1392b0c4865ep-15, -0x1.13c3b7a0cd098p-15, -0x1.13efa78ce4b98p-15, -0x1.141691c157a4ep-15, -0x1.1438875502517p-15, -0x1.1455993c89968p-15, -0x1.146dd84b2ca97p-15, -0x1.148155324b562p-15, -0x1.149020812cb66p-15, -0x1.149a4aa554f11p-15, -0x1.149fe3eadf4cfp-15, -0x1.14a0fc7c03b0fp-15, -0x1.149da4613d8d7p-15, -0x1.1495eb818410dp-15, -0x1.1489e1a20838ap-15, -0x1.1479966678e9dp-15, -0x1.14651951872a5p-15, -0x1.144c79c408e9dp-15, -0x1.142fc6fd5d86dp-15, -0x1.140f101c06358p-15, -0x1.13ea641d38d4fp-15, -0x1.13c1d1dcffa39p-15, -0x1.1395681639f7dp-15, -0x1.1365356348d3fp-15, -0x1.1331483d4188ep-15, -0x1.12f9aefca2efcp-15, -0x1.12be77d96aabbp-15, -0x1.127fb0eae0ebfp-15, -0x1.123d6827e01e4p-15, -0x1.11f7ab66fb1ffp-15, -0x1.11ae885e880c9p-15, -0x1.11620ca48c111p-15, -0x1.111245af8e308p-15, -0x1.10bf40d5e7158p-15, -0x1.10690b4dfeae9p-15, -0x1.100fb22ec483fp-15, -0x1.0fb3426fef20bp-15, -0x1.0f53c8e979a65p-15, -0x1.0ef1525454571p-15, -0x1.0e8beb4a25e57p-15, -0x1.0e23a045c3118p-15, -0x1.0db87da37aaebp-15, -0x1.0d4a8fa05767cp-15, -0x1.0cd9e25af7ebbp-15, -0x1.0c6681d40a252p-15, -0x1.0bf079eda0177p-15, -0x1.0b77d66ba1008p-15, -0x1.0afca2f431d3dp-15, -0x1.0a7eeb0fc0666p-15, -0x1.09feba28bfb25p-15, -0x1.097c1b8c7f4afp-15, -0x1.08f71a6ad6556p-15, -0x1.086fc1d6467b4p-15, -0x1.07e61cc49e685p-15, -0x1.075a360eacb03p-15, -0x1.06cc18706f011p-15, -0x1.063bce89ac57dp-15, -0x1.05a962dd83de6p-15, -0x1.0514dfd2e0ef6p-15, -0x1.047e4fb50ad7p-15, -0x1.03e5bcb30e95dp-15, -0x1.034b30e02baf2p-15, -0x1.02aeb63490f3bp-15, -0x1.0210568cbc2d8p-15, -0x1.01701baa32f3cp-15, -0x1.00ce0f331074dp-15, -0x1.002a3ab304e7fp-15, -0x1.ff094f3641e61p-16, -0x1.fdbabe8323dd6p-16, -0x1.fc68d5c47d402p-16, -0x1.fb13a73ee6288p-16, -0x1.f9bb45020ebe7p-16, -0x1.f85fc0e9d3331p-16, -0x1.f7012c9fc7591p-16, -0x1.f59f999a00137p-16, -0x1.f43b191bffae8p-16, -0x1.f2d3bc375f36p-16, -0x1.f16993cb843cdp-16, -0x1.effcb086cc9fap-16, -0x1.ee8d22e67df1cp-16, -0x1.ed1afb365d01fp-16, -0x1.eba64992971f2p-16, }}, 
      {{-0x1.b601509ad7fbfp-1, -0x1.b5e924b0ab56ep-1, -0x1.b5c0785f1494p-1, -0x1.b586cca444058p-1, -0x1.b53b90e9487c3p-1, -0x1.b4de36d5fa01dp-1, -0x1.b46e42e0dea84p-1, -0x1.b3eb58c3239eep-1, -0x1.b35543c1b8e89p-1, -0x1.b2abfb2f0efd8p-1, -0x1.b1efa3c04fb17p-1, -0x1.b1208e61f1877p-1, -0x1.b03f3531cfcb6p-1, -0x1.af4c3733272b7p-1, -0x1.ae485339e5661p-1, -0x1.ad346272daa89p-1, -0x1.ac1152d7c6e08p-1, -0x1.aae021ca37c7ep-1, -0x1.a9a1d6ff15442p-1, -0x1.a8577fd69b619p-1, -0x1.a7022b313187fp-1, -0x1.a5a2e5c8c2ef7p-1, -0x1.a43ab70f8dc03p-1, -0x1.a2ca9e908aa29p-1, -0x1.a15391ca37ff9p-1, -0x1.9fd67a7a601fap-1, -0x1.9e543550487c6p-1, -0x1.9ccd90fa237dbp-1, -0x1.9b434d82aecd3p-1, -0x1.99b61bf44176cp-1, -0x1.98269e37334f1p-1, -0x1.969567224c903p-1, -0x1.9502fab4cd59cp-1, -0x1.936fce727bbebp-1, -0x1.91dc49db0d458p-1, -0x1.9048c6f70e5dap-1, -0x1.8eb592f53afb1p-1, -0x1.8d22eed3e6d87p-1, -0x1.8b911012c3214p-1, -0x1.8a002169d79eap-1, -0x1.887043830c4c8p-1, -0x1.86e18db40cdfap-1, -0x1.85540eb6b523ep-1, -0x1.83c7cd5e839d7p-1, -0x1.823cc949e0185p-1, -0x1.80b2fb8e36a11p-1, -0x1.7f2a575e291eep-1, -0x1.7da2caa93a8dp-1, -0x1.7c1c3eb485a79p-1, -0x1.7a9698ac2ccdbp-1, -0x1.7911ba2d4baep-1, -0x1.778d81c850cb9p-1, -0x1.7609cb7bafadcp-1, -0x1.74867126f2556p-1, -0x1.73034af6417cep-1, -0x1.71802fc67c7eep-1, -0x1.6ffcf58210d19p-1, -0x1.6e797176bdbbep-1, -0x1.6cf578a47e1a1p-1, -0x1.6b70e005d58b4p-1, -0x1.69eb7cd1c05dbp-1, -0x1.686524b78eca9p-1, -0x1.66ddae14ed097p-1, -0x1.6554f0266614p-1, -0x1.63cac332a5eddp-1, -0x1.623f00b0c82ffp-1, -0x1.60b18369faf7ep-1, -0x1.5f222796bd0aap-1, -0x1.5d90caf802971p-1, -0x1.5bfd4cec8291ep-1, -0x1.5a678e827459ep-1, -0x1.58cf7285fbe1p-1, -0x1.5734dd8c88bd8p-1, -0x1.5597b5fd62698p-1, -0x1.53f7e4179df19p-1, -0x1.525551f5b677ap-1, -0x1.50afeb8efc374p-1, -0x1.4f079eb70ed25p-1, -0x1.4d5c5b1b930ecp-1, -0x1.4bae12405037dp-1, -0x1.49fcb779e1c86p-1, -0x1.48483fe724f1bp-1, -0x1.4690a26986808p-1, -0x1.44d5d79c5530dp-1, -0x1.4317d9cb3a85bp-1, -0x1.4156a4e7f3a7cp-1, -0x1.3f92367f6bb6dp-1, -0x1.3dca8dae4c72ep-1, -0x1.3bffab1521624p-1, -0x1.3a3190cc1e2b4p-1, -0x1.386042569efffp-1, -0x1.368bc496747b7p-1, -0x1.34b41dbf0a557p-1, -0x1.32d9554878183p-1, -0x1.30fb73e287f0fp-1, -0x1.2f1a8367c1e7p-1, -0x1.2d368ed08248dp-1, -0x1.2b4fa22627d9ep-1, -0x1.2965ca765f77ap-1, -0x1.277915c696723p-1, -0x1.25899307978edp-1, -0x1.239752095a658p-1, -0x1.21a2636f07f62p-1, -0x1.1faad8a338a26p-1, -0x1.1db0c3cc6f4a3p-1, -0x1.1bb437c1d42d2p-1, -0x1.19b548003154p-1, -0x1.17b4089f312b7p-1, -0x1.15b08e46e344p-1, -0x1.13aaee2585062p-1, -0x1.11a33de5908bcp-1, -0x1.0f9993a412b98p-1, -0x1.0d8e05e744daap-1, -0x1.0b80ab956ded3p-1, -0x1.09719bec0932ap-1, -0x1.0760ee773043ep-1, -0x1.054ebb09494fbp-1, -0x1.033b19b2fa2e7p-1, -0x1.012622bb59e8ep-1, -0x1.fe1fdd30cf08bp-2, -0x1.f9f12bcf79ae9p-2, -0x1.f5c062cf063bap-2, -0x1.f18db3df448afp-2, -0x1.ed5950d65eaa6p-2, -0x1.e9236ba427236p-2, -0x1.e4ec3645dd21ap-2, -0x1.e0b3e2ba60cp-2, -0x1.dc7aa2f6d5b9fp-2, -0x1.d840a8dbb32f1p-2, -0x1.d406262a3ba23p-2, -0x1.cfcb4c7a5cc45p-2, -0x1.cb904d30f3858p-2, -0x1.c755597672aa1p-2, -0x1.c31aa22dea929p-2, -0x1.bee057ec6d5f1p-2, -0x1.baa6aaf0cd3bcp-2, -0x1.b66dcb1bb9acep-2, -0x1.b235e7e82e37dp-2, -0x1.adff306438919p-2, -0x1.a9c9d32a15719p-2, -0x1.a595fe5997b7fp-2, -0x1.a163df91e7fadp-2, -0x1.9d33a3eb891f9p-2, -0x1.990577f2b0146p-2, -0x1.94d987a1df441p-2, -0x1.90affe5cd2862p-2, -0x1.8c8906eba8a12p-2, -0x1.8864cb7659545p-2, -0x1.844375806b96bp-2, -0x1.80252de4ed5e7p-2, -0x1.7c0a1cd2af93ap-2, -0x1.77f269c8bb2fbp-2, -0x1.73de3b9309366p-2, -0x1.6fcdb84774bd1p-2, -0x1.6bc10542e53d1p-2, -0x1.67b84726b6e93p-2, -0x1.63b3a1d65597bp-2, -0x1.5fb33875130b1p-2, -0x1.5bb72d642e0d1p-2, -0x1.57bfa2410fa1cp-2, -0x1.53ccb7e3ba5ep-2, -0x1.4fde8e5d6a1f2p-2, -0x1.4bf544f764939p-2, -0x1.4810fa31f6a02p-2, -0x1.4431cbc3a225dp-2, -0x1.4057d698727bfp-2, -0x1.3c8336d1814abp-2, -0x1.38b407c4a21ap-2, -0x1.34ea63fc35755p-2, -0x1.312665372567p-2, -0x1.2d68246904417p-2, -0x1.29afb9ba5611bp-2, -0x1.25fd3c88f5568p-2, -0x1.2250c368a1f03p-2, -0x1.1eaa6423aca69p-2, -0x1.1b0a33bbc178ap-2, -0x1.1770466ad74dcp-2, -0x1.13dcafa435344p-2, -0x1.104f821599eep-2, -0x1.0cc8cfa87de03p-2, -0x1.0948a9836be1fp-2, -0x1.05cf200b7944ap-2, -0x1.025c42e5d1365p-2, -0x1.fde041f2b42e6p-3, -0x1.f71590e0dfd57p-3, -0x1.f0588d7567cbap-3, -0x1.e9a9511de06f4p-3, -0x1.e307f3da21ddfp-3, -0x1.dc748c4055e4ep-3, -0x1.d5ef2f812f48dp-3, -0x1.cf77f16c41996p-3, -0x1.c90ee4747286ep-3, -0x1.c2b419b48f485p-3, -0x1.bc67a0f3f47a9p-3, -0x1.b62988ab592dep-3, -0x1.aff9de09a8e8ap-3, -0x1.a9d8acf8f8edap-3, -0x1.a3c6002393809p-3, -0x1.9dc1e0f90db82p-3, -0x1.97cc57b375f1ap-3, -0x1.91e56b5c92fadp-3, -0x1.8c0d21d32882bp-3, -0x1.86437fd052692p-3, -0x1.808888ece4748p-3, -0x1.7adc3fa6d8fafp-3, -0x1.753ea566c310ep-3, -0x1.6fafba854b456p-3, -0x1.6a2f7e50b3681p-3, -0x1.64bdef125b3p-3, -0x1.5f5b0a144bec6p-3, -0x1.5a06cba6c5161p-3, -0x1.54c12f25caa3ap-3, -0x1.4f8a2efeb35d9p-3, -0x1.4a61c4b5b731fp-3, -0x1.4547e8eb7841ep-3, -0x1.403c936292162p-3, -0x1.3b3fbb05173d5p-3, -0x1.365155ea18961p-3, -0x1.3171595b1da5bp-3, -0x1.2c9fb9d997a7bp-3, -0x1.27dc6b2453bcp-3, -0x1.2327603cdd3ffp-3, -0x1.1e808b6cdbc18p-3, -0x1.19e7de4b6907ap-3, -0x1.155d49c25827p-3, -0x1.10e0be13774fp-3, -0x1.0c722addc0e0fp-3, -0x1.08117f22874p-3, -0x1.03bea94a8e28p-3, -0x1.fef32e5632ed3p-4, -0x1.f6846c15e48e7p-4, -0x1.ee30e54eaa605p-4, -0x1.e5f87271b8345p-4, -0x1.dddaeaf0ab3dcp-4, -0x1.d5d82547121b4p-4, -0x1.cdeff703dfc34p-4, -0x1.c62234d2c5d09p-4, -0x1.be6eb2855844ap-4, -0x1.b6d5431c26bc4p-4, -0x1.af55b8cfa7e6dp-4, -0x1.a7efe5190a9a4p-4, -0x1.a0a398bae032bp-4, -0x1.9970a3c9a03edp-4, -0x1.9256d5b418a47p-4, -0x1.8b55fd4ba7c3cp-4, -0x1.846de8cc609ccp-4, -0x1.7d9e65e5059dp-4, -0x1.76e741bee0f2fp-4, -0x1.7048490576868p-4, -0x1.69c147ee17566p-4, -0x1.63520a3f4a9bfp-4, -0x1.5cfa5b58130c3p-4, -0x1.56ba063716e49p-4, -0x1.5090d58198ff3p-4, -0x1.4a7e938a553a5p-4, -0x1.44830a5834f08p-4, -0x1.3e9e03ace1d6fp-4, -0x1.38cf490b3119cp-4, -0x1.3316a3bd6d926p-4, -0x1.2d73dcdb7b4a1p-4, -0x1.27e6bd50da43ep-4, -0x1.226f0de28454fp-4, -0x1.1d0c9734a448bp-4, -0x1.17bf21d03085cp-4, -0x1.128676285c87cp-4, -0x1.0d625c9fec174p-4, -0x1.08529d8e5f19ep-4, -0x1.03570145021d6p-4, -0x1.fcdea027ac256p-5, -0x1.f336a49cb4f59p-5, -0x1.e9b5a0a06c4d7p-5, -0x1.e05b25037a9f3p-5, -0x1.d726c2b8b1ca9p-5, -0x1.ce180add9778p-5, -0x1.c52e8ec2b61a7p-5, -0x1.bc69dff3a62a4p-5, -0x1.b3c9903ee2f34p-5, -0x1.ab4d31bd58aabp-5, -0x1.a2f456d9c0349p-5, -0x1.9abe9257b26e4p-5, -0x1.92ab775a8d61dp-5, -0x1.8aba996c16f96p-5, -0x1.82eb8c82eba03p-5, -0x1.7b3de508ac804p-5, -0x1.73b137e00495fp-5, -0x1.6c451a6a63dfdp-5, -0x1.64f9228d9705dp-5, -0x1.5dcce6b9205f6p-5, -0x1.56bffdeb5ce6bp-5, -0x1.4fd1ffb6789e9p-5, -0x1.490284453269bp-5, -0x1.4251245f69b37p-5, -0x1.3bbd796e801d2p-5, -0x1.35471d818664fp-5, -0x1.2eedab51434ccp-5, -0x1.28b0be4401815p-5, -0x1.228ff2713a529p-5, -0x1.1c8ae4a511fa2p-5, -0x1.16a13263a0dd3p-5, -0x1.10d279ec204f4p-5, -0x1.0b1e5a3be2331p-5, -0x1.05847311267b9p-5, -0x1.000464edc88fdp-5, -0x1.f53ba23384391p-6, -0x1.eaa0b34b16d56p-6, -0x1.e03742d8aef1p-6, -0x1.d5fe982c4d1c1p-6, -0x1.cbf5fc3380616p-6, -0x1.c21cb97cf4d8cp-6, -0x1.b8721c3be0727p-6, -0x1.aef5724b16643p-6, -0x1.a5a60b2fe4677p-6, -0x1.9c83381cb426ep-6, -0x1.938c4bf364318p-6, -0x1.8ac09b47727c5p-6, -0x1.821f7c5fe409bp-6, -0x1.79a84738f9e7p-6, -0x1.715a5585ab0e1p-6, -0x1.693502b0ea338p-6, -0x1.6137abdebbbbep-6, -0x1.5961afed14cd5p-6, -0x1.51b26f7482c98p-6, -0x1.4a294cc8be604p-6, -0x1.42c5abf8e48e9p-6, -0x1.3b86f2cfaeeacp-6, -0x1.346c88d3620c7p-6, -0x1.2d75d7459fcf6p-6, -0x1.26a2492312e2p-6, -0x1.1ff14b22e208fp-6, -0x1.19624bb6154eep-6, -0x1.12f4bb06c0196p-6, -0x1.0ca80af7134fap-6, -0x1.067baf2054108p-6, -0x1.006f1cd1947b9p-6, -0x1.f503961cde954p-7, -0x1.e966651b27233p-7, -0x1.de059b6e4b23p-7, -0x1.d2e031463dafp-7, -0x1.c7f5222ef8caep-7, -0x1.bd436d0cb7ee5p-7, -0x1.b2ca1417fa43dp-7, -0x1.a8881cd956764p-7, -0x1.9e7c902510917p-7, -0x1.94a67a169d975p-7, -0x1.8b04ea0bdc7dcp-7, -0x1.8196f2a048229p-7, -0x1.785ba9a7d4cefp-7, -0x1.6f522829d7942p-7, -0x1.66798a5ba479dp-7, -0x1.5dd0ef9b1bc89p-7, -0x1.55577a6919c67p-7, -0x1.4d0c5063af905p-7, -0x1.44ee9a405ee7ep-7, -0x1.3cfd83c6173cdp-7, -0x1.35383bc73d43dp-7, -0x1.2d9df41b7b86ep-7, -0x1.262de19982c5bp-7, -0x1.1ee73c10b6c6ap-7, -0x1.17c93e42d009p-7, -0x1.10d325dd52f6ep-7, -0x1.0a043373063e5p-7, -0x1.035baa755848p-7, -0x1.f9b1a25b47c44p-8, -0x1.ecf5e16cf3b2p-8, -0x1.e082a9e9ab2e4p-8, -0x1.d45699227b4a8p-8, -0x1.c87051e1d546fp-8, -0x1.bcce7c5d9ca06p-8, -0x1.b16fc62940a8p-8, -0x1.a652e227c8988p-8, -0x1.9b76887db9634p-8, -0x1.90d9768304c7cp-8, -0x1.867a6eb4cf9a6p-8, -0x1.7c5838a7751f9p-8, -0x1.7271a0f814775p-8, -0x1.68c5793e91ffep-8, -0x1.5f5297ff2ee33p-8, -0x1.5617d89c60411p-8, -0x1.4d141b488b0c1p-8, -0x1.444644f7c77fcp-8, -0x1.3bad3f51a015cp-8, -0x1.3347f8a2d4fc8p-8, -0x1.2b1563cf33892p-8, -0x1.2314784365389p-8, -0x1.1b4431e6c6914p-8, -0x1.13a3910d4af89p-8, -0x1.0c319a6966b8bp-8, -0x1.04ed56fe11cbcp-8, -0x1.fbaba8217c89dp-9, -0x1.edd44636fc049p-9, -0x1.e052b37e039f8p-9, -0x1.d3252369d2a38p-9, -0x1.c649d183d4404p-9, -0x1.b9bf015065a9dp-9, -0x1.ad82fe336cecfp-9, -0x1.a1941b556a7c6p-9, -0x1.95f0b3886a177p-9, -0x1.8a97292d47019p-9, -0x1.7f85e61914d1cp-9, -0x1.74bb5b7a805fcp-9, -0x1.6a3601bfd3631p-9, -0x1.5ff4587c7f993p-9, -0x1.55f4e64f67a26p-9, -0x1.4c3638c92e103p-9, -0x1.42b6e45282c32p-9, -0x1.39758412caeb3p-9, -0x1.3070b9d70ae6p-9, -0x1.27a72df8f423dp-9, -0x1.1f178f4612035p-9, -0x1.16c092e7469d8p-9, -0x1.0ea0f448776bbp-9, -0x1.06b775005fa4ep-9, -0x1.fe05b971837d6p-10, -0x1.ef03f22d377ep-10, -0x1.e0673b4578c28p-10, -0x1.d22d476514ac2p-10, -0x1.c453d4a1ce312p-10, -0x1.b6d8ac4ede6d6p-10, -0x1.a9b9a2cfdf08dp-10, -0x1.9cf4976bee09bp-10, -0x1.90877421946e6p-10, -0x1.84702d7aee151p-10, -0x1.78acc2626be27p-10, -0x1.6d3b3bf7c9b36p-10, -0x1.6219ad65f41f7p-10, -0x1.574633b8c7f3ap-10, -0x1.4cbef5b3ff6b2p-10, -0x1.428223a9cc169p-10, -0x1.388df752ad243p-10, -0x1.2ee0b3a51adf8p-10, -0x1.2578a4ae2b039p-10, -0x1.1c541f6a4710cp-10, -0x1.1371819e9ea9ep-10, -0x1.0acf31b2fac4p-10, -0x1.026b9e8be6686p-10, -0x1.f48a7ecb3ed86p-11, -0x1.e4b5275e27153p-11, -0x1.d55445cbb81f1p-11, -0x1.c664f8e3e7dc9p-11, -0x1.b7e46f058ddc7p-11, -0x1.a9cfe5d7c7036p-11, -0x1.9c24aa05541a3p-11, -0x1.8ee016f8858cep-11, -0x1.81ff9697e5702p-11, -0x1.7580a10444691p-11, -0x1.6960bc56e6559p-11, -0x1.5d9d7c614d822p-11, -0x1.5234826de7f56p-11, -0x1.47237d00c716bp-11, -0x1.3c68279a12b5ep-11, -0x1.32004a7940e21p-11, -0x1.27e9ba608f47p-11, -0x1.1e22585a34fe7p-11, -0x1.14a8117dafa0bp-11, -0x1.0b78deb63ef93p-11, -0x1.0292c48a6256ap-11, -0x1.f3e7a5c765b5p-12, -0x1.e33449b00ad81p-12, -0x1.d307c0e66d5b1p-12, -0x1.c35e6d02e9a48p-12, -0x1.b434c4b6141f4p-12, -0x1.a587536091371p-12, -0x1.9752b8ad2456dp-12, -0x1.8993a82c23955p-12, -0x1.7c46e8f0be689p-12, -0x1.6f69552f69fb5p-12, -0x1.62f7d9ddfddb1p-12, -0x1.56ef765597834p-12, -0x1.4b4d3bf54c9f5p-12, -0x1.400e4dc7702dap-12, -0x1.352fe026d96fp-12, -0x1.2aaf3867005e4p-12, -0x1.2089ac7cb995p-12, -0x1.16bca2a8b24c8p-12, -0x1.0d459122dc689p-12, -0x1.0421fdc865485p-12, -0x1.f69efb9221866p-13, -0x1.e5976ab06fe47p-13, -0x1.d528aebaef9ccp-13, -0x1.c54e4a4e1d9cap-13, -0x1.b603dc3c95929p-13, -0x1.a7451ef80d3aep-13, -0x1.990de7ffb814cp-13, -0x1.8b5a274e317d9p-13, -0x1.7e25e6cbd301bp-13, -0x1.716d49c39163dp-13, -0x1.652c8c5952258p-13, -0x1.5960030295559p-13, -0x1.4e041a02ea595p-13, -0x1.431554e945e2cp-13, -0x1.38904e0fea554p-13, -0x1.2e71b61f4944ap-13, -0x1.24b6539315347p-13, -0x1.1b5b023fcdd6bp-13, -0x1.125cb2dd2d96cp-13, -0x1.09b86a90bcf8ep-13, -0x1.016b427b20087p-13, -0x1.f2e4ce904679ep-14, -0x1.e396317f634fcp-14, -0x1.d4e552b3032e9p-14, -0x1.c6ccfba4d11dep-14, -0x1.b9481989a5658p-14, -0x1.ac51bc8223517p-14, -0x1.9fe516d3ea043p-14, -0x1.93fd7c21d5b14p-14, -0x1.889660abbf325p-14, -0x1.7dab589158914p-14, -0x1.733817157632dp-14, -0x1.69386de94d408p-14, -0x1.5fa84c78a14e4p-14, -0x1.5683bf39d6318p-14, -0x1.4dc6ef0174ea3p-14, -0x1.456e2059c7e6p-14, -0x1.3d75b2dbd82b7p-14, -0x1.35da208ec3c6fp-14, -0x1.2e97fd467e286p-14, -0x1.27abf60914d13p-14, -0x1.2112d075f6dc3p-14, -0x1.1ac96a2deb43p-14, -0x1.14ccb842997cdp-14, -0x1.0f19c6a4ff36bp-14, -0x1.09adb798543b8p-14, -0x1.0485c328bb7fep-14, -0x1.ff3e6d44a5dd4p-15, -0x1.f5eee81c56ad4p-15, -0x1.ed17e35f15221p-15, -0x1.e4b473083843cp-15, -0x1.dcbfd19031eabp-15, -0x1.d5355ef8467c5p-15, -0x1.ce109fd97e6fp-15, -0x1.c74d3c7bb5965p-15, -0x1.c0e6fff1bb783p-15, -0x1.bad9d737ed618p-15, -0x1.b521d0578c20ap-15, -0x1.afbb199148962p-15, -0x1.aaa200887209fp-15, -0x1.a5d2f1792faf3p-15, -0x1.a14a766999fc4p-15, -0x1.9d053669c7b67p-15, -0x1.98fff4ce9162ep-15, -0x1.95379077a9c1cp-15, -0x1.91a903165ba93p-15, -0x1.8e516077b6f94p-15, -0x1.8b2dd5d4d655ep-15, -0x1.883ba925e0313p-15, -0x1.8578387931ee4p-15, -0x1.82e0f94da6e3bp-15, -0x1.807377f1e36f7p-15, -0x1.7e2d56e61cab3p-15, -0x1.7c0c4e414d6ebp-15, -0x1.7a0e2b1a88702p-15, -0x1.7830cef542f7p-15, -0x1.76722f311580cp-15, -0x1.74d0547dc51d8p-15, -0x1.73495a4f85012p-15, -0x1.71db6e5aed03bp-15, -0x1.7084d0103cb65p-15, -0x1.6f43d01ab910ep-15, -0x1.6e16cfe42bee4p-15, -0x1.6cfc4119ad8e7p-15, -0x1.6bf2a5343dc2p-15, -0x1.6af88d0375e93p-15, -0x1.6a0c983c340b5p-15, -0x1.692d75086ece6p-15, -0x1.6859df9c20987p-15, -0x1.6790a1c921f3ap-15, -0x1.66d0929909426p-15, -0x1.661895e6d74a5p-15, -0x1.65679bfda153cp-15, -0x1.64bca1365a77ap-15, -0x1.6416ad9c04f56p-15, -0x1.6374d48ed15a7p-15, -0x1.62d6346ac262dp-15, -0x1.6239f63125bf3p-15, -0x1.619f4d3356e17p-15, -0x1.610576bf207a5p-15, -0x1.606bb9ce8e81fp-15, -0x1.5fd166b8abe1ap-15, -0x1.5f35d6e4da497p-15, -0x1.5e986c7fe5e5bp-15, -0x1.5df89232a4adap-15, -0x1.5d55badb69df3p-15, -0x1.5caf614907f5bp-15, -0x1.5c0507f5d7abap-15, -0x1.5b5638c708103p-15, -0x1.5aa284cbee9cbp-15, -0x1.59e983ffd0ad1p-15, -0x1.592ad50d1aa9ap-15, -0x1.58661d120c726p-15, -0x1.579b0766d20b8p-15, -0x1.56c945664c136p-15, -0x1.55f08e36855bp-15, -0x1.55109e941020fp-15, -0x1.5429389dad846p-15, -0x1.533a23a2bb74cp-15, -0x1.52432bf18dbc8p-15, -0x1.514422a7eb66cp-15, -0x1.503cdd84e5a9dp-15, -0x1.4f2d36bbed4fdp-15, -0x1.4e150cc8984ddp-15, -0x1.4cf44244abc79p-15, -0x1.4bcabdbe319a8p-15, -0x1.4a98698f233bdp-15, -0x1.495d33b6a143bp-15, -0x1.48190db32c37fp-15, -0x1.46cbec5cd95f4p-15, -0x1.4575c7c20ea8cp-15, -0x1.44169b04ed50fp-15, -0x1.42ae643992891p-15, -0x1.413d24448c00cp-15, -0x1.3fc2debbe7536p-15, -0x1.3e3f99c793156p-15, -0x1.3cb35e03c9932p-15, -0x1.3b1e3663bd22cp-15, -0x1.3980301572bep-15, -0x1.37d95a669f4bbp-15, -0x1.3629c6a9c39a5p-15, -0x1.3471881cb60b7p-15, -0x1.32b0b3cfc6731p-15, -0x1.30e7608d944f4p-15, -0x1.2f15a6c362bcap-15, -0x1.2d3ba06ad3fcbp-15, -0x1.2b5968f3d9399p-15, -0x1.296f1d2f46389p-15, -0x1.277cdb3a474fp-15, -0x1.2582c26afbe53p-15, -0x1.2380f33c886cep-15, -0x1.21778f3cf4117p-15, -0x1.1f66b8fb46e67p-15, -0x1.1d4e93f60be2bp-15, -0x1.1b2f4489fa7d1p-15, -0x1.1908efe2af633p-15, -0x1.16dbbbea300f9p-15, -0x1.14a7cf3a18987p-15, -0x1.126d510d3fab1p-15, -0x1.102c693131747p-15, -0x1.0de53ff8b808ap-15, -0x1.0b97fe2f13408p-15, -0x1.0944cd0b1eef5p-15, -0x1.06ebd622f450ap-15, -0x1.048d4360c096dp-15, -0x1.02293ef6b4e38p-15, -0x1.ff7fe6aa0b6dfp-16, -0x1.faa3163d9f168p-16, -0x1.f5bc624054285p-16, -0x1.f0cc208982535p-16, -0x1.ebd2a71d08ca7p-16, -0x1.e6d04c18f9271p-16, -0x1.e1c565a55c91dp-16, -0x1.dcb249e32ad57p-16, -0x1.d7974edcc4654p-16, -0x1.d274ca770d12ep-16, -0x1.cd4b1262877d9p-16, -0x1.c81a7c0e07a0dp-16, -0x1.c2e35c99e8884p-16, -0x1.bda608ca1417fp-16, -0x1.b862d4fb09858p-16, -0x1.b31a1516ca999p-16, -0x1.adcc1c88bb71fp-16, -0x1.a8793e340393ap-16, -0x1.a321cc69c5eadp-16, -0x1.9dc618deccffap-16, -0x1.986674a41ecdap-16, -0x1.9303301ccd001p-16, -0x1.8d9c9af71c80fp-16, -0x1.883304240c8a4p-16, -0x1.82c6b9d128fbep-16, -0x1.7d5809611645bp-16, -0x1.77e73f64fbfa4p-16, -0x1.7274a7974c23ep-16, -0x1.6d008cd5d2da2p-16, -0x1.678b391c076a1p-16, -0x1.6214f57e25181p-16, -0x1.5c9e0a255a06p-16, -0x1.5726be4add13p-16, -0x1.51af5833fd0cep-16, -0x1.4c381d2e8883ap-16, -0x1.46c1518d7daaep-16, -0x1.414b38a5d7c7p-16, -0x1.3bd614cbf052p-16, -0x1.36622750befa9p-16, -0x1.30efb07fe92a7p-16, -0x1.2b7eef9d7044dp-16, -0x1.261022e3735a1p-16, -0x1.20a38781a8683p-16, -0x1.1b39599abcc72p-16, -0x1.15d1d44424293p-16, -0x1.106d3184cbb2dp-16, -0x1.0b0baa5418039p-16, -0x1.05ad7699eaf97p-16, -0x1.0052cd2dc16e8p-16, -0x1.f5f7c7ad0d174p-17, -0x1.eb51de958990dp-17, -0x1.e0b4466168a9p-17, -0x1.d61f643c63731p-17, -0x1.cb939b330dcafp-17, -0x1.c1114c340f104p-17, -0x1.b698d6107e622p-17, -0x1.ac2a957e8232cp-17, -0x1.a1c6e51ad3f2fp-17, -0x1.976e1d6ac400cp-17, -0x1.8d2094debf4a9p-17, -0x1.82de9fd59a618p-17, -0x1.78a8909d769e8p-17, -0x1.6e7eb7790fb2ep-17, -0x1.646162a16a8fbp-17, -0x1.5a50de494a44p-17, -0x1.504d74a13f0eap-17, -0x1.46576ddb26e8ep-17, -0x1.3c6f102de7913p-17, -0x1.32949fd960121p-17, -0x1.28c85f2abf059p-17, -0x1.1f0a8e80f0565p-17, -0x1.155b6c5047704p-17, -0x1.0bbb35276916cp-17, -0x1.022a23b437898p-17, -0x1.f150e19110a85p-18, -0x1.de6ca6bc1f8fap-18, -0x1.cba80139291b5p-18, -0x1.b90357bb8e304p-18, -0x1.a67f0d659570ep-18, -0x1.941b81d291ed1p-18, -0x1.81d91122fde59p-18, -0x1.6fb81402e48eap-18, -0x1.5db8dfb874a0fp-18, -0x1.4bdbc62dc7eb6p-18, -0x1.3a2115fa50f6fp-18, -0x1.28891a6f1209cp-18, -0x1.17141ba1568c3p-18, -0x1.05c25e75ab42fp-18, -0x1.e92849560b0a8p-19, -0x1.c71359ccaeccp-19, -0x1.a5466578aa81bp-19, -0x1.83c1dd7d8a5fdp-19, -0x1.62862d0c8e61fp-19, -0x1.4193b97d81cefp-19, -0x1.20eae26274711p-19, -0x1.008c01a11fe93p-19, -0x1.c0eed70fd794dp-20, -0x1.815addcb7ece7p-20, -0x1.425caa3e330dcp-20, -0x1.03f4c48b2f17ap-20, -0x1.8c4754c269a48p-21, -0x1.11d39e3f9b17ep-21, -0x1.311e701b4c439p-22, -0x1.03d7066497ec2p-24, 0x1.59a2f1b258444p-23, 0x1.98360f7ba9c0fp-22, 0x1.409b7c1b53fcdp-21, 0x1.b3e9a6fc03cap-21, 0x1.130294017f603p-20, 0x1.4b76d8512be4fp-20, 0x1.835181e372cfcp-20, 0x1.ba927ac33cc06p-20, 0x1.f139b562974b5p-20, 0x1.13a3963877d0ap-19, 0x1.2e5d7157ee236p-19, 0x1.48ca716572bedp-19, 0x1.62ea9f96652cbp-19, 0x1.7cbe08ebca0cap-19, 0x1.9644be1c9974ap-19, 0x1.af7ed382594efp-19, 0x1.c86c610500fb3p-19, 0x1.e10d82055a216p-19, 0x1.f962554c83d93p-19, 0x1.08b57e7afda52p-18, 0x1.1493cf2de2d09p-18, 0x1.204c31027709ep-18, 0x1.2bdeb9c8e6e84p-18, 0x1.374b80d455328p-18, 0x1.42929ef191426p-18, 0x1.4db42e5eaecd3p-18, 0x1.58b04ac10f56dp-18, 0x1.6387111c625e7p-18, 0x1.6e389fc9ec72dp-18, 0x1.78c5167023041p-18, 0x1.832c95f9398f1p-18, 0x1.8d6f408af8cf8p-18, 0x1.978d397e6d4ddp-18, 0x1.a186a5578f019p-18, 0x1.ab5ba9bc4b4b9p-18, 0x1.b50c6d6cba1dcp-18, 0x1.be99183b3d3bep-18, 0x1.c801d30416497p-18, 0x1.d146c7a6346b6p-18, 0x1.da6820fb52f4dp-18, 0x1.e3660acfbb8ecp-18, 0x1.ec40b1db1e836p-18, 0x1.f4f843b90d5d8p-18, 0x1.fd8ceee2083ccp-18, 0x1.02ff7151eef85p-17, 0x1.0727278d472d1p-17, 0x1.0b3db294c2ef9p-17, 0x1.0f432b3a7bd99p-17, 0x1.1337aaad55046p-17, 0x1.171b4a759eaa7p-17, 0x1.1aee2471bfb22p-17, 0x1.1eb052d31970fp-17, 0x1.2261f01af1c69p-17, 0x1.2603171734937p-17, 0x1.2993e2df2f6c1p-17, 0x1.2d146ed0b559p-17, 0x1.3084d68d314cp-17, 0x1.33e535f6c0f0bp-17, 0x1.3735a92d01613p-17, 0x1.3a764c8a7b19cp-17, 0x1.3da73ca1efa94p-17, 0x1.40c8963b72336p-17, 0x1.43da7651d76dap-17, 0x1.46dcfa0fd50cbp-17, 0x1.49d03ecdb12a6p-17, 0x1.4cb4620e74ddep-17, 0x1.4f89817d9e5ebp-17, 0x1.524fbaecbf443p-17, 0x1.55072c50df8a6p-17, 0x1.57aff3c028ee5p-17, 0x1.5a4a2f6fb7305p-17, 0x1.5cd5fdb15a7fap-17, 0x1.5f537cf0edd02p-17, 0x1.61c2cbb2b37a8p-17, 0x1.642408911919p-17, 0x1.6677523a99a7fp-17, 0x1.68bcc76f8ceap-17, 0x1.6af487001963p-17, 0x1.6d1eafca86e13p-17, 0x1.6f3b60b8f3f12p-17, 0x1.714ab8bf9cdf3p-17, 0x1.734cd6db4c84cp-17, 0x1.7541da0f4fb4p-17, 0x1.7729e1636fd83p-17, 0x1.79050be283774p-17, 0x1.7ad37898e06fdp-17, 0x1.7c954692764e2p-17, 0x1.7e4a94d923b76p-17, 0x1.7ff382733cd4bp-17, 0x1.81902e6249f2ap-17, 0x1.8320b7a14d124p-17, 0x1.84a53d23244ccp-17, 0x1.861dddd1413e8p-17, 0x1.878ab88a33c47p-17, 0x1.88ebec204d3a8p-17, 0x1.8a4197586d83cp-17, 0x1.8b8bd8e89c324p-17, 0x1.8ccacf76d9e25p-17, 0x1.8dfe9997c096ap-17, 0x1.8f2755cd5f2a5p-17, 0x1.90452286249d8p-17, 0x1.91581e1babad5p-17, 0x1.926066d187dc9p-17, 0x1.935e1ad4719a9p-17, 0x1.9451583914bccp-17, 0x1.953a3cfb0470fp-17, 0x1.9618e6fbc7af2p-17, 0x1.96ed74021c6f3p-17, 0x1.97b801b89804dp-17, 0x1.9878adace03e5p-17, 0x1.992f954ef2edp-17, 0x1.99dcd5f06bfcbp-17, 0x1.9a808cc36f4f5p-17, 0x1.9b1ad6d9d7c5p-17, 0x1.9babd124a43d4p-17, 0x1.9c3398731271ep-17, 0x1.9cb24971f095fp-17, 0x1.9d2800aabb135p-17, 0x1.9d94da837e467p-17, 0x1.9df8f33d8c78fp-17, 0x1.9e5466f53a252p-17, 0x1.9ea751a114336p-17, 0x1.9ef1cf119dafp-17, 0x1.9f33faf05da96p-17, 0x1.9f6df0bf679c3p-17, 0x1.9f9fcbd8c6f93p-17, 0x1.9fc9a76e3cdf2p-17, 0x1.9feb9e88c1479p-17, 0x1.a005cc07dbda6p-17, 0x1.a0184aa130a31p-17, 0x1.a02334e03f369p-17, 0x1.a026a525e833dp-17, 0x1.a022b5a7f5a62p-17, 0x1.a0178070dfefp-17, 0x1.a0051f5f5ecdfp-17, 0x1.9febac2605f02p-17, 0x1.9fcb404b110eap-17, 0x1.9fa3f52842c8fp-17, 0x1.9f75e3ea4ec3ep-17, 0x1.9f412590791a9p-17, 0x1.9f05d2ecb04fep-17, 0x1.9ec404a33e0a6p-17, 0x1.9e7bd32a3e2cp-17, 0x1.9e2d56c9b2fecp-17, 0x1.9dd8a79b8535p-17, 0x1.9d7ddd8ae280cp-17, 0x1.9d1d105451c07p-17, 0x1.9cb657858aa52p-17, 0x1.9c49ca7d2c329p-17, 0x1.9bd7806ae3a89p-17, 0x1.9b5f904f01ddcp-17, 0x1.9ae210fa93bfap-17, 0x1.9a5f190f440e8p-17, 0x1.99d6beff48a2p-17, 0x1.9949190d66bb2p-17, 0x1.98b63d4cb7eebp-17, 0x1.981e41a07361p-17, 0x1.97813bbc69b71p-17, 0x1.96df4124a8dap-17, 0x1.9638672d59613p-17, 0x1.958cc2fb29372p-17, 0x1.94dc69832be5p-17, 0x1.94276f8a81389p-17, 0x1.936de9a69d533p-17, 0x1.92afec3d9c3fbp-17, 0x1.91ed8b85c3207p-17, 0x1.9126db85edb61p-17, 0x1.905bf015889cp-17, 0x1.8f8cdcdc7ffd2p-17, 0x1.8eb9b55376574p-17, 0x1.8de28cc402738p-17, 0x1.8d077648859b1p-17, 0x1.8c2884cc4e2d8p-17, 0x1.8b45cb0bc44ep-17, 0x1.8a5f5b94756adp-17, 0x1.897548c536d36p-17, 0x1.8887a4ce4b311p-17, 0x1.879681b1c4867p-17, 0x1.86a1f1433c20bp-17, 0x1.85aa05282ed35p-17, 0x1.84aeced812964p-17, 0x1.83b05f9c95eefp-17, 0x1.82aec891c84abp-17, 0x1.81aa1aa636d11p-17, 0x1.80a2669afacd8p-17, 0x1.7f97bd04359f7p-17, 0x1.7e8a2e4908152p-17, 0x1.7d79caa3bda73p-17, 0x1.7c66a22248697p-17, 0x1.7b50c4a5fbddap-17, 0x1.7a3841e41ba06p-17, 0x1.791d2965eb432p-17, 0x1.77ff8a88fc1edp-17, 0x1.76df747f3035dp-17, 0x1.75bcf64f2a9c8p-17, 0x1.74981ed4835b7p-17, 0x1.7370fcbfde7dcp-17, 0x1.72479e973b55p-17, 0x1.711c12b64af13p-17, 0x1.6fee674e562fap-17, 0x1.6ebeaa66c6a42p-17, 0x1.6d8ce9dd64911p-17, 0x1.6c59336670d83p-17, 0x1.6b23948cfb72ap-17, 0x1.69ec1ab2f1da8p-17, 0x1.68b2d311b7cd9p-17, 0x1.6777caba35b73p-17, 0x1.663b0e951537p-17, 0x1.64fcab62e97b8p-17, 0x1.63bcadbc9faabp-17, 0x1.627b2213bcda9p-17, 0x1.613814b291f27p-17, 0x1.5ff391bc5cd0cp-17, 0x1.5eada52dce51bp-17, 0x1.5d665add525e6p-17, 0x1.5c1dbe7b0746cp-17, 0x1.5ad3db9133eebp-17, 0x1.5988bd848a189p-17, 0x1.583c6f945e9a3p-17, 0x1.56eefcdb02b66p-17, 0x1.55a0704dfdc29p-17, 0x1.5450d4be622dcp-17, 0x1.530034d8decc1p-17, 0x1.51ae9b263c37dp-17, 0x1.505c120bc1b2fp-17, 0x1.4f08a3cb15e14p-17, 0x1.4db45a82d5abep-17, 0x1.4c5f402eb33d6p-17, 0x1.4b095ea7d51f5p-17, 0x1.49b2bfa519ac9p-17, 0x1.485b6cbb2c8a6p-17, 0x1.47036f5d19f18p-17, 0x1.45aad0dc9f18cp-17, 0x1.44519a6a05507p-17, 0x1.42f7d514aa328p-17, 0x1.419d89cb88fap-17, 0x1.4042c15d08effp-17, 0x1.3ee784776373cp-17, 0x1.3d8bdba933aap-17, 0x1.3c2fcf61906d8p-17, 0x1.3ad367f02f0a4p-17, 0x1.3976ad85c6897p-17, 0x1.3819a8346a7cp-17, 0x1.36bc5fefc6eebp-17, 0x1.355edc8d4b5bep-17, 0x1.340125c4a1911p-17, 0x1.32a3432fb1dc9p-17, 0x1.31453c4b0bae6p-17, 0x1.2fe718765a78ap-17, 0x1.2e88def44b99dp-17, 0x1.2d2a96eb10eeap-17, 0x1.2bcc4764b4fb3p-17, 0x1.2a6df74f3876fp-17, 0x1.290fad7ccccebp-17, 0x1.27b170a43e36bp-17, 0x1.265347613e079p-17, 0x1.24f538346a866p-17, 0x1.23974983bb8e8p-17, 0x1.2239819af952p-17, 0x1.20dbe6ab7a33p-17, 0x1.1f7e7eccdbcf9p-17, 0x1.1e214ffd3b5aap-17, 0x1.1cc460212d404p-17, 0x1.1b67b50430955p-17, 0x1.1a0b5458fbe7fp-17, 0x1.18af43b9bed1bp-17, 0x1.175388a82907bp-17, 0x1.15f8288dda0abp-17, 0x1.149d28bcca5bcp-17, 0x1.13428e6f21b0dp-17, 0x1.11e85ec7dcb05p-17, 0x1.108e9ed2d3b74p-17, 0x1.0f355384eab1ap-17, 0x1.0ddc81bcbdc12p-17, 0x1.0c842e4234494p-17, 0x1.0b2c5dc735a85p-17, 0x1.09d514e7fc5e5p-17, 0x1.087e582acf949p-17, 0x1.07282c00b922p-17, 0x1.05d294c5bd50bp-17, 0x1.047d96c0b6437p-17, 0x1.03293623dc6f4p-17, 0x1.01d5770d22445p-17, 0x1.00825d85fdd87p-17, 0x1.fe5fdb0819d0dp-18, 0x1.fbbc55d2729b9p-18, 0x1.f91a330733284p-18, 0x1.f6797a1c51ba1p-18, 0x1.f3da3261a8453p-18, 0x1.f13c630106e08p-18, 0x1.eea012fee193ap-18, 0x1.ec05493b18f26p-18, 0x1.e96c0c710681cp-18, 0x1.e6d46337af724p-18, 0x1.e43e5402ec59bp-18, 0x1.e1a9e5232a137p-18, 0x1.df171cc6378c8p-18, 0x1.dc8600f77397ap-18, 0x1.d9f697a03f111p-18, 0x1.d768e688f270ep-18, 0x1.d4dcf358352dcp-18, 0x1.d252c39446e56p-18, 0x1.cfca5ca340cabp-18, 0x1.cd43c3caf27b3p-18, 0x1.cabefe32268bap-18, 0x1.c83c10e0492dap-18, 0x1.c5bb00bdf48e3p-18, 0x1.c33bd295cbe3dp-18, 0x1.c0be8b142992cp-18, 0x1.be432ec7eefdcp-18, 0x1.bbc9c223120b2p-18, 0x1.b952497a46632p-18, 0x1.b6dcc906101edp-18, 0x1.b46944e315101p-18, 0x1.b1f7c111cf829p-18, 0x1.af88417793f25p-18, 0x1.ad1ac9df040dp-18, 0x1.aaaf5df7aaad6p-18, 0x1.a846015700b5p-18, 0x1.a5deb778996f1p-18, 0x1.a37983be5ba25p-18, 0x1.a116697104b64p-18, 0x1.9eb56bc03ce01p-18, 0x1.9c568dc37109ap-18, 0x1.99f9d279618b4p-18, 0x1.979f3cc9254a1p-18, 0x1.9546cf82700c5p-18, 0x1.92f08d5d2d979p-18, 0x1.909c78fae63b7p-18, 0x1.8e4a94e62b3e9p-18, 0x1.8bfae3934a6fep-18, 0x1.89ad6760dacedp-18, 0x1.876222975716p-18, 0x1.8519176a2c618p-18, 0x1.82d247f7a601ap-18, 0x1.808db6491a71ap-18, 0x1.7e4b6453c0ecp-18, 0x1.7c0b53f845e7cp-18, 0x1.79cd870387994p-18, 0x1.7791ff2f232dep-18, 0x1.7558be20e3d0ep-18, 0x1.7321c56bc37bfp-18, 0x1.70ed169035e79p-18, 0x1.6ebab2fbcee75p-18, 0x1.6c8a9c0a2aba4p-18, 0x1.6a5cd30507fbdp-18, 0x1.6831592451704p-18, 0x1.66082f8e8a1bp-18, 0x1.63e1575948e56p-18, 0x1.61bcd18919c71p-18, 0x1.5f9a9f11d643p-18, 0x1.5d7ac0d765a73p-18, 0x1.5b5d37ad0f88cp-18, 0x1.594204569480dp-18, }}, 
      {{0x1.557829b3ec83fp-14, 0x1.50c9ea77516b8p-12, 0x1.728736c79ee5ep-11, 0x1.3fa9ce7c7a06ap-10, 0x1.e19126a5b4b3dp-10, 0x1.4c5d322184f6ap-9, 0x1.af731bbfab447p-9, 0x1.0b8a55c2af4e7p-8, 0x1.404ab042e237dp-8, 0x1.74d2faa262444p-8, 0x1.a82f0e473e532p-8, 0x1.d99ed8675501cp-8, 0x1.0449f09aed7d9p-7, 0x1.1a567ad28b298p-7, 0x1.2ed87637ea018p-7, 0x1.41c4989f6a67fp-7, 0x1.531e3c806ddbep-7, 0x1.62f4e68eb3bap-7, 0x1.7161fd0528861p-7, 0x1.7e86aeb95212bp-7, 0x1.8a8a0591d4ceep-7, 0x1.959720a42b426p-7, 0x1.9fdb9422513c7p-7, 0x1.a985ef2d238b5p-7, 0x1.b2c468f40454p-7, 0x1.bbc3b7166972bp-7, 0x1.c4ae0f0e8e914p-7, 0x1.cdaa53b5097dcp-7, 0x1.d6db6ee3679bbp-7, 0x1.e05fd6148f2fdp-7, 0x1.ea5137c58d652p-7, 0x1.f4c44e644bd09p-7, 0x1.ffc8d4dd49ed1p-7, 0x1.05b4cc2dbe852p-6, 0x1.0bd651465b246p-6, 0x1.1249bbdaa9383p-6, 0x1.190db201ce8fdp-6, 0x1.201ee9efabb58p-6, 0x1.277859abc8da7p-6, 0x1.2f1368a3c0b93p-6, 0x1.36e821a574996p-6, 0x1.3eed640d824e1p-6, 0x1.47191334e3e64p-6, 0x1.4f6043631c6b2p-6, 0x1.57b763bf38affp-6, 0x1.601264e85ed4bp-6, 0x1.6864dc06e89bap-6, 0x1.70a22247f4fd6p-6, 0x1.78bd70d080e7dp-6, 0x1.80a9f949a1ba9p-6, 0x1.885afb3713685p-6, 0x1.8fc3d653ef64cp-6, 0x1.96d81a37dfa6fp-6, 0x1.9d8b938a617c1p-6, 0x1.a3d2570a0491p-6, 0x1.a9a0caabe06d6p-6, 0x1.aeebad13f8b13p-6, 0x1.b3a81ba2bdea4p-6, 0x1.b7cb974ea4c09p-6, 0x1.bb4c087adc8ep-6, 0x1.be1fc1f65f928p-6, 0x1.c03d8348bab13p-6, 0x1.c19c7a6c70e54p-6, 0x1.c234451165929p-6, 0x1.c1fcf17d3c6abp-6, 0x1.c0eeff1b180eap-6, 0x1.bf035ec875dcbp-6, 0x1.bc3372e9b18eep-6, 0x1.b8790f4de02cep-6, 0x1.b3ce78e7a42bfp-6, 0x1.ae2e655e786bcp-6, 0x1.a793fa7afb918p-6, 0x1.9ffacd6f40d24p-6, 0x1.975ee1fbd6ccbp-6, 0x1.8dbca9716c85ap-6, 0x1.8311018ee4ad9p-6, 0x1.7759333ba484p-6, 0x1.6a92f11dc7183p-6, 0x1.5cbc560c337dfp-6, 0x1.4dd3e35cd7679p-6, 0x1.3dd87f0f841c5p-6, 0x1.2cc971d632d1dp-6, 0x1.1aa664fbfc8dap-6, 0x1.076f602c2783p-6, 0x1.e6498e3665f95p-7, 0x1.bb8eae27c5ap-7, 0x1.8eb048d55d1dep-7, 0x1.5fb12fb43d598p-7, 0x1.2e94d7957a579p-7, 0x1.f6bea625d9725p-8, 0x1.8c2a99bd210f9p-8, 0x1.1d7803f4ba90ep-8, 0x1.5564ef79dbe86p-9, 0x1.9f34a936ba4e1p-11, -0x1.1b7809cfc24a4p-10, -0x1.8b1970962d446p-9, -0x1.48160bf940ee4p-8, -0x1.ce699f3b32ae6p-8, -0x1.2c3b20c9cf5e4p-7, -0x1.7314fde5bc8c9p-7, -0x1.bbb90da34b72fp-7, -0x1.030ecf4983642p-6, -0x1.291c564c89085p-6, -0x1.4ffff3219261p-6, -0x1.77b458fe9eee3p-6, -0x1.a03419919f6a5p-6, -0x1.c979a776c2063p-6, -0x1.f37f589bc94ffp-6, -0x1.0f1fb447e86c3p-5, -0x1.24d9fd5fa8393p-5, -0x1.3aeb8e4e08512p-5, -0x1.515163d884f59p-5, -0x1.680871d12e59dp-5, -0x1.7f0da40cb13cdp-5, -0x1.965ddf4e9d116p-5, -0x1.adf6022c1139ep-5, -0x1.c5d2e5e5007dp-5, -0x1.ddf15f3455fe4p-5, -0x1.f64e3f1734073p-5, -0x1.077329c5c9d92p-4, -0x1.13db342355c0bp-4, -0x1.205da3b1a4c75p-4, -0x1.2cf8dd044b40cp-4, -0x1.39ab4484c12ffp-4, -0x1.46733ebe9a4c9p-4, -0x1.534f30a86d359p-4, -0x1.603d7fe98ec3p-4, -0x1.6d3c931cd2319p-4, -0x1.7a4ad2106b88cp-4, -0x1.8766a6032b4c9p-4, -0x1.948e79df29777p-4, -0x1.a1c0ba720eb5bp-4, -0x1.aefbd6a31a515p-4, -0x1.bc3e3fa70938ap-4, -0x1.c9866931f964cp-4, -0x1.d6d2c9a76a2a9p-4, -0x1.e421da487840fp-4, -0x1.f1721760657d1p-4, -0x1.fec2006f92f9cp-4, -0x1.06080c2a79782p-3, -0x1.0cad72bb0d5cbp-3, -0x1.135078f2fa7b2p-3, -0x1.19f065c519c6p-3, -0x1.208c821fc27b1p-3, -0x1.272418fe52c8dp-3, -0x1.2db6777a2c982p-3, -0x1.3442ecdb22f61p-3, -0x1.3ac8caa76d392p-3, -0x1.414764b315549p-3, -0x1.47be112eedaap-3, -0x1.4e2c28b70c974p-3, -0x1.54910660d76c9p-3, -0x1.5aec07c894e1fp-3, -0x1.613c8d1e935a9p-3, -0x1.6781f933dccf6p-3, -0x1.6dbbb186804adp-3, -0x1.73e91e4d690aap-3, -0x1.7a09aa83c8904p-3, -0x1.801cc3f41f0d6p-3, -0x1.8621db42c364bp-3, -0x1.8c1863f814f71p-3, -0x1.91ffd48a2ec65p-3, -0x1.97d7a66638146p-3, -0x1.9d9f55f940e67p-3, -0x1.a35662b8b4fa6p-3, -0x1.a8fc4f2a5e258p-3, -0x1.ae90a0ebf4598p-3, -0x1.b412e0ba4259cp-3, -0x1.b9829a77d5739p-3, -0x1.bedf5d3339fbcp-3, -0x1.c428bb2ccd5d8p-3, -0x1.c95e49dc117fap-3, -0x1.ce7fa1f4969b8p-3, -0x1.d38c5f6a69ef9p-3, -0x1.d88421760f749p-3, -0x1.dd668a980cbdcp-3, -0x1.e233409bf44efp-3, -0x1.e6e9ec9b03dfp-3, -0x1.eb8a3afe43f1ap-3, -0x1.f013db803a5dep-3, -0x1.f486812e19c5ap-3, -0x1.f8e1e268885fbp-3, -0x1.fd25b8e3e494ap-3, -0x1.00a8e0d40dd34p-2, -0x1.02b2de88045cbp-2, -0x1.04b0b7642ccbcp-2, -0x1.06a24ee703a1fp-2, -0x1.08878a362b05cp-2, -0x1.0a60501d304dp-2, -0x1.0c2c890c1d30ap-2, -0x1.0dec1f15c9abbp-2, -0x1.0f9efdedfc987p-2, -0x1.114512e750ed6p-2, -0x1.12de4cf0e5529p-2, -0x1.146a9c93d7d17p-2, -0x1.15e9f3f08a8a9p-2, -0x1.175c46bbb4f6bp-2, -0x1.18c18a3b4141bp-2, -0x1.1a19b542f9456p-2, -0x1.1b64c030fe4c3p-2, -0x1.1ca2a4ea169b8p-2, -0x1.1dd35ed5c6375p-2, -0x1.1ef6eada3ac9bp-2, -0x1.200d47580ce09p-2, -0x1.21167425d4501p-2, -0x1.2212728b8ed6cp-2, -0x1.2301453de2b22p-2, -0x1.23e2f05934c74p-2, -0x1.24b7795c9968fp-2, -0x1.257ee724a2d07p-2, -0x1.263941e6040b9p-2, -0x1.26e6932819f7bp-2, -0x1.2786e5bf4b564p-2, -0x1.281a45c74d9c9p-2, -0x1.28a0c09d4a193p-2, -0x1.291a64d9e4c04p-2, -0x1.2987424b29762p-2, -0x1.29e769ee5d341p-2, -0x1.2a3aede9b6fcp-2, -0x1.2a81e18601ee8p-2, -0x1.2abc59282b24ep-2, -0x1.2aea6a4ab75b2p-2, -0x1.2b0c2b7729352p-2, -0x1.2b21b43f550b6p-2, -0x1.2b2b1d36a4713p-2, -0x1.2b287feb4d6b5p-2, -0x1.2b19f6df780e1p-2, -0x1.2aff9d825ed4fp-2, -0x1.2ad990295f959p-2, -0x1.2aa7ec090649fp-2, -0x1.2a6acf2e1304ap-2, -0x1.2a2258767323cp-2, -0x1.29cea78a3fcadp-2, -0x1.296fdcd4aebacp-2, -0x1.2906197d0b848p-2, -0x1.28917f5fa8d1ap-2, -0x1.28123106d6f39p-2, -0x1.278851a3dae39p-2, -0x1.26f40507e9382p-2, -0x1.26556f9d26d1ep-2, -0x1.25acb65fad7dep-2, -0x1.24f9fed69a44ep-2, -0x1.243d6f0d21723p-2, -0x1.23772d8bad29p-2, -0x1.22a76151099b5p-2, -0x1.21ce31cb95a7ap-2, -0x1.20ebc6d28821fp-2, -0x1.2000489f3e58bp-2, -0x1.1f0bdfc698adap-2, -0x1.1e0eb5326a87bp-2, -0x1.1d08f21af776ep-2, -0x1.1bfac0008341fp-2, -0x1.1ae448a4f3fb8p-2, -0x1.19c5b60587e22p-2, -0x1.189f32549cd85p-2, -0x1.1770e7f3900c3p-2, -0x1.163b016cb0188p-2, -0x1.14fda96d47563p-2, -0x1.13b90abfbad8fp-2, -0x1.126d5045c20ddp-2, -0x1.111aa4f2b76a9p-2, -0x1.0fc133c5fdc94p-2, -0x1.0e6127c5848d1p-2, -0x1.0cfaabf85f20ep-2, -0x1.0b8deb617acecp-2, -0x1.0a1b10fa6da8fp-2, -0x1.08a247ae60471p-2, -0x1.0723ba5511052p-2, -0x1.059f93adf67cdp-2, -0x1.0415fe5b7a9fcp-2, -0x1.028724de5186cp-2, -0x1.00f33190f0ccbp-2, -0x1.feb49d463c722p-3, -0x1.fb794c2b3c297p-3, -0x1.f834c36bfb484p-3, -0x1.f4e75634f4711p-3, -0x1.f191573c0e13dp-3, -0x1.ee3318b8dae98p-3, -0x1.eaccec5d19c3ep-3, -0x1.e75f234d6b059p-3, -0x1.e3ea0e1a4731ep-3, -0x1.e06dfcb92a428p-3, -0x1.dceb3e7df82a9p-3, -0x1.d9622214a2711p-3, -0x1.d5d2f57b01b05p-3, -0x1.d23e05fae924p-3, -0x1.cea3a02477c96p-3, -0x1.cb040fc89e464p-3, -0x1.c75f9ff3dede1p-3, -0x1.c3b69ae94693cp-3, -0x1.c0094a1d9cd45p-3, -0x1.bc57f632cd2fap-3, -0x1.b8a2e6f384f6dp-3, -0x1.b4ea634f09264p-3, -0x1.b12eb1553f539p-3, -0x1.ad701632f26c6p-3, -0x1.a9aed62e4451p-3, -0x1.a5eb34a357babp-3, -0x1.a22574012ee89p-3, -0x1.9e5dd5c6b647cp-3, -0x1.9a949a800bccep-3, -0x1.96ca01c3eb3eep-3, -0x1.92fe4a315652ap-3, -0x1.8f31b16d6379ap-3, -0x1.8b64742142599p-3, -0x1.8796cdf8699abp-3, -0x1.83c8f99ef5176p-3, -0x1.7ffb30c02c82p-3, -0x1.7c2dac053df05p-3, -0x1.7860a31418112p-3, -0x1.74944c8e78482p-3, -0x1.70c8de111a361p-3, -0x1.6cfe8c3315df9p-3, -0x1.69358a8560223p-3, -0x1.656e0b92739f8p-3, -0x1.61a840de1db8bp-3, -0x1.5de45ae574e19p-3, -0x1.5a22891eecdbcp-3, -0x1.5662f9fa8d3fbp-3, -0x1.52a5dae2515d7p-3, -0x1.4eeb583aa361cp-3, -0x1.4b339d62f4825p-3, -0x1.477ed4b67bddbp-3, -0x1.43cd278d0eddbp-3, -0x1.401ebe3c1862ep-3, -0x1.3c73c017aa538p-3, -0x1.38cc5373aed54p-3, -0x1.35289da52f83bp-3, -0x1.3188c303b8cd7p-3, -0x1.2dece6ead7b41p-3, -0x1.2a552bbbabc75p-3, -0x1.26c1b2de91c1ap-3, -0x1.23329cc4e8877p-3, -0x1.1fa808eae1969p-3, -0x1.1c2215d974a45p-3, -0x1.18a0e12857a18p-3, -0x1.1524878012e49p-3, -0x1.11ad249c28ad3p-3, -0x1.0e3ad34d43b1dp-3, -0x1.0acdad7b8394cp-3, -0x1.0765cc28d1447p-3, -0x1.04034773416e7p-3, -0x1.00a6369786c73p-3, -0x1.fa9d5fe6ed96cp-4, -0x1.f3f99211278f5p-4, -0x1.ed612cfd49e73p-4, -0x1.e6d4584cbcc3ep-4, -0x1.e05339f81565bp-4, -0x1.d9ddf654974a9p-4, -0x1.d374b019a57afp-4, -0x1.cd178866689dap-4, -0x1.c6c69ec76a7d8p-4, -0x1.c082113c4db55p-4, -0x1.ba49fc3d8e267p-4, -0x1.b41e7ac24f839p-4, -0x1.adffa64632e4p-4, -0x1.a7ed96cf3c2c9p-4, -0x1.a1e862f3bafd3p-4, -0x1.9bf01fe03c6a7p-4, -0x1.9604e15d8a424p-4, -0x1.9026b9d69f966p-4, -0x1.8a55ba5eb39d7p-4, -0x1.8491f2b73d5e4p-4, -0x1.7edb7155fbedep-4, -0x1.7932436b03c73p-4, -0x1.739674e6c4edp-4, -0x1.6e0810801bf37p-4, -0x1.68871fba56e65p-4, -0x1.6313aaeb3fa3ap-4, -0x1.5dadb9412094cp-4, -0x1.585550c8c6971p-4, -0x1.530a76737d70cp-4, -0x1.4dcd2e1d07df2p-4, -0x1.489d7a9195891p-4, -0x1.437b5d93a9fd1p-4, -0x1.3e66d7e207618p-4, -0x1.395fe93d878c6p-4, -0x1.3466906ef386fp-4, -0x1.2f7acb4cd082p-4, -0x1.2a9c96c1207aap-4, -0x1.25cbeecf1e4b6p-4, -0x1.2108ce98e8534p-4, -0x1.1c533065284b9p-4, -0x1.17ab0da4a878fp-4, -0x1.13105ef7e096bp-4, -0x1.0e831c347644fp-4, -0x1.0a033c6aaf915p-4, -0x1.0590b5ead95b6p-4, -0x1.012b7e4a9e6bdp-4, -0x1.f9a714d4af028p-5, -0x1.f1119cf47d622p-5, -0x1.e8967bff4ad63p-5, -0x1.e03597b41fda8p-5, -0x1.d7eed4909030ap-5, -0x1.cfc215dab3da2p-5, -0x1.c7af3dab13c27p-5, -0x1.bfb62cf666e91p-5, -0x1.b7d6c39735dc8p-5, -0x1.b010e05762694p-5, -0x1.a86460f981e5dp-5, -0x1.a0d12242296bfp-5, -0x1.9957000101119p-5, -0x1.91f5d519c85b9p-5, -0x1.8aad7b8d39f73p-5, -0x1.837dcc81bb07p-5, -0x1.7c66a04bf6bbcp-5, -0x1.7567ce77560ap-5, -0x1.6e812dce5598dp-5, -0x1.67b29462b5565p-5, -0x1.60fbd7957ff06p-5, -0x1.5a5ccc1f02d24p-5, -0x1.53d546168d21ep-5, -0x1.4d6518fa1b642p-5, -0x1.470c17b5d941bp-5, -0x1.40ca14ab81dfbp-5, -0x1.3a9ee1b9a35dfp-5, -0x1.348a5042aef74p-5, -0x1.2e8c3133feecep-5, -0x1.28a4550ca58f8p-5, -0x1.22d28be420d62p-5, -0x1.1d16a570f391cp-5, -0x1.1770710f0ec74p-5, -0x1.11dfbdc62538ap-5, -0x1.0c645a4fd2999p-5, -0x1.06fe151daad68p-5, -0x1.01acbc5f22a86p-5, -0x1.f8e03c0eb69cap-6, -0x1.ee900fa588d09p-6, -0x1.e4688e995003ep-6, -0x1.da6953a921efp-6, -0x1.d091f947284cdp-6, -0x1.c6e219a2e2506p-6, -0x1.bd594eb34452dp-6, -0x1.b3f732407e238p-6, -0x1.aabb5ded8d459p-6, -0x1.a1a56b419d36ap-6, -0x1.98b4f3b113f93p-6, -0x1.8fe990a67cd78p-6, -0x1.8742db8b1b30dp-6, -0x1.7ec06dcf606c5p-6, -0x1.7661e0f30d7b4p-6, -0x1.6e26ce8d30779p-6, -0x1.660ed053dbe3bp-6, -0x1.5e198023a4eb8p-6, -0x1.56467806ff296p-6, -0x1.4e95523d3da56p-6, -0x1.4705a9417f6bcp-6, -0x1.3f9717d1648c6p-6, -0x1.384938f36f5cdp-6, -0x1.311ba7fd5206ap-6, -0x1.2a0e009a0b878p-6, -0x1.231fdecfaa9f1p-6, -0x1.1c50df051bfeep-6, -0x1.15a09e078fa16p-6, -0x1.0f0eb90fcdf0dp-6, -0x1.089acdc75af8bp-6, -0x1.02447a4d5c5e2p-6, -0x1.f816ba76d03f9p-7, -0x1.ebde2b542da2dp-7, -0x1.dfde866ac929cp-7, -0x1.d4170c020531bp-7, -0x1.c886fd78c0375p-7, -0x1.bd2d9d4d2a59fp-7, -0x1.b20a2f2453165p-7, -0x1.a71bf7d163fa1p-7, -0x1.9c623d5c7e72ep-7, -0x1.91dc47094f071p-7, -0x1.87895d5d77bdap-7, -0x1.7d68ca266af8fp-7, -0x1.7379d87f4d5afp-7, -0x1.69bbd4d654c66p-7, -0x1.602e0cf1f07cfp-7, -0x1.56cfcff5cf768p-7, -0x1.4da06e6776214p-7, -0x1.449f3a3284c1bp-7, -0x1.3bcb86ad373e3p-7, -0x1.3324a89bdac87p-7, -0x1.2aa9f634d5542p-7, -0x1.225ac723eafaap-7, -0x1.1a36748d62b78p-7, -0x1.123c59112c455p-7, -0x1.0a6bd0cd7d76ep-7, -0x1.02c439617f2f3p-7, -0x1.f689e3df0d537p-8, -0x1.e7dab63e88b2ap-8, -0x1.d979ae3f8f6a8p-8, -0x1.cb65935267055p-8, -0x1.bd9d2ffc5e885p-8, -0x1.b01f51db06546p-8, -0x1.a2eac9a62acd5p-8, -0x1.95fe6b323ad01p-8, -0x1.89590d71b434dp-8, -0x1.7cf98a76da592p-8, -0x1.70debf7469fc9p-8, -0x1.65078cbebe449p-8, -0x1.5972d5cbf98dp-8, -0x1.4e1f813450475p-8, -0x1.430c78b1fe908p-8, -0x1.3838a920c8f7p-8, -0x1.2da3027d63135p-8, -0x1.234a77e46271p-8, -0x1.192dff916349ep-8, -0x1.0f4c92dd36f68p-8, -0x1.05a52e3cb0479p-8, -0x1.f86da27c77dfp-9, -0x1.e600fd10845c6p-9, -0x1.d40277ad6911p-9, -0x1.c27023f09f917p-9, -0x1.b14819986690cp-9, -0x1.a088767d975d9p-9, -0x1.902f5e8d92739p-9, -0x1.803afbc3a6124p-9, -0x1.70a97e2236e6p-9, -0x1.61791bab68582p-9, -0x1.52a8105a07db5p-9, -0x1.44349e18f1895p-9, -0x1.361d0cbb8146ap-9, -0x1.285fa9f5354cbp-9, -0x1.1afac9503228dp-9, -0x1.0decc42570e29p-9, -0x1.0133f992ac1c4p-9, -0x1.e99d9ce2c5781p-10, -0x1.d1775a9a15b4cp-10, -0x1.b9f20cb219eabp-10, -0x1.a30a9ecdcbf77p-10, -0x1.8cbe07b7ad017p-10, -0x1.7709494c68f9p-10, -0x1.61e9706669ea3p-10, -0x1.4d5b94c76e676p-10, -0x1.395cd902b912p-10, -0x1.25ea6a66edf37p-10, -0x1.130180e7fd583p-10, -0x1.009f5f07d331p-10, -0x1.dd82a37e5ea57p-11, -0x1.bac960cddc9a9p-11, -0x1.990db93ff33e9p-11, -0x1.784a8479480ecp-11, -0x1.587aae4dca3p-11, -0x1.3999369601193p-11, -0x1.1ba130f95c09dp-11, -0x1.fd1b8981590cbp-12, -0x1.c4b45949aedc7p-12, -0x1.8e036d39ea1b9p-12, -0x1.58ff8759da863p-12, -0x1.259f8f6a15511p-12, -0x1.e7b524fc99531p-13, -0x1.874f853680633p-13, -0x1.29fceca3d3f0bp-13, -0x1.9f58a16a6f17ap-14, -0x1.e133b9a6a567dp-15, -0x1.1e724bc362b6fp-16, 0x1.6efea35274bc7p-16, 0x1.f33571778d07ep-15, 0x1.9213f631da9e5p-14, 0x1.12a519ba26362p-13, 0x1.59adde838257p-13, 0x1.9e332db0611d9p-13, 0x1.e043aa33949e4p-13, 0x1.0ff6db416f5ccp-12, 0x1.2e9fbaad92e06p-12, 0x1.4c23654546755p-12, 0x1.6888add9d3ae8p-12, 0x1.83d648897c24fp-12, 0x1.9e12cb22acd09p-12, 0x1.b744ad83a5e7ep-12, 0x1.cf7249ff605e5p-12, 0x1.e6a1ddbadfb03p-12, 0x1.fcd98911a2bc1p-12, 0x1.090fa7f944491p-11, 0x1.133c8d20fb045p-11, 0x1.1cf65a1ba3873p-11, 0x1.263fe75e92302p-11, 0x1.2f1bffe723f5dp-11, 0x1.378d616a33c33p-11, 0x1.3f96bc81f3f93p-11, 0x1.473ab4dce53e4p-11, 0x1.4e7be16afaba8p-11, 0x1.555ccc8bd8ee7p-11, 0x1.5bdff43be1d75p-11, 0x1.6207ca416da99p-11, 0x1.67d6b458cdeb8p-11, 0x1.6d4f0c61ceecp-11, 0x1.72732089e763ap-11, 0x1.7745337a1fb3p-11, 0x1.7bc77c7feb05p-11, 0x1.7ffc27ba6dc56p-11, 0x1.83e556435074bp-11, 0x1.87851e595aed2p-11, 0x1.8add8b8afec37p-11, 0x1.8df09edf16f73p-11, 0x1.90c04efe1512ap-11, 0x1.934e885b0261fp-11, 0x1.959d2d5baa57fp-11, 0x1.97ae16805ae36p-11, 0x1.9983128bb9b5cp-11, 0x1.9b1de6a9ec261p-11, 0x1.9c804e96cd3c1p-11, 0x1.9dabfcc552996p-11, 0x1.9ea29a84dc28dp-11, 0x1.9f65c82697d7fp-11, 0x1.9ff71d2370407p-11, 0x1.a058284066e54p-11, 0x1.a08a6fb27e4bcp-11, 0x1.a08f714428f7cp-11, 0x1.a068a2772dd44p-11, 0x1.a01770a92e59ep-11, 0x1.9f9d4135db215p-11, 0x1.9efb71995f2eap-11, 0x1.9e335792470d9p-11, 0x1.9d464143e7624p-11, 0x1.9c35755685b72p-11, 0x1.9b023318a4006p-11, 0x1.99adb29fb8671p-11, 0x1.983924e7a1f2bp-11, 0x1.96a5b3f2b8924p-11, 0x1.94f482e8a74c1p-11, 0x1.9326ae35d905ep-11, 0x1.913d4ba8fb4e4p-11, 0x1.8f396a926ebfp-11, 0x1.8d1c13e0a9fefp-11, 0x1.8ae64a3e18deep-11, 0x1.88990a2e59c86p-11, 0x1.86354a29c27f3p-11, 0x1.83bbfaba9c361p-11, 0x1.812e069853327p-11, 0x1.7e8c52c318602p-11, 0x1.7bd7be9ea805ap-11, 0x1.7911240d3f888p-11, 0x1.7639578996c44p-11, 0x1.7351284100c92p-11, 0x1.7059602d121c1p-11, 0x1.6d52c42c79d23p-11, 0x1.6a3e141c40754p-11, 0x1.671c0aeff29bdp-11, 0x1.63ed5ec9fdb84p-11, 0x1.60b2c112e3389p-11, 0x1.5d6cde918f7a4p-11, 0x1.5a1c5f81e7a2p-11, 0x1.56c1e7ab79e62p-11, 0x1.535e16782223cp-11, 0x1.4ff18709e43e7p-11, 0x1.4c7cd050c1fdcp-11, 0x1.490085203dd47p-11, 0x1.457d344438251p-11, 0x1.41f36895b99cep-11, 0x1.3e63a90fa863ap-11, 0x1.3ace78e271c7cp-11, 0x1.373457886b36fp-11, 0x1.3395c0d874aep-11, 0x1.2ff32d19fef2p-11, 0x1.2c4d11178f26bp-11, 0x1.28a3de3165f9p-11, 0x1.24f8026fb1055p-11, 0x1.2149e89466ab3p-11, 0x1.1d99f82d26296p-11, 0x1.19e895a486ee8p-11, 0x1.163622536b4b4p-11, 0x1.1282fc91817f5p-11, 0x1.0ecf7fc5ed15bp-11, 0x1.0b1c0477aef31p-11, 0x1.0768e05d8b036p-11, 0x1.03b6666d785c2p-11, 0x1.0004e6ecae8b8p-11, 0x1.f8a95efce6c02p-12, 0x1.f14c1665e5309p-12, 0x1.e9f2852c82f72p-12, 0x1.e29d377d36c83p-12, 0x1.db4cb4b4ba695p-12, 0x1.d4017f7cd3eeep-12, 0x1.ccbc15e6dd29bp-12, 0x1.c57cf18716a4cp-12, 0x1.be44878eab1e2p-12, 0x1.b71348e63f835p-12, 0x1.afe9a246ac4cdp-12, 0x1.a8c7fc528604ep-12, 0x1.a1aebbae506ddp-12, 0x1.9a9e4118f5aa4p-12, 0x1.9396e98330147p-12, 0x1.8c990e26c04a9p-12, 0x1.85a5049d9dd4p-12, 0x1.7ebb1ef7c38a8p-12, 0x1.77dbabd192e1fp-12, 0x1.7106f6693f7dbp-12, 0x1.6a3d46b3fb456p-12, 0x1.637ee172bb585p-12, 0x1.5ccc0846939ep-12, 0x1.5624f9c4cc89p-12, 0x1.4f89f18a03d9ep-12, 0x1.48fb284e002e7p-12, 0x1.4278d3f61d2c7p-12, 0x1.3c0327a805973p-12, 0x1.359a53dbc6c1dp-12, 0x1.2f3e866d4bc9cp-12, 0x1.28efeaae5c521p-12, 0x1.22aea97733db9p-12, 0x1.1c7ae9374699bp-12, 0x1.1654ce05d6fdbp-12, 0x1.103c79b1f6a33p-12, 0x1.0a320bd24ef18p-12, 0x1.0435a1d463fadp-12, 0x1.fc8eae1812b28p-13, 0x1.f0ce8983c24c2p-13, 0x1.e52b048436af9p-13, 0x1.d9a449d4c3d08p-13, 0x1.ce3a807035187p-13, 0x1.c2edcbab977bbp-13, 0x1.b7be4b5136e57p-13, 0x1.acac1bba76e8p-13, 0x1.a1b755e9e42bep-13, 0x1.96e00fa3acf1cp-13, 0x1.8c265b866f259p-13, 0x1.818a49232b922p-13, 0x1.770be514ee51cp-13, 0x1.6cab39178c288p-13, 0x1.62684c1e495a4p-13, 0x1.58432269c4401p-13, 0x1.4e3bbd9d7848ap-13, 0x1.44521cd4ec4dbp-13, 0x1.3a863cb7fa544p-13, 0x1.30d8178f204ep-13, 0x1.2747a557732e6p-13, 0x1.1dd4dbd54bf02p-13, 0x1.147faea7a6f26p-13, 0x1.0b480f5a193f2p-13, 0x1.022ded77095efp-13, 0x1.f2626d31e65cep-14, 0x1.e0a3acf80289cp-14, 0x1.cf1f6e1d21dd9p-14, 0x1.bdd5810310721p-14, 0x1.acc5b2b123b94p-14, 0x1.9befccf30be57p-14, 0x1.8b539676ecab7p-14, 0x1.7af0d2eccf88cp-14, 0x1.6ac743217f51ap-14, 0x1.5ad6a51c537d2p-14, 0x1.4b1eb43b0647dp-14, 0x1.3b9f294c971a6p-14, 0x1.2c57baaac053bp-14, 0x1.1d481c54c5b09p-14, 0x1.0e700008dc932p-14, 0x1.ff9e2ab7c3eccp-15, 0x1.e2ca13a1c2021p-15, 0x1.c66311e333e17p-15, 0x1.aa6878c9ab6b8p-15, 0x1.8ed998080a1b6p-15, 0x1.73b5bbe33536cp-15, 0x1.58fc2d5b339dep-15, 0x1.3eac3254c2dd2p-15, 0x1.24c50dc0bd13dp-15, 0x1.0b45ffc2f9303p-15, 0x1.e45c8bb4117e6p-16, 0x1.b2fa360390791p-16, 0x1.82636fb048a2p-16, 0x1.5296a581c7e3dp-16, 0x1.2392400feaa32p-16, 0x1.eaa94802d233ap-17, 0x1.8fb8649d017c1p-17, 0x1.364e91003e69ap-17, 0x1.bcd103b6fcd7fp-18, 0x1.1005cbdd5ce76p-18, 0x1.98d333ef21d11p-20, -0x1.02a2c1f4223ffp-20, -0x1.c932daa227b7ap-19, -0x1.85a432b095f5dp-18, -0x1.11e7e8b26d21p-17, -0x1.5f9190834e389p-17, -0x1.abd27f9fdd61cp-17, -0x1.f6ae2787c49a7p-17, -0x1.2013fe02a87fep-16, -0x1.4421b96d9e53fp-16, -0x1.678201b54ca93p-16, -0x1.8a3693305eed2p-16, -0x1.ac412ab19fc9fp-16, -0x1.cda38564da865p-16, -0x1.ee5f60a4c2cecp-16, -0x1.073b3ceb965fep-15, -0x1.16f5472565622p-15, -0x1.265ead895c57cp-15, -0x1.35784e733cac9p-15, -0x1.444308004b035p-15, -0x1.52bfb8008d3acp-15, -0x1.60ef3be759594p-15, -0x1.6ed270bbb9f4dp-15, -0x1.7c6a330be579bp-15, -0x1.89b75edeb464p-15, -0x1.96bacfa6542abp-15, -0x1.a375603432898p-15, -0x1.afe7eaac9fa72p-15, -0x1.bc13487b2b38ep-15, -0x1.c7f8524604ba3p-15, -0x1.d397dfe4f8dc4p-15, -0x1.def2c856285ffp-15, -0x1.ea09e1b33296cp-15, -0x1.f4de012804b43p-15, -0x1.ff6ffae9a63e2p-15, -0x1.04e051166055fp-14, -0x1.09e8648f11557p-14, -0x1.0ed0a06c962e1p-14, -0x1.13996cb040e5dp-14, -0x1.184330cb1e922p-14, -0x1.1cce539a75533p-14, -0x1.213b3b6446184p-14, -0x1.258a4dd418c94p-14, -0x1.29bbeff74914dp-14, -0x1.2dd0863ad4edep-14, -0x1.31c87467d6342p-14, -0x1.35a41da0f8344p-14, -0x1.3963e460517fp-14, -0x1.3d082a746c3e5p-14, -0x1.409150fdf83ccp-14, -0x1.43ffb86d8817ep-14, -0x1.4753c081cce8dp-14, -0x1.4a8dc845bfe93p-14, -0x1.4dae2e0e6bb79p-14, -0x1.50b54f79162a5p-14, -0x1.53a38969edd2p-14, -0x1.5679380aa4edep-14, -0x1.5936b6c8c5382p-14, -0x1.5bdc60546dfafp-14, -0x1.5e6a8e9f251p-14, -0x1.60e19adad34ap-14, -0x1.6341dd7861c0cp-14, -0x1.658bae2740663p-14, -0x1.67bf63d47b1e2p-14, -0x1.69dd54a9a1707p-14, -0x1.6be5d60c8b165p-14, -0x1.6dd93c9e9033p-14, -0x1.6fb7dc3ba6b44p-14, -0x1.718207faaabep-14, -0x1.7338122c7a3d9p-14, -0x1.74da4c5baadffp-14, -0x1.7669074c819a4p-14, -0x1.77e492fcd5a8fp-14, -0x1.794d3ea3fa675p-14, -0x1.7aa358b257ba6p-14, -0x1.7be72ed1d3454p-14, -0x1.7d190de5b16cep-14, -0x1.7e39420ac2bd6p-14, -0x1.7f481697be591p-14, -0x1.8045d61d90b13p-14, -0x1.8132ca672351ap-14, -0x1.820f3c7a25bd3p-14, -0x1.82db7497945b1p-14, -0x1.8397ba3bd1812p-14, -0x1.8444541f58e04p-14, -0x1.84e188371f5aap-14, -0x1.856f9bb5533a5p-14, -0x1.85eed309deccp-14, -0x1.865f71e31e231p-14, -0x1.86c1bb2e7723dp-14, -0x1.8715f119320c7p-14, -0x1.875c5511413c5p-14, -0x1.879527c6010e7p-14, -0x1.87c0a928f07f7p-14, -0x1.87df186eb3249p-14, -0x1.87f0b40fdac0ep-14, -0x1.87f5b9c9af3aap-14, -0x1.87ee669fa09f7p-14, -0x1.87daf6dbd431dp-14, -0x1.87bba6101d306p-14, -0x1.8790af17174d6p-14, -0x1.875a4c1543ab4p-14, -0x1.8718b67a3b49ap-14, -0x1.86cc27013e3c3p-14, -0x1.8674d5b2cc97cp-14, -0x1.8612f9e57e9eep-14, -0x1.85a6ca3f57c96p-14, -0x1.85307cb6f02fap-14, -0x1.84b046944d9d2p-14, -0x1.84265c724a3b4p-14, -0x1.8392f240018ap-14, -0x1.82f63b41914f3p-14, -0x1.82506a119cb7ap-14, -0x1.81a1b0a2873b3p-14, -0x1.80ea403f9f1cap-14, -0x1.802a498e5cfcep-14, -0x1.7f61fc8fa736dp-14, -0x1.7e9188a125153p-14, -0x1.7db91c7e7c6acp-14, -0x1.7cd8e6429e1ep-14, -0x1.7bf1136926b3cp-14, -0x1.7b01d0cf7afp-14, -0x1.7a0b4ab654df2p-14, -0x1.790dacc2ee842p-14, -0x1.7809220040b2fp-14, -0x1.76fdd4e09e55cp-14, -0x1.75ebef3ebd0e1p-14, -0x1.74d39a5f1af98p-14, -0x1.73b4fef187961p-14, -0x1.729045123a712p-14, -0x1.7165944b2e4acp-14, -0x1.70351395ce8c3p-14, -0x1.6efee95bc0805p-14, -0x1.6dc33b78b4a3ap-14, -0x1.6c822f3b7a711p-14, -0x1.6b3be9676ef9ep-14, -0x1.69f08e35e9de6p-14, -0x1.68a0415764332p-14, -0x1.674b25f4e5d62p-14, -0x1.65f15eb15256bp-14, -0x1.64930daae032ap-14, -0x1.6330547c586a2p-14, -0x1.61c9543e672f7p-14, -0x1.605e2d88d6418p-14, -0x1.5eef0073e3316p-14, -0x1.5d7bec99d992cp-14, -0x1.5c05111831699p-14, -0x1.5a8a8c90ad0d9p-14, -0x1.590c7d2aecafep-14, -0x1.578b00959ad63p-14, -0x1.56063407c2445p-14, -0x1.547e34423169p-14, -0x1.52f31d90754e8p-14, -0x1.51650bca8038dp-14, -0x1.4fd41a55a23eep-14, -0x1.4e406425f21efp-14, -0x1.4caa03bfaae6dp-14, -0x1.4b11133828846p-14, -0x1.4975ac3760737p-14, -0x1.47d7e7f8fbd8ep-14, -0x1.4637df4d962f8p-14, -0x1.4495aa9c19aep-14, -0x1.42f161e2d9338p-14, -0x1.414b1cb8cdb22p-14, -0x1.3fa2f24edc0fcp-14, -0x1.3df8f970d6c19p-14, -0x1.3c4d4886eac48p-14, -0x1.3a9ff5969d13fp-14, -0x1.38f11643f60fbp-14, -0x1.3740bfd2f6904p-14, -0x1.358f0728726a6p-14, -0x1.33dc00cb51734p-14, -0x1.3227c0e5c9dacp-14, -0x1.30725b463bf1bp-14, -0x1.2ebbe360bed72p-14, -0x1.2d046c4fdcb8ep-14, -0x1.2b4c08d5e3555p-14, -0x1.2992cb5dfefd4p-14, -0x1.27d8c5fd2cdf2p-14, -0x1.261e0a7381fdp-14, -0x1.2462aa2cfd94fp-14, -0x1.22a6b642e69c1p-14, -0x1.20ea3f7cb78d2p-14, -0x1.1f2d56510da41p-14, -0x1.1d700ae6fc9e2p-14, -0x1.1bb26d16c2829p-14, -0x1.19f48c6b095f8p-14, -0x1.18367821dc48ap-14, -0x1.16783f2da300ap-14, -0x1.14b9f0362baf8p-14, -0x1.12fb99998f7cbp-14, -0x1.113d496d41512p-14, -0x1.0f7f0d7f270b3p-14, -0x1.0dc0f356480e4p-14, -0x1.0c030833ff531p-14, -0x1.0a455914cd17fp-14, -0x1.0887f2b146d44p-14, -0x1.06cae17f0e04ap-14, -0x1.050e31b1b496fp-14, -0x1.0351ef3bb1e9ap-14, -0x1.019625cf548c2p-14, -0x1.ffb5c1bee64bcp-15, -0x1.fc405740fb1eap-15, -0x1.f8cc2212a323fp-15, -0x1.f55937a81bb6cp-15, -0x1.f1e7acfe015b7p-15, -0x1.ee77969ad6a9cp-15, -0x1.eb090890b4a4cp-15, -0x1.e79c167f373eep-15, -0x1.e430d394aa8ccp-15, -0x1.e0c7529045d41p-15, -0x1.dd5fa5c33e71ep-15, -0x1.d9f9df12a2b63p-15, -0x1.d6960ff8e917ap-15, -0x1.d33449874678fp-15, -0x1.cfd49c678f815p-15, -0x1.cc7718dd8e868p-15, -0x1.c91bcec86c8e9p-15, -0x1.c5c2cda4bc175p-15, -0x1.c26c248d28e86p-15, -0x1.bf17e23c8b236p-15, -0x1.bbc6150ef748cp-15, -0x1.b876cb036d7b6p-15, -0x1.b52a11bd059f3p-15, -0x1.b1dff6848b287p-15, -0x1.ae988649d9256p-15, -0x1.ab53cda5238cp-15, -0x1.a811d8d84703bp-15, -0x1.a4d2b3d0427a4p-15, -0x1.a1966a26aeebep-15, -0x1.9e5d07228f459p-15, -0x1.9b2695ba131dep-15, -0x1.97f3209378f7ap-15, -0x1.94c2b20698c5bp-15, -0x1.9195541e2fbe5p-15, -0x1.8e6b1098be4b4p-15, -0x1.8b43f0ea3a2f2p-15, -0x1.881ffe3ce87f1p-15, -0x1.84ff41729548ap-15, -0x1.81e1c325ffd25p-15, -0x1.7ec78babae18cp-15, -0x1.7bb0a313671bep-15, -0x1.789d1128fbe9ap-15, -0x1.758cdd75aca96p-15, -0x1.72800f411eafbp-15, -0x1.6f76ad92791ecp-15, -0x1.6c70bf3194fbfp-15, -0x1.696e4aa7f906ep-15, -0x1.666f5641b74d8p-15, -0x1.6373e80ed9c82p-15, -0x1.607c05e3f4fd3p-15, -0x1.5d87b55bac64ap-15, -0x1.5a96fbd72da01p-15, -0x1.57a9de7f700e3p-15, -0x1.54c062465a10dp-15, -0x1.51da8be73e123p-15, -0x1.4ef85fe830126p-15, -0x1.4c19e29b02efap-15, -0x1.493f181dab1e7p-15, -0x1.4668045bfc56bp-15, -0x1.4394ab0fba829p-15, -0x1.40c50fc1f6dd1p-15, -0x1.3df935cbddab8p-15, -0x1.3b312057632d8p-15, -0x1.386cd26087836p-15, -0x1.35ac4eb5bc47dp-15, -0x1.32ef97f8e9695p-15, -0x1.3036b0a0214edp-15, -0x1.2d819af6aeb2fp-15, -0x1.2ad0591ddacc5p-15, -0x1.2822ed0d6547cp-15, -0x1.25795894a9ea5p-15, -0x1.22d39d5ad2a63p-15, -0x1.2031bce0638f3p-15, -0x1.1d93b87f57addp-15, -0x1.1af9916c2e7dcp-15, -0x1.186348b66d46p-15, -0x1.15d0df49aa12p-15, -0x1.134255edf541ep-15, -0x1.10b7ad489b60cp-15, -0x1.0e30e5dce52c9p-15, -0x1.0bae000cb059fp-15, -0x1.092efc190e1a6p-15, -0x1.06b3da232bdb9p-15, -0x1.043c9a2c8670ap-15, -0x1.01c93c1835e53p-15, -0x1.feb37f55c3335p-16, -0x1.f9dc49175e44cp-16, -0x1.f50cd489de6f4p-16, -0x1.f04520890dd4p-16, -0x1.eb852bb9d5825p-16, -0x1.e6ccf48a2a035p-16, -0x1.e21c79332c1b4p-16, -0x1.dd73b7b9c5df3p-16, -0x1.d8d2adf05defap-16, -0x1.d439597713471p-16, -0x1.cfa7b7bdbd8eap-16, -0x1.cb1dc6043f431p-16, -0x1.c69b815c5e677p-16, -0x1.c220e6aa1539bp-16, -0x1.bdadf2a4eccb5p-16, -0x1.b942a1d8a9f18p-16, -0x1.b4def0a6f94afp-16, -0x1.b082db47a3d9dp-16, -0x1.ac2e5dca4dc5bp-16, -0x1.a7e174166005p-16, -0x1.a39c19ed1b6d9p-16, -0x1.9f5e4ae9c4a9p-16, -0x1.9b280282d89d1p-16, -0x1.96f93c0a977d8p-16, -0x1.92d1f2b0a8e4dp-16, -0x1.8eb22181e0bdfp-16, -0x1.8a99c36a765bdp-16, -0x1.8688d3352b953p-16, -0x1.827f4b8dc6df7p-16, -0x1.7e7d27008eb91p-16, -0x1.7a825ffc27672p-16, -0x1.768ef0d167b99p-16, -0x1.72a2d3b4e7858p-16, -0x1.6ebe02bf4137cp-16, -0x1.6ae077ee65f1cp-16, -0x1.670a2d2569a76p-16, -0x1.633b1c2e3c1d9p-16, -0x1.5f733eb975c0dp-16, -0x1.5bb28e5fee0cep-16, -0x1.57f904a2ba1bep-16, -0x1.54469aec300e7p-16, -0x1.509b4a906dcb5p-16, -0x1.4cf70cce1a1c8p-16, -0x1.4959dacf15f26p-16, -0x1.45c3ada8db813p-16, -0x1.42347e5d705e4p-16, -0x1.3eac45dbb7a55p-16, -0x1.3b2afd00c785fp-16, -0x1.37b09c970871dp-16, -0x1.343d1d5883fbfp-16, -0x1.30d077edb7a54p-16, -0x1.2d6aa4f0087bep-16, -0x1.2a0b9ce89194ep-16, -0x1.26b35851de7b4p-16, }}, 
      {{-0x1.42af572d6828bp-10, -0x1.378748dea6894p-9, -0x1.ba65c090e5155p-9, -0x1.12d90c989cbb4p-8, -0x1.3c5deeaa15479p-8, -0x1.5ac9db79be5e8p-8, -0x1.70120cb18bd32p-8, -0x1.7eafe5d9c8013p-8, -0x1.894c725262b17p-8, -0x1.9281dc3de9adcp-8, -0x1.9cb0dd2fdb474p-8, -0x1.a9e6b2638a609p-8, -0x1.bbcfe489d0fc6p-8, -0x1.d3b48cf1db27bp-8, -0x1.f27b4ec600b21p-8, -0x1.0c5865d573cb7p-7, -0x1.2348edd5b9484p-7, -0x1.3e0b9dcd68018p-7, -0x1.5c80dde2c3d27p-7, -0x1.7e731ee2d787dp-7, -0x1.a39c835b3f1b8p-7, -0x1.cbac0ac8de94p-7, -0x1.f64a27387bcc1p-7, -0x1.118e59216a9e4p-6, -0x1.28e51fd4264f7p-6, -0x1.40fe694990a31p-6, -0x1.59b1ff9945c99p-6, -0x1.72db42b192b09p-6, -0x1.8c59b96747e7dp-6, -0x1.a6116dd1e1ad7p-6, -0x1.bfeb1c81d7501p-6, -0x1.d9d43dd86608dp-6, -0x1.f3bef0534884dp-6, -0x1.06d0e50675798p-5, -0x1.13bbcb87c704bp-5, -0x1.209f84b90f43cp-5, -0x1.2d7d2fc758355p-5, -0x1.3a57820152b7bp-5, -0x1.473295494210dp-5, -0x1.5413b640cc9f2p-5, -0x1.6101333881ac9p-5, -0x1.6e022cb586b5ep-5, -0x1.7b1e682f280dap-5, -0x1.885e257c0922ap-5, -0x1.95c9f74282bfcp-5, -0x1.a36a9ea178f43p-5, -0x1.b148ea2d8be7ep-5, -0x1.bf6d9849cba82p-5, -0x1.cde13cd2657afp-5, -0x1.dcac2a028a4e3p-5, -0x1.ebd65c74b58aap-5, -0x1.fb676a14eaafp-5, -0x1.05b339eba4117p-4, -0x1.0ded0d00e340cp-4, -0x1.1664396b107ddp-4, -0x1.1f1b81b42205p-4, -0x1.28155d36f0e9ap-4, -0x1.3153f66a83723p-4, -0x1.3ad929f8a61ddp-4, -0x1.44a68688b5a8ap-4, -0x1.4ebd4d28c8044p-4, -0x1.591e7240bcf62p-4, -0x1.63ca9efc3a569p-4, -0x1.6ec23319fb1ccp-4, -0x1.7a05471065f77p-4, -0x1.8593ae78bb4bbp-4, -0x1.916cfab39721p-4, -0x1.9d907dbada097p-4, -0x1.a9fd4d164ad6cp-4, -0x1.b6b244e96c124p-4, -0x1.c3ae0b1231912p-4, -0x1.d0ef125135a0cp-4, -0x1.de739d74fd941p-4, -0x1.ec39c282dbdddp-4, -0x1.fa3f6dd8993b3p-4, -0x1.044132a178b02p-3, -0x1.0b802582baa71p-3, -0x1.12db50688b937p-3, -0x1.1a51655384ae1p-3, -0x1.21e108d313ea8p-3, -0x1.2988d360be8eap-3, -0x1.314752af6ec08p-3, -0x1.391b0aee6600ep-3, -0x1.410277ff9eea5p-3, -0x1.48fc0ea17943cp-3, -0x1.51063d8ba79a7p-3, -0x1.591f6e7f78c6cp-3, -0x1.6146074b9197p-3, -0x1.69786ac34c484p-3, -0x1.71b4f9a9fd21cp-3, -0x1.79fa1392539e4p-3, -0x1.824617b23e2acp-3, -0x1.8a9765ab7f1a9p-3, -0x1.92ec5e49725a9p-3, -0x1.9b4364343526fp-3, -0x1.a39adc99ae6c1p-3, -0x1.abf12fccb1e18p-3, -0x1.b444c9dab8229p-3, -0x1.bc941b186bfa7p-3, -0x1.c4dd98a577533p-3, -0x1.cd1fbce7da8bbp-3, -0x1.d55907ff2a8fep-3, -0x1.dd88003003fd8p-3, -0x1.e5ab324804409p-3, -0x1.edc131fa936cep-3, -0x1.f5c89a36cb5acp-3, -0x1.fdc00d76bc3d1p-3, -0x1.02d31b042e7d1p-2, -0x1.06bce3282f586p-2, -0x1.0a9cbc8394e4cp-2, -0x1.0e7208b81d8d9p-2, -0x1.123c2dc60af5ap-2, -0x1.15fa962289e5bp-2, -0x1.19acb0cb988e5p-2, -0x1.1d51f1598a57p-2, -0x1.20e9d00e40f9dp-2, -0x1.2473c9e231cb3p-2, -0x1.27ef608f4b682p-2, -0x1.2b5c1a99d5bep-2, -0x1.2eb983575bd0dp-2, -0x1.32072af3b9326p-2, -0x1.3544a67457eb8p-2, -0x1.38718fb9ba1cp-2, -0x1.3b8d857f56cbdp-2, -0x1.3e982b59e763bp-2, -0x1.419129b42d48dp-2, -0x1.44782dca4598p-2, -0x1.474ce9a399f4dp-2, -0x1.4a0f140b80042p-2, -0x1.4cbe688893e2ap-2, -0x1.4f5aa752de4dfp-2, -0x1.51e39548d8f8cp-2, -0x1.5458fbe35ab73p-2, -0x1.56baa92878b4fp-2, -0x1.59086f9d75c75p-2, -0x1.5b422637bc555p-2, -0x1.5d67a84d01303p-2, -0x1.5f78d582903bap-2, -0x1.617591bbd8e51p-2, -0x1.635dc5083ded2p-2, -0x1.65315b9040445p-2, -0x1.66f04582056acp-2, -0x1.689a76fd4e701p-2, -0x1.6a2fe7fee5ba4p-2, -0x1.6bb0944b91a86p-2, -0x1.6d1c7b5a97ef9p-2, -0x1.6e73a03fd7da9p-2, -0x1.6fb609958c23bp-2, -0x1.70e3c165ba8f8p-2, -0x1.71fcd5135e0acp-2, -0x1.7301554351734p-2, -0x1.73f155c508ae3p-2, -0x1.74cced7b1f85ap-2, -0x1.75943643c475bp-2, -0x1.76474ce10decdp-2, -0x1.76e650e13e653p-2, -0x1.77716486fc2d5p-2, -0x1.77e8acb18d96ep-2, -0x1.784c50c5198bp-2, -0x1.789c7a92f46fbp-2, -0x1.78d95642045bep-2, -0x1.790312373ece3p-2, -0x1.7919defe4922p-2, -0x1.791def323df64p-2, -0x1.790f7766a2f5p-2, -0x1.78eeae108efc1p-2, -0x1.78bbcb700891p-2, -0x1.787709799fb4bp-2, -0x1.7820a3c04b01bp-2, -0x1.77b8d75f8813fp-2, -0x1.773fe2e5c6b5dp-2, -0x1.76b6063f1e6p-2, -0x1.761b82a059ed8p-2, -0x1.75709a724fd64p-2, -0x1.74b5913d98174p-2, -0x1.73eaab96968c1p-2, -0x1.73102f09e5999p-2, -0x1.722662091c532p-2, -0x1.712d8bd7f6b41p-2, -0x1.7025f479e05c3p-2, -0x1.6f0fe49fe2b2ep-2, -0x1.6deba596f8a16p-2, -0x1.6cb98136cb6acp-2, -0x1.6b79c1d0d4ab7p-2, -0x1.6a2cb21fea56cp-2, -0x1.68d29d3835237p-2, -0x1.676bce778fa48p-2, -0x1.65f891765203bp-2, -0x1.647931f886d93p-2, -0x1.62edfbdf8bc3dp-2, -0x1.61573b1c1dc18p-2, -0x1.5fb53ba0ce34ap-2, -0x1.5e084954e64dp-2, -0x1.5c50b007aeb7dp-2, -0x1.5a8ebb6427758p-2, -0x1.58c2b6e523f6ap-2, -0x1.56ecedc9d136cp-2, -0x1.550dab0aa3a26p-2, -0x1.5325394eaa957p-2, -0x1.5133e2e14b347p-2, -0x1.4f39f1a85ab54p-2, -0x1.4d37af1aa3173p-2, -0x1.4b2d6436c517ep-2, -0x1.491b597a7ae9dp-2, -0x1.4701d6da3d6f8p-2, -0x1.44e123b944804p-2, -0x1.42b986e1e318ap-2, -0x1.408b467e42faap-2, -0x1.3e56a81176115p-2, -0x1.3c1bf070de077p-2, -0x1.39db63bdf18cbp-2, -0x1.379545604d3f6p-2, -0x1.3549d8001dde9p-2, -0x1.32f95d80d935bp-2, -0x1.30a416fc4783ep-2, -0x1.2e4a44bdd8895p-2, -0x1.2bec263e490fap-2, -0x1.2989fa1f8fb3p-2, -0x1.2723fe2910eap-2, -0x1.24ba6f441dd1fp-2, -0x1.224d8978b564ap-2, -0x1.1fdd87ea8a49cp-2, -0x1.1d6aa4d6486dfp-2, -0x1.1af5198f1bb14p-2, -0x1.187d1e7c765b3p-2, -0x1.1602eb1810bb5p-2, -0x1.1386b5ec23483p-2, -0x1.1108b491dfa33p-2, -0x1.0e891bb016077p-2, -0x1.0c081efa1bd02p-2, -0x1.0985f12edc37dp-2, -0x1.0702c41822b46p-2, -0x1.047ec88a0f1bcp-2, -0x1.01fa2e62be8f1p-2, -0x1.feea49143d3c5p-3, -0x1.f9dfb1e3d548dp-3, -0x1.f4d4f12bb0684p-3, -0x1.efca5ef7cba06p-3, -0x1.eac05169aec6p-3, -0x1.e5b71cb9a2fdcp-3, -0x1.e0af13383ccc6p-3, -0x1.dba88550265dap-3, -0x1.d6a3c1882ca4dp-3, -0x1.d1a114858bd22p-3, -0x1.cca0c90e7bfe4p-3, -0x1.c7a3280cf37dbp-3, -0x1.c2a87891a504dp-3, -0x1.bdb0ffd730cfcp-3, -0x1.b8bd01458a91dp-3, -0x1.b3ccbe758d216p-3, -0x1.aee07734bda45p-3, -0x1.a9f8698939d5bp-3, -0x1.a514d1b5d246dp-3, -0x1.a035ea3e452bap-3, -0x1.9b5bebeba5227p-3, -0x1.96870dd0dd025p-3, -0x1.91b7854f5b3eap-3, -0x1.8ced861bd3485p-3, -0x1.88294243221dfp-3, -0x1.836aea2f4c5e8p-3, -0x1.7eb2acac95ddep-3, -0x1.7a00b6eeaad15p-3, -0x1.75553495e7c51p-3, -0x1.70b04fb4ade26p-3, -0x1.6c1230d4cc525p-3, -0x1.677afefcf975p-3, -0x1.62eadfb65beefp-3, -0x1.5e61f71220066p-3, -0x1.59e067af178ecp-3, -0x1.556652bf68c8bp-3, -0x1.50f3d80e452c2p-3, -0x1.4c891605a113ep-3, -0x1.482629b3fd008p-3, -0x1.43cb2ed22dfaap-3, -0x1.3f783fc92898p-3, -0x1.3b2d75b7d5ae2p-3, -0x1.36eae878e1bd9p-3, -0x1.32b0aea891a47p-3, -0x1.2e7eddaa94ad2p-3, -0x1.2a5589afdb033p-3, -0x1.2634c5bc619a1p-3, -0x1.221ca3ad00b71p-3, -0x1.1e0d343d38b94p-3, -0x1.1a06870cf0ce9p-3, -0x1.1608aaa63cb1dp-3, -0x1.1213ac8313753p-3, -0x1.0e279912fe622p-3, -0x1.0a447bc0cb5d5p-3, -0x1.066a5ef8286cep-3, -0x1.02994c2b40fffp-3, -0x1.fda297b098866p-4, -0x1.f624cb1e2a98bp-4, -0x1.eeb93fece6e17p-4, -0x1.e76001a37aa97p-4, -0x1.e0191a0c54c75p-4, -0x1.d8e491405e011p-4, -0x1.d1c26db188f78p-4, -0x1.cab2b4355782fp-4, -0x1.c3b5680f379a8p-4, -0x1.bcca8afad227cp-4, -0x1.b5f21d362c1d4p-4, -0x1.af2c1d8bc408cp-4, -0x1.a878895c791b8p-4, -0x1.a1d75ca9609bap-4, -0x1.9b48921d80f1cp-4, -0x1.94cc231763051p-4, -0x1.8e6207b28ed59p-4, -0x1.880a36d0e0537p-4, -0x1.81c4a623bf8a4p-4, -0x1.7b914a353a2fbp-4, -0x1.75701670fb10dp-4, -0x1.6f60fd2d1f053p-4, -0x1.6963efb2ec264p-4, -0x1.6378de4765504p-4, -0x1.5d9fb833bdcc8p-4, -0x1.57d86bcda9f86p-4, -0x1.5222e67f8f07ap-4, -0x1.4c7f14d0923a4p-4, -0x1.46ece26c84b66p-4, -0x1.416c3a2bad9b9p-4, -0x1.3bfd061a732ffp-4, -0x1.369f2f80e10b1p-4, -0x1.31529eea110dap-4, -0x1.2c173c2b68b73p-4, -0x1.26ecee6bc1605p-4, -0x1.21d39c2a64795p-4, -0x1.1ccb2b45ec84ep-4, -0x1.17d38103030fcp-4, -0x1.12ec8212fc5b7p-4, -0x1.0e16129a5498bp-4, -0x1.0950163709121p-4, -0x1.049a7006d36eap-4, -0x1.ffea055a8c559p-5, -0x1.f6bf60b3829eep-5, -0x1.edb4b59aa1489p-5, -0x1.e4c9c6c0cba38p-5, -0x1.dbfe5610df5bfp-5, -0x1.d35224bab3396p-5, -0x1.cac4f33dce71dp-5, -0x1.c2568173e4e14p-5, -0x1.ba068e9b149fbp-5, -0x1.b1d4d95fee77p-5, -0x1.a9c11fe73bd8ep-5, -0x1.a1cb1fd789045p-5, -0x1.99f296627d8f3p-5, -0x1.9237404df5411p-5, -0x1.8a98d9fcde855p-5, -0x1.83171f77e633dp-5, -0x1.7bb1cc75e5c61p-5, -0x1.74689c64220d8p-5, -0x1.6d3b4a6e4d0a8p-5, -0x1.6629918656dc3p-5, -0x1.5f332c6c07185p-5, -0x1.5857d5b4615c7p-5, -0x1.519747d0de3e7p-5, -0x1.4af13d166a2eap-5, -0x1.44656fc431562p-5, -0x1.3df39a0a3fd3dp-5, -0x1.379b760ff495fp-5, -0x1.315cbdfa3809dp-5, -0x1.2b372bf190aa4p-5, -0x1.252a7a280597cp-5, -0x1.1f3662decd1e5p-5, -0x1.195aa06bdadc3p-5, -0x1.1396ed3f397c4p-5, -0x1.0deb03e83aebfp-5, -0x1.08569f1a81dccp-5, -0x1.02d979b2da045p-5, -0x1.fae69d77dffaep-6, -0x1.f047b2e5bc791p-6, -0x1.e5d5aa971e2e1p-6, -0x1.db8ffbe9fa088p-6, -0x1.d1761eba8d11dp-6, -0x1.c7878b6b551fcp-6, -0x1.bdc3baec9402p-6, -0x1.b42a26c3bd936p-6, -0x1.aaba4912747fap-6, -0x1.a1739c9d5a009p-6, -0x1.98559cd29d917p-6, -0x1.8f5fc5d036152p-6, -0x1.86919469eb225p-6, -0x1.7dea862f15d4ap-6, -0x1.756a19702d8bbp-6, -0x1.6d0fcd44111bbp-6, -0x1.64db218d10a98p-6, -0x1.5ccb96fdc860fp-6, -0x1.54e0af1db4186p-6, -0x1.4d19ec4da1e1dp-6, -0x1.4576d1cbcec25p-6, -0x1.3df6e3b7f285dp-6, -0x1.3699a716f2e92p-6, -0x1.2f5ea1d68477bp-6, -0x1.28455ad084577p-6, -0x1.214d59ce2f99p-6, -0x1.1a76278b1e041p-6, -0x1.13bf4db81bd05p-6, -0x1.0d2856fdd168cp-6, -0x1.06b0ceff3b55p-6, -0x1.0058425c032c4p-6, -0x1.f43c7d65396fbp-7, -0x1.e804a544a89e8p-7, -0x1.dc081b9a2c41fp-7, -0x1.d04601b257437p-7, -0x1.c4bd7ae5994d6p-7, -0x1.b96dac9af7712p-7, -0x1.ae55be4aa19ecp-7, -0x1.a374d980394c1p-7, -0x1.98ca29dcda2f4p-7, -0x1.8e54dd18dc9afp-7, -0x1.841423054639bp-7, -0x1.7a072d8d30ef9p-7, -0x1.702d30b6b5e1fp-7, -0x1.668562a3db505p-7, -0x1.5d0efb9318df7p-7, -0x1.53c935dfcb01p-7, -0x1.4ab34e026164bp-7, -0x1.41cc829049286p-7, -0x1.3914143bd4eaap-7, -0x1.308945d3c4e2ap-7, -0x1.282b5c42b3f1dp-7, -0x1.1ff99e8e6b60cp-7, -0x1.17f355d6e51f2p-7, -0x1.1017cd5544de2p-7, -0x1.0866525a933dep-7, -0x1.00de344e66f72p-7, -0x1.f2fd895a99b84p-8, -0x1.e48eae0e6119fp-8, -0x1.d66e81faf259ap-8, -0x1.c89bb48249157p-8, -0x1.bb14f92169623p-8, -0x1.add9076c07f7cp-8, -0x1.a0e69b07d7732p-8, -0x1.943c73a7cf1efp-8, -0x1.87d955071400ep-8, -0x1.7bbc06e3b1c54p-8, -0x1.6fe354f93814bp-8, -0x1.644e0efb03c12p-8, -0x1.58fb088e8eb3cp-8, -0x1.4de9194540e91p-8, -0x1.43171c9680c1fp-8, -0x1.3883f1d930668p-8, -0x1.2e2e7c3d5c238p-8, -0x1.2415a2c590acdp-8, -0x1.1a3850401adc1p-8, -0x1.1095734035237p-8, -0x1.072bfe16f2023p-8, -0x1.fbf5cd9868892p-9, -0x1.ea024e2f08b95p-9, -0x1.d87b78b13f487p-9, -0x1.c75f4f2024a2fp-9, -0x1.b6abdaafbddc3p-9, -0x1.a65f2bb745d7bp-9, -0x1.967759a2555f3p-9, -0x1.86f282e1273aep-9, -0x1.77ceccd8ec0c2p-9, -0x1.690a63d43b6edp-9, -0x1.5aa37af2fb2dep-9, -0x1.4c984c1a9277fp-9, -0x1.3ee717e5d2c45p-9, -0x1.318e25949edabp-9, -0x1.248bc2fbf06e4p-9, -0x1.17de44755f9fp-9, -0x1.0b8404cebbee6p-9, -0x1.fef6ca735c6bcp-10, -0x1.e7859a7697f62p-10, -0x1.d0b15536dbecep-10, -0x1.ba76e2a87a6bep-10, -0x1.a4d337035d97bp-10, -0x1.8fc352a1759eep-10, -0x1.7b4441ddfca76p-10, -0x1.67531cf3eb919p-10, -0x1.53ed07dcd0aefp-10, -0x1.410f322fdda4bp-10, -0x1.2eb6d7009479ep-10, -0x1.1ce13cbd3c5a9p-10, -0x1.0b8bb50f06b2ep-10, -0x1.f567396ef237bp-11, -0x1.d4acb6e19a047p-11, -0x1.b4e2c798f9773p-11, -0x1.96046624b173cp-11, -0x1.780ca240cc572p-11, -0x1.5af6a093b0138p-11, -0x1.3ebd9a6e19239p-11, -0x1.235cdd89a8b33p-11, -0x1.08cfcbc8ce3cp-11, -0x1.de23b5eeb3964p-12, -0x1.ac3d291452889p-12, -0x1.7be32abe1593ep-12, -0x1.4d0d1afe5ffdep-12, -0x1.1fb27fbdd366p-12, -0x1.e796088130ed7p-13, -0x1.929cf1505257ep-13, -0x1.4069a2f484684p-13, -0x1.e1d89c8e40c8ap-14, -0x1.482ad6011d261p-14, -0x1.6756db0aa2095p-15, -0x1.21e342982609cp-17, 0x1.98feb1196cfc7p-16, 0x1.d7cb7975e7df2p-15, 0x1.6cd231195b22fp-14, 0x1.e920eee043bf3p-14, 0x1.3076ad63a98ddp-13, 0x1.6a292d4a2563ep-13, 0x1.a1b52b6c96ff4p-13, 0x1.d7279e62946aap-13, 0x1.05469ff6a8516p-12, 0x1.1df946eba2467p-12, 0x1.35b1e569f7395p-12, 0x1.4c767fab5e574p-12, 0x1.624cfd36addedp-12, 0x1.773b294b11697p-12, 0x1.8b46b34aa37b2p-12, 0x1.9e752f2368bd9p-12, 0x1.b0cc15b85e25bp-12, 0x1.c250c5472e833p-12, 0x1.d30881d0f6567p-12, 0x1.e2f8757dcb61dp-12, 0x1.f225b100d7f17p-12, 0x1.004a95fefa3fbp-11, 0x1.0725e2b456459p-11, 0x1.0da721f403f54p-11, 0x1.13d0ab1ab80dep-11, 0x1.19a4c9be117fbp-11, 0x1.1f25bddbf7d0fp-11, 0x1.2455bc08c12f1p-11, 0x1.2936ed9d5438bp-11, 0x1.2dcb70e4fc17dp-11, 0x1.32155949e0ee9p-11, 0x1.3616af81f6b57p-11, 0x1.39d171bb0297p-11, 0x1.3d4793c6079f4p-11, 0x1.407aff41d35d2p-11, 0x1.436d93c5e496ap-11, 0x1.4621270c795d5p-11, 0x1.4897851b9eaebp-11, 0x1.4ad2706e9e6e7p-11, 0x1.4cd3a21da5633p-11, 0x1.4e9cca0711aa3p-11, 0x1.502f8ef51d26p-11, 0x1.518d8ec6883d5p-11, 0x1.52b85e9414199p-11, 0x1.53b18ad697d16p-11, 0x1.547a978cd8c75p-11, 0x1.5515006064cdbp-11, 0x1.558238c9ea22fp-11, 0x1.55c3ac358633p-11, 0x1.55dabe262d4f4p-11, 0x1.55c8ca58d7a13p-11, 0x1.558f24e74d0f5p-11, 0x1.552f1a69b9b6p-11, 0x1.54a9f0196cf69p-11, 0x1.5400e3f10d145p-11, 0x1.53352cce040bdp-11, 0x1.5247fa9078dd5p-11, 0x1.513a763bc7d81p-11, 0x1.500dc2150e6ddp-11, 0x1.4ec2f9c314f3dp-11, 0x1.4d5b326c52e71p-11, 0x1.4bd77ad54561cp-11, 0x1.4a38db7dfae6bp-11, 0x1.488056bf9f2d2p-11, 0x1.46aee8e92871ep-11, 0x1.44c5885bc98ffp-11, 0x1.42c525a71dd76p-11, 0x1.40aeaba4613eep-11, 0x1.3e82ff923999fp-11, 0x1.3c43012ee95b4p-11, 0x1.39ef8ad34cc79p-11, 0x1.3789718c52b85p-11, 0x1.351185350d97ep-11, 0x1.3288908f8ae9cp-11, 0x1.2fef595e05ccp-11, 0x1.2d46a07b111c6p-11, 0x1.2a8f21f1e8cbap-11, 0x1.27c99515f8c12p-11, 0x1.24f6ac9a6c4dp-11, 0x1.221716a8f27d5p-11, 0x1.1f2b7cf88d092p-11, 0x1.1c3484e3c0edcp-11, 0x1.1932cf7e95f58p-11, 0x1.1626f9abff5fdp-11, 0x1.13119c33615b3p-11, 0x1.0ff34bd4fb398p-11, 0x1.0ccc995f1805cp-11, 0x1.099e11c19e4afp-11, 0x1.06683e229874cp-11, 0x1.032ba3f1526bep-11, 0x1.ffd189f364d6ap-12, 0x1.f9403eeeba49dp-12, 0x1.f2a45c5050e88p-12, 0x1.ebfed0bcc9b95p-12, 0x1.e55084260fe7dp-12, 0x1.de9a57ee92536p-12, 0x1.d7dd270c254bap-12, 0x1.d119c62a3bde4p-12, 0x1.ca5103cbc21dap-12, 0x1.c383a86bd1c57p-12, 0x1.bcb2769ec572p-12, 0x1.b5de2b31de9a7p-12, 0x1.af077d4a9da0dp-12, 0x1.a82f1e85fp-12, 0x1.a155bb1677715p-12, 0x1.9a7bf9e212908p-12, 0x1.93a27c9fdf8d5p-12, 0x1.8cc9dff4338a1p-12, 0x1.85f2bb8d964a6p-12, 0x1.7f1da2404c223p-12, 0x1.784b22218b3a5p-12, 0x1.717bc4a24bf34p-12, 0x1.6ab00eaa11a05p-12, 0x1.63e880b039dbcp-12, 0x1.5d2596d5b2fccp-12, 0x1.5667c8fe035d1p-12, 0x1.4faf8ae790506p-12, 0x1.48fd4c43eb6a5p-12, 0x1.425178cf36079p-12, 0x1.3bac78679f692p-12, 0x1.350eaf23b839p-12, 0x1.2e787d6960151p-12, 0x1.27ea400334be3p-12, 0x1.2164503655f32p-12, 0x1.1ae703d7a1bbdp-12, 0x1.1472ad60059e7p-12, 0x1.0e079c015b713p-12, 0x1.07a61bba216fep-12, 0x1.014e756913b1cp-12, 0x1.f601ddc0c8b0bp-13, 0x1.e97b95f14e5cdp-13, 0x1.dd0a934656b8fp-13, 0x1.d0af4ff86c142p-13, 0x1.c46a40ba0318ap-13, 0x1.b83bd4d997472p-13, 0x1.ac2476649eb6cp-13, 0x1.a0248a48b9ac5p-13, 0x1.943c7074a5d88p-13, 0x1.886c83f8579c2p-13, 0x1.7cb51b252c858p-13, 0x1.711687ac74a8fp-13, 0x1.659116bded915p-13, 0x1.5a251125b2793p-13, 0x1.4ed2bb692d9dcp-13, 0x1.439a55e413797p-13, 0x1.387c1ce420f17p-13, 0x1.2d7848c4c6982p-13, 0x1.228f0e09f7436p-13, 0x1.17c09d7ab9627p-13, 0x1.0d0d243abded4p-13, 0x1.0274cbe41a758p-13, 0x1.efef753ea2216p-14, 0x1.db2c2678e2937p-14, 0x1.c69fea951a748p-14, 0x1.b24afa5de8305p-14, 0x1.9e2d8878755d9p-14, 0x1.8a47c1906158cp-14, 0x1.7699cc83ebd2ep-14, 0x1.6323ca8f0b08cp-14, 0x1.4fe5d77567df6p-14, 0x1.3ce009aa85cecp-14, 0x1.2a12727acd0eep-14, 0x1.177d1e328b413p-14, 0x1.0520144446148p-14, 0x1.e5f6aedcddb0dp-15, 0x1.c21dcbc08410ap-15, 0x1.9eb572bc252a1p-15, 0x1.7bbd8ec776cd2p-15, 0x1.593602905bb62p-15, 0x1.371ea8bc9e15p-15, 0x1.1577542bcbf2cp-15, 0x1.e87fa072e9bb8p-16, 0x1.a6efc1f455ea1p-16, 0x1.663e86f4c3614p-16, 0x1.266b5bf382ecp-16, 0x1.ceeb409ef0c23p-17, 0x1.52b94d6c8009dp-17, 0x1.b07ed659e53a2p-18, 0x1.7df03c6fca79ep-19, -0x1.7926855b6e3bfp-21, -0x1.19db6562b34b8p-18, -0x1.00979cabb47c8p-17, -0x1.7292075ce51a3p-17, -0x1.e2dee77e86eep-17, -0x1.28c02255fd16bp-16, -0x1.5f3c1c53cd7dfp-16, -0x1.94e47750ea5e1p-16, -0x1.c9ba51468505ep-16, -0x1.fdbed034b006cp-16, -0x1.187990e804193p-15, -0x1.31ac3d978c361p-15, -0x1.4a780c3bcee27p-15, -0x1.62dd9e4924fb8p-15, -0x1.7add986e3a7c9p-15, -0x1.9278a26e348d7p-15, -0x1.a9af66fdc72p-15, -0x1.c082939dcd347p-15, -0x1.d6f2d87950effp-15, -0x1.ed00e843eb40dp-15, -0x1.0156bc0c72d9ep-14, -0x1.0bfc9facff4e9p-14, -0x1.16727bc884801p-14, -0x1.20b8ae28bc251p-14, -0x1.2acf958cb97ecp-14, -0x1.34b7919b1fc9dp-14, -0x1.3e7102d3c40fdp-14, -0x1.47fc4a81a45cfp-14, -0x1.5159caae118ffp-14, -0x1.5a89e6134882ep-14, -0x1.638d000fbc19ep-14, -0x1.6c637c9a067fp-14, -0x1.750dc034bb058p-14, -0x1.7d8c2fe2b7698p-14, -0x1.85df311bfd126p-14, -0x1.8e0729c272311p-14, -0x1.960480174c345p-14, -0x1.9dd79ab0604c6p-14, -0x1.a580e06e3fda9p-14, -0x1.ad00b8728a8ffp-14, -0x1.b4578a160cd84p-14, -0x1.bb85bcdf63efep-14, -0x1.c28bb87a91ed3p-14, -0x1.c969e4af8fd27p-14, -0x1.d020a95a15791p-14, -0x1.d6b06e617c823p-14, -0x1.dd199bb0c74eap-14, -0x1.e35c992e68e9fp-14, -0x1.e979ceb5616e5p-14, -0x1.ef71a40dcc184p-14, -0x1.f54480e58a2dp-14, -0x1.faf2ccc9a59fcp-14, -0x1.003e778fee933p-13, -0x1.02f1a78ff8a06p-13, -0x1.059329e6cc646p-13, -0x1.082331f95146p-13, -0x1.0aa1f30c5734cp-13, -0x1.0d0fa042322b2p-13, -0x1.0f6c6c97bbabfp-13, -0x1.11b88ae1c3087p-13, -0x1.13f42dca73bedp-13, -0x1.161f87cf2c6f8p-13, -0x1.183acb3ded563p-13, -0x1.1a462a3313537p-13, -0x1.1c41d69737e39p-13, -0x1.1e2e021d3a84bp-13, -0x1.200ade401b45fp-13, -0x1.21d89c40e841fp-13, -0x1.23976d2512ad5p-13, -0x1.254781b493425p-13, -0x1.26e90a783f502p-13, -0x1.287c37b7f70e6p-13, -0x1.2a013979473c2p-13, -0x1.2b783f7dc5638p-13, -0x1.2ce1794182a1ep-13, -0x1.2e3d15f9e09e4p-13, -0x1.2f8b44942ea69p-13, -0x1.30cc33b4441a3p-13, -0x1.320011b3555f8p-13, -0x1.33270c9ee212bp-13, -0x1.34415237a24d4p-13, -0x1.354f0ff061037p-13, -0x1.365072ecfeea7p-13, -0x1.3745a8018a154p-13, -0x1.382edbb160613p-13, -0x1.390c3a2e6866bp-13, -0x1.39ddef581712bp-13, -0x1.3aa426bae971ep-13, -0x1.3b5f0b8f7a809p-13, -0x1.3c0ec8ba05f79p-13, -0x1.3cb388c9c62afp-13, -0x1.3d4d75f85a042p-13, -0x1.3ddcba292113ap-13, -0x1.3e617ee8f0ce7p-13, -0x1.3edbed6d8d727p-13, -0x1.3f4c2e95306dap-13, -0x1.3fb26ae62549ap-13, -0x1.400eca8ea5a46p-13, -0x1.406175644f60fp-13, -0x1.40aa92e3f14fep-13, -0x1.40ea4a3157d85p-13, -0x1.4120c21704e8cp-13, -0x1.414e210611578p-13, -0x1.41728d15fc3f4p-13, -0x1.418e2c049c954p-13, -0x1.41a12335fe091p-13, -0x1.41ab97b4417dap-13, -0x1.41adae2faf0d6p-13, -0x1.41a78afe976a1p-13, -0x1.4199521d65e08p-13, -0x1.4183272eaa412p-13, -0x1.41652d7b2d976p-13, -0x1.413f87f201798p-13, -0x1.411259287c6e8p-13, -0x1.40ddc35a8763fp-13, -0x1.40a1e86aba811p-13, -0x1.405ee9e279f96p-13, -0x1.4014e8f21846cp-13, -0x1.3fc40671256cdp-13, -0x1.3f6c62de994eap-13, -0x1.3f0e1e6123d87p-13, -0x1.3ea958c753bb2p-13, -0x1.3e3e3187ebfd4p-13, -0x1.3dccc7c22221cp-13, -0x1.3d553a3dfa079p-13, -0x1.3cd7a76c91924p-13, -0x1.3c542d68763c1p-13, -0x1.3bcae9f5eb573p-13, -0x1.3b3bfa836adb7p-13, -0x1.3aa77c29dff2p-13, -0x1.3a0d8bad178cfp-13, -0x1.396e457c3919p-13, -0x1.38c9c5b21059dp-13, -0x1.382028157fcdfp-13, -0x1.37718819e75dap-13, -0x1.36be00dfa2749p-13, -0x1.3605ad3482814p-13, -0x1.3548a79432effp-13, -0x1.34870a28a45a4p-13, -0x1.33c0eeca956fdp-13, -0x1.32f66f0213c3dp-13, -0x1.3227a406e9b09p-13, -0x1.3154a6c1290d2p-13, -0x1.307d8fc9a12c1p-13, -0x1.2fa2776a66ddbp-13, -0x1.2ec3759f48a15p-13, -0x1.2de0a2166c457p-13, -0x1.2cfa1430c967ap-13, -0x1.2c0fe302a78dcp-13, -0x1.2b2225543bc6ap-13, -0x1.2a30f1a225dd2p-13, -0x1.293c5e1df2f2dp-13, -0x1.284480aebdd43p-13, -0x1.27496ef1a977dp-13, -0x1.264b3e3a7850cp-13, -0x1.254a039418d1ap-13, -0x1.2445d3c13f728p-13, -0x1.233ec33ceeb31p-13, -0x1.2234e63b0003cp-13, -0x1.212850a8c24c1p-13, -0x1.2019162d8106bp-13, -0x1.1f074a2b1c7a1p-13, -0x1.1df2ffbea58b4p-13, -0x1.1cdc49c0eb282p-13, -0x1.1bc33ac7032fdp-13, -0x1.1aa7e522ec93fp-13, -0x1.198a5ae4205cdp-13, -0x1.186aadd825615p-13, -0x1.1748ef8b1e96ep-13, -0x1.162531486a7f3p-13, -0x1.14ff841b3993dp-13, -0x1.13d7f8cf1561ap-13, -0x1.12ae9ff082aa1p-13, -0x1.118389cd8de66p-13, -0x1.1056c67663804p-13, -0x1.0f2865bde8f13p-13, -0x1.0df8773a4a2c5p-13, -0x1.0cc70a459009cp-13, -0x1.0b942dfe34e55p-13, -0x1.0a5ff147b5a25p-13, -0x1.092a62cb247cep-13, -0x1.07f390f7c791p-13, -0x1.06bb8a03a3903p-13, -0x1.05825bec0bdf3p-13, -0x1.044814763399ep-13, -0x1.030cc12fc3188p-13, -0x1.01d06f6f6c8ddp-13, -0x1.00932c5575d6bp-13, -0x1.feaa09988d94bp-14, -0x1.fc2c0b11fbb16p-14, -0x1.f9ac76180b1efp-14, -0x1.f72b634321cd8p-14, -0x1.f4a8eac4738fdp-14, -0x1.f22524670aeacp-14, -0x1.efa02790eceacp-14, -0x1.ed1a0b442af57p-14, -0x1.ea92e61ff49b4p-14, -0x1.e80ace61b26afp-14, -0x1.e581d9e61ef7dp-14, -0x1.e2f81e2a5510fp-14, -0x1.e06db04cda5e7p-14, -0x1.dde2a50eaf657p-14, -0x1.db5710d46df67p-14, -0x1.d8cb07a741c61p-14, -0x1.d63e9d360173bp-14, -0x1.d3b1e4d62abdp-14, -0x1.d124f184f61cap-14, -0x1.ce97d5e854cb2p-14, -0x1.cc0aa44ff5f45p-14, -0x1.c97d6eb653216p-14, -0x1.c6f046c1a36abp-14, -0x1.c4633dc4f2b0fp-14, -0x1.c1d664c100fdep-14, -0x1.bf49cc654b548p-14, -0x1.bcbd85110617p-14, -0x1.ba319ed4206f5p-14, -0x1.b7a629702cb1fp-14, -0x1.b51b34595e5e7p-14, -0x1.b290ceb76980bp-14, -0x1.b007076699e9ap-14, -0x1.ad7decf8a259fp-14, -0x1.aaf58db5934e2p-14, -0x1.a86df79cc8c89p-14, -0x1.a5e73865d2b49p-14, -0x1.a3615d81619b7p-14, -0x1.a0dc741a3078ep-14, -0x1.9e588915d3887p-14, -0x1.9bd5a915b44b7p-14, -0x1.9953e077e75d8p-14, -0x1.96d33b580bd59p-14, -0x1.9453c5903432cp-14, -0x1.91d58ab9ad0fcp-14, -0x1.8f58962dd9fd7p-14, -0x1.8cdcf30718509p-14, -0x1.8a62ac219639p-14, -0x1.87e9cc1c1a896p-14, -0x1.85725d58e9234p-14, -0x1.82fc69fe788d1p-14, -0x1.8087fbf8473c4p-14, -0x1.7e151cf7bf1bp-14, -0x1.7ba3d674de81dp-14, -0x1.793431af299c2p-14, -0x1.76c637ae44401p-14, -0x1.7459f142d76f6p-14, -0x1.71ef6707426c5p-14, -0x1.6f86a16064aa9p-14, -0x1.6d1fa87e5e34p-14, -0x1.6aba845d4ccfap-14, -0x1.68573cc602abep-14, -0x1.65f5d94ebc229p-14, -0x1.6396615be3b8p-14, -0x1.6138dc20bb70ep-14, -0x1.5edd50a0274dbp-14, -0x1.5c83c5ad4eb36p-14, -0x1.5a2c41ec4874cp-14, -0x1.57d6cbd2dd8f4p-14, -0x1.558369a920d8dp-14, -0x1.5332218a28307p-14, -0x1.50e2f964b6302p-14, -0x1.4e95f6fbd122ap-14, -0x1.4c4b1fe786788p-14, -0x1.4a0279957cb2bp-14, -0x1.47bc09499f0fcp-14, -0x1.4577d41eb4de4p-14, -0x1.4335df0703f9fp-14, -0x1.40f62ecced577p-14, -0x1.3eb8c8138bb94p-14, -0x1.3c7daf575d339p-14, -0x1.3a44e8eeb958fp-14, -0x1.380e790a8eebap-14, -0x1.35da63b6d7b24p-14, -0x1.33a8acdb3eec3p-14, -0x1.3179583bbcc84p-14, -0x1.2f4c697906cd8p-14, -0x1.2d21e41135f33p-14, -0x1.2af9cb6056621p-14, -0x1.28d422a0e24fdp-14, -0x1.26b0ecec6367dp-14, -0x1.24902d3bdf9ap-14, -0x1.2271e6687ed6p-14, -0x1.20561b2bf4cap-14, -0x1.1e3cce2110d21p-14, -0x1.1c2601c43f4ffp-14, -0x1.1a11b8740aa6bp-14, -0x1.17fff4719c64dp-14, -0x1.15f0b7e13a48fp-14, -0x1.13e404cabddfap-14, -0x1.11d9dd1a1550fp-14, -0x1.0fd2429fb53a4p-14, -0x1.0dcd371121c51p-14, -0x1.0bcabc094a2a9p-14, -0x1.09cad30917604p-14, -0x1.07cd7d77cf2bcp-14, -0x1.05d2bca38f896p-14, -0x1.03da91c1b923p-14, -0x1.01e4fdef5b66p-14, -0x1.ffe404636c135p-15, -0x1.fc033eed16c44p-15, -0x1.f827ad294c16fp-15, -0x1.f45150985cf63p-15, -0x1.f0802a8e29d8cp-15, -0x1.ecb43c331878cp-15, -0x1.e8ed8684a4a9ep-15, -0x1.e52c0a5665325p-15, -0x1.e16fc852b2f75p-15, -0x1.ddb8c0fb6f821p-15, -0x1.da06f4aabfa09p-15, -0x1.d65a6393e2d98p-15, -0x1.d2b30dc3cc8b9p-15, -0x1.cf10f32210ff4p-15, -0x1.cb74137175282p-15, -0x1.c7dc6e50a831p-15, -0x1.c44a033b00ff4p-15, -0x1.c0bcd1893cca3p-15, -0x1.bd34d8720edc4p-15, -0x1.b9b2170ad90aep-15, -0x1.b6348c4861a86p-15, -0x1.b2bc36ff6e145p-15, -0x1.af4915e5728d8p-15, -0x1.abdb279131cd8p-15, -0x1.a8726a7b556fap-15, -0x1.a50edcff12f3cp-15, -0x1.a1b07d5abc385p-15, -0x1.9e5749b0784dep-15, -0x1.9b034006d5061p-15, -0x1.97b45e49358eap-15, -0x1.946aa248a818bp-15, -0x1.912609bc2efbcp-15, -0x1.8de69241856d9p-15, -0x1.8aac395da2a7p-15, -0x1.8776fc7d4ce3ap-15, -0x1.8446d8f5851b7p-15, -0x1.811bcc042e8b7p-15, -0x1.7df5d2d070b59p-15, -0x1.7ad4ea6b71a53p-15, -0x1.77b90fd0b33fbp-15, -0x1.74a23fe69ce6p-15, -0x1.7190777ef144ap-15, -0x1.6e83b35763209p-15, -0x1.6b7bf019fe2f1p-15, -0x1.68792a5d92172p-15, -0x1.657b5ea6445c2p-15, -0x1.6282896601231p-15, -0x1.5f8ea6fce351fp-15, -0x1.5c9fb3b9c8a4p-15, -0x1.59b5abda8f45ap-15, -0x1.56d08b8c9220ep-15, -0x1.53f04eed43ca2p-15, -0x1.5114f20a72982p-15, -0x1.4e3e70e2a312ep-15, -0x1.4b6cc765a8b65p-15, -0x1.489ff174db456p-15, -0x1.45d7eae3925dep-15, -0x1.4314af77ab234p-15, -0x1.40563ae9b3d6fp-15, -0x1.3d9c88e55a17ep-15, -0x1.3ae79509d80d2p-15, -0x1.38375aea588f1p-15, -0x1.358bd60e41bbdp-15, -0x1.32e501f18ead3p-15, -0x1.3042da0545a58p-15, -0x1.2da559af88462p-15, -0x1.2b0c7c4c5a707p-15, -0x1.28783d2d91b31p-15, -0x1.25e8979b639a3p-15, -0x1.235d86d49c17p-15, -0x1.20d7060ef7eep-15, -0x1.1e5510777e6dbp-15, -0x1.1bd7a132bfc28p-15, -0x1.195eb35d1e76fp-15, -0x1.16ea420b4aab2p-15, -0x1.147a484a42151p-15, -0x1.120ec11fc62d2p-15, -0x1.0fa7a78abb4bep-15, -0x1.0d44f6832b8bfp-15, -0x1.0ae6a8fad00eep-15, -0x1.088cb9dd3504dp-15, -0x1.0637240ffa864p-15, -0x1.03e5e27321522p-15, -0x1.0198efe161fe1p-15, -0x1.fea08e6053714p-16, -0x1.fa17c6603fe75p-16, -0x1.f5977d5aa904ep-16, -0x1.f11fa8de9e2f5p-16, -0x1.ecb03e731f115p-16, -0x1.e84933972a041p-16, -0x1.e3ea7dc23d0b2p-16, -0x1.df9412653029ep-16, -0x1.db45e6e9fc76cp-16, -0x1.d6fff0b4c31dcp-16, -0x1.d2c22523a5064p-16, -0x1.ce8c798fea42bp-16, -0x1.ca5ee34d9ea03p-16, -0x1.c63957ac830aep-16, -0x1.c21bcbf847ebfp-16, -0x1.be063578e9657p-16, -0x1.b9f88972db46cp-16, -0x1.b5f2bd28215aap-16, -0x1.b1f4c5d77f279p-16, -0x1.adfe98be17b64p-16, -0x1.aa102b16ed4ddp-16, -0x1.a629721b68336p-16, -0x1.a24a6303cfb8cp-16, -0x1.9e72f307bcce7p-16, -0x1.9aa3175db6937p-16, -0x1.96dac53cc3b19p-16, -0x1.9319f1db4f2d7p-16, -0x1.8f6092709b7fbp-16, -0x1.8bae9c348102p-16, -0x1.8804045fa794cp-16, -0x1.8460c02c37297p-16, -0x1.80c4c4d5c5069p-16, -0x1.7d3007999eb85p-16, -0x1.79a27db7621afp-16, -0x1.761c1c70f3fdp-16, -0x1.729cd90aa7086p-16, -0x1.6f24a8cbefe74p-16, -0x1.6bb380ff54b15p-16, -0x1.684956f27b551p-16, -0x1.64e61ff6e1573p-16, -0x1.6189d161d6c6fp-16, -0x1.5e34608c76517p-16, -0x1.5ae5c2d49987dp-16, -0x1.579ded9c2854bp-16, }}, 
      {{-0x1.8ea6d59107beep-1, -0x1.8e794a9b1b051p-1, -0x1.8e27248a54939p-1, -0x1.8dacb07f26c9dp-1, -0x1.8d08ebfd4c556p-1, -0x1.8c3d690ff0299p-1, -0x1.8b4db5ce76467p-1, -0x1.8a3ea5459c602p-1, -0x1.8915a682f312p-1, -0x1.87d83c49b08e4p-1, -0x1.868b99d90074p-1, -0x1.85346208bc95bp-1, -0x1.83d682f6a1b36p-1, -0x1.827527bfba93p-1, -0x1.8112ba2fbc92dp-1, -0x1.7fb0ef3de24fdp-1, -0x1.7e50da3c1b7dp-1, -0x1.7cf30399f2c2cp-1, -0x1.7b9780f470199p-1, -0x1.7a3e0cdaae802p-1, -0x1.78e61d36b5474p-1, -0x1.778ef7b0e9d5ep-1, -0x1.7637c3b07182fp-1, -0x1.74df99d1c856dp-1, -0x1.738590d389691p-1, -0x1.7228c813caedcp-1, -0x1.70c86fc9a4746p-1, -0x1.6f63cf30c1d07p-1, -0x1.6dfa48e23344p-1, -0x1.6c8b5d974842ep-1, -0x1.6b16ad9252077p-1, -0x1.699bf8e664e43p-1, -0x1.681b1ed348e6cp-1, -0x1.66941c661d6f4p-1, -0x1.65070a8a374a4p-1, -0x1.63741bb09c835p-1, -0x1.61db992f70d57p-1, -0x1.603de075d4654p-1, -0x1.5e9b602c25acfp-1, -0x1.5cf495546972bp-1, -0x1.5b4a087acd799p-1, -0x1.599c4b02d9bcap-1, -0x1.57ebf49adf0e5p-1, -0x1.5639a0dc9b9dbp-1, -0x1.5485ed1fcd86fp-1, -0x1.52d17681898cdp-1, -0x1.511cd821942dap-1, -0x1.4f68a995afe2cp-1, -0x1.4db57d91cd70dp-1, -0x1.4c03e0c333e7bp-1, -0x1.4a5458dc1ca99p-1, -0x1.48a763ccc7fa4p-1, -0x1.46fd7726c63c7p-1, -0x1.4556ffa700519p-1, -0x1.43b460e2ee834p-1, -0x1.4215f5157c1b3p-1, -0x1.407c0d081479ep-1, -0x1.3ee6f01483cb5p-1, -0x1.3d56dc3c72f03p-1, -0x1.3bcc06537c111p-1, -0x1.3a469a39030f5p-1, -0x1.38c6bb1f3b0bdp-1, -0x1.374c83dcf3b2fp-1, -0x1.35d80748065bp-1, -0x1.346950966f1d9p-1, -0x1.330063c4557fdp-1, -0x1.319d3dfd7a996p-1, -0x1.303fd608b3b3p-1, -0x1.2ee81cb443a74p-1, -0x1.2d95fd42122ebp-1, -0x1.2c495dd2e2c2ep-1, -0x1.2b021fcfd576ap-1, -0x1.29c0205194871p-1, -0x1.28833884b3495p-1, -0x1.274b3e0adc985p-1, -0x1.2618035881289p-1, -0x1.24e9580ecc959p-1, -0x1.23bf0951baac1p-1, -0x1.2298e21a30cdp-1, -0x1.2176ab8410d93p-1, -0x1.20582d1841417p-1, -0x1.1f3d2d12b224ep-1, -0x1.1e2570a46e716p-1, -0x1.1d10bc31cbb7ep-1, -0x1.1bfed38cd0e4bp-1, -0x1.1aef7a2bf3f65p-1, -0x1.19e2735d49c03p-1, -0x1.18d782764d8b4p-1, -0x1.17ce6b005f5d7p-1, -0x1.16c6f0e21fd5bp-1, -0x1.15c0d885c97d2p-1, -0x1.14bbe6fcb0aecp-1, -0x1.13b7e22006e2dp-1, -0x1.12b490af092b7p-1, -0x1.11b1ba6ab722cp-1, -0x1.10af282f35e91p-1, -0x1.0faca40afce36p-1, -0x1.0ea9f953e9b22p-1, -0x1.0da6f4ba5866ap-1, -0x1.0ca3645a5c8dcp-1, -0x1.0b9f17cb310d3p-1, -0x1.0a99e02cfe0d7p-1, -0x1.0993903503ac5p-1, -0x1.088bfc384797bp-1, -0x1.0782fa34d52e8p-1, -0x1.067861d9a4d32p-1, -0x1.056c0c8d4033ep-1, -0x1.045dd5732fdb9p-1, -0x1.034d997046ec8p-1, -0x1.023b372ddc6b9p-1, -0x1.01268f1bfce1cp-1, -0x1.000f8372a8ffbp-1, -0x1.fdebf06451ea7p-2, -0x1.fbb3a64509168p-2, -0x1.f975f7a4574ddp-2, -0x1.f732b727b1c69p-2, -0x1.f4e9baf779fafp-2, -0x1.f29adcb7f3571p-2, -0x1.f045f980f3e3bp-2, -0x1.edeaf1d45a79fp-2, -0x1.eb89a99367f9fp-2, -0x1.e92207f304beap-2, -0x1.e6b3f76f07ddp-2, -0x1.e43f65bc91c5cp-2, -0x1.e1c443bb85b8ep-2, -0x1.df4285673aac8p-2, -0x1.dcba21c6687c9p-2, -0x1.da2b12da68433p-2, -0x1.d795558dd2d7ep-2, -0x1.d4f8e9a28c693p-2, -0x1.d255d19f47c04p-2, -0x1.cfac12bc9334cp-2, -0x1.ccfbb4d178ffep-2, -0x1.ca44c23fbf3ddp-2, -0x1.c78747dfd45eep-2, -0x1.c4c354ec72269p-2, -0x1.c1f8faee062bfp-2, -0x1.bf284da5e592ep-2, -0x1.bc5162f959a1ap-2, -0x1.b97452dc8e6d6p-2, -0x1.b691373d6dbccp-2, -0x1.b3a82bee6f5c3p-2, -0x1.b0b94e91665ddp-2, -0x1.adc4be8256444p-2, -0x1.aaca9cc256b0fp-2, -0x1.a7cb0be28e617p-2, -0x1.a4c62fef4c152p-2, -0x1.a1bc2e5b46973p-2, -0x1.9ead2deb05afap-2, -0x1.9b9956a0820dfp-2, -0x1.9880d1a6fc2dcp-2, -0x1.9563c93f113e2p-2, -0x1.924268ab17b9cp-2, -0x1.8f1cdc1bbf48cp-2, -0x1.8bf3509d0584dp-2, -0x1.88c5f4037824ep-2, -0x1.8594f4d9d0e14p-2, -0x1.8260824ee8dd5p-2, -0x1.7f28cc240db3fp-2, -0x1.7bee029bb3c12p-2, -0x1.78b056688ee53p-2, -0x1.756ff89d10dfdp-2, -0x1.722d1a9b521acp-2, -0x1.6ee7ee05623e9p-2, -0x1.6ba0a4ae087e6p-2, -0x1.68577089f0f51p-2, -0x1.650c83a14a9a5p-2, -0x1.61c01001d2b98p-2, -0x1.5e7247b157291p-2, -0x1.5b235ca0a522cp-2, -0x1.57d3809eedfa5p-2, -0x1.5482e54d9dbcfp-2, -0x1.5131bc14a1f73p-2, -0x1.4de0361728fcap-2, -0x1.4a8e8428cabcep-2, -0x1.473cd6c32b6c3p-2, -0x1.43eb5dfc082a5p-2, -0x1.409a497bb8a62p-2, -0x1.3d49c8741dd3dp-2, -0x1.39fa0997fbf29p-2, -0x1.36ab3b12c7cd6p-2, -0x1.335d8a80d6f07p-2, -0x1.301124e800049p-2, -0x1.2cc636b0a1342p-2, -0x1.297ceb9f0d79ap-2, -0x1.26356ecd5d53bp-2, -0x1.22efeaa5a4305p-2, -0x1.1fac88dc8699ep-2, -0x1.1c6b726c2f633p-2, -0x1.192ccf8fa1301p-2, -0x1.15f0c7be65ab4p-2, -0x1.12b781a8919e1p-2, -0x1.0f81233323a1fp-2, -0x1.0c4dd174b50fdp-2, -0x1.091db0b27e806p-2, -0x1.05f0e45dac56cp-2, -0x1.02c78f1101246p-2, -0x1.ff43a51d86828p-3, -0x1.f8ff9f7de88f9p-3, -0x1.f2c34d5b9ebe5p-3, -0x1.ec8eed1519254p-3, -0x1.e662bb4ccd23ap-3, -0x1.e03ef2e7c06d2p-3, -0x1.da23cd0c92bf5p-3, -0x1.d4118122fc945p-3, -0x1.ce0844d3bf4dbp-3, -0x1.c8084c090b3d1p-3, -0x1.c211c8ef44ac8p-3, -0x1.bc24ebf637bbdp-3, -0x1.b641e3d2adep-3, -0x1.b068dd8056f3bp-3, -0x1.aa9a0444185p-3, -0x1.a4d581aea78bp-3, -0x1.9f1b7d9f7b69bp-3, -0x1.996c1e4804119p-3, -0x1.93c7882f35e98p-3, -0x1.8e2dde354e87ep-3, -0x1.889f4197e708ep-3, -0x1.831bd1f636c6p-3, -0x1.7da3ad559e2d7p-3, -0x1.7836f0265e76cp-3, -0x1.72d5b54888c0fp-3, -0x1.6d80161120358p-3, -0x1.68362a4f5f5a8p-3, -0x1.62f8085234cefp-3, -0x1.5dc5c4edda6abp-3, -0x1.589f738198594p-3, -0x1.538525fda297fp-3, -0x1.4e76ece91d283p-3, -0x1.4974d7682d732p-3, -0x1.447ef34235e68p-3, -0x1.3f954ce81a5c7p-3, -0x1.3ab7ef7a9a81ap-3, -0x1.35e6e4d0c5bd2p-3, -0x1.3122357e729d3p-3, -0x1.2c69e8dac7db8p-3, -0x1.27be0506d6f93p-3, -0x1.231e8ef43193bp-3, -0x1.1e8b8a6b8e8e9p-3, -0x1.1a04fa1376476p-3, -0x1.158adf76e7bfap-3, -0x1.111d3b0c0855p-3, -0x1.0cbc0c3acf13bp-3, -0x1.08675163ad653p-3, -0x1.041f07e6351b9p-3, -0x1.ffc6584f70a9p-4, -0x1.f7677333d2b8dp-4, -0x1.ef215582c9274p-4, -0x1.e6f3f278864p-4, -0x1.dedf3b912837ap-4, -0x1.d6e32095a9c7ap-4, -0x1.ceff8fa8af9adp-4, -0x1.c73475533b56ap-4, -0x1.bf81bc914d0ccp-4, -0x1.b7e74ede51a85p-4, -0x1.b0651441850a8p-4, -0x1.a8faf35a2bb0ep-4, -0x1.a1a8d16ba5a7ep-4, -0x1.9a6e926960108p-4, -0x1.934c1902a20e7p-4, -0x1.8c4146ae332fp-4, -0x1.854dfbb5d7c55p-4, -0x1.7e721741a366fp-4, -0x1.77ad776325f07p-4, -0x1.70fff9206af98p-4, -0x1.6a69787ecda8p-4, -0x1.63e9d08da0e26p-4, -0x1.5d80db70ad491p-4, -0x1.572e726a7dc0fp-4, -0x1.50f26de681c58p-4, -0x1.4acca583000d7p-4, -0x1.44bcf01adb72dp-4, -0x1.3ec323cf29c3p-4, -0x1.38df161098f33p-4, -0x1.33109ba8a9c16p-4, -0x1.2d5788c2b5e98p-4, -0x1.27b3b0f4cc4e4p-4, -0x1.2224e7485a77fp-4, -0x1.1caafe42a882cp-4, -0x1.1745c7ed23f86p-4, -0x1.11f515dd7eae2p-4, -0x1.0cb8b93d9bad4p-4, -0x1.079082d351013p-4, -0x1.027c4307f4ec2p-4, -0x1.faf793df8b9fbp-5, -0x1.f11dcea2344adp-5, -0x1.e76ad556d651dp-5, -0x1.ddde467c5c866p-5, -0x1.d477c01f03e33p-5, -0x1.cb36dfe55ba2ep-5, -0x1.c21b431cf0e5ap-5, -0x1.b92486c69f365p-5, -0x1.b05247a28c9e5p-5, -0x1.a7a4223bced16p-5, -0x1.9f19b2f3beb8fp-5, -0x1.96b2960cf2475p-5, -0x1.8e6e67b5ed753p-5, -0x1.864cc4137a962p-5, -0x1.7e4d474ab2199p-5, -0x1.766f8d8ab9d16p-5, -0x1.6eb333162e5f2p-5, -0x1.6717d44c46f6cp-5, -0x1.5f9d0db1a9f6dp-5, -0x1.58427bf8f1fd4p-5, -0x1.5107bc0af8936p-5, -0x1.49ec6b0ec4ab7p-5, -0x1.42f02671450b7p-5, -0x1.3c128becbb8ddp-5, -0x1.3553398fe1a97p-5, -0x1.2eb1cdc4d1dddp-5, -0x1.282de757aac0ap-5, -0x1.21c7257cf14e3p-5, -0x1.1b7d27d7b4991p-5, -0x1.154f8e7f73e7p-5, -0x1.0f3dfa05c8fdcp-5, -0x1.09480b7bd20c8p-5, -0x1.036d64776674dp-5, -0x1.fb5b4e3022563p-6, -0x1.f010ec17a4302p-6, -0x1.e4fae92750786p-6, -0x1.da188d0fd3badp-6, -0x1.cf6920b8c1c8fp-6, -0x1.c4ebee488274ep-6, -0x1.baa0412bb94d8p-6, -0x1.b085661c6be8ap-6, -0x1.a69aab28ae70cp-6, -0x1.9cdf5fb909203p-6, -0x1.9352d49674e28p-6, -0x1.89f45bf0021cbp-6, -0x1.80c34960320d5p-6, -0x1.77bef1f1f12d4p-6, -0x1.6ee6ac2543747p-6, -0x1.6639cff3adc51p-6, -0x1.5db7b6d43460ap-6, -0x1.555fbbbf31412p-6, -0x1.4d313b31cabe6p-6, -0x1.452b9331226cbp-6, -0x1.3d4e234d52059p-6, -0x1.35984ca40e3d8p-6, -0x1.2e0971e317a43p-6, -0x1.26a0f74a6525bp-6, -0x1.1f5e42ae16407p-6, -0x1.1840bb7825324p-6, -0x1.1147caa9de08dp-6, -0x1.0a72dadd23bc7p-6, -0x1.03c158458083ap-6, -0x1.fa656161e0f92p-7, -0x1.ed8ca7112ba43p-7, -0x1.e0f763a23ef13p-7, -0x1.d4a47c5626224p-7, -0x1.c892d9a5cb152p-7, -0x1.bcc16741bdf78p-7, -0x1.b12f1411bda68p-7, -0x1.a5dad233d680cp-7, -0x1.9ac396fb4d259p-7, -0x1.8fe85aef2980bp-7, -0x1.854819c87305ap-7, -0x1.7ae1d27034a02p-7, -0x1.70b486fd3d16p-7, -0x1.66bf3cb18c608p-7, -0x1.5d00fbf78e5b4p-7, -0x1.5378d05f1e8fcp-7, -0x1.4a25c89a3a607p-7, -0x1.4106f67999963p-7, -0x1.381b6ee8faa6bp-7, -0x1.2f6249eb43113p-7, -0x1.26daa296767f6p-7, -0x1.1e83970f6a583p-7, -0x1.165c488564366p-7, -0x1.0e63db2d83e01p-7, -0x1.0699763dffed7p-7, -0x1.fdf887d28108dp-8, -0x1.ef16e2b1a50f9p-8, -0x1.e08c5d508f46p-8, -0x1.d2575dbfa036bp-8, -0x1.c4764fddd332bp-8, -0x1.b6e7a54d6e39p-8, -0x1.a9a9d568db3e8p-8, -0x1.9cbb5d37256aep-8, -0x1.901abf602b2e6p-8, -0x1.83c68420d25p-8, -0x1.77bd393ee7d2p-8, -0x1.6bfd71fcfd06ap-8, -0x1.6085c70e027e7p-8, -0x1.5554d688c6417p-8, -0x1.4a6943db5e53ep-8, -0x1.3fc1b7be5866fp-8, -0x1.355ce028024ebp-8, -0x1.2b39703f56b52p-8, -0x1.2156204f17f6dp-8, -0x1.17b1adb8917dp-8, -0x1.0e4adae687415p-8, -0x1.05206f3fe7f4fp-8, -0x1.f8626e352c787p-9, -0x1.e6f8075be25b4p-9, -0x1.d5ff560b2405ep-9, -0x1.c5760fe7a92fep-9, -0x1.b559f408cf05p-9, -0x1.a5a8caddcffa7p-9, -0x1.966066129b603p-9, -0x1.877ea07539af3p-9, -0x1.79015dda79524p-9, -0x1.6ae68b034a824p-9, -0x1.5d2c1d81dc15ep-9, -0x1.4fd0139e8e189p-9, -0x1.42d0743d3f042p-9, -0x1.362b4ec27fa4cp-9, -0x1.29debaf8eef5dp-9, -0x1.1de8d8f69f002p-9, -0x1.1247d1025b51fp-9, -0x1.06f9d3797722fp-9, -0x1.f7fa316a8ced7p-10, -0x1.e29fc1e1eba53p-10, -0x1.cde0e85ebd257p-10, -0x1.b9ba444223b52p-10, -0x1.a6288414f9b45p-10, -0x1.9328655413664p-10, -0x1.80b6b43d65498p-10, -0x1.6ed04b9ce0216p-10, -0x1.5d721499d9bbap-10, -0x1.4c9906850033p-10, -0x1.3c4226a61ba75p-10, -0x1.2c6a880aa0403p-10, -0x1.1d0f4b544931ep-10, -0x1.0e2d9e8842bf1p-10, -0x1.ff8579bd119e4p-11, -0x1.e397dd23a7a96p-11, -0x1.c88d115f3717fp-11, -0x1.ae5fd9d18162ep-11, -0x1.950b12c502836p-11, -0x1.7c89b10fb9b96p-11, -0x1.64d6c1b66e656p-11, -0x1.4ded69912f3c8p-11, -0x1.37c8e4f072fp-11, -0x1.22648742c6ec6p-11, -0x1.0dbbbabc0982p-11, -0x1.f393fff94f523p-12, -0x1.cd15db7521f07p-12, -0x1.a7f460d3d91c5p-12, -0x1.842713cffc767p-12, -0x1.61a5a24b3459bp-12, -0x1.4067e3a742e1ap-12, -0x1.2065d81f0918fp-12, -0x1.0197a8220babbp-12, -0x1.c7eb4763a7414p-13, -0x1.8ef08380c64a2p-13, -0x1.58303f22733d3p-13, -0x1.239c0038287c7p-13, -0x1.e24b2dc2e68f1p-14, -0x1.817e38736b487p-14, -0x1.24b5e253a15aep-14, -0x1.97aef4df0de5ap-15, -0x1.db236b083969dp-16, -0x1.2b832f27df497p-17, 0x1.4257d996f2793p-17, 0x1.ca076dc3aa557p-16, 0x1.729897b5da42p-15, 0x1.f983bb799aabcp-15, 0x1.3cf9a4d24a46ap-14, 0x1.7a0a396ab7f02p-14, 0x1.b409ba7f2d39dp-14, 0x1.eb0dcfc8ef35bp-14, 0x1.0f95d5e6e1a7ap-13, 0x1.283c06f30734dp-13, 0x1.3f83a21d1bd6ep-13, 0x1.557696deb6847p-13, 0x1.6a1e9e0ea932fp-13, 0x1.7d853ad66a0d8p-13, 0x1.8fb3bba4fc42dp-13, 0x1.a0b33b1c99d91p-13, 0x1.b08ca0ff27a9cp-13, 0x1.bf48a31640c28p-13, 0x1.ccefc617bdf4dp-13, 0x1.d98a5e877def2p-13, 0x1.e5209197bc0aap-13, 0x1.efba560067f49p-13, 0x1.f95f74dca2p-13, 0x1.010bc53dcefecp-12, 0x1.04f5039a615dcp-12, 0x1.086f181b77b81p-12, 0x1.0b7d90298b637p-12, 0x1.0e23e46319338p-12, 0x1.106578ff27e27p-12, 0x1.12459e2f61f07p-12, 0x1.13c7907ffa4fbp-12, 0x1.14ee7935ac067p-12, 0x1.15bd6eab76b6bp-12, 0x1.163774aea1584p-12, 0x1.165f7cd800304p-12, 0x1.163866e603317p-12, 0x1.15c501136a6d5p-12, 0x1.1508086e2ec2fp-12, 0x1.1404292b91deep-12, 0x1.12bbfefc8273p-12, 0x1.1132155eeb66ap-12, 0x1.0f68e7ef2a347p-12, 0x1.0d62e2b77cab7p-12, 0x1.0b22627e29131p-12, 0x1.08a9b512a935ap-12, 0x1.05fb1999a56cp-12, 0x1.0318c0d7618b7p-12, 0x1.0004cd78bdef6p-12, 0x1.f982a8b804effp-13, 0x1.f2a0b9ae13312p-13, 0x1.eb67c1fc29795p-13, 0x1.e3db9bcef8a8cp-13, 0x1.dc0007dec610dp-13, 0x1.d3d8adf526eadp-13, 0x1.cb691d6e0fa67p-13, 0x1.c2b4cdb8f709cp-13, 0x1.b9bf1ed63af2ap-13, 0x1.b08b59d3f1614p-13, 0x1.a71cb1470e0e7p-13, 0x1.9d7641c382cd2p-13, 0x1.939b125128a95p-13, 0x1.898e14e0a4864p-13, 0x1.7f5226bbfb74ap-13, 0x1.74ea10f5dd5e5p-13, 0x1.6a5888d9308c6p-13, 0x1.5fa030527d065p-13, 0x1.54c3965b79c68p-13, 0x1.49c537623df17p-13, 0x1.3ea77daf7c273p-13, 0x1.336cc1cb3f065p-13, 0x1.28174adec4e52p-13, 0x1.1ca94f15788fdp-13, 0x1.1124f3fc3f151p-13, 0x1.058c4ede2ea52p-13, 0x1.f3c2ca412297fp-14, 0x1.dc4c593a00c2p-14, 0x1.c4b917f29a082p-14, 0x1.ad0cb5fbbfc69p-14, 0x1.954ac5d6a3b5dp-14, 0x1.7d76bd9b3a0fap-14, 0x1.6593f79c70802p-14, 0x1.4da5b3090f624p-14, 0x1.35af14887848bp-14, 0x1.1db326d8170b6p-14, 0x1.05b4db5f617bfp-14, 0x1.db6e1591f44c2p-15, 0x1.ab78eb245419cp-15, 0x1.7b8f893670ae7p-15, 0x1.4bb713693c5e4p-15, 0x1.1bf48051e4dffp-15, 0x1.d899350f9c204p-16, 0x1.7988035c396eep-16, 0x1.1abe56f2f49a5p-16, 0x1.788992ba666b2p-17, 0x1.788e90e5b28b2p-18, 0x1.8b8c8e8cd5417p-26, -0x1.73d729849826ap-18, -0x1.73bdfe3645151p-17, -0x1.16519e457d0bp-16, -0x1.7246d1cf584abp-16, -0x1.cdb80898c0934p-16, -0x1.144f7a6301e47p-15, -0x1.417ac5080dc11p-15, -0x1.6e5afe111bf1ap-15, -0x1.9aed5e8160b0bp-15, -0x1.c72f3dbf2bfc2p-15, -0x1.f31e10cf06045p-15, -0x1.0f5bb4c9b7045p-14, -0x1.24fc7b07f251ap-14, -0x1.3a703fd75bc32p-14, -0x1.4fb5f5471d3b9p-14, -0x1.64cc9a6618d64p-14, -0x1.79b33aed5b2d9p-14, -0x1.8e68eee964082p-14, -0x1.a2ecda68605afp-14, -0x1.b73e2d26c4e1ap-14, -0x1.cb5c22412bd52p-14, -0x1.df45ffe4abb88p-14, -0x1.f2fb1702d3d56p-14, -0x1.033d61835a915p-13, -0x1.0ce234c5b11d3p-13, -0x1.166bbd09f04dcp-13, -0x1.1fd9b6e295c55p-13, -0x1.292be39086a93p-13, -0x1.326208e164a48p-13, -0x1.3b7bf10eb2157p-13, -0x1.44796a9dadf98p-13, -0x1.4d5a483f77e8fp-13, -0x1.561e60b2de1cp-13, -0x1.5ec58ea544dbp-13, -0x1.674fb096158c7p-13, -0x1.6fbca8b91f8bbp-13, -0x1.780c5cdac8decp-13, -0x1.803eb6445f58ep-13, -0x1.8853a1a11b2e7p-13, -0x1.904b0ee3a2565p-13, -0x1.9824f12c93d49p-13, -0x1.9fe13eb0dde05p-13, -0x1.a77ff0a18722fp-13, -0x1.af0103135956bp-13, -0x1.b66474e765df2p-13, -0x1.bdaa47b40de33p-13, -0x1.c4d27fae7db1p-13, -0x1.cbdd2394bf753p-13, -0x1.d2ca3c9851726p-13, -0x1.d999d6493d06dp-13, -0x1.e04bfe8197144p-13, -0x1.e6e0c551791a3p-13, -0x1.ed583ceba1d88p-13, -0x1.f3b279922f2adp-13, -0x1.f9ef918454175p-13, -0x1.0007ce75e5a7cp-12, -0x1.03095ae5b4f64p-12, -0x1.05fc7bf6def03p-12, -0x1.08e1406a29119p-12, -0x1.0bb7b7d3706e3p-12, -0x1.0e7ff291cf495p-12, -0x1.113a01c7a39aap-12, -0x1.13e5f752fd9bp-12, -0x1.1683e5c61aee3p-12, -0x1.1913e06026407p-12, -0x1.1b95fb062aaefp-12, -0x1.1e0a4a3c0f4b2p-12, -0x1.2070e31dfb8dep-12, -0x1.22c9db599c435p-12, -0x1.25154927e777ap-12, -0x1.27534346b8c1dp-12, -0x1.2983e0f2d0a31p-12, -0x1.2ba739e1e6d03p-12, -0x1.2dbd663cd372ep-12, -0x1.2fc67e99fa9eep-12, -0x1.31c29bf7d1734p-12, -0x1.33b1d7b788292p-12, -0x1.35944b97d335cp-12, -0x1.376a11afefdfp-12, -0x1.3933446aaf1e8p-12, -0x1.3aeffe8190471p-12, -0x1.3ca05af84f691p-12, -0x1.3e44751824e64p-12, -0x1.3fdc686b7e9e7p-12, -0x1.416850b9b1e7dp-12, -0x1.42e84a02bf8a7p-12, -0x1.445c707b5ad6ep-12, -0x1.45c4e088f7f11p-12, -0x1.4721b6bde2a9bp-12, -0x1.48730fd59c0dp-12, -0x1.49b908b13f258p-12, -0x1.4af3be53e4d8bp-12, -0x1.4c234ddf5f222p-12, -0x1.4d47d490cb533p-12, -0x1.4e616fbd693a4p-12, -0x1.4f703ccf7b4bbp-12, -0x1.5074594342b77p-12, -0x1.516de2a40edbap-12, -0x1.525cf689728bfp-12, -0x1.5341b2946995cp-12, -0x1.541c346cc0ebap-12, -0x1.54ec99be81844p-12, -0x1.55b3003754784p-12, -0x1.566f85842fa1fp-12, -0x1.5722474efe2fap-12, -0x1.57cb633c3e669p-12, -0x1.586af6e8de731p-12, -0x1.59011fe82ed67p-12, -0x1.598dfbc1ada6ep-12, -0x1.5a11a7ef23c62p-12, -0x1.5a8c41dab9166p-12, -0x1.5afde6dcfe53cp-12, -0x1.5b66b43b4c0b7p-12, -0x1.5bc6c725dfd2ep-12, -0x1.5c1e3cb649a84p-12, -0x1.5c6d31edb959ep-12, -0x1.5cb3c3b3899ffp-12, -0x1.5cf20ed3c067ep-12, -0x1.5d282ffd82833p-12, -0x1.5d5643c1d1a58p-12, -0x1.5d7c66922574ep-12, -0x1.5d9ab4bf2e7bep-12, -0x1.5db14a7784d8p-12, -0x1.5dc043c69340ep-12, -0x1.5dc7bc9373a64p-12, -0x1.5dc7d09fc3b2cp-12, -0x1.5dc09b86aad8bp-12, -0x1.5db238bbd676ap-12, -0x1.5d9cc38a7fe3fp-12, -0x1.5d8057148d839p-12, -0x1.5d5d0e51ad14bp-12, -0x1.5d33040e87afbp-12, -0x1.5d0252ebf3821p-12, -0x1.5ccb155e1abbdp-12, -0x1.5c8d65abeff2bp-12, -0x1.5c495dee5836bp-12, -0x1.5bff180f9bdadp-12, -0x1.5baeadcac36dap-12, -0x1.5b5838aafa18cp-12, -0x1.5afbd20b15621p-12, -0x1.5a99931505f4bp-12, -0x1.5a3194c14e44ep-12, -0x1.59c3efd6ad71ep-12, -0x1.5950bce997438p-12, -0x1.58d8145bd356ap-12, -0x1.585a0e5c25be5p-12, -0x1.57d6c2e5fa58dp-12, -0x1.574e49c0fb6d7p-12, -0x1.56c0ba80dfafp-12, -0x1.562e2c851e92ap-12, -0x1.5596b6f8a674p-12, -0x1.54fa70d1b072cp-12, -0x1.545970d18f5b9p-12, -0x1.53b3cd846e5a9p-12, -0x1.53099d41445fbp-12, -0x1.525af6299c45ep-12, -0x1.51a7ee297b27ep-12, -0x1.50f09af74b354p-12, -0x1.50351213cb088p-12, -0x1.4f7568c9f3889p-12, -0x1.4eb1b42ef68e4p-12, -0x1.4dea092230eefp-12, -0x1.4d1e7c4d2f702p-12, -0x1.4c4f2223a3124p-12, -0x1.4b7c0ee373879p-12, -0x1.4aa55694ce10bp-12, -0x1.49cb0d0a24962p-12, -0x1.48ed45e03ddecp-12, -0x1.480c147e5a0a8p-12, -0x1.47278c1637132p-12, -0x1.463fbfa437145p-12, -0x1.4554c1ef7b51p-12, -0x1.4466a58a0a08p-12, -0x1.43757cd0e0046p-12, -0x1.428159ec31eabp-12, -0x1.418a4ecf848b1p-12, -0x1.40906d39d9ea1p-12, -0x1.3f93c6b5e57efp-12, -0x1.3e946c9a3e30bp-12, -0x1.3d9270098cb95p-12, -0x1.3c8de1f2be16ap-12, -0x1.3b86d31144645p-12, -0x1.3a7d53ed453edp-12, -0x1.397174dbe739bp-12, -0x1.386345ff7e026p-12, -0x1.3752d747d26eep-12, -0x1.364038725e636p-12, -0x1.352b790a9a48ep-12, -0x1.3414a86a38f2bp-12, -0x1.32fbd5b96ec6ep-12, -0x1.31e10fef3a403p-12, -0x1.30c465d1b00a6p-12, -0x1.2fa5e5f648053p-12, -0x1.2e859ec21a841p-12, -0x1.2d639e6a3c2dfp-12, -0x1.2c3ff2f4060bcp-12, -0x1.2b1aaa356b19ep-12, -0x1.29f3d1d53c49ap-12, -0x1.28cb774b862dcp-12, -0x1.27a1a7e1dd89fp-12, -0x1.267670b3acc98p-12, -0x1.2549deae97f9ep-12, -0x1.241bfe92c873dp-12, -0x1.22ecdcf33ed2ap-12, -0x1.21bc86362ac61p-12, -0x1.208b0695460b6p-12, -0x1.1f586a1e2d992p-12, -0x1.1e24bcb2b3965p-12, -0x1.1cf00a093c941p-12, -0x1.1bba5dad1351ap-12, -0x1.1a83c2fec582ep-12, -0x1.194c453484a3fp-12, -0x1.1813ef5a72891p-12, -0x1.16dacc5309d9fp-12, -0x1.15a0e6d76aa2p-12, -0x1.14664977c2587p-12, -0x1.132afe9ba08b4p-12, -0x1.11ef108258267p-12, -0x1.10b289434f2a9p-12, -0x1.0f7572ce680f4p-12, -0x1.0e37d6ec58aeap-12, -0x1.0cf9bf3f04576p-12, -0x1.0bbb3541d4129p-12, -0x1.0a7c424a1eab9p-12, -0x1.093cef877c74ep-12, -0x1.07fd4604215a4p-12, -0x1.06bd4ea540db9p-12, -0x1.057d122b615e1p-12, -0x1.043c9932bba61p-12, -0x1.02fbec33996aap-12, -0x1.01bb1382aef43p-12, -0x1.007a17517121fp-12, -0x1.fe71ff5ced60dp-13, -0x1.fbefa90ba3b2p-13, -0x1.f96d3b42d3e1dp-13, -0x1.f6eac552aa10bp-13, -0x1.f46856486a48p-13, -0x1.f1e5fcef23b83p-13, -0x1.ef63c7d05cc2bp-13, -0x1.ece1c534c8ebap-13, -0x1.ea600324fcffp-13, -0x1.e7de8f6a20816p-13, -0x1.e55d778e9d545p-13, -0x1.e2dcc8decca63p-13, -0x1.e05c9069a6962p-13, -0x1.dddcdb0173a58p-13, -0x1.db5db53c7c5b7p-13, -0x1.d8df2b75b29acp-13, -0x1.d66149cd5af81p-13, -0x1.d3e41c29b528bp-13, -0x1.d167ae37ae5abp-13, -0x1.ceec0b6b89a3cp-13, -0x1.cc713f018222dp-13, -0x1.c9f753fe70bb2p-13, -0x1.c77e55307d85bp-13, -0x1.c5064d2fb9d7p-13, -0x1.c28f465ec7c7bp-13, -0x1.c0194aeb8557dp-13, -0x1.bda464cf9f3fdp-13, -0x1.bb309dd13cfa3p-13, -0x1.b8bdff839c96ap-13, -0x1.b64c9347b140dp-13, -0x1.b3dc624cc6482p-13, -0x1.b16d75911bd9ap-13, -0x1.aeffd5e27ab74p-13, -0x1.ac938bdecf251p-13, -0x1.aa289ff4cbf05p-13, -0x1.a7bf1a647d415p-13, -0x1.a557033fde1fdp-13, -0x1.a2f0626b6fc5bp-13, -0x1.a08b3f9ed3a4ap-13, -0x1.9e27a2654fcep-13, -0x1.9bc5921e72e12p-13, -0x1.996515fea1755p-13, -0x1.9706350f9e1bcp-13, -0x1.94a8f6311dfe2p-13, -0x1.924d60195f4a2p-13, -0x1.8ff37955a3b1p-13, -0x1.8d9b484ac986ap-13, -0x1.8b44d335d029bp-13, -0x1.88f0202c673a9p-13, -0x1.869d351d6cb4fp-13, -0x1.844c17d18274dp-13, -0x1.81fccdeb899cdp-13, -0x1.7faf5ce926fdcp-13, -0x1.7d63ca234a32ap-13, -0x1.7b1a1acea9ecep-13, -0x1.78d253fc4bf6ep-13, -0x1.768c7a9a051adp-13, -0x1.74489372f2bb8p-13, -0x1.7206a32ff8ee6p-13, -0x1.6fc6ae5845161p-13, -0x1.6d88b951c0469p-13, -0x1.6b4cc8618d5f3p-13, -0x1.6912dfac84708p-13, -0x1.66db0337a5209p-13, -0x1.64a536e88f5d4p-13, -0x1.62717e85f95acp-13, -0x1.603fddb824ab8p-13, -0x1.5e10580950a48p-13, -0x1.5be2f0e629271p-13, -0x1.59b7ab9e3ad25p-13, -0x1.578e8b645d4bfp-13, -0x1.5567934f268b5p-13, -0x1.5342c6595b701p-13, -0x1.512027625109bp-13, -0x1.4effb92e5fe1fp-13, -0x1.4ce17e674e45fp-13, -0x1.4ac5799cb0a6dp-13, -0x1.48abad445dcacp-13, -0x1.46941bbac7f94p-13, -0x1.447ec7436adep-13, -0x1.426bb20931514p-13, -0x1.405ade1ece836p-13, -0x1.3e4c4d7f2be08p-13, -0x1.3c40020dc409p-13, -0x1.3a35fd96fce48p-13, -0x1.382e41d09103dp-13, -0x1.3628d059e9b3bp-13, -0x1.3425aabc7adc1p-13, -0x1.3224d26c2361p-13, -0x1.302648c780e68p-13, -0x1.2e2a0f1848fcfp-13, -0x1.2c302693a9813p-13, -0x1.2a38905a98c6ap-13, -0x1.28434d7a33442p-13, -0x1.26505eec08239p-13, -0x1.245fc59677d55p-13, -0x1.2271824d01862p-13, -0x1.208595d096e3fp-13, -0x1.1e9c00cfeefb8p-13, -0x1.1cb4c3e7d57b7p-13, -0x1.1acfdfa37cabfp-13, -0x1.18ed547cc663dp-13, -0x1.170d22dc94327p-13, -0x1.152f4b1b1fa52p-13, -0x1.1353cd803a3abp-13, -0x1.117aaa43948b6p-13, -0x1.0fa3e18d1bf5fp-13, -0x1.0dcf73752975ap-13, -0x1.0bfd6004d9e7ep-13, -0x1.0a2da7365c68cp-13, -0x1.086048f525aa9p-13, -0x1.0695451e45873p-13, -0x1.04cc9b80a43ffp-13, -0x1.03064bdd45249p-13, -0x1.014255e791561p-13, -0x1.ff01728b283f2p-14, -0x1.fb82eb207239bp-14, -0x1.f80914a72fc69p-14, -0x1.f493ee1e494aep-14, -0x1.f123766bfd1fcp-14, -0x1.edb7ac5e4473fp-14, -0x1.ea508eab5c345p-14, -0x1.e6ee1bf22d881p-14, -0x1.e39052bae1882p-14, -0x1.e03731773d1efp-14, -0x1.dce2b68312863p-14, -0x1.d992e024cbfc8p-14, -0x1.d647ac8dc972ap-14, -0x1.d30119dad3d5bp-14, -0x1.cfbf2614995c6p-14, -0x1.cc81cf3002318p-14, -0x1.c949130ea9266p-14, -0x1.c614ef7f47c9p-14, -0x1.c2e5623e1b456p-14, -0x1.bfba68f540455p-14, -0x1.bc94013d263bp-14, -0x1.b972289cf60fcp-14, -0x1.b654dc8aec365p-14, -0x1.b33c1a6cb2bd9p-14, -0x1.b027df97d49aep-14, -0x1.ad18295212558p-14, -0x1.aa0cf4d1b4e3ep-14, -0x1.a7063f3dff29bp-14, -0x1.a40405af6b374p-14, -0x1.a106453021e75p-14, -0x1.9e0cfabc48df9p-14, -0x1.9b18234248d23p-14, -0x1.9827bba33e714p-14, -0x1.953bc0b33dfc7p-14, -0x1.92542f399f747p-14, -0x1.8f7103f169122p-14, -0x1.8c923b8988ebfp-14, -0x1.89b7d2a529728p-14, -0x1.86e1c5dc01c91p-14, -0x1.841011baa9898p-14, -0x1.8142b2c2e0491p-14, -0x1.7e79a56bd7a2p-14, -0x1.7bb4e622835dfp-14, -0x1.78f47149cc9eep-14, -0x1.7638433aeea56p-14, -0x1.73805845b7d8bp-14, -0x1.70ccacb0cfda8p-14, -0x1.6e1d3cb9fe247p-14, -0x1.6b720496626aap-14, -0x1.68cb0072c1b6p-14, -0x1.66282c73c73e3p-14, -0x1.638984b63d283p-14, -0x1.60ef054f5801bp-14, -0x1.5e58aa4ce6abbp-14, -0x1.5bc66fb596a15p-14, -0x1.5938518931936p-14, -0x1.56ae4bc0d42bfp-14, -0x1.54285a4f2e5e5p-14, -0x1.51a67920bed96p-14, -0x1.4f28a41c03ab3p-14, -0x1.4caed721b470ap-14, -0x1.4a390e0cfbfb1p-14, -0x1.47c744b3a63fep-14, -0x1.455976e65c55ap-14, -0x1.42efa070dea37p-14, -0x1.4089bd1a2a59bp-14, -0x1.3e27c8a4b3fddp-14, -0x1.3bc9bece97837p-14, -0x1.396f9b51ccb88p-14, -0x1.371959e44eb8fp-14, -0x1.34c6f6384ebb4p-14, -0x1.32786bfc6b8dp-14, -0x1.302db6dbd3143p-14, -0x1.2de6d27e6d5d5p-14, -0x1.2ba3ba8913bb1p-14, -0x1.29646a9dafc2ap-14, -0x1.2728de5b799fcp-14, -0x1.24f1115f0f242p-14, -0x1.22bcff42a0d04p-14, -0x1.208ca39e22a55p-14, -0x1.1e5ffa0766723p-14, -0x1.1c36fe1248805p-14, -0x1.1a11ab50da73bp-14, -0x1.17effd5388c32p-14, -0x1.15d1efa937b8fp-14, -0x1.13b77ddf6d101p-14, -0x1.11a0a38275101p-14, -0x1.0f8d5c1d81e5bp-14, -0x1.0d7da33acec33p-14, -0x1.0b717463c38bfp-14, -0x1.0968cb2115f9bp-14, -0x1.0763a2fae8f4fp-14, -0x1.0561f778e657ap-14, -0x1.0363c42267d1cp-14, -0x1.0169047e952cep-14, -0x1.fee36828e84dp-15, -0x1.fafb9cd643cecp-15, -0x1.f71a9e13ac26ap-15, -0x1.f34062f011983p-15, -0x1.ef6ce27b2246p-15, -0x1.eba013c570629p-15, -0x1.e7d9ede0afcc6p-15, -0x1.e41a67dff34d8p-15, -0x1.e06178d7e417bp-15, -0x1.dcaf17ded98bdp-15, -0x1.d9033c0d2200dp-15, -0x1.d55ddc7d3dda7p-15, -0x1.d1bef04bd2ecdp-15, -0x1.ce266e9827582p-15, -0x1.ca944e842f399p-15, -0x1.c7088734aa92dp-15, -0x1.c3830fd163422p-15, -0x1.c003df854ae9bp-15, -0x1.bc8aed7ea7407p-15, -0x1.b91830ef4ef5bp-15, -0x1.b5aba10cc0076p-15, -0x1.b24535104d83ep-15, -0x1.aee4e43734135p-15, -0x1.ab8aa5c2e2065p-15, -0x1.a83670f8f97f6p-15, -0x1.a4e83d237532cp-15, -0x1.a1a00190f5243p-15, -0x1.9e5db594a3fd9p-15, -0x1.9b2150869dbdcp-15, -0x1.97eac9c3d623dp-15, -0x1.94ba18ae47854p-15, -0x1.918f34ad26bp-15, -0x1.8e6a152cf99d1p-15, -0x1.8b4ab19f8db5ep-15, -0x1.8831017c52438p-15, -0x1.851cfc4064ae1p-15, -0x1.820e996e768c6p-15, -0x1.7f05d08f2c08cp-15, -0x1.7c02993118ff7p-15, -0x1.7904eae8c7d6fp-15, -0x1.760cbd5110545p-15, -0x1.731a080aec5f6p-15, -0x1.702cc2bdac9c4p-15, -0x1.6d44e5171ccfbp-15, -0x1.6a6266cb7c4dbp-15, -0x1.67853f95a1487p-15, -0x1.64ad67370a78p-15, -0x1.61dad57815252p-15, -0x1.5f0d8227cdf6dp-15, -0x1.5c45651c4fb3ap-15, -0x1.5982763296f12p-15, -0x1.56c4ad4ebc153p-15, -0x1.540c025c01076p-15, -0x1.51586d4cb4019p-15, -0x1.4ea9e61a99208p-15, -0x1.4c0064c6ad809p-15, -0x1.495be1594863p-15, -0x1.46bc53e2524dbp-15, -0x1.4421b47912f6fp-15, -0x1.418bfb3c61e8ap-15, -0x1.3efb2052e3c05p-15, -0x1.3c6f1beaa5a9bp-15, -0x1.39e7e639a7004p-15, -0x1.3765777d9536bp-15, -0x1.34e7c7fbdd7ebp-15, -0x1.326ed001e444bp-15, -0x1.2ffa87e4e7a5p-15, -0x1.2d8ae8020fa2p-15, -0x1.2b1fe8be8dd8dp-15, -0x1.28b982879faaep-15, -0x1.2657add277e73p-15, -0x1.23fa631c833efp-15, -0x1.21a19aeb40a3ap-15, -0x1.1f4d4dcc4e9bdp-15, -0x1.1cfd745598a8ap-15, -0x1.1ab207251b1a8p-15, -0x1.186afee14fep-15, -0x1.16285438b34dbp-15, -0x1.13e9ffe252cbp-15, -0x1.11affa9d6117fp-15, -0x1.0f7a3d31612d2p-15, -0x1.0d48c06e774c6p-15, -0x1.0b1b7d2ce6f07p-15, -0x1.08f26c4d84a68p-15, -0x1.06cd86b9a5d8p-15, -0x1.04acc562ca527p-15, -0x1.02902143425f1p-15, -0x1.0077935d948eep-15, -0x1.fcc62979c5f0ap-16, -0x1.f8a53ce992b2bp-16, -0x1.f48c5342dc0c9p-16, -0x1.f07b5eceda08ep-16, -0x1.ec7251e81c2ap-16, -0x1.e8711ef9e4673p-16, -0x1.e477b880eb2bbp-16, -0x1.e086110adac0ep-16, -0x1.dc9c1b365682ap-16, -0x1.d8b9c9b36a901p-16, -0x1.d4df0f42fe8fap-16, -0x1.d10bdeb76e72ap-16, -0x1.cd402af3dfadfp-16, -0x1.c97be6ecdd97dp-16, -0x1.c5bf05a7da959p-16, -0x1.c2097a3b85226p-16, -0x1.be5b37cfe04fdp-16, -0x1.bab4319d8c05fp-16, -0x1.b7145aeef5d1ap-16, -0x1.b37ba71f1330fp-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      41, 0x1.ac28f5c28f5c3p+2, 0x1.7e16f07dd1f89p+0, 0x1.2ae8b943b1fd5p+1, -0x1.395c9dd43b444p-9, 
      {{
        {0x1.2b851eb851eb8p+2, 0x1.2cccccccccccdp+2, 0x1.d60b102220b02p-8, -0x1.d3b462421fda8p-7, 0x1.5d0889bf0c029p-7, -0x1.ce950dc41c0b1p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.c39cc6a8dcad6p-8, -0x1.c5e1cf0160677p-7, 0x1.561838e658638p-7, -0x1.c4fcd85fa8663p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.97e807493ae8bp-8, -0x1.a4859ed75247ep-7, 0x1.451b8a62c212fp-7, -0x1.b9191fd286ca7p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.6f73bf1daaa6cp-8, -0x1.84d697f133496p-7, 0x1.3490ff97a9d1dp-7, -0x1.adadb00e12e7bp-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4a1593cbef9e8p-8, -0x1.66c98a12b34cep-7, 0x1.247415ca55e93p-7, -0x1.a2220562c905cp-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.27a44610e124ep-8, -0x1.4a536f439caf6p-7, 0x1.14c602636e5f2p-7, -0x1.969efd8a09fc9p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.07f7b1c06a2ffp-8, -0x1.2f6936387cddfp-7, 0x1.0586727b0dff5p-7, -0x1.8b19a54df9d5fp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.d5d19b8b12a5ap-9, -0x1.15ffd0aeba7efp-7, 0x1.ed6af89042db8p-8, -0x1.7f94ebccb6f3cp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a0a35844a17ffp-9, -0x1.fc185f272897cp-8, 0x1.d0a633adb522fp-8, -0x1.741007c370c1ap-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.701af3dfcc929p-9, -0x1.cf0688181ee72p-8, 0x1.b4be997f0cae2p-8, -0x1.688b2f1f8d00ap-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.43f0febd06bdep-9, -0x1.a4b3fe5c7e7b2p-8, 0x1.99b429297bb42p-8, -0x1.5d06536dffd9cp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.1be03f6aea22fp-9, -0x1.7d0aa4287030ep-8, 0x1.7f86e2e7a21d7p-8, -0x1.5181788dd7b93p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.ef4b654c703c3p-10, -0x1.57f45badf7823p-8, 0x1.6636c6a9cb894p-8, -0x1.45fc9d75a2cebp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.ae0116b3b296p-10, -0x1.355b071fab203p-8, 0x1.4dc3d4742c204p-8, -0x1.3a77c26c62fc5p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.7364653dbb047p-10, -0x1.152888affa49p-8, 0x1.362e0c45a4b3dp-8, -0x1.2ef2e75f30838p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.3efc8f78f7b66p-10, -0x1.ee8d8522bd972p-9, 0x1.1f756e1e811p-8, -0x1.236e0c5303558p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.105540502557p-10, -0x1.b73f2dec9f52dp-9, 0x1.0999f9fead9cep-8, -0x1.17e931468850cp-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.cdfd1e149e17ap-11, -0x1.8439d0228924dp-9, 0x1.e9375fcc60611p-9, -0x1.0c64563a3ed18p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.8519fe959cf0ep-11, -0x1.555130296a37ep-9, 0x1.c0f51faa0a283p-9, -0x1.00df7b2dbf231p-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.453302229772cp-11, -0x1.2a59126631ad4p-9, 0x1.9a6d339660afdp-9, -0x1.eab54042fc366p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.0d82e1737ad46p-11, -0x1.03253b3dceb62p-9, 0x1.759f9b915a91ap-9, -0x1.d3ab8a29e98a9p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.ba9a5bf1a27eap-12, -0x1.bf12de2a60e6bp-10, 0x1.528c579b02a74p-9, -0x1.bca1d4116dd18p-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.67bca3b783b8dp-12, -0x1.7eb2e4a28c132p-10, 0x1.313367b34d9e2p-9, -0x1.a5981df86e1e2p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.21171ffc21865p-12, -0x1.44d212adfd61p-10, 0x1.1194cbda455bfp-9, -0x1.8e8e67dfce9c4p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.cacc0fe87c2cp-13, -0x1.1117f11692fap-10, 0x1.e761081fc554p-10, -0x1.7784b1c70acp-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.66ee888baaf19p-13, -0x1.c658114c56f6dp-11, 0x1.af0d20a850832p-10, -0x1.607afbadcf1c6p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.1454de103b776p-13, -0x1.756bc44d48b08p-11, 0x1.7a2de14e3e3fp-10, -0x1.49714596f2f25p-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.a1c34f0e1b5ap-14, -0x1.2eba0cc3bd535p-11, 0x1.48c34a113367ap-10, -0x1.32678f770884bp-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3535bdc6eacp-14, -0x1.e323f886bad38p-12, 0x1.1acd5af28bba7p-10, -0x1.1b5dd978e19b5p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.bea783ece903fp-15, -0x1.7a8548c060beap-12, 0x1.e09827da6d601p-11, -0x1.045422fd128adp-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.396db61a5f301p-15, -0x1.22362d59b9804p-12, 0x1.927eea281b02p-11, -0x1.da94dcaa543d4p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.a8fd3901ec4ffp-16, -0x1.b1a99304ad49bp-13, 0x1.4b4efc41c192bp-11, -0x1.ac8165b908ddfp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.14509a2a75fp-16, -0x1.39fe8086f72abp-13, 0x1.0b086032cd0b4p-11, -0x1.7e6e21a51cf03p-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.5519a55628003p-17, -0x1.b54ed4d598d62p-14, 0x1.a3561cb411689p-12, -0x1.505a1fbb14a6bp-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.8a10f250802p-18, -0x1.21c1276ab6f46p-14, 0x1.3e6e46625803cp-12, -0x1.2248e24fcf0d2p-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.a122484c848p-19, -0x1.67993bec7dc5dp-15, 0x1.ceb0d1c800967p-13, -0x1.e85aa1790267ep-12}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.8758042fc5001p-20, -0x1.97a5a5f594f79p-16, 0x1.3c2f3af07fde2p-13, -0x1.8c709697c8934p-12}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.337031731ap-21, -0x1.948b63ad833fap-17, 0x1.8a814eb920fe8p-14, -0x1.2f66d2f16da3dp-12}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.6a81a11d1fffep-23, -0x1.43837b7381382p-18, 0x1.a8eda0508b39fp-15, -0x1.ad1db43446e8dp-13}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.ef4b654ep-26, -0x1.5a3c47dfbea2p-20, 0x1.4eeacec8c15e8p-16, -0x1.b83dbb21ae614p-14}, 
        {0x1.a99999999999ap+2, 0x1.ac28f5c28f5c3p+2, 0x1.3535bdf400001p-30, -0x1.5af04ec249e48p-24, 0x1.1b17139efc801p-18, -0x1.8cd5f38876e25p-13}, 
      }}, 
      0x1.2094ee044d557p-8, -0x1.306f4d33acee4p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.4228f2a0e9b6bp-2, -0x1.3cbf45a62b6a6p-2, -0x1.35cc507b6f996p-2, -0x1.2f3f508b37e0dp-2, -0x1.2ac437ce9e4d5p-2, -0x1.299b73350cbp-2, -0x1.2c93212e561eap-2, -0x1.341137059886bp-2, -0x1.4024ef55a3e02p-2, -0x1.509a0dcbdc178p-2, -0x1.650b29aa12c4p-2, -0x1.7cf1bb2850a3p-2, -0x1.97b37ff8013d1p-2, -0x1.b4ad3c86f610ap-2, -0x1.d33b11df1e419p-2, -0x1.f2beafd91cd9dp-2, -0x1.0951d988366p-1, -0x1.1931407405681p-1, -0x1.28c0f7fd93c2cp-1, -0x1.37cc018744e79p-1, -0x1.4624f93a14eabp-1, -0x1.53a5dae796774p-1, -0x1.602f9b67425f8p-1, -0x1.6ba9a682a44a5p-1, -0x1.76014dcc35424p-1, -0x1.7f2931a3b9defp-1, -0x1.8718ab1106127p-1, -0x1.8dcb3ad51c931p-1, -0x1.934000d0d4acap-1, -0x1.97793cfbab5e8p-1, -0x1.9a7bdade5d2eap-1, -0x1.9c4f07a3e4de3p-1, -0x1.9cfbd25c8085cp-1, -0x1.9c8cd5c828398p-1, -0x1.9b0debb693363p-1, -0x1.988be8f815e86p-1, -0x1.9514610aba966p-1, -0x1.90b5712b7ad3ap-1, -0x1.8b7d9201cafddp-1, -0x1.857b6f6da0f89p-1, -0x1.7ebdc54febadp-1, -0x1.7753415d39e45p-1, -0x1.6f4a689d2a1e9p-1, -0x1.66b1814bcb0a1p-1, -0x1.5d967fe477225p-1, -0x1.5406f70e7b4bap-1, -0x1.4a100acda17c5p-1, -0x1.3fbe65b003f7fp-1, -0x1.351e306120545p-1, -0x1.2a3b0b2ce8bc4p-1, -0x1.1f20096acfc06p-1, -0x1.13d7ae4493defp-1, -0x1.086beb1c6f6a8p-1, -0x1.f9cc3df947203p-2, -0x1.e29e2e6ee2623p-2, -0x1.cb5e21d8519d7p-2, -0x1.b41b7694a9a5dp-2, -0x1.9ce47521ea86ap-2, -0x1.85c6573f1f39ap-2, -0x1.6ecd504db8fdp-2, -0x1.5804955c67dbfp-2, -0x1.41766826ae9b5p-2, -0x1.2b2c1eb9db48bp-2, -0x1.152e311fc5abep-2, -0x1.ff087e88c12c9p-3, -0x1.d46a433b278bdp-3, -0x1.aa8dd9ec83c3cp-3, -0x1.817e07b47b402p-3, -0x1.594437c6e804dp-3, -0x1.31e89419bf6edp-3, -0x1.0b721e84e17edp-3, -0x1.cbcd6d829d5dap-4, -0x1.82968387bb34ap-4, -0x1.3b474af0ebcbap-4, -0x1.ebcbb804f8e03p-5, -0x1.64ed4eff71d29p-5, -0x1.c3f25967a73a9p-6, -0x1.8bc9e239047fbp-7, 0x1.82650df7db4ep-9, 0x1.1ea5e39820712p-6, 0x1.02975682126fdp-5, 0x1.71f95e4418eb9p-5, 0x1.dd80a3add04abp-5, 0x1.229b315a49022p-4, 0x1.5492a0caf1039p-4, 0x1.84ac9b623209p-4, 0x1.b2efb066d2f2cp-4, 0x1.df62f41e054fbp-4, 0x1.0506f85018b48p-3, 0x1.197c4c148432fp-3, 0x1.2d159c0d18861p-3, 0x1.3fd7364619ba6p-3, 0x1.51c58accc7131p-3, 0x1.62e525f50417fp-3, 0x1.733aabe65a047p-3, 0x1.82cad39bb6b6dp-3, 0x1.919a62bb97933p-3, 0x1.9fae2993a591dp-3, 0x1.ad0aff399e576p-3, 0x1.b9b5be3d153b9p-3, 0x1.c5b3414e17a71p-3, 0x1.d108604b40533p-3, 0x1.dbb9ed9ff04d5p-3, 0x1.e5ccb3a282b33p-3, 0x1.ef45727576bebp-3, 0x1.f828ddee203a7p-3, 0x1.003dcdcd7a9ffp-2, 0x1.042120ac745dap-2, 0x1.07c0a9e379e91p-2, 0x1.0b1ea26d7db56p-2, 0x1.0e3d397936e55p-2, 0x1.111e93e9a7c9fp-2, 0x1.13c4cbd6f9433p-2, 0x1.1631f0557a08p-2, 0x1.1868051f953b8p-2, 0x1.1a69024c7b2a9p-2, 0x1.1c36d43fc88dap-2, 0x1.1dd35b7ef26abp-2, 0x1.1f406c8db22b3p-2, 0x1.207fcff1493ccp-2, 0x1.2193423ad44b3p-2, 0x1.227c73efbe69p-2, 0x1.233d09aab4f3cp-2, 0x1.23d69c3b64f87p-2, 0x1.244ab8aa71d44p-2, 0x1.249ae0604a1c6p-2, 0x1.24c8895d7d408p-2, 0x1.24d51e534c4e9p-2, 0x1.24c1fecd32ab2p-2, 0x1.24907f6f735a2p-2, 0x1.2441ea2a45051p-2, 0x1.23d77e61499c5p-2, 0x1.2352713179125p-2, 0x1.22b3edaa65ce2p-2, 0x1.21fd14fdb4e9ap-2, 0x1.212efec3e1d06p-2, 0x1.204ab937baec8p-2, 0x1.1f5149777b9c1p-2, 0x1.1e43aba95746bp-2, 0x1.1d22d36b1afddp-2, 0x1.1befabd26cd1dp-2, 0x1.1aab17d5a5fa3p-2, 0x1.1955f2812269dp-2, 0x1.17f10f1e2de6ap-2, 0x1.167d397e02d49p-2, 0x1.14fb363da1a7fp-2, 0x1.136bc2e87d087p-2, 0x1.11cf964709341p-2, 0x1.1027607be7711p-2, 0x1.0e73cb5d53342p-2, 0x1.0cb57a879d1b6p-2, 0x1.0aed0baa96499p-2, 0x1.091b16ad25313p-2, 0x1.07402dddd89e3p-2, 0x1.055cde3e07ed7p-2, 0x1.0371af829500fp-2, 0x1.017f246aba428p-2, 0x1.ff0b75b21b824p-3, 0x1.fb0bd7f34c597p-3, 0x1.f70059077eaa1p-3, 0x1.f2e9d992aff95p-3, 0x1.eec931b3e1cb4p-3, 0x1.ea9f31a63e6eap-3, 0x1.e66ca19ae3bbbp-3, 0x1.e232423b9061p-3, 0x1.ddf0cd0c72d9p-3, 0x1.d9a8f47733992p-3, 0x1.d55b63fc21289p-3, 0x1.d108c0ab8dafcp-3, 0x1.ccb1a95387edfp-3, 0x1.c856b69d4833p-3, 0x1.c3f87b510a046p-3, 0x1.bf97847fd4298p-3, 0x1.bb3459da8e5ebp-3, 0x1.b6cf7dbad7afcp-3, 0x1.b2696d7aa5631p-3, 0x1.ae02a1761a719p-3, 0x1.a99b8d408b052p-3, 0x1.a5349fe66d0d7p-3, 0x1.a0ce441defaf3p-3, 0x1.9c68e04528319p-3, 0x1.9804d6aa99aa9p-3, 0x1.93a2857742ee5p-3, 0x1.8f42471ff8decp-3, 0x1.8ae472720d244p-3, 0x1.86895aa0b2042p-3, 0x1.82314f51f58a7p-3, 0x1.7ddc9ccea74b2p-3, 0x1.798b8c31dd60ep-3, 0x1.753e6381bc2b6p-3, 0x1.70f565cce1867p-3, 0x1.6cb0d31e05506p-3, 0x1.6870e894a7a67p-3, 0x1.6435e0ad86f8ep-3, 0x1.5ffff34f30c69p-3, 0x1.5bcf55da9be28p-3, 0x1.57a43b2c8a0ep-3, 0x1.537ed3ac070b5p-3, 0x1.4f5f4d6dcad5p-3, 0x1.4b45d45a5c666p-3, 0x1.4732923b9e086p-3, 0x1.4325aed17749dp-3, 0x1.3f1f4fb9cde3fp-3, 0x1.3b1f988c52a58p-3, 0x1.3726ab079429ep-3, 0x1.3334a72009c6ep-3, 0x1.2f49ab10fdddfp-3, 0x1.2b65d35a4cd6p-3, 0x1.27893ac216c15p-3, 0x1.23b3fa6753696p-3, 0x1.1fe629ddbfc6p-3, 0x1.1c1fdf45926a2p-3, 0x1.18612f52dc08ep-3, 0x1.14aa2d5106e71p-3, 0x1.10faeb25f58abp-3, 0x1.0d53794baf5e4p-3, 0x1.09b3e6ffe934ep-3, 0x1.061c424c29f6cp-3, 0x1.028c98123e559p-3, 0x1.fe09e81c7f88cp-4, 0x1.f70ac1aa29eafp-4, 0x1.f01bcfb5592afp-4, 0x1.e93d230396fe8p-4, 0x1.e26eca5ee6048p-4, 0x1.dbb0d2b1b482bp-4, 0x1.d5034710332ccp-4, 0x1.ce6630b38e7c8p-4, 0x1.c7d996fe3f7bbp-4, 0x1.c15d7f98da691p-4, 0x1.baf1ee6ece9cp-4, 0x1.b496e5ea647f1p-4, 0x1.ae4c66fe37865p-4, 0x1.a81271273eea1p-4, 0x1.a1e9026f258b6p-4, 0x1.9bd0176f7bfd9p-4, 0x1.95c7ab5f3cbb3p-4, 0x1.8fcfb829863c9p-4, 0x1.89e83684f037ep-4, 0x1.84111e039dea1p-4, 0x1.7e4a65199c5bap-4, 0x1.7894011dd1ce1p-4, 0x1.72ede64c80341p-4, 0x1.6d5807cf0ff7fp-4, 0x1.67d257cb6a9b8p-4, 0x1.625cc780a19a7p-4, 0x1.5cf747454f3dap-4, 0x1.57a1c699c741ep-4, 0x1.525c342db36bep-4, 0x1.4d267ddb4f837p-4, 0x1.480090ae6aacdp-4, 0x1.42ea58ee7c5b4p-4, 0x1.3de3c22c06bfap-4, 0x1.38ecb74e247dp-4, 0x1.3405229cdad48p-4, 0x1.2f2cedc6e7a83p-4, 0x1.2a6401e45d47fp-4, 0x1.25aa4778dc6dcp-4, 0x1.20ffa67815c32p-4, 0x1.1c64064dbbe2fp-4, 0x1.17d74de7d90a1p-4, 0x1.135963c0bf45bp-4, 0x1.0eea2de615fp-4, 0x1.0a899200bacebp-4, 0x1.063775577e6b6p-4, 0x1.01f3bccb3b14dp-4, 0x1.fb7c99c4e54e8p-5, 0x1.f32e13962393ep-5, 0x1.eafbaec27144ap-5, 0x1.e2e5326ea38fap-5, 0x1.daea653a960e6p-5, 0x1.d30b0d4b452c3p-5, 0x1.cb46f0515459ep-5, 0x1.c39dd38d31ce9p-5, 0x1.bc0f7bd420bdfp-5, 0x1.b49bad965549fp-5, 0x1.ad422ce809d8cp-5, 0x1.a602bd8d0875p-5, 0x1.9edd23040129cp-5, 0x1.97d120906de06p-5, 0x1.90de79424aaf2p-5, 0x1.8a04effb51ab2p-5, 0x1.834447722a217p-5, 0x1.7c9c42347bdf6p-5, 0x1.760ca2ae1c86bp-5, 0x1.6f952b30709a3p-5, 0x1.69359df3f85ecp-5, 0x1.62edbd2915c2p-5, 0x1.5cbd4afe25d5cp-5, 0x1.56a409a511c7bp-5, 0x1.50a1bb5961ad7p-5, 0x1.4ab622621c14cp-5, 0x1.44e10112ccd72p-5, 0x1.3f2219cc599d7p-5, 0x1.39792effdb994p-5, 0x1.33e6033426fc5p-5, 0x1.2e68590dd2716p-5, 0x1.28fff3588d89p-5, 0x1.23ac951020f35p-5, 0x1.1e6e01673ef0cp-5, 0x1.1943fbca91784p-5, 0x1.142e47df9304bp-5, 0x1.0f2ca98061545p-5, 0x1.0a3ee4b732909p-5, 0x1.0564bdbc9189dp-5, 0x1.009df8faad4ecp-5, 0x1.f7d4b62c9a2a5p-6, 0x1.ee9351f84f264p-6, 0x1.e5774fe2633dep-6, 0x1.dc803b3d250aap-6, 0x1.d3ada02846ac9p-6, 0x1.caff0b8dea07cp-6, 0x1.c2740b067dd23p-6, 0x1.ba0c2cb586a39p-6, 0x1.b1c6ff2d6b1fap-6, 0x1.a9a4116514f33p-6, 0x1.a1a2f2c681aaep-6, 0x1.99c3335baf109p-6, 0x1.920464071b76bp-6, 0x1.8a6616c22ab8cp-6, 0x1.82e7dec2566b4p-6, 0x1.7b89507cecfbep-6, 0x1.744a0181dd48ep-6, 0x1.6d298832f621dp-6, 0x1.66277b6e341f2p-6, 0x1.5f43724918ed6p-6, 0x1.587d03f4c8649p-6, 0x1.51d3c7e0952dfp-6, 0x1.4b47560d626bdp-6, 0x1.44d7478e59e32p-6, 0x1.3e833700f1cb2p-6, 0x1.384ac0e398c4bp-6, 0x1.322d83a2417cp-6, 0x1.2c2b1f4cf7de7p-6, 0x1.264335071d68p-6, 0x1.20756655e8852p-6, 0x1.1ac1547fcf273p-6, 0x1.1526a0322201bp-6, 0x1.0fa4e995dd907p-6, 0x1.0a3bd0d4e686dp-6, 0x1.04eaf6f624e13p-6, 0x1.ff63fdb00b7dbp-7, 0x1.f5211c001cadfp-7, 0x1.eb0c99f8e8c9dp-7, 0x1.e125ce5fa93a9p-7, 0x1.d76c140ca8dedp-7, 0x1.cddec78133ebbp-7, 0x1.c47d4449da7abp-7, 0x1.bb46e2ea41051p-7, 0x1.b23af7f89d721p-7, 0x1.a958d4c796f93p-7, 0x1.a09fc991edbc5p-7, 0x1.980f28acef1f6p-7, 0x1.8fa649f302fadp-7, 0x1.87648d77cbe1fp-7, 0x1.7f495cb6dd6bbp-7, 0x1.775429c8dbd7ap-7, 0x1.6f846cafdd41bp-7, 0x1.67d99f4caf299p-7, 0x1.605338fb2cep-7, 0x1.58f0aafb9b2e7p-7, 0x1.51b15eab26e36p-7, 0x1.4a94b62589dd5p-7, 0x1.439a0f4ec2bcfp-7, 0x1.3cc0c8a1c2fdbp-7, 0x1.360846a165378p-7, 0x1.2f6ff88c97065p-7, 0x1.28f75b145e4c3p-7, 0x1.229df8478860ep-7, 0x1.1c63648f94179p-7, 0x1.1647395801788p-7, 0x1.10490e96c755cp-7, 0x1.0a6874bf3565ep-7, 0x1.04a4f09eee0adp-7, 0x1.fdfbf48518c74p-8, 0x1.f2e5fe957889cp-8, 0x1.e806d08cee77ep-8, 0x1.dd5d3fdf0ad7bp-8, 0x1.d2e8352d24cc6p-8, 0x1.c8a6b7e3f730fp-8, 0x1.be97f3b4479fep-8, 0x1.b4bb366e5ecfp-8, 0x1.ab0fe6a05fe45p-8, 0x1.a19575034983ap-8, 0x1.984b4c0017579p-8, 0x1.8f30c0e203594p-8, 0x1.86450a0834aa4p-8, 0x1.7d873c43b4712p-8, 0x1.74f6504a07ecbp-8, 0x1.6c912f4ed5d85p-8, 0x1.6456c441f5729p-8, 0x1.5c460dc82db74p-8, 0x1.545e2c9a4a33p-8, 0x1.4c9e6abc96a95p-8, 0x1.450639eaac6p-8, 0x1.3d9529f42cffdp-8, 0x1.364ad9b7e464dp-8, 0x1.2f26e63d7ee4ep-8, 0x1.2828db5814af9p-8, 0x1.215028541b11ap-8, 0x1.1a9c1a03d506ap-8, 0x1.140bdc4d2637ap-8, 0x1.0d9e826b19709p-8, 0x1.075315f49bea1p-8, 0x1.0128a969f7599p-8, 0x1.f63cd3695e7f5p-9, 0x1.ea6752ea2dc43p-9, 0x1.decfc59d61adep-9, 0x1.d3755fe2e169ep-9, 0x1.c8577c0e02323p-9, 0x1.bd757ee96139bp-9, 0x1.b2cec1e928305p-9, 0x1.a8628467de1c5p-9, 0x1.9e2fe1416b1fap-9, 0x1.9435c6a67608ap-9, 0x1.8a72f22118a23p-9, 0x1.80e5f66bfdefcp-9, 0x1.778d4fb61e7adp-9, 0x1.6e67844a7cda3p-9, 0x1.657346f0e4b62p-9, 0x1.5caf8bf1b9624p-9, 0x1.541b85f33f1eap-9, 0x1.4bb68c10a1626p-9, 0x1.437ff7a605e3ap-9, 0x1.3b770d2e5b824p-9, 0x1.339afbad63e8dp-9, 0x1.2beaee23f3a1cp-9, 0x1.24661ddf11263p-9, 0x1.1d0bd4b818a06p-9, 0x1.15db5bd24596cp-9, 0x1.0ed3e40cd73ebp-9, 0x1.07f47c213a07ep-9, 0x1.013c202b8c347p-9, 0x1.f553b92019663p-10, 0x1.e879df3da28adp-10, 0x1.dbe9a670a172ep-10, 0x1.cfa2465e3a5bap-10, 0x1.c3a2d272474dep-10, 0x1.b7e9d43141576p-10, 0x1.ac75292b4d4c4p-10, 0x1.a142449cb3684p-10, 0x1.964eb70f58787p-10, 0x1.8b98ad32c921p-10, 0x1.811f1886a71e7p-10, 0x1.76e16d045fd07p-10, 0x1.6cdf27616b3dep-10, 0x1.6317742598317p-10, 0x1.59893106646b9p-10, 0x1.50333bef8c867p-10, 0x1.4714cffd15d76p-10, 0x1.3e2dae3c4eef1p-10, 0x1.357df0b2c47b4p-10, 0x1.2d05900d78551p-10, 0x1.24c3ccd023121p-10, 0x1.1cb6c879fc006p-10, 0x1.14db93cf0cfedp-10, 0x1.0d2ec2d1bddffp-10, 0x1.05ad49ffd2196p-10, 0x1.fcaa697c1cd6dp-11, 0x1.ee4ba5a817f68p-11, 0x1.e03e95ae05b9ep-11, 0x1.d283c252174dap-11, 0x1.c51ae0c5d8256p-11, 0x1.b802be2e980d7p-11, 0x1.ab39f79819ee6p-11, 0x1.9ebfda34861c8p-11, 0x1.9294d894140a5p-11, 0x1.86ba49095c4e7p-11, 0x1.7b3177616b8fp-11, 0x1.6ffa77fe3db34p-11, 0x1.65134c2de0e53p-11, 0x1.5a77b1341e7a3p-11, 0x1.5021af3fc7f63p-11, 0x1.460acd6a95894p-11, 0x1.3c2d867e877b2p-11, 0x1.3286600d7a59bp-11, 0x1.29142eeddedaep-11, 0x1.1fd77eacae83ep-11, 0x1.16d17479c431ap-11, 0x1.0e02c458fa71fp-11, 0x1.056b36a9fa479p-11, 0x1.fa13cc0b8947fp-12, 0x1.e9bc25dedb767p-12, 0x1.d9cff2a98ef0bp-12, 0x1.ca5195c872e23p-12, 0x1.bb436637358fbp-12, 0x1.aca5b53392674p-12, 0x1.9e765a1022ceap-12, 0x1.90b144ec4cf74p-12, 0x1.8350f82e9d5p-12, 0x1.764ec184aecb5p-12, 0x1.69a328070b2cep-12, 0x1.5d468e757b539p-12, 0x1.5131fac204adap-12, 0x1.45609974c6621p-12, 0x1.39d1924e6e22fp-12, 0x1.2e87f1c5231cep-12, 0x1.2387a6678d5cep-12, 0x1.18d1f17d2b917p-12, 0x1.0e64e8ed0f819p-12, 0x1.043e70c6307e8p-12, 0x1.f4bd2677561c1p-13, 0x1.e18cdbfee73d9p-13, 0x1.ceec23afb53e6p-13, 0x1.bcd813e418a0ap-13, 0x1.ab4c597a03222p-13, 0x1.9a4505617f40dp-13, 0x1.89bf65c8902f9p-13, 0x1.79b97421cc981p-13, 0x1.6a305dfa3639ap-13, 0x1.5b1ef1339088bp-13, 0x1.4c7b90605ed09p-13, 0x1.3e37ec7a60daep-13, 0x1.3047b667e42d5p-13, 0x1.22a9967fa49a2p-13, 0x1.156553b5d7ba8p-13, 0x1.088066ae95b1ap-13, 0x1.f7f1bce4b3155p-14, 0x1.df97ea7cebf2ep-14, 0x1.c7f598e7f397fp-14, 0x1.b10bde6ea5f9ap-14, 0x1.9ad44aa21e46ep-14, 0x1.85471af44ae29p-14, 0x1.70601570a255p-14, 0x1.5c1be984a016fp-14, 0x1.4875be1bed72fp-14, 0x1.3569868fd23b4p-14, 0x1.22f663c9b786dp-14, 0x1.111cd613c383cp-14, 0x1.ffb8216270e9bp-15, 0x1.de60b1bef15fp-15, 0x1.be1b7409e7787p-15, 0x1.9ec284fce5dc3p-15, 0x1.804999fc7f8bap-15, 0x1.62c64ee47269bp-15, 0x1.4638f4cd49d2cp-15, 0x1.2a7e78ed3c97p-15, 0x1.0f8967dbd99cdp-15, 0x1.eae47ddeaf7c5p-16, 0x1.b88f37167542dp-16, 0x1.87f628d3f24ffp-16, 0x1.58edbec3d17b8p-16, 0x1.2b637d2fc7afcp-16, 0x1.fec11d9e82755p-17, 0x1.a9d93d0cdc429p-17, 0x1.57f26be506a5dp-17, 0x1.08dd2596d7556p-17, 0x1.78ff6c2b8e987p-18, 0x1.cb549124203bcp-19, 0x1.5ea50d3075abcp-20, -0x1.88a56f45e884dp-21, -0x1.69422918d8187p-19, -0x1.3380cdf6cda63p-18, -0x1.ae2b3312ee3e1p-18, -0x1.11fcc10daa8cfp-17, -0x1.4a4240bf1ee46p-17, -0x1.805454161edf1p-17, -0x1.b471cf0985f68p-17, -0x1.e68b276c28c59p-17, -0x1.0b5f70f92c0c2p-16, -0x1.2291d5604b4b5p-16, -0x1.38d7025412637p-16, -0x1.4e35b99265973p-16, -0x1.62bd47f2430e9p-16, -0x1.766814ba49de3p-16, -0x1.892771085f8bep-16, -0x1.9b02af0e029e7p-16, -0x1.ac10945031198p-16, -0x1.bc60f3a4aaa5ep-16, -0x1.cbf7e856b9d65p-16, -0x1.dad814a52ac9fp-16, -0x1.e9076a4026a5dp-16, -0x1.f681086f3cccp-16, -0x1.019e51e836e64p-15, -0x1.07aadf69f139cp-15, -0x1.0d6d139d4de9ep-15, -0x1.12dead6df194cp-15, -0x1.180a1ac9d8a22p-15, -0x1.1ce59095ac48fp-15, -0x1.21630aed86c37p-15, -0x1.258effb89be43p-15, -0x1.297d8644b2e57p-15, -0x1.2d3a199f3c465p-15, -0x1.30bee8ef40ae7p-15, -0x1.3402886faedd1p-15, -0x1.370a046c27ffap-15, -0x1.39dae8f3562d8p-15, -0x1.3c6e8d4e11a7dp-15, -0x1.3ec2f7a008634p-15, -0x1.40dffde06232cp-15, -0x1.42cc7cb936adp-15, -0x1.448a7b58184a1p-15, -0x1.4619e8ddc6ef5p-15, -0x1.477c3a719b45cp-15, -0x1.48b2dd25f523ap-15, -0x1.49b7f347cefe9p-15, -0x1.4a8907a96cbbfp-15, -0x1.4b34412294a45p-15, -0x1.4bbccf0492f9p-15, -0x1.4c257ab511514p-15, -0x1.4c66221923a99p-15, -0x1.4c7bc6c0e1763p-15, -0x1.4c6ddb6426fb6p-15, -0x1.4c3e071556635p-15, -0x1.4bea9498c935ep-15, -0x1.4b741271e4d31p-15, -0x1.4ae0d268e786p-15, -0x1.4a3462661e84ap-15, -0x1.496b22ddaf872p-15, -0x1.4887d7affc67cp-15, -0x1.478c0af5e56bcp-15, -0x1.46725354d3b31p-15, -0x1.453c8d7471918p-15, -0x1.43efee279cc69p-15, -0x1.428e87f92dc04p-15, -0x1.4118605aa124cp-15, -0x1.3f8d6d487c1b2p-15, -0x1.3deeb3fd4cfcp-15, -0x1.3c3cb30a40bfdp-15, -0x1.3a73fb9744f9fp-15, -0x1.38959933c29f6p-15, -0x1.36a9a77d5a938p-15, -0x1.34b0e6c8a8cadp-15, -0x1.32a5c846a9dbfp-15, -0x1.308899f1ccb66p-15, -0x1.2e5d9f3c07b27p-15, -0x1.2c25853229302p-15, -0x1.29e0586aee725p-15, -0x1.278e7277f8057p-15, -0x1.25303dbe59309p-15, -0x1.22c58f12da067p-15, -0x1.204d822bd7af7p-15, -0x1.1dc9d7de1aba6p-15, -0x1.1b3d79be81219p-15, -0x1.18a8df145383ep-15, -0x1.160c61d1733e7p-15, -0x1.136540e3d9029p-15, -0x1.10b4b694a5477p-15, -0x1.0dfd2093bd3b7p-15, -0x1.0b3f06167f5e7p-15, -0x1.087a5ac9f1eedp-15, -0x1.05af325674626p-15, -0x1.02de05c2a5987p-15, -0x1.000771376f3f6p-15, -0x1.fa553488a08f4p-16, -0x1.f48fca173c878p-16, -0x1.eec54755f0de8p-16, -0x1.e8f1daec4c9fep-16, -0x1.e314823e1aeeep-16, -0x1.dd30e8198b67bp-16, -0x1.d7477bbec31bcp-16, -0x1.d158643b5b9fbp-16, -0x1.cb641cb521afbp-16, -0x1.c56b411585a12p-16, -0x1.bf6e76a87c7f8p-16, -0x1.b96e615b2bcbdp-16, -0x1.b36ba3b2eb3eep-16, -0x1.ad66c585f07f1p-16, -0x1.a75f6ac8574cbp-16, -0x1.a154ea5866c42p-16, -0x1.9b49f2744fa19p-16, -0x1.95407ee626a67p-16, -0x1.8f36c749ac145p-16, -0x1.892c7ea925726p-16, -0x1.83232e20a989fp-16, -0x1.7d1ba4a391219p-16, -0x1.7715ff1126ac6p-16, -0x1.711260758679bp-16, -0x1.6b1125d35e007p-16, -0x1.6512ea6e46b15p-16, -0x1.5f17dab07fa1fp-16, -0x1.591fcb4a34b95p-16, -0x1.532c3ef28590bp-16, -0x1.4d3c59d1854fdp-16, -0x1.4750f7b349586p-16, -0x1.416a8bbf4bb13p-16, -0x1.3b8937d6024f3p-16, -0x1.35ad393332db5p-16, -0x1.2fd6d425f2a8p-16, -0x1.2a064baa754ap-16, -0x1.243be12371ab6p-16, -0x1.1e77d4eb28ffdp-16, -0x1.18ba648d45c42p-16, -0x1.1303ca8f3c713p-16, -0x1.0d5440aa620d9p-16, -0x1.07abfedd78964p-16, -0x1.020b3cc524eacp-16, -0x1.f8e430c6d73d5p-17, -0x1.edc127844d824p-17, -0x1.e2ae737a4e1f7p-17, -0x1.d7ac535b69971p-17, -0x1.ccbaaaaba07f6p-17, -0x1.c1da236c93637p-17, -0x1.b70b076918e4ep-17, -0x1.ac4d94b6ae80bp-17, -0x1.a1a212895df27p-17, -0x1.9708c6e46d51dp-17, -0x1.8c81f3e140e9dp-17, -0x1.820ddc34ed848p-17, -0x1.77acbcfa4f18fp-17, -0x1.6d5ed1ee77a59p-17, -0x1.632450411a1a8p-17, -0x1.58fd6da247fdep-17, -0x1.4eea5dc85963ap-17, -0x1.44eb512e99463p-17, -0x1.3b007591d302cp-17, -0x1.3129f61ab73b7p-17, -0x1.2767fb8638779p-17, -0x1.1dbaac707e0fp-17, -0x1.14222d94f75b1p-17, -0x1.0a9ea1ebedcbcp-17, -0x1.01302a7ff8adcp-17, -0x1.efadcba917611p-18, -0x1.dd25dea5b5b96p-18, -0x1.cac8c0a94ab8bp-18, -0x1.b896a6363890fp-18, -0x1.a68fc13b8c978p-18, -0x1.94b41e87978b3p-18, -0x1.83040d18a660dp-18, -0x1.717ff1341a455p-18, -0x1.6027608ab72e4p-18, -0x1.4efb01da61249p-18, -0x1.3dfa252f149f6p-18, -0x1.2d262ea1018aap-18, -0x1.1c7ec1631840cp-18, -0x1.0c02934bc9917p-18, -0x1.f76515b52ef33p-19, -0x1.d71b76da0f214p-19, -0x1.b72e9adba3a5dp-19, -0x1.979ab15a496afp-19, -0x1.785e9cdbc8e38p-19, -0x1.597b31e7354a8p-19, -0x1.3af0a35052368p-19, -0x1.1cbefec08b78ap-19, -0x1.fdcc0bee07013p-20, -0x1.c2cbe52bc5158p-20, -0x1.887ccc12a6701p-20, -0x1.4edeeae0350e3p-20, -0x1.15f1ec4910086p-20, -0x1.bb6b20ab5a82dp-21, -0x1.4c5353e101b75p-21, -0x1.bd365d62b39d7p-22, -0x1.c90914e68b49ep-23, -0x1.d214f5177adf1p-27, 0x1.894ea1efd6db3p-23, 0x1.952564abbb30bp-22, 0x1.3175d47737acfp-21, 0x1.96fdd2309018ep-21, 0x1.fb2b2135079cfp-21, 0x1.2f00044a8381bp-20, 0x1.5fc0b16529f1p-20, }}, 
      {{-0x1.43891539d30d4p-2, -0x1.4198f0c2abc0fp-2, -0x1.3ed59d4c1b68ep-2, -0x1.3bb99cd61f1c4p-2, -0x1.38badb52c15b3p-2, -0x1.363f4f4776b12p-2, -0x1.349841fcbafdbp-2, -0x1.340175e94966fp-2, -0x1.34a275a04c73ep-2, -0x1.3690f7d49d0fp-2, -0x1.39d3af3db74cp-2, -0x1.3e6523571ff21p-2, -0x1.44365b68111ccp-2, -0x1.4b3140c1cea96p-2, -0x1.533aaebb3c4ffp-2, -0x1.5c343036b40a7p-2, -0x1.65fd6f493e36p-2, -0x1.70755da20a82ap-2, -0x1.7b7b1d7fbc974p-2, -0x1.86eeb3f5c14cp-2, -0x1.92b18cc80f53dp-2, -0x1.9ea6d7aba3c8p-2, -0x1.aab3c62d6914p-2, -0x1.b6bfb0623255ap-2, -0x1.c2b425c341388p-2, -0x1.ce7ceeb8076d6p-2, -0x1.da08029d66b19p-2, -0x1.e54575677d019p-2, -0x1.f0275f1d7492p-2, -0x1.faa1bf8c060adp-2, -0x1.02552fc9fc795p-1, -0x1.071c5883b6677p-1, -0x1.0ba2d72ccb85p-1, -0x1.0fe5dd6f97b8fp-1, -0x1.13e341d108afp-1, -0x1.179970a3119f7p-1, -0x1.1b075dbfbd46ap-1, -0x1.1e2c771c41294p-1, -0x1.210898079566bp-1, -0x1.239bfd3a1637cp-1, -0x1.25e739a8633e9p-1, -0x1.27eb2c4c94e38p-1, -0x1.29a8f68e5f5d7p-1, -0x1.2b21f38e65ee5p-1, -0x1.2c57b01508d6ap-1, -0x1.2d4be30dd4974p-1, -0x1.2e0066e052358p-1, -0x1.2e77333b80b89p-1, -0x1.2eb2577a05fb8p-1, -0x1.2eb3f592c223ap-1, -0x1.2e7e3d96bb5a9p-1, -0x1.2e13697f1cd41p-1, -0x1.2d75b98477246p-1, -0x1.2ca770cd959b1p-1, -0x1.2baad281a449cp-1, -0x1.2a821f3566fbcp-1, -0x1.292f929646f34p-1, -0x1.27b56163c83b9p-1, -0x1.2615b7cd8231fp-1, -0x1.2452b7de14fa1p-1, -0x1.226e78395786ep-1, -0x1.206b030d977d9p-1, -0x1.1e4a552bfcb97p-1, -0x1.1c0e5d3ffa809p-1, -0x1.19b8fb541e715p-1, -0x1.174c004f52ef7p-1, -0x1.14c92da0d2236p-1, -0x1.12323517faaf8p-1, -0x1.0f88b8b0d956ap-1, -0x1.0cce4a95aa798p-1, -0x1.0a046d24ed752p-1, -0x1.072c930cf2a9ap-1, -0x1.04481f74585a9p-1, -0x1.01586621363adp-1, -0x1.fcbd578f4ea04p-2, -0x1.f6b84c9889432p-2, -0x1.f0a3fa1a8d339p-2, -0x1.ea82928b0df0ap-2, -0x1.e4562cabf5a5bp-2, -0x1.de20c46016bd8p-2, -0x1.d7e43b7763e75p-2, -0x1.d1a25a5af85dap-2, -0x1.cb5cd0efd9b7bp-2, -0x1.c51537670c9c2p-2, -0x1.becd0efb8983dp-2, -0x1.b885c2c7358cbp-2, -0x1.b240a8984cc49p-2, -0x1.abff01b87d525p-2, -0x1.a5c1fbc589114p-2, -0x1.9f8ab16764d17p-2, -0x1.995a2b1e080f5p-2, -0x1.933160093aac7p-2, -0x1.8d1136945f335p-2, -0x1.86fa854fb4195p-2, -0x1.80ee1381510ebp-2, -0x1.7aec99e67b178p-2, -0x1.74f6c35bf90b9p-2, -0x1.6f0d2d82e049cp-2, -0x1.6930695c055d7p-2, -0x1.6360fbec27b99p-2, -0x1.5d9f5ec80bcadp-2, -0x1.57ec00a9d6436p-2, -0x1.52474601ad801p-2, -0x1.4cb18971719fcp-2, -0x1.472b1c5a54556p-2, -0x1.41b4475a36c52p-2, -0x1.3c4d4abb4ce77p-2, -0x1.36f65eef366adp-2, -0x1.31afb4fc3d71p-2, -0x1.2c7976e910821p-2, -0x1.2753c826315c4p-2, -0x1.223ec5eabecd6p-2, -0x1.1d3a87968681ep-2, -0x1.18471f0a5bc63p-2, -0x1.136498ffba667p-2, -0x1.0e92fd5b32c06p-2, -0x1.09d24f76cc6c5p-2, -0x1.05228e72927b1p-2, -0x1.0083b5727ee66p-2, -0x1.f7eb77f036594p-3, -0x1.eef12bfd0243ap-3, -0x1.e61868b4ada4ap-3, -0x1.dd6109c05dbcp-3, -0x1.d4cae5442f19cp-3, -0x1.cc55cc48367a4p-3, -0x1.c4018b18ab47bp-3, -0x1.bbcde99f7a22fp-3, -0x1.b3baabc94967p-3, -0x1.abc791d0eabddp-3, -0x1.a3f45891ec236p-3, -0x1.9c40b9d4a287bp-3, -0x1.94ac6c91c9661p-3, -0x1.8d372537a3a14p-3, -0x1.85e095ebf4e42p-3, -0x1.7ea86ec231f36p-3, -0x1.778e5df57dd7bp-3, -0x1.709210212b0bp-3, -0x1.69b3306c2fe35p-3, -0x1.62f168bb383d9p-3, -0x1.5c4c61d61150fp-3, -0x1.55c3c3a289c9ap-3, -0x1.4f573531bfa1bp-3, -0x1.49065cf321ee2p-3, -0x1.42d0e0d50390ep-3, -0x1.3cb666611f19ap-3, -0x1.36b692d77e1dp-3, -0x1.30d10b511744dp-3, -0x1.2b0574d2d91bap-3, -0x1.25537469b9d19p-3, -0x1.1fbaaf389a9dfp-3, -0x1.1a3aca99dfafdp-3, -0x1.14d36c25ae6ep-3, -0x1.0f8439cb12726p-3, -0x1.0a4cd9de5a4dcp-3, -0x1.052cf3223988fp-3, -0x1.00242ce288663p-3, -0x1.f6645de39fae9p-4, -0x1.ecad437be5289p-4, -0x1.e3225cb7fa695p-4, -0x1.d9c2fd0c1ec37p-4, -0x1.d08e796726a61p-4, -0x1.c784283742458p-4, -0x1.bea3615de5612p-4, -0x1.b5eb7e6b4856dp-4, -0x1.ad5bda8cfe465p-4, -0x1.a4f3d296c9aa3p-4, -0x1.9cb2c5119932dp-4, -0x1.94981253d0804p-4, -0x1.8ca31c6b3a733p-4, -0x1.84d34733ecc7dp-4, -0x1.7d27f85e72fcp-4, -0x1.75a09771b2f97p-4, -0x1.6e3c8dcb84e79p-4, -0x1.66fb46998631fp-4, -0x1.5fdc2f032b1dap-4, -0x1.58deb5f77d9fp-4, -0x1.52024c4faf194p-4, -0x1.4b4664c438951p-4, -0x1.44aa73ef6ce03p-4, -0x1.3e2df04c4294p-4, -0x1.37d0523ede9ddp-4, -0x1.319113eec127bp-4, -0x1.2b6fb180b0775p-4, -0x1.256ba8e319809p-4, -0x1.1f8479de96a4bp-4, -0x1.19b9a612c7558p-4, -0x1.140ab0f31b68ap-4, -0x1.0e771fc276b12p-4, -0x1.08fe798fdd89p-4, -0x1.03a0473c33599p-4, -0x1.fcb826bca09d3p-5, -0x1.f262d4aceaabcp-5, -0x1.e83fb496a7388p-5, -0x1.de4de61a562bep-5, -0x1.d48c8c549ad1cp-5, -0x1.cafacdcb5d633p-5, -0x1.c197d4532141bp-5, -0x1.b862cd1391919p-5, -0x1.af5ae87bde2a4p-5, -0x1.a67f5a3935a9bp-5, -0x1.9dcf593eb7764p-5, -0x1.954a1f839656dp-5, -0x1.8ceeea40ac745p-5, -0x1.84bcf9cd2b6ep-5, -0x1.7cb3917628885p-5, -0x1.74d1f79cb012bp-5, -0x1.6d17759be64c1p-5, -0x1.658357c102baep-5, -0x1.5e14ed45cb861p-5, -0x1.56cb883c08b0ep-5, -0x1.4fa67d8906a14p-5, -0x1.48a524e634ce9p-5, -0x1.41c6d8d0b5b47p-5, -0x1.3b0af67407bf3p-5, -0x1.3470dd9bdb8b8p-5, -0x1.2df7f0e713c44p-5, -0x1.279f956a458eep-5, -0x1.216732d5f58a1p-5, -0x1.1b4e33681c6d6p-5, -0x1.155403dd78a46p-5, -0x1.0f781368e2862p-5, -0x1.09b9d3aa689bbp-5, -0x1.0418b8a71b1e4p-5, -0x1.fd287180ce713p-6, -0x1.f2579955b491dp-6, -0x1.e7bddec948cbep-6, -0x1.dd5a3c663d666p-6, -0x1.d32bb12c0b63cp-6, -0x1.c93140488c5eap-6, -0x1.bf69f17e9eedfp-6, -0x1.b5d4d0ad7efd1p-6, -0x1.ac70edec3fdb1p-6, -0x1.a33d5d702c746p-6, -0x1.9a39377b87afap-6, -0x1.9163984ff6196p-6, -0x1.88bba01f7a5a2p-6, -0x1.804072fc003c1p-6, -0x1.77f138c7deafbp-6, -0x1.6fcd1d272f07dp-6, -0x1.67d34f7076662p-6, -0x1.6003029cde90ep-6, -0x1.585b6d38b7432p-6, -0x1.50dbc95c38a96p-6, -0x1.498354a1a524ep-6, -0x1.42514fe2829dcp-6, -0x1.3b44ff82c1536p-6, -0x1.345dab2e99243p-6, -0x1.2d9a9dbe49c23p-6, -0x1.26fb254a4cb06p-6, -0x1.207e9311cf863p-6, -0x1.1a243b6c74b9p-6, -0x1.13eb75be77332p-6, -0x1.0dd39c6c86d79p-6, -0x1.07dc0ccf6665ap-6, -0x1.0204272793365p-6, -0x1.f8969d21eda72p-7, -0x1.ed61d1ed5cc06p-7, -0x1.e268be0f29d7p-7, -0x1.d7aa3855379ddp-7, -0x1.cd251ce4bed6cp-7, -0x1.c2d84d278f2cep-7, -0x1.b8c2afc484492p-7, -0x1.aee3306384536p-7, -0x1.a538bf9b93e78p-7, -0x1.9bc2532eaa8b5p-7, -0x1.927ee58699038p-7, -0x1.896d75d2ebd0fp-7, -0x1.808d07f9868a6p-7, -0x1.77dca47d9674p-7, -0x1.6f5b58679ff98p-7, -0x1.670835366e786p-7, -0x1.5ee250c71ee9ap-7, -0x1.56e8c533c826bp-7, -0x1.4f1ab0e7e316bp-7, -0x1.47773679cad59p-7, -0x1.3ffd7c88e2a73p-7, -0x1.38acadbc879bbp-7, -0x1.3183f8b0e9445p-7, -0x1.2a828fe4c4928p-7, -0x1.23a7a9a81404fp-7, -0x1.1cf2800a98b4cp-7, -0x1.166250cd1f46p-7, -0x1.0ff65d5ae8e26p-7, -0x1.09adeaa259d1ap-7, -0x1.03884100b848dp-7, -0x1.fb0958e10f144p-8, -0x1.ef44f86f346bbp-8, -0x1.e3c205da3022ap-8, -0x1.d87f2ce90554bp-8, -0x1.cd7b1fc5228acp-8, -0x1.c2b496de77ecbp-8, -0x1.b82a50d4485b7p-8, -0x1.addb1261bf279p-8, -0x1.a3c5a646cb954p-8, -0x1.99e8dd2bfc822p-8, -0x1.90438d82dcabep-8, -0x1.86d49366fca2ap-8, -0x1.7d9ad0826b7ebp-8, -0x1.74952bf5ddf7cp-8, -0x1.6bc29243d5a08p-8, -0x1.6321f53bdd3f6p-8, -0x1.5ab24be25271fp-8, -0x1.527292565e51ap-8, -0x1.4a61c9b8c9ed4p-8, -0x1.427ef8149b07fp-8, -0x1.3ac9284df14f9p-8, -0x1.333f6a169af69p-8, -0x1.2be0d1ba0be63p-8, -0x1.24ac780ddab22p-8, -0x1.1da17a93b563p-8, -0x1.16befb1c80257p-8, -0x1.10041fcb436b5p-8, -0x1.0970130e2fb5dp-8, -0x1.030203809518ap-8, -0x1.f97247aa05ff5p-9, -0x1.ed2955a0cf1f5p-9, -0x1.e127a63f2779ep-9, -0x1.d56bb6cfbed5fp-9, -0x1.c9f40c34472c4p-9, -0x1.bebf32e74e17cp-9, -0x1.b3cbbe955a19p-9, -0x1.a9184a5441c84p-9, -0x1.9ea37856b610fp-9, -0x1.946bf19334f8ap-9, -0x1.8a7065d0c6caap-9, -0x1.80af8b9c274ffp-9, -0x1.77282006d946ap-9, -0x1.6dd8e6aebd1f5p-9, -0x1.64c0a98574679p-9, -0x1.5bde38e81f65ep-9, -0x1.53306b5273ec9p-9, -0x1.4ab61d31bb746p-9, -0x1.426e30dc7e183p-9, -0x1.3a578e772a4c5p-9, -0x1.327123a6e9d49p-9, -0x1.2ab9e37fc06bcp-9, -0x1.2330c6a60a9ddp-9, -0x1.1bd4cb035ff99p-9, -0x1.14a4f3d0ab012p-9, -0x1.0da049988b66fp-9, -0x1.06c5da141c287p-9, -0x1.0014b8052942bp-9, -0x1.f317f61dab69bp-10, -0x1.e6557f14edf96p-10, -0x1.d9e04cc212463p-10, -0x1.cdb6a9dc92052p-10, -0x1.c1d6e9ddc9e47p-10, -0x1.b63f68f582534p-10, -0x1.aaee8c0f52bb8p-10, -0x1.9fe2c0d8e289cp-10, -0x1.951a7dba1e14bp-10, -0x1.8a9441b3b3422p-10, -0x1.804e941f6dc0fp-10, -0x1.76480453af3a8p-10, -0x1.6c7f2939c2334p-10, -0x1.62f2a0f4f3198p-10, -0x1.59a1108cb2341p-10, -0x1.508923d04f792p-10, -0x1.47a98d584a136p-10, -0x1.3f0106a07edd2p-10, -0x1.368e503782f0cp-10, -0x1.2e5031dfe5b7p-10, -0x1.26457a9a51d98p-10, -0x1.1e6d008c02089p-10, -0x1.16c5a09656fep-10, -0x1.0f4e3dd7ae583p-10, -0x1.0805c16470b5ep-10, -0x1.00eb19ac83accp-10, -0x1.f3fa745adbf68p-11, -0x1.e67636ec9a228p-11, -0x1.d947767b3776dp-11, -0x1.cc6c3936cd0acp-11, -0x1.bfe290439513ep-11, -0x1.b3a8988a4ae8bp-11, -0x1.a7bc7b61493b5p-11, -0x1.9c1c6d709a007p-11, -0x1.90c6ae72b103ap-11, -0x1.85b9887e9a4ccp-11, -0x1.7af34f094d50bp-11, -0x1.70725df800a2dp-11, -0x1.663518edfa58fp-11, -0x1.5c39eadfa1c15p-11, -0x1.527f463443d1fp-11, -0x1.4903a51b7767dp-11, -0x1.3fc58a4d082bfp-11, -0x1.36c3817d888d5p-11, -0x1.2dfc1fdae0d0ap-11, -0x1.256e03d7ee0c3p-11, -0x1.1d17d4dac587ap-11, -0x1.14f842993f167p-11, -0x1.0d0e047db667ap-11, -0x1.0557d91a80e3ap-11, -0x1.fba90b5541e6dp-12, -0x1.ed05ab37d2791p-12, -0x1.dec3345afc427p-12, -0x1.d0df5456e1507p-12, -0x1.c357c57e8b5c6p-12, -0x1.b62a4e6f4571dp-12, -0x1.a954bf84edf06p-12, -0x1.9cd4ff71c1ee9p-12, -0x1.90a8fb96c55ccp-12, -0x1.84ceb0f9502a7p-12, -0x1.794427845c6d9p-12, -0x1.6e0771ba40f8bp-12, -0x1.6316aca7f6ffdp-12, -0x1.58700075a5ec4p-12, -0x1.4e11a0e32be46p-12, -0x1.43f9cd10f368cp-12, -0x1.3a26ce956ebdcp-12, -0x1.3096f86b910dap-12, -0x1.2748a66de7f6ep-12, -0x1.1e3a3d9e6d7e8p-12, -0x1.156a2ce23b37ep-12, -0x1.0cd6ed51dbe6fp-12, -0x1.047f0181c2594p-12, -0x1.f8c1e7af3d634p-13, -0x1.e8f6a9a712082p-13, -0x1.d99974c7157ep-13, -0x1.caa781a04954ep-13, -0x1.bc1e198b73fdcp-13, -0x1.adfa9a87ff56bp-13, -0x1.a03a78a64a1a8p-13, -0x1.92db3c7f1c5b5p-13, -0x1.85da801ddee8ap-13, -0x1.7935ec81e404dp-13, -0x1.6ceb38edad223p-13, -0x1.60f82b9ba7119p-13, -0x1.555a9991d23c2p-13, -0x1.4a10646a81deap-13, -0x1.3f177916d6919p-13, -0x1.346dca14e4c64p-13, -0x1.2a114c9798e5cp-13, -0x1.1ffffa40784d8p-13, -0x1.1637d5424cbb4p-13, -0x1.0cb6eda055567p-13, -0x1.037b64be49665p-13, -0x1.f506dbb73a159p-14, -0x1.e39a9704ad24p-14, -0x1.d2ae993403017p-14, -0x1.c23f9924e5a51p-14, -0x1.b24a6b8d5724dp-14, -0x1.a2cc060ccc80ep-14, -0x1.93c17d3f49399p-14, -0x1.8527f463d8b05p-14, -0x1.76fc9251c1cap-14, -0x1.693c7cab17cbp-14, -0x1.5be4db3a19596p-14, -0x1.4ef2e2113b614p-14, -0x1.4263d67f8db6ap-14, -0x1.36350e11e89f8p-14, -0x1.2a63eafae3ef4p-14, -0x1.1eedd9a1e217p-14, -0x1.13d05070f951cp-14, -0x1.0908d1c363d46p-14, -0x1.fd29e670bab3fp-15, -0x1.e8e4d43f69d21p-15, -0x1.d53e30ec92372p-15, -0x1.c2321ae2bfbe9p-15, -0x1.afbce923e4ba1p-15, -0x1.9ddaf3a479629p-15, -0x1.8c886c415d9e2p-15, -0x1.7bc163b7d5fcep-15, -0x1.6b81f2ee634ecp-15, -0x1.5bc664379d32ap-15, -0x1.4c8b3bfd0bc75p-15, -0x1.3dcd22961aad5p-15, -0x1.2f88b8cbb3b0ep-15, -0x1.21ba8de371bedp-15, -0x1.145f1794ea91cp-15, -0x1.0772c90c90b3p-15, -0x1.f5e44e8431cfbp-16, -0x1.ddb3bad1bdb93p-16, -0x1.c64db4d36b8ap-16, -0x1.afacd73f68f09p-16, -0x1.99cc6b5678946p-16, -0x1.84a7fd30da38dp-16, -0x1.703adb25b52b6p-16, -0x1.5c7fe73dddd21p-16, -0x1.4971d67c8f76p-16, -0x1.370b9acc8e5c8p-16, -0x1.25489d5855c8ap-16, -0x1.1424adb906dc5p-16, -0x1.039bc6555a7eap-16, -0x1.e75397e04becap-17, -0x1.c894c43c8006fp-17, -0x1.aaf1cbb3410dcp-17, -0x1.8e613f81d6498p-17, -0x1.72d9efadc846bp-17, -0x1.585316b4fb838p-17, -0x1.3ec4863d81dap-17, -0x1.2626d5f06d59dp-17, -0x1.0e7372d7a1e7ep-17, -0x1.ef488b632e6e6p-18, -0x1.c3663a8c87004p-18, -0x1.9932e2f7492fap-18, -0x1.70a16ffaea737p-18, -0x1.49a5ab8f079adp-18, -0x1.24344b9a431d4p-18, -0x1.0042719312c7dp-18, -0x1.bb8b007a9c6fdp-19, -0x1.796673790dd57p-19, -0x1.3a02f58a38c0fp-19, -0x1.fa967f0da1affp-20, -0x1.86511ebaddee1p-20, -0x1.17075132b8e4bp-20, -0x1.591a4c5cf19cbp-21, -0x1.1aecba312ce89p-22, 0x1.a929f06f83fe4p-24, 0x1.ddfdc601f8edcp-22, 0x1.a05dbf15ea1ebp-21, 0x1.24c4eddc4457dp-20, 0x1.756659cb996e1p-20, 0x1.c2377492411d7p-20, 0x1.05ac1e79cc4bbp-19, 0x1.287135ee8b1a5p-19, 0x1.4976af2c02191p-19, 0x1.68c99019c46ecp-19, 0x1.86782c13bf01cp-19, 0x1.a29075fd03bd4p-19, 0x1.bd1f33042cc43p-19, 0x1.d63081a20f32p-19, 0x1.edd0ba54bf865p-19, 0x1.020666598efap-18, 0x1.0c7917c046797p-18, 0x1.1646ba30955d5p-18, 0x1.1f74a0c5cba58p-18, 0x1.28074b8c5db16p-18, 0x1.300342d6cc034p-18, 0x1.376ddb59e320dp-18, 0x1.3e4d01e0b0881p-18, 0x1.44a6ae723e377p-18, 0x1.4a808ae78e5d2p-18, 0x1.4fdf465e8c72ep-18, 0x1.54c660cd65e49p-18, 0x1.5939485461f62p-18, 0x1.5d3c218fe2ff6p-18, 0x1.60d3401e2262fp-18, 0x1.6402ae9bdf718p-18, 0x1.66ce50c9095bap-18, 0x1.6939d906db234p-18, 0x1.6b48ac7e96ff1p-18, 0x1.6cfe10d1dee62p-18, 0x1.6e5d6914605c2p-18, 0x1.6f6a4b41e5f54p-18, 0x1.702838a59bb82p-18, 0x1.709a2993e66e5p-18, 0x1.70c29bed32673p-18, 0x1.70a3ff6fea5ep-18, 0x1.70414ad0a1947p-18, 0x1.6f9dee1e7b2fap-18, 0x1.6ebd31ca3429ap-18, 0x1.6da1eeae17455p-18, 0x1.6c4e647872c98p-18, 0x1.6ac43f1bffdf9p-18, 0x1.690594b61100cp-18, 0x1.67153a0fd983dp-18, 0x1.64f5ca602d36cp-18, 0x1.62a971142763cp-18, 0x1.603266123f13ep-18, 0x1.5d92ce1f14ca3p-18, 0x1.5acc7d936d279p-18, 0x1.57e11a14ea36dp-18, 0x1.54d24e713bb2fp-18, 0x1.51a1d01f5767dp-18, 0x1.4e515e24c4911p-18, 0x1.4ae2bf8ff481fp-18, 0x1.4757a43a74cc4p-18, 0x1.43b188c6d5acfp-18, 0x1.3ff1c62576c89p-18, 0x1.3c19ce882f3d8p-18, 0x1.382b5bbffd8f1p-18, 0x1.3428001dcc6a6p-18, 0x1.30110c8c43123p-18, 0x1.2be7895c1a662p-18, 0x1.27ac8ae19c116p-18, 0x1.2361394b9824p-18, 0x1.1f06f2b55f8bbp-18, 0x1.1a9ebd2504b82p-18, 0x1.16298a8afb5b2p-18, 0x1.11a8a60022e08p-18, 0x1.0d1d709264d2p-18, 0x1.0889108db95d2p-18, 0x1.03ec458461a14p-18, 0x1.fe8f5bc3ad75fp-19, 0x1.f53846c541ee1p-19, 0x1.ebd51e431fb5bp-19, 0x1.e267675c9e0dap-19, 0x1.d8f0a63919795p-19, 0x1.cf7283842ba0dp-19, 0x1.c5ee9aecbd819p-19, 0x1.bc665389c8e2bp-19, 0x1.b2daeab93ff6dp-19, 0x1.a94db120cdd6bp-19, 0x1.9fc01d1c67427p-19, 0x1.96333f7331eb7p-19, 0x1.8ca7f4ba05b3ep-19, 0x1.831f90fc6beaep-19, 0x1.799b3595bef12p-19, 0x1.701be925ccc3bp-19, 0x1.66a23f30a0f5ap-19, 0x1.5d2f26b1d21ddp-19, 0x1.53c5517c11d43p-19, 0x1.4a67455dcc104p-19, 0x1.41105f27673bap-19, 0x1.37c1ab60a019p-19, 0x1.2e816ed543687p-19, 0x1.2549ad2847c26p-19, 0x1.1c1d8bf10c5cbp-19, 0x1.1302059e11265p-19, 0x1.09f56f53d7891p-19, 0x1.00f7064d07f34p-19, 0x1.f00eaccae3dcdp-20, 0x1.de4e2ba102895p-20, 0x1.ccae3507bc3d5p-20, 0x1.bb3004af22818p-20, 0x1.a9d45c9f8b184p-20, 0x1.989c0d35116a1p-20, 0x1.8787f9c7d247dp-20, 0x1.7698cd5091617p-20, 0x1.65cf9c6e5bbebp-20, 0x1.552ddbd52aa26p-20, 0x1.44b4255ba47edp-20, 0x1.34623560fb2f8p-20, 0x1.24384d84d5832p-20, 0x1.14373bc4dba09p-20, 0x1.045f6d92fcc41p-20, 0x1.e9632f37f5c67p-21, 0x1.ca5daa7204833p-21, 0x1.abaf8d4039834p-21, 0x1.8d592167bb534p-21, 0x1.6f5aabe843463p-21, 0x1.51b4c3bcff378p-21, 0x1.34681781bcd7p-21, 0x1.177532236b572p-21, 0x1.f5b922e1b49cap-22, 0x1.bd3cf1696f46ep-22, 0x1.8576d8f7e24abp-22, 0x1.4e681668ac268p-22, 0x1.181192f818672p-22, 0x1.c4e7909e51bd9p-23, 0x1.5b1dacaf5771p-23, 0x1.e58b7af39849bp-24, 0x1.17c0c45a9fe59p-24, 0x1.336fdf0c7558ep-26, -0x1.ec85c71f267edp-26, -0x1.40349b1fa4819p-24, -0x1.012f7f011da5bp-23, -0x1.60d0ad1759b79p-23, -0x1.befd8045c1d39p-23, -0x1.0ddb2c1d3632bp-22, -0x1.3b7de1edfe07cp-22, -0x1.686731134359dp-22, -0x1.949772592590fp-22, -0x1.c00f087b17bffp-22, -0x1.eace636faddc6p-22, -0x1.0a6b023a14d59p-21, -0x1.1f133f34b624ap-21, -0x1.3360474c29e5bp-21, -0x1.475299d59800cp-21, -0x1.5aea5a2dfc4ccp-21, -0x1.6e230e90f390dp-21, -0x1.8113884c8bd05p-21, -0x1.93924e539f7cfp-21, -0x1.a5c59b2a82aecp-21, -0x1.b7a081e22b8afp-21, -0x1.c9215ea5d37cep-21, -0x1.da4ad4f13d1c6p-21, -0x1.eb1d6dd1f1e1dp-21, -0x1.fb99a00afb92fp-21, -0x1.05dff77307103p-20, -0x1.0dc8752d40a16p-20, -0x1.15868a3ecbedep-20, -0x1.1d1a8745665f1p-20, -0x1.2484b48279f5ap-20, -0x1.2bc55ee935304p-20, -0x1.32dcd8c2ae6bdp-20, -0x1.39cb78a89d265p-20, -0x1.4091996d05e92p-20, -0x1.472f91402a3bbp-20, -0x1.4da59d2026687p-20, -0x1.53f3e74fe2b52p-20, -0x1.5a1acfa203d0fp-20, -0x1.601ada7807d85p-20, -0x1.65f44137fafc8p-20, -0x1.6ba73f238e159p-20, -0x1.71344d09a733dp-20, -0x1.769bdf6c29126p-20, -0x1.7bde4fe973024p-20, -0x1.80fbed13635e1p-20, -0x1.85f5096b3f34fp-20, -0x1.8ac9fbb2f4745p-20, -0x1.8f7b1b6da7ad2p-20, -0x1.9408c1e92d573p-20, -0x1.987349223b02bp-20, -0x1.9cbb0b73dc7fp-20, -0x1.a0e063a9b37ddp-20, -0x1.a4e3ad074b614p-20, -0x1.a8c5433efbb7fp-20, -0x1.ac85828bc3297p-20, -0x1.b024c7709a5b4p-20, -0x1.b3a36eda893fep-20, -0x1.b701d655c6f3dp-20, -0x1.ba405b8b924eep-20, -0x1.bd5f5bfb19df8p-20, -0x1.c05f34e0d5fa1p-20, -0x1.c34042e7711dcp-20, -0x1.c602e20e0417p-20, -0x1.c8a76e34d9b68p-20, -0x1.cb2e44c1f0408p-20, -0x1.cd97c5d506686p-20, -0x1.cfe45202560bp-20, -0x1.d2144548013b2p-20, -0x1.d427f573dc66bp-20, -0x1.d61fb653dd3adp-20, -0x1.d7fbdf5d09dfbp-20, -0x1.d9bcd063273fap-20, -0x1.db62d380634abp-20, -0x1.dcee449fbd502p-20, -0x1.de5fa4d1a6975p-20, -0x1.dfb792d8be6bbp-20, -0x1.e0f71dfc21ff2p-20, -0x1.e21e93ce17eafp-20, -0x1.e32699b450d2cp-20, -0x1.e414306c4f7c9p-20, -0x1.e4f1102e97c65p-20, -0x1.e5b526865d174p-20, -0x1.e6692aa937cd7p-20, -0x1.e6fc83f88001dp-20, -0x1.e778877b75265p-20, -0x1.e7df943eac34dp-20, -0x1.e8312a87020ep-20, -0x1.e86d1eb8feb45p-20, -0x1.e89373b33cf25p-20, -0x1.e8a5569ec61dp-20, -0x1.e8a1bf0a4c851p-20, -0x1.e88a533274884p-20, -0x1.e85e8f241d88bp-20, -0x1.e81efe8ffb4c2p-20, -0x1.e7cbf1d4dc8a3p-20, -0x1.e7659229efceep-20, -0x1.e6eca54c4faeap-20, -0x1.e6615672a08bbp-20, -0x1.e5c3ac67e40ccp-20, -0x1.e5141cc3b1866p-20, -0x1.e452fde5f7538p-20, -0x1.e3809db7fb09bp-20, -0x1.e29d49773934fp-20, -0x1.e1a94ddf4af85p-20, -0x1.e0a4f79d1d3f3p-20, -0x1.df9093c48d486p-20, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.f691e1225423fp-8, 0x1.b37353d319c31p-7, 0x1.1644feaffcafp-6, 0x1.45bdaac2a0bd1p-6, 0x1.7de5dff9476a7p-6, 0x1.d1a0cf8da9ff1p-6, 0x1.27420ebe01eb7p-5, 0x1.7e32364fecd4bp-5, 0x1.eeef3ea975a26p-5, 0x1.3c52c70ea935dp-4, 0x1.8c736145517d8p-4, 0x1.e614b3cacab09p-4, 0x1.238def646d50cp-3, 0x1.56a29c718d6d6p-3, 0x1.8b23df4df8c8dp-3, 0x1.bff7b8e5b2753p-3, 0x1.f417ef60976c9p-3, 0x1.134c07e6199b2p-2, 0x1.2b546bcecb056p-2, 0x1.41cccf810de2ap-2, 0x1.566c23c7744fcp-2, 0x1.68f80e53080f2p-2, 0x1.7943fef430c6fp-2, 0x1.87300c9219efap-2, 0x1.92a7b470b1fa9p-2, 0x1.9ba08f7a0bf07p-2, 0x1.a2190bba9bf5ep-2, 0x1.a617333f84531p-2, 0x1.a7a787161f463p-2, 0x1.a6dbf0ec8b205p-2, 0x1.a3cacd05d27e6p-2, 0x1.9e8e0d6b2c455p-2, 0x1.97427460cdfb5p-2, 0x1.8e06e4f6f3f51p-2, 0x1.82fbc9932dbfap-2, 0x1.76428e3d44a97p-2, 0x1.67fd2c3bf9997p-2, 0x1.584dc5edc8018p-2, 0x1.475651bfad00cp-2, 0x1.353852b458f6ep-2, 0x1.22149c45ddb7ap-2, 0x1.0e0b2091ff91p-2, 0x1.f2758e3c73fdp-3, 0x1.c782989f88feep-3, 0x1.9b764f96afcd6p-3, 0x1.6e86f2112e08fp-3, 0x1.40e7f3a2c285fp-3, 0x1.12c9e9ed1706cp-3, 0x1.c8b505a9b8cfbp-4, 0x1.6b890337e6099p-4, 0x1.0e5f8548e24d8p-4, 0x1.630510b39dfcp-5, 0x1.54d9a0b994435p-6, -0x1.917f757d836a4p-10, -0x1.82e4873627dbap-6, -0x1.73dd4573171afp-5, -0x1.11b7156764591p-4, -0x1.67e7ce4d4d6d4p-4, -0x1.bc5aab883fb7cp-4, -0x1.0776ec9e4581dp-3, -0x1.2fc1ce3a2d3aep-3, -0x1.570108c647cfap-3, -0x1.7d297e464ccd4p-3, -0x1.a231c0a47403ep-3, -0x1.c611fee01ee59p-3, -0x1.e8c3dda719f2bp-3, -0x1.052134b46f97dp-2, -0x1.1544f7f3a05b7p-2, -0x1.24cbf8218499p-2, -0x1.33b57fe33e0fdp-2, -0x1.420156f2742fcp-2, -0x1.4fafbd82a3d86p-2, -0x1.5cc158aa081f8p-2, -0x1.693732665fa7dp-2, -0x1.7512a81cac81fp-2, -0x1.805566164519ap-2, -0x1.8b015fc56302p-2, -0x1.9518c3c3488f7p-2, -0x1.9e9dfab2d9db3p-2, -0x1.a7939b3bd16afp-2, -0x1.affc66fc3ed95p-2, -0x1.b7db4437809fap-2, -0x1.bf33377ff7ac8p-2, -0x1.c60760975d477p-2, -0x1.cc5af47ebca9fp-2, -0x1.d2313a60a6af4p-2, -0x1.d78d87665bf02p-2, -0x1.dc733b6da1e1cp-2, -0x1.e0e5bdf2c7059p-2, -0x1.e4e87b31a8c3ep-2, -0x1.e87ee199cdc97p-2, -0x1.ebac5f5bd079dp-2, -0x1.ee74605e0690bp-2, -0x1.f0da4c194a1d2p-2, -0x1.f2e183fab687fp-2, -0x1.f48d619ed6a0ap-2, -0x1.f5e135672e304p-2, -0x1.f6e0452397c64p-2, -0x1.f78dcad0bae2p-2, -0x1.f7ecf39af9a5p-2, -0x1.f800ded8e80abp-2, -0x1.f7cc9d384b8a8p-2, -0x1.f7533010a2b2bp-2, -0x1.f69788b0b8ce4p-2, -0x1.f59c87e525267p-2, -0x1.f464fd861851p-2, -0x1.f2f3a8102ae18p-2, -0x1.f14b347163878p-2, -0x1.ef6e3dce5d8c3p-2, -0x1.ed5f4d5459c3dp-2, -0x1.eb20da3822e13p-2, -0x1.e8b549ae84097p-2, -0x1.e61eeee77ea71p-2, -0x1.e3600b38d5bc5p-2, -0x1.e07ace35a0e37p-2, -0x1.dd7155cd233d3p-2, -0x1.da45ae8f31d2fp-2, -0x1.d6f9d3e1a73afp-2, -0x1.d38fb0344c4b2p-2, -0x1.d0091d4fa5efbp-2, -0x1.cc67e4acc86c2p-2, -0x1.c8adbfab590e3p-2, -0x1.c4dc57f22009dp-2, -0x1.c0f547cd16e62p-2, -0x1.bcfa1a7751c3bp-2, -0x1.b8ec4c76672b2p-2, -0x1.b4cd4c048e585p-2, -0x1.b09e79637235cp-2, -0x1.ac6127355c8afp-2, -0x1.a8169ae48fc0dp-2, -0x1.a3c00d01dfd8cp-2, -0x1.9f5ea99a482bbp-2, -0x1.9af3909857dbdp-2, -0x1.967fd62333775p-2, -0x1.920482f5f7a23p-2, -0x1.8d8294bb036dap-2, -0x1.88fafe64bfafbp-2, -0x1.846ea88679b65p-2, -0x1.7fde71a69a20cp-2, -0x1.7b4b2e9c32e08p-2, -0x1.76b5aad2c827ep-2, -0x1.721ea8a6d2225p-2, -0x1.6d86e1b567238p-2, -0x1.68ef07231846p-2, -0x1.6457c1e7a2c63p-2, -0x1.5fc1b31caaef7p-2, -0x1.5b2d7442e3209p-2, -0x1.569b9788c8503p-2, -0x1.520ca806af6bap-2, -0x1.4d812a0aa8d4ap-2, -0x1.48f99b52ac2aap-2, -0x1.4476734d218d9p-2, -0x1.3ff8234f4e304p-2, -0x1.3b7f16d178259p-2, -0x1.370bb3add0061p-2, -0x1.329e5a4b0ebaep-2, -0x1.2e3765d8c1514p-2, -0x1.29d72c7e6b045p-2, -0x1.257dff8bf9ee3p-2, -0x1.212c2badf4c6ep-2, -0x1.1ce1f9151da05p-2, -0x1.189faba1f7783p-2, -0x1.14658317de733p-2, -0x1.1033bb39da067p-2, -0x1.0c0a8bf97a661p-2, -0x1.07ea29a033efdp-2, -0x1.03d2c4ed71828p-2, -0x1.ff89166eae40ap-3, -0x1.f77f4d28881b8p-3, -0x1.ef887bf75602p-3, -0x1.e7a4eac43154cp-3, -0x1.dfd4dbaec0de2p-3, -0x1.d8188b4563cb3p-3, -0x1.d07030c9382cfp-3, -0x1.c8dbfe5d56f5cp-3, -0x1.c15c214160841p-3, -0x1.b9f0c1f8324ffp-3, -0x1.b29a047ab14dfp-3, -0x1.ab5808704ea03p-3, -0x1.a42ae95ebeb93p-3, -0x1.9d12bec94070cp-3, -0x1.960f9c608d53ap-3, -0x1.8f21921ee7a57p-3, -0x1.8848ac84b40c9p-3, -0x1.8184f4b9cdc7ap-3, -0x1.7ad670aafd541p-3, -0x1.743d23269793p-3, -0x1.6db90c035403p-3, -0x1.674a28482e5ffp-3, -0x1.60f0724bdc56dp-3, -0x1.5aabe1d23294bp-3, -0x1.547c6c1e0f0edp-3, -0x1.4e62040dc7c75p-3, -0x1.485c9a444834bp-3, -0x1.426c1d422f337p-3, -0x1.3c90797d157f5p-3, -0x1.36c999718b55bp-3, -0x1.311765b8806ccp-3, -0x1.2b79c5230c792p-3, -0x1.25f09cd6c0eadp-3, -0x1.207bd06201f99p-3, -0x1.1b1b41d07cb73p-3, -0x1.15ced1b37b3c3p-3, -0x1.10965f3801d1fp-3, -0x1.0b71c841a9183p-3, -0x1.0660e97d4e374p-3, -0x1.01639e72cda86p-3, -0x1.f8f38321e26dcp-4, -0x1.ef4658746e88bp-4, -0x1.e5bf6da98f614p-4, -0x1.dc5e71bd0604bp-4, -0x1.d32311ffad52fp-4, -0x1.ca0cfa2e4552p-4, -0x1.c11bd488db14ap-4, -0x1.b84f49e8cb80bp-4, -0x1.afa701d00bd02p-4, -0x1.a722a2959c311p-4, -0x1.9ec1d17cbe69cp-4, -0x1.968432cd3c1c1p-4, -0x1.8e6969e52f1ap-4, -0x1.867119480f7e8p-4, -0x1.7e9ae2b183e37p-4, -0x1.76e6672cf6245p-4, -0x1.6f53472ea30fdp-4, -0x1.67e122a932bfep-4, -0x1.608f991daee9fp-4, -0x1.595e49a7101e2p-4, -0x1.524cd307d1a44p-4, -0x1.4b5ad3bd749c1p-4, -0x1.4487ea0accb4ap-4, -0x1.3dd3b41343dfap-4, -0x1.373dcfe7ec2cfp-4, -0x1.30c5db9209335p-4, -0x1.2a6b751d9db29p-4, -0x1.242e3aa37a042p-4, -0x1.1e0dca559d839p-4, -0x1.1809c28d9704bp-4, -0x1.1221c1daaca3fp-4, -0x1.0c55670dca4eap-4, -0x1.06a451429e21fp-4, -0x1.010e1fe6fb0cep-4, -0x1.f724e5848cb4cp-5, -0x1.ec61d3fba4bfcp-5, -0x1.e1d24c5d926f7p-5, -0x1.d77590c6beab4p-5, -0x1.cd4ae44eaa171p-5, -0x1.c3518b1c15915p-5, -0x1.b988ca71e461fp-5, -0x1.afefe8b5b8985p-5, -0x1.a6862d7c5fb68p-5, -0x1.9d4ae196f2cc7p-5, -0x1.943d4f20de712p-5, -0x1.8b5cc18d8c161p-5, -0x1.82a885b3ee384p-5, -0x1.7a1fe9d79d73ap-5, -0x1.71c23db00522ap-5, -0x1.698ed26ef25dfp-5, -0x1.6184fac7b1211p-5, -0x1.59a40af741806p-5, -0x1.51eb58cd27547p-5, -0x1.4a5a3bb3cfa4p-5, -0x1.42f00cb618759p-5, -0x1.3bac26881971ap-5, -0x1.348de5898b9c8p-5, -0x1.2d94a7c60a6ddp-5, -0x1.26bfccfdcfc7ep-5, -0x1.200eb6a7250d4p-5, -0x1.1980c7f280324p-5, -0x1.131565cfdc69p-5, -0x1.0ccbf6f21b506p-5, -0x1.06a3e3d1ea49dp-5, -0x1.009c96af6476bp-5, -0x1.f56af725453fcp-6, -0x1.e9dc009aea408p-6, -0x1.de8b28f73be4ap-6, -0x1.d377530704bdap-6, -0x1.c89f653016819p-6, -0x1.be024973a51afp-6, -0x1.b39eed6fb6af9p-6, -0x1.a974425f4b08ep-6, -0x1.9f813d18f99f8p-6, -0x1.95c4d60c28c53p-6, -0x1.8c3e093d217bbp-6, -0x1.82ebd6438e89bp-6, -0x1.79cd4048a44e6p-6, -0x1.70e14e0165911p-6, -0x1.682709b1d3145p-6, -0x1.5f9d8129ab1f6p-6, -0x1.5743c5c067846p-6, -0x1.4f18ec505d48cp-6, -0x1.471c0d31ee99ep-6, -0x1.3f4c4433f6078p-6, -0x1.37a8b094dd724p-6, -0x1.303074fc220b9p-6, -0x1.28e2b774eac66p-6, -0x1.21bea169fb1aep-6, -0x1.1ac35fa27127ep-6, -0x1.13f0223e880d1p-6, -0x1.0d441cb31a17bp-6, -0x1.06be85c2dcfc4p-6, -0x1.005e9774d9732p-6, -0x1.f4471e113b2c8p-7, -0x1.e81959d3b1509p-7, -0x1.dc32694abfb2p-7, -0x1.d090d9c2cadbdp-7, -0x1.c5333eb27b90bp-7, -0x1.ba1831b838cf2p-7, -0x1.af3e529bff49ep-7, -0x1.a4a4474b29f3p-7, -0x1.9a48bbc934bdbp-7, -0x1.902a621a8156p-7, -0x1.8647f21fbb6b6p-7, -0x1.7ca0296c099aap-7, -0x1.7331cb1f39485p-7, -0x1.69fb9fc9ea7f4p-7, -0x1.60fc75684e7cep-7, -0x1.58331f5d00fbdp-7, -0x1.4f9e7690fd457p-7, -0x1.473d5978006fdp-7, -0x1.3f0eac2035caap-7, -0x1.3711581b2099bp-7, -0x1.2f444c589154fp-7, -0x1.27a67ce6641e3p-7, -0x1.2036e2a73e804p-7, -0x1.18f47b17147abp-7, -0x1.11de4829c53d7p-7, -0x1.0af350416a18dp-7, -0x1.04329e5e9043cp-7, -0x1.fb36848f6d78fp-8, -0x1.ee58a19a17a18p-8, -0x1.e1c9c7c79fa0ep-8, -0x1.d5883539781d8p-8, -0x1.c99231d357a4bp-8, -0x1.bde60e6ee4336p-8, -0x1.b28223e7c95dbp-8, -0x1.a764d23c840b1p-8, -0x1.9c8c80017d222p-8, -0x1.91f79a5616e32p-8, -0x1.87a4955ad9d6p-8, -0x1.7d91ed0c3b8e6p-8, -0x1.73be263fec5p-8, -0x1.6a27cf710465bp-8, -0x1.60cd810f7bbcp-8, -0x1.57addd240b0ffp-8, -0x1.4ec78e4cbf51ap-8, -0x1.4619464310b94p-8, -0x1.3da1bc46426f8p-8, -0x1.355fabd537d85p-8, -0x1.2d51d412ca798p-8, -0x1.2576f807812c5p-8, -0x1.1dcddfb7cd0c8p-8, -0x1.165559c8e5154p-8, -0x1.0f0c3d41af93ep-8, -0x1.07f16ae494827p-8, -0x1.0103cdb3e4773p-8, -0x1.f484b4c91896ap-9, -0x1.e7581b90f5e92p-9, -0x1.da7fd50eb9ea2p-9, -0x1.cdf9ed587d12ap-9, -0x1.c1c4734beb24fp-9, -0x1.b5dd7688f8844p-9, -0x1.aa4307fd7533ap-9, -0x1.9ef33cf8083d8p-9, -0x1.93ec340e9baffp-9, -0x1.892c1a9fcd315p-9, -0x1.7eb1317e2a305p-9, -0x1.7479cf79a106ep-9, -0x1.6a8460fe206d4p-9, -0x1.60cf64ac69d89p-9, -0x1.57596598e33b2p-9, -0x1.4e20f47b0cbf5p-9, -0x1.4524a163f6913p-9, -0x1.3c62f779afb03p-9, -0x1.33da7bdfeef74p-9, -0x1.2b89b01ff1205p-9, -0x1.236f177c5cf78p-9, -0x1.1b893e229b3fp-9, -0x1.13d6c06a64ecp-9, -0x1.0c5650580a37p-9, -0x1.0506b7f7fdda7p-9, -0x1.fbcdafd66cf12p-10, -0x1.edeb44c70fc83p-10, -0x1.e06427633a5f8p-10, -0x1.d33654039ec62p-10, -0x1.c65fbc40811abp-10, -0x1.b9de3d882f84dp-10, -0x1.adaf9f072b11p-10, -0x1.a1d1972fca196p-10, -0x1.9641d8353864dp-10, -0x1.8afe209a152fcp-10, -0x1.80044c26ae48cp-10, -0x1.755261128ce68p-10, -0x1.6ae696132993dp-10, -0x1.60bf4fe686e71p-10, -0x1.56db173bc7e73p-10, -0x1.4d3889adc1763p-10, -0x1.43d649bd75f6p-10, -0x1.3ab2effe8546cp-10, -0x1.31ccffe74928bp-10, -0x1.2922e62687c13p-10, -0x1.20b2f66805af1p-10, -0x1.187b7662a2bf5p-10, -0x1.107aaaff19912p-10, -0x1.08aee98c04765p-10, -0x1.0116a77eeab3p-10, -0x1.f3610864c2db2p-11, -0x1.e4f6935c6f8e3p-11, -0x1.d6ebc9aea998fp-11, -0x1.c93eb1275ba66p-11, -0x1.bbed612e0a3abp-11, -0x1.aef5ee6288475p-11, -0x1.a2565d8c3e43p-11, -0x1.960c9b3b94e24p-11, -0x1.8a1675c050675p-11, -0x1.7e719ac8d2204p-11, -0x1.731b9d5d6ddc5p-11, -0x1.681208378aca8p-11, -0x1.5d527a9e50829p-11, -0x1.52dac65f88d5p-11, -0x1.48a9019cd677bp-11, -0x1.3ebb82fcbe684p-11, -0x1.3510c9963b893p-11, -0x1.2ba75d8d12038p-11, -0x1.227dba91431c5p-11, -0x1.19924e8f174a7p-11, -0x1.10e388c26c8fp-11, -0x1.086fea247b5f6p-11, -0x1.00360834acf43p-11, -0x1.f068fda4549b6p-12, -0x1.e0d3b90e6abb9p-12, -0x1.d1a933cdf5ca1p-12, -0x1.c2e64d110bd8dp-12, -0x1.b4880cff208f3p-12, -0x1.a68bdd43cb1edp-12, -0x1.98ef98cfdf727p-12, -0x1.8bb16007e399fp-12, -0x1.7ecf409e63f66p-12, -0x1.7246dfba8bb77p-12, -0x1.66155cd94454p-12, -0x1.5a3787ee1ec57p-12, -0x1.4eaa51a774989p-12, -0x1.436b3451704e7p-12, -0x1.387855c28ac97p-12, -0x1.2dd04ffa93a1dp-12, -0x1.2371ccb19de94p-12, -0x1.195b3ba31366cp-12, -0x1.0f8ad2cf80f37p-12, -0x1.05fecebc9316p-12, -0x1.f96b7b35122afp-13, -0x1.e75d3f31902bcp-13, -0x1.d5d1839c59452p-13, -0x1.c4c6b792372f7p-13, -0x1.b43a2fff4dceap-13, -0x1.a42788282a018p-13, -0x1.9488bdb0eb60ap-13, -0x1.85571dfed203bp-13, -0x1.768ca339b3563p-13, -0x1.68250f9b4f7b6p-13, -0x1.5a1e2fb45de95p-13, -0x1.4c7729908d8dep-13, -0x1.3f2f57ec96002p-13, -0x1.3245754576f79p-13, -0x1.25b78c5b6361bp-13, -0x1.1983881ff75fep-13, -0x1.0da7e16ee1f5bp-13, -0x1.0223f8ddb4e7ep-13, -0x1.edefbe0a78f61p-14, -0x1.d8473e2c103bdp-14, -0x1.c34cad65956cp-14, -0x1.aefb2c7d3b00ap-14, -0x1.9b4a8a2c5b364p-14, -0x1.88302ac34a919p-14, -0x1.75a0ddafcd3bep-14, -0x1.639306e8fbc39p-14, -0x1.520033388536cp-14, -0x1.40e56e8ac58d4p-14, -0x1.3042532ae2dd4p-14, -0x1.20175b655c85fp-14, -0x1.106457116e1dep-14, -0x1.0127bc4fef24fp-14, -0x1.e4be106cbd092p-15, -0x1.c80fee52c9141p-15, -0x1.ac4375d69b148p-15, -0x1.9159db60c82c6p-15, -0x1.77543d1e392b2p-15, -0x1.5e30c1ed9100ap-15, -0x1.45e9ff9a4ee43p-15, -0x1.2e77e9b62211fp-15, -0x1.17d09abdec47dp-15, -0x1.01e8b448dbca6p-15, -0x1.d967f159ce07bp-16, -0x1.b04c4f21add7fp-16, -0x1.8868176968095p-16, -0x1.61ab0d65efbe1p-16, -0x1.3c100b23e4861p-16, -0x1.179ca080e4e1dp-16, -0x1.e8b174ab668d5p-17, -0x1.a489b82ae36ebp-17, -0x1.62b1ae84a208ap-17, -0x1.23180f0cc8372p-17, -0x1.cb6f103036858p-18, -0x1.55218828c35d6p-18, -0x1.c67a95e6b1463p-19, -0x1.d69d90b7df2b4p-20, -0x1.87a9fde018053p-23, 0x1.64839f2bb5275p-20, 0x1.7517ba47ac38cp-19, 0x1.1817c5d9a5b1bp-18, 0x1.71dc586dade88p-18, 0x1.c7fd45e80de55p-18, 0x1.0d5a69fc7b794p-17, 0x1.352a8e2ed832cp-17, 0x1.5b92c4b47300ap-17, 0x1.809a637a43c9fp-17, 0x1.a4312411c7b53p-17, 0x1.c64c8d5d9ff12p-17, 0x1.e6f534c1007c1p-17, 0x1.031af63f98215p-16, 0x1.1207c0f8f2f42p-16, 0x1.20420c711a2d5p-16, 0x1.2dcfab9137be2p-16, 0x1.3ab74e98c78fbp-16, 0x1.46fd69daad26cp-16, 0x1.52a5d215947d9p-16, 0x1.5db5343713b6ap-16, 0x1.682fa837612b5p-16, 0x1.7217428649513p-16, 0x1.7b6d2ef890129p-16, 0x1.843358cc1c71cp-16, 0x1.8c6d6ab858954p-16, 0x1.9423ea7390fb2p-16, 0x1.9b637cd391593p-16, 0x1.a23145b1d0754p-16, 0x1.a8886a77f1d5cp-16, 0x1.ae6a31330f8f5p-16, 0x1.b3e220c08aeap-16, 0x1.b8f55a2d50891p-16, 0x1.bd9de4db7924fp-16, 0x1.c1d8b90bc12a2p-16, 0x1.c5ab4fe2e67ap-16, 0x1.c91d3aebc4011p-16, 0x1.cc3259d27848fp-16, 0x1.ceea9603b381p-16, 0x1.d14614293b40ap-16, 0x1.d3480a1be8b07p-16, 0x1.d4f4e47442ee5p-16, 0x1.d64f82c051d23p-16, 0x1.d7594ee98d008p-16, 0x1.d813ee3e0b73cp-16, 0x1.d88104d8edbdap-16, 0x1.d8a23af1a2a24p-16, 0x1.d87cff30e3f14p-16, 0x1.d81648476aefcp-16, 0x1.d769a1d3b3439p-16, 0x1.d674b84e48791p-16, 0x1.d53fe6f1e1fcap-16, 0x1.d3d05ae80dadfp-16, 0x1.d225f1327daa7p-16, 0x1.d04371309101fp-16, 0x1.ce2b2fff86b52p-16, 0x1.cbdd68028cc9p-16, 0x1.c95becfecc4a3p-16, 0x1.c6a98e0f0d75cp-16, 0x1.c3c6721bb6beap-16, 0x1.c0b1b0a02bb52p-16, 0x1.bd6d1b3601662p-16, 0x1.b9fc538b0d4bap-16, 0x1.b6621388b8a49p-16, 0x1.b29fa7a6bd114p-16, 0x1.aeb62b02cd529p-16, 0x1.aaa71dfc36fe9p-16, 0x1.a672bcb4f6e2ap-16, 0x1.a218eb3c68939p-16, 0x1.9d9d9071fed17p-16, 0x1.990304ce604d2p-16, 0x1.94489b17d46b8p-16, 0x1.8f71748c15af4p-16, 0x1.8a7c1783284ecp-16, 0x1.85661741d0aa8p-16, 0x1.80330c6822f2dp-16, 0x1.7ae830366a196p-16, 0x1.7588a6815752p-16, 0x1.7013bdf891ee5p-16, 0x1.6a881c86d507bp-16, 0x1.64e788e3e8213p-16, 0x1.5f33cdeb9ff72p-16, 0x1.596c2f7f7b37ep-16, 0x1.5390f8aa52cc5p-16, 0x1.4da4669bbde82p-16, 0x1.47a870f2fda68p-16, 0x1.419e14aad7f3cp-16, 0x1.3b85e6a622e24p-16, 0x1.3560c39964fcep-16, 0x1.2f2f87f5894afp-16, 0x1.28f1b818c94bbp-16, 0x1.22a7749119c53p-16, 0x1.1c53e5b99cdf9p-16, 0x1.15f82df93a9bbp-16, 0x1.0f955a1dbc46cp-16, 0x1.092a728d2ecb2p-16, 0x1.02b76f75bab68p-16, 0x1.f87c7718a6d7bp-17, 0x1.eb7f64aca755ap-17, 0x1.de77c886bbac4p-17, 0x1.d166d3f210b57p-17, 0x1.c44fe46625e6bp-17, 0x1.b734b9aa3d6b5p-17, 0x1.aa1532f1b9072p-17, 0x1.9cf34f8430638p-17, 0x1.8fd04244004f2p-17, 0x1.82ab48afadbadp-17, 0x1.7585e13ac4937p-17, 0x1.68625e3a4b145p-17, 0x1.5b4228944178cp-17, 0x1.4e2616ce02776p-17, 0x1.410ef44b482e1p-17, 0x1.33fdcc8735fb3p-17, 0x1.26f38d32af006p-17, 0x1.19f030c45c6e6p-17, 0x1.0cf4bbec4a83fp-17, 0x1.0003d8ab70394p-17, 0x1.e63cd9f539a18p-18, 0x1.cc87b418f8231p-18, 0x1.b2e9bf18f0617p-18, 0x1.9966535933129p-18, 0x1.7fff0bc6ca86ep-18, 0x1.66b53261ad43p-18, 0x1.4d8a327d0c90fp-18, 0x1.347f6f6216093p-18, 0x1.1b9603f108f46p-18, 0x1.02ced899e23e1p-18, 0x1.d457ad920dd03p-19, 0x1.a35e2e3c9f288p-19, 0x1.72b376fd3912ep-19, 0x1.4259983e734ccp-19, 0x1.12517984b695fp-19, 0x1.c53c072c8960cp-20, 0x1.668442ea46cc7p-20, 0x1.087fc67f1bd8bp-20, 0x1.5664d9c8a24d7p-21, 0x1.3a807b12af401p-22, -0x1.a668709a112dep-25, -0x1.a10fc67ecd38dp-22, -0x1.851c946ca5756p-21, -0x1.1c0ec49109496p-20, -0x1.74c1e7678a0dap-20, -0x1.cca47be438edbp-20, -0x1.11d9b270a781bp-19, -0x1.3cf5cc4d8b294p-19, -0x1.67a51b374167bp-19, -0x1.91e63d39d69f5p-19, -0x1.bbb7dd5712996p-19, -0x1.e518b5f267a0bp-19, -0x1.0703ca01cc457p-18, -0x1.1b41ab93d423fp-18, -0x1.2f4578358a87ap-18, -0x1.430eae860b3c7p-18, -0x1.569cad1ddf419p-18, -0x1.69eeab71ea4f9p-18, -0x1.7d048b6b1b366p-18, -0x1.8fddbef8099b1p-18, -0x1.a27c5379bddfep-18, -0x1.b4da0ccd3209cp-18, -0x1.c6fbe5c707fcp-18, -0x1.d8dff8f2270f4p-18, -0x1.ea859525d2f5cp-18, -0x1.fbec97eeccfdap-18, -0x1.068a5e680ec9ep-17, -0x1.0efef5828773p-17, -0x1.1753e5a7817a2p-17, -0x1.1f88eb0db4b43p-17, -0x1.279e4e5f41473p-17, -0x1.2f939a88be429p-17, -0x1.3768e9d34590cp-17, -0x1.3f1e389aecc01p-17, -0x1.46b36cda1c9fdp-17, -0x1.4e2878c93df2fp-17, -0x1.557d541491fa3p-17, -0x1.5cb1f87655d37p-17, -0x1.63c6608c0ff76p-17, -0x1.6aba88932865ap-17, -0x1.718e7188bc307p-17, -0x1.784220e3f0594p-17, -0x1.7ed59bd78b179p-17, -0x1.8548e8ef98cdfp-17, -0x1.8b9c1521650dfp-17, -0x1.91cf1a98b6d4ap-17, -0x1.97e1c7dbe3fc8p-17, -0x1.9dd49220889a8p-17, -0x1.a3a791eeb5d6bp-17, -0x1.a95a69c5c4216p-17, -0x1.aeed79c3eac33p-17, -0x1.b460deaaf76e6p-17, -0x1.b9b498d8c0b29p-17, -0x1.bee8b6647c02bp-17, -0x1.c3fd58a205d6bp-17, -0x1.c8f2af0d46958p-17, -0x1.cdc8b5a81b2eap-17, -0x1.d27f8d3719583p-17, -0x1.d717443a6fadfp-17, -0x1.db90207d46e0cp-17, -0x1.dfea3f809463dp-17, -0x1.e425b93764a3ep-17, -0x1.e842b0723ec99p-17, -0x1.ec414aee3db81p-17, -0x1.f021af9efdf03p-17, -0x1.f3e40681691cap-17, -0x1.f788787d52bbfp-17, -0x1.fb0f2f51805c3p-17, -0x1.fe78558d8b12fp-17, -0x1.00e20b6da073ap-16, -0x1.02795033c657dp-16, -0x1.040210802b215p-16, -0x1.057c64157d951p-16, -0x1.06e8624162ebap-16, -0x1.0846239ff6cd5p-16, -0x1.0995c4cabd52p-16, -0x1.0ad757f9bc7c2p-16, -0x1.0c0aeebe16a32p-16, -0x1.0d30b5a90565cp-16, -0x1.0e48b653120cdp-16, -0x1.0f5323ac71757p-16, -0x1.104fefe601f63p-16, -0x1.113f44d1b2133p-16, -0x1.122167953faebp-16, -0x1.12f65898846efp-16, -0x1.13be52736bc74p-16, -0x1.1479167fbf18ap-16, -0x1.1526f982814d6p-16, -0x1.15c8285ed9199p-16, -0x1.165cb58d83fb1p-16, -0x1.16e4ba95756a3p-16, -0x1.1760515e90c95p-16, -0x1.17cfa87d4c6bdp-16, -0x1.1832c4fe3c51fp-16, -0x1.1889dde9d8cc1p-16, -0x1.18d502577c6eep-16, -0x1.1914553e1c68cp-16, -0x1.1947f58af2ca4p-16, -0x1.196fffae95c6p-16, -0x1.198c9abc1d81p-16, -0x1.199de367a7846p-16, -0x1.19a3f449f8309p-16, -0x1.199eefa126b76p-16, -0x1.198ef5f57ecaep-16, -0x1.197427648fdfbp-16, -0x1.194ea363cadb1p-16, -0x1.191e88d1ac25ap-16, -0x1.18e3fab1ba4cdp-16, -0x1.189f214fdeaabp-16, }}, 
      {{-0x1.c0e67d59ebd8ap-1, -0x1.a41dca06e2acap-1, -0x1.8db4eb516be99p-1, -0x1.8486e91e1d8c1p-1, -0x1.8987b065604d9p-1, -0x1.9ad4c5da63028p-1, -0x1.b569036394121p-1, -0x1.d609ed81d59aep-1, -0x1.f9c0d9a05c568p-1, -0x1.0f0846a7334a5p+0, -0x1.208265e87e7ddp+0, -0x1.3096cef51bcf8p+0, -0x1.3ec86046a6873p+0, -0x1.4acb8be6f3b25p+0, -0x1.547cbcf5e1fap+0, -0x1.5bd758f6156c4p+0, -0x1.60edd0bf85811p+0, -0x1.63e2e887cb932p+0, -0x1.64e4355cc3e2fp+0, -0x1.6425b83f32449p+0, -0x1.61de756a6ea71p+0, -0x1.5e45e2babda19p+0, -0x1.5992086112d9bp+0, -0x1.53f63265d5d87p+0, -0x1.4da214d0b5a54p+0, -0x1.46c1490a74113p+0, -0x1.3f7b0ebba4e0bp+0, -0x1.37f23ede73fe8p+0, -0x1.304562c0477c6p+0, -0x1.288ee3dd86591p+0, -0x1.20e54c3d57fa5p+0, -0x1.195b905b1fbffp+0, -0x1.12015e309a6f5p+0, -0x1.0ae36d9a799ecp+0, -0x1.040bcf7b4c9bcp+0, -0x1.fb0473ad9c052p-1, -0x1.ee989fb4d1a36p-1, -0x1.e2dbca15ed4d2p-1, -0x1.d7d27672f5f57p-1, -0x1.cd7e7647ad934p-1, -0x1.c3df4f9482642p-1, -0x1.baf299d233e29p-1, -0x1.b2b4513fa86fep-1, -0x1.ab1f213774701p-1, -0x1.a42ca62d8c8f5p-1, -0x1.9dd5a7e7d17ddp-1, -0x1.98124ca30fb2bp-1, -0x1.92da45cf231efp-1, -0x1.8e24f6dbc42ep-1, -0x1.89e996c500886p-1, -0x1.861f4cc9075dfp-1, -0x1.82bd48bf0b563p-1, -0x1.7fbad799a4fe1p-1, -0x1.7d0f748a6a41bp-1, -0x1.7ab2d6eaad32ap-1, -0x1.789cfd993032p-1, -0x1.76c637e6650f9p-1, -0x1.75272c659419fp-1, -0x1.73b8ddfc7a5b4p-1, -0x1.7274af3afe93ep-1, -0x1.7154648b19be3p-1, -0x1.705224e38cdafp-1, -0x1.6f6879dcba697p-1, -0x1.6e924e6fbd50bp-1, -0x1.6dcaeda3f365ap-1, -0x1.6d0dffd56a0a3p-1, -0x1.6c57886e790fp-1, -0x1.6ba3e2605a1b5p-1, -0x1.6aefbceb95244p-1, -0x1.6a3818218b6fp-1, -0x1.697a40770c9a8p-1, -0x1.68b3cbf517fc8p-1, -0x1.67e294e71b03bp-1, -0x1.6704b739a2f54p-1, -0x1.66188b9d602b4p-1, -0x1.651ca3e7baff4p-1, -0x1.640fc7bc56313p-1, -0x1.62f0eff5830d4p-1, -0x1.61bf44137425cp-1, -0x1.607a160067c87p-1, -0x1.5f20df2c93687p-1, -0x1.5db33d6eb6335p-1, -0x1.5c30efb4c3eap-1, -0x1.5a99d38e9e978p-1, -0x1.58ede23570dbcp-1, -0x1.572d2e29f0364p-1, -0x1.5557e0c644762p-1, -0x1.536e3800a1353p-1, -0x1.51708459de7ffp-1, -0x1.4f5f26de294bbp-1, -0x1.4d3a8f55f8e4cp-1, -0x1.4b033a8990b7p-1, -0x1.48b9b0af78f0bp-1, -0x1.465e83e2b3967p-1, -0x1.43f24eca8264dp-1, -0x1.4175b3463c9d1p-1, -0x1.3ee9593f64a12p-1, -0x1.3c4ded8cb5f41p-1, -0x1.39a420e461572p-1, -0x1.36eca6f349321p-1, -0x1.3428357421d5ap-1, -0x1.3157836596daep-1, -0x1.2e7b485318595p-1, -0x1.2b943ba33080dp-1, -0x1.28a314012cf48p-1, -0x1.25a886cfdba29p-1, -0x1.22a547ababd1ap-1, -0x1.1f9a07fa1a639p-1, -0x1.1c87768835ffap-1, -0x1.196e3f2b291b6p-1, -0x1.164f0a7a78972p-1, -0x1.132a7d89e5feep-1, -0x1.100139aaad41bp-1, -0x1.0cd3dc40e918ep-1, -0x1.09a2fe983a1a5p-1, -0x1.066f35bd94fb4p-1, -0x1.0339126877e55p-1, -0x1.000120e4b981ep-1, -0x1.f98fd204d422fp-2, -0x1.f31bdc0e1f7b7p-2, -0x1.eca75d64f3945p-2, -0x1.e6334a6181a97p-2, -0x1.dfc08e46156fep-2, -0x1.d9500b4be526p-2, -0x1.d2e29aabf9f66p-2, -0x1.cc790cb945f69p-2, -0x1.c61428fe4eb2bp-2, -0x1.bfb4ae5d766d7p-2, -0x1.b95b532fc56c8p-2, -0x1.b308c56bf1037p-2, -0x1.acbdaad81e84dp-2, -0x1.a67aa12c07efap-2, -0x1.a0403e4116772p-2, -0x1.9a0f10454d003p-2, -0x1.93e79deac6f85p-2, -0x1.8dca6693ddfecp-2, -0x1.87b7e28d6ac99p-2, -0x1.81b0833d7709fp-2, -0x1.7bb4b35694fbdp-2, -0x1.75c4d70ece979p-2, -0x1.6fe14c4cb301bp-2, -0x1.6a0a6ae19f5b5p-2, -0x1.644084b7e76d6p-2, -0x1.5e83e60952f2p-2, -0x1.58d4d58c8bc5ep-2, -0x1.533394a9cf987p-2, -0x1.4da05fabbb40fp-2, -0x1.481b6deddf9b7p-2, -0x1.42a4f209c3892p-2, -0x1.3d3d1a09f8a6ep-2, -0x1.37e40f91a5d85p-2, -0x1.3299f80d9c0f2p-2, -0x1.2d5ef4da6ef65p-2, -0x1.283323705983dp-2, -0x1.23169d8e7f5f2p-2, -0x1.1e09795e996cdp-2, -0x1.190bc99db192bp-2, -0x1.141d9dc06cb6ap-2, -0x1.0f3f0219fa79fp-2, -0x1.0a6ffffca466ep-2, -0x1.05b09ddc9bf13p-2, -0x1.0100df729653cp-2, -0x1.f8c18bb77f385p-3, -0x1.efa09f6c4850fp-3, -0x1.e69ef28270b4dp-3, -0x1.ddbc78f77b439p-3, -0x1.d4f9227de2271p-3, -0x1.cc54daad84eadp-3, -0x1.c3cf893e4b049p-3, -0x1.bb69123c962f8p-3, -0x1.b3215635f29fp-3, -0x1.aaf83268a3078p-3, -0x1.a2ed80ee9902fp-3, -0x1.9b0118ecc1c4ap-3, -0x1.9332cebc27e6dp-3, -0x1.8b827415f654fp-3, -0x1.83efd8324d07dp-3, -0x1.7c7ac7eee8a01p-3, -0x1.75230df7bd9f9p-3, -0x1.6de872eb40349p-3, -0x1.66cabd7752893p-3, -0x1.5fc9b279e90d5p-3, -0x1.58e5151a34b8ep-3, -0x1.521ca6edf55c8p-3, -0x1.4b702818fc876p-3, -0x1.44df5762b1a43p-3, -0x1.3e69f24cfeba2p-3, -0x1.380fb52e5cbep-3, -0x1.31d05b4e3281ap-3, -0x1.2bab9efd2bdabp-3, -0x1.25a139ab114fep-3, -0x1.1fb0e3f5becbep-3, -0x1.19da55bd2d7ebp-3, -0x1.141d463cbf8d1p-3, -0x1.0e796c1e8245ep-3, -0x1.08ee7d8c687edp-3, -0x1.037c3040048d3p-3, -0x1.fc44731c9659bp-4, -0x1.f1c09cf3a9bafp-4, -0x1.e76c478ce750fp-4, -0x1.dd46dc0dc8be9p-4, -0x1.d34fc355cf498p-4, -0x1.c986660c8defbp-4, -0x1.bfea2cbbf42c7p-4, -0x1.b67a7fefa07d7p-4, -0x1.ad36c84db0ec4p-4, -0x1.a41e6eae39077p-4, -0x1.9b30dc2b4da91p-4, -0x1.926d7a302122p-4, -0x1.89d3b28b649bdp-4, -0x1.8162ef858574ep-4, -0x1.791a9bf6001b2p-4, -0x1.70fa2352a1564p-4, -0x1.6900f1bdf8283p-4, -0x1.612e741177c52p-4, -0x1.598217e500bbfp-4, -0x1.51fb4ba738fecp-4, -0x1.4a997ea8daadep-4, -0x1.435c2129eab83p-4, -0x1.3c42a46315704p-4, -0x1.354c7a8c9f2f3p-4, -0x1.2e7916e6762e3p-4, -0x1.27c7edc2b431cp-4, -0x1.2138749132a58p-4, -0x1.1aca21e9ac0c8p-4, -0x1.147c6d92d844ep-4, -0x1.0e4ed086a565p-4, -0x1.0840c4f6e8c04p-4, -0x1.0251c654e403bp-4, -0x1.f902a2a8f7ffap-5, -0x1.ed9dc7ecfaea1p-5, -0x1.e273fb19c0a4ap-5, -0x1.d7843d7fd1ed3p-5, -0x1.cccd932062e54p-5, -0x1.c24f02afbc8e4p-5, -0x1.b807959b97022p-5, -0x1.adf6581473bf6p-5, -0x1.a41a5914df654p-5, -0x1.9a72aa67a8bd1p-5, -0x1.90fe60ab4ffc5p-5, -0x1.87bc9352fc00cp-5, -0x1.7eac5ca6dcd48p-5, -0x1.75ccd9c519e11p-5, -0x1.6d1d2aa453583p-5, -0x1.649c721aa65dbp-5, -0x1.5c49d5d9d1c13p-5, -0x1.54247e735b278p-5, -0x1.4c2b975824c8bp-5, -0x1.445e4ed3b2646p-5, -0x1.3cbbd60ad0192p-5, -0x1.354360fa56c9bp-5, -0x1.2df426767d99ap-5, -0x1.26cd602a32189p-5, -0x1.1fce4a9572664p-5, -0x1.18f6250a612d5p-5, -0x1.124431a9564fp-5, -0x1.0bb7b55cc9e9cp-5, -0x1.054ff7d4a4355p-5, -0x1.fe188704b4fe6p-6, -0x1.f1d7cb2c4383fp-6, -0x1.e5dc5bf645b4bp-6, -0x1.da24dea541be7p-6, -0x1.ceaffde29341ap-6, -0x1.c37c69b1b8488p-6, -0x1.b888d76041a1bp-6, -0x1.add40181009b7p-6, -0x1.a35ca7ddaa3fbp-6, -0x1.99218f6be53e5p-6, -0x1.8f21824340c3ep-6, -0x1.855b4f92a86cbp-6, -0x1.7bcdcb9450f8ap-6, -0x1.7277cf81ef95bp-6, -0x1.695839898f7f3p-6, -0x1.606decb9e4ff3p-6, -0x1.57b7d0f818a3cp-6, -0x1.4f34d2f5071fdp-6, -0x1.46e3e41e5b4efp-6, -0x1.3ec3fa92353e5p-6, -0x1.36d41112c1bb2p-6, -0x1.2f1326f8f436dp-6, -0x1.27804026a5285p-6, -0x1.201a64f7e5c36p-6, -0x1.18e0a233d018fp-6, -0x1.11d208ffb7342p-6, -0x1.0aedaed14ea0ep-6, -0x1.0432ad5d99ee3p-6, -0x1.fb404520a88p-7, -0x1.ee6a60fa7187ep-7, -0x1.e1e1faa352e41p-7, -0x1.d5a5668e56092p-7, -0x1.c9b30129bbf68p-7, -0x1.be092ec06f05cp-7, -0x1.b2a65b5bafd6p-7, -0x1.a788faa607527p-7, -0x1.9caf87d01b72cp-7, -0x1.921885776f28ap-7, -0x1.87c27d8cd64dbp-7, -0x1.7dac013be9b59p-7, -0x1.73d3a8d2ebd7p-7, -0x1.6a3813a78b415p-7, -0x1.60d7e7f853035p-7, -0x1.57b1d2cc980b5p-7, -0x1.4ec487d4624e6p-7, -0x1.460ec14a555fep-7, -0x1.3d8f3fd9569d7p-7, -0x1.3544ca8621e87p-7, -0x1.2d2e2e9b31b17p-7, -0x1.254a3f9a4896bp-7, -0x1.1d97d7271695bp-7, -0x1.1615d4ed5ba01p-7, -0x1.0ec31e86075fep-7, -0x1.079e9f53667b4p-7, -0x1.00a7485adcff9p-7, -0x1.f3b82044b527ap-8, -0x1.e677e526dd1bap-8, -0x1.d98be1d17bfddp-8, -0x1.ccf2233e0323ep-8, -0x1.c0a8c0e7df2cdp-8, -0x1.b4addcb69d67ep-8, -0x1.a8ffa2ee36f65p-8, -0x1.9d9c4a0457ccfp-8, -0x1.9282124a7bd9cp-8, -0x1.87af4598de23dp-8, -0x1.7d2236f45d137p-8, -0x1.72d9423129a9ep-8, -0x1.68d2cbb77ea83p-8, -0x1.5f0d406c383dp-8, -0x1.558715c062e38p-8, -0x1.4c3ec9cce8ad2p-8, -0x1.4332e37302bd2p-8, -0x1.3a61f2646e7e6p-8, -0x1.31ca8f008c686p-8, -0x1.296b59fd97756p-8, -0x1.2142fbeaa9bb4p-8, -0x1.195024a41720bp-8, -0x1.11918ad1d3589p-8, -0x1.0a05eb8eb601ap-8, -0x1.02ac0a5636821p-8, -0x1.f705625c19578p-9, -0x1.e9116200528a3p-9, -0x1.db79c4091370fp-9, -0x1.ce3c4820b82b8p-9, -0x1.c156bd4ac01f8p-9, -0x1.b4c7015d0364p-9, -0x1.a88affd440bc6p-9, -0x1.9ca0b03d5efddp-9, -0x1.9106148a26c2cp-9, -0x1.85b937bb422fdp-9, -0x1.7ab82d35c1b21p-9, -0x1.700110f17e4c7p-9, -0x1.659208735d3d5p-9, -0x1.5b69444c49aadp-9, -0x1.518501ac5f51ap-9, -0x1.47e38b88d939ap-9, -0x1.3e833aef5a504p-9, -0x1.3562765db05bfp-9, -0x1.2c7fb00637872p-9, -0x1.23d963891c135p-9, -0x1.1b6e13833db1p-9, -0x1.133c478ee370bp-9, -0x1.0b428b4877699p-9, -0x1.037f6e89fce42p-9, -0x1.f7e30db1f4321p-10, -0x1.e92ee35ba29cp-10, -0x1.dadfadf9cbf1bp-10, -0x1.ccf2d69b03a41p-10, -0x1.bf65e18b63879p-10, -0x1.b2366db425222p-10, -0x1.a562311a0440dp-10, -0x1.98e6f32b704d9p-10, -0x1.8cc2862650164p-10, -0x1.80f2c11292262p-10, -0x1.75757bcaf82bcp-10, -0x1.6a488de101b83p-10, -0x1.5f69d0c253a9dp-10, -0x1.54d724e0f4b02p-10, -0x1.4a8e784458634p-10, -0x1.408dcd20b344dp-10, -0x1.36d33ec68f6bep-10, -0x1.2d5d0395aa38ap-10, -0x1.24296b6319b76p-10, -0x1.1b36da95cccd4p-10, -0x1.1283c314a8e3dp-10, -0x1.0a0e9c7ff83c2p-10, -0x1.01d5dd7374d03p-10, -0x1.f3afee578c0e4p-11, -0x1.e426a905595d2p-11, -0x1.d50cb91f80af9p-11, -0x1.c65ef0a23ca8p-11, -0x1.b81a347711ee1p-11, -0x1.aa3b8bc42ff84p-11, -0x1.9cc02ba5ca717p-11, -0x1.8fa57c57d2113p-11, -0x1.82e9169b5b8ffp-11, -0x1.7688ba377432cp-11, -0x1.6a8240255117ep-11, -0x1.5ed38b9db7c34p-11, -0x1.537a7cd0a019cp-11, -0x1.4874e749c537bp-11, -0x1.3dc08e34e19a4p-11, -0x1.335b25114bf96p-11, -0x1.294257c174602p-11, -0x1.1f73d6f0a839fp-11, -0x1.15ed6750b8621p-11, -0x1.0cacef860a0d2p-11, -0x1.03b0809bca507p-11, -0x1.f5ecace6719bcp-12, -0x1.e4f9a1373dc8p-12, -0x1.d484cd97c4ceap-12, -0x1.c48b3a4ad823ap-12, -0x1.b509f646f6c8cp-12, -0x1.a5fe0b6d59e37p-12, -0x1.976476c065ad2p-12, -0x1.893a229eb37dbp-12, -0x1.7b7be45b77c89p-12, -0x1.6e2681645241ap-12, -0x1.6136bf5f5142ap-12, -0x1.54a97d688fbc7p-12, -0x1.487bce03fa46p-12, -0x1.3cab0628cbd52p-12, -0x1.3134b968180dbp-12, -0x1.2616a4ae09349p-12, -0x1.1b4e931d64389p-12, -0x1.10da4bdbf8faap-12, -0x1.06b7915ca4914p-12, -0x1.f9c85cd93c06bp-13, -0x1.e6bc07acba587p-13, -0x1.d44614153c325p-13, -0x1.c26288bc00786p-13, -0x1.b10d5e80e5cb7p-13, -0x1.a04272c7b11adp-13, -0x1.8ffd9e76094ddp-13, -0x1.803ae81333081p-13, -0x1.70f6b35a75beep-13, -0x1.622dcd4e22e52p-13, -0x1.53dd45aab5e59p-13, -0x1.460223b7e0387p-13, -0x1.38991e57259c1p-13, -0x1.2b9e851d6dd77p-13, -0x1.1f0e6fcc071dap-13, -0x1.12e51da47f59ap-13, -0x1.071f4c75db2ccp-13, -0x1.f774a67bbc193p-14, -0x1.e167e1ff6d3afp-14, -0x1.cc13efa302dedp-14, -0x1.b7741f3367ccdp-14, -0x1.a3836e33ba6b3p-14, -0x1.903cf46c54401p-14, -0x1.7d9c60279b63cp-14, -0x1.6b9e29b7cc92ap-14, -0x1.5a3f5380418a4p-14, -0x1.497cc566690ccp-14, -0x1.3952872f96d73p-14, -0x1.29bb3ec759d53p-14, -0x1.1ab04ad1e3a47p-14, -0x1.0c2a8992dc3ebp-14, -0x1.fc46f2dd5c779p-15, -0x1.e12c3f7a07dbcp-15, -0x1.c6fe7592cc289p-15, -0x1.adb958ebca7b1p-15, -0x1.955911582f679p-15, -0x1.7dd8d09debd6bp-15, -0x1.6732bd7315b73p-15, -0x1.5160e020e2ce2p-15, -0x1.3c5e3ba7dd099p-15, -0x1.28275884bf4e8p-15, -0x1.14b9ed44cc744p-15, -0x1.0213ad6418241p-15, -0x1.e061baf2d5c87p-16, -0x1.be169fb1fa947p-16, -0x1.9d3475209fbb6p-16, -0x1.7da5ea9a3722cp-16, -0x1.5f54ea982eb68p-16, -0x1.422e165f67654p-16, -0x1.26234ad9e0221p-16, -0x1.0b2c20f09b83ap-16, -0x1.e288c55190063p-17, -0x1.b0d2ab3dd0904p-17, -0x1.812e8a94feccdp-17, -0x1.5390db45ab75dp-17, -0x1.27eb2eeeb7d11p-17, -0x1.fc6021297e459p-18, -0x1.acada449ee799p-18, -0x1.60b6adeb58f23p-18, -0x1.1872f9af493e3p-18, -0x1.a7a2889e7f84p-19, -0x1.256ad0be77bc6p-19, -0x1.53ed1f827acabp-20, -0x1.a794719a09b2bp-22, 0x1.cfe8edb9beba9p-22, 0x1.46724d0e2a168p-20, 0x1.072178c271a2fp-19, 0x1.660e9537ee29fp-19, 0x1.c044c238acae4p-19, 0x1.0af26af8732ebp-18, 0x1.3376debe02ebap-18, 0x1.59ab637ce8b4ep-18, 0x1.7d97052748db7p-18, 0x1.9f4e14d2616bap-18, 0x1.bee5550f67616p-18, 0x1.dc681258d49d7p-18, 0x1.f7dcd19869e3cp-18, 0x1.08a72c99d85c5p-17, 0x1.1466cf9b77717p-17, 0x1.1f3720e4e4553p-17, 0x1.2921563f84aa3p-17, 0x1.322d273aa9926p-17, 0x1.3a616462bddb8p-17, 0x1.41c579990472p-17, 0x1.4863071a11eb4p-17, 0x1.4e47e22b4842cp-17, 0x1.53864806f64dcp-17, 0x1.582e39d3b55dbp-17, 0x1.5c44bb9c25b04p-17, 0x1.5fc5c521a303bp-17, 0x1.62af851a10506p-17, 0x1.65075c4d48aabp-17, 0x1.66d36c53dda93p-17, 0x1.6815f8d56e258p-17, 0x1.68d1bb90e6469p-17, 0x1.690cf31ff7689p-17, 0x1.68ce73daff668p-17, 0x1.681b3d4d343d2p-17, 0x1.66f7d59bf8474p-17, 0x1.65695b540e211p-17, 0x1.6374626cbe222p-17, 0x1.611bf16760418p-17, 0x1.5e62530d0daafp-17, 0x1.5b4a58597501bp-17, 0x1.57d816a837a91p-17, 0x1.54133baaf7168p-17, 0x1.500676bf4e16dp-17, 0x1.4bb6b672a5d95p-17, 0x1.47215aa4975b2p-17, 0x1.42485a96b3a27p-17, 0x1.3d35522874427p-17, 0x1.37ed03be19a43p-17, 0x1.326bdd64835d4p-17, 0x1.2cb078e8ce836p-17, 0x1.26bfbb215ad3dp-17, 0x1.20a00a47a7b12p-17, 0x1.1a5500ccf567ap-17, 0x1.13df3d715e7d7p-17, 0x1.0d3f81001e1p-17, 0x1.0678ccb0d3e14p-17, 0x1.ff1e080fd07edp-18, 0x1.f109a7dc589d4p-18, 0x1.e2b79361b12a8p-18, 0x1.d42b3411ae56fp-18, 0x1.c567e6ba189c7p-18, 0x1.b670ffc6b6685p-18, 0x1.a74f5e48803ecp-18, 0x1.980b14d6422p-18, 0x1.889e236383bf1p-18, 0x1.7905adea6b4c4p-18, 0x1.694eacaa8a218p-18, 0x1.598150faa7c6p-18, 0x1.499ddc0aa3cfp-18, 0x1.39a8d5821b239p-18, 0x1.29a60ed7e2339p-18, 0x1.19962cf80e5c2p-18, 0x1.097c276a79e09p-18, 0x1.f2b8c18bb04a3p-19, 0x1.d26e848b63e3p-19, 0x1.b217323391561p-19, 0x1.91b8668ce1b96p-19, 0x1.715d0812a47a5p-19, 0x1.510d3895460e5p-19, 0x1.30cccb60f004p-19, 0x1.109ef2158770fp-19, 0x1.e1101afeb2a3dp-20, 0x1.a11120a005b7bp-20, 0x1.61400faa6e0fcp-20, 0x1.21b32a94c6cep-20, 0x1.c4ef29bb121ffp-21, 0x1.4710c68403166p-21, 0x1.93dd36720cc51p-22, 0x1.35d3a1d9ac708p-23, -0x1.73defd809f706p-24, -0x1.5376ccaab66e4p-22, -0x1.240dcbbc30cffp-21, -0x1.9d50522957d5cp-21, -0x1.0ac7375044b0fp-20, -0x1.466dd9e67cf1dp-20, -0x1.81932c8e86b1fp-20, -0x1.bc2e41459cea2p-20, -0x1.f6456064f9d3dp-20, -0x1.17ec5cd0bb417p-19, -0x1.346e705844562p-19, -0x1.50a40afcb29b1p-19, -0x1.6c8b43bdebebp-19, -0x1.882372ed4427cp-19, -0x1.a36b1d4f62fb1p-19, -0x1.be60c78c3da42p-19, -0x1.d907133cad434p-19, -0x1.f35ee35547187p-19, -0x1.06aff0f7f0ed2p-18, -0x1.1383e7996728bp-18, -0x1.202a554e10c4fp-18, -0x1.2ca55c61f11d4p-18, -0x1.38f5bc2f12d6fp-18, -0x1.451939ba1398bp-18, -0x1.510f3f7d2d7a5p-18, -0x1.5cd838b2f06b7p-18, -0x1.6873e8d71d08bp-18, -0x1.73e08c001b312p-18, -0x1.7f1d4aff18083p-18, -0x1.8a2b0c636aed3p-18, -0x1.95091968b9eb4p-18, -0x1.9fb72b001acf4p-18, -0x1.aa368aab74fa7p-18, -0x1.b486c73f9a4eep-18, -0x1.bea6caac75a68p-18, -0x1.c896375d51c5dp-18, -0x1.d2552299a1b8bp-18, -0x1.dbe3aa2b862c8p-18, -0x1.e541b907d63e4p-18, -0x1.ee6f50626d568p-18, -0x1.f76d38fa72523p-18, -0x1.001db53dfee71p-17, -0x1.046c4037474fep-17, -0x1.08a23d8746067p-17, -0x1.0cc04d399fe65p-17, -0x1.10c682de5b44fp-17, -0x1.14b48f1c16ecfp-17, -0x1.188a7db52e397p-17, -0x1.1c486e66eef15p-17, -0x1.1fee7ce60c1cfp-17, -0x1.237cc2973af7bp-17, -0x1.26f3638e1b6ap-17, -0x1.2a528cd727f0dp-17, -0x1.2d9a3353df804p-17, -0x1.30ca42b59795fp-17, -0x1.33e2dea303d5p-17, -0x1.36e432164c05fp-17, -0x1.39ce878f5286p-17, -0x1.3ca1ee155b63ap-17, -0x1.3f5e6f8509165p-17, -0x1.42042bd20fd21p-17, -0x1.4493490b9e9dbp-17, -0x1.470bef8fcd066p-17, -0x1.496e489d9c135p-17, -0x1.4bba7c3d3ac3ep-17, -0x1.4df0b18bf5c21p-17, -0x1.50110f25436cap-17, -0x1.521bbbabc808fp-17, -0x1.5410e122e5c29p-17, -0x1.55f0aa7f02f3p-17, -0x1.57bb4303defcfp-17, -0x1.5970d772a22f3p-17, -0x1.5b119538e635dp-17, -0x1.5c9daa3db996ep-17, -0x1.5e15452e29994p-17, -0x1.5f7895e9ff8ecp-17, -0x1.60c7cd89afcd5p-17, -0x1.62031e2f552fp-17, -0x1.632aba4c62264p-17, -0x1.643eca67ae075p-17, -0x1.653f6ab6cfbf6p-17, -0x1.662ce55fcf283p-17, -0x1.67078751c7ef2p-17, -0x1.67cf8ba1b90aap-17, -0x1.6884bff248f1fp-17, -0x1.6927b81a5b35fp-17, -0x1.69b89be1575b6p-17, -0x1.6a3795711716cp-17, -0x1.6aa4d496c4653p-17, -0x1.6b008dd509876p-17, -0x1.6b4b01468e473p-17, -0x1.6b845cf22b59fp-17, -0x1.6bacbed4a402ap-17, -0x1.6bc4932cdf2p-17, -0x1.6bcbd8c04a91cp-17, -0x1.6bc2df2d41d79p-17, -0x1.6ba9e4448033dp-17, -0x1.6b81170f0c777p-17, -0x1.6b48ac5c6a0d3p-17, -0x1.6b00daebb2bd3p-17, -0x1.6aa9d96ca1f74p-17, -0x1.6a43dded356f3p-17, -0x1.69cf1e49d0db9p-17, -0x1.694bd1abc158fp-17, -0x1.68ba30817fd4ap-17, -0x1.681a723ddbfafp-17, -0x1.676ccdd1686bap-17, -0x1.66b17c7960b46p-17, -0x1.65e8aa3bb9136p-17, -0x1.6512664e82518p-17, -0x1.642f28ddf2ef9p-17, -0x1.633f2dd1d8b4bp-17, -0x1.624264aaf20bcp-17, -0x1.613934640ea05p-17, -0x1.6023d7d2ff5cbp-17, -0x1.5f02765554adp-17, -0x1.5dd53ec89e3fep-17, -0x1.5c9c6b72adc66p-17, -0x1.5b583edc2d5a4p-17, -0x1.5a08d88c659cp-17, -0x1.58ae6ea0cb179p-17, -0x1.57492a45354a9p-17, -0x1.55d9587f23586p-17, -0x1.545f29db9c94dp-17, -0x1.52daca11fbe14p-17, -0x1.514c6b45dce16p-17, -0x1.4fb4407af1b6ep-17, -0x1.4e127c6b26a67p-17, -0x1.4c67516c29cbep-17, -0x1.4ab2f15ec4083p-17, -0x1.48f58d9658adfp-17, -0x1.472f56d60761fp-17, -0x1.45607d918574bp-17, -0x1.438932654ce42p-17, -0x1.41a9a63e3fcc1p-17, -0x1.3fc20995f2773p-17, -0x1.3dd28b035733cp-17, -0x1.3bdb59188372p-17, -0x1.39dca9d9e135cp-17, -0x1.37d6a2de5da2ep-17, -0x1.35c964e621fa8p-17, -0x1.33b5356828f38p-17, -0x1.319a28c66d146p-17, -0x1.2f788c15be969p-17, -0x1.2d5079667a4f9p-17, -0x1.2b221a9b8cbc7p-17, -0x1.28eda76612e8cp-17, -0x1.26b34cfa64b0cp-17, -0x1.24733839f792ap-17, -0x1.222d69675d2d8p-17, -0x1.1fe22afdc310dp-17, -0x1.1d91b1aee7443p-17, -0x1.1b3c1cba5a6b8p-17, -0x1.18e194265445ep-17, -0x1.168243bef544cp-17, -0x1.141e4773d1e15p-17, -0x1.11b5da52db4ebp-17, -0x1.0f49117af0ebp-17, -0x1.0cd81ff5d949ap-17, -0x1.0a632983dca5bp-17, -0x1.07ea535de1277p-17, -0x1.056dc1c889f61p-17, -0x1.02ed9f0fdb8e9p-17, -0x1.006a0e85801d5p-17, -0x1.fbc6635647d0bp-18, -0x1.f6b25ca00a24bp-18, -0x1.f19851be2a27ep-18, -0x1.ec788a1e09724p-18, -0x1.e7534abe60691p-18, -0x1.e228d63e9fc2fp-18, -0x1.dcf9773d248c4p-18, -0x1.d7c582e537f4ap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.88d499973cc5cp-1, 0x1.88c01a9e2cda8p-1, 0x1.889e5d94c5802p-1, 0x1.886fdb1bb930ap-1, 0x1.8834ffdbfce94p-1, 0x1.87ee0c5f3e895p-1, 0x1.879afd03a1942p-1, 0x1.873b7ac24f0f7p-1, 0x1.86ced41f00174p-1, 0x1.8653fcf21cb64p-1, 0x1.85c9938c686a6p-1, 0x1.852de9bf2c5p-1, 0x1.847f107dc32e3p-1, 0x1.83bae5023894cp-1, 0x1.82df1e9463289p-1, 0x1.81e95c449245ep-1, 0x1.80d73216c586ep-1, 0x1.7fa63540e504ap-1, 0x1.7e54073da321bp-1, 0x1.7cde5f8f3bb11p-1, 0x1.7b43142184effp-1, 0x1.7980204a7dac7p-1, 0x1.7793aa74438f8p-1, 0x1.757c0883c5c7p-1, 0x1.7337c31523641p-1, 0x1.70c597aa013a6p-1, 0x1.6e2479e7be7e8p-1, 0x1.6b539403a30dp-1, 0x1.6852467a56a4ep-1, 0x1.6520272e7498cp-1, 0x1.61bd00080fc5p-1, 0x1.5e28cd2cba728p-1, 0x1.5a63bae544e73p-1, 0x1.566e2343fc57dp-1, 0x1.52488b9be0a8dp-1, 0x1.4df3a1d710f3p-1, 0x1.497039b89f383p-1, 0x1.44bf4a1420ea5p-1, 0x1.3fe1ea039e83cp-1, 0x1.3ad94e230b4b7p-1, 0x1.35a6c5d716aaep-1, 0x1.304bb8a40d3f5p-1, 0x1.2ac9a3987be4fp-1, 0x1.252216ce72fbfp-1, 0x1.1f56b30595605p-1, 0x1.196927577931ap-1, 0x1.135b2f076f7bcp-1, 0x1.0d2e8f6e50a69p-1, 0x1.06e5160297ff7p-1, 0x1.0080967cd646fp-1, 0x1.f405d2307bd1fp-2, 0x1.e6dbd1ddd11b8p-2, 0x1.d986e4e290cbap-2, 0x1.cc0ac3f03d02ep-2, 0x1.be6b24e06f174p-2, 0x1.b0abb83e3f85fp-2, 0x1.a2d026ffe654ap-2, 0x1.94dc106ec5362p-2, 0x1.86d3083c0d362p-2, 0x1.78b894c02169fp-2, 0x1.6a902d62d34e7p-2, 0x1.5c5d392aa31c5p-2, 0x1.4e230d7120baep-2, 0x1.3fe4ecba9c713p-2, 0x1.31a605af5676cp-2, 0x1.2369723469445p-2, 0x1.153236a2ab67fp-2, 0x1.07034119e0029p-2, 0x1.f1bed1dd0cf7fp-3, 0x1.d592dc6165365p-3, 0x1.b987f294c2627p-3, 0x1.9da335677be58p-3, 0x1.81e99577e9e33p-3, 0x1.665fd2ca2e79ep-3, 0x1.4b0a7ca3919b2p-3, 0x1.2fedf186c4084p-3, 0x1.150e5f4e93a4cp-3, 0x1.f4df86c95f1c8p-4, 0x1.c02bd624644e4p-4, 0x1.8c08e7cf991c7p-4, 0x1.587d9876f39d3p-4, 0x1.2590677394f1cp-4, 0x1.e68ef0239b313p-5, 0x1.835125ee144e3p-5, 0x1.21724f48a98eap-5, 0x1.81f9384903502p-6, 0x1.87e6431a478b2p-7, 0x1.1c8254eea5c97p-11, -0x1.5e470a043b8a8p-7, -0x1.64147756bb8fdp-6, -0x1.0af067e1514a6p-5, -0x1.623de5a33ef5p-5, -0x1.b7ece832f9dd3p-5, -0x1.05fc19bf3accap-4, -0x1.2f2d8c0090c85p-4, -0x1.5788b74f96d09p-4, -0x1.7f0bca3ecee49p-4, -0x1.a5b5336cedd18p-4, -0x1.cb839f71a2525p-4, -0x1.f075f6cc69231p-4, -0x1.0a45adeb480fep-3, -0x1.1be1945c995f6p-3, -0x1.2d0e76b413b5ap-3, -0x1.3dcc36d146d6cp-3, -0x1.4e1acf7cd13e9p-3, -0x1.5dfa536f46363p-3, -0x1.6d6aec5bd00c9p-3, -0x1.7c6cd9febfb34p-3, -0x1.8b00713051e15p-3, -0x1.99261afbc41e8p-3, -0x1.a6de53baf4a6bp-3, -0x1.b429aa3698949p-3, -0x1.c108becb344e5p-3, -0x1.cd7c4292e4481p-3, -0x1.d984f6940ebbcp-3, -0x1.e523aaf4fd76ap-3, -0x1.f0593e34793dbp-3, -0x1.fb269c6762637p-3, -0x1.02c65f3da6cc5p-2, -0x1.07c654bf0be3p-2, -0x1.0c93b6f544574p-2, -0x1.112f137ceca0cp-2, -0x1.1598fcfd1bff7p-2, -0x1.19d20ad515e16p-2, -0x1.1ddad8cc66883p-2, -0x1.21b406c568486p-2, -0x1.255e387222e19p-2, -0x1.28da150b8720ap-2, -0x1.2c28470af13fbp-2, -0x1.2f497be5f356p-2, -0x1.323e63cc5b864p-2, -0x1.3507b168684ap-2, -0x1.37a619a12754fp-2, -0x1.3a1a535ef0fd3p-2, -0x1.3c651751f2868p-2, -0x1.3e871fbac6dfbp-2, -0x1.4081283507643p-2, -0x1.4253ed83d26e8p-2, -0x1.44002d603938ep-2, -0x1.4586a649899c1p-2, -0x1.46e817576d138p-2, -0x1.4825400dcda27p-2, -0x1.493ee03279203p-2, -0x1.4a35b7a475b9p-2, -0x1.4b0a8635002a8p-2, -0x1.4bbe0b8227db2p-2, -0x1.4c5106d2fc0b9p-2, -0x1.4cc436f5470e3p-2, -0x1.4d185a1cc57c5p-2, -0x1.4d4e2dc3d1ef5p-2, -0x1.4d666e8d8228bp-2, -0x1.4d61d8291fad3p-2, -0x1.4d412536fe74ap-2, -0x1.4d050f2ea0188p-2, -0x1.4cae4e461f8adp-2, -0x1.4c3d995ad894ap-2, -0x1.4bb3a5db44132p-2, -0x1.4b1127b202cap-2, -0x1.4a56d13206868p-2, -0x1.49855303dd16cp-2, -0x1.489d5c1407fa3p-2, -0x1.479f998262fcbp-2, -0x1.468cb6928c1b8p-2, -0x1.45655c9d484dp-2, -0x1.442a3302d7fa3p-2, -0x1.42dbdf1e3e3ddp-2, -0x1.417b043967ffdp-2, -0x1.40084382312a9p-2, -0x1.3e843c0044e63p-2, -0x1.3cef8a8bc9e59p-2, -0x1.3b4ac9c4d8214p-2, -0x1.3996920bb4ecfp-2, -0x1.37d37979c6e32p-2, -0x1.360213db444b5p-2, -0x1.3422f2a98c24fp-2, -0x1.3236a5062e3cfp-2, -0x1.303db7b693caep-2, -0x1.2e38b52048959p-2, -0x1.2c282545da10ap-2, -0x1.2a0c8dc44a402p-2, -0x1.27e671d1134efp-2, -0x1.25b65238ae342p-2, -0x1.237cad5d9e9bep-2, -0x1.2139ff38001d3p-2, -0x1.1eeec15586aabp-2, -0x1.1c9b6ad9f784bp-2, -0x1.1a4070800faeap-2, -0x1.17de449ad695p-2, -0x1.1575571756bcdp-2, -0x1.1306157eb6533p-2, -0x1.1090eaf8b1d0fp-2, -0x1.0e16404e6bf03p-2, -0x1.0b967bed95278p-2, -0x1.091201ebe5d47p-2, -0x1.0689340ae085fp-2, -0x1.03fc71bbe7674p-2, -0x1.016c18248d097p-2, -0x1.fdb1044661a6cp-3, -0x1.f88410a7a7793p-3, -0x1.f352022a5b5e2p-3, -0x1.ee1b811bf040dp-3, -0x1.e8e13164dca63p-3, -0x1.e3a3b2940137ap-3, -0x1.de639fea69e86p-3, -0x1.d921906767f0dp-3, -0x1.d3de16d501fe4p-3, -0x1.ce99c1d4a9dfbp-3, -0x1.c9551bec3dd8p-3, -0x1.c410ab934a265p-3, -0x1.beccf34089022p-3, -0x1.b98a71779a01ep-3, -0x1.b449a0d6e81fdp-3, -0x1.af0af825c5672p-3, -0x1.a9ceea62aab17p-3, -0x1.a495e6d1a0bb5p-3, -0x1.9f60590ac6406p-3, -0x1.9a2ea908fa273p-3, -0x1.95013b3896641p-3, -0x1.8fd870864a861p-3, -0x1.8ab4a66dfd4d6p-3, -0x1.85963709c6e31p-3, -0x1.807d7920edb3dp-3, -0x1.7b6ac036f4e31p-3, -0x1.765e5c9aa1105p-3, -0x1.71589b751076fp-3, -0x1.6c59c6d8c338bp-3, -0x1.676225d0a72cbp-3, -0x1.6271fc6f1ae2dp-3, -0x1.5d898bdce8bc6p-3, -0x1.58a912683695bp-3, -0x1.53d0cb9362f67p-3, -0x1.4f00f023d9768p-3, -0x1.4a39b630d0445p-3, -0x1.457b5131f250ap-3, -0x1.40c5f20df29c7p-3, -0x1.3c19c72907c64p-3, -0x1.3776fc73527b9p-3, -0x1.32ddbb771e176p-3, -0x1.2e4e2b670ec8p-3, -0x1.29c8712c2c858p-3, -0x1.254caf73cad96p-3, -0x1.20db06bd58e5ep-3, -0x1.1c73956803b01p-3, -0x1.181677c03e06ep-3, -0x1.13c3c80d1e311p-3, -0x1.0f7b9e9d994d3p-3, -0x1.0b3e11d594797p-3, -0x1.070b363ad1ea7p-3, -0x1.02e31e81b2e89p-3, -0x1.fd8bb733a6329p-4, -0x1.f566f974ef9b6p-4, -0x1.ed581eddadb4bp-4, -0x1.e55f3f445f643p-4, -0x1.dd7c6f577b99bp-4, -0x1.d5afc0b4ec8f4p-4, -0x1.cdf942014d766p-4, -0x1.c658fefead004p-4, -0x1.becf00a315d84p-4, -0x1.b75b4d2ea4c48p-4, -0x1.affde8414c184p-4, -0x1.a8b6d2f04476dp-4, -0x1.a1860bdb10843p-4, -0x1.9a6b8f40316bep-4, -0x1.9367571174232p-4, -0x1.8c795b07f65dbp-4, -0x1.85a190b7b4c31p-4, -0x1.7edfeba2d1034p-4, -0x1.78345d4c734aap-4, -0x1.719ed54b51fd7p-4, -0x1.6b1f415bddcc2p-4, -0x1.64b58d721110bp-4, -0x1.5e61a3cae7372p-4, -0x1.58236cfd779bfp-4, -0x1.51fad00bb6b33p-4, -0x1.4be7b272dd496p-4, -0x1.45e9f83b790a4p-4, -0x1.4001840923d5ap-4, -0x1.3a2e3729e07bap-4, -0x1.346ff1a5255p-4, -0x1.2ec6924a8dba3p-4, -0x1.2931f6c03834cp-4, -0x1.23b1fb90cc2ap-4, -0x1.1e467c392ff21p-4, -0x1.18ef5335e9d8bp-4, -0x1.13ac5a103144ep-4, -0x1.0e7d696aa8f88p-4, -0x1.0962590dcf6cbp-4, -0x1.045afff41d8e2p-4, -0x1.fece68abae049p-5, -0x1.f50d976915d2fp-5, -0x1.eb7335cc97967p-5, -0x1.e1feec4135f88p-5, -0x1.d8b062060dedcp-5, -0x1.cf873d430b3c2p-5, -0x1.c683231cfead5p-5, -0x1.bda3b7c933d48p-5, -0x1.b4e89ea0730e4p-5, -0x1.ac517a3175b4dp-5, -0x1.a3ddec52d934cp-5, -0x1.9b8d96348b051p-5, -0x1.93601870ae92bp-5, -0x1.8b55131c01571p-5, -0x1.836c25d5c0f8ap-5, -0x1.7ba4efd713d04p-5, -0x1.73ff1001f8659p-5, -0x1.6c7a24efb4d8dp-5, -0x1.6515ccfedd19cp-5, -0x1.5dd1a660d41fp-5, -0x1.56ad4f26e6ba5p-5, -0x1.4fa8654ef1f78p-5, -0x1.48c286cf9cc27p-5, -0x1.41fb51a4236d3p-5, -0x1.3b5263d7bb6a8p-5, -0x1.34c75b908f3d4p-5, -0x1.2e59d71a545ebp-5, -0x1.280974f07d93p-5, -0x1.21d5d3c80a049p-5, -0x1.1bbe9298fcc44p-5, -0x1.15c350a76d322p-5, -0x1.0fe3ad8c41e69p-5, -0x1.0a1f493d8fc7p-5, -0x1.0475c416a39acp-5, -0x1.fdcd7dbf74b31p-6, -0x1.f2e3b5aab38c8p-6, -0x1.e82d735ed14cfp-6, -0x1.dda9fb4fd2121p-6, -0x1.d3589302d2ba9p-6, -0x1.c938811a63f9cp-6, -0x1.bf490d62379aep-6, -0x1.b58980da5408p-6, -0x1.abf925c1ae697p-6, -0x1.a29747a03ad8bp-6, -0x1.99633350838afp-6, -0x1.905c3708afb9fp-6, -0x1.8781a2631b5dfp-6, -0x1.7ed2c66667cc5p-6, -0x1.764ef58d15698p-6, -0x1.6df583ccac103p-6, -0x1.65c5c69c75b18p-6, -0x1.5dbf14fbc58e2p-6, -0x1.55e0c777d0404p-6, -0x1.4e2a38312f546p-6, -0x1.469ac2e0e367ep-6, -0x1.3f31c4dd055a9p-6, -0x1.37ee9d1d1cbap-6, -0x1.30d0ac3e0d532p-6, -0x1.29d75485acce4p-6, -0x1.2301f9e616d93p-6, -0x1.1c50020081f3ap-6, -0x1.15c0d427f5455p-6, -0x1.0f53d96387875p-6, -0x1.09087c7067bedp-6, -0x1.02de29c393a2bp-6, -0x1.f9a89f16937eep-7, -0x1.edd4bb6071822p-7, -0x1.e23f8baccdecep-7, -0x1.d6e7f6bbb22f2p-7, -0x1.cbcce6c60017bp-7, -0x1.c0ed497dceb7bp-7, -0x1.b648100e5c4f2p-7, -0x1.abdc2f1b8e3b1p-7, -0x1.a1a89ec0fc138p-7, -0x1.97ac5a9095743p-7, -0x1.8de66190f6259p-7, -0x1.8455b63b48457p-7, -0x1.7af95e78cc5e2p-7, -0x1.71d063a02660bp-7, -0x1.68d9d27229253p-7, -0x1.6014bb166b079p-7, -0x1.57803117985f2p-7, -0x1.4f1b4b5f5c681p-7, -0x1.46e524321d241p-7, -0x1.3edcd92a68faep-7, -0x1.37018b3433ccfp-7, -0x1.2f525e87b6b6cp-7, -0x1.27ce7aa43cd49p-7, -0x1.20750a4a93471p-7, -0x1.19453b7755e49p-7, -0x1.123e3f5d1ea4dp-7, -0x1.0b5f4a5e56788p-7, -0x1.04a794070669fp-7, -0x1.fc2cae0cc7d55p-8, -0x1.ef55a25083186p-8, -0x1.e2c8869ca94e9p-8, -0x1.d683e2d2a9bfdp-8, -0x1.ca8644e405c7ep-8, -0x1.bece40c405f17p-8, -0x1.b35a7059746adp-8, -0x1.a829736fc5f47p-8, -0x1.9d39efa867f73p-8, -0x1.928a906ba62d2p-8, -0x1.881a06d97424fp-8, -0x1.7de709ba23a0ep-8, -0x1.73f0556ee9b3ep-8, -0x1.6a34abe244107p-8, -0x1.60b2d4783bfffp-8, -0x1.57699bfeb063ep-8, -0x1.4e57d49d5d914p-8, -0x1.457c55c5f0feap-8, -0x1.3cd5fc23ed601p-8, -0x1.3463a98cb162cp-8, -0x1.2c2444ef3c426p-8, -0x1.2416ba441e482p-8, -0x1.1c39fa7d3baffp-8, -0x1.148cfb75a8e32p-8, -0x1.0d0eb7e169fd2p-8, -0x1.05be2f3d41cb4p-8, -0x1.fd34cb7d0c4b8p-9, -0x1.ef44c88600364p-9, -0x1.e1aa70815a4a8p-9, -0x1.d463e76b90da4p-9, -0x1.c76f5a313666p-9, -0x1.bacafe8f3c8e8p-9, -0x1.ae7512f2ba0c5p-9, -0x1.a26bde59749p-9, -0x1.96adb031f2b9bp-9, -0x1.8b38e03c09e9bp-9, -0x1.800bce69abae6p-9, -0x1.7524e2bf8989ap-9, -0x1.6a828d360a56bp-9, -0x1.6023459ac6cbcp-9, -0x1.56058b718ab2bp-9, -0x1.4c27e5d611074p-9, -0x1.4288e35dea4efp-9, -0x1.392719fa3e584p-9, -0x1.300126da22094p-9, -0x1.2715ae4d20f81p-9, -0x1.1e635ba5d7e6fp-9, -0x1.15e8e11cdf311p-9, -0x1.0da4f7b430801p-9, -0x1.05965f1a6abafp-9, -0x1.fb77bb1d09b76p-10, -0x1.ec287f87ecd94p-10, -0x1.dd3cb18d737dp-10, -0x1.ceb203bfebc0bp-10, -0x1.c08634f58bbb4p-10, -0x1.b2b710127e12ap-10, -0x1.a5426bd3cfbfap-10, -0x1.98262a9a865a6p-10, -0x1.8b603a37dd62ep-10, -0x1.7eee93b91e354p-10, -0x1.72cf3b353a598p-10, -0x1.67003f9a1ee57p-10, -0x1.5b7fba7b1855fp-10, -0x1.504bcfdf76953p-10, -0x1.4562ae121b319p-10, -0x1.3ac28d71920ffp-10, -0x1.3069b0408af28p-10, -0x1.265662775b955p-10, -0x1.1c86f99577a8fp-10, -0x1.12f9d474288eap-10, -0x1.09ad5b193430cp-10, -0x1.009ffe8b0e428p-10, -0x1.efa07149980cep-11, -0x1.de7917d5c254cp-11, -0x1.cdc706c1ee41cp-11, -0x1.bd8764bf3e6c2p-11, -0x1.adb768d5f994ep-11, -0x1.9e545a1561184p-11, -0x1.8f5b8f4158b45p-11, -0x1.80ca6e8497572p-11, -0x1.729e6d2235cafp-11, -0x1.64d50f293470ap-11, -0x1.576be728a066dp-11, -0x1.4a6095e5453c2p-11, -0x1.3db0ca109934dp-11, -0x1.315a400046bd9p-11, -0x1.255ac1671238bp-11, -0x1.19b0250fa49afp-11, -0x1.0e584e96eb4cfp-11, -0x1.03512e2903441p-11, -0x1.f131807c61e3dp-12, -0x1.dc5a1ab4651d8p-12, -0x1.c818539663934p-12, -0x1.b4686ad49189cp-12, -0x1.a146b6bd97e0cp-12, -0x1.8eafa3bee00dbp-12, -0x1.7c9fb3ee0b4ddp-12, -0x1.6b137e925354p-12, -0x1.5a07afb04f001p-12, -0x1.497907983d5afp-12, -0x1.39645a75abcc8p-12, -0x1.29c68fe1dc3b7p-12, -0x1.1a9ca277060d1p-12, -0x1.0be39f6613809p-12, -0x1.fb314c1e59d5p-13, -0x1.df71cf37afd1cp-13, -0x1.c4834d31820c3p-13, -0x1.aa606d289744fp-13, -0x1.9103f77ab19f1p-13, -0x1.7868d5093915fp-13, -0x1.608a0e7e02611p-13, -0x1.4962cb954f6a5p-13, -0x1.32ee526a871e7p-13, -0x1.1d2806c7db8b4p-13, -0x1.080b6979200a3p-13, -0x1.e7282f45ffd5p-14, -0x1.bf7b943e2033p-14, -0x1.9908a9ad40455p-14, -0x1.73c74c469396p-14, -0x1.4faf8c67d965p-14, -0x1.2cb9ace550d3ep-14, -0x1.0ade21ddb8d4ep-14, -0x1.d42b1f27cf0e6p-15, -0x1.94b1929e5e698p-15, -0x1.5741a08500be3p-15, -0x1.1bcda4e929f0ap-15, -0x1.c490a6c50af77p-16, -0x1.55496a0b7a44fp-16, -0x1.d3589963ad27cp-17, -0x1.03415555eae8ap-17, -0x1.d0e7ef17575ffp-20, 0x1.1086812c065bp-18, 0x1.440d0ac2ddaecp-17, 0x1.f96cdda4a155fp-17, 0x1.54470ae8a7421p-16, 0x1.a8cd7b1d35ecp-16, 0x1.fa5e57927da44p-16, 0x1.2486d9390019p-15, 0x1.4a778d9913525p-15, 0x1.6f0ad0de9e25p-15, 0x1.9249ecd17e0fdp-15, 0x1.b43dee8dda587p-15, 0x1.d4efa80a13974p-15, 0x1.f467b18560363p-15, 0x1.0957357eeb444p-14, 0x1.17e5fecaba674p-14, 0x1.25e42e78182dap-14, 0x1.3355a4424634cp-14, 0x1.403e26774158bp-14, 0x1.4ca1629c7fc0dp-14, 0x1.5882ee0e5239cp-14, 0x1.63e646995a305p-14, 0x1.6eced315f13b8p-14, 0x1.793fe3fc060b8p-14, 0x1.833cb3f5bcd61p-14, 0x1.8cc868690ed1p-14, 0x1.95e612079ee84p-14, 0x1.9e98ad54230fp-14, 0x1.a6e32328299f3p-14, 0x1.aec8493340d34p-14, 0x1.b64ae277d46cdp-14, 0x1.bd6d9fc9a6cddp-14, 0x1.c4332045b643p-14, 0x1.ca9df1c379c9ap-14, 0x1.d0b0914ab7f86p-14, 0x1.d66d6b8368175p-14, 0x1.dbd6dd219966fp-14, 0x1.e0ef335014584p-14, 0x1.e5b8ac1409bf1p-14, 0x1.ea3576b845f45p-14, 0x1.ee67b42cc965fp-14, 0x1.f2517767df0dap-14, 0x1.f5f4c5c20a73bp-14, 0x1.f9539752926b5p-14, 0x1.fc6fd749dd5c7p-14, 0x1.ff4b6446d3efep-14, 0x1.00f4085540af4p-13, 0x1.0223d1762f724p-13, 0x1.0335eaf592a52p-13, 0x1.042b2c9d9790dp-13, 0x1.050468b90b85fp-13, 0x1.05c26c3774591p-13, 0x1.0665fed360533p-13, 0x1.06efe3348f48cp-13, 0x1.0760d71332e9ap-13, 0x1.07b99358604b1p-13, 0x1.07facc3f33c93p-13, 0x1.082531756bffep-13, 0x1.08396e395669ep-13, 0x1.08382977fa26fp-13, 0x1.082205ea7817fp-13, 0x1.07f7a2333df23p-13, 0x1.07b998f9dcbe3p-13, 0x1.07688105c81dbp-13, 0x1.0704ed58753d5p-13, 0x1.068f6d470afcfp-13, 0x1.06088c93d13d1p-13, 0x1.0570d386975d6p-13, 0x1.04c8c703b270fp-13, 0x1.0410e8a2f18a6p-13, 0x1.0349b6c724d8cp-13, 0x1.0273acb309562p-13, 0x1.018f429ee5004p-13, 0x1.009cedcc15f2ap-13, 0x1.ff3a4133e124p-14, 0x1.fd209532abb69p-14, 0x1.faedb13f6bf4fp-14, 0x1.f8a269b2bbac2p-14, 0x1.f63f8db668fa9p-14, 0x1.f3c5e76854726p-14, 0x1.f1363bfd13c93p-14, 0x1.ee914be0e5fcep-14, 0x1.ebd7d2d64bfc8p-14, 0x1.e90a8815ecc85p-14, 0x1.e62a1e6dbe38ap-14, 0x1.e337445e55c9fp-14, 0x1.e032a43703907p-14, 0x1.dd1ce431a34f8p-14, 0x1.d9f6a68c0746ap-14, 0x1.d6c089a5215c3p-14, 0x1.d37b281505a09p-14, 0x1.d02718c5898b6p-14, 0x1.ccc4ef0bd669cp-14, 0x1.c9553abda4507p-14, 0x1.c5d888498daf5p-14, 0x1.c24f60cd39dabp-14, 0x1.beba4a29c36bp-14, 0x1.bb19c71807317p-14, 0x1.b76e573ea71f5p-14, 0x1.b3b877452e309p-14, 0x1.aff8a0e773637p-14, 0x1.ac2f4b079f353p-14, 0x1.a85ce9bfbdd4p-14, 0x1.a481ee73b0cafp-14, 0x1.a09ec7e2d0843p-14, 0x1.9cb3e237d04b6p-14, 0x1.98c1a7191f565p-14, 0x1.94c87db877921p-14, 0x1.90c8cae1a7b96p-14, 0x1.8cc2f109f1226p-14, 0x1.88b7505e552bep-14, 0x1.84a646d09b57fp-14, 0x1.8090302470718p-14, 0x1.7c7565fe17979p-14, 0x1.78563fee48bacp-14, 0x1.7433137e9f37ap-14, 0x1.700c343e184b9p-14, 0x1.6be1f3cbde215p-14, 0x1.67b4a1e28e152p-14, 0x1.63848c643d34bp-14, 0x1.5f51ff6431d5ep-14, 0x1.5b1d45328bacep-14, 0x1.56e6a664730d1p-14, 0x1.52ae69df9733ep-14, 0x1.4e74d4e2c3ae4p-14, 0x1.4a3a2b0fef52fp-14, 0x1.45feae74d5faep-14, 0x1.41c29f93287acp-14, 0x1.3d863d68ef97dp-14, 0x1.3949c57ab946p-14, 0x1.350d73d94d14fp-14, 0x1.30d1832af5307p-14, 0x1.2c962cb2a0acep-14, 0x1.285ba8578530bp-14, 0x1.24222cab4a189p-14, 0x1.1fe9eef26747dp-14, 0x1.1bb3232ac47dfp-14, 0x1.177dfc1169713p-14, 0x1.134aab296b813p-14, 0x1.0f1960c276e49p-14, 0x1.0aea4bfe2931ap-14, 0x1.06bd9ad73b3c6p-14, 0x1.02937a26a256p-14, 0x1.fcd82b50d1e86p-15, 0x1.f48f300422a25p-15, 0x1.ec4c55906e963p-15, 0x1.e40fed057ce4ap-15, 0x1.dbda45652b8d5p-15, 0x1.d3ababacfbfc7p-15, 0x1.cb846ae07487p-15, 0x1.c364cc105349ep-15, 0x1.bb4d166647b96p-15, 0x1.b33d8f2dc4316p-15, 0x1.ab3679da986e3p-15, 0x1.a338181285ab2p-15, 0x1.9b42a9b6a1c17p-15, 0x1.93566ce945c56p-15, 0x1.8b739e16d2424p-15, 0x1.839a77ffb6478p-15, 0x1.7bcb33bceaed2p-15, 0x1.740608c81b8e5p-15, 0x1.6c4b2d041da3dp-15, 0x1.649ad4c2d717cp-15, 0x1.5cf532cb7776dp-15, 0x1.555a786351121p-15, 0x1.4dcad5527942fp-15, 0x1.464677ebbc67fp-15, 0x1.3ecd8d1119c59p-15, 0x1.3760403d1d46dp-15, 0x1.2ffebb85e95a1p-15, 0x1.28a927a455ff7p-15, 0x1.215fabf9e63e9p-15, 0x1.1a226e95ed5d1p-15, 0x1.12f1943b4c1f7p-15, 0x1.0bcd4065f06eap-15, 0x1.04b59550feaebp-15, 0x1.fb5567f613c82p-16, 0x1.ed59785950dp-16, 0x1.df7798f75efb4p-16, 0x1.d1b004a3a43acp-16, 0x1.c402f3dfd24bep-16, 0x1.b6709ce91f443p-16, 0x1.a8f933c025bd6p-16, 0x1.9b9cea30a0f9ap-16, 0x1.8e5befde13287p-16, 0x1.8136724a229f6p-16, 0x1.742c9cde88c4p-16, 0x1.673e98f616c5p-16, 0x1.5a6c8de49e6c4p-16, 0x1.4db6a0ffff7dap-16, 0x1.411cf5a5f7b4bp-16, 0x1.349fad48cf855p-16, 0x1.283ee773b7b8dp-16, 0x1.1bfac1d35adc9p-16, 0x1.0fd358412d411p-16, 0x1.03c8c4c85fbf8p-16, 0x1.efb63f568b944p-17, 0x1.d814fede992f3p-17, 0x1.c0adf1c225b53p-17, 0x1.a9813e3dedd52p-17, 0x1.928f073870178p-17, 0x1.7bd76c56cb379p-17, 0x1.655a8a0ca8468p-17, 0x1.4f18799f544fcp-17, 0x1.3911513d8b855p-17, 0x1.2345240ca0eeap-17, 0x1.0db4023151fdap-17, 0x1.f0bbf1bb7d43bp-18, 0x1.c68624c23998ep-18, 0x1.9cc6ac689b1dcp-18, 0x1.737d9206a47aap-18, 0x1.4aaad97507a62p-18, 0x1.224e813089d76p-18, 0x1.f4d104e5aa8b9p-19, 0x1.a5f1a26fcc49ap-19, 0x1.57feb8c352311p-19, 0x1.0af81bb0164bp-19, 0x1.7dbb2a5bed1aap-20, 0x1.cebb963babd2p-21, 0x1.4b5e1d2478773p-22, -0x1.fec22f27dab3fp-23, -0x1.a164a70873cc4p-21, -0x1.5fb76a9f0b0d3p-20, -0x1.ece865a038db6p-20, -0x1.3c2318121215fp-19, -0x1.80e8e357207ddp-19, -0x1.c4c61b2494d2ap-19, -0x1.03dda70250d3bp-18, -0x1.24e48937c317dp-18, -0x1.4578035bf7c5cp-18, -0x1.65986861b99ddp-18, -0x1.85460ee9b235dp-18, -0x1.a4815139c0539p-18, -0x1.c34a8d3139f8dp-18, -0x1.e1a2242bacbd2p-18, -0x1.ff887ae726e9p-18, -0x1.0e7efcbaae903p-17, -0x1.1d01859a5c93fp-17, -0x1.2b4c0f54bb5a2p-17, }}, 
      {{0x1.88d92f5883fb4p-1, 0x1.88d2544de31bep-1, 0x1.88c6fe17e2a95p-1, 0x1.88b74886555b9p-1, 0x1.88a350ae61f7p-1, 0x1.888b2f15a7f76p-1, 0x1.886ef2d40463ep-1, 0x1.884e9de8088f9p-1, 0x1.882a22c362294p-1, 0x1.880162f5d559fp-1, 0x1.87d42ece80d6ap-1, 0x1.87a245c623507p-1, 0x1.876b5785bada4p-1, 0x1.872f056099289p-1, 0x1.86ece41e0ea5dp-1, 0x1.86a47df44ecfp-1, 0x1.8655549b809ep-1, 0x1.85fee364d6bb2p-1, 0x1.85a0a145fc4ffp-1, 0x1.853a02cceae4bp-1, 0x1.84ca7bf390f06p-1, 0x1.845181cd6c7fdp-1, 0x1.83ce8c0b8217fp-1, 0x1.83411654efab7p-1, 0x1.82a8a173d0dfp-1, 0x1.8204b45744a2fp-1, 0x1.8154dcec41d33p-1, 0x1.8098b0cf794p-1, 0x1.7fcfcddaf4f99p-1, 0x1.7ef9da9257f6bp-1, 0x1.7e168670c7719p-1, 0x1.7d258a1b88de5p-1, 0x1.7c26a77c4d20dp-1, 0x1.7b19a9c609addp-1, 0x1.79fe656716ebcp-1, 0x1.78d4b7eb1aff9p-1, 0x1.779c87cf1df9ap-1, 0x1.7655c449e8f56p-1, 0x1.7500650aa869ep-1, 0x1.739c69ef8ebe7p-1, 0x1.7229dab60ca4cp-1, 0x1.70a8c6a605385p-1, 0x1.6f19443938588p-1, 0x1.6d7b70bffa4c5p-1, 0x1.6bcf70042b755p-1, 0x1.6a156beb42135p-1, 0x1.684d94181cd5cp-1, 0x1.66781d8d390b2p-1, 0x1.6495424fd291bp-1, 0x1.62a5410c5e20ep-1, 0x1.60a85cbcbaf04p-1, 0x1.5e9edc506a04ap-1, 0x1.5c890a570dfd7p-1, 0x1.5a6734ad638acp-1, 0x1.5839ac2cdcfd1p-1, 0x1.5600c45e025b6p-1, 0x1.53bcd32daa02ap-1, 0x1.516e30a51c7fbp-1, 0x1.4f1536a52e6ap-1, 0x1.4cb240a450afbp-1, 0x1.4a45ab6f9f059p-1, 0x1.47cfd4eee0d32p-1, 0x1.45511beb7bb9ap-1, 0x1.42c9dfda4c0e4p-1, 0x1.403a80a8548c3p-1, 0x1.3da35e8a3ce2ap-1, 0x1.3b04d9ce8879p-1, 0x1.385f52b279c18p-1, 0x1.35b329398cc54p-1, 0x1.3300bd0777c31p-1, 0x1.30486d3c9b029p-1, 0x1.2d8a9854ceb3fp-1, 0x1.2ac79c0878a6fp-1, 0x1.27ffd52fd4f58p-1, 0x1.25339fa85b6b4p-1, 0x1.2263563c2fa26p-1, 0x1.1f8f528b82c44p-1, 0x1.1cb7ecf7d6dfbp-1, 0x1.19dd7c9109727p-1, 0x1.1700570415f87p-1, 0x1.1420d08b79a2dp-1, 0x1.113f3be1262e8p-1, 0x1.0e5bea31eda43p-1, 0x1.0b772b12595fep-1, 0x1.08914c74d49fap-1, 0x1.05aa9aa11cbf7p-1, 0x1.02c3602ce31f1p-1, 0x1.ffb7cbeb261f4p-2, 0x1.f9e8e6364f8bdp-2, 0x1.f41a99f80ab14p-2, 0x1.ee4d6e6389e9p-2, 0x1.e881e71dcb86ap-2, 0x1.e2b8843aa723bp-2, 0x1.dcf1c23b6e37fp-2, 0x1.d72e1a0f044a1p-2, 0x1.d16e011355a65p-2, 0x1.cbb1e918162d3p-2, 0x1.c5fa4062b07a8p-2, 0x1.c04771b34fd81p-2, 0x1.ba99e44af0c01p-2, 0x1.b4f1fbf260a0ep-2, 0x1.af50190222537p-2, 0x1.a9b4986b19ccep-2, 0x1.a41fd3bff953dp-2, 0x1.9e92213f5808dp-2, 0x1.990bd3de641fbp-2, 0x1.938d3b5426abfp-2, 0x1.8e16a42545365p-2, 0x1.88a857b0376d8p-2, 0x1.83429c39e4324p-2, 0x1.7de5b4fa98cbcp-2, 0x1.7891e22b525aap-2, 0x1.734761134daa9p-2, 0x1.6e066c15d0a0bp-2, 0x1.68cf3ac02b855p-2, 0x1.63a201d7e1019p-2, 0x1.5e7ef368f3ef6p-2, 0x1.59663ed44f1cdp-2, 0x1.545810de430c9p-2, 0x1.4f5493bd0f25bp-2, 0x1.4a5bef277490ep-2, 0x1.456e48634c291p-2, 0x1.408bc25416b5p-2, 0x1.3bb47d8985a6bp-2, 0x1.36e8984dfa2d5p-2, 0x1.32282eb4f00cep-2, 0x1.2d735aa9551b4p-2, 0x1.28ca33fbc88dp-2, 0x1.242cd070bfdebp-2, 0x1.1f9b43ce8a519p-2, 0x1.1b159feb37611p-2, 0x1.169bf4ba5451ap-2, 0x1.122e505a87e22p-2, 0x1.0dccbf2304a55p-2, 0x1.09774bb0cf615p-2, 0x1.052dfef3dc86fp-2, 0x1.00f0e03bfdb9dp-2, 0x1.f97fea8b44f7bp-3, 0x1.f136848cd392bp-3, 0x1.e90593f2fcfc8p-3, 0x1.e0ed1b5790613p-3, 0x1.d8ed1a8fc77f3p-3, 0x1.d1058ec3d7038p-3, 0x1.c936728617fc3p-3, 0x1.c17fbde9c438p-3, 0x1.b9e166994f414p-3, 0x1.b25b5fec4cfedp-3, 0x1.aaed9afcf6b28p-3, 0x1.a39806bd43c61p-3, 0x1.9c5a900b911ffp-3, 0x1.953521c6e6d59p-3, 0x1.8e27a4e2cd45ap-3, 0x1.8732007abd0bdp-3, 0x1.805419e521p-3, 0x1.798dd4c5f14cp-3, 0x1.72df1320e5d51p-3, 0x1.6c47b56b429b9p-3, 0x1.65c79a9d35473p-3, 0x1.5f5ea042d9dbp-3, 0x1.590ca28cca6d5p-3, 0x1.52d17c6057c9fp-3, 0x1.4cad076756c56p-3, 0x1.469f1c1f8dae9p-3, 0x1.40a791e9be5bdp-3, 0x1.3ac63f18559e1p-3, 0x1.34faf8fdb4ab6p-3, 0x1.2f4593fa1f0e2p-3, 0x1.29a5e38951807p-3, 0x1.241bba4fb1dc6p-3, 0x1.1ea6ea2731a55p-3, 0x1.1947442bcd2b4p-3, 0x1.13fc98c7bc65ap-3, 0x1.0ec6b7bf44ce3p-3, 0x1.09a5703c3cf35p-3, 0x1.049890d939d65p-3, 0x1.ff3fcf58d4f8fp-4, 0x1.f57684a448aa7p-4, 0x1.ebd4dbee365f4p-4, 0x1.e25a6ec4a3ep-4, 0x1.d906d5fd74b26p-4, 0x1.cfd9a9c917a6dp-4, 0x1.c6d281c497d5bp-4, 0x1.bdf0f50b29a9fp-4, 0x1.b5349a471edf8p-4, 0x1.ac9d07c256905p-4, 0x1.a429d37617b88p-4, 0x1.9bda931a7b242p-4, 0x1.93aedc35397e7p-4, 0x1.8ba6442809245p-4, 0x1.83c0603e77522p-4, 0x1.7bfcc5bb4766bp-4, 0x1.745b09e557b5ep-4, 0x1.6cdac2140f9bcp-4, 0x1.657b83bb5c447p-4, 0x1.5e3ce47738d12p-4, 0x1.571e7a16ca1f1p-4, 0x1.501fdaa70cc7ep-4, 0x1.49409c7d19946p-4, 0x1.4280564002246p-4, 0x1.3bde9ef248f53p-4, 0x1.355b0dfaf5a9dp-4, 0x1.2ef53b2e49f89p-4, 0x1.28acbed618a81p-4, 0x1.228131b9bef5p-4, 0x1.1c722d25c5d4cp-4, 0x1.167f4af32cd75p-4, 0x1.10a8258e5ce66p-4, 0x1.0aec57fdca44ap-4, 0x1.054b7de84546bp-4, 0x1.ff8a6735f65bp-5, 0x1.f4b22c1e59e15p-5, 0x1.ea0d85df2d08ep-5, 0x1.df9bb13b26e66p-5, 0x1.d55bec6bf056bp-5, 0x1.cb4d772b4fd92p-5, 0x1.c16f92bbcf5ccp-5, 0x1.b7c181f0e254cp-5, 0x1.ae4289368836dp-5, 0x1.a4f1ee987adcep-5, 0x1.9bcef9c8de97dp-5, 0x1.92d8f426852f3p-5, 0x1.8a0f28c2b9f4fp-5, 0x1.8170e466a71c2p-5, 0x1.78fd75984e576p-5, 0x1.70b42c9f18f7ap-5, 0x1.68945b88090bfp-5, 0x1.609d562985e08p-5, 0x1.58ce7226d249dp-5, 0x1.512706f31df58p-5, 0x1.49a66dd44a614p-5, 0x1.424c01e554575p-5, 0x1.3b1720186f4eep-5, 0x1.34072738d1a21p-5, 0x1.2d1b77ec324e2p-5, 0x1.265374b3ffa11p-5, 0x1.1fae81ee4ed49p-5, 0x1.192c05d684f0bp-5, 0x1.12cb6885c10d7p-5, 0x1.0c8c13f304151p-5, 0x1.066d73f31d6ap-5, 0x1.006ef6385c16bp-5, 0x1.f52014a4090f1p-6, 0x1.e9a043572cd4ep-6, 0x1.de5d5f17aee5fp-6, 0x1.d35652275d3cap-6, 0x1.c88a0a799fef3p-6, 0x1.bdf779b07321ap-6, 0x1.b39d951902abfp-6, 0x1.a97b55a7fd458p-6, 0x1.9f8fb7f58b81dp-6, 0x1.95d9bc38ff065p-6, 0x1.8c5866442f6bcp-6, 0x1.830abd7ea3c07p-6, 0x1.79efcce05e73ep-6, 0x1.7106a2ec7e555p-6, 0x1.684e51ab9663ap-6, 0x1.5fc5eea5d5c2ep-6, 0x1.576c92dcea085p-6, 0x1.4f415ac5bfbebp-6, 0x1.4743664200c5ep-6, 0x1.3f71d8996f828p-6, 0x1.37cbd8731450dp-6, 0x1.30508fce36306p-6, 0x1.28ff2bfb407p-6, 0x1.21d6dd947663ap-6, 0x1.1ad6d876811a2p-6, 0x1.13fe53b8ed98p-6, 0x1.0d4c89a67f717p-6, 0x1.06c0b7b56ac32p-6, 0x1.005a1e7f790e6p-6, 0x1.f43003742981fp-7, 0x1.e7f3505c7836p-7, 0x1.dbfcb760c9345p-7, 0x1.d04ad2309128bp-7, 0x1.c4dc40715758dp-7, 0x1.b9afa7ae1184cp-7, 0x1.aec3b3466c12fp-7, 0x1.a417145e0862bp-7, 0x1.99a881cb93b64p-7, 0x1.8f76b807db4cbp-7, 0x1.8580791ccb5edp-7, 0x1.7bc48c9473bddp-7, 0x1.7241bf67ed7b8p-7, 0x1.68f6e3ee44cb4p-7, 0x1.5fe2d1cb69ec4p-7, 0x1.570465df183a1p-7, 0x1.4e5a8233b4cb5p-7, 0x1.45e40ded485dfp-7, 0x1.3d9ff5386c50dp-7, 0x1.358d293946ac6p-7, 0x1.2daa9ffa9125cp-7, 0x1.25f7545ca797p-7, 0x1.1e724604a587p-7, 0x1.171a794b98ccdp-7, 0x1.0feef72dbb19ap-7, 0x1.08eecd39c0e5dp-7, 0x1.02190d8044f0cp-7, 0x1.f6d99d06781c5p-8, 0x1.e9d2564b0c71cp-8, 0x1.dd1a85352aeddp-8, 0x1.d0b070ac6766ap-8, 0x1.c49267f8b3cf2p-8, 0x1.b8bec2a24fd84p-8, 0x1.ad33e051e8225p-8, 0x1.a1f028b0fee6dp-8, 0x1.96f20b4a8793dp-8, 0x1.8c37ff6bba22ep-8, 0x1.81c084053738fp-8, 0x1.778a1f8c5d3f9p-8, 0x1.6d935fdce6f5ep-8, 0x1.63dada1ad05f4p-8, 0x1.5a5f2a947fd08p-8, 0x1.511ef4a5355b5p-8, 0x1.4818e297bee74p-8, 0x1.3f4ba589760abp-8, 0x1.36b5f54d8abadp-8, 0x1.2e56905094ea6p-8, 0x1.262c3b7c7a09ap-8, 0x1.1e35c21c92232p-8, 0x1.1671f5c21a60cp-8, 0x1.0edfae29039bp-8, 0x1.077dc91cf302fp-8, 0x1.004b2a5ebe154p-8, 0x1.f28d771403b5dp-9, 0x1.e4ded7f65611ep-9, 0x1.d788616b7e4acp-9, 0x1.ca880895f16aep-9, 0x1.bddbcd816236ap-9, 0x1.b181baf14b4dbp-9, 0x1.a577e6300067fp-9, 0x1.99bc6ede4c4eep-9, 0x1.8e4d7ec3d980ep-9, 0x1.832949a031b33p-9, 0x1.784e0cfc2baa6p-9, 0x1.6dba0ffc5a577p-9, 0x1.636ba333af2fcp-9, 0x1.59612076f3909p-9, 0x1.4f98eab0e8c4ap-9, 0x1.46116db6dc02p-9, 0x1.3cc91e1df8ae3p-9, 0x1.33be79112fd17p-9, 0x1.2af00427bd297p-9, 0x1.225c4d3c3a1a3p-9, 0x1.1a01ea44453cp-9, 0x1.11df7928d59ddp-9, 0x1.09f39f9f2695cp-9, 0x1.023d0b021ffcp-9, 0x1.f574e05920bfcp-10, 0x1.e6d516a745d31p-10, 0x1.d8983fc45f50dp-10, 0x1.cabbf0a8fb315p-10, 0x1.bd3dcc294251bp-10, 0x1.b01b82aee57d6p-10, 0x1.a352d1f40109bp-10, 0x1.96e184bf5597cp-10, 0x1.8ac572a150009p-10, 0x1.7efc7fb23dde5p-10, 0x1.73849c51c8992p-10, 0x1.685bc4e756222p-10, 0x1.5d8001a372453p-10, 0x1.52ef66427b1c7p-10, 0x1.48a811d000888p-10, 0x1.3ea82e6b5827fp-10, 0x1.34edf10d50697p-10, 0x1.2b77994ea665cp-10, 0x1.2243712f9ad46p-10, 0x1.194fcce0a85b8p-10, 0x1.109b0a8bee04fp-10, 0x1.0823921fa6c9ep-10, 0x1.ffcfaa334693fp-11, 0x1.efcc9ca72d3b5p-11, 0x1.e03b03a0af2e6p-11, 0x1.d117f9144b853p-11, 0x1.c260a8839cacep-11, 0x1.b4124e9d20de2p-11, 0x1.a62a38de1ba19p-11, 0x1.98a5c535b7fbdp-11, 0x1.8b8261aa4d1d5p-11, 0x1.7ebd8c007650bp-11, 0x1.7254d16338e7cp-11, 0x1.6645ce0e4cabp-11, 0x1.5a8e2cf9f34e1p-11, 0x1.4f2ba78831dfdp-11, 0x1.441c0533c47b2p-11, 0x1.395d1b4061437p-11, 0x1.2eeccc6cf55acp-11, 0x1.24c908a6d1aap-11, 0x1.1aefccbeeadbap-11, 0x1.115f22202da23p-11, 0x1.08151e876ed9ep-11, 0x1.fe1fc778a96c5p-12, 0x1.ec9b3e98d268p-12, 0x1.db99148d62cf1p-12, 0x1.cb15d1f2c3563p-12, 0x1.bb0e1560dfab9p-12, 0x1.ab7e92eb064c2p-12, 0x1.9c6413a2fc73cp-12, 0x1.8dbb751d6c61ap-12, 0x1.7f81a8fa25cadp-12, 0x1.71b3b46d63f57p-12, 0x1.644eafccb6b9p-12, 0x1.574fc61dc545ep-12, 0x1.4ab434a73b51cp-12, 0x1.3e794a845ec1fp-12, 0x1.329c683b11eefp-12, 0x1.271aff52efd42p-12, 0x1.1bf291f036615p-12, 0x1.1120b26ee0151p-12, 0x1.06a30301f10d1p-12, 0x1.f8ee6aa61be59p-13, 0x1.e536144ab85ap-13, 0x1.d218a1f2e25ffp-13, 0x1.bf91cf68731e5p-13, 0x1.ad9d748d204c6p-13, 0x1.9c3784afa2228p-13, 0x1.8b5c0de2a4a94p-13, 0x1.7b073858ccc57p-13, 0x1.6b3545c402efap-13, 0x1.5be290b7c90adp-13, 0x1.4d0b8c0ee369cp-13, 0x1.3eacc255ed08cp-13, 0x1.30c2d536e62dfp-13, 0x1.234a7cea1153p-13, 0x1.164087a7ef629p-13, 0x1.09a1d920671efp-13, 0x1.fad6d3e70582dp-14, 0x1.e3348e5cd5f0bp-14, 0x1.cc572393b12fbp-14, 0x1.b638fc59754dfp-14, 0x1.a0d4a7633bbcep-14, 0x1.8c24d85ba8582p-14, 0x1.782466f7f1e0bp-14, 0x1.64ce4e12cb92fp-14, 0x1.521daacacc6e3p-14, 0x1.400dbba7f6435p-14, 0x1.2e99dfc5d910fp-14, 0x1.1dbd96002fc2fp-14, 0x1.0d747c2930686p-14, 0x1.fb749c7f55633p-15, 0x1.dd15cb5a4286fp-15, 0x1.bfc4710be9b05p-15, 0x1.a378b19fab13dp-15, 0x1.882ae795e83d3p-15, 0x1.6dd3a28424243p-15, 0x1.546ba5b6e0ee4p-15, 0x1.3bebe6df2faeep-15, 0x1.244d8ccb1320fp-15, 0x1.0d89ee204343bp-15, 0x1.ef35204439244p-16, 0x1.c4f24afa617bbp-16, 0x1.9c3f1a35c150ep-16, 0x1.750fa1f5363cp-16, 0x1.4f584a2e93b4ep-16, 0x1.2b0dcc9b03ab5p-16, 0x1.08253294fbd6dp-16, 0x1.cd27a6132b42dp-17, 0x1.8c9ea0df1fbfp-17, 0x1.4e9b2d9891595p-17, 0x1.1309b39342293p-17, 0x1.b3ae4b3195dbcp-18, 0x1.45e1fc8ae77dep-18, 0x1.b914f1cb7a791p-19, 0x1.de12fdd98518ep-20, 0x1.6aeca1374a405p-22, -0x1.1861e5a3cb495p-20, -0x1.3de25f0d5cea3p-19, -0x1.e7f52b38fb709p-19, -0x1.455307ee2acd8p-18, -0x1.931807add9ddep-18, -0x1.dd6640e6e9886p-18, -0x1.122cc8140f889p-17, -0x1.3406840b3c7ap-17, -0x1.544d7b6dbac1p-17, -0x1.730e75b97afcap-17, -0x1.9055dd6ae7c4ap-17, -0x1.ac2fc272ace86p-17, -0x1.c6a7dcb82337ep-17, -0x1.dfc98e74bf06cp-17, -0x1.f79fe6893c1f6p-17, -0x1.071ad1643b51ep-16, -0x1.11ca99103189fp-16, -0x1.1be45b659a298p-16, -0x1.256d0430b00d5p-16, -0x1.2e695af4b17bcp-16, -0x1.36de03e8eca46p-16, -0x1.3ecf80ee0d18ap-16, -0x1.464232815634cp-16, -0x1.4d3a58a9bc1dap-16, -0x1.53bc13db89c69p-16, -0x1.59cb65d8703a3p-16, -0x1.5f6c3287890abp-16, -0x1.64a240c96a1d9p-16, -0x1.69713b466ff56p-16, -0x1.6ddcb136974edp-16, -0x1.71e817251e98cp-16, -0x1.7596c7acd75ddp-16, -0x1.78ec043261bbbp-16, -0x1.7beaf5969c941p-16, -0x1.7e96ace9884fep-16, -0x1.80f2241235275p-16, -0x1.83003e7605321p-16, -0x1.84c3c998b4bfcp-16, -0x1.863f7dbbf01dcp-16, -0x1.8775fe7629182p-16, -0x1.8869db48a9ec2p-16, -0x1.891d902f517dep-16, -0x1.8993862cd4345p-16, -0x1.89ce13d56b783p-16, -0x1.89cf7dd3865ffp-16, -0x1.8999f76a81f3ep-16, -0x1.892fa2f4344fp-16, -0x1.8892925af5e99p-16, -0x1.87c4c792b3027p-16, -0x1.86c8350c03406p-16, -0x1.859ebe24f9a89p-16, -0x1.844a3797ee7dp-16, -0x1.82cc67e523e49p-16, -0x1.812707b975f86p-16, -0x1.7f5bc255687d5p-16, -0x1.7d6c35efaf5f8p-16, -0x1.7b59f413a3106p-16, -0x1.792681fe0bc06p-16, -0x1.76d358f81eb5dp-16, -0x1.7461e6aec3095p-16, -0x1.71d38d874c6c9p-16, -0x1.6f29a4f3be53bp-16, -0x1.6c6579c2ab059p-16, -0x1.69884e6d4357p-16, -0x1.66935b633cff9p-16, -0x1.6387cf53fbcf2p-16, -0x1.6066cf795092dp-16, -0x1.5d3177db590cfp-16, -0x1.59e8db945c527p-16, -0x1.568e0514326c9p-16, -0x1.5321f65ef675p-16, -0x1.4fa5a94c194p-16, -0x1.4c1a0fc1ab929p-16, -0x1.488013f1ab8efp-16, -0x1.44d89890ab687p-16, -0x1.4124790ec132cp-16, -0x1.3d6489cc9504dp-16, -0x1.3999984fed677p-16, -0x1.35c46b775dd3ep-16, -0x1.31e5c3ab635p-16, -0x1.2dfe5b0e054b9p-16, -0x1.2a0ee5aa1818cp-16, -0x1.261811a03648cp-16, -0x1.221a8752bbabcp-16, -0x1.1e16e990adc67p-16, -0x1.1a0dd5bf28894p-16, -0x1.15ffe401a7eb4p-16, -0x1.11eda7611e8cep-16, -0x1.0dd7adf29a81fp-16, -0x1.09be80fb1dda4p-16, -0x1.05a2a514a6877p-16, -0x1.01849a5026fe2p-16, -0x1.fac9b8b12716cp-17, -0x1.f287c5236ab71p-17, -0x1.ea44407437cdcp-17, -0x1.e2000911b3a8bp-17, -0x1.d9bbf5983410ap-17, -0x1.d178d50c5687dp-17, -0x1.c9376f144ae4ap-17, -0x1.c0f8842d32e11p-17, -0x1.b8bccde26191bp-17, -0x1.b084ff0194f67p-17, -0x1.a851c3cc352d4p-17, -0x1.a023c2278a77fp-17, -0x1.97fb99ced49b3p-17, -0x1.8fd9e47f79075p-17, -0x1.87bf36264b786p-17, -0x1.7fac1d0ae2823p-17, -0x1.77a121fa0e2bdp-17, -0x1.6f9ec86ebde7dp-17, -0x1.67a58eb9a3baap-17, -0x1.5fb5ee2906efap-17, -0x1.57d05b2c7f176p-17, -0x1.4ff5457a6dc6bp-17, -0x1.48251834ecfa5p-17, -0x1.40603a09abdd6p-17, -0x1.38a70d5326978p-17, -0x1.30f9f03a10fa6p-17, -0x1.29593cd699b22p-17, -0x1.21c5494c7e72ep-17, -0x1.1a3e67e8d4acap-17, -0x1.12c4e73fa92c2p-17, -0x1.0b5912474939bp-17, -0x1.03fb307377f8ep-17, -0x1.f9570ba125452p-18, -0x1.ead4a63b5a06ep-18, -0x1.dc6fabc6e6ab3p-18, -0x1.ce28911d62c91p-18, -0x1.bfffc50e29addp-18, -0x1.b1f5b087be4a3p-18, -0x1.a40ab6c5bd96ep-18, -0x1.963f357f26941p-18, -0x1.8893851126361p-18, -0x1.7b07f8a1c5c1ep-18, -0x1.6d9cde4b75887p-18, -0x1.60527f418d0b1p-18, -0x1.53291ff4c02b3p-18, -0x1.4621003973ae6p-18, -0x1.393a5b68d2073p-18, -0x1.2c75688864653p-18, -0x1.1fd25a634ccbep-18, -0x1.13515fb1bb1b4p-18, -0x1.06f2a3345f8aep-18, -0x1.f56c97a166051p-19, -0x1.dd38f96104e8p-19, -0x1.c54aaabeadb6bp-19, -0x1.ada1e3d21981bp-19, -0x1.963ed5e0a6b5p-19, -0x1.7f21ab9579f49p-19, -0x1.684a89364095fp-19, -0x1.51b98cd091767p-19, -0x1.3b6ece6e0e0c5p-19, -0x1.256a6041e136ep-19, -0x1.0fac4edbed0b3p-19, -0x1.f46942a4b5211p-20, -0x1.ca06b2d6656c5p-20, -0x1.a030e793a337ap-20, -0x1.76e7d0243a867p-20, -0x1.4e2b522897ebbp-20, -0x1.25fb49de226d2p-20, -0x1.fcaf14fb66643p-21, -0x1.ae7fbcf5889f2p-21, -0x1.61680f8fcc386p-21, -0x1.1567803e04525p-21, -0x1.94fae516c0c32p-22, -0x1.0152752655d8dp-22, -0x1.bf50ec73830ecp-24, 0x1.f815b794f4e94p-26, 0x1.595ff95cbaf0bp-23, 0x1.37b971a0e9627p-22, 0x1.c09f9d6b80eafp-22, 0x1.23b23e2ff91cp-21, 0x1.66051190d277p-21, 0x1.a7495ee69ec41p-21, 0x1.e78047a2efde1p-21, 0x1.13557c0f0119cp-20, 0x1.326553971cecdp-20, 0x1.50f04af7d2f4ep-20, 0x1.6ef707a3d35d8p-20, 0x1.8c7a33c8900b5p-20, 0x1.a97a7e26422p-20, 0x1.c5f899e1b6284p-20, 0x1.e1f53e5d5bf29p-20, 0x1.fd7127005069p-20, 0x1.0c36898d26db1p-19, 0x1.1974e2e14dd65p-19, 0x1.267402d3b5893p-19, 0x1.33344e7a83ab3p-19, 0x1.3fb62c92f9c63p-19, 0x1.4bfa0574cbc65p-19, 0x1.580042ff6b512p-19, 0x1.63c95083a6e79p-19, 0x1.6f559ab99e4ecp-19, 0x1.7aa58fb1db8b3p-19, 0x1.85b99ec1519a3p-19, 0x1.90923874bdf55p-19, 0x1.9b2fce82d1a49p-19, 0x1.a592d3bd82b8ap-19, 0x1.afbbbc030061ap-19, 0x1.b9aafc29e33b4p-19, 0x1.c36109fceb36ap-19, 0x1.ccde5c2b152d9p-19, 0x1.d6236a398e58bp-19, 0x1.df30ac7b1101cp-19, 0x1.e8069c0165428p-19, 0x1.f0a5b290eb76p-19, 0x1.f90e6a97ced6p-19, 0x1.00a09f8e86a2fp-18, 0x1.049f55dcfcb14p-18, 0x1.0883964888bbfp-18, 0x1.0c4d9f1fbe651p-18, 0x1.0ffdaeea92f8p-18, 0x1.13940465726bep-18, 0x1.1710de7cec4bcp-18, 0x1.1a747c4877276p-18, 0x1.1dbf1d0347b7ep-18, 0x1.20f1000aa0875p-18, 0x1.240a64d97ed8dp-18, 0x1.270b8b02f1b97p-18, 0x1.29f4b22fa3a43p-18, 0x1.2cc61a18e31fap-18, 0x1.2f8002857f279p-18, 0x1.3222ab43e4e29p-18, 0x1.34ae54295390cp-18, 0x1.37233d0a5448ep-18, 0x1.3981a5b9da03cp-18, 0x1.3bc9ce0627895p-18, 0x1.3dfbf5b36e465p-18, 0x1.40185c79a578ep-18, 0x1.421f42018ef4dp-18, 0x1.4410e5e1d66bdp-18, 0x1.45ed879a74d63p-18, 0x1.47b566919f98dp-18, 0x1.4968c2123d5b4p-18, 0x1.4b07d948d2024p-18, 0x1.4c92eb3f47d6dp-18, 0x1.4e0a36dce1faap-18, 0x1.4f6dfae206227p-18, 0x1.50be75e5acdd4p-18, 0x1.51fbe652acf5ep-18, 0x1.53268a670cc81p-18, 0x1.543ea02eb41c4p-18, 0x1.55446582dae34p-18, 0x1.5638180817b96p-18, 0x1.5719f52c32c0ap-18, 0x1.57ea3a224059cp-18, 0x1.58a923e325b9ep-18, 0x1.5956ef2a72bcdp-18, 0x1.59f3d87432267p-18, 0x1.5a801bfa774fcp-18, 0x1.5afbf5b44bc19p-18, 0x1.5b67a154e3b6ep-18, 0x1.5bc35a480b8efp-18, 0x1.5c0f5bb133f57p-18, 0x1.5c4be06afa8e9p-18, 0x1.5c79230437171p-18, 0x1.5c975dbf1dbdep-18, 0x1.5ca6ca8f1f8a4p-18, 0x1.5ca7a318ccab3p-18, 0x1.5c9a20aebe6dcp-18, 0x1.5c7e7c513056fp-18, 0x1.5c54eead345c5p-18, 0x1.5c1db01aacf0dp-18, 0x1.5bd8f89acba78p-18, 0x1.5b86ffd7e43dp-18, 0x1.5b27fd249625bp-18, 0x1.5abc2778fc445p-18, 0x1.5a43b573076afp-18, 0x1.59bedd54a9678p-18, 0x1.592dd5040c117p-18, 0x1.5890d20a0541ep-18, 0x1.57e80990ae8a5p-18, 0x1.5733b0634af9ep-18, 0x1.5673faed9cc53p-18, 0x1.55a91d3a33c6ep-18, 0x1.54d34af27d0fdp-18, 0x1.53f2b75e0c2a6p-18, 0x1.53079561bb261p-18, 0x1.5212177e9301ep-18, 0x1.51126fd1d6ea1p-18, 0x1.5008d01567154p-18, 0x1.4ef5699c31ab9p-18, 0x1.4dd86d547be27p-18, 0x1.4cb20bc683c93p-18, 0x1.4b8275149ed68p-18, 0x1.4a49d8f8b5233p-18, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.ac35a950c9941p-13, 0x1.b079830ef9dffp-12, 0x1.493583641cc56p-11, 0x1.bf3354e9cf1dap-11, 0x1.1daec3096779ap-10, 0x1.5f95704c4f2c6p-10, 0x1.a65af4076d20cp-10, 0x1.f37b58522d939p-10, 0x1.24781dc4a1f09p-9, 0x1.549972c9b885ap-9, 0x1.8b9a0bd7495dcp-9, 0x1.cb2626c8f558p-9, 0x1.0a89c02bcfb49p-8, 0x1.35aac920b6cfep-8, 0x1.67f8a9c2f8638p-8, 0x1.a278956eefb68p-8, 0x1.e62cc9bf0e146p-8, 0x1.1a07b2d61fb44p-7, 0x1.4686f02e62e68p-7, 0x1.790296b744a4cp-7, 0x1.b1df493f4f7f9p-7, 0x1.f1769521ad0b3p-7, 0x1.1c0b031220f88p-6, 0x1.42ff4334f6692p-6, 0x1.6db20193432a1p-6, 0x1.9c36a71a5268cp-6, 0x1.ce9a1a434de31p-6, 0x1.0271706456ecfp-5, 0x1.1f88aa0ae9409p-5, 0x1.3e8ff276eed37p-5, 0x1.5f81b589337eep-5, 0x1.8255bf0212339p-5, 0x1.a7016a257cbf7p-5, 0x1.cd77d3829a353p-5, 0x1.f5aa0be6740efp-5, 0x1.0fc3a5d323aabp-4, 0x1.257e92c833205p-4, 0x1.3bfbdc78e5576p-4, 0x1.5330f11d3e5d6p-4, 0x1.6b12b4f1dff02p-4, 0x1.839598a857c18p-4, 0x1.9cadaeba6eb7ap-4, 0x1.b64ebf8e4826dp-4, 0x1.d06c5c5ffee36p-4, 0x1.eaf9f0eb27763p-4, 0x1.02f569e9a8ef9p-3, 0x1.10992ae743d0ep-3, 0x1.1e61e7cbedaf8p-3, 0x1.2c49575945f1fp-3, 0x1.3a4940840a09p-3, 0x1.485b7fb674d26p-3, 0x1.567a0b8c4a89ep-3, 0x1.649ef90f4c6f1p-3, 0x1.72c47f7ae3843p-3, 0x1.80e4fb8de986ap-3, 0x1.8efaf2718a9f7p-3, 0x1.9d01143bef82dp-3, 0x1.aaf23e156b274p-3, 0x1.b8c97c068ca11p-3, 0x1.c6820a755d109p-3, 0x1.d4175757b28fdp-3, 0x1.e185032053501p-3, 0x1.eec6e16c532b1p-3, 0x1.fbd8f975dbdd5p-3, 0x1.045bc3289ba46p-2, 0x1.0aaf7b7c5d68dp-2, 0x1.10e5f715f8086p-2, 0x1.16fda11306274p-2, 0x1.1cf4fe17c787ep-2, 0x1.22caac0753687p-2, 0x1.287d61acd5ef9p-2, 0x1.2e0bee5777656p-2, 0x1.3375396a5b22ap-2, 0x1.38b841e21d899p-2, 0x1.3dd41dd1159a2p-2, 0x1.42c7f9d38aebbp-2, 0x1.4793187cfdeb5p-2, 0x1.4c34d1bf864b1p-2, 0x1.50ac924e3e5ep-2, 0x1.54f9dafb9bacap-2, 0x1.591c401485ab5p-2, 0x1.5d1368b8ec159p-2, 0x1.60df0e328dbb2p-2, 0x1.647efb4a93cb8p-2, 0x1.67f30b9e92c2dp-2, 0x1.6b3b2af583dbbp-2, 0x1.6e57549528f0ep-2, 0x1.71479298518c5p-2, 0x1.740bfd466e36ep-2, 0x1.76a4ba6cc213dp-2, 0x1.7911fcb9946afp-2, 0x1.7b540319a79ecp-2, 0x1.7d6b181834e3ap-2, 0x1.7f579141b3f75p-2, 0x1.8119ce8996decp-2, 0x1.82b239b332662p-2, 0x1.842145bdf22cap-2, 0x1.85676e5504a75p-2, 0x1.8685374290b2cp-2, 0x1.877b2be697018p-2, 0x1.8849deb18d09cp-2, 0x1.88f1e8a2c0d69p-2, 0x1.8973e8ca93dp-2, 0x1.89d083d09464p-2, 0x1.8a08637d75b03p-2, 0x1.8a1c3648eca4bp-2, 0x1.8a0caeeb72316p-2, 0x1.89da83f3dbf8cp-2, 0x1.89866f60d7d94p-2, 0x1.89112e3e2e985p-2, 0x1.887b8045d1a3fp-2, 0x1.87c62784a3a5p-2, 0x1.86f1e802ed5f3p-2, 0x1.85ff877072fe4p-2, 0x1.84efccd418aap-2, 0x1.83c3803f068bp-2, 0x1.827b6a833cdc3p-2, 0x1.811854ed80497p-2, 0x1.7f9b090291d93p-2, 0x1.7e04503f9cd4ep-2, 0x1.7c54f3ddc3616p-2, 0x1.7a8dbc98be56bp-2, 0x1.78af72786fccap-2, 0x1.76badc9d60e1bp-2, 0x1.74b0c1100b828p-2, 0x1.7291e492e0ccep-2, 0x1.705f0a76f7d42p-2, 0x1.6e18f47349104p-2, 0x1.6bc0627e6f6fcp-2, 0x1.695612aaca8a6p-2, 0x1.66dac104fa7b1p-2, 0x1.644f277498ca3p-2, 0x1.61b3fd9f236aep-2, 0x1.5f09f8ccf9adep-2, 0x1.5c51cbd067374p-2, 0x1.598c26ee9b882p-2, 0x1.56b9b7ca8633p-2, 0x1.53db295180db5p-2, 0x1.50f123a9b3361p-2, 0x1.4dfc4c2226edbp-2, 0x1.4afd45246f43dp-2, 0x1.47f4ae27e00a7p-2, 0x1.44e323a63a72dp-2, 0x1.41c93f11c19e9p-2, 0x1.3ea796ccaaa38p-2, 0x1.3b7ebe21d89c6p-2, 0x1.384f453ecf3a7p-2, 0x1.3519b92ed7e21p-2, 0x1.31dea3d742034p-2, 0x1.2e9e8bf4b8865p-2, 0x1.2b59f51999623p-2, 0x1.28115fad4691cp-2, 0x1.24c548ec62c56p-2, 0x1.21762ae9eb4cep-2, 0x1.1e247c9129f39p-2, 0x1.1ad0b1a86a927p-2, 0x1.177b3ad473e8dp-2, 0x1.1424859cae9e5p-2, 0x1.10ccfc6ff83b4p-2, 0x1.0d7506aa15c7ep-2, 0x1.0a1d0899b9c0ap-2, 0x1.06c5638717a8cp-2, 0x1.036e75bafdc0ap-2, 0x1.00189a86649a8p-2, 0x1.f9885494ee60dp-3, 0x1.f2e2f50203c95p-3, 0x1.ec41bb8a8d539p-3, 0x1.e5a547ba5bedcp-3, 0x1.df0e338591516p-3, 0x1.d87d135c4ca7cp-3, 0x1.d1f2763eda3e7p-3, 0x1.cb6ee5d269d02p-3, 0x1.c4f2e67642965p-3, 0x1.be7ef75953b7p-3, 0x1.b81392903386ap-3, 0x1.b1b12d2b66eb7p-3, 0x1.ab58374dffd5p-3, 0x1.a5091c44715c1p-3, 0x1.9ec4429ba6bc5p-3, 0x1.988a0c383d7c9p-3, 0x1.925ad66df45eap-3, 0x1.8c36fa172942cp-3, 0x1.861ecbac7b1b5p-3, 0x1.80129b5c72096p-3, 0x1.7a12b523358b5p-3, 0x1.741f60e23e466p-3, 0x1.6e38e2780a73p-3, 0x1.685f79d7c0b24p-3, 0x1.62936320c6922p-3, 0x1.5cd4d6b640339p-3, 0x1.5724095671271p-3, 0x1.51812c32082cdp-3, 0x1.4bec6d03370f9p-3, 0x1.4665f624ad783p-3, 0x1.40edeea86522ep-3, 0x1.3b847a6e394d8p-3, 0x1.3629ba3a4ce41p-3, 0x1.30ddcbcb3a23bp-3, 0x1.2ba0c9f0066d7p-3, 0x1.2672cc9dd7a5ap-3, 0x1.2153e9056a3ep-3, 0x1.1c4431a847eabp-3, 0x1.1743b66db2b24p-3, 0x1.125284b74fc6fp-3, 0x1.0d70a77585dap-3, 0x1.089e273b8fc8bp-3, 0x1.03db0a53480aap-3, 0x1.fe4ea9a13bd71p-4, 0x1.f50611498a916p-4, 0x1.ebdc4b6220341p-4, 0x1.e2d153b2e8d7p-4, 0x1.d9e5222d97effp-4, 0x1.d117ab115efb3p-4, 0x1.c868df0e20335p-4, 0x1.bfd8ab66e1878p-4, 0x1.b766fa1398723p-4, 0x1.af13b1e25cc1cp-4, 0x1.a6deb697e2a9bp-4, 0x1.9ec7e90f4db3ep-4, 0x1.96cf275957a41p-4, 0x1.8ef44cdad7181p-4, 0x1.8737326a90404p-4, 0x1.7f97ae6e6473cp-4, 0x1.781594f7d4a89p-4, 0x1.70b0b7dfdebb2p-4, 0x1.6968e6e2322d7p-4, 0x1.623defb7bed46p-4, 0x1.5b2f9e30a043p-4, 0x1.543dbc4d629d9p-4, 0x1.4d681257a8094p-4, 0x1.46ae66fa2a81p-4, 0x1.40107f5820ea8p-4, 0x1.398e1f2403bb4p-4, 0x1.332708b5b7ae9p-4, 0x1.2cdafd201c9dcp-4, 0x1.26a9bc4603ff1p-4, 0x1.209304ee90fb6p-4, 0x1.1a9694d90435ap-4, 0x1.14b428cff3fa2p-4, 0x1.0eeb7cbbf4b24p-4, 0x1.093c4bb5b1ccp-4, 0x1.03a650177902ap-4, 0x1.fc52871c8042bp-5, 0x1.f189be543bb8ap-5, 0x1.e6f1b6dc7937bp-5, 0x1.dc89e0c09c2dep-5, 0x1.d251ab2ef3289p-5, 0x1.c8488495975cep-5, 0x1.be6ddabe56f43p-5, 0x1.b4c11ae9a5e31p-5, 0x1.ab41b1e8a141fp-5, 0x1.a1ef0c361f86p-5, 0x1.98c8960eeb827p-5, 0x1.8fcdbb890811p-5, 0x1.86fde8aa2315fp-5, 0x1.7e58897d2ada9p-5, 0x1.75dd0a2713777p-5, 0x1.6d8ad6fac3dbcp-5, 0x1.65615c8c409dcp-5, 0x1.5d6007c30c7b1p-5, 0x1.558645ebc6fbcp-5, 0x1.4dd384c90c082p-5, 0x1.464732a39c894p-5, 0x1.3ee0be59d28a6p-5, 0x1.379f976e65c85p-5, 0x1.30832e167e38fp-5, 0x1.298af3472ab43p-5, 0x1.22b658c22adbep-5, 0x1.1c04d12219fb4p-5, 0x1.1575cfe606201p-5, 0x1.0f08c97c6bafcp-5, 0x1.08bd334d9f52fp-5, 0x1.029283c5a7458p-5, 0x1.f91064bb1b155p-6, 0x1.ed3b6f4858279p-6, 0x1.e1a51a8cddf64p-6, 0x1.d64c5c2e410c6p-6, 0x1.cb302c2c68c36p-6, 0x1.c04f84ef3e383p-6, 0x1.b5a9635367c6p-6, 0x1.ab3cc6b62b10ap-6, 0x1.a108b1007d5c5p-6, 0x1.970c26b1309a8p-6, 0x1.8d462ee65a067p-6, 0x1.83b5d365f95a4p-6, 0x1.7a5a20a5dbb06p-6, 0x1.713225d2c1cdbp-6, 0x1.683cf4d6dab9p-6, 0x1.5f79a25f8cfe5p-6, 0x1.56e745e29f80ep-6, 0x1.4e84f9a2b5322p-6, 0x1.4651dab33e282p-6, 0x1.3e4d08fbc139cp-6, 0x1.3675a73aab29fp-6, 0x1.2ecadb077b458p-6, 0x1.274bccd47eb5bp-6, 0x1.1ff7a7f0034f6p-6, 0x1.18cd9a850832dp-6, 0x1.11ccd59b8863p-6, 0x1.0af48d18427a5p-6, 0x1.0443f7bc22137p-6, 0x1.fb749e466fcf5p-7, 0x1.eead9f86a1a16p-7, 0x1.e23171d453259p-7, 0x1.d5fe997698315p-7, 0x1.ca13a05b29739p-7, 0x1.be6f1610c34dap-7, 0x1.b30f8fc0e70c1p-7, 0x1.a7f3a8290420ap-7, 0x1.9d19ff93095cdp-7, 0x1.92813bcd82c4ep-7, 0x1.8828082322348p-7, 0x1.7e0d1551d3332p-7, 0x1.742f198152efbp-7, 0x1.6a8cd0395d458p-7, 0x1.6124fa5778a65p-7, 0x1.57f65e04516c3p-7, 0x1.4effc6a8c7c4ep-7, 0x1.464004e2a77a2p-7, 0x1.3db5ee78e0a53p-7, 0x1.35605e4fbe8d6p-7, 0x1.2d3e345c90858p-7, 0x1.254e55994db88p-7, 0x1.1d8fabf7ceb47p-7, 0x1.16012654d2be5p-7, 0x1.0ea1b86ae948bp-7, 0x1.07705ac50eb69p-7, 0x1.006c0ab1289afp-7, 0x1.f3279464d659fp-8, 0x1.e5cd3fe6fdab4p-8, 0x1.d8c72e71099f8p-8, 0x1.cc137fa22c94ap-8, 0x1.bfb05c1431cc8p-8, 0x1.b39bf53ee5ab4p-8, 0x1.a7d4855bac66dp-8, 0x1.9c584f48973c7p-8, 0x1.91259e6b7d069p-8, 0x1.863ac6952c7p-8, 0x1.7b9623e43e2b8p-8, 0x1.71361aa8216f5p-8, 0x1.6719174408ea3p-8, 0x1.5d3d8e11f07d7p-8, 0x1.53a1fb457094fp-8, 0x1.4a44e2cec1a06p-8, 0x1.4124d03dc37e2p-8, 0x1.384056a52033p-8, 0x1.2f96107d71bb4p-8, 0x1.27249f88b5d2cp-8, 0x1.1eeaacb57b177p-8, 0x1.16e6e802865c3p-8, 0x1.0f18086262dfp-8, 0x1.077ccb9f43902p-8, 0x1.0013f63eef538p-8, 0x1.f1b8a6cdcd5aep-9, 0x1.e3a96981984b6p-9, 0x1.d5f7e4bd7a5d6p-9, 0x1.c8a1d54018e22p-9, 0x1.bba5042c67a5p-9, 0x1.aeff46d3e67b7p-9, 0x1.a2ae7e8129b47p-9, 0x1.96b0984357f9bp-9, 0x1.8b038cb9908cap-9, 0x1.7fa55fdeda4f2p-9, 0x1.749420d6f87afp-9, 0x1.69cde9bb66319p-9, 0x1.5f50df68f30cap-9, 0x1.551b314dea2b2p-9, 0x1.4b2b1938ea021p-9, 0x1.417edb27ea576p-9, 0x1.3814c5180473fp-9, 0x1.2eeb2ed5bf10fp-9, 0x1.260079cdf3f4ap-9, 0x1.1d5310df3d3a6p-9, 0x1.14e1682bf85a3p-9, 0x1.0ca9fcecfe74bp-9, 0x1.04ab5544bbc29p-9, 0x1.f9c80025849bap-10, 0x1.eaa5299047e5fp-10, 0x1.dbeb667933ba2p-10, 0x1.cd98070767c5ap-10, 0x1.bfa86b8603ae1p-10, 0x1.b21a0411f2df4p-10, 0x1.a4ea5047fd07ap-10, 0x1.9816def4838bap-10, 0x1.8b9d4dc4334bdp-10, 0x1.7f7b48f6527f3p-10, 0x1.73ae8b0fa9ecbp-10, 0x1.6834dc8f02588p-10, 0x1.5d0c13a2cd6d6p-10, 0x1.523213dfc2f91p-10, 0x1.47a4cdf8aac56p-10, 0x1.3d623f77434c6p-10, 0x1.3368727637c33p-10, 0x1.29b57d5cc67dfp-10, 0x1.2047829ad489dp-10, 0x1.171cb066566dp-10, 0x1.0e33407a8203fp-10, 0x1.058977d6f7b37p-10, 0x1.fa3b4d01f713ep-11, 0x1.e9dc4e899fdcp-11, 0x1.d9f2bef209f9fp-11, 0x1.ca7b7d853ff1bp-11, 0x1.bb737db3ec96p-11, 0x1.acd7c6a1f2119p-11, 0x1.9ea572b539f7cp-11, 0x1.90d9af25b29f8p-11, 0x1.8371bb903563fp-11, 0x1.766ae98a13c03p-11, 0x1.69c29c3891662p-11, 0x1.5d7647e916fabp-11, 0x1.518371ab7f39dp-11, 0x1.45e7aeee7d287p-11, 0x1.3aa0a51e723fbp-11, 0x1.2fac0944e2e5ap-11, 0x1.25079fab5424bp-11, 0x1.1ab13b7dc93d1p-11, 0x1.10a6be713bec5p-11, 0x1.06e6186b61133p-11, 0x1.fada8e567ee52p-12, 0x1.e874abe847d68p-12, 0x1.d696ba767c046p-12, 0x1.c53d04a9c10abp-12, 0x1.b463ee4ac8d0bp-12, 0x1.a407f3a4931bbp-12, 0x1.9425a8ea9ff05p-12, 0x1.84b9b9a363d29p-12, 0x1.75c0e815d602p-12, 0x1.67380cb816d6p-12, 0x1.591c15a31c539p-12, 0x1.4b6a0609da076p-12, 0x1.3e1ef5b0fc96cp-12, 0x1.3138106b30253p-12, 0x1.24b29597f99afp-12, 0x1.188bd7a45bbbep-12, 0x1.0cc13b90b8847p-12, 0x1.0150387744712p-12, 0x1.ec6cae2a20819p-13, 0x1.d6e262afdf04p-13, 0x1.c1fce3d88750cp-13, 0x1.adb7a79f15686p-13, 0x1.9a0e43c6a491dp-13, 0x1.86fc6d07ef145p-13, 0x1.747df6422206dp-13, 0x1.628ecfb3e118fp-13, 0x1.512b0633ff991p-13, 0x1.404ec2714939cp-13, 0x1.2ff64838bec2p-13, 0x1.201df5bbea296p-13, 0x1.10c242df5a925p-13, 0x1.01dfc08af757bp-13, 0x1.e6e62ffc14882p-14, 0x1.caf21451542a1p-14, 0x1.afdcde151c9b8p-14, 0x1.95a06a275ad35p-14, 0x1.7c36c10ee4567p-14, 0x1.639a15d0151cp-14, 0x1.4bc4c4c3c0212p-14, 0x1.34b152742604ep-14, 0x1.1e5a6a8bf068bp-14, 0x1.08badebabbcc4p-14, 0x1.e79b4b5ca574p-15, 0x1.bf1bb419949fdp-15, 0x1.97ed72f3647e4p-15, 0x1.72074734f445ap-15, 0x1.4d60324ba2875p-15, 0x1.29ef75f9717bbp-15, 0x1.07ac927fe0a78p-15, 0x1.cd1e89c3cfab7p-16, 0x1.8d1f0a742addp-16, 0x1.4f4b0a090210bp-16, 0x1.13935b12462a9p-16, 0x1.b3d279115c6ep-17, 0x1.447cad9f77b8dp-17, 0x1.b212e2966fe8ap-18, 0x1.c576a1f437e66p-19, 0x1.abdf21d08a471p-22, -0x1.4c30edb989f5bp-19, -0x1.5ff9b9f8d381fp-18, -0x1.098b225ccf3e4p-17, -0x1.5fce9638cd37ap-17, -0x1.b2de1c07f70fbp-17, -0x1.0167fa7698f32p-16, -0x1.27dce225025f1p-16, -0x1.4cd84a31edcd8p-16, -0x1.70646d682478cp-16, -0x1.928b3e5896393p-16, -0x1.b35669763461cp-16, -0x1.d2cf5727e9f3ap-16, -0x1.f0ff2dbc5481ap-16, -0x1.06f769ab1eccap-15, -0x1.14d377e882f04p-15, -0x1.2217f7484d2bbp-15, -0x1.2ec90023e387ep-15, -0x1.3aea8e535a649p-15, -0x1.46808208e5a63p-15, -0x1.518ea09d71efap-15, -0x1.5c18955bf8e08p-15, -0x1.6621f24311a63p-15, -0x1.6fae30c67a584p-15, -0x1.78c0b2872ac0dp-15, -0x1.815cc2055aa14p-15, -0x1.898593514dca3p-15, -0x1.913e44b48b555p-15, -0x1.9889df54deeaep-15, -0x1.9f6b57d2f4219p-15, -0x1.a5e58ee675f59p-15, -0x1.abfb51f3872abp-15, -0x1.b1af5b9f661cdp-15, -0x1.b704545b15c31p-15, -0x1.bbfcd2ec6a874p-15, -0x1.c09b5cf6d6fc4p-15, -0x1.c4e267787492p-15, -0x1.c8d4574a111b1p-15, -0x1.cc738198c131cp-15, -0x1.cfc22c5a66434p-15, -0x1.d2c28ec20e699p-15, -0x1.d576d1ab01b97p-15, -0x1.d7e1100640a9dp-15, -0x1.da03574346792p-15, -0x1.dbdfa7b782fd4p-15, -0x1.dd77f4f99bb6p-15, -0x1.dece2646811fdp-15, -0x1.dfe416da9dca7p-15, -0x1.e0bb964b63d4cp-15, -0x1.e15668dc7bb6ep-15, -0x1.e1b647d563757p-15, -0x1.e1dce1d1ebdbep-15, -0x1.e1cbdb0ffda43p-15, -0x1.e184cdba64f77p-15, -0x1.e1094a32f1cc1p-15, -0x1.e05ad75c69117p-15, -0x1.df7af2de2485dp-15, -0x1.de6b11630ab7ap-15, -0x1.dd2c9ee127f3bp-15, -0x1.dbc0fed338a48p-15, -0x1.da298c776e2a8p-15, -0x1.d8679b07a0139p-15, -0x1.d67c75f54fddcp-15, -0x1.d469611f2da3p-15, -0x1.d22f99067522cp-15, -0x1.cfd05302227a1p-15, -0x1.cd4cbd6f66da7p-15, -0x1.caa5ffe49b529p-15, -0x1.c7dd3b5f957cdp-15, -0x1.c4f38a6f32d5ep-15, -0x1.c1ea0163e426fp-15, -0x1.bec1ae77a5b33p-15, -0x1.bb7b99f5bed4ap-15, -0x1.b818c664c9a01p-15, -0x1.b49a30a9472bcp-15, -0x1.b100d02f12665p-15, -0x1.ad4d9709a9d12p-15, -0x1.a9817219d2523p-15, -0x1.a59d492ba6f49p-15, -0x1.a1a1ff18d03a9p-15, -0x1.9d9071e86f164p-15, -0x1.99697aed32113p-15, -0x1.952deee074c4bp-15, -0x1.90de9e0215ed1p-15, -0x1.8c7c54314fef4p-15, -0x1.8807d9081a403p-15, -0x1.8381eff52cf5p-15, -0x1.7eeb585379484p-15, -0x1.7a44cd8426523p-15, -0x1.758f07042d411p-15, -0x1.70cab884f2764p-15, -0x1.6bf891ff37b8dp-15, -0x1.67193fc8e2954p-15, -0x1.622d6aabdd351p-15, -0x1.5d35b7f75c2f3p-15, -0x1.5832c99362a4fp-15, -0x1.53253e13c95ap-15, -0x1.4e0db0c9917d4p-15, -0x1.48ecb9d41d80cp-15, -0x1.43c2ee32f6d12p-15, -0x1.3e90dfd548483p-15, -0x1.39571daa22624p-15, -0x1.341633aee71cdp-15, -0x1.2eceab0011ad9p-15, -0x1.298109e4fcad6p-15, -0x1.242dd3de0d1d6p-15, -0x1.1ed589b3ce17dp-15, -0x1.1978a9847bdd5p-15, -0x1.1417aeceb3db8p-15, -0x1.0eb3127e75608p-15, -0x1.094b4af967511p-15, -0x1.03e0cc298605dp-15, -0x1.fce80f1240747p-16, -0x1.f20ad85bf4bc9p-16, -0x1.e72acda98afcap-16, -0x1.dc48c3d3236b9p-16, -0x1.d1658b261beefp-16, -0x1.c681ef79b5879p-16, -0x1.bb9eb83d169ffp-16, -0x1.b0bca88c58f4bp-16, -0x1.a5dc7f4531e33p-16, -0x1.9afef718a6d5ap-16, -0x1.9024c69773666p-16, -0x1.854ea0478f9ep-16, -0x1.7a7d32b039db2p-16, -0x1.6fb1286b31773p-16, -0x1.64eb2834eebbdp-16, -0x1.5a2bd4fabb884p-16, -0x1.4f73cdeea0fe3p-16, -0x1.44c3ae8e7b098p-16, -0x1.3a1c0eb5f1405p-16, -0x1.2f7d82ac5dd04p-16, -0x1.24e89b2f052ecp-16, -0x1.1a5de57f94582p-16, -0x1.0fddeb72915dbp-16, -0x1.0569337e80d0dp-16, -0x1.f600818471ca9p-17, -0x1.e147262b449f6p-17, -0x1.cca74e2714b84p-17, -0x1.b821ec48145cp-17, -0x1.a3b7ed130cbd3p-17, -0x1.8f6a36d6dc4b8p-17, -0x1.7b39a9c9ae47fp-17, -0x1.6727201773f81p-17, -0x1.53336df80a245p-17, -0x1.3f5f61c5d4535p-17, -0x1.2babc4101fe15p-17, -0x1.181957afc4f51p-17, -0x1.04a8d9d8c4957p-17, -0x1.e2b6046f43103p-18, -0x1.bc6105fe44fc1p-18, -0x1.965411ec2b197p-18, -0x1.7090772a7613p-18, -0x1.4b177a223c398p-18, -0x1.25ea54da45d31p-18, -0x1.010a371ecd5e6p-18, -0x1.b8f08d4a26265p-19, -0x1.706b3e7ebd119p-19, -0x1.2886a5cde0259p-19, -0x1.c289a7ba68763p-20, -0x1.354f8c69924f5p-20, -0x1.52c59e399e5e3p-21, -0x1.ec7202b52c08bp-24, 0x1.a9ffd2efeeb0fp-22, 0x1.e4de0fcc027bbp-21, 0x1.7902d5118ad78p-20, 0x1.fe383b3d6c9b6p-20, 0x1.41061ded2e466p-19, 0x1.823dfd310b156p-19, 0x1.c2c25dfaa1191p-19, 0x1.0148f9b52e16dp-18, 0x1.20d5c07a84d51p-18, 0x1.4006ed024f371p-18, 0x1.5edbf0ee2ee53p-18, 0x1.7d5445afca305p-18, 0x1.9b6f6c63b60c6p-18, 0x1.b92cedbafcfcbp-18, 0x1.d68c59d9b8256p-18, 0x1.f38d483b38ccap-18, 0x1.0817abcb6d3c7p-17, 0x1.163916db57dep-17, 0x1.242abbb5a6754p-17, 0x1.31ec743632d81p-17, 0x1.3f7e1d9a97289p-17, 0x1.4cdf9877434b7p-17, 0x1.5a10c8aa09b4dp-17, 0x1.6711954e447c2p-17, 0x1.73e1e8abd8659p-17, 0x1.8081b02571e76p-17, 0x1.8cf0dc31fa1d1p-17, 0x1.992f604ee021fp-17, 0x1.a53d32f0bc29dp-17, 0x1.b11a4d7825b3p-17, 0x1.bcc6ac2480065p-17, 0x1.c8424e04e8403p-17, 0x1.d38d34efc6784p-17, 0x1.dea7656d9d427p-17, 0x1.e990e6b3b378cp-17, 0x1.f449c298c666p-17, 0x1.fed20582f91dcp-17, 0x1.0494df2f236cfp-16, 0x1.09a87f481b07dp-16, 0x1.0ea3ecf72e0c7p-16, 0x1.13873357bf8f5p-16, 0x1.18525eae57af2p-16, 0x1.1d057c64998e5p-16, 0x1.21a09b0281385p-16, 0x1.2623ca29724d3p-16, 0x1.2a8f1a8f5f2c4p-16, 0x1.2ee29df6c408ap-16, 0x1.331e672a586dfp-16, 0x1.374289f6d3e57p-16, 0x1.3b4f1b26ce514p-16, 0x1.3f4430794fd4fp-16, 0x1.4321e09fc723p-16, 0x1.46e8433943648p-16, 0x1.4a9770ca48639p-16, 0x1.4e2f82b8896e9p-16, 0x1.51b09345db30bp-16, 0x1.551abd8c1cb26p-16, 0x1.586e1d763dc35p-16, 0x1.5baacfba45ea9p-16, 0x1.5ed0f1d68a4f1p-16, 0x1.61e0a20adc7bbp-16, 0x1.64d9ff539f868p-16, 0x1.67bd29674f668p-16, 0x1.6a8a40af3d25p-16, 0x1.6d41664249f2cp-16, 0x1.6fe2bbe128c9ep-16, 0x1.726e63f2d0582p-16, 0x1.74e4817c7bd63p-16, 0x1.7745381f30ecep-16, 0x1.7990ac12526f9p-16, 0x1.7bc702217f9afp-16, 0x1.7de85fa3db047p-16, 0x1.7ff4ea7a737a1p-16, 0x1.81ecc90b823c7p-16, 0x1.83d0223defd6bp-16, 0x1.859f1d741c2bap-16, 0x1.8759e287f1fa7p-16, 0x1.890099c7c7079p-16, 0x1.8a936bf0773ap-16, 0x1.8c12822a2c449p-16, 0x1.8d7e060535e1ap-16, 0x1.8ed62174ffffp-16, 0x1.901afecb9e113p-16, 0x1.914cc8b61332ap-16, 0x1.926baa3a53f83p-16, 0x1.9377ceb0aa88p-16, 0x1.947161c1b926bp-16, 0x1.95588f6199759p-16, 0x1.962d83cd56cfap-16, 0x1.96f06b8777422p-16, 0x1.97a173522b8f6p-16, 0x1.9840c82ed33e6p-16, 0x1.98ce975878468p-16, 0x1.994b0e407cc82p-16, 0x1.99b65a8c59ddfp-16, 0x1.9a10aa117dcf1p-16, 0x1.9a5a2ad2289d8p-16, 0x1.9a930af9eff3bp-16, 0x1.9abb78db04e78p-16, 0x1.9ad3a2eb31ae9p-16, 0x1.9adbb7c01b408p-16, 0x1.9ad3e60c47b0cp-16, 0x1.9abc5c9d0f714p-16, 0x1.9a954a56d4ddbp-16, 0x1.9a5ede323461p-16, 0x1.9a19473964e15p-16, 0x1.99c4b485aff3fp-16, 0x1.9961553ad4d76p-16, 0x1.98ef5887f9d77p-16, 0x1.986eeda17545ap-16, 0x1.97e043c079e2cp-16, 0x1.97438a1e9481dp-16, }}, 
      {{0x1.c2b5a9f50317cp-1, 0x1.c2ad920346fb9p-1, 0x1.c2a39f882514fp-1, 0x1.c299adf40e4f3p-1, 0x1.c28fb9b8c6b9fp-1, 0x1.c283e80b820fp-1, 0x1.c272e762c08e6p-1, 0x1.c2586d5fbb419p-1, 0x1.c22fb2e37a322p-1, 0x1.c1f3df0d52b72p-1, 0x1.c1a05b4688c1fp-1, 0x1.c1310fd5ca05ep-1, 0x1.c0a28b39b5183p-1, 0x1.bff217b86e66p-1, 0x1.bf1dc2d56b80fp-1, 0x1.be245a24e051bp-1, 0x1.bd056081ca91dp-1, 0x1.bbc0fe27a52e9p-1, 0x1.ba57edb08c404p-1, 0x1.b8cb6785927b8p-1, 0x1.b71d0cecfb96ap-1, 0x1.b54ed390fafadp-1, 0x1.b362f21837f83p-1, 0x1.b15bce3586a6cp-1, 0x1.af3bec6c06a3p-1, 0x1.ad05e1a611f37p-1, 0x1.aabc46a65b82ep-1, 0x1.a861ad49dba1ep-1, 0x1.a5f897854f3cp-1, 0x1.a383700121639p-1, 0x1.a1048431bf3f4p-1, 0x1.9e7dffc7bc186p-1, 0x1.9bf1e952691acp-1, 0x1.99621feffcd8ep-1, 0x1.96d059e7cdc23p-1, 0x1.943e240d343e3p-1, 0x1.91ace1cc0a084p-1, 0x1.8f1dcdc27466p-1, 0x1.8c91face56adp-1, 0x1.8a0a55778e311p-1, 0x1.8787a5a2bb25fp-1, 0x1.850a907addde8p-1, 0x1.82939a8269eb7p-1, 0x1.802329be9bdc5p-1, 0x1.7db987f1d518p-1, 0x1.7b56e4db8b506p-1, 0x1.78fb5875f056cp-1, 0x1.76a6e52addc12p-1, 0x1.745979facd57fp-1, 0x1.7212f491c2122p-1, 0x1.6fd32346e934fp-1, 0x1.6d99c70498d65p-1, 0x1.6b669516f151fp-1, 0x1.693938e00aa0bp-1, 0x1.6711557108a6ep-1, 0x1.64ee8707e0272p-1, 0x1.62d06471ec75fp-1, 0x1.60b68053b2f22p-1, 0x1.5ea06a56776d6p-1, 0x1.5c8db03c63405p-1, 0x1.5a7ddedc2d324p-1, 0x1.587083053f4fbp-1, 0x1.56652a4d75b33p-1, 0x1.545b63c991b53p-1, 0x1.5252c0b18d046p-1, 0x1.504ad4f1f1fffp-1, 0x1.4e4337ab65ef8p-1, 0x1.4c3b83a189c89p-1, 0x1.4a33579a4e102p-1, 0x1.482a56aed4db6p-1, 0x1.4620288eeea84p-1, 0x1.441479b836a39p-1, 0x1.4206fba1c8639p-1, 0x1.3ff764dd7d3f9p-1, 0x1.3de5712f95852p-1, 0x1.3bd0e19da2a24p-1, 0x1.39b97c757efe6p-1, 0x1.379f0d4d14cdcp-1, 0x1.358164fba6362p-1, 0x1.3360598d432c8p-1, 0x1.313bc63108bc7p-1, 0x1.2f138b22c21d8p-1, 0x1.2ce78d90730c9p-1, 0x1.2ab7b77c4dcfap-1, 0x1.2883f79b8d2e5p-1, 0x1.264c41329fe09p-1, 0x1.24108bef0e21ap-1, 0x1.21d0d3bf76327p-1, 0x1.1f8d18a9f9844p-1, 0x1.1d455ea1690d8p-1, 0x1.1af9ad597ae2dp-1, 0x1.18aa101a4cd06p-1, 0x1.16569593722eep-1, 0x1.13ff4faec262ep-1, 0x1.11a453631d778p-1, 0x1.0f45b88752962p-1, 0x1.0ce399a55456cp-1, 0x1.0a7e13cddc1d2p-1, 0x1.0815466ca05b6p-1, 0x1.05a9531d3c11bp-1, 0x1.033a5d80dce11p-1, 0x1.00c88b14d40e3p-1, 0x1.fca806143574ep-2, 0x1.f7b9dc3bb4844p-2, 0x1.f2c6ece614ae9p-2, 0x1.edcf8eda5c2a6p-2, 0x1.e8d41b1874c64p-2, 0x1.e3d4ec935ff6bp-2, 0x1.ded25feddb6adp-2, 0x1.d9ccd3397c4e6p-2, 0x1.d4c4a5b8509ecp-2, 0x1.cfba37a0fffap-2, 0x1.caade9e573614p-2, 0x1.c5a01dfc01bc9p-2, 0x1.c09135ab1a15dp-2, 0x1.bb8192d76c6cdp-2, 0x1.b671975483f1bp-2, 0x1.b161a4b7d073ep-2, 0x1.ac521c2e10f2p-2, 0x1.a7435e53167f1p-2, 0x1.a235cb0bd32c6p-2, 0x1.9d29c162a9fap-2, 0x1.981f9f65eff77p-2, 0x1.9317c2089244ep-2, 0x1.8e128504d11fcp-2, 0x1.891042c103a98p-2, 0x1.8411543652609p-2, 0x1.7f1610d958773p-2, 0x1.7a1ece849f457p-2, 0x1.752be164e0ee6p-2, 0x1.703d9be70424cp-2, 0x1.6b544ea7be96ep-2, 0x1.66704864d2213p-2, 0x1.6191d5efd0fdcp-2, 0x1.5cb94222598b7p-2, 0x1.57e6d5d3bdccdp-2, 0x1.531ad7d002d4ap-2, 0x1.4e558cd02aee3p-2, 0x1.49973773bb1c4p-2, 0x1.44e0183b6e4cdp-2, 0x1.40306d8504aa9p-2, 0x1.3b887388271fdp-2, 0x1.36e864544a615p-2, 0x1.325077cf87d23p-2, 0x1.2dc0e3b65d4dap-2, 0x1.2939db9c4ccd6p-2, 0x1.24bb90ed449cbp-2, 0x1.204632efcf377p-2, 0x1.1bd9eec7f85c6p-2, 0x1.1776ef7adda53p-2, 0x1.131d5df2e2ba5p-2, 0x1.0ecd6104786bap-2, 0x1.0a871d73739a4p-2, 0x1.064ab5f8e2cc2p-2, 0x1.02184b4960a7p-2, 0x1.fbdff837a61b3p-3, 0x1.f3a3ca6126b2ap-3, 0x1.eb7c42b1e883cp-3, 0x1.e36992fe3e94bp-3, 0x1.db6be95c7e4a6p-3, 0x1.d3837035e7f7cp-3, 0x1.cbb04e580c539p-3, 0x1.c3f2a706a6ebcp-3, 0x1.bc4a9a0dddc03p-3, 0x1.b4b843d4dc58ap-3, 0x1.ad3bbd70b99ep-3, 0x1.a5d51cb7a4f49p-3, 0x1.9e84745446595p-3, 0x1.9749d3d95265dp-3, 0x1.902547d53dfdfp-3, 0x1.8916d9e60e23fp-3, 0x1.821e90cd3ce87p-3, 0x1.7b3c7083a7261p-3, 0x1.74707a4d7c002p-3, 0x1.6dbaacce2d41dp-3, 0x1.671b041c4aa14p-3, 0x1.609179d556da7p-3, 0x1.5a1e053180a47p-3, 0x1.53c09b1736b4dp-3, 0x1.4d792e2ea787dp-3, 0x1.4747aef510c86p-3, 0x1.412c0bcfe1dafp-3, 0x1.3b26311fb34f4p-3, 0x1.35360953098adp-3, 0x1.2f5b7cf8d9002p-3, 0x1.299672d2d59e8p-3, 0x1.23e6cfe787535p-3, 0x1.1e4c779412046p-3, 0x1.18c74b9dc37c6p-3, 0x1.13572c435936bp-3, 0x1.0dfbf84dfc481p-3, 0x1.08b58d21f4455p-3, 0x1.0383c6cf0f65bp-3, 0x1.fccd004176f66p-4, 0x1.f2bb255ba84cap-4, 0x1.e8d1add0376f4p-4, 0x1.df104856d61ebp-4, 0x1.d576a199130d5p-4, 0x1.cc04644f6d20ep-4, 0x1.c2b9395dbf92fp-4, 0x1.b994c7ef0c38dp-4, 0x1.b096b59097a1ap-4, 0x1.a7bea64c68a22p-4, 0x1.9f0c3cc31b798p-4, 0x1.967f1a45115acp-4, 0x1.8e16deeafc2d8p-4, 0x1.85d329adc0038p-4, 0x1.7db3987db5e08p-4, 0x1.75b7c8594950dp-4, 0x1.6ddf5562f4268p-4, 0x1.6629daf69a7abp-4, 0x1.5e96f3be4420dp-4, 0x1.572639c63dee3p-4, 0x1.4fd7469099283p-4, 0x1.48a9b32814892p-4, 0x1.419d183269666p-4, 0x1.3ab10e020679bp-4, 0x1.33e52ca7316f1p-4, 0x1.2d390c00999a2p-4, 0x1.26ac43cb584d1p-4, 0x1.203e6bb263924p-4, 0x1.19ef1b5d73fbp-4, 0x1.13bdea7f64352p-4, 0x1.0daa70e404c3cp-4, 0x1.07b4467d6f797p-4, 0x1.01db0370d45ddp-4, 0x1.f83c804594bf2p-5, 0x1.ecfb2a8641ab5p-5, 0x1.e1f137b0693f4p-5, 0x1.d71dda93a309ap-5, 0x1.cc8046d72fcddp-5, 0x1.c217b10de7999p-5, 0x1.b7e34ec941665p-5, 0x1.ade256ab8094ep-5, 0x1.a414007909538p-5, 0x1.9a778528e350ap-5, 0x1.910c1ef47001cp-5, 0x1.87d1096655e75p-5, 0x1.7ec58168ac689p-5, 0x1.75e8c5526848fp-5, 0x1.6d3a14f40a785p-5, 0x1.64b8b1a39ef7ap-5, 0x1.5c63de480cdefp-5, 0x1.543adf63b72cbp-5, 0x1.4c3cfb1e78ea6p-5, 0x1.4469794f02492p-5, 0x1.3cbfa383965bap-5, 0x1.353ec50a2fc2bp-5, 0x1.2de62af815181p-5, 0x1.26b52430d9edbp-5, 0x1.1fab016cd9bedp-5, 0x1.18c7153f22a02p-5, 0x1.1208b41aece2p-5, 0x1.0b6f345884e8p-5, 0x1.04f9ee39c4c32p-5, 0x1.fd5077dc254e8p-6, 0x1.f0f2f32be49b6p-6, 0x1.e4da0a8c40f4cp-6, 0x1.d9047e149a14ap-6, 0x1.cd7111cecaf3bp-6, 0x1.c21e8dbb0e35p-6, 0x1.b70bbdd309217p-6, 0x1.ac37720c357dep-6, 0x1.a1a07e598f7f9p-6, 0x1.9745baaca07e8p-6, 0x1.8d2602f5d79f7p-6, 0x1.834037245c16bp-6, 0x1.79933b25373c7p-6, 0x1.701df6e1ef135p-6, 0x1.66df563e9f551p-6, 0x1.5dd6491789facp-6, 0x1.5501c33e264acp-6, 0x1.4c60bc75b40d8p-6, 0x1.43f2306f669c7p-6, 0x1.3bb51ec613645p-6, 0x1.33a88af980b2ep-6, 0x1.2bcb7c694af7cp-6, 0x1.241cfe4f6c6ep-6, 0x1.1c9c1fba6d839p-6, 0x1.1547f387358d5p-6, 0x1.0e1f905a90e3ep-6, 0x1.0722109a70a22p-6, 0x1.004e9266d105p-6, 0x1.f3486f24c95f4p-7, 0x1.e6444b35ffcc8p-7, 0x1.d98f0b438e898p-7, 0x1.cd2708c63a076p-7, 0x1.c10aa45cc8098p-7, 0x1.b53845bb0b4dap-7, 0x1.a9ae5b98a8d53p-7, 0x1.9e6b5b9f7509cp-7, 0x1.936dc2598beacp-7, 0x1.88b4131f0f296p-7, 0x1.7e3cd803b8a32p-7, 0x1.7406a1c417034p-7, 0x1.6a1007b2a2fbap-7, 0x1.6057a7a49961ap-7, 0x1.56dc25dea6d9fp-7, 0x1.4d9c2d01694b5p-7, 0x1.44966df5d03e7p-7, 0x1.3bc99fd961f0dp-7, 0x1.33347fea61dcap-7, 0x1.2ad5d173d98f5p-7, 0x1.22ac5db992282p-7, 0x1.1ab6f3e4099eep-7, 0x1.12f468ec4cbcp-7, 0x1.0b639787dfd88p-7, 0x1.040360148a9f9p-7, 0x1.f9a5510862edep-8, 0x1.eba0b8915e5fp-8, 0x1.ddf6d87f6fff9p-8, 0x1.d0a59d3d8dd0dp-8, 0x1.c3aafdbe1b428p-8, 0x1.b704fb52f6a65p-8, 0x1.aab1a18598a73p-8, 0x1.9eaf05ef6bc39p-8, 0x1.92fb48124307p-8, 0x1.8794913121d35p-8, 0x1.7c79142908735p-8, 0x1.71a70d49ff726p-8, 0x1.671cc23089f8dp-8, 0x1.5cd8819f1900ap-8, 0x1.52d8a3581370cp-8, 0x1.491b87f7dbaf8p-8, 0x1.3f9f98cf30b02p-8, 0x1.366347bdf1843p-8, 0x1.2d650f0e15d8p-8, 0x1.24a3714f00818p-8, 0x1.1c1cf93143c5fp-8, 0x1.13d0396291896p-8, 0x1.0bbbcc6a03073p-8, 0x1.03de5484db449p-8, 0x1.f86cf7071d808p-9, 0x1.e985e54e38f7bp-9, 0x1.db04e4fdfce6cp-9, 0x1.cce7758e7a88dp-9, 0x1.bf2b248dcc22ap-9, 0x1.b1cd8d5e32771p-9, 0x1.a4cc58f472f98p-9, 0x1.98253d975eac6p-9, 0x1.8bd5fea009c48p-9, 0x1.7fdc6c3ae3596p-9, 0x1.74366329485fcp-9, 0x1.68e1cc84313d2p-9, 0x1.5ddc9d7f901fep-9, 0x1.5324d72e8e451p-9, 0x1.48b886488303fp-9, 0x1.3e95c2ef0ba4ap-9, 0x1.34bab07454c13p-9, 0x1.2b257d22bddd5p-9, 0x1.21d462050ecbcp-9, 0x1.18c5a2af8e422p-9, 0x1.0ff78d09e4c65p-9, 0x1.07687919d8e85p-9, 0x1.fe2d919dd3b33p-10, 0x1.ee01cf9cd39dfp-10, 0x1.de4a96815092fp-10, 0x1.cf04e33dc08f8p-10, 0x1.c02dc503d93fcp-10, 0x1.b1c25ce35d9b8p-10, 0x1.a3bfdd6b1454p-10, 0x1.96238a4a966dbp-10, 0x1.88eab7f5c0b05p-10, 0x1.7c12cb4a2b008p-10, 0x1.6f993935b2718p-10, 0x1.637b865eb16f5p-10, 0x1.57b746cdce5bep-10, 0x1.4c4a1d993ed8p-10, 0x1.4131bc9158515p-10, 0x1.366be3eea61f5p-10, 0x1.2bf6620185305p-10, 0x1.21cf12e3201e9p-10, 0x1.17f3e027ddb12p-10, 0x1.0e62c0934e2b1p-10, 0x1.0519b7cd6d301p-10, 0x1.f82dac3268639p-11, 0x1.e6b07018b5347p-11, 0x1.d5b80c9154528p-11, 0x1.c540ea6dcecf7p-11, 0x1.b5478984baf23p-11, 0x1.a5c8802c7ffa4p-11, 0x1.96c07ab8afea2p-11, 0x1.882c3af939132p-11, 0x1.7a0897bc5e11cp-11, 0x1.6c527c52f828dp-11, 0x1.5f06e817b2f2p-11, 0x1.5222edf805afep-11, 0x1.45a3b40002612p-11, 0x1.398672e84469ap-11, 0x1.2dc875a6537bdp-11, 0x1.226718fee5ebp-11, 0x1.175fcb1a9e389p-11, 0x1.0cb00b1caa112p-11, 0x1.025568bc5898p-11, 0x1.f09b07bfc0073p-12, 0x1.dd2c18733711bp-12, 0x1.ca5981cfb7d8dp-12, 0x1.b81ee02b91ff6p-12, 0x1.a677ed3e0767fp-12, 0x1.95607f68d71f7p-12, 0x1.84d4890784e7bp-12, 0x1.74d017c160ab4p-12, 0x1.654f53df48b4ap-12, 0x1.564e7fa56b1d8p-12, 0x1.47c9f6b0ef0a3p-12, 0x1.39be2d581800ep-12, 0x1.2c27b00eff572p-12, 0x1.1f0322ce24b2fp-12, 0x1.124d407e91bd3p-12, 0x1.0602da6796c08p-12, 0x1.f441af40bb0a3p-13, 0x1.dd486908f4784p-13, 0x1.c714045902fbp-13, 0x1.b19ecbcfc8ab9p-13, 0x1.9ce33177faacep-13, 0x1.88dbcdc6c6ea5p-13, 0x1.75835ea4b5205p-13, 0x1.62d4c67baa0bdp-13, 0x1.50cb0b4869048p-13, 0x1.3f6155b258dep-13, 0x1.2e92f02b3c6acp-13, 0x1.1e5b460f8a6b4p-13, 0x1.0eb5e2cffaad7p-13, 0x1.ff3ce23ba1a86p-14, 0x1.e221743786225p-14, 0x1.c611492b87272p-14, 0x1.ab046879f73f6p-14, 0x1.90f311cd72e7ap-14, 0x1.77d5bba2def04p-14, 0x1.5fa511de8c578p-14, 0x1.4859f4642aea8p-14, 0x1.31ed75bb1fb16p-14, 0x1.1c58d9bba69ep-14, 0x1.079594403daacp-14, 0x1.e73a8fc9e410ap-15, 0x1.c0d389955f27ep-15, 0x1.9bea0ec2cef63p-15, 0x1.78726e7cea654p-15, 0x1.56614beab80f6p-15, 0x1.35ab9bf70ecd9p-15, 0x1.1646a31de3056p-15, 0x1.f04fe69e6793dp-16, 0x1.b68ad3b495751p-16, 0x1.7f2a5ad8829cdp-16, 0x1.4a1b58274e071p-16, 0x1.174b32ab1adddp-16, 0x1.cd4fb143d573ap-17, 0x1.703f77a1b7b8ap-17, 0x1.17439bf7a0694p-17, 0x1.8475f59e9858dp-18, 0x1.c4158bc07c17cp-19, 0x1.1c1c763d7275p-20, -0x1.33470fa82f80ap-20, -0x1.b375c24b999ebp-19, -0x1.5fed8b02578bep-18, -0x1.dfa16c5fe2d6dp-18, -0x1.2c864ae3448bap-17, -0x1.6631c45d83a9dp-17, -0x1.9ceca13e1a0cdp-17, -0x1.d0cfa381c46cdp-17, -0x1.00f96ad05a9a1p-16, -0x1.1836c7d489ccep-16, -0x1.2e2b3e128cd74p-16, -0x1.42e1ce7a56a59p-16, -0x1.566527fca16b7p-16, -0x1.68bfa9cb2baaep-16, -0x1.79fb659a087d9p-16, -0x1.8a2221c6b86c8p-16, -0x1.993d5b6b7396ep-16, -0x1.a75648740d215p-16, -0x1.b475d9968e4d8p-16, -0x1.c0a4bc47fcdc9p-16, -0x1.cbeb5c979bfbfp-16, -0x1.d651e70c62d8bp-16, -0x1.dfe04a6da84e1p-16, -0x1.e89e3975839e2p-16, -0x1.f0932c8e317f4p-16, -0x1.f7c66372afd6p-16, -0x1.fe3ee6c839a73p-16, -0x1.0201c4d6afb28p-15, -0x1.048d759e859f2p-15, -0x1.06c5bc04e2d76p-15, -0x1.08adb5c43ed2ep-15, -0x1.0a4868bcb0d1bp-15, -0x1.0b98c3a0d484ap-15, -0x1.0ca19e9ddf3e1p-15, -0x1.0d65bbfe2ded8p-15, -0x1.0de7c8cbeed87p-15, -0x1.0e2a5d6b50979p-15, -0x1.0e2ffe3022d33p-15, -0x1.0dfb1bf16b7fep-15, -0x1.0d8e1497bc982p-15, -0x1.0ceb33a83c991p-15, -0x1.0c14b2c9c0627p-15, -0x1.0b0cba4910848p-15, -0x1.09d561983c81p-15, -0x1.0870afca95479p-15, -0x1.06e09c0a2f749p-15, -0x1.05270e0fe6273p-15, -0x1.0345de9464f95p-15, -0x1.013ed7bd35a1fp-15, -0x1.fe276b11900c2p-16, -0x1.f98c4c6dd9d5cp-16, -0x1.f4af955bddc68p-16, -0x1.ef946db88a486p-16, -0x1.ea3de43032b05p-16, -0x1.e4aeeefa226c7p-16, -0x1.deea6c8e084cp-16, -0x1.d8f3244f22297p-16, -0x1.d2cbc73937e8dp-16, -0x1.cc76f087365bfp-16, -0x1.c5f7265182eefp-16, -0x1.bf4eda2a82e33p-16, -0x1.b88069b74e8d9p-16, -0x1.b18e1f4273728p-16, -0x1.aa7a324d526bp-16, -0x1.a346c81552046p-16, -0x1.9bf5f41ecf91fp-16, -0x1.9489b8b8d0c34p-16, -0x1.8d04077bffb45p-16, -0x1.8566c1c35322dp-16, -0x1.7db3b92868089p-16, -0x1.75ecaff5e96afp-16, -0x1.6e1359989b679p-16, -0x1.66295b0c4aef3p-16, -0x1.5e304b48d0f55p-16, -0x1.5629b3aadeebep-16, -0x1.4e171056225dp-16, -0x1.45f9d0969564p-16, -0x1.3dd35740f07d9p-16, -0x1.35a4fb0f393aap-16, -0x1.2d7006f9e0683p-16, -0x1.2535ba8d64241p-16, -0x1.1cf74a41b9596p-16, -0x1.14b5dfca44c18p-16, -0x1.0c729a657bfbcp-16, -0x1.042e8f287f80cp-16, -0x1.f7d5929a99e7fp-17, -0x1.e75094f6c052ep-17, -0x1.d6d0161b4f3dcp-17, -0x1.c655f4ae05f4ep-17, -0x1.b5e3fdc9095bbp-17, -0x1.a57bed7dfee91p-17, -0x1.951f6f5540ebfp-17, -0x1.84d01ec4cae0cp-17, -0x1.748f87a9faad2p-17, -0x1.645f26bda24bp-17, -0x1.544069fff9df2p-17, -0x1.4434b12829fc7p-17, -0x1.343d4e089b3cdp-17, -0x1.245b84ffb2e7dp-17, -0x1.14908d53b344ap-17, -0x1.04dd9197c43e1p-17, -0x1.ea87600b9b81fp-18, -0x1.cb87f5b692521p-18, -0x1.acbef1640bd2cp-18, -0x1.8e2e49b0a84c8p-18, -0x1.6fd7df411c54dp-18, -0x1.51bd7d6b5cdc3p-18, -0x1.33e0dad2e13bfp-18, -0x1.16439a0007882p-18, -0x1.f1ce93eaf6013p-19, -0x1.b79acd7dfa4f5p-19, -0x1.7deeb40bccf59p-19, -0x1.44ccf725c1db6p-19, -0x1.0c3823adf6326p-19, -0x1.a865499fc4797p-20, -0x1.397d89f394536p-20, -0x1.977abb6dde753p-21, -0x1.7ca37298bf85ap-22, 0x1.8783ae449bf7dp-25, 0x1.d9b7bb9fadc01p-22, 0x1.bed25cf60784cp-21, 0x1.472aa9bb38c35p-20, 0x1.adaf63676b01ap-20, 0x1.097a48ed2203ap-19, 0x1.3b7bcebf866f2p-19, 0x1.6cdb0fb39bbdbp-19, 0x1.9d96efe3cd7f9p-19, 0x1.cdae6a568d552p-19, 0x1.fd20904e0fe4p-19, 0x1.15f6444d07badp-18, 0x1.2d08c77649cf7p-18, 0x1.43c779a18a0dfp-18, 0x1.5a320ca9223c6p-18, 0x1.70483bf0e62fdp-18, 0x1.8609cc21324cep-18, 0x1.9b768addfbad8p-18, 0x1.b08e4e807c64dp-18, 0x1.c550f5cf0badbp-18, 0x1.d9be67c18597dp-18, 0x1.edd6933db0d0ap-18, 0x1.00ccb76cca6afp-17, 0x1.0a837c5127196p-17, 0x1.140f9aef4c941p-17, 0x1.1d711969960bcp-17, 0x1.26a80143325a6p-17, 0x1.2fb45f495e688p-17, 0x1.389643761a6e8p-17, 0x1.414dc0d7eda6dp-17, 0x1.49daed777fe15p-17, 0x1.523de23fe1a66p-17, 0x1.5a76bae66de38p-17, 0x1.628595cfa48a6p-17, 0x1.6a6a93fd7ac13p-17, 0x1.7225d8f6896c5p-17, 0x1.79b78ab196981p-17, 0x1.811fd1814d004p-17, 0x1.885ed7ff22a07p-17, 0x1.8f74caf7148ep-17, 0x1.9661d95227364p-17, 0x1.9d2634061195fp-17, 0x1.a3c20e0283f42p-17, 0x1.aa359c1df13b6p-17, 0x1.b0811505f6fcp-17, 0x1.b6a4b12c92db8p-17, 0x1.bca0aab900c3cp-17, 0x1.c2753d742c53p-17, 0x1.c822a6baf754bp-17, 0x1.cda9256ebbb4dp-17, 0x1.d308f9e605a75p-17, 0x1.d84265de83a91p-17, 0x1.dd55ac6df76abp-17, 0x1.e24311f50af64p-17, 0x1.e70adc101c21fp-17, 0x1.ebad5189d52e1p-17, 0x1.f02aba5014429p-17, 0x1.f4835f65894a4p-17, 0x1.f8b78ad5e216bp-17, 0x1.fcc787aa83bfap-17, 0x1.0059d0eedb203p-16, 0x1.023e1328309fdp-16, 0x1.0410b15dc180bp-16, 0x1.05d1d2d494ec3p-16, 0x1.07819f339865bp-16, 0x1.09203e7f1b448p-16, 0x1.0aadd913cb5b2p-16, 0x1.0c2a97a15a6e5p-16, 0x1.0d96a325d9fa4p-16, 0x1.0ef224e91a922p-16, 0x1.103d46774516fp-16, 0x1.1178319d80831p-16, 0x1.12a310652b189p-16, 0x1.13be0d0f05dfbp-16, 0x1.14c9520fb4f93p-16, 0x1.15c50a0b80456p-16, 0x1.16b15fd26911cp-16, 0x1.178e7e5bd0cefp-16, 0x1.185c90c2e8d0bp-16, 0x1.191bc24378866p-16, 0x1.19cc3e35a9a91p-16, 0x1.1a6e300b08191p-16, 0x1.1b01c34acd973p-16, 0x1.1b87238e6ce62p-16, 0x1.1bfe7c7ee0ec3p-16, 0x1.1c67f9d094fb2p-16, 0x1.1cc3c7411bb51p-16, 0x1.1d121093c7267p-16, 0x1.1d53018f1ca73p-16, 0x1.1d86c5f951938p-16, 0x1.1dad8995f98a6p-16, 0x1.1dc7782375fbfp-16, 0x1.1dd4bd5795789p-16, 0x1.1dd584ddc0095p-16, 0x1.1dc9fa53fcd1ap-16, 0x1.1db24948b3c28p-16, 0x1.1d8e9d3847ac9p-16, 0x1.1d5f218ad3a06p-16, 0x1.1d240191d7bc9p-16, 0x1.1cdd6885b4fbdp-16, 0x1.1c8b81844714ap-16, 0x1.1c2e778e3acefp-16, 0x1.1bc67584ccd61p-16, 0x1.1b53a628b393ep-16, 0x1.1ad634176e522p-16, 0x1.1a4e49ca10d26p-16, 0x1.19bc11926daf4p-16, 0x1.191fb59ab2ebfp-16, 0x1.18795fe26355bp-16, 0x1.17c93a3d3a9bbp-16, 0x1.170f6e526a083p-16, 0x1.164c259983791p-16, 0x1.157f8959fe277p-16, 0x1.14a9c2a989e9cp-16, 0x1.13cafa6a839b3p-16, 0x1.12e3594a6fff4p-16, 0x1.11f307c0e7c68p-16, 0x1.10fa2e0eaedp-16, 0x1.0ff8f43bbb092p-16, 0x1.0eef82160ad5p-16, 0x1.0dddff311f053p-16, 0x1.0cc492e450fdbp-16, 0x1.0ba3644a3c1b1p-16, 0x1.0a7a9a3ec6bc2p-16, 0x1.094a5b5f2189dp-16, 0x1.0812ce08310f2p-16, 0x1.06d418554c58ep-16, 0x1.058e60210a53p-16, 0x1.0441cb028c968p-16, 0x1.02ee7e4d07cc5p-16, 0x1.01949f0fc970dp-16, 0x1.00345214bc155p-16, 0x1.fd9b77bf0477bp-17, 0x1.fac2015a865b1p-17, 0x1.f7dc88e811b37p-17, 0x1.f4eb55c42b8fp-17, 0x1.f1eeaeb9b6629p-17, 0x1.eee6da00babf9p-17, 0x1.ebd41d3e94015p-17, 0x1.e8b6bd8466dd5p-17, 0x1.e58eff4dceb7ep-17, 0x1.e25d267f8816ap-17, 0x1.df21766753cd7p-17, 0x1.dbdc31ba3e00ep-17, 0x1.d88d9a94e7a55p-17, 0x1.d535f27baa86cp-17, 0x1.d1d57a5797b56p-17, 0x1.ce6c72767eba4p-17, 0x1.cafb1a8b3fbcap-17, 0x1.c781b1ac88b09p-17, 0x1.c40076541fc12p-17, 0x1.c077a65eebf5ep-17, 0x1.bce77f0ce6c9cp-17, 0x1.b9503d00b185bp-17, 0x1.b5b21c3ea6058p-17, 0x1.b20d582c70657p-17, 0x1.ae622b9074ce5p-17, 0x1.aab0d09466635p-17, 0x1.a6f980c1cca0ap-17, 0x1.a33c7503956fcp-17, 0x1.9f79e5a4d81a3p-17, 0x1.9bb20a51b61b5p-17, 0x1.97e51a16dadcep-17, 0x1.94134b6361626p-17, 0x1.903cd406dbe18p-17, 0x1.8c61e931622bfp-17, 0x1.8882bf741d799p-17, 0x1.849f8ac1b19d2p-17, 0x1.80b87e6df2136p-17, 0x1.7ccdcd2e72207p-17, 0x1.78dfa91ab5dp-17, 0x1.74ee43ad0a214p-17, 0x1.70f9cdc242bbep-17, 0x1.6d027799f224ap-17, 0x1.690870d6b61edp-17, 0x1.650be87d8abc2p-17, 0x1.610d0cfa10324p-17, 0x1.5d0c0c1b04b18p-17, 0x1.5909131415e31p-17, 0x1.55044e7dc6f7cp-17, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      29, 0x1.3c28f5c28f5c3p+2, 0x1.0290bd1c203ddp+2, 0x1.411ff802da686p+3, -0x1.ff9d1ba237882p-7, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ca78b0f4c818p-11, -0x1.10d752db5ac55p-4, 0x1.1393442c9ef3bp-3, -0x1.4753e8fc89846p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.17252a841737cp-9, -0x1.b85cadf0542f5p-5, 0x1.f60d25668fad7p-4, -0x1.47698e022a8fdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.284a48b9ba0e6p-8, -0x1.58dce9de68b9ep-5, 0x1.c4f0834ca2e46p-4, -0x1.4712f9eba6a93p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.a0c59c669fcf8p-8, -0x1.032e602860689p-5, 0x1.93e0ddcfb04b1p-4, -0x1.4857a540148e7p-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.f8f22866ea5f8p-8, -0x1.6ea946260008ap-6, 0x1.62a08506139bdp-4, -0x1.3edf6a8adf4dp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.1a5d8c1e2fe69p-7, -0x1.d4c0d13afdc82p-7, 0x1.32cbcea4721d4p-4, -0x1.2aaa18532b3dfp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.2bf74009f682bp-7, -0x1.e278ea1cb0938p-8, 0x1.05ff17cb2ba0fp-4, -0x1.181099f0fb398p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.331159069a0c3p-7, -0x1.838b08240f28p-10, 0x1.b7f9349ad8b01p-5, -0x1.0508c2413995cp-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.3159e8cf1266ap-7, 0x1.bf89abb759c61p-9, 0x1.69a9c720e1038p-5, -0x1.e43cf7e47133p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.2861e9c97e513p-7, 0x1.e40b8f3f4fdfp-8, 0x1.21070858366eap-5, -0x1.be5892db9223fp-5}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.199d3f072366cp-7, 0x1.583e416f8dcdap-7, 0x1.bc26b16e8dd3p-6, -0x1.98786cbc9eb01p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.0662b4446e1d2p-7, 0x1.a4d1bdd1ed162p-7, 0x1.419c2a692b051p-6, -0x1.72972360e0ee4p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.dfd7fbd1e38bep-8, 0x1.da060a5c5f94ep-7, 0x1.a4dda5fe9be25p-7, -0x1.4cb6280e5cf65p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.aeab720ed11b5p-8, 0x1.fa20fb09e2246p-7, 0x1.ba7a4f1f2e971p-8, -0x1.26d517d3bb37ap-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.7b3ed6bb66faep-8, 0x1.03b4310f58633p-6, 0x1.62b730846af01p-10, -0x1.00f40d305d695p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.475706a9b4f22p-8, 0x1.0211092a53d0ap-6, -0x1.b7548765111bep-9, -0x1.b62602300e8e4p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.147eb00218801p-8, 0x1.f293de45e324dp-7, -0x1.e28dde9c2ae25p-8, -0x1.6a63ea7899312p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.c80ca48679b36p-9, 0x1.d5039895deb3dp-7, -0x1.5dfe82724365dp-7, -0x1.1ea1d3c644241p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6e087c8435d54p-9, 0x1.adb713e2597f9p-7, -0x1.b3fbdb9424a54p-7, -0x1.a5bf710c7b782p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.1ca92c53f2b2fp-9, 0x1.7ef422d6a444cp-7, -0x1.f33ef95603f71p-7, -0x1.0e3b5cef754e4p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.aa6535f1b1f81p-10, 0x1.4b0097ed86316p-7, -0x1.0de3f0702ac7bp-6, -0x1.dadb21883dd5ep-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.30e8a44559aafp-10, 0x1.142246565af63p-7, -0x1.16cb3f77858ap-6, 0x1.065f666956368p-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.9b25f8b73737p-11, 0x1.b93dfd3d6b642p-8, -0x1.14558db4ef21ap-6, 0x1.70ab3e08caf84p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.0063b88cdb98p-11, 0x1.4d79364d6e88dp-8, -0x1.068254fb011e6p-6, 0x1.4fc53c7a2154bp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.1ea89dc3f45p-12, 0x1.d303469848b27p-9, -0x1.daa71416e3a3cp-7, 0x1.e7962fed89b97p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.0fc034fd6957ep-13, 0x1.23c7828e930e4p-9, -0x1.9183c019a894bp-7, 0x1.3efdf016279ccp-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, -0x1.85dcfe0311401p-15, 0x1.2ca04090668ffp-10, -0x1.31d12b46364c9p-7, 0x1.8cd6a39f45c67p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, -0x1.3cbf6c8863p-17, 0x1.9e5f2cb79d5aep-12, -0x1.7587f4600f897p-8, 0x1.d0933bb5b9ba3p-6}, 
        {0x1.399999999999ap+2, 0x1.3c28f5c28f5c3p+2, -0x1.9e205728ef24cp-22, 0x1.3dbeb6dc5dba8p-15, -0x1.7b24dbcc19efp-10, 0x1.b55b980ae54cdp-6}, 
      }}, 
      -0x1.e548374a3231fp-3, 0x1.9e385c3b02d2p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{0x1.b7b8d316a8a42p-7, 0x1.42ee3f6b782ebp-6, 0x1.9d865ae2644eep-6, 0x1.b69be63fec0c1p-6, 0x1.73ef93bdfe9cdp-6, 0x1.a7273ff4b10c6p-7, -0x1.af72d0ab2af64p-10, -0x1.3df1af49e389dp-6, -0x1.3ba7704253be9p-5, -0x1.d48360b20d644p-5, -0x1.2dfaeede068c5p-4, -0x1.635282e69f20dp-4, -0x1.85e7d6f8c26abp-4, -0x1.92aca511a769bp-4, -0x1.87d166b26634cp-4, -0x1.64a2f1f395446p-4, -0x1.2960cd8c9981p-4, -0x1.ae229a1acc2ebp-5, -0x1.bd5afa81c5975p-6, 0x1.770b6c40f48b5p-9, 0x1.2f69f9a24231fp-5, 0x1.32068e524012bp-4, 0x1.d7fd4d0500a52p-4, 0x1.4373fb36fe1e4p-3, 0x1.9e12a5fd1c83dp-3, 0x1.fa98d45e39c11p-3, 0x1.2bec4cc9587f4p-2, 0x1.5a5dc0e93f2afp-2, 0x1.8822749333362p-2, 0x1.b4c99c7b5255dp-2, 0x1.dff027f4a94c9p-2, 0x1.04a04c7e4532ep-1, 0x1.18394cf871117p-1, 0x1.2aa52f17f903fp-1, 0x1.3bcbf039958e2p-1, 0x1.4b9b030b7d63bp-1, 0x1.5a04dc1b9e68bp-1, 0x1.67007ab0b8e06p-1, 0x1.7288f2aa68f43p-1, 0x1.7c9cf87547347p-1, 0x1.853e763da5c6ap-1, 0x1.8c72208c5b6d4p-1, 0x1.923f16857d90fp-1, 0x1.96ae8b774b7c9p-1, 0x1.99cb727d562d6p-1, 0x1.9ba230b9e4c2cp-1, 0x1.9c405c10e8ddbp-1, 0x1.9bb47e7973026p-1, 0x1.9a0ddbf38c725p-1, 0x1.975c3c313c524p-1, 0x1.93afbe3908ce3p-1, 0x1.8f18b24cf5314p-1, 0x1.89a775329190fp-1, 0x1.836c4ffd841ep-1, 0x1.7c7759d904195p-1, 0x1.74d860db9c3afp-1, 0x1.6c9ed7461119ep-1, 0x1.63d9c33f52e06p-1, 0x1.5a97b1820c97ep-1, 0x1.50e6a93946b6p-1, 0x1.46d42258acfccp-1, 0x1.3c6cfe7e0b3b9p-1, 0x1.31bd84440c86fp-1, 0x1.26d15c5149284p-1, 0x1.1bb39029d64dep-1, 0x1.106e89ee257dap-1, 0x1.050c150784b4bp-1, 0x1.f32abfbb9765p-2, 0x1.dc25fc556ed48p-2, 0x1.c519d8b70a4a2p-2, 0x1.ae1526a488138p-2, 0x1.97259a5a03561p-2, 0x1.8057d40231449p-2, 0x1.69b76a7524fa5p-2, 0x1.534ef692f3408p-2, 0x1.3d281da0dd1c3p-2, 0x1.274b9ddeed5cdp-2, 0x1.11c158773561dp-2, 0x1.f920bd5575cb3p-3, 0x1.cf7df6dbfe7ebp-3, 0x1.a6a57f4673121p-3, 0x1.7ea11a282f38bp-3, 0x1.577940375256bp-3, 0x1.3135379b397a2p-3, 0x1.0bdb245da6bdep-3, 0x1.cee03d3388adp-4, 0x1.87f087ba63533p-4, 0x1.42ed9208336b3p-4, 0x1.ffb8304f2e30cp-5, 0x1.7d7e8b288a5b9p-5, 0x1.fe63606529ef3p-6, 0x1.09a4e76671e92p-6, 0x1.cbe7bf6e4810ep-10, -0x1.90af0d161f8a7p-7, -0x1.a5a8d2b160441p-6, -0x1.3da2656bdf31bp-5, -0x1.a49f153843574p-5, -0x1.03eaaca3a1196p-4, -0x1.33a8b5eec8f8bp-4, -0x1.61905f6ecf358p-4, -0x1.8da8eb79a5ed6p-4, -0x1.b7fa156f1e9a6p-4, -0x1.e08c025e8672cp-4, -0x1.03b399e79ca97p-3, -0x1.164a3c760360dp-3, -0x1.280e71ee69be1p-3, -0x1.3904de128dae6p-3, -0x1.49323b01df6c7p-3, -0x1.589b53e4e444ep-3, -0x1.67450018eec2ep-3, -0x1.75341fe68a395p-3, -0x1.826d97ab59b48p-3, -0x1.8ef64d1b5c862p-3, -0x1.9ad324188c96dp-3, -0x1.a608fb6d778a5p-3, -0x1.b09caa8a0e862p-3, -0x1.ba92ff035e851p-3, -0x1.c3f0ba39e2327p-3, -0x1.ccba9051e72acp-3, -0x1.d4f525c2fb00cp-3, -0x1.dca50dcba5e65p-3, -0x1.e3cec9e913c66p-3, -0x1.ea76c838c9614p-3, -0x1.f0a161cb8968fp-3, -0x1.f652db6011833p-3, -0x1.fb8f6370151bbp-3, -0x1.002d88ceea9ebp-2, -0x1.025cf3a8710dbp-2, -0x1.0457e72958947p-2, -0x1.06204c0d24b8ep-2, -0x1.07b7ff9bf567dp-2, -0x1.0920d315a971dp-2, -0x1.0a5c8b77e7185p-2, -0x1.0b6ce1d4d7976p-2, -0x1.0c5383c2dd71ap-2, -0x1.0d12127d2fc2ep-2, -0x1.0daa236274556p-2, -0x1.0e1d409a86955p-2, -0x1.0e6ce8addbdbfp-2, -0x1.0e9a8e5e7e98p-2, -0x1.0ea799918750bp-2, -0x1.0e956736112cep-2, -0x1.0e654944eebe2p-2, -0x1.0e1886e7f222dp-2, -0x1.0db05d16e89d5p-2, -0x1.0d2dfeb59e679p-2, -0x1.0c92946542cc8p-2, -0x1.0bdf3d027ba97p-2, -0x1.0b150e1cad818p-2, -0x1.0a3513f9ed482p-2, -0x1.094051a7cc59cp-2, -0x1.0837c1512d8ffp-2, -0x1.071c54d233f4cp-2, -0x1.05eef5a8d079ap-2, -0x1.04b0850d474cbp-2, -0x1.0361dc3e00dd8p-2, -0x1.0203cd2149e96p-2, -0x1.0097223033341p-2, -0x1.fe393ce24238p-3, -0x1.fb29fc0f9b932p-3, -0x1.f801ecdc98344p-3, -0x1.f4c26d4fdef3bp-3, -0x1.f16cce6cc4805p-3, -0x1.ee0254f13def2p-3, -0x1.ea8439d36be5bp-3, -0x1.e6f3aae06158dp-3, -0x1.e351caa4908ccp-3, -0x1.df9fb0bdd9e9ap-3, -0x1.dbde6a7fa9a3fp-3, -0x1.d80efb74953d1p-3, -0x1.d4325d82b1619p-3, -0x1.d049811d876e1p-3, -0x1.cc554d960f388p-3, -0x1.c856a1ae04b5ep-3, -0x1.c44e53dad501bp-3, -0x1.c03d328b56851p-3, -0x1.bc24042ce4f17p-3, -0x1.b803879dfe612p-3, -0x1.b3dc748a59cp-3, -0x1.afaf7bc4134bap-3, -0x1.ab7d474f80308p-3, -0x1.a7467a7e50d0cp-3, -0x1.a30bb250ab677p-3, -0x1.9ecd85e2117d6p-3, -0x1.9a8c8670221adp-3, -0x1.96493faab1782p-3, -0x1.9204378d51c45p-3, -0x1.8dbdeef90e9fdp-3, -0x1.8976e1a6e6f7bp-3, -0x1.852f868c34f76p-3, -0x1.80e84ffa8b87bp-3, -0x1.7ca1ab8f956c2p-3, -0x1.785c0272c23f6p-3, -0x1.7417b9a3cc297p-3, -0x1.6fd53218e0348p-3, -0x1.6b94c8e13715fp-3, -0x1.6756d7347d598p-3, -0x1.631bb275170afp-3, -0x1.5ee3ac9cb600cp-3, -0x1.5aaf14268a1ap-3, -0x1.567e3443ca77dp-3, -0x1.5251550770476p-3, -0x1.4e28bb5a62433p-3, -0x1.4a04a924e0636p-3, -0x1.45e55d688caafp-3, -0x1.41cb1452307e4p-3, -0x1.3db60783606c9p-3, -0x1.39a66de16fc3dp-3, -0x1.359c7be2be03bp-3, -0x1.31986378e63a1p-3, -0x1.2d9a543e5cb44p-3, -0x1.29a27b716117ap-3, -0x1.25b104401553dp-3, -0x1.21c617a2bd5ebp-3, -0x1.1de1dc9208269p-3, -0x1.1a0477e38b0cfp-3, -0x1.162e0c919a87cp-3, -0x1.125ebba9b3693p-3, -0x1.0e96a46b8d2e4p-3, -0x1.0ad5e453d503ap-3, -0x1.071c974a58345p-3, -0x1.036ad7689d685p-3, -0x1.ff817a680bc06p-4, -0x1.f83cbf5361ce7p-4, -0x1.f107a87a525afp-4, -0x1.e9e25dfe1fce5p-4, -0x1.e2cd05197e70fp-4, -0x1.dbc7c0508f483p-4, -0x1.d4d2af87a0dc7p-4, -0x1.cdedf00d0f388p-4, -0x1.c7199cb19b1p-4, -0x1.c055cdac9bf3dp-4, -0x1.b9a299192734fp-4, -0x1.b30012e5461f8p-4, -0x1.ac6e4c6a5a3dcp-4, -0x1.a5ed557027165p-4, -0x1.9f7d3b2a1cdf3p-4, -0x1.991e093d0ffaap-4, -0x1.92cfc8b061961p-4, -0x1.8c92817efce2ap-4, -0x1.866639427f3f3p-4, -0x1.804af44896db5p-4, -0x1.7a40b49fc402p-4, -0x1.74477b322b52fp-4, -0x1.6e5f46f006863p-4, -0x1.6888158bb46e2p-4, -0x1.62c1e318549dcp-4, -0x1.5d0caa1a536ecp-4, -0x1.576863b8e4baep-4, -0x1.51d5082b1b74ep-4, -0x1.4c528dd473b24p-4, -0x1.46e0ea32e5644p-4, -0x1.4180111aa70a4p-4, -0x1.3c2ff5c8fd332p-4, -0x1.36f08a0d5217bp-4, -0x1.31c1be8217896p-4, -0x1.2ca382e14ccefp-4, -0x1.2795c5e593368p-4, -0x1.22987533141e9p-4, -0x1.1dab7d8d1f70cp-4, -0x1.18cecaf16499ap-4, -0x1.1402482919a28p-4, -0x1.0f45df7d77227p-4, -0x1.0a997a526d892p-4, -0x1.05fd0111cea4fp-4, -0x1.01705bd92e164p-4, -0x1.f9e6e31397affp-5, -0x1.f10c51a0d542fp-5, -0x1.e850ced713c72p-5, -0x1.dfb4253bdd5c1p-5, -0x1.d7361dfac5ad2p-5, -0x1.ced68142ce6dfp-5, -0x1.c695161d18b03p-5, -0x1.be71a2abf91c1p-5, -0x1.b66bebe9dedc4p-5, -0x1.ae83b608fec14p-5, -0x1.a6b8c4bc558bap-5, -0x1.9f0ad9f750e41p-5, -0x1.9779b7d70350bp-5, -0x1.90051f52f86e5p-5, -0x1.88acd0856df97p-5, -0x1.81708b60992d8p-5, -0x1.7a500f024e9f7p-5, -0x1.734b1a04de9d1p-5, -0x1.6c616a8bd1022p-5, -0x1.6592bddb749dap-5, -0x1.5eded16942661p-5, -0x1.5845621122c3dp-5, -0x1.51c62c1627b17p-5, -0x1.4b60ebcd1f007p-5, -0x1.45155cb9ef519p-5, -0x1.3ee33aa46c71ep-5, -0x1.38ca40d488e1ap-5, -0x1.32ca2ab5a2d8bp-5, -0x1.2ce2b2db825ap-5, -0x1.271394828705bp-5, -0x1.215c8a4a39d68p-5, -0x1.1bbd4f25d1c87p-5, -0x1.16359de73255bp-5, -0x1.10c53103cb25cp-5, -0x1.0b6bc36a3f90fp-5, -0x1.06290f826c15ap-5, -0x1.00fcd0c746f06p-5, -0x1.f7cd82648d8dcp-6, -0x1.edcd392a94a42p-6, -0x1.e3f83b1ce31d9p-6, -0x1.da4dff9d24972p-6, -0x1.d0cdfd6b9abefp-6, -0x1.c777acc2b10fbp-6, -0x1.be4a852ee74dfp-6, -0x1.b545fff2a718ep-6, -0x1.ac6994dd844aap-6, -0x1.a3b4bdf708c02p-6, -0x1.9b26f3f34387bp-6, -0x1.92bfb24ccb265p-6, -0x1.8a7e73903afb3p-6, -0x1.8262b3f67fad6p-6, -0x1.7a6bf0794a156p-6, -0x1.7299a70377e0bp-6, -0x1.6aeb5645924f2p-6, -0x1.63607e6f48366p-6, -0x1.5bf89e9fa1aa2p-6, -0x1.54b337e66b3f9p-6, -0x1.4d8fcbbb1614dp-6, -0x1.468ddac0c97ffp-6, -0x1.3face8c935b9ap-6, -0x1.38ec7901be2c6p-6, -0x1.324c108e935bep-6, -0x1.2bcb3602efc63p-6, -0x1.256971753a65ep-6, -0x1.1f264c5a8d77cp-6, -0x1.190150e67147ap-6, -0x1.12fa0a62b6be5p-6, -0x1.0d10046750612p-6, -0x1.0742cadb2ffb6p-6, -0x1.0191eaa94f796p-6, -0x1.f7f9e0b058272p-7, -0x1.ed06d46e8d934p-7, -0x1.e249d072888cap-7, -0x1.d7c1f7476bbb9p-7, -0x1.cd6e6ea4a1a4dp-7, -0x1.c34e61a94a05cp-7, -0x1.b960fde69475dp-7, -0x1.afa5745148023p-7, -0x1.a61af78f89ac7p-7, -0x1.9cc0bb709d71dp-7, -0x1.9395f44cccb8cp-7, -0x1.8a99d610626f2p-7, -0x1.81cb951e9b79p-7, -0x1.792a67c5f0b65p-7, -0x1.70b5855c11522p-7, -0x1.686c2880fe39bp-7, -0x1.604d90ad674efp-7, -0x1.5859002ad6433p-7, -0x1.508dc1555054ep-7, -0x1.48eb21447949dp-7, -0x1.417072a6aefb4p-7, -0x1.3a1d09f004a46p-7, -0x1.32f03d131ca37p-7, -0x1.2be961a30f8e2p-7, -0x1.2507caf4d5bcbp-7, -0x1.1e4aca871b648p-7, -0x1.17b1b098857f5p-7, -0x1.113bcc6ace9aep-7, -0x1.0ae86ff8eb96ap-7, -0x1.04b6f251db901p-7, -0x1.fd4d5f8bc397bp-8, -0x1.f16e1bab206f8p-8, -0x1.e5cefb442cea7p-8, -0x1.da6ee6520cb1ep-8, -0x1.cf4cd0d7c5b03p-8, -0x1.c467b3e36f5bbp-8, -0x1.b9be807803c75p-8, -0x1.af50216da988bp-8, -0x1.a51b6fc5ad934p-8, -0x1.9b1f3ad83ed8bp-8, -0x1.915a4afcbb4c9p-8, -0x1.87cb69babcba7p-8, -0x1.7e716b185f516p-8, -0x1.754b35ab3bda3p-8, -0x1.6c57c7b24512bp-8, -0x1.6396386f5f7c7p-8, -0x1.5b05b4d662c4fp-8, -0x1.52a570a6344ffp-8, -0x1.4a74b12006d6dp-8, -0x1.4272994037dcfp-8, -0x1.3a9e59426d162p-8, -0x1.32f6ff95f938ap-8, -0x1.2b7b8e4a0cfb5p-8, -0x1.242afdaaae5efp-8, -0x1.1d0445595f688p-8, -0x1.16066927428f8p-8, -0x1.0f307d8755946p-8, -0x1.0881b1ffd74ccp-8, -0x1.01f94a2ff0d0ap-8, -0x1.f72d3a8e2b5aep-9, -0x1.eab217b4a302cp-9, -0x1.de7fe9f8de54p-9, -0x1.d2955eff83ad9p-9, -0x1.c6f10a374eab1p-9, -0x1.bb9169e53469p-9, -0x1.b074e422c9abfp-9, -0x1.a599e0fd8a123p-9, -0x1.9afeccc6a76b7p-9, -0x1.90a23132fbabap-9, -0x1.8682b2dbdf027p-9, -0x1.7c9f1b856ccd1p-9, -0x1.72f65abcb905p-9, -0x1.6987690b6fb04p-9, -0x1.605146adeb3p-9, -0x1.5752e0ba59267p-9, -0x1.4e8b065a027cbp-9, -0x1.45f8660890002p-9, -0x1.3d999925e7ad5p-9, -0x1.356d330c5f335p-9, -0x1.2d71d33f6a5edp-9, -0x1.25a641ea63f9fp-9, -0x1.1e096ec2c2018p-9, -0x1.169a7721bbeebp-9, -0x1.0f5899287487cp-9, -0x1.0843277462f4ap-9, -0x1.0159785092d6bp-9, -0x1.f535b6d908232p-10, -0x1.e80d1bf29058dp-10, -0x1.db376913708dbp-10, -0x1.ceb2ae4ff1326p-10, -0x1.c27cccea69362p-10, -0x1.b6934f127ba45p-10, -0x1.aaf3c2f350a47p-10, -0x1.9f9bb64eeb7a2p-10, -0x1.9488f167fb7d7p-10, -0x1.89b998ed88ca1p-10, -0x1.7f2c47da34972p-10, -0x1.74dfe568efe28p-10, -0x1.6ad3a4b8673f5p-10, -0x1.6106b37e4b3d1p-10, -0x1.57782dfbc9582p-10, -0x1.4e27020a08979p-10, -0x1.4511eb66fa1e6p-10, -0x1.3c3780b81ef21p-10, -0x1.33965c1ae9a7fp-10, -0x1.2b2d195fb6d2dp-10, -0x1.22fa5a4675d2ep-10, -0x1.1afcc5d0167dbp-10, -0x1.1332f442bff95p-10, -0x1.0b9b5fedcdbc9p-10, -0x1.043469bc5ddeap-10, -0x1.f9f8e104bf4a8p-11, -0x1.ebe3e8597b8c4p-11, -0x1.de2776a288df4p-11, -0x1.d0c1d143a3ba8p-11, -0x1.c3b14dd338621p-11, -0x1.b6f5386e51c9ap-11, -0x1.aa8bdb246ba68p-11, -0x1.9e73925736379p-11, -0x1.92aa6ac25ffa8p-11, -0x1.872e7752fa31fp-11, -0x1.7bfe1daaadd5cp-11, -0x1.711836d921b74p-11, -0x1.667be218d29fep-11, -0x1.5c282c9851974p-11, -0x1.521bafed839ccp-11, -0x1.48544de4b8aep-11, -0x1.3ecf351c47de6p-11, -0x1.3589309ddf123p-11, -0x1.2c7f2c211e40bp-11, -0x1.23ae93fda4f22p-11, -0x1.1b15bc2e7fb13p-11, -0x1.12b3a82a15c1ap-11, -0x1.0a87c7480d024p-11, -0x1.02919064d355bp-11, -0x1.f5a0947b0cb3ep-12, -0x1.e685f49b7cd8ap-12, -0x1.d7d1589b3ffc6p-12, -0x1.c981411fa0ceap-12, -0x1.bb9482e963cfcp-12, -0x1.ae09dc978accep-12, -0x1.a0df7103b742ap-12, -0x1.941266394f995p-12, -0x1.879f3cd2c4ab2p-12, -0x1.7b8140a894711p-12, -0x1.6fb549d89a72ep-12, -0x1.64383f7ebffe3p-12, -0x1.59079dc8dac8dp-12, -0x1.4e222387f877p-12, -0x1.438556b9114f8p-12, -0x1.392f2a3fe81edp-12, -0x1.2f1d8ba8abc42p-12, -0x1.254f174e32ae3p-12, -0x1.1bc35f2506a8p-12, -0x1.127a86e70246p-12, -0x1.09747be9a8217p-12, -0x1.00b073bd09112p-12, -0x1.f05928ced47edp-13, -0x1.dfcc3b708e93fp-13, -0x1.cfb40d10d56d7p-13, -0x1.c00b329a5a62p-13, -0x1.b0cd0e0a0783p-13, -0x1.a1f619e187a88p-13, -0x1.938400f6751bbp-13, -0x1.85759c1f9e32dp-13, -0x1.77c9e43812be5p-13, -0x1.6a7f64d8ba24p-13, -0x1.5d93a40ab6014p-13, -0x1.5103e078c7db2p-13, -0x1.44cd7a029cee4p-13, -0x1.38eebf0220118p-13, -0x1.2d66335d9d735p-13, -0x1.223212f051d45p-13, -0x1.175005ce0f93dp-13, -0x1.0cbdc4dc59fap-13, -0x1.0278fd19c9769p-13, -0x1.f100ea5d04eb6p-14, -0x1.dda149ac4fa75p-14, -0x1.cac89fc75d266p-14, -0x1.b8712f07240c2p-14, -0x1.a6977d0a4db8p-14, -0x1.953bcb27a11d9p-14, -0x1.845f245a6fb67p-14, -0x1.73ff9fe560b05p-14, -0x1.64191524a56b8p-14, -0x1.54a5c2735369ap-14, -0x1.45a32685f3c32p-14, -0x1.370e64a9e1fa5p-14, -0x1.28e8a91c29b13p-14, -0x1.1b3210efbad7bp-14, -0x1.0de8c30383204p-14, -0x1.0108cd41b9eafp-14, -0x1.e919f31d16cccp-15, -0x1.d0df49e748b1fp-15, -0x1.b957643ae0436p-15, -0x1.a27b55bbff752p-15, -0x1.8c49fc0f4846ap-15, -0x1.76c0d4424d356p-15, -0x1.61d8fb2828a75p-15, -0x1.4d8ab807a352cp-15, -0x1.39d290efa1c13p-15, -0x1.26b1f9d43469dp-15, -0x1.1429ad0feebfp-15, -0x1.0235dfd39b9b7p-15, -0x1.e19e0554777fp-16, -0x1.bfdf90f8bf59ep-16, -0x1.9f2de9a57fea9p-16, -0x1.7f85241fc808ep-16, -0x1.60dccebe54a17p-16, -0x1.432a8dd213a39p-16, -0x1.266662500336ap-16, -0x1.0a8b27f24451ep-16, -0x1.df2e0dd5000c8p-17, -0x1.ab1107adc7257p-17, -0x1.78be2cb7c8b5bp-17, -0x1.480e980a36d46p-17, -0x1.1901b4cb2919cp-17, -0x1.d6d58000b24aep-18, -0x1.7e775bd107215p-18, -0x1.28ecb562aee42p-18, -0x1.ac74c681f2d49p-19, -0x1.0c9fa8270337p-19, -0x1.c8b8ffb84c036p-21, 0x1.177985a56155fp-22, 0x1.6599149a9815p-20, 0x1.3d826984ee192p-19, 0x1.c3362ec985de2p-19, 0x1.2210d31310547p-18, 0x1.60417eb60f2e7p-18, 0x1.9c435b52c2b0bp-18, 0x1.d6248bb8595ap-18, 0x1.06f8580446894p-17, 0x1.21dcd55f04aebp-17, 0x1.3bc2584e06516p-17, 0x1.549e5f35fc283p-17, 0x1.6c86210dc0f3fp-17, 0x1.837530057991p-17, 0x1.99711a79d4b22p-17, 0x1.ae864e2ef67f7p-17, 0x1.c2c64b664a509p-17, 0x1.d63e733258e1bp-17, 0x1.e8f09eafde463p-17, 0x1.fad6eafcbd3fbp-17, 0x1.05fae5d217465p-16, 0x1.0e2c76173230dp-16, 0x1.1603f78cd98e4p-16, 0x1.1d799ed88edbp-16, 0x1.2493c55b8f145p-16, 0x1.2b59b42e77077p-16, 0x1.31ce25ce050e9p-16, 0x1.37f43854b2c14p-16, 0x1.3dcd34bed6e0ep-16, 0x1.43591a7a7b3ddp-16, 0x1.489b1a14761a5p-16, 0x1.4d95cc8215836p-16, 0x1.52486246d5971p-16, 0x1.56b5f30cf66f2p-16, 0x1.5ae0d8bd059d3p-16, 0x1.5ec8a51f622f6p-16, 0x1.626f8273ed462p-16, 0x1.65d989d489242p-16, 0x1.69087550e215ap-16, 0x1.6bff7b650b764p-16, 0x1.6ebce75f99356p-16, 0x1.7142e390f68dfp-16, 0x1.7393381aee723p-16, 0x1.75afc75478113p-16, 0x1.7798f264c5002p-16, 0x1.79509887c4508p-16, 0x1.7adb33c743e7p-16, 0x1.7c3759e765fb6p-16, 0x1.7d659d53b24p-16, 0x1.7e68b006dc477p-16, 0x1.7f416c1482d81p-16, 0x1.7ff10035ca8d8p-16, 0x1.807b864222b0ep-16, 0x1.80de454165759p-16, 0x1.81162113fd768p-16, 0x1.812dd541ad1afp-16, 0x1.8121607de2827p-16, 0x1.80f24540c039cp-16, 0x1.80a10baa95107p-16, 0x1.802e707223047p-16, 0x1.7f9c1b8860833p-16, 0x1.7eec1ec728e29p-16, 0x1.7e1e933566c46p-16, 0x1.7d329b97fbd64p-16, 0x1.7c30a06e1c7dap-16, 0x1.7b1061c05973bp-16, 0x1.79d5b43d0ef5bp-16, 0x1.7880b3f3e90ffp-16, 0x1.7712219df3aa6p-16, 0x1.758c85cc8d26p-16, 0x1.73f0f1ce1abbdp-16, 0x1.72417736e99adp-16, 0x1.707abde0406bp-16, 0x1.6e9e383c6242p-16, 0x1.6caec867c1457p-16, 0x1.6aaaf95e856c2p-16, 0x1.6895fbc79580fp-16, 0x1.666e04f7a88dap-16, 0x1.6434bbee4aa41p-16, 0x1.61eb60dfca9efp-16, 0x1.5f9081eabcce4p-16, 0x1.5d264f3168dfbp-16, 0x1.5aad811e09b66p-16, 0x1.5825a7212ba4ep-16, 0x1.558f7ada20b89p-16, 0x1.52ece14dc9acdp-16, 0x1.503c909ab478ep-16, 0x1.4d80c29e8399bp-16, 0x1.4ab8ec17281e3p-16, 0x1.47e47161afcbbp-16, 0x1.4505b88199d03p-16, 0x1.421d07dffcefap-16, 0x1.3f2a8eb334db3p-16, 0x1.3c2ee9299600dp-16, 0x1.3929082c38a18p-16, 0x1.361a8a7375ab5p-16, 0x1.3303e5a2a14p-16, 0x1.2fe660bd1fd96p-16, 0x1.2cc040154be74p-16, 0x1.2993dd429b303p-16, 0x1.265fee2266cefp-16, 0x1.2323e0fe361dp-16, 0x1.1fe663f52377p-16, 0x1.1ca1142b2126bp-16, 0x1.1956fc3a755d6p-16, 0x1.1607f01ee7042p-16, 0x1.12b3f518644b6p-16, 0x1.0f5c2e4e73a7bp-16, 0x1.0c0074a8d7bdbp-16, 0x1.089a3df939c42p-16, 0x1.053b63adc2bcdp-16, 0x1.01d50af1011aap-16, 0x1.fcd8f57045a41p-17, 0x1.f6011656f314fp-17, 0x1.ef2496a9d0b1ep-17, 0x1.e849b4d238ab7p-17, 0x1.e164a8ffd99a2p-17, 0x1.da7f27528ab46p-17, 0x1.d3985890eeb3ep-17, 0x1.ccaed6b4a21f5p-17, 0x1.c5c22b851f6cap-17, 0x1.bed6464a8d83ep-17, 0x1.b7eb6a8ece2a7p-17, 0x1.b1021b5c63946p-17, 0x1.aa1375f4167ap-17, 0x1.a327d4086fb6cp-17, 0x1.9c3ec9b244c62p-17, 0x1.9554d59455841p-17, 0x1.8e6fd6b158cebp-17, 0x1.878c2076918f6p-17, 0x1.80a9aee70ccadp-17, 0x1.79cb3f19f74c3p-17, 0x1.72f25ffeb991bp-17, 0x1.6c1d2f63695d1p-17, 0x1.654b94d64d74bp-17, 0x1.5e7f8c1106d5dp-17, 0x1.57b5cb4fd4a12p-17, 0x1.50f009bd9713dp-17, 0x1.4a32c67343fa3p-17, 0x1.437b02b6e3b5cp-17, 0x1.3cc772784bef3p-17, 0x1.361acc7d93f9p-17, 0x1.2f75b535c9599p-17, 0x1.28d77819a2c26p-17, 0x1.223fef2dd308bp-17, 0x1.1baf859d80d03p-17, 0x1.1526d6595bd1dp-17, 0x1.0ea618a41478cp-17, 0x1.082d8d2841edfp-17, 0x1.01bcea3b53f92p-17, 0x1.f6abf4c703728p-18, 0x1.e9eb4201bd638p-18, 0x1.dd3e583e78a23p-18, 0x1.d0a463218b402p-18, 0x1.c41d48e1d5bfep-18, 0x1.b7a7d19009a5ap-18, 0x1.ab45bd6274b2bp-18, 0x1.9ee0c8b3a0612p-18, 0x1.92b9ff7f75fcfp-18, 0x1.86a265eca6ea7p-18, 0x1.7a9ebddab65d5p-18, 0x1.6e9743c9efb93p-18, 0x1.62a483cf6a45ap-18, 0x1.56d3b543053b4p-18, 0x1.4b16bfe0ade7ap-18, 0x1.3f72e5a76f41p-18, 0x1.33e25cc069c29p-18, 0x1.28645577e2ddep-18, 0x1.1d08aa8af0dd1p-18, 0x1.11bec072b220dp-18, 0x1.068ab4bda87c8p-18, 0x1.f6dfb2c754767p-19, 0x1.e0cf09e6ddea3p-19, 0x1.caec30ef3f291p-19, 0x1.b5430ef4e4f7p-19, 0x1.9fcbab629f0bep-19, 0x1.8a85a8d647284p-19, 0x1.756e4f4120f83p-19, 0x1.60838f6c7838cp-19, 0x1.4bceecb7617a7p-19, 0x1.374a42ab1c724p-19, 0x1.22f9218486484p-19, 0x1.0ed53f5f24e94p-19, 0x1.f5d053ad7770fp-20, 0x1.ce57117796398p-20, 0x1.a744de76d2ca3p-20, 0x1.8098bc4e67675p-20, 0x1.5a50e41ae92d3p-20, 0x1.346e96e0f9f0fp-20, 0x1.0eef62dde780fp-20, 0x1.d3c69f475747dp-21, 0x1.8a73c1bc3f15ep-21, 0x1.41d44c1c4a483p-21, 0x1.f42d98d1272c5p-22, 0x1.6656f72d90f4cp-22, 0x1.b433f309ce92ep-23, 0x1.4027d49f9c534p-24, -0x1.ccde76fe5460fp-25, -0x1.81c69bed1acebp-23, -0x1.46833acca4118p-22, -0x1.cad6413196c1fp-22, -0x1.26ad0d833f699p-21, -0x1.671452e2b70f1p-21, -0x1.a60efd6e815aap-21, -0x1.e5954d4e7d391p-21, -0x1.11d08cf4f0d07p-20, -0x1.307071d9195a7p-20, -0x1.4ea52852c9552p-20, -0x1.6c784726c0912p-20, -0x1.89d9fefa9f87bp-20, -0x1.a6e012fdaf5a1p-20, -0x1.c371dc28d410dp-20, -0x1.df7ccd4f50bedp-20, -0x1.fb7250427034bp-20, -0x1.0b6a20ea3af04p-19, -0x1.18f076c423617p-19, -0x1.264ea60ebc30dp-19, -0x1.3362a2481193ap-19, -0x1.4048fc45f5b44p-19, -0x1.4cff6296b4a16p-19, -0x1.59877ca896e45p-19, -0x1.65d9c8b314812p-19, -0x1.720090aab4a7ap-19, -0x1.7deb7fb9dc16fp-19, -0x1.89b411f9dfd26p-19, -0x1.9540b60bc948bp-19, -0x1.a0a00d3323d6bp-19, -0x1.abd02daaecbafp-19, -0x1.b6cf5921b49dap-19, -0x1.c19e34a176d0ep-19, -0x1.cc3d1d22d4a0dp-19, -0x1.d6af459cd1eb8p-19, -0x1.e0ed066a0e50ep-19, -0x1.ead735dc0b02dp-19, -0x1.f4dfa52c2d035p-19, -0x1.fe9275610b3d6p-19, -0x1.040bf6edcd40fp-18, -0x1.08b759c19401fp-18, -0x1.0d4b159393e1p-18, -0x1.11c99ae0c6972p-18, -0x1.1631592f9b61fp-18, -0x1.1a81b7c6171dp-18, -0x1.1ed6a54912e99p-18, -0x1.22e256ae247dap-18, -0x1.26f0e67262893p-18, -0x1.2aea5ac4c285ep-18, -0x1.2ece229a28771p-18, -0x1.3296b7c0d1779p-18, -0x1.364dbc3e61f41p-18, -0x1.39ef5fefb0d86p-18, -0x1.3d81014d9ccf3p-18, -0x1.40ea8a14217f7p-18, -0x1.445bb0748a8a6p-18, -0x1.47a834af5a37ep-18, -0x1.4ae22dac296eap-18, -0x1.4e08dce8b046fp-18, -0x1.512163a4995b8p-18, -0x1.541be2e38323cp-18, -0x1.5703b00ef1001p-18, -0x1.59db500a509d7p-18, -0x1.5ca1b91d3f11dp-18, -0x1.5f4c5a44c60dp-18, -0x1.61e7c0fa928efp-18, -0x1.64701418b8cb7p-18, -0x1.66e8856629f61p-18, -0x1.6950a7250badbp-18, -0x1.6bb4c3b866b4fp-18, -0x1.6dddfb46a5121p-18, -0x1.70079f18adccep-18, -0x1.7222bed44c22dp-18, -0x1.742bc2d24e141p-18, -0x1.76242625cd751p-18, -0x1.78068719c24fep-18, -0x1.79dd8343e16e4p-18, -0x1.7b9edeff518f2p-18, -0x1.7d54a6881befbp-18, -0x1.7ef623df9a381p-18, -0x1.8084aa755235bp-18, -0x1.8204de2f2b2e8p-18, -0x1.8377117509c52p-18, -0x1.84d567a199fc5p-18, -0x1.8626d6b3bb69dp-18, -0x1.8765c8c858a4p-18, -0x1.889218c0c1f23p-18, -0x1.89b3b5f804dbdp-18, -0x1.8ac5ae11b0d51p-18, -0x1.8bcf493f65095p-18, -0x1.8cc293ff4b08dp-18, -0x1.8da49759f73e8p-18, -0x1.8e7d9f70aa139p-18, -0x1.8f470e68811a7p-18, -0x1.8fec4c5253149p-18, -0x1.90a9a4b51eb1fp-18, -0x1.9143fe47a353fp-18, -0x1.91d8db7e026a3p-18, -0x1.925ed09b05d4ap-18, -0x1.92d8e9bf0bf47p-18, -0x1.933b102d9d90bp-18, -0x1.93955faadab4cp-18, -0x1.93df7ce88dad8p-18, -0x1.9422754e997efp-18, -0x1.945674d5875cep-18, -0x1.9481522d4be3bp-18, -0x1.949fc9e7a821ep-18, -0x1.94b06bed681d4p-18, -0x1.94b4863900fe1p-18, -0x1.94aa3e8bd8ea9p-18, -0x1.94972777d2219p-18, -0x1.9479f1602bd78p-18, -0x1.944f1b7493208p-18, -0x1.941f64e81972cp-18, -0x1.93d6fada9dfedp-18, -0x1.9391ef6fd65bdp-18, -0x1.933df2686f728p-18, -0x1.92e15b62f37c6p-18, -0x1.9274c21a957a5p-18, -0x1.920001cb76901p-18, -0x1.9182546eb18bp-18, -0x1.90f9b032daad1p-18, -0x1.906d29b825234p-18, -0x1.8fd2f62db7d31p-18, -0x1.8f2d7f3a6acdcp-18, -0x1.8e7c17cdf75fdp-18, -0x1.8dc9fdba12f73p-18, -0x1.8d08d150c1534p-18, -0x1.8c431c7f1d456p-18, -0x1.8b6707180b8d4p-18, -0x1.8a96421a8a49ep-18, -0x1.89ba165434c7dp-18, -0x1.88c8b6d8eccc2p-18, -0x1.87dd08573463dp-18, -0x1.86e2942c40082p-18, -0x1.85ddd23797d1cp-18, -0x1.84d466373ab9dp-18, -0x1.83c453d83a069p-18, -0x1.82ac689ff62b8p-18, -0x1.818ec149752e7p-18, -0x1.8068b857d85f9p-18, -0x1.7f37daef445fap-18, -0x1.7de9d49fdeb2fp-18, -0x1.7cc5ceddde9e8p-18, }}, 
      {{0x1.79f78929f5074p-7, 0x1.ca99aba0195fep-7, 0x1.14cfba367810fp-6, 0x1.3bd9027ac57b9p-6, 0x1.4f4fde008e1a8p-6, 0x1.493cb7efe196ep-6, 0x1.282018a0249ddp-6, 0x1.dbc0a05cb27dcp-7, 0x1.3d628e4b42264p-7, 0x1.00845bbd197edp-8, -0x1.3d49762288d51p-9, -0x1.24fa485907f5ep-7, -0x1.f50a32259859ep-7, -0x1.5a864dede9b4dp-6, -0x1.ae056d1ec6c19p-6, -0x1.f1565fecee87p-6, -0x1.10cebf51e4237p-5, -0x1.1e63625495fc2p-5, -0x1.20bb4de742f79p-5, -0x1.177b7be46fdcdp-5, -0x1.029146450f185p-5, -0x1.c44fc24ce18a3p-6, -0x1.6d3bf2d9377d4p-6, -0x1.00f80a4db01cap-6, -0x1.01ad028ddd0c1p-7, 0x1.1a4c42e54d7dap-10, 0x1.69a5b8f7d4c7p-7, 0x1.66f648419444bp-6, 0x1.1322ded27bbd2p-5, 0x1.787a90d593bb1p-5, 0x1.e29e89dbdbaeap-5, 0x1.285840c41ea43p-4, 0x1.60ecfdb4fc691p-4, 0x1.9aa71a3563966p-4, 0x1.d525be16723efp-4, 0x1.08070b8b91964p-3, 0x1.2585d79146d3ep-3, 0x1.42e8485843448p-3, 0x1.600aad4364e89p-3, 0x1.7ccc96aa82c23p-3, 0x1.9910c7f430647p-3, 0x1.b4bd1e5537e61p-3, 0x1.cfba76cc3e7f1p-3, 0x1.e9f4831edb345p-3, 0x1.01acd57700bb9p-2, 0x1.0ded729cedd3dp-2, 0x1.19b5c74f8a454p-2, 0x1.25009c68a2195p-2, 0x1.2fc9c34bb4542p-2, 0x1.3a0e04323c7dp-2, 0x1.43cb09e22f7b4p-2, 0x1.4cff4cb959451p-2, 0x1.55a9fd663d55bp-2, 0x1.5dcaf73d26181p-2, 0x1.6562b0118b477p-2, 0x1.6c72289993546p-2, 0x1.72fadcb43815ap-2, 0x1.78feb3e5e9a37p-2, 0x1.7e7ff454c730fp-2, 0x1.8381367c6ddcfp-2, 0x1.88055bc291a67p-2, 0x1.8c0f814f427b9p-2, 0x1.8fa2fab85445p-2, 0x1.92c3451a64a26p-2, 0x1.9574006f9541dp-2, 0x1.97b8e7302ba2ap-2, 0x1.9995c7a790fb3p-2, 0x1.9b0e7dec56bf5p-2, 0x1.9c26ee9bfb5e7p-2, 0x1.9ce301d778ec7p-2, 0x1.9d469f12be2a4p-2, 0x1.9d55a8ed64637p-2, 0x1.9d13fa3d79c53p-2, 0x1.9c8561188ba5dp-2, 0x1.9bad9f873f41ap-2, 0x1.9a90652527855p-2, 0x1.99314fc9bfcccp-2, 0x1.9793e8f4f408bp-2, 0x1.95bba48494922p-2, 0x1.93abdf6e07de7p-2, 0x1.9167df0357654p-2, 0x1.8ef2d00396452p-2, 0x1.8c4fc616735d2p-2, 0x1.8981bb98168c2p-2, 0x1.868b910b0f7cp-2, 0x1.83700d1ac4d6p-2, 0x1.8031dc9db4d7dp-2, 0x1.7cd392b431df9p-2, 0x1.7957a8b9e9109p-2, 0x1.75c07f793a0f7p-2, 0x1.72105d07c42d2p-2, 0x1.6e49712826a67p-2, 0x1.6a6dd1aad3c9bp-2, 0x1.667f7d731d2edp-2, 0x1.62805c069bcc2p-2, 0x1.5e723e8de717ep-2, 0x1.5a56e06eefb87p-2, 0x1.562fe7553d425p-2, 0x1.51fee429c8d63p-2, 0x1.4dc553b63b5dfp-2, 0x1.49849f83ebc0ep-2, 0x1.453e1e2daf43ep-2, 0x1.40f313f35b2aap-2, 0x1.3ca4b37844038p-2, 0x1.38541e73980b2p-2, 0x1.340266575f438p-2, 0x1.2fb08cdd78059p-2, 0x1.2b5f84ae1cd45p-2, 0x1.271031dfef00fp-2, 0x1.22c36ab7d0882p-2, 0x1.1e79f806a4362p-2, 0x1.1a34963dffb51p-2, 0x1.15f3f4d1e76dap-2, 0x1.11b8b87370f6p-2, 0x1.0d837a055fdfbp-2, 0x1.0954c7f319b8ap-2, 0x1.052d269f434e2p-2, 0x1.010d109e7f5b1p-2, 0x1.f9e9eebe4885bp-3, 0x1.f1ca86fcf81bap-3, 0x1.e9bcaa66dc3efp-3, 0x1.e1c109d4b1103p-3, 0x1.d9d846b8ee13p-3, 0x1.d202f463a7089p-3, 0x1.ca4198b46b8cbp-3, 0x1.c294acad581f7p-3, 0x1.bafc9cc62e9dep-3, 0x1.b379ca3619003p-3, 0x1.ac0c8b5193b68p-3, 0x1.a4b52c4a45c38p-3, 0x1.9d73ef43b705cp-3, 0x1.96490d683fd8dp-3, 0x1.8f34b722ed9ecp-3, 0x1.883714f1ba20ap-3, 0x1.8150474301b95p-3, 0x1.7a8067b34a001p-3, 0x1.73c788f2c3fefp-3, 0x1.6d25b75389626p-3, 0x1.669af94223687p-3, 0x1.60274f9492c61p-3, 0x1.59cab6082bbd4p-3, 0x1.5385225fbc84p-3, 0x1.4d56880dbbf29p-3, 0x1.473ed439b4dabp-3, 0x1.413df0c8401d9p-3, 0x1.3b53c415b36ecp-3, 0x1.3580310ca9ce8p-3, 0x1.2fc3175ef7f13p-3, 0x1.2a1c539ca7f43p-3, 0x1.248bbff160f32p-3, 0x1.1f1133a028a0cp-3, 0x1.19ac84183a476p-3, 0x1.145d846a6c394p-3, 0x1.0f2405b11e3d3p-3, 0x1.09ffd74a1e177p-3, 0x1.04f0c738e5544p-3, 0x1.ffed4376a0b7ap-4, 0x1.f622639eae29dp-4, 0x1.ec8082f979fd6p-4, 0x1.e30732f4823bcp-4, 0x1.d9b60345395e5p-4, 0x1.d08c82190d7bcp-4, 0x1.c78a3c226a7bep-4, 0x1.beaebcca6b006p-4, 0x1.b5f98e835b54cp-4, 0x1.ad6a3ac56436p-4, 0x1.a5004a766eb04p-4, 0x1.9cbb45c051846p-4, 0x1.949ab45337f4dp-4, 0x1.8c9e1daba4b12p-4, 0x1.84c5094644477p-4, 0x1.7d0efe41ab2c1p-4, 0x1.757b84127115ep-4, 0x1.6e0a2203ea813p-4, 0x1.66ba5fc79d417p-4, 0x1.5f8bc58d6acbfp-4, 0x1.587ddc0f91387p-4, 0x1.51902bc699adp-4, 0x1.4ac23e3d785dp-4, 0x1.44139d8b8bf31p-4, 0x1.3d83d5dd7f15cp-4, 0x1.371270b7d7849p-4, 0x1.30befa370c8a7p-4, 0x1.2a890235b96dp-4, 0x1.247014b111327p-4, 0x1.1e73c0e652137p-4, 0x1.189396fd21953p-4, 0x1.12cf27ab65f15p-4, 0x1.0d2604cd7a506p-4, 0x1.0797c182c171fp-4, 0x1.0223f168db74fp-4, 0x1.f994537ecd671p-5, 0x1.ef1401ffaeec3p-5, 0x1.e4c61c971da01p-5, 0x1.daa9d37f4d6cfp-5, 0x1.d0be5a4c392e8p-5, 0x1.c702e6ff55262p-5, 0x1.bd76b0f6ba7bep-5, 0x1.b418f075bbe4ep-5, 0x1.aae8e35d50b6p-5, 0x1.a1e5c97d2d736p-5, 0x1.990ee173c0dc9p-5, 0x1.90636f7ee431bp-5, 0x1.87e2bb1725dd3p-5, 0x1.7f8c0bd81d7ccp-5, 0x1.775eabcdd847fp-5, 0x1.6f59e7c806ffcp-5, 0x1.677d0f6642d6fp-5, 0x1.5fc77457948cp-5, 0x1.58386a9200e12p-5, 0x1.50cf487a68a6dp-5, 0x1.498b66bdb6344p-5, 0x1.426c2081092cbp-5, 0x1.3b70d2947cd73p-5, 0x1.3498dc23cab98p-5, 0x1.2de39ff7f418ap-5, 0x1.2750824af60fcp-5, 0x1.20dee85ee47f3p-5, 0x1.1a8e3bbe7c2e1p-5, 0x1.145de6a112c65p-5, 0x1.0e4d55fa666e6p-5, 0x1.085bf8cb4806cp-5, 0x1.028940551ef86p-5, 0x1.f9a940111da7ap-6, 0x1.ee7b1b0202772p-6, 0x1.e3870086d28d6p-6, 0x1.d8cbe364568eep-6, 0x1.ce48bad604cf3p-6, 0x1.c3fc82b30a191p-6, 0x1.b9e63a9ef993p-6, 0x1.b004e55ba8bd6p-6, 0x1.a6578ab98140ap-6, 0x1.9cdd34eded672p-6, 0x1.9394f2fbc90f5p-6, 0x1.8a7dd87f999b4p-6, 0x1.8196fb764de6ap-6, 0x1.78df762367405p-6, 0x1.70566631794b5p-6, 0x1.67faedd2fd3f9p-6, 0x1.5fcc315adce3dp-6, 0x1.57c959a5fc449p-6, 0x1.4ff1920323a7cp-6, 0x1.48440b93649e9p-6, 0x1.40bff8041da35p-6, 0x1.39648dc0963adp-6, 0x1.3231061fdd0b7p-6, 0x1.2b249f21ec6aap-6, 0x1.243e9ad6a6317p-6, 0x1.1d7e3339749bcp-6, 0x1.16e2b9d34800ap-6, 0x1.106b7209a6d4ep-6, 0x1.0a17a9e429f79p-6, 0x1.03e6b1c1a5705p-6, 0x1.fbafb67204dc2p-7, 0x1.efd4f7a1f2c4dp-7, 0x1.e43bd9684c51p-7, 0x1.d8e310bc83141p-7, 0x1.cdc95b560ec93p-7, 0x1.c2ed7987b525dp-7, 0x1.b84e329819ef9p-7, 0x1.adea537624f25p-7, 0x1.a3c0af0aff971p-7, 0x1.99d01ddda2796p-7, 0x1.901778f42d612p-7, 0x1.8695a367f3a4dp-7, 0x1.7d4984668cdfp-7, 0x1.743207a8cf56bp-7, 0x1.6b4e1ce58676bp-7, 0x1.629cb93bd1eadp-7, 0x1.5a1cd66a98971p-7, 0x1.51cd74abaa5f8p-7, 0x1.49ad94c6c3f29p-7, 0x1.41bc41780cf47p-7, 0x1.39f885a150a0fp-7, 0x1.3261726176c2ep-7, 0x1.2af61c6dcd6c5p-7, 0x1.23b59d841f54p-7, 0x1.1c9f13bb42b3dp-7, 0x1.15b19f6c41dc9p-7, 0x1.0eec67012e151p-7, 0x1.084e94ee92a77p-7, 0x1.01d756a76ffa1p-7, 0x1.f70bba4f6bda5p-8, 0x1.eab2bc854b343p-8, 0x1.dea22731cb3ccp-8, 0x1.d2d8748b07e8p-8, 0x1.c754256e6b8fbp-8, 0x1.bc13c242019e3p-8, 0x1.b115daa4c8105p-8, 0x1.a659047339919p-8, 0x1.9bdbdec76b0f5p-8, 0x1.919d0d2665c7ep-8, 0x1.879b3b47da342p-8, 0x1.7dd519311c6e9p-8, 0x1.74495ea54d7b2p-8, 0x1.6af6ca0587e2bp-8, 0x1.61dc1fd4d050bp-8, 0x1.58f829176ee2p-8, 0x1.5049bf7027fbfp-8, 0x1.47cfaaa579951p-8, 0x1.3f88d24f2831bp-8, 0x1.377408fd45ep-8, 0x1.2f904c20d63abp-8, 0x1.27dc7cb9a8344p-8, 0x1.205789bc3c56p-8, 0x1.1900712288802p-8, 0x1.11d62fbab632ep-8, 0x1.0ad7c0074988dp-8, 0x1.04043e57aa8f8p-8, 0x1.fab534a9f86c9p-9, 0x1.edb3fd8d60938p-9, 0x1.e102eb1180267p-9, 0x1.d4a028bfdf205p-9, 0x1.c88a07a7ced96p-9, 0x1.bcbec12f49cd8p-9, 0x1.b13cb25e7360bp-9, 0x1.a60233376211ep-9, 0x1.9b0da211ad98bp-9, 0x1.905d6a370188fp-9, 0x1.85f0021c5c662p-9, 0x1.7bc3e1488f3b2p-9, 0x1.71d78ec8ff24cp-9, 0x1.6829941fb6917p-9, 0x1.5eb8825d49157p-9, 0x1.5582f83503e64p-9, 0x1.4c87944b22e43p-9, 0x1.43c50198e9093p-9, 0x1.3b39f0fbca48ap-9, 0x1.32e51b0ce4977p-9, 0x1.2ac53dfd36469p-9, 0x1.22d91d2c31103p-9, 0x1.1b1f88bec8ac3p-9, 0x1.1397509fba695p-9, 0x1.0c3f4ef458734p-9, 0x1.051663f7a04edp-9, 0x1.fc36e54cb3566p-10, 0x1.ee9ad30983426p-10, 0x1.e15678c047a98p-10, 0x1.d467bad3e4491p-10, 0x1.c7cc91df3ef54p-10, 0x1.bb8315d09282ap-10, 0x1.af894688b3001p-10, 0x1.a3dd458eff26bp-10, 0x1.987d3b56dd656p-10, 0x1.8d675283a41d2p-10, 0x1.8299c8d0255cbp-10, 0x1.7812ed959dd8fp-10, 0x1.6dd1098550be1p-10, 0x1.63d268d754d3dp-10, 0x1.5a1570fc3c39ap-10, 0x1.5098a2f41918cp-10, 0x1.475a59ac30828p-10, 0x1.3e5915b831f28p-10, 0x1.359364bc4dba9p-10, 0x1.2d07cf5138cabp-10, 0x1.24b4e9c798481p-10, 0x1.1c995b352f2afp-10, 0x1.14b3c68344aaep-10, 0x1.0d02d4a8e53aap-10, 0x1.05853d0a941a1p-10, 0x1.fc7382abb57bfp-11, 0x1.ee3e4b6a84b0fp-11, 0x1.e068631fd45f9p-11, 0x1.d2ef77672011bp-11, 0x1.c5d139ba8c454p-11, 0x1.b90b68e11bf4fp-11, 0x1.ac9bdf1b7bd3cp-11, 0x1.a08036402e5e3p-11, 0x1.94b6e9718b29cp-11, 0x1.893d975210568p-11, 0x1.7e121d944d1dp-11, 0x1.7332b11fe802cp-11, 0x1.689d607afaff2p-11, 0x1.5e505b916318fp-11, 0x1.5449b0cff8e94p-11, 0x1.4a87ae57a930fp-11, 0x1.4108adbb76012p-11, 0x1.37cae407b6214p-11, 0x1.2eccaf44523bp-11, 0x1.260c76ee75c54p-11, 0x1.1d88a7454a7c1p-11, 0x1.153fb6326656p-11, 0x1.0d30242026c0dp-11, 0x1.05585679c1636p-11, 0x1.fb6f5db28a115p-12, 0x1.ec96bf3478a6p-12, 0x1.de263fe4a2a26p-12, 0x1.d01a78d1aadb9p-12, 0x1.c270d924b3a88p-12, 0x1.b526d9b3cae3ep-12, 0x1.a839fb4ac290fp-12, 0x1.9ba7dce332cfp-12, 0x1.8f6e5a25e36cbp-12, 0x1.838af73ed61a1p-12, 0x1.77fb71927b51bp-12, 0x1.6cbdac2bf6eep-12, 0x1.61cf964d1999fp-12, 0x1.572f0680fac23p-12, 0x1.4cda19c47f508p-12, 0x1.42ce806b91821p-12, 0x1.390a724e17953p-12, 0x1.2f8c21422b065p-12, 0x1.2651bec254fc2p-12, 0x1.1d5967fed2952p-12, 0x1.14a195b402dfdp-12, 0x1.0c284f9d9ac62p-12, 0x1.03ebe543a3b08p-12, 0x1.f7d6170462014p-13, 0x1.e84814cff3f4p-13, 0x1.d92aa47cd2e3dp-13, 0x1.ca7a7e92ae244p-13, 0x1.bc3509fcddb3fp-13, 0x1.ae574679ed026p-13, 0x1.a0de479a8770bp-13, 0x1.93c7be364593ep-13, 0x1.8710eb3a0f3d6p-13, 0x1.7ab6d35b0bf2ep-13, 0x1.6eb779bed9882p-13, 0x1.6310470b5d6fbp-13, 0x1.57befa447c3fep-13, 0x1.4cc137912d6f5p-13, 0x1.4214bf159c43ep-13, 0x1.37b738e396199p-13, 0x1.2da683c1ed563p-13, 0x1.23e08c9c41d84p-13, 0x1.1a630d20d7487p-13, 0x1.112d156eb2a51p-13, 0x1.083b4fe56d6ap-13, 0x1.ff18fb618fb4dp-14, 0x1.ee3d35ef52f74p-14, 0x1.dddfb9fe56176p-14, 0x1.cdfce15e4a4d9p-14, 0x1.be9298f120b06p-14, 0x1.af9bda3d5c379p-14, 0x1.a1175a0a88bfcp-14, 0x1.9300981e6134ap-14, 0x1.8555430baa6c6p-14, 0x1.7812522fb24a3p-14, 0x1.6b3454392982bp-14, 0x1.5eb9069efb254p-14, 0x1.529d304cd5766p-14, 0x1.46ded0ef59e39p-14, 0x1.3b7abf1ed9eb4p-14, 0x1.306e579989d0dp-14, 0x1.25b78f1a0dfa5p-14, 0x1.1b5395862efbp-14, 0x1.113fe01bf3db7p-14, 0x1.077a4e498820dp-14, 0x1.fc01ce64fef02p-15, 0x1.e9a3287f2b48ep-15, 0x1.d7d6c2edf5fd8p-15, 0x1.c68f79225bccbp-15, 0x1.b5d71e03474d7p-15, 0x1.a5a078487478p-15, 0x1.95eab85f0ce38p-15, 0x1.86b22cd9fd082p-15, 0x1.77f2bd635a372p-15, 0x1.69a8c5b9bbd8p-15, 0x1.5bd218df7c992p-15, 0x1.4e6a6cbdf8598p-15, 0x1.416e2461abdf1p-15, 0x1.34dae080cd8d2p-15, 0x1.28adb4bbca031p-15, 0x1.1ce34f4e16167p-15, 0x1.1178815a8b5e8p-15, 0x1.0669c0bae3173p-15, 0x1.f76b9cc77fd58p-16, 0x1.e2b105ce41bfep-16, 0x1.cea336686571fp-16, 0x1.bb3b6f6917bfp-16, 0x1.a874a2a3747b5p-16, 0x1.964befabba99cp-16, 0x1.84bb17814c297p-16, 0x1.73bd49eaff2cdp-16, 0x1.634ecd3fd4516p-16, 0x1.536b9fa4b865p-16, 0x1.440f989ac5dfcp-16, 0x1.35368c0702dd2p-16, 0x1.26dbe181f58p-16, 0x1.19016afceb94cp-16, 0x1.0b949e28d1947p-16, 0x1.fd41bdfe71e7ep-17, 0x1.e43f1baf663e2p-17, 0x1.cc072e65814c5p-17, 0x1.b4b6350f8717bp-17, 0x1.9e2b6f98f9cefp-17, 0x1.886805223848cp-17, 0x1.7364ffecbde4ep-17, 0x1.5f1d5eb6a5731p-17, 0x1.4b8e7e19caf4ep-17, 0x1.38b3d3f227b9ap-17, 0x1.2683716ae9256p-17, 0x1.14f8eb7b6f5a5p-17, 0x1.0412f0739fd6p-17, 0x1.e78cec818a9b1p-18, 0x1.c8263a951b17cp-18, 0x1.a9e1992e2e4f1p-18, 0x1.8cb8c061dc922p-18, 0x1.70a9674a92656p-18, 0x1.55a295e2c5706p-18, 0x1.3ba1897aa42e5p-18, 0x1.229d473ae3422p-18, 0x1.0a925ee27d7aap-18, 0x1.e6dc3c917cb61p-19, 0x1.ba6ee2025f127p-19, 0x1.8fa9b521396f4p-19, 0x1.669fc1e5742ep-19, 0x1.3f3e7218263e1p-19, 0x1.197e044bb9836p-19, 0x1.ea74ebc47b5bep-20, 0x1.a4bd2e0b24fb5p-20, 0x1.61adf1a5b1b3ap-20, 0x1.21d4ba7d6628ep-20, 0x1.c9e4141606c73p-21, 0x1.548c5f56d064p-21, 0x1.c8f7d437baab1p-22, 0x1.e531bbf12beeap-23, 0x1.2ba257d81edf1p-25, -0x1.3c63a2d52620bp-23, -0x1.5908f124eca68p-22, -0x1.057de7a7c3684p-21, -0x1.5ac4a767a7073p-21, -0x1.ab4ecd7d87f05p-21, -0x1.f8621f433d625p-21, -0x1.20baf75f110f2p-20, -0x1.4387556f8e4a9p-20, -0x1.647484acbe5adp-20, -0x1.83bb7f2cfa9e5p-20, -0x1.a158889f48e5bp-20, -0x1.bd5665ca3dac8p-20, -0x1.d7c0fca862a09p-20, -0x1.f0bae516c496dp-20, -0x1.0421d588bb71fp-19, -0x1.0f298944c1297p-19, -0x1.198d0cd110517p-19, -0x1.23463c97cbc19p-19, -0x1.2c5e56840a6efp-19, -0x1.34dffa97e6fe2p-19, -0x1.3ccccb6c56964p-19, -0x1.441cbeed8612fp-19, -0x1.4ae26a650b972p-19, -0x1.51245d143960dp-19, -0x1.56db37a31f5d8p-19, -0x1.5c151b3f0beb8p-19, -0x1.60dbfd6ec9c78p-19, -0x1.652e3086fa31ep-19, -0x1.690b2b134e423p-19, -0x1.6c7d87ab9450fp-19, -0x1.6f8444ca3cebcp-19, -0x1.721db1157d8bep-19, -0x1.7438f93b59df3p-19, -0x1.764534696299dp-19, -0x1.77c38df13745dp-19, -0x1.78f1b7b240c93p-19, -0x1.79cb0592047d2p-19, -0x1.7a5943939b03p-19, -0x1.7a9a4ab172873p-19, -0x1.7a89410f47272p-19, -0x1.7a34cb1d29288p-19, -0x1.79948171628f4p-19, -0x1.78b4c9a87c8ccp-19, -0x1.77968e1fb12a4p-19, -0x1.763f3404ddd1dp-19, -0x1.74ad9109e7c3ep-19, -0x1.72e29d4e990a2p-19, -0x1.70e04f6e09a4ep-19, -0x1.6ea97b8a39d7ap-19, -0x1.6c43b623ec152p-19, -0x1.69b6bee49ddf7p-19, -0x1.670e397222078p-19, -0x1.6400c709c20a8p-19, -0x1.60eba71f2d6f1p-19, -0x1.5dae95bbf5ec7p-19, -0x1.5a497f2a5f0b8p-19, -0x1.56becab112056p-19, -0x1.531687c842c6fp-19, -0x1.4f50269b117a2p-19, -0x1.4b6b4c956c04ep-19, -0x1.476af8116e3b8p-19, -0x1.434fa18ba0f9cp-19, -0x1.3f0be90644ea8p-19, -0x1.3ac1511bf1405p-19, -0x1.365c828310b83p-19, -0x1.31d0644aa9f96p-19, -0x1.2d42f8217d24p-19, -0x1.289c6da90eef6p-19, -0x1.23e7b5ad62581p-19, -0x1.1f253f07e5c14p-19, -0x1.1a4996573e189p-19, -0x1.156379155ee96p-19, -0x1.10790c195ce8ap-19, -0x1.0b753606d1543p-19, -0x1.065d57f77fb92p-19, -0x1.0152b1031c94bp-19, -0x1.f86df3ba32fc8p-20, -0x1.ee1e5ba144ca3p-20, -0x1.e3c8427cbbfacp-20, -0x1.d94a290fcbce4p-20, -0x1.cec99dc35a32ep-20, -0x1.c444caff505c5p-20, -0x1.b9c468dfed88ap-20, -0x1.af30a31089286p-20, -0x1.a4960f246b0d3p-20, -0x1.99f814600b476p-20, -0x1.8f42936b265e3p-20, -0x1.84a1156a5f19ap-20, -0x1.79faa4f2f26f7p-20, -0x1.6f55d9b24323ap-20, -0x1.64bfecd02385fp-20, -0x1.5a1c79c12eaf5p-20, -0x1.4f78e8197d2a7p-20, -0x1.45099aa70b60dp-20, -0x1.3a7e9dc7c12b3p-20, -0x1.2fbaf7758ed4dp-20, -0x1.254671e422c95p-20, -0x1.1ac875d71b0f2p-20, -0x1.10584930335b7p-20, -0x1.05f09a3e1e9fdp-20, -0x1.f728fddd84ec8p-21, -0x1.e289976686befp-21, -0x1.cdff3c1c04a97p-21, -0x1.b98780605d5a3p-21, -0x1.a503123be722ap-21, -0x1.91184831b7f24p-21, -0x1.7cfbeda2bd6p-21, -0x1.6912fd6018141p-21, -0x1.553eb09450b69p-21, -0x1.417ab72a9e92ap-21, -0x1.2de1dfbdfd1e4p-21, -0x1.1a734bbcbadcfp-21, -0x1.076a9f2714f33p-21, -0x1.e8597e07d27dfp-22, -0x1.c225827d2ee13p-22, -0x1.9ceb913c86e87p-22, -0x1.777172b62befbp-22, -0x1.529d26db069c7p-22, -0x1.2de36b41f2d04p-22, -0x1.0988ef44f7a4p-22, -0x1.cb6e5274a6a4cp-23, -0x1.83dcbb730dffbp-23, -0x1.3d020a70bd765p-23, -0x1.ee1f76205af1ep-24, -0x1.63caf8f453d9fp-24, -0x1.b6a9d7e4f816bp-25, -0x1.53e69b4992aedp-26, 0x1.89fac5ea8b40dp-27, 0x1.6b311cf23e8c9p-25, 0x1.389fe09c76a57p-24, 0x1.badee320d2533p-24, 0x1.1d44baa29c711p-23, 0x1.5c6ce7743d676p-23, 0x1.9acf35a73b999p-23, 0x1.d80fdb7d8da17p-23, 0x1.0acc065cdb6ebp-22, 0x1.28c5eb00312cfp-22, 0x1.4630d6a623c1ap-22, 0x1.634b5ba103af1p-22, 0x1.8099415e936b6p-22, 0x1.9cf4583d58122p-22, 0x1.b90f3a68a87c3p-22, 0x1.d52366320c3d2p-22, 0x1.effab9f3dc216p-22, 0x1.056cfa53fd228p-21, 0x1.129fcf6174c8dp-21, 0x1.1fa53f048c682p-21, 0x1.2c871d2d2f518p-21, 0x1.392df1c3ea63ep-21, 0x1.459b3c1bfe457p-21, 0x1.527a8dd5b4608p-21, 0x1.5e02d61961728p-21, 0x1.69df85536ecf7p-21, 0x1.7584f6e823f0dp-21, 0x1.8105a123768c2p-21, 0x1.8c4793c3e1823p-21, 0x1.972a85f76d9fcp-21, 0x1.a21b93428217cp-21, 0x1.acd23597b2407p-21, 0x1.b74859400e93ep-21, 0x1.c18ea7453ee2dp-21, 0x1.cbca3922cb36bp-21, 0x1.d5b3644dee61fp-21, 0x1.df537cf0c1db9p-21, 0x1.e8b07711828p-21, 0x1.f22f1a588972fp-21, 0x1.fb4ec301c74f9p-21, 0x1.022287ff1cfc6p-20, 0x1.068d7443c3c4dp-20, 0x1.0ace06f37bfacp-20, 0x1.0efeeecf7f3b5p-20, 0x1.1328c225891ddp-20, 0x1.17324703f688ep-20, 0x1.1b14f46b2dd01p-20, 0x1.1ee0215851d8cp-20, 0x1.22a0a15c6c55ep-20, 0x1.263ded2f42c13p-20, 0x1.29d7295592216p-20, 0x1.2d5841f46c188p-20, 0x1.30b73030b6c8fp-20, 0x1.340908f3a8e2dp-20, 0x1.3746555aba79ap-20, 0x1.3a68017bfcd7p-20, 0x1.3d6ec26fa7741p-20, 0x1.406176a35366fp-20, 0x1.4342a9e9a6a76p-20, 0x1.461085bdfd356p-20, 0x1.48c819314b205p-20, 0x1.4b693179a07e8p-20, 0x1.4df50d5bd05dap-20, 0x1.5070eb2c315fbp-20, 0x1.52c96a855f46fp-20, 0x1.552934fe542dep-20, 0x1.57694b9a1f79ep-20, 0x1.59941dc4c07b8p-20, 0x1.5ba58bd29b01ap-20, 0x1.5da7b14d2624p-20, 0x1.5f99c230dcd11p-20, 0x1.619c5e02dae3ep-20, 0x1.6345591185fffp-20, 0x1.64dddec22a05ep-20, 0x1.6662a80a6ce1dp-20, 0x1.680aba605da8fp-20, 0x1.69a3311ece8f9p-20, 0x1.6b1295fb482ecp-20, 0x1.6c74760bf2a3dp-20, 0x1.6db45a0b2067dp-20, 0x1.6ef1be83ba2b6p-20, 0x1.703096599068cp-20, 0x1.712f61b9dafc2p-20, 0x1.722f8556a6f59p-20, 0x1.732bb390a9f4p-20, 0x1.741027b9e67ffp-20, 0x1.74eece3e5bf6bp-20, 0x1.75beadece00b2p-20, 0x1.7674422e4f9ep-20, 0x1.7718d04ee3ee8p-20, 0x1.77aa18a42a301p-20, 0x1.782f08a9f787ap-20, 0x1.78adcdc56edd3p-20, 0x1.79113131c1ff7p-20, 0x1.796b78c8dff13p-20, 0x1.79b5e89a2323ep-20, 0x1.79fcaf03d1b03p-20, 0x1.7a2b1909ac98cp-20, 0x1.7a4ebbea0feecp-20, 0x1.7a63b5cd8a27bp-20, 0x1.7a6c5355c7a89p-20, 0x1.7a694fd9f08e4p-20, 0x1.7a58e060998fcp-20, 0x1.7a40ef15f0a83p-20, 0x1.7a113aaeb589bp-20, 0x1.79d2c6899eeffp-20, 0x1.799b6eaa95a76p-20, 0x1.794a8da572c31p-20, 0x1.78ef32ff20c51p-20, 0x1.7886ae4469d7dp-20, 0x1.7809152885602p-20, 0x1.77973b7bf23a7p-20, 0x1.7708fce97c86cp-20, 0x1.766ab84b40209p-20, 0x1.75dad0305aafcp-20, 0x1.752f2d1da5d34p-20, 0x1.74725350ec1e6p-20, 0x1.738d19bdc6e96p-20, 0x1.72ec9bd32146ap-20, 0x1.721fb182badc4p-20, 0x1.71471e4c8f67ap-20, 0x1.70584fa1c021dp-20, 0x1.6f6e32eb2ce2bp-20, 0x1.6e7411323ae98p-20, 0x1.6d76a81c86b41p-20, 0x1.6c69b861fd0d5p-20, 0x1.6b466718997bfp-20, 0x1.6a37ca7447fdep-20, 0x1.690ef32790b9bp-20, 0x1.67e715174a7ap-20, 0x1.66c30adf58bcep-20, 0x1.657daa4d96eddp-20, 0x1.6434c2000f7a4p-20, 0x1.62e6ef1cd723p-20, 0x1.6197db565d43dp-20, 0x1.6037d6aaa90cbp-20, 0x1.5edc6103c5868p-20, 0x1.5d691c4e290d1p-20, 0x1.5c04a0e46a3ebp-20, 0x1.5a87047a8a9dfp-20, 0x1.590a056779d38p-20, 0x1.5789fce2e18fdp-20, 0x1.5602752b247bap-20, 0x1.5473cb049547bp-20, 0x1.52de0ad9c6a84p-20, 0x1.514720a674ce5p-20, 0x1.4f9b7c2941d35p-20, 0x1.4de96e0d97666p-20, 0x1.4c4d718a76426p-20, 0x1.4a9dfa5b5d517p-20, 0x1.48e9785d1dd3dp-20, 0x1.472d69531149cp-20, 0x1.4568491efcbc3p-20, 0x1.43a6e72bc3185p-20, 0x1.41df52c572e83p-20, 0x1.400e2415ae0fep-20, 0x1.3e6050ee1ce56p-20, 0x1.3c6cdd8e941d8p-20, 0x1.3a96e6d44d244p-20, 0x1.38b884d192b5fp-20, 0x1.36d8a21920de5p-20, 0x1.34edd3b28987bp-20, 0x1.3301ca7d06a98p-20, 0x1.31155ba405a2fp-20, 0x1.2f2a8ad1ddbbep-20, 0x1.2d29294f14a44p-20, 0x1.2b3ee4976854fp-20, 0x1.2944a73dfe592p-20, 0x1.274a1317c621cp-20, 0x1.254c0f4023ee8p-20, 0x1.2355f0f33ce1ap-20, 0x1.214d87d22735dp-20, 0x1.1f432be007109p-20, 0x1.1d3d0fa01273bp-20, 0x1.1b34d9f261abcp-20, 0x1.191e2954d4a27p-20, 0x1.170d78b3c2bd5p-20, 0x1.14f95f85daf7bp-20, 0x1.12f41a0ae9535p-20, 0x1.10e6ed741c1eep-20, 0x1.0ed5a075d9373p-20, 0x1.0cb353e8986f2p-20, 0x1.0a9570f631f18p-20, 0x1.087baedb5eac3p-20, 0x1.0660cc9b20f77p-20, 0x1.04479f2044e6ap-20, 0x1.021fadb7f90e3p-20, 0x1.0007a5425ec3dp-20, 0x1.fbc33019b3b11p-21, 0x1.f79543c9a7a2ep-21, 0x1.f34f6d04cf8f6p-21, 0x1.ef02b27c4f8f7p-21, 0x1.eabe0d640b42ap-21, 0x1.e67e16870bdfbp-21, 0x1.e2356ed084efp-21, 0x1.ddf0584bc8359p-21, 0x1.d9abea3afd063p-21, 0x1.d5536478bf597p-21, 0x1.d10fd63fbb64dp-21, 0x1.ccc547c1d4cf6p-21, 0x1.c8991aa974ac8p-21, 0x1.c44cfe33a7659p-21, 0x1.bfed7eca8ebfbp-21, 0x1.bbb3715f36551p-21, 0x1.b7716fa4ab8fap-21, 0x1.b304549f78745p-21, 0x1.aedb5b911358cp-21, 0x1.aa8caf4b1538ep-21, 0x1.a6556206d8749p-21, 0x1.a21e54dd273bp-21, 0x1.9de277c862c06p-21, 0x1.99a0475b2122ap-21, 0x1.955bc006e4576p-21, 0x1.91163567fc6ffp-21, 0x1.8cde6a61927d2p-21, 0x1.88a7bb489fdb7p-21, 0x1.847bc78bc1279p-21, 0x1.804f84b638ed5p-21, 0x1.7c1af3a379269p-21, 0x1.77ea928a4110cp-21, 0x1.73ba007164344p-21, 0x1.6f8bcd4ee0ce9p-21, 0x1.6b65b4bbcbfacp-21, 0x1.6737449082675p-21, 0x1.632f96426f0afp-21, 0x1.5f0910dabee8cp-21, 0x1.5ade63cdbf3bfp-21, 0x1.56cd9d5b27301p-21, 0x1.52c241798110dp-21, 0x1.4ea0e66a96037p-21, 0x1.4a9dfac7ad149p-21, 0x1.468fa5cbbb39ep-21, 0x1.42885501e6132p-21, 0x1.3e8d9814f9e61p-21, 0x1.3a9103540295dp-21, 0x1.368e11c625278p-21, 0x1.328cd39735757p-21, 0x1.2ea021ab47d7bp-21, 0x1.2aac68917ab7fp-21, 0x1.26c03a9e0d9d8p-21, 0x1.22bd8373744f8p-21, 0x1.1ef7e133c21d5p-21, 0x1.1b23534ea4392p-21, 0x1.17347331c62edp-21, 0x1.136e285f58627p-21, 0x1.0f999a4a00c78p-21, 0x1.0bbfccafebe28p-21, 0x1.07f4cd8e74e67p-21, 0x1.04329f974345dp-21, 0x1.0073e4be933e2p-21, 0x1.f9765845b586ap-22, 0x1.f205948218f18p-22, 0x1.ea91117261b3dp-22, 0x1.e31f0b405e7c9p-22, 0x1.dbd96d8f1e352p-22, }}, 
      std::vector<double>(900, 0.0), 
      {{-0x1.3cbb1dcf5c962p-8, -0x1.8e55c11266724p-7, -0x1.465ee2d9dd0aap-6, -0x1.a1287a8e166fcp-6, -0x1.bc992b7553433p-6, -0x1.924aafe5a6b02p-6, -0x1.2c1f502c5c3d9p-6, -0x1.3c2848096bb7ap-7, -0x1.4a6dab50b21b4p-15, 0x1.26d982c5a99e9p-7, 0x1.07e5e4d62c6bep-6, 0x1.4aa1e05ae6184p-6, 0x1.4e3d5d8347c94p-6, 0x1.0a2047d47ac12p-6, 0x1.e89338e879a77p-8, -0x1.87e2e96151b6ap-8, -0x1.87428b8c69289p-6, -0x1.781b581ff4344p-5, -0x1.255b182508403p-4, -0x1.9b8a93241178ap-4, -0x1.0e1d48c04d7e6p-3, -0x1.527919e33a73cp-3, -0x1.999c254aff399p-3, -0x1.e252d4032b336p-3, -0x1.15bccef4ff788p-2, -0x1.3a011b0e46b2bp-2, -0x1.5d7b8c16651f3p-2, -0x1.7fbed900574f9p-2, -0x1.a06bb6c9ed7fcp-2, -0x1.bf30e5dd2e5fp-2, -0x1.dbcae4ae9478cp-2, -0x1.f6035a1244dd2p-2, -0x1.06d8273e54482p-1, -0x1.1159a02586bbdp-1, -0x1.1a7c12d0ffd2dp-1, -0x1.223a3099b6e3dp-1, -0x1.2892dc1c0e7ap-1, -0x1.2d88a672e66ddp-1, -0x1.3121514802f93p-1, -0x1.336557f95ac71p-1, -0x1.345f840fe02eap-1, -0x1.341c83eec19d4p-1, -0x1.32aa904e96581p-1, -0x1.30191c3de8901p-1, -0x1.2c7887c40faadp-1, -0x1.27d9da96a3ea4p-1, -0x1.224e8d6bacc4fp-1, -0x1.1be8588f32555p-1, -0x1.14b903384a501p-1, -0x1.0cd2381fc269cp-1, -0x1.044564f51dccap-1, -0x1.f6474139dea83p-2, -0x1.e2fb2547579bfp-2, -0x1.cec6b8cc398bp-2, -0x1.b9c90b40ca832p-2, -0x1.a41fdeb49bb2bp-2, -0x1.8de7979a296eap-2, -0x1.773b31696d2ecp-2, -0x1.603435b7e0ed1p-2, -0x1.48eab4b2d445dp-2, -0x1.317541288f8afp-2, -0x1.19e8f087163a9p-2, -0x1.02595fbc7b2bap-2, -0x1.d5b175ae2f766p-3, -0x1.a6ef8e023d9ecp-3, -0x1.788bdac65e35fp-3, -0x1.4aa28cd13a0e7p-3, -0x1.1d4d4bb88a4fp-3, -0x1.e1469d8586ee8p-4, -0x1.8972efdc9f281p-4, -0x1.3344e02c3a769p-4, -0x1.bdbb11225f8edp-5, -0x1.18b40fa77b30bp-5, -0x1.de9dd52aceb64p-7, 0x1.29f84616bd81cp-8, 0x1.7bb4aa4b0dc41p-6, 0x1.520b79603aed1p-5, 0x1.e1b944222494fp-5, 0x1.3667e7fd85a45p-4, 0x1.79a016473ed8ep-4, 0x1.ba7ffc3e9b8eep-4, 0x1.f90480fbd76cap-4, 0x1.1a963e2b62a92p-3, 0x1.377c42fa0be98p-3, 0x1.53356a0d114f4p-3, 0x1.6dc388a62dc79p-3, 0x1.87291d584a97fp-3, 0x1.9f693f6d23b55p-3, 0x1.b6878e997d408p-3, 0x1.cc88252021b6dp-3, 0x1.e16f898e3f162p-3, 0x1.f542a224eeb96p-3, 0x1.0403548d3d0e8p-2, 0x1.0ce090bbc313ep-2, 0x1.153be66ac0609p-2, 0x1.1d1850f353dc9p-2, 0x1.2478e1ce40fedp-2, 0x1.2b60bc78f6a04p-2, 0x1.31d312acb5c9ep-2, 0x1.37d320f0beaeep-2, 0x1.3d642b6a0935cp-2, 0x1.42897ac97a486p-2, 0x1.474659b360448p-2, 0x1.4b9e1251256c9p-2, 0x1.4f93ebf4974ebp-2, 0x1.532b295024c06p-2, 0x1.56670652be31dp-2, 0x1.594ab6c80bc3p-2, 0x1.5bd964d9e3b86p-2, 0x1.5e162f8929ea8p-2, 0x1.600429f92c12ap-2, 0x1.61a659f4ba6fcp-2, 0x1.62ffb762c66c8p-2, 0x1.64132b89e422fp-2, 0x1.64e39027b0541p-2, 0x1.6573af40551e9p-2, 0x1.65c6427daea55p-2, 0x1.65ddf2bc6cd77p-2, 0x1.65bd5829a86f6p-2, 0x1.6566f9b964f15p-2, 0x1.64dd4cfd9f3e8p-2, 0x1.6422b6763161p-2, 0x1.6339893891576p-2, 0x1.622406de1d555p-2, 0x1.60e46012cb4cbp-2, 0x1.5f7cb44900638p-2, 0x1.5def11d7add8dp-2, 0x1.5c3d769b2ccf5p-2, 0x1.5a69cfccf0ec2p-2, 0x1.5875fa11bca57p-2, 0x1.5663c255e8216p-2, 0x1.5434e5b73436ep-2, 0x1.51eb1197ae84ep-2, 0x1.4f87e4478493bp-2, 0x1.4d0ced7a9095ep-2, 0x1.4a7bae139bd81p-2, 0x1.47d598ada4068p-2, 0x1.451c125d7614cp-2, 0x1.425072a19afd4p-2, 0x1.3f74038b91bf4p-2, 0x1.3c880290c8542p-2, 0x1.398da0cd6aceep-2, 0x1.368603283316bp-2, 0x1.3372429c7cd68p-2, 0x1.30536cef7c154p-2, 0x1.2d2a84f1b7edp-2, 0x1.29f8827e74917p-2, 0x1.26be53094ff88p-2, 0x1.237cda28a33cbp-2, 0x1.2034f1b2a8c7bp-2, 0x1.1ce769ebd0888p-2, 0x1.199509f98e562p-2, 0x1.163e9069668a5p-2, 0x1.12e4b33fb2204p-2, 0x1.0f88202b805e1p-2, 0x1.0c297ce46c14ap-2, 0x1.08c967b32a603p-2, 0x1.0568777e460cfp-2, 0x1.02073be54c6b7p-2, 0x1.fd4c7b6c8d6fp-3, 0x1.f68bfe78d873dp-3, 0x1.efcdf8eb55314p-3, 0x1.e913563f4bae4p-3, 0x1.e25cf61c604adp-3, 0x1.dbabacdf7e6b5p-3, 0x1.d500442fd292bp-3, 0x1.ce5b7b17b7f2ep-3, 0x1.c7be065ad6f3fp-3, 0x1.c12891098aaefp-3, 0x1.ba9bbd0266ae9p-3, 0x1.b418232cb01ffp-3, 0x1.ad9e53b9e1556p-3, 0x1.a72ed66f99353p-3, 0x1.a0ca2b2eb739p-3, 0x1.9a70ca4259a57p-3, 0x1.942324a6cdf42p-3, 0x1.8de1a42650846p-3, 0x1.87acabbc16773p-3, 0x1.818497e4c8c5fp-3, 0x1.7b69bf098cf7dp-3, 0x1.755c717c43b83p-3, 0x1.6f5cf9b4c0d68p-3, 0x1.696b9ca7f2903p-3, 0x1.63889a2db92fap-3, 0x1.5db42cde8147p-3, 0x1.57ee8a9f0db7p-3, 0x1.5237e483719f7p-3, 0x1.4c90673ac57bfp-3, 0x1.46f83b1c33e5bp-3, 0x1.416f847449aa2p-3, 0x1.3bf663b5ed1aep-3, 0x1.368cf57d4b7b2p-3, 0x1.313352bc7a3e6p-3, 0x1.2be99106344b5p-3, 0x1.26afc29eae4f7p-3, 0x1.2185f6b37b5ap-3, 0x1.1c6c396e53ec2p-3, 0x1.176293f734b17p-3, 0x1.12690cc5be49p-3, 0x1.0d7fa7bd44299p-3, 0x1.08a6663b67d95p-3, 0x1.03dd4729e9b41p-3, 0x1.fe488e79b8f9bp-4, 0x1.f4f6c200ffe61p-4, 0x1.ebc519ae47ba5p-4, 0x1.e2b3824ac83f6p-4, 0x1.d9c1e505dd95ep-4, 0x1.d0f0275e57459p-4, 0x1.c83e2b8372554p-4, 0x1.bfabd0538e8eep-4, 0x1.b738f19e843c4p-4, 0x1.aee568337b386p-4, 0x1.a6b10a39615aap-4, 0x1.9e9bab2ace744p-4, 0x1.96a51c21d6794p-4, 0x1.8ecd2baf44964p-4, 0x1.8713a64f31909p-4, 0x1.7f78565154735p-4, 0x1.77fb04124134p-4, 0x1.709b760e8109ep-4, 0x1.69597122760fap-4, 0x1.6234b8676bbf2p-4, 0x1.5b2d0d7369afcp-4, 0x1.5442306f98e18p-4, 0x1.4d73e02643cb5p-4, 0x1.46c1da31fa986p-4, 0x1.402bdafc851dfp-4, 0x1.39b19de03f55fp-4, 0x1.3352dd3e1d06ep-4, 0x1.2d0f528a561dbp-4, 0x1.26e6b66bcd13ep-4, 0x1.20d8c0a6ebc0dp-4, 0x1.1ae528743a62dp-4, 0x1.150ba470edc7p-4, 0x1.0f4bea7d50c0dp-4, 0x1.09a5b041a43d6p-4, 0x1.0418aabd91b9bp-4, 0x1.fd491d84614cep-5, 0x1.f2922102d975p-5, 0x1.e80bc89231431p-5, 0x1.ddb57bdc574cbp-5, 0x1.d38ea2a7d1355p-5, 0x1.c996a3f737316p-5, 0x1.bfcce7300d0edp-5, 0x1.b630d3487b86ap-5, 0x1.acc1cf8816309p-5, 0x1.a37f433cf9a8dp-5, 0x1.9a6895dbfe8e6p-5, 0x1.917d2ebe398dfp-5, 0x1.88bc76a2b019bp-5, 0x1.8025d5a1368dep-5, 0x1.77b8b4e0638bbp-5, 0x1.6f747d9724c63p-5, 0x1.67589a284fc1ep-5, 0x1.5f64754f6c3f5p-5, 0x1.57977a51e83c8p-5, 0x1.4ff11577d5c76p-5, 0x1.4870b3c96ee73p-5, 0x1.4115c313b5912p-5, 0x1.39dfb20fba4b2p-5, 0x1.32cdf089c9205p-5, 0x1.2bdfeefc1bee8p-5, 0x1.25151f2e00249p-5, 0x1.1e6cf3d927681p-5, 0x1.17e6e09d7dc45p-5, 0x1.11825a96d1398p-5, 0x1.0b3ed79498caap-5, 0x1.051bcef67b39p-5, 0x1.fe31721ae7068p-6, 0x1.f26a1f0342405p-6, 0x1.e6e09a3f94a02p-6, 0x1.db93dc25f435ep-6, 0x1.d082df6d0251ep-6, 0x1.c5aca18f50db7p-6, 0x1.bb102275f7ee7p-6, 0x1.b0ac64cf563bep-6, 0x1.a6806e5627cd3p-6, 0x1.9c8b469bf8f5fp-6, 0x1.92cbf8d89049cp-6, 0x1.8941928bf3b8p-6, 0x1.7feb23e3b58a2p-6, 0x1.76c7c039b2b6ap-6, 0x1.6dd67d8f5ef5ep-6, 0x1.651674b11507dp-6, 0x1.5c86c14a111a9p-6, 0x1.5426818a42367p-6, 0x1.4bf4d701e3d53p-6, 0x1.43f0e5e6bf77ap-6, 0x1.3c19d517ddb36p-6, 0x1.346ecea9bdff9p-6, 0x1.2ceeff099375p-6, 0x1.259995f3f487fp-6, 0x1.1e6dc5cd9c936p-6, 0x1.176ac3fde0cbdp-6, 0x1.108fc845cadfdp-6, 0x1.09dc0dd383a2cp-6, 0x1.034ed2354132fp-6, 0x1.f9ceac2e7d9fap-7, 0x1.ed49baa269d83p-7, 0x1.e10d5a7595a2ap-7, 0x1.d5181ecf1fdb5p-7, 0x1.c9689cf43efa5p-7, 0x1.bdfd74c6b2a7cp-7, 0x1.b2d545da59ac7p-7, 0x1.a7eeb96a234f2p-7, 0x1.9d487b807494ep-7, 0x1.92e13f33f2481p-7, 0x1.88b7bb9d969cp-7, 0x1.7ecaaf8b9fde7p-7, 0x1.7518db57a7ba8p-7, 0x1.6ba108b3cbc6fp-7, 0x1.6262026d6c97fp-7, 0x1.595a9add612edp-7, 0x1.5089a7ccbfc95p-7, 0x1.47ee0596134a6p-7, 0x1.3f86946993e29p-7, 0x1.37523a218fc43p-7, 0x1.2f4fe143b7bd9p-7, 0x1.277e796e731fbp-7, 0x1.1fdcf71263a65p-7, 0x1.186a53f665ce7p-7, 0x1.11258cbdf538ap-7, 0x1.0a0da3e5ea63ap-7, 0x1.0321a02523803p-7, 0x1.f8c1162c7a8f8p-8, 0x1.eb92e9d67c423p-8, 0x1.deb6e1774a14ap-8, 0x1.d22b2d93229d2p-8, 0x1.c5ee07d03b8c1p-8, 0x1.b9fdb31bd039p-8, 0x1.ae587b22159c5p-8, 0x1.a2fcb3b525acbp-8, 0x1.97e8b87fd1841p-8, 0x1.8d1aecaffa317p-8, 0x1.8291ba23af826p-8, 0x1.784b92eefa8cep-8, 0x1.6e46ee29752ap-8, 0x1.64824bf1ae6e4p-8, 0x1.5afc34ae31d61p-8, 0x1.51b338385c97ep-8, 0x1.48a5edcf2a88bp-8, 0x1.3fd2f6b734944p-8, 0x1.3738fad478455p-8, 0x1.2ed6aa056f3b2p-8, 0x1.26aabaab8050ep-8, 0x1.1eb3e93470bbcp-8, 0x1.16f0f797e847ap-8, 0x1.0f60ac99f5ea3p-8, 0x1.0801d44f86bd2p-8, 0x1.00d340f21e40dp-8, 0x1.f3a793b5681aap-9, 0x1.e6049a458e535p-9, 0x1.d8bb61de658a5p-9, 0x1.cbc9c161e225ap-9, 0x1.bf2da4c0f2ee7p-9, 0x1.b2e5021f23f9ep-9, 0x1.a6ede059871d8p-9, 0x1.9b464fd3fc33p-9, 0x1.8fec6b6df67dep-9, 0x1.84de556cbda3p-9, 0x1.7a1a34664e81ap-9, 0x1.6f9e34911ca68p-9, 0x1.6568887619096p-9, 0x1.5b7767e32825fp-9, 0x1.51c9153f4b6cdp-9, 0x1.485be103bee0ap-9, 0x1.3f2e26e9751fbp-9, 0x1.363e549308339p-9, 0x1.2d8aefed72659p-9, 0x1.251282f10c48fp-9, 0x1.1cd3a662a2fe1p-9, 0x1.14ccfd70d41c6p-9, 0x1.0cfd29bab1bacp-9, 0x1.0562d1a4b14ap-9, 0x1.fbf928f0295d1p-10, 0x1.ed92262e3e3a5p-10, 0x1.df8ddebef196p-10, 0x1.d1e9a2a264e2fp-10, 0x1.c4a2d91d8b6fp-10, 0x1.b7b708fde3cbdp-10, 0x1.ab23ddaf47edbp-10, 0x1.9ee72859e20e3p-10, 0x1.92fedc25d09dp-10, 0x1.8768f50bb921ep-10, 0x1.7c23a2ab8fd52p-10, 0x1.712cc9db387bbp-10, 0x1.6682931454eafp-10, 0x1.5c22f17b91fdfp-10, 0x1.520bd9475d139p-10, 0x1.483b3bf198931p-10, 0x1.3eaf1283ecfa6p-10, 0x1.35656d1a7b552p-10, 0x1.2c5c72bc04956p-10, 0x1.23927318f1e65p-10, 0x1.1b05d6b46939ap-10, 0x1.12b52329c8a5dp-10, 0x1.0a9eece3a15ddp-10, 0x1.02c1cc5faea3fp-10, 0x1.f638aeb055602p-11, 0x1.e75a3229d57c1p-11, 0x1.d8e535095235dp-11, 0x1.cad6b549c944fp-11, 0x1.bd2bc6e82a8b1p-11, 0x1.afe18702e4604p-11, 0x1.a2f5476fa6eb7p-11, 0x1.966474857c2ffp-11, 0x1.8a2cb02a9fe25p-11, 0x1.7e4bd912ceadap-11, 0x1.72bfcf7852801p-11, 0x1.67868d59aebe6p-11, 0x1.5c9df9edee2b8p-11, 0x1.5203eb8e3b704p-11, 0x1.47b61acb149cp-11, 0x1.3db234bc187d8p-11, 0x1.33f5eb23b9245p-11, 0x1.2a7efdb175bd4p-11, 0x1.214b656e2fb73p-11, 0x1.185945ce9e7d7p-11, 0x1.0fa6fa5ebc947p-11, 0x1.07330605e02c1p-11, 0x1.fdf80eec1d744p-12, 0x1.ee014aee7f3ep-12, 0x1.de7f0f13a83acp-12, 0x1.cf6e8eb596aa1p-12, 0x1.c0ccd4cf21c43p-12, 0x1.b296c3ba9c27p-12, 0x1.a4c92e93f7b3fp-12, 0x1.976074054fce2p-12, 0x1.8a59234e1df86p-12, 0x1.7dafcb627c7c8p-12, 0x1.71613dc1a6563p-12, 0x1.656aa9336514p-12, 0x1.59c9d2151c1dep-12, 0x1.4e7ca37e5d001p-12, 0x1.43818e1985732p-12, 0x1.38d6d879fb036p-12, 0x1.2e7ad81c998cfp-12, 0x1.246bc023ac786p-12, 0x1.1aa794faf394cp-12, 0x1.112c36db2d2c4p-12, 0x1.07f79c7201d9ap-12, 0x1.fe0f8f37c6792p-13, 0x1.ecb581ef09492p-13, 0x1.dbdd38f4b8c1ap-13, 0x1.cb82cee6185adp-13, 0x1.bba23231b1675p-13, 0x1.ac372915f8076p-13, 0x1.9d3d81047fc98p-13, 0x1.8eb1509f427c7p-13, 0x1.808f417b79199p-13, 0x1.72d4d0aa8f81bp-13, 0x1.657f186d80a65p-13, 0x1.588d204120af2p-13, 0x1.4bfc086adad9dp-13, 0x1.3fc991014ea68p-13, 0x1.33f318b03a4fdp-13, 0x1.28760740c984cp-13, 0x1.1d501a9ab9d0dp-13, 0x1.127f85d070b57p-13, 0x1.0802b81649d72p-13, 0x1.fbb0321ef6f7ep-14, 0x1.e7fb64348db0ep-14, 0x1.d4e1cf78f0c18p-14, 0x1.c25d11282e8b5p-14, 0x1.b0662d8749e78p-14, 0x1.9ef68a2f70cf2p-14, 0x1.8e085e5141494p-14, 0x1.7d97c0c9db252p-14, 0x1.6da1d92b87fc4p-14, 0x1.5e24b704a7913p-14, 0x1.4f1e5d64c019p-14, 0x1.408ca19b04ecep-14, 0x1.326cdc4ef7ddp-14, 0x1.24bc773df17fap-14, 0x1.17793e4dfeca8p-14, 0x1.0aa149ced18c8p-14, 0x1.fc6549abb4e2p-15, 0x1.e455bb5acd23fp-15, 0x1.cd0d59ba5bd13p-15, 0x1.b6850b0dbf618p-15, 0x1.a0b22296567bcp-15, 0x1.8b8f14c89b631p-15, 0x1.77152a339fac6p-15, 0x1.633deddde7fb7p-15, 0x1.5007d3404fcc6p-15, 0x1.3d6c24ce2105ap-15, 0x1.2b669e673e8ep-15, 0x1.19f2adff33909p-15, 0x1.090cffc7d6467p-15, 0x1.f167932059d22p-16, 0x1.d1cc75e67ac4p-16, 0x1.b3465022425bap-16, 0x1.95d07b765e452p-16, 0x1.7962d48230493p-16, 0x1.5df27285eaba8p-16, 0x1.437357c577f99p-16, 0x1.29db12ad9bfb7p-16, 0x1.11206f650064bp-16, 0x1.f27852e85f408p-17, 0x1.c4520c84348b4p-17, 0x1.97c7b2df396afp-17, 0x1.6cd2d58fa2eb7p-17, 0x1.436c4260bee87p-17, 0x1.1b87e0a914b51p-17, 0x1.ea37329f3ee94p-18, 0x1.a0359a76c1a8bp-18, 0x1.58fe3bd744effp-18, 0x1.148230608687dp-18, 0x1.a56370ce7d777p-19, 0x1.26ee4f1a8546p-19, 0x1.5afa8e3bd5435p-20, 0x1.c741a1d6debf8p-22, -0x1.b6d733df1fe7fp-22, -0x1.440511663b685p-20, -0x1.08e8e30b5df7p-19, -0x1.6bb0c67bb0109p-19, -0x1.ca76da41c205p-19, -0x1.12a0712253ee8p-18, -0x1.3e074cb77758bp-18, -0x1.677bb846cd61fp-18, -0x1.8f0aeb48595f8p-18, -0x1.b4cfd39f6c80ep-18, -0x1.d8cc27bd98e7ap-18, -0x1.fb15940c0c174p-18, -0x1.0dd3aaf35d8c2p-17, -0x1.1d427d01bc386p-17, -0x1.2bdbde9438643p-17, -0x1.39a7308ef8fefp-17, -0x1.46add71e075e1p-17, -0x1.52f9b5d1095dap-17, -0x1.5e93d0e69b373p-17, -0x1.69834b7ee985bp-17, -0x1.73c9b0ee6f222p-17, -0x1.7d6a8b5a5dc0cp-17, -0x1.866cba29ad75ep-17, -0x1.8ed6eb0f66d33p-17, -0x1.96acf33da10a3p-17, -0x1.9def16c2ddf94p-17, -0x1.a49e111d5959fp-17, -0x1.aabdc9f53fa27p-17, -0x1.b055205cedd48p-17, -0x1.b56937ff19f1dp-17, -0x1.b9fc2f35f6f3cp-17, -0x1.be10b81dc8927p-17, -0x1.c1ab07e4d132p-17, -0x1.c4cffee44a842p-17, -0x1.c78366dddbb9cp-17, -0x1.c9c8613de799cp-17, -0x1.cba097d133723p-17, -0x1.cd0d7bfe8ea96p-17, -0x1.ce0e843a05ca3p-17, -0x1.ceb2785b944b2p-17, -0x1.cef2755ff07bfp-17, -0x1.cedb23a166e39p-17, -0x1.ce6f7996944b2p-17, -0x1.cdb030024e986p-17, -0x1.cc9dc17a467b9p-17, -0x1.cb3a957239ec8p-17, -0x1.c9891535bfeap-17, -0x1.c78b928997675p-17, -0x1.c543d67da4db6p-17, -0x1.c2b33af7a7b13p-17, -0x1.bfdcc171622cdp-17, -0x1.bcc3b40ccdbcbp-17, -0x1.b96b9d0907255p-17, -0x1.b5d73eda2ff69p-17, -0x1.b208a6007cb69p-17, -0x1.ae01bfa283eaep-17, -0x1.a9c53588b65f3p-17, -0x1.a55458a27ed6ep-17, -0x1.a0aaf22378974p-17, -0x1.9bd20c395405ap-17, -0x1.96c7901b3fb23p-17, -0x1.918d89d326a78p-17, -0x1.8c26c428f0693p-17, -0x1.8696f7a78e515p-17, -0x1.80e10a573ab5ep-17, -0x1.7b06005286353p-17, -0x1.7505bb8d7ec2fp-17, -0x1.6ee19950b85bp-17, -0x1.689b45b5be0bfp-17, -0x1.62368d8defde2p-17, -0x1.5bb1196881ea9p-17, -0x1.550b914ee89d7p-17, -0x1.4e4c1c3ce8fd1p-17, -0x1.47723d557ae06p-17, -0x1.408036a3de729p-17, -0x1.397700c8e3361p-17, -0x1.325710c4aa734p-17, -0x1.2b224639587fbp-17, -0x1.23da4ff409994p-17, -0x1.1c7eea8e1038bp-17, -0x1.15113c7e61095p-17, -0x1.0d946a7c5025bp-17, -0x1.0607543de33d9p-17, -0x1.fcd7f88418c4dp-18, -0x1.ed87c4adb7c1bp-18, -0x1.de1e71936443dp-18, -0x1.cea1d2ebd1696p-18, -0x1.bf10f3f9ea055p-18, -0x1.af6e5b8093d39p-18, -0x1.9fbbd1423b385p-18, -0x1.8ffba39995e95p-18, -0x1.802ef36bc4ef7p-18, -0x1.7056e6ef2dbp-18, -0x1.607923d5b9c02p-18, -0x1.50940699227c2p-18, -0x1.40aa1b4041157p-18, -0x1.30bd5f0dad911p-18, -0x1.20ce393b6a8d2p-18, -0x1.10deeecf8774ep-18, -0x1.00f5f60030258p-18, -0x1.e21b0285d815p-19, -0x1.c242d5e1653ddp-19, -0x1.a28513d20fd1fp-19, -0x1.82d2d42832569p-19, -0x1.633257b1a77bp-19, -0x1.43a4601ffcc9p-19, -0x1.242bb63a8d363p-19, -0x1.04cbb0ce05ebdp-19, -0x1.cb0f561c591a8p-20, -0x1.8cc1078eb82b5p-20, -0x1.4ea6b03bc6d56p-20, -0x1.10f00ae504c85p-20, -0x1.a6e23b759ecabp-21, -0x1.2c7eb9f7aa1b9p-21, -0x1.6568c35440b44p-22, -0x1.cc80417917d36p-24, 0x1.f7102c9b78341p-24, 0x1.6d2df78122f29p-22, 0x1.2d730109a61d5p-21, 0x1.a3a55a2bbba6ep-21, 0x1.0c8508e8d1fccp-20, 0x1.46c0b28481455p-20, 0x1.809b8e314136dp-20, 0x1.b9fe87cc29189p-20, 0x1.f2f041f1a9b0cp-20, 0x1.15b55cb05c099p-19, 0x1.31b4b16dc36e8p-19, 0x1.4d7811681432bp-19, 0x1.68fb9e6c46c83p-19, 0x1.843db28ffa14ep-19, 0x1.9f3e55e440feap-19, 0x1.b9fbf907c0628p-19, 0x1.d473c5a366ed9p-19, 0x1.eea865e547f9ep-19, 0x1.044a862355f7ap-18, 0x1.111d4b761040bp-18, 0x1.1dcc959d674e9p-18, 0x1.2a56890fd7c7p-18, 0x1.36bb69cc37a77p-18, 0x1.42fa92f840836p-18, 0x1.4f12c05db88eep-18, 0x1.5b07c4b75852ap-18, 0x1.66d3d456e5819p-18, 0x1.7277e1d9c3699p-18, 0x1.7df406ab03578p-18, 0x1.894d35ea74271p-18, 0x1.947a3988a137ep-18, 0x1.9f8064e07ab9ap-18, 0x1.aa6122b49c91fp-18, 0x1.b51201925e149p-18, 0x1.bf9d7e9b93d7p-18, 0x1.c9ff3ab6c0d66p-18, 0x1.d4379922181c1p-18, 0x1.de46acc59af06p-18, 0x1.e82b999ea9583p-18, 0x1.f1e65164a8ebfp-18, 0x1.fb80e70d86e1fp-18, 0x1.027001a1485f9p-17, 0x1.070e2b224e4d8p-17, 0x1.0b972a512b364p-17, 0x1.100b55f6d4bd1p-17, 0x1.1469e74ae0371p-17, 0x1.18b198dda5d72p-17, 0x1.1ce636be9d508p-17, 0x1.21048d21378e5p-17, 0x1.250d55909a648p-17, 0x1.2900b5643c239p-17, 0x1.2cdfbd6f34094p-17, 0x1.30a89a5c3a32ep-17, 0x1.345b3785ca754p-17, 0x1.37f84ea06f6e9p-17, 0x1.3b824dbc19212p-17, 0x1.3ef58807377ebp-17, 0x1.4253922c396fbp-17, 0x1.459cbefe054a9p-17, 0x1.48d0241786544p-17, 0x1.4bee984914d8ep-17, 0x1.4ef919da93541p-17, 0x1.51edab03f7892p-17, 0x1.54cc1684ef3ep-17, 0x1.57962afadad78p-17, 0x1.5a4bd2fa6e9bfp-17, 0x1.5cec1ce0a755bp-17, 0x1.5f78ada73c032p-17, 0x1.61f08de4be1ffp-17, 0x1.645322a8fdc7cp-17, 0x1.66a1bb64e81e3p-17, 0x1.68dc29b1793b6p-17, 0x1.6b02294e9c785p-17, 0x1.6d13ce225023ep-17, 0x1.6f1168158fa69p-17, 0x1.70fb2f8b707a5p-17, 0x1.72d135cdf79ccp-17, 0x1.749377d65fa4fp-17, 0x1.764218c689d14p-17, 0x1.77dd34f42c455p-17, 0x1.79652236047d2p-17, 0x1.7ad91a251f799p-17, 0x1.7c3b1dba17692p-17, 0x1.7d89c3af39ec7p-17, 0x1.7ec5578caff6fp-17, 0x1.7fedf12f088eap-17, 0x1.8104443daeb89p-17, 0x1.82084c8fa276p-17, 0x1.82fd4b5bbb013p-17, 0x1.83d9c84d6e5dap-17, 0x1.84a4f369736adp-17, 0x1.855e64ac4bdap-17, 0x1.860a23b2f992bp-17, 0x1.86a46e6247b7dp-17, 0x1.872b52cb5660ap-17, 0x1.87a129c9ec0b5p-17, 0x1.88054440b81f5p-17, 0x1.88591608d0b79p-17, 0x1.889d26441375p-17, 0x1.88ce312c57818p-17, 0x1.88ef7a16595f3p-17, 0x1.89014c9dac89cp-17, 0x1.8902a5edf10cdp-17, 0x1.88f45f5486cc9p-17, 0x1.88d66016601dbp-17, 0x1.88a85fef6065dp-17, 0x1.886ae457e0ecfp-17, 0x1.881de6641916p-17, 0x1.87c1e62584f6fp-17, 0x1.8757737e9deebp-17, 0x1.86ddaeabd8076p-17, 0x1.8655abc978e2bp-17, 0x1.85bee235fdd09p-17, 0x1.851a82742aa9p-17, 0x1.84675887a8c2p-17, 0x1.83a6a126b78b3p-17, 0x1.82d8260603f73p-17, 0x1.81fc2387ae971p-17, 0x1.8112c7d7446fcp-17, 0x1.801c2a2da5988p-17, 0x1.7f18da08bc248p-17, 0x1.7e08227be7277p-17, 0x1.7ceac3c464b97p-17, 0x1.7bc1e492f769fp-17, 0x1.7a8be4011c156p-17, 0x1.7949f08f84e96p-17, 0x1.77fc0898397ap-17, 0x1.76a104b357fcfp-17, 0x1.753d29224b09fp-17, 0x1.73cc36ddbcde3p-17, 0x1.724fae33b653fp-17, 0x1.70c9ac9687e7cp-17, 0x1.6f37bb44d9644p-17, 0x1.6d9aa6358c2e7p-17, 0x1.6befbf061df2ap-17, 0x1.6a41ede9e8594p-17, 0x1.6886a95fb6d6p-17, 0x1.66c14175cfa8ap-17, 0x1.64f12a3a556c6p-17, 0x1.6318537c4a5b1p-17, 0x1.6135a2eeee375p-17, 0x1.5f49c0281b5f6p-17, 0x1.5d54741074393p-17, 0x1.5b552947d2a7cp-17, 0x1.594f8b7ed391ap-17, 0x1.573fbfc2677fap-17, 0x1.55282a636872dp-17, 0x1.5308ea9ac2362p-17, 0x1.50dfacd8acdf3p-17, 0x1.4eaf26f1448fp-17, 0x1.4c76f4e6e647bp-17, 0x1.4a3779be7c332p-17, 0x1.47efe7920bf05p-17, 0x1.45a1ce94b66b8p-17, 0x1.434b643c90636p-17, 0x1.40efb0dfb4cc1p-17, 0x1.3e8bd62461915p-17, 0x1.3c21c664fa97ap-17, 0x1.39b160b0cafcep-17, 0x1.373a91d02c57fp-17, 0x1.34bd91069b4ap-17, 0x1.323a88f797ab3p-17, 0x1.2fb20074aae1dp-17, 0x1.2d22e15cb467ep-17, 0x1.2a8c6bb60be51p-17, 0x1.27f550a21ce1ap-17, 0x1.2556820f9229p-17, 0x1.22b2aff497b57p-17, 0x1.2009c754a661cp-17, 0x1.1d5bc1eca5f86p-17, 0x1.1aa9ad090e29p-17, 0x1.17f2f0ad1d643p-17, 0x1.15378714ac90ap-17, 0x1.127c2e1db7863p-17, 0x1.0fb4e6e47c08bp-17, 0x1.0cedb8f221415p-17, 0x1.0a2285586423ep-17, 0x1.0753bfe4b1476p-17, 0x1.0480fcd8446fap-17, 0x1.01ab017b2b793p-17, 0x1.fda41cfd520ddp-18, 0x1.f7ec79314c8c5p-18, 0x1.f229a751e4e6fp-18, 0x1.ec69d42eb77f9p-18, 0x1.e6a041edddd97p-18, 0x1.e0d16d56a8f91p-18, 0x1.dafe1a1395f2dp-18, 0x1.d526f3cab293cp-18, 0x1.cf49b4956077ap-18, 0x1.c9685f9967cecp-18, 0x1.c383cb469e13ap-18, 0x1.bd9c64c8f1d8p-18, 0x1.b7aec0d64b894p-18, 0x1.b1bf335e32cebp-18, 0x1.abcc242d9893cp-18, 0x1.a5d910f881a9cp-18, 0x1.9fe2515883403p-18, 0x1.99ec6c59cc9dap-18, 0x1.93eba04c27cdep-18, 0x1.8decc73e446fp-18, 0x1.87ed7b881aba4p-18, 0x1.81ec93567ae9bp-18, 0x1.7beaf1951615ap-18, 0x1.75e5f6cfe3926p-18, 0x1.6fe34dc1d3042p-18, 0x1.69ddccae1dc51p-18, 0x1.63da953a938fcp-18, 0x1.5dd55b4efad2bp-18, 0x1.57cf58fcab6dfp-18, 0x1.51ca4f25bc763p-18, 0x1.4bc65c2bd3332p-18, 0x1.45c1c8cb70f57p-18, 0x1.3fbea0c8e1309p-18, 0x1.39bc76c3cc32fp-18, 0x1.33ba2dea325cp-18, 0x1.2dba666250de7p-18, 0x1.27bbe8c3c8ca2p-18, 0x1.21c1936ce93a2p-18, 0x1.1bc6a97121fe2p-18, 0x1.15cbfaf22f30fp-18, 0x1.0fd63d41a64f6p-18, 0x1.09e245ddf25edp-18, 0x1.03eb5300076a9p-18, 0x1.fc00b9773766p-19, 0x1.f02663f2e7ae5p-19, 0x1.e45501240092fp-19, 0x1.d88a16514dfa1p-19, 0x1.ccc680b504beap-19, 0x1.c10477fe8c185p-19, 0x1.b54aea2706e86p-19, 0x1.a998ebb46d8b1p-19, 0x1.9deff3a6631b9p-19, 0x1.924ee0cba5011p-19, 0x1.86b73c603f017p-19, 0x1.7b2768fb24a12p-19, 0x1.6f9f8ea740438p-19, 0x1.642094bf3cce1p-19, 0x1.58a9a3b158031p-19, 0x1.4d3e01ac2d769p-19, 0x1.41dbdf9f264b6p-19, 0x1.3682323e16f48p-19, 0x1.2b38c448922e1p-19, 0x1.1ff080919fbap-19, 0x1.14b7c68026b62p-19, 0x1.098b0cb54cf52p-19, 0x1.fcd408059f84ap-20, 0x1.e69e905a63437p-20, 0x1.d08abf9b701c8p-20, 0x1.ba8841df49546p-20, 0x1.a49ee0c67396dp-20, 0x1.8ed0ec0e5b4a8p-20, 0x1.7919d44c4ae51p-20, 0x1.63794ec3fff87p-20, 0x1.4defc602ed045p-20, 0x1.38883fba30959p-20, 0x1.2334d394c3ae8p-20, 0x1.0dfec15daa589p-20, 0x1.f1a8609d8c059p-21, 0x1.c7c1def2182e1p-21, 0x1.9dfa946cb7ecbp-21, 0x1.7456101a30bbp-21, 0x1.4b02ccb5df1f9p-21, 0x1.21dc8f3120083p-21, 0x1.f1d6eadf4c8d3p-22, 0x1.a07147c5ff62dp-22, 0x1.4f83236353516p-22, 0x1.fe1264432bap-23, 0x1.5e11b634c2433p-23, 0x1.7de9914f66a2ep-24, 0x1.05aff694c0122p-26, -0x1.f513d6e87ddf8p-25, -0x1.18de0128339bep-23, }}, 
      {{0x1.4ae68cdab11aep-2, 0x1.7acd9206bb35cp-2, 0x1.7bc2942d50c7cp-2, 0x1.509d802dff9c9p-2, 0x1.0b70355817e48p-2, 0x1.7e5c5af784a85p-3, 0x1.ea3aefbff8f3cp-4, 0x1.1bee596783caap-4, 0x1.49351f516353bp-5, 0x1.1136545d0b464p-5, 0x1.84e6c132000e6p-5, 0x1.46b0e52ade9b4p-4, 0x1.0371bfaa918c8p-3, 0x1.79dbd6c7db0efp-3, 0x1.ff2d83ccb42d8p-3, 0x1.46554c19ce2dcp-2, 0x1.8e3eefcf1a097p-2, 0x1.d4e80e1f97355p-2, 0x1.0c31f7b104e5bp-1, 0x1.2b9eb67521dacp-1, 0x1.4835b35a33cdap-1, 0x1.61a18f6df101cp-1, 0x1.77b4f5d749e0cp-1, 0x1.8a6396c0efb52p-1, 0x1.99bb91cb049ep-1, 0x1.a5df7b7a06d5dp-1, 0x1.af0114f735bc8p-1, 0x1.b55cbc70616acp-1, 0x1.b935936d86528p-1, 0x1.bad24fb449b1p-1, 0x1.ba7aa99d2133bp-1, 0x1.b87555d879e51p-1, 0x1.b5067a6a6cfa3p-1, 0x1.b06e8c85f330ep-1, 0x1.aae9873bf4133p-1, 0x1.a4ae6b7afea45p-1, 0x1.9deefbec334c1p-1, 0x1.96d7a780c1088p-1, 0x1.8f8f99c1447f4p-1, 0x1.8838e5dbe4a0ap-1, 0x1.80f0c501f6744p-1, 0x1.79cfe500e2baap-1, 0x1.72eabd5fd4a5ap-1, 0x1.6c51e6e4152b1p-1, 0x1.66127904b4e86p-1, 0x1.6036665d275f1p-1, 0x1.5ac4d2752985p-1, 0x1.55c263c75185cp-1, 0x1.5131960a475fep-1, 0x1.4d130758888fep-1, 0x1.4965bcc7554a8p-1, 0x1.46275fc5df47bp-1, 0x1.4354777adcdfap-1, 0x1.40e89fa51068ep-1, 0x1.3edeb96a780f3p-1, 0x1.3d31158f51292p-1, 0x1.3bd9987343a0ep-1, 0x1.3ad1d96a4889cp-1, 0x1.3a133f2827533p-1, 0x1.3997191e1b9fcp-1, 0x1.3956b5b9ba88bp-1, 0x1.394b74a93ed37p-1, 0x1.396ed6730b74bp-1, 0x1.39ba8845d383bp-1, 0x1.3a286e1d8c647p-1, 0x1.3ab2aaaa955f7p-1, 0x1.3b53a5dadeeb7p-1, 0x1.3c0611e736bd4p-1, 0x1.3cc4eefb3ffe6p-1, 0x1.3d8b8d91922fcp-1, 0x1.3e558f9fccf66p-1, 0x1.3f1ee8cc4248fp-1, 0x1.3fe3ddbc8f8c5p-1, 0x1.40a102b04fe28p-1, 0x1.415339ccc5ecp-1, 0x1.41f7b0b4e1249p-1, 0x1.428bddd6fc836p-1, 0x1.430d7de6dc7fbp-1, 0x1.437a907ac96b1p-1, 0x1.43d15513e4dcdp-1, 0x1.441047c5ce789p-1, 0x1.44361db58e414p-1, 0x1.4441c1ff5b91cp-1, 0x1.443251ff0dabep-1, 0x1.44071a3823b6fp-1, 0x1.43bf92ee85138p-1, 0x1.435b5cf1afee4p-1, 0x1.42da3ea12e405p-1, 0x1.423c20c4e1313p-1, 0x1.41810be461ebbp-1, 0x1.40a925407ee7cp-1, 0x1.3fb4ac97f2937p-1, 0x1.3ea3f9574f298p-1, 0x1.3d7778660f76ap-1, 0x1.3c2fa9f4877aep-1, 0x1.3acd1f4f35316p-1, 0x1.395079008e7a2p-1, 0x1.37ba64d47eaa3p-1, 0x1.360b9c386f103p-1, 0x1.3444e2856d765p-1, 0x1.3267039460a3ap-1, 0x1.3072d241bebe6p-1, 0x1.2e69271df6f4p-1, 0x1.2c4adf46ff937p-1, 0x1.2a18db311fa87p-1, 0x1.27d3fdbc4dc2ep-1, 0x1.257d2b292412p-1, 0x1.2315484de9a69p-1, 0x1.209d39c344e53p-1, 0x1.1e15e32a695f9p-1, 0x1.1b802695fde9cp-1, 0x1.18dce3ed53cfp-1, 0x1.162cf8555d64cp-1, 0x1.13713decee589p-1, 0x1.10aa8b1c88712p-1, 0x1.0dd9b27772cfep-1, 0x1.0aff8254dc325p-1, 0x1.081cc476947f7p-1, 0x1.05323df40b822p-1, 0x1.0240aee9726cep-1, 0x1.fe91a49c9e2p-2, 0x1.f896bbeb2b282p-2, 0x1.f292048a4bb86p-2, 0x1.ec84d46a834acp-2, 0x1.e67076b6332bbp-2, 0x1.e0562b7354a2bp-2, 0x1.da372781d40e3p-2, 0x1.d41494eca344ap-2, 0x1.cdef92ac6964bp-2, 0x1.c7c934b2c2ac7p-2, 0x1.c1a284357c664p-2, 0x1.bb7c7fc721b79p-2, 0x1.b5581b312b16ep-2, 0x1.af363ff70be9dp-2, 0x1.a917cd68fb584p-2, 0x1.a2fd98ae1724fp-2, 0x1.9ce86d0e38b97p-2, 0x1.96d90c4d056ebp-2, 0x1.90d02eb80877ep-2, 0x1.8ace834b4d5cep-2, 0x1.84d4b0236169dp-2, 0x1.7ee352a0f45a7p-2, 0x1.78faffb8b359ep-2, 0x1.731c43df6c6e1p-2, 0x1.6d47a3bf83839p-2, 0x1.677d9c4192afcp-2, 0x1.61bea2a74cb2p-2, 0x1.5c0b24e9e5f98p-2, 0x1.56638a114d878p-2, 0x1.50c8325b6ee92p-2, 0x1.4b39774b353a8p-2, 0x1.45b7ac2402272p-2, 0x1.40431e1857e36p-2, 0x1.3adc14769771fp-2, 0x1.3582d0c6e229dp-2, 0x1.30378f31bcf5cp-2, 0x1.2afa86a53325ep-2, 0x1.25cbe908aedc5p-2, 0x1.20abe36b1172ep-2, 0x1.1b9a9e268c01ep-2, 0x1.16983d3d1b609p-2, 0x1.11a4e06ea8d46p-2, 0x1.0cc0a3660f259p-2, 0x1.07eb9dd45baf3p-2, 0x1.0325e3c4fb7a3p-2, 0x1.fcdf0b6b5fc1fp-3, 0x1.f39121766d57p-3, 0x1.ea621d4b14c1cp-3, 0x1.e1520c58241bfp-3, 0x1.d860f6379aebdp-3, 0x1.cf8edcf73f021p-3, 0x1.c6dbbd35c1529p-3, 0x1.be478e7b6d8cdp-3, 0x1.b5d24385e2f04p-3, 0x1.ad7bca8f78d22p-3, 0x1.a5440d760eae4p-3, 0x1.9d2af201f040cp-3, 0x1.953059f2b64c5p-3, 0x1.8d542383a912p-3, 0x1.8596295852201p-3, 0x1.7df6431b6c68cp-3, 0x1.767444f318795p-3, 0x1.6f10003e898c9p-3, 0x1.67c943e756606p-3, 0x1.609fdbf50538cp-3, 0x1.599392213662ep-3, 0x1.52a42e07618p-3, 0x1.4bd174e7742ep-3, 0x1.451b2a3b81543p-3, 0x1.3e810fa03a74p-3, 0x1.3802e4f78b15dp-3, 0x1.31a0689d8e33dp-3, 0x1.2b59577ffb675p-3, 0x1.252d6d21ecb86p-3, 0x1.1f1c63d21fa57p-3, 0x1.1925f4d0e86c9p-3, 0x1.1349d84d8939ep-3, 0x1.0d87c5a15c25ep-3, 0x1.07df731ac7ccbp-3, 0x1.0250967b9d937p-3, 0x1.f9b5c9ad52ab1p-4, 0x1.eefc25337e41fp-4, 0x1.e473a77ab8b6dp-4, 0x1.da1bb7a6a058p-4, 0x1.cff3bc0e4bd42p-4, 0x1.c5fb1a6bb85acp-4, 0x1.bc3137fe53718p-4, 0x1.b29579dbbf0ccp-4, 0x1.a92744c750b9dp-4, 0x1.9fe5fd6383333p-4, 0x1.96d10855d9311p-4, 0x1.8de7ca51fc5afp-4, 0x1.8529a84f9c258p-4, 0x1.7c96078ac67cap-4, 0x1.742c4d61ec6d8p-4, 0x1.6bebe0137968ap-4, 0x1.63d42627778dcp-4, 0x1.5be48684f1a8p-4, 0x1.541c692979c05p-4, 0x1.4c7b36757424p-4, 0x1.450057bed3fdp-4, 0x1.3dab3728bdd8ap-4, 0x1.367b3fc3f6fd7p-4, 0x1.2f6fdd7c81931p-4, 0x1.28887d5a48a3bp-4, 0x1.21c48d5e8a237p-4, 0x1.1b237ca7ae7eep-4, 0x1.14a4bb75833a8p-4, 0x1.0e47bb2f7e4cdp-4, 0x1.080bee81793c4p-4, 0x1.01f0c91f8f146p-4, 0x1.f7eb8093285edp-5, 0x1.ec34947f42503p-5, 0x1.e0bbbd6eab425p-5, 0x1.d57fedbe06304p-5, 0x1.ca801a0d621e2p-5, 0x1.bfbb39f6e43d2p-5, 0x1.b53047e500395p-5, 0x1.aade41080095p-5, 0x1.a0c4256f1579cp-5, 0x1.96e0f818997ep-5, 0x1.8d33bebe2cbb3p-5, 0x1.83bb828952b2cp-5, 0x1.7a774ef2ce8c4p-5, 0x1.716632dd9b227p-5, 0x1.68873ff45fdc5p-5, 0x1.5fd98adc6a35ap-5, 0x1.575c2bb463fa3p-5, 0x1.4f0e3c64eff91p-5, 0x1.46eedb847928fp-5, 0x1.3efd29612ce1ap-5, 0x1.373849d4b7b91p-5, 0x1.2f9f63da4b31fp-5, 0x1.2831a0ee6c969p-5, 0x1.20ee2de001753p-5, 0x1.19d43ac7831f5p-5, 0x1.12e2fa23b6f7ep-5, 0x1.0c19a1ea21232p-5, 0x1.05776ab67ba0dp-5, 0x1.fdf72067b8e8ap-6, 0x1.f14aa20c2be2bp-6, 0x1.e4e7dda2bb9a1p-6, 0x1.d8cd5c39d835ap-6, 0x1.ccf9abf1655edp-6, 0x1.c16b6202f6d81p-6, 0x1.b62118144b2c7p-6, 0x1.ab196e443fcd9p-6, 0x1.a0530a13de2b9p-6, 0x1.95cc9682bc93cp-6, 0x1.8b84c46b3f594p-6, 0x1.817a49e85a1cep-6, 0x1.77abe2684519bp-6, 0x1.6e184f36381b2p-6, 0x1.64be5674513p-6, 0x1.5b9cc42a2282ap-6, 0x1.52b268eee2d02p-6, 0x1.49fe1b392d4f7p-6, 0x1.417eb63ca67c3p-6, 0x1.39331a66f04ffp-6, 0x1.311a2d1938281p-6, 0x1.2932d8ee0a8b7p-6, 0x1.217c0d767e69cp-6, 0x1.19f4be7a245acp-6, 0x1.129be53baf247p-6, 0x1.0b707fc18db45p-6, 0x1.047190abb6008p-6, 0x1.fb3c3dc3d1c4bp-7, 0x1.edea6ce73d27dp-7, 0x1.e0ebcf347c14ap-7, 0x1.d43e8e8b2dd05p-7, 0x1.c7e0dd0a6c8abp-7, 0x1.bbd0f6271c5p-7, 0x1.b00d1daf0c038p-7, 0x1.a4939f95fc313p-7, 0x1.9962d0deed3abp-7, 0x1.8e790e2decb19p-7, 0x1.83d4bcb3d02adp-7, 0x1.7974497a717eap-7, 0x1.6f56295035b84p-7, 0x1.6578d9241fcc7p-7, 0x1.5bdadd35f7faap-7, 0x1.527ac1a4031bfp-7, 0x1.4957192a5aaefp-7, 0x1.406e7fb24a487p-7, 0x1.37bf959e9f68ap-7, 0x1.2f4904a59680fp-7, 0x1.27097d63c4369p-7, 0x1.1effb5bb7963ep-7, 0x1.172a6c90eee2p-7, 0x1.0f8865412e8d1p-7, 0x1.08186b21206cap-7, 0x1.00d94fdd5acb1p-7, 0x1.f393d3c3651dfp-8, 0x1.e5d22fd6cc817p-8, 0x1.d86b79fbab21ap-8, 0x1.cb5d8792a4bd1p-8, 0x1.bea6380994d73p-8, 0x1.b24376bd1ce11p-8, 0x1.a6333ae352fc7p-8, 0x1.9a7386f64a46dp-8, 0x1.8f0268a488c33p-8, 0x1.83ddf7896a394p-8, 0x1.790455bf481d2p-8, 0x1.6e73b16914895p-8, 0x1.642a3fdd51809p-8, 0x1.5a2641ae6340fp-8, 0x1.506602e5ae53ep-8, 0x1.46e7d7577972p-8, 0x1.3daa1e4c658cbp-8, 0x1.34ab3fa51334ap-8, 0x1.2be9abc7e776ap-8, 0x1.2363df6dc8c53p-8, 0x1.1b185c35f593p-8, 0x1.1305addda60ddp-8, 0x1.0b2a67fefebaep-8, 0x1.03852618623f1p-8, 0x1.f829162462956p-9, 0x1.e9ae87f5a1fc3p-9, 0x1.db9803a2e547dp-9, 0x1.cde300f53b78ap-9, 0x1.c08d0954efa04p-9, 0x1.b393b1fbf9c96p-9, 0x1.a6f4a01a13b1p-9, 0x1.9aad880427c8cp-9, 0x1.8ebc2afc2c572p-9, 0x1.831e573d7eae8p-9, 0x1.77d1ea57c0783p-9, 0x1.6cd4c75a73b03p-9, 0x1.6224e26e732e3p-9, 0x1.57c03856c3128p-9, 0x1.4da4d5dfe2d8ap-9, 0x1.43d0cd020d96fp-9, 0x1.3a4243c38534p-9, 0x1.30f76a0f25ab8p-9, 0x1.27ee7d72dcfccp-9, 0x1.1f25c58ad3e0cp-9, 0x1.169b9860b09f4p-9, 0x1.0e4e57380f6e1p-9, 0x1.063c67568f732p-9, 0x1.fcc87b2d9af31p-10, 0x1.ed88a4f8a9646p-10, 0x1.deb64b16e2825p-10, 0x1.d04e81864aedap-10, 0x1.c24e6692bcc4cp-10, 0x1.b4b32c9a6466fp-10, 0x1.a77a19b0b60acp-10, 0x1.9aa08b95742e7p-10, 0x1.8e23f0710533ep-10, 0x1.8201df605ee9bp-10, 0x1.7637f1081920fp-10, 0x1.6ac3d372ec53p-10, 0x1.5fa34df2e8bb9p-10, 0x1.54d4211a22c42p-10, 0x1.4a5427c937d32p-10, 0x1.402131670793bp-10, 0x1.36391ae56ff72p-10, 0x1.2c99d1318e506p-10, 0x1.2341400787cbbp-10, 0x1.1a2d6a50f1073p-10, 0x1.115c66c9ddd2ep-10, 0x1.08cc6167b75cap-10, 0x1.007b9b358671bp-10, 0x1.f0d0d92d5bb34p-11, 0x1.e12268ad05dbcp-11, 0x1.d1e8d8e94928dp-11, 0x1.c320f439821bcp-11, 0x1.b4c7bae481b32p-11, 0x1.a6da10c0759fbp-11, 0x1.9954e91574b39p-11, 0x1.8c353988d852ep-11, 0x1.7f77ffe599a1cp-11, 0x1.731a6dd93f741p-11, 0x1.6719bd73561fcp-11, 0x1.5b7357535a347p-11, 0x1.5024c4a340d26p-11, 0x1.452bae173e16cp-11, 0x1.3a85d13b475f1p-11, 0x1.3030f62846371p-11, 0x1.262af313a66a6p-11, 0x1.1c718db7a42eep-11, 0x1.130295562c0d1p-11, 0x1.09dbe183253a7p-11, 0x1.00fb5bff11779p-11, 0x1.f0bdd16aa5c1fp-12, 0x1.e009202d0955ap-12, 0x1.cfd4e47ea4558p-12, 0x1.c01d887da0fc9p-12, 0x1.b0dfb2baada49p-12, 0x1.a21811db67636p-12, 0x1.93c381b5d2943p-12, 0x1.85ded7df49a69p-12, 0x1.7866e48ee6e58p-12, 0x1.6b586c2e512dp-12, 0x1.5eb0362a4d2dfp-12, 0x1.526b20baf7329p-12, 0x1.468609a4f257bp-12, 0x1.3afe105a68d46p-12, 0x1.2fd09a061f2adp-12, 0x1.24fb1a83e1872p-12, 0x1.1a7b3fb5d3b51p-12, 0x1.104ece6dd625cp-12, 0x1.06739fdfcdf9ap-12, 0x1.f9cf1e9af106fp-13, 0x1.e750fa671db96p-13, 0x1.d568827bf4957p-13, 0x1.c4111b72483d2p-13, 0x1.b346a97d78312p-13, 0x1.a3044824c1548p-13, 0x1.9345859161938p-13, 0x1.8405f25af81a2p-13, 0x1.75418c50a51dep-13, 0x1.66f4684e01a79p-13, 0x1.591b04dd433bcp-13, 0x1.4bb29d08bd007p-13, 0x1.3eb8117fc80f9p-13, 0x1.3228ddce9371dp-13, 0x1.26021e67586f7p-13, 0x1.1a412a9c6fcccp-13, 0x1.0ee3028af11ebp-13, 0x1.03e4b6e55dc0ep-13, 0x1.f286ce316b51p-14, 0x1.ddf8b68b8aae6p-14, 0x1.ca19ab7a29c52p-14, 0x1.b6e456ec2c64p-14, 0x1.a453801412d91p-14, 0x1.9261ce2b967a2p-14, 0x1.8109e77f9a17fp-14, 0x1.704692dcbebccp-14, 0x1.6012e7a24f27dp-14, 0x1.506a6b26aa40bp-14, 0x1.414936b748c4fp-14, 0x1.32ab8cd92024p-14, 0x1.248e408e7ee1ap-14, 0x1.16edb8ac9c9f2p-14, 0x1.09c689a5bc26ap-14, 0x1.fa2a17e2421bfp-15, 0x1.e1ab438a8ee01p-15, 0x1.ca09ff6b3c72ep-15, 0x1.b34106fcb42e7p-15, 0x1.9d4a26bbed95ep-15, 0x1.88201e0b607d1p-15, 0x1.73bdd8f40a375p-15, 0x1.601cd51372019p-15, 0x1.4d34b40040641p-15, 0x1.3afe95228e0e8p-15, 0x1.2972e67ed64ebp-15, 0x1.188ae062c0322p-15, 0x1.0841b9b2c1392p-15, 0x1.f125f4bd0571ap-16, 0x1.d2f4043243dfap-16, 0x1.b5e96ac38d9f1p-16, 0x1.99fc66ad3ceb2p-16, 0x1.7f256cd32e1a9p-16, 0x1.655ce949bd351p-16, 0x1.4c9b96f3d4848p-16, 0x1.34dadfcb2a10bp-16, 0x1.1e143d2871d71p-16, 0x1.08409440392d5p-16, 0x1.e6af5f31ec6d7p-17, 0x1.bea320f4db9a7p-17, 0x1.98444851ec9fep-17, 0x1.7386b1b9b3269p-17, 0x1.505984c0e0f4dp-17, 0x1.2eb046eef7e04p-17, 0x1.0e7dd684e4615p-17, 0x1.df6cf7ec8d577p-18, 0x1.a49c1efc168e7p-18, 0x1.6c71a208948c8p-18, 0x1.36d8f39bdbab4p-18, 0x1.03c2df4d17501p-18, 0x1.a646562f2320ap-19, 0x1.49d97dc19c3bp-19, 0x1.e43d5608206cdp-20, 0x1.3dd9680e5c0a2p-20, 0x1.40522f4dd711p-21, 0x1.58d8cc4cca3dep-25, -0x1.055345f126513p-21, -0x1.08712d954732bp-20, -0x1.86e6f091b68c3p-20, -0x1.fe3e615624a99p-20, -0x1.3750ba68391a3p-19, -0x1.6c2136f027341p-19, -0x1.9db0b5f9572e1p-19, -0x1.cc11b0997c0bfp-19, -0x1.f75ef420d30e3p-19, -0x1.0fe274a50f944p-18, -0x1.22a534fea6e3dp-18, -0x1.34044c72d1b7p-18, -0x1.440b698967759p-18, -0x1.52c9f882873b7p-18, -0x1.604ba9073ec0ap-18, -0x1.6c989a0ed1db9p-18, -0x1.77ba1531ed02dp-18, -0x1.81bf74d19fd5cp-18, -0x1.8abb955b8f585p-18, -0x1.92b937a685e0ep-18, -0x1.99c1d4687c039p-18, -0x1.9fda6223ccd4ap-18, -0x1.a505545ddb699p-18, -0x1.a950642882909p-18, -0x1.acbd1bb7345cep-18, -0x1.af5c24da11fdp-18, -0x1.b1378c30f1ff6p-18, -0x1.b24d62b1b4255p-18, -0x1.b2a798f7b666bp-18, -0x1.b2498632c1fafp-18, -0x1.b13a1773ffa3ep-18, -0x1.af80a2ec9edffp-18, -0x1.ad266b0b66708p-18, -0x1.aa352822a74ap-18, -0x1.a6b5eee3e22c4p-18, -0x1.a2b118bf773e3p-18, -0x1.9e273c351dd23p-18, -0x1.99218dba076b5p-18, -0x1.93a3f9b5b2ff3p-18, -0x1.8db6f4b90fafp-18, -0x1.875f2946949cep-18, -0x1.809ebb7f1a49cp-18, -0x1.797863b0faa14p-18, -0x1.71f12c3236996p-18, -0x1.6a0c6b1a1645fp-18, -0x1.61d5f7974673fp-18, -0x1.594b15f8f97f3p-18, -0x1.5071dc04565eap-18, -0x1.474eb73c3769ep-18, -0x1.3de6e78ecf308p-18, -0x1.343e11fb8aa51p-18, -0x1.2a5826ac98602p-18, -0x1.20369b14768b8p-18, -0x1.15db63090d2a4p-18, -0x1.0b4eed541e144p-18, -0x1.008bf642aaf29p-18, -0x1.eb3c2d468d43ap-19, -0x1.d51393f6272c8p-19, -0x1.bea5ae953c45bp-19, -0x1.a7f5ab33c97c3p-19, -0x1.9105fd67b481bp-19, -0x1.79dcf121ac042p-19, -0x1.6275f88464e0ep-19, -0x1.4ae35d539845p-19, -0x1.33273aee270e8p-19, -0x1.1b3ab45938affp-19, -0x1.032bf9d40f531p-19, -0x1.d5ff14f6f1dbcp-20, -0x1.a576a9d9cc34ap-20, -0x1.74c8858a132c8p-20, -0x1.43fcb9293d07cp-20, -0x1.131cf1d7dd695p-20, -0x1.c450c302dd911p-21, -0x1.6258b6fbcc7acp-21, -0x1.004a08d45ae69p-21, -0x1.3c9703849ea68p-22, -0x1.e2065f26e9b2ap-24, 0x1.2d7ef2c159415p-24, 0x1.0eefd0da684a1p-22, 0x1.d1ff452ae482dp-22, 0x1.4a323301b4407p-21, 0x1.ab08f1bc049dfp-21, 0x1.05c31b7060d99p-20, 0x1.35d19cca378e7p-20, 0x1.65abd7851e0b1p-20, 0x1.95434f6cc0362p-20, 0x1.c49c0d332f1e9p-20, 0x1.f3b8985f98dbp-20, 0x1.1143e44f23d31p-19, 0x1.2883c861cd84ap-19, 0x1.3f98c05897234p-19, 0x1.5682233b51558p-19, 0x1.6d3f1ba8431cfp-19, 0x1.83ccfe8fbeac8p-19, 0x1.9a29239d98dd6p-19, 0x1.b0556fcca43b8p-19, 0x1.c64f3b9de7c6ep-19, 0x1.dc142f3d47a8bp-19, 0x1.f1a447d2b72a4p-19, 0x1.037e500c473efp-18, 0x1.0e132acd96fcp-18, 0x1.18833fc80c52cp-18, 0x1.22d8b46de1a3ap-18, 0x1.2d10612eb9c4dp-18, 0x1.37294167e50a8p-18, 0x1.412347c117809p-18, 0x1.4afdd5db527f8p-18, 0x1.54b8da452b91cp-18, 0x1.5e535c626ea52p-18, 0x1.67cc97be3aa42p-18, 0x1.712412676b736p-18, 0x1.7a5a615f3cca2p-18, 0x1.83709566dbp-18, 0x1.8c62a8039135cp-18, 0x1.95319e585047p-18, 0x1.9dde152f165adp-18, 0x1.a66b5434a9a21p-18, 0x1.aed1e4db07a4bp-18, 0x1.b712e55cc2142p-18, 0x1.bf33761fbee37p-18, 0x1.c7301e40cbb7cp-18, 0x1.cf08c8e262cf6p-18, 0x1.d6bf31c99073dp-18, 0x1.de51973f53788p-18, 0x1.e5be7083ce76p-18, 0x1.ed07208a2ffbbp-18, 0x1.f42cbe56dada8p-18, 0x1.fb2bd674edff3p-18, 0x1.010393e4482f6p-17, 0x1.045f4ff3bf461p-17, 0x1.07a9e7b6e916dp-17, 0x1.0ae0b39a38366p-17, 0x1.0e06751d6eaa9p-17, 0x1.111960d202004p-17, 0x1.141951801f08p-17, 0x1.1708fd66bbab7p-17, 0x1.19e5e83afa348p-17, 0x1.1caf6633ec77ep-17, 0x1.1f68a7b3e7bbbp-17, 0x1.220f31cb5e713p-17, 0x1.24a3db89b91bcp-17, 0x1.2726ab4d8ac7cp-17, 0x1.29979cd666af7p-17, 0x1.2bf7027a0cc54p-17, 0x1.2e44ca8d32ab6p-17, 0x1.3080fb9eec655p-17, 0x1.32abc25b8456bp-17, 0x1.34c52077f0da1p-17, 0x1.36cc97563e6a1p-17, 0x1.38c429830f662p-17, 0x1.3aa997f40608ap-17, 0x1.3c7c7e258f026p-17, 0x1.3e4253086f73p-17, 0x1.3ff55a3b25084p-17, 0x1.419766ace3617p-17, 0x1.43288ad5bc7d4p-17, 0x1.44a9224c811d8p-17, 0x1.461a69c267ba6p-17, 0x1.477addebad46ap-17, 0x1.48cae0e1534ccp-17, 0x1.4a0abf20c4b1bp-17, 0x1.4b3c17f5dd9c9p-17, 0x1.4c5c84cdb0c5ep-17, 0x1.4d6da676bff51p-17, 0x1.4e6e1c25b971ap-17, 0x1.4f6159e8e4d5p-17, 0x1.504426e4a30f2p-17, 0x1.511823518be2ap-17, 0x1.51dd349eea5fep-17, 0x1.529349f53ee3cp-17, 0x1.533ab18398f98p-17, 0x1.53d31ae2040a6p-17, 0x1.545ecd7d4538ep-17, 0x1.54db95734bf96p-17, 0x1.5548f200c7a9ep-17, 0x1.55aa8031316b9p-17, 0x1.55fcd054c5ce4p-17, 0x1.5642012f72115p-17, 0x1.56794ad2cf45cp-17, 0x1.56a421c389d5cp-17, 0x1.56c1243a21798p-17, 0x1.56d14c6957f1dp-17, 0x1.56d48e4d2dc5p-17, 0x1.56cb4a9de75adp-17, 0x1.56b563a10c716p-17, 0x1.569315cfe7f0cp-17, 0x1.56647590cf894p-17, 0x1.562a4b858c77fp-17, 0x1.55e3f17853203p-17, 0x1.5591bf87afa5dp-17, 0x1.5534012eb8a17p-17, 0x1.54ca976c395ccp-17, 0x1.54560e6634a05p-17, 0x1.53d794b56c155p-17, 0x1.534d39b9d8fadp-17, 0x1.52b6a5dbf986dp-17, 0x1.521728d3484b2p-17, 0x1.516bf81044aa9p-17, 0x1.50b7360bc8c7p-17, 0x1.4ff8d12581562p-17, 0x1.4f30f3ee1cb4ap-17, 0x1.4e5dce8618772p-17, 0x1.4d812da3554acp-17, 0x1.4c9bbd334a495p-17, 0x1.4bac8a4a6ac25p-17, 0x1.4ab3d9bf29d38p-17, 0x1.49b2233a2bad5p-17, 0x1.48a7b2e6345bcp-17, 0x1.4794a7d9cb60ap-17, 0x1.46790123daaf4p-17, 0x1.4554ea8ccd4aap-17, 0x1.44285c76302bcp-17, 0x1.42f3c2b2f19ebp-17, 0x1.41b77c2970755p-17, 0x1.4073529365ea2p-17, 0x1.3f273f872b798p-17, 0x1.3dd3a223e1132p-17, 0x1.3c78eb6c577c4p-17, 0x1.3b1751ac2072ep-17, 0x1.39af04cabaa75p-17, 0x1.383e99c617fdp-17, 0x1.36c61dffbd289p-17, 0x1.354918637f1d5p-17, 0x1.33c53b5d7015bp-17, 0x1.323a2d092ee06p-17, 0x1.30a99c0cc648p-17, 0x1.2f13046ff155bp-17, 0x1.2d7643d100ba1p-17, 0x1.2bd35e073a3ep-17, 0x1.2a2c0727e3da1p-17, 0x1.287f24df17eadp-17, 0x1.26cb12007bb53p-17, 0x1.2512a801e8c21p-17, 0x1.23557c4b1a3e6p-17, 0x1.21933b645ed7fp-17, 0x1.1fcc1ce3a6dfdp-17, 0x1.1e006a381cac7p-17, 0x1.1c300e3b61675p-17, 0x1.1a5b148066c04p-17, 0x1.1881f8caea1edp-17, 0x1.16a4acdf3d6a7p-17, 0x1.14c2bdc7192p-17, 0x1.12dd5b3e52633p-17, 0x1.10f414da463ap-17, 0x1.0f0707f8eeeb2p-17, 0x1.0d16a7a7e55eep-17, 0x1.0b22826ce7075p-17, 0x1.092b169fb8928p-17, 0x1.07306a3b5a198p-17, 0x1.0532adcdb7129p-17, 0x1.033201b3f04a1p-17, 0x1.012e45b0f9c9bp-17, 0x1.fe50bbffe7aefp-18, 0x1.fa3daa18478e2p-18, 0x1.f626053aa9c77p-18, 0x1.f209fcc0ff229p-18, 0x1.edea51dec931dp-18, 0x1.e9c4ea6a2d64cp-18, 0x1.e59b4d800b5f1p-18, 0x1.e16ce4a3569fep-18, 0x1.dd3cb89705a8fp-18, 0x1.d9075c78f5511p-18, 0x1.d4cddaf7f3c32p-18, 0x1.d09437787b58p-18, 0x1.cc556bf5dc0c8p-18, 0x1.c812d740dee9ep-18, 0x1.c3cc95ef15ed7p-18, 0x1.bf88d0a7a508dp-18, 0x1.bb3fefe8a1714p-18, 0x1.b6f457c0484b4p-18, 0x1.b2a8252d12a13p-18, 0x1.ae57fe164b191p-18, 0x1.aa080c325127dp-18, 0x1.a5b70f367d26cp-18, 0x1.a163d81e541e7p-18, 0x1.9d134244d4183p-18, 0x1.98bc804aab241p-18, 0x1.94659f2a75b67p-18, 0x1.900edddb4440fp-18, 0x1.8bbcf12f0d569p-18, 0x1.87636026d5701p-18, 0x1.830cd5ed0dcap-18, 0x1.7eb634bfc9662p-18, 0x1.7a5f575bd9452p-18, 0x1.760a647acbee8p-18, 0x1.71b3f0ddd0268p-18, 0x1.6d5e697990c2p-18, 0x1.690ce6559fd42p-18, 0x1.64b89215ef2c1p-18, 0x1.6066962ba063bp-18, 0x1.5c1633eaa02dp-18, 0x1.57c6d1c94701fp-18, 0x1.5378e49333d2ep-18, 0x1.4f2c6b046eed6p-18, 0x1.4ae16fc044755p-18, 0x1.4698d25be3ea2p-18, 0x1.424fbead6ad81p-18, 0x1.3e0d91a538d63p-18, 0x1.39cb57e8d62e9p-18, 0x1.358b79976ac51p-18, 0x1.314d94efef17cp-18, 0x1.2d11a63fcb7adp-18, 0x1.28d9d5d039e72p-18, 0x1.24a418491b388p-18, 0x1.2070eb055707ap-18, 0x1.1c4409460e00bp-18, 0x1.18149e36057c5p-18, 0x1.13eb5c48cddddp-18, 0x1.0fc5469e73408p-18, 0x1.0ba26c67b0371p-18, 0x1.0782a7aba1693p-18, 0x1.0366c564fe0a5p-18, 0x1.fe9c63601bba2p-19, 0x1.f673a7e4d2ae8p-19, 0x1.ee52f2ddb8e3dp-19, 0x1.e638fca8bf962p-19, 0x1.de274088ac46ap-19, 0x1.d61cd418467c8p-19, 0x1.ce1c4c5b1ee8ap-19, 0x1.c624520860b1p-19, 0x1.be32dff2ac359p-19, 0x1.b64b5c9b67e26p-19, 0x1.ae6c629cff9c4p-19, 0x1.a694813f909cap-19, 0x1.9ec8c9f014fb2p-19, 0x1.97053e1a4c5bbp-19, 0x1.8f49fe9883441p-19, 0x1.879dfa0a2305ap-19, 0x1.7ff60f6cde4bp-19, 0x1.785cbf403185ap-19, 0x1.70c3bc08f1fa1p-19, 0x1.693f370e7e79cp-19, 0x1.61bb1713649a2p-19, 0x1.5a46084eab0ccp-19, 0x1.52db92209bf78p-19, 0x1.4b7aae361a773p-19, 0x1.44256bfdb838dp-19, 0x1.3cda4f7d1e132p-19, 0x1.359adc2df581dp-19, 0x1.2e66360105d12p-19, 0x1.27379e92f9967p-19, 0x1.20176e17708b1p-19, 0x1.19028c40416dbp-19, 0x1.11f79ab72f11p-19, 0x1.0af82a13dfbb5p-19, 0x1.040692d72c24cp-19, 0x1.fa35d17a26425p-20, 0x1.ec7e480781b25p-20, 0x1.dedbe8ae5dae8p-20, 0x1.d151a7bcb1fcp-20, 0x1.c3dbd20886238p-20, 0x1.b67c2b9b0893bp-20, 0x1.a9365d23641e8p-20, 0x1.9c06f947cbe74p-20, 0x1.8eee92699a74ep-20, 0x1.81ec84aa614d5p-20, 0x1.75015a5f81c0cp-20, 0x1.6831386ea75b2p-20, 0x1.5b7b653625f24p-20, 0x1.4ed993fcca2adp-20, 0x1.424f65328b24bp-20, 0x1.35da920fe1953p-20, 0x1.29818a89d81a1p-20, 0x1.1d3f749681ebep-20, 0x1.1117b19c5719fp-20, 0x1.0508e7f34be1fp-20, 0x1.f215b4ee9772bp-21, 0x1.da5e5141c12ecp-21, 0x1.c2c655333a638p-21, 0x1.ab67ac1a74f2fp-21, 0x1.9438bd085618ap-21, 0x1.7d37bf765a241p-21, 0x1.6667764ef8cf6p-21, 0x1.4fd6d0f83e7dfp-21, 0x1.39668d90127fap-21, 0x1.2320ec9b2dc87p-21, 0x1.0d1c6a3d0c7cbp-21, 0x1.ee8fc9716138dp-22, 0x1.c3421ac1b5976p-22, 0x1.9847edb86f6d6p-22, 0x1.6dc7828e7e8e9p-22, 0x1.4397661d38611p-22, 0x1.19ce8a26ded08p-22, 0x1.e0e0a988ae68p-23, 0x1.8ed1cf751cb72p-23, 0x1.3d74eb78fd105p-23, 0x1.d9f8f29a6547ap-24, 0x1.3a543665455fdp-24, 0x1.38a4f3745a4ap-25, -0x1.5bfe03f43261ap-34, -0x1.35e0431e8fa54p-25, -0x1.342290962c458p-24, -0x1.cc93263bc4759p-24, -0x1.316c7552f6402p-23, -0x1.7be017ccc7478p-23, -0x1.c5a0347f33275p-23, -0x1.074df244921d9p-22, -0x1.2b6acbd5a6a8p-22, -0x1.4f28b8b369eb1p-22, -0x1.72874e85e8ba3p-22, -0x1.958a983631f62p-22, -0x1.b83153298b031p-22, -0x1.da730f3e92d0cp-22, -0x1.fc736fc2b08e8p-22, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.efdbfdce0c9dp-2, -0x1.eff7f193a41efp-2, -0x1.f0259b880f26bp-2, -0x1.f0645e0901642p-2, -0x1.f0b442e0c8b1dp-2, -0x1.f116332d1744bp-2, -0x1.f18bf3cf2b32dp-2, -0x1.f217f784e79efp-2, -0x1.f2bd18dbe8e0fp-2, -0x1.f37e4af9dd338p-2, -0x1.f45e4c0ba63adp-2, -0x1.f55f60667f95fp-2, -0x1.f6831a61528cp-2, -0x1.f7ca30a8fac62p-2, -0x1.f9346335323d8p-2, -0x1.fac06deee0545p-2, -0x1.fc6c076e8500dp-2, -0x1.fe33e9e157d5ap-2, -0x1.0009f203b470dp-1, -0x1.010378252894p-1, -0x1.0203a80a05eb6p-1, -0x1.030754e28476fp-1, -0x1.040b13f36f81ep-1, -0x1.050b4c3c2b2ddp-1, -0x1.060445b5e5ec6p-1, -0x1.06f237d3f55a3p-1, -0x1.07d157057be71p-1, -0x1.089de10d16fefp-1, -0x1.095428147d814p-1, -0x1.09f09c6fdbeadp-1, -0x1.0a6fd50fb9733p-1, -0x1.0ace96a8a4fe5p-1, -0x1.0b09d99e2abfap-1, -0x1.0b1ecec30c3bap-1, -0x1.0b0ae303a2dbdp-1, -0x1.0acbc2112a564p-1, -0x1.0a5f582571e59p-1, -0x1.09c3d2f6a2961p-1, -0x1.08f7a1f246f5dp-1, -0x1.07f975d5f696ep-1, -0x1.06c83fbadf9e4p-1, -0x1.05632fa823ccdp-1, -0x1.03c9b2be89b56p-1, -0x1.01fb710e9832ep-1, -0x1.fff096515d75dp-2, -0x1.fb80aeea78543p-2, -0x1.f6a7bec3a5e4ep-2, -0x1.f166b8dcfcb79p-2, -0x1.ebbeea4aecd01p-2, -0x1.e5b1f40c5526bp-2, -0x1.df41c4d6eb4cbp-2, -0x1.d87092e7a20cfp-2, -0x1.d140d5e2de40ap-2, -0x1.c9b540ce85d22p-2, -0x1.c1d0bc2e7c6f4p-2, -0x1.b996604aaffc9p-2, -0x1.b1096fa48d00ep-2, -0x1.a82d51a0a302dp-2, -0x1.9f058d6828abp-2, -0x1.9595c5053c60dp-2, -0x1.8be1b0bbdf1ecp-2, -0x1.81ed1aa0fc23fp-2, -0x1.77bbda70394e5p-2, -0x1.6d51d1a0aa822p-2, -0x1.62b2e7b829397p-2, -0x1.57e306dc8b336p-2, -0x1.4ce618a1ba7eep-2, -0x1.41c0031348709p-2, -0x1.3674a5f7f1e29p-2, -0x1.2b07d84d47d53p-2, -0x1.1f7d65f98be57p-2, -0x1.13d90db1b227dp-2, -0x1.081e7f1160725p-2, -0x1.f8a2b1c55dcd7p-3, -0x1.e0ea4f26da394p-3, -0x1.c91ac7ab345d2p-3, -0x1.b13ae2d19c683p-3, -0x1.99513c149165bp-3, -0x1.81644112d4f65p-3, -0x1.697a2ffcc2c6dp-3, -0x1.51991641c589fp-3, -0x1.39c6cf79a419cp-3, -0x1.22090485afaeep-3, -0x1.0a652ae5c45c8p-3, -0x1.e5c1087add444p-4, -0x1.b7003c0afaea9p-4, -0x1.8891a2cd2c55ap-4, -0x1.5a7e8672e6b66p-4, -0x1.2ccfc8534946ap-4, -0x1.ff1bc3df5b558p-5, -0x1.a581cb632c375p-5, -0x1.4ce0ffb94ad8ep-5, -0x1.ea8fdebe47d7ap-6, -0x1.3d88c2bd73087p-6, -0x1.258d60c2a436ep-7, 0x1.59dd63cfa65bp-10, 0x1.771b96352b4a4p-7, 0x1.5ef39d2089d65p-6, 0x1.ffbb289e35c9bp-6, 0x1.4ee8d7ba83a6p-5, 0x1.9c92e88094a8cp-5, 0x1.e8d3c0e4dfd93p-5, 0x1.19d200c0a441fp-4, 0x1.3e7e767a117c5p-4, 0x1.626c31bfdeda3p-4, 0x1.85986f4f93fb7p-4, 0x1.a800b649e0c16p-4, 0x1.c9a2d5f75cfcp-4, 0x1.ea7ce38ca8e16p-4, 0x1.05469bf7add9ap-3, 0x1.14e936be69549p-3, 0x1.2425aeea0418cp-3, 0x1.32fb8fd1b3c69p-3, 0x1.416a823dba921p-3, 0x1.4f724b538cb55p-3, 0x1.5d12cb852467ap-3, 0x1.6a4bfd83c814p-3, 0x1.771df5368f55ep-3, 0x1.8388deb4eb581p-3, 0x1.8f8cfd455868bp-3, 0x1.9b2aaa6073b13p-3, 0x1.a66254b8967fp-3, 0x1.b1347f461dd13p-3, 0x1.bba1c05876cbbp-3, 0x1.c5aac0ac0edap-3, 0x1.cf503a852a243p-3, 0x1.d892f8cfcb70ap-3, 0x1.e173d6449af9p-3, 0x1.e9f3bc92e8598p-3, 0x1.f213a38fc95b2p-3, 0x1.f9d4906a4f71cp-3, 0x1.009bca7271711p-2, 0x1.041ee749d7395p-2, 0x1.0774331017104p-2, 0x1.0a9c4748e3ab8p-2, 0x1.0d97c24db553ep-2, 0x1.106746f71e311p-2, 0x1.130b7c4897e6ep-2, 0x1.15850d1ec7e04p-2, 0x1.17d4a7e031ed5p-2, 0x1.19fafe3057017p-2, 0x1.1bf8c4a5318d7p-2, 0x1.1dceb27f0fe71p-2, 0x1.1f7d8162c22eep-2, 0x1.2105ed160fd5bp-2, 0x1.2268b33e721cfp-2, 0x1.23a6932207421p-2, 0x1.24c04d6aba5f2p-2, 0x1.25b6a3eb909d2p-2, 0x1.268a596817502p-2, 0x1.273c315de8719p-2, 0x1.27ccefd03d1afp-2, 0x1.283d591583044p-2, 0x1.288e31a6ed1a7p-2, 0x1.28c03df1f5f15p-2, 0x1.28d4422bc6e06p-2, 0x1.28cb022680b51p-2, 0x1.28a541285544cp-2, 0x1.2863c1c46ecacp-2, 0x1.280745b5953bap-2, 0x1.27908dba8d9a5p-2, 0x1.270059742459ap-2, 0x1.26576744dd83ep-2, 0x1.259674323e575p-2, 0x1.24be3bc7a78cap-2, 0x1.23cf77fab6998p-2, 0x1.22cae11126e68p-2, 0x1.21b12d8821603p-2, 0x1.208311fcfc97p-2, 0x1.1f4141175af44p-2, 0x1.1dec6b749ffbdp-2, 0x1.1c853f94b7c35p-2, 0x1.1b0c69c81e969p-2, 0x1.1982941f293adp-2, 0x1.17e8665a7edb3p-2, 0x1.163e85dcb9a0fp-2, 0x1.1485959d302ap-2, 0x1.12be361bcfacfp-2, 0x1.10e905560a4fcp-2, 0x1.0f069ebccb2dap-2, 0x1.0d179b2b6a53fp-2, 0x1.0b1c90df94d6fp-2, 0x1.091613722578fp-2, 0x1.0704b3d0e0b2ap-2, 0x1.04e900391097bp-2, 0x1.02c38432f6eadp-2, 0x1.0094c88e09f18p-2, 0x1.fcbaa6bbfb94dp-3, 0x1.f83b4ff10c157p-3, 0x1.f3ac8de7a3abdp-3, 0x1.ef0f5c4b77ad2p-3, 0x1.ea64b1473ac49p-3, 0x1.e5ad7d858a71fp-3, 0x1.e0eaac331cb59p-3, 0x1.dc1d230208176p-3, 0x1.d745c22e32592p-3, 0x1.d2656482c8cccp-3, 0x1.cd7cdf60bde95p-3, 0x1.c88d02c63b684p-3, 0x1.c3969956fd7afp-3, 0x1.be9a68658f2eap-3, 0x1.b9992ffd54a4p-3, 0x1.b493aaed5f96fp-3, 0x1.af8a8ed40569p-3, 0x1.aa7e8c2b1a8a7p-3, 0x1.a5704e54e0727p-3, 0x1.a0607ba98bc36p-3, 0x1.9b4fb585629b6p-3, 0x1.963e98575d13cp-3, 0x1.912dbbb04d358p-3, 0x1.8c1db2527ccccp-3, 0x1.870f0a41b92edp-3, 0x1.82024cd3c5eb4p-3, 0x1.7cf7fec1303ddp-3, 0x1.77f0a036744ecp-3, 0x1.72ecace576031p-3, 0x1.6dec9c173f49cp-3, 0x1.68f0e0bdfb1aep-3, 0x1.63f9e987318d8p-3, 0x1.5f0820ee2d457p-3, 0x1.5a1bed4e95a7bp-3, 0x1.5535b0f728b95p-3, 0x1.5055ca3c982d5p-3, 0x1.4b7c938c7ff57p-3, 0x1.46aa63806f4aep-3, 0x1.41df8cf106d3ap-3, 0x1.3d1c5f091c0f6p-3, 0x1.38612558e20adp-3, 0x1.33ae27e9175a3p-3, 0x1.2f03ab4e2d0adp-3, 0x1.2a61f0bb64c85p-3, 0x1.25c93615e7f88p-3, 0x1.2139b607c8da2p-3, 0x1.1cb3a812f4af1p-3, 0x1.183740a40c649p-3, 0x1.13c4b125249a9p-3, 0x1.0f5c281067c27p-3, 0x1.0afdd10295f04p-3, 0x1.06a9d4cd625dap-3, 0x1.02605989af802p-3, 0x1.fc43055331f7bp-4, 0x1.f3dae214b690fp-4, 0x1.eb88860c10a36p-4, 0x1.e34c290a2ac79p-4, 0x1.db25fe1f51c3cp-4, 0x1.d31633bd90a4p-4, 0x1.cb1cf3da7c901p-4, 0x1.c33a6410b8818p-4, 0x1.bb6ea5c0e6f4dp-4, 0x1.b3b9d63248ec6p-4, 0x1.ac1c0eb2d0368p-4, 0x1.a49564b6c825bp-4, 0x1.9d25e9f806a86p-4, 0x1.95cdac9493cefp-4, 0x1.8e8cb72ced37ap-4, 0x1.87631101b41f7p-4, 0x1.8050be10eb8fep-4, 0x1.7955bf32b0524p-4, 0x1.727212357590bp-4, 0x1.6ba5b1f9b6aap-4, 0x1.64f0968d31becp-4, 0x1.5e52b54596902p-4, 0x1.57cc00dab8a4p-4, 0x1.515c698039125p-4, 0x1.4b03dcfeb41edp-4, 0x1.44c246cc637e8p-4, 0x1.3e97902543b58p-4, 0x1.3883a022b4fcap-4, 0x1.32865bd298ea3p-4, 0x1.2c9fa64df062fp-4, 0x1.26cf60cef5998p-4, 0x1.21156ac6b926bp-4, 0x1.1b71a1f23d7a1p-4, 0x1.15e3e26f1319cp-4, 0x1.106c06cf7718dp-4, 0x1.0b09e82df63c8p-4, 0x1.05bd5e4093ecfp-4, 0x1.00863f6b746c1p-4, 0x1.f6c8c1a61ed7dp-5, 0x1.ecaf2cdbd445fp-5, 0x1.e2bf662bb6abap-5, 0x1.d8f91131ae174p-5, 0x1.cf5bcf9292fe6p-5, 0x1.c5e7411bf970cp-5, 0x1.bc9b03e31e486p-5, 0x1.b376b462ee3ebp-5, 0x1.aa79ed9937c94p-5, 0x1.a1a4492300b6ap-5, 0x1.98f55f58052a2p-5, 0x1.906cc7656214ep-5, 0x1.880a1767739ccp-5, 0x1.7fcce482e88p-5, 0x1.77b4c2fd0479dp-5, 0x1.6fc14653293b4p-5, 0x1.67f201518e655p-5, 0x1.6046862948e2ap-5, 0x1.58be66859442cp-5, 0x1.515933a057c0dp-5, 0x1.4a167e5606fadp-5, 0x1.42f5d738c888cp-5, 0x1.3bf6cea2f3b14p-5, 0x1.3518f4c8e26b1p-5, 0x1.2e5bd9ca19c78p-5, 0x1.27bf0dc1d2fb3p-5, 0x1.214220d6e6111p-5, 0x1.1ae4a34b115d7p-5, 0x1.14a62589b4e72p-5, 0x1.0e863835e8198p-5, 0x1.08846c3809c3p-5, 0x1.02a052cabb98dp-5, 0x1.f9b2fb0ea79e2p-6, 0x1.ee5efce391fa3p-6, 0x1.e343d00824a6bp-6, 0x1.d8609a721e456p-6, 0x1.cdb4832dcbbeep-6, 0x1.c33eb271e2ff2p-6, 0x1.b8fe51b2589fep-6, 0x1.aef28bb268cd4p-6, 0x1.a51a8c959c815p-6, 0x1.9b7581f00145bp-6, 0x1.92029ad584b3fp-6, 0x1.88c107e87d8efp-6, 0x1.7faffb6772a4bp-6, 0x1.76cea93a06d6fp-6, 0x1.6e1c46fd34841p-6, 0x1.65980c0ec603ep-6, 0x1.5d41319813aa6p-6, 0x1.5516f2981ff14p-6, 0x1.4d188becf9277p-6, 0x1.45453c5c7ee85p-6, 0x1.3d9c449c7eb0fp-6, 0x1.361ce75a32202p-6, 0x1.2ec6694132972p-6, 0x1.27981101cc688p-6, 0x1.20912756d2a97p-6, 0x1.19b0f70add209p-6, 0x1.12f6ccfd0080fp-6, 0x1.0c61f82514a5fp-6, 0x1.05f1c99770e33p-6, 0x1.ff4b29106f79cp-7, 0x1.f2f95c9c5ba18p-7, 0x1.e6ecdcca529b1p-7, 0x1.db245ce00b226p-7, 0x1.cf9e94746cbeep-7, 0x1.c45a3f720a7d8p-7, 0x1.b9561e18b40a8p-7, 0x1.ae90f4fe6bfcp-7, 0x1.a4098d0fb6a24p-7, 0x1.99beb38f04d8dp-7, 0x1.8faf3a13cd377p-7, 0x1.85d9f688c2acap-7, 0x1.7c3dc329a45aep-7, 0x1.72d97e8067641p-7, 0x1.69ac0b61e0a2cp-7, 0x1.60b450e9eb809p-7, 0x1.57f13a77040fcp-7, 0x1.4f61b7a582d9ap-7, 0x1.4704bc4a4f98bp-7, 0x1.3ed9406d3950ap-7, 0x1.36de4042dd62bp-7, 0x1.2f12bc2638a4bp-7, 0x1.2775b891c8955p-7, 0x1.20063e18578edp-7, 0x1.18c3595d8ce15p-7, 0x1.11ac1b0e0d2e5p-7, 0x1.0abf97d76aa2ep-7, 0x1.03fce85fc8a1p-7, 0x1.fac6527a5f3bfp-8, 0x1.ede2f5d95b8a5p-8, 0x1.e14e039295249p-8, 0x1.d505cc054ec4ep-8, 0x1.c908a7270415dp-8, 0x1.bd54f47004c27p-8, 0x1.b1e91ac7d4227p-8, 0x1.a6c3887102126p-8, 0x1.9be2b2f4eb4fp-8, 0x1.9145170f17046p-8, 0x1.86e9389857d8dp-8, 0x1.7ccda271ef37bp-8, 0x1.72f0e670180ep-8, 0x1.69519d44be8fp-8, 0x1.5fee6669ec8a6p-8, 0x1.56c5e80c13b2ep-8, 0x1.4dd6cef43c078p-8, 0x1.451fce7215ceap-8, 0x1.3c9fa045ff77p-8, 0x1.3455048af3d3cp-8, 0x1.2c3ec1a0881b5p-8, 0x1.245ba414ac8a5p-8, 0x1.1caa7e8da0409p-8, 0x1.152a29b3c27f4p-8, 0x1.0dd9841b6ca09p-8, 0x1.06b7722edab2ap-8, 0x1.ff85bc303758p-9, 0x1.f1f56f562235dp-9, 0x1.e4bbe89ee46b9p-9, 0x1.d7d71dd5f5187p-9, 0x1.cb450f97211d1p-9, 0x1.bf03c92332cd5p-9, 0x1.b3116034a4e39p-9, 0x1.a76bf4d4d9c02p-9, 0x1.9c11b13122cep-9, 0x1.9100c9707c0d2p-9, 0x1.86377b89443b8p-9, 0x1.7bb40f1768f61p-9, 0x1.7174d532ad4f6p-9, 0x1.6778284568debp-9, 0x1.5dbc6be38b7ccp-9, 0x1.54400ca225dc7p-9, 0x1.4b017feee6508p-9, 0x1.41ff43e8603b1p-9, 0x1.3937df365bee6p-9, 0x1.30a9e0e2dc638p-9, 0x1.2853e03324605p-9, 0x1.20347c8190692p-9, 0x1.184a5d175cfeap-9, 0x1.109431072bb24p-9, 0x1.0910af0801d42p-9, 0x1.01be95505b64cp-9, 0x1.f53952e3bf2f6p-10, 0x1.e753706b6a6e7p-10, 0x1.d9c92af1954aap-10, 0x1.cc983811e790cp-10, 0x1.bfbe5b0508c32p-10, 0x1.b339645bbd20ep-10, 0x1.a70731bbdcaeep-10, 0x1.9b25ad9de59fep-10, 0x1.8f92cf0b6c8a8p-10, 0x1.844c995e4c06p-10, 0x1.79511c012f0e5p-10, 0x1.6e9e72306eb9p-10, 0x1.6432c2bc14a6p-10, 0x1.5a0c3fcb3ef8cp-10, 0x1.5029269f82114p-10, 0x1.4687bf59cc737p-10, 0x1.3d265cc023fb9p-10, 0x1.34035c041a97fp-10, 0x1.2b1d248a6fa02p-10, 0x1.227227b33848p-10, 0x1.1a00e0a35e58ap-10, 0x1.11c7d40e3c2f2p-10, 0x1.09c590011cdecp-10, 0x1.01f8abaeedf9dp-10, 0x1.f4bf8e79ed5a1p-11, 0x1.e5f31720ada07p-11, 0x1.d78954395687p-11, 0x1.c97fb966969d5p-11, 0x1.bbd3caa6cac3p-11, 0x1.ae831bf695647p-11, 0x1.a18b50f3a90efp-11, 0x1.94ea1c8299693p-11, 0x1.889d407546df6p-11, 0x1.7ca28d343a2edp-11, 0x1.70f7e1685e4bdp-11, 0x1.659b29a686c58p-11, 0x1.5a8a601d51deap-11, 0x1.4fc38c43664ccp-11, 0x1.4544c287f7f4fp-11, 0x1.3b0c2405e529bp-11, 0x1.3117de3558421p-11, 0x1.27662aa1c76efp-11, 0x1.1df54e9fe6272p-11, 0x1.14c39b05bc3d3p-11, 0x1.0bcf6be3d42eep-11, 0x1.0317283fefb0fp-11, 0x1.f53283a25c666p-12, 0x1.e4a8697a91a26p-12, 0x1.d48d0eae9a94ap-12, 0x1.c4dd93c091322p-12, 0x1.b5972c907c34p-12, 0x1.a6b71fe23df75p-12, 0x1.983ac6e4fe905p-12, 0x1.8a1f8cbee1324p-12, 0x1.7c62ee193ca52p-12, 0x1.6f0278afd8fffp-12, 0x1.61fbcae51a65p-12, 0x1.554c9353c3337p-12, 0x1.48f29066da6d6p-12, 0x1.3ceb8ff23358fp-12, 0x1.31356ecdfd8cap-12, 0x1.25ce187439926p-12, 0x1.1ab386a04985bp-12, 0x1.0fe3c0f0e9561p-12, 0x1.055cdc8bbcdp-12, 0x1.f639f786a3cc8p-13, 0x1.e2449b7ee01a7p-13, 0x1.ced61c506da02p-13, 0x1.bbeb09a080643p-13, 0x1.a9800ac7546efp-13, 0x1.9791de2f2dbf4p-13, 0x1.861d58b8b4f2p-13, 0x1.751f65214c50ep-13, 0x1.6495036e9d8cp-13, 0x1.547b485d01ef8p-13, 0x1.44cf5cd0ee843p-13, 0x1.358e7d4b4f62cp-13, 0x1.26b5f962dca63p-13, 0x1.184333417fb22p-13, 0x1.0a339f21980cbp-13, 0x1.f909859f944c2p-14, 0x1.de686a631dfe3p-14, 0x1.c47f3b997aa0ap-14, 0x1.ab4968a5f6c72p-14, 0x1.92c2805fa35aap-14, 0x1.7ae63034e7db5p-14, 0x1.63b0435336706p-14, 0x1.4d1ca1d162c9fp-14, 0x1.37274fe2f572dp-14, 0x1.21cc6d120f56fp-14, 0x1.0d08337ab47ep-14, 0x1.f1adee19af987p-15, 0x1.ca6a49a5fb528p-15, 0x1.a43e847c96675p-15, 0x1.7f23d8eb53e3dp-15, 0x1.5b13af5774745p-15, 0x1.38079cebb9493p-15, 0x1.15f9625e1b768p-15, 0x1.e9c5d559d336bp-16, 0x1.a97c93d39d3dbp-16, 0x1.6b0b781fa782bp-16, 0x1.2e6747c68cd71p-16, 0x1.e70a274864d7bp-17, 0x1.74b46b91e52c6p-17, 0x1.05b89eb2fbd41p-17, 0x1.34051a3a63478p-18, 0x1.8bf44af461eedp-20, -0x1.9f34bdaec11eap-20, -0x1.2c7f058d2c6eep-18, -0x1.eb3cd30f6b29ep-18, -0x1.521506538d12ep-17, -0x1.abb49fa18daabp-17, -0x1.014705ae3deeep-16, -0x1.2b58d90e3a402p-16, -0x1.5417c92ba96fcp-16, -0x1.7b8ba1b9a674ep-16, -0x1.a1bbfc60c43f4p-16, -0x1.c6b04229a143cp-16, -0x1.ea6facf182726p-16, -0x1.0680a46214632p-15, -0x1.1735fa99747f5p-15, -0x1.275b334cfedp-15, -0x1.36f393af0a15dp-15, -0x1.46024c949efcbp-15, -0x1.548a7b0cbb238p-15, -0x1.628f28ef5f4d3p-15, -0x1.70134d6e8b863p-15, -0x1.7d19cda15f0c6p-15, -0x1.89a57d07b5p-15, -0x1.95b91e0d41e59p-15, -0x1.a15762823673bp-15, -0x1.ac82ec1d5fccdp-15, -0x1.b73e4ceedeee4p-15, -0x1.c18c07d4d31e5p-15, -0x1.cb6e90e84b748p-15, -0x1.d4e84dea0761fp-15, -0x1.ddfb96ac6c0d8p-15, -0x1.e6aab577f952ap-15, -0x1.eef7e76cf27f9p-15, -0x1.f6e55ce3191e9p-15, -0x1.fe7539c846ccbp-15, -0x1.02d4cafc67796p-14, -0x1.06423ecb23c8fp-14, -0x1.0983f8abf7e56p-14, -0x1.0c9af37074ff2p-14, -0x1.0f882486ba948p-14, -0x1.124c7c2038986p-14, -0x1.14e8e555bbaecp-14, -0x1.175e464b7b08p-14, -0x1.19ad805490b75p-14, -0x1.1bd77013dcba5p-14, -0x1.1ddced9c32f4fp-14, -0x1.1fbecc8fc0ad7p-14, -0x1.217ddc3f7f00dp-14, -0x1.231ae7c88014cp-14, -0x1.2496b6308967bp-14, -0x1.25f20a80fd3ep-14, -0x1.272da3e1bc504p-14, -0x1.284a3db356646p-14, -0x1.29488fa8d69p-14, -0x1.2a294dde55289p-14, -0x1.2aed28f13dd46p-14, -0x1.2b94ce17a9428p-14, -0x1.2c20e735950c4p-14, -0x1.2c921af2d77bp-14, -0x1.2ce90ccda829dp-14, -0x1.2d265d30456e7p-14, -0x1.2d4aa983bb213p-14, -0x1.2d568c42d3025p-14, -0x1.2d4a9d0c2cc4dp-14, -0x1.2d2770b3039bbp-14, -0x1.2ced994ffbe25p-14, -0x1.2c9da6523b597p-14, -0x1.2c38248eaf89fp-14, -0x1.2bbd9e4eac425p-14, -0x1.2b2e9b5f5715dp-14, -0x1.2a8ba11fcd83ep-14, -0x1.29d5328fa58eap-14, -0x1.290bd05b78f9dp-14, -0x1.282ff8e9c92bfp-14, -0x1.27422866fd8d6p-14, -0x1.2642d8d29c148p-14, -0x1.2532820a6c68ep-14, -0x1.241199d5cda5dp-14, -0x1.22e093f184fd3p-14, -0x1.219fe218f0eb2p-14, -0x1.204ff41154297p-14, -0x1.1ef137b3a822cp-14, -0x1.1d8418f5a2c11p-14, -0x1.1c0901f330c96p-14, -0x1.1a805af7b29c2p-14, -0x1.18ea8a8726f12p-14, -0x1.1747f5669c923p-14, -0x1.1598fea38a84bp-14, -0x1.13de079c9950ap-14, -0x1.12177008a1461p-14, -0x1.104595fec959ap-14, -0x1.0e68d5fda68f8p-14, -0x1.0c818af232818p-14, -0x1.0a900e3ed7b1dp-14, -0x1.0894b7c1cec3dp-14, -0x1.068fdddbc7ba1p-14, -0x1.0481d57618b55p-14, -0x1.026af208ce9dap-14, -0x1.004b859fe9f22p-14, -0x1.fc47c1c3dd9d8p-15, -0x1.f7e8a62b582c1p-15, -0x1.f37a544d81032p-15, -0x1.eefd6557a1e31p-15, -0x1.ea726fd65c8d8p-15, -0x1.e5da07bf1ca9bp-15, -0x1.e134be7a80751p-15, -0x1.dc8322ee15f49p-15, -0x1.d7c5c185bdb76p-15, -0x1.d2fd243b3f59dp-15, -0x1.ce29d2a1556bap-15, -0x1.c94c51e9f9ba2p-15, -0x1.c46524f066f5ap-15, -0x1.bf74cc4127b4p-15, -0x1.ba7bc620dc817p-15, -0x1.b57a8e93e4342p-15, -0x1.b0719f68eb2ap-15, -0x1.ab61703cd08f8p-15, -0x1.a64a768398b95p-15, -0x1.a12d25902b164p-15, -0x1.9c09ee9ae687cp-15, -0x1.96e140c7266e9p-15, -0x1.91b3892bb4653p-15, -0x1.8c8132d99a906p-15, -0x1.874aa6e099041p-15, -0x1.82104c5789701p-15, -0x1.7cd28861e092dp-15, -0x1.7791be34c8a07p-15, -0x1.724e4f1f687ap-15, -0x1.6d089a8fbf63bp-15, -0x1.67c0fe173345fp-15, -0x1.6277d571efdd4p-15, -0x1.5d2d7a8ce813cp-15, -0x1.57e24589a4f17p-15, -0x1.52968cc487cfbp-15, -0x1.4d4aa4db53e2cp-15, -0x1.47fee0b19af8cp-15, -0x1.42b3917550691p-15, -0x1.3d6906a55edep-15, -0x1.381f8e16b6203p-15, -0x1.32d773f7c2d64p-15, -0x1.2d9102d73043p-15, -0x1.284c83a8e803cp-15, -0x1.230a3dc8d26dp-15, -0x1.1dca770191704p-15, -0x1.188d73920d398p-15, -0x1.135376302c9fp-15, -0x1.0e1cc00e53b1cp-15, -0x1.08e990e10e9ebp-15, -0x1.03ba26e2787f9p-15, -0x1.fd1d7dac2a34fp-16, -0x1.f2cf281f396cap-16, -0x1.e889c0ebb9118p-16, -0x1.de4db90f8e0dfp-16, -0x1.d41b7ec0561d6p-16, -0x1.c9f37d772c871p-16, -0x1.bfd61df5d0c5p-16, -0x1.b5c3c650892dfp-16, -0x1.abbcd9f8cbc76p-16, -0x1.a1c1b9c29d219p-16, -0x1.97d2c3ed9e6f2p-16, -0x1.8df0542ea9912p-16, -0x1.841ac3b800863p-16, -0x1.7a52693f9fd45p-16, -0x1.7097990acc8p-16, -0x1.66eaa4f30842bp-16, -0x1.5d4bdc702e925p-16, -0x1.53bb8c9d94ccbp-16, -0x1.4a3a0045a8087p-16, -0x1.40c77fe8b6641p-16, -0x1.376451c281c38p-16, -0x1.2e10b9d5b31d9p-16, -0x1.24ccf9f0a205fp-16, -0x1.1b9951b636dp-16, -0x1.1275fea59621p-16, -0x1.09633c21cc819p-16, -0x1.00614379e776ap-16, -0x1.eee097db7cf83p-17, -0x1.dd2115729ba4fp-17, -0x1.cb8466321128bp-17, -0x1.ba0aeca3ff006p-17, -0x1.a8b50775288a6p-17, -0x1.97831182f49c4p-17, -0x1.867561e4274c3p-17, -0x1.758c4bfecae74p-17, -0x1.64c81f8f2f4b9p-17, -0x1.542928be7165dp-17, -0x1.43afb0285f5b6p-17, -0x1.335bfaeebe2e1p-17, -0x1.232e4ac73deb4p-17, -0x1.1326de02c3f62p-17, -0x1.0345efa25557dp-17, -0x1.e7176ec434b89p-18, -0x1.c7f0d38c9733bp-18, -0x1.a918705284be1p-18, -0x1.8a8ea190c3abfp-18, -0x1.6c53bda5fc117p-18, -0x1.4e6814e666b5p-18, -0x1.30cbf1bab9984p-18, -0x1.137f98bbdf0c4p-18, -0x1.ed0691a391bafp-19, -0x1.b3ae7679db10bp-19, -0x1.7af74774041fap-19, -0x1.42e161370c732p-19, -0x1.0b6d15c08c8f8p-19, -0x1.a93559323f7f1p-20, -0x1.3cd4c5fd85884p-20, -0x1.a371b09b7d75dp-21, -0x1.9f878acb5043cp-22, 0x1.5fb7753c36143p-29, 0x1.9ff0db602b72bp-22, 0x1.9c062a6e06057p-21, 0x1.32c46fc31ff07p-20, 0x1.9640515add407p-20, 0x1.f876d66431cp-20, 0x1.2cb41646318e3p-19, 0x1.5c8a493fd48b3p-19, 0x1.8bbe2bbcb54e4p-19, 0x1.ba4fed655dfbdp-19, 0x1.e83fc5d786ffdp-19, 0x1.0ac6fa3edcffp-18, 0x1.211d602e8752p-18, 0x1.37233bf20fac7p-18, 0x1.4cd8b86397fdap-18, 0x1.623e03f02d17dp-18, 0x1.7753507a4226cp-18, 0x1.8c18d34b687c2p-18, 0x1.a08ec4ff65f84p-18, 0x1.b4b56171c7927p-18, 0x1.c88ce7a8585dbp-18, 0x1.dc1599bcf569bp-18, 0x1.ef4fbcd15427dp-18, 0x1.011dcc7b4aeb2p-17, 0x1.0a6cbc8ca1181p-17, 0x1.1394d577a8a4cp-17, 0x1.1c963f76f3984p-17, 0x1.2571241952795p-17, 0x1.2e25ae3688c77p-17, 0x1.36b409e66bb54p-17, 0x1.3f1c647c29767p-17, 0x1.475eec7a3c521p-17, 0x1.4f7bd18ccbc9cp-17, 0x1.5773447d10b5ap-17, 0x1.5f45772ba0a86p-17, 0x1.66f29c8a3f437p-17, 0x1.6e7ae88e51129p-17, 0x1.75de902d468acp-17, 0x1.7d1dc953b1418p-17, 0x1.8438caddaeb13p-17, 0x1.8b2fcc8f62d86p-17, 0x1.9203070a4bcd3p-17, 0x1.98b2b3ca62c07p-17, 0x1.9f3f0d1bfe3dcp-17, 0x1.a5a84e132107fp-17, 0x1.abeeb287c7432p-17, 0x1.b212770cd6334p-17, 0x1.b813d8eb941b8p-17, 0x1.bdf3161965066p-17, 0x1.c3b06d312edbap-17, 0x1.c94c1d7018646p-17, 0x1.cec666aa7adeap-17, 0x1.d41f8949ce34ap-17, 0x1.d957c6435c341p-17, 0x1.de6f5f12167edp-17, 0x1.e36695b1bad3cp-17, 0x1.e83dac986f59dp-17, 0x1.ecf4e6afd7732p-17, 0x1.f18c874e62354p-17, 0x1.f604d235a5985p-17, 0x1.fa5e0b8949e31p-17, 0x1.fe9877ca1573fp-17, 0x1.015a2de77de86p-16, 0x1.0358fe610f7a9p-16, 0x1.0548d00d04165p-16, 0x1.0729c5c9e3c1bp-16, 0x1.08fc029820badp-16, 0x1.0abfa9965cb4bp-16, 0x1.0c74de0069c1cp-16, 0x1.0e1bc32acfe3ep-16, 0x1.0fb47c81e72fdp-16, 0x1.113f2d86b684cp-16, 0x1.12bbf9cd335a1p-16, 0x1.142b04f993c22p-16, 0x1.158c72be72d5cp-16, 0x1.16e066da4d3adp-16, 0x1.182705152a57dp-16, 0x1.1960713f56a0bp-16, 0x1.1a8ccf2ee751ep-16, 0x1.1bac42bc723f5p-16, 0x1.1cbeefc33ed46p-16, 0x1.1dc4fa1ef5c39p-16, 0x1.1ebe85a89bd8dp-16, 0x1.1fabb6353a42cp-16, 0x1.208caf935bd18p-16, 0x1.2161958aa47b2p-16, 0x1.222a8bd9188f7p-16, 0x1.22e7b631b2fd6p-16, 0x1.2399383a948dbp-16, 0x1.243f358c1841dp-16, 0x1.24d9d1ae777c5p-16, 0x1.2569301892b7p-16, 0x1.25ed742e18d01p-16, 0x1.2666c13d73f9cp-16, 0x1.26d53a80b2797p-16, 0x1.273903191ef3cp-16, 0x1.27923e1024d92p-16, 0x1.27e10e54990a8p-16, 0x1.282596ba21164p-16, 0x1.285ff9f790909p-16, 0x1.28905aa5b8fe6p-16, 0x1.28b6db3de11e6p-16, 0x1.28d39e199a659p-16, 0x1.28e6c570dc0ccp-16, 0x1.28f073597c50dp-16, 0x1.28f0c9c4deb1dp-16, 0x1.28e7ea7f4cc6ap-16, 0x1.28d5f72fb9b55p-16, 0x1.28bb1155ff1eep-16, 0x1.28975a4a6edf7p-16, 0x1.286af33be1dcp-16, 0x1.2835fd3048d81p-16, 0x1.27f89902a4349p-16, 0x1.27b2e7631e98cp-16, 0x1.276508d57519cp-16, 0x1.270f1daf1ba64p-16, 0x1.26b14618f82dbp-16, 0x1.264ba20caa8cfp-16, 0x1.25de5154e5e81p-16, 0x1.2569738bd7611p-16, 0x1.24ed281b4ad76p-16, 0x1.24698e3bc4529p-16, 0x1.23dec4f31e34dp-16, 0x1.234ceb1478a81p-16, 0x1.22b41f3ffba5bp-16, 0x1.22147fe273864p-16, 0x1.216e2b33e0caap-16, 0x1.20c13f38434f9p-16, 0x1.200dd9bd0b4dp-16, 0x1.1f541859f7fe7p-16, 0x1.1e941870f50c8p-16, 0x1.1dcdf72cee12p-16, 0x1.1d01d181e2c92p-16, 0x1.1c2fc42b64d0cp-16, 0x1.1b57ebae0da72p-16, 0x1.1a7a6455a5f72p-16, 0x1.19974a363e9ecp-16, 0x1.18aeb92a8a6d2p-16, 0x1.17c0ccd32f08ap-16, 0x1.16cda09852b18p-16, 0x1.15d54fa806921p-16, 0x1.14d7f4f608c6fp-16, 0x1.13d5ab3c081aep-16, 0x1.12ce8cf949f43p-16, 0x1.11c2b47312185p-16, 0x1.10b23bb338385p-16, 0x1.0f9d3c87ed938p-16, 0x1.0e83d08490d07p-16, 0x1.0d6611023d624p-16, 0x1.0c44171d7d619p-16, 0x1.0b1dfbb830a8bp-16, 0x1.09f3d778d2eafp-16, 0x1.08c5c2c9228cap-16, 0x1.0793d5d7bc163p-16, 0x1.065e2897a85a3p-16, 0x1.0524d2bff84c3p-16, 0x1.03e7ebcc08bd3p-16, 0x1.02a78afadec8ep-16, 0x1.0163c7501fb6fp-16, 0x1.001cb7933f4adp-16, 0x1.fda4e4a251ceep-17, 0x1.fb0a1bb482c8fp-17, 0x1.f869408501fddp-17, 0x1.f5c27ec693c5p-17, 0x1.f31601b4d0b78p-17, 0x1.f063f4134ef49p-17, 0x1.edac802f77f23p-17, }}, 
      {{-0x1.efd5b38d91f66p-2, -0x1.efdf14354849p-2, -0x1.efee7f2c4db98p-2, -0x1.f003c4181c423p-2, -0x1.f01ec907320a2p-2, -0x1.f03f993e0333ap-2, -0x1.f0666ae6b2d08p-2, -0x1.f0939d332edc7p-2, -0x1.f0c7b12495ae5p-2, -0x1.f1033f159ac11p-2, -0x1.f146eac7fe0aap-2, -0x1.f1935747b19dep-2, -0x1.f1e91b91a592p-2, -0x1.f248b89805f0fp-2, -0x1.f2b290fb11f62p-2, -0x1.f326e29b49d6cp-2, -0x1.f3a5c204c6a88p-2, -0x1.f42f179a35576p-2, -0x1.f4c29e5575341p-2, -0x1.f55fe3eaa1544p-2, -0x1.f6064a1639374p-2, -0x1.f6b508df00fc2p-2, -0x1.f76b3196aa56ap-2, -0x1.f827b2688ac3bp-2, -0x1.f8e95a4ac5a05p-2, -0x1.f9aedd2bfe548p-2, -0x1.fa76d83d31218p-2, -0x1.fb3fd63cd71c5p-2, -0x1.fc0853ad77effp-2, -0x1.fccec2e6632a6p-2, -0x1.fd918ff153f28p-2, -0x1.fe4f242b43376p-2, -0x1.ff05e9a1afd5dp-2, -0x1.ffb44e2823a8cp-2, -0x1.002c6311ea15p-1, -0x1.0078e786773e2p-1, -0x1.00bef8d33c6c7p-1, -0x1.00fde1f75afa6p-1, -0x1.0134f5656e7cp-1, -0x1.01638db8b890ap-1, -0x1.01890e4b816d1p-1, -0x1.01a4e3b0afb1ap-1, -0x1.01b68412ae579p-1, -0x1.01bd6f79bc231p-1, -0x1.01b92ffbbb67p-1, -0x1.01a959d7983e3p-1, -0x1.018d8b7e38686p-1, -0x1.01656d8ae8316p-1, -0x1.0130b2ad0ff97p-1, -0x1.00ef1784ead7ap-1, -0x1.00a06274ddf1dp-1, -0x1.00446368f046dp-1, -0x1.ffb5e72b90f1fp-2, -0x1.fec7ea60f9bf2p-2, -0x1.fdbea640cb8dcp-2, -0x1.fc9a01580de41p-2, -0x1.fb59f2442745cp-2, -0x1.f9fe7efed997ep-2, -0x1.f887bc25e0f8ep-2, -0x1.f6f5cc3fa67dcp-2, -0x1.f548defe5908dp-2, -0x1.f3813082982d7p-2, -0x1.f19f089eb9725p-2, -0x1.efa2ba1b97344p-2, -0x1.ed8ca1ffb0d4dp-2, -0x1.eb5d26d950f6dp-2, -0x1.e914b80c54292p-2, -0x1.e6b3cd241541p-2, -0x1.e43ae529e4fd6p-2, -0x1.e1aa8600752e4p-2, -0x1.df033bc477968p-2, -0x1.dc459832b210cp-2, -0x1.d9723213b1bd9p-2, -0x1.d689a4ad3f8b4p-2, -0x1.d38c8f39acf42p-2, -0x1.d07b946502305p-2, -0x1.cd5759d011605p-2, -0x1.ca2087996c0bbp-2, -0x1.c6d7c7ec2ce1ep-2, -0x1.c37dc69483b4fp-2, -0x1.c0133099ef723p-2, -0x1.bc98b3df0912ap-2, -0x1.b90efec6bfd91p-2, -0x1.b576bfdee6c12p-2, -0x1.b1d0a58febfdp-2, -0x1.ae1d5dd197c0ep-2, -0x1.aa5d95e4a18cep-2, -0x1.a691fa10fe0bcp-2, -0x1.a2bb3568b1a1p-2, -0x1.9ed9f18efc1cep-2, -0x1.9aeed683bc991p-2, -0x1.96fa8a72d1aep-2, -0x1.92fdb1875c7f3p-2, -0x1.8ef8edc2a90afp-2, -0x1.8aecded6a46f3p-2, -0x1.86da2203a4e23p-2, -0x1.82c151f9681a3p-2, -0x1.7ea306bb19f6ap-2, -0x1.7a7fd5863cb6dp-2, -0x1.765850bc4c7a9p-2, -0x1.722d07cefaddcp-2, -0x1.6dfe872edf0fp-2, -0x1.69cd583c71eb4p-2, -0x1.659a013b3d7cbp-2, -0x1.616505471b5d5p-2, -0x1.5d2ee44b5e5bap-2, -0x1.58f81afbd55aap-2, -0x1.54c122cf7be25p-2, -0x1.508a71fcccf1p-2, -0x1.4c547b778f26fp-2, -0x1.481faef00bc8ap-2, -0x1.43ec78d394724p-2, -0x1.3fbb424e417eap-2, -0x1.3b8c714dd0805p-2, -0x1.37606885960c4p-2, -0x1.33378773640c8p-2, -0x1.2f122a655e729p-2, -0x1.2af0aa80a0619p-2, -0x1.26d35dc8aac6ap-2, -0x1.22ba972786619p-2, -0x1.1ea6a6768dcfap-2, -0x1.1a97d887d0327p-2, -0x1.168e772ffb4cfp-2, -0x1.128ac950c991p-2, -0x1.0e8d12e3ddb08p-2, -0x1.0a95950606699p-2, -0x1.06a48e02deaf5p-2, -0x1.02ba3960c080fp-2, -0x1.fdad9fd9ffc45p-3, -0x1.f5f50f90c96f2p-3, -0x1.ee4b28e7b9dd5p-3, -0x1.e6b04dbabb6a2p-3, -0x1.df24dad9d96abp-3, -0x1.d7a9282394a01p-3, -0x1.d03d889f6c70bp-3, -0x1.c8e24a9892596p-3, -0x1.c197b7b8b7c2fp-3, -0x1.ba5e1522f2b59p-3, -0x1.b335a38ea5303p-3, -0x1.ac1e9f6268e57p-3, -0x1.a51940ceef89fp-3, -0x1.9e25bbe9cfc7ap-3, -0x1.974440c83d158p-3, -0x1.9074fb9997fa5p-3, -0x1.89b814c1dea3fp-3, -0x1.830db0f3ee004p-3, -0x1.7c75f14b8a896p-3, -0x1.75f0f3673b555p-3, -0x1.6f7ed181dd046p-3, -0x1.691fa28bfe26cp-3, -0x1.62d37a44ec77cp-3, -0x1.5c9a69537f3f2p-3, -0x1.56747d5e91a7bp-3, -0x1.5061c125316fbp-3, -0x1.4a623c96721edp-3, -0x1.4475f4e8f73a8p-3, -0x1.3e9cecb21951fp-3, -0x1.38d723fcbf654p-3, -0x1.3324985fcf9fcp-3, -0x1.2d85451449defp-3, -0x1.27f9230b041adp-3, -0x1.2280290200c5ep-3, -0x1.1d1a4b996d367p-3, -0x1.17c77d68321d4p-3, -0x1.1287af102ea8dp-3, -0x1.0d5acf5204d4cp-3, -0x1.0840cb2085d7fp-3, -0x1.03398db3bdd19p-3, -0x1.fc8a01372f541p-4, -0x1.f2c617a4379a1p-4, -0x1.e9272b9a96fb9p-4, -0x1.dfad07212fc9bp-4, -0x1.d657717bed33ap-4, -0x1.cd262f4d20486p-4, -0x1.c41902b617effp-4, -0x1.bb2fab76f3dc5p-4, -0x1.b269e70db5f7p-4, -0x1.a9c770d485fa1p-4, -0x1.a148021f4198fp-4, -0x1.98eb525845b11p-4, -0x1.90b1171c78c7fp-4, -0x1.88990456983dep-4, -0x1.80a2cc59cf133p-4, -0x1.78ce1ffb90ca2p-4, -0x1.711aaeacbe8f6p-4, -0x1.69882692191e3p-4, -0x1.6216349bfe802p-4, -0x1.5ac4849d7a2a5p-4, -0x1.5392c162a7778p-4, -0x1.4c8094c667e9p-4, -0x1.458da7c772cd5p-4, -0x1.3eb9a29cbdf4ap-4, -0x1.38042cc942f6p-4, -0x1.316ced2f24b8bp-4, -0x1.2af38a22364e8p-4, -0x1.2497a979e6d16p-4, -0x1.1e58f0a295151p-4, -0x1.183704ae4c681p-4, -0x1.12318a64ef503p-4, -0x1.0c482653d09dbp-4, -0x1.067a7cdcc048bp-4, -0x1.00c832448bebdp-4, -0x1.f661d581f2626p-5, -0x1.eb68950c702c5p-5, -0x1.e0a3eba7acae7p-5, -0x1.d61322025ee5dp-5, -0x1.cbb58112c30dap-5, -0x1.c18a522d8fd23p-5, -0x1.b790df1bf9cbap-5, -0x1.adc87230cfd02p-5, -0x1.a430565cb3a0ap-5, -0x1.9ac7d7416f4cp-5, -0x1.918e414476c26p-5, -0x1.8882e1a09105ep-5, -0x1.7fa50676b279dp-5, -0x1.76f3fede0e4a4p-5, -0x1.6e6f1af3637f3p-5, -0x1.6615abe789412p-5, -0x1.5de7040d40fc9p-5, -0x1.55e276e653ad4p-5, -0x1.4e07592ff9f5cp-5, -0x1.465500ee9ed9ep-5, -0x1.3ecac578f66b5p-5, -0x1.3767ff8273516p-5, -0x1.302c09251eb0ep-5, -0x1.29163dead652p-5, -0x1.2225fad5f64c4p-5, -0x1.1b5a9e6973d9p-5, -0x1.14b388b0656ep-5, -0x1.0e301b450ea45p-5, -0x1.07cfb9575c383p-5, -0x1.0191c7b2ea849p-5, -0x1.f6eb598915087p-6, -0x1.eaf5a13ea4061p-6, -0x1.df413a0272eb9p-6, -0x1.d3ccfaae8b6c3p-6, -0x1.c897bd8296b79p-6, -0x1.bda0602a8e3fbp-6, -0x1.b2e5c3c4a1223p-6, -0x1.a866cce65fcaep-6, -0x1.9e2263a1255efp-6, -0x1.94177385cc4f1p-6, -0x1.8a44eba7bd8b9p-6, -0x1.80a9be9f529d7p-6, -0x1.7744e28b93154p-6, -0x1.6e15511361b91p-6, -0x1.651a07660e2dep-6, -0x1.5c52063b55ac1p-6, -0x1.53bc51d2e5098p-6, -0x1.4b57f1f34e06fp-6, -0x1.4323f1e884fd1p-6, -0x1.3b1f6081dc5abp-6, -0x1.3349500fa1d7fp-6, -0x1.2ba0d66033253p-6, -0x1.24250cbcbf913p-6, -0x1.1cd50fe595937p-6, -0x1.15b0000e201e3p-6, -0x1.0eb500d878462p-6, -0x1.07e33950afd7fp-6, -0x1.0139d3e7bc3a1p-6, -0x1.f56ffcdc46c3p-7, -0x1.e8b9d41c9a996p-7, -0x1.dc4f968d2f219p-7, -0x1.d02fb3c658c66p-7, -0x1.c458a1ef27f14p-7, -0x1.b8c8ddb00feefp-7, -0x1.ad7eea253692bp-7, -0x1.a27950d04967bp-7, -0x1.97b6a189f3301p-7, -0x1.8d357272fb88fp-7, -0x1.82f45fe51927ep-7, -0x1.78f20c6365cc1p-7, -0x1.6f2d208a8d3a5p-7, -0x1.65a44b00c3ec9p-7, -0x1.5c564065732afp-7, -0x1.5341bb40b279fp-7, -0x1.4a657bf28b8e1p-7, -0x1.41c048a215feap-7, -0x1.3950ed2c58014p-7, -0x1.31163b131400ep-7, -0x1.290f096b680bap-7, -0x1.213a34cc5d591p-7, -0x1.19969f3d51d14p-7, -0x1.1223302449ca6p-7, -0x1.0aded43443e32p-7, -0x1.03c87d5b6b162p-7, -0x1.f9be45628fa1cp-8, -0x1.ec4380c9cf82cp-8, -0x1.df1eaf5601b44p-8, -0x1.d24ddd58266cep-8, -0x1.c5cf20e5201e8p-8, -0x1.b9a099b20431cp-8, -0x1.adc070f074c2p-8, -0x1.a22cd92b244afp-8, -0x1.96e40e2252944p-8, -0x1.8be454a8792f4p-8, -0x1.812bfa7f2a0ebp-8, -0x1.76b95633ea75cp-8, -0x1.6c8ac6fd5686p-8, -0x1.629eb498640bep-8, -0x1.58f38f25e9208p-8, -0x1.4f87cf0844934p-8, -0x1.4659f4c141269p-8, -0x1.3d6888d03311p-8, -0x1.34b21b905d8d6p-8, -0x1.2c3545178f058p-8, -0x1.23f0a51503e37p-8, -0x1.1be2e2b08ee9bp-8, -0x1.140aac6a05f06p-8, -0x1.0c66b7f8f4716p-8, -0x1.04f5c22ca7068p-8, -0x1.fb6d1d98fccc8p-9, -0x1.ed4fd0f122613p-9, -0x1.df9141152ef64p-9, -0x1.d22f1dee604eap-9, -0x1.c527245ef0436p-9, -0x1.b8771e05ecb48p-9, -0x1.ac1ce103d8731p-9, -0x1.a0164fbfbd524p-9, -0x1.946158ad10c3ep-9, -0x1.88fbf612586bbp-9, -0x1.7de42dd0502d8p-9, -0x1.7318112a1b11ep-9, -0x1.6895bc8dcbfcap-9, -0x1.5e5b575dd6e34p-9, -0x1.546713bb2a553p-9, -0x1.4ab72e4fff6a1p-9, -0x1.4149ee1b67f67p-9, -0x1.381da43da76a4p-9, -0x1.2f30abc5282efp-9, -0x1.2681697c1a78ep-9, -0x1.1e0e4bb6f325ep-9, -0x1.15d5ca2396df8p-9, -0x1.0dd665991eecdp-9, -0x1.060ea7e8a2a8ep-9, -0x1.fcfa475cb8597p-10, -0x1.ee40e847558cp-10, -0x1.dfee79e3c39p-10, -0x1.d200540b3e101p-10, -0x1.c473dec5f66d3p-10, -0x1.b74691f4c7562p-10, -0x1.aa75f4fc49e7ap-10, -0x1.9dff9e71302e9p-10, -0x1.91e133c61336ap-10, -0x1.861868faa4e19p-10, -0x1.7aa3004c4467p-10, -0x1.6f7ec9e7d3b62p-10, -0x1.64a9a39d2b2bep-10, -0x1.5a21789345eeep-10, -0x1.4fe440fe55cfbp-10, -0x1.45f001d6cdbaap-10, -0x1.3c42cc91d6b4ap-10, -0x1.32dabedb121b9p-10, -0x1.29b6024f8d059p-10, -0x1.20d2cc3a0b068p-10, -0x1.182f5d5051a96p-10, -0x1.0fca0171e4162p-10, -0x1.07a10f67e131ep-10, -0x1.ff65d14c41e22p-11, -0x1.effbf21ade9adp-11, -0x1.e1016d5e2acd6p-11, -0x1.d273432281557p-11, -0x1.c44e86e979512p-11, -0x1.b6905f37c253bp-11, -0x1.a9360524c27fep-11, -0x1.9c3cc3ecbc078p-11, -0x1.8fa1f885472b1p-11, -0x1.8363113368c14p-11, -0x1.777d8d24038ccp-11, -0x1.6beefc067a0b5p-11, -0x1.60b4fda91146fp-11, -0x1.55cd41977b1e8p-11, -0x1.4b3586bb83f7ep-11, -0x1.40eb9affa3016p-11, -0x1.36ed5af33f4d2p-11, -0x1.2d38b17102f1p-11, -0x1.23cb9746f216fp-11, -0x1.1aa412e05efaep-11, -0x1.11c037f1f23cdp-11, -0x1.091e2726f908p-11, -0x1.00bc0dd0de85fp-11, -0x1.f1304b30737a7p-12, -0x1.e161685eecca2p-12, -0x1.d208160e78f3fp-12, -0x1.c3210e08ac5cp-12, -0x1.b4a9206ee09ap-12, -0x1.a69d332c58cc1p-12, -0x1.98fa416c252dep-12, -0x1.8bbd5b1165c5cp-12, -0x1.7ee3a43327db3p-12, -0x1.726a549a49572p-12, -0x1.664eb74365455p-12, -0x1.5a8e29e271202p-12, -0x1.4f261c6a378e5p-12, -0x1.44141095e0b26p-12, -0x1.3955997537af6p-12, -0x1.2ee85afc0dc4cp-12, -0x1.24ca099366143p-12, -0x1.1af869adf255p-12, -0x1.11714f5e3f6ccp-12, -0x1.08329df01c715p-12, -0x1.fe748f07d91d9p-13, -0x1.ed0c9958d4f58p-13, -0x1.dc29781d7bdb1p-13, -0x1.cbc7640a59fbcp-13, -0x1.bbe2b085f841ap-13, -0x1.ac77caf798415p-13, -0x1.9d833a1765f44p-13, -0x1.8f019d45bbe51p-13, -0x1.80efabe3c78b1p-13, -0x1.734a34b2494b6p-13, -0x1.660e1d329971cp-13, -0x1.5938610d52d04p-13, -0x1.4cc6117a64c2fp-13, -0x1.40b454af18511p-13, -0x1.3500654dc773fp-13, -0x1.29a791da5b8bap-13, -0x1.1ea73c31e80fep-13, -0x1.13fcd9057f36dp-13, -0x1.09a5ef580184ap-13, -0x1.ff403000d7276p-14, -0x1.ebd1fa5b14b12p-14, -0x1.d8fcb3dc8be14p-14, -0x1.c6bbf37752c9fp-14, -0x1.b50b700daf42bp-14, -0x1.a3e6ff92b99afp-14, -0x1.934a9631acdcfp-14, -0x1.8332457933954p-14, -0x1.739a3b8d2bf1cp-14, -0x1.647ec25e67763p-14, -0x1.55dc3ee589cf7p-14, -0x1.47af306432511p-14, -0x1.39f42fab7eb9bp-14, -0x1.2ca7ee65b75ap-14, -0x1.1fc7366670988p-14, -0x1.134ee8fec0086p-14, -0x1.073bfe547598ep-14, -0x1.f717098188b34p-15, -0x1.e07540605549p-15, -0x1.ca8d131110f6fp-15, -0x1.b5591c235c698p-15, -0x1.a0d41dc6c561bp-15, -0x1.8cf900abca3a1p-15, -0x1.79c2d2f00289ep-15, -0x1.672cc70d79ff9p-15, -0x1.553232d386215p-15, -0x1.43ce8e68a96dp-15, -0x1.32fd734f8f76ap-15, -0x1.22ba9b75735ap-15, -0x1.1301e0450b0f4p-15, -0x1.03cf39c0efd71p-15, -0x1.ea3d7b46cf574p-16, -0x1.cdd93d0e0590bp-16, -0x1.b26a56227f4afp-16, -0x1.97e99a49b95e2p-16, -0x1.7e5012365e337p-16, -0x1.6596fa01e2ee8p-16, -0x1.4db7bfb14959p-16, -0x1.36ac01c88867cp-16, -0x1.206d8ddeccebap-16, -0x1.0af65f46419dep-16, -0x1.ec813b720b81fp-17, -0x1.c48d38221adabp-17, -0x1.9e05ae0d9f011p-17, -0x1.78dfe7f60b249p-17, -0x1.55117f98da571p-17, -0x1.32905b5adfaecp-17, -0x1.1152ac13eb161p-17, -0x1.e29dd5c54d3ebp-18, -0x1.a4f7ae1d89f6ap-18, -0x1.69a0e803859fep-18, -0x1.30880e8f35ee5p-18, -0x1.f3385a88cadc1p-19, -0x1.899998a22478fp-19, -0x1.2413d9cbc461ep-19, -0x1.851016f2f2dd9p-20, -0x1.935ffcbd58bdbp-21, -0x1.5ccc7cccc1142p-24, 0x1.2da501e77cb37p-21, 0x1.3c652ed7cc326p-20, 0x1.db20ffa550d5fp-20, 0x1.399d13fe93e56p-19, 0x1.8271af680efp-19, 0x1.c826f45278dc4p-19, 0x1.056a6896fa299p-18, 0x1.254942ef3e2e3p-18, 0x1.43bb546a5b017p-18, 0x1.60cb960b18c33p-18, 0x1.7c84b107050c1p-18, 0x1.96f1011c0d8e9p-18, 0x1.b01a96d56e07ap-18, 0x1.c80b39c06d6e4p-18, 0x1.decc6a941b847p-18, 0x1.f4676540e1d02p-18, 0x1.0472917ac4f04p-17, 0x1.0e272e09be2efp-17, 0x1.1755c50b0fce1p-17, 0x1.200274b161998p-17, 0x1.28313d8f422edp-17, 0x1.2fe6037103912p-17, 0x1.37248e357a88bp-17, 0x1.3df08a9d1dc9p-17, 0x1.444d8b1782253p-17, 0x1.4a3f0884dee14p-17, 0x1.4fc862f5feebdp-17, 0x1.54ece2640adfcp-17, 0x1.59afb7648c71p-17, 0x1.5e13fbd7f393p-17, 0x1.621cb3901ec53p-17, 0x1.65ccccf71cdffp-17, 0x1.692721ab42753p-17, 0x1.6c2e7719df8cdp-17, 0x1.6ee57f14bd6e9p-17, 0x1.714ed86282bc9p-17, 0x1.736d0f4a924f8p-17, 0x1.75429e1ed92bcp-17, 0x1.76d1edbd0c781p-17, 0x1.781d560efc8c8p-17, 0x1.79271e88b7653p-17, 0x1.79f17e9f90598p-17, 0x1.7a7e9e3ebab05p-17, 0x1.7ad096381bbffp-17, 0x1.7ae970b371086p-17, 0x1.7acb299667195p-17, 0x1.7a77aeec10804p-17, 0x1.79f0e14a759adp-17, 0x1.793894336866bp-17, 0x1.78508e705fc8p-17, 0x1.773a8a6f9cd5ep-17, 0x1.75f8369abce32p-17, 0x1.748b35ae986ebp-17, 0x1.72f51f0c46c1dp-17, 0x1.71377f0a93675p-17, 0x1.6f53d74581003p-17, 0x1.6d4b9ee78c6a2p-17, 0x1.6b2042f4077b4p-17, 0x1.68d3268d8742ap-17, 0x1.6665a33d21cf1p-17, 0x1.63d9093391c0bp-17, 0x1.612e9f8afb431p-17, 0x1.5e67a485ebfbbp-17, 0x1.5b854dcc95015p-17, 0x1.5888c8a6bf852p-17, 0x1.55733a3668a75p-17, 0x1.5245bfaf927ccp-17, 0x1.4f016e8e85727p-17, 0x1.4ba754cb892ccp-17, 0x1.4838790dde4d7p-17, 0x1.44b5dadd8995dp-17, 0x1.412072d275ccfp-17, 0x1.3d7932c411bb7p-17, 0x1.39c105f59c4e4p-17, 0x1.35f8d1438a783p-17, 0x1.3221734c8584ep-17, 0x1.2e3bc49aa481ep-17, 0x1.2a4897caaf6a7p-17, 0x1.2648b9b5b91f1p-17, 0x1.223cf193f5ad4p-17, 0x1.1e26012313decp-17, 0x1.1a04a4c8d43d1p-17, 0x1.15d993b5ff7c4p-17, 0x1.11a58007f49c3p-17, 0x1.0d6916e93639ep-17, 0x1.092500b09d913p-17, 0x1.04d9e10153cc6p-17, 0x1.008856e886f98p-17, 0x1.f861f9f3bcaf7p-18, 0x1.efa8d2d449de2p-18, 0x1.e6e65c5a34f5dp-18, 0x1.de1bb21ea1dcfp-18, 0x1.d549e7a02945bp-18, 0x1.cc72087354befp-18, 0x1.c3951875afae4p-18, 0x1.bab413fc4e24ep-18, 0x1.b1cff00291acfp-18, 0x1.a8e99a575157dp-18, 0x1.a001f9c96c34ap-18, 0x1.9719ee50eeb1dp-18, 0x1.8e32513c91b68p-18, 0x1.854bf55508f6fp-18, 0x1.7c67a7044a728p-18, 0x1.73862c7d739b7p-18, 0x1.6aa845e52d9acp-18, 0x1.61cead72d568cp-18, 0x1.58fa1791eb60ep-18, 0x1.502b3307d83bep-18, 0x1.4762a91310ef8p-18, 0x1.3ea11d8ca519fp-18, 0x1.35e72f08dde7ep-18, 0x1.2d3576f6ec4e2p-18, 0x1.248c89be437e3p-18, 0x1.1becf6dce406ap-18, 0x1.1357490476942p-18, 0x1.0acc063269433p-18, 0x1.024bafcd6371bp-18, 0x1.f3ad858408887p-19, 0x1.e2db6f3b7cc4ep-19, 0x1.d2220549916bfp-19, 0x1.c18227d89a6cep-19, 0x1.b0fcaee5fbb14p-19, 0x1.a0926a6eb81e1p-19, 0x1.904422a2208e7p-19, 0x1.80129809ef2b5p-19, 0x1.6ffe83c0d67c9p-19, 0x1.6008979402922p-19, 0x1.50317e32d4d46p-19, 0x1.4079db556b429p-19, 0x1.30e24be084a81p-19, 0x1.216b6611ebe03p-19, 0x1.1215b9a5a815dp-19, 0x1.02e1d0006c2afp-19, 0x1.e7a0589eba507p-20, 0x1.c9c29756ee196p-20, 0x1.ac2b4a8180d14p-20, 0x1.8edb54d6cdb32p-20, 0x1.71d38dbda82fcp-20, 0x1.5514c1857a613p-20, 0x1.389fb1b04263bp-20, 0x1.1c751534ea05bp-20, 0x1.009598b163cc7p-20, 0x1.ca03bd5ff671bp-21, 0x1.9374ffb629144p-21, 0x1.5d801676fd0bep-21, 0x1.28260cdfd8505p-21, 0x1.e6cfb7a9c4836p-22, 0x1.7e8cd4a372b9bp-22, 0x1.17851b8cdb83fp-22, 0x1.63742a0e9dd9bp-23, 0x1.34b4a15e6b13ep-24, -0x1.62063e7cbd5e9p-26, -0x1.e0b5a399106d4p-24, -0x1.b1f1bdf212361p-23, -0x1.3881dc9aeba9bp-22, -0x1.96c795e2e1325p-22, -0x1.f3c95bbf883cdp-22, -0x1.27c34da4efd98p-21, -0x1.54ff6e8a50929p-21, -0x1.8198e23b0368cp-21, -0x1.ad8f8773d0573p-21, -0x1.d8e349a91151cp-21, -0x1.01ca10534f44ap-20, -0x1.16d1082fc59fep-20, -0x1.2b8694449755bp-20, -0x1.3feac22661247p-20, -0x1.53fda5033206p-20, -0x1.67bf55770c457p-20, -0x1.7b2ff16d98a3dp-20, -0x1.8e4f9bf2a9f0ap-20, -0x1.a11e7d13886b9p-20, -0x1.b39cc1c3010adp-20, -0x1.c5ca9bae1b995p-20, -0x1.d7a84121bd82fp-20, -0x1.e935ece6398afp-20, -0x1.fa73de1f4a863p-20, -0x1.05b12c167088ep-19, -0x1.0e00d14369c8ap-19, -0x1.16290451e3a0fp-19, -0x1.1e29eced903d1p-19, -0x1.2603b4a28bf46p-19, -0x1.2db686ce14d9dp-19, -0x1.35429092e2f93p-19, -0x1.3ca800c92dc69p-19, -0x1.43e707f15932cp-19, -0x1.4affd8239c91p-19, -0x1.51f2a5064bbc7p-19, -0x1.58bfa3c07375ap-19, -0x1.5f670aeb263fbp-19, -0x1.65e912879ee71p-19, -0x1.6c45f3f22a1d4p-19, -0x1.727de9d3b0716p-19, -0x1.7891301904051p-19, -0x1.7e8003e4fbc9cp-19, -0x1.844aa3849e33p-19, -0x1.89f14e66ff9d6p-19, -0x1.8f74450e9a1f5p-19, -0x1.94d3c9086db45p-19, -0x1.9a101ce11a2bp-19, -0x1.9f29841b60c94p-19, -0x1.a42043241c44bp-19, -0x1.a8f49f47173e8p-19, -0x1.ada6dea8448a5p-19, -0x1.b2374838e785ap-19, -0x1.b6a623ad36114p-19, -0x1.baf3b9747539ep-19, -0x1.bf2052af94397p-19, -0x1.c32c39285cc66p-19, -0x1.c717b74621c8bp-19, -0x1.cae3180aba518p-19, -0x1.ce8ea704555c9p-19, -0x1.d21ab0471cbc5p-19, -0x1.d58780676a715p-19, -0x1.d8d5646e4a696p-19, -0x1.dc04a9d4064efp-19, -0x1.df159e78100afp-19, -0x1.e208909a0d149p-19, -0x1.e4ddced12ccc8p-19, -0x1.e795a8042167bp-19, -0x1.ea306b65fb32p-19, -0x1.ecae686cbca53p-19, -0x1.ef0feec98734cp-19, -0x1.f1554e6537284p-19, -0x1.f37ed75797f3p-19, -0x1.f58cd9e1d4ec2p-19, -0x1.f77fa667849ebp-19, -0x1.f9578d6b0412ep-19, -0x1.fb14df85dd4p-19, -0x1.fcb7ed6243592p-19, -0x1.fe4107b6e69e6p-19, -0x1.ffb07f41929f6p-19, -0x1.0083525fdf171p-18, -0x1.0121e47626087p-18, -0x1.01b41e3c52a72p-18, -0x1.023a2803ffe1fp-18, -0x1.02b42a14e4d6bp-18, -0x1.03224caac91bbp-18, -0x1.0384b7f44640cp-18, -0x1.03db940f1d55p-18, -0x1.0427090619e4ap-18, -0x1.04673ecf998b3p-18, -0x1.049c5d4af1901p-18, -0x1.04c68c3e90701p-18, -0x1.04e5f355c5797p-18, -0x1.04faba1f64e74p-18, -0x1.0505080c19d7p-18, -0x1.0505046b75b6cp-18, -0x1.04fad66b1b44cp-18, -0x1.04e6a514601fap-18, -0x1.04c8974aeb1d9p-18, -0x1.04a0d3cb25ad3p-18, -0x1.046f812906d9bp-18, -0x1.0434c5cd3d876p-18, -0x1.03f0c7f54aae2p-18, -0x1.03a3adb059ba8p-18, -0x1.034d9cdffabffp-18, -0x1.02eebb359a3ep-18, -0x1.02872e310ab6fp-18, -0x1.02171b1f18f09p-18, -0x1.019ea718e6cc7p-18, -0x1.011df7021576fp-18, -0x1.00952f882cee2p-18, -0x1.000475212faebp-18, -0x1.fed7d8166e87cp-19, -0x1.fd977095b970bp-19, -0x1.fc47fb53d9179p-19, -0x1.fae9bf6f08321p-19, -0x1.f97d038a3e935p-19, -0x1.f8020dcfa45c5p-19, -0x1.f67923ece0033p-19, -0x1.f4e28b127b418p-19, -0x1.f33e87f001432p-19, -0x1.f18d5eb5de436p-19, -0x1.efcf530fc8334p-19, -0x1.ee04a828918dep-19, -0x1.ec2da0a613a53p-19, -0x1.ea4a7ea7c93a6p-19, -0x1.e85b83c4cf2b8p-19, -0x1.e660f10bde1c6p-19, -0x1.e45b0701fa62fp-19, -0x1.e24a05a1c1533p-19, -0x1.e02e2c5a06b95p-19, -0x1.de07ba0d7c136p-19, -0x1.dbd6ed12e7e84p-19, -0x1.d99c0331f7d13p-19, -0x1.d75739a436a03p-19, -0x1.d508cd1334408p-19, -0x1.d2b0f997cf8dap-19, -0x1.d04ffabadb314p-19, -0x1.cde60b7487c22p-19, -0x1.cb73662b2c7a1p-19, -0x1.c8f844b209012p-19, -0x1.c674e04a573f4p-19, -0x1.c3e971a1a7b2ap-19, -0x1.c15630d50c83dp-19, -0x1.bebb556dacba1p-19, -0x1.bc1916604b2cdp-19, -0x1.b96faa0d712cp-19, -0x1.b6bf46418e34cp-19, -0x1.b40820351e90ap-19, -0x1.b14a6c8c234aap-19, -0x1.ae865f5688cabp-19, -0x1.abbc2c10443cbp-19, -0x1.a8ec05a2888b7p-19, -0x1.a6161e61e226fp-19, -0x1.a33aa80e3140ap-19, -0x1.a059d3d413cf9p-19, -0x1.9d73d24bcdfb7p-19, -0x1.9a88d37aac0ebp-19, -0x1.979906d31f492p-19, -0x1.94a49b34f4a3fp-19, -0x1.91abbeecb2414p-19, -0x1.8eae9fb4371a8p-19, -0x1.8bad6ab2815aep-19, -0x1.88a84c7f9d732p-19, -0x1.859f71230ccfep-19, -0x1.8293041235c98p-19, -0x1.7f83303215b73p-19, -0x1.7c701fd786af7p-19, -0x1.7959fcc863386p-19, -0x1.7640f03b6bc39p-19, -0x1.732522d94bd0ep-19, -0x1.7006bcbc02526p-19, -0x1.6ce5e572c008cp-19, -0x1.69c2c40025df6p-19, -0x1.669d7edad87f2p-19, -0x1.63763bed21311p-19, -0x1.604d2097a5a7cp-19, -0x1.5d2251b08a0fcp-19, -0x1.59f5f3856600fp-19, -0x1.56c829dba1e1dp-19, -0x1.539917f11c58fp-19, -0x1.5068e07c93cb4p-19, -0x1.4d37a5adacb35p-19, -0x1.4a05892e3a364p-19, -0x1.46d2ac24e4a28p-19, -0x1.439f2f369a5f3p-19, -0x1.406b3283ad79bp-19, -0x1.3d36d5a9bbe8fp-19, -0x1.3a0237c538b2bp-19, -0x1.36cd777239242p-19, -0x1.3398b2cca53dcp-19, -0x1.306407729b53ap-19, -0x1.2d2f92835da7fp-19, -0x1.29fb70a138f3ap-19, -0x1.26c7bdf50e04dp-19, -0x1.2394962b54c87p-19, -0x1.20621476615cbp-19, -0x1.1d30538e5ee0cp-19, -0x1.19ff6db44d92bp-19, -0x1.16cf7cb08376cp-19, -0x1.13a099d666f5dp-19, -0x1.1072de0385f99p-19, -0x1.0d4661a13c781p-19, -0x1.0a1b3ca4f7e62p-19, -0x1.06f18690daee2p-19, -0x1.03c956752dcbcp-19, -0x1.00a2c2f295891p-19, -0x1.fafbc478f3d86p-20, -0x1.f4b5942bdbfap-20, -0x1.ee731fa84fa31p-20, -0x1.e83490be100c7p-20, -0x1.e1fa1067c91b2p-20, -0x1.dbc3c6c8c8d7ep-20, -0x1.d591db333429ap-20, -0x1.cf64742605c7fp-20, -0x1.c93bb750fde3p-20, -0x1.c317c998d81e7p-20, -0x1.bcf8cf1943652p-20, -0x1.b6deeb224afb1p-20, -0x1.b0ca403bfa0cfp-20, -0x1.aabaf02b22f02p-20, -0x1.a4b11befaff12p-20, -0x1.9eace3c973cd2p-20, -0x1.98ae673a2997p-20, -0x1.92b5c50722c23p-20, -0x1.8cc31b3a0d6fbp-20, -0x1.86d687228ededp-20, -0x1.80f0255936971p-20, -0x1.7b1011c15bb76p-20, -0x1.7536678cc5227p-20, -0x1.6f6341404615ap-20, -0x1.6996b8af72466p-20, -0x1.63d0e6ff6d4e6p-20, -0x1.5e11e4aa69562p-20, -0x1.5859c982d9a83p-20, -0x1.52a8acb330f9ap-20, -0x1.4cfea4c27f28bp-20, -0x1.475bc792e6f04p-20, -0x1.41c02a664854cp-20, -0x1.3c2be1df8127ep-20, -0x1.369f020822ef8p-20, -0x1.31199e4c3727p-20, -0x1.2b9bc97d25ba8p-20, -0x1.262595d6ba889p-20, -0x1.20b714feee0b7p-20, -0x1.1b505807b283dp-20, -0x1.15f16f728764bp-20, -0x1.109a6b31debacp-20, -0x1.0b4b5aaa4f0bbp-20, -0x1.06044cb414a3fp-20, -0x1.00c54f9c7aeabp-20, -0x1.f71ce251def5ep-21, -0x1.ecbf7d31237bcp-21, -0x1.e272894d329e8p-21, -0x1.d8361f1ea416p-21, -0x1.ce0a5616c033cp-21, -0x1.c3ef44a624e7cp-21, -0x1.b9e5004564acfp-21, -0x1.afeb9d75f7f52p-21, -0x1.a6032fc5655b8p-21, -0x1.9c2bc9d2b5d4dp-21, -0x1.92657d4d9e3ep-21, -0x1.88b05b000cb4cp-21, -0x1.7f0c72cbd0618p-21, -0x1.7579d3b78f1d2p-21, -0x1.6bf88be875bc9p-21, -0x1.6288a8a528769p-21, -0x1.592a365f871d1p-21, -0x1.4fdd40b4f24a7p-21, -0x1.46a1d26ed1cf8p-21, -0x1.3d77f58baad6p-21, }}, 
      std::vector<double>(900, 0.0), 
      {{0x1.d21527c1aa54bp-9, 0x1.d1d690c97ad93p-8, 0x1.5d0a75fdfdf81p-7, 0x1.d0bc231389b9cp-7, 0x1.21f3307685edbp-6, 0x1.5b416e9bd6847p-6, 0x1.944fce6522d09p-6, 0x1.cd2d7570de0dcp-6, 0x1.02f71bfe455e4p-5, 0x1.1f534d4d4c22dp-5, 0x1.3bb3f8d41ce88p-5, 0x1.581e8450db1d4p-5, 0x1.7493c48df34b9p-5, 0x1.910f1a4db44bfp-5, 0x1.ad85f6171fd9cp-5, 0x1.c9e7b8ecaccffp-5, 0x1.e61de3fcfcb0fp-5, 0x1.010643e321046p-4, 0x1.0ec971915c8dp-4, 0x1.1c4611d8bbef1p-4, 0x1.29681d500f83ap-4, 0x1.361a5d5a352fcp-4, 0x1.4246db320b715p-4, 0x1.4dd74b55e7a51p-4, 0x1.58b5728a4938ap-4, 0x1.62cb82731659cp-4, 0x1.6c046c6f4f283p-4, 0x1.744c29f4761b4p-4, 0x1.7b8ffa1db2a07p-4, 0x1.81be94812119ep-4, 0x1.86c851a642167p-4, 0x1.8a9f49ade5052p-4, 0x1.8d3769e127535p-4, 0x1.8e8681f4d280fp-4, 0x1.8e8449db1f8bap-4, 0x1.8d2a6101f6d1dp-4, 0x1.8a7447d90a077p-4, 0x1.865f54737a5f7p-4, 0x1.80eaa30d66844p-4, 0x1.7a1703300816ep-4, 0x1.71e6e21fd4825p-4, 0x1.685e33302a95bp-4, 0x1.5d8256880a65ep-4, 0x1.5159fed396967p-4, 0x1.43ed164efa9d4p-4, 0x1.3544a3890a9d3p-4, 0x1.256aae2ea2be6p-4, 0x1.146a24238729ep-4, 0x1.024ebf22681d2p-4, 0x1.de49d6273071fp-5, 0x1.b5f35a81fee64p-5, 0x1.8bb5190bc1324p-5, 0x1.5faaf523e2c6fp-5, 0x1.31f17ca248758p-5, 0x1.02a5bf084ea6p-5, 0x1.a3ca4e43ec29dp-6, 0x1.3f9aae3c52729p-6, 0x1.b1f01c79463c3p-7, 0x1.c07731bddc4edp-8, 0x1.51beee5e00cfdp-12, -0x1.9d474303cf66dp-8, -0x1.aae56b09631c6p-7, -0x1.44e2aa3f17695p-6, -0x1.b569a906093e4p-6, -0x1.136868c39c8eap-5, -0x1.4c71442b3cc0fp-5, -0x1.85b5494647db8p-5, -0x1.bf1b16f457501p-5, -0x1.f88a12d37cd79p-5, -0x1.18f5390f8f48ap-4, -0x1.3592a08d9bfcfp-4, -0x1.521234922f23ap-4, -0x1.6e695abe2d80fp-4, -0x1.8a8deb7536c17p-4, -0x1.a6763322da086p-4, -0x1.c218f2ff9e9adp-4, -0x1.dd6d61603ec8fp-4, -0x1.f86b29990c4d3p-4, -0x1.098535bf75469p-3, -0x1.16a1dd477547fp-3, -0x1.23880e62843dp-3, -0x1.30348495195ebp-3, -0x1.3ca43310934efp-3, -0x1.48d443bcb4872p-3, -0x1.54c216277fa5dp-3, -0x1.606b3e5ea8497p-3, -0x1.6bcd83b57d18fp-3, -0x1.76e6df7a21897p-3, -0x1.81b57b9c84618p-3, -0x1.8c37b14991936p-3, -0x1.966c077cbf069p-3, -0x1.a0513189f7c51p-3, -0x1.a9e60da1cbf84p-3, -0x1.b329a3519213fp-3, -0x1.bc1b22010ceep-3, -0x1.c4b9df6efe845p-3, -0x1.cd05562df5b1dp-3, -0x1.d4fd242281028p-3, -0x1.dca10903d3d01p-3, -0x1.e3f0e4dfd22e2p-3, -0x1.eaecb6a35a46cp-3, -0x1.f1949aa78f4eap-3, -0x1.f7e8c944cd2fdp-3, -0x1.fde9956bdb56ap-3, -0x1.01cbb5a2f37afp-2, -0x1.0479676dd5663p-2, -0x1.06fe2d62184e9p-2, -0x1.095a5f6dbb1dcp-2, -0x1.0b8e5f809d64ep-2, -0x1.0d9a98f01a2f4p-2, -0x1.0f7f7fdee1972p-2, -0x1.113d90a931a7bp-2, -0x1.12d54f556864dp-2, -0x1.1447470906b72p-2, -0x1.159409821a916p-2, -0x1.16bc2e9517c6cp-2, -0x1.17c053af18fb6p-2, -0x1.18a11b5c8366ep-2, -0x1.195f2cd4026a2p-2, -0x1.19fb3385d541p-2, -0x1.1a75deaf59b41p-2, -0x1.1acfe0f2cbde4p-2, -0x1.1b09eff327ae6p-2, -0x1.1b24c3f417e7cp-2, -0x1.1b21177de7a46p-2, -0x1.1affa705578e6p-2, -0x1.1ac130974cb4p-2, -0x1.1a66738838da9p-2, -0x1.19f030273465ep-2, -0x1.195f2774a2af8p-2, -0x1.18b41adc58e3ap-2, -0x1.17efcbf327483p-2, -0x1.1712fc37b2752p-2, -0x1.161e6cd6836d2p-2, -0x1.1512de7137466p-2, -0x1.13f110e8b714ep-2, -0x1.12b9c32a660e5p-2, -0x1.116db300255a7p-2, -0x1.100d9ce320607p-2, -0x1.0e9a3bd1464a5p-2, -0x1.0d1449255ac31p-2, -0x1.0b7c7c718a93cp-2, -0x1.09d38b5c6b7fbp-2, -0x1.081a298054e6ap-2, -0x1.0651084cfa4dep-2, -0x1.0478d6eb35584p-2, -0x1.02924222e76c4p-2, -0x1.009df442e7294p-2, -0x1.fd392a15b23eep-3, -0x1.f91d932de4116p-3, -0x1.f4ea689afc01ep-3, -0x1.f0a0e99c57bap-3, -0x1.ec424fc5f9eb8p-3, -0x1.e7cfcee59e92bp-3, -0x1.e34a94eae35acp-3, -0x1.deb3c9d25bacbp-3, -0x1.da0c8f937443ep-3, -0x1.d55602110be4p-3, -0x1.d091370c96175p-3, -0x1.cbbf3e1bbc857p-3, -0x1.c6e120a04cbf7p-3, -0x1.c1f7e1c26d3aap-3, -0x1.bd047e6cebbbep-3, -0x1.b807ed4b939cbp-3, -0x1.b3031ecb70a4bp-3, -0x1.adf6fd1ceb1e4p-3, -0x1.a8e46c3792ed3p-3, -0x1.a3cc49df9d2c4p-3, -0x1.9eaf6dace938p-3, -0x1.998ea91377291p-3, -0x1.946ac76d4dfb8p-3, -0x1.8f448e05a1e4p-3, -0x1.8a1cbc2540199p-3, -0x1.84f40b2015dadp-3, -0x1.7fcb2e63d3913p-3, -0x1.7aa2d38790cb9p-3, -0x1.757ba25c5952fp-3, -0x1.70563cfea3568p-3, -0x1.6b333fe890c94p-3, -0x1.66134204ec1a7p-3, -0x1.60f6d4c2dda5fp-3, -0x1.5bde842a405a1p-3, -0x1.56cad6f084dd1p-3, -0x1.51bc4e8e24122p-3, -0x1.4cb36754877d3p-3, -0x1.47b098845eb8dp-3, -0x1.42b45464568fp-3, -0x1.3dbf085828e9p-3, -0x1.38d11cf7f5c1dp-3, -0x1.33eaf627db6cap-3, -0x1.2f0cf32fcc6e7p-3, -0x1.2a376ed38a498p-3, -0x1.256abf6ac6fbdp-3, -0x1.20a736f968ccap-3, -0x1.1bed2347d6e4dp-3, -0x1.173ccdfb55bd4p-3, -0x1.12967cae6b77ap-3, -0x1.0dfa710937e61p-3, -0x1.0968e8d9c9f06p-3, -0x1.04e21e2c60bd2p-3, -0x1.0066476395fcap-3, -0x1.f7eb2ea0d81bep-4, -0x1.ef207a9477308p-4, -0x1.e66cca8cef99bp-4, -0x1.ddd06fe08b99bp-4, -0x1.d54bb57fd3ac9p-4, -0x1.ccdee023ea389p-4, -0x1.c48a2e7c883f2p-4, -0x1.bc4dd95d7d25ep-4, -0x1.b42a13eba1c37p-4, -0x1.ac1f0bc9558dcp-4, -0x1.a42ce942647d6p-4, -0x1.9c53cf7761f6bp-4, -0x1.9493dc886d761p-4, -0x1.8ced29bf4c101p-4, -0x1.855fcbb8f77e8p-4, -0x1.7debd28e7d412p-4, -0x1.769149fd3806ep-4, -0x1.6f50398e60bb2p-4, -0x1.6828a4bdf24b5p-4, -0x1.611a8b20db08dp-4, -0x1.5a25e88a8177ep-4, -0x1.534ab53191741p-4, -0x1.4c88e5d4163e4p-4, -0x1.45e06bdadf57ap-4, -0x1.3f51357c2b3cep-4, -0x1.38db2ddd9dfbdp-4, -0x1.327e3d357e03cp-4, -0x1.2c3a48eb3621p-4, -0x1.260f33b725168p-4, -0x1.1ffcddc1ac676p-4, -0x1.1a0324c18f622p-4, -0x1.1421e419961bbp-4, -0x1.0e58f4f579cfdp-4, -0x1.08a82e661ede5p-4, -0x1.030f657d152ffp-4, -0x1.fb1cdaced379ep-5, -0x1.f04a2f0f87841p-5, -0x1.e5a6671fa19c1p-5, -0x1.db311f32081c8p-5, -0x1.d0e9f0794b033p-5, -0x1.c6d071566dc24p-5, -0x1.bce4358662764p-5, -0x1.b324ce4e2e10bp-5, -0x1.a991caa5c43cbp-5, -0x1.a02ab761a0fa6p-5, -0x1.96ef1f5b1b5ccp-5, -0x1.8dde8b977982fp-5, -0x1.84f8836dd1682p-5, -0x1.7c3c8cabb252p-5, -0x1.73aa2bb89d32dp-5, -0x1.6b40e3b853085p-5, -0x1.630036ac07a4ap-5, -0x1.5ae7a59264d37p-5, -0x1.52f6b0867fa12p-5, -0x1.4b2cd6ddb158cp-5, -0x1.43899744640c2p-5, -0x1.3c0c6fd9cf7d3p-5, -0x1.34b4de4ab7a49p-5, -0x1.2d825feb22a28p-5, -0x1.267471cf1cf81p-5, -0x1.1f8a90e27d9c4p-5, -0x1.18c439ffc39b7p-5, -0x1.1220ea0602b41p-5, -0x1.0ba01dedf02d2p-5, -0x1.054152de03f09p-5, -0x1.fe080c7ba17d4p-6, -0x1.f1cf6b90edf48p-6, -0x1.e5d7bf3c98e3ap-6, -0x1.da2004ab72fcep-6, -0x1.cea73a16a452dp-6, -0x1.c36c5ee255fa2p-6, -0x1.b86e73bade45ep-6, -0x1.adac7ab08f483p-6, -0x1.a325775213e2ep-6, -0x1.98d86ec575729p-6, -0x1.8ec467dfd338ap-6, -0x1.84e86b3bd342ep-6, -0x1.7b43834ed1bd4p-6, -0x1.71d4bc7cd9efdp-6, -0x1.689b252b7a817p-6, -0x1.5f95cdd378827p-6, -0x1.56c3c9115f248p-6, -0x1.4e242bb4ff1e5p-6, -0x1.45b60ccff16f8p-6, -0x1.3d7885c31513bp-6, -0x1.356ab24b0bdc3p-6, -0x1.2d8bb08bd12f5p-6, -0x1.25daa11b66738p-6, -0x1.1e56a70ba3391p-6, -0x1.16fee7f323826p-6, -0x1.0fd28bf5731f7p-6, -0x1.08d0bdca5ee56p-6, -0x1.01f8aac497621p-6, -0x1.f69305af0250dp-7, -0x1.e984f138d062p-7, -0x1.dcc582adfb5abp-7, -0x1.d05329f23f337p-7, -0x1.c42c5c4c2725p-7, -0x1.b84f946a3fa04p-7, -0x1.acbb5267238a9p-7, -0x1.a16e1bcc6d2fdp-7, -0x1.96667b948c528p-7, -0x1.8ba3022ba0509p-7, -0x1.8122456f565c3p-7, -0x1.76e2e0add70cp-7, -0x1.6ce374a3df672p-7, -0x1.6322a779e0d6bp-7, -0x1.599f24c06480dp-7, -0x1.50579d6b9a1f7p-7, -0x1.474ac7ce3e85dp-7, -0x1.3e775f93c6669p-7, -0x1.35dc25b9cec4p-7, -0x1.2d77e088fb02ep-7, -0x1.25495b8d2604ep-7, -0x1.1d4f678d19634p-7, -0x1.1588da81a3ef5p-7, -0x1.0df48f8c4f608p-7, -0x1.069166ed72e3ep-7, -0x1.febc8bf3a831cp-8, -0x1.f0b42e20011f9p-8, -0x1.e307931a20896p-8, -0x1.d5b4a3827e948p-8, -0x1.c8b951c8072bcp-8, -0x1.bc139a0f9c6c3p-8, -0x1.afc1821b37f65p-8, -0x1.a3c1193040762p-8, -0x1.981077fd7dc63p-8, -0x1.8cadc080af589p-8, -0x1.81971deb7613dp-8, -0x1.76cac487e02cdp-8, -0x1.6c46f19cbb052p-8, -0x1.6209eb517b33p-8, -0x1.58120091ca77dp-8, -0x1.4e5d88f1201fdp-8, -0x1.44eae48dbedadp-8, -0x1.3bb87bf39ce84p-8, -0x1.32c4bfff4a92bp-8, -0x1.2a0e29c07627cp-8, -0x1.21933a5c8553cp-8, -0x1.19527af10eaf3p-8, -0x1.114a7c764a025p-8, -0x1.0979d7a1495d7p-8, -0x1.01df2cc65878ep-8, -0x1.f4f247769c043p-9, -0x1.e68cd773dd497p-9, -0x1.d88b7684aec98p-9, -0x1.caeb9ffb36f6dp-9, -0x1.bdaadd402fc99p-9, -0x1.b0c6c59895e12p-9, -0x1.a43cfdeaf1c04p-9, -0x1.980b38855d107p-9, -0x1.8c2f34e38904ep-9, -0x1.80a6bf75556b2p-9, -0x1.756fb165a4889p-9, -0x1.6a87f0614deddp-9, -0x1.5fed6e5ec56f4p-9, -0x1.559e296618cf1p-9, -0x1.4b982b595faeep-9, -0x1.41d989bd8a14ap-9, -0x1.3860658408ccp-9, -0x1.2f2aead467b5p-9, -0x1.263750d697269p-9, -0x1.1d83d97e008a4p-9, -0x1.150ed154c7719p-9, -0x1.0cd68f47dd361p-9, -0x1.04d974738fe2dp-9, -0x1.fa2bd7e1809fcp-10, -0x1.eb14d544d05cfp-10, -0x1.dc6ade07f3e2ap-10, -0x1.ce2b01f0737c4p-10, -0x1.c05263316fdfbp-10, -0x1.b2de360bf0d92p-10, -0x1.a5cbc07074d7ap-10, -0x1.991859a1cdbf2p-10, -0x1.8cc169d8e7e9p-10, -0x1.80c469e9f84f6p-10, -0x1.751ee2eaf01ap-10, -0x1.69ce6ddbb9497p-10, -0x1.5ed0b34ec8f33p-10, -0x1.54236b13bac8cp-10, -0x1.49c45be34ac66p-10, -0x1.3fb15b0beec24p-10, -0x1.35e84c201f346p-10, -0x1.2c6720a5c93adp-10, -0x1.232bd7c7354a7p-10, -0x1.1a347e05117b3p-10, -0x1.117f2ce9d8dcp-10, -0x1.090a0abe82697p-10, -0x1.00d34a407e12bp-10, -0x1.f1b254b16c8d2p-11, -0x1.e233eba80ccdap-11, -0x1.d328063975e38p-11, -0x1.c48b67eb6a5c6p-11, -0x1.b65aea6cf90a9p-11, -0x1.a8937d10dbad1p-11, -0x1.9b32244b8e546p-11, -0x1.8e33f9320e168p-11, -0x1.819628fc31df3p-11, -0x1.7555f4886dcadp-11, -0x1.6970afe2e3612p-11, -0x1.5de3c1ce3a7a2p-11, -0x1.52aca34ed9391p-11, -0x1.47c8df386c79dp-11, -0x1.3d3611be36036p-11, -0x1.32f1e8046e92p-11, -0x1.28fa1fb4d622p-11, -0x1.1f4c86946ff1ap-11, -0x1.15e6fa1cce09dp-11, -0x1.0cc767163cd4ep-11, -0x1.03ebc9349b083p-11, -0x1.f6a4556c0cc01p-12, -0x1.e5f14808a5433p-12, -0x1.d5bab6ae249b6p-12, -0x1.c5fd08b28f3f9p-12, -0x1.b6b4bf9e069f7p-12, -0x1.a7de767d85a32p-12, -0x1.9976e1386b09fp-12, -0x1.8b7acbe8bfa5dp-12, -0x1.7de71a3787103p-12, -0x1.70b8c6be9b74dp-12, -0x1.63ece26ac04ep-12, -0x1.578093e4089ffp-12, -0x1.4b7116f860d65p-12, -0x1.3fbbbc08e7dc9p-12, -0x1.345de77c0fd61p-12, -0x1.29551132f03e3p-12, -0x1.1e9ec40086136p-12, -0x1.14389d24ed5f4p-12, -0x1.0a204bcd04b35p-12, -0x1.0053909263f5dp-12, -0x1.eda07a0017e69p-13, -0x1.db286634d155cp-13, -0x1.c93ac9d0c0f04p-13, -0x1.b7d3a8030f46ep-13, -0x1.a6ef223b74df1p-13, -0x1.9689774e56cddp-13, -0x1.869f02a1ccdap-13, -0x1.772c3b5c0d332p-13, -0x1.682db399c7491p-13, -0x1.59a017a66d21bp-13, -0x1.4b802d3c9623cp-13, -0x1.3dcad2c9a3f35p-13, -0x1.307cfeb78f8fcp-13, -0x1.2393beb90ab9ap-13, -0x1.170c371bf4d66p-13, -0x1.0ae3a2213cbd4p-13, -0x1.fe2e9eacdaea8p-14, -0x1.e74945ed4eefdp-14, -0x1.d1122a9904adap-14, -0x1.bb8464338b25fp-14, -0x1.a69b3006702eap-14, -0x1.9251f0026f604p-14, -0x1.7ea429a52051bp-14, -0x1.6b8d84e5c6962p-14, -0x1.5909cb2f011b2p-14, -0x1.4714e659d3c2ap-14, -0x1.35aadfb017beep-14, -0x1.24c7defe0d064p-14, -0x1.1468299be9bd6p-14, -0x1.0488218b1a3d7p-14, -0x1.ea488926fef54p-15, -0x1.cc7256d47be02p-15, -0x1.af8711b6be331p-15, -0x1.938051f6bf6b5p-15, -0x1.7857e0c35c14ap-15, -0x1.5e07b6c268295p-15, -0x1.4489fa97d8b95p-15, -0x1.2bd8ff7ace024p-15, -0x1.13ef43c92844bp-15, -0x1.f98edf61ddbbap-16, -0x1.ccb8a7b614191p-16, -0x1.a151d054734fp-16, -0x1.775094ef29336p-16, -0x1.4eab7abf5f513p-16, -0x1.27594e3ed6b3ap-16, -0x1.015120d00f66ep-16, -0x1.b9148d244a25fp-17, -0x1.71f8a87e1a25fp-17, -0x1.2d3e3a362143cp-17, -0x1.d5aac3d04b9d1p-18, -0x1.555d68ad7be7ep-18, -0x1.b2ecded3cc56dp-19, -0x1.8762ff84e5cb3p-20, 0x1.197e9a392da23p-22, 0x1.01ee069054bd8p-19, 0x1.d8be7853ce835p-19, 0x1.53ea82fd354e9p-18, 0x1.b7b20c3fc5219p-18, 0x1.0be72c17dce21p-17, 0x1.3a2b9c59b7d5fp-17, 0x1.66b1eb7fb9778p-17, 0x1.91855c8e51073p-17, 0x1.bab0e38d63c07p-17, 0x1.e23f282510cbp-17, 0x1.041d440c2299fp-16, 0x1.16568cd78a067p-16, 0x1.27d056fc15026p-16, 0x1.388f698ead69dp-16, 0x1.48986b45e4ddbp-16, 0x1.57efe3837c4bap-16, 0x1.669a3b5b6238fp-16, 0x1.749bbe9051baep-16, 0x1.81f89c8631d1p-16, 0x1.8eb4e92a2c7c1p-16, 0x1.9ad49dd6f291ap-16, 0x1.a65b9a3224f55p-16, 0x1.b14da50284d2cp-16, 0x1.bbae6cf5bb9acp-16, 0x1.c581896a01cb7p-16, 0x1.ceca7b2f9cc48p-16, 0x1.d78cad3c82a88p-16, 0x1.dfcb755f58813p-16, 0x1.e78a14ed56b5fp-16, 0x1.eecbb966e171dp-16, 0x1.f5937d1adc0e8p-16, 0x1.fbe467b785859p-16, 0x1.00e0b7736a936p-15, 0x1.0396bb6ed2a01p-15, 0x1.0615a97391dcep-15, 0x1.085ee2f22f7e4p-15, 0x1.0a73c16a71e8cp-15, 0x1.0c5596a76d428p-15, 0x1.0e05acfade3c5p-15, 0x1.0f85477694bc9p-15, 0x1.10d5a22593f64p-15, 0x1.11f7f242b076ap-15, 0x1.12ed6669c9948p-15, 0x1.13b726c978527p-15, 0x1.14565553bca6dp-15, 0x1.14cc0decef9cp-15, 0x1.1519669777b1fp-15, 0x1.153f6f9d7e011p-15, 0x1.153f33bd6529ep-15, 0x1.1519b84e84d97p-15, 0x1.14cffd681fa35p-15, 0x1.1462fe04d64cbp-15, 0x1.13d3b0287187dp-15, 0x1.13230501efd77p-15, 0x1.1251e90b574eep-15, 0x1.116144297eac8p-15, 0x1.1051f9c9e59e5p-15, 0x1.0f24e9005b4dap-15, 0x1.0ddaeca3c642fp-15, 0x1.0c74db6813c8ap-15, 0x1.0af387fa00b95p-15, 0x1.0957c11753db4p-15, 0x1.07a251a5fdc4ap-15, 0x1.05d400ccc6258p-15, 0x1.03ed92073bfb3p-15, 0x1.01efc53f6c623p-15, 0x1.ffb6adbe95fabp-16, 0x1.fb61ffcdd688fp-16, 0x1.f6e2ebfb4329ep-16, 0x1.f23ad70a1df12p-16, 0x1.ed6b1f55af769p-16, 0x1.e8751cf6b0031p-16, 0x1.e35a21dfca473p-16, 0x1.de1b7a00aa20fp-16, 0x1.d8ba6b62dfe19p-16, 0x1.d33836478b2bfp-16, 0x1.cd961543fca79p-16, 0x1.c7d53d5c2717dp-16, 0x1.c1f6de1fdb428p-16, 0x1.bbfc21c236031p-16, 0x1.b5e62d339ecf5p-16, 0x1.afb6203796bd4p-16, 0x1.a96d157a3c98p-16, 0x1.a30c22aa4cd5bp-16, 0x1.9c94588d644c2p-16, 0x1.9606c31374172p-16, 0x1.8f64696a5815ap-16, 0x1.88ae4e1225de1p-16, 0x1.81e56eeea4a39p-16, 0x1.7b0ac55a6427cp-16, 0x1.741f4637fa425p-16, 0x1.6d23e20414f98p-16, 0x1.661984e3c6509p-16, 0x1.5f0116b7393a5p-16, 0x1.57db7b2584043p-16, 0x1.50a991ac12eeap-16, 0x1.496c35ae785f2p-16, 0x1.42243e870f7adp-16, 0x1.3ad27f91fab8p-16, 0x1.3377c838b28e1p-16, 0x1.2c14e4020d22fp-16, 0x1.24aa9a9cd8b44p-16, 0x1.1d39afeca97dcp-16, 0x1.15c2e416de632p-16, 0x1.0e46f38fefd1fp-16, 0x1.06c6972430075p-16, 0x1.fe850808c011bp-17, 0x1.ef76d7a21efbep-17, 0x1.e063f9446546dp-17, 0x1.d14dc227887acp-17, 0x1.c23580a1cd7f1p-17, 0x1.b31c7c40d2d89p-17, 0x1.a403f5d428e9p-17, 0x1.94ed278586e31p-17, 0x1.85d944e98e8a7p-17, 0x1.76c97b13fd9d3p-17, 0x1.67bef0aa24ce3p-17, 0x1.58bac5f41ed03p-17, 0x1.49be14f897fc4p-17, 0x1.3ac9f182ecdaap-17, 0x1.2bdf693aa59c6p-17, 0x1.1cff83b3474fcp-17, 0x1.0e2b427a2194bp-17, 0x1.fec74255ae6dbp-18, 0x1.e1532afe43ab2p-18, 0x1.c3fc1ecbb4babp-18, 0x1.a6c3f2188951ep-18, 0x1.89ac6dde295e1p-18, 0x1.6cb74fdb0729fp-18, 0x1.4fe64aaa52535p-18, 0x1.333b05ea953bp-18, 0x1.16b71e574df01p-18, 0x1.f4b84bede85b6p-19, 0x1.bc574860da052p-19, 0x1.844e2bd49425cp-19, 0x1.4c9fdb544e3bdp-19, 0x1.154f275f023b5p-19, 0x1.bcbd98587f009p-20, 0x1.4fa2e3c0b92ep-20, 0x1.c6a6b369c3e84p-21, 0x1.df4fef84e58dep-22, 0x1.a534a53a84142p-25, -0x1.729bd6d645134p-22, -0x1.8b328b86ae77dp-21, -0x1.2da8e159695cp-20, -0x1.94d183a7976c3p-20, -0x1.fb0f0c45cfd94p-20, -0x1.302ebf45c8062p-19, -0x1.625c80afcaf99p-19, -0x1.940eef49b5626p-19, -0x1.c544414ac5f41p-19, -0x1.f5fabdf9eadefp-19, -0x1.13185eb83b465p-18, -0x1.2af2543345e59p-18, -0x1.428a7bf9de5dfp-18, -0x1.59e01aa60d7a8p-18, -0x1.70f27cd07f6ffp-18, -0x1.87c0f6ed7b932p-18, -0x1.9e4ae52e52e46p-18, -0x1.b48fab6b143c3p-18, -0x1.ca8eb50466593p-18, -0x1.e04774ca382b6p-18, -0x1.f5b964d6757c1p-18, -0x1.0572033c328dep-17, -0x1.0fe3710e15a5cp-17, -0x1.1a30c394a2d97p-17, -0x1.2459c5f69e295p-17, -0x1.2e5e46bf29ep-17, -0x1.383e17cf95486p-17, -0x1.41f90e53a47d1p-17, -0x1.4b8f02afa9fa1p-17, -0x1.54ffd0785e873p-17, -0x1.5e4b566343768p-17, -0x1.6771763b0cc06p-17, -0x1.707214cfaf625p-17, -0x1.794d19ebb9fd6p-17, -0x1.820270486427ap-17, -0x1.8a92057cb9609p-17, -0x1.92fbc9f2de3b4p-17, -0x1.9b3fb0dac2ed8p-17, -0x1.a35db01eb5c5bp-17, -0x1.ab55c05568c9ap-17, -0x1.b327dcb6dc15ep-17, -0x1.bad4030f4cf38p-17, -0x1.c25a33b1274a4p-17, -0x1.c9ba716ca0de2p-17, -0x1.d0f4c17e31907p-17, -0x1.d8092b849b18p-17, -0x1.def7b9781f5ep-17, -0x1.e5c07799ace34p-17, -0x1.ec63746ab967fp-17, -0x1.f2e0c09d25576p-17, -0x1.f9386f0da1d65p-17, -0x1.ff6a94b24b9ap-17, -0x1.02bba44817053p-16, -0x1.05af51d9eb308p-16, -0x1.089060900e4f2p-16, -0x1.0b5edee33c581p-16, -0x1.0e1adc3e8009ep-16, -0x1.10c468f8062b5p-16, -0x1.135b964c41d46p-16, -0x1.15e0765870bffp-16, -0x1.18531c16a90c2p-16, -0x1.1ab39b5599f0fp-16, -0x1.1d0208b48a5f1p-16, -0x1.1f3e799fa852ep-16, -0x1.21690448e349ep-16, -0x1.2381bfa3b0835p-16, -0x1.2588c35ee261fp-16, -0x1.277e27e18723ap-16, -0x1.29620644542cdp-16, -0x1.2b34784bc1de5p-16, -0x1.2cf5986710d22p-16, -0x1.2ea581a790cb7p-16, -0x1.30444fbc6abaep-16, -0x1.31d21ef068ee6p-16, -0x1.334f0c2302861p-16, -0x1.34bb34c37b6acp-16, -0x1.3616b6cd80bbp-16, -0x1.3761b0c50eea3p-16, -0x1.389c41b100e0cp-16, -0x1.39c68916505ffp-16, -0x1.3ae0a6f3d19cdp-16, -0x1.3beabbbfc3f42p-16, -0x1.3ce4e86164d72p-16, -0x1.3dcf4e2d9ef4fp-16, -0x1.3eaa0ee2a9bb7p-16, -0x1.3f754ca458aaep-16, -0x1.403129f72fc48p-16, -0x1.40ddc9bd3320fp-16, -0x1.417b4f332bfaep-16, -0x1.4209ddea7de6fp-16, -0x1.428999c5e4662p-16, -0x1.42faa6f6ebd28p-16, -0x1.435d29f94d24p-16, -0x1.43b1478edf96ep-16, -0x1.43f724bc7258ep-16, -0x1.442ee6c73b5edp-16, -0x1.4458b33098c38p-16, -0x1.4474afb232b5cp-16, -0x1.4483023a85295p-16, -0x1.4483d0e9d2038p-16, -0x1.447742109d702p-16, -0x1.445d7c2941868p-16, -0x1.4436a5d7563edp-16, -0x1.4402e5e2d0b03p-16, -0x1.43c26335c85e7p-16, -0x1.437544d96008ap-16, -0x1.431bb1f401dc5p-16, -0x1.42b5d1c5062b2p-16, -0x1.4243cba1b79b3p-16, -0x1.41c5c6f2e6bdp-16, -0x1.413beb3281f37p-16, -0x1.40a65fe82d8e5p-16, -0x1.40054ca7057dep-16, -0x1.3f58d90b26191p-16, -0x1.3ea12cb7744d9p-16, -0x1.3dde6f52a1cfep-16, -0x1.3d10c88481484p-16, -0x1.3c385ff3f84ccp-16, -0x1.3b555d434bd36p-16, -0x1.3a67e8114e1d3p-16, -0x1.397027f38f721p-16, -0x1.386e4475c9b01p-16, -0x1.376265167865ep-16, -0x1.364cb1461c089p-16, -0x1.352d5063f3ebap-16, -0x1.340469bed1625p-16, -0x1.32d2248fb82aep-16, -0x1.3196a7f9610d8p-16, -0x1.30521b058c97cp-16, -0x1.2f04a4a420214p-16, -0x1.2dae6ba83b477p-16, -0x1.2c4f96c7a65f2p-16, -0x1.2ae84c9866c29p-16, -0x1.2978b38f6ab4dp-16, -0x1.2800f1ff4e7d5p-16, -0x1.26812e158c8d1p-16, -0x1.24f98dd9d9342p-16, -0x1.236a372bca63fp-16, -0x1.21d34fc183931p-16, -0x1.2034fd28594efp-16, -0x1.1e8f64c0d2046p-16, -0x1.1ce2abbde9ed8p-16, -0x1.1b2ef7237d627p-16, -0x1.19746bc5c38afp-16, -0x1.17b32e47ad27ep-16, -0x1.15eb631be5d1fp-16, -0x1.141d2e7fd1597p-16, -0x1.1248b47ca9d86p-16, -0x1.106e18e549528p-16, -0x1.0e8d7f55f0103p-16, -0x1.0ca70b32aa9c9p-16, -0x1.0abadfa680154p-16, -0x1.08c91fa30c907p-16, -0x1.06d1eddf18d36p-16, -0x1.04d56cd5ff65ep-16, -0x1.02d3bec682407p-16, -0x1.00cd05b17992p-16, -0x1.fd82c6b348613p-17, -0x1.f961f283bef3ap-17, -0x1.f537d15de337fp-17, -0x1.f104a54989143p-17, -0x1.ecc8afcb3e36p-17, -0x1.e88431e2e61b9p-17, -0x1.e4376c0c07e62p-17, -0x1.dfe29e39e4c04p-17, -0x1.db8607dd5b4fbp-17, -0x1.d721e7de31db2p-17, -0x1.d2b67c98b61f8p-17, -0x1.ce4403df67e4cp-17, -0x1.c9cabaf8ae716p-17, -0x1.c54ade9ed5a89p-17, -0x1.c0c4aaff38bfcp-17, -0x1.bc385bb89ededp-17, -0x1.b7a62bdb67cc9p-17, -0x1.b30e55ea5e57dp-17, -0x1.ae7113d729882p-17, -0x1.a9ce9f041e1cp-17, -0x1.a527304054eefp-17, -0x1.a07affca153aap-17, -0x1.9bca454c0b385p-17, -0x1.971537e158a38p-17, -0x1.925c0e1184372p-17, -0x1.8d9efdd01a8fcp-17, -0x1.88de3c7cb6d18p-17, -0x1.8419fee29dc61p-17, -0x1.7f527937966d9p-17, -0x1.7a87df20a48f9p-17, -0x1.75ba63af92f29p-17, -0x1.70ea395f958d3p-17, -0x1.6c179216bd56fp-17, -0x1.67429f26e1bffp-17, -0x1.626b914cf0dfp-17, -0x1.5d9298b10ad3p-17, -0x1.58b7e4e76e1c8p-17, -0x1.53dba4eee2a7p-17, -0x1.4efe0732965fap-17, -0x1.4a1f398ae6f8p-17, -0x1.453f693b2af36p-17, -0x1.405ec2f3ad396p-17, -0x1.3b7d72cf6fa6fp-17, -0x1.369ba457a2845p-17, -0x1.31b9827feef1ep-17, -0x1.2cd737ad62151p-17, -0x1.27f4edb14a0b8p-17, -0x1.2312cdcaad7b2p-17, -0x1.1e3100a6d1e32p-17, -0x1.194fae616036ep-17, -0x1.146efe83ea14ap-17, -0x1.0f8f180ac9f3fp-17, -0x1.0ab021643d23dp-17, -0x1.05d2406d3386p-17, -0x1.00f59a74034f8p-17, -0x1.f834a86fe8e4p-18, -0x1.ee8123d7f3f6cp-18, -0x1.e4d0ee6ad8c4ap-18, -0x1.db244e5bf400fp-18, -0x1.d17b88c54e891p-18, -0x1.c7d6e1acbb663p-18, -0x1.be369c039e27fp-18, -0x1.b49af9a9e0f01p-18, -0x1.ab043b6c3f7d9p-18, -0x1.a172a1051b4f9p-18, -0x1.97e66922bf5c9p-18, -0x1.8e5fd162eaad6p-18, -0x1.84df165713e51p-18, -0x1.7b64738ad5078p-18, -0x1.71f0237fc67fdp-18, -0x1.68825faf53804p-18, -0x1.5f1b608c2cac1p-18, -0x1.55bb5d83b7027p-18, -0x1.4c628d019eb64p-18, -0x1.431124735f5bfp-18, -0x1.39c7584a8b00ap-18, -0x1.30855bf9782bfp-18, -0x1.274b61f4e8ffdp-18, -0x1.1e199bb88d4b3p-18, -0x1.14f039c8c9f16p-18, -0x1.0bcf6bb4078d4p-18, -0x1.02b76014ee49ep-18, -0x1.f35089249f62fp-19, -0x1.e1448bc84fb8dp-19, -0x1.cf4b1fa5c14dp-19, -0x1.bd649a7b98e6bp-19, -0x1.ab91502f5155p-19, -0x1.99d192cfe314dp-19, -0x1.8825b2a4789acp-19, -0x1.768dfe27c1978p-19, -0x1.650ac20b2f57cp-19, -0x1.539c493fa7a23p-19, -0x1.4242dcfe884a2p-19, -0x1.30fec4c3eb845p-19, -0x1.1fd0465364c64p-19, -0x1.0eb7a5bc2b3a6p-19, -0x1.fb6a4abbe2477p-20, -0x1.d9920be4549e9p-20, -0x1.b7e70d137942p-20, -0x1.9669c9380fe7bp-20, -0x1.751ab7f818465p-20, -0x1.53fa4dbc98f8ap-20, -0x1.3308fbcb7ddf4p-20, -0x1.12473041e239p-20, -0x1.e36aac4690419p-21, -0x1.a2a7aab6d1e62p-21, -0x1.6246258ff90dfp-21, -0x1.2246e095524e2p-21, -0x1.c555330240e61p-22, -0x1.46e4107e38861p-22, -0x1.92777b68ea7ap-23, -0x1.31764c1f14a6fp-24, 0x1.7da9135117e51p-25, 0x1.55f641a722657p-23, 0x1.257331bcf4c01p-22, 0x1.9f1c29a8b15eep-22, }}, 
      {{-0x1.29f9bfe37cd3ap-1, -0x1.2a077435b4eb2p-1, -0x1.2a1b9e452ef9ap-1, -0x1.2a37659594f4ap-1, -0x1.2a5e9155acdfbp-1, -0x1.2a961ce0941cbp-1, -0x1.2ae2dd3971b9dp-1, -0x1.2b488b8289522p-1, -0x1.2bc93f6ce7e51p-1, -0x1.2c6545ea96a9cp-1, -0x1.2d1b3856e0b4fp-1, -0x1.2de83a9a90755p-1, -0x1.2ec84c93364ecp-1, -0x1.2fb6a0edbea75p-1, -0x1.30adf087caa52p-1, -0x1.31a8c513c9fa2p-1, -0x1.32a1b8514ac9p-1, -0x1.3393a6eab4548p-1, -0x1.3479d72bff306p-1, -0x1.35501477e5dc9p-1, -0x1.3612c0c3fbae6p-1, -0x1.36bedd90b6c1fp-1, -0x1.37520dda95fccp-1, -0x1.37ca9271fdf5bp-1, -0x1.382742098059p-1, -0x1.38677e248aff6p-1, -0x1.388b25e797448p-1, -0x1.389287a1fef92p-1, -0x1.387e51c2a9eeep-1, -0x1.384f83c506555p-1, -0x1.38075f83e3b3fp-1, -0x1.37a75b441636fp-1, -0x1.373114b1228b6p-1, -0x1.36a644f284c83p-1, -0x1.3608b5effac48p-1, -0x1.355a38ce51f96p-1, -0x1.349c9da41390cp-1, -0x1.33d1ac5db0207p-1, -0x1.32fb1ec3216b1p-1, -0x1.321a9b8cf8358p-1, -0x1.3131b2742d181p-1, -0x1.3041d926983c2p-1, -0x1.2f4c69094b111p-1, -0x1.2e529db221a28p-1, -0x1.2d55940276164p-1, -0x1.2c5649cdd3302p-1, -0x1.2b559df8c0423p-1, -0x1.2a5450fd201f5p-1, -0x1.295305c32251bp-1, -0x1.285242bf42b43p-1, -0x1.2752734762e6bp-1, -0x1.2653e91280ac8p-1, -0x1.2556ddd7fd7bap-1, -0x1.245b7504c28f5p-1, -0x1.2361bd7dcf6abp-1, -0x1.2269b368eff3fp-1, -0x1.217341f5640cap-1, -0x1.207e451f3e8bep-1, -0x1.1f8a8b6924deep-1, -0x1.1e97d788dcbf4p-1, -0x1.1da5e203ccd02p-1, -0x1.1cb45ab93626fp-1, -0x1.1bc2ea5870ebcp-1, -0x1.1ad133c1f752ep-1, -0x1.19ded552718d6p-1, -0x1.18eb6a174bef1p-1, -0x1.17f68aecb33c6p-1, -0x1.16ffcf85129a2p-1, -0x1.1606cf5a632cap-1, -0x1.150b2289cb66ap-1, -0x1.140c629a32f46p-1, -0x1.130a2b2e87b95p-1, -0x1.12041aa48ce9fp-1, -0x1.10f9d2a118bd8p-1, -0x1.0feaf88ab5e7cp-1, -0x1.0ed735f3a0afap-1, -0x1.0dbe38f4200a5p-1, -0x1.0c9fb47638b87p-1, -0x1.0b7b6073b898ep-1, -0x1.0a50fa279715cp-1, -0x1.0920443397b97p-1, -0x1.07e906bb28108p-1, -0x1.06ab0f74521e5p-1, -0x1.056631afabd1ap-1, -0x1.041a46580d929p-1, -0x1.02c72beae0d03p-1, -0x1.016cc669bf475p-1, -0x1.000aff461e23ep-1, -0x1.fd438a8f54b81p-2, -0x1.fa6218dbf26e4p-2, -0x1.f7719b9c43bfap-2, -0x1.f4720ed9990cep-2, -0x1.f163782a71328p-2, -0x1.ee45e65b67cb6p-2, -0x1.eb197113e12cep-2, -0x1.e7de387745047p-2, -0x1.e49464c384b53p-2, -0x1.e13c25ed9b9d6p-2, -0x1.ddd5b33ca3348p-2, -0x1.da614ae412bb9p-2, -0x1.d6df319da535bp-2, -0x1.d34fb24363e1p-2, -0x1.cfb31d6a3906fp-2, -0x1.cc09c8fd6cc63p-2, -0x1.c8540fdb620a6p-2, -0x1.c4925173dc424p-2, -0x1.c0c4f16810ae9p-2, -0x1.bcec572cbffb5p-2, -0x1.b908edae841dp-2, -0x1.b51b22f881f3bp-2, -0x1.b12367dda4141p-2, -0x1.ad222fa476778p-2, -0x1.a917efb5c40f2p-2, -0x1.a5051f4e028ap-2, -0x1.a0ea3731a0fbp-2, -0x1.9cc7b1643f151p-2, -0x1.989e08e2d86dfp-2, -0x1.946db960e3c7p-2, -0x1.90373f0869707p-2, -0x1.8bfb163d0b0f2p-2, -0x1.87b9bb61fc544p-2, -0x1.8373aaa2dfe69p-2, -0x1.7f295fbf83a54p-2, -0x1.7adb55da70662p-2, -0x1.768a074a3e39cp-2, -0x1.7235ed6da318cp-2, -0x1.6ddf8082289fdp-2, -0x1.6987377d7e4cep-2, -0x1.652d87e953205p-2, -0x1.60d2e5c1a50b7p-2, -0x1.5c77c35577376p-2, -0x1.581c9129da08dp-2, -0x1.53c1bddf357b5p-2, -0x1.4f67b618bb00bp-2, -0x1.4b0ee465f6181p-2, -0x1.46b7b12e5f77dp-2, -0x1.4262829ee526ep-2, -0x1.3e0fbc9951f9bp-2, -0x1.39bfc0a57fc61p-2, -0x1.3572ede4455a7p-2, -0x1.3129a1040a3b7p-2, -0x1.2ce43436ed3dp-2, -0x1.28a2ff2a71a82p-2, -0x1.2466570096c69p-2, -0x1.202e8e4a525a4p-2, -0x1.1bfbf50356b28p-2, -0x1.17ced88f172b1p-2, -0x1.13a783b6f5fb8p-2, -0x1.0f863ea992f8dp-2, -0x1.0b6b4efb231b1p-2, -0x1.0756f7a6c637fp-2, -0x1.03497910d144fp-2, -0x1.fe862213e1f8ep-3, -0x1.f687f5a650d2p-3, -0x1.ee98de4519ffap-3, -0x1.e6b9485185d86p-3, -0x1.dee99b2e447c7p-3, -0x1.d72a394cfcc56p-3, -0x1.cf7b803cfe5d3p-3, -0x1.c7ddc8bb15391p-3, -0x1.c05166c24d36cp-3, -0x1.b8d6a99da87f3p-3, -0x1.b16ddbfaad6a7p-3, -0x1.aa1743fcb1817p-3, -0x1.a2d32350da938p-3, -0x1.9ba1b742be21p-3, -0x1.948338d191e7ep-3, -0x1.8d77dcc5dbfc2p-3, -0x1.867fd3c792956p-3, -0x1.7f9b4a749e60fp-3, -0x1.78ca6977b1456p-3, -0x1.720d559f6627ap-3, -0x1.6b642ff59c809p-3, -0x1.64cf15d6ff0c3p-3, -0x1.5e4e210ab4b1ep-3, -0x1.57e167da23e4dp-3, -0x1.5188fd28d149bp-3, -0x1.4b44f08c3670ep-3, -0x1.45154e63a07c7p-3, -0x1.3efa1ff001933p-3, -0x1.38f36b6bad385p-3, -0x1.33013421fb205p-3, -0x1.2d237a86ca5bbp-3, -0x1.275a3c4ddc0b5p-3, -0x1.21a57481fe94ep-3, -0x1.1c051b9c0b1a6p-3, -0x1.16792799a1d9ep-3, -0x1.11018c13b0046p-3, -0x1.0b9e3a54ae55p-3, -0x1.064f216e9f71dp-3, -0x1.01142e50c0047p-3, -0x1.f7da97b9cd8c5p-4, -0x1.edb4c5f935534p-4, -0x1.e3b6b56ba05adp-4, -0x1.d9e0307ea0f51p-4, -0x1.d030fe2996618p-4, -0x1.c6a8e21510a4cp-4, -0x1.bd479cc18635cp-4, -0x1.b40cebad44a38p-4, -0x1.aaf88979a178dp-4, -0x1.a20a2e0f6ee46p-4, -0x1.99418ec2a6979p-4, -0x1.909e5e7554b7ep-4, -0x1.88204db9b3936p-4, -0x1.7fc70af387673p-4, -0x1.77924278ac518p-4, -0x1.6f819eb0de2d9p-4, -0x1.6794c834b45d9p-4, -0x1.5fcb65ebd85f3p-4, -0x1.58251d2a704e7p-4, -0x1.50a191cdc4ba6p-4, -0x1.494066581cde8p-4, -0x1.42013c0bd84a1p-4, -0x1.3ae3b305c1631p-4, -0x1.33e76a569ebfap-4, -0x1.2d0c001c01ed2p-4, -0x1.2651119859746p-4, -0x1.1fb63b4a412cap-4, -0x1.193b19031d2ebp-4, -0x1.12df45fcf58ep-4, -0x1.0ca25cefa0634p-4, -0x1.0683f825345a4p-4, -0x1.0083b18dcc085p-4, -0x1.f54245a530909p-5, -0x1.e9b7cad0903dp-5, -0x1.de6725418a882p-5, -0x1.d34f877895f3cp-5, -0x1.c87023f3b65f4p-5, -0x1.bdc82d4e1a7e2p-5, -0x1.b356d65e8d2e2p-5, -0x1.a91b5254a31bfp-5, -0x1.9f14d4d4c29d6p-5, -0x1.95429212fe5e3p-5, -0x1.8ba3beeccc5ebp-5, -0x1.82379101a6a43p-5, -0x1.78fd3eca89a37p-5, -0x1.6ff3ffb06f022p-5, -0x1.671b0c21b7aabp-5, -0x1.5e719da69345p-5, -0x1.55f6eef46c1ddp-5, -0x1.4daa3c005a4d2p-5, -0x1.458ac210a5251p-5, -0x1.3d97bfcd5e2bep-5, -0x1.35d0755014ec7p-5, -0x1.2e342432a721ep-5, -0x1.26c20f9d452c4p-5, -0x1.1f797c5397cdp-5, -0x1.1859b0c11cfc8p-5, -0x1.1161f504c3963p-5, -0x1.0a9192fbc039fp-5, -0x1.03e7d64ba8676p-5, -0x1.fac818d7ab2b3p-6, -0x1.ee0b095c43bdcp-6, -0x1.e197208dde3e4p-6, -0x1.d56b04a91cab6p-6, -0x1.c9855fcc0de0fp-6, -0x1.bde4e0028c2fdp-6, -0x1.b28837516385cp-6, -0x1.a76e1bc0668dep-6, -0x1.9c95476364018p-6, -0x1.91fc786216e83p-6, -0x1.87a270ff08a07p-6, -0x1.7d85f79d823ebp-6, -0x1.73a5d6c68bdb1p-6, -0x1.6a00dd2d07e0fp-6, -0x1.6095ddb0de687p-6, -0x1.5763af616e168p-6, -0x1.4e692d7f1bcecp-6, -0x1.45a5377c1d5cdp-6, -0x1.3d16b0fc92c99p-6, -0x1.34bc81d5e0493p-6, -0x1.2c95960d61631p-6, -0x1.24a0ddd66ce19p-6, -0x1.1cdd4d8fc4484p-6, -0x1.1549ddc0665cfp-6, -0x1.0de58b13d0078p-6, -0x1.06af5655b6ca6p-6, -0x1.ff4c88da7ddf5p-7, -0x1.f192bcaf66184p-7, -0x1.e42f62458bfd7p-7, -0x1.d7209bccc5e0ap-7, -0x1.ca64937c359fp-7, -0x1.bdf97b8443d2dp-7, -0x1.b1dd8dffe13fp-7, -0x1.a60f0ce51f584p-7, -0x1.9a8c41f5177ap-7, -0x1.8f537eab3a1c3p-7, -0x1.84631c2bf7f69p-7, -0x1.79b97b32f0b3fp-7, -0x1.6f55040097b84p-7, -0x1.653426475fdeap-7, -0x1.5b5559187da8fp-7, -0x1.51b71ad02ac6ap-7, -0x1.4857f101a8dd3p-7, -0x1.3f366862c70fbp-7, -0x1.365114b73be52p-7, -0x1.2da690bba4682p-7, -0x1.25357e102ef9ap-7, -0x1.1cfc852323845p-7, -0x1.14fa551b2696p-7, -0x1.0d2da3c15caa6p-7, -0x1.05952d6b5a5f8p-7, -0x1.fc5f69c9cc28cp-8, -0x1.edf806b351919p-8, -0x1.dff1d07d91377p-8, -0x1.d24a7278c22f2p-8, -0x1.c4ffa42e10988p-8, -0x1.b80f29324d797p-8, -0x1.ab76d0f8bb05dp-8, -0x1.9f3476a5cf0dcp-8, -0x1.934600e1feb6p-8, -0x1.87a961aca21c9p-8, -0x1.7c5c962ed64dcp-8, -0x1.715da68e821fdp-8, -0x1.66aaa5c17ece3p-8, -0x1.5c41b160ed9dbp-8, -0x1.5220f17cb801cp-8, -0x1.4846986f6a64p-8, -0x1.3eb0e2b209daap-8, -0x1.355e16b043619p-8, -0x1.2c4c849cf95e5p-8, -0x1.237a8646f0f3p-8, -0x1.1ae67eee0b356p-8, -0x1.128edb18969b4p-8, -0x1.0a72106906938p-8, -0x1.028e9d740f9cp-8, -0x1.f5c6132e2a7fcp-9, -0x1.e6dbc99dfe369p-9, -0x1.d85b8f1f1be22p-9, -0x1.ca42a535d4e88p-9, -0x1.bc8e5db348319p-9, -0x1.af3c1a66685dbp-9, -0x1.a2494ccdbc533p-9, -0x1.95b375c9ef865p-9, -0x1.89782551a713p-9, -0x1.7d94fa25d220cp-9, -0x1.7207a186ddb47p-9, -0x1.66cdd6eb3ec85p-9, -0x1.5be563b6795dap-9, -0x1.514c1ef169905p-9, -0x1.46ffed036dd82p-9, -0x1.3cfebf6c8e0e6p-9, -0x1.334694805cc91p-9, -0x1.29d577220d357p-9, -0x1.20a97e816d817p-9, -0x1.17c0cdd8dfb8ep-9, -0x1.0f19942c4d261p-9, -0x1.06b20c0941cf6p-9, -0x1.fd10f68ef6b7p-10, -0x1.ed3665960ad01p-10, -0x1.ddd11c8dea601p-10, -0x1.cedde8027f994p-10, -0x1.c059a92f0cefep-10, -0x1.b2415589d5acp-10, -0x1.a491f651a07c4p-10, -0x1.9748a81cbb17bp-10, -0x1.8a629a6a7b21ap-10, -0x1.7ddd0f364fdfcp-10, -0x1.71b55a8ce75dp-10, -0x1.65e8e22303e48p-10, -0x1.5a751ceea2d6ap-10, -0x1.4f5792c1513b2p-10, -0x1.448ddbe49721p-10, -0x1.3a15a0b87e4ccp-10, -0x1.2fec99536e0c4p-10, -0x1.26108d243f9f2p-10, -0x1.1c7f5295e6d1cp-10, -0x1.1336ceb4e0553p-10, -0x1.0a34f4d642ec9p-10, -0x1.0177c640a310bp-10, -0x1.f1faa3ad38e6bp-11, -0x1.e1876785fb901p-11, -0x1.d1922a4d7aa86p-11, -0x1.c217579139e1bp-11, -0x1.b313738c9040cp-11, -0x1.a4831a8e041fp-11, -0x1.9663005fe27c6p-11, -0x1.88afefb3eae5ap-11, -0x1.7b66c9929c724p-11, -0x1.6e8484cc73f56p-11, -0x1.62062d6f1ed04p-11, -0x1.55e8e43d6fefdp-11, -0x1.4a29de29ddc18p-11, -0x1.3ec663d401d28p-11, -0x1.33bbd108dd4d3p-11, -0x1.290794461691cp-11, -0x1.1ea72e3fd40b9p-11, -0x1.14983169567c4p-11, -0x1.0ad8418005badp-11, -0x1.0165131982f06p-11, -0x1.f078d66773fbdp-12, -0x1.deb83d8fa3bd9p-12, -0x1.cd8424be90392p-12, -0x1.bcd8735800622p-12, -0x1.acb12e447dd98p-12, -0x1.9d0a772a3f7e5p-12, -0x1.8de08bab2d228p-12, -0x1.7f2fc4a6a7059p-12, -0x1.70f495801a571p-12, -0x1.632b8b699971fp-12, -0x1.55d14cb38e233p-12, -0x1.48e2981f90bb5p-12, -0x1.3c5c44384473ep-12, -0x1.303b3eacc6832p-12, -0x1.247c8bb098412p-12, -0x1.191d455e72a5p-12, -0x1.0e1a9b1fd8d4bp-12, -0x1.0371d11774f9ap-12, -0x1.f2407f210ef2bp-13, -0x1.de46a4e0e7055p-13, -0x1.caf111596eb8ap-13, -0x1.b83ae787bf38fp-13, -0x1.a61f6e7567616p-13, -0x1.949a103650b88p-13, -0x1.83a658f0dc1e2p-13, -0x1.733ff5e81f688p-13, -0x1.6362b48f836c9p-13, -0x1.540a81a41b7eep-13, -0x1.4533684ab0516p-13, -0x1.36d99133a937ap-13, -0x1.28f941c6d53a7p-13, -0x1.1b8edb5170212p-13, -0x1.0e96da3c2fd21p-13, -0x1.020dd545f95aep-13, -0x1.ebe0f98441fd5p-14, -0x1.d47733bc19c12p-14, -0x1.bdd81bd63fb7cp-14, -0x1.a7fda359a3068p-14, -0x1.92e1e9573d03bp-14, -0x1.7e7f391c45ea1p-14, -0x1.6ad008e874d59p-14, -0x1.57cef8affe2ccp-14, -0x1.4576d0e7c7bf8p-14, -0x1.33c281553c194p-14, -0x1.22ad1fead2dd8p-14, -0x1.1231e7aae964ep-14, -0x1.024c3791426eep-14, -0x1.e5ef230e7ad68p-15, -0x1.c85f32b9145dcp-15, -0x1.abe0279215a13p-15, -0x1.9069cae64375ap-15, -0x1.75f424010c4e4p-15, -0x1.5c77765742e51p-15, -0x1.43ec3fc02f818p-15, -0x1.2c4b36b9a5379p-15, -0x1.158d48bb51783p-15, -0x1.ff57312af19e9p-16, -0x1.d53ef9b47c601p-16, -0x1.acc4fcac4ee83p-16, -0x1.85dcad1a61a7ap-16, -0x1.6079dc9127178p-16, -0x1.3c90b859f9972p-16, -0x1.1a15c6bb463c2p-16, -0x1.f1fbc89796dc7p-17, -0x1.b27c82b819b69p-17, -0x1.7598bef17f4b9p-17, -0x1.3b3c1ded02aecp-17, -0x1.0352d927bca75p-17, -0x1.9b937ce0af6bbp-18, -0x1.351c56aaeead6p-18, -0x1.a6382396be279p-19, -0x1.d5be3ba9bde94p-20, -0x1.bf4b51fc61cdp-22, 0x1.cbacafc2541a9p-21, 0x1.15deebcf2f7c3p-19, 0x1.b1303d8125273p-19, 0x1.228ddc6b3944fp-18, 0x1.68ee199b9c7acp-18, 0x1.abd5669335b6ep-18, 0x1.eb5f7fbb289adp-18, 0x1.13d3aa0267528p-17, 0x1.30638592e728ep-17, 0x1.4b6c05c3f5068p-17, 0x1.64f98013c48dep-17, 0x1.7d17ef1c8351dp-17, 0x1.93d2f54422dc9p-17, 0x1.a935df72d0c9p-17, 0x1.bd4ba79d42b7ap-17, 0x1.d01ef74850e0dp-17, 0x1.e1ba29ea60896p-17, 0x1.f2274f46c86efp-17, 0x1.00b816d99d793p-16, 0x1.07cf222441745p-16, 0x1.0e5d6683e8001p-16, 0x1.14675f738e77p-16, 0x1.19f167eb8b433p-16, 0x1.1effbb5244145p-16, 0x1.23967673ae1e1p-16, 0x1.27b99869bc5f6p-16, 0x1.2b6d037ac8a9bp-16, 0x1.2eb47df4f77aep-16, 0x1.3193b3022d84cp-16, 0x1.340e3375a4618p-16, 0x1.3627769144519p-16, 0x1.37e2dac6246bdp-16, 0x1.3943a671a5118p-16, 0x1.3a4d0890fee97p-16, 0x1.3b02196a71cfcp-16, 0x1.3b65db3d09337p-16, 0x1.3b7b3ae3a99c5p-16, 0x1.3b451071a595fp-16, 0x1.3ac61fcd2c161p-16, 0x1.3a0119452a6f5p-16, 0x1.38f89a2176c68p-16, 0x1.37af2d2d5cfb9p-16, 0x1.36274b3ea568fp-16, 0x1.34635bbb6964ep-16, 0x1.3265b5186824bp-16, 0x1.30309d501c252p-16, 0x1.2dc64a5d99befp-16, 0x1.2b28e2aed8b25p-16, 0x1.285a7d942af59p-16, 0x1.255d23ab139cp-16, 0x1.2232cf48e4cf5p-16, 0x1.1edd6cdfb0629p-16, 0x1.1b5edb6292a9cp-16, 0x1.17b8ec9f77154p-16, 0x1.13ed65a027d0ap-16, 0x1.0ffdff03036e6p-16, 0x1.0bec654ff9fa3p-16, 0x1.07ba394cd52cfp-16, 0x1.0369104fd554cp-16, 0x1.fdf4e91a227bep-17, 0x1.f4dfcac4880fdp-17, 0x1.eb95af41354adp-17, 0x1.e2196baa889e4p-17, 0x1.d86dc121eaefp-17, 0x1.ce955d4fe33b1p-17, 0x1.c492dae84c0cfp-17, 0x1.ba68c22a2a9a2p-17, 0x1.b0198958e886dp-17, 0x1.a5a79532dfac9p-17, 0x1.9b1539675170cp-17, 0x1.9064b904bd582p-17, 0x1.859846e571a46p-17, 0x1.7ab2061739057p-17, 0x1.6fb40a4049033p-17, 0x1.64a05805761a2p-17, 0x1.5978e56beb3f1p-17, 0x1.4e3f9a341454dp-17, 0x1.42f65034595c1p-17, 0x1.379ed3b1116c9p-17, 0x1.2c3ae3afa783p-17, 0x1.20cc324c0640ep-17, 0x1.15546509b4792p-17, 0x1.09d515201e18p-17, 0x1.fc9f9f91848d6p-18, 0x1.e58c2d0d6e799p-18, 0x1.ce72bedd6daabp-18, 0x1.b7562ad48e226p-18, 0x1.a0393105dd2a2p-18, 0x1.891e7c3dc0c6dp-18, 0x1.7208a28630584p-18, 0x1.5afa25a16ad37p-18, 0x1.43f57381e8ceep-18, 0x1.2cfce6be2a71bp-18, 0x1.1612c70c0c7fp-18, 0x1.fe72935592738p-19, 0x1.d0e5239dba713p-19, 0x1.a3816221e0cb7p-19, 0x1.764b4fa1e0109p-19, 0x1.4946cb3583081p-19, 0x1.1c77931068bf8p-19, 0x1.dfc28a96981fcp-20, 0x1.870ec130884a6p-20, 0x1.2eda89ea6b1a3p-20, 0x1.ae58d18d2cca5p-21, 0x1.00154e2646158p-21, 0x1.4bdaa62e7125cp-23, -0x1.63ddb1486fd5dp-23, -0x1.03a9b129b7c78p-21, -0x1.ad154de7cf655p-21, -0x1.2a97ea12c65c3p-20, -0x1.7df79df7a25c6p-20, -0x1.d0a4f0be7827cp-20, -0x1.114da0ba7471ap-19, -0x1.39eb0f7cab24p-19, -0x1.6228a37cfdb11p-19, -0x1.8a04527157dbep-19, -0x1.b17c286f96ffp-19, -0x1.d88e476cc3693p-19, -0x1.ff38e6c1a1abap-19, -0x1.12bd2954bae4bp-18, -0x1.25a875e5db6d4p-18, -0x1.385d936ad035fp-18, -0x1.4adbc5fb336ap-18, -0x1.5d225b3bf5e5p-18, -0x1.6f30aa288bd23p-18, -0x1.810612db9deedp-18, -0x1.92a1fe58bcc3ep-18, -0x1.a403de59deec1p-18, -0x1.b52b2d1de885ep-18, -0x1.c6176d374a484p-18, -0x1.d6c8295bb1417p-18, -0x1.e73cf4331f442p-18, -0x1.f775682ac852fp-18, -0x1.03b893a0f7753p-17, -0x1.0b97ed7119a72p-17, -0x1.135899d9b446p-17, -0x1.1afa74b736ca5p-17, -0x1.227d5d5946455p-17, -0x1.29e1366edd89dp-17, -0x1.3125e5f1aff64p-17, -0x1.384b550f97036p-17, -0x1.3f517018fc1bap-17, -0x1.4638266d11d71p-17, -0x1.4cff6a676ad6ap-17, -0x1.53a7314d3a96p-17, -0x1.5a2f7339d5d8fp-17, -0x1.60982b0e3dbfdp-17, -0x1.66e1565dc2a66p-17, -0x1.6d0af55c71709p-17, -0x1.73150ad0d3fc3p-17, -0x1.78ff9bffb2bf7p-17, -0x1.7ecab09ddf511p-17, -0x1.847652be7d1a1p-17, -0x1.8a028ec51f74cp-17, -0x1.8f6f7353d747ep-17, -0x1.94bd113c325bap-17, -0x1.99eb7b708fb4dp-17, -0x1.9efac6f5a7d2bp-17, -0x1.a3eb0ad3d9d5bp-17, -0x1.a8bc60083f014p-17, -0x1.ad6ee176823c5p-17, -0x1.b202abdc4101bp-17, -0x1.b677ddc15c532p-17, -0x1.bace976bd2b82p-17, -0x1.bf06fad3383c9p-17, -0x1.c3212b91f24cep-17, -0x1.c71d4ed9b31dp-17, -0x1.cafb8b665bc65p-17, -0x1.cebc0972d279ap-17, -0x1.d25ef2ab96ca5p-17, -0x1.d5e472239c33ap-17, -0x1.d94cb447e9007p-17, -0x1.dc97e6d4a9051p-17, -0x1.dfc638ca4d50ap-17, -0x1.e2d7da61b11cbp-17, -0x1.e5ccfd00ea3b2p-17, -0x1.e8a5d33231a0dp-17, -0x1.eb629097dd183p-17, -0x1.ee0369e23bbe1p-17, -0x1.f08894c6d7e54p-17, -0x1.f2f247f47ae0bp-17, -0x1.f540bb0a635f9p-17, -0x1.f774268e31c46p-17, -0x1.f98cc3e2dda73p-17, -0x1.fb8acd406de6ap-17, -0x1.fd6e7da92833bp-17, -0x1.ff3810e1b2572p-17, -0x1.0073e1b3db7fbp-16, -0x1.013ee934b15dap-16, -0x1.01fd3ddeb4362p-16, -0x1.02aefeece002ap-16, -0x1.03544be64a3a7p-16, -0x1.03ed449a15a25p-16, -0x1.047a091b5589cp-16, -0x1.04fab9bcfd47cp-16, -0x1.056f770f0eef2p-16, -0x1.05d861d9a153ep-16, -0x1.06359b19fd745p-16, -0x1.068743fef5b91p-16, -0x1.06cd7de4d5727p-16, -0x1.07086a53c9b8p-16, -0x1.07382afab7272p-16, -0x1.075ce1ac8e0fp-16, -0x1.0776b05d26ffdp-16, -0x1.0785b91dfd7b8p-16, -0x1.078a1e1b2b807p-16, -0x1.078401982f099p-16, -0x1.077385ed5ea78p-16, -0x1.0758cd856df4bp-16, -0x1.0733fad950198p-16, -0x1.0705306ea447p-16, -0x1.06cc90d4687a2p-16, -0x1.068a3ea10114ep-16, -0x1.063e5c6e544f9p-16, -0x1.05e90cd8bee3ap-16, -0x1.058a727b2c9b1p-16, -0x1.0522afeddedd4p-16, -0x1.04b1e7c4af5e1p-16, -0x1.04383c8ae9445p-16, -0x1.03b5d0c23a3ap-16, -0x1.032ac6e01ac5ep-16, -0x1.0297414bda371p-16, -0x1.01fb625c351c5p-16, -0x1.01574c55b073p-16, -0x1.00ab2168d4697p-16, -0x1.ffee076098ee5p-17, -0x1.fe762a5c15138p-17, -0x1.fceeef94e203fp-17, -0x1.fb589aa476a0dp-17, -0x1.f9b36eea482a5p-17, -0x1.f7ffaf866e45bp-17, -0x1.f63d9f580b248p-17, -0x1.f46d80f99fe33p-17, -0x1.f28f96bd3fc1fp-17, -0x1.f0a422ad32fe9p-17, -0x1.eeab6684f0457p-17, -0x1.eca5a3af3cca7p-17, -0x1.ea931b444f436p-17, -0x1.e8740e0665208p-17, -0x1.e648bc5f22f91p-17, -0x1.e411665dd73ap-17, -0x1.e1ce4bb444b1ap-17, -0x1.df7fabb699e97p-17, -0x1.dd25c5562959cp-17, -0x1.dac0d7201c813p-17, -0x1.d8511f3beec8dp-17, -0x1.d5d6db6a0f508p-17, -0x1.d3524900b9e3ap-17, -0x1.d0c3a4e9c37b9p-17, -0x1.ce2b2ba19c9bp-17, -0x1.cb89193523942p-17, -0x1.c8dda940caebcp-17, -0x1.c62916efe2524p-17, -0x1.c36b9cf90d989p-17, -0x1.c0a5759ce22a4p-17, -0x1.bdd6daa53e702p-17, -0x1.bb000563ada4cp-17, -0x1.b8212eb00830ap-17, -0x1.b53a8ee7b6df4p-17, -0x1.b24c5debeb783p-17, -0x1.af56d32281908p-17, -0x1.ac5a257268879p-17, -0x1.a9568b4379bbcp-17, -0x1.a64c3a7ce393bp-17, -0x1.a33b6886f0e5fp-17, -0x1.a0244a478fc7ep-17, -0x1.9d0714224a594p-17, -0x1.99e3f9f6e71ffp-17, -0x1.96bb2f221e9dcp-17, -0x1.938ce67b70788p-17, -0x1.9059525794effp-17, -0x1.8d20a48569fefp-17, -0x1.89e30e4d7ea01p-17, -0x1.86a0c071c38ap-17, -0x1.8359eb2d8ca0bp-17, -0x1.800ebe35097d2p-17, -0x1.7cbf68b5484f9p-17, -0x1.796c19534af6dp-17, -0x1.7614fe2d48611p-17, -0x1.72ba44d9aee71p-17, -0x1.6f5c1a666781bp-17, -0x1.6bfaab58d4594p-17, -0x1.689623ad971fcp-17, -0x1.652eaedacea53p-17, -0x1.61c477cd94169p-17, -0x1.5e57a8ea61504p-17, -0x1.5ae86c0d6d19dp-17, -0x1.5776ea8b28874p-17, -0x1.54034d2f30097p-17, -0x1.508dbc3ff14bep-17, -0x1.4d165f7b63721p-17, -0x1.499d5e18180c4p-17, -0x1.4622dec545e6p-17, -0x1.42a707ab9ebf8p-17, -0x1.3f29fe6d4d6dcp-17, -0x1.3babe826b6649p-17, -0x1.382ce96e256c1p-17, -0x1.34ad26553bae5p-17, -0x1.312cc2699a7ep-17, -0x1.2dabe0b3e8005p-17, -0x1.2a2aa3b8af902p-17, -0x1.26a92d78c8ed8p-17, -0x1.23279f728d14ap-17, -0x1.1fa61aa31f8b8p-17, -0x1.1c24bf84dab7p-17, -0x1.18a3ae10d8b6ep-17, -0x1.152305bff1c28p-17, -0x1.11a2e58a73869p-17, -0x1.0e236be964654p-17, -0x1.0aa4b6d94aabcp-17, -0x1.0726e3d748d3bp-17, -0x1.03aa0fe370da3p-17, -0x1.002e5780b6207p-17, -0x1.f967ad6d5dd52p-18, -0x1.f275522333fc4p-18, -0x1.eb85d3475a407p-18, -0x1.e49966099d38dp-18, -0x1.ddb03ea9edc07p-18, -0x1.d6ca9078f926p-18, -0x1.cfe88dd8e88dep-18, -0x1.c90a683dc4634p-18, -0x1.c23050305c8dap-18, -0x1.bb5a755014751p-18, -0x1.b48906572fc2ap-18, -0x1.adbc3118681f3p-18, -0x1.a6f42281490b4p-18, -0x1.a031069e5ceaep-18, -0x1.9973089a37732p-18, -0x1.92ba52bed4ba9p-18, -0x1.8c070e7db8849p-18, -0x1.8559646bdadc8p-18, -0x1.7eb17c43e156dp-18, -0x1.780f7ce89bc4cp-18, -0x1.71738c670137ep-18, -0x1.6addcff89fbd5p-18, -0x1.644e6c050d96ap-18, -0x1.5dc584239be0ep-18, -0x1.57433b1c5b6d9p-18, -0x1.50c7b2ed2ef36p-18, -0x1.4a530cc9544ddp-18, -0x1.43e5691c440d8p-18, -0x1.3d7ee788e3f66p-18, -0x1.371fa6ee9244fp-18, -0x1.30c7c5690b74p-18, -0x1.2a77605605e95p-18, -0x1.242e945310ea9p-18, -0x1.1ded7d40849bbp-18, -0x1.17b43644f3672p-18, -0x1.1182d9cd3944ep-18, -0x1.0b59818df5057p-18, -0x1.05384689ba739p-18, -0x1.fe3e822121407p-19, -0x1.f21d11803103fp-19, -0x1.e60c690e7c20fp-19, -0x1.da0cb54e07843p-19, -0x1.ce1e216d196f1p-19, -0x1.c240d7471237bp-19, -0x1.b674ff698e09ap-19, -0x1.aabac11573d5fp-19, -0x1.9f124247834c7p-19, -0x1.937ba7ba3103bp-19, -0x1.87f714ea9988fp-19, -0x1.7c84ac1965135p-19, -0x1.71248e4f6012dp-19, -0x1.65d6db64c9cd4p-19, -0x1.5a9bb1ff2d45fp-19, -0x1.4f732f9d53f0ep-19, -0x1.445d7093b495cp-19, -0x1.395a9014faf1dp-19, -0x1.2e6aa833365cbp-19, -0x1.238dd1e31d127p-19, -0x1.18c42500cc892p-19, -0x1.0e0db8571b834p-19, -0x1.036aa19f33741p-19, -0x1.f1b5eb0afa6edp-20, -0x1.dcbd8f5849f45p-20, -0x1.c7ec555e2ad16p-20, -0x1.b3426052c79a1p-20, -0x1.9ebfd1703120dp-20, -0x1.8a64c7fcb484fp-20, -0x1.7631614abd38dp-20, -0x1.6225b8cadbp-20, -0x1.4e41e80ce6c69p-20, -0x1.3a8606cb1dbbdp-20, -0x1.26f22aed06a6bp-20, -0x1.1386688bc4b37p-20, -0x1.0042d20275664p-20, -0x1.da4eefda73124p-21, -0x1.b468d2680f486p-21, -0x1.8ed3661ba739ap-21, -0x1.698ec21718d45p-21, -0x1.449afa4098a6p-21, -0x1.1ff81f4107bcfp-21, -0x1.f74c7d2d129abp-22, -0x1.af4ac5580d936p-22, -0x1.67eb25c9c4f8p-22, -0x1.212da734758dap-22, -0x1.b62498ed06055p-23, -0x1.2b3225283f656p-23, -0x1.4307c3827ad12p-24, -0x1.919b23df4961cp-27, 0x1.b83243a5321fep-25, 0x1.e7de33fc9c46cp-24, 0x1.788e260169fd3p-23, 0x1.fbe9fc47df4c5p-23, 0x1.3f01773b9cbbep-22, 0x1.7f6cac115130ap-22, 0x1.bf36cf6134116p-22, 0x1.fe6018cbbbeb1p-22, 0x1.1e746250c9be9p-21, 0x1.3d6889f0d1105p-21, 0x1.5c0ca60ae76fp-21, 0x1.7a60dba1bfcd3p-21, 0x1.986551f158144p-21, 0x1.b61a325228848p-21, 0x1.d37fa83b46e2ap-21, 0x1.f095e137f19d4p-21, 0x1.06ae866c2a4f5p-20, 0x1.14eaae4ffe69dp-20, 0x1.22ff820504c4ep-20, 0x1.30ed1c3c881a7p-20, 0x1.3eb3989448981p-20, 0x1.4c531393c559ep-20, 0x1.59cbaaa425c4fp-20, 0x1.671d7c0dea146p-20, 0x1.7448a6f2165dfp-20, 0x1.814d4b4742dddp-20, 0x1.8e2b89d5b8fd9p-20, 0x1.9ae3842dba2c4p-20, 0x1.a7755ca67ec41p-20, 0x1.b3e1365935255p-20, 0x1.c027351b79ec9p-20, 0x1.cc477d7c3583dp-20, 0x1.d84234bcbcc6ep-20, 0x1.e41780ccd010ap-20, 0x1.efc7884969b5p-20, 0x1.fb527271f39abp-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      36, 0x1.5cccccccccccdp+2, 0x1.b45d1ef659712p+0, 0x1.b7205bbf223e6p+1, -0x1.d5914f9438173p-7, 
      {{
        {0x1.d851eb851eb85p+1, 0x1.d99999999999ap+1, 0x1.602d2d551db8dp-5, -0x1.90334f5ef7d48p-4, 0x1.55147b1c5a022p-4, -0x1.042dd9709ef08p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.583d8c2d83a6cp-5, -0x1.896af8a743434p-4, 0x1.512d64a62ea9fp-4, -0x1.fac8d066b78d5p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.328d8762fd0d2p-5, -0x1.68a67d0f28389p-4, 0x1.3e2c433bee2e5p-4, -0x1.ebc18e07a9b3fp-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.100c45f1ad0acp-5, -0x1.49c14e1f42295p-4, 0x1.2bbb67820b047p-4, -0x1.dd2ae45186cbap-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e115214d5dcecp-6, -0x1.2cad3484f78d4p-4, 0x1.19d6988bc9298p-4, -0x1.ce760f100e7d1p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a7b5323dedcbbp-6, -0x1.115c207e37f17p-4, 0x1.087ef7fb2f04ep-4, -0x1.bfc94f530d832p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.739ff38ea483bp-6, -0x1.ef7fef5e0821ep-5, 0x1.ef687069bd062p-5, -0x1.b11a650f7f009p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.447f6bb8ce643p-6, -0x1.bf9545251db4fp-5, 0x1.ceecdc08937fdp-5, -0x1.a26c0f61a6814p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.1a0072d569cd5p-6, -0x1.92dc11c262764p-5, 0x1.af8b27ae0d697p-5, -0x1.93bd91e39c13ep-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.e7a5653a4e26bp-7, -0x1.6938250ef3f25p-5, 0x1.9143565694e82p-5, -0x1.850f1f108cb2cp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.a3514cd0d0fd3p-7, -0x1.428d4ec7f4f0fp-5, 0x1.741567355727p-5, -0x1.7660a961bf646p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.666f365e8499dp-7, -0x1.1ebf5eb207811p-5, 0x1.58015a8135992p-5, -0x1.67b2347703eb5p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.306f5f12f55d3p-7, -0x1.fb64491f96e12p-6, 0x1.3d07302b7bb48p-5, -0x1.5903bf57ba651p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.00c7a75d13902p-7, -0x1.be92e048d4a82p-6, 0x1.2326e8381a869p-5, -0x1.4a554a468a364p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ade725d666c9p-8, -0x1.86d22265d1ab7p-6, 0x1.0a6082a6035c2p-5, -0x1.3ba6d5318a75cp-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.64e8915619e6bp-8, -0x1.53e9aefcaafe2p-6, 0x1.e567feeafebfap-6, -0x1.2cf8601da1351p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.25a125937881ap-8, -0x1.25a12593787cep-6, 0x1.b842bd4cf35e3p-6, -0x1.1e49eb0959695p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.de537acf04d43p-9, -0x1.f7804b60a6c39p-7, 0x1.8d514071f2c1cp-6, -0x1.0f9b75f53cfffp-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.814cf453fe8b3p-9, -0x1.ac1c9db2a90cap-7, 0x1.64938859f6684p-6, -0x1.00ed00e0fec93p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.328d8762fd0e8p-9, -0x1.68a6812929ab8p-7, 0x1.3e0995050363dp-6, -0x1.e47d1799ec829p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.e115214d5dd12p-10, -0x1.2cad34d05ac34p-7, 0x1.19b3667311a65p-6, -0x1.c7202d70c835fp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.739ff38ea483cp-10, -0x1.ef7fef68da6e1p-8, 0x1.ef21f9486babp-7, -0x1.a9c3434b070a4p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.1a0072d569d31p-10, -0x1.92dc11c32caeep-8, 0x1.af44af305dd05p-7, -0x1.8c6659198a387p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a3514cd0d1078p-11, -0x1.428d4ec7f6dffp-8, 0x1.73ceee9fbc483p-7, -0x1.6f096f12e45b5p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.306f5f12f55bp-11, -0x1.fb64491ff617p-9, 0x1.3cc0b7901a076p-7, -0x1.51ac846cb3d4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.ade725d666dp-12, -0x1.86d22264762fdp-9, 0x1.0a1a0a1965739p-7, -0x1.344f9c1a53ec5p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.25a1259378a9fp-12, -0x1.25a125988871fp-9, 0x1.b7b5cbc47e87p-8, -0x1.16f2ab181b45bp-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.814cf453feb81p-13, -0x1.ac1c9d8cdfeb1p-10, 0x1.640698707658dp-8, -0x1.f32bb501a9227p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.e115214d5deffp-14, -0x1.2cad355d612cap-10, 0x1.1926707d0360cp-8, -0x1.b87121dc7a362p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.1a0072d569ep-14, -0x1.92dc0da6898adp-11, 0x1.ae2af06b154b7p-9, -0x1.7dba15bbb9aebp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.306f5f12f58p-15, -0x1.fb6467d07eb75p-12, 0x1.3ba6504c5d954p-9, -0x1.42f5df7f9b1cep-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.25a1259379bffp-16, -0x1.25a0b3091d818p-12, 0x1.b585e74c2ae6bp-10, -0x1.0862caacd51cp-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.e115214d68p-18, -0x1.2cb08bc156146p-13, 0x1.16e43a7e117p-10, -0x1.9a30b4a07e4cap-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.306f5f12f9fffp-19, -0x1.fb326e62cdca8p-15, 0x1.37ab3bcf0a4cbp-11, -0x1.28f46d605eb1bp-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.e115214d6p-22, -0x1.2e21532f6f22ep-16, 0x1.0afdf45da2f8cp-12, -0x1.4788eea556bebp-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.e1152153fffffp-26, -0x1.014714b87723bp-19, 0x1.19e26183554p-14, -0x1.b65607badb3a4p-10}, 
      }}, 
      0x1.9c76242eaf98bp-6, -0x1.3ddcfd1e272cp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.458cc335e5765p-3, -0x1.481ee802f2dbp-3, -0x1.4bbf02fb7ddfap-3, -0x1.4f9817e91a177p-3, -0x1.52c18c0406c21p-3, -0x1.546660791835bp-3, -0x1.53e295d446ed2p-3, -0x1.50cd1ae6d2331p-3, -0x1.4af370d0ebc2fp-3, -0x1.424ed929cce58p-3, -0x1.36f9e01a9d3e1p-3, -0x1.29276f1d5965p-3, -0x1.191c36c01ebadp-3, -0x1.072953c4bfe1ap-3, -0x1.e74f5e8273869p-4, -0x1.bde8733d6c0fdp-4, -0x1.92d8f7dbf6585p-4, -0x1.66d751a83403ep-4, -0x1.3a9085eb2e674p-4, -0x1.0ea465255d62cp-4, -0x1.c74567da1ae93p-5, -0x1.7412480666f1cp-5, -0x1.248474fce884ap-5, -0x1.b29411e6f747fp-6, -0x1.25d6030222619p-6, -0x1.472d21634da81p-7, -0x1.62dab42c44c69p-9, 0x1.fc88a107cebb2p-9, 0x1.402e7d3d59d8bp-7, 0x1.ea95ac059c4c8p-7, 0x1.3f62de739466fp-6, 0x1.7eb27d1aaa568p-6, 0x1.b3a28a01f2ee9p-6, 0x1.deac0268e126ap-6, 0x1.0029b04fed075p-5, 0x1.0c926649df25ap-5, 0x1.14d885db06a26p-5, 0x1.194588887b9e6p-5, 0x1.1a231ce851dbbp-5, 0x1.17ba669be977ep-5, 0x1.12537deac4baep-5, 0x1.0a34f6fcabe3dp-5, 0x1.ff4749f56d24fp-6, 0x1.e5c49bdc8198fp-6, 0x1.c863018c93ba5p-6, 0x1.a79ebeefd3847p-6, 0x1.83ef3000ed392p-6, 0x1.5dc66310ec1c8p-6, 0x1.3590f67a955d7p-6, 0x1.0bb5fd021797ep-6, 0x1.c12db60db1e6ap-7, 0x1.691e63807375ap-7, 0x1.0fe9e2bdaba9cp-7, 0x1.6c60af151152p-8, 0x1.7219ad816b5e2p-9, 0x1.baa202f2bc052p-14, -0x1.52153982007bcp-9, -0x1.55ed1ca3288dap-8, -0x1.feed20116d8ebp-8, -0x1.51a7f407c40bcp-7, -0x1.a137910adbfe9p-7, -0x1.eddc13a9f4e7ep-7, -0x1.1baad02b4f1a7p-6, -0x1.3eb6b1ccd7567p-6, -0x1.5ffa8a6211689p-6, -0x1.7f633d1581148p-6, -0x1.9ce177ca8fd65p-6, -0x1.b86976d0ac783p-6, -0x1.d1f2caf561fddp-6, -0x1.e9781e2da4c53p-6, -0x1.fef6f807aa0ebp-6, -0x1.0937c1ba22052p-5, -0x1.11f2299294439p-5, -0x1.19ad14968a6c7p-5, -0x1.206bdf8899893p-5, -0x1.2632c6be1296fp-5, -0x1.2b06ce74a662ap-5, -0x1.2eeda8defdf7cp-5, -0x1.31ed9f9bb175ap-5, -0x1.340d7e2c26159p-5, -0x1.35547f3ea386p-5, -0x1.35ca344ccb197p-5, -0x1.357680af0b9f8p-5, -0x1.34617c0b5f5bdp-5, -0x1.329372db136fbp-5, -0x1.3014cc510e2d4p-5, -0x1.2cee052b49bcbp-5, -0x1.2927a8212212ap-5, -0x1.24ca3ec2518e2p-5, -0x1.1fde4a3c4f2dep-5, -0x1.1a6c45293a908p-5, -0x1.147c8e0474bcp-5, -0x1.0e176e41f9601p-5, -0x1.074510748d759p-5, -0x1.000d7f01938b4p-5, -0x1.f0f139a9dc597p-6, -0x1.e11c4f1194348p-6, -0x1.d0ab628bc8b5ep-6, -0x1.bfad4006fe3a1p-6, -0x1.ae3055dbeda14p-6, -0x1.9c42b2d37fe4fp-6, -0x1.89f203cfa757cp-6, -0x1.774b91be3e7e7p-6, -0x1.645c3d463c4ffp-6, -0x1.51307d387d927p-6, -0x1.3dd4601454005p-6, -0x1.2a53892a41eacp-6, -0x1.16b92cdf0e54bp-6, -0x1.0310121605ce2p-6, -0x1.dec52de274aa8p-7, -0x1.b7754a1f75529p-7, -0x1.9043754a87b56p-7, -0x1.6941ce0fe8cdep-7, -0x1.42818a8bc764ap-7, -0x1.1c131c659ed4bp-7, -0x1.ec0be976b8aecp-8, -0x1.a0d19fadbd281p-8, -0x1.5692db5754aa8p-8, -0x1.0d699852da0ddp-8, -0x1.8adbf3863fc07p-9, -0x1.fadafe88b2cadp-10, -0x1.cac6b76ad374fp-11, 0x1.530c50033a53bp-13, 0x1.342bf600a3e89p-10, 0x1.1bdd54ab57ac5p-9, 0x1.9a69268d9f6b7p-9, 0x1.0acf3c632dda2p-8, 0x1.46b290cb6fb58p-8, 0x1.80d3e0513e872p-8, 0x1.b9298cb4e07dap-8, 0x1.efab6966c22ep-8, 0x1.122933ff12c8bp-7, 0x1.2b8c49a9ec41dp-7, 0x1.43fc77900c09ep-7, 0x1.5b77cd97a713fp-7, 0x1.71fcd3347e8aap-7, 0x1.878a7a91690ebp-7, 0x1.9c203cb414f9ep-7, 0x1.afbde6a8cc938p-7, 0x1.c2639d8cb7802p-7, 0x1.d411ec9c20942p-7, 0x1.e4c9c16de5aefp-7, 0x1.f48c40bce2a83p-7, 0x1.01ad6ecf7e00cp-6, 0x1.089bac56ad1fep-6, 0x1.0f11dbffe25d6p-6, 0x1.15111609aefeap-6, 0x1.1a9a8efaefd23p-6, 0x1.1faf98416d952p-6, 0x1.2451a0650c501p-6, 0x1.28821af9a2119p-6, 0x1.2c4298857982dp-6, 0x1.2f94bf80a55c9p-6, 0x1.327a3eb3f66a6p-6, 0x1.34f4d6d60c04ap-6, 0x1.37065296eada3p-6, 0x1.38b0861d7ec95p-6, 0x1.39f55f33f9b61p-6, 0x1.3ad6c84e449bfp-6, 0x1.3b56b288ecb6p-6, 0x1.3b771c56bc7e4p-6, 0x1.3b3a0dc60d49cp-6, 0x1.3aa18f269ff7dp-6, 0x1.39afaf638f532p-6, 0x1.38667a77e544p-6, 0x1.36c80f0cc8ecfp-6, 0x1.34d687c9742cfp-6, 0x1.3293ffbf49ffdp-6, 0x1.300295b0897e8p-6, 0x1.2d246644a1a63p-6, 0x1.29fb9b90630b3p-6, 0x1.268a57172f9a6p-6, 0x1.22d2b9d702993p-6, 0x1.1ed6e48776ca6p-6, 0x1.1a98fdc2971a4p-6, 0x1.161b280fa35e1p-6, 0x1.115f889980625p-6, 0x1.0c683da3e3b3bp-6, 0x1.073760ad743e5p-6, 0x1.01cf16463b2adp-6, 0x1.f862eb8bf691bp-7, 0x1.ecc141230b088p-7, 0x1.e0bd533df63fbp-7, 0x1.d45b412a015bap-7, 0x1.c79f3221e3595p-7, 0x1.ba8d4bbbbbfe5p-7, 0x1.ad29a0bfabc43p-7, 0x1.9f7845eae0b23p-7, 0x1.917d3b4f03862p-7, 0x1.833c7f929a4p-7, 0x1.74ba0da446ba9p-7, 0x1.65f9d66cc7eb8p-7, 0x1.56ffc2bb73f05p-7, 0x1.47cfaa7839c2ep-7, 0x1.386d605595c8ep-7, 0x1.28dca7185d0abp-7, 0x1.1921428b6b01fp-7, 0x1.093ee856df399p-7, 0x1.f27279e6a9267p-8, 0x1.d227b0860c27fp-8, 0x1.b1a4965a9f1bap-8, 0x1.90f0293dad7bfp-8, 0x1.701165e60c649p-8, 0x1.4f0f1941b2114p-8, 0x1.2deff8380d301p-8, 0x1.0cba976f58028p-8, 0x1.d6eae9a53800bp-9, 0x1.944df96963623p-9, 0x1.51aae48ed19c1p-9, 0x1.0f0e1924ecee1p-9, 0x1.990738937bef7p-10, 0x1.142e7c76009a8p-10, 0x1.1f526c7eba868p-11, 0x1.71cad0c25aac9p-15, -0x1.e02fd40e633ddp-12, -0x1.f61fdb69a4adfp-11, -0x1.7d68419d26615p-10, -0x1.ff002e7ef59a9p-10, -0x1.3fe1b10e8ec28p-9, -0x1.7fcf0622f540bp-9, -0x1.bf3e7070e2915p-9, -0x1.fe26904213324p-9, -0x1.1e3f31683adfcp-8, -0x1.3d1e7893d8405p-8, -0x1.5bacc907d3789p-8, -0x1.79e609d0c2a1ap-8, -0x1.97c60b3ba4045p-8, -0x1.b54901da8f62bp-8, -0x1.d26b25225d8fdp-8, -0x1.ef28b3a283342p-8, -0x1.05bf1adcd5bb9p-7, -0x1.13b41c9ceda17p-7, -0x1.2171b24ab4337p-7, -0x1.2ef654cc3e6c1p-7, -0x1.3c407b875152fp-7, -0x1.494eb65d8b4afp-7, -0x1.561f9ce57de4fp-7, -0x1.62b1ddbeb3b9ep-7, -0x1.6f042bb2e15dfp-7, -0x1.7b1551dc8bae5p-7, -0x1.86e42c7c0b69cp-7, -0x1.926fa4ff8803fp-7, -0x1.9db6ba76322ecp-7, -0x1.a8b86dbd19cdap-7, -0x1.b373d3fd4eea1p-7, -0x1.bde80ce73516cp-7, -0x1.c8144ba37a0aep-7, -0x1.d1f7d2c484d06p-7, -0x1.db91f49924af1p-7, -0x1.e4e2103cb45d2p-7, -0x1.ede79120a3e1bp-7, -0x1.f6a1ec345fda2p-7, -0x1.ff10a420aefe8p-7, -0x1.0399a4f8fe7cbp-6, -0x1.0784bfe9b8e9ep-6, -0x1.0b497a184a972p-6, -0x1.0ee7b1e2f0907p-6, -0x1.125f49e3bd069p-6, -0x1.15b029478e927p-6, -0x1.18da3f4f28584p-6, -0x1.1bdd7f042a329p-6, -0x1.1eb9e4ac6e41cp-6, -0x1.216f703f9b6c8p-6, -0x1.23fe2914eb3f6p-6, -0x1.26661c180deffp-6, -0x1.28a75a12b5e1fp-6, -0x1.2ac1f811cd6cap-6, -0x1.2cb6105b22ebap-6, -0x1.2e83c266ffbf3p-6, -0x1.302b33fdf1f9fp-6, -0x1.31ac90e0c415cp-6, -0x1.330808a498907p-6, -0x1.343dcf967ce84p-6, -0x1.354e1f181e2c2p-6, -0x1.3639337204f2dp-6, -0x1.36ff4af1179f3p-6, -0x1.37a0ab01ff1f7p-6, -0x1.381d9d5c9aa7ep-6, -0x1.38767021a9311p-6, -0x1.38ab7552203d2p-6, -0x1.38bd0307829eep-6, -0x1.38ab72ba4bb8cp-6, -0x1.38772063432dp-6, -0x1.38206b0b3e4fcp-6, -0x1.37a7b52898571p-6, -0x1.370d64f325ac5p-6, -0x1.3651e4adc8eedp-6, -0x1.3575a186b65b5p-6, -0x1.34790c106bacdp-6, -0x1.335c97e2390bep-6, -0x1.3220ba3f36b0fp-6, -0x1.30c5eafe09005p-6, -0x1.2f4ca36cf28ep-6, -0x1.2db55fd49b453p-6, -0x1.2c009f40a3414p-6, -0x1.2a2ee392608b8p-6, -0x1.2840aff1d9b97p-6, -0x1.26368d3f1e753p-6, -0x1.241100d6192dbp-6, -0x1.21d093717b9fcp-6, -0x1.1f75cce7559fcp-6, -0x1.1d01427d285d8p-6, -0x1.1a737cd4b453p-6, -0x1.17cd0a8be28b3p-6, -0x1.150e7cad80fc4p-6, -0x1.123865258bafbp-6, -0x1.0f4b5778e3b57p-6, -0x1.0c47e8961e3cp-6, -0x1.092ead47589fcp-6, -0x1.06003addd6705p-6, -0x1.02bd28abdd214p-6, -0x1.fecc1bc9f4e29p-7, -0x1.f7f702c1d17a4p-7, -0x1.f0fc35b62e4ap-7, -0x1.e9dce5f181d7cp-7, -0x1.e29a46669dedbp-7, -0x1.db358759f15c2p-7, -0x1.d3afdc88098c7p-7, -0x1.cc0a78cb67773p-7, -0x1.c4468dfc23d52p-7, -0x1.bc654e1548a58p-7, -0x1.b467ea7ea7cfdp-7, -0x1.ac4f93c101972p-7, -0x1.a41d79f1a35edp-7, -0x1.9bd2cc90f5333p-7, -0x1.9370ba3f356a6p-7, -0x1.8af86f3214f9fp-7, -0x1.826b17e713f8bp-7, -0x1.79c9dd46d0821p-7, -0x1.7115e78bfb92ep-7, -0x1.68505dae70e15p-7, -0x1.5f7a64038d50cp-7, -0x1.56951eafd53dbp-7, -0x1.4da1af5acf4e6p-7, -0x1.44a1361fa9bfbp-7, -0x1.3b94d0442fc5dp-7, -0x1.327d987746552p-7, -0x1.295ca63a3950bp-7, -0x1.20330d2a01369p-7, -0x1.1701dcac66e36p-7, -0x1.0dca20c72cfcep-7, -0x1.048ce374954fp-7, -0x1.f69657a88e4f2p-8, -0x1.e40c00a6d2246p-8, -0x1.d17cccb798b46p-8, -0x1.beeac35d41e04p-8, -0x1.ac57e4dcb108ep-8, -0x1.99c628f769p-8, -0x1.87377cc9839e8p-8, -0x1.74adc456c3f36p-8, -0x1.622ad62573839p-8, -0x1.4fb074b1e3a89p-8, -0x1.3d405bf0f50b8p-8, -0x1.2adc431e9627p-8, -0x1.1885dba24f97dp-8, -0x1.063ed36cb25dfp-8, -0x1.e811bcb49a76bp-9, -0x1.c3cb5e7c0f8d2p-9, -0x1.9fadf1b37f236p-9, -0x1.7bbcd2d8f7554p-9, -0x1.57fb49dad7e77p-9, -0x1.346c7c99a5704p-9, -0x1.1113634f8be21p-9, -0x1.dbe585725ff6ep-10, -0x1.961a5b1b38451p-10, -0x1.50ca16adb9632p-10, -0x1.0bf95214daa3p-10, -0x1.8f592ecbf92d9p-11, -0x1.07d11c72188d4p-11, -0x1.02c881dfa4994p-12, 0x1.f1709c6d22c1fp-18, 0x1.0ff24a9fa57f8p-12, 0x1.0ad301af25993p-11, 0x1.8c64ad083727cp-11, 0x1.0651ac6fbeb84p-10, 0x1.45c28185d765ep-10, 0x1.8480e62edf7a6p-10, 0x1.c289c7665bd3p-10, 0x1.ffdb217a09e0ep-10, 0x1.1e39dcc8da7f5p-9, 0x1.3c295b8d5ff34p-9, 0x1.59bb8f4e02c76p-9, 0x1.76efa08a12b2ap-9, 0x1.93c42166c3033p-9, 0x1.b036ec4bc2d0dp-9, 0x1.cc4527fb989f7p-9, 0x1.e7eb741172e69p-9, 0x1.019326bca2252p-8, 0x1.0ef93fbf49b72p-8, 0x1.1c26cd05da2ccp-8, 0x1.291b2df16f49fp-8, 0x1.35d675369b3fp-8, 0x1.425963dce0bd4p-8, 0x1.4ea53fc88e4e3p-8, 0x1.5abb8913fe026p-8, 0x1.669d9ad3975dap-8, 0x1.724c476fb325bp-8, 0x1.7dc7879a3d653p-8, 0x1.890e4dac4f5fdp-8, 0x1.941e8ecc706d4p-8, 0x1.9ef57c43f5776p-8, 0x1.a98ff49b9de05p-8, 0x1.b3eb1acdede26p-8, 0x1.be04e43b45833p-8, 0x1.c7dc83b2a0dfbp-8, 0x1.d172d99b08f02p-8, 0x1.daca276bcdda4p-8, 0x1.e3e6103c50d58p-8, 0x1.eccabff6ec155p-8, 0x1.f57c3c3afcc69p-8, 0x1.fdfd94447fa0cp-8, 0x1.03281cb3194ecp-7, 0x1.0739cc3975bdap-7, 0x1.0b3289632ebefp-7, 0x1.0f10322a5967fp-7, 0x1.12d02ccf8a0fep-7, 0x1.166fe2f784cafp-7, 0x1.19ed428a0e59bp-7, 0x1.1d472dad58a2ep-7, 0x1.207dc2f9b7637p-7, 0x1.23926d9714f39p-7, 0x1.2687b85177db8p-7, 0x1.2960e81e33c2fp-7, 0x1.2c216fb4c8875p-7, 0x1.2ecc5614a2025p-7, 0x1.3163ad897934cp-7, 0x1.33e8363db509bp-7, 0x1.36593eefa6073p-7, 0x1.38b4ca014a914p-7, 0x1.3af7ef99ed696p-7, 0x1.3d1f6a47fc17ap-7, 0x1.3f28344213ce4p-7, 0x1.411019c464137p-7, 0x1.42d6266940a5p-7, 0x1.447ad8611874ep-7, 0x1.4600138518573p-7, 0x1.4768d18ba4aeep-7, 0x1.48b8a2662f74bp-7, 0x1.49f3140e498b5p-7, 0x1.4b1b1963dc40ep-7, 0x1.4c329eb59b173p-7, 0x1.4d3a43a80a7f3p-7, 0x1.4e316238a7d28p-7, 0x1.4f1641929c0b2p-7, 0x1.4fe680477e008p-7, 0x1.509f91e1da722p-7, 0x1.513f4024898acp-7, 0x1.51c41a1a7001ap-7, 0x1.522dbf0509c42p-7, 0x1.527cf846394ebp-7, 0x1.52b39beb6ef3fp-7, 0x1.52d43a7ea2f5fp-7, 0x1.52e1a66a9faadp-7, 0x1.52de6b8f8f0f4p-7, 0x1.52cc5b5547d4fp-7, 0x1.52ac48599b72ap-7, 0x1.527dfa822c6e6p-7, 0x1.5240638a4eebdp-7, 0x1.51f1fadd84f73p-7, 0x1.5191250e7186dp-7, 0x1.511c8da641472p-7, 0x1.509363285e27dp-7, 0x1.4ff57354fd989p-7, 0x1.4f432c251cf87p-7, 0x1.4e7d8cb4d7062p-7, 0x1.4da615638e824p-7, 0x1.4cbeb7486e21ep-7, 0x1.4bc9b4c983d47p-7, 0x1.4ac96a357309fp-7, 0x1.49bff812502fp-7, 0x1.48aee29bc42bap-7, 0x1.4796b466b0731p-7, 0x1.4676d62a507f6p-7, 0x1.454da6c9e0c2fp-7, 0x1.4418dba43ce2p-7, 0x1.42d613d6623ap-7, 0x1.41836eb599d95p-7, 0x1.401ff1a0ad953p-7, 0x1.3eab9a0049f7bp-7, 0x1.3d271cf6d04d9p-7, 0x1.3b937c5ce0cfdp-7, 0x1.39f1ab7324c82p-7, 0x1.3842712b55186p-7, 0x1.368695b93fa98p-7, 0x1.34bf32d12009fp-7, 0x1.32ee03e3a9832p-7, 0x1.31156f52d9eb6p-7, 0x1.2f384707a2633p-7, 0x1.2d594ec66158p-7, 0x1.2b7abc5af34c9p-7, 0x1.299de1583790cp-7, 0x1.27c30fc31474fp-7, 0x1.25e9a6486be8ap-7, 0x1.2410224c36373p-7, 0x1.223428157bdc9p-7, 0x1.20529272cd117p-7, 0x1.1e67ae5b26bcap-7, 0x1.1c6fba484568fp-7, 0x1.1a679a3cc2979p-7, 0x1.184d897f7e9a9p-7, 0x1.162185162d4bbp-7, 0x1.13e5404f707e9p-7, 0x1.119ba43fd80eap-7, 0x1.0f480cb5da41fp-7, 0x1.0ced9b7b79354p-7, 0x1.0a8ef12c5efffp-7, 0x1.082e7b78c90eap-7, 0x1.05cf24162787bp-7, 0x1.0374eb2c13b62p-7, 0x1.0124dc9ff589ap-7, 0x1.fdc85e6dfcc37p-8, 0x1.f96d7692bd18ap-8, 0x1.f53abd6c8c4d1p-8, 0x1.f129a9e784c26p-8, 0x1.ed2b12fe97691p-8, 0x1.e929395b13b44p-8, 0x1.e50c4d2c68abep-8, 0x1.e0c09fc1d1c9p-8, 0x1.dc3c89acbf2e1p-8, 0x1.d7833b9c007fep-8, 0x1.d2a2add35b61bp-8, 0x1.cdacdffab8101p-8, 0x1.c8b040b42addcp-8, 0x1.c3b3163bdde72p-8, 0x1.beb48ce5112dcp-8, 0x1.b9b202752f183p-8, 0x1.b4acf149ff20fp-8, 0x1.afae06f3c0acp-8, 0x1.aac3ef19719a5p-8, 0x1.a5feb187a7fedp-8, 0x1.a16a2fbb0d1a2p-8, 0x1.9d0a7210c7698p-8, 0x1.98dad27ec6922p-8, 0x1.94cf239c3eb5fp-8, 0x1.90d59b9507b3ep-8, 0x1.8cd96f81e5896p-8, 0x1.88c6bee5f179ap-8, 0x1.848f72e3ff244p-8, 0x1.802ef92f9f8b1p-8, 0x1.7baa6a8b0d249p-8, 0x1.770cb8f6fb603p-8, 0x1.72614f8876afcp-8, 0x1.6db05719a569dp-8, 0x1.68fe118169a2ap-8, 0x1.644cabc2b0c69p-8, 0x1.5f9ef20a9229ep-8, 0x1.5afa14eac4e5bp-8, 0x1.5665361df47bfp-8, 0x1.51e767eb1750dp-8, 0x1.4d8632ddfa416p-8, 0x1.494556596bb25p-8, 0x1.45266f15d7629p-8, 0x1.4127a70cf1756p-8, 0x1.3d4235ae7f439p-8, 0x1.396a885ddbc4p-8, 0x1.35931cbe714b5p-8, 0x1.31b177b41668ep-8, 0x1.2dc296b9dfc64p-8, 0x1.29cb8b01b39e5p-8, 0x1.25d5074ef6145p-8, 0x1.21e4c591720c4p-8, 0x1.1df9ca72321b4p-8, 0x1.1a0dcf7120df1p-8, 0x1.161a0a4ccd24p-8, 0x1.121c86ca96e6cp-8, 0x1.0e1b401efc7ddp-8, 0x1.0a21f6d61e2d1p-8, 0x1.063b6edf604d3p-8, 0x1.026ba519f93c5p-8, 0x1.fd5e97554e5adp-9, 0x1.f6002b9366584p-9, 0x1.eeb555c7df118p-9, 0x1.e78422fafaadbp-9, 0x1.e079f8a430d04p-9, 0x1.d99e340e14fefp-9, 0x1.d2e9446c98e13p-9, 0x1.cc473ad79931bp-9, 0x1.c5a17be9ec38bp-9, 0x1.bee8b136323cp-9, 0x1.b81b5a8ed7dc2p-9, 0x1.b1460c7e67592p-9, 0x1.aa7c432cbae36p-9, 0x1.a3cdce964b152p-9, 0x1.9d3fe846928ffp-9, 0x1.96d018b664457p-9, 0x1.907f462fbb862p-9, 0x1.8a53375a47b26p-9, 0x1.8449892b55d58p-9, 0x1.7e5022911d5f7p-9, 0x1.7851a598d4bcdp-9, 0x1.7247a5e1772fdp-9, 0x1.6c3dbddcaaa28p-9, 0x1.6643a44355624p-9, 0x1.605e9468d8495p-9, 0x1.5a8adfce02685p-9, 0x1.54cb5f8708e9ap-9, 0x1.4f305a7ad0929p-9, 0x1.49c9572a460d1p-9, 0x1.4492c2661b6f1p-9, 0x1.3f72ccb8fc236p-9, 0x1.3a47fc9b5f286p-9, 0x1.35017b14b49c9p-9, 0x1.2fac2a1fd66aep-9, 0x1.2a62aeb2a0b5fp-9, 0x1.25300bc499309p-9, 0x1.20096d2610e82p-9, 0x1.1ae7c47a6ac8ep-9, 0x1.15d95b0fcbdb8p-9, 0x1.10f14bfe8da39p-9, 0x1.0c3489c61b751p-9, 0x1.079d29d876a59p-9, 0x1.032433f87294cp-9, 0x1.fd84749b6bc01p-10, 0x1.f4d1f58b02636p-10, 0x1.ec072c1efe499p-10, 0x1.e30e5c647d3eap-10, 0x1.da05793635a0fp-10, 0x1.d12649d1f3f12p-10, 0x1.c88dba3368594p-10, 0x1.c030891ecbb86p-10, 0x1.b809e7b8b633cp-10, 0x1.b02edeaa2cd9cp-10, 0x1.a89a491355582p-10, 0x1.a10fbe7421447p-10, 0x1.99608cfffd459p-10, 0x1.91aa8b3ebfd67p-10, 0x1.8a1ed44437a1cp-10, 0x1.82b1cda6a56b4p-10, 0x1.7b40ab17edafcp-10, 0x1.73dd410780069p-10, 0x1.6cb04dbcafe99p-10, 0x1.65bb79b18f918p-10, 0x1.5ee4404478dbep-10, 0x1.58168e2dfc47ep-10, 0x1.514ec62cd15d2p-10, 0x1.4a94c19c37681p-10, 0x1.43f543696455bp-10, 0x1.3d7c3b6a767bcp-10, 0x1.37312fed5bc38p-10, 0x1.3115690e46916p-10, 0x1.2b1c14e56d1bap-10, 0x1.25252929e4e0cp-10, 0x1.1f1f780bb21cdp-10, 0x1.192fd4522259ap-10, 0x1.1383965cd86a7p-10, 0x1.0e10117c695bcp-10, 0x1.08b0d53ccff0ap-10, 0x1.03549b7108c0fp-10, 0x1.fbf46896411f3p-11, 0x1.f17bbe19fd588p-11, 0x1.e760e7948c8eep-11, 0x1.dd4f6d4129eb9p-11, 0x1.d3203008da359p-11, 0x1.c92a75bf18789p-11, 0x1.bf98e6a3f57ep-11, 0x1.b64339cdc698p-11, 0x1.ad04757f997a6p-11, 0x1.a3d5b1957aebep-11, 0x1.9abd13e45a797p-11, 0x1.91c187c7749e4p-11, 0x1.88e670b53a7fcp-11, 0x1.802c5f8a7ca7fp-11, 0x1.77930248298c9p-11, 0x1.6f1b055f38818p-11, 0x1.66c695839389ep-11, 0x1.5e97c64c4a717p-11, 0x1.568fe32af36dcp-11, 0x1.4eb7217a74d7cp-11, 0x1.472495369175p-11, 0x1.3fded3562db6cp-11, 0x1.38ba8f8650922p-11, 0x1.31b220df16bbcp-11, 0x1.2af0766ad9c83p-11, 0x1.242e61f9702c3p-11, 0x1.1d412da1d3dcep-11, 0x1.1693166ddcfefp-11, 0x1.10167b1b7a722p-11, 0x1.099d2ee70b48p-11, 0x1.035e1a6fee833p-11, 0x1.fab4b7744a44dp-12, 0x1.eed69e7324ab9p-12, 0x1.e30a0070ed7ddp-12, 0x1.d75bc7059dd86p-12, 0x1.cbdb1249a7318p-12, 0x1.c08fbb60bd2b6p-12, 0x1.b57bf81219ab6p-12, 0x1.aa9ef66215862p-12, 0x1.9ff72e62736e1p-12, 0x1.9583b21257456p-12, 0x1.8b44a1c26d42dp-12, 0x1.8139aa4700f1fp-12, 0x1.7761781cf379ap-12, 0x1.6db8ac3c4f9c9p-12, 0x1.643a51974c724p-12, 0x1.5ae345897255dp-12, 0x1.51b2897679db9p-12, 0x1.48a362237cb2ep-12, 0x1.3fb3ff3b17222p-12, 0x1.371bc4340e35cp-12, 0x1.2f42168cbe068p-12, 0x1.27d3df1edc257p-12, 0x1.202f14448646ap-12, 0x1.184d144015198p-12, 0x1.10299b51f0e0ep-12, 0x1.0888433caa635p-12, 0x1.01853bb408095p-12, 0x1.f546343520cd2p-13, 0x1.e77948fa2389fp-13, 0x1.d9c30501728p-13, 0x1.cc4435ad559e3p-13, 0x1.bf0cc9b811734p-13, 0x1.b221f087f58b8p-13, 0x1.a583c69beba6cp-13, 0x1.99302eb11f38p-13, 0x1.8d2427bbcb62fp-13, 0x1.815ca388cf61dp-13, 0x1.75d732b8b7845p-13, 0x1.6a928813ccc2cp-13, 0x1.5f8ea476a6a67p-13, 0x1.54cc379f11c75p-13, 0x1.4a4b16246f09p-13, 0x1.400886efe3dbap-13, 0x1.360067315891ep-13, 0x1.2c2ccb1d9628ep-13, 0x1.22894ef021bb4p-13, 0x1.191062aff6b26p-13, 0x1.0fbb4f93f254bp-13, 0x1.06a487d71d618p-13, 0x1.fc28a87ed306ep-14, 0x1.eba1ca80e6c9ap-14, 0x1.db1df09d917c5p-14, 0x1.cb013241d049ap-14, 0x1.bb88e2dc0beb6p-14, 0x1.ac2598f414985p-14, 0x1.9ceeab75e6f9ep-14, 0x1.8e73bd117f82cp-14, 0x1.8056ec8868461p-14, 0x1.726a5ccc33d88p-14, 0x1.64c12753d3768p-14, 0x1.576b02fedb559p-14, 0x1.4a6c573b3635cp-14, 0x1.3dc4ffa2d5ef6p-14, 0x1.3172861741e31p-14, 0x1.2572b52b88484p-14, 0x1.19c2ee5a2c002p-14, 0x1.0e60e02d732e2p-14, 0x1.034a8bf4dc83dp-14, 0x1.f0fcd0dd5707bp-15, 0x1.dbf6c51fa0b47p-15, 0x1.c78122b0acd39p-15, 0x1.b3994f18f9a42p-15, 0x1.a03ad6e6bd2b5p-15, 0x1.8d5fc8d547a82p-15, 0x1.7b02a42bd6818p-15, 0x1.6920f6675a235p-15, 0x1.57ba1f6a47313p-15, 0x1.46c4e071f7a32p-15, 0x1.3631b31e21ffep-15, 0x1.263c0e97d1b63p-15, 0x1.1725f47d78a6ep-15, 0x1.080dd27b41157p-15, 0x1.f23611d86c3c6p-16, 0x1.d5ec07d5f9372p-16, 0x1.ba87d56b98ec4p-16, 0x1.a04935394d993p-16, 0x1.867616074ed5fp-16, 0x1.6cd59fdbc31b8p-16, 0x1.54792a3ad495ap-16, 0x1.3d02dafeb6ff7p-16, 0x1.2610797a4cdd6p-16, 0x1.0fc169937eeb2p-16, 0x1.f4460017420a8p-17, 0x1.ca65c403c9ee8p-17, 0x1.a1e1095c23e2cp-17, 0x1.7aab89aa3f8f3p-17, 0x1.54b7ebd4657adp-17, 0x1.300544ec620efp-17, 0x1.0c83f0bf20da3p-17, 0x1.d4604148bde6dp-18, 0x1.9205c85bfc4d7p-18, 0x1.51eb0ef3c720bp-18, 0x1.1402fdcb8bd31p-18, 0x1.b07f7f8503412p-19, 0x1.3d24f7dbeecc8p-19, 0x1.9baf35a3382b4p-20, 0x1.89ea4a71c4ae7p-21, -0x1.41c9c2d259b1ep-25, -0x1.a2e080ad3a25cp-21, -0x1.9157cbbcf3d4ep-20, -0x1.2525b8b6dccf1p-19, -0x1.7e4b308be0608p-19, -0x1.d37961927e423p-19, -0x1.12d7be955b344p-18, -0x1.3a3530c79ef53p-18, -0x1.5fdd9044dbb07p-18, -0x1.841d44032fe3fp-18, -0x1.a6ea8a914c396p-18, -0x1.c84e45eb2a476p-18, -0x1.e84864d3bf351p-18, -0x1.036154372b523p-17, -0x1.11f0e57222afap-17, -0x1.1fd402e8a6b0cp-17, -0x1.2d1c2bce64278p-17, -0x1.39c066f8865c2p-17, -0x1.45c72bdc32b5cp-17, -0x1.5135e8fcd9fa4p-17, -0x1.5c10eda8f3f15p-17, -0x1.665c3ffc554fep-17, -0x1.701c0ef1f82cdp-17, -0x1.795484b93c651p-17, -0x1.81fab7496511cp-17, -0x1.8a3bba3633d77p-17, -0x1.91f304d114802p-17, -0x1.9930ebcf9bep-17, -0x1.9ff891a113511p-17, -0x1.a64eb1b95e19dp-17, -0x1.ac3b607ce4608p-17, -0x1.b1b8cd5cc3ffap-17, -0x1.b6ccadfc9c188p-17, -0x1.bb78c983faf8fp-17, -0x1.bfbfe7ee2cb6ep-17, -0x1.c3ae54b67e679p-17, -0x1.c743de93016c6p-17, -0x1.ca78545b42589p-17, -0x1.cd4293f78d669p-17, -0x1.cfc38ac70d2b8p-17, -0x1.d20de1016ef55p-17, -0x1.d4196577d5de9p-17, -0x1.d5b26ee06f6d2p-17, -0x1.d703335443e6ap-17, -0x1.d80cae5099f4ep-17, -0x1.d8d370cfa4bf5p-17, -0x1.d958b9a317878p-17, -0x1.d9a1e8b20711fp-17, -0x1.d9adddf15be01p-17, -0x1.d96bba8185a4cp-17, -0x1.d8e515127c088p-17, -0x1.d848f8ef76bf1p-17, -0x1.d7870edfb1076p-17, -0x1.d678f06d336dfp-17, -0x1.d53270f16cb31p-17, -0x1.d3bdafe73636p-17, -0x1.d21abf6c1507cp-17, -0x1.d04bcf51828acp-17, -0x1.ce5251c82f4b4p-17, -0x1.cc2fa7b0cae5fp-17, -0x1.c9e56c7afcfc7p-17, -0x1.c775366ca02b4p-17, -0x1.c4e0c2902fb4dp-17, -0x1.c22c1fc8561b1p-17, -0x1.bf3021a968929p-17, -0x1.bc59d8ce23134p-17, -0x1.b942de42c6104p-17, -0x1.b60d93ed2261p-17, -0x1.b2bb6c627abf6p-17, -0x1.af4e9854ec474p-17, -0x1.abc902645d2bbp-17, -0x1.a82fc566ee7b5p-17, -0x1.a486942a5bfafp-17, -0x1.a0b13a952a0fdp-17, -0x1.9cc22e1014efp-17, -0x1.98df788967c01p-17, -0x1.94e134e12dc1ap-17, -0x1.90cd57648656p-17, -0x1.8ca6aee17bf1fp-17, -0x1.8871218de9316p-17, -0x1.842db035410b7p-17, -0x1.7fdc9b589beep-17, -0x1.7b7fff5099fa3p-17, -0x1.7710563b85b5bp-17, -0x1.72a212954edf5p-17, -0x1.6e22a8d52a255p-17, -0x1.699b3cccb448ap-17, -0x1.650a0fd709bb1p-17, -0x1.607365ab99019p-17, -0x1.5bd4b98f86872p-17, -0x1.5723672e4d642p-17, -0x1.527c756460152p-17, -0x1.4dd922095629bp-17, -0x1.4923c476e85fcp-17, -0x1.44697d863cfddp-17, -0x1.3faf9209916b1p-17, -0x1.3af0ff2e1e059p-17, -0x1.363400c75dbd1p-17, -0x1.3175a9bbc0209p-17, -0x1.2cd0da2cc2badp-17, -0x1.27efedf3e40b4p-17, -0x1.23312a51b8f8ep-17, -0x1.1e6ea759a66d6p-17, -0x1.19af8ec506e2dp-17, -0x1.14efc6bf5909bp-17, -0x1.10341e27ee6dcp-17, -0x1.0b7bf3826c3a7p-17, -0x1.06c6859a8b489p-17, -0x1.0212cab019a89p-17, -0x1.fab43f623254fp-18, -0x1.f163139e343e7p-18, -0x1.e82e775335f05p-18, -0x1.ded63ea40e2e5p-18, -0x1.d599a8b48171ap-18, }}, 
      {{-0x1.4562d3e62951ap-3, -0x1.478ec959df6b2p-3, -0x1.4acd2a32e8307p-3, -0x1.4e9e37d9361c2p-3, -0x1.526ca4370f326p-3, -0x1.55a1a0dd38f4cp-3, -0x1.57b57be29f0cbp-3, -0x1.583aa49de8051p-3, -0x1.56e1958fa5e61p-3, -0x1.5377921b915a6p-3, -0x1.4de32131e840fp-3, -0x1.461fc67705e2p-3, -0x1.3c3a0e8005f73p-3, -0x1.304c1ace9da4p-3, -0x1.227a931b11fe8p-3, -0x1.12f21bd406c89p-3, -0x1.01e50c47b1369p-3, -0x1.df12e113a1de4p-4, -0x1.b82e9e29473dfp-4, -0x1.8f8e535b2efe4p-4, -0x1.65a16c863c561p-4, -0x1.3ad39c0afa07cp-4, -0x1.0f8b20c142812p-4, -0x1.c84edd96475f7p-5, -0x1.7200690c08043p-5, -0x1.1cc96a9658057p-5, -0x1.926dcda5abf48p-6, -0x1.df10e24f0cd2p-7, -0x1.46db1ce11c1bap-8, 0x1.1952427cf921cp-8, 0x1.b00ce8c2da893p-7, 0x1.62e900cdd84a8p-6, 0x1.e6a12fcd99432p-6, 0x1.3176104d09882p-5, 0x1.6bce51804a41ap-5, 0x1.a24c609a99ec6p-5, 0x1.d4eba50106eb9p-5, 0x1.01d76a61556a1p-4, 0x1.174f7d8b74d1ap-4, 0x1.2ae5472466f6dp-4, 0x1.3ca24c9aea958p-4, 0x1.4c92002e26778p-4, 0x1.5ac172520e785p-4, 0x1.673f0bab6b965p-4, 0x1.721a46ee6fa71p-4, 0x1.7b6375d87c80cp-4, 0x1.832b9480a0013p-4, 0x1.8984208374878p-4, 0x1.8e7eebc224c99p-4, 0x1.922dfbdad39f1p-4, 0x1.94a36701964adp-4, 0x1.95f13a7d0a5e5p-4, 0x1.962974662f19dp-4, 0x1.955dd412b65e7p-4, 0x1.939fda3edb551p-4, 0x1.9100b134f4aa3p-4, 0x1.8d9119a2f6869p-4, 0x1.89616ab820a03p-4, 0x1.848187a1c7952p-4, 0x1.7f00d10c90837p-4, 0x1.78ee1d57b4ac2p-4, 0x1.7257bb30b4951p-4, 0x1.6b4b619aeac76p-4, 0x1.63d63364c8f19p-4, 0x1.5c04bd9fd0873p-4, 0x1.53e2f453cf984p-4, 0x1.4b7c387528b91p-4, 0x1.42db4cf6325ebp-4, 0x1.3a0a625eaefbcp-4, 0x1.311317427fcebp-4, 0x1.27fe71d9d844fp-4, 0x1.1ed4ec1672b05p-4, 0x1.159e73d6c78f3p-4, 0x1.0c626ad6e2c68p-4, 0x1.0327b21ec154ap-4, 0x1.f3e95a04c899cp-5, 0x1.e19e7e5e5ba89p-5, 0x1.cf79abf7eebd3p-5, 0x1.bd84dfd8f1ca1p-5, 0x1.abc936b3a64e5p-5, 0x1.9a4efb494ddb1p-5, 0x1.891db55741db9p-5, 0x1.783c2e990ae32p-5, 0x1.67b07fcfd4211p-5, 0x1.5780105b41489p-5, 0x1.47afa8e32c3a1p-5, 0x1.38437e95caccap-5, 0x1.293f320a29bcp-5, 0x1.1aa5dd04a3117p-5, 0x1.0c7a2003853a6p-5, 0x1.fd7c3acb07345p-6, 0x1.e2e721cba0a4bp-6, 0x1.c937970b744fap-6, 0x1.b06f7ddd88226p-6, 0x1.988ffb2de2d01p-6, 0x1.81999b13ad95ep-6, 0x1.6b8c46b8944c9p-6, 0x1.5667572b75e66p-6, 0x1.42299e616ccc2p-6, 0x1.2ed17a61f7adcp-6, 0x1.1c5cd26cc4592p-6, 0x1.0ac927dac029ap-6, 0x1.f427403e4d183p-7, 0x1.d4720964cd92bp-7, 0x1.b66bb7c474e45p-7, 0x1.9a0cb40f993d6p-7, 0x1.7f4ced2a10652p-7, 0x1.6623e83b67ae2p-7, 0x1.4e88c526e63b6p-7, 0x1.387234425e263p-7, 0x1.23d6b43c9217dp-7, 0x1.10ac6ac5ab436p-7, 0x1.fdd29e2ae0abep-8, 0x1.dd06418b4bc94p-8, 0x1.bedf02978acbap-8, 0x1.a347c708e8548p-8, 0x1.8a2b4f82d72ffp-8, 0x1.73745e038f262p-8, 0x1.5f0d7d3c8b68cp-8, 0x1.4ce14cdd10b05p-8, 0x1.3cda5fd5c20fdp-8, 0x1.2ee364301874p-8, 0x1.22e741171d2e2p-8, 0x1.18d0d76048036p-8, 0x1.108b4aa86ad07p-8, 0x1.0a02148d25abp-8, 0x1.0520ce74b9b11p-8, 0x1.01d35ddbf5141p-8, 0x1.000604083a36ap-8, 0x1.ff4a8cbb80c66p-9, 0x1.009e10c9f3f84p-8, 0x1.02dd98f1830c9p-8, 0x1.0651942c46b26p-8, 0x1.0ae7f0a054cbcp-8, 0x1.108f2eb1b5416p-8, 0x1.173619b61e425p-8, 0x1.1ecbf01332de3p-8, 0x1.2740751c3ef87p-8, 0x1.3083bafa3f9f1p-8, 0x1.3a86506c80671p-8, 0x1.453933b5f0148p-8, 0x1.508de1b720bd9p-8, 0x1.5c7621e15db7fp-8, 0x1.68e460091c237p-8, 0x1.75cb446a9135bp-8, 0x1.831e08ac0901ep-8, 0x1.90d04909b3f0fp-8, 0x1.9ed6162806c9ep-8, 0x1.ad23dc1b59e74p-8, 0x1.bbae76c754369p-8, 0x1.ca6b3dada787cp-8, 0x1.d94fd77aa756ap-8, 0x1.e8525e3e9930dp-8, 0x1.f769445285e96p-8, 0x1.0345b1a93a1d8p-7, 0x1.0ad803ea05b88p-7, 0x1.12675907a3153p-7, 0x1.19efb2ed6c309p-7, 0x1.216d32f712539p-7, 0x1.28dc33671f901p-7, 0x1.30392da049f08p-7, 0x1.3780cafab915fp-7, 0x1.3eafdb0d0ca48p-7, 0x1.45c35a41d7638p-7, 0x1.4cb869934b712p-7, 0x1.538c463c6abccp-7, 0x1.5a3c6609ea4abp-7, 0x1.60c65015ce7cep-7, 0x1.6727bd234e0d3p-7, 0x1.6d5e79d8c4ff6p-7, 0x1.7368823bba55fp-7, 0x1.7943e9064c2b7p-7, 0x1.7eeee4e700f7p-7, 0x1.8467c4a46dbb8p-7, 0x1.89ad062a8dc8bp-7, 0x1.8ebd23d9afcd4p-7, 0x1.9396d9cc66a02p-7, 0x1.9838e4fabd318p-7, 0x1.9ca2252f12aaep-7, 0x1.a0d19422c1e5dp-7, 0x1.a4c6402d481p-7, 0x1.a87f5a78e2ef3p-7, 0x1.abfc1ec8a37ecp-7, 0x1.af3be6f994c4bp-7, 0x1.b23e1cadf300cp-7, 0x1.b50245e300e97p-7, 0x1.b787fd147d47bp-7, 0x1.b9cee193322a9p-7, 0x1.bbd6c19499b88p-7, 0x1.bd9f5fa95c2c1p-7, 0x1.bf28a695abadep-7, 0x1.c072869cbd7bep-7, 0x1.c17d045e54954p-7, 0x1.c248339198736p-7, 0x1.c2d43bd1926fep-7, 0x1.c3214b87f7a82p-7, 0x1.c32fa566431a2p-7, 0x1.c2ff9da157fb6p-7, 0x1.c291861e50a2ep-7, 0x1.c1e5d3ec28133p-7, 0x1.c0fcf71f1baa1p-7, 0x1.bfd76a6527032p-7, 0x1.be75c78c25b2fp-7, 0x1.bcd89d7eb746dp-7, 0x1.bb008fc597ff3p-7, 0x1.b8ee4a42b6ba1p-7, 0x1.b6a2812cef6b6p-7, 0x1.b41df77f30549p-7, 0x1.b1616ae4c563bp-7, 0x1.ae6db09c8e26fp-7, 0x1.ab439d97d1141p-7, 0x1.a7e40e6cceadep-7, 0x1.a44fe84cb06f1p-7, 0x1.a0881881531d6p-7, 0x1.9c8d8d1e0e604p-7, 0x1.98613d0a298a1p-7, 0x1.9404267290b0cp-7, 0x1.8f7748723e0ffp-7, 0x1.8abbabafe5813p-7, 0x1.85d25be73d4f9p-7, 0x1.80bc5f554a516p-7, 0x1.7b7ad07299046p-7, 0x1.760ec04bff6d7p-7, 0x1.70794b1d4e683p-7, 0x1.6abb85fead08dp-7, 0x1.64d694ce224fap-7, 0x1.5ecb942795318p-7, 0x1.589ba60d5e29fp-7, 0x1.5247ed6f36be7p-7, 0x1.4bd1908bb34c4p-7, 0x1.4539b4053dc69p-7, 0x1.3e817d70080dbp-7, 0x1.37aa18c5deb9bp-7, 0x1.30b4a90f5cf3bp-7, 0x1.29a257368aadp-7, 0x1.22744ab2b77cp-7, 0x1.1b2baf4b9a5d9p-7, 0x1.13c9a7efd2cd9p-7, 0x1.0c4f5c8e63b89p-7, 0x1.04bdf2aa2aab1p-7, 0x1.fa2d1f756efa7p-8, 0x1.eab4ab92baa83p-8, 0x1.db14cb75ee413p-8, 0x1.cb4fc825397adp-8, 0x1.bb67e0d99d5fdp-8, 0x1.ab5f430e35239p-8, 0x1.9b382e7c14dd7p-8, 0x1.8af4d336c203ep-8, 0x1.7a975d7e7fb64p-8, 0x1.6a21f60dd589fp-8, 0x1.5996c451f257p-8, 0x1.48f7e34b90c0dp-8, 0x1.38476b7b5ea3cp-8, 0x1.278770472c5cfp-8, 0x1.16b9fdbcd73ecp-8, 0x1.05e11e61d5911p-8, 0x1.e9fd9e0bc0dcfp-9, 0x1.c82a0ea1bd168p-9, 0x1.a64b85dc72f4bp-9, 0x1.8465d50392656p-9, 0x1.627cc21878809p-9, 0x1.40940d445eec5p-9, 0x1.1eaf66b8552ebp-9, 0x1.f9a4da5a069d1p-10, 0x1.b60165ec2f6b4p-10, 0x1.727b7a9adb3eep-10, 0x1.2f19e37c9756bp-10, 0x1.d7c6fc8e9d35fp-11, 0x1.51bdc6bfc767p-11, 0x1.984a440fc0a68p-12, 0x1.1c27fa89569a2p-13, -0x1.ec3a3cf2f7aacp-14, -0x1.8304a8cb01de8p-12, -0x1.44db10213e157p-11, -0x1.c785e2aca716cp-11, -0x1.24bb949cec995p-10, -0x1.6551dc2efdfbfp-10, -0x1.a5804dc27c9d1p-10, -0x1.e5419579f2b9ep-10, -0x1.12483587b480ap-9, -0x1.31b3e0b91b06p-9, -0x1.50e155a03e655p-9, -0x1.6fce23aa6e60dp-9, -0x1.8e77f9efdb551p-9, -0x1.acdc8d8ca707p-9, -0x1.caf9ae2628d9fp-9, -0x1.e8cd2f4b456ffp-9, -0x1.032a82a1110f8p-8, -0x1.11c7963f404ffp-8, -0x1.203cd4fdcf688p-8, -0x1.2e89524116c0ep-8, -0x1.3cac22c2ba8e1p-8, -0x1.4aa46b3db21d3p-8, -0x1.587151072998dp-8, -0x1.6612067b934e2p-8, -0x1.7385c416b94dfp-8, -0x1.80cbcd299c523p-8, -0x1.8de3624605493p-8, -0x1.9acbdcce28d66p-8, -0x1.a78498520bc04p-8, -0x1.b40cff49aa234p-8, -0x1.c0645e9ed8658p-8, -0x1.cc8a37b97c6eep-8, -0x1.d87e0487c03b2p-8, -0x1.e43f40a80f702p-8, -0x1.efcd7833e764ep-8, -0x1.fb283bbdc430ep-8, -0x1.03278da24d15ep-7, -0x1.08a0dd3926d76p-7, -0x1.0dffdf68e948cp-7, -0x1.13446a36e146p-7, -0x1.186e577143c81p-7, -0x1.1d7d82d3ecb9dp-7, -0x1.2271ce0560c67p-7, -0x1.274b1e212d3c7p-7, -0x1.2c095a7e2cf7fp-7, -0x1.30ac6de778f31p-7, -0x1.353445bbeda34p-7, -0x1.39a0d36f6a513p-7, -0x1.3df20bd8e1285p-7, -0x1.4227e68916c8bp-7, -0x1.46425e09f568cp-7, -0x1.4a416ffc9f2bdp-7, -0x1.4e251d16faba2p-7, -0x1.51ed684a51f61p-7, -0x1.559a56e59e50bp-7, -0x1.592bf52287921p-7, -0x1.5ca24aa23877dp-7, -0x1.5ffd68120a44cp-7, -0x1.633d5e9990662p-7, -0x1.6662414e1ed8ap-7, -0x1.696c27022c61p-7, -0x1.6c5b26d95a3fep-7, -0x1.6f2f5d4a684fcp-7, -0x1.71e8e700e5a9ap-7, -0x1.7487e3a0ef455p-7, -0x1.770c751d122abp-7, -0x1.7976bf51e75fp-7, -0x1.7bc6e7dda4a6cp-7, -0x1.7dfd164852103p-7, -0x1.801974e72f324p-7, -0x1.821c311bed64ep-7, -0x1.8405785515a09p-7, -0x1.85d57a7516c81p-7, -0x1.878c68d1cf9e9p-7, -0x1.892a7674bb114p-7, -0x1.8aafd902be2d5p-7, -0x1.8c1cc6ef68095p-7, -0x1.8d7179b1a4811p-7, -0x1.8eae29598d7ccp-7, -0x1.8fd30f3bb2c03p-7, -0x1.90e06a0f762p-7, -0x1.91d678484378ep-7, -0x1.92b5786ce90edp-7, -0x1.937daa3368b01p-7, -0x1.942f4f7aaaac7p-7, -0x1.94caab4e8b405p-7, -0x1.955001f12943dp-7, -0x1.95bf9832c73c8p-7, -0x1.9619b3615717bp-7, -0x1.965e999fd992dp-7, -0x1.968e928d2e359p-7, -0x1.96a9e6b1fbbd3p-7, -0x1.96b0df78250d2p-7, -0x1.96a3c74c603e7p-7, -0x1.9682e9eab7a74p-7, -0x1.964e934b5d1cap-7, -0x1.9607101db02edp-7, -0x1.95acad2a805a8p-7, -0x1.953fb724d0de8p-7, -0x1.94c07a8bb6e9ap-7, -0x1.942f443d07c5ap-7, -0x1.938c619fac38bp-7, -0x1.92d81ee6207d4p-7, -0x1.9212cd6da6ae7p-7, -0x1.913cb9e42f097p-7, -0x1.905637b6eb478p-7, -0x1.8f5f98447d5bcp-7, -0x1.8e592d80533bbp-7, -0x1.8d43497ff1fe7p-7, -0x1.8c1e3da8a11b4p-7, -0x1.8aea5a2249b16p-7, -0x1.89a7ed923cdd9p-7, -0x1.88574525fe677p-7, -0x1.86f8ada30785p-7, -0x1.858c741b1e60cp-7, -0x1.8412e33a307b4p-7, -0x1.828c4a949bd3p-7, -0x1.80f8fc55ecd91p-7, -0x1.7f594a50358f6p-7, -0x1.7dad87e67edb2p-7, -0x1.7bf608a52eb81p-7, -0x1.7a331f2a336ebp-7, -0x1.78651c94e80fbp-7, -0x1.768c4f80fa971p-7, -0x1.74a90407a9fd2p-7, -0x1.72bb8331c720ap-7, -0x1.70c4140146d5bp-7, -0x1.6ec2fc1ffb161p-7, -0x1.6cb881bff7a4ep-7, -0x1.6aa4eb0a5ba82p-7, -0x1.68887f70342f3p-7, -0x1.66638bd6209fap-7, -0x1.643662a384b1p-7, -0x1.62014120edb8cp-7, -0x1.5fc49c386d9bfp-7, -0x1.5d809267bdce1p-7, -0x1.5b3591230980bp-7, -0x1.58e3dae54559cp-7, -0x1.568bb3b874868p-7, -0x1.542d5c2c1b9eap-7, -0x1.51c912d805affp-7, -0x1.4f5f139956f3fp-7, -0x1.4cef97bcb48ffp-7, -0x1.4a7ad8f546faep-7, -0x1.48011167c2977p-7, -0x1.45827daacfc4dp-7, -0x1.42ff5d6759ebap-7, -0x1.4077f372f8616p-7, -0x1.3dec858ccd185p-7, -0x1.3b5d5b5b909f1p-7, -0x1.38cabd0a69594p-7, -0x1.3634f15707bfp-7, -0x1.339c3b93c959ep-7, -0x1.3100d9d5465b3p-7, -0x1.2e6303ab8189cp-7, -0x1.2bc2e9e2c3d9bp-7, -0x1.2920b78befdadp-7, -0x1.267c943ff3506p-7, -0x1.23d6a6d7d629bp-7, -0x1.212f17c571a89p-7, -0x1.1e861290a6fdfp-7, -0x1.1bdbc5ac9e22p-7, -0x1.1930670ed1271p-7, -0x1.16842d974bda6p-7, -0x1.13d756e0af64dp-7, -0x1.112a20fa92218p-7, -0x1.0e7cca1ae5f5p-7, -0x1.0bcf8e86f780ap-7, -0x1.0922a193919a8p-7, -0x1.0676329426737p-7, -0x1.03ca65a6ee7a3p-7, -0x1.011f5b3834202p-7, -0x1.fcea5807ec912p-8, -0x1.f797df150775p-8, -0x1.f2477c5e8598ep-8, -0x1.ecf9678500845p-8, -0x1.e7ade23a59d8bp-8, -0x1.e26538e750e2dp-8, -0x1.dd1fc0ff1a622p-8, -0x1.d7ddd5d1a09f8p-8, -0x1.d29fd4a5525e6p-8, -0x1.cd66107e37637p-8, -0x1.c830d690685f2p-8, -0x1.c3006b2c7ee81p-8, -0x1.bdd508f92257ep-8, -0x1.b8aee17be9756p-8, -0x1.b38e225ab4fc2p-8, -0x1.ae72fa1af63e2p-8, -0x1.a95d9a64bf587p-8, -0x1.a44e30718827ep-8, -0x1.9f44de61469fp-8, -0x1.9a41ca6fc5389p-8, -0x1.954528e31008p-8, -0x1.904f31bbe8f9cp-8, -0x1.8b60221766aeap-8, -0x1.867841975fd19p-8, -0x1.8197d6120157bp-8, -0x1.7cbf12ef043ebp-8, -0x1.77ee267c7b547p-8, -0x1.73250411bf5aap-8, -0x1.6e63b9b58d318p-8, -0x1.69aa47a3efa21p-8, -0x1.64f8b27d241cap-8, -0x1.604f126b101b8p-8, -0x1.5bad883081c7fp-8, -0x1.571436c5d2331p-8, -0x1.52833d0c64d4dp-8, -0x1.4dfab542ea9c1p-8, -0x1.497aba9847c5dp-8, -0x1.450370bdbc78cp-8, -0x1.40950a45ddc5ep-8, -0x1.3c2fac6790a5fp-8, -0x1.37d3df6e6b81bp-8, -0x1.338174bd2b6f6p-8, -0x1.2f38c6d580b55p-8, -0x1.2af9d56caaf7ep-8, -0x1.26c49ca0d60dp-8, -0x1.22990d0f7a0a8p-8, -0x1.1e7712800c55ap-8, -0x1.1a5e9945f5de5p-8, -0x1.164f90c5e231ap-8, -0x1.1249e9e737c62p-8, -0x1.0e4d93808d669p-8, -0x1.0a5a7928aa2a1p-8, -0x1.0670875f3ae74p-8, -0x1.028fb4300dfp-8, -0x1.fd700fdcb310bp-9, -0x1.f5d342130439cp-9, -0x1.ee4960a35a584p-9, -0x1.e6d2ded72eb38p-9, -0x1.df702cfb2e356p-9, -0x1.d821aacf9a21ep-9, -0x1.d0e79c59625c4p-9, -0x1.c9c23784aa1dap-9, -0x1.c2b1950f7f11p-9, -0x1.bbb5bb6004066p-9, -0x1.b4ce8f26a167ep-9, -0x1.adfbdb117d1e1p-9, -0x1.a73d460076d2dp-9, -0x1.a092683f1e4fap-9, -0x1.99fac478ce13bp-9, -0x1.9375f147f087cp-9, -0x1.8d03714d3dbdcp-9, -0x1.86a2f79376697p-9, -0x1.80544eca6a9a9p-9, -0x1.7a173a55565a2p-9, -0x1.73eb7bf099cb3p-9, -0x1.6dd112a8c9bf2p-9, -0x1.67c88210d79p-9, -0x1.61d22555fdd5cp-9, -0x1.5beedfa43c094p-9, -0x1.561f287979229p-9, -0x1.506358be5d0e6p-9, -0x1.4abb738a6f622p-9, -0x1.4527467420e1bp-9, -0x1.3fa68fe2f0edp-9, -0x1.3a39097f35d03p-9, -0x1.34de62e3f6fdbp-9, -0x1.2f963d0be1e14p-9, -0x1.2a603228c6e35p-9, -0x1.253be4fe63753p-9, -0x1.20290787e1283p-9, -0x1.1b274d728d62bp-9, -0x1.1636527ba2454p-9, -0x1.11558ea88e2b1p-9, -0x1.0c846e6d69401p-9, -0x1.07c2885352e35p-9, -0x1.030fcd7199b0dp-9, -0x1.fcd92462d050fp-10, -0x1.f3b2cf22d2a9ap-10, -0x1.eaadb992fca3ap-10, -0x1.e1ca9af0dc669p-10, -0x1.d909aa8133df1p-10, -0x1.d06aae8e7588cp-10, -0x1.c7ed2b989ac5ap-10, -0x1.bf90951da293fp-10, -0x1.b7546e7eaf24ap-10, -0x1.af384cea915a9p-10, -0x1.a73bc3dfad5ddp-10, -0x1.9f5e0062dc6eap-10, -0x1.979fb5287d3c2p-10, -0x1.8fff1373f872p-10, -0x1.887be54d1e703p-10, -0x1.811539d6d7cbep-10, -0x1.79ca2bed68f9ep-10, -0x1.729a2f2ec6e29p-10, -0x1.6b8542ec7a334p-10, -0x1.648bb7526f6d3p-10, -0x1.5dadacb2cbf46p-10, -0x1.56eac9b724c6ap-10, -0x1.504273e3add01p-10, -0x1.49b4506180c2dp-10, -0x1.4340781093fa3p-10, -0x1.3ce72f9e5ac47p-10, -0x1.36a87abed3badp-10, -0x1.3083fae7caba6p-10, -0x1.2a792dd051ff8p-10, -0x1.2487b61722489p-10, -0x1.1eafae8600499p-10, -0x1.18f0ef060ef2ap-10, -0x1.134b94f80ebfcp-10, -0x1.0dbecbc9f2ef6p-10, -0x1.0849d5760c5dp-10, -0x1.02ebd043c1de4p-10, -0x1.fb477eed0384ep-11, -0x1.f0e260521547fp-11, -0x1.e6a8a873b9a2bp-11, -0x1.dc9b57dcdc2a3p-11, -0x1.d2bb041592d4p-11, -0x1.c90747213a81p-11, -0x1.bf7e911d73aa4p-11, -0x1.b62082eaa0a71p-11, -0x1.acec12b32e202p-11, -0x1.a3e14f4249729p-11, -0x1.9afef092325e8p-11, -0x1.92444d7700e9ap-11, -0x1.89b0b1e8962d2p-11, -0x1.81437807361cep-11, -0x1.78fc193b1c203p-11, -0x1.70da49b2b6995p-11, -0x1.68de01e8e578ep-11, -0x1.610753726055fp-11, -0x1.5955e27adf508p-11, -0x1.51c8fdc0cda4ep-11, -0x1.4a5f9712a6a51p-11, -0x1.4318ea5851aafp-11, -0x1.3bf410e7f7d8ep-11, -0x1.34f075ac32a3ep-11, -0x1.2e0d8d7fcac1dp-11, -0x1.274ad04f19c59p-11, -0x1.20a7a55cc133fp-11, -0x1.1a23b608f83fdp-11, -0x1.13bf3467b758ap-11, -0x1.0d7a6ec4f2d6ep-11, -0x1.075519ab6aa71p-11, -0x1.014e4f60d248cp-11, -0x1.f6ca4048086ecp-12, -0x1.eb31d3067c729p-12, -0x1.dfd2bcb5f1e09p-12, -0x1.d4acab3dd7a9ep-12, -0x1.c9c0a6c6aecdcp-12, -0x1.bf0b0d276e08p-12, -0x1.b48a47183a627p-12, -0x1.aa3f248fab08dp-12, -0x1.a0261d39b047ap-12, -0x1.963e5ee6b4531p-12, -0x1.8c8873be73e48p-12, -0x1.83054ae6e7602p-12, -0x1.79b4e9e67c3c9p-12, -0x1.70964e2b565c5p-12, -0x1.67a7d96a2a5c9p-12, -0x1.5ee75e12f0bd3p-12, -0x1.5651fbea15a38p-12, -0x1.4de6ce4a2507ep-12, -0x1.45a67aaa68dddp-12, -0x1.3d90d578e6f92p-12, -0x1.35a82103a28dfp-12, -0x1.2de96e43e85aap-12, -0x1.2653c725ee7aep-12, -0x1.1ee6da65ddda4p-12, -0x1.17a1e1eef68b5p-12, -0x1.1083fa5c8a429p-12, -0x1.098bd1b127228p-12, -0x1.02b9421514f71p-12, -0x1.f818981916e8ap-13, -0x1.eb0a56fb0607ap-13, -0x1.de47bb55d47ecp-13, -0x1.d1cedf2334382p-13, -0x1.c59c13c649f5cp-13, -0x1.b9ab234a89a23p-13, -0x1.adf910dc7a865p-13, -0x1.a2860db5f275ap-13, -0x1.9755600aba687p-13, -0x1.8c68ecf292be7p-13, -0x1.81bd8ebf1b9a4p-13, -0x1.774dce9ef2a48p-13, -0x1.6d16be6c5822ap-13, -0x1.6313e420c2c6bp-13, -0x1.594b637c021b1p-13, -0x1.4fbc7e63d8131p-13, -0x1.46656ceded434p-13, -0x1.3d435106d3cb6p-13, -0x1.34568f6e88b34p-13, -0x1.2b9e364ab945fp-13, -0x1.2318fd7f9c816p-13, -0x1.1ac63ccd3c058p-13, -0x1.12a3f3ea1176bp-13, -0x1.0ab2da09f90d6p-13, -0x1.02f1459680c75p-13, -0x1.f6bc8adfcd38p-14, -0x1.e7f2ade1512d1p-14, -0x1.d98218d6f06e9p-14, -0x1.cb69e263a6dedp-14, -0x1.bda953ff7a3dbp-14, -0x1.b03faf04d62efp-14, -0x1.a32af8f8e39e3p-14, -0x1.9668aca142e41p-14, -0x1.89f731a5cf67ep-14, -0x1.7dd55cdbb23ccp-14, -0x1.720056207848cp-14, -0x1.667546cf16a5cp-14, -0x1.5b33c48d802f7p-14, -0x1.5036db700c45ep-14, -0x1.457d377d347e9p-14, -0x1.3b084dcc7fb16p-14, -0x1.30d8e8260a215p-14, -0x1.26e8a3045d82ap-14, -0x1.1d3885834143cp-14, -0x1.13c87a0c6b692p-14, -0x1.0a93ff5183e18p-14, -0x1.019bc4717ea56p-14, -0x1.f1be2d1213e6fp-15, -0x1.e0bb69dfc6e83p-15, -0x1.d02c6076ba5e9p-15, -0x1.c00d458708c59p-15, -0x1.b05aa2a5b513ep-15, -0x1.a1118cae50ac5p-15, -0x1.922fd3ee58824p-15, -0x1.83ae92f1fcbfdp-15, -0x1.7596bc6a81ad6p-15, -0x1.67e5651cf7ac9p-15, -0x1.5a903b5ef347dp-15, -0x1.4d99621878b1ep-15, -0x1.40fe8072d2d23p-15, -0x1.34bf980f3f836p-15, -0x1.28daec7636faep-15, -0x1.1d48639c0e2ep-15, -0x1.1209afb87df42p-15, -0x1.0720d0a53b0f4p-15, -0x1.f912503540fefp-16, -0x1.e4792902d273fp-16, -0x1.d0741b11c64a2p-16, -0x1.bcfc983b194bp-16, -0x1.aa17a3ec67f5dp-16, -0x1.97c399373ab8p-16, -0x1.85fb443d9817p-16, -0x1.74ac5aaa672aep-16, -0x1.63e50207e8d5p-16, -0x1.53a0680a0af0fp-16, -0x1.43dd4b6fe7d7ep-16, -0x1.34934739f549ep-16, -0x1.25c204acee3b7p-16, -0x1.176a5802b13a3p-16, -0x1.097cfbfc65eb5p-16, -0x1.f7f43005e7dc7p-17, -0x1.ddf652d81bf79p-17, -0x1.c4b0173b6e667p-17, -0x1.ac3a855c02962p-17, -0x1.949b01ec55143p-17, -0x1.7dc28346fb959p-17, -0x1.67858045f4418p-17, -0x1.5225d65830d71p-17, -0x1.3d7b8c94b0ad1p-17, -0x1.2973dc785a207p-17, -0x1.161b9f3b2f33cp-17, -0x1.037981b8c74d3p-17, -0x1.e2e13db79d632p-18, -0x1.c03cecc4ffaep-18, -0x1.9ed2df72aab67p-18, -0x1.7e86ba4b4488dp-18, -0x1.5f60f9ca916d8p-18, -0x1.41600e786f115p-18, -0x1.24745e5c7814dp-18, -0x1.0892fdf53b28fp-18, -0x1.db777dd08b3fep-19, -0x1.a7d6f54adbff9p-19, -0x1.76336dcdf274ep-19, -0x1.4671bbf4a5543p-19, -0x1.18847af44afafp-19, -0x1.d8f22c53d4ce5p-20, -0x1.84610e15d07a2p-20, -0x1.335fbf6b08e74p-20, -0x1.cb586d72bba1bp-21, -0x1.36749b9029024p-21, -0x1.4fc0f27b1bdb4p-22, -0x1.f6b7c220b9c2bp-25, 0x1.8c5d2002f9349p-23, 0x1.bfa971e7e4d98p-22, 0x1.570437256a068p-21, 0x1.c89fca18878e7p-21, 0x1.1a5d4045f084fp-20, 0x1.4db6c3d8ac23cp-20, 0x1.7ec8a2fde6476p-20, 0x1.ad77ccf8839c3p-20, 0x1.d99b0b285ac3ep-20, 0x1.01c9fc4bc6dd8p-19, 0x1.15b9ae7879228p-19, 0x1.28896f353c19fp-19, 0x1.3a42687463e6ep-19, 0x1.4af4e1bb3710ep-19, 0x1.5ad4ab35767dcp-19, 0x1.694c2cb7ffb8p-19, 0x1.77494dd2a6969p-19, 0x1.844fc52b6258fp-19, 0x1.906ff5cd1577ep-19, 0x1.9bd3a14461ff1p-19, 0x1.a73d320899335p-19, 0x1.b014d7096b23ep-19, 0x1.b8d7445983184p-19, 0x1.c106aedad9783p-19, 0x1.c8ce89850780ap-19, 0x1.cfc609f0e4c9dp-19, 0x1.d5cf3017733ecp-19, 0x1.db4699deada65p-19, 0x1.e0a5ebb9320e5p-19, 0x1.e476fdb36aae2p-19, 0x1.e85835670bc14p-19, 0x1.eba2d613574cfp-19, 0x1.ee5c2755496a5p-19, 0x1.f08f715c5ad97p-19, 0x1.f244d58630208p-19, 0x1.f381916b7d22cp-19, 0x1.f44a2f17ea8a6p-19, 0x1.f4a2591e46d33p-19, 0x1.f48e0fec0214dp-19, 0x1.f4121e87e540ap-19, 0x1.f333a558fe034p-19, 0x1.f1f6b6da3a8fcp-19, 0x1.f05f4a03e45adp-19, 0x1.ee71097172f1fp-19, 0x1.ec2e8206375b3p-19, 0x1.e99bc37e0b729p-19, 0x1.e6bc10df99d51p-19, 0x1.e392f3b8c6f3cp-19, 0x1.e023b50fa4113p-19, 0x1.dc7330773185ap-19, 0x1.d887df22f94a3p-19, 0x1.d461a765a6459p-19, 0x1.cff0f8cb075fp-19, 0x1.cb5a7d9e465aep-19, 0x1.c67bfd3e0243ep-19, 0x1.c17f6d31c44aep-19, 0x1.bc4e4b3fc0643p-19, 0x1.b6f32df2c8a92p-19, 0x1.b1694f9424affp-19, 0x1.abbb35f8c6a4fp-19, 0x1.a5ed993f27379p-19, 0x1.9ffae7797c95ap-19, 0x1.99e5ffa1b4c45p-19, 0x1.93518a39350a8p-19, 0x1.8d5a22151096fp-19, 0x1.86f3183bc30bfp-19, 0x1.8070523d9cc65p-19, 0x1.79c3bfe7a047bp-19, 0x1.72f67d13651efp-19, 0x1.6c5f6891a473bp-19, 0x1.659a195392b6ep-19, 0x1.5eb5c4dcbdc13p-19, 0x1.57c4e78d4fd93p-19, 0x1.50b96cf8652b4p-19, 0x1.49bb9cb3db0ddp-19, 0x1.42a8f5edf789fp-19, 0x1.3b7629b68b399p-19, 0x1.34358057a598cp-19, 0x1.2d1e8b10ff001p-19, 0x1.25f213357238ep-19, 0x1.1f3b382b4b9cap-19, 0x1.17c23fc08878dp-19, 0x1.107c3436b725p-19, 0x1.093cc49abaafdp-19, 0x1.01f9fff0ae906p-19, 0x1.f59968b0b0a93p-20, 0x1.e73734f8b936p-20, 0x1.d92e0ac0d6bd6p-20, 0x1.cb094555cea45p-20, 0x1.bc57b2fb26614p-20, 0x1.ae0d3db44748ap-20, 0x1.9ffb8d7544d68p-20, 0x1.91d1cb6940f22p-20, 0x1.83acc874d1d9p-20, 0x1.75c79b7d71dd6p-20, 0x1.67ffdb660b22ep-20, 0x1.5a187e90e164ap-20, 0x1.4c7f7e42ed695p-20, 0x1.3ed156027cd41p-20, 0x1.31488f6499b4p-20, 0x1.23eb75b2eb297p-20, 0x1.168cea0b928dp-20, 0x1.0965412a48aabp-20, 0x1.f63ebf76e163dp-21, 0x1.de76cfbb84d4cp-21, 0x1.c4b380b469064p-21, 0x1.ab16800920e28p-21, 0x1.91aefda68345bp-21, 0x1.7888183334448p-21, 0x1.5f85d63bebb05p-21, 0x1.46ff6ca3c8ecep-21, 0x1.2f7899058c579p-21, 0x1.1729d8189fd0fp-21, 0x1.ff5c2dbdc2017p-22, 0x1.cf2f72cf59b79p-22, 0x1.a03663818daefp-22, 0x1.730004b99a611p-22, 0x1.45e0420ce1374p-22, 0x1.192780fd36a5p-22, 0x1.da2a2100b66fep-23, 0x1.82ec9fd0548b3p-23, 0x1.2d830d27b7632p-23, 0x1.ad9523fc2eeffp-24, 0x1.07a5f97dbb9bbp-24, 0x1.985cf8f62513bp-26, -0x1.ebe5337389a0ap-27, -0x1.c181cfbdba812p-25, -0x1.7f16b9dbbbd7p-24, -0x1.0cd2f791c7d42p-23, -0x1.59a6fb24d3e58p-23, -0x1.a30c7d0effa4cp-23, -0x1.ecd11d5ad593ap-23, -0x1.1ba2bf04cb433p-22, -0x1.4014669e5b231p-22, -0x1.62bb3a0f83383p-22, -0x1.85c6ccd7d6839p-22, -0x1.a6f48b4d133f6p-22, -0x1.c859387dfcf6ap-22, -0x1.e70b467f2d5e5p-22, -0x1.0532ab4938e2dp-21, -0x1.1517adc4bf252p-21, -0x1.2491dfd7fc0adp-21, -0x1.33d371396dae6p-21, -0x1.42fc3d289a3d1p-21, -0x1.516e961f165ebp-21, -0x1.5fc61db71d72ap-21, -0x1.6dfd7768cfb05p-21, -0x1.7bfd466ec0b06p-21, -0x1.89cd4a3823006p-21, -0x1.96d41873e1d1bp-21, -0x1.a35615e416e37p-21, -0x1.b06add2cab3ap-21, -0x1.bd5c8182a0439p-21, }}, 
      {{-0x1.44e119e574544p-3, -0x1.459f894af2662p-3, -0x1.46c9671cab7dp-3, -0x1.48437d40a99acp-3, -0x1.49ec4acca1f12p-3, -0x1.4b9f5f4edc249p-3, -0x1.4d3881ab7b3cdp-3, -0x1.4e9612257a23bp-3, -0x1.4f9b0e1541233p-3, -0x1.502f5e8637234p-3, -0x1.50406c75bbc6p-3, -0x1.4fc07a4a13355p-3, -0x1.4ea665af11162p-3, -0x1.4ced24099b94ap-3, -0x1.4a92f8786f5f9p-3, -0x1.479933e2f8f5fp-3, -0x1.4403a7cac682ep-3, -0x1.3fd83062f7c5cp-3, -0x1.3b1e5727031ddp-3, -0x1.35def852d4fbfp-3, -0x1.3023ed5d51bffp-3, -0x1.29f7c0a24e496p-3, -0x1.23656f0a3bd35p-3, -0x1.1c783132760f1p-3, -0x1.153b4a1702be1p-3, -0x1.0db9dc9c1c279p-3, -0x1.05fec8cfea72p-3, -0x1.fc291ec0fc75ap-4, -0x1.ec0a7740770fbp-4, -0x1.dbb4a33013fd7p-4, -0x1.cb3986979d059p-4, -0x1.baa9d1cd59effp-4, -0x1.aa14f78c4f2a5p-4, -0x1.998930922fa58p-4, -0x1.89137a63aaaf2p-4, -0x1.78bf9db8134d2p-4, -0x1.68983dfc9f4dfp-4, -0x1.58a6e356ad00ep-4, -0x1.48f4058eabc29p-4, -0x1.39871db1ff38p-4, -0x1.2a66b780dea92p-4, -0x1.1b987f208f261p-4, -0x1.0d214f7e994bp-4, -0x1.fe0a849b4ded8p-5, -0x1.e28f7e4247f34p-5, -0x1.c7d7112a6980cp-5, -0x1.ade595386cbdep-5, -0x1.94be4f446ed03p-5, -0x1.7c638767c9934p-5, -0x1.64d69ba787dd2p-5, -0x1.4e181999418b5p-5, -0x1.3827d3deb15d5p-5, -0x1.2304eec4868b5p-5, -0x1.0eadfb7f81308p-5, -0x1.f641fd39e372ap-6, -0x1.d0b6ffef1739cp-6, -0x1.acb5383a14ce4p-6, -0x1.8a361e87ee233p-6, -0x1.6932866902432p-6, -0x1.49a2b72ed2ebcp-6, -0x1.2b7e7f10fc85ep-6, -0x1.0ebd35775c74ap-6, -0x1.e6abc69cc0c07p-7, -0x1.b27e88ea5158fp-7, -0x1.80dfbe135956bp-7, -0x1.51bc20f31e183p-7, -0x1.25001ab768ea6p-7, -0x1.f5300c8cf5cfdp-8, -0x1.a4e03da4daaeep-8, -0x1.58e92caec9849p-8, -0x1.11238c04a30cep-8, -0x1.9ad05bdf9912fp-9, -0x1.1b205f8df7a36p-9, -0x1.45d529244819p-10, -0x1.8f196334c76a9p-12, 0x1.c205586ec529cp-12, 0x1.37940f4a138e8p-10, 0x1.f20124dacf817p-10, 0x1.502ab4b98a385p-9, 0x1.a18cffc5f3dbap-9, 0x1.ed6a56bceb94ap-9, 0x1.1a02026b63b4ep-8, 0x1.3acccfb87ff27p-8, 0x1.59347ab053c36p-8, 0x1.7556e321470ap-8, 0x1.8f50fef134d96p-8, 0x1.a73f06e9173a6p-8, 0x1.bd3c1f253a2fbp-8, 0x1.d1627659b32bp-8, 0x1.e3cb9913cf822p-8, 0x1.f48fb570be0e2p-8, 0x1.01e341746c4d2p-7, 0x1.08c35bac9eee7p-7, 0x1.0ef311fd637edp-7, 0x1.147cd527a5a3p-7, 0x1.196ab930d8736p-7, 0x1.1dc6673068b07p-7, 0x1.2199125ebc3e8p-7, 0x1.24eb993b0b6ecp-7, 0x1.27c6780d147ep-7, 0x1.2a31cc55fe12ep-7, 0x1.2c35525cd617ep-7, 0x1.2dd86a5f89b93p-7, 0x1.2f221fe012ae8p-7, 0x1.30193399b408p-7, 0x1.30c4052924bd2p-7, 0x1.3128a207bc3c8p-7, 0x1.314cd83da2176p-7, 0x1.31362db6c4c99p-7, 0x1.30e9c58d61543p-7, 0x1.306c9526f8faep-7, 0x1.2fc344e91ca4fp-7, 0x1.2ef24624ee8c2p-7, 0x1.2dfdc1ef4fc2cp-7, 0x1.2ce9abdb55d48p-7, 0x1.2bb9b5632ceaap-7, 0x1.2a715ab309f6ep-7, 0x1.2913e90f297b9p-7, 0x1.27a47c5e41dfp-7, 0x1.2625ff0aaa7f9p-7, 0x1.249b2055fc63cp-7, 0x1.230664eaebcc4p-7, 0x1.216a32773efb6p-7, 0x1.1fc8b8a6c6673p-7, 0x1.1e23ff49cc864p-7, 0x1.1c7df5a67061cp-7, 0x1.1ad85bc23e9ecp-7, 0x1.1934d70e6d74fp-7, 0x1.1794df7fb9bd6p-7, 0x1.15f9d328d5df7p-7, 0x1.1464f47335c46p-7, 0x1.12d778ac7df33p-7, 0x1.115272923ce32p-7, 0x1.0fd6c27756154p-7, 0x1.0e6542a40366p-7, 0x1.0cfeaf9f3274ap-7, 0x1.0ba3c9170ebcep-7, 0x1.0a552c8bedd93p-7, 0x1.09135b0dbcf1bp-7, 0x1.07dec66bc4bf5p-7, 0x1.06b7d618f3c11p-7, 0x1.059edfc730227p-7, 0x1.049421d6f18b3p-7, 0x1.0397d37acc47ep-7, 0x1.02aa19b6e426cp-7, 0x1.01cb14803c112p-7, 0x1.00fad3e114fabp-7, 0x1.00395df338141p-7, 0x1.ff0d5c276aa76p-8, 0x1.fdc55cdb8baa7p-8, 0x1.fc9a9ed003605p-8, 0x1.fb8cd7d32badcp-8, 0x1.fa9bc8cbd58b3p-8, 0x1.f9c70d5cd91b4p-8, 0x1.f90e36980079fp-8, 0x1.f870cbdeae23fp-8, 0x1.f7ee496e621bep-8, 0x1.f7861d86f1afap-8, 0x1.f737ba8d3b379p-8, 0x1.f702987b3395bp-8, 0x1.f6e6047e7a5f4p-8, 0x1.f6e14cba1c516p-8, 0x1.f6f3c0ee310ccp-8, 0x1.f71cad07bbbc9p-8, 0x1.f75b547da65c9p-8, 0x1.f7aeeaeebdc74p-8, 0x1.f816b567b838bp-8, 0x1.f891eae544de1p-8, 0x1.f91fc555c1d3dp-8, 0x1.f9bf7824aceccp-8, 0x1.fa7035f2a1186p-8, 0x1.fb3131c98f6bap-8, 0x1.fc019daa30b72p-8, 0x1.fce0a235a454cp-8, 0x1.fdcd764a50376p-8, 0x1.fec74525f601p-8, 0x1.ffcd498c032e4p-8, 0x1.006f57dbf1643p-7, 0x1.00fd54871ff0bp-7, 0x1.019036ca989a8p-7, 0x1.022788e6b3487p-7, 0x1.02c3067ac84bp-7, 0x1.03623cc3e615cp-7, 0x1.0404c4c990c3cp-7, 0x1.04aa38db29e22p-7, 0x1.0552461afa5f4p-7, 0x1.05fc9115a0b07p-7, 0x1.06a8b5012f36dp-7, 0x1.07565b816e996p-7, 0x1.080526a2c9f6fp-7, 0x1.08b4c43b933c5p-7, 0x1.0964d8e3f08eep-7, 0x1.0a150fb37d1e6p-7, 0x1.0ac5174a030cdp-7, 0x1.0b74a341cf293p-7, 0x1.0c2360925c47bp-7, 0x1.0cd101350a27ep-7, 0x1.0d7d3a613b9adp-7, 0x1.0e27c0ee649c3p-7, 0x1.0ed05375b92fdp-7, 0x1.0f76aa05a36d5p-7, 0x1.101a7ea44ed7fp-7, 0x1.10bb93bf2c059p-7, 0x1.1159a548c9295p-7, 0x1.11f4765958558p-7, 0x1.128bcbb25b9eep-7, 0x1.131f6ab983a68p-7, 0x1.13af1b4220069p-7, 0x1.143aa629f46ebp-7, 0x1.14c1dbe4628b3p-7, 0x1.15448bd3ce4cbp-7, 0x1.15c281d27c089p-7, 0x1.163b8e28dfca8p-7, 0x1.16af8ebef5fc3p-7, 0x1.171e481a7a075p-7, 0x1.17879bfbfddbbp-7, 0x1.17eb60fcc1773p-7, 0x1.18497570f753cp-7, 0x1.18a1b9d13ff3p-7, 0x1.18f409966d948p-7, 0x1.194042d7b83c1p-7, 0x1.19864c2815c8bp-7, 0x1.19c6088d065a6p-7, 0x1.19ff5cf063983p-7, 0x1.1a322eae13b74p-7, 0x1.1a5e685cfa46dp-7, 0x1.1a83f4ef06174p-7, 0x1.1aa2c18387e97p-7, 0x1.1ababc4f260d6p-7, 0x1.1acbd4fbb543p-7, 0x1.1ad5fc98f93b2p-7, 0x1.1ad9255af1565p-7, 0x1.1ad5444415efbp-7, 0x1.1aca4ecee4113p-7, 0x1.1ab83c276dc06p-7, 0x1.1a9f00d4d597ep-7, 0x1.1a7e9bf53136p-7, 0x1.1a57047e92afbp-7, 0x1.1a283649f50e5p-7, 0x1.19f23024e6fe2p-7, 0x1.19b4f79bdd50ap-7, 0x1.1970851fd83bbp-7, 0x1.1924d90cbac08p-7, 0x1.18d1fc068fa12p-7, 0x1.1877ecef08e48p-7, 0x1.1816ae0de3278p-7, 0x1.17ae493b5446ap-7, 0x1.173ec75c9491ep-7, 0x1.16c82da90a3b8p-7, 0x1.164a82e4eeep-7, 0x1.15c5d0d25013p-7, 0x1.153a209942a3p-7, 0x1.14a77d59dea75p-7, 0x1.140df362645adp-7, 0x1.136d91b00f153p-7, 0x1.12c6699cfbb3p-7, 0x1.1218839f455cp-7, 0x1.1163f3f191214p-7, 0x1.10a8cd71d9d44p-7, 0x1.0fe7183b6199fp-7, 0x1.0f1eeaba63883p-7, 0x1.0e50513c8a1b2p-7, 0x1.0d7b631d66e55p-7, 0x1.0ca034518587ep-7, 0x1.0bbed73c74239p-7, 0x1.0ad76127304a7p-7, 0x1.09e9e54db6a24p-7, 0x1.08f67b1d7c0e8p-7, 0x1.07fd376522783p-7, 0x1.06fe3013e1649p-7, 0x1.05f97c327827fp-7, 0x1.04ef339221f44p-7, 0x1.03df6f4cdf38fp-7, 0x1.02ca435601e2fp-7, 0x1.01afc5b29bec5p-7, 0x1.0090179d6e4d5p-7, 0x1.fed698cb0ffd6p-8, 0x1.fc82fa8ecfbd4p-8, 0x1.fa2586f0fe43fp-8, 0x1.f7be76c13a31bp-8, 0x1.f54df7aa9e1bbp-8, 0x1.f2d43bd30efdcp-8, 0x1.f0517f7006c47p-8, 0x1.edc5f19e83044p-8, 0x1.eb31c948bb534p-8, 0x1.e8953a7753f45p-8, 0x1.e5f07ca94344fp-8, 0x1.e343c3fd64bbcp-8, 0x1.e08f45170d526p-8, 0x1.ddd336efbd1fap-8, 0x1.db0fcc0d34644p-8, 0x1.d8453e9e21e5dp-8, 0x1.d573c3f0be4d6p-8, 0x1.d29b96e05a7b2p-8, 0x1.cfbce7a04ccfdp-8, 0x1.ccd7eced93d0ap-8, 0x1.c9ece67a3cd4ap-8, 0x1.c6fbe55e93e8bp-8, 0x1.c4053fb20da7fp-8, 0x1.c10934f7a3c77p-8, 0x1.be08202a18536p-8, 0x1.bb01c4d45803dp-8, 0x1.b7f6971e1e9a3p-8, 0x1.b4e6cfafd550fp-8, 0x1.b1d2a07bf75ecp-8, 0x1.aeba3a3320fe4p-8, 0x1.ab9dcf859b4c8p-8, 0x1.a87d9947fa154p-8, 0x1.a559c7b47e7b9p-8, 0x1.a232924980f4cp-8, 0x1.9f0826f489ad9p-8, 0x1.9bdab258d575ap-8, 0x1.98aa6d3a4796ap-8, 0x1.957786d4f2f11p-8, 0x1.9242308df7bf6p-8, 0x1.8f0a98c775c99p-8, 0x1.8bd0f73443facp-8, 0x1.8895755b93405p-8, 0x1.855840bc8b596p-8, 0x1.82198a377a52fp-8, 0x1.7ed9806505bd1p-8, 0x1.7b98502540b2p-8, 0x1.7856262a11315p-8, 0x1.75132e9d861edp-8, 0x1.71cf961db42c1p-8, 0x1.6e8b89740738ap-8, 0x1.6b472e9ba395p-8, 0x1.6802b5c110754p-8, 0x1.64be451bf5237p-8, 0x1.617a058d54b46p-8, 0x1.5e36204c00436p-8, 0x1.5af2bb4c0aceap-8, 0x1.57b000dc02069p-8, 0x1.546e1518d139bp-8, 0x1.512d1ff76d9fcp-8, 0x1.4ded46aa5cc49p-8, 0x1.4aaead79469d3p-8, 0x1.477177865aea5p-8, 0x1.4435c6945002p-8, 0x1.40fbbeaaab69ep-8, 0x1.3dc383900e487p-8, 0x1.3a8d32e1a546cp-8, 0x1.3758f5520e134p-8, 0x1.3426e8735d41ep-8, 0x1.30f7291fbf0d5p-8, 0x1.2dc9d3f462456p-8, 0x1.2a9f07ff775cap-8, 0x1.2776e9dd727a1p-8, 0x1.2451948dc9963p-8, 0x1.212f1f4ee393cp-8, 0x1.1e0fa4338e4eep-8, 0x1.1af3471a9f51fp-8, 0x1.17da2314fba69p-8, 0x1.14c44a4f04074p-8, 0x1.11b1d4912b15dp-8, 0x1.0ea2e1177d972p-8, 0x1.0b9781e14a0cbp-8, 0x1.088fd043d6cacp-8, 0x1.058be3ba8235ap-8, 0x1.028bd282f8c05p-8, 0x1.ff1f6529eacc6p-9, 0x1.f92f3036d0b2fp-9, 0x1.f3472dfd8582ap-9, 0x1.ed678546d25fdp-9, 0x1.e7905bb64a603p-9, 0x1.e1c1d5ad24138p-9, 0x1.dbfc178af3c3fp-9, 0x1.d63f4364854b4p-9, 0x1.d08b7a1b38abfp-9, 0x1.cae0db215c0cdp-9, 0x1.c53f83fd8f09bp-9, 0x1.bfa793f610858p-9, 0x1.ba1932a436b0ep-9, 0x1.b494632acb6f2p-9, 0x1.af194f1089757p-9, 0x1.a9a803cd890c1p-9, 0x1.a440af5ed764ep-9, 0x1.9ee355a6c242fp-9, 0x1.99901351a6c94p-9, 0x1.9446fe0cbcac1p-9, 0x1.8f08280d6e172p-9, 0x1.89d3a4d3be8b8p-9, 0x1.84a9865f59259p-9, 0x1.7f89dd97e896fp-9, 0x1.7a74bc2970ce3p-9, 0x1.756a31eb74acfp-9, 0x1.706a3b26facddp-9, 0x1.6b74ea8e5bac9p-9, 0x1.668a58316f7f1p-9, 0x1.61aa8e135fab5p-9, 0x1.5cd595761d6e8p-9, 0x1.580b75dad0f1bp-9, 0x1.534c35c8203bcp-9, 0x1.4e97db4e91585p-9, 0x1.49ee6e7f184c9p-9, 0x1.454ff5b99c822p-9, 0x1.40bc76f5db923p-9, 0x1.3c33f61ab3ef2p-9, 0x1.37b67440adaf7p-9, 0x1.3343fcd187a89p-9, 0x1.2edc8af5c71cbp-9, 0x1.2a800e2729c8ap-9, 0x1.262e8ed52bc96p-9, 0x1.21e83f9324f7ep-9, 0x1.1daca6c6435dfp-9, 0x1.197c9d4c6bb88p-9, 0x1.1557084e4824cp-9, 0x1.113ca259ee096p-9, 0x1.0d2d3e1090562p-9, 0x1.0928ce39dfafbp-9, 0x1.052f45b01db7ap-9, 0x1.0140a48e700bdp-9, 0x1.fab9d4dffdd41p-10, 0x1.f30818bf5292ep-10, 0x1.eb6c12aa7cb6cp-10, 0x1.e3e5afa6535dbp-10, 0x1.dc74dfc7dcfa9p-10, 0x1.d5198850e2968p-10, 0x1.cdd39293478cep-10, 0x1.c6a2ef57fb808p-10, 0x1.bf8782d81ad28p-10, 0x1.b88135c9efa7bp-10, 0x1.b18ff2a5d3bbdp-10, 0x1.aab3a520914a1p-10, 0x1.a3ec3922f8d2ep-10, 0x1.9d3998bb4f5d4p-10, 0x1.969baac4509f9p-10, 0x1.901253e819da7p-10, 0x1.899d78c15aa6p-10, 0x1.833d0040d0b9ap-10, 0x1.7cf0ce60e5a23p-10, 0x1.76b8c8fb5f424p-10, 0x1.7094bbffd8a8ep-10, 0x1.6a848e3e48386p-10, 0x1.648813471f946p-10, 0x1.5e9f2d356532dp-10, 0x1.58c9bb100f29ap-10, 0x1.5307a3d6da81ap-10, 0x1.4d58e4550dec3p-10, 0x1.47bd30398a721p-10, 0x1.42348c6b18f2dp-10, 0x1.3cbeb36b14b25p-10, 0x1.375ba76aa101cp-10, 0x1.320b2d0781c5bp-10, 0x1.2ccd1ef826937p-10, 0x1.27a158dc88495p-10, 0x1.2287b4a3030c4p-10, 0x1.1d800a6ff8cbdp-10, 0x1.188a308943ed7p-10, 0x1.13a5fc16cc341p-10, 0x1.0ed3441ecd226p-10, 0x1.0a11e758b0a76p-10, 0x1.0561c50651a95p-10, 0x1.00c2af1845511p-10, 0x1.f868f1786e058p-11, 0x1.ef6e3b51d0563p-11, 0x1.e694d9b590e95p-11, 0x1.dddc591c47182p-11, 0x1.d544672b401f1p-11, 0x1.ccccda3c2d52dp-11, 0x1.c4757c276cddfp-11, 0x1.bc3dc65dd5174p-11, 0x1.b42546bd5ff88p-11, 0x1.ac2be66c9a3edp-11, 0x1.a4514cd67e8dcp-11, 0x1.9c950250aae9ap-11, 0x1.94f6a643a8488p-11, 0x1.8d7605862073fp-11, 0x1.8612be3884ecep-11, 0x1.7ecd17c37644cp-11, 0x1.77a3bd5cedb82p-11, 0x1.70970014acc69p-11, 0x1.69a6977814e4cp-11, 0x1.62d1fffe7faa4p-11, 0x1.5c18f743bca99p-11, 0x1.557b2da510ed5p-11, 0x1.4ef854361bc9bp-11, 0x1.48901cf4fb146p-11, 0x1.4242394bfa3dap-11, 0x1.3c0e589b1fdebp-11, 0x1.35f428ce608f6p-11, 0x1.2ff36787d1a47p-11, 0x1.2a0b28f3c3a82p-11, 0x1.243d379d6dba6p-11, 0x1.1e86882ea5489p-11, 0x1.18e86040f13d8p-11, 0x1.136212e08b87ep-11, 0x1.0df356e337108p-11, 0x1.089be05ae6ac2p-11, 0x1.035b5dab557aep-11, 0x1.fc62f44f67446p-12, 0x1.f23bcb61ef07ap-12, 0x1.e840aea8a6a71p-12, 0x1.de7113bbacd66p-12, 0x1.d4cc710af358bp-12, 0x1.cb523c19411d3p-12, 0x1.c201ea5a2eebp-12, 0x1.b8daf2f08b11ap-12, 0x1.afdcce4148e47p-12, 0x1.a706f430d9d1dp-12, 0x1.9e58d87a63ce6p-12, 0x1.95d1f994d5cbep-12, 0x1.8d71eb199a26bp-12, 0x1.8537c9a2fdd1p-12, 0x1.7d2359261491dp-12, 0x1.7533c38f5c2eep-12, 0x1.6d68a68eb0ecep-12, 0x1.65c155d3eb952p-12, 0x1.5e3d7081710ap-12, 0x1.56dc2430fddc8p-12, 0x1.4f9d19f7fbf16p-12, 0x1.487f85f07a0b8p-12, 0x1.4183a85b14a7p-12, 0x1.3aa830658eac2p-12, 0x1.33eccc8d3f923p-12, 0x1.2d51915393dc1p-12, 0x1.26d6231b26ab6p-12, 0x1.207985e0c4105p-12, 0x1.1a3af2c7bbce1p-12, 0x1.141b95f95aaf7p-12, 0x1.0e18c31a1157ep-12, 0x1.0833c09a91ff8p-12, 0x1.026afd304df95p-12, 0x1.f97ce5d52fbbcp-13, 0x1.ee5b974bdb4f5p-13, 0x1.e371070189d53p-13, 0x1.d8bc36f032dfcp-13, 0x1.ce3c2b62f32bep-13, 0x1.c3eff0bf2bb09p-13, 0x1.b9d69ff47ac1ap-13, 0x1.afef63163196ep-13, 0x1.a6397736375d5p-13, 0x1.9cb4273990b6fp-13, 0x1.935ebfd17fa4ep-13, 0x1.8a3881ecfd9bbp-13, 0x1.81409f8cb00e4p-13, 0x1.78764c0916e4cp-13, 0x1.6fd8cdef299c8p-13, 0x1.6767773f461bap-13, 0x1.5f21906f850eap-13, 0x1.570652eb49eb4p-13, 0x1.4f14f9d5b2542p-13, 0x1.474c9bfc2d5b5p-13, 0x1.3facd09a8c968p-13, 0x1.3835062088bp-13, 0x1.30e47af2b0067p-13, 0x1.29ba44614f2f7p-13, 0x1.22b5907f3902ap-13, 0x1.1bd5cec75c3d8p-13, 0x1.151a75b675a7dp-13, 0x1.0e811623b2254p-13, 0x1.080ecd65cd343p-13, 0x1.01bcc784dcc59p-13, 0x1.f719ab8ed5223p-14, 0x1.eafc4e0e807c3p-14, 0x1.df2047a18eb0fp-14, 0x1.d38461fa67d1ap-14, 0x1.c82770a295631p-14, 0x1.bd08504512fdcp-14, 0x1.b225e92471a3dp-14, 0x1.a77f397e40e8dp-14, 0x1.9d131cfcfa7d8p-14, 0x1.92e08e4942621p-14, 0x1.88e67fe202996p-14, 0x1.7f23e2ba1e74bp-14, 0x1.7597b69881a86p-14, 0x1.6c40f9a7578d8p-14, 0x1.631e937545ef8p-14, 0x1.5a2eb0e67c7ccp-14, 0x1.5171f6e3f2dbap-14, 0x1.48e57e2325aadp-14, 0x1.408acfe63a6dap-14, 0x1.385f52a9538a4p-14, 0x1.30629f8703e89p-14, 0x1.289469201298bp-14, 0x1.20f260caafbaap-14, 0x1.197b8fe559231p-14, 0x1.122fc035ccccdp-14, 0x1.0b0e6b31b23bdp-14, 0x1.0416cfdefdfep-14, 0x1.fa926601b2d12p-15, 0x1.ed421c515503ap-15, 0x1.e044b04908e4dp-15, 0x1.d390065f0683dp-15, 0x1.c72a85e556416p-15, 0x1.bb0ad15bc8047p-15, 0x1.af32eb5ecb7c9p-15, 0x1.a3a2a216ae98bp-15, 0x1.98580d33b24fap-15, 0x1.8d50e84a3b289p-15, 0x1.828bade076e64p-15, 0x1.78077c9e36757p-15, 0x1.6dc42850c7518p-15, 0x1.63be87b4b977fp-15, 0x1.59f688e8ad1bep-15, 0x1.50695fe0338fcp-15, 0x1.4717cb82b9fadp-15, 0x1.3dfeefccbe49bp-15, 0x1.351e4613a6618p-15, 0x1.2c749c6e2bbcep-15, 0x1.2400e2f4bf0ap-15, 0x1.1bc20553fb413p-15, 0x1.13b6ec910ebbdp-15, 0x1.0bde7e77158f2p-15, 0x1.043797cb13eefp-15, 0x1.f982223643785p-16, 0x1.eaf3c73fcf199p-16, 0x1.dcc20ccc3c2ecp-16, 0x1.ceea8eb360a36p-16, 0x1.c16b783d755fep-16, 0x1.b442f113ba2f8p-16, 0x1.a7798fa67ad87p-16, 0x1.9af9eec5ca393p-16, 0x1.8ec1a3949035ep-16, 0x1.82e324dfcfe9dp-16, 0x1.77520e5b73bbep-16, 0x1.6c0d3506ecb29p-16, 0x1.61121ff15dca1p-16, 0x1.565fc60197b9ep-16, 0x1.4bf4468d92734p-16, 0x1.41ce3a378fc07p-16, 0x1.37ecd0d8e4365p-16, 0x1.2e4df6d7cb3fp-16, 0x1.24ecbe419570bp-16, 0x1.1bcc300729638p-16, 0x1.12ed9b18c09dfp-16, 0x1.0a429dafe0f44p-16, 0x1.01dd4a808ca4cp-16, 0x1.f35b1d167648cp-17, 0x1.e3682464034aep-17, 0x1.d3e41c32616fp-17, 0x1.c4cd41bb046b3p-17, 0x1.b626b19616652p-17, 0x1.a7de12cea55e8p-17, 0x1.99fcbdd38d776p-17, 0x1.8c7f55a135a9ap-17, 0x1.7f60bfe2531a7p-17, 0x1.729f55b163c42p-17, 0x1.663922deace8ap-17, 0x1.5a2c6ca9d6905p-17, 0x1.4e76bfa6a0d2ap-17, 0x1.4314fc83a05bap-17, 0x1.3804ce3b6c944p-17, 0x1.2d451c6b65fb8p-17, 0x1.22d4ab253ef4cp-17, 0x1.18b1a2c158852p-17, 0x1.0edb39d8a069cp-17, 0x1.055607520fceep-17, 0x1.f8098799575b2p-18, 0x1.e60a0172d2f3ep-18, 0x1.d48fb2e4bafe4p-18, 0x1.c39969f346cf3p-18, 0x1.b31a4d45755ep-18, 0x1.a3259acef887ap-18, 0x1.93a7b101fb5eap-18, 0x1.849fc3dc538f3p-18, 0x1.76164c5296b86p-18, 0x1.67ee07580dcb4p-18, 0x1.5a42164a0268dp-18, 0x1.4cfdb17dcb613p-18, 0x1.40204db5e04e3p-18, 0x1.33adab595dc75p-18, 0x1.279ca95c1a317p-18, 0x1.1bec9b893ae9ep-18, 0x1.109b3cfc3a9d7p-18, 0x1.05a6e1bd911a9p-18, 0x1.f616c7a03809bp-19, 0x1.e18c0f2af785dp-19, 0x1.cdac9a6a5cdcfp-19, 0x1.ba75792c79995p-19, 0x1.a7e0023c8484fp-19, 0x1.95e6288292d25p-19, 0x1.8492246730b9bp-19, 0x1.73cf21f5aac19p-19, 0x1.6392308a57871p-19, 0x1.53ce4fba64dbep-19, 0x1.44ad8199f2a93p-19, 0x1.360b664ac4e27p-19, 0x1.27ee0711b5cfp-19, 0x1.1a5dd737a28ep-19, 0x1.0d2d9c4cd5902p-19, 0x1.007b38208c665p-19, 0x1.e866b6ea7e62dp-20, 0x1.d0ca0e35ecb5ep-20, 0x1.ba11fe7547e03p-20, 0x1.a429d3f4e5db9p-20, 0x1.8f0cbc811b0bp-20, 0x1.7ab765f2f3d99p-20, 0x1.672714b2e4387p-20, 0x1.5406e8a743f84p-20, 0x1.41ee88c8a0d1ap-20, 0x1.30c1e2874f57dp-20, 0x1.1ffd552892ba7p-20, 0x1.0fdec1bd52d76p-20, 0x1.005aee32890e9p-20, 0x1.e31c4e54dbd7cp-21, 0x1.c6edeb618caacp-21, 0x1.ab5ae2f9192e3p-21, 0x1.91232b181d65bp-21, 0x1.7829ec9081391p-21, 0x1.601889bb6a11cp-21, 0x1.48dadf4a200d9p-21, 0x1.32b7351af09e8p-21, 0x1.1daac856509dep-21, 0x1.0994c9c8c92a2p-21, 0x1.ecbdb1bf9167cp-22, 0x1.c856e18e5c682p-22, 0x1.a49acfdcd9567p-22, 0x1.82fddcd6819f5p-22, 0x1.632805817954ap-22, 0x1.451d699d04ecep-22, 0x1.283979ae0b505p-22, 0x1.0caf8f884a1bfp-22, 0x1.e5b2ccf31b05p-23, 0x1.b33a51de5a264p-23, 0x1.8290f031fcd72p-23, 0x1.584cab0c70bd2p-23, 0x1.2e552c06ad9f5p-23, 0x1.06ce5d3395146p-23, 0x1.c4873193e6b45p-24, 0x1.7fba681638574p-24, 0x1.3a6287cb7913ep-24, 0x1.fa2fabf078d5dp-25, 0x1.86f93827b66e9p-25, 0x1.169c595968e8cp-25, 0x1.5b36f99242eefp-26, 0x1.45b9fec98fc9p-27, -0x1.10b9483bf1464p-30, -0x1.620c5b204a6e4p-27, -0x1.4453c98ffd333p-26, -0x1.cf96234f10051p-26, -0x1.287a078a4d9eep-25, -0x1.62d193a33f42fp-25, -0x1.96eb4a5f02c56p-25, -0x1.c69fc17336276p-25, -0x1.f2b93a4ce169ep-25, -0x1.0cac5208703bp-24, -0x1.1d41533e519a8p-24, -0x1.2c2c28063a9cp-24, -0x1.39b28ffe96821p-24, -0x1.4460b8f0ab8e5p-24, -0x1.4d80cd6e21166p-24, -0x1.53f99e1761e2ap-24, -0x1.59211d0a95743p-24, -0x1.5ca239edc9449p-24, -0x1.5e9ec54af12e8p-24, -0x1.5f2e238c4e9acp-24, -0x1.5e5c22cafbb16p-24, -0x1.5c46dffb40163p-24, -0x1.59732f7df18ep-24, -0x1.54d251fb714p-24, -0x1.4eaa2529e082ap-24, -0x1.46546fe3d8ff1p-24, -0x1.3e8e0fdb12936p-24, -0x1.360204f052838p-24, -0x1.2b55a8f59a253p-24, -0x1.20a1b606a998bp-24, -0x1.15e7e960d757ep-24, -0x1.0a08745d6a8ap-24, -0x1.f9f36cb4fe4e1p-25, -0x1.dc0cafcb5cd34p-25, -0x1.c30065dfb8677p-25, -0x1.9c3e7aee4830ep-25, -0x1.7fced9736a6a7p-25, -0x1.5fff9cfc9aa4cp-25, -0x1.3e7218283544p-25, -0x1.1e55aa14c85bbp-25, -0x1.06c6d1020705bp-25, -0x1.afea49261f98ap-26, -0x1.5f86ca1a0e8cp-26, -0x1.1378f017201dfp-26, -0x1.a277a10f48b98p-27, -0x1.0efaa9469412fp-27, -0x1.a85d3b57dba9p-29, 0x1.b3c8571fda3cap-30, 0x1.720b73204c575p-28, 0x1.7b77cfede240dp-27, 0x1.0a83ae0804b9p-26, 0x1.59033424a8329p-26, 0x1.a922eaf55eeeap-26, 0x1.f9d8716d5d1ffp-26, 0x1.2544dc755dcdep-25, 0x1.4d8fd529a9cd6p-25, 0x1.75cc52787753dp-25, 0x1.9e171d1d3a60bp-25, 0x1.c67c1e231bdcbp-25, 0x1.eeddc47bb7806p-25, 0x1.0b7fc3157f7b1p-24, 0x1.1f61dc8f2a24p-24, 0x1.3311461f136c6p-24, 0x1.469867823b5b1p-24, 0x1.5a0b5a9c483bp-24, 0x1.6d703bdf22f64p-24, 0x1.80b757c48716ap-24, 0x1.93d3bc61d3f14p-24, 0x1.a6cd373ada95ep-24, 0x1.b96ffa4269047p-24, 0x1.cb7eb2054697p-24, 0x1.dd5c617a05faap-24, 0x1.f049bb0a99648p-24, 0x1.00e7099f76371p-23, 0x1.09ba1671cf98bp-23, 0x1.128bc7e8cb5d7p-23, 0x1.1b0f7e4d969eap-23, 0x1.236dc7156f249p-23, 0x1.2bcf7751a9a98p-23, 0x1.33fc236f2d3b7p-23, 0x1.3be2b47bd8c14p-23, 0x1.43b4db1f37c8p-23, 0x1.4b771a332a284p-23, 0x1.53f6bd44e2796p-23, 0x1.5aa90ec27b356p-23, 0x1.61f055c5844bp-23, 0x1.6915e44428b8ap-23, 0x1.705984bfc2b52p-23, 0x1.77b80d38bcdfp-23, 0x1.7df70b51eaf25p-23, 0x1.844e3a738e6efp-23, 0x1.8ac870037e75bp-23, 0x1.90fdb0286ba13p-23, 0x1.971ec5e401b04p-23, 0x1.9d00bfbf1e199p-23, 0x1.a2e0a5cd3c8a2p-23, 0x1.a8eadfa0374dap-23, 0x1.af099c789474bp-23, 0x1.b3f2c727f23d7p-23, 0x1.b936fcc4e035p-23, 0x1.bceac7213e4fep-23, 0x1.c28436edf3809p-23, 0x1.c78c9876f1569p-23, 0x1.cc5292eec68f8p-23, 0x1.d1162c1d02d6dp-23, 0x1.d5478dc5c7579p-23, 0x1.d979ecb16b25ep-23, 0x1.dd0c69e634ac7p-23, 0x1.e0b239775b232p-23, 0x1.e51732f936097p-23, 0x1.e8bdbcbe60638p-23, 0x1.ec22630b05176p-23, 0x1.ef8b5d7303249p-23, 0x1.f2e571a49c223p-23, 0x1.f5d60adbb2302p-23, 0x1.f884e02aac312p-23, 0x1.fb7462e095bd9p-23, 0x1.fdbc517b784b5p-23, 0x1.003f3089c6eedp-22, 0x1.016c0cff0c3fap-22, 0x1.025c998830ba4p-22, 0x1.0379c3def45d2p-22, 0x1.046c5eb542a14p-22, 0x1.05d0fd3519999p-22, 0x1.062db1ab76ad6p-22, 0x1.06f47d45289bap-22, 0x1.07b313a251b09p-22, 0x1.0865780f09fb3p-22, 0x1.0909d1f2947f6p-22, 0x1.09a5aebb7e008p-22, 0x1.0a15cdc37f7acp-22, 0x1.0a4a343c09e2dp-22, 0x1.0aba495784d03p-22, 0x1.0afb0ef45f88ep-22, 0x1.0b746ab289b45p-22, 0x1.0ba9120d92d4cp-22, 0x1.0bbb0482586bp-22, 0x1.0bcda40eb103ep-22, 0x1.0bdbacc57b295p-22, 0x1.0bd23cf069b1bp-22, 0x1.0bc33a4ef0eb6p-22, 0x1.0b8b9ea973121p-22, 0x1.0ba2c500b9926p-22, 0x1.0b76da3ad5512p-22, 0x1.0ad3daadb55fdp-22, 0x1.0aac22ab2e18fp-22, 0x1.0a789a155ba4p-22, 0x1.0a17b0caf5836p-22, 0x1.09a0220a0cdfep-22, 0x1.092b15ba1000cp-22, 0x1.0879ffbbcc616p-22, 0x1.07e243ef26b78p-22, 0x1.07672221d826dp-22, 0x1.06dbeb70dc5ep-22, 0x1.060d94fdfd55dp-22, 0x1.05683c5ebb31fp-22, 0x1.047a50680d406p-22, 0x1.03ae331b175c5p-22, 0x1.02a9ef7170644p-22, 0x1.0222bed7ed5f7p-22, 0x1.01542501e43c5p-22, 0x1.0049daf79084dp-22, 0x1.feb851837ba1bp-23, 0x1.fcd669b67cb8bp-23, 0x1.fa879833cb07ap-23, 0x1.f85f5dd832db8p-23, 0x1.f64c6ff7db589p-23, 0x1.f42f0b32fd7ecp-23, 0x1.f20987c0bac65p-23, 0x1.ef96fdf22fa6ep-23, 0x1.ecf8a4f9b76f1p-23, 0x1.eaa7735c1ef56p-23, 0x1.e882f68ef206dp-23, }}, 
      {{0x1.4be66c3f9ccfap-4, 0x1.2cc0f1782ec3bp-3, 0x1.80123746f0351p-3, 0x1.983c84a90e787p-3, 0x1.778e8767d6524p-3, 0x1.26be6363160ep-3, 0x1.6385be1f2f2e2p-4, 0x1.2b8a8aed23ba1p-6, -0x1.c86884228a15dp-5, -0x1.0a6807a1b7045p-3, -0x1.9b0f8a27a6903p-3, -0x1.0ee4474976747p-2, -0x1.47242b4b14cf5p-2, -0x1.75012e934eb21p-2, -0x1.97ef085ca6c79p-2, -0x1.aff60db87d212p-2, -0x1.bd90471f486d1p-2, -0x1.c18a4467409f6p-2, -0x1.bce82e3a1ca81p-2, -0x1.b0cf336655617p-2, -0x1.9e7338d44ba7ep-2, -0x1.87087763e073cp-2, -0x1.6bb8988390c89p-2, -0x1.4d9ad700de43bp-2, -0x1.2daeac6d40be4p-2, -0x1.0cd8987dedc8dp-2, -0x1.d7c12f12f49efp-3, -0x1.96e3cf30e6517p-3, -0x1.58378f23f69b3p-3, -0x1.1ca5d227d4159p-3, -0x1.c9cd6a12bb04p-4, -0x1.630aedad5915ap-4, -0x1.05ca5bbfe5ce6p-4, -0x1.65164c239df76p-5, -0x1.a63dc8926c03bp-6, -0x1.5728ffe94ed66p-7, 0x1.32385f6458a75p-9, 0x1.a0b9b977758bcp-7, 0x1.542910386f19ap-6, 0x1.b382b959b6fc4p-6, 0x1.f085b5ab437ddp-6, 0x1.06bfa655edebp-5, 0x1.066ec8fb9b3fdp-5, 0x1.f121385fceb5p-6, 0x1.bcd1afd87243bp-6, 0x1.72735460c467cp-6, 0x1.147f813711d03p-6, 0x1.4abc4d5502fcfp-7, 0x1.3b0663dff6ccap-9, -0x1.8d04e078b53abp-8, -0x1.f0db117b4c1c5p-7, -0x1.9628a2784b648p-6, -0x1.1d4b81b932f5ap-5, -0x1.71feef8cb4e81p-5, -0x1.c8619c44b6d08p-5, -0x1.0fdb6b434704p-4, -0x1.3ba8f83536271p-4, -0x1.674ae7efe4285p-4, -0x1.927a358989933p-4, -0x1.bcf71a6351fc1p-4, -0x1.e688bd3e39c4p-4, -0x1.077e6da4667edp-3, -0x1.1b13b74612fe1p-3, -0x1.2df1280d484a7p-3, -0x1.40066c96ae5fep-3, -0x1.5145c2ecf1dbdp-3, -0x1.61a3cca277885p-3, -0x1.711762a8c26c3p-3, -0x1.7f996a532a624p-3, -0x1.8d24abf47a48ap-3, -0x1.99b5ab3be7cd6p-3, -0x1.a54a80acb9916p-3, -0x1.afe2b4a242778p-3, -0x1.b97f1bea354ecp-3, -0x1.c221b6091d26ap-3, -0x1.c9cd8d08c4d83p-3, -0x1.d0869750a75cp-3, -0x1.d6519b0a6d2bep-3, -0x1.db341396c952dp-3, -0x1.df34188779c22p-3, -0x1.e258469f95325p-3, -0x1.e4a7a9a8248e5p-3, -0x1.e629a99313181p-3, -0x1.e6e5f6d96b8ecp-3, -0x1.e6e47ac771ad8p-3, -0x1.e62d470b83948p-3, -0x1.e4c88832c5c74p-3, -0x1.e2be794f6fce3p-3, -0x1.e01757d96d173p-3, -0x1.dcdb59a7a8043p-3, -0x1.d912a4e58e9f6p-3, -0x1.d4c5466c939a4p-3, -0x1.cffb2c1515707p-3, -0x1.cabc1e2a1754dp-3, -0x1.c50fba1564986p-3, -0x1.befd6ddcaec8cp-3, -0x1.b88c74db2195bp-3, -0x1.b1c3d403411f4p-3, -0x1.aaaa5815247e8p-3, -0x1.a34693721e124p-3, -0x1.9b9edcb8730c7p-3, -0x1.93b94dec4d944p-3, -0x1.8b9bc407b51d2p-3, -0x1.834bde9551974p-3, -0x1.7acefffe76e22p-3, -0x1.722a4dd0af36p-3, -0x1.6962b14fdcec7p-3, -0x1.607cd82a9d1c6p-3, -0x1.577d35912e5e2p-3, -0x1.4e68034af351ep-3, -0x1.45414260f7dfep-3, -0x1.3c0cbd5e1d251p-3, -0x1.32ce0915d8b0bp-3, -0x1.298885d9e3b42p-3, -0x1.203f6222e59d3p-3, -0x1.16f59a9e8c3e4p-3, -0x1.0dadfd36aca0ep-3, -0x1.046b29d22849bp-3, -0x1.f65f28aba9cc9p-4, -0x1.e3fb0bffa640bp-4, -0x1.d1ae3fee9e578p-4, -0x1.bf7cb6af10a51p-4, -0x1.ad6a183ae7e99p-4, -0x1.9b79c5d7e08d3p-4, -0x1.89aeda7708d65p-4, -0x1.780c303d1254ap-4, -0x1.669463ea14d5p-4, -0x1.5549d5db960cbp-4, -0x1.442eaddca9a13p-4, -0x1.3344e08f0746ep-4, -0x1.228e2dcce528bp-4, -0x1.120c260fcfd14p-4, -0x1.01c02dcdb7344p-4, -0x1.e356fe69341c6p-5, -0x1.c39e55f8746a7p-5, -0x1.a4583c47a6fddp-5, -0x1.858645e49d2c8p-5, -0x1.6729c1de9e3bep-5, -0x1.4943c3e99e43ep-5, -0x1.2bd528fe1add4p-5, -0x1.0ede9760178ddp-5, -0x1.e4c102aceef7p-6, -0x1.acb65dbac01bap-6, -0x1.759d7b18b23c7p-6, -0x1.3f7644ad2e7c7p-6, -0x1.0a40599e1877cp-6, -0x1.abf638ac45fbp-7, -0x1.454b64f536f75p-7, -0x1.c0fc177d39b0fp-8, -0x1.f62e5d1a16b09p-9, -0x1.c712294ab4cdep-11, 0x1.0b5239d28b252p-9, 0x1.409217105987ap-8, 0x1.f7e04d1db77ebp-8, 0x1.55cde8bed32b5p-7, 0x1.ade69210fcd74p-7, 0x1.021f49da5e54cp-6, 0x1.2c6d4917fe7c9p-6, 0x1.55dfa53e2a48p-6, 0x1.7e78cbf7a2286p-6, 0x1.a63b3b15106f4p-6, 0x1.cd297d5441138p-6, 0x1.f34623fdda6f4p-6, 0x1.0c49e339fc04p-5, 0x1.1e8a807204ea5p-5, 0x1.30663b5752054p-5, 0x1.41de66cbd6126p-5, 0x1.52f4549e5afp-5, 0x1.63a9569009f48p-5, 0x1.73febdafe83d1p-5, 0x1.83f5dbdbe76fep-5, 0x1.938fffd4d9787p-5, 0x1.a2ce75942e4d3p-5, 0x1.b1b286a0a8101p-5, 0x1.c03d7b45bfefep-5, 0x1.ce7097c35266bp-5, 0x1.dc4d1debe66c1p-5, 0x1.e9d44a5cf1c7ap-5, 0x1.f70756e2d0c2ap-5, 0x1.01f3bcd4ce606p-4, 0x1.083af21eb14ebp-4, 0x1.0e59e3138a8dp-4, 0x1.1451240b3c271p-4, 0x1.1a2147a8a5d15p-4, 0x1.1fcade3e92e94p-4, 0x1.254e769f0fd7dp-4, 0x1.2aac9d26416a9p-4, 0x1.2fe5dbd8ec55p-4, 0x1.34fababcdb6ccp-4, 0x1.39ebbf3d6c074p-4, 0x1.3eb96d263aecfp-4, 0x1.436446367a2dcp-4, 0x1.47ecca4c2474bp-4, 0x1.4c5376a8a7ad3p-4, 0x1.5098c6875498p-4, 0x1.54bd334dafdc6p-4, 0x1.58c134d993a45p-4, 0x1.5ca5413f44a92p-4, 0x1.6069cc6ee3919p-4, 0x1.640f47f597009p-4, 0x1.6796241cb5cf5p-4, 0x1.6afecf99029a9p-4, 0x1.6e49b7fff50c3p-4, 0x1.717748af4c8b3p-4, 0x1.7487eb6469434p-4, 0x1.777c07de41c41p-4, 0x1.7a5404f8e3643p-4, 0x1.7d1048da7b1e6p-4, 0x1.7fb137a133eb9p-4, 0x1.8237343bb1236p-4, 0x1.84a29f7331564p-4, 0x1.86f3d98411b15p-4, 0x1.892b41758b2c3p-4, 0x1.8b4935d86f3b8p-4, 0x1.8d4e13ac58c1bp-4, 0x1.8f3a3660389eap-4, 0x1.910df7fae08cdp-4, 0x1.92c9b2194ea92p-4, 0x1.946dbdd24fec6p-4, 0x1.95fa7391ee229p-4, 0x1.97702a170e2d8p-4, 0x1.98cf375b5d4b8p-4, 0x1.9a17ef745a0eap-4, 0x1.9b4aa6ed34a4fp-4, 0x1.9c67b1fab9925p-4, 0x1.9d6f63597b7a5p-4, 0x1.9e620e08ce0d4p-4, 0x1.9f4002854cc8cp-4, 0x1.a00990937d37dp-4, 0x1.a0bf0894e23edp-4, 0x1.a160b997e9a27p-4, 0x1.a1eef308ec64fp-4, 0x1.a26a03d2e9c32p-4, 0x1.a2d238673e76fp-4, 0x1.a327dda2f46cbp-4, 0x1.a36b3eca0813dp-4, 0x1.a39ca7de437ap-4, 0x1.a3bc642ba9d33p-4, 0x1.a3cabf3e18fbfp-4, 0x1.a3c803433b471p-4, 0x1.a3b4793396d1cp-4, 0x1.a390698707dfdp-4, 0x1.a35c1c17f94p-4, 0x1.a317d8e81d726p-4, 0x1.a2c3e8115e73cp-4, 0x1.a26091347d784p-4, 0x1.a1ee1ac52c563p-4, 0x1.a16cca5d94d33p-4, 0x1.a0dce4b74120cp-4, 0x1.a03eae4c82a0bp-4, 0x1.9f926b8366c56p-4, 0x1.9ed860fe16e3cp-4, 0x1.9e10d2b55e9d2p-4, 0x1.9d3c040a3e318p-4, 0x1.9c5a37200fc2p-4, 0x1.9b6bad6a925d7p-4, 0x1.9a70a7d0bbf5cp-4, 0x1.99696734b8aa5p-4, 0x1.98562c7a53134p-4, 0x1.97373847caecep-4, 0x1.960cca8a2f4c1p-4, 0x1.94d72258b8429p-4, 0x1.93967de19f0c4p-4, 0x1.924b1a997d0efp-4, 0x1.90f5359ea837ap-4, 0x1.8f950bf964315p-4, 0x1.8e2ada8d4b38ap-4, 0x1.8cb6ddf0c8e02p-4, 0x1.8b3952045e578p-4, 0x1.89b271be52041p-4, 0x1.88227736afcd9p-4, 0x1.86899be6d1f91p-4, 0x1.84e818d3e490ep-4, 0x1.833e26ec50902p-4, 0x1.818bfecdd07cap-4, 0x1.7fd1d8cef7e92p-4, 0x1.7e0feca2133b6p-4, 0x1.7c46711f635e7p-4, 0x1.7a759c3fc97cep-4, 0x1.789da3504b56p-4, 0x1.76bebb2352dbdp-4, 0x1.74d9182a84823p-4, 0x1.72ecee94ed07ep-4, 0x1.70fa7241b2352p-4, 0x1.6f01d68d08434p-4, 0x1.6d034e1277ae2p-4, 0x1.6aff0aab16f95p-4, 0x1.68f53d628053dp-4, 0x1.66e616a927deap-4, 0x1.64d1c66759a0ap-4, 0x1.62b87c2b9ff23p-4, 0x1.609a673825be3p-4, 0x1.5e77b64de5db7p-4, 0x1.5c5097be0ab4ap-4, 0x1.5a25390f53569p-4, 0x1.57f5c71b0ec43p-4, 0x1.55c26e19fd43fp-4, 0x1.538b58cfb57edp-4, 0x1.5150b2a9498c3p-4, 0x1.4f12a65588076p-4, 0x1.4cd15e9925a5cp-4, 0x1.4a8d0338178c6p-4, 0x1.4845be5a6a3ccp-4, 0x1.45fbb8936622p-4, 0x1.43af199eb3c59p-4, 0x1.41600895f1ab1p-4, 0x1.3f0eabef4881cp-4, 0x1.3cbb2990db71fp-4, 0x1.3a65a6e0bd5eap-4, 0x1.380e48cf03bc7p-4, 0x1.35b533d6591c8p-4, 0x1.335a8beae6e05p-4, 0x1.30fe747ba7e02p-4, 0x1.2ea110767c83bp-4, 0x1.2c42821766a38p-4, 0x1.29e2eaee0b5fbp-4, 0x1.27826c02d64aep-4, 0x1.252125c22674ep-4, 0x1.22bf381280ddep-4, 0x1.205cc2687a81p-4, 0x1.1df9e3bb13af4p-4, 0x1.1b96ba80d9c36p-4, 0x1.193364ae714cp-4, 0x1.16cfffaf1c049p-4, 0x1.146ca85c8fef8p-4, 0x1.12097afd98326p-4, 0x1.0fa6934c29febp-4, 0x1.0d440c7a6fa8fp-4, 0x1.0ae201383b8b1p-4, 0x1.08808bb42fbdcp-4, 0x1.061fc5a726ed7p-4, 0x1.03bfc83af03b8p-4, 0x1.0160ac2fa1356p-4, 0x1.fe05135926bc3p-5, 0x1.f94af0c9a013dp-5, 0x1.f4931f0f2032fp-5, 0x1.efddcb919c25ap-5, 0x1.eb2b22caca443p-5, 0x1.e67b50525746dp-5, 0x1.e1ce7ed798b77p-5, 0x1.dd24d81b81e2fp-5, 0x1.d87e84e54b071p-5, 0x1.d3dbacf16f9b6p-5, 0x1.cf3c76edcba7fp-5, 0x1.caa10878862a2p-5, 0x1.c6098631532f5p-5, 0x1.c17613d698acap-5, 0x1.bce6d4628274ep-5, 0x1.b85bea0fc7d1fp-5, 0x1.b3d57663ada57p-5, 0x1.af539a50fda9ep-5, 0x1.aad6762e8a603p-5, 0x1.a65e29709a7a7p-5, 0x1.a1ead27e881c1p-5, 0x1.9d7c8eb2c7895p-5, 0x1.99137a4a0bca1p-5, 0x1.94afb0503fbd4p-5, 0x1.90514abb238d2p-5, 0x1.8bf86299102abp-5, 0x1.87a5103bd440dp-5, 0x1.83576b67dbf69p-5, 0x1.7f0f8b87339cfp-5, 0x1.7acd87cc572e9p-5, 0x1.76917736af6e9p-5, 0x1.725b7076c097ap-5, 0x1.6e2b89a45af19p-5, 0x1.6a01d80c14b0ep-5, 0x1.65de6fd9f23a7p-5, 0x1.61c163e01dfedp-5, 0x1.5daac56b6a082p-5, 0x1.599aa4448160ap-5, 0x1.55910ed871b3dp-5, 0x1.518e1289e6adbp-5, 0x1.4d91bc0171e02p-5, 0x1.499c1803fd499p-5, 0x1.45ad33903902dp-5, 0x1.41c51c8fc76bap-5, 0x1.3de3e1b1ead96p-5, 0x1.3a099269946fep-5, 0x1.36363e68c822ap-5, 0x1.3269f4e144522p-5, 0x1.2ea4c3a5583a5p-5, 0x1.2ae6b6447fc13p-5, 0x1.272fd55b07954p-5, 0x1.2380264a7765ap-5, 0x1.1fd7ab70ee7fdp-5, 0x1.1c3664cec2bd6p-5, 0x1.189c51a8da39cp-5, 0x1.150971f432563p-5, 0x1.117dc7c5c1bcp-5, 0x1.0df958b1e7818p-5, 0x1.0a7c2e5ce3eb4p-5, 0x1.0706562af9609p-5, 0x1.0397dffea7d2bp-5, 0x1.0030dc2e8a9abp-5, 0x1.f9a2b1f039586p-6, 0x1.f2f2c011971d2p-6, 0x1.ec51e8ec4e486p-6, 0x1.e5c023a1be8b6p-6, 0x1.df3d5923e5263p-6, 0x1.d8c967cafc2dep-6, 0x1.d264296ff631dp-6, 0x1.cc0d7b1ea9482p-6, 0x1.c5c54553daa49p-6, 0x1.bf8b7c6ae6cdp-6, 0x1.b96033a5f35dcp-6, 0x1.b3437f8fad43fp-6, 0x1.ad3592962002dp-6, 0x1.a7369d31b94ep-6, 0x1.a146ccfadffb4p-6, 0x1.9b66412e9719bp-6, 0x1.959502d9d7d7ep-6, 0x1.8fd30044b06a5p-6, 0x1.8a200d3b183e8p-6, 0x1.847be8f2e9159p-6, 0x1.7ee6471ddb051p-6, 0x1.795edc140856p-6, 0x1.73e5694c8709fp-6, 0x1.6e79c7cc95cbp-6, 0x1.691bee64fc2ccp-6, 0x1.63cbf265cc503p-6, 0x1.5e8a029d62f33p-6, 0x1.59565d637bb3fp-6, 0x1.5431434d24644p-6, 0x1.4f1ae905fefcap-6, 0x1.4a136b2089a8fp-6, 0x1.451ac63c16dc2p-6, 0x1.4030d4fea9a32p-6, 0x1.3b555432ae989p-6, 0x1.3687ec28b30e2p-6, 0x1.31c83d9d1d8d6p-6, 0x1.2d15f0120408fp-6, 0x1.2870baaf639a9p-6, 0x1.23d87683162b2p-6, 0x1.1f4d14701619ap-6, 0x1.1acea83ca21ddp-6, 0x1.165d593f8c283p-6, 0x1.11f95a61dd864p-6, 0x1.0da2dcf82fe0cp-6, 0x1.095a04581884bp-6, 0x1.051eddb7bd23ep-6, 0x1.00f15b0e9970fp-6, 0x1.f9a2a8fb34cccp-7, 0x1.f17d19c5fe762p-7, 0x1.e971758150ff1p-7, 0x1.e17f24532b921p-7, 0x1.d9a59d0b4ff51p-7, 0x1.d1e474f80843bp-7, 0x1.ca3b698a28ed2p-7, 0x1.c2aa624b1e667p-7, 0x1.bb316acd6edcfp-7, 0x1.b3d0a58fb4389p-7, 0x1.ac8839b20983bp-7, 0x1.a558410364788p-7, 0x1.9e40b8eb5f9d1p-7, 0x1.97417a9cf85fap-7, 0x1.905a3c6c617p-7, 0x1.898a9b23e89d8p-7, 0x1.82d2282ceee01p-7, 0x1.7c30785aa5cb5p-7, 0x1.75a52f1536dd8p-7, 0x1.6f30046cd32f5p-7, 0x1.68d0c71337cc2p-7, 0x1.628759d8be9c1p-7, 0x1.5c53ae594f44cp-7, 0x1.5635c0b09fab1p-7, 0x1.502d943ff3f2fp-7, 0x1.4a3b2f24f970dp-7, 0x1.445e9379b476dp-7, 0x1.3e97b60cea6c1p-7, 0x1.38e6748cafb51p-7, 0x1.334a8d35b66fep-7, 0x1.2dc39d51fbd41p-7, 0x1.285127e7e4ed8p-7, 0x1.22f2a4b24ebd5p-7, 0x1.1da793e242bc2p-7, 0x1.186f903d4a542p-7, 0x1.134a590a19713p-7, 0x1.0e37cff412d56p-7, 0x1.0937ec23643e6p-7, 0x1.044aa8b4ff48p-7, 0x1.fedfedc4f3ebbp-8, 0x1.f54f6c30023f5p-8, 0x1.ebe38f0a1810bp-8, 0x1.e29bf5e0752ep-8, 0x1.d9787ec9f2e3cp-8, 0x1.d079177106535p-8, 0x1.c79dc3a0132b1p-8, 0x1.bee680b963929p-8, 0x1.b6532b75ea361p-8, 0x1.ade370fb48af3p-8, 0x1.a596cf51bbfe2p-8, 0x1.9d6ca028bc958p-8, 0x1.9564249cfe105p-8, 0x1.8d7c8bfd9cb43p-8, 0x1.85b4f6bcbc30cp-8, 0x1.7e0c7bc4bc773p-8, 0x1.768235a07c1c9p-8, 0x1.6f1557212568p-8, 0x1.67c5412ddcdbfp-8, 0x1.609190da20194p-8, 0x1.597a1f99d68eap-8, 0x1.527ef4a033898p-8, 0x1.4ba02af10f402p-8, 0x1.44dddb7d6bc29p-8, 0x1.3e380dfaf03fbp-8, 0x1.37aec36aad00dp-8, 0x1.31420b8c37725p-8, 0x1.2af21c691f5a7p-8, 0x1.24bf507faead9p-8, 0x1.1eaa07f1126c8p-8, 0x1.18b26c9c1188ap-8, 0x1.12d8357ec74ddp-8, 0x1.0d1a7a2557aebp-8, 0x1.0777b322f0272p-8, 0x1.01ede77170118p-8, 0x1.f8f60afeef94cp-9, 0x1.ee3aad1e0354cp-9, 0x1.e3a7c94019e37p-9, 0x1.d93d51a8ba0aep-9, 0x1.cefc94bdbc8b3p-9, 0x1.c4e77c5fb742ep-9, 0x1.baff418ca10dep-9, 0x1.b14413dae1607p-9, 0x1.a7b5300dd5df6p-9, 0x1.9e5193a3492aap-9, 0x1.9518cf5607116p-9, 0x1.8c0b6336aece5p-9, 0x1.832a8b491535bp-9, 0x1.7a779dfca4aa7p-9, 0x1.71f3579fd411fp-9, 0x1.699d6d3f54d9p-9, 0x1.617484d4dd28cp-9, 0x1.59766d3f602cap-9, 0x1.51a065d394e9dp-9, 0x1.49ef6e376f3b1p-9, 0x1.4260b38f3c1ffp-9, 0x1.3af2166d9e44p-9, 0x1.33a291159b6bfp-9, 0x1.2c723857bf44bp-9, 0x1.2561ca4f1060ep-9, 0x1.1e720faf1e396p-9, 0x1.17a36d91aa5adp-9, 0x1.10f5d3c67ebd3p-9, 0x1.0a68f3f8b5103p-9, 0x1.03fc9033c8766p-9, 0x1.fb61541f4f0fep-10, 0x1.ef0ae649acb6p-10, 0x1.e2f627ae35383p-10, 0x1.d722f91d0ad7bp-10, 0x1.cb90aa5587368p-10, 0x1.c03e3f8b2d7d6p-10, 0x1.b529e3b6ee917p-10, 0x1.aa515c8d6b963p-10, 0x1.9fb1db7fe3905p-10, 0x1.95487c55cd244p-10, 0x1.8b12ee0b461p-10, 0x1.811002bb07f7p-10, 0x1.773fb145b8402p-10, 0x1.6da2637b5eaa3p-10, 0x1.643801b7dc3a2p-10, 0x1.5aff749771f8fp-10, 0x1.51f6e971e2d5ep-10, 0x1.491c8fb9adbbep-10, 0x1.406f630fd8ad3p-10, 0x1.37ef9521f5feep-10, 0x1.2f9e27e18f26ep-10, 0x1.277bdc190a2d5p-10, 0x1.1f8854e25285ap-10, 0x1.17c21a864108ep-10, 0x1.102754c5e066fp-10, 0x1.08b6a34d418c2p-10, 0x1.016f793245cf5p-10, 0x1.f4a3703524ca2p-11, 0x1.e6b9f3270d868p-11, 0x1.d9205ed92a832p-11, 0x1.cbd3ab131aeacp-11, 0x1.bed0c02c991d3p-11, 0x1.b21538e650fa5p-11, 0x1.a59fda02846fap-11, 0x1.997093fa3aa63p-11, 0x1.8d87cecc824c3p-11, 0x1.81e5d951ab78ep-11, 0x1.7689a65510759p-11, 0x1.6b71cf70c3692p-11, 0x1.609cbed898c0ep-11, 0x1.560972c62fb55p-11, 0x1.4bb6536f41e0ap-11, 0x1.41a0ce88b495bp-11, 0x1.37c6606c1008p-11, 0x1.2e25bada48615p-11, 0x1.24be96c7a28bfp-11, 0x1.1b90989d6ad4cp-11, 0x1.129a9bca7dd88p-11, 0x1.09db3b55a0f73p-11, 0x1.0151863d7a2ddp-11, 0x1.f1fa5c4682c67p-12, 0x1.e1bae3f823605p-12, 0x1.d1e25801fa35dp-12, 0x1.c26d809920423p-12, 0x1.b3594ef028205p-12, 0x1.a4a3871b2645p-12, 0x1.964af5bfe2c45p-12, 0x1.884ec96da2794p-12, 0x1.7aad9b4e14f8ap-12, 0x1.6d654d20dfe23p-12, 0x1.60740839cea2p-12, 0x1.53d8bb2abd575p-12, 0x1.47925d4d6f55cp-12, 0x1.3b9f1df701651p-12, 0x1.2ffc7a2dc446dp-12, 0x1.24a7d5613d24cp-12, 0x1.199ea8217e14bp-12, 0x1.0edf24d226aedp-12, 0x1.04689ffe73ad1p-12, 0x1.f475f06ef3c0dp-13, 0x1.e0aa707bf510bp-13, 0x1.cd692533264aap-13, 0x1.baabbae6278cap-13, 0x1.a86ebd2e9e46p-13, 0x1.96b00f7aa0d02p-13, 0x1.856be9f010f44p-13, 0x1.749fe1dc40961p-13, 0x1.644e73dafece7p-13, 0x1.54795ccb33ffbp-13, 0x1.451b82c5c8c1ep-13, 0x1.362d9c9a1ae27p-13, 0x1.27aedd23f277ep-13, 0x1.19a032cf2dab7p-13, 0x1.0bfd5bd5effbp-13, 0x1.fd7f6093f635cp-14, 0x1.e3c9342d2c562p-14, 0x1.cad9295e693aap-14, 0x1.b2af2b3b8255bp-14, 0x1.9b47ea5fa18dep-14, 0x1.849d16d7e83cp-14, 0x1.6ea6731eb65e6p-14, 0x1.595b9943ca0d8p-14, 0x1.44b5c2bb5fd5ep-14, 0x1.30b09c08c96f9p-14, 0x1.1d4c7452e7e29p-14, 0x1.0a9091cbff3ffp-14, 0x1.f0ffb0fcdaec1p-15, 0x1.ce0fb3d9a3e04p-15, 0x1.ac20af1eeb636p-15, 0x1.8b323138d5b2bp-15, 0x1.6b61e8312181bp-15, 0x1.4cbdffe6ceec4p-15, 0x1.2f3f029ad36d4p-15, 0x1.12be626294395p-15, 0x1.ee49ce3b7d7f5p-16, 0x1.b92fdd0caabacp-16, 0x1.864b6069e3821p-16, 0x1.55399db6f8b43p-16, 0x1.25c2604805667p-16, 0x1.f0009fda678d9p-17, 0x1.9819820370673p-17, 0x1.43bdb31daa0d1p-17, 0x1.e5a667aa1977p-18, 0x1.4a6302d3b2f22p-18, 0x1.6af5c6edef9dp-19, 0x1.363e1181db414p-21, -0x1.8784f44cc3996p-20, -0x1.c955cc22eb3bp-19, -0x1.61ca55b5c90e2p-18, -0x1.d974c1a6c16fcp-18, -0x1.25ec30e485704p-17, -0x1.5ca2ceadde3bbp-17, -0x1.91334195f019ap-17, -0x1.c3cdb82812747p-17, -0x1.f41238d224716p-17, -0x1.1102b17b084a6p-16, -0x1.271daeeec1d2cp-16, -0x1.3beb444fba923p-16, -0x1.4f27c3ca53581p-16, -0x1.618c517a34dd9p-16, -0x1.7312abd9d33b7p-16, -0x1.8374bc133c219p-16, -0x1.93114f7445d74p-16, -0x1.a1f068915afcfp-16, -0x1.afd9f0202b202p-16, -0x1.bcc1b9655e365p-16, -0x1.c8bd0d1d3beap-16, -0x1.d3dfdb4b0053fp-16, -0x1.de36876248706p-16, -0x1.e7ca1f18aecc2p-16, -0x1.f09f9b055314p-16, -0x1.f8bb90d1dce7p-16, -0x1.0011bbd9016cfp-15, -0x1.036fb830788afp-15, -0x1.0679cea8f11c3p-15, -0x1.0932dbdb1d87ap-15, -0x1.0b9d1ecf5217ap-15, -0x1.0db823354b3e8p-15, -0x1.0f84ddff8447ap-15, -0x1.1105898537d8cp-15, -0x1.123a1e64eec59p-15, -0x1.132374beb6361p-15, -0x1.13e3b0c46244ep-15, -0x1.14bcdad4aac65p-15, -0x1.1583c58653761p-15, -0x1.15d8ebb4c44c5p-15, -0x1.15b7bda099ddap-15, -0x1.151d57f4ca188p-15, -0x1.1485d8923fbb1p-15, -0x1.140794322bf5bp-15, -0x1.135651568485ep-15, -0x1.125c13604609ap-15, -0x1.11244e21f397cp-15, -0x1.0fbbb9674f5fap-15, -0x1.0e29b6b93e1c8p-15, -0x1.0c7221d8dadf3p-15, -0x1.0a972b9196258p-15, -0x1.089a0a4ac24aep-15, -0x1.067b8a340ea5cp-15, -0x1.043c631d6e9c6p-15, -0x1.01dd8249c8e16p-15, -0x1.fec06e2e2bc12p-16, -0x1.f98d0e61c8924p-16, -0x1.f4257b8cd6d29p-16, -0x1.ee8be887de14ap-16, -0x1.e8c0ae2f9eaf1p-16, -0x1.e2c72b7a6f10fp-16, -0x1.dc9c2d796dd32p-16, -0x1.d63deecd67a2p-16, -0x1.cfab9d74d5075p-16, -0x1.c8e288116fba3p-16, -0x1.c1fbd02c9f9dbp-16, -0x1.bb3c244333477p-16, -0x1.b47140cd211ddp-16, -0x1.ad5a69c71486dp-16, -0x1.a629e65ba1314p-16, -0x1.9efe7e71a8b23p-16, -0x1.9795ef5119148p-16, -0x1.8ffd6dc57f5eep-16, -0x1.887e430d7af1bp-16, -0x1.80eeddea04c6cp-16, -0x1.7939aaa103d68p-16, -0x1.7169a337bd9fcp-16, -0x1.698900012a905p-16, -0x1.619bbd4404267p-16, -0x1.59a4e3b1c4f5ep-16, -0x1.51a4afa586489p-16, -0x1.499ce60cd407bp-16, -0x1.418dfbcacba47p-16, -0x1.3978c0851e4eep-16, -0x1.315e24304561fp-16, -0x1.293f5191dc18fp-16, -0x1.211db425c4acfp-16, -0x1.18fad433cd81dp-16, -0x1.10d7a1fd2c49cp-16, -0x1.08b4a4b68b5fbp-16, -0x1.0091976a65c95p-16, -0x1.f0dd872a5f1e4p-17, -0x1.e09a41a741a51p-17, -0x1.d05c9f80299ffp-17, -0x1.c0221aa90acd6p-17, -0x1.afe333465d7ep-17, -0x1.9fcb8b696fe1cp-17, -0x1.900b719a130c7p-17, -0x1.800ae0984b804p-17, -0x1.6fe97b6916d84p-17, -0x1.601b5cc8ad8ddp-17, -0x1.5068e87a4b6f5p-17, -0x1.40ea25c082eddp-17, -0x1.3160267669cbap-17, -0x1.21b27aa0b798cp-17, -0x1.12473a2233ec5p-17, -0x1.031838bc8a1c3p-17, -0x1.e7cb1657b15ebp-18, -0x1.c989f93eb19dap-18, -0x1.ab80bc796a3a9p-18, -0x1.8da3bb47e87d5p-18, -0x1.7010b532571fap-18, -0x1.52b64b8a93901p-18, -0x1.35a2fc7a355bp-18, -0x1.18cd540629acbp-18, -0x1.f8650f63317f2p-19, -0x1.bfb430cdb93d2p-19, -0x1.878b61a1886f2p-19, -0x1.4fed1d4048c9fp-19, -0x1.18dbd6281f654p-19, -0x1.c4b10aa27cf3fp-20, -0x1.58c56595deb37p-20, -0x1.dbe5148068ecep-21, -0x1.086f85aeb8f87p-21, -0x1.b9be4b402e28dp-24, 0x1.2f3df7260e03dp-22, 0x1.6403dd196399ep-21, 0x1.1724dedf92633p-20, 0x1.7b44d1c3f49c4p-20, 0x1.dda1ae9d8b856p-20, 0x1.1f96761d02d51p-19, 0x1.4fa5a1c12ebb3p-19, 0x1.7efc0c88cbf5fp-19, 0x1.add9bd0149df5p-19, 0x1.dc23faf4a6a3ep-19, 0x1.04ef01fac4dd4p-18, 0x1.1b8640513b623p-18, 0x1.31baf1faefdb9p-18, 0x1.47a444428fa03p-18, 0x1.5d2ce647d6b8p-18, 0x1.726b5ff37cd56p-18, 0x1.876227fb0a10bp-18, 0x1.9c0c83bfafe4p-18, 0x1.b066ef29f33c5p-18, 0x1.c470a391d4e1dp-18, 0x1.d829b9be4a3f5p-18, 0x1.eb933112bd6dcp-18, 0x1.fead9b020d25dp-18, 0x1.08b3f1b00b1aap-17, 0x1.11f9826b6561bp-17, 0x1.1b0fdbce3a008p-17, 0x1.23fe5e044eb7bp-17, 0x1.2cc4bbd967cd9p-17, 0x1.356405d912575p-17, 0x1.3de06d5981524p-17, 0x1.4633108dd3e1cp-17, 0x1.4e5f08d60c8b1p-17, 0x1.5662050f98568p-17, 0x1.5e41d3c164e0dp-17, 0x1.65fade1614cb7p-17, 0x1.6d8e0a518c472p-17, 0x1.74fbfeb2cf8bdp-17, 0x1.7c443327d96eap-17, 0x1.8367fb0caa665p-17, 0x1.8a63c9b611af2p-17, 0x1.9139ecfadece4p-17, 0x1.97ede51c42d2cp-17, 0x1.9e7d8b6c05662p-17, 0x1.a4e8a6b76aba4p-17, 0x1.ab30c79ab07cdp-17, 0x1.b153a2992e873p-17, 0x1.b75399ef8f8f8p-17, 0x1.bd315dc0c5b6fp-17, 0x1.c2eccfe9a1ddep-17, 0x1.c8844ee8ae9d2p-17, 0x1.cdf7e70229db5p-17, 0x1.d34bba37e29a8p-17, 0x1.d87d05eb731fcp-17, 0x1.dd8d020ce5408p-17, 0x1.e27c6637d8e12p-17, 0x1.e74a748421ec2p-17, 0x1.ebf7f92b3c0b1p-17, 0x1.f0853fbd0f37cp-17, 0x1.f4f2b56237bc6p-17, 0x1.f940627b17bb1p-17, 0x1.fd6e90282b23p-17, 0x1.00beefb054a08p-16, 0x1.02b7e091e4b3cp-16, 0x1.04977b52d7dffp-16, 0x1.067a6c7c69c06p-16, 0x1.08457774a5c4p-16, 0x1.0a01a2737eb9fp-16, 0x1.0baf2296c8a27p-16, 0x1.0d4e312da8cap-16, 0x1.0edea1aabf514p-16, 0x1.10617fc1bf8ffp-16, 0x1.11d8dc4c4458ap-16, 0x1.133eee89e0d65p-16, 0x1.1499099bd26c6p-16, 0x1.15e3d8790268bp-16, 0x1.171e31b5d2094p-16, 0x1.18541f11eb09dp-16, 0x1.19786b4b14e86p-16, 0x1.1a90417d71c4ep-16, 0x1.1b9c1f69b8048p-16, 0x1.1c9a0a846214bp-16, 0x1.1d8cba928902bp-16, 0x1.1e70e1be49e61p-16, 0x1.1f4b30d6d1ddp-16, 0x1.201937f17b799p-16, 0x1.20db5d6cbb217p-16, 0x1.2191efbeda8c8p-16, 0x1.223d0c9594a9p-16, 0x1.22dcc2e5a71f6p-16, 0x1.237100bede246p-16, 0x1.23faacfdbb896p-16, 0x1.247a06c77597ep-16, 0x1.24ede7dc4e50ep-16, 0x1.25574f6a34dcp-16, 0x1.25b6b5db88348p-16, 0x1.260b85c92a183p-16, 0x1.2656b47070755p-16, 0x1.26980e86c79f3p-16, 0x1.26d63055e150cp-16, 0x1.26fc106748083p-16, 0x1.2720115df397fp-16, 0x1.273ab9726d6e3p-16, 0x1.274c10a552147p-16, 0x1.27540575e31dp-16, 0x1.2753867a4648cp-16, 0x1.274a48f98c29ap-16, 0x1.27383672d907ap-16, 0x1.271d3c5ec3c0ap-16, 0x1.26f90b361620bp-16, 0x1.26ced327bbad8p-16, 0x1.269dc1d239f29p-16, 0x1.2660bfcef4cdap-16, 0x1.261dc6b73d5ep-16, }}, 
      {{0x1.24506a78cfb1bp-4, 0x1.16514d1a432c3p-3, 0x1.81fc0c80364e2p-3, 0x1.cf25727e03a71p-3, 0x1.fbc6b4cdbfd8cp-3, 0x1.0470273459207p-2, 0x1.f97e48ef15868p-3, 0x1.d1df26d4c276fp-3, 0x1.96c9d5740d227p-3, 0x1.4d12b7bd3355fp-3, 0x1.f29306420e6d5p-4, 0x1.3f0f9e67216a8p-4, 0x1.0d5fd40542d33p-5, -0x1.852fce07f1c99p-7, -0x1.c468675618c67p-5, -0x1.8a5105fd286p-4, -0x1.132582d3ef413p-3, -0x1.5a24e53c932dap-3, -0x1.9996f098fc08p-3, -0x1.d138e4891d91bp-3, -0x1.0083444f1312cp-2, -0x1.14968c4e2fe6dp-2, -0x1.24ffd94eab79cp-2, -0x1.31f6a82f35b99p-2, -0x1.3bbc208360c2ap-2, -0x1.42978586a509bp-2, -0x1.46d34b666513ap-2, -0x1.48babefbc99fdp-2, -0x1.48982e544a2e1p-2, -0x1.46b37f4ba798ap-2, -0x1.435124b7edd81p-2, -0x1.3eb161d7e5251p-2, -0x1.390fce3df0c27p-2, -0x1.32a31004845a2p-2, -0x1.2b9cbe9d86b99p-2, -0x1.2429676d7b759p-2, -0x1.1c70acc94b946p-2, -0x1.149576edf1637p-2, -0x1.0cb632611e94ep-2, -0x1.04ed17e09a08dp-2, -0x1.faa0f448742fp-3, -0x1.ebe62c3d0a51dp-3, -0x1.ddc8c5c8c0948p-3, -0x1.d061c0bea9e51p-3, -0x1.c3c4c987cd674p-3, -0x1.b800cc76f81adp-3, -0x1.ad207e3d0cda3p-3, -0x1.a32adb818c891p-3, -0x1.9a23a195c978dp-3, -0x1.920bbe2931dc9p-3, -0x1.8ae1b484b1b7ap-3, -0x1.84a1f7254c3eap-3, -0x1.7f473853af629p-3, -0x1.7acab7b7d7b1ep-3, -0x1.772484f379d18p-3, -0x1.744bbbe10b7bfp-3, -0x1.7236b9a94c43ep-3, -0x1.70db49464609ap-3, -0x1.702ecc9c683ecp-3, -0x1.7026614587344p-3, -0x1.70b7006efd193p-3, -0x1.71d599b13a118p-3, -0x1.73772b61de2c3p-3, -0x1.7590d5e86552fp-3, -0x1.7817ec2d2566dp-3, -0x1.7b0201997e614p-3, -0x1.7e44f4d93568bp-3, -0x1.81d6fb0fdf571p-3, -0x1.85aea625ec597p-3, -0x1.89c2eaf7be3f3p-3, -0x1.8e0b26d7cf2c4p-3, -0x1.927f210a02f1fp-3, -0x1.97170d8b13ecap-3, -0x1.9bcb8e0293a82p-3, -0x1.a095b0d38ce49p-3, -0x1.a56ef06522d64p-3, -0x1.aa5132e237d36p-3, -0x1.af36c77779ae5p-3, -0x1.b41a6388d7096p-3, -0x1.b8f720d7e4a24p-3, -0x1.bdc87a10a4de6p-3, -0x1.c28a47187f2b9p-3, -0x1.c738b9d7737adp-3, -0x1.cbd05a6d2ce4ap-3, -0x1.d04e04050b6d4p-3, -0x1.d4aee09151a41p-3, -0x1.d8f064765ab78p-3, -0x1.dd104b58732b2p-3, -0x1.e10c94530f7b2p-3, -0x1.e4e37dd09d46bp-3, -0x1.e893817cfb9bdp-3, -0x1.ec1b514df716dp-3, -0x1.ef79d358a0d9ep-3, -0x1.f2ae1eca1de5dp-3, -0x1.f5b778ea59f5fp-3, -0x1.f895511450fap-3, -0x1.fb473e68d748ap-3, -0x1.fdccfce0cb85bp-3, -0x1.0013350424da2p-2, -0x1.0129c1449a465p-2, -0x1.022a2fda46cc4p-2, -0x1.03149a7ac75bfp-2, -0x1.03e926b912c3fp-2, -0x1.04a80501abcb3p-2, -0x1.05516f4ccfa15p-2, -0x1.05e5a896dba5ep-2, -0x1.0664fbb81173dp-2, -0x1.06cfba742d7f5p-2, -0x1.07263ccaef327p-2, -0x1.0768e09d2297p-2, -0x1.07980845ad503p-2, -0x1.07b41a98b8dbdp-2, -0x1.07bd81d487ce6p-2, -0x1.07b4ab73760ddp-2, -0x1.079a07631675fp-2, -0x1.076e07bf3ca5cp-2, -0x1.0731203577469p-2, -0x1.06e3c58030acbp-2, -0x1.06866d44df7cdp-2, -0x1.06198d8aa935bp-2, -0x1.059d9c9981a5ep-2, -0x1.0513108a6d254p-2, -0x1.047a5ee05a45ap-2, -0x1.03d3fcae7ab3dp-2, -0x1.03205e18feed9p-2, -0x1.025ff60371dc6p-2, -0x1.0193364af3925p-2, -0x1.00ba8f4e1cc99p-2, -0x1.ffacdfe6411c2p-3, -0x1.fdce8ac481e57p-3, -0x1.fbdaf62f3d0b8p-3, -0x1.f9d2f58841765p-3, -0x1.f7b7581ee2d52p-3, -0x1.f588e966b86f1p-3, -0x1.f34870b04791cp-3, -0x1.f0f6b0f388728p-3, -0x1.ee94692701288p-3, -0x1.ec2253933dda2p-3, -0x1.e9a1266d30b43p-3, -0x1.e7119360b56f4p-3, -0x1.e4744796643f5p-3, -0x1.e1c9ebbfdfb59p-3, -0x1.df132461ee67bp-3, -0x1.dc50913c2737fp-3, -0x1.d982ce071d115p-3, -0x1.d6aa71d42ce18p-3, -0x1.d3c80f8486c83p-3, -0x1.d0dc35aaa6c2ap-3, -0x1.cde76ebae430ap-3, -0x1.caea4128ff597p-3, -0x1.c7e52ef8520ep-3, -0x1.c4d8b6897fb61p-3, -0x1.c1c5520558e8dp-3, -0x1.beab77fde878ap-3, -0x1.bb8b9b3527f72p-3, -0x1.b8662aa45bd48p-3, -0x1.b53b91d0b96dbp-3, -0x1.b20c38afb8094p-3, -0x1.aed883bf2b4cep-3, -0x1.aba0d3e75ce14p-3, -0x1.a865873153b7ep-3, -0x1.a526f85e42e5p-3, -0x1.a1e57f09f9f26p-3, -0x1.9ea16fc5a11cbp-3, -0x1.9b5b1c3499905p-3, -0x1.9812d35b272f7p-3, -0x1.94c8e11bf568bp-3, -0x1.917d8eed6f3bfp-3, -0x1.8e312380eb917p-3, -0x1.8ae3e31d5151dp-3, -0x1.87960f83a352p-3, -0x1.8447e817d4b8fp-3, -0x1.80f9a9e85ba81p-3, -0x1.7dab8feb7ad32p-3, -0x1.7a5dd2ab4d1ffp-3, -0x1.7710a8e979c1fp-3, -0x1.73c4470219d96p-3, -0x1.7078dfa7f95dep-3, -0x1.6d2ea398efe11p-3, -0x1.69e5c1995cc08p-3, -0x1.669e66b04e776p-3, -0x1.6358be4e4118p-3, -0x1.6014f223a9cf8p-3, -0x1.5cd32a3866b64p-3, -0x1.59938d0f70319p-3, -0x1.56563fafe3347p-3, -0x1.531b65847add8p-3, -0x1.4fe320ee7585ep-3, -0x1.4cad928134719p-3, -0x1.497ad9e59cd6p-3, -0x1.464b1529117ffp-3, -0x1.431e615c7d4dap-3, -0x1.3ff4da5e7d76bp-3, -0x1.3cce9ac139f61p-3, -0x1.39abbc01610c2p-3, -0x1.368c56aca7446p-3, -0x1.3370823659328p-3, -0x1.30585508a3006p-3, -0x1.2d43e4b2c104bp-3, -0x1.2a334593046b1p-3, -0x1.27268b6580199p-3, -0x1.241dc8fb588e4p-3, -0x1.2119101f61629p-3, -0x1.1e18720c5440dp-3, -0x1.1b1bff0a61d8p-3, -0x1.1823c6a2ee22ap-3, -0x1.152fd7a58f5a9p-3, -0x1.12404020c0cdbp-3, -0x1.0f550d86c8fd6p-3, -0x1.0c6e4c87eecc3p-3, -0x1.098c09363e395p-3, -0x1.06ae4f074656ep-3, -0x1.03d528d556d3ep-3, -0x1.0100a0a8ac0f6p-3, -0x1.fc61812e78e4bp-4, -0x1.f6cb22fb8c2fbp-4, -0x1.f13e3809bf07fp-4, -0x1.ebbad0559132cp-4, -0x1.e640fad103f5cp-4, -0x1.e0d0c5be1e84ep-4, -0x1.db6a3e7babff1p-4, -0x1.d60d710154fd4p-4, -0x1.d0ba68c432b37p-4, -0x1.cb713043b5c9bp-4, -0x1.c631d12a964b8p-4, -0x1.c0fc544f9df6fp-4, -0x1.bbd0c1bf9b964p-4, -0x1.b6af20a6bc9dp-4, -0x1.b1977799b9517p-4, -0x1.ac89cc4ae2c23p-4, -0x1.a78623d897c68p-4, -0x1.a28c82ae10613p-4, -0x1.9d9cec741fceap-4, -0x1.98b7645a7650bp-4, -0x1.93dbeca24d575p-4, -0x1.8f0a877ab866bp-4, -0x1.8a4335ba9df4ap-4, -0x1.8585f8509be13p-4, -0x1.80d2cf57a1c86p-4, -0x1.7c29ba58872a7p-4, -0x1.778ab8138c1d8p-4, -0x1.72f5c765846d7p-4, -0x1.6e6ae64ba693p-4, -0x1.69ea1207e5169p-4, -0x1.657347e709246p-4, -0x1.6106847e0e16bp-4, -0x1.5ca3c3ec0425p-4, -0x1.584b01d064a48p-4, -0x1.53fc3980f13ffp-4, -0x1.4fb765eafa535p-4, -0x1.4b7c819475eeap-4, -0x1.474b869083d4dp-4, -0x1.43246eb5a2b9dp-4, -0x1.3f07335528696p-4, -0x1.3af3cd6801756p-4, -0x1.36ea356864343p-4, -0x1.32ea640533385p-4, -0x1.2ef450e5df258p-4, -0x1.2b07f3ba0d4e8p-4, -0x1.2725443300caap-4, -0x1.234c394473821p-4, -0x1.1f7cc9f2330e2p-4, -0x1.1bb6ec96d7439p-4, -0x1.17fa976ab6cap-4, -0x1.1447c07b6aa61p-4, -0x1.109e5d8246363p-4, -0x1.0cfe6417b6968p-4, -0x1.0967c96cf301bp-4, -0x1.05da829a34114p-4, -0x1.025684763b2cap-4, -0x1.fdb78749876abp-5, -0x1.f6d468ddaba83p-5, -0x1.f003960f75a4ep-5, -0x1.e944f730635f9p-5, -0x1.e298742e3043cp-5, -0x1.dbfdf38ef0918p-5, -0x1.d5755ccacd3bap-5, -0x1.cefe96820a2fep-5, -0x1.c899870e2d9cap-5, -0x1.c24614337faecp-5, -0x1.bc0423e2db37cp-5, -0x1.b5d39baa6d024p-5, -0x1.afb46065cbfa4p-5, -0x1.a9a65744f132p-5, -0x1.a3a964de9e31dp-5, -0x1.9dbd6dbc578ccp-5, -0x1.97e25607b5f54p-5, -0x1.921801c52a058p-5, -0x1.8c5e54c1f4c31p-5, -0x1.86b532ac59d3fp-5, -0x1.811c7ef692ed8p-5, -0x1.7b941ce240393p-5, -0x1.761bef67bd70bp-5, -0x1.70b3d9817e295p-5, -0x1.6b5bbe17e339cp-5, -0x1.66137ff3dc578p-5, -0x1.60db017475118p-5, -0x1.5bb2256bc1945p-5, -0x1.5698cda20a49bp-5, -0x1.518edc324d8fep-5, -0x1.4c9432d6adef8p-5, -0x1.47a8b55e08165p-5, -0x1.42cc44dedfe84p-5, -0x1.3dfec31505e2p-5, -0x1.394011e9eb022p-5, -0x1.349013316f7fcp-5, -0x1.2feea8b76ab0fp-5, -0x1.2b5bb41a8ddadp-5, -0x1.26d7170eb33f1p-5, -0x1.2260b322a060ep-5, -0x1.1df86a38571f7p-5, -0x1.199e1e0fd6467p-5, -0x1.1551afec80b84p-5, -0x1.111301a73b40cp-5, -0x1.0ce1f4f08ae8fp-5, -0x1.08be6b7c0d6ep-5, -0x1.04a846a56ae7bp-5, -0x1.009f68556abdfp-5, -0x1.f94764b66ca99p-6, -0x1.f16a0cce493bbp-6, -0x1.e9a68c86ee847p-6, -0x1.e1fca7a927448p-6, -0x1.da6c2213571cp-6, -0x1.d2f4bfb6ca554p-6, -0x1.cb96449fa4bcdp-6, -0x1.c45074fd849dap-6, -0x1.bd23151de0e5ep-6, -0x1.b60de98174fd7p-6, -0x1.af10b6cc0bd49p-6, -0x1.a82b41d6b6861p-6, -0x1.a15d4fb9fb80fp-6, -0x1.9aa6a57f34d93p-6, -0x1.94070897c9514p-6, -0x1.8d7e3e95ef964p-6, -0x1.870c0d2beaap-6, -0x1.80b03a6eba8e8p-6, -0x1.7a6a8c9abc4f7p-6, -0x1.743aca36cfabcp-6, -0x1.6e20b9febdb3cp-6, -0x1.681c22bc500d4p-6, -0x1.622ccb7fd62c3p-6, -0x1.5c527c19e9f8fp-6, -0x1.568cfb9e1b5ddp-6, -0x1.50dc123506392p-6, -0x1.4b3f884790f4fp-6, -0x1.45b7268339cc3p-6, -0x1.4042b5a437392p-6, -0x1.3ae1fe6558d44p-6, -0x1.3594ca0a9d242p-6, -0x1.305ae2a6075acp-6, -0x1.2b34126bcdf1cp-6, -0x1.262022a8addd8p-6, -0x1.211eddf1b69cap-6, -0x1.1c300fde12859p-6, -0x1.175383c382fc8p-6, -0x1.12890499abd7bp-6, -0x1.0dd05eb494628p-6, -0x1.09295e0f86c42p-6, -0x1.0493cf09dee15p-6, -0x1.000f7e65b5c71p-6, -0x1.f738726bc9789p-7, -0x1.ee739a00f55d2p-7, -0x1.e5d00f4eb97c5p-7, -0x1.dd4d6ec395e49p-7, -0x1.d4eb55830dde1p-7, -0x1.cca96144e3f66p-7, -0x1.c487308d8b851p-7, -0x1.bc8462880014fp-7, -0x1.b4a097178b6fp-7, -0x1.acdb6ec4aaf9ap-7, -0x1.a5348ac685d08p-7, -0x1.9dab8cb730c52p-7, -0x1.96401652862a3p-7, -0x1.8ef1ccf886959p-7, -0x1.87c052e8db925p-7, -0x1.80ab4ee7db87bp-7, -0x1.79b26480e4c7fp-7, -0x1.72d53bef32d7fp-7, -0x1.6c137c18a0e2dp-7, -0x1.656cccf665432p-7, -0x1.5ee0d74be289bp-7, -0x1.586f442eaa202p-7, -0x1.5217bd4ea4147p-7, -0x1.4bd9ecef90fd3p-7, -0x1.45b57df18fd39p-7, -0x1.3faa1c1a0d083p-7, -0x1.39b7751129584p-7, -0x1.33dd361da1b7ap-7, -0x1.2e1b0d1fe7e57p-7, -0x1.2870a9aa1bcddp-7, -0x1.22ddbc405817fp-7, -0x1.1d61f65060a69p-7, -0x1.17fd09f63c0c8p-7, -0x1.12aea9bb6be35p-7, -0x1.0d76886170b9bp-7, -0x1.085458f4e4p-7, -0x1.0347cf0cf1713p-7, -0x1.fca13db5ae9d8p-8, -0x1.f2dcfae613e7ep-8, -0x1.e9423f8829cc3p-8, -0x1.dfd07a6ff51a6p-8, -0x1.d6871e80ee528p-8, -0x1.cd659aed804d3p-8, -0x1.c46b5cae6fac1p-8, -0x1.bb97eab1319b5p-8, -0x1.b2ea9d5db0e8p-8, -0x1.aa63164bef3f1p-8, -0x1.a200b2b0644eap-8, -0x1.99c2f2bfcae4bp-8, -0x1.91a95318d6cfbp-8, -0x1.89b350ac1fd77p-8, -0x1.81e066999dc22p-8, -0x1.7a301110cfb5p-8, -0x1.72a1cf3174292p-8, -0x1.6b351f85e78e9p-8, -0x1.63e984194d442p-8, -0x1.5cbe81868feefp-8, -0x1.55b39fa0e7269p-8, -0x1.4ec8675d77cdp-8, -0x1.47fc6286c38cdp-8, -0x1.414f1e0867db9p-8, -0x1.3ac0286d71p-8, -0x1.344f10fa8eecbp-8, -0x1.2dfb6701b8acp-8, -0x1.27c4b9e5559d1p-8, -0x1.21aa993d7bdb5p-8, -0x1.1bac94e1f4c2bp-8, -0x1.15ca3d1c60c24p-8, -0x1.1003232e6137fp-8, -0x1.0a56d9d25bb13p-8, -0x1.04c4f5b0c9e41p-8, -0x1.fe9a186f26587p-9, -0x1.f3dd7ce69f2fcp-9, -0x1.e953386c6d1e9p-9, -0x1.defa9d2b7e0d5p-9, -0x1.d4d2de987dd7bp-9, -0x1.cadb42cba8aefp-9, -0x1.c1130d86d8343p-9, -0x1.b7797f73f88dfp-9, -0x1.ae0de6d8e09fbp-9, -0x1.a4cf82fb17d3ap-9, -0x1.9bbda05b863fcp-9, -0x1.92d77e520adf4p-9, -0x1.8a1c684d687fep-9, -0x1.818ba7a44dff2p-9, -0x1.792488afe390ep-9, -0x1.70e65c1574d3ep-9, -0x1.68d076fd9289cp-9, -0x1.60e232d9c999cp-9, -0x1.591aecda99921p-9, -0x1.517a0509439e8p-9, -0x1.49fedce4c753fp-9, -0x1.42a8d6bffcap-9, -0x1.3b77595d7bd4cp-9, -0x1.3469cc38785a1p-9, -0x1.2d7f8f8b4986dp-9, -0x1.26b80d414d59dp-9, -0x1.2012b2f602305p-9, -0x1.198eecf87b835p-9, -0x1.132c247a042eap-9, -0x1.0ce9c5f942871p-9, -0x1.06c74959fcf4ep-9, -0x1.00c425b2a34c5p-9, -0x1.f5bf95056ee85p-10, -0x1.ea3363c26f65ap-10, -0x1.dee2bd6243733p-10, -0x1.d3cca2552cc11p-10, -0x1.c8f0107736885p-10, -0x1.be4c07e4c26f7p-10, -0x1.b3df89cf46eedp-10, -0x1.a9a9960184f93p-10, -0x1.9fa92ecdb99d7p-10, -0x1.95dd5a833b393p-10, -0x1.8c452625d19fdp-10, -0x1.82dfa69ff5e46p-10, -0x1.79abf74da25d4p-10, -0x1.70a93790a7d97p-10, -0x1.67d6891ad809ep-10, -0x1.5f33104754079p-10, -0x1.56bdf5b623ab3p-10, -0x1.4e766647e86bfp-10, -0x1.465b8eb5ffb85p-10, -0x1.3e6cc753b1a45p-10, -0x1.36a8dc7995d23p-10, -0x1.2f0fa39082ce6p-10, -0x1.279ffcd2a663p-10, -0x1.20593534d3fe5p-10, -0x1.193a881060011p-10, -0x1.1243314281285p-10, -0x1.0b726eadd58f9p-10, -0x1.04c782adda444p-10, -0x1.fc83674028a9fp-11, -0x1.efc094e417a2dp-11, -0x1.e34524427d14bp-11, -0x1.d70fafc5d42b2p-11, -0x1.cb1ed7dcfd8edp-11, -0x1.bf7146fbc2da4p-11, -0x1.b405b5c027962p-11, -0x1.a8daebb8b02b8p-11, -0x1.9defbd094a29ap-11, -0x1.934305d5b0cfap-11, -0x1.88d3a3fa97f0dp-11, -0x1.7ea0725ea3aa9p-11, -0x1.74a85f34b4f32p-11, -0x1.6aea413ed4309p-11, -0x1.61650aad087dbp-11, -0x1.5817979554bdfp-11, -0x1.4f00d1a7b9a66p-11, -0x1.461f904608e87p-11, -0x1.3d72c94ae6733p-11, -0x1.34f95cbf8ac61p-11, -0x1.2cb240a9063e6p-11, -0x1.249c3629e7c42p-11, -0x1.1cb6597b5bb07p-11, -0x1.14ffa44c6244bp-11, -0x1.0d76fb3782557p-11, -0x1.061b5d0de5c9fp-11, -0x1.fdd7fb5a81ca8p-12, -0x1.efcffbe4db568p-12, -0x1.e21cbee661f5p-12, -0x1.d4bd1d330899cp-12, -0x1.c7af551e17ff4p-12, -0x1.baf269dcfaaap-12, -0x1.ae848bb9aff06p-12, -0x1.a263e4ede4ae6p-12, -0x1.968ef9a75dd8bp-12, -0x1.8b042ec98d01ap-12, -0x1.7fc1ef3c53211p-12, -0x1.74c6aa68940e8p-12, -0x1.6a10d161a5965p-12, -0x1.5f9ed7609cc1bp-12, -0x1.556f36506994bp-12, -0x1.4b807282bb1d3p-12, -0x1.41d118d9bf874p-12, -0x1.385fb9b2c0147p-12, -0x1.2f2ae5ca5ea24p-12, -0x1.26313128d9c57p-12, -0x1.1d713e594221ap-12, -0x1.14e9ce162cc55p-12, -0x1.0c99c53393799p-12, -0x1.0480206169b67p-12, -0x1.f937bfa91fe4fp-13, -0x1.e9d7f0b0868eep-13, -0x1.dadea50776467p-13, -0x1.cc4994ef3cd3dp-13, -0x1.be165843b7bbfp-13, -0x1.b042b115f4851p-13, -0x1.a2cca6ea760dfp-13, -0x1.95b21001ae16bp-13, -0x1.88f0a2b64186fp-13, -0x1.7c8767e3b42e2p-13, -0x1.70712d317477bp-13, -0x1.64af84eb7ce33p-13, -0x1.593f0a418f833p-13, -0x1.4e1de2386eb77p-13, -0x1.434a1bdb5c364p-13, -0x1.38c1e2912ca0ep-13, -0x1.2e838274854bdp-13, -0x1.248d5ea724124p-13, -0x1.1adddaeb3df18p-13, -0x1.11734cb4b509p-13, -0x1.084c0ed7377a7p-13, -0x1.fecd147d04ef7p-14, -0x1.ed8288133b8cbp-14, -0x1.dcb59cc5bf498p-14, -0x1.cc636747719bap-14, -0x1.bc88ed0306482p-14, -0x1.ad2349a283a08p-14, -0x1.9e2ff5331b1cp-14, -0x1.8fac253bf1b04p-14, -0x1.8194de788ad91p-14, -0x1.73e7810b5d1c1p-14, -0x1.66a1acd2207bep-14, -0x1.59c091fa4cd08p-14, -0x1.4d411c19fc0d6p-14, -0x1.4121b5a69275cp-14, -0x1.3560103317977p-14, -0x1.29f992dc807e5p-14, -0x1.1eec04f5c176p-14, -0x1.1435584adfaa1p-14, -0x1.09d2c4c1233a5p-14, -0x1.ff8698937317p-15, -0x1.ec074c3e12223p-15, -0x1.d925a0adb6e73p-15, -0x1.c6dba5a1aa663p-15, -0x1.b5274614a0367p-15, -0x1.a403e04a872d8p-15, -0x1.936d5f819a638p-15, -0x1.83600f2f5e08cp-15, -0x1.73d887daa441cp-15, -0x1.64d36c82ab18p-15, -0x1.564d519be1142p-15, -0x1.4842688d7e095p-15, -0x1.3ab07b50710c3p-15, -0x1.2d939bb60cccep-15, -0x1.20ea0b6227faep-15, -0x1.14ac8457f7a97p-15, -0x1.08dd7c12c14b7p-15, -0x1.faed9ee6a2153p-16, -0x1.e4ecf5721a781p-16, -0x1.cfb34f7c10baap-16, -0x1.bb3b1a1f5fd64p-16, -0x1.a77ee326d47eap-16, -0x1.94797ad2aeda8p-16, -0x1.82261bf71ae35p-16, -0x1.7080a56929a3p-16, -0x1.5f82e22c1214p-16, -0x1.4f27954cfd454p-16, -0x1.3f6bfa75a57aap-16, -0x1.304ae026d203ep-16, -0x1.21be9c20fd778p-16, -0x1.13bc5ebfe69c7p-16, -0x1.064ea5ede6da3p-16, -0x1.f2e29bb041cfap-17, -0x1.da223e758d593p-17, -0x1.c2648b6dbb503p-17, -0x1.aba1b84d05773p-17, -0x1.95d2878621f28p-17, -0x1.80ef17db0f70fp-17, -0x1.6cefe7bf1e45cp-17, -0x1.59cdbf1d750dfp-17, -0x1.47821ddcdbd73p-17, -0x1.360899bd60cdbp-17, -0x1.255e52806937bp-17, -0x1.1573f6acd00bbp-17, -0x1.0645c3f6c584ep-17, -0x1.efaad49244da1p-18, -0x1.d41c12d731587p-18, -0x1.b9ea98c9a8ep-18, -0x1.a10e074fc8df5p-18, -0x1.897485a2cc1ddp-18, -0x1.73119188e5f24p-18, -0x1.5dd5b907e0eeep-18, -0x1.49c610e45fe9fp-18, -0x1.36ce5dc9ab9adp-18, -0x1.24e5aea23ac2ep-18, -0x1.14044fdc1f10dp-18, -0x1.041fe109ef6fbp-18, -0x1.ea5f571b13f89p-19, -0x1.ce57e9bf454e7p-19, -0x1.b41bf8c994d69p-19, -0x1.9b9e54fa1dabep-19, -0x1.84ce4a2315887p-19, -0x1.6f96e318cde0cp-19, -0x1.5be4f86013963p-19, -0x1.49ac5673903aep-19, -0x1.38e4a2b350198p-19, -0x1.2983e989d7d0cp-19, -0x1.1b7ad60b4fe3p-19, -0x1.0ebaee759cae6p-19, -0x1.0334ea2242d29p-19, -0x1.f1bd21cf8ce69p-20, -0x1.df5fc6a11b97ap-20, -0x1.cf1a9a29911c3p-20, -0x1.c0fd9b2d8ac29p-20, -0x1.b4e681f9fd934p-20, -0x1.aaad106b6a594p-20, -0x1.a25c963dda514p-20, -0x1.9bbee2c26283bp-20, -0x1.96d929d11f9a7p-20, -0x1.93c79f651c04p-20, -0x1.91c42ce2570c4p-20, -0x1.917d033a5a5e9p-20, -0x1.92a7afe1384ep-20, -0x1.952b8a2215a89p-20, -0x1.98dc51145df03p-20, -0x1.9dcd23af7589dp-20, -0x1.a3ead19e671b4p-20, -0x1.ab0996a528f33p-20, -0x1.b3309bc1707eap-20, -0x1.bc5aff70dbb1p-20, -0x1.c677e804fe853p-20, -0x1.d1667b350942dp-20, -0x1.dd34b87527c77p-20, -0x1.e9e606fd2946cp-20, -0x1.f769e1bd27347p-20, -0x1.02b7459eb112ap-19, -0x1.0a1997fe3a0afp-19, -0x1.11c6be1ce0a51p-19, -0x1.19ab850e87425p-19, -0x1.21ea6ab1b305p-19, -0x1.2a69148612775p-19, -0x1.3326d8daf02c3p-19, -0x1.3c1134fd62acep-19, -0x1.45298f60eb954p-19, -0x1.4e6f1e71d2b6fp-19, -0x1.57de89829d024p-19, -0x1.6173c85bc184ep-19, -0x1.6b2a834212ee1p-19, -0x1.750db65b42ce8p-19, -0x1.7efbe47c26463p-19, -0x1.88f50b69725b6p-19, -0x1.930d62ba0afe4p-19, -0x1.9d354d6c6ab5dp-19, -0x1.a76bc9b5b2999p-19, -0x1.b1a6b84d323dcp-19, -0x1.bbe248e47d03ep-19, -0x1.c631d594b273ap-19, -0x1.d07b1b4da6fcfp-19, -0x1.dac006e4706fcp-19, -0x1.e503a58632614p-19, -0x1.ef46f4770c846p-19, -0x1.f982fc5cc223bp-19, -0x1.01db00416b145p-18, -0x1.06ee355d5d6bap-18, -0x1.0bfa904070972p-18, -0x1.10fea3ac1ddeap-18, -0x1.15ffe442316dap-18, -0x1.1af59814e971fp-18, -0x1.1fe0f72867cd4p-18, -0x1.24c106e128595p-18, -0x1.29948ceaa5f23p-18, -0x1.2e5c44dd1d932p-18, -0x1.33174079f66bap-18, -0x1.37c43b6352abfp-18, -0x1.3c62b98f7c454p-18, -0x1.40f3278304a13p-18, -0x1.457484d5e4adbp-18, -0x1.49e232070c954p-18, -0x1.4e39e6113aec4p-18, -0x1.528d7f1e8cd15p-18, -0x1.56dbbf5a579e2p-18, -0x1.5b07e85fa9b7p-18, -0x1.5f1e326739e94p-18, -0x1.632e02c2f01fdp-18, -0x1.672c53e41d0a9p-18, -0x1.6b0dab2c13e8dp-18, -0x1.6ee424ce0ed1ep-18, -0x1.729d2b93aa409p-18, -0x1.7643a47e8599dp-18, -0x1.79db80db121dcp-18, -0x1.7d60513ff23a8p-18, -0x1.80cfbb98f8297p-18, -0x1.842a4abc11eeep-18, -0x1.8771842284e8ap-18, -0x1.8aa555722cd58p-18, -0x1.8dc3d8dbe6fbcp-18, -0x1.90cce5c1d242p-18, -0x1.93c2431bcaa86p-18, -0x1.96a437149a4cp-18, -0x1.996f64f80e288p-18, -0x1.9c2668d0ad239p-18, -0x1.9ec69633ce4fdp-18, -0x1.a152ba6ca47fdp-18, -0x1.a3c9f8bebfe88p-18, -0x1.a62c7fae44f7p-18, -0x1.a87a6597b7999p-18, -0x1.aab3abded2333p-18, -0x1.acd867ad52da9p-18, -0x1.aee911d192644p-18, -0x1.b0e4790c17409p-18, -0x1.b2ca4fe738361p-18, -0x1.b49a2210dfef3p-18, -0x1.b658566496932p-18, -0x1.b802c44d9e8cbp-18, -0x1.b996c25b648fap-18, -0x1.bb18463e6f086p-18, -0x1.bc8770ef6dd32p-18, -0x1.bde22dc2d519cp-18, -0x1.bf28303b0e4cap-18, -0x1.c058361544c8dp-18, -0x1.c17baf77055d4p-18, -0x1.c27e7dee4dfc1p-18, -0x1.c37bdf82c7084p-18, -0x1.c460fbf73c66dp-18, -0x1.c533a9e3807c5p-18, -0x1.c5f86039bdc9cp-18, -0x1.c6c319b050ebbp-18, -0x1.c741bdc7166afp-18, -0x1.c7c690e2f8b41p-18, -0x1.c83b3ab649307p-18, -0x1.c8a307d2bae1dp-18, -0x1.c9070c05d356cp-18, -0x1.c9450a25e73a9p-18, -0x1.c97ea7a4e38c3p-18, -0x1.c99bb159f6527p-18, -0x1.c9a2ced6fe994p-18, -0x1.c9a83b3853f75p-18, -0x1.c99be82257fc9p-18, -0x1.c97db5bf5917ep-18, -0x1.c94f128561dfdp-18, -0x1.c910d3d0f641dp-18, -0x1.c8c342c55a64bp-18, -0x1.c866912292812p-18, -0x1.c7fada20ab35p-18, -0x1.c7804284258bap-18, -0x1.c6f70dc7ab91dp-18, -0x1.c65f9fbb10086p-18, -0x1.c5ba4a33fa7abp-18, -0x1.c50757f703658p-18, -0x1.c446eba70066bp-18, -0x1.c378eabaf53dcp-18, -0x1.c29d8cdf5d539p-18, -0x1.c1b5172c39d78p-18, -0x1.c0bfe1b0de0d9p-18, -0x1.bfbe1e57ba69fp-18, -0x1.beb040068f80cp-18, -0x1.bd97361474ae4p-18, -0x1.bc72b37b7817cp-18, -0x1.bb3ea070f009cp-18, -0x1.ba02f51d1ba09p-18, -0x1.b8ba0443bae8bp-18, -0x1.b76633ad30891p-18, -0x1.b6088c4fb81c5p-18, -0x1.b4a050172a682p-18, -0x1.b32ce43b61948p-18, -0x1.b1afb9dbeaee1p-18, -0x1.b0298c9a4f116p-18, -0x1.ae98e7fe9e0a8p-18, -0x1.acfeaeda051e7p-18, -0x1.ab4e545d9ceedp-18, -0x1.a9ad8f8f53c38p-18, -0x1.a7f7f47ba653ap-18, -0x1.a63936d2205ccp-18, -0x1.a46f897af0c14p-18, -0x1.a29c5bccdb6f3p-18, -0x1.a0cafe07b599p-18, -0x1.9eecf40a7ac1ep-18, -0x1.9d04f5c3f7dffp-18, -0x1.9b11dc1463fe1p-18, -0x1.991ed1aa85db1p-18, -0x1.972156c4c35cep-18, -0x1.951d4c223792cp-18, -0x1.9313968a85c49p-18, -0x1.90fb33e11db4ep-18, -0x1.8ee54c2deeaep-18, -0x1.8cc7cf80e76b2p-18, -0x1.8aa3693080bc6p-18, -0x1.8879e12c1ea84p-18, -0x1.8648e88fd1aabp-18, -0x1.8412ac6b00675p-18, -0x1.81d5564abfe6dp-18, -0x1.7f95e4c216f36p-18, -0x1.7d501a9d11682p-18, -0x1.7b078db2ca702p-18, -0x1.78b94f0ef6d98p-18, -0x1.76628308fa0dap-18, -0x1.7409354d538fep-18, -0x1.71ad6ce74cf6cp-18, -0x1.6f4bec4b66c98p-18, -0x1.6ce5fd75c46e5p-18, -0x1.6a7dc8e215c6ep-18, -0x1.681308a691faap-18, -0x1.65a21e7613e9dp-18, -0x1.6331894dde3d5p-18, -0x1.60b8f67f34613p-18, -0x1.5e3f89dd59df3p-18, -0x1.5bc5ec6a80253p-18, -0x1.5945bb9401f6ep-18, -0x1.56c530288bac7p-18, -0x1.542e7f9a71b66p-18, -0x1.51b97d11b388dp-18, -0x1.4f3082c628a7fp-18, -0x1.4ca4ed272e0a1p-18, -0x1.4a1712e8da1b8p-18, -0x1.4787309a3e6e5p-18, -0x1.44f49470fc5a5p-18, -0x1.42627b0f9b4aep-18, -0x1.3fd52d8f5ad3cp-18, -0x1.3d3d633fd4d8ep-18, -0x1.3aa906d3296fbp-18, -0x1.380be52dc88b5p-18, -0x1.3568ddc6454fdp-18, -0x1.32d914cf84929p-18, -0x1.303dcc4a83513p-18, -0x1.2da2c0e4c6bccp-18, -0x1.2b09acfb55b61p-18, -0x1.286b4bf60c565p-18, -0x1.25d12d5e3aabcp-18, -0x1.232da18e8c68ep-18, -0x1.208eb84e92b2fp-18, -0x1.1df629bb31c32p-18, -0x1.1b56784d9cbabp-18, -0x1.18b87cc39d62p-18, -0x1.161abd03ddc44p-18, -0x1.137d308e3c3a2p-18, -0x1.10e01b757412bp-18, -0x1.0e439837a344ap-18, -0x1.0ba78cd85271p-18, -0x1.090acd3e7130cp-18, -0x1.066f0e8ed20a9p-18, -0x1.03d60ae488c6fp-18, -0x1.013bc766a50ddp-18, -0x1.fd49a6b43d48ap-19, -0x1.f81b3d4ab1c16p-19, -0x1.f300c8f47693bp-19, -0x1.edbddb6e1c38ap-19, -0x1.e8920bd0ba9c6p-19, -0x1.e36f1e5238ddbp-19, -0x1.de49c8d3f43f4p-19, -0x1.d9271831536fep-19, -0x1.d40d05591ee36p-19, -0x1.cef2aee52ef6cp-19, -0x1.c9d904a2ca473p-19, -0x1.c4c183d92ecc1p-19, -0x1.bfabc53971773p-19, -0x1.baa1cc61612edp-19, -0x1.b59f33a8d6fe8p-19, -0x1.b093fe2b515dfp-19, -0x1.ab8c59cc2967cp-19, }}, 
      {{-0x1.619006ed28516p-3, -0x1.cafc4e5cd0665p-4, -0x1.b61af2a8351e6p-5, -0x1.83f20e2cd3d4fp-6, -0x1.2496be2f0f85bp-5, -0x1.752e7e9802672p-4, -0x1.7848a219c4057p-3, -0x1.36bc4ce2c795dp-2, -0x1.c164459fcc7fp-2, -0x1.287bb462939cp-1, -0x1.6df559dec280dp-1, -0x1.ad63b353de99dp-1, -0x1.e420a8454e066p-1, -0x1.08440c877c1bbp+0, -0x1.18ea3a02d48ddp+0, -0x1.23fa7c50d1f9bp+0, -0x1.29b1dbc9e3594p+0, -0x1.2a7f5f961bb8ap+0, -0x1.26f312cf5ff27p+0, -0x1.1fafccb91fbb2p+0, -0x1.155fc169ad111p+0, -0x1.08abaf4062342p+0, -0x1.f468c0d959c76p-1, -0x1.d51c56551f001p-1, -0x1.b47c31eaaa84bp-1, -0x1.9370c262285d1p-1, -0x1.72bfd6f50068fp-1, -0x1.530d2e0435a97p-1, -0x1.34dc1cf8db757p-1, -0x1.1891f490414f8p-1, -0x1.fcf1afff00894p-2, -0x1.cd859c62b5f7fp-2, -0x1.a319c586a2308p-2, -0x1.7dc470304751bp-2, -0x1.5d7de84803bb2p-2, -0x1.4225f1ff229d9p-2, -0x1.2b88bfe2c5b78p-2, -0x1.1963642bdad26p-2, -0x1.0b67bc0ce6a7p-2, -0x1.013fd8eb52032p-2, -0x1.f521d82e75452p-3, -0x1.edfb7baffe08bp-3, -0x1.ec5176454b5c3p-3, -0x1.ef6b4587af231p-3, -0x1.f695b3451a8ffp-3, -0x1.009273a3a5122p-2, -0x1.073afdb92014dp-2, -0x1.0ef80f69c1f74p-2, -0x1.1782a8f5d78dcp-2, -0x1.209968f53c557p-2, -0x1.2a00a471ca4dcp-2, -0x1.3382666e6516p-2, -0x1.3cee584ccacfbp-2, -0x1.46199775c0bc1p-2, -0x1.4ede7d2422c5ap-2, -0x1.571c5f213cad4p-2, -0x1.5eb74bb23f7f2p-2, -0x1.6597c10957218p-2, -0x1.6baa610f9894ep-2, -0x1.70dfa2bc07878p-2, -0x1.752b830c11e63p-2, -0x1.78853760f6298p-2, -0x1.7ae6e2b138d32p-2, -0x1.7c4d4da40f4c8p-2, -0x1.7cb7a1a0e5a24p-2, -0x1.7c2727173d091p-2, -0x1.7a9f06ca21a63p-2, -0x1.78240ed2d60fdp-2, -0x1.74bc7b19503d1p-2, -0x1.706fc1c5b842bp-2, -0x1.6b4663b239fc5p-2, -0x1.6549c0477038cp-2, -0x1.5e83ed31a3b76p-2, -0x1.56ff91427872ep-2, -0x1.4ec7c292d97c5p-2, -0x1.45e7e79a90ce5p-2, -0x1.3c6b9b5bb28afp-2, -0x1.325e9417990b8p-2, -0x1.27cc8cc80e21bp-2, -0x1.1cc131225cb0dp-2, -0x1.11480bf953fa4p-2, -0x1.056c77c3d81adp-2, -0x1.f27322c5f4cf5p-3, -0x1.d974595f45fcfp-3, -0x1.bff195e69127cp-3, -0x1.a5ff25c001e4cp-3, -0x1.8bb09453d9f4cp-3, -0x1.7118a0d4ba854p-3, -0x1.564936cb5b422p-3, -0x1.3b5368a2d1ff6p-3, -0x1.20476bcee0ce1p-3, -0x1.05349825a47f9p-3, -0x1.d452cce069a33p-4, -0x1.9e66e4fce229bp-4, -0x1.68befb80a6d28p-4, -0x1.3372e2c8b25eep-4, -0x1.fd31905481578p-5, -0x1.948a7ba6c865ep-5, -0x1.2d16862278937p-5, -0x1.8df159166e9bfp-6, -0x1.8943f318ccfd4p-7, 0x1.869c4311f4be6p-14, 0x1.88a69eee4262bp-7, 0x1.83943aa35f373p-6, 0x1.1f8f34a0ebf21p-5, 0x1.7b65cc8c512b6p-5, 0x1.d53d031b0d227p-5, 0x1.16830c0f8254dp-4, 0x1.415a271827af6p-4, 0x1.6b1e685bf0e18p-4, 0x1.93cb4d2acfdfp-4, 0x1.bb5d2a80962d2p-4, 0x1.e1d1228e7d6a1p-4, 0x1.03928bb7539c5p-3, 0x1.15abce93138ddp-3, 0x1.2733f86274a9fp-3, 0x1.382af57b1fb49p-3, 0x1.4890fa63e3594p-3, 0x1.58667fac960c4p-3, 0x1.67ac3bd5f628fp-3, 0x1.76631e4f0911bp-3, 0x1.848c4c5ed6cedp-3, 0x1.92291b2a1ef12p-3, 0x1.9f3b0b8134a16p-3, 0x1.abc3c7866d81cp-3, 0x1.b7c51d36f2b33p-3, 0x1.c340faa3bb96dp-3, 0x1.ce396c53742c3p-3, 0x1.d8b09890df9edp-3, 0x1.e2a8bba11b42bp-3, 0x1.ec2426fba0ebdp-3, 0x1.f5253d7be833ep-3, 0x1.fdae6fa0ddf04p-3, 0x1.02e11d6a22132p-2, 0x1.06b193b49a6a4p-2, 0x1.0a49e250d91dfp-2, 0x1.0dab53baaeedbp-2, 0x1.10d735321cdecp-2, 0x1.13ced50a27e45p-2, 0x1.1693819774ff9p-2, 0x1.192689510be26p-2, 0x1.1b893a3876013p-2, 0x1.1dbce05d5663ap-2, 0x1.1fc2c59e070dp-2, 0x1.219c31cf79baep-2, 0x1.234a6a0068ecdp-2, 0x1.24ceaf6357247p-2, 0x1.262a3f6d98686p-2, 0x1.275e5409b9413p-2, 0x1.286c22d25f8a1p-2, 0x1.2954dc57745d7p-2, 0x1.2a19ac687ed3fp-2, 0x1.2abbba4b754d7p-2, 0x1.2b3c2810701dap-2, 0x1.2b9c121a02e92p-2, 0x1.2bdc8f67fc1bap-2, 0x1.2bfeb1ca842c1p-2, 0x1.2c0385905c303p-2, 0x1.2bec1109e6e97p-2, 0x1.2bb954c6f56bcp-2, 0x1.2b6c4be343a8cp-2, 0x1.2b05ebe88ccc9p-2, 0x1.2a8724758ab86p-2, 0x1.29f0df47dc2a6p-2, 0x1.29440088ec27ep-2, 0x1.288166f6dfe55p-2, 0x1.27a9ebb598cc4p-2, 0x1.26be621fe0b9dp-2, 0x1.25bf980a4ab65p-2, 0x1.24ae5606d6f1bp-2, 0x1.238b5f79fed02p-2, 0x1.2257725fc9cfep-2, 0x1.2113475b31bf5p-2, 0x1.1fbf91faa1bf9p-2, 0x1.1e5d00fd04376p-2, 0x1.1cec3e357ba3dp-2, 0x1.1b6dee91447c7p-2, 0x1.19e2b21e2a6cep-2, 0x1.184b245946c78p-2, 0x1.16a7dc5421231p-2, 0x1.14f96cb4aa143p-2, 0x1.134063b054da9p-2, 0x1.117d4b35a9c53p-2, 0x1.0fb0a915364dep-2, 0x1.0ddaff1f2e685p-2, 0x1.0bfccb39fdc85p-2, 0x1.0a1687715654cp-2, 0x1.0828a9ffdbd02p-2, 0x1.0633a57942195p-2, 0x1.0437e8d948b48p-2, 0x1.0235dfb8fe0ecp-2, 0x1.002df255b12eep-2, 0x1.fc410b3503525p-3, 0x1.f81bf66078ad9p-3, 0x1.f3ed632f766efp-3, 0x1.efb608aedcee2p-3, 0x1.eb76982ce76a4p-3, 0x1.e72fbd3d545dcp-3, 0x1.e2e21db725596p-3, 0x1.de8e59e43bc31p-3, 0x1.da350cd3098c7p-3, 0x1.d5d6cc996d839p-3, 0x1.d1742a7413eaep-3, 0x1.cd0db2a026d42p-3, 0x1.c8a3ec88d9596p-3, 0x1.c4375af113838p-3, 0x1.bfc87c4adf11bp-3, 0x1.bb57cae43f419p-3, 0x1.b6e5bcca19281p-3, 0x1.b272c3e040144p-3, 0x1.adff4deb171adp-3, 0x1.a98bc4e914aacp-3, 0x1.a5188f315d3bdp-3, 0x1.a0a60f9b87062p-3, 0x1.9c34a55d9eac4p-3, 0x1.97c4ac280f6b1p-3, 0x1.93567c3d27258p-3, 0x1.8eea6ab9301d4p-3, 0x1.8a80c9b0e40bdp-3, 0x1.8619e837e713fp-3, 0x1.81b6124c7943fp-3, 0x1.7d5590ff19c1cp-3, 0x1.78f8aa6e70f06p-3, 0x1.749fa228212fdp-3, 0x1.704ab92ef0e21p-3, 0x1.6bfa2de96a3c2p-3, 0x1.67ae3c479aa91p-3, 0x1.63671d9699205p-3, 0x1.5f2508bc3a3d4p-3, 0x1.5ae832783847p-3, 0x1.56b0cd4fca4f7p-3, 0x1.527f09bc9ab32p-3, 0x1.4e531619ea0b2p-3, 0x1.4a2d1e7be09a5p-3, 0x1.460d4d087008dp-3, 0x1.41f3c9db707b6p-3, 0x1.3de0bb611b53fp-3, 0x1.39d446351357ap-3, 0x1.35ce8d42bff68p-3, 0x1.31cfb19e75502p-3, 0x1.2dd7d293c1228p-3, 0x1.29e70dc3558c2p-3, 0x1.25fd7f3ea1309p-3, 0x1.221b41a8c8d48p-3, 0x1.1e406e3a87912p-3, 0x1.1a6d1cba7b9f6p-3, 0x1.16a1636c43f1dp-3, 0x1.12dd5722cc1fep-3, 0x1.0f210b4f171dcp-3, 0x1.0b6c921fed3bdp-3, 0x1.07bffc92be8d1p-3, 0x1.041b5a8578f44p-3, 0x1.007ebaa39fa6bp-3, 0x1.f9d454d887dddp-4, 0x1.f2bb6c4b5432fp-4, 0x1.ebb2d1ee5c629p-4, 0x1.e4ba99eb58894p-4, 0x1.ddd2d68edb2dbp-4, 0x1.d6fb98453ee23p-4, 0x1.d034eda1afb5p-4, 0x1.c97ee349f7163p-4, 0x1.c2d983ff8a7dfp-4, 0x1.bc44d8a4d0beep-4, 0x1.b5c0e8592ba25p-4, 0x1.af4db8a0583b3p-4, 0x1.a8eb4d7f876e2p-4, 0x1.a299a984e7ce2p-4, 0x1.9c58cdd0d7724p-4, 0x1.9628ba02cb176p-4, 0x1.90096c38bc1c6p-4, 0x1.89fae11cff38bp-4, 0x1.83fd14050a17ap-4, 0x1.7e0fff046baaap-4, 0x1.78339b0aa30acp-4, 0x1.7267dfe22af03p-4, 0x1.6cacc44441f5cp-4, 0x1.67023dc194a47p-4, 0x1.616840c6ccde6p-4, 0x1.5bdec0a61a42p-4, 0x1.5665afad70675p-4, 0x1.50fcff33c2f43p-4, 0x1.4ba49faa096f7p-4, 0x1.465c80ae800e8p-4, 0x1.4124910c9299p-4, 0x1.3bfcbec0bc14ep-4, 0x1.36e4f6ee2e9f2p-4, 0x1.31dd25ea33cf2p-4, 0x1.2ce5374130974p-4, 0x1.27fd15c8ab58ap-4, 0x1.2324aba979a4ep-4, 0x1.1e5be2709ef26p-4, 0x1.19a2a312b6972p-4, 0x1.14f8d5f3dd2c8p-4, 0x1.105e62e6c120dp-4, 0x1.0bd3312f7378p-4, 0x1.07572781fa951p-4, 0x1.02ea2c0d9c18p-4, 0x1.fd1848f25ce8cp-5, 0x1.f479ec11c9a39p-5, 0x1.ebf90b2fb20f6p-5, 0x1.e3956f50097cp-5, 0x1.db4ee0709f03dp-5, 0x1.d32526279f54dp-5, 0x1.cb180742d777p-5, 0x1.c32749da56be9p-5, 0x1.bb52b35e84d7cp-5, 0x1.b39a08a58ffe2p-5, 0x1.abfd0e0140f86p-5, 0x1.a47b87466d61fp-5, 0x1.9d1537d84210ap-5, 0x1.95c9e2b5405b4p-5, 0x1.8e994a75290dfp-5, 0x1.8783315ce539bp-5, 0x1.80875959d5b66p-5, 0x1.79a58403b9622p-5, 0x1.72dd72a298dffp-5, 0x1.6c2ee640cfd5fp-5, 0x1.65999fb3cdd22p-5, 0x1.5f1d5f9d30d24p-5, 0x1.58b9e6783daf5p-5, 0x1.526ef4a222b21p-5, 0x1.4c3c4a5c17e0ep-5, 0x1.4621a7d06718dp-5, 0x1.401ecd1971f9bp-5, 0x1.3a337a466804ep-5, 0x1.345f6f6125b0fp-5, 0x1.2ea26c76d278ep-5, 0x1.28fc319c78049p-5, 0x1.236c7ef38fd17p-5, 0x1.1df314ae64dffp-5, 0x1.188fb3118e48cp-5, 0x1.13421a7dc4ae6p-5, 0x1.0e0a0b6432827p-5, 0x1.08e7465ab416ep-5, 0x1.03d98c1ce4c6cp-5, 0x1.fdc13b2651822p-6, 0x1.f3f877ba56b88p-6, 0x1.ea5850b1ede7ep-6, 0x1.e0e04952675fep-6, 0x1.d78fe564e62d4p-6, 0x1.ce66a92e1eed7p-6, 0x1.c5641967f307ap-6, 0x1.bc87bb46daf09p-6, 0x1.b3d1146b91239p-6, 0x1.ab3faaedcf716p-6, 0x1.a2d3056f54843p-6, 0x1.9a8aab2eac2bdp-6, 0x1.92662420d35cap-6, 0x1.8a64f911961afp-6, 0x1.8286b3b5617cap-6, 0x1.7acadeacedacdp-6, 0x1.7331057528a5ap-6, 0x1.6bb8b4541cf7dp-6, 0x1.6461784e5155ep-6, 0x1.5d2adf11674c5p-6, 0x1.561476cd2e56ap-6, 0x1.4f1dce2b1dbcdp-6, 0x1.48467464bc54fp-6, 0x1.418df96d98699p-6, 0x1.3af3ee12895b1p-6, 0x1.3477e41cb061p-6, 0x1.2e196e7ac5718p-6, 0x1.27d821664c5e5p-6, 0x1.21b392741e372p-6, 0x1.1bab5886062f9p-6, 0x1.15bf0ba291028p-6, 0x1.0fee44b7a4911p-6, 0x1.0a389d6964826p-6, 0x1.049dafd355a2fp-6, 0x1.fe3a2cbaacbd3p-7, 0x1.f36cd76467d63p-7, 0x1.e8d295a38af19p-7, 0x1.de6a9e8cbecc7p-7, 0x1.d4342b235382ap-7, 0x1.ca2e76fa127e9p-7, 0x1.c058c133c566cp-7, 0x1.b6b24cde28517p-7, 0x1.ad3a617059fbdp-7, 0x1.a3f04a765295cp-7, 0x1.9ad356cefda54p-7, 0x1.91e2d78adfa98p-7, 0x1.891e1e97e4573p-7, 0x1.80847d683a316p-7, 0x1.781543eba62a4p-7, 0x1.6fcfc026d467bp-7, 0x1.67b33e9098279p-7, 0x1.5fbf0b220cceap-7, 0x1.57f2737604ea3p-7, 0x1.504cc8d8335d6p-7, 0x1.48cd62485712ep-7, 0x1.41739e320f2bcp-7, 0x1.3a3ee309edaadp-7, 0x1.332e9eb4bba0cp-7, 0x1.2c4244b33c84bp-7, 0x1.25794b5276e0bp-7, 0x1.1ed3286e95631p-7, 0x1.184f4e3c1001p-7, 0x1.11ed28f63e6dap-7, 0x1.0bac1deb1748p-7, 0x1.058b8c43fd995p-7, 0x1.ff159f2646f41p-8, 0x1.f352874b41d7ep-8, 0x1.e7cc91d704ae5p-8, 0x1.dc82922f2d978p-8, 0x1.d17371e16f43ap-8, 0x1.c69e3d4024782p-8, 0x1.bc020ed16948dp-8, 0x1.b19e1e49a7eb1p-8, 0x1.a771a7ff6f884p-8, 0x1.9d7be750995ddp-8, 0x1.93bc0a60d42cfp-8, 0x1.8a312976bfc0ap-8, 0x1.80da4341ba3f6p-8, 0x1.77b63e82852eep-8, 0x1.6ec3f0b15d61dp-8, 0x1.66022937af512p-8, 0x1.5d6fbe868bd9ap-8, 0x1.550b9ae661f8dp-8, 0x1.4cd4c695f6fbep-8, 0x1.44ca6d49e015p-8, 0x1.3cebdddc1a17dp-8, 0x1.353883f38dbc6p-8, 0x1.2dafdcb80c6f5p-8, 0x1.265168ba80237p-8, 0x1.1f1c9dc585376p-8, 0x1.1810db3e9c7d5p-8, 0x1.112d63502a06ep-8, 0x1.0a715a186e384p-8, 0x1.03dbcae2fbe21p-8, 0x1.fad76482e473p-9, 0x1.ee40161f7af87p-9, 0x1.e1efb8545f318p-9, 0x1.d5e48435ad89ap-9, 0x1.ca1cf74031289p-9, 0x1.be97c9a09743p-9, 0x1.b353f60b72197p-9, 0x1.a850a138cda7fp-9, 0x1.9d8d070444074p-9, 0x1.93086184d6144p-9, 0x1.88c1d42cebe98p-9, 0x1.7eb85b4762f9cp-9, 0x1.74eac6e55daedp-9, 0x1.6b57bc985ecfdp-9, 0x1.61fdc3960073ep-9, 0x1.58db5458110dep-9, 0x1.4feeeb34d9028p-9, 0x1.473719b6a05d2p-9, 0x1.3eb29421c013bp-9, 0x1.3660392b6387bp-9, 0x1.2e3f12b7f1cbfp-9, 0x1.264e4f88d9f8dp-9, 0x1.1e8d36e738c17p-9, 0x1.16fb1771e9401p-9, 0x1.0f97383dbf753p-9, 0x1.0860cb5bf010bp-9, 0x1.0156e64fd97e8p-9, 0x1.f4f109850da9ep-10, 0x1.e78920a43902dp-10, 0x1.da73d87f9de67p-10, 0x1.cdaf030ebdfb4p-10, 0x1.c13892c18700dp-10, 0x1.b50ea6fcecc2p-10, 0x1.a92f8bbeb016ep-10, 0x1.9d99b49fefa24p-10, 0x1.924bb9249bed1p-10, 0x1.87444e2885eb9p-10, 0x1.7c823e19c7436p-10, 0x1.7204625a6ddbep-10, 0x1.67c9991af1df7p-10, 0x1.5dd0b5d4469bp-10, 0x1.5418702c2d77dp-10, 0x1.4a9f55bb74f37p-10, 0x1.4163c6126a81cp-10, 0x1.3863fbbe0fac9p-10, 0x1.2f9e2226bd84cp-10, 0x1.271072ded08bp-10, 0x1.1eb950c7cd164p-10, 0x1.16975763fcbf9p-10, 0x1.0ea958ed6992ep-10, 0x1.06ee4d35a95b6p-10, 0x1.feca73fc22239p-11, 0x1.f01a41dbb1673p-11, 0x1.e1c9e7bfd3a24p-11, 0x1.d3d77e635c132p-11, 0x1.c640da951d98bp-11, 0x1.b9045c2673f69p-11, 0x1.ac20754abf15ep-11, 0x1.9f93c4638f35ep-11, 0x1.935ce477aee46p-11, 0x1.877a480d146a3p-11, 0x1.7bea249378be4p-11, 0x1.70aa71d53795ep-11, 0x1.65b8f667fd7a6p-11, 0x1.5b1355835d205p-11, 0x1.50b71790130b9p-11, 0x1.46a1b080370b6p-11, 0x1.3cd08ce386e9fp-11, 0x1.33412befdb527p-11, 0x1.29f1437ca2669p-11, 0x1.20dee23d6c17ap-11, 0x1.180881f11878ep-11, 0x1.0f6d00b3dc75cp-11, 0x1.070b82e7a99f5p-11, 0x1.fdc6957c49b9bp-12, 0x1.ede7202184a61p-12, 0x1.de76eab5b55e3p-12, 0x1.cf742612bccfap-12, 0x1.c0dd3a11016f4p-12, 0x1.b2b0fb56b259dp-12, 0x1.a4eea9ba238a6p-12, 0x1.97958a6ac76d2p-12, 0x1.8aa455cb1c49ep-12, 0x1.7e18980d88c68p-12, 0x1.71ee59c2e67ffp-12, 0x1.66202b086c947p-12, 0x1.5aa7976ea4775p-12, 0x1.4f7e17f7d93p-12, 0x1.449e3b9d8a45ep-12, 0x1.3a0482a037ebcp-12, 0x1.2fafc3071ea22p-12, 0x1.25a0908688ed4p-12, 0x1.1bd8312ad8984p-12, 0x1.1256f87d681abp-12, 0x1.091c0378e151bp-12, 0x1.00255791aca6cp-12, 0x1.eee1653f50ff7p-13, 0x1.ddf91dfe2bd3fp-13, 0x1.cd9109a2c7d42p-13, 0x1.bdaa0b0930bcep-13, 0x1.ae4538aa4308dp-13, 0x1.9f623f7482e11p-13, 0x1.90fe74841114fp-13, 0x1.8314d26482edfp-13, 0x1.759e8733f688cp-13, 0x1.6893a5778b255p-13, 0x1.5bebe519f42f5p-13, 0x1.4f9f9c94a7c16p-13, 0x1.43a8e0a69e9fp-13, 0x1.38044e1050f23p-13, 0x1.2cb0eea715424p-13, 0x1.21af2f1c69135p-13, 0x1.16ff863b164dcp-13, 0x1.0ca193693b55dp-13, 0x1.029405623e13dp-13, 0x1.f1aa25d6360b3p-14, 0x1.dec635a93744dp-14, 0x1.cc7a15c89a106p-14, 0x1.bac47a79fd39dp-14, 0x1.a9a3ddec836cbp-14, 0x1.9915da5a7e97p-14, 0x1.8916c38589829p-14, 0x1.79a3ecff5486ep-14, 0x1.6ab695d7d79a3p-14, 0x1.5c48dd3cba059p-14, 0x1.4e533d254d92cp-14, 0x1.40ce2e32b9eedp-14, 0x1.33b37ba374c2ep-14, 0x1.26ff6429893b8p-14, 0x1.1ab08eac899ebp-14, 0x1.0ec696f2f03f1p-14, 0x1.0340206859283p-14, 0x1.f033bfc095947p-15, 0x1.da9e4c2f301c1p-15, 0x1.c5b6a9849d768p-15, 0x1.b176c67b681fp-15, 0x1.9ddd3fefc474fp-15, 0x1.8aebc68f794dcp-15, 0x1.78a3161c43995p-15, 0x1.66ffe4371455p-15, 0x1.55faf1fa05e4ap-15, 0x1.458b4c777d033p-15, 0x1.35aa66cc0db05p-15, 0x1.2654f620d4313p-15, 0x1.1788f7bfdf569p-15, 0x1.094355c57c1d4p-15, 0x1.f6fdef280eee5p-16, 0x1.dc69b49ee35d8p-16, 0x1.c2bbb75604d6ap-16, 0x1.a9e8bd52206f7p-16, 0x1.91ea34ae7a424p-16, 0x1.7abdb2c444ab2p-16, 0x1.64631295c1da1p-16, 0x1.4ed957ea8edc4p-16, 0x1.3a1aa7aebc6dap-16, 0x1.2620782c63c5bp-16, 0x1.12e38f45a99e9p-16, 0x1.005ecaac80fc2p-16, 0x1.dd1608fb80f33p-17, 0x1.babbe77f53d38p-17, 0x1.999b7d2f31429p-17, 0x1.79a98261fec78p-17, 0x1.5ae1bc57117dp-17, 0x1.3d3f537265697p-17, 0x1.20b915bc82c1fp-17, 0x1.05433f458d6efp-17, 0x1.d5aae06e79fd3p-18, 0x1.a2dc6181aaf93p-18, 0x1.7205ca02559bp-18, 0x1.431a1537a5dd7p-18, 0x1.15ff9fac053d9p-18, 0x1.d53faefc136e2p-19, 0x1.81d40ee444d8ep-19, 0x1.31a8f013670b5p-19, 0x1.c95fe1044ab22p-20, 0x1.35a72cf71ec3cp-20, 0x1.4fd9d7ee37d6ap-21, 0x1.ff86a5cd711b6p-24, -0x1.8963382354ac4p-22, -0x1.be42d9aa6fe0bp-21, -0x1.56956a272709bp-20, -0x1.c8fb07bc518bap-20, -0x1.1b39e1b1d28cbp-19, -0x1.4fb9e7f8bc25dp-19, -0x1.821862fea5d6cp-19, -0x1.b23fd2ec23eb4p-19, -0x1.e042d960a8f14p-19, -0x1.0616bb13eefa4p-18, -0x1.1b10bb50e5fbdp-18, -0x1.2f227a1061607p-18, -0x1.425617fc52254p-18, -0x1.54b1822231eedp-18, -0x1.663f42eb124c3p-18, -0x1.77046fdfca8b1p-18, -0x1.86fa5e20de2e6p-18, -0x1.961e29befde3ap-18, -0x1.a47bb6b6a7d0ap-18, -0x1.b228a812a76e5p-18, -0x1.bf268747b2db4p-18, -0x1.cb7155d6b2723p-18, -0x1.d713996ea0abp-18, -0x1.e2202de1822e9p-18, -0x1.ec9d94dd9dfdcp-18, -0x1.f68a3b09d9e41p-18, -0x1.ffe455f4bb3e4p-18, -0x1.045852f75923fp-17, -0x1.087b623533a79p-17, -0x1.0c603ffee4ee5p-17, -0x1.100bfac9355eep-17, -0x1.138289398c34dp-17, -0x1.16c64fdc2defap-17, -0x1.19d6ad566e92fp-17, -0x1.1cae807775c7dp-17, -0x1.1f4b828bbeb1dp-17, -0x1.21b919544cdc4p-17, -0x1.2406481bbbf12p-17, -0x1.26328dc97e3fep-17, -0x1.2833a94b67e66p-17, -0x1.2a047207d6961p-17, -0x1.2ba6f31070d24p-17, -0x1.2d270d4d05899p-17, -0x1.2e8b0784aafe9p-17, -0x1.2fc694ddd0378p-17, -0x1.30d4fc0dd4765p-17, -0x1.31c52fc32b3a2p-17, -0x1.329e5e6b4bb85p-17, -0x1.335c26e29de02p-17, -0x1.33fa237bee505p-17, -0x1.347a27cdb79ecp-17, -0x1.34dc66a23cdcep-17, -0x1.35240ff43a15dp-17, -0x1.355468f06be0bp-17, -0x1.3567e28ecdf0ep-17, -0x1.356635a298acdp-17, -0x1.354da9e49fcc1p-17, -0x1.351ff72d7240bp-17, -0x1.34df0cf3ee70dp-17, -0x1.348b48b9f5f33p-17, -0x1.342727458cd78p-17, -0x1.33b86760744c8p-17, -0x1.3340e5e90dda2p-17, -0x1.32b9c87487225p-17, -0x1.3223aee963055p-17, -0x1.3187d2e1412fap-17, -0x1.30d6f8accd422p-17, -0x1.3005af9c26f8bp-17, -0x1.2f2d2daf9e385p-17, -0x1.2e4e31607ef99p-17, -0x1.2d5d61d98151ep-17, -0x1.2c672ef697f12p-17, -0x1.2b6c5934d11ccp-17, -0x1.2a63873433e1dp-17, -0x1.294ba908d42efp-17, -0x1.282744f9d6c39p-17, -0x1.26f8fa042fc0ap-17, -0x1.25c196263b96dp-17, -0x1.2481d2e7a630cp-17, -0x1.2339de9ecb86ep-17, -0x1.21e9ecbf8513fp-17, -0x1.20924bb00f42fp-17, -0x1.1f34905778515p-17, -0x1.1dcf04436a684p-17, -0x1.1c6226db334e7p-17, -0x1.1aefc614be2f5p-17, -0x1.1976841b3aaaep-17, -0x1.17f645a8ef00fp-17, -0x1.166f816e3bdd7p-17, -0x1.14e1eec9fa717p-17, -0x1.134cc5681369cp-17, -0x1.11b878150be0ep-17, -0x1.10340fa8bb4d1p-17, -0x1.0eb48104b3d0fp-17, -0x1.0d23304f68317p-17, -0x1.0b7f65feb3071p-17, -0x1.09c896d31f0bfp-17, -0x1.081ab77dc121bp-17, -0x1.067a1e89fe4bap-17, -0x1.04d4f02aae7b4p-17, -0x1.03272aa398957p-17, -0x1.01722c07f9555p-17, -0x1.ff71d3a802582p-18, -0x1.fbf984a4e213fp-18, -0x1.f87cb8eebde05p-18, -0x1.f4fbb6b8be8efp-18, -0x1.f176a2aa298e1p-18, -0x1.eded81dc1769ap-18, -0x1.ea604a09dce3ep-18, -0x1.e6cf3c7676481p-18, -0x1.e33a681a00c86p-18, -0x1.df9f6e78c7764p-18, -0x1.dbfd3c918c9dap-18, -0x1.d860189bef9eap-18, -0x1.d4c570a934536p-18, -0x1.d120e905e382ep-18, -0x1.cd7a0b8d2b94ap-18, -0x1.c9cc7db144f68p-18, -0x1.c61a522aff86bp-18, -0x1.c264b3f2d553bp-18, -0x1.beacb1911ef51p-18, -0x1.bb0349d8de328p-18, -0x1.b75b2efdadf5ap-18, -0x1.b3a716a02545bp-18, -0x1.aff1eeeac9c39p-18, -0x1.ac41ae3e22f1dp-18, -0x1.a889541c53814p-18, -0x1.a4cae3b9493f9p-18, -0x1.a113ce933abdfp-18, -0x1.9d5ca3babe1d9p-18, -0x1.99a12c7d9f745p-18, -0x1.95e2b97ea1117p-18, -0x1.9223453b21798p-18, -0x1.8e63445ab1e63p-18, -0x1.8aa3cd38f9834p-18, -0x1.86e3c002869bap-18, -0x1.832402058284ep-18, -0x1.7f643aef3bb76p-18, -0x1.7ba471bd2bc7p-18, -0x1.77e4b4b61186bp-18, -0x1.74251d2e14c67p-18, -0x1.7065c9218b423p-18, -0x1.6ca6c947cb504p-18, -0x1.68e865be2a99bp-18, -0x1.652ac56363d01p-18, -0x1.616ddfcf0079fp-18, -0x1.5db0ba0eb8d53p-18, -0x1.59f3f4c12be8fp-18, -0x1.5638675389f01p-18, -0x1.527cdd00379d2p-18, -0x1.4ec0c1b1fb358p-18, -0x1.4b0807245a34ep-18, -0x1.47561b7e8b153p-18, -0x1.439faee406d92p-18, -0x1.3fe67253b0e26p-18, -0x1.3c319a941fb16p-18, -0x1.3882c16ebb008p-18, -0x1.34d53fbe272bbp-18, -0x1.31272ccba1f5p-18, -0x1.2d76de1b78dafp-18, -0x1.29d881bade677p-18, -0x1.262317b41a90cp-18, -0x1.227b09d67a156p-18, -0x1.1ed4dc472fbedp-18, -0x1.1b2a337bca26dp-18, -0x1.17883f88b0d0fp-18, -0x1.13e86151c8083p-18, -0x1.10486dda71078p-18, -0x1.0cb074da4d7acp-18, -0x1.091442421d9d6p-18, -0x1.057acb9d845a6p-18, -0x1.01e3f33960693p-18, -0x1.fc9ff510ac04ep-19, -0x1.f57d405e89d09p-19, -0x1.ee5f91adaad38p-19, -0x1.e746f83cb90dbp-19, -0x1.e033887bbf989p-19, -0x1.d925516b2ba7bp-19, -0x1.d21c666c743aap-19, -0x1.cb18efbc8d3dcp-19, -0x1.c41b2aa53c105p-19, -0x1.bd232e7f0a672p-19, -0x1.b63073464235fp-19, -0x1.af42fece0bd54p-19, -0x1.a85d83c7d1718p-19, -0x1.a17d010b671a1p-19, -0x1.9aa372accc082p-19, -0x1.93d0d6abf88d6p-19, -0x1.8d03c6e24ee2p-19, -0x1.863cebb225374p-19, -0x1.7f7c1b6ce7535p-19, -0x1.78c184c0c7e83p-19, -0x1.720fb5267c1eep-19, -0x1.6b63bddddf508p-19, -0x1.64be2cb14ac29p-19, -0x1.5e22ce8bd3a75p-19, -0x1.578beff2320edp-19, -0x1.50fc31bc4d0f4p-19, -0x1.4a74575d628fdp-19, -0x1.43f3c010bc206p-19, -0x1.3d7a42d60f971p-19, -0x1.3708bd1f33d8ep-19, -0x1.309f93d1295bdp-19, -0x1.2a309615b089bp-19, -0x1.23e379b266c02p-19, -0x1.1d90fcbb18ep-19, -0x1.17465ed5f1449p-19, -0x1.1105de93338c9p-19, -0x1.0ace28c54a6a8p-19, -0x1.0497e0f88814fp-19, -0x1.fcdb023c7c4f4p-20, -0x1.f09a9497d2fabp-20, -0x1.e461cfdd4e137p-20, -0x1.d84c280976224p-20, -0x1.cc3a1b1ac8624p-20, -0x1.c03b24627dd4p-20, -0x1.b44c0711d4c85p-20, -0x1.a877ff77136edp-20, -0x1.9cac50f8bce57p-20, -0x1.90f29e10dc4bap-20, -0x1.854b6c3d50f84p-20, -0x1.79b6af8c73011p-20, -0x1.6e3547e7200b1p-20, -0x1.62c6e90caf66ap-20, -0x1.57672ba005a47p-20, -0x1.4c1e3cf42818cp-20, -0x1.40e59193144a8p-20, -0x1.35c389c357397p-20, -0x1.2ab2c239b4e46p-20, -0x1.1facc205ca888p-20, -0x1.14bc99178647p-20, -0x1.09e4f0e94cca8p-20, -0x1.fe37fd57e5e7dp-21, -0x1.e8ca734d85cc9p-21, -0x1.d389516ce06bfp-21, -0x1.be72c6a228cdep-21, -0x1.a978bc3b10431p-21, -0x1.94acedfa87aeep-21, -0x1.8009d8676cb8ep-21, -0x1.6b8a36c86caffp-21, -0x1.572e890c6c13p-21, -0x1.42fffc7b5bc31p-21, -0x1.2eff54fb5392cp-21, -0x1.1ab122dfa02d4p-21, -0x1.0759d0c521c27p-21, -0x1.e7872d841ec31p-22, -0x1.c0b39c0a2cf5cp-22, -0x1.9a3232fa00cf6p-22, -0x1.7401cda9548cap-22, -0x1.4e289b96fa61dp-22, -0x1.289259f86dfa8p-22, -0x1.031fbdb5dde04p-22, -0x1.bc78cdefc8959p-23, -0x1.7310b9931cf9p-23, -0x1.2ab73b72af32ep-23, -0x1.c43c8ab1c52abp-24, -0x1.36c555b64e6b2p-24, -0x1.525390d47bab7p-25, -0x1.cdcaff14bc744p-28, 0x1.b9a59eace9b96p-26, 0x1.efd874226cd64p-25, 0x1.8084c9a9fe181p-24, 0x1.03cec98879d25p-23, 0x1.468426185c8fcp-23, 0x1.88fe62679f329p-23, 0x1.caa7daed35c0bp-23, 0x1.05d9f5644fc94p-22, 0x1.260e1bc3084bp-22, 0x1.45f198aa3fdcdp-22, 0x1.65854c6c9d92dp-22, 0x1.84c8ae6daad13p-22, 0x1.a3bb37bd90acep-22, 0x1.c253aec3b32b5p-22, 0x1.e09f89b708ca5p-22, 0x1.fea6a884b0ecfp-22, 0x1.0e287b96d6242p-21, 0x1.1cdbec2ac23e6p-21, 0x1.2b5baf6f08983p-21, 0x1.3970e2485248ap-21, 0x1.47efdcbe2b4adp-21, 0x1.55f5dd228bcb7p-21, 0x1.63ed2f0b58e9fp-21, 0x1.71a8967765fa2p-21, 0x1.7f3cf0a869562p-21, 0x1.8cb24b049f613p-21, 0x1.99fc3e024f66ep-21, 0x1.a71b1bb5d9f93p-21, 0x1.b40fe9b3639d2p-21, 0x1.c0d9f35ba267fp-21, 0x1.cd8d88b5cf515p-21, 0x1.da1f51eec4f4p-21, 0x1.e67d8b1587971p-21, 0x1.f2c2cc0e53b14p-21, }}, 
      {{-0x1.85d06833fe2f9p-3, -0x1.55f486a2c76f9p-3, -0x1.1b6df903deec1p-3, -0x1.cd6175feecbdep-4, -0x1.865e6e4bec767p-4, -0x1.6e3982842939p-4, -0x1.88b8372cde8d1p-4, -0x1.d370245a35783p-4, -0x1.2406221173357p-3, -0x1.6f117453b419ap-3, -0x1.c6487bc53ff17p-3, -0x1.1299ed502b4aep-2, -0x1.43e07150c407ep-2, -0x1.75354a897923cp-2, -0x1.a5255cb877546p-2, -0x1.d28d5d3de2e38p-2, -0x1.fc9525f427f8bp-2, -0x1.115408d3eb6f2p-1, -0x1.2235f474632f3p-1, -0x1.30dbb474dce3dp-1, -0x1.3d44874c380c9p-1, -0x1.477f46c2429cbp-1, -0x1.4fa6962fa25dp-1, -0x1.55dd906fb478ep-1, -0x1.5a4cf7681403dp-1, -0x1.5d20df910b9fbp-1, -0x1.5e86cd8b6166ep-1, -0x1.5eac398f47d0cp-1, -0x1.5dbd6bae3b398p-1, -0x1.5be4a3ce61598p-1, -0x1.5949813116d36p-1, -0x1.56109e383e767p-1, -0x1.525b567342579p-1, -0x1.4e47ae6519d01p-1, -0x1.49f055475c996p-1, -0x1.456cbaa54129cp-1, -0x1.40d1328cf1e6fp-1, -0x1.3c2f23e8e43e4p-1, -0x1.37953d6a71ceep-1, -0x1.330fae29b56fap-1, -0x1.2ea8601efac77p-1, -0x1.2a673291a736dp-1, -0x1.265232997f7c6p-1, -0x1.226dd151ff076p-1, -0x1.1ebd17cc3e597p-1, -0x1.1b41d7700e99ap-1, -0x1.17fcd5d2eceb9p-1, -0x1.14edf4d92ea22p-1, -0x1.12145803a6603p-1, -0x1.0f6e864b8be33p-1, -0x1.0cfa87b5b9ccbp-1, -0x1.0ab5feeff6f0bp-1, -0x1.089e40266cbc7p-1, -0x1.06b065d01e3dap-1, -0x1.04e962e6aa34cp-1, -0x1.0346125415614p-1, -0x1.01c343bc86a31p-1, -0x1.005dc61d00096p-1, -0x1.fe24e1ec284a4p-2, -0x1.fbbc586cad104p-2, -0x1.f97bedb92d55bp-2, -0x1.f75dd88a703fp-2, -0x1.f55c907eaf6aep-2, -0x1.f372d40464c8p-2, -0x1.f19bac7cd0429p-2, -0x1.efd2710f5e826p-2, -0x1.ee12c85a20106p-2, -0x1.ec58a96fe7ebfp-2, -0x1.eaa05bc1e7213p-2, -0x1.e8e67665e5a11p-2, -0x1.e727debe93c64p-2, -0x1.e561c6529820ap-2, -0x1.e391a86eb2d45p-2, -0x1.e1b5474df78dcp-2, -0x1.dfcaa8f3a7929p-2, -0x1.ddd013ea3ede6p-2, -0x1.dbc40c024d5a3p-2, -0x1.d9a54ed10a8b8p-2, -0x1.d772d030f9078p-2, -0x1.d52bb6e1c43a7p-2, -0x1.d2cf5910fa746p-2, -0x1.d05d38f296ec8p-2, -0x1.cdd50178f3d57p-2, -0x1.cb36831cd96p-2, -0x1.c881b0cd32fd7p-2, -0x1.c5b69ce518dfbp-2, -0x1.c2d5763d79f96p-2, -0x1.bfde85748384bp-2, -0x1.bcd22a5355d17p-2, -0x1.b9b0d94d14966p-2, -0x1.b67b18f6aaf94p-2, -0x1.b3318012a096cp-2, -0x1.afd4b34e6dabcp-2, -0x1.ac65636f5b517p-2, -0x1.a8e44b94d0879p-2, -0x1.a5522f7c1b3c6p-2, -0x1.a1afda0bbf46ap-2, -0x1.9dfe1bed8e55fp-2, -0x1.9a3dca2a4e58cp-2, -0x1.966fbd01e07c9p-2, -0x1.9294cecaf6e15p-2, -0x1.8eaddaed3d17ep-2, -0x1.8abbbcf48ba85p-2, -0x1.86bf4fb9e8b7fp-2, -0x1.82b96c9a1a426p-2, -0x1.7eaaeae0dbf06p-2, -0x1.7a949f262a839p-2, -0x1.76775ac4f3219p-2, -0x1.7253eb6cb333p-2, -0x1.6e2b1ad0b7cf7p-2, -0x1.69fdae2c89b64p-2, -0x1.65cc6614d24dcp-2, -0x1.6197fe1fed89cp-2, -0x1.5d612cc4243dcp-2, -0x1.5928a319cc1bcp-2, -0x1.54ef0cbe89551p-2, -0x1.50b50fb26c5e9p-2, -0x1.4c7b4c3b72e69p-2, -0x1.48425cdfcb52fp-2, -0x1.440ad65937449p-2, -0x1.3fd5479984d7dp-2, -0x1.3ba239c7b17dp-2, -0x1.3772303fed0cbp-2, -0x1.3345a8af5d762p-2, -0x1.2f1d1b1c77c27p-2, -0x1.2af8f9f0e7fe4p-2, -0x1.26d9b2221b4bdp-2, -0x1.22bfab3c8f8f7p-2, -0x1.1eab47875b093p-2, -0x1.1a9ce40f263e2p-2, -0x1.1694d8de51aacp-2, -0x1.1293791814842p-2, -0x1.0e991303b5158p-2, -0x1.0aa5f03060d5ap-2, -0x1.06ba55a8fce92p-2, -0x1.02d68404afb18p-2, -0x1.fdf56f40009c9p-3, -0x1.f64e5149a1417p-3, -0x1.eeb8168071762p-3, -0x1.e7331f732f63bp-3, -0x1.dfbfc52ec5ba4p-3, -0x1.d85e598bc27b7p-3, -0x1.d10f2776905dcp-3, -0x1.c9d2731c5056cp-3, -0x1.c2a87a4ad1f93p-3, -0x1.bb91749951dd4p-3, -0x1.b48d93b58c248p-3, -0x1.ad9d039e45807p-3, -0x1.a6bfeae9d6745p-3, -0x1.9ff66b083f199p-3, -0x1.9940a05868631p-3, -0x1.929ea291ee67bp-3, -0x1.8c1084d79e70ep-3, -0x1.8596560ecf871p-3, -0x1.7f3020fe74c01p-3, -0x1.78ddec85fe5ddp-3, -0x1.729fbbd4f9cd3p-3, -0x1.6c758e96fcd05p-3, -0x1.665f6118d906ap-3, -0x1.605d2c767f1afp-3, -0x1.5a6ee6e28adeap-3, -0x1.549483b997f83p-3, -0x1.4ecdf3a5dfeaap-3, -0x1.491b24ca7392p-3, -0x1.437c02ec4996bp-3, -0x1.3df0779d0f3d7p-3, -0x1.38786a4600731p-3, -0x1.3313c05efbefdp-3, -0x1.2dc25d8130c5ap-3, -0x1.2884238f982c6p-3, -0x1.2358f2ce7a6ecp-3, -0x1.1e40a9fe8dabep-3, -0x1.193b26775be15p-3, -0x1.1448444906d65p-3, -0x1.0f67de457ad3p-3, -0x1.0a99ce294a0f7p-3, -0x1.05ddec9b9ea0ap-3, -0x1.0134115cd2da6p-3, -0x1.f93826a12bd5p-4, -0x1.f02b9100d867fp-4, -0x1.e7420c610c46cp-4, -0x1.de7b4277a9aaap-4, -0x1.d5d6db57c338cp-4, -0x1.cd547e16bc462p-4, -0x1.c4f3d0d886024p-4, -0x1.bcb4791915836p-4, -0x1.b4961b6adbddfp-4, -0x1.ac985be4b45cdp-4, -0x1.a4baddf8ec0b1p-4, -0x1.9cfd44c464dd9p-4, -0x1.955f32f048128p-4, -0x1.8de04af04fcp-4, -0x1.86802f10eea4dp-4, -0x1.7f3e815e63ffcp-4, -0x1.781ae3e8590a5p-4, -0x1.7114f8c9c8c72p-4, -0x1.6a2c622ad0439p-4, -0x1.6360c25194563p-4, -0x1.5cb1bbb729b0ap-4, -0x1.561ef0fc87dfcp-4, -0x1.4fa8051f4e56p-4, -0x1.494c9b7020c35p-4, -0x1.430c5791c3438p-4, -0x1.3ce6dda1766f6p-4, -0x1.36dbd21fc7ef5p-4, -0x1.30eada06a67fdp-4, -0x1.2b139ad1c4e47p-4, -0x1.2555ba83c7a7ap-4, -0x1.1fb0dfbacfef4p-4, -0x1.1a24b1af88b73p-4, -0x1.14b0d835291acp-4, -0x1.0f54fbb90d109p-4, -0x1.0a10c553e9719p-4, -0x1.04e3debdedcdap-4, -0x1.ff9be55ab4f57p-5, -0x1.f59d5873b6be1p-5, -0x1.ebcb6eb59acfep-5, -0x1.e22581645b5afp-5, -0x1.d8aaeb4fda4f6p-5, -0x1.cf5b08f31d5dap-5, -0x1.c635384dcc01p-5, -0x1.bd38d8cf30626p-5, -0x1.b4654b982a905p-5, -0x1.abb9f362f361ap-5, -0x1.a336348707908p-5, -0x1.9ad974f7db3c9p-5, -0x1.92a31c4a0be31p-5, -0x1.8a9293b0967a9p-5, -0x1.82a7460cbe483p-5, -0x1.7ae09fde8aabp-5, -0x1.733e0f55350cdp-5, -0x1.6bbf0448a6e71p-5, -0x1.6462f0347bddbp-5, -0x1.5d294644e4fbdp-5, -0x1.56117b3f374e1p-5, -0x1.4f1b05b6b254dp-5, -0x1.48455dac7acebp-5, -0x1.418ffcfe23c05p-5, -0x1.3afa5f1b7fb0dp-5, -0x1.348401116fe9cp-5, -0x1.2e2c6171d841ap-5, -0x1.27f300b606c49p-5, -0x1.21d760d617d28p-5, -0x1.1bd90548890d1p-5, -0x1.15f7735a3d0fdp-5, -0x1.103231cf9d12ep-5, -0x1.0a88c8fe9b357p-5, -0x1.04fac2d1d12cfp-5, -0x1.ff0f55ab91ae7p-6, -0x1.f45e1c519a891p-6, -0x1.e9e0f6e5309b6p-6, -0x1.df9705c134fabp-6, -0x1.d57f6c5b227a9p-6, -0x1.cb99511cb31fdp-6, -0x1.c1e3dd6bef57p-6, -0x1.b85e3d96ff7acp-6, -0x1.af07a1425636dp-6, -0x1.a5df3a8196b68p-6, -0x1.9ce43e8104a41p-6, -0x1.9415e5be214e5p-6, -0x1.8b736afec27c1p-6, -0x1.82fc0c5768f1ep-6, -0x1.7aaf0a310ed06p-6, -0x1.728ba7e8dc864p-6, -0x1.6a912bb90d9d8p-6, -0x1.62bede7dd60cp-6, -0x1.5b140bd7881b8p-6, -0x1.539001f7efadbp-6, -0x1.4c3211c7ad582p-6, -0x1.44f98ec9aa99bp-6, -0x1.3de5cf1df663dp-6, -0x1.36f62b55c52e5p-6, -0x1.3029fe9af3106p-6, -0x1.2980a6c4e171fp-6, -0x1.22f984145139cp-6, -0x1.1c93f8cee8ea7p-6, -0x1.164f6a326f1fp-6, -0x1.102b3fa909021p-6, -0x1.0a26e2fd18e2ap-6, -0x1.0441c039b6e88p-6, -0x1.fcf68bcad5515p-7, -0x1.f1a5c9889eb9cp-7, -0x1.e6901f662cbc3p-7, -0x1.dbb477f7e1808p-7, -0x1.d111c1f9c309ap-7, -0x1.c6a6f09d2531bp-7, -0x1.bc72fb4de90c9p-7, -0x1.b274ddbce0d7dp-7, -0x1.a8ab97cdef32cp-7, -0x1.9f162d90ef9a5p-7, -0x1.95b3a71f1f35bp-7, -0x1.8c83109ccfb71p-7, -0x1.838379e2a863bp-7, -0x1.7ab3f705c1ddap-7, -0x1.7213a00acf42ap-7, -0x1.69a1910bf7f2ep-7, -0x1.615ce9e60de87p-7, -0x1.5944cb13c9bc9p-7, -0x1.51585cf63d2dfp-7, -0x1.4996cad91c611p-7, -0x1.41ff45ae7604bp-7, -0x1.3a90f882aad43p-7, -0x1.334b1c2e14fd2p-7, -0x1.2c2ce93818d41p-7, -0x1.25359b15f2478p-7, -0x1.1e6470ec328f2p-7, -0x1.17b8ad423a376p-7, -0x1.113195c6c3aaep-7, -0x1.0ace736c82d5fp-7, -0x1.048e9246f833dp-7, -0x1.fce283cc6772ep-8, -0x1.f0eba85cb1161p-8, -0x1.e5373bf85797cp-8, -0x1.d9c3eff4c4f6ep-8, -0x1.ce907b3fd28bbp-8, -0x1.c39b99dc0d82dp-8, -0x1.b8e40c9b150e8p-8, -0x1.ae689b7378633p-8, -0x1.a4281390f66fbp-8, -0x1.9a21470cd5038p-8, -0x1.90530d8ee520ep-8, -0x1.86bc443049625p-8, -0x1.7d5bcd32fc46p-8, -0x1.74308fe9f93d1p-8, -0x1.6b3978ad374dfp-8, -0x1.627578ce825c3p-8, -0x1.59e38681c5fecp-8, -0x1.51829cd3ba4f7p-8, -0x1.4951bb8daead5p-8, -0x1.414fe7240b787p-8, -0x1.397c28c2e113ap-8, -0x1.31d58dc29a23cp-8, -0x1.2a5b2859103b3p-8, -0x1.230c0ecf68158p-8, -0x1.1be75bd08e1efp-8, -0x1.14ec2e6093bfap-8, -0x1.0e19a9affc8ecp-8, -0x1.076ef5159e815p-8, -0x1.00eb3beb98ff2p-8, -0x1.f51b5ab85ba6bp-9, -0x1.e8aaf9039c56fp-9, -0x1.dc83c1658da5dp-9, -0x1.d0a428a09d9bcp-9, -0x1.c50aac1ea59p-9, -0x1.b9b5d0ab115c9p-9, -0x1.aea42257a33b2p-9, -0x1.a3d433d2b7eabp-9, -0x1.99449e295fa4bp-9, -0x1.8ef401e273c98p-9, -0x1.84e107480f08dp-9, -0x1.7b0a5cd5fda75p-9, -0x1.716eb53bdecaep-9, -0x1.680ccb69996dep-9, -0x1.5ee362158fb2dp-9, -0x1.55f14126f6921p-9, -0x1.4d353534f7db8p-9, -0x1.44ae12a4632e9p-9, -0x1.3c5ab2902f671p-9, -0x1.3439f402e47dap-9, -0x1.2c4abbc775528p-9, -0x1.248bf43b199bfp-9, -0x1.1cfc8d75e5f4ap-9, -0x1.159b7d109a838p-9, -0x1.0e67bde8f5a5ap-9, -0x1.076050079d17ep-9, -0x1.008438633e62p-9, -0x1.f3a50260828bp-10, -0x1.e694730a2df53p-10, -0x1.d9d4eab309d67p-10, -0x1.cd649ab595d41p-10, -0x1.c141bdc095e04p-10, -0x1.b56a96fb842d9p-10, -0x1.a9dd7140d398fp-10, -0x1.9e98a6e0f15cp-10, -0x1.939a921862ddcp-10, -0x1.88e19e3cfa8eap-10, -0x1.7e6c36479b7afp-10, -0x1.7438d584cfc77p-10, -0x1.6a45fb9363b44p-10, -0x1.6092306afedd3p-10, -0x1.571c03f851ad2p-10, -0x1.4de20d39e7016p-10, -0x1.44e2ea72cc47ep-10, -0x1.3c1d4114f8332p-10, -0x1.338fbe598e828p-10, -0x1.2b391724b25e2p-10, -0x1.2318045960587p-10, -0x1.1b2b49010b731p-10, -0x1.1371af7768d04p-10, -0x1.0bea06bb142dap-10, -0x1.0493256780fc4p-10, -0x1.fad7d245d9688p-11, -0x1.ece66b7c8b016p-11, -0x1.df4fe9459d1a2p-11, -0x1.d21228ff5ebadp-11, -0x1.c52b123c288edp-11, -0x1.b89897d17235dp-11, -0x1.ac58b798f1b9dp-11, -0x1.a0697b2f3fb73p-11, -0x1.94c8f3de6cf4dp-11, -0x1.8975438eca284p-11, -0x1.7e6c9aaf03c2ep-11, -0x1.73ad2a067093ep-11, -0x1.69353713c0cfcp-11, -0x1.5f02dc5b76416p-11, -0x1.5514e8e486f5ap-11, -0x1.4b692bb7cd1abp-11, -0x1.41fe62b88bd9ap-11, -0x1.38d2e49b519c2p-11, -0x1.2fe52a810dd1p-11, -0x1.2733b76b43569p-11, -0x1.1ebd0fcfe205cp-11, -0x1.167fc00f0b68p-11, -0x1.0e7a6109b0afbp-11, -0x1.06ab8d589fe95p-11, -0x1.fe23d909cb6eap-12, -0x1.ef58600f13f19p-12, -0x1.e0f226b5e4f07p-12, -0x1.d2eeb07ac272ep-12, -0x1.c54b8c918b6a5p-12, -0x1.b8065e2b5df2dp-12, -0x1.ab1cd81279299p-12, -0x1.9e8cb8b75915p-12, -0x1.9253c7cd0fb0ap-12, -0x1.866fd6ef4725p-12, -0x1.7adec2690aa77p-12, -0x1.6f9e70fc8ddf8p-12, -0x1.64acd3cb86b69p-12, -0x1.5a07e728c861dp-12, -0x1.4fadb3c608c7ap-12, -0x1.459c520d0154bp-12, -0x1.3bd1f5a23589dp-12, -0x1.324c95e7c0543p-12, -0x1.290ad14de4eeap-12, -0x1.200a9c6b60ccdp-12, -0x1.174a816f53b45p-12, -0x1.0ec8d56c9c37bp-12, -0x1.068401678b101p-12, -0x1.fcf4dca2f9928p-13, -0x1.ed554f424b92fp-13, -0x1.de26400629983p-13, -0x1.cf64d9d4b7f9ap-13, -0x1.c10e1e60a3e31p-13, -0x1.b31f4ce54087dp-13, -0x1.a595a37e5fadcp-13, -0x1.986e71b9db9f4p-13, -0x1.8ba71c784930ap-13, -0x1.7f3d1e2bd068dp-13, -0x1.732e05a4626d5p-13, -0x1.67777412d4fb2p-13, -0x1.5c171c99a9beap-13, -0x1.510ac5e471fcp-13, -0x1.46501db458d97p-13, -0x1.3be505fe06a92p-13, -0x1.31c776da9dcb9p-13, -0x1.27f53f2ea93abp-13, -0x1.1e6c5d2306f2ap-13, -0x1.152ae3a055b38p-13, -0x1.0c2ee65456ad3p-13, -0x1.03767265b9bc2p-13, -0x1.f5ff4c9339bdap-14, -0x1.e5919bde3267fp-14, -0x1.d5a06c1f5620bp-14, -0x1.c6282aaf9575p-14, -0x1.b725922f51bc8p-14, -0x1.a8959cb56d304p-14, -0x1.9a7536882ccfcp-14, -0x1.8cc14beab0e67p-14, -0x1.7f76dedcd55b9p-14, -0x1.7292fe15791cbp-14, -0x1.6612cdc5908aep-14, -0x1.59f3770abbc2ap-14, -0x1.4e323938ec7bdp-14, -0x1.42cc6c542eb32p-14, -0x1.37bf80350e3acp-14, -0x1.2d08fbaf542cap-14, -0x1.22a6767d2c38p-14, -0x1.189595dc9d58cp-14, -0x1.0ed40edaa6741p-14, -0x1.055fa9eb88a12p-14, -0x1.f86c77a9f3f15p-15, -0x1.e6ab5769f17d9p-15, -0x1.d5767cfdd21fdp-15, -0x1.c4cec70922fefp-15, -0x1.b4aa60171d2a4p-15, -0x1.a508e95862dcfp-15, -0x1.95e5c1de5733fp-15, -0x1.873d5008046fp-15, -0x1.790bfaf4b4242p-15, -0x1.6b4e3acdff06ap-15, -0x1.5e00a4f538bbep-15, -0x1.511fe9101dfccp-15, -0x1.44a8ca0e47783p-15, -0x1.38981d5c1bddep-15, -0x1.2ceacce53bf7ap-15, -0x1.219dd9dc03afbp-15, -0x1.16ae62c02ec0ep-15, -0x1.0c19a8473175dp-15, -0x1.01dd0dfdaeb2bp-15, -0x1.efec296cdd77ap-16, -0x1.dcc4a75deba71p-16, -0x1.ca3ed2a833f95p-16, -0x1.b855d863d4cefp-16, -0x1.a705aeba1f9b9p-16, -0x1.9649704b1762ep-16, -0x1.861d40ccb8fc5p-16, -0x1.767c72cd0e4e1p-16, -0x1.6762e8013c092p-16, -0x1.58cc055a404fap-16, -0x1.4ab43c146562ep-16, -0x1.3d1745e1a1901p-16, -0x1.2ff19f79e46e7p-16, -0x1.233e9b1fce389p-16, -0x1.16faefb8200efp-16, -0x1.0b235a9ad56abp-16, -0x1.ff67cd2c6f629p-17, -0x1.e951a2038a387p-17, -0x1.d3ff819c1b73dp-17, -0x1.bf6aa85f13d7fp-17, -0x1.ab8e783a008efp-17, -0x1.986317efad187p-17, -0x1.85ea2056560d4p-17, -0x1.741779c77a9f1p-17, -0x1.62e7ef99c7829p-17, -0x1.5258b523b0927p-17, -0x1.4263394c0f017p-17, -0x1.33028e5a7bc97p-17, -0x1.2431e9eb6f3bbp-17, -0x1.15ec9a6ba674ep-17, -0x1.082e0188bbb67p-17, -0x1.f5e327a8c6c73p-18, -0x1.dc65c90f1a76cp-18, -0x1.c3db61984b3bep-18, -0x1.ac3bb92feca09p-18, -0x1.957ed0647c043p-18, -0x1.7f9cce19fe006p-18, -0x1.6a8df90180d5cp-18, -0x1.564ade1691734p-18, -0x1.42ccafda4dff7p-18, -0x1.300d7de7d132p-18, -0x1.1e07ff8c1302fp-18, -0x1.0cb72c300da8p-18, -0x1.f82ba9d825fe2p-19, -0x1.d83d1eca28e4fp-19, -0x1.b9971570d70b3p-19, -0x1.9c2c6334a9e4p-19, -0x1.7ff1f8df5bebp-19, -0x1.64dff9046db5bp-19, -0x1.4aeb3e666ba9dp-19, -0x1.3206f986e8e71p-19, -0x1.1a19bfaeb3967p-19, -0x1.03546f8c10135p-19, -0x1.dae2a8017104fp-20, -0x1.b0fc447ddae0dp-20, -0x1.88df827c7229dp-20, -0x1.627c73fe8e93ep-20, -0x1.3dc3e04974666p-20, -0x1.1aa78b236e792p-20, -0x1.f233d149fd528p-21, -0x1.b21ad0637ea6dp-21, -0x1.74e7d58ee2bcfp-21, -0x1.3a801ae3ce0a9p-21, -0x1.02c9b790a7b13p-21, -0x1.9b5a8bf6ad2cfp-22, -0x1.362902f21d873p-22, -0x1.aba173716af9bp-23, -0x1.e88b5bde067cp-24, -0x1.17a2e6592641dp-25, 0x1.7e9dc4ab42ca4p-25, 0x1.f954e34db795cp-24, 0x1.91db30aea7481p-23, 0x1.0fa2bb37c0d23p-22, 0x1.5291839dc666ep-22, 0x1.91ed63c760bcap-22, 0x1.cdf10058c2f45p-22, 0x1.034a1f89b7bd9p-21, 0x1.1dfa0be32ca71p-21, 0x1.371f368f31a79p-21, 0x1.4ec901df8b559p-21, 0x1.6502c0d30cb0bp-21, 0x1.79ebed4c33579p-21, 0x1.8d84e8bf7c082p-21, 0x1.9fbfa6edce5b2p-21, 0x1.b0de0b6e00826p-21, 0x1.c0b8ea0a06abp-21, 0x1.cf7ac4dcbbe24p-21, 0x1.dd27d97a264eap-21, 0x1.e9ce22bca1b38p-21, 0x1.f5775596dc913p-21, 0x1.00153e8c57e62p-20, 0x1.04f82bb2b8068p-20, 0x1.096a0c7a76146p-20, 0x1.0d73f5ccfb103p-20, 0x1.111245dc04b1fp-20, 0x1.145017810a356p-20, 0x1.1731e1aebe271p-20, 0x1.19a64d3fb66d8p-20, 0x1.1bd7e2b7fe0d1p-20, 0x1.1daebd0fcaaa9p-20, 0x1.1f35630eda2c8p-20, 0x1.206f0baf93cffp-20, 0x1.215f7f623302fp-20, 0x1.220a6a5f8f1b2p-20, 0x1.2272da329b085p-20, 0x1.229b03b0b7f03p-20, 0x1.2282ae5c54979p-20, 0x1.223138a2ec8c5p-20, 0x1.21aa933a18d1p-20, 0x1.20ec284cf32f8p-20, 0x1.1ffacae3764b5p-20, 0x1.1eddb29b7d9d2p-20, 0x1.1d7798cd006cap-20, 0x1.1bfb6dc206835p-20, 0x1.1a72186a34f2ep-20, 0x1.18a51aba7b20dp-20, 0x1.16b3aae06aa8dp-20, 0x1.149f0a63054ccp-20, 0x1.1268490ee84bap-20, 0x1.1011da9ba5287p-20, 0x1.0d9d48b727db8p-20, 0x1.0b0ca4e6d9115p-20, 0x1.0861cbf6a4deap-20, 0x1.059894c71e0bdp-20, 0x1.02b3d91e3c6efp-20, 0x1.ff7d001d09986p-21, 0x1.f95c0fb048296p-21, 0x1.f31ecd50204dcp-21, 0x1.ecbceb20aaccep-21, 0x1.e63656f8f238cp-21, 0x1.df83b26e5d933p-21, 0x1.d8b11f3bef0bcp-21, 0x1.d1c3421ef09cp-21, 0x1.cac3ff37ce6dfp-21, 0x1.c39f833317152p-21, 0x1.bc674f5fa9c7cp-21, 0x1.b51ba75e3d603p-21, 0x1.adba7313c079dp-21, 0x1.a6467ec6b255p-21, 0x1.9ec22c65a8b4dp-21, 0x1.972f99e10d14cp-21, 0x1.8f8f3a32cdd08p-21, 0x1.87e088e0753aep-21, 0x1.8024bbccf601ep-21, 0x1.785f3e6b3c826p-21, 0x1.7092ba31cd328p-21, 0x1.68bf71df0c3cep-21, 0x1.60e4fb4717cb2p-21, 0x1.590454e3854cp-21, 0x1.511dede4330aep-21, 0x1.4934fef39e185p-21, 0x1.4148dea098238p-21, 0x1.3959b4c79eabbp-21, 0x1.3166343b22998p-21, 0x1.297bbc56c2506p-21, 0x1.218b14b6a4064p-21, 0x1.199bc42cce148p-21, 0x1.11a5aa193387cp-21, 0x1.09cc3fd16f7b7p-21, 0x1.01e2e137b922fp-21, 0x1.f4063b8f2307p-22, 0x1.e482eb2623fe2p-22, 0x1.d49cb281cbb5p-22, 0x1.c4fabf406e109p-22, 0x1.b559f5465f8c9p-22, 0x1.a5c5fe690c88cp-22, 0x1.96511e68d4529p-22, 0x1.86e5d36b20bfcp-22, 0x1.7789f5ffc27fbp-22, 0x1.684b1ce176c5ep-22, 0x1.5911c6b0934fdp-22, 0x1.49e18d6569031p-22, 0x1.3aca9b17d1b16p-22, 0x1.2bc9658405c1cp-22, 0x1.1ceb610c73468p-22, 0x1.0e0b13323d15bp-22, 0x1.fe5daf75e8bc7p-23, 0x1.e1102751db131p-23, 0x1.c3d6cd1c5b2f8p-23, 0x1.a6d2adecc971ep-23, 0x1.8a2a889e2f0a9p-23, 0x1.6d7d9352d7652p-23, 0x1.50e9d13fd2cb8p-23, 0x1.348395b03dbe4p-23, 0x1.187b311dddc5dp-23, 0x1.f91ce34a4981cp-24, 0x1.c1af2a4df60b7p-24, 0x1.8aa55fe323e37p-24, 0x1.5401d0db9221dp-24, 0x1.1dc24479087fbp-24, 0x1.d0da2f823002dp-25, 0x1.65ee532953c8cp-25, 0x1.f60588bcc0a92p-26, 0x1.23cc9309b6185p-26, 0x1.4ca97a3cfcb67p-28, -0x1.eff6afd7cba8p-28, -0x1.49059e52fcdf1p-26, -0x1.09e99f180bfbcp-25, -0x1.6f2303457bf37p-25, -0x1.d31e69c4647adp-25, -0x1.1b0ef9e836bc9p-24, -0x1.4c36001e0ca72p-24, -0x1.7d0b988f0ed1ap-24, -0x1.ad677c1c81ec1p-24, -0x1.dd40b474e8862p-24, -0x1.0651033faaa61p-23, -0x1.1dced0d4a5f12p-23, -0x1.352bb84fe2442p-23, -0x1.4c2f0748f6eb2p-23, -0x1.6309b99dec6eep-23, -0x1.79a8c13677084p-23, -0x1.900dbd71a7035p-23, -0x1.a635e99a3cfedp-23, -0x1.bc2ca44eedd5fp-23, -0x1.d1eed274d3d1bp-23, -0x1.e77844e0212b5p-23, -0x1.fcc80b4e44782p-23, -0x1.08edaa07f5205p-22, -0x1.135a7edfb4e3ep-22, -0x1.1dc36ba57edf9p-22, -0x1.2834cfa9d6298p-22, -0x1.3241651a9e1e5p-22, -0x1.3c0c868e68434p-22, -0x1.45f18235097bcp-22, -0x1.4fad109e4a051p-22, -0x1.596904f9e636ep-22, -0x1.630c42456ba25p-22, -0x1.6c79531a5d0c2p-22, -0x1.75de94f6d6089p-22, -0x1.7f1395a1d065dp-22, -0x1.882f5c3143e1p-22, -0x1.913afa6e85a14p-22, -0x1.9a2e1241e5be9p-22, -0x1.a30249c0f954cp-22, -0x1.abb80957f572ep-22, -0x1.b455b942e9c48p-22, -0x1.bcdd938306b75p-22, -0x1.c5486e44dfab8p-22, -0x1.cd958b8a92f1cp-22, -0x1.d5cbbc25b2f13p-22, -0x1.dde618cbc9924p-22, -0x1.e5e9ee6a00a0fp-22, -0x1.edc98e761a8e2p-22, -0x1.f59808b685473p-22, -0x1.fd46d65b4e678p-22, -0x1.026e0e6f11a1p-21, -0x1.062c2c5f93a59p-21, -0x1.09dddb111d8e1p-21, -0x1.0d830129e5a4p-21, -0x1.111bb6a5aa8ffp-21, -0x1.14a8f961bbd66p-21, -0x1.182864f63d6abp-21, -0x1.1b99f1f36def7p-21, -0x1.1efc4af61707cp-21, -0x1.22567767fa9b5p-21, -0x1.25a4d36eaa8a8p-21, -0x1.28e36f07a049fp-21, -0x1.2c1838f1f4cf7p-21, -0x1.2f433a31befe3p-21, -0x1.32614c1c98e6ap-21, -0x1.3572038574096p-21, -0x1.3872dcd3b6085p-21, -0x1.3b6be885f0723p-21, -0x1.3e644370fff75p-21, -0x1.4136eb0d913f3p-21, -0x1.4409d32f33331p-21, -0x1.46d15e9d6d31ep-21, -0x1.498ff1a93cbf6p-21, -0x1.4c195a67d0f5bp-21, -0x1.4ee3dcd881785p-21, -0x1.517b69511931bp-21, -0x1.54065742f4dfbp-21, -0x1.569a6f2a8e9adp-21, -0x1.5910e3400d335p-21, -0x1.5b79f0ea07492p-21, -0x1.5ddeeb7703dep-21, -0x1.602129d56487bp-21, -0x1.627327a0c3b4cp-21, -0x1.64b7ba7e1ef18p-21, -0x1.66eff5fbce6adp-21, -0x1.691b20df7884ap-21, -0x1.6b3adf5607a73p-21, -0x1.6d5017601662ap-21, -0x1.6f5acb5735be6p-21, -0x1.715ae75a8b138p-21, -0x1.7350553dfed67p-21, -0x1.753afc6883be4p-21, -0x1.771ae8c8099fep-21, -0x1.78f0849594021p-21, -0x1.7abc57d21b45ep-21, -0x1.7c7eb97a9aea4p-21, -0x1.7e37641d9c93cp-21, -0x1.7fe59c3c0f2fdp-21, -0x1.818910325e79dp-21, -0x1.83223023049f1p-21, -0x1.84b188accad23p-21, -0x1.863716e966045p-21, -0x1.87b37a16edffep-21, -0x1.8927a5fda0e82p-21, -0x1.8a925d0e6f78ap-21, -0x1.8bee8e2a70578p-21, -0x1.8d45dfa5829f6p-21, -0x1.8e94934dcd657p-21, -0x1.8fd55f9ff813p-21, -0x1.9110282234a0dp-21, -0x1.924261d65b627p-21, -0x1.9369df0c70ac8p-21, -0x1.948906d6a85ffp-21, -0x1.95a0c5e86b21dp-21, -0x1.96ae5ea71590cp-21, -0x1.97b2156c5bee9p-21, -0x1.98bc27763494ep-21, -0x1.99a0fbd953279p-21, -0x1.9a8bd28045de9p-21, -0x1.9b6e8a29614eep-21, -0x1.9c457731d6553p-21, -0x1.9d123b92aba9bp-21, -0x1.9de1e7250858dp-21, -0x1.9ea4d0a706da3p-21, -0x1.9f5c10c072dd9p-21, -0x1.a011b5f27dd86p-21, -0x1.a0b4e72ba704p-21, -0x1.a156a96058dbep-21, -0x1.a1ef413a70483p-21, -0x1.a281e834a54ap-21, -0x1.a303dac82249cp-21, -0x1.a388ae2f935e6p-21, -0x1.a403ee80e2905p-21, -0x1.a477128620dcep-21, -0x1.a4e2926ac8443p-21, -0x1.a545926fead16p-21, -0x1.a5a052867d0f4p-21, -0x1.a5f92cc974122p-21, -0x1.a644362fd8172p-21, -0x1.a68b49c9f58eap-21, -0x1.a6c843857cbfdp-21, -0x1.a6ff673816225p-21, -0x1.a735b5aebd002p-21, -0x1.a761cc773ed68p-21, -0x1.a78502b15d81ep-21, -0x1.a7a39f68c03f9p-21, -0x1.a7bca78794d96p-21, -0x1.a7cd16b878cb8p-21, -0x1.a7d46cb5f1fb7p-21, -0x1.a7dab27552d68p-21, -0x1.a7d81e7b84642p-21, -0x1.a7cb58c126b81p-21, -0x1.a7bc054ddcd72p-21, -0x1.a7aa5b0f563ddp-21, -0x1.a78d13c8d10f9p-21, -0x1.a769bb91af0e7p-21, -0x1.a759b6510b1d4p-21, -0x1.a717bd41bcf4fp-21, -0x1.a6e59b96d9dbcp-21, -0x1.a6ac6e2e72e86p-21, -0x1.a66d2bbd98ce9p-21, -0x1.a6282ec1dae52p-21, -0x1.a5dcfafacd054p-21, -0x1.a58f47bb3f686p-21, -0x1.a541f85bb1ba3p-21, -0x1.a4e61cbbe8e4ap-21, -0x1.a489172349b05p-21, -0x1.a41ebb9758a3dp-21, -0x1.a3be381bf9454p-21, -0x1.a346c7a639513p-21, -0x1.a2d468e4dbb7cp-21, -0x1.a25cf4553aefp-21, -0x1.a1e3589ca1526p-21, -0x1.a15fd0048c2dbp-21, -0x1.a0dc54b8ce27dp-21, -0x1.a04c9dc55d512p-21, -0x1.9fb894e16c363p-21, -0x1.9f2b288ae08fcp-21, -0x1.9e8fe850c07ffp-21, -0x1.9df2525ad6379p-21, -0x1.9d507a8d1b67ap-21, -0x1.9caa5b0acfe12p-21, -0x1.9c0024280b8fdp-21, -0x1.9b5206b18a9a6p-21, -0x1.9aa01e164466fp-21, -0x1.99e7d33dcc534p-21, -0x1.992d2a4e29a78p-21, -0x1.987083bac9104p-21, -0x1.97accc6dfaa8dp-21, -0x1.96e8221b213efp-21, -0x1.961d01d887918p-21, -0x1.95441788d68ddp-21, -0x1.947c490e59157p-21, -0x1.93a2a2c57175bp-21, -0x1.92cf520bfa2f8p-21, -0x1.91f1468a81a87p-21, -0x1.9110e83b0096ep-21, -0x1.9030aff7fc7p-21, -0x1.8f4adeb12b407p-21, -0x1.8e603c77dfa95p-21, -0x1.8d71e421c4f7dp-21, -0x1.8c7fac274d202p-21, -0x1.8b8e68f07fccep-21, -0x1.8a9ba7873427cp-21, -0x1.89a229d43c766p-21, -0x1.88aae608dfe97p-21, }}, 
      {{-0x1.15def1a102c57p-5, -0x1.edf4f46e393bep-4, -0x1.da58a0238d778p-3, -0x1.5e747ba3e8b59p-2, -0x1.be86900e0e74fp-2, -0x1.025fab9b2c0adp-1, -0x1.17644006fe515p-1, -0x1.1f411c45d0dfap-1, -0x1.1c19460dcd811p-1, -0x1.10924cf94b78fp-1, -0x1.feb906e9330c9p-2, -0x1.d5d586a89d9a8p-2, -0x1.aa9b502455927p-2, -0x1.804dc1dc77696p-2, -0x1.5956c1a3fdc13p-2, -0x1.375b8f6988a92p-2, -0x1.1b592904726fbp-2, -0x1.05c2d366e96dap-2, -0x1.ed3f650c7e319p-3, -0x1.db4b7eed1f748p-3, -0x1.d4a28db57d242p-3, -0x1.d7f160cd3c6d1p-3, -0x1.e3b9602a9a357p-3, -0x1.f66a583f1c0adp-3, -0x1.073b322bdf97ap-2, -0x1.15305d5de010bp-2, -0x1.24641014d6353p-2, -0x1.3436e06a1b6ep-2, -0x1.441c8f90fe3ebp-2, -0x1.539cdb3249ca6p-2, -0x1.62536dac5df73p-2, -0x1.6fef27beddfc2p-2, -0x1.7c30f411e272ep-2, -0x1.86ea4c170a308p-2, -0x1.8ffb8e16d921cp-2, -0x1.97523dc4fcd1bp-2, -0x1.9ce742f7bbd6bp-2, -0x1.a0bd3522627c7p-2, -0x1.a2debdcd67c5cp-2, -0x1.a35d18be820fdp-2, -0x1.a24eb5bef8b53p-2, -0x1.9fcdfe8d06b34p-2, -0x1.9bf8413114fcdp-2, -0x1.96ecbdd9a62d8p-2, -0x1.90cbd6c541daap-2, -0x1.89b66076e9e0bp-2, -0x1.81cd0f3e8119ap-2, -0x1.792fff435f6dbp-2, -0x1.6ffe53c8b3873p-2, -0x1.6655eb2d2801dp-2, -0x1.5c532574c183fp-2, -0x1.5210ba8fe8f9bp-2, -0x1.47a79d739e8f2p-2, -0x1.3d2eea24996e4p-2, -0x1.32bbdc7ed2aadp-2, -0x1.2861cf0f8dd8ep-2, -0x1.1e32408a088ep-2, -0x1.143cde556cbf5p-2, -0x1.0a8f93062da04p-2, -0x1.013697bb013f1p-2, -0x1.f0790f31e7a0cp-3, -0x1.df54ea15877dep-3, -0x1.cf1000cec3264p-3, -0x1.bfb6dedd50d3fp-3, -0x1.b1538a53819f2p-3, -0x1.a3edb364a65d8p-3, -0x1.978ae3066f4cep-3, -0x1.8c2ea83d9cb7ap-3, -0x1.81dac3bedb0bep-3, -0x1.788f520e5e842p-3, -0x1.704af3e069ce7p-3, -0x1.690af4d6c2466p-3, -0x1.62cb70621812cp-3, -0x1.5d8774e58535p-3, -0x1.593924ce70ef2p-3, -0x1.55d9d5d914112p-3, -0x1.53622e29a205ep-3, -0x1.51ca3f8924acep-3, -0x1.5109a0866b46cp-3, -0x1.511783d0304b4p-3, -0x1.51eacd92d7dbcp-3, -0x1.537a271f6f232p-3, -0x1.55bc10fb9e27fp-3, -0x1.58a6f2fedd72bp-3, -0x1.5c312b65e5ed4p-3, -0x1.60511baff47e7p-3, -0x1.64fd34da85752p-3, -0x1.6a2c01993671cp-3, -0x1.6fd42f8dcd161p-3, -0x1.75ec978f0ae49p-3, -0x1.7c6c44222010cp-3, -0x1.834a77d49c4bcp-3, -0x1.8a7eb22df7957p-3, -0x1.9200b38aadaccp-3, -0x1.99c8811b9b233p-3, -0x1.a1ce6718604afp-3, -0x1.aa0afb165cdep-3, -0x1.b2771d63679b8p-3, -0x1.bb0bfa0eb03d8p-3, -0x1.c3c308ebd800ap-3, -0x1.cc960e04f85a5p-3, -0x1.d57f18ced08cep-3, -0x1.de78835c2f137p-3, -0x1.e77cf1c2460ep-3, -0x1.f087505e766aep-3, -0x1.f992d2c317323p-3, -0x1.014d78fd6d5bfp-2, -0x1.05cdb57ebee64p-2, -0x1.0a481e65e810ap-2, -0x1.0ebad342b3c69p-2, -0x1.132412db2684fp-2, -0x1.178239f4f1f16p-2, -0x1.1bd3c279ea375p-2, -0x1.2017425f34e1ep-2, -0x1.244b6a6ea8387p-2, -0x1.286f056ce904cp-2, -0x1.2c80f6ee71219p-2, -0x1.30803a1a9b09cp-2, -0x1.346be10277295p-2, -0x1.3843133c3c2b3p-2, -0x1.3c050cf3117c8p-2, -0x1.3fb11e21adb44p-2, -0x1.4346a953ea8abp-2, -0x1.46c522c2c5ef3p-2, -0x1.4a2c0fa8adc19p-2, -0x1.4d7b051142d09p-2, -0x1.50b1a6fd06fbfp-2, -0x1.53cfa7e0c08c2p-2, -0x1.56d4c77d5bb5ap-2, -0x1.59c0d212ccffcp-2, -0x1.5c939fe6889bfp-2, -0x1.5f4d146f82f1p-2, -0x1.61ed1d4cfd48ap-2, -0x1.6473b1f3c2a89p-2, -0x1.66e0d30e5851p-2, -0x1.693489871b931p-2, -0x1.6b6ee623f756fp-2, -0x1.6d900110f5b3dp-2, -0x1.6f97f92d8b042p-2, -0x1.7186f361cab82p-2, -0x1.735d1a68ae33ep-2, -0x1.751a9e59686c9p-2, -0x1.76bfb3ffa9245p-2, -0x1.784c946de2974p-2, -0x1.79c17ce79eaabp-2, -0x1.7b1eae5f7e078p-2, -0x1.7c646ced08da6p-2, -0x1.7d92ff992a682p-2, -0x1.7eaab0458504ep-2, -0x1.7fabcb2f99e9bp-2, -0x1.80969e96df267p-2, -0x1.816b7a9513395p-2, -0x1.822ab10f0cbe5p-2, -0x1.82d495528f8fp-2, -0x1.83697bc14a583p-2, -0x1.83e9b9c4d0d99p-2, -0x1.8455a5c6ad518p-2, -0x1.84ad96d1276f9p-2, -0x1.84f1e46ebd11ep-2, -0x1.8522e6875595fp-2, -0x1.8540f550f9588p-2, -0x1.854c692f7fa99p-2, -0x1.85459a8838c3p-2, -0x1.852ce19b3cf0fp-2, -0x1.8502968535f7bp-2, -0x1.84c7112c4ccdep-2, -0x1.847aa925a296ep-2, -0x1.841db591d0124p-2, -0x1.83b08d08357b6p-2, -0x1.833385accf222p-2, -0x1.82a6f5120a026p-2, -0x1.820b3027e3906p-2, -0x1.81608b1d25428p-2, -0x1.80a7596b8596dp-2, -0x1.7fdfedd81a6c5p-2, -0x1.7f0a9a70299d2p-2, -0x1.7e27b057e7cb7p-2, -0x1.7d377fe0fc76p-2, -0x1.7c3a588b7ca85p-2, -0x1.7b3088fcc7a89p-2, -0x1.7a1a5ef55d85dp-2, -0x1.78f827593a4dap-2, -0x1.77ca2e1a92254p-2, -0x1.7690be491b1bfp-2, -0x1.754c220887c54p-2, -0x1.73fca29683806p-2, -0x1.72a288488147ap-2, -0x1.713e1a8af5561p-2, -0x1.6fcf9fd82acc3p-2, -0x1.6e575dbe63265p-2, -0x1.6cd598e2360c4p-2, -0x1.6b4a950cce6afp-2, -0x1.69b69522e3482p-2, -0x1.6819db194395p-2, -0x1.6674a7f229d8p-2, -0x1.64c73bd5fa3dfp-2, -0x1.6311d61a876a2p-2, -0x1.6154b53af5442p-2, -0x1.5f9016cb6e2a3p-2, -0x1.5dc4376d8ce64p-2, -0x1.5bf152f07c25cp-2, -0x1.5a17a463cdd01p-2, -0x1.58376604af1f5p-2, -0x1.5650d135f454cp-2, -0x1.54641e705ddedp-2, -0x1.5271855abb9a8p-2, -0x1.50793ce257c4ep-2, -0x1.4e7b7b3a35778p-2, -0x1.4c7875cd92df4p-2, -0x1.4a7061216258bp-2, -0x1.486370e974645p-2, -0x1.4651d81efad99p-2, -0x1.443bc912c48ccp-2, -0x1.42217564e52d1p-2, -0x1.40030de001484p-2, -0x1.3de0c280d11e1p-2, -0x1.3bbac27942d44p-2, -0x1.39913c5a72e43p-2, -0x1.37645e172d57p-2, -0x1.353454f18625p-2, -0x1.33014d6644ca4p-2, -0x1.30cb731fd7144p-2, -0x1.2e92f1145bff6p-2, -0x1.2c57f19a326a5p-2, -0x1.2a1a9e7b34b37p-2, -0x1.27db20db899fep-2, -0x1.2599a11d21cc9p-2, -0x1.235646df11ep-2, -0x1.21113907809c6p-2, -0x1.1eca9de350e98p-2, -0x1.1c829b3d64c99p-2, -0x1.1a39564a17004p-2, -0x1.17eef38b204f3p-2, -0x1.15a396c7a9c33p-2, -0x1.135763090ad5ap-2, -0x1.110a7abc623e3p-2, -0x1.0ebcffcc35321p-2, -0x1.0c6f13a1be14ep-2, -0x1.0a20d70b5df02p-2, -0x1.07d26a2880f9ep-2, -0x1.0583ec6050993p-2, -0x1.03357c6ba1e9p-2, -0x1.00e7387ac08afp-2, -0x1.fd327c81d49ccp-3, -0x1.f89755e4e3204p-3, -0x1.f3fd3660bdce7p-3, -0x1.ef6455e008e25p-3, -0x1.eacceaf2002c2p-3, -0x1.e6372adf40b46p-3, -0x1.e1a349e40a822p-3, -0x1.dd117b511464dp-3, -0x1.d881f1895e481p-3, -0x1.d3f4dddbbbbc1p-3, -0x1.cf6a705b593fcp-3, -0x1.cae2d7d0d6444p-3, -0x1.c65e41cae053dp-3, -0x1.c1dcdac759453p-3, -0x1.bd5ece62db59cp-3, -0x1.b8e44754d5859p-3, -0x1.b46d6f6142e66p-3, -0x1.affa6f3c4930cp-3, -0x1.ab8b6e6167cf6p-3, -0x1.a7209320f8c03p-3, -0x1.a2ba02b5d45bcp-3, -0x1.9e57e16a241b9p-3, -0x1.99fa52b2fb9f4p-3, -0x1.95a179320cf5ep-3, -0x1.914d769c29eadp-3, -0x1.8cfe6ba0e08dfp-3, -0x1.88b477d770682p-3, -0x1.846fb9c0ea14cp-3, -0x1.80304ee6b776cp-3, -0x1.7bf653f1dc09cp-3, -0x1.77c1e4c08711dp-3, -0x1.73931c6e1fa72p-3, -0x1.6f6a154294729p-3, -0x1.6b46e89660245p-3, -0x1.6729aeca7821p-3, -0x1.63127f4543cfcp-3, -0x1.5f017082aa232p-3, -0x1.5af6982c0aa22p-3, -0x1.56f20b2e6d0abp-3, -0x1.52f3ddc1c3efbp-3, -0x1.4efc2362746a8p-3, -0x1.4b0aeec46f2c9p-3, -0x1.472051c589cf1p-3, -0x1.433c5d6423a5ep-3, -0x1.3f5f21c880ecbp-3, -0x1.3b88ae518b02p-3, -0x1.37b911a7af378p-3, -0x1.33f059cd339a8p-3, -0x1.302e9422ce1c4p-3, -0x1.2c73cd5f7d425p-3, -0x1.28c0118cffe8fp-3, -0x1.25136bf648383p-3, -0x1.216de72b4b204p-3, -0x1.1dcf8d0469cd6p-3, -0x1.1a38669cadabbp-3, -0x1.16a87c87ce801p-3, -0x1.131fd6be0e235p-3, -0x1.0f9e7cb26ba99p-3, -0x1.0c2475166d1ccp-3, -0x1.08b1c642aa7a9p-3, -0x1.054675e0b9bb6p-3, -0x1.01e288f7d66c5p-3, -0x1.fd0c07eb836e3p-4, -0x1.f661d56485691p-4, -0x1.efc680f03aa5bp-4, -0x1.e93a1025c67d3p-4, -0x1.e2bc87a4977d9p-4, -0x1.dc4deb1855af5p-4, -0x1.d5ee3d3df4e36p-4, -0x1.cf9d7fde2036bp-4, -0x1.c95bb3c336e3ep-4, -0x1.c328d8baf2795p-4, -0x1.bd04ed96e1fedp-4, -0x1.b6eff03bbec65p-4, -0x1.b0e9dda761a9fp-4, -0x1.aaf2b20858afcp-4, -0x1.a50a68c5ca9eap-4, -0x1.9f30fc82b8dd3p-4, -0x1.99666720b276fp-4, -0x1.93aaa1c03b335p-4, -0x1.8dfda4bf1dfc3p-4, -0x1.885f67b62365bp-4, -0x1.82cfe17bef735p-4, -0x1.7d4f08312b967p-4, -0x1.77dcd13ea25ep-4, -0x1.7279316cf46a3p-4, -0x1.6d241ce345c67p-4, -0x1.67dd87304fe75p-4, -0x1.62a56347e06e6p-4, -0x1.5d7ba390e52f1p-4, -0x1.586039dd67e08p-4, -0x1.535317717db23p-4, -0x1.4e542d03a8eebp-4, -0x1.49636ac2a785fp-4, -0x1.4480c05b54c43p-4, -0x1.3fac1cfee8195p-4, -0x1.3ae56f697d3bfp-4, -0x1.362ca5e58c641p-4, -0x1.3181ae4c26a26p-4, -0x1.2ce47608289e1p-4, -0x1.2854ea14ea64cp-4, -0x1.23d2f7051dee6p-4, -0x1.1f5e89080ece4p-4, -0x1.1af78bf048983p-4, -0x1.169deb38be4abp-4, -0x1.1251920d011ap-4, -0x1.0e126b4b64c9ap-4, -0x1.09e0618d7ab92p-4, -0x1.05bb5f3018a8ep-4, -0x1.01a34e428655fp-4, -0x1.fb30310bd745bp-5, -0x1.f3334ee1221cdp-5, -0x1.eb4fc85c516abp-5, -0x1.e3856f3639331p-5, -0x1.dbd414a6deae7p-5, -0x1.d43b89703a2bcp-5, -0x1.ccbb9df46bcd7p-5, -0x1.c554224f1220ap-5, -0x1.be04e66ab869fp-5, -0x1.b6cdba0c5301p-5, -0x1.afae6cd5f363fp-5, -0x1.a8a6ce4098377p-5, -0x1.a1b6ad8a0b0cdp-5, -0x1.9addd9a2e1577p-5, -0x1.941c2118e6b7ep-5, -0x1.8d71520ae7347p-5, -0x1.86dd3a22ea891p-5, -0x1.805fa69c14a32p-5, -0x1.79f864589c71ep-5, -0x1.73a740036b67ep-5, -0x1.6d6c06248b48cp-5, -0x1.6746837b02c29p-5, -0x1.613684ed39e44p-5, -0x1.5b3bd7e1a6b85p-5, -0x1.55564a126370ap-5, -0x1.4f85a99c649bp-5, -0x1.49c9c4d13a4afp-5, -0x1.442269fdf287fp-5, -0x1.3e8f6728a16f9p-5, -0x1.391089ce6801ap-5, -0x1.33a59eb305819p-5, -0x1.2e4e71d1cefecp-5, -0x1.290ace7678d4dp-5, -0x1.23da7f77c1d2fp-5, -0x1.1ebd4fb69d931p-5, -0x1.19b30a9721cbep-5, -0x1.14bb7c77264cdp-5, -0x1.0fd673166b5bbp-5, -0x1.0b03bdc03ddd9p-5, -0x1.06432d2fc00f5p-5, -0x1.0194932a2d585p-5, -0x1.f9ef83b51287p-6, -0x1.f0d9161229251p-6, -0x1.e7e57eafed7f8p-6, -0x1.df145b541baffp-6, -0x1.d66545bd08197p-6, -0x1.cdd7d3fcd259cp-6, -0x1.c56b9993a605fp-6, -0x1.bd2029622616ap-6, -0x1.b4f518277989ap-6, -0x1.ace9fecb7b8bap-6, -0x1.a4fe7b6d09fb1p-6, -0x1.9d32348976c75p-6, -0x1.9584d4acad23p-6, -0x1.8df60d931840ep-6, -0x1.8685924d82d4fp-6, -0x1.7f33156bf8f75p-6, -0x1.77fe45bd928c1p-6, -0x1.70e6cbea857c7p-6, -0x1.69ec4925ba65cp-6, -0x1.630e575ac9fe4p-6, -0x1.5c4c8af54c92ep-6, -0x1.55a675cd6bd2ap-6, -0x1.4f1baae4fd251p-6, -0x1.48abc226e9b12p-6, -0x1.42565b82bf1a4p-6, -0x1.3c1b20c4f4be8p-6, -0x1.35f9c5c2274f4p-6, -0x1.2ff206c547c96p-6, -0x1.2a03a576e2554p-6, -0x1.242e64d1d440cp-6, -0x1.1e7204e704db5p-6, -0x1.18ce3f404b73ap-6, -0x1.1342c4963824dp-6, -0x1.0dcf3c4910d25p-6, -0x1.087345b14fc1fp-6, -0x1.032e7afbf47fdp-6, -0x1.fc00ea0089bfep-7, -0x1.f1d19ead4edbep-7, -0x1.e7ce58159cfd6p-7, -0x1.ddf66c26a9927p-7, -0x1.d44944f9eed11p-7, -0x1.cac65f5538a77p-7, -0x1.c16d4666177e7p-7, -0x1.b83d8d30bd352p-7, -0x1.af36c736ffcffp-7, -0x1.a6588138016a8p-7, -0x1.9da23cb06c248p-7, -0x1.95136cdb391d7p-7, -0x1.8cab77c133e2dp-7, -0x1.8469b8d63667bp-7, -0x1.7c4d863b37211p-7, -0x1.7456366e0713bp-7, -0x1.6c8325d0a6453p-7, -0x1.64d3bb0e6ab55p-7, -0x1.5d4769aff4afp-7, -0x1.55ddb27d8b892p-7, -0x1.4e9621a3329dp-7, -0x1.47704ae83d02ep-7, -0x1.406bc4a3e9d53p-7, -0x1.3988229f6f773p-7, -0x1.32c4f21b802f3p-7, -0x1.2c21b7fa76c49p-7, -0x1.259df1172cd44p-7, -0x1.1f3915154da88p-7, -0x1.18f29a5edd29ep-7, -0x1.12c9fa21519a1p-7, -0x1.0cbeb35037231p-7, -0x1.06d04c314c27fp-7, -0x1.00fe52a07688dp-7, -0x1.f690b65791d95p-8, -0x1.eb5bfefa5731bp-8, -0x1.e05dba0660523p-8, -0x1.d59527dc414f8p-8, -0x1.cb018bbba5ffdp-8, -0x1.c0a22805c3ac1p-8, -0x1.b6763b6e1253cp-8, -0x1.ac7cf6cdeb574p-8, -0x1.a2b58099197ecp-8, -0x1.991eef9b1a61bp-8, -0x1.8fb84fdf874b4p-8, -0x1.8680ac193d8d2p-8, -0x1.7d77178e1a3a2p-8, -0x1.749ab798d6178p-8, -0x1.6beac86789bf1p-8, -0x1.63669b2df8165p-8, -0x1.5b0d8e9d53227p-8, -0x1.52df04fce79c8p-8, -0x1.4ada5c59fe17ep-8, -0x1.42feeb3004cc5p-8, -0x1.3b4c071cc126ep-8, -0x1.33c1033b987bep-8, -0x1.2c5d3f5e5f17bp-8, -0x1.2520237961319p-8, -0x1.1e091ebdcc212p-8, -0x1.1717a0a7291d3p-8, -0x1.104b1283cbea7p-8, -0x1.09a2d3e149665p-8, -0x1.031e3b13003e3p-8, -0x1.f97930d0abaadp-9, -0x1.ecfa73249c975p-9, -0x1.e0bed71cf3516p-9, -0x1.d4c4f68392553p-9, -0x1.c90b6c8d7aebcp-9, -0x1.bd90dab6d1463p-9, -0x1.b253f11ce6276p-9, -0x1.a75377baec4ecp-9, -0x1.9c8e54ac20dbfp-9, -0x1.92038c99cbc09p-9, -0x1.87b23cbb8584bp-9, -0x1.7d9990095e37ap-9, -0x1.73b8b4893390bp-9, -0x1.6a0ed4e500652p-9, -0x1.609b1bbbdd801p-9, -0x1.575cbd8cb0467p-9, -0x1.4e53035a6cb3dp-9, -0x1.457d4a0c34a37p-9, -0x1.3cdaf46775a52p-9, -0x1.346b4f1063b7dp-9, -0x1.2c2d74e934f7bp-9, -0x1.24203a38d3263p-9, -0x1.1c422de1b2544p-9, -0x1.1491aeb26531dp-9, -0x1.0d0d1529bf03cp-9, -0x1.05b2e83f31893p-9, -0x1.fd0415541e35bp-10, -0x1.eef3a148b5151p-10, -0x1.e133b9e3a9549p-10, -0x1.d3c3f2fb97894p-10, -0x1.c6a395f495beap-10, -0x1.b9d1751091ddcp-10, -0x1.ad4bfa55f2753p-10, -0x1.a1117d328c7dep-10, -0x1.95209b3031dedp-10, -0x1.897861a329c41p-10, -0x1.7e183567d061ep-10, -0x1.72ff8a1d13738p-10, -0x1.682d9209fdcdp-10, -0x1.5da10efe0510dp-10, -0x1.535850d738213p-10, -0x1.49515017bc41cp-10, -0x1.3f89ce63e6b9ep-10, -0x1.35ff794d7b82fp-10, -0x1.2cb018dd882a3p-10, -0x1.2399c87fe21c6p-10, -0x1.1abb225ef8b74p-10, -0x1.12133f369606fp-10, -0x1.09a184fe68b8bp-10, -0x1.016562028ef76p-10, -0x1.f2bc3add3c56bp-11, -0x1.e3159f28ff9aap-11, -0x1.d3d4f3c3192dp-11, -0x1.c4f8500f88a01p-11, -0x1.b67e09075482fp-11, -0x1.a864a469e2be9p-11, -0x1.9aaaa5ca3bbe5p-11, -0x1.8d4e658c341dap-11, -0x1.804e060ca0231p-11, -0x1.73a78721f043cp-11, -0x1.6758a7762bcc3p-11, -0x1.5b5f012eac8e1p-11, -0x1.4fb80584d6bd6p-11, -0x1.44612a09af299p-11, -0x1.395827760c702p-11, -0x1.2e9b2dfbf95a6p-11, -0x1.2428e349a927ep-11, -0x1.1a001ceed9a5bp-11, -0x1.101f830ff7077p-11, -0x1.068561b97f7c4p-11, -0x1.fa5f8a37583e7p-12, -0x1.e8398659f271p-12, -0x1.d695919e8482ep-12, -0x1.c571814212f8ap-12, -0x1.b4cbd2d86ed65p-12, -0x1.a4a2d701eb917p-12, -0x1.94f4075d6969p-12, -0x1.85bc148a0dc9bp-12, -0x1.76f7671126711p-12, -0x1.68a2e12a587ep-12, -0x1.5abbfd7752e42p-12, -0x1.4d4097b381024p-12, -0x1.402e64609413bp-12, -0x1.3382b65e19cc4p-12, -0x1.273aa31c91ae2p-12, -0x1.1b534a365d9e4p-12, -0x1.0fca1092075cp-12, -0x1.049cc34a1ec54p-12, -0x1.f3932dc03da28p-13, -0x1.de9dd38c7d079p-13, -0x1.ca56461e07a96p-13, -0x1.b6b86a605399dp-13, -0x1.a3c00b18fc0d9p-13, -0x1.9168c8f50f2ddp-13, -0x1.7faec39c8658dp-13, -0x1.6e8dd2e7193a4p-13, -0x1.5e015406548d5p-13, -0x1.4e04d1356749fp-13, -0x1.3e94a415d3cefp-13, -0x1.2fadbd325f217p-13, -0x1.214cf45aa19f2p-13, -0x1.136ebd8ffd634p-13, -0x1.060f8bfade8a9p-13, -0x1.f25858a418261p-14, -0x1.d9834ef0eacdcp-14, -0x1.c199d03d1d55p-14, -0x1.aa957a58adc8ep-14, -0x1.94703794d7d44p-14, -0x1.7f24690598b27p-14, -0x1.6aac9eeb228ddp-14, -0x1.57034e4e007aap-14, -0x1.4422d7c90bbc8p-14, -0x1.3205c44ef2387p-14, -0x1.20a6ed4c7c54p-14, -0x1.10014e462f715p-14, -0x1.000fe3895f8e8p-14, -0x1.e19b2e41215e8p-15, -0x1.c46a86f6a7c9bp-15, -0x1.a8835add60c2fp-15, -0x1.8ddb453c9f6d1p-15, -0x1.74685796473c1p-15, -0x1.5c2253c84210ep-15, -0x1.45034a237679bp-15, -0x1.2f05b6f44bb28p-15, -0x1.1a2118404bdbcp-15, -0x1.064937b4ee6dcp-15, -0x1.e6e51bed9ec44p-16, -0x1.c32a908d27521p-16, -0x1.a15500f1f86bcp-16, -0x1.815299a1a098ap-16, -0x1.6315b3c5651fep-16, -0x1.469c2b84f2ff7p-16, -0x1.2be1fa38f093ap-16, -0x1.12d3cdda14a61p-16, -0x1.f6b2ec65728efp-17, -0x1.cad3661a76e4fp-17, -0x1.a1fe53f7e78eap-17, -0x1.7c13315def2fcp-17, -0x1.58e7678cfb4aep-17, -0x1.38626f100c03ap-17, -0x1.1a795cab31396p-17, -0x1.fe3e261fe641ap-18, -0x1.cc7faf60b786ep-18, -0x1.9f845d6e81795p-18, -0x1.7713030a8e163p-18, -0x1.52f337137b119p-18, -0x1.32f377b8ec79ap-18, -0x1.16ebff87866b7p-18, -0x1.fd8ea3b357dap-19, -0x1.d5147e8f76e99p-19, -0x1.b451e627fd19ep-19, -0x1.9a968ce453a4fp-19, -0x1.870ea89c5529dp-19, -0x1.7992306bfef4ap-19, -0x1.725da727c14dcp-19, -0x1.717766119125fp-19, -0x1.769d25c78d407p-19, -0x1.812db70d3536ap-19, -0x1.90b3278a54022p-19, -0x1.a587fb8eac0eep-19, -0x1.bfb94134d4fbp-19, -0x1.de7e599ea3425p-19, -0x1.00ac1f67f6063p-18, -0x1.142adf861dbb1p-18, -0x1.29c1c629bfee5p-18, -0x1.415bb371f93c7p-18, -0x1.5ade58c0c8ac6p-18, -0x1.762b5dd702be8p-18, -0x1.932a016aac336p-18, -0x1.b1c44f7f179b9p-18, -0x1.d1e597ded9577p-18, -0x1.f3787280ec83p-18, -0x1.0b331d5ca87eep-17, -0x1.1d4c641a6e0cbp-17, -0x1.2ffdcd006badep-17, -0x1.4339ec24d4f2bp-17, -0x1.56eaf92041d91p-17, -0x1.6b02f00c72346p-17, -0x1.7f8fe75b9525bp-17, -0x1.948c680840d93p-17, -0x1.a9d7994d59b7ap-17, -0x1.bf960d560c179p-17, -0x1.d5dbd9c7eb004p-17, -0x1.ec5fc2b6647efp-17, -0x1.0190792ccd5fcp-16, -0x1.0d1ab945cf5efp-16, -0x1.18bad92862e02p-16, -0x1.246d66be4f714p-16, -0x1.303b1bb37ab66p-16, -0x1.3c2470de1f6a9p-16, -0x1.48242396c6c97p-16, -0x1.5434eaec110b7p-16, -0x1.6052cc96f06ebp-16, -0x1.6c7aca7afb918p-16, -0x1.78aa86eb0c8dbp-16, -0x1.84dfcd1e9c3fp-16, -0x1.911854b6270afp-16, -0x1.9d5165ce697a9p-16, -0x1.a9892f1ed89b2p-16, -0x1.b5bd8b37c6f1fp-16, -0x1.c1ec85b6a708ep-16, -0x1.ce153e6368ac6p-16, -0x1.da36586ec689dp-16, -0x1.e64e19918429bp-16, -0x1.f25b92da1d2d9p-16, -0x1.fe5d7ce957991p-16, -0x1.0523bb58d9c46p-15, -0x1.0b0166231e719p-15, -0x1.10cec34d165b3p-15, -0x1.169b5ee214e1dp-15, -0x1.1c6782199fdebp-15, -0x1.223331d328e2ap-15, -0x1.27e9a63a7dc74p-15, -0x1.2d870b0f48e7p-15, -0x1.3317ac723923dp-15, -0x1.389ece90604dbp-15, -0x1.3e1a5959a28c4p-15, -0x1.4387fe1d58756p-15, -0x1.48e656dae361ap-15, -0x1.4e349455de276p-15, -0x1.537239f6631cfp-15, -0x1.589eea086442ap-15, -0x1.5dba5e60ede74p-15, -0x1.62c4576661fa4p-15, -0x1.67bc922924099p-15, -0x1.6ca2be684251p-15, -0x1.7176790ededcp-15, -0x1.7637538683cc4p-15, -0x1.7ae4fb823fde1p-15, -0x1.7f7f657f627dap-15, -0x1.8406563d7af9cp-15, -0x1.8879fb2bbfe24p-15, -0x1.8cda604d5f01p-15, -0x1.9127928dc30b2p-15, -0x1.9561c4423bee9p-15, -0x1.998718c1643p-15, -0x1.9d929c4ee5de5p-15, -0x1.a187ef167129p-15, -0x1.a56bc527e71ffp-15, -0x1.a93a984495b9cp-15, -0x1.acf240e09bfd8p-15, -0x1.b097734714422p-15, -0x1.b42947e03e8f4p-15, -0x1.b7a2b3efe87cap-15, -0x1.bb06bf5acb66cp-15, -0x1.be56f32033516p-15, -0x1.c1929859ac933p-15, -0x1.c4b91122e867ep-15, -0x1.c7ca2ec16d77ap-15, -0x1.cac5da6b75e1ap-15, -0x1.cdac27748d788p-15, -0x1.d07d1755ade3fp-15, -0x1.d338bf153a94p-15, -0x1.d5df303dc9188p-15, -0x1.d8707b822a89p-15, -0x1.daecaf4920e73p-15, -0x1.dd53d66746988p-15, -0x1.dfa5f66cbef93p-15, -0x1.e1e32e0d115ffp-15, -0x1.e40b90c5ce05p-15, -0x1.e61f514d058e1p-15, -0x1.e81e871fc29ecp-15, -0x1.ea09513ddccefp-15, -0x1.ebdfc149e782ap-15, -0x1.eda2120dd49cbp-15, -0x1.ef50a720faed1p-15, -0x1.f0ea5c414fc9fp-15, -0x1.f26de833b3a38p-15, -0x1.f3e0088f23bc8p-15, -0x1.f53ff8f0f690bp-15, -0x1.f68a6f6da63c6p-15, -0x1.f7c13783ace2p-15, -0x1.f8e3dee28c44ap-15, -0x1.f9f46bb7bd9e9p-15, -0x1.faf3af9705e66p-15, -0x1.fbdee4e3aa41bp-15, -0x1.fcb6a15c3212fp-15, -0x1.fd7caa7f5eb1ep-15, -0x1.fe30a8b8fc496p-15, -0x1.fed28fea79231p-15, -0x1.ff628ab11ae35p-15, -0x1.ffe0a2ffb62dfp-15, -0x1.00268c370e226p-14, -0x1.005416812aa9dp-14, -0x1.0078f64fe304dp-14, -0x1.0095588ec166ap-14, -0x1.00a949927e245p-14, -0x1.00b4e0930e3edp-14, -0x1.00b8357e979d4p-14, -0x1.00b3604d310b8p-14, -0x1.00a679cceddbdp-14, -0x1.00919bbdd55d5p-14, -0x1.0074e046b1a86p-14, -0x1.00506132470b5p-14, -0x1.00243619d25a3p-14, -0x1.ffe0e6c166732p-15, -0x1.ff6a608605fc8p-15, -0x1.fee52728aee4ap-15, -0x1.fe517607006efp-15, -0x1.fdaf08487953ap-15, -0x1.fcfea78e1d08fp-15, -0x1.fc4025ad4bf81p-15, -0x1.fb73b313704ecp-15, -0x1.fa99d45449c1bp-15, -0x1.f9b29b0b727abp-15, -0x1.f8be3ce0dafa3p-15, -0x1.f7bcf14619d54p-15, -0x1.f6aea81853735p-15, -0x1.f593cb598282cp-15, -0x1.f46c5e670a58dp-15, -0x1.f338c91be4939p-15, -0x1.f1f939f690265p-15, -0x1.f0add5fec4f5fp-15, -0x1.ef56ce1bdd9e5p-15, -0x1.edf4515305079p-15, -0x1.ec86912f24ab7p-15, -0x1.eb0dbf862451cp-15, -0x1.e98a1024ca9d2p-15, -0x1.e7fb830f194afp-15, -0x1.e662d181d1a3ep-15, -0x1.e4bfa69928e1fp-15, -0x1.e3125ccb0e343p-15, -0x1.e15b2043b78ep-15, -0x1.df9a26169c22ep-15, -0x1.ddcfb6f1036e2p-15, -0x1.dbfbd6f63c11p-15, -0x1.da1ec6ea27946p-15, -0x1.d838b3306af17p-15, -0x1.d649b8e13ef9ep-15, -0x1.d45233c697b71p-15, -0x1.d252377db2058p-15, -0x1.d049dfb23b1f5p-15, -0x1.ce3967d18b6b2p-15, -0x1.cc210a8582319p-15, -0x1.ca00f0ec29983p-15, -0x1.c7d9785f2d34dp-15, -0x1.c5aa36ac54659p-15, -0x1.c373ce43d69b1p-15, -0x1.c1365226a03adp-15, -0x1.bef1f0b901c87p-15, -0x1.bca6ceba8db77p-15, -0x1.ba551bffc99adp-15, -0x1.b7fd09a1f276ep-15, -0x1.b59ea3c1e7141p-15, -0x1.b33a0829365ap-15, -0x1.b0cf9e435c3f9p-15, -0x1.ae5f867e34746p-15, -0x1.abe9b3725dbcep-15, -0x1.a96e629099851p-15, -0x1.a6edc71864c41p-15, -0x1.a467fe5c8d483p-15, -0x1.a1dd321c74fcep-15, -0x1.9f4d88e2601c7p-15, -0x1.9cb92865dbd8p-15, -0x1.9a20347166734p-15, -0x1.9782d1b3ec2cfp-15, -0x1.94e12647a885fp-15, -0x1.923b5ccc4881dp-15, -0x1.8f9128516a63bp-15, -0x1.8ce3d8757b0f6p-15, -0x1.8a326ec04139ap-15, -0x1.877d694136cbfp-15, -0x1.84c4ec02c5f58p-15, -0x1.82091b27f59cbp-15, -0x1.7f4a151c5ad02p-15, -0x1.7c8804b65e2ccp-15, -0x1.79c320b49822dp-15, -0x1.76fb381b7a837p-15, -0x1.7430a9ef17801p-15, -0x1.7163966461751p-15, -0x1.6e940fe936a6dp-15, -0x1.6bc2380e4c3ddp-15, -0x1.68ee2a7af0664p-15, -0x1.6618029bec2a1p-15, -0x1.633fdf3e705dbp-15, -0x1.6065e27b00decp-15, -0x1.5d8a27ddd2dd9p-15, -0x1.5aacb87b3e82p-15, -0x1.57cde144a275p-15, -0x1.54ed90ed701f9p-15, -0x1.520bef177ddbdp-15, -0x1.4f290d33d3d5fp-15, -0x1.4c451bc39607ap-15, -0x1.49602ea27570dp-15, -0x1.467a47520348p-15, -0x1.4393b538d7b87p-15, -0x1.40ac709f0bc75p-15, -0x1.3dc4735045b2p-15, -0x1.3adbf7857a7d7p-15, -0x1.37f321a24b5c9p-15, -0x1.3509eb278cebap-15, -0x1.32208b4e313d4p-15, -0x1.2f3701150e56bp-15, -0x1.2c4da9379b1cbp-15, -0x1.2963c70f5f2e3p-15, -0x1.267a5a9da0574p-15, -0x1.239115cb44978p-15, -0x1.20a821c9662e4p-15, -0x1.1dbf84527e4a4p-15, -0x1.1ad762bedae73p-15, -0x1.17efca70f4ed7p-15, -0x1.1508cbe71bd5p-15, -0x1.1222785080701p-15, -0x1.0f3cd93898f42p-15, -0x1.0c582c776aee6p-15, -0x1.09747b5eb587ap-15, -0x1.0691903a23e9dp-15, -0x1.03afc079d63fdp-15, }}, 
      {{0x1.61132dfdc54d3p-2, 0x1.fb44b3eccb85fp-2, 0x1.cd2ca92f38579p-2, 0x1.1a969d24c408cp-2, 0x1.594d888fe4e9fp-5, -0x1.9569bdd2332bdp-3, -0x1.a511646bffb9cp-2, -0x1.298aa4f02c491p-1, -0x1.68102f9047c78p-1, -0x1.8fa0d67b56416p-1, -0x1.a3d6679f9eecap-1, -0x1.a91d178762c25p-1, -0x1.a3e5596f69e25p-1, -0x1.982c9dbe94a6ep-1, -0x1.894374327c1ebp-1, -0x1.79bc15e93edbep-1, -0x1.6b71823e477cap-1, -0x1.5f9c0e546dc9p-1, -0x1.56ec04877755ap-1, -0x1.51a5a444b971cp-1, -0x1.4fbbb0a2f3b9fp-1, -0x1.50e709e7ddf86p-1, -0x1.54baaf0611fbap-1, -0x1.5ab40b24884a1p-1, -0x1.6247c02967b1bp-1, -0x1.6aeb495a7e518p-1, -0x1.741be536bf198p-1, -0x1.7d633ae9ec09dp-1, -0x1.865a2b4aeb0e5p-1, -0x1.8eaa332fe72c7p-1, -0x1.960db806476ep-1, -0x1.9c4f89bc80d3ap-1, -0x1.a149d78c7b0eep-1, -0x1.a4e4c903591fep-1, -0x1.a714e2198faadp-1, -0x1.a7d9506a35e25p-1, -0x1.a73a380fb6bf6p-1, -0x1.a5471069dad59p-1, -0x1.a2151ba6a8e04p-1, -0x1.9dbdffc40493fp-1, -0x1.985e85607bd6p-1, -0x1.92157de163d4cp-1, -0x1.8b02cfd73f5a1p-1, -0x1.8346a8d904044p-1, -0x1.7b00d3b43347p-1, -0x1.72502eef104a8p-1, -0x1.69523f2591ed7p-1, -0x1.6022db62d2145p-1, -0x1.56dbf18262e35p-1, -0x1.4d955e4f501bap-1, -0x1.4464d4dd6e43dp-1, -0x1.3b5dd2b39f519p-1, -0x1.32919fd26522fp-1, -0x1.2a0f58fcba41ep-1, -0x1.21e401549af4ap-1, -0x1.1a1a98cd2428fp-1, -0x1.12bc35ff1df9dp-1, -0x1.0bd022d4efac4p-1, -0x1.055bfbaf2da46p-1, -0x1.fec7a0726891bp-2, -0x1.f3d489b4c2f18p-2, -0x1.e9e167ce7f568p-2, -0x1.e0ee9c0877125p-2, -0x1.d8fa72c9dbcep-2, -0x1.d2015fbcb3cb9p-2, -0x1.cbfe37484c967p-2, -0x1.c6ea653e67bdfp-2, -0x1.c2be20666f3bep-2, -0x1.bf709a98b8fd4p-2, -0x1.bcf82d60b084fp-2, -0x1.bb4a830f35456p-2, -0x1.ba5cbc64d8c9dp-2, -0x1.ba2392e50395p-2, -0x1.ba93781e93afcp-2, -0x1.bba0b1dbdd2e9p-2, -0x1.bd3f73990fa3fp-2, -0x1.bf63f536b21b8p-2, -0x1.c2028722a19d9p-2, -0x1.c50fa403803bbp-2, -0x1.c8800028d0707p-2, -0x1.cc4896c4934f5p-2, -0x1.d05eb52c086f9p-2, -0x1.d4b8044a0e21ep-2, -0x1.d94a904ac5c2p-2, -0x1.de0ccedb83a0ep-2, -0x1.e2f5a3d6b61d1p-2, -0x1.e7fc64b61a29dp-2, -0x1.ed18dae568ceap-2, -0x1.f24344de8ead9p-2, -0x1.f774567ad3f15p-2, -0x1.fca53895d5c2cp-2, -0x1.00e7c3c181362p-1, -0x1.0376a8e06dfe6p-1, -0x1.05fc8ab3c5ad3p-1, -0x1.0876debc3fb02p-1, -0x1.0ae34f9521c3fp-1, -0x1.0d3fbb165323dp-1, -0x1.0f8a3083ff197p-1, -0x1.11c0eeeac8bdbp-1, -0x1.13e262a8025a1p-1, -0x1.15ed23b0ed863p-1, -0x1.17dff37bbc787p-1, -0x1.19b9ba94ffb7cp-1, -0x1.1b7986ea544bdp-1, -0x1.1d1e8991724aap-1, -0x1.1ea814b61951ap-1, -0x1.201599c87ccdbp-1, -0x1.2166a78d4e509p-1, -0x1.229ae82ad683dp-1, -0x1.23b21f7b98859p-1, -0x1.24ac2953b547p-1, -0x1.2588f7adffe64p-1, -0x1.26489138c27e9p-1, -0x1.26eb0fb919b29p-1, -0x1.27709e6e25c6p-1, -0x1.27d978d530879p-1, -0x1.2825e92a263a4p-1, -0x1.2856470bb38f6p-1, -0x1.286af672f857ep-1, -0x1.286466564b96bp-1, -0x1.28430f8fe0b1ep-1, -0x1.2807740039cccp-1, -0x1.27b21d5bac9c3p-1, -0x1.27439c41f5ab9p-1, -0x1.26bc879092726p-1, -0x1.261d7b578bdfap-1, -0x1.25671812b7542p-1, -0x1.249a022bb67bcp-1, -0x1.23b6e11903f0fp-1, -0x1.22be5ea8dbdep-1, -0x1.21b126ab26b2dp-1, -0x1.208fe6473a7b4p-1, -0x1.1f5b4b4ad057cp-1, -0x1.1e1403eed3ae4p-1, -0x1.1cbabe6b14705p-1, -0x1.1b50285472d3dp-1, -0x1.19d4ee5a34441p-1, -0x1.1849bc1b27226p-1, -0x1.16af3babcd5e1p-1, -0x1.15061538ab0cbp-1, -0x1.134eeefb3d1b8p-1, -0x1.118a6d049fd69p-1, -0x1.0fb930da9beb6p-1, -0x1.0ddbd9537c154p-1, -0x1.0bf3029f8ad06p-1, -0x1.09ff46107eecep-1, -0x1.080139d616e67p-1, -0x1.05f970ff9b42bp-1, -0x1.03e87b89ab13fp-1, -0x1.01cee62df4957p-1, -0x1.ff5a7474b3e8cp-2, -0x1.fb07fb4a385b6p-2, -0x1.f6a7663921424p-2, -0x1.f239b3cc5cfccp-2, -0x1.edbfdb8dd9317p-2, -0x1.e93ace375a73dp-2, -0x1.e4ab75de886aep-2, -0x1.e012b5cf6f14bp-2, -0x1.db716a78a626dp-2, -0x1.d6c8698f09e9fp-2, -0x1.d2188242f6221p-2, -0x1.cd627d4506ff3p-2, -0x1.c8a71cba5f729p-2, -0x1.c3e71c50ddb98p-2, -0x1.bf23317635382p-2, -0x1.ba5c0b7f04e9p-2, -0x1.b59253a90a503p-2, -0x1.b0c6ad23c29eep-2, -0x1.abf9b53756e9fp-2, -0x1.a72c0382de3f2p-2, -0x1.a25e2a14869d7p-2, -0x1.9d90b56f3c5b6p-2, -0x1.98c42ca0580bap-2, -0x1.93f91177e0c5ep-2, -0x1.8f2fe0b6e4c27p-2, -0x1.8a6912259614bp-2, -0x1.85a51897a27ep-2, -0x1.80e46218b9683p-2, -0x1.7c27581aaa033p-2, -0x1.776e5f97dbf37p-2, -0x1.72b9d92869703p-2, -0x1.6e0a21170ba59p-2, -0x1.695f8f88cb123p-2, -0x1.64ba789e87a2dp-2, -0x1.601b2c930ccbcp-2, -0x1.5b81f7d5a23bep-2, -0x1.56ef23276ac35p-2, -0x1.5262f3b7c494p-2, -0x1.4dddab38adbd4p-2, -0x1.495f88002d0cep-2, -0x1.44e8c52571a12p-2, -0x1.40799aa13d246p-2, -0x1.3c123d5e70e12p-2, -0x1.37b2df4a3e7a2p-2, -0x1.335baf6d41058p-2, -0x1.2f0cda1223c67p-2, -0x1.2ac688e0c9baap-2, -0x1.2688e2ec36b31p-2, -0x1.22540cbd7735dp-2, -0x1.1e2828644ccb8p-2, -0x1.1a05559d7b00cp-2, -0x1.15ebb1f0da2dep-2, -0x1.11db58bc08cfp-2, -0x1.0dd4633b7391ap-2, -0x1.09d6e893a7458p-2, -0x1.05e2fdeeec743p-2, -0x1.01f8b69c8a10fp-2, -0x1.fc30484501632p-3, -0x1.f482ac86d39ecp-3, -0x1.ece8b5feebf7fp-3, -0x1.e5627d54daeadp-3, -0x1.ddf0180e8ed29p-3, -0x1.d69198be176e1p-3, -0x1.cf470f1352953p-3, -0x1.c81087e07fdd1p-3, -0x1.c0ee0d2308dfap-3, -0x1.b9dfa62e86d28p-3, -0x1.b2e557e1facbbp-3, -0x1.abff24c6f60d6p-3, -0x1.a52d0d1ae1d96p-3, -0x1.9e6f0ecf20ddfp-3, -0x1.97c52592a1ccfp-3, -0x1.912f4afe28a4ep-3, -0x1.8aad76bc7f7b1p-3, -0x1.843f9eab5e803p-3, -0x1.7de5b6db60914p-3, -0x1.779fb18df292p-3, -0x1.716d7f40e0ac9p-3, -0x1.6b4f0ecad5cb9p-3, -0x1.65444d83f4303p-3, -0x1.5f4d276545debp-3, -0x1.5969870ce08c4p-3, -0x1.539955b771b73p-3, -0x1.4ddc7b45cebd4p-3, -0x1.4832de4c91cd4p-3, -0x1.429c6438f73b7p-3, -0x1.3d18f16d6b0efp-3, -0x1.37a869542b20cp-3, -0x1.324aae58cd0b9p-3, -0x1.2cffa1e502757p-3, -0x1.27c724650a658p-3, -0x1.22a1155fe61cdp-3, -0x1.1d8d539443e12p-3, -0x1.188bbd0d0e92p-3, -0x1.139c2f2dae588p-3, -0x1.0ebe86acef504p-3, -0x1.09f29f8d9bbabp-3, -0x1.05385527a5ea5p-3, -0x1.008f823927afdp-3, -0x1.f7f001feaa64bp-4, -0x1.eee35692aeb2fp-4, -0x1.e5f8b500f995ap-4, -0x1.dd2fcf484113dp-4, -0x1.d488568c1235p-4, -0x1.cc01fb1997a8ap-4, -0x1.c39c6c7f778abp-4, -0x1.bb5759b7bcdcep-4, -0x1.b3327145642aap-4, -0x1.ab2d614797969p-4, -0x1.a347d78138b74p-4, -0x1.9b81814a3d74bp-4, -0x1.93da0b8ffa9f8p-4, -0x1.8c5122ddaf5a7p-4, -0x1.84e673787cf27p-4, -0x1.7d99a97bb5175p-4, -0x1.766a70ef1c24cp-4, -0x1.6f5875d3c095ep-4, -0x1.6863641d2a0d6p-4, -0x1.618ae7b0fff7p-4, -0x1.5aceac648d387p-4, -0x1.542e5e0595241p-4, -0x1.4da9a86ff442cp-4, -0x1.4740379fa2891p-4, -0x1.40f1b7c54508fp-4, -0x1.3abdd54d29a95p-4, -0x1.34a43cd9a6e08p-4, -0x1.2ea49b48667a7p-4, -0x1.28be9dabb44afp-4, -0x1.22f1f150874cfp-4, -0x1.1d3e43c900236p-4, -0x1.17a3430080865p-4, -0x1.12209d4610c8cp-4, -0x1.0cb6015258f57p-4, -0x1.07631e4e7767fp-4, -0x1.0227a3ce1568cp-4, -0x1.fa0683a0e2577p-5, -0x1.efeb517c8daaep-5, -0x1.e5fd12e471c59p-5, -0x1.dc3b2a800d9f6p-5, -0x1.d2a4fbfcc56aap-5, -0x1.c939ec2421df8p-5, -0x1.bff960ddb56d5p-5, -0x1.b6e2c135ac482p-5, -0x1.adf575554dce5p-5, -0x1.a530e6860188cp-5, -0x1.9c947f2e7e3d4p-5, -0x1.941faad8e63a8p-5, -0x1.8bd1d63b8ccfdp-5, -0x1.83aa6f4f835a2p-5, -0x1.7ba8e55440d1ap-5, -0x1.73cca8d8c2078p-5, -0x1.6c152bafa5256p-5, -0x1.6481e105b76e7p-5, -0x1.5d123d4cd50ecp-5, -0x1.55c5b63d207d5p-5, -0x1.4e9bc2ded738dp-5, -0x1.4793db89eb0a8p-5, -0x1.40ad79e913b12p-5, -0x1.39e8190b0dd05p-5, -0x1.3343355d3e659p-5, -0x1.2cbe4cb39224cp-5, -0x1.2658de445bd3bp-5, -0x1.20126aa2d760ap-5, -0x1.19ea73c76a5a7p-5, -0x1.13e07d0878b96p-5, -0x1.0df40b19d6058p-5, -0x1.0824a40d710ap-5, -0x1.0271cf5ad7b6ep-5, -0x1.f9b62bbf5f9efp-6, -0x1.eec003c03391cp-6, -0x1.e4003e0cacbaap-6, -0x1.d975f4c3a4bc8p-6, -0x1.cf2044cb6217bp-6, -0x1.c4fe4dce55975p-6, -0x1.bb0f32358033ep-6, -0x1.b152172718dc3p-6, -0x1.a7c62490e8a83p-6, -0x1.9e6a850d816ap-6, -0x1.953e66028f59cp-6, -0x1.8c40f78a93cf2p-6, -0x1.83716c73a2437p-6, -0x1.7acefa3c977b8p-6, -0x1.7258d90e139cp-6, -0x1.6a0e43bf97053p-6, -0x1.61ee77ca1f5d9p-6, -0x1.59f8b54d6634dp-6, -0x1.522c3f0ee464p-6, -0x1.4a885a76b141cp-6, -0x1.430c4f8a9a8d4p-6, -0x1.3bb768e64b66fp-6, -0x1.3488f3b66cadbp-6, -0x1.2d803fb287fe2p-6, -0x1.269c9f03b8251p-6, -0x1.1fdd664e826f7p-6, -0x1.1941eca969b85p-6, -0x1.12c98b9bcbc9bp-6, -0x1.0c739f1cf383cp-6, -0x1.063f85925d8a1p-6, -0x1.002c9fdeaaeabp-6, -0x1.f474a2ad4bc5ep-7, -0x1.e8cfff760ea22p-7, -0x1.dd6a265d78b56p-7, -0x1.d241ec54ede2fp-7, -0x1.c7562add33132p-7, -0x1.bca5bfda083dbp-7, -0x1.b22f8d77b14f6p-7, -0x1.a7f27a32e0c8dp-7, -0x1.9ded70bf85be9p-7, -0x1.941f6018e06b7p-7, -0x1.8a873b8e63ab8p-7, -0x1.8123fad680cc4p-7, -0x1.77f49a20baff9p-7, -0x1.6ef81a130adb3p-7, -0x1.662d7fbe78db6p-7, -0x1.5d93d486bbae1p-7, -0x1.552a25fa1ece3p-7, -0x1.4cef859d38f9p-7, -0x1.44e308b7b903fp-7, -0x1.3d03c8231a36ap-7, -0x1.3550e0273ea09p-7, -0x1.2dc9706a1b322p-7, -0x1.266c9bf65bd8p-7, -0x1.1f3989556bf75p-7, -0x1.182f62cf19369p-7, -0x1.114d568a1bea1p-7, -0x1.0a9296c07ba43p-7, -0x1.03fe59e68b0b5p-7, -0x1.fb1fb571249bdp-8, -0x1.ee8cafeef967ep-8, -0x1.e2422867090acp-8, -0x1.d63eaabf925f2p-8, -0x1.ca80c8aab4f74p-8, -0x1.bf0718bfe9f1bp-8, -0x1.b3d035ca8968cp-8, -0x1.a8dabe8337b1ap-8, -0x1.9e2555c59df2bp-8, -0x1.93aea329f10cfp-8, -0x1.897554350b1ddp-8, -0x1.7f781d988fb81p-8, -0x1.75b5bc675ab07p-8, -0x1.6c2cf704a3cbep-8, -0x1.62dc9d6155647p-8, -0x1.59c388791fc78p-8, -0x1.50e0991108d85p-8, -0x1.4832b5d714a6cp-8, -0x1.3fb8c944b06ebp-8, -0x1.3771bf950c2b4p-8, -0x1.2f5c854a03a53p-8, -0x1.2778068fcc97p-8, -0x1.1fc32fa9246f5p-8, -0x1.183cee9422ec4p-8, -0x1.10e43560ee4c6p-8, -0x1.09b7fcd3ef427p-8, -0x1.02b746febe1b4p-8, -0x1.f7c2422c4140dp-9, -0x1.ea694a7abac97p-9, -0x1.dd61ee940fbabp-9, -0x1.d0aa8b4f12316p-9, -0x1.c44188578f8f1p-9, -0x1.b825528b83f24p-9, -0x1.ac5454b2edc63p-9, -0x1.a0ccf2472f44dp-9, -0x1.958d85289b079p-9, -0x1.8a945e9d3928cp-9, -0x1.7fdfcb7194a03p-9, -0x1.756e1ab7fddfcp-9, -0x1.6b3da5b651e61p-9, -0x1.614cd7af68516p-9, -0x1.579a33bdbfe65p-9, -0x1.4e2457df452d9p-9, -0x1.44e9fc91f85fcp-9, -0x1.3be9f09db576cp-9, -0x1.3323121803e9dp-9, -0x1.2a9445c9a9d73p-9, -0x1.223c6e9332a7p-9, -0x1.1a1a667223b04p-9, -0x1.122cfa725c342p-9, -0x1.0a72ea3c9544cp-9, -0x1.02eaeb3ec60dcp-9, -0x1.f7275d695b9bap-10, -0x1.e8d7d2c11edcep-10, -0x1.dae4b6b8aa95dp-10, -0x1.cd4badb6c3e51p-10, -0x1.c00a889fcca59p-10, -0x1.b31f473d4d02p-10, -0x1.a688147d3f011p-10, -0x1.9a433ca0101f4p-10, -0x1.8e4f2019879bep-10, -0x1.82aa253ba035dp-10, -0x1.7752ac23da652p-10, -0x1.6c4704ee6fa47p-10, -0x1.61856d2743883p-10, -0x1.570c10a997841p-10, -0x1.4cd910d34ff4bp-10, -0x1.42ea8d49f67c2p-10, -0x1.393eae8c8607dp-10, -0x1.2fd3afa6cab3p-10, -0x1.26a7e58c0ca02p-10, -0x1.1db9c30528d53p-10, -0x1.1507d8a827634p-10, -0x1.0c90d0e4efb97p-10, -0x1.045368cf0535p-10, -0x1.f89cccaf5dd53p-11, -0x1.e901209059df5p-11, -0x1.d9d14d960757p-11, -0x1.cb0abe47d2691p-11, -0x1.bcaacbe51ace7p-11, -0x1.aeaec6eec0ab6p-11, -0x1.a11403fb07cb6p-11, -0x1.93d7e9022fa25p-11, -0x1.86f7f7f7e04f1p-11, -0x1.7a71d4b017d45p-11, -0x1.6e43447f29bacp-11, -0x1.626a2a6a80d77p-11, -0x1.56e48416f8d06p-11, -0x1.4bb06526f5f5ap-11, -0x1.40cbf384201cep-11, -0x1.363562b9e551dp-11, -0x1.2beaee9db21e2p-11, -0x1.21ead516ae15fp-11, -0x1.18334832ec09dp-11, -0x1.0ec26e5ba0b5ap-11, -0x1.05965c3a1ec2ap-11, -0x1.f95a35cce71d3p-12, -0x1.e8096a4735e4ep-12, -0x1.d7368ca8089d8p-12, -0x1.c6de10f2b788fp-12, -0x1.b6fcb69c6a4efp-12, -0x1.a78f841c2ff7p-12, -0x1.9893b287ff5f2p-12, -0x1.8a0692c98c0b8p-12, -0x1.7be579028c4e2p-12, -0x1.6e2db2cb0f1e6p-12, -0x1.60dca0f0ba5d7p-12, -0x1.53efa286ed2d2p-12, -0x1.476450d6c5422p-12, -0x1.3b386189e27e9p-12, -0x1.2f69a78c587a4p-12, -0x1.23f5fd85f5958p-12, -0x1.18db3305c8d45p-12, -0x1.0e1702632503dp-12, -0x1.03a7115700756p-12, -0x1.f311f10a9bd6cp-13, -0x1.df74971eb0e9cp-13, -0x1.cc713bac61dfap-13, -0x1.ba030a3d9f29cp-13, -0x1.a8253cead76bfp-13, -0x1.96d3313c52206p-13, -0x1.860886600d5b9p-13, -0x1.75c13a98e0339p-13, -0x1.65f9bb12519ddp-13, -0x1.56aeddde42c4dp-13, -0x1.47ddc7c8c6fa5p-13, -0x1.3983c90e7a645p-13, -0x1.2b9e36f49e562p-13, -0x1.1e2a61a980a1fp-13, -0x1.11259cd6d47ecp-13, -0x1.048d605d3f03bp-13, -0x1.f0bec23601523p-14, -0x1.d9331f46232d4p-14, -0x1.c273d58b00629p-14, -0x1.ac7c78238b787p-14, -0x1.974795c2e1545p-14, -0x1.82ce72237382ep-14, -0x1.6f09096b46b1bp-14, -0x1.5bee852095b61p-14, -0x1.49761b8c36a73p-14, -0x1.37981b333867cp-14, -0x1.264eb2bbed4e5p-14, -0x1.15964aced3137p-14, -0x1.056ce17b47a4ap-14, -0x1.eba24ac2e0988p-15, -0x1.cd821905a490dp-15, -0x1.b072d61ca9289p-15, -0x1.946c4c34eb90bp-15, -0x1.79660aa497e55p-15, -0x1.5f5905aa58d65p-15, -0x1.46404bec4f513p-15, -0x1.2e1886402527ap-15, -0x1.16de9e8e43e15p-15, -0x1.008e514c8e9b6p-15, -0x1.d642bfb624fd2p-16, -0x1.ad1f2e4155dafp-16, -0x1.859eaa93e949cp-16, -0x1.5fac51e788502p-16, -0x1.3b32efd830f46p-16, -0x1.181ea484ba083p-16, -0x1.ecbd96b325328p-17, -0x1.abce9fc3691d5p-17, -0x1.6d60f68e33232p-17, -0x1.316a4b6cc5a47p-17, -0x1.efc17867f983fp-18, -0x1.816fa9500a0a5p-18, -0x1.17c0161ab938fp-18, -0x1.652245c26e6c8p-19, -0x1.470c071aaac5ep-20, 0x1.58bb578b1e27ep-23, 0x1.8c877f55d0fc3p-20, 0x1.6ed33eb09b919p-19, 0x1.07b8183433293p-18, 0x1.542bd24fd326dp-18, 0x1.9ce2615105ddbp-18, 0x1.e201a46abec28p-18, 0x1.11d75016a63b7p-17, 0x1.3108dd7b134b3p-17, 0x1.4ea94c6438e08p-17, 0x1.6aca0c3d57ce6p-17, 0x1.857887cda76dcp-17, 0x1.9ebe4c40abb74p-17, 0x1.b6a34f6437859p-17, 0x1.cd30e26375548p-17, 0x1.e27318ef5732ap-17, 0x1.f677eaf837302p-17, 0x1.04a6773590bb6p-16, 0x1.0d7e83b72540fp-16, 0x1.15c7a79e1b12dp-16, 0x1.1d8430427dda9p-16, 0x1.24b6be9281cdfp-16, 0x1.2b637aa2e6d15p-16, 0x1.318fec221e5edp-16, 0x1.37424efe6eb4ap-16, 0x1.3c7f82fc4fcccp-16, 0x1.414b9480c59b9p-16, 0x1.45a9bb2b3c241p-16, 0x1.499d8700c99fap-16, 0x1.4d2b22059a84cp-16, 0x1.505735771f9d6p-16, 0x1.53265796a8719p-16, 0x1.559c8e1ea6a66p-16, 0x1.57bd11892055ap-16, 0x1.598a62b2d854bp-16, 0x1.5b068c3ec5832p-16, 0x1.5c33b7a7716d2p-16, 0x1.5d14e2c11366ep-16, 0x1.5dacf3b00f231p-16, 0x1.5dfefeff8efcdp-16, 0x1.5e0db45b03105p-16, 0x1.5ddc0176df5f2p-16, 0x1.5d6d2ae376ac5p-16, 0x1.5cc444ee87a2dp-16, 0x1.5be3b43167d0ep-16, 0x1.5acd5eb80c934p-16, 0x1.59833eb1ffc94p-16, 0x1.580795b4f0bfp-16, 0x1.565caf99477fcp-16, 0x1.5484837dc1186p-16, 0x1.5280e1e9d82dep-16, 0x1.5053a2ebd672fp-16, 0x1.4dfebdd2450e1p-16, 0x1.4b8404af0b81dp-16, 0x1.48e518a648307p-16, 0x1.4623870cf7b21p-16, 0x1.4340e736fc5eap-16, 0x1.403ed6b7bdebbp-16, 0x1.3d1ee04867fa3p-16, 0x1.39e2748cf7469p-16, 0x1.368aef6bf95c8p-16, 0x1.3319b11213a5ep-16, 0x1.2f901b7364fc7p-16, 0x1.2bef9553a2c99p-16, 0x1.28398fab9c582p-16, 0x1.246f431379544p-16, 0x1.20925f40f1a8bp-16, 0x1.1ca3f0c576edap-16, 0x1.18a4215bb135dp-16, 0x1.1493aaae62fa3p-16, 0x1.10739e3a58dep-16, 0x1.0c45b8758f6f8p-16, 0x1.080b9cb33d10dp-16, 0x1.03c635c38e19p-16, 0x1.feec8147bc048p-17, 0x1.f639b63747627p-17, 0x1.ed756b48dacc8p-17, 0x1.e49f17dbfb4dbp-17, 0x1.dbb6a60bce616p-17, 0x1.d2be6f32da0ebp-17, 0x1.c9ba2ede204adp-17, 0x1.c0aa48c912013p-17, 0x1.b78ee2cbafe8p-17, 0x1.ae69f03acefd5p-17, 0x1.a53e598021044p-17, 0x1.9c0d61b9c2159p-17, 0x1.92d73ca0a6882p-17, 0x1.899c08a76ab1cp-17, 0x1.805cd6130ed9fp-17, 0x1.771b00d2170ecp-17, 0x1.6dd81e50c6858p-17, 0x1.6495c75395908p-17, 0x1.5b554afab7354p-17, 0x1.5217945d6bc6bp-17, 0x1.48dcd275d1c54p-17, 0x1.3fa428fee3fap-17, 0x1.366d6c22445a3p-17, 0x1.2d3b7fd3d46f7p-17, 0x1.2411f85b3d741p-17, 0x1.1af0f6635b0dcp-17, 0x1.11d699fa9106bp-17, 0x1.08c2004d28491p-17, 0x1.ff68cbf9ce2c4p-18, 0x1.ed5f439705839p-18, 0x1.db6bcb4ef778dp-18, 0x1.c98954e541aeap-18, 0x1.b7b636cd365a9p-18, 0x1.a5f95db18b4c4p-18, 0x1.94563ef27ba1bp-18, 0x1.82cb3f4b1ca92p-18, 0x1.7156d65be1a6p-18, 0x1.5ff9edf7d949cp-18, 0x1.4eb51b0742993p-18, 0x1.3d89d943c2289p-18, 0x1.2c78f78bf5fdbp-18, 0x1.1b833d0db264dp-18, 0x1.0aa92606cf5b2p-18, 0x1.f3d6c9aaaa78cp-19, 0x1.d295698ac8216p-19, 0x1.b18f91bc55903p-19, 0x1.90c685fd51e2ap-19, 0x1.703c645d2f03fp-19, 0x1.4ff57d0991536p-19, 0x1.2ff40684a5596p-19, 0x1.1032c4ef4fc37p-19, 0x1.e163fd2d19a1cp-20, 0x1.a2f1ff8005083p-20, 0x1.64f90719a228p-20, 0x1.276960835abdp-20, 0x1.d4d0f59237195p-21, 0x1.5bec8697e4b12p-21, 0x1.c80c96d6c9d25p-22, 0x1.b50b6930d82f3p-23, -0x1.0b8749728c07fp-26, -0x1.f3c216bd0419bp-23, -0x1.e0fbb03e2d835p-22, -0x1.62fd9e1beb1afp-21, -0x1.d4691c312546bp-21, -0x1.225ea412915cfp-20, -0x1.59fc5a6241be1p-20, -0x1.910d86b7a0d93p-20, -0x1.c7920c377c865p-20, -0x1.fd89c39abbfcap-20, -0x1.197942414379bp-19, -0x1.33e7cdff1a2b9p-19, -0x1.4e1051f1d6e47p-19, -0x1.67f17fea4936fp-19, -0x1.818ca68e7720cp-19, -0x1.9ae2115748a34p-19, -0x1.b3f184a05978dp-19, -0x1.ccbb682621809p-19, -0x1.e540e25e87782p-19, -0x1.fd7c21d5b5de2p-19, -0x1.0ab1b09d2c5f8p-18, -0x1.167f558890984p-18, -0x1.222eafa514e6fp-18, -0x1.2dbff776a46f2p-18, -0x1.393373b808d14p-18, -0x1.44801cf9a8a48p-18, -0x1.4fa4c2d3a9ecbp-18, -0x1.5aa78953dfe7p-18, -0x1.658992f7fd3a1p-18, -0x1.704aeb9624e2dp-18, -0x1.7aea9525e70b1p-18, -0x1.8568479b04cc8p-18, -0x1.8fc442cbef811p-18, -0x1.99fe7d857fb91p-18, -0x1.a417007a5b6dcp-18, -0x1.ae0e07dc96618p-18, -0x1.b7e3af3d479b5p-18, -0x1.c1995d3400723p-18, -0x1.cb2d774784cf2p-18, -0x1.d4a0ebfcaff36p-18, -0x1.ddf4035735ad9p-18, -0x1.e726d0cbfab19p-18, -0x1.f0386a50516fap-18, -0x1.f92aaab4137ep-18, -0x1.00fea38a1c2d7p-17, -0x1.05585d9940c88p-17, -0x1.09a28586f8357p-17, -0x1.0ddd2d89ef73bp-17, -0x1.12084e8f417f1p-17, -0x1.1622dd72e556ep-17, -0x1.1a2dd6f0672efp-17, -0x1.1e2a4ba75e77bp-17, -0x1.2217997d8302p-17, -0x1.25f56f82619d5p-17, -0x1.29c4d31d5bce3p-17, -0x1.2d85bb584cea7p-17, -0x1.313754d90cc29p-17, -0x1.34da41aeecbcp-17, -0x1.386ee653a0f1dp-17, -0x1.3bf546e33269dp-17, -0x1.3f6d5dbff80fbp-17, -0x1.42d73d1fea992p-17, -0x1.4632f264b1bfdp-17, -0x1.4980a8b075421p-17, -0x1.4cc06fc534557p-17, -0x1.4ff269412069ep-17, -0x1.5316b274120ccp-17, -0x1.562d67ad916ddp-17, -0x1.5936a390344c1p-17, -0x1.5c328097ec553p-17, -0x1.5f211d6a50f17p-17, -0x1.6202888fcbb36p-17, -0x1.64d6df758f9cap-17, -0x1.679e387a77d68p-17, -0x1.6a58d102dbb35p-17, -0x1.6d06b27a530c2p-17, -0x1.6fa7e3fd07c08p-17, -0x1.723c9ffe4ae53p-17, -0x1.74c50b24b2604p-17, -0x1.7740fdbb80181p-17, -0x1.79b05ebea585dp-17, -0x1.7c13f4e0c3102p-17, -0x1.7e6bd12b9af4fp-17, -0x1.80b78e42309bfp-17, -0x1.82f7277cecd7ap-17, -0x1.852b2e2dd4646p-17, -0x1.8753b54c7faacp-17, -0x1.8970f4c41e7d8p-17, -0x1.8b8218f2bc836p-17, -0x1.8d88f506b9885p-17, -0x1.8f84198c0c345p-17, -0x1.917442acda267p-17, -0x1.9359430b008aap-17, -0x1.9533c4806ceb3p-17, -0x1.97036191e9247p-17, -0x1.98c86682c994ap-17, -0x1.9a81f9727274bp-17, -0x1.9c320ee3aa621p-17, -0x1.9dd7713df0c34p-17, -0x1.9f728a88b9cbep-17, -0x1.a1036ed2f54a3p-17, -0x1.a28a39420d5bbp-17, -0x1.a407040cb4123p-17, -0x1.a579e880a5c07p-17, -0x1.a6e2ffa3a2b69p-17, -0x1.a8426169e3241p-17, -0x1.a99825d1ba163p-17, -0x1.aae46541d6ad5p-17, -0x1.ac273835bf2ebp-17, -0x1.ad60b72e51869p-17, -0x1.ae90fd1966366p-17, -0x1.afb821296b371p-17, -0x1.b0d62c996a728p-17, -0x1.b1eb45fff22bap-17, -0x1.b2f77c3cd62ap-17, -0x1.b3fae7b892b9p-17, -0x1.b4f5a658cf2dfp-17, -0x1.b5e7ccc4cc963p-17, -0x1.b6d173fa96523p-17, -0x1.b7b2b015dc65cp-17, -0x1.b88b879529e08p-17, -0x1.b95c29515b14ap-17, -0x1.ba24ac08028cdp-17, -0x1.bae4fbceaf77ap-17, -0x1.bb9d67349f74dp-17, -0x1.bc4de805ac472p-17, -0x1.bcf6937e4b45fp-17, -0x1.bd9783f7e618ap-17, -0x1.be30cfacc1dcbp-17, -0x1.bec289c54a16dp-17, -0x1.bf4cc1645bcb1p-17, -0x1.bfcfdc5659153p-17, -0x1.c04b121236951p-17, -0x1.c0bf57fe0fc3dp-17, -0x1.c12c74da75966p-17, -0x1.c1926ed8927a7p-17, -0x1.c1f1610632ebdp-17, -0x1.c2499485c12a4p-17, -0x1.c29adf04357abp-17, -0x1.c2e55cf2a934dp-17, -0x1.c3292bc3d51f8p-17, -0x1.c366528a936fep-17, -0x1.c39cffaf8e4ffp-17, -0x1.c3cd2f6f3e841p-17, -0x1.c3f6ea2f8bf3ap-17, -0x1.c41a582e882dap-17, -0x1.c437a83f7cc6bp-17, -0x1.c44ec28107a79p-17, -0x1.c45f7c349df6cp-17, -0x1.c46adc130a19dp-17, -0x1.c46fe1b83d4b9p-17, -0x1.c46f021aeac1ap-17, -0x1.c4686067edf96p-17, -0x1.c45c00999044p-17, -0x1.c449fcf6f26c4p-17, -0x1.c4323d23c27bp-17, -0x1.c4150513e8dd3p-17, -0x1.c3f2a3c221fe4p-17, -0x1.c3cab383554a4p-17, -0x1.c39d5d2c0e4dcp-17, -0x1.c36ad8c3d39ddp-17, -0x1.c3332b972cb6fp-17, -0x1.c2f64ab72416cp-17, -0x1.c2b458923fe25p-17, -0x1.c26d7fde2a40ep-17, -0x1.c221a92d678aap-17, -0x1.c1d0f8dbcf792p-17, -0x1.c17b802f310edp-17, -0x1.c1214dca83c8p-17, -0x1.c0c2696f88ffcp-17, -0x1.c05ee1308c091p-17, -0x1.bff767a7ce1d6p-17, -0x1.bf8a6236ceb8dp-17, -0x1.bf1975f759f9bp-17, -0x1.bea424221824p-17, -0x1.be2a827848734p-17, -0x1.bdaca237ad10cp-17, -0x1.bd2a8d9569f48p-17, -0x1.bca4622187f91p-17, -0x1.bc1a43b5ce78bp-17, -0x1.bb8bf582a2cdbp-17, -0x1.baf9ca1f84d95p-17, -0x1.ba6390df32af9p-17, -0x1.b9c9909a7d9f1p-17, -0x1.b92bdd4ab03b7p-17, -0x1.b88a64d09dc0ep-17, -0x1.b7e539ab8434fp-17, -0x1.b73c6e6c05554p-17, -0x1.b69010b8f64ecp-17, -0x1.b5e02e64bd616p-17, -0x1.b52cdcba0b201p-17, -0x1.b47605cad6816p-17, -0x1.b3bbfbfeff418p-17, -0x1.b2fe88a44b826p-17, -0x1.b23dc2e86a58fp-17, -0x1.b179e25660656p-17, -0x1.b0b2ce0caceb4p-17, -0x1.afe8a0fc2fc2cp-17, -0x1.af1b7a6c93173p-17, -0x1.ae4b40a96d6acp-17, -0x1.ad77f8415fd99p-17, -0x1.aca1ccf4d9d8fp-17, -0x1.abc8e03cdf7afp-17, -0x1.aaed07afca781p-17, -0x1.aa0e87b8f87b7p-17, -0x1.a92d2e6c91ee6p-17, -0x1.a848d06bed487p-17, -0x1.a7628bacbce41p-17, -0x1.a6792afa14b0ep-17, -0x1.a58d9fef5e568p-17, -0x1.a49f529554ac9p-17, -0x1.a3ae90526a5bp-17, -0x1.a2bb7903ff8b5p-17, -0x1.a1c5fba07eacbp-17, -0x1.a0ce22b82a32ep-17, -0x1.9fd3fca8ccba8p-17, -0x1.9ed7944dda2eap-17, -0x1.9dd90ec50b8e3p-17, -0x1.9cd866703738p-17, -0x1.9bd5932b3d20fp-17, -0x1.9ad0d41b06786p-17, }}, 
      {{-0x1.a5bd95351b262p-2, -0x1.e97bbfea8ba07p-3, -0x1.a208f11080e23p-3, -0x1.31e682b6f1434p-2, -0x1.e2ed5f947ffb5p-2, -0x1.5840a737ac71cp-1, -0x1.babbc20f91fa7p-1, -0x1.07105226d7066p+0, -0x1.26f2eca4637c9p+0, -0x1.3ce0bd942e66ep+0, -0x1.49f47fdb97ae3p+0, -0x1.4fe0ac5f81f2dp+0, -0x1.507eac06781c4p+0, -0x1.4d8abd209f5abp+0, -0x1.4880647af8b12p+0, -0x1.428cb15742ea3p+0, -0x1.3c8e03e88c2adp+0, -0x1.371b6955d54ffp+0, -0x1.328f97e316266p+0, -0x1.2f1508858a98fp+0, -0x1.2cb1ac21cf653p+0, -0x1.2b516ae7cf7dep+0, -0x1.2acf1124b023cp+0, -0x1.2afb937e82b2cp+0, -0x1.2ba3bd2c376adp+0, -0x1.2c947090d1ebep+0, -0x1.2d9dace2d7057p+0, -0x1.2e948e648ce0bp+0, -0x1.2f547cb9d10c8p+0, -0x1.2fbfb62e9a7c5p+0, -0x1.2fbf60c0804aap+0, -0x1.2f43434b72b1ep+0, -0x1.2e4142f168abap+0, -0x1.2cb4bb2258fd3p+0, -0x1.2a9dc1bc0ba36p+0, -0x1.2800649593112p+0, -0x1.24e3ea488ce1p+0, -0x1.21521d26e8ab8p+0, -0x1.1d56a4c04035ap+0, -0x1.18fe7083e81a3p+0, -0x1.145735152e1ebp+0, -0x1.0f6efc6d7275fp+0, -0x1.0a53c7bbe7162p+0, -0x1.0513427b16165p+0, -0x1.ff750bfef2c8fp-1, -0x1.f4abd61654f1cp-1, -0x1.e9e1ce0c6b40cp-1, -0x1.df2be86f7243cp-1, -0x1.d49d086c4ae6p-1, -0x1.ca45f45b4e41ap-1, -0x1.c0355517d7b2ep-1, -0x1.b677be52e7b6bp-1, -0x1.ad17bfde4b37p-1, -0x1.a41dfea668d06p-1, -0x1.9b915255160ecp-1, -0x1.9376e4df3cac9p-1, -0x1.8bd252d8dda4fp-1, -0x1.84a5cc9ff1526p-1, -0x1.7df23883f7c75p-1, -0x1.77b7555fb7ab2p-1, -0x1.71f3dc9bab514p-1, -0x1.6ca5a2b60b47p-1, -0x1.67c9b5d0caecdp-1, -0x1.635c7a30312a9p-1, -0x1.5f59c4d7ba8ecp-1, -0x1.5bbcf45f5f3b9p-1, -0x1.5881081881922p-1, -0x1.55a0b5696c7f7p-1, -0x1.53167b499dc23p-1, -0x1.50dcb3d648df7p-1, -0x1.4eeda4021a96fp-1, -0x1.4d43897f1d032p-1, -0x1.4bd8a6fb58277p-1, -0x1.4aa74edd665cbp-1, -0x1.49a9ec946acd2p-1, -0x1.48db0ca8147b1p-1, -0x1.48356395bb03cp-1, -0x1.47b3d398a7061p-1, -0x1.4751716b17bf9p-1, -0x1.470988199acaap-1, -0x1.46d79bf75052bp-1, -0x1.46b76cc98a80bp-1, -0x1.46a4f74483f2ep-1, -0x1.469c75df4852dp-1, -0x1.469a612231779p-1, -0x1.469b6f716505dp-1, -0x1.469c9461aaeb8p-1, -0x1.469affbff23a3p-1, -0x1.46941c2de2689p-1, -0x1.46858d86ff295p-1, -0x1.466d2f279a3f9p-1, -0x1.464911c18a7f3p-1, -0x1.46177979a21bcp-1, -0x1.45d6db95fd9b2p-1, -0x1.4585dc29fea02p-1, -0x1.45234bfbafe18p-1, -0x1.44ae25f706ed2p-1, -0x1.44258ccd1542ep-1, -0x1.4388c8deaa24p-1, -0x1.42d74575447c7p-1, -0x1.42108ebc9ea37p-1, -0x1.41344f85cfbd1p-1, -0x1.40424ec87e80cp-1, -0x1.3f3a6dd456331p-1, -0x1.3e1ca627ccf93p-1, -0x1.3ce90767b67bcp-1, -0x1.3b9fb5a41f26fp-1, -0x1.3a40e78cdef1cp-1, -0x1.38cce4a911e17p-1, -0x1.374403d87961ep-1, -0x1.35a6a9ce8961p-1, -0x1.33f5478375177p-1, -0x1.323058fb949e7p-1, -0x1.305863f1ed5d7p-1, -0x1.2e6df68c412e9p-1, -0x1.2c71a66071358p-1, -0x1.2a640f48886b3p-1, -0x1.2845d25bdf163p-1, -0x1.261795294be78p-1, -0x1.23da00b5205b6p-1, -0x1.218dc0b031091p-1, -0x1.1f3382ded3505p-1, -0x1.1ccbf640bf771p-1, -0x1.1a57ca768ca13p-1, -0x1.17d7af54a3fecp-1, -0x1.154c542fe4f8cp-1, -0x1.12b66763422bp-1, -0x1.1016960c31317p-1, -0x1.0d6d8b7c096a8p-1, -0x1.0abbf0ce27dc9p-1, -0x1.08026cc8599f3p-1, -0x1.0541a37742d79p-1, -0x1.027a35c9a6835p-1, -0x1.ff59830c97847p-2, -0x1.f9b3c235f0772p-2, -0x1.f40456821f92cp-2, -0x1.ee4c65e03c52bp-2, -0x1.e88d0ebc97f3cp-2, -0x1.e2c76783b082fp-2, -0x1.dcfc7e58d3025p-2, -0x1.d72d594aa1ff1p-2, -0x1.d15af63c6d6cep-2, -0x1.cb864a89ef60ep-2, -0x1.c5b043148f5ccp-2, -0x1.bfd9c48c54d9dp-2, -0x1.ba03ab4e2bb91p-2, -0x1.b42ecb363d54fp-2, -0x1.ae5befde02a5ep-2, -0x1.a88bdce358bcbp-2, -0x1.a2bf4dcee88c9p-2, -0x1.9cf6f608a3c9fp-2, -0x1.9733812a23c9ep-2, -0x1.91759342265abp-2, -0x1.8bbdc8cc7091cp-2, -0x1.860cb6b9a8b33p-2, -0x1.8062eabfeacb7p-2, -0x1.7ac0eba31ce6p-2, -0x1.7527393d72b96p-2, -0x1.6f964c91a324ep-2, -0x1.6a0e980ceec2bp-2, -0x1.649087d2c5627p-2, -0x1.5f1c81dcb985fp-2, -0x1.59b2e60d445dap-2, -0x1.54540e6007e56p-2, -0x1.4f004f31b365dp-2, -0x1.49b7f7757cd06p-2, -0x1.447b50cc4db67p-2, -0x1.3f4a9fa551955p-2, -0x1.3a26237635ec1p-2, -0x1.350e16fcf9d42p-2, -0x1.3002b06490d6cp-2, -0x1.2b04215c451bap-2, -0x1.2612973dba162p-2, -0x1.212e3b47ecbbbp-2, -0x1.1c5732d10f863p-2, -0x1.178d9f656a2efp-2, -0x1.12d19edc4d8ap-2, -0x1.0e234b853bca4p-2, -0x1.0982bc5797b91p-2, -0x1.04f0051976fa7p-2, -0x1.006b367a93819p-2, -0x1.f7e8bc60106d6p-3, -0x1.ef170e2ecf111p-3, -0x1.e66172b9bc6abp-3, -0x1.ddc7f5383be5cp-3, -0x1.d54a9bf7eb25ep-3, -0x1.cce9688fbe36dp-3, -0x1.c4a4581a1fe67p-3, -0x1.bc7b6367902bfp-3, -0x1.b46e7f3e3e9adp-3, -0x1.ac7d9c8d098bbp-3, -0x1.a4a8a89f7e1ebp-3, -0x1.9cef8d43424bdp-3, -0x1.955230f08c0bdp-3, -0x1.8dd076f97b3d8p-3, -0x1.866a3fc3a557dp-3, -0x1.7f1f68f247e5bp-3, -0x1.77efcd84a5a1p-3, -0x1.70db45f31a952p-3, -0x1.69e1a850185e9p-3, -0x1.6302c87c8d16ep-3, -0x1.5c3e78522301fp-3, -0x1.559487bb4a4cbp-3, -0x1.4f04c4ca11932p-3, -0x1.488efbcda3d5p-3, -0x1.4232f779133ffp-3, -0x1.3bf0810b00c15p-3, -0x1.35c76069d27f6p-3, -0x1.2fb75c3515ca9p-3, -0x1.29c039d080811p-3, -0x1.23e1bd80061afp-3, -0x1.1e1baa87ae1f7p-3, -0x1.186dc3484a298p-3, -0x1.12d7c950d6f78p-3, -0x1.0d597d6c2a254p-3, -0x1.07f29fa800e35p-3, -0x1.02a2ef6fae21dp-3, -0x1.fad4574cc3a1ap-4, -0x1.f09025757f0ebp-4, -0x1.e678c565ba75cp-4, -0x1.dc8db266ec0e6p-4, -0x1.d2ce671122138p-4, -0x1.c93a5d770a138p-4, -0x1.bfd10f4ba2409p-4, -0x1.b691f605b4495p-4, -0x1.ad7c8ae9b1d34p-4, -0x1.a49047140f9f3p-4, -0x1.9bcca38a39879p-4, -0x1.93311954ff662p-4, -0x1.8abd21a2d560ap-4, -0x1.827035e4c9c85p-4, -0x1.7a49cfd83bc22p-4, -0x1.724969891c1f9p-4, -0x1.6a6e7d5d2c279p-4, -0x1.62b88622b19cfp-4, -0x1.5b26ff2dbbf5bp-4, -0x1.53b9646c6b74bp-4, -0x1.4c6f327a7e244p-4, -0x1.4547e69ec8cbap-4, -0x1.3e42fecdb44c5p-4, -0x1.375ff9ae90d9fp-4, -0x1.309e56b06d833p-4, -0x1.29fd961b6da5cp-4, -0x1.237d391dea17ep-4, -0x1.1d1cc1db0ce7dp-4, -0x1.16dbb364fc4fp-4, -0x1.10b991bb1b81p-4, -0x1.0ab5e1d19e35p-4, -0x1.04d0299afa57ap-4, -0x1.fe0fe0310717ep-5, -0x1.f2b97ac9f957ap-5, -0x1.e79c3574b7e28p-5, -0x1.dcb724dd35b86p-5, -0x1.d2095fe3971a7p-5, -0x1.c791ff9dbe124p-5, -0x1.bd501f62e8941p-5, -0x1.b342dce5d5f9p-5, -0x1.a969583d5c9c1p-5, -0x1.9fc2b3f09b695p-5, -0x1.964e14fca754fp-5, -0x1.8d0aa2c0d5911p-5, -0x1.83f787040085cp-5, -0x1.7b13edef4a966p-5, -0x1.725f061e69975p-5, -0x1.69d800aa54474p-5, -0x1.617e11300d78ep-5, -0x1.59506dd59d0bcp-5, -0x1.514e4f3ef8e4ep-5, -0x1.4976f08c8e928p-5, -0x1.41c98f537966p-5, -0x1.3a456b9cf502dp-5, -0x1.32e9c7edb4912p-5, -0x1.2bb5e948ba5acp-5, -0x1.24a9173792481p-5, -0x1.1dc29bc65f072p-5, -0x1.1701c377838b9p-5, -0x1.1065dd4a28e82p-5, -0x1.09ee3aa9df252p-5, -0x1.039a2f6dcfc67p-5, -0x1.fad223add5cbdp-6, -0x1.eeb4752e40478p-6, -0x1.e2da099ba731cp-6, -0x1.d7419c069d8c3p-6, -0x1.cbe9ec5524d71p-6, -0x1.c0d1bf281868ap-6, -0x1.b5f7ddd473812p-6, -0x1.ab5b1651166f9p-6, -0x1.a0fa3b35f7afap-6, -0x1.96d423b36d391p-6, -0x1.8ce7ab8dde866p-6, -0x1.8333b31ee2472p-6, -0x1.79b71f482ba33p-6, -0x1.7070d964c49d3p-6, -0x1.675fcf41bfab5p-6, -0x1.5e82f309a76ebp-6, -0x1.55d93b3d434c2p-6, -0x1.4d61a2a660181p-6, -0x1.451b2842ddfd8p-6, -0x1.3d04cf5e83a27p-6, -0x1.351d9f733bc08p-6, -0x1.2d64a42b62216p-6, -0x1.25d8ed23d152p-6, -0x1.1e798e3639dc8p-6, -0x1.17459f2bf425bp-6, -0x1.103c3bbc9281cp-6, -0x1.095c838d2822ep-6, -0x1.02a59a1e74faep-6, -0x1.f82d4d7dde007p-7, -0x1.eb5da91ba42bep-7, -0x1.dedaa4c97a6efp-7, -0x1.d2a2a5a9ee026p-7, -0x1.c6b41823ce3a4p-7, -0x1.bb0d6fc6b6af1p-7, -0x1.afad274ff8074p-7, -0x1.a491c0790712ap-7, -0x1.99b9c3df8773bp-7, -0x1.8f23c0ebaa70bp-7, -0x1.84ce4dcdf7c7ep-7, -0x1.7ab8075bf2dbap-7, -0x1.70df90f991ddcp-7, -0x1.67439483f8adap-7, -0x1.5de2c239a980bp-7, -0x1.54bbd0a289eadp-7, -0x1.4bcd7c78d01d1p-7, -0x1.4316888fdfad7p-7, -0x1.3a95bdbe7727ap-7, -0x1.3249ead5627dbp-7, -0x1.2a31e46b01a36p-7, -0x1.224c84e91d3aap-7, -0x1.1a98ac5ebc258p-7, -0x1.13154070b721ep-7, -0x1.0bc12c3bc057fp-7, -0x1.049b6048fae88p-7, -0x1.fb45a4e400becp-8, -0x1.edacfb99b3448p-8, -0x1.e06ac53870ad1p-8, -0x1.d37d0c783e9ffp-8, -0x1.c6e1e61b4c09ap-8, -0x1.ba9770c3c299cp-8, -0x1.ae9bd4c257edep-8, -0x1.a2ed43f1639c1p-8, -0x1.9789f990e7967p-8, -0x1.8c7039ead4b68p-8, -0x1.819e525a53ca8p-8, -0x1.77129910a22bep-8, -0x1.6ccb6cf4f0341p-8, -0x1.62c73586570efp-8, -0x1.590462b68da98p-8, -0x1.4f816cead9a2fp-8, -0x1.463cd4c4db914p-8, -0x1.3d35230031814p-8, -0x1.3468e8472839ap-8, -0x1.2bd6bd1495302p-8, -0x1.237d417dd4345p-8, -0x1.1b5b1cecd9108p-8, -0x1.136efdf7eacc6p-8, -0x1.0bb79a6402895p-8, -0x1.0433aedb679ddp-8, -0x1.f9c3fdd210c44p-9, -0x1.eb82a9cead1c6p-9, -0x1.dda103e79f295p-9, -0x1.d01cbbcc659d4p-9, -0x1.c2f38e6ded132p-9, -0x1.b62345c63af7fp-9, -0x1.a9a9b890f3facp-9, -0x1.9d84c9e5f27cbp-9, -0x1.91b268d3c70c2p-9, -0x1.86308fe7f743ep-9, -0x1.7afd44c4d9e38p-9, -0x1.701697c4a1c9ep-9, -0x1.657aa3b8a897cp-9, -0x1.5b278dc3c47afp-9, -0x1.511b854c38adap-9, -0x1.4754c461466eap-9, -0x1.3dd18f687f369p-9, -0x1.3490358d08dc3p-9, -0x1.2b8f108db68e4p-9, -0x1.22cc85069ae17p-9, -0x1.1a4701a5edc17p-9, -0x1.11fcfeee5db22p-9, -0x1.09ecfe84ba41ep-9, -0x1.02158a67d948p-9, -0x1.f4ea6881039a8p-10, -0x1.e61529a3d3dd1p-10, -0x1.d7a89765225cap-10, -0x1.c9a1fea5c920ap-10, -0x1.bbfeba6b9a383p-10, -0x1.aebc3558c60a4p-10, -0x1.a1d7eaeca799p-10, -0x1.954f68b2cd43dp-10, -0x1.89204f418d7e2p-10, -0x1.7d48523d9a2b1p-10, -0x1.71c53774dd3a8p-10, -0x1.6694d51e8d62cp-10, -0x1.5bb50f5cc15eap-10, -0x1.5123d57cd555ep-10, -0x1.46df1f6954c72p-10, -0x1.3ce4ebc398221p-10, -0x1.33333f1bb157cp-10, -0x1.29c824365f4a2p-10, -0x1.20a1ae29ce91ep-10, -0x1.17bdfaf178234p-10, -0x1.0f1b3607d2a3ep-10, -0x1.06b79b65a1abep-10, -0x1.fd22f1ef7b47fp-11, -0x1.ed4e65487f1cap-11, -0x1.ddee72a5f526ep-11, -0x1.cf00234c5aa0cp-11, -0x1.c0809355d265dp-11, -0x1.b26cee4f4760ep-11, -0x1.a4c266722b538p-11, -0x1.977e2e90671ebp-11, -0x1.8a9d77aae8522p-11, -0x1.7e1d723da1c7ep-11, -0x1.71fb529ef95e5p-11, -0x1.663458a609e28p-11, -0x1.5ac5d810a5c3p-11, -0x1.4fad40e547daap-11, -0x1.44e825336be12p-11, -0x1.3a743bc992ffap-11, -0x1.304f5f684a204p-11, -0x1.2677897195886p-11, -0x1.1ceac9f5fdb77p-11, -0x1.13a73e29ef34p-11, -0x1.0aab070ab17c5p-11, -0x1.01f441f1831fap-11, -0x1.f30208c695d09p-12, -0x1.e29eb78b86b23p-12, -0x1.d2baa1c796c98p-12, -0x1.c351dcc138a2ep-12, -0x1.b46091b29574dp-12, -0x1.a5e30da83869p-12, -0x1.97d5cf7739097p-12, -0x1.8a358ef72d2e4p-12, -0x1.7cff3ed9f12c5p-12, -0x1.703007e7c005bp-12, -0x1.63c53dd6444a9p-12, -0x1.57bc510b14dfp-12, -0x1.4c12bf170db72p-12, -0x1.40c6081dc643bp-12, -0x1.35d3a199c70d5p-12, -0x1.2b38f7598aac7p-12, -0x1.20f36996a1f55p-12, -0x1.170057455b21fp-12, -0x1.0d5d253687ccep-12, -0x1.040749235fb8bp-12, -0x1.f5f8a6932af69p-13, -0x1.e473eae87ff89p-13, -0x1.d37c0cf4eb841p-13, -0x1.c30d0376ba98p-13, -0x1.b323057854e31p-13, -0x1.a3ba7b2e006fdp-13, -0x1.94cfe7a3c0bf2p-13, -0x1.865fdc84b59dfp-13, -0x1.7866e909956p-13, -0x1.6ae18d4b4a382p-13, -0x1.5dcc442e26478p-13, -0x1.51238995bfd12p-13, -0x1.44e3e6066d432p-13, -0x1.3909fc2d8c5c3p-13, -0x1.2d9292ed689ep-13, -0x1.227a9b17a55adp-13, -0x1.17bf2f1dbed73p-13, -0x1.0d5d8e5cf5048p-13, -0x1.03531afa97221p-13, -0x1.f33aa90c9f519p-14, -0x1.e073aa346fd36p-14, -0x1.ce4c96ffc4affp-14, -0x1.bcc0eb9703fcdp-14, -0x1.abcc40118c351p-14, -0x1.9b6a1025b46edp-14, -0x1.8b95e1b0f7087p-14, -0x1.7c4b1d8289276p-14, -0x1.6d851e164db15p-14, -0x1.5f3f4dab72b04p-14, -0x1.51753dfd3eb07p-14, -0x1.4422c29705ee2p-14, -0x1.3743fdda762e1p-14, -0x1.2ad55d306de8dp-14, -0x1.1ed386f6ba3f8p-14, -0x1.133b42a32457bp-14, -0x1.080966e10a01p-14, -0x1.fa7597e1cb26dp-15, -0x1.e598f3c6eee4ep-15, -0x1.d176c0aa4a72p-15, -0x1.be09984d9c501p-15, -0x1.ab4c3a5e6851cp-15, -0x1.9939afb4d49eap-15, -0x1.87cd1c7787bb2p-15, -0x1.77019c03d97ccp-15, -0x1.66d22f3ef14bp-15, -0x1.5739bce254585p-15, -0x1.48331d7e5fa38p-15, -0x1.39b92886c11e7p-15, -0x1.2bc6bc3dd1b5p-15, -0x1.1e56c3343566cp-15, -0x1.11643f2db8712p-15, -0x1.04ea5ea57332fp-15, -0x1.f1c93512ac1a1p-16, -0x1.da9da359ea6c7p-16, -0x1.c44aabcad7841p-16, -0x1.aec9c5621c7e2p-16, -0x1.9a15029854656p-16, -0x1.8626d5b95b2cbp-16, -0x1.72f9b47f3b6dp-16, -0x1.60881eb7c82b8p-16, -0x1.4ecc9e24d1396p-16, -0x1.3dc20cbfd51dep-16, -0x1.2d63b4e197f46p-16, -0x1.1dad5fc653698p-16, -0x1.0e9aee9118739p-16, -0x1.0027f5ffb6904p-16, -0x1.e49e2fae0966ap-17, -0x1.ca13fd0d2b01dp-17, -0x1.b0a28ad6544a2p-17, -0x1.9839ca7028419p-17, -0x1.80c9ed287d934p-17, -0x1.6a452dc2fb5e7p-17, -0x1.54a1037e6e74cp-17, -0x1.3fd713f26b21fp-17, -0x1.2be312e7e5f4cp-17, -0x1.18c2aaf0e1319p-17, -0x1.0671afda3db56p-17, -0x1.e9d4be3b5dab5p-18, -0x1.c84acf78cdb1bp-18, -0x1.a836b17f30703p-18, -0x1.898bee82dff0cp-18, -0x1.6c419fd885c7cp-18, -0x1.50518cf45e47cp-18, -0x1.35b5ee762ca7ap-18, -0x1.1c67172d7f933p-18, -0x1.045a2b6013605p-18, -0x1.db026ad967402p-19, -0x1.af9812976cde6p-19, -0x1.8652a07f3abc4p-19, -0x1.5f0f3d0ae9fb2p-19, -0x1.39ad94279ebcbp-19, -0x1.1612d43f0bf45p-19, -0x1.e8575a5793bc4p-20, -0x1.a7d7ae5b5283fp-20, -0x1.6a962bb2d5f5fp-20, -0x1.3082ecf43afa8p-20, -0x1.f31484dc939d3p-21, -0x1.8b26f6a3904b7p-21, -0x1.29089ea2cd32p-21, -0x1.991031ccbeec6p-22, -0x1.d5eb57feb6136p-23, -0x1.1dd98cf4b83b1p-24, 0x1.46e5095a76374p-24, 0x1.c1d75b62ca3d2p-23, 0x1.6680c4e06b1fdp-22, 0x1.e2c553b8d9e5ep-22, 0x1.2b1c0611d63cfp-21, 0x1.60a1970b8d76dp-21, 0x1.92303207dc8bfp-21, 0x1.c002e6dfd7464p-21, 0x1.ea4d08e450a7bp-21, 0x1.089a988bf1192p-20, 0x1.1a6aec986431p-20, 0x1.2aa23f2ea5ebfp-20, 0x1.394d5e8b962f1p-20, 0x1.467d2d3d64a69p-20, 0x1.52456775370e9p-20, 0x1.5cb91f9298c5cp-20, 0x1.65e74d357797p-20, 0x1.6dd93d0d30183p-20, 0x1.749485cf8077cp-20, 0x1.7a1fb0bafa87fp-20, 0x1.7e85d08ee9b82p-20, 0x1.81d5ad6fc66dp-20, 0x1.8421690739964p-20, 0x1.8573dfb9b328ap-20, 0x1.85d940a30e9f2p-20, 0x1.8558f6834b53dp-20, 0x1.83fc015092145p-20, 0x1.81cd36c7aa768p-20, 0x1.7ed8e1f14fd09p-20, 0x1.7b2b0d8bcdc2ep-20, 0x1.76ce054953fd9p-20, 0x1.71c9a4988f2b2p-20, 0x1.6c2440d5a2f28p-20, 0x1.65e1f375adc26p-20, 0x1.5f067d506d08bp-20, 0x1.579b5c9e8790ap-20, 0x1.4fa57871d34d2p-20, 0x1.472d98077b03dp-20, 0x1.3e39aa2972352p-20, 0x1.34d0c7b289201p-20, 0x1.2afae9715608dp-20, 0x1.20bf7611fp-20, 0x1.1623ee313140ep-20, 0x1.0b2c783eb1c57p-20, 0x1.ffbb1813ef4c1p-21, 0x1.e87820936f2a9p-21, 0x1.d09ae1449a4aap-21, 0x1.b82bb2896c749p-21, 0x1.9f32f6b80ecdcp-21, 0x1.85b8521098eb2p-21, 0x1.6bc4a05659986p-21, 0x1.515fc65d990f1p-21, 0x1.3690aabe7b2dcp-21, 0x1.1b5dd0cab3849p-21, 0x1.ff9bf388972a8p-22, 0x1.c7d0062e2428fp-22, 0x1.8f647fe1e2b26p-22, 0x1.5665f15222ffep-22, 0x1.1cdf00f5e776ap-22, 0x1.c5b6f37472de7p-23, 0x1.50ccf7d284566p-23, 0x1.b62e6d7d4643ep-24, 0x1.92ba33ba91846p-25, -0x1.25fe464e890a1p-27, -0x1.13d5735a9f755p-24, -0x1.01e0d98aca173p-23, -0x1.7a5252245d85dp-23, -0x1.f32dfcdbc580ep-23, -0x1.363111d69aaa4p-22, -0x1.72e89a0602773p-22, -0x1.afae59c11b8bap-22, -0x1.ec7bdbd4adb3bp-22, -0x1.14a624e42d9a4p-21, -0x1.330b0fa2716a2p-21, -0x1.516a83822d432p-21, -0x1.6fc6e4c8a9c18p-21, -0x1.8e216b59cba53p-21, -0x1.ac76488419b81p-21, -0x1.cab9c1d149d33p-21, -0x1.e8ef9be843415p-21, -0x1.038b39ffee46dp-20, -0x1.1295577ed7ff5p-20, -0x1.2192f8ad11f3dp-20, -0x1.3082f63abb13cp-20, -0x1.3f650ef734b12p-20, -0x1.4e3a7424ea5e3p-20, -0x1.5d01783db237dp-20, -0x1.6bb8e4824e681p-20, -0x1.7a5f556e6b716p-20, -0x1.88f32106c7daep-20, -0x1.9772fd07d1776p-20, -0x1.a5de1c6a9778bp-20, -0x1.b43499732455ap-20, -0x1.c277cd514b7f5p-20, -0x1.d0a8332ca5ffep-20, -0x1.dec2925b40349p-20, -0x1.ecc2e41c2dc13p-20, -0x1.faa94e81b2fe6p-20, -0x1.043c2f86de8e7p-19, -0x1.0b18dfc1bf023p-19, -0x1.11e956ba434bap-19, -0x1.18ad9e8a07dd4p-19, -0x1.1f63eaaf8651ap-19, -0x1.260e03150993cp-19, -0x1.2cac866b0bd04p-19, -0x1.333d488a9665ap-19, -0x1.39bfa85dc60e4p-19, -0x1.40341a8209f13p-19, -0x1.469b49678623ep-19, -0x1.4cf47424fcc12p-19, -0x1.534040809ed94p-19, -0x1.597df0fb5ca97p-19, -0x1.5fad700a6bcdp-19, -0x1.65ce8a109d6a8p-19, -0x1.6be13ac628b7cp-19, -0x1.71e559dc8f275p-19, -0x1.77dac3199ec37p-19, -0x1.7dc1547557156p-19, -0x1.8398ee05f1abap-19, -0x1.89615253d90ecp-19, -0x1.8f19fca544af4p-19, -0x1.94c2af7368842p-19, -0x1.9a5c26fe511e6p-19, -0x1.9fe65a98c8f57p-19, -0x1.a5605dd07609p-19, -0x1.aacbba32044c4p-19, -0x1.b029a92c73af2p-19, -0x1.b577a5fb3cb68p-19, -0x1.bab5a303f7fbdp-19, -0x1.bfe4bbcdd9e2cp-19, -0x1.c503c701d2071p-19, -0x1.ca12bc7718887p-19, -0x1.cf128f737ac84p-19, -0x1.d4035c11b9714p-19, -0x1.d8e4f3be40bcdp-19, -0x1.ddb71040dee1dp-19, -0x1.e279bb103b02fp-19, -0x1.e72ce417684f1p-19, -0x1.ebd08e893ef64p-19, -0x1.f064bddbd31fbp-19, -0x1.f4e978e90282ap-19, -0x1.f95e4777289b1p-19, -0x1.fdc41e23669bdp-19, -0x1.010d733b03c4cp-18, -0x1.0330f011fbc2dp-18, -0x1.054cca5f5878dp-18, -0x1.07610d2b3f69bp-18, -0x1.096da98160bdap-18, -0x1.0b72a67c2d9ffp-18, -0x1.0d7042455540ep-18, -0x1.0f65f070179dcp-18, -0x1.11533062db4ep-18, -0x1.13388a4c6932p-18, -0x1.1516efc1dbb33p-18, -0x1.16ee612f89c95p-18, -0x1.18bee62a01838p-18, -0x1.1a87700f22f7ap-18, -0x1.1c47e3d4c2eb2p-18, -0x1.1e010f567edfap-18, -0x1.1fb2de9da12b2p-18, -0x1.215d8e0d848a6p-18, -0x1.2300ec3594931p-18, -0x1.249cf5c12781ap-18, -0x1.2631c07558557p-18, -0x1.27bf423df1d3cp-18, -0x1.29457f7ac104dp-18, -0x1.2ac47aa1837fcp-18, -0x1.2c3c38f239e74p-18, -0x1.2dad3e0ae49d3p-18, -0x1.2f16e17c4b37dp-18, -0x1.307976b8dd6efp-18, -0x1.31d511db24fddp-18, -0x1.3329b51120008p-18, -0x1.34770b1a191e9p-18, -0x1.35bda7583b5aep-18, -0x1.36fd61f6ceddap-18, -0x1.383651d91ec6bp-18, -0x1.39687945cfb62p-18, -0x1.3a93cd433231p-18, -0x1.3bb865f7db85bp-18, -0x1.3cd60c6b0ba9ap-18, -0x1.3decf32382f43p-18, -0x1.3efd5bb6d51e2p-18, -0x1.40072c81fa5cep-18, -0x1.410a55702019dp-18, -0x1.42071037a69bdp-18, -0x1.42fd62359e9cdp-18, -0x1.43ed2742e147bp-18, -0x1.44d680a73255p-18, -0x1.45b986833afbap-18, -0x1.469641c150375p-18, -0x1.476cb3153fd8ap-18, -0x1.483cea79dd38ep-18, -0x1.4906e425b87a7p-18, -0x1.49cabcb043384p-18, -0x1.4a886f61e1e76p-18, -0x1.4b400d6d0c9b2p-18, -0x1.4bf1a2e6c844dp-18, -0x1.4c9d3b4468643p-18, -0x1.4d42e08bfa485p-18, -0x1.4de29dd797ddp-18, -0x1.4e7c880ae085cp-18, -0x1.4f1092ad579abp-18, -0x1.4f9ed95aef8acp-18, -0x1.502754dc46c81p-18, -0x1.50aa3090e7194p-18, -0x1.5127677b92c43p-18, -0x1.519efbc3de227p-18, -0x1.5211065a08073p-18, -0x1.527d942c9494ap-18, -0x1.52e4a3fc191f7p-18, -0x1.5346369f0ca44p-18, -0x1.53a26435fcf81p-18, -0x1.53f957db4016dp-18, -0x1.544b0e43766d5p-18, -0x1.5497376c44705p-18, -0x1.54de5572205afp-18, -0x1.55204c621955dp-18, -0x1.555d2d60fe5b1p-18, -0x1.55949c0b336d6p-18, -0x1.55c7aceb71014p-18, -0x1.55f568f721acdp-18, -0x1.561e3dad4a8b7p-18, -0x1.5642058226677p-18, -0x1.5661398b08206p-18, -0x1.567b9736347ep-18, -0x1.569139a119c64p-18, -0x1.56a197eea9a56p-18, -0x1.56adfcfb7e446p-18, -0x1.56b57ded55548p-18, -0x1.56b86b6a431c7p-18, -0x1.56b6ce04880b2p-18, -0x1.56b0b1eb7dap-18, -0x1.56a62325f7f15p-18, -0x1.56972d81a4cc3p-18, -0x1.5683dca1aa609p-18, -0x1.566c3acfaa711p-18, -0x1.565052b620e7fp-18, -0x1.5630304cdc497p-18, -0x1.560be077da574p-18, -0x1.55e36f446faf6p-18, -0x1.55b6e81039f99p-18, -0x1.558654e4212efp-18, -0x1.5551bee02fbf7p-18, -0x1.551931244dfe3p-18, -0x1.54dcb7e5bea08p-18, -0x1.549c5f406fbffp-18, -0x1.54583133253e7p-18, -0x1.54103c4d2d3a6p-18, -0x1.53c48dfaf2e8ep-18, -0x1.53752959473fep-18, -0x1.53220f11d8952p-18, -0x1.52cb62f7dc6ffp-18, -0x1.52712fe4e7b14p-18, -0x1.52135c26f3542p-18, -0x1.51b21e0e7a345p-18, -0x1.514d6ac04b8f3p-18, -0x1.50e54f33a34b9p-18, -0x1.5079d86dd688bp-18, -0x1.500b10cbb228bp-18, -0x1.4f9904df9f546p-18, -0x1.4f23b8c8d148ap-18, -0x1.4eab679fe7a99p-18, -0x1.4e2f9789d5705p-18, -0x1.4db0dae5c68c9p-18, -0x1.4d2f0c5209d15p-18, -0x1.4caa319425b25p-18, -0x1.4c225684d4aep-18, -0x1.4b9799affec64p-18, -0x1.4b09efc082b7ap-18, -0x1.4a7964ffa7168p-18, -0x1.49e60754db6eap-18, -0x1.494fddbb5364p-18, -0x1.48b6f6ee64e87p-18, -0x1.481b5ab4748f7p-18, -0x1.477d0ab42ae0cp-18, -0x1.46dc17f6b764dp-18, -0x1.4638a40b0e0efp-18, -0x1.4592932f7b7f8p-18, -0x1.44e9cdd39693p-18, -0x1.443efc26f4eb3p-18, -0x1.43917f6765a1p-18, -0x1.42e198845f344p-18, -0x1.422f5c4915074p-18, -0x1.417ac76040d4p-18, -0x1.40c3ecc8d809fp-18, -0x1.400ab994b63cp-18, -0x1.3f4f592583104p-18, -0x1.3e91fc15c97bap-18, -0x1.3dd25b2668b0ep-18, -0x1.3d1093faa35d3p-18, -0x1.3c4cc61702d8bp-18, -0x1.3b86f49f8be8bp-18, -0x1.3abf153b381adp-18, -0x1.39f53a6c5d836p-18, -0x1.392982c5be05fp-18, -0x1.385bd9aec7f8ap-18, -0x1.378c52dc01664p-18, -0x1.36bafd3facfe8p-18, -0x1.35e7e0d16cccbp-18, -0x1.3512fa9af359fp-18, -0x1.343c57d72c18bp-18, -0x1.336457bafea4dp-18, -0x1.328a1aa240039p-18, -0x1.31ae857970267p-18, -0x1.30d154d859accp-18, -0x1.2ff2938edcebep-18, -0x1.2f124a3774ffcp-18, -0x1.2e30803ea352ep-18, -0x1.2d4d457a15153p-18, -0x1.2c68a1c2f0c57p-18, -0x1.2b828a867f048p-18, -0x1.2a9b188c4151cp-18, -0x1.29b23ebf30e92p-18, -0x1.28c8250c53aap-18, -0x1.27dcc2f9c4b8dp-18, -0x1.26f01cc7412e2p-18, -0x1.26023af98e339p-18, -0x1.25132ab16b9b1p-18, -0x1.2422eea96c862p-18, -0x1.233192c074ef7p-18, -0x1.223f14ae3071fp-18, -0x1.214b7832459ecp-18, -0x1.2056f18b69fep-18, -0x1.1f61465da6f49p-18, -0x1.1e6a9c46a2875p-18, -0x1.1d73053f10ef2p-18, -0x1.1c7a766b0a18bp-18, -0x1.1b81006fe38cbp-18, -0x1.1a86acb79e72ep-18, -0x1.198b77e51d48dp-18, -0x1.188f62307ee66p-18, -0x1.179282bfc4ef1p-18, -0x1.1694e368acbaep-18, -0x1.15967646ff5e5p-18, -0x1.149757e7b9a8cp-18, -0x1.1397780dc87d6p-18, -0x1.1296bfc9b3dp-18, -0x1.1195b9203f5bap-18, -0x1.1093cbc7a8c5p-18, -0x1.0f9173a4ec51ap-18, -0x1.0e8e5f9af09bap-18, -0x1.0d8abf7bfc7afp-18, -0x1.0c869cabb1b4fp-18, -0x1.0b81f156fbd4ap-18, -0x1.0a7cc3542f6ep-18, -0x1.09771a019ff28p-18, -0x1.0870fbd7926cdp-18, -0x1.076a764280319p-18, -0x1.0663898b27d15p-18, -0x1.055c3905768edp-18, -0x1.0454a404eb98ep-18, }}, 
      {{-0x1.c654eb7b39e61p-1, -0x1.c63a4da615985p-1, -0x1.c60e11218bce4p-1, -0x1.c5d0646510f67p-1, -0x1.c5817cd1a049ap-1, -0x1.c5218735a5009p-1, -0x1.c4b09a46c2cap-1, -0x1.c42eaedd4420bp-1, -0x1.c39b9e2f4cf6ap-1, -0x1.c2f7242cdde25p-1, -0x1.c240e393b86c3p-1, -0x1.c17869d3f7894p-1, -0x1.c09d31cd351e8p-1, -0x1.bfaea54e65f9fp-1, -0x1.beac1dd6ebf2cp-1, -0x1.bd94e54f3da7ep-1, -0x1.bc68375d1ad08p-1, -0x1.bb2543b9e75b9p-1, -0x1.b9cb31a77881fp-1, -0x1.b859245e2c23dp-1, -0x1.b6ce4022120d2p-1, -0x1.b529af9760826p-1, -0x1.b36aa8edb568ap-1, -0x1.b19072884336p-1, -0x1.af9a66e09cf2dp-1, -0x1.ad87f77ccb155p-1, -0x1.ab58aeeb28241p-1, -0x1.a90c31cc8a52ep-1, -0x1.a6a23f05c210ap-1, -0x1.a41aaf3c39815p-1, -0x1.a17573c6ca636p-1, -0x1.9eb2953ca2078p-1, -0x1.9bd231c935ca3p-1, -0x1.98d47b672c4bap-1, -0x1.95b9b61d9203dp-1, -0x1.92823653ad687p-1, -0x1.8f2e5f48f81f1p-1, -0x1.8bbea1b8a064fp-1, -0x1.88337aaac3a5dp-1, -0x1.848d727191287p-1, -0x1.80cd1bcd99288p-1, -0x1.7cf31332b61c9p-1, -0x1.78fffe2624dc8p-1, -0x1.74f48aae3c842p-1, -0x1.70d16eccc2218p-1, -0x1.6c9767fdb5db5p-1, -0x1.68473ab5b10adp-1, -0x1.63e1b1dc346a2p-1, -0x1.5f679e3f99aa4p-1, -0x1.5ad9d60196003p-1, -0x1.563933fc4de16p-1, -0x1.51869720e3403p-1, -0x1.4cc2e1d1174e2p-1, -0x1.47eef93611f2p-1, -0x1.430bc496aec1ap-1, -0x1.3e1a2cafc5143p-1, -0x1.391b1b10da60bp-1, -0x1.340f797f7c69cp-1, -0x1.2ef83163435eap-1, -0x1.29d62b3c1c36fp-1, -0x1.24aa4e242db79p-1, -0x1.1f757f5e33266p-1, -0x1.1a38a1f0d655dp-1, -0x1.14f4964f2bfeap-1, -0x1.0faa3a0e24aafp-1, -0x1.0a5a67a67a91dp-1, -0x1.0505f64262caap-1, -0x1.ff5b732c38881p-2, -0x1.f4a503849c07ap-2, -0x1.e9ea367e17a2ap-2, -0x1.df2c9d9ca173cp-2, -0x1.d46dc2e969f34p-2, -0x1.c9af28ee5c1d8p-2, -0x1.bef24ab9688e3p-2, -0x1.b4389be56fa5ap-2, -0x1.a98388a6e2197p-2, -0x1.9ed475da4c571p-2, -0x1.942cc11349b23p-2, -0x1.898dc0aaa325ap-2, -0x1.7ef8c3ca7a05cp-2, -0x1.746f1277c115dp-2, -0x1.69f1ed986307ep-2, -0x1.5f828ef5b4c51p-2, -0x1.5522293b06311p-2, -0x1.4ad1e7f045f91p-2, -0x1.4092ef70dd60ap-2, -0x1.36665cdf004cap-2, -0x1.2c4d4613cc965p-2, -0x1.2248b98cad33cp-2, -0x1.1859be567cc9fp-2, -0x1.0e8153f6f69ap-2, -0x1.04c0725506099p-2, -0x1.f63013411ac8p-3, -0x1.e312047469edap-3, -0x1.d0287937a7579p-3, -0x1.bd7522840103p-3, -0x1.aaf9a12e7d95dp-3, -0x1.98b785c2a3043p-3, -0x1.86b0506215208p-3, -0x1.74e570a9fe4f7p-3, -0x1.6358459edfd38p-3, -0x1.520a1d9f4150dp-3, -0x1.40fc365dad7bcp-3, -0x1.302fbce24ce08p-3, -0x1.1fa5cd9443b35p-3, -0x1.0f5f744aedef7p-3, -0x1.febb58cdf54a5p-4, -0x1.df42c1e69f317p-4, -0x1.c056d99afd50fp-4, -0x1.a1f935ab3af5fp-4, -0x1.842b4c4a47131p-4, -0x1.66ee7498de5b9p-4, -0x1.4a43e72d2eb8p-4, -0x1.2e2cbea6060afp-4, -0x1.12a9f848a02f3p-4, -0x1.ef78e9502fd3p-5, -0x1.bac9f0aaade6ap-5, -0x1.8748592d0e88p-5, -0x1.54f54049b6cf6p-5, -0x1.23d18fdf3905ap-5, -0x1.e7bbff8dd00bp-6, -0x1.8a362ed367332p-6, -0x1.2f125eb29791cp-6, -0x1.aca1cbae5dd9ap-7, -0x1.ffc70eb48cc6ep-8, -0x1.5fa51caeb5664p-9, 0x1.2d38ff470a155p-9, 0x1.d389e7fa2cbadp-8, 0x1.837d50ebb0b7dp-7, 0x1.0c3d30a8fd61fp-6, 0x1.545fdc86b4d5p-6, 0x1.9a28b7aa6ad8dp-6, 0x1.dd9a0c88ee02fp-6, 0x1.0f5b30d9bdc4dp-5, 0x1.2ec03b994877fp-5, 0x1.4cfda1fca367dp-5, 0x1.6a14f9b929931p-5, 0x1.8607f1939e2efp-5, 0x1.a0d85041172f3p-5, 0x1.ba87f355549d9p-5, 0x1.d318ce3e840c2p-5, 0x1.ea8ce94e5bbaap-5, 0x1.007330683f26ep-4, 0x1.0b13b216e4936p-4, 0x1.15291a8e348f1p-4, 0x1.1eb4936e1a6dep-4, 0x1.27b74ebf86bb2p-4, 0x1.3032869e5247cp-4, 0x1.38277ce8ac34ep-4, 0x1.3f977af3caad4p-4, 0x1.4683d1457a332p-4, 0x1.4cedd75271a78p-4, 0x1.52d6eb41009b1p-4, 0x1.584071afc892p-4, 0x1.5d2bd5804c73dp-4, 0x1.619a87a4e69dep-4, 0x1.658dfef1f23b9p-4, 0x1.6907b7f1cfebep-4, 0x1.6c0934bb71cc5p-4, 0x1.6e93fccb3d4bdp-4, 0x1.70a99cddd31p-4, 0x1.724ba6cc9df71p-4, 0x1.737bb16bcc521p-4, 0x1.743b58697ab32p-4, 0x1.748c3c2dd58d5p-4, 0x1.747001bbef804p-4, 0x1.73e8529314b81p-4, 0x1.72f6dc907616ep-4, 0x1.719d51d0e1e9cp-4, 0x1.6fdd68927dabbp-4, 0x1.6db8db1638897p-4, 0x1.6b316780e6761p-4, 0x1.6848cfbbd1538p-4, 0x1.6500d954b9ac9p-4, 0x1.615b4d5d0dd38p-4, 0x1.5d59f848627adp-4, 0x1.58fea9c9eeae3p-4, 0x1.544b34b12aa95p-4, 0x1.4f416ec557247p-4, 0x1.49e330a002ba2p-4, 0x1.443255867b1acp-4, 0x1.3e30bb421eca9p-4, 0x1.37e041f7942bcp-4, 0x1.3142cbfceb19fp-4, 0x1.2a5a3dae9c13ep-4, 0x1.23287d437b49cp-4, 0x1.1baf729f9da1ep-4, 0x1.13f10726379cep-4, 0x1.0bef258a89a23p-4, 0x1.03abb99fd38aep-4, 0x1.f6516050e4824p-5, 0x1.e4cfed4858c1ep-5, 0x1.d2d6f63b6c972p-5, 0x1.c06a57ef20522p-5, 0x1.ad8def708c93cp-5, 0x1.9a4599ac3ceb7p-5, 0x1.86953304a61dap-5, 0x1.728096e7d6528p-5, 0x1.5e0b9f6478842p-5, 0x1.493a24be7b636p-5, 0x1.340ffd0355045p-5, 0x1.1e90fb9e213fbp-5, 0x1.08c0f0ebda77p-5, 0x1.e547539f5cfd7p-6, 0x1.b879de8f45656p-6, 0x1.8b210c03ad723p-6, 0x1.5d445be48dfa8p-6, 0x1.2eeb43d318fdp-6, 0x1.001d2e58b5fp-6, 0x1.a1c2f430e7bb6p-7, 0x1.427ef205cbaa3p-7, 0x1.c4f9be3302a5ap-8, 0x1.03964fa10e45p-8, 0x1.03c0d4240e74fp-10, -0x1.05b867ed47935p-9, -0x1.47b2cfc41bf21p-8, -0x1.06bbe3d50f58ap-7, -0x1.6a07c653eb551p-7, -0x1.cdaf6d1779f47p-7, -0x1.18d2ae33f1a15p-6, -0x1.4aee2034ae457p-6, -0x1.7d23772f9c391p-6, -0x1.af6c32f27f2fcp-6, -0x1.e1c1e90e8032dp-6, -0x1.0a0f22b54a032p-5, -0x1.233d85680b70ep-5, -0x1.3c6909b920ba4p-5, -0x1.558ea8b80ab12p-5, -0x1.6eab67a83a441p-5, -0x1.87bc583c6102ep-5, -0x1.a0be98ceee3fdp-5, -0x1.b9af54976d273p-5, -0x1.d28bc3dd562afp-5, -0x1.eb512c27adb14p-5, -0x1.01fe7034edaabp-4, -0x1.0e462096c9297p-4, -0x1.1a7e5e5cde29fp-4, -0x1.26a5e79b50dfdp-4, -0x1.32bb81677f203p-4, -0x1.3ebdf7e72fbaap-4, -0x1.4aac1e5e3c267p-4, -0x1.5684cf3aebc31p-4, -0x1.6246ec20c8e66p-4, -0x1.6df15df221dccp-4, -0x1.798314d82ed0ap-4, -0x1.84fb0849c9407p-4, -0x1.90583710dd78bp-4, -0x1.9b99a74e817d4p-4, -0x1.a6be667dc67dfp-4, -0x1.b1c58975352e6p-4, -0x1.bcae2c6719114p-4, -0x1.c77772e097b9dp-4, -0x1.d22087c76fc5fp-4, -0x1.dca89d56b53cep-4, -0x1.e70eed1a584f1p-4, -0x1.f152b7e979fb2p-4, -0x1.fb7345dfca689p-4, -0x1.02b7f32add376p-3, -0x1.07a3f7ebd9a67p-3, -0x1.0c7d600e24215p-3, -0x1.1143ddfcb488cp-3, -0x1.15f727ac55432p-3, -0x1.1a96f69550c0cp-3, -0x1.1f2307acaa04p-3, -0x1.239b1b5ced5e1p-3, -0x1.27fef57e9419p-3, -0x1.2c4e5d5001384p-3, -0x1.30891d6d1e586p-3, -0x1.34af03c69c329p-3, -0x1.38bfe198d33fep-3, -0x1.3cbb8b6254511p-3, -0x1.40a1d8da21308p-3, -0x1.4472a4e59ee53p-3, -0x1.482dcd8e32a3fp-3, -0x1.4bd333f69cc7bp-3, -0x1.4f62bc5017189p-3, -0x1.52dc4dcf23e8bp-3, -0x1.563fd2a02f738p-3, -0x1.598d37dbf0261p-3, -0x1.5cc46d7b98486p-3, -0x1.5fe5664ccf5bdp-3, -0x1.62f017e582215p-3, -0x1.65e47a97823f9p-3, -0x1.68c289640b84ep-3, -0x1.6b8a41ef13819p-3, -0x1.6e3ba47285c8cp-3, -0x1.70d6b3b1597c3p-3, -0x1.735b74ea929e2p-3, -0x1.75c9efcc257a1p-3, -0x1.78222e65cb1a2p-3, -0x1.7a643d1bbeddap-3, -0x1.7c902a996b58bp-3, -0x1.7ea607c414912p-3, -0x1.80a5e7ad6a7aep-3, -0x1.828fdf861e186p-3, -0x1.8464069072347p-3, -0x1.86227612beeb5p-3, -0x1.87cb494a01836p-3, -0x1.895e9d5c69a3p-3, -0x1.8adc914be767p-3, -0x1.8c4545e8c86dbp-3, -0x1.8d98ddc4531f1p-3, -0x1.8ed77d2377f2fp-3, -0x1.900149f187fdep-3, -0x1.91166bb2fd15cp-3, -0x1.92170b7850095p-3, -0x1.930353d0e859fp-3, -0x1.93db70be121d6p-3, -0x1.949f8fa61ef9fp-3, -0x1.954fdf47847e4p-3, -0x1.95ec8fac29f9bp-3, -0x1.9675d21cc466fp-3, -0x1.96ebd9144cba4p-3, -0x1.974ed8339f876p-3, -0x1.979f043528f79p-3, -0x1.97dc92e0c3c44p-3, -0x1.9807baffa5638p-3, -0x1.9820b45080bdap-3, -0x1.9827b77bb532fp-3, -0x1.981cfe07b9725p-3, -0x1.9800c24d90dd7p-3, -0x1.97d33f6d80428p-3, -0x1.9794b143d6d04p-3, -0x1.9745545de76bep-3, -0x1.96e565ef24545p-3, -0x1.967523c66a456p-3, -0x1.95f4cc436d07dp-3, -0x1.95649e4c5624ap-3, -0x1.94c4d9438889cp-3, -0x1.9415bcfd902a2p-3, -0x1.935789b73e799p-3, -0x1.928a800bf3c4ep-3, -0x1.91aee0ec0e5dp-3, -0x1.90c4ed93912c3p-3, -0x1.8fcce780f0fefp-3, -0x1.8ec7106c041bcp-3, -0x1.8db3aa3d3d7f5p-3, -0x1.8c92f704f1c66p-3, -0x1.8b6538f2e357p-3, -0x1.8a2ab24df0d7dp-3, -0x1.88e3a56bf5ca8p-3, -0x1.879054a9d47dep-3, -0x1.86310263b92c6p-3, -0x1.84c5f0ed7be44p-3, -0x1.834f628b3c7d6p-3, -0x1.81cd996a2461ap-3, -0x1.8040d79960a16p-3, -0x1.7ea95f03382d1p-3, -0x1.7d0771666407dp-3, -0x1.7b5b504f88053p-3, -0x1.79a53d12d944cp-3, -0x1.77e578c5f6d0dp-3, -0x1.761c4439ee38p-3, -0x1.7449dff565183p-3, -0x1.726e8c2efbd6fp-3, -0x1.708a88c7cf226p-3, -0x1.6e9e15462c76cp-3, -0x1.6ca970d07542fp-3, -0x1.6aacda281e323p-3, -0x1.68a88fa4eeac3p-3, -0x1.669ccf3053af4p-3, -0x1.6489d640ed993p-3, -0x1.626fe1d63e7c5p-3, -0x1.604f2e7485505p-3, -0x1.5e27f820bb713p-3, -0x1.5bfa7a5cc5229p-3, -0x1.59c6f023bd57dp-3, -0x1.578d93e66e582p-3, -0x1.554e9f87f2d91p-3, -0x1.530a4c5a7b293p-3, -0x1.50c0d31c33c7ep-3, -0x1.4e726bf45635ap-3, -0x1.4c1f4e705eb5bp-3, -0x1.49c7b1815e35fp-3, -0x1.476bcb797f3afp-3, -0x1.450bd2099478bp-3, -0x1.42a7fa3ee5dfap-3, -0x1.404078810adb4p-3, -0x1.3dd5808fefaa5p-3, -0x1.3b674581f51a6p-3, -0x1.38f5f9c236f7fp-3, -0x1.3681cf0eedc22p-3, -0x1.340af677ed665p-3, -0x1.3191a05d4648ep-3, -0x1.2f15fc6e00b24p-3, -0x1.2c9839a6fa893p-3, -0x1.2a188651d9488p-3, -0x1.279710041f246p-3, -0x1.2514039e570d8p-3, -0x1.228f8d4b5cdadp-3, -0x1.2009d87fc1988p-3, -0x1.1d830ff944125p-3, -0x1.1afb5dbe69e96p-3, -0x1.1872eb1e279e8p-3, -0x1.15e9e0afaae9fp-3, -0x1.136066522ec06p-3, -0x1.10d6a32cf7ce6p-3, -0x1.0e4cbdaf571bdp-3, -0x1.0bc2db90c7f41p-3, -0x1.093921d1258dep-3, -0x1.06afb4b8f088cp-3, -0x1.0426b7d9aa676p-3, -0x1.019e4e0e46271p-3, -0x1.fe2d32f746c95p-4, -0x1.f91f77225095fp-4, -0x1.f413aa12c6d88p-4, -0x1.ef0a0bd57ca2bp-4, -0x1.ea02db1091551p-4, -0x1.e4fe550518977p-4, -0x1.dffcb590e03ap-4, -0x1.dafe3730604edp-4, -0x1.d6031300c221cp-4, -0x1.d10b80c1f8c88p-4, -0x1.cc17b6d903eb2p-4, -0x1.c727ea5245e6p-4, -0x1.c23c4ee3ef091p-4, -0x1.bd5516f08a42ep-4, -0x1.b872738997df8p-4, -0x1.b39494723f251p-4, -0x1.aebba82218928p-4, -0x1.a9e7dbc810be5p-4, -0x1.a5195b4d4eba9p-4, -0x1.a05051583f6a8p-4, -0x1.9b8ce74fa61efp-4, -0x1.96cf455dc16dfp-4, -0x1.9217927381cf5p-4, -0x1.8d65f44bcc892p-4, -0x1.88ba8f6ecd63ep-4, -0x1.8415873555ea1p-4, -0x1.7f76fdcc4d8b3p-4, -0x1.7adf143824354p-4, -0x1.764dea585aec2p-4, -0x1.71c39eeb0bd96p-4, -0x1.6d404f90866a5p-4, -0x1.68c418ceefd42p-4, -0x1.644f1615e6954p-4, -0x1.5fe161c2386ffp-4, -0x1.5b7b1521980aap-4, -0x1.571c48765a209p-4, -0x1.52c512fb3772cp-4, -0x1.4e758ae715c25p-4, -0x1.4a2dc570d779fp-4, -0x1.45edd6d328b42p-4, -0x1.41b5d25056a25p-4, -0x1.3d85ca362017cp-4, -0x1.395dcfe195355p-4, -0x1.353df3c2ef852p-4, -0x1.312645616b7dep-4, -0x1.2d16d35f27a7cp-4, -0x1.290fab7cff888p-4, -0x1.2510da9e6af52p-4, -0x1.211a6ccd51404p-4, -0x1.1d2c6d3dec3dcp-4, -0x1.1946e6529ef5fp-4, -0x1.1569e19fc68a2p-4, -0x1.119567ef9412cp-4, -0x1.0dc98145da595p-4, -0x1.0a0634e3dbecdp-4, -0x1.064b894c1827dp-4, -0x1.029984460aaaep-4, -0x1.fde055c3e79f2p-5, -0x1.f69f02f920704p-5, -0x1.ef6f1785a6ba1p-5, -0x1.e850996b3512fp-5, -0x1.e1438d5ab251fp-5, -0x1.da47f6bb7783ap-5, -0x1.d35dd7b29c8e3p-5, -0x1.cc85312a2ce94p-5, -0x1.c5be02d842a6p-5, -0x1.bf084b46298eep-5, -0x1.b86407d767e41p-5, -0x1.b1d134d0b8ab3p-5, -0x1.ab4fcd5efd32fp-5, -0x1.a4dfcb9e1324ep-5, -0x1.9e81289f9c2b1p-5, -0x1.9833dc71d18b4p-5, -0x1.91f7de26159d3p-5, -0x1.8bcd23d79cd35p-5, -0x1.85b3a2b1f33a8p-5, -0x1.7fab4ef77061ep-5, -0x1.79b41c07a439ap-5, -0x1.73cdfc65a1766p-5, -0x1.6df8e1be479a9p-5, -0x1.6834bcee653dfp-5, -0x1.62817e08d8925p-5, -0x1.5cdf145ca0135p-5, -0x1.574d6e7abfef5p-5, -0x1.51cc7a3c22dd4p-5, -0x1.4c5c24c779e45p-5, -0x1.46fc5a96df9f7p-5, -0x1.41ad077d91aadp-5, -0x1.3c6e16ad6a091p-5, -0x1.373f72bc7aa89p-5, -0x1.322105aa57fcdp-5, -0x1.2d12b8e58721p-5, -0x1.28147550af1bap-5, -0x1.23262347d01e3p-5, -0x1.1e47aaa54a901p-5, -0x1.1978f2c6f53b5p-5, -0x1.14b9e293066fap-5, -0x1.100a607ce6a14p-5, -0x1.0b6a528a0145p-5, -0x1.06d99e5672234p-5, -0x1.02582919a5a68p-5, -0x1.fbcbaf55a923ep-6, -0x1.f3051d0b175dep-6, -0x1.ea5c639c1607ep-6, -0x1.e1d14aaafa92ap-6, -0x1.d963993c8b11ep-6, -0x1.d11315c036f69p-6, -0x1.c8df86183b61bp-6, -0x1.c0c8afa196348p-6, -0x1.b8ce573bdc472p-6, -0x1.b0f04150d807bp-6, -0x1.a92e31dc313f2p-6, -0x1.a187ec72935bep-6, -0x1.99fd344909376p-6, -0x1.928dcc3c0ef83p-6, -0x1.8b3976d64a963p-6, -0x1.83fff6579a383p-6, -0x1.7ce10cbb740dap-6, -0x1.75dc7bbf7dc03p-6, -0x1.6ef204e9e1bf5p-6, -0x1.6821698f6536fp-6, -0x1.616a6ad990523p-6, -0x1.5accc9cc86456p-6, -0x1.5448474ccff99p-6, -0x1.4ddca424f8461p-6, -0x1.4789a10b130e7p-6, -0x1.414efea60aabcp-6, -0x1.3b2c7d92de8ffp-6, -0x1.3521de69cf9c1p-6, -0x1.2f2ee1c3369e4p-6, -0x1.2953483c6779ap-6, -0x1.238ed27c71d2fp-6, -0x1.1de141389e302p-6, -0x1.184a55390fae8p-6, -0x1.12c9cf5cc8199p-6, -0x1.0d5f709e4f426p-6, -0x1.080afa1768461p-6, -0x1.02cc2d05381fp-6, -0x1.fb45959859c31p-7, -0x1.f11d29f73bcb6p-7, -0x1.e71e9aa3102ddp-7, -0x1.dd496b7c0c03ap-7, -0x1.d39d20cd8751ep-7, -0x1.ca193f548ed9fp-7, -0x1.c0bd4c464777cp-7, -0x1.b788cd56203e7p-7, -0x1.ae7b48bbf6823p-7, -0x1.a594453979125p-7, -0x1.9cd34a203b5f4p-7, -0x1.9437df56c5ac3p-7, -0x1.8bc18d5ded06cp-7, -0x1.836fdd55a85c2p-7, -0x1.7b425902264b7p-7, -0x1.73388ad034746p-7, -0x1.6b51fdd9c5bc6p-7, -0x1.638e3dea48b9ap-7, -0x1.5becd782b9284p-7, -0x1.546d57dd85be9p-7, -0x1.4d0f4cf26685dp-7, -0x1.45d24579eecd7p-7, -0x1.3eb5d0f0ea0f3p-7, -0x1.37b97f9be864ep-7, -0x1.30dce289e9f47p-7, -0x1.2a1f8b97f53f7p-7, -0x1.23810d733facap-7, -0x1.1d00fb9c87531p-7, -0x1.169eea6a08b51p-7, -0x1.105a6f0a59bd9p-7, -0x1.0a331f8661973p-7, -0x1.042892c3a464dp-7, -0x1.fc74c10c4c3fep-8, -0x1.f0d042e4e26e7p-8, -0x1.e562de1e3d04ap-8, -0x1.da2bc78d7bcc4p-8, -0x1.cf2a35d21b48cp-8, -0x1.c45d615944cccp-8, -0x1.b9c4845fe4ff8p-8, -0x1.af5edaf564836p-8, -0x1.a52ba2fd5da78p-8, -0x1.9b2a1c3217b19p-8, -0x1.915988256e856p-8, -0x1.87b92a432fd0cp-8, -0x1.7e4847d1a2ff2p-8, -0x1.750627f32b373p-8, -0x1.6bf213a705eap-8, -0x1.630b55c9f7ee2p-8, -0x1.5a513b16dc352p-8, -0x1.51c3122739d21p-8, -0x1.49602b73374efp-8, -0x1.4127d951db22p-8, -0x1.39196ff8dfc4ap-8, -0x1.3134457c75c6bp-8, -0x1.2977b1ceda41p-8, -0x1.21e30ebff2e8cp-8, -0x1.1a75b7fc52fc7p-8, -0x1.132f0b0c8c77ap-8, -0x1.0c0e675462514p-8, -0x1.05132e117d77ap-8, -0x1.fc7984b484e76p-9, -0x1.ef1512394f376p-9, -0x1.e1f7d238df3d7p-9, -0x1.d52095e40750ep-9, -0x1.c88e3210e3fp-9, -0x1.bc3f7f379df69p-9, -0x1.b033596ebd5cfp-9, -0x1.a468a06762a27p-9, -0x1.98de37684a082p-9, -0x1.8d93054a8dc6dp-9, -0x1.8285f474a9da2p-9, -0x1.77b5f2d5a7339p-9, -0x1.6d21f1e0e99e4p-9, -0x1.62c8e68887d72p-9, -0x1.58a9c938c22f3p-9, -0x1.4ec395d2396c4p-9, -0x1.45154ba5253e7p-9, -0x1.3b9ded6b1458ap-9, -0x1.325c8141df581p-9, -0x1.295010a5b56c5p-9, -0x1.2077a86aef043p-9, -0x1.17d258b8bed72p-9, -0x1.0f5f350272344p-9, -0x1.071d54016845ep-9, -0x1.fe179f5dc4fb3p-10, -0x1.ee538a7b7636p-10, -0x1.deecaa2758773p-10, -0x1.cfe145861c85fp-10, -0x1.c12faa084496dp-10, -0x1.b2d62b5bf9c5ep-10, -0x1.a4d3236117e42p-10, -0x1.9724f21a4a4c5p-10, -0x1.89c9fd9fad25dp-10, -0x1.7cc0b2113d1efp-10, -0x1.700781892f80fp-10, -0x1.639ce40ced3dbp-10, -0x1.577f577f68c3ep-10, -0x1.4bad5f9374f32p-10, -0x1.402585bc9440dp-10, -0x1.34e65921c5e41p-10, -0x1.29ee6e8e35744p-10, -0x1.1f3c60633b2b4p-10, -0x1.14cece8a1659fp-10, -0x1.0aa45e6526625p-10, -0x1.00bbbac13c765p-10, -0x1.ee27278fa0dep-11, -0x1.db553dde6e896p-11, -0x1.c8ff2ddbd7b6ep-11, -0x1.b72277542646ep-11, -0x1.a5bca45840947p-11, -0x1.94cb491f0108bp-11, -0x1.844c03e97e3bfp-11, -0x1.743c7ce57f29fp-11, -0x1.649a661095ceap-11, -0x1.55637b1aad062p-11, -0x1.46958148a7fd3p-11, -0x1.382e47590fe06p-11, -0x1.2a2ba5664e6afp-11, -0x1.1c8b7cc9cafdfp-11, -0x1.0f4bb7ff5e68bp-11, -0x1.026a4a8a6bc78p-11, -0x1.ebca61ad1481ap-12, -0x1.d374e03a84fep-12, -0x1.bbd02c93c0bf6p-12, -0x1.a4d873b85003dp-12, -0x1.8e89f39aa899p-12, -0x1.78e0fae984464p-12, -0x1.63d9e8d55c79ep-12, -0x1.4f712cdc2bf21p-12, -0x1.3ba346910cb38p-12, -0x1.286cc567aae27p-12, -0x1.15ca487b19dcap-12, -0x1.03b87e5bf5dfp-12, -0x1.e46849aea3c9fp-13, -0x1.c274118a00f82p-13, -0x1.a18e0b9fab525p-13, -0x1.81b00c860dcc1p-13, -0x1.62d405ac35748p-13, -0x1.44f404eee2c83p-13, -0x1.280a3438bbfd5p-13, -0x1.0c10d917962ddp-13, -0x1.e204a8b0e126bp-14, -0x1.adb2434ad0554p-14, -0x1.7b1fae3f1425fp-14, -0x1.4a4249fd285cfp-14, -0x1.1b0faa5a2e327p-14, -0x1.dafb2bafd4fa3p-15, -0x1.830409b77408bp-15, -0x1.2e2641ecb393ep-15, -0x1.b89d108c74af4p-16, -0x1.1ad3e043ebe82p-16, -0x1.0597ab4b6e607p-17, 0x1.f3ee75b49466dp-21, 0x1.392353c15d4ep-17, 0x1.242dc7aa9bf8ap-16, 0x1.a6961733c1dfap-16, 0x1.11f61a5cbf23ep-15, 0x1.4e2888b1dbadp-15, 0x1.87f27aecec469p-15, 0x1.bf63c282a6007p-15, 0x1.f48bdf5178969p-15, 0x1.13bd007d49b31p-14, 0x1.2c1e840b1431p-14, 0x1.4371c3cc09958p-14, 0x1.59bde2fcd9aa3p-14, 0x1.6f09df450232fp-14, 0x1.835c914da130bp-14, 0x1.96bcad6797f96p-14, 0x1.a930c418fd0f9p-14, 0x1.babf42beea14fp-14, 0x1.cb6e741f733cfp-14, 0x1.db448103fdbcep-14, 0x1.ea4770c68668p-14, 0x1.f87d29e40c3e2p-14, 0x1.02f5b9489683bp-13, 0x1.094bf8a0217c8p-13, 0x1.0f441698bf4bbp-13, 0x1.14e0c77f11e6cp-13, 0x1.1a24b08dca2b6p-13, 0x1.1f12683587c77p-13, 0x1.23ac7659b078cp-13, 0x1.27f55498a105dp-13, 0x1.2bef6e85b3038p-13, 0x1.2f9d21ed9b9f2p-13, 0x1.3300bf12d1609p-13, 0x1.361c88ee1f142p-13, 0x1.38f2b569fb55p-13, 0x1.3b856da01225p-13, 0x1.3dd6ce1531fc6p-13, 0x1.3fe8e6f372e2cp-13, 0x1.41bdbc4388f73p-13, 0x1.435746287b744p-13, 0x1.44b77113f2cadp-13, 0x1.45e01e01688acp-13, 0x1.46d322ac1dbabp-13, 0x1.479249c506602p-13, 0x1.481f53267cad4p-13, 0x1.487bf40a757eep-13, 0x1.48a9d73ee4fbp-13, 0x1.48aa9d5675088p-13, 0x1.487fdcd9245bcp-13, 0x1.482b227bfaa92p-13, 0x1.47adf14bd9816p-13, 0x1.4709c2df65ee8p-13, 0x1.46400786ba9cbp-13, 0x1.45522679aa848p-13, 0x1.44417e04271a4p-13, 0x1.430f63b49c30dp-13, 0x1.41bd24879bb5ep-13, 0x1.404c05149c268p-13, 0x1.3ebd41b74b83ep-13, 0x1.3d120ebb5614dp-13, 0x1.3b4b98848c83ep-13, 0x1.396b03ba43f1dp-13, 0x1.37716d6bced33p-13, 0x1.355feb3aff6f5p-13, 0x1.33378b81f7ea2p-13, 0x1.30f9557acb12fp-13, 0x1.2ea64963660a9p-13, 0x1.2c3f60a39bbf2p-13, 0x1.29c58df16256cp-13, 0x1.2739bd7534a0cp-13, 0x1.249cd4ed517f9p-13, 0x1.21efb3cde3967p-13, 0x1.1f333366ca1e5p-13, 0x1.1c6827029589ep-13, 0x1.198f5c08b7d0ep-13, 0x1.16a99a1d21688p-13, 0x1.13b7a33ffa272p-13, 0x1.10ba33eea2ebdp-13, 0x1.0db2033f4fc3fp-13, 0x1.0a9fc3019ac8ep-13, 0x1.07841fda5c6c2p-13, 0x1.045fc162a1cdp-13, 0x1.01334a431ba29p-13, 0x1.fbfeb0a0a301bp-14, 0x1.f589094da139ap-14, 0x1.ef06c78993e21p-14, 0x1.e8790b4e4f2e9p-14, 0x1.e1e0ebc0b1189p-14, 0x1.db3f7768592c5p-14, 0x1.d495b46161827p-14, 0x1.cde4a08d488e8p-14, 0x1.c72d31c32fcb8p-14, 0x1.c07055ff8a49bp-14, 0x1.b9aef39350bdfp-14, 0x1.b2e9e9512958bp-14, 0x1.ac220ebac20d5p-14, 0x1.a558342ce697ap-14, 0x1.9e8d230904cc9p-14, 0x1.97c19de1ba0eap-14, 0x1.90f660a5ae6f5p-14, 0x1.8a2c20c3bc4dp-14, 0x1.83638d575148fp-14, 0x1.7c9d4f4e67354p-14, 0x1.75da098f7cd4dp-14, 0x1.6f1a591f03e53p-14, 0x1.685ed54533dbfp-14, 0x1.61a80fb16be66p-14, 0x1.5af6949f94e1dp-14, 0x1.544aeaf7e3418p-14, 0x1.4da59475350bfp-14, 0x1.47070dc1b38e1p-14, 0x1.406fce9c4022p-14, 0x1.39e049f5e596cp-14, 0x1.3358ee1023914p-14, 0x1.2cda249e978ep-14, 0x1.266452e374108p-14, 0x1.1ff7d9ce0b6d5p-14, 0x1.19951617220b4p-14, 0x1.133c605e784adp-14, 0x1.0cee0d43a3c4ep-14, 0x1.06aa6d8541f99p-14, 0x1.0071ce18eec1dp-14, 0x1.f488f08a497cep-15, 0x1.e8456378eef4p-15, 0x1.dc197969836c6p-15, 0x1.d005b0038774bp-15, 0x1.c40a7e5480bbap-15, 0x1.b8285504fcaaep-15, 0x1.ac5f9e812c274p-15, 0x1.a0b0bf28b22fcp-15, 0x1.951c15793a8a1p-15, 0x1.89a1fa38d611ap-15, 0x1.7e42c0a121253p-15, 0x1.72feb68847e28p-15, 0x1.67d62487bc975p-15, 0x1.5cc94e2566dc9p-15, 0x1.51d871f8ef381p-15, 0x1.4703c9cfc2855p-15, 0x1.3c4b8ad58eb8dp-15, 0x1.31afe5b5795p-15, 0x1.273106bb55c0bp-15, 0x1.1ccf15f7f48aap-15, 0x1.128a3763a465fp-15, 0x1.08628afcf3a26p-15, 0x1.fcb059d21efeep-16, 0x1.e8d66b278d206p-16, 0x1.d537739a34c32p-16, 0x1.c1d395cc6a3f8p-16, 0x1.aeaaeda2ec20dp-16, 0x1.9bbd9074d3feep-16, 0x1.890b8d496efc8p-16, 0x1.7694ed09a49b9p-16, 0x1.6459b2ba239a4p-16, 0x1.5259dbaa77be1p-16, 0x1.40955fa7919bbp-16, 0x1.2f0c31305c638p-16, 0x1.1dbe3da220a4ap-16, 0x1.0cab6d66a0c6ap-16, 0x1.f7a748467bed5p-17, 0x1.d66d81c682bbep-17, 0x1.b5a93c8b32fadp-17, 0x1.955a254d8e50ep-17, 0x1.757fe09062cfdp-17, 0x1.561a0af269097p-17, 0x1.3728397d42979p-17, 0x1.18a9f9f006907p-17, 0x1.f53da61329d1bp-18, 0x1.ba0c89a756317p-18, 0x1.7fbf91c6a554ep-18, 0x1.4655a53d435b2p-18, 0x1.0dcd9f0942364p-18, 0x1.ac4c9dab87888p-19, 0x1.3ebcf2f1dc483p-19, 0x1.a5d365b9d2beap-20, 0x1.a340fa89627a8p-21, 0x1.b7927621dab1p-29, -0x1.99007b0b97922p-21, -0x1.96794063a5917p-20, -0x1.2e8a84a209c46p-19, -0x1.902cc07f60626p-19, -0x1.f02656db90068p-19, -0x1.273d2c5150246p-18, -0x1.5595f1f3d5349p-18, -0x1.831f1193dc301p-18, -0x1.afda2644b8199p-18, -0x1.dbc8d09b41943p-18, -0x1.03765b2b23bfdp-17, -0x1.18a3c1083e1b2p-17, -0x1.2d6d71785aa9ep-17, -0x1.41d44628c383ep-17, -0x1.55d91abf76c6bp-17, -0x1.697cccb4c71d9p-17, -0x1.7cc03b2f1319bp-17, -0x1.8fa446dfae109p-17, -0x1.a229d1e1e2865p-17, -0x1.b451bf9b251d4p-17, -0x1.c61cf49a97b24p-17, -0x1.d78c567bf2ee4p-17, -0x1.e8a0cbc92a248p-17, -0x1.f95b3bdc17d68p-17, -0x1.04de47625591cp-16, -0x1.0ce2d6972a0d6p-16, -0x1.14bbc0223b5e7p-16, -0x1.1c6978cca4d6dp-16, -0x1.23ec75873863bp-16, -0x1.2b452b5efc1dfp-16, -0x1.32740f70ba107p-16, }}, 
      {{-0x1.c65688cd9d4ap-1, -0x1.c640beccaf4ecp-1, -0x1.c61c7fa27d904p-1, -0x1.c5e9e5d23723ap-1, -0x1.c5a912d10862dp-1, -0x1.c55a2865c2ee7p-1, -0x1.c4fd4196e4209p-1, -0x1.c4926d21cb9c7p-1, -0x1.c419aa4b405ap-1, -0x1.c392e7e2f80e9p-1, -0x1.c2fe04d160e99p-1, -0x1.c25ad16bb0837p-1, -0x1.c1a910f042276p-1, -0x1.c0e87ace74e7cp-1, -0x1.c018bb9ccab0fp-1, -0x1.bf3975ce206bap-1, -0x1.be4a424ed2426p-1, -0x1.bd4ab1370f225p-1, -0x1.bc3a4ab69b581p-1, -0x1.bb18904e99572p-1, -0x1.b9e4fe5cf9c34p-1, -0x1.b89f0deec1f09p-1, -0x1.b74636c441883p-1, -0x1.b5d9f16d04bc3p-1, -0x1.b459b9606217p-1, -0x1.b2c50ef9e0c61p-1, -0x1.b11b794555853p-1, -0x1.af5c878c3deb5p-1, -0x1.ad87d29bd3c6ep-1, -0x1.ab9cfdc0cf30ap-1, -0x1.a99bb77a713a5p-1, -0x1.a783b9ea04cadp-1, -0x1.a554cb068406ap-1, -0x1.a30ebc9d79b63p-1, -0x1.a0b16c2aca1b4p-1, -0x1.9e3cc290d88ccp-1, -0x1.9bb0b3b9d3039p-1, -0x1.990d3e29d8c63p-1, -0x1.96526a886f021p-1, -0x1.93804b266424p-1, -0x1.9096fb8403744p-1, -0x1.8d969fda3abdfp-1, -0x1.8a7f64a866134p-1, -0x1.87517e4789ca8p-1, -0x1.840d288329527p-1, -0x1.80b2a6376ad34p-1, -0x1.7d4240f3e4e0bp-1, -0x1.79bc48a24d794p-1, -0x1.762113302b1e5p-1, -0x1.7270fc3ab9175p-1, -0x1.6eac64bc3f583p-1, -0x1.6ad3b2ba48f1dp-1, -0x1.66e750f449575p-1, -0x1.62e7ae926ac29p-1, -0x1.5ed53ed46c6dap-1, -0x1.5ab078c0973bp-1, -0x1.5679d6d2f3e4ep-1, -0x1.5231d6ad04e5cp-1, -0x1.4dd8f8c659a43p-1, -0x1.496fc01e58578p-1, -0x1.44f6b1efa9141p-1, -0x1.406e5565a7cfep-1, -0x1.3bd733543ad45p-1, -0x1.3731d5f26d0ep-1, -0x1.327ec89815ac7p-1, -0x1.2dbe977ecd483p-1, -0x1.28f1cf86643c1p-1, -0x1.2418fdfcfbd7cp-1, -0x1.1f34b06ad2b0ap-1, -0x1.1a457461cbfb9p-1, -0x1.154bd750a680fp-1, -0x1.10486659d040fp-1, -0x1.0b3bae2db47a1p-1, -0x1.06263ae85e076p-1, -0x1.010897f23c9bdp-1, -0x1.f7c69fc7b1783p-2, -0x1.ed6dd8d87cca9p-2, -0x1.e307ec73c1272p-2, -0x1.d895e9cb7b9f6p-2, -0x1.ce18ddc10b88dp-2, -0x1.c391d2c313f76p-2, -0x1.b901d0ae819fbp-2, -0x1.ae69dcb2479d2p-2, -0x1.a3caf9357c06ep-2, -0x1.992625bf72b23p-2, -0x1.8e7c5ee188b86p-2, -0x1.83ce9e225de86p-2, -0x1.791dd9ea37f74p-2, -0x1.6e6b057061b2ep-2, -0x1.63b710a954f4dp-2, -0x1.5902e83591dd5p-2, -0x1.4e4f755102cb7p-2, -0x1.439d9dc2dccbdp-2, -0x1.38ee43cdeedc8p-2, -0x1.2e42462156c8bp-2, -0x1.239a7fc999da9p-2, -0x1.18f7c82225587p-2, -0x1.0e5af2c73c84cp-2, -0x1.03c4cf8856c45p-2, -0x1.f26c54b60c37bp-3, -0x1.dd5f969cc5dfep-3, -0x1.c864ecfe317a4p-3, -0x1.b37dd81838461p-3, -0x1.9eabd01830ab2p-3, -0x1.89f045074cdap-3, -0x1.754c9eb8b78cap-3, -0x1.60c23cb97242bp-3, -0x1.4c52764216656p-3, -0x1.37fe9a2a8d8ddp-3, -0x1.23c7eedfce20dp-3, -0x1.0fafb25baeb78p-3, -0x1.f76e343dbcd1p-4, -0x1.cfbea65a10336p-4, -0x1.a853041648be3p-4, -0x1.812d858002957p-4, -0x1.5a5051ade67e2p-4, -0x1.33bd7ec96d304p-4, -0x1.0d77121ce019dp-4, -0x1.cefe004b1fa6cp-5, -0x1.83ae595414319p-5, -0x1.3902d5a8afc75p-5, -0x1.ddfdf53fd360bp-6, -0x1.4b4c59adceccdp-6, -0x1.73eec1ec69d46p-7, -0x1.502a99af4c632p-9, 0x1.920f1c19f7b13p-8, 0x1.e33c48133543cp-7, 0x1.7d4438316cc97p-6, 0x1.03b85a90f7525p-5, 0x1.480f44774a29dp-5, 0x1.8ba46e9dee4d2p-5, 0x1.ce758b2cdba22p-5, 0x1.08403495e6442p-4, 0x1.28e17a04c9829p-4, 0x1.491d99908a52cp-4, 0x1.68f3a49e2e4c4p-4, 0x1.8862ba0b12ec2p-4, 0x1.a76a05ed2185cp-4, 0x1.c608c15298c5bp-4, 0x1.e43e32019e9c5p-4, 0x1.0104d51bdbe2ep-3, 0x1.0fb54434b183fp-3, 0x1.1e301b80e8bb7p-3, 0x1.2c7516119155dp-3, 0x1.3a83f4b372ca9p-3, 0x1.485c7dcfae489p-3, 0x1.55fe7d4ca8e25p-3, 0x1.6369c46f610bp-3, 0x1.709e29bd27784p-3, 0x1.7d9b88dddbf55p-3, 0x1.8a61c27e9bae1p-3, 0x1.96f0bc34f7d15p-3, 0x1.a3486062bb933p-3, 0x1.af689e1a39a56p-3, 0x1.bb5169032f37bp-3, 0x1.c702b9403e44p-3, 0x1.d27c8b54f81b7p-3, 0x1.ddbee00c8647ep-3, 0x1.e8c9bc60e4907p-3, 0x1.f39d2962ba336p-3, 0x1.fe393421bb76ep-3, 0x1.044ef6cad6897p-2, 0x1.0965b543f5c62p-2, 0x1.0e60e1bec72p-2, 0x1.13408a5101084p-2, 0x1.1804bed920c2p-2, 0x1.1cad90f43c1a3p-2, 0x1.213b13f41b404p-2, 0x1.25ad5cd589981p-2, 0x1.2a048236e2cd1p-2, 0x1.2e409c4ed74fdp-2, 0x1.3261c4e364b8ap-2, 0x1.3668174101a02p-2, 0x1.3a53b031f885fp-2, 0x1.3e24adf5f0e61p-2, 0x1.41db30399f01fp-2, 0x1.4577580ea0857p-2, 0x1.48f947e37a288p-2, 0x1.4c61237bbab2dp-2, 0x1.4faf0fe83a957p-2, 0x1.52e3337f7e43dp-2, 0x1.55fdb5d62e899p-2, 0x1.58febfb7af395p-2, 0x1.5be67b1ec8544p-2, 0x1.5eb5132e67625p-2, 0x1.616ab42a71f0dp-2, 0x1.64078b70aa1a1p-2, 0x1.668bc771a2e19p-2, 0x1.68f797a9c0708p-2, 0x1.6b4b2c9a4a5a4p-2, 0x1.6d86b7c27ec23p-2, 0x1.6faa6b98ba2d1p-2, 0x1.71b67b83a0a47p-2, 0x1.73ab1bd351d86p-2, 0x1.758881baa2184p-2, 0x1.774ee3485902bp-2, 0x1.78fe776078912p-2, 0x1.7a9775b582609p-2, 0x1.7c1a16c1c788ep-2, 0x1.7d8693c0b792ep-2, 0x1.7edd26a833d42p-2, 0x1.801e0a21e64f7p-2, 0x1.814979849b392p-2, 0x1.825fb0cd9bcdp-2, 0x1.8360ec9a0edbdp-2, 0x1.844d6a205877bp-2, 0x1.852567297f584p-2, 0x1.85e9220a9552cp-2, 0x1.8698d99e20431p-2, 0x1.8734cd3d8ca12p-2, 0x1.87bd3cba9d03p-2, 0x1.88326858e50d6p-2, 0x1.889490c74464fp-2, 0x1.88e3f7196a6b1p-2, 0x1.8920dcc15f41ap-2, 0x1.894b83891367bp-2, 0x1.89642d8bf57e8p-2, 0x1.896b1d30929ccp-2, 0x1.896095223efccp-2, 0x1.8944d84ac5b44p-2, 0x1.891829cc24bcep-2, 0x1.88daccfa50e6ep-2, 0x1.888d05550cb59p-2, 0x1.882f1681becacp-2, 0x1.87c1444563979p-2, 0x1.8743d27e80ce6p-2, 0x1.86b7051f2d115p-2, 0x1.861b20272704p-2, 0x1.8570679df91fcp-2, 0x1.84b71f8d2fff7p-2, 0x1.83ef8bfaa0812p-2, 0x1.8319f0e2c1b25p-2, 0x1.8236923316914p-2, 0x1.8145b3c4ac097p-2, 0x1.80479956ab9bap-2, 0x1.7f3c8688ff9ep-2, 0x1.7e24bed70ecb1p-2, 0x1.7d0085928d5d8p-2, 0x1.7bd01dde5fc41p-2, 0x1.7a93caa9990a4p-2, 0x1.794bceaa8e5d3p-2, 0x1.77f86c59ff3ccp-2, 0x1.7699e5ee59615p-2, 0x1.75307d57114d9p-2, 0x1.73bc743817061p-2, 0x1.723e0be55f744p-2, 0x1.70b5855e8ad0cp-2, 0x1.6f23214aa1ec1p-2, 0x1.6d871ff3eebc2p-2, 0x1.6be1c143edfb3p-2, 0x1.6a3344bf5b2a7p-2, 0x1.687be982592a9p-2, 0x1.66bbee3cb0617p-2, 0x1.64f3912e2d6bep-2, 0x1.63231023171dap-2, 0x1.614aa870c118dp-2, 0x1.5f6a96f237e7p-2, 0x1.5d8318050856ep-2, 0x1.5b9467862532dp-2, 0x1.599ec0cee4b73p-2, 0x1.57a25eb2171a4p-2, 0x1.559f7b793fd2ep-2, 0x1.539650e1e1c86p-2, 0x1.5187181aec0e3p-2, 0x1.4f7209c23c2c5p-2, 0x1.4d575de240f39p-2, 0x1.4b374befb5821p-2, 0x1.49120ac772457p-2, 0x1.46e7d0ac612c5p-2, 0x1.44b8d34583df9p-2, 0x1.4285479c17735p-2, 0x1.404d6219d20b2p-2, 0x1.3e115687383d7p-2, 0x1.3bd1580a0c6a1p-2, 0x1.398d9923d803dp-2, 0x1.37464bb08a664p-2, 0x1.34fba0e53361ap-2, 0x1.32adc94ed433fp-2, 0x1.305cf4d147617p-2, 0x1.2e0952a6427f6p-2, 0x1.2bb3115c6bc99p-2, 0x1.295a5ed6893a7p-2, 0x1.26ff684ac44e1p-2, 0x1.24a25a4203c37p-2, 0x1.224360975cacap-2, 0x1.1fe2a6779749cp-2, 0x1.1d805660c9705p-2, 0x1.1b1c9a2202fb9p-2, 0x1.18b79adb142edp-2, 0x1.165180fc614a1p-2, 0x1.13ea7446cd6dbp-2, 0x1.11829bcbb8675p-2, 0x1.0f1a1ded0b02bp-2, 0x1.0cb1205d5bfacp-2, 0x1.0a47c820205afp-2, 0x1.07de3989f39fbp-2, 0x1.05749840e7519p-2, 0x1.030b073cef35dp-2, 0x1.00a1a8c85337ep-2, 0x1.fc713d006cdbcp-3, 0x1.f7a012aa58624p-3, 0x1.f2d01317b6916p-3, 0x1.ee017d7b62b46p-3, 0x1.e9348fb342b2dp-3, 0x1.e4698649e55bep-3, 0x1.dfa09c783b15ep-3, 0x1.dada0c275d816p-3, 0x1.d6160df282364p-3, 0x1.d154d928f48a5p-3, 0x1.cc96a3d02fe3p-3, 0x1.c7dba2a60b9fcp-3, 0x1.c324092304eb7p-3, 0x1.be70097c9079p-3, 0x1.b9bfd4a78dacdp-3, 0x1.b5139a5ac0cf3p-3, 0x1.b06b891169657p-3, 0x1.abc7ce0dea216p-3, 0x1.a728955c7619p-3, 0x1.a28e09d5df6a5p-3, 0x1.9df8552267a1ap-3, 0x1.99679fbca53cbp-3, 0x1.94dc10f47ac48p-3, 0x1.9055cef2116cdp-3, 0x1.8bd4feb8ea918p-3, 0x1.8759c42af67b8p-3, 0x1.82e4420bbcbd6p-3, 0x1.7e749a0388f54p-3, 0x1.7a0aeca2a683ap-3, 0x1.75a75964a34acp-3, 0x1.7149feb39fa06p-3, 0x1.6cf2f9eb9f206p-3, 0x1.68a2675de7926p-3, 0x1.6458625466d89p-3, 0x1.6015051519c03p-3, 0x1.5bd868e580e43p-3, 0x1.57a2a60e13ce5p-3, 0x1.5373d3ddbf86ep-3, 0x1.4f4c08ad61a05p-3, 0x1.4b2b59e34f92cp-3, 0x1.4711dbf6dfda7p-3, 0x1.42ffa273ec0c7p-3, 0x1.3ef4bffe66454p-3, 0x1.3af14655e084cp-3, 0x1.36f54659221dp-3, 0x1.3300d009b373dp-3, 0x1.2f13f28f73717p-3, 0x1.2b2ebc3c27a87p-3, 0x1.27513a8f0d5e5p-3, 0x1.237b7a386b75ap-3, 0x1.1fad871d21b46p-3, 0x1.1be76c5a37294p-3, 0x1.1829344867afep-3, 0x1.1472e87faa6b5p-3, 0x1.10c491dac10cap-3, 0x1.0d1e387ab581ap-3, 0x1.097fe3ca606fcp-3, 0x1.05e99a81e5205p-3, 0x1.025b62aa2e4e6p-3, 0x1.fdaa8340c6134p-4, 0x1.f6ae7832b570fp-4, 0x1.efc2ac4a0b54ep-4, 0x1.e8e72663bced1p-4, 0x1.e21bec2085713p-4, 0x1.db6101ebb2006p-4, 0x1.d4b66b01cc12bp-4, 0x1.ce1c29773ce0ap-4, 0x1.c7923e3ee9c15p-4, 0x1.c118a930b9aa7p-4, 0x1.baaf6910172aep-4, 0x1.b4567b9262907p-4, 0x1.ae0ddd6554383p-4, 0x1.a7d58a354b84fp-4, 0x1.a1ad7cb39a511p-4, 0x1.9b95ae9cc40f9p-4, 0x1.958e18be911f6p-4, 0x1.8f96b2fe3b46cp-4, 0x1.89af745e6b091p-4, 0x1.83d8530534755p-4, 0x1.7e114441fd704p-4, 0x1.785a3c93588f1p-4, 0x1.72b32facc85f4p-4, 0x1.6d1c107c77c62p-4, 0x1.6794d130dd716p-4, 0x1.621d633e51bb6p-4, 0x1.5cb5b7648e65ap-4, 0x1.575dbdb421209p-4, 0x1.52156593c654ap-4, 0x1.4cdc9dc5bb787p-4, 0x1.47b3546cf5425p-4, 0x1.429977124d3a2p-4, 0x1.3d8ef2a991bdbp-4, 0x1.3893b3968efb5p-4, 0x1.33a7a5b1fef1dp-4, 0x1.2ecab44e6a7b8p-4, 0x1.29fcca3cf4b7p-4, 0x1.253dd1d214d72p-4, 0x1.208db4ea41001p-4, 0x1.1bec5cee81ea6p-4, 0x1.1759b2d8f6b22p-4, 0x1.12d59f3941122p-4, 0x1.0e600a38ecb2ep-4, 0x1.09f8db9fae89ep-4, 0x1.059ffad7a6afbp-4, 0x1.01554ef185892p-4, 0x1.fa317d51396a3p-5, 0x1.f1d460cdc31bap-5, 0x1.e9931491ba61ep-5, 0x1.e16d64431856fp-5, 0x1.d9631afc48ed2p-5, 0x1.d1740353a5aa7p-5, 0x1.c99fe762c030dp-5, 0x1.c1e690cd872p-5, 0x1.ba47c8c95581cp-5, 0x1.b2c35823d25bbp-5, 0x1.ab590749acb81p-5, 0x1.a4089e4d3da52p-5, 0x1.9cd1e4ed02189p-5, 0x1.95b4a299eaf3dp-5, 0x1.8eb09e7d9de81p-5, 0x1.87c59f8080847p-5, 0x1.80f36c4fac0c1p-5, 0x1.7a39cb62be1c7p-5, 0x1.7398830189a9cp-5, 0x1.6d0f59499d682p-5, 0x1.669e1433bfa6fp-5, 0x1.604479992ad75p-5, 0x1.5a024f38cac61p-5, 0x1.53d75abc3bea1p-5, 0x1.4dc361bcc9fd5p-5, 0x1.47c629c82d7f9p-5, 0x1.41df78654d719p-5, 0x1.3c0f1318c7b61p-5, 0x1.3654bf6967281p-5, 0x1.30b042e482d16p-5, 0x1.2b2163222a776p-5, 0x1.25a7e5c9510b6p-5, 0x1.20439093bf295p-5, 0x1.1af429520c45bp-5, 0x1.15b975ef4b824p-5, 0x1.10933c74d5b6bp-5, 0x1.0b81430dc44e5p-5, 0x1.0683500a74f2dp-5, 0x1.019929e3e5cdep-5, 0x1.f9852e7de9e2ap-6, 0x1.effebddf1fd46p-6, 0x1.e69e8ff770cd6p-6, 0x1.dd64333d0ccb9p-6, 0x1.d44f369616e0fp-6, 0x1.cb5f295e14645p-6, 0x1.c2939b6b5b6dap-6, 0x1.b9ec1d1453956p-6, 0x1.b1683f345597ap-6, 0x1.a9079330a2304p-6, 0x1.a0c9aafcf7db1p-6, 0x1.98ae19200c6e1p-6, 0x1.90b470b7f197cp-6, 0x1.88dc457e27083p-6, 0x1.81252bcba915ap-6, 0x1.798eb89cc444fp-6, 0x1.72188194b4bf5p-6, 0x1.6ac21d014513fp-6, 0x1.638b21de19f09p-6, 0x1.5c7327d7f7851p-6, 0x1.5579c74fd0b76p-6, 0x1.4e9e995dbd02dp-6, 0x1.47e137d3c41e7p-6, 0x1.41413d4085cp-6, 0x1.3abe44f1cadacp-6, 0x1.3457eaf6dc75ap-6, 0x1.2e0dcc22e0d74p-6, 0x1.27df860ee4f49p-6, 0x1.21ccb71bfdcc8p-6, 0x1.1bd4fe751dc4p-6, 0x1.15f7fc10e94ddp-6, 0x1.103550b35834p-6, 0x1.0a8c9def54c4bp-6, 0x1.04fd862816094p-6, 0x1.ff0f59252974ap-7, 0x1.f4556a6d6ca21p-7, 0x1.e9cc89e0d6db8p-7, 0x1.df7402e198444p-7, 0x1.d54b227dd618bp-7, 0x1.cb513771a11d2p-7, 0x1.c185922837e77p-7, 0x1.b7e784bd681fdp-7, 0x1.ae7662fecb292p-7, 0x1.a531826caa1fdp-7, 0x1.9c183a3ab637ap-7, 0x1.9329e350d1fcap-7, 0x1.8a65d84b76a82p-7, 0x1.81cb757bfeb7dp-7, 0x1.795a18e8d8981p-7, 0x1.7111224daf749p-7, 0x1.68eff31b0b846p-7, 0x1.60f5ee76428f1p-7, 0x1.59227938fc134p-7, 0x1.5174f9f0b1345p-7, 0x1.49ecd8de14bb6p-7, 0x1.42897ff439a6ep-7, 0x1.3b4a5ad7c2bbbp-7, 0x1.342ed6ddbe7dcp-7, 0x1.2d36630abf404p-7, 0x1.266070116bf6ap-7, 0x1.1fac70515e255p-7, 0x1.1919d7d57f9bep-7, 0x1.12a81c52a4fc5p-7, 0x1.0c56b525fc106p-7, 0x1.06251b53258a7p-7, 0x1.0012c9828d1eap-7, 0x1.f43e77ff099f1p-8, 0x1.e893e16c6f661p-8, 0x1.dd24ce63635dap-8, 0x1.d1f041337ec25p-8, 0x1.c6f53f6151342p-8, 0x1.bc32d1a226288p-8, 0x1.b1a803d6fb32ep-8, 0x1.a753e507f77fp-8, 0x1.9d35875f87d0dp-8, 0x1.934c00250e6e2p-8, 0x1.899667b81d84bp-8, 0x1.8013d98aff1bbp-8, 0x1.76c3741d48479p-8, 0x1.6da458f6a2f93p-8, 0x1.64b5aca0fc24cp-8, 0x1.5bf696a31c06cp-8, 0x1.5366417ae2ee3p-8, 0x1.4b03da974d2b2p-8, 0x1.42ce9252d7d0cp-8, 0x1.3ac59bed7498fp-8, 0x1.32e82d866e4c2p-8, 0x1.2b35801661257p-8, 0x1.23accf6942222p-8, 0x1.1c4d5a181bb93p-8, 0x1.15166182a2e37p-8, 0x1.0e0729c93c2a2p-8, 0x1.071ef9c64347p-8, 0x1.005d1b0841bd4p-8, 0x1.f381b395bdde7p-9, 0x1.e69309e214aaap-9, 0x1.d9ecdbfc04307p-9, 0x1.cd8dd21e58fddp-9, 0x1.c17499aafe2a5p-9, 0x1.b59fe51dd1d4cp-9, 0x1.aa0e6bff75b11p-9, 0x1.9ebeead874068p-9, 0x1.93b02323c1fd5p-9, 0x1.88e0db41d5f9fp-9, 0x1.7e4fde6b66272p-9, 0x1.73fbfca4119aep-9, 0x1.69e40aad4d098p-9, 0x1.6006e1f9196ep-9, 0x1.5663609ce4ea7p-9, 0x1.4cf8694426fa8p-9, 0x1.43c4e323aa9a1p-9, 0x1.3ac7b9eb94b8dp-9, 0x1.31ffddbb4ed18p-9, 0x1.296c431368362p-9, 0x1.210be2c93417bp-9, 0x1.18ddb9f951743p-9, 0x1.10e0c9fb034ffp-9, 0x1.09141852ff92cp-9, 0x1.0176aea656a9ap-9, 0x1.f40f355bebf16p-10, 0x1.e58bdc5314d85p-10, 0x1.d7617da5dd4cp-10, 0x1.c98e4ca296f7p-10, 0x1.bc10845903441p-10, 0x1.aee667811152fp-10, 0x1.a20e4061cd778p-10, 0x1.958660b86cde9p-10, 0x1.894d219f809aep-10, 0x1.7d60e37679c29p-10, 0x1.71c00dc8eb1efp-10, 0x1.66690f363ff49p-10, 0x1.5b5a5d59b1d7ep-10, 0x1.509274b213b94p-10, 0x1.460fd889cc3a8p-10, 0x1.3bd112df6da54p-10, 0x1.31d4b44ded0c9p-10, 0x1.281953f5698cep-10, 0x1.1e9d8f63c321ap-10, 0x1.15600a7daf94bp-10, 0x1.0c5f6f684485fp-10, 0x1.039a6e718f9adp-10, 0x1.f61f7bf55c8bfp-11, 0x1.e57c34c23f066p-11, 0x1.d5488bd1bfccep-11, 0x1.c582114da848bp-11, 0x1.b62660d433cf8p-11, 0x1.a733214f08ca9p-11, 0x1.98a604c78960dp-11, 0x1.8a7cc83cb4f17p-11, 0x1.7cb53379441bbp-11, 0x1.6f4d18ea402c3p-11, 0x1.6242557615098p-11, 0x1.5592d053490ecp-11, 0x1.493c7ae117af2p-11, 0x1.3d3d507e7d4e5p-11, 0x1.31935663fae74p-11, 0x1.263c9b7bb6dd1p-11, 0x1.1b37383b3238ap-11, 0x1.10814e7cbfbf9p-11, 0x1.0619095a36bf2p-11, 0x1.f7f93a0ca90aep-12, 0x1.e4548d538264dp-12, 0x1.d14098786688dp-12, 0x1.beb9f8c36cc76p-12, 0x1.acbd5c8dbd1e3p-12, 0x1.9b4782fa16feep-12, 0x1.8a553badb8027p-12, 0x1.79e3668de05bbp-12, 0x1.69eef379a66efp-12, 0x1.5a74e206f2ce6p-12, 0x1.4b72413fe933dp-12, 0x1.3ce42f611c23dp-12, 0x1.2ec7d9992d5bp-12, 0x1.211a7bc66e2ccp-12, 0x1.13d9603abf1cp-12, 0x1.0701df791bf59p-12, 0x1.f522bff6bffeap-13, 0x1.dd0aabe610dc4p-13, 0x1.c5b686192cbp-13, 0x1.af216c6db81b1p-13, 0x1.994696c908bcap-13, 0x1.842156a9f2a58p-13, 0x1.6fad16b40a75p-13, 0x1.5be55a3f78986p-13, 0x1.48c5bce948d6cp-13, 0x1.3649f22651b19p-13, 0x1.246dc4d726623p-13, 0x1.132d16dc2690dp-13, 0x1.0283e0ac6a544p-13, 0x1.e4dc61dcd64cbp-14, 0x1.c5d05823ba945p-14, 0x1.a7dc17d27cde6p-14, 0x1.8af83e9502d1p-14, 0x1.6f1d934da39c8p-14, 0x1.5445055ddd84dp-14, 0x1.3a67abe40b398p-14, 0x1.217ec4fec9774p-14, 0x1.0983b5151c16ep-14, 0x1.e4e00c447bb03p-15, 0x1.b87acdfd086cfp-15, 0x1.8dcb5561165c3p-15, 0x1.64c58f7dab773p-15, 0x1.3d5daf070f19ap-15, 0x1.17882b0bf3b41p-15, 0x1.e6737b395587ap-16, 0x1.a0cec529d2369p-16, 0x1.5e0caca2241bfp-16, 0x1.1e1828cb8a78p-16, 0x1.c1b959e1eb3d6p-17, 0x1.4c8c4c01d0963p-17, 0x1.b903e124ffac6p-18, 0x1.c5cfe7fc61facp-19, 0x1.67a005bc9b977p-22, -0x1.591e10bcf1314p-19, -0x1.667a7beb75e96p-18, -0x1.0bc6ffdf7384ap-17, -0x1.6006c8f5c4624p-17, -0x1.b01dc8b1f32aap-17, -0x1.fc2c6313fde9dp-17, -0x1.22291a7068895p-16, -0x1.44570bc638acdp-16, -0x1.64af12963778dp-16, -0x1.833fde366184p-16, -0x1.a017c2291880fp-16, -0x1.bb44b7f3e33e7p-16, -0x1.d4d461180e829p-16, -0x1.ecd408bae6a4fp-16, -0x1.01a852c643955p-15, -0x1.0c2b6dbdba1c9p-15, -0x1.15f97ebacca16p-15, -0x1.1f1887831e9f4p-15, -0x1.278e630b246e8p-15, -0x1.2f60c64154ecp-15, -0x1.369540dea45f7p-15, -0x1.3d313e2d364bcp-15, -0x1.433a05cf0dcf9p-15, -0x1.48b4bc850bd74p-15, -0x1.4da664e85defbp-15, -0x1.5213e029aab5fp-15, -0x1.5601eec959f2cp-15, -0x1.5975314976d74p-15, -0x1.5c7228e73e28p-15, -0x1.5efd383f49d46p-15, -0x1.611aa4049e2dap-15, -0x1.62ce939af330fp-15, -0x1.641d11ca9c23fp-15, -0x1.650a0d56e6e8cp-15, -0x1.659959a38a67p-15, -0x1.65ceaf4ffe693p-15, -0x1.65adaccd3ddbp-15, -0x1.6539d6fa53c7ap-15, -0x1.647699b24558bp-15, -0x1.6367485d4feafp-15, -0x1.620f1e818b20dp-15, -0x1.6071404d17668p-15, -0x1.5e90bb1e1051ep-15, -0x1.5c70860819713p-15, -0x1.5a13825910c41p-15, -0x1.577c7c191f7e9p-15, -0x1.54ae2a8a1afb7p-15, -0x1.51ab309f5a884p-15, -0x1.4e761d7d91661p-15, -0x1.4b116ceb77d67p-15, -0x1.477f87cc5daadp-15, -0x1.43c2c48d25871p-15, -0x1.3fdd67984de73p-15, -0x1.3bd1a3c1fbb58p-15, -0x1.37a19ab349877p-15, -0x1.334f5d540dc73p-15, -0x1.2edcec340fab4p-15, -0x1.2a4c37ed5215dp-15, -0x1.259f218a78b12p-15, -0x1.20d77ae5f2f8p-15, -0x1.1bf70708d96bdp-15, -0x1.16ff7a8884025p-15, -0x1.11f27be39806fp-15, -0x1.0cd1a3d90edf5p-15, -0x1.079e7dc2b5a43p-15, -0x1.025a87e5e00a9p-15, -0x1.fa0e679c87015p-16, -0x1.ef4bcd35711fcp-16, -0x1.e46ff29fd6728p-16, -0x1.d97d724d40bf4p-16, -0x1.ce76cfb0ece3bp-16, -0x1.c35e77da0c8ecp-16, -0x1.b836c20390275p-16, -0x1.ad01f0282484cp-16, -0x1.a1c22f8e40a18p-16, -0x1.9679994f08534p-16, -0x1.8b2a32e574c9p-16, -0x1.7fd5eea97ec8cp-16, -0x1.747eac592cf83p-16, -0x1.692639943a0b1p-16, -0x1.5dce5258ac55bp-16, -0x1.5278a17b2a6c4p-16, -0x1.4726c1201bae2p-16, -0x1.3bda3b2bb43d2p-16, -0x1.309489b78def2p-16, -0x1.25571779f3474p-16, -0x1.1a23403d5d59fp-16, -0x1.0efa51428bdf5p-16, -0x1.03dd89a7fcd99p-16, -0x1.f19c35a690ebfp-17, -0x1.db9a51a2bdf72p-17, -0x1.c5b7956c5629ap-17, -0x1.aff615fa481a6p-17, -0x1.9a57cfc76edf7p-17, -0x1.84dea7882215bp-17, -0x1.6f8c6ada6e41ep-17, -0x1.5a62d0f58ef55p-17, -0x1.45637b4847d04p-17, -0x1.308ff62ab7094p-17, -0x1.1be9b96cd5291p-17, -0x1.07722901accfbp-17, -0x1.e6552b1e75055p-18, -0x1.be287a14de1p-18, -0x1.96609681b8fe6p-18, -0x1.6effb4d9177fap-18, -0x1.4807e7741c341p-18, -0x1.217b1fac26ec8p-18, -0x1.f6b65db09ed13p-19, -0x1.ab538e8f953f5p-19, -0x1.60d0fa96e4475p-19, -0x1.17319044ab4f2p-19, -0x1.9cf00bbe73101p-20, -0x1.0d4db671022d3p-20, -0x1.fe02db953ca1fp-22, 0x1.8e584c3f40a18p-25, 0x1.2d11cee77dc67p-21, 0x1.1ebe497df15d5p-20, 0x1.a50fd5dfa5f4ep-20, 0x1.14bd694eb16c9p-19, 0x1.55fe6de2187e9p-19, 0x1.9649f00a0c795p-19, 0x1.d59f0f2a239edp-19, 0x1.09fe889e3a4f1p-18, 0x1.28b1b0b37dd7p-18, 0x1.46e8c75d46406p-18, 0x1.64a3a56ba2812p-18, 0x1.81e23454a3748p-18, 0x1.9ea46d997f7efp-18, 0x1.baea5a2a07012p-18, 0x1.d6b411ce6d38ep-18, 0x1.f201ba9ca595bp-18, 0x1.0669c42e8367fp-17, 0x1.1394de068c46dp-17, 0x1.208251abb5b39p-17, 0x1.2d324c08682c3p-17, 0x1.39a4ffdae75fep-17, 0x1.45daa57797aa6p-17, 0x1.51d37a8f419fdp-17, 0x1.5d8fc1f31e36cp-17, 0x1.690fc35cf024fp-17, 0x1.7453cb37f6fep-17, 0x1.7f5c2a6aad3cp-17, 0x1.8a293623ca4b9p-17, 0x1.94bb47a87be17p-17, 0x1.9f12bc20b9a54p-17, 0x1.a92ff46acc18p-17, 0x1.b31354e954eap-17, 0x1.bcbd455958a24p-17, 0x1.c62e30a57c056p-17, 0x1.cf6684bb80811p-17, 0x1.d866b2658066ep-17, 0x1.e12f2d1f4ff5ep-17, 0x1.e9c06af19f406p-17, 0x1.f21ae44ab904dp-17, 0x1.fa3f13dcd2d3ap-17, 0x1.0116bb3c2aabap-16, 0x1.04f34576316cdp-16, 0x1.08b568f130764p-16, 0x1.0c5d66e028eedp-16, 0x1.0feb81454ab3ep-16, 0x1.135ffae240417p-16, 0x1.16bb172a47c54p-16, 0x1.19fd1a333b195p-16, 0x1.1d2648a8b2bb5p-16, 0x1.2036e7bdccbadp-16, 0x1.232f3d222cb6ap-16, 0x1.260f8ef4712bbp-16, 0x1.28d823b680062p-16, 0x1.2b89424273e22p-16, 0x1.2e2331bf54b33p-16, 0x1.30a63996c3405p-16, 0x1.3312a16a2fe51p-16, 0x1.3568b10858a85p-16, 0x1.37a8b064d04d9p-16, 0x1.39d2e78e1dd46p-16, 0x1.3be79ea47855dp-16, 0x1.3de71dd1d41c3p-16, 0x1.3fd1ad4163f07p-16, 0x1.41a7951810d76p-16, 0x1.43691d6bafb59p-16, 0x1.45168e3c47daep-16, 0x1.46b02f6cc7ff3p-16, 0x1.483648bc5ca81p-16, 0x1.49a921bffe0a3p-16, 0x1.4b0901dbef81bp-16, 0x1.4c56303d912fap-16, 0x1.4d90f3d58f443p-16, 0x1.4eb99352b9e67p-16, 0x1.4fd0551cee671p-16, 0x1.50d57f4ef4658p-16, 0x1.51c957b295a7p-16, 0x1.52ac23bb57022p-16, 0x1.537e288248278p-16, 0x1.543faac1a040bp-16, 0x1.54f0eed0f57c3p-16, 0x1.559238a108832p-16, 0x1.5623cbb854a63p-16, 0x1.56a5eb2f7134fp-16, 0x1.5718d9ae02f1bp-16, 0x1.577cd967606c6p-16, 0x1.57d22c17a5546p-16, 0x1.581913008cde6p-16, 0x1.5851cee73cd57p-16, 0x1.587ca0117226p-16, 0x1.5899c6433faf8p-16, 0x1.58a980bcd673cp-16, 0x1.58ac0e3873f7ap-16, 0x1.58a1ace89517bp-16, 0x1.588a9a75b8745p-16, 0x1.586713fcc2463p-16, 0x1.5837560d888d3p-16, 0x1.57fb9ca9287b8p-16, 0x1.57b42340e5826p-16, 0x1.576124b4d47cfp-16, 0x1.5702db52af354p-16, 0x1.569980d4b08eep-16, 0x1.56254e60fa534p-16, 0x1.55a67c885de75p-16, 0x1.551d4345d41b5p-16, 0x1.5489d9fdcec9cp-16, 0x1.53ec777d4c7e1p-16, 0x1.534551f999c3cp-16, 0x1.52949f102026ep-16, 0x1.51da93c5a9697p-16, 0x1.51176486648eap-16, 0x1.504b45257e17ap-16, 0x1.4f7668dd0d475p-16, 0x1.4e99024e1088p-16, 0x1.4db34380732f5p-16, 0x1.4cc55de34217fp-16, 0x1.4bcf824c5f407p-16, 0x1.4ad1e0f919d5cp-16, 0x1.49cca98e5463fp-16, 0x1.48c00b1881f47p-16, 0x1.47ac340c482efp-16, 0x1.46915247217aep-16, 0x1.456f930f42562p-16, 0x1.444723148c2a3p-16, 0x1.43182e70db1f2p-16, 0x1.41e2e0a87965fp-16, 0x1.40a764aaf53bdp-16, 0x1.3f65e4d3a4c74p-16, 0x1.3e1e8aea43e6cp-16, 0x1.3cd18023d2d9p-16, }}, 
      {{-0x1.c65b616c3152ep-1, -0x1.c6541d3e5e10ap-1, -0x1.c64804646e74p-1, -0x1.c6371c32b7d01p-1, -0x1.c6216bd125c27p-1, -0x1.c606fb56ac213p-1, -0x1.c5e7d2a6a5725p-1, -0x1.c5c3f85abb4d5p-1, -0x1.c59b70e996ce7p-1, -0x1.c56e3e1b97ddcp-1, -0x1.c53c5ec7ff3e7p-1, -0x1.c505cec8df597p-1, -0x1.c4ca87112564dp-1, -0x1.c48a7dd2d4953p-1, -0x1.c445a6a91c737p-1, -0x1.c3fbf2bfd58d3p-1, -0x1.c3ad50f6c74e3p-1, -0x1.c359ae024d2b6p-1, -0x1.c300f48c6f08bp-1, -0x1.c2a30d59bde3ap-1, -0x1.c23fdf748f126p-1, -0x1.c1d75060132c9p-1, -0x1.c16944538b40ap-1, -0x1.c0f59e7cca1adp-1, -0x1.c07c41485d2a5p-1, -0x1.bffd0ead3ac77p-1, -0x1.bf77e8799aaa3p-1, -0x1.beecb09eb0809p-1, -0x1.be5b49793871dp-1, -0x1.bdc3961523765p-1, -0x1.bd257a6b193acp-1, -0x1.bc80db96fa3f1p-1, -0x1.bbd5a006e8cf6p-1, -0x1.bb23afa2c7af6p-1, -0x1.ba6af3ec5c6d9p-1, -0x1.b9ab58188239p-1, -0x1.b8e4c9220332ap-1, -0x1.b81735d6c1fd2p-1, -0x1.b7428edfeb632p-1, -0x1.b666c6c5ea8dp-1, -0x1.b583d1f0cc663p-1, -0x1.b499a6a5b6e6fp-1, -0x1.b3a83d02052dp-1, -0x1.b2af8ef483c06p-1, -0x1.b1af98353abffp-1, -0x1.b0a8563c1a9ebp-1, -0x1.af99c836cfd69p-1, -0x1.ae83eefdf95f6p-1, -0x1.ad66cd09e2e81p-1, -0x1.ac426666e86adp-1, -0x1.ab16c0a99444bp-1, -0x1.a9e3e2e286533p-1, -0x1.a8a9d592330bep-1, -0x1.a768a29c79757p-1, -0x1.a620553c1ebccp-1, -0x1.a4d0f9f62ac8fp-1, -0x1.a37a9e8d2f7ap-1, -0x1.a21d51f47d6fbp-1, -0x1.a0b924434a844p-1, -0x1.9f4e26a7d1062p-1, -0x1.9ddc6b5a6ef12p-1, -0x1.9c640590cadffp-1, -0x1.9ae50971097adp-1, -0x1.995f8c05191d1p-1, -0x1.97d3a32e20388p-1, -0x1.96416598134dfp-1, -0x1.94a8eaad7ecc1p-1, -0x1.930a4a8b8a523p-1, -0x1.91659df63f769p-1, -0x1.8fbafe4d17cbdp-1, -0x1.8e0a857fdcb3fp-1, -0x1.8c544e03d9aa6p-1, -0x1.8a9872c9695f8p-1, -0x1.88d70f31de16fp-1, -0x1.87103f05c8ccap-1, -0x1.85441e6ba11bfp-1, -0x1.8372c9dece20cp-1, -0x1.819c5e270ec8bp-1, -0x1.7fc0f85044703p-1, -0x1.7de0b5a298fap-1, -0x1.7bfbb39b02cd3p-1, -0x1.7a120fe4221a6p-1, -0x1.7823e84f7373fp-1, -0x1.76315aced6d6dp-1, -0x1.743a856e6616bp-1, -0x1.723f864e95d54p-1, -0x1.70407b9e9fecdp-1, -0x1.6e3d839731951p-1, -0x1.6c36bc7559be8p-1, -0x1.6a2c4475b41f4p-1, -0x1.681e39cfcc526p-1, -0x1.660cbab1b862cp-1, -0x1.63f7e53be496fp-1, -0x1.61dfd77d0c19cp-1, -0x1.5fc4af6e62744p-1, -0x1.5da68aefe188cp-1, -0x1.5b8587c4c1fe8p-1, -0x1.5961c39017153p-1, -0x1.573b5bd18cfe8p-1, -0x1.55126de2486c8p-1, -0x1.52e716f1e591dp-1, -0x1.50b9740394d22p-1, -0x1.4e89a1eb535f8p-1, -0x1.4c57bd4b40df8p-1, -0x1.4a23e2910ec9dp-1, -0x1.47ee2df38911bp-1, -0x1.45b6bb7039325p-1, -0x1.437da6c9216b9p-1, -0x1.41430b828f162p-1, -0x1.3f0704e107226p-1, -0x1.3cc9ade747b3cp-1, -0x1.3a8b21546224bp-1, -0x1.384b79a1ebe99p-1, -0x1.360ad10246c28p-1, -0x1.33c9415efdd19p-1, -0x1.3186e4573b89fp-1, -0x1.2f43d33e54bbep-1, -0x1.2d00271a68bc8p-1, -0x1.2abbf8a31a9f7p-1, -0x1.287760405cb12p-1, -0x1.2632760953e8fp-1, -0x1.23ed51c35077dp-1, -0x1.21a80ae0daca3p-1, -0x1.1f62b880d535fp-1, -0x1.1d1d716db3a59p-1, -0x1.1ad84c1cc62cdp-1, -0x1.18935ead9810ap-1, -0x1.164ebee961809p-1, -0x1.140a82428d8acp-1, -0x1.11c6bdd451e05p-1, -0x1.0f83866259122p-1, -0x1.0d40f0587dbcbp-1, -0x1.0aff0fca97838p-1, -0x1.08bdf874588acp-1, -0x1.067dbdb93a8e3p-1, -0x1.043e72a47b5c2p-1, -0x1.020029e92926p-1, -0x1.ff85ebc476433p-2, -0x1.fb0dd125731d3p-2, -0x1.f698274be4fabp-2, -0x1.f22510df72b87p-2, -0x1.edb4afd96a106p-2, -0x1.e94725856d532p-2, -0x1.e4dc928237ff4p-2, -0x1.e07516c27875bp-2, -0x1.dc10d18dbad49p-2, -0x1.d7afe18166bbap-2, -0x1.d3526491cab31p-2, -0x1.cef8780b3aec3p-2, -0x1.caa238933c529p-2, -0x1.c64fc229ba9bep-2, -0x1.c201302a4f7fp-2, -0x1.bdb69d4d90134p-2, -0x1.b97023aa660f8p-2, -0x1.b52ddcb775ca3p-2, -0x1.b0efe14c851b2p-2, -0x1.acb649a3f211fp-2, -0x1.a8812d5c29acep-2, -0x1.a450a379283c4p-2, -0x1.a024c265fe2c3p-2, -0x1.9bfd9ff658c37p-2, -0x1.97db51680f482p-2, -0x1.93bdeb64b2c81p-2, -0x1.8fa5820320f52p-2, -0x1.8b9228c919a55p-2, -0x1.8783f2acd4c32p-2, -0x1.837af2169ae2p-2, -0x1.7f7738e25c806p-2, -0x1.7b78d8614bed9p-2, -0x1.777fe15b74fcdp-2, -0x1.738c6411567a7p-2, -0x1.6f9e703d7a4f8p-2, -0x1.6bb6151609affp-2, -0x1.67d3614e668fcp-2, -0x1.63f66318bcbd1p-2, -0x1.601f2827960ebp-2, -0x1.5c4dbdaf6b7dap-2, -0x1.5882306832bafp-2, -0x1.54bc8c8eeca5ep-2, -0x1.50fcdde7303ep-2, -0x1.4d432fbcb19f7p-2, -0x1.498f8ce4ca517p-2, -0x1.45e1ffbffbdc9p-2, -0x1.423a923b71f13p-2, -0x1.3e994dd281e99p-2, -0x1.3afe3b9026c7dp-2, -0x1.376964107c524p-2, -0x1.33dacf8235ca9p-2, -0x1.305285a81584fp-2, -0x1.2cd08dda5d773p-2, -0x1.2954ef084188ep-2, -0x1.25dfafb9550e4p-2, -0x1.2270d60ef6f03p-2, -0x1.1f0867c5bcf3ep-2, -0x1.1ba66a36d8d9ap-2, -0x1.184ae2597decep-2, -0x1.14f5d4c446939p-2, -0x1.11a745ae94264p-2, -0x1.0e5f38f1ed059p-2, -0x1.0b1db20b5ab03p-2, -0x1.07e2b41cc615dp-2, -0x1.04ae41ee4f141p-2, -0x1.01805defa4d48p-2, -0x1.fcb21472b9b13p-3, -0x1.f670911c897e5p-3, -0x1.f03c34b96d597p-3, -0x1.ea15017fd1bbap-3, -0x1.e3faf9027a726p-3, -0x1.ddee1c331e3efp-3, -0x1.d7ee6b6500b3ep-3, -0x1.d1fbe64f84277p-3, -0x1.cc168c10bc877p-3, -0x1.c63e5b3003ef9p-3, -0x1.c07351a07e88ep-3, -0x1.bab56cc3ac7ccp-3, -0x1.b504a96bedd43p-3, -0x1.af6103df0576dp-3, -0x1.a9ca77d89debap-3, -0x1.a441008cc54dfp-3, -0x1.9ec498aa6cc7ap-3, -0x1.99553a5ddd7c8p-3, -0x1.93f2df53347f8p-3, -0x1.8e9d80b8d51aep-3, -0x1.89551741d874dp-3, -0x1.84199b287e153p-3, -0x1.7eeb043096431p-3, -0x1.79c949a9ed438p-3, -0x1.74b46272aead9p-3, -0x1.6fac44f9c99f8p-3, -0x1.6ab0e7415331dp-3, -0x1.65c23ee0de5cp-3, -0x1.60e04107dae2bp-3, -0x1.5c0ae27fea98ap-3, -0x1.574217af34dep-3, -0x1.5285d49ab4d7ep-3, -0x1.4dd60ce88a4b7p-3, -0x1.4932b3e241addp-3, -0x1.449bbc77198fcp-3, -0x1.4011193e43a3dp-3, -0x1.3b92bc7926a5bp-3, -0x1.372098159937bp-3, -0x1.32ba9db015b7bp-3, -0x1.2e60be95efd54p-3, -0x1.2a12ebc786a3fp-3, -0x1.25d115fa67b95p-3, -0x1.219b2d9b7f7c7p-3, -0x1.1d7122d1361b9p-3, -0x1.1952e57d9006bp-3, -0x1.1540654047606p-3, -0x1.11399178e1ea1p-3, -0x1.0d3e5948c28a6p-3, -0x1.094eab953207dp-3, -0x1.056a77096c28fp-3, -0x1.0191aa189ec24p-3, -0x1.fb8865ffcfc48p-4, -0x1.f403ff909d6e3p-4, -0x1.ec95fc916e591p-4, -0x1.e53e384fa40b2p-4, -0x1.ddfc8dbc0a16cp-4, -0x1.d6d0d76e9dac3p-4, -0x1.cfbaefaa4a9e1p-4, -0x1.c8bab060a31d9p-4, -0x1.c1cff3358098cp-4, -0x1.bafa9182a65aep-4, -0x1.b43a645b4f109p-4, -0x1.ad8f448fba4bfp-4, -0x1.a6f90ab09a5e1p-4, -0x1.a0778f129043cp-4, -0x1.9a0aa9d18d2e6p-4, -0x1.93b232d425ap-4, -0x1.8d6e01cee23e7p-4, -0x1.873dee47812a6p-4, -0x1.8121cf982754bp-4, -0x1.7b197cf28d6ep-4, -0x1.7524cd631b113p-4, -0x1.6f4397d3f6d8bp-4, -0x1.6975b3100eb6dp-4, -0x1.63baf5c609f58p-4, -0x1.5e13368b3d806p-4, -0x1.587e4bde87334p-4, -0x1.52fc0c2b240fp-4, -0x1.4d8c4dcb74a8fp-4, -0x1.482ee70bbe9dep-4, -0x1.42e3ae2cd535cp-4, -0x1.3daa7966c2085p-4, -0x1.38831eeb56efbp-4, -0x1.336d74e8bc1bfp-4, -0x1.2e69518beacd5p-4, -0x1.29768b0321b8ap-4, -0x1.2494f78048886p-4, -0x1.1fc46d3b4ba04p-4, -0x1.1b04c27466fd7p-4, -0x1.1655cd76692bdp-4, -0x1.11b76498e52bp-4, -0x1.0d295e425edf6p-4, -0x1.08ab90ea6509fp-4, -0x1.043dd31ba437p-4, -0x1.ffbff6ebd7342p-5, -0x1.f723c16045eacp-5, -0x1.eea6b33478379p-5, -0x1.e6487a3e255bdp-5, -0x1.de08c48c81841p-5, -0x1.d5e7406bd95f1p-5, -0x1.cde39c690a85bp-5, -0x1.c5fd8754e93cfp-5, -0x1.be34b04798d8fp-5, -0x1.b688c6a3b9e7bp-5, -0x1.aef97a199be06p-5, -0x1.a7867aaa3c827p-5, -0x1.a02f78aa4c215p-5, -0x1.98f424c5048dbp-5, -0x1.91d42ffefd2dp-5, -0x1.8acf4bb8e1843p-5, -0x1.83e529b20e6c2p-5, -0x1.7d157c0b2404ap-5, -0x1.765ff5487eabbp-5, -0x1.6fc4485497ae1p-5, -0x1.6942288257311p-5, -0x1.62d9498f51b38p-5, -0x1.5c895fa5ec3a4p-5, -0x1.56521f5f7a26bp-5, -0x1.50333dc633a5fp-5, -0x1.4a2c70572e95ep-5, -0x1.443d6d043110ap-5, -0x1.3e65ea3584ac7p-5, -0x1.38a59ecba68bbp-5, -0x1.32fc4220efaffp-5, -0x1.2d698c0b29f2dp-5, -0x1.27ed34dd0e7a3p-5, -0x1.2286f567bb069p-5, -0x1.1d3686fc0c29fp-5, -0x1.17fba36bf3f9fp-5, -0x1.12d6050bb333fp-5, -0x1.0dc566b30c0bap-5, -0x1.08c983be5a96ap-5, -0x1.03e2180fafae4p-5, -0x1.fe1dc01f86b68p-6, -0x1.f49f315dd9c49p-6, -0x1.eb47fecc07306p-6, -0x1.e217a46e6833p-6, -0x1.d90d9f5d82e7fp-6, -0x1.d0296dc77d253p-6, -0x1.c76a8ef167eabp-6, -0x1.bed083388260ep-6, -0x1.b65acc134a2bep-6, -0x1.ae08ec12856a9p-6, -0x1.a5da66e2281cep-6, -0x1.9dcec14a273f7p-6, -0x1.95e5812f2c3c1p-6, -0x1.8e1e2d9333f27p-6, -0x1.86784e961e454p-6, -0x1.7ef36d76185c6p-6, -0x1.778f148ff1c9cp-6, -0x1.704acf5f6d765p-6, -0x1.69262a7f6a726p-6, -0x1.6220b3a9fc964p-6, -0x1.5b39f9b874f48p-6, -0x1.54718ca34e259p-6, -0x1.4dc6fd8210d64p-6, -0x1.4739de8b17437p-6, -0x1.40c9c3134de4dp-6, -0x1.3a763f8dd305ap-6, -0x1.343ee98b8a661p-6, -0x1.2e2357baa7b77p-6, -0x1.282321e618b98p-6, -0x1.223de0f4e84e4p-6, -0x1.1c732ee994e35p-6, -0x1.16c2a6e153db6p-6, -0x1.112be5133ba24p-6, -0x1.0bae86cf7416ap-6, -0x1.064a2a7e48b14p-6, -0x1.00fe6f9f2f69fp-6, -0x1.f795ed8f88b4dp-7, -0x1.ed5ec34580e7fp-7, -0x1.e356a5dda1157p-7, -0x1.d97cdcfaedddep-7, -0x1.cfd0b263994fdp-7, -0x1.c65171fe8c66cp-7, -0x1.bcfe69d0c0b07p-7, -0x1.b3d6e9faaf0ep-7, -0x1.aada44b57276ap-7, -0x1.a207ce4ffb9c2p-7, -0x1.995edd2c3516p-7, -0x1.90dec9bbf9198p-7, -0x1.8886ee7e0fa4ap-7, -0x1.8056a7fb0c49cp-7, -0x1.784d54c21c804p-7, -0x1.706a5565db968p-7, -0x1.68ad0c78f561ap-7, -0x1.6114de8adb38cp-7, -0x1.59a1322449173p-7, -0x1.52516fc3e9b41p-7, -0x1.4b2501dac0e6ap-7, -0x1.441b54c8a7a27p-7, -0x1.3d33d6d8b0ddfp-7, -0x1.366df83d90728p-7, -0x1.2fc92b0dd9bb5p-7, -0x1.2944e3405f8fcp-7, -0x1.22e096a86974bp-7, -0x1.1c9bbcf1e0c81p-7, -0x1.1675cf9d9d072p-7, -0x1.106e49fd6afa4p-7, -0x1.0a84a93048cbfp-7, -0x1.04b86c1e73f5cp-7, -0x1.fe1226eb07f95p-8, -0x1.f2ec4348dbe81p-8, -0x1.e7fe35af31385p-8, -0x1.dd4709e9ca7d7p-8, -0x1.d2c5cf2f476d6p-8, -0x1.c879981945847p-8, -0x1.be617a9c29aeep-8, -0x1.b47c8fff27dfbp-8, -0x1.aac9f4d43079ap-8, -0x1.a148c8efbcc99p-8, -0x1.97f82f60cb12bp-8, -0x1.8ed74e68aa30bp-8, -0x1.85e54f72df677p-8, -0x1.7d215f0cedcc5p-8, -0x1.748aacde517a1p-8, -0x1.6c206ba040c91p-8, -0x1.63e1d11581cb9p-8, -0x1.5bce160259f7p-8, -0x1.53e476245c074p-8, -0x1.4c24302a42d37p-8, -0x1.448c85abf072ep-8, -0x1.3d1cbb22250b3p-8, -0x1.35d417de94319p-8, -0x1.2eb1e603b7062p-8, -0x1.27b5727cd45acp-8, -0x1.20de0cf5ddc8ep-8, -0x1.1a2b07d38cf45p-8, -0x1.139bb82b4eb4p-8, -0x1.0d2f75bb648dep-8, -0x1.06e59ae2edfd7p-8, -0x1.00bd8499fd456p-8, -0x1.f56d24d394bd5p-9, -0x1.e9a04cc992f43p-9, -0x1.de134a3e11712p-9, -0x1.d2c4eb4c57de1p-9, -0x1.c7b402f405e49p-9, -0x1.bcdf690943017p-9, -0x1.b245fa25a6fe6p-9, -0x1.a7e6979900142p-9, -0x1.9dc0275a3532dp-9, -0x1.93d193f86486bp-9, -0x1.8a19cc8bae1afp-9, -0x1.8097c4a6916bdp-9, -0x1.774a74474315cp-9, -0x1.6e30d7c8c0181p-9, -0x1.6549efd47d07p-9, -0x1.5c94c153e7143p-9, -0x1.54105562001dp-9, -0x1.4bbbb93d2b22cp-9, -0x1.4395fe390f475p-9, -0x1.3b9e39b06f879p-9, -0x1.33d384f76a0aep-9, -0x1.2c34fd4d7fb7ap-9, -0x1.24c1c3d0023c1p-9, -0x1.1d78fd6c62011p-9, -0x1.1659d2d2bdfa4p-9, -0x1.0f63706884e97p-9, -0x1.0895063b2ff7ep-9, -0x1.01edc7f325d6ep-9, -0x1.f6d9d98d55a83p-10, -0x1.ea235ed9ec28ep-10, -0x1.ddb69c22fd168p-10, -0x1.d192148e5e57bp-10, -0x1.c5b451f7ce359p-10, -0x1.ba1be4d812248p-10, -0x1.aec7642c60fc8p-10, -0x1.a3b56d5dd7534p-10, -0x1.98e4a4297773p-10, -0x1.8e53b2880d2bcp-10, -0x1.84014896c5c93p-10, -0x1.79ec1c7f835a4p-10, -0x1.7012ea61bef6ep-10, -0x1.6674743b860a1p-10, -0x1.5d0f81d2e3b3p-10, -0x1.53e2e09f5c298p-10, -0x1.4aed63b38f8a7p-10, -0x1.422de3a76840ep-10, -0x1.39a33e82340bp-10, -0x1.314c57a54d1bfp-10, -0x1.292817b6c21e2p-10, -0x1.21356c8c2e9fp-10, -0x1.197349161cd7p-10, -0x1.11e0a54b7df64p-10, -0x1.0a7c7e1528125p-10, -0x1.0345d539efcap-10, -0x1.f87762958b7b7p-11, -0x1.eaba3b1dffe06p-11, -0x1.dd5253e252f2dp-11, -0x1.d03dd5d7b1829p-11, -0x1.c37af2ed5c84ep-11, -0x1.b707e5e767cedp-11, -0x1.aae2f239eacp-11, -0x1.9f0a63e472aeap-11, -0x1.937c8f4e714cdp-11, -0x1.8837d1232345fp-11, -0x1.7d3a8e2f25da2p-11, -0x1.7283333d332d9p-11, -0x1.681034f4b4c49p-11, -0x1.5de00fb74f37p-11, -0x1.53f1478062032p-11, -0x1.4a4267c380985p-11, -0x1.40d2034c79454p-11, -0x1.379eb41f5fc1ap-11, -0x1.2ea71b58cb817p-11, -0x1.25e9e10ee7e74p-11, -0x1.1d65b432d4d97p-11, -0x1.15194a7228ab8p-11, -0x1.0d0360194b8d6p-11, -0x1.0522b7f622044p-11, -0x1.faec3675854c5p-12, -0x1.ebf8b2c22221cp-12, -0x1.dd68901cc92d2p-12, -0x1.cf3985eface65p-12, -0x1.c169578db7558p-12, -0x1.b3f5d3fc4ded6p-12, -0x1.a6dcd5be6ac51p-12, -0x1.9a1c429fe4a8p-12, -0x1.8db20b8187aa9p-12, -0x1.819c2c26a063dp-12, -0x1.75d8ab0267a0dp-12, -0x1.6a659906b2cdcp-12, -0x1.5f4111737c8b1p-12, -0x1.546939a62dc2cp-12, -0x1.49dc40eb5be45p-12, -0x1.3f98604f617e8p-12, -0x1.359bda70f6e85p-12, -0x1.2be4fb53c8362p-12, -0x1.2272183443483p-12, -0x1.19418f5c03ecdp-12, -0x1.1051c7f624fd1p-12, -0x1.07a131e55d4a8p-12, -0x1.fe5c8b3354521p-13, -0x1.edef07d025995p-13, -0x1.ddf6ebc2e2827p-13, -0x1.ce715956438a5p-13, -0x1.bf5b82ae8b36bp-13, -0x1.b0b2a97dda4d6p-13, -0x1.a2741eb74363ap-13, -0x1.949d4244f1a88p-13, -0x1.872b82bda5725p-13, -0x1.7a1c5d1db103dp-13, -0x1.6d6d5c7eeab41p-13, -0x1.611c19d3678f2p-13, -0x1.55263ba0ca946p-13, -0x1.498975bc0f5b7p-13, -0x1.3e438907c31ebp-13, -0x1.33524331fc04fp-13, -0x1.28b37e74e2d8ap-13, -0x1.1e65215635bbdp-13, -0x1.14651e6af550ep-13, -0x1.0ab17418152c2p-13, -0x1.01482c58f25adp-13, -0x1.f04eb903d63f5p-14, -0x1.de9a4a10968b9p-14, -0x1.cd6f628f3bd84p-14, -0x1.bcca6e969d64p-14, -0x1.aca7ef2cce688p-14, -0x1.9d0479dac18d1p-14, -0x1.8ddcb843b01e3p-14, -0x1.7f2d67bb730e6p-14, -0x1.70f358e02ef68p-14, -0x1.632b6f360fe8ap-14, -0x1.55d2a0c2b8575p-14, -0x1.48e5f5ae26159p-14, -0x1.3c6287e0adb8ep-14, -0x1.304582a725fd7p-14, -0x1.248c225588a5ep-14, -0x1.1933b3ed3c1afp-14, -0x1.0e3994c39e6f7p-14, -0x1.039b322b4d833p-14, -0x1.f2ac123bdca8dp-15, -0x1.decf4bd2192dcp-15, -0x1.cb9b47b30f7ap-15, -0x1.b90b59da2f60cp-15, -0x1.a71af300cd2a3p-15, -0x1.95c5a0055d093p-15, -0x1.8507095033056p-15, -0x1.74daf23d9524bp-15, -0x1.653d388b9d9ap-15, -0x1.5629d3c6fff6dp-15, -0x1.479cd4be0112ap-15, -0x1.399264f50da2ep-15, -0x1.2c06c61ce3fcbp-15, -0x1.1ef6518f40e3dp-15, -0x1.125d77c61eb89p-15, -0x1.0638bfe023765p-15, -0x1.f5098e3d27dd3p-16, -0x1.de7c80d30f8c9p-16, -0x1.c8c3e7adb2f9fp-16, -0x1.b3d97c638dfd9p-16, -0x1.9fb7210d697a4p-16, -0x1.8c56df5ce55aap-16, -0x1.79b2e7bfe3e9ap-16, -0x1.67c5907e07a2ep-16, -0x1.568954e6a29d5p-16, -0x1.45f8d47711738p-16, -0x1.360ed20da619ap-16, -0x1.26c6331b7bd72p-16, -0x1.1819fede427adp-16, -0x1.0a055d9864059p-16, -0x1.f9072faffe186p-17, -0x1.df202b6413451p-17, -0x1.c64cbc1fe209bp-17, -0x1.ae842bf4274dp-17, -0x1.97bdffc94de59p-17, -0x1.81f1f6060d0cep-17, -0x1.6d18053bf0083p-17, -0x1.59285ad9aff7ep-17, -0x1.461b59e4a0bf7p-17, -0x1.33e999b884159p-17, -0x1.228be4cf2c9c5p-17, -0x1.11fb379114675p-17, -0x1.0230bf1f90cfep-17, -0x1.e64bb07ad9de6p-18, -0x1.c9a81c3c9122cp-18, -0x1.ae6a32b9e5b0ep-18, -0x1.9485bdb66a9fap-18, -0x1.7beedd6b6cf13p-18, -0x1.649a0687336d2p-18, -0x1.4e7c000be632p-18, -0x1.3989e16c1d323p-18, -0x1.25b9108e99c59p-18, -0x1.12ff3fec74331p-18, -0x1.01526cb32deefp-18, -0x1.e151b9e8ee0f5p-19, -0x1.c1f23bc5a1cbdp-19, -0x1.a474041d20e68p-19, -0x1.88c53f5f3317bp-19, -0x1.6ed49e0192c4ap-19, -0x1.5691513c8ebdcp-19, -0x1.3feb07cda39bap-19, -0x1.2ad1eaf05003fp-19, -0x1.17369b333ae8ep-19, -0x1.050a2d986fddap-19, -0x1.e87c51346c663p-20, -0x1.c989029f1ec54p-20, -0x1.ad1f3143e11abp-20, -0x1.9324713f9e82bp-20, -0x1.7b7f237b665cdp-20, -0x1.6616708a18d65p-20, -0x1.52d2438857602p-20, -0x1.419b452249af2p-20, -0x1.325ad6b64ecc7p-20, -0x1.24fb0d7e17e81p-20, -0x1.1966adfd4c473p-20, -0x1.0f89277f9fb83p-20, -0x1.074e8f5dfd04cp-20, -0x1.00a39cf9a7d6dp-20, -0x1.f6eb4a8c64169p-21, -0x1.ef652da24b6a7p-21, -0x1.ea91eadbfc73ap-21, -0x1.e84fad1909a58p-21, -0x1.e87dba3f3a046p-21, -0x1.eafc6bde0facp-21, -0x1.efad27e019bb2p-21, -0x1.f672590abc1c8p-21, -0x1.ff2f682abfd6cp-21, -0x1.04e45a9bc4d4bp-20, -0x1.0b11c83590dd8p-20, -0x1.121319eabd4bap-20, -0x1.19dbde7618243p-20, -0x1.2260131fe654dp-20, -0x1.2b9420b370a47p-20, -0x1.356cd891ab65bp-20, -0x1.3fdf71a1e6d3dp-20, -0x1.4ae185b0b930bp-20, -0x1.56690e76d2e45p-20, -0x1.626c63004da6bp-20, -0x1.6ee234fd25324p-20, -0x1.7bc18e4421d62p-20, -0x1.8901ce3389fb1p-20, -0x1.969aa748be62bp-20, -0x1.a4841cb99dcd6p-20, -0x1.b2b68028afe63p-20, -0x1.c12a6f5678affp-20, -0x1.cfd8d1e6fff47p-20, -0x1.debad73c09387p-20, -0x1.edc9f4576cb61p-20, -0x1.fcffe1cd0b36cp-20, -0x1.062b4ce231db9p-19, -0x1.0de42afb9f8d6p-19, -0x1.15a7c6edbd8c5p-19, -0x1.1d737a58b4822p-19, -0x1.2544bbe89c2b4p-19, -0x1.2d191e60ec3ddp-19, -0x1.34ee4fd493f53p-19, -0x1.3cc218beedbcdp-19, -0x1.44925b38d64f5p-19, -0x1.4c5d122fceaf5p-19, -0x1.542050976baep-19, -0x1.5bda40b09db0ap-19, -0x1.6389234abbaa3p-19, -0x1.6b2b4f090cb2cp-19, -0x1.72bf2fb0b334ep-19, -0x1.7a43457f01c38p-19, -0x1.81b6247bd8369p-19, -0x1.891673d85eb37p-19, -0x1.9062ed497e0cp-19, -0x1.979a5c6f8871ap-19, -0x1.9ebb9e3e82fdfp-19, -0x1.a5c5a0673be03p-19, -0x1.acb760ca6f97p-19, -0x1.b38fece8fcbbdp-19, -0x1.ba4e615f22307p-19, -0x1.c0f1e95ee5215p-19, -0x1.c779be2d311f1p-19, -0x1.cde526a743537p-19, -0x1.d43376c7890dep-19, -0x1.da640f2dfeb5dp-19, -0x1.e0765caef2bbbp-19, -0x1.e669d7de95637p-19, -0x1.ec3e04a8e8c97p-19, -0x1.f1f271e641cd2p-19, -0x1.f786b8f4503efp-19, -0x1.fcfa7d50ebp-19, -0x1.0126b61cbeab2p-18, -0x1.03bf9e261fd85p-18, -0x1.0647d697f9322p-18, -0x1.08bf439ab9562p-18, -0x1.0b25cd81df7e1p-18, -0x1.0d7b60a2b3d2p-18, -0x1.0fbfed2a3641ap-18, -0x1.11f366f6e43adp-18, -0x1.1415c570a2cc4p-18, -0x1.16270364fcbcbp-18, -0x1.18271ee1e7572p-18, -0x1.1a1619131cfe2p-18, -0x1.1bf3f62104ed5p-18, -0x1.1dc0bd0d514bfp-18, -0x1.1f7c7795f92c2p-18, -0x1.21273213ad4bbp-18, -0x1.22c0fb5d4a8e1p-18, -0x1.2449e4a9f4515p-18, -0x1.25c20175190a2p-18, -0x1.2729676248788p-18, -0x1.28802e2444817p-18, -0x1.29c66f61ca5dcp-18, -0x1.2afc469e2bbbfp-18, -0x1.2c21d11f7fa55p-18, -0x1.2d372dd83b489p-18, -0x1.2e3c7d512d58p-18, -0x1.2f31e192cf58ap-18, -0x1.30177e1044fc5p-18, -0x1.30ed7792f9b89p-18, -0x1.31b3f42743363p-18, -0x1.326b1b08cc20dp-18, -0x1.331314908bda6p-18, -0x1.33ac0a227542fp-18, -0x1.3436261bf7e8fp-18, -0x1.34b193c465736p-18, -0x1.351e7f3b858e1p-18, -0x1.357d156bb24dcp-18, -0x1.35cd83f95d5bep-18, -0x1.360ff9356eef6p-18, -0x1.3644a40ed6f95p-18, -0x1.366bb405cc5cp-18, -0x1.3685591e1b759p-18, -0x1.3691c3d2f248ep-18, -0x1.3691250a74bb9p-18, -0x1.3683ae0ae007p-18, -0x1.3669906f24f6cp-18, -0x1.3642fe1bb7c37p-18, -0x1.361029348db4ap-18, -0x1.35d14412f5004p-18, -0x1.3586813c3a766p-18, -0x1.35301358baf92p-18, -0x1.34ce2d2aa76bdp-18, -0x1.34610185a5215p-18, -0x1.33e8c346655acp-18, -0x1.3365a54bc8842p-18, -0x1.32d7da6e274ccp-18, -0x1.323f95795cc38p-18, -0x1.319d0924daa3p-18, -0x1.30f0680d7aa57p-18, -0x1.3039e4af7e403p-18, -0x1.2f79b1603830bp-18, -0x1.2eb000486d106p-18, -0x1.2ddd035ecc1e9p-18, -0x1.2d00ec62c7bbep-18, -0x1.2c1becd7b35bcp-18, -0x1.2b2e35ffeb8d6p-18, -0x1.2a37f8d8009bap-18, -0x1.2939661311d6fp-18, -0x1.2832ae15d7a37p-18, -0x1.272400f37a696p-18, -0x1.260d8e6a029eap-18, -0x1.24ef85de6a90bp-18, -0x1.23ca1659677eep-18, -0x1.229d6e84464dcp-18, -0x1.2169bca614092p-18, -0x1.202f2ea0c460ep-18, -0x1.1eedf1eef0e99p-18, -0x1.1da633a10ee01p-18, -0x1.1c58205b4297p-18, -0x1.1b03e4532883bp-18, -0x1.19a9ab4e3c886p-18, -0x1.1849a09f7f437p-18, -0x1.16e3ef263669cp-18, -0x1.1578c14bd2a69p-18, -0x1.14084102b4dbcp-18, -0x1.129297c500a4fp-18, -0x1.1117ee934fb94p-18, -0x1.0f986df38df11p-18, -0x1.0e143defe28ep-18, -0x1.0c8b8615c6c38p-18, -0x1.0afe6d7547c54p-18, -0x1.096d1aa0b8612p-18, -0x1.07d7b3ab86ad7p-18, -0x1.063e5e29f3b0dp-18, -0x1.04a13f30a3d65p-18, -0x1.03007b5414dd7p-18, -0x1.015c36a8a884ap-18, -0x1.ff692984ec426p-19, -0x1.fc13716a27b7ap-19, -0x1.f8b78a26e7a12p-19, -0x1.f555b7dfa17ddp-19, -0x1.f1ee3db7ddc7ep-19, -0x1.ee815dd2c6eb1p-19, -0x1.eb0f5952d9b74p-19, -0x1.e798705adaf35p-19, -0x1.e41ce20e8607ap-19, -0x1.e09cec9378309p-19, -0x1.dd18cd11d30e3p-19, -0x1.d990bfb57c005p-19, -0x1.d604ffae58adap-19, -0x1.d275c731fa2c3p-19, -0x1.cee34f7cb1213p-19, -0x1.cb4dd0d342b6p-19, -0x1.c7b58283d618dp-19, -0x1.c41a9ae7182cfp-19, -0x1.c07d4f626a21fp-19, -0x1.bcddd4693c7b3p-19, -0x1.b93c5d7e2bd57p-19, -0x1.b5991d34d8723p-19, -0x1.b1f4453427417p-19, -0x1.ae4e0637b9bbbp-19, -0x1.aaa69011dc7c8p-19, -0x1.a6fe11ad62d7p-19, -0x1.a354b90f0f1f7p-19, -0x1.9faab3583ae4cp-19, -0x1.9c002cc8ba035p-19, -0x1.985550c0927cp-19, -0x1.94aa49c270cb9p-19, -0x1.90ff41755c4c6p-19, -0x1.8d5460a73433ap-19, -0x1.89a9cf4e93379p-19, -0x1.85ffb48cdafd1p-19, -0x1.825636b0a9028p-19, -0x1.7ead7b37ad045p-19, -0x1.7b05a6d17b4afp-19, -0x1.775edd61b6a59p-19, -0x1.73b9420207aa2p-19, -0x1.7014f70488faep-19, -0x1.6c721df5ee5f2p-19, -0x1.68d0d7a00b8dp-19, -0x1.6531440bd1c15p-19, -0x1.61938284155e7p-19, -0x1.5df7b1976aa8ap-19, -0x1.5a5def1aaa412p-19, -0x1.56c6582b6cfcap-19, -0x1.533109325ac26p-19, -0x1.4f9e1de50d0bbp-19, -0x1.4c0db148ade3fp-19, -0x1.487fddb410045p-19, -0x1.44f4bcd26a134p-19, -0x1.416c67a596866p-19, -0x1.3de6f6884a4c3p-19, -0x1.3a64813025fcap-19, -0x1.36e51eb06f5dap-19, -0x1.3368e57c13973p-19, -0x1.2fefeb681e6cbp-19, -0x1.2c7a45add38p-19, -0x1.290808ed04afp-19, -0x1.2599492e54448p-19, -0x1.222e19e58f5edp-19, -0x1.1ec68df3be8d5p-19, -0x1.1b62b7a979dfbp-19, -0x1.1802a8c8dd442p-19, -0x1.14a67287e381dp-19, -0x1.114e2592a587cp-19, -0x1.0df9d20d6a765p-19, -0x1.0aa9879704546p-19, -0x1.075d554ab28eep-19, -0x1.041549c286bfdp-19, -0x1.00d173192aee8p-19, -0x1.fb23bdd7e20b5p-20, -0x1.f4ad34ba58268p-20, -0x1.ee3f642c968cp-20, -0x1.e7da649330375p-20, -0x1.e17e4d68d8ed4p-20, -0x1.db2b35422dbp-20, -0x1.d4e131d1a0f13p-20, -0x1.cea057ebda0e8p-20, -0x1.c868bb8af5ba4p-20, -0x1.c23a6fd24784ep-20, -0x1.bc158712ba80bp-20, }}, 
      {{0x1.3f758235f2bd6p-7, 0x1.405b7a7c37787p-6, 0x1.e29d5ae6b0ec1p-6, 0x1.437a338e1a0fp-5, 0x1.96c15dfad5845p-5, 0x1.eb0de8debf9e9p-5, 0x1.20142fcd5cfa9p-4, 0x1.4ae03e5f8eedbp-4, 0x1.75bb077d64d01p-4, 0x1.a070a0d2c37e7p-4, 0x1.caccd634370ecp-4, 0x1.f49df72253a85p-4, 0x1.0edb7522497b8p-3, 0x1.22f84b9dc44bfp-3, 0x1.36955f0e3e752p-3, 0x1.49a62ad28aa8ap-3, 0x1.5c21c4296a1bcp-3, 0x1.6e02b33f130dep-3, 0x1.7f46b090aebf5p-3, 0x1.8fee4f32350ecp-3, 0x1.9ffc9b41269cdp-3, 0x1.af76b29977971p-3, 0x1.be635cbe1c39bp-3, 0x1.cccaa5d781bdbp-3, 0x1.dab57fb3ada16p-3, 0x1.e82d6ad855c95p-3, 0x1.f53c28f9578d8p-3, 0x1.00f5bcc30e9ep-2, 0x1.0722703f3a326p-2, 0x1.0d28bbaca6bf7p-2, 0x1.130ce3bdd0ca8p-2, 0x1.18d2d6c41ee1cp-2, 0x1.1e7e22577db6ep-2, 0x1.2411ec87fab9cp-2, 0x1.2990f020f6cfap-2, 0x1.2efd7b87d81ap-2, 0x1.345971c5f8a51p-2, 0x1.39a64d55d3bc6p-2, 0x1.3ee524554ad84p-2, 0x1.4416adc94dfa1p-2, 0x1.493b47a9f4ebep-2, 0x1.4e52fd7869a13p-2, 0x1.535d8f29e3f5bp-2, 0x1.585a783bea68cp-2, 0x1.5d48f6ce380b8p-2, 0x1.622812a5d244bp-2, 0x1.66f6a40305444p-2, 0x1.6bb35a396bcabp-2, 0x1.705cc1fd85526p-2, 0x1.74f14b5f2d27bp-2, 0x1.796f4f6b46333p-2, 0x1.7dd515715dfdcp-2, 0x1.8220d7ec048dbp-2, 0x1.8650c90c0d028p-2, 0x1.8a6316e82074ap-2, 0x1.8e55ef52d9907p-2, 0x1.9227835a43e2p-2, 0x1.95d60a7410f51p-2, 0x1.995fc55a0a353p-2, 0x1.9cc3009a89c2fp-2, 0x1.9ffe16e0c160ap-2, 0x1.a30f72f8b0f9dp-2, 0x1.a5f5919295aabp-2, 0x1.a8af02c996a5ep-2, 0x1.ab3a6b715a12dp-2, 0x1.ad96862e135e5p-2, 0x1.afc2245a8446ep-2, 0x1.b1bc2ebf4b234p-2, 0x1.b383a61eb9aap-2, 0x1.b517a3985d069p-2, 0x1.b67758e72ec6fp-2, 0x1.b7a2107d654bcp-2, 0x1.b8972d80a1375p-2, 0x1.b9562ba930125p-2, 0x1.b9de9f06f374bp-2, 0x1.ba3033ae66048p-2, 0x1.ba4aad501b05fp-2, 0x1.ba2de6bcf8a17p-2, 0x1.b9d9d1595382ap-2, 0x1.b94e7480f87fdp-2, 0x1.b88becde11bfcp-2, 0x1.b7926bb4bfb84p-2, 0x1.b66236251e432p-2, 0x1.b4fba46559cd4p-2, 0x1.b35f20f555043p-2, 0x1.b18d27cd53f54p-2, 0x1.af864588f7cb7p-2, 0x1.ad4b168fcc3abp-2, 0x1.aadc463c85c91p-2, 0x1.a83a8e03fbecfp-2, 0x1.a566b49cd2a66p-2, 0x1.a2618d28b3e0ep-2, 0x1.9f2bf65fdd35p-2, 0x1.9bc6d9bfbb32cp-2, 0x1.98332abd27bc9p-2, 0x1.9471e5faeb19dp-2, 0x1.90841084e78b7p-2, 0x1.8c6ab71068556p-2, 0x1.8826ed41eb51bp-2, 0x1.83b9ccf8afd0ep-2, 0x1.7f2475a04a8e5p-2, 0x1.7a680b88706ap-2, 0x1.7585b7431f7d9p-2, 0x1.707ea5093c8a6p-2, 0x1.6b540425b7a8cp-2, 0x1.660706674338bp-2, 0x1.6098df989214p-2, 0x1.5b0ac4ff1f35ap-2, 0x1.555dece066a58p-2, 0x1.4f938e0d7bddep-2, 0x1.49acdf74e9701p-2, 0x1.43ab17baabb99p-2, 0x1.3d8f6cd62fcb7p-2, 0x1.375b13b628c66p-2, 0x1.310f3fea12c51p-2, 0x1.2aad23513211ep-2, 0x1.2435edcee7f4ep-2, 0x1.1daacd0425af2p-2, 0x1.170cec0dcd431p-2, 0x1.105d7347d1db1p-2, 0x1.099d8814de31fp-2, 0x1.02ce4caa53afdp-2, 0x1.f7e1bfc0daea3p-3, 0x1.ea0cba0cab40ep-3, 0x1.dc1fb773f63adp-3, 0x1.ce1cdf86e6699p-3, 0x1.c00651e77db21p-3, 0x1.b1de260d8235cp-3, 0x1.a3a66b1067832p-3, 0x1.95612776f215dp-3, 0x1.8710590c2ab69p-3, 0x1.78b5f4b963475p-3, 0x1.6a53e664e7d4fp-3, 0x1.5bec10d52482dp-3, 0x1.4d804d97ebdf7p-3, 0x1.3f126ced9ac92p-3, 0x1.30a435b7dc4eep-3, 0x1.2237656bc1e95p-3, 0x1.13cdb0070a37ap-3, 0x1.0568c00845554p-3, 0x1.ee146cd371be2p-4, 0x1.d167553d754ddp-4, 0x1.b4cd5526cf63p-4, 0x1.9849755cf94d8p-4, 0x1.7bdeabaa60c72p-4, 0x1.5f8fdae1c2015p-4, 0x1.435fd2eceacc6p-4, 0x1.275150dea0d41p-4, 0x1.0b66ff0768f93p-4, 0x1.df46ea19f601ap-5, 0x1.a81270084bed4p-5, 0x1.71357519f071bp-5, 0x1.3ab4b9e1fae0ap-5, 0x1.0494da86c5903p-5, 0x1.9db49e0b8850dp-6, 0x1.3312d6f53419dp-6, 0x1.929981a4a0376p-7, 0x1.81a9d85325424p-8, -0x1.e30d3221dc41fp-12, -0x1.ba3ec2798baadp-8, -0x1.a93165e298c14p-7, -0x1.39a03545ad952p-6, -0x1.9d9f74703a723p-6, -0x1.0047f7f16d6bdp-5, -0x1.3135b47b295ccp-5, -0x1.6195f118781cbp-5, -0x1.9165cf452b158p-5, -0x1.c0a290565dd87p-5, -0x1.ef499519cb8aap-5, -0x1.0eac2eba00d8fp-4, -0x1.256643febe596p-4, -0x1.3bd1e8cf59499p-4, -0x1.51ee0a9598d29p-4, -0x1.67b9a57de30c5p-4, -0x1.7d33c443e14b3p-4, -0x1.925b7ffec1629p-4, -0x1.a72fffed08c6dp-4, -0x1.bbb079400bad9p-4, -0x1.cfdc2ee714224p-4, -0x1.e3b2715a217dp-4, -0x1.f7329e6469ec3p-4, -0x1.052e10773ed9bp-3, -0x1.0e9738641d74fp-3, -0x1.17d4893932df9p-3, -0x1.20e5cb7407be9p-3, -0x1.29cacdb3e1bdep-3, -0x1.3283649e3d03fp-3, -0x1.3b0f6ac32fa76p-3, -0x1.436ec081b1dfap-3, -0x1.4ba14bebdac76p-3, -0x1.53a6f8ab039b7p-3, -0x1.5b7fb7e3dce7dp-3, -0x1.632b801a7bc9cp-3, -0x1.6aaa4d16575c1p-3, -0x1.71fc1fc63f1b2p-3, -0x1.7920fe245228ep-3, -0x1.8018f319e5db5p-3, -0x1.86e40e637c1f9p-3, -0x1.8d826474ae6ep-3, -0x1.93f40e5c26d13p-3, -0x1.9a3929a79c717p-3, -0x1.a051d847d8ec5p-3, -0x1.a63e4074d1e6ep-3, -0x1.abfe8c91c4632p-3, -0x1.b192eb1173439p-3, -0x1.b6fb8e5a6bf7ep-3, -0x1.bc38acab6c961p-3, -0x1.c14a7fffe0d27p-3, -0x1.c63145f47b1dp-3, -0x1.caed3fabf00d8p-3, -0x1.cf7eb1b3d25a4p-3, -0x1.d3e5e3e994a2cp-3, -0x1.d823215fb2ce8p-3, -0x1.dc36b84306861p-3, -0x1.e020f9c045e4ap-3, -0x1.e3e239e9b8b2fp-3, -0x1.e77acf9d1456p-3, -0x1.eaeb146997128p-3, -0x1.ee33647652d07p-3, -0x1.f1541e68b2cd6p-3, -0x1.f44da34b3ee1dp-3, -0x1.f720567498d38p-3, -0x1.f9cc9d6ebc82cp-3, -0x1.fc52dfde7e8a3p-3, -0x1.feb3876b54c2ap-3, -0x1.00777fd3ac6a2p-2, -0x1.0182dafbd07dfp-2, -0x1.027c0cbe6ba1bp-2, -0x1.03634d7e0f81dp-2, -0x1.0438d664268acp-2, -0x1.04fce155b0fd4p-2, -0x1.05afa8e831128p-2, -0x1.06516856babf4p-2, -0x1.06e25b772e919p-2, -0x1.0762beafa088cp-2, -0x1.07d2ceebe4505p-2, -0x1.0832c9934b2c9p-2, -0x1.0882ec7e897d9p-2, -0x1.08c375edc7cb3p-2, -0x1.08f4a47ee665ep-2, -0x1.0916b723e5885p-2, -0x1.0929ed1983913p-2, -0x1.092e85de009f9p-2, -0x1.0924c12819998p-2, -0x1.090cdede2742ap-2, -0x1.08e71f0d760fbp-2, -0x1.08b3c1e1c43c9p-2, -0x1.0873079cf5fb3p-2, -0x1.0825308ef1a88p-2, -0x1.07ca7d0db36bp-2, -0x1.07632d6d87155p-2, -0x1.06ef81f978918p-2, -0x1.066fbaebeef5dp-2, -0x1.05e418677a9ddp-2, -0x1.054cda6fcc9bp-2, -0x1.04aa40e2e51eep-2, -0x1.03fc8b7268998p-2, -0x1.0343f99d2a0f1p-2, -0x1.0280caa8e0874p-2, -0x1.01b33d9c0aaa8p-2, -0x1.00db913803317p-2, -0x1.fff407e67f174p-3, -0x1.fe1da7e77cf06p-3, -0x1.fc347e1346f28p-3, -0x1.fa390553fd67ap-3, -0x1.f82bb7d380b37p-3, -0x1.f60d0ef1b808p-3, -0x1.f3dd833b23bfep-3, -0x1.f19d8c5fd23c3p-3, -0x1.ef4da12aa3ed9p-3, -0x1.ecee3778e4aeap-3, -0x1.ea7fc43238af4p-3, -0x1.e802bb40e0748p-3, -0x1.e5778f8a4c029p-3, -0x1.e2deb2e7fc4fdp-3, -0x1.e0389620ba0a7p-3, -0x1.dd85a8e218036p-3, -0x1.dac659ba45a4bp-3, -0x1.d7fb16122988fp-3, -0x1.d5244a27ccfeap-3, -0x1.d24261090dea6p-3, -0x1.cf55c48e9ef21p-3, -0x1.cc5edd5747de4p-3, -0x1.c95e12c37281dp-3, -0x1.c653caf0fe008p-3, -0x1.c3406ab7524b5p-3, -0x1.c02455a3b9fb4p-3, -0x1.bcffedf5fb817p-3, -0x1.b9d3949d37d3dp-3, -0x1.b69fa9350084bp-3, -0x1.b3648a02b5fadp-3, -0x1.b02293f318ae3p-3, -0x1.acda22981c5c9p-3, -0x1.a98b9026f38adp-3, -0x1.a637357653505p-3, -0x1.a2dd69fcf212ap-3, -0x1.9f7e83d036a14p-3, -0x1.9c1ad7a324034p-3, -0x1.98b2b8c573e35p-3, -0x1.95467922e4002p-3, -0x1.91d66942b944ep-3, -0x1.8e62d8476d1a2p-3, -0x1.8aec13ee8e9dp-3, -0x1.87726890ce0ep-3, -0x1.83f62122343bap-3, -0x1.807787328b2ebp-3, -0x1.7cf6e2ede924ep-3, -0x1.79747b1d65c3ap-3, -0x1.75f09527fd08dp-3, -0x1.726b75138f41dp-3, -0x1.6ee55d860fa1cp-3, -0x1.6b5e8fc6cc597p-3, -0x1.67d74bbfe38bap-3, -0x1.644fcfffd5488p-3, -0x1.60c859bb30cd3p-3, -0x1.5d4124ce6dbeep-3, -0x1.59ba6bbfd6fd2p-3, -0x1.563467c19984ap-3, -0x1.52af50b3ee96cp-3, -0x1.4f2b5d275e81bp-3, -0x1.4ba8c25f1eaddp-3, -0x1.4827b4538bd04p-3, -0x1.44a865b4b4d3ep-3, -0x1.412b07ed03ab2p-3, -0x1.3dafcb23f6d75p-3, -0x1.3a36de40f553cp-3, -0x1.36c06eee2ed1ap-3, -0x1.334ca99b9657p-3, -0x1.2fdbb981ea0f4p-3, -0x1.2c6dc8a5cd952p-3, -0x1.2902ffdaf795bp-3, -0x1.259b86c7675ecp-3, -0x1.223783e6b22cbp-3, -0x1.1ed71c8d56a0ep-3, -0x1.1b7a74ec20edfp-3, -0x1.1821b01398b1dp-3, -0x1.14cceff77c00bp-3, -0x1.117c557246c12p-3, -0x1.0e300048bcab5p-3, -0x1.0ae80f2d823c9p-3, -0x1.07a49fc4bbd2dp-3, -0x1.0465cea7b675cp-3, -0x1.012bb76893427p-3, -0x1.fbece92bf747ap-4, -0x1.f58c3f7db21e9p-4, -0x1.ef35a2ec2b1a6p-4, -0x1.e8e942acba452p-4, -0x1.e2a74c0bc3bcep-4, -0x1.dc6fea744a5c4p-4, -0x1.d643477785e7fp-4, -0x1.d0218ad47afe6p-4, -0x1.ca0ada7f968c3p-4, -0x1.c3ff5aaa504a4p-4, -0x1.bdff2dcabd663p-4, -0x1.b80a74a336854p-4, -0x1.b2214e49efb3dp-4, -0x1.ac43d83090554p-4, -0x1.a6722e2bc5ccbp-4, -0x1.a0ac6a7adb6cap-4, -0x1.9af2a5cf3d4a8p-4, -0x1.9544f75401945p-4, -0x1.8fa374b566774p-4, -0x1.8a0e322849298p-4, -0x1.8485427193477p-4, -0x1.7f08b6eda0462p-4, -0x1.79989f9799ecbp-4, -0x1.74350b10c68e1p-4, -0x1.6ede06a7d0667p-4, -0x1.69939e5ffee57p-4, -0x1.6455dcf865107p-4, -0x1.5f24cbf2ffe23p-4, -0x1.5a00739bcc939p-4, -0x1.54e8db0fcad4fp-4, -0x1.4fde0843f52f2p-4, -0x1.4ae0000c27171p-4, -0x1.45eec621f7c04p-4, -0x1.410a5d2b80598p-4, -0x1.3c32c6c213afbp-4, -0x1.37680378ea8eap-4, -0x1.32aa12e3b4dcap-4, -0x1.2df8f39d2164p-4, -0x1.2954a34d518d9p-4, -0x1.24bd1eb03a1c4p-4, -0x1.2032619bf43f7p-4, -0x1.1bb46706f95cfp-4, -0x1.1743290e4ce88p-4, -0x1.12dea0fb92e21p-4, -0x1.0e86c74b175f2p-4, -0x1.0a3b93b1bad07p-4, -0x1.05fcfd22d0612p-4, -0x1.01caf9d5e8fc3p-4, -0x1.fb4afe990bbc5p-5, -0x1.f31904af7647ep-5, -0x1.eaffee3b7ad5dp-5, -0x1.e2ffa23eb3409p-5, -0x1.db18067ab3475p-5, -0x1.d348ff7baa10ap-5, -0x1.cb9270a2d80cbp-5, -0x1.c3f43c30ddc91p-5, -0x1.bc6e434fdec9ap-5, -0x1.b500661d81328p-5, -0x1.adaa83b4ba6d1p-5, -0x1.a66c7a377de57p-5, -0x1.9f4626d839772p-5, -0x1.983765e32d42bp-5, -0x1.914012c798fp-5, -0x1.8a600820bf6d2p-5, -0x1.83971fbec4ac1p-5, -0x1.7ce532af5f668p-5, -0x1.764a19465ee64p-5, -0x1.6fc5ab261502p-5, -0x1.6957bf47871a2p-5, -0x1.63002c0282f07p-5, -0x1.5cbec7158675fp-5, -0x1.569365ad80e5p-5, -0x1.507ddc6d6d27fp-5, -0x1.4a7dff75c1ac4p-5, -0x1.4493a26bbd614p-5, -0x1.3ebe98808be5fp-5, -0x1.38feb47841f53p-5, -0x1.3353c8b0b6fc4p-5, -0x1.2dbda72833c51p-5, -0x1.283c2184000d6p-5, -0x1.22cf0916cad26p-5, -0x1.1d762ee6eb8e7p-5, -0x1.183163b47aa63p-5, -0x1.130077ff5080fp-5, -0x1.0de33c0cd7972p-5, -0x1.08d97fedbf8b5p-5, -0x1.03e3138387cc4p-5, -0x1.fdff8d0be32c2p-6, -0x1.f45ed110837f7p-6, -0x1.eae391fcd8bbcp-6, -0x1.e18d6e8434178p-6, -0x1.d85c052f12a1dp-6, -0x1.cf4ef464ad635p-6, -0x1.c665da7437de4p-6, -0x1.bda0559de9c81p-6, -0x1.b4fe041bc047fp-6, -0x1.ac7e842a17192p-6, -0x1.a421740fdba49p-6, -0x1.9be67226b2075p-6, -0x1.93cd1ce2bb1a2p-6, -0x1.8bd512da33101p-6, -0x1.83fdf2cccbd4p-6, -0x1.7c475baad136ap-6, -0x1.74b0ec9c1909fp-6, -0x1.6d3a4506baf0dp-6, -0x1.65e304958af6fp-6, -0x1.5eaacb3e5d445p-6, -0x1.579139482cf81p-6, -0x1.5095ef50e1e66p-6, -0x1.49b88e5317bf7p-6, -0x1.42f8b7ab8bd7bp-6, -0x1.3c560d1e67c1p-6, -0x1.35d030dc60f71p-6, -0x1.2f66c58795b21p-6, -0x1.29196e3858d62p-6, -0x1.22e7ce81b61b8p-6, -0x1.1cd18a75cd674p-6, -0x1.16d646aa1419cp-6, -0x1.10f5a83b53841p-6, -0x1.0b2f54d187b2cp-6, -0x1.0582f2a3961c3p-6, -0x1.ffe050f5be076p-7, -0x1.f4ed3b6d1da62p-7, -0x1.ea2bf49dea2b8p-7, -0x1.df9bcdb106fb4p-7, -0x1.d53c190d8ff62p-7, -0x1.cb0c2a5e6df6p-7, -0x1.c10b5697aa8cep-7, -0x1.b738f3fb68496p-7, -0x1.ad945a1ebc048p-7, -0x1.a41ce1ee267c5p-7, -0x1.9ad1e5b1b2736p-7, -0x1.91b2c11135fffp-7, -0x1.88bed117c4f8p-7, -0x1.7ff5743770c66p-7, -0x1.77560a4c6935ep-7, -0x1.6edff4a00c5a3p-7, -0x1.669295ebc3cdbp-7, -0x1.5e6d525b98c09p-7, -0x1.566f8f90955d8p-7, -0x1.4e98b4a2fa8d7p-7, -0x1.46e82a242071dp-7, -0x1.3f5d5a2075455p-7, -0x1.37f7b020e340cp-7, -0x1.30b6992c3b25bp-7, -0x1.299983c8982adp-7, -0x1.229fdffc360cp-7, -0x1.1bc91f4e84bedp-7, -0x1.1514b4c8aeb5cp-7, -0x1.0e8214f64f459p-7, -0x1.0810b5e5b9b8p-7, -0x1.01c00f2845936p-7, -0x1.f71f33a4c2ec4p-8, -0x1.eafda0f6ff56bp-8, -0x1.df1a5e7bdcf46p-8, -0x1.d374676d10b3ap-8, -0x1.c80aba0850616p-8, -0x1.bcdc578e50d4bp-8, -0x1.b1e844415fe4fp-8, -0x1.a72d8763900abp-8, -0x1.9cab2b3512b8bp-8, -0x1.92603cf1d5478p-8, -0x1.884bcccf78ca9p-8, -0x1.7e6cedfaa53c7p-8, -0x1.74c2b6944b36cp-8, -0x1.6b4c3faece4e1p-8, -0x1.6208a54ad6c2fp-8, -0x1.58f70654249bfp-8, -0x1.5016849df9316p-8, -0x1.476644df8bfbfp-8, -0x1.3ee56eb04446cp-8, -0x1.36932c83e1263p-8, -0x1.2e6eaba6323fep-8, -0x1.26771c3702645p-8, -0x1.1eabb125e062bp-8, -0x1.170ba02d3f893p-8, -0x1.0f9621ce5c55fp-8, -0x1.084a714c292d6p-8, -0x1.0127cca6a575ep-8, -0x1.f45ae92bd9da8p-9, -0x1.e6b5590a31187p-9, -0x1.d95d751a675cfp-9, -0x1.cc51cedff5ceap-9, -0x1.bf90fd252b8bp-9, -0x1.b3199bf070c3cp-9, -0x1.a6ea4c795100ep-9, -0x1.9b01b51d36925p-9, -0x1.8f5e815480142p-9, -0x1.83ff61a72d3d8p-9, -0x1.78e30ba1373dfp-9, -0x1.6e0839c731b9fp-9, -0x1.636dab8a81f15p-9, -0x1.5912253db9edbp-9, -0x1.4ef47008d0c95p-9, -0x1.451359dcdcdbep-9, -0x1.3b6db568c7db3p-9, -0x1.32025a0c84bd3p-9, -0x1.28d023cd67852p-9, -0x1.1fd5f349e3f1cp-9, -0x1.1712adad468a3p-9, -0x1.0e853ca3761cap-9, -0x1.062c8e4cd5538p-9, -0x1.fc0f2a63bcf8ap-10, -0x1.ec2a906d855ebp-10, -0x1.dca9451e3a76cp-10, -0x1.cd894763331d7p-10, -0x1.bec89e978d72bp-10, -0x1.b0655a6a8e3cp-10, -0x1.a25d92c7f0cb1p-10, -0x1.94af67bea1924p-10, -0x1.87590168772dp-10, -0x1.7a588fd10498cp-10, -0x1.6dac4addd7188p-10, -0x1.6152723509612p-10, -0x1.55494d257bdb9p-10, -0x1.498f2a8e339aep-10, -0x1.3e2260c61fc6fp-10, -0x1.33014d83b67f1p-10, -0x1.282a55c4e86e6p-10, -0x1.1d9be5b721e2dp-10, -0x1.1354709f2a1d5p-10, -0x1.095270c1adc4ep-10, -0x1.ff28ce9650b1fp-11, -0x1.ec31b870fc22dp-11, -0x1.d9bcbc7eabcf1p-11, -0x1.c7c7056df4c96p-11, -0x1.b64dcb02044a7p-11, -0x1.a54e51e4b5f8ap-11, -0x1.94c5eb7836e51p-11, -0x1.84b1f5aa35134p-11, -0x1.750fdac615bafp-11, -0x1.65dd11483b8ddp-11, -0x1.57171bb15f749p-11, -0x1.48bb885a714e3p-11, -0x1.3ac7f1488a3fbp-11, -0x1.2d39fc013541dp-11, -0x1.200f595f031efp-11, -0x1.1345c5677d7e7p-11, -0x1.06db071f70935p-11, -0x1.f599e0c387ad3p-12, -0x1.de32bb6966276p-12, -0x1.c77c6c4326b35p-12, -0x1.b172d6148c402p-12, -0x1.9c11f00345a73p-12, -0x1.8755c54659d62p-12, -0x1.733a74d430a2ap-12, -0x1.5fbc31159aa46p-12, -0x1.4cd73f96f8f98p-12, -0x1.3a87f8ba613e9p-12, -0x1.28cac76a856e9p-12, -0x1.179c28d066ef2p-12, -0x1.06f8ac065df6cp-12, -0x1.edb9e39d5f28ep-13, -0x1.ce8b58950f635p-13, -0x1.b05f3d5f90fb5p-13, -0x1.932f3a0464dd9p-13, -0x1.76f517996b649p-13, -0x1.5baabfb39c546p-13, -0x1.414a3bddfd9d1p-13, -0x1.27cdb511582aep-13, -0x1.0f2f73280ed1bp-13, -0x1.eed3b8bbb3506p-14, -0x1.c0eee98e65912p-14, -0x1.94a5bb9d8d57ap-14, -0x1.69edab6da429dp-14, -0x1.40bc6e2eaa21ap-14, -0x1.1907f0bf3dd1dp-14, -0x1.e58cad6f20056p-15, -0x1.9bdbf2e0d3befp-15, -0x1.54eace27cf018p-15, -0x1.10a6c351c06fp-15, -0x1.9dfb78b11228ep-16, -0x1.1fbc0e9559c4fp-16, -0x1.4cd951f5c1184p-17, -0x1.8f5b4d32c9aefp-19, 0x1.ef4681b3874b8p-19, 0x1.5260d67ad1af1p-17, 0x1.100b176680e24p-16, 0x1.7297d15b28a63p-16, 0x1.d0f4e5aa73f4p-16, 0x1.159ffa1797e54p-15, 0x1.40caf994a0a8p-15, 0x1.6a09993f8a047p-15, 0x1.9169af6131fbep-15, 0x1.b6f8c22ee2511p-15, 0x1.dac409413f0c9p-15, 0x1.fcd86f1b24e7bp-15, 0x1.0ea1494eea773p-14, 0x1.1e076440476f3p-14, 0x1.2ca48e5b2f4dfp-14, 0x1.3a7ea9ec4cb34p-14, 0x1.479b7645fca9p-14, 0x1.54009068a33d7p-14, 0x1.5fb373b7f96e3p-14, 0x1.6ab97a9a9a769p-14, 0x1.7517df25df79fp-14, 0x1.7ed3bbbead7a4p-14, 0x1.87f20bbad7065p-14, 0x1.9077abfecf088p-14, 0x1.98695b9d0de95p-14, 0x1.9fcbbc6a6bb2p-14, 0x1.a6a3539790157p-14, 0x1.acf48a45f3351p-14, 0x1.b2c3ae16c2ed5p-14, 0x1.b814f1bf0f646p-14, 0x1.bcec6d8e9fb5ap-14, 0x1.c14e1fffc75fap-14, 0x1.c53dee3d5e142p-14, 0x1.c8bfa4aae5fa1p-14, 0x1.cbd6f765daefcp-14, 0x1.ce8782c764e19p-14, 0x1.d0d4cbe595084p-14, 0x1.d2c2410ecf901p-14, 0x1.d4533a459dbb6p-14, 0x1.d58af9b9eae48p-14, 0x1.d66cac3cfa6b4p-14, 0x1.d6fb69ba38a07p-14, 0x1.d73a35a6594f6p-14, 0x1.d72bff6ef9c89p-14, 0x1.d6d3a2eec772bp-14, 0x1.d633e8d3409c8p-14, 0x1.d54f870c03a9dp-14, 0x1.d42921302b041p-14, 0x1.d2c348e85a9a4p-14, 0x1.d1207e4fbeed1p-14, 0x1.cf4330592d8ccp-14, 0x1.cd2dbd30d1153p-14, 0x1.cae2729aa182cp-14, 0x1.c8638e4ee5ec5p-14, 0x1.c5b33e58bedbbp-14, 0x1.c2d3a16d0c48cp-14, 0x1.bfc6c7461ac19p-14, 0x1.bc8eb0f61fe53p-14, 0x1.b92d5140f6599p-14, 0x1.b5a48ced1c5ep-14, 0x1.b1f63b143d45dp-14, 0x1.ae24257826412p-14, 0x1.aa3008cb30fa9p-14, 0x1.a61b950216bc2p-14, 0x1.a1e86d9e450aep-14, 0x1.9d9829f69391fp-14, 0x1.992c5583efe72p-14, 0x1.94a670235356fp-14, 0x1.9007ee60d335fp-14, 0x1.8b5239b8210ecp-14, 0x1.8686b0da1953p-14, 0x1.81a6a7ecce14ap-14, 0x1.7cb368ce66d3dp-14, 0x1.77ae3351570e5p-14, 0x1.72983d7c8cd21p-14, 0x1.6d72b3c7097e3p-14, 0x1.683eb953e839ap-14, 0x1.62fd682a702e7p-14, 0x1.5dafd1730d4b7p-14, 0x1.5856fda9ef48bp-14, 0x1.52f3ecdaec72cp-14, 0x1.4d8796d35041fp-14, 0x1.4812eb5799d9ap-14, 0x1.4296d2566c4b7p-14, 0x1.3d142c1c19f52p-14, 0x1.378bd17fdcea6p-14, 0x1.31fe94197959ap-14, 0x1.2c6d3e6b8f0bep-14, 0x1.26d89414ee06dp-14, 0x1.214151fac06b3p-14, 0x1.1ba82e78442dfp-14, 0x1.160dd9857c7e8p-14, 0x1.1072fce56cb1ap-14, 0x1.0ad83c4c9a46bp-14, 0x1.053e358bab533p-14, 0x1.ff4b016a35402p-15, 0x1.f41d6087c7ac1p-15, 0x1.e8f4a2878717ep-15, 0x1.ddd1d6e512e87p-15, 0x1.d2b602ccd6bacp-15, 0x1.c7a221630d149p-15, 0x1.bc972405535edp-15, 0x1.b195f292c59c8p-15, 0x1.a69f6ba90afcfp-15, 0x1.9bb464eb03293p-15, 0x1.90d5ab376566ap-15, 0x1.860402eec7145p-15, 0x1.7b402829e84c2p-15, 0x1.708acef76b983p-15, 0x1.65e4a39346c5cp-15, 0x1.5b4e4aa1d658p-15, 0x1.50c86162e02b2p-15, 0x1.46537dea097ccp-15, 0x1.3bf02f5296b5cp-15, 0x1.319efdf0100c6p-15, 0x1.27606b83441fdp-15, 0x1.1d34f3699371dp-15, 0x1.131d0acc09ccep-15, 0x1.091920ce1662cp-15, 0x1.fe533d76f0b52p-16, 0x1.ea9dd067df32p-16, 0x1.d712b6ab44212p-16, 0x1.c3b2a1cfc05fbp-16, 0x1.b07e3906c3079p-16, 0x1.9d76197a60d6ap-16, 0x1.8a9ad691cac04p-16, 0x1.77ecfa471127fp-16, 0x1.656d056ace868p-16, 0x1.531b6ff177794p-16, 0x1.40f8a935dd3f3p-16, 0x1.2f051840708b2p-16, 0x1.1d411c0af1345p-16, 0x1.0bad0bbfa2067p-16, 0x1.f4926df7629b7p-17, 0x1.d22bcc1c6bc6fp-17, 0x1.b026b45fec39bp-17, 0x1.8e839b86ea6fep-17, 0x1.6d42e9199449cp-17, 0x1.4c64f7d3bee17p-17, 0x1.2bea1612963bep-17, 0x1.0bd2863f55583p-17, 0x1.d83cfe6c20a59p-18, 0x1.999c5958b1427p-18, 0x1.5bc35f29935bfp-18, 0x1.1eb23cf5f6efdp-18, 0x1.c4d21798ae7cep-19, 0x1.4dcfa2b46f499p-19, 0x1.b0ba02b13c3bcp-20, 0x1.91e7d6797c09ep-21, -0x1.bb3c1f6cb4db4p-24, -0x1.fa7c11a09e85dp-21, -0x1.dbac2d64c2d8cp-20, -0x1.5b7fd8ce7b6bdp-19, -0x1.c79d297b1926ep-19, -0x1.1917820c90127p-18, -0x1.4d9b3fc0192c1p-18, -0x1.815a667c5851ep-18, -0x1.b4559b9532df5p-18, -0x1.e68d908ae53edp-18, -0x1.0c0181463a4eap-17, -0x1.245b5cfec5d75p-17, -0x1.3c54c4fc17a7p-17, -0x1.53ee27f0ecf28p-17, -0x1.6b27f978934f1p-17, -0x1.8202b1e42360fp-17, -0x1.987ece0074222p-17, -0x1.ae9ccee401c87p-17, -0x1.c45d39c062547p-17, -0x1.d9c097aabc9a8p-17, -0x1.eec77571715bap-17, -0x1.01b931b523d18p-16, -0x1.0be0faa59d042p-16, -0x1.15db60fc1da4bp-16, -0x1.1fa8b1ae63c64p-16, -0x1.29493b21c2efep-16, -0x1.32bd4d1734fe6p-16, -0x1.3c0538973724p-16, -0x1.45214fe08c615p-16, -0x1.4e11e6542c893p-16, -0x1.56d750664dab8p-16, -0x1.5f71e38bdeb1ap-16, -0x1.67e1f62aa246bp-16, -0x1.7027df890f62p-16, -0x1.7843f7bf11eb1p-16, -0x1.803697a655e93p-16, -0x1.880018cdeb76fp-16, -0x1.8fa0d569bf897p-16, -0x1.97192847479ebp-16, -0x1.9e696cbf63554p-16, -0x1.a591fea92eaf3p-16, -0x1.ac933a4eb5ae3p-16, -0x1.b36d7c617f951p-16, -0x1.ba2121edc835ap-16, -0x1.c0ae8851050aep-16, -0x1.c7160d2d80866p-16, -0x1.cd580e60c81b7p-16, -0x1.d374e9fae29b4p-16, -0x1.d96cfe33c4ee6p-16, -0x1.df40a9614939ep-16, -0x1.e4f049ef1b8a9p-16, -0x1.ea7c3e568bd64p-16, -0x1.efe4e5155842cp-16, -0x1.f52a9ca643265p-16, -0x1.fa4dc378fe418p-16, -0x1.ff4eb7eb10bc4p-16, -0x1.0216ec203918dp-15, -0x1.0475c14e4eacap-15, -0x1.06c40a7e43eb2p-15, -0x1.0901f697a9703p-15, -0x1.0b2fb468a0b83p-15, -0x1.0d4d72a254853p-15, -0x1.0f5b5fd67fd9p-15, -0x1.1159aa750d119p-15, -0x1.134880c8c7f49p-15, -0x1.152810f5436a1p-15, -0x1.16f888f44beccp-15, -0x1.18ba16940bf51p-15, -0x1.1a6ce77446353p-15, -0x1.1c1129048758ep-15, -0x1.1da708825e9e2p-15, -0x1.1f2eb2f701fd8p-15, -0x1.20a855359640bp-15, -0x1.22141bd9a5936p-15, -0x1.2372334582432p-15, -0x1.24c2c7a044fa1p-15, -0x1.260604d4c674bp-15, -0x1.273c168fc167cp-15, -0x1.2865283ed7bddp-15, -0x1.2981650eea2b9p-15, -0x1.2a90f7eb503a5p-15, -0x1.2b940b7c8cd0ep-15, -0x1.2c8aca26d49edp-15, -0x1.2d755e095bc48p-15, -0x1.2e53f0fd7167p-15, -0x1.2f26ac954e866p-15, -0x1.2fedba1b6d5fdp-15, -0x1.30a9429199d6dp-15, -0x1.31596eb069443p-15, -0x1.31fe66e66b4c2p-15, -0x1.3298535711904p-15, -0x1.33275bdacab53p-15, -0x1.33aba7fe19471p-15, -0x1.34255f01176d4p-15, -0x1.3494a7d6fd234p-15, -0x1.34f9a9257853ap-15, -0x1.35548944d198p-15, -0x1.35a56e3efe6edp-15, -0x1.35ec7dcfb9bb1p-15, -0x1.3629dd63dec16p-15, -0x1.365db2198efc9p-15, -0x1.368820bfa53e4p-15, -0x1.36a94dd5aed65p-15, -0x1.36c15d8bb249cp-15, -0x1.36d073c25412ap-15, -0x1.36d6b40a5f5ebp-15, -0x1.36d441a4be221p-15, -0x1.36c93f8295ea4p-15, -0x1.36b5d04555326p-15, -0x1.369a163e8545bp-15, -0x1.3676336ffae2dp-15, -0x1.364a498bdf99ep-15, -0x1.361679f4b50aep-15, -0x1.35dae5bd5c19fp-15, -0x1.3597ada947605p-15, -0x1.354cf22cbc62ap-15, -0x1.34fad36cb9fc5p-15, -0x1.34a1713f652e1p-15, -0x1.3440eb2c4a543p-15, -0x1.33d9606c34ccbp-15, -0x1.336aefe9b1bfap-15, -0x1.32f5b8415ab3fp-15, -0x1.3279d7c1e84b5p-15, -0x1.31f76c6c73d4ep-15, -0x1.316e93f4d8f07p-15, -0x1.30df6bc210597p-15, -0x1.304a10ee6e3b7p-15, -0x1.2faea047e19b2p-15, -0x1.2f0d3650559d8p-15, -0x1.2e65ef3e241a3p-15, -0x1.2db8e6fc463eep-15, -0x1.2d06392a99bc9p-15, -0x1.2c4e011ec2515p-15, }}, 
      {{0x1.14866f8c40919p-7, 0x1.14ebae7d2ed9fp-6, 0x1.a051db22f83c9p-6, 0x1.165c0a3347c68p-5, 0x1.5d22da5179f2ep-5, 0x1.a48311d3e0812p-5, 0x1.ec755c9c67573p-5, 0x1.1a739b1372023p-4, 0x1.3ede9afea5fd3p-4, 0x1.636abd885f3ecp-4, 0x1.8804fdeb19a9dp-4, 0x1.ac994c513df5dp-4, 0x1.d1136fb5d6121p-4, 0x1.f55fbe01c59bfp-4, 0x1.0cb5d5cd886a2p-3, 0x1.1e931ad405e27p-3, 0x1.304015a2afce9p-3, 0x1.41b62d2344523p-3, 0x1.52efd208a9c7dp-3, 0x1.63e87f74734b2p-3, 0x1.749cb3d26bc09p-3, 0x1.8509e3b594cb3p-3, 0x1.952e684c58fe7p-3, 0x1.a5096acbe0288p-3, 0x1.b49acdfe0317bp-3, 0x1.c3e316eb9a9ecp-3, 0x1.d2e3556e6a409p-3, 0x1.e19d0d4bdf89ep-3, 0x1.f0122053cb4c6p-3, 0x1.fe44b9dd4f44cp-3, 0x1.061b9defcb25p-2, 0x1.0cf616e60268fp-2, 0x1.13b3169dec317p-2, 0x1.1a53f039a0a91p-2, 0x1.20d9f557f103cp-2, 0x1.2746711793d75p-2, 0x1.2d9aa3e941ae6p-2, 0x1.33d7c0218687bp-2, 0x1.39fee739cd352p-2, 0x1.401127af8f302p-2, 0x1.460f7b70acfa8p-2, 0x1.4bfac6c44c6b7p-2, 0x1.51d3d7a075bd2p-2, 0x1.579b655d945e5p-2, 0x1.5d5210ba217d7p-2, 0x1.62f86421ecd8ep-2, 0x1.688ed42daf523p-2, 0x1.6e15c050bc0f4p-2, 0x1.738d73abcf96p-2, 0x1.78f625fd0ec02p-2, 0x1.7e4ffca641315p-2, 0x1.839b0bc34c5aep-2, 0x1.88d7574bb9903p-2, 0x1.8e04d43ae144bp-2, 0x1.932369baf452fp-2, 0x1.9832f24fbb609p-2, 0x1.9d333cfe6be8ap-2, 0x1.a2240e705b946p-2, 0x1.a705220ed1b77p-2, 0x1.abd62b167ee96p-2, 0x1.b096d5a176b27p-2, 0x1.b546c7a6c9ae6p-2, 0x1.b9e5a1ef118aep-2, 0x1.be7300fd71187p-2, 0x1.c2ee7decb9437p-2, 0x1.c757af407c6d5p-2, 0x1.cbae29aa004ecp-2, 0x1.cff180c11098p-2, 0x1.d42147b0ca7dep-2, 0x1.d83d11d88ef1dp-2, 0x1.dc447361512cep-2, 0x1.e03701c7885c7p-2, 0x1.e414545a11d8ap-2, 0x1.e7dc04ae5c4abp-2, 0x1.eb8daf0a33498p-2, 0x1.ef28f2c395695p-2, 0x1.f2ad7296f42fdp-2, 0x1.f61ad4f44627bp-2, 0x1.f970c44358262p-2, 0x1.fcaeef1fc6df7p-2, 0x1.ffd5088d0ebe3p-2, 0x1.017164118a78bp-1, 0x1.02ebf519d1523p-1, 0x1.045a17f494ba9p-1, 0x1.05bbafafa50d6p-1, 0x1.0710a1dab97fep-1, 0x1.0858d68e03b3ap-1, 0x1.0994386e32377p-1, 0x1.0ac2b4ae1452ap-1, 0x1.0be43b0e0b4d6p-1, 0x1.0cf8bdd97531dp-1, 0x1.0e0031e23a952p-1, 0x1.0efa8e7aa7df2p-1, 0x1.0fe7cd6dbc48cp-1, 0x1.10c7eaf60c418p-1, 0x1.119ae5b363e02p-1, 0x1.1260be9f426edp-1, 0x1.1319790055905p-1, 0x1.13c51a5d0e279p-1, 0x1.1463aa6d6ceb1p-1, 0x1.14f5330c21af5p-1, 0x1.1579c027167aep-1, 0x1.15f15faf7d7a4p-1, 0x1.165c218978b2bp-1, 0x1.16ba177b6f3e8p-1, 0x1.170b551d23a4dp-1, 0x1.174fefc69d8dap-1, 0x1.1787fe7ef5c5bp-1, 0x1.17b399eb13f7cp-1, 0x1.17d2dc3c6e27dp-1, 0x1.17e5e11fd32cfp-1, 0x1.17ecc5ac4d5c3p-1, 0x1.17e7a8522861ep-1, 0x1.17d6a8ca21fd2p-1, 0x1.17b9e804d09b7p-1, 0x1.1791881a4401ap-1, 0x1.175dac39e93ffp-1, 0x1.171e789ab76f4p-1, 0x1.16d4126ba8f4ep-1, 0x1.167e9fc487adep-1, 0x1.161e47970dfcp-1, 0x1.15b331a060aap-1, 0x1.153d865ae4bb2p-1, 0x1.14bd6ef072072p-1, 0x1.1433152ce5ef2p-1, 0x1.139ea37114a19p-1, 0x1.130044a61ce1ep-1, 0x1.125824311be9bp-1, 0x1.11a66de74405bp-1, 0x1.10eb4e0252dbap-1, 0x1.1026f115698afp-1, 0x1.0f59840243952p-1, 0x1.0e8333eeccfdp-1, 0x1.0da42e3b172e2p-1, 0x1.0cbca077a7d42p-1, 0x1.0bccb85c255ffp-1, 0x1.0ad4a3be5a313p-1, 0x1.09d490899107cp-1, 0x1.08ccacb646566p-1, 0x1.07bd26422d96fp-1, 0x1.06a62b28886bbp-1, 0x1.0587e95acdcc3p-1, 0x1.04628eb99e299p-1, 0x1.0336490e04c21p-1, 0x1.02034603014dfp-1, 0x1.00c9b31f5a052p-1, 0x1.ff137b7f64f33p-2, 0x1.fc872621ce1a7p-2, 0x1.f9eec01551ad4p-2, 0x1.f74aa2d4b144dp-2, 0x1.f49b275c3feefp-2, 0x1.f1e0a6208d29ap-2, 0x1.ef1b77057cf05p-2, 0x1.ec4bf155d4559p-2, 0x1.e9726bbb301b9p-2, 0x1.e68f3c3660735p-2, 0x1.e3a2b8182dd9cp-2, 0x1.e0ad33fa7b315p-2, 0x1.ddaf03b9c518fp-2, 0x1.daa87a6eff614p-2, 0x1.d799ea69c5a1p-2, 0x1.d483a52ae11c8p-2, 0x1.d165fb5f215b5p-2, 0x1.ce413cda7ff37p-2, 0x1.cb15b893945f7p-2, 0x1.c7e3bc9f4b1f1p-2, 0x1.c4ab962ce87d5p-2, 0x1.c16d91824aab6p-2, 0x1.be29f9f870e85p-2, 0x1.bae119f83f5a3p-2, 0x1.b7933af780e9fp-2, 0x1.b440a576239ebp-2, 0x1.b0e9a0fbad436p-2, 0x1.ad8e7414e8c96p-2, 0x1.aa2f6451c47c6p-2, 0x1.a6ccb64368819p-2, 0x1.a366ad7a78e17p-2, 0x1.9ffd8c858be7dp-2, 0x1.9c9194efcc7ebp-2, 0x1.9923073fc7a3p-2, 0x1.95b222f666b5dp-2, 0x1.923f268e11d2ap-2, 0x1.8eca4f79fb0d2p-2, 0x1.8b53da258f817p-2, 0x1.87dc01f40dc66p-2, 0x1.8463014041517p-2, 0x1.80e9115c5f47dp-2, 0x1.7d6e6a92044b2p-2, 0x1.79f3442256c7bp-2, 0x1.7677d44643a5cp-2, 0x1.72fc502edcd8ap-2, 0x1.6f80ec05d16f5p-2, 0x1.6c05daee08649p-2, 0x1.688b4f044ec87p-2, 0x1.6511796026756p-2, 0x1.61988a14ab33fp-2, 0x1.5e20b03191d0ap-2, 0x1.5aaa19c43cbf5p-2, 0x1.5734f3d8ec02cp-2, 0x1.53c16a7bfd5a1p-2, 0x1.504fa8bb46613p-2, 0x1.4cdfd8a7819a7p-2, 0x1.49722355ce61cp-2, 0x1.4606b0e144aap-2, 0x1.429da86c9ac33p-2, 0x1.3f373023dd281p-2, 0x1.3bd36d3e37e3fp-2, 0x1.387283ffcd29ep-2, 0x1.351497bb9e64ep-2, 0x1.31b9cad5843bdp-2, 0x1.2e623ec43275bp-2, 0x1.2b0e14134c236p-2, 0x1.27bd6a658257dp-2, 0x1.24706076c2449p-2, 0x1.2127141e6c93p-2, 0x1.1de1a251997e6p-2, 0x1.1aa02725677c7p-2, 0x1.1762bdd153925p-2, 0x1.142980b19bc8p-2, 0x1.10f48949aad74p-2, 0x1.0dc3f0468c361p-2, 0x1.0a97cd81687cbp-2, 0x1.0770380208d4ap-2, 0x1.044d460161e1ap-2, 0x1.012f0cec26255p-2, 0x1.fc2b42cabb522p-3, 0x1.f6022e9205df7p-3, 0x1.efe3035d4a5bbp-3, 0x1.e9cde5d824d9ap-3, 0x1.e3c2f93001999p-3, 0x1.ddc25f1980439p-3, 0x1.d7cc37d5d9c5p-3, 0x1.d1e0a2384d381p-3, 0x1.cbffbbab94b55p-3, 0x1.c629a0375cc92p-3, 0x1.c05e6a85bb07dp-3, 0x1.ba9e33e8b5584p-3, 0x1.b4e9145fbb2bcp-3, 0x1.af3f229d2e8a9p-3, 0x1.a9a0740be3747p-3, 0x1.a40d1cd4a8ed1p-3, 0x1.9e852fe3c85c5p-3, 0x1.9908beee8dbap-3, 0x1.9397da78c60c7p-3, 0x1.8e3291da3ec8ep-3, 0x1.88d8f34447d66p-3, 0x1.838b0bc725bccp-3, 0x1.7e48e7578e607p-3, 0x1.791290d41427bp-3, 0x1.73e8120a9909dp-3, 0x1.6ec973bdae44ep-3, 0x1.69b6bda9fbfd8p-3, 0x1.64aff68b9828dp-3, 0x1.5fb5242359f18p-3, 0x1.5ac64b3c28b68p-3, 0x1.55e36fb03dd8cp-3, 0x1.510c946e61412p-3, 0x1.4c41bb7f21815p-3, 0x1.4782e609f6d76p-3, 0x1.42d0145a6a981p-3, 0x1.3e2945e52c1fcp-3, 0x1.398e794d207cfp-3, 0x1.34ffac686244ap-3, 0x1.307cdc453a5e2p-3, 0x1.2c06052f11c4ep-3, 0x1.279b22b34d4d1p-3, 0x1.233c2fa627a5ap-3, 0x1.1ee9262779c2dp-3, 0x1.1aa1ffa77c3f5p-3, 0x1.1666b4eb75637p-3, 0x1.12373e125f419p-3, 0x1.0e13929984259p-3, 0x1.09fba9610426p-3, 0x1.05ef78b0572fep-3, 0x1.01eef63abd7b6p-3, 0x1.fbf42e47459d8p-4, 0x1.f421a005e214fp-4, 0x1.ec6629d2badddp-4, 0x1.e4c1b2c93c432p-4, 0x1.dd3421072f9p-4, 0x1.d5bd59b4f4d8bp-4, 0x1.ce5d410da09d8p-4, 0x1.c713ba6700ccfp-4, 0x1.bfe0a8397cd42p-4, 0x1.b8c3ec27e255cp-4, 0x1.b1bd670705e5p-4, 0x1.aaccf8e55cb85p-4, 0x1.a3f2811266db4p-4, 0x1.9d2dde25fb792p-4, 0x1.967eee0783629p-4, 0x1.8fe58df513075p-4, 0x1.89619a8a5b733p-4, 0x1.82f2efc78c834p-4, 0x1.7c9969180f599p-4, 0x1.7654e1592a4bep-4, 0x1.702532e0800dep-4, 0x1.6a0a378278571p-4, 0x1.6403c8988775ap-4, 0x1.5e11bf0757ccp-4, 0x1.5833f344d8bebp-4, 0x1.526a3d5e2e239p-4, 0x1.4cb474fd8521ep-4, 0x1.4712716fc939dp-4, 0x1.418409aa3f436p-4, 0x1.3c09145001a39p-4, 0x1.36a167b7616a1p-4, 0x1.314cd9ef2b1cap-4, 0x1.2c0b40c3cf5bcp-4, 0x1.26dc71c46dcd4p-4, 0x1.21c04247c7ec6p-4, 0x1.1cb6877114b65p-4, 0x1.17bf1634bb2f7p-4, 0x1.12d9c35cf22a1p-4, 0x1.0e06638e41cbbp-4, 0x1.0944cb4befc8bp-4, 0x1.0494cefc4d03ap-4, 0x1.ffec85d9d354fp-5, 0x1.f6d1f6ad64ea3p-5, 0x1.edd998c3de35p-5, 0x1.e50314545a7e3p-5, 0x1.dc4e11841af57p-5, 0x1.d3ba386df1f1dp-5, 0x1.cb47312983fa1p-5, 0x1.c2f4a3d24a856p-5, 0x1.bac2388e75aa6p-5, 0x1.b2af979590eecp-5, 0x1.aabc6937048e3p-5, 0x1.a2e855e062545p-5, 0x1.9b3306238350fp-5, 0x1.939c22bc814f5p-5, 0x1.8c23549776f32p-5, 0x1.84c844d61fd13p-5, 0x1.7d8a9cd549627p-5, 0x1.766a0632125bp-5, 0x1.6f662acf0c72ap-5, 0x1.687eb4d92e543p-5, 0x1.61b34ecc971acp-5, 0x1.5b03a3793603dp-5, 0x1.546f5e0740decp-5, 0x1.4df629fb896a1p-5, 0x1.4797b33ba7695p-5, 0x1.4153a612025cbp-5, 0x1.3b29af31b2683p-5, 0x1.35197bba3c496p-5, 0x1.2f22b93b2f0a8p-5, 0x1.294515b79999ep-5, 0x1.23803fa95c7dcp-5, 0x1.1dd3e6046124cp-5, 0x1.183fb839a6fdap-5, 0x1.12c3663a35779p-5, 0x1.0d5ea079ef0c5p-5, 0x1.081117f23e4a1p-5, 0x1.02da7e24aaf0fp-5, 0x1.fb750a3a94f14p-6, 0x1.f161beea39107p-6, 0x1.e77a80a8800b5p-6, 0x1.ddbeb6e81fbd3p-6, 0x1.d42dca424a26dp-6, 0x1.cac7247a7aa18p-6, 0x1.c18a30820a12ep-6, 0x1.b8765a7b9075ep-6, 0x1.af8b0fbe15219p-6, 0x1.a6c7bed80a498p-6, 0x1.9e2bd79219588p-6, 0x1.95b6caf1c0254p-6, 0x1.8d680b3bba14bp-6, 0x1.853f0bf646c16p-6, 0x1.7d3b41eb37a2ep-6, 0x1.755c2329d869cp-6, 0x1.6da12708add6fp-6, 0x1.6609c6270bc2ep-6, 0x1.5e957a6e7bff1p-6, 0x1.5743bf1402081p-6, 0x1.501410994291fp-6, 0x1.4905eccd6c745p-6, 0x1.4218d2ce1b404p-6, 0x1.3b4c4307febaep-6, 0x1.349fbf376d3b2p-6, 0x1.2e12ca68ce9fcp-6, 0x1.27a4e8f8e84ecp-6, 0x1.2155a0950c5b1p-6, 0x1.1b24783b1fda1p-6, 0x1.1510f83991bd4p-6, 0x1.0f1aaa2f2badp-6, 0x1.0941190ac608fp-6, 0x1.0383d10ae3472p-6, 0x1.fbc4bf7a6294ep-7, 0x1.f0b8a7fbe15e3p-7, 0x1.e5e27bee82b43p-7, 0x1.db415e40b5407p-7, 0x1.d0d47479461d2p-7, 0x1.c69ae6b583bb9p-7, 0x1.bc93dfa711fa2p-7, 0x1.b2be8c91b028p-7, 0x1.a91a1d48bb7a6p-7, 0x1.9fa5c42caeb1ap-7, 0x1.9660b628501dbp-7, 0x1.8d4a2aadde39cp-7, 0x1.84615bb40dd6fp-7, 0x1.7ba585b2d59c5p-7, 0x1.7315e7a0479a1p-7, 0x1.6ab1c2ed041f2p-7, 0x1.62785b80d55fep-7, 0x1.5a68f7b708f6cp-7, 0x1.5282e05ab2e07p-7, 0x1.4ac560a2d1819p-7, 0x1.432fc62e695f4p-7, 0x1.3bc161007ec7dp-7, 0x1.3479837bf49adp-7, 0x1.2d57825f55d02p-7, 0x1.265ab4c093bd3p-7, 0x1.1f827408a81p-7, 0x1.18ce1bef27736p-7, 0x1.123d0a75bc463p-7, 0x1.0bce9fe39afd3p-7, 0x1.05823ec0e45d1p-7, 0x1.feae97a3ceac9p-8, 0x1.f29a5c24e34f2p-8, 0x1.e6c69d61fedb5p-8, 0x1.db323213c0da2p-8, 0x1.cfdbf544b3f66p-8, 0x1.c4c2c6476e0fp-8, 0x1.b9e588acab396p-8, 0x1.af4324393467ap-8, 0x1.a4da84dbe7471p-8, 0x1.9aaa9aa381e12p-8, 0x1.90b259b48f2cp-8, 0x1.86f0ba3f04826p-8, 0x1.7d64b8742020ep-8, 0x1.740d547bffdcbp-8, 0x1.6ae9926b5b998p-8, 0x1.61f87a39153eep-8, 0x1.593917b3e36acp-8, 0x1.50aa7a77dc9dep-8, 0x1.484bb5e404f0cp-8, 0x1.401be10ff3fd2p-8, 0x1.381a16c141a4p-8, 0x1.3045756139327p-8, 0x1.289d1ef2430ecp-8, 0x1.2120390593ec2p-8, 0x1.19cdecb0ab948p-8, 0x1.12a56682f0682p-8, 0x1.0ba5d67b4e85fp-8, 0x1.04ce6ffdcad95p-8, 0x1.fc3cd39279707p-9, 0x1.ef29fbd9c8a2cp-9, 0x1.e262d37c4533fp-9, 0x1.d5e5db9c9880fp-9, 0x1.c9b19bc09f2d1p-9, 0x1.bdc4a1bd207b3p-9, 0x1.b21d81a1944a8p-9, 0x1.a6bad5a3c86c1p-9, 0x1.9b9b3e0be36c2p-9, 0x1.90bd61203b719p-9, 0x1.861feb117d0ecp-9, 0x1.7bc18de6d7b2bp-9, 0x1.71a1016a379d2p-9, 0x1.67bd0314c0006p-9, 0x1.5e1455fb40a14p-9, 0x1.54a5c2bacf7f3p-9, 0x1.4b7017659f488p-9, 0x1.4272276fd80ecp-9, 0x1.39aacb9c95b3bp-9, 0x1.3118e1eb054bbp-9, 0x1.28bb4d83bc7c4p-9, 0x1.2090f6a626cfap-9, 0x1.1898ca95ff69fp-9, 0x1.10d1bb89147e4p-9, 0x1.093ac09514e53p-9, 0x1.01d2d59da2f24p-9, 0x1.f531f684c22e2p-10, 0x1.e7186d9a80c9dp-10, 0x1.d9572441fa6eap-10, 0x1.cbec374f6ee88p-10, 0x1.bed5cc8343c27p-10, 0x1.b212126830faap-10, 0x1.a59f4030d4973p-10, 0x1.997b9596c5099p-10, 0x1.8da55ab902909p-10, 0x1.821adffb0bdc2p-10, 0x1.76da7de47f6dap-10, 0x1.6be29500af75ap-10, 0x1.61318dbef8796p-10, 0x1.56c5d852dc4c2p-10, 0x1.4c9dec94ff56cp-10, 0x1.42b849e41f1dfp-10, 0x1.39137706ae4a6p-10, 0x1.2fae020c4948dp-10, 0x1.2686803004365p-10, 0x1.1d9b8dbac1ceep-10, 0x1.14ebcde5f7921p-10, 0x1.0c75eabed2bb7p-10, 0x1.043895098b47ap-10, 0x1.f865084a6906cp-11, 0x1.e8c4ebdfcd8bdp-11, 0x1.d98e5d55f010ep-11, 0x1.cabef1bfaa4fbp-11, 0x1.bc544a8aaa2bbp-11, 0x1.ae4c1549886ap-11, 0x1.a0a40b7fc0657p-11, 0x1.9359f26d76387p-11, 0x1.866b9adcf3541p-11, 0x1.79d6e0ef2d6adp-11, 0x1.6d99abeae39cbp-11, 0x1.61b1ee0a7e5c1p-11, 0x1.561da44bf5afap-11, 0x1.4adad640d5675p-11, 0x1.3fe795deca73ep-11, 0x1.3541ff5100fcp-11, 0x1.2ae838ca1d5e2p-11, 0x1.20d87256bb2dfp-11, 0x1.1710e5b0c951bp-11, 0x1.0d8fd61323601p-11, 0x1.0453900e35d3ap-11, 0x1.f6b4d2ba07f38p-12, 0x1.e545817514673p-12, 0x1.d455fb70cb346p-12, 0x1.c3e3212ae28cep-12, 0x1.b3e9e42a7223ap-12, 0x1.a46746b01d63ap-12, 0x1.95585b6761091p-12, 0x1.86ba4519112b6p-12, 0x1.788a365e78828p-12, 0x1.6ac571566f9ffp-12, 0x1.5d69475ad0ed9p-12, 0x1.507318b81784fp-12, 0x1.43e054643cd1ep-12, 0x1.37ae77b97e752p-12, 0x1.2bdb0e2f04915p-12, 0x1.2063b11519dfap-12, 0x1.154607510617cp-12, 0x1.0a7fc51ade0b9p-12, 0x1.000eabbc5b382p-12, 0x1.ebe1129e1a509p-13, 0x1.d84670fc926a2p-13, 0x1.c549408fbb56bp-13, 0x1.b2e5677e2c232p-13, 0x1.a116e39fa114bp-13, 0x1.8fd9ca072b0dep-13, 0x1.7f2a468cae685p-13, 0x1.6f049b5b4a504p-13, 0x1.5f65207f2d4e8p-13, 0x1.50484376e2d53p-13, 0x1.41aa86c46559fp-13, 0x1.33888184118a4p-13, 0x1.25dedeffd4d47p-13, 0x1.18aa5e4961c67p-13, 0x1.0be7d1d2e76bep-13, 0x1.ff283e146c55dp-14, 0x1.e7587beddbe72p-14, 0x1.d05a71b065ac4p-14, 0x1.ba28578bcca38p-14, 0x1.a4bc88a556998p-14, 0x1.9011826023a92p-14, 0x1.7c21e3a53b558p-14, 0x1.68e86c36d8578p-14, 0x1.565ffbfac74aap-14, 0x1.448392556fb36p-14, 0x1.334e4d7bdc434p-14, 0x1.22bb69d1a89f4p-14, 0x1.12c641442767cp-14, 0x1.036a4aab2fe2cp-14, 0x1.e9463258aa5ep-15, 0x1.ccd8b742e317dp-15, 0x1.b183b8002e443p-15, 0x1.973efd8e6a9d8p-15, 0x1.7e0284d4c3195p-15, 0x1.65c67d8cecab5p-15, 0x1.4e8349217d9a6p-15, 0x1.383179a4c0c36p-15, 0x1.22c9d0b845e57p-15, 0x1.0e453e89b63e4p-15, 0x1.f539c19b2ce3ap-16, 0x1.cf94037cf813dp-16, 0x1.ab8c2e44f288fp-16, 0x1.891582adad3bp-16, 0x1.682394b96694cp-16, 0x1.48aa49dd9f161p-16, 0x1.2a9dd72e9f8d4p-16, 0x1.0df2bf9a8549bp-16, 0x1.e53ba45a865cbp-17, 0x1.b12850abe23ap-17, 0x1.7f96487fb01e8p-17, 0x1.5070de4f0ae7cp-17, 0x1.23a3ef89cfb02p-17, 0x1.f237c2bdf417fp-18, 0x1.a18b3b61482c1p-18, 0x1.551d201a90767p-18, 0x1.0cc945451b784p-18, 0x1.90d8edae64bcdp-19, 0x1.0fc8e515d5a09p-19, 0x1.2c3f89730785ep-20, 0x1.1ce56eee289ep-22, -0x1.1ffded6b88bfdp-21, -0x1.59e43570d6e0bp-20, -0x1.0b76e6277efcdp-19, -0x1.63c7efc488e18p-19, -0x1.b61dafdec1866p-19, -0x1.01578749fb79p-18, -0x1.24d8b6a4052fp-18, -0x1.45ac58075a6b8p-18, -0x1.63eba35c8f82fp-18, -0x1.7faf1acaab2d4p-18, -0x1.990e8f3e5eca5p-18, -0x1.b0212488b3042p-18, -0x1.c4fd55a151bfp-18, -0x1.d7b8f8be1722ap-18, -0x1.e86943468db8p-18, -0x1.f722cdd03ba97p-18, -0x1.01fccbf97d117p-17, -0x1.078085fe4acbp-17, -0x1.0c260156895eap-17, -0x1.0ff66362f57dbp-17, -0x1.12fa8c4df1d8dp-17, -0x1.153b18b9ad406p-17, -0x1.16c0637734903p-17, -0x1.1792872c66ed8p-17, -0x1.17b95fe6a3a8ep-17, -0x1.173c8cbeb63aap-17, -0x1.1623715497c5ep-17, -0x1.147537572d8a5p-17, -0x1.1238d00061731p-17, -0x1.0f74f57d42e15p-17, -0x1.0c302c627ce23p-17, -0x1.0870c5017ededp-17, -0x1.043cdcccde9a2p-17, -0x1.ff34bf3b4c9d6p-18, -0x1.f51e120b0a07cp-18, -0x1.ea40cb16d14c2p-18, -0x1.dea7a7d638dd7p-18, -0x1.d25d0c852a24p-18, -0x1.c56b068c5c4d8p-18, -0x1.b7db4ec03345ep-18, -0x1.a9b74b9f05591p-18, -0x1.9b08139143e85p-18, -0x1.8bd66eefed247p-18, -0x1.7c2ada3ad41e1p-18, -0x1.6c0d881101a37p-18, -0x1.5b8663357a895p-18, -0x1.4a9d107a817f6p-18, -0x1.3958f0b6abb46p-18, -0x1.27c1228ca83d5p-18, -0x1.15dc844e2617cp-18, -0x1.03b1b5b85c6ebp-18, -0x1.e28e3354df75cp-19, -0x1.bd45afbf0ed6cp-19, -0x1.9795bd14bfdddp-19, -0x1.7189c7f72962ep-19, -0x1.4b2cd04d480efp-19, -0x1.24896c65c5d54p-19, -0x1.fb5397e2e2946p-20, -0x1.ad2f75dd636dfp-20, -0x1.5eb948f48b8cep-20, -0x1.10032b2aee699p-20, -0x1.823cffaccfe46p-21, -0x1.c86fe30824a3ep-22, -0x1.185cdb3291253p-23, 0x1.6019d001236dcp-23, 0x1.ec072ea68e594p-22, 0x1.93c3f6ca92449p-21, 0x1.189643f46f368p-20, 0x1.6711b49630a8bp-20, 0x1.b547ec633dde6p-20, 0x1.01968b1bf9279p-19, 0x1.285af22b1541fp-19, 0x1.4eebc6324881dp-19, 0x1.7543e1a8bd45ep-19, 0x1.9b5e5cc969216p-19, 0x1.c1368b9fdf9d6p-19, 0x1.e6c7fc2e5d573p-19, 0x1.06073a5318f13p-18, 0x1.1882f8d16f499p-18, 0x1.2ad5523ae4982p-18, 0x1.3cfc78bd620c5p-18, 0x1.4ef6b73beaeb2p-18, 0x1.60c27086cbbcap-18, 0x1.725e1e9300de2p-18, 0x1.83c851bad6d66p-18, 0x1.94ffb0090f9ap-18, 0x1.a602f477fd302p-18, 0x1.b6d0ee4c136ep-18, 0x1.c7688062528abp-18, 0x1.d7c8a085ae745p-18, 0x1.e7f056d66889cp-18, 0x1.f7debd1a859b5p-18, 0x1.03c97f1b64607p-17, 0x1.0b862ac408ea6p-17, 0x1.1325072dd15a6p-17, 0x1.1aa5c1af822e4p-17, 0x1.22080f081a9b8p-17, 0x1.294bab1fc1bffp-17, 0x1.307058c36de5p-17, 0x1.3775e166943edp-17, 0x1.3e5c14e4b7cf4p-17, 0x1.4522c946b8867p-17, 0x1.4bc9da87feef8p-17, 0x1.52512a5c33831p-17, 0x1.58b89ffb46f2ap-17, 0x1.5f0027e87d042p-17, 0x1.6527b3c16064p-17, 0x1.6b2f3a08f6f21p-17, 0x1.7116b5f8de672p-17, 0x1.76de274eb6241p-17, 0x1.7c8592234913fp-17, 0x1.820cfeb699488p-17, 0x1.87747949dd516p-17, 0x1.8cbc11f2a2416p-17, 0x1.91e3dc7270101p-17, 0x1.96ebf00e8c3f7p-17, 0x1.9bd4676a71b32p-17, 0x1.a09d60616c083p-17, 0x1.a546fbe27eebp-17, 0x1.a9d15dcc6d211p-17, 0x1.ae3cacccec62ap-17, 0x1.b289123f549dfp-17, 0x1.b6b6ba0a5307p-17, 0x1.bac5d283aeb73p-17, 0x1.beb68c516c485p-17, 0x1.c2891a4ac4c25p-17, 0x1.c63db15e8f92ap-17, 0x1.c9d488755b25bp-17, 0x1.cd4dd8591c91ap-17, 0x1.d0a9db98571f9p-17, 0x1.d3e8ce721a712p-17, 0x1.d70aeeb8ec121p-17, 0x1.da107bbec70e8p-17, 0x1.dcf9b63d4d513p-17, 0x1.dfc6e0405ef09p-17, 0x1.e2783d1043f3dp-17, 0x1.e50e111e65d23p-17, 0x1.e788a1f0ba992p-17, 0x1.e9e8360edc17cp-17, 0x1.ec2d14f11bc49p-17, 0x1.ee5786ec4b90bp-17, 0x1.f067d522908f2p-17, 0x1.f25e497146c52p-17, 0x1.f43b2e62f40d1p-17, 0x1.f5fecf1dcd4f6p-17, 0x1.f7a97755dd46fp-17, 0x1.f93b733ee4a75p-17, 0x1.fab50f7e4177bp-17, 0x1.fc16991d84cf6p-17, 0x1.fd605d7d0720ep-17, 0x1.fe92aa48b8a83p-17, 0x1.ffadcd6b9dbccp-17, 0x1.00590a81f2ab8p-16, 0x1.00cfe7ac31c6cp-16, 0x1.013ba56705501p-16, 0x1.019c6aeebd89ap-16, 0x1.01f25f84a286ap-16, 0x1.023daa6a2ca19p-16, 0x1.027e72dcc3b21p-16, 0x1.02b4e010af741p-16, 0x1.02e1192dc25efp-16, 0x1.0303454ade7ccp-16, 0x1.031b8b6a3aa74p-16, 0x1.032a1275c8316p-16, 0x1.032f013b9d9c5p-16, 0x1.032a7e6a89a6bp-16, 0x1.031cb08f177ccp-16, 0x1.0305be100ce25p-16, 0x1.02e5cd2bd1d3ap-16, 0x1.02bd03f5a2d3cp-16, 0x1.028b885280fp-16, 0x1.02517ff763dc7p-16, 0x1.020f106603c66p-16, 0x1.01c45eeacb4f3p-16, 0x1.0171909ab3e92p-16, 0x1.0116ca515c91cp-16, 0x1.00b430aeb3be4p-16, 0x1.0049e8152e82dp-16, 0x1.ffb029506a19cp-17, 0x1.febdb494bacabp-17, 0x1.fdbcb9371fb79p-17, 0x1.fcad7defc09efp-17, 0x1.fb9048ebf2711p-17, 0x1.fa655fcbc0169p-17, 0x1.f92d079f1fa0bp-17, 0x1.f7e784e406daap-17, 0x1.f6951b83bd4c5p-17, 0x1.f5360ed1710fp-17, 0x1.f3caa187802a9p-17, 0x1.f25315c6a1da3p-17, 0x1.f0cfad13a7877p-17, 0x1.ef40a85625cbbp-17, 0x1.eda647d7783c8p-17, 0x1.ec00cb40d76ddp-17, 0x1.ea50719aba6b2p-17, 0x1.e895794b6a1bp-17, 0x1.e6d02016cbec3p-17, 0x1.e500a31cd866dp-17, 0x1.e3273ed92ac33p-17, 0x1.e1442f224fa7p-17, 0x1.df57af298fd27p-17, 0x1.dd61f97a1ad64p-17, 0x1.db6347f8e30bep-17, 0x1.d95bd3e424876p-17, 0x1.d74bd5d3b8ad6p-17, 0x1.d53385b887869p-17, 0x1.d3131adc864eep-17, 0x1.d0eacbe2e9e6p-17, 0x1.cebacec81b482p-17, 0x1.cc8358e1f4151p-17, 0x1.ca449ee03a80bp-17, 0x1.c7fed4cc509e8p-17, 0x1.c5b22e0a36594p-17, 0x1.c35edd5861187p-17, 0x1.c10514d089d6p-17, 0x1.bea505e80678bp-17, 0x1.bc3ee17071p-17, 0x1.b9d2d7982d8b8p-17, 0x1.b76117eb18bb9p-17, 0x1.b4e9d152fc6dap-17, 0x1.b26d3218bcefp-17, 0x1.afeb67e4cc482p-17, 0x1.ad649fbfe2b41p-17, 0x1.aad9061402089p-17, 0x1.a848c6ad52358p-17, 0x1.a5b40cbad5697p-17, 0x1.a31b02cf5ff29p-17, 0x1.a07dd2e2e244bp-17, 0x1.9ddca652f4c4p-17, 0x1.9b37a5e3ef5a7p-17, 0x1.988ef9c2027dep-17, 0x1.95e2c98251a7ap-17, 0x1.93333c23e28f4p-17, 0x1.90807810c49a8p-17, 0x1.8dcaa31f33fa2p-17, 0x1.8b11e2929ff3ep-17, 0x1.88565b1cc559ep-17, 0x1.859830def5aeep-17, 0x1.82d7876b59f76p-17, 0x1.801481c5d94fbp-17, 0x1.7d4f42655bbcep-17, 0x1.7a87eb3505c9dp-17, 0x1.77be9d9595495p-17, 0x1.74f37a5e777a7p-17, 0x1.7226a1def91e1p-17, 0x1.6f5833df83844p-17, 0x1.6c884fa2ce129p-17, 0x1.69b713e74c519p-17, 0x1.66e49ee863c5cp-17, 0x1.64110e5f8666dp-17, 0x1.613c7f858b0f2p-17, 0x1.5e670f1405eb1p-17, 0x1.5b90d94655f7fp-17, 0x1.58b9f9db1a461p-17, 0x1.55e28c1570777p-17, 0x1.530aaabe2a989p-17, 0x1.50327025376a8p-17, 0x1.4d59f622b29e4p-17, 0x1.4a8156182781bp-17, 0x1.47a8a8f1f3cefp-17, 0x1.44d00728bda75p-17, 0x1.41f788c267d9ap-17, 0x1.3f1f4553448f6p-17, 0x1.3c4753ff9053p-17, 0x1.396fcb7cba361p-17, 0x1.3698c21286359p-17, 0x1.33c24d9c443a7p-17, 0x1.30ec838a40064p-17, 0x1.2e1778e2a32c7p-17, 0x1.2b43424311d12p-17, 0x1.286ff3e188746p-17, 0x1.259da18e081c6p-17, 0x1.22cc5eb37e5c8p-17, 0x1.1ffc3e58e9052p-17, 0x1.1d2d53229a41ap-17, 0x1.1a5faf53b57d7p-17, 0x1.179364cf258a9p-17, 0x1.14c88518a8403p-17, 0x1.11ff215632e1p-17, 0x1.0f374a51002dp-17, 0x1.0c711076c83f3p-17, 0x1.09ac83dae9497p-17, 0x1.06e9b4376fe2ep-17, 0x1.0428b0ee6a6c4p-17, 0x1.0169890affecdp-17, 0x1.fd589684f6854p-18, 0x1.f7e20bead01a9p-18, 0x1.f26f8e617a485p-18, 0x1.ed01395d942ddp-18, 0x1.e79727b131188p-18, 0x1.e231738de921ap-18, 0x1.dcd0368667cd1p-18, 0x1.d7738991094f3p-18, 0x1.d21b850a0111cp-18, 0x1.ccc840b5566dfp-18, 0x1.c779d3c0dece3p-18, 0x1.c23054c60c4a9p-18, 0x1.bcebd9ccb7e4ap-18, 0x1.b7ac784cb9f3ap-18, 0x1.b272452f8d3afp-18, 0x1.ad3d54d2f9bb2p-18, 0x1.a80dbb0a9172ep-18, 0x1.a2e38b21cd60cp-18, 0x1.9dbed7ddf8a8ap-18, 0x1.989fb3803f75ep-18, 0x1.93862fc715d48p-18, 0x1.8e725df0d6674p-18, }}, 
      {{0x1.a0c472183718cp-1, 0x1.a0c27ae26eb4ep-1, 0x1.a0c4324e4fbcep-1, 0x1.a0cd96b5f2b08p-1, 0x1.a0e0371fc504cp-1, 0x1.a0fa3e7f11b5cp-1, 0x1.a116748d67b2p-1, 0x1.a12cdc52e25ffp-1, 0x1.a1339e0902ed5p-1, 0x1.a12000550f635p-1, 0x1.a0e74bb562cccp-1, 0x1.a07f84d8b0ba6p-1, 0x1.9fdff6d4033ebp-1, 0x1.9f018dd5c6adbp-1, 0x1.9ddf074ddbe41p-1, 0x1.9c74fe9b672a1p-1, 0x1.9ac1ddf361313p-1, 0x1.98c5baef18e35p-1, 0x1.9682256c92cb6p-1, 0x1.93f9ee682722dp-1, 0x1.9130eb63939a6p-1, 0x1.8e2bb9e6372cbp-1, 0x1.8aef85b3dfe29p-1, 0x1.8781d38a9448p-1, 0x1.83e8518df1668p-1, 0x1.8028adfec33dap-1, 0x1.7c4874741c181p-1, 0x1.784cf17c8948cp-1, 0x1.743b1c55bd2cfp-1, 0x1.701786433209cp-1, 0x1.6be64ef51e98p-1, 0x1.67ab1d656cfb8p-1, 0x1.63691c8d6062fp-1, 0x1.5f22fb5a06e74p-1, 0x1.5adaef4d6ef4dp-1, 0x1.5692b945819b7p-1, 0x1.524babedfedcp-1, 0x1.4e06b3709f67bp-1, 0x1.49c45e0403fa8p-1, 0x1.4584e50772e11p-1, 0x1.41483665f8417p-1, 0x1.3d0dfe073e033p-1, 0x1.38d5af1f0644fp-1, 0x1.349e8d35c3427p-1, 0x1.3067b4cd228c4p-1, 0x1.2c30238ab5343p-1, 0x1.27f6bfd918a79p-1, 0x1.23ba5ff559f48p-1, 0x1.1f79d062b5fe1p-1, 0x1.1b33d9c28096ep-1, 0x1.16e74610f51f7p-1, 0x1.1292e54a08868p-1, 0x1.0e35917b31111p-1, 0x1.09ce32487908cp-1, 0x1.055bbfec32f05p-1, 0x1.00dd45b95f3fep-1, 0x1.f8a3c85277c93p-2, 0x1.ef71a4f96f737p-2, 0x1.e622bff512edap-2, 0x1.dcb5e9a53769fp-2, 0x1.d32a255e8f32bp-2, 0x1.c97ea9f92e8a3p-2, 0x1.bfb2e1dadcb1cp-2, 0x1.b5c66a8c2df28p-2, 0x1.abb913e695afap-2, 0x1.a18adee8bfac4p-2, 0x1.973bfc3d98c9bp-2, 0x1.8cccca81a2202p-2, 0x1.823dd45133e94p-2, 0x1.778fce2987003p-2, 0x1.6cc394258f36bp-2, 0x1.61da279ed3882p-2, 0x1.56d4acb9bbfe7p-2, 0x1.4bb467e40e3d8p-2, 0x1.407abb4ba3806p-2, 0x1.35292452bb42dp-2, 0x1.29c13906b4525p-2, 0x1.1e44a59d638fdp-2, 0x1.12b529fcb6e1ap-2, 0x1.0714974fdb352p-2, 0x1.f6c99b593aae5p-3, 0x1.df4f7396b786ep-3, 0x1.c7bea5a6f4ce7p-3, 0x1.b01b307bd665fp-3, 0x1.98691f9e1e5aep-3, 0x1.80ac8751dc7a4p-3, 0x1.68e980ece41edp-3, 0x1.5124276049136p-3, 0x1.396093f55eadep-3, 0x1.21a2db3e5549dp-3, 0x1.09ef0a3a56767p-3, 0x1.e49247590d998p-4, 0x1.b56a3b4a7aff6p-4, 0x1.866dbe78d4c7ep-4, 0x1.57a47cf80c9edp-4, 0x1.2915fcf2578d6p-4, 0x1.f5933669a9f59p-5, 0x1.998d1026cf65bp-5, 0x1.3e278940e855ap-5, 0x1.c6e080d42332bp-6, 0x1.12e8d91721831p-6, 0x1.8206c8105ad52p-8, -0x1.40f0ecdb2ab09p-8, -0x1.fe7230c2596f7p-7, -0x1.ac5df6ab244c4p-6, -0x1.2bca691aff58ep-5, -0x1.80644a60f35c3p-5, -0x1.d3f28bc72ccfp-5, -0x1.1335c91ed3dcfp-4, -0x1.3be31d9e1cc14p-4, -0x1.63fcee53e49f2p-4, -0x1.8b7f2235ae992p-4, -0x1.b265dbe587174p-4, -0x1.d8ad793b5cc1bp-4, -0x1.fe5292b10cp-4, -0x1.11a8fd59d1d5fp-3, -0x1.23d45e6e4ceeep-3, -0x1.35aa0e8a95399p-3, -0x1.4728cb53296a6p-3, -0x1.584f6d9bb1efcp-3, -0x1.691ce8deaaedep-3, -0x1.79904aae5bde9p-3, -0x1.89a8ba1ffd21bp-3, -0x1.99657731eaeb5p-3, -0x1.a8c5da2da54f1p-3, -0x1.b7c953065d2b7p-3, -0x1.c66f68b4b351cp-3, -0x1.d4b7b89054909p-3, -0x1.e2a1f5a7f690cp-3, -0x1.f02de8185055cp-3, -0x1.fd5b6c627c537p-3, -0x1.051539611c1b5p-2, -0x1.0b4d7f423c1eap-2, -0x1.115692af4aaf4p-2, -0x1.1730876344be4p-2, -0x1.1cdb79a6333efp-2, -0x1.22578dfab5d8ap-2, -0x1.27a4f0cc747fp-2, -0x1.2cc3d61f92c37p-2, -0x1.31b4794141772p-2, -0x1.36771c7983b8fp-2, -0x1.3b0c08be36647p-2, -0x1.3f738d676e1bbp-2, -0x1.43adffe53b524p-2, -0x1.47bbbb76db60ep-2, -0x1.4b9d20e35f6fap-2, -0x1.4f529633dd6fep-2, -0x1.52dc866f2109fp-2, -0x1.563b6156eb716p-2, -0x1.596f9b26c301dp-2, -0x1.5c79ac54570a2p-2, -0x1.5f5a1151712cbp-2, -0x1.62114a4f81161p-2, -0x1.649fdb04b325ep-2, -0x1.67064a729de8fp-2, -0x1.694522ae79a47p-2, -0x1.6b5cf0aae3435p-2, -0x1.6d4e44032873p-2, -0x1.6f19aec815e66p-2, -0x1.70bfc54e4277ap-2, -0x1.72411dfdd6479p-2, -0x1.739e5123c5802p-2, -0x1.74d7f8c478905p-2, -0x1.75eeb06fdf3f9p-2, -0x1.76e31516e4096p-2, -0x1.77b5c4e240323p-2, -0x1.78675f0aa130fp-2, -0x1.78f883b22361dp-2, -0x1.7969d3bf13f12p-2, -0x1.79bbf0b7f5254p-2, -0x1.79ef7ca0c266ep-2, -0x1.7a0519d96976ap-2, -0x1.79fd6afd70e84p-2, -0x1.79d912c4cd326p-2, -0x1.7998b3e5d6b3p-2, -0x1.793cf0f8599d7p-2, -0x1.78c66c59c3576p-2, -0x1.7835c81257b85p-2, -0x1.778ba5bb79998p-2, -0x1.76c8a666f04ap-2, -0x1.75ed6a87300dbp-2, -0x1.74fa91d899c81p-2, -0x1.73f0bb4bac8b8p-2, -0x1.72d084f023c5dp-2, -0x1.719a8be101296p-2, -0x1.704f6c31727cap-2, -0x1.6eefc0da99093p-2, -0x1.6d7c23aa2576dp-2, -0x1.6bf52d31c7a3bp-2, -0x1.6a5b74b769accp-2, -0x1.68af902633833p-2, -0x1.66f21400538a5p-2, -0x1.6523935181af8p-2, -0x1.63449fa23f2f6p-2, -0x1.6155c8ebc9cb7p-2, -0x1.5f579d8cbe7b8p-2, -0x1.5d4aaa3e6885fp-2, -0x1.5b2f7a0ab8294p-2, -0x1.59069642db1e1p-2, -0x1.56d0867673dfp-2, -0x1.548dd06b6c2fdp-2, -0x1.523ef8165b6bbp-2, -0x1.4fe47f93825b6p-2, -0x1.4d7ee7205277p-2, -0x1.4b0ead157f40ap-2, -0x1.48944de197f5fp-2, -0x1.46104404228f8p-2, -0x1.4383080934887p-2, -0x1.40ed1085873c2p-2, -0x1.3e4ed21305a6cp-2, -0x1.3ba8bf4dc9db8p-2, -0x1.38fb48d18f78p-2, -0x1.3646dd379015bp-2, -0x1.338be914c8679p-2, -0x1.30cad6f8a837dp-2, -0x1.2e040f6c1d6ecp-2, -0x1.2b37f8f107565p-2, -0x1.2866f80200815p-2, -0x1.25916f12834c9p-2, -0x1.22b7be8f6655cp-2, -0x1.1fda44dfaa4f9p-2, -0x1.1cf95e6597e12p-2, -0x1.1a1565802e01bp-2, -0x1.172eb28cd5d1p-2, -0x1.14459be962f6dp-2, -0x1.115a75f654386p-2, -0x1.0e6d93195bbe2p-2, -0x1.0b7f43c021d78p-2, -0x1.088fd66346a3ep-2, -0x1.059f97899e393p-2, -0x1.02aed1cba4a5dp-2, -0x1.ff7b9bae4e546p-3, -0x1.f999a4e63c862p-3, -0x1.f3b849077734ap-3, -0x1.edd80e1d49a67p-3, -0x1.e7f9767eb11fap-3, -0x1.e21d00d77d1fap-3, -0x1.dc432831c08bep-3, -0x1.d66c63ff8938fp-3, -0x1.d0992824df941p-3, -0x1.cac9e5020926ap-3, -0x1.c4ff077e0a6eap-3, -0x1.bf38f91160216p-3, -0x1.b9781fd0f0b99p-3, -0x1.b3bcde792f48p-3, -0x1.ae07947973eb5p-3, -0x1.a8589dff73f34p-3, -0x1.a2b05402efab4p-3, -0x1.9d0f0c5178c61p-3, -0x1.9775199a63e3bp-3, -0x1.91e2cb7ad2b7ep-3, -0x1.8c586e89da565p-3, -0x1.86d64c64c6868p-3, -0x1.815cabbb6885ep-3, -0x1.7bebd05c81f0bp-3, -0x1.7683fb423b19bp-3, -0x1.71256a9ea5b23p-3, -0x1.6bd059e84ae21p-3, -0x1.668501e6c068ap-3, -0x1.614398bf45a88p-3, -0x1.5c0c520161944p-3, -0x1.56df5eb37ed95p-3, -0x1.51bced5f8e325p-3, -0x1.4ca52a1f9aa77p-3, -0x1.47983eaa65b88p-3, -0x1.4296525fea05cp-3, -0x1.3d9f8a55e886p-3, -0x1.38b409645a788p-3, -0x1.33d3f031dd2eep-3, -0x1.2eff5d4010a4cp-3, -0x1.2a366cf7e0fb8p-3, -0x1.257939b5c020ap-3, -0x1.20c7dbd5cddc7p-3, -0x1.1c2269bfe65edp-3, -0x1.1788f7f3a2b8ap-3, -0x1.12fb991436266p-3, -0x1.0e7a5df43e28ep-3, -0x1.0a0555a172f3ap-3, -0x1.059c8d703ad43p-3, -0x1.01401107279bfp-3, -0x1.f9dfd4d49ff33p-4, -0x1.f158440d25aa7p-4, -0x1.e8e97d7969b2fp-4, -0x1.e0938bd8c5706p-4, -0x1.d85676fe1b38cp-4, -0x1.d03243e55a718p-4, -0x1.c826f4c8bb8b8p-4, -0x1.c0348935a78e7p-4, -0x1.b85afe2178efbp-4, -0x1.b09a4dfdd2dbbp-4, -0x1.a8f270ccc73dcp-4, -0x1.a1635c34ad9cdp-4, -0x1.99ed0393a90c6p-4, -0x1.928f5812ee9b1p-4, -0x1.8b4a48b9b533bp-4, -0x1.841dc27fe2fe5p-4, -0x1.7d09b06069d57p-4, -0x1.760dfb6b52cdep-4, -0x1.6f2a8ad785aa4p-4, -0x1.685f44143afbbp-4, -0x1.61ac0ada23d8ap-4, -0x1.5b10c13c420efp-4, -0x1.548d47b873a2cp-4, -0x1.4e217d47aef5bp-4, -0x1.47cd3f6df1599p-4, -0x1.41906a49ddf1ap-4, -0x1.3b6ad8a41364ap-4, -0x1.355c63fe2cc3ep-4, -0x1.2f64e4a179163p-4, -0x1.298431ad6601cp-4, -0x1.23ba21259c5acp-4, -0x1.1e0687ffcde12p-4, -0x1.18693a313975ap-4, -0x1.12e20abbe45d8p-4, -0x1.0d70cbbb83d4fp-4, -0x1.08154e722042fp-4, -0x1.02cf635469704p-4, -0x1.fb3db42b8c9dep-5, -0x1.f10703683186p-5, -0x1.e6fa51066b2f6p-5, -0x1.dd17387036629p-5, -0x1.d35d53e7b76f3p-5, -0x1.c9cc3c9c8a905p-5, -0x1.c0638ac07b9e3p-5, -0x1.b722d59bc18b8p-5, -0x1.ae09b3a0aab02p-5, -0x1.a517ba7ebf816p-5, -0x1.9c4c7f356809p-5, -0x1.93a79626049ebp-5, -0x1.8b2893258b7d2p-5, -0x1.82cf098da427ep-5, -0x1.7a9a8c4d3f3acp-5, -0x1.728aadf8bebp-5, -0x1.6a9f00d990019p-5, -0x1.62d716fd5f8d8p-5, -0x1.5b328244c9712p-5, -0x1.53b0d47196a37p-5, -0x1.4c519f348adfap-5, -0x1.4514743abcb26p-5, -0x1.3df8e53a7e581p-5, -0x1.36fe83ffd4f59p-5, -0x1.3024e2788f0fbp-5, -0x1.296b92bfe57e2p-5, -0x1.22d22729b1c2cp-5, -0x1.1c58324d4d793p-5, -0x1.15fd470ffe04dp-5, -0x1.0fc0f8af013efp-5, -0x1.09a2dac94012dp-5, -0x1.03a281689515cp-5, -0x1.fb7f0215905abp-6, -0x1.eff2dd5433f27p-6, -0x1.e49fbf8b15413p-6, -0x1.d984d4d16cbbfp-6, -0x1.cea14a66d103fp-6, -0x1.c3f44ec1b2a16p-6, -0x1.b97d119d2cbebp-6, -0x1.af3ac406340bbp-6, -0x1.a52c98683071p-6, -0x1.9b51c298fd5d3p-6, -0x1.91a977e44c70dp-6, -0x1.8832ef167b6e4p-6, -0x1.7eed6086e475bp-6, -0x1.75d80621855efp-6, -0x1.6cf21b7046ab8p-6, -0x1.643adda3a423fp-6, -0x1.5bb18b9ad833cp-6, -0x1.535565eb91c17p-6, -0x1.4b25aee9239edp-6, -0x1.4321aaab43626p-6, -0x1.3b489f145c966p-6, -0x1.3399d3d76051ap-6, -0x1.2c14927d3467cp-6, -0x1.24b82669afe6ap-6, -0x1.1d83dce03cccfp-6, -0x1.16770507fc7f1p-6, -0x1.0f90efefad9b7p-6, -0x1.08d0f09107e25p-6, -0x1.02365bd3dfd26p-6, -0x1.f7811121d0e9bp-7, -0x1.eadd9f281468ep-7, -0x1.de81173cfa5e6p-7, -0x1.d26a32d111846p-7, -0x1.c697af45e9f22p-7, -0x1.bb084df05ffc2p-7, -0x1.afbad41a534e3p-7, -0x1.a4ae0b03cfdfdp-7, -0x1.99e0bfe39d81dp-7, -0x1.8f51c3e78203cp-7, -0x1.84ffec33a7ccap-7, -0x1.7aea11e1e2acap-7, -0x1.710f120048fb5p-7, -0x1.676dcd8f5d881p-7, -0x1.5e05297fe951p-7, -0x1.54d40eb049e5ep-7, -0x1.4bd969e965b9p-7, -0x1.43142bdb3dc6ep-7, -0x1.3a8349192ebe9p-7, -0x1.3225ba15b9447p-7, -0x1.29fa7b1e18633p-7, -0x1.22008c555d1f7p-7, -0x1.1a36f1af67909p-7, -0x1.129cb2eb614f5p-7, -0x1.0b30db8e201bep-7, -0x1.03f27adc2cc0dp-7, -0x1.f9c147a6f724bp-8, -0x1.ebf4da4a07b4fp-8, -0x1.de7de25bf0d3fp-8, -0x1.d15a9be1eedfp-8, -0x1.c4894a1db60e8p-8, -0x1.b808377eaed05p-8, -0x1.abd5b59326e09p-8, -0x1.9ff01cf8c5cacp-8, -0x1.9455cd4ced27dp-8, -0x1.89052d1ca6041p-8, -0x1.7dfca9d4640cbp-8, -0x1.733ab7af6127dp-8, -0x1.68bdd1a6c151bp-8, -0x1.5e847960a114cp-8, -0x1.548d371ea5109p-8, -0x1.4ad699ac86f78p-8, -0x1.415f364e88ef9p-8, -0x1.3825a8af710aap-8, -0x1.2f2892cea4d52p-8, -0x1.26669cee03077p-8, -0x1.1dde757fa54a5p-8, -0x1.158ed1137070fp-8, -0x1.0d766a44baf02p-8, -0x1.059401a7aeeeap-8, -0x1.fbccbb6d4f1abp-9, -0x1.ecd8957f3e253p-9, -0x1.de4935a2c9035p-9, -0x1.d01c4b51af57ep-9, -0x1.c24f913c6619ap-9, -0x1.b4e0cd24714f1p-9, -0x1.a7cdcfb6d29ecp-9, -0x1.9b14746677df1p-9, -0x1.8eb2a146b7b9ap-9, -0x1.82a646e5ec243p-9, -0x1.76ed6027d48e3p-9, -0x1.6b85f220900d8p-9, -0x1.606e0bef1cd23p-9, -0x1.55a3c69876ea6p-9, -0x1.4b2544e2902ecp-9, -0x1.40f0b32f7a48dp-9, -0x1.37044758ca254p-9, -0x1.2d5e408b0a094p-9, -0x1.23fce7218c7b6p-9, -0x1.1ade8c8250102p-9, -0x1.12018afa14c07p-9, -0x1.09644598a35afp-9, -0x1.0105280da902bp-9, -0x1.f1c54d0a346cp-10, -0x1.e1f67b0949388p-10, -0x1.d29ae391cdbp-10, -0x1.c3afa045ca4aep-10, -0x1.b531daac4a567p-10, -0x1.a71ecbed3983bp-10, -0x1.9973bc8e945bdp-10, -0x1.8c2e0431f6279p-10, -0x1.7f4b095242fcdp-10, -0x1.72c84102dbdbdp-10, -0x1.66a32eaebb28ep-10, -0x1.5ad963d85ceecp-10, -0x1.4f687fda776bep-10, -0x1.444e2fa96c45ep-10, -0x1.39882d94d5e23p-10, -0x1.2f14410a7887ap-10, -0x1.24f03e598a323p-10, -0x1.1b1a0676775fep-10, -0x1.118f86bfb4f48p-10, -0x1.084eb8c3247c2p-10, -0x1.feab4407d2ee5p-11, -0x1.ed44a783084c1p-11, -0x1.dc65d57e0eb56p-11, -0x1.cc0b1e16125fcp-11, -0x1.bc30e792adcd7p-11, -0x1.acd3adf6fd7bp-11, -0x1.9df00297da6e1p-11, -0x1.8f828bb11c2acp-11, -0x1.818803fce179dp-11, -0x1.73fd3a4d0a8e5p-11, -0x1.66df112514726p-11, -0x1.5a2a7e561c5eap-11, -0x1.4ddc8a9badbacp-11, -0x1.41f2513a52413p-11, -0x1.3668ffa00d79dp-11, -0x1.2b3dd5054ca03p-11, -0x1.206e220f51841p-11, -0x1.15f74875597f2p-11, -0x1.0bd6baa53bbc2p-11, -0x1.0209fb6b35112p-11, -0x1.f11d3b3298fb8p-12, -0x1.dec48763ff2c2p-12, -0x1.cd053f24d509cp-12, -0x1.bbdae43ef48e9p-12, -0x1.ab4115e677021p-12, -0x1.9b33901834941p-12, -0x1.8bae2afa5ff28p-12, -0x1.7cacda405e15ap-12, -0x1.6e2bac90ba07cp-12, -0x1.6026caed90145p-12, -0x1.529a78204ed8dp-12, -0x1.4583102706e7bp-12, -0x1.38dd07a57f168p-12, -0x1.2ca4eb5699dd1p-12, -0x1.20d75f8318c0ap-12, -0x1.15711f78fcec5p-12, -0x1.0a6efd04d9e2ap-12, -0x1.ff9bbfdef0075p-13, -0x1.eb158af877c5p-13, -0x1.d7457fd575011p-13, -0x1.c425ebf3f00d9p-13, -0x1.b1b144dd6d24fp-13, -0x1.9fe227367a1dep-13, -0x1.8eb355d52187bp-13, -0x1.7e1fb8d7c9dd8p-13, -0x1.6e225cc4dceb1p-13, -0x1.5eb671acdd97ep-13, -0x1.4fd74a4e49f6ep-13, -0x1.41805b43b8a0fp-13, -0x1.33ad3a2f71255p-13, -0x1.26599cef8bd26p-13, -0x1.198158d519032p-13, -0x1.0d2061ddadd15p-13, -0x1.0132c9f3572f6p-13, -0x1.eb69805dc7fc2p-14, -0x1.d545203bd1fbfp-14, -0x1.bff1421c03db1p-14, -0x1.ab66eab405e58p-14, -0x1.979f5377102bp-14, -0x1.8493e940c1449p-14, -0x1.723e4b0844f72p-14, -0x1.60984897169cfp-14, -0x1.4f9be1490d198p-14, -0x1.3f4342d326be7p-14, -0x1.2f88c80fbeacfp-14, -0x1.2066f7d3faa4dp-14, -0x1.11d883c5da0dap-14, -0x1.03d847432397cp-14, -0x1.ecc28c8306805p-15, -0x1.d2dd587ea2d5bp-15, -0x1.b9f7966bdea11p-15, -0x1.a208352363adbp-15, -0x1.8b066c62e7ab3p-15, -0x1.74e9bad63b4f2p-15, -0x1.5fa9e42a94092p-15, -0x1.4b3eef2f17fcep-15, -0x1.37a123fe98249p-15, -0x1.24c90a351f64ap-15, -0x1.12af6732582bp-15, -0x1.014d3c5b87c59p-15, -0x1.e1378af2d04ap-16, -0x1.c128ee1ff504ap-16, -0x1.a261f99416552p-16, -0x1.84d66fcec68fcp-16, -0x1.687a7b7734c5ap-16, -0x1.4d42ac5f1a76dp-16, -0x1.3323f49f2e02p-16, -0x1.1a13a5c4faf55p-16, -0x1.02076e10a5f36p-16, -0x1.d5eaab838ae05p-17, -0x1.a9a778f2cea6cp-17, -0x1.7f32ad54d1c8cp-17, -0x1.567a562f1a92p-17, -0x1.2f6d20d5e1887p-17, -0x1.09fa559857e6fp-17, -0x1.cc23a664ce69ep-18, -0x1.874814698fb2cp-18, -0x1.4543f162770d2p-18, -0x1.05fa4bc4d9d5bp-18, -0x1.929e7828663e1p-19, -0x1.1e4fb940c246bp-19, -0x1.5da906b48fb7fp-20, -0x1.0feb8d4d624cap-21, 0x1.136a24c6a1ef5p-22, 0x1.0924972c7397dp-20, 0x1.c541a0c1c32b6p-20, 0x1.3cc3c75467134p-19, 0x1.932487d6b22afp-19, 0x1.e5ead995ea098p-19, 0x1.1a9e80a37a866p-18, 0x1.409fe6a085ea2p-18, 0x1.650b50b6dde38p-18, 0x1.87f1c1b3c452p-18, 0x1.a96392d33633cp-18, 0x1.c97079732207cp-18, 0x1.e8278c70f7a3dp-18, 0x1.02cba4bb65f4fp-17, 0x1.10e6cd12e375fp-17, 0x1.1e6bec8661237p-17, 0x1.2b616b414712p-17, 0x1.37cd6eb07d366p-17, 0x1.43b5dbc88c27fp-17, 0x1.4f2059436235ep-17, 0x1.5a1251c963a3dp-17, 0x1.6490f60a2a963p-17, 0x1.6ea13ec3ad854p-17, 0x1.7847eebf94e5bp-17, 0x1.818994bf61447p-17, 0x1.8a6a8d56030f3p-17, 0x1.92ef04babc835p-17, 0x1.9b1af88ace01ep-17, 0x1.a2f23979d2d98p-17, 0x1.aa786cfb48813p-17, 0x1.b1b10eda689b7p-17, 0x1.b89f72c9b6b79p-17, 0x1.bf46c5e496934p-17, 0x1.c5aa1022cf7b8p-17, 0x1.cbcc35c44f356p-17, 0x1.d1aff8b02cb24p-17, 0x1.d757f9c4c9cc4p-17, 0x1.dcc6ba25079d1p-17, 0x1.e1fe9c77c9f34p-17, 0x1.e701e6184d6e7p-17, 0x1.ebd2c044fcd2ap-17, 0x1.f073393c0be8p-17, 0x1.f4e545579abd4p-17, 0x1.f92ac0195492cp-17, 0x1.fd456d32b99c9p-17, 0x1.009b7cc0f0a4dp-16, 0x1.02807e024f873p-16, 0x1.04527b6310b4dp-16, 0x1.06122be19a241p-16, 0x1.07c03ce35e956p-16, 0x1.095d52a111f57p-16, 0x1.0aea088c4627p-16, 0x1.0c66f1b360d3bp-16, 0x1.0dd49921c192fp-16, 0x1.0f33823c088e6p-16, 0x1.10842919bfbb9p-16, 0x1.11c702dcdc1fap-16, 0x1.12fc7e02f9a1ep-16, 0x1.142502b755196p-16, 0x1.1540f31f4c1d3p-16, 0x1.1650aba4544fap-16, 0x1.1754833c95e77p-16, 0x1.184ccbaf96233p-16, 0x1.1939d1da0032p-16, 0x1.1a1bddec34007p-16, 0x1.1af333a901b27p-16, 0x1.1bc0129fa6f18p-16, 0x1.1c82b665e4023p-16, 0x1.1d3b56ce46f4fp-16, 0x1.1dea281d597dp-16, 0x1.1e8f5b3bb3fc7p-16, 0x1.1f2b1de6fa6b9p-16, 0x1.1fbd9ae015a4ep-16, 0x1.2046fa17aea89p-16, 0x1.20c760d946a07p-16, 0x1.213ef1f54447fp-16, 0x1.21adcde6f0183p-16, 0x1.221412fb5b5c3p-16, 0x1.2271dd74c56f3p-16, 0x1.22c747ad87ec3p-16, 0x1.23146a38782f4p-16, 0x1.23595c011ce28p-16, 0x1.2396326a5ad45p-16, 0x1.23cb016a90a31p-16, 0x1.23f7dba7908b4p-16, 0x1.241cd290b9956p-16, 0x1.2439f677b0678p-16, 0x1.244f56a885d03p-16, 0x1.245d01808146dp-16, 0x1.24630483f0aa6p-16, 0x1.24616c72393d6p-16, 0x1.245845599cf97p-16, 0x1.24479aa9c66f3p-16, 0x1.242f774538057p-16, 0x1.240fe5917a90dp-16, 0x1.23e8ef880d08p-16, 0x1.23ba9ec49f07p-16, 0x1.2384fc933442bp-16, 0x1.234811fd672b5p-16, 0x1.2303e7d6f6b1p-16, 0x1.22b886c97a6b9p-16, 0x1.2265f75f5715ap-16, 0x1.220c420e7680ep-16, 0x1.21ab6f4244e89p-16, 0x1.21438764476c5p-16, 0x1.20d492e4feeb1p-16, 0x1.205e9a43b8558p-16, 0x1.1fe1a6158ee93p-16, 0x1.1f5dbf0d07305p-16, 0x1.1ed2edfffbd12p-16, 0x1.1e413bedc1da1p-16, 0x1.1da8b2043f8fp-16, 0x1.1d0959a4f4146p-16, 0x1.1c633c69f3935p-16, 0x1.1bb66428acfd9p-16, 0x1.1b02daf748e9ep-16, 0x1.1a48ab2f1b099p-16, 0x1.1987df6fad19bp-16, 0x1.18c082a1e3c54p-16, 0x1.17f29ffa2d179p-16, 0x1.171e42f9ae681p-16, 0x1.1643777106845p-16, 0x1.156249812242p-16, 0x1.147ac59cb784cp-16, 0x1.138cf88914c4cp-16, 0x1.1298ef5f177ebp-16, 0x1.119eb78b0602ep-16, 0x1.109e5ecd9396p-16, 0x1.0f97f33afe2e9p-16, 0x1.0e8b833b93c2fp-16, 0x1.0d791d8b28a89p-16, 0x1.0c60d138f8978p-16, 0x1.0b42ada61f64bp-16, 0x1.0a1ec28591cd7p-16, 0x1.08f51fdaf4968p-16, 0x1.07c5d5f919999p-16, 0x1.0690f580f8c22p-16, 0x1.05568f60b03fcp-16, 0x1.0416b4d1d2bcep-16, 0x1.02d17757b7be7p-16, 0x1.0186e8bdea47dp-16, 0x1.00371b16f69bfp-16, 0x1.fdc4417389cc3p-17, 0x1.fb10187fe8d1ap-17, 0x1.f851e1087ea52p-17, 0x1.f589c140282dep-17, 0x1.f2b7dfd37dcbp-17, 0x1.efdc63e497948p-17, 0x1.ecf7750679b3p-17, 0x1.ea093b38d2dd7p-17, 0x1.e711dee350308p-17, 0x1.e41188d13ed9ap-17, 0x1.e108622cb1d11p-17, 0x1.ddf6947a36406p-17, 0x1.dadc4994eb59ap-17, 0x1.d7b9aba80340dp-17, 0x1.d48ee52b58444p-17, 0x1.d15c20ded08eap-17, 0x1.ce2189c40317fp-17, 0x1.cadf4b1b8c8a2p-17, 0x1.c795905f134f7p-17, 0x1.c444853d4125cp-17, 0x1.c0ec5593f3da1p-17, 0x1.bd8d2d6d1d717p-17, 0x1.ba2738f970d4ap-17, 0x1.b6baa48afea17p-17, 0x1.b3479c9117af5p-17, 0x1.afce4d94e97cbp-17, 0x1.ac4ee433656a2p-17, 0x1.a8c98d194d0a7p-17, 0x1.a53e74ff1d4cbp-17, 0x1.a1adc8a462544p-17, 0x1.9e17b4cbd0c11p-17, 0x1.9a7c66365178bp-17, 0x1.96dc099f58e6fp-17, 0x1.9336cbb8a57adp-17, 0x1.8f8cd925db8d9p-17, 0x1.8bde5e796138cp-17, 0x1.882b88303100fp-17, 0x1.847482ad6ff84p-17, 0x1.80b97a36d3688p-17, 0x1.7cfa9af1854efp-17, 0x1.793810ddc495dp-17, 0x1.757207d3fee2ep-17, 0x1.71a8ab80c014bp-17, 0x1.6ddc2761c4dc1p-17, 0x1.6a0ca6c2369afp-17, 0x1.663a54b8359bcp-17, 0x1.62655c210ad96p-17, 0x1.5e8de79e3082ap-17, 0x1.5ab4219216c15p-17, 0x1.56d8341dc3902p-17, 0x1.52fa491e279f2p-17, 0x1.4f1a8a288e83p-17, 0x1.4b392088672e3p-17, 0x1.4756353ccb6b8p-17, 0x1.4371f0f5d0bap-17, 0x1.3f8c7c127ab68p-17, 0x1.3ba5fe9d2f9dp-17, 0x1.37bea04b30627p-17, 0x1.33d6887907bc5p-17, 0x1.2fedde293b591p-17, 0x1.2c04c802083e9p-17, 0x1.281b6c4b31074p-17, 0x1.2431f0ec73956p-17, 0x1.20487b6b8d11fp-17, 0x1.1c5f30eae07a6p-17, 0x1.1876362733931p-17, 0x1.148daf7676e48p-17, 0x1.10a5c0c66763ap-17, 0x1.0cbe8d9ad0fbap-17, 0x1.08d8390c4feadp-17, 0x1.04f2e5c7367p-17, 0x1.010eb60a49f96p-17, 0x1.fa57974b600cdp-18, 0x1.f2948ff1af44ep-18, 0x1.ead497e619a47p-18, 0x1.e317f023d4c72p-18, 0x1.db5ed8c02e813p-18, 0x1.d3a990e916c04p-18, 0x1.cbf856e496ec3p-18, 0x1.c44b680e82be3p-18, 0x1.bca300d80cbdep-18, 0x1.b4ff5cc579fa8p-18, 0x1.ad60b66e31e4fp-18, 0x1.a5c7477aed1bap-18, 0x1.9e3348a55a9f9p-18, 0x1.96a4f1b7e0b51p-18, 0x1.8f1c798ca0b05p-18, 0x1.879a160c81189p-18, 0x1.801dfc2f73fccp-18, 0x1.78a85ffb8b773p-18, 0x1.71397485c7c34p-18, 0x1.69d16bf1b134fp-18, 0x1.6270777098d65p-18, 0x1.5b16c7426b637p-18, 0x1.53c48ab57103ep-18, 0x1.4c79f02688177p-18, 0x1.45372502e0cc2p-18, 0x1.3dfc55c6f2cb2p-18, 0x1.36c9adff2b501p-18, 0x1.2f9f58488a3ebp-18, 0x1.287d7e51a011cp-18, 0x1.216448dbfda2bp-18, 0x1.1a53dfbbdbf6ep-18, 0x1.134c69d97cc16p-18, 0x1.0c4e0d3195e54p-18, 0x1.0558eed770326p-18, 0x1.fcda65ea6e797p-19, 0x1.ef15f99a7d8b1p-19, 0x1.e164dd76ff8bdp-19, 0x1.d3c7546d3a9p-19, 0x1.c63d9fa1eab65p-19, 0x1.b8c7fe74cfcfdp-19, 0x1.ab66ae845464cp-19, 0x1.9e19ebae654d2p-19, 0x1.90e1f0152cd5ep-19, 0x1.83bef42153367p-19, 0x1.76b12e858ba54p-19, 0x1.69b8d44310132p-19, 0x1.5cd618aaed361p-19, 0x1.50092d62d5e45p-19, 0x1.4352426827893p-19, 0x1.36b18613beb4bp-19, 0x1.2a27251d4cd83p-19, 0x1.1db34aa05e5c3p-19, 0x1.1156201f83668p-19, 0x1.050fcd86e50d7p-19, 0x1.f1c0f2639b6a9p-20, 0x1.d9908fdbe68bp-20, 0x1.c18eb9ff1e551p-20, 0x1.a9bbb44c5463fp-20, 0x1.9217bf418a87ep-20, 0x1.7aa31860948a4p-20, 0x1.635dfa3942525p-20, 0x1.4c489c7476637p-20, 0x1.356333dac25a6p-20, 0x1.1eadf25c2cde5p-20, 0x1.08290719a987ep-20, 0x1.e3a93cdee846cp-21, 0x1.b761c3f5c4fd9p-21, 0x1.8b7bf1479d6c3p-21, 0x1.5ff80d5048a82p-21, 0x1.34d65b479c4f3p-21, 0x1.0a17192e8f242p-21, 0x1.bf74ffcca365dp-22, 0x1.6b81867b5cfc5p-22, 0x1.1854240e3eec8p-22, 0x1.8bda58b5657cep-23, 0x1.d133a5f1cdcc5p-24, 0x1.1b9ce006f86ebp-25, -0x1.64f427b57951dp-25, -0x1.efa52e17d8436p-24, -0x1.94d925f0fc4aap-23, -0x1.18283f8e2e5b1p-22, -0x1.651c3e5dccf8dp-22, -0x1.b148853a43295p-22, -0x1.fcad1287360c4p-22, -0x1.23a4f68985b75p-21, -0x1.488f91fb2b028p-21, -0x1.6d166737d8444p-21, -0x1.913985df1aa1fp-21, -0x1.b4f9017f2ab9cp-21, -0x1.d854f186a0569p-21, -0x1.fb4d712f2f7f6p-21, -0x1.0ef14fb6409bbp-20, -0x1.200a4f6c7e90bp-20, -0x1.30f1cad3bffc1p-20, -0x1.41a7d6c99def5p-20, -0x1.522c89e51066ep-20, -0x1.627ffc6ee0d7ep-20, -0x1.72a2485b3aa8fp-20, -0x1.8293893d1716cp-20, -0x1.9253dc3e82c9fp-20, -0x1.a1e3601cc665fp-20, -0x1.b142351c45b7cp-20, -0x1.c0707d000a861p-20, -0x1.cf6e5b0352bcdp-20, -0x1.de3bf3cfaeea6p-20, -0x1.ecd96d766efbfp-20, -0x1.fb46ef689e0a1p-20, -0x1.04c25136a934cp-19, -0x1.0bc9584e1b966p-19, -0x1.12b8a2aa2eaafp-19, -0x1.19904699855c8p-19, -0x1.20505b082c126p-19, }}, 
      {{0x1.a0c54a631c15p-1, 0x1.a0c4524851a9cp-1, 0x1.a0c3d3e391253p-1, 0x1.a0c4e7e0747c4p-1, 0x1.a0c85b037fb0bp-1, 0x1.a0ce6d3559f66p-1, 0x1.a0d6b7c04ab58p-1, 0x1.a0e031c6fa9fp-1, 0x1.a0e94839a1ecp-1, 0x1.a0effff95637cp-1, 0x1.a0f21b3b998e4p-1, 0x1.a0ed3d8f5dfadp-1, 0x1.a0df0bc1d9fc1p-1, 0x1.a0c5464008914p-1, 0x1.a09ddd82a2d8dp-1, 0x1.a06700ae2a798p-1, 0x1.a01f26eda8fe4p-1, 0x1.9fc5143f55d45p-1, 0x1.9f57da7c9631fp-1, 0x1.9ed6d7652e12cp-1, 0x1.9e41b067b7f3p-1, 0x1.9d984ccd018e5p-1, 0x1.9cdaced47afc5p-1, 0x1.9c098c37ff9e5p-1, 0x1.9b2506767e01ep-1, 0x1.9a2de33032868p-1, 0x1.9924e4cce3eafp-1, 0x1.980ae394ddf6fp-1, 0x1.96e0c75839631p-1, 0x1.95a781b54d731p-1, 0x1.9460090681c1cp-1, 0x1.930b53f8ff85dp-1, 0x1.91aa55c8ac3a5p-1, 0x1.903dfb1a11c27p-1, 0x1.8ec7276840afp-1, 0x1.8d46b2fb0493ep-1, 0x1.8bbd6958ca142p-1, 0x1.8a2c0827366c1p-1, 0x1.88933e6d790d6p-1, 0x1.86f3ac2bc0a09p-1, 0x1.854de23bdd49cp-1, 0x1.83a2626fd8421p-1, 0x1.81f19fe42edfbp-1, 0x1.803bff7c42134p-1, 0x1.7e81d88084197p-1, 0x1.7cc37556d1478p-1, 0x1.7b01144e4c954p-1, 0x1.793ae878e9e08p-1, 0x1.77711a8d9e2aep-1, 0x1.75a3c9cee4cefp-1, 0x1.73d30cf1f5829p-1, 0x1.71fef3039d9e3p-1, 0x1.7027844839399p-1, 0x1.6e4cc314c6075p-1, 0x1.6c6eac9f6d3cep-1, 0x1.6a8d39c64d971p-1, 0x1.68a85fcb90811p-1, 0x1.66c011062a0fdp-1, 0x1.64d43d86d8115p-1, 0x1.62e4d3b128541p-1, 0x1.60f1c0c87fff1p-1, 0x1.5efaf17135214p-1, 0x1.5d005225f80b4p-1, 0x1.5b01cfa1d817dp-1, 0x1.58ff573f423b1p-1, 0x1.56f8d74c6f6dep-1, 0x1.54ee3f55b9ed4p-1, 0x1.52df80665de79p-1, 0x1.50cc8d402fe96p-1, 0x1.4eb55a8ad3cc3p-1, 0x1.4c99defaff207p-1, 0x1.4a7a13725aa24p-1, 0x1.4855f318851eap-1, 0x1.462d7b6dc6f21p-1, 0x1.4400ac57f7a56p-1, 0x1.41cf882a164ep-1, 0x1.3f9a13a711613p-1, 0x1.3d60560031a46p-1, 0x1.3b2258cf9c1f1p-1, 0x1.38e0280f53114p-1, 0x1.3699d20d1c684p-1, 0x1.344f675bace95p-1, 0x1.3200fac16f5f2p-1, 0x1.2faea1253dfe4p-1, 0x1.2d5871795934cp-1, 0x1.2afe84a4e6018p-1, 0x1.28a0f56c34079p-1, 0x1.263fe0580c3e9p-1, 0x1.23db639c3d764p-1, 0x1.21739efd9b746p-1, 0x1.1f08b3b7a25f8p-1, 0x1.1c9ac461e449bp-1, 0x1.1a29f4d56bf4bp-1, 0x1.17b66a1234b25p-1, 0x1.15404a24d93edp-1, 0x1.12c7bc0c918cdp-1, 0x1.104ce7a19be1ap-1, 0x1.0dcff57c23f23p-1, 0x1.0b510edbbc3c7p-1, 0x1.08d05d8f79016p-1, 0x1.064e0bdeba11ep-1, 0x1.03ca4472b02ebp-1, 0x1.01453240a7a97p-1, 0x1.fd7e00ea38e79p-2, 0x1.f86fb4bf4618p-2, 0x1.f35fd6bf4b3cbp-2, 0x1.ee4ebda3f5b48p-2, 0x1.e93cbffead68bp-2, 0x1.e42a34173131bp-2, 0x1.df176fcbe4729p-2, 0x1.da04c873cfaa7p-2, 0x1.d4f292c251cbcp-2, 0x1.cfe122ac75963p-2, 0x1.cad0cb4fecb6bp-2, 0x1.c5c1dedb9f863p-2, 0x1.c0b4ae79cde28p-2, 0x1.bba98a3bb37efp-2, 0x1.b6a0c106ad09p-2, 0x1.b19aa082c26c7p-2, 0x1.ac97750aa1a5bp-2, 0x1.a797899ce4c04p-2, 0x1.a29b27ceae711p-2, 0x1.9da297bf7f63fp-2, 0x1.98ae200e4047fp-2, 0x1.93be05cf72f67p-2, 0x1.8ed28c847ca47p-2, 0x1.89ebf613fefe7p-2, 0x1.850a82c32fea5p-2, 0x1.802e71302874cp-2, 0x1.7b57fe4d1d47bp-2, 0x1.7687655c7297ap-2, 0x1.71bcdfeda40cdp-2, 0x1.6cf8a5daf3e81p-2, 0x1.683aed47d4a1cp-2, 0x1.6383eaa005886p-2, 0x1.5ed3d097552e7p-2, 0x1.5a2ad02a04cf6p-2, 0x1.5589189dba345p-2, 0x1.50eed78302bb3p-2, 0x1.4c5c38b751f3bp-2, 0x1.47d166677ee63p-2, 0x1.434e8912ad1b3p-2, 0x1.3ed3c78da4777p-2, 0x1.3a61470687364p-2, 0x1.35f72b08e20dp-2, 0x1.3195958213631p-2, 0x1.2d3ca6c5f9591p-2, 0x1.28ec7d93ef6acp-2, 0x1.24a5371c037b6p-2, 0x1.2066ef046bf92p-2, 0x1.1c31bf6f33383p-2, 0x1.1805c1000fa9ep-2, 0x1.13e30ae26d55bp-2, 0x1.0fc9b2cf97de8p-2, 0x1.0bb9cd150e4f6p-2, 0x1.07b36c9aeffa1p-2, 0x1.03b6a2ea873dap-2, 0x1.ff870069d1111p-3, 0x1.f7b426b354d79p-3, 0x1.eff4d3db4b328p-3, 0x1.e849208397809p-3, 0x1.e0b122d40059bp-3, 0x1.d92cee87fb30dp-3, 0x1.d1bc94fc7efeap-3, 0x1.ca60253ddc342p-3, 0x1.c317ac1594ac6p-3, 0x1.bbe3341830fb6p-3, 0x1.b4c2c5b311569p-3, 0x1.adb6673a306bp-3, 0x1.a6be1cf5d900fp-3, 0x1.9fd9e9304a08dp-3, 0x1.9909cc4349f14p-3, 0x1.924dc4a59c14ep-3, 0x1.8ba5cef862ce8p-3, 0x1.8511e61463a51p-3, 0x1.7e9203172caep-3, 0x1.78261d701b26ep-3, 0x1.71ce2aed3edf4p-3, 0x1.6b8a1fc81b55p-3, 0x1.6559eeb243de7p-3, 0x1.5f3d88e1d0404p-3, 0x1.5934de1da8cc6p-3, 0x1.533fdcc9acae6p-3, 0x1.4d5e71f2ac3cfp-3, 0x1.4790895a358e1p-3, 0x1.41d60d823ebccp-3, 0x1.3c2ee7b8945f3p-3, 0x1.369b002229331p-3, 0x1.311a3dc633a6ap-3, 0x1.2bac869915ba6p-3, 0x1.2651bf872293fp-3, 0x1.2109cc7f2ae4dp-3, 0x1.1bd4907cdf18p-3, 0x1.16b1ed93011f7p-3, 0x1.11a1c4f565dfcp-3, 0x1.0ca3f702c55a7p-3, 0x1.07b8634e5edcdp-3, 0x1.02dee8a96bed2p-3, 0x1.fc2eca58bce0dp-4, 0x1.f2c36c7fe930ap-4, 0x1.e97b714c3c63cp-4, 0x1.e056910555146p-4, 0x1.d75482c7a4857p-4, 0x1.ce74fc950aaa8p-4, 0x1.c5b7b365284cdp-4, 0x1.bd1c5b354ce99p-4, 0x1.b4a2a71803ce8p-4, 0x1.ac4a49444cc55p-4, 0x1.a412f324723adp-4, 0x1.9bfc55648af4cp-4, 0x1.940620009c6e1p-4, 0x1.8c30025267e12p-4, 0x1.8479ab1edf2e4p-4, 0x1.7ce2c8a33e753p-4, 0x1.756b08a1d4949p-4, 0x1.6e12186e71971p-4, 0x1.66d7a4fa848e3p-4, 0x1.5fbb5ae0e1fdfp-4, 0x1.58bce6713bffdp-4, 0x1.51dbf3bb44e5bp-4, 0x1.4b182e9984a2ep-4, 0x1.447142bbdc393p-4, 0x1.3de6dbb1bc738p-4, 0x1.3778a4f41018cp-4, 0x1.312649eed77c6p-4, 0x1.2aef760a7bedcp-4, 0x1.24d3d4b4d6471p-4, 0x1.1ed31169f166ep-4, 0x1.18ecd7bc7e8e7p-4, 0x1.1320d35e0901dp-4, 0x1.0d6eb026e1b53p-4, 0x1.07d61a1dc76bcp-4, 0x1.0256bd7f4b48dp-4, 0x1.f9e08d89eb0a8p-5, 0x1.ef44c558494ebp-5, 0x1.e4d97c7969387p-5, 0x1.da9e0d9ec04e5p-5, 0x1.d091d427d2a23p-5, 0x1.c6b42c2e0b01ap-5, 0x1.bd047290190fap-5, 0x1.b38204fcdfd4ep-5, 0x1.aa2c41fdefdaep-5, 0x1.a102890197b8cp-5, 0x1.98043a6481937p-5, 0x1.8f30b77ae7c37p-5, 0x1.868762996534ap-5, 0x1.7e079f1d5ad05p-5, 0x1.75b0d174f3169p-5, 0x1.6d825f26c2da2p-5, 0x1.657baed90f355p-5, 0x1.5d9c2858afecap-5, 0x1.55e3349f96569p-5, 0x1.4e503ddb05197p-5, 0x1.46e2af7164567p-5, 0x1.3f99f607c8138p-5, 0x1.38757f8722331p-5, 0x1.3174bb212542p-5, 0x1.2a971954d388bp-5, 0x1.23dc0bf2c7bd4p-5, 0x1.1d4306212d235p-5, 0x1.16cb7c5f736a3p-5, 0x1.1074e489bac43p-5, 0x1.0a3eb5dbf3a3fp-5, 0x1.042868f4c73d1p-5, 0x1.fc62efb06e5e9p-6, 0x1.f0b2bbe3fc6ebp-6, 0x1.e53f302f65e52p-6, 0x1.da07491566cb3p-6, 0x1.cf0a05f39cbacp-6, 0x1.c4466905771c5p-6, 0x1.b9bb7766af101p-6, 0x1.af6839155cd35p-6, 0x1.a54bb8f3a17b8p-6, 0x1.9b6504c8ee2dp-6, 0x1.91b32d42eaea9p-6, 0x1.883545f5fcfcbp-6, 0x1.7eea655d777f8p-6, 0x1.75d1a4db73fafp-6, 0x1.6cea20b8519c2p-6, 0x1.6432f821e4eafp-6, 0x1.5bab4d2a5ce8p-6, 0x1.535244c6d521ep-6, 0x1.4b2706cda9297p-6, 0x1.4328bdf46ea7cp-6, 0x1.3b5697cdc6a3dp-6, 0x1.33afc4c6ccf85p-6, 0x1.2c33782468d2cp-6, 0x1.24e0e8004a2a1p-6, 0x1.1db74d45b75aep-6, 0x1.16b5e3ae205c4p-6, 0x1.0fdbe9bd7e95bp-6, 0x1.0928a0be7feeap-6, 0x1.029b4cbe814f8p-6, 0x1.f8666912b5638p-7, 0x1.ebdf434a0626dp-7, 0x1.df9fc099fc778p-7, 0x1.d3a67edb6254fp-7, 0x1.c7f2213f1193ep-7, 0x1.bc815043e897ep-7, 0x1.b152b9ac9eaebp-7, 0x1.a6651075347f4p-7, 0x1.9bb70cc83ba7dp-7, 0x1.91476bf3dc374p-7, 0x1.8714f05e9f098p-7, 0x1.7d1e617c0c83cp-7, 0x1.73628bc11a0e2p-7, 0x1.69e040986212ap-7, 0x1.60965656440fp-7, 0x1.5783a82cbb78p-7, 0x1.4ea7161f3f0dep-7, 0x1.45ff84f657fe6p-7, 0x1.3d8bde332e9ccp-7, 0x1.354b1002f62a9p-7, 0x1.2d3c0d323d0b7p-7, 0x1.255dcd202b3cbp-7, 0x1.1daf4bb1a18efp-7, 0x1.162f89445145ap-7, 0x1.0edd8aa1c1b3bp-7, 0x1.07b858f241b73p-7, 0x1.00bf01afd3708p-7, 0x1.f3e12d3216e5p-8, 0x1.e6985b47cac98p-8, 0x1.d9a1c1e14a588p-8, 0x1.ccfb9d791cd75p-8, 0x1.c0a432a989efcp-8, 0x1.b499ce121993cp-8, 0x1.a8dac43d3831p-8, 0x1.9d657185d73b6p-8, 0x1.923839fd0c4f2p-8, 0x1.8751894fd532bp-8, 0x1.7cafd2acca1dp-8, 0x1.725190a9fa343p-8, 0x1.6835452adf693p-8, 0x1.5e597946404fap-8, 0x1.54bcbd2c673f6p-8, 0x1.4b5da80d49224p-8, 0x1.423ad7fecd311p-8, 0x1.3952f1e34d43dp-8, 0x1.30a4a150211c4p-8, 0x1.282e987457dap-8, 0x1.1fef8fff8ddc5p-8, 0x1.17e64708fa5f7p-8, 0x1.101182f699879p-8, 0x1.08700f647832ep-8, 0x1.0100be0c46b9ep-8, 0x1.f384cd5a15dd3p-9, 0x1.e567cde5dfe29p-9, 0x1.d7a844bed2ad2p-9, 0x1.ca440462d7f3ep-9, 0x1.bd38ea9bcc4a4p-9, 0x1.b084e050daf53p-9, 0x1.a425d9582ec11p-9, 0x1.9819d4491be12p-9, 0x1.8c5eda4eace28p-9, 0x1.80f2fefac43ep-9, 0x1.75d460197f371p-9, 0x1.6b0125851644cp-9, 0x1.607780fa3cb45p-9, 0x1.5635aded02e6cp-9, 0x1.4c39f15e090edp-9, 0x1.428299b036ca3p-9, 0x1.390dfe7f0bd9fp-9, 0x1.2fda807527764p-9, 0x1.26e689238336cp-9, 0x1.1e308ad917d09p-9, 0x1.15b7007ae458bp-9, 0x1.0d786d5c96872p-9, 0x1.05735d19849a8p-9, 0x1.fb4cc6dc8ad97p-10, 0x1.ec203825723bcp-10, 0x1.dd5e552905cddp-10, 0x1.cf0474641f517p-10, 0x1.c10ffb6bf61dap-10, 0x1.b37e5ea65f303p-10, 0x1.a64d21023b68dp-10, 0x1.9979d3b1c0e56p-10, 0x1.8d0215e4f287cp-10, 0x1.80e3948595298p-10, 0x1.751c09f3e9d84p-10, 0x1.69a93dc445df3p-10, 0x1.5e89047dbfc92p-10, 0x1.53b93f59bd90fp-10, 0x1.4937dc0482663p-10, 0x1.3f02d45ea7c1dp-10, 0x1.35182e3f7207bp-10, 0x1.2b75fb382fff3p-10, 0x1.221a58586614cp-10, 0x1.19036df31c179p-10, 0x1.102f6f64be752p-10, 0x1.079c9ada4b98ap-10, 0x1.fe927231f8411p-11, 0x1.ee673a8e6e703p-11, 0x1.deb4496c27946p-11, 0x1.cf766d5803a26p-11, 0x1.c0aa886010c37p-11, 0x1.b24d8fac436p-11, 0x1.a45c8b18aa0bbp-11, 0x1.96d494d144b9ep-11, 0x1.89b2d8efbd61ap-11, 0x1.7cf4951a6abfp-11, 0x1.709718259e591p-11, 0x1.6497c1b5be181p-11, 0x1.58f401e39e8b7p-11, 0x1.4da958e268d35p-11, 0x1.42b556a6a3b34p-11, 0x1.38159a8f274fp-11, 0x1.2dc7d30f9af87p-11, 0x1.23c9bd5c6f519p-11, 0x1.1a1925184418bp-11, 0x1.10b3e402c0d3fp-11, 0x1.0797e1a9316c9p-11, 0x1.fd86263078f9ep-12, 0x1.ec66f51ea6d9ep-12, 0x1.dbce4e6a9abbfp-12, 0x1.cbb8699d37634p-12, 0x1.bc2196e99df6ap-12, 0x1.ad063e9eb526bp-12, 0x1.9e62e09be22e3p-12, 0x1.903413c7f12b4p-12, 0x1.8276858ab306cp-12, 0x1.7526f949979ep-12, 0x1.684247e637527p-12, 0x1.5bc55f3fe2c42p-12, 0x1.4fad41b735c24p-12, 0x1.43f705b4a4b1ep-12, 0x1.389fd530c9295p-12, 0x1.2da4ed3fe473ap-12, 0x1.23039d9eafcc2p-12, 0x1.18b948427bb99p-12, 0x1.0ec360eabe75ap-12, 0x1.051f6cb5831cfp-12, 0x1.f796036b0df0dp-13, 0x1.e5878d15a2a88p-13, 0x1.d40ee3fab56d7p-13, 0x1.c32795334276ap-13, 0x1.b2cd4c9f0ccc7p-13, 0x1.a2fbd425edf6dp-13, 0x1.93af12fdffc3fp-13, 0x1.84e30cf40b057p-13, 0x1.7693e1b9f26d7p-13, 0x1.68bdcc36dfc81p-13, 0x1.5b5d21dc9441cp-13, 0x1.4e6e51ffd5d09p-13, 0x1.41ede5344f52ap-13, 0x1.35d87cac505d7p-13, 0x1.2a2ad19ba949bp-13, 0x1.1ee1b49e3d81cp-13, 0x1.13fa0d221353dp-13, 0x1.0970d8d401e66p-13, 0x1.fe865620561b6p-14, 0x1.eadc58ab96052p-14, 0x1.d7de337a80e93p-14, 0x1.c58688e4c0c6p-14, 0x1.b3d02261507ccp-14, 0x1.a2b5ef85fdb1fp-14, 0x1.9233050cd721ap-14, 0x1.82429bde4945ap-14, 0x1.72e01021c50ecp-14, 0x1.6406e053b00aep-14, 0x1.55b2ac5f89152p-14, 0x1.47df34c183a11p-14, 0x1.3a8859ab53cc2p-14, 0x1.2daa1a2ebe5a9p-14, 0x1.2140936d39052p-14, 0x1.1547ffcc9d12cp-14, 0x1.09bcb62fad926p-14, 0x1.fd3652685e797p-15, 0x1.e7bfcceb60eaep-15, 0x1.d30f2ba75533ap-15, 0x1.bf1df17b33b3ep-15, 0x1.abe5d3038e677p-15, 0x1.9960b5431a6b1p-15, 0x1.8788ac526c05cp-15, 0x1.7657fa17ac721p-15, 0x1.65c90d0617537p-15, 0x1.55d67ee787defp-15, 0x1.467b13a8d2439p-15, 0x1.37b1b832ecc77p-15, 0x1.29758147d2929p-15, 0x1.1bc1aa670e719p-15, 0x1.0e9194bb5353dp-15, 0x1.01e0c60c03cadp-15, 0x1.eb55cf705e10ep-16, 0x1.d3d78b6aa7977p-16, 0x1.bd3e9b2d4bee2p-16, 0x1.a7831b3417473p-16, 0x1.929d6775c9955p-16, 0x1.7e86199493242p-16, 0x1.6b36071e931c6p-16, 0x1.58a63fd4f4d22p-16, 0x1.46d00c007a39fp-16, 0x1.35acead0afe7bp-16, 0x1.253690c7649aap-16, 0x1.1566e629fa24ap-16, 0x1.063805837c3aep-16, 0x1.ef4874571d551p-17, 0x1.d34bfdb23678ep-17, 0x1.b86ff87d8f332p-17, 0x1.9eaa0f602195cp-17, 0x1.85f0439fe0127p-17, 0x1.6e38ea8e98892p-17, 0x1.577aab0e484abp-17, 0x1.41ac7b1f0ab71p-17, 0x1.2cc59d842d95bp-17, 0x1.18bd9f71b56d8p-17, 0x1.058c56520c26bp-17, 0x1.e653bb2ff525ep-18, 0x1.c31d2935ec148p-18, 0x1.a166391480584p-18, 0x1.8120acd440f91p-18, 0x1.623ec23dc2602p-18, 0x1.44b32f0c7502bp-18, 0x1.28711d3d1b7f5p-18, 0x1.0d6c277352917p-18, 0x1.e730ab00ace4bp-19, 0x1.b5d431e8821d9p-19, 0x1.86ac93b088cbbp-19, 0x1.59a446f11cf56p-19, 0x1.2ea6827bf52cap-19, 0x1.059f375b3230ep-19, 0x1.bcf615c7c410bp-20, 0x1.724ea1f66675cp-20, 0x1.2b240d174c517p-20, 0x1.cea7304cde02ap-21, 0x1.4d7781b77e248p-21, 0x1.a4f0ddc5ea4fbp-22, 0x1.75aea582786fp-23, -0x1.1eadf45d4a0ecp-25, -0x1.ef1440fc40f3fp-23, -0x1.c0b56b5e4fafcp-22, -0x1.3fe19441626e9p-21, -0x1.9a8d7a263721dp-21, -0x1.f0904fb803d08p-21, -0x1.210d13d5d9fe4p-20, -0x1.47aca747e3c4fp-20, -0x1.6c3d2d0bdf32cp-20, -0x1.8ed41bd2543dfp-20, -0x1.af861d62c1748p-20, -0x1.ce6715685170fp-20, -0x1.eb8a283ec308ep-20, -0x1.0380e0b32389bp-19, -0x1.106fccea801e7p-19, -0x1.1c9a5f0f88d64p-19, -0x1.2808ca2c99318p-19, -0x1.32c2f0f01c626p-19, -0x1.3cd06876a7fep-19, -0x1.46387afa64291p-19, -0x1.4f022a72da9f6p-19, -0x1.5734331bdb323p-19, -0x1.5ed50decec991p-19, -0x1.65eaf2fa585d2p-19, -0x1.6c7bdbc0a289dp-19, -0x1.728d8561846bcp-19, -0x1.782572cbd3a31p-19, -0x1.7d48eed542bacp-19, -0x1.81fd0e3e5c87ap-19, -0x1.8646b1a6b4ce9p-19, -0x1.8a2a877609582p-19, -0x1.8dad0db053f3dp-19, -0x1.90d293bc7f307p-19, -0x1.939f3c1c31c1fp-19, -0x1.9616fe178caeap-19, -0x1.983da7550ed5dp-19, -0x1.9a16dd6a5dbap-19, -0x1.9ba61f58da49bp-19, -0x1.9ceec706bb06ap-19, -0x1.9df40aa222b2p-19, -0x1.9eb8fe019e4f9p-19, -0x1.9f4093ee9e875p-19, -0x1.9f8d9f6deed27p-19, -0x1.9fa2d4f70dd42p-19, -0x1.9f82cba4a9381p-19, -0x1.9f2ffe570b4cdp-19, -0x1.9eaccccf4e2d5p-19, -0x1.9dfb7cc055356p-19, -0x1.9d1e3ad6719bap-19, -0x1.9c171bb305eebp-19, -0x1.9ae81ce65206ep-19, -0x1.999325d7b8f37p-19, -0x1.981a08abb493p-19, -0x1.967e83204bf77p-19, -0x1.94c23f5fcadd9p-19, -0x1.92e6d4ceac215p-19, -0x1.90edc8d18b85ep-19, -0x1.8ed88f8a4a1bap-19, -0x1.8ca88c8fea455p-19, -0x1.8a5f139e94809p-19, -0x1.87fd69429e2b8p-19, -0x1.8584c37c594edp-19, -0x1.82f64a5e1ae71p-19, -0x1.805318a2d2489p-19, -0x1.7d9c3c41cf5bbp-19, -0x1.7ad2b6faea1b7p-19, -0x1.77f77edec5606p-19, -0x1.750b7ed076e98p-19, -0x1.720f9703d8803p-19, -0x1.6f049d74b1b2cp-19, -0x1.6beb5e5b24943p-19, -0x1.68c49c9c29adbp-19, -0x1.65911233610a6p-19, -0x1.6251709a8a95bp-19, -0x1.5f06612d15beep-19, -0x1.5bb08586282a4p-19, -0x1.585077daf79b2p-19, -0x1.54e6cb545986p-19, -0x1.51740c60f59d2p-19, -0x1.4df8c1071a658p-19, -0x1.4a756930da2a4p-19, -0x1.46ea7ef6a0852p-19, -0x1.435876e7244a2p-19, -0x1.3fbfc04959c27p-19, -0x1.3c20c55f9b09dp-19, -0x1.387beba5a44b1p-19, -0x1.34d1940bc3716p-19, -0x1.31221b307736cp-19, -0x1.2d6dd9975e798p-19, -0x1.29b523dc99eb6p-19, -0x1.25f84ae8ce94ap-19, -0x1.22379c1eda40cp-19, -0x1.1e73618c56302p-19, -0x1.1aabe213068c5p-19, -0x1.16e1619302e77p-19, -0x1.13142113754b5p-19, -0x1.0f445ee70e8b8p-19, -0x1.0b7256d2a1b15p-19, -0x1.079e422dbbacfp-19, -0x1.03c858042ede9p-19, -0x1.ffe19a6b86165p-20, -0x1.f82fa92867a2fp-20, -0x1.f07b3dfe9ddc1p-20, -0x1.e8c4b700fcb0ep-20, -0x1.e10c6ec82d0f5p-20, -0x1.d952bca424945p-20, -0x1.d197f4cad4bbp-20, -0x1.c9dc6882535c8p-20, -0x1.c220664d1b4aep-20, -0x1.ba643a10d8bccp-20, -0x1.b2a82d3cc9584p-20, -0x1.aaec86ec90e5p-20, -0x1.a3318c0bf6e21p-20, -0x1.9b777f7323572p-20, -0x1.93bea207f70fap-20, -0x1.8c0732d962fdcp-20, -0x1.84516f3a54648p-20, -0x1.7c9d92daf0a9ap-20, -0x1.74ebd7e0f618ep-20, -0x1.6d3c76fe2970dp-20, -0x1.658fa7848d59ep-20, -0x1.5de59f7b7bd61p-20, -0x1.563e93b4150efp-20, -0x1.4e9ab7d6536b8p-20, -0x1.46fa3e7623d8ap-20, -0x1.3f5d591f3ba9ep-20, -0x1.37c438654df6fp-20, -0x1.302f0beff2c75p-20, -0x1.289e0288b67e4p-20, -0x1.21114a25b623p-20, -0x1.19890ff55620fp-20, -0x1.12058067dc4e6p-20, -0x1.0a86c7391cfa4p-20, -0x1.030d0f7851ed3p-20, -0x1.f731071fdeb09p-21, -0x1.e8529a9c08c23p-21, -0x1.d97f2bd4c6d0cp-21, -0x1.cab70c183d83cp-21, -0x1.bbfa8b9e13d7dp-21, -0x1.ad49f992ace43p-21, -0x1.9ea5a4223ae36p-21, -0x1.900dd87b31b27p-21, -0x1.8182e2dc18ac2p-21, -0x1.73050e98fd3b8p-21, -0x1.6494a61f98024p-21, -0x1.5631f2fb0615p-21, -0x1.47dd3ddc569bfp-21, -0x1.3996ce9b3a11ap-21, -0x1.2b5eec3997869p-21, -0x1.1d35dce78ca77p-21, -0x1.0f1be604fd1c8p-21, -0x1.01114c237e248p-21, -0x1.e62ca61085c23p-22, -0x1.ca567b591f42bp-22, -0x1.aea09c7e911ffp-22, -0x1.930b8c497ede1p-22, -0x1.7797cbeabb45ap-22, -0x1.5c45dafeafffep-22, -0x1.4116378b2f1cfp-22, -0x1.26095df9adf45p-22, -0x1.0b1fc91b4db34p-22, -0x1.e0b3e43bca4e1p-23, -0x1.ab70a129f7533p-23, -0x1.7676b4daa761p-23, -0x1.41c707d7d6a05p-23, -0x1.0d627f5fc0ebdp-23, -0x1.b293faac5d5acp-24, -0x1.4afcc062cb683p-24, -0x1.c8020bfa69c85p-25, -0x1.f689ead7edc43p-26, -0x1.7e2c6c2574f56p-28, 0x1.34f1d2cd5ed9ap-26, 0x1.63733b39b4fd4p-25, 0x1.1593211de1cafp-24, 0x1.78c77391906fbp-24, 0x1.db5510b27d5dep-24, 0x1.1e9d3dcd97e42p-23, 0x1.4f3b1f65cfdddp-23, 0x1.7f83762559587p-23, 0x1.af758edf8751dp-23, 0x1.df10ba3566663p-23, 0x1.072a2650a29bbp-22, 0x1.1e9fcf414aaf5p-22, 0x1.35e906115b111p-22, 0x1.4d057adca6dbcp-22, 0x1.63f4dfba408f4p-22, 0x1.7ab6e8bff2bcp-22, 0x1.914b4c072b76ep-22, 0x1.a7b1c1a831a3dp-22, 0x1.bdea03c2b4e4dp-22, 0x1.d3f3ce81b1441p-22, 0x1.e9cee01a248bp-22, 0x1.ff7af8cffcf0ap-22, 0x1.0a7bed7a6773ap-21, 0x1.1522a575e64d2p-21, 0x1.1fb187950fee3p-21, 0x1.2a28781d0c0ebp-21, 0x1.34875c5c851e6p-21, 0x1.3ece1aadf056cp-21, 0x1.48fc9a762ec7ep-21, 0x1.5312c425b01cep-21, 0x1.5d1081366f7bcp-21, 0x1.66f5bc2edab1dp-21, 0x1.70c260a0b6d02p-21, 0x1.7a765b28668dp-21, 0x1.8411996d9de3cp-21, 0x1.8d940a21bee11p-21, 0x1.96fd9d00d1f9dp-21, 0x1.a04e42cf09dc7p-21, 0x1.a985ed5a0d686p-21, 0x1.b2a48f76c0361p-21, 0x1.bbaa1d00defa7p-21, 0x1.c4968ad9ebfa3p-21, 0x1.cd69cee82af0fp-21, 0x1.d623e0143e3f4p-21, 0x1.dec4b649cfb4cp-21, 0x1.e74c4a75bc04p-21, 0x1.efba968438724p-21, 0x1.f80f955f3af09p-21, 0x1.0025a17671cb4p-20, 0x1.0436ce075a031p-20, 0x1.083b4f4f6093cp-20, 0x1.0c3324b75b72cp-20, 0x1.101e4e22bc4bcp-20, 0x1.13fccbeeb5e89p-20, 0x1.17ce9ef0a2ca1p-20, 0x1.1b93c8755be87p-20, 0x1.1f4c4a407f148p-20, 0x1.22f8268aca269p-20, 0x1.269760019b053p-20, 0x1.2a29f9c5283d9p-20, 0x1.2daff7678238p-20, 0x1.31295ceb6f876p-20, 0x1.34962ec324541p-20, 0x1.37f671ced3bafp-20, 0x1.3b4a2b5ba452dp-20, 0x1.3e9161221dce3p-20, 0x1.41cc19452ff31p-20, 0x1.44fa5a50746cbp-20, 0x1.481c2b3679d6bp-20, 0x1.4b319350020c1p-20, 0x1.4e3a9a5a8a4cep-20, 0x1.51374876c2193p-20, 0x1.5427a626d63b8p-20, 0x1.570bbc4d15c1cp-20, 0x1.59e3942b22764p-20, 0x1.5caf375f3e466p-20, 0x1.5f6eafe3ecb85p-20, 0x1.6222080db4c37p-20, 0x1.64c94a89f75c1p-20, 0x1.6764825d3ba5cp-20, 0x1.69f3bae1cd00cp-20, 0x1.6c76ffc5fa8d5p-20, 0x1.6eee5d0a533a2p-20, 0x1.7159df00ade32p-20, 0x1.73b9924a655fap-20, 0x1.760d83d6c1874p-20, 0x1.7855c0e13a2acp-20, 0x1.7a9256f02793cp-20, 0x1.7cc353d2fe933p-20, 0x1.7ee8c5a0daf52p-20, 0x1.8102bab6bcb5ep-20, 0x1.831141b6734eap-20, 0x1.851469848599bp-20, 0x1.870c4146e93d4p-20, 0x1.88f8d8630e4d4p-20, 0x1.8ada3e7cbcc21p-20, 0x1.8cb083747b2efp-20, 0x1.8e7bb765d77edp-20, 0x1.903beaa5cc839p-20, 0x1.91f12dc184e84p-20, 0x1.939b917c9d03p-20, 0x1.953b26cfb6824p-20, 0x1.96cffee6ad8ffp-20, 0x1.985a2b1f5bc38p-20, 0x1.99d9bd07fc8a9p-20, 0x1.9b4ec65deca58p-20, 0x1.9cb9590baede6p-20, 0x1.9e198727e4043p-20, 0x1.9f6f62f36c747p-20, 0x1.a0bafed83446bp-20, 0x1.a1fc6d67d159fp-20, 0x1.a333c159dfab1p-20, 0x1.a4610d8ac1f8dp-20, 0x1.a58464fa2425ap-20, 0x1.a69ddac967b2p-20, 0x1.a7ad823a9cdfp-20, 0x1.a8b36eaedb8e7p-20, 0x1.a9afb3a4f29c4p-20, 0x1.aaa264b84554fp-20, 0x1.ab8b959f11e3ep-20, 0x1.ac6b5a294ff15p-20, 0x1.ad41c63f5a377p-20, 0x1.ae0eede0e5565p-20, 0x1.aed2e52370eabp-20, 0x1.af8dc030dfd7ep-20, 0x1.b03f93465b824p-20, 0x1.b0e872b3608bp-20, 0x1.b18872d835aabp-20, 0x1.b21fa824aa072p-20, 0x1.b2ae271720c7ap-20, 0x1.b334043b56563p-20, 0x1.b3b1542901e21p-20, 0x1.b4262b82c421fp-20, 0x1.b4929ef54fbb3p-20, 0x1.b4f6c33605012p-20, 0x1.b552ad01c3e49p-20, 0x1.b5a6711bf2eb6p-20, 0x1.b5f2244d93fecp-20, 0x1.b635db643453fp-20, 0x1.b671ab3093b36p-20, 0x1.b6a5a885ed27fp-20, 0x1.b6d1e838c32a7p-20, 0x1.b6f67f1e0a577p-20, 0x1.b713820a216a3p-20, 0x1.b72905cfef43dp-20, 0x1.b7371f3fe0a9fp-20, 0x1.b73de326fe3bfp-20, 0x1.b73d664de7e36p-20, 0x1.b735bd7826bcbp-20, 0x1.b726fd6339d2ep-20, 0x1.b7113ac5962cep-20, 0x1.b6f48a4e2485cp-20, 0x1.b6d100a321119p-20, 0x1.b6a6b26146333p-20, 0x1.b675b41b3a10bp-20, 0x1.b63e1a58d9909p-20, 0x1.b5fff99625f52p-20, 0x1.b5bb66428fd9fp-20, 0x1.b57074c04ee06p-20, 0x1.b51f3963de40ap-20, 0x1.b4c7c8732e6a5p-20, 0x1.b46a36249863p-20, 0x1.b406969ed117ap-20, 0x1.b39cfdf7bec11p-20, 0x1.b32d803412484p-20, 0x1.b2b8314671fb5p-20, 0x1.b23d250f46d38p-20, 0x1.b1bc6f5bd143p-20, 0x1.b13623e5a6ecfp-20, 0x1.b0aa56521263fp-20, 0x1.b0191a31c4c45p-20, 0x1.af8283000f663p-20, 0x1.aee6a42254e78p-20, 0x1.ae4590e79144ap-20, 0x1.ad9f5c880dc04p-20, 0x1.acf41a24c0a24p-20, 0x1.ac43dcc6d55p-20, 0x1.ab8eb75f1c2f1p-20, 0x1.aad4bcc5cd8a5p-20, 0x1.aa15ffba11aa8p-20, 0x1.a95292e168a6cp-20, 0x1.a88a88c777aa2p-20, 0x1.a7bdf3dd8d969p-20, 0x1.a6ece67a30e1ap-20, 0x1.a61772d8e5eedp-20, 0x1.a53dab1a034p-20, 0x1.a45fa141ffe8ap-20, 0x1.a37d67390e18cp-20, 0x1.a2970ecb130b3p-20, 0x1.a1aca9a764266p-20, 0x1.a0be496011faep-20, 0x1.9fcbff6a01ap-20, 0x1.9ed5dd1cca1dep-20, 0x1.9ddbf3b1f2bc2p-20, 0x1.9cde5444fc3b7p-20, 0x1.9bdd0fd320452p-20, 0x1.9ad8373b07a19p-20, 0x1.99cfdb3cb450bp-20, 0x1.98c40c791650cp-20, 0x1.97b4db721289dp-20, 0x1.96a2588a256a3p-20, 0x1.958c94045bfcp-20, }}, 
      {{0x1.01087d243879p-12, 0x1.f5eb825fadf47p-11, 0x1.102a3697c15dep-9, 0x1.cde4717f78838p-9, 0x1.56110504dae18p-8, 0x1.d0c953ba39e6ep-8, 0x1.29b8aada0afebp-7, 0x1.6dbdb03c20edcp-7, 0x1.b3b25d391c8c4p-7, 0x1.fb450470fc7cep-7, 0x1.223c550c919d8p-6, 0x1.47c5052f02c0ap-6, 0x1.6e6bc30914912p-6, 0x1.96669ae8c1ccep-6, 0x1.bfeab3c99e05dp-6, 0x1.eb26a2a5fb415p-6, 0x1.0c1f49ca00396p-5, 0x1.23a50003d03e2p-5, 0x1.3c2954d7dfc81p-5, 0x1.55aa4b06cf5c3p-5, 0x1.701f66b4f964p-5, 0x1.8b7a537b6c559p-5, 0x1.a7a7b99ef681fp-5, 0x1.c4902e989aaeap-5, 0x1.e2193096792dep-5, 0x1.00130ff3ababfp-4, 0x1.0f4c9626de76ap-4, 0x1.1eaa177aa09fcp-4, 0x1.2e1cb615a8d0fp-4, 0x1.3d961d03e2d86p-4, 0x1.4d08c5702347cp-4, 0x1.5c682ddba6f72p-4, 0x1.6ba903ed96cf5p-4, 0x1.7ac141d1cbf65p-4, 0x1.89a8405b6e223p-4, 0x1.9856bf42dfdf4p-4, 0x1.a6c6e4e40078ep-4, 0x1.b4f436deb8a3ep-4, 0x1.c2db8cec95c45p-4, 0x1.d07aff2657f4p-4, 0x1.ddd1d0d7256c4p-4, 0x1.eae058db01ec4p-4, 0x1.f7a7e864ec139p-4, 0x1.021558745a5f3p-3, 0x1.0835d4e2c3599p-3, 0x1.0e373b18d0e42p-3, 0x1.141ba5e6e25d1p-3, 0x1.19e56d18063c6p-3, 0x1.1f9719d0eeab9p-3, 0x1.25335b9dc959ap-3, 0x1.2abcfe3d13947p-3, 0x1.3036e02f9ba43p-3, 0x1.35a3ea1112b51p-3, 0x1.3b0706b8a6165p-3, 0x1.40631c1e2686cp-3, 0x1.45bb04fde7189p-3, 0x1.4b118b33e0afbp-3, 0x1.506962c56a726p-3, 0x1.55c5259008d0ep-3, 0x1.5b274f937bf01p-3, 0x1.60923bccd4a03p-3, 0x1.660821988af07p-3, 0x1.6b8b12918359ep-3, 0x1.711cf8e359edcp-3, 0x1.76bf960684ffep-3, 0x1.7c7481dd4dd8fp-3, 0x1.823d2a2908697p-3, 0x1.881ad24f5e48ep-3, 0x1.8e0e9367f4845p-3, 0x1.94195c8b24593p-3, 0x1.9a3bf35aedcbcp-3, 0x1.a076f4bfaaea6p-3, 0x1.a6cad5d28bdc6p-3, 0x1.ad37e4f029574p-3, 0x1.b3be4aede585ap-3, 0x1.ba5e0c6d431f6p-3, 0x1.c1170b4889f2ep-3, 0x1.c7e9081488a1ep-3, 0x1.ced3a3b3702e9p-3, 0x1.d5d660f53850dp-3, 0x1.dcf0a642207c2p-3, 0x1.e421bf4c350fp-3, 0x1.eb68dec505a2p-3, 0x1.f2c52014f2992p-3, 0x1.fa358911b2281p-3, 0x1.00dc85d8f2a2cp-2, 0x1.04a743dde9beep-2, 0x1.087a6636ca7a8p-2, 0x1.0c554d0e8778cp-2, 0x1.103751e73cf9cp-2, 0x1.141fc8601c1c1p-2, 0x1.180dfef5782f2p-2, 0x1.1c013fba8893fp-2, 0x1.1ff8d10c7f4b9p-2, 0x1.23f3f63ea9df4p-2, 0x1.27f1f03f56b56p-2, 0x1.2bf1fe355c12dp-2, 0x1.2ff35e16130ddp-2, 0x1.33f54d33b9aeap-2, 0x1.37f708c432935p-2, 0x1.3bf7ce601ccddp-2, 0x1.3ff6dc7a56057p-2, 0x1.43f372cff5cffp-2, 0x1.47ecd2d0ddf64p-2, 0x1.4be240010427ap-2, 0x1.4fd3005295a4bp-2, 0x1.53be5c792afd1p-2, 0x1.57a3a03636f8p-2, 0x1.5b821a9ee812bp-2, 0x1.5f591e5bb632p-2, 0x1.632801e1d461dp-2, 0x1.66ee1fa6c9ecfp-2, 0x1.6aaad64e69562p-2, 0x1.6e5d88d36ce32p-2, 0x1.72059eaaf64b6p-2, 0x1.75a283e32dcc6p-2, 0x1.7933a93d4af5ep-2, 0x1.7cb884433e9a3p-2, 0x1.80308f594049dp-2, 0x1.839b49cb82a5cp-2, 0x1.86f837d8411c8p-2, 0x1.8a46e2b670126p-2, 0x1.8d86d8993f674p-2, 0x1.90b7acb0ad5b9p-2, 0x1.93d8f7275d49ep-2, 0x1.96ea551def579p-2, 0x1.99eb68a3fc4b8p-2, 0x1.9cdbd8aefa262p-2, 0x1.9fbb510f25313p-2, 0x1.a2898262aaa8cp-2, 0x1.a546220733559p-2, 0x1.a7f0ea09faf5cp-2, 0x1.aa8999169f1dp-2, 0x1.ad0ff264bfefp-2, 0x1.af83bda49dce8p-2, 0x1.b1e4c6eace64cp-2, 0x1.b432de9b2b4dfp-2, 0x1.b66dd953114bp-2, 0x1.b8958fd30fa24p-2, 0x1.baa9dee81b798p-2, 0x1.bcaaa75460ac4p-2, 0x1.be97cdb7c6fc2p-2, 0x1.c0713a7835493p-2, 0x1.c236d9a9b3cd9p-2, 0x1.c3e89af66f1fap-2, 0x1.c5867186b50b7p-2, 0x1.c71053e8f2be7p-2, 0x1.c8863bf9c3a95p-2, 0x1.c9e826cc1c16ep-2, 0x1.cb36149198b5p-2, 0x1.cc700882fa886p-2, 0x1.cd9608c8dc0dep-2, 0x1.cea81e64a0d9ap-2, 0x1.cfa65519a9d2ap-2, 0x1.d090bb56d3c1cp-2, 0x1.d16762204115ap-2, 0x1.d22a5cf976c67p-2, 0x1.d2d9c1cfce1b4p-2, 0x1.d375a8e53d83fp-2, 0x1.d3fe2cbb7f217p-2, 0x1.d47369ff8df19p-2, 0x1.d4d57f7585f01p-2, 0x1.d5248de4dd7f2p-2, 0x1.d560b8050387p-2, 0x1.d58a226a59815p-2, 0x1.d5a0f3738c12bp-2, 0x1.d5a553374feb3p-2, 0x1.d5976b72777e3p-2, 0x1.d57767766b3d9p-2, 0x1.d5457417fdc14p-2, 0x1.d501bf9e9d2b1p-2, 0x1.d4ac79b3df248p-2, 0x1.d445d35365b37p-2, 0x1.d3cdfebb222d7p-2, 0x1.d3452f5be835fp-2, 0x1.d2ab99ca5f4bfp-2, 0x1.d20173b0422f6p-2, 0x1.d146f3bdf55bfp-2, 0x1.d07c519c6dff9p-2, 0x1.cfa1c5df69dd5p-2, 0x1.ceb789f7f6cbbp-2, 0x1.cdbdd82744f66p-2, 0x1.ccb4eb71c769cp-2, 0x1.cb9cff929ef19p-2, 0x1.ca7650ef4ca83p-2, 0x1.c9411c8babc54p-2, 0x1.c7fd9ffe346e1p-2, 0x1.c6ac1964807efp-2, 0x1.c54cc758140efp-2, 0x1.c3dfe8e36be1ep-2, 0x1.c265bd7747aa1p-2, 0x1.c0de84e036b38p-2, 0x1.bf4a7f3c64549p-2, 0x1.bda9ecf1a11p-2, 0x1.bbfd0ea3a7872p-2, 0x1.ba44252a9d3cbp-2, 0x1.b87f7189d0086p-2, 0x1.b6af34e6a9332p-2, 0x1.b4d3b07fdd442p-2, 0x1.b2ed25a4d105ep-2, 0x1.b0fbd5ad3746ep-2, 0x1.af0001f0e2f0ap-2, 0x1.acf9ebbfd0f9dp-2, 0x1.aae9d45a640aap-2, 0x1.a8cffce9d71b8p-2, 0x1.a6aca678e236bp-2, 0x1.a48011ec8f9a9p-2, 0x1.a24a7ffd46f53p-2, 0x1.a00c3130065c6p-2, 0x1.9dc565cfcf9cap-2, 0x1.9b765de74182ep-2, 0x1.991f593a63494p-2, 0x1.96c097409f133p-2, 0x1.945a571eea27p-2, 0x1.91ecd7a21ae4ap-2, 0x1.8f7857396dcb8p-2, 0x1.8cfd13f13448ap-2, 0x1.8a7b4b6db455ep-2, 0x1.87f33ae62f3e4p-2, 0x1.85651f201770cp-2, 0x1.82d1346a6ec9bp-2, 0x1.8037b69951b8ap-2, 0x1.7d98e101a8384p-2, 0x1.7af4ee750646bp-2, 0x1.784c193daffd4p-2, 0x1.759e9b1ac7e0dp-2, 0x1.72ecad3ca689bp-2, 0x1.7036884156ccbp-2, 0x1.6d7c64313c1c8p-2, 0x1.6abe787bdcfbap-2, 0x1.67fcfbf4d492cp-2, 0x1.653824d0ea1ap-2, 0x1.627028a34b009p-2, 0x1.5fa53c5aeca99p-2, 0x1.5cd7944010e79p-2, 0x1.5a0763f1ea933p-2, 0x1.5734de646c5a1p-2, 0x1.546035de31109p-2, 0x1.51899bf68d5a2p-2, 0x1.4eb14193beca4p-2, 0x1.4bd756e93c00ap-2, 0x1.48fc0b7626a37p-2, 0x1.461f8e03dad1p-2, 0x1.43420ca49eac4p-2, 0x1.4063b4b272048p-2, 0x1.3d84b2cdf8d14p-2, 0x1.3aa532dd84772p-2, 0x1.37c5600c3cb77p-2, 0x1.34e564c95f7e4p-2, 0x1.32056ac7a0cbdp-2, 0x1.2f259afca500fp-2, 0x1.2c461da0927b1p-2, 0x1.29671a2dc2dadp-2, 0x1.2688b76086c2dp-2, 0x1.23ab1b3709b21p-2, 0x1.20ce6af148574p-2, 0x1.1df2cb1120d62p-2, 0x1.1b185f5a7c1f4p-2, 0x1.183f4ad3886e6p-2, 0x1.1567afc510cfcp-2, 0x1.1291afbae3295p-2, 0x1.0fbd6b844ee44p-2, 0x1.0ceb0334b761cp-2, 0x1.0a1a962439c91p-2, 0x1.074c42f063fd7p-2, 0x1.0480277d02e26p-2, 0x1.01b660f4fb2edp-2, 0x1.fdde179678652p-3, 0x1.f854877777b1p-3, 0x1.f2d04799114c5p-3, 0x1.ed518c9dcc92ap-3, 0x1.e7d889c0faffcp-3, 0x1.e26570d933433p-3, 0x1.dcf8725ae171p-3, 0x1.d791bd5afde56p-3, 0x1.d2317f91d6a21p-3, 0x1.ccd7e55df14c4p-3, 0x1.c78519c7078dcp-3, 0x1.c23946811ebb4p-3, 0x1.bcf493efa8462p-3, 0x1.b7b72928c8009p-3, 0x1.b2812bf8a08aep-3, 0x1.ad52c0e4b9422p-3, 0x1.a82c0b2f74e5ap-3, 0x1.a30d2cdb9b968p-3, 0x1.9df646afee83dp-3, 0x1.98e7783ad5194p-3, 0x1.93e0dfd60db27p-3, 0x1.8ee29aaa736a8p-3, 0x1.89ecc4b3cf5bp-3, 0x1.84ff78c4b0e4ap-3, 0x1.801ad08a586fep-3, 0x1.7b3ee490a5b34p-3, 0x1.766bcc46132bp-3, 0x1.71a19dffb97b1p-3, 0x1.6ce06efd57372p-3, 0x1.6828536d68806p-3, 0x1.63795e713a3c9p-3, 0x1.5ed3a2210a7f7p-3, 0x1.5a372f9029d4dp-3, 0x1.55a416d12475dp-3, 0x1.511a66f9ea9c7p-3, 0x1.4c9a2e2800c22p-3, 0x1.48237984ad3a5p-3, 0x1.43b655492b14dp-3, 0x1.3f52ccc2db3dp-3, 0x1.3af8ea57791e5p-3, 0x1.36a8b7894e676p-3, 0x1.32623cfb62672p-3, 0x1.2e258275adcffp-3, 0x1.29f28ee94af62p-3, 0x1.25c968749fe5dp-3, 0x1.21aa14678cdf8p-3, 0x1.1d94974791267p-3, 0x1.1988f4d3efd04p-3, 0x1.15873009d02dcp-3, 0x1.118f4b28572afp-3, 0x1.0da147b4beec1p-3, 0x1.09bd267e6a053p-3, 0x1.05e2e7a2e9803p-3, 0x1.02128a920666cp-3, 0x1.fc981c237df9ap-4, 0x1.f51ee0847f28bp-4, 0x1.edb95d43a52b4p-4, 0x1.e6678c2194bebp-4, 0x1.df2965aac4b58p-4, 0x1.d7fee13f3753dp-4, 0x1.d0e7f51a123f5p-4, 0x1.c9e4965939f39p-4, 0x1.c2f4b904cf4e7p-4, 0x1.bc18501698003p-4, 0x1.b54f4d8161b46p-4, 0x1.ae99a2384752bp-4, 0x1.a7f73e35e4a83p-4, 0x1.a168108376b6ap-4, 0x1.9aec073fedf0ep-4, 0x1.94830fa6e0ccbp-4, 0x1.8e2d161775e31p-4, 0x1.87ea061b2b3b5p-4, 0x1.81b9ca6c94701p-4, 0x1.7b9c4cfdfdea3p-4, 0x1.759176fff93cbp-4, 0x1.6f9930e7d4376p-4, 0x1.69b36275fbeb5p-4, 0x1.63dff2bc45794p-4, 0x1.5e1ec8242547ep-4, 0x1.586fc874c6635p-4, 0x1.52d2d8d91969fp-4, 0x1.4d47dde5bc995p-4, 0x1.47cebb9ed6215p-4, 0x1.4267557dd901ap-4, 0x1.3d118e77281fdp-4, 0x1.37cd48ffaf29ap-4, 0x1.329a671257c0fp-4, 0x1.2d78ca357229ep-4, 0x1.2868537ffe21ep-4, 0x1.2368e39ee1c47p-4, 0x1.1e7a5ada0397p-4, 0x1.199c991955455p-4, 0x1.14cf7de9bee1ap-4, 0x1.1012e881f8057p-4, 0x1.0b66b7c746bc2p-4, 0x1.06caca5229d84p-4, 0x1.023efe72ead51p-4, 0x1.fb86646c31b21p-5, 0x1.f2ae86d1d9001p-5, 0x1.e9f61f3b2cb75p-5, 0x1.e15ce85ee9fffp-5, 0x1.d8e29c8e6c41ap-5, 0x1.d086f5bdbf844p-5, 0x1.c849ad8b8ab4ap-5, 0x1.c02a7d48c84cdp-5, 0x1.b8291e005794bp-5, 0x1.b045487e61e74p-5, 0x1.a87eb55790d26p-5, 0x1.a0d51cf02323cp-5, 0x1.99483782c625ap-5, 0x1.91d7bd275acd9p-5, 0x1.8a8365d9829f6p-5, 0x1.834ae97f0365fp-5, 0x1.7c2dffee0b415p-5, 0x1.752c60f340a29p-5, 0x1.6e45c457b8f1ap-5, 0x1.6779e1e6b79cfp-5, 0x1.60c8717350a8p-5, 0x1.5a312adde42dp-5, 0x1.53b3c6196c208p-5, 0x1.4d4ffb30aefd9p-5, 0x1.4705824b43a6bp-5, 0x1.40d413b2797abp-5, 0x1.3abb67d60f81ap-5, 0x1.34bb3750d8f43p-5, 0x1.2ed33aed2e0a3p-5, 0x1.29032ba9496f4p-5, 0x1.234ac2bb6f2e4p-5, 0x1.1da9b9960c395p-5, 0x1.181fc9eb98b94p-5, 0x1.12acadb270dd3p-5, 0x1.0d501f288046ap-5, 0x1.0809d8d6ced96p-5, 0x1.02d99594f7073p-5, 0x1.fb7e2118d9ea1p-6, 0x1.f1740a776fd0cp-6, 0x1.e7945ef313d9fp-6, 0x1.ddde96ef5b389p-6, 0x1.d4522b8bd1f95p-6, 0x1.caee96a973598p-6, 0x1.c1b352efebee1p-6, 0x1.b89fdbd2b4633p-6, 0x1.afb3ad95d87e9p-6, 0x1.a6ee4552ab218p-6, 0x1.9e4f20fc3609dp-6, 0x1.95d5bf6371fa3p-6, 0x1.8d81a03b56136p-6, 0x1.8552441cbb8bdp-6, 0x1.7d472c8a07b35p-6, 0x1.755fdbf2a07c6p-6, 0x1.6d9bd5b64d50dp-6, 0x1.65fa9e284f6c4p-6, 0x1.5e7bba925ca8p-6, 0x1.571eb1377176ap-6, 0x1.4fe309566e194p-6, 0x1.48c84b2c9916cp-6, 0x1.41cdfff7e6972p-6, 0x1.3af3b1f927d23p-6, 0x1.3438ec7615e62p-6, 0x1.2d9d3bbb2cd54p-6, 0x1.27202d1d61eb3p-6, 0x1.20c14efbbdfd1p-6, 0x1.1a8030c0d5e29p-6, 0x1.145c62e418b64p-6, 0x1.0e5576eb0087ep-6, 0x1.086aff6a24ccbp-6, 0x1.029c90062d24fp-6, 0x1.f9d37ae939731p-7, 0x1.eea43af926171p-7, 0x1.e3aa8deead291p-7, 0x1.d8e5a3a1bd65ap-7, 0x1.ce54ae104a942p-7, 0x1.c3f6e15ee8568p-7, 0x1.b9cb73d918f95p-7, 0x1.afd19df17eb5fp-7, 0x1.a6089a41bcbbfp-7, 0x1.9c6fa58a404e4p-7, 0x1.9305feb1d89d9p-7, 0x1.89cae6c52199dp-7, 0x1.80bda0f5af6efp-7, 0x1.77dd729932f7bp-7, 0x1.6f29a3285d738p-7, 0x1.66a17c3d95cb1p-7, 0x1.5e444993ac6cp-7, 0x1.5611590433aa8p-7, 0x1.4e07fa85f00f5p-7, 0x1.4627802aecbf4p-7, 0x1.3e6f3e1e9d417p-7, 0x1.36de8aa3c5917p-7, 0x1.2f74be1241f72p-7, 0x1.283132d4c6d8dp-7, 0x1.21134566693e1p-7, 0x1.1a1a545012a2p-7, 0x1.1345c025f6769p-7, 0x1.0c94eb84be301p-7, 0x1.06073b0ec16bep-7, 0x1.ff382ad21d996p-8, 0x1.f2a5c670f1d8ap-8, 0x1.e6561e3ce776cp-8, 0x1.da480b6bd36ebp-8, 0x1.ce7a6b1ffc41bp-8, 0x1.c2ec1e615f56cp-8, 0x1.b79c0a170815dp-8, 0x1.ac891700074f2p-8, 0x1.a1b231ac60c93p-8, 0x1.97164a75f254ap-8, 0x1.8cb455793017cp-8, 0x1.828b4a8d84877p-8, 0x1.789a253e43052p-8, 0x1.6edfe4c279b3p-8, 0x1.655b8bf5c2db5p-8, 0x1.5c0c21504144ap-8, 0x1.52f0aedec47e7p-8, 0x1.4a08423aee059p-8, 0x1.4151ec8328cf4p-8, 0x1.38ccc252b1b82p-8, 0x1.3077dbb947909p-8, 0x1.285254333223p-8, 0x1.205b4aa0e7d6cp-8, 0x1.1891e13ee71cbp-8, 0x1.10f53d9d410c6p-8, 0x1.09848897693f3p-8, 0x1.023eee4bae695p-8, 0x1.f6473c2601466p-9, 0x1.e86394f0be10bp-9, 0x1.dad15260df1e1p-9, 0x1.cd8ee6221cdc6p-9, 0x1.c09ac811c4989p-9, 0x1.b3f3762d66b37p-9, 0x1.a79774821df5ep-9, 0x1.9b854d1bb6ce2p-9, 0x1.8fbb8ff363261p-9, 0x1.8438d2dedadf1p-9, 0x1.78fbb17f6adacp-9, 0x1.6e02cd3133dd5p-9, 0x1.634cccf9d3214p-9, 0x1.58d85d78029d8p-9, 0x1.4ea430d23e389p-9, 0x1.44aefea6505a8p-9, 0x1.3af783f879bbp-9, 0x1.317c8322989e9p-9, 0x1.283cc3c3b8c9ap-9, 0x1.1f3712af4c31ap-9, 0x1.166a41dcbd309p-9, 0x1.0dd52856ea33ap-9, 0x1.0576a22bbb4f7p-9, 0x1.fa9b20b7e4c04p-10, 0x1.eab1b195be077p-10, 0x1.db2ecc5c15656p-10, 0x1.cc104ffaf76fap-10, 0x1.bd5424c6f41b9p-10, 0x1.aef83c5990699p-10, 0x1.a0fa91718f87bp-10, 0x1.935927d3b58d9p-10, 0x1.86120c2bb9815p-10, 0x1.792353ece40c4p-10, 0x1.6c8b1d33aa624p-10, 0x1.60478ea6dbf3dp-10, 0x1.5456d759b5ce3p-10, 0x1.48b72ead34546p-10, 0x1.3d66d4330c4ecp-10, 0x1.32640f8f22ebcp-10, 0x1.27ad305ab2b83p-10, 0x1.1d408e06d898ep-10, 0x1.131c87bff6afdp-10, 0x1.093f8450e917cp-10, 0x1.ff4fe40cabbe4p-11, 0x1.eca88d25e0ddp-11, 0x1.da85fde68878fp-11, 0x1.c8e53ea4258c5p-11, 0x1.b7c365d9e4fdbp-11, 0x1.a71d97f29e7ffp-11, 0x1.96f1071264a21p-11, 0x1.873af2e1f240cp-11, 0x1.77f8a85970e21p-11, 0x1.6927818c8a155p-11, 0x1.5ac4e57637f8dp-11, 0x1.4cce47c6b09a5p-11, 0x1.3f4128afb2c99p-11, 0x1.321b14b334edbp-11, 0x1.2559a471467d6p-11, 0x1.18fa7c7765035p-11, 0x1.0cfb4d1053f6dp-11, 0x1.0159d21334807p-11, 0x1.ec27a56a8c607p-12, 0x1.d64e42b44ffe3p-12, 0x1.c12336ccc4364p-12, 0x1.aca25221334edp-12, 0x1.98c77a6b3407p-12, 0x1.858eaa540b7d4p-12, 0x1.72f3f11f94d29p-12, 0x1.60f37252c18d9p-12, 0x1.4f89655e9fddep-12, 0x1.3eb2154a8fe7ep-12, 0x1.2e69e060302a1p-12, 0x1.1ead37d88e252p-12, 0x1.0f789f8a33b0ep-12, 0x1.00c8ad97d3becp-12, 0x1.e5341442a52f7p-13, 0x1.c9d2dde665d94p-13, 0x1.af674e757cbc5p-13, 0x1.95eb1e6e43fep-13, 0x1.7d5827dffb337p-13, 0x1.65a865d06ccc4p-13, 0x1.4ed5f3ab18d66p-13, 0x1.38db0caf99995p-13, 0x1.23b20b6158297p-13, 0x1.0f5568f9601d9p-13, 0x1.f77f79b854c1ep-14, 0x1.d1d7781df444p-14, 0x1.ada87160e93bap-14, 0x1.8ae842e517899p-14, 0x1.698d022adf0c4p-14, 0x1.498cfbd103f92p-14, 0x1.2adeb28dbc193p-14, 0x1.0d78de35588c1p-14, 0x1.e2a4d581a45bfp-15, 0x1.acc4eeb36b243p-15, 0x1.7940aac8be5d8p-15, 0x1.48070f2a82eap-15, 0x1.19078210cbec7p-15, 0x1.d8639148e9f3fp-16, 0x1.82ec0a95ce7c1p-16, 0x1.31896bb214d5fp-16, 0x1.c83ac7897aaep-17, 0x1.3514a3e8a3ce3p-17, 0x1.52cd08c83a439p-18, 0x1.27be9cfac1853p-20, -0x1.61badd7a83628p-19, -0x1.9e063f08a2bcdp-18, -0x1.3efa28185b731p-17, -0x1.a8875ad77c437p-17, -0x1.05ee86fe2e69dp-16, -0x1.3496352b66038p-16, -0x1.6052b88e75a0cp-16, -0x1.893b80d5780d8p-16, -0x1.af676faf6e802p-16, -0x1.d2ecdb8388392p-16, -0x1.f3e1923a8aa58p-16, -0x1.092d6e00d886p-15, -0x1.1736beedd5174p-15, -0x1.2416de2b3d411p-15, -0x1.2fd7af0aec6ddp-15, -0x1.3a82d72e828abp-15, -0x1.4421bfc7a8f5fp-15, -0x1.4cbd96cdad2a8p-15, -0x1.545f50398aa82p-15, -0x1.5b0fa72d90a4cp-15, -0x1.60d71f239e9cbp-15, -0x1.65be0510feadep-15, -0x1.69cc708204446p-15, -0x1.6d0a44bed272ep-15, -0x1.6f7f31d649f75p-15, -0x1.7132b5b475b82p-15, -0x1.722c1d30e1c35p-15, -0x1.7272850e09c56p-15, -0x1.720cdb05d135ap-15, -0x1.7101dec0afa1dp-15, -0x1.6f5822d53ae33p-15, -0x1.6d160db5abd6ap-15, -0x1.6a41daa9f7565p-15, -0x1.66e19ab37b734p-15, -0x1.62fb357c14d16p-15, -0x1.5e946a34bb34dp-15, -0x1.59b2d07c6cd5ap-15, -0x1.545bd93393ca5p-15, -0x1.4e94cf58e5ap-15, -0x1.4862d8de55158p-15, -0x1.41caf770e4dfap-15, -0x1.3ad2095123849p-15, -0x1.337cca1050426p-15, -0x1.2bcfd35ac5d66p-15, -0x1.23cf9db69e041p-15, -0x1.1b808141d4204p-15, -0x1.12e6b6693237ep-15, -0x1.0a0656a4974ep-15, -0x1.00e35d221836ep-15, -0x1.ef034ef314807p-16, -0x1.dbc9ecb0e21a3p-16, -0x1.c821dc4f6cfd3p-16, -0x1.b4122f6b793dfp-16, -0x1.9fa1c1a506718p-16, -0x1.8ad739e5adbc9p-16, -0x1.75b90b9511d16p-16, -0x1.604d77cf81b28p-16, -0x1.4a9a8e88ea4fp-16, -0x1.34a62fb79e34fp-16, -0x1.1e760c77070bap-16, -0x1.080fa81c28cc5p-16, -0x1.e2f0b2995c6d5p-17, -0x1.b56a96259c75bp-17, -0x1.8796fbb85e03ep-17, -0x1.597f91143102cp-17, -0x1.2b2db2d47a777p-17, -0x1.f954dcb33afddp-18, -0x1.9bfd079d333cdp-18, -0x1.3e64cfd16c5f5p-18, -0x1.c139175bdaedep-19, -0x1.056803e87f7f1p-19, -0x1.25d36bd302d16p-21, 0x1.ca0bfc15aa382p-21, 0x1.2e632ff0cd38fp-19, 0x1.ea106159847b2p-19, 0x1.52b81d0695857p-18, 0x1.b034abe2bcee8p-18, 0x1.06b8d2370bde9p-17, 0x1.3531a193ba01bp-17, 0x1.637f1b6691739p-17, 0x1.919bceccc28b8p-17, 0x1.bf82811f0280cp-17, 0x1.ed2e2c96a67bap-17, 0x1.0d4cff7a460e1p-16, 0x1.23e0ac0be855fp-16, 0x1.3a4fe463b1d72p-16, 0x1.509888aad57a4p-16, 0x1.66b890331e6fcp-16, 0x1.7cae08deb8e18p-16, 0x1.9277167b89b29p-16, 0x1.a811f239b4d8cp-16, 0x1.bd7cea0d6b8dap-16, 0x1.d2b660270122cp-16, 0x1.e7bcca61f83a5p-16, 0x1.fc8eb1be4e2cep-16, 0x1.089558eac49f8p-15, 0x1.12c7bc2ed5cd1p-15, 0x1.1cdde2514b996p-15, 0x1.26d73385d8175p-15, 0x1.30b3204f759ffp-15, 0x1.3a712146624fap-15, 0x1.4410b6d972f5ap-15, 0x1.4d91691a1eafep-15, 0x1.56f2c77eedc2cp-15, 0x1.603468b00a838p-15, 0x1.6955ea51129e5p-15, 0x1.7256f0cc32625p-15, 0x1.7b37271e4319dp-15, 0x1.83f63ea8530d2p-15, 0x1.8c93eef9905d7p-15, 0x1.950ff5a444d0ep-15, 0x1.9d6a160c43c29p-15, 0x1.a5a2193baf87bp-15, 0x1.adb7cdb3d4de8p-15, 0x1.b5ab07455e58ep-15, 0x1.bd7b9ee25cfeep-15, 0x1.c5297277dde33p-15, 0x1.ccb464c32c8d1p-15, 0x1.d41c5d2c55faep-15, 0x1.db61479f491e7p-15, 0x1.e28314645e964p-15, 0x1.e981b7fed2faep-15, 0x1.f05d2b0755685p-15, 0x1.f7156a0884b52p-15, 0x1.fdaa755eeb415p-15, 0x1.020e288acf05ap-14, 0x1.05358263e549bp-14, 0x1.084b4dbf5d7e6p-14, 0x1.0b4f91cb5443ep-14, 0x1.0e42574e79f7fp-14, 0x1.1123a89a9bd63p-14, 0x1.13f3917dd9295p-14, 0x1.16b21f35295b4p-14, 0x1.195f605e1f77p-14, 0x1.1bfb64ea68ffcp-14, 0x1.1e863e1272731p-14, 0x1.20fffe48e93p-14, 0x1.2368b92ef1b18p-14, 0x1.25c083878c18ap-14, 0x1.2807732c4824cp-14, 0x1.2a3d9f0226347p-14, 0x1.2c631eee689aap-14, 0x1.2e780bcbb464ep-14, 0x1.307c7f5fce237p-14, 0x1.3270945175226p-14, 0x1.3454661e6306dp-14, 0x1.36281111d3402p-14, 0x1.37ebb23aa03p-14, 0x1.399f67630fc4cp-14, 0x1.3b434f070587p-14, 0x1.3cd7884bf5086p-14, 0x1.3e5c32f8219e4p-14, 0x1.3fd16f6accfb3p-14, 0x1.41375e93fdd7ap-14, 0x1.428e21ecd2084p-14, 0x1.43d5db7031519p-14, 0x1.450ead9347d8dp-14, 0x1.4638bb3e58abdp-14, 0x1.475427c643e3dp-14, 0x1.486116e56a4a6p-14, 0x1.495facb5647bcp-14, 0x1.4a500da8934ep-14, 0x1.4b325e8423834p-14, 0x1.4c06c45a00021p-14, 0x1.4ccd648314f0ap-14, 0x1.4d866499a86e1p-14, 0x1.4e31ea73daecfp-14, 0x1.4ed01c1ea54c3p-14, 0x1.4f611fd865435p-14, 0x1.4fe51c0c355f5p-14, 0x1.505c374cc742p-14, 0x1.50c6984ff9688p-14, 0x1.512465ea287dfp-14, 0x1.5175c70a1ae1ep-14, 0x1.51bae2b46d8a5p-14, 0x1.51f3dfff89a1p-14, 0x1.5220e60fd9e5bp-14, 0x1.52421c13c5283p-14, 0x1.5257a93fe5d44p-14, 0x1.5261b4cba320ap-14, 0x1.526065eda2f89p-14, 0x1.5253e3d85cdd1p-14, 0x1.523c55b6db9c1p-14, 0x1.5219e2a9aec4fp-14, 0x1.51ecb1c3c1fdbp-14, 0x1.51b4ea078f51bp-14, 0x1.5172b26413599p-14, 0x1.512631b25bc5ap-14, 0x1.50cf8eb2b4165p-14, 0x1.506ef00a22dbdp-14, 0x1.50047c4010638p-14, 0x1.4f9059bbcaa18p-14, 0x1.4f12aec252c7dp-14, 0x1.4e8ba17419ee7p-14, 0x1.4dfb57cb1d63ep-14, 0x1.4d61f798a946bp-14, 0x1.4cbfa6836e882p-14, 0x1.4c148a05b2265p-14, 0x1.4b60c76ba04p-14, 0x1.4aa483d159716p-14, 0x1.49dfe42185dafp-14, 0x1.49130d13951d5p-14, 0x1.483e232a66457p-14, 0x1.47614ab2b9aefp-14, 0x1.467ca7c1cf927p-14, 0x1.45905e341f145p-14, 0x1.449c91ac2cd9bp-14, 0x1.43a165911e6c1p-14, 0x1.429efd0dd3ffdp-14, 0x1.41957b0fa5a2dp-14, 0x1.408502457e17cp-14, 0x1.3f6db51ed1aa4p-14, 0x1.3e4fb5caa05c2p-14, 0x1.3d2b2636a5a65p-14, 0x1.3c00280e8895dp-14, 0x1.3acedcbb18b38p-14, 0x1.39976561785d5p-14, 0x1.3859e2e27ca06p-14, 0x1.371675da0dcb7p-14, 0x1.35cd3e9e918e2p-14, 0x1.347e5d402ee64p-14, 0x1.3329f1886e1c2p-14, 0x1.31d01af9be70fp-14, 0x1.3070f8ceeade7p-14, 0x1.2f0ca9faba129p-14, 0x1.2da34d279543ep-14, 0x1.2c3500b72e1efp-14, 0x1.2ac1e2c221478p-14, 0x1.294a1117b9a38p-14, 0x1.27cda93db3a56p-14, 0x1.264cc86fec0d8p-14, 0x1.24c78ba051249p-14, 0x1.233e0f76bb47fp-14, 0x1.21b070509c63ap-14, 0x1.201eca4105879p-14, 0x1.1e89391090bf8p-14, 0x1.1cefd83d552f3p-14, 0x1.1b52c2fad70a2p-14, 0x1.19b21432081d9p-14, 0x1.180de6813bed4p-14, 0x1.1666543c456c6p-14, 0x1.14bb776c7f18dp-14, 0x1.130d69d0d25e5p-14, 0x1.115c44dddf93dp-14, 0x1.0fa821be105cp-14, 0x1.0df11951c2e1p-14, 0x1.0c37442f6ec24p-14, 0x1.0a7abaa3bd94bp-14, 0x1.08bb94b1cca34p-14, 0x1.06f9ea136a8acp-14, 0x1.0535d23925d19p-14, 0x1.036f644aaac25p-14, 0x1.01a6b726f5aeap-14, 0x1.ffb7c2c924affp-15, 0x1.fc1df2a3f5071p-15, 0x1.f88029eb8605ep-15, 0x1.f4de941da6bd3p-15, 0x1.f1395c29a31f1p-15, 0x1.ed90ac710ed67p-15, 0x1.e9e4aec81fb5ap-15, 0x1.e6358c7663a89p-15, 0x1.e2836e37acb1cp-15, 0x1.dece7c3c9356ep-15, 0x1.db16de2b2bda7p-15, 0x1.d75cbb1ffd07dp-15, 0x1.d3a039ae9f729p-15, 0x1.cfe17fe273686p-15, 0x1.cc20b33fa3a11p-15, 0x1.c85df8c3ad127p-15, 0x1.c49974e692fc8p-15, 0x1.c0d34b9b5c4a4p-15, 0x1.bd0ba05108911p-15, 0x1.b94295f356393p-15, 0x1.b5784eebfa23ap-15, 0x1.b1aced2362f12p-15, 0x1.ade092013f652p-15, 0x1.aa135e6db60c1p-15, 0x1.a64572d25a969p-15, 0x1.a276ef1af8b0fp-15, 0x1.9ea7f2b688a5dp-15, 0x1.9ad89c982bee2p-15, 0x1.97090b37fc5b7p-15, 0x1.93395c94394b6p-15, 0x1.8f69ae32178a6p-15, 0x1.8b9a1d1eb652dp-15, 0x1.87cac5f024821p-15, 0x1.83fbc4c63f418p-15, 0x1.802d354bc151fp-15, 0x1.7c5f32b7444afp-15, 0x1.7891d7cc1dd21p-15, 0x1.74c53edb6d75ep-15, 0x1.70f981c552875p-15, 0x1.6d2eb9f995cb4p-15, 0x1.69650078b9234p-15, 0x1.659c6dd4e04c2p-15, 0x1.61d51a332b76fp-15, 0x1.5e0f1d4c81683p-15, 0x1.5a4a8e6e47ef6p-15, 0x1.5687847be0ba3p-15, 0x1.52c615ef5a973p-15, 0x1.4f0658da8065ep-15, 0x1.4b4862e7d7176p-15, 0x1.478c495b99298p-15, 0x1.43d22114c19ffp-15, 0x1.4019fe8e0fc8fp-15, }}, 
      {{0x1.b0f68f091a1cp-7, 0x1.b39e8f3cb8b8cp-6, 0x1.4933f21aed844p-5, 0x1.ba13ded7b96d1p-5, 0x1.15c997c1f9f18p-4, 0x1.4e53579ee078ap-4, 0x1.862886967ec71p-4, 0x1.bce2b73a88742p-4, 0x1.f23a6cb284eap-4, 0x1.13036a9d32a36p-3, 0x1.2c1cca64ca771p-3, 0x1.446c66e0c5b68p-3, 0x1.5bfc68778f516p-3, 0x1.72db25462e4d2p-3, 0x1.8918ad8c9dbd7p-3, 0x1.9ec4e348305b3p-3, 0x1.b3ee1ca724e49p-3, 0x1.c8a04458d1a1ap-3, 0x1.dce4644d2baa3p-3, 0x1.f0c08535a60c9p-3, 0x1.021be6c2f5b5p-2, 0x1.0ba566594afabp-2, 0x1.14fbf11b53e2fp-2, 0x1.1e1dd97b76a3cp-2, 0x1.2708d14ae061dp-2, 0x1.2fba247fed92bp-2, 0x1.382eef6943f4ep-2, 0x1.40644e96516e5p-2, 0x1.4857878484e6bp-2, 0x1.500629b975571p-2, 0x1.576e286355366p-2, 0x1.5e8dece8cf453p-2, 0x1.65646305dc153p-2, 0x1.6bf0ff321b1a6p-2, 0x1.7233c01b9828dp-2, 0x1.782d2c02f6765p-2, 0x1.7dde4abf2deap-2, 0x1.83489d2252b6fp-2, 0x1.886e12683f41ep-2, 0x1.8d50fc457b966p-2, 0x1.91f402194c68fp-2, 0x1.965a13b2bb36bp-2, 0x1.9a865c0601741p-2, 0x1.9e7c341ebc04ep-2, 0x1.a23f168bb8f52p-2, 0x1.a5d29373503afp-2, 0x1.a93a45730a12cp-2, 0x1.ac79c762c9912p-2, 0x1.af94ab0abb1f6p-2, 0x1.b28e70d3c90a2p-2, 0x1.b56a80742c141p-2, 0x1.b82c2294afe9ep-2, 0x1.bad67b67549ebp-2, 0x1.bd6c8624f6e45p-2, 0x1.bff1116562d35p-2, 0x1.c266bc43ae8d5p-2, 0x1.c4cff43fab177p-2, 0x1.c72ef3ccb80dp-2, 0x1.c985c17e174bp-2, 0x1.cbd62fc0f5e43p-2, 0x1.ce21dd14ca1f5p-2, 0x1.d06a34b327fadp-2, 0x1.d2b06f98e2e89p-2, 0x1.d4f595e3101e6p-2, 0x1.d73a807363bf5p-2, 0x1.d97fdad02de14p-2, 0x1.dbc6253539555p-2, 0x1.de0db6cb9d3ffp-2, 0x1.e056bfff7c878p-2, 0x1.e2a14ceb89255p-2, 0x1.e4ed47d2ed771p-2, 0x1.e73a7ba305cc2p-2, 0x1.e988967718fffp-2, 0x1.ebd72c18e0cd8p-2, 0x1.ee25b879697dp-2, 0x1.f073a21e5cd7ap-2, 0x1.f2c03c80640bbp-2, 0x1.f50aca57c74d6p-2, 0x1.f7527fd4f0acap-2, 0x1.f99684c2df633p-2, 0x1.fbd5f692026aep-2, 0x1.fe0fea4a42facp-2, 0x1.0021b731b149ap-1, 0x1.0137c64186b22p-1, 0x1.0249a59026be5p-1, 0x1.0356d7861c77fp-1, 0x1.045ede6ffaabap-1, 0x1.05613d2824ec1p-1, 0x1.065d77b39386ap-1, 0x1.075313d1d65b9p-1, 0x1.08419980a6a5ap-1, 0x1.092893736596ap-1, 0x1.0a078f7eef5cbp-1, 0x1.0ade1efa30bb3p-1, 0x1.0babd713f3fc5p-1, 0x1.0c70511e61b22p-1, 0x1.0d2b2ad0af8bcp-1, 0x1.0ddc067f7fa45p-1, 0x1.0e828b4c70813p-1, 0x1.0f1e654d5e2a6p-1, 0x1.0faf45abd4cabp-1, 0x1.1034e2bd36943p-1, 0x1.10aef8140d33ep-1, 0x1.111d468b057dap-1, 0x1.117f944a0b9ebp-1, 0x1.11d5acc5faa21p-1, 0x1.121f60bb5014ep-1, 0x1.125c8624514e3p-1, 0x1.128cf82b08632p-1, 0x1.12b097177dee8p-1, 0x1.12c7483a8c79ap-1, 0x1.12d0f5d5ab6acp-1, 0x1.12cd8f0004619p-1, 0x1.12bd0789245e1p-1, 0x1.129f57d99814ep-1, 0x1.12747cd1b72bep-1, 0x1.123c77a6e6ef9p-1, 0x1.11f74dbf8fe25p-1, 0x1.11a5088e022ccp-1, 0x1.1145b56a80ca9p-1, 0x1.10d9656ca6085p-1, 0x1.10602d444f46cp-1, 0x1.0fda25123bc6ep-1, 0x1.0f47684087d6cp-1, 0x1.0ea8155b24e97p-1, 0x1.0dfc4de874a68p-1, 0x1.0d44364221537p-1, 0x1.0c7ff56e4e6b5p-1, 0x1.0bafb4f93e6c1p-1, 0x1.0ad3a0cf7cccep-1, 0x1.09ebe718a59fbp-1, 0x1.08f8b812d7d84p-1, 0x1.07fa45eee3cf7p-1, 0x1.06f0c4ad3f778p-1, 0x1.05dc69fbd1309p-1, 0x1.04bd6d1493702p-1, 0x1.0394069d1f156p-1, 0x1.026070871f0f3p-1, 0x1.0122e5f1b2d21p-1, 0x1.ffb746178cdf9p-2, 0x1.fd15c9eebb59cp-2, 0x1.fa61d35baf97fp-2, 0x1.f79bdfca565a6p-2, 0x1.f4c46dec3184fp-2, 0x1.f1dbfd86ab2b8p-2, 0x1.eee30f4353708p-2, 0x1.ebda248206227p-2, 0x1.e8c1bf2ced187p-2, 0x1.e59a618e5d8cp-2, 0x1.e2648e288733ep-2, 0x1.df20c78eef67ep-2, 0x1.dbcf9041a8787p-2, 0x1.d8716a8a476d5p-2, 0x1.d506d85a814c3p-2, 0x1.d1905b2c721abp-2, 0x1.ce0e73e47b222p-2, 0x1.ca81a2b4aec98p-2, 0x1.c6ea6701c44c7p-2, 0x1.c3493f498147cp-2, 0x1.bf9ea90a95972p-2, 0x1.bbeb20add5b8ap-2, 0x1.b82f2170d498p-2, 0x1.b46b2551c33e9p-2, 0x1.b09fa4fc989bfp-2, 0x1.accd17b96fcedp-2, 0x1.a8f3f35c13b2p-2, 0x1.a514ac34ad1fbp-2, 0x1.a12fb50189cc9p-2, 0x1.9d457ee1f2f03p-2, 0x1.9956794a06f87p-2, 0x1.956311f78e5e1p-2, 0x1.916bb4e7c2ce2p-2, 0x1.8d70cc4dfdaa1p-2, 0x1.8972c08b44a15p-2, 0x1.8571f826af8ecp-2, 0x1.816ed7c69753ap-2, 0x1.7d69c22a8f01cp-2, 0x1.7963182614dc9p-2, 0x1.755b389bfc824p-2, 0x1.7152807a850bfp-2, 0x1.6d494ab8141afp-2, 0x1.693ff05090fcbp-2, 0x1.6536c843586b5p-2, 0x1.612e2791be5d5p-2, 0x1.5d26613e1b3f8p-2, 0x1.591fc64b60a55p-2, 0x1.551aa5bd24476p-2, 0x1.51174c982b6ecp-2, 0x1.4d1605e361afap-2, 0x1.49171aa93e795p-2, 0x1.451ad1f994331p-2, 0x1.412170ebbc266p-2, 0x1.3d2b3aa1239abp-2, 0x1.393870482d62fp-2, 0x1.3549511f6af07p-2, 0x1.315e1a791f48dp-2, 0x1.2d7707bf0e826p-2, 0x1.299452769561ep-2, 0x1.25b63244fe8a2p-2, 0x1.21dcdcf419341p-2, 0x1.1e08867708a29p-2, 0x1.1a3960ef4b718p-2, 0x1.166f9cb1f2643p-2, 0x1.12ab684d0b8a7p-2, 0x1.0eecf08d380e8p-2, 0x1.0b34608368465p-2, 0x1.0781e18ac18d4p-2, 0x1.03d59b4ea5faap-2, 0x1.002fb3d0dc341p-2, 0x1.f9209edfaa4e3p-3, 0x1.f1ef21da168b8p-3, 0x1.eacb32e6fa0eap-3, 0x1.e3b5113c76676p-3, 0x1.dcacf8fe15f2ep-3, 0x1.d5b3234a33367p-3, 0x1.cec7c64781a7ep-3, 0x1.c7eb1532aab03p-3, 0x1.c11d406c05f37p-3, 0x1.ba5e758563301p-3, 0x1.b3aedf4fddcafp-3, 0x1.ad0ea5e9c5781p-3, 0x1.a67deecc835e9p-3, 0x1.9ffcdcda8f114p-3, 0x1.998b906d5737fp-3, 0x1.932a27633768fp-3, 0x1.8cd8bd2d5ff11p-3, 0x1.86976addb853ap-3, 0x1.80664734b9e01p-3, 0x1.7a4566af3c34fp-3, 0x1.7434db943491p-3, 0x1.6e34b602638cap-3, 0x1.684503fdecd5dp-3, 0x1.6265d17de37cep-3, 0x1.5c972879b06e8p-3, 0x1.56d910f66d7e1p-3, 0x1.512b91141e227p-3, 0x1.4b8ead1acf917p-3, 0x1.46026787984fbp-3, 0x1.4086c1197ab97p-3, 0x1.3b1bb8de245cap-3, 0x1.35c14c3e8f6a2p-3, 0x1.3077770b7bb12p-3, 0x1.2b3e3389c7f05p-3, 0x1.26157a7ea3915p-3, 0x1.20fd433b970cfp-3, 0x1.1bf583aa6e67ap-3, 0x1.16fe3058ec432p-3, 0x1.12173c8465307p-3, 0x1.0d409a2523979p-3, 0x1.087a39f9a86fep-3, 0x1.03c40b91bf1c5p-3, 0x1.fe3bfab2c8d76p-4, 0x1.f50ff9470a445p-4, 0x1.ec03eb6916829p-4, 0x1.e317a79985b26p-4, 0x1.da4b026520776p-4, 0x1.d19dce78eb9c5p-4, 0x1.c90fdcb5e811ap-4, 0x1.c0a0fc4462552p-4, 0x1.b850faa6f633bp-4, 0x1.b01fa3cd2e451p-4, 0x1.a80cc225d0b85p-4, 0x1.a0181eb0bf0e1p-4, 0x1.984181108a2d5p-4, 0x1.9088af9ba1508p-4, 0x1.88ed6f6d27ee6p-4, 0x1.816f84756f473p-4, 0x1.7a0eb18a1584cp-4, 0x1.72cab875c79e1p-4, 0x1.6ba35a07aaeacp-4, 0x1.649856226b95ap-4, 0x1.5da96bcaf1b0ep-4, 0x1.56d65936bd199p-4, 0x1.501edbd9e8b07p-4, 0x1.4982b074d7b96p-4, 0x1.43019321881a3p-4, 0x1.3c9b3f6093d9ep-4, 0x1.364f7025d8609p-4, 0x1.301ddfe4ccf76p-4, 0x1.2a06489c82077p-4, 0x1.240863e34ee42p-4, 0x1.1e23eaf22fb7dp-4, 0x1.185896afcfdffp-4, 0x1.12a61fbb427bdp-4, 0x1.0d0c3e7673617p-4, 0x1.078aab103f682p-4, 0x1.02211d8e497ffp-4, 0x1.f99e9bacfd5d7p-5, 0x1.ef29e7709ffb4p-5, 0x1.e4e38deb4614ap-5, 0x1.dacafe96f43acp-5, 0x1.d0dfa8f4a8f45p-5, 0x1.c720fc9c8fecp-5, 0x1.bd8e694dacf52p-5, 0x1.b4275efcfb07fp-5, 0x1.aaeb4de4090edp-5, 0x1.a1d9a68f0ff23p-5, 0x1.98f1d9ea8b62cp-5, 0x1.903359504c967p-5, 0x1.879d9694199d4p-5, 0x1.7f30040fcb964p-5, 0x1.76ea14aef59ep-5, 0x1.6ecb3bfa1c8dep-5, 0x1.66d2ee216ea9bp-5, 0x1.5f00a0071ae54p-5, 0x1.5753c74927bep-5, 0x1.4fcbda4aee3f1p-5, 0x1.4868503e20eadp-5, 0x1.4128a12b6a7ddp-5, 0x1.3a0c45faae0d6p-5, 0x1.3312b87ae11c9p-5, 0x1.2c3b73697f4edp-5, 0x1.2585f279a78c4p-5, 0x1.1ef1b25ad8bf1p-5, 0x1.187e30bf55318p-5, 0x1.122aec622a725p-5, 0x1.0bf7650ce84bfp-5, 0x1.05e31b9d02963p-5, 0x1.ffdb2411c2cfap-6, 0x1.f42c96c93a60cp-6, 0x1.e8b997ccebb81p-6, 0x1.dd8131d5e83c2p-6, 0x1.d28271f1a0a66p-6, 0x1.c7bc6788fa6a2p-6, 0x1.bd2e24670567fp-6, 0x1.b2d6bcbf08befp-6, 0x1.a8b54732233f1p-6, 0x1.9ec8dcd45db6fp-6, 0x1.951099314a8e3p-6, 0x1.8b8b9a5028d1fp-6, 0x1.823900b795f65p-6, 0x1.7917ef70c8abcp-6, 0x1.70278c0a6d68ep-6, 0x1.6766fe9afdf52p-6, 0x1.5ed571c2d4b16p-6, 0x1.567212adc1eb1p-6, 0x1.4e3c1114471cbp-6, 0x1.46329f3c857a4p-6, 0x1.3e54f1faba7f5p-6, 0x1.36a240b178ee2p-6, 0x1.2f19c55183848p-6, 0x1.27babc595fe91p-6, 0x1.208464d496901p-6, 0x1.1976005aa3d02p-6, 0x1.128ed30dac724p-6, 0x1.0bce2398e85efp-6, 0x1.05333b2ebe7b1p-6, 0x1.fd7acb0d7c13bp-7, 0x1.f0d7e1b66b152p-7, 0x1.e47c5bcd5db17p-7, 0x1.d866dfc24873ep-7, 0x1.cc9618f9fba8p-7, 0x1.c108b7c7c7054p-7, 0x1.b5bd7166a2e7fp-7, 0x1.aab2fff22849bp-7, 0x1.9fe8225ef92b1p-7, 0x1.955b9c72f4ebcp-7, 0x1.8b0c36bd128f7p-7, 0x1.80f8be8cf4a4ep-7, 0x1.772005ea25eadp-7, 0x1.6d80e38b1f118p-7, 0x1.641a32cc01e58p-7, 0x1.5aead3a513bcdp-7, 0x1.51f1aaa10dab5p-7, 0x1.492da0d324f0ep-7, 0x1.409da3cce7363p-7, 0x1.3840a593e75bdp-7, 0x1.30159c9732b21p-7, 0x1.281b83a4ab735p-7, 0x1.205159de38099p-7, 0x1.18b622aec5025p-7, 0x1.1148e5bf2b258p-7, 0x1.0a08aeeaf9ae1p-7, 0x1.02f48e3527e1ap-7, 0x1.f8172f792ebd9p-8, 0x1.ea99c7614dc4fp-8, 0x1.dd6f1c8afda6p-8, 0x1.d0956f50eed0fp-8, 0x1.c40b07e8c366p-8, 0x1.b7ce364b55d31p-8, 0x1.abdd521d2f029p-8, 0x1.a036ba96b4c3bp-8, 0x1.94d8d66c6cbf3p-8, 0x1.89c213b71bac5p-8, 0x1.7ef0e7dbe31ep-8, 0x1.7463cf746460dp-8, 0x1.6a194e36c2b2p-8, 0x1.600feedde55c3p-8, 0x1.564643116e642p-8, 0x1.4cbae34e043ebp-8, 0x1.436c6ecd6d5d6p-8, 0x1.3a598b6edf855p-8, 0x1.3180e59f4aed7p-8, 0x1.28e13041cd55p-8, 0x1.207924980ffdbp-8, 0x1.1847822af2c55p-8, 0x1.104b0eb3307e5p-8, 0x1.0882960220d66p-8, 0x1.00ece9eaafffep-8, 0x1.f311c45494822p-9, 0x1.e4aab8a4513d4p-9, 0x1.d6a27760e60cbp-9, 0x1.c8f6d273a34f8p-9, 0x1.bba5a6e60aad5p-9, 0x1.aeacdcb52502bp-9, 0x1.a20a66a581c03p-9, 0x1.95bc421748dd6p-9, 0x1.89c076dad8f81p-9, 0x1.7e151705aea36p-9, 0x1.72b83ec76e9cep-9, 0x1.67a8143fca6f7p-9, 0x1.5ce2c75458b2cp-9, 0x1.52669187039ap-9, 0x1.4831b5ccd074dp-9, 0x1.3e4280651e883p-9, 0x1.349746b13d2ap-9, 0x1.2b2e670c564cdp-9, 0x1.220648a40d319p-9, 0x1.191d5b512dfc1p-9, 0x1.1072177101191p-9, 0x1.0802fdbf225f7p-9, 0x1.ff9d2e5eee4fdp-10, 0x1.efa6e991cd37ep-10, 0x1.e0205f00a4649p-10, 0x1.d106d0281d0aep-10, 0x1.c2578dcf91a15p-10, 0x1.b40ff7c1dbce7p-10, 0x1.a62d7c86d8bcbp-10, 0x1.98ad991ddaff2p-10, 0x1.8b8dd8b939507p-10, 0x1.7ecbd47a7c121p-10, 0x1.7265332f827e8p-10, 0x1.6657a910b1917p-10, 0x1.5aa0f77fe1375p-10, 0x1.4f3eecc82aaabp-10, 0x1.442f63decbca8p-10, 0x1.39704424ab70cp-10, 0x1.2eff81291128cp-10, 0x1.24db1a6cd0dcap-10, 0x1.1b011b26e22dbp-10, 0x1.116f9a094b1d1p-10, 0x1.0824b90769fd1p-10, 0x1.fe3d4a397f05ap-11, 0x1.ecb72c29863c4p-11, 0x1.dbb39ca718746p-11, 0x1.cb2f353e97575p-11, 0x1.bb26a3d5606b3p-11, 0x1.ab96aa403e931p-11, 0x1.9c7c1ddb72af9p-11, 0x1.8dd3e7243bf43p-11, 0x1.7f9b0154d564p-11, 0x1.71ce7a009e506p-11, 0x1.646b70b392a57p-11, 0x1.576f169225d7cp-11, 0x1.4ad6adfb1384cp-11, 0x1.3e9f8a2b1a11cp-11, 0x1.32c70ee19b33p-11, 0x1.274ab00783e46p-11, 0x1.1c27f1574a40dp-11, 0x1.115c660649816p-11, 0x1.06e5b0704f96p-11, 0x1.f9830387d93eap-12, 0x1.e5db33611aa63p-12, 0x1.d2cf8c2c16cddp-12, 0x1.c05bc56b9ae5cp-12, 0x1.ae7bb1c9b9e78p-12, 0x1.9d2b3e7fe9db3p-12, 0x1.8c6672c15329ep-12, 0x1.7c296f279a7e4p-12, 0x1.6c706d231b19fp-12, 0x1.5d37be6d470ep-12, 0x1.4e7bcc7d8442bp-12, 0x1.403918017572cp-12, 0x1.326c385713788p-12, 0x1.2511db08de88cp-12, 0x1.1826c34eee79dp-12, 0x1.0ba7c98eba46dp-12, 0x1.ff23b5c208781p-13, 0x1.e7c3f12f70582p-13, 0x1.d12a6f8dd2132p-13, 0x1.bb5181a149ddp-13, 0x1.a6339de4a1e83p-13, 0x1.91cb5fa9bd3f8p-13, 0x1.7e13863d2ff99p-13, 0x1.6b06f40f4c711p-13, 0x1.58a0ade1d0eecp-13, 0x1.46dbd9f8ad0f3p-13, 0x1.35b3bf4edf992p-13, 0x1.2523c4d1bba28p-13, 0x1.1527709cfdc6fp-13, 0x1.05ba673e16f16p-13, 0x1.edb0d5f081d15p-14, 0x1.d0fab61eb17d1p-14, 0x1.b54a66285c4a4p-14, 0x1.9a98146d36325p-14, 0x1.80dc2532cfd06p-14, 0x1.680f31562f417p-14, 0x1.502a0503cc5d8p-14, 0x1.39259e76507c1p-14, 0x1.22fb2cbc24648p-14, 0x1.0da40e84097cap-14, 0x1.f233a1e202705p-15, 0x1.caac5ce546e0dp-15, 0x1.a4a61b4e5853ap-15, 0x1.8015007e8790bp-15, 0x1.5ced83d9eebf8p-15, 0x1.3b246eab3b637p-15, 0x1.1aaeda1310c15p-15, 0x1.f7045a0fbef48p-16, 0x1.bb2834b8a698bp-16, 0x1.81b53da85a1cap-16, 0x1.4a97fe83ca745p-16, 0x1.15bd8d622dec9p-16, 0x1.c6271269c4c27p-17, 0x1.65102c8f1172ep-17, 0x1.0813b596f25b6p-17, 0x1.5e1fee102390cp-18, 0x1.6790c3fc344ecp-19, 0x1.0e1277b4f69bfp-22, -0x1.15a71a13da1a8p-19, -0x1.1f91bf892443ap-18, -0x1.ad93b83d574eep-18, -0x1.1a8907a6bba12p-17, -0x1.5b21dc18db024p-17, -0x1.98af0664a015ap-17, -0x1.d34a6c17a18d5p-17, -0x1.0586985654b2p-16, -0x1.2007dd57610bp-16, -0x1.3934dc65e1207p-16, -0x1.5119135f6f52p-16, -0x1.67bfa90f02466p-16, -0x1.7d336f82e7ad1p-16, -0x1.917ee6591ea0cp-16, -0x1.a4ac3cf9b9e25p-16, -0x1.b6c554c3dab17p-16, -0x1.c7d3c32e36606p-16, -0x1.d7e0d3d84b405p-16, -0x1.e6f58a93248c4p-16, -0x1.f51aa55349bcp-16, -0x1.012c4f1254ec7p-15, -0x1.075bd682c3559p-15, -0x1.0d1fe4ddcd5bdp-15, -0x1.127c56ce7dd99p-15, -0x1.1774eaa672adap-15, -0x1.1c0d4135f01adp-15, -0x1.2048dea01a67ap-15, -0x1.242b2b285bbc8p-15, -0x1.27b773fbb4cfep-15, -0x1.2af0ebf3ea5adp-15, -0x1.2ddaac555ff21p-15, -0x1.3077b58b78edap-15, -0x1.32caefda87fa8p-15, -0x1.34d72c122da3dp-15, -0x1.369f2437a43ffp-15, -0x1.38257c2e92487p-15, -0x1.396cc25a5a8edp-15, -0x1.3a77703e7152fp-15, -0x1.3b47eb17ae088p-15, -0x1.3be084731e52p-15, -0x1.3c437ac064ac2p-15, -0x1.3c72f9e0d0b57p-15, -0x1.3c711bb1f9c7fp-15, -0x1.3c3fe894c1099p-15, -0x1.3be157f14b6dbp-15, -0x1.3b5750b63cd1bp-15, -0x1.3aa3a9d6493dfp-15, -0x1.39c82ac0cbcfep-15, -0x1.38c68bd85fd56p-15, -0x1.37a076e526058p-15, -0x1.365787848f418p-15, -0x1.34ed4b95ef5b7p-15, -0x1.336343a4b68adp-15, -0x1.31bae34e83ab3p-15, -0x1.2ff591a7a1e0ap-15, -0x1.2e14a99be4b11p-15, -0x1.2c197a4d607a4p-15, -0x1.2a0547701233p-15, -0x1.27d949a3aed5ap-15, -0x1.2596aeca35c4ep-15, -0x1.233e9a5c987a6p-15, -0x1.20d225bc305abp-15, -0x1.1e526083672c1p-15, -0x1.1bc050d268428p-15, -0x1.191cf39b63102p-15, -0x1.16693cea9e92bp-15, -0x1.13a6182ebadf2p-15, -0x1.10d4687ce4af8p-15, -0x1.0df508d41b26fp-15, -0x1.0b08cc5f06cf7p-15, -0x1.08107eb28ee31p-15, -0x1.050ce40bacbf4p-15, -0x1.01feb98b08f89p-15, -0x1.fdcd6ade16125p-16, -0x1.f78b0e97b763ap-16, -0x1.f137b0852a9eap-16, -0x1.ead4966bf7c24p-16, -0x1.e462f9fb97645p-16, -0x1.dde4093232fccp-16, -0x1.d758e6bd5284ep-16, -0x1.d0c2aa5797a55p-16, -0x1.ca226124fdddbp-16, -0x1.c3790e0ae4b15p-16, -0x1.bcc7aa05c8cb3p-16, -0x1.b60f247d94d81p-16, -0x1.af506395630b6p-16, -0x1.a88c447ac2b3fp-16, -0x1.a1c39bb1f5085p-16, -0x1.9af7355ee83efp-16, -0x1.9427d58d7d0fdp-16, -0x1.8d563876bb81bp-16, -0x1.868312c3b6ae3p-16, -0x1.7faf11cf2003fp-16, -0x1.78dadbe473292p-16, -0x1.7207107d492bdp-16, -0x1.6b34487c634eep-16, -0x1.6463166739605p-16, -0x1.5d94069df5421p-16, -0x1.56c79f90e75f5p-16, -0x1.4ffe61f5e4caep-16, -0x1.4938c8f9cf394p-16, -0x1.42774a7228814p-16, -0x1.3bba570cacfd6p-16, -0x1.35025a7cc3cdfp-16, -0x1.2e4fbba8be1b1p-16, -0x1.27a2dcd4a4287p-16, -0x1.20fc1bcc23c1p-16, -0x1.1a5bd20aa3c66p-16, -0x1.13c254e2db171p-16, -0x1.0d2ff5a4166cep-16, -0x1.06a501bf5f3e1p-16, -0x1.0021c2eaa97fep-16, -0x1.f34cfe86db612p-17, -0x1.e666f2df06ceep-17, -0x1.d991e17a98258p-17, -0x1.ccce4285a6313p-17, -0x1.c01c87f6e1917p-17, -0x1.b37d1dcb1e584p-17, -0x1.a6f06a3c56f99p-17, -0x1.9a76cdf85a343p-17, -0x1.8e10a4553cd6ep-17, -0x1.81be4383bef16p-17, -0x1.757ffcc055b44p-17, -0x1.69561c83391d1p-17, -0x1.5d40eaad5ec42p-17, -0x1.5140aab4f184dp-17, -0x1.45559bd0667bep-17, -0x1.397ff91f1e407p-17, -0x1.2dbff9d1c2ac5p-17, -0x1.2215d15038f11p-17, -0x1.1681af5f7fca5p-17, -0x1.0b03c044f69d7p-17, -0x1.ff3859d344de2p-18, -0x1.e89635f626847p-18, -0x1.d2215a17799ecp-18, -0x1.bbda05648dd9p-18, -0x1.a5c0714ecc36cp-18, -0x1.8fd4d1c66edd1p-18, -0x1.7a1755726081ap-18, -0x1.648825e559654p-18, -0x1.4f2767d356865p-18, -0x1.39f53b4279b51p-18, -0x1.24f1bbbb6512ap-18, -0x1.101d0079d68bfp-18, -0x1.f6ee392f30c3bp-19, -0x1.ce003e72273f4p-19, -0x1.a570276cc1771p-19, -0x1.7d3e0389179ep-19, -0x1.5569db3669eb2p-19, -0x1.2df3b03512e4ap-19, -0x1.06db7ddfb001cp-19, -0x1.c04272deff2f7p-20, -0x1.7389a47ea983bp-20, -0x1.278c64195d1cfp-20, -0x1.b894f4d1828d1p-21, -0x1.23874bbfb2b9ap-21, -0x1.1fde6c652f427p-22, 0x1.19fab4b76e922p-28, 0x1.25c5e53d132c9p-22, 0x1.221e8e272ec7fp-21, 0x1.afe7a51d0fa14p-21, 0x1.1e1f922457af2p-20, 0x1.639303b113f1cp-20, 0x1.a84eac326ec06p-20, 0x1.ec53177321755p-20, 0x1.17d06bdba4e9bp-19, 0x1.391c42ba038eap-19, 0x1.5a0d5f7f3cd1cp-19, 0x1.7aa41423a6071p-19, 0x1.9ae0b54ac33e4p-19, 0x1.bac39a214465fp-19, 0x1.da4d1c3ccc242p-19, 0x1.f97d977eaa6c9p-19, 0x1.0c2ab4fa351d5p-18, 0x1.1b6a79de2fd4dp-18, 0x1.2a7e4b7598683p-18, 0x1.39665bb8b47e9p-18, 0x1.4822dd80758a5p-18, 0x1.56b4047bb3938p-18, 0x1.651a0522698c4p-18, 0x1.735514ab346aap-18, 0x1.81656900f1ac3p-18, 0x1.8f4b38b7eb236p-18, 0x1.9d06bb044fabep-18, 0x1.aa9827b18effep-18, 0x1.b7ffb717ebd71p-18, 0x1.c53da214d3123p-18, 0x1.d252220259928p-18, 0x1.df3d70af756b3p-18, 0x1.ebffc857c3c83p-18, 0x1.f899639d62e74p-18, 0x1.02853ec073581p-17, 0x1.08a9a8ad9beeep-17, 0x1.0eba0d6b5ae53p-17, 0x1.14b68af4daa32p-17, 0x1.1a9f3f6820754p-17, 0x1.20744902f55b1p-17, 0x1.2635c620c521p-17, 0x1.2be3d537bd5eep-17, 0x1.317e94d624ab3p-17, 0x1.370623a0635b2p-17, 0x1.3c7aa04e63115p-17, 0x1.41dc29a9a34f3p-17, 0x1.472ade8ad668bp-17, 0x1.4c66ddd8639c4p-17, 0x1.51904683fe8cbp-17, 0x1.56a737891df6ep-17, 0x1.5babcfeb3ccacp-17, 0x1.609e2eb414355p-17, 0x1.657e72f1e1311p-17, 0x1.6a4cbbb64a0f3p-17, 0x1.6f09281482e2ep-17, 0x1.73b3d720037b5p-17, 0x1.784ce7eb6a0a6p-17, 0x1.7cd47986d7c4dp-17, 0x1.814aaafef33dbp-17, 0x1.85af9b5ba423dp-17, 0x1.8a03699f2577cp-17, 0x1.8e4634c49d41fp-17, 0x1.92781bbf4e7dp-17, 0x1.96993d79a416fp-17, 0x1.9aa9b8d44044ep-17, 0x1.9ea9aca4e65ecp-17, 0x1.a29937b5b9c1fp-17, 0x1.a67878c4a67fp-17, 0x1.aa478e823b5b5p-17, 0x1.ae0697911e05fp-17, 0x1.b1b5b2853fe44p-17, 0x1.b554fde3426c9p-17, 0x1.b8e4981fb1b64p-17, 0x1.bc649f9e773e4p-17, 0x1.bfd532b24e1c2p-17, 0x1.c3366f9c0074p-17, 0x1.c6887489e7335p-17, 0x1.c9cb5f97852f6p-17, 0x1.ccff4ecce89eap-17, 0x1.d024601e23a0ap-17, 0x1.d33ab16ae47acp-17, 0x1.d642607e024d8p-17, 0x1.d93b8b0d0e1c7p-17, 0x1.dc264eb7e0f47p-17, 0x1.df02c90842917p-17, 0x1.e1d1177167aabp-17, 0x1.e491574fbf81cp-17, 0x1.e743a5e876815p-17, 0x1.e9e820694de2fp-17, 0x1.ec7ee3e8017b1p-17, 0x1.ef080d62199bp-17, 0x1.f183b9bcb44d8p-17, 0x1.f3f205c427aa1p-17, 0x1.f6530e2bb2915p-17, 0x1.f8a6ef8d3a622p-17, 0x1.faedc6690a1f9p-17, 0x1.fd27af25a0003p-17, 0x1.ff54c60f4157bp-17, 0x1.00ba93ac002d8p-16, 0x1.01c4778baa2e6p-16, 0x1.02c81ca4f2f5dp-16, 0x1.03c590e8b283cp-16, 0x1.04bce23a27bdbp-16, 0x1.05ae1e6ee4fa8p-16, 0x1.0699534eab426p-16, 0x1.077e8e93505dfp-16, 0x1.085ddde8bcacfp-16, 0x1.09374eecc15b3p-16, 0x1.0a0aef2f0e49cp-16, 0x1.0ad8cc3118d71p-16, 0x1.0ba0f366035e9p-16, 0x1.0c6372328e17p-16, 0x1.0d2055ecfaf88p-16, 0x1.0dd7abdd1ab4ap-16, 0x1.0e89813c11a02p-16, 0x1.0f35e33453603p-16, 0x1.0fdcdee19c6e6p-16, 0x1.107e8150e4676p-16, 0x1.111ad78038931p-16, 0x1.11b1ee5ec2606p-16, 0x1.1243d2cca416ep-16, 0x1.12d0919afe99ep-16, 0x1.1358378bd4965p-16, 0x1.13dad15202953p-16, 0x1.14586b912fdap-16, 0x1.14d112ddc2db3p-16, 0x1.1544d3bccd151p-16, 0x1.15b3baa40a514p-16, 0x1.161dd3f9cc79bp-16, 0x1.16832c14f8b6cp-16, 0x1.16e3cf3ceeef6p-16, 0x1.173fc9a984054p-16, 0x1.17972782faa04p-16, 0x1.17e9f4e1f635dp-16, 0x1.18383dcf776eep-16, 0x1.18820e44c5d14p-16, 0x1.18c7722b69fbcp-16, 0x1.1908755d2ceep-16, 0x1.194523a40d393p-16, 0x1.197d88ba2b8bap-16, 0x1.19b1b049cc219p-16, 0x1.19e1a5ed4caeap-16, 0x1.1a0d752f1a476p-16, 0x1.1a352989ab9d9p-16, 0x1.1a58ce677ed68p-16, 0x1.1a786f2310e5dp-16, 0x1.1a941706cfdc6p-16, 0x1.1aabd14d19774p-16, 0x1.1abfa92039aefp-16, 0x1.1acfa99a58b3bp-16, 0x1.1adbddc58503fp-16, 0x1.1ae4509bacf03p-16, 0x1.1ae90d068a6ddp-16, 0x1.1aea1ddfa9936p-16, 0x1.1ae78df064fe6p-16, 0x1.1ae167f1e3a97p-16, 0x1.1ad7b68d15529p-16, 0x1.1aca845aa6f33p-16, 0x1.1ab9dbe3014f7p-16, 0x1.1aa5c79e52543p-16, 0x1.1a8e51f4818f8p-16, 0x1.1a73853d2f785p-16, 0x1.1a556bbfb1d4p-16, 0x1.1a340fb312fdfp-16, 0x1.1a0f7b3e1410ep-16, 0x1.19e7b877294c8p-16, 0x1.19bcd1647733ep-16, 0x1.198ecffbd850dp-16, 0x1.195dbe22dbc35p-16, 0x1.1929a5aeb9b9ap-16, 0x1.18f29064634bp-16, 0x1.18b887f87a8a3p-16, 0x1.187b960f56d88p-16, 0x1.183bc43d0d8b5p-16, 0x1.17f91c0567d57p-16, 0x1.17b3a6dbdfe57p-16, 0x1.176b6e23ae963p-16, 0x1.17207b2fd1332p-16, 0x1.16d2d74302fbap-16, 0x1.16828b8fbd23p-16, 0x1.162fa13846ab2p-16, 0x1.15da214eabbe8p-16, 0x1.158214d4c4e4fp-16, 0x1.152784bc428b6p-16, 0x1.14ca79e6ab928p-16, 0x1.146afd255a6d4p-16, 0x1.140917398db33p-16, 0x1.13a4d0d4653f1p-16, 0x1.133e3296f097dp-16, 0x1.12d545122cc75p-16, 0x1.126a10c708ad2p-16, 0x1.11fc9e266b7aep-16, 0x1.118cf59145ff3p-16, 0x1.111b1f589922p-16, 0x1.10a723bd65521p-16, 0x1.10310af0c69edp-16, 0x1.0fb8dd13fa7c2p-16, 0x1.0f3ea23862a4ap-16, 0x1.0ec2625f8e773p-16, 0x1.0e44257b422cp-16, 0x1.0dc3f36d7f7a1p-16, 0x1.0d41d40891d7p-16, 0x1.0cbdcf0f171cfp-16, 0x1.0c37ec340324ap-16, 0x1.0bb0331aac058p-16, 0x1.0b26ab56d42cp-16, 0x1.0a9b5c6cb2472p-16, 0x1.0a0e4dd101227p-16, 0x1.097f86e90569bp-16, 0x1.08ef0f0a91438p-16, 0x1.085ced7c234d2p-16, 0x1.07c92974e0d7p-16, 0x1.0733ca1c9f429p-16, 0x1.069cd68bf1b36p-16, 0x1.060455cc45e1ap-16, 0x1.056a4ed7dd9ep-16, 0x1.04cec899d4957p-16, 0x1.0431c9ee43ap-16, 0x1.039359a23c6e2p-16, 0x1.02f37e73da1b3p-16, 0x1.02523f124cb56p-16, 0x1.01afa21de7a69p-16, 0x1.010bae2830d68p-16, 0x1.006669b3eac12p-16, }}, 
      {{0x1.a5a1770ff7fe9p-1, 0x1.a5b6b8c7af5bfp-1, 0x1.a5e45d34728f9p-1, 0x1.a628c7258d04dp-1, 0x1.a67a7633ae4dep-1, 0x1.a6cc1831e814p-1, 0x1.a71029ad1219ep-1, 0x1.a73b4e18bd6ddp-1, 0x1.a7456661af6ccp-1, 0x1.a729bb4fa531dp-1, 0x1.a6e699cc42fc5p-1, 0x1.a67cac1dfd2c7p-1, 0x1.a5ee42a24c17ap-1, 0x1.a53ea9b1712d6p-1, 0x1.a4719b59478b9p-1, 0x1.a38ad1f2d120ep-1, 0x1.a28dbae75c567p-1, 0x1.a17d45fd200bap-1, 0x1.a05bcc3b1d6f3p-1, 0x1.9f2b0931725bap-1, 0x1.9dec21c2bc444p-1, 0x1.9c9fb423f555ap-1, 0x1.9b45ed7dbcb9ep-1, 0x1.99dea251dcc52p-1, 0x1.98696773556f1p-1, 0x1.96e5a9f6d69aep-1, 0x1.9552c50251937p-1, 0x1.93b014cbfc51fp-1, 0x1.91fd066d2a32ap-1, 0x1.9039246ddca7fp-1, 0x1.8e64201d93ce4p-1, 0x1.8c7dd7ef5d7fcp-1, 0x1.8a865b24de274p-1, 0x1.887deb209995cp-1, 0x1.8664fabd03427p-1, 0x1.843c2c05c6ee5p-1, 0x1.82044cacb0e2bp-1, 0x1.7fbe518cf9288p-1, 0x1.7d6b51876275cp-1, 0x1.7b0c7ff86fabbp-1, 0x1.78a3270080ef8p-1, 0x1.7630a1cc6516cp-1, 0x1.73b657041b7edp-1, 0x1.7135b37d72d5ep-1, 0x1.6eb02548dabbcp-1, 0x1.6c2717286037p-1, 0x1.699bec7b39261p-1, 0x1.670ffda399a52p-1, 0x1.648494e8ad4c6p-1, 0x1.61faebd368383p-1, 0x1.5f7429026d598p-1, 0x1.5cf15e6f64daep-1, 0x1.5a73881ebaebdp-1, 0x1.57fb8b31ceb1bp-1, 0x1.558a355305579p-1, 0x1.53203c72ed844p-1, 0x1.50be3ecd93688p-1, 0x1.4e64c32f4dd26p-1, 0x1.4c1439709ba73p-1, 0x1.49ccfb210822fp-1, 0x1.478f4c5995e62p-1, 0x1.455b5cafa7611p-1, 0x1.43314841fd3ddp-1, 0x1.411118d9e3d55p-1, 0x1.3efac71b48d42p-1, 0x1.3cee3bbef693ep-1, 0x1.3aeb50d2bd70dp-1, 0x1.38f1d2fbd9c03p-1, 0x1.370182b855303p-1, 0x1.351a159c9dbadp-1, 0x1.333b378aed848p-1, 0x1.31648be2831p-1, 0x1.2f95aea4fd67dp-1, 0x1.2dce35907f7ap-1, 0x1.2c0db12d89174p-1, 0x1.2a53adcfa9053p-1, 0x1.289fb48871ba8p-1, 0x1.26f14c0c3c6fdp-1, 0x1.2547f98882ac2p-1, 0x1.23a3416bad16bp-1, 0x1.2202a81e61038p-1, 0x1.2065b2ae705abp-1, 0x1.1ecbe76ba6203p-1, 0x1.1d34ce76bf376p-1, 0x1.1b9ff242f1ad7p-1, 0x1.1a0ce00a707edp-1, 0x1.187b283665ab1p-1, 0x1.16ea5ebae811fp-1, 0x1.155a1b677538p-1, 0x1.13c9fa2c7fde4p-1, 0x1.12399b56a3041p-1, 0x1.10a8a3c012297p-1, 0x1.0f16bcf8d6a21p-1, 0x1.0d8395667296p-1, 0x1.0beee05b79f18p-1, 0x1.0a585627b1f5fp-1, 0x1.08bfb4214623cp-1, 0x1.0724bca79b447p-1, 0x1.0587372046f09p-1, 0x1.03e6efeeac379p-1, 0x1.0243b866bb30ap-1, 0x1.009d66bb48726p-1, 0x1.fde7abd0e580dp-2, 0x1.fa8dcb34fd00bp-2, 0x1.f72cf42325e17p-2, 0x1.f3c4f8056f5f5p-2, 0x1.f055b0ece3925p-2, 0x1.ecdf014aa82bap-2, 0x1.e960d3a5b077bp-2, 0x1.e5db1a4d8f958p-2, 0x1.e24dcf0b01bd4p-2, 0x1.deb8f2cead029p-2, 0x1.db1c8d5e93d61p-2, 0x1.d778ad02a6c9bp-2, 0x1.d3cd6630e69f4p-2, 0x1.d01ad33967fe2p-2, 0x1.cc6113f29e686p-2, 0x1.c8a04d662d544p-2, 0x1.c4d8a97e952c4p-2, 0x1.c10a56b5ede8fp-2, 0x1.bd3587c5f4517p-2, 0x1.b95a735991e75p-2, 0x1.b57953c01445bp-2, 0x1.b19266a2324bbp-2, 0x1.ada5ecb90717fp-2, 0x1.a9b429871c57bp-2, 0x1.a5bd631399e6cp-2, 0x1.a1c1e1a7ae1a5p-2, 0x1.9dc1ef8e42f19p-2, 0x1.99bdd8d605e44p-2, 0x1.95b5eb15cb1a9p-2, 0x1.91aa7533569ccp-2, 0x1.8d9bc72c86a3bp-2, 0x1.898a31e2e3e14p-2, 0x1.857606e994acp-2, 0x1.815f9855a9d26p-2, 0x1.7d473890c7473p-2, 0x1.792d3a2e17823p-2, 0x1.7511efc1860ep-2, 0x1.70f5abb936b6bp-2, 0x1.6cd8c039266f6p-2, 0x1.68bb7ef8f2d9bp-2, 0x1.649e3923b2737p-2, 0x1.60813f39d65f3p-2, 0x1.5c64e0f500ac7p-2, 0x1.58496d2dc10cdp-2, 0x1.542f31c32d66fp-2, 0x1.50167b843e884p-2, 0x1.4bff961ae90a7p-2, 0x1.47eacbf8d9cc4p-2, 0x1.43d86645cc4f4p-2, 0x1.3fc8accf6964ep-2, 0x1.3bbbe5fa9bb05p-2, 0x1.37b256b64dad7p-2, 0x1.33ac426f7ec43p-2, 0x1.2fa9eb069eb1bp-2, 0x1.2bab90c6298fp-2, 0x1.27b1725a653cep-2, 0x1.23bbccca44282p-2, 0x1.1fcadb714e2ebp-2, 0x1.1bded7fa8e516p-2, 0x1.17f7fa5c747e2p-2, 0x1.141678d59735dp-2, 0x1.103a87ea550edp-2, 0x1.0c645a6340163p-2, 0x1.0894214c4962ap-2, 0x1.04ca0bf4a47e3p-2, 0x1.010647ef5493ap-2, 0x1.fa920228b608fp-3, 0x1.f324c304f389ap-3, 0x1.ebc523430a308p-3, 0x1.e473704a69b23p-3, 0x1.dd2ff420e54f8p-3, 0x1.d5faf5722ddcdp-3, 0x1.ced4b7982269bp-3, 0x1.c7bd7aa3e0a9cp-3, 0x1.c0b57b67870bdp-3, 0x1.b9bcf380a094ap-3, 0x1.b2d4196322bdcp-3, 0x1.abfb2064f8f24p-3, 0x1.a53238ca1077dp-3, 0x1.9e798fd0ca608p-3, 0x1.97d14fbee7c0bp-3, 0x1.91399feebe05fp-3, 0x1.8ab2a4dccb2ddp-3, 0x1.843c80358e99dp-3, 0x1.7dd750e39db26p-3, 0x1.7783331df45b1p-3, 0x1.714040767404dp-3, 0x1.6b0e8fe8850e1p-3, 0x1.64ee35e7ded77p-3, 0x1.5edf446f64f4p-3, 0x1.58e1cb1015107p-3, 0x1.52f5d7000834p-3, 0x1.4d1b732977865p-3, 0x1.4752a839c0338p-3, 0x1.419b7cb067516p-3, 0x1.3bf5f4ee179bp-3, 0x1.366213438d95ep-3, 0x1.30dfd8007846dp-3, 0x1.2b6f418244cb7p-3, 0x1.26104c42cdccfp-3, 0x1.20c2f2e6f87aep-3, 0x1.1b872e4d282ep-3, 0x1.165cf59b9dd03p-3, 0x1.11443e4ea8a5bp-3, 0x1.0c3cfc46b84d4p-3, 0x1.074721d64021ap-3, 0x1.02629fcf7a0f4p-3, 0x1.fb1ecb23deb87p-4, 0x1.f19ac22fc7109p-4, 0x1.e838fe06fc2a6p-4, 0x1.def95557acce3p-4, 0x1.d5db9c53744f9p-4, 0x1.ccdfa4c8a2b7ap-4, 0x1.c4053e3b00fe5p-4, 0x1.bb4c35fc3d4d9p-4, 0x1.b2b45743e4eb8p-4, 0x1.aa3d6b46ea086p-4, 0x1.a1e7394ebfff3p-4, 0x1.99b186d00fcbp-4, 0x1.919c1780ee869p-4, 0x1.89a6ad6ea7336p-4, 0x1.81d10913168dbp-4, 0x1.7a1ae96991e37p-4, 0x1.72840c035a293p-4, 0x1.6b0c2d1b9f598p-4, 0x1.63b307ab117b3p-4, 0x1.5c78557afbf59p-4, 0x1.555bcf37f53bdp-4, 0x1.4e5d2c84167cep-4, 0x1.477c2408c803fp-4, 0x1.40b86b8819aa1p-4, 0x1.3a11b7edad27p-4, 0x1.3387bd5f31bacp-4, 0x1.2d1a2f4c71027p-4, 0x1.26c8c07eef418p-4, 0x1.209323291e993p-4, 0x1.1a7908f52993p-4, 0x1.147a231350c6cp-4, 0x1.0e962247e1685p-4, 0x1.08ccb6f8c21bfp-4, 0x1.031d913a9d459p-4, 0x1.fb10c1bb44fep-5, 0x1.f019aaf3c89dcp-5, 0x1.e5553cf6ad656p-5, 0x1.dac2d65ad15d2p-5, 0x1.d061d58c7f23p-5, 0x1.c63198e32aadap-5, 0x1.bc317eb6700f9p-5, 0x1.b260e5725fd91p-5, 0x1.a8bf2bab0d7a1p-5, 0x1.9f4bb02f8004ap-5, 0x1.9605d21be1113p-5, 0x1.8cecf0eb0d4e9p-5, 0x1.84006c8778511p-5, 0x1.7b3fa55b71582p-5, 0x1.72a9fc60bc61cp-5, 0x1.6a3ed32f9bb01p-5, 0x1.61fd8c0d2e4fep-5, 0x1.59e589f9461bbp-5, 0x1.51f630bb9cf34p-5, 0x1.4a2ee4f07b1a7p-5, 0x1.428f0c14d513bp-5, 0x1.3b160c91d82b3p-5, 0x1.33c34dc7edc9bp-5, 0x1.2c9638193cf29p-5, 0x1.258e34f3a993fp-5, 0x1.1eaaaeda50f34p-5, 0x1.17eb116e8d6b7p-5, 0x1.114ec9787eac2p-5, 0x1.0ad544ef1ddc9p-5, 0x1.047df2ffdceefp-5, 0x1.fc90882bac21bp-6, 0x1.f06753c11b5e7p-6, 0x1.e47f2eb491a08p-6, 0x1.d8d7019bfc315p-6, 0x1.cd6db7b9bebf9p-6, 0x1.c2423f07066bbp-6, 0x1.b753883d5a9d7p-6, 0x1.aca086df72aa1p-6, 0x1.a22831415dacp-6, 0x1.97e9808ffc8a6p-6, 0x1.8de370d7bf69cp-6, 0x1.8415010ade1e8p-6, 0x1.7a7d3306d1371p-6, 0x1.711b0b9946bbbp-6, 0x1.67ed928477e59p-6, 0x1.5ef3d282effc7p-6, 0x1.562cd94ac3a76p-6, 0x1.4d97b790455a5p-6, 0x1.4533810834c46p-6, 0x1.3cff4c696cc41p-6, 0x1.34fa336e20c42p-6, 0x1.2d2352d494652p-6, 0x1.2579ca5f720b1p-6, 0x1.1dfcbcd5a916bp-6, 0x1.16ab5001e6c99p-6, 0x1.0f84acb1a7056p-6, 0x1.0887feb3ea444p-6, 0x1.01b474d784d45p-6, 0x1.f61281d23072ep-7, 0x1.e90b2f6177453p-7, 0x1.dc5161de87ef2p-7, 0x1.cfe38eb69d5bfp-7, 0x1.c3c0313bd86dp-7, 0x1.b7e5ca9e2f801p-7, 0x1.ac52e1e3af716p-7, 0x1.a10603e047ce2p-7, 0x1.95fdc32d1dfdep-7, 0x1.8b38b81f5d897p-7, 0x1.80b580be9c03ap-7, 0x1.7672c0bad1fbap-7, 0x1.6c6f2161e629ep-7, 0x1.62a95194e8634p-7, 0x1.592005bcd4ed1p-7, 0x1.4fd1f7bf187b1p-7, 0x1.46bde6f1bc801p-7, 0x1.3de2980f4a4fap-7, 0x1.353ed52a515c4p-7, 0x1.2cd16da0c82a8p-7, 0x1.2499360f1529dp-7, 0x1.1c950842f7becp-7, 0x1.14c3c32e13da4p-7, 0x1.0d244ad876637p-7, 0x1.05b58852cba96p-7, 0x1.fcecd350f5e7p-8, 0x1.eecbc3a32c514p-8, 0x1.e105d1494cd6cp-8, 0x1.d398f590b6084p-8, 0x1.c683334a3339cp-8, 0x1.b9c296ace6eecp-8, 0x1.ad553539241b9p-8, 0x1.a1392d9aebeb6p-8, 0x1.956ca78c88ccbp-8, 0x1.89edd3b8e757ep-8, 0x1.7ebaeb9ddca26p-8, 0x1.73d2316e7863ep-8, 0x1.6931eff52b32cp-8, 0x1.5ed87a75fbab6p-8, 0x1.54c42c90acacep-8, 0x1.4af36a22fc11fp-8, 0x1.41649f2ad790cp-8, 0x1.38163fa89109fp-8, 0x1.2f06c78147c2ap-8, 0x1.2634ba614e3e2p-8, 0x1.1d9ea39e97207p-8, 0x1.1543161b6af82p-8, 0x1.0d20ac29010a5p-8, 0x1.0536076a74291p-8, 0x1.fb03a16f61919p-9, 0x1.ec0570014054p-9, 0x1.dd6ee860e071ep-9, 0x1.cf3d8622168e2p-9, 0x1.c16ed25da2b3ap-9, 0x1.b4006378ca5b3p-9, 0x1.a6efdced76bc5p-9, 0x1.9a3aef12b902bp-9, 0x1.8ddf56e5d990bp-9, 0x1.81daddd3a1cd4p-9, 0x1.762b598249c39p-9, 0x1.6aceab9bd6e9dp-9, 0x1.5fc2c198d7cb4p-9, 0x1.5505948bd4669p-9, 0x1.4a9528ed1c902p-9, 0x1.406f8e671bbf5p-9, 0x1.3692dfa348cbbp-9, 0x1.2cfd42177eef9p-9, 0x1.23ace5d3ffaddp-9, 0x1.1aa0055200532p-9, 0x1.11d4e542aaep-9, 0x1.0949d45ec6243p-9, 0x1.00fd2b36e856ep-9, 0x1.f1da9808943ebp-10, 0x1.e23144f40266bp-10, 0x1.d2fb472e30644p-10, 0x1.c4359af1cb19cp-10, 0x1.b5dd4e5c8198dp-10, 0x1.a7ef81167cc4cp-10, 0x1.9a6963fa9add2p-10, 0x1.8d4838c06b245p-10, 0x1.808951a6ff716p-10, 0x1.742a112109e6p-10, 0x1.6827e98230444p-10, 0x1.5c805cad6e9b1p-10, 0x1.5130fbc4d39a3p-10, 0x1.463766da2a765p-10, 0x1.3b914ca14201cp-10, 0x1.313c6a22d165cp-10, 0x1.27368a70ffb1p-10, 0x1.1d7d865cd1156p-10, 0x1.140f442cd627ep-10, 0x1.0ae9b755069d1p-10, 0x1.020ae02fc1c5ap-10, 0x1.f2e1976f98499p-11, 0x1.e23326874dcd9p-11, 0x1.d206b883f3p-11, 0x1.c258afedf058bp-11, 0x1.b325867644c9ep-11, 0x1.a469cc7599cc3p-11, 0x1.9622286e49c46p-11, 0x1.884b568fba35ap-11, 0x1.7ae2283ca3931p-11, 0x1.6de383932268dp-11, 0x1.614c62f6a779fp-11, 0x1.5519d49c81ba7p-11, 0x1.4948fa19fcee5p-11, 0x1.3dd707f50ea9p-11, 0x1.32c14536b3de8p-11, 0x1.28050aff23813p-11, 0x1.1d9fc41c9b34fp-11, 0x1.138eeca386c93p-11, 0x1.09d01188f1646p-11, 0x1.0060d03eb9b86p-11, 0x1.ee7daca3aab93p-12, 0x1.dccfc2147dbe6p-12, 0x1.cbb37a1992a6ep-12, 0x1.bb248bfe10d9ap-12, 0x1.ab1ecc5929e9bp-12, 0x1.9b9e2c5cd3433p-12, 0x1.8c9eb9282d196p-12, 0x1.7e1c9b1c7a67cp-12, 0x1.701415367324p-12, 0x1.6281846a70785p-12, 0x1.55615f041be95p-12, 0x1.48b0340931b6p-12, 0x1.3c6aaa9fc7f0bp-12, 0x1.308d81777ae22p-12, 0x1.25158e35ba9e2p-12, 0x1.19ffbce585e48p-12, 0x1.0f490f69bffe5p-12, 0x1.04ee9cf2ab66p-12, 0x1.f5db22ecd8cecp-13, 0x1.e2865a588b9f1p-13, 0x1.cfd988157fb59p-13, 0x1.bdcf7a912d698p-13, 0x1.ac6325c0f14a9p-13, 0x1.9b8fa22eec615p-13, 0x1.8b502c0ba9d0dp-13, 0x1.7ba022460a731p-13, 0x1.6c7b05a71f779p-13, 0x1.5ddc77f42274bp-13, 0x1.4fc03b14b20c7p-13, 0x1.4222303e41d42p-13, 0x1.34fe572406a7bp-13, 0x1.2850cd2bc52fcp-13, 0x1.1c15cca764e13p-13, 0x1.1049ac12c8764p-13, 0x1.04e8dd56378a4p-13, 0x1.f3dfda19ca4c1p-14, 0x1.deb703a11d156p-14, 0x1.ca50b70f6e708p-14, 0x1.b6a6a573dd2e4p-14, 0x1.a3b2afcd8d5d5p-14, 0x1.916ee5c209c89p-14, 0x1.7fd5845cb6fa4p-14, 0x1.6ee0f4d3bdf62p-14, 0x1.5e8bcb5667c46p-14, 0x1.4ed0c5e1faf47p-14, 0x1.3faacb1cf572fp-14, 0x1.3114e93b3747ap-14, 0x1.230a54e783b85p-14, 0x1.1586683408ccp-14, 0x1.0884a191f7a2p-14, 0x1.f801459f582afp-15, 0x1.dfec6038122dp-15, 0x1.c8c25e22fd8e4p-15, 0x1.b27b4b8d3fd3cp-15, 0x1.9d0f73c857386p-15, 0x1.88775f82f86d5p-15, 0x1.74abd30d5b55bp-15, 0x1.61a5cca76504p-15, 0x1.4f5e82dc15cbp-15, 0x1.3dcf62e56f847p-15, 0x1.2cf20f1ad4bfep-15, 0x1.1cc05d6dabd19p-15, 0x1.0d3455e8b5feep-15, 0x1.fc90628120c14p-16, 0x1.dfecaed1eff96p-16, 0x1.c472bc698e882p-16, 0x1.aa1810010374bp-16, 0x1.90d284c7ca2d8p-16, 0x1.789849da9b227p-16, 0x1.615fdfc98f1c2p-16, 0x1.4b20163013d26p-16, 0x1.35d0095ee885ap-16, 0x1.21672012a6eb2p-16, 0x1.0ddd093a5c6dcp-16, 0x1.f65373a3f58b2p-17, 0x1.d28ad589757d2p-17, 0x1.b0512dc86ce08p-17, 0x1.8f97f1cf502aep-17, 0x1.705112fee70b4p-17, 0x1.526efadfee2ecp-17, 0x1.35e4877eaaf5ep-17, 0x1.1aa507d752c3fp-17, 0x1.00a4385fbe354p-17, 0x1.cfac7f4eb73bfp-18, 0x1.a05f5624a2dfep-18, 0x1.734ad752c652cp-18, 0x1.4859a6005c643p-18, 0x1.1f772067e89c3p-18, 0x1.f11eb3f954285p-19, 0x1.a71e2b7acc6bap-19, 0x1.60c7814d78791p-19, 0x1.1df6d8ba230e3p-19, 0x1.bd1327cbce0c8p-20, 0x1.44bc934f278ebp-20, 0x1.a552eef30d015p-21, 0x1.9a6e69a967814p-22, 0x1.5bc95d847ed12p-30, -0x1.8179b203c6cf3p-22, -0x1.7778c2a095dc1p-21, -0x1.11f8cfbf8f01cp-20, -0x1.6347b05c33dccp-20, -0x1.afdb20b8ad465p-20, -0x1.f7e372dc2f904p-20, -0x1.1dc79e2d3798bp-19, -0x1.3d85b285648c1p-19, -0x1.5b419a8d81cb3p-19, -0x1.771031797f0f6p-19, -0x1.910590417458fp-19, -0x1.a935141a481c6p-19, -0x1.bfb164c53f549p-19, -0x1.d48c7aa2ae1efp-19, -0x1.e7d7a49b2def5p-19, -0x1.f9a38dde68651p-19, -0x1.050021b53515fp-18, -0x1.0c7e9cb906717p-18, -0x1.1354a84aa18c9p-18, -0x1.19896d78035a2p-18, -0x1.1f23d07d24e19p-18, -0x1.242a73270023cp-18, -0x1.28a3b71f0d46cp-18, -0x1.2c95c02502f8cp-18, -0x1.30067638d1955p-18, -0x1.32fb87af1b5c8p-18, -0x1.357a6b3b121c3p-18, -0x1.378861dd76852p-18, -0x1.392a78d15598ep-18, -0x1.3a658b5d9b188p-18, -0x1.3b3e449cf1b5p-18, -0x1.3bb92136c4981p-18, -0x1.3bda710839f69p-18, -0x1.3ba658c0f374bp-18, -0x1.3b20d37291d0cp-18, -0x1.3a4db4111ecedp-18, -0x1.3930a6e92864ap-18, -0x1.37cd33081891dp-18, -0x1.3626bb97853d3p-18, -0x1.344081338a20dp-18, -0x1.321da32b13fdbp-18, -0x1.2fc120bec589bp-18, -0x1.2d2dda4fc8b9dp-18, -0x1.2a66928786c12p-18, -0x1.276def732d161p-18, -0x1.24467b9731263p-18, -0x1.20f2a6f8ab564p-18, -0x1.1d74c81d57ad8p-18, -0x1.19cf1d03047efp-18, -0x1.1603cc0fb3086p-18, -0x1.1214e4f806b1ap-18, -0x1.0e04619da64b5p-18, -0x1.09d426e73623bp-18, -0x1.0586058e44354p-18, -0x1.011bbae9bb24cp-18, -0x1.f92de35ab6006p-19, -0x1.eff2854bbc8abp-19, -0x1.e6886ad621717p-19, -0x1.dcf2821bff9cap-19, -0x1.d333997ed2e87p-19, -0x1.c94e60e557d0bp-19, -0x1.bf456aee75e37p-19, -0x1.b51b2e1fc7d53p-19, -0x1.aad20603944a2p-19, -0x1.a06c34405437p-19, -0x1.95ebe1a344e17p-19, -0x1.8b531f24d1411p-19, -0x1.80a3e6de9eb65p-19, -0x1.75e01cfbeb57fp-19, -0x1.6b09909eb4e69p-19, -0x1.6021fcbf0339cp-19, -0x1.552b08fe5b10ep-19, -0x1.4a264a77dbbb4p-19, -0x1.3f154482af53ep-19, -0x1.33f96971e2e79p-19, -0x1.28d41b49609bbp-19, -0x1.1da6ac6e27319p-19, -0x1.12726050bca4ep-19, -0x1.07386c0d5cb53p-19, -0x1.f7f3ee134ba9ep-20, -0x1.e17037128633dp-20, -0x1.cae7ce7ac51b8p-20, -0x1.b45cb7a0ed47ap-20, -0x1.9dd0ded4ac1d6p-20, -0x1.87461a5fddae8p-20, -0x1.70be2b7875e68p-20, -0x1.5a3abf2df32d7p-20, -0x1.43bd6f4a7ea4ep-20, -0x1.2d47c3296a596p-20, -0x1.16db308929eb6p-20, -0x1.00791c50d182ap-20, -0x1.d445b69b877dfp-21, -0x1.a7b365d54c3d3p-21, -0x1.7b3db3bc439c3p-21, -0x1.4ee6f1a40e38ep-21, -0x1.22b1560c261f9p-21, -0x1.ed3dfb9c1ebacp-22, -0x1.9563da913145cp-22, -0x1.3dd822ed4f21p-22, -0x1.cd3d03ea696a5p-23, -0x1.1f74f48b053b6p-23, -0x1.c97b2e460089ap-25, 0x1.cff8882574966p-26, 0x1.cb3d0aefb7511p-24, 0x1.9079bcf428521p-23, 0x1.1d45932950b32p-22, 0x1.71e6b8847f5d5p-22, 0x1.c61dc51c1b192p-22, 0x1.0cf4267554cc2p-21, 0x1.36a2000678c2ep-21, 0x1.601754b7f132fp-21, 0x1.895316cf941c4p-21, 0x1.b25444cfba94p-21, 0x1.db19e8e512c86p-21, 0x1.01d18c325d5fap-20, 0x1.15f779a44712ap-20, 0x1.29fe51db7b7d5p-20, 0x1.3de5aec70af99p-20, 0x1.51ad2ef9d5d02p-20, 0x1.6554757773fbap-20, 0x1.78db297fa441bp-20, 0x1.8c40f660fb80fp-20, 0x1.9f858b4aa7a59p-20, 0x1.b2a89b2233902p-20, 0x1.c5a9dc5ae6942p-20, 0x1.d88908cd7b968p-20, 0x1.eb45dd933d78ap-20, 0x1.fde01ae4e197fp-20, 0x1.082bc1fb9f552p-19, 0x1.1155ef6f036p-19, 0x1.1a6e7a36bca13p-19, 0x1.2375480e53ae5p-19, 0x1.2c6a3ff6508a6p-19, 0x1.354d4a275d53fp-19, 0x1.3e1e5005f0fe5p-19, 0x1.46dd3c17591bdp-19, 0x1.4f89f9f716aa4p-19, 0x1.5824764c69913p-19, 0x1.60ac9ec0a1d9cp-19, 0x1.692261f6a8c47p-19, 0x1.7185af81d0d3p-19, 0x1.79d677de3e893p-19, 0x1.8214ac6946386p-19, 0x1.8a403f5a2a114p-19, 0x1.925923bbcae58p-19, 0x1.9a5f4d6588cf2p-19, 0x1.a252b0f52e2b9p-19, 0x1.aa3343ca1dfb1p-19, 0x1.b200fbff0e6f9p-19, 0x1.b9bbd06568df9p-19, 0x1.c163b88162c4bp-19, 0x1.c8f8ac83c33ddp-19, 0x1.d07aa546f7f77p-19, 0x1.d7e99c4acb97p-19, 0x1.df458bb0efb55p-19, 0x1.e68e6e38f8771p-19, 0x1.edc43f3d64c61p-19, 0x1.f4e6fab0b057cp-19, 0x1.fbf69d19ca0e3p-19, 0x1.017991c8bff62p-18, 0x1.04ee45dff8667p-18, 0x1.085969ed4bb8dp-18, 0x1.0bbafd50a06e9p-18, 0x1.0f12ffadf57f3p-18, 0x1.126170ecb081ap-18, 0x1.15a6513655174p-18, 0x1.18e1a0f58cc15p-18, 0x1.1c1360d588ed8p-18, 0x1.1f3b91c0d52f4p-18, 0x1.225a34e0c3ac6p-18, 0x1.256f4b9c89203p-18, 0x1.287ad798968bcp-18, 0x1.2b7cdab6022dfp-18, 0x1.2e75571181832p-18, 0x1.31644f031ee7ap-18, 0x1.3449c51d75994p-18, 0x1.3725bc2d09acfp-18, 0x1.39f8373809ccfp-18, 0x1.3cc1397d41708p-18, 0x1.3f80c673c467cp-18, 0x1.4236e1ca96a95p-18, 0x1.44e38f67aeadap-18, 0x1.4786d367b853fp-18, 0x1.4a20b21dcd1dcp-18, 0x1.4cb13012a53b4p-18, 0x1.4f38520406472p-18, 0x1.51b61ce4a18d6p-18, 0x1.542a95db52106p-18, 0x1.5695c24297a98p-18, 0x1.58f7a7a87146cp-18, 0x1.5b504bcd78ed7p-18, 0x1.5d9fb4a4995dp-18, 0x1.5fe5e852bbap-18, 0x1.6222ed2de4c96p-18, 0x1.6456c9bcf3a94p-18, 0x1.668184b7514p-18, 0x1.68a32504351acp-18, 0x1.6abbb1ba10997p-18, 0x1.6ccb321e656d4p-18, 0x1.6ed1ada5047b9p-18, 0x1.70cf2befa1343p-18, 0x1.72c3b4cd3c43cp-18, 0x1.74af5039cc87fp-18, 0x1.7692065d8808dp-18, 0x1.786bdf8c3b11cp-18, 0x1.7a3ce44512013p-18, 0x1.7c051d3208046p-18, 0x1.7dc493271012p-18, 0x1.7f7b4f21e02b5p-18, 0x1.81295a4914935p-18, 0x1.82cebdebd5975p-18, 0x1.846b83811b582p-18, 0x1.85ffb4a75e869p-18, 0x1.878b5b23b388cp-18, 0x1.890e80e15a111p-18, 0x1.8a892ff137f48p-18, 0x1.8bfb728915759p-18, 0x1.8d655302f3359p-18, 0x1.8ec6dbdcc2265p-18, 0x1.902017b785063p-18, 0x1.91711156b2b7p-18, 0x1.92b9d39fc58aep-18, 0x1.93fa6999558c9p-18, 0x1.9532de6aacb29p-18, 0x1.96633d5b049b2p-18, 0x1.978b91d114b22p-18, 0x1.98abe7522218bp-18, 0x1.99c449818773ep-18, 0x1.9ad4c4200f314p-18, 0x1.9bdd630b518acp-18, 0x1.9cde323cdbc67p-18, 0x1.9dd73dc9bae7cp-18, 0x1.9ec891e1d6d0fp-18, 0x1.9fb23acf21df3p-18, 0x1.a09444f5129a2p-18, 0x1.a16ebccfd34f7p-18, 0x1.a241aef3cc7a1p-18, 0x1.a30d280cc3f04p-18, 0x1.a3d134dd5ca07p-18, 0x1.a48de23e6bef4p-18, 0x1.a5433d1e20f7cp-18, 0x1.a5f1527f74242p-18, 0x1.a6982f7998377p-18, 0x1.a737e1372f19cp-18, 0x1.a7d074f5a05d5p-18, 0x1.a861f8047c28cp-18, 0x1.a8ec77c4d7c9fp-18, 0x1.a97001a897d61p-18, 0x1.a9eca331c86a2p-18, 0x1.aa6269f2038a1p-18, 0x1.aad16389a7f19p-18, 0x1.ab399da75bb2cp-18, 0x1.ab9b26074acf4p-18, 0x1.abf60a72a0538p-18, 0x1.ac4a58beb968dp-18, 0x1.ac981ecc88889p-18, 0x1.acdf6a8811308p-18, 0x1.ad2049e7b8108p-18, 0x1.ad5acaeb9868cp-18, 0x1.ad8efb9ced011p-18, 0x1.adbcea0d6a241p-18, 0x1.ade4a456b4ffep-18, 0x1.ae0638999905dp-18, 0x1.ae21b4fda9607p-18, 0x1.ae3727b08599fp-18, 0x1.ae469ee534be1p-18, 0x1.ae5028d3a1ebp-18, 0x1.ae53d3b813b2cp-18, 0x1.ae51add2820c8p-18, 0x1.ae49c565faf97p-18, 0x1.ae3c28b81f162p-18, 0x1.ae28e6109740ap-18, 0x1.ae100bb87bd55p-18, 0x1.adf1a7f9d0f66p-18, 0x1.adcdc91ef5dabp-18, 0x1.ada47d7218b93p-18, 0x1.ad75d33ca8668p-18, 0x1.ad41d8c6d0085p-18, 0x1.ad089c57155fcp-18, 0x1.acca2c31a3c75p-18, 0x1.ac869697d6996p-18, 0x1.ac3de9c7c756fp-18, 0x1.abf033fbd97ecp-18, 0x1.ab9d836a20a3bp-18, 0x1.ab45e643faadbp-18, 0x1.aae96ab5829ep-18, 0x1.aa881ee52d68dp-18, 0x1.aa2210f35412p-18, 0x1.a9b74ef9bc0fdp-18, 0x1.a947e70b1ccb5p-18, 0x1.a8d3e732ba2b5p-18, 0x1.a85b5d73ecadp-18, 0x1.a7de57c9bed0ep-18, 0x1.a75ce4267f93bp-18, 0x1.a6d710735e208p-18, 0x1.a64cea8ffb6c3p-18, 0x1.a5be8052067b8p-18, 0x1.a52bdf84e3e61p-18, 0x1.a49515e935ef2p-18, 0x1.a3fa3134970f1p-18, 0x1.a35b3f112785bp-18, 0x1.a2b84d1d3a57dp-18, 0x1.a21168eb08a3dp-18, 0x1.a166a00046b2bp-18, 0x1.a0b7ffd5ca9dfp-18, 0x1.a00595d74d7a7p-18, 0x1.9f4f6f6303948p-18, 0x1.9e9599c9517fep-18, 0x1.9dd8224c7bf6ap-18, 0x1.9d17162069971p-18, 0x1.9c52826a53a0ap-18, 0x1.9b8a744071803p-18, 0x1.9abef8a9a6aa8p-18, 0x1.99f01c9d591b6p-18, 0x1.991ded030d513p-18, 0x1.984876b23ed01p-18, 0x1.976fc6722914fp-18, 0x1.9693e8f96424cp-18, 0x1.95b4eaedb4b3bp-18, 0x1.94d2d8e3d2804p-18, 0x1.93edbf5f3e879p-18, 0x1.9305aad1fcfbcp-18, 0x1.921aa79c53d5ap-18, 0x1.912cc20c9864bp-18, 0x1.903c065f163afp-18, 0x1.8f4880bdd6af5p-18, 0x1.8e523d4053546p-18, 0x1.8d5947eb62a91p-18, 0x1.8c5dacb0fe72fp-18, 0x1.8b5f77701a3d4p-18, 0x1.8a5eb3f483a3ep-18, 0x1.895b6df6b27b3p-18, 0x1.8855b11babfcfp-18, 0x1.874d88f4d057dp-18, 0x1.864300ffaf297p-18, 0x1.853624a5ff22bp-18, 0x1.8426ff3d6948ap-18, 0x1.83159c076d48dp-18, 0x1.8202063157192p-18, 0x1.80ec48d408c7ep-18, 0x1.7fd46ef3e604dp-18, 0x1.7eba8380bfaa2p-18, 0x1.7d9e9155c3989p-18, 0x1.7c80a3394f771p-18, 0x1.7b60c3dce121ap-18, 0x1.7a3efddd0ad8dp-18, 0x1.791b5bc165ffp-18, 0x1.77f5e7fc72d05p-18, 0x1.76ceaceb8bb46p-18, 0x1.75a5b4d6de9cbp-18, 0x1.747b09f1486a1p-18, 0x1.734eb658622eap-18, 0x1.7220c4145d705p-18, 0x1.70f13d1814034p-18, 0x1.6fc02b40e2912p-18, 0x1.6e8d9856b82ap-18, 0x1.6d598e0bf7b6dp-18, 0x1.6c2415fd8e74cp-18, 0x1.6aed39b2e2602p-18, 0x1.69b5029db35d5p-18, 0x1.687b7a1a308dp-18, 0x1.6740a96efdc6p-18, 0x1.660499cd2e1b7p-18, 0x1.64c754503777dp-18, 0x1.6388e1fdfaaf3p-18, 0x1.62494bc6c1309p-18, 0x1.61089a85488dcp-18, 0x1.5fc6d6fec2317p-18, 0x1.5e8409e2d3a8dp-18, 0x1.5d403bcb9eb5cp-18, 0x1.5bfb753dc198bp-18, 0x1.5ab5bea8685bap-18, 0x1.596f20655cacbp-18, 0x1.5827a2b8fa563p-18, 0x1.56df4dd235969p-18, 0x1.559629cabf273p-18, 0x1.544c3ea6fec2bp-18, 0x1.530194561247bp-18, 0x1.51b632b1e83cep-18, 0x1.506a217f6797ep-18, 0x1.4f1d686e51c35p-18, 0x1.4dd00f1959641p-18, 0x1.4c821d06481b3p-18, 0x1.4b3399a5f7e5p-18, 0x1.49e48c5471a65p-18, 0x1.4894fc58f25ccp-18, 0x1.4744f0e601e3ep-18, 0x1.45f47119868ecp-18, 0x1.44a383fcdba32p-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      39, 0x1.90a3d70a3d70ap+2, 0x1.9435c6d328513p+0, 0x1.e0b1b34514a3fp+1, -0x1.669371bfe0c78p-7, 
      {{
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.0cedf46c29245p-5, -0x1.1b15823ef999fp-4, 0x1.bef968db7afcbp-5, -0x1.37352c8f66c73p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.edf9d9c2edd9fp-6, -0x1.0994186c06854p-4, 0x1.ac4d4257ff0f7p-5, -0x1.2ef3c43c85566p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.baf6c36c9abc2p-6, -0x1.e9767fbed6987p-5, 0x1.959493a041dc4p-5, -0x1.26ad35a5eb375p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.8c023a09804bbp-6, -0x1.c20287e76f4acp-5, 0x1.7f7ac933d0383p-5, -0x1.1e6d8c1bb7458p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.60e3a96f69cd2p-6, -0x1.9cbc6c4f28472p-5, 0x1.69ff5eb1bc131p-5, -0x1.162c09a008e9p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.3964132c2c99ep-6, -0x1.799454cbbe76fp-5, 0x1.552277928834ep-5, -0x1.0deb05dde67a7p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.154e0e85a8201p-6, -0x1.587a67e6901b3p-5, 0x1.40e40a5516eb6p-5, -0x1.05a9e02710edp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.e8db90f38bc83p-7, -0x1.395ecc820a5bbp-5, 0x1.2d4419855c0cep-5, -0x1.fad18712e7652p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ad22077cf2fcbp-7, -0x1.1c31a968bd6d7p-5, 0x1.1a42a474a692cp-5, -0x1.ea4f48f766e61p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.770e318381383p-7, -0x1.00e3256b9e674p-5, 0x1.07dfab51c5ea3p-5, -0x1.d9cd0c2a71369p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4641eb5346003p-7, -0x1.cec6ceb3d791cp-6, 0x1.ec365c205cf08p-6, -0x1.c94acf03bbc15p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.1a623ca86502bp-7, -0x1.9f452c06b323p-6, 0x1.c9ea59667ba7ep-6, -0x1.b8c891f53b5e6p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.e62eb15e2c377p-8, -0x1.7321b06ef8982p-6, 0x1.a8db4e741734p-6, -0x1.a84654e0106e3p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.a0193c074a993p-8, -0x1.4a3ca98be1db4p-6, 0x1.89093b49af925p-6, -0x1.97c417ccd5de2p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.61e12d64e587dp-8, -0x1.247664fca44d3p-6, 0x1.6a741fe71f884p-6, -0x1.8741dab8fb96p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.2ae9f06fe5b1p-8, -0x1.01af306076927p-6, 0x1.4d1bfc4c73103p-6, -0x1.76bf9da55db75p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.f53a8e02b82fdp-9, -0x1.c38eb2ad1ddf3p-7, 0x1.3100d079a5a2p-6, -0x1.663d6091a2b02p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.a0d693a5042a4p-9, -0x1.893e5afc4790dp-7, 0x1.16229c6eb96eap-6, -0x1.55bb237dfa8eep-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.5794d0f972a71p-9, -0x1.542df4ecd6eb5p-7, 0x1.f902c0575a14ep-7, -0x1.4538e66a4436bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.186ed2f317a3fp-9, -0x1.241e1bbd38a9dp-7, 0x1.c83a3761030ccp-7, -0x1.34b6a95690ba6p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c4d5a88aaf929p-10, -0x1.f19ed557b2e39p-8, 0x1.99eb9dfa6d577p-7, -0x1.24346c42f10bp-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.69377ac7d0cecp-10, -0x1.a404f9ee4c26ep-8, 0x1.6e16f42395fb9p-7, -0x1.13b22f2f22594p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1c4249059ee97p-10, -0x1.5eefdbbb1659fp-8, 0x1.44bc39dc8407cp-7, -0x1.032ff21ba7867p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.b89d36598e4f8p-11, -0x1.21e0b13aeb426p-8, 0x1.1ddb6f252ae6fp-7, -0x1.e55b6a0ef7b2ep-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.4f9ca94d3024p-11, -0x1.d8b161d54683cp-9, 0x1.f2e927fb4a402p-8, -0x1.c456efea8af54p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.f532d1740642p-12, -0x1.7bb2228e3730dp-9, 0x1.af0f50cb4f02p-8, -0x1.a35275b8bbe4ap-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.6db952ea53371p-12, -0x1.2bc6119a3eaebp-9, 0x1.702958bc66052p-8, -0x1.824dfbb7a0527p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.03c4aeaa115cp-12, -0x1.cfdf37e6f5876p-10, 0x1.36373fc7412c3p-8, -0x1.61498102480f5p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.656454c51f8c1p-13, -0x1.5e625d24202efp-10, 0x1.01390606e9908p-8, -0x1.404508ebaecc3p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.d911e7168ce7dp-14, -0x1.011a6ceafdc34p-10, 0x1.a25d562d85175p-9, -0x1.1f40871017631p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.2a8efa1e951p-14, -0x1.6c1882074cd07p-11, 0x1.4c3060dbe479fp-9, -0x1.fc7853505098fp-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.62ec42fba8201p-15, -0x1.ecf2d00c7707dp-12, 0x1.ffd64252e3f6ep-10, -0x1.ba6e886da97aep-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.864d506770fffp-16, -0x1.3ac276065e561p-12, 0x1.7b1b7fcb9785cp-10, -0x1.7868b4f1c5927p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.8242071295fffp-17, -0x1.736701ed46af9p-13, 0x1.0a2f49830f73bp-10, -0x1.365413e998b32p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.48c4ed0f3ap-18, -0x1.87635592d6bd8p-14, 0x1.5a2c20ad29b01p-11, -0x1.e8ed635e2afp-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.bb273a63ap-20, -0x1.5a3e28502d69p-15, 0x1.8efd05bb6cd13p-12, -0x1.6396438fc59fap-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8c023a08f0001p-22, -0x1.c192695e7d82p-17, 0x1.7345ba63ec75cp-13, -0x1.c8842719ffe21p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.186ed2ed80001p-25, -0x1.2aa7d70368a1bp-19, 0x1.857358847ef01p-15, -0x1.39f9fed5dd5eap-12}, 
        {0x1.9p+2, 0x1.90a3d70a3d70ap+2, 0x1.bb271ffffffffp-36, 0x1.70c3cda50836fp-23, 0x1.95b80a1510001p-20, -0x1.68b9fed07f6c4p-7}, 
      }}, 
      0x1.74f65db22256p+0, -0x1.b44f3f857c437p+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, 0x0p+0, -0x1.e8a753968009ap-3, -0x1.50600f5f43877p-5, 0x1.ad916872b020cp-2, 0x1.ad916872b020cp-2, 0x1.ad916872b020cp-2, 0, 0, 1}, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.2bd6437df5ap-1, -0x1.2b8e3b4a8ddabp-1, -0x1.2b19dd94f5dbcp-1, -0x1.2a7c061475d54p-1, -0x1.29b76de3a0e31p-1, -0x1.28ceac9162b6fp-1, -0x1.27c4393426b52p-1, -0x1.269a6b7e2a5b4p-1, -0x1.25537cd1fcf2fp-1, -0x1.23f1895538bbbp-1, -0x1.227691034de3ep-1, -0x1.20e478e8bf9cp-1, -0x1.1f3d0b63dbbffp-1, -0x1.1d81fae854b34p-1, -0x1.1bb4e0df5aea4p-1, -0x1.19d73f88b7267p-1, -0x1.17ea84fdf669ep-1, -0x1.15f007e9ade25p-1, -0x1.13e90c3364a58p-1, -0x1.11d6c1ab5266bp-1, -0x1.0fba484b97922p-1, -0x1.0d94a9545240dp-1, -0x1.0b66e4101d62bp-1, -0x1.0931e1d45c1a3p-1, -0x1.06f681cfdab3p-1, -0x1.04b590b828afp-1, -0x1.026fd11b33527p-1, -0x1.0025f79c08d93p-1, -0x1.fbb1567047874p-2, -0x1.f71112633effep-2, -0x1.f26c488c3d485p-2, -0x1.edc4049ec6b6cp-2, -0x1.e9194401dcbd8p-2, -0x1.e46cef5d980fbp-2, -0x1.dfbfdfb036d93p-2, -0x1.db12dd3cf8347p-2, -0x1.d6669f021f7ebp-2, -0x1.d1bbd095b09e4p-2, -0x1.cd130ec97d97dp-2, -0x1.c86ce90757f6dp-2, -0x1.c3c9e47847dadp-2, -0x1.bf2a7b296ae28p-2, -0x1.ba8f1ad125ed2p-2, -0x1.b5f8299d0d40bp-2, -0x1.b166040c73f97p-2, -0x1.acd8fe4b6b581p-2, -0x1.a85164ba499fap-2, -0x1.a3cf7c174627bp-2, -0x1.9f538248da58dp-2, -0x1.9addb029a2c89p-2, -0x1.966e37833777ep-2, -0x1.9205450334e4ap-2, -0x1.8da300ba910a2p-2, -0x1.89478e2ca1e8ep-2, -0x1.84f30c5d280cdp-2, -0x1.80a596c61b9a1p-2, -0x1.7c5f44aa077c6p-2, -0x1.78202b06e0d71p-2, -0x1.73e85b8a7cae5p-2, -0x1.6fb7e479caccep-2, -0x1.6b8ed282b78dp-2, -0x1.676d2f3fc2c8p-2, -0x1.635303404647p-2, -0x1.5f40549ccc5a8p-2, -0x1.5b35279905fedp-2, -0x1.57317f8d7bba7p-2, -0x1.53355e09982cfp-2, -0x1.4f40c3b8bd5e9p-2, -0x1.4b53affdf10a1p-2, -0x1.476e21364fd1p-2, -0x1.4390156161bb9p-2, -0x1.3fb9894efccacp-2, -0x1.3bea79517d6d4p-2, -0x1.3822e16ad621ep-2, -0x1.3462bcdd01316p-2, -0x1.30aa06ace08f4p-2, -0x1.2cf8b977651f4p-2, -0x1.294ecfc36cb88p-2, -0x1.25ac43a866962p-2, -0x1.22110f3e43b14p-2, -0x1.1e7d2c6328396p-2, -0x1.1af09514e900fp-2, -0x1.176b42f785e86p-2, -0x1.13ed3009848f5p-2, -0x1.107655dc3acc9p-2, -0x1.0d06ae7a29e2fp-2, -0x1.099e33b8d8632p-2, -0x1.063cdf895ae4bp-2, -0x1.02e2ac0102cbdp-2, -0x1.ff1f267f78cd7p-3, -0x1.f8871f02ec4cbp-3, -0x1.f1fd3663d817fp-3, -0x1.eb81617ab9706p-3, -0x1.e513957c89278p-3, -0x1.deb3c7db63d37p-3, -0x1.d861ee38f75ap-3, -0x1.d21dfe6c6f62dp-3, -0x1.cbe7eeba4e831p-3, -0x1.c5bfb562c9294p-3, -0x1.bfa548f8b1178p-3, -0x1.b998a041025b8p-3, -0x1.b399b23435f52p-3, -0x1.ada875e70b322p-3, -0x1.a7c4e29f593c1p-3, -0x1.a1eeefe4de245p-3, -0x1.9c26953469f2fp-3, -0x1.966bca3b4b7e1p-3, -0x1.90be86bf63b1fp-3, -0x1.8b1ec29a98157p-3, -0x1.858c75b9dd60dp-3, -0x1.8007980411a13p-3, -0x1.7a9021756a24cp-3, -0x1.75260a1b3a706p-3, -0x1.6fc949e0d72ep-3, -0x1.6a79d8b73796ep-3, -0x1.6537ae835ebb2p-3, -0x1.6002c318d274bp-3, -0x1.5adb0e36e2c0dp-3, -0x1.55c08785dcdeap-3, -0x1.50b32685919d4p-3, -0x1.4bb2e29aa95d7p-3, -0x1.46bfb317be272p-3, -0x1.41d98f0bd336ap-3, -0x1.3d006d632eefp-3, -0x1.383444db6087ep-3, -0x1.33750bfe7884ep-3, -0x1.2ec2b9201a668p-3, -0x1.2a1d425afd308p-3, -0x1.25849d8f5f96fp-3, -0x1.20f8c05a988d5p-3, -0x1.1c79a012a9757p-3, -0x1.180731e1be843p-3, -0x1.13a16a9a37466p-3, -0x1.0f483ec7b420ep-3, -0x1.0afba2aff237ep-3, -0x1.06bb8a4ddef3dp-3, -0x1.0287e94fef275p-3, -0x1.fcc1662de4781p-4, -0x1.f48bb56a425ddp-4, -0x1.ec6ea5db03fcbp-4, -0x1.e46a1c663ab59p-4, -0x1.dc7dfd43a7929p-4, -0x1.d4aa2c0fc0cb5p-4, -0x1.ccee8bd4d3c57p-4, -0x1.c54afee036e84p-4, -0x1.bdbf66ddeef31p-4, -0x1.b64ba4d78af51p-4, -0x1.aeef9932987aep-4, -0x1.a7ab23b2133b4p-4, -0x1.a07e237e5c069p-4, -0x1.996876ed9ca6ep-4, -0x1.9269fc3b8e213p-4, -0x1.8b829057b0c25p-4, -0x1.84b20ff4367fbp-4, -0x1.7df8572cbbe7p-4, -0x1.7755415881155p-4, -0x1.70c8a95fd1487p-4, -0x1.6a526984c31b6p-4, -0x1.63f25b764f47ap-4, -0x1.5da858577d729p-4, -0x1.577438c8976bp-4, -0x1.5155d4da5e064p-4, -0x1.4b4d041a2b8dbp-4, -0x1.45599d9b02921p-4, -0x1.3f7b77f073e09p-4, -0x1.39b26932b29b3p-4, -0x1.33fe4707ebe14p-4, -0x1.2e5ee6a90be22p-4, -0x1.28d41cdf8aea5p-4, -0x1.235dbe06f06a4p-4, -0x1.1dfb9e20fbfbbp-4, -0x1.18ad90d5741f6p-4, -0x1.1373696a5c2a1p-4, -0x1.0e4cfacf9537dp-4, -0x1.093a17a521b2fp-4, -0x1.043a924178835p-4, -0x1.fe9c7970aedddp-5, -0x1.f4e9d1b9d0a7ap-5, -0x1.eb5cd081e48c7p-5, -0x1.e1f518716d8b6p-5, -0x1.d8b24bcedc208p-5, -0x1.cf940c9dbd9ap-5, -0x1.c699fca824d17p-5, -0x1.bdc3bd674461fp-5, -0x1.b510efe4d4272p-5, -0x1.ac8134cb72833p-5, -0x1.a4142cc887084p-5, -0x1.9bc978d6c5536p-5, -0x1.93a0ba17a0895p-5, -0x1.8b9991572dbd2p-5, -0x1.83b39ea03f809p-5, -0x1.7bee81884a59cp-5, -0x1.7449da3fca6d3p-5, -0x1.6cc54a7a8373fp-5, -0x1.6560750be3732p-5, -0x1.5e1afc1ab44adp-5, -0x1.56f47f7d45a85p-5, -0x1.4fec9d503d2fcp-5, -0x1.4902f51959d43p-5, -0x1.42372af1c6539p-5, -0x1.3b88e72a2cd95p-5, -0x1.34f7d16cecf07p-5, -0x1.2e838b01ef623p-5, -0x1.282bae2e8e0c5p-5, -0x1.21efd549b1f44p-5, -0x1.1bcfa4c090bc3p-5, -0x1.15cacebee83a1p-5, -0x1.0fe10a89d3b0dp-5, -0x1.0a120448ec2f8p-5, -0x1.045d53115ab89p-5, -0x1.fd8501e420361p-6, -0x1.f2824514f4da6p-6, -0x1.e7b1d8218f864p-6, -0x1.dd135e7d9889fp-6, -0x1.d2a67c0058a82p-6, -0x1.c86a8bd268fa2p-6, -0x1.be5e876e10d54p-6, -0x1.b4813f02e9771p-6, -0x1.aad1c3d89d159p-6, -0x1.a14fb23bce514p-6, -0x1.97fb163875a9p-6, -0x1.8ed3ef9bb8e54p-6, -0x1.85d9ab0b52d1cp-6, -0x1.7d0afceffc26p-6, -0x1.74664a40e4bb6p-6, -0x1.6bea5ef99a368p-6, -0x1.6396ed01cbd49p-6, -0x1.5b6c6b7c8d982p-6, -0x1.536b611cfcd58p-6, -0x1.4b93958ae8084p-6, -0x1.43e3bf68343dep-6, -0x1.3c59f1944a7e5p-6, -0x1.34f4805c325b7p-6, -0x1.2db2bc28db524p-6, -0x1.269501175d6f3p-6, -0x1.1f9c1c145726bp-6, -0x1.18c871d63be78p-6, -0x1.12196e2ab523ap-6, -0x1.0b8d9a3b71411p-6, -0x1.05234979441f1p-6, -0x1.fdb28c9c65aaep-7, -0x1.f15df102bdcaep-7, -0x1.e5486a3de45ap-7, -0x1.d9723b92b80ebp-7, -0x1.cddbd0e4c5e1cp-7, -0x1.c284f761db75ep-7, -0x1.b76cdcea72f3ep-7, -0x1.ac92d3128d0a7p-7, -0x1.a1f5c457f4fa3p-7, -0x1.97926e51a35fbp-7, -0x1.8d63fffe43423p-7, -0x1.8367ad6fa62cbp-7, -0x1.799e3a5ef5c56p-7, -0x1.7009cdd6df449p-7, -0x1.66acd729da6a2p-7, -0x1.5d8af64941509p-7, -0x1.54a66f4bd6f91p-7, -0x1.4bfa6ebdea915p-7, -0x1.437b999efd9adp-7, -0x1.3b217193ea99p-7, -0x1.32ec37c1a90ffp-7, -0x1.2ae03e36a05aap-7, -0x1.230182a55ac11p-7, -0x1.1b56459b8773fp-7, -0x1.13e687e2cc333p-7, -0x1.0cb2bab80882bp-7, -0x1.05ae2291ab209p-7, -0x1.fd90365e5212ep-8, -0x1.eff49c95e9f52p-8, -0x1.e292d185dbf72p-8, -0x1.d575900b33b18p-8, -0x1.c8a502f514254p-8, -0x1.bc31f78f2bfd4p-8, -0x1.b02d46cd9d862p-8, -0x1.a492538a5bca1p-8, -0x1.9947859f28959p-8, -0x1.8e2ed1255f8fep-8, -0x1.8339a32fbe08bp-8, -0x1.7870dcd1099d7p-8, -0x1.6de19686f8091p-8, -0x1.63917fe065318p-8, -0x1.598eae8bb019cp-8, -0x1.4fe3e221375d6p-8, -0x1.46888c9a5b8cdp-8, -0x1.3d74d1a1afbfap-8, -0x1.349fae3218c3cp-8, -0x1.2bf09d938cea5p-8, -0x1.235c172b94a4cp-8, -0x1.1af5df119e7e8p-8, -0x1.12c425689cb6cp-8, -0x1.0acdcbec9a6d3p-8, -0x1.031c43d44cc87p-8, -0x1.f73b61430f3f9p-9, -0x1.e897ad815f595p-9, -0x1.da7163aca63b1p-9, -0x1.ccd3ca6f350c3p-9, -0x1.bf742475e933fp-9, -0x1.b2395af7166dcp-9, -0x1.a55aac0526b65p-9, -0x1.98cd4c59e29d8p-9, -0x1.8cb40fc38659bp-9, -0x1.80f51e0a5fa33p-9, -0x1.7564f347c71fap-9, -0x1.6a0c0ea5252bdp-9, -0x1.5f156503390fcp-9, -0x1.54a655869032p-9, -0x1.4a89f115a4748p-9, -0x1.408203f701b5ep-9, -0x1.36c1f465910dbp-9, -0x1.2d3b6fcba9222p-9, -0x1.24207595392fep-9, -0x1.1b3d4b76e7872p-9, -0x1.12791a5feff13p-9, -0x1.09deff8776105p-9, -0x1.017d754ba3957p-9, -0x1.f2d954c40d6ep-10, -0x1.e38e1ee92dd46p-10, -0x1.d4b7f414b5988p-10, -0x1.c6223481ec89ap-10, -0x1.b7c0e5bd1ee2ep-10, -0x1.aa1b9b5f280dep-10, -0x1.9cd8b1f76fdb8p-10, -0x1.8fc106387e766p-10, -0x1.82f3e984bfc57p-10, -0x1.767e9770862e1p-10, -0x1.6a5e2de20842ap-10, -0x1.5e933afea974fp-10, -0x1.5354dd942fd2ep-10, -0x1.48c3ad1634835p-10, -0x1.3e373ca9e5705p-10, -0x1.33d76605b2145p-10, -0x1.2a1a9d0f3e4f1p-10, -0x1.207955ea4018p-10, -0x1.170847be4cbb3p-10, -0x1.0ddc2aa443c3dp-10, -0x1.04fb1441d88d6p-10, -0x1.f8bc075d4f039p-11, -0x1.e7e8c60e56a63p-11, -0x1.d76c8d502f11fp-11, -0x1.c83001a73edc1p-11, -0x1.b973dcaa6c09ap-11, -0x1.aa8e51d94354cp-11, -0x1.9cbf3c7d2834fp-11, -0x1.8f065a87f645ap-11, -0x1.81a156a6a64abp-11, -0x1.74a6fa0713e72p-11, -0x1.6818b723ddb6ep-11, -0x1.5bf9ff4dddbf4p-11, -0x1.503ac1d25cb1ap-11, -0x1.44c1107cb5782p-11, -0x1.39819b1e62fc5p-11, -0x1.2f0e48213d77bp-11, -0x1.24d07674c7c93p-11, -0x1.1af7899eb3567p-11, -0x1.116de05ffd379p-11, -0x1.08095cd68beeap-11, -0x1.fdeb7435f2ccep-12, -0x1.ec5f39c7aaf81p-12, -0x1.db66d8e9ebe89p-12, -0x1.cb06f4c2e9be6p-12, -0x1.bb3651a3b9907p-12, -0x1.abd32f743441ep-12, -0x1.9ce53a9a0c318p-12, -0x1.8e4d07af091fep-12, -0x1.80b26c0632bfdp-12, -0x1.7376119a86491p-12, -0x1.669ebfe691f6dp-12, -0x1.5a0409ea02e97p-12, -0x1.4dde8fcb2eb21p-12, -0x1.4225a7d2d7327p-12, -0x1.36d10b98e381ep-12, -0x1.2bde69cfe0aabp-12, -0x1.214f522764c29p-12, -0x1.171be42e6b505p-12, -0x1.0d34a0c613a8dp-12, -0x1.03abed21ed59ap-12, -0x1.f49e7a486f646p-13, -0x1.e2c7d1d513328p-13, -0x1.d215233487b06p-13, -0x1.c160b24f6de41p-13, -0x1.b1423f0b2f199p-13, -0x1.a1ba5dbaf1c9bp-13, -0x1.92bcd63f574a6p-13, -0x1.8441c31f18231p-13, -0x1.76449dac43974p-13, -0x1.68c4997d9016cp-13, -0x1.5bbd7f2a25ab7p-13, -0x1.4f22586b18324p-13, -0x1.42f38c0e489acp-13, -0x1.3741f4c5f6bd2p-13, -0x1.2b9a2a3d52536p-13, -0x1.20f874438cfd4p-13, -0x1.165ad9a1b3452p-13, -0x1.0c1a296969c08p-13, -0x1.02384a6bfbc16p-13, -0x1.f15cb0146b938p-14, -0x1.def01ba84f27ep-14, -0x1.cd23fd9e99641p-14, -0x1.bbf30954864dp-14, -0x1.ab59e292ea216p-14, -0x1.9b52a855e62cp-14, -0x1.8bd35a1707ddbp-14, -0x1.7cd9e2b4d465dp-14, -0x1.6e7399d8cc047p-14, -0x1.603863eb8dc05p-14, -0x1.52fcd9d85009dp-14, -0x1.45e8f4f07db14p-14, -0x1.394b7f2ee14e3p-14, -0x1.2d1cd6c6bb497p-14, -0x1.215742ed70a52p-14, -0x1.15f6846168f54p-14, -0x1.0af6c759ea8d8p-14, -0x1.005478a9413afp-14, -0x1.ec1910c30fa44p-15, -0x1.d83802f4814e1p-15, -0x1.c4fe3d0003dbcp-15, -0x1.b263a5c778e83p-15, -0x1.a0689cc85b9b1p-15, -0x1.8f04ba596d6bp-15, -0x1.7e23b7343fde7p-15, -0x1.6de21a72fa673p-15, -0x1.5e1a77fb89d1fp-15, -0x1.4ed674b5827f7p-15, -0x1.400f954e81eacp-15, -0x1.31c105ce8473ap-15, -0x1.23e65429418d8p-15, -0x1.167b46e373c93p-15, -0x1.097bd1bb6f77dp-15, -0x1.f9c83812f6103p-16, -0x1.e161470c2199ap-16, -0x1.c9bb222d02f8ap-16, -0x1.b2ce70663cd8p-16, -0x1.9c953456a6386p-16, -0x1.870b722d1e8cap-16, -0x1.721c40e1ca9a2p-16, -0x1.5de17e567d6f3p-16, -0x1.4a379dbfa5feap-16, -0x1.372484cad6f5fp-16, -0x1.24a24bbce259p-16, -0x1.12abdbcbc1a95p-16, -0x1.013c63d281b4bp-16, -0x1.e09e91ffd9b7dp-17, -0x1.bfc04248433d8p-17, -0x1.9fd55e41a79ffp-17, -0x1.80d5d81967a3fp-17, -0x1.62b9f52b80c6cp-17, -0x1.457a31ce3b703p-17, -0x1.290f54ee21d26p-17, -0x1.0d72bdda5f0e4p-17, -0x1.e53cb633559e5p-18, -0x1.b11214b81d2a1p-18, -0x1.7e6520c3a145fp-18, -0x1.4d203cc5cadd1p-18, -0x1.1d3c2c28161f7p-18, -0x1.dd5c47acf2f94p-19, -0x1.82d7fbec4c9a1p-19, -0x1.2ad87ace1068cp-19, -0x1.aa972d6e0123p-20, -0x1.043f80c25b7b5p-20, -0x1.8a21c524ff6d9p-22, 0x1.d5702ff7487f5p-23, 0x1.a704da49e1a9p-21, 0x1.681219bc6aecfp-20, 0x1.f878f2d55d4d3p-20, 0x1.4267f2b50ec32p-19, 0x1.869963c9e286dp-19, 0x1.c8de354363b4ep-19, 0x1.049f793e7049cp-18, 0x1.23e3e8016d443p-18, 0x1.4241d64676a61p-18, 0x1.5fbe616a38a1fp-18, 0x1.7c5e53dbaeec8p-18, 0x1.98265173ef94ep-18, 0x1.b31ae8d72301ep-18, 0x1.cd403df2cf599p-18, 0x1.e69a460f218d6p-18, 0x1.ff2ce3ebe6fcfp-18, 0x1.0b7de426e713ep-17, 0x1.170544b4c48abp-17, 0x1.222e44a5c3126p-17, 0x1.2cfa847ff6962p-17, 0x1.376b93b8177fp-17, 0x1.4182f14fd4cb1p-17, 0x1.4b4207f7fbddfp-17, 0x1.54aa3dfed6ba5p-17, 0x1.5dbcdc4b84243p-17, 0x1.667b2031276ffp-17, 0x1.6ee7211311066p-17, 0x1.7701e9b91a77dp-17, 0x1.7ec92242d8b49p-17, 0x1.86424ac06e123p-17, 0x1.8d6d9d3e4363dp-17, 0x1.944aeb59d2cb8p-17, 0x1.9adbe123eeff9p-17, 0x1.a1213f24564c5p-17, 0x1.a71c0d1713047p-17, 0x1.accd36eb0a3e6p-17, 0x1.b235b125250d3p-17, 0x1.b7571b6e24c32p-17, 0x1.bc30bcbf7a6bcp-17, 0x1.c0c3f2c5cbedap-17, 0x1.c5127604c3c0bp-17, 0x1.c91c7f94dd9bap-17, 0x1.cce2d66fa415dp-17, 0x1.d06636604bc77p-17, 0x1.d3a7262316f7ap-17, 0x1.d6a761d88c143p-17, 0x1.d966f6c3d622ep-17, 0x1.dbe68aa7fd6ddp-17, 0x1.de27058da83a9p-17, 0x1.e029226a51cc6p-17, 0x1.e1eda89cbca3fp-17, 0x1.e375702879527p-17, 0x1.e4c12fda2e588p-17, 0x1.e5d11c0c01fe8p-17, 0x1.e6a6422be0935p-17, 0x1.e74197a2bbe73p-17, 0x1.e7a3a7cb8587ep-17, 0x1.e7cd0c6152955p-17, 0x1.e7be9170f610bp-17, 0x1.e77914e59b70fp-17, 0x1.e6fd2adb8b5b3p-17, 0x1.e64b87fef8c01p-17, 0x1.e564e8d08fbf8p-17, 0x1.e44a0a3ca22e5p-17, 0x1.e2fbacbdcc23cp-17, 0x1.e17a7dd3d333fp-17, 0x1.dfc7330b76f9fp-17, 0x1.dde2912160abfp-17, 0x1.dbcd564945bfbp-17, 0x1.d9883a559f3e4p-17, 0x1.d713e3e640dcbp-17, 0x1.d471402a658f1p-17, 0x1.d1a10ff6d45a7p-17, 0x1.cea3f2b66ace6p-17, 0x1.cb7ab95ee4c8cp-17, 0x1.c8262092f1da3p-17, 0x1.c4a6cf0f243d5p-17, 0x1.c0fd9a521dd48p-17, 0x1.bd2b55bd64fd8p-17, 0x1.b930b8b9acf3cp-17, 0x1.b50e2613a30f7p-17, 0x1.b0c5383e016efp-17, 0x1.ac564f6c81ff1p-17, 0x1.a7c21fdf1656bp-17, 0x1.a30979a2f4fd5p-17, 0x1.9e2d0636ba90ap-17, 0x1.992d75f1f915p-17, 0x1.940b9b9c608c9p-17, 0x1.8ecadcd9d4145p-17, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.fff2b76790d54p-1, 0x1.ffcae21114611p-1, 0x1.ff888d124f341p-1, 0x1.ff2bcdb006f8ap-1, 0x1.feb4c0ed2a19dp-1, 0x1.fe238b1ee25b1p-1, 0x1.fd7857854fbf1p-1, 0x1.fcb357e8a98dap-1, 0x1.fbd4c43a8d9d1p-1, 0x1.fadcda3b42b83p-1, 0x1.f9cbdd22bcde7p-1, 0x1.f8a2154d30ca8p-1, 0x1.f75fcfeb0a8c2p-1, 0x1.f6055eb41cc43p-1, 0x1.f493179de0b58p-1, 0x1.f3095494a0063p-1, 0x1.f16873376a813p-1, 0x1.efb0d496b124cp-1, 0x1.ede2dcf56cfaep-1, 0x1.ebfef38cb363ep-1, 0x1.ea0582519be4dp-1, 0x1.e7f6f5bd61ed2p-1, 0x1.e5d3bc97a6a67p-1, 0x1.e39c47c2c25p-1, 0x1.e1510a0a097p-1, 0x1.def277f1faa58p-1, 0x1.dc81078a3bceep-1, 0x1.d9fd304159c57p-1, 0x1.d7676aba37c37p-1, 0x1.d4c030a321ed2p-1, 0x1.d207fc8e719c3p-1, 0x1.cf3f49ccb8dffp-1, 0x1.cc669448655dbp-1, 0x1.c97e5862d0728p-1, 0x1.c68712d2b127ap-1, 0x1.c3814083e257cp-1, 0x1.c06d5e787632fp-1, 0x1.bd4be9ab0ad1ap-1, 0x1.ba1d5ef2570a6p-1, 0x1.b6e23ae5e56ccp-1, 0x1.b39af9c3f7721p-1, 0x1.b04817588573ap-1, 0x1.acea0ee554961p-1, 0x1.a9815b0b1cf21p-1, 0x1.a60e75b3b3e1ap-1, 0x1.a291d7fd3920ep-1, 0x1.9f0bfa263a719p-1, 0x1.9b7d537acbc68p-1, 0x1.97e65a4289d95p-1, 0x1.944783af82c5p-1, 0x1.90a143cdfe0c6p-1, 0x1.8cf40d751efcbp-1, 0x1.894052385a2c7p-1, 0x1.85868259b93e1p-1, 0x1.81c70cbce7a0bp-1, 0x1.7e025edb033fdp-1, 0x1.7a38e4b72ac0bp-1, 0x1.766b08d3c4401p-1, 0x1.729934287a233p-1, 0x1.6ec3ce18e4513p-1, 0x1.6aeb3c6bde0b1p-1, 0x1.670fe34380791p-1, 0x1.63322515bd873p-1, 0x1.5f5262a5986d2p-1, 0x1.5b70fafcf4676p-1, 0x1.578e4b66f888fp-1, 0x1.53aaaf6b01d36p-1, 0x1.4fc680c81fa0ap-1, 0x1.4be2177117bafp-1, 0x1.47fdc988eca31p-1, 0x1.4419eb5fe12f4p-1, 0x1.4036cf70f82fcp-1, 0x1.3c54c65fe8d8ep-1, 0x1.38741ef787f0fp-1, 0x1.349526289c4e9p-1, 0x1.30b82709222bbp-1, 0x1.2cdd6ad3f2868p-1, 0x1.290538e8d08b9p-1, 0x1.252fd6ccd4e5dp-1, 0x1.215d882b36bbfp-1, 0x1.1d8e8ed66dbdcp-1, 0x1.19c32ac9a94b7p-1, 0x1.15fb9a2a99dadp-1, 0x1.1238194b89f82p-1, 0x1.0e78e2adc242dp-1, 0x1.0abe2f0435c39p-1, 0x1.0708353674a0ap-1, 0x1.03572a63e0223p-1, 0x1.ff5683ce3dd81p-2, 0x1.f8095ab39a11p-2, 0x1.f0c73930caaefp-2, 0x1.e9907b8cc4d0cp-2, 0x1.e2657aa523cf4p-2, 0x1.db468bf736924p-2, 0x1.d43401a965bbep-2, 0x1.cd2e2a94f2ac2p-2, 0x1.c63552500c468p-2, 0x1.bf49c1382e7cbp-2, 0x1.b86bbc7ccb4b5p-2, 0x1.b19b862a37e22p-2, 0x1.aad95d34dc35dp-2, 0x1.a4257d849839p-2, 0x1.9d8020006637fp-2, 0x1.96e97a9a299f7p-2, 0x1.9061c05ab1a98p-2, 0x1.89e9216de08acp-2, 0x1.837fcb2effed2p-2, 0x1.7d25e8352f5cbp-2, 0x1.76dba05ffabadp-2, 0x1.70a118e4039a2p-2, 0x1.6a767457c8f3dp-2, 0x1.645bd2c07dd01p-2, 0x1.5e51519ef49b7p-2, 0x1.58570bfc965b1p-2, 0x1.526d1a7865c17p-2, 0x1.4c93935409bcep-2, 0x1.46ca8a80db1a9p-2, 0x1.411211acf8c1cp-2, 0x1.3b6a38505557p-2, 0x1.35d30bb9c7115p-2, 0x1.304c971c0ec47p-2, 0x1.2ad6e39ad851fp-2, 0x1.2571f857b0fc4p-2, 0x1.201dda7eede57p-2, 0x1.1ada8d548a31fp-2, 0x1.15a81240eebd7p-2, 0x1.108668dda98a6p-2, 0x1.0b758f021165ep-2, 0x1.067580cfd1cd1p-2, 0x1.018638bf5ff2dp-2, 0x1.f94f5f58ac86ep-3, 0x1.efb3b9c36785ep-3, 0x1.e6396c4c012ep-3, 0x1.dce05f8ea4ebdp-3, 0x1.d3a8794e68feap-3, 0x1.ca919c8cdb4fbp-3, 0x1.c19ba9a148cdp-3, 0x1.b8c67e4fc1087p-3, 0x1.b011f5dfd45a6p-3, 0x1.a77de933073f8p-3, 0x1.9f0a2edaf9301p-3, 0x1.96b69b2f4275ap-3, 0x1.8e830062ff512p-3, 0x1.866f2e9a0db9ep-3, 0x1.7e7af3fdfbf1bp-3, 0x1.76a61cd2a2a85p-3, 0x1.6ef0738a6aad4p-3, 0x1.6759c0da40d3ep-3, 0x1.5fe1cbcd3485p-3, 0x1.588859d7c01d3p-3, 0x1.514d2eeab954ap-3, 0x1.4a300d85ed361p-3, 0x1.4330b6ca617bdp-3, 0x1.3c4eea8c409acp-3, 0x1.358a676469712p-3, 0x1.2ee2eac1afcb3p-3, 0x1.285830f9b43b8p-3, 0x1.21e9f55973d2ap-3, 0x1.1b97f23575522p-3, 0x1.1561e0f99ca7ep-3, 0x1.0f477a38ac9bp-3, 0x1.094875bb6c1dbp-3, 0x1.03648a8f6f423p-3, 0x1.fb36de2b220c8p-4, 0x1.efd9b2201e009p-4, 0x1.e4b0fb609f736p-4, 0x1.d9bc2348a226fp-4, 0x1.cefa924787f7dp-4, 0x1.c46baff99cd77p-4, 0x1.ba0ee340fe34fp-4, 0x1.afe3925dbd5d2p-4, 0x1.a5e92305816e7p-4, 0x1.9c1efa7a64447p-4, 0x1.92847da1370a8p-4, 0x1.8919111728798p-4, 0x1.7fdc1946c17f9p-4, 0x1.76ccfa7c47172p-4, 0x1.6deb18f97f062p-4, 0x1.6535d908d7dcep-4, 0x1.5cac9f0ff7616p-4, 0x1.544ecfa1b2905p-4, 0x1.4c1bcf8f6df9bp-4, 0x1.441303f9ed26cp-4, 0x1.3c33d2618de0cp-4, 0x1.347da0b5f551dp-4, 0x1.2cefd5652f884p-4, 0x1.2589d76a450d6p-4, 0x1.1e4b0e5b4527fp-4, 0x1.1732e276cc00dp-4, 0x1.1040bcb1025f8p-4, 0x1.097406c01ccep-4, 0x1.02cc2b2858e7cp-4, 0x1.f8912a8efeacdp-5, 0x1.ebd162bfd00bcp-5, 0x1.df57d9460f325p-5, 0x1.d3236a77096fp-5, 0x1.c732f4adb16d3p-5, 0x1.bb85585cfea7ep-5, 0x1.b01978216c07dp-5, 0x1.a4ee38d19a9b1p-5, 0x1.9a02818e207cep-5, 0x1.8f553bd081783p-5, 0x1.84e553796138fp-5, 0x1.7ab1b6dde5e75p-5, 0x1.70b956d45c1p-5, 0x1.66fb26c017462p-5, 0x1.5d761c9c9b76p-5, 0x1.542931080bbdbp-5, 0x1.4b135f4ce9597p-5, 0x1.4233a56b2682ep-5, 0x1.398904208ce93p-5, 0x1.31127ef08033ap-5, 0x1.28cf1c2b222f6p-5, 0x1.20bde4f3d68cep-5, 0x1.18dde5473331p-5, 0x1.112e2c005778bp-5, 0x1.09adcaddb990bp-5, 0x1.025bd6856114dp-5, 0x1.f66ecd11433adp-6, 0x1.e87f2ace96c0ep-6, 0x1.dae70124bf3e4p-6, 0x1.cda490dc8d87bp-6, 0x1.c0b620a9236p-6, 0x1.b419fd2a856adp-6, 0x1.a7ce78ef55cafp-6, 0x1.9bd1ec75aa0e6p-6, 0x1.9022b62b15bc4p-6, 0x1.84bf3a6bec562p-6, 0x1.79a5e381b25a3p-6, 0x1.6ed521a0dfc22p-6, 0x1.644b6ae5df95ap-6, 0x1.5a073b516a1f9p-6, 0x1.500714c42995ap-6, 0x1.46497ef9c7752p-6, 0x1.3ccd078353cdfp-6, 0x1.339041c11b97cp-6, 0x1.2a91c6dbe9244p-6, 0x1.21d035bdc047p-6, 0x1.194a330a10907p-6, 0x1.10fe69156a476p-6, 0x1.08eb87dcb7899p-6, 0x1.011044fc04d49p-6, 0x1.f2d6b749b087fp-7, 0x1.e3f7192844251p-7, 0x1.d57f3c0f7d40ap-7, 0x1.c76cb7675622bp-7, 0x1.b9bd2d6d9c84ap-7, 0x1.ac6e4b1ee1a0dp-7, 0x1.9f7dc81ed7e48p-7, 0x1.92e9669fff4dfp-7, 0x1.86aef34ad4884p-7, 0x1.7acc45245e2e6p-7, 0x1.6f3f3d7469d5dp-7, 0x1.6405c7ab17c4bp-7, 0x1.591dd94625ebp-7, 0x1.4e8571b5b0ef5p-7, 0x1.443a9a40bb1bdp-7, 0x1.3a3b65e92d73bp-7, 0x1.3085f14faefc2p-7, 0x1.2718629719a56p-7, 0x1.1df0e947b7cp-7, 0x1.150dbe32393fdp-7, 0x1.0c6d235279fcfp-7, 0x1.040d63b219cb7p-7, 0x1.f7d9a695c4f18p-8, 0x1.e8139dd204987p-8, 0x1.d8c5781a84e5dp-8, 0x1.c9ec119e0a873p-8, 0x1.bb84577c7431fp-8, 0x1.ad8b478a8ea36p-8, 0x1.9ffdf015cd9b4p-8, 0x1.92d96fa7f28a9p-8, 0x1.861af4caaad0cp-8, 0x1.79bfbdcb4675dp-8, 0x1.6dc5187e7124dp-8, 0x1.62286203fc9a1p-8, 0x1.56e7068ad471cp-8, 0x1.4bfe81151525cp-8, 0x1.416c5b3c4cb3fp-8, 0x1.372e2cf5ead65p-8, 0x1.2d419c57f1f86p-8, 0x1.23a45d5df7d47p-8, 0x1.1a5431ae54cb6p-8, 0x1.114ee85f9e627p-8, 0x1.08925dbe8c706p-8, 0x1.001c7b1435432p-8, 0x1.efd66cd90c04fp-9, 0x1.dff924ba860cdp-9, 0x1.d09d3b9aa228bp-9, 0x1.c1bee77911111p-9, 0x1.b35a7617bef2dp-9, 0x1.a56c4c8c1ff87p-9, 0x1.97f0e6d158602p-9, 0x1.8ae4d75b912fep-9, 0x1.7e44c6abf0ba4p-9, 0x1.720d72e5f5cccp-9, 0x1.663baf65a297ep-9, 0x1.5acc6456a57b7p-9, 0x1.4fbc8e4cc6a54p-9, 0x1.45093ddd3c7f5p-9, 0x1.3aaf97395db53p-9, 0x1.30acd1ca36a82p-9, 0x1.26fe37cd4e51p-9, 0x1.1da125f2a1525p-9, 0x1.14930afbc1352p-9, 0x1.0bd1675c2314ep-9, 0x1.0359ccdabd3f3p-9, 0x1.f653bc6919871p-10, 0x1.e67e9d811e3d3p-10, 0x1.d72fc429a75ecp-10, 0x1.c862d759b17f6p-10, 0x1.ba139d225f3fep-10, 0x1.ac3dfa0056125p-10, 0x1.9eddf02fe4d06p-10, 0x1.91ef9f0356836p-10, 0x1.856f423c149f9p-10, 0x1.79593165f2109p-10, 0x1.6da9df358b875p-10, 0x1.625dd8e8473cfp-10, 0x1.5771c5a718e6ap-10, 0x1.4ce265ec32628p-10, 0x1.42ac92ea5dfbfp-10, 0x1.38cd3df7c021dp-10, 0x1.2f416ffa767ebp-10, 0x1.260648d7417bcp-10, 0x1.1d18fee39d17cp-10, 0x1.1476de595becep-10, 0x1.0c1d48cd04275p-10, 0x1.0409b4a70fa2bp-10, 0x1.f873593d8e313p-11, 0x1.e9559e6efede8p-11, 0x1.dab59c81c56f3p-11, 0x1.cc8edcb1a1f0dp-11, 0x1.bedd0cdf9fd21p-11, 0x1.b19bfea091517p-11, 0x1.a4c7a64ec4e1bp-11, 0x1.985c1a1ff36afp-11, 0x1.8c559141697fap-11, 0x1.80b062f69e4a1p-11, 0x1.756905bd8d2dbp-11, 0x1.6a7c0e770cd3cp-11, 0x1.5fe62f93dbd41p-11, 0x1.55a4384479abp-11, 0x1.4bb313aeb05f2p-11, 0x1.420fc82699a3ep-11, 0x1.38b7766be1946p-11, 0x1.2fa758eb47051p-11, 0x1.26dcc30493fa5p-11, 0x1.1e55205323d04p-11, 0x1.160df3fb669cp-11, 0x1.0e04d7fc0df98p-11, 0x1.06377c82ffde7p-11, 0x1.fd474e8c0d566p-12, 0x1.ee8e65bee97b3p-12, 0x1.e0401c5d9539p-12, 0x1.d2587776cc67fp-12, 0x1.c4d3a2386ba41p-12, 0x1.b7adecc5981bdp-12, 0x1.aae3cb12a1bdcp-12, 0x1.9e71d3c84c836p-12, 0x1.9254bf2f51d19p-12, 0x1.868966207dc9bp-12, 0x1.7b0cc0fa7bb81p-12, 0x1.6fdbe6a0c53a8p-12, 0x1.64f40b7f31d93p-12, 0x1.5a528093d76a5p-12, 0x1.4ff4b27f55d2ep-12, 0x1.45d8289c02c91p-12, 0x1.3bfa84195cdd7p-12, 0x1.32597f1d00975p-12, 0x1.28f2ebeb05227p-12, 0x1.1fc4b4131881dp-12, 0x1.16ccd7a2a26ffp-12, 0x1.0e096c5d267a4p-12, 0x1.05789cfa29161p-12, 0x1.fa3150ceda336p-13, 0x1.e9cfc21f27e9p-13, 0x1.d9c9584d7edd5p-13, 0x1.ca1b01fab83cfp-13, 0x1.bac1d0a9c6bd6p-13, 0x1.abbaf7766fd5fp-13, 0x1.9d03c9d6d6b0cp-13, 0x1.8e99ba61f168ep-13, 0x1.807a59a06cebcp-13, 0x1.72a354e557714p-13, 0x1.6512753291a9dp-13, 0x1.57c59e2235f07p-13, 0x1.4abaccd8cdfcfp-13, 0x1.3df01701f6522p-13, 0x1.3163a9d1c53f8p-13, 0x1.2513c91031bbp-13, 0x1.18fece28a4aecp-13, 0x1.0d232742da7bbp-13, 0x1.017f56655da6p-13, 0x1.ec23e1359225cp-14, 0x1.d5b33a3e4042ep-14, 0x1.bfaa292f032a2p-14, 0x1.aa0640954c1f8p-14, 0x1.94c532c83e4c2p-14, 0x1.7fe4d07296f59p-14, 0x1.6b63073127dabp-14, 0x1.573de03cb6472p-14, 0x1.43737f18bd402p-14, 0x1.30022052f8d93p-14, 0x1.1ce81850091c3p-14, 0x1.0a23d21bb258fp-14, 0x1.ef679c94fa0dcp-15, 0x1.cb2d43b7b3661p-15, 0x1.a795ea639aab6p-15, 0x1.849f061bb8e63p-15, 0x1.62462f25f77c7p-15, 0x1.40891eac0f9bdp-15, 0x1.1f65acf180b4ap-15, 0x1.fdb39f159f125p-16, 0x1.bdc72f77e6983p-16, 0x1.7f02619185335p-16, 0x1.4161bce3ad50fp-16, 0x1.04e1f6f2e4a3p-16, 0x1.92ffe0bd441afp-17, 0x1.1e71643c99ccap-17, 0x1.5825abc13617cp-18, 0x1.def6cbf175e26p-20, -0x1.917d5bba0fed2p-20, -0x1.3c3b2d4c10cd2p-18, -0x1.07ef8d524dee8p-17, -0x1.6faa0082d801ep-17, -0x1.d5513109d4a4cp-17, -0x1.1c7499c2aa031p-16, -0x1.4d3afa027ef98p-16, -0x1.7cfd9cbdedd88p-16, -0x1.abbe54a0d5a37p-16, -0x1.d97ee517f2e2fp-16, -0x1.032081ef9c228p-15, -0x1.19032d3ed7698p-15, -0x1.2e6843c8f1573p-15, -0x1.435090169f3afp-15, -0x1.57bcd88aaeab4p-15, -0x1.6baddff269a0bp-15, -0x1.7f2466170e2f6p-15, -0x1.92212842b87bbp-15, -0x1.a4a4e1bfc34fcp-15, -0x1.b6b04c52f6dep-15, -0x1.c84420ab73ef4p-15, -0x1.d96116c6ae624p-15, -0x1.ea07e6587b6bbp-15, -0x1.fa394727d0eccp-15, -0x1.04faf8b03b8afp-14, -0x1.0c9f4ef3d389dp-14, -0x1.140a03525e815p-14, -0x1.1b3b7362f46fap-14, -0x1.2233fd82dff55p-14, -0x1.28f400f11f42dp-14, -0x1.2f7bdde98ebcp-14, -0x1.35cbf5bd2df44p-14, -0x1.3be4aaeacf227p-14, -0x1.41c661311c9d4p-14, -0x1.47717da136068p-14, -0x1.4ce666b1d3abbp-14, -0x1.52258448fab4fp-14, -0x1.572f3fcd6477bp-14, -0x1.5c04042fc7a48p-14, -0x1.60a43df4a890dp-14, -0x1.65105b3a2b2fbp-14, -0x1.6948cbc0cdef5p-14, -0x1.6d4e00efe8d7ep-14, -0x1.71206dd65bbebp-14, -0x1.74c0873033bf8p-14, -0x1.782ec367227e5p-14, -0x1.7b6b9a8facad1p-14, -0x1.7e77866b498a3p-14, -0x1.8153026448193p-14, -0x1.83fe8b8bbfac5p-14, -0x1.867aa092ae43bp-14, -0x1.88c7c1c7e3afep-14, -0x1.8ae67110b0f8fp-14, -0x1.8cd731e0d4ad3p-14, -0x1.8e9a8934dacf1p-14, -0x1.9030fd89fdca3p-14, -0x1.919b16d440e85p-14, -0x1.92d95e756bf35p-14, -0x1.93ec5f338ba04p-14, -0x1.94d4a52eaabc9p-14, -0x1.9592bdd46560bp-14, -0x1.962737d5f2194p-14, -0x1.9692a31bc1e43p-14, -0x1.96d590b9710fdp-14, -0x1.96f092e09559cp-14, -0x1.96e43cd4b296cp-14, -0x1.96b122deee243p-14, -0x1.9657da3ea30dp-14, -0x1.95d8f91db48c9p-14, -0x1.95351681b842ep-14, -0x1.946cca3f50a86p-14, -0x1.9380acea3481bp-14, -0x1.927157c88c076p-14, -0x1.913f64c41f9aep-14, -0x1.8feb6e5ca96aap-14, -0x1.8e760f97f2841p-14, -0x1.8cdfe3f53a3f6p-14, -0x1.8b29875e3fd92p-14, -0x1.895396185d285p-14, -0x1.875eacb69de4ap-14, -0x1.854b680b6f294p-14, -0x1.831a651ac0d18p-14, -0x1.80cc410af945ep-14, -0x1.7e6199176873ep-14, -0x1.7bdb0a822b03fp-14, -0x1.793932871269bp-14, -0x1.767cae4c9d8d7p-14, -0x1.73a61ad702e85p-14, -0x1.70b614fbbc822p-14, -0x1.6dad3952e9172p-14, -0x1.6a8c242a58b9cp-14, -0x1.675371790a94bp-14, -0x1.6403bcd2b23f3p-14, -0x1.609da15b5af76p-14, -0x1.5d21b9b9b159dp-14, -0x1.5990a00c409dcp-14, -0x1.55eaeddcf0b4ap-14, -0x1.52313c163fbe6p-14, -0x1.4e6422f6205eap-14, -0x1.4a843a0475d49p-14, -0x1.46921807e9ff1p-14, -0x1.428e52fa018adp-14, -0x1.3e797ffd21533p-14, -0x1.3a5433528a931p-14, -0x1.361f00516fedep-14, -0x1.31da795b7753p-14, -0x1.2d872fd3e305fp-14, -0x1.2925b4166a7c1p-14, -0x1.24b6956e6e9p-14, -0x1.203a620e55e1p-14, -0x1.1bb1a7062daa7p-14, -0x1.171cf03d401cfp-14, -0x1.127cc868e0fc8p-14, -0x1.0dd1b904bca71p-14, -0x1.091c4a4b690a3p-14, -0x1.045d032fb7878p-14, -0x1.ff28d2ad438bfp-15, -0x1.f586021e7ebd5p-15, -0x1.ebd29a99e8248p-15, -0x1.e20f9f42a33a1p-15, -0x1.d83e106c4144bp-15, -0x1.ce5eeb90a5665p-15, -0x1.c4732b43f8e7bp-15, -0x1.ba7bc72bb7c9dp-15, -0x1.b079b3f54e03ap-15, -0x1.a66de34a9ca3p-15, -0x1.9c5943cae5315p-15, -0x1.923cc1017b7ap-15, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      12, 0x1p+1, 0x1.6f614878f6a95p+2, 0x1.d93f32183f9a2p+1, -0x1.801f4bc091c07p-9, 
      {{
        {0x1.6666666666666p+0, 0x1.7333333333333p+0, 0x1.4b7e629f32ba9p-7, -0x1.32c3eed54596bp-4, 0x1.b83b76794c298p-3, -0x1.1792bfbbff008p-2}, 
        {0x1.7333333333333p+0, 0x1.8p+0, 0x1.c28e9d7b35ef5p-8, -0x1.c636536176e46p-5, 0x1.645c3cf41942fp-3, -0x1.eb1884701e66bp-3}, 
        {0x1.8p+0, 0x1.8cccccccccccdp+0, 0x1.276aa96f7f0f9p-8, -0x1.4666a55f59382p-5, 0x1.1ab229167b19dp-3, -0x1.b139e2b35869dp-3}, 
        {0x1.8cccccccccccdp+0, 0x1.999999999999ap+0, 0x1.737a62b18c4b6p-9, -0x1.c4a38446d5432p-6, 0x1.b36c8e2a5bad3p-4, -0x1.74ad2703d5f03p-3}, 
        {0x1.999999999999ap+0, 0x1.a666666666666p+0, 0x1.bc8cd8168583p-10, -0x1.2cd46759f5bf2p-6, 0x1.439f027601e53p-4, -0x1.387809c8a792ep-3}, 
        {0x1.a666666666666p+0, 0x1.b333333333333p+0, 0x1.f55523dd3772p-11, -0x1.7c423e8c50025p-7, 0x1.cbc2cbda05a63p-5, -0x1.f6cf786049d46p-4}, 
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.06a470c59bp-11, -0x1.c50bc9bd71284p-8, 0x1.34eaf489ef7fep-5, -0x1.7e838233c2a39p-4}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.f2ec1686023bcp-13, -0x1.f7a07d62edfcdp-9, 0x1.8453ce2803d08p-6, -0x1.00367898dfe27p-4}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.97c6914092554p-14, -0x1.fce98468d0b2p-10, 0x1.d5330b9894912p-7, -0x1.541bd092c9205p-5}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.020ba7eadc9a4p-15, -0x1.ae5b835728b3ep-11, 0x1.09225b40824a4p-7, -0x1.fb65f2c73331bp-6}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.97c69140925c6p-18, -0x1.ffac5c7f02c07p-13, 0x1.c3a8b012feefap-9, -0x1.14d3ed9990b8fp-6}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.97c691409277fp-22, -0x1.b630932570da1p-16, 0x1.dddcb237ab791p-11, -0x1.6ec1d997f3cfp-6}, 
      }}, 
      0x1.55a28efcf44cdp-2, -0x1.05f3354bd95e6p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.714bab4977de2p-2, 0x1.8b82cbcae9f8ap-2, 0x1.b1564b6412798p-2, 0x1.dcefcc158592fp-2, 0x1.047184d875e06p-1, 0x1.1859aecf5060cp-1, 0x1.287f587d23f1fp-1, 0x1.33bb6e48422b7p-1, 0x1.39611fbc84cefp-1, 0x1.392969d86905bp-1, 0x1.331e0adb0bd67p-1, 0x1.2785eef0df10ap-1, 0x1.16d3fcd137fep-1, 0x1.01988a972349ap-1, 0x1.d0eadd3901af8p-2, 0x1.9828e8b21fbabp-2, 0x1.5a3fda0b3646dp-2, 0x1.187a231ba2ed2p-2, 0x1.a81fb930de70bp-3, 0x1.1c425a79405cdp-3, 0x1.1ecb234cb407bp-4, 0x1.ac1b883a31363p-10, -0x1.0ca4ea3f8283ap-4, -0x1.0c41d6bfaa898p-3, -0x1.8d5588da70b83p-3, -0x1.0450f61dcfe9fp-2, -0x1.3eb608509dafdp-2, -0x1.75929d9ccad24p-2, -0x1.a8b322993537ep-2, -0x1.d7f58655440a8p-2, -0x1.01a3822678895p-1, -0x1.15510623d4dc8p-1, -0x1.27062a5a12e59p-1, -0x1.36ca8a3ba9f8bp-1, -0x1.44a9b446fa10bp-1, -0x1.50b271b6a4f8p-1, -0x1.5af6216f7c2f7p-1, -0x1.6388256a3ee3p-1, -0x1.6a7d617f64717p-1, -0x1.6febc9b6bb493p-1, -0x1.73e9ff08d232ep-1, -0x1.768efa0a702d6p-1, -0x1.77f1c2675e714p-1, -0x1.782931e2320c3p-1, -0x1.774bc1912022dp-1, -0x1.756f606ff4453p-1, -0x1.72a9523c6940dp-1, -0x1.6f0e15bd0e494p-1, -0x1.6ab15154fe233p-1, -0x1.65a5c4ff3b42cp-1, -0x1.5ffd40f2168bfp-1, -0x1.59c8a038636afp-1, -0x1.5317c6af65153p-1, -0x1.4bf9a1dd793a7p-1, -0x1.447c2c2bdc14ap-1, -0x1.3cac71f5cdb32p-1, -0x1.34969820d396ap-1, -0x1.2c45e3e051a62p-1, -0x1.23c4c34c01dbbp-1, -0x1.1b1cd6a64eecap-1, -0x1.1256fa096c953p-1, -0x1.097b4f5271518p-1, -0x1.009148344b56cp-1, -0x1.ef3f604c919d3p-2, -0x1.dd596cc9322f3p-2, -0x1.cb7bef0ed3f76p-2, -0x1.b9b10df3f273cp-2, -0x1.a801f01e28fb3p-2, -0x1.9676cd88214aap-2, -0x1.8517003b275p-2, -0x1.73e9144d240b7p-2, -0x1.62f2d70ca1b78p-2, -0x1.52396565a16e3p-2, -0x1.41c1397a6d901p-2, -0x1.318e37772f842p-2, -0x1.21a3b9a32d01fp-2, -0x1.12049bb31cf1bp-2, -0x1.02b34565bc7cbp-2, -0x1.e76368e4afe35p-3, -0x1.ca030b88da174p-3, -0x1.ad47fc43d8699p-3, -0x1.9134244efe266p-3, -0x1.75c8db78fcafcp-3, -0x1.5b06f5e12db23p-3, -0x1.40eed0ba3789ep-3, -0x1.27805dfff0609p-3, -0x1.0ebb2f565f686p-3, -0x1.ed3cffe7f63d5p-4, -0x1.be527bba8e5ap-4, -0x1.90b42479ae978p-4, -0x1.645ed26a582c9p-4, -0x1.394ef1bd96e0bp-4, -0x1.0f808fc3c4658p-4, -0x1.cddecd4d5224p-5, -0x1.7f2dd0e1bceaep-5, -0x1.32e491f5f994p-5, -0x1.d1f21bd87faeep-6, -0x1.42c1d1c21d5f8p-6, -0x1.7045f119ea78bp-7, -0x1.8ffe55a0bda05p-9, 0x1.3ef775d847dd7p-8, 0x1.9a58dd569b15ep-7, 0x1.46628b443d0d9p-6, 0x1.bb76f7c3854b3p-6, 0x1.164044357f55fp-5, 0x1.4ccb09590482bp-5, 0x1.81672feb2ee6dp-5, 0x1.b4200f9e9df0fp-5, 0x1.e500ee6f3f71bp-5, 0x1.0a0a7db3b4991p-4, 0x1.20b3a4fd2d8f5p-4, 0x1.36816770fe009p-4, 0x1.4b792e1ad597ap-4, 0x1.5fa04f39ec4d8p-4, 0x1.72fc0d479f4f9p-4, 0x1.8591959659885p-4, 0x1.9765ff723709ap-4, 0x1.a87e4b99fbdfdp-4, 0x1.b8df635c82a23p-4, 0x1.c88e18211bf88p-4, 0x1.d78f233cc9eecp-4, 0x1.e5e72575d304dp-4, 0x1.f39aa6d011567p-4, 0x1.00570b5423828p-3, 0x1.0692e5c5cb2c4p-3, 0x1.0c830197739a7p-3, 0x1.1229715d37561p-3, 0x1.17883b72a8681p-3, 0x1.1ca15a05cb946p-3, 0x1.2176bb49178bdp-3, 0x1.260a419d86dbep-3, 0x1.2a5dc3a9b9768p-3, 0x1.2e730c8e1eec2p-3, 0x1.324bdc240eb02p-3, 0x1.35e9e7235e247p-3, 0x1.394ed7504bb2ap-3, 0x1.3c7c4bc3aa1ccp-3, 0x1.3f73d9252324ap-3, 0x1.423709d3cbbb9p-3, 0x1.44c75e2512eefp-3, 0x1.47264cb0b3084p-3, 0x1.49554284c2451p-3, 0x1.4b55a35268515p-3, 0x1.4d28c9b3ed82dp-3, 0x1.4ed007762abd2p-3, 0x1.504ca5c8e18bep-3, 0x1.519fe56b84f6dp-3, 0x1.52cafef263293p-3, 0x1.53cf230d8d106p-3, 0x1.54ad7ab7269c9p-3, 0x1.5567275be5d41p-3, 0x1.55fd4319ab8c2p-3, 0x1.5670e1041bee5p-3, 0x1.56c30d5362d4fp-3, 0x1.56f4cd86dc69dp-3, 0x1.5707209800f56p-3, 0x1.56faff3abb8ep-3, 0x1.56d15c0f65c4ep-3, 0x1.568b23c254392p-3, 0x1.56293d306cabbp-3, 0x1.55ac899d6ef22p-3, 0x1.5515e4e91ac2cp-3, 0x1.546625b1b0bd8p-3, 0x1.539e1d6df0ab1p-3, 0x1.52be9892c03e9p-3, 0x1.51c85ec48a313p-3, 0x1.50bc330086c36p-3, 0x1.4f9ad3b65afc2p-3, 0x1.4e64fadecc3cep-3, 0x1.4d1b5e1e430d9p-3, 0x1.4bbeaeeec54c2p-3, 0x1.4a4f9ac089c03p-3, 0x1.48cecb0f0f259p-3, 0x1.473ce573c7176p-3, 0x1.459a8bc27a45dp-3, 0x1.43e85c2c50f5bp-3, 0x1.4226f15b56083p-3, 0x1.4056e28461438p-3, 0x1.3e78c375faabap-3, 0x1.3c8d24adb7eb8p-3, 0x1.3a949374112acp-3, 0x1.388f99f527eabp-3, 0x1.367ebf5158802p-3, 0x1.346287a8f975bp-3, 0x1.323b742af25dfp-3, 0x1.300a032a1da2cp-3, 0x1.2dceb031bcd56p-3, 0x1.2b89f4174a55dp-3, 0x1.293c4504ac016p-3, 0x1.26e6168230387p-3, 0x1.2487d9842a00bp-3, 0x1.2221fc7c3c17dp-3, 0x1.1fb4eb6981c0fp-3, 0x1.1d410fe46180fp-3, 0x1.1ac6d126d0948p-3, 0x1.18469414a559bp-3, 0x1.15c0bb470403cp-3, 0x1.1335a71a0d357p-3, 0x1.10a5b5b938335p-3, 0x1.0e114328e81ebp-3, 0x1.0b78a94d38b4ap-3, 0x1.08dc3ff0dd861p-3, 0x1.063c5cce171c1p-3, 0x1.039953995e277p-3, 0x1.00f3760b9fdc3p-3, 0x1.fc9627d4d8959p-4, 0x1.f740f61c801f8p-4, 0x1.f1e7eed064a4p-4, 0x1.ec8ba61199e2fp-4, 0x1.e72cac50c329p-4, 0x1.e1cb8e5f389p-4, 0x1.dc68d57e3c253p-4, 0x1.d705076b3c5bap-4, 0x1.d1a0a66a3d438p-4, 0x1.cc3c3150a2834p-4, 0x1.c6d823920e5bcp-4, 0x1.c174f54eb059cp-4, 0x1.bc131b6158371p-4, 0x1.b6b3076be447ep-4, 0x1.b15527e22414dp-4, 0x1.abf9e812c20fcp-4, 0x1.a6a1b033075c4p-4, 0x1.a14ce569255c3p-4, 0x1.9bfbe9d9621c1p-4, 0x1.96af1cb230b95p-4, 0x1.9166da37694f4p-4, 0x1.8c237bcc78203p-4, 0x1.86e557fdf844dp-4, 0x1.81acc28b8c47cp-4, 0x1.7c7a0c728e9c8p-4, 0x1.774d83f949e66p-4, 0x1.722774ba1ae76p-4, 0x1.6d0827ae23409p-4, 0x1.67efe3377e971p-4, 0x1.62deeb2afbdf1p-4, 0x1.5dd580d9b80b2p-4, 0x1.58d3e31aff198p-4, 0x1.53da4e569a341p-4, 0x1.4ee8fc8f40783p-4, 0x1.4a00256d09adep-4, 0x1.451ffe47baff9p-4, 0x1.4048ba30b917cp-4, 0x1.3b7a89fc8fd08p-4, 0x1.36b59c4c413cfp-4, 0x1.31fa1d96cbfp-4, 0x1.2d4838333b02bp-4, 0x1.28a0146218a71p-4, 0x1.2401d85a3a866p-4, 0x1.1f6da84efe6bfp-4, 0x1.1ae3a67cd7216p-4, 0x1.1663f330cb639p-4, 0x1.11eeacd1a8f33p-4, 0x1.0d83efe965bd4p-4, 0x1.0923d72feddfep-4, 0x1.04ce7b945af44p-4, 0x1.0083f447f9abp-4, 0x1.f888ad8d4840ap-5, 0x1.f01f6dbe28e6dp-5, 0x1.e7cc4d7622bacp-5, 0x1.df8f6dd140c23p-5, 0x1.d768ecc86b513p-5, 0x1.cf58e54725815p-5, 0x1.c75f6f3fcd424p-5, 0x1.bf7c9fbc6c28ap-5, 0x1.b7b088ec584fbp-5, 0x1.affb3a3116e2ap-5, 0x1.a85cc02e6c75bp-5, 0x1.a0d524de1caadp-5, 0x1.99646fa8745dp-5, 0x1.920aa57b5c06ep-5, 0x1.8ac7c8dd1363ep-5, 0x1.839bd9f5e7911p-5, 0x1.7c86d69a06079p-5, 0x1.7588ba4e726acp-5, 0x1.6ea17e5a635f2p-5, 0x1.67d119dfbbd2ep-5, 0x1.611781fa3a53p-5, 0x1.5a74a9da59b38p-5, 0x1.53e882d57b17bp-5, 0x1.4d72fc6859a32p-5, 0x1.4714043051f52p-5, 0x1.40cb85e928867p-5, 0x1.3a996b79c8a8dp-5, 0x1.347d9d155312ap-5, 0x1.2e7801685b28ap-5, 0x1.28887dc414837p-5, 0x1.22aef6341f2dcp-5, 0x1.1ceb4d7791e74p-5, 0x1.173d64e32d1ep-5, 0x1.11a51c40e0291p-5, 0x1.0c2251c5f3d72p-5, 0x1.06b4e2306f508p-5, 0x1.015ca90ab99dap-5, 0x1.f83301fa7c734p-6, 0x1.edd6881ea6439p-6, 0x1.e3a3976b16179p-6, 0x1.d999e15021c49p-6, 0x1.cfb9151de8f95p-6, 0x1.c600df62659bbp-6, 0x1.bc70e9a466e4fp-6, 0x1.b308dab7b5418p-6, 0x1.a9c857a232e2cp-6, 0x1.a0af04c481b2p-6, 0x1.97bc86ce3a6cep-6, 0x1.8ef0830f0859cp-6, 0x1.864a9ef364afdp-6, 0x1.7dca7ed685ac8p-6, 0x1.756fc4a597e5ep-6, 0x1.6d3a0ef28feafp-6, 0x1.6528f8f445b52p-6, 0x1.5d3c1b962faep-6, 0x1.55730f486bae2p-6, 0x1.4dcd6de66754cp-6, 0x1.464ad3f03dce8p-6, 0x1.3eeae087fdc6dp-6, 0x1.37ad3419e85dp-6, 0x1.30916e23ecfdp-6, 0x1.29972af5fe39p-6, 0x1.22be025c7a8c2p-6, 0x1.1c0587d68ecf6p-6, 0x1.156d4c69410ep-6, 0x1.0ef4e17e96359p-6, 0x1.089bdbceb4f92p-6, 0x1.0261d53a4c6b6p-6, 0x1.f88cd99412bbep-7, 0x1.ec928975c4acfp-7, 0x1.e0d3fe43742e7p-7, 0x1.d55074d2e5f12p-7, 0x1.ca071deddf1d5p-7, 0x1.bef71ddbf9cd3p-7, 0x1.b41f909c365a9p-7, 0x1.a97f918b5274p-7, 0x1.9f1643f561fc5p-7, 0x1.94e2d9a7846d3p-7, 0x1.8ae4951fa9288p-7, 0x1.811ac64eb8741p-7, 0x1.7784c2b05d3a6p-7, 0x1.6e21db351a3e2p-7, 0x1.64f1537ab636cp-7, 0x1.5bf25d859ecefp-7, 0x1.53241bb9a68b9p-7, 0x1.4a85a8874a94p-7, 0x1.4216215a56be9p-7, 0x1.39d4b14eaed34p-7, 0x1.31c0985d48231p-7, 0x1.29d92cc715628p-7, 0x1.221dd61597428p-7, 0x1.1a8e02d09e638p-7, 0x1.13291bbd69818p-7, 0x1.0bee78a22f974p-7, 0x1.04dd5a811123dp-7, 0x1.fbe9db14c6ff4p-8, 0x1.ee68a4c7e6e8cp-8, 0x1.e1355700beac4p-8, 0x1.d44e543e99e7cp-8, 0x1.c7b22e3e732ep-8, 0x1.bb5fab5392d96p-8, 0x1.af55bf338fabfp-8, 0x1.a393793442673p-8, 0x1.9817eb605838p-8, 0x1.8ce20f9afd4e4p-8, 0x1.81f0b2444744bp-8, 0x1.77426a6ab2ecp-8, 0x1.6cd5a42ecb5f8p-8, 0x1.62a8bacca4b09p-8, 0x1.58ba187190cc8p-8, 0x1.4f084faed2a5cp-8, 0x1.4592263bb213p-8, 0x1.3c5692e35504bp-8, 0x1.3354b12d454b1p-8, 0x1.2a8bb4132a7e1p-8, 0x1.21fad5a018e2p-8, 0x1.19a143aee6a84p-8, 0x1.117e0ad27f145p-8, 0x1.0990071a9f72ep-8, 0x1.01d5e5116fe57p-8, 0x1.f49c6daa0819fp-9, 0x1.e5ef2c5fd040dp-9, 0x1.d7a1854039884p-9, 0x1.c9b15917f35c7p-9, 0x1.bc1cd60d44fe8p-9, 0x1.aee24f9084c3dp-9, 0x1.a20022fe9597dp-9, 0x1.9574b70aa49cap-9, 0x1.893e87d446459p-9, 0x1.7d5c20e4e3164p-9, 0x1.71cbfe1713347p-9, 0x1.668c5e6acb15dp-9, 0x1.5b9b33e4dbbf1p-9, 0x1.50f643185f35fp-9, 0x1.469b667ff782cp-9, 0x1.3c88cb6e4006dp-9, 0x1.32bcfe78e1d93p-9, 0x1.2936bbd6ce6fp-9, 0x1.1ff4a361207bbp-9, 0x1.16f508609aebbp-9, 0x1.0e360310a27dap-9, 0x1.05b5b65cf6262p-9, 0x1.fae523732c324p-10, 0x1.ead6b51ceee44p-10, 0x1.db3df1b4c2824p-10, 0x1.cc186c0a7a6bfp-10, 0x1.bd634b31b62d4p-10, 0x1.af1b9164c9c05p-10, 0x1.a13e9c0b56db2p-10, 0x1.93ca7b3bae18ap-10, 0x1.86bdd68dc4751p-10, 0x1.7a175454499e4p-10, 0x1.6dd4cef6f99ebp-10, 0x1.61f2e075ae2dp-10, 0x1.566d28a9bee09p-10, 0x1.4b3f32d70097dp-10, 0x1.4065686c03bfap-10, 0x1.35dd77315a285p-10, 0x1.2ba5fc9cbc5bfp-10, 0x1.21bdd13370153p-10, 0x1.1823887802cdbp-10, 0x1.0ed573eff86d3p-10, 0x1.05d202f30573ap-10, 0x1.fa304705af06p-11, 0x1.e94ea8514921ap-11, 0x1.d8fe7aaa1c614p-11, 0x1.c93de4046838bp-11, 0x1.ba088c6fad9b3p-11, 0x1.ab575c5bb0d31p-11, 0x1.9d2196c9bc831p-11, 0x1.8f5ec81ec98c4p-11, 0x1.82087e378138cp-11, 0x1.751af58a63b11p-11, 0x1.68949ae54ec41p-11, 0x1.5c74d229b2e82p-11, 0x1.50bac2482b08ep-11, 0x1.4564da47473f4p-11, 0x1.3a7140949350ep-11, 0x1.2fdec767380c4p-11, 0x1.25ad716ac468dp-11, 0x1.1bdd9cb314d2ap-11, 0x1.126e44b7e38bfp-11, 0x1.095bf87064677p-11, 0x1.00a140ed7b8bdp-11, 0x1.f06f835f49302p-12, 0x1.e0329a7734157p-12, 0x1.d0817bcba63bdp-12, 0x1.c154bfc4335c3p-12, 0x1.b2a7bc7ee37adp-12, 0x1.a4781f1f9c764p-12, 0x1.96c582ef1a29p-12, 0x1.89900fd6baa7p-12, 0x1.7cd6911aaa503p-12, 0x1.70964fd2d5106p-12, 0x1.64cd8de4d85e8p-12, 0x1.597d5ec0c029p-12, 0x1.4ea71efc70024p-12, 0x1.44481e42c3bdbp-12, 0x1.3a58f100eaa67p-12, 0x1.30d0765c9124ep-12, 0x1.27a6af4fd10aap-12, 0x1.1ed57613cc185p-12, 0x1.165825ff564cfp-12, 0x1.0e2b8fb7579e7p-12, 0x1.064d81acb3762p-12, 0x1.fd75f81f8f1b5p-13, 0x1.eedfc2101618dp-13, 0x1.e0d40edf74548p-13, 0x1.d3551a1cbe80fp-13, 0x1.c664b2239a691p-13, 0x1.b9ff74254616ep-13, 0x1.ae2230a6ec1b7p-13, 0x1.a2cdaf121411cp-13, 0x1.98007ce28994ap-13, 0x1.8db275c791555p-13, 0x1.83d8affc36131p-13, 0x1.7a69f2bc4a16bp-13, 0x1.715f1d24dbef2p-13, 0x1.68b221847ae73p-13, 0x1.605e443c6e5b2p-13, 0x1.58614bb3b907ep-13, 0x1.50bba20ce454bp-13, 0x1.496d67fa67fadp-13, 0x1.4270dad96890ap-13, 0x1.3bbaa00ef806cp-13, 0x1.3545e19dbf8bcp-13, 0x1.2f19756ae49bp-13, 0x1.293a071a998fbp-13, 0x1.23a1b51243103p-13, 0x1.1e4a336ed4e6cp-13, 0x1.19324ed864acdp-13, 0x1.14577e3264f77p-13, 0x1.0fb4eaf51da49p-13, 0x1.0b4741642484cp-13, 0x1.070cf6061e7bp-13, 0x1.0303e78bb5316p-13, 0x1.fe4fc4f11a0ep-14, 0x1.f6e786a15ef76p-14, 0x1.efc93d20cb196p-14, 0x1.e8f6c7c8a471fp-14, 0x1.e2749c4edcb15p-14, 0x1.dc428815b94b7p-14, 0x1.d65864c3efa11p-14, 0x1.d0a981cb9e717p-14, 0x1.cb34407e47e76p-14, 0x1.c6027eca3f64cp-14, 0x1.c10e85190739dp-14, 0x1.bc47285670197p-14, 0x1.b7abe45c74e16p-14, 0x1.b342b4eb1fb28p-14, 0x1.af07eb033a955p-14, 0x1.aaf620cbb8b69p-14, 0x1.a70c61d98f1aep-14, 0x1.a34bf83cb1542p-14, 0x1.9fb3f009ac784p-14, 0x1.9c3d6c42909aap-14, 0x1.98ddf75c6c3d5p-14, 0x1.9591e88c9e9e1p-14, 0x1.925f55918a2fap-14, 0x1.8f490ed568053p-14, 0x1.8c4992c1fcfc5p-14, 0x1.896031a7f101cp-14, 0x1.86928a25fc60ap-14, 0x1.83dd5e225a954p-14, 0x1.813517379cfb6p-14, 0x1.7e9800e1f94e5p-14, 0x1.7c056a50e52a6p-14, 0x1.7979d4d9a8f92p-14, 0x1.76fb5f89d8f44p-14, 0x1.748b0f21dfdcep-14, 0x1.7223f90dd2856p-14, 0x1.6fc48ab60ad39p-14, 0x1.6d6e46637b983p-14, 0x1.6b227028e1ffp-14, 0x1.68de4ece8f644p-14, 0x1.669ac3cb0f793p-14, 0x1.645633391e6cep-14, 0x1.6215b362681e4p-14, 0x1.5fd777a370fbep-14, 0x1.5d98ee12a1142p-14, 0x1.5b5df302af66dp-14, 0x1.5925e0d3951b1p-14, 0x1.56ec9ef824fb4p-14, 0x1.54b158b47891cp-14, 0x1.5276fdb306982p-14, 0x1.503c539904cc2p-14, 0x1.4dfd664495424p-14, 0x1.4bb9e70808108p-14, 0x1.4971a858296cfp-14, 0x1.47289fc6aea5cp-14, 0x1.44dda4703e09p-14, 0x1.428ea0806fec2p-14, 0x1.403c17d405c09p-14, 0x1.3de73c4139e86p-14, 0x1.3b8f518f9cf1fp-14, 0x1.3930e926bcb2cp-14, 0x1.36cce03face45p-14, 0x1.3463f0549096ep-14, 0x1.31f4e03d682a5p-14, 0x1.2f82a741c6e2p-14, 0x1.2d0ca6c405217p-14, 0x1.2a90c9e6f2e31p-14, 0x1.280edd256b18p-14, 0x1.258742bdf4eddp-14, 0x1.22fa41b24eb1bp-14, 0x1.2067c2c848827p-14, 0x1.1dd02b9274ef4p-14, 0x1.1b34fa37354e2p-14, 0x1.189512caa42d2p-14, 0x1.15ee6fe4ae7dep-14, 0x1.134191b291c1dp-14, 0x1.1090c5e6ce6c5p-14, 0x1.0ddb964cd38a7p-14, 0x1.0b215b6b6cf1ap-14, 0x1.0863196b809a8p-14, 0x1.05a0b7d611753p-14, 0x1.02d8fba1b8addp-14, 0x1.000c1694e8d31p-14, 0x1.fa74ddafdde6fp-15, 0x1.f4cb6ae9d00cep-15, 0x1.ef1a21bdda3bcp-15, 0x1.e9603569a88c7p-15, 0x1.e39e543e14f4bp-15, 0x1.ddd51c5483ec4p-15, 0x1.d804efb27d538p-15, 0x1.d22e142001029p-15, 0x1.cc50ccff22b8ap-15, 0x1.c66d6dea91551p-15, 0x1.c084569bcaad7p-15, 0x1.ba95ccce41e9fp-15, 0x1.b4a20f6d1109ap-15, 0x1.aeaa2b834b88p-15, 0x1.a8ae733717ae7p-15, 0x1.a2ad5be148242p-15, 0x1.9ca86515e61adp-15, 0x1.96a1327a21a63p-15, 0x1.9097fc0a5b27cp-15, 0x1.8a8b83a6c1f7p-15, 0x1.847b952a37161p-15, 0x1.7e6a0a912c879p-15, 0x1.78579b58b84c8p-15, 0x1.7243abb11ceb5p-15, 0x1.6c2ea4995b66dp-15, 0x1.6619095ce03b4p-15, 0x1.60033fb9c8ebp-15, 0x1.59eda1e48366dp-15, 0x1.53d8872b8f885p-15, 0x1.4dc4457c79fb8p-15, 0x1.47b13162b9d9ep-15, 0x1.419f9e241e7c5p-15, 0x1.3b8fdeb283b1bp-15, 0x1.3582451a055aep-15, 0x1.2f772561e2f49p-15, 0x1.296ed28d443e2p-15, 0x1.23699d5077c9ep-15, 0x1.1d67caaf1e74fp-15, 0x1.17699819bbb2fp-15, 0x1.116f8f69db736p-15, 0x1.0b7a2c95479adp-15, 0x1.0589409a45cc6p-15, 0x1.ff3a29bc17d11p-16, 0x1.f36ca724de1f7p-16, 0x1.e7a9fd03e0c9fp-16, 0x1.dbf2af345800fp-16, 0x1.d0476b7be3288p-16, 0x1.c4a8c0ead343p-16, 0x1.b91733b214996p-16, 0x1.ad9344525d89p-16, 0x1.a21d70d4b7aa2p-16, 0x1.96b634bc7cc8fp-16, 0x1.8b5e08e4ce267p-16, 0x1.8015638a651e7p-16, 0x1.74dcb87ed9e3p-16, 0x1.69b47867b2e34p-16, 0x1.5e9d13998ab7cp-16, 0x1.5396f3b8025a5p-16, 0x1.48a280502361ep-16, 0x1.3dc01d463871bp-16, 0x1.32f02d45a83bfp-16, 0x1.28330f1cad0c3p-16, 0x1.1d891d9e869a2p-16, 0x1.12f2d4a742346p-16, 0x1.08705f1ef385fp-16, 0x1.fc04422c78db6p-17, 0x1.e750e3b02c7fbp-17, 0x1.d2c6dead97691p-17, 0x1.be67ccdfcfe51p-17, 0x1.aa334b48dde1cp-17, 0x1.962a29e1baf5dp-17, 0x1.824cfab594cadp-17, 0x1.6e9c4298d1fe1p-17, 0x1.5b187ec7b9238p-17, 0x1.47c2272a66d4dp-17, 0x1.3499ae6f1be8cp-17, 0x1.219f82512a16ep-17, 0x1.0ed40b8eefde7p-17, 0x1.f86f59c2de6a6p-18, 0x1.d3958c0217ab5p-18, 0x1.af1b60cfc20afp-18, 0x1.8b0181940c06bp-18, 0x1.67488d74d74dfp-18, 0x1.43f11a4f9d33cp-18, 0x1.20fbb68867036p-18, 0x1.fcd1cce634eeep-19, 0x1.b872336b3b7a8p-19, 0x1.74d9b69519a23p-19, 0x1.3209035e81e04p-19, 0x1.e001ece67461p-20, 0x1.5d84224a792dbp-20, 0x1.b9341552a636ap-21, 0x1.751356965388cp-22, -0x1.03dd50842fd83p-23, -0x1.394685834844ep-21, -0x1.1734c78b1da09p-20, -0x1.902e1d93f0fd8p-20, -0x1.03c7684c79989p-19, -0x1.3eab5f23bf0c4p-19, -0x1.78c2ca32e3546p-19, -0x1.b20d91163fcedp-19, -0x1.ea8baf5958f24p-19, -0x1.111e9720654fp-18, -0x1.2c911211f62a7p-18, -0x1.479d5a3744d44p-18, -0x1.624387dbf648ap-18, -0x1.7c83b9b088df1p-18, -0x1.965e1582d0da9p-18, -0x1.afd2c618b1c8bp-18, -0x1.c8e1fa0990d3ep-18, -0x1.e18bea8491c21p-18, -0x1.f9d0e07952726p-18, -0x1.08d88044705bbp-17, -0x1.14964a60fa28ep-17, -0x1.2021ff03e9745p-17, -0x1.2b7bc9a619993p-17, -0x1.36a3cae56d899p-17, -0x1.419a3422f2b38p-17, -0x1.4c5f353eaef02p-17, -0x1.56f3007d2b2f4p-17, -0x1.6155ca6c4d5e3p-17, -0x1.6b87c9b723e78p-17, -0x1.758936d8f6574p-17, -0x1.7f5a4c56f6db7p-17, -0x1.88fb458d1d049p-17, -0x1.926c6663ec5b7p-17, -0x1.9badee780b5c8p-17, -0x1.a4c01a14070d8p-17, -0x1.ada32cb23d635p-17, -0x1.b6577420a7ce5p-17, -0x1.bedd3469b0754p-17, -0x1.c734b5c87f13p-17, -0x1.cf5e430426896p-17, -0x1.d75a285abc0f8p-17, -0x1.df28b2c0c727p-17, -0x1.e6ca2fec58adcp-17, -0x1.ee3ef2f62fecep-17, -0x1.f58751f16c2bfp-17, -0x1.fca38a2a17495p-17, -0x1.01ca016f21e93p-16, -0x1.052c88009a685p-16, -0x1.087911373c35ap-16, -0x1.0bb1196737fb9p-16, -0x1.0ed379d045e92p-16, -0x1.11e0d2504d7e2p-16, -0x1.14d94e7eafdddp-16, -0x1.17bd1b8dad5c4p-16, -0x1.1a8c671cb9c46p-16, -0x1.1d475f2c6d657p-16, -0x1.1fee321cc6511p-16, -0x1.22810e9c987d3p-16, -0x1.25002348693f5p-16, -0x1.276ba084e2dc2p-16, -0x1.29c3b4f5131e2p-16, -0x1.2c0890b1395f6p-16, -0x1.2e3a63c0dc091p-16, -0x1.30595eb34737bp-16, -0x1.3265b0f9afb11p-16, -0x1.345f8c6da4e7fp-16, -0x1.36472257c7daap-16, -0x1.381ca2ae2372ep-16, -0x1.39e03ce19546p-16, -0x1.3b9223f6df1dcp-16, -0x1.3d328be65515ap-16, -0x1.3ec1a24fad438p-16, -0x1.403f9c1a79d54p-16, -0x1.41aca3eb8dbd8p-16, -0x1.4308f39200101p-16, -0x1.4454b891a36b7p-16, -0x1.4590251e42c33p-16, -0x1.46bb6aef50e12p-16, -0x1.47d6bbaa7db98p-16, -0x1.48e248ec541ap-16, -0x1.49de444744aa8p-16, -0x1.4acadf411a86cp-16, -0x1.4ba84b5018a72p-16, }}, 
      {{0x1.6affc87130353p-2, 0x1.741ba694290f9p-2, 0x1.81fc6328adb6ap-2, 0x1.933abd985bc26p-2, 0x1.a66b0fe08e405p-2, 0x1.ba3f9d6f6b58cp-2, 0x1.cd9951735ab1fp-2, 0x1.df8dd732c6622p-2, 0x1.ef675cf80391p-2, 0x1.fca0c605abb92p-2, 0x1.03700f18abf4bp-1, 0x1.06f836034a894p-1, 0x1.08ddc3de05ffp-1, 0x1.092228b41e881p-1, 0x1.07d0b9bf4b0e8p-1, 0x1.04fc6207e4f87p-1, 0x1.00bda3cf9e7d7p-1, 0x1.f661ceedf96cfp-2, 0x1.e8ea24dd76847p-2, 0x1.d954bd17429c8p-2, 0x1.c7e2d6427e858p-2, 0x1.b4d4ff7d75facp-2, 0x1.a069f568e5aabp-2, 0x1.8addc709ae625p-2, 0x1.7469396096ca7p-2, 0x1.5d415d748e4c2p-2, 0x1.4597501ae2ebep-2, 0x1.2d981b43e2524p-2, 0x1.156cb11ebea95p-2, 0x1.fa73f87be54a8p-3, 0x1.ca41fc24d0a22p-3, 0x1.9a7df246b48c2p-3, 0x1.6b5b460bfcb68p-3, 0x1.3d06b663ec38bp-3, 0x1.0fa6ca6bb944fp-3, 0x1.c6b89126b1f2dp-4, 0x1.708558fc6f84ap-4, 0x1.1ce137eb8075cp-4, 0x1.97e15e8dfa2b6p-5, 0x1.f7413b7ce803bp-6, 0x1.94ac08bf1c257p-7, -0x1.5b0b45940b12fp-8, -0x1.6be3ebf7e8ca4p-6, -0x1.3a7e05854053dp-5, -0x1.b905cc6bd86cp-5, -0x1.18c89bef30494p-4, -0x1.521773165216bp-4, -0x1.88799b5f5d5afp-4, -0x1.bbfbb7a48d7fep-4, -0x1.ecac7afdc745p-4, -0x1.0d4e27ff6d40bp-3, -0x1.22ee84a106776p-3, -0x1.3740cd26058f5p-3, -0x1.4a4eec0a4715dp-3, -0x1.5c232079136e3p-3, -0x1.6cc7e5782b935p-3, -0x1.7c47dc2515162p-3, -0x1.8aadb8a41af6bp-3, -0x1.980431b013c01p-3, -0x1.a455f25546336p-3, -0x1.afad8dc485c68p-3, -0x1.ba1574dcd264dp-3, -0x1.c397edad97209p-3, -0x1.cc3f0b94b261p-3, -0x1.d414a9c2132c6p-3, -0x1.db22660926f54p-3, -0x1.e1719d0bf019ep-3, -0x1.e70b6731f336p-3, -0x1.ebf8967d448eep-3, -0x1.f041b4efc64d3p-3, -0x1.f3ef03a09e5b8p-3, -0x1.f7087a4782785p-3, -0x1.f995c73db3c76p-3, -0x1.fb9e4fdd368d8p-3, -0x1.fd2931332c11bp-3, -0x1.fe3d40f687711p-3, -0x1.fee10eba1a2e3p-3, -0x1.ff1ae54e95754p-3, -0x1.fef0cc47cc2b2p-3, -0x1.fe688996dac4ep-3, -0x1.fd87a37d9ded4p-3, -0x1.fc536222f7974p-3, -0x1.fad0d1997722dp-3, -0x1.f904c3c0a908ap-3, -0x1.f6f3d235e6711p-3, -0x1.f4a26045ed57dp-3, -0x1.f2149cdd75333p-3, -0x1.ef4e847778081p-3, -0x1.ec53e3044b585p-3, -0x1.e92855ca5dcafp-3, -0x1.e5cf4d3de1c7ap-3, -0x1.e24c0ecf214b1p-3, -0x1.dea1b6ac1889ep-3, -0x1.dad3397a2ec0dp-3, -0x1.d6e365fefdaa3p-3, -0x1.d2d4e6c092a3cp-3, -0x1.ceaa43951751dp-3, -0x1.ca65e328b2023p-3, -0x1.c60a0c778a875p-3, -0x1.c198e833557c8p-3, -0x1.bd14822376266p-3, -0x1.b87eca72e19bp-3, -0x1.b3d9970180793p-3, -0x1.af26a47bed2dbp-3, -0x1.aa6797a92ce29p-3, -0x1.a59dfe7544dc9p-3, -0x1.a0cb510b193b7p-3, -0x1.9bf0f2da40158p-3, -0x1.97103394b0c7ep-3, -0x1.922a50207c7a7p-3, -0x1.8d40737f352bep-3, -0x1.8853b7abf1a63p-3, -0x1.8365266eaff05p-3, -0x1.7e75ba273dc0dp-3, -0x1.79865e8e0986ep-3, -0x1.7497f16d5f085p-3, -0x1.6fab43515ecfbp-3, -0x1.6ac1183070243p-3, -0x1.65da280bcda9p-3, -0x1.60f71f88302a9p-3, -0x1.5c18a0805c98p-3, -0x1.573f428fb86a8p-3, -0x1.526b939712254p-3, -0x1.4d9e183b14b7bp-3, -0x1.48d74c5c0ce8ap-3, -0x1.4417a388d5a1ap-3, -0x1.3f5f896bc9b47p-3, -0x1.3aaf62328e36ap-3, -0x1.36078af06d52cp-3, -0x1.316859fcdb746p-3, -0x1.2cd21f4ca2e6dp-3, -0x1.284524c68820ep-3, -0x1.23c1ae94ec685p-3, -0x1.1f47fb715644ep-3, -0x1.1ad844ef46836p-3, -0x1.1672bfc02e00cp-3, -0x1.12179bf59aeffp-3, -0x1.0dc70540a58fcp-3, -0x1.0981232cfb5f6p-3, -0x1.05461959c3b07p-3, -0x1.011607af44fe4p-3, -0x1.f9e21523cd75p-4, -0x1.f1ae762560374p-4, -0x1.e9915e3aa7831p-4, -0x1.e18af348a4958p-4, -0x1.d99b55940a861p-4, -0x1.d1c2a0105c297p-4, -0x1.ca00e8aab9292p-4, -0x1.c2564091d48dap-4, -0x1.bac2b47805de9p-4, -0x1.b3464cd41bd88p-4, -0x1.abe10e1df1b26p-4, -0x1.a492f908661fap-4, -0x1.9d5c0ab7d8287p-4, -0x1.963c3cf5ed4acp-4, -0x1.8f3386632859dp-4, -0x1.8841daa5352c3p-4, -0x1.81672a94b3297p-4, -0x1.7aa3646596a21p-4, -0x1.73f673cfe683fp-4, -0x1.6d604235c21bdp-4, -0x1.66e0b6c784a32p-4, -0x1.6077b6a5b851bp-4, -0x1.5a252501473fap-4, -0x1.53e8e33aa6552p-4, -0x1.4dc2d0febb283p-4, -0x1.47b2cc631a8cdp-4, -0x1.41b8b1ffed24bp-4, -0x1.3bd45d08cafe2p-4, -0x1.3605a764bc003p-4, -0x1.304c69c43a84dp-4, -0x1.2aa87bb7d00e1p-4, -0x1.2519b3c3bab48p-4, -0x1.1f9fe773901e7p-4, -0x1.1a3aeb651e852p-4, -0x1.14ea936d2b6c4p-4, -0x1.0faeb291c0899p-4, -0x1.0a871b2700ecp-4, -0x1.05739eda84cbep-4, -0x1.00740ec0d412cp-4, -0x1.f71076c89c348p-5, -0x1.ed5fe9a2128p-5, -0x1.e3d61542d7cafp-5, -0x1.da72981468407p-5, -0x1.d1350fbb68a2bp-5, -0x1.c81d19649b145p-5, -0x1.bf2a5174978cbp-5, -0x1.b65c53fc1c614p-5, -0x1.adb2bc97b7634p-5, -0x1.a52d268c23936p-5, -0x1.9ccb2cd6218a5p-5, -0x1.948c6a3a18fcfp-5, -0x1.8c707952e6723p-5, -0x1.8476f49fc228fp-5, -0x1.7c9f76915caf2p-5, -0x1.74e999969d87p-5, -0x1.6d54f82870c9bp-5, -0x1.65e12cd559ad3p-5, -0x1.5e8dd24d5b985p-5, -0x1.575a836b04904p-5, -0x1.5046db3def6b2p-5, -0x1.49527513ed8ddp-5, -0x1.427cec82012a3p-5, -0x1.3bc5dd6cff2d7p-5, -0x1.352ce411baf61p-5, -0x1.2eb19d0cd6e92p-5, -0x1.2853a561a67acp-5, -0x1.22129a816d73ep-5, -0x1.1bee1a51e5cbep-5, -0x1.15e5c3338bce8p-5, -0x1.0ff93407bdec8p-5, -0x1.0a280c365c7a4p-5, -0x1.0471ebb312e0fp-5, -0x1.fdace6059afc4p-6, -0x1.f2aa867ff0f9p-6, -0x1.e7dbfc3ed4be6p-6, -0x1.dd408be9b212ap-6, -0x1.d2d77b6d92d86p-6, -0x1.c8a0120519dc8p-6, -0x1.be999848575f8p-6, -0x1.b4c3580f7354ap-6, -0x1.ab1c9cbbbecdbp-6, -0x1.a1a4b2fdb7b13p-6, -0x1.985ae8fa61bb4p-6, -0x1.8f3e8e4b9aee4p-6, -0x1.864ef4042d087p-6, -0x1.7d8b6cb4bb39dp-6, -0x1.74f34c7031e4ap-6, -0x1.6c85e8cff4ec6p-6, -0x1.644298f7b776fp-6, -0x1.5c28b5995191dp-6, -0x1.543798f7c9c4dp-6, -0x1.4c6e9eea9203dp-6, -0x1.44cd24e06bf67p-6, -0x1.3d5289e1b1072p-6, -0x1.35fe2e92b1abfp-6, -0x1.2ecf7535e6f0fp-6, -0x1.27c5c1adeff0cp-6, -0x1.20e0797e9a6aap-6, -0x1.1a1f03ced0bfap-6, -0x1.1380c969eff03p-6, -0x1.0d0534c07788cp-6, -0x1.06abb1e90eb29p-6, -0x1.0073aea140cacp-6, -0x1.f4b9349b70fc3p-7, -0x1.e8cbcbf2415cfp-7, -0x1.dd1e08c1797cep-7, -0x1.d1aed39d7d491p-7, -0x1.c67d18a81198fp-7, -0x1.bb87c72d8665ap-7, -0x1.b0cdd1d0331f5p-7, -0x1.a64e2e7e69ff6p-7, -0x1.9c07d6729c9f5p-7, -0x1.91f9c62954ebep-7, -0x1.8822fd6fb4645p-7, -0x1.7e827f50e1fd9p-7, -0x1.7517521bddf39p-7, -0x1.6be07f5f1d4b3p-7, -0x1.62dd13e5b39d9p-7, -0x1.5a0c1fb37f8fdp-7, -0x1.516cb601ae8c4p-7, -0x1.48fded3b1372bp-7, -0x1.40bedef8ac927p-7, -0x1.38aea7fdfaea7p-7, -0x1.30cc683532dap-7, -0x1.291742ab0ecd9p-7, -0x1.218e5d894ee2ep-7, -0x1.1a30e21287a55p-7, -0x1.12fdfc9b6989cp-7, -0x1.0bf4dc86d1d08p-7, -0x1.0514b44a4323ap-7, -0x1.fcb9727a6d299p-8, -0x1.ef9847d6dcb29p-8, -0x1.e2c45f6e0ec41p-8, -0x1.d63c360420dc1p-8, -0x1.c9fe4e3745p-8, -0x1.be09307475054p-8, -0x1.b25b6ae40cc8ep-8, -0x1.a6f3916137ce7p-8, -0x1.9bd03d81051b1p-8, -0x1.90f00e709f2bcp-8, -0x1.8651a8fb17e4fp-8, -0x1.7bf3b7786d793p-8, -0x1.71d4e9bc523b1p-8, -0x1.67f3f5032718ep-8, -0x1.5e4f93de7c7f5p-8, -0x1.54e6862a67c2dp-8, -0x1.4bb790fe896f1p-8, -0x1.42c17eac2c3cap-8, -0x1.3a031eb613cbbp-8, -0x1.317b45c919215p-8, -0x1.2928cdac66051p-8, -0x1.210a952a5355bp-8, -0x1.191f7ffd4a778p-8, -0x1.116676b2939b2p-8, -0x1.09de66a1213b6p-8, -0x1.028641d3920d2p-8, -0x1.f6b9fe1f7624ap-9, -0x1.e8c3339efef67p-9, -0x1.db26247b50819p-9, -0x1.cde0da53cd516p-9, -0x1.c0f167e91d6fp-9, -0x1.b455e8e6f9a9dp-9, -0x1.a80c81aae19edp-9, -0x1.9c135f134d0bbp-9, -0x1.9068b65f821a5p-9, -0x1.850ac521c4edp-9, -0x1.79f7d13ee707bp-9, -0x1.6f2e28f1445c2p-9, -0x1.64ac22c3d5b8p-9, -0x1.5a701d7c87b66p-9, -0x1.50787ff3c6285p-9, -0x1.46c3b8ddc1f26p-9, -0x1.3d503e8f52b3fp-9, -0x1.341c8ec528a79p-9, -0x1.2b272e83a9afap-9, -0x1.226ea9f326c39p-9, -0x1.19f1946796b4cp-9, -0x1.11ae8859d1fc3p-9, -0x1.09a42770882f6p-9, -0x1.01d11a7a56cb5p-9, -0x1.f46822b370918p-10, -0x1.e59785c2a37ddp-10, -0x1.d72dd9754c4b8p-10, -0x1.c928a58790415p-10, -0x1.bb857f2dcd948p-10, -0x1.ae42072897dd4p-10, -0x1.a15bea464eba3p-10, -0x1.94d0e11e1fd28p-10, -0x1.889eb017f7162p-10, -0x1.7cc3279462a6cp-10, -0x1.713c2415f34fcp-10, -0x1.66078e50b8d0dp-10, -0x1.5b235b0b3f25fp-10, -0x1.508d8aca167e9p-10, -0x1.46442946651fp-10, -0x1.3c454cc582ebcp-10, -0x1.328f157134d55p-10, -0x1.291facc9f2b8bp-10, -0x1.1ff5458b01c9dp-10, -0x1.170e1bb481424p-10, -0x1.0e6875033c654p-10, -0x1.0602a1658cc0dp-10, -0x1.fbb5f6b2337f9p-11, -0x1.ebdfcfea9dae1p-11, -0x1.dc7fad3e74d74p-11, -0x1.cd9280d6d494bp-11, -0x1.bf154e8d6eeafp-11, -0x1.b1052a1818dbep-11, -0x1.a35f354ed47fp-11, -0x1.9620a0212f073p-11, -0x1.8946a7521f841p-11, -0x1.7cce9739a7633p-11, -0x1.70b5ccb8a3a0dp-11, -0x1.64f9b6c82e662p-11, -0x1.5997d6f841bfdp-11, -0x1.4e8dc0e38fe33p-11, -0x1.43d918de9844fp-11, -0x1.397792470b208p-11, -0x1.2f66edb4de6d3p-11, -0x1.25a4f742cca95p-11, -0x1.1c2f850c04bbap-11, -0x1.13047696142a6p-11, -0x1.0a21b568681b6p-11, -0x1.018536fc05c8ep-11, -0x1.f259fe952fadfp-12, -0x1.e22e2127eef8cp-12, -0x1.d283a123e228fp-12, -0x1.c3561ea8d1b2bp-12, -0x1.b4a2a1db9968cp-12, -0x1.a66597bc6c564p-12, -0x1.989bad460bc66p-12, -0x1.8b419d7bd9f94p-12, -0x1.7e5432fee41dap-12, -0x1.71d04884b908ep-12, -0x1.65b2c1e84ae56p-12, -0x1.59f896fa20d07p-12, -0x1.4e9ed20240b85p-12, -0x1.43a2971180c54p-12, -0x1.390125fe37a29p-12, -0x1.2eb7d87196dcfp-12, -0x1.24c41cfbe0101p-12, -0x1.1b237294cd048p-12, -0x1.11d34bcefafe8p-12, -0x1.08d1baa9ea315p-12, -0x1.001ba3c0db6dbp-12, -0x1.ef5eb25dc0505p-13, -0x1.df14dc042656fp-13, -0x1.cf5567770d115p-13, -0x1.c01c03d05891ap-13, -0x1.b1647d609b43ep-13, -0x1.a32ac5867a2c2p-13, -0x1.956af64a31ddep-13, -0x1.88214e9f880dp-13, -0x1.7b4a2a1f58fd2p-13, -0x1.6ee1fab7b5123p-13, -0x1.62e548c608c4p-13, -0x1.5750b7a2ed275p-13, -0x1.4c210854a9d0fp-13, -0x1.4153162708f9dp-13, -0x1.36e3cf3402b59p-13, -0x1.2cd02eeeafb05p-13, -0x1.23153e9754ba1p-13, -0x1.19b019e78aba9p-13, -0x1.109df35711666p-13, -0x1.07dc14f73f589p-13, -0x1.fecfbbd3abaf7p-14, -0x1.ee7d7be42f6ecp-14, -0x1.debc63394d8c6p-14, -0x1.cf8785a5dc56p-14, -0x1.c0da206348bb2p-14, -0x1.b2afae2357c35p-14, -0x1.a503eda7d17a3p-14, -0x1.97d2d00c36fep-14, -0x1.8b185b1177e7bp-14, -0x1.7ed09822b0a34p-14, -0x1.72f79e8450d7p-14, -0x1.6789a8e1b6086p-14, -0x1.5c831f8d848d3p-14, -0x1.51e08ae711988p-14, -0x1.479e8320bb259p-14, -0x1.3db99e865321ep-14, -0x1.342e759fe1b8fp-14, -0x1.2af9acd40b272p-14, -0x1.22180308235cp-14, -0x1.1986640b71e4bp-14, -0x1.1141fa1964e2dp-14, -0x1.09482eddc316cp-14, -0x1.0196921ecaedp-14, -0x1.f4556c249fde6p-15, -0x1.e6043fe671dd4p-15, -0x1.d834b0f4fad4ap-15, -0x1.cae213e2f8cafp-15, -0x1.be080d93d1139p-15, -0x1.b1a288478ca4cp-15, -0x1.a5ad6b3407266p-15, -0x1.9a2480b63ba25p-15, -0x1.8f0375072be37p-15, -0x1.8445f9b0c4ee7p-15, -0x1.79e7f096559ebp-15, -0x1.6fe5839022191p-15, -0x1.663b276f7dbd6p-15, -0x1.5ce5c6b405f98p-15, -0x1.53e20b289b651p-15, -0x1.4b2d426f991aap-15, -0x1.42c4bb5cfc245p-15, -0x1.3aa56d5f0e59ep-15, -0x1.32cc80502479p-15, -0x1.2b374d8a05d0fp-15, -0x1.23e35f7c5b6c1p-15, -0x1.1cce572ae44d8p-15, -0x1.15f5d5cdec9fcp-15, -0x1.0f577013fd253p-15, -0x1.08f0aad9f6346p-15, -0x1.02bf09e773cecp-15, -0x1.f98060a88e273p-16, -0x1.ede3edb99b671p-16, -0x1.e2a4d4e0dc574p-16, -0x1.d7bf71ebebecbp-16, -0x1.cd3049c75f91ap-16, -0x1.c2f409bb196dep-16, -0x1.b90775114c728p-16, -0x1.af67494e8b75cp-16, -0x1.a6105c1ce1682p-16, -0x1.9cffd6753d83p-16, -0x1.9433234d385f6p-16, -0x1.8ba7a2e7e0f6p-16, -0x1.835a9660cbdd9p-16, -0x1.7b494bb5a6ea4p-16, -0x1.73713501131dap-16, -0x1.6bcfe1457a9fp-16, -0x1.6462edeeb50edp-16, -0x1.5d27ff8705d3dp-16, -0x1.561cce1f03b45p-16, -0x1.4f3f4408098c8p-16, -0x1.488d9583fb86ap-16, -0x1.420626aaf8c3cp-16, -0x1.3ba7523d4d268p-16, -0x1.356f5309560a4p-16, -0x1.2f5c4d8d3a10cp-16, -0x1.296c881431c44p-16, -0x1.239ea0bcc6fddp-16, -0x1.1df1822181debp-16, -0x1.186400b8c524dp-16, -0x1.12f4adab216eep-16, -0x1.0da21836cb1a4p-16, -0x1.086b056cae54bp-16, -0x1.034e53b90d713p-16, -0x1.fc95fd0864956p-17, -0x1.f2bffb4857566p-17, -0x1.e918907e092c8p-17, -0x1.df9d9f621663ap-17, -0x1.d64d27e3992bfp-17, -0x1.cd25854bd83c4p-17, -0x1.c4256e42b0ae7p-17, -0x1.bb4b9bad69e6bp-17, -0x1.b2967bcc76eep-17, -0x1.aa0456e04ab4ep-17, -0x1.a1939a3bb7ce2p-17, -0x1.9942e9a0a0488p-17, -0x1.9111381941383p-17, -0x1.88fdb1fffc133p-17, -0x1.81074836ee137p-17, -0x1.792cbf5455193p-17, -0x1.716d1f5d0616p-17, -0x1.69c79b35bd192p-17, -0x1.623b52e8a2ec8p-17, -0x1.5ac762fe47e3ep-17, -0x1.536afc4323edap-17, -0x1.4c2563470f7d9p-17, -0x1.44f5e8c36fda3p-17, -0x1.3ddbd5beb6714p-17, -0x1.36d67a39043a8p-17, -0x1.2fe5407a0553ap-17, -0x1.2907bb8766bdep-17, -0x1.223d9756ddaf3p-17, -0x1.1b8654b256acbp-17, -0x1.14e1503b8b33cp-17, -0x1.0e4dfa92f9247p-17, -0x1.07cbec2c13ff2p-17, -0x1.015ad5ad1e2ddp-17, -0x1.f5f4fa43932d6p-18, -0x1.e95526b04284cp-18, -0x1.dcd57e07b3297p-18, -0x1.d0754ba5c964p-18, -0x1.c435030b6ba44p-18, -0x1.b81325e4d5de4p-18, -0x1.ac0f8951259e3p-18, -0x1.a029d1c3e7704p-18, -0x1.9461a40174713p-18, -0x1.88b68715834cap-18, -0x1.7d2801904989cp-18, -0x1.71b68b4014a77p-18, -0x1.6660094ce815dp-18, -0x1.5b265aab69732p-18, -0x1.50087d7b12e15p-18, -0x1.45063de7d8ed2p-18, -0x1.3a1f6cb675569p-18, -0x1.2f53cffb5ab7ep-18, -0x1.24a34299cf716p-18, -0x1.1a0db00ec278dp-18, -0x1.0f931eada76d1p-18, -0x1.05335aaee134bp-18, -0x1.f5dc8802c7c9p-19, -0x1.e187881339d9bp-19, -0x1.cd67cd53e5f85p-19, -0x1.b97d404cb7602p-19, -0x1.a5c7c7c8796b8p-19, -0x1.92475dfb6b29p-19, -0x1.7efbdfd9be65cp-19, -0x1.6be510c6db0cdp-19, -0x1.5902ccfef8ec2p-19, -0x1.46553ca636ba5p-19, -0x1.33dc77d6a73ebp-19, -0x1.21985ae13111fp-19, -0x1.0f87cb1c23693p-19, -0x1.fb5d3ead10024p-20, -0x1.d811cd9436e8dp-20, -0x1.b530a24a2176ep-20, -0x1.92b6e22f9a7a8p-20, -0x1.70a7c6092584dp-20, -0x1.4f024ff5a2501p-20, -0x1.2dc68c28771f7p-20, -0x1.0cf4a5fa097adp-20, -0x1.d918fd673b1b9p-21, -0x1.991bbe716e16ep-21, -0x1.59f1b2fbdda64p-21, -0x1.1b9b65ee8dc39p-21, -0x1.bc31b318a4b8dp-22, -0x1.42d3b288c023dp-22, -0x1.96392c3420dacp-23, -0x1.5430b930d2329p-24, 0x1.f5db59fd2a282p-26, 0x1.2442980ee73a2p-23, 0x1.033efbd6ce49ap-22, 0x1.72b6c19324d0ap-22, 0x1.e0891994287e3p-22, 0x1.265b378af0c1bp-21, 0x1.5b9f8c03349bfp-21, 0x1.9011c57721954p-21, 0x1.c3b233a26f6afp-21, 0x1.f681368b1b41bp-21, 0x1.143f9ad82855ep-20, 0x1.2cd64b1b7ebf8p-20, 0x1.4504dcbaf3dd4p-20, 0x1.5ccb85361edf9p-20, 0x1.742a82a3f5677p-20, 0x1.8b22136f8a336p-20, 0x1.a1b288f433bf6p-20, 0x1.b7dc3c813e5d9p-20, 0x1.cd9f79879f274p-20, 0x1.e2fc6de66b198p-20, 0x1.f7f3a69bb6fdbp-20, 0x1.0642b0a6191dp-19, 0x1.1059063631212p-19, 0x1.1a3d1acb7041p-19, 0x1.23ef00144c389p-19, 0x1.2d6edf9afad6ep-19, 0x1.36bd26e4e3317p-19, 0x1.3fd9f62d13a75p-19, 0x1.48c5888dd21e9p-19, 0x1.51801da19b62cp-19, 0x1.5a09f60844dbfp-19, 0x1.626354297321cp-19, 0x1.6a8c7cd32a9e4p-19, 0x1.7285b75d02cap-19, 0x1.7a4f42d21ca49p-19, 0x1.81e97fb79a9ap-19, 0x1.8954a206b7805p-19, 0x1.9091000669e66p-19, 0x1.979ee72602d83p-19, 0x1.9e7ea79f7feb1p-19, 0x1.a53093a1f3a24p-19, 0x1.abb4fd34f31c8p-19, 0x1.b20c3914aaa85p-19, 0x1.b8369ff298393p-19, 0x1.be3488b96025ap-19, 0x1.c4064b05a2396p-19, 0x1.c9ac3e7cf0877p-19, 0x1.cf26c85499d7ap-19, 0x1.d4763af852754p-19, 0x1.d99af75575b57p-19, 0x1.de955c5598976p-19, 0x1.e365c9ed1e0dfp-19, 0x1.e80ca117c7e5ap-19, 0x1.ec8a43d133b1bp-19, 0x1.f0df150956c7p-19, 0x1.f50b7893ccee3p-19, 0x1.f90fd3954bd77p-19, 0x1.fcec9435c4af8p-19, 0x1.00510260e391p-18, 0x1.0218533a72b52p-18, 0x1.03cc6d269bd91p-18, 0x1.056d840966bbep-18, 0x1.06fbcc3133e91p-18, 0x1.08777a4e0f0b5p-18, 0x1.09e0c36bb46b2p-18, 0x1.0b37e0b93f729p-18, 0x1.0c7cfb47e0ecp-18, 0x1.0db055e7fb814p-18, 0x1.0ed2255b995c6p-18, 0x1.0fe353270043p-18, 0x1.10e1e80e8d26p-18, 0x1.11d0467eed29ep-18, 0x1.12adf38076ad3p-18, 0x1.137b2156c1f39p-18, 0x1.14380643b5439p-18, 0x1.14e4d8e7f49c8p-18, 0x1.1581cfdfd4eebp-18, 0x1.160f21f12344ap-18, 0x1.168d05a12e3f2p-18, 0x1.16fbb147d9dbep-18, 0x1.175b5d61f02b6p-18, 0x1.17ac3e87ddc57p-18, 0x1.17ee8bfeb33fap-18, 0x1.18227c5000bdap-18, 0x1.184845ee0d34bp-18, 0x1.18601f2ecf792p-18, 0x1.186a3e46b1f8ap-18, 0x1.1866dac52dda9p-18, 0x1.185624ccf0c88p-18, 0x1.18385a87d296ap-18, 0x1.180dad16962b5p-18, 0x1.17d652ce40d15p-18, 0x1.1792801785e7cp-18, 0x1.17426ab1efd19p-18, 0x1.16e64651a4badp-18, 0x1.167ea96f041f3p-18, 0x1.160aa5f62e14ep-18, 0x1.158b99cf63232p-18, 0x1.15014d3b1b4f5p-18, 0x1.146bf76c15acfp-18, 0x1.13cbcc62ddfdap-18, 0x1.1320ff502bdadp-18, 0x1.126bc316d0351p-18, 0x1.11ac4a757f934p-18, 0x1.10e2c7a9d039cp-18, 0x1.100f6c9f8344p-18, 0x1.0f326b0b6a2d6p-18, 0x1.0e4bf45b47124p-18, 0x1.0d5c39653aa1dp-18, 0x1.0c636b01e2887p-18, 0x1.0b61b94ad6b4ap-18, 0x1.0a5753e6d4b36p-18, 0x1.09446d8d1dd32p-18, 0x1.082935abb6016p-18, 0x1.0705ce1c19c1cp-18, 0x1.05da7745e3655p-18, 0x1.04a754438da0ap-18, 0x1.036c9c2e4f9dep-18, 0x1.022a72726634cp-18, 0x1.00e108fc7bae5p-18, 0x1.ff2117c3b6452p-19, 0x1.fc724e6a07f8dp-19, 0x1.f9b60d7fd1534p-19, 0x1.f6ecabe251e1p-19, 0x1.f4167f942ef3p-19, 0x1.f133de2513c43p-19, 0x1.ee4515fb14d3fp-19, 0x1.eb4a8a4f582b4p-19, 0x1.e8447d6d84661p-19, 0x1.e5334800c14e9p-19, 0x1.e2173a5308323p-19, 0x1.def0a47bdababp-19, 0x1.dbbfd5b595835p-19, 0x1.d8851c65dc0f1p-19, 0x1.d540c618ef829p-19, 0x1.d1f31f7e262cfp-19, 0x1.ce9c7464007c9p-19, 0x1.cb3d0fb7d4d5fp-19, 0x1.c7d53b91c6e2fp-19, 0x1.c4654130302c2p-19, 0x1.c0ed68db1bcbep-19, 0x1.bd6dfa3360ebfp-19, 0x1.b9e73e39e7c5fp-19, 0x1.b656ad8983658p-19, 0x1.b2c4ed75c9822p-19, 0x1.af29d57c39ffp-19, 0x1.ab88876e9349cp-19, 0x1.a7e13dcf6fc4dp-19, 0x1.a43439ac8b032p-19, 0x1.a081bb8087deap-19, 0x1.9cca02f3f3b5bp-19, 0x1.990d4ee39c94ap-19, 0x1.954bdd24662dp-19, 0x1.9185e8911db1ep-19, 0x1.8dbbb341dd684p-19, 0x1.89ed736c589cap-19, 0x1.861b64f543e05p-19, 0x1.8245c1971a5d9p-19, 0x1.7e6cc64cf919ep-19, 0x1.7a909ef32730ep-19, 0x1.76b18e926de94p-19, 0x1.72cfc8c50cfb8p-19, 0x1.6eeb7ed23dd4bp-19, 0x1.6b04eb386bc6ep-19, 0x1.671c3db9f61f1p-19, 0x1.6331aab6452ebp-19, 0x1.5f45616227538p-19, 0x1.5b57b2820406bp-19, 0x1.57687e6467464p-19, 0x1.537848da206d2p-19, 0x1.4f871c5222a35p-19, 0x1.4b952b15752c8p-19, 0x1.47a2a2fed5079p-19, 0x1.43afb0cb98d5cp-19, 0x1.3fbc80680088cp-19, 0x1.3bc93cfa0d0aep-19, 0x1.37d610e4ad0e7p-19, 0x1.33e325c95a609p-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.3b7f9dbdd2411p-7, -0x1.af6857ee0441bp-6, -0x1.a2e6b3a36fe73p-5, -0x1.4ec65aa9503d1p-4, -0x1.d57e8222078b9p-4, -0x1.2b8fd9f96da39p-3, -0x1.63aa01ee155f1p-3, -0x1.8e68e360057dcp-3, -0x1.a8bc7ad54f02ep-3, -0x1.b105127395ed4p-3, -0x1.a6d87fae77b77p-3, -0x1.8ac162908b20fp-3, -0x1.5e01003ac7301p-3, -0x1.2257de1124d5dp-3, -0x1.b3ad770044e5p-4, -0x1.0d703d5836a31p-4, -0x1.5a0f62c1e9024p-6, 0x1.b28e96d164e55p-6, 0x1.37cbf7d505f1ap-4, 0x1.038626a3f58d7p-3, 0x1.6b6e34c664a33p-3, 0x1.d20e743341ef9p-3, 0x1.1b0688f5a332cp-2, 0x1.4b22c1ca2f1b5p-2, 0x1.78e3387e81ca7p-2, 0x1.a3e748e1fe416p-2, 0x1.cbe46fa046741p-2, 0x1.f0a4313bb5951p-2, 0x1.0900f5ad57e1fp-1, 0x1.17f4556d4d30ap-1, 0x1.2528899ff11dap-1, 0x1.309fb14ff0b38p-1, 0x1.3a60ce6e64b8ap-1, 0x1.4276ef1073b49p-1, 0x1.48f06c1cce2a5p-1, 0x1.4dde3cb6c31efp-1, 0x1.51535cd67988fp-1, 0x1.53644671c9d19p-1, 0x1.54267c18eb3ap-1, 0x1.53b022efe7f23p-1, 0x1.5217aabd025fbp-1, 0x1.4f7383685e13p-1, 0x1.4bd9dedd6be3cp-1, 0x1.47607dcfaa7d7p-1, 0x1.421c86069f808p-1, 0x1.3c226135fc206p-1, 0x1.3585a38c1f8e1p-1, 0x1.2e58f90bad84ap-1, 0x1.26ae18a51471dp-1, 0x1.1e95bc1db841ep-1, 0x1.161f9bffcca0dp-1, 0x1.0d5a6ef012939p-1, 0x1.0453ebdfc4372p-1, 0x1.f6319d42c4777p-2, 0x1.e369bcd7cbe25p-2, 0x1.d065eba74b425p-2, 0x1.bd3a17ce571ep-2, 0x1.a9f87c343644p-2, 0x1.96b1b56cc725cp-2, 0x1.8374d759057e4p-2, 0x1.704f83105457p-2, 0x1.5d4dfcdbde505p-2, 0x1.4a7b4203a0617p-2, 0x1.37e11e23af2d1p-2, 0x1.25884012b9b04p-2, 0x1.13784df71d1e6p-2, 0x1.01b7f8ad433e2p-2, 0x1.e09a1c8f4b23dp-3, 0x1.be79176a4a809p-3, 0x1.9d155aed72c8ap-3, 0x1.7c75fee2ea2f2p-3, 0x1.5ca0d7a67a241p-3, 0x1.3d9a92295e515p-3, 0x1.1f66ce34ba0bcp-3, 0x1.020836fa6aad1p-3, 0x1.cb013404eee8cp-4, 0x1.93a1f90ab1f28p-4, 0x1.5df35e83e5a78p-4, 0x1.29f4c1cf14fcp-4, 0x1.ef48bc59a1e2fp-5, 0x1.8dfed885b48f4p-5, 0x1.30047e0aa931ep-5, 0x1.aaa179af1867fp-6, 0x1.f764fed5d009ep-7, 0x1.4c93c985f7a7bp-8, -0x1.3c819c346ce2cp-8, -0x1.d67134591cad6p-7, -0x1.8140440ebec01p-6, -0x1.08aaa995a493cp-5, -0x1.4dcb67b509b69p-5, -0x1.9012534604804p-5, -0x1.cf8fbf2e23ddfp-5, -0x1.062a22924b50bp-4, -0x1.23385980f3a4cp-4, -0x1.3efafcc636f55p-4, -0x1.597a8e953d95bp-4, -0x1.72bf941d467c9p-4, -0x1.8ad28f3b6f846p-4, -0x1.a1bbf92b5131cp-4, -0x1.b7843d6a31aa6p-4, -0x1.cc33b58206839p-4, -0x1.dfd2a52c29b6dp-4, -0x1.f26936cee6935p-4, -0x1.01ffbc62198dfp-3, -0x1.0a4ead461f0b2p-3, -0x1.12255559a8d5bp-3, -0x1.19878a80c2056p-3, -0x1.2079105434f03p-3, -0x1.26fd9795ec3dep-3, -0x1.2d18bd9add926p-3, -0x1.32ce0bcd9704cp-3, -0x1.3820f778276eap-3, -0x1.3d14e170fa844p-3, -0x1.41ad15ee5f2adp-3, -0x1.45eccc8ae3b1dp-3, -0x1.49d72828a4351p-3, -0x1.4d6f36fcce2eep-3, -0x1.50b7f2bd428f2p-3, -0x1.53b440af428b6p-3, -0x1.5666f1d62b2f5p-3, -0x1.58d2c33f0cc4dp-3, -0x1.5afa5e305aecap-3, -0x1.5ce0586d4ce0ap-3, -0x1.5e8734956a82p-3, -0x1.5ff1626d65d33p-3, -0x1.61213f2d937c6p-3, -0x1.621915ebf62d2p-3, -0x1.62db1ff80a40bp-3, -0x1.6369852f67668p-3, -0x1.63c65c69ad28fp-3, -0x1.63f3abe156edbp-3, -0x1.63f3698d25272p-3, -0x1.63c77b87487a5p-3, -0x1.6371b87ca0db8p-3, -0x1.62f3e80bdd89bp-3, -0x1.624fc32479db6p-3, -0x1.6186f473de83cp-3, -0x1.609b18cb9c96ep-3, -0x1.5f8dbf7a8a348p-3, -0x1.5e606aae933fap-3, -0x1.5d148fdda199cp-3, -0x1.5bab98216c4cp-3, -0x1.5a26e08bcae64p-3, -0x1.5887ba85a7bd7p-3, -0x1.56cf6c3017ebcp-3, -0x1.54ff30b71225ep-3, -0x1.5318389f65114p-3, -0x1.511baa1ed315fp-3, -0x1.4f0aa174e4457p-3, -0x1.4ce631364e425p-3, -0x1.4aaf6292a8e2bp-3, -0x1.486735a318d7dp-3, -0x1.460ea1bb72c6p-3, -0x1.43a695afc771p-3, -0x1.412ff811de95p-3, -0x1.3eaba7747237bp-3, -0x1.3c1a7ab41f00ap-3, -0x1.397d4138d7059p-3, -0x1.36d4c32ce4561p-3, -0x1.3421c1b45ec18p-3, -0x1.3164f72bc4901p-3, -0x1.2e9f176588b5fp-3, -0x1.2bd0cfdde6da4p-3, -0x1.28fac7e914cedp-3, -0x1.261da0e57141ap-3, -0x1.2339f67250a06p-3, -0x1.20505ea2811cbp-3, -0x1.1d616a26834fbp-3, -0x1.1a6da4740cda6p-3, -0x1.177593f1e117bp-3, -0x1.1479ba261a53ep-3, -0x1.117a93e062702p-3, -0x1.0e78995cf8be2p-3, -0x1.0b743e665018fp-3, -0x1.086df279b934cp-3, -0x1.056620eeb8631p-3, -0x1.025d311a1b43bp-3, -0x1.fea70cd8d4366p-4, -0x1.f893011b8764fp-4, -0x1.f27ef6f800c8p-4, -0x1.ec6b9f561ac82p-4, -0x1.e659a446ed705p-4, -0x1.e049a93988ea5p-4, -0x1.da3c4b2a29912p-4, -0x1.d43220d1bb2dap-4, -0x1.ce2bbadd36fd2p-4, -0x1.c829a41cb8192p-4, -0x1.c22c61b7be531p-4, -0x1.bc347353ab964p-4, -0x1.b642533b65522p-4, -0x1.b0567688a3239p-4, -0x1.aa714d4f75b94p-4, -0x1.a49342c820779p-4, -0x1.9ebcbd747f23cp-4, -0x1.98ee1f418d1dfp-4, -0x1.9327c5a812a4p-4, -0x1.8d6a09cf046ep-4, -0x1.87b540af0c126p-4, -0x1.8209bb34b5ac6p-4, -0x1.7c67c65ef135p-4, -0x1.76cfab5b3276fp-4, -0x1.7141afa09de38p-4, -0x1.6bbe150c474fap-4, -0x1.664519fe40cf7p-4, -0x1.60d6f975c04b5p-4, -0x1.5b73eb2b116e2p-4, -0x1.561c23a76745ap-4, -0x1.50cfd45ba08d7p-4, -0x1.4b8f2bb75f5c2p-4, -0x1.465a5540d6319p-4, -0x1.413179ac4ba8p-4, -0x1.3c14bef261237p-4, -0x1.37044864b4df2p-4, -0x1.320036c153763p-4, -0x1.2d08a845d0c1cp-4, -0x1.281db8c2ba43p-4, -0x1.233f81af48873p-4, -0x1.1e6e1a3c73738p-4, -0x1.19a997671451bp-4, -0x1.14f20c0914631p-4, -0x1.104788e909786p-4, -0x1.0baa1ccb89d04p-4, -0x1.0719d4824a8c7p-4, -0x1.0296bafcf3d8p-4, -0x1.fc41b2b1a69fbp-5, -0x1.f3706ddfd8c94p-5, -0x1.eab9b2ceafdf5p-5, -0x1.e21d897a36e1cp-5, -0x1.d99bf6ab8d326p-5, -0x1.d134fc1429c0ap-5, -0x1.c8e89868e4823p-5, -0x1.c0b6c77c5a8cdp-5, -0x1.b89f82586b624p-5, -0x1.b0a2bf56d8917p-5, -0x1.a8c0723907af3p-5, -0x1.a0f88c3f29251p-5, -0x1.994afc3efef21p-5, -0x1.91b7aeba71dp-5, -0x1.8a3e8df5b0d3fp-5, -0x1.82df820cf6a2cp-5, -0x1.7b9a7109c5137p-5, -0x1.746f3ef76169fp-5, -0x1.6d5dcdf697808p-5, -0x1.6665fe50c4edp-5, -0x1.5f87ae8a9af7ep-5, -0x1.58c2bb7698175p-5, -0x1.5217004998ed1p-5, -0x1.4b8456a750335p-5, -0x1.450a96bcd3a75p-5, -0x1.3ea99749dbf21p-5, -0x1.38612db40e6eep-5, -0x1.32312e15e3813p-5, -0x1.2c196b4e89e59p-5, -0x1.2619b711482ccp-5, -0x1.2031e1f6d06dcp-5, -0x1.1a61bb8afa7c7p-5, -0x1.14a9125b5b705p-5, -0x1.0f07b404011f3p-5, -0x1.097d6d3c16058p-5, -0x1.040a09e2fc748p-5, -0x1.fd5aaa1ce3fa8p-6, -0x1.f2ce3231b53ap-6, -0x1.e86e3f5d5848dp-6, -0x1.de3a63b3ced0ap-6, -0x1.d43230177e82dp-6, -0x1.ca55344b48c44p-6, -0x1.c0a2ff06948f1p-6, -0x1.b71b1e0e0985ap-6, -0x1.adbd1e4e85033p-6, -0x1.a4888bf7ecb05p-6, -0x1.9b7cf29300627p-6, -0x1.9299dd0d3738cp-6, -0x1.89ded5c682f97p-6, -0x1.814b6696bc71bp-6, -0x1.78df18e0c19b3p-6, -0x1.709975ab32cbdp-6, -0x1.687a05bf21f91p-6, -0x1.608051c335859p-6, -0x1.58abe24c2ed27p-6, -0x1.50fc3fe0884d1p-6, -0x1.4970f2f24d2c5p-6, -0x1.420983dd14ef3p-6, -0x1.3ac57af12f259p-6, -0x1.33a4609143145p-6, -0x1.2ca5bd5bc133cp-6, -0x1.25c91a51f566cp-6, -0x1.1f0e00ec20571p-6, -0x1.1873fb129404dp-6, -0x1.11fa93016f0dap-6, -0x1.0ba153292644bp-6, -0x1.0567c622fb523p-6, -0x1.fe9aed91edef3p-7, -0x1.f2a3e0df7d49ep-7, -0x1.e6e97e5fa039dp-7, -0x1.db6ae03985f68p-7, -0x1.d02722a5db9efp-7, -0x1.c51d639bf47e3p-7, -0x1.ba4cc23b8be5ap-7, -0x1.afb45e3298c1p-7, -0x1.a553577743a1ap-7, -0x1.9b28ce89105bdp-7, -0x1.9133e533ce21dp-7, -0x1.8773bf8fd271ep-7, -0x1.7de784d5c433dp-7, -0x1.748e5fa38acc6p-7, -0x1.6b677d85d7ffcp-7, -0x1.62720de9e3fcbp-7, -0x1.59ad40e35467ap-7, -0x1.5118465118fc2p-7, -0x1.48b24dcfbc97cp-7, -0x1.407a8798a183bp-7, -0x1.3870260a4ce9cp-7, -0x1.30925f479f9a4p-7, -0x1.28e06e444a21ep-7, -0x1.215992c1decc7p-7, -0x1.19fd1027fdd0dp-7, -0x1.12ca2b963a1f1p-7, -0x1.0bc029eec844bp-7, -0x1.04de4ea24196ap-7, -0x1.fc47b7983ec24p-8, -0x1.ef20275b6d5f3p-8, -0x1.e244761f0870cp-8, -0x1.d5b3375f05273p-8, -0x1.c96b0ba00de08p-8, -0x1.bd6aa07179ff6p-8, -0x1.b1b0ad31966e6p-8, -0x1.a63bed67f9512p-8, -0x1.9b0b1adefb311p-8, -0x1.901ce99877194p-8, -0x1.85700744c3c4ep-8, -0x1.7b031e9791d9bp-8, -0x1.70d4dd73a3f41p-8, -0x1.66e3fbdeba39bp-8, -0x1.5d2f415984a0ep-8, -0x1.53b586a911893p-8, -0x1.4a75b3377d7f6p-8, -0x1.416eb6aa74cd3p-8, -0x1.389f80b37507ap-8, -0x1.3006f9e623449p-8, -0x1.27a4003430dep-8, -0x1.1f75685fdd31fp-8, -0x1.177a040882fd7p-8, -0x1.0fb0aa4b83977p-8, -0x1.08184033ec25fp-8, -0x1.00afbe57402b3p-8, -0x1.f2ec63c0555f5p-9, -0x1.e4d571156b29cp-9, -0x1.d718f0fb65665p-9, -0x1.c9b52c802113ap-9, -0x1.bca857d325412p-9, -0x1.aff08947628b8p-9, -0x1.a38bbc5e0cb9ep-9, -0x1.9777e04187ec3p-9, -0x1.8bb2ec6f5b62bp-9, -0x1.803af4b35880ap-9, -0x1.750e36764abc3p-9, -0x1.6a2b1c68ba63ap-9, -0x1.5f90387e822c4p-9, -0x1.553c35f294f0fp-9, -0x1.4b2dc60d8c618p-9, -0x1.41638bb3b8916p-9, -0x1.37dc0b56a115dp-9, -0x1.2e95a550c101p-9, -0x1.258e9e157ec02p-9, -0x1.1cc5322b0c9bbp-9, -0x1.1437ae5a2a74cp-9, -0x1.0be48169d5d8cp-9, -0x1.03ca4b28e2d0bp-9, -0x1.f7cf8ff794451p-10, -0x1.e877be3b28e22p-10, -0x1.d98b0ace59e57p-10, -0x1.cb0771f84be69p-10, -0x1.bceae2b2ea7a9p-10, -0x1.af3320440b761p-10, -0x1.a1ddacbf72433p-10, -0x1.94e7ca737d3fep-10, -0x1.884e9ccf7d748p-10, -0x1.7c0f5a6caadbep-10, -0x1.702779c1c9ee2p-10, -0x1.6494c104e8ca6p-10, -0x1.595535e48d7e6p-10, -0x1.4e66fe85f797dp-10, -0x1.43c84c021db32p-10, -0x1.397757679199bp-10, -0x1.2f72766cd3dfbp-10, -0x1.25b7f837e35dep-10, -0x1.1c463d1d73b7ep-10, -0x1.131b7084953b2p-10, -0x1.0a358ee6c80d1p-10, -0x1.019278f76edcdp-10, -0x1.f26049b47ba9p-11, -0x1.e219943b99d85p-11, -0x1.d24dd4ab91b46p-11, -0x1.c2fa5c346f861p-11, -0x1.b41c5b041ee37p-11, -0x1.a5b09996d213fp-11, -0x1.97b3912b579fcp-11, -0x1.8a21cfda5f582p-11, -0x1.7cf85765daa21p-11, -0x1.7034ab2a63c3fp-11, -0x1.63d486eb27042p-11, -0x1.57d581c195ec4p-11, -0x1.4c34eccc26bf5p-11, -0x1.40f00563fdc0dp-11, -0x1.36044f96b7c26p-11, -0x1.2b6fd3716f28fp-11, -0x1.2131090d9e9b2p-11, -0x1.17466c7df3621p-11, -0x1.0dadef96337cbp-11, -0x1.0464a922bb415p-11, -0x1.f6ce0eb2401edp-12, -0x1.e562e24adc116p-12, -0x1.d481deb015d8dp-12, -0x1.c426e4f4d879bp-12, -0x1.b44f2c1d80349p-12, -0x1.a4f8437786f84p-12, -0x1.961f602da5b51p-12, -0x1.87c162401af0bp-12, -0x1.79db59a336426p-12, -0x1.6c6b0ad2864b6p-12, -0x1.5f6f05ecf70a5p-12, -0x1.52e61734b1242p-12, -0x1.46ce414befbd9p-12, -0x1.3b23d8691abcap-12, -0x1.2fe15af8c6389p-12, -0x1.250036db51af5p-12, -0x1.1a7a1bb3ee6ep-12, -0x1.104a2343ed367p-12, -0x1.066d412009afdp-12, -0x1.f9c3ce4d0456bp-13, -0x1.e74e5cedfd08dp-13, -0x1.d5781020c7268p-13, -0x1.c43dd8c161bap-13, -0x1.b39c4ee76ba7p-13, -0x1.a390f8b8f6103p-13, -0x1.941af803cab2dp-13, -0x1.8539e9e34ccbcp-13, -0x1.76eb91ffd61e9p-13, -0x1.692a7c5543afcp-13, -0x1.5bee8f517601bp-13, -0x1.4f2e94b60cb46p-13, -0x1.42e1ad09da764p-13, -0x1.37006f321ff3fp-13, -0x1.2b856404cfcbp-13, -0x1.206cf16c4b3dbp-13, -0x1.15b5065c97258p-13, -0x1.0b5ccec26e64fp-13, -0x1.0163d650c6ab9p-13, -0x1.ef9196384b457p-14, -0x1.dd12c8f7d2362p-14, -0x1.cb47fc6d5ca3ep-14, -0x1.ba319732cf5b5p-14, -0x1.a9d062acbf6afp-14, -0x1.9a1fe76263c3fp-14, -0x1.8b158f1c8f42ap-14, -0x1.7ca499f0f0cbp-14, -0x1.6ec1d2147bc5cp-14, -0x1.61647c50ccc27p-14, -0x1.5485e6a34e5c9p-14, -0x1.482154c37d2d5p-14, -0x1.3c335d49ac06ep-14, -0x1.30b79014448bbp-14, -0x1.25a809651fe83p-14, -0x1.1b0165a1b04a5p-14, -0x1.10c47bce8d6e7p-14, -0x1.06f1e797101e8p-14, -0x1.fb0de865a0a82p-15, -0x1.e90212fb7d15fp-15, -0x1.d7c03591396a4p-15, -0x1.c74577fb18d3p-15, -0x1.b786918a6b8e9p-15, -0x1.a874bfc5c2c39p-15, -0x1.9a036dd2da71ap-15, -0x1.8c28b5917e137p-15, -0x1.7edc18df2ec2cp-15, -0x1.7216d81557bb3p-15, -0x1.65d571bbcd41dp-15, -0x1.5a17c16fcb5b6p-15, -0x1.4edd473db84cap-15, -0x1.441e2575aee8dp-15, -0x1.39cb8804372ccp-15, -0x1.2fdec5f5ac889p-15, -0x1.265fcc16d8d58p-15, -0x1.1d53d36b042d4p-15, -0x1.14b2eca2d23b9p-15, -0x1.0c74afdd81fcap-15, -0x1.049721d34f8c7p-15, -0x1.fa2d4ebbc0a98p-16, -0x1.ebd98e5b1d3c2p-16, -0x1.de29cb534290bp-16, -0x1.d1193ddb0d093p-16, -0x1.c4a1b3d8eab85p-16, -0x1.b8b7eace1378fp-16, -0x1.ad4e66187d372p-16, -0x1.a25d37f596d98p-16, -0x1.97e5f974fbc05p-16, -0x1.8ded6791d5041p-16, -0x1.84727d3a6b224p-16, -0x1.7b6a89dc4db6ap-16, -0x1.72c57023c391fp-16, -0x1.6a808ce8f98a8p-16, -0x1.62a72cad6bbd3p-16, -0x1.5b31bbbd38cd8p-16, -0x1.540ad0109a266p-16, -0x1.4d313e5c2dbc6p-16, -0x1.46abbf9523b3cp-16, -0x1.40754fd0dec63p-16, -0x1.3a86d71a56ec1p-16, -0x1.34dea1e822025p-16, -0x1.2f7db42094345p-16, -0x1.2a625dbc0aab9p-16, -0x1.2583d8ac93afap-16, -0x1.20d520eea256fp-16, -0x1.1c516f1a15a9fp-16, -0x1.17ffa0cb39bap-16, -0x1.13e29d42e06cdp-16, -0x1.0ff362122930bp-16, -0x1.0c30ae64fb837p-16, -0x1.08a0b78051bf8p-16, -0x1.053f35ce9918bp-16, -0x1.01fe1005bd591p-16, -0x1.fdb5cb18d6636p-17, -0x1.f7a90d1d3c9d4p-17, -0x1.f1cce0ec8b344p-17, -0x1.ec2efbef5e781p-17, -0x1.e6d138d51a507p-17, -0x1.e1a72093179a2p-17, -0x1.dcac584c60f5fp-17, -0x1.d7e3bdfb9f60ep-17, -0x1.d34f99226acf6p-17, -0x1.cee8d17a4daf5p-17, -0x1.ca9e143aaffd8p-17, -0x1.c66b2b31f406cp-17, -0x1.c25b1233d026ep-17, -0x1.be6949b1939d8p-17, -0x1.ba8f26a8e97c8p-17, -0x1.b6d507513ffb1p-17, -0x1.b338cd3e6bf7bp-17, -0x1.afb06995ff7b9p-17, -0x1.ac3963683a23ap-17, -0x1.a8d9f5c1f6db1p-17, -0x1.a58ec4658e64p-17, -0x1.a24e27c40b465p-17, -0x1.9f16e1d336e8dp-17, -0x1.9be804632623cp-17, -0x1.98ca2f32b99c8p-17, -0x1.95ba37155e82ap-17, -0x1.92b2cf38a4d22p-17, -0x1.8fb4a86aa3218p-17, -0x1.8cc20285fa7b7p-17, -0x1.89d8b00f89333p-17, -0x1.86f060891629fp-17, -0x1.840a9c1c4559ep-17, -0x1.812896917d5bep-17, -0x1.7e471823e1131p-17, -0x1.7b6c594358c78p-17, -0x1.7896b0d9fc1afp-17, -0x1.75c0c91696188p-17, -0x1.72e9d989de15fp-17, -0x1.7012452adb349p-17, -0x1.6d3a54449de12p-17, -0x1.6a6164f5bc022p-17, -0x1.6787f3b6cad8fp-17, -0x1.64b0f2966a23ap-17, -0x1.61d982711d47bp-17, -0x1.5efcbafc51b9p-17, -0x1.5c1b5a46c652dp-17, -0x1.593a28d1461e3p-17, -0x1.5657c074d27adp-17, -0x1.53724dc45f44dp-17, -0x1.508bb85e8bd6bp-17, -0x1.4da36c9979a8bp-17, -0x1.4ab656bcf7fdbp-17, -0x1.47c491ef0d2bbp-17, -0x1.44ceadb588334p-17, -0x1.41d80c6829329p-17, -0x1.3ede7abd15a04p-17, -0x1.3be0c898957e9p-17, -0x1.38df65d7f3c53p-17, -0x1.35dab09630a71p-17, -0x1.32d2c640d7c75p-17, -0x1.2fc7a6b63ea0cp-17, -0x1.2cb95073171aap-17, -0x1.29a7d4b2a9d69p-17, -0x1.2693530f38924p-17, -0x1.237bd091b2bc4p-17, -0x1.20614be08a646p-17, -0x1.1d44a061eabdfp-17, -0x1.1a25e361ef873p-17, -0x1.17032f37aab1p-17, -0x1.13dddd921de37p-17, -0x1.10b7702499409p-17, -0x1.0d8fe0b3b6321p-17, -0x1.0a65a07ed40dfp-17, -0x1.073842956ec08p-17, -0x1.04097f09687bep-17, -0x1.00d9ddb5d8cf6p-17, -0x1.fb5110ca3ea94p-18, -0x1.f4eb66c0266fep-18, -0x1.ee836a86fa35ap-18, -0x1.e819890764833p-18, -0x1.e1ae18e1672e3p-18, -0x1.db416cd8fdc99p-18, -0x1.d4d3d73503b65p-18, -0x1.ce65a97614babp-18, -0x1.c7f7348047673p-18, -0x1.c188cc169c105p-18, -0x1.bb1abf3c2171p-18, -0x1.b4ad68702b91ep-18, -0x1.ae411d4bde8f9p-18, -0x1.a7d6327248038p-18, -0x1.a16ce8d23b93fp-18, -0x1.9b0574860d327p-18, -0x1.94a099fb4d08cp-18, -0x1.8e3f052c6c9f2p-18, -0x1.87e0204db047fp-18, -0x1.8184427e0b3ecp-18, -0x1.7b2c694e56628p-18, -0x1.74d86645fc88fp-18, -0x1.6e8882672ff1dp-18, -0x1.683d2c3d2cd35p-18, -0x1.61f6b651eed9fp-18, -0x1.5bb56b760e2e5p-18, -0x1.55799495f4f55p-18, -0x1.4f4379af4ea71p-18, -0x1.491361be238d7p-18, -0x1.42e9929f29dc5p-18, -0x1.3cc6510e54786p-18, -0x1.36a9e08353599p-18, -0x1.309481c1577e3p-18, -0x1.2a867b6e1c0aap-18, -0x1.248007254ec0ep-18, -0x1.1e81636b8b266p-18, -0x1.188acc55088b3p-18, -0x1.129c7d5ae8d1bp-18, -0x1.0cb6af17b3a54p-18, -0x1.06d9983cb43c6p-18, -0x1.01057cb8af3e9p-18, -0x1.f675085c10a7ap-19, -0x1.eaf1c5be93badp-19, -0x1.df8196fe1aa95p-19, -0x1.d4243c7c12f45p-19, -0x1.c8dc00a0901a7p-19, -0x1.bda755be2e62ap-19, -0x1.b2872c541b1edp-19, -0x1.a77bde8a0ad01p-19, -0x1.9c85bed3b1ec4p-19, -0x1.91a51bf721bd9p-19, -0x1.86da41d29546cp-19, -0x1.7c2579496fee6p-19, -0x1.718708a40d536p-19, -0x1.66ff336d3f09fp-19, -0x1.5c8e387e04e63p-19, -0x1.523456d41d6c1p-19, -0x1.47f1c851102dbp-19, -0x1.3dc6c4cd9166dp-19, -0x1.33b381d6f4b11p-19, -0x1.29b832553e53p-19, -0x1.1fd5056d2016ap-19, -0x1.160a25d7a5b19p-19, -0x1.0c57ca13bcf16p-19, -0x1.02be0587523a2p-19, -0x1.f27a143e76b57p-20, -0x1.dfa9e4f9da87p-20, -0x1.cd0bda3695adap-20, -0x1.baa0232435118p-20, -0x1.a866f46146b45p-20, -0x1.965fc7a28a917p-20, -0x1.848cf63dc9d04p-20, -0x1.72ec793655706p-20, -0x1.617f31d3d79a7p-20, -0x1.504539cc0f102p-20, -0x1.3f3ebc1b078a7p-20, -0x1.2e6bcc7b7123bp-20, -0x1.1dcc7bd1509e5p-20, -0x1.0d60d98b5f615p-20, -0x1.fa51e38711d62p-21, -0x1.da499925867bdp-21, -0x1.baa8dbf62dd89p-21, -0x1.9b6fac9c9f912p-21, -0x1.7c9e05d440d73p-21, -0x1.5e33da2865365p-21, -0x1.403115b02efb9p-21, -0x1.22959c64cf8b3p-21, -0x1.0561424310347p-21, -0x1.d127d3516f801p-22, -0x1.985b03acc442cp-22, -0x1.605b19ba2d079p-22, -0x1.29282840b901bp-22, -0x1.e5829df68a86p-23, -0x1.7a4c9a6cff64dp-23, -0x1.10acc88c7cd1cp-23, -0x1.5143d8cffb9f3p-24, -0x1.08aabc1d6ff6bp-25, 0x1.15d2e962a0c57p-26, 0x1.0c1d74e86743ep-24, 0x1.cfa7fb8fceb35p-24, 0x1.480bd1aed9119p-23, 0x1.a6b7c04433387p-23, 0x1.01ed095983b17p-22, 0x1.2fba11ad76348p-22, 0x1.5cc40928b7effp-22, 0x1.890beb0c35406p-22, 0x1.b492be8777f8bp-22, 0x1.df598fbbfdd9cp-22, 0x1.04b0b954f1bccp-21, 0x1.1955c15d17fbdp-21, 0x1.2d9c7114dee0ap-21, 0x1.41855c55ba1cap-21, 0x1.5511193f95caap-21, 0x1.684043c2beab2p-21, 0x1.7b137db04d764p-21, 0x1.8d8b54f95e4bp-21, 0x1.9fa87ba659411p-21, 0x1.b16b9b342b7afp-21, 0x1.c2cf744a1c1b2p-21, 0x1.d3e64aefc4595p-21, 0x1.e49f16c8ae4eap-21, 0x1.f5008dcf51098p-21, 0x1.0285a7bf2ff17p-20, 0x1.0a600652cfcc9p-20, 0x1.120fbc3fdf099p-20, 0x1.19952407acb08p-20, 0x1.20f0990b9a032p-20, 0x1.2822773fb03abp-20, 0x1.2f2b18f749f5dp-20, 0x1.360ae22df5673p-20, 0x1.3cc22b19699d4p-20, 0x1.435153fd02992p-20, 0x1.49b8bbf8fae6ap-20, 0x1.4ff8c68c21f29p-20, 0x1.5611c810dcf74p-20, 0x1.5c042ccc35f83p-20, 0x1.61d0542155125p-20, 0x1.67769a65986f4p-20, 0x1.6cf7631601299p-20, 0x1.72530fd747c93p-20, 0x1.778a077d2a61ap-20, 0x1.7c9ca2ed56f44p-20, 0x1.818b664343af8p-20, 0x1.865662373cc5fp-20, 0x1.8afe51b6f6ac5p-20, 0x1.8f836fbf15a31p-20, 0x1.93e623ab5434ap-20, 0x1.9826d0cf167cdp-20, 0x1.9c45da14bcc4bp-20, 0x1.a043a24eeb6fcp-20, 0x1.a4208c3dae77dp-20, 0x1.a7dcfa8b11d15p-20, 0x1.ab794fc2d36e4p-20, }}, 
      {{0x1.b6901967e3f4ap-2, 0x1.1c130b2a636eap-1, 0x1.5bc2ead9dcb98p-1, 0x1.8b0ae4cda8192p-1, 0x1.a493823804ebdp-1, 0x1.a878788a7f6e7p-1, 0x1.998f0556842a3p-1, 0x1.7bc71fb2c2bedp-1, 0x1.533fa4abbe85cp-1, 0x1.23c90c74cd8c8p-1, 0x1.e155cb92319d5p-2, 0x1.7920da47fdd64p-2, 0x1.131608eb633f8p-2, 0x1.64800390beefp-3, 0x1.62dc152e9cae3p-4, 0x1.f257a63e3a459p-8, -0x1.feebbc3ca7b72p-5, -0x1.f844841c6f07dp-4, -0x1.660a2df149333p-3, -0x1.be64204be6eb1p-3, -0x1.033ff3e8071dfp-2, -0x1.1ff40270353f6p-2, -0x1.3622b514b089p-2, -0x1.46a4e09df4a6dp-2, -0x1.524f920949f11p-2, -0x1.59ee348b4c3cbp-2, -0x1.5e3e93237467ep-2, -0x1.5fee561ae5394p-2, -0x1.5f99aae39fb9cp-2, -0x1.5dcace97b58e5p-2, -0x1.5afa4347d3c3ep-2, -0x1.578f7d46ca00cp-2, -0x1.53e1e3174a2ecp-2, -0x1.503a01dc41bdp-2, -0x1.4cd2ddcc9228p-2, -0x1.49db4dc37f33ap-2, -0x1.47775659df9fap-2, -0x1.45c179c38ab27p-2, -0x1.44cbf7ac50af4p-2, -0x1.44a1f885e23bap-2, -0x1.4548a25ae09e1p-2, -0x1.46c0154e354afp-2, -0x1.49044e98a5ce5p-2, -0x1.4c0df30e0524cp-2, -0x1.4fd30233b47efp-2, -0x1.544773666a16ep-2, -0x1.595dbdcc0b4bcp-2, -0x1.5f074d1a7f3bcp-2, -0x1.6534e4e89e95bp-2, -0x1.6bd6f486f4f6dp-2, -0x1.72dddcda0facep-2, -0x1.7a3a2a385075ep-2, -0x1.81dcc31948bc5p-2, -0x1.89b70d331bba2p-2, -0x1.91bb0a54b7b7ep-2, -0x1.99db6e06a05p-2, -0x1.a20bad1763061p-2, -0x1.aa4007e27e66bp-2, -0x1.b26d90717236dp-2, -0x1.ba8a2cc8b3862p-2, -0x1.c28c966daaa32p-2, -0x1.ca6c573f8d342p-2, -0x1.d221c4b8129b7p-2, -0x1.d9a5f90d65bfbp-2, -0x1.e0f2cbdd59bc2p-2, -0x1.e802c981bad4dp-2, -0x1.eed129f6c64fcp-2, -0x1.f559c7608abe1p-2, -0x1.fb99145907b67p-2, -0x1.00c6091a5f069p-1, -0x1.039823aeccf33p-1, -0x1.0641dae72d685p-1, -0x1.08c268e9a340fp-1, -0x1.0b193c89e3c45p-1, -0x1.0d45f4f9bf054p-1, -0x1.0f485da9a194cp-1, -0x1.11206a5a96f56p-1, -0x1.12ce336774a45p-1, -0x1.1451f23de6eefp-1, -0x1.15abfe0d4b5cap-1, -0x1.16dcc8bccff47p-1, -0x1.17e4dbf171a5p-1, -0x1.18c4d66762878p-1, -0x1.197d696d6a5f9p-1, -0x1.1a0f5692b0bbbp-1, -0x1.1a7b6d822618ap-1, -0x1.1ac28a067278fp-1, -0x1.1ae5923b6630fp-1, -0x1.1ae574dfd0c0ep-1, -0x1.1ac327d0c6e4bp-1, -0x1.1a7fa6a2160ffp-1, -0x1.1a1bf15b68d1ep-1, -0x1.19990b4bc7102p-1, -0x1.18f7fa01981abp-1, -0x1.1839c452f0845p-1, -0x1.175f718330256p-1, -0x1.166a087d364dp-1, -0x1.155a8f1f10846p-1, -0x1.1432099eaa049p-1, -0x1.12f179f6bbfefp-1, -0x1.1199df6b6db3dp-1, -0x1.102c36199bfbcp-1, -0x1.0ea97696f40b8p-1, -0x1.0d12959475b9p-1, -0x1.0b68839d25a1p-1, -0x1.09ac2ccf0b253p-1, -0x1.07de78a8dcc94p-1, -0x1.060049d75cf4cp-1, -0x1.04127e1302b1fp-1, -0x1.0215edffb3821p-1, -0x1.000b6d124c2cbp-1, -0x1.fbe79303f906ep-2, -0x1.f79f9871189f5p-2, -0x1.f340719318e36p-2, -0x1.eecb9ae3c5198p-2, -0x1.ea428629850fcp-2, -0x1.e5a69a7f831a8p-2, -0x1.e0f93467ed715p-2, -0x1.dc3ba5db0512ap-2, -0x1.d76f365e8619ep-2, -0x1.d2952327f5543p-2, -0x1.cdae9f3887ff9p-2, -0x1.c8bcd380a0d63p-2, -0x1.c3c0df0b455aep-2, -0x1.bebbd7249979p-2, -0x1.b9aec783748c7p-2, -0x1.b49ab27b1b166p-2, -0x1.af80912908da3p-2, -0x1.aa6153a1797b8p-2, -0x1.a53de124309cp-2, -0x1.a017184f28892p-2, -0x1.9aedcf4d068d7p-2, -0x1.95c2d40927b33p-2, -0x1.9096ec64a523cp-2, -0x1.8b6ad66841515p-2, -0x1.863f4873a1508p-2, -0x1.8114f173bb9d8p-2, -0x1.7bec791576134p-2, -0x1.76c67ff49cdbap-2, -0x1.71a39fccbeebep-2, -0x1.6c846bacd8b37p-2, -0x1.67697026ec04fp-2, -0x1.6253337c530b9p-2, -0x1.5d4235ccff5ccp-2, -0x1.5836f14826f41p-2, -0x1.5331da581a419p-2, -0x1.4e335fcbc3a52p-2, -0x1.493beb02bf74fp-2, -0x1.444be01a4086bp-2, -0x1.3f639e15f0e5ap-2, -0x1.3a837f05cb998p-2, -0x1.35abd82e2b934p-2, -0x1.30dcfa31061b8p-2, -0x1.2c173133dd3a6p-2, -0x1.275ac5025339bp-2, -0x1.22a7f931beff9p-2, -0x1.1dff0d4572f8bp-2, -0x1.19603cd3ff943p-2, -0x1.14cbbfa530eedp-2, -0x1.1041c9d1e93e3p-2, -0x1.0bc28be4894a4p-2, -0x1.074e32f9a9d38p-2, -0x1.02e4e8de017e9p-2, -0x1.fd0da853a904dp-3, -0x1.f46830b97898ap-3, -0x1.ebd9abf589bd4p-3, -0x1.e362555109e1ap-3, -0x1.db02628952c7fp-3, -0x1.d2ba03ffce848p-3, -0x1.ca8964eb25568p-3, -0x1.c270ab89cb597p-3, -0x1.ba6ff9529d3b2p-3, -0x1.b2876b2163927p-3, -0x1.aab7196094c3fp-3, -0x1.a2ff182eae5bdp-3, -0x1.9b5f77976ef2dp-3, -0x1.93d843ae4f91dp-3, -0x1.8c6984bdebaa1p-3, -0x1.85133f6af0f36p-3, -0x1.7dd574d64ea79p-3, -0x1.76b022c537ae2p-3, -0x1.6fa343c3b8c24p-3, -0x1.68aecf47ad978p-3, -0x1.61d2b9d03d979p-3, -0x1.5b0ef5007a376p-3, -0x1.54636fcef127ep-3, -0x1.4dd0168845524p-3, -0x1.4754d3091defap-3, -0x1.40f18ccb6e396p-3, -0x1.3aa629042e087p-3, -0x1.34728abd8dbb6p-3, -0x1.2e5692f19f1a3p-3, -0x1.285220a45fe55p-3, -0x1.226510fc4b0a6p-3, -0x1.1c8f3f595b62ap-3, -0x1.16d0856b36f03p-3, -0x1.1128bb47425b6p-3, -0x1.0b97b77eca6dap-3, -0x1.061d4f3496417p-3, -0x1.00b956313078ep-3, -0x1.f6d73dec3a46p-4, -0x1.ec67f5a09a785p-4, -0x1.e22473d4cc677p-4, -0x1.d80c56bdf1761p-4, -0x1.ce1f3a9486f18p-4, -0x1.c45cb9b620506p-4, -0x1.bac46cc56d282p-4, -0x1.b155eac8a6fedp-4, -0x1.a810c9477969bp-4, -0x1.9ef49c68b01e2p-4, -0x1.9600f70f67662p-4, -0x1.8d356af68e47bp-4, -0x1.849188cb685a1p-4, -0x1.7c14e0479bd99p-4, -0x1.73bf004809a64p-4, -0x1.6b8f76e59edbfp-4, -0x1.6385d18c4fa5ep-4, -0x1.5ba19d1202102p-4, -0x1.53e265cc1a967p-4, -0x1.4c47b7a72f55dp-4, -0x1.44d11e2df06ap-4, -0x1.3d7e24b37e4c7p-4, -0x1.364e564f71003p-4, -0x1.2f413dfafd176p-4, -0x1.285666a09a7f7p-4, -0x1.218d5b2c4bea5p-4, -0x1.1ae5a69b89afbp-4, -0x1.145ed40c5acd9p-4, -0x1.0df86ecbd6172p-4, -0x1.07b2026435ca1p-4, -0x1.018b1aaa79abbp-4, -0x1.f7068796e410ap-5, -0x1.eb3414b0c5199p-5, -0x1.df9df6a5ad30fp-5, -0x1.d443486fc4f97p-5, -0x1.c9232615dfd8dp-5, -0x1.be3cacc01c165p-5, -0x1.b38efacbc175bp-5, -0x1.a9192fddf9ad9p-5, -0x1.9eda6cf632509p-5, -0x1.94d1d47f691b2p-5, -0x1.8afe8a6051c3bp-5, -0x1.815fb40ab5b39p-5, -0x1.77f47889dfecep-5, -0x1.6ebc00902c545p-5, -0x1.65b576842556ap-5, -0x1.5ce0068d94e2bp-5, -0x1.543ade9ecb5bbp-5, -0x1.4bc52e84b04c8p-5, -0x1.437e27ec08c82p-5, -0x1.3b64fe6d21dc9p-5, -0x1.3378e793fe658p-5, -0x1.2bb91ae8c0aedp-5, -0x1.2424d1f72f0a5p-5, -0x1.1cbb48573613bp-5, -0x1.157bbbb2b35b9p-5, -0x1.0e656bcbc6d4cp-5, -0x1.07779a81ad8a5p-5, -0x1.00b18bd5a5d5fp-5, -0x1.f4250bddb1713p-6, -0x1.e733a23ed79cfp-6, -0x1.da8d6fd0fa9acp-6, -0x1.ce310dfb6f087p-6, -0x1.c21d1a8f7b03dp-6, -0x1.b65037cb1e4c8p-6, -0x1.aac90c5b209fdp-6, -0x1.9f86435c3cc99p-6, -0x1.94868c60df595p-6, -0x1.89c89b72e4c58p-6, -0x1.7f4b29184ed62p-6, -0x1.750cf25a1b6bp-6, -0x1.6b0cb8a1852bap-6, -0x1.614941f17800cp-6, -0x1.57c158a1ee012p-6, -0x1.4e73cb800d53bp-6, -0x1.455f6dc6936aap-6, -0x1.3c831720fa08p-6, -0x1.33dda3a9b3794p-6, -0x1.2b6df3e699347p-6, -0x1.2332ecc3629e3p-6, -0x1.1b2b777cbcca8p-6, -0x1.13568199129abp-6, -0x1.0bb2fce186d19p-6, -0x1.043fdf61bf4c7p-6, -0x1.f9f846dc14eadp-7, -0x1.ebcd8f45ea026p-7, -0x1.ddfd9dcac0e82p-7, -0x1.d0868099357c7p-7, -0x1.c3664e1d3c7a3p-7, -0x1.b69b24cc9ef4ap-7, -0x1.aa232b0790998p-7, -0x1.9dfc8f1597574p-7, -0x1.922587367fb4cp-7, -0x1.869c51c84fedbp-7, -0x1.7b5f354ab8f64p-7, -0x1.706c805b53d68p-7, -0x1.65c28960ea04ep-7, -0x1.5b5fae4e0a348p-7, -0x1.514254436fc6fp-7, -0x1.4768e762fd3ddp-7, -0x1.3dd1dad39df9fp-7, -0x1.347ba8f480dafp-7, -0x1.2b64d3a2d9dd3p-7, -0x1.228be46a94347p-7, -0x1.19ef6c7ed1ef1p-7, -0x1.118e046cea042p-7, -0x1.09664b9ac6913p-7, -0x1.0176e7bae8b9ap-7, -0x1.f37d08d2b914cp-8, -0x1.e477a62f28fddp-8, -0x1.d5db169c51724p-8, -0x1.c7a4d64ebc972p-8, -0x1.b9d26f9541ba5p-8, -0x1.ac617b5613b95p-8, -0x1.9f4fa0c64825p-8, -0x1.929a943e17442p-8, -0x1.864015b129bdep-8, -0x1.7a3def0454695p-8, -0x1.6e91f32a1bf95p-8, -0x1.6339fe227c691p-8, -0x1.5833f5f964163p-8, -0x1.4d7dcc588317ep-8, -0x1.4315800ce877dp-8, -0x1.38f91deb29a9p-8, -0x1.2f26c031d29a7p-8, -0x1.259c8d9fe6483p-8, -0x1.1c58b6aa660a7p-8, -0x1.13597387b01d6p-8, -0x1.0a9d02a9b006dp-8, -0x1.0221a889faefap-8, -0x1.f3cb61ade764fp-9, -0x1.e3cee11fa445ap-9, -0x1.d44a90989ef5dp-9, -0x1.c53b4bb3bf61ep-9, -0x1.b69e0911017cep-9, -0x1.a86fd7d40ae27p-9, -0x1.9aadda97c3047p-9, -0x1.8d55415bd5d8cp-9, -0x1.80634455b5f35p-9, -0x1.73d5219fa2d14p-9, -0x1.67a81e36a1a04p-9, -0x1.5bd98a44d6fbep-9, -0x1.5066c6eac7c3cp-9, -0x1.454d4bc8f3ebbp-9, -0x1.3a8aaa5ad28edp-9, -0x1.301c8e196ec45p-9, -0x1.2600b92339dfcp-9, -0x1.1c34fe2795273p-9, -0x1.12b739341ce7ap-9, -0x1.09854981552a7p-9, -0x1.009d0ea2c0475p-9, -0x1.eff8d25dcbcbcp-10, -0x1.df42804521289p-10, -0x1.cf130f0facbd3p-10, -0x1.bf668dfdffb8p-10, -0x1.b0393bbbdcc41p-10, -0x1.a187880be16aep-10, -0x1.934e0ef48d62ap-10, -0x1.85898ea70b54ep-10, -0x1.7836da0309619p-10, -0x1.6b52ca837cb85p-10, -0x1.5eda355019f92p-10, -0x1.52c9e77fc5c63p-10, -0x1.471eab82e04cp-10, -0x1.3bd5562c76d83p-10, -0x1.30ead636144b9p-10, -0x1.265c3e2e9de86p-10, -0x1.1c26d41151d1p-10, -0x1.1247f4100af8dp-10, -0x1.08bd2e64f07c1p-10, -0x1.ff0848172e448p-11, -0x1.ed3514e79e25fp-11, -0x1.dbfc3e50d28c7p-11, -0x1.cb593ab89a746p-11, -0x1.bb47710c3ff1ep-11, -0x1.abc230c82ad9fp-11, -0x1.9cc4d29a32dadp-11, -0x1.8e4acea3c3bc4p-11, -0x1.804fdb2d38e47p-11, -0x1.72cff50d6a1b6p-11, -0x1.65c754ef823cdp-11, -0x1.59325bafe565ep-11, -0x1.4d0d85b3c36aep-11, -0x1.4155675d07bccp-11, -0x1.3606c41d7b4c8p-11, -0x1.2b1e593a30e19p-11, -0x1.2099166b887abp-11, -0x1.1673cde5e4719p-11, -0x1.0cab48ba38d0ep-11, -0x1.033c4f0257123p-11, -0x1.f4478bd33becep-12, -0x1.e2bd92d75bf67p-12, -0x1.d1d5609ac8bd2p-12, -0x1.c189ec668285dp-12, -0x1.b1d634cc0a3d4p-12, -0x1.a2b517264b0e4p-12, -0x1.9421600fade54p-12, -0x1.861606e8a1d29p-12, -0x1.788e63b714c8ep-12, -0x1.6b8633e83923cp-12, -0x1.5ef96c7a0f1a9p-12, -0x1.52e402840b272p-12, -0x1.4741d84bc54e1p-12, -0x1.3c0edb1f76bd6p-12, -0x1.3147377fe1692p-12, -0x1.26e77b235ce31p-12, -0x1.1cec876f4e6b7p-12, -0x1.135351a8b39bbp-12, -0x1.0a18910946256p-12, -0x1.013891c91811ep-12, -0x1.f15ea7b9ef6c7p-13, -0x1.e0f1cfbaaae0cp-13, -0x1.d1239c95c377cp-13, -0x1.c1ee39b1560c8p-13, -0x1.b34cb38cdc328p-13, -0x1.a53a65e790f8bp-13, -0x1.97b2978ed636dp-13, -0x1.8ab07cf0d5047p-13, -0x1.7e2f81fe6632p-13, -0x1.722b910bf9ce2p-13, -0x1.66a1213a5838fp-13, -0x1.5b8ce135aa525p-13, -0x1.50eb28852787ep-13, -0x1.46b778808605cp-13, -0x1.3cec67b81e4fap-13, -0x1.33840f5f42cb1p-13, -0x1.2a78c554e4ab8p-13, -0x1.21c5bdb81a41p-13, -0x1.196746a3a9268p-13, -0x1.115a94d151885p-13, -0x1.099d4ce61ba8bp-13, -0x1.022d10556895bp-13, -0x1.f60ea1b54dcafp-14, -0x1.e852ea9722ee9p-14, -0x1.db22716e03fe4p-14, -0x1.ce79a07227affp-14, -0x1.c2554218715c5p-14, -0x1.b6b14365fafb5p-14, -0x1.ab87fea743318p-14, -0x1.a0d28a1389411p-14, -0x1.968984131e2a6p-14, -0x1.8ca5d2de1ca6bp-14, -0x1.83213d98c9256p-14, -0x1.79f69dc90d596p-14, -0x1.7121ee84c99fp-14, -0x1.68a0191fb4ba1p-14, -0x1.606ec28e1df24p-14, -0x1.588bd777be55cp-14, -0x1.50f4ddce27bf2p-14, -0x1.49a6ed200bfb6p-14, -0x1.429f86e06fe51p-14, -0x1.3bdd2fc9a2b5p-14, -0x1.355e92440a41dp-14, -0x1.2f2111ec71b8cp-14, -0x1.29209b3e8802fp-14, -0x1.2358a96b3b131p-14, -0x1.1dc531a7b6539p-14, -0x1.1862d92696e61p-14, -0x1.132ed2be1d794p-14, -0x1.0e26d7cc663aap-14, -0x1.0949011dd61bdp-14, -0x1.0493368dcd597p-14, -0x1.00031a4147e81p-14, -0x1.f72dff4c400d5p-15, -0x1.ee9c95c08c2fp-15, -0x1.e650a5ff561d1p-15, -0x1.de475535a8a46p-15, -0x1.d67df58596bb4p-15, -0x1.cef32427948ccp-15, -0x1.c7a4d7ed3936ep-15, -0x1.c08f109584139p-15, -0x1.b9ad165394941p-15, -0x1.b2fad5c84789bp-15, -0x1.ac74fa3a4c765p-15, -0x1.a61898d5d2647p-15, -0x1.9fe33ba111f42p-15, -0x1.99d33bcd1040dp-15, -0x1.93e7c0c89bdd6p-15, -0x1.8e1fe62398085p-15, -0x1.88791e58cecc5p-15, -0x1.82ef5053f60bap-15, -0x1.7d8061d24f722p-15, -0x1.782da184020dfp-15, -0x1.72f7bc077574dp-15, -0x1.6ddc61d75f0c5p-15, -0x1.68d934a933679p-15, -0x1.63ed52182a219p-15, -0x1.5f1776ddb4749p-15, -0x1.5a55d5b28549fp-15, -0x1.55a7145306a73p-15, -0x1.510a6450647cep-15, -0x1.4c7ed5d49d4ffp-15, -0x1.4802efdc3933ap-15, -0x1.439501de3e7e3p-15, -0x1.3f33ff3ce2c8ep-15, -0x1.3adfed52f0006p-15, -0x1.36992ed90e07ep-15, -0x1.325f89e3a82p-15, -0x1.2e31b6ee35c8ep-15, -0x1.2a0dd9c907f3cp-15, -0x1.25f39d3b09528p-15, -0x1.21e4375236f93p-15, -0x1.1ddec99b65bbdp-15, -0x1.19e0fb2950bbp-15, -0x1.15eaad091e308p-15, -0x1.11fc9acb68502p-15, -0x1.0e1640081da74p-15, -0x1.0a36e5514a621p-15, -0x1.065e6a20233bep-15, -0x1.028cf975ffc38p-15, -0x1.fd84ee86b2ca3p-16, -0x1.f5fc10b4820d4p-16, -0x1.ee7cc2848eefp-16, -0x1.e70630f67a77fp-16, -0x1.df9a0261b22acp-16, -0x1.d8390c4a332b7p-16, -0x1.d0e20c2b7400dp-16, -0x1.c994fa9c2de56p-16, -0x1.c25365e557861p-16, -0x1.bb1ca3cb60ba8p-16, -0x1.b3edfd129536p-16, -0x1.acc7377e75d39p-16, -0x1.a5a85beff1698p-16, -0x1.9e90c49513e7bp-16, -0x1.9781eca59ce3fp-16, -0x1.907cf112ea17ep-16, -0x1.89802f5d08adap-16, -0x1.828bb506ff5fcp-16, -0x1.7ba015dfde8bcp-16, -0x1.74bdda767e05ap-16, -0x1.6de4927256b91p-16, -0x1.6712c148f1d66p-16, -0x1.6048b10d1f1fbp-16, -0x1.59868a6c755c2p-16, -0x1.52cd6334ad1b5p-16, -0x1.4c1c6bb8fb29fp-16, -0x1.4574c920b5c05p-16, -0x1.3ed68cdf2d6ddp-16, -0x1.3840f7f4fcfaep-16, -0x1.31b414aa863aap-16, -0x1.2b30c42fbf38ap-16, -0x1.24b6fd1d63a21p-16, -0x1.1e4605d10e8b5p-16, -0x1.17de02400f42ap-16, -0x1.117f1cc086ddbp-16, -0x1.0b2a77b1d4621p-16, -0x1.04e0019f84238p-16, -0x1.fd3edfea70da2p-17, -0x1.f0d2256a513b7p-17, -0x1.e47ac1d5664dp-17, -0x1.d838b91d53c41p-17, -0x1.cc0acc0b837cfp-17, -0x1.bff1bca35c7d4p-17, -0x1.b3ee3845871a1p-17, -0x1.a80000d814c4cp-17, -0x1.9c28b497aa8c3p-17, -0x1.90689526da56dp-17, -0x1.84beba176e0cfp-17, -0x1.792b6de29eep-17, -0x1.6daf1033b86cp-17, -0x1.624a19e155faep-17, -0x1.56fcb938f9988p-17, -0x1.4bc759ef338fbp-17, -0x1.40aae8f5ecf03p-17, -0x1.35a71bbdb3279p-17, -0x1.2abb32ef96374p-17, -0x1.1fe798e3fba33p-17, -0x1.152d94ec87c33p-17, -0x1.0a8d1da935c01p-17, -0x1.00060b7f89774p-17, -0x1.eb3200c7ff8d2p-18, -0x1.d68c2581d816cp-18, -0x1.c21997eaeb7a3p-18, -0x1.addac496a3bc2p-18, -0x1.99d043ca2d8b4p-18, -0x1.85fbe10c78274p-18, -0x1.725cf7a4902ebp-18, -0x1.5ef34d42d6e4dp-18, -0x1.4bbf56147f32p-18, -0x1.38c178a565ab9p-18, -0x1.25f9f99a916b2p-18, -0x1.13690a62dcb5bp-18, -0x1.010ed60b851fp-18, -0x1.ddd715f7fb0ddp-19, -0x1.b9feb3b57b107p-19, -0x1.9694c50c18eb4p-19, -0x1.7399772d62636p-19, -0x1.510db99ff9ef9p-19, -0x1.2ef1bc72ff871p-19, -0x1.0d43c4e1d19d6p-19, -0x1.d80a2c8195505p-20, -0x1.966e89128a87bp-20, -0x1.55b431363466p-20, -0x1.15d820db053f1p-20, -0x1.adb2597d9e1b3p-21, -0x1.31743af78d04dp-21, -0x1.6df06b0ffdc3ep-22, -0x1.f1d4a4fd78684p-24, 0x1.c633486f02763p-24, 0x1.5c13905910a2cp-22, 0x1.218fe0e1b413p-21, 0x1.9359699df0335p-21, 0x1.01b39a51e0ed4p-20, 0x1.38dd1600276dbp-20, 0x1.6f29ad8eb56p-20, 0x1.a499ee3484a41p-20, 0x1.d92eb8064e053p-20, 0x1.067405da235c2p-19, 0x1.1fe3a43d2d2b2p-19, 0x1.38e6709023c46p-19, 0x1.517cd2629b482p-19, 0x1.69a73f506f6f9p-19, 0x1.81663ad7554ccp-19, 0x1.98b9f5ffb680cp-19, 0x1.afa2b0619494cp-19, 0x1.c6217aa6816a3p-19, 0x1.dc36d2864f63bp-19, 0x1.f1e2d576a541ap-19, 0x1.0393352854cf4p-18, 0x1.0e010239aad57p-18, 0x1.183b226639d18p-18, 0x1.2241db2382c09p-18, 0x1.2c157b3e69067p-18, 0x1.35b653b9e9f8ep-18, 0x1.3f24b760280edp-18, 0x1.4860fab593521p-18, 0x1.516b73ecda232p-18, 0x1.5a447ad124dd7p-18, 0x1.62ec687c5fafep-18, 0x1.6b63a1093c19bp-18, 0x1.73aa67199db82p-18, 0x1.7bc12f857da87p-18, 0x1.83a85433f85b2p-18, 0x1.8b6035145106bp-18, 0x1.92e933726edbbp-18, 0x1.9a43b288f5376p-18, 0x1.a17016e8ef38bp-18, 0x1.a86ec272e83cep-18, 0x1.af401986f5668p-18, 0x1.b5e48a6ad0bb1p-18, 0x1.bc5c79262a1bcp-18, 0x1.c2a889e0c34d6p-18, 0x1.c8c875fa310a6p-18, 0x1.cebd546c42cacp-18, 0x1.d4875b1e31e9p-18, 0x1.da26f3cb1d712p-18, 0x1.df9c8a3f0b88fp-18, 0x1.e4e88b90a8f83p-18, 0x1.ea0b64c2cc7bap-18, 0x1.ef0584553cf75p-18, 0x1.f3d757f9728d7p-18, 0x1.f8814e2571c0ap-18, 0x1.fd03d6641402p-18, 0x1.00afafb82639p-17, 0x1.02ca2c848e3eep-17, 0x1.04d1996f9498bp-17, 0x1.06c62e5a9ea5cp-17, 0x1.08a82338bbd16p-17, 0x1.0a77b030eadf7p-17, 0x1.0c350ca360e92p-17, 0x1.0de07357d5569p-17, 0x1.0f7a17dfc72c4p-17, 0x1.110235c4da9fp-17, 0x1.127906033c6b9p-17, 0x1.13debcf21f41cp-17, 0x1.153393eb6a9d5p-17, 0x1.1677c12e2918ap-17, 0x1.17ac1b07731eap-17, 0x1.18cf01841523bp-17, 0x1.19e28ed7cb15bp-17, 0x1.1ae64c0d4765dp-17, 0x1.1bda76c537855p-17, 0x1.1cbf458bf2f22p-17, 0x1.1d94ef91e76d4p-17, 0x1.1e5babb82bfdp-17, 0x1.1f13b090c9453p-17, 0x1.1fbd3451d4484p-17, 0x1.20586cf936f0fp-17, 0x1.20e5905c48597p-17, 0x1.2164d41620bb6p-17, 0x1.21d66d56ddf5cp-17, 0x1.223a913982bdp-17, 0x1.2291745bf0db5p-17, 0x1.22db4b0bd90a5p-17, 0x1.23184c0d16696p-17, 0x1.2348aacbdb0f7p-17, 0x1.236c911d98344p-17, 0x1.23844137a54f9p-17, 0x1.238fe30ce5eedp-17, 0x1.238fb43f6b7a2p-17, 0x1.2383db66030a4p-17, 0x1.236c908228209p-17, 0x1.234a04a6089f7p-17, 0x1.231c68e20b268p-17, 0x1.22e3ee1da7b82p-17, 0x1.22a0c501b2a4p-17, 0x1.22531dc30e8cfp-17, 0x1.21fb27d421504p-17, 0x1.219918ee67369p-17, 0x1.212d0fc236d08p-17, 0x1.20b74c43ac32p-17, 0x1.2037f58d9066dp-17, 0x1.1faf3a529c181p-17, 0x1.1f1d48465d216p-17, 0x1.1e824c9d52236p-17, 0x1.1dde7427c71d6p-17, 0x1.1d31eb51fdecap-17, 0x1.1c7cde229a7c7p-17, 0x1.1bbf783592bf4p-17, 0x1.1af9e4b89f02ap-17, 0x1.1a2c4e8955a51p-17, 0x1.1956e036476dap-17, 0x1.1879c32ac2d23p-17, 0x1.1795218b30f19p-17, 0x1.16a9249f0d0dep-17, 0x1.15b5b64674928p-17, 0x1.14bbba8b95886p-17, 0x1.13ba9cb5de51ep-17, 0x1.12b2c48106444p-17, 0x1.11a45864dcedcp-17, 0x1.108f7f0565357p-17, 0x1.0f745ea6e4eaap-17, 0x1.0e531d253ddc9p-17, 0x1.0d2bdff5f61c2p-17, 0x1.0bfecc19792c6p-17, 0x1.0acc0599fda49p-17, 0x1.0993b241df2abp-17, 0x1.0855f450d165bp-17, 0x1.0712efaa4b9eep-17, 0x1.05cac745075adp-17, 0x1.047d9f2e5262p-17, 0x1.032b951265fbbp-17, 0x1.01d4cf199cdc6p-17, 0x1.00796da2cb2fap-17, 0x1.fe331f3555cf6p-18, 0x1.fb6ab0e4b463dp-18, 0x1.f899cbfbfdad9p-18, 0x1.f5c0b1d5336a4p-18, 0x1.f2df9d5c737edp-18, 0x1.eff6eef12855fp-18, 0x1.ed068b501c17ap-18, 0x1.ea0f0b5a0149p-18, 0x1.e71082034c72cp-18, 0x1.e40b2e74edc45p-18, 0x1.e0ff4b06034dcp-18, 0x1.dded10e664667p-18, 0x1.dad4b873df98bp-18, 0x1.d7b67945d5b65p-18, 0x1.d4928a308a1b7p-18, 0x1.d1692145abe11p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.3e8c610588822p-2, 0x1.3ee69aad79a31p-2, 0x1.3f81470b2091bp-2, 0x1.4061e3b3d28b3p-2, 0x1.418eab3ddd004p-2, 0x1.430dba297bceep-2, 0x1.44e45aa204ca1p-2, 0x1.47167eeb437d8p-2, 0x1.49a669c50d11dp-2, 0x1.4c947fa79a17ap-2, 0x1.4fdf39db0232cp-2, 0x1.53833408eff4dp-2, 0x1.577b4d56a6f03p-2, 0x1.5bc0d6ebc9026p-2, 0x1.604bcac74ceecp-2, 0x1.651306c240a67p-2, 0x1.6a0c888b25ef3p-2, 0x1.6f2da83349571p-2, 0x1.746b4f9665925p-2, 0x1.79ba2d7492ae5p-2, 0x1.7f0ee3899a1c5p-2, 0x1.845e2f4656b98p-2, 0x1.899d0d14f761cp-2, 0x1.8ec0d642e673fp-2, 0x1.93bf59ce85009p-2, 0x1.988ef06e6cdc5p-2, 0x1.9d268c3674386p-2, 0x1.a17dc446004bp-2, 0x1.a58cdced67813p-2, 0x1.a94cccb67d7f3p-2, 0x1.acb73eb80ee57p-2, 0x1.afc69296039e6p-2, 0x1.b275da88b39d7p-2, 0x1.b4c0d7be456f7p-2, 0x1.b6a3f5610e5eep-2, 0x1.b81c42861de4ep-2, 0x1.b9276b3f99897p-2, 0x1.b9c3b10784761p-2, 0x1.b9efe2b0d9de4p-2, 0x1.b9ab5406e2062p-2, 0x1.b8f5d53d00877p-2, 0x1.b7cfaa4c48431p-2, 0x1.b639825788f1ep-2, 0x1.b4346f2a7efc6p-2, 0x1.b1c1dce54049bp-2, 0x1.aee389e1c3415p-2, 0x1.ab9b7ede90c54p-2, 0x1.a7ec077748e3p-2, 0x1.a3d7aaf16bef2p-2, 0x1.9f612562113cep-2, 0x1.9a8b612f88b38p-2, 0x1.955970f09958dp-2, 0x1.8fce89a9d2aep-2, 0x1.89edfd687fd7cp-2, 0x1.83bb3639e3c2fp-2, 0x1.7d39b17cd7687p-2, 0x1.766cfb8b360b1p-2, 0x1.6f58abb835008p-2, 0x1.680060a058663p-2, 0x1.6067bcc78782ep-2, 0x1.5892638185943p-2, 0x1.5083f6210c4ccp-2, 0x1.48401169a8b04p-2, 0x1.3fca4b407a8cp-2, 0x1.37263098069dep-2, 0x1.2e57439353682p-2, 0x1.2560f9dca3116p-2, 0x1.1c46bb2c37f82p-2, 0x1.130bdffbb53d3p-2, 0x1.09b3b062ca73bp-2, 0x1.0041631a036adp-2, 0x1.ed7039417f629p-3, 0x1.da35dd06f13dfp-3, 0x1.c6d9ad7f47b01p-3, 0x1.b3617e856bc64p-3, 0x1.9fd2fb03c3df3p-3, 0x1.8c33a450bd22bp-3, 0x1.7888d1b457fd5p-3, 0x1.64d7b012c2513p-3, 0x1.512541b89a4ddp-3, 0x1.3d765e456c158p-3, 0x1.29cfb2b17da3cp-3, 0x1.1635c16c0fc35p-3, 0x1.02ace28f90331p-3, 0x1.de728852a6fc6p-4, 0x1.b7bdd52582f85p-4, 0x1.914361b3d3f7ep-4, 0x1.6b0a926fa1ab1p-4, 0x1.451a7b2561906p-4, 0x1.1f79e015a5daep-4, 0x1.f45e6e425d36bp-5, 0x1.aa815209da001p-5, 0x1.616825479ecccp-5, 0x1.191e0cb89c133p-5, 0x1.a35b359fd3936p-6, 0x1.1641a50d22789p-6, 0x1.1604a8e4bc048p-7, 0x1.af1d218fa5e8fp-14, -0x1.0b4e6a2e02671p-7, -0x1.0af0ddfbce757p-6, -0x1.8e1f1ae9467fbp-6, -0x1.079212694467p-5, -0x1.46f9951e53ca4p-5, -0x1.8540249c936e5p-5, -0x1.c26044b1058ddp-5, -0x1.fe54eaecd1b31p-5, -0x1.1c8cbdd3fcd87p-4, -0x1.3954e383d89dep-4, -0x1.558103048f4ap-4, -0x1.710f6bc894cfap-4, -0x1.8bfe9ec0fc3c5p-4, -0x1.a64d4ceb4cf29p-4, -0x1.bffa55e2afcp-4, -0x1.d904c6749d273p-4, -0x1.f16bd7395cbb6p-4, -0x1.0497759826fecp-3, -0x1.1026c730299c1p-3, -0x1.1b63ba3e33385p-3, -0x1.264e3bc63b2bdp-3, -0x1.30e64b4d58f56p-3, -0x1.3b2bfa32abf2ep-3, -0x1.451f6b0a8dcc7p-3, -0x1.4ec0d0fc1da5dp-3, -0x1.58106f21287b9p-3, -0x1.610e97e87f623p-3, -0x1.69bbac7ab49eap-3, -0x1.72181c2159fa8p-3, -0x1.7a2463b0b323p-3, -0x1.81e10cf3ee8b1p-3, -0x1.894eae1be5b2p-3, -0x1.906de9306af7p-3, -0x1.973f6b841d0e7p-3, -0x1.9dc3ed2ae1866p-3, -0x1.a3fc3072e0874p-3, -0x1.a9e901602965dp-3, -0x1.af8b352aed8d5p-3, -0x1.b4e3a9c05628fp-3, -0x1.b9f34545ff18ap-3, -0x1.bebaf5a00e67ep-3, -0x1.c33baff9ee6cep-3, -0x1.c7767051a8ce5p-3, -0x1.cb6c3905e5f4fp-3, -0x1.cf1e12668ac05p-3, -0x1.d28d0a47f802ap-3, -0x1.d5ba3398ed881p-3, -0x1.d8a6a5fb07db4p-3, -0x1.db537d5dda8b9p-3, -0x1.ddc1d99caa782p-3, -0x1.dff2de1eb92ccp-3, -0x1.e1e7b17a2da0ep-3, -0x1.e3a17d198a82bp-3, -0x1.e5216ce3b4b33p-3, -0x1.e668aee684ab1p-3, -0x1.e7787303e48b1p-3, -0x1.e851eaa163f98p-3, -0x1.e8f6485a5b4eap-3, -0x1.e966bfb4783d4p-3, -0x1.e9a484d6c58ffp-3, -0x1.e9b0cc431d42dp-3, -0x1.e98cca92079fp-3, -0x1.e939b430f31c2p-3, -0x1.e8b8bd22ccf1bp-3, -0x1.e80b18c2ea84ap-3, -0x1.e731f98a402acp-3, -0x1.e62e90d6db981p-3, -0x1.e5020eb59d8fdp-3, -0x1.e3ada1ae2688cp-3, -0x1.e2327690f3a0ep-3, -0x1.e091b8479b2aap-3, -0x1.decc8fa728d31p-3, -0x1.dce423449095bp-3, -0x1.dad9974b22803p-3, -0x1.d8ae0d550ab51p-3, -0x1.d662a445c269bp-3, -0x1.d3f8782673a0ap-3, -0x1.d170a2043b666p-3, -0x1.cecc37d0535bap-3, -0x1.cc0c4c4201206p-3, -0x1.c931eeba538adp-3, -0x1.c63e2b29a0776p-3, -0x1.c33209f6b0ba8p-3, -0x1.c00e8fe7978f8p-3, -0x1.bcd4be0c303dbp-3, -0x1.b98591aa24ed8p-3, -0x1.b622042a91253p-3, -0x1.b2ab0b091777ep-3, -0x1.af2197c476b6fp-3, -0x1.ab8697d08989bp-3, -0x1.a7daf489ab241p-3, -0x1.a41f93296ea33p-3, -0x1.a05554bcb0fbcp-3, -0x1.9c7d161ae086dp-3, -0x1.9897afde8f4afp-3, -0x1.94a5f65f286b8p-3, -0x1.90a8b9abd6d19p-3, -0x1.8ca0c58780e8dp-3, -0x1.888ee165df978p-3, -0x1.8473d06997d28p-3, -0x1.805051635b316p-3, -0x1.7c251ed1fd0a9p-3, -0x1.77f2eee3734c2p-3, -0x1.73ba7376c06cep-3, -0x1.6f7c5a1eb4deep-3, -0x1.6b394c25855f2p-3, -0x1.66f1ee912c763p-3, -0x1.62a6e22889f78p-3, -0x1.5e58c3793ebd4p-3, -0x1.5a082ade38503p-3, -0x1.55b5ac86e2ceap-3, -0x1.5161d87efd8d8p-3, -0x1.4d0d3ab707049p-3, -0x1.48b85b0d39dd3p-3, -0x1.4463bd5713395p-3, -0x1.400fe16b59668p-3, -0x1.3bbd432c9db69p-3, -0x1.376c5a943517p-3, -0x1.331d9bbd98742p-3, -0x1.2ed176f229624p-3, -0x1.2a8858b55f73cp-3, -0x1.2642a9d140534p-3, -0x1.2200cf6337be2p-3, -0x1.1dc32ae9333a8p-3, -0x1.198a1a4f06ce5p-3, -0x1.1555f7fc12ceep-3, -0x1.11271ae1249e2p-3, -0x1.0cfdd6868a6d8p-3, -0x1.08da7b1a5e6a8p-3, -0x1.04bd557ef277p-3, -0x1.00a6af596c42ap-3, -0x1.f92d9e40fcd5bp-4, -0x1.f11bf0567b826p-4, -0x1.e918d58021e8dp-4, -0x1.e124c84763a31p-4, -0x1.d9403d5087424p-4, -0x1.d16ba378df59fp-4, -0x1.c9a763f51c2bfp-4, -0x1.c1f3e26f9f172p-4, -0x1.ba517d26d893ep-4, -0x1.b2c08d0b965b9p-4, -0x1.ab4165df51904p-4, -0x1.a3d4565260bep-4, -0x1.9c79a82218452p-4, -0x1.9531a036ce445p-4, -0x1.8dfc7ec1af038p-4, -0x1.86da7f5a7b337p-4, -0x1.7fcbd91d0d013p-4, -0x1.78d0bec6abe74p-4, -0x1.71e95ed32e2ecp-4, -0x1.6b15e399dd646p-4, -0x1.6456736a192ffp-4, -0x1.5dab30a7bcc54p-4, -0x1.571439e739ebep-4, -0x1.5091aa096c3f3p-4, -0x1.4a2398571f076p-4, -0x1.43ca189c4414fp-4, -0x1.3d853b42d684bp-4, -0x1.37550d6d68e63p-4, -0x1.313999115c79bp-4, -0x1.2b32e510bfc46p-4, -0x1.2540f553cc8f7p-4, -0x1.1f63cae20e1edp-4, -0x1.199b63fb242edp-4, -0x1.13e7bc2f25e4ep-4, -0x1.0e48cc76a1b48p-4, -0x1.08be8b4a3d09bp-4, -0x1.0348ecb9e92abp-4, -0x1.fbcfc5076f096p-5, -0x1.f136b854898a5p-5, -0x1.e6c68e157ac67p-5, -0x1.dc7f1ce4f56f7p-5, -0x1.d26037686b4d4p-5, -0x1.c869ac79a5711p-5, -0x1.be9b474f8a00ap-5, -0x1.b4f4cfa60d24fp-5, -0x1.ab7609e54f36cp-5, -0x1.a21eb747ebafbp-5, -0x1.98ee9600760dap-5, -0x1.8fe5615e20709p-5, -0x1.8702d1f094beap-5, -0x1.7e469daafd7cep-5, -0x1.75b078063f124p-5, -0x1.6d40122261cddp-5, -0x1.64f51ae72f26fp-5, -0x1.5ccf3f2406cb1p-5, -0x1.54ce29aee252p-5, -0x1.4cf183829660dp-5, -0x1.4538f3dc4b99ap-5, -0x1.3da4205831cfp-5, -0x1.3632ad0d6ee2ep-5, -0x1.2ee43ca94d8afp-5, -0x1.27b87089ae151p-5, -0x1.20aee8d6b987fp-5, -0x1.19c7449bd669ep-5, -0x1.130121dfedf6ap-5, -0x1.0c5c1dbced5a2p-5, -0x1.05d7d476a2f69p-5, -0x1.fee7c321c3c77p-6, -0x1.f25fbfc9e780ep-6, -0x1.e616d36cca4cp-6, -0x1.da0c318e4d855p-6, -0x1.ce3f0cd60c8afp-6, -0x1.c2ae97350b96bp-6, -0x1.b75a020a19bfep-6, -0x1.ac407e4500e24p-6, -0x1.a1613c8877747p-6, -0x1.96bb6d4adeda9p-6, -0x1.8c4e40f5e3537p-6, -0x1.8218e804dc6b3p-6, -0x1.781a93222208p-6, -0x1.6e52734337cdap-6, -0x1.64bfb9c3e8e16p-6, -0x1.5b61988058477p-6, -0x1.523741edf87a6p-6, -0x1.493fe9338b50ep-6, -0x1.407ac2401a002p-6, -0x1.37e701e0f56dp-6, -0x1.2f83ddd6c0e5dp-6, -0x1.27508ce99afa5p-6, -0x1.1f4c46fc4797dp-6, -0x1.1776451e821cbp-6, -0x1.0fcdc19e710e7p-6, -0x1.0851f8193d8fp-6, -0x1.0102258ae0283p-6, -0x1.f3bb10ba22acbp-7, -0x1.e5c6c0eaf6bffp-7, -0x1.d825de8648a83p-7, -0x1.cad6ef962a3aap-7, -0x1.bdd87d68a2b93p-7, -0x1.b12914a62f353p-7, -0x1.a4c74566d7d7ap-7, -0x1.98b1a345f364ap-7, -0x1.8ce6c574a5a41p-7, -0x1.816546cb1a182p-7, -0x1.762bc5d87f3a4p-7, -0x1.6b38e4f1e1357p-7, -0x1.608b4a3fd60a5p-7, -0x1.56219fcaf6e4bp-7, -0x1.4bfa93876e68ap-7, -0x1.4214d75f586ap-7, -0x1.386f213c35338p-7, -0x1.2f082b0f4f4a9p-7, -0x1.25deb2d94a4b1p-7, -0x1.1cf17ab0a4ac6p-7, -0x1.143f48c76646fp-7, -0x1.0bc6e76fff8b7p-7, -0x1.0387252146237p-7, -0x1.f6fda8f35a7d1p-8, -0x1.e759988393735p-8, -0x1.d81fcedbca1b9p-8, -0x1.c94e0a3e3d563p-8, -0x1.bae2114754a37p-8, -0x1.acd9b2ed04c3ap-8, -0x1.9f32c67cdaf8cp-8, -0x1.91eb2b98df535p-8, -0x1.8500ca334869p-8, -0x1.78719289026e1p-8, -0x1.6c3b7d1b39434p-8, -0x1.605c8aa7d4039p-8, -0x1.54d2c42104fa7p-8, -0x1.499c3aa3d89d7p-8, -0x1.3eb7076df82b7p-8, -0x1.34214bd276925p-8, -0x1.29d9312dd4eb3p-8, -0x1.1fdce8d963255p-8, -0x1.162aac1db4883p-8, -0x1.0cc0bc24961cfp-8, -0x1.039d61ea3f7dfp-8, -0x1.f57ddc5bc15c5p-9, -0x1.e44772c34545ap-9, -0x1.d3944734713e1p-9, -0x1.c36128fb60ee9p-9, -0x1.b3aaf663e3892p-9, -0x1.a46e9c957b2b7p-9, -0x1.95a9176ea8abap-9, -0x1.8757715f172b3p-9, -0x1.7976c341462e9p-9, -0x1.6c0434337b0f8p-9, -0x1.5efcf96fed66dp-9, -0x1.525e5624d2cf8p-9, -0x1.46259b4b29c85p-9, -0x1.3a50277da4abcp-9, -0x1.2edb66cee2c3ap-9, -0x1.23c4d29f4f4a8p-9, -0x1.1909f17298478p-9, -0x1.0ea856c4e65d4p-9, -0x1.049da2dfc1d82p-9, -0x1.f5cf055da408ep-10, -0x1.e3075f28d4d57p-10, -0x1.d0dfde7b6d4f7p-10, -0x1.bf5426ee32feap-10, -0x1.ae5ff4006ddb2p-10, -0x1.9dff18c009f2ep-10, -0x1.8e2d7f719f29dp-10, -0x1.7ee72938867c8p-10, -0x1.70282dbefba57p-10, -0x1.61ecbade3800ep-10, -0x1.54311446ed24dp-10, -0x1.46f19329bc172p-10, -0x1.3a2aa5e0165aap-10, -0x1.2dd8cf9540c23p-10, -0x1.21f8a7f00a69p-10, -0x1.1686dabc3a7bfp-10, -0x1.0b80279523dedp-10, -0x1.00e161904f736p-10, -0x1.ed4eddd160256p-11, -0x1.d99e91548b4d9p-11, -0x1.c6abf4bcdd56bp-11, -0x1.b47143717fc6ep-11, -0x1.a2e8dc899e81ep-11, -0x1.920d4227ce87fp-11, -0x1.81d918d84100cp-11, -0x1.724726ef5bd52p-11, -0x1.635253ea88d5bp-11, -0x1.54f5a7d1bc2dep-11, -0x1.472c4a9b69e96p-11, -0x1.39f18390a9dcfp-11, -0x1.2d40b8b40e691p-11, -0x1.21156e2a528ap-11, -0x1.156b45a360a04p-11, -0x1.0a3dfdc5df0a8p-11, -0x1.ff12e339b74e7p-12, -0x1.ea93300ba83b7p-12, -0x1.d6f506436d9cdp-12, -0x1.c430bf8f63abbp-12, -0x1.b23ee9f097627p-12, -0x1.a11846a77ccfcp-12, -0x1.90b5c9234b335p-12, -0x1.811095f52dfd5p-12, -0x1.722201c5ff394p-12, -0x1.63e390517e319p-12, -0x1.564ef3636b8fdp-12, -0x1.495e09d8aff7ep-12, -0x1.3d0adea658ed8p-12, -0x1.314fa7e0e8982p-12, -0x1.2626c5c8f8c42p-12, -0x1.1b8ac1dc06fdbp-12, -0x1.11764de7c3559p-12, -0x1.07e443229a11ep-12, -0x1.fd9f428c0a443p-13, -0x1.ec671b5c68d56p-13, -0x1.dc16a4f658a1ep-13, -0x1.cca4bb70f13e2p-13, -0x1.be08810d31857p-13, -0x1.b0395c901792dp-13, -0x1.a32ef7a3a471p-13, -0x1.96e13d412f189p-13, -0x1.8b48582086b6cp-13, -0x1.805cb12f1196ap-13, -0x1.7616ee0fd2dcap-13, -0x1.6c6fef9cbe6ccp-13, -0x1.6360d074fe90bp-13, -0x1.5ae2e38d16ff1p-13, -0x1.52efb2cb736dep-13, -0x1.4b80fda68c5e1p-13, -0x1.4490b7ca80875p-13, -0x1.3e1907c822801p-13, -0x1.381445c687b51p-13, -0x1.327cfa3d9f877p-13, -0x1.2d4ddcb9bb25p-13, -0x1.2881d29d5050ep-13, -0x1.2413edf0ebdfcp-13, -0x1.1fff6c34974d9p-13, -0x1.1c3fb539aaa5p-13, -0x1.18d05a01f2186p-13, -0x1.15ad13a4ec8dp-13, -0x1.12d1c239f7281p-13, -0x1.103a6bc8a2058p-13, -0x1.0de33b3f1cf9fp-13, -0x1.0bc87f6ea0753p-13, -0x1.09e6aa0d5637dp-13, -0x1.083a4ebc1fecbp-13, -0x1.06c02212946e9p-13, -0x1.0574f8b191668p-13, -0x1.0455c6597dc4cp-13, -0x1.035f9d05497fp-13, -0x1.028fac0f54d57p-13, -0x1.01e33f524575bp-13, -0x1.0157be572bf0cp-13, -0x1.00eaab8391c5cp-13, -0x1.0099a34f3c006p-13, -0x1.00625b7d650cdp-13, -0x1.0042a259e10bcp-13, -0x1.00385dfbf9d29p-13, -0x1.00418b8c44edp-13, -0x1.005c3e909712dp-13, -0x1.0086a03ac1e2cp-13, -0x1.00beeebef994fp-13, -0x1.01037ca7e6667p-13, -0x1.0152b0350c554p-13, -0x1.01ab02b9280dep-13, -0x1.020affffb21b9p-13, -0x1.027145b32bdbdp-13, -0x1.02dc82c9f17a8p-13, -0x1.034b76f4d74bfp-13, -0x1.03bcf212360f3p-13, -0x1.042fd3a359e0bp-13, -0x1.04a30a476c7ebp-13, -0x1.05159339989dcp-13, -0x1.058679d14d457p-13, -0x1.05f4d705c08abp-13, -0x1.065fd0f5c546p-13, -0x1.06c69a726f905p-13, -0x1.0728728c24f18p-13, -0x1.0784a4241e2b2p-13, -0x1.07da85800f59dp-13, -0x1.082977e0c765bp-13, -0x1.0870e71b034c3p-13, -0x1.08b0493375f86p-13, -0x1.08e71dff0d796p-13, -0x1.0914eec41ece1p-13, -0x1.09394ddf0b9a7p-13, -0x1.0953d66881b0bp-13, -0x1.09642bdfd5be1p-13, -0x1.0969f9d596b6bp-13, -0x1.0964f39b307dbp-13, -0x1.0954d3f2609cfp-13, -0x1.09395cc1ecaabp-13, -0x1.091256c99706cp-13, -0x1.08df9159400b4p-13, -0x1.08a0e20b1d2b5p-13, -0x1.0856247f0cb31p-13, -0x1.07ff3a187cdaap-13, -0x1.079c09be32efp-13, -0x1.072c7f9bee0f7p-13, -0x1.06b08ce5ed9a3p-13, -0x1.0628279e27f25p-13, -0x1.05934a5b53d7cp-13, -0x1.04f1f4125d715p-13, -0x1.044427e126ce1p-13, -0x1.0389ecdb287cp-13, -0x1.02c34dd6d92d9p-13, -0x1.01f0593dff2b6p-13, -0x1.011120de583dep-13, -0x1.0025b9bcc84e6p-13, -0x1.fe5c77d298c79p-14, -0x1.fc5584aa588f8p-14, -0x1.fa36d5547dc8dp-14, -0x1.f800aa451e049p-14, -0x1.f5b348c5c7085p-14, -0x1.f34efaaaa87e3p-14, -0x1.f0d40e0bfa1bdp-14, -0x1.ee42d501f6eb3p-14, -0x1.eb9ba56230a5cp-14, -0x1.e8ded87f7496cp-14, -0x1.e60ccaec476bp-14, -0x1.e325dc3f2c5f3p-14, -0x1.e02a6ed95d876p-14, -0x1.dd1ae7b0206c3p-14, -0x1.d9f7ae175080dp-14, -0x1.d6c12b8f534cp-14, -0x1.d377cb924835bp-14, -0x1.d01bfb65cb43ep-14, -0x1.ccae29eccd75fp-14, -0x1.c92ec77c0edccp-14, -0x1.c59e45b07614dp-14, -0x1.c1fd1746d73dfp-14, -0x1.be4baff549127p-14, -0x1.ba8a8445969ep-14, -0x1.b6ba0972547eep-14, -0x1.b2dab543dcef5p-14, -0x1.aeecfdf056075p-14, -0x1.aaf159fc42b44p-14, -0x1.a6e8401d4b253p-14, -0x1.a2d2271d20f47p-14, -0x1.9eaf85be34a1ep-14, -0x1.9a80d2a1a61eap-14, -0x1.9646842e8eafcp-14, -0x1.9201107a0bed4p-14, -0x1.8db0ed315b4cfp-14, -0x1.89568f83b4d26p-14, -0x1.84f26c0ec60b6p-14, -0x1.8084f6caa81a4p-14, -0x1.7c0ea2f780b0dp-14, -0x1.778fe30c24d5p-14, -0x1.730928a59f588p-14, -0x1.6e7ae477afea9p-14, -0x1.69e5863e158aep-14, -0x1.65497caeccb95p-14, -0x1.60a7356c95b3bp-14, -0x1.5bff1cfb35516p-14, -0x1.57519eb3353ecp-14, -0x1.529f24b755786p-14, -0x1.4de817eae3ffp-14, -0x1.492cdfe793be7p-14, -0x1.446de2f597844p-14, -0x1.3fab8602b9042p-14, -0x1.3ae62c9b672efp-14, -0x1.361e38e31b336p-14, -0x1.31540b8e7b889p-14, -0x1.2c8803dd2e72p-14, -0x1.27ba7f94e3714p-14, -0x1.22ebdafc3cd53p-14, -0x1.1e1c70d70a84p-14, -0x1.194c9a61a8cffp-14, -0x1.147caf4e0870bp-14, -0x1.0fad05c0c851bp-14, -0x1.0addf24e1a989p-14, -0x1.060fc7f852cf1p-14, -0x1.0142d82dd5585p-14, -0x1.f8eee58eefb24p-15, -0x1.ef5bcc0fcdacp-15, -0x1.e5ccfd350e8a4p-15, -0x1.dc430f267c57dp-15, -0x1.d2be94dc74cbap-15, -0x1.c9401e2031b39p-15, -0x1.bfc8378cfb8f8p-15, -0x1.b6576a92523fcp-15, -0x1.acee3d74b1bcbp-15, -0x1.a38d3350cd4f6p-15, -0x1.9a34cc1e7be2fp-15, -0x1.90e584b3e759bp-15, -0x1.879fd6c971779p-15, -0x1.7e6438fdd6c52p-15, -0x1.75331edaee2c5p-15, -0x1.6c0cf8daaa272p-15, -0x1.62f2346c9a327p-15, -0x1.59e33bfb1b8bap-15, -0x1.50e076f172515p-15, -0x1.47ea49c26b8d3p-15, -0x1.3f0115edce131p-15, -0x1.36253a084ae3bp-15, -0x1.2d5711c20debp-15, -0x1.2496f5ed97294p-15, -0x1.1be53c87ce646p-15, -0x1.134238bf12003p-15, -0x1.0aae3afbcee99p-15, -0x1.022990e760f4p-15, -0x1.f3690aea75c57p-16, -0x1.e29ec1d4b66dp-16, -0x1.d1f4d1ccbb078p-16, -0x1.c16bc0d786346p-16, -0x1.b1040fd1d86dep-16, -0x1.a0be3a80e10d1p-16, -0x1.909ab7a458501p-16, -0x1.8099f9083c6bcp-16, -0x1.70bc6b966c07p-16, -0x1.6102776a6964fp-16, -0x1.516c7fe1953bfp-16, -0x1.41fae3aeda18p-16, -0x1.32adfcec89dap-16, -0x1.2386212f83cb4p-16, -0x1.1483a198a042cp-16, -0x1.05a6cae95611ep-16, -0x1.eddfcb27466c5p-17, -0x1.d0be6b9cf7052p-17, -0x1.b3e9f74fd243cp-17, -0x1.9762e62f19de2p-17, -0x1.7b29a82471193p-17, -0x1.5f3ea5361e319p-17, -0x1.43a23dad757fcp-17, -0x1.2854ca3b8590ap-17, -0x1.0d569c1e68d46p-17, -0x1.e54ffa8912914p-18, -0x1.b09260e54e9d1p-18, -0x1.7c74e2cda279ep-18, -0x1.48f7e9fae33aap-18, -0x1.161bd2aa35c24p-18, -0x1.c7c1d7c8975a8p-19, -0x1.648eef85841d1p-19, -0x1.029f5771c77edp-19, -0x1.43e6c35e58174p-20, -0x1.0a2d208d8cd7bp-21, 0x1.b98d2f5caa863p-23, 0x1.e1e3922cf869bp-21, 0x1.a829f04ca705cp-20, 0x1.2e6d2f70f85f1p-19, 0x1.8781c1a628919p-19, 0x1.df52fb13e0dc5p-19, 0x1.1af09e4cfd321p-18, 0x1.45967d921b18ep-18, 0x1.6f9b5f9875e58p-18, 0x1.98ff92285248p-18, 0x1.c1c36c53f5254p-18, 0x1.e9e74e3bbfc09p-18, 0x1.08b5d067a2da8p-17, 0x1.1c286ac9f47f2p-17, 0x1.2f4bb333957d6p-17, 0x1.421feaa28bdf5p-17, 0x1.54a556083984ep-17, 0x1.66dc3e2a05d2ep-17, 0x1.78c4ef8805587p-17, 0x1.8a5fba3fb7ff8p-17, 0x1.9bacf1f1186afp-17, 0x1.acaceda3dfeeep-17, 0x1.bd6007abdcbebp-17, 0x1.cdc69d904c8fdp-17, 0x1.dde10ff07966p-17, 0x1.edafc26b3c904p-17, 0x1.fd331b84de462p-17, 0x1.0635c2480cb75p-16, 0x1.0dacb4c9e68fdp-16, 0x1.14fe9c9a6513ap-16, 0x1.1c2bb24e43418p-16, 0x1.23342fb1e2433p-16, 0x1.2a184fbd3ecdcp-16, 0x1.30d84e892ced9p-16, 0x1.37746943c2229p-16, 0x1.3decde263910dp-16, 0x1.4441ec69805cbp-16, 0x1.4a73d43c786e1p-16, 0x1.5082d6b98a077p-16, 0x1.566f35dc6818ap-16, 0x1.5c39347809c67p-16, 0x1.61e1162d521aep-16, 0x1.67671f61566dbp-16, 0x1.6ccb9533e09cap-16, 0x1.720ebd763ac2bp-16, 0x1.7730dea2c6dbep-16, 0x1.7c323fd34e8c4p-16, 0x1.811328b90be54p-16, 0x1.85d3e19391373p-16, 0x1.8a74b32933d6p-16, 0x1.8ef5e6be46c8cp-16, 0x1.9357c60d1ff47p-16, 0x1.979a9b3eefaf6p-16, 0x1.9bbeb0e366158p-16, 0x1.9fc451e97ac1ep-16, 0x1.a3abc998044p-16, 0x1.a7756386d63dp-16, 0x1.ab216b9768d3cp-16, 0x1.aeb02dede6e39p-16, 0x1.b221f6eae5bcfp-16, 0x1.b5771324af47p-16, 0x1.b8afcf608fbfcp-16, 0x1.bbcc788c81e11p-16, 0x1.becd5bb9c3c4fp-16, 0x1.c1b2c6166b434p-16, 0x1.c47d04e74992dp-16, 0x1.c72c6582755ecp-16, 0x1.c9c1354a18978p-16, 0x1.cc3bc1a6a862cp-16, 0x1.ce9c5801433bep-16, 0x1.d0e345bf3c485p-16, 0x1.d310d83cf3f76p-16, 0x1.d5255cc865b2p-16, 0x1.d721209ccdd7dp-16, 0x1.d90470de11c4bp-16, 0x1.dacf9a9441c62p-16, 0x1.dc82eaa6cb15dp-16, 0x1.de1eadd86f43bp-16, 0x1.dfa330c37deaep-16, 0x1.e110bfd553c62p-16, 0x1.e267a74a38e13p-16, 0x1.e3a83329e3cep-16, 0x1.e4d2af43d6a8dp-16, 0x1.e5e7672bd1016p-16, 0x1.e6e6a635f110ap-16, 0x1.e7d0b773575a5p-16, 0x1.e8a5e5af64832p-16, 0x1.e9667b6bd6eb6p-16, }}, 
      {{0x1.3e789f32e7d49p-2, 0x1.3e9677a50eff7p-2, 0x1.3ec919204aebp-2, 0x1.3f11b2d99af0dp-2, 0x1.3f71b15c1785ap-2, 0x1.3fea983c32805p-2, 0x1.407ddfee8875bp-2, 0x1.412cd99984361p-2, 0x1.41f8996f2650dp-2, 0x1.42e1e759cad2ep-2, 0x1.43e9355cd0bcbp-2, 0x1.450e9ad8eadep-2, 0x1.4651d3d5f83a9p-2, 0x1.47b2437b8a6f6p-2, 0x1.492ef8f3e635ap-2, 0x1.4ac6b60d7c548p-2, 0x1.4c77f708b938bp-2, 0x1.4e40fb19364f9p-2, 0x1.501fcd38ae911p-2, 0x1.52124cfedff54p-2, 0x1.541637438a705p-2, 0x1.56292e5f03cfdp-2, 0x1.5848c1ea9173bp-2, 0x1.5a7275ec26ed7p-2, 0x1.5ca3c961729dp-2, 0x1.5eda3c24ca12fp-2, 0x1.6113542b8c399p-2, 0x1.634ca22176124p-2, 0x1.6583c5672aeb8p-2, 0x1.67b66f7c2734p-2, 0x1.69e266ddae4fdp-2, 0x1.6c058964f825cp-2, 0x1.6e1dce2f4d1ap-2, 0x1.7029471ac00aep-2, 0x1.722621e2097aep-2, 0x1.7412a8e1ac779p-2, 0x1.75ed4390088c7p-2, 0x1.77b476b17e455p-2, 0x1.7966e4511f5fap-2, 0x1.7b034b85c9684p-2, 0x1.7c88880aef25fp-2, 0x1.7df591b3a5447p-2, 0x1.7f497bbdfd7adp-2, 0x1.8083740c1a71bp-2, 0x1.81a2c247de55ep-2, 0x1.82a6c6f598ab5p-2, 0x1.838efa799475bp-2, 0x1.845aec13f6c24p-2, 0x1.850a40d5ff81dp-2, 0x1.859cb2934cb8p-2, 0x1.86120ed17e0d5p-2, 0x1.866a35b82b802p-2, 0x1.86a51902f90cp-2, 0x1.86c2baf732fe3p-2, 0x1.86c32d5e378b5p-2, 0x1.86a69085b040fp-2, 0x1.866d12467c10ap-2, 0x1.8616ed12f114bp-2, 0x1.85a4670d04fddp-2, 0x1.8515d124c4d77p-2, 0x1.846b863f65934p-2, 0x1.83a5ea6723e73p-2, 0x1.82c56a040acbcp-2, 0x1.81ca791db1511p-2, 0x1.80b592a5e30afp-2, 0x1.7f8737cc233cep-2, 0x1.7e3fef59e5654p-2, 0x1.7ce0451754e38p-2, 0x1.7b68c9387996bp-2, 0x1.79da0fd27c51ep-2, 0x1.7834b058d1fa1p-2, 0x1.7679452208b16p-2, 0x1.74a86af3f0406p-2, 0x1.72c2c096da035p-2, 0x1.70c8e66fa6e7fp-2, 0x1.6ebb7e205847bp-2, 0x1.6c9b2a2edb7cbp-2, 0x1.6a688db1c8829p-2, 0x1.68244c02cd436p-2, 0x1.65cf08767b3e1p-2, 0x1.6369661932e98p-2, 0x1.60f40770f2566p-2, 0x1.5e6f8e43b5b22p-2, 0x1.5bdc9b623db0ap-2, 0x1.593bce76ee744p-2, 0x1.568dc5d897e52p-2, 0x1.53d31e60e893bp-2, 0x1.510c73465b36p-2, 0x1.4e3a5df965224p-2, 0x1.4b5d7604b9cc1p-2, 0x1.487650f071209p-2, 0x1.45858227e76a8p-2, 0x1.428b9ae22ba43p-2, 0x1.3f892a0cd0acfp-2, 0x1.3c7ebc3900d61p-2, 0x1.396cdb8aadf5bp-2, 0x1.36540fa9b90c2p-2, 0x1.3334ddb4f6393p-2, 0x1.300fc836ec036p-2, 0x1.2ce54f1c307aep-2, 0x1.29b5efab4c06ep-2, 0x1.2682247e070ap-2, 0x1.234a657c09bbep-2, 0x1.200f27d6b8ac2p-2, 0x1.1cd0de0639b2bp-2, 0x1.198ff7c78a6f1p-2, 0x1.164ce21b98f22p-2, 0x1.130807474b37fp-2, 0x1.0fc1ced4652c9p-2, 0x1.0c7a9d933d65cp-2, 0x1.0932d59d319e1p-2, 0x1.05ead657d1445p-2, 0x1.02a2fc78a7b1p-2, 0x1.feb744134ea77p-3, 0x1.f82a3cdc398e5p-3, 0x1.f19f8cd055582p-3, 0x1.eb17d83d76c57p-3, 0x1.e493be47c6b6dp-3, 0x1.de13d8f75c8c5p-3, 0x1.d798bd468bf5ap-3, 0x1.d122fb30e7f58p-3, 0x1.cab31dc2e2773p-3, 0x1.c449ab29fec8ap-3, 0x1.bde724c58562dp-3, 0x1.b78c0737b65afp-3, 0x1.b138ca775e59p-3, 0x1.aaede1e1d5fc3p-3, 0x1.a4abbc4d54cfap-3, 0x1.9e72c41b91a77p-3, 0x1.98435f4ca7993p-3, 0x1.921def9238874p-3, 0x1.8c02d262c00dp-3, 0x1.85f2610d15eacp-3, 0x1.7fecf0cc101c5p-3, 0x1.79f2d2da4d659p-3, 0x1.7404548608aacp-3, 0x1.6e21bf4509506p-3, 0x1.684b58c89c66p-3, 0x1.6281631190754p-3, 0x1.5cc41c8435b67p-3, 0x1.5713bffc59df4p-3, 0x1.517084e13f8bdp-3, 0x1.4bda9f397de77p-3, 0x1.46523fbede938p-3, 0x1.40d793f2194p-3, 0x1.3b6ac62e83d4dp-3, 0x1.360bfdbd9b05fp-3, 0x1.30bb5eea75cb4p-3, 0x1.2b790b151305fp-3, 0x1.264520c57f902p-3, 0x1.211fbbbede653p-3, 0x1.1c08f5123b215p-3, 0x1.1700e33138716p-3, 0x1.12079a008fe3dp-3, 0x1.0d1d2aea5dd41p-3, 0x1.0841a4f039703p-3, 0x1.037514bd21a54p-3, 0x1.fd6f096e58f02p-4, 0x1.f411fa21fa65p-4, 0x1.ead307b6129b2p-4, 0x1.e1b23a293dd1p-4, 0x1.d8af95795d1c3p-4, 0x1.cfcb19c4b79aap-4, 0x1.c704c36a9b38p-4, 0x1.be5c8b2b85d1fp-4, 0x1.b5d26648c6e74p-4, 0x1.ad6646a3ad2b2p-4, 0x1.a5181adc2adfep-4, 0x1.9ce7ce6ef2bcbp-4, 0x1.94d549d322d33p-4, 0x1.8ce0729754a65p-4, 0x1.85092b7e38f78p-4, 0x1.7d4f549aa6238p-4, 0x1.75b2cb6b209e7p-4, 0x1.6e336af4df7f3p-4, 0x1.66d10bde474b7p-4, 0x1.5f8b8488df6a3p-4, 0x1.5862a92abf4p-4, 0x1.51564be776a57p-4, 0x1.4a663ce86c9ebp-4, 0x1.43924a74bc117p-4, 0x1.3cda41088607ap-4, 0x1.363deb6bc24a7p-4, 0x1.2fbd12c888b49p-4, 0x1.29577ec0d8834p-4, 0x1.230cf583db2edp-4, 0x1.1cdd3be2a4609p-4, 0x1.16c815647203ap-4, 0x1.10cd445a6b082p-4, 0x1.0aec89f2de145p-4, 0x1.0525a64c02c6fp-4, 0x1.fef0b10c7c248p-5, 0x1.f3c8bdabd08d7p-5, 0x1.e8d2ed2937afdp-5, 0x1.de0eb8a411436p-5, 0x1.d37b97c89e0cp-5, 0x1.c91900efcc1b4p-5, 0x1.bee6693e17bp-5, 0x1.b4e344c18276p-5, 0x1.ab0f068ea8e34p-5, 0x1.a16920dcf60d5p-5, 0x1.97f10521fae3ap-5, 0x1.8ea6242be7cp-5, 0x1.8587ee3b31743p-5, 0x1.7c95d31b61d39p-5, 0x1.73cf423b16e42p-5, 0x1.6b33aac3343b8p-5, 0x1.62c27bad4bceap-5, 0x1.5a7b23d93f42ep-5, 0x1.525d12221fbb4p-5, 0x1.4a67b5724e3f2p-5, 0x1.429a7cd6ddc6fp-5, 0x1.3af4d7924017p-5, 0x1.3376352e3cb21p-5, 0x1.2c1e058d345bfp-5, 0x1.24ebb8fabaaadp-5, 0x1.1ddec03b8331ap-5, 0x1.16f68c9ca7e42p-5, 0x1.103290024d47cp-5, 0x1.09923cf5a7423p-5, 0x1.031506b25f93p-5, 0x1.f974c266cfa6cp-6, 0x1.ed03827e614bep-6, 0x1.e0d538e6ab242p-6, 0x1.d4e8d29f6b9a8p-6, 0x1.c93d3e820900ap-6, 0x1.bdd16d55a05dcp-6, 0x1.b2a451e21418cp-6, 0x1.a7b4e102077e1p-6, 0x1.9d0211b3f6fb5p-6, 0x1.928add2a45a83p-6, 0x1.884e3eda6c718p-6, 0x1.7e4b348b3c206p-6, 0x1.7480be623945fp-6, 0x1.6aeddef028907p-6, 0x1.61919b3cbb5bp-6, 0x1.586afad171937p-6, 0x1.4f7907c3b52fep-6, 0x1.46bacebe2e7f5p-6, 0x1.3e2f5f095e002p-6, 0x1.35d5ca9380a9bp-6, 0x1.2dad25f7b9bb4p-6, 0x1.25b488849f9f5p-6, 0x1.1deb0c4213416p-6, 0x1.164fcdf67c949p-6, 0x1.0ee1ed2b6f1a8p-6, 0x1.07a08c31ad45ap-6, 0x1.008ad024a4bfdp-6, 0x1.f33fc1daadd56p-7, 0x1.e5bdd2897cfa4p-7, 0x1.d88e2d6b5c0aap-7, 0x1.cbaf333c5f81p-7, 0x1.bf1f4a60ec88fp-7, 0x1.b2dcdee68c1a1p-7, 0x1.a6e66283fbdb7p-7, 0x1.9b3a4c9856cfap-7, 0x1.8fd71a2978f87p-7, 0x1.84bb4de18a3ddp-7, 0x1.79e5700bdda28p-7, 0x1.6f540e9107367p-7, 0x1.6505bcf25469fp-7, 0x1.5af914448931fp-7, 0x1.512cb32a09662p-7, 0x1.479f3dcc618a3p-7, 0x1.3e4f5dd54466fp-7, 0x1.353bc266f2541p-7, 0x1.2c63201424852p-7, 0x1.23c430d77a845p-7, 0x1.1b5db40a64168p-7, 0x1.132e6e5ba582cp-7, 0x1.0b3529c56b663p-7, 0x1.0370b582f933cp-7, 0x1.f7bfcc0be39dap-8, 0x1.e90329d69d524p-8, 0x1.daa941dff87cbp-8, 0x1.ccafdbca46c48p-8, 0x1.bf14c9485862p-8, 0x1.b1d5e604fbbacp-8, 0x1.a4f11789e58ecp-8, 0x1.98644d262cc87p-8, 0x1.8c2d7fd450a39p-8, 0x1.804ab21fe672ap-8, 0x1.74b9f00ad09bfp-8, 0x1.69794ef21fbcep-8, 0x1.5e86ed72bb819p-8, 0x1.53e0f34da9412p-8, 0x1.4985914c222f2p-8, 0x1.3f73012368402p-8, 0x1.35a7855865937p-8, 0x1.2c21692325049p-8, 0x1.22df00522745ap-8, 0x1.19dea72d90d9bp-8, 0x1.111ec25a3e71bp-8, 0x1.089dbebcce07bp-8, 0x1.005a115c8a6b1p-8, 0x1.f0a46e8ca7fa4p-9, 0x1.e1096adf31d07p-9, 0x1.d1e031324b4e3p-9, 0x1.c325ea642b451p-9, 0x1.b4d7ce75843ep-9, 0x1.a6f3244f9e9p-9, 0x1.9975418a76f8dp-9, 0x1.8c5b8a3300abep-9, 0x1.7fa37091aaefep-9, 0x1.734a74f125c89p-9, 0x1.674e2565555abp-9, 0x1.5bac1d92a1a26p-9, 0x1.506206758145ep-9, 0x1.456d962a54e8bp-9, 0x1.3acc8fb5a1a22p-9, 0x1.307cc2cca8e72p-9, 0x1.267c0b9e6feabp-9, 0x1.1cc8529d2110ep-9, 0x1.135f8c47c6e41p-9, 0x1.0a3fb8f49216bp-9, 0x1.0166e49b82091p-9, 0x1.f1a64d4324552p-10, 0x1.e1054348e70eap-10, 0x1.d0e7068d1066dp-10, 0x1.c14807f727f66p-10, 0x1.b224cdabbfd65p-10, 0x1.a379f2a7a81fep-10, 0x1.9544265ca7fc2p-10, 0x1.87802c4ec2507p-10, 0x1.7a2adbb2d7721p-10, 0x1.6d411f0e50906p-10, 0x1.60bff3d7f33b4p-10, 0x1.54a46a19de26dp-10, 0x1.48eba414ca312p-10, 0x1.3d92d5e449dc2p-10, 0x1.32974524103d5p-10, 0x1.27f64896b6bc3p-10, 0x1.1dad47cd8b662p-10, 0x1.13b9bad168f93p-10, 0x1.0a1929cd4187dp-10, 0x1.00c92cb941ab7p-10, 0x1.ef8ed60ea8ebbp-11, 0x1.de2336a224866p-11, 0x1.cd4b060d250e9p-11, 0x1.bd01ec3d6080ap-11, 0x1.ad43ad90db085p-11, 0x1.9e0c2a3b18adap-11, 0x1.8f575dac4e29ep-11, 0x1.81215dfb570e2p-11, 0x1.73665b51fe29ap-11, 0x1.66229f5b921b8p-11, 0x1.59528cb5d2e64p-11, 0x1.4cf29e649b5efp-11, 0x1.40ff6746ca242p-11, 0x1.3575918ea2eb1p-11, 0x1.2a51de3be2d84p-11, 0x1.1f9124981e50cp-11, 0x1.153051b5bc06cp-11, 0x1.0b2c67f0e7879p-11, 0x1.01827e72de241p-11, 0x1.f05f816e496f1p-12, 0x1.de62dc26af061p-12, 0x1.cd09b281a2ac9p-12, 0x1.bc4ecfd1a6b7p-12, 0x1.ac2d246516575p-12, 0x1.9c9fc4a6ee96ap-12, 0x1.8da1e842cf788p-12, 0x1.7f2ee94de190bp-12, 0x1.71424373dc983p-12, 0x1.63d793279bbc1p-12, 0x1.56ea94d8287cfp-12, 0x1.4a772429e2f23p-12, 0x1.3e793b32bffc2p-12, 0x1.32ecf1baf6d15p-12, 0x1.27ce7c819ad9cp-12, 0x1.1d1a2c84714c8p-12, 0x1.12cc6e4bdc8a4p-12, 0x1.08e1c93a82ae3p-12, 0x1.feadbdc149f3ap-13, 0x1.ec50d4a4f1d6bp-13, 0x1.daa67f04d6c14p-13, 0x1.c9a8953dabf7dp-13, 0x1.b9511ee5cf797p-13, 0x1.a99a5196b4bfbp-13, 0x1.9a7e8fbbe7a3cp-13, 0x1.8bf867697caeep-13, 0x1.7e029138382fep-13, 0x1.7097ef2862e17p-13, 0x1.63b38b8ac6d33p-13, 0x1.575097ef709a3p-13, 0x1.4b6a6c1b0cf55p-13, 0x1.3ffc8501d67bfp-13, 0x1.350283c8ed4f1p-13, 0x1.2a782ccc3437ap-13, 0x1.205966ab4204ap-13, 0x1.16a2395a633dcp-13, 0x1.0d4ecd3a5a842p-13, 0x1.045b6a34417efp-13, 0x1.f788edb856525p-14, 0x1.e70cef2ef8c4fp-14, 0x1.d73c1b9247996p-14, 0x1.c80fee0543b25p-14, 0x1.b982187374937p-14, 0x1.ab8c82069a809p-14, 0x1.9e2945a45e811p-14, 0x1.9152b077a6dfp-14, 0x1.850340806e29cp-14, 0x1.7935a32e3d748p-14, 0x1.6de4b40280a12p-14, 0x1.630b7b3c24bfcp-14, 0x1.58a52c89ce611p-14, 0x1.4ead25c6de04fp-14, 0x1.451eedbdd8fb5p-14, 0x1.3bf632f57d3f7p-14, 0x1.332eca828d8dfp-14, 0x1.2ac4aee3f7c1dp-14, 0x1.22b3fee3e2cbbp-14, 0x1.1af8fc82a3a5ap-14, 0x1.13900be5e222ep-14, 0x1.0c75b25169485p-14, 0x1.05a69524c3dedp-14, 0x1.fe3ef1c11c46p-15, 0x1.f1ba806493fp-15, 0x1.e5b9d60c64f0ep-15, 0x1.da372b3df6294p-15, 0x1.cf2cef6a24887p-15, 0x1.c495c73422077p-15, 0x1.ba6c8ac705aebp-15, 0x1.b0ac44350726ap-15, 0x1.a7502de2519c8p-15, 0x1.9e53b0faeb33ap-15, 0x1.95b263f38b2e1p-15, 0x1.8d68091434d79p-15, 0x1.85708d0d48199p-15, 0x1.7dc805971f7f8p-15, 0x1.766ab01ab5d6ep-15, 0x1.6f54f0639bd59p-15, 0x1.68834f5cebf61p-15, 0x1.61f279d4ac1fp-15, 0x1.5b9f3f49def58p-15, 0x1.558690c30d0a1p-15, 0x1.4fa57fac3469bp-15, 0x1.49f93cbecb7cfp-15, 0x1.447f16efd3a94p-15, 0x1.3f347a6794f65p-15, 0x1.3a16ef7edfd55p-15, 0x1.352419c6972b8p-15, 0x1.3059b71396e4dp-15, 0x1.2bb59e93f614cp-15, 0x1.2735bfe9a0bebp-15, 0x1.22d8224c70827p-15, 0x1.1e9ae3b34eb9bp-15, 0x1.1a7c3803011abp-15, 0x1.167a6843e6364p-15, 0x1.1293d1dcbab6ap-15, 0x1.0ec6e5d48d2a4p-15, 0x1.0b122819049dp-15, 0x1.07742ecca2bedp-15, 0x1.03eba197ea6efp-15, 0x1.007739014919cp-15, 0x1.fa2b7b947182ep-16, 0x1.f38c10a1e3717p-16, 0x1.ed0dffeec348cp-16, 0x1.e6af351fb4ad9p-16, 0x1.e06db797d92f3p-16, 0x1.da47a964fc298p-16, 0x1.d43b4630fc5cbp-16, 0x1.ce46e23e40575p-16, 0x1.c868e96b67797p-16, 0x1.c29fde3ee3ca1p-16, 0x1.bcea58fba9d0ep-16, 0x1.b74706bbcd402p-16, 0x1.b1b4a895479ebp-16, 0x1.ac3212c34eff8p-16, 0x1.a6be2bd8cfb66p-16, 0x1.a157ebf89efb5p-16, 0x1.9bfe5c143defap-16, 0x1.96b0953260b4fp-16, 0x1.916dbfbaf585bp-16, 0x1.8c3512c89ed5fp-16, 0x1.8705d3828de45p-16, 0x1.81df5479493fp-16, 0x1.7cc0f50ade017p-16, 0x1.77aa20cbdfd01p-16, 0x1.729a4ef5e02f3p-16, 0x1.6d9101dbd6fdfp-16, 0x1.688dc66216dcfp-16, 0x1.6390337bf913p-16, 0x1.5e97e9adeefbep-16, 0x1.59a49294a30f7p-16, 0x1.54b5e06fce2ffp-16, 0x1.4fcb8db2f6e65p-16, 0x1.4ae55c97b44a5p-16, 0x1.460316b678a6ap-16, 0x1.41248ca18f9aep-16, 0x1.3c4995852c8e8p-16, 0x1.37720eca525c6p-16, 0x1.329ddbbe28765p-16, 0x1.2dcce53b751cp-16, 0x1.28ff195897c63p-16, 0x1.24346b17d5525p-16, 0x1.1f6cd21b8a2e1p-16, 0x1.1aa84a5dbd337p-16, 0x1.15e6d3e9c595dp-16, 0x1.11287298b2402p-16, 0x1.0c6d2dd1157ebp-16, 0x1.07b5104947e24p-16, 0x1.030027cc178dbp-16, 0x1.fc9d0a00763dp-17, 0x1.f3407664159fp-17, 0x1.e9eac03f30a8bp-17, 0x1.e09c178cccf6bp-17, 0x1.d754b067f6f24p-17, 0x1.ce14c2b27d78ep-17, 0x1.c4dc89bccdbe7p-17, 0x1.bbac43f3e965dp-17, 0x1.b28432919a2c6p-17, 0x1.a9649951d6545p-17, 0x1.a04dbe29a5d83p-17, 0x1.973fe904331f2p-17, 0x1.8e3b6380677bep-17, 0x1.854078b3c562p-17, 0x1.7c4f74ef8bb7p-17, 0x1.7368a586edd64p-17, 0x1.6a8c589c9a335p-17, 0x1.61badceeb61b7p-17, 0x1.58f481a757812p-17, 0x1.5039963018db5p-17, 0x1.478a6a06a7eb9p-17, 0x1.3ee74c9505c4fp-17, 0x1.36508d0a6106cp-17, 0x1.2dc67a384636p-17, 0x1.2549626fb266ep-17, 0x1.1cd993622d545p-17, 0x1.14775a0368336p-17, 0x1.0c23026d8149cp-17, 0x1.03dcd7c74e54fp-17, 0x1.f74a4854ee7c5p-18, 0x1.e6f8611cb141fp-18, 0x1.d6c4896297305p-18, 0x1.c6af4e0bab1c6p-18, 0x1.b6b93941904c8p-18, 0x1.a6e2d24ec8a21p-18, 0x1.972c9d80aeef7p-18, 0x1.87971c0a92faap-18, 0x1.7822cbeadce34p-18, 0x1.68d027d4fb881p-18, 0x1.599fa71bb1c08p-18, 0x1.4a91bd9e45749p-18, 0x1.3ba6dbb5ab3f9p-18, 0x1.2cdf6e26f012cp-18, 0x1.1e3bde1441c33p-18, 0x1.0fbc90f2cc197p-18, 0x1.0161e87fe1bccp-18, 0x1.e658857459f6ap-19, 0x1.ca37f3b38391p-19, 0x1.ae62c894d28cep-19, 0x1.92d9a95164b68p-19, 0x1.779d337caaac7p-19, 0x1.5cadfd055f2cfp-19, 0x1.420c943268affp-19, 0x1.27b97fa8d0725p-19, 0x1.0db53e6b44cb1p-19, 0x1.e8008fc94e146p-20, 0x1.b53617d8a7ccdp-20, 0x1.830be5a6cdaf8p-20, 0x1.5182badd87e88p-20, 0x1.209b4a4ce91adp-20, 0x1.e0ac70095d7d1p-21, 0x1.816832f099114p-21, 0x1.236aeb3a733ep-21, 0x1.8d6b145f566f5p-22, 0x1.ad2392e243581p-23, 0x1.125b3c249d7c4p-25, -0x1.1ecdadee639c5p-23, -0x1.3e83ee1c589c5p-22, -0x1.eb0b0fe8fd3f4p-22, -0x1.4a7dd1baa077ep-21, -0x1.9e2aa213c1156p-21, -0x1.f08be06d4e3dp-21, -0x1.20d0c6c32702ap-20, -0x1.48b5e181edafbp-20, -0x1.6ff5597e98e92p-20, -0x1.968f53c6d0eb8p-20, -0x1.bc84012e3438cp-20, -0x1.e1d39e18fe15bp-20, -0x1.033f391e64083p-19, -0x1.15426832f817ap-19, -0x1.26f38b1edf41bp-19, -0x1.3852d605702d2p-19, -0x1.4960823bd79f9p-19, -0x1.5a1cce2983a0dp-19, -0x1.6a87fd2be0e5ep-19, -0x1.7aa257745638fp-19, -0x1.8a6c29ed08c27p-19, -0x1.99e5c6186532fp-19, -0x1.a90f81f3ad63p-19, -0x1.b7e9b7d66e771p-19, -0x1.c674c6574246bp-19, -0x1.d4b1102b75593p-19, -0x1.e29efc096d524p-19, -0x1.f03ef48a9ca71p-19, -0x1.fd91680df11cap-19, -0x1.054b644cfffdbp-18, -0x1.0ba7c5e018872p-18, -0x1.11de153f64699p-18, -0x1.17ee90923e7bfp-18, -0x1.1dd97799f4db8p-18, -0x1.239f0ba318f46p-18, -0x1.293f8f785c6f6p-18, -0x1.2ebb4753c793ep-18, -0x1.341278d126a98p-18, -0x1.39456ae129c4bp-18, -0x1.3e5465bb36cd2p-18, -0x1.433fb2d060a62p-18, -0x1.48079cbe131c8p-18, -0x1.4cac6f41bf10bp-18, -0x1.512e772bad042p-18, -0x1.558e0252853c7p-18, -0x1.59cb5f872ae8cp-18, -0x1.5de6de88656a7p-18, -0x1.61e0cff6bf3a3p-18, -0x1.65b98548c0be7p-18, -0x1.697150bf630dbp-18, -0x1.6d08855ad081fp-18, -0x1.707f76cee2b88p-18, -0x1.73d6797878bd4p-18, -0x1.770de25277e57p-18, -0x1.7a2606eb631edp-18, -0x1.7d1f3d5a654d9p-18, -0x1.7ff9dc3557dd4p-18, -0x1.82b63a8711aa8p-18, -0x1.8554afc50d993p-18, -0x1.87d593c67d7d7p-18, -0x1.8a393eba211d9p-18, -0x1.8c80091db22b8p-18, -0x1.8eaa4bb43aacdp-18, -0x1.90b85f7d4beacp-18, -0x1.92aa9dacccfecp-18, -0x1.94815fa1f4a7ap-18, -0x1.963cfedfb0e29p-18, -0x1.97ddd5041d8e7p-18, -0x1.99643bc0e7fbcp-18, -0x1.9ad08cd3a3c98p-18, -0x1.9c2321fdeb034p-18, -0x1.9d5c54fe0ceb6p-18, -0x1.9e7c7f8888431p-18, -0x1.9f83fb407001ep-18, -0x1.a07321b11b39ap-18, -0x1.a14a4c476807ep-18, -0x1.a209d44b46953p-18, -0x1.a2b212d9b19c1p-18, -0x1.a34360dde0ec2p-18, -0x1.a3be170c0bfd5p-18, -0x1.a4228ddb9c65fp-18, -0x1.a4711d817715cp-18, -0x1.a4aa1deae0a26p-18, -0x1.a4cde6b7ed6bep-18, -0x1.a4dccf36beaf4p-18, -0x1.a4d72e5e6ee55p-18, -0x1.a4bd5ac9f6ec5p-18, -0x1.a48faab40ac8fp-18, -0x1.a44e73f288963p-18, -0x1.a3fa0bf208079p-18, -0x1.a392c7b1db7acp-18, -0x1.a318fbbfe5842p-18, -0x1.a28cfc350d955p-18, -0x1.a1ef1cb10d77p-18, -0x1.a13fb056c91d6p-18, -0x1.a07f09c91c149p-18, -0x1.9fad7b2789d1ap-18, -0x1.9ecb560ad7d11p-18, -0x1.9dd8eb825d4bcp-18, -0x1.9cd68c10a8939p-18, -0x1.9bc487a8e6fdfp-18, -0x1.9aa32dac2c86dp-18, -0x1.9972cce67a057p-18, -0x1.9833b38ca47d3p-18, -0x1.96e62f3a00c44p-18, -0x1.958a8cedec4a1p-18, -0x1.94211909da73fp-18, -0x1.92aa1f4f2cf0cp-18, -0x1.9125eadd53d1cp-18, -0x1.8f94c6301f366p-18, -0x1.8df6fb1d7912cp-18, -0x1.8c4cd2d4396d1p-18, -0x1.8a9695daa1416p-18, -0x1.88d48c0cb8dc1p-18, -0x1.8706fc9b31a38p-18, -0x1.852e2e09f1697p-18, -0x1.834a662f314f7p-18, -0x1.815bea32104cdp-18, -0x1.7f62fe89dcbbbp-18, -0x1.7d5fe6fcbdedfp-18, -0x1.7b52e69f51505p-18, -0x1.793c3fd3d442ap-18, -0x1.771c3449446d5p-18, -0x1.74f304faefa1fp-18, -0x1.72c0f22fe16fap-18, -0x1.70863b7a7ffc5p-18, -0x1.6e431fb807b89p-18, -0x1.6bf7dd101af68p-18, -0x1.69a4b0f4b4a7dp-18, -0x1.6749d821e7838p-18, -0x1.64e78e9d9e095p-18, -0x1.627e0fb7da347p-18, -0x1.600d960a77cd8p-18, -0x1.5d965b7928aaep-18, -0x1.5b189931b3869p-18, -0x1.589487ac1c0e7p-18, -0x1.560a5eaa8af7fp-18, -0x1.537a5539d6556p-18, -0x1.50e4a1b1d045cp-18, -0x1.4e4979b596cbap-18, -0x1.4ba91233d6acp-18, -0x1.49039f6774e89p-18, -0x1.465954d7e8f7ap-18, -0x1.43aa6559c562bp-18, -0x1.40f7030f4424dp-18, -0x1.3e3f5f68e57b4p-18, -0x1.3b83ab2624546p-18, -0x1.38c41656151fbp-18, -0x1.3600d05810ba2p-18, -0x1.333a07dcaa93cp-18, -0x1.306feae652189p-18, -0x1.2da2a6ca27fafp-18, -0x1.2ad26830d0524p-18, -0x1.27ff5b177b7d3p-18, -0x1.2529aad07e51p-18, -0x1.225182047bd7ep-18, -0x1.1f770ab364f9bp-18, -0x1.1c9a6e355cc36p-18, -0x1.19bbd53bac3eap-18, -0x1.16db67d1e6b63p-18, -0x1.13f94d5f0acdbp-18, -0x1.1115aca654a0dp-18, -0x1.0e30abc8832c9p-18, -0x1.0b4a7044f10bdp-18, -0x1.08631efab94efp-18, -0x1.057adc29d3adap-18, -0x1.0291cb743b195p-18, -0x1.ff501fbe75dddp-19, -0x1.f97b97a92e87ap-19, -0x1.f3a642476098cp-19, -0x1.edd062059b12cp-19, -0x1.e7fa3820da8ffp-19, -0x1.e22404a8bd9e2p-19, -0x1.dc4e068217a3ep-19, -0x1.d6787b69aa64dp-19, -0x1.d0a39ff6e1d48p-19, -0x1.cacfaf9de13e6p-19, -0x1.c4fce4b290f3ep-19, -0x1.bf2b786b117dp-19, -0x1.b95ba2e28fa11p-19, -0x1.b38d9b1b6b7f9p-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.3a4a42afa51aap-8, -0x1.3a6d5929e02bbp-7, -0x1.d819920ba5484p-7, -0x1.3b46aff430f11p-6, -0x1.8b21c91983131p-6, -0x1.dbde876027d2ap-6, -0x1.16dbef14478dfp-5, -0x1.406e130ff1618p-5, -0x1.6ab3fd7adeca1p-5, -0x1.95b18f31b8b5ep-5, -0x1.c15f960323e76p-5, -0x1.edabe6623b13fp-5, -0x1.0d3d043582d32p-4, -0x1.23d226ec06b57p-4, -0x1.3a7e95c873256p-4, -0x1.51285bd8e059fp-4, -0x1.67b319a43e4e8p-4, -0x1.7e00c67838d78p-4, -0x1.93f2675533a74p-4, -0x1.a968b6d7ba6fap-4, -0x1.be44bb464780ep-4, -0x1.d2684950d2346p-4, -0x1.e5b673206ac1ep-4, -0x1.f813e41e4c662p-4, -0x1.04b395331e1a4p-3, -0x1.0ccc779af5a24p-3, -0x1.144a0ff122a7ap-3, -0x1.1b23047b999p-3, -0x1.214f32960c583p-3, -0x1.26c7b0e71d07ep-3, -0x1.2b86cd1735977p-3, -0x1.2f8805c28ca97p-3, -0x1.32c801508a8aep-3, -0x1.3544824abfd29p-3, -0x1.36fc59bd4b114p-3, -0x1.37ef581a98c01p-3, -0x1.381e3d0d4dd72p-3, -0x1.378aa694faea9p-3, -0x1.3636ffbd0b032p-3, -0x1.34266f3193f17p-3, -0x1.315cc5eabb6bdp-3, -0x1.2dde6e1de0a47p-3, -0x1.29b05a9b08994p-3, -0x1.24d7f6b58c144p-3, -0x1.1f5b16d053f3ap-3, -0x1.193fe9a021c8dp-3, -0x1.128cea316bd49p-3, -0x1.0b48d2baebbb8p-3, -0x1.037a90425aef6p-3, -0x1.f6526e2b5ed03p-4, -0x1.e4b7f03106b93p-4, -0x1.d2342dc659cb6p-4, -0x1.bed5c15e4f207p-4, -0x1.aaab48162b1dep-4, -0x1.95c3529ebc202p-4, -0x1.802c57972ce98p-4, -0x1.69f4a74867404p-4, -0x1.532a60af18941p-4, -0x1.3bdb67c1c5da7p-4, -0x1.24155ce018c99p-4, -0x1.0be5955873677p-4, -0x1.e6b229e213c8dp-5, -0x1.b4f910c402b8ap-5, -0x1.82b8815d2d1e1p-5, -0x1.50085e97a4566p-5, -0x1.1cffc60802d99p-5, -0x1.d36a161b66f61p-6, -0x1.6c7b665bdc61fp-6, -0x1.055ce718c7989p-6, -0x1.3c6cbd988bba5p-7, -0x1.b96f775085c62p-9, 0x1.7cbf5dc747196p-9, 0x1.2bf0ae162fb7bp-7, 0x1.f7a43131c2effp-7, 0x1.61059143f12p-6, 0x1.c574b7fb092ccp-6, 0x1.148189c9957e7p-5, 0x1.45cad9f028501p-5, 0x1.76899514a3f3ap-5, 0x1.a6b1c087ed52ap-5, 0x1.d6381a020ef28p-5, 0x1.02890995e5203p-4, 0x1.199ae680b9104p-4, 0x1.304d098bba705p-4, 0x1.469b2b640f002p-4, 0x1.5c815528ab8d6p-4, 0x1.71fbddf42ec6p-4, 0x1.87076864688b1p-4, 0x1.9ba0e021de46cp-4, 0x1.afc57769674a4p-4, 0x1.c372a499aa408p-4, 0x1.d6a61fc61513cp-4, 0x1.e95de050ac4cfp-4, 0x1.fb981a8bcb0dcp-4, 0x1.06a99eb280c31p-3, 0x1.0f46f80cd65a6p-3, 0x1.17a387fb1a78ep-3, 0x1.1fbed71031ed3p-3, 0x1.279886b6a9053p-3, 0x1.2f305021af7d5p-3, 0x1.368603442bfcfp-3, 0x1.3d9985ce18604p-3, 0x1.446ad230250e1p-3, 0x1.4af9f6a5b9574p-3, 0x1.5147144557078p-3, 0x1.57525e1752337p-3, 0x1.5d1c1832e9957p-3, 0x1.62a496e1a6d6bp-3, 0x1.67ec3dc90341p-3, 0x1.6cf37f1a312e3p-3, 0x1.71badac80bf7fp-3, 0x1.7642ddc305f12p-3, 0x1.7a8c213b03b3p-3, 0x1.7e9749e715c98p-3, 0x1.82650752e3e2ep-3, 0x1.85f61331c1981p-3, 0x1.894b30b74294ep-3, 0x1.8c652bf53f2cp-3, 0x1.8f44d93f26281p-3, 0x1.91eb14928256ep-3, 0x1.9458c10491813p-3, 0x1.968ec834e240fp-3, 0x1.988e19c4c14b2p-3, 0x1.9a57aad37c569p-3, 0x1.9bec757f3c2a3p-3, 0x1.9d4d786a7a3a8p-3, 0x1.9e7bb645ded0ap-3, 0x1.9f78355e80b1ap-3, 0x1.a043ff305dd09p-3, 0x1.a0e01ffcf8ceep-3, 0x1.a14da66607f2dp-3, 0x1.a18da30c16c89p-3, 0x1.a1a12830fd692p-3, 0x1.a189495e265c3p-3, 0x1.a1471b0e75585p-3, 0x1.a0dbb25bcdff7p-3, 0x1.a04824b01769fp-3, 0x1.9f8d8779a058ep-3, 0x1.9eacefe2e5d2dp-3, 0x1.9da7728d8a07ap-3, 0x1.9c7e23507d3ddp-3, 0x1.9b3214f9367aep-3, 0x1.99c4590ff23a7p-3, 0x1.9835ff9ed241fp-3, 0x1.968816fbe3d83p-3, 0x1.94bbab95e1477p-3, 0x1.92d1c7c3aa42ep-3, 0x1.90cb73965b716p-3, 0x1.8ea9b4adf0e09p-3, 0x1.8c6d8e10663p-3, 0x1.8a18000342dbfp-3, 0x1.87aa07e772fd7p-3, 0x1.8524a01777efap-3, 0x1.8288bfc7bc124p-3, 0x1.7fd75ae91b429p-3, 0x1.7d11620d724bap-3, 0x1.7a37c24e3c59p-3, 0x1.774b653522448p-3, 0x1.744d30a664e1cp-3, 0x1.713e06cd2cd5p-3, 0x1.6e1ec6098dd1bp-3, 0x1.6af048e0509b8p-3, 0x1.67b365ec58af5p-3, 0x1.6468efd1ac9dfp-3, 0x1.6111b531fde98p-3, 0x1.5dae80a2bbd44p-3, 0x1.5a4018a4898c8p-3, 0x1.56c73f9c1b39bp-3, 0x1.5344b3cc6a15dp-3, 0x1.4fb92f5228b45p-3, 0x1.4c25682076952p-3, 0x1.488a0ffec4109p-3, 0x1.44e7d487cd187p-3, 0x1.413f5f29b9c3ep-3, 0x1.3d91552737c91p-3, 0x1.39de57999f5d5p-3, 0x1.36270374004dp-3, 0x1.326bf1872016cp-3, 0x1.2eadb6864dc55p-3, 0x1.2aece30d08035p-3, 0x1.272a03a571e47p-3, 0x1.2365a0cf7dc33p-3, 0x1.1fa03f08cd50fp-3, 0x1.1bda5ed53fd08p-3, 0x1.18147cc81b1fcp-3, 0x1.144f118dcf91p-3, 0x1.108a91f64962dp-3, 0x1.0cc76effca8e3p-3, 0x1.090615e23b543p-3, 0x1.0546f01af6d22p-3, 0x1.018a6378ff60dp-3, 0x1.fba1a4533e49dp-4, 0x1.f435358aba21ap-4, 0x1.ecd030ba9c844p-4, 0x1.e57345117097ap-4, 0x1.de1f1ae5ecb43p-4, 0x1.d6d453d34b2bdp-4, 0x1.cf938ad613a79p-4, 0x1.c85d54694fd59p-4, 0x1.c1323ea41d53ep-4, 0x1.ba12d1579e9b1p-4, 0x1.b2ff8e2d1d2a4p-4, 0x1.abf8f0c481e7ap-4, 0x1.a4ff6ed2e7e3ap-4, 0x1.9e1378417033ep-4, 0x1.9735774c213d1p-4, 0x1.9065d0a0e6b64p-4, 0x1.89a4e37e9c0c5p-4, 0x1.82f309d41d1b8p-4, 0x1.7c50985f50c06p-4, 0x1.75bddecc2d136p-4, 0x1.6f3b27d3a54d1p-4, 0x1.68c8b95a817fcp-4, 0x1.6266d490156b2p-4, 0x1.5c15b60cd0f68p-4, 0x1.55d595f0a3ce9p-4, 0x1.4fa6a801320a8p-4, 0x1.49891bc7cd2e3p-4, 0x1.437d1caf35679p-4, 0x1.3d82d22115a95p-4, 0x1.379a5fa33b834p-4, 0x1.31c3e4f48652ep-4, 0x1.2bff7e29852d8p-4, 0x1.264d43c8c6813p-4, 0x1.20ad4ae6cede7p-4, 0x1.1b1fa541ba159p-4, 0x1.15a4615c7f711p-4, 0x1.103b8a99d7774p-4, 0x1.0ae52956bf825p-4, 0x1.05a143049e2b9p-4, 0x1.006fda42fc672p-4, 0x1.f6a1ddf1b6732p-5, 0x1.ec88fcdb4075ap-5, 0x1.e29506c327961p-5, 0x1.d8c5ec4bef528p-5, 0x1.cf1b996958d86p-5, 0x1.c595f58ed4853p-5, 0x1.bc34e3dd1509bp-5, 0x1.b2f8434ec0aadp-5, 0x1.a9dfeee442bd5p-5, 0x1.a0ebbdceb7b9cp-5, 0x1.981b8399f9e53p-5, 0x1.8f6f1055caaf8p-5, 0x1.86e630be1433bp-5, 0x1.7e80ae624ba73p-5, 0x1.763e4fcbef7p-5, 0x1.6e1ed8a42358ep-5, 0x1.662209d867044p-5, 0x1.5e47a1be7294ep-5, 0x1.568f5c372d955p-5, 0x1.4ef8f2d0c9f84p-5, 0x1.47841ce800bbcp-5, 0x1.40308fc876dddp-5, 0x1.38fdfecc42e5ep-5, 0x1.31ec1b7aa114dp-5, 0x1.2afa95a5caa04p-5, 0x1.24291b8802442p-5, 0x1.1d7759dfc5476p-5, 0x1.16e4fc0b38868p-5, 0x1.1071ac22bede7p-5, 0x1.0a1d1312cf7bdp-5, 0x1.03e6d8b4fa1d4p-5, 0x1.fb9d47d0626c2p-6, 0x1.efa83550959ddp-6, 0x1.e3edc44990aafp-6, 0x1.d86d3dadb4e2dp-6, 0x1.cd25e92d6f7c6p-6, 0x1.c2170d6064b6cp-6, 0x1.b73fefed3df1fp-6, 0x1.ac9fd5b019589p-6, 0x1.a23602df9f524p-6, 0x1.9801bb30c84d5p-6, 0x1.8e0241f946e99p-6, 0x1.8436da50c0bc7p-6, 0x1.7a9ec730ba3d5p-6, 0x1.71394b9346bcap-6, 0x1.6805aa9090cf2p-6, 0x1.5f03277b2e819p-6, 0x1.563105fb4c982p-6, 0x1.4d8e8a28beeb6p-6, 0x1.451af8a3f74c3p-6, 0x1.3cd596adec137p-6, 0x1.34bdaa3ee8095p-6, 0x1.2cd27a1c5cf7fp-6, 0x1.25134dedb12d8p-6, 0x1.1d7f6e501dbcbp-6, 0x1.161624e98a7cap-6, 0x1.0ed6bc7a85562p-6, 0x1.07c080ef520d1p-6, 0x1.00d2bf701557bp-6, 0x1.f4198ce056e38p-7, 0x1.e6dbcb7949172p-7, 0x1.d9eadd13dc3abp-7, 0x1.cd4567017f48fp-7, 0x1.c0ea119464516p-7, 0x1.b4d7883651138p-7, 0x1.a90c797e01aefp-7, 0x1.9d879742fd0a6p-7, 0x1.924796b03502cp-7, 0x1.874b3055455b1p-7, 0x1.7c9120367602bp-7, 0x1.721825db84ec3p-7, 0x1.67df045d23bfcp-7, 0x1.5de4827168bf2p-7, 0x1.54276a7716b46p-7, 0x1.4aa68a7fd1086p-7, 0x1.4160b4595f0c2p-7, 0x1.3854bd95b8823p-7, 0x1.2f817f924682cp-7, 0x1.26e5d77e1ee2p-7, 0x1.1e80a65f630d9p-7, 0x1.1650d117ca423p-7, 0x1.0e5540683ee53p-7, 0x1.068ce0f3bb9e5p-7, 0x1.fded4682b5ef9p-8, 0x1.ef22f77b66d31p-8, 0x1.e0b8c576e91acp-8, 0x1.d2aca8e6dff98p-8, 0x1.c4fca2079cbe8p-8, 0x1.b7a6b8dd74d1ap-8, 0x1.aaa8fd30f8dd5p-8, 0x1.9e018689d7aa9p-8, 0x1.91ae7428f262fp-8, 0x1.85aded0127c6fp-8, 0x1.79fe1faf1dd7ep-8, 0x1.6e9d42703f701p-8, 0x1.63899318ab5b5p-8, 0x1.58c157086961fp-8, 0x1.4e42db1fdecbap-8, 0x1.440c73b34fb13p-8, 0x1.3a1c7c7da9a0bp-8, 0x1.30715892bb9b5p-8, 0x1.27097250b7f6ap-8, 0x1.1de33b510b62p-8, 0x1.14fd2c58e2043p-8, 0x1.0c55c548d5d44p-8, 0x1.03eb8d0c21a98p-8, 0x1.f77a230f256c5p-9, 0x1.e791cf0f9d2ddp-9, 0x1.d81b555eaa884p-9, 0x1.c913fac8418f3p-9, 0x1.ba791179e2216p-9, 0x1.ac47f8dc239a5p-9, 0x1.9e7e1d6c164b7p-9, 0x1.9118f893f4c13p-9, 0x1.8416108359beap-9, 0x1.7772f80717a6p-9, 0x1.6b2d4e60dee73p-9, 0x1.5f42bf1dd0057p-9, 0x1.53b101eda23bbp-9, 0x1.4875da78e6b25p-9, 0x1.3d8f18376aab2p-9, 0x1.32fa96464add8p-9, 0x1.28b63b3e0b53p-9, 0x1.1ebff9086a964p-9, 0x1.1515ccb60357cp-9, 0x1.0bb5be54253d9p-9, 0x1.029de0c281cabp-9, 0x1.f398a311f3d89p-10, 0x1.e27e715ac74cp-10, 0x1.d1e991133d1c1p-10, 0x1.c1d67b42b0b1fp-10, 0x1.b241bcf04badbp-10, 0x1.a327f6cfcb5eep-10, 0x1.9485dcee19335p-10, 0x1.8658365ec2143p-10, 0x1.789bdce9bb726p-10, 0x1.6b4dbcb983864p-10, 0x1.5e6ad4099f017p-10, 0x1.51f032d60b14p-10, 0x1.45dafa8ac9559p-10, 0x1.3a285db44dfd9p-10, 0x1.2ed59fb08a9b9p-10, 0x1.23e01460c7f93p-10, 0x1.19451fdbeaf2dp-10, 0x1.0f0236216b345p-10, 0x1.0514dacd2fa4ap-10, 0x1.f6f54197ce3cp-11, 0x1.e462542183cacp-11, 0x1.d26c4e9633946p-11, 0x1.c10eaf3b3757dp-11, 0x1.b04510ac28f53p-11, 0x1.a00b294bb4fb7p-11, 0x1.905ccab670a63p-11, 0x1.8135e13738cb5p-11, 0x1.7292733d81155p-11, 0x1.646ea0d569a6ep-11, 0x1.56c6a32192d39p-11, 0x1.4996cbd669cbdp-11, 0x1.3cdb84b7df2e4p-11, 0x1.30914f183aac3p-11, 0x1.24b4c3591986dp-11, 0x1.1942906e0cba8p-11, 0x1.0e377b61623bfp-11, 0x1.03905eda8d70ap-11, 0x1.f294554c67ad5p-12, 0x1.dec3c6813afaep-12, 0x1.cba942c2a590bp-12, 0x1.b93f2311ce20bp-12, 0x1.a77fe720b04a7p-12, 0x1.966634757c836p-12, 0x1.85ecd59020965p-12, 0x1.760eb914e4535p-12, 0x1.66c6f0f9aab0dp-12, 0x1.5810b1b7aa632p-12, 0x1.49e7517f56b35p-12, 0x1.3c464771018dep-12, 0x1.2f292ad823cf3p-12, 0x1.228bb26b7ec0cp-12, 0x1.1669b38ee8151p-12, 0x1.0abf2199f72eep-12, 0x1.ff101a422eb2fp-13, 0x1.e9814686c8abfp-13, 0x1.d4ca59f3aea5dp-13, 0x1.c0e41cd8409bap-13, 0x1.adc78c8c4979p-13, 0x1.9b6dda25964cp-13, 0x1.89d0693382617p-13, 0x1.78e8ce7efdffap-13, 0x1.68b0ced19a107p-13, 0x1.59225dc4f3822p-13, 0x1.4a379c946906bp-13, 0x1.3bead8f7e848bp-13, 0x1.2e368c04ddfb6p-13, 0x1.211559118a684p-13, 0x1.14820ca1f3a72p-13, 0x1.08779b596d79ap-13, 0x1.f9e241e306828p-14, 0x1.e3d3be6bf0cacp-14, 0x1.ceba7a10cbc52p-14, 0x1.ba8d8accedc4fp-14, 0x1.a7444cedc9d22p-14, 0x1.94d6613b0c5d2p-14, 0x1.833bab2173fdap-14, 0x1.726c4eedca31p-14, 0x1.6260b01034101p-14, 0x1.53116f68a549fp-14, 0x1.4477699f94822p-14, 0x1.368bb58554f62p-14, 0x1.2947a27d4f2acp-14, 0x1.1ca4b6eea39ffp-14, 0x1.109caec3621abp-14, 0x1.052979edad624p-14, 0x1.f48a75ea96fc5p-15, 0x1.dfd48b1c0946ep-15, 0x1.cc263a700f7afp-15, 0x1.b974e7ceb74c1p-15, 0x1.a7b65167256d6p-15, 0x1.96e08d24265b2p-15, 0x1.86ea06252733ap-15, 0x1.77c97a515ad72p-15, 0x1.6975f7f4070fep-15, 0x1.5be6db6de33d6p-15, 0x1.4f13cceebcc4fp-15, 0x1.42f4be3e87e83p-15, 0x1.3781e89920828p-15, 0x1.2cb3ca90dd171p-15, 0x1.228326028312p-15, 0x1.18e8fe1de019p-15, 0x1.0fde956907063p-15, 0x1.075d6be131fe2p-15, 0x1.febe7a3e5c923p-16, 0x1.efbbfd1754c4dp-16, 0x1.e1a7bb3d385c1p-16, 0x1.d4767c5383b48p-16, 0x1.c81d715eaa059p-16, 0x1.bc9231826e3e4p-16, 0x1.b1cab6dc3d9cdp-16, 0x1.a7bd5b7447ceep-16, 0x1.9e60d63f877ebp-16, 0x1.95ac3834dd7fdp-16, 0x1.8d96e976816c7p-16, 0x1.8618a69532cf6p-16, 0x1.7f297dde5be77p-16, 0x1.78c1ccbf95312p-16, 0x1.72da3d476700ap-16, 0x1.6d6bc3a0a5c35p-16, 0x1.686f9bb31a9bep-16, 0x1.63df46caab14cp-16, 0x1.5fb48957b7be8p-16, 0x1.5be968b92f592p-16, 0x1.5878291715c27p-16, 0x1.555b4b4ed37d2p-16, 0x1.528d8aea7618ep-16, 0x1.5009dc2bae00fp-16, 0x1.4dcb6a1f5b8fdp-16, 0x1.4bcd94ce6cef7p-16, 0x1.4a0bef631a8e1p-16, 0x1.48823e6ee9f5fp-16, 0x1.472c7636b5f4cp-16, 0x1.4606b90ecab12p-16, 0x1.450d55be7d0a9p-16, 0x1.443cc5f555f8ep-16, 0x1.4391acc7ddf55p-16, 0x1.4308d539905cfp-16, 0x1.429f30cd79de5p-16, 0x1.4251d6288fa62p-16, 0x1.421dffc0c9a32p-16, 0x1.42010a8cc4faap-16, 0x1.41f874c1a6c36p-16, 0x1.4201dc9d7b3a4p-16, 0x1.421aff38c6c1ap-16, 0x1.4241b760de5a9p-16, 0x1.4273fc7cf1961p-16, 0x1.42afe17c9fff1p-16, 0x1.42f393cd0ce37p-16, 0x1.433d5a53bf7f1p-16, 0x1.438b94752ea9bp-16, 0x1.43dcb926f5246p-16, 0x1.442f56029493dp-16, 0x1.44820e63bff55p-16, 0x1.44d39a8b4f598p-16, 0x1.4522c6cd7af88p-16, 0x1.456e72c02114cp-16, 0x1.45b590772259dp-16, 0x1.45f723c08a58ep-16, 0x1.46324170bcd22p-16, 0x1.46660ea90b34fp-16, 0x1.4691c029a5a63p-16, 0x1.46b499ab9ea37p-16, 0x1.46cded3d2ac8fp-16, 0x1.46dd1aa470418p-16, 0x1.46e18ec8db10dp-16, 0x1.46dac31fa8fc4p-16, 0x1.46c83d1f1abadp-16, 0x1.46a98db42675cp-16, 0x1.467e50bda5f75p-16, 0x1.46462c8e5333dp-16, 0x1.4600d172481a5p-16, 0x1.45adf937d5b7dp-16, 0x1.454d66bc00802p-16, 0x1.44dee57d3ad34p-16, 0x1.4462492f153a2p-16, 0x1.43d76d5552df7p-16, 0x1.433e34df1a21ap-16, 0x1.429689c95edep-16, 0x1.41e05cc3848b3p-16, 0x1.411ba4d46253cp-16, 0x1.40485f05e8259p-16, 0x1.3f668e120d0e8p-16, 0x1.3e763a14966e5p-16, 0x1.3d77703fbeddcp-16, 0x1.3c6a4292addb3p-16, 0x1.3b4ec79289ff6p-16, 0x1.3a251a06cb76ap-16, 0x1.38ed58b87d507p-16, 0x1.37a7a6327487p-16, 0x1.365428867e1efp-16, 0x1.34f309133dd1ep-16, 0x1.3384744e8ac2dp-16, 0x1.3208998d19e2cp-16, 0x1.307faad0fc737p-16, 0x1.2ee9dc982b825p-16, 0x1.2d4765ad91195p-16, 0x1.2b987efc97127p-16, 0x1.29dd636604443p-16, 0x1.28164f9692ac5p-16, 0x1.264381dede097p-16, 0x1.24653a0ea5757p-16, 0x1.227bb94e8671ep-16, 0x1.208741fecc989p-16, 0x1.1e881795f9f58p-16, 0x1.1c7e7e824f838p-16, 0x1.1a6abc0a1da63p-16, 0x1.184d162f3198dp-16, 0x1.1625d393bb018p-16, 0x1.13f53b5f95ad2p-16, 0x1.11bb9527612eep-16, 0x1.0f7928d578676p-16, 0x1.0d2e3e924b3cfp-16, 0x1.0adb1eb01a765p-16, 0x1.08801195d93f5p-16, 0x1.061d5fab2e302p-16, 0x1.03b3514668691p-16, 0x1.01422e9b281a9p-16, 0x1.fd947f53ec916p-17, 0x1.f8979860e4debp-17, 0x1.f38e373536ad8p-17, 0x1.ee78e9e983ebbp-17, 0x1.e9583dbd4bdbdp-17, 0x1.e42cbefc3a94ep-17, 0x1.def6f8e7d9b96p-17, 0x1.d9b775a2dbe8cp-17, 0x1.d46ebe19e56ffp-17, 0x1.cf1d59f3952e4p-17, 0x1.c9c3cf7b781d7p-17, 0x1.c462a392a3c54p-17, 0x1.befa599edcddp-17, 0x1.b98b737cdc53ap-17, 0x1.b41671729cfcep-17, 0x1.ae9bd2227ffa4p-17, 0x1.a91c128018d67p-17, 0x1.a397adc67788fp-17, 0x1.9e0f1d6c50468p-17, 0x1.9882d91bfff41p-17, 0x1.92f356ac4d635p-17, 0x1.8d610a17df185p-17, 0x1.87cc65778313fp-17, 0x1.8235d8fca79d9p-17, 0x1.7c9dd2eb5f51bp-17, 0x1.7704bf965ab4fp-17, 0x1.716b095b0d042p-17, 0x1.6bd1189e90affp-17, 0x1.663753cb11e01p-17, 0x1.609e1f4cc71bfp-17, 0x1.5b05dd918f4b6p-17, 0x1.556eef07d8b03p-17, 0x1.4fd9b21ce2246p-17, 0x1.4a46833ce1014p-17, 0x1.44b5bcd3ee30fp-17, 0x1.3f27b74eccc5fp-17, 0x1.399cc91a71ee8p-17, 0x1.341546a7009f8p-17, 0x1.2e91826864cabp-17, 0x1.2911ccd8eb05p-17, 0x1.2396747b86c08p-17, 0x1.1e1fc5de74094p-17, 0x1.18ae0b9eb0479p-17, 0x1.13418e6aa29e2p-17, 0x1.0dda9504fbc43p-17, 0x1.087964499c1c8p-17, 0x1.031e3f30838fp-17, 0x1.fb92cda3c25c5p-18, 0x1.f0f634d4f1387p-18, 0x1.e6672ec19f852p-18, 0x1.dbe6329334d2ap-18, 0x1.d173b3d670e6cp-18, 0x1.c710228855bd8p-18, 0x1.bcbbeb1d5a315p-18, 0x1.b277768d66c52p-18, 0x1.a8432a5dbd34p-18, 0x1.9e1f68ac95d3dp-18, 0x1.940c903cb3becp-18, 0x1.8a0afc7e60535p-18, 0x1.801b059bee059p-18, 0x1.763d0083fec3p-18, 0x1.6c713ef65aa34p-18, 0x1.62b80f8e0391dp-18, 0x1.5911bdcd4363p-18, 0x1.4f7e922b0dbc1p-18, 0x1.45fed21e6f579p-18, 0x1.3c92c0281b5e4p-18, 0x1.333a9be1cae66p-18, 0x1.29f6a206f79ap-18, 0x1.20c70c820c55cp-18, 0x1.17ac127898223p-18, 0x1.0ea5e8569b2c4p-18, 0x1.05b4bfddc31a3p-18, 0x1.f9b1905c0edd5p-19, 0x1.e8245ba46fc1ap-19, 0x1.d6c23599ae2cep-19, 0x1.c58b6d45e4054p-19, 0x1.b4804cd080472p-19, 0x1.a3a11995f63bbp-19, 0x1.92ee143f4456p-19, 0x1.826778dcd84aap-19, 0x1.720d7ef9aca37p-19, 0x1.61e059b31cdacp-19, 0x1.51e037d17d765p-19, 0x1.420d43dd0ed7ap-19, 0x1.3267a43522191p-19, 0x1.22ef7b2579659p-19, 0x1.13a4e6fec7497p-19, 0x1.0488022eda6d3p-19, 0x1.eb31c6a6d29b1p-20, 0x1.cdaf3a9d78d28p-20, 0x1.b0887ebf6da45p-20, 0x1.93bdaa6a7d623p-20, 0x1.774ece07964f1p-20, 0x1.5b3bf33584b2p-20, 0x1.3f851ceec3eb4p-20, 0x1.242a47bc56ef9p-20, 0x1.092b69d4717d5p-20, 0x1.dd10e685f8f7p-21, 0x1.a8829c2c451fdp-21, 0x1.74abbd0139143p-21, 0x1.418c0602784f4p-21, 0x1.0f23290f9c51fp-21, 0x1.bae19a66246ddp-22, 0x1.58e91df62552ap-22, 0x1.f0b802e0fa007p-23, 0x1.3272ab106d642p-23, 0x1.dc00bc93ab081p-25, -0x1.06866fd078186p-25, -0x1.eeea0b9c07292p-24, -0x1.aa7c81935924p-23, -0x1.2d5d526e911f1p-22, -0x1.84191367e4df7p-22, -0x1.d972ef62f4e1fp-22, -0x1.16b630eb09445p-21, -0x1.40037abbd297dp-21, -0x1.68a221db83cebp-21, -0x1.9092fa2280bc8p-21, -0x1.b7d6de559913p-21, -0x1.de6eafe84eabap-21, -0x1.022dab6074437p-20, -0x1.14cee07dad043p-20, -0x1.271b715b973d4p-20, -0x1.3913daeedeb11p-20, -0x1.4ab89cf6738fdp-20, -0x1.5c0a39e60c7e4p-20, -0x1.6d0936c6eb137p-20, -0x1.7db61b1e50798p-20, -0x1.8e1170d5b84f2p-20, -0x1.9e1bc42632827p-20, -0x1.add5a376d734p-20, -0x1.bd3f9f4bbd36cp-20, -0x1.cc5a4a2e912ccp-20, -0x1.db26389985509p-20, -0x1.e9a400dab2a49p-20, -0x1.f7d43b0320bd4p-20, -0x1.02dbc06926dd2p-19, -0x1.09a736cfa4693p-19, -0x1.104ccf21433f3p-19, -0x1.16ccd881a125cp-19, -0x1.1d27a2c21b99bp-19, -0x1.235d7e573b979p-19, -0x1.296ebc4fdc1e2p-19, -0x1.2f5bae4d9f9cfp-19, -0x1.3524a679dc587p-19, -0x1.3ac9f77c99fe3p-19, -0x1.404bf47412151p-19, -0x1.45aaf0ee98a97p-19, -0x1.4ae740de2597bp-19, -0x1.50013892d567ep-19, -0x1.54f92cb2b94b1p-19, -0x1.59cf723296539p-19, -0x1.5e845e4d385a5p-19, -0x1.6318467b782c3p-19, -0x1.678b806fb84fbp-19, -0x1.6bde620cd8394p-19, -0x1.7011415eb5d52p-19, -0x1.7424749568022p-19, -0x1.781851fd2ed6ep-19, -0x1.7bed2ff855f73p-19, -0x1.7fa364f902bbap-19, -0x1.833b477bbd201p-19, -0x1.86b52e01d5877p-19, -0x1.8a116f0a17454p-19, -0x1.8d50610b974c7p-19, -0x1.90725a71c1a5ep-19, -0x1.9377b19529607p-19, -0x1.9660bcb6ae4b3p-19, -0x1.992dd1fada9a4p-19, -0x1.9bdf4765bda2ep-19, -0x1.9e7572d44e378p-19, -0x1.a0f0a9f992959p-19, -0x1.a351425855c42p-19, -0x1.a597914112ed5p-19, -0x1.a7c3ebcae8789p-19, }}, 
      {{0x1.57e4354377fbap-2, 0x1.583da2568aa59p-2, 0x1.58e2e93715103p-2, 0x1.59e0a07163258p-2, 0x1.5b3e58ebd2de4p-2, 0x1.5cfda8df5bf44p-2, 0x1.5f1aa0f4f8a3p-2, 0x1.618ce45f8c004p-2, 0x1.6448f2858030dp-2, 0x1.674164f203c97p-2, 0x1.6a680395fe6d4p-2, 0x1.6daea3c6ed732p-2, 0x1.7107d0d4a38e3p-2, 0x1.74674294253e2p-2, 0x1.77c228ccc4d94p-2, 0x1.7b0f5343d95dap-2, 0x1.7e473df547d2fp-2, 0x1.816408540ef91p-2, 0x1.84615d7ff000dp-2, 0x1.873c52601607dp-2, 0x1.89f33d9f201d9p-2, 0x1.8c858ca89ca5fp-2, 0x1.8ef398083b54dp-2, 0x1.913e78e9442edp-2, 0x1.9367e0eff41ap-2, 0x1.9571f53b6f019p-2, 0x1.975f2d0af43f3p-2, 0x1.993234406e985p-2, 0x1.9aedd1ca28f1fp-2, 0x1.9c94d1da5886p-2, 0x1.9e29f3baca5f9p-2, 0x1.9fafdafaf53c5p-2, 0x1.a12903ad3fc61p-2, 0x1.a297b963b29c5p-2, 0x1.a3fe109b74d53p-2, 0x1.a55de2483fd7p-2, 0x1.a6b8c9348642p-2, 0x1.a81020effaf4dp-2, 0x1.a965060b959fap-2, 0x1.aab857683ee95p-2, 0x1.ac0ab8633716ap-2, 0x1.ad5c93b14437ep-2, 0x1.aeae1ebf5d99ap-2, 0x1.afff5d74d6901p-2, 0x1.b15026380fd05p-2, 0x1.b2a0261b35f45p-2, 0x1.b3eee51ab5f1p-2, 0x1.b53bca5ac4eefp-2, 0x1.b6862054a8e7bp-2, 0x1.b7cd18e758e0dp-2, 0x1.b90fd1419537bp-2, 0x1.ba4d559de6a53p-2, 0x1.bb84a4cacda09p-2, 0x1.bcb4b37b25589p-2, 0x1.bddc6f5c18ea7p-2, 0x1.befac1ef4ef49p-2, 0x1.c00e9328db5f2p-2, 0x1.c116cbd16b044p-2, 0x1.c21257adbcfb7p-2, 0x1.c300276d1736fp-2, 0x1.c3df3260c1d2fp-2, 0x1.c4ae77fef05e3p-2, 0x1.c56d0133c2cfbp-2, 0x1.c619e18321cfp-2, 0x1.c6b437fe69729p-2, 0x1.c73b3010d59bp-2, 0x1.c7ae0225a461p-2, 0x1.c80bf42ae7e32p-2, 0x1.c85459f3e1f85p-2, 0x1.c886957dbfe3ep-2, 0x1.c8a2171961106p-2, 0x1.c8a65d7ccbeaap-2, 0x1.c892f5bebbaafp-2, 0x1.c8677b3eaa6p-2, 0x1.c823977b7ddfep-2, 0x1.c7c701daf422p-2, 0x1.c7517f63b10a5p-2, 0x1.c6c2e26bc1994p-2, 0x1.c61b0a3d32caep-2, 0x1.c559e2b24db21p-2, 0x1.c47f63cad4b07p-2, 0x1.c38b913b93916p-2, 0x1.c27e79f961b8ap-2, 0x1.c15837c0b2828p-2, 0x1.c018ee9a9d5dfp-2, 0x1.bec0cc603e5e6p-2, 0x1.bd50083d31aafp-2, 0x1.bbc6e231dcc96p-2, 0x1.ba25a2961c304p-2, 0x1.b86c999ce08a8p-2, 0x1.b69c1ed930a94p-2, 0x1.b4b490c4fda73p-2, 0x1.b2b6544a1b7bdp-2, 0x1.b0a1d44dad98dp-2, 0x1.ae77813e4bbdep-2, 0x1.ac37d0a50d2fcp-2, 0x1.a9e33cb9ace7ep-2, 0x1.a77a43f9e5f5p-2, 0x1.a4fd68c424a41p-2, 0x1.a26d30f5a0ac2p-2, 0x1.9fca258bef518p-2, 0x1.9d14d24a1256ep-2, 0x1.9a4dc5610ba61p-2, 0x1.97758f1bf37ebp-2, 0x1.948cc18f87edbp-2, 0x1.9193f04d38315p-2, 0x1.8e8bb019959b3p-2, 0x1.8b7496a6251aep-2, 0x1.884f3a4e7e164p-2, 0x1.851c31d8ac012p-2, 0x1.81dc1438b45cbp-2, 0x1.7e8f78573c477p-2, 0x1.7b36f4db3106ap-2, 0x1.77d31ff65d8dap-2, 0x1.74648f34dfcf4p-2, 0x1.70ebd74f5d4f6p-2, 0x1.6d698bffe9c17p-2, 0x1.69de3fd986334p-2, 0x1.664a842222c5p-2, 0x1.62aee8af0cf23p-2, 0x1.5f0bfbc3b3fdp-2, 0x1.5b6249f2b254ap-2, 0x1.57b25e00ffd1bp-2, 0x1.53fcc0cb3f25dp-2, 0x1.5041f92d09e7fp-2, 0x1.4c828bea32724p-2, 0x1.48befb99db75dp-2, 0x1.44f7c8935ab68p-2, 0x1.412d70dcd4052p-2, 0x1.3d60701b7367p-2, 0x1.39913f853d2d9p-2, 0x1.35c055d45cafbp-2, 0x1.31ee273be7867p-2, 0x1.2e1b255dfaea4p-2, 0x1.2a47bf432ecadp-2, 0x1.2674615347517p-2, 0x1.22a1754f1ab1ap-2, 0x1.1ecf624b9a90bp-2, 0x1.1afe8cadf2f15p-2, 0x1.172f5628b3a51p-2, 0x1.13621db9f4de9p-2, 0x1.0f973faa6d379p-2, 0x1.0bcf158d68749p-2, 0x1.0809f641971b6p-2, 0x1.044835f2abddbp-2, 0x1.008a261bb9356p-2, 0x1.f9a02b148bedp-3, 0x1.f234a0c41baf8p-3, 0x1.ead24042cf92dp-3, 0x1.e379974c864d7p-3, 0x1.dc2b2e67688f5p-3, 0x1.d4e788f01576p-3, 0x1.cdaf2526cef94p-3, 0x1.c6827c3d86a3ap-3, 0x1.bf620266d6e91p-3, 0x1.b84e26e5bfc2fp-3, 0x1.b147541e28551p-3, 0x1.aa4defa60cf93p-3, 0x1.a3625a57546b7p-3, 0x1.9c84f06236fap-3, 0x1.95b6096033535p-3, 0x1.8ef5f8677d98p-3, 0x1.88450c1edd417p-3, 0x1.81a38ed1fabe5p-3, 0x1.7b11c685fb583p-3, 0x1.748ff50e77b26p-3, 0x1.6e1e5822b6e56p-3, 0x1.67bd297322c66p-3, 0x1.616c9ebef7ff9p-3, 0x1.5b2ce9ea1a384p-3, 0x1.54fe39130fd29p-3, 0x1.4ee0b6a918edap-3, 0x1.48d48982555b8p-3, 0x1.42d9d4f1fd104p-3, 0x1.3cf0b8de9a536p-3, 0x1.371951d83f8afp-3, 0x1.3153b92ebec96p-3, 0x1.2ba00507c8ba8p-3, 0x1.25fe4874fe5e4p-3, 0x1.206e9389eb03dp-3, 0x1.1af0f371da34ap-3, 0x1.15857285925a7p-3, 0x1.102c1860e52cdp-3, 0x1.0ae4e9f81261ap-3, 0x1.05afe9acfadd1p-3, 0x1.008d176427e7ap-3, 0x1.f6f8e133245a5p-4, 0x1.ecfbe0ea64662p-4, 0x1.e3231fbeabbfp-4, 0x1.d96e8b29664ddp-4, 0x1.cfde0c746fbf2p-4, 0x1.c67188e124ac2p-4, 0x1.bd28e1cef6dacp-4, 0x1.b403f4e151935p-4, 0x1.ab029c250491ep-4, 0x1.a224ae34f8031p-4, 0x1.9969fe5e5c8fbp-4, 0x1.90d25cc428248p-4, 0x1.885d9681f925bp-4, 0x1.800b75ce51a11p-4, 0x1.77dbc21c2be6cp-4, 0x1.6fce403be58bfp-4, 0x1.67e2b27b81e44p-4, 0x1.6018d8c64014bp-4, 0x1.587070c38626bp-4, 0x1.50e935f51df27p-4, 0x1.4982e1d4c6dcbp-4, 0x1.423d2bf117d59p-4, 0x1.3b17ca09b6df8p-4, 0x1.3412702ae1e5fp-4, 0x1.2d2cd0c84a1dbp-4, 0x1.26669cd745483p-4, 0x1.1fbf83e852083p-4, 0x1.1937343ff1be2p-4, 0x1.12cd5aeed9afbp-4, 0x1.0c81a3e97a6b3p-4, 0x1.0653ba1ee1a01p-4, 0x1.0043478ef3422p-4, 0x1.f49feac007fbfp-5, 0x1.e8f2d7e7937a2p-5, 0x1.dd7ea5f7630d9p-5, 0x1.d242a319254e9p-5, 0x1.c73e1c638cffbp-5, 0x1.bc705dff47894p-5, 0x1.b1d8b34ac3d2p-5, 0x1.a77666fcc972ap-5, 0x1.9d48c345e47e9p-5, 0x1.934f11f0b2e5ep-5, 0x1.89889c81066c6p-5, 0x1.7ff4ac51f75a7p-5, 0x1.76928ab2d3dbp-5, 0x1.6d61810306c2fp-5, 0x1.6460d8ccebe88p-5, 0x1.5b8fdbdf9b304p-5, 0x1.52edd467b6facp-5, 0x1.4a7a0d0731fb6p-5, 0x1.4233d0ec251bp-5, 0x1.3a1a6be6acf2ep-5, 0x1.322d2a7dd6f9p-5, 0x1.2a6b5a03a8371p-5, 0x1.22d448a83ef4bp-5, 0x1.1b67458c1008bp-5, 0x1.1423a0d14fa72p-5, 0x1.0d08abac838f4p-5, 0x1.0615b8744001dp-5, 0x1.fe943560444bep-6, 0x1.f14a4e4df9325p-6, 0x1.e44c67d88ed36p-6, 0x1.d79930d9a4223p-6, 0x1.cb2f5af58078fp-6, 0x1.bf0d9ab1a592dp-6, 0x1.b332a78a03169p-6, 0x1.a79d3c04e66f1p-6, 0x1.9c4c15c5960dbp-6, 0x1.913df59db16cap-6, 0x1.86719f9d6112ap-6, 0x1.7be5db225ad1cp-6, 0x1.719972e5b98c8p-6, 0x1.678b3508cbb07p-6, 0x1.5db9f320c34aap-6, 0x1.5424824165432p-6, 0x1.4ac9bb06b8747p-6, 0x1.41a8799db6068p-6, 0x1.38bf9dcc1cd4bp-6, 0x1.300e0af74b049p-6, 0x1.2792a82a40fccp-6, 0x1.1f4c601ad2a92p-6, 0x1.173a212e00b65p-6, 0x1.0f5add7b8f95fp-6, 0x1.07ad8ad0de674p-6, 0x1.003122b2ffe1p-6, 0x1.f1c944c05078fp-7, 0x1.e38e15a0daa1p-7, 0x1.d5aec16bbe657p-7, 0x1.c82958f81a24dp-7, 0x1.bafbf48dc699ep-7, 0x1.ae24b3e214492p-7, 0x1.a1a1be135ff96p-7, 0x1.957141a3a59f3p-7, 0x1.89917472094a8p-7, 0x1.7e0093b3804e2p-7, 0x1.72bce3ea922fap-7, 0x1.67c4b0de32c86p-7, 0x1.5d164d8fd1bcdp-7, 0x1.52b01430a21aep-7, 0x1.489066162c6b4p-7, 0x1.3eb5abae2aedap-7, 0x1.351e5471b8713p-7, 0x1.2bc8d6d7df94cp-7, 0x1.22b3b0479a9d2p-7, 0x1.19dd6509417e3p-7, 0x1.1144803773987p-7, 0x1.08e793af7fp-7, 0x1.00c538015c3dep-7, 0x1.f1b818be57edep-8, 0x1.e2556d18c8255p-8, 0x1.d35fc599303bp-8, 0x1.c4d487a3b03a6p-8, 0x1.b6b12555a381ap-8, 0x1.a8f31d6139aeap-8, 0x1.9b97fae89e1d1p-8, 0x1.8e9d555898d8bp-8, 0x1.8200d042a8745p-8, 0x1.75c01b36cd586p-8, 0x1.69d8f19d05f99p-8, 0x1.5e491a8e55f76p-8, 0x1.530e68adc0d83p-8, 0x1.4826ba00d1a5ap-8, 0x1.3d8ff7c805d35p-8, 0x1.3348165716a6ap-8, 0x1.294d14ed17459p-8, 0x1.1f9cfd8c8e448p-8, 0x1.1635e4d367849p-8, 0x1.0d15e9d2e610ep-8, 0x1.043b35e7983d4p-8, 0x1.f747f9229277bp-9, 0x1.e69cf69611df5p-9, 0x1.d671f2c6bd0eap-9, 0x1.c6c38fa8bb14dp-9, 0x1.b78e8237f3e6bp-9, 0x1.a8cf92291184bp-9, 0x1.9a83999aa3784p-9, 0x1.8ca784c6f1645p-9, 0x1.7f3851b5e0baep-9, 0x1.72330fef78a18p-9, 0x1.6594e02ec73aep-9, 0x1.595af4155c1eap-9, 0x1.4d828ddf3fca1p-9, 0x1.42090017a7188p-9, 0x1.36ebad4e030d7p-9, 0x1.2c2807cbb500fp-9, 0x1.21bb914a8fb6p-9, 0x1.17a3daabdefc1p-9, 0x1.0dde83b01c242p-9, 0x1.04693aaf9126ap-9, 0x1.f68378a6f607p-10, 0x1.e4cba69f8ba33p-10, 0x1.d3a6b03be8964p-10, 0x1.c3106170d29d5p-10, 0x1.b304a0ad64285p-10, 0x1.a37f6e551b121p-10, 0x1.947ce43b90ef4p-10, 0x1.85f9352192a53p-10, 0x1.77f0ac33fffe1p-10, 0x1.6a5fac8c769bp-10, 0x1.5d42b0b380358p-10, 0x1.50964a247b5b6p-10, 0x1.445720d37ed27p-10, 0x1.3881f2b4218abp-10, 0x1.2d139342e19a3p-10, 0x1.2208eb0fc558ep-10, 0x1.175ef74aadf54p-10, 0x1.0d12c951a02fdp-10, 0x1.03218640ac8b7p-10, 0x1.f310cd072fa61p-11, 0x1.e0896ad1de206p-11, 0x1.cea7a16e808a2p-11, 0x1.bd6650877fa88p-11, 0x1.acc07b159ce28p-11, 0x1.9cb146941a25p-11, 0x1.8d33fa38cb9ap-11, 0x1.7e43fe2ed625cp-11, 0x1.6fdcdad4fd315p-11, 0x1.61fa37ffb3c76p-11, 0x1.5497dc3dd3082p-11, 0x1.47b1ac21512fp-11, 0x1.3b43a98adc895p-11, 0x1.2f49f2f88c5b4p-11, 0x1.23c0c2d813901p-11, 0x1.18a46edc38685p-11, 0x1.0df1675506376p-11, 0x1.03a4368b7041ap-11, 0x1.f3730040374d2p-12, 0x1.e05c00dab8171p-12, 0x1.cdfd17d7b5258p-12, 0x1.bc501d34d12fap-12, 0x1.ab4f16d1ac3b6p-12, 0x1.9af4374b62b6bp-12, 0x1.8b39dcde897e5p-12, 0x1.7c1a904d56996p-12, 0x1.6d9103cd2c907p-12, 0x1.5f9811f8e8721p-12, 0x1.522abcc90eb0dp-12, 0x1.45442c90d94d9p-12, 0x1.38dfaf013512cp-12, 0x1.2cf8b630f8608p-12, 0x1.218ad7aa6027bp-12, 0x1.1691cb7dd805fp-12, 0x1.0c096b593acp-12, 0x1.01edb1a51ff85p-12, 0x1.f075714c78102p-13, 0x1.ddd973480223cp-13, 0x1.cc00182784b43p-13, 0x1.bae2499273725p-13, 0x1.aa792a55e5342p-13, 0x1.9abe14d7bd8eap-13, 0x1.8baa999201e87p-13, 0x1.7d387d97962c4p-13, 0x1.6f61b92136114p-13, 0x1.6220762330477p-13, 0x1.556f0eec3666ap-13, 0x1.49480ccaa0c8ap-13, 0x1.3da626bc017f8p-13, 0x1.328440236ddefp-13, 0x1.27dd67880f6a1p-13, 0x1.1dacd55abd4b9p-13, 0x1.13edeac3d5fddp-13, 0x1.0a9c3077fe5c9p-13, 0x1.01b3559536846p-13, 0x1.f25e5d0aac67cp-14, 0x1.e21767d1f5ce4p-14, 0x1.d28a0310ce884p-14, 0x1.c3aeaa985ed9p-14, 0x1.b57e1c761285ap-14, 0x1.a7f156ff6a7d6p-14, 0x1.9b0196e6e9911p-14, 0x1.8ea8555fc2f7fp-14, 0x1.82df464e5feacp-14, 0x1.77a05682a15b3p-14, 0x1.6ce5a9fe2befp-14, 0x1.62a99a48714bp-14, 0x1.58e6b4ca59c41p-14, 0x1.4f97b937c43c8p-14, 0x1.46b798038ec27p-14, 0x1.3e4170db05938p-14, 0x1.3630912f1b818p-14, 0x1.2e8072c62e8d1p-14, 0x1.272cba58201dp-14, 0x1.20313632d702ep-14, 0x1.1989dce9be443p-14, 0x1.1332cc0d106cep-14, 0x1.0d2846ea76261p-14, 0x1.0766b5581d2a4p-14, 0x1.01eaa28559229p-14, 0x1.f96177aad1253p-15, 0x1.ef6b9f855af3p-15, 0x1.e5ed999146616p-15, 0x1.dce180ae4e08ap-15, 0x1.d441ab9818028p-15, 0x1.cc08aaea04176p-15, 0x1.c431472e2ff8dp-15, 0x1.bcb67f0035a46p-15, 0x1.b5938539d3a51p-15, 0x1.aec3bf2d4ae51p-15, 0x1.a842c2ecefa36p-15, 0x1.a20c55a146b62p-15, 0x1.9c1c69e94ef59p-15, 0x1.966f1e48eadd2p-15, 0x1.9100bba378d37p-15, 0x1.8bcdb3be58974p-15, 0x1.86d29fd35113dp-15, 0x1.820c3f2a95e4bp-15, 0x1.7d7775c2d6b7ap-15, 0x1.79114b00b6292p-15, 0x1.74d6e8696562dp-15, 0x1.70c598682f868p-15, 0x1.6cdac51b4d969p-15, 0x1.6913f72cab698p-15, 0x1.656ed4b5297b4p-15, 0x1.61e92022c3227p-15, 0x1.5e80b72db7f76p-15, 0x1.5b3391d241adcp-15, 0x1.57ffc15459457p-15, 0x1.54e36f4ba0db5p-15, 0x1.51dcdcb60692ep-15, 0x1.4eea6111f3b8dp-15, 0x1.4c0a69809951dp-15, 0x1.493b77ef31ec6p-15, 0x1.467c22472efc2p-15, 0x1.43cb11a626ac3p-15, 0x1.4127019a4e258p-15, 0x1.3e8ebf662a4e1p-15, 0x1.3c01294b6e5d3p-15, 0x1.397d2ddaf3c26p-15, 0x1.3701cb4a45255p-15, 0x1.348e0ed0ec63dp-15, 0x1.32211407e2c15p-15, 0x1.2fba0451aaa96p-15, 0x1.2d581644c153p-15, 0x1.2afa8d1e76f34p-15, 0x1.28a0b837ecbc8p-15, 0x1.2649f281246d6p-15, 0x1.23f5a1ffe99f4p-15, 0x1.21a33753b50f1p-15, 0x1.1f522d3df0654p-15, 0x1.1d02082d99f5fp-15, 0x1.1ab255d23c86p-15, 0x1.1862acae10b16p-15, 0x1.1612abaf4d965p-15, 0x1.13c1f9cbf3f85p-15, 0x1.117045a24d1bap-15, 0x1.0f1d451b8724ap-15, 0x1.0cc8b51327699p-15, 0x1.0a725900615b5p-15, 0x1.0819faa3a874p-15, 0x1.05bf69b5eee47p-15, 0x1.03627b9c8bbap-15, 0x1.01030b20952a7p-15, 0x1.fd41f04dea47cp-16, 0x1.f8784ed771741p-16, 0x1.f3a9048221f03p-16, 0x1.eed3eca056a1cp-16, 0x1.e9f8eab8dd18p-16, 0x1.e517ea12ac64ep-16, 0x1.e030dd458f736p-16, 0x1.db43bdcebd4b7p-16, 0x1.d6508ba7d3a8dp-16, 0x1.d1574ce52f521p-16, 0x1.cc580d5882575p-16, 0x1.c752de343b48fp-16, 0x1.c247d5b59bcc7p-16, 0x1.bd370ecfbc42fp-16, 0x1.b820a8dd31d56p-16, 0x1.b304c751e580fp-16, 0x1.ade39172c30d1p-16, 0x1.a8bd320e3e056p-16, 0x1.a391d73b5963bp-16, 0x1.9e61b21787cb6p-16, 0x1.992cf688ffb73p-16, 0x1.93f3db06864b8p-16, 0x1.8eb6985d0bb55p-16, 0x1.8975697b4715fp-16, 0x1.84308b3f4a1d4p-16, 0x1.7ee83c454f885p-16, 0x1.799cbcb9b66eep-16, 0x1.744e4e2cb51ecp-16, 0x1.6efd3367d63fcp-16, 0x1.69a9b0465665ep-16, 0x1.6454098f9060ap-16, 0x1.5efc84d23cac2p-16, 0x1.59a36842ff8eap-16, 0x1.5448fa9bc6bcfp-16, 0x1.4eed82fb43d21p-16, 0x1.499148ca5959ap-16, 0x1.4434939dfd5efp-16, 0x1.3ed7ab1eb9887p-16, 0x1.397ad6efd4bacp-16, 0x1.341e5e97450e4p-16, 0x1.2ec28967a7dc4p-16, 0x1.29679e6b4f383p-16, 0x1.240de450cbe01p-16, 0x1.1eb5a158eafd7p-16, 0x1.195f1b45c2d6ap-16, 0x1.140a974a30a12p-16, 0x1.0eb859f9eda66p-16, 0x1.0968a73ccf0e1p-16, 0x1.041bc24022271p-16, 0x1.fda3dad64415fp-17, 0x1.f316d4a70fd56p-17, 0x1.e890f3671b778p-17, 0x1.de12b6bdbcb64p-17, 0x1.d39c9c73ac00dp-17, 0x1.c92f20636c7e3p-17, 0x1.becabc6837988p-17, 0x1.b46fe851e3f41p-17, 0x1.aa1f19d823c92p-17, 0x1.9fd8c48ecaf82p-17, 0x1.959d59da461e8p-17, 0x1.8b6d48e8feacep-17, 0x1.8148fea7eece5p-17, 0x1.7730e5bd3b57ap-17, 0x1.6d2566823c28ap-17, 0x1.6326e6fe7afcep-17, 0x1.5935cae1b8eadp-17, 0x1.4f52738110fcfp-17, 0x1.457d3fd4828ddp-17, 0x1.3bb68c73f32aep-17, 0x1.31feb3956bedfp-17, 0x1.28560d0e97f8bp-17, 0x1.1ebcee51b9839p-17, 0x1.1533aa70900fp-17, 0x1.0bba921c17ae6p-17, 0x1.0251f3a590c2fp-17, 0x1.f1f43601253b9p-18, 0x1.df66a38d62719p-18, 0x1.ccfbbe7315e3cp-18, 0x1.bab4108bbf79p-18, 0x1.a8901f0f3ca7bp-18, 0x1.96906a9d0dbfep-18, 0x1.84b56f43cdc06p-18, 0x1.72ffa4886343ep-18, 0x1.616f7d7335bc6p-18, 0x1.5005689bcede5p-18, 0x1.3ec1d02fd5146p-18, 0x1.2da51a03093bep-18, 0x1.1cafa79770507p-18, 0x1.0be1d62bcb2e9p-18, 0x1.f677fd8d45f65p-19, 0x1.d57cec8c39965p-19, 0x1.b4d31ad753846p-19, 0x1.947b21d25040bp-19, 0x1.747592e079fbdp-19, 0x1.54c2f7844618ep-19, 0x1.3563d171e8faep-19, 0x1.16589ab1df324p-19, 0x1.ef438b8367bf8p-20, 0x1.b27f7b5ef0bfp-20, 0x1.7665cc6b631a9p-20, 0x1.3af737bb1bdeep-20, 0x1.0034682fe9d5p-20, 0x1.8c3bf579d4967p-21, 0x1.1968fd4ae3cb3p-21, 0x1.4fe1d6e231c26p-22, 0x1.bea54955159a6p-24, -0x1.b757d25f37fa8p-24, -0x1.489a9245859d6p-22, -0x1.1051a67f7d488p-21, -0x1.7af78e1897c5ap-21, -0x1.e43e93b1f76cep-21, -0x1.2613314ccad99p-20, -0x1.59575e90e5674p-20, -0x1.8bebbe2709dcep-20, -0x1.bdd0479d75d5dp-20, -0x1.ef04fd5df5f0bp-20, -0x1.0fc4f6387e45bp-19, -0x1.27af9620caee6p-19, -0x1.3f426f30cc93dp-19, -0x1.567d972579268p-19, -0x1.6d612896cab06p-19, -0x1.83ed42dba7fbfp-19, -0x1.9a2209ea67edap-19, -0x1.afffa640e7808p-19, -0x1.c58644c8416d2p-19, -0x1.dab616bb2d76dp-19, -0x1.ef8f5183627d1p-19, -0x1.020917519914p-18, -0x1.0c1f75cfba5b1p-18, -0x1.160ae4eedc6ccp-18, -0x1.1fcb87493e47dp-18, -0x1.29618151e931cp-18, -0x1.32ccf948b7185p-18, -0x1.3c0e172cebc34p-18, -0x1.452504af4b2acp-18, -0x1.4e11ed29dbe87p-18, -0x1.56d4fd90fab8ep-18, -0x1.5f6e646a149e5p-18, -0x1.67de51be9767ap-18, -0x1.7024f711a25cfp-18, -0x1.7842875512a1cp-18, -0x1.803736dbb785p-18, -0x1.88033b4f08146p-18, -0x1.8fa6cba7cab1dp-18, -0x1.9722201f83166p-18, -0x1.9e757228cef74p-18, -0x1.a5a0fc64b0aa2p-18, -0x1.aca4fa9836e21p-18, -0x1.b381a9a36d024p-18, -0x1.ba37477350e22p-18, -0x1.c0c612fc686a6p-18, -0x1.c72e4c311c05ap-18, -0x1.cd7033f6fdcf9p-18, -0x1.d38c0c1f82bf7p-18, -0x1.d982175e134fdp-18, -0x1.df52993ff2d47p-18, -0x1.e4fdd6234e5a1p-18, -0x1.ea84132c00f9ep-18, -0x1.efe5963f2841cp-18, -0x1.f522a5f9c05cdp-18, -0x1.fa3b89a7c0359p-18, -0x1.ff30893d932a5p-18, -0x1.0200f6a8000cap-17, -0x1.0457ff86aecf3p-17, -0x1.069d841a7bff5p-17, -0x1.08d1a986c8f7bp-17, -0x1.0af49530ac0ddp-17, -0x1.0d066cbb763a8p-17, -0x1.0f07560495544p-17, -0x1.10f77720f354cp-17, -0x1.12d6f65946d31p-17, -0x1.14a5fa26dd451p-17, -0x1.1664a930febc4p-17, -0x1.18132a47c81bap-17, -0x1.19b1a46329fdfp-17, -0x1.1b403e9fd1842p-17, -0x1.1cbf203b34ca4p-17, -0x1.1e2e70918e89ep-17, -0x1.1f8e571adf8dcp-17, -0x1.20defb687932fp-17, -0x1.222085223cafcp-17, -0x1.23531c02eb444p-17, -0x1.2476e7d6459a8p-17, -0x1.258c1076cce68p-17, -0x1.2692bdcb22e39p-17, -0x1.278b17c43ed2ep-17, -0x1.2875465a1cc9dp-17, -0x1.2951718a3f5bp-17, -0x1.2a1fc154e0e31p-17, -0x1.2ae05dbb8a177p-17, -0x1.2b936ebceea27p-17, -0x1.2c391c54d91bp-17, -0x1.2cd18e7a0afbep-17, -0x1.2d5ced1b37e4bp-17, -0x1.2ddb601d7c995p-17, -0x1.2e4d0f5ad5dc9p-17, -0x1.2eb222a05ba0cp-17, -0x1.2f0ac1abed8bfp-17, -0x1.2f57142a16f7dp-17, -0x1.2f9741b4ee6d2p-17, -0x1.2fcb71d228305p-17, -0x1.2ff3cbf144c3ap-17, -0x1.3010776b3a6ebp-17, -0x1.30219b7faa00bp-17, -0x1.30275f5361c56p-17, -0x1.3021e9ef2480fp-17, -0x1.3011623f02fbbp-17, -0x1.2ff5ef0f076c4p-17, -0x1.2fcfb70b3c3dcp-17, -0x1.2f9ee0be055eep-17, -0x1.2f63928f9e1f6p-17, -0x1.2f1df2c329ea2p-17, -0x1.2ece2776c03b5p-17, -0x1.2e7456a21eb64p-17, -0x1.2e10a6156148cp-17, -0x1.2da33b7787002p-17, -0x1.2d2c3c4569712p-17, -0x1.2cabcdd10fec5p-17, -0x1.2c2215402cd5p-17, -0x1.2b8f378b52237p-17, -0x1.2af3597da9a05p-17, -0x1.2a4e9fb3486fdp-17, -0x1.29a12e982f691p-17, -0x1.28eb2a675b6cp-17, -0x1.282cb72b00e67p-17, -0x1.2765f8ba0dafdp-17, -0x1.269712b875fe1p-17, -0x1.25c0289608a37p-17, -0x1.24e15d8e1a75dp-17, -0x1.23fad4a67ddb6p-17, -0x1.230cb0ae5425fp-17, -0x1.2217143e914bfp-17, -0x1.211a21b86f4d7p-17, -0x1.2015fb44c9311p-17, -0x1.1f0ac2d413608p-17, -0x1.1df89a1d2cbabp-17, -0x1.1cdfa29d1a1f3p-17, -0x1.1bbffd9660691p-17, -0x1.1a99cc10bf41cp-17, -0x1.196d2ed8d2038p-17, -0x1.183a467f115c9p-17, -0x1.1701335785576p-17, -0x1.15c21579d739cp-17, -0x1.147d0cc0416dcp-17, -0x1.133238c763439p-17, -0x1.11e1b8edf9e4cp-17, -0x1.108bac54d3374p-17, -0x1.0f3031dd9085ap-17, -0x1.0dcf682b6fae9p-17, -0x1.0c696da213476p-17, -0x1.0afe60661731p-17, -0x1.098e5e5bbf5d7p-17, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      29, 0x1.2851eb851eb85p+2, 0x1.0e6bfad2eed86p+1, 0x1.a4b2b11a09bccp+0, -0x1.808a9571f78f2p-10, 
      {{
        {0x1.9ae147ae147aep+1, 0x1.ap+1, 0x1.206652c4fd06ep-8, -0x1.9632a7b59f123p-7, 0x1.ad14c209cefe2p-7, -0x1.8eaaf85bbcad2p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.01405cc3a82c7p-8, -0x1.74d40418ffcf6p-7, 0x1.95293841be8d7p-7, -0x1.807ac34d6672p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.bbe486eb35464p-9, -0x1.4dc0fe90799eap-7, 0x1.78533668bd44bp-7, -0x1.7241b49c75d95p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.7cd0061ad7636p-9, -0x1.298285003017ep-7, 0x1.5c8e48dd013abp-7, -0x1.64147f6b916a6p-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.44b5089e132fcp-9, -0x1.07fd53f3c550fp-7, 0x1.41d98c1b5652ep-7, -0x1.55e41d67c00fdp-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.130ad29093836p-9, -0x1.d22c60956986ep-8, 0x1.28353d19f4b8p-7, -0x1.47b4952f97492p-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ce9c3543a3281p-10, -0x1.9963b9527f7a8p-8, 0x1.0fa14b832fc5dp-7, -0x1.3984d29bbd8dp-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.8202142a29e21p-10, -0x1.656a38996dbf1p-8, 0x1.f03b776f031d1p-8, -0x1.2b551faaf86c3p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.3f567982e709fp-10, -0x1.36096492cf4c1p-8, 0x1.c35519155dd96p-8, -0x1.1d2568899395p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.05b38223a32e6p-10, -0x1.0b0ac37d39946p-8, 0x1.988f7c9a54834p-8, -0x1.0ef5b28798ab5p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.a87c601387237p-11, -0x1.c86fb722bcdd7p-9, 0x1.6feaa1d2ca694p-8, -0x1.00c5fc3899c85p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.544cd4b4945d7p-11, -0x1.82b466130754ap-9, 0x1.496688ca4cf1cp-8, -0x1.e52c8bfc73a2bp-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0d4dfac3ab6bcp-11, -0x1.4476a03f059c3p-9, 0x1.2503317dc445bp-8, -0x1.c8cd1f7cd371bp-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a4166a5286381p-12, -0x1.0d49721aa50f7p-9, 0x1.02c09bee01369p-8, -0x1.ac6db2ff6973p-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.424b623a1756cp-12, -0x1.b97fd03384d1ap-10, 0x1.c53d9035b29c2p-9, -0x1.900e46841770dp-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e5519897bb034p-13, -0x1.64da1d6085494p-10, 0x1.893b6c0848b15p-9, -0x1.73aed9fe08279p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.659058683dd6fp-13, -0x1.1bc7e4a3f44fbp-10, 0x1.517acb556112p-9, -0x1.574f6da11d2dp-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.00dd347b29284p-13, -0x1.bade7dcbded4cp-11, 0x1.1dfbae16cfe5p-9, -0x1.3af000aa0ee96p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.66330d45a98p-14, -0x1.51ec8a19c4712p-11, 0x1.dd7c28c7681ddp-10, -0x1.1e9095f2a4a8fp-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.e1f747b9f83dp-15, -0x1.f60c40162baacp-12, 0x1.8783fbcb69eap-10, -0x1.023122d6a248ap-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.36670aa92126p-15, -0x1.68eee2943e3dbp-12, 0x1.3a0ed7be393aep-10, -0x1.cba39e1afd334p-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7aa172f9e264p-16, -0x1.f232c0c52073cp-13, 0x1.ea39667459b3cp-11, -0x1.92e40cbaf2e9cp-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.aeb13d348a48p-17, -0x1.46483226ec6dcp-13, 0x1.715b62a2aa6ep-11, -0x1.5a27e3ebcd2a7p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.be73612834c01p-18, -0x1.8e9dfd8bd9c6cp-14, 0x1.09829e4253481p-11, -0x1.215f02a75ba27p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.9685503852fffp-19, -0x1.b9ddf44662ff4p-15, 0x1.6565d486a2c58p-12, -0x1.d18b354e07905p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.30fe7b63a28p-20, -0x1.a7a0ca42f6945p-16, 0x1.b37822ab41027p-13, -0x1.5ef60c16cd554p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.4bebc8f1f9fffp-22, -0x1.3ef77755e7b57p-17, 0x1.c1c903a18ba04p-14, -0x1.e316aa6410276p-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.7cd00618e0001p-25, -0x1.2c51a87f89264p-19, 0x1.3fdd3acb03e03p-15, -0x1.c364b8e5ad321p-13}, 
        {0x1.2666666666666p+2, 0x1.2851eb851eb85p+2, 0x1.e1f74748p-31, -0x1.4d211d70669c1p-25, 0x1.88399209ac8p-18, -0x1.551c8b656072cp-11}, 
      }}, 
      0x1.8cec5115a214dp-6, -0x1.283e075c5fe93p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.7b7b382a2da65p-4, 0x1.95354ff3da2b6p-4, 0x1.bd70391cd7b68p-4, 0x1.f125b68f9462dp-4, 0x1.168d069394e3bp-3, 0x1.3713dae67d20dp-3, 0x1.58b558a220165p-3, 0x1.7a2b6112877abp-3, 0x1.9a605740456d4p-3, 0x1.b86f88abc8eacp-3, 0x1.d3a2ebe399b54p-3, 0x1.eb6f63f3247c4p-3, 0x1.ff704aa900ff9p-3, 0x1.07b15d6f760e8p-2, 0x1.0d9073c2add6ep-2, 0x1.114ed745e35c8p-2, 0x1.12f041a68d9ecp-2, 0x1.1280de66d8177p-2, 0x1.1013a5e85a111p-2, 0x1.0bc0eb4cd7abp-2, 0x1.05a51aa4fe509p-2, 0x1.fbbf4819995a1p-3, 0x1.e9241ed786617p-3, 0x1.d3be68be1052dp-3, 0x1.bbd5235f2d171p-3, 0x1.a1af8028374fcp-3, 0x1.8593f95e95f46p-3, 0x1.67c7904003affp-3, 0x1.488d2f1defe84p-3, 0x1.28252ad9f7c87p-3, 0x1.06ccdfd617de1p-3, 0x1.c97ccdcf99315p-4, 0x1.8460be6fa3b52p-4, 0x1.3eab9495ec59dp-4, 0x1.f177dfcb78e62p-5, 0x1.65d1ffe8541a2p-5, 0x1.b60a36e9b4e91p-6, 0x1.4688d1371436dp-7, -0x1.ae9f1f7455647p-8, -0x1.75d03bee9f74fp-6, -0x1.3d32916c2fd7dp-5, -0x1.bc57ea78528f5p-5, -0x1.1c046123f7516p-4, -0x1.5800693528f09p-4, -0x1.92033c5c4324cp-4, -0x1.c9f4d1f3c8b6p-4, -0x1.ffc1c2a0b1d81p-4, -0x1.19ad5db82ed2ap-3, -0x1.325a256892997p-3, -0x1.49e3381cded01p-3, -0x1.60462df19b475p-3, -0x1.7582093af0e5bp-3, -0x1.8997174b287ffp-3, -0x1.9c86c82c129bp-3, -0x1.ae5393496f437p-3, -0x1.bf00d7a3adb2fp-3, -0x1.ce92c21db5bfdp-3, -0x1.dd0e32888a026p-3, -0x1.ea78a53bcd488p-3, -0x1.f6d81e374f06p-3, -0x1.01198b5b803b1p-2, -0x1.06483588c962cp-2, -0x1.0afba46ffca1fp-2, -0x1.0f378fd734bebp-2, -0x1.12ffc8f85029cp-2, -0x1.165834544f9a2p-2, -0x1.1944c3f75b182p-2, -0x1.1bc971cb34f31p-2, -0x1.1dea3aa6ab9fcp-2, -0x1.1fab193ebbadep-2, -0x1.21100238481f3p-2, -0x1.221ce0434fc9ep-2, -0x1.22d5916e046ccp-2, -0x1.233de4493678cp-2, -0x1.235995e979a27p-2, -0x1.232c4fcd13d33p-2, -0x1.22b9a68ce939p-2, -0x1.22051817475ep-2, -0x1.21120ab0d43e4p-2, -0x1.1fe3cc23d273fp-2, -0x1.1e7d90fadfba4p-2, -0x1.1ce2744247f8fp-2, -0x1.1b1577508bf9fp-2, -0x1.191981bc9b5c9p-2, -0x1.16f1617804164p-2, -0x1.149fcaeb33ea5p-2, -0x1.122759558a49ep-2, -0x1.0f8a8efa6f009p-2, -0x1.0ccbd58fa0bdcp-2, -0x1.09ed7ea7aca79p-2, -0x1.06f1c428ca3d5p-2, -0x1.03dac8e57811cp-2, -0x1.00aa990cee539p-2, -0x1.fac655c5ff113p-3, -0x1.f40cbea1c3103p-3, -0x1.ed2c05109110ap-3, -0x1.e627994bb536ep-3, -0x1.df02c4aa32043p-3, -0x1.d7c0aadc9443fp-3, -0x1.d0644b39175cp-3, -0x1.c8f081dd7857fp-3, -0x1.c16808e2f616bp-3, -0x1.b9cd79b9c98a9p-3, -0x1.b2234e2a2a41fp-3, -0x1.aa6be153fbe46p-3, -0x1.a2a9711654ff1p-3, -0x1.9ade1ef87b90cp-3, -0x1.930bf10921417p-3, -0x1.8b34d3802a33p-3, -0x1.835a98f4daaf2p-3, -0x1.7b7efc15b9602p-3, -0x1.73a39fe019522p-3, -0x1.6bca11362404ep-3, -0x1.63f3c7146d2b7p-3, -0x1.5c22243d0a1bdp-3, -0x1.5456774c053ep-3, -0x1.4c91fbec4f3d1p-3, -0x1.44d5db349c3a4p-3, -0x1.3d232d1b7df8ap-3, -0x1.357af873f27e6p-3, -0x1.2dde33f9675ddp-3, -0x1.264dc6de525fep-3, -0x1.1eca898afe386p-3, -0x1.175546136d0a2p-3, -0x1.0feeb8ea6f65dp-3, -0x1.0897916d7b821p-3, -0x1.015072797a78ep-3, -0x1.f433e58dbd60cp-4, -0x1.e5e93b7f4e665p-4, -0x1.d7c1e76987dfcp-4, -0x1.c9bed4df406e3p-4, -0x1.bbe0db648172p-4, -0x1.ae28bf34afdf3p-4, -0x1.a097324abd65dp-4, -0x1.932cd4dd00613p-4, -0x1.85ea369e796cdp-4, -0x1.78cfd7223670fp-4, -0x1.6bde26cfd88f6p-4, -0x1.5f1587aac39e3p-4, -0x1.52764db13eaa3p-4, -0x1.4600c01678843p-4, -0x1.39b518cf01872p-4, -0x1.2d9387493e6b9p-4, -0x1.219c2e19d85ddp-4, -0x1.15cf26a7f32cp-4, -0x1.0a2c7f889f618p-4, -0x1.fd687b7663f12p-5, -0x1.e6ccbae52736ap-5, -0x1.d085a4b9196a6p-5, -0x1.ba93102a980cfp-5, -0x1.a4f4c55475fe9p-5, -0x1.8faa7e51a41a7p-5, -0x1.7ab3e80ddc3d3p-5, -0x1.6610a28f09f1cp-5, -0x1.51c0429e8efbep-5, -0x1.3dc25227148c5p-5, -0x1.2a1650d419d88p-5, -0x1.16bbb4e150e0cp-5, -0x1.03b1ebfd25acp-5, -0x1.e1f0b7f3ff216p-6, -0x1.bd1cc5b6b1bdp-6, -0x1.98e6af7eea618p-6, -0x1.754d1864995e8p-6, -0x1.524e9742508d4p-6, -0x1.2fe9b8af39a78p-6, -0x1.0e1cff73f711cp-6, -0x1.d9cdcd25eb1d2p-7, -0x1.988bc46194ec2p-7, -0x1.5870be8272ff3p-7, -0x1.1979885a92f69p-7, -0x1.b745caaaab628p-8, -0x1.3dd325d83a53ep-8, -0x1.8d291689d353p-9, -0x1.460d5be59da4ap-10, 0x1.0b3910017863cp-11, 0x1.2463306cde9f5p-9, 0x1.00e2bebc51c22p-8, 0x1.6d814c3d7bf4cp-8, 0x1.d814006a9f0c7p-8, 0x1.2050cc149cdb8p-7, 0x1.539864937107p-7, 0x1.85e4235f75fd9p-7, 0x1.b7375ac6782ebp-7, 0x1.e79562919f5bfp-7, 0x1.0b80c4dc3d934p-6, 0x1.22bf8d3657cdp-6, 0x1.3988abf58df13p-6, 0x1.4fddc02463022p-6, 0x1.65c066581f82p-6, 0x1.7b32384e07a0bp-6, 0x1.9034cc0dd3a73p-6, 0x1.a4c9b1a74a0ebp-6, 0x1.b8f2778c5ddf6p-6, 0x1.ccb0a6ed73635p-6, 0x1.e005c62312ae2p-6, 0x1.f2f35713da55dp-6, 0x1.02bd6b5f14262p-5, 0x1.0bcede982937bp-5, 0x1.14aebf0fe12c3p-5, 0x1.1d5dc49a752d7p-5, 0x1.25dca4d0b542p-5, 0x1.2e2c133ea8993p-5, 0x1.364cc03093d7cp-5, 0x1.3e3f5a2a5e474p-5, 0x1.46048cde70b87p-5, 0x1.4d9d01f826af3p-5, 0x1.550960e8232c5p-5, 0x1.5c4a4ec1b2702p-5, 0x1.63606dffeb749p-5, 0x1.6a4c5e94bf6e7p-5, 0x1.710ebe132e92p-5, 0x1.77a827da31b0dp-5, 0x1.7e193523b660dp-5, 0x1.84627cdee42bbp-5, 0x1.8a8493bd5dbd9p-5, 0x1.90800bbe4dceap-5, 0x1.965574a95139ep-5, 0x1.9c055c1527c37p-5, 0x1.a1904d8bf3f94p-5, 0x1.a6f6d287d4092p-5, 0x1.ac397264a2e43p-5, 0x1.b158b23c62a92p-5, 0x1.b65514def9016p-5, 0x1.bb2f1b0402defp-5, 0x1.bfe74362198d5p-5, 0x1.c47e0add9a662p-5, 0x1.c8f3ec60546cbp-5, 0x1.cd49611a994a9p-5, 0x1.d17edfdc5a559p-5, 0x1.d594ddd0486fdp-5, 0x1.d98bcdf44e20ap-5, 0x1.dd642190db9dcp-5, 0x1.e11e4845fe74dp-5, 0x1.e4bab00850952p-5, 0x1.e839c51db99b4p-5, 0x1.eb9bf20192f21p-5, 0x1.eee19f65d33dep-5, 0x1.f20b34412faaap-5, 0x1.f51915f0cdb8cp-5, 0x1.f80ba85705809p-5, 0x1.fae34de917b05p-5, 0x1.fda067a863168p-5, 0x1.0021aa8944b4bp-4, 0x1.01663a15a5e09p-4, 0x1.029e10a26aa85p-4, 0x1.03c95bb8d86edp-4, 0x1.04e8482784c74p-4, 0x1.05fb0222e2dfep-4, 0x1.0701b543f1901p-4, 0x1.07fc8c85408c4p-4, 0x1.08ebb23c22985p-4, 0x1.09cf501d92cc4p-4, 0x1.0aa78f2693ae6p-4, 0x1.0b7497d37c561p-4, 0x1.0c36920252ccep-4, 0x1.0ceda50eb3e44p-4, 0x1.0d99f7d3ab8f2p-4, 0x1.0e3bb0a80b0b2p-4, 0x1.0ed2f55a58d39p-4, 0x1.0f5feb32426b6p-4, 0x1.0fe2b6ec56211p-4, 0x1.105b7ccab67c8p-4, 0x1.10ca60848db22p-4, 0x1.112f857abac03p-4, 0x1.118b0e91d04p-4, 0x1.11dd1e48d0f2fp-4, 0x1.1225d6b35b96fp-4, 0x1.12655976ca7e4p-4, 0x1.129bc7c825605p-4, 0x1.12c9427274022p-4, 0x1.12ede9da883edp-4, 0x1.1309de066b0a9p-4, 0x1.131d3ea3de406p-4, 0x1.13282b09720fep-4, 0x1.132ac23be7839p-4, 0x1.132522e942432p-4, 0x1.13176b6833657p-4, 0x1.1301b9b80ee1fp-4, 0x1.12e42b8381c0fp-4, 0x1.12bede24fb86bp-4, 0x1.1291eeabff4ecp-4, 0x1.125d79e137b7bp-4, 0x1.12219c4aa423fp-4, 0x1.11de722d919fp-4, 0x1.11941783e6009p-4, 0x1.1142a8149c054p-4, 0x1.10ea3f559c62p-4, 0x1.108af87ef4b7cp-4, 0x1.1024ee8a45355p-4, 0x1.0fb83c2db363fp-4, 0x1.0f44fbefce63p-4, 0x1.0ecb481c9c4bep-4, 0x1.0e4b3acff03c2p-4, 0x1.0dc4edebcf4c7p-4, 0x1.0d387b2623eb4p-4, 0x1.0ca5fbfc9c235p-4, 0x1.0c0d89b81098dp-4, 0x1.0b6f3d6fd1235p-4, 0x1.0acb300bbb6ep-4, 0x1.0a217a40dad7p-4, 0x1.0972349a75268p-4, 0x1.08bd7778e8a31p-4, 0x1.08035b1342462p-4, 0x1.0743f777a55ap-4, 0x1.067f648c58a31p-4, 0x1.05b5ba0eb03dbp-4, 0x1.04e70f922a80fp-4, 0x1.04137c83ff9fp-4, 0x1.033b182061b32p-4, 0x1.025df989f77a7p-4, 0x1.017c37b4f0364p-4, 0x1.0095e975165fep-4, 0x1.ff564af62917ap-5, 0x1.fd7804ab4b83fp-5, 0x1.fb912cdf7edaep-5, 0x1.f9a1f029d4226p-5, 0x1.f7aa7ad896f4ap-5, 0x1.f5aaf8eeab03fp-5, 0x1.f3a3963b4926p-5, 0x1.f1947e375b75ep-5, 0x1.ef7ddc19158ffp-5, 0x1.ed5fdadb48f4p-5, 0x1.eb3aa53316e58p-5, 0x1.e90e65a0d819p-5, 0x1.e6db465620651p-5, 0x1.e4a1714d6c527p-5, 0x1.e2611043b984bp-5, 0x1.e01a4cafdb4cp-5, 0x1.ddcd4fc8568e2p-5, 0x1.db7a428110ebp-5, 0x1.d9214d8befc55p-5, 0x1.d6c299599c3ccp-5, 0x1.d45e4e15d5ff3p-5, 0x1.d1f493ae16567p-5, 0x1.cf8591cd5e54ap-5, 0x1.cd116fe156806p-5, 0x1.ca98550ab2975p-5, 0x1.c81a6836f5379p-5, 0x1.c597d00771988p-5, 0x1.c310b2dbf2aeep-5, 0x1.c08536cf1ee1ap-5, 0x1.bdf581b56160dp-5, 0x1.bb61b91daa9b3p-5, 0x1.b8ca024d99e4ep-5, 0x1.b62e824616bcbp-5, 0x1.b38f5dc0c311dp-5, 0x1.b0ecb92fbd57cp-5, 0x1.ae46b8bceed78p-5, 0x1.ab9d804a28e3bp-5, 0x1.a8f133704621p-5, 0x1.a641f57c89729p-5, 0x1.a38fe971d2e4ep-5, 0x1.a0db320644f8ep-5, 0x1.9e23f1a28c45dp-5, 0x1.9b6a4a60fb7afp-5, 0x1.98ae5e0de192cp-5, 0x1.95f04e278a87bp-5, 0x1.93303bdd80fabp-5, 0x1.906e480e85d2fp-5, 0x1.8daa934909469p-5, 0x1.8ae53dc8e3d96p-5, 0x1.881e67765b258p-5, 0x1.85562fe5ca3f6p-5, 0x1.828cb6579c6edp-5, 0x1.7fc219b87875ap-5, 0x1.7cf678a1a09d6p-5, 0x1.7a29f1587faa1p-5, 0x1.775ca1cfbd0c4p-5, 0x1.748ea79c2b7b8p-5, 0x1.71c020051cdddp-5, 0x1.6ef127f05a281p-5, 0x1.6c21dbe8e5bc1p-5, 0x1.6952581d0a9b2p-5, 0x1.6682b85ea7575p-5, 0x1.63b3182511dc5p-5, 0x1.60e3928fad40fp-5, 0x1.5e144268079ep-5, 0x1.5b45422215849p-5, 0x1.5876abdb1cbd1p-5, 0x1.55a8995627d15p-5, 0x1.52db23f70af82p-5, 0x1.500e64bd9a9bdp-5, 0x1.4d4274426a8a8p-5, 0x1.4a776ab63a898p-5, 0x1.47ad5fe4da9cep-5, 0x1.44e46b3a602a4p-5, 0x1.421ca3c93f749p-5, 0x1.3f562050e7f9dp-5, 0x1.3c90f740a1577p-5, 0x1.39cd3eb6327bcp-5, 0x1.370b0c78ab74ap-5, 0x1.344a75eea5754p-5, 0x1.318b901aab1d7p-5, 0x1.2ece6f7fdb9ebp-5, 0x1.2c13283cce34ap-5, 0x1.2959cdf09ed7p-5, 0x1.26a273d2defe2p-5, 0x1.23ed2cbcf5e9bp-5, 0x1.213a0b37f5ef8p-5, 0x1.1e8921886c3a4p-5, 0x1.1bda81b3b7b31p-5, 0x1.192e3d7cdcf38p-5, 0x1.168466590d6e6p-5, 0x1.13dd0d5f73335p-5, 0x1.11384332a4ef7p-5, 0x1.0e9617f5b75cep-5, 0x1.0bf69b4110c55p-5, 0x1.0959dc25b515p-5, 0x1.06bfe93c6f649p-5, 0x1.0428d0bc666a3p-5, 0x1.0194a095a0f25p-5, 0x1.fe06cd116a64fp-6, 0x1.f8ea606ade2d3p-6, 0x1.f3d416380a586p-6, 0x1.eec4091f22df9p-6, 0x1.e9ba5337ee2b3p-6, 0x1.e4b70dc9c58a1p-6, 0x1.dfba510b130e4p-6, 0x1.dac433f22e03fp-6, 0x1.d5d4cc24b5695p-6, 0x1.d0ec2e0bcb128p-6, 0x1.cc0a6d0b6a4c4p-6, 0x1.c72f9bd2fe912p-6, 0x1.c25bccb64fd37p-6, 0x1.bd8f11fb0e376p-6, 0x1.b8c97e085116fp-6, 0x1.b40b236be3b75p-6, 0x1.af5414b1b1736p-6, 0x1.aaa46413fb188p-6, 0x1.a5fc23143fcep-6, 0x1.a15b62128784ap-6, 0x1.9cc22ff9e1a46p-6, 0x1.98309a15c2db5p-6, 0x1.93a6ac1bd32bp-6, 0x1.8f24706b947efp-6, 0x1.8aa9f079f9b3fp-6, 0x1.863735554e71cp-6, 0x1.81cc48277e6f2p-6, 0x1.7d69329b1670ap-6, 0x1.790dff0cb149ap-6, 0x1.74bab87cdbd52p-6, 0x1.706f6a41da042p-6, 0x1.6c2c1f891be8ep-6, 0x1.67f0e2be9cc44p-6, 0x1.63bdbcf909c9p-6, 0x1.5f92b585242b2p-6, 0x1.5b6fd1afb9721p-6, 0x1.575514cb08cfp-6, 0x1.5342808245d75p-6, 0x1.4f3815657be05p-6, 0x1.4b35d39b4f5a1p-6, 0x1.473bbb97be789p-6, 0x1.4349ceb83492dp-6, 0x1.3f600fa455c97p-6, 0x1.3b7e825d86dc2p-6, 0x1.37a52bf907cc3p-6, 0x1.33d41210120c1p-6, 0x1.300b3a0124c5ep-6, 0x1.2c4aa82618aeap-6, 0x1.28925f229c978p-6, 0x1.24e25f68a058cp-6, 0x1.213aa704e1324p-6, 0x1.1d9b31ba5d85fp-6, 0x1.1a03f96b084bap-6, 0x1.1674f6bc130f3p-6, 0x1.12ee21e6e0093p-6, 0x1.0f6f7397a1103p-6, 0x1.0bf8e5b37a175p-6, 0x1.088a73e54e29ap-6, 0x1.05241bd22d8c6p-6, 0x1.01c5dce78f5fdp-6, 0x1.fcdf6f947cd04p-7, 0x1.f6435b04ddf14p-7, 0x1.efb77d1e2df77p-7, 0x1.e93bd41af2c1p-7, 0x1.e2d05a304739cp-7, 0x1.dc7504df877f8p-7, 0x1.d629c4de0719fp-7, 0x1.cfee867e620f1p-7, 0x1.c9c3328210d56p-7, 0x1.c3a7af3e41c7cp-7, 0x1.bd9be20272cd6p-7, 0x1.b79fb0a9e84efp-7, 0x1.b1b3032d4fcd4p-7, 0x1.abd5c4f4595ccp-7, 0x1.a607e59dd2afap-7, 0x1.a0495902de665p-7, 0x1.9a9a1662c0cbcp-7, 0x1.94fa16dc1a38bp-7, 0x1.8f69538ad0f7p-7, 0x1.89e7c3bec22fp-7, 0x1.84755bc16f3f4p-7, 0x1.7f120bf75b464p-7, 0x1.79bdc1537f6ap-7, 0x1.7478657b9655ap-7, 0x1.6f41df85be365p-7, 0x1.6a1a146be328ep-7, 0x1.6500e76f74c9p-7, 0x1.5ff63a806f35fp-7, 0x1.5af9eee7f3531p-7, 0x1.560be64f19264p-7, 0x1.512c0408200bdp-7, 0x1.4c5a2e489f97dp-7, 0x1.47964ee970cbp-7, 0x1.42e05354c760ep-7, 0x1.3e382b884f45p-7, 0x1.399dc8648b35p-7, 0x1.351119c97dc2cp-7, 0x1.30920d1bed4d8p-7, 0x1.2c208cac40985p-7, 0x1.27bc8021359ffp-7, 0x1.2365cd9e6d3bap-7, 0x1.1f1c5b12121a3p-7, 0x1.1ae00f0981654p-7, 0x1.16b0d0ad2ebe7p-7, 0x1.128e86f2db3fap-7, 0x1.0e79177e51379p-7, 0x1.0a7065d72c8dcp-7, 0x1.0674537711ce8p-7, 0x1.0284c0d143525p-7, 0x1.fd431e031dc47p-8, 0x1.f59543018a956p-8, 0x1.edffbe56adef1p-8, 0x1.e6826446ebefp-8, 0x1.df1d0d01e2e95p-8, 0x1.d7cf906d3f28bp-8, 0x1.d099c1e94ec71p-8, 0x1.c97b6db581093p-8, 0x1.c274590b45e5ep-8, 0x1.bb8444f90d912p-8, 0x1.b4aaf2e90ef62p-8, 0x1.ade829060a343p-8, 0x1.a73bb4acefc31p-8, 0x1.a0a569d839507p-8, 0x1.9a251fb33d4e9p-8, 0x1.93baabc415767p-8, 0x1.8d65ddbb733e7p-8, 0x1.87267db95e077p-8, 0x1.80fc4db9a877fp-8, 0x1.7ae70d9a54895p-8, 0x1.74e67fdebe4d9p-8, 0x1.6efa6dcb618dp-8, 0x1.6922a8f5c1e15p-8, 0x1.635f09eb1795bp-8, 0x1.5daf6c47db991p-8, 0x1.5813a999ed3a3p-8, 0x1.528b94e5f2421p-8, 0x1.4d16f86bf8826p-8, 0x1.47b5966c10f05p-8, 0x1.42672c9d12564p-8, 0x1.3d2b792dcd331p-8, 0x1.38023fb068193p-8, 0x1.32eb4c4285c2ep-8, 0x1.2de673b224557p-8, 0x1.28f3905ac4dbp-8, 0x1.24127ccf7b3ccp-8, 0x1.1f430e832754cp-8, 0x1.1a8512c7d0cf5p-8, 0x1.15d84f670d02p-8, 0x1.113c865323a75p-8, 0x1.0cb17a9ca3458p-8, 0x1.0836f4b1e85cap-8, 0x1.03ccc4c14d093p-8, 0x1.fee585cdf427ep-9, 0x1.f6519aab4758fp-9, 0x1.eddd89e007a4p-9, 0x1.e589128a6a3bcp-9, 0x1.dd53ea54f6487p-9, 0x1.d53db9d357bf7p-9, 0x1.cd461ca0357e7p-9, 0x1.c56ca4aee8884p-9, 0x1.bdb0e00c92ap-9, 0x1.b612600e2b706p-9, 0x1.ae90c006bdf01p-9, 0x1.a72ba8fc95487p-9, 0x1.9fe2d048f6816p-9, 0x1.98b5f110432a4p-9, 0x1.91a4c32a249adp-9, 0x1.8aaef3c06df85p-9, 0x1.83d423538dbb1p-9, 0x1.7d13e9d5398a6p-9, 0x1.766dddd0a8b2cp-9, 0x1.6fe19a05d6e3bp-9, 0x1.696ebf4d3227p-9, 0x1.6314f3fa55d3p-9, 0x1.5cd3e4ce85e8p-9, 0x1.56ab46da02ad1p-9, 0x1.509ad877f82c9p-9, 0x1.4aa25e7db1579p-9, 0x1.44c19fd0fa433p-9, 0x1.3ef85d40cc1eep-9, 0x1.3946509bdb90ap-9, 0x1.33ab2a6522e0ap-9, 0x1.2e269522078bfp-9, 0x1.28b83a3245991p-9, 0x1.235fc62dfa8cdp-9, 0x1.1e1ceb5c7b6e9p-9, 0x1.18ef62178b64cp-9, 0x1.13d6e7f60a2f7p-9, 0x1.0ed33e496f019p-9, 0x1.09e427b09dc74p-9, 0x1.05096516549eap-9, 0x1.0042b3b6ece1dp-9, 0x1.f71f9bb48ca39p-10, 0x1.ede0db04526fcp-10, 0x1.e4c89a877488ep-10, 0x1.dbd648c61f9a1p-10, 0x1.d309427c2902ap-10, 0x1.ca60d355b64fdp-10, 0x1.c1dc4937be32bp-10, 0x1.b97b0cbab5611p-10, 0x1.b13caa0dfcccbp-10, 0x1.a920c3834cf25p-10, 0x1.a126f9a1dcfdcp-10, 0x1.994eda7b30a78p-10, 0x1.9197e254f9377p-10, 0x1.8a018a95dfaf7p-10, 0x1.828b5992999a8p-10, 0x1.7b34e5fa4bbf4p-10, 0x1.73fdcc37f1bbfp-10, 0x1.6ce5a0b41100ap-10, 0x1.65ebeb4594de9p-10, 0x1.5f102e99b2f5fp-10, 0x1.5851f4baa4fafp-10, 0x1.51b0d7b4a8c5bp-10, 0x1.4b2c817e593bap-10, 0x1.44c4a43713c67p-10, 0x1.3e78f0d758fa8p-10, 0x1.38491382bbb4p-10, 0x1.3234b67ae8d4bp-10, 0x1.2c3b8254c7025p-10, 0x1.265d116f49c19p-10, 0x1.2098de6e589e1p-10, 0x1.1aee46ad8d87ep-10, 0x1.155cab3f8d481p-10, 0x1.0fe3957eaa14cp-10, 0x1.0a82b9cced9f5p-10, 0x1.0539d62cac6e1p-10, 0x1.00088e7217fb7p-10, 0x1.f5dccbc04783ap-11, 0x1.ebd5b0b9acb22p-11, 0x1.e1faf543d892p-11, 0x1.d84c0b41b23d6p-11, 0x1.cec88dcb327bp-11, 0x1.c5700faea3bd9p-11, 0x1.bc41ffdb80f3ap-11, 0x1.b33dac4b73bd6p-11, 0x1.aa62540df03e2p-11, 0x1.a1af3a30409b5p-11, 0x1.9923b21e23bbbp-11, 0x1.90bf2728defccp-11, 0x1.88811d1f7a8bfp-11, 0x1.8069279bf1c9bp-11, 0x1.7876db2b9a27ep-11, 0x1.70a9c1879c8acp-11, 0x1.69015c5be1263p-11, 0x1.617d31f12cb3cp-11, 0x1.5a1cc969564acp-11, 0x1.52df87659578cp-11, 0x1.4bc4904b83a7dp-11, 0x1.44caec64de7a4p-11, 0x1.3df1deb1dc8ebp-11, 0x1.373907c6c369bp-11, 0x1.30a02384b81d8p-11, 0x1.2a26b173ff298p-11, 0x1.23cbe83862158p-11, 0x1.1d8ef59cca5c1p-11, 0x1.176f3f4cbd018p-11, 0x1.116c657e8996fp-11, 0x1.0b8616fa28124p-11, 0x1.05bbf12b31da1p-11, 0x1.000d827629f5ap-11, 0x1.f4f4b16672826p-12, 0x1.ea040d8d8df84p-12, 0x1.df48415305827p-12, 0x1.d4c06c54ddee3p-12, 0x1.ca6ba4a8b7cbp-12, 0x1.c04900fc3b50dp-12, 0x1.b657a84f7521p-12, 0x1.ac96de5c6f26bp-12, 0x1.a30603169b53cp-12, 0x1.99a480928a4b7p-12, 0x1.9071b0c0c7c46p-12, 0x1.876cd2e659cbp-12, 0x1.7e951f0a977bp-12, 0x1.75e9db877f96fp-12, 0x1.6d6a4d9240444p-12, 0x1.651579e6382b5p-12, 0x1.5cea25323d06bp-12, 0x1.54e753ce815a4p-12, 0x1.4d0c90a352b7cp-12, 0x1.45598b486cd1cp-12, 0x1.3dcd91bf491b5p-12, 0x1.3667a5ac75b9ap-12, 0x1.2f26f72ab2b39p-12, 0x1.280b0ab8162edp-12, 0x1.211369ee6870ap-12, 0x1.1a3f638bf5688p-12, 0x1.138e27e61627bp-12, 0x1.0cfef4d2cf15ap-12, 0x1.06912bc3b4e1fp-12, 0x1.00444bc729886p-12, 0x1.f42fc0edce6a1p-13, 0x1.e816e0c6590fep-13, 0x1.dc3ce50ba9924p-13, 0x1.d0a09ccfd3977p-13, 0x1.c540cad39a282p-13, 0x1.ba1c429ccfa03p-13, 0x1.af31fd0f8f905p-13, 0x1.a4811f309b006p-13, 0x1.9a08ea26aa667p-13, 0x1.8fc890d8ad213p-13, 0x1.85bf1057c417ep-13, 0x1.7beb2c8639aaap-13, 0x1.724ba25f2ad58p-13, 0x1.68df6d63704bbp-13, 0x1.5fa5d3a44fd4ep-13, 0x1.569e04f1c52bbp-13, 0x1.4dc6bb8cdf5d6p-13, 0x1.451eb3b5e477fp-13, 0x1.3ca54a8cecc4dp-13, 0x1.3459f535e4b11p-13, 0x1.2c3bac6f2c7b6p-13, 0x1.24497b199d4e1p-13, 0x1.1c82f2a03b6a2p-13, 0x1.14e7a2be7527cp-13, 0x1.0d76ae46f4254p-13, 0x1.062eff81076d2p-13, 0x1.fe1f10acd3e33p-14, 0x1.f02ea8eb7ff15p-14, 0x1.e28b1b995d6fbp-14, 0x1.d533023544f9ap-14, 0x1.c82532c2050dep-14, 0x1.bb609b16cd32ep-14, 0x1.aee413c3614f6p-14, 0x1.a2ae467c7f066p-14, 0x1.96bdb6ff8559dp-14, 0x1.8b10eba9ce5a3p-14, 0x1.7fa69c96453cp-14, 0x1.747dbd26e287p-14, 0x1.69954f510f8dp-14, 0x1.5eec2f3579521p-14, 0x1.54810b7ed095bp-14, 0x1.4a527efc0d2a5p-14, 0x1.405f1fe8e553cp-14, 0x1.36a5832a9651fp-14, 0x1.2d24587d419a4p-14, 0x1.23daa7ac5708ap-14, 0x1.1ac7eff6e201p-14, 0x1.11eba5dbdc77ep-14, 0x1.0944476e5d8b6p-14, 0x1.00d0033dc5d2ep-14, 0x1.f11bf4c7d152ep-15, 0x1.e0fa68ef6d462p-15, 0x1.d1391bbda2822p-15, 0x1.c1d7a3234b21bp-15, 0x1.b2d55cf349dfcp-15, 0x1.a43012ecc34fcp-15, 0x1.95e5586ef41dep-15, 0x1.87f324a251d23p-15, 0x1.7a5773c0b0bcdp-15, 0x1.6d0ff5f414123p-15, 0x1.601a32b3ec1bcp-15, 0x1.53740e17bea0bp-15, 0x1.471c3232c6d2p-15, 0x1.3b11d8396ef02p-15, 0x1.2f540d1c1b35bp-15, 0x1.23e12a5bf2192p-15, 0x1.18b72d70cee9p-15, 0x1.0dd490234ad0ap-15, 0x1.03387c56d636cp-15, 0x1.f1c428141fe01p-16, 0x1.dd9f9369856c3p-16, 0x1.c9ff3cf3077p-16, 0x1.b6df529d8edabp-16, 0x1.a43caec2bc399p-16, 0x1.9214cc3bc1e14p-16, 0x1.806578abb0bc7p-16, 0x1.6f2c6aa814a69p-16, 0x1.5e6702413567ap-16, 0x1.4e1293b891129p-16, 0x1.3e2c88627ecb7p-16, 0x1.2eb43d60ad719p-16, 0x1.1fa976abb837dp-16, 0x1.1108c66c58472p-16, 0x1.02cbeab7c9cf2p-16, 0x1.e9dfd44b8afd6p-17, 0x1.cee5be6ad6243p-17, 0x1.b4acf7d59d386p-17, 0x1.9b359e2309945p-17, 0x1.8277bcaf1c813p-17, 0x1.6a6d55f842d8ap-17, 0x1.5314019754ab9p-17, 0x1.3c6a273e68502p-17, 0x1.266c633bc4a46p-17, 0x1.111391b3c2a89p-17, 0x1.f8ac7850c2f0fp-18, 0x1.d05d3ac86ea5p-18, 0x1.a93b26d15b56cp-18, 0x1.83483e5ec3dd1p-18, }}, 
      {{0x1.759218dbe6999p-4, 0x1.7e4f441c73679p-4, 0x1.8c4e255ac5ae8p-4, 0x1.9edf7ff07297cp-4, 0x1.b53dfb42c3699p-4, 0x1.ce9e9e77cd2c5p-4, 0x1.ea3b93ff3a66fp-4, 0x1.03ad65a6d7eb9p-3, 0x1.12a8e509cb285p-3, 0x1.21c3d50f35742p-3, 0x1.30baea731ec1ep-3, 0x1.3f53efb1f93edp-3, 0x1.4d5d697087f58p-3, 0x1.5aae0d85e1795p-3, 0x1.6724208c5b825p-3, 0x1.72a4c6a00af99p-3, 0x1.7d1b527c0c946p-3, 0x1.8678978745458p-3, 0x1.8eb2442049808p-3, 0x1.95c2463aa1968p-3, 0x1.9ba63b2a01349p-3, 0x1.a05eec374fe78p-3, 0x1.a3efd68b72271p-3, 0x1.a65ebf0ec5a17p-3, 0x1.a7b35195dfa99p-3, 0x1.a7f6c9d010fd2p-3, 0x1.a733a69c28058p-3, 0x1.a575658ea4484p-3, 0x1.a2c846e9563aep-3, 0x1.9f3918c694fa9p-3, 0x1.9ad508d5b13e6p-3, 0x1.95a97c56ef875p-3, 0x1.8fc3ed226402ap-3, 0x1.8931cba39e636p-3, 0x1.8200659f6bc21p-3, 0x1.7a3cd04a65e4p-3, 0x1.71f3d6526b008p-3, 0x1.6931e8f3e7e4p-3, 0x1.600313e533d5fp-3, 0x1.5672f3caca50bp-3, 0x1.4c8caee7d85ccp-3, 0x1.425aefc2cc6e5p-3, 0x1.37e7e19359ecp-3, 0x1.2d3d2e1a2be7ap-3, 0x1.2263fcd0a9469p-3, 0x1.1764f35ca3716p-3, 0x1.0c48366973f5ap-3, 0x1.01156c09ac283p-3, 0x1.eba77c090a7bcp-4, 0x1.d513b9f9eaf6ep-4, 0x1.be7c07fb08d88p-4, 0x1.a7ebf90f7e569p-4, 0x1.916e448a847b5p-4, 0x1.7b0cce35bb89p-4, 0x1.64d0afb930ec5p-4, 0x1.4ec2425a320d4p-4, 0x1.38e927b69b49ep-4, 0x1.234c51f29bc97p-4, 0x1.0df20c780d7bp-4, 0x1.f1c00b4f6a2d1p-5, 0x1.c836b0bb18dd5p-5, 0x1.9f5128f6294e8p-5, 0x1.77178d35d2bcfp-5, 0x1.4f90fe4ec48b9p-5, 0x1.28c3b46ca7d55p-5, 0x1.02b50ec9ab32p-5, 0x1.bad3462638063p-6, 0x1.71ca982e9e8c9p-6, 0x1.2a566bf8e86e4p-6, 0x1.c8f7a9d2e0909p-7, 0x1.407d6c7c0e46ap-7, 0x1.76876a5064eap-8, 0x1.ca707ad6b2638p-10, -0x1.1587408610b3cp-9, -0x1.8197d6013076dp-8, -0x1.38f1c9a7f708bp-7, -0x1.add6651dd1c22p-7, -0x1.0fbefe457ae1p-6, -0x1.46f6ff43ad19cp-6, -0x1.7c96770fb8fa8p-6, -0x1.b0a122ed7cfcp-6, -0x1.e31b30884dccp-6, -0x1.0a0498d77fd8bp-5, -0x1.21b8087a58678p-5, -0x1.38aa83b402c38p-5, -0x1.4edec91f773f7p-5, -0x1.6457b5d037c5ap-5, -0x1.791840976d903p-5, -0x1.8d2376c603b7dp-5, -0x1.a07c78cceff11p-5, -0x1.b3267712594eep-5, -0x1.c524af9c7fdddp-5, -0x1.d67a6a78610e4p-5, -0x1.e72af82f9a67bp-5, -0x1.f739af19dd64ap-5, -0x1.0354f4a95daf6p-4, -0x1.0abf81694054dp-4, -0x1.11de2bd7a64d7p-4, -0x1.18b2a15b94146p-4, -0x1.1f3e8d8385dfap-4, -0x1.25839a637d592p-4, -0x1.2b836efcd8202p-4, -0x1.313faf404b7fap-4, -0x1.36b9fb7b626acp-4, -0x1.3bf3efece7562p-4, -0x1.40ef246d354b3p-4, -0x1.45ad2c170a488p-4, -0x1.4a2f94e17487p-4, -0x1.4e77e7c4a2c94p-4, -0x1.5287a7db43d55p-4, -0x1.566052b530455p-4, -0x1.5a035ff1dc17ep-4, -0x1.5d724133d0566p-4, -0x1.60ae61d7f1721p-4, -0x1.63b9271c9120dp-4, -0x1.6693efce8c6d9p-4, -0x1.6940145e4a223p-4, -0x1.6bbee6a90ef64p-4, -0x1.6e11b234627cdp-4, -0x1.7039bbf8742ep-4, -0x1.723842580d3f4p-4, -0x1.740e7d3e3dffep-4, -0x1.75bd9e204f2dbp-4, -0x1.7746cfea60f62p-4, -0x1.78ab37233119fp-4, -0x1.79ebf2069cc2cp-4, -0x1.7b0a183513a7cp-4, -0x1.7c06bb47a968ap-4, -0x1.7ce2e66124606p-4, -0x1.7d9f9ed17b912p-4, -0x1.7e3de3815755bp-4, -0x1.7ebead6de571dp-4, -0x1.7f22ef9e55a4ap-4, -0x1.7f6b975d83cap-4, -0x1.7f998bec0f97dp-4, -0x1.7fadaf1b8bd1ap-4, -0x1.7fa8dd010a7b9p-4, -0x1.7f8bec3328229p-4, -0x1.7f57addacf4c3p-4, -0x1.7f0cedca33775p-4, -0x1.7eac729a7b4e7p-4, -0x1.7e36fdb63f81ep-4, -0x1.7dad4b839283fp-4, -0x1.7d1013691222p-4, -0x1.7c6007fa4e017p-4, -0x1.7b9dd6ff7d778p-4, -0x1.7aca2998abebdp-4, -0x1.79e5a44c8df12p-4, -0x1.78f0e72877bfcp-4, -0x1.77ec8dd9e6a43p-4, -0x1.76d92fb3f9dc9p-4, -0x1.75b75fef3ac91p-4, -0x1.7487ad9b63b06p-4, -0x1.734aa3b23a2aap-4, -0x1.7200c95828a9fp-4, -0x1.70aaa1d1b511cp-4, -0x1.6f48aca4114c7p-4, -0x1.6ddb65ac20804p-4, -0x1.6c63452f1181ep-4, -0x1.6ae0c001e8d8ap-4, -0x1.69544780de1c6p-4, -0x1.67be49bf13447p-4, -0x1.661f3198786e2p-4, -0x1.647766b37c473p-4, -0x1.62c74daaac2aep-4, -0x1.610f4816ceb69p-4, -0x1.5f4fb4a38820ep-4, -0x1.5d88ef240f1a3p-4, -0x1.5bbb50a4ad87cp-4, -0x1.59e72f7c903b6p-4, -0x1.580cdf664f02ap-4, -0x1.562cb1893df9cp-4, -0x1.5446f48ae8788p-4, -0x1.525bf4a37d77dp-4, -0x1.506bfbd370afdp-4, -0x1.4e77518c20a3cp-4, -0x1.4c7e3b361a3e6p-4, -0x1.4a80fc0044deap-4, -0x1.487fd4fc2decap-4, -0x1.467b052fddd8cp-4, -0x1.4472c9a3c11e5p-4, -0x1.42675d5f4d96fp-4, -0x1.4058f9c1e436p-4, -0x1.3e47d5fe077a9p-4, -0x1.3c3427c766cf8p-4, -0x1.3a1e22f4fb931p-4, -0x1.3805f9bc5e5b7p-4, -0x1.35ebdcaf7f6ecp-4, -0x1.33cffacd1e8d4p-4, -0x1.31b2818ad33a3p-4, -0x1.2f939cd51f617p-4, -0x1.2d7377535d64bp-4, -0x1.2b5239ff362bep-4, -0x1.29300ca9b5fedp-4, -0x1.270d15c13d3c3p-4, -0x1.24e97a6dac711p-4, -0x1.22c55e97be893p-4, -0x1.20a0e4f342869p-4, -0x1.1e7c2f07d5e3ap-4, -0x1.1c575d34ab16ep-4, -0x1.1a328ed55c861p-4, -0x1.180de21236f8dp-4, -0x1.15e9742ea545ap-4, -0x1.13c56149b8e14p-4, -0x1.11a1c4a3c396ap-4, -0x1.0f7eb882ddfe9p-4, -0x1.0d5c562375a7cp-4, -0x1.0b3ab627576c5p-4, -0x1.0919f0100a833p-4, -0x1.06fa1aa4f25c3p-4, -0x1.04db4bdb74e76p-4, -0x1.02bd98dfbfb2ap-4, -0x1.00a1161bc99cbp-4, -0x1.fd0bae7bcddd4p-5, -0x1.f8d7de634d2c6p-5, -0x1.f4a6e08a2e89ep-5, -0x1.f078d81bfd10ap-5, -0x1.ec4de6fa16ae5p-5, -0x1.e8262dc023fbbp-5, -0x1.e401cbe02124cp-5, -0x1.dfe0df8964e8ep-5, -0x1.dbc385cc9ceddp-5, -0x1.d7a9daa10b54p-5, -0x1.d393f8e3f7296p-5, -0x1.cf81fa69e9964p-5, -0x1.cb73f8039adf8p-5, -0x1.c76a09881d57p-5, -0x1.c36445c36d2a4p-5, -0x1.bf62c2daf2b72p-5, -0x1.bb6595af2c0ap-5, -0x1.b76cd2829031ap-5, -0x1.b3788cadb2872p-5, -0x1.af88d6b94c5c2p-5, -0x1.ab9dc2613e763p-5, -0x1.a7b760a7914bfp-5, -0x1.a3d5c1cd99ac1p-5, -0x1.9ff8f54d05771p-5, -0x1.9c2109fc098ebp-5, -0x1.984e0e016ccb4p-5, -0x1.94800edb1c9c9p-5, -0x1.90b71962d407ap-5, -0x1.8cf339d9379a6p-5, -0x1.89347be98c1a5p-5, -0x1.857aea9029be3p-5, -0x1.81c6906ca078bp-5, -0x1.7e17775c368d6p-5, -0x1.7a6da8d8d2e4ap-5, -0x1.76c92dce006dcp-5, -0x1.732a0ea9a48a9p-5, -0x1.6f90535ee78f8p-5, -0x1.6bfc03698d274p-5, -0x1.686d25d16a438p-5, -0x1.64e3c12e22215p-5, -0x1.615fdbaa6069cp-5, -0x1.5de17b079c312p-5, -0x1.5a68a4a13e09cp-5, -0x1.56f55d6f8012cp-5, -0x1.5387aa0a188bbp-5, -0x1.501f8eadc476dp-5, -0x1.4cbd0f38c33aap-5, -0x1.49602f350fffep-5, -0x1.4608f1c63bf28p-5, -0x1.42b759f384becp-5, -0x1.3f6b6a279a407p-5, -0x1.3c2524b2877bap-5, -0x1.38e48b8b300e6p-5, -0x1.35a9a05ffcc22p-5, -0x1.32746495d403ep-5, -0x1.2f44d9553789p-5, -0x1.2c1aff779a45fp-5, -0x1.28f6d79b3b83dp-5, -0x1.25d8622017528p-5, -0x1.22bf9f277d54dp-5, -0x1.1fac8e9a0c542p-5, -0x1.1c9f30228805bp-5, -0x1.19978333683fdp-5, -0x1.169587121f269p-5, -0x1.13993ac8a4d47p-5, -0x1.10a29d267183bp-5, -0x1.0db1acd2cb692p-5, -0x1.0ac66842af1d6p-5, -0x1.07e0cdbbf8da7p-5, -0x1.0500db540d159p-5, -0x1.02268eefbe75fp-5, -0x1.fea3ccd52d288p-6, -0x1.f905be791ef43p-6, -0x1.f372edc0f0aecp-6, -0x1.edeb5536dd0f1p-6, -0x1.e86eef1a03f1ap-6, -0x1.e2fdb55e5a29bp-6, -0x1.dd97a1b1c2d82p-6, -0x1.d83cad7a20ba3p-6, -0x1.d2ecd1d815259p-6, -0x1.cda807a9562a9p-6, -0x1.c86e4779a8392p-6, -0x1.c33f8a083aee9p-6, -0x1.be1bc6f860cf2p-6, -0x1.b902f61ccff13p-6, -0x1.b3f50fbde4f1fp-6, -0x1.aef20ae5f046bp-6, -0x1.a9f9dee1ace3dp-6, -0x1.a50c82b9cee26p-6, -0x1.a029ed43ea794p-6, -0x1.9b521521c2a95p-6, -0x1.9684f0c3e7261p-6, -0x1.91c2766bb1ce1p-6, -0x1.8d0a9c2dbde03p-6, -0x1.885d57d6018e1p-6, -0x1.83ba9f582f8abp-6, -0x1.7f226806dbe57p-6, -0x1.7a94a761b6307p-6, -0x1.761152a2cce28p-6, -0x1.71985ede5830ap-6, -0x1.6d29c103c13b8p-6, -0x1.68c56ddd425c6p-6, -0x1.646b5a10f1d72p-6, -0x1.601b7a21cea9bp-6, -0x1.5bd5c270b405ap-6, -0x1.579a273d4187cp-6, -0x1.53689ca6bfeafp-6, -0x1.4f4116ad64ba4p-6, -0x1.4b238933023cfp-6, -0x1.470fe7fc0df05p-6, -0x1.430626b01fe5bp-6, -0x1.3f0638daa4cabp-6, -0x1.3b1011e97d5d7p-6, -0x1.3723a5396b171p-6, -0x1.3340e60c13acbp-6, -0x1.2f67c77cf2d47p-6, -0x1.2b983c9b73143p-6, -0x1.27d2385f1eb77p-6, -0x1.2415ada7699f9p-6, -0x1.20628f3f55a75p-6, -0x1.1cb8cfdcafb68p-6, -0x1.19186220cba46p-6, -0x1.15813884e8d0fp-6, -0x1.11f345bdbaaa6p-6, -0x1.0e6e7bf9a4575p-6, -0x1.0af2cda5c0539p-6, -0x1.07802d0aadc3fp-6, -0x1.04168c5de0492p-6, -0x1.00b5ddc75e007p-6, -0x1.fabc26bce4c5dp-7, -0x1.f41e3e5d4d132p-7, -0x1.ed91e668a1bacp-7, -0x1.e71702be8ed1p-7, -0x1.e0ad77262501p-7, -0x1.da55274f21783p-7, -0x1.d40df6d2b7277p-7, -0x1.cdd7c934b7b77p-7, -0x1.c7b281e59f144p-7, -0x1.c19e044259b95p-7, -0x1.bb9a33962604p-7, -0x1.b5a6f31b26916p-7, -0x1.afc425fcd5eeep-7, -0x1.a9f1af5798d3dp-7, -0x1.a42f723a43f9p-7, -0x1.9e7d51a7e6e6ap-7, -0x1.98db309a35cafp-7, -0x1.9348f1fdaee8p-7, -0x1.8dc678b6b49f4p-7, -0x1.8853a7a1d0ff2p-7, -0x1.82f061941c804p-7, -0x1.7d9c895c96d3cp-7, -0x1.785801c573077p-7, -0x1.7322ad95a5cf4p-7, -0x1.6dfc6f92f1104p-7, -0x1.68e52a5487a0cp-7, -0x1.63dcc103e7fe3p-7, -0x1.5ee315fe39ee9p-7, -0x1.59f80c25965b6p-7, -0x1.551b8640247e9p-7, -0x1.504d6710a7383p-7, -0x1.4b8d915e5128fp-7, -0x1.46dbe7f4bdcc5p-7, -0x1.42384da47bd12p-7, -0x1.3da2a546473a8p-7, -0x1.391ad1bef12c9p-7, -0x1.34a0b5f5d3bc3p-7, -0x1.303434dd2dfcdp-7, -0x1.2bd53173d9222p-7, -0x1.27838ec2094dbp-7, -0x1.233f2fd919a0cp-7, -0x1.1f07f7d2a0376p-7, -0x1.1addc9d97d176p-7, -0x1.16c0892bda9d2p-7, -0x1.12b01903ac401p-7, -0x1.0eac5cb4d5e27p-7, -0x1.0ab537a8181b4p-7, -0x1.06ca8d58ddaf4p-7, -0x1.02ec4154fb3fbp-7, -0x1.fe346e3a11c8fp-8, -0x1.f6a8a61c8a36ep-8, -0x1.ef34ef600596bp-8, -0x1.e7d9140a7dfp-8, -0x1.e094db091d81cp-8, -0x1.d9680c5af9d73p-8, -0x1.d252703a6c43fp-8, -0x1.cb53cefd049d1p-8, -0x1.c46bf12cb8684p-8, -0x1.bd9a9f8d7c693p-8, -0x1.b6dfa31ec5684p-8, -0x1.b03ac51a273a5p-8, -0x1.a9abcec5681b3p-8, -0x1.a3328a4bdfffbp-8, -0x1.9ccec14427853p-8, -0x1.96803db6177d5p-8, -0x1.9046ca0ad399dp-8, -0x1.8a2230b37f8fcp-8, -0x1.84123c52774e3p-8, -0x1.7e16b7c279a5ep-8, -0x1.782f6e1da0463p-8, -0x1.725c2ac4f1699p-8, -0x1.6c9cb966ad87cp-8, -0x1.66f0e6026ce56p-8, -0x1.61587ce9abc0ap-8, -0x1.5bd34abccf851p-8, -0x1.56611c6555831p-8, -0x1.5101bf0fb9985p-8, -0x1.4bb500227fe24p-8, -0x1.467aad38d9ad8p-8, -0x1.41529422f295fp-8, -0x1.3c3c82e6eac18p-8, -0x1.373847c7b14f7p-8, -0x1.3245b15190d1bp-8, -0x1.2d648e5c7b04cp-8, -0x1.2894ae14d76d7p-8, -0x1.23d5e009e0892p-8, -0x1.1f27f42cbe66cp-8, -0x1.1a8abace2391cp-8, -0x1.15fe04998ad91p-8, -0x1.1181a28d97d77p-8, -0x1.0d1565f33e7c7p-8, -0x1.08b9205580538p-8, -0x1.046ca37be34a1p-8, -0x1.002fc168cb793p-8, -0x1.f80498b6d9968p-9, -0x1.efc82da53c303p-9, -0x1.e7a9e72e10e4dp-9, -0x1.dfa96b91b2fa4p-9, -0x1.d7c661c2c801bp-9, -0x1.d0007184d9da3p-9, -0x1.c857436469d1cp-9, -0x1.c0ca80ac7ea25p-9, -0x1.b959d31aff872p-9, -0x1.b204e6b4bc40fp-9, -0x1.aacb65cb3b6fdp-9, -0x1.a3acfcf848b09p-9, -0x1.9ca958f718862p-9, -0x1.95c02708475f4p-9, -0x1.8ef1151258dd4p-9, -0x1.883bd16866891p-9, -0x1.81a00ae7d6f83p-9, -0x1.7b1d712052995p-9, -0x1.74b3b445493e5p-9, -0x1.6e6285347981fp-9, -0x1.68299581637f8p-9, -0x1.6208977bfa71cp-9, -0x1.5bff3e3337e97p-9, -0x1.560d3d76a4bep-9, -0x1.503249d644c94p-9, -0x1.4a6e18a145224p-9, -0x1.44c05fe50dfcap-9, -0x1.3f28d6511fb6ep-9, -0x1.39a7334f14037p-9, -0x1.343b2ef355689p-9, -0x1.2ee481e5c4b89p-9, -0x1.29a2e56d343b9p-9, -0x1.2476136a89505p-9, -0x1.1f5dc654b99a1p-9, -0x1.1a59b935dae6dp-9, -0x1.1569a7a8f6fd6p-9, -0x1.108d4dd96f1d5p-9, -0x1.0bc468878b8e1p-9, -0x1.070eb5118b896p-9, -0x1.026bf1815bc9bp-9, -0x1.fbb7b93cc4fd3p-10, -0x1.f2bc6bfa0031p-10, -0x1.e9e57bf84ff62p-10, -0x1.e1326b8fdd45bp-10, -0x1.d8a2beaedcae3p-10, -0x1.d035fab85426cp-10, -0x1.c7eba6663d12ep-10, -0x1.bfc349b0d5b55p-10, -0x1.b7bc6db995c22p-10, -0x1.afd69cb881ccp-10, -0x1.a81161e9acdbep-10, -0x1.a06c497bfd2a4p-10, -0x1.98e6e05d6a87fp-10, -0x1.9180b3da5d38dp-10, -0x1.8a3953b31558p-10, -0x1.831051479fd4cp-10, -0x1.7c0538b8a65dep-10, -0x1.7517a0bad19aep-10, -0x1.6e471bcfc31bdp-10, -0x1.67934014a5e8ep-10, -0x1.60fba5223b35ap-10, -0x1.5a7fe41c07dbep-10, -0x1.541f978ca5eeep-10, -0x1.4dda5b2b9e15p-10, -0x1.47afcbb7effd6p-10, -0x1.419f86e589d4fp-10, -0x1.3ba92b5976fe9p-10, -0x1.35cc58ab10116p-10, -0x1.3008af5edb2c1p-10, -0x1.2a5dd0d81de12p-10, -0x1.24cb5f44900fbp-10, -0x1.1f50fd8e66481p-10, -0x1.19ee4f62680a8p-10, -0x1.14a2f952839aap-10, -0x1.0f6ea112a0115p-10, -0x1.0a50edc0ac1aep-10, -0x1.054988202ff18p-10, -0x1.00581ab2c8e8dp-10, -0x1.f6f8a342f20dp-11, -0x1.ed6bb4f842fcfp-11, -0x1.e408c7c9bffcbp-11, -0x1.dacf3a8823353p-11, -0x1.d1be6d38cbfd3p-11, -0x1.c8d5c10c37b2cp-11, -0x1.c01498a3dc669p-11, -0x1.b77a58a4f0dddp-11, -0x1.af06679b7ea0cp-11, -0x1.a6b82e03c7937p-11, -0x1.9e8f1687794efp-11, -0x1.968a8d7bed48p-11, -0x1.8eaa00901ef28p-11, -0x1.86ecdeb5f6f59p-11, -0x1.7f52984b802d9p-11, -0x1.77da9f8951637p-11, -0x1.7084691218dfp-11, -0x1.694f6c6f9aedcp-11, -0x1.623b2442e585fp-11, -0x1.5b470e0dfe493p-11, -0x1.5472a9a695d4dp-11, -0x1.4dbd786f17b35p-11, -0x1.4726fca21afddp-11, -0x1.40aeb8e782fdbp-11, -0x1.3a542fe1ad4e6p-11, -0x1.3416e8cd8c2cbp-11, -0x1.2df66766d70bep-11, -0x1.27f234ca8ccf4p-11, -0x1.2209dbde0c0ecp-11, -0x1.1c3ce9791caadp-11, -0x1.168aec517201p-11, -0x1.10f37492bb34cp-11, -0x1.0b76138b48012p-11, -0x1.06125b8459802p-11, -0x1.00c7dfd0c850dp-11, -0x1.f72c6a18f5c04p-12, -0x1.ecf9e2f65bcebp-12, -0x1.e2f75acf9c50fp-12, -0x1.d92406be53942p-12, -0x1.cf7f204993781p-12, -0x1.c607e4b0ff9f4p-12, -0x1.bcbd93cf73b1ep-12, -0x1.b39f6f073ebdfp-12, -0x1.aaacb8b9a1887p-12, -0x1.a1e4b4856f5e3p-12, -0x1.9946a828be4e3p-12, -0x1.90d1dc99cd7dbp-12, -0x1.88859e6a4676bp-12, -0x1.80613e757bf63p-12, -0x1.786410ddd876bp-12, -0x1.708d6cc42cdd8p-12, -0x1.68dcabcee41p-12, -0x1.61512a10694ffp-12, -0x1.59ea459931957p-12, -0x1.52a75e473dd5dp-12, -0x1.4b87d6c7bbfa9p-12, -0x1.448b13e98e3c9p-12, -0x1.3db07b7076af7p-12, -0x1.36f774d14b376p-12, -0x1.305f69b60f83bp-12, -0x1.29e7c67520e4cp-12, -0x1.238ffa5e2bbep-12, -0x1.1d57778e0b98bp-12, -0x1.173db25681471p-12, -0x1.1142209962053p-12, -0x1.0b64398cd1972p-12, -0x1.05a3761a4ba1cp-12, -0x1.fffea34911512p-13, -0x1.f4ee95b8550a9p-13, -0x1.ea15c416d6f4cp-13, -0x1.df733896e9d0dp-13, -0x1.d505fcc6cd1a5p-13, -0x1.cacd1f0b98afap-13, -0x1.c0c7b04423e8bp-13, -0x1.b6f4ba261ad22p-13, -0x1.ad537f19345cfp-13, -0x1.a3e2eca19c79bp-13, -0x1.9aa242d806c5p-13, -0x1.9190ab135cb65p-13, -0x1.88ad48414c8cbp-13, -0x1.7ff746211bdd8p-13, -0x1.776dcfcf37526p-13, -0x1.6f1011e1502d2p-13, -0x1.66dd3cbd421fdp-13, -0x1.5ed484edff136p-13, -0x1.56f524d203eebp-13, -0x1.4f3e5bd0d1593p-13, -0x1.47af6cbf7fd8ep-13, -0x1.40479cd18e211p-13, -0x1.3906336192a89p-13, -0x1.31ea7a934d858p-13, -0x1.2af3c01627539p-13, -0x1.2421552d0e4f6p-13, -0x1.1d728dcd8750bp-13, -0x1.16e6bf9c6e0adp-13, -0x1.107d41caf7641p-13, -0x1.0a356e18b8a7fp-13, -0x1.040ea252277e3p-13, -0x1.fc10829de7b97p-14, -0x1.f04365b8c1ff2p-14, -0x1.e4b4c56da06a2p-14, -0x1.d9637e5f6fecfp-14, -0x1.ce4e7026d885p-14, -0x1.c3747c06511d1p-14, -0x1.b8d48456fd3fp-14, -0x1.ae6d6c9eff3e3p-14, -0x1.a43e1a8d1f4f8p-14, -0x1.9a4577ee92445p-14, -0x1.908275189597ap-14, -0x1.86f40ab1b57f3p-14, -0x1.7d993a155677p-14, -0x1.74710bdec4ba4p-14, -0x1.6b7a8d4ce6a34p-14, -0x1.62b4cd9b5589p-14, -0x1.5a1edcc9fd7d9p-14, -0x1.51b7cc82acc6ep-14, -0x1.497eb1fc10655p-14, -0x1.4172a6dad89acp-14, -0x1.3992c858f0dc5p-14, -0x1.31de3657f894p-14, -0x1.2a541448cf82p-14, -0x1.22f38b6cfc8a6p-14, -0x1.1bbbcc29c23ffp-14, -0x1.14ac0d25bbde3p-14, -0x1.0dc3891f5410ep-14, -0x1.07017d634d434p-14, -0x1.006529d41f5f7p-14, -0x1.f3dba3aa5d1c4p-15, -0x1.e7357984b4124p-15, -0x1.dad66ab696494p-15, -0x1.cebd1142ebfb9p-15, -0x1.c2e80a2de9a38p-15, -0x1.b755f5305f2b7p-15, -0x1.ac0570e344f47p-15, -0x1.a0f53775987d1p-15, -0x1.9623fa941a67ep-15, -0x1.8b90745b4e573p-15, -0x1.813975b7c9bcp-15, -0x1.771dd0afb366bp-15, -0x1.6d3c598064b12p-15, -0x1.6393e3bac81dap-15, -0x1.5a2342b1c86a5p-15, -0x1.50e94d65dc96ap-15, -0x1.47e4e232b9f93p-15, -0x1.3f14e6daa60b4p-15, -0x1.3678466e679bp-15, -0x1.2e0df166756dp-15, -0x1.25d4e0673c0a3p-15, -0x1.1dcc1517f5827p-15, -0x1.15f29661d5956p-15, -0x1.0e476c4b37097p-15, -0x1.06c99fc4d0e0dp-15, -0x1.fef07af1942afp-16, -0x1.f0a4b176412ebp-16, -0x1.e2ae185b8731p-16, -0x1.d50af0b94e2b1p-16, -0x1.c7b9846c40ad9p-16, -0x1.bab82478c79bdp-16, -0x1.ae052811664a4p-16, -0x1.a19eebd3f07a4p-16, -0x1.9583d3da273bfp-16, -0x1.89b24b7018d37p-16, -0x1.7e28c281019d9p-16, -0x1.72e5b4f9437f3p-16, -0x1.67e7aa8309cb7p-16, -0x1.5d2d346f783b1p-16, -0x1.52b4eb8a051b5p-16, -0x1.487d6c934cfd4p-16, -0x1.3e85552240b36p-16, -0x1.34cb440b78f0bp-16, -0x1.2b4ddd7ee41f7p-16, -0x1.220b8f23451ep-16, -0x1.19037f3970967p-16, -0x1.103497b248d5p-16, -0x1.079cfd1ff70e5p-16, -0x1.fe779c8b47b7fp-17, -0x1.ee1fc4a40b535p-17, -0x1.de302974e01f9p-17, -0x1.cea682c7d9bd3p-17, -0x1.bf808d6ff1497p-17, -0x1.b0bc156698accp-17, -0x1.a257043fca6a1p-17, -0x1.944f22545570cp-17, -0x1.86a297af39b56p-17, -0x1.794f28fb69ea6p-17, -0x1.6c5309acaf7e9p-17, -0x1.5fac464ff060ep-17, -0x1.5358fb028f116p-17, -0x1.47574fbde65f4p-17, -0x1.3ba5787f14c4ap-17, -0x1.3041b2fdc301fp-17, -0x1.252a3ea27b124p-17, -0x1.1a5d4dfade31fp-17, -0x1.0fd956c03fc3p-17, -0x1.059cb9e1200a2p-17, -0x1.f74b7cb0cef04p-18, -0x1.e3e5ca6c09224p-18, -0x1.d1054a00e9431p-18, -0x1.bea6ef94e3d69p-18, -0x1.acc7b6eb06cabp-18, -0x1.9b64aa1f289d5p-18, -0x1.8a7aec767b1c1p-18, -0x1.7a07bdf405c3ap-18, -0x1.6a0872b7ff237p-18, -0x1.5a7a66c476942p-18, -0x1.4b5afe9c3e7e5p-18, -0x1.3ca7aeb8d7aap-18, -0x1.2e5df63f60754p-18, -0x1.207b59b520504p-18, -0x1.12fd6c84519bcp-18, -0x1.05e1d71ca08c8p-18, -0x1.f24c9c28c23fdp-19, -0x1.d99117405f979p-19, -0x1.c18ca599cc4a1p-19, -0x1.aa3ae800b02bbp-19, -0x1.93979e75994ccp-19, -0x1.7d9ea81cc73cep-19, -0x1.684bfd3ec9958p-19, -0x1.539baccff13bep-19, -0x1.3f89db359d1b6p-19, -0x1.2c12bf007e9bp-19, -0x1.1932a06bc490cp-19, -0x1.06e5da690d798p-19, -0x1.ea51b504db40fp-20, -0x1.c7f03f88ac704p-20, -0x1.a6a073baa98edp-20, -0x1.865b937de8cd7p-20, -0x1.671b08b00feabp-20, -0x1.48d86a0bd6c2bp-20, -0x1.2b8d78151677dp-20, -0x1.0f340f5585975p-20, -0x1.e78c3ce986601p-21, -0x1.b27b64378478cp-21, -0x1.7f2a1d2148f3fp-21, -0x1.4d8d6fdba48bcp-21, -0x1.1d9aa61b650dfp-21, -0x1.de8de58a6088fp-22, -0x1.850f2a8260099p-22, -0x1.2ea461a16d929p-22, -0x1.b672cd76e16acp-23, -0x1.1575a91926144p-23, -0x1.e8ac0dba45bc1p-25, 0x1.b92bc5f853082p-27, 0x1.57d141e138763p-24, 0x1.36fb2d62175dap-23, 0x1.bcee03ebbdcb4p-23, 0x1.1ef1f476e77fp-22, 0x1.5cff686cbfe4ep-22, 0x1.98afebdc64391p-22, 0x1.d21399ad2e5afp-22, 0x1.049d0a0643c88p-21, 0x1.1f194144705ddp-21, 0x1.3885da023315cp-21, 0x1.50eac2960763bp-21, 0x1.684e1847e2c15p-21, 0x1.7eb60bab3a0d1p-21, 0x1.942b95e54f061p-21, 0x1.a8b488adda166p-21, 0x1.bc577eba0b086p-21, 0x1.cf1b01df7599bp-21, 0x1.e105690076a1ep-21, 0x1.f21cd3d3ae11dp-21, 0x1.0133950393572p-20, 0x1.08f511215399dp-20, 0x1.1055a6594b74bp-20, 0x1.17581633f1954p-20, 0x1.1dfcc0430887p-20, 0x1.244f1e707e443p-20, 0x1.2a464601cc10ep-20, 0x1.2feb0376d2d0fp-20, 0x1.353e7c67c81edp-20, 0x1.3a434b76a3b14p-20, 0x1.3efbd263e95e4p-20, 0x1.436a582e14633p-20, 0x1.4790fb81fddap-20, 0x1.4b71dc10f73afp-20, 0x1.4f0f2c78d7a7bp-20, 0x1.526b0cb3c3561p-20, 0x1.558784fcb2d9ap-20, 0x1.586690e64d83bp-20, 0x1.5b0a26c03d0c7p-20, 0x1.5d7439458ac0ap-20, 0x1.5fa6b20bdaf3fp-20, 0x1.61a364951e317p-20, 0x1.636c017804224p-20, 0x1.650253df76aaep-20, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.058acfee1078ep-8, -0x1.3f5bbf077051cp-7, -0x1.2743519d61098p-6, -0x1.d8c259aa7a5abp-6, -0x1.5704b2fbf9a47p-5, -0x1.cec6f9393e6b2p-5, -0x1.27207dfdd02bcp-4, -0x1.6809e089490ffp-4, -0x1.a7a60e884c8f4p-4, -0x1.e3cc0e34cf669p-4, -0x1.0d57885acaa81p-3, -0x1.2570382ac1149p-3, -0x1.39a5ee0ec1f4cp-3, -0x1.499813f31f3abp-3, -0x1.550b2f9cc2dd2p-3, -0x1.5be414a3ac3fcp-3, -0x1.5e23158d93f0ep-3, -0x1.5bdf69df371dap-3, -0x1.5542e8b23e0c6p-3, -0x1.4a86288528324p-3, -0x1.3bed0b5194e35p-3, -0x1.29c3b78be9458p-3, -0x1.145bfa58c8cb8p-3, -0x1.f81618cb203f9p-4, -0x1.c24f62204f0c5p-4, -0x1.88114d90e1ecbp-4, -0x1.4a06bf2cb77ddp-4, -0x1.08d5f24637edcp-4, -0x1.8a3db0bc37b53p-5, -0x1.fde7605e2335dp-6, -0x1.c3b6f641ca11p-7, 0x1.ec68eb3fcaa4cp-9, 0x1.5e5d6c6c96dbp-6, 0x1.3f63c7c77135dp-5, 0x1.ce927e759ddadp-5, 0x1.2dfd8cf1345a2p-4, 0x1.73787fe26df5cp-4, 0x1.b76d17ae9ad6ep-4, 0x1.f997465aaeaep-4, 0x1.1cddc6dd7e2b3p-3, 0x1.3bd345a0b1b4p-3, 0x1.5996414d9349p-3, 0x1.761472e4c6a2fp-3, 0x1.913ee604218a2p-3, 0x1.ab09c579999c9p-3, 0x1.c36c0c7530bd1p-3, 0x1.da5f5d667dc11p-3, 0x1.efdfb4c3e3307p-3, 0x1.01f59f0a93d7ap-2, 0x1.0b410a05c9ccfp-2, 0x1.13d309ed60425p-2, 0x1.1bad53d085967p-2, 0x1.22d24e694c448p-2, 0x1.2944faa61b906p-2, 0x1.2f08e2206c313p-2, 0x1.342204797a40ap-2, 0x1.3894c70d4f35dp-2, 0x1.3c65e4e4c86eap-2, 0x1.3f9a60d044b8fp-2, 0x1.42377932da282p-2, 0x1.44429cd85d896p-2, 0x1.45c16022f79b6p-2, 0x1.46b9729d8ae48p-2, 0x1.4730956c5406p-2, 0x1.472c930731897p-2, 0x1.46b33817c37e5p-2, 0x1.45ca4d1532029p-2, 0x1.4477903ef5dep-2, 0x1.42c0afd70578ap-2, 0x1.40ab44d149845p-2, 0x1.3e3cce2b394b4p-2, 0x1.3b7aad1d45ddp-2, 0x1.386a220fbb211p-2, 0x1.35104a37d862ap-2, 0x1.31721d9c4d2e7p-2, 0x1.2d946d6704153p-2, 0x1.297be269def44p-2, 0x1.252cfbead4402p-2, 0x1.20ac0eb67c4bap-2, 0x1.1bfd448ccdaaap-2, 0x1.17249be9303c4p-2, 0x1.1225e81b2bd71p-2, 0x1.0d04d1a49a55ap-2, 0x1.07c4d6cafff13p-2, 0x1.02694c4c8df4p-2, 0x1.f9eabc5b5ac9p-3, 0x1.eed8212c696a3p-3, 0x1.e3a0817fe548ap-3, 0x1.d8494be401a42p-3, 0x1.ccd7a518eb56ap-3, 0x1.c1506a484357ap-3, 0x1.b5b8335695bb9p-3, 0x1.aa1355541d102p-3, 0x1.9e65e4f731d19p-3, 0x1.92b3b927363e4p-3, 0x1.87006d8980562p-3, 0x1.7b4f65091100dp-3, 0x1.6fa3cc59d3b65p-3, 0x1.64009c6a468d6p-3, 0x1.58689ccab58e9p-3, 0x1.4cde65fdb37ecp-3, 0x1.416463bc67161p-3, 0x1.35fcd72222f1bp-3, 0x1.2aa9d8cb9a88p-3, 0x1.1f6d5ae1a9d57p-3, 0x1.14492b0fa99a4p-3, 0x1.093ef46da1b1ap-3, 0x1.fca082a328014p-4, 0x1.e6fcfa24b5967p-4, 0x1.d195eb6f425efp-4, 0x1.bc6dbb280d2e9p-4, 0x1.a78699a5270d8p-4, 0x1.92e285cf8d051p-4, 0x1.7e834ff908fa4p-4, 0x1.6a6a9c6f5668cp-4, 0x1.5699e60ed1128p-4, 0x1.4312808f7bb81p-4, 0x1.2fd59ad7183ccp-4, 0x1.1ce440ffd4b91p-4, 0x1.0a3f5e6059cc9p-4, 0x1.efcf7ef95522cp-5, 0x1.cbbc2762adebep-5, 0x1.a845dddd1083cp-5, 0x1.856d96b4b26c7p-5, 0x1.633415555fa9cp-5, 0x1.4199ef543a8a5p-5, 0x1.209f8f13c26f5p-5, 0x1.004536124fd29p-5, 0x1.c115fef213fcep-6, 0x1.82e1c4a1d133ap-6, 0x1.45ed66e4a6daep-6, 0x1.0a384f7434df9p-6, 0x1.9f835751af096p-7, 0x1.2d10df9965ff8p-7, 0x1.7a2d6bcedfdd7p-8, 0x1.3e47cee12f952p-9, -0x1.b80ac5ba2a0fbp-11, -0x1.0849901450734p-8, -0x1.d4bca099f7da8p-8, -0x1.4e3184d12ee87p-7, -0x1.afa2ee398c98bp-7, -0x1.075bac920f0f7p-6, -0x1.35b9e99d16124p-6, -0x1.62eed2de64c23p-6, -0x1.8efd28b967518p-6, -0x1.b9e7c59cd6518p-6, -0x1.e3b19c62d91ebp-6, -0x1.062edb0e8296dp-5, -0x1.19f7983a5449bp-5, -0x1.2d349e3cda946p-5, -0x1.3fe78e6e37e46p-5, -0x1.5212121c2aac5p-5, -0x1.63b5da00e2aebp-5, -0x1.74d49da052a88p-5, -0x1.85701a791e7ccp-5, -0x1.958a136a2214ap-5, -0x1.a524505096741p-5, -0x1.b4409d5fbe5e5p-5, -0x1.c2e0ca5cf99b6p-5, -0x1.d106aa417d8b3p-5, -0x1.deb412f89004dp-5, -0x1.ebeadcba3197dp-5, -0x1.f8ace14b98d44p-5, -0x1.027dfdda810f4p-4, -0x1.086d041d656b3p-4, -0x1.0e2471e814c83p-4, -0x1.13a535a31e589p-4, -0x1.18f03d7d3049ep-4, -0x1.1e06777b3036p-4, -0x1.22e8d1590caebp-4, -0x1.27983823a1b76p-4, -0x1.2c1597f063c2cp-4, -0x1.3061dbe8627f3p-4, -0x1.347dee5e1ab52p-4, -0x1.386ab890cb8bbp-4, -0x1.3c292240bcab6p-4, -0x1.3fba1196d2556p-4, -0x1.431e6b4568361p-4, -0x1.4657128fcca83p-4, -0x1.4964e906c2b76p-4, -0x1.4c48ce33d58fep-4, -0x1.4f039f88bebfep-4, -0x1.51963890fc632p-4, -0x1.540172ed8139fp-4, -0x1.564626268efacp-4, -0x1.5865275d67acbp-4, -0x1.5a5f49416ffap-4, -0x1.5c355c34f6b3ep-4, -0x1.5de82e619514ap-4, -0x1.5f788b92e7b11p-4, -0x1.60e73cfb2e4b5p-4, -0x1.6235091fd0708p-4, -0x1.6362b3e8a652fp-4, -0x1.6470fec7ed6aap-4, -0x1.6560a8addc7ep-4, -0x1.66326de2b89e3p-4, -0x1.66e707e5a9946p-4, -0x1.677f2d6ed3acbp-4, -0x1.67fb928aa94f5p-4, -0x1.685ce8ac9c6ddp-4, -0x1.68a3dea58022p-4, -0x1.68d12086ece08p-4, -0x1.68e557974ca9dp-4, -0x1.68e12a5305c12p-4, -0x1.68c53c893327p-4, -0x1.68922f692faacp-4, -0x1.6848a1812dcdcp-4, -0x1.67e92eaee31f2p-4, -0x1.6774701671511p-4, -0x1.66eafc2770149p-4, -0x1.664d66afd212p-4, -0x1.659c40ee80ep-4, -0x1.64d8199aa1635p-4, -0x1.64017cdf6d972p-4, -0x1.6318f4545f37fp-4, -0x1.621f070043b7dp-4, -0x1.611439648ccbdp-4, -0x1.5ff90d913eaf8p-4, -0x1.5ece033435d44p-4, -0x1.5d93979f02169p-4, -0x1.5c4a45c47a70ep-4, -0x1.5af286376fc98p-4, -0x1.598ccf307a6e7p-4, -0x1.5819949c2cce3p-4, -0x1.5699482d50423p-4, -0x1.550c596ad4ed9p-4, -0x1.537335b69df55p-4, -0x1.51ce484d64d3bp-4, -0x1.501dfa49fb909p-4, -0x1.4e62b2a838997p-4, -0x1.4c9cd65550a45p-4, -0x1.4accc83e4a254p-4, -0x1.48f2e95e49027p-4, -0x1.470f98c6ed4e8p-4, -0x1.452333a360e78p-4, -0x1.432e153a632f2p-4, -0x1.413096f3211d4p-4, -0x1.3f2b105f77699p-4, -0x1.3d1dd749c01c6p-4, -0x1.3b093fc272e97p-4, -0x1.38ed9c2a1b59dp-4, -0x1.36cb3d36b664ep-4, -0x1.34a271f630dbfp-4, -0x1.327387d106077p-4, -0x1.303eca9227752p-4, -0x1.2e04846f96ceap-4, -0x1.2bc4fe18303f9p-4, -0x1.29807ebd6cba2p-4, -0x1.27374c1afc2fep-4, -0x1.24e9aa7ade10bp-4, -0x1.2297dcb7ed41dp-4, -0x1.204224414b273p-4, -0x1.1de8c1212e24bp-4, -0x1.1b8bf20506782p-4, -0x1.192bf447a51d9p-4, -0x1.16c903f93e885p-4, -0x1.14635be59f8fdp-4, -0x1.11fb35983ad9p-4, -0x1.0f90c95ef44fap-4, -0x1.0d244e4d15f75p-4, -0x1.0ab5fa4054ad1p-4, -0x1.084601e6f9ff9p-4, -0x1.05d498c82dfap-4, -0x1.0361f148ab268p-4, -0x1.00ee3cb241078p-4, -0x1.fcf3566e41bdbp-5, -0x1.f808d7e9c60fp-5, -0x1.f31d59ee38daep-5, -0x1.ee313674f315ep-5, -0x1.e944c56204025p-5, -0x1.e4585c8eee247p-5, -0x1.df6c4fd542705p-5, -0x1.da80f1185afd1p-5, -0x1.d596904def3abp-5, -0x1.d0ad7b845cecep-5, -0x1.cbc5fee7e01ebp-5, -0x1.c6e064c6d6339p-5, -0x1.c1fcf597022b5p-5, -0x1.bd1bf7fc87ffep-5, -0x1.b83db0d2082bep-5, -0x1.b3626330b5ea7p-5, -0x1.ae8a5077f1f73p-5, -0x1.a9b5b853f7764p-5, -0x1.a4e4d8c39ee2p-5, -0x1.a017ee1e0d9e9p-5, -0x1.9b4f33147bdb1p-5, -0x1.968ae0b905027p-5, -0x1.91cb2e8276b1p-5, -0x1.8d105252d95e6p-5, -0x1.885a807e56f97p-5, -0x1.83a9ebd090695p-5, -0x1.7efec5931b4fcp-5, -0x1.7a593d9275601p-5, -0x1.75b9822378d74p-5, -0x1.711fc026dbecfp-5, -0x1.6c8c230d25c8cp-5, -0x1.67fed4dbec16cp-5, -0x1.6377fe31402d2p-5, -0x1.5ef7c648cb8dap-5, -0x1.5a7e53032068fp-5, -0x1.560bc8e916eeep-5, -0x1.51a04b3184458p-5, -0x1.4d3bfbc6061edp-5, -0x1.48defb479114dp-5, -0x1.448969129d369p-5, -0x1.403b63432d49p-5, -0x1.3bf506b8bf296p-5, -0x1.37b66f1a6d718p-5, -0x1.337fb6dcbad79p-5, -0x1.2f50f744723c5p-5, -0x1.2b2a486d80425p-5, -0x1.270bc14e6fee5p-5, -0x1.22f577bd4febcp-5, -0x1.1ee78074343ecp-5, -0x1.1ae1ef15a87b3p-5, -0x1.16e4d630b0563p-5, -0x1.12f0474501919p-5, -0x1.0f0452c72d5dcp-5, -0x1.0b2108245b415p-5, -0x1.074675c7b8a39p-5, -0x1.0374a91ea883ep-5, -0x1.ff575d3a3802ap-6, -0x1.f7d72384ae81p-6, -0x1.f068ba39d0fa9p-6, -0x1.e90c349f7bba3p-6, -0x1.e1c1a42bb83bp-6, -0x1.da89188d85706p-6, -0x1.d3629fb57b76ap-6, -0x1.cc4e45ddaf27ep-6, -0x1.c54c159225f35p-6, -0x1.be5c17b96c2eap-6, -0x1.b77e539d5b41cp-6, -0x1.b0b2cef40fac3p-6, -0x1.a9f98de8167d8p-6, -0x1.a35293212e93cp-6, -0x1.9cbddfcc3e7c9p-6, -0x1.963b73a5606f6p-6, -0x1.8fcb4cfd8644dp-6, -0x1.896d68c53feb5p-6, -0x1.8321c2937dc4fp-6, -0x1.7ce854adc7fap-6, -0x1.76c118102592cp-6, -0x1.70ac04755802dp-6, -0x1.6aa9105f07ed7p-6, -0x1.64b8311def18dp-6, -0x1.5ed95ada0ad3dp-6, -0x1.590c809aaa77cp-6, -0x1.5351944e67661p-6, -0x1.4da886d2c72bcp-6, -0x1.481147fbd7506p-6, -0x1.428bc69ba1081p-6, -0x1.3d17f0896ba3ep-6, -0x1.37b5b2a92edc2p-6, -0x1.3264f8f31dbaep-6, -0x1.2d25ae7b56d36p-6, -0x1.27f7bd79bd488p-6, -0x1.22db0f517a928p-6, -0x1.1dcf8c9847442p-6, -0x1.18d51d1d411d1p-6, -0x1.13eba7ef2ebddp-6, -0x1.0f131362d43f9p-6, -0x1.0a4b45194ed4ep-6, -0x1.05942206dee5bp-6, -0x1.00ed8e7a2b336p-6, -0x1.f8aedc478103fp-7, -0x1.efa3483b4880ap-7, -0x1.e6b825e505215p-7, -0x1.dded3947a8dcdp-7, -0x1.d54245609594ep-7, -0x1.ccb70c2d75207p-7, -0x1.c44b4eb852ed5p-7, -0x1.bbfecd1f13371p-7, -0x1.b3d1469e94f6bp-7, -0x1.abc2799fe665ap-7, -0x1.a3d223c78ee74p-7, -0x1.9c000205eb616p-7, -0x1.944bd0a6dee27p-7, -0x1.8cb54b5f2d24ep-7, -0x1.853c2d56153ep-7, -0x1.7de0312b00d84p-7, -0x1.76a110f86b4acp-7, -0x1.6f7e865625702p-7, -0x1.68784a5d4f2efp-7, -0x1.618e15b090e8p-7, -0x1.5abfa0892459ap-7, -0x1.540ca2c881554p-7, -0x1.4d74d40c744b9p-7, -0x1.46f7ebc21335cp-7, -0x1.4095a134943a9p-7, -0x1.3a4dab9570747p-7, -0x1.341fc1fcfb3cap-7, -0x1.2e0b9b65b0b16p-7, -0x1.2810eea16cdcdp-7, -0x1.222f725c36ef5p-7, -0x1.1c66dd0ee98cdp-7, -0x1.16b6e5152cc7ep-7, -0x1.111f40b9a503bp-7, -0x1.0b9fa650894dp-7, -0x1.0637cc5399428p-7, -0x1.00e76979db1cbp-7, -0x1.f75c698d6277cp-8, -0x1.ed17cb196adbbp-8, -0x1.e30066c858a37p-8, -0x1.d915ac2fe3c92p-8, -0x1.cf570b2048f05p-8, -0x1.c5c3f37e72b7bp-8, -0x1.bc5bd53605ce6p-8, -0x1.b31e2047c695ep-8, -0x1.aa0a44f734b76p-8, -0x1.a11fb40ff4174p-8, -0x1.985ddf35ac4cfp-8, -0x1.8fc4392c53e61p-8, -0x1.87523608e9f68p-8, -0x1.7f074b3e0f845p-8, -0x1.76e2ef817910dp-8, -0x1.6ee49a8fb82e9p-8, -0x1.670bc4dd3b872p-8, -0x1.5f57e74815999p-8, -0x1.57c87adf41bf1p-8, -0x1.505cf8cfdae28p-8, -0x1.4914da809d29ap-8, -0x1.41ef99d919b6ap-8, -0x1.3aecb1a846ec7p-8, -0x1.340b9e154090fp-8, -0x1.2d4bdd025821ep-8, -0x1.26acee4b9c087p-8, -0x1.202e53d26315dp-8, -0x1.19cf915157249p-8, -0x1.13902c01bc088p-8, -0x1.0d6faa24deb41p-8, -0x1.076d928b1ba75p-8, -0x1.01896c33738d9p-8, -0x1.f7857c344ec44p-9, -0x1.ec321e8589ad3p-9, -0x1.e117cdfe3f117p-9, -0x1.d6359acea3805p-9, -0x1.cb8a97d852092p-9, -0x1.c115dbcf0cap-9, -0x1.b6d68217d6c4ep-9, -0x1.accbab37a5991p-9, -0x1.a2f47cb737dcap-9, -0x1.9950207e203d7p-9, -0x1.8fddc3c55a66cp-9, -0x1.869c95d4cb944p-9, -0x1.7d8bc6ca8b258p-9, -0x1.74aa86aa97f33p-9, -0x1.6bf804e02b038p-9, -0x1.63737050ece85p-9, -0x1.5b1bf7fb74ed9p-9, -0x1.52f0cc0ba1547p-9, -0x1.4af11f35df32bp-9, -0x1.431c281bd2bc8p-9, -0x1.3b7122779cd14p-9, -0x1.33ef4fd172431p-9, -0x1.2c95f79a5dd0dp-9, -0x1.256466a2c4843p-9, -0x1.1e59ee04d8677p-9, -0x1.1775e1b83cc79p-9, -0x1.10b79712d70c8p-9, -0x1.0a1e6379ac96bp-9, -0x1.03a99b79d086bp-9, -0x1.fab124d168332p-10, -0x1.ee55352bcfed6p-10, -0x1.e23e0c0a5c654p-10, -0x1.d66a4f24547c2p-10, -0x1.cad8a8b32e1d3p-10, -0x1.bf87ca6384cedp-10, -0x1.b4766fe9f00a3p-10, -0x1.a9a360c917e4ap-10, -0x1.9f0d70e9e9146p-10, -0x1.94b37fddea818p-10, -0x1.8a9476e6f116p-10, -0x1.80af462465bcap-10, -0x1.7702e17282876p-10, -0x1.6d8e3d900160bp-10, -0x1.64504e00cfa98p-10, -0x1.5b4803e914666p-10, -0x1.52744de81748dp-10, -0x1.49d418ccc41e2p-10, -0x1.416650f15e355p-10, -0x1.3929e411b9153p-10, -0x1.311dc37360b7cp-10, -0x1.2940e6371c9afp-10, -0x1.21924b932ecfp-10, -0x1.1a10fc9fbf0c1p-10, -0x1.12bc0d54d4095p-10, -0x1.0b929c6dcf279p-10, -0x1.0493d21dedfdp-10, -0x1.fb7dbb9b07a34p-11, -0x1.ee25e6b20ba82p-11, -0x1.e11e90de1a283p-11, -0x1.d466250fd8b35p-11, -0x1.c7fb0c39f84ep-11, -0x1.bbdbaca594c67p-11, -0x1.b0066bb6416d2p-11, -0x1.a479af622e928p-11, -0x1.9933dfdb48964p-11, -0x1.8e3368d51cdd1p-11, -0x1.8376babd6bf84p-11, -0x1.78fc4c672a987p-11, -0x1.6ec29d67fd17cp-11, -0x1.64c838f63883cp-11, -0x1.5b0bb896de2d7p-11, -0x1.518bc5afaba1p-11, -0x1.484719376aeaep-11, -0x1.3f3c7949ea59dp-11, -0x1.366ab51d0bc13p-11, -0x1.2dd0a0766e77bp-11, -0x1.256d1002ee0abp-11, -0x1.1d3ed7a429852p-11, -0x1.1544cb0d485cap-11, -0x1.0d7dc01bba4a7p-11, -0x1.05e891aa78dc2p-11, -0x1.fd08430067a19p-12, -0x1.ee9eb0f618be8p-12, -0x1.e0924a067375ap-12, -0x1.d2e0f164faf0fp-12, -0x1.c5888d05a6b1dp-12, -0x1.b887053607d28p-12, -0x1.abda481cb3f04p-12, -0x1.9f804ff3675acp-12, -0x1.937729896c7fap-12, -0x1.87bcf85cab78ap-12, -0x1.7c4ff65907d19p-12, -0x1.712e6ef6464b3p-12, -0x1.6656b744ebc9dp-12, -0x1.5bc725d0ef557p-12, -0x1.517e0d7c1617dp-12, -0x1.4779bd6331d5fp-12, -0x1.3db885e0ef5e7p-12, -0x1.3438c0adf0288p-12, -0x1.2af8d8d256859p-12, -0x1.21f74f12ad56ep-12, -0x1.1932b8e57bbd5p-12, -0x1.10a9ba3c18dedp-12, -0x1.085afc9e429c8p-12, -0x1.0045273e7ffe5p-12, -0x1.f0cdb66ae39e3p-13, -0x1.e17d6a7f602fap-13, -0x1.d296a7cc1698fp-13, -0x1.c416bf4030bc4p-13, -0x1.b5fb22d7bcb5bp-13, -0x1.a8416b7dd0efbp-13, -0x1.9ae7552595086p-13, -0x1.8deab2837f5cdp-13, -0x1.81495cda57ffcp-13, -0x1.750125dfcc92dp-13, -0x1.690fd0dde7f3dp-13, -0x1.5d73154fb1a5ep-13, -0x1.5228a9c8f7a91p-13, -0x1.472e534cb3fa7p-13, -0x1.3c81f403affd3p-13, -0x1.3221944b57f25p-13, -0x1.280b62968be3bp-13, -0x1.1e3da97ec67p-13, -0x1.14b6bf583eb6fp-13, -0x1.0b74f5bc6c9bdp-13, -0x1.02768fe7bc872p-13, -0x1.f373872ac18f1p-14, -0x1.e27985eb33fe4p-14, -0x1.d1fb94f3d1c19p-14, -0x1.c1f6598fc958bp-14, -0x1.b266b2c11568ep-14, -0x1.a349ba4e565a9p-14, -0x1.949cba776c9b7p-14, -0x1.865d1b475fb58p-14, -0x1.78884ce6c87aep-14, -0x1.6b1bb5cabbeaap-14, -0x1.5e14a9cedd26ap-14, -0x1.51706b47f6adfp-14, -0x1.452c348210c1p-14, -0x1.394546ed1a2eap-14, -0x1.2db8fcb218d72p-14, -0x1.2284d8491b411p-14, -0x1.17a68c0cb663bp-14, -0x1.0d1bf534b7423p-14, -0x1.02e30ab86e7f4p-14, -0x1.f1f38d738413ep-15, -0x1.debc2978fe37p-15, -0x1.cc1b9a0970ff8p-15, -0x1.ba0d7c99b9aa7p-15, -0x1.a88d7d0d52f38p-15, -0x1.97976fdfcaa49p-15, -0x1.87275b1a62187p-15, -0x1.7739729018078p-15, -0x1.67ca1bae4fcedp-15, -0x1.58d5f4599e10dp-15, -0x1.4a59d69a161bbp-15, -0x1.3c52cd3a67179p-15, -0x1.2ebdf5f8b555bp-15, -0x1.219873b89e4ap-15, -0x1.14df505bb6f9ap-15, -0x1.088f848c124a3p-15, -0x1.f94c053d7d73cp-16, -0x1.e23f95b043f9dp-16, -0x1.cbf3fb797d54ap-16, -0x1.b663c6983932p-16, -0x1.a189d0bde5e99p-16, -0x1.8d612fcd995a8p-16, -0x1.79e52745bc192p-16, -0x1.671118156a20cp-16, -0x1.54e06e8e11bd4p-16, -0x1.434e96ea20aebp-16, -0x1.32570319a5c74p-16, -0x1.21f53cfbcce88p-16, -0x1.1224eae9a6603p-16, -0x1.02e1b30a67a4cp-16, -0x1.e84e26c7f1cd7p-17, -0x1.cbe0c99ba972ap-17, -0x1.b0723ffd53018p-17, -0x1.95fa6a10b4f97p-17, -0x1.7c725603519b7p-17, -0x1.63d3df1979b5p-17, -0x1.4c19008dda36fp-17, -0x1.353b5ab4551b6p-17, -0x1.1f3433729189ap-17, -0x1.09fcddc00f9b6p-17, -0x1.eb1e53b9ff777p-18, -0x1.c3cafe767656cp-18, -0x1.9df523974fb4dp-18, -0x1.7991fb366ee9fp-18, -0x1.56963e49d5a16p-18, -0x1.34f67c116ecd4p-18, -0x1.14a7bba7731e1p-18, -0x1.eb3fe4f2a69e5p-19, -0x1.afac1f783d73p-19, -0x1.76834d4d29177p-19, -0x1.3fb4fe3e7a146p-19, -0x1.0b30c137e0b87p-19, -0x1.b1cc9b9962c15p-20, -0x1.518af611eeae3p-20, -0x1.eaf4b22a3b631p-21, -0x1.3ae7718e87fa1p-21, -0x1.252ef5e7b8456p-22, 0x1.c9e02dae8af97p-26, 0x1.5020a25d5e685p-22, 0x1.3ae03c913fe0dp-21, 0x1.c6ed7324dce46p-21, 0x1.2636f48c26877p-20, 0x1.65d0a2dc5f9cp-20, 0x1.a2644aa96d02p-20, 0x1.dc0dc72d5d27dp-20, 0x1.09713508d0f1fp-19, 0x1.2379d2daf9eap-19, 0x1.3c299c49971e2p-19, 0x1.538abb443a43bp-19, 0x1.69a8815a71f33p-19, 0x1.7e8ea59b5b30bp-19, 0x1.924890268344bp-19, 0x1.a4e0d45f600b9p-19, 0x1.b660f4bc40c2ap-19, 0x1.c6d16541a2f99p-19, 0x1.d639d123020d8p-19, 0x1.e4a19fb05d0f8p-19, 0x1.f210622b3bc66p-19, 0x1.fe8dcb3d3ac5p-19, 0x1.0510a8501b356p-18, 0x1.0a6923e04e1c8p-18, 0x1.0f547c6398835p-18, 0x1.13d7c11d6e61cp-18, 0x1.17f857fe4e5d5p-18, 0x1.1bbaa095bcf34p-18, 0x1.1f2169a28ee41p-18, 0x1.222efcb86b419p-18, 0x1.24e67f9c23193p-18, 0x1.274c28bdc9b29p-18, 0x1.29644067d3a55p-18, 0x1.2b321ecb65dbfp-18, 0x1.2cb822b15ad0dp-18, 0x1.2df8635f6df58p-18, 0x1.2ef53267bd18ap-18, 0x1.2fb113f8c4f9ap-18, 0x1.302e850326e3ap-18, 0x1.306fe34cab37dp-18, 0x1.30777b3567353p-18, 0x1.30479ac7abc41p-18, 0x1.2fe293ffa5b65p-18, 0x1.2f4aace258cb2p-18, 0x1.2e8205dc89172p-18, 0x1.2d8a86bf8c23fp-18, 0x1.2c65e0a545171p-18, 0x1.2b15aae2aa1e9p-18, 0x1.299b8bad44489p-18, 0x1.27f949668f889p-18, 0x1.2630af8b5e3bep-18, 0x1.2443654cf7725p-18, 0x1.22331f702d285p-18, 0x1.2001d47321cb8p-18, 0x1.1db1a9c13d25ep-18, 0x1.1b448387ebe55p-18, 0x1.18bb7a6f4716p-18, 0x1.16176e3c34d7fp-18, 0x1.1359be3f32bc1p-18, 0x1.10842c899c6bfp-18, 0x1.0d9835b4498fep-18, 0x1.0a96dd47945p-18, 0x1.0781131525a83p-18, 0x1.045817ee71ea8p-18, 0x1.011d42cd9dceep-18, 0x1.fba3b66bd2803p-19, 0x1.f4eddf89e3039p-19, 0x1.ee1aca999d4ebp-19, 0x1.e72c1b7192981p-19, 0x1.e0237b54e1ff6p-19, 0x1.d902af5426a29p-19, 0x1.d1cb93e51a977p-19, 0x1.ca8004bd7f855p-19, 0x1.c321c6dfeef42p-19, 0x1.bbb26c7578363p-19, 0x1.b43351432b489p-19, 0x1.aca5b688e257dp-19, 0x1.a50ae45a79e7bp-19, 0x1.9d644c3a13915p-19, 0x1.95b3881ca385cp-19, 0x1.8dfa2cec2abdap-19, 0x1.8639903bde62cp-19, 0x1.7e72bf68b9798p-19, 0x1.76a6d0173fa02p-19, 0x1.6ed72f77fe9e4p-19, 0x1.670542eaff502p-19, 0x1.5f31e7e5f6632p-19, 0x1.575de327eea8ep-19, 0x1.4f8a5910057a8p-19, 0x1.47b85a61283fcp-19, 0x1.3fe88617abcd8p-19, 0x1.381b77623accep-19, 0x1.30521bc406affp-19, 0x1.288d8766179cp-19, 0x1.20cebfe6b377dp-19, 0x1.1916adcd04b19p-19, 0x1.11661b55b3dc1p-19, 0x1.09bdb4805dc38p-19, 0x1.021e0d8569074p-19, 0x1.f50f624bb5e31p-20, 0x1.e5f65e5d6a61fp-20, 0x1.d6f2456801434p-20, 0x1.c80459dc0acb3p-20, 0x1.b92dd06cefe61p-20, 0x1.aa6fb834077a5p-20, 0x1.9bcafb8e99fa9p-20, 0x1.8d407b839eb0ap-20, 0x1.7ed1288383b08p-20, 0x1.707e00a43bddfp-20, 0x1.6247fedbad107p-20, 0x1.543011b6ed366p-20, 0x1.46371bbb7824p-20, 0x1.385ded4707283p-20, 0x1.2aa5332d9d24ap-20, 0x1.1d0d6db5b0003p-20, 0x1.0f971b111073ep-20, 0x1.0243029e21f14p-20, 0x1.ea23fee683afap-21, 0x1.d00931b70badcp-21, 0x1.b636b1752b1c6p-21, 0x1.9cada3e8b7bb2p-21, 0x1.836e88e743286p-21, 0x1.6a79e922d4a62p-21, 0x1.51d0c88ddfa2dp-21, 0x1.397435e4cbca9p-21, 0x1.2165177f45572p-21, 0x1.09a443de597p-21, 0x1.e46525b91fd7ap-22, 0x1.b6219e38fa7e1p-22, 0x1.887f31b82893fp-22, 0x1.5b7ebb3bd2f7p-22, 0x1.2f20e96930b74p-22, 0x1.03668a90bfe5ep-22, 0x1.b0a127e9b2a76p-23, 0x1.5bc00e586d63bp-23, 0x1.082b4b15a9937p-23, 0x1.6bc7811fbacd3p-24, 0x1.93aabbc6a5d26p-25, 0x1.541558c56feb6p-27, -0x1.c8b9acf770ea2p-26, -0x1.0c3c3df32b877p-24, -0x1.a3a586e5f5e3ep-24, -0x1.1c34968f81be1p-23, -0x1.65431c5253b6dp-23, -0x1.acfdf5a48dcbap-23, -0x1.f364eef2a463ap-23, -0x1.1c3bafeb06df1p-22, -0x1.3e1bb38883c85p-22, -0x1.5f50f46fd0803p-22, -0x1.7fdc0b57c8545p-22, -0x1.9fbd0af5e0d9fp-22, -0x1.bef49168e1d8ep-22, -0x1.dd82e91f32bb1p-22, -0x1.fb684abe045e4p-22, -0x1.0c524a484bb77p-21, -0x1.1a9befea10999p-21, -0x1.289161cba52fap-21, -0x1.3632def91817p-21, -0x1.43808bb43c523p-21, -0x1.507a85512fbf7p-21, -0x1.5d20fd1f6986dp-21, -0x1.697459f36494fp-21, -0x1.757536e3bc6ffp-21, -0x1.812413f242655p-21, -0x1.8c8110c53af4p-21, -0x1.978c407bfa925p-21, }}, 
      {{0x1.83fce9a1da748p-3, 0x1.e0161e2178cddp-3, 0x1.27ec04027689bp-2, 0x1.5f93e6031db61p-2, 0x1.9119106e1cc0ap-2, 0x1.b95ab1ed3d56bp-2, 0x1.d70c73cb19283p-2, 0x1.ea0e22ad02f86p-2, 0x1.f2f789d508bp-2, 0x1.f2c971d1dd314p-2, 0x1.eab8dbfdb5229p-2, 0x1.dc0c4aabe6581p-2, 0x1.c8056e5ac541dp-2, 0x1.afd3568353815p-2, 0x1.948a77f51ba4p-2, 0x1.7720ac77a0ce5p-2, 0x1.586bdfa647f3fp-2, 0x1.39228042670c3p-2, 0x1.19dd129b66f3p-2, 0x1.f630e1fe98542p-3, 0x1.ba70d2af0e54ep-3, 0x1.8114ff6074516p-3, 0x1.4a915e5ec97bcp-3, 0x1.173820b081624p-3, 0x1.ce7d53bb3759bp-4, 0x1.758441e6bd31dp-4, 0x1.2397248fb1d29p-4, 0x1.b14e7e32a0ea3p-5, 0x1.291701ec7bdbp-5, 0x1.5c18c9b6c52afp-6, 0x1.fc9db0695353bp-8, -0x1.1828de05d5d06p-8, -0x1.ea00a7fb7d121p-7, -0x1.8f534813b1dd3p-6, -0x1.0b52e084b4688p-5, -0x1.464e52431c1a9p-5, -0x1.796c430798f59p-5, -0x1.a5783902963e9p-5, -0x1.cb36ed8ad5604p-5, -0x1.eb64c0f92d4d9p-5, -0x1.035a4b9e26acfp-4, -0x1.0ee7857726655p-4, -0x1.18a8f6342a69p-4, -0x1.20e7fdedc6fbp-4, -0x1.27e868673d7e1p-4, -0x1.2de87bac5655fp-4, -0x1.33210b6506e4dp-4, -0x1.37c5a699350c2p-4, -0x1.3c04c1e640255p-4, -0x1.4007f593ed26cp-4, -0x1.43f43520cf3b6p-4, -0x1.47ea142f8e0e6p-4, -0x1.4c060687bb60dp-4, -0x1.5060a7d7393bfp-4, -0x1.550efb171dee3p-4, -0x1.5a22ace570473p-4, -0x1.5faa53ee1956bp-4, -0x1.65b1b1a735034p-4, -0x1.6c41eea73e25fp-4, -0x1.7361d2acb95c3p-4, -0x1.7b15fa0eeb475p-4, -0x1.83610a78a1c62p-4, -0x1.8c43e6a7dc1e6p-4, -0x1.95bddf8bfd16dp-4, -0x1.9fcce165cdb28p-4, -0x1.aa6d9d181327fp-4, -0x1.b59baec7745abp-4, -0x1.c151c2d6439cdp-4, -0x1.cd89b981f3a72p-4, -0x1.da3cc88941db7p-4, -0x1.e7639a24e132p-4, -0x1.f4f668cad11a7p-4, -0x1.01768bf076cc7p-3, -0x1.089fa4d5f5d7ap-3, -0x1.0ff239abf3be2p-3, -0x1.1769f78ebe066p-3, -0x1.1f028693e2afdp-3, -0x1.26b7915c12168p-3, -0x1.2e84cbe7fd871p-3, -0x1.3665f982d88ddp-3, -0x1.3e56f1cf46076p-3, -0x1.4653a505f5edep-3, -0x1.4e581f7c0e6acp-3, -0x1.56608c8eff48ep-3, -0x1.5e69390e63753p-3, -0x1.666e95392ac75p-3, -0x1.6e6d365b5c8eep-3, -0x1.7661d812852abp-3, -0x1.7e495d3f17778p-3, -0x1.8620d0a487f78p-3, -0x1.8de5653c30848p-3, -0x1.959476424d3bfp-3, -0x1.9d2b8700217ffp-3, -0x1.a4a842616eccep-3, -0x1.ac087a584a7b5p-3, -0x1.b34a2719e41b9p-3, -0x1.ba6b663ccf0bap-3, -0x1.c16a79bb97c32p-3, -0x1.c845c6e6884f9p-3, -0x1.cefbd54210389p-3, -0x1.d58b4d5f266e9p-3, -0x1.dbf2f7a45f34ep-3, -0x1.e231bb15246acp-3, -0x1.e8469c1214c4ap-3, -0x1.ee30bb17d10aap-3, -0x1.f3ef537ca46d9p-3, -0x1.f981ba2d555bp-3, -0x1.fee75c70b4fdep-3, -0x1.020fdf5498494p-2, -0x1.04953d90daf5fp-2, -0x1.0703a06e4246ap-2, -0x1.095ae936a1109p-2, -0x1.0b9b026c7b7d7p-2, -0x1.0dc3df4047fb2p-2, -0x1.0fd57b0a68509p-2, -0x1.11cfd8c955231p-2, -0x1.13b302a74d311p-2, -0x1.157f098190d01p-2, -0x1.17340477c2173p-2, -0x1.18d210809b82cp-2, -0x1.1a594fff4aa44p-2, -0x1.1bc9ea650082ep-2, -0x1.1d240bd198e3fp-2, -0x1.1e67e4b919d25p-2, -0x1.1f95a993e7931p-2, -0x1.20ad928c59e57p-2, -0x1.21afdb3069c1ep-2, -0x1.229cc23274249p-2, -0x1.2374891cd3f08p-2, -0x1.243774193cb22p-2, -0x1.24e5c9b1ac08ap-2, -0x1.257fd2974e19ep-2, -0x1.2605d96ea7c93p-2, -0x1.26782a9f17e94p-2, -0x1.26d7141ffec69p-2, -0x1.2722e54ee5648p-2, -0x1.275beec7ba36p-2, -0x1.27828239dd8f5p-2, -0x1.2796f244f5166p-2, -0x1.27999259e2b09p-2, -0x1.278ab69690821p-2, -0x1.276ab3a7d3273p-2, -0x1.2739deb02b372p-2, -0x1.26f88d2cf9a1ap-2, -0x1.26a714d94b721p-2, -0x1.2645cb9b1805cp-2, -0x1.25d5076e018bp-2, -0x1.25551e4bba872p-2, -0x1.24c66619bc1e1p-2, -0x1.2429349a663e6p-2, -0x1.237ddf5a07beep-2, -0x1.22c4bb9df4ef1p-2, -0x1.21fe1e58f42f6p-2, -0x1.212a5c1dec942p-2, -0x1.2049c90f8c46p-2, -0x1.1f5cb8d596493p-2, -0x1.1e637e95d3c57p-2, -0x1.1d5e6ce78f9bap-2, -0x1.1c4dd5c57fff8p-2, -0x1.1b320a879ce3cp-2, -0x1.1a0b5bdff95fcp-2, -0x1.18da19cfcb888p-2, -0x1.179e9399ee36dp-2, -0x1.165917bf3e671p-2, -0x1.1509f3ff1e48ap-2, -0x1.13b175500dafap-2, -0x1.124fe7d2389b8p-2, -0x1.10e596ca4934fp-2, -0x1.0f72cca52cbbbp-2, -0x1.0df7d2f68905dp-2, -0x1.0c74f26d14dccp-2, -0x1.0aea72c96151bp-2, -0x1.09589ae08edfp-2, -0x1.07bfb0a0e8f6ap-2, -0x1.061ff90cb71e7p-2, -0x1.0479b82f9f623p-2, -0x1.02cd3119e1debp-2, -0x1.011aa5e65f269p-2, -0x1.fec4af7da8c1ep-3, -0x1.fb490dab5556cp-3, -0x1.f7c2e4b9dc56cp-3, -0x1.f432b10a6a0a6p-3, -0x1.f098ed062e83ap-3, -0x1.ecf6112919845p-3, -0x1.e94a93f69aa6cp-3, -0x1.e596e9ecf2ba9p-3, -0x1.e1db858266e2ap-3, -0x1.de18d73057f6bp-3, -0x1.da4f4d7cfcaf3p-3, -0x1.d67f54f8e30d1p-3, -0x1.d2a9583502479p-3, -0x1.cecdbfbd8c588p-3, -0x1.caecf222e5c48p-3, -0x1.c7075402981b4p-3, -0x1.c31d480cd8612p-3, -0x1.bf2f2effe1d3cp-3, -0x1.bb3d67a30184ap-3, -0x1.b7484ec84479fp-3, -0x1.b3503f552918p-3, -0x1.af55924b80eb8p-3, -0x1.ab589ecca9bc8p-3, -0x1.a759ba1816d75p-3, -0x1.a3593788a2f4ap-3, -0x1.9f57689aafaffp-3, -0x1.9b549cf049758p-3, -0x1.9751225bd3934p-3, -0x1.934d44e3c53cep-3, -0x1.8f494ec73c4e1p-3, -0x1.8b458876dc1a4p-3, -0x1.8742389df838dp-3, -0x1.833fa4277e5c5p-3, -0x1.7f3e0e467132bp-3, -0x1.7b3db87c84c3dp-3, -0x1.773ee29d4cf5cp-3, -0x1.7341cacfe03ebp-3, -0x1.6f46ad90dbf9ap-3, -0x1.6b4dc5b85fcc7p-3, -0x1.67574c81cfd0ap-3, -0x1.63637993bacbdp-3, -0x1.5f7283057e817p-3, -0x1.5b849d6267435p-3, -0x1.5799fbac188cdp-3, -0x1.53b2cf5e44bf8p-3, -0x1.4fcf4875202a1p-3, -0x1.4bef9575151dfp-3, -0x1.4813e3723a71dp-3, -0x1.443c5e15daccep-3, -0x1.40692fa1fce31p-3, -0x1.3c9a80f448176p-3, -0x1.38d0798af399cp-3, -0x1.350b3f8a11e19p-3, -0x1.314af7c34cae1p-3, -0x1.2d8fc5bcf2dc6p-3, -0x1.29d9cbb7a90a1p-3, -0x1.26292ab2c32a8p-3, -0x1.227e026fadfafp-3, -0x1.1ed87175f7abbp-3, -0x1.1b389518d3a5fp-3, -0x1.179e897da552bp-3, -0x1.140a69a2d929fp-3, -0x1.107c4f65f3739p-3, -0x1.0cf4538857d05p-3, -0x1.09728db325071p-3, -0x1.05f7147b17db6p-3, -0x1.0281fd64bb4bep-3, -0x1.fe26b9d5567p-4, -0x1.f7568d0696557p-4, -0x1.f093994e336d1p-4, -0x1.e9de01abc4db5p-4, -0x1.e335e73645cecp-4, -0x1.dc9b6923ad6f7p-4, -0x1.d60ea4d0b9d38p-4, -0x1.cf8fb5ca1acbp-4, -0x1.c91eb5d6f73d5p-4, -0x1.c2bbbd04145fp-4, -0x1.bc66e1ae78f77p-4, -0x1.b620388d0fcd5p-4, -0x1.afe7d4b9590fcp-4, -0x1.a9bdc7b6d4892p-4, -0x1.a3a2217ab06d3p-4, -0x1.9d94f074167bfp-4, -0x1.9796419587891p-4, -0x1.91a6205ddeb2ap-4, -0x1.8bc496e339158p-4, -0x1.85f1adda9f81ep-4, -0x1.802d6ca118d33p-4, -0x1.7a77d942f4d24p-4, -0x1.74d0f8830af3ep-4, -0x1.6f38cde1e0761p-4, -0x1.69af5ba5ab72ep-4, -0x1.6434a2e296295p-4, -0x1.5ec8a38339833p-4, -0x1.596b5c50de41dp-4, -0x1.541ccafb4fdcap-4, -0x1.4edcec205a3a8p-4, -0x1.49abbb528533cp-4, -0x1.4489331fbb7e4p-4, -0x1.3f754d17d98p-4, -0x1.3a7001d3af2f4p-4, -0x1.357948fc64d0ep-4, -0x1.30911952b6e61p-4, -0x1.2bb768b61b68dp-4, -0x1.26ec2c2bb024fp-4, -0x1.222f57e4d553ep-4, -0x1.1d80df45070f4p-4, -0x1.18e0b4e8c094ap-4, -0x1.144ecaaa4a7e3p-4, -0x1.0fcb11a85f65bp-4, -0x1.0b557a4c377a2p-4, -0x1.06edf44fee27ep-4, -0x1.02946ec46a7f4p-4, -0x1.fc91b02f20852p-5, -0x1.f4163c33e7c01p-5, -0x1.ebb65c0909d73p-5, -0x1.e371e8faa1d05p-5, -0x1.db48bb414a363p-5, -0x1.d33aa9f8669d9p-5, -0x1.cb478b3bf9d22p-5, -0x1.c36f34375dbb6p-5, -0x1.bbb1791525a4ap-5, -0x1.b40e2d216a254p-5, -0x1.ac8522cab5eb8p-5, -0x1.a5162bacb8d67p-5, -0x1.9dc11899eef63p-5, -0x1.9685b9a4bb825p-5, -0x1.8f63de2835b52p-5, -0x1.885b54d0bf1d4p-5, -0x1.816beba4ed52ep-5, -0x1.7a95700d1b91dp-5, -0x1.73d7aede0b885p-5, -0x1.6d32745f491p-5, -0x1.66a58c5493408p-5, -0x1.6030c2058fd1p-5, -0x1.59d3e0459ed84p-5, -0x1.538eb17b7c3cp-5, -0x1.4d60ffa89efbap-5, -0x1.474a94704fa4fp-5, -0x1.414b391ea51a9p-5, -0x1.3b62b6af67505p-5, -0x1.3590d5d4fc964p-5, -0x1.2fd55eff39556p-5, -0x1.2a301a61f7db1p-5, -0x1.24a0cffb950ccp-5, -0x1.1f27479b2a422p-5, -0x1.19c348e6b7fe3p-5, -0x1.14749b610c665p-5, -0x1.0f3b066f9e76ep-5, -0x1.0a1651600dbd7p-5, -0x1.0506436d7b5eep-5, -0x1.000aa3c5ff9d4p-5, -0x1.f646731fa5544p-6, -0x1.ec9f97dcf2af2p-6, -0x1.e320440f99af5p-6, -0x1.d9c80611adb66p-6, -0x1.d0966c5531db6p-6, -0x1.c78b056d9dca1p-6, -0x1.bea56016d7b7fp-6, -0x1.b5e50b41b793fp-6, -0x1.ad499618901bcp-6, -0x1.a4d2900924519p-6, -0x1.9c7f88cc1be2bp-6, -0x1.9450106c6812cp-6, -0x1.8c43b74ed7188p-6, -0x1.845a0e392d09ap-6, -0x1.7c92a65958ec5p-6, -0x1.74ed114c3f86ep-6, -0x1.6d68e1244b13cp-6, -0x1.6605a86fcc837p-6, -0x1.5ec2fa3ef0607p-6, -0x1.57a06a2994bd3p-6, -0x1.509d8c54ccccep-6, -0x1.49b9f578333ap-6, -0x1.42f53ae3210b9p-6, -0x1.3c4ef281b6cdp-6, -0x1.35c6b2e1ddf83p-6, -0x1.2f5c133823abfp-6, -0x1.290eab644e6bfp-6, -0x1.22de13f5a8959p-6, -0x1.1cc9e62eea6d2p-6, -0x1.16d1bc09e2052p-6, -0x1.10f5303ad9b45p-6, -0x1.0b33de33ee5cdp-6, -0x1.058d622887799p-6, -0x1.00015910da6e7p-6, -0x1.f51ec15ac52bap-7, -0x1.ea6e2f147780ep-7, -0x1.dff03a0456288p-7, -0x1.d5a4228327068p-7, -0x1.cb892a8d5253cp-7, -0x1.c19e95cccc1dap-7, -0x1.b7e3a9956c5e1p-7, -0x1.ae57aceacca71p-7, -0x1.a4f9e88367866p-7, -0x1.9bc9a6ccc61ffp-7, -0x1.92c633f08d8f1p-7, -0x1.89eeddd9c8cafp-7, -0x1.8142f4398c7a2p-7, -0x1.78c1c88a55aacp-7, -0x1.706aae119dbd5p-7, -0x1.683cf9df6e067p-7, -0x1.603802ccc372cp-7, -0x1.585b2179abcbap-7, -0x1.50a5b04c42c2ap-7, -0x1.49170b715c3c3p-7, -0x1.41ae90df8083ep-7, -0x1.3a6ba05b84b96p-7, -0x1.334d9b7d850cfp-7, -0x1.2c53e5b5fab61p-7, -0x1.257de4500d288p-7, -0x1.1ecafe70d6c24p-7, -0x1.183a9d1335805p-7, -0x1.11cc2afd96ap-7, -0x1.0b7f14d6e3ef4p-7, -0x1.0552c8cc95d1fp-7, -0x1.fe8d6e2b14b72p-8, -0x1.f2b4a2e992563p-8, -0x1.e71a16fdd1b45p-8, -0x1.dbbcb526d893p-8, -0x1.d09b6bc435c1bp-8, -0x1.c5b52ce33c62fp-8, -0x1.bb08ee41fcc04p-8, -0x1.b095a94751c97p-8, -0x1.a65a5af0ba7e5p-8, -0x1.9c5603b85292dp-8, -0x1.9287a774af34p-8, -0x1.88ee4d4a1458ep-8, -0x1.7f88ff95717dfp-8, -0x1.7656cbeb234cp-8, -0x1.6d56c325817a8p-8, -0x1.6487f978a68bap-8, -0x1.5be9868ac6875p-8, -0x1.537a858858f37p-8, -0x1.4b3a152d8eeb3p-8, -0x1.432757c0068d7p-8, -0x1.3b4172f842283p-8, -0x1.33878fdd82bb3p-8, -0x1.2bf8da9ace84dp-8, -0x1.249482559a64ep-8, -0x1.1d59b90e55b4bp-8, -0x1.1647b391988f5p-8, -0x1.0f5da97cc6ccp-8, -0x1.089ad554220a6p-8, -0x1.01fe74a51f994p-8, -0x1.f70f9056feea2p-9, -0x1.ea6c27dee8977p-9, -0x1.de113ea79d258p-9, -0x1.d1fd6a1d4a3d6p-9, -0x1.c62f4616b601bp-9, -0x1.baa57474d3641p-9, -0x1.af5e9cae5af3ap-9, -0x1.a4596b5c6c41dp-9, -0x1.999491de2509fp-9, -0x1.8f0ec624b0505p-9, -0x1.84c6c2b03cf31p-9, -0x1.7abb46bdcf4aap-9, -0x1.70eb169afc9b4p-9, -0x1.6754fc0bc92d5p-9, -0x1.5df7c6ac2ce15p-9, -0x1.54d24c33b5d6bp-9, -0x1.4be3688a27c42p-9, -0x1.4329fda459b73p-9, -0x1.3aa4f32aeedfbp-9, -0x1.325335fa5db0ap-9, -0x1.2a33b7914190bp-9, -0x1.22456d873f7cfp-9, -0x1.1a8751195ece6p-9, -0x1.12f85f024dd8cp-9, -0x1.0b979765de282p-9, -0x1.0463fe113fb56p-9, -0x1.fab935b7170e2p-10, -0x1.ed00f44333506p-10, -0x1.df9d5a81abb47p-10, -0x1.d28c95f3b2442p-10, -0x1.c5ccdf4441e8p-10, -0x1.b95c7a2ecdb9ap-10, -0x1.ad39b4e7d2072p-10, -0x1.a162e71c00465p-10, -0x1.95d670b2d1411p-10, -0x1.8a92b88a4dfe9p-10, -0x1.7f962b5eae84ap-10, -0x1.74df3b088acf9p-10, -0x1.6a6c5e261952p-10, -0x1.603c1035402a3p-10, -0x1.564cd21584b83p-10, -0x1.4c9d2ad61da84p-10, -0x1.432ba8b5ddf03p-10, -0x1.39f6e2299fe12p-10, -0x1.30fd76b8daa9fp-10, -0x1.283e0f86c2c68p-10, -0x1.1fb75f6587cf3p-10, -0x1.17682266efae3p-10, -0x1.0f4f1cf860fa7p-10, -0x1.076b1ab1ef51fp-10, -0x1.ff75da1e1166cp-11, -0x1.f07ad491432a1p-11, -0x1.e1e2d8f971ac9p-11, -0x1.d3aba26a62f75p-11, -0x1.c5d2f2a0107b1p-11, -0x1.b856926df7241p-11, -0x1.ab3452a7aa836p-11, -0x1.9e6a0d6059704p-11, -0x1.91f5a7634a36fp-11, -0x1.85d511c708fe8p-11, -0x1.7a064b693a13ap-11, -0x1.6e876212a74abp-11, -0x1.635672fa976c7p-11, -0x1.5871aa754406ep-11, -0x1.4dd742c17648fp-11, -0x1.4385822811a6cp-11, -0x1.397ab8c0a626bp-11, -0x1.2fb53e2de3258p-11, -0x1.263371773be9ap-11, -0x1.1cf3b4c21cfa6p-11, -0x1.13f472085f215p-11, -0x1.0b341795a8659p-11, -0x1.02b11a6d45b89p-11, -0x1.f4d3ec75b201fp-12, -0x1.e4ba5b777a15fp-12, -0x1.d51296240f889p-12, -0x1.c5d9c08c8b9cap-12, -0x1.b70d1017e9708p-12, -0x1.a8a9cd646d32p-12, -0x1.9aad55f7bd151p-12, -0x1.8d151d120587bp-12, -0x1.7fdeab17155eap-12, -0x1.73079b6ff50cfp-12, -0x1.668d994cb69e8p-12, -0x1.5a6e5c20c9d5ap-12, -0x1.4ea7a4db68c4ap-12, -0x1.43373c99dc445p-12, -0x1.381af508647bap-12, -0x1.2d50a9f76bd54p-12, -0x1.22d643374156fp-12, -0x1.18a9b5be0d142p-12, -0x1.0ec9038495453p-12, -0x1.05323a2d52011p-12, -0x1.f7c6e25aaeca9p-13, -0x1.e5b590d0cb377p-13, -0x1.d42cd001a56cdp-13, -0x1.c329031459c2p-13, -0x1.b2a6a44b7c3fep-13, -0x1.a2a2494951508p-13, -0x1.9318a56919e14p-13, -0x1.840688f461d04p-13, -0x1.7568dd1d98b0cp-13, -0x1.673c9de4ca05fp-13, -0x1.597ed40e39a6ep-13, -0x1.4c2c915c3e8e2p-13, -0x1.3f42f069c046dp-13, -0x1.32bf181c53512p-13, -0x1.269e412b3ac41p-13, -0x1.1addbb64de6c5p-13, -0x1.0f7af05fe37fp-13, -0x1.04736252d82b4p-13, -0x1.f3894ec016d2bp-14, -0x1.ded8c6523fcffp-14, -0x1.cad082727bf9ap-14, -0x1.b76be4dfee8a1p-14, -0x1.a4a65c935de2ap-14, -0x1.927b6d9c4eeb3p-14, -0x1.80e6bd240b95fp-14, -0x1.6fe418c020f1bp-14, -0x1.5f6f7a26c0415p-14, -0x1.4f85038ea96c8p-14, -0x1.4020f66b38a49p-14, -0x1.313fa7b44241fp-14, -0x1.22dd75dbc6af6p-14, -0x1.14f6c3eadc102p-14, -0x1.0787fb32f7befp-14, -0x1.f51b254ee977ap-15, -0x1.dc0832434c979p-15, -0x1.c3d07e2c29effp-15, -0x1.ac6db892a485fp-15, -0x1.95d9de64e67e7p-15, -0x1.800f2b6d09e36p-15, -0x1.6b08033d9cad6p-15, -0x1.56beda6ef76c3p-15, -0x1.432e2975af7eap-15, -0x1.30506dc825045p-15, -0x1.1e2037321b881p-15, -0x1.0c983a1bbe281p-15, -0x1.f766bd9551a16p-16, -0x1.d6d993bfebeb7p-16, -0x1.b77fb76ec632ap-16, -0x1.9950516914b0ep-16, -0x1.7c42d799549eap-16, -0x1.604eee7cc64d1p-16, -0x1.456c50f598379p-16, -0x1.2b92c40f07628p-16, -0x1.12ba167e4507cp-16, -0x1.f5b45ae1ecea6p-17, -0x1.c7d6332e143a5p-17, -0x1.9bca59f73ff6p-17, -0x1.71821da34ce5fp-17, -0x1.48ef89642d0aep-17, -0x1.220555e6c455p-17, -0x1.f96d7360fbc97p-18, -0x1.b1ee5641adc44p-18, -0x1.6d745ef3f1c43p-18, -0x1.2be69ad812b48p-18, -0x1.da58987a5f846p-19, -0x1.625a84411c862p-19, -0x1.df487017d48e3p-20, -0x1.04118484dddf1p-20, -0x1.95cdfcad86f02p-23, 0x1.2a23c302665e2p-21, 0x1.53a0b256e5fbep-20, 0x1.049f1ef575227p-19, 0x1.5b19cb25b8d85p-19, 0x1.ad6220bfe0dc7p-19, 0x1.fb9c3d48c50f6p-19, 0x1.22f4b1eae6014p-18, 0x1.4635efe4437c7p-18, 0x1.67a29bcf7914bp-18, 0x1.874b1771ea259p-18, 0x1.a53f2c585076fp-18, 0x1.c18dfa5c4467bp-18, 0x1.dc45fff0344bp-18, 0x1.f5752d87387bdp-18, 0x1.06947cf15f1b4p-17, 0x1.11b73cde30819p-17, 0x1.1c293cfca0c84p-17, 0x1.25f0c83d3d5fap-17, 0x1.2f140ac1d6806p-17, 0x1.379905e5f9dcbp-17, 0x1.3f858d3aae3dcp-17, 0x1.46df59fa41c94p-17, 0x1.4dac26f3a67abp-17, 0x1.53f1b1074e997p-17, 0x1.59b58b75b9c0bp-17, 0x1.5efce62f06bddp-17, 0x1.63cc770e766c1p-17, 0x1.682897a3a73d8p-17, 0x1.6c157de1db417p-17, 0x1.6f9766988f3d5p-17, 0x1.72b2989f73372p-17, 0x1.756b4524e36dfp-17, 0x1.77c5632d26fdcp-17, 0x1.79c4a67fc1942p-17, 0x1.7b6c988c9e5d6p-17, 0x1.7cc0bb586958ep-17, 0x1.7dc498ab9b049p-17, 0x1.7e7bb4b08f359p-17, 0x1.7ee972380ff54p-17, 0x1.7f10fd3234b97p-17, 0x1.7ef54754d0855p-17, 0x1.7e99163ff35cep-17, 0x1.7dff177060ba3p-17, 0x1.7d29eb398db87p-17, 0x1.7c1c22c8d8a71p-17, 0x1.7ad8414f7e533p-17, 0x1.7960d38ed823ep-17, 0x1.77b8918ac798cp-17, 0x1.75e25bcc9d3c2p-17, 0x1.73e0fd64aa1b2p-17, 0x1.71b6e29103962p-17, 0x1.6f660d237d95dp-17, 0x1.6cf0516968d9fp-17, 0x1.6a579eeecb583p-17, 0x1.679e14ef653aep-17, 0x1.64c5d75c1f06ep-17, 0x1.61d0cfe08fd33p-17, 0x1.5ec0937a1594fp-17, 0x1.5b967e930c40bp-17, 0x1.5853e779f13dap-17, 0x1.54fa3d73602f7p-17, 0x1.518b087b049ep-17, 0x1.4e07d760e553ep-17, 0x1.4a722efe31371p-17, 0x1.46cb79834716p-17, 0x1.4314ffc5e26b7p-17, 0x1.3f4fe90c55947p-17, 0x1.3b7d406075269p-17, 0x1.379e02d9149a8p-17, 0x1.33b32ce8b274fp-17, 0x1.2fbdbc4e975aap-17, 0x1.2bbea7618e5a6p-17, 0x1.27b6dd764804bp-17, 0x1.23a75fc87875fp-17, 0x1.1f9159f568e64p-17, 0x1.1b7608ae39c12p-17, 0x1.1756738e70641p-17, 0x1.13334accc827bp-17, 0x1.0f0d19b74e5cbp-17, 0x1.0ae4946de664ep-17, 0x1.06baabd82ed42p-17, 0x1.02905aac7923cp-17, 0x1.fccccf6dd98cep-18, 0x1.f47ab72cdd26bp-18, 0x1.ec2b4cffedbebp-18, 0x1.e3df83cfeb9e2p-18, 0x1.db986607c138cp-18, 0x1.d356fc9b23a8ep-18, 0x1.cb1c41938b472p-18, 0x1.c2e9246be2a37p-18, 0x1.babe929685daap-18, 0x1.b29d78d81a42dp-18, 0x1.aa86bab74f9ccp-18, 0x1.a27b2597d8491p-18, 0x1.9a7b67004f6adp-18, 0x1.92880d5654b4fp-18, 0x1.8aa19702f7303p-18, 0x1.82c8894c86082p-18, 0x1.7afd7c7a2ca9cp-18, 0x1.73410f48a987p-18, 0x1.6b93f412cdccp-18, 0x1.63f674db628fp-18, 0x1.5c691d92a74ebp-18, 0x1.54ed0e128558ap-18, 0x1.4d82b78871981p-18, 0x1.462a4cc05f51fp-18, 0x1.3ee3dbb59997p-18, 0x1.37afbdc95d194p-18, 0x1.308e9369b0902p-18, 0x1.2980db6f8c8a3p-18, 0x1.2286c33616077p-18, 0x1.1ba062d71041fp-18, 0x1.14ce00e543734p-18, 0x1.0e0ffd14fe365p-18, 0x1.0766b37c9261cp-18, 0x1.00d257889c8cep-18, 0x1.f4a5fe576ff04p-19, 0x1.e7d1666357d43p-19, 0x1.db26fe790bac6p-19, 0x1.cea6f4f0a657dp-19, 0x1.c2518c2751015p-19, 0x1.b62709039f882p-19, 0x1.aa27a5e9c0e63p-19, 0x1.9e537bd6e64b2p-19, 0x1.92aa7e5ee2922p-19, 0x1.872c90d9c747dp-19, 0x1.7bd99c7443499p-19, 0x1.70b1abdf39ac1p-19, 0x1.65b4ef32f935p-19, 0x1.5ae39c2b02656p-19, 0x1.503dbc81e13e1p-19, 0x1.45c31c4b19addp-19, 0x1.3b73850178759p-19, 0x1.314f0b42d0b4dp-19, 0x1.2755d0d1c220ap-19, 0x1.1d878f3ae205p-19, 0x1.13e3ea2fc4066p-19, 0x1.0a6ae2f5a0a3fp-19, 0x1.011c715a2b4a4p-19, 0x1.eff037f3a106cp-20, 0x1.ddfac1d10079dp-20, 0x1.cc58314ddf0cap-20, 0x1.bb089ef779753p-20, 0x1.aa0c15586af2cp-20, 0x1.99626a8f181e5p-20, 0x1.890b3b4b60ba3p-20, 0x1.7905eb5af8307p-20, 0x1.6951b4a16a454p-20, 0x1.59edc6709d794p-20, 0x1.4ad9651cfd04dp-20, 0x1.3c13f76902f1dp-20, 0x1.2d9cfb7d07a48p-20, 0x1.1f73ea776e811p-20, 0x1.11981e46f873ap-20, 0x1.0408d26805f7ap-20, 0x1.ed8a82755af48p-21, 0x1.d3997c0b04fa1p-21, 0x1.ba3d64f6f701ep-21, 0x1.a175191192759p-21, 0x1.893f6b184616ap-21, 0x1.719b279138709p-21, 0x1.5a8705d13edeep-21, 0x1.44017bd1c2ec7p-21, 0x1.2e08a4bd81fe6p-21, 0x1.189aa29a8c297p-21, 0x1.03b65678f1aefp-21, 0x1.deb5cd1801139p-22, 0x1.b70d832dcde17p-22, 0x1.9070d153ce636p-22, 0x1.6adcfb51fe1a6p-22, 0x1.464ddec80a49dp-22, 0x1.22bf94d6621a2p-22, 0x1.002f76dd5e768p-22, 0x1.bd361c91a9285p-23, 0x1.7bff3b523af32p-23, 0x1.3cb4ba7ba5f2p-23, 0x1.fea28e1fe650fp-24, 0x1.879f0d05a1318p-24, 0x1.14531afcac999p-24, 0x1.4962dd94203c8p-25, 0x1.c562949e3b8d9p-27, -0x1.7e47e5d9b4d7dp-27, -0x1.2974479e56358p-25, -0x1.ec6499dc8af41p-25, -0x1.543d6ecafb663p-24, -0x1.aee867b3a22e2p-24, -0x1.031f8a26ec1a8p-23, -0x1.2d2675d26f456p-23, -0x1.558eb61a97922p-23, -0x1.7c5e2c388ff9ap-23, -0x1.a19ac7b62bf98p-23, -0x1.c54a6b36d9b3ep-23, -0x1.e772e7c91c01ap-23, -0x1.040d096899b69p-22, -0x1.13a2e59c6b918p-22, -0x1.227f4ed22bd0ep-22, -0x1.309ff83f37c75p-22, -0x1.3e0e30fe24861p-22, -0x1.4ac8d7e250324p-22, -0x1.56d3ae9eb2999p-22, -0x1.6231e964ebb34p-22, -0x1.6ce65a275df72p-22, -0x1.76f3b30fc758dp-22, -0x1.805c47e5fd05ap-22, -0x1.89229e9073686p-22, -0x1.91499fde836fp-22, -0x1.98d40b81c07fp-22, -0x1.9fc463bd18ba6p-22, -0x1.a61d12c0c2c81p-22, -0x1.abe0997ddc9bcp-22, -0x1.b111c91990596p-22, -0x1.b5b3c0c0864afp-22, -0x1.b9c96438260eep-22, -0x1.bd54e56edc41p-22, -0x1.c0584d6617046p-22, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.d7bbc17ac4bacp-9, -0x1.c2f658fdbd8f6p-9, -0x1.9fcd72c9fa701p-9, -0x1.6d7f2baa54cb4p-9, -0x1.2b1399e30750ep-9, -0x1.aedb390f1b9b7p-10, -0x1.c56ca9b0d842cp-11, 0x1.0b78f5f0a40a7p-14, 0x1.2dd06a6e3f7e5p-10, 0x1.3b68f36f998e4p-9, 0x1.f6e19ad0e4b4p-9, 0x1.6519b06d6c0fap-8, 0x1.db0be36a58c8ap-8, 0x1.2ec73e1ff29e6p-7, 0x1.7668eb9852ba3p-7, 0x1.c4779880b3bdfp-7, 0x1.0c7a33f86f26dp-6, 0x1.39eaa8340e455p-6, 0x1.6a82cc113b87p-6, 0x1.9e3339be3d704p-6, 0x1.d4e7dd9615ef9p-6, 0x1.07442c677c455p-5, 0x1.257c3415edd82p-5, 0x1.450c25f1b833p-5, 0x1.65e2974e9821fp-5, 0x1.87ecc4fe12b41p-5, 0x1.ab16c3d561b02p-5, 0x1.cf4baf1e4d943p-5, 0x1.f475d4c1ea48fp-5, 0x1.0d3f6f8b0eb9dp-4, 0x1.20a7fe2410cecp-4, 0x1.346901b44acebp-4, 0x1.4876cb919a358p-4, 0x1.5cc5a3171da5cp-4, 0x1.7149d4bebd8f1p-4, 0x1.85f7c021ef071p-4, 0x1.9ac3e4e64ead2p-4, 0x1.afa2ee9a10d26p-4, 0x1.c489bf83e84b8p-4, 0x1.d96d7a69d767p-4, 0x1.ee438b52dbc41p-4, 0x1.0180d7a3f16ddp-3, 0x1.0bcefd8cb38ecp-3, 0x1.160770981d90dp-3, 0x1.20259b3897fcap-3, 0x1.2a251b1e56283p-3, 0x1.3401c2ca22cfdp-3, 0x1.3db79ab8f6fb6p-3, 0x1.4742e22e8614dp-3, 0x1.50a00fa566fe6p-3, 0x1.59cbd0ebce7c7p-3, 0x1.62c30af418492p-3, 0x1.6b82d9606ea12p-3, 0x1.74088dd0e47e2p-3, 0x1.7c51aefb524ddp-3, 0x1.845bf79409254p-3, 0x1.8c25550e3f2b7p-3, 0x1.93abe63ac0e51p-3, 0x1.9aedf9cb1db4dp-3, 0x1.a1ea0cbf11cbap-3, 0x1.a89ec8c190c1dp-3, 0x1.af0b027a44b3dp-3, 0x1.b52db7d7fa413p-3, 0x1.bb060e57dc448p-3, 0x1.c093514d04ddep-3, 0x1.c5d4f02b5aea2p-3, 0x1.caca7cd85401cp-3, 0x1.cf73aa03cd119p-3, 0x1.d3d0498aa7adbp-3, 0x1.d7e04ae4b54f3p-3, 0x1.dba3b99eec0d2p-3, 0x1.df1abbe2b3864p-3, 0x1.e245910ae2283p-3, 0x1.e52490469349ap-3, 0x1.e7b8274a03d54p-3, 0x1.ea00d90d5ce48p-3, 0x1.ebff3c9916f75p-3, 0x1.edb3fbdfb9f8cp-3, 0x1.ef1fd2a46c731p-3, 0x1.f0438d6dd1859p-3, 0x1.f1200884a55cfp-3, 0x1.f1b62efd69208p-3, 0x1.f206f9cc8a90cp-3, 0x1.f2136ee453e4bp-3, 0x1.f1dca05bfe88bp-3, 0x1.f163ab9f4deffp-3, 0x1.f0a9b8a6126p-3, 0x1.efaff932f6452p-3, 0x1.ee77a8191ae8ep-3, 0x1.ed020887f0c56p-3, 0x1.eb50655ce72e8p-3, 0x1.e964107a71226p-3, 0x1.e73e622410f84p-3, 0x1.e4e0b85f0f72cp-3, 0x1.e24c76578d49bp-3, 0x1.df8303c9b5fd6p-3, 0x1.dc85cc6ee0f0ep-3, 0x1.d9563f6e6ea5cp-3, 0x1.d5f5ced240aecp-3, 0x1.d265eefeb73b1p-3, 0x1.cea8162e1b9a8p-3, 0x1.cabdbbef6fcf6p-3, 0x1.c6a858a89c24cp-3, 0x1.c269651bfac9p-3, 0x1.be0259f147956p-3, 0x1.b974af41fa29ep-3, 0x1.b4c1dc29140b7p-3, 0x1.afeb565676ff1p-3, 0x1.aaf291a5cb8c7p-3, 0x1.a5d8ffb9112acp-3, 0x1.a0a00f96dd5dep-3, 0x1.9b492d4c67ad5p-3, 0x1.95d5c1936de2fp-3, 0x1.9047317bff86ap-3, 0x1.8a9ede1a414c4p-3, 0x1.84de24383bcf6p-3, 0x1.7f065c0bb4b9ap-3, 0x1.7918d8f02cb8cp-3, 0x1.7316e924f8967p-3, 0x1.6d01d58f8e13bp-3, 0x1.66dae181f20ep-3, 0x1.60a34a8562528p-3, 0x1.5a5c48291a933p-3, 0x1.54070bd54fc3p-3, 0x1.4da4c0a23dc7cp-3, 0x1.47368b3355959p-3, 0x1.40bd89966ceap-3, 0x1.3a3ad326ec226p-3, 0x1.33af7874e895cp-3, 0x1.2d1c8330110ebp-3, 0x1.2682f6165acdfp-3, 0x1.1fe3cce65bbb9p-3, 0x1.193ffc553681fp-3, 0x1.12987207f482bp-3, 0x1.0bee149040733p-3, 0x1.0541c36c57686p-3, 0x1.fd28ae14382e5p-4, 0x1.efcd419a37cf2p-4, 0x1.e272d62eef90cp-4, 0x1.d51af2ab060bfp-4, 0x1.c7c71017ebabbp-4, 0x1.ba7899d1299c6p-4, 0x1.ad30edaa597a2p-4, 0x1.9ff15c195fb7p-4, 0x1.92bb2864d0713p-4, 0x1.858f88d60b24dp-4, 0x1.786fa6eee5fep-4, 0x1.6b5c9fa28dd81p-4, 0x1.5e578391648dep-4, 0x1.516157478e16p-4, 0x1.447b137df0417p-4, 0x1.37a5a55d61bc4p-4, 0x1.2ae1eec3c4399p-4, 0x1.1e30c68ace573p-4, 0x1.1192f8d0490c5p-4, 0x1.0509473f84204p-4, 0x1.f128d2b78e81dp-5, 0x1.d86a1997163ddp-5, 0x1.bfd7ab4889cffp-5, 0x1.a772bd6d1da26p-5, 0x1.8f3c73b5009cp-5, 0x1.7735e078117bap-5, 0x1.5f60054e3804p-5, 0x1.47bbd3a715f9fp-5, 0x1.304a2d60bfbb2p-5, 0x1.190be55d2f608p-5, 0x1.0201c0163154dp-5, 0x1.d658e85f128f9p-6, 0x1.a919560e23235p-6, 0x1.7c460285326c6p-6, 0x1.4fe00eb6b23fap-6, 0x1.23e8844d854b4p-6, 0x1.f0c0ad721a909p-7, 0x1.9a90c866a8edap-7, 0x1.4542ed8238b54p-7, 0x1.e1b114ade7e1p-8, 0x1.3aa5cfcb303eap-8, 0x1.2accb1d8252a5p-9, -0x1.c168a78ebce76p-13, -0x1.5f5a7cbec549cp-9, -0x1.4f7e0135bd224p-8, -0x1.ed7c344168e9cp-8, -0x1.44d35955bddfp-7, -0x1.91fe44a01b32fp-7, -0x1.de3e79c42605bp-7, -0x1.14c9d63fdc0a3p-6, -0x1.39fed29a2fc42p-6, -0x1.5ebe1fd005046p-6, -0x1.8307b4d21ec5ep-6, -0x1.a6db910dd69acp-6, -0x1.ca39bbdf04f5cp-6, -0x1.ed224408f3977p-6, -0x1.07ca9f9b146f8p-5, -0x1.18c964bf7b706p-5, -0x1.298d827b5bdf6p-5, -0x1.3a170c9fc5d0fp-5, -0x1.4a661992327bp-5, -0x1.5a7ac21cace07p-5, -0x1.6a552140f70c4p-5, -0x1.79f5540ea8551p-5, -0x1.895b797c1d437p-5, -0x1.9887b2422bba4p-5, -0x1.a77a20ba7ff12p-5, -0x1.b632e8c092c44p-5, -0x1.c4b22f95162bep-5, -0x1.d2f81bc3cb2f5p-5, -0x1.e104d50b9e263p-5, -0x1.eed88448fb32bp-5, -0x1.fc73536238d65p-5, -0x1.04eab69b05fa2p-4, -0x1.0b7f7ec5ef1abp-4, -0x1.11f81882ff5a4p-4, -0x1.18549a8ac677ep-4, -0x1.1e951bf7fd947p-4, -0x1.24b9b4431934cp-4, -0x1.2ac27b3e8e59fp-4, -0x1.30af8913c9fcap-4, -0x1.3680f640cbf6cp-4, -0x1.3c36db965cbc5p-4, -0x1.41d15236d383bp-4, -0x1.475073955e6e7p-4, -0x1.4cb45975c79aep-4, -0x1.51fd1decab52ap-4, -0x1.572adb60146fep-4, -0x1.5c3dac887a656p-4, -0x1.6135ac72124f5p-4, -0x1.6612f67e6df34p-4, -0x1.6ad5a6665ea7fp-4, -0x1.6f7dd83c16b0fp-4, -0x1.740ba86d7d447p-4, -0x1.787f33c6b1b74p-4, -0x1.7cd89774b44d7p-4, -0x1.8117f1082e2fcp-4, -0x1.853d5e7854775p-4, -0x1.8948fe25dcfe9p-4, -0x1.8d3aeede00641p-4, -0x1.91134fdd8532cp-4, -0x1.94d240d3c91acp-4, -0x1.9877e1e5cd28ap-4, -0x1.9c0453b135aabp-4, -0x1.9f77b74f433b9p-4, -0x1.a2d22e57b4ec8p-4, -0x1.a613dae399607p-4, -0x1.a93cdf901368bp-4, -0x1.ac4d5f80ebf7cp-4, -0x1.af457e63208f1p-4, -0x1.b225606f3ea89p-4, -0x1.b4ed2a6ba4bcep-4, -0x1.b79d01ae974ep-4, -0x1.ba350c2032c39p-4, -0x1.bcb5703c330ep-4, -0x1.bf1e551392d35p-4, -0x1.c16fe24deecbcp-4, -0x1.c3aa402ad07dfp-4, -0x1.c5cd9782bb676p-4, -0x1.c7da11c808e3cp-4, -0x1.c9cfd907a0e4cp-4, -0x1.cbaf17e968c68p-4, -0x1.cd77f9b0a08dp-4, -0x1.cf2aaa3be9ed4p-4, -0x1.d0c7560538783p-4, -0x1.d24e2a2185f5p-4, -0x1.d3bf544049296p-4, -0x1.d51b02aad07b7p-4, -0x1.d661644359ba5p-4, -0x1.d792a883f8a45p-4, -0x1.d8aeff7d5a3e9p-4, -0x1.d9b699d54a995p-4, -0x1.daa9a8c5121e4p-4, -0x1.db885e179fdaap-4, -0x1.dc52ec278b528p-4, -0x1.dd0985dce512bp-4, -0x1.ddac5eaae412dp-4, -0x1.de3baa8d5c8e9p-4, -0x1.deb79e0617345p-4, -0x1.df206e19fc58fp-4, -0x1.df76504e2305cp-4, -0x1.dfb97aa4a4362p-4, -0x1.dfea239961c49p-4, -0x1.e008821ea15d4p-4, -0x1.e014cd998602ep-4, -0x1.e00f3dde6bac6p-4, -0x1.dff80b2d23374p-4, -0x1.dfcf6e2d15b97p-4, -0x1.df959fe950f48p-4, -0x1.df4ad9cc660bp-4, -0x1.deef559c5102p-4, -0x1.de834d7630c31p-4, -0x1.de06fbc9ed863p-4, -0x1.dd7a9b55d9f4dp-4, -0x1.dcde672238274p-4, -0x1.dc329a7cab482p-4, -0x1.db7770f3aaf9bp-4, -0x1.daad2651d54f4p-4, -0x1.d9d3f699444a3p-4, -0x1.d8ec1dfed382dp-4, -0x1.d7f5d8e560892p-4, -0x1.d6f163d8fef6p-4, -0x1.d5defb8a30008p-4, -0x1.d4bedcc9087b9p-4, -0x1.d39144805fap-4, -0x1.d2566fb0f88ebp-4, -0x1.d10e9b6caf585p-4, -0x1.cfba04d1962f1p-4, -0x1.ce58e9053081p-4, -0x1.cceb852f9ab86p-4, -0x1.cb721676c1d0bp-4, -0x1.c9ecd9f99e718p-4, -0x1.c85c0ccb70081p-4, -0x1.c6bfebef12452p-4, -0x1.c518b4524487bp-4, -0x1.c366a2c90babp-4, -0x1.c1a9f409191bfp-4, -0x1.bfe2e4a53c7bfp-4, -0x1.be11b108e51a2p-4, -0x1.bc369573b340bp-4, -0x1.ba51cdf50eca1p-4, -0x1.b8639667d8191p-4, -0x1.b66c2a6e21dd1p-4, -0x1.b46bc56cfff26p-4, -0x1.b262a2885f0eap-4, -0x1.b050fc9f015e4p-4, -0x1.ae370e4675db7p-4, -0x1.ac1511c732d41p-4, -0x1.a9eb4118c0449p-4, -0x1.a7b9d5ddf912p-4, -0x1.a5810961550f8p-4, -0x1.a34114915b7a5p-4, -0x1.a0fa2ffd1c7f3p-4, -0x1.9eac93d0c19e1p-4, -0x1.9c5877d23f7b6p-4, -0x1.99fe135e0ebap-4, -0x1.979d9d6409132p-4, -0x1.95374c64539fap-4, -0x1.92cb566c6a345p-4, -0x1.9059f114381ccp-4, -0x1.8de3517b4ff98p-4, -0x1.8b67ac4635bd6p-4, -0x1.88e7359bc6bf5p-4, -0x1.86622122b49f7p-4, -0x1.83d8a1ff1a358p-4, -0x1.814aead029203p-4, -0x1.7eb92daded7efp-4, -0x1.7c239c272b5b4p-4, -0x1.798a673f53a48p-4, -0x1.76edbf6c91733p-4, -0x1.744dd495eddp-4, -0x1.71aad6118d854p-4, -0x1.6f04f2a302fd7p-4, -0x1.6c5c5879bca26p-4, -0x1.69b1352f841f3p-4, -0x1.6703b5c71b03ep-4, -0x1.645406aaeaef5p-4, -0x1.61a253abccf29p-4, -0x1.5eeec7ffe7784p-4, -0x1.5c398e41a2571p-4, -0x1.5982d06eb2a38p-4, -0x1.56cab7e73954dp-4, -0x1.54116d6cf97ccp-4, -0x1.51571922a3c8ep-4, -0x1.4e9be28b36113p-4, -0x1.4bdff0896ec8fp-4, -0x1.4923695f57201p-4, -0x1.466672adde35ep-4, -0x1.43a9317489eebp-4, -0x1.40ebca113a9c9p-4, -0x1.3e2e604001d4cp-4, -0x1.3b71171b09fbep-4, -0x1.38b4111a9267p-4, -0x1.35f77014fc064p-4, -0x1.333b553ee7d41p-4, -0x1.307fe12b67904p-4, -0x1.2dc533cc3b7f6p-4, -0x1.2b0b6c7226282p-4, -0x1.2852a9cd4af8ap-4, -0x1.259b09ed9eb07p-4, -0x1.22e4aa4367459p-4, -0x1.202fa79fc8fb9p-4, -0x1.1d7c1e3563d6bp-4, -0x1.1aca2998fd8c8p-4, -0x1.1819e4c2395adp-4, -0x1.156b6a0c5d0fap-4, -0x1.12bed33723ca9p-4, -0x1.101439679c001p-4, -0x1.0d6bb52911738p-4, -0x1.0ac55e6e01ebfp-4, -0x1.08214c912164cp-4, -0x1.057f96566465bp-4, -0x1.02e051ec17338p-4, -0x1.004394ebfc901p-4, -0x1.fb52e8b8f6df3p-5, -0x1.f62409639faf9p-5, -0x1.f0fab39e8da8dp-5, -0x1.ebd70e110b02ep-5, -0x1.e6b93e45ade27p-5, -0x1.e1a168acff0ddp-5, -0x1.dc8fb0a033fbep-5, -0x1.d7843863f85e1p-5, -0x1.d27f212b3e59bp-5, -0x1.cd808b1a24ebdp-5, -0x1.c8889548e4487p-5, -0x1.c3975dc6c7f28p-5, -0x1.bead019d33bbep-5, -0x1.b9c99cd2af751p-5, -0x1.b4ed4a6e048e4p-5, -0x1.b0182479588e1p-5, -0x1.ab4a44055c4a3p-5, -0x1.a683c12c76334p-5, -0x1.a1c4b31603255p-5, -0x1.9d0d2ff98fd48p-5, -0x1.985d4d221e8adp-5, -0x1.93b51ef171d21p-5, -0x1.8f14b8e35aa37p-5, -0x1.8a7c2d910b298p-5, -0x1.85eb8eb46dbadp-5, -0x1.8162ed2b7d97ap-5, -0x1.7ce258fba9811p-5, -0x1.7869e1552ab4p-5, -0x1.73f994966ee3fp-5, -0x1.6f91804f73c8dp-5, -0x1.6b31b1452a10ap-5, -0x1.66da3374da6cfp-5, -0x1.628b121788847p-5, -0x1.5e4457a558b4fp-5, -0x1.5a060dd8f0342p-5, -0x1.55d03db2d3c81p-5, -0x1.51a2ef7cc9505p-5, -0x1.4d7e2acd35ca7p-5, -0x1.4961f68a771d5p-5, -0x1.454e58ee38438p-5, -0x1.41435788cc255p-5, -0x1.3d40f74479ab2p-5, -0x1.39473c68d0f61p-5, -0x1.35562a9def5b4p-5, -0x1.316dc4efc4c6fp-5, -0x1.2d8e0dd1575d9p-5, -0x1.29b7071ffce8ap-5, -0x1.25e8b2269119p-5, -0x1.22230fa0a8f88p-5, -0x1.1e661fbdc0606p-5, -0x1.1ab1e22458a8cp-5, -0x1.170655f520d81p-5, -0x1.136379ce0ad25p-5, -0x1.0fc94bcd5f208p-5, -0x1.0c37c994c6ddap-5, -0x1.08aef04c521f6p-5, -0x1.052ebca576fabp-5, -0x1.01b72ade07634p-5, -0x1.fc906d8647bf2p-6, -0x1.f5c3b7683eed4p-6, -0x1.ef08294ac030ep-6, -0x1.e85db8467216ep-6, -0x1.e1c458a97598p-6, -0x1.db3bfdfcf2d73p-6, -0x1.d4c49b0a9f8bp-6, -0x1.ce5e21e227251p-6, -0x1.c80883de891f3p-6, -0x1.c1c3b1ab6c062p-6, -0x1.bb8f9b4a65426p-6, -0x1.b56c30180f9e7p-6, -0x1.af595ed12dc42p-6, -0x1.a9571597b2affp-6, -0x1.a36541f7b7d8ep-6, -0x1.9d83d0ec6545ep-6, -0x1.97b2aee4c3d1fp-6, -0x1.91f1c7c8761bap-6, -0x1.8c4106fc787dep-6, -0x1.86a05767b07b1p-6, -0x1.810fa37781c8ap-6, -0x1.7b8ed52441948p-6, -0x1.761dd5f5a1586p-6, -0x1.70bc8f070058p-6, -0x1.6b6ae90bada4p-6, -0x1.6628cc531edaep-6, -0x1.60f620cd1064ep-6, -0x1.5bd2ce0d86b9fp-6, -0x1.56bebb50dd064p-6, -0x1.51b9cf7f9ceb5p-6, -0x1.4cc3f1325be2bp-6, -0x1.47dd06b57fff3p-6, -0x1.4304f60cf96bep-6, -0x1.3e3ba4f7df11cp-6, -0x1.3980f8f3f9a4bp-6, -0x1.34d4d7414f65bp-6, -0x1.303724e5800abp-6, -0x1.2ba7c6af39fb6p-6, -0x1.2726a1397472ep-6, -0x1.22b398eeaf414p-6, -0x1.1e4e920c17d0cp-6, -0x1.19f770a4a0cb8p-6, -0x1.15ae18a40fe78p-6, -0x1.11726dd1f25d8p-6, -0x1.0d4453d481e4bp-6, -0x1.0923ae338358ap-6, -0x1.0510605afc8fdp-6, -0x1.010a4d9df8f82p-6, -0x1.fa22b27253395p-7, -0x1.f24accab034cap-7, -0x1.ea8cb0157b80fp-7, -0x1.e2e822c3a4503p-7, -0x1.db5ceaaeb87fbp-7, -0x1.d3eacdbbea5b3p-7, -0x1.cc9191c10bc13p-7, -0x1.c550fc88f4092p-7, -0x1.be28d3d7f2942p-7, -0x1.b718dd7002097p-7, -0x1.b020df14dc9bcp-7, -0x1.a9409e90131fap-7, -0x1.a277e1b4f5b03p-7, -0x1.9bc66e645ec5dp-7, -0x1.952c0a9078abcp-7, -0x1.8ea87c4042385p-7, -0x1.883b899314ed8p-7, -0x1.81e4f8c411c48p-7, -0x1.7ba4902d6528ap-7, -0x1.757a164b8dc31p-7, -0x1.6f6551c05e502p-7, -0x1.6966095628458p-7, -0x1.637c040277492p-7, -0x1.5da708e9065c2p-7, -0x1.57e6df5e6a6ebp-7, -0x1.523b4eeac12c3p-7, -0x1.4ca41f4c4c142p-7, -0x1.47211879d5875p-7, -0x1.41b202a52b81cp-7, -0x1.3c56a63d516dcp-7, -0x1.370ecbf0d1c54p-7, -0x1.31da3cafd4732p-7, -0x1.2cb8c1ae48109p-7, -0x1.27aa2465c674p-7, -0x1.22ae2e9793dap-7, -0x1.1dc4aa4e61d12p-7, -0x1.18ed61e015635p-7, -0x1.14281fef9056fp-7, -0x1.0f74af6e32ce4p-7, -0x1.0ad2db9d8916ep-7, -0x1.06427010b6585p-7, -0x1.01c338ade0ce5p-7, -0x1.faaa035f2b234p-8, -0x1.f1ef2f4c0841ap-8, -0x1.e9558ef09e51dp-8, -0x1.e0dcbccb50c74p-8, -0x1.d884540cfdca6p-8, -0x1.d04bf09af4ef7p-8, -0x1.c8332f110862dp-8, -0x1.c039acc37cdecp-8, -0x1.b85f07c09d957p-8, -0x1.b0a2ded28d78cp-8, -0x1.a904d180e6f71p-8, -0x1.a18480121872ap-8, -0x1.9a218b8ccc8b4p-8, -0x1.92db95b91ee57p-8, -0x1.8bb24121c837ep-8, -0x1.84a53115458fdp-8, -0x1.7db409a6c2c9p-8, -0x1.76de6faf10483p-8, -0x1.702408cd6babbp-8, -0x1.69847b684834fp-8, -0x1.62ff6eade6373p-8, -0x1.5c948a94da7b4p-8, -0x1.564377dc9cf4cp-8, -0x1.500be00de8759p-8, -0x1.49ed6d7b2994cp-8, -0x1.43e7cb40c2844p-8, -0x1.3dfaa54529bf4p-8, -0x1.3825a839256e2p-8, -0x1.32688197b259bp-8, -0x1.2cc2dfa63b164p-8, -0x1.273471746318bp-8, -0x1.21bce6dc0d781p-8, -0x1.1c5bf0811d989p-8, -0x1.17113fd143f0fp-8, -0x1.11dc8703a6c8cp-8, -0x1.0cbd7918a1c34p-8, -0x1.07b3c9d9453ccp-8, -0x1.02bf2dd70221dp-8, -0x1.fbbeb4d65efcp-9, -0x1.f2280b6d050fbp-9, -0x1.e8b9cd40cdbep-9, -0x1.df7369aced2fep-9, -0x1.d654519799b1bp-9, -0x1.cd5bf7708983cp-9, -0x1.c489cf2f7c7dfp-9, -0x1.bbdd4e52c8839p-9, -0x1.b355ebdde4d72p-9, -0x1.aaf320576ca23p-9, -0x1.a2b465c77d3fdp-9, -0x1.9a9937b5ec8eep-9, -0x1.92a1132822617p-9, -0x1.8acb769f7e18ep-9, -0x1.8317e21728c39p-9, -0x1.7b85d7022f499p-9, -0x1.7414d8491e7f7p-9, -0x1.6cc46a483fa9dp-9, -0x1.659412cd09c77p-9, -0x1.5e83591402e23p-9, -0x1.5791c5c67b181p-9, -0x1.50bee2f818eadp-9, -0x1.4a0a3c2485162p-9, -0x1.43735e2d41be2p-9, -0x1.3cf9d756e7ef5p-9, -0x1.369d3746cd42dp-9, -0x1.305d0f008e7ep-9, -0x1.2a38f0e33d4e7p-9, -0x1.243070a7079f1p-9, -0x1.1e43235abc065p-9, -0x1.18709f60c2972p-9, -0x1.12b87c6d0df58p-9, -0x1.0d1a5381eddfep-9, -0x1.0795beedac622p-9, -0x1.022a5a47ab3e7p-9, -0x1.f9af84db4e1c5p-10, -0x1.ef3b2b027abf4p-10, -0x1.e4f6e5c988a26p-10, -0x1.dae1f671eccddp-10, -0x1.d0fba0b3bcd33p-10, -0x1.c7432ab86337ap-10, -0x1.bdb7dd1512917p-10, -0x1.b45902c4bdec4p-10, -0x1.ab25e922fb5cdp-10, -0x1.a21ddfe6206cep-10, -0x1.994039196ae8ep-10, -0x1.908c4917e133ep-10, -0x1.880166865b8fp-10, -0x1.7f9eea4e06fa1p-10, -0x1.77642f9695e2fp-10, -0x1.6f5093c0b8e46p-10, -0x1.676376600406p-10, -0x1.5f9c3935f1f7p-10, -0x1.57fa402be5746p-10, -0x1.507cf14dab09p-10, -0x1.4923b4c3ad1e1p-10, -0x1.41edf4cdace6ap-10, -0x1.3adb1dbcdecbp-10, -0x1.33ea9dee3bbf6p-10, -0x1.2d1be5c5793c1p-10, -0x1.266e67a6b2d18p-10, -0x1.1fe197f1a6cefp-10, -0x1.1974ecfb9ee34p-10, -0x1.1327df0a5f137p-10, -0x1.0cf9e84e8373ep-10, -0x1.06ea84de3fd4bp-10, -0x1.00f932af69439p-10, -0x1.f64ae32591cp-11, -0x1.eadd865c055eap-11, -0x1.dfa955ed85ac7p-11, -0x1.d4ad5c5a9dff4p-11, -0x1.c9e8a7ae05ddcp-11, -0x1.bf5a4972fd7a3p-11, -0x1.b50156aa2836fp-11, -0x1.aadce7bfd5c39p-11, -0x1.a0ec18809e07ep-11, -0x1.972e081002bfdp-11, -0x1.8da1d8ddba23fp-11, -0x1.8446b09beaf6ep-11, -0x1.7b1bb834eebfdp-11, -0x1.72201bc1c8641p-11, -0x1.69530a7f46f43p-11, -0x1.60b3b6c586355p-11, -0x1.584155fca38b3p-11, -0x1.4ffb2094237bep-11, -0x1.47e051f92f8a4p-11, -0x1.3ff0288c2759dp-11, -0x1.3829e5987b4a8p-11, -0x1.308ccd49f63acp-11, -0x1.291826a4e5997p-11, -0x1.21cb3b7b5364ap-11, -0x1.1aa55864f21c4p-11, -0x1.13a5ccb63916bp-11, -0x1.0ccbea75df936p-11, -0x1.0617065540792p-11, -0x1.ff0cef4e77c9fp-12, -0x1.f23330ae5d228p-12, -0x1.e59f89c192211p-12, -0x1.d950b88d3de44p-12, -0x1.cd4580158be63p-12, -0x1.c17ca84b0e467p-12, -0x1.b5f4fdfa11ba9p-12, -0x1.aaad52bb2c4bap-12, -0x1.9fa47ce0849bp-12, -0x1.94d9576934cdfp-12, -0x1.8a4ac1eddfed9p-12, -0x1.7ff7a091f70a4p-12, -0x1.75dedbf55a3dcp-12, -0x1.6bff6121e9cc3p-12, -0x1.6258217f496fbp-12, -0x1.58e812c0ffc9bp-12, -0x1.4fae2ed8c36efp-12, -0x1.46a973e6fd08bp-12, -0x1.3dd8e42c389a8p-12, -0x1.353b85f9e87d1p-12, -0x1.2cd063a574f91p-12, -0x1.24968b7804686p-12, -0x1.1c8d0fa1ecfe3p-12, -0x1.14b3062bdf57ap-12, -0x1.0d0788e9874bfp-12, -0x1.0589b56a7f8b9p-12, -0x1.fc7159de9e8cp-13, -0x1.ee2728b36717fp-13, -0x1.e033283fe4ef8p-13, -0x1.d293b081b03c9p-13, -0x1.c547206bf1984p-13, -0x1.b84bddcd19aa8p-13, -0x1.aba055393f898p-13, -0x1.9f42f9ec68582p-13, -0x1.933245b4e124ep-13, -0x1.876cb8d97f71ep-13, -0x1.7bf0da0387c9p-13, -0x1.70bd3624264dfp-13, -0x1.65d06060364e9p-13, -0x1.5b28f1f5c3d6fp-13, -0x1.50c58a2843d87p-13, -0x1.46a4ce26a7a8bp-13, -0x1.3cc568f81ef7fp-13, -0x1.33260b653755dp-13, -0x1.29c56be05d2fbp-13, -0x1.20a24672e23b3p-13, -0x1.17bb5ca5f6405p-13, -0x1.0f0f756d1ce3fp-13, -0x1.069d5d144a658p-13, -0x1.fcc7ca52a3019p-14, -0x1.ecc3c8d038f65p-14, -0x1.dd2c6d4c98578p-14, -0x1.cdff798452953p-14, -0x1.bf3ab916fd34bp-14, -0x1.b0dc0165af5c4p-14, -0x1.a2e1316ae3d08p-14, -0x1.95483198905b5p-14, -0x1.880ef3ae47f34p-14, -0x1.7b33729a4f34ap-14, -0x1.6eb3b25206336p-14, -0x1.628dbfaf55d3cp-14, -0x1.56bfb05050fc8p-14, -0x1.4b47a270ad2a7p-14, -0x1.4023bccaa6febp-14, -0x1.35522e761325p-14, -0x1.2ad12ec4a3b2dp-14, -0x1.209efd2311577p-14, -0x1.16b9e0f889937p-14, -0x1.0d202987ce2f2p-14, -0x1.03d02dcf6689fp-14, -0x1.f59098d68243p-15, -0x1.e40dd6e57e854p-15, -0x1.d314f0c1932a7p-15, -0x1.c2a2cfe763f4bp-15, -0x1.b2b46c1be038fp-15, -0x1.a346cb34ce157p-15, -0x1.945700e4d77e8p-15, -0x1.85e22e7f9b058p-15, -0x1.77e582c0c7ecfp-15, -0x1.6a5e399a7acd6p-15, -0x1.5d499bfb3d653p-15, -0x1.50a4ff9ac206cp-15, -0x1.446dc6ca94dffp-15, -0x1.38a1603c0120ep-15, -0x1.2d3d46d1048edp-15, -0x1.223f01675af59p-15, -0x1.17a422a9d190dp-15, -0x1.0d6a48deccc32p-15, -0x1.038f1dbc2e1a4p-15, -0x1.f420ac693e444p-16, -0x1.e1d7648fb3a93p-16, -0x1.d03df9ad7f3aap-16, -0x1.bf5016f225522p-16, -0x1.af097c98b122dp-16, -0x1.9f65ff93ec0f5p-16, -0x1.90618938f763ap-16, -0x1.81f816e863d4dp-16, -0x1.7425b9c57460dp-16, -0x1.66e69651957f5p-16, -0x1.5a36e42355115p-16, -0x1.4e12ed96d6e76p-16, -0x1.42770f8226a16p-16, -0x1.375fb8e3c236ep-16, -0x1.2cc96a8dafa18p-16, -0x1.22b0b6edbe937p-16, -0x1.191241b4866a5p-16, -0x1.0feabf8b77893p-16, -0x1.0736f5d33b1e6p-16, -0x1.fde774b5ac9e1p-17, -0x1.ee3be6300f1dfp-17, -0x1.df652bc3e891p-17, -0x1.d15d505eb95afp-17, -0x1.c41e7da775aap-17, -0x1.b7a2fb7836761p-17, -0x1.abe52f5a47c9ap-17, -0x1.a0df9c062666dp-17, -0x1.968ce0e578b6ap-17, -0x1.8ce7b9a4c24bcp-17, -0x1.83eafdaeb5603p-17, -0x1.7b919fa7eaa58p-17, -0x1.73d6ad0567d9p-17, -0x1.6cb54d96cb036p-17, -0x1.6628c31ee6472p-17, -0x1.602c68c9a9dc7p-17, -0x1.5abbb2c3c3abep-17, -0x1.55d22dd8bc8e8p-17, -0x1.516b7f009cbeap-17, -0x1.4d8362f0dbca7p-17, -0x1.4a15adbd23503p-17, }}, 
      {{-0x1.dc5059870ee3cp-9, -0x1.d56b016bde5a6p-9, -0x1.c9d0aa1973cebp-9, -0x1.b959433343dfap-9, -0x1.a3d0547a673eap-9, -0x1.88f7b947d136ep-9, -0x1.688a65db12c27p-9, -0x1.423f0da310eep-9, -0x1.15ca93b92123ap-9, -0x1.c5c4740f60635p-10, -0x1.527b145494f4dp-10, -0x1.a25fdba58e781p-11, -0x1.0591bc8625e0ep-12, 0x1.75650032a66c1p-12, 0x1.0b6c8d5461843p-10, 0x1.c9293e943e16fp-10, 0x1.4b694f1045554p-9, 0x1.ba4d82094edc3p-9, 0x1.18a8ec10059b3p-8, 0x1.583f3a20bdb5fp-8, 0x1.9be993e24c1d6p-8, 0x1.e3a3da4e1cc4ep-8, 0x1.17b3085862cddp-7, 0x1.3f9246b6ee0b3p-7, 0x1.696817d199df3p-7, 0x1.952b4c0b9eb2p-7, 0x1.c2d132133c566p-7, 0x1.f24db4d145897p-7, 0x1.11c9bcb3a979p-6, 0x1.2b49fe74cbcb6p-6, 0x1.459fd8caa44fep-6, 0x1.60c30daa1414p-6, 0x1.7caaf5b5192d6p-6, 0x1.994e8d99ffe1cp-6, 0x1.b6a482f1c7d47p-6, 0x1.d4a340976b71ap-6, 0x1.f340fa734e8d3p-6, 0x1.0939dc5bf5253p-5, 0x1.1918b146bf915p-5, 0x1.2937e415c88a4p-5, 0x1.3992562faf8d7p-5, 0x1.4a22e6bfa7701p-5, 0x1.5ae476e5b7efbp-5, 0x1.6bd1ed9e09fcfp-5, 0x1.7ce63b5fc79e6p-5, 0x1.8e1c5d748d742p-5, 0x1.9f6f610984de7p-5, 0x1.b0da65fb95672p-5, 0x1.c258a16056ce4p-5, 0x1.d3e55fcdaee6cp-5, 0x1.e57c07623dacfp-5, 0x1.f71819910004ep-5, 0x1.045a9a595355ap-4, 0x1.0d278aafb5cb5p-4, 0x1.15f0cbca18039p-4, 0x1.1eb45bd2f8019p-4, 0x1.277049833dbedp-4, 0x1.3022b46ecfe69p-4, 0x1.38c9cd3ce880bp-4, 0x1.4163d5cdb55e4p-4, 0x1.49ef214ec85e8p-4, 0x1.526a143fd6e06p-4, 0x1.5ad324693e09bp-4, 0x1.6328d8c5ab34fp-4, 0x1.6b69c96043167p-4, 0x1.73949f2894ca9p-4, 0x1.7ba813bd7fd3ap-4, 0x1.83a2f1303d03fp-4, 0x1.8b8411c090a2bp-4, 0x1.934a5f932972bp-4, 0x1.9af4d4630acd3p-4, 0x1.a282792ee3dfp-4, 0x1.a9f265e30afddp-4, 0x1.b143c100d6272p-4, 0x1.b875bf43e5ab2p-4, 0x1.bf87a34602547p-4, 0x1.c678bd21eca4dp-4, 0x1.cd486a15a9e2cp-4, 0x1.d3f61424afbb2p-4, 0x1.da8131ba21793p-4, 0x1.e0e9454b9130bp-4, 0x1.e72ddcfc69ca1p-4, 0x1.ed4e92423a3c7p-4, 0x1.f34b098a0fb3bp-4, 0x1.f922f1defc898p-4, 0x1.fed60491f80d8p-4, 0x1.0232027183a2fp-3, 0x1.04e65fd5fb65ap-3, 0x1.078805863a3dbp-3, 0x1.0a16e30be26a7p-3, 0x1.0c92ec41f6a36p-3, 0x1.0efc192d3ed6cp-3, 0x1.115265d5659f8p-3, 0x1.1395d21ee1cd3p-3, 0x1.15c661a59fad6p-3, 0x1.17e41b985ea64p-3, 0x1.19ef0a94d8406p-3, 0x1.1be73c84963a3p-3, 0x1.1dccc27a7b2c4p-3, 0x1.1f9fb090ff7e2p-3, 0x1.21601dc91c861p-3, 0x1.230e23e9dde6bp-3, 0x1.24a9df609aeeep-3, 0x1.26336f21d3949p-3, 0x1.27aaf48ab1ec9p-3, 0x1.2910934322edp-3, 0x1.2a64712092cbbp-3, 0x1.2ba6b6093e033p-3, 0x1.2cd78bd8226fbp-3, 0x1.2df71e4180ac5p-3, 0x1.2f059ab7f921dp-3, 0x1.300330523b197p-3, 0x1.30f00fb14dbd9p-3, 0x1.31cc6ae7687b3p-3, 0x1.3298755f62ae7p-3, 0x1.335463c4b714bp-3, 0x1.34006bec1cc83p-3, 0x1.349cc4bcb07c6p-3, 0x1.3529a619b5e6ep-3, 0x1.35a748ccedcf8p-3, 0x1.3615e6717fe7p-3, 0x1.3675b95f78638p-3, 0x1.36c6fc97dce86p-3, 0x1.3709ebb157d77p-3, 0x1.373ec2c574c52p-3, 0x1.3765be5e77bc9p-3, 0x1.377f1b65c92a4p-3, 0x1.378b1712f2096p-3, 0x1.3789eedb32dfep-3, 0x1.377be061af623p-3, 0x1.3761296828969p-3, 0x1.373a07c050e66p-3, 0x1.3706b93db1522p-3, 0x1.36c77ba81c43ep-3, 0x1.367c8caeb7ac4p-3, 0x1.362629db90579p-3, 0x1.35c49087c0282p-3, 0x1.3557fdd01ae5p-3, 0x1.34e0ae8a7172bp-3, 0x1.345edf3b4bcabp-3, 0x1.33d2cc0c3b1fcp-3, 0x1.333cb0c2aaabep-3, 0x1.329cc8b72ac1cp-3, 0x1.31f34ecd4d01fp-3, 0x1.31407d6beda19p-3, 0x1.30848e760345ap-3, 0x1.2fbfbb43e2198p-3, 0x1.2ef23c9cf4c2ap-3, 0x1.2e1c4ab1ea51ep-3, 0x1.2d3e1d1754cbdp-3, 0x1.2c57eac0acd85p-3, 0x1.2b69e9fbca6f4p-3, 0x1.2a74506cbf28dp-3, 0x1.2977530a114e5p-3, 0x1.2873261957ae3p-3, 0x1.2767fd2c3a96bp-3, 0x1.26560b1dc5bd8p-3, 0x1.253d8210121dbp-3, 0x1.241e936a46e9bp-3, 0x1.22f96fd6e704ap-3, 0x1.21ce47426e86dp-3, 0x1.209d48da36a0ap-3, 0x1.1f66a30b9efa5p-3, 0x1.1e2a838380167p-3, 0x1.1ce9172dd7c18p-3, 0x1.1ba28a35b5b7ep-3, 0x1.1a5708055c32p-3, 0x1.1906bb46a349p-3, 0x1.17b1cde3806cfp-3, 0x1.16586906ce109p-3, 0x1.14fab51d32ff6p-3, 0x1.1398d9d6411eap-3, 0x1.1232fe25b3d86p-3, 0x1.10c94844d6fccp-3, 0x1.0f5bddb413767p-3, 0x1.0deae33c99e6cp-3, 0x1.0c767cf228866p-3, 0x1.0afece34f435dp-3, 0x1.0983f9b3a1626p-3, 0x1.0806216d5e58ap-3, 0x1.068566b408243p-3, 0x1.0501ea2e6d58dp-3, 0x1.037bcbda96216p-3, 0x1.01f32b1024f0bp-3, 0x1.00682682bf1c9p-3, 0x1.fdb5b8890717bp-4, 0x1.fa96d3910f19dp-4, 0x1.f773d7cabc73ap-4, 0x1.f44cfdaf4f8f5p-4, 0x1.f1227c8948b47p-4, 0x1.edf48a7991347p-4, 0x1.eac35c7cb46c3p-4, 0x1.e78f2670056b6p-4, 0x1.e4581b16e446fp-4, 0x1.e11e6c1fe3c08p-4, 0x1.dde24a29fd00ep-4, 0x1.daa3e4c9b1badp-4, 0x1.d7636a8e33956p-4, 0x1.d421090671321p-4, 0x1.d0dcecc623339p-4, 0x1.cd97416accf4p-4, 0x1.ca5031a0a81e6p-4, 0x1.c707e72782358p-4, 0x1.c3be8ad793117p-4, 0x1.c07444a63abbfp-4, 0x1.bd293baaa4e96p-4, 0x1.b9dd96226c71bp-4, 0x1.b691797618156p-4, 0x1.b3450a3d8cb48p-4, 0x1.aff86c4468a6fp-4, 0x1.acabc28e4f3f3p-4, 0x1.a95f2f5b0852ap-4, 0x1.a612d42aadd3fp-4, 0x1.a2c6d1c19a198p-4, 0x1.9f7b482c6435cp-4, 0x1.9c3056c3a94bcp-4, 0x1.98e61c2fcc09ap-4, 0x1.959cb66c9ce9bp-4, 0x1.925442cce8f24p-4, 0x1.8f0cddfdef4ccp-4, 0x1.8bc6a40ac3559p-4, 0x1.8881b05f9692dp-4, 0x1.853e1dcced612p-4, 0x1.81fc068ab996ep-4, 0x1.7ebb843b62558p-4, 0x1.7b7cafeeb5282p-4, 0x1.783fa224c1529p-4, 0x1.750472d09d7c2p-4, 0x1.71cb395b18991p-4, 0x1.6e940ca557a63p-4, 0x1.6b5f030b5d94ap-4, 0x1.682c326680e9bp-4, 0x1.64fbb00fcd508p-4, 0x1.61cd90e253672p-4, 0x1.5ea1e93d6612ep-4, 0x1.5b78cd06c36c9p-4, 0x1.58524facb020ap-4, 0x1.552e84280056fp-4, 0x1.520d7cfe0f5ccp-4, 0x1.4eef4c42a968ep-4, 0x1.4bd40399e4227p-4, 0x1.48bbb439e99bfp-4, 0x1.45a66eecb53aep-4, 0x1.42944411c2065p-4, 0x1.3f85439faae18p-4, 0x1.3c797d25bf2b2p-4, 0x1.3970ffcd8b387p-4, 0x1.366bda5c51826p-4, 0x1.336a1b347f12dp-4, 0x1.306bd0570f686p-4, 0x1.2d710764e7077p-4, 0x1.2a79cda025f34p-4, 0x1.27862fed6f992p-4, 0x1.24963ad528b47p-4, 0x1.21a9fa84adfc4p-4, 0x1.1ec17acf80c9ap-4, 0x1.1bdcc7306d0f3p-4, 0x1.18fbeacaa8a07p-4, 0x1.161ef06aea8f4p-4, 0x1.1345e2887b527p-4, 0x1.1070cb4640e09p-4, 0x1.0d9fb473c1d22p-4, 0x1.0ad2a78e252b9p-4, 0x1.0809adc12bd2dp-4, 0x1.0544cfe82625p-4, 0x1.0284168ee3befp-4, 0x1.ff8f13e53ecc4p-5, 0x1.fa1e6405d0f78p-5, 0x1.f4b62cc50bd9cp-5, 0x1.ef567cd0af758p-5, 0x1.e9ff62406b64ap-5, 0x1.e4b0ea97942fep-5, 0x1.df6b22c6d0e9p-5, 0x1.da2e172dc9786p-5, 0x1.d4f9d39ccb117p-5, 0x1.cfce63566f1dp-5, 0x1.caabd111362d4p-5, 0x1.c59226f92676fp-5, 0x1.c0816eb162e63p-5, 0x1.bb79b155c28e5p-5, 0x1.b67af77c65484p-5, 0x1.b185493743bebp-5, 0x1.ac98ae15c02dcp-5, 0x1.a7b52d263452ep-5, 0x1.a2daccf77d3f5p-5, 0x1.9e09939a88edep-5, 0x1.994186a3e0ad6p-5, 0x1.9482ab2d33e57p-5, 0x1.8fcd05d6df56ep-5, 0x1.8b209ac97839fp-5, 0x1.867d6db7564f9p-5, 0x1.81e381de18aa8p-5, 0x1.7d52da083236ap-5, 0x1.78cb788e71531p-5, 0x1.744d5f5986b83p-5, 0x1.6fd88fe38ed3ep-5, 0x1.6b6d0b399f054p-5, 0x1.670ad1fd47ef4p-5, 0x1.62b1e46625deep-5, 0x1.5e62424365949p-5, 0x1.5a1beafd52e7dp-5, 0x1.55dedd96e223dp-5, 0x1.51ab18af3963bp-5, 0x1.4d809a833edcp-5, 0x1.495f60ef22ebbp-5, 0x1.4547696fee0b4p-5, 0x1.4138b1250a833p-5, 0x1.3d3334d1d25bbp-5, 0x1.3936f0df1f0e6p-5, 0x1.3543e15cd012p-5, 0x1.315a02035ca8ep-5, 0x1.2d794e3560c21p-5, 0x1.29a1c10129805p-5, 0x1.25d355223fff3p-5, 0x1.220e0502f79c2p-5, 0x1.1e51cabdfb322p-5, 0x1.1a9ea01fd8ec8p-5, 0x1.16f47ea88c578p-5, 0x1.13535f8d0a339p-5, 0x1.0fbb3bb8ca858p-5, 0x1.0c2c0bcf535bdp-5, 0x1.08a5c82dbdf1cp-5, 0x1.052868ec449f4p-5, 0x1.01b3e5dfc3c35p-5, 0x1.fc906d368912p-6, 0x1.f5caa4e2f987cp-6, 0x1.ef1660ecaa43bp-6, 0x1.e8738f00d6fcbp-6, 0x1.e1e21c5522accp-6, 0x1.db61f5aa9acf2p-6, 0x1.d4f30750a8525p-6, 0x1.ce953d280c808p-6, 0x1.c84882a5d0896p-6, 0x1.c20cc2d635c02p-6, 0x1.bbe1e85fa3bcdp-6, 0x1.b5c7dd8584323p-6, 0x1.afbe8c2b2fa6cp-6, 0x1.a9c5ddd6bebcbp-6, 0x1.a3ddbbb3eba85p-6, 0x1.9e060e96e15b9p-6, 0x1.983ebeff06781p-6, 0x1.9287b519c841ap-6, 0x1.8ce0d8c55bb65p-6, 0x1.874a119379b9ep-6, 0x1.81c346cc13835p-6, 0x1.7c4c5f700385fp-6, 0x1.76e5423bb96d3p-6, 0x1.718dd5a9de5b2p-6, 0x1.6c45fff5ede48p-6, 0x1.670da71eccf05p-6, 0x1.61e4b0e95af65p-6, 0x1.5ccb02e2f8af5p-6, 0x1.57c082640d5d5p-6, 0x1.52c514927be41p-6, 0x1.4dd89e641679bp-6, 0x1.48fb04a10d69fp-6, 0x1.442c2be64cf65p-6, 0x1.3f6bf8a7deba9p-6, 0x1.3aba4f333ae26p-6, 0x1.361713b19741ep-6, 0x1.31822a2a2be0fp-6, 0x1.2cfb76846c433p-6, 0x1.2882dc8a3de03p-6, 0x1.24183fea29ae5p-6, 0x1.1fbb843978914p-6, 0x1.1b6c8cf6534d7p-6, 0x1.172b3d89d7ecep-6, 0x1.12f7794a232e6p-6, 0x1.0ed1237c54528p-6, 0x1.0ab81f56892bep-6, 0x1.06ac5001ce38bp-6, 0x1.02ad989c0866dp-6, 0x1.fd77b873b3d6p-7, 0x1.f5adfbd0ef39fp-7, 0x1.edfdc15efe0f2p-7, 0x1.e666cf256d51p-7, 0x1.dee8eb27a3699p-7, 0x1.d783db68475bap-7, 0x1.d03765ecad8e5p-7, 0x1.c90350c011eep-7, 0x1.c1e761f6dbe74p-7, 0x1.bae35fb1c203ap-7, 0x1.b3f71020e7e4ap-7, 0x1.ad223986e722bp-7, 0x1.a664a23bc1a7cp-7, 0x1.9fbe10afc8c7p-7, 0x1.992e4b6e7371cp-7, 0x1.92b5192123886p-7, 0x1.8c524091de81p-7, 0x1.860588adeb506p-7, 0x1.7fceb88867e17p-7, 0x1.79ad975ccad88p-7, 0x1.73a1ec9154735p-7, 0x1.6dab7fb9785fp-7, 0x1.67ca18983272dp-7, 0x1.61fd7f223c734p-7, 0x1.5c457b804f18bp-7, 0x1.56a1d611414e2p-7, 0x1.5112576c195dap-7, 0x1.4b96c86212da7p-7, 0x1.462ef2009c60ep-7, 0x1.40da9d933684dp-7, 0x1.3b9994a54fa6cp-7, 0x1.366ba10409449p-7, 0x1.31508cbffc062p-7, 0x1.2c48222ed996cp-7, 0x1.27522bed114f5p-7, 0x1.226e74df596e8p-7, 0x1.1d9cc8343c8a7p-7, 0x1.18dcf1658583p-7, 0x1.142ebc39a9e7fp-7, 0x1.0f91f4c523579p-7, 0x1.0b06676bbd774p-7, 0x1.068be0e1cdd3p-7, 0x1.02222e2d6f42p-7, 0x1.fb92394f43237p-8, 0x1.f300f3fad4a18p-8, 0x1.ea902861b6916p-8, 0x1.e23f73342e8ecp-8, 0x1.da0e71d08a595p-8, 0x1.d1fcc244f4c4cp-8, 0x1.ca0a03512daafp-8, 0x1.c235d4683893ap-8, 0x1.ba7fd5b1d59ap-8, 0x1.b2e7a80c162f3p-8, 0x1.ab6ced0cb480cp-8, 0x1.a40f47025d5c1p-8, 0x1.9cce58f5f1581p-8, 0x1.95a9c6ab9f26fp-8, 0x1.8ea134a3fde7fp-8, 0x1.87b4481d00a17p-8, 0x1.80e2a712e268cp-8, 0x1.7a2bf8410e9a1p-8, 0x1.738fe322d394fp-8, 0x1.6d0e0ff41650ep-8, 0x1.66a627b1fd388p-8, 0x1.6057d41b6f635p-8, 0x1.5a22bfb19e3a3p-8, 0x1.540695b86963bp-8, 0x1.4e030236c6e92p-8, 0x1.4817b1f709055p-8, 0x1.4244528724828p-8, 0x1.3c889238d98b3p-8, 0x1.36e42021d17fbp-8, 0x1.3156ac1bac315p-8, 0x1.2bdfe6c409742p-8, 0x1.267f817c7913ap-8, 0x1.21352e6a668ecp-8, 0x1.1c00a076f1f7ap-8, 0x1.16e18b4ec332bp-8, 0x1.11d7a361c668ap-8, 0x1.0ce29de2ddc69p-8, 0x1.080230c78e74fp-8, 0x1.033612c79b8aep-8, 0x1.fcfbf6b93750ap-9, 0x1.f3b34582f7695p-9, 0x1.ea9183e403c9cp-9, 0x1.e1962554774b9p-9, 0x1.d8c09ecbef413p-9, 0x1.d01066c01b4a9p-9, 0x1.c784f5237eb3fp-9, 0x1.bf1dc3640dcd1p-9, 0x1.b6da4c69b66ccp-9, 0x1.aeba0c94c4fcap-9, 0x1.a6bc81bc5c18ap-9, 0x1.9ee12b2cd369fp-9, 0x1.972789a5f039dp-9, 0x1.8f8f1f5932483p-9, 0x1.88176fe7fa5b3p-9, 0x1.80c0006194a87p-9, 0x1.798857415c934p-9, 0x1.726ffc6cb7e37p-9, 0x1.6b7679310f2a9p-9, 0x1.649b5841c088ap-9, 0x1.5dde25b5f91b8p-9, 0x1.573e6f068f8e4p-9, 0x1.50bbc30bd0962p-9, 0x1.4a55b1fb4e3fap-9, 0x1.440bcd657ff24p-9, 0x1.3ddda83377483p-9, 0x1.37cad6a49c37dp-9, 0x1.31d2ee4c38d31p-9, 0x1.2bf5860f0f28fp-9, 0x1.26323620e9861p-9, 0x1.2088980231762p-9, 0x1.1af8467d6c507p-9, 0x1.1580dda4bf15dp-9, 0x1.1021facf5e0a2p-9, 0x1.0adb3c96f2bbfp-9, 0x1.05ac42d515c0ap-9, 0x1.0094aea0b6fc4p-9, 0x1.f72844970cf3dp-10, 0x1.ed5482be6977ep-10, 0x1.e3ad6135e4316p-10, 0x1.da322be172591p-10, 0x1.d0e2310535f9p-10, 0x1.c7bcc140457acp-10, 0x1.bec12f8755f02p-10, 0x1.b5eed11f19ec5p-10, 0x1.ad44fd9717b55p-10, 0x1.a4c30ec3f4f94p-10, 0x1.9c6860ba50605p-10, 0x1.943451c91403fp-10, 0x1.8c2642742af8fp-10, 0x1.843d956f1874bp-10, 0x1.7c79af975585ep-10, 0x1.74d9f7eefb5ccp-10, 0x1.6d5dd7973c0a2p-10, 0x1.6604b9cb09669p-10, 0x1.5ece0bd97aad8p-10, 0x1.57b93d2075a52p-10, 0x1.50c5bf07275d1p-10, 0x1.49f304f89eb38p-10, 0x1.4340845e6c7bcp-10, 0x1.3cadb49b2c002p-10, 0x1.363a0f051484fp-10, 0x1.2fe50ee0b474fp-10, 0x1.29ae315b73216p-10, 0x1.2394f5865f11fp-10, 0x1.1d98dc50927f2p-10, 0x1.17b968820f24dp-10, 0x1.11f61eb68b71fp-10, 0x1.0c4e8557e485cp-10, 0x1.06c224991627ep-10, 0x1.01508670f74ebp-10, 0x1.f7f26d29e88fp-11, 0x1.ed7784e78a506p-11, 0x1.e32f726133d16p-11, 0x1.d919573b2642dp-11, 0x1.cf34586e15b52p-11, 0x1.c57f9e3c62ddfp-11, 0x1.bbfa54283bacp-11, 0x1.b2a3a8e9a8f1dp-11, 0x1.a97ace6448f83p-11, 0x1.a07ef99ddb423p-11, 0x1.97af62b41e40fp-11, 0x1.8f0b44d2f635ep-11, 0x1.8691de2ae60cap-11, 0x1.7e426fe75430ap-11, 0x1.761c3e24e0b8ep-11, 0x1.6e1e8fe80c31ep-11, 0x1.6648af139692p-11, 0x1.5e99e85f5e87ep-11, 0x1.57118b4eb9742p-11, 0x1.4faeea279dedap-11, 0x1.487159e918c74p-11, 0x1.415832428af2p-11, 0x1.3a62cd8a6d8c6p-11, 0x1.339088b58b43ap-11, 0x1.2ce0c34e1620bp-11, 0x1.2652df6ad7742p-11, 0x1.1fe641a694001p-11, 0x1.199a51172b00ap-11, 0x1.136e77454a801p-11, 0x1.0d622023ca44ap-11, 0x1.0774ba0793ef7p-11, 0x1.01a5b59ec88ccp-11, 0x1.f7e90bd25b1aap-12, 0x1.ecc1405ed05cfp-12, 0x1.e1d2f7f68fffep-12, 0x1.d71d261f4c00fp-12, 0x1.cc9ec2c0bc994p-12, 0x1.c256ca153ebe5p-12, 0x1.b8443c9a7f3f1p-12, 0x1.ae661f0166062p-12, 0x1.a4bb7a1f98efdp-12, 0x1.9b435adf9e715p-12, 0x1.91fcd232f2598p-12, 0x1.88e6f5023c49p-12, 0x1.8000dc1ff7b71p-12, 0x1.7749a438bdc7bp-12, 0x1.6ec06dc5d9f2fp-12, 0x1.66645cfeccdadp-12, 0x1.5e3499cb8a7aap-12, 0x1.56304fb64ef3fp-12, 0x1.4e56adde79048p-12, 0x1.46a6e6eab7fefp-12, 0x1.3f2030fbf09c7p-12, 0x1.37c1c59faa024p-12, 0x1.308ae1c335adep-12, 0x1.297ac5a71a087p-12, 0x1.2290b4d20360ap-12, 0x1.1bcbf6041d614p-12, 0x1.152bd32ad503p-12, 0x1.0eaf9954a466ep-12, 0x1.085698a4b21a7p-12, 0x1.0220244718cbbp-12, 0x1.f81724ca236d8p-13, 0x1.ec30783194d1p-13, 0x1.e08afac4c0481p-13, 0x1.d5256a37f7cdbp-13, 0x1.c9fe89de7afd5p-13, 0x1.bf152292ab812p-13, 0x1.b46802a191faep-13, 0x1.a9f5fdb46d392p-13, 0x1.9fbdecbaf8454p-13, 0x1.95beadd6ed7f2p-13, 0x1.8bf72446d92e1p-13, 0x1.82663851ab05dp-13, 0x1.790ad732664b9p-13, 0x1.6fe3f30447128p-13, 0x1.66f082ae742ep-13, 0x1.5e2f81d14af75p-13, 0x1.559ff0b1e2694p-13, 0x1.4d40d42811591p-13, 0x1.4511358b98e8ap-13, 0x1.3d1022a111b8fp-13, 0x1.353cad88c79b5p-13, 0x1.2d95ecab7707p-13, 0x1.261afaa9a34a3p-13, 0x1.1ecaf6497439fp-13, 0x1.17a50265af9d5p-13, 0x1.10a845dcb464dp-13, 0x1.09d3eb7f75e23p-13, 0x1.03272201956ep-13, 0x1.f94237d111b6ap-14, 0x1.ec821ef77a3e8p-14, 0x1.e00c6d69cc02ep-14, 0x1.d3df9e5f5589ep-14, 0x1.c7fa3435be444p-14, 0x1.bc5ab85323d69p-14, 0x1.b0ffbb06cf17fp-14, 0x1.a5e7d36cec16p-14, 0x1.9b119f50f4d3dp-14, 0x1.907bc3118452ap-14, 0x1.8624e98380a18p-14, 0x1.7c0bc3d636db7p-14, 0x1.722f09793361cp-14, 0x1.688d7800156f5p-14, 0x1.5f25d3080a5ecp-14, 0x1.55f6e41e4c87p-14, 0x1.4cff7aa60c086p-14, 0x1.443e6bbf15d54p-14, 0x1.3bb2922c4acf8p-14, 0x1.335ace3b85d9ep-14, 0x1.2b3605ade473ep-14, 0x1.2343239eb2648p-14, 0x1.1b81186bec859p-14, 0x1.13eed9a02b7c5p-14, 0x1.0c8b61db2d011p-14, 0x1.0555b0baeeb4cp-14, 0x1.fc99958e14a71p-15, 0x1.eedf72b23c65bp-15, 0x1.e17b151103ce4p-15, 0x1.d46aa2293b962p-15, 0x1.c7ac48a0a62bcp-15, 0x1.bb3e401b7d781p-15, 0x1.af1ec912a81e8p-15, 0x1.a34c2cada136bp-15, 0x1.97c4bc9b62617p-15, 0x1.8c86d2eb6a542p-15, 0x1.8190d1e7aab2ep-15, 0x1.76e123f0051cap-15, 0x1.6c763b55fb04ep-15, 0x1.624e92369a1c7p-15, 0x1.5868aa58fa94ep-15, 0x1.4ec30d0c15233p-15, 0x1.455c4b02a7732p-15, 0x1.3c32fc3292e0bp-15, 0x1.3345bfb2242a3p-15, 0x1.2a933b98d9ba8p-15, 0x1.221a1cdf2b3a9p-15, 0x1.19d9173e28c81p-15, 0x1.11cee51048d12p-15, 0x1.09fa4732f1491p-15, 0x1.025a04e99d64dp-15, 0x1.f5d9d77d1bd64p-16, 0x1.e7639eccec19ep-16, 0x1.d94f13492735cp-16, 0x1.cb99f45807f8bp-16, 0x1.be420d0cd6142p-16, 0x1.b14533f0a75dbp-16, 0x1.a4a14accfe15ep-16, 0x1.98543e748f352p-16, 0x1.8c5c06902299bp-16, 0x1.80b6a56d8927cp-16, 0x1.756227ccb97ebp-16, 0x1.6a5ca4aebc02ap-16, 0x1.5fa43d257870bp-16, 0x1.55371c1fd436cp-16, 0x1.4b13764103f81p-16, 0x1.413789af95dap-16, 0x1.37a19de6e04f3p-16, 0x1.2e50038db7f65p-16, 0x1.25411447b2706p-16, 0x1.1c73328dee97fp-16, 0x1.13e4c97eb9025p-16, 0x1.0b944cbba8fc2p-16, 0x1.0380383c3c878p-16, 0x1.f74e204913d01p-17, 0x1.e80ec13f326d5p-17, 0x1.d93f7b72fd17bp-17, 0x1.cadd866f9a5f1p-17, 0x1.bce628ebee89ep-17, 0x1.af56b87dec35cp-17, 0x1.a22c9953523e1p-17, 0x1.95653de814fefp-17, 0x1.88fe26c4d3009p-17, 0x1.7cf4e23820192p-17, 0x1.71470c102fac4p-17, 0x1.65f24d5ecac8ap-17, 0x1.5af45c32407edp-17, 0x1.504afb59ae244p-17, 0x1.45f3fa250510fp-17, 0x1.3bed342839b6ep-17, 0x1.323490fca38a1p-17, 0x1.28c804053f111p-17, 0x1.1fa58c3645b2p-17, 0x1.16cb33db2ac5bp-17, 0x1.0e37105c22c7ep-17, 0x1.05e742079804fp-17, 0x1.fbb3e7c140104p-18, 0x1.ec1ab6c3fceaap-18, 0x1.dcff7098d6ad7p-18, 0x1.ce5ea8e9cff32p-18, 0x1.c035072086b7fp-18, 0x1.b27f460371ef5p-18, 0x1.a53a3351bc939p-18, 0x1.9862af62cc0d6p-18, 0x1.8bf5acd0e7c34p-18, 0x1.7ff03012b9c27p-18, 0x1.744f4f2277101p-18, 0x1.6910312888a9ep-18, 0x1.5e300e24e2b87p-18, 0x1.53ac2e90fa679p-18, 0x1.4981eb129f7d8p-18, 0x1.3faeac24b9a2ep-18, 0x1.362fe9c5a88c3p-18, 0x1.2d032b2a81016p-18, 0x1.24260671047cp-18, 0x1.1b96204d16b21p-18, 0x1.13512bc0c6302p-18, 0x1.0b54e9d3ea052p-18, 0x1.039f29481e2bcp-18, 0x1.f85b8ca1f51a1p-19, 0x1.e9fd549f84aaep-19, 0x1.dc1f971703c6dp-19, 0x1.cebe59e22705cp-19, 0x1.c1d5bb99609f7p-19, 0x1.b561f31aba40ep-19, 0x1.a95f4f029d285p-19, 0x1.9dca3533df3cp-19, 0x1.929f225297265p-19, 0x1.87daa950c570ap-19, 0x1.7d797307332fbp-19, 0x1.73783d9f45d9p-19, 0x1.69d3dc342d12cp-19, 0x1.60893666e5603p-19, 0x1.579547f1f3e5fp-19, 0x1.4ef5202d28c47p-19, 0x1.46a5e1b035c61p-19, 0x1.3ea4c1e25752p-19, 0x1.36ef089316d99p-19, 0x1.2f820fa69aae8p-19, 0x1.285b42a75af6ap-19, 0x1.21781e66e1f54p-19, 0x1.1ad6309832226p-19, 0x1.14731779a23ccp-19, 0x1.0e4c81806518p-19, 0x1.08602cf6f4aeep-19, 0x1.02abe7a5b5c4bp-19, 0x1.fa5b1cf5f1ecp-20, 0x1.efc61a72c0b91p-20, 0x1.e594bc6859af2p-20, 0x1.dbc313c0d5e8dp-20, 0x1.d24d4d3170ab9p-20, 0x1.c92fb090530b5p-20, 0x1.c066a0483a44bp-20, 0x1.b7ee98d1b041fp-20, 0x1.afc42ffb27839p-20, 0x1.a7e41458187dp-20, 0x1.a04b0cbe1ac3ep-20, 0x1.98f5f7d78f95ep-20, 0x1.91e1cb8a80362p-20, 0x1.8b0b944ed1537p-20, 0x1.847074d4d32a3p-20, 0x1.7e0da57081abfp-20, 0x1.77e073afa477dp-20, 0x1.71e641c9046cbp-20, 0x1.6c1c862a603b8p-20, 0x1.6680cb0612921p-20, 0x1.6110addacb08ap-20, 0x1.5bc9df0b23a54p-20, 0x1.56aa215feb5c7p-20, 0x1.51af49a46f3b8p-20, 0x1.4cd73e308c016p-20, 0x1.481ff67e6aefdp-20, 0x1.43877ad865badp-20, 0x1.3f0be3f3f820dp-20, 0x1.3aab5a789b7b2p-20, 0x1.3664169b67947p-20, 0x1.32345fd0651f5p-20, 0x1.2e1a8c70abb3dp-20, 0x1.2a150161c98a5p-20, 0x1.262231a101fddp-20, 0x1.22409dfc1d51p-20, 0x1.1e6ed4beee13bp-20, 0x1.1aab71660c762p-20, 0x1.16f51c342593p-20, 0x1.134a89fae9831p-20, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.d0765fa7d2787p-9, -0x1.d0986e9eeb5cdp-8, -0x1.5ca49f1297998p-7, -0x1.d14adf2119f82p-7, -0x1.23373674c28fp-6, -0x1.5e24181d8bf9bp-6, -0x1.998bc98f9926dp-6, -0x1.d58f9f95379c4p-6, -0x1.09287b118d581p-5, -0x1.27f7ddef06672p-5, -0x1.474497cf6723fp-5, -0x1.671b6b00886dep-5, -0x1.8786d43face3bp-5, -0x1.a88ebe69dec2ep-5, -0x1.ca3850bc4a8b2p-5, -0x1.ec85d5681d4b7p-5, -0x1.07bb5ae1d5a4dp-4, -0x1.1983c489acedfp-4, -0x1.2b99195ebca13p-4, -0x1.3df7065d7579fp-4, -0x1.50980d9b15623p-4, -0x1.6375a342aef63p-4, -0x1.76884c7d4b3c6p-4, -0x1.89c7bf301727cp-4, -0x1.9d2b01ab6d8abp-4, -0x1.b0a88994f99f7p-4, -0x1.c4365983ba10dp-4, -0x1.d7ca1ced04767p-4, -0x1.eb5942243a405p-4, -0x1.fed9124be510ap-4, -0x1.091f639707427p-3, -0x1.12bfcf817d63bp-3, -0x1.1c48771d237eep-3, -0x1.25b417b13a999p-3, -0x1.2efd88a80376ap-3, -0x1.381fc1d37609cp-3, -0x1.4115e0f49be3cp-3, -0x1.49db2e961e304p-3, -0x1.526b22494ee4bp-3, -0x1.5ac1665363a54p-3, -0x1.62d9dad6f5525p-3, -0x1.6ab098841bdf3p-3, -0x1.7241f2d80addcp-3, -0x1.798a79f3b2767p-3, -0x1.8086fc0fcfe5dp-3, -0x1.87348693d4418p-3, -0x1.8d9066d486121p-3, -0x1.93982a7e8fc53p-3, -0x1.99499fb10d4c4p-3, -0x1.9ea2d4cbe8652p-3, -0x1.a3a217f5d850bp-3, -0x1.a845f65dd9ba8p-3, -0x1.ac8d3b3c38316p-3, -0x1.b076ee9740ce8p-3, -0x1.b40253d005b36p-3, -0x1.b72ee7fbbd372p-3, -0x1.b9fc600e7e238p-3, -0x1.bc6aa6dc25d2fp-3, -0x1.be79daf46d4a7p-3, -0x1.c02a4c5f21b65p-3, -0x1.c17c7a3d9fc77p-3, -0x1.c27110567bca1p-3, -0x1.c308e4903f6b1p-3, -0x1.c344f46018f0bp-3, -0x1.c3266230fed46p-3, -0x1.c2ae72c7bc975p-3, -0x1.c1de8aa80da1bp-3, -0x1.c0b82b7eac874p-3, -0x1.bf3cf193efa4cp-3, -0x1.bd6e914a3f836p-3, -0x1.bb4ed4ab6606dp-3, -0x1.b8df99075e55dp-3, -0x1.b622cca6fba0bp-3, -0x1.b31a6c946b18dp-3, -0x1.afc8827b4c6d5p-3, -0x1.ac2f22a1ba7cp-3, -0x1.a85069fb659a4p-3, -0x1.a42e7c5797d9ap-3, -0x1.9fcb82aaa8189p-3, -0x1.9b29a97332143p-3, -0x1.964b1f3b2c1bdp-3, -0x1.91321334b6554p-3, -0x1.8be0b3f258ce9p-3, -0x1.86592e3a2d4cfp-3, -0x1.809dabf363b57p-3, -0x1.7ab0532d460b4p-3, -0x1.7493453ef6f9cp-3, -0x1.6e489dfeda3d1p-3, -0x1.67d27310aedc8p-3, -0x1.6132d3492adedp-3, -0x1.5a6bc62606073p-3, -0x1.537f4b592d465p-3, -0x1.4c6f5a65f20b4p-3, -0x1.453de24f0359cp-3, -0x1.3decc953e346cp-3, -0x1.367decbcb857fp-3, -0x1.2ef320b339b7ep-3, -0x1.274e30279236cp-3, -0x1.1f90dcc01b572p-3, -0x1.17bcded2c4747p-3, -0x1.0fd3e5673965cp-3, -0x1.07d79640a1f11p-3, -0x1.ff931bdc38cd9p-4, -0x1.ef56bfc214978p-4, -0x1.defd2d108327p-4, -0x1.ce8966dedfb7p-4, -0x1.bdfe5ec3be5ecp-4, -0x1.ad5ef51fd8d45p-4, -0x1.9cadf96d351acp-4, -0x1.8bee2a913c6e3p-4, -0x1.7b223730c9257p-4, -0x1.6a4cbe052ab18p-4, -0x1.59704e314d25fp-4, -0x1.488f67963e072p-4, -0x1.37ac7b266710fp-4, -0x1.26c9eb36dfc05p-4, -0x1.15ea0bce6643fp-4, -0x1.050f22f18319bp-4, -0x1.e876d1d71981dp-5, -0x1.c6e211286f8b2p-5, -0x1.a5643f230ce79p-5, -0x1.84017d2bc952ep-5, -0x1.62bdd334c1fbap-5, -0x1.419d3029d2c75p-5, -0x1.20a36a5522812p-5, -0x1.ffa87f7792aebp-6, -0x1.be66ace55e693p-6, -0x1.7d8879d7c61a7p-6, -0x1.3d14d479223fep-6, -0x1.fa24f9700f50ap-7, -0x1.7b10096fad7f8p-7, -0x1.f9ef44d2d89a3p-8, -0x1.ffa0ceddda49dp-9, -0x1.f6e99823c94p-14, 0x1.dbaf094c41b37p-9, 0x1.e1325105ceeb1p-8, 0x1.690f53358142cp-7, 0x1.e0438e120a9fdp-7, 0x1.2b15be24343eep-6, 0x1.655e8c29e8b36p-6, 0x1.9ef759e32f423p-6, 0x1.d7db7b8e029c2p-6, 0x1.08033864b26dfp-5, 0x1.23b9f241be508p-5, 0x1.3f0fd67451c42p-5, 0x1.5a02e5a976227p-5, 0x1.7491361c8c3bcp-5, 0x1.8eb8f38e33d71p-5, 0x1.a8785f3a58b25p-5, 0x1.c1cdcfccfb1d7p-5, 0x1.dab7b1557fc15p-5, 0x1.f3348538408fep-5, 0x1.05a1710f08ba7p-4, 0x1.1170b9f0c6cp-4, 0x1.1d077dbcfc95bp-4, 0x1.28652771c2a7fp-4, 0x1.33892c826c323p-4, 0x1.3e730cc8d4ce8p-4, 0x1.492252752edbfp-4, 0x1.539691fc4206bp-4, 0x1.5dcf6a0415b83p-4, 0x1.67cc834eff853p-4, 0x1.718d90a508678p-4, 0x1.7b124ebbb2f85p-4, 0x1.845a841c15784p-4, 0x1.8d66010750725p-4, 0x1.96349f5962257p-4, 0x1.9ec6426a608f9p-4, 0x1.a71ad6ee15002p-4, 0x1.af3252d212e07p-4, 0x1.b70cb51a38757p-4, 0x1.beaa05bbc26aap-4, 0x1.c60a5576ea959p-4, 0x1.cd2dbdaf1c537p-4, 0x1.d4146041e5343p-4, 0x1.dabe675c8cd74p-4, 0x1.e12c05507c6fdp-4, 0x1.e75d74667cfabp-4, 0x1.ed52f6b0e4c5ap-4, 0x1.f30cd5dcb990ep-4, 0x1.f88b6301d8e0bp-4, 0x1.fdcef6724d345p-4, 0x1.016bf7c461e87p-3, 0x1.03d35a3b26acdp-3, 0x1.061dd907b65c8p-3, 0x1.084badcc49225p-3, 0x1.0a5d1549034f5p-3, 0x1.0c524f41b8a89p-3, 0x1.0e2b9e6373e4bp-3, 0x1.0fe94829de7e8p-3, 0x1.118b94c4863a6p-3, 0x1.1312cefc0684ep-3, 0x1.147f44172f2efp-3, 0x1.15d143c01a729p-3, 0x1.17091fe94bc45p-3, 0x1.18272cb2d68e7p-3, 0x1.192bc04f9a093p-3, 0x1.1a1732ea94d28p-3, 0x1.1ae9de8c5ad3ep-3, 0x1.1ba41f00b2bd2p-3, 0x1.1c4651bc621e1p-3, 0x1.1cd0d5c3355p-3, 0x1.1d440b8e3b453p-3, 0x1.1da054f24897ep-3, 0x1.1de61506c39aap-3, 0x1.1e15b00cbdd1ap-3, 0x1.1e2f8b5659f1ap-3, 0x1.1e340d2e93823p-3, 0x1.1e239cc16038dp-3, 0x1.1dfea2042867ep-3, 0x1.1dc5859eb70efp-3, 0x1.1d78b0d482c1ep-3, 0x1.1d188d6e6c6dep-3, 0x1.1ca585a4e88dep-3, 0x1.1c20040aa0dfep-3, 0x1.1b88737786b1ep-3, 0x1.1adf3ef462163p-3, 0x1.1a24d1a6d6f5dp-3, 0x1.195996bdec515p-3, 0x1.187df95f0ea75p-3, 0x1.1792649391e5bp-3, 0x1.16974336b9efap-3, 0x1.158cffe43f298p-3, 0x1.147404e75b5c6p-3, 0x1.134cbc2a5b6b5p-3, 0x1.12178f26afb25p-3, 0x1.10d4e6d58ae53p-3, 0x1.0f852ba0feb64p-3, 0x1.0e28c555a1b5dp-3, 0x1.0cc01b14bae4ap-3, 0x1.0b4b9346ee94p-3, 0x1.09cb938f72bb8p-3, 0x1.084080bfc9021p-3, 0x1.06aabecbf3ec6p-3, 0x1.050ab0bf37057p-3, 0x1.0360b8b1530dep-3, 0x1.01ad37bc3f128p-3, 0x1.ffe11be4d02fp-4, 0x1.fc5634aad28aep-4, 0x1.f8ba759a75aaap-4, 0x1.f50e983fc2d22p-4, 0x1.f15353d32d8dap-4, 0x1.ed895d2ac2d18p-4, 0x1.e9b166ac491ep-4, 0x1.e5cc20404e208p-4, 0x1.e1da374603ec2p-4, 0x1.dddc5688082bep-4, 0x1.d9d3263201f4bp-4, 0x1.d5bf4bc70ba96p-4, 0x1.d1a16a18fa87cp-4, 0x1.cd7a214060afep-4, 0x1.c94a0e9569505p-4, 0x1.c511cca962fbap-4, 0x1.c0d1f341160fep-4, 0x1.bc8b174fce8e6p-4, 0x1.b83dcaf319651p-4, 0x1.b3ea9d6f2a997p-4, 0x1.af921b2bffb09p-4, 0x1.ab34cdb30b4f3p-4, 0x1.a6d33bada5e1fp-4, 0x1.a26de8e3eedcap-4, 0x1.9e05563c6f7d1p-4, 0x1.999a01bc28de3p-4, 0x1.952c66874f805p-4, 0x1.90bcfce27876bp-4, 0x1.8c4c3a345270ep-4, 0x1.87da9107e0114p-4, 0x1.8368710f2713dp-4, 0x1.7ef647265607p-4, 0x1.7a847d575c30ep-4, 0x1.76137addee598p-4, 0x1.71a3a42beecep-4, 0x1.6d355aee3b6c3p-4, 0x1.68c8fe11dc42dp-4, 0x1.645ee9c98838cp-4, 0x1.5ff777938420cp-4, 0x1.5b92fe3fce533p-4, 0x1.5731d1f6a04f6p-4, 0x1.52d4443f30bf2p-4, 0x1.4e7aa406c201bp-4, 0x1.4a253da7ed67bp-4, 0x1.45d45af234469p-4, 0x1.41884331c24ddp-4, 0x1.3d413b376acbcp-4, 0x1.38ff8560d89c2p-4, 0x1.34c361a0f0948p-4, 0x1.308d0d88590eep-4, 0x1.2c5cc44e30403p-4, 0x1.2832bed8e590cp-4, 0x1.240f33c735f71p-4, 0x1.1ff2577947488p-4, 0x1.1bdc5c19e00aap-4, 0x1.17cd71a7b6a99p-4, 0x1.13c5c5fedcd46p-4, 0x1.0fc584e236fd1p-4, 0x1.0bccd80508409p-4, 0x1.07dbe71492e41p-4, 0x1.03f2d7c1b7c41p-4, 0x1.0011cdcaaccfp-4, 0x1.f871d6095ee8ep-5, 0x1.f0d09ecb8c69bp-5, 0x1.e940321cfae3ep-5, 0x1.e1c0c8a750eeap-5, 0x1.da529790401a5p-5, 0x1.d2f5d08cfab17p-5, 0x1.cbaaa1f5a811dp-5, 0x1.c47136d8bbd1cp-5, 0x1.bd49b70e49ba3p-5, 0x1.b634474b3fb84p-5, 0x1.af310934856a8p-5, 0x1.a8401b720259bp-5, 0x1.a16199c18e60fp-5, 0x1.9a959d09b9f94p-5, 0x1.93dc3b6c72a24p-5, 0x1.8d35885984cf9p-5, 0x1.86a194a0f8e4ep-5, 0x1.80206e8542742p-5, 0x1.79b221cd45f7dp-5, 0x1.7356b7d6301b8p-5, 0x1.6d0e37a517895p-5, 0x1.66d8a5f87803bp-5, 0x1.60b605596e842p-5, 0x1.5aa6562ccf5a4p-5, 0x1.54a996c3f6466p-5, 0x1.4ebfc36d68d6fp-5, 0x1.48e8d6853da9dp-5, 0x1.4324c88545c09p-5, 0x1.3d73901503851p-5, 0x1.37d52219616a7p-5, 0x1.324971c42afb5p-5, 0x1.2cd070a345dfdp-5, 0x1.276a0eafb23cap-5, 0x1.22163a5c4b0a5p-5, 0x1.1cd4e0a444462p-5, 0x1.17a5ed1970239p-5, 0x1.128949f237302p-5, 0x1.0d7ee0175dcccp-5, 0x1.0886973181867p-5, 0x1.03a055b65394ep-5, 0x1.fd9801eb3784dp-6, 0x1.f412fa4bda6eap-6, 0x1.eab15ae251366p-6, 0x1.e172e80160e83p-6, 0x1.d8576412bdca6p-6, 0x1.cf5e8fae84268p-6, 0x1.c68829b21be4fp-6, 0x1.bdd3ef56ae60cp-6, 0x1.b5419c4713b8cp-6, 0x1.acd0eab530927p-6, 0x1.a481936ef0a4fp-6, 0x1.9c534df2aaad1p-6, 0x1.9445d0831a1fdp-6, 0x1.8c58d03ad10cbp-6, 0x1.848c011f33c82p-6, 0x1.7cdf1632f538p-6, 0x1.7551c1881f03fp-6, 0x1.6de3b45198ff7p-6, 0x1.66949ef44652bp-6, 0x1.5f643117a3f8bp-6, 0x1.585219b5f80f5p-6, 0x1.515e072c11441p-6, 0x1.4a87a748808dbp-6, 0x1.43cea75a7c57ep-6, 0x1.3d32b4404aa68p-6, 0x1.36b37a7535006p-6, 0x1.3050a61f20df6p-6, 0x1.2a09e31bbc768p-6, 0x1.23dedd0d31075p-6, 0x1.1dcf3f667df4ap-6, 0x1.17dab57774d6bp-6, 0x1.1200ea7836e4cp-6, 0x1.0c4189946b4c9p-6, 0x1.069c3df60bfc3p-6, 0x1.0110b2cfd7a4cp-6, 0x1.f73d26ceb460fp-7, 0x1.ec8b163d42f55p-7, 0x1.e20a8afb3c968p-7, 0x1.d7badc763d2ap-7, 0x1.cd9b628b10bd8p-7, 0x1.c3ab75964f34bp-7, 0x1.b9ea6e846f73ap-7, 0x1.b057a6e12c04dp-7, 0x1.a6f278e652911p-7, 0x1.9dba3f89e7a4p-7, 0x1.94ae568bc626p-7, 0x1.8bce1a8291b9ep-7, 0x1.8318e8e82a71bp-7, 0x1.7a8e20259acf3p-7, 0x1.722d1f9e57414p-7, 0x1.69f547bb157b8p-7, 0x1.61e5f9f408feep-7, 0x1.59fe98dab4abap-7, 0x1.523e882321843p-7, 0x1.4aa52cacb88cap-7, 0x1.4331ec8a8fc98p-7, 0x1.3be42f0b4737dp-7, 0x1.34bb5cc076ba2p-7, 0x1.2db6df85a344fp-7, 0x1.26d62286d7044p-7, 0x1.20189246bcab5p-7, 0x1.197d9ca46a204p-7, 0x1.1304b0e0b43aap-7, 0x1.0cad3fa32da5ap-7, 0x1.0676bafec120ep-7, 0x1.0060967600522p-7, 0x1.f4d48dfde671cp-8, 0x1.e926860d889d8p-8, 0x1.ddb604e9cf513p-8, 0x1.d281fd5c4eb49p-8, 0x1.c789652e45f2cp-8, 0x1.bccb352d7f49fp-8, 0x1.b24669303c10ap-8, 0x1.a7fa0018e2868p-8, 0x1.9de4fbd8d9f21p-8, 0x1.940661731fd02p-8, 0x1.8a5d38fe260d7p-8, 0x1.80e88da55da7ap-8, 0x1.77a76daa47b4dp-8, 0x1.6e98ea64fa3f3p-8, 0x1.65bc18443b021p-8, 0x1.5d100ecd56e1fp-8, 0x1.5493e89b4e40dp-8, 0x1.4c46c35de25cfp-8, 0x1.4427bfd81441bp-8, 0x1.3c3601de5f532p-8, 0x1.3470b05486a27p-8, 0x1.2cd6f52b31914p-8, 0x1.2567fd5d1e0e8p-8, 0x1.1e22f8ebfbd9fp-8, 0x1.17071add22e7cp-8, 0x1.10139935dece9p-8, 0x1.0947acf778581p-8, 0x1.02a2921b30fe1p-8, 0x1.f8470f1b794c3p-9, 0x1.eb939e55371acp-9, 0x1.df295b6ebc826p-9, 0x1.d306d5bcd1588p-9, 0x1.c72aa253cccd3p-9, 0x1.bb935bfc61c03p-9, 0x1.b03fa328ad83bp-9, 0x1.a52e1de84f7ccp-9, 0x1.9a5d77dcea09p-9, 0x1.8fcc622dbae4ep-9, 0x1.8579937b612b3p-9, 0x1.7b63c7d2dd2c2p-9, 0x1.7189c0a0cf512p-9, 0x1.67ea44a45c5e6p-9, 0x1.5e841fe1c1c38p-9, 0x1.55562394f0ae8p-9, 0x1.4c5f262389ccdp-9, 0x1.439e030f3681p-9, 0x1.3b119ae746109p-9, 0x1.32b8d33b0017cp-9, 0x1.2a92968afbe9dp-9, 0x1.229dd43ab03c7p-9, 0x1.1ad9808230fdp-9, 0x1.1344945f57671p-9, 0x1.0bde0d8740cc7p-9, 0x1.04a4ee57c0fb3p-9, 0x1.fb307b903ebbdp-10, 0x1.ed6e0eb54d4efp-10, 0x1.e000b61b311dfp-10, 0x1.d2e69a98c490ep-10, 0x1.c61dedc157ad4p-10, 0x1.b9a4e9c71245ep-10, 0x1.ad79d15d117e2p-10, 0x1.a19aef99aef4ap-10, 0x1.960697d8cb4f4p-10, 0x1.8abb259e17a69p-10, 0x1.7fb6fc7793dc8p-10, 0x1.74f887e017148p-10, 0x1.6a7e3b21a7c25p-10, 0x1.6046913859b4p-10, 0x1.56500cb5363dcp-10, 0x1.4c9937a0cb741p-10, 0x1.4320a35f4e77ep-10, 0x1.39e4e892ac96ap-10, 0x1.30e4a6fecd1d2p-10, 0x1.281e856c8ca78p-10, 0x1.1f91318dc8e9p-10, 0x1.173b5fe1a5df5p-10, 0x1.0f1bcb98602ebp-10, 0x1.07313677badd8p-10, 0x1.fef4d17f0be4bp-11, 0x1.efec621d04221p-11, 0x1.e146c88f48b81p-11, 0x1.d301baeee0cdfp-11, 0x1.c51afb71e7653p-11, 0x1.b79058381ad3p-11, 0x1.aa5fab15e05cp-11, 0x1.9d86d9620b8d9p-11, 0x1.9103d3c1f04a8p-11, 0x1.84d495f77cc8bp-11, 0x1.78f726af418a6p-11, 0x1.6d69974f04481p-11, 0x1.622a03c4deafcp-11, 0x1.5736925710d64p-11, 0x1.4c8d7374d62a1p-11, 0x1.422ce186c514ap-11, 0x1.381320bffe393p-11, 0x1.2e3e7ef08a91cp-11, 0x1.24ad535803a19p-11, 0x1.1b5dfe781a1a6p-11, 0x1.124ee9e912a83p-11, 0x1.097e882dc1efep-11, 0x1.00eb548899b22p-11, 0x1.f127a5a192985p-12, 0x1.e0ed1e905d795p-12, 0x1.d1243ce4d76f1p-12, 0x1.c1ca39d75e21ap-12, 0x1.b2dc5e81cbfbbp-12, 0x1.a458038f22073p-12, 0x1.963a90edd808p-12, 0x1.88817d826eca6p-12, 0x1.7b2a4edc61fadp-12, 0x1.6e3298ea016adp-12, 0x1.6197fdb09536p-12, 0x1.55582d03916a3p-12, 0x1.4970e43baa9b4p-12, 0x1.3ddfedf1faccbp-12, 0x1.32a321ba37a9dp-12, 0x1.27b863df3643dp-12, 0x1.1d1da51f8f3c5p-12, 0x1.12d0e26c2f2ebp-12, 0x1.08d024a78cd4cp-12, 0x1.fe3300cab0a1fp-13, 0x1.eb562b58199dap-13, 0x1.d9061f6fb5524p-13, 0x1.c73f497bcaaa9p-13, 0x1.b5fe2b624afbap-13, 0x1.a53f5c0e10eb4p-13, 0x1.94ff86fdf1215p-13, 0x1.853b6bd23dc1p-13, 0x1.75efdddeba97cp-13, 0x1.6719c3bd473e1p-13, 0x1.58b616e3ed83cp-13, 0x1.4ac1e33c4d566p-13, 0x1.3d3a46ba22f9bp-13, 0x1.301c70f879e92p-13, 0x1.2365a2d46b06fp-13, 0x1.17132e0c59024p-13, 0x1.0b2274e0f39afp-13, 0x1.ff21d36e4f918p-14, 0x1.e8b81d773867dp-14, 0x1.d302eb11a6096p-14, 0x1.bdfd7d9c4ef3ep-14, 0x1.a9a333f0742e4p-14, 0x1.95ef89ba2efdcp-14, 0x1.82de16d0304a9p-14, 0x1.706a8e92d88a2p-14, 0x1.5e90bf4702cddp-14, 0x1.4d4c917b83fcbp-14, 0x1.3c9a076be5017p-14, 0x1.2c753c6c257aap-14, 0x1.1cda64543770dp-14, 0x1.0dc5caef59d71p-14, 0x1.fe67a6d9b8d53p-15, 0x1.e241efad752aep-15, 0x1.c713910f366e5p-15, 0x1.acd5d74a14619p-15, 0x1.9382393bb1f1ap-15, 0x1.7b125751f2a42p-15, 0x1.637ffa95a3c05p-15, 0x1.4cc513b3028d6p-15, 0x1.36dbba061a264p-15, 0x1.21be2ab0a592dp-15, 0x1.0d66c7b5338ccp-15, 0x1.f3a02e31b26dfp-16, 0x1.cde9840744bd2p-16, 0x1.a99f27d544366p-16, 0x1.86b6f37de02a3p-16, 0x1.6527023dc8e78p-16, 0x1.44e5af151a703p-16, 0x1.25e99340f0441p-16, 0x1.082984b51264ap-16, 0x1.d7392953f3e56p-17, 0x1.a0741c55a5d43p-17, 0x1.6bf2e95c84239p-17, 0x1.39a505557c0f5p-17, 0x1.097a509b0e7aep-17, 0x1.b6c628a9e4306p-18, 0x1.5e9fffa8f86a8p-18, 0x1.0a644c244df17p-18, 0x1.73ebed07c18dep-19, 0x1.b4e2942cfed7ap-20, 0x1.2085b71e52c98p-21, -0x1.0ce60220884bbp-21, -0x1.8fa7f3235ec98p-20, -0x1.45e11ee9bbf7fp-19, -0x1.bd92c36182f97p-19, -0x1.178cb9aa7f347p-18, -0x1.4d523e79e3ce4p-18, -0x1.8030fc0febb47p-18, -0x1.b03f66e61e126p-18, -0x1.dd935fe5d51b6p-18, -0x1.04211c1583cf3p-17, -0x1.18305a4f4b59cp-17, -0x1.2b0188ae471dap-17, -0x1.3c9e82959ceb2p-17, -0x1.4d10e26519592p-17, -0x1.5c62031b40c06p-17, -0x1.6a9b01f5af4b4p-17, -0x1.77c4bfef04bcep-17, -0x1.83e7e361e7405p-17, -0x1.8f0cd96619177p-17, -0x1.993bd75078751p-17, -0x1.a27cdc196da1p-17, -0x1.aad7b1a54dae6p-17, -0x1.b253ee2d9aa3dp-17, -0x1.b8f8f58c0cfa9p-17, -0x1.becdfa8a253d7p-17, -0x1.c3da00185643ap-17, -0x1.c823da758ec84p-17, -0x1.cbb230729dd36p-17, -0x1.ce8b7c7f9ed06p-17, -0x1.d0b60de0296a7p-17, -0x1.d23809b576e29p-17, -0x1.d3176c12e7712p-17, -0x1.d35a09169b0c2p-17, -0x1.d3058dd9d4076p-17, -0x1.d21f8175883cbp-17, -0x1.d0ad45f32ce05p-17, -0x1.ceb419374589dp-17, -0x1.cc3915ee9ce6ep-17, -0x1.c941347781188p-17, -0x1.c5d14bbce8dc3p-17, -0x1.c1ee120d095f8p-17, -0x1.bd9c1deb94f35p-17, -0x1.b8dfe6e1dbdf1p-17, -0x1.b3bdc63a0a881p-17, -0x1.ae39f7d38ea99p-17, -0x1.a8589acf1c9bfp-17, -0x1.a21db258625c8p-17, -0x1.9b8d264fab395p-17, -0x1.94aac3fef277ap-17, -0x1.8d7a3ebc8eda1p-17, -0x1.85ff309874f5cp-17, -0x1.7e3d1af6c8e71p-17, -0x1.76376730f3709p-17, -0x1.6df1672cb4bb5p-17, -0x1.656e55fcb6509p-17, -0x1.5cb15860c9fb5p-17, -0x1.53bd7d5c527a7p-17, -0x1.4a95bec5d29afp-17, -0x1.413d01c5dc996p-17, -0x1.37b6175b2ae7bp-17, -0x1.2e03bcdaed784p-17, -0x1.24289c70c62f7p-17, -0x1.1a274d9554aa5p-17, -0x1.1002557f869d6p-17, -0x1.05bc279d52a0fp-17, -0x1.f6ae4bfc9624ap-18, -0x1.e1ab438dcc8bep-18, -0x1.cc73b724e4911p-18, -0x1.b70c07bc25147p-18, -0x1.a17876e25e81cp-18, -0x1.8bbd276fb7b6ap-18, -0x1.75de1e4c99664p-18, -0x1.5fdf4321e7577p-18, -0x1.49c46126671fcp-18, -0x1.339127afe6833p-18, -0x1.1d492af24c25bp-18, -0x1.06efe4a17219fp-18, -0x1.e1116942a4e1fp-19, -0x1.b42dc31dafa8p-19, -0x1.873b32c0a2758p-19, -0x1.5a3fe41319dffp-19, -0x1.2d41d3ee854e5p-19, -0x1.0046d14bbd839p-19, -0x1.a6a8fd059b14ep-20, -0x1.4ce0a4465f515p-20, -0x1.e67e6043f11e3p-21, -0x1.339dca715e694p-21, -0x1.0266da47a98acp-22, 0x1.856b815c7bd9dp-24, 0x1.c3e442a0fcc09p-22, 0x1.928891abdf145p-21, 0x1.212fa0659e3d4p-20, 0x1.78b29f57eb6abp-20, 0x1.cfc51407ae9dfp-20, 0x1.132f88ffe302fp-19, 0x1.3e3c780bd69f6p-19, 0x1.6905a3749b404p-19, 0x1.938777b2adc92p-19, 0x1.bdbe80a4b9316p-19, 0x1.e7a768da206d1p-19, 0x1.089f7c62acdcdp-18, 0x1.1d410b27ef21bp-18, 0x1.31b6e1ec0b477p-18, 0x1.45ff8fd81b83p-18, 0x1.5a19b1c911234p-18, 0x1.6e03f1eb4b511p-18, 0x1.81bd0779fe6b1p-18, 0x1.9543b66d75581p-18, 0x1.a896cf3b37fbap-18, 0x1.bbb52e7ddd4cp-18, 0x1.ce9dbcabb6ep-18, 0x1.e14f6de3c3fe5p-18, 0x1.f3c941a41fc6ep-18, 0x1.0305213cc8b8ep-17, 0x1.0c08c2eaf5103p-17, 0x1.14ef15e260e8cp-17, 0x1.1db7af5462044p-17, 0x1.2662298357895p-17, 0x1.2eee23a99e2efp-17, 0x1.375b41d7380ecp-17, 0x1.3fa92cd09545ap-17, 0x1.47d791fcf491bp-17, 0x1.4fe62348d7b9fp-17, 0x1.57d49706687e7p-17, 0x1.5fa2a7da81a52p-17, 0x1.675014a330b7bp-17, 0x1.6edca05a007afp-17, 0x1.764811fd7b87fp-17, 0x1.7d92347a76b08p-17, 0x1.84bad6991850cp-17, 0x1.8bc1cae1fc93p-17, 0x1.92a6e785a8924p-17, 0x1.996a064c43fcp-17, 0x1.a00b047da666ep-17, 0x1.a689c2cb95457p-17, 0x1.ace6253ee246ap-17, 0x1.b3201324d335cp-17, 0x1.b93776fe2eabcp-17, 0x1.bf2c3e622fb6ep-17, 0x1.c4fe59f5926cap-17, 0x1.caadbd51deb24p-17, 0x1.d03a5ef697204p-17, 0x1.d5a438359a986p-17, 0x1.daeb452801ac4p-17, 0x1.e00f84931a872p-17, 0x1.e510f7e0bb328p-17, 0x1.e9efa30747b88p-17, 0x1.eeab8c8018fap-17, 0x1.f344bd375bc82p-17, 0x1.f7bb40797ba62p-17, 0x1.fc0f23e3da0f5p-17, 0x1.00203babf4649p-16, 0x1.0227a674e0ec6p-16, 0x1.041ddc6ab14bp-16, 0x1.0602e8b77b6e1p-16, 0x1.07d6d78c67baep-16, 0x1.0999b616ddb9p-16, 0x1.0b4b927d643b5p-16, 0x1.0cec7bd9fa757p-16, 0x1.0e7c822d67a06p-16, 0x1.0ffbb65ee6abfp-16, 0x1.116a2a346003ap-16, 0x1.12c7f04da2bd7p-16, 0x1.14151c19eef0cp-16, 0x1.1551c1d82a50ap-16, 0x1.167df68b310f3p-16, 0x1.1799cff889ae7p-16, 0x1.18a564a344d4ep-16, 0x1.19a0cbc37a47ep-16, 0x1.1a8c1d41f78efp-16, 0x1.1b6771b24beeap-16, 0x1.1c32e24ded6aap-16, 0x1.1cee88effdbefp-16, 0x1.1d9a801087e19p-16, 0x1.1e36e2bed40c9p-16, 0x1.1ec3cc9cdb4aap-16, 0x1.1f4159d96f8ccp-16, 0x1.1fafa72ee1114p-16, 0x1.200ed1da34084p-16, 0x1.205ef797525b6p-16, 0x1.20a0369dbdb92p-16, 0x1.20d2ad9e0093fp-16, 0x1.20f67bbb983fap-16, 0x1.210bc086464bap-16, 0x1.21129bfa21ce3p-16, 0x1.210b2e77cfb89p-16, 0x1.20f598c490879p-16, 0x1.20d1fc0572f67p-16, 0x1.20a079b7d00e7p-16, 0x1.206133b08f154p-16, 0x1.20144c16f4cecp-16, 0x1.1fb9e560ffc88p-16, 0x1.1f5222507a3b9p-16, 0x1.1edd25f05be95p-16, 0x1.1e5b139081646p-16, 0x1.1dcc0ec1f881ap-16, 0x1.1d303b53bbc1bp-16, 0x1.1c87bd4f581c3p-16, 0x1.1bd2b8f606ce5p-16, 0x1.1b1152bccaf58p-16, 0x1.1a43af47b7b6fp-16, 0x1.1969f36b381c3p-16, 0x1.188444272f095p-16, 0x1.1792c6a22e428p-16, 0x1.1695a02709492p-16, 0x1.158cf6225eda7p-16, 0x1.1478ee2170c7fp-16, 0x1.1359add015392p-16, 0x1.122f5af262d14p-16, 0x1.10fa1b62db968p-16, 0x1.0fba15106792bp-16, 0x1.0e6f6dfc77155p-16, 0x1.0d1a4c368561dp-16, 0x1.0bbad5dbd71d4p-16, }}, 
      {{0x1.c64229b682ff8p-5, 0x1.c78fe4c6f06d1p-5, 0x1.c9ec5542bf83cp-5, 0x1.cd892789f85f4p-5, 0x1.d294ddd0c22cbp-5, 0x1.d93520e019e4ep-5, 0x1.e18450a26609fp-5, 0x1.eb9108f4138d4p-5, 0x1.f75ebda8f567ap-5, 0x1.02737357dbc47p-4, 0x1.0a0d37362104cp-4, 0x1.12719b5375e2p-4, 0x1.1b92cdb085a34p-4, 0x1.2560f26394018p-4, 0x1.2fcacf507f625p-4, 0x1.3abe674d15b82p-4, 0x1.4629827116612p-4, 0x1.51fa224150fdbp-4, 0x1.5e1ee147d65afp-4, 0x1.6a873e7c1166dp-4, 0x1.7723d59203ea7p-4, 0x1.83e685d600d3bp-4, 0x1.90c2899d5db06p-4, 0x1.9dac808c8f686p-4, 0x1.aa9a6f044fea4p-4, 0x1.b783b4f813bd6p-4, 0x1.c460fe48571aap-4, 0x1.d12c2e82ba0b7p-4, 0x1.dde049a78189bp-4, 0x1.ea795b4e83082p-4, 0x1.f6f45d40aa3b4p-4, 0x1.01a78f2d8b2d5p-3, 0x1.07c4152bb1c84p-3, 0x1.0dcf5971a480dp-3, 0x1.13c93d2448923p-3, 0x1.19b1dfe2cc8ap-3, 0x1.1f8996cec0dd2p-3, 0x1.2550e46a529eep-3, 0x1.2b087140d67dfp-3, 0x1.30b10549da3a3p-3, 0x1.364b81f524f9bp-3, 0x1.3bd8dccd9660ap-3, 0x1.415a1aa1754afp-3, 0x1.46d04b2023407p-3, 0x1.4c3c84def4e6dp-3, 0x1.519fe1b8f9505p-3, 0x1.56fb7b7f83a05p-3, 0x1.5c5068f3541cp-3, 0x1.619fbafff82e9p-3, 0x1.66ea7a349e3d9p-3, 0x1.6c31a476ea2c1p-3, 0x1.71762aed5bca1p-3, 0x1.76b8f01fa7215p-3, 0x1.7bfac64c03efdp-3, 0x1.813c6df0b2cc1p-3, 0x1.867e94893a2a1p-3, 0x1.8bc1d37ed3cc3p-3, 0x1.9106af4b7273p-3, 0x1.964d96ce93ba9p-3, 0x1.9b96e2d2c3ca7p-3, 0x1.a0e2d5c28c828p-3, 0x1.a6319b8b0eaa4p-3, 0x1.ab8349aa60771p-3, 0x1.b0d7df6763331p-3, 0x1.b62f4630851aap-3, 0x1.bb89521eb3459p-3, 0x1.c0e5c29973caep-3, 0x1.c64443191dab5p-3, 0x1.cba46c03e75cap-3, 0x1.d105c3a2830d9p-3, 0x1.d667bf29009bfp-3, 0x1.dbc9c3d0aa91ep-3, 0x1.e12b27ff9e0eap-3, 0x1.e68b347afeeacp-3, 0x1.ebe925a0cad5ep-3, 0x1.f1442ca665eacp-3, 0x1.f69b70d929d59p-3, 0x1.fbee10de85446p-3, 0x1.009d91f8a1836p-2, 0x1.0340dd8cf6bf1p-2, 0x1.05e071302dd0fp-2, 0x1.087bd0fa5eee1p-2, 0x1.0b127fa7528aap-2, 0x1.0da3ff2063a1ap-2, 0x1.102fd100315f8p-2, 0x1.12b5770fb54f2p-2, 0x1.153473bc5b155p-2, 0x1.17ac4a86e2502p-2, 0x1.1a1c806acde7fp-2, 0x1.1c849c3e516f8p-2, 0x1.1ee4270aa9364p-2, 0x1.213aac5ce80e9p-2, 0x1.2387ba8f4ccdap-2, 0x1.25cae30b4245ap-2, 0x1.2803ba84330f8p-2, 0x1.2a31d92b68914p-2, 0x1.2c54dadd35746p-2, 0x1.2e6c5f47adf72p-2, 0x1.30780a0b38dc8p-2, 0x1.327782d548957p-2, 0x1.346a75759266bp-2, 0x1.365091ee11d3fp-2, 0x1.38298c7e351d7p-2, 0x1.39f51da983bb9p-2, 0x1.3bb3023a1972fp-2, 0x1.3d62fb3f4a00ep-2, 0x1.3f04ce08bf2f3p-2, 0x1.4098441e67f18p-2, 0x1.421d2b3582e24p-2, 0x1.4393552313b8p-2, 0x1.44fa97cc0d273p-2, 0x1.4652cd13743bdp-2, 0x1.479bd2c6be431p-2, 0x1.48d58a88ade0cp-2, 0x1.49ffd9bae2c54p-2, 0x1.4b1aa96658b61p-2, 0x1.4c25e623079aep-2, 0x1.4d217ffed2bdap-2, 0x1.4e0d6a63f80eep-2, 0x1.4ee99bff1d56ap-2, 0x1.4fb60ea52fa7bp-2, 0x1.5072bf39247a4p-2, 0x1.511fad91c7f8bp-2, 0x1.51bcdc5fae0a3p-2, 0x1.524a511359768p-2, 0x1.52c813c3b77adp-2, 0x1.53362f14f668bp-2, 0x1.5394b01fd1b2dp-2, 0x1.53e3a65958adbp-2, 0x1.5423237b3b752p-2, 0x1.54533b6cad59bp-2, 0x1.5474042bd9527p-2, 0x1.548595b7f8b7fp-2, 0x1.548809fc045edp-2, 0x1.547b7cba0f052p-2, 0x1.54600b773a1fp-2, 0x1.5435d56858ccep-2, 0x1.53fcfb5f28cadp-2, 0x1.53b59fb833d1ep-2, 0x1.535fe6494925cp-2, 0x1.52fbf4509110ap-2, 0x1.5289f06435e7ep-2, 0x1.520a02629c70fp-2, 0x1.517c53632740ap-2, 0x1.50e10da781907p-2, 0x1.50385c8d684cbp-2, 0x1.4f826c80eeb8fp-2, 0x1.4ebf6aef3b254p-2, 0x1.4def8639ad30dp-2, 0x1.4d12eda9711f6p-2, 0x1.4c29d16377047p-2, 0x1.4b34625cc80c6p-2, 0x1.4a32d24f334b3p-2, 0x1.492553ae4d3a9p-2, 0x1.480c199cc1759p-2, 0x1.46e757e1e9817p-2, 0x1.45b742dfaa654p-2, 0x1.447c0f889358bp-2, 0x1.4335f35635ap-2, 0x1.41e5243fb7569p-2, 0x1.4089d8b099ae8p-2, 0x1.3f24477faf91bp-2, 0x1.3db4a7e642e09p-2, 0x1.3c3b3177645acp-2, 0x1.3ab81c1764defp-2, 0x1.392b9ff3724a7p-2, 0x1.3795f5795a2bbp-2, 0x1.35f7554f6e52p-2, 0x1.344ff84c88977p-2, 0x1.32a017702de44p-2, 0x1.30e7ebdacf1aap-2, 0x1.2f27aec626286p-2, 0x1.2d5f997dafae7p-2, 0x1.2b8fe5573cd9ap-2, 0x1.29b8cbaba4e4fp-2, 0x1.27da85cf8c9a1p-2, 0x1.25f54d0c47c47p-2, 0x1.24095a98d88c7p-2, 0x1.2216e793037e5p-2, 0x1.201e2cf882cafp-2, 0x1.1e1f63a04ff6cp-2, 0x1.1c1ac4340b70ep-2, 0x1.1a1087297ccb2p-2, 0x1.1800e4bc31bb3p-2, 0x1.15ec14e7354ccp-2, 0x1.13d24f5ee79ecp-2, 0x1.11b3cb8af1562p-2, 0x1.0f90c08056bafp-2, 0x1.0d6964fba68a9p-2, 0x1.0b3def5b4dbbap-2, 0x1.090e959a0615cp-2, 0x1.06db8d4968698p-2, 0x1.04a50b8ca1861p-2, 0x1.026b4513482c4p-2, 0x1.002e6e1454de3p-2, 0x1.fbdd749282889p-3, 0x1.f758b9d292dfdp-3, 0x1.f2cf1149a17aap-3, 0x1.ee40df41e2bebp-3, 0x1.e9ae86e6580bbp-3, 0x1.e5186a3a853c2p-3, 0x1.e07eea1270093p-3, 0x1.dbe2660af13cp-3, 0x1.d7433c8252666p-3, 0x1.d2a1ca9140ecfp-3, 0x1.cdfe6c040cb7cp-3, 0x1.c9597b543b534p-3, 0x1.c4b351a26b1dbp-3, 0x1.c00c46b08d882p-3, 0x1.bb64b0dc6a5a8p-3, 0x1.b6bce51a7f52bp-3, 0x1.b21536f128c66p-3, 0x1.ad6df87424dd7p-3, 0x1.a8c77a4060b09p-3, 0x1.a4220b781ab95p-3, 0x1.9f7df9bf5a957p-3, 0x1.9adb9138aba36p-3, 0x1.963b1c823860bp-3, 0x1.919ce4b329836p-3, 0x1.8d013159543d9p-3, 0x1.886848773c10ep-3, 0x1.83d26e825a1f6p-3, 0x1.7f3fe661b3a6bp-3, 0x1.7ab0f16cbd017p-3, 0x1.7625cf6a7b1dp-3, 0x1.719ebe90fce4ap-3, 0x1.6d1bfb850dda2p-3, 0x1.689dc15a3452dp-3, 0x1.64244992f0cd2p-3, 0x1.5fafcc2141p-3, 0x1.5b407f6766a5cp-3, 0x1.56d69838e4cfdp-3, 0x1.527249dbc71ddp-3, 0x1.4e13c60a19555p-3, 0x1.49bb3cf3a0f23p-3, 0x1.4568dd3fce214p-3, 0x1.411cd40fe0a0cp-3, 0x1.3cd74d01478f9p-3, 0x1.389872302e18cp-3, 0x1.34606c3a406acp-3, 0x1.302f62419ae6fp-3, 0x1.2c0579efee184p-3, 0x1.27e2d779c87c4p-3, 0x1.23c79da2118ecp-3, 0x1.1fb3edbda803fp-3, 0x1.1ba7e7b72a3bep-3, 0x1.17a3aa12e5698p-3, 0x1.13a751f2e2a1ap-3, 0x1.0fb2fb1b1e22fp-3, 0x1.0bc6bff5d9e29p-3, 0x1.07e2b9980b5cbp-3, 0x1.0406ffc5ee577p-3, 0x1.0033a8f7abe08p-3, 0x1.f8d194bc375c3p-4, 0x1.f14cefcf434bdp-4, 0x1.e9d9888a36727p-4, 0x1.e27781ddcac4p-4, 0x1.db26fc53e86f5p-4, 0x1.d3e81619f2ef9p-4, 0x1.ccbaeb0b42191p-4, 0x1.c59f94bbacbd4p-4, 0x1.be962a82286b4p-4, 0x1.b79ec183952b7p-4, 0x1.b0b96cbd806f2p-4, 0x1.a9e63d1113fb3p-4, 0x1.a325414dff8bcp-4, 0x1.9c76863d79566p-4, 0x1.95da16ad4400dp-4, 0x1.8f4ffb7abaec4p-4, 0x1.88d83b9de4a99p-4, 0x1.8272dc3486d59p-4, 0x1.7c1fe08d38b9ep-4, 0x1.75df4a327485ep-4, 0x1.6fb118f5a3f43p-4, 0x1.69954afa26f59p-4, 0x1.638bdcc050812p-4, 0x1.5d94c930584fep-4, 0x1.57b009a544da3p-4, 0x1.51dd95f7c11aap-4, 0x1.4c1d6488e686cp-4, 0x1.466f6a4cf3ae9p-4, 0x1.40d39ad5f3067p-4, 0x1.3b49e85e490fcp-4, 0x1.35d243d32e742p-4, 0x1.306c9cdf147c5p-4, 0x1.2b18e1f3ee9d7p-4, 0x1.25d70055649ffp-4, 0x1.20a6e422e7bfbp-4, 0x1.1b887861ac878p-4, 0x1.167ba70687d2fp-4, 0x1.118058ffaf7dp-4, 0x1.0c96763e583ap-4, 0x1.07bde5c037d29p-4, 0x1.02f68d98e42f9p-4, 0x1.fc80a5f624c2cp-5, 0x1.f3363483616b6p-5, 0x1.ea0d8df1cb6b7p-5, 0x1.e10677cdc653p-5, 0x1.d820b62933ef5p-5, 0x1.cf5c0bac8fb11p-5, 0x1.c6b839a7c7389p-5, 0x1.be350022c4123p-5, 0x1.b5d21deda865p-5, 0x1.ad8f50b0c2cc2p-5, 0x1.a56c54fc395bap-5, 0x1.9d68e65763047p-5, 0x1.9584bf4fd76f6p-5, 0x1.8dbf998832d8ap-5, 0x1.86192dc688a46p-5, 0x1.7e9134028c6a9p-5, 0x1.7727637369bc4p-5, 0x1.6fdb729d55e4p-5, 0x1.68ad175ece9ep-5, 0x1.619c06fd8ab3ap-5, 0x1.5aa7f63320b47p-5, 0x1.53d099395ede7p-5, 0x1.4d15a3d65a8bep-5, 0x1.4676c96831df3p-5, 0x1.3ff3bcf07d367p-5, 0x1.398c311f7c5c8p-5, 0x1.333fd85ef544cp-5, 0x1.2d0e64dcc66cap-5, 0x1.26f7889539345p-5, 0x1.20faf55d00d49p-5, 0x1.1b185ceaf7e29p-5, 0x1.154f70e18f044p-5, 0x1.0f9fe2d7fe11dp-5, 0x1.0a09646328294p-5, 0x1.048ba71e40c75p-5, 0x1.fe4cb9664c923p-6, 0x1.f3b26dc4f49p-6, 0x1.e947cf16f541cp-6, 0x1.df0c416728395p-6, 0x1.d4ff291b6f0cdp-6, 0x1.cb1feb02e311fp-6, 0x1.c16dec6377a8p-6, 0x1.b7e8930724e1bp-6, 0x1.ae8f4548a3b3ep-6, 0x1.a5616a1fa2556p-6, 0x1.9c5e692c8da7ep-6, 0x1.9385aac3e469bp-6, 0x1.8ad697f91211bp-6, 0x1.82509aa8deb69p-6, 0x1.79f31d836c41fp-6, 0x1.71bd8c15cce66p-6, 0x1.69af52d331709p-6, 0x1.61c7df1da15fcp-6, 0x1.5a069f4e6bec5p-6, 0x1.526b02be06af9p-6, 0x1.4af479cbb400bp-6, 0x1.43a275e4bb8b1p-6, 0x1.3c74698b38a28p-6, 0x1.3569c85ca6729p-6, 0x1.2e820717fb963p-6, 0x1.27bc9ba37d34fp-6, 0x1.2118fd1231b86p-6, 0x1.1a96a3a90a527p-6, 0x1.143508e3b1093p-6, 0x1.0df3a77913349p-6, 0x1.07d1fb5f94ba8p-6, 0x1.01cf81d101d97p-6, 0x1.f7d7729c5091dp-7, 0x1.ec4c43446d4c6p-7, 0x1.e0fc77cba3fb8p-7, 0x1.d5e71503c884bp-7, 0x1.cb0b22646388cp-7, 0x1.c067aa0f50959p-7, 0x1.b5fbb8d4d80d1p-7, 0x1.abc65e375e16p-7, 0x1.a1c6ac6ea52edp-7, 0x1.97fbb86a829b3p-7, 0x1.8e6499d535efp-7, 0x1.85006b155f7cdp-7, 0x1.7bce494f8bcf2p-7, 0x1.72cd546741df3p-7, 0x1.69fcaeffcf274p-7, 0x1.615b7e7ca4856p-7, 0x1.58e8eb0162e5ep-7, 0x1.50a41f7197b5bp-7, 0x1.488c497007554p-7, 0x1.40a0995dcbea3p-7, 0x1.38e0425903768p-7, 0x1.314a7a3b573b4p-7, 0x1.29de799816994p-7, 0x1.229b7bba208c1p-7, 0x1.1b80bea189726p-7, 0x1.148d8300f8802p-7, 0x1.0dc10c3adb641p-7, 0x1.071aa05e3aa57p-7, 0x1.009988237f5f1p-7, 0x1.f47a1dd1b636p-8, 0x1.e809055d437f2p-8, 0x1.dbde68269633bp-8, 0x1.cff8ec9ee570ep-8, 0x1.c4573e62f9261p-8, 0x1.b8f80e326c13p-8, 0x1.adda11e65a8fep-8, 0x1.a2fc0467f8d82p-8, 0x1.985ca5a6c7194p-8, 0x1.8dfaba8e74291p-8, 0x1.83d50cfcb541bp-8, 0x1.79ea6bb68d57ep-8, 0x1.7039aa5da6bd1p-8, 0x1.66c1a1655b212p-8, 0x1.5d812e0775351p-8, 0x1.54773238d30fep-8, 0x1.4ba2949dee65cp-8, 0x1.4302407f0d7dap-8, 0x1.3a9525bc99de2p-8, 0x1.325a38c2f4f06p-8, 0x1.2a50727e7c7c3p-8, 0x1.2276d04f44d52p-8, 0x1.1acc53fcd1e7bp-8, 0x1.135003a997fa5p-8, 0x1.0c00e9c6996dp-8, 0x1.04de1506c0a2bp-8, 0x1.fbcd30a47735cp-9, 0x1.ee331573be4a6p-9, 0x1.e0ec0ed4b8666p-9, 0x1.d3f65b3ee4236p-9, 0x1.c750412e6ffdfp-9, 0x1.baf80f0a5b39fp-9, 0x1.aeec1b0b03fe5p-9, 0x1.a32ac3204f8adp-9, 0x1.97b26cd7fb87p-9, 0x1.8c818543fc43bp-9, 0x1.819680e0d3aaap-9, 0x1.76efdb7bfbe26p-9, 0x1.6c8c181a3dae6p-9, 0x1.6269c0de4aec3p-9, 0x1.588766ef48be4p-9, 0x1.4ee3a25f6a998p-9, 0x1.457d1212e1344p-9, 0x1.3c525ba6936a6p-9, 0x1.33622b57042a2p-9, 0x1.2aab33e7a507dp-9, 0x1.222c2e89c7fcfp-9, 0x1.19e3dac4493ep-9, 0x1.11d0fe5ad68adp-9, 0x1.09f26535c4ed7p-9, 0x1.0246e149b0fcep-9, 0x1.f59a94ff89451p-10, 0x1.e708fd3b61bf1p-10, 0x1.d8d6c25c3834dp-10, 0x1.cb01b6d220d89p-10, 0x1.bd87b8399a055p-10, 0x1.b066af2d4c484p-10, 0x1.a39c8f185f086p-10, 0x1.972756093b84dp-10, 0x1.8b050c844fd37p-10, 0x1.7f33c557e0164p-10, 0x1.73b19d6f7c7e6p-10, 0x1.687cbba903a06p-10, 0x1.5d9350a8f7648p-10, 0x1.52f396afd06bbp-10, 0x1.489bd16fdbf05p-10, 0x1.3e8a4de32a8aap-10, 0x1.34bd622268052p-10, 0x1.2b336d3c1e267p-10, 0x1.21ead70bc7116p-10, 0x1.18e2101257b23p-10, 0x1.1017914e6055bp-10, 0x1.0789dc154c5bbp-10, 0x1.fe6ef3d9802b5p-11, 0x1.ee3df8c95881dp-11, 0x1.de7df9e340a85p-11, 0x1.cf2c398f6cf94p-11, 0x1.c046096c3715dp-11, 0x1.b1c8ca059928cp-11, 0x1.a3b1ea8e61d6cp-11, 0x1.95fee899a0b42p-11, 0x1.88ad4fd50d209p-11, 0x1.7bbab9c506f71p-11, 0x1.6f24cd8159cbdp-11, 0x1.62e93f721a82fp-11, 0x1.5705d10f9414p-11, 0x1.4b7850a010372p-11, 0x1.403e98f996bb9p-11, 0x1.3556914277049p-11, 0x1.2abe2cb3fb3eep-11, 0x1.20736a5dc1173p-11, 0x1.167454e9bf619p-11, 0x1.0cbf0261761d5p-11, 0x1.035193f392375p-11, 0x1.f4546b76b3eccp-12, 0x1.e28e3d10557d1p-12, 0x1.d14d1f4daeb9cp-12, 0x1.c08da954f1601p-12, 0x1.b04c866f09435p-12, 0x1.a086759d447d3p-12, 0x1.913849332dba9p-12, 0x1.825ee66fe5baap-12, 0x1.73f7451a85ac7p-12, 0x1.65fe6f1fb18bcp-12, 0x1.58718031052a7p-12, 0x1.4b4da56520a8ap-12, 0x1.3e901cdb3356p-12, 0x1.3236355fa9827p-12, 0x1.263d4e1160839p-12, 0x1.1aa2d608d72f2p-12, 0x1.0f644c0181f88p-12, 0x1.047f3e0498e89p-12, 0x1.f3e29228f1b3ep-13, 0x1.df7031b669851p-13, 0x1.cba2ceb26f4e4p-13, 0x1.b875f92c137d7p-13, 0x1.a5e55ca3e820bp-13, 0x1.93ecbf72d40e5p-13, 0x1.8288023595cffp-13, 0x1.71b31f381a6a8p-13, 0x1.616a29e61d07dp-13, 0x1.51a94e3bb3b66p-13, 0x1.426cd03b56944p-13, 0x1.33b10b64a507cp-13, 0x1.2572722f8528ep-13, 0x1.17ad8d874edfdp-13, 0x1.0a5efc4c4434ap-13, 0x1.fb06e5a83975fp-14, 0x1.e22f74db3a06ep-14, 0x1.ca3161d0775dbp-14, 0x1.b3069039c9dd1p-14, 0x1.9ca90af3fc92p-14, 0x1.87130320e0f4ep-14, 0x1.723ecf4922698p-14, 0x1.5e26ea8038b33p-14, 0x1.4ac5f38d1a33ap-14, 0x1.3816ac16cbep-14, 0x1.2613f7d92243fp-14, 0x1.14b8dbd7cfa6dp-14, 0x1.04007d9aabe13p-14, 0x1.e7cc44d4d6af7p-15, 0x1.c8ca5d295cf94p-15, 0x1.aaf2496022459p-15, 0x1.8e3b49cf63ba2p-15, 0x1.729cd891b49aep-15, 0x1.580ea82a56df6p-15, 0x1.3e88a2309ab38p-15, 0x1.2602e6000d13p-15, 0x1.0e75c772d6844p-15, 0x1.efb39b3ebe46p-16, 0x1.c44f63419d4bbp-16, 0x1.9ab0baca0a61ap-16, 0x1.72c9d5079198ep-16, 0x1.4c8d422bcdf2ep-16, 0x1.27eded3231fe4p-16, 0x1.04df19abcef3dp-16, 0x1.c6a8c330ef5aap-17, 0x1.868366a38518cp-17, 0x1.49369f009d0e6p-17, 0x1.0eab8e3c3be5dp-17, 0x1.ad97e5db463bdp-18, 0x1.4304490d3e3c9p-18, 0x1.bae43e20ddc98p-19, 0x1.f2e18f27fd951p-20, 0x1.057976a95dab1p-21, -0x1.b6829b6f67708p-21, -0x1.13d7d18953d7cp-19, -0x1.b1909f7e267e3p-19, -0x1.2389464016559p-18, -0x1.6a518fef738f3p-18, -0x1.ad42fc6490684p-18, -0x1.ec7e6d48f769cp-18, -0x1.1411ee1bda519p-17, -0x1.3029304d4d4dcp-17, -0x1.4a941ab453fdcp-17, -0x1.63615f4e20aedp-17, -0x1.7a9f475cefccdp-17, -0x1.905bb5fbf4ee3p-17, -0x1.a4a42abe7f154p-17, -0x1.b785c433ee569p-17, -0x1.c90d425eeec4dp-17, -0x1.d947091990e2p-17, -0x1.e83f2277b048p-17, -0x1.f601410b4c016p-17, -0x1.014c6113f4f1bp-16, -0x1.070858045fb92p-16, -0x1.0c39e1ff1c9e3p-16, -0x1.10e6343b9b8e2p-16, -0x1.15125d8b4f04p-16, -0x1.18c347536a93dp-16, -0x1.1bfdb68309482p-16, -0x1.1ec64c8a01a82p-16, -0x1.212188431d904p-16, -0x1.2313c6da09528p-16, -0x1.24a144a6e71f7p-16, -0x1.25ce1e1264033p-16, -0x1.269e506504df6p-16, -0x1.2715ba9a310adp-16, -0x1.27381e2e3d323p-16, -0x1.27091fe0933b8p-16, -0x1.268c487a032cp-16, -0x1.25c505858ace1p-16, -0x1.24b6aa0b9bc5dp-16, -0x1.23646f40af206p-16, -0x1.21d175392c381p-16, -0x1.2000c39329eb4p-16, -0x1.1df54a1db5b7ep-16, -0x1.1bb1e17b0ed8bp-16, -0x1.19394bbdbf0e9p-16, -0x1.168e350354afp-16, -0x1.13b3340aaa318p-16, -0x1.10aacac7c714ep-16, -0x1.0d7766efe9f7ep-16, -0x1.0a1b628c02a5fp-16, -0x1.0699047d447f7p-16, -0x1.02f280fe81fbcp-16, -0x1.fe53f45408182p-17, -0x1.f68300e27c148p-17, -0x1.ee76263a86bcp-17, -0x1.e63141866674dp-17, -0x1.ddb80f7648766p-17, -0x1.d50e2d244ea44p-17, -0x1.cc3718e8bc91ep-17, -0x1.c336333e8a99fp-17, -0x1.ba0ebf88a6633p-17, -0x1.b0c3e4e901c32p-17, -0x1.a758aeff07caap-17, -0x1.9dd00eae97baap-17, -0x1.942cdae5a617bp-17, -0x1.8a71d148b53c6p-17, -0x1.80a196ea7647ap-17, -0x1.76beb8fd5b5e3p-17, -0x1.6ccbad7761fadp-17, -0x1.62cad3c09c675p-17, -0x1.58be754d4a632p-17, -0x1.4ea8c6416915ap-17, -0x1.448be6078b276p-17, -0x1.3a69dfe716f03p-17, -0x1.3044ab96f2f58p-17, -0x1.261e2dc877b43p-17, -0x1.1bf838b4daa94p-17, -0x1.11d48c9f4f68ap-17, -0x1.07b4d85a9ddc5p-17, -0x1.fb357396cb504p-18, -0x1.e70f7cc1aa6e3p-18, -0x1.d2fac71b40f73p-18, -0x1.befa2e802969p-18, -0x1.ab1070a132befp-18, -0x1.97402deecb664p-18, -0x1.838bea6661a21p-18, -0x1.6ff60e6d11171p-18, -0x1.5c80e7983f651p-18, -0x1.492ea97861006p-18, -0x1.36016e61d8aa4p-18, -0x1.22fb382684abcp-18, -0x1.101df0d29d7b3p-18, -0x1.fad6d6ae8e63dp-19, -0x1.d5cac8818d787p-19, -0x1.b11b04c41b903p-19, -0x1.8ccaaeefd9cc4p-19, -0x1.68dcc19418d22p-19, -0x1.45540f9fc584cp-19, -0x1.2233457e8ff91p-19, -0x1.fef9d4ab97301p-20, -0x1.ba66c23d11f0bp-20, -0x1.76b1d37e26feep-20, -0x1.33df442bb3b39p-20, -0x1.e3e61c6254b51p-21, -0x1.61e1d6fde879dp-21, -0x1.c371613cf2c4p-22, -0x1.8dc4a6473f23p-23, 0x1.8eeb1dbf0c57bp-25, 0x1.26c28be7c8928p-22, 0x1.0be1640a6b2b4p-21, 0x1.826a46dcc42eap-21, 0x1.f6f78f5fa639dp-21, 0x1.34c2a0a715dc3p-20, 0x1.6d07e01473642p-20, 0x1.a449e60b1fb39p-20, 0x1.da873f4b9b0e5p-20, 0x1.07df51f862b1p-19, 0x1.21f77b08bde9dp-19, 0x1.3b8ba01277403p-19, 0x1.549b59f3fbd69p-19, 0x1.6d26546ec9567p-19, 0x1.852c4d8dedc31p-19, 0x1.9cad1503277ep-19, 0x1.b3a88b9198c6cp-19, 0x1.ca1ea26b37e02p-19, 0x1.e00f5aac8ca4p-19, 0x1.f57ac4ceecd9bp-19, 0x1.05308008d0f9ep-18, 0x1.0f611cfd43ea2p-18, 0x1.194f56e6b11f9p-18, 0x1.22fb5209d2f54p-18, 0x1.2c65390b982e1p-18, 0x1.358d3cb50678ep-18, 0x1.3e7393c31bc2cp-18, 0x1.47187aa14a4b9p-18, 0x1.4f7c333419f3cp-18, 0x1.579f04a93e4dap-18, 0x1.5f813b3c383a5p-18, 0x1.67232807e2aep-18, 0x1.6e8520d055c2bp-18, 0x1.75a77fd69c05cp-18, 0x1.7c8aa3aaf51cbp-18, 0x1.832eeef8cb78cp-18, 0x1.8994c863db08ap-18, 0x1.8fbc9a56b4a1ap-18, 0x1.95a6d2d90f6bep-18, 0x1.9b53e36702e8bp-18, 0x1.a0c440c9d7aabp-18, 0x1.a5f862f165dcap-18, 0x1.aaf0c4ce8c3b3p-18, 0x1.afade42e53ff2p-18, 0x1.b430419e4c851p-18, 0x1.b878603da5a49p-18, 0x1.bc86c5a2ec6d4p-18, 0x1.c05bf9ba93ca8p-18, 0x1.c3f886a7f6f94p-18, 0x1.c75cf8a4ab5aep-18, 0x1.ca89dde33188ap-18, 0x1.cd7fc673106b3p-18, 0x1.d03f442809885p-18, 0x1.d2c8ea7788563p-18, 0x1.d51d4e64dc9efp-18, 0x1.d73d0669543bfp-18, 0x1.d928aa52c6e5cp-18, 0x1.dae0d32ce2536p-18, 0x1.dc661b2ddac9fp-18, 0x1.ddb91d9bb5ff9p-18, 0x1.deda76b9c899ep-18, 0x1.dfcac3aefb3fdp-18, 0x1.e08aa27ac51d4p-18, 0x1.e11ab1d5901b5p-18, 0x1.e17b9120e73d4p-18, 0x1.e1ade053d0248p-18, 0x1.e1b23feba6a78p-18, 0x1.e18950d58204dp-18, 0x1.e133b46003742p-18, 0x1.e0b20c272677fp-18, 0x1.e004fa0c9e15ep-18, 0x1.df2d201bbc0d3p-18, 0x1.de2b20821e2fep-18, 0x1.dcff9d818bf12p-18, 0x1.dbab39612907dp-18, 0x1.da2e9657b0c97p-18, 0x1.d88a568373faep-18, 0x1.d6bf1bdd9bc7p-18, 0x1.d4cd882d7714ep-18, 0x1.d2b63cf9d661ep-18, 0x1.d079db83c2cdep-18, 0x1.ce1904b5980e6p-18, 0x1.cb94591897fe9p-18, 0x1.c8ec78c9c2d62p-18, 0x1.c622036f68fecp-18, 0x1.c335983257d34p-18, 0x1.c027d5b070393p-18, 0x1.bcf959f43cafp-18, 0x1.b9aac26e85ce4p-18, 0x1.b63cabeb69585p-18, 0x1.b2afb2878321p-18, 0x1.af0471add5d04p-18, 0x1.ab3b840de1e14p-18, 0x1.a7558393df1d7p-18, 0x1.a353095e673bdp-18, 0x1.9f34adb86047fp-18, 0x1.9afb0813da971p-18, 0x1.96a6af03d8e31p-18, 0x1.923838354fc8cp-18, 0x1.8db0386a3b145p-18, 0x1.890f4378569d5p-18, 0x1.8455ec3ab4a33p-18, 0x1.7f84c48fbf58ep-18, 0x1.7a9c5d5667bdcp-18, 0x1.759d4667c7ac1p-18, 0x1.70880e930b925p-18, 0x1.6b5d439855054p-18, 0x1.661d7227204ecp-18, 0x1.60c925d861464p-18, 0x1.5b60e928729ddp-18, 0x1.55e5457558db6p-18, 0x1.5056c2fed6cf9p-18, 0x1.4ab5e8e267292p-18, 0x1.45033d12ea257p-18, 0x1.3f3f4456e9b0ap-18, 0x1.396a8249a80b9p-18, 0x1.33857955446bep-18, 0x1.2d90aab19b0adp-18, 0x1.278c965fd45d8p-18, 0x1.2179bb2cbce38p-18, 0x1.1b5896b14a50ap-18, 0x1.1529a54995abbp-18, 0x1.0eed620fdd4b8p-18, 0x1.08a446e4899d9p-18, 0x1.024ecc693cae6p-18, 0x1.f7dad3fc57566p-19, 0x1.eb012b8476d5cp-19, 0x1.de1189232d664p-19, 0x1.d10cd40e8f97bp-19, 0x1.c3f3f0ea2ca4p-19, 0x1.b6c7c1cf9174dp-19, 0x1.a9892651c0f71p-19, 0x1.9c38fb7a4ec69p-19, 0x1.8ed81bc3486e5p-19, 0x1.81675f1208b36p-19, 0x1.73e79abd28dcbp-19, 0x1.6659a191dd40ap-19, 0x1.58be43c8ab788p-19, 0x1.4b164f0ccc982p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      79, 0x1.fa3d70a3d70a4p+2, 0x1.bb0c08575090bp+2, 0x1.6bd6e9e64793ap+4, 0x1.7cae7b6411484p-8, 
      {{
        {0x1.00a3d70a3d70ap+2, 0x1.0333333333333p+2, 0x1.96d2f34b88a82p-7, -0x1.76a8401ad7912p-5, 0x1.443361833fb09p-3, -0x1.f6f152e8fdc42p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.62a9d422a117fp-7, -0x1.1891cad6988b4p-5, 0x1.07d8fb674a327p-3, -0x1.d52b872d5bc17p-3}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.342a412120817p-7, -0x1.7a360cfc005bbp-6, 0x1.82f1b4a75f453p-4, -0x1.b06dd61e87002p-3}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.1537ccbe69c8ap-7, -0x1.f2c22842917cfp-7, 0x1.0137279e36c33p-4, -0x1.9684d1350403bp-3}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.009c7f5428b78p-7, -0x1.55c4b107cc8fcp-7, 0x1.0e8504e96b1ebp-5, -0x1.42d1090198b7fp-3}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.e32a38caeb90cp-8, -0x1.104c68776c5c2p-7, 0x1.335197a1d7913p-7, -0x1.7204262b0c42ap-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c91a065cac091p-8, -0x1.f9558befc7f13p-8, 0x1.553c695340dbep-9, 0x1.2a0cf57e437c3p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.b04c7b0c29ae2p-8, -0x1.e609780778ac6p-8, 0x1.aea6b2f921e73p-9, -0x1.008590ef0e029p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.9884e946d6746p-8, -0x1.d177651064265p-8, 0x1.882c43a212ffcp-9, -0x1.ab272998d1a71p-13}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.81bc027a15495p-8, -0x1.bdf535f3be49fp-8, 0x1.842b18d7d76fp-9, -0x1.5ba74734644a6p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.6bea92888145ap-8, -0x1.aae017bc99b11p-8, 0x1.77219fc5e0792p-9, -0x1.15a754765b7c1p-11}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.57097fc9edaedp-8, -0x1.98610c632331bp-8, 0x1.6cb82634a3715p-9, -0x1.22f329c4ca398p-11}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.4311cb0b65f6fp-8, -0x1.866a78094002fp-8, 0x1.61cf07d6dbdbfp-9, -0x1.19ed4e6e03a84p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2ffc8f8f2dbbdp-8, -0x1.74fd613cd9a94p-8, 0x1.573c8819221f2p-9, -0x1.16e26d9ec8497p-11}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.1dc3030cc0c95p-8, -0x1.6416e2b20ffbbp-8, 0x1.4cc73d966102cp-9, -0x1.123d5357656c6p-11}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0c5e75b0d3165p-8, -0x1.53b52418253a6p-8, 0x1.427e8a764d351p-9, -0x1.0e062468a8f3cp-11}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.f790a43aa18d5p-9, -0x1.43d6050b9bc43p-8, 0x1.385e4f7f2d459p-9, -0x1.09b1818fa7e96p-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.d7f43ad2bc54dp-9, -0x1.34777878d3053p-8, 0x1.2e67a77030934p-9, -0x1.0564c30701e2fp-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b9daee42af7c4p-9, -0x1.25976c1f761cdp-8, 0x1.249a468653b43p-9, -0x1.0115e7270e41bp-11}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.9d38328da456ep-9, -0x1.1733cf222442cp-8, 0x1.1af6410e765e9p-9, -0x1.f98f38a891fa1p-12}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.81ffb0a1348f2p-9, -0x1.094a904460a6ap-8, 0x1.117b91981a086p-9, -0x1.f0f2554784c73p-12}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.682546556a295p-9, -0x1.f7b33cc654fbbp-9, 0x1.082a39985c57dp-9, -0x1.e85586ba89cd4p-12}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.4f9d066cbf826p-9, -0x1.ddbdd0a959cc7p-9, 0x1.fe04715686b8p-10, -0x1.dfb8b298d4f0dp-12}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.385b38941f4fap-9, -0x1.c4b0b9e1cec7fp-9, 0x1.ec071dd731eedp-10, -0x1.d71bdff5d3124p-12}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.22545962e4a09p-9, -0x1.ac87d61eb7ec2p-9, 0x1.da5c78a4606b1p-10, -0x1.ce7f0cec75fcep-12}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0d7d1a5adadcdp-9, -0x1.953f030f5c7e1p-9, 0x1.c90481c1e8cb3p-10, -0x1.c5e239fe60a92p-12}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.f394c3d07b88ep-10, -0x1.7ed21e62f1be8p-9, 0x1.b7ff392ec52b6p-10, -0x1.bd4567091fa9bp-12}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.ce6296c372e28p-10, -0x1.693d05c8b1c17p-9, 0x1.a74c9eeb3a61cp-10, -0x1.b4a8941599613p-12}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.ab4e4e10d4aa1p-10, -0x1.547b96efd54c7p-9, 0x1.96ecb2f737d45p-10, -0x1.ac0bc121defb6p-12}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.8a42f40fba77ep-10, -0x1.4089af8795844p-9, 0x1.86df7552bf77dp-10, -0x1.a36eee2dd6e69p-12}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.6b2bfcec1e92ap-10, -0x1.2d632d3f2b6cep-9, 0x1.7724e5fdd4358p-10, -0x1.9ad21b3a567f5p-12}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.4df546a6dbf55p-10, -0x1.1b03edc5d0189p-9, 0x1.67bd04f870f73p-10, -0x1.9235484638bc9p-12}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.328b1915ae4b4p-10, -0x1.0967cecabc94cp-9, 0x1.58a7d2429ba39p-10, -0x1.89987552abfa7p-12}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.18da25e331f23p-10, -0x1.f1155bfa53d6ep-10, 0x1.49e54ddc4ec9cp-10, -0x1.80fba25ecc1c4p-12}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.00cf888ee3fa2p-10, -0x1.d0d0d218a26c5p-10, 0x1.3b7577c58d88ep-10, -0x1.785ecf6adcbfdp-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.d4b18cda44472p-11, -0x1.b1f9bb4ed6ec7p-10, 0x1.2d584ffe5875p-10, -0x1.6fc1fc77401ddp-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.aac79d4e55c4bp-11, -0x1.9487d2fb637aap-10, 0x1.1f8dd686ac73dp-10, -0x1.672529835c0d1p-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.83bdf4763ab5ap-11, -0x1.7872d47cba3f1p-10, 0x1.12160b5e8c334p-10, -0x1.5e88568f7c434p-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.5f7217f7f2c6ap-11, -0x1.5db27b314d42p-10, 0x1.04f0ee85f78a4p-10, -0x1.55eb839be41b3p-12}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.3dc261233f0acp-11, -0x1.443e82778eb14p-10, 0x1.f03cfff9d792ap-11, -0x1.4d4eb0a7c98e3p-12}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.1e8dfcf1a1f4ap-11, -0x1.2c0ea5adf09ccp-10, 0x1.d73d7f86dba8p-11, -0x1.44b1ddb457aaap-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.01b4ec065f5ddp-11, -0x1.151aa032e5274p-10, 0x1.bee35bb2eeae8p-11, -0x1.3c150ac033237p-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.ce30055cf9008p-12, -0x1.feb45ac9bcdf4p-11, 0x1.a72e947e1e0bfp-11, -0x1.337837cc9d66fp-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.9d31d1c17ff87p-12, -0x1.d58a11449d03ep-11, 0x1.901f29e85f0a4p-11, -0x1.2adb64d8c9cd8p-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.7034347b63a9ep-12, -0x1.aea5da934f26p-11, 0x1.79b51bf1b64e2p-11, -0x1.223e91e4caf77p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.46fdcc1f36e01p-12, -0x1.89f72d72b7479p-11, 0x1.63f06a9a27154p-11, -0x1.19a1bef1617efp-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.2156de950f32p-12, -0x1.676d809fb9d14p-11, 0x1.4ed115e1a62bdp-11, -0x1.1104ebfd14128p-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.fe12b23109ecdp-13, -0x1.46f84ad73ae04p-11, 0x1.3a571dc844aa8p-11, -0x1.08681909cd36bp-12}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.bfc1a07166a74p-13, -0x1.288702d61eb28p-11, 0x1.2682824deedfbp-11, -0x1.ff968c2adc897p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.8754ffb070613p-13, -0x1.0c091f594976cp-11, 0x1.13534372b9cddp-11, -0x1.ee5ce6446bfe6p-13}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.546a965a68864p-13, -0x1.e2dc2e3b3edp-12, 0x1.00c961368f5acp-11, -0x1.dd23405bb932cp-13}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.26a3798295fd8p-13, -0x1.b14ac1c0098e7p-12, 0x1.ddc9b7330a6b7p-12, -0x1.cbe99a75a1eddp-13}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.fb4819c68a953p-14, -0x1.833ce6babc00bp-12, 0x1.bb4b653704acfp-12, -0x1.baaff48bbea09p-13}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.b22805bb90d0dp-14, -0x1.58918aa51dd9p-12, 0x1.9a17cc7956606p-12, -0x1.a9764ea62b1fdp-13}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.713cb8f4ee22p-14, -0x1.31279af8f74adp-12, 0x1.7a2eecf9acbe2p-12, -0x1.983ca8bdd2902p-13}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.37e2d2d15ccp-14, -0x1.0cde053012021p-12, 0x1.5b90c6b83cf37p-12, -0x1.870302d65fb65p-13}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.057d8ffda20ep-14, -0x1.d7276d886bbebp-13, 0x1.3e3d59b4f5c5fp-12, -0x1.75c95cee429d5p-13}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.b2ed94e91d2cp-15, -0x1.9a4f3a5e55f85p-13, 0x1.2234a5efe3fa2p-12, -0x1.648fb7071228dp-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.667df2fdfc2cp-15, -0x1.62f14bd573634p-13, 0x1.0776ab68f5d05p-12, -0x1.5356111f39776p-13}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.249a6367aeb81p-15, -0x1.30cb7ce15537bp-13, 0x1.dc06d4406fceep-13, -0x1.421c6b38edf8p-13}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.d87c93e0311p-16, -0x1.039ba8758e61bp-13, 0x1.abb5c42b18ea1p-13, -0x1.30e2c54e7ef5fp-13}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.78e489fa669p-16, -0x1.b63f530b59af9p-14, 0x1.7dfa269285deep-13, -0x1.1fa91f6a980c6p-13}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.28985b221f58p-16, -0x1.6e2ab60a86505p-14, 0x1.52d3fb75bbdd1p-13, -0x1.0e6f797eb9584p-13}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.cbbc5d274e901p-17, -0x1.2e752fcfc23cdp-14, 0x1.2a4342d5ecdc2p-13, -0x1.fa6ba7369a57fp-14}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.5e2d4186f2203p-17, -0x1.ed34ec845dcedp-15, 0x1.0447fcb1d47bep-13, -0x1.d7f85b62357d9p-14}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.057986bc729p-17, -0x1.8c2c7e91e8568p-15, 0x1.c1c45214edbeep-14, -0x1.b5850f8ee7467p-14}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.7d987522ec6p-18, -0x1.38c8819643f05p-15, 0x1.80238fbf7e41ap-14, -0x1.9311c3e3060b1p-14}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.0f0aaa7ff16p-18, -0x1.e400c2c0581e8p-16, 0x1.43adb25d708cfp-14, -0x1.709e77806a629p-14}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.74e6e5c945p-19, -0x1.6d9713786bb93p-16, 0x1.0c62ba0a2d63bp-14, -0x1.4e2b2ddbd6d6ep-14}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.ed99a2197efffp-20, -0x1.0c42ccfd814b7p-16, 0x1.b4854cb8cd875p-15, -0x1.2bb7d9ff8e215p-14}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.3783e9ecd6ffep-20, -0x1.7be58d7ddcbf3p-17, 0x1.5a9af1b8efb0ep-15, -0x1.0944ac3097be9p-14}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.725365cf3ep-21, -0x1.012bb2039a751p-17, 0x1.0b0657aa5bc4ep-15, -0x1.cda1e0de0be7fp-15}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.973d819eap-22, -0x1.486b63b533e57p-18, 0x1.8b8f52454d916p-16, -0x1.88be8cd424485p-15}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.93054a6c40001p-23, -0x1.83853a56a8f55p-19, 0x1.15bc8e6c0f79dp-16, -0x1.43cbc6c798e04p-15}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.57097fc9d0001p-24, -0x1.985f978c7c92p-20, 0x1.69320bf9f66dcp-17, -0x1.fe254a9aaa1d1p-16}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.ce6296c300001p-26, -0x1.6944dbeb97af6p-21, 0x1.a04db7fd86cb8p-18, -0x1.7304c71741ee8p-16}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.9d31d1c2p-28, -0x1.d515153d409efp-23, 0x1.8362811258144p-19, -0x1.dc53f9691c852p-17}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.249a6378p-31, -0x1.379ddb0bfb4ebp-25, 0x1.965a1419e8afap-21, -0x1.479a395864629p-18}, 
        {0x1.f99999999999ap+2, 0x1.fa3d70a3d70a4p+2, 0x1.ce62800000001p-42, 0x1.80c4b80efa99p-29, 0x1.a75382c7a0001p-26, -0x1.78619b74083b5p-13}, 
      }}, 
      0x1.8525ea7586815p-6, -0x1.c73e9327971c8p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.6c43f5f91600fp-6, -0x1.43fd0d0678cp-2, -0x1.8243dccea28fep-1, -0x1.077ccc0379314p-7, 0x1.779a6b50b0f28p-2, 0x1.779a6b50b0f28p-2, 0x1.779a6b50b0f28p-2, 0, 5, 2}, 
    {{
      {{-0x1.0d78116d3f8cep-2, -0x1.0c480769dac4dp-2, -0x1.0a4ab2e499831p-2, -0x1.07876fd7b9298p-2, -0x1.040aca426b36p-2, -0x1.ffc414cfe7051p-3, -0x1.f633d0e70c1ep-3, -0x1.eb7e7e8bc85b7p-3, -0x1.dfbfb4bef9c9bp-3, -0x1.d31511f5a481ep-3, -0x1.c59d26b82e73ap-3, -0x1.b7760a0f4c373p-3, -0x1.a8bc4f291d16dp-3, -0x1.998a9757499c3p-3, -0x1.89f9a5a04bcecp-3, -0x1.7a20ab0fa02e5p-3, -0x1.6a159079a69c7p-3, -0x1.59ed1ad2bd52bp-3, -0x1.49bae51647bd8p-3, -0x1.39913e2e52691p-3, -0x1.2980ffee27e68p-3, -0x1.19997174601f7p-3, -0x1.09e83f56ef15p-3, -0x1.f4f3166d4087p-4, -0x1.d6b01b365935dp-4, -0x1.b91a82ee87165p-4, -0x1.9c43209d0110ap-4, -0x1.8038efa2c3717p-4, -0x1.650949812a1b5p-4, -0x1.4ac00411c76dfp-4, -0x1.31677b2efc8acp-4, -0x1.19088c101971ap-4, -0x1.01aa89e59be48p-4, -0x1.d6a665bcd2b0bp-5, -0x1.ac0d5664c85dep-5, -0x1.838f0359c026dp-5, -0x1.5d2d7df991178p-5, -0x1.38e7fe5266b0ep-5, -0x1.16bb264e279afp-5, -0x1.ed429f0c0a257p-6, -0x1.b125bb5d4ecbdp-6, -0x1.790d1ffc58bfep-6, -0x1.44e399fa52b4dp-6, -0x1.1491cb303249ep-6, -0x1.cffd36f9bcb29p-7, -0x1.7e1f28d29e482p-7, -0x1.335251575df0bp-7, -0x1.debbaa2df932p-8, -0x1.640ed40ebe7ep-8, -0x1.ec4e5e111ae92p-9, -0x1.2917af3e563b3p-9, -0x1.f612d59603879p-11, 0x1.761ca6e001225p-13, 0x1.2d2915dbecaddp-10, 0x1.010cd1f7d0fd6p-9, 0x1.57c37d849f2f9p-9, 0x1.9bafdc1ddd32fp-9, 0x1.cdc6c2a7da47dp-9, 0x1.eef93a76e49ebp-9, 0x1.0019f595872acp-8, 0x1.012ecee885d52p-8, 0x1.f6575343e99ddp-9, 0x1.dcfa947605364p-9, 0x1.b71a58602d182p-9, 0x1.85815ece18818p-9, 0x1.48f351ffb3aap-9, 0x1.022c3f588995bp-9, 0x1.63c0aa03d787fp-10, 0x1.62f8acd9fe20dp-11, -0x1.128d72487a0ebp-14, -0x1.c5d456271607fp-11, -0x1.c2938848b80bcp-10, -0x1.577bb9d008c4dp-9, -0x1.d379cc5d3ce6cp-9, -0x1.2a5bd5362ca65p-8, -0x1.6d55ee8953364p-8, -0x1.b2691a2c539fp-8, -0x1.f9548d83c662ap-8, -0x1.20ecc3ef8c879p-7, -0x1.45dd8a0c030fdp-7, -0x1.6b5efb85c7a3ap-7, -0x1.915478fdce07fp-7, -0x1.b7a258b429b6ep-7, -0x1.de2df9bb59e21p-7, -0x1.026ee79709192p-6, -0x1.15ccb61fbdcf5p-6, -0x1.2924c8a58ccd5p-6, -0x1.3c6c1bafc0316p-6, -0x1.4f984d1c37efdp-6, -0x1.629f9fed43bb1p-6, -0x1.7578fe7b97776p-6, -0x1.881bfad871187p-6, -0x1.9a80cd5356e72p-6, -0x1.aca0511e9f71cp-6, -0x1.be73ff5dcd1bcp-6, -0x1.cff5e8d853b21p-6, -0x1.e120aea2cec1fp-6, -0x1.f1ef7a1dc87f5p-6, -0x1.012efa3f64fadp-5, -0x1.09341f137150cp-5, -0x1.110572f9a49c7p-5, -0x1.18a1704c97493p-5, -0x1.2006c0189ac8p-5, -0x1.273435ffa50fdp-5, -0x1.2e28cc40f0508p-5, -0x1.34e39ff225346p-5, -0x1.3b63ed71a638dp-5, -0x1.41a90d15eef58p-5, -0x1.47b2702d31156p-5, -0x1.4d7f9e4a1868ep-5, -0x1.531032ea40a41p-5, -0x1.5863db71f1f68p-5, -0x1.5d7a558641344p-5, -0x1.62536db581d08p-5, -0x1.66eefe6ba5727p-5, -0x1.6b4cef3775ce2p-5, -0x1.6f6d34338146dp-5, -0x1.734fcdb6f49acp-5, -0x1.76f4c815b3901p-5, -0x1.7a5c3b834a46cp-5, -0x1.7d864c114599bp-5, -0x1.807329928153ep-5, -0x1.83230fb31c1efp-5, -0x1.859645e41172ap-5, -0x1.87cd1f41aab25p-5, -0x1.89c7fa9b2ceccp-5, -0x1.8b87422791ad4p-5, -0x1.8d0b6b635b71bp-5, -0x1.8e54f6ddf5daap-5, -0x1.8f646fbc0b8b3p-5, -0x1.903a6b8290907p-5, -0x1.90d789a3ee8afp-5, -0x1.913c72de2ebb7p-5, -0x1.9169d8eb73473p-5, -0x1.916075dd11022p-5, -0x1.91210b6142aa9p-5, -0x1.90ac625a6ae62p-5, -0x1.90034a1b012dbp-5, -0x1.8f26979b9c1fdp-5, -0x1.8e17250518502p-5, -0x1.8cd5d0e51017ep-5, -0x1.8b637d5cce0b6p-5, -0x1.89c10fad3de2bp-5, -0x1.87ef6f7ef9b63p-5, -0x1.85ef8618a91cep-5, -0x1.83c23df8a86d8p-5, -0x1.816882465a167p-5, -0x1.7ee33e1ff28f3p-5, -0x1.7c335c4b9c9bep-5, -0x1.7959c6e28035dp-5, -0x1.765766c1eef28p-5, -0x1.732d2352ade29p-5, -0x1.6fdbe2782e436p-5, -0x1.6c648835b3918p-5, -0x1.68c7f67f9f88ep-5, -0x1.65070d6556b1p-5, -0x1.6122ab00cccb1p-5, -0x1.5d1bab4b049d8p-5, -0x1.58f2e85b318aep-5, -0x1.54a93aaf81907p-5, -0x1.503f791c2d815p-5, -0x1.4bb678e7df85fp-5, -0x1.470f0e49e6ceep-5, -0x1.424a0cacc48e7p-5, -0x1.3d6846a89ee07p-5, -0x1.386a8e530a5f5p-5, -0x1.3351b5cba0962p-5, -0x1.2e1e8f6ca2b29p-5, -0x1.28d1edce26fb3p-5, -0x1.236ca42637b43p-5, -0x1.1def86c65c2d8p-5, -0x1.185b6b3615d8p-5, -0x1.12b12830a4e0cp-5, -0x1.0cf195f92560fp-5, -0x1.071d8ebb14ffep-5, -0x1.0135ee8bbb3cdp-5, -0x1.f67726a987279p-6, -0x1.ea5eba193047cp-6, -0x1.de245bec54183p-6, -0x1.d1c9d508ba5cap-6, -0x1.c550f24ad9537p-6, -0x1.b8bb84bbb32aep-6, -0x1.ac0b61e605477p-6, -0x1.9f426362fc186p-6, -0x1.92626609de9edp-6, -0x1.856d49d5c240bp-6, -0x1.7864f247c5c1bp-6, -0x1.6b4b460567f41p-6, -0x1.5e222d91bff3p-6, -0x1.50eb927f9fdf7p-6, -0x1.43a95fc74708ep-6, -0x1.365d82059c254p-6, -0x1.2909e65d1bb7dp-6, -0x1.1bb078b5d8626p-6, -0x1.0e53232576debp-6, -0x1.00f3cea408676p-6, -0x1.e728c6700cd85p-7, -0x1.cc6d8cc704338p-7, -0x1.b1b9b21c6d63dp-7, -0x1.9710edfd14181p-7, -0x1.7c76efcd1de8ap-7, -0x1.61ef5fbc0cacdp-7, -0x1.477ddb9b64781p-7, -0x1.2d25f1fd1d904p-7, -0x1.12eb207362e18p-7, -0x1.f1a1ac075e26ap-8, -0x1.bdb4eb3cf9f26p-8, -0x1.8a16a8a51a3a7p-8, -0x1.56cd6836ca7d9p-8, -0x1.23df80c6b5e73p-8, -0x1.e2a63e1100d5fp-9, -0x1.7e5c9b38f06f3p-9, -0x1.1aedeee71e0d6p-9, -0x1.70cb81290375p-10, -0x1.5b3cd14f3b454p-11, 0x1.395f6278bbd53p-14, 0x1.a579b7e2a4db3p-11, 0x1.8fc21c268bf6ep-10, 0x1.25490d1fa61fep-9, 0x1.818cf6533241ap-9, 0x1.dca3c184fdea2p-9, 0x1.1b426a6b69095p-8, 0x1.4793f99eac015p-8, 0x1.734294a36723ep-8, 0x1.9e4a654d0c88p-8, 0x1.c8a7c0ffb1d48p-8, 0x1.f2573206b441p-8, 0x1.0daabc8338f66p-7, 0x1.21cfc2609484p-7, 0x1.359933b10bf4cp-7, 0x1.4905a93a06cc6p-7, 0x1.5c13ce271c895p-7, 0x1.6ec264b2a5d4ep-7, 0x1.811048531f702p-7, 0x1.92fc6b34190d9p-7, 0x1.a485d0df08124p-7, 0x1.b5ab8a4839454p-7, 0x1.c66cb60eab789p-7, 0x1.d6c88433a9172p-7, 0x1.e6be39d6cea3p-7, 0x1.f64d3196dd64fp-7, 0x1.02ba6bfe4a3d6p-6, 0x1.0a1a5343010fcp-6, 0x1.1146106b42b5p-6, 0x1.183d6ad880aadp-6, 0x1.1f00313f818fcp-6, 0x1.258e3b30dbbd7p-6, 0x1.2be7691df983dp-6, 0x1.320ba2bb9add5p-6, 0x1.37fad4db889dcp-6, 0x1.3db4f027c537dp-6, 0x1.4339e96f19075p-6, 0x1.4889bb17084fep-6, 0x1.4da4668f7ab4ep-6, 0x1.5289f4afb086bp-6, 0x1.573a74ad48b31p-6, 0x1.5bb5fa592536ep-6, 0x1.5ffc9cc08fc07p-6, 0x1.640e75f575f9ep-6, 0x1.67eba3f7a34e2p-6, 0x1.6b944a0c78193p-6, 0x1.6f08919b54f22p-6, 0x1.7248a9fad643ap-6, 0x1.7554c74ef9dd1p-6, 0x1.782d212ef2a9ap-6, 0x1.7ad1f1db1953fp-6, 0x1.7d437660c894bp-6, 0x1.7f81ef7d198f1p-6, 0x1.818da2ac52d74p-6, 0x1.8366dac26b22bp-6, 0x1.850de7b3e820cp-6, 0x1.86831db698c34p-6, 0x1.87c6d44248294p-6, 0x1.88d9657afcbaep-6, 0x1.89bb2e44c8575p-6, 0x1.8a6c8ee603f66p-6, 0x1.8aedebd9cf575p-6, 0x1.8b3fae603cb43p-6, 0x1.8b62447f6a3bbp-6, 0x1.8b56207c920dp-6, 0x1.8b1bb81e997c6p-6, 0x1.8ab3841d22739p-6, 0x1.8a1dfff8f387fp-6, 0x1.895baa4381716p-6, 0x1.886d052b4d8b5p-6, 0x1.875297063e6b6p-6, 0x1.860cea931bd39p-6, 0x1.849c8ed294689p-6, 0x1.830216916a21dp-6, 0x1.813e17e1d3e5fp-6, 0x1.7f512bbcf2ea9p-6, 0x1.7d3bede8da44p-6, 0x1.7afefd22eab7ep-6, 0x1.789afb75bde5ep-6, 0x1.76108e9071fc5p-6, 0x1.73605ff274de2p-6, 0x1.708b1cd402e7cp-6, 0x1.6d9175d7b5cep-6, 0x1.6a741ea7ecc1dp-6, 0x1.6733cda04ab0cp-6, 0x1.63d13b954a61cp-6, 0x1.604d23c17087ep-6, 0x1.5ca843d6d5fd5p-6, 0x1.58e35c289f976p-6, 0x1.54ff2fd431b8cp-6, 0x1.50fc84d24e2e2p-6, 0x1.4cdc23e55e527p-6, 0x1.489ed869f5735p-6, 0x1.44457012ad1bcp-6, 0x1.3fd0ba94f075ap-6, 0x1.3b41894df2dd4p-6, 0x1.3698aeefc95edp-6, 0x1.31d6ff4ba1a9p-6, 0x1.2cfd4f46e513fp-6, 0x1.280c74fafdd99p-6, 0x1.230547f04f4a4p-6, 0x1.1de8a15dc692cp-6, 0x1.18b75c52aa861p-6, 0x1.137255ad14a2ap-6, 0x1.0e1a6bc4b73ep-6, 0x1.08b07dc5a4fa4p-6, 0x1.03356ad7d692bp-6, 0x1.fb542298aee09p-7, 0x1.f01e9c236ee7bp-7, 0x1.e4cbf943992c6p-7, 0x1.d95deeee99889p-7, 0x1.cdd631de46b52p-7, 0x1.c23678a3bea15p-7, 0x1.b6807d4e6ff1cp-7, 0x1.aab5fde56652ap-7, 0x1.9ed8bb30c44d7p-7, 0x1.92ea75d1ddc33p-7, 0x1.86ecea428cf25p-7, 0x1.7ae1ccd0e0fe1p-7, 0x1.6ecac6d9839c8p-7, 0x1.62a976479fd86p-7, 0x1.567f6fcaa19bep-7, 0x1.4a4e43642329cp-7, 0x1.3e1782250296p-7, 0x1.31dcc36103129p-7, 0x1.259fa785c5031p-7, 0x1.1961d736a58f6p-7, 0x1.0d24fe4a9d9f8p-7, 0x1.00eac389685cfp-7, 0x1.e9697e53a96d2p-8, 0x1.d108e57de0ea8p-8, 0x1.b8b68a5b71b9fp-8, 0x1.a07508cb3f87dp-8, 0x1.8846da3140391p-8, 0x1.702e6de06f90dp-8, 0x1.582e4472876fcp-8, 0x1.40490657fb7f2p-8, 0x1.28818e4dc40afp-8, 0x1.10dae2f5fc49p-8, 0x1.f2b03e2db3f7p-9, 0x1.c3f899d601a62p-9, 0x1.95947a4f9c89cp-9, 0x1.6788c9338c048p-9, 0x1.39d9955516994p-9, 0x1.0c8a1f4a25d71p-9, 0x1.bf3a2f43e4e04p-10, 0x1.662a07590040dp-10, 0x1.0de9641e3c218p-10, 0x1.6cfe868428bacp-11, 0x1.7fd1ec395e64p-12, 0x1.4a7671311eac3p-15, -0x1.295caf8f112a4p-12, -0x1.3c0006fb549a3p-11, -0x1.e1377f1a55a35p-11, -0x1.42218d44e447fp-10, -0x1.928bafd57d98dp-10, -0x1.e1d7b5ea26fe2p-10, -0x1.1802f8ff34d36p-9, -0x1.3e8c2262c47ep-9, -0x1.64883acf45c0bp-9, -0x1.89f73b51fa365p-9, -0x1.aed77f8015bcbp-9, -0x1.d3256d0c77d41p-9, -0x1.f6db93126e3eap-9, -0x1.0cf9a2026bb6p-8, -0x1.1e32c81d2f54cp-8, -0x1.2f1637209f17bp-8, -0x1.3fa1e7b4e7126p-8, -0x1.4fd52f4471d7bp-8, -0x1.5fb0dae4eb028p-8, -0x1.6f36fa2042f57p-8, -0x1.7e6a5f9483db1p-8, -0x1.8d4deed3648cap-8, -0x1.9be3dc1230204p-8, -0x1.aa2d07bda6197p-8, -0x1.b8289c42e4d16p-8, -0x1.c5d407cfaa11dp-8, -0x1.d32b59061dcf4p-8, -0x1.e029f090738b5p-8, -0x1.eccb669c3ddc1p-8, -0x1.f90c7680af565p-8, -0x1.0275df8360635p-7, -0x1.08351610c934dp-7, -0x1.0dc577580e1b8p-7, -0x1.13297eb692ab4p-7, -0x1.1864198f57931p-7, -0x1.1d781a0668a36p-7, -0x1.2267a94f108b4p-7, -0x1.2733d69bd1fd7p-7, -0x1.2bdc5aabfd4cp-7, -0x1.305f9dc73f6d6p-7, -0x1.34bb00f8865a4p-7, -0x1.38eb5e3edd8d2p-7, -0x1.3ceda8b49261bp-7, -0x1.40bf8f2c1db8ap-7, -0x1.4460027a0a888p-7, -0x1.47cf84d9eee1fp-7, -0x1.4b10311fd32bp-7, -0x1.4e2575749f7d2p-7, -0x1.51138c128a226p-7, -0x1.53dec9f2845eap-7, -0x1.568ae4863d112p-7, -0x1.591a520c0bb75p-7, -0x1.5b8de2f5fe082p-7, -0x1.5de4a77934bcdp-7, -0x1.601c2590e13f2p-7, -0x1.6230d50c0c985p-7, -0x1.641ecb7bf89b5p-7, -0x1.65e27a9b0eef3p-7, -0x1.67796164c467ep-7, -0x1.68e29253e23abp-7, -0x1.6a1ef7ad61285p-7, -0x1.6b3148df90ea7p-7, -0x1.6c1db0e14c8a2p-7, -0x1.6ce93375ffc18p-7, -0x1.6d98ebc6faa25p-7, -0x1.6e3146eaa307p-7, -0x1.6eb55e32b9e4p-7, -0x1.6f268e911cf71p-7, -0x1.6f845d8e9218ep-7, -0x1.6fccacd67c0f1p-7, -0x1.6ffc2f5d24d43p-7, -0x1.700f098e6d961p-7, -0x1.7001817e155a6p-7, -0x1.6fd0a40a39571p-7, -0x1.6f7ac73cd51d3p-7, -0x1.6effd843864acp-7, -0x1.6e616b5adc817p-7, -0x1.6da28cf27954fp-7, -0x1.6cc75be49f689p-7, -0x1.6bd47c1823de6p-7, -0x1.6ace76e290d2cp-7, -0x1.69b92243d79ddp-7, -0x1.68972812ba694p-7, -0x1.6769c10db954bp-7, -0x1.6630ade8429dp-7, -0x1.64ea6c72181b9p-7, -0x1.63949c3169943p-7, -0x1.622c7e408063p-7, -0x1.60af787753a77p-7, -0x1.5f1b8431c8cb2p-7, -0x1.5d6f7670e915p-7, -0x1.5bab19ef15465p-7, -0x1.59cf212b777b2p-7, -0x1.57dd005777efbp-7, -0x1.55d6bfed0a85dp-7, -0x1.53bed0644deb6p-7, -0x1.5197dc77fa7f2p-7, -0x1.4f649236f89e9p-7, -0x1.4d275fcccb8f9p-7, -0x1.4ae22c1122113p-7, -0x1.48961cedb4437p-7, -0x1.4643804136bfap-7, -0x1.43e9e52475b15p-7, -0x1.418864f8db208p-7, -0x1.3f1e0961acac6p-7, -0x1.3caa2ccfbff46p-7, -0x1.3a2caf3d54761p-7, -0x1.37a5e697f36cep-7, -0x1.35165036d8854p-7, -0x1.327e29d774af8p-7, -0x1.2fdd2a4d15ad6p-7, -0x1.2d3286fef75e2p-7, -0x1.2a7d4da66f934p-7, -0x1.27bcec8716ab8p-7, -0x1.24f1a7e71b67ep-7, -0x1.221cc1b020ca7p-7, -0x1.1f403cb94964p-7, -0x1.1c5e5560b3b26p-7, -0x1.1978ed7c3bd4ep-7, -0x1.1691316c4c4efp-7, -0x1.13a7a29c016cfp-7, -0x1.10bc8261cd5acp-7, -0x1.0dd064fa0bdf4p-7, -0x1.0ae49987903dbp-7, -0x1.07fb2207c0658p-7, -0x1.051628acd36afp-7, -0x1.0237201ee3447p-7, -0x1.febbd8586e763p-8, -0x1.f910f2e2e3dc9p-8, -0x1.f3660afda2ebfp-8, -0x1.edb225d01b3cdp-8, -0x1.e7ed744403c7ap-8, -0x1.e213b338f3db2p-8, -0x1.dc25581d9545cp-8, -0x1.d6270d8cac04ep-8, -0x1.d01fbc6a2aee1p-8, -0x1.ca1608ec35c61p-8, -0x1.c40e6f6b78f7ep-8, -0x1.be0adbbfe1afap-8, -0x1.b80bcff26020ep-8, -0x1.b2125dd1ef79fp-8, -0x1.ac21cf761a1fp-8, -0x1.a6400f167283bp-8, -0x1.a074834195105p-8, -0x1.9ac5cb99a7baep-8, -0x1.9537413353d1cp-8, -0x1.8fc72dd3f3b72p-8, -0x1.8a6e63d7b9aafp-8, -0x1.85216f3e0edc5p-8, -0x1.7fd32952b6a8ep-8, -0x1.7a781103e34c7p-8, -0x1.750969694fa7ep-8, -0x1.6f86f220ffdc9p-8, -0x1.69f65f8d929b8p-8, -0x1.6460a5c2da409p-8, -0x1.5ece4af30968ap-8, -0x1.59448e5383418p-8, -0x1.53c4bcdfbd35p-8, -0x1.4e4dcacdc4b66p-8, -0x1.48df0f769dec8p-8, -0x1.437a91ab50c7p-8, -0x1.3e25c21e09bd4p-8, -0x1.38e860d8664e4p-8, -0x1.33ca254fc93f5p-8, -0x1.2ed0433c561b4p-8, -0x1.29fbcc22900bap-8, -0x1.254945517f9fep-8, -0x1.20b127c36f3c3p-8, -0x1.1c28f0ac688b9p-8, -0x1.17a4c9a777b97p-8, -0x1.1319f21275803p-8, -0x1.0e81921fa4498p-8, -0x1.09dad6c936affp-8, -0x1.052afabb60b09p-8, -0x1.007ac36bd11fbp-8, -0x1.f7a527cf8f915p-9, -0x1.ee6e83d42b7dcp-9, -0x1.e552adec5b257p-9, -0x1.dc4d816595441p-9, -0x1.d35b2e2da80f7p-9, -0x1.ca7cd25b07397p-9, -0x1.c1ba19c5243bfp-9, -0x1.b91f3bd2c45b6p-9, -0x1.b0b8608251f91p-9, -0x1.a88d21e38e76bp-9, -0x1.a09ecba841c91p-9, -0x1.98e9a8da97408p-9, -0x1.9167550c205dcp-9, -0x1.8a0fd9662bb2p-9, -0x1.82d92ae955f96p-9, -0x1.7bb68cbaf41c2p-9, -0x1.7499cc60a5aadp-9, -0x1.6d76f233bc073p-9, -0x1.6648cf8cc1485p-9, -0x1.5f1369c9c4f64p-9, -0x1.57e2006efd90bp-9, -0x1.50c163eb9aa28p-9, -0x1.49ba3723e9804p-9, -0x1.42ce90ed64dd1p-9, -0x1.3bfb8ea424687p-9, -0x1.353d27e911afap-9, -0x1.2e92547da9b2bp-9, -0x1.27ff7a4241308p-9, -0x1.218d15eab1048p-9, -0x1.1b4302b2a0c7ap-9, -0x1.1524274c90ed7p-9, -0x1.0f2df19f2f857p-9, -0x1.095b3beccea9bp-9, -0x1.03a7bacc36b5ep-9, -0x1.fc236f0e4dd33p-10, -0x1.f133298e3c0b2p-10, -0x1.e67f89feb9f7cp-10, -0x1.dc04e135d6299p-10, -0x1.d1b8612c525ep-10, -0x1.c789891e9618bp-10, -0x1.bd677fb23c306p-10, -0x1.b348638d8ccbp-10, -0x1.a92e8f6c3d76ap-10, -0x1.9f2784d8e4aeap-10, -0x1.95445d267d01ep-10, -0x1.8b90b525b8608p-10, -0x1.820d91c862b3p-10, -0x1.78b39564879f9p-10, -0x1.6f7c684d8852ep-10, -0x1.666bf90846e08p-10, -0x1.5d8f20b3b0e61p-10, -0x1.54f057eadef85p-10, -0x1.4c8f2b86a9359p-10, -0x1.4462117da9836p-10, -0x1.3c5dc8e36159ep-10, -0x1.347ac7e94199p-10, -0x1.2cb6a4bc1a8c3p-10, -0x1.2513586befdfp-10, -0x1.1d961652a6338p-10, -0x1.1645d3687a3a2p-10, -0x1.0f28f245d7363p-10, -0x1.0842357815c56p-10, -0x1.018dd713220dep-10, -0x1.f5ffdc87b33d5p-11, -0x1.e90cee33d09f6p-11, -0x1.dc23218cf32f1p-11, -0x1.cf3cd94140463p-11, -0x1.c2747fdc3379ap-11, -0x1.b5efb069380eap-11, -0x1.a9c07d11d5023p-11, -0x1.9dda5f897234fp-11, -0x1.92281339af927p-11, -0x1.86aa345a5b152p-11, -0x1.7b77b0b9fd55bp-11, -0x1.70a1f3277e57dp-11, -0x1.66239935b0eccp-11, -0x1.5be8fe6447bbfp-11, -0x1.51e01c1c5c4e7p-11, -0x1.47ffb2beef89ep-11, -0x1.3e45e173510f8p-11, -0x1.34b43f1ec943fp-11, -0x1.2b4d6c5353528p-11, -0x1.221512db0845ep-11, -0x1.191151255eb5dp-11, -0x1.104b867af5922p-11, -0x1.07cec18279199p-11, -0x1.ff47613b101b8p-12, -0x1.ef95a82fd194dp-12, -0x1.e06b05ec8fda2p-12, -0x1.d1876d33c96eep-12, -0x1.c2a815601ad5p-12, -0x1.b3c2ee1f3b0ap-12, -0x1.a514a9cddcca1p-12, -0x1.96de71c651e74p-12, -0x1.89203768b779ep-12, -0x1.7baa120195dbbp-12, -0x1.6e6aad84ec085p-12, -0x1.61873f38672e1p-12, -0x1.5522ff52c6f52p-12, -0x1.4936c10a6be09p-12, -0x1.3da3411fed7dcp-12, -0x1.324f14ee23e5ap-12, -0x1.272ff05fb1364p-12, -0x1.1c45caa7b5102p-12, -0x1.119439921e3cfp-12, -0x1.071e6d69b7ac3p-12, -0x1.f9cb554e18a82p-13, -0x1.e5d315b21d068p-13, -0x1.d2536158bafap-13, -0x1.bf50a8510772fp-13, -0x1.acd82e4e21311p-13, -0x1.9afea39a2dc11p-13, -0x1.89d9d023804f2p-13, -0x1.79788cd7e49bdp-13, -0x1.69d3aa4e7e118p-13, -0x1.5ab2f82fee369p-13, -0x1.4bb6e836d9acdp-13, -0x1.3cb7ee4433798p-13, -0x1.2e0125e995ac3p-13, -0x1.1fe30c072049p-13, -0x1.123f22c58babbp-13, -0x1.04d0d601f40fep-13, -0x1.ef5b518727697p-14, -0x1.d636c1c205c77p-14, -0x1.be4b1a4e9ebbp-14, -0x1.a74771988fde1p-14, -0x1.90e2dd6e785d1p-14, -0x1.7b026e90884f6p-14, -0x1.65a7977fdeb63p-14, -0x1.50db765816dfcp-14, -0x1.3ca5651a9f7b1p-14, -0x1.2908e81eeabaep-14, -0x1.16061c7ab4a1ap-14, -0x1.039a62533f998p-14, -0x1.e381ee68911adp-15, -0x1.c0e86d475cbf8p-15, -0x1.9f603d9b07e77p-15, -0x1.7eeab1d226d11p-15, -0x1.5f948f7094237p-15, -0x1.4170c2b8295aep-15, -0x1.2493cccec40afp-15, -0x1.091b62fddc2bfp-15, -0x1.de3bb28f0d2adp-16, -0x1.ac97c4d6c6cafp-16, -0x1.7bdcf094d4ca3p-16, -0x1.4bd1edbd18d92p-16, -0x1.1dad0e6570875p-16, -0x1.e2a8474e2c205p-17, -0x1.8b69c70ff39abp-17, -0x1.36ed4c19518d5p-17, -0x1.cf5beb1aee60ep-18, -0x1.3a8dc536ef0a8p-18, -0x1.5838b18fbc448p-19, -0x1.12392ad18db2ep-21, 0x1.8c7f315277c93p-20, 0x1.c78ede645c2e1p-19, 0x1.5f6c00ac4784cp-18, 0x1.d5f3d53540e53p-18, 0x1.23b2e8295bdd2p-17, 0x1.59ed5fada36fbp-17, 0x1.8db95c4714158p-17, 0x1.bf27f27fb76acp-17, 0x1.ee4b0499f7ce3p-17, 0x1.0d9b26244abd3p-16, 0x1.22ffdebca3a4ep-16, 0x1.375eb411564bdp-16, 0x1.4ac07dcc7df95p-16, 0x1.5d2a7af3047adp-16, 0x1.6ea0b269c2989p-16, 0x1.7f28572150078p-16, 0x1.8eb7ac0992798p-16, 0x1.9d17ae0adcdp-16, 0x1.aa1e2eb8da37cp-16, 0x1.b63cfdcc1d4b4p-16, 0x1.c1f1f14774f74p-16, 0x1.cd1361b22e93dp-16, 0x1.d7c35e964d10ap-16, 0x1.e2054cbb4966ep-16, 0x1.eb3d7f58722adp-16, 0x1.f35ba2850848dp-16, 0x1.fac38059a57aep-16, 0x1.00d5095caa09cp-15, 0x1.04091b44cf195p-15, 0x1.06f995784f056p-15, 0x1.09a3f0ed0a0a5p-15, 0x1.0c081aa1efbb1p-15, 0x1.0e2785899bffcp-15, 0x1.100461ec829d3p-15, 0x1.11a12717a2cccp-15, 0x1.13005287aa1bp-15, 0x1.1424454f1111p-15, 0x1.150f369bc2bbdp-15, 0x1.15c33a6f3106ap-15, 0x1.16425b4688b97p-15, 0x1.168ebc816f39ap-15, 0x1.16aaafff03466p-15, 0x1.1698a63e29f51p-15, 0x1.165af518dd40ap-15, 0x1.15f3ae7cd3cc9p-15, 0x1.1564f4a2f2713p-15, 0x1.14b15e1f31ac8p-15, 0x1.13d97094d2dfcp-15, 0x1.12d51749abbfp-15, 0x1.119a163cbc634p-15, 0x1.1037f6c36b26p-15, 0x1.0ec517deebed4p-15, 0x1.0d441911d4c53p-15, 0x1.0baf851d5fa35p-15, 0x1.09f3891a6f9c1p-15, }}, 
      {{-0x1.0d8a5f49696d1p-2, -0x1.0c926a8d0d6c4p-2, -0x1.0af222936ee23p-2, -0x1.08abfcd82d4fap-2, -0x1.05c688ff8ff32p-2, -0x1.024a20264c0fdp-2, -0x1.fc7ed26bc46bap-3, -0x1.f35dfdf9de92bp-3, -0x1.e9434798868dbp-3, -0x1.de40f5fc1b2aap-3, -0x1.d26a20471f68cp-3, -0x1.c5d25f98169c2p-3, -0x1.b88d5a1d975e6p-3, -0x1.aaae592b4512fp-3, -0x1.9c48034247a03p-3, -0x1.8d6c3c07f8df9p-3, -0x1.7e2c1ee38810bp-3, -0x1.6e9805c8ec1ep-3, -0x1.5ebf90bcf4973p-3, -0x1.4eb1a8231c4dfp-3, -0x1.3e7c78f100522p-3, -0x1.2e2d6d11938ap-3, -0x1.1dd123653351fp-3, -0x1.0d736a6424f22p-3, -0x1.fa3e7e6241663p-4, -0x1.d9bda30aa834dp-4, -0x1.b97717780b46ap-4, -0x1.997c3b2d19e49p-4, -0x1.79dd103b3e36cp-4, -0x1.5aa852632f513p-4, -0x1.3beb8b85c25d3p-4, -0x1.1db32450c6f4ap-4, -0x1.000a70fe391aep-4, -0x1.c5f77561862ccp-5, -0x1.8d208cceabad3p-5, -0x1.55a0b5586613ep-5, -0x1.1f868a299563ep-5, -0x1.d5bd81cae24d9p-6, -0x1.6f68713165709p-6, -0x1.0c2017956e871p-6, -0x1.57e696cc614ddp-7, -0x1.3bb6d1560c30ep-8, 0x1.5d00165aed75p-11, 0x1.861faccd762cbp-8, 0x1.69dd6004ed1b1p-7, 0x1.051b4b08c6f4bp-6, 0x1.520edb0b47d83p-6, 0x1.9bcc70660f8ecp-6, 0x1.e258df3ef215dp-6, 0x1.12dd4ab072f74p-5, 0x1.32fcb9d5e6da5p-5, 0x1.518f55687b7c6p-5, 0x1.6e9a4d7f4ab7dp-5, 0x1.8a235b0476969p-5, 0x1.a430b1cfaeec5p-5, 0x1.bcc8f38822c2p-5, 0x1.d3f3232f8eb8ep-5, 0x1.e9b6993fc909fp-5, 0x1.fe1af8620413ap-5, 0x1.08941143b17a8p-4, 0x1.1173173a38bdap-4, 0x1.19aeaec55622p-4, 0x1.214b094f9c50fp-4, 0x1.284c649749416p-4, 0x1.2eb70703af912p-4, 0x1.348f3b9c1ebe2p-4, 0x1.39d94ee8c53f6p-4, 0x1.3e998b778b839p-4, 0x1.42d437d25b5c6p-4, 0x1.468d94615d2e8p-4, 0x1.49c9d9cc2212ep-4, 0x1.4c8d378b1d737p-4, 0x1.4edbd1ce8e52ap-4, 0x1.50b9c0b8889b1p-4, 0x1.522b0effaf13bp-4, 0x1.5333b9e2f174fp-4, 0x1.53d7b0e02f57bp-4, 0x1.541ad555b6342p-4, 0x1.5400fa2aae3ffp-4, 0x1.538de2f94040dp-4, 0x1.52c543754bb7p-4, 0x1.51aabee78832p-4, 0x1.5041e7e848a95p-4, 0x1.4e8e4050b5842p-4, 0x1.4c93393493cddp-4, 0x1.4a5432c96d756p-4, 0x1.47d47c2276be3p-4, 0x1.451752bf2881p-4, 0x1.421fe1facdbfap-4, 0x1.3ef14273fe7dcp-4, 0x1.3b8e7982b4967p-4, 0x1.37fa78cd58aa2p-4, 0x1.34381e03337cp-4, 0x1.304a32b991f5p-4, 0x1.2c336c634ed6ap-4, 0x1.27f66c57648bp-4, 0x1.2395bfdd3c9bdp-4, 0x1.1f13e038a48f7p-4, 0x1.1a7332b3cd92fp-4, 0x1.15b608aa0237dp-4, 0x1.10de9f97f216cp-4, 0x1.0bef21378f9e2p-4, 0x1.06e9a3aca121bp-4, 0x1.01d029c552d2cp-4, 0x1.f949469f5057ap-5, 0x1.eed1db05242c2p-5, 0x1.e43da6eec0b3cp-5, 0x1.d9901d5e1e3cep-5, 0x1.cecc8f3d95c5fp-5, 0x1.c3f62c7d5201ap-5, 0x1.b910052de9cc1p-5, 0x1.ae1d0a91815d5p-5, 0x1.a3201020cf64ap-5, 0x1.981bcc81b8599p-5, 0x1.8d12da7096adep-5, 0x1.8207b99db7793p-5, 0x1.76fccf801272ep-5, 0x1.6bf46821af70cp-5, 0x1.60f0b6e4a20cfp-5, 0x1.55f3d7447a99p-5, 0x1.4affcd93972e8p-5, 0x1.401687b372472p-5, 0x1.3539ddcb7d15p-5, 0x1.2a6b92f80940dp-5, 0x1.1fad55f602bbp-5, 0x1.1500c1c9264e5p-5, 0x1.0a675e58122ecp-5, 0x1.ffc5420c85cb3p-6, 0x1.eae7da86d66bep-6, 0x1.d6392a25ea2d7p-6, 0x1.c1bbb32457405p-6, 0x1.ad71d6e2cf66ap-6, 0x1.995dd6d58c408p-6, 0x1.8581d570fce59p-6, 0x1.71dfd6fddae63p-6, 0x1.5e79c27371695p-6, 0x1.4b516253c9d54p-6, 0x1.38686571b00c6p-6, 0x1.25c05fc47952p-6, 0x1.135acb40e26a9p-6, 0x1.0139089ae588cp-6, 0x1.deb8c02e8fd4cp-7, 0x1.bb8c04cec529ap-7, 0x1.98ee12d4109bp-7, 0x1.76e0f1ed55d5dp-7, 0x1.55667f7667aa3p-7, 0x1.34806ff81013dp-7, 0x1.143050a2e15cbp-7, 0x1.e8ef11fda3fb5p-8, 0x1.aaaeb8d866662p-8, 0x1.6da1d6ecdf41fp-8, 0x1.31ca6abc40eb6p-8, 0x1.ee5466661ee4bp-9, 0x1.7b8564162fe2cp-9, 0x1.0b2a5cae6e84ap-9, 0x1.3a8add8b6e558p-10, 0x1.8ec26fe83fb6dp-12, -0x1.b8ddc8a9d4261p-12, -0x1.3b2b781ed2d8dp-10, -0x1.01952e1bf0615p-9, -0x1.6319dca83fb9fp-9, -0x1.c223ec00510dap-9, -0x1.0f59e988fd1dp-8, -0x1.3c652c00160ecp-8, -0x1.683446e7f423p-8, -0x1.92c7e8bfd23a8p-8, -0x1.bc20e347ca161p-8, -0x1.e4402a4f191fep-8, -0x1.05936971c35a5p-7, -0x1.186b090f2099bp-7, -0x1.2aa79de2adb6ap-7, -0x1.3c49e0bc15bbep-7, -0x1.4d5299119dea6p-7, -0x1.5dc29c864fc34p-7, -0x1.6d9ace5d67286p-7, -0x1.7cdc1f2d3e8b2p-7, -0x1.8b878cb33a977p-7, -0x1.999e2176f6ad5p-7, -0x1.a720f451eed99p-7, -0x1.b411282c2615cp-7, -0x1.c06febe176e2ap-7, -0x1.cc3e79ff313a8p-7, -0x1.d77e1855af71cp-7, -0x1.e23017ac131bep-7, -0x1.ec55d3a94fd9p-7, -0x1.f5f0b2aab2198p-7, -0x1.ff0225608238fp-7, -0x1.03c5d3354edfdp-6, -0x1.07c75d173fbe2p-6, -0x1.0b8677602a157p-6, -0x1.0f03edcc51f7dp-6, -0x1.1240908f40715p-6, -0x1.153d342855f98p-6, -0x1.17fab15252a87p-6, -0x1.1a79e4eff3cfap-6, -0x1.1cbbafd9d16bcp-6, -0x1.1ec0f69dafac7p-6, -0x1.208aa1528dcecp-6, -0x1.22199b8624e3dp-6, -0x1.236ed4239355bp-6, -0x1.248b3d3b22faap-6, -0x1.256fcbbbb046dp-6, -0x1.261d77400be5p-6, -0x1.269539f79168p-6, -0x1.26d8108ce5d01p-6, -0x1.26e6f9eff4154p-6, -0x1.26c2f70b87daap-6, -0x1.266d0a875c89cp-6, -0x1.25e638a86e9f1p-6, -0x1.252f873be1746p-6, -0x1.2449fd6d1080bp-6, -0x1.2336a37faaaecp-6, -0x1.21f68287020dap-6, -0x1.208aa43769c21p-6, -0x1.1ef412d0fb729p-6, -0x1.1d33d9085a4dep-6, -0x1.1b4b01d41e7dbp-6, -0x1.193a9824e38a2p-6, -0x1.1703a6a4e8b1cp-6, -0x1.14a737953de55p-6, -0x1.122654c0499ap-6, -0x1.0f820764f389fp-6, -0x1.0cbb58063f954p-6, -0x1.09d34e28aaf7cp-6, -0x1.06caf01975cep-6, -0x1.03a342d33a9dep-6, -0x1.005d49f7aaa21p-6, -0x1.f9f40f8770d56p-7, -0x1.f2f4f9d47f216p-7, -0x1.ebbf50b654b02p-7, -0x1.e4550e1fa647ap-7, -0x1.dcb827e354b43p-7, -0x1.d4ea8fb1d8b9p-7, -0x1.ccee331a92053p-7, -0x1.c4c4fb64fcc37p-7, -0x1.bc70cd3c7fa7fp-7, -0x1.b3f388534dd2bp-7, -0x1.ab4f072904a1cp-7, -0x1.a2851f04dee96p-7, -0x1.9997a0095db9bp-7, -0x1.9088553677193p-7, -0x1.87590440c171fp-7, -0x1.7e0b6d499ecedp-7, -0x1.74a14a9e3234dp-7, -0x1.6b1c509df3ef3p-7, -0x1.617e2dca2f8bp-7, -0x1.57c88ae335008p-7, -0x1.4dfd0af0380f1p-7, -0x1.441d4b215b2c8p-7, -0x1.3a2ae29a8ec9ap-7, -0x1.3027624629885p-7, -0x1.261454c8d5a2ap-7, -0x1.1bf33e96c1a55p-7, -0x1.11c59e15a0588p-7, -0x1.078cebaeed2c6p-7, -0x1.fa953387ec1dfp-8, -0x1.e60029157f01fp-8, -0x1.d15d83d79a72bp-8, -0x1.bcb002eb0e121p-8, -0x1.a7fa58d9689cfp-8, -0x1.933f2bd954562p-8, -0x1.7e8116076f481p-8, -0x1.69c2a5742aa3bp-8, -0x1.55065c04e15d2p-8, -0x1.404eaf4038a36p-8, -0x1.2b9e082c90b2dp-8, -0x1.16f6c355fdcdcp-8, -0x1.025b30fabfa5cp-8, -0x1.db9b2a8d46847p-9, -0x1.b2a050fc89044p-9, -0x1.89ca2e11badbap-9, -0x1.611d02b3430a5p-9, -0x1.389cf79d2a0c9p-9, -0x1.104e1d3bb8d5dp-9, -0x1.d068d781bca1fp-10, -0x1.80a786dd80e57p-10, -0x1.315fd9eec016p-10, -0x1.c5326723c9583p-11, -0x1.28b590a9b16e8p-11, -0x1.1aae79473ef59p-12, 0x1.9b5cc88c08814p-16, 0x1.4ba70ebea157dp-12, 0x1.3d85b3d558b7ap-11, 0x1.d3e4d5e34d281p-11, 0x1.347259de6ccap-10, 0x1.7e3cb739ce758p-10, 0x1.c74bc0a2d8e93p-10, 0x1.07ccf05e2cd9cp-9, 0x1.2b90d7a58c20ap-9, 0x1.4eeef8ade7713p-9, 0x1.71e4cca34beefp-9, 0x1.946fe33e63f75p-9, 0x1.b68de2935764bp-9, 0x1.d83c86d5bbb4p-9, 0x1.f979a2206896dp-9, 0x1.0d218e28e23a8p-8, 0x1.1d4b797eff9dcp-8, 0x1.2d399cb7ea921p-8, 0x1.3ceb0c54aa272p-8, 0x1.4c5ee7ab02349p-8, 0x1.5b9458d51e52bp-8, 0x1.6a8a9497cc5c6p-8, 0x1.7940da447a232p-8, 0x1.87b6739bcbb2ap-8, 0x1.95eab4b6f7768p-8, 0x1.a3dcfbf9fa8ffp-8, 0x1.b18cb20cc3779p-8, 0x1.bef949d605eeap-8, 0x1.cc22407169fcbp-8, 0x1.d9071d1c94c66p-8, 0x1.e5a7711a6181dp-8, 0x1.f202d78eb1d72p-8, 0x1.fe18f556547c3p-8, 0x1.04f4bc7107b62p-7, 0x1.0aba0d0cbb086p-7, 0x1.105c4d243c758p-7, 0x1.15db620ad296fp-7, 0x1.1b3735bd7b369p-7, 0x1.206fb6dd6695fp-7, 0x1.2584d8a4e2297p-7, 0x1.2a7692d5bc5ap-7, 0x1.2f44e1a0c2294p-7, 0x1.33efc588e1117p-7, 0x1.38774345fffe3p-7, 0x1.3cdb63ab9669bp-7, 0x1.411c3396fbfe2p-7, 0x1.4539c3e683dfap-7, 0x1.493429773bee8p-7, 0x1.4d0b7d25430cdp-7, 0x1.50bfdbc8a9babp-7, 0x1.5451662a5851p-7, 0x1.57c040ed2e36fp-7, 0x1.5b0c946b883cp-7, 0x1.5e368c8cb7bc4p-7, 0x1.613e589826725p-7, 0x1.64242b0e41703p-7, 0x1.66e8398d53813p-7, 0x1.698abcc5b8f03p-7, 0x1.6c0bf07bcc1c4p-7, 0x1.6e6c13925d1cdp-7, 0x1.70ab6814aef52p-7, 0x1.72ca333751b8fp-7, 0x1.74c8bd488b3b8p-7, 0x1.76a7518d19cap-7, 0x1.78663e0b74684p-7, 0x1.7a05d34cec13cp-7, 0x1.7b86641f06b9fp-7, 0x1.7ce8456095857p-7, 0x1.7e2bcde2c4297p-7, 0x1.7f5156623570cp-7, 0x1.80593995394e5p-7, 0x1.8143d446d4ed1p-7, 0x1.82118572c10a4p-7, 0x1.82c2ae55d5c9dp-7, 0x1.8357b26842272p-7, 0x1.83d0f73c9c5fep-7, 0x1.842ee44496025p-7, 0x1.8471e282d346bp-7, 0x1.849a5c36471e1p-7, 0x1.84a8bc8d6089fp-7, 0x1.849d6f6e46334p-7, 0x1.8478e15cd5884p-7, 0x1.843b7f817c533p-7, 0x1.83e5b7cc083a1p-7, 0x1.8377f9284bc3dp-7, 0x1.82f2b3b616d45p-7, 0x1.825658f44c454p-7, 0x1.81a35bd10e658p-7, 0x1.80da309483b06p-7, 0x1.7ffb4ca34b3eap-7, 0x1.7f07261d33dddp-7, 0x1.7dfe336556a07p-7, 0x1.7ce0eaa603d25p-7, 0x1.7bafc16696579p-7, 0x1.7a6b2c47bba0cp-7, 0x1.79139ef4c0598p-7, 0x1.77a98c4fb438p-7, 0x1.762d66d215453p-7, 0x1.749fa110bf736p-7, 0x1.7300ae47a946p-7, 0x1.715102ccbbe18p-7, 0x1.6f91144a409f8p-7, 0x1.6dc159a8db1d9p-7, 0x1.6be24aa01b281p-7, 0x1.69f45ef7456a2p-7, 0x1.67f80d930831fp-7, 0x1.65edcb7bd68bfp-7, 0x1.63d60b0fe71cp-7, 0x1.61b13b9001fb8p-7, 0x1.5f7fc92784acep-7, 0x1.5d421d790159dp-7, 0x1.5af8a09c6022fp-7, 0x1.58a3ba614ad88p-7, 0x1.5643d3952a169p-7, 0x1.53d957054e2f6p-7, 0x1.5164b1fdeeefep-7, 0x1.4ee6541c6a0b1p-7, 0x1.4c5eae6c20003p-7, 0x1.49ce31e9bdfc6p-7, 0x1.47354dabe3808p-7, 0x1.44946d09211c4p-7, 0x1.41ebf61d05182p-7, 0x1.3f3c4902ed489p-7, 0x1.3c85bffded386p-7, 0x1.39c8b095c5934p-7, 0x1.37056d7b94cadp-7, 0x1.343c48db79d21p-7, 0x1.316d96a6f7ed5p-7, 0x1.2e99ae63aad35p-7, 0x1.2bc0ec21939adp-7, 0x1.28e3b063b3391p-7, 0x1.26025ef37de29p-7, 0x1.231d5cc51e7edp-7, 0x1.20350d3bd7012p-7, 0x1.1d49cf40e63f1p-7, 0x1.1a5bfab6c7902p-7, 0x1.176bded2b84c1p-7, 0x1.1479c1c6ec4c7p-7, 0x1.1185e1e5f5f16p-7, 0x1.0e907810ccaf9p-7, 0x1.0b99baf0c0c98p-7, 0x1.08a1e2512dc66p-7, 0x1.05a929f16e6f8p-7, 0x1.02afd3579c34dp-7, 0x1.ff6c4cdd7a4ddp-8, 0x1.f978e1e595d77p-8, 0x1.f386099836c72p-8, 0x1.ed946b1173d0fp-8, 0x1.e7a4aa5fe368ap-8, 0x1.e1b7619c00d7ep-8, 0x1.dbcd1a8ba9be1p-8, 0x1.d5e64a3563bacp-8, 0x1.d0034fa9dddd4p-8, 0x1.ca24769f9d7a9p-8, 0x1.c449fd6a25bffp-8, 0x1.be741ccf014d9p-8, 0x1.b8a30fba8c709p-8, 0x1.b2d719218b4b7p-8, 0x1.ad10873fda272p-8, 0x1.a74fb46541b3dp-8, 0x1.a1950617a496p-8, 0x1.9be0eb41ee3d7p-8, 0x1.9633d99dadb3cp-8, 0x1.908e49faf77b6p-8, 0x1.8af0b2f9ac4e7p-8, 0x1.855b8264fc6cdp-8, 0x1.7fcf166815802p-8, 0x1.7a4bb89de2cc1p-8, 0x1.74d19ce988974p-8, 0x1.6f60e4dd7dd05p-8, 0x1.69f9a6b59699bp-8, 0x1.649bf579e651ep-8, 0x1.5f47e7976f7b6p-8, 0x1.59fd9a3f369dep-8, 0x1.54bd3197cef1ap-8, 0x1.4f86d7429557p-8, 0x1.4a5ab9256aa1fp-8, 0x1.453909aac495dp-8, 0x1.4022013a93dbep-8, 0x1.3b15df6424a6cp-8, 0x1.3614e9cec0b38p-8, 0x1.311f67e00d0c2p-8, 0x1.2c359bc2f385cp-8, 0x1.2757bb2b41228p-8, 0x1.2285eacd57c6cp-8, 0x1.1dc03e81bb274p-8, 0x1.1906bde18bdcap-8, 0x1.14596b0b0541ep-8, 0x1.0fb8485fce2d6p-8, 0x1.0b235ae7099d4p-8, 0x1.069aa8f748fap-8, 0x1.021e36cb2ce94p-8, 0x1.fb5c07482d542p-9, 0x1.f2941378ffc3p-9, 0x1.e9e4838648a64p-9, 0x1.e14d51520cb15p-9, 0x1.d8ce8a46e048bp-9, 0x1.d0685444ac2a4p-9, 0x1.c81ae9987277fp-9, 0x1.bfe68d6e30b11p-9, 0x1.b7cb7dd67d314p-9, 0x1.afc9e9628c3abp-9, 0x1.a7e1ebf5e8a92p-9, 0x1.a013924526535p-9, 0x1.985ee02f31bb7p-9, 0x1.90c3d579c1e44p-9, 0x1.89426e3d1bae9p-9, 0x1.81da9ed6f6435p-9, 0x1.7a8c4d3ad95a4p-9, 0x1.73574ab260a54p-9, 0x1.6c3b51a3f1a4p-9, 0x1.65380a2c2abfcp-9, 0x1.5e4d15a5888efp-9, 0x1.577a1d8e136b3p-9, 0x1.50bee0001468p-9, 0x1.4a1b3516a92f7p-9, 0x1.438f0c91296c4p-9, 0x1.3d1a6710cd3b4p-9, 0x1.36bd4f9b14cecp-9, 0x1.3077d7f14e90bp-9, 0x1.2a4a16aff9eb1p-9, 0x1.243424193ade3p-9, 0x1.1e3613c03e76dp-9, 0x1.184fecca7e5b8p-9, 0x1.1281a49919898p-9, 0x1.0ccb1df088927p-9, 0x1.072c2ab1dd76p-9, 0x1.01a48c57d7196p-9, 0x1.f867e418451acp-10, 0x1.edb3ef315f99p-10, 0x1.e32c53542faeep-10, 0x1.d8d0200c0b4fbp-10, 0x1.ce9e723f5ae6bp-10, 0x1.c49682412565ap-10, 0x1.bab7a5439cb68p-10, 0x1.b1014a3934e36p-10, 0x1.a772fde4aa249p-10, 0x1.9e0c7980a1246p-10, 0x1.94cdb1e2b6c42p-10, 0x1.8bb6d643dbf87p-10, 0x1.82c8352c9651cp-10, 0x1.7a020fa9adb93p-10, 0x1.716471993ab2dp-10, 0x1.68ef246b5f952p-10, 0x1.60a1bf574b7ccp-10, 0x1.587bc37cf4418p-10, 0x1.507cad58283dcp-10, 0x1.48a3f28180a48p-10, 0x1.40f0f4fae7b45p-10, 0x1.3962fc274bb8cp-10, 0x1.31f93b9f3373cp-10, 0x1.2ab2e25a0167bp-10, 0x1.238f250668618p-10, 0x1.1c8d3b8460a82p-10, 0x1.15ac57ea26f2fp-10, 0x1.0eeba8a2a6c6bp-10, 0x1.084a7248bc7bap-10, 0x1.01c83945aba4bp-10, 0x1.f6c9bf130185cp-11, 0x1.ea4136310111fp-11, 0x1.ddf7849fae725p-11, 0x1.d1ed12bec6507p-11, 0x1.c621b0b7b1d5ep-11, 0x1.ba949deeb947ep-11, 0x1.af44d2185d17ep-11, 0x1.a431465bca5c8p-11, 0x1.99591020a6d8fp-11, 0x1.8ebb5128f2a74p-11, 0x1.84571d977e267p-11, 0x1.7a2b704481e8bp-11, 0x1.7037303062b78p-11, 0x1.66793d3915981p-11, 0x1.5cf0775181523p-11, 0x1.539bb5f17a7ecp-11, 0x1.4a79afc5e7f56p-11, 0x1.4188e5c835493p-11, 0x1.38c7b2d09e241p-11, 0x1.3034923de7bf2p-11, 0x1.27ce821279e03p-11, 0x1.1f953c1d13327p-11, 0x1.17890eb2ea135p-11, 0x1.0faa62a3fbf7cp-11, 0x1.07f93fd1631a6p-11, 0x1.0075236a7da04p-11, 0x1.f23a689d5c377p-12, 0x1.e3e129cde8d87p-12, 0x1.d5dd127bbe79bp-12, 0x1.c82cca7b0d10ap-12, 0x1.bacedc2f91c08p-12, 0x1.adc1a83c692b2p-12, 0x1.a103878025c32p-12, 0x1.9492f0a4a4f0bp-12, 0x1.886e82696f26bp-12, 0x1.7c94eeee99ffbp-12, 0x1.7104d7db1eb39p-12, 0x1.65bcadb82a09cp-12, 0x1.5aba99199f039p-12, 0x1.4ffc70bcd0a1bp-12, 0x1.457fd1708c987p-12, 0x1.3b42734ec36edp-12, 0x1.3142a889f1caap-12, 0x1.277fab115034ep-12, 0x1.1df96299ef709p-12, 0x1.14afbc3d10cf8p-12, 0x1.0ba21b65c448ep-12, 0x1.02cf58f10d84ep-12, 0x1.f46c6efbe7ca6p-13, 0x1.e3ab81393d457p-13, 0x1.d35a5cb6e8026p-13, 0x1.c3772f84170bdp-13, 0x1.b3ff9204a5a06p-13, 0x1.a4f0bb6939d09p-13, 0x1.9647e4627dd9fp-13, 0x1.88029b20543b7p-13, 0x1.7a1eee9e91e9ap-13, 0x1.6c9b5732f9cdcp-13, 0x1.5f766183e1bb9p-13, 0x1.52ae537344722p-13, 0x1.4641097d878cbp-13, 0x1.3a2c188c9fb3dp-13, 0x1.2e6d04d132a44p-13, 0x1.23015a546a93fp-13, 0x1.17e6afb467b76p-13, 0x1.0d1ac3f38d22cp-13, 0x1.029bb14dc0b25p-13, 0x1.f0cfcd963992ap-14, 0x1.dcfba979c27b8p-14, 0x1.c9b77257ffdb8p-14, 0x1.b6ffd23ebc8adp-14, 0x1.a4d28a7b5404ep-14, 0x1.932e54cdd49fbp-14, 0x1.82119c1e73fep-14, 0x1.717993639b631p-14, 0x1.6162926997269p-14, 0x1.51c8cc4d167adp-14, 0x1.42a8874c8d8cap-14, 0x1.33fe3596b06a4p-14, 0x1.25c6c42aaf084p-14, 0x1.17ffcea0d113bp-14, 0x1.0aa77134b9ccbp-14, 0x1.fb77a7eb825e7p-15, 0x1.e27572b98e662p-15, 0x1.ca42ae35f02b1p-15, 0x1.b2d9350a58b88p-15, 0x1.9c33648405b77p-15, 0x1.864cde29b98abp-15, 0x1.71222aa59c1afp-15, 0x1.5caf6b490c7f9p-15, 0x1.48ef49e90c1cap-15, 0x1.35daf31230048p-15, 0x1.236ab97fd489ap-15, 0x1.119740d8f1003p-15, 0x1.005b7df078f2cp-15, 0x1.df6bfe1396ae5p-16, 0x1.bf4e59c136fe6p-16, 0x1.a05b673d12634p-16, 0x1.828a614ba1cc1p-16, 0x1.65d092eeef76cp-16, 0x1.4a253278e2a22p-16, 0x1.2f808c30effbdp-16, 0x1.15da74a7aa2dp-16, 0x1.fa55af6b020f7p-17, 0x1.cad5649432838p-17, 0x1.9d2844bd1f56bp-17, 0x1.7143cdd9b8b4ep-17, 0x1.471da7127216p-17, 0x1.1eaab860482a2p-17, 0x1.efbd281165a9bp-18, 0x1.a557392f561ep-18, 0x1.5e08b24ec96f4p-18, 0x1.19bb4c312e179p-18, 0x1.b0c0809804db5p-19, 0x1.33dad73cd6123p-19, 0x1.79529a6fd8606p-20, 0x1.2be153e2c8722p-21, -0x1.0c106d24e2c52p-22, -0x1.1232e096f6269p-20, -0x1.d830709a81657p-20, -0x1.4aa424fa980dep-19, -0x1.a4b6984ea0966p-19, -0x1.fa46b2c5ed6f3p-19, -0x1.25ba7ad9d5c13p-18, -0x1.4c3e051a43b69p-18, -0x1.70c3df4bf8b91p-18, -0x1.93598af0ac179p-18, -0x1.b40e71270f608p-18, -0x1.d2f49bae91a99p-18, -0x1.f01c784cb2cf6p-18, -0x1.05c9ff44ff2a7p-17, -0x1.12b40c5b3ccf5p-17, -0x1.1ed2db086061dp-17, -0x1.2a2d00386a02fp-17, -0x1.34c912a09409bp-17, -0x1.3ead9318a891dp-17, -0x1.47e0f2ecd34fep-17, -0x1.5069a45ecb1fdp-17, -0x1.584dfc64c493ep-17, -0x1.5f93be79cbdb5p-17, -0x1.663f8d995528cp-17, -0x1.6c54eeb89275ep-17, -0x1.71d77197e0671p-17, -0x1.76cc796b97442p-17, -0x1.7b3bccca1025p-17, -0x1.7f2e1bbb2fc48p-17, -0x1.82ab6d5dea277p-17, -0x1.85b9bc9c2069ap-17, -0x1.885ab988038a7p-17, -0x1.8a8e3f599d0cfp-17, -0x1.8c58bd1b7931p-17, -0x1.8dc1b5830713bp-17, -0x1.8ecd6b1e30599p-17, -0x1.8f7e2549fe1ffp-17, -0x1.8fd7d867191c1p-17, -0x1.8fdf2405264c6p-17, -0x1.8f97d76e69c83p-17, -0x1.8f0518f5461ffp-17, -0x1.8e29ea94cfbbdp-17, -0x1.8d0966e33ecb7p-17, -0x1.8ba6c575d77b6p-17, -0x1.8a0547b09cd35p-17, -0x1.88281eee37c25p-17, -0x1.861255e704b6p-17, -0x1.83c6c5f07b6c2p-17, -0x1.81481ce33370bp-17, -0x1.7e98eece1796ap-17, -0x1.7bbbc3f475cadp-17, -0x1.78b313a3f9da9p-17, -0x1.75812c56d8ba2p-17, -0x1.72282375c3cc7p-17, -0x1.6ea9f8bff8f8cp-17, -0x1.6b08f46316ebap-17, -0x1.6747c92ab0467p-17, -0x1.6368f9b219676p-17, -0x1.5f6e6d551c4e1p-17, -0x1.5b5a36cd03a1dp-17, -0x1.572e53065354p-17, -0x1.52ec219435f64p-17, -0x1.4e95ef2486013p-17, -0x1.4a2dbc5cbc01p-17, -0x1.45b427067e708p-17, -0x1.412a81ff328edp-17, -0x1.3c92ca5c732p-17, -0x1.37eea007d50bfp-17, -0x1.333f47401dc99p-17, -0x1.2e85ebf6503ep-17, -0x1.29c3bb90cefbep-17, -0x1.24f9e68f57ab7p-17, -0x1.20299cd5916d4p-17, -0x1.1b5409ab45677p-17, -0x1.167a4fb8adb8dp-17, -0x1.119d84e54db95p-17, -0x1.0cbeaec547385p-17, -0x1.07dec0d1ee4f3p-17, -0x1.02fe9d9806166p-17, -0x1.fc3e36805168bp-18, -0x1.f28213b5f21c4p-18, -0x1.e8ca7061bf0efp-18, -0x1.df18e6db8a87cp-18, -0x1.d56f00de7492dp-18, -0x1.cbce268fa5521p-18, -0x1.c237a0d8b331bp-18, -0x1.b8acb6a4d2e7ap-18, -0x1.af2ead8c05b5cp-18, -0x1.a5be7c7188cfdp-18, -0x1.9c5cd8f59633cp-18, -0x1.930b1b92ae1bcp-18, -0x1.89cae07fce32ap-18, -0x1.809d3ca4661e9p-18, -0x1.7782eff5535dcp-18, -0x1.6e7c35fa02e82p-18, }}, 
      {{-0x1.0dc0e083ffebp-2, -0x1.0d6e352d612acp-2, -0x1.0ce378e2a118p-2, -0x1.0c20ab5dbf6bp-2, -0x1.0b26be9c80cb3p-2, -0x1.09f74a99bc317p-2, -0x1.089439389dc28p-2, -0x1.06ff94e0bd865p-2, -0x1.053b776ddcd49p-2, -0x1.034a099e9575p-2, -0x1.012d85e7d6cb3p-2, -0x1.fdd070c18f745p-3, -0x1.f8f8f587449a2p-3, -0x1.f3d95c11af0a1p-3, -0x1.ee7667292750ap-3, -0x1.e8d4ceb400738p-3, -0x1.e2f9371028c66p-3, -0x1.dce82b65ff64fp-3, -0x1.d6a61a31e1cb8p-3, -0x1.d037531d5708ep-3, -0x1.c9a0056ec5422p-3, -0x1.c2e43ea372538p-3, -0x1.bc07e90ea693bp-3, -0x1.b50eca89083a1p-3, -0x1.adfc8350f43cep-3, -0x1.a6d48d3d18274p-3, -0x1.9f9a3b573387fp-3, -0x1.9850b9e45eebbp-3, -0x1.90fb0ed14247ap-3, -0x1.899c1a6df27e1p-3, -0x1.8236986027aaep-3, -0x1.7acd20b2a1142p-3, -0x1.736228ec61411p-3, -0x1.6bf805202625fp-3, -0x1.6490e8eb0cfc7p-3, -0x1.5d2ee85f2ede2p-3, -0x1.55d3f8db88c6bp-3, -0x1.4e81f1d5af48ap-3, -0x1.473a8d9b4959cp-3, -0x1.3fff6a1161d9fp-3, -0x1.38d20976f14b6p-3, -0x1.31b3d32ebd81bp-3, -0x1.2aa61492dc9f8p-3, -0x1.23aa01d2c0f57p-3, -0x1.1cc0b6db472ebp-3, -0x1.15eb38472c034p-3, -0x1.0f2a7455a6a8fp-3, -0x1.087f43e49c36dp-3, -0x1.01ea6b6bb5f99p-3, -0x1.f6d937ec27147p-4, -0x1.ea0ce8304937cp-4, -0x1.dd7101c05b45p-4, -0x1.d1067d80a8577p-4, -0x1.c4ce34e399c1ap-4, -0x1.b8c8e3a04be71p-4, -0x1.acf729582d554p-4, -0x1.a1598b2be7716p-4, -0x1.95f075434d0a7p-4, -0x1.8abc3c49a9ba5p-4, -0x1.7fbd1edb41752p-4, -0x1.74f346deebafbp-4, -0x1.6a5ecacf5ed74p-4, -0x1.5fffaefdada23p-4, -0x1.55d5e6d16923fp-4, -0x1.4be155fb4a487p-4, -0x1.4221d18d29463p-4, -0x1.389720f76b502p-4, -0x1.2f40fefdcaa7dp-4, -0x1.261f1ab347f77p-4, -0x1.1d311876a18c4p-4, -0x1.147692db736c6p-4, -0x1.0bef1b6d8b30ep-4, -0x1.039a3b55769ffp-4, -0x1.f6eee7e681c1fp-5, -0x1.e70c7f0589247p-5, -0x1.d78c239a7d647p-5, -0x1.c86cb1afd42ap-5, -0x1.b9acfafd79e54p-5, -0x1.ab4bc7e1232bap-5, -0x1.9d47d823225e8p-5, -0x1.8f9fe3a43d369p-5, -0x1.82529b11832a4p-5, -0x1.755ea8ae9b10ap-5, -0x1.68c2b134166d1p-5, -0x1.5c7d54b21bda4p-5, -0x1.508d2f63ea61dp-5, -0x1.44f0da65f304bp-5, -0x1.39a6ec4a1b857p-5, -0x1.2eadf98f98961p-5, -0x1.24049509e437bp-5, -0x1.19a950437f754p-5, -0x1.0f9abbe61211cp-5, -0x1.05d7682c8e192p-5, -0x1.f8bbcabd0437dp-6, -0x1.e659889f4673bp-6, -0x1.d4852db9a2613p-6, -0x1.c33be0c065a35p-6, -0x1.b27acc2f2cfe2p-6, -0x1.a23f1ef67275dp-6, -0x1.92860d0ae316ep-6, -0x1.834ccfdbd5c75p-6, -0x1.7490a6b830d4p-6, -0x1.664ed728d88d3p-6, -0x1.5884ad476ef32p-6, -0x1.4b2f7c14db16p-6, -0x1.3e4c9dd1ad907p-6, -0x1.31d97457b4ffcp-6, -0x1.25d36972ccbfap-6, -0x1.1a37ef35e3603p-6, -0x1.0f0480492bbd9p-6, -0x1.0436a02ebb264p-6, -0x1.f397b6f712097p-7, -0x1.df8390086d4a8p-7, -0x1.cc2c09fb5ff5ep-7, -0x1.b98c7624f0feap-7, -0x1.a7a038ddc62d2p-7, -0x1.9662c98abbd8fp-7, -0x1.85cfb29b5f111p-7, -0x1.75e2918052ecep-7, -0x1.6697169d6eedp-7, -0x1.57e905397ec8p-7, -0x1.49d4336c9b55fp-7, -0x1.3c548a0e1dba8p-7, -0x1.2f6604a23588fp-7, -0x1.2304b1468b6d3p-7, -0x1.172cb09dc9184p-7, -0x1.0bda35b8c1bf2p-7, -0x1.010985fd533f7p-7, -0x1.ed6df213d78f1p-8, -0x1.d9bdf12a6bd1ep-8, -0x1.c6fc00948a08p-8, -0x1.b5213b40d4976p-8, -0x1.a426df5f9a87ep-8, -0x1.94064e04d327p-8, -0x1.84b90ac427bb4p-8, -0x1.7638bb48d2fe2p-8, -0x1.687f26e9b0fdep-8, -0x1.5b863639b332fp-8, -0x1.4f47f29813d74p-8, -0x1.43be85be5cc48p-8, -0x1.38e4394d7537p-8, -0x1.2eb3765b54825p-8, -0x1.2526c500e6e03p-8, -0x1.1c38cbe69a916p-8, -0x1.13e44fd207dfdp-8, -0x1.0c2433347f189p-8, -0x1.04f375b7f126cp-8, -0x1.fc9a67990735p-9, -0x1.f0594c6ef679ap-9, -0x1.e51a4340c0af5p-9, -0x1.dad42c3bb8adap-9, -0x1.d17e1d8759538p-9, -0x1.c90f62622e3fdp-9, -0x1.c17f7a38580b6p-9, -0x1.bac617bed34bep-9, -0x1.b4db200fc3ac7p-9, -0x1.afb6a9c40e891p-9, -0x1.ab50fc0bc61cp-9, -0x1.a7a28dcc59499p-9, -0x1.a4a404bed44ecp-9, -0x1.a24e348b435a6p-9, -0x1.a09a1de816479p-9, -0x1.9f80edbfc6803p-9, -0x1.9efbfc54bf93fp-9, -0x1.9f04cc6690031p-9, -0x1.9f950a5cc3113p-9, -0x1.a0a68b7864552p-9, -0x1.a2334d0351763p-9, -0x1.a4357383a14eap-9, -0x1.a6a749f5bafd6p-9, -0x1.a983410c992a2p-9, -0x1.acc3ee70403bcp-9, -0x1.b0640c012340bp-9, -0x1.b45e77231843ap-9, -0x1.b8ae300d8511ap-9, -0x1.bd4e591a3f4bcp-9, -0x1.c23a36191eef5p-9, -0x1.c76d2bab06f4ap-9, -0x1.cce2bea24675ep-9, -0x1.d2969361e95e2p-9, -0x1.d8846d405976p-9, -0x1.dea82df0adae8p-9, -0x1.e4fdd4f2c9705p-9, -0x1.eb817f01ac9c5p-9, -0x1.f22f6583b1d1dp-9, -0x1.f903de00d32f9p-9, -0x1.fffb599ead826p-9, -0x1.0389324f2d51dp-8, -0x1.0722d2ec34228p-8, -0x1.0ac8ef1e788a8p-8, -0x1.0e79f42caf75cp-8, -0x1.12345bf16c9dep-8, -0x1.15f6ac9efac2ep-8, -0x1.19bf7883a50b6p-8, -0x1.1d8d5dcfdaae1p-8, -0x1.215f065f0ee99p-8, -0x1.2533278184dddp-8, -0x1.290881c508ac1p-8, -0x1.2cdde0bdbae38p-8, -0x1.30b21ad081037p-8, -0x1.348411002afbap-8, -0x1.3852aebaecd5dp-8, -0x1.3c1ce9a6d83a7p-8, -0x1.3fe1c16e13406p-8, -0x1.43a03f8c6f14p-8, -0x1.4757771f0f832p-8, -0x1.4b0684b4ed3cfp-8, -0x1.4eac8e1eb248cp-8, -0x1.5248c23d9e397p-8, -0x1.55da58d34f38p-8, -0x1.59609252faf11p-8, -0x1.5cdab7b43add6p-8, -0x1.60481a45c00d1p-8, -0x1.63a8137f3b70fp-8, -0x1.66fa04d3206ccp-8, -0x1.6a3d5780b097ap-8, -0x1.6d717c686731bp-8, -0x1.7095ebe0f6aefp-8, -0x1.73aa258c513c9p-8, -0x1.76adb02bf53ffp-8, -0x1.79a01974e6845p-8, -0x1.7c80f5e472ea7p-8, -0x1.7f4fe096bd64bp-8, -0x1.820c7b1e6edp-8, -0x1.84b66d5c83c9fp-8, -0x1.874d65571a633p-8, -0x1.89d1171018f94p-8, -0x1.8c413c5c34c48p-8, -0x1.8e9d94bc477e9p-8, -0x1.90e5e53799132p-8, -0x1.9319f836c858dp-8, -0x1.95399d5df734p-8, -0x1.9744a9665e71fp-8, -0x1.993af5f834654p-8, -0x1.9b1c618661689p-8, -0x1.9ce8cf2bbe724p-8, -0x1.9ea02689626eep-8, -0x1.a04253a4c75c4p-8, -0x1.a1cf46c4cb8p-8, -0x1.a346f44f15fafp-8, -0x1.a4a954a648465p-8, -0x1.a5f6640a11db7p-8, -0x1.a72e2278a12bp-8, -0x1.a8509390c11fcp-8, -0x1.a95dbe735fc24p-8, -0x1.aa55ada4c7bcbp-8, -0x1.ab386eede9ea3p-8, -0x1.ac06133ed8dc9p-8, -0x1.acbeae9324948p-8, -0x1.ad6257d74b326p-8, -0x1.adf128ce9f4eep-8, -0x1.ae6b3df8e2546p-8, -0x1.aed0b6778cef9p-8, -0x1.af21b3f35d4e1p-8, -0x1.af5e5a82ce251p-8, -0x1.af86d09212b73p-8, -0x1.af9b3ecc571dp-8, -0x1.af9bd00561191p-8, -0x1.af88b1235613ap-8, -0x1.af621107f3397p-8, -0x1.af28207a35115p-8, -0x1.aedb12103bdddp-8, -0x1.ae7b1a1ac8b33p-8, -0x1.ae086e916c712p-8, -0x1.ad8346ffce3ep-8, -0x1.acebdc72eb88ap-8, -0x1.ac4269665bb3p-8, -0x1.ab8729b17e588p-8, -0x1.aaba5a74d895bp-8, -0x1.a9dc3a0845b34p-8, -0x1.a8ed07e9e02f1p-8, -0x1.a7ed04adfb3ccp-8, -0x1.a6dc71ef62a46p-8, -0x1.a5bb92400ee18p-8, -0x1.a48aa919932b6p-8, -0x1.a349facdaabbfp-8, -0x1.a1f9cc7701c29p-8, -0x1.a09a63ea7cb95p-8, -0x1.9f2c07a935468p-8, -0x1.9daefed32d849p-8, -0x1.9c23911a52611p-8, -0x1.9a8a06b5cb645p-8, -0x1.98e2a85550f23p-8, -0x1.972dbf147dc19p-8, -0x1.956b946e6399fp-8, -0x1.939c723178731p-8, -0x1.91c0a273ebb98p-8, -0x1.8fd86f889b2cbp-8, -0x1.8de423f45b0cep-8, -0x1.8be40a63788e3p-8, -0x1.89d86d9f57e06p-8, -0x1.87c19884204ap-8, -0x1.859fd5f684f95p-8, -0x1.837370d9e366ap-8, -0x1.813cb4067f44ep-8, -0x1.7efbea4085729p-8, -0x1.7cb15e2f35c32p-8, -0x1.7a5d5a545dd86p-8, -0x1.78002903ff0d4p-8, -0x1.759a145be37cep-8, -0x1.732b663b447cfp-8, -0x1.70b4683a6c4f9p-8, -0x1.6e3563a2b818ap-8, -0x1.6baea166ec03ep-8, -0x1.69206a1c0d669p-8, -0x1.668b05f2ab378p-8, -0x1.63eebcb07d814p-8, -0x1.614bd5aa0abcep-8, -0x1.5ea297bc663abp-8, -0x1.5bf349468a55cp-8, -0x1.593e3022a71d6p-8, -0x1.5683919f72aeep-8, -0x1.53c3b279c61f2p-8, -0x1.50fed6d6b09cp-8, -0x1.4e35423e56e7ep-8, -0x1.4b6737976fe55p-8, -0x1.4894f9233d8bfp-8, -0x1.45bec879a12b3p-8, -0x1.42e4e68510265p-8, -0x1.4007937decc0ep-8, -0x1.3d270ee5794e1p-8, -0x1.3a43978048355p-8, -0x1.375d6b50cd75dp-8, -0x1.3474c7928a21ap-8, -0x1.3189e8b61124ep-8, -0x1.2e9d0a5e35926p-8, -0x1.2bae675e5581fp-8, -0x1.28be39b9138dbp-8, -0x1.25ccba9f3b18p-8, -0x1.22da226dcd857p-8, -0x1.1fe6a8ab3359ap-8, -0x1.1cf2840331cbap-8, -0x1.19fdea4227b48p-8, -0x1.1709105059f9p-8, -0x1.14142a2df6a0bp-8, -0x1.111f6af09e9dp-8, -0x1.0e2b04c2c4383p-8, -0x1.0b3728e49f1f4p-8, -0x1.084407ae073b2p-8, -0x1.0551d09043274p-8, -0x1.0260b216afabcp-8, -0x1.fee1b3cb4f58fp-9, -0x1.f904e96f32cf8p-9, -0x1.f32b5cb160a72p-9, -0x1.ed55634473783p-9, -0x1.e78350edd911ep-9, -0x1.e1b57782af25bp-9, -0x1.dbec26e9ab5b8p-9, -0x1.d627ad21c6beap-9, -0x1.d068564c076eep-9, -0x1.caae6cb56707p-9, -0x1.c4fa38ddc7c8fp-9, -0x1.bf4c0179ea34dp-9, -0x1.b9a40b6fbb471p-9, -0x1.b40299cdf1617p-9, -0x1.ae67edc1d203p-9, -0x1.a8d4468ed6026p-9, -0x1.a347e18b066f6p-9, -0x1.9dc2fa22d13b6p-9, -0x1.9845c9e3bad9cp-9, -0x1.92d0888c5ae52p-9, -0x1.8d636c1d89532p-9, -0x1.87fea8e8c927bp-9, -0x1.82a27197ed454p-9, -0x1.7d4ef72c2a4c2p-9, -0x1.780468f5476d1p-9, -0x1.72c2f483e74afp-9, -0x1.6d8ac59bf0627p-9, -0x1.685c062bc76efp-9, -0x1.6336de4cf4ec4p-9, -0x1.5e1b744fbcf5ap-9, -0x1.5909ecd088b7ep-9, -0x1.54026ad2f4fa3p-9, -0x1.4f050fdcacddp-9, -0x1.4a11fc09f18d5p-9, -0x1.45294e16c4a4fp-9, -0x1.404b235acdb35p-9, -0x1.3b7797b9738cep-9, -0x1.36aec58af7fbbp-9, -0x1.31f0c585d6fe6p-9, -0x1.2d3daeaf88697p-9, -0x1.2895965adda1dp-9, -0x1.23f8903680942p-9, -0x1.1f66ae6a2f9p-9, -0x1.1ae001bdc093bp-9, -0x1.166499c1da911p-9, -0x1.11f484f1c4c8ep-9, -0x1.0d8fd0c71651bp-9, -0x1.093689bb24932p-9, -0x1.04e8bb369578ep-9, -0x1.00a66f7384d78p-9, -0x1.f8df5eb5318d4p-10, -0x1.f08904c8903p-10, -0x1.e849dd0ede6d9p-10, -0x1.e021f0762868ap-10, -0x1.d811451a475dcp-10, -0x1.d017de952af17p-10, -0x1.c835be6418871p-10, -0x1.c06ae44c9e095p-10, -0x1.b8b74ead80b9p-10, -0x1.b11afaab79d4ep-10, -0x1.a995e43200228p-10, -0x1.a22805cb12f48p-10, -0x1.9ad158594a1aep-10, -0x1.9391d2c6a1456p-10, -0x1.8c6969bbc182fp-10, -0x1.85580f717a5c2p-10, -0x1.7e5db3a8c2f09p-10, -0x1.777a43cd6c305p-10, -0x1.70adab3f96c3fp-10, -0x1.69f7d3b764f28p-10, -0x1.6358a5b0dbd4ap-10, -0x1.5cd008ca6b6c1p-10, -0x1.565de402e7b1fp-10, -0x1.50021dcb076b6p-10, -0x1.49bc9be932044p-10, -0x1.438d433a47e01p-10, -0x1.3d73f7627b87bp-10, -0x1.37709a83bb1abp-10, -0x1.31830d0adb28bp-10, -0x1.2bab2d9d3c503p-10, -0x1.25e8d92877f34p-10, -0x1.203beb0f85949p-10, -0x1.1aa43d6ee0a93p-10, -0x1.1521a96fa81a7p-10, -0x1.0fb4079f6bbd4p-10, -0x1.0a5b303f34bep-10, -0x1.0516fb794235cp-10, -0x1.ffce82dc8952p-11, -0x1.f597b4277d7ffp-11, -0x1.eb8939d59f517p-11, -0x1.e1a2c14a25cap-11, -0x1.d7e3f5aaa1dfcp-11, -0x1.ce4c7f8a3c5d5p-11, -0x1.c4dc04f57682fp-11, -0x1.bb9229d0687c2p-11, -0x1.b26e905fbd1a1p-11, -0x1.a970d9d2d2105p-11, -0x1.a098a6b68b2d8p-11, -0x1.97e5975251bbfp-11, -0x1.8f574bfc1cda1p-11, -0x1.86ed656c09e82p-11, -0x1.7ea785008460fp-11, -0x1.76854cd119274p-11, -0x1.6e865f6c5dd27p-11, -0x1.66aa5f379217ep-11, -0x1.5ef0ed933fe7ep-11, -0x1.5759aa0c8621dp-11, -0x1.4fe431eb7233p-11, -0x1.489020503fffdp-11, -0x1.415d0ed6b616ep-11, -0x1.3a4a96803d844p-11, -0x1.3358508ea774fp-11, -0x1.2c85d70e46053p-11, -0x1.25d2c500bb89bp-11, -0x1.1f3eb64d1cc38p-11, -0x1.18c947aefa81p-11, -0x1.127216cc79b06p-11, -0x1.0c38c26daa585p-11, -0x1.061ceaa56fd0cp-11, -0x1.001e30acf68f2p-11, -0x1.f4786ca068ca1p-12, -0x1.e8ed3a048f06p-12, -0x1.dd9a09d065b99p-12, -0x1.d27e187ce32p-12, -0x1.c7989ec18807p-12, -0x1.bce8d2eee5e8ep-12, -0x1.b26deb0dafb1dp-12, -0x1.a8271eee94b4dp-12, -0x1.9e13a9755751p-12, -0x1.9432c8dd0c353p-12, -0x1.8a83be3bef84ep-12, -0x1.8105cce0ae266p-12, -0x1.77b83a1b7c39ep-12, -0x1.6e9a4da608de6p-12, -0x1.65ab5264c0f08p-12, -0x1.5cea96e9342b8p-12, -0x1.54576d264fb59p-12, -0x1.4bf1292975884p-12, -0x1.43b71f31659d8p-12, -0x1.3ba8a1de49676p-12, -0x1.33c5013749c6p-12, -0x1.2c0b8ae584d85p-12, -0x1.247b8b798a3b8p-12, -0x1.1d145023e13b7p-12, -0x1.15d5282fa8a4fp-12, -0x1.0ebd65c5e37bfp-12, -0x1.07cc5de6a2e24p-12, -0x1.010167e44b554p-12, -0x1.f4b7b9c257e46p-13, -0x1.e7b62f8ebe4cbp-13, -0x1.dafcebd807f65p-13, -0x1.ce8ab043d52e2p-13, -0x1.c25e4749b6c31p-13, -0x1.b6768470cb6e9p-13, -0x1.aad2425cf45e9p-13, -0x1.9f705f3ec896fp-13, -0x1.944fb92ba63cfp-13, -0x1.896f2bf8e197ep-13, -0x1.7ecd91625b439p-13, -0x1.7469c30141dbdp-13, -0x1.6a429cbcb498ep-13, -0x1.6056fe5cc3c53p-13, -0x1.56a5cbb64eea5p-13, -0x1.4d2debcea51fep-13, -0x1.43ee47cc0b4c4p-13, -0x1.3ae5ca5f2ba27p-13, -0x1.32135ff2b6ad9p-13, -0x1.2975f7b43de92p-13, -0x1.210c856c901abp-13, -0x1.18d603d8e2541p-13, -0x1.10d176b765afap-13, -0x1.08fdeb65a6857p-13, -0x1.015a774b25aa9p-13, -0x1.f3cc68cb901a5p-14, -0x1.e5407afa5c91ep-14, -0x1.d70f57d201f74p-14, -0x1.c937300824411p-14, -0x1.bbb637a4c6659p-14, -0x1.ae8aac20e71b6p-14, -0x1.a1b2d77378f7cp-14, -0x1.952d0e56c6bf5p-14, -0x1.88f7ab2b618afp-14, -0x1.7d1108b8460c9p-14, -0x1.71777f8ab333ep-14, -0x1.662966ab3f89p-14, -0x1.5b251694f82e3p-14, -0x1.5068ecf9596bp-14, -0x1.45f35077fefb7p-14, -0x1.3bc2b4039f264p-14, -0x1.31d5997cd98ecp-14, -0x1.282a927e8691ep-14, -0x1.1ec03e3f4c822p-14, -0x1.1595447658a05p-14, -0x1.0ca84f1354043p-14, -0x1.03f805f99481ep-14, -0x1.f7061eca885c3p-15, -0x1.e69029f8a9354p-15, -0x1.d68b950a791dap-15, -0x1.c6f5e412dd553p-15, -0x1.b7ccb5b29d04cp-15, -0x1.a90db87078df1p-15, -0x1.9ab69dfcfdd87p-15, -0x1.8cc512e9b3524p-15, -0x1.7f36bd4668ce9p-15, -0x1.72094060c9d84p-15, -0x1.653a42bb4ccd7p-15, -0x1.58c7747506874p-15, -0x1.4cae955785dffp-15, -0x1.40ed798c10968p-15, -0x1.35820ba4c7c83p-15, -0x1.2a6a4b3fa590ep-15, -0x1.1fa4488fb7893p-15, -0x1.152e1de73fcecp-15, -0x1.0b05e8e0d8cddp-15, -0x1.0129c5ae540bcp-15, -0x1.ef2f9eef422e9p-16, -0x1.dc9c4e5e9c86bp-16, -0x1.ca95fc4147ba7p-16, -0x1.b9193bc22df05p-16, -0x1.a822d0036a372p-16, -0x1.97af9b0608c1ep-16, -0x1.87bc87c551db9p-16, -0x1.78467ce8a55aep-16, -0x1.694a5c5157ffbp-16, -0x1.5ac50949a3e74p-16, -0x1.4cb36d367317dp-16, -0x1.3f12795bda3edp-16, -0x1.31df2a3682ee6p-16, -0x1.25168f777b91fp-16, -0x1.18b5d58c30d8bp-16, -0x1.0cba4a6f44ed2p-16, -0x1.012159f4e61c8p-16, -0x1.ebd10656380ecp-17, -0x1.d61a98a4f183dp-17, -0x1.c11a75ef47c3bp-17, -0x1.accba4f0b4c57p-17, -0x1.99293066d91b1p-17, -0x1.862e37f467aep-17, -0x1.73d60728b83aap-17, -0x1.621c2b410adeap-17, -0x1.50fc798c00a8bp-17, -0x1.4072fccade2fap-17, -0x1.307bd292e470ep-17, -0x1.211310e8844a1p-17, -0x1.1234c5797171ep-17, -0x1.03dd085dd8575p-17, -0x1.ec101881ffb14p-18, -0x1.d1643af302954p-18, -0x1.b7af2d66df808p-18, -0x1.9ee9b6a4be883p-18, -0x1.870cbd8aa61d3p-18, -0x1.701165b1e0746p-18, -0x1.59f12550d6c63p-18, -0x1.44a5c62781f99p-18, -0x1.30294ee95cfcp-18, -0x1.1c75dedf82c1cp-18, -0x1.09858de626389p-18, -0x1.eea4c4056bd8ep-19, -0x1.cbacbe9c31c2bp-19, -0x1.aa174e96d7b93p-19, -0x1.89d92c61483cbp-19, -0x1.6ae7a7af4bd67p-19, -0x1.4d38af021e8ebp-19, -0x1.30c2bc07c3ab9p-19, -0x1.157c9f3e32938p-19, -0x1.f6ba756829808p-20, -0x1.c4b6b56d9b9ep-20, -0x1.94db9ec21e998p-20, -0x1.6717590e02537p-20, -0x1.3b58da3ffdf6ep-20, -0x1.118fb916058p-20, -0x1.d357ae40c6659p-21, -0x1.873a8323c1d2ap-21, -0x1.3ea89ff500f1ap-21, -0x1.f3074a29ad7e6p-22, -0x1.6f5cc8108a196p-22, -0x1.e433d65881632p-23, -0x1.ec24ec45cb97ap-24, -0x1.3ede66e31f1dbp-27, 0x1.853fa21c808e2p-24, 0x1.8dfcc63c8c08fp-23, 0x1.2747df5cbd17bp-22, 0x1.825f855903253p-22, 0x1.d8770266d7d7bp-22, 0x1.14deaa638f2fp-21, 0x1.3b2f36b6743efp-21, 0x1.5f41ecc196fdep-21, 0x1.812aeb877545cp-21, 0x1.a0fe0ac4e07b8p-21, 0x1.becefdb2b5468p-21, 0x1.dab147e1df806p-21, 0x1.f4b7f450aa08dp-21, 0x1.067a95cf93a8ep-20, 0x1.11bd0ecd31432p-20, 0x1.1c2bb35bd78d5p-20, 0x1.25ceba0467385p-20, 0x1.2eae3c7b3d469p-20, 0x1.36d2155227a7ep-20, 0x1.3e41ce17476e4p-20, 0x1.4504a2a34872ap-20, 0x1.4b218a9be1cddp-20, 0x1.509f4238c58bcp-20, 0x1.5584516c1d832p-20, 0x1.59d712837004p-20, 0x1.5d9db9f4515b4p-20, 0x1.60de5fbd4dce9p-20, 0x1.639f06dd4b54cp-20, 0x1.65e59b5943ea6p-20, 0x1.67b7e0351abd5p-20, 0x1.691b510e79ab4p-20, 0x1.6a150a8b7c0ebp-20, 0x1.6aa9d29de363dp-20, 0x1.6ade43f3276a4p-20, 0x1.6ab6fc5fe3a03p-20, 0x1.6a38a5a37f881p-20, 0x1.6967d80d1a24p-20, 0x1.6848f5d38f3cp-20, 0x1.66e0121de62d9p-20, 0x1.6530f289e9a6ap-20, 0x1.633f36257cef9p-20, 0x1.610e7e4a2a471p-20, 0x1.5ea26b8452951p-20, 0x1.5bfe7d9dd48a9p-20, 0x1.592602d30a0b7p-20, 0x1.561c1c1eb7f74p-20, 0x1.52e3c54a6a51cp-20, 0x1.4f7fdbdfebddp-20, 0x1.4bf325f09f938p-20, 0x1.484056cb563dp-20, 0x1.446a108a6b8a2p-20, 0x1.4072e2ba8032ep-20, 0x1.3c5d47adcc75ep-20, 0x1.382ba25509b4p-20, 0x1.33e03e01319a8p-20, 0x1.2f7d4f551c606p-20, 0x1.2b04f3dd2b0aep-20, 0x1.26792e4a42dd9p-20, 0x1.21dbe1c7ab106p-20, 0x1.1d2ed332f7007p-20, 0x1.1873b4e90fb22p-20, 0x1.13ac37a71d102p-20, 0x1.0eda10f70ebcp-20, 0x1.09feedc51eeefp-20, 0x1.051c5d2932572p-20, 0x1.0033c5c6f072ep-20, 0x1.f68cd86567ba1p-21, 0x1.ecab10e2ee8bap-21, 0x1.e2c4afcd23eabp-21, 0x1.d8dc2c9d06934p-21, 0x1.cef3d8975e2fap-21, 0x1.c50dd88c7f20ap-21, 0x1.bb2c2f778d445p-21, 0x1.b150c23cbb731p-21, 0x1.a77d59e00a5ebp-21, 0x1.9db3a86654e4cp-21, 0x1.93f54d8644cb5p-21, 0x1.8a43d97dfdea7p-21, 0x1.80a0cdbccaf42p-21, 0x1.770d9ba01c13dp-21, 0x1.6d8ba1b67e7adp-21, 0x1.641c28d6e2bd2p-21, 0x1.5ac06270d0c78p-21, 0x1.517969301a43dp-21, 0x1.484843a0842e8p-21, 0x1.3f2de72e91b02p-21, 0x1.362b39cbe244dp-21, 0x1.2d411207bcb26p-21, 0x1.2470373510c43p-21, 0x1.1bb963c7cca0ep-21, 0x1.131d4a37c2bb1p-21, 0x1.0a9c9775f8d86p-21, 0x1.0237ec0a60cf3p-21, 0x1.f3dfa2d9e0a3ep-22, 0x1.e38975324a376p-22, 0x1.d36e1bc0a65bap-22, 0x1.c38e5a345e938p-22, 0x1.b3eaf038bcdacp-22, 0x1.a48488068a245p-22, 0x1.955bac2c6f119p-22, 0x1.8670d314e448bp-22, 0x1.77c46235f0f8dp-22, 0x1.6956abcced5e8p-22, 0x1.5b27f06eace93p-22, 0x1.4d38618095056p-22, 0x1.3f882300a9a18p-22, 0x1.32174ccb0397p-22, 0x1.24e5eb72cd582p-22, 0x1.17f4007b79316p-22, 0x1.0b418201014d2p-22, 0x1.fd9cb3db02358p-23, 0x1.e534ca7880d22p-23, 0x1.cd4ae7875cacp-23, 0x1.b5de919636ac1p-23, 0x1.9eef3951d0553p-23, 0x1.887c3d9f5b81cp-23, 0x1.7284ef6c80761p-23, 0x1.5d08936368a89p-23, 0x1.4806612378493p-23, 0x1.337d80e82d0f9p-23, 0x1.1f6d0af59cd29p-23, 0x1.0bd40a561753p-23, 0x1.f162fe5085d7ap-24, 0x1.cc08b69ced9e7p-24, 0x1.a79701d181c1ap-24, 0x1.840b95a8dbeedp-24, 0x1.61641f28bef21p-24, 0x1.3f9e393b0ca8fp-24, 0x1.1eb76939b6992p-24, 0x1.fd5a3ac4d6004p-25, }}, 
      {{-0x1.74a46b00af596p-7, -0x1.6a2690ca7385dp-6, -0x1.02cfea87694c5p-5, -0x1.4252e6b06fb13p-5, -0x1.70bc9ed84f12bp-5, -0x1.8c51876e87a35p-5, -0x1.944b3d2aef9fp-5, -0x1.88a321886ab47p-5, -0x1.69e43a080b06ap-5, -0x1.3907133b04561p-5, -0x1.eeab8286dcf12p-6, -0x1.4cabc4f75edfdp-6, -0x1.1ed7385dd2c05p-7, 0x1.161878e7ce495p-8, 0x1.2e85614068155p-6, 0x1.13f89ba0565a2p-5, 0x1.972075e2367ccp-5, 0x1.0f85503076f61p-4, 0x1.55115f9d89415p-4, 0x1.9b7a1f4a080c3p-4, 0x1.e2167aa378b0dp-4, 0x1.1427896e800bep-3, 0x1.36cf0aac0cb16p-3, 0x1.58c7484121963p-3, 0x1.79ddb6d496212p-3, 0x1.99e7193b695f3p-3, 0x1.b8bed3ec36256p-3, 0x1.d6463f2de9906p-3, 0x1.f264010020006p-3, 0x1.0681ba6372528p-2, 0x1.130a120c36c1dp-2, 0x1.1ec4a8e76f36fp-2, 0x1.29accb6333282p-2, 0x1.33bf473ea5918p-2, 0x1.3cfa488b5d56ep-2, 0x1.455d3bfbf9358p-2, 0x1.4ce8b5212a6c9p-2, 0x1.539e5759cf42bp-2, 0x1.5980c06fdcc8ap-2, 0x1.5e937418d8416p-2, 0x1.62dac7cd970ddp-2, 0x1.665bcea481979p-2, 0x1.691c45088135ap-2, 0x1.6b227c4bea00dp-2, 0x1.6c754631a05dap-2, 0x1.6d1be0989f045p-2, 0x1.6d1de17fca8dbp-2, 0x1.6c83239b4a365p-2, 0x1.6b53b3b29a16dp-2, 0x1.6997bef947ef8p-2, 0x1.6757828c8f369p-2, 0x1.649b3c36c4c7fp-2, 0x1.616b1c906ab41p-2, 0x1.5dcf3a8cc5e29p-2, 0x1.59cf8876d7047p-2, 0x1.5573ca64847ecp-2, 0x1.50c38e0182355p-2, 0x1.4bc623d994a9cp-2, 0x1.4682999f1f9dp-2, 0x1.40ffb6324702p-2, 0x1.3b43f5d2a55ffp-2, 0x1.355588e04c741p-2, 0x1.2f3a513be9787p-2, 0x1.28f7e392a93dep-2, 0x1.229385974be64p-2, 0x1.1c1230c3c4192p-2, 0x1.157892c678643p-2, 0x1.0ecb0e9f0469ap-2, 0x1.080dc24923b1dp-2, 0x1.01448299e28b5p-2, 0x1.f4e5ce8eff6e2p-3, 0x1.e7388697536c5p-3, 0x1.d987626aed319p-3, 0x1.cbd8210b1a7b7p-3, 0x1.be3012e8a299ep-3, 0x1.b094272f03b2cp-3, 0x1.a308e5477cfb7p-3, 0x1.95927e0a76e3p-3, 0x1.8834c9af52028p-3, 0x1.7af34f337c96ap-3, 0x1.6dd14a183bb0ep-3, 0x1.60d1acb3a0ea2p-3, 0x1.53f725a690efcp-3, 0x1.474422d126f2cp-3, 0x1.3abad4c1fa6f2p-3, 0x1.2e5d31d384bddp-3, 0x1.222cf904aecc7p-3, 0x1.162bb4bb22e12p-3, 0x1.0a5abd59115b2p-3, 0x1.fd7677884763fp-4, 0x1.e69c5790289e3p-4, 0x1.d028bcdfcda98p-4, 0x1.ba1cf89ded6c3p-4, 0x1.a47a0f72c9007p-4, 0x1.8f40be02a6f0cp-4, 0x1.7a717d47b052bp-4, 0x1.660c86ea93829p-4, 0x1.5211d997f399fp-4, 0x1.3e813d2f0c95cp-4, 0x1.2b5a46ead199ap-4, 0x1.189c5d6942879p-4, 0x1.0646bc8055adep-4, 0x1.e8b0f1f84e082p-5, 0x1.c5a10851138bdp-5, 0x1.a35b5e48bcf58p-5, 0x1.81dd5c30fe4acp-5, 0x1.61243672d6891p-5, 0x1.412cf33525b82p-5, 0x1.21f46fcc904f3p-5, 0x1.037765dcd5536p-5, 0x1.cb64e04137347p-6, 0x1.91441e1ef8039p-6, 0x1.58855a7548136p-6, 0x1.212146c1275f5p-6, 0x1.d620f169c5113p-7, 0x1.6c96e306495b3p-7, 0x1.059549a472608p-7, 0x1.4219fc009233cp-8, 0x1.f776b4613b27ap-10, -0x1.06a26bc3afef8p-10, -0x1.f92df0a3281bdp-9, -0x1.b30b4de6b0615p-8, -0x1.32919a763cf59p-7, -0x1.897df675a0d2ap-7, -0x1.de592673af8a1p-7, -0x1.1898adf04e8c6p-6, -0x1.410a43c324a2ap-6, -0x1.68882a606c3bcp-6, -0x1.8f1912a531ef5p-6, -0x1.b4c386191f037p-6, -0x1.d98de5a039bc8p-6, -0x1.fd7e67fb99136p-6, -0x1.104d8c0b4291p-5, -0x1.2174ea45b0b62p-5, -0x1.323827546e1adp-5, -0x1.429a04c10c895p-5, -0x1.529d2d0de9ba5p-5, -0x1.62443376e385cp-5, -0x1.719193c459edbp-5, -0x1.8087b2a79d5p-5, -0x1.8f28ddba544b4p-5, -0x1.9d774b83501f1p-5, -0x1.ab751c047b394p-5, -0x1.b92458f86f536p-5, -0x1.c686f5f8e8a13p-5, -0x1.d39ed12999868p-5, -0x1.e06db3ab4ac7ep-5, -0x1.ecf551d7385fep-5, -0x1.f9374bf669cd3p-5, -0x1.029a977349809p-4, -0x1.08783a2ff9b3cp-4, -0x1.0e3541cfa9246p-4, -0x1.13d2591d3120bp-4, -0x1.1950223e09a6bp-4, -0x1.1eaf36f22b16bp-4, -0x1.23f0290980d4p-4, -0x1.291382abe164p-4, -0x1.2e19c681c4bedp-4, -0x1.3303701ad4d29p-4, -0x1.37d0f458dd6afp-4, -0x1.3c82c19800ad4p-4, -0x1.41193fe939425p-4, -0x1.4594d1895653bp-4, -0x1.49f5d3317269dp-4, -0x1.4e3c9c3229ed7p-4, -0x1.52697ebef4cf6p-4, -0x1.567cc86165557p-4, -0x1.5a76c23324099p-4, -0x1.5e57b0f729a45p-4, -0x1.621fd56be5fb2p-4, -0x1.65cf6cb2e9fd5p-4, -0x1.6966b07c5407ap-4, -0x1.6ce5d71f76bcbp-4, -0x1.704d13eb4b7cdp-4, -0x1.739c9782a8d32p-4, -0x1.76d48ffeb5125p-4, -0x1.79f52903fd32p-4, -0x1.7cfe8c0cea4b2p-4, -0x1.7ff0e0be62b91p-4, -0x1.82cc4d034d219p-4, -0x1.8590f517c1851p-4, -0x1.883efbcb5a0e7p-4, -0x1.8ad682d74e6f4p-4, -0x1.8d57aaf8751c3p-4, -0x1.8fc293e562997p-4, -0x1.92175c7bead96p-4, -0x1.94562321a5a34p-4, -0x1.967f05f35c59bp-4, -0x1.989222a810fp-4, -0x1.9a8f968b382bap-4, -0x1.9c777ed1c39fp-4, -0x1.9e49f8fabe83dp-4, -0x1.a00722cf5caf7p-4, -0x1.a1af1a23fcb23p-4, -0x1.a341fcdeaf194p-4, -0x1.a4bfe96532b9dp-4, -0x1.a628fef8a5f25p-4, -0x1.a77d5d95ea426p-4, -0x1.a8bd259b46916p-4, -0x1.a9e877c9826a7p-4, -0x1.aaff75bc9aa91p-4, -0x1.ac0242531a5ccp-4, -0x1.acf1018acf703p-4, -0x1.adcbd80a58c4cp-4, -0x1.ae92eafcaa81dp-4, -0x1.af46607de110dp-4, -0x1.afe66020ae1a7p-4, -0x1.b07312f10157dp-4, -0x1.b0eca2f342935p-4, -0x1.b1533abcd91a8p-4, -0x1.b1a705a6598eap-4, -0x1.b1e830635bd3fp-4, -0x1.b216e954fc3f8p-4, -0x1.b2336039009fbp-4, -0x1.b23dc58c3acc5p-4, -0x1.b2364a4ba98f3p-4, -0x1.b21d2057c1d4ep-4, -0x1.b1f27b0caaa4ep-4, -0x1.b1b68f6aa00f7p-4, -0x1.b169939f1b3fep-4, -0x1.b10bbe6245ee6p-4, -0x1.b09d46c803e01p-4, -0x1.b01e64ad16cf8p-4, -0x1.af8f514b5540dp-4, -0x1.aef0475c77306p-4, -0x1.ae4182a315af3p-4, -0x1.ad833f4321234p-4, -0x1.acb5b97f203abp-4, -0x1.abd92e0e59011p-4, -0x1.aaeddab081ffbp-4, -0x1.a9f3fe6e916e5p-4, -0x1.a8ebd94809014p-4, -0x1.a7d5ab8e544f6p-4, -0x1.a6b1b57530defp-4, -0x1.a580372e028f3p-4, -0x1.a441716957966p-4, -0x1.a2f5a5c46eeefp-4, -0x1.a19d16bfd1bb3p-4, -0x1.a0380741b13c5p-4, -0x1.9ec6ba02db0fdp-4, -0x1.9d4971534efbap-4, -0x1.9bc06f5a2eb2dp-4, -0x1.9a2bf690e68d2p-4, -0x1.988c4a0eee9fdp-4, -0x1.96e1ad672d34ep-4, -0x1.952c642ddf482p-4, -0x1.936cb17c36254p-4, -0x1.91a2d7c5a4d9fp-4, -0x1.8fcf19139eaebp-4, -0x1.8df1b76fdf0cap-4, -0x1.8c0af527e39c2p-4, -0x1.8a1b14b6b4b73p-4, -0x1.882258632ee8p-4, -0x1.862101d226cf6p-4, -0x1.841751d17ecedp-4, -0x1.82058877d427p-4, -0x1.7febe5794ff25p-4, -0x1.7dcaa870cf153p-4, -0x1.7ba210eab610ep-4, -0x1.79725e2ab5ec9p-4, -0x1.773bced0820b7p-4, -0x1.74fea0918b489p-4, -0x1.72bb102eee01ep-4, -0x1.707159a6c9757p-4, -0x1.6e21b87ae31d9p-4, -0x1.6bcc67dd63345p-4, -0x1.6971a2a95d4f6p-4, -0x1.6711a32cc71c8p-4, -0x1.64aca2e2d448ap-4, -0x1.6242da44fd024p-4, -0x1.5fd480ca9d0abp-4, -0x1.5d61cd12547e8p-4, -0x1.5aeaf5185d186p-4, -0x1.58702e596aee5p-4, -0x1.55f1add08db97p-4, -0x1.536fa7d32be44p-4, -0x1.50ea4fde999e4p-4, -0x1.4e61d871965f7p-4, -0x1.4bd67304fc658p-4, -0x1.49485024b9e0bp-4, -0x1.46b79f983982ap-4, -0x1.44249083c9e11p-4, -0x1.418f5173b7d44p-4, -0x1.3ef8104e28f04p-4, -0x1.3c5efa33c27dap-4, -0x1.39c43b5ed14a2p-4, -0x1.3727ff1132b11p-4, -0x1.348a6f9991d5dp-4, -0x1.31ebb66b6a598p-4, -0x1.2f4bfc3c45a79p-4, -0x1.2cab6918f2321p-4, -0x1.2a0a246b9cc04p-4, -0x1.276854f23835ep-4, -0x1.24c620aa6d023p-4, -0x1.2223acbc8bc25p-4, -0x1.1f811d6fd0824p-4, -0x1.1cde962db49ddp-4, -0x1.1a3c3991c755ep-4, -0x1.179a297df89bfp-4, -0x1.14f8872b6b1cap-4, -0x1.125773336ce84p-4, -0x1.0fb70d8f3dec3p-4, -0x1.0d17758fc059cp-4, -0x1.0a78c9d0c0dc8p-4, -0x1.07db282de832ap-4, -0x1.053eadbec2589p-4, -0x1.02a376db75892p-4, -0x1.00099f276fe3cp-4, -0x1.fae2833bd8bccp-5, -0x1.f5b4f13b3a16ap-5, -0x1.f08abbe3d38d7p-5, -0x1.eb6415b042f4dp-5, -0x1.e6412ffe6d204p-5, -0x1.e1223b047ec91p-5, -0x1.dc0765c06ae9bp-5, -0x1.d6f0dde8dcff2p-5, -0x1.d1decfe48a166p-5, -0x1.ccd166c9b38a5p-5, -0x1.c7c8cc670a63dp-5, -0x1.c2c529578ce5dp-5, -0x1.bdc6a520e64ccp-5, -0x1.b8cd6656709e1p-5, -0x1.b3d992b695513p-5, -0x1.aeeb4f385f6a3p-5, -0x1.aa02c003a705dp-5, -0x1.a52008556e79dp-5, -0x1.a0434a578aa9bp-5, -0x1.9b6ca6f6ffebdp-5, -0x1.969c3dc63afd8p-5, -0x1.91d22cf8ac84ep-5, -0x1.8d0e918075b99p-5, -0x1.8851874c718fdp-5, -0x1.839b299866197p-5, -0x1.7eeb933823f2bp-5, -0x1.7a42dec4ca3b5p-5, -0x1.75a1269aa6a38p-5, -0x1.710684a345aa3p-5, -0x1.6c7311f6c5823p-5, -0x1.67e6e66ca3193p-5, -0x1.6362183ce9193p-5, -0x1.5ee4bbd29f3bcp-5, -0x1.5a6ee3e6d0f18p-5, -0x1.5600a1e76ac6cp-5, -0x1.519a0695a0601p-5, -0x1.4d3b22b329533p-5, -0x1.48e4078c10dfap-5, -0x1.4494c73020341p-5, -0x1.404d7441f8e33p-5, -0x1.3c0e215e917ebp-5, -0x1.37d6e03dbc81cp-5, -0x1.33a7c0c486892p-5, -0x1.2f80d04cbf9edp-5, -0x1.2b62195e02049p-5, -0x1.274ba3faf4645p-5, -0x1.233d767ee951dp-5, -0x1.1f3796de5926fp-5, -0x1.1b3a0bfbd32f2p-5, -0x1.1744deb596f77p-5, -0x1.13581a5a8e6dbp-5, -0x1.0f73cc57cb4a9p-5, -0x1.0b9803212d12fp-5, -0x1.07c4cc8d0718fp-5, -0x1.03fa34055e5a5p-5, -0x1.0038410576156p-5, -0x1.f8fdeca3253c5p-6, -0x1.f19ca45f63371p-6, -0x1.ea4c9f56560afp-6, -0x1.e30dd151b610bp-6, -0x1.dbe030ad841b1p-6, -0x1.d4c3bac1f8262p-6, -0x1.cdb876b1afdeap-6, -0x1.c6be75c62545bp-6, -0x1.bfd5d110796dep-6, -0x1.b8fea4ad67d6ap-6, -0x1.b23909a6e16e3p-6, -0x1.ab850fd6ab3c6p-6, -0x1.a4e2b945eac3cp-6, -0x1.9e51f842e8c1ap-6, -0x1.97d2b0d4bfafdp-6, -0x1.9164bd724c417p-6, -0x1.8b07f61b06286p-6, -0x1.84bc38543518p-6, -0x1.7e816e40846ffp-6, -0x1.7857932193855p-6, -0x1.723eb411f8de5p-6, -0x1.6c36ec9219c14p-6, -0x1.66405f710233fp-6, -0x1.605b2d7598de2p-6, -0x1.5a876bc070dcdp-6, -0x1.54c51c05d9cacp-6, -0x1.4f14286e46e23p-6, -0x1.4974642f58c9cp-6, -0x1.43e590f368941p-6, -0x1.3e67681e09877p-6, -0x1.38f9a6212bd76p-6, -0x1.339c159700174p-6, -0x1.2e4e97caea4cap-6, -0x1.291128cda8a5fp-6, -0x1.23e3de0bc55b7p-6, -0x1.1ec6df798e06cp-6, -0x1.19ba5c8ba356ep-6, -0x1.14be7f2007a0ep-6, -0x1.0fd35ef91f056p-6, -0x1.0af8f85c26047p-6, -0x1.062f27c83533ep-6, -0x1.0175abb64ac83p-6, -0x1.f9985842bab75p-7, -0x1.f0648ceb0cf97p-7, -0x1.e74f375f4cccbp-7, -0x1.de57bc15813cfp-7, -0x1.d57db74dbd10cp-7, -0x1.ccc10831ddca8p-7, -0x1.c421cf7540427p-7, -0x1.bba0617080cd5p-7, -0x1.b33d2e1f79ab7p-7, -0x1.aaf8a371f1793p-7, -0x1.a2d30f902a5ccp-7, -0x1.9acc88be33df8p-7, -0x1.92e4df5f2bd1ep-7, -0x1.8b1b9c89757b7p-7, -0x1.83700d2904395p-7, -0x1.7be15767b9841p-7, -0x1.746e96693cdbfp-7, -0x1.6d16f789cb6afp-7, -0x1.65d9d43e0cfaep-7, -0x1.5eb6c4561e731p-7, -0x1.57ada5a16ccadp-7, -0x1.50be97a3e4cbep-7, -0x1.49e9ec07ba2fep-7, -0x1.43300e724d82dp-7, -0x1.3c916801dbdeap-7, -0x1.360e4396b994ap-7, -0x1.2fa6b7e147f85p-7, -0x1.295a9af27ad41p-7, -0x1.2329810d45e01p-7, -0x1.1d12c641f429fp-7, -0x1.1715a07da0f95p-7, -0x1.11313691c6b9ep-7, -0x1.0b64b84eba2dfp-7, -0x1.05af740439e3ap-7, -0x1.0010e6640c688p-7, -0x1.f51185865b512p-8, -0x1.ea2de5d07e546p-8, -0x1.df771da7301e1p-8, -0x1.d4ed9c046d732p-8, -0x1.ca91e9083951cp-8, -0x1.c0647d9a33759p-8, -0x1.b6659ec6578cap-8, -0x1.ac9542a2e04abp-8, -0x1.a2f302f380a82p-8, -0x1.997e1f2dba806p-8, -0x1.90358ca0641aap-8, -0x1.871811136e361p-8, -0x1.7e24629e40fa2p-8, -0x1.755946d363f04p-8, -0x1.6cb5abbc19c77p-8, -0x1.6438b6b2d697p-8, -0x1.5be1c7efcdf5bp-8, -0x1.53b074c70e0d4p-8, -0x1.4ba47cc24445ap-8, -0x1.43bdbdb8071d5p-8, -0x1.3bfc28e8acb57p-8, -0x1.345fb892acbc4p-8, -0x1.2ce8644086918p-8, -0x1.259613195c7dcp-8, -0x1.1e688de029997p-8, -0x1.175f745ab37b9p-8, -0x1.107a3a3a0213ap-8, -0x1.09b82e06663f1p-8, -0x1.0318896ebfc45p-8, -0x1.f9350d4fbc034p-9, -0x1.ec7ae7625d844p-9, -0x1.e00178028913dp-9, -0x1.d3c7c8b6fffb6p-9, -0x1.c7ccf551d14acp-9, -0x1.bc1003d3c75dp-9, -0x1.b08fca3d2be38p-9, -0x1.a54af260ad11cp-9, -0x1.9a401ca62bb1bp-9, -0x1.8f6e12031c77bp-9, -0x1.84d3ec8faa38bp-9, -0x1.7a7122226c46ep-9, -0x1.70456aebabfc5p-9, -0x1.66508f7525bb1p-9, -0x1.5c92353028cb9p-9, -0x1.5309c18a79e2fp-9, -0x1.49b660e5f6a83p-9, -0x1.40972d36e337ap-9, -0x1.37ab5f7d96494p-9, -0x1.2ef27041f2198p-9, -0x1.266c11faeb7e5p-9, -0x1.1e1802177a5d4p-9, -0x1.15f5c1f3ed071p-9, -0x1.0e0456c01db68p-9, -0x1.06422faab63f6p-9, -0x1.fd5a873b82c87p-10, -0x1.ee86c1e660925p-10, -0x1.e005271584309p-10, -0x1.d1d2f4bd9c407p-10, -0x1.c3eed568ce6fcp-10, -0x1.b658a68b8215dp-10, -0x1.a910daae7f6c7p-10, -0x1.9c17c03b07fe4p-10, -0x1.8f6d01304c726p-10, -0x1.830f91b11a2bbp-10, -0x1.76fe0976b77d2p-10, -0x1.6b372dda05ec6p-10, -0x1.5fba5cfa2a0c6p-10, -0x1.54879f2d3687p-10, -0x1.499f52bf9a3bap-10, -0x1.3f01951e5c095p-10, -0x1.34ada77a3dedap-10, -0x1.2aa18be396b37p-10, -0x1.20da00457ced6p-10, -0x1.1752dcc71c1c5p-10, -0x1.0e07bebb7236cp-10, -0x1.04f4d2bae967dp-10, -0x1.f82eff917100ep-11, -0x1.e6dd669f5c4dcp-11, -0x1.d5f550aa01c8bp-11, -0x1.c57878296dde6p-11, -0x1.b5683ab2cb304p-11, -0x1.a5c4741115766p-11, -0x1.968b55aa854f4p-11, -0x1.87ba2992c9373p-11, -0x1.794e772fe100fp-11, -0x1.6b46e3881750dp-11, -0x1.5da3641a0087cp-11, -0x1.5064bab6a3577p-11, -0x1.438b843afb99dp-11, -0x1.37174de46b7fbp-11, -0x1.2b06104b898abp-11, -0x1.1f5428579d9efp-11, -0x1.13fca889b2d8fp-11, -0x1.08f9d88d2132ep-11, -0x1.fc8bb6682b77ap-12, -0x1.e7b6fe217d5cp-12, -0x1.d36e2d1eef6c5p-12, -0x1.bfadfac8ab80fp-12, -0x1.ac76da3cf235fp-12, -0x1.99cb27f1b496p-12, -0x1.87acb5667d5c7p-12, -0x1.761b068fe372ep-12, -0x1.65131aabc7dbbp-12, -0x1.54909265b0efdp-12, -0x1.448f4ebda6a33p-12, -0x1.350ca5164c32ap-12, -0x1.2607a9dc17a2p-12, -0x1.17807fb4384fdp-12, -0x1.09770f4899729p-12, -0x1.f7d3d90c971e8p-13, -0x1.ddac165a234f9p-13, -0x1.c46e75aca3015p-13, -0x1.ac11ab4cd214ap-13, -0x1.948c331934d1bp-13, -0x1.7dd43b2059e0dp-13, -0x1.67df7a95a0a7p-13, -0x1.52a3b99578072p-13, -0x1.3e182b6a59962p-13, -0x1.2a36ec85be493p-13, -0x1.16fd90d156d93p-13, -0x1.046c1bafe4ecep-13, -0x1.e505aebecb75bp-14, -0x1.c280cb964303bp-14, -0x1.a14245ee4480ep-14, -0x1.813fbaa933129p-14, -0x1.626e66a7e8e46p-14, -0x1.44c5bdd3248ffp-14, -0x1.284086e753d93p-14, -0x1.0cdb891379bc2p-14, -0x1.e52539a301cd9p-15, -0x1.b2bd29048e679p-15, -0x1.826b1a3ae170cp-15, -0x1.5419bbe306e39p-15, -0x1.27b5c2d0b8996p-15, -0x1.fa5e61a49da52p-16, -0x1.a8f0f1805d74dp-16, -0x1.5b094f1bb899fp-16, -0x1.108b9112b8203p-16, -0x1.92b14c189344fp-17, -0x1.0a9f5f8b13d5ap-17, -0x1.11453bfe438fp-18, -0x1.90dd1781404eap-22, 0x1.a765d26e48434p-19, 0x1.b533a27344e69p-18, 0x1.45d5039412296p-17, 0x1.abadda24cd9cp-17, 0x1.062836fcef808p-16, 0x1.33f60d8e9d118p-16, 0x1.5f55e3d0e1f0fp-16, 0x1.885a1322b835cp-16, 0x1.af1481dd19bf4p-16, 0x1.d39904643fa72p-16, 0x1.f5fcb5b53b8bp-16, 0x1.0b29eb614789p-15, 0x1.1a585c6c983bcp-15, 0x1.28920577c33cfp-15, 0x1.35ded30bab95ap-15, 0x1.4246af1a02872p-15, 0x1.4dd1e47c812eap-15, 0x1.588956b761929p-15, 0x1.6276454ff6ec9p-15, 0x1.6ba183d68baadp-15, 0x1.74125fc5117c3p-15, 0x1.7bcd8afd2cdb3p-15, 0x1.82d4c895df5f3p-15, 0x1.8928bef26cd3dp-15, 0x1.8eccf45d73424p-15, 0x1.93ca9c01e9b47p-15, 0x1.982e91cb8a582p-15, 0x1.9c037b6358b65p-15, 0x1.9f4dc91e888ep-15, 0x1.a20ec53de22c5p-15, 0x1.a44bba0097da1p-15, 0x1.a60f9039a8e01p-15, 0x1.a764ac7169225p-15, 0x1.a84fc4fca05ap-15, 0x1.a8d1275401c21p-15, 0x1.a8e8cd10e34c5p-15, 0x1.a898acf402bfap-15, 0x1.a7e4a42ff7609p-15, 0x1.a6d16c547ee04p-15, 0x1.a563e6dbbdbc5p-15, 0x1.a3a142e1b0b26p-15, 0x1.a18fc3dbee666p-15, 0x1.9f37581d5fcc8p-15, 0x1.9ca11bd572fddp-15, 0x1.99d58ebda2f3ep-15, 0x1.96d9cb18169efp-15, 0x1.93abfb62792d9p-15, 0x1.904190e571545p-15, 0x1.8c8dc9475647fp-15, 0x1.888ffbcdb45acp-15, 0x1.8458f09e9bfbep-15, 0x1.7ffc46045f734p-15, 0x1.7b7e3b4df6177p-15, 0x1.76d5fbcc0cbf3p-15, 0x1.72016bf65a841p-15, 0x1.6d0cfae0ecba8p-15, 0x1.68057ca056cp-15, 0x1.62ec73a102a6dp-15, 0x1.5dbc2279c669ap-15, 0x1.586fcaf6ddc5fp-15, 0x1.5306afcce62b9p-15, 0x1.4d8300cdd1531p-15, 0x1.47e80685ce7ap-15, 0x1.4238e8c864f4ep-15, 0x1.3c7823d4548a6p-15, 0x1.36a7903a968c1p-15, 0x1.30c8fafb7b7fep-15, 0x1.2adf24ed5c553p-15, 0x1.24ee911f64e98p-15, 0x1.1efd57a0e3befp-15, 0x1.1911e3b09b27bp-15, 0x1.1331466036af4p-15, 0x1.0d5c3c67a4724p-15, 0x1.0789c6e56b50cp-15, 0x1.01a883b2eea3dp-15, 0x1.f762df084c65dp-16, 0x1.eb69a35a19ddp-16, 0x1.df8a17aea9936p-16, 0x1.d3bb77c8ae2aep-16, 0x1.c7e32d60e3653p-16, 0x1.bc0c102c0377p-16, 0x1.b05726527aa79p-16, 0x1.a4cd3cfcc8635p-16, 0x1.995fada2b482dp-16, 0x1.8e0091904833cp-16, 0x1.82abcfe7a1b7bp-16, 0x1.7763ab231e1b1p-16, 0x1.6c2c35ca279bep-16, 0x1.6109247a9799fp-16, 0x1.55fd46389936ep-16, 0x1.4b0a91c8b0284p-16, 0x1.40324130d6798p-16, 0x1.3574eb78ef393p-16, 0x1.2ad2d2f2a3babp-16, 0x1.204c9b3d78bb7p-16, 0x1.15e434ca4f56fp-16, 0x1.0b9d3de112b5ep-16, 0x1.017c3dfcdbd6bp-16, 0x1.ef0babf888828p-17, 0x1.db7f867177862p-17, 0x1.c85d7f4e6c528p-17, 0x1.b591d0d8f6769p-17, 0x1.a2e95a9986885p-17, 0x1.905d807640fd2p-17, 0x1.7e1f649ab6fc3p-17, 0x1.6c2d9cb92045fp-17, 0x1.5a5efa56c7104p-17, 0x1.48ce8630ad256p-17, 0x1.37b12f303f60bp-17, 0x1.27027e7424b1fp-17, 0x1.16a2b136f6586p-17, 0x1.0681253f8be42p-17, 0x1.ed3ab0d3565a9p-18, 0x1.cdf835e7545bcp-18, 0x1.af438fc0dfd7fp-18, 0x1.9121f0093281fp-18, 0x1.7395ac001ee8bp-18, 0x1.569f6ea8fbcb5p-18, 0x1.3a3f252a3a743p-18, 0x1.1e74776b87823p-18, 0x1.033ece23eb9c2p-18, 0x1.d13a28dd4ece2p-19, 0x1.9d1b2e1cbb677p-19, 0x1.6a1cd546d2783p-19, 0x1.383cb94d2094p-19, 0x1.077b36f3cae13p-19, 0x1.afb3017707469p-20, 0x1.52ae6ba1b652p-20, 0x1.effd64d77bb54p-21, 0x1.400cb3f0772c3p-21, 0x1.2c6185b075451p-22, -0x1.dfdcf2f799862p-26, -0x1.624cf33293b45p-22, -0x1.4fb184a1be31ap-21, -0x1.eb17dba89aa25p-21, -0x1.41b436f092c32p-20, -0x1.8b32ed704751dp-20, -0x1.d1ddb63d52c3ep-20, -0x1.0b3214a62602cp-19, -0x1.2c92f0538da48p-19, -0x1.4d131c2c4029ep-19, -0x1.6ca8e5fece156p-19, -0x1.8b4dc83952065p-19, -0x1.a8ffe23a22c73p-19, -0x1.c5c063db32ecfp-19, -0x1.e1921f2108184p-19, -0x1.fc78a428fd9a9p-19, -0x1.0b3bdcc0c691ep-18, -0x1.17c985229c821p-18, -0x1.23e6ff7c6bc2fp-18, -0x1.2f95e376eb63fp-18, -0x1.3ad7ca896758ep-18, -0x1.45ae7dabe1003p-18, -0x1.501c16d215fcbp-18, -0x1.5a22f37710396p-18, -0x1.63c56c7a34dd9p-18, -0x1.6d059840bff29p-18, -0x1.75e5ad88fc107p-18, -0x1.7e6894aaaa06cp-18, -0x1.868ebfce7bebdp-18, -0x1.8e4d51777f7fep-18, -0x1.9595b2f849d2p-18, -0x1.9c7b29bb641ep-18, -0x1.a31bba6aefb3p-18, -0x1.a97bda5d2882cp-18, -0x1.af94b8e878ff3p-18, -0x1.b549d4330cdacp-18, }}, 
      {{-0x1.443be4ef4310dp-7, -0x1.3face317ed9b1p-6, -0x1.d44264725061p-6, -0x1.2df8f14c86787p-5, -0x1.69c5d55f574cep-5, -0x1.9c56d86c88d3ep-5, -0x1.c4db2a96f3f46p-5, -0x1.e2d53d0edff4ep-5, -0x1.f60cbcc363a25p-5, -0x1.fe81d961c326bp-5, -0x1.fc62804dadbfep-5, -0x1.f0016bf60cd9fp-5, -0x1.d9cea9d8f828ap-5, -0x1.ba51395666061p-5, -0x1.92217c77cc225p-5, -0x1.61e44a5349547p-5, -0x1.2a468e143930ap-5, -0x1.d7f2d5b223cdcp-6, -0x1.4f5dcc990f4f8p-6, -0x1.785c693801cb8p-7, -0x1.fbbd49ae9cbfep-10, 0x1.095b2aaec393ap-7, 0x1.2fd10a62b58fp-6, 0x1.e08233d1d3a9ep-6, 0x1.4ad34ccc4cc9cp-5, 0x1.a71b2183f14cbp-5, 0x1.024ef77de310dp-4, 0x1.317521d3f9384p-4, 0x1.60cbd364e2adp-4, 0x1.902320bd54de8p-4, 0x1.bf4f3c3ee41f5p-4, 0x1.ee283f04e040bp-4, 0x1.0e44f84152153p-3, 0x1.2529c769226cep-3, 0x1.3bb3cc7f9d6f7p-3, 0x1.51d5ce065fbedp-3, 0x1.678401858c8cdp-3, 0x1.7cb3f520daa6bp-3, 0x1.915c7aa062d43p-3, 0x1.a57593c7d1cb8p-3, 0x1.b8f85fd02424cp-3, 0x1.cbdf09d7d2865p-3, 0x1.de24b82091b81p-3, 0x1.efc57bf81cc92p-3, 0x1.005f21182b601p-2, 0x1.0886620959e5cp-2, 0x1.1057bc60cd2c1p-2, 0x1.17d2c38064bd2p-2, 0x1.1ef75bb17a8e5p-2, 0x1.25c5b36f3ddefp-2, 0x1.2c3e3ce6d0e59p-2, 0x1.3261a7b062cf4p-2, 0x1.3830dac5434aep-2, 0x1.3daceeb735dc4p-2, 0x1.42d7282bd8717p-2, 0x1.47b0f29e00932p-2, 0x1.4c3bdb67d96ddp-2, 0x1.50798d1a1069bp-2, 0x1.546bcb22c5e43p-2, 0x1.58146dc07cab5p-2, 0x1.5b755e3c9ed04p-2, 0x1.5e90936c4a724p-2, 0x1.61680e8446d6fp-2, 0x1.63fdd839b562cp-2, 0x1.6653fe324ed7dp-2, 0x1.686c9099e3108p-2, 0x1.6a499ffc5d744p-2, 0x1.6bed3b46c5e9bp-2, 0x1.6d596e2eec117p-2, 0x1.6e903fca1946ep-2, 0x1.6f93b15567aa3p-2, 0x1.7065bd169623ap-2, 0x1.7108553589841p-2, 0x1.717d62e4bffd2p-2, 0x1.71c6c597e66ebp-2, 0x1.71e6529535dccp-2, 0x1.71ddd4977f65fp-2, 0x1.71af0b7ac18c7p-2, 0x1.715babf06706ap-2, 0x1.70e55f24c3a3p-2, 0x1.704dc27c89549p-2, 0x1.6f9667699c588p-2, 0x1.6ec0d362025dp-2, 0x1.6dce7ff55e431p-2, 0x1.6cc0daf2a3a2p-2, 0x1.6b994692680bcp-2, 0x1.6a59199b7d879p-2, 0x1.69019f7eba35dp-2, 0x1.6794186c64ad8p-2, 0x1.6611b96918027p-2, 0x1.647bac68d15fap-2, 0x1.62d3107494265p-2, 0x1.6118f9dc78f4ep-2, 0x1.5f4e7274c1259p-2, 0x1.5d7479da42072p-2, 0x1.5b8c05b9f086ap-2, 0x1.59960217381bep-2, 0x1.5793518e5e988p-2, 0x1.5584cd91bb47p-2, 0x1.536b46a1f8c23p-2, 0x1.5147848300b39p-2, 0x1.4f1a466f99c14p-2, 0x1.4ce4434da6041p-2, 0x1.4aa629e4d191dp-2, 0x1.4860a1187fd31p-2, 0x1.4614482519f0bp-2, 0x1.43c1b6e064313p-2, 0x1.41697dfbd6c9ep-2, 0x1.3f0c2747afd7cp-2, 0x1.3caa35f59c3bfp-2, 0x1.3a4426d9e950bp-2, 0x1.37da70aa3ffp-2, 0x1.356d8439b0815p-2, 0x1.32fdccb1dd795p-2, 0x1.308bafc95c7cfp-2, 0x1.2e178df7d67e3p-2, 0x1.2ba1c2a8401adp-2, 0x1.292aa469cb349p-2, 0x1.26b2851fbdbe2p-2, 0x1.2439b230c1121p-2, 0x1.21c074b5c437ep-2, 0x1.1f4711a83fd48p-2, 0x1.1ccdca1059ff7p-2, 0x1.1a54db322ff3bp-2, 0x1.17dc7eba91414p-2, 0x1.1564eaeade36ap-2, 0x1.12ee52c373183p-2, 0x1.1078e62d411dbp-2, 0x1.0e04d221a2e09p-2, 0x1.0b9240d07d622p-2, 0x1.092159c550644p-2, 0x1.06b24209fd604p-2, 0x1.04451c481fb23p-2, 0x1.01da08e93da84p-2, 0x1.fee24c6964c67p-3, 0x1.fa1520d94ac5bp-3, 0x1.f54cc3d406d77p-3, 0x1.f089666cb40eap-3, 0x1.ebcb364a5aa12p-3, 0x1.e7125dd93905ap-3, 0x1.e25f0477e67f8p-3, 0x1.ddb14ea3cf6c5p-3, 0x1.d9095e2501a4cp-3, 0x1.d4675235cd05cp-3, 0x1.cfcb47a96bec1p-3, 0x1.cb355912db305p-3, 0x1.c6a59ee7b94e3p-3, 0x1.c21c2fa1267fp-3, 0x1.bd991fddb7437p-3, 0x1.b91c82804d85ep-3, 0x1.b4a668cb7dbap-3, 0x1.b036e27e27d9fp-3, 0x1.abcdfdeeec5b9p-3, 0x1.a76bc82318f14p-3, 0x1.a3104ce57059p-3, 0x1.9ebb96ddff554p-3, 0x1.9a6dafa648dbfp-3, 0x1.96269fdaa8e9bp-3, 0x1.91e66f2d7fd8cp-3, 0x1.8dad247991a66p-3, 0x1.897ac5d02ed15p-3, 0x1.854f5886f8f27p-3, 0x1.812ae14793e96p-3, 0x1.7d0d641cf81b6p-3, 0x1.78f6e47d6f799p-3, 0x1.74e76555b0669p-3, 0x1.70dee9153fd35p-3, 0x1.6cdd71b7e50cep-3, 0x1.68e300ccc2219p-3, 0x1.64ef977f24132p-3, 0x1.610336a01811fp-3, 0x1.5d1ddead134acp-3, 0x1.593f8fd4d3f2p-3, 0x1.556849fe1d4ccp-3, 0x1.51980ccf19f85p-3, 0x1.4dced7b2074e1p-3, 0x1.4a0ca9d8443d7p-3, 0x1.4651823f10eadp-3, 0x1.429d5fb54579ap-3, 0x1.3ef040dec52d5p-3, 0x1.3b4a2435fecccp-3, 0x1.37ab080ebecbp-3, 0x1.3412ea9a8c625p-3, 0x1.3081c9eb88edep-3, 0x1.2cf7a3f4f137fp-3, 0x1.2974768bfb22ep-3, 0x1.25f83f6abf91ap-3, 0x1.2282fc33090c3p-3, 0x1.1f14aa6ead779p-3, 0x1.1bad478ed55e3p-3, 0x1.184cd0ece4277p-3, 0x1.14f343ccfa34dp-3, 0x1.11a09d5f26fcep-3, 0x1.0e54dabe4f917p-3, 0x1.0b0ff8eef57b8p-3, 0x1.07d1f4e011c15p-3, 0x1.049acb6cf9901p-3, 0x1.016a795db0eb6p-3, 0x1.fc81f6ca32b93p-4, 0x1.f63c9c3eaad36p-4, 0x1.f004dc248e7e2p-4, 0x1.e9daaf5e48da3p-4, 0x1.e3be0ea52eaa6p-4, 0x1.ddaef2859fe25p-4, 0x1.d7ad535acdbbbp-4, 0x1.d1b9294e6d4dep-4, 0x1.cbd26c5b838ebp-4, 0x1.c5f9144f9e768p-4, 0x1.c02d18c7d438dp-4, 0x1.ba6e712be0768p-4, 0x1.b4bd14abd6e6dp-4, 0x1.af18fa41f74bcp-4, 0x1.a98218b554807p-4, 0x1.a3f866993d2e8p-4, 0x1.9e7bda48e9419p-4, 0x1.990c69e33db24p-4, 0x1.93aa0b4a34005p-4, 0x1.8e54b425af85bp-4, 0x1.890c59e5e28d4p-4, 0x1.83d0f1c2017a6p-4, 0x1.7ea270b3e6bcfp-4, 0x1.7980cb74884a8p-4, 0x1.746bf67c3eb12p-4, 0x1.6f63e60622948p-4, 0x1.6a688e12c256dp-4, 0x1.6579e26737c4fp-4, 0x1.6097d689556f4p-4, 0x1.5bc25dbc5ecf9p-4, 0x1.56f96b0160f35p-4, 0x1.523cf11ab1bffp-4, 0x1.4d8ce28f76404p-4, 0x1.48e931ac0c8c7p-4, 0x1.4451d07f47e0bp-4, 0x1.3fc6b0d73b96ep-4, 0x1.3b47c440c1f01p-4, 0x1.36d4fc0a77ef5p-4, 0x1.326e4948faf6bp-4, 0x1.2e139cd945f2dp-4, 0x1.29c4e75fce10dp-4, 0x1.25821945d3f17p-4, 0x1.214b22b7c4d65p-4, 0x1.1d1ff3a6a5622p-4, 0x1.19007bcc02af3p-4, 0x1.14ecaaadf7a0ep-4, 0x1.10e46fa0ecf6ap-4, 0x1.0ce7b9c6af51ap-4, 0x1.08f6780c8084p-4, 0x1.0510992a8207ep-4, 0x1.01360ba5c4f0cp-4, 0x1.facd7ba886329p-5, 0x1.f3453bc16dc9bp-5, 0x1.ebd3339914ef7p-5, 0x1.e4773edf1ba7fp-5, 0x1.dd3138ed87bb6p-5, 0x1.d600fcc83df48p-5, 0x1.cee66520910ccp-5, 0x1.c7e14c5c51cc7p-5, 0x1.c0f18c9d57252p-5, 0x1.ba16ffc686a56p-5, 0x1.b3517f7d2e558p-5, 0x1.aca0e52818fb5p-5, 0x1.a60509eeee5d5p-5, 0x1.9f7dc6bc4e495p-5, 0x1.990af442fead5p-5, 0x1.92ac6b04c74b3p-5, 0x1.8c62035875095p-5, 0x1.862b956d628ap-5, 0x1.8008f94c6e759p-5, 0x1.79fa06d7c70dap-5, 0x1.73fe95cb860b6p-5, 0x1.6e167dc0764a5p-5, 0x1.68419630fa754p-5, 0x1.627fb67edd52cp-5, 0x1.5cd0b5f852211p-5, 0x1.57346bdb12ebap-5, 0x1.51aaaf55b2501p-5, 0x1.4c33578805cp-5, 0x1.46ce3b8403844p-5, 0x1.417b32501afcp-5, 0x1.3c3a12eb0c03ep-5, 0x1.370ab4508d997p-5, 0x1.31eced7d9ea56p-5, 0x1.2ce09573a3f6dp-5, 0x1.27e5833a336b1p-5, 0x1.22fb8ddff2ff9p-5, 0x1.1e228c7b69765p-5, 0x1.195a562c79459p-5, 0x1.14a2c21ef2305p-5, 0x1.0ffba78df10cfp-5, 0x1.0b64ddc76e57ep-5, 0x1.06de3c2f4062bp-5, 0x1.02679a414413ap-5, 0x1.fc019f2562f6p-6, 0x1.f35367a5de917p-6, 0x1.eac43d98e46f8p-6, 0x1.e253d0cc42f27p-6, 0x1.da01d14ac3cacp-6, 0x1.d1cdef613ef92p-6, 0x1.c9b7dba3bf67bp-6, 0x1.c1bf46f1eba0fp-6, 0x1.b9e3e27a3d208p-6, 0x1.b2255fbc2c3c9p-6, 0x1.aa83708996532p-6, 0x1.a2fdc708126p-6, 0x1.9b9415b2d24f3p-6, 0x1.94460f5d5dbf9p-6, 0x1.8d13673715534p-6, 0x1.85fbd0cef6bcep-6, 0x1.7eff0016f8a72p-6, 0x1.781ca966aababp-6, 0x1.7154817ce9333p-6, 0x1.6aa63d80ea626p-6, 0x1.64119302e40dfp-6, 0x1.5d9637fcc3cd2p-6, 0x1.5733e2d374238p-6, 0x1.50ea4a58e04e5p-6, 0x1.4ab925ce95b25p-6, 0x1.44a02ce88ece2p-6, 0x1.3e9f17cfb2e1p-6, 0x1.38b59f23aa92dp-6, 0x1.32e37bfbe4515p-6, 0x1.2d2867e7d5c16p-6, 0x1.27841ceeb8319p-6, 0x1.21f6558f33743p-6, 0x1.1c7eccbf6705ap-6, 0x1.171d3dedae602p-6, 0x1.11d165025a328p-6, 0x1.0c9afe61e83fep-6, 0x1.0779c6ef83bbp-6, 0x1.026d7c0f13a1fp-6, 0x1.faebb74d16358p-7, 0x1.f125483c70879p-7, 0x1.e78728c008306p-7, 0x1.de10d7ac0098cp-7, 0x1.d4c1d4d16e7acp-7, 0x1.cb99a0fbe59a2p-7, 0x1.c297bdf0d852fp-7, 0x1.b9bbae71a8c61p-7, 0x1.b104f63fba4e7p-7, 0x1.a8731a21f5199p-7, 0x1.a0059fea2d9aep-7, 0x1.97bc0e7912d18p-7, 0x1.8f95edbf9d9b7p-7, 0x1.8792c6bd826bfp-7, 0x1.7fb2237cba821p-7, 0x1.77f38f0b51cbap-7, 0x1.70569574f5742p-7, 0x1.68dac3be2a11ap-7, 0x1.617fa7e250fd5p-7, 0x1.5a44d0d547803p-7, 0x1.5329ce8879d53p-7, 0x1.4c2e31f1cc3adp-7, 0x1.45518d1338ba6p-7, 0x1.3e937300a9968p-7, 0x1.37f377e2e0872p-7, 0x1.317130f61c5eap-7, 0x1.2b0c3484939ccp-7, 0x1.24c419dd98debp-7, 0x1.1e98794b3eac1p-7, 0x1.1888ec08a8a8p-7, 0x1.12950c3b54bd5p-7, 0x1.0cbc74f0c7ccfp-7, 0x1.06fec2218464cp-7, 0x1.015b90b888285p-7, 0x1.f7a4fd3c042b2p-8, 0x1.ecc65585b7cb3p-8, 0x1.e21a6a54d6c81p-8, 0x1.d7a07ddfa9124p-8, 0x1.cd57d48aab81fp-8, 0x1.c33fb4d9a79a2p-8, 0x1.b95767550ed51p-8, 0x1.af9e3667d8884p-8, 0x1.a6136e3c82431p-8, 0x1.9cb65ca054de2p-8, 0x1.938650f3917e1p-8, 0x1.8a829c2aa9738p-8, 0x1.81aa90e16e403p-8, 0x1.78fd837d76687p-8, 0x1.707aca5919fefp-8, 0x1.6821bdee23c0fp-8, 0x1.5ff1b8f642d9dp-8, 0x1.57ea1878884dap-8, 0x1.500a3bbebp-8, 0x1.485184314a068p-8, 0x1.40bf55200cc48p-8, 0x1.3953137fe7f5bp-8, 0x1.320c25abda394p-8, 0x1.2ae9f3362e80dp-8, 0x1.23ebe4d5117fp-8, 0x1.1d116470881b3p-8, 0x1.1659dd50cdce2p-8, 0x1.0fc4bc6598ffp-8, 0x1.09517097e3f7cp-8, 0x1.02ff6b15c3e93p-8, 0x1.f99c3f0d606bep-9, 0x1.ed7a08379e9fbp-9, 0x1.e19722ea25ef5p-9, 0x1.d5f284bc0478fp-9, 0x1.ca8b26d876317p-9, 0x1.bf6005226285fp-9, 0x1.b4701d6922366p-9, 0x1.a9ba6ed7a8a2cp-9, 0x1.9f3df9bf718f2p-9, 0x1.94f9bfcdd14c5p-9, 0x1.8aecc4a527304p-9, 0x1.81160ebddb3ffp-9, 0x1.7774a8628567p-9, 0x1.6e07a094339d5p-9, 0x1.64ce0ba95becfp-9, 0x1.5bc70386c085bp-9, 0x1.52f1a7661d531p-9, 0x1.4a4d1b319b006p-9, 0x1.41d8868d63ed6p-9, 0x1.399313b6b7dfdp-9, 0x1.317bee68efac3p-9, 0x1.299242fc87fe7p-9, 0x1.21d53ded971bp-9, 0x1.1a440be7af9dfp-9, 0x1.12ddda593f221p-9, 0x1.0ba1d8723fae1p-9, 0x1.048f3858b1c35p-9, 0x1.fb4a60a3bda0cp-10, 0x1.edc5f74da1c19p-10, 0x1.e08fb63d538a8p-10, 0x1.d3a62a0806faap-10, 0x1.c707e97c6ae47p-10, 0x1.bab394261e70bp-10, 0x1.aea7d053355bfp-10, 0x1.a2e348d37e74bp-10, 0x1.9764aab869facp-10, 0x1.8c2aa371842f7p-10, 0x1.8133dfab8cf85p-10, 0x1.767f0b4472c98p-10, 0x1.6c0ad26a5b60dp-10, 0x1.61d5e3a901057p-10, 0x1.57def262679dbp-10, 0x1.4e24b91316689p-10, 0x1.44a5fae85bddep-10, 0x1.3b618475aeebdp-10, 0x1.32562ba4c6954p-10, 0x1.2982cf23ea82bp-10, 0x1.20e6558f42347p-10, 0x1.187fac69dd342p-10, 0x1.104dc6d75b0dfp-10, 0x1.084f9c03eab54p-10, 0x1.00842551558edp-10, 0x1.f1d4b940a5d6fp-11, 0x1.e302766f2add6p-11, 0x1.d48f736f1834p-11, 0x1.c679a26d00387p-11, 0x1.b8befa5b670f8p-11, 0x1.ab5d7b1adc19fp-11, 0x1.9e533098e713ep-11, 0x1.919e34277098dp-11, 0x1.853cac36551afp-11, 0x1.792ccb427b318p-11, 0x1.6d6ccef1d2053p-11, 0x1.61faffe672a7ep-11, 0x1.56d5b21f0d361p-11, 0x1.4bfb452bde402p-11, 0x1.416a2360ff611p-11, 0x1.3720bfa0ae838p-11, 0x1.2d1d92238f88p-11, 0x1.235f15577a689p-11, 0x1.19e3c419389f5p-11, 0x1.10aa1a0419dbfp-11, 0x1.07b09596921eap-11, 0x1.fdeb761fa6cd1p-12, 0x1.ecf02d513e905p-12, 0x1.dc6c7a8849894p-12, 0x1.cc5d972df91d8p-12, 0x1.bcc0c91f593b5p-12, 0x1.ad936037d6cc7p-12, 0x1.9ed2b64b8a4b6p-12, 0x1.907c31ef7e679p-12, 0x1.828d4aeefdbffp-12, 0x1.75038e4b5d785p-12, 0x1.67dc9fbb42e58p-12, 0x1.5b1637b6a5d8bp-12, 0x1.4eae1ec912e5cp-12, 0x1.42a2282be6db6p-12, 0x1.36f02dd9c55e3p-12, 0x1.2b960f4be607fp-12, 0x1.2091b2844eba5p-12, 0x1.15e105f29f918p-12, 0x1.0b8201a969bc8p-12, 0x1.0172a717d3578p-12, 0x1.ef61febfc53b9p-13, 0x1.dc7631f8d90a1p-13, 0x1.ca1e0b70cae6dp-13, 0x1.b855b428cb936p-13, 0x1.a7195dd6d8905p-13, 0x1.96654a8de517dp-13, 0x1.8635d65976fd3p-13, 0x1.76877f18db4c7p-13, 0x1.6756e7c4acc2ep-13, 0x1.58a0d6d454d05p-13, 0x1.4a6231d5583e2p-13, 0x1.3c97f8e3f928ep-13, 0x1.2f3f4364f6fb5p-13, 0x1.22553d5bc821cp-13, 0x1.15d723d27b2abp-13, 0x1.09c23fcb5f55ep-13, 0x1.fc27c26969b5p-14, 0x1.e592b83b25f6ap-14, 0x1.cfc011fb3cffdp-14, 0x1.baaa8cbc02b8bp-14, 0x1.a64cf2bbe26aep-14, 0x1.92a218dd12fc4p-14, 0x1.7fa4dc9e218b1p-14, 0x1.6d5027d8c1564p-14, 0x1.5b9efb16b13f4p-14, 0x1.4a8c79b2921abp-14, 0x1.3a13f1c49f46ep-14, 0x1.2a30de28a374p-14, 0x1.1adee64f5bb8dp-14, 0x1.0c19e0af62c83p-14, 0x1.fbbbb0967c3c5p-15, 0x1.e04e1ff2ef3bdp-15, 0x1.c5e3f8dd29475p-15, 0x1.ac766597fe25ep-15, 0x1.93fea384698eap-15, 0x1.7c75e12b26834p-15, 0x1.65d53912550fp-15, 0x1.5015c712812a2p-15, 0x1.3b30c465a8527p-15, 0x1.271f959c8a89bp-15, 0x1.13dbc4cf6dd2bp-15, 0x1.015ef2d424f78p-15, 0x1.df459d8293583p-16, 0x1.bd4234f6880abp-16, 0x1.9ca76e5b309e8p-16, 0x1.7d695e0d5b2c2p-16, 0x1.5f7c6c906272ep-16, 0x1.42d5510d9243ap-16, 0x1.27691b32d07f4p-16, 0x1.0d2d58e248aaap-16, 0x1.e8308dd741664p-17, 0x1.b841cca8603cdp-17, 0x1.8a7db14dbf8bp-17, 0x1.5ed4167414352p-17, 0x1.3534bcdf5644bp-17, 0x1.0d8ef6ff1b452p-17, 0x1.cfa3a855c5b9ep-18, 0x1.87d927fa5369bp-18, 0x1.439e08b3f64ddp-18, 0x1.02d32b53c919fp-18, 0x1.8ab4d72429345p-19, 0x1.162c887e5f104p-19, 0x1.4fa6881cea332p-20, 0x1.fb7ea4036c9d6p-22, -0x1.19ae3b39824bp-22, -0x1.00a8474272241p-20, -0x1.b040cb5deacep-20, -0x1.2ace7aff8900ap-19, -0x1.7891400287d3ap-19, -0x1.c19a311e094dcp-19, -0x1.030c42bb670ebp-18, -0x1.231c182553dbdp-18, -0x1.4110d09d961bp-18, -0x1.5cfd5c6423248p-18, -0x1.76f43c4f29105p-18, -0x1.8f082ac1fb3e3p-18, -0x1.a54c2cee560bap-18, -0x1.b9d320f11795ep-18, -0x1.ccaf3eb7cad36p-18, -0x1.ddf1ed9a0a14p-18, -0x1.edabeb5ade425p-18, -0x1.fbed80f9a3632p-18, -0x1.04634c26bc606p-17, -0x1.0a235bdb94962p-17, -0x1.0f3e7c4ed82aap-17, -0x1.13bc013daf8ffp-17, -0x1.17a304f0f1b4cp-17, -0x1.1afa6829a3de5p-17, -0x1.1dc8d21bf1695p-17, -0x1.2014b1b4aac22p-17, -0x1.21e43fc769fb6p-17, -0x1.233d7e60f96d8p-17, -0x1.2426328cb5976p-17, -0x1.24a3de04921cap-17, -0x1.24bbc2f3d257dp-17, -0x1.2472f39ebaeccp-17, -0x1.23ce6276ca061p-17, -0x1.22d2e5930caacp-17, -0x1.21852e0e6ba51p-17, -0x1.1fe9bfb4b438p-17, -0x1.1e04f26469f56p-17, -0x1.1bdaf88a23686p-17, -0x1.196fe0e22be52p-17, -0x1.16c7933bcb46ap-17, -0x1.13e5cfb80f4b8p-17, -0x1.10ce33c189739p-17, -0x1.0d84413f0fed6p-17, -0x1.0a0b636772a34p-17, -0x1.0666ede45fd4cp-17, -0x1.029a15a554bdep-17, -0x1.fd4fcdecf45d1p-18, -0x1.f5267f3250f78p-18, -0x1.ecbda2ef81c62p-18, -0x1.e41a57cb2fd8cp-18, -0x1.db4189b9e1863p-18, -0x1.d237fd530aae3p-18, -0x1.c90258e5d92e4p-18, -0x1.bfa52c1f26a8bp-18, -0x1.b624e90ac1993p-18, -0x1.ac85c8fd3fd69p-18, -0x1.a2cbb8bcb1621p-18, -0x1.98fa6c937532dp-18, -0x1.8f158ea4d4d67p-18, -0x1.8520cf4a7d622p-18, -0x1.7b1fbeb512acep-18, -0x1.7115a05da012fp-18, -0x1.67056a83c1727p-18, -0x1.5cf1def54ab64p-18, -0x1.52dd99c31eb0fp-18, -0x1.48cb1b61cd817p-18, -0x1.3ebcda1c1ef9fp-18, -0x1.34b54ea200498p-18, -0x1.2ab6ece4c0449p-18, -0x1.20c40b08dcc73p-18, -0x1.16dec4a1af15ep-18, -0x1.0d08ed338e3d6p-18, -0x1.03441f840ced7p-18, -0x1.f323c9dda4d35p-19, -0x1.dfe7b274ff182p-19, -0x1.ccd753b8194dep-19, -0x1.b9f5da9461583p-19, -0x1.a745edcd3feabp-19, -0x1.94c992e0666cep-19, -0x1.828246ce7ffacp-19, -0x1.7071480252f7cp-19, -0x1.5e98302d05c57p-19, -0x1.4cf9756f3e0ddp-19, -0x1.3b980faa97843p-19, -0x1.2a766e253b00ep-19, -0x1.1995f4b8d9a1fp-19, -0x1.08f7870ad3bdap-19, -0x1.f1384ca09a1c7p-20, -0x1.d109bc46eefc3p-20, -0x1.b165108f4ac32p-20, -0x1.924bc14a24f13p-20, -0x1.73bf5dc928756p-20, -0x1.55c199a59a741p-20, -0x1.385426bdd48b6p-20, -0x1.1b78845091497p-20, -0x1.fe5f9fa171637p-21, -0x1.c6f542c0981b8p-21, -0x1.90b21eb4d846ep-21, -0x1.5b95f1aa73b55p-21, -0x1.27a118b8bc482p-21, -0x1.e9aaba1d2928dp-22, -0x1.866af2454d054p-22, -0x1.2586490a8f00bp-22, -0x1.8df4898048deep-23, -0x1.aaf8a8ea8d838p-24, -0x1.0c5bb2fe01445p-26, 0x1.1be9465f24f9cp-24, 0x1.390b0d9d9f2c5p-23, 0x1.dfaa586c6d93fp-23, 0x1.40e1d6bb9c994p-22, 0x1.8fae569e13ef6p-22, 0x1.dc44bc32cc534p-22, 0x1.135620b56fe63p-21, 0x1.377426b99fa9cp-21, 0x1.5a7eba9c24d22p-21, 0x1.7c7901106b939p-21, 0x1.9d65eedb026dep-21, 0x1.bd480e146ca9ap-21, 0x1.dc21da5952376p-21, 0x1.f9f608deac223p-21, 0x1.0b63ca63aa362p-20, 0x1.194cd5cb596fdp-20, 0x1.26b7cda5ad254p-20, 0x1.33a669a69efc8p-20, 0x1.401a76c74c087p-20, 0x1.4c15cd0c5386ap-20, 0x1.579a2784cfb94p-20, 0x1.62a8f031da5e6p-20, 0x1.6d433ac0b7982p-20, 0x1.776a260b74a38p-20, 0x1.811f7d8cb7deap-20, 0x1.8a65f81a5782dp-20, 0x1.9340bd135a2ecp-20, 0x1.9bb2d04c6eab9p-20, 0x1.a3be8b48ff872p-20, 0x1.ab64cef92a1efp-20, 0x1.b2a5d956014a9p-20, 0x1.b9838fff882b8p-20, 0x1.c0010b6e82a63p-20, 0x1.c6204c1c8db1fp-20, 0x1.cbe29b2611021p-20, 0x1.d149e015a6eadp-20, 0x1.d6584ae749374p-20, 0x1.db0fc775079ap-20, 0x1.df7209b944d0bp-20, 0x1.e380bfe8086eap-20, 0x1.e73dab22b4fb1p-20, 0x1.eaaaa23c3c4eap-20, 0x1.edc98a0646addp-20, 0x1.f09c49605cb3dp-20, 0x1.f324bdb33af45p-20, 0x1.f564b42ad4afbp-20, 0x1.f75deaf15860dp-20, 0x1.f91218bb072e8p-20, 0x1.fa82f38f5a6a2p-20, 0x1.fbb22ecd02042p-20, 0x1.fca16fe6bf2fcp-20, 0x1.fd5245dc1d561p-20, 0x1.fdc6395b5502cp-20, 0x1.fdfefb1ddcbafp-20, 0x1.fdfe77ce12456p-20, 0x1.fdc68ce40dac1p-20, 0x1.fd58cca5cd33p-20, 0x1.fcb6daf882c11p-20, 0x1.fbe253a485ep-20, 0x1.fadc8aa06da1fp-20, 0x1.f9a75349d9696p-20, 0x1.f844604d6d8d5p-20, 0x1.f6b4aaac0a882p-20, 0x1.f4f98682cc5c1p-20, 0x1.f314a49db670ap-20, 0x1.f10787975a8f7p-20, 0x1.eed381d83e369p-20, 0x1.ec79d8fe8179dp-20, 0x1.e9fbd463d846bp-20, 0x1.e75abeb93940ep-20, 0x1.e497e476b6607p-20, 0x1.e1b491b6e5454p-20, 0x1.deb20f8b55667p-20, 0x1.db91a0d7ba9f9p-20, 0x1.d8547f3cde6c9p-20, 0x1.d4fbd9169ead3p-20, 0x1.d188d19ea8f9ap-20, 0x1.cdfc83bdc0c72p-20, 0x1.ca58069b1f097p-20, 0x1.c69c7184231a4p-20, 0x1.c2cadc45bdfaep-20, 0x1.bee45a84ba013p-20, 0x1.bae9f50dd12adp-20, 0x1.b6dca9b8f2a0cp-20, 0x1.b2bd75eb834b3p-20, 0x1.ae8d57640f4e5p-20, 0x1.aa4d2e76dc559p-20, 0x1.a5fdc0466a50bp-20, 0x1.a1a00ef2e47ddp-20, 0x1.9d353acebb83ep-20, 0x1.98be330c534d1p-20, 0x1.943bc551caaa7p-20, 0x1.8fae863aaaea8p-20, }}, 
      {{-0x1.5ce1b27ded50cp+1, -0x1.533a7e72dabcap+1, -0x1.44410dcfdf53p+1, -0x1.312accf1bc301p+1, -0x1.1b33e6e6be2dap+1, -0x1.0381c89441791p+1, -0x1.d6281877e2b23p+0, -0x1.a57cebdaba878p+0, -0x1.7651135015264p+0, -0x1.49a0e7343c52bp+0, -0x1.201f4254cd50cp+0, -0x1.f480eb71186dp-1, -0x1.b089ef15c5cb5p-1, -0x1.7487e87a2dffdp-1, -0x1.4068824dc805dp-1, -0x1.13e8e46df441fp-1, -0x1.dd45e3dfb2e12p-2, -0x1.a03072fbbb94cp-2, -0x1.6f75b31ffc953p-2, -0x1.49e9315ce60b6p-2, -0x1.2e58f275dd4fp-2, -0x1.1b9602ee5f0b5p-2, -0x1.107ad64a89ccp-2, -0x1.0befd4da40f85p-2, -0x1.0cee6fadc945p-2, -0x1.1283088b9c585p-2, -0x1.1bcdf0a91728ap-2, -0x1.2803b5d02b3fap-2, -0x1.366ceb61cf195p-2, -0x1.466593b3e2859p-2, -0x1.575c46b9d9f98p-2, -0x1.68d12ca0bb353p-2, -0x1.7a54dddf87436p-2, -0x1.8b87360ad915fp-2, -0x1.9c1623557b6c7p-2, -0x1.abbc79ecf531p-2, -0x1.ba40d0346509ap-2, -0x1.c774672c74c1cp-2, -0x1.d332210c6e6c7p-2, -0x1.dd5d871f4ac25p-2, -0x1.e5e1df4fd4ca5p-2, -0x1.ecb1515fe04ccp-2, -0x1.f1c41b803ee9ap-2, -0x1.f517d5d472ee4p-2, -0x1.f6aec453ee99ap-2, -0x1.f68f366ca8d05p-2, -0x1.f4c2f3c380011p-2, -0x1.f156b56b9b13cp-2, -0x1.ec59aaed5742cp-2, -0x1.e5dd0a76a69a3p-2, -0x1.ddf3ab91ef98fp-2, -0x1.d4b1abc452536p-2, -0x1.ca2c1c7503174p-2, -0x1.be78b988714dcp-2, -0x1.b1ada817e2042p-2, -0x1.a3e13cc55ad5dp-2, -0x1.9529c90ad09c9p-2, -0x1.859d6f27345c8p-2, -0x1.7551fbd97d2dbp-2, -0x1.645cc60064eb1p-2, -0x1.52d292bcc61b4p-2, -0x1.40c77f48a9d76p-2, -0x1.2e4eed6139c4fp-2, -0x1.1b7b75b8dc294p-2, -0x1.085edaeb95eebp-2, -0x1.ea140596a7b54p-3, -0x1.c319e02d88cfap-3, -0x1.9bed7daff7dc5p-3, -0x1.74ab4cfe7db3fp-3, -0x1.4d6de8950a271p-3, -0x1.264e2d998a57ap-3, -0x1.fec65cb3ee658p-4, -0x1.b184a0a93f8f4p-4, -0x1.64fe98908019ap-4, -0x1.19587abfa94ecp-4, -0x1.9d66df022b62bp-5, -0x1.0a5b25ecd62adp-5, -0x1.e71182597f665p-7, 0x1.42c5d617cbd2fp-9, 0x1.3e9666687662bp-6, 0x1.2771296fc021p-5, 0x1.ac7bf9ba092c9p-5, 0x1.1726e37440ae2p-4, 0x1.5666718abcbdp-4, 0x1.93f1c9aec7e5cp-4, 0x1.cfbfeacb65feep-4, 0x1.04e4c9d440454p-3, 0x1.21049353ac6e3p-3, 0x1.3c3d47271f056p-3, 0x1.568d912d17e09p-3, 0x1.6ff4c70650536p-3, 0x1.8872dbb0b661fp-3, 0x1.a00853ae90f8fp-3, 0x1.b6b639c0db02dp-3, 0x1.cc7e13f5e0438p-3, 0x1.e161d9346020cp-3, 0x1.f563e717593ddp-3, 0x1.04437c0927c91p-2, 0x1.0d670d03ad616p-2, 0x1.161e52957c575p-2, 0x1.1e6b19ab8c06bp-2, 0x1.264f4bf35ed77p-2, 0x1.2dccebff650f6p-2, 0x1.34e611b2ab88bp-2, 0x1.3b9ce6f4f8926p-2, 0x1.41f3a4a00851cp-2, 0x1.47ec8fb0225d3p-2, 0x1.4d89f6b2336c1p-2, 0x1.52ce2f61a21efp-2, 0x1.57bb94796408p-2, 0x1.5c5483b76505p-2, 0x1.609b5c02e11aep-2, 0x1.64927bbc186aap-2, 0x1.683c3f34dd42dp-2, 0x1.6b9aff47bf83cp-2, 0x1.6eb11013cda6cp-2, 0x1.7180bfd7c0eb7p-2, 0x1.740c55f1d6784p-2, 0x1.765611f6a42f6p-2, 0x1.78602ae80ac95p-2, 0x1.7a2cce8c7593ep-2, 0x1.7bbe20d2de625p-2, 0x1.7d163b598c944p-2, 0x1.7e372d03b9381p-2, 0x1.7f22f99fd39aep-2, 0x1.7fdb99a8eba3fp-2, 0x1.8062fa0813d4bp-2, 0x1.80bafbef62172p-2, 0x1.80e574c1faaa8p-2, 0x1.80e42df750e3p-2, 0x1.80b8e51bfe3a6p-2, 0x1.80654bd36b9a2p-2, 0x1.7feb07d72b8d7p-2, 0x1.7f4bb312375b3p-2, 0x1.7e88dbb503056p-2, 0x1.7da4044b47c4ap-2, 0x1.7c9ea3ea86dc9p-2, 0x1.7b7a2654bcc92p-2, 0x1.7a37ec1dd3a9ep-2, 0x1.78d94ae7ec015p-2, 0x1.775f8d9240bbep-2, 0x1.75cbf468049e5p-2, 0x1.741fb564bd382p-2, 0x1.725bfc6cad31dp-2, 0x1.7081eb8082108p-2, 0x1.6e929b04ce482p-2, 0x1.6c8f1a01152f6p-2, 0x1.6a786e54af435p-2, 0x1.684f94fd49194p-2, 0x1.6615825ac9c52p-2, 0x1.63cb22637a701p-2, 0x1.617158e4f3e22p-2, 0x1.5f0901cb35a02p-2, 0x1.5c92f1556af5cp-2, 0x1.5a0ff44d5f69cp-2, 0x1.5780d04d82fb5p-2, 0x1.54e643f9f101ep-2, 0x1.5241072e85efcp-2, 0x1.4f91cb3c392f6p-2, 0x1.4cd93b27e1669p-2, 0x1.4a17fbd604ccfp-2, 0x1.474eac38fbafcp-2, 0x1.447de58e0d2cdp-2, 0x1.41a63b90a2417p-2, 0x1.3ec83c9e58cf4p-2, 0x1.3be471e53f313p-2, 0x1.38fb5f9b8723dp-2, 0x1.360d8528a640ep-2, 0x1.331b5d44e5359p-2, 0x1.30255e2546872p-2, 0x1.2d2bf9ac23b9ep-2, 0x1.2a2f9d8ad6d95p-2, 0x1.2730b35d988a8p-2, 0x1.242fa0d342724p-2, 0x1.212cc7d75625fp-2, 0x1.1e2886ae13f9ep-2, 0x1.1b23380c5854fp-2, 0x1.181d333aac1a5p-2, 0x1.1516cc3a5734cp-2, 0x1.121053dd20022p-2, 0x1.0f0a17d81ba06p-2, 0x1.0c0462e1b4d56p-2, 0x1.08ff7cd44234bp-2, 0x1.05fbaac3a5108p-2, 0x1.02f92f09d801dp-2, 0x1.fff092bb005d9p-3, 0x1.f9f26de6ba6b1p-3, 0x1.f3f8652d7d57dp-3, 0x1.ee02e963ed48cp-3, 0x1.e81266b23cc07p-3, 0x1.e22744cb46092p-3, 0x1.dc41e72acbf7bp-3, 0x1.d662ad3165ap-3, 0x1.d089f22623aa5p-3, 0x1.cab80d4ce86cbp-3, 0x1.c4ed522166cf4p-3, 0x1.bf2a108f63429p-3, 0x1.b96e9501f7daep-3, 0x1.b3bb285b57e32p-3, 0x1.ae101006c2104p-3, 0x1.a86d8e31cdbfdp-3, 0x1.a2d3e203ff873p-3, 0x1.9d4347ac243e3p-3, 0x1.97bbf850cf52p-3, 0x1.923e2a159e54ap-3, 0x1.8cca104bbd128p-3, 0x1.875fdbad04211p-3, 0x1.81ffba7381506p-3, 0x1.7ca9d849c1375p-3, 0x1.775e5e3e3d973p-3, 0x1.721d72df85c15p-3, 0x1.6ce73a7615ef5p-3, 0x1.67bbd72e87fbcp-3, 0x1.629b6918f5ef2p-3, 0x1.5d860e11b3867p-3, 0x1.587be1bf4e44dp-3, 0x1.537cfdb93cf89p-3, 0x1.4e8979bdf0625p-3, 0x1.49a16bcf7dc9bp-3, 0x1.44c4e829789f7p-3, 0x1.3ff40129edfcfp-3, 0x1.3b2ec7534e956p-3, 0x1.3675497257707p-3, 0x1.31c794cea6b62p-3, 0x1.2d25b5435f5c5p-3, 0x1.288fb5358b203p-3, 0x1.24059d7e1b43ap-3, 0x1.1f877567a868dp-3, 0x1.1b1542cc35bedp-3, 0x1.16af0a40c6d9cp-3, 0x1.1254cf31380d9p-3, 0x1.0e0693de6b5b4p-3, 0x1.09c4594b0c635p-3, 0x1.058e1f313b69ap-3, 0x1.0163e4124126p-3, 0x1.fa8b4ab3f009ep-4, 0x1.f266befeb4e84p-4, 0x1.ea5a1c1f1da7cp-4, 0x1.e2655746f3b41p-4, 0x1.da8863a0f6b0fp-4, 0x1.d2c3324f52696p-4, 0x1.cb15b29426aefp-4, 0x1.c37fd20eda9dep-4, 0x1.bc017cea58a3p-4, 0x1.b49a9de703977p-4, 0x1.ad4b1e474970bp-4, 0x1.a612e5ba22a89p-4, 0x1.9ef1da5e14c6cp-4, 0x1.97e7e0e386e81p-4, 0x1.90f4dcbd87f96p-4, 0x1.8a18b04737ba4p-4, 0x1.83533cce970b3p-4, 0x1.7ca46288c155p-4, 0x1.760c0081c8a85p-4, 0x1.6f89f49bb34fap-4, 0x1.691e1ba47e0f4p-4, 0x1.62c8517a7966fp-4, 0x1.5c88712d8d98cp-4, 0x1.565e550fe198ep-4, 0x1.5049d6b43c3b2p-4, 0x1.4a4acee360666p-4, 0x1.446115961451ep-4, 0x1.3e8c81fd852c9p-4, 0x1.38ccea99d187p-4, 0x1.332225557b77dp-4, 0x1.2d8c079a905cfp-4, 0x1.280a665b89f1bp-4, 0x1.229d16114aae3p-4, 0x1.1d43eab53c97bp-4, 0x1.17feb7bffc7d6p-4, 0x1.12cd5031b0c8ap-4, 0x1.0daf86a2f77f9p-4, 0x1.08a52d5842de3p-4, 0x1.03ae1650ff5c2p-4, 0x1.fd94269e248e2p-5, 0x1.f3f1ebaee437ep-5, 0x1.ea751e5f6e78bp-5, 0x1.e11d60bb386cfp-5, 0x1.d7ea545805c22p-5, 0x1.cedb9a6b548cfp-5, 0x1.c5f0d3e4d5cb9p-5, 0x1.bd29a18601a14p-5, 0x1.b485a3f19172ap-5, 0x1.ac047bb2153acp-5, 0x1.a3a5c93a70ccap-5, 0x1.9b692ce55eebcp-5, 0x1.934e46f90c2eep-5, 0x1.8b54b7b19a9adp-5, 0x1.837c1f51054cbp-5, 0x1.7bc41e3074859p-5, 0x1.742c54cef8602p-5, 0x1.6cb463dbcc084p-5, 0x1.655bec3bdc244p-5, 0x1.5e228f0bf9c81p-5, 0x1.5707eda1fe235p-5, 0x1.500ba98fa5484p-5, 0x1.492d64a8c0fdp-5, 0x1.426cc10c7578fp-5, 0x1.3bc9612fdf20ep-5, 0x1.3542e7e85b053p-5, 0x1.2ed8f87457f65p-5, 0x1.288b3682171fbp-5, 0x1.22594633fe3acp-5, 0x1.1c42cc22ad4ddp-5, 0x1.16476d5dd0b9p-5, 0x1.1066cf6d13a22p-5, 0x1.0aa09852555e2p-5, 0x1.04f46e8da2453p-5, 0x1.fec3f2462911ap-6, 0x1.f3d1bf44f3b83p-6, 0x1.e9119460252c6p-6, 0x1.de82c319eccf7p-6, 0x1.d4249e3a8ceefp-6, 0x1.c9f679d5698dap-6, 0x1.bff7ab4605259p-6, 0x1.b627892723f7fp-6, 0x1.ac856b4828c7fp-6, 0x1.a310aaa60eeedp-6, 0x1.99c8a16ca7b8bp-6, 0x1.90acab0310356p-6, 0x1.87bc2422b3159p-6, 0x1.7ef66af3d4761p-6, 0x1.765adf27b53cfp-6, 0x1.6de8e207c7e5fp-6, 0x1.659fd6742e2fap-6, 0x1.5d7f20d0b9382p-6, 0x1.558626e58bb5fp-6, 0x1.4db44fbd51a6ap-6, 0x1.4609038cfef82p-6, 0x1.3e83abaf6bbeap-6, 0x1.3723b2b9d93cp-6, 0x1.2fe884a688cdep-6, 0x1.28d18f0ac66d4p-6, 0x1.21de41486acb3p-6, 0x1.1b0e0caa725e9p-6, 0x1.14606461113acp-6, 0x1.0dd4bd5aa94a9p-6, 0x1.076a8e023ee32p-6, 0x1.01214df4fcf21p-6, 0x1.f5f0eb8ade54cp-7, 0x1.e9defdc1eb9b3p-7, 0x1.de0bc747a8f54p-7, 0x1.d2763f35948b4p-7, 0x1.c71d5fc6d8262p-7, 0x1.bc00272299fd2p-7, 0x1.b11d97f4195d7p-7, 0x1.a674b99d5096ep-7, 0x1.9c0497ea31ce5p-7, 0x1.91cc424cfe858p-7, 0x1.87cacad08ac12p-7, 0x1.7dff45060f078p-7, 0x1.7468c53c79901p-7, 0x1.6b0660409c0c7p-7, 0x1.61d72bc47b0c2p-7, 0x1.58da3f5fb48b1p-7, 0x1.500eb5eeb4ae1p-7, 0x1.4773aef796591p-7, 0x1.3f084fb27f564p-7, 0x1.36cbc3644e903p-7, 0x1.2ebd3ae322b65p-7, 0x1.26dbeb52c7cf3p-7, 0x1.1f270c5dc702dp-7, 0x1.179dd657f2e87p-7, 0x1.103f80c538cdbp-7, 0x1.090b41ad86471p-7, 0x1.02004df8bf0d4p-7, 0x1.f63bb59a881cap-8, 0x1.e8c63f5267aefp-8, 0x1.db9eb17537386p-8, 0x1.cec391c5c7d9dp-8, 0x1.c23375bb4b556p-8, 0x1.b5ed0263ecda4p-8, 0x1.a9eee9b866722p-8, 0x1.9e37e5dc6244fp-8, 0x1.92c6b35075492p-8, 0x1.879a0b6ad9bdbp-8, 0x1.7cb0a06bba3a4p-8, 0x1.72091c3046b8cp-8, 0x1.67a221f41c216p-8, 0x1.5d7a52dcfc005p-8, 0x1.539054642ecfbp-8, 0x1.49e2d737309ap-8, 0x1.40709cff9679dp-8, 0x1.37387bb0a37ep-8, 0x1.2e395d7b51ef9p-8, 0x1.25723d42b11a1p-8, 0x1.1ce22033d1663p-8, 0x1.14880dcffb4b5p-8, 0x1.0c63081b990bep-8, 0x1.047205a9c14fep-8, 0x1.f967ddba8bff8p-9, 0x1.ea4f3e1963362p-9, 0x1.db97d2c5f322dp-9, 0x1.cd3f41143d9ecp-9, 0x1.bf433f251b379p-9, 0x1.b1a1a4818f11ep-9, 0x1.a45876032bb8cp-9, 0x1.9765ea6f115bp-9, 0x1.8ac8669e0999ap-9, 0x1.7e7e71c528905p-9, 0x1.7286a41a351b9p-9, 0x1.66df9344ca0d3p-9, 0x1.5b87c08ddb68p-9, 0x1.507d8c66c2ec4p-9, 0x1.45bf31c76de47p-9, 0x1.3b4aca4919547p-9, 0x1.311e5a257ef26p-9, 0x1.2737e1c0a6158p-9, 0x1.1d95715ff41bp-9, 0x1.14353b55da64p-9, 0x1.0b15a1396ebacp-9, 0x1.023539aa0dd34p-9, 0x1.f3259afcfc354p-10, 0x1.e25a99aee6feap-10, 0x1.d2077c37400ccp-10, 0x1.c22a5429d008ap-10, 0x1.b2c111ecb88d2p-10, 0x1.a3c967b4e21c2p-10, 0x1.9540baa398b4ap-10, 0x1.8724244c59752p-10, 0x1.797083b5dd2eap-10, 0x1.6c229a2a6c934p-10, 0x1.5f372e5dfd1cfp-10, 0x1.52ab2fb8c70a3p-10, 0x1.467bd3e652335p-10, 0x1.3aa6a9ed8e381p-10, 0x1.2f299fdd18c7ep-10, 0x1.2402fa48b89fdp-10, 0x1.19313f30b11b6p-10, 0x1.0eb31817ae9f1p-10, 0x1.048730a1e4621p-10, 0x1.f5582f6af441dp-11, 0x1.e24050ff29307p-11, 0x1.cfc2fe1657494p-11, 0x1.bddbf35907d7p-11, 0x1.ac868c147fd0dp-11, 0x1.9bbded3c09446p-11, 0x1.8b7d38f54ae8bp-11, 0x1.7bbfc1ec95052p-11, 0x1.6c8136ad9dcdfp-11, 0x1.5dbdbf1e87c69p-11, 0x1.4f7208c065a95p-11, 0x1.419b41174a819p-11, 0x1.343700398f5efp-11, 0x1.2743279051595p-11, 0x1.1abdba2856827p-11, 0x1.0ea4b49759799p-11, 0x1.02f5ea73ed998p-11, 0x1.ef5ddd0a093b1p-12, 0x1.d99a11ff9464bp-12, 0x1.c49a793e94f78p-12, 0x1.b058b15dd9152p-12, 0x1.9cce27ff18a99p-12, 0x1.89f456e2a290bp-12, 0x1.77c4fcd20fc5cp-12, 0x1.663a4856b6f12p-12, 0x1.554eedbd59f3dp-12, 0x1.44fe2789a4efep-12, 0x1.3543a66d926aep-12, 0x1.261b79771e999p-12, 0x1.1781f67621b5bp-12, 0x1.0973a6293365cp-12, 0x1.f7da65799c462p-13, 0x1.ddd6a9fa94b5p-13, 0x1.c4d57d1ea2907p-13, 0x1.acd007a958b93p-13, 0x1.95bf17783359ap-13, 0x1.7f9b187295a6fp-13, 0x1.6a5c2e52bf08dp-13, 0x1.55fa6bde26366p-13, 0x1.426e17f542f69p-13, 0x1.2fafe88580a86p-13, 0x1.1db91c070788dp-13, 0x1.0c836636d8c08p-13, 0x1.f811718c15f67p-14, 0x1.d88606d3a5bf6p-14, 0x1.ba581a3ebd88ap-14, 0x1.9d7afad2e4f81p-14, 0x1.81e2276e53e88p-14, 0x1.6781e5073d71dp-14, 0x1.4e4fb124bfbe4p-14, 0x1.364256811384p-14, 0x1.1f519842ef756p-14, 0x1.09759b1493f73p-14, 0x1.e94ca3db7ff22p-15, 0x1.c1b6629168de7p-15, 0x1.9c1691a1c347p-15, 0x1.785b61e673ae8p-15, 0x1.56741d8439808p-15, 0x1.3651c5f7189ap-15, 0x1.17e6e2354350fp-15, 0x1.f64cf65e04a5ap-16, 0x1.c0055cfeebfb2p-16, 0x1.8cd6f72ab5724p-16, 0x1.5c9cc6af38138p-16, 0x1.2f2e3ef1d9d59p-16, 0x1.046281b841e5cp-16, 0x1.b828791c09281p-17, 0x1.6c4950c23bb2dp-17, 0x1.24f8fc4d03066p-17, 0x1.c42a2d73c62e8p-18, 0x1.47025a7770fa2p-18, 0x1.a47ffbdb5e116p-19, 0x1.96795d2cb9856p-20, 0x1.9bd53cb42718ap-27, -0x1.7213229bd9704p-20, -0x1.654fb033ac6ebp-19, -0x1.01dd346537172p-18, -0x1.4a5a37d2544a9p-18, -0x1.8c4dbb3a9489p-18, -0x1.c7e9ec31fa479p-18, -0x1.fd6dafa1a69c5p-18, -0x1.1694e8f2da6a2p-17, -0x1.2bc00cacc7463p-17, -0x1.3e6e3aef929b7p-17, -0x1.4ed51ce59caa7p-17, -0x1.5d2432ca51b47p-17, -0x1.698056aac4c2ep-17, -0x1.74024844a60b4p-17, -0x1.7cb9007b29342p-17, -0x1.83aeef8240f6bp-17, -0x1.88efca8805638p-17, -0x1.8c8c3c86a1fcep-17, -0x1.8e9a0844cd578p-17, -0x1.8f312c5c0bc94p-17, -0x1.8e680fca9ef29p-17, -0x1.8c50da498a584p-17, -0x1.88f92144374b8p-17, -0x1.846bcc6318799p-17, -0x1.7eb418a44e326p-17, -0x1.77e040910ed1ap-17, -0x1.7002b7d80ddc8p-17, -0x1.6731d9b222c2dp-17, -0x1.5d86a31b1cc79p-17, -0x1.531b1020ccc7p-17, -0x1.480843476fe6fp-17, -0x1.3c6473cbc0824p-17, -0x1.30410058d7cfp-17, -0x1.23a980b2f8177p-17, -0x1.16a4a05369d3ep-17, -0x1.0936acdc4bfb6p-17, -0x1.f6c948cde229dp-18, -0x1.da6c5176b4f2ep-18, -0x1.bd6aff56cd0adp-18, -0x1.9fdc1d729891dp-18, -0x1.81d4f46c3da88p-18, -0x1.6366d08352bc1p-18, -0x1.449eba041f539p-18, -0x1.2587450b6ee59p-18, -0x1.062b60181bd13p-18, -0x1.cd30cf4bb5a38p-19, -0x1.8dbcacf56eedap-19, -0x1.4e1cddac968e4p-19, -0x1.0e7369ec0097bp-19, -0x1.9dc0fd67d19eep-20, -0x1.1f0568059300ap-20, -0x1.41de2cce320c4p-21, -0x1.1dad478bec3e2p-23, 0x1.61d917301626fp-22, 0x1.a6ddd872eeefcp-21, 0x1.4d1a23a4cc60dp-20, 0x1.c565bba857781p-20, 0x1.1e208906b0e58p-19, 0x1.58cbf0e88347fp-19, 0x1.92a8820b4654bp-19, 0x1.cba85e2d03bbp-19, 0x1.01df1cba95678p-18, 0x1.1d6f75f368cffp-18, 0x1.3880ee11bf0b6p-18, 0x1.530ff2d0a3d2ap-18, 0x1.6d18cd5efea2cp-18, 0x1.8697376e3b942p-18, 0x1.9f86aa60ec058p-18, 0x1.b7e2faf39b218p-18, 0x1.cfa8bcd1d9449p-18, 0x1.e6d547c2dec6p-18, 0x1.fd668338856bap-18, 0x1.09ad5415cd9c8p-17, 0x1.14580b2a34d0ap-17, 0x1.1eb2a2c24ff75p-17, 0x1.28bc679a15469p-17, 0x1.3274c3761493ap-17, 0x1.3bdb4aa0ad0e6p-17, 0x1.44efc1cf8687ep-17, 0x1.4db216402ecbbp-17, 0x1.56224c387f075p-17, 0x1.5e4070b3e37dfp-17, 0x1.660c979621187p-17, 0x1.6d86e53459b5fp-17, 0x1.74af976848ffdp-17, 0x1.7b87027d92a46p-17, 0x1.820d86a6ebb73p-17, 0x1.88438e707e22bp-17, 0x1.8e2999876921ep-17, 0x1.93c046472b8a4p-17, 0x1.99084facd5da7p-17, 0x1.9e0282b192f4bp-17, 0x1.a2afb39ec47ebp-17, 0x1.a710b9c9ed80fp-17, 0x1.ab26739bfe38bp-17, 0x1.aef1cf362d83cp-17, 0x1.b273d02697432p-17, 0x1.b5ad8c57a593ap-17, 0x1.b8a01fcca831bp-17, 0x1.bb4c996aba6e2p-17, 0x1.bdb3e7d0420bdp-17, 0x1.bfd6dcc8a1816p-17, 0x1.c1b65aa025fe3p-17, 0x1.c3538cd95f00fp-17, 0x1.c4afea6f10c25p-17, 0x1.c5ccee0b96271p-17, 0x1.c6abcac026b3p-17, 0x1.c74d80de097c9p-17, 0x1.c7b345e033f2fp-17, 0x1.c7deac888811cp-17, 0x1.c7d14e9e5c18fp-17, 0x1.c78c74c84f16dp-17, 0x1.c71121f281383p-17, 0x1.c660540cfd3cbp-17, 0x1.c57b2c4ea16a2p-17, 0x1.c462ed4af955ep-17, 0x1.c318e582dec6ep-17, 0x1.c19e60bc6889cp-17, 0x1.bff4af77978b8p-17, 0x1.be1d42a9dd47fp-17, 0x1.bc19c614e74dep-17, 0x1.b9ec1b5103258p-17, 0x1.b79628c189e42p-17, 0x1.b51983f891d8bp-17, 0x1.b276fe245083dp-17, 0x1.afae548637a62p-17, 0x1.acbed2060b29dp-17, 0x1.a9a906c8aad0ap-17, 0x1.a66facc00daep-17, 0x1.a3161290e07f9p-17, 0x1.9f9dbc1287eefp-17, 0x1.9c066ab2e4d5ap-17, 0x1.98509cbaa9579p-17, 0x1.947ec0f12dc2dp-17, 0x1.909371480acep-17, 0x1.8c8fc8ec552c9p-17, 0x1.8873d619ef6c4p-17, 0x1.843fb9bb21373p-17, 0x1.7ff41d290a899p-17, 0x1.7b9213e05f91cp-17, 0x1.771adb125b26cp-17, 0x1.728faa27f2ad8p-17, 0x1.6df19a66f681cp-17, 0x1.6941a5e6b9a8ep-17, 0x1.6480c25934926p-17, 0x1.5fb013b53aad3p-17, 0x1.5ad11a11e49ffp-17, 0x1.55e5aeaf5021ep-17, 0x1.50efc4445e5a2p-17, 0x1.4bf10cd296841p-17, 0x1.46ea62dbae221p-17, 0x1.41dab3d9da854p-17, 0x1.3cbf252de203fp-17, 0x1.3796c281b3145p-17, 0x1.326553c9e262bp-17, 0x1.2d2f45af0a1d7p-17, 0x1.27f45a4bbeeb5p-17, 0x1.22b2461b15c1cp-17, 0x1.1d6aa15f10f9ap-17, 0x1.18218ad5cc4cp-17, 0x1.12d89d3c67abfp-17, 0x1.0d8ed44ef60cdp-17, 0x1.084328327c3ffp-17, 0x1.02f59c340d5cap-17, 0x1.fb4dd040d4228p-18, 0x1.f0aff1b419055p-18, 0x1.e6136157e50a4p-18, 0x1.db79ad7da5a3ep-18, 0x1.d0e42f3293ca4p-18, 0x1.c6540dbcea5cep-18, 0x1.bbca416619535p-18, 0x1.b147a6078c4adp-18, 0x1.a6cd2e3dda364p-18, 0x1.9c5c2ad990e06p-18, 0x1.91f66cf5e4c5fp-18, 0x1.879e0d271f45ep-18, 0x1.7d5522de97453p-18, 0x1.731e06ecb7037p-18, 0x1.68facc5170c4p-18, 0x1.5ee95680aa376p-18, 0x1.54e2cc6cb63fp-18, 0x1.4ae6bbb2e6e77p-18, 0x1.40fd268fcfa8bp-18, 0x1.372677cb88eep-18, 0x1.2d5cbdf67562fp-18, 0x1.23a4907925a9dp-18, 0x1.1a06eeec822b8p-18, 0x1.1083e6ddbe848p-18, 0x1.0716faaa41138p-18, 0x1.fb7be3b6efd4fp-19, 0x1.e8f24f7f5bbbdp-19, 0x1.d693b2b9e3267p-19, 0x1.c46264ba2d23bp-19, 0x1.b26023e28f622p-19, 0x1.a08e2c60741a8p-19, 0x1.8eed6ac1942e9p-19, 0x1.7d7ea5e6f4d73p-19, 0x1.6c42959623622p-19, 0x1.5b39e2f3c0c3fp-19, 0x1.4a651a17de09ap-19, 0x1.39c4a04240379p-19, 0x1.2958c634848aap-19, 0x1.1921fa3e12a91p-19, 0x1.0920ef052a9bp-19, 0x1.f2acd42cd783p-20, 0x1.d385eea3b742ep-20, 0x1.b4d066e198957p-20, 0x1.9697882452542p-20, 0x1.78e5b09cd5b0ap-20, 0x1.5ba98a8001db1p-20, 0x1.3ecd84978170ap-20, 0x1.225a2d1ca8c7fp-20, 0x1.064937d8fc6a7p-20, 0x1.d533e35f96565p-21, 0x1.9edb25c8e6f8ep-21, 0x1.69951bd12d6a1p-21, 0x1.353bbbffa1fa7p-21, 0x1.01ba106500b29p-21, 0x1.9e20a60e6f432p-22, 0x1.3a8882c05391dp-22, 0x1.b168eaae240c3p-23, 0x1.e2a34f60d0676p-24, 0x1.a66de165df322p-26, -0x1.0847df8b2fc55p-24, -0x1.398657a7835a2p-23, -0x1.eb5d3d386733cp-23, -0x1.4cd631d0d4cc1p-22, -0x1.a23b8eed4edb2p-22, -0x1.f5e0289536e8dp-22, -0x1.23e2c1369fefep-21, -0x1.4bf6d603173dap-21, -0x1.732dd4e1625dbp-21, -0x1.9989b4c5a07f3p-21, -0x1.bf0c88e7e4a45p-21, -0x1.e3b8258e0c0aap-21, -0x1.03c748511d1cp-20, -0x1.154969e32e6e9p-20, -0x1.26628a293b036p-20, -0x1.370b4d511cc91p-20, -0x1.47393e76c71d6p-20, -0x1.56f816da90a2cp-20, -0x1.665bdf9f61414p-20, -0x1.7568279d1c61cp-20, -0x1.84189f81df9a1p-20, -0x1.9258b5e4be7f7p-20, }}, 
      {{-0x1.5f1c5ffeac167p+1, -0x1.5bd26d409d282p+1, -0x1.569588954dc55p+1, -0x1.4fad615dfd524p+1, -0x1.4767b307f1b59p+1, -0x1.3e1191482dc84p+1, -0x1.33f35b6ac3431p+1, -0x1.294e77840fab8p+1, -0x1.1e5c3fae3195cp+1, -0x1.134dba536ca63p+1, -0x1.084bd58cdc1b2p+1, -0x1.faefe4ee177c7p+0, -0x1.e5d93905355c9p+0, -0x1.d17ca7209e522p+0, -0x1.bdf8affd2c8afp+0, -0x1.ab62db10c1ee4p+0, -0x1.99c91eedfe3dfp+0, -0x1.893326da469f5p+0, -0x1.79a374a6ec8a3p+0, -0x1.6b185f434c84cp+0, -0x1.5d8cef8609b8fp+0, -0x1.50f99d775cc19p+0, -0x1.4554f0e89fc0dp+0, -0x1.3a94085b75a6cp+0, -0x1.30ab0936fc821p+0, -0x1.278d7c2ad37d4p+0, -0x1.1f2e98701ee1dp+0, -0x1.1781805daefe9p+0, -0x1.107971852c17dp+0, -0x1.0a09ea50036bp+0, -0x1.0426c6d4fcbcbp+0, -0x1.fd88acc93114dp-1, -0x1.f3aed62902bbfp-1, -0x1.eaaac8c39d7fbp-1, -0x1.e2686badbee23p-1, -0x1.dad4d4f7c0128p-1, -0x1.d3de4b70719e2p-1, -0x1.cd74445de48a2p-1, -0x1.c7875e102c0cdp-1, -0x1.c209580996e07p-1, -0x1.bced0955d5b91p-1, -0x1.b826558d3471ep-1, -0x1.b3aa20e973abdp-1, -0x1.af6e43be855fbp-1, -0x1.ab697d995463dp-1, -0x1.a7936839c3104p-1, -0x1.a3e46a92320f8p-1, -0x1.a055abee2d3b4p-1, -0x1.9ce1075aa3e66p-1, -0x1.9980ff64203c4p-1, -0x1.9630b23a79e24p-1, -0x1.92ebce459cfb7p-1, -0x1.8fae8733fa288p-1, -0x1.8c758b88a4272p-1, -0x1.893dfaac43349p-1, -0x1.86055b81b7e78p-1, -0x1.82c9937ecd9a4p-1, -0x1.7f88de499cb4ap-1, -0x1.7c41c5d9bc172p-1, -0x1.78f31b184081ap-1, -0x1.759beef7e9a1cp-1, -0x1.723b8c023104ep-1, -0x1.6ed1705bd8c05p-1, -0x1.6b5d483e10901p-1, -0x1.67dee8dcabf57p-1, -0x1.64564ba57dcbcp-1, -0x1.60c389dada94ap-1, -0x1.5d26d884ac4d9p-1, -0x1.598084cb1dc34p-1, -0x1.55d0f0a749285p-1, -0x1.52188fde97658p-1, -0x1.4e57e53699fdcp-1, -0x1.4a8f7fd5199p-1, -0x1.46bff8ea62486p-1, -0x1.42e9f195cdeadp-1, -0x1.3f0e111b4451ep-1, -0x1.3b2d0349d866dp-1, -0x1.374777080ba49p-1, -0x1.335e1cfe4952fp-1, -0x1.2f71a6563da62p-1, -0x1.2b82c39e6a1afp-1, -0x1.279223d3f1f05p-1, -0x1.23a07396a8814p-1, -0x1.1fae5c83bae85p-1, -0x1.1bbc84ad46a18p-1, -0x1.17cb8e261275fp-1, -0x1.13dc1699c8867p-1, -0x1.0feeb6ee80f42p-1, -0x1.0c0402efd8182p-1, -0x1.081c8905e3ff6p-1, -0x1.0438d1faf50f7p-1, -0x1.005960d1aa21ep-1, -0x1.f8fd6556e3312p-2, -0x1.f1527d7b52cd9p-2, -0x1.e9b2eca4c7c31p-2, -0x1.e21f89a32f34bp-2, -0x1.da991f9f22f07p-2, -0x1.d3206e3cf5e3fp-2, -0x1.cbb629c38a557p-2, -0x1.c45afb4620893p-2, -0x1.bd0f80d2075ccp-2, -0x1.b5d44da18cec4p-2, -0x1.aea9ea5567f6fp-2, -0x1.a790d535b4cd6p-2, -0x1.a089827aa17e8p-2, -0x1.99945c9c1643fp-2, -0x1.92b1c4a75aa5fp-2, -0x1.8be21298fce66p-2, -0x1.852595b91a8ccp-2, -0x1.7e7c94f873b1dp-2, -0x1.77e74f4ccfb19p-2, -0x1.7165fc0b6e3ebp-2, -0x1.6af8cb4103fa9p-2, -0x1.649fe606f1a6ap-2, -0x1.5e5b6ed59aa85p-2, -0x1.582b81d43a517p-2, -0x1.521035267dda5p-2, -0x1.4c0999384915ep-2, -0x1.4617b907c3582p-2, -0x1.403a9a6e1308p-2, -0x1.3a723e66bea04p-2, -0x1.34bea1557e58bp-2, -0x1.2f1fbb4ac3847p-2, -0x1.299580465a646p-2, -0x1.241fe0783cdd3p-2, -0x1.1ebec87f629a3p-2, -0x1.197221a5fdec3p-2, -0x1.1439d21bae2bbp-2, -0x1.0f15bd2cec426p-2, -0x1.0a05c377bb7a3p-2, -0x1.0509c31e34fb7p-2, -0x1.002197f60efecp-2, -0x1.f69a376b7cf1p-3, -0x1.ed184c3f2a9fdp-3, -0x1.e3bd1a5416b44p-3, -0x1.da884a4c5fb89p-3, -0x1.d17981c8c67f7p-3, -0x1.c89063ad10201p-3, -0x1.bfcc90619bf19p-3, -0x1.b72da61249abcp-3, -0x1.aeb340e89e26bp-3, -0x1.a65cfb43a5521p-3, -0x1.9e2a6dedc4687p-3, -0x1.961b304e21d5ep-3, -0x1.8e2ed897ae311p-3, -0x1.8664fbf6e6de2p-3, -0x1.7ebd2ebb9630cp-3, -0x1.7737047fb7b82p-3, -0x1.6fd2104dc9a64p-3, -0x1.688de4c3f256p-3, -0x1.616a1433a2db2p-3, -0x1.5a6630c0c657ep-3, -0x1.5381cc7f42503p-3, -0x1.4cbc798ca1584p-3, -0x1.4615ca287f57ap-3, -0x1.3f8d50cccc757p-3, -0x1.3922a0430f3cap-3, -0x1.32d54bb7079c4p-3, -0x1.2ca4e6c99683cp-3, -0x1.269105a2922dfp-3, -0x1.20993cff7e5fep-3, -0x1.1abd224138602p-3, -0x1.14fc4b7a3876bp-3, -0x1.0f564f7b03de6p-3, -0x1.09cac5dc27281p-3, -0x1.04594708325f5p-3, -0x1.fe02d88c117f4p-4, -0x1.f3859f826f08ap-4, -0x1.e93a19210867bp-4, -0x1.df1f7d79da895p-4, -0x1.d5350691a6707p-4, -0x1.cb79f06a8baf8p-4, -0x1.c1ed790bf3072p-4, -0x1.b88ee08bb066bp-4, -0x1.af5d69175b757p-4, -0x1.a65856fa9b04bp-4, -0x1.9d7ef0a2fc76cp-4, -0x1.94d07ea4f5b06p-4, -0x1.8c4c4bc18fbf6p-4, -0x1.83f1a4e998303p-4, -0x1.7bbfd93e72396p-4, -0x1.73b63a1394a91p-4, -0x1.6bd41af145e2cp-4, -0x1.6418d195df92p-4, -0x1.5c83b5f487fa5p-4, -0x1.55142233c13bcp-4, -0x1.4dc972ad88766p-4, -0x1.46a305ef594ecp-4, -0x1.3fa03cb7f5e11p-4, -0x1.38c079f3d503cp-4, -0x1.320322baa0b1bp-4, -0x1.2b679e4de9b8bp-4, -0x1.24ed5616e6b3dp-4, -0x1.1e93b5a228e25p-4, -0x1.185a2a9add101p-4, -0x1.124024c76e723p-4, -0x1.0c45160704b6fp-4, -0x1.0668724ddeeecp-4, -0x1.00a9af9ff53edp-4, -0x1.f6108c16e0b71p-5, -0x1.eb075f48fa515p-5, -0x1.e036d103ed3f4p-5, -0x1.d59ddd724c865p-5, -0x1.cb3b84aff1d92p-5, -0x1.c10ecabdbce7ep-5, -0x1.b716b7779deabp-5, -0x1.ad52568cbd4ecp-5, -0x1.a3c0b776e1856p-5, -0x1.9a60ed6f10ebp-5, -0x1.91320f60b0a63p-5, -0x1.883337ddf2d5ep-5, -0x1.7f638516bf78fp-5, -0x1.76c218d04fb8cp-5, -0x1.6e4e185afa86cp-5, -0x1.6606ac85b984bp-5, -0x1.5deb0191721cbp-5, -0x1.55fa47262b2dfp-5, -0x1.4e33b04a3d072p-5, -0x1.4696735975104p-5, -0x1.3f21c9fa484cep-5, -0x1.37d4f111513aep-5, -0x1.30af28b50656bp-5, -0x1.29afb423616dap-5, -0x1.22d5d9b92a556p-5, -0x1.1c20e2e916b78p-5, -0x1.15901c3137553p-5, -0x1.0f22d50eeab62p-5, -0x1.08d85ff301738p-5, -0x1.02b0123781558p-5, -0x1.f952882dfcf06p-6, -0x1.ed86a14823488p-6, -0x1.e1fb2b7f19701p-6, -0x1.d6aee81a8196cp-6, -0x1.cba09dd1283fap-6, -0x1.c0cf18b46b86p-6, -0x1.b6392a1eb0e3p-6, -0x1.abdda8a31d3c8p-6, -0x1.a1bb6ffc05094p-6, -0x1.97d160f6ea2ccp-6, -0x1.8e1e615f0eb92p-6, -0x1.84a15be8df049p-6, -0x1.7b59401fc649cp-6, -0x1.7245025611a39p-6, -0x1.69639b952341ep-6, -0x1.60b4098c2f40fp-6, -0x1.58354e7d3bc64p-6, -0x1.4fe6712974022p-6, -0x1.47c67cbe874bap-6, -0x1.3fd480c5ef30ap-6, -0x1.380f9115b7245p-6, -0x1.3076c5c168c5cp-6, -0x1.29093b09df607p-6, -0x1.21c6114bf2787p-6, -0x1.1aac6cee95b5fp-6, -0x1.13bb7651bb08dp-6, -0x1.0cf259be933bbp-6, -0x1.065047590eb46p-6, -0x1.ffa8e62361133p-7, -0x1.f2fc292dcfb6fp-7, -0x1.e698ce8b04b97p-7, -0x1.da7d543154189p-7, -0x1.cea83f3437dc8p-7, -0x1.c3181ba6814eap-7, -0x1.b7cb7c7e99f3fp-7, -0x1.acc0fb7bf5ee2p-7, -0x1.a1f7390c892d9p-7, -0x1.976cdc31573bap-7, -0x1.8d20926224a85p-7, -0x1.83110f70dc77ap-7, -0x1.793d0d6dba97dp-7, -0x1.6fa34c8cc54bbp-7, -0x1.6642930caaa67p-7, -0x1.5d19ad1e5a9cfp-7, -0x1.54276ccca821ep-7, -0x1.4b6aa9e3821b7p-7, -0x1.42e241d6a90acp-7, -0x1.3a8d17a87bc7cp-7, -0x1.326a13d12c628p-7, -0x1.2a782426efcfdp-7, -0x1.22b63bc7199a3p-7, -0x1.1b2352ffe0511p-7, -0x1.13be673a586f9p-7, -0x1.0c867ae45d634p-7, -0x1.057a955a4734cp-7, -0x1.fd3385a1739a3p-8, -0x1.efc6287d482acp-8, -0x1.e2ab3e8fd1117p-8, -0x1.d5e0fc5143fcep-8, -0x1.c9659f41feedcp-8, -0x1.bd376dc2ff805p-8, -0x1.b154b6eea79d1p-8, -0x1.a5bbd27194bdap-8, -0x1.9a6b20639bc91p-8, -0x1.8f6109211d523p-8, -0x1.849bfd250390bp-8, -0x1.7a1a74e398ce9p-8, -0x1.6fdaf0a65b713p-8, -0x1.65dbf868a8c6cp-8, -0x1.5c1c1bb4e0943p-8, -0x1.5299f181fdbacp-8, -0x1.495418115be78p-8, -0x1.404934ccc6291p-8, -0x1.3777f424f4b49p-8, -0x1.2edf097086838p-8, -0x1.267d2ecbcc5cfp-8, -0x1.1e5124f942622p-8, -0x1.1659b342cdcb3p-8, -0x1.0e95a75b913acp-8, -0x1.0703d542040f7p-8, -0x1.ff462e44d9029p-9, -0x1.f0e49a72f70c6p-9, -0x1.e2e0bb6e69fcp-9, -0x1.d53869448ab9fp-9, -0x1.c7e98777aed0ep-9, -0x1.baf204c84fe4ep-9, -0x1.ae4fdaff9542ap-9, -0x1.a2010ebb5f0e2p-9, -0x1.9603af3b5fa89p-9, -0x1.8a55d62ee81a4p-9, -0x1.7ef5a7830b2f1p-9, -0x1.73e15130e9abp-9, -0x1.69170b0c0d217p-9, -0x1.5e9516914f89ap-9, -0x1.5459beb635aa8p-9, -0x1.4a6357b9cfa64p-9, -0x1.40b03ef6f0ec2p-9, -0x1.373edab84a0d3p-9, -0x1.2e0d9a0dfbbdep-9, -0x1.251af4a44bc2dp-9, -0x1.1c656a9af77e6p-9, -0x1.13eb845c57341p-9, -0x1.0babd2743aedap-9, -0x1.03a4ed6641f55p-9, -0x1.f7aaeb07cb7eep-10, -0x1.e878258631c74p-10, -0x1.d9aee92bdd55bp-10, -0x1.cb4ca387e70dfp-10, -0x1.bd4ed08bc32bp-10, -0x1.afb2fa46782c2p-10, -0x1.a276b8a36c7d9p-10, -0x1.9597b12a990a9p-10, -0x1.891396c0dc763p-10, -0x1.7ce8296669103p-10, -0x1.711335f2bfaaap-10, -0x1.659295ce65775p-10, -0x1.5a642eab52438p-10, -0x1.4f85f23ddccc5p-10, -0x1.44f5ddf8a6f11p-10, -0x1.3ab1faccc983bp-10, -0x1.30b85cef9cbf5p-10, -0x1.270723a60fe1cp-10, -0x1.1d9c7913ef538p-10, -0x1.1476920d76876p-10, -0x1.0b93ade861806p-10, -0x1.02f2164a8dcdbp-10, -0x1.f5203de8a26d2p-11, -0x1.e4d84b0cea9c6p-11, -0x1.d509228997652p-11, -0x1.c5afa5af0178fp-11, -0x1.b6c8c81b57278p-11, -0x1.a8518f4887339p-11, -0x1.9a4712270b9dbp-11, -0x1.8ca678c77272bp-11, -0x1.7f6cfc125d03ap-11, -0x1.7297e58aaa31ap-11, -0x1.66248f13e71a7p-11, -0x1.5a1062b63538ap-11, -0x1.4e58da58a3f6ap-11, -0x1.42fb7f6e2570dp-11, -0x1.37f5ea931722ap-11, -0x1.2d45c31dce3f7p-11, -0x1.22e8bea8227b7p-11, -0x1.18dca099f3e8dp-11, -0x1.0f1f39be08b87p-11, -0x1.05ae67e80e299p-11, -0x1.f9102b6353627p-12, -0x1.e754749adf131p-12, -0x1.d625b2d90317ep-12, -0x1.c580065b15b8bp-12, -0x1.b55fa81487f49p-12, -0x1.a5c0e97119b6ap-12, -0x1.96a033eb9dc12p-12, -0x1.87fa0870c101ap-12, -0x1.79cafe8f861b3p-12, -0x1.6c0fc385d5f03p-12, -0x1.5ec51940f8d9dp-12, -0x1.51e7d56dee917p-12, -0x1.4574e0b5a76e6p-12, -0x1.39693637b9133p-12, -0x1.2dc1e34cb71c9p-12, -0x1.227c07880ce91p-12, -0x1.1794d4e667e4ep-12, -0x1.0d099008ebf44p-12, -0x1.02d7905c313a5p-12, -0x1.f1f880163983bp-13, -0x1.deea3753f9a3bp-13, -0x1.cc7f632599268p-13, -0x1.bab341fa5b47bp-13, -0x1.a98131d5c6d2ep-13, -0x1.98e4ae16725f5p-13, -0x1.88d94d7a593c1p-13, -0x1.795ac0a26fccbp-13, -0x1.6a64d14768264p-13, -0x1.5bf3622a8b8ffp-13, -0x1.4e026fa881d7bp-13, -0x1.408e10b3b5f54p-13, -0x1.339277e3fb05p-13, -0x1.270bf4462d917p-13, -0x1.1af6f1a5d4098p-13, -0x1.0f4ff826ad64ep-13, -0x1.0413ab2842f06p-13, -0x1.f27d8f179c4a6p-14, -0x1.dd9c4323c1bd4p-14, -0x1.c97d4528d4568p-14, -0x1.b61a8dd69641bp-14, -0x1.a36e388c9e9ccp-14, -0x1.9172816f02feep-14, -0x1.8021c517930d6p-14, -0x1.6f7681c9e36a1p-14, -0x1.5f6b59bd33903p-14, -0x1.4ffb15d076173p-14, -0x1.4120a7e96909ep-14, -0x1.32d72c660edbfp-14, -0x1.2519ea4807771p-14, -0x1.17e45212b719fp-14, -0x1.0b31fb89513ap-14, -0x1.fdfd4536edd8bp-15, -0x1.e68c47a21f5b8p-15, -0x1.d008f11d55952p-15, -0x1.ba6b67225c94fp-15, -0x1.a5abfc2cabf6ep-15, -0x1.91c32c45bb1d4p-15, -0x1.7ea99c6d680d4p-15, -0x1.6c581cdd4ffap-15, -0x1.5ac7ad5b93876p-15, -0x1.49f1823dd81c5p-15, -0x1.39cf0897f37bap-15, -0x1.2a59e885884f2p-15, -0x1.1b8c0536feee1p-15, -0x1.0d5f7b2bc5477p-15, -0x1.ff9d3a8ff0be2p-16, -0x1.e5a7e2cfe19d2p-16, -0x1.ccd45950e97a1p-16, -0x1.b5185e9b990d3p-16, -0x1.9e6a005f37b68p-16, -0x1.88bf8fd26f74bp-16, -0x1.740f991ba922fp-16, -0x1.6050ddccfd769p-16, -0x1.4d7a540500c42p-16, -0x1.3b832a4c5da51p-16, -0x1.2a62ce70da8d5p-16, -0x1.1a10f479126e9p-16, -0x1.0a859b0c881ap-16, -0x1.f772180dcfcdcp-17, -0x1.db47b3b34c92bp-17, -0x1.c07db71e4aaedp-17, -0x1.a70652b10af37p-17, -0x1.8ed435407b016p-17, -0x1.77da8a6136094p-17, -0x1.620cf7f8892a2p-17, -0x1.4d5f981c37fffp-17, -0x1.39c6ee02f7377p-17, -0x1.2737d7d87a316p-17, -0x1.15a7819301ab4p-17, -0x1.050b5d2c51953p-17, -0x1.eab244b65a1d6p-18, -0x1.cd0da8d6c0bd5p-18, -0x1.b11593f718e8dp-18, -0x1.96b763ded7a81p-18, -0x1.7de125f35e965p-18, -0x1.66818c5ab1dcap-18, -0x1.5087df4154a37p-18, -0x1.3be3f19237486p-18, -0x1.28861e4a478bap-18, -0x1.165f4ed41431bp-18, -0x1.0561063337eafp-18, -0x1.eafad3dd43d47p-19, -0x1.cd4e855f6539bp-19, -0x1.b1a3e42cbcda9p-19, -0x1.97e2c138400c1p-19, -0x1.7ff3d3e2f9c2ep-19, -0x1.69c09c6ca92eep-19, -0x1.5533566d2bc2dp-19, -0x1.4236f83027adp-19, -0x1.30b7365f215afp-19, -0x1.20a083b2d56dbp-19, -0x1.11e0091429996p-19, -0x1.04639789f8f4dp-19, -0x1.f0332fcdfe1e9p-20, -0x1.d9e1fa31521fcp-20, -0x1.c5b27d08ae8a3p-20, -0x1.b384bc5e6fd0bp-20, -0x1.a339f3c1b510cp-20, -0x1.94b4c1047baa3p-20, -0x1.87d944c9862fap-20, -0x1.7c8d2ab471bcep-20, -0x1.72b798e29d6f6p-20, -0x1.6a4111640f67dp-20, -0x1.631352713686ep-20, -0x1.5d193ae93a1a4p-20, -0x1.583eafe582c5fp-20, -0x1.54707d7fa5456p-20, -0x1.519c32ea4fee6p-20, -0x1.4fb003426b112p-20, -0x1.4e9ab5d71ab03p-20, -0x1.4e4ba79b8b312p-20, -0x1.4eb2d2acc91d3p-20, -0x1.4fc0ce533337ep-20, -0x1.5166c4f5dfafap-20, -0x1.53966a1b5a90ap-20, -0x1.5641fd1aeeb66p-20, -0x1.595c5a4d55e3ep-20, -0x1.5cd91063eab66p-20, -0x1.60ac6d3876b86p-20, -0x1.64cb7f28a894bp-20, -0x1.692c120e5b1f9p-20, -0x1.6dc4b064d6f9bp-20, -0x1.728ca763fc35p-20, -0x1.777c02cc4004ep-20, -0x1.7c8b74f4a89fdp-20, -0x1.81b42a8b46a23p-20, -0x1.86ef999b4d8fep-20, -0x1.8c37621c884dcp-20, -0x1.91854cfcd5aa8p-20, -0x1.96d363147c6bdp-20, -0x1.9c1c06680cd97p-20, -0x1.a159fb0195bd6p-20, -0x1.a6885cbc723f4p-20, -0x1.aba28e030718bp-20, -0x1.b0a42d5c37657p-20, -0x1.b58916fe02aa9p-20, -0x1.ba4d6d2295f81p-20, -0x1.beed9e1e7bc2cp-20, -0x1.c36663f1af6f9p-20, -0x1.c7b4c155f35f3p-20, -0x1.cbd604580af6fp-20, -0x1.cfc7d1923efd4p-20, -0x1.d388305318b24p-20, -0x1.d7158a78e3bp-20, -0x1.da6e980229b56p-20, -0x1.dd923ce263481p-20, -0x1.e07f6a866fb88p-20, -0x1.e33514e90a66dp-20, -0x1.e5b23d6847a27p-20, -0x1.e7f60692f8d9fp-20, -0x1.e9ffc12746afcp-20, -0x1.ebceeb8aa337cp-20, -0x1.ed6328c899548p-20, -0x1.eebc37ae4d576p-20, -0x1.efd9ee8cefa67p-20, -0x1.f0bc3b3d99f15p-20, -0x1.f16324e309efp-20, -0x1.f1cecd0145b8dp-20, -0x1.f1ff6e8cd9c25p-20, -0x1.f1f55b43e5dcdp-20, -0x1.f1b0f9908f8edp-20, -0x1.f132c5c459a46p-20, -0x1.f07b56aed8c53p-20, -0x1.ef8b61ea5cdbfp-20, -0x1.ee63ba4155c6ap-20, -0x1.ed0546a5ecdf7p-20, -0x1.eb70f64b64942p-20, -0x1.e9a7b940c1477p-20, -0x1.e7aa8137cceb6p-20, -0x1.e57a479a55e55p-20, -0x1.e318124fe94bap-20, -0x1.e084f3b3fe119p-20, -0x1.ddc20727325fbp-20, -0x1.dad06e1b5b656p-20, -0x1.d7b14f011efe7p-20, -0x1.d465d585f51f3p-20, -0x1.d0ef32d058a07p-20, -0x1.cd4e9d6304b0ap-20, -0x1.c9855089cf6cep-20, -0x1.c5948b7cb416bp-20, -0x1.c17d9075155a2p-20, -0x1.bd41a3d7ce12cp-20, -0x1.b8e20b74818c6p-20, -0x1.b4600e08c111ep-20, -0x1.afbcf2f3a0004p-20, -0x1.aafa01e7b205ep-20, -0x1.a6188260c74a8p-20, -0x1.a119badf0c78dp-20, -0x1.9bfef057ec0cep-20, -0x1.96c96626a87dap-20, -0x1.917a5e3116501p-20, -0x1.8c1318bd4a164p-20, -0x1.8694d3ccb4852p-20, -0x1.8100ca61bd572p-20, -0x1.7b58340c1e94p-20, -0x1.759c44d6cd47fp-20, -0x1.6fce2d4cdb47cp-20, -0x1.69ef1aa3fd137p-20, -0x1.640036f30ba55p-20, -0x1.5e02a955edd76p-20, -0x1.57f795a036e3fp-20, -0x1.51e01b925ca5ep-20, -0x1.4bbd55c2aee29p-20, -0x1.459058bc280fbp-20, -0x1.3f5a32d4f8ae9p-20, -0x1.391becc28b374p-20, -0x1.32d68a650aecdp-20, -0x1.2c8b0b541e5adp-20, -0x1.263a6b11524a6p-20, -0x1.1fe5a0ef98b63p-20, -0x1.198d9f8719cdfp-20, -0x1.1333537f83506p-20, -0x1.0cd7a2974001dp-20, -0x1.067b6c3253444p-20, -0x1.001f8b3164d6ap-20, -0x1.f389adf41ec03p-21, -0x1.e6d844948350ep-21, -0x1.da2c72b39e43p-21, -0x1.cd87c2d1f38dp-21, -0x1.c0ebb2faeefc9p-21, -0x1.b459b61466192p-21, -0x1.a7d3350dd2937p-21, -0x1.9b5990a8b8f36p-21, -0x1.8eee22d349f6fp-21, -0x1.82923dcfc51f3p-21, -0x1.7647291b478aap-21, -0x1.6a0e1d60d7171p-21, -0x1.5de841f93f0a3p-21, -0x1.51d6ae719295dp-21, -0x1.45da7020aa1e5p-21, -0x1.39f4907d452f3p-21, -0x1.2e2616ca51a02p-21, -0x1.2270033e3dd97p-21, -0x1.16d347cf8dd81p-21, -0x1.0b50c4394bd11p-21, -0x1.ffd28bbf1c6f7p-22, -0x1.e93b181ed2979p-22, -0x1.d2dca69b6c726p-22, -0x1.bcb8c209f738ap-22, -0x1.a6d0ff75e30f8p-22, -0x1.9126d7a8c7299p-22, -0x1.7bbb8fe2c4bfap-22, -0x1.66904c0a07b0cp-22, -0x1.51a627c9a9daap-22, -0x1.3cfe3570c1f61p-22, -0x1.289974b0aa47ep-22, -0x1.1478d511e46e4p-22, -0x1.009d3c8e32128p-22, -0x1.da0f11b920935p-23, -0x1.b3711908666b1p-23, -0x1.8d6214fd3c9e4p-23, -0x1.67e362a6c1c8bp-23, -0x1.42f62dcad5c84p-23, -0x1.1e9b7078ad6f5p-23, -0x1.f5a80688ed151p-24, -0x1.af417b80fd3adp-24, -0x1.6a052595a2c56p-24, -0x1.25f51052ef55cp-24, -0x1.c625f8ada452ap-25, -0x1.42bfc06c9fe53p-25, -0x1.836f313898e9p-26, -0x1.0c319f4d6aafbp-27, 0x1.ca18b977481fbp-28, 0x1.666d5416dedb4p-26, 0x1.2acbd43a8c7a7p-25, 0x1.a00001a298a54p-25, 0x1.0969a0a6f9e5fp-24, 0x1.41a3da7256505p-24, 0x1.78af8a1fcd6abp-24, 0x1.ae8d278574572p-24, 0x1.e33d613597b11p-24, 0x1.0b60991173deep-23, 0x1.248cd0a67829p-23, 0x1.3d23d9aef57ccp-23, 0x1.552641bf7a0d8p-23, 0x1.6c94ab7b64051p-23, 0x1.836fd00a0d839p-23, 0x1.99b87ba83f763p-23, 0x1.af6f8a3383891p-23, 0x1.c495e6a1825cp-23, 0x1.d92c8c2ce2f7dp-23, 0x1.ed3482dee11acp-23, 0x1.005768e253fa8p-22, 0x1.09ce36001ed18p-22, 0x1.12ff165fc5c88p-22, 0x1.1bea7b909c72dp-22, 0x1.2490f7ac55e63p-22, 0x1.2cf34a9fdc077p-22, 0x1.35124e738d4c8p-22, 0x1.3ceedc32e3fp-22, 0x1.4489b2902c204p-22, 0x1.4be350e9bc94p-22, 0x1.52fc1b7e5c3a6p-22, 0x1.59d4c4479260ap-22, 0x1.606e399730bd8p-22, 0x1.66c93bbcfe24dp-22, 0x1.6ce66ac1df965p-22, 0x1.72c6848e18bb6p-22, 0x1.786a5689f03f1p-22, 0x1.7dd2a3a752b31p-22, 0x1.8300265d3f9c9p-22, 0x1.87f39a435a2a2p-22, 0x1.8cadc136442aep-22, 0x1.912f64337d873p-22, 0x1.957951db982e6p-22, 0x1.998c5bb738101p-22, 0x1.9d6953444b762p-22, 0x1.a11107ec7ab7dp-22, 0x1.a48446e775dc5p-22, 0x1.a7c3dcc783087p-22, 0x1.aad0972279b3cp-22, 0x1.adab44402ea3p-22, 0x1.b054b0792b86ep-22, 0x1.b2cda3fe544a5p-22, 0x1.b516e67d2f81dp-22, 0x1.b7314a8fab9e6p-22, 0x1.b91db3770ef9cp-22, 0x1.badd02f472308p-22, 0x1.bc7008aba3339p-22, 0x1.bdd797af9a5fp-22, 0x1.bf1481e0e082ep-22, 0x1.c0278914fdf74p-22, 0x1.c111916bcf13cp-22, 0x1.c1d378589f224p-22, 0x1.c26deadc36e7p-22, 0x1.c2e1ace643294p-22, 0x1.c32f9b752296dp-22, 0x1.c35887f9cce7fp-22, 0x1.c35d371e7a485p-22, 0x1.c33e6a13c9d7fp-22, 0x1.c2fce2aeb8a8dp-22, 0x1.c29964240cce2p-22, 0x1.c214b2d020e67p-22, 0x1.c16f93b9b8badp-22, 0x1.c0aacbbcd63e1p-22, 0x1.bfc71e6137183p-22, 0x1.bec54c91ccdeep-22, 0x1.bda6139fd5299p-22, 0x1.bc6a2d06ebdf6p-22, 0x1.bb124f4286766p-22, 0x1.b99f2f77422aep-22, 0x1.b811830fe0beep-22, 0x1.b66a0023b8d43p-22, 0x1.b4a95bebc6164p-22, 0x1.b2d048246288ep-22, 0x1.b0df729dbdbdcp-22, 0x1.aed788f8a8d8bp-22, 0x1.acb93938c8b35p-22, 0x1.aa85265cd4678p-22, 0x1.a83be80b2e206p-22, 0x1.a5de2cac3af45p-22, 0x1.a36caffe2fb08p-22, 0x1.a0e81c241c82ap-22, 0x1.9e510e124741p-22, 0x1.9ba80a618f0bbp-22, }}, 
      {{0x1.797516f8e8eep-12, 0x1.6ec6b235acbc8p-10, 0x1.740bf27f6e4dep-9, 0x1.130b002b1085bp-8, 0x1.460640e8e612ap-8, 0x1.38db0d5c19fb9p-8, 0x1.b4f622e346f3cp-9, 0x1.1162be18d2cf2p-11, -0x1.e4b34d67a7abfp-9, -0x1.306b240e6357bp-7, -0x1.08febc2e52218p-6, -0x1.8d1b2ea54e0fcp-6, -0x1.112cefa878985p-5, -0x1.6324f5491782dp-5, -0x1.bb26f34d15c1p-5, -0x1.0beb271340da8p-4, -0x1.3be851ca7c6cap-4, -0x1.6cdaeff3ad0c9p-4, -0x1.9e17ffa0e9cd5p-4, -0x1.cefd076c9e82bp-4, -0x1.fef3040798da5p-4, -0x1.16b8514482d49p-3, -0x1.2cfdde30c61b3p-3, -0x1.42150e033101p-3, -0x1.55d0cf34223c9p-3, -0x1.680be690c3b6fp-3, -0x1.78a88863ba031p-3, -0x1.878fcd613b0e5p-3, -0x1.94b111b7f4b78p-3, -0x1.a0014a87c6aafp-3, -0x1.a97a5b79b0cb1p-3, -0x1.b11a739cb0a1bp-3, -0x1.b6e3763e6d1a8p-3, -0x1.bada725ef1008p-3, -0x1.bd0729b263416p-3, -0x1.bd73a6e84601ap-3, -0x1.bc2be21cd02d2p-3, -0x1.b93d71dfa9357p-3, -0x1.b4b74707f5d11p-3, -0x1.aea9718d9051ap-3, -0x1.a724ecc15a3c5p-3, -0x1.9e3b7174bb77p-3, -0x1.93ff4cdfc2dcbp-3, -0x1.88833b55e23ep-3, -0x1.7bda4615ee975p-3, -0x1.6e17a3b7466e4p-3, -0x1.5f4e9ae1ec52cp-3, -0x1.4f9267217776dp-3, -0x1.3ef61fbbddc76p-3, -0x1.2d8ca085eca05p-3, -0x1.1b6874b8c3915p-3, -0x1.089bc3ceddbcbp-3, -0x1.ea7080e52e042p-4, -0x1.c29e32f7eeb91p-4, -0x1.99e1da1034a6cp-4, -0x1.705b7b2dd4c32p-4, -0x1.4629d2594f974p-4, -0x1.1b6a44d6e15eap-4, -0x1.e071ad5f05d98p-5, -0x1.8960490164a67p-5, -0x1.31d2bdcb798d9p-5, -0x1.b3f12f2425e0cp-6, -0x1.03fd1689ec449p-6, -0x1.50743c934e738p-8, 0x1.6d823b2c18c1fp-8, 0x1.0a32bcc952219p-6, 0x1.b815a81021aefp-6, 0x1.32654604fb785p-5, 0x1.880bafda1ef56p-5, 0x1.dce372d4fb243p-5, 0x1.186a05b879af9p-4, 0x1.41e396107c081p-4, 0x1.6ad4380299135p-4, 0x1.9332ae6ede7d6p-4, 0x1.baf6a1a551facp-4, 0x1.e218883d5e46p-4, 0x1.0448d54a66cc9p-3, 0x1.172e034257ed1p-3, 0x1.29b926a01c9fap-3, 0x1.3be7ea39488p-3, 0x1.4db844f06afbcp-3, 0x1.5f2876071c96fp-3, 0x1.7036ff767614p-3, 0x1.80e2a22a81e3ep-3, 0x1.912a5a0da90bep-3, 0x1.a10d5a5edb8c2p-3, 0x1.b08b0a4ad2a9dp-3, 0x1.bfa3019cd6641p-3, 0x1.ce55059e00063p-3, 0x1.dca106139b58ap-3, 0x1.ea871a6d5a395p-3, 0x1.f8077f1cd5fc2p-3, 0x1.0291498a415aep-2, 0x1.08ec6ab8b5458p-2, 0x1.0f15719deed52p-2, 0x1.150cbaa18620ap-2, 0x1.1ad2af04b910fp-2, 0x1.2067c3dc548a8p-2, 0x1.25cc79139b86ap-2, 0x1.2b015873fa1cp-2, 0x1.3006f4b414a73p-2, 0x1.34dde893e88a9p-2, 0x1.3986d602e51e4p-2, 0x1.3e026553c7e6cp-2, 0x1.4251448110ddcp-2, 0x1.4674267d7b2a5p-2, 0x1.4a6bc292682e6p-2, 0x1.4e38d3cbedbfdp-2, 0x1.51dc186df1458p-2, 0x1.5556517186babp-2, 0x1.58a8420bb7a08p-2, 0x1.5bd2af38312c8p-2, 0x1.5ed65f492a263p-2, 0x1.61b4197cfa486p-2, 0x1.646ca596f7e6ep-2, 0x1.6700cb7daeb0dp-2, 0x1.697152dc7a2ebp-2, 0x1.6bbf02cd723abp-2, 0x1.6deaa18593a77p-2, 0x1.6ff4f40807e4ep-2, 0x1.71debde1c7db1p-2, 0x1.73a8c0e608a3p-2, 0x1.7553bcf623e7fp-2, 0x1.76e06fcb7b602p-2, 0x1.784f94c65f2edp-2, 0x1.79a1e4c6b49b7p-2, 0x1.7ad816016030ap-2, 0x1.7bf2dbe030625p-2, 0x1.7cf2e6e5899d3p-2, 0x1.7dd8e48c2806p-2, 0x1.7ea57f34062a6p-2, 0x1.7f595e0d885f7p-2, 0x1.7ff52502fbc13p-2, 0x1.807974af2264dp-2, 0x1.80e6ea4ec107p-2, 0x1.813e1fb351a4p-2, 0x1.817fab41dc5b9p-2, 0x1.81ac1feb2aba5p-2, 0x1.81c40d2674c5ap-2, 0x1.81c7fef80381ep-2, 0x1.81b87df0af34ap-2, 0x1.81960f2eea5aap-2, 0x1.8161346bce696p-2, 0x1.811a6c01edd57p-2, 0x1.80c230f362623p-2, 0x1.8058fafb8698ap-2, 0x1.7fdf3e9c2be09p-2, 0x1.7f556d2709077p-2, 0x1.7ebbf4d2666cp-2, 0x1.7e1340cc32e71p-2, 0x1.7d5bb9456ba88p-2, 0x1.7c95c386ca95cp-2, 0x1.7bc1c209271d9p-2, 0x1.7ae014838756dp-2, 0x1.79f117fcbea3bp-2, 0x1.78f526e673d2p-2, 0x1.77ec993020778p-2, 0x1.76d7c454bb972p-2, 0x1.75b6fb736e75ap-2, 0x1.748a8f68f483ep-2, 0x1.7352cedd346c7p-2, 0x1.72100654185ccp-2, 0x1.70c28048ff049p-2, 0x1.6f6a854360b87p-2, 0x1.6e085be20d862p-2, 0x1.6c9c48eecfbbfp-2, 0x1.6b268f78eda76p-2, 0x1.69a770e5887b9p-2, 0x1.681f2cfa3659cp-2, 0x1.668e01f184441p-2, 0x1.64f42c930c2d7p-2, 0x1.6351e840d003dp-2, 0x1.61a76f012a663p-2, 0x1.5ff4f99281713p-2, 0x1.5e3abf80cc2e1p-2, 0x1.5c78f730baa9ep-2, 0x1.5aafd5e854e66p-2, 0x1.58df8fe0e8a6dp-2, 0x1.5708585a974b8p-2, 0x1.552a61a58493p-2, 0x1.5345dd27d97afp-2, 0x1.515afb6d698c9p-2, 0x1.4f69ec3acb4adp-2, 0x1.4d72de9599753p-2, 0x1.4b7600c5ecd26p-2, 0x1.4973806144f2fp-2, 0x1.476b8a5e838f5p-2, 0x1.455e4b2150e01p-2, 0x1.434bee77b535bp-2, 0x1.41349f9b230dbp-2, 0x1.3f1889413c71dp-2, 0x1.3cf7d5aedf86p-2, 0x1.3ad2aeba61d6ep-2, 0x1.38a93dc23bc56p-2, 0x1.367babaf3bea8p-2, 0x1.344a2108a686p-2, 0x1.3214c6058ce1cp-2, 0x1.2fdbc288be7ffp-2, 0x1.2d9f3e11ef6f9p-2, 0x1.2b5f5fbe189d4p-2, 0x1.291c4e5c95e7dp-2, 0x1.26d63081bf733p-2, 0x1.248d2c81a7db3p-2, 0x1.2241685bec0e8p-2, 0x1.1ff309b4f4a26p-2, 0x1.1da235e83a441p-2, 0x1.1b4f121f599e1p-2, 0x1.18f9c352fe333p-2, 0x1.16a26e34c6158p-2, 0x1.1449371cad695p-2, 0x1.11ee4210a5744p-2, 0x1.0f91b2de1b3aap-2, 0x1.0d33ad284945bp-2, 0x1.0ad4545a6335cp-2, 0x1.0873cb8bded4cp-2, 0x1.0612357457769p-2, 0x1.03afb47b73ecfp-2, 0x1.014c6ad2b0e08p-2, 0x1.fdd0f4f8ec42p-3, 0x1.f9080a6ef904ep-3, 0x1.f43e58c3bf1afp-3, 0x1.ef7421df2e713p-3, 0x1.eaa9a6f868e63p-3, 0x1.e5df28c86d023p-3, 0x1.e114e7969a62p-3, 0x1.dc4b230f6853fp-3, 0x1.d7821a08c1961p-3, 0x1.d2ba0a684e383p-3, 0x1.cdf3313f6d636p-3, 0x1.c92dcafe177c2p-3, 0x1.c46a138a3fe07p-3, 0x1.bfa846238db83p-3, 0x1.bae89d294e14ap-3, 0x1.b62b51f1c63e2p-3, 0x1.b1709cd2239a2p-3, 0x1.acb8b54b6eb7dp-3, 0x1.a803d231d4c3bp-3, 0x1.a35229aaace04p-3, 0x1.9ea3f100f222ep-3, 0x1.99f95c7130383p-3, 0x1.95529f13d189bp-3, 0x1.90afeaf35f971p-3, 0x1.8c117138cd208p-3, 0x1.87776247e2473p-3, 0x1.82e1edb4bc779p-3, 0x1.7e514219aae1cp-3, 0x1.79c58ceb9de8dp-3, 0x1.753efa6b5f0e2p-3, 0x1.70bdb5bba5509p-3, 0x1.6c41e90887f72p-3, 0x1.67cbbda1b278p-3, 0x1.635b5bf4be647p-3, 0x1.5ef0eb6c2672bp-3, 0x1.5a8c9249936bp-3, 0x1.562e75946438cp-3, 0x1.51d6b926bd4f9p-3, 0x1.4d857fce2a518p-3, 0x1.493aeb687ba85p-3, 0x1.44f71cea63c48p-3, 0x1.40ba344d1616p-3, 0x1.3c84506fd14f7p-3, 0x1.38558f00e735ep-3, 0x1.342e0c7c95f5cp-3, 0x1.300de4418c488p-3, 0x1.2bf530ad664b9p-3, 0x1.27e40b2ff178cp-3, 0x1.23da8c4b8c86dp-3, 0x1.1fd8cb84899fp-3, 0x1.1bdedf4ae618fp-3, 0x1.17ecdcec49311p-3, 0x1.1402d89713c3ep-3, 0x1.1020e56cac396p-3, 0x1.0c471598a7163p-3, 0x1.08757a60d727ep-3, 0x1.04ac2427d4088p-3, 0x1.00eb226324adp-3, 0x1.fa650718504e9p-4, 0x1.f304aa2b046bbp-4, 0x1.ebb546d7fc68cp-4, 0x1.e476f406a2321p-4, 0x1.dd49c6d0f4f81p-4, 0x1.d62dd2a302686p-4, 0x1.cf232949f51ffp-4, 0x1.c829daf065baap-4, 0x1.c141f60e40f97p-4, 0x1.ba6b8757d7495p-4, 0x1.b3a699b8056d5p-4, 0x1.acf3365ba597dp-4, 0x1.a65164caad5c2p-4, 0x1.9fc12b04e1f03p-4, 0x1.99428d985375p-4, 0x1.92d58fac67535p-4, 0x1.8c7a3301511f7p-4, 0x1.863077e801473p-4, 0x1.7ff85d39d1124p-4, 0x1.79d1e0577795cp-4, 0x1.73bcfd333d167p-4, 0x1.6db9ae6443c12p-4, 0x1.67c7ed3c8b7f5p-4, 0x1.61e7b1dbc3969p-4, 0x1.5c18f33bbb5eap-4, 0x1.565ba735c0bcp-4, 0x1.50afc2823935dp-4, 0x1.4b1538b5aeba3p-4, 0x1.458bfc3ffef9ap-4, 0x1.4013fe716ffe2p-4, 0x1.3aad2f8666eedp-4, 0x1.35577eb6ef8b3p-4, 0x1.3012da467bc55p-4, 0x1.2adf2f9190f43p-4, 0x1.25bc6b186b18bp-4, 0x1.20aa788618402p-4, 0x1.1ba942b40ba97p-4, 0x1.16b8b3ab53be9p-4, 0x1.11d8b4a5d1fd4p-4, 0x1.0d092e11ce768p-4, 0x1.084a0798bc1bdp-4, 0x1.039b282850e5cp-4, 0x1.fdf8ebf9e46bcp-5, 0x1.f4dbad5a0d3f5p-5, 0x1.ebde5e69f5ea4p-5, 0x1.e300c805de06cp-5, 0x1.da42b200964fp-5, 0x1.d1a3e32fa2b16p-5, 0x1.c924216ff8e02p-5, 0x1.c0c331a59c65ap-5, 0x1.b880d7b9839dcp-5, 0x1.b05cd698a4961p-5, 0x1.a856f03783a06p-5, 0x1.a06ee59db92e2p-5, 0x1.98a476fc33926p-5, 0x1.90f763cda02f7p-5, 0x1.89676afbb7189p-5, 0x1.81f44b0125844p-5, 0x1.7a9dc1ffe997dp-5, 0x1.73638dc6e1424p-5, 0x1.6c456bc66aba8p-5, 0x1.654318f88f2d3p-5, 0x1.5e5c51c4b3758p-5, 0x1.5790d1e964c89p-5, 0x1.50e05476e7681p-5, 0x1.4a4a93e226b07p-5, 0x1.43cf4a310dafbp-5, 0x1.3d6e3138d492fp-5, 0x1.372702dfccd1p-5, 0x1.30f97951850f7p-5, 0x1.2ae54f166359p-5, 0x1.24ea3f0734941p-5, 0x1.1f08041e6ea81p-5, 0x1.193e5932f5c58p-5, 0x1.138cf8af73d37p-5, 0x1.0df39c5c4a6c9p-5, 0x1.0871fd5022f65p-5, 0x1.0307d411f7559p-5, 0x1.fb69b1d55d87bp-6, 0x1.f0f188ac74643p-6, 0x1.e6a69ef2cfb12p-6, 0x1.dc8868fb91152p-6, 0x1.d2965d72de10dp-6, 0x1.c8cff52876a51p-6, 0x1.bf34aa5a4d78dp-6, 0x1.b5c3f7a5e91d7p-6, 0x1.ac7d56e282b8fp-6, 0x1.a360403118aa5p-6, 0x1.9a6c29891f8d3p-6, 0x1.91a086edbf3f1p-6, 0x1.88fccb4f4046fp-6, 0x1.808069efd23e3p-6, 0x1.782ad7fdcdde1p-6, 0x1.6ffb8e013ec3ap-6, 0x1.67f208beede8p-6, 0x1.600dc94ef5033p-6, 0x1.584e54534d842p-6, 0x1.50b3307098f45p-6, 0x1.493be45c83b9fp-6, 0x1.41e7f4f413e12p-6, 0x1.3ab6e3d1a410bp-6, 0x1.33a82ec3970e6p-6, 0x1.2cbb50548033p-6, 0x1.25efc157b7ebbp-6, 0x1.1f44fb2f5a0ffp-6, 0x1.18ba7a507524ap-6, 0x1.124fc075a9cf1p-6, 0x1.0c0455fa8f8e4p-6, 0x1.05d7ca04d54cdp-6, 0x1.ff9362c2aea56p-7, 0x1.f3b3488a8fdc2p-7, 0x1.e80e76cd804a6p-7, 0x1.dca41a15127f1p-7, 0x1.d173555c5a1a2p-7, 0x1.c67b3fb1ba332p-7, 0x1.bbbae4c438bc2p-7, 0x1.b131485bbd793p-7, 0x1.a6dd6c1ddb7cep-7, 0x1.9cbe567bf78ccp-7, 0x1.92d319634f2fbp-7, 0x1.891ad74597f22p-7, 0x1.7f94c55f3a4p-7, 0x1.76402aa7a95efp-7, 0x1.6d1c5b86d285dp-7, 0x1.6428b3183f95ap-7, 0x1.5b648b4d6c33p-7, 0x1.52cf358555bbbp-7, 0x1.4a67f51d2335fp-7, 0x1.422dfd196769ap-7, 0x1.3a207168c37c6p-7, 0x1.323e6b8935b33p-7, 0x1.2a8701b1bfdbap-7, 0x1.22f94f29401e7p-7, 0x1.1b947c3a068a6p-7, 0x1.1457c442f1da6p-7, 0x1.0d4278ba833p-7, 0x1.06540084eeb5ap-7, 0x1.ff17a7599779ap-8, 0x1.f1d2e8803e7e2p-8, 0x1.e4d8cb4b8dcb2p-8, 0x1.d8284821d6dacp-8, 0x1.cbc03b635381ap-8, 0x1.bf9f5dc9c39a2p-8, 0x1.b3c44410b0288p-8, 0x1.a82d65c456bbap-8, 0x1.9cd929cbd826ep-8, 0x1.91c5f6595dd6ap-8, 0x1.86f241778ee3fp-8, 0x1.7c5c9f713bcaap-8, 0x1.7203ccb8f8ebap-8, 0x1.67e6b1b41529dp-8, 0x1.5e045fc85b6d2p-8, 0x1.545c082b1f4fep-8, 0x1.4aecee07a703cp-8, 0x1.41b656723a714p-8, 0x1.38b7790a63b83p-8, 0x1.2fef7408c2602p-8, 0x1.275d45b8ada81p-8, 0x1.1effcc3a15c07p-8, 0x1.16d5cb2fcd74fp-8, 0x1.0eddf5f74fde8p-8, 0x1.0716fc715eabdp-8, 0x1.feff305ee876dp-9, 0x1.f02d300bce89cp-9, 0x1.e1b5d0cb182a2p-9, 0x1.d3972ee84a99fp-9, 0x1.c5cfa907f7a0fp-9, 0x1.b85dd674e9469p-9, 0x1.ab40769048885p-9, 0x1.9e765c0ae0fe9p-9, 0x1.91fe5715d3ff3p-9, 0x1.85d721e9e57b8p-9, 0x1.79ff52ae283a5p-9, 0x1.6e7554dda7b9fp-9, 0x1.63376ae62eae6p-9, 0x1.5843b73134a43p-9, 0x1.4d984a8a9f3dfp-9, 0x1.4333350b3bc9p-9, 0x1.3912966b67519p-9, 0x1.2f34aadf5328bp-9, 0x1.2597d27df58fdp-9, 0x1.1c3a92ac7cf71p-9, 0x1.131b92abe12dep-9, 0x1.0a399581631a3p-9, 0x1.019373662f947p-9, 0x1.f250279caa34bp-10, 0x1.e1eccf8b16612p-10, 0x1.d1fac787d03adp-10, 0x1.c277f14b102fbp-10, 0x1.b3621941b7e0bp-10, 0x1.a4b6ec33aeb98p-10, 0x1.9673f4a7aff7cp-10, 0x1.8896a25ddbaaap-10, 0x1.7b1c5b0d25f05p-10, 0x1.6e028fe775216p-10, 0x1.6146d0b0bcaa7p-10, 0x1.54e6d50888677p-10, 0x1.48e077dfa1addp-10, 0x1.3d31a726b2cc3p-10, 0x1.31d84fda3c9b9p-10, 0x1.26d25119eaeffp-10, 0x1.1c1d7e096479cp-10, 0x1.11b7aea9ff4c7p-10, 0x1.079ed7cf4aedbp-10, 0x1.fba23c5c3eecdp-11, 0x1.e899b570a31a5p-11, 0x1.d6211b5619c08p-11, 0x1.c4358c33bda5cp-11, 0x1.b2d4127a73085p-11, 0x1.a1f989ce4b6bp-11, 0x1.91a2a66e5dap-11, 0x1.81cc1a66a68e5p-11, 0x1.7272c4591b157p-11, 0x1.6393cd7a8d5c6p-11, 0x1.552ca350b39b5p-11, 0x1.473acac8afccfp-11, 0x1.39bb9d89ecdaap-11, 0x1.2cac0ed367333p-11, 0x1.200894da2846dp-11, 0x1.13cd45f5aaf2dp-11, 0x1.07f6236019254p-11, 0x1.f8feee6006f8ep-12, 0x1.e2cc42f189815p-12, 0x1.cd4f6c032e3b2p-12, 0x1.b884be83204c8p-12, 0x1.a4692934d376bp-12, 0x1.90f98b5f4a0bbp-12, 0x1.7e3241f2a6992p-12, 0x1.6c0f1a1f9af39p-12, 0x1.5a8ba3904487cp-12, 0x1.49a3ac3f77f99p-12, 0x1.39539e8b8b4cp-12, 0x1.29988e2087ac9p-12, 0x1.1a6fead25eb25p-12, 0x1.0bd6fa2dc45acp-12, 0x1.fb949ef726688p-13, 0x1.e08aefb0058b3p-13, 0x1.c685f424e93bdp-13, 0x1.ad795a8de37cap-13, 0x1.9558a0438af97p-13, 0x1.7e186f5a7793ap-13, 0x1.67afbee2fd308p-13, 0x1.521849a38adeep-13, 0x1.3d4e202e1328bp-13, 0x1.294e7bac7c66bp-13, 0x1.1616590bc6e4fp-13, 0x1.03a184d018b6dp-13, 0x1.e3d4fe5ea7583p-14, 0x1.c1d649617cbf7p-14, 0x1.a13b4772efa7p-14, 0x1.81fa6842ab5b6p-14, 0x1.640c77e175992p-14, 0x1.476bba1fcca78p-14, 0x1.2c12580a981fep-14, 0x1.11f8e0a0d6b7ep-14, 0x1.f22aeee763854p-15, 0x1.c2b7aa7bda271p-15, 0x1.957bb23f57837p-15, 0x1.6a58c4c06986ep-15, 0x1.4130c3880f02dp-15, 0x1.19e849982b019p-15, 0x1.e8d282e7ca0c2p-16, 0x1.a148c49760649p-16, 0x1.5d20f95b7e64cp-16, 0x1.1c4f096de1b4cp-16, 0x1.bd8af15371072p-17, 0x1.48e02ab286615p-17, 0x1.b4cdf7cc08569p-18, 0x1.c78632f89abfap-19, 0x1.e29abcb365c16p-22, -0x1.38c10cfe8ee83p-19, -0x1.4c26e94c45279p-18, -0x1.f166ecab2965dp-18, -0x1.462fc1f13874cp-17, -0x1.8eaf060b62818p-17, -0x1.d260a8c7971ffp-17, -0x1.08bcdbb7b0158p-16, -0x1.26186275dde1p-16, -0x1.415de3f2b3d72p-16, -0x1.5aa81c72fda44p-16, -0x1.7211b6e2db5e2p-16, -0x1.87b4909fbc816p-16, -0x1.9ba7f3921604p-16, -0x1.adfeba1dd502ap-16, -0x1.bec6c3e4c028ep-16, -0x1.ce0a7f1121d91p-16, -0x1.dbd3d042018b1p-16, -0x1.e82e8cae6d971p-16, -0x1.f3292b6be389dp-16, -0x1.fcd3c134fc595p-16, -0x1.029f1cbe361dap-15, -0x1.063b5f8e3d9d3p-15, -0x1.094495a727945p-15, -0x1.0bbffc21c214cp-15, -0x1.0db30829f5dc6p-15, -0x1.0f23f91fa3abcp-15, -0x1.1019ace735184p-15, -0x1.109b0507f6ca3p-15, -0x1.10ae66cd4f0dcp-15, -0x1.105997be88678p-15, -0x1.0fa1e410584d7p-15, -0x1.0e8c5c8c65ff9p-15, -0x1.0d1e01cfeb8c1p-15, -0x1.0b5bcbd7e80c1p-15, -0x1.094a9381f5b51p-15, -0x1.06eeec9c901fp-15, -0x1.044d0460a988fp-15, -0x1.0168a0da75de2p-15, -0x1.fc8a9d4bd7db8p-16, -0x1.f5cd3fd33907cp-16, -0x1.eea09382283ep-16, -0x1.e70c0dc4f872dp-16, -0x1.df16b92ffb7dap-16, -0x1.d6c716f759083p-16, -0x1.ce239890d16a1p-16, -0x1.c5330fdfd953dp-16, -0x1.bbfc611baba12p-16, -0x1.b285cd4eca687p-16, -0x1.a8d4ab03d51e5p-16, -0x1.9eedb3d6dbc6p-16, -0x1.94d57332e949dp-16, -0x1.8a90863c06fecp-16, -0x1.8023b79f5fda2p-16, -0x1.75941341fc674p-16, -0x1.6ae6e39d3ce0dp-16, -0x1.6021723e0c15p-16, -0x1.5548852ef9ef8p-16, -0x1.4a5fbffef298p-16, -0x1.3f691e9b7f2fap-16, -0x1.3464fb9687427p-16, -0x1.295356a6919edp-16, -0x1.1e361d80dd052p-16, -0x1.131270459e615p-16, -0x1.07ef20e3b22a2p-16, -0x1.f9a2cca65cadcp-17, -0x1.e375f5d2781f1p-17, -0x1.cd58180f33de9p-17, -0x1.b74df66c0f4f1p-17, -0x1.a161eefd7e409p-17, -0x1.8b9d6f13b23dbp-17, -0x1.7603f154dca18p-17, -0x1.6094984f3e299p-17, -0x1.4b4e56bebb1d9p-17, -0x1.363221e00c0c2p-17, -0x1.2142c15a51847p-17, -0x1.0c83c23eaa381p-17, -0x1.eff18e2c02734p-18, -0x1.c74b49b459c01p-18, -0x1.9f1e1c27e4d7p-18, -0x1.77761b32afdf8p-18, -0x1.50611a4b9b408p-18, -0x1.29eb7fcd2fe93p-18, -0x1.041b77620c213p-18, -0x1.bdd5e95331962p-19, -0x1.7489e80777c8p-19, -0x1.2c2258170bd8dp-19, -0x1.c9328158bdb05p-20, -0x1.3c4804464bdb4p-20, -0x1.64003a278af4cp-21, -0x1.5359896ef1a5dp-23, 0x1.6af780a90da31p-22, 0x1.bb26f0a25f65p-21, 0x1.5dcd43713bce2p-20, 0x1.db2241ed2e268p-20, 0x1.2acaa934234b4p-19, 0x1.66ac400af1a7cp-19, 0x1.a14b3096a96e7p-19, 0x1.daaf7f98dc56bp-19, 0x1.096bdd99af42dp-18, 0x1.24df8597f5492p-18, 0x1.3fb091b41e7cap-18, 0x1.59ddf8ee9cb6ap-18, 0x1.7367bbcbc1a9ep-18, 0x1.8c4df38c256f7p-18, 0x1.a48f4a0adef9p-18, 0x1.bc27c6439dc16p-18, 0x1.d3111d3728204p-18, 0x1.e944a0ce916d9p-18, 0x1.febdc62f70638p-18, 0x1.09bf4feb9939fp-17, 0x1.13cbf8bd72349p-17, 0x1.1d9373c4bef35p-17, 0x1.271c5d282e3c4p-17, 0x1.305bdbd2e1c52p-17, 0x1.3945ba09b58fap-17, 0x1.41decbfb5ebedp-17, 0x1.4a325a6b9a8ep-17, 0x1.523dc172204d5p-17, 0x1.59f65601222d9p-17, 0x1.615a7121eab8ap-17, 0x1.6870f2d93c0e5p-17, 0x1.6f4058ccca839p-17, 0x1.75cb811d5e905p-17, 0x1.7c12f9f5f5bb1p-17, 0x1.8216abf5ac375p-17, 0x1.87d6a3379356p-17, 0x1.8d533e54e88b3p-17, 0x1.928d27e529497p-17, 0x1.97854b191d836p-17, 0x1.9c3cc93ed0b78p-17, 0x1.a0b4dda8fd44ep-17, 0x1.a4ee9efa20112p-17, 0x1.a8eaafae6026fp-17, 0x1.aca91f2e09b54p-17, 0x1.b029adf581eeep-17, 0x1.b36c129770d8cp-17, 0x1.b66fa06bfdb11p-17, 0x1.b93402dc44e9p-17, 0x1.bbbdd16ef7e47p-17, 0x1.be16d5fde1599p-17, 0x1.c0414f42abff9p-17, 0x1.c23635463d166p-17, 0x1.c3f6f12bced12p-17, 0x1.c58b6b13584ebp-17, 0x1.c6f03ff081939p-17, 0x1.c81de7cbd254bp-17, 0x1.c9164dfb2a012p-17, 0x1.c9dfbdf2cc61p-17, 0x1.ca7df8b87843bp-17, 0x1.caf21a9c2e358p-17, 0x1.cb3c62a6f55f5p-17, 0x1.cb5d21e98f486p-17, 0x1.cb54ef7f4dda3p-17, 0x1.cb2499cfa8d5ep-17, 0x1.cacd0d734fe6cp-17, 0x1.ca4f42448974dp-17, 0x1.c9ac31d6368a7p-17, 0x1.c8e4d6dfefc4ep-17, 0x1.c7fa31d8eab5cp-17, 0x1.c6ed4b330e194p-17, 0x1.c5bf2b64b1bdp-17, 0x1.c470c8d34038ep-17, 0x1.c302fba0b3388p-17, 0x1.c17690661e988p-17, 0x1.bfcc5e777d635p-17, 0x1.be04cb686028ep-17, 0x1.bc1ed00af015ap-17, 0x1.ba19b4debb26ap-17, 0x1.b7f99be60f304p-17, 0x1.b5c3207d60b5ep-17, 0x1.b3759d8f0694fp-17, 0x1.b112da8ad77f2p-17, 0x1.ae9ba4137ab76p-17, 0x1.ac0b842c9dfe1p-17, 0x1.a96275f05e5c5p-17, 0x1.a6a44e5ed2b41p-17, 0x1.a3d365d82d591p-17, 0x1.a0f06bf562e89p-17, 0x1.9dfba81f07635p-17, 0x1.9af57cec1abf6p-17, 0x1.97de742ad2cd8p-17, 0x1.94b72fe49a7aap-17, 0x1.91805d3420974p-17, 0x1.8e3aac3efc9bep-17, 0x1.8ae6cb98cdfeep-17, 0x1.8785659ae33c1p-17, 0x1.84171f3b9e6bdp-17, 0x1.809c987a887eep-17, 0x1.7d166e648c4ffp-17, 0x1.79853df96b4ffp-17, 0x1.75e9a62a18079p-17, 0x1.724446d9bbffdp-17, 0x1.6e95bc4690be4p-17, 0x1.6ade9b55a9e96p-17, 0x1.671f77f7575p-17, 0x1.6358edec6b5e6p-17, 0x1.5f8b6e43f6822p-17, 0x1.5bb6b5dd9343bp-17, 0x1.57da4a842106dp-17, 0x1.53f7c3b227a54p-17, 0x1.5011536c5ea25p-17, 0x1.4c2794e9d6218p-17, 0x1.483a74294262bp-17, 0x1.44489a3b41bacp-17, }}, 
      {{0x1.42b06111c485bp-3, 0x1.2533d70b8712dp-2, 0x1.7e48a0cc9dfbap-2, 0x1.aa3ba97b84933p-2, 0x1.acb7294081b45p-2, 0x1.8c5abaece608cp-2, 0x1.50db5a32c3705p-2, 0x1.01e620c600232p-2, 0x1.4d0105319fe1ep-3, 0x1.12e4a603c9269p-4, -0x1.e73e802e3a584p-6, -0x1.fc691dce396c7p-4, -0x1.b48f8f04c3dd2p-3, -0x1.2de64bf5a2e71p-2, -0x1.789a41dcb8da7p-2, -0x1.b9a1625c436efp-2, -0x1.f0b3de632ffb3p-2, -0x1.0ef47d1c250c5p-1, -0x1.20cfb4a4cd5d2p-1, -0x1.2e34afb1b5f56p-1, -0x1.377e08d5ccc5dp-1, -0x1.3d1128a87e009p-1, -0x1.3f58f1b11aecp-1, -0x1.3ec19bd988483p-1, -0x1.3bb5914286c52p-1, -0x1.369b2106998c4p-1, -0x1.2fd2e0931d2e9p-1, -0x1.27b69913ab4b9p-1, -0x1.1e98a3687ee65p-1, -0x1.14c399e0d7d4ep-1, -0x1.0a7a4b3de3fb2p-1, -0x1.ffefbc8b95bccp-2, -0x1.eae030d49e0f4p-2, -0x1.d61f7988ea0f9p-2, -0x1.c1f9f5e6a24f3p-2, -0x1.aeafcea9a7311p-2, -0x1.9c75ef4189a71p-2, -0x1.8b770066cf304p-2, -0x1.7bd45eb0433b9p-2, -0x1.6da7095ce826bp-2, -0x1.610086bb42447p-2, -0x1.55ebbc7ddb17ep-2, -0x1.4c6dbaf7ecef2p-2, -0x1.44867abb1595fp-2, -0x1.3e318c6b546e8p-2, -0x1.3966bae21ec14p-2, -0x1.361a9fea84b1dp-2, -0x1.343f2c042faf8p-2, -0x1.33c421b3c30a1p-2, -0x1.349784f826522p-2, -0x1.36a5ff86aec84p-2, -0x1.39db3a75902dep-2, -0x1.3e222e0133a9p-2, -0x1.43656814f3e43p-2, -0x1.498f4a422861ap-2, -0x1.508a3fbeea1fp-2, -0x1.5840ec1a811f6p-2, -0x1.609e532bf1fe2p-2, -0x1.698dfafbae466p-2, -0x1.72fc07e203174p-2, -0x1.7cd553dac2b6ap-2, -0x1.870780a82e456p-2, -0x1.918106cb49801p-2, -0x1.9c313f8f62397p-2, -0x1.a7086d8cb1d2cp-2, -0x1.b1f7c040abbfap-2, -0x1.bcf156815f95bp-2, -0x1.c7e83e9744b74p-2, -0x1.d2d072441fe62p-2, -0x1.dd9ed74af02acp-2, -0x1.e84934937027cp-2, -0x1.f2c632db23ed4p-2, -0x1.fd0d4edba78c5p-2, -0x1.038b6aa448b8fp-1, -0x1.086dece282bap-1, -0x1.0d2b15bf0e347p-1, -0x1.11c02888314dcp-1, -0x1.162abd61a38a9p-1, -0x1.1a68be1500624p-1, -0x1.1e7860d4dc049p-1, -0x1.22582355428d3p-1, -0x1.2606c6b90d4b2p-1, -0x1.29834aef162edp-1, -0x1.2ccceac3442aap-1, -0x1.2fe317ecf1661p-1, -0x1.32c57741fd4aap-1, -0x1.3573dd06cb1ddp-1, -0x1.37ee494e87886p-1, -0x1.3a34e47b4f5aap-1, -0x1.3c47fbdb3e777p-1, -0x1.3e27fe72b31b3p-1, -0x1.3fd579f13a964p-1, -0x1.415117d2b3149p-1, -0x1.429b9aadd3e4bp-1, -0x1.43b5dba389c11p-1, -0x1.44a0c7f162d9ep-1, -0x1.455d5e9f8b186p-1, -0x1.45ecae45c7d49p-1, -0x1.464fd2ed54707p-1, -0x1.4687f40af9f3fp-1, -0x1.4696429583d5fp-1, -0x1.467bf73e2c96bp-1, -0x1.463a50c799605p-1, -0x1.45d2927fa023bp-1, -0x1.454602dd11c59p-1, -0x1.4495ea3c2aa13p-1, -0x1.43c391baf1415p-1, -0x1.42d042335f872p-1, -0x1.41bd434ddb46p-1, -0x1.408bdaaaf4072p-1, -0x1.3f3d4b23b40d7p-1, -0x1.3dd2d41af8411p-1, -0x1.3c4db0e06d56bp-1, -0x1.3aaf1824df839p-1, -0x1.38f83b7cacbp-1, -0x1.372a46f1aaecep-1, -0x1.354660a272f7bp-1, -0x1.334da871523f1p-1, -0x1.314137be0241cp-1, -0x1.2f22212c9b4e1p-1, -0x1.2cf17079fe717p-1, -0x1.2ab02a570befp-1, -0x1.285f4c5166028p-1, -0x1.25ffccc2d3872p-1, -0x1.23929ac7c405dp-1, -0x1.21189e401333cp-1, -0x1.1e92b7d0a3b9bp-1, -0x1.1c01c0ee0b7cbp-1, -0x1.19668bec1c557p-1, -0x1.16c1e40c27fabp-1, -0x1.14148d94fb052p-1, -0x1.115f45eb26e44p-1, -0x1.0ea2c3a88c12bp-1, -0x1.0bdfb6bcc685p-1, -0x1.0916c88b120b2p-1, -0x1.06489c08967d7p-1, -0x1.0375cde26d0d9p-1, -0x1.009ef49f8d899p-1, -0x1.fb894186cac5ep-2, -0x1.f5ceb9eed73a4p-2, -0x1.f00f5c6012b17p-2, -0x1.ea4c27a27870ap-2, -0x1.e4860fb350ffcp-2, -0x1.debdfe12b7e85p-2, -0x1.d8f4d20d6bea7p-2, -0x1.d32b611258dc3p-2, -0x1.cd6277017db12p-2, -0x1.c79ad6737e4ccp-2, -0x1.c1d5390b8428dp-2, -0x1.bc124fc6326f5p-2, -0x1.b652c33d6fcadp-2, -0x1.b09733f37110dp-2, -0x1.aae03aa07c229p-2, -0x1.a52e6873d5063p-2, -0x1.9f82475563b75p-2, -0x1.99dc5a2f8e08fp-2, -0x1.943d1d2fb032p-2, -0x1.8ea505fe9c38p-2, -0x1.89148401d3fefp-2, -0x1.838c009ca966cp-2, -0x1.7e0bdf646c0aap-2, -0x1.78947e551fc7ap-2, -0x1.7326360ebbc5cp-2, -0x1.6dc15a0b5d6d2p-2, -0x1.686638cb29022p-2, -0x1.63151c05ae08p-2, -0x1.5dce48e0680dfp-2, -0x1.5892001b77adep-2, -0x1.53607e37aee71p-2, -0x1.4e39fba38dd76p-2, -0x1.491eacea765dap-2, -0x1.440ec2d9fdf9ap-2, -0x1.3f0a6aa30b78ep-2, -0x1.3a11ce01a8c1bp-2, -0x1.35251365a271ap-2, -0x1.30445e1209012p-2, -0x1.2b6fce398280ep-2, -0x1.26a78120f0946p-2, -0x1.21eb9142d7807p-2, -0x1.1d3c166a2a3d5p-2, -0x1.189925c985f1bp-2, -0x1.1402d218bcd39p-2, -0x1.0f792bb4c8c45p-2, -0x1.0afc40b794689p-2, -0x1.068c1d09c241dp-2, -0x1.0228ca79f1d5bp-2, -0x1.fba4a1b462fbep-3, -0x1.f3116c2fd47e4p-3, -0x1.ea97fc93cbd24p-3, -0x1.e238577e46f76p-3, -0x1.d9f27e2e4e88p-3, -0x1.d1c66eb882783p-3, -0x1.c9b424274a43bp-3, -0x1.c1bb968ad7075p-3, -0x1.b9dcbb141566bp-3, -0x1.b217844452357p-3, -0x1.aa6be21b3484ep-3, -0x1.a2d9c22cd82acp-3, -0x1.9b610fa99edd8p-3, -0x1.9401b37400d83p-3, -0x1.8cbb944c674e8p-3, -0x1.858e96fc01a27p-3, -0x1.7e7a9e678d56p-3, -0x1.777f8b9106cfep-3, -0x1.709d3da4411ffp-3, -0x1.69d3921b50fa1p-3, -0x1.632264e8f235ap-3, -0x1.5c89908f0072dp-3, -0x1.5608ee1e909ccp-3, -0x1.4fa05538f8cbap-3, -0x1.494f9c26eac29p-3, -0x1.431697ffe5da5p-3, -0x1.3cf51cc9253edp-3, -0x1.36eafd7cc03f1p-3, -0x1.30f80c03afc7ap-3, -0x1.2b1c193adeeep-3, -0x1.2556f50e3495dp-3, -0x1.1fa86e9c20c26p-3, -0x1.1a10544b5ba25p-3, -0x1.148e73cb39201p-3, -0x1.0f229a0c5d78bp-3, -0x1.09cc93467cd1ep-3, -0x1.048c2b117140fp-3, -0x1.fec259085759cp-4, -0x1.f496c48d95e5p-4, -0x1.ea952d23d9b41p-4, -0x1.e0bd264db6702p-4, -0x1.d70e42a3ceae4p-4, -0x1.cd8813fb92689p-4, -0x1.c42a2b9cf349cp-4, -0x1.baf41a6766113p-4, -0x1.b1e570d6c7235p-4, -0x1.a8fdbef4fa409p-4, -0x1.a03c9454349c6p-4, -0x1.97a18024a239bp-4, -0x1.8f2c115ef8476p-4, -0x1.86dbd6ec1a68ap-4, -0x1.7eb05fb5d0c67p-4, -0x1.76a93aa04b88ap-4, -0x1.6ec5f67df1749p-4, -0x1.67062212015a8p-4, -0x1.5f694c293130bp-4, -0x1.57ef03bd4213bp-4, -0x1.5096d810a245p-4, -0x1.496058b6c5361p-4, -0x1.424b158cb9b01p-4, -0x1.3b569eb037531p-4, -0x1.3482848336212p-4, -0x1.2dce57bfbb81dp-4, -0x1.2739a99322e2p-4, -0x1.20c40bb36985dp-4, -0x1.1a6d10666c0b4p-4, -0x1.14344a7d2b8c2p-4, -0x1.0e194d4c7c936p-4, -0x1.081bacad5f9a3p-4, -0x1.023afd091a22fp-4, -0x1.f8eda6d952f99p-5, -0x1.ed9d8b34f9562p-5, -0x1.e284d426fe007p-5, -0x1.d7a2b02d03675p-5, -0x1.ccf64f35b63cbp-5, -0x1.c27ee29a760dp-5, -0x1.b83b9d2785e29p-5, -0x1.ae2bb332897d3p-5, -0x1.a44e5ab5c932cp-5, -0x1.9aa2cb64d7546p-5, -0x1.91283eb4600ffp-5, -0x1.87ddefd6a18cbp-5, -0x1.7ec31bb3b5059p-5, -0x1.75d700e6506f2p-5, -0x1.6d18dfc226ab9p-5, -0x1.6487fa62d97d5p-5, -0x1.5c2394bd27396p-5, -0x1.53eaf4aba0469p-5, -0x1.4bdd61f376ebcp-5, -0x1.43fa26421ac09p-5, -0x1.3c408d27b4607p-5, -0x1.34afe4136c454p-5, -0x1.2d477a552bbbcp-5, -0x1.2606a124e81fp-5, -0x1.1eecabac4ae6dp-5, -0x1.17f8ef0ec1ebap-5, -0x1.112ac26d58ea7p-5, -0x1.0a817ee5f58a9p-5, -0x1.03fc7f8f8e096p-5, -0x1.fb3642eb6ebafp-6, -0x1.eeb9872ca0451p-6, -0x1.e2818dc4e1d0cp-6, -0x1.d68d1c83d748ap-6, -0x1.cadafd2ebe853p-6, -0x1.bf69fd85c1a3ap-6, -0x1.b438ef448b802p-6, -0x1.a946a81e2779fp-6, -0x1.9e9201b58d0cbp-6, -0x1.9419d9952b459p-6, -0x1.89dd11283c35cp-6, -0x1.7fda8db74ac83p-6, -0x1.761138679250fp-6, -0x1.6c7ffe3b632d8p-6, -0x1.6325d011dfeb5p-6, -0x1.5a01a2a503543p-6, -0x1.51126e857bf97p-6, -0x1.485730143ac22p-6, -0x1.3fcee77a191ddp-6, -0x1.3778989ea9ff9p-6, -0x1.2f534b1f54bbbp-6, -0x1.275e0a47c969p-6, -0x1.1f97e50bf1f31p-6, -0x1.17ffee0321f24p-6, -0x1.10953b647cd71p-6, -0x1.0956e703dcdbep-6, -0x1.02440e4e338f3p-6, -0x1.f6b7a4882cd44p-7, -0x1.e93aaee2d3dfdp-7, -0x1.dc0f8bc43ec08p-7, -0x1.cf349229c6b32p-7, -0x1.c2a81fdacce55p-7, -0x1.b668995034289p-7, -0x1.aa7469a21ad53p-7, -0x1.9eca027db7975p-7, -0x1.9367dc22d913ap-7, -0x1.884c75650aa3ap-7, -0x1.7d7653aacc7c8p-7, -0x1.72e402e455e31p-7, -0x1.68941576408e7p-7, -0x1.5e852417853a9p-7, -0x1.54b5cda71059dp-7, -0x1.4b24b6ffefe62p-7, -0x1.41d08ad50a8fdp-7, -0x1.38b7f99b6974cp-7, -0x1.2fd9b98673eebp-7, -0x1.27348693e942cp-7, -0x1.1ec7229f9539cp-7, -0x1.1690557339112p-7, -0x1.0e8eecc751a41p-7, -0x1.06c1bc2c7fcfap-7, -0x1.fe4f39b8a974ep-8, -0x1.ef7edaf047b51p-8, -0x1.e1102384860e8p-8, -0x1.d300e4c40e4b8p-8, -0x1.c54ef980d189bp-8, -0x1.b7f8460b3fcfep-8, -0x1.aafab86c946b7p-8, -0x1.9e5448ca9c1acp-8, -0x1.9202f9d062e08p-8, -0x1.8604d8f25313ep-8, -0x1.7a57fe6b03b16p-8, -0x1.6efa8ce0a6fa9p-8, -0x1.63eab0b9d29d8p-8, -0x1.59269f4255dccp-8, -0x1.4eac95d054ad2p-8, -0x1.447ad91e5ff3ap-8, -0x1.3a8fb504fd81ep-8, -0x1.30e97ca5e3f71p-8, -0x1.27868afdc72cfp-8, -0x1.1e6543b334a37p-8, -0x1.158413e5fa20bp-8, -0x1.0ce172bd363acp-8, -0x1.047be17f3ec34p-8, -0x1.f8a3d6349feb2p-9, -0x1.e8c446547c3f2p-9, -0x1.d95649556dfebp-9, -0x1.ca57213fb42e9p-9, -0x1.bbc41a0c2eaeep-9, -0x1.ad9a8899e996p-9, -0x1.9fd7cb01bf4cdp-9, -0x1.92794a3a5ff13p-9, -0x1.857c7ca8e1dd1p-9, -0x1.78dee8f9106cfp-9, -0x1.6c9e287c0f4fep-9, -0x1.60b7e860032d2p-9, -0x1.5529e953653d8p-9, -0x1.49f1fd8420c9bp-9, -0x1.3f0e055143ef8p-9, -0x1.347beb5c6c9bdp-9, -0x1.2a39a0d81bdbp-9, -0x1.20451aea6554fp-9, -0x1.169c51c494522p-9, -0x1.0d3d41add81c6p-9, -0x1.0425edcd0b5b9p-9, -0x1.f6a8c829754bep-10, -0x1.e58d82d4867p-10, -0x1.d4f66a1941c4fp-10, -0x1.c4e004c15eee3p-10, -0x1.b547013e7f8bap-10, -0x1.a62830adf8f76p-10, -0x1.97807e62263p-10, -0x1.894ce5a121ecep-10, -0x1.7b8a67b8478b3p-10, -0x1.6e36048291df6p-10, -0x1.614cb6fdb5103p-10, -0x1.54cb76b0b5b6cp-10, -0x1.48af3d9e2b985p-10, -0x1.3cf511862831ap-10, -0x1.319a0e8433baap-10, -0x1.269b70c99db53p-10, -0x1.1bf69b5923bc6p-10, -0x1.11a91a404542bp-10, -0x1.07b09fb1dbde3p-10, -0x1.fc15f8e31cef1p-11, -0x1.e96c29f935ed5p-11, -0x1.d75fab17ece35p-11, -0x1.c5ec4e9fe4bd4p-11, -0x1.b50dd2056282ap-11, -0x1.a4bfd87aa006p-11, -0x1.94fdf004bdfccp-11, -0x1.85c39fcb87087p-11, -0x1.770c7cb62e8a8p-11, -0x1.68d44045a347dp-11, -0x1.5b16dd45cbcep-11, -0x1.4dd08e6624048p-11, -0x1.40fddbeaf9ec6p-11, -0x1.349b97519a75cp-11, -0x1.28a6cda0491f6p-11, -0x1.1d1cb2e34fb11p-11, -0x1.11fa8aab61499p-11, -0x1.073d91f3b77b6p-11, -0x1.f9c5dcfdc1b4fp-12, -0x1.e5cf4d112fa1dp-12, -0x1.d29143e813e48p-12, -0x1.c0056887f21fdp-12, -0x1.ae255a3e61c25p-12, -0x1.9cead855ec02dp-12, -0x1.8c4fe9586bfc2p-12, -0x1.7c4efb43cec6cp-12, -0x1.6ce2f77fde76ep-12, -0x1.5e07477c5ac8cp-12, -0x1.4fb7c964924c9p-12, -0x1.41f0b6f9391b1p-12, -0x1.34ae830076a8dp-12, -0x1.27edb36859875p-12, -0x1.1baabec379be9p-12, -0x1.0fe1f300db1bcp-12, -0x1.048f694152bf8p-12, -0x1.f35e0fdcc502ep-13, -0x1.de7922ff3dbd7p-13, -0x1.ca6778873ea1ap-13, -0x1.b7209ce77af2ep-13, -0x1.a49c7376f613fp-13, -0x1.92d364052f9cdp-13, -0x1.81be78bdda35dp-13, -0x1.71576907ca52ap-13, -0x1.619891090b635p-13, -0x1.527cd8536b1e6p-13, -0x1.43ff8c57bfb1p-13, -0x1.361c3497ef666p-13, -0x1.28ce6717dbc63p-13, -0x1.1c11a3657d205p-13, -0x1.0fe13987815b1p-13, -0x1.0438401e1a0c7p-13, -0x1.f223348c461ffp-14, -0x1.dcd015f084e08p-14, -0x1.c86ca2e83c3d7p-14, -0x1.b4ee91f109516p-14, -0x1.a24c0bb177c23p-14, -0x1.907bd57f13ddfp-14, -0x1.7f7565c557f9ep-14, -0x1.6f30e1d3de888p-14, -0x1.5fa70ab3e0463p-14, -0x1.50d1224a9012cp-14, -0x1.42a8d12badbb5p-14, -0x1.352810bc240bdp-14, -0x1.28491818d5163p-14, -0x1.1c0647fd4d969p-14, -0x1.105a13f70ca18p-14, -0x1.053eeb951905bp-14, -0x1.f55e53c194362p-15, -0x1.e14a2393b0c68p-15, -0x1.ce35b632cdafbp-15, -0x1.bc159bd7a929ep-15, -0x1.aadec951190b9p-15, -0x1.9a86d0d8d5bafp-15, -0x1.8b03f8d067596p-15, -0x1.7c4d25d9a9dep-15, -0x1.6e59a1b478137p-15, -0x1.6120da8efb1c4p-15, -0x1.549a3c1194e3ap-15, -0x1.48bd3806fa29dp-15, -0x1.3d817be9ce074p-15, -0x1.32df38ce6d686p-15, -0x1.28cf58d14f0e1p-15, -0x1.1f4b8649b208ap-15, -0x1.164e000c5662bp-15, -0x1.0dd14e9c0edb9p-15, -0x1.05cffc5ac038ep-15, -0x1.fc88e12d15f34p-16, -0x1.ee51f7f1090f6p-16, -0x1.e0f0192b5b9c1p-16, -0x1.d458d75ad2726p-16, -0x1.c882c2bf1b1fap-16, -0x1.bd654dc6271cap-16, -0x1.b2f84f9499928p-16, -0x1.a9335742e34dep-16, -0x1.a00d1d5a1e38ep-16, -0x1.977b59b7fd084p-16, -0x1.8f731bd899e76p-16, -0x1.87e98c51a7613p-16, -0x1.80d4cfd5808edp-16, -0x1.7a2cb336364a2p-16, -0x1.73eadca04d91dp-16, -0x1.6e0a7155a93acp-16, -0x1.68875afcdbb5ep-16, -0x1.635d80eb2769fp-16, -0x1.5e884b6f530bfp-16, -0x1.5a029ea88d24bp-16, -0x1.55c73ca4a86fcp-16, -0x1.51d14c7351724p-16, -0x1.4e1cb80408bc8p-16, -0x1.4aa62f0b93fc6p-16, -0x1.476acd8406553p-16, -0x1.44678eeecfc8bp-16, -0x1.4198caa8f59cfp-16, -0x1.3ef9edc10e42cp-16, -0x1.3c858bb894468p-16, -0x1.3a35c0f234e85p-16, -0x1.3804ca052d68dp-16, -0x1.35eda49f47c0ap-16, -0x1.33ec8764035cbp-16, -0x1.31ff03fdce557p-16, -0x1.3023c168cfcaep-16, -0x1.2e59e891af488p-16, -0x1.2ca0852491354p-16, -0x1.2af622ca4cdd8p-16, -0x1.2958cbfb22b89p-16, -0x1.27c658af04dffp-16, -0x1.263cd4ee84d2cp-16, -0x1.24bac600a4ad9p-16, -0x1.233f3082c4307p-16, -0x1.21c9641311006p-16, -0x1.2058aadde151cp-16, -0x1.1eec045b659dep-16, -0x1.1d8206d72f57dp-16, -0x1.1c18e9fe48883p-16, -0x1.1aaea9daefccbp-16, -0x1.1941322e85deap-16, -0x1.17ce8de03edeep-16, -0x1.16551a88876f1p-16, -0x1.14d3b6d45a161p-16, -0x1.1349d6b599bbfp-16, -0x1.11b76aa9deda4p-16, -0x1.101c9db295e57p-16, -0x1.0e7988f1ab6c6p-16, -0x1.0cce04819e137p-16, -0x1.0b19a909a732ap-16, -0x1.095bf5ef28f69p-16, -0x1.07947f10bf056p-16, -0x1.05c309ccf101ap-16, -0x1.03e78ef9a6ea8p-16, -0x1.020223fb3cf9fp-16, -0x1.0012d8f39b96ap-16, -0x1.fc33418c19ebp-17, -0x1.f82ca02a25305p-17, -0x1.f4115bed9f5c4p-17, -0x1.efe10c25c3786p-17, -0x1.eb9b60f8829a9p-17, -0x1.e7401f9e0d6e8p-17, -0x1.e2cf1bfbc53ep-17, -0x1.de483e23864b7p-17, -0x1.d9ab94b4b20fbp-17, -0x1.d4f9676faff4ap-17, -0x1.d032399aa16b7p-17, -0x1.cb56b50c1d642p-17, -0x1.c66787fc8ae83p-17, -0x1.c1654a728ee9p-17, -0x1.bc5078ba0d5a2p-17, -0x1.b7297fd58028dp-17, -0x1.b1f0d0979e9cfp-17, -0x1.aca6eed3a1bebp-17, -0x1.a74c743efc167p-17, -0x1.a1e2045ab2384p-17, -0x1.9c683ba456f21p-17, -0x1.96dfa92c44a43p-17, -0x1.9148d6464182cp-17, -0x1.8ba452617ab13p-17, -0x1.85f2b945390dp-17, -0x1.8034b20036fc6p-17, -0x1.7a6aea51f1089p-17, -0x1.7496123f15b0bp-17, -0x1.6eb6d972f0d81p-17, -0x1.68cdee65231bcp-17, -0x1.62dbfe94fbe35p-17, -0x1.5ce1b737b0b45p-17, -0x1.56dfc5dea4803p-17, -0x1.50d6d89733446p-17, -0x1.4ac79d6c645b2p-17, -0x1.44b2c19096a92p-17, -0x1.3e98f0d97f9fp-17, -0x1.387ad5cf37475p-17, -0x1.325919fd74f63p-17, -0x1.2c3465a75c6e8p-17, -0x1.260d5eb5d0b74p-17, -0x1.1fe4a81cb909ep-17, -0x1.19bae2ee78ffp-17, -0x1.1390b029f60d2p-17, -0x1.0d66b179e22ap-17, -0x1.073d883511723p-17, -0x1.0115d3788396cp-17, -0x1.f5e05d1b5cd4ep-18, -0x1.e99a613253fc4p-18, -0x1.dd5adbc9ebad8p-18, -0x1.d122f3bcda389p-18, -0x1.c4f3cfefbc567p-18, -0x1.b8ce9480f79bp-18, -0x1.acb45bbb59e9dp-18, -0x1.a0a62c7da7ab3p-18, -0x1.94a4f26bf0706p-18, -0x1.88b183914f75bp-18, -0x1.7cccbaa95991ep-18, -0x1.70f792eb12b44p-18, -0x1.6533244bd87d9p-18, -0x1.59807b4a7c9dfp-18, -0x1.4de073e33e3d5p-18, -0x1.4253c8976661ap-18, -0x1.36db498087307p-18, -0x1.2b77eeccc75e1p-18, -0x1.202aaad209dcbp-18, -0x1.14f43e06f105ap-18, -0x1.09d53e92ba73p-18, -0x1.fd9c7379c3a4fp-19, -0x1.e7bf90136e694p-19, -0x1.d21518a3969aep-19, -0x1.bc9e532bba5d2p-19, -0x1.a75c7859cecbfp-19, -0x1.9250b9f7bb63cp-19, -0x1.7d7c5ac11f934p-19, -0x1.68e0c4173588fp-19, -0x1.547f7fe181601p-19, -0x1.405a0cfb447f7p-19, -0x1.2c7195710b26p-19, -0x1.18c68cdde686ap-19, -0x1.05587198e76dep-19, -0x1.e44cbfebe180ep-20, -0x1.be611895c9ebp-20, -0x1.98f1f49b27a53p-20, -0x1.740430371218ap-20, -0x1.4f997d5c53ffbp-20, -0x1.2bb08d0b2ad35p-20, -0x1.08494b50b0a0fp-20, -0x1.cacda281fe963p-21, -0x1.8618c838933b3p-21, -0x1.427574de83bap-21, -0x1.ffc318b6aa026p-22, -0x1.7cb64ac03d822p-22, -0x1.f788136b68c39p-23, -0x1.f3b9980527295p-24, -0x1.c264703f6adf2p-33, 0x1.e96eab8b2168fp-24, 0x1.e597a84978703p-23, 0x1.69176f4b1f8a9p-22, 0x1.dd3dfe5434cd8p-22, 0x1.279f06ef0c0cbp-21, 0x1.5f8a11aa98795p-21, 0x1.965d6c7f317cap-21, 0x1.cc163293e7f67p-21, 0x1.00592e1865e75p-20, 0x1.1a19420384e08p-20, 0x1.334e9234af22fp-20, 0x1.4bff059493c73p-20, 0x1.642d9a8853d49p-20, 0x1.7bd63c0334cd6p-20, 0x1.92f3fae146678p-20, 0x1.a988e9da3e9d9p-20, 0x1.bf9a1d1b82491p-20, 0x1.d526e45ab7829p-20, 0x1.ea2ae9d19f47cp-20, 0x1.fea59b77f2b42p-20, 0x1.094d1ede03816p-19, 0x1.130609cf32449p-19, 0x1.1c7e6c8595282p-19, 0x1.25b6a3334e74p-19, 0x1.2eaee5a1cf23fp-19, 0x1.376775208508dp-19, 0x1.3fe0a80ff337bp-19, 0x1.481ae91bf2fc2p-19, 0x1.5016b58825ec4p-19, 0x1.57d49bbe4046ep-19, 0x1.5f55348099e07p-19, 0x1.6699112dafe5cp-19, 0x1.6da0a392013d9p-19, 0x1.746c32e746a01p-19, 0x1.7afbef7b35039p-19, 0x1.81500ab7fed83p-19, 0x1.87689fff1ebf2p-19, 0x1.8d45e3824d39dp-19, 0x1.92e973acf4b82p-19, 0x1.985681a65cc43p-19, 0x1.9d8e13478cdcp-19, 0x1.a28e5ea3c3d26p-19, 0x1.a758239a8e5e4p-19, 0x1.abee36f51498cp-19, 0x1.b04ff0fac84d5p-19, 0x1.b47b3feea44e3p-19, 0x1.b87104b2f0c5ep-19, 0x1.bc33968af0211p-19, 0x1.bfc489bf5930fp-19, 0x1.c3249a5ae964cp-19, 0x1.c6543b0b7aad2p-19, 0x1.c953e3cc0a1c7p-19, 0x1.cc24246b807d4p-19, 0x1.cec5a078c7ba9p-19, 0x1.d13906f1bfe18p-19, 0x1.d37f0b848a1b4p-19, 0x1.d59863002dc07p-19, 0x1.d785c330444e9p-19, 0x1.d947e4f22eb34p-19, 0x1.dadf858755c61p-19, 0x1.dc4d63a407385p-19, 0x1.dd9237dd09b83p-19, 0x1.deaeaef8e3bb4p-19, 0x1.dfa371748373p-19, 0x1.e0712e856dd87p-19, 0x1.e1186a54a35c4p-19, 0x1.e1990ef2e3f4ep-19, 0x1.e1f31adffe34dp-19, 0x1.e228976b484a6p-19, 0x1.e23bd4c5e9cf7p-19, 0x1.e22ce8ce2c52fp-19, 0x1.e1fcfc059f18fp-19, 0x1.e1accb7a79b6bp-19, 0x1.e13aa6509f12fp-19, 0x1.e0a6cdb9dda76p-19, 0x1.dff3501fb6932p-19, 0x1.df2198efb72dp-19, 0x1.de324ffb34758p-19, 0x1.dd25ea12b4517p-19, 0x1.dbfce73cac7cep-19, 0x1.dab7d9ba67d8ap-19, 0x1.d9575fada91p-19, 0x1.d7dc1d1b418a2p-19, 0x1.d646b80cfd6c3p-19, 0x1.d497d61dadfd1p-19, 0x1.d2d01adc6d009p-19, 0x1.d0f026f0779b3p-19, 0x1.cef8982b679ebp-19, 0x1.ccea0ab7472b9p-19, 0x1.cac51b02bf734p-19, 0x1.c88a674988916p-19, 0x1.c63a8f3cfd08dp-19, 0x1.c3d6312949bbbp-19, 0x1.c15de7335c9d7p-19, 0x1.bed24b01de984p-19, 0x1.bc33fc0c3f095p-19, 0x1.b983802eb0a4cp-19, 0x1.b6c0e69efd95bp-19, 0x1.b3ec10552c983p-19, 0x1.b106396fa37a7p-19, 0x1.ae1116555a7dbp-19, 0x1.ab0d54656593ep-19, 0x1.a7fb2686785c7p-19, 0x1.a4d9ccb7d5184p-19, }}, 
      {{-0x1.0da2884c77e8bp+2, -0x1.fc3a4e375865cp+1, -0x1.d6b0bb58caac6p+1, -0x1.b0ddc08220555p+1, -0x1.8e13e4c518ec3p+1, -0x1.6fd94aed08a4dp+1, -0x1.569d32aeef9a2p+1, -0x1.422dc401179e5p+1, -0x1.3203e873ca87ep+1, -0x1.257357bc8bb32p+1, -0x1.1bc8265ff5d64p+1, -0x1.1458050bad537p+1, -0x1.0e8b6d1cc2ea3p+1, -0x1.09e1930418017p+1, -0x1.05f11947daa13p+1, -0x1.0266d78aee735p+1, -0x1.fe0734eac00b7p+0, -0x1.f732e200d57ap+0, -0x1.f011c6cc97891p+0, -0x1.e87c93f072796p+0, -0x1.e05ec1845d803p+0, -0x1.d7b24ae14010ap+0, -0x1.ce7c06cbcc3fp+0, -0x1.c4c898106e2cep+0, -0x1.baa9eb7367c8cp+0, -0x1.b03533f85e57cp+0, -0x1.a5815504a6ea7p+0, -0x1.9aa5a9f08f56cp+0, -0x1.8fb91b9ec37a9p+0, -0x1.84d17633439c4p+0, -0x1.7a02f2b641997p+0, -0x1.6f5fea23a2dap+0, -0x1.64f8a9053dfd8p+0, -0x1.5adb5c2f13bd5p+0, -0x1.511410842cd9p+0, -0x1.47acc0cf3d08ap+0, -0x1.3ead6db4597d9p+0, -0x1.361c3c943d29fp+0, -0x1.2dfd9ae884247p+0, -0x1.2654642f95c9fp+0, -0x1.1f2208f2148fep+0, -0x1.1866b5c7ac355p+0, -0x1.12217989b35aap+0, -0x1.0c506a1b5b823p+0, -0x1.06f0c75c0b4aep+0, -0x1.01ff1bfbd9e1ap+0, -0x1.faeeb80ae789p-1, -0x1.f2aa020c80c5bp-1, -0x1.eb26479bf6d61p-1, -0x1.e459279709f75p-1, -0x1.de37d82bead39p-1, -0x1.d8b74c6f914f3p-1, -0x1.d3cc55af25088p-1, -0x1.cf6bc0b7f31c5p-1, -0x1.cb8a6f5854577p-1, -0x1.c81d6e570ebabp-1, -0x1.c51a082b69a98p-1, -0x1.c275d4b1b3a0ep-1, -0x1.c026c62f378bep-1, -0x1.be2333c90a85ap-1, -0x1.bc61e1cecc03dp-1, -0x1.bada07d0c2453p-1, -0x1.b9835533a531ep-1, -0x1.b855f3d1e2f12p-1, -0x1.b74a89bc12ffdp-1, -0x1.b65a391a23df7p-1, -0x1.b57e9f65d0cf2p-1, -0x1.b4b1d3b12a838p-1, -0x1.b3ee6383f7093p-1, -0x1.b32f51107f0b2p-1, -0x1.b2700da2f54p-1, -0x1.b1ac77bd953cap-1, -0x1.b0e0d45e1d7f3p-1, -0x1.b009cb89d37dbp-1, -0x1.af2463389041ep-1, -0x1.ae2df98ce9b31p-1, -0x1.ad24418e5ea7bp-1, -0x1.ac053ca9f5e01p-1, -0x1.aacf36be02719p-1, -0x1.a980c0cb7b90ep-1, -0x1.a818abf608e96p-1, -0x1.a696052fa3907p-1, -0x1.a4f8109e3ed4p-1, -0x1.a33e459804d03p-1, -0x1.a1684ab56451dp-1, -0x1.9f75f20de337dp-1, -0x1.9d6735991c423p-1, -0x1.9b3c33a8cda1p-1, -0x1.98f52b885dac2p-1, -0x1.96927a41dc5d6p-1, -0x1.94149794241f8p-1, -0x1.917c131aaed34p-1, -0x1.8ec991a644742p-1, -0x1.8bfdcac68c99cp-1, -0x1.8919867a424cbp-1, -0x1.861d9b043fb06p-1, -0x1.830aeadfbc164p-1, -0x1.7fe262cea3944p-1, -0x1.7ca4f80500525p-1, -0x1.7953a66f05794p-1, -0x1.75ef6f1398837p-1, -0x1.7279569774b94p-1, -0x1.6ef263df267e1p-1, -0x1.6b5b9ed1a680cp-1, -0x1.67b60f3c5653fp-1, -0x1.6402bbd46642cp-1, -0x1.6042a95505642p-1, -0x1.5c76d9b85ca8p-1, -0x1.58a04b870727p-1, -0x1.54bff93bfde22p-1, -0x1.50d6d8bc042b8p-1, -0x1.4ce5dadc89a46p-1, -0x1.48edeaf99bffap-1, -0x1.44efee9a66215p-1, -0x1.40ecc52219b6fp-1, -0x1.3ce5478dbff61p-1, -0x1.38da483d4014ep-1, -0x1.34cc92c92830ep-1, -0x1.30bcebe1bceebp-1, -0x1.2cac113886c53p-1, -0x1.289ab9746efb3p-1, -0x1.2489942bd3a6p-1, -0x1.207949e8a2cb1p-1, -0x1.1c6a7c31bb453p-1, -0x1.185dc599b77c1p-1, -0x1.1453b9d4ff57bp-1, -0x1.104ce5d0b3af6p-1, -0x1.0c49cfcfac364p-1, -0x1.084af78abfa15p-1, -0x1.0450d6502c623p-1, -0x1.005bdf2917d3ep-1, -0x1.f8d8fdfe2b872p-2, -0x1.f1063981ed2fbp-2, -0x1.e9403319e4344p-2, -0x1.e187a1b1b638cp-2, -0x1.d9dd3134683bdp-2, -0x1.d24182e58e9b2p-2, -0x1.cab52db4716c1p-2, -0x1.c338be8f135cfp-2, -0x1.bbccb8bd0a232p-2, -0x1.b471963384e2ap-2, -0x1.ad27c7e7f08b4p-2, -0x1.a5efb62981253p-2, -0x1.9ec9c0f44491dp-2, -0x1.97b64040ccba2p-2, -0x1.90b58459eea62p-2, -0x1.89c7d62d41f8fp-2, -0x1.82ed7795e4cd1p-2, -0x1.7c26a3ac6e034p-2, -0x1.75738f13ef106p-2, -0x1.6ed4683ef6104p-2, -0x1.684957b7c8eb2p-2, -0x1.61d2806934b2p-2, -0x1.5b6fffde77ac4p-2, -0x1.5521ee82738e4p-2, -0x1.4ee85fe2c7cdep-2, -0x1.48c362ec4ba36p-2, -0x1.42b30221aafcap-2, -0x1.3cb743d632cd8p-2, -0x1.36d02a67abec5p-2, -0x1.30fdb46f9d264p-2, -0x1.2b3fdcf3e00aep-2, -0x1.25969b9b5a874p-2, -0x1.2001e4ddcd574p-2, -0x1.1a81aa2cc6c45p-2, -0x1.1515da1eed485p-2, -0x1.0fbe609d7cb3ap-2, -0x1.0a7b270b7066fp-2, -0x1.054c14680fcc2p-2, -0x1.00310d74be6fbp-2, -0x1.f653e9b6cb315p-3, -0x1.ec6d569d472abp-3, -0x1.e2ae1f4dd1528p-3, -0x1.d915fe0591502p-3, -0x1.cfa4a9ce58ebp-3, -0x1.c659d6b3b0544p-3, -0x1.bd3535f32e411p-3, -0x1.b4367632d0b29p-3, -0x1.ab5d43b74dd2cp-3, -0x1.a2a9488fe055dp-3, -0x1.9a1a2cbd16aa2p-3, -0x1.91af965db1c98p-3, -0x1.896929dd68b4bp-3, -0x1.81468a1a14f1ep-3, -0x1.7947588159939p-3, -0x1.716b35335acb4p-3, -0x1.69b1bf2b85febp-3, -0x1.621a9462efa22p-3, -0x1.5aa551e7678dep-3, -0x1.535193f281e56p-3, -0x1.4c1ef60a03f66p-3, -0x1.450d13220561dp-3, -0x1.3e1b85b40552cp-3, -0x1.3749e7cccde04p-3, -0x1.3097d31f4a119p-3, -0x1.2a04e121959abp-3, -0x1.2390ab28ff6fap-3, -0x1.1d3aca797e3fbp-3, -0x1.1702d84d2e02p-3, -0x1.10e86de247925p-3, -0x1.0aeb2493e78d8p-3, -0x1.050a95f22fd0bp-3, -0x1.fe8cb79c3ef9bp-4, -0x1.f33c2078b5223p-4, -0x1.e8229b39954cfp-4, -0x1.dd3f5d5b7bedp-4, -0x1.d2919d43c46edp-4, -0x1.c8189258b626ep-4, -0x1.bdd3750305967p-4, -0x1.b3c17eaf5934fp-4, -0x1.a9e1e9e479f4bp-4, -0x1.a033f2691d33cp-4, -0x1.96b6d56181bccp-4, -0x1.8d69d155bb652p-4, -0x1.844c262add826p-4, -0x1.7b5d1525de7d7p-4, -0x1.729be102f8af2p-4, -0x1.6a07ce150af7dp-4, -0x1.61a02257ef39p-4, -0x1.5964256e58f9bp-4, -0x1.515320980cccep-4, -0x1.496c5eb3a95d4p-4, -0x1.41af2c522b412p-4, -0x1.3a1ad7cfde3d2p-4, -0x1.32aeb1616a05ep-4, -0x1.2b6a0b0f6b4b2p-4, -0x1.244c38ab1273ep-4, -0x1.1d548fcbacf03p-4, -0x1.168267db64ed3p-4, -0x1.0fd51a2ad1799p-4, -0x1.094c01fcf5f13p-4, -0x1.02e67c84bce2p-4, -0x1.f947d1b314ef1p-5, -0x1.ed074fdecfb35p-5, -0x1.e10a3936445acp-5, -0x1.d54f573f48148p-5, -0x1.c9d5777410d98p-5, -0x1.be9b6b472b15dp-5, -0x1.b3a00812d9c23p-5, -0x1.a8e2270320fb6p-5, -0x1.9e60a50c61827p-5, -0x1.941a62f4d8543p-5, -0x1.8a0e45679674dp-5, -0x1.803b3500a84a6p-5, -0x1.76a01e48a8ad3p-5, -0x1.6d3bf1a2c2eb2p-5, -0x1.640da3392b14ep-5, -0x1.5b142af4149e5p-5, -0x1.524e847e4710cp-5, -0x1.49bbaf4ffd7a2p-5, -0x1.415aaeb4d1d16p-5, -0x1.392a89c5e3dep-5, -0x1.312a4b5a0a4ffp-5, -0x1.295901f3c3dfcp-5, -0x1.21b5bfb573e05p-5, -0x1.1a3f9a5f3f7b4p-5, -0x1.12f5ab52fb422p-5, -0x1.0bd70f96ba512p-5, -0x1.04e2e7d05aaf8p-5, -0x1.fc30b07290fdp-6, -0x1.eeed111cdd5cep-6, -0x1.e1f94803d41eap-6, -0x1.d553b2652d10fp-6, -0x1.c8fab452ba42ap-6, -0x1.bcecb8b0ea9c9p-6, -0x1.b1283130294adp-6, -0x1.a5ab963c4c9c8p-6, -0x1.9a7566e33646dp-6, -0x1.8f8428b85227fp-6, -0x1.84d667bbb7505p-6, -0x1.7a6ab648d997cp-6, -0x1.703fad0c076b9p-6, -0x1.6653eaf9c298dp-6, -0x1.5ca61542d5d04p-6, -0x1.5334d742916c2p-6, -0x1.49fee267b8af3p-6, -0x1.4102ee1b50797p-6, -0x1.383fb7a8e50dp-6, -0x1.2fb4022b2d47fp-6, -0x1.275e967cf852dp-6, -0x1.1f3e432c0fa1ap-6, -0x1.1751dc6b1ba0fp-6, -0x1.0f983c00a6379p-6, -0x1.08104132deef2p-6, -0x1.00b8d0b173ef8p-6, -0x1.f321a8fe2fe2cp-7, -0x1.e52e77b9a05c7p-7, -0x1.d795f66fa8861p-7, -0x1.ca561832ed9a4p-7, -0x1.bd6cda2f73755p-7, -0x1.b0d8438a195ep-7, -0x1.a496653d4bdbfp-7, -0x1.98a559f2ba5a4p-7, -0x1.8d0345db3dc3p-7, -0x1.81ae568656f55p-7, -0x1.76a4c2bb7ada2p-7, -0x1.6be4ca55e4751p-7, -0x1.616cb622e5e82p-7, -0x1.573ad7c16f169p-7, -0x1.4d4d8981aacc6p-7, -0x1.43a32e43eb8ep-7, -0x1.3a3a31569c33fp-7, -0x1.311106530e778p-7, -0x1.282628f948cabp-7, -0x1.1f781d0ba5e2dp-7, -0x1.17056e2ae6665p-7, -0x1.0eccafb3b0857p-7, -0x1.06cc7c9d8583cp-7, -0x1.fe06eeb665158p-8, -0x1.eee0937989e07p-8, -0x1.e02349a4bc842p-8, -0x1.d1cc819e5119bp-8, -0x1.c3d9b9d6c8c69p-8, -0x1.b6487e897c36dp-8, -0x1.a9166979991f4p-8, -0x1.9c4121acd1364p-8, -0x1.8fc65b263a6f4p-8, -0x1.83a3d6a458734p-8, -0x1.77d76164c19f7p-8, -0x1.6c5ed4eec6fafp-8, -0x1.613816e4abbc3p-8, -0x1.566118d846814p-8, -0x1.4bd7d81eed42dp-8, -0x1.419a5d9fb95f2p-8, -0x1.37a6bd99cc31dp-8, -0x1.2dfb1761f3801p-8, -0x1.2495951b1e75p-8, -0x1.1b746b6ed4decp-8, -0x1.1295d94c32b89p-8, -0x1.09f827b2724a9p-8, -0x1.0199a9893c0aep-8, -0x1.f2f17709a978bp-9, -0x1.e3278820a6525p-9, -0x1.d3d2666aaf857p-9, -0x1.c4ef04f2c2e3ep-9, -0x1.b67a6955fb92ep-9, -0x1.a871ab3c8d7a9p-9, -0x1.9ad1f3bb4d69cp-9, -0x1.8d987cafbf798p-9, -0x1.80c2902dc7bep-9, -0x1.744d88123690ap-9, -0x1.6836cdc53f892p-9, -0x1.5c7bda29bce0ap-9, -0x1.511a35a97d266p-9, -0x1.460f7844d2ae7p-9, -0x1.3b594988729f9p-9, -0x1.30f560522f322p-9, -0x1.26e1825a75c08p-9, -0x1.1d1b838824dd2p-9, -0x1.13a1452662a4bp-9, -0x1.0a70b51d92743p-9, -0x1.0187cd53a7fcfp-9, -0x1.f1c9269f5b10dp-10, -0x1.e10a3057ba008p-10, -0x1.d0cef19a6e9c2p-10, -0x1.c113bc8677c26p-10, -0x1.b1d4fc4d01139p-10, -0x1.a30f3593df382p-10, -0x1.94bf0638695dbp-10, -0x1.86e124541ca84p-10, -0x1.79725c96e3e7ep-10, -0x1.6c6f903949c28p-10, -0x1.5fd5b2ea01692p-10, -0x1.53a1c9220069cp-10, -0x1.47d0e735f0cp-10, -0x1.3c6031513e315p-10, -0x1.314cdc4d8321dp-10, -0x1.26942f2101503p-10, -0x1.1c33847604d18p-10, -0x1.12284becd08fep-10, -0x1.08700a9940bf7p-10, -0x1.fe10b4f2471b1p-11, -0x1.ebddd1bbabac5p-11, -0x1.da42e80bbb07p-11, -0x1.c93b90b274b3bp-11, -0x1.b8c37bafb47f7p-11, -0x1.a8d66c84ebc72p-11, -0x1.997038c1b8cc4p-11, -0x1.8a8cc90f9caeep-11, -0x1.7c281c6f39d44p-11, -0x1.6e3e4cd76b7bp-11, -0x1.60cb940c3348dp-11, -0x1.53cc4f70c850ep-11, -0x1.473d01c80d4a6p-11, -0x1.3b1a5248878acp-11, -0x1.2f6108fee8dc1p-11, -0x1.240e0915901adp-11, -0x1.191e4a16b754ep-11, -0x1.0e8ed17d7c9e5p-11, -0x1.045cade353354p-11, -0x1.f509e97eb5c81p-12, -0x1.e20986464e024p-12, -0x1.cfb28279e8254p-12, -0x1.bdff4fa1ae5e4p-12, -0x1.acea8ce0b35d9p-12, -0x1.9c6f121e377aep-12, -0x1.8c87f762b183cp-12, -0x1.7d3096a4e614p-12, -0x1.6e64876533e7ap-12, -0x1.601f94b8fbc5ep-12, -0x1.525daf959fdc5p-12, -0x1.451adff143c63p-12, -0x1.3853379478c29p-12, -0x1.2c02c918553b3p-12, -0x1.2025a4ad46ec3p-12, -0x1.14b7db1830188p-12, -0x1.09b5861522fdfp-12, -0x1.fe35a89d60765p-13, -0x1.e9c82cec60fb9p-13, -0x1.d61b95c97a153p-13, -0x1.c3294afef0716p-13, -0x1.b0eb249aa399ep-13, -0x1.9f5b6458e8d8fp-13, -0x1.8e74a45a941abp-13, -0x1.7e31be3d2b71p-13, -0x1.6e8daf2155b5fp-13, -0x1.5f837dbddc379p-13, -0x1.510e271c2240bp-13, -0x1.432895271754ap-13, -0x1.35cda0311d5d1p-13, -0x1.28f81a72b160bp-13, -0x1.1ca2e2c920e68p-13, -0x1.10c8faf262992p-13, -0x1.05659d3081ecdp-13, -0x1.f4e89b3f9948ep-14, -0x1.dfe1c8d1e72dep-14, -0x1.cbaf1e68369eap-14, -0x1.b8499366ff54ep-14, -0x1.a5aa9d2a05edp-14, -0x1.93cc06eb2fd44p-14, -0x1.82a7c69ecbdf9p-14, -0x1.7237d62f5ad96p-14, -0x1.6276177dd4cd2p-14, -0x1.535c473a07669p-14, -0x1.44e3ff8f01c3fp-14, -0x1.3706c8a08fe71p-14, -0x1.29be329e23e9dp-14, -0x1.1d03f41894d3p-14, -0x1.10d207491744fp-14, -0x1.0522c1c3c81e6p-14, -0x1.f3e1c6a96014dp-15, -0x1.de6f34ca5a6f8p-15, -0x1.c9e4fbdb88797p-15, -0x1.b63afcfb3e0abp-15, -0x1.a369a1f33f807p-15, -0x1.9169acbde954ap-15, -0x1.803408123c101p-15, -0x1.6fc19fa4cd477p-15, -0x1.600b4594585c8p-15, -0x1.5109a839596a8p-15, -0x1.42b558a72af0fp-15, -0x1.3506df31ffdebp-15, -0x1.27f6d91aa72ddp-15, -0x1.1b7e19387be83p-15, -0x1.0f95c5656a99dp-15, -0x1.04376b58fb85ep-15, -0x1.f2ba1373a8ef5p-16, -0x1.de021ac2bd50ap-16, -0x1.ca3c8be114bbdp-16, -0x1.b75fad4932cbp-16, -0x1.a5624f9e84bfdp-16, -0x1.943bb59053ef2p-16, -0x1.83e37efacd9edp-16, -0x1.74519356b3b9ap-16, -0x1.657e09b187a66p-16, -0x1.576110e65b5p-16, -0x1.49f2de74a264dp-16, -0x1.3d2baa945a4c3p-16, -0x1.3103bce9cf6e4p-16, -0x1.25738793de6bap-16, -0x1.1a73c850f245ap-16, -0x1.0ffda399da8f6p-16, -0x1.060aae658c6f6p-16, -0x1.f929c3583edabp-17, -0x1.e72cf97ae041bp-17, -0x1.d613c8bf86a05p-17, -0x1.c5d31e3ab9cf6p-17, -0x1.b6601276e9b42p-17, -0x1.a7b01d2029532p-17, -0x1.99b959bf48f55p-17, -0x1.8c72b966bdaa9p-17, -0x1.7fd406c3766b4p-17, -0x1.73d5b8e3f0b89p-17, -0x1.6870a8c9991b9p-17, -0x1.5d9dcb0c3dd32p-17, -0x1.53560bfd8df55p-17, -0x1.49925b7bf484cp-17, -0x1.404bde3c393d1p-17, -0x1.377c2768dc1ffp-17, -0x1.2f1d58ab58b1dp-17, -0x1.272a130bff98dp-17, -0x1.1f9d3a2252e2ap-17, -0x1.1871a23771302p-17, -0x1.11a1cdf432725p-17, -0x1.0b27dbf7093d8p-17, -0x1.04fdb132fb336p-17, -0x1.fe3aa6614abbcp-18, -0x1.f302a041d604ap-18, -0x1.e84a1799ef7eap-18, -0x1.de09a5cedc528p-18, -0x1.d43b5cb3e3cbap-18, -0x1.cada171ef7849p-18, -0x1.c1e0c1e206151p-18, -0x1.b949eafcd9773p-18, -0x1.b10fbe84e25eap-18, -0x1.a92c6029d3631p-18, -0x1.a19a63fcdecfp-18, -0x1.9a5520283f6dfp-18, -0x1.9358ac52e9d03p-18, -0x1.8ca18f42492e3p-18, -0x1.862c40e6b38e1p-18, -0x1.7ff4b6e131f9bp-18, -0x1.79f62944d901dp-18, -0x1.742b24780a47cp-18, -0x1.6e8de1cd4705bp-18, -0x1.6918cc115a938p-18, -0x1.63c7098540b4bp-18, -0x1.5e94df9608dc4p-18, -0x1.597fcaf990e36p-18, -0x1.54863eca9cef1p-18, -0x1.4fa723201e977p-18, -0x1.4ae14c82f8844p-18, -0x1.4633294f86f9ap-18, -0x1.419ac2b8d0c89p-18, -0x1.3d16006bea12dp-18, -0x1.38a2fe775991bp-18, -0x1.3440458b54c16p-18, -0x1.2feccde44596ep-18, -0x1.2ba7d21913834p-18, -0x1.27708bf78f721p-18, -0x1.2345fc287d143p-18, -0x1.1f26d2cd10e35p-18, -0x1.1b1179eef23ap-18, -0x1.1704335c6fd47p-18, -0x1.12fd3c5cdf4a5p-18, -0x1.0efaf383935c6p-18, -0x1.0afc00994c1a1p-18, -0x1.06ff774db3d1p-18, -0x1.0304e48476d2cp-18, -0x1.fe1870d2145d6p-19, -0x1.f62b2279dbd13p-19, -0x1.ee41ff5ac8c7p-19, -0x1.e65cc66d9589cp-19, -0x1.de7ad928235b6p-19, -0x1.d69b778104809p-19, -0x1.cebe0576189cfp-19, -0x1.c6e2357d81048p-19, -0x1.bf080952057fep-19, -0x1.b72fadd670627p-19, -0x1.af59483204d84p-19, -0x1.a784d35611018p-19, -0x1.9fb2206bae117p-19, -0x1.97e0f0d3063c5p-19, -0x1.90111100e1163p-19, -0x1.88426378c93a7p-19, -0x1.8074dd5aa459ep-19, -0x1.78a880f3c08a2p-19, -0x1.70dd607b09a05p-19, -0x1.6913a977a6f5cp-19, -0x1.614bb007c8efep-19, -0x1.5985ef45cb95ap-19, -0x1.51c2fa88fe82p-19, -0x1.4a0366b2b94c2p-19, -0x1.4247b92f58283p-19, -0x1.3a9064e90211dp-19, -0x1.32ddd2995e6c9p-19, -0x1.2b306cee72ccdp-19, -0x1.2388a9b2b9f6cp-19, -0x1.1be70ac9c593ep-19, -0x1.144c16083118ap-19, -0x1.0cb84b23cc4fbp-19, -0x1.052c20fe5bd73p-19, -0x1.fb5016c3944c1p-20, -0x1.ec59044671b24p-20, -0x1.dd7407f3a9f26p-20, -0x1.cea229bfd52f1p-20, -0x1.bfe475b9e6d01p-20, -0x1.b13bf6d6488e6p-20, -0x1.a2a9b420a0d63p-20, -0x1.942eaf9acbbc3p-20, -0x1.85cbe5dcac0b6p-20, -0x1.77824deaedf7fp-20, -0x1.6952d923ec6dbp-20, -0x1.5b3e73785b1f3p-20, -0x1.4d46043968e44p-20, -0x1.3f6a6ef8a1c2fp-20, -0x1.31ac93bc406c8p-20, -0x1.240d4e211026dp-20, -0x1.168d73d50697cp-20, -0x1.092dd3a6bfc4ap-20, -0x1.f7de6bdf89311p-21, -0x1.dda4bb3f103bp-21, -0x1.c3b011559562fp-21, -0x1.aa01dfb53bdb2p-21, -0x1.909b8da96bba9p-21, -0x1.777e77c52d2adp-21, -0x1.5eabedc36d31ep-21, -0x1.46252fbe5cb36p-21, -0x1.2deb6e4cdf796p-21, -0x1.15ffcf74f2f6ep-21, -0x1.fcc6e9e58392ep-22, -0x1.ce2ef9cccfa2bp-22, -0x1.a039f21339a9dp-22, -0x1.72e9bcfc6c7c4p-22, -0x1.463fe56b2fe39p-22, -0x1.1a3d802ead55bp-22, -0x1.ddc6a938071b9p-23, -0x1.8864ab98edd57p-23, -0x1.34581ae9d2b29p-23, -0x1.c349d4b5391bep-24, -0x1.209d06a569b3dp-24, -0x1.015a919ab448ap-25, 0x1.c83f8f0f8674bp-28, 0x1.6de78217b05dp-25, 0x1.4e9c7c382e17bp-24, 0x1.e37911ac0fc2dp-24, 0x1.3ac3cedf0f369p-23, 0x1.82646b9f31c0ep-23, 0x1.c89ef5338dcc1p-23, 0x1.06b9cf4775349p-22, 0x1.2871207fa0417p-22, 0x1.497555a763e94p-22, 0x1.69c66accf2449p-22, 0x1.896465e029e42p-22, 0x1.a84f2de2d8b95p-22, 0x1.c686675b8fc17p-22, 0x1.e409822f54e3cp-22, 0x1.006c03977503ep-21, 0x1.0e790baf27b42p-21, 0x1.1c2c8891f6a6ap-21, 0x1.2987f989bd47dp-21, 0x1.368d2892583ebp-21, 0x1.433ce5695cce9p-21, 0x1.4f96732abea61p-21, 0x1.5b98c2a85225bp-21, 0x1.6744213d232a3p-21, 0x1.729a1bdbdbccap-21, 0x1.7d9bb39c26d47p-21, 0x1.884894d9e4fd4p-21, 0x1.92a05d63ff7d5p-21, 0x1.9ca3baee44a62p-21, 0x1.a65411ac60f5p-21, 0x1.afb2b6069de91p-21, 0x1.b8c0a07e804a2p-21, 0x1.c17e8569c0ceep-21, 0x1.c9ed01157a029p-21, 0x1.d20cb69ae9793p-21, 0x1.d9de5e79fdb27p-21, 0x1.e162c6332016p-21, 0x1.e89abf73ff96p-21, 0x1.ef8702496acb5p-21, 0x1.f62813aba72c1p-21, 0x1.fc7e4928b8405p-21, 0x1.0144f7447904ep-20, 0x1.0425bc689ca53p-20, 0x1.06e1edbbdf4dbp-20, 0x1.097a91a9ff8e3p-20, 0x1.0bf12b80d4445p-20, 0x1.0e46adb8daa02p-20, 0x1.107ab61841f12p-20, 0x1.128cbc8f99bbp-20, 0x1.147d877d25ddep-20, 0x1.164e67c1d6789p-20, 0x1.17ff9a633ac44p-20, 0x1.1990b1f1b0e45p-20, 0x1.1b01f32627dbdp-20, 0x1.1c54546a96b61p-20, 0x1.1d88c89e7d10bp-20, 0x1.1e9ff921058cdp-20, 0x1.1f9a5ed53a181p-20, 0x1.2078645e4dce5p-20, 0x1.213a76b7ca89ap-20, 0x1.21e109401305ep-20, 0x1.226c9554fa714p-20, 0x1.22dd9998a5afcp-20, 0x1.2334994e11757p-20, 0x1.237219e735ed4p-20, 0x1.23969ce9bdc33p-20, 0x1.23a297c8b456ap-20, 0x1.2396706139bfap-20, 0x1.237283cd59642p-20, 0x1.23372e620bf8dp-20, 0x1.22e4c3aafd50ep-20, 0x1.227b9ea48d3p-20, 0x1.21fc936543e28p-20, 0x1.2168fa8304d72p-20, 0x1.20c16f41480f1p-20, 0x1.20059c5da8b6ep-20, 0x1.1f3604aa1ef1fp-20, 0x1.1e53d83751decp-20, 0x1.1d5f1e9acfc8fp-20, 0x1.1c576a4ddb2ffp-20, 0x1.1b3d45656e9cfp-20, 0x1.1a11b1502e4a9p-20, 0x1.18d56d1568421p-20, 0x1.1788efe935b04p-20, 0x1.162c983c31cd6p-20, 0x1.14c0c5341dc7cp-20, 0x1.1345dc7e92efap-20, 0x1.11bc48e35f533p-20, 0x1.1024778dbf63ep-20, 0x1.0e7ed5e955331p-20, 0x1.0ccbd085c985dp-20, 0x1.0b0bd30bcc835p-20, 0x1.093f48de44893p-20, 0x1.07669d79a5dd6p-20, 0x1.05823b891c47bp-20, 0x1.03928aa2a12bep-20, 0x1.0197eda2b948dp-20, 0x1.ff2589f233932p-21, 0x1.fb06e3b37256ep-21, 0x1.f6d48e8f740a4p-21, 0x1.f28ed34fee3cp-21, 0x1.ee36073180a03p-21, 0x1.e9cbb2777f2afp-21, 0x1.e55180d6a99c8p-21, 0x1.e0c7cb7f30d16p-21, 0x1.dc2f892cd51ddp-21, 0x1.d7896f1f36466p-21, 0x1.d2d4cd46b141ap-21, 0x1.ce12141a84c1cp-21, 0x1.c942b7eaf333bp-21, 0x1.c467caea8add4p-21, 0x1.bf81ed809b483p-21, 0x1.ba91a1b6101a1p-21, 0x1.b5976e5f5805fp-21, 0x1.b093e2c5e6296p-21, 0x1.ab8792e6ce0cfp-21, 0x1.a673140395886p-21, 0x1.a156fa76ec4eap-21, 0x1.9c33d864a3d79p-21, 0x1.970a3ce8b4212p-21, 0x1.91dab3b1b3119p-21, 0x1.8ca5c51aacda6p-21, 0x1.876bf6cf1f39ap-21, 0x1.822dccc80e216p-21, 0x1.7cebca09e7bb5p-21, 0x1.77a6706ed5957p-21, 0x1.725e3f33d8039p-21, 0x1.6d13b1a94e9cep-21, 0x1.67c7411fb59b7p-21, 0x1.627967f829c9cp-21, 0x1.5d2a91e55fc06p-21, 0x1.57daeec0a18e1p-21, 0x1.528a982302afdp-21, 0x1.4d3a50b6c50bdp-21, 0x1.47eb10adba9f7p-21, 0x1.429d4c8e8e51ep-21, 0x1.3d513cb49978ap-21, 0x1.3806a79735fd1p-21, }}, 
      {{0x1.ffe71cc114015p-1, 0x1.ff9c8053a43d7p-1, 0x1.ff205208921b5p-1, 0x1.fe72d21c57512p-1, 0x1.fd9458d79209ep-1, 0x1.fc8555ae6c22fp-1, 0x1.fb464e1629d88p-1, 0x1.f9d7dc16da2f4p-1, 0x1.f83aacc69fa7fp-1, 0x1.f66f7ed01643p-1, 0x1.f4772108d2ee1p-1, 0x1.f252710ad1e81p-1, 0x1.f00259c280249p-1, 0x1.ed87d1ecc814bp-1, 0x1.eae3da8c30feep-1, 0x1.e8177d639d601p-1, 0x1.e523cb8695551p-1, 0x1.e209dc0b88d58p-1, 0x1.decacae667aa2p-1, 0x1.db67b7ebd0a6cp-1, 0x1.d7e1c5f872421p-1, 0x1.d43a1a359351fp-1, 0x1.d071db731d092p-1, 0x1.cc8a3190468dcp-1, 0x1.c88444ed86684p-1, 0x1.c4613de4434fcp-1, 0x1.c02244424974cp-1, 0x1.bbc87ec85344p-1, 0x1.b75512abcb03fp-1, 0x1.b2c9231c6d866p-1, 0x1.ae25d0cebafc1p-1, 0x1.a96c398c3af14p-1, 0x1.a49d77caa99efp-1, 0x1.9fbaa24b19c1p-1, 0x1.9ac4cbc213eb2p-1, 0x1.95bd0289aeeeap-1, 0x1.90a4505e80145p-1, 0x1.8b7bba281cc3p-1, 0x1.86443fcdb0da7p-1, 0x1.80fedc16e12e2p-1, 0x1.7bac8498e8164p-1, 0x1.764e29af7915ep-1, 0x1.70e4b680a308bp-1, 0x1.6b71110a944a8p-1, 0x1.65f41a39df76cp-1, 0x1.606eae06a3553p-1, 0x1.5ae1a396dbf3p-1, 0x1.554dcd641463cp-1, 0x1.4fb3f962b65d9p-1, 0x1.4a14f1294f7f7p-1, 0x1.44717a16551a6p-1, 0x1.3eca55731d13ap-1, 0x1.392040930a5e4p-1, 0x1.3373f4ee2adfep-1, 0x1.2dc62836cb9b5p-1, 0x1.28178c69c9bcp-1, 0x1.2268cfd9a049fp-1, 0x1.1cba9d346e568p-1, 0x1.170d9b85562bbp-1, 0x1.11626e31bc826p-1, 0x1.0bb9b4f30b5c1p-1, 0x1.06140bcda7c23p-1, 0x1.00720b05d404ap-1, 0x1.f5a88e2675673p-2, 0x1.ea76a127aaaaep-2, 0x1.df4f687dbdf7fp-2, 0x1.d433f5b0d9c1fp-2, 0x1.c925524c762eep-2, 0x1.be247fcc54042p-2, 0x1.b332778da75fdp-2, 0x1.a8502ac51c04cp-2, 0x1.9d7e827a39cbfp-2, 0x1.92be5f8887cb4p-2, 0x1.88109aa6b17b1p-2, 0x1.7d760473ca012p-2, 0x1.72ef658ab98p-2, 0x1.687d7e9bb764fp-2, 0x1.5e21088bb2086p-2, 0x1.53dab49962fc5p-2, 0x1.49ab2c87be38bp-2, 0x1.3f9312cd65f3ap-2, 0x1.359302c8bf4fp-2, 0x1.2bab90f828505p-2, 0x1.21dd4b35e5957p-2, 0x1.1828b8f73fdf9p-2, 0x1.0e8e5b8e4c31fp-2, 0x1.050eae6ddbe55p-2, 0x1.f7544ede09bc6p-3, 0x1.e4c26e2f7e907p-3, 0x1.d26891c4166e8p-3, 0x1.c04787062bb02p-3, 0x1.ae601263c5357p-3, 0x1.9cb2efd9d8f5cp-3, 0x1.8b40d37cb016fp-3, 0x1.7a0a69fc5777cp-3, 0x1.69105924774f6p-3, 0x1.585340569f1cbp-3, 0x1.47d3b8fe6f7adp-3, 0x1.379256feed8a1p-3, 0x1.278fa91878766p-3, 0x1.17cc3946e7b9ap-3, 0x1.08488d176dd24p-3, 0x1.f20a4bebc7e89p-4, 0x1.d40502e2ba8e9p-4, 0x1.b68232ef8134dp-4, 0x1.9982c910e14b9p-4, 0x1.7d07abbbe2844p-4, 0x1.6111bb1d65539p-4, 0x1.45a1d14a35622p-4, 0x1.2ab8c25e28583p-4, 0x1.10575c8ac04c6p-4, 0x1.ecfcd02c1356bp-5, 0x1.ba5d4e950316bp-5, 0x1.88d1acb1a5344p-5, 0x1.585b5658b45eap-5, 0x1.28fbaa66f8549p-5, 0x1.f567f473012e2p-6, 0x1.9b0b1227700d8p-6, 0x1.42e316e6dc685p-6, 0x1.d9e49954417e2p-7, 0x1.3275b9a97dd8ep-7, 0x1.1efb3a2e3667fp-8, -0x1.dffec1b42f075p-12, -0x1.51ff09edd8a98p-8, -0x1.3e7de4057a1e3p-7, -0x1.cf783a7a8f349p-7, -0x1.2df603174389ep-6, -0x1.71eb8fa1c382cp-6, -0x1.b39bdde6ee355p-6, -0x1.f30639b5d7a4ap-6, -0x1.181510b14f8bfp-5, -0x1.3583a3bc3d6eep-5, -0x1.51ceca2d5c402p-5, -0x1.6cf693e946f74p-5, -0x1.86fb2d43ce898p-5, -0x1.9fdcdfb08f7fdp-5, -0x1.b79c126718c5p-5, -0x1.ce394af9e716bp-5, -0x1.e3b52ddf933eep-5, -0x1.f8107eedaaecep-5, -0x1.05a610e267c68p-4, -0x1.0eb48d16dc2p-4, -0x1.173446337c2bdp-4, -0x1.1f25deb198a8fp-4, -0x1.268a097be4a85p-4, -0x1.2d6189fdfbf9cp-4, -0x1.33ad342c3096ap-4, -0x1.396dec8392e6dp-4, -0x1.3ea4a802637dbp-4, -0x1.43526c19028b2p-4, -0x1.47784e9367341p-4, -0x1.4b17757b6d1c1p-4, -0x1.4e3116f40902dp-4, -0x1.50c6790d92e79p-4, -0x1.52d8f1936eb43p-4, -0x1.5469e5d33049ep-4, -0x1.557aca5d89654p-4, -0x1.560d22c1329c9p-4, -0x1.562281400ba16p-4, -0x1.55bc867ec657p-4, -0x1.54dce12f3edd7p-4, -0x1.53854db5e315fp-4, -0x1.51b795ca5bf13p-4, -0x1.4f759013bfc63p-4, -0x1.4cc11fc09849fp-4, -0x1.499c341b014a9p-4, -0x1.4608c8191a0eap-4, -0x1.4208e1ea29c1p-4, -0x1.3d9e92809bd9dp-4, -0x1.38cbf5193736bp-4, -0x1.33932ebfc28c2p-4, -0x1.2df66dd1652d5p-4, -0x1.27f7e97cf9ffp-4, -0x1.2199e141b06bp-4, -0x1.1ade9c6c2126ap-4, -0x1.13c8699232a06p-4, -0x1.0c599e0dee82ep-4, -0x1.04949577ac37fp-4, -0x1.f8f7623f55485p-5, -0x1.e822af0edcd65p-5, -0x1.d6afe7b629e4dp-5, -0x1.c4a3ead5aaf6p-5, -0x1.b2039e49cd042p-5, -0x1.9ed3ee20120c8p-5, -0x1.8b19cb8db85a3p-5, -0x1.76da2be876db9p-5, -0x1.621a07a19d53bp-5, -0x1.4cde5943fec95p-5, -0x1.372c1c7501aefp-5, -0x1.21084cf91cd63p-5, -0x1.0a77e5bc240dp-5, -0x1.e6ffbfbb6c09cp-6, -0x1.b84a6383e95e8p-6, -0x1.88d99c4df2b2dp-6, -0x1.58b7467e572d5p-6, -0x1.27ed33a163b71p-6, -0x1.ed0a51692ea18p-7, -0x1.8911b8f6f4179p-7, -0x1.2403ebbfc3bedp-7, -0x1.7be8297900aa2p-8, -0x1.5bd4e3efa1c8dp-9, 0x1.0e5cb53d6e8f3p-11, 0x1.e6291f07f36aep-9, 0x1.c5cb74bc99ce5p-8, 0x1.4ce5d2623e257p-7, 0x1.b77872bf0d652p-7, 0x1.1145da48faf3ep-6, 0x1.4706f4be2e875p-6, 0x1.7cf6cef110bafp-6, 0x1.b30ccd8608028p-6, 0x1.e9407497ab47ep-6, 0x1.0fc4b456759edp-5, 0x1.2aefb7d0f638p-5, 0x1.461d38c189b59p-5, 0x1.61493cad81e29p-5, 0x1.7c6fdaf9a306ap-5, 0x1.978d3d43dfc6ap-5, 0x1.b29d9fb6aa9ccp-5, 0x1.cd9d5155d6edap-5, 0x1.e888b4452b26cp-5, 0x1.01ae1f045e171p-4, 0x1.0f0a3bdf9e2cfp-4, 0x1.1c56ff2b26899p-4, 0x1.2992c15c706ep-4, 0x1.36bbe4fc0986p-4, 0x1.43d0d6b713c23p-4, 0x1.50d00d6e2098fp-4, 0x1.5db80a4162ef4p-4, 0x1.6a87589a3a79cp-4, 0x1.773c8e324e97cp-4, 0x1.83d64b18384ecp-4, 0x1.905339b1b8ef1p-4, 0x1.9cb20ebbd17ap-4, 0x1.a8f1894881145p-4, 0x1.b51072ba75a4bp-4, 0x1.c10d9ebea6589p-4, 0x1.cce7eb440816bp-4, 0x1.d89e40714776fp-4, 0x1.e42f9098c7677p-4, 0x1.ef9ad82ad82eap-4, 0x1.fadf1da646742p-4, 0x1.02fdb8c3b1df2p-3, 0x1.0877771abc471p-3, 0x1.0ddc5bf76b51cp-3, 0x1.132bfe59c5b4ap-3, 0x1.1865fa1763d2dp-3, 0x1.1d89efcf89a6bp-3, 0x1.229784deac049p-3, 0x1.278e6351710a8p-3, 0x1.2c6e39d7204fp-3, 0x1.3136bbb3ac25ap-3, 0x1.35e7a0b13edd3p-3, 0x1.3a80a5115a0a5p-3, 0x1.3f01897d9b38ap-3, 0x1.436a12f824401p-3, 0x1.47ba0acba9009p-3, 0x1.4bf13e7b3881ap-3, 0x1.500f7fb1b98b8p-3, 0x1.5414a43125478p-3, 0x1.580085c18fbd6p-3, 0x1.5bd3021ff2be1p-3, 0x1.5f8bfaecc78cp-3, 0x1.632b559a86207p-3, 0x1.66b0fb5befa9ep-3, 0x1.6a1cd912414a9p-3, 0x1.6d6edf3b472c8p-3, 0x1.70a701df65e84p-3, 0x1.73c5387f7efb1p-3, 0x1.76c97e02d6fe1p-3, 0x1.79b3d0a4e5e1p-3, 0x1.7c8431e32c6b9p-3, 0x1.7f3aa66afc8d2p-3, 0x1.81d7360749972p-3, 0x1.8459eb8e74f2cp-3, 0x1.86c2d4d029ca8p-3, 0x1.891202833a765p-3, 0x1.8b4788338f7f6p-3, 0x1.8d637c302212cp-3, 0x1.8f65f77908edap-3, 0x1.914f15ad97c17p-3, 0x1.931ef4fa94963p-3, 0x1.94d5b60880868p-3, 0x1.96737bea01e84p-3, 0x1.97f86c0a60ee4p-3, 0x1.9964ae1c25b6ep-3, 0x1.9ab86c07d442bp-3, 0x1.9bf3d1dac571ap-3, 0x1.9d170db623302p-3, 0x1.9e224fbe044e2p-3, 0x1.9f15ca08b1adbp-3, 0x1.9ff1b08e06b69p-3, 0x1.a0b63916fea54p-3, 0x1.a1639b2d64288p-3, 0x1.a1fa100baddb4p-3, 0x1.a279d28cfa686p-3, 0x1.a2e31f1d3fb38p-3, 0x1.a33633a99d307p-3, 0x1.a3734f90d792bp-3, 0x1.a39ab3940be6fp-3, 0x1.a3aca1c7798b2p-3, 0x1.a3a95d838e1f3p-3, 0x1.a3912b56103f5p-3, 0x1.a36450f37d421p-3, 0x1.a32315289676ep-3, 0x1.a2cdbfcc189c9p-3, 0x1.a26499b0a2d82p-3, 0x1.a1e7ec96d6d7fp-3, 0x1.a158031f9197bp-3, 0x1.a0b528be7430ap-3, 0x1.9fffa9ac81c5p-3, 0x1.9f37d2dafbe02p-3, 0x1.9e5df1e66e55ap-3, 0x1.9d725509e71c2p-3, 0x1.9c754b126916cp-3, 0x1.9b67235285925p-3, 0x1.9a482d963355bp-3, 0x1.9918ba16cfea4p-3, 0x1.97d9196f5af2bp-3, 0x1.96899c90d9f79p-3, 0x1.952a94b6f9c7p-3, 0x1.93bc535cdd914p-3, 0x1.923f2a3225702p-3, 0x1.90b36b101e456p-3, 0x1.8f1967ef39b9fp-3, 0x1.8d7172dca1825p-3, 0x1.8bbbddf00e5cdp-3, 0x1.89f8fb41d3d7ap-3, 0x1.88291ce1156dbp-3, 0x1.864c94ca3af87p-3, 0x1.8463b4dd903c1p-3, 0x1.826eced624a96p-3, 0x1.806e3440d0f24p-3, 0x1.7e6236737b126p-3, 0x1.7c4b268490e0ep-3, 0x1.7a295542abf94p-3, 0x1.77fd132c7093dp-3, 0x1.75c6b068a82dcp-3, 0x1.73867cbe7f611p-3, 0x1.713cc78e0776cp-3, 0x1.6ee9dfc8e4d5bp-3, 0x1.6c8e13eb2eb31p-3, 0x1.6a29b1f48e188p-3, 0x1.67bd076181daap-3, 0x1.65486124e3a87p-3, 0x1.62cc0ba194ae2p-3, 0x1.604852a46609bp-3, 0x1.5dbd815e32807p-3, 0x1.5b2be25e24302p-3, 0x1.5893bf8c37d29p-3, 0x1.55f56223e9589p-3, 0x1.535112af12a85p-3, 0x1.50a71901062bcp-3, 0x1.4df7bc31cc8e8p-3, 0x1.4b4342999ba81p-3, 0x1.4889f1cc7c051p-3, 0x1.45cc0e961ed0dp-3, 0x1.4309dcf5e5e29p-3, 0x1.4043a01b14411p-3, 0x1.3d799a61336c8p-3, 0x1.3aac0d4ca909bp-3, 0x1.37db3987709dap-3, 0x1.35075ede0f56cp-3, 0x1.3230bc3cab05ap-3, 0x1.2f578fac52576p-3, 0x1.2c7c16506e67ep-3, 0x1.299e8c6464b4ep-3, 0x1.26bf2d395c4p-3, 0x1.23de333433f32p-3, 0x1.20fbd7cb9df62p-3, 0x1.1e185386653d8p-3, 0x1.1b33ddf9e1b72p-3, 0x1.184eadc885189p-3, 0x1.1568f8a0a37d4p-3, 0x1.1282f33b4e7d9p-3, 0x1.0f9cd15b66ceep-3, 0x1.0cb6c5ccc4c2cp-3, 0x1.09d102639126bp-3, 0x1.06ebb7fbbcedp-3, 0x1.040716789961dp-3, 0x1.01234cc495514p-3, 0x1.fc8111a241c3ap-4, 0x1.f6bdef2d55e14p-4, 0x1.f0fd8a297df39p-4, 0x1.eb4038a496ed4p-4, 0x1.e5864ebbf569dp-4, 0x1.dfd01e9d6bcd7p-4, 0x1.da1df88873937p-4, 0x1.d4702acfa94c7p-4, 0x1.cec701da68466p-4, 0x1.c922c826aad0bp-4, 0x1.c383c64b2109fp-4, 0x1.bdea42f970238p-4, 0x1.b8568300a9f0ap-4, 0x1.b2c8c94ff77a3p-4, 0x1.ad4156f96f8d8p-4, 0x1.a7c06b35123c4p-4, 0x1.a246436408f9p-4, 0x1.9cd31b13f141ap-4, 0x1.97672c0266174p-4, 0x1.9202ae20b0b2p-4, 0x1.8ca5d7978b25bp-4, 0x1.8750dccb25e07p-4, 0x1.8203f05f3703bp-4, 0x1.7cbf433b34a92p-4, 0x1.7783048eb4473p-4, 0x1.724f61d5e4ff7p-4, 0x1.6d2486de1f635p-4, 0x1.68029dcaa3d81p-4, 0x1.62e9cf1961117p-4, 0x1.5dda41a7dd623p-4, 0x1.58d41ab839e89p-4, 0x1.53d77df646445p-4, 0x1.4ee48d7caf64p-4, 0x1.49fb69da3c92bp-4, 0x1.451c32172850bp-4, 0x1.404703ba80636p-4, 0x1.3b7bfacf9d4a8p-4, 0x1.36bb31ebad0f6p-4, 0x1.3204c2333c7efp-4, 0x1.2d58c35fdce3bp-4, 0x1.28b74bc5d203ep-4, 0x1.24207059c50d6p-4, 0x1.1f9444b68458ap-4, 0x1.1b12db22d198dp-4, 0x1.169c44972ba6p-4, 0x1.123090c3a8a3cp-4, 0x1.0dcfce15d0549p-4, 0x1.097a09be7e854p-4, 0x1.052f4fb7c2208p-4, 0x1.00efaacacaaf5p-4, 0x1.f976492b9311cp-5, 0x1.f1238b23bbd62p-5, 0x1.e8e72a31f62e6p-5, 0x1.e0c132d79efa9p-5, 0x1.d8b1af6f5a9f4p-5, 0x1.d0b8a838cd8b7p-5, 0x1.c8d623646655ep-5, 0x1.c10a251f0b5b3p-5, 0x1.b954af9dca1dap-5, 0x1.b1b5c329750ddp-5, 0x1.aa2d5e2a3231cp-5, 0x1.a2bb7d330d517p-5, 0x1.9b601b0d5f8fcp-5, 0x1.941b30c43bf13p-5, 0x1.8cecb5afbcebep-5, 0x1.85d49f8047c36p-5, 0x1.7ed2e249b9064p-5, 0x1.77e7708e77b5fp-5, 0x1.71123b4a74bafp-5, 0x1.6a5331fe16ff1p-5, 0x1.63aa42b90e8c2p-5, 0x1.5d175a24fdcccp-5, 0x1.569a639024e9p-5, 0x1.503348f7e6c98p-5, 0x1.49e1f3131f4efp-5, 0x1.43a6495c7e767p-5, 0x1.3d80321cab329p-5, 0x1.376f92745a4dbp-5, 0x1.31744e663f4d1p-5, 0x1.2b8e48e0d96fap-5, 0x1.25bd63c82d541p-5, 0x1.20017fff55cd7p-5, 0x1.1a5a7d71f4b3cp-5, 0x1.14c83b1d88f74p-5, 0x1.0f4a971aa01b9p-5, 0x1.09e16ea5d9f68p-5, 0x1.048c9e28e5641p-5, 0x1.fe98028686901p-6, 0x1.f43ee5a5d74d1p-6, 0x1.ea0d99f9a8413p-6, 0x1.e003d26ab1112p-6, 0x1.d6214090dd5ffp-6, 0x1.cc6594c399ac7p-6, 0x1.c2d07e29b1006p-6, 0x1.b961aac8e711fp-6, 0x1.b018c7958d77ap-6, 0x1.a6f580815b922p-6, 0x1.9df7808a66201p-6, 0x1.951e71c99d153p-6, 0x1.8c69fd8103131p-6, 0x1.83d9cc29b2377p-6, 0x1.7b6d858184075p-6, 0x1.7324d0987fa6fp-6, 0x1.6aff53ddf507dp-6, 0x1.62fcb52d53d59p-6, 0x1.5b1c99dad06c2p-6, 0x1.535ea6bfa3798p-6, 0x1.4bc28045f8b2ap-6, 0x1.4447ca74e2758p-6, 0x1.3cee28fb9e335p-6, 0x1.35b53f3cfb55dp-6, 0x1.2e9cb05a13a0cp-6, 0x1.27a41f3d309ccp-6, 0x1.20cb2ea403325p-6, 0x1.1a118129e7efcp-6, 0x1.1376b951b89b8p-6, 0x1.0cfa798f787abp-6, 0x1.069c64519cab7p-6, 0x1.005c1c0a40172p-6, 0x1.f472867001acbp-7, 0x1.e866f8dd0e0fap-7, 0x1.dc94d4bdfc908p-7, 0x1.d0fb5fc04598p-7, 0x1.c599dfec6e807p-7, 0x1.ba6f9bb50d1fap-7, 0x1.af7bda05f4223p-7, 0x1.a4bde2527fa05p-7, 0x1.9a34fca33a389p-7, 0x1.8fe071a39ce8p-7, 0x1.85bf8aaef355ap-7, 0x1.7bd191dcf6eeap-7, 0x1.7215d20def919p-7, 0x1.688b96f66aac2p-7, 0x1.5f322d2a80597p-7, 0x1.5608e228ea0fp-7, 0x1.4d0f04652b70ap-7, 0x1.4443e351db837p-7, 0x1.3ba6cf6a66e9p-7, 0x1.33371a3bf374ep-7, 0x1.2af4166eececdp-7, 0x1.22dd17cf0e7ap-7, 0x1.1af17353d0725p-7, 0x1.13307f283448ap-7, 0x1.0b9992b21708dp-7, 0x1.042c069980722p-7, 0x1.f9ce699ea6a3cp-8, 0x1.eb94f12777701p-8, 0x1.ddaa5cf8dc556p-8, 0x1.d00d68f4a3551p-8, 0x1.c2bcd3be12fa5p-8, 0x1.b5b75ec44db9ep-8, 0x1.a8fbce4c36f0bp-8, 0x1.9c88e97968e91p-8, 0x1.905d7a56ba491p-8, 0x1.84784ddeacfc5p-8, 0x1.78d8340286d7ap-8, 0x1.6d7bffb1de34ap-8, 0x1.626286dfde357p-8, 0x1.578aa28ade5a4p-8, 0x1.4cf32ec041dcbp-8, 0x1.429b0aa234b3dp-8, 0x1.3881186c20f5ep-8, 0x1.2ea43d7664d2ep-8, 0x1.2503623a040dep-8, 0x1.1b9d7253e18dbp-8, 0x1.12715c87479ap-8, 0x1.097e12c04a5ffp-8, 0x1.00c28a1594706p-8, 0x1.f07b75936b691p-9, 0x1.dfdd4099aede3p-9, 0x1.cfa87278d9b81p-9, 0x1.bfdb0ec966ce9p-9, 0x1.b0731f7ffa3ecp-9, 0x1.a16eb4ed65ec7p-9, 0x1.92cbe5bc85c17p-9, 0x1.8488cef1c464dp-9, 0x1.76a393e6fc42fp-9, 0x1.691a5e49545d5p-9, 0x1.5beb5e151bb1dp-9, 0x1.4f14c991d6bbcp-9, 0x1.4294dd4d0ee41p-9, 0x1.3669dc15621ebp-9, 0x1.2a920ef46439ep-9, 0x1.1f0bc528381f1p-9, 0x1.13d5541d6dc15p-9, 0x1.08ed1766800ffp-9, 0x1.fca2e16bebc5bp-10, 0x1.e8018fa8ba5b5p-10, 0x1.d3f3153355a99p-10, 0x1.c07459c5e806p-10, 0x1.ad8251145f53bp-10, 0x1.9b19fab7fab3ap-10, 0x1.8938621c7d4c5p-10, 0x1.77da9e6ad1caap-10, 0x1.66fdd274fa06ep-10, 0x1.569f2c9f449afp-10, 0x1.46bbe6cbafcaap-10, 0x1.37514641b6d02p-10, 0x1.285c9b9862feep-10, 0x1.19db429d660bcp-10, 0x1.0bcaa23e6747fp-10, 0x1.fc5058dcee0a9p-11, 0x1.e1e2bc1fe9351p-11, 0x1.c8477daf905fap-11, 0x1.af79c26e7d41p-11, 0x1.9774c47e71d8ep-11, 0x1.8033d30f3487ap-11, 0x1.69b25228d0a93p-11, 0x1.53ebba7464c31p-11, 0x1.3edb99075b7e2p-11, 0x1.2a7d8f2cb53b8p-11, 0x1.16cd522d137aap-11, 0x1.03c6ab183af36p-11, 0x1.e2caed1a4038ep-12, 0x1.bf4b4903748d4p-12, 0x1.9d06701542403p-12, 0x1.7bf48e481f27ep-12, 0x1.5c0df4ed0cc92p-12, 0x1.3d4b1a3e3f423p-12, 0x1.1fa498efcdaa1p-12, 0x1.03132fb920418p-12, 0x1.cf1f81c77cf89p-13, 0x1.9a26a3b849851p-13, 0x1.672e1572d5bacp-13, 0x1.36286ba0ddca9p-13, 0x1.07087e7b77632p-13, 0x1.b382d1d28691ep-14, 0x1.5c8d0f344809cp-14, 0x1.0916f04a0279ep-14, 0x1.7210606c857dbp-15, 0x1.b124218b4d3e3p-16, 0x1.161175902d6d1p-17, -0x1.1d1962739b2cbp-17, -0x1.9bf57c3ac8f51p-16, -0x1.4ec491a995603p-15, -0x1.c9cea6ceaebp-15, -0x1.1fa174d92ce17p-14, -0x1.57a53130f6135p-14, -0x1.8d069c3429237p-14, -0x1.bfd95b0df326p-14, -0x1.f030a601caac6p-14, -0x1.0f0fa51264235p-13, -0x1.24dbd57cd4f31p-13, -0x1.3985e213932f8p-13, -0x1.4d16958f054a5p-13, -0x1.5f96885cc9a1ep-13, -0x1.710e216e40911p-13, -0x1.8185970b15b68p-13, -0x1.9104ef9b4bcc2p-13, -0x1.9f9402732a615p-13, -0x1.ad3a78a134328p-13, -0x1.b9ffcdad27a4dp-13, -0x1.c5eb506608ee8p-13, -0x1.d10423a36fa48p-13, -0x1.db513f072f411p-13, -0x1.e4d96fbbff59ap-13, -0x1.eda3593861332p-13, -0x1.f5b575fbf9cd7p-13, -0x1.fd1618453f761p-13, -0x1.01e5b5681f689p-12, -0x1.04edb8c3e927bp-12, -0x1.07a6051f35feep-12, -0x1.0a1176afee8c7p-12, -0x1.0c32d750d45d3p-12, -0x1.0e0cded9291c5p-12, -0x1.0fa233742110fp-12, -0x1.10f569f45bcccp-12, -0x1.1209062a96cf3p-12, -0x1.12df7b3582db8p-12, -0x1.137b2bd8e3261p-12, -0x1.13de6acb463b3p-12, -0x1.140b7b084f95dp-12, -0x1.1404901e99f57p-12, -0x1.13cbce7e78a1cp-12, -0x1.13634bc6c9493p-12, -0x1.12cd0f116a72cp-12, -0x1.120b113f9fec7p-12, -0x1.111f3d4208c49p-12, -0x1.100b70631b146p-12, -0x1.0ed17a8edfe07p-12, -0x1.0d731e9a4356dp-12, -0x1.0bf212875fc82p-12, -0x1.0a4fffcd6c6c8p-12, -0x1.088e839b0a1abp-12, -0x1.06af2f189399bp-12, -0x1.04b387abde579p-12, -0x1.029d073820d5ep-12, -0x1.006d1c5d88795p-12, -0x1.fc4a5572b0846p-13, -0x1.f78d1646e77acp-13, -0x1.f2a517d81ce13p-13, -0x1.ed94e22caeb6dp-13, -0x1.e85ee92acac3cp-13, -0x1.e3058d09d2ff8p-13, -0x1.dd8b1ac6a829bp-13, -0x1.d7f1cc9275759p-13, -0x1.d23bca438cee7p-13, -0x1.cc6b29c120cf7p-13, -0x1.c681ef6ebeb4cp-13, -0x1.c0820e963f622p-13, -0x1.ba6d69cd48882p-13, -0x1.b445d35bb8b93p-13, -0x1.ae0d0da127614p-13, -0x1.a7c4cb7479bb3p-13, -0x1.a16eb0866ffafp-13, -0x1.9b0c51bfafbebp-13, -0x1.949f359d629cp-13, -0x1.8e28d48c96b8dp-13, -0x1.87aa9942da863p-13, -0x1.8125e118741cep-13, -0x1.7a9bfc5d4deap-13, -0x1.740e2eae7f2fdp-13, -0x1.6d7daf480c3fdp-13, -0x1.66eba9596711ep-13, -0x1.60593c5220423p-13, -0x1.59c77c3220623p-13, -0x1.533771d58ab25p-13, -0x1.4caa1b41e5ec3p-13, -0x1.46206bef21ccep-13, -0x1.3f9b4d0fd5907p-13, -0x1.391b9dd979ec8p-13, -0x1.32a233c952905p-13, -0x1.2c2fdae7e0f1dp-13, -0x1.25c5560d29df8p-13, -0x1.1f635f21bf4efp-13, -0x1.190aa75f5179cp-13, -0x1.12bbd78e80834p-13, -0x1.0c779045b8bcp-13, -0x1.063e6a253c84p-13, -0x1.0010f610f6b95p-13, -0x1.f3df7ad43004p-14, -0x1.e7b684928a339p-14, -0x1.dba7ff6a7099ep-14, -0x1.cfb4d3b188d74p-14, -0x1.c3dddc6db0436p-14, -0x1.b823e7bfe8ce1p-14, -0x1.ac87b746ff623p-14, -0x1.a10a0082e5e28p-14, -0x1.95ab6d348b7ebp-14, -0x1.8a6c9bbe4c5a3p-14, -0x1.7f4e1f802999p-14, -0x1.74508130ec644p-14, -0x1.69743f37728c4p-14, -0x1.5eb9ce016212bp-14, -0x1.54219853ba926p-14, -0x1.49abff9fa17fbp-14, -0x1.3f595c54a8697p-14, -0x1.3529fe2b36a8cp-14, -0x1.2b1e2c7392121p-14, -0x1.21362660d04a8p-14, -0x1.1772234ff92d7p-14, -0x1.0dd25310571d1p-14, -0x1.0456de2773fb7p-14, -0x1.f5ffcc282742cp-15, -0x1.e39b0b2548fbdp-15, -0x1.d17fa1bacb639p-15, -0x1.bfadabd4094b1p-15, -0x1.ae2539499fa93p-15, -0x1.9ce64e5fdafe2p-15, -0x1.8bf0e43732fb6p-15, -0x1.7b44e93aff204p-15, -0x1.6ae2418ec13fap-15, -0x1.5ac8c77e33a1p-15, -0x1.4af84be6b5178p-15, -0x1.3b70969408b4fp-15, -0x1.2c3166ac3bfbdp-15, -0x1.1d3a730b3f7f2p-15, -0x1.0e8b6aa07f798p-15, -0x1.0023f4c7a89adp-15, -0x1.e407634a6136p-16, }}, 
      {{0x1.ffeba2de7f9aep-1, 0x1.ffae92e3d3242p-1, 0x1.ff48e605cb05fp-1, 0x1.febac03db2055p-1, 0x1.fe045314c708dp-1, 0x1.fd25dd3ed3353p-1, 0x1.fc1faa21c46a9p-1, 0x1.faf2113eae65ep-1, 0x1.f99d75858bf03p-1, 0x1.f82244a240f1ap-1, 0x1.f680f64bcad87p-1, 0x1.f4ba0b9700802p-1, 0x1.f2ce0e49e258cp-1, 0x1.f0bd902c0777ap-1, 0x1.ee892a52dd0cep-1, 0x1.ec317c6b366edp-1, 0x1.e9b72c03be8bcp-1, 0x1.e71ae3dca99fp-1, 0x1.e45d5340a73f2p-1, 0x1.e17f2d69ebfdp-1, 0x1.de8128f4bbdf8p-1, 0x1.db63ff5f820dep-1, 0x1.d8286c9784a45p-1, 0x1.d4cf2e90a522cp-1, 0x1.d15904e65ccf6p-1, 0x1.cdc6b08436dd8p-1, 0x1.ca18f35440b39p-1, 0x1.c6508ff2356a7p-1, 0x1.c26e4962807b5p-1, 0x1.be72e2cc7bb33p-1, 0x1.ba5f1f3787021p-1, 0x1.b633c14ad3384p-1, 0x1.b1f18b0fd2b9dp-1, 0x1.ad993db763b95p-1, 0x1.a92b9961dd8a4p-1, 0x1.a4a95cea2d3ep-1, 0x1.a01345b446607p-1, 0x1.9b6a0f7f2056ap-1, 0x1.96ae743a84c52p-1, 0x1.91e12be0e19p-1, 0x1.8d02ec5557a28p-1, 0x1.881469461dccfp-1, 0x1.831654134fb1cp-1, 0x1.7e095bba202cep-1, 0x1.78ee2cc45971ap-1, 0x1.73c5713bfdcap-1, 0x1.6e8fd0a2c61d9p-1, 0x1.694defed2c39fp-1, 0x1.64007180a2bf6p-1, 0x1.5ea7f5348ba31p-1, 0x1.594518557e3bap-1, 0x1.53d875aa67694p-1, 0x1.4e62a57b0fbe2p-1, 0x1.48e43d979a95p-1, 0x1.435dd160980c8p-1, 0x1.3dcff1cf4996bp-1, 0x1.383b2d7dce57ap-1, 0x1.32a010aef0852p-1, 0x1.2cff25555b42cp-1, 0x1.2758f31a1755bp-1, 0x1.21adff622ad82p-1, 0x1.1bfecd5353c92p-1, 0x1.164bddd7d2ebp-1, 0x1.1095afa14f83cp-1, 0x1.0adcbf2adf6ecp-1, 0x1.052186ba45c03p-1, 0x1.fec8fcc109918p-2, 0x1.f34c37f3b6e4dp-2, 0x1.e7cda65aa015ep-2, 0x1.dc4e2ad7ce1c3p-2, 0x1.d0cea3df50097p-2, 0x1.c54feb7522ea4p-2, 0x1.b9d2d72b2e52bp-2, 0x1.ae58381f9b849p-2, 0x1.a2e0dafbb39a3p-2, 0x1.976d87f37ec51p-2, 0x1.8bff02c6475d4p-2, 0x1.80960ac02cbe4p-2, 0x1.75335abce8ae3p-2, 0x1.69d7a92bd9c9fp-2, 0x1.5e83a8156a43ap-2, 0x1.53380521e9634p-2, 0x1.47f569a1d4b4p-2, 0x1.3cbc7a979d2fcp-2, 0x1.318dd8c2e867bp-2, 0x1.266a20ad40ea8p-2, 0x1.1b51eab837a8cp-2, 0x1.1045cb2cde27fp-2, 0x1.0546524c8f674p-2, 0x1.f4a818c5e8345p-3, 0x1.dedf03b24d0bfp-3, 0x1.c9326e93c46c2p-3, 0x1.b3a35b2d417c6p-3, 0x1.9e32c3fb124f3p-3, 0x1.88e19c602bc5cp-3, 0x1.73b0d0d495154p-3, 0x1.5ea14714cc3acp-3, 0x1.49b3de51c7e16p-3, 0x1.34e96f616c843p-3, 0x1.2042ccef2f4c3p-3, 0x1.0bc0c3aca12fbp-3, 0x1.eec83503621d7p-4, 0x1.c65b2578c3e8dp-4, 0x1.9e3bd07f86b2dp-4, 0x1.766ba363e3edep-4, 0x1.4eec0151f10f7p-4, 0x1.27be43acaa5a2p-4, 0x1.00e3ba620b20ep-4, 0x1.b4bb5877b5b08p-5, 0x1.685aae59e26e1p-5, 0x1.1ca7e1356fbc9p-5, 0x1.a34a968a9e465p-6, 0x1.0eaa6d6ed202cp-6, 0x1.edcef136964a1p-8, -0x1.65525e527434ep-10, -0x1.4d57ff4e020fap-7, -0x1.358cb426cc029p-6, -0x1.c2f3429726409p-6, -0x1.276de2c922a4fp-5, -0x1.6ca13947d4f6cp-5, -0x1.b111ccb54f3a3p-5, -0x1.f4bdd1fceef9dp-5, -0x1.1bd1c56dd8723p-4, -0x1.3ce0a2de092c8p-4, -0x1.5d8aaeccbfa31p-4, -0x1.7dcf1cf57e3f4p-4, -0x1.9dad274a5b735p-4, -0x1.bd240df00a216p-4, -0x1.dc33173cf5ca1p-4, -0x1.fad98fbb25473p-4, -0x1.0c8b651662a4dp-3, -0x1.1b750fc990fa5p-3, -0x1.2a29779bdf28p-3, -0x1.38a84f5bbcde2p-3, -0x1.46f14d07aeaf7p-3, -0x1.550429d57ff81p-3, -0x1.62e0a23a177eep-3, -0x1.708675f1de1a4p-3, -0x1.7df568099349p-3, -0x1.8b2d3ee77e266p-3, -0x1.982dc454da2f3p-3, -0x1.a4f6c5877385dp-3, -0x1.b188132b4a407p-3, -0x1.bde1816c3f639p-3, -0x1.ca02e7ff97a46p-3, -0x1.d5ec222d6042cp-3, -0x1.e19d0ed98ca3cp-3, -0x1.ed15908cc3e0bp-3, -0x1.f8558d7ccd94ap-3, -0x1.01ae77ca47093p-2, -0x1.0715d23dc2692p-2, -0x1.0c60cece5f116p-2, -0x1.118f68169818fp-2, -0x1.16a19a98b799ep-2, -0x1.1b9764c15fd86p-2, -0x1.2070c6e9b72c3p-2, -0x1.252dc3593409fp-2, -0x1.29ce5e470e72bp-2, -0x1.2e529ddb43e0bp-2, -0x1.32ba8a2f3df6cp-2, -0x1.37062d4e08992p-2, -0x1.3b35933423bf5p-2, -0x1.3f48c9cee51fep-2, -0x1.433fe0fb72f1cp-2, -0x1.471aea854be3fp-2, -0x1.4ad9fa24690c4p-2, -0x1.4e7d257aeb498p-2, -0x1.5204841267737p-2, -0x1.55702f58bcacdp-2, -0x1.58c0429c866e6p-2, -0x1.5bf4db092737cp-2, -0x1.5f0e17a267f01p-2, -0x1.620c193fb5a3bp-2, -0x1.64ef0286f939p-2, -0x1.67b6f7e711072p-2, -0x1.6a641f91eb6d1p-2, -0x1.6cf6a176442b8p-2, -0x1.6f6ea73908779p-2, -0x1.71cc5c2e6a204p-2, -0x1.740fed5294256p-2, -0x1.763989421e372p-2, -0x1.78496032267d9p-2, -0x1.7a3fa3e828f65p-2, -0x1.7c1c87b18eb23p-2, -0x1.7de0405af957ep-2, -0x1.7f8b042753467p-2, -0x1.811d0ac69ff2dp-2, -0x1.82968d4c969d3p-2, -0x1.83f7c6270920cp-2, -0x1.8540f11419109p-2, -0x1.86724b18414a6p-2, -0x1.878c127434dffp-2, -0x1.888e869a99f03p-2, -0x1.8979e825a0e04p-2, -0x1.8a4e78cc81318p-2, -0x1.8b0c7b58d5cbbp-2, -0x1.8bb4339be9014p-2, -0x1.8c45e663e7118p-2, -0x1.8cc1d97105acp-2, -0x1.8d28536a9b9ebp-2, -0x1.8d799bd430997p-2, -0x1.8db5fb0286c95p-2, -0x1.8dddba10a241p-2, -0x1.8df122d4d1b29p-2, -0x1.8df07fd5b95cep-2, -0x1.8ddc1c3f62cefp-2, -0x1.8db443d85c103p-2, -0x1.8d7942f6dd615p-2, -0x1.8d2b667601763p-2, -0x1.8ccafbab0ca3fp-2, -0x1.8c58505acbce3p-2, -0x1.8bd3b2af071ffp-2, -0x1.8b3d712c1007dp-2, -0x1.8a95daa666f53p-2, -0x1.89dd3e3883d39p-2, -0x1.8913eb38ba3aap-2, -0x1.883a312f3e9b6p-2, -0x1.87505fcc513fap-2, -0x1.8656c6de8c07bp-2, -0x1.854db649590fep-2, -0x1.84357dfb8eb73p-2, -0x1.830e6de635df4p-2, -0x1.81d8d5f37d78fp-2, -0x1.809505fdd5351p-2, -0x1.7f434dc73ac99p-2, -0x1.7de3fcf0b08dcp-2, -0x1.7c7762f1e7fc4p-2, -0x1.7afdcf11151bcp-2, -0x1.7977905afb14cp-2, -0x1.77e4f59b237p-2, -0x1.76464d5449abcp-2, -0x1.749be5b8f9d4ep-2, -0x1.72e60ca45f10fp-2, -0x1.71250f9347cf8p-2, -0x1.6f593b9d5de1ap-2, -0x1.6d82dd6e8da07p-2, -0x1.6ba24140a55edp-2, -0x1.69b7b2d5253c4p-2, -0x1.67c37d6f45f1dp-2, -0x1.65c5ebce2c7a7p-2, -0x1.63bf4827591bcp-2, -0x1.61afdc21442bap-2, -0x1.5f97f0ce2dda9p-2, -0x1.5d77cea722c4ap-2, -0x1.5b4fbd8730e34p-2, -0x1.592004a6cf83fp-2, -0x1.56e8ea9773a9ep-2, -0x1.54aab53f5e7ep-2, -0x1.5265a9d59272ap-2, -0x1.501a0cddfa8a7p-2, -0x1.4dc82225c6d7p-2, -0x1.4b702cbfef3a7p-2, -0x1.49126f01e3e68p-2, -0x1.46af2a8074d56p-2, -0x1.4446a00cd87c8p-2, -0x1.41d90fb1e7b69p-2, -0x1.3f66b8b17e9f5p-2, -0x1.3cefd9820c0dbp-2, -0x1.3a74afcc45ff9p-2, -0x1.37f578690a712p-2, -0x1.35726f5f63d43p-2, -0x1.32ebcfe2b9821p-2, -0x1.3061d451212a2p-2, -0x1.2dd4b631d997bp-2, -0x1.2b44ae33e4b1cp-2, -0x1.28b1f42ccd759p-2, -0x1.261cbf178854fp-2, -0x1.2385451378862p-2, -0x1.20ebbb6398f2dp-2, -0x1.1e50566dc380dp-2, -0x1.1bb349ba14f07p-2, -0x1.1914c7f273ea3p-2, -0x1.167502e235f4bp-2, -0x1.13d42b75dc9afp-2, -0x1.113271baf2adfp-2, -0x1.0e9004e005ab8p-2, -0x1.0bed1334b6e58p-2, -0x1.0949ca29e8ce8p-2, -0x1.06a6565203257p-2, -0x1.0402e36153468p-2, -0x1.015f9c2e80b7bp-2, -0x1.fd7955663127ap-3, -0x1.f8347018624bcp-3, -0x1.f2f0d8f648c6ep-3, -0x1.edaedeccaf307p-3, -0x1.e86eceb443b6cp-3, -0x1.e330f4137be82p-3, -0x1.ddf598a0a0f1fp-3, -0x1.d8bd046406188p-3, -0x1.d3877dba5c362p-3, -0x1.ce5549572869p-3, -0x1.c926aa475c2e2p-3, -0x1.c3fbe1f409a2p-3, -0x1.bed53025392dfp-3, -0x1.b9b2d304da7a7p-3, -0x1.b4950721d267ep-3, -0x1.af7c07731f052p-3, -0x1.aa680d5b1b30bp-3, -0x1.a55950aad3d11p-3, -0x1.a05007a57d99p-3, -0x1.9b4c6703f63b4p-3, -0x1.964ea1f861c3cp-3, -0x1.9156ea31db4b1p-3, -0x1.8c656fe038223p-3, -0x1.877a61b7dc96ap-3, -0x1.8295ecf5a32e8p-3, -0x1.7db83d62d49b9p-3, -0x1.78e17d592ea24p-3, -0x1.7411d5c6fad5bp-3, -0x1.6f496e3330c34p-3, -0x1.6a886cc1a9b5bp-3, -0x1.65cef6375b81bp-3, -0x1.611d2dfea246ap-3, -0x1.5c73362b967f7p-3, -0x1.57d12f8065b77p-3, -0x1.53373971c05b6p-3, -0x1.4ea5722b42433p-3, -0x1.4a1bf693ef775p-3, -0x1.459ae252b0144p-3, -0x1.41224fd2d5dbap-3, -0x1.3cb25848a7ed4p-3, -0x1.384b13b5f3c75p-3, -0x1.33ec98ee9e469p-3, -0x1.2f96fd9d42b98p-3, -0x1.2b4a5647c9277p-3, -0x1.2706b65408e87p-3, -0x1.22cc300c68999p-3, -0x1.1e9ad4a48195dp-3, -0x1.1a72b43dc36f2p-3, -0x1.1653ddec1aecp-3, -0x1.123e5fba93be4p-3, -0x1.0e3246affe9f7p-3, -0x1.0a2f9ed395abp-3, -0x1.063673319fd74p-3, -0x1.0246cde00ba28p-3, -0x1.fcc170062c221p-4, -0x1.f50873a3bade5p-4, -0x1.ed62b535ff072p-4, -0x1.e5d041925c28p-4, -0x1.de5123cf78c19p-4, -0x1.d6e5654e5e87dp-4, -0x1.cf8d0dc38745dp-4, -0x1.c848233fdf341p-4, -0x1.c116aa39c3c94p-4, -0x1.b9f8a595f0f43p-4, -0x1.b2ee16b065894p-4, -0x1.abf6fd6530d2p-4, -0x1.a513581943a07p-4, -0x1.9e4323c326ffep-4, -0x1.97865bf3a22ebp-4, -0x1.90dcfade5b246p-4, -0x1.8a46f9625ed06p-4, -0x1.83c44f129a0bp-4, -0x1.7d54f23e46357p-4, -0x1.76f8d7f93d396p-4, -0x1.70aff42442f9dp-4, -0x1.6a7a397532716p-4, -0x1.6457997f236d3p-4, -0x1.5e4804ba717e3p-4, -0x1.584b6a8cb6c75p-4, -0x1.5261b950af389p-4, -0x1.4c8ade5e0a5f9p-4, -0x1.46c6c6111d60ap-4, -0x1.41155bd291985p-4, -0x1.3b768a1eecb5dp-4, -0x1.35ea3a8e0c2bp-4, -0x1.307055da88af3p-4, -0x1.2b08c3e8fce8cp-4, -0x1.25b36bcf3c9a7p-4, -0x1.207033db77c3dp-4, -0x1.1b3f019b37ee1p-4, -0x1.161fb9e253452p-4, -0x1.111240d1c0062p-4, -0x1.0c1679de5b43ap-4, -0x1.072c47d783812p-4, -0x1.02538cedaf9d9p-4, -0x1.fb185571bf7b4p-5, -0x1.f1ac047df66c5p-5, -0x1.e861e7f42934fp-5, -0x1.df39bfbd2d7dbp-5, -0x1.d6334ac2a6978p-5, -0x1.cd4e46fafae01p-5, -0x1.c48a71751513ep-5, -0x1.bbe78663f18cfp-5, -0x1.b3654129fa3fep-5, -0x1.ab035c642f00bp-5, -0x1.a2c191f51797bp-5, -0x1.9a9f9b0f8e6fp-5, -0x1.929d30415131fp-5, -0x1.8aba097d62a0cp-5, -0x1.82f5de262c5b8p-5, -0x1.7b50651784e11p-5, -0x1.73c954b07476bp-5, -0x1.6c6062dcce15p-5, -0x1.6515451e91cb3p-5, -0x1.5de7b0971ffd8p-5, -0x1.56d75a103e8bp-5, -0x1.4fe3f604e7c59p-5, -0x1.490d38a9ed14p-5, -0x1.4252d5f65c01bp-5, -0x1.3bb481abd15ccp-5, -0x1.3531ef5e6cfa9p-5, -0x1.2ecad27cc57c6p-5, -0x1.287ede5795013p-5, -0x1.224dc62932794p-5, -0x1.1c373d1ce11b4p-5, -0x1.163af655f8caep-5, -0x1.1058a4f6dea64p-5, -0x1.0a8ffc27c1c2ap-5, -0x1.04e0af1d3c77ep-5, -0x1.fe94e23d7d90ep-6, -0x1.f399eb1991df1p-6, -0x1.e8cfdfce14fbfp-6, -0x1.de3627a487142p-6, -0x1.d3cc2a3c08313p-6, -0x1.c9914f947cf9ep-6, -0x1.bf85001965552p-6, -0x1.b5a6a4ac48cccp-6, -0x1.abf5a6aeffbfep-6, -0x1.a271700d708dp-6, -0x1.99196b4728d9p-6, -0x1.8fed03789506p-6, -0x1.86eba463f0972p-6, -0x1.7e14ba79cfd85p-6, -0x1.7567b2e198a1bp-6, -0x1.6ce3fb815ee38p-6, -0x1.64890305cc744p-6, -0x1.5c5638e96a8a4p-6, -0x1.544b0d7bf8943p-6, -0x1.4c66f1e92bc6bp-6, -0x1.44a9583f717a2p-6, -0x1.3d11b37632defp-6, -0x1.359f7773f636cp-6, -0x1.2e5219143bcb6p-6, -0x1.27290e2d050c7p-6, -0x1.2023cd943a9a2p-6, -0x1.1941cf24a8c27p-6, -0x1.12828bc305242p-6, -0x1.0be57d6251107p-6, -0x1.056a1f08721cp-6, -0x1.fe1fd9a45a1dep-7, -0x1.f1acc7ee58302p-7, -0x1.e57a059b63ecdp-7, -0x1.d986919c1b9c7p-7, -0x1.cdd16d2be5affp-7, -0x1.c2599bd6ed625p-7, -0x1.b71e238001cc6p-7, -0x1.ac1e0c661273cp-7, -0x1.a1586128db9p-7, -0x1.96cc2ecdae753p-7, -0x1.8c7884c3b8838p-7, -0x1.825c74e7b4e92p-7, -0x1.78771387a29cbp-7, -0x1.6ec77765cea43p-7, -0x1.654cb9bbafeafp-7, -0x1.5c05f63c7e213p-7, -0x1.52f24b1747213p-7, -0x1.4a10d8f8e6c68p-7, -0x1.4160c30d9c649p-7, -0x1.38e12f0237f4cp-7, -0x1.3091450544bb4p-7, -0x1.28702fc7a4cacp-7, -0x1.207d1c7d085d4p-7, -0x1.18b73adc20ea3p-7, -0x1.111dbd1e94ap-7, -0x1.09afd800a4e1bp-7, -0x1.026cc2c09c794p-7, -0x1.f6a76e3c2d532p-8, -0x1.e8c7e2b1b1848p-8, -0x1.db39605f8788dp-8, -0x1.cdfa69be5085ep-8, -0x1.c109863e93a97p-8, -0x1.b4654244e3072p-8, -0x1.a80c2f25c0015p-8, -0x1.9bfce32110cb7p-8, -0x1.9035f95d94cbap-8, -0x1.84b611e32a66cp-8, -0x1.797bd195e366dp-8, -0x1.6e85e22fd4d6dp-8, -0x1.63d2f23aeacf4p-8, -0x1.5961b50ab148bp-8, -0x1.4f30e2b53b2fep-8, -0x1.453f380ca0a11p-8, -0x1.3b8b76973d619p-8, -0x1.32146488589f2p-8, -0x1.28d8ccb8795e3p-8, -0x1.1fd77e9d5472ep-8, -0x1.170f4e4162f0ep-8, -0x1.0e7f143bc1811p-8, -0x1.0625ada764955p-8, -0x1.fc03f8346c2d6p-9, -0x1.ec25cb384b237p-9, -0x1.dcaea93c63412p-9, -0x1.cd9c6fe1244p-9, -0x1.beed05735aab7p-9, -0x1.b09e58d86a652p-9, -0x1.a2ae617ae33bbp-9, -0x1.951b1f36cf23p-9, -0x1.87e29a456ceeap-9, -0x1.7b02e32935eb2p-9, -0x1.6e7a1298c9fe2p-9, -0x1.6246496b22d8fp-9, -0x1.5665b081e5492p-9, -0x1.4ad678b512f09p-9, -0x1.3f96dabd2a9bdp-9, -0x1.34a5171e509e7p-9, -0x1.29ff7613177b6p-9, -0x1.1fa447763a56cp-9, -0x1.1591e2ad8be6p-9, -0x1.0bc6a694457fcp-9, -0x1.0240f964f0d7p-9, -0x1.f1fe914780193p-10, -0x1.e00012115e4bap-10, -0x1.ce836cd29800bp-10, -0x1.bd85a746bee95p-10, -0x1.ad03d50c4db9fp-10, -0x1.9cfb1779ca04cp-10, -0x1.8d689d71da1dcp-10, -0x1.7e49a3364de73p-10, -0x1.6f9b723d8d3bbp-10, -0x1.615b6105ff4e8p-10, -0x1.5386d2ea208efp-10, -0x1.461b37f57e3b1p-10, -0x1.39160cb84d09ap-10, -0x1.2c74da1ce8776p-10, -0x1.2035353c3bfc1p-10, -0x1.1454bf31fbd52p-10, -0x1.08d124f294ea6p-10, -0x1.fb503e40325b3p-11, -0x1.e5aee3be79f51p-11, -0x1.d0b9d95a42fa9p-11, -0x1.bc6cd46b4bbc9p-11, -0x1.a8c3a052ae873p-11, -0x1.95ba1e25c1643p-11, -0x1.834c445db8889p-11, -0x1.71761e824a6adp-11, -0x1.6033ccdbd1ed4p-11, -0x1.4f81841d4055fp-11, -0x1.3f5b8d17dce74p-11, -0x1.2fbe4467a7b7cp-11, -0x1.20a61a25efd46p-11, -0x1.120f9199feb88p-11, -0x1.03f740ea2379p-11, -0x1.ecb3a19cf22eap-12, -0x1.d267f88866858p-12, -0x1.b9052080c8e3dp-12, -0x1.a084d6cb01efep-12, -0x1.88e0fb6fcae64p-12, -0x1.721390a70e4a1p-12, -0x1.5c16ba4513f4p-12, -0x1.46e4bd288ddbp-12, -0x1.3277feab0227p-12, -0x1.1ecb0410f54eap-12, -0x1.0bd871fec792ep-12, -0x1.f33617d251f2bp-13, -0x1.d01b672035f82p-13, -0x1.ae56d0e31dd1bp-13, -0x1.8dde8e89cc3c5p-13, -0x1.6ea912e6fd28p-13, -0x1.50ad092cae5f8p-13, -0x1.33e153e4bf3d8p-13, -0x1.183d0becaf52ap-13, -0x1.fb6efef55a7fcp-14, -0x1.c890623c4ce4fp-14, -0x1.97cdad962b29ep-14, -0x1.6916b1bf9f78p-14, -0x1.3c5ba26bd7c6fp-14, -0x1.118d145ef3d89p-14, -0x1.d137f7366252fp-15, -0x1.82f353122c7ap-15, -0x1.382f965b9519bp-15, -0x1.e1a19d95c80e1p-16, -0x1.597774896bf5cp-16, -0x1.af570d9a0e644p-17, -0x1.7027f10ae0c85p-18, 0x1.99fb750746d55p-20, 0x1.1305b5a0c4de5p-17, 0x1.e79eecc2264a4p-17, 0x1.58b459c5745d3p-16, 0x1.b85f22bbff598p-16, 0x1.097e21a0ba652p-15, 0x1.345b83d55c779p-15, 0x1.5cdcce540f09cp-15, 0x1.83168aae1345p-15, 0x1.a71cb89002463p-15, 0x1.c902d0ad591dep-15, 0x1.e8dbc79381adp-15, 0x1.035d083a216f8p-14, 0x1.1157cff94151fp-14, 0x1.1e66f7667aaccp-14, 0x1.2a92fe44c4462p-14, 0x1.35e4290cfcfc4p-14, 0x1.40628237973e9p-14, 0x1.4a15db8129399p-14, 0x1.5305cf287b65fp-14, 0x1.5b39c12c3d61ap-14, 0x1.62b8e07ba24dfp-14, 0x1.698a2829e783ep-14, 0x1.6fb46094f4b43p-14, 0x1.753e208ba223p-14, 0x1.7a2dce6ceb2e1p-14, 0x1.7e89a1458618ep-14, 0x1.8257a1e35aac5p-14, 0x1.859dabe8c665ap-14, 0x1.88616ed4840adp-14, 0x1.8aa86f0f2b91bp-14, 0x1.8c7806e96f6d2p-14, 0x1.8dd56798a5b96p-14, 0x1.8ec59a3126904p-14, 0x1.8f4d809f2a7a3p-14, 0x1.8f71d68e9384cp-14, 0x1.8f37325d0b388p-14, 0x1.8ea205fe527e4p-14, 0x1.8db69fde04ad3p-14, 0x1.8c792bc002576p-14, 0x1.8aedb397b6653p-14, 0x1.89182060d2cabp-14, 0x1.86fc3aeda6e35p-14, 0x1.849dacb6f4cbp-14, 0x1.820000a37f516p-14, 0x1.7f26a3cf22a77p-14, 0x1.7c14e64c1f0b9p-14, 0x1.78cdfbddb83b1p-14, 0x1.7554fcb631cd3p-14, 0x1.71ace62b7acecp-14, 0x1.6dd89b675700ap-14, 0x1.69dae617fd2edp-14, 0x1.65b6771a92dap-14, 0x1.616de721c8babp-14, 0x1.5d03b75934d67p-14, 0x1.587a52098a57ap-14, 0x1.53d40b3171b9ep-14, 0x1.4f1321217c4ccp-14, 0x1.4a39bd12be6fdp-14, 0x1.4549f3b8baf37p-14, 0x1.4045c5d0dd8ep-14, 0x1.3b2f20b25808fp-14, 0x1.3607ded5155dep-14, 0x1.30d1c858e3c4fp-14, 0x1.2b8e938be2b15p-14, 0x1.263fe567925dep-14, 0x1.20e752118488bp-14, 0x1.1b865d54f60cap-14, 0x1.161e7b1cb95e1p-14, 0x1.10b10fe84664ep-14, 0x1.0b3f713e1e556p-14, 0x1.05cae61c1319cp-14, 0x1.0054a767330b2p-14, 0x1.f5bbc0a54afa5p-15, 0x1.eacf5d97d26c7p-15, 0x1.dfe647c1db0cep-15, 0x1.d502884623acdp-15, 0x1.ca261010a14eep-15, 0x1.bf52b8946d75p-15, 0x1.b48a4486c596dp-15, 0x1.a9ce60952526cp-15, 0x1.9f20a415d8bdcp-15, 0x1.948291b1a505p-15, 0x1.89f5980ec5b2fp-15, 0x1.7f7b1276177fdp-15, 0x1.7514496fe3783p-15, 0x1.6ac273629b81ep-15, 0x1.6086b528d2496p-15, 0x1.566222a9f8969p-15, 0x1.4c55bf662bf2bp-15, 0x1.42627f0719f13p-15, 0x1.388945e5cf499p-15, 0x1.2ecae991fdfffp-15, 0x1.25283156b0f26p-15, 0x1.1ba1d6b4dd53ep-15, 0x1.123885e21b5cbp-15, 0x1.08ecde41a891fp-15, 0x1.ff7ee5b135e5cp-16, 0x1.ed61957a9fb4bp-16, 0x1.db82c3148fa27p-16, 0x1.c9e34f91ac5f1p-16, 0x1.b88406b654933p-16, 0x1.a7659fc1a43f9p-16, 0x1.9688be365f72ap-16, 0x1.85edf29dcab67p-16, 0x1.7595bb437167ep-16, 0x1.658084e6a0307p-16, 0x1.55aeab735dabdp-16, 0x1.46207aac41f58p-16, 0x1.36d62ed1aa4f9p-16, 0x1.27cff547a2c3bp-16, 0x1.190ded31ac3fep-16, 0x1.0a90280a2969ep-16, 0x1.f8ad547be8e8fp-17, 0x1.dcc2d76fe334ap-17, 0x1.c160b0df42047p-17, 0x1.a686a1e5a9d93p-17, 0x1.8c3455cfe9077p-17, 0x1.7269632219838p-17, 0x1.59254c8b6b66fp-17, 0x1.406781d82cd15p-17, 0x1.282f60d9ef679p-17, 0x1.107c3655e628fp-17, 0x1.f29a7da6b39cp-18, 0x1.c5434eec01287p-18, 0x1.98f11d99ac1cp-18, 0x1.6da20b380d9afp-18, 0x1.43541f22908ap-18, 0x1.1a05482236f6dp-18, 0x1.e366bb6ffbb5ep-19, 0x1.94b8431cd55a8p-19, 0x1.47fa8192e37dbp-19, 0x1.fa51550ccdf3ep-20, 0x1.687b9b470787cp-20, 0x1.b4d3638824123p-21, 0x1.4044d6fd4c405p-22, -0x1.b4c3af2f0f13ap-23, -0x1.733c48a67467cp-21, -0x1.390ada7b5a51ap-20, -0x1.b4e9cb2831185p-20, -0x1.16a3299236f83p-19, -0x1.5115fad88a91ap-19, -0x1.89d32c547a54ep-19, -0x1.c0e0a0ad65a86p-19, -0x1.f644487596b3dp-19, -0x1.15021050658a9p-18, -0x1.2e131881dc9e7p-18, -0x1.46584572ddbedp-18, -0x1.5dd4a3af8bd8ep-18, -0x1.748b431ad6adp-18, -0x1.8a7f36457c4bp-18, -0x1.9fb391b93c75fp-18, -0x1.b42b6b6fa80ebp-18, -0x1.c7e9da3602c42p-18, -0x1.daf1f520c1f13p-18, -0x1.ed46d308261bep-18, -0x1.feeb8a0524959p-18, -0x1.07f197791771dp-17, -0x1.10186a7d4fdf7p-17, -0x1.17ebc69034b85p-17, -0x1.1f6d32ee06cp-17, -0x1.269e3552dd83bp-17, -0x1.2d8051d19d7f8p-17, -0x1.34150a9d9a56fp-17, -0x1.3a5ddfe5ad7c8p-17, -0x1.405c4fa426efep-17, -0x1.4611d57b0da3ap-17, -0x1.4b7fea8e2f6bep-17, -0x1.50a80557e35dp-17, -0x1.558b998d96047p-17, -0x1.5a2c17ffdef13p-17, -0x1.5e8aee7a635d4p-17, -0x1.62a987a521fdbp-17, -0x1.66894aeec6935p-17, -0x1.6a2b9c709402ep-17, }}, 
      {{0x1.fff93634f5p-1, 0x1.ffe4da503e623p-1, 0x1.ffc2f0bbe4b26p-1, 0x1.ff9380b88a5dap-1, 0x1.ff5694484348p-1, 0x1.ff0c381cfb006p-1, 0x1.feb47b8666679p-1, 0x1.fe4f705c86d4dp-1, 0x1.fddd2ae666faap-1, 0x1.fd5dc1be55e5dp-1, 0x1.fcd14db511bffp-1, 0x1.fc37e9b4c939ep-1, 0x1.fb91b2a438abcp-1, 0x1.fadec749ba3b9p-1, 0x1.fa1f482e1280fp-1, 0x1.f953577edb159p-1, 0x1.f87b18f0a2d1cp-1, 0x1.f796b1a10f5b2p-1, 0x1.f6a647f95e22bp-1, 0x1.f5aa0391b1755p-1, 0x1.f4a20d157fd15p-1, 0x1.f38e8e2969acbp-1, 0x1.f26fb15299f56p-1, 0x1.f145a1dfbdd35p-1, 0x1.f0108bd387cd1p-1, 0x1.eed09bd0a8199p-1, 0x1.ed85ff0717269p-1, 0x1.ec30e3228fcf4p-1, 0x1.ead1763a14187p-1, 0x1.e967e6c05da83p-1, 0x1.e7f463751e459p-1, 0x1.e6771b56f471p-1, 0x1.e4f03d9609f99p-1, 0x1.e35ff98746c86p-1, 0x1.e1c67e98137d4p-1, 0x1.e023fc42a0ddap-1, 0x1.de78a202b5d7cp-1, 0x1.dcc49f4aff442p-1, 0x1.db08237ae12c8p-1, 0x1.d9435dd4d031dp-1, 0x1.d7767d75322f5p-1, 0x1.d5a1b149ca487p-1, 0x1.d3c52809b5e1dp-1, 0x1.d1e1102df850fp-1, 0x1.cff597ea9f99cp-1, 0x1.ce02ed2878fcdp-1, 0x1.cc093d7f5e5aap-1, 0x1.ca08b6311410cp-1, 0x1.c8018424b6a7cp-1, 0x1.c5f3d3e2b3b42p-1, 0x1.c3dfd19145ffp-1, 0x1.c1c5a8f16ecf1p-1, 0x1.bfa5855c63bd8p-1, 0x1.bd7f91c165e05p-1, 0x1.bb53f8a3fa97ep-1, 0x1.b922e41a7a1f4p-1, 0x1.b6ec7dcce989dp-1, 0x1.b4b0eef4195cap-1, 0x1.b2706058f6bc6p-1, 0x1.b02afa540f9efp-1, 0x1.ade0e4cd3b7e6p-1, 0x1.ab92473b60a24p-1, 0x1.a93f48a450f04p-1, 0x1.a6e80f9cb935ep-1, 0x1.a48cc248185cbp-1, 0x1.a22d8658c083cp-1, 0x1.9fca810fd9a2fp-1, 0x1.9d63d73d66d29p-1, 0x1.9af9ad4047d4dp-1, 0x1.988c27063a2fap-1, 0x1.961b680bd6891p-1, 0x1.93a7935c89658p-1, 0x1.9130cb928a239p-1, 0x1.8eb732d6cf1c5p-1, 0x1.8c3aeae100e1fp-1, 0x1.89bc14f76b4bep-1, 0x1.873ad1eef277fp-1, 0x1.84b7422b07934p-1, 0x1.8231859da4e53p-1, 0x1.7fa9bbc74c44fp-1, 0x1.7d2003b710ffp-1, 0x1.7a947c0aa658cp-1, 0x1.780742ee7c5edp-1, 0x1.7578761de5f04p-1, 0x1.72e832e34dbdcp-1, 0x1.705696187798fp-1, 0x1.6dc3bc26d20a4p-1, 0x1.6b2fc107d8641p-1, 0x1.689ac04584738p-1, 0x1.6604d4fad157fp-1, 0x1.636e19d4509abp-1, 0x1.60d6a910d0df2p-1, 0x1.5e3e9c8215485p-1, 0x1.5ba60d8d9f57fp-1, 0x1.590d152d89bbep-1, 0x1.5673cbf17523cp-1, 0x1.53da49ff8329dp-1, 0x1.5140a715630bp-1, 0x1.4ea6fa896c3a7p-1, 0x1.4c0d5b4bc7e84p-1, 0x1.4973dfe7a630ap-1, 0x1.46da9e8481956p-1, 0x1.4441ace76becep-1, 0x1.41a9207464c53p-1, 0x1.3f110e2fbb36ep-1, 0x1.3c798abf73accp-1, 0x1.39e2aa6cb63f8p-1, 0x1.374c812542909p-1, 0x1.34b7227ce485ep-1, 0x1.3222a1aeefd75p-1, 0x1.2f8f119fb7decp-1, 0x1.2cfc84de0ce7ap-1, 0x1.2a6b0da4b4372p-1, 0x1.27dabddbe04d5p-1, 0x1.254ba71aa4f8p-1, 0x1.22bddaa86851ep-1, 0x1.2031697e4c475p-1, 0x1.1da6644895077p-1, 0x1.1b1cdb680670bp-1, 0x1.1894def33a3bep-1, 0x1.160e7eb7edcc2p-1, 0x1.1389ca3c4813ep-1, 0x1.1106d0c013d28p-1, 0x1.0e85a13df1aeep-1, 0x1.0c064a6c7e39fp-1, 0x1.0988dabf6e7c5p-1, 0x1.070d60689fc2fp-1, 0x1.0493e9591e9fdp-1, 0x1.021c83421e15bp-1, 0x1.ff4e772bd1a76p-2, 0x1.fa683f1180d12p-2, 0x1.f58678236dedbp-2, 0x1.f0a93bd6eff49p-2, 0x1.ebd0a32a12b53p-2, 0x1.e6fcc6a4fd484p-2, 0x1.e22dbe5b46079p-2, 0x1.dd63a1ed2c935p-2, 0x1.d89e8888c4729p-2, 0x1.d3de88eb02ad3p-2, 0x1.cf23b960c0d72p-2, 0x1.ca6e2fc7a3f64p-2, 0x1.c5be018ef8d9ep-2, 0x1.c11343b87760ep-2, 0x1.bc6e0ad8fba1ep-2, 0x1.b7ce6b192986cp-2, 0x1.b334783604885p-2, 0x1.aea0458178e64p-2, 0x1.aa11e5e2d5eb5p-2, 0x1.a5896bd73da2fp-2, 0x1.a106e972075d9p-2, 0x1.9c8a705d1a4a2p-2, 0x1.981411d93b4e8p-2, 0x1.93a3debe54b7bp-2, 0x1.8f39e77bb4ad7p-2, 0x1.8ad63c1845eebp-2, 0x1.8678ec32c1134p-2, 0x1.82220701d9685p-2, 0x1.7dd19b5465669p-2, 0x1.7987b79185d6ap-2, 0x1.754469b8c50b3p-2, 0x1.7107bf62384d9p-2, 0x1.6cd1c5bea14adp-2, 0x1.68a289978876ep-2, 0x1.647a174f5f5acp-2, 0x1.60587ae19eed2p-2, 0x1.5c3dbfe2e7ad9p-2, 0x1.5829f1812696p-2, 0x1.541d1a83b92afp-2, 0x1.5017454b9662bp-2, 0x1.4c187bd37cd2fp-2, 0x1.4820c7b01f1ccp-2, 0x1.443032105e6a8p-2, 0x1.4046c3bd7ec6bp-2, 0x1.3c64851b69847p-2, 0x1.38897e28f1dc1p-2, 0x1.34b5b6801ecddp-2, 0x1.30e935567b2d6p-2, 0x1.2d24017d70ac1p-2, 0x1.29662162a2725p-2, 0x1.25af9b10547a5p-2, 0x1.2200742dd66f4p-2, 0x1.1e58b1fff98bcp-2, 0x1.1ab85969898bdp-2, 0x1.171f6eebd10e8p-2, 0x1.138df6a7225d9p-2, 0x1.1003f45b6a524p-2, 0x1.0c816b68cab4ap-2, 0x1.09065ed03970ep-2, 0x1.0592d1342cfefp-2, 0x1.0226c4d9493a1p-2, 0x1.fd84774e381c2p-3, 0x1.f6ca6e51b6ec5p-3, 0x1.f01f711c5a51cp-3, 0x1.e9838157ed3ep-3, 0x1.e2f69ffa68487p-3, 0x1.dc78cd47a89aep-3, 0x1.d60a08d33f7f7p-3, 0x1.cfaa518248f7fp-3, 0x1.c959a58d4dc46p-3, 0x1.c318028239a4dp-3, 0x1.bce565465985cp-3, 0x1.b6c1ca186981ap-3, 0x1.b0ad2c92a90afp-3, 0x1.aaa787ad05f4ap-3, 0x1.a4b0d5bf43f5fp-3, 0x1.9ec910833e91dp-3, 0x1.98f03117293bap-3, 0x1.93262fffde703p-3, 0x1.8d6b052b3c006p-3, 0x1.87bea7f27e7a9p-3, 0x1.82210f1cafee3p-3, 0x1.7c9230e11a33dp-3, 0x1.771202e9bcb9fp-3, 0x1.71a07a55d145ep-3, 0x1.6c3d8bbc50b5p-3, 0x1.66e92b2e816a5p-3, 0x1.61a34c3a8cc5ep-3, 0x1.5c6be1ee13bbp-3, 0x1.5742ded8cd139p-3, 0x1.5228350f29dbp-3, 0x1.4d1bd62cf2c0bp-3, 0x1.481db357f7f28p-3, 0x1.432dbd42b74a9p-3, 0x1.3e4be42f08a56p-3, 0x1.397817f0ce9d9p-3, 0x1.34b247f0a8293p-3, 0x1.2ffa632e9a4c2p-3, 0x1.2b505844c7dd6p-3, 0x1.26b4156a2162p-3, 0x1.2225887514067p-3, 0x1.1da49ede39797p-3, 0x1.193145c308a7fp-3, 0x1.14cb69e87f6f7p-3, 0x1.1072f7bdcfd58p-3, 0x1.0c27db5f06351p-3, 0x1.07ea0097b2104p-3, 0x1.03b952e585344p-3, 0x1.ff2b7af5ecc57p-4, 0x1.f6fe5683abcf4p-4, 0x1.eeeb0dbbd97bcp-4, 0x1.e6f1755f10b2fp-4, 0x1.df1161ac17721p-4, 0x1.d74aa664f49dfp-4, 0x1.cf9d16d3e9afcp-4, 0x1.c80885d07fbb4p-4, 0x1.c08cc5c4687aap-4, 0x1.b929a8b069e84p-4, 0x1.b1df003138408p-4, 0x1.aaac9d843caa7p-4, 0x1.a392518c54d61p-4, 0x1.9c8fecd682c6p-4, 0x1.95a53f9e8c3cbp-4, 0x1.8ed219d3904f9p-4, 0x1.88164b1c8d24ap-4, 0x1.8171a2dcd3bf1p-4, 0x1.7ae3f0386e3fap-4, 0x1.746d02187811cp-4, 0x1.6e0ca72f63741p-4, 0x1.67c2adfd3254dp-4, 0x1.618ee4d39a9a5p-4, 0x1.5b7119da1e1a3p-4, 0x1.55691b1211ad4p-4, 0x1.4f76b65a8e735p-4, 0x1.4999b9745ad1bp-4, 0x1.43d1f205ba49fp-4, 0x1.3e1f2d9e3349bp-4, 0x1.388139ba3b4abp-4, 0x1.32f7e3c6dc9e4p-4, 0x1.2d82f92541a77p-4, 0x1.2822472e33f2bp-4, 0x1.22d59b3587f27p-4, 0x1.1d9cc28d78e7dp-4, 0x1.18778a89f08e9p-4, 0x1.1365c083c13fp-4, 0x1.0e6731dbce49ap-4, 0x1.097babfe1dcf7p-4, 0x1.04a2fc64e3bd2p-4, 0x1.ffb9e136d9dddp-5, 0x1.f652ac821503p-5, 0x1.ed0ff617ba3d1p-5, 0x1.e3f15997338d1p-5, 0x1.daf672d869d74p-5, 0x1.d21eddf10f226p-5, 0x1.c96a3739aec8ep-5, 0x1.c0d81b52b5ec6p-5, 0x1.b868272942e9dp-5, 0x1.b019f7fbe931p-5, 0x1.a7ed2b5f44e85p-5, 0x1.9fe15f4279742p-5, 0x1.97f631f3894a4p-5, 0x1.902b422394166p-5, 0x1.88802eeaf0a0cp-5, 0x1.80f497cd2c516p-5, 0x1.79881cbce34cp-5, 0x1.723a5e1f8be03p-5, 0x1.6b0afcd10de7dp-5, 0x1.63f99a2750a55p-5, 0x1.5d05d7f5a1edbp-5, 0x1.562f588ff96f8p-5, 0x1.4f75bece316bap-5, 0x1.48d8ae0f14db7p-5, 0x1.4257ca3b54f59p-5, 0x1.3bf2b7c86996bp-5, 0x1.35a91bbb4f2f5p-5, 0x1.2f7a9bab28e56p-5, 0x1.2966ddc3d71a2p-5, 0x1.236d88c85a36dp-5, 0x1.1d8e44153d37ap-5, 0x1.17c8b7a2c3b17p-5, 0x1.121c8c071d798p-5, 0x1.0c896a786b80fp-5, 0x1.070efccebcf33p-5, 0x1.01aced85ec4f5p-5, 0x1.f8c5cf7ec70dap-6, 0x1.ee612e87a1f58p-6, 0x1.e42b51097ff33p-6, 0x1.da23913c3c799p-6, 0x1.d0494aaf4e05ep-6, 0x1.c69bda4c83b3dp-6, 0x1.bd1a9e5a815f1p-6, 0x1.b3c4f67f32a02p-6, 0x1.aa9a43c1ea0bp-6, 0x1.a199e88d86c41p-6, 0x1.98c348b24d609p-6, 0x1.9015c967b855bp-6, 0x1.8790d14e0d4b8p-6, 0x1.7f33c86fd7b2ap-6, 0x1.76fe18434463p-6, 0x1.6eef2bab4b44fp-6, 0x1.67066ef8c6ae9p-6, 0x1.5f434feb597e6p-6, 0x1.57a53db245bbap-6, 0x1.502ba8ed15789p-6, 0x1.48d603ac28f7cp-6, 0x1.41a3c1711ed13p-6, 0x1.3a94572f37defp-6, 0x1.33a73b4b71464p-6, 0x1.2cdbe59ca9c35p-6, 0x1.2631cf6b9a9fep-6, 0x1.1fa87372b5ec2p-6, 0x1.193f4ddde72ap-6, 0x1.12f5dc4a43c8cp-6, 0x1.0ccb9dc58e976p-6, 0x1.06c012cdc2f4fp-6, 0x1.00d2bd505e8f2p-6, 0x1.f60641537ad98p-7, 0x1.eaa18348717f7p-7, 0x1.df764cee9f219p-7, 0x1.d483ad8d48fdep-7, 0x1.c9c8b741d2657p-7, 0x1.bf447efd8e02p-7, 0x1.b4f61c833238fp-7, 0x1.aadcaa6446841p-7, 0x1.a0f745fe6f046p-7, 0x1.97450f787fc8ap-7, 0x1.8dc529bf8098fp-7, 0x1.8476ba8378771p-7, 0x1.7b58ea342c73cp-7, 0x1.726ae3fdb5b41p-7, 0x1.69abd5c4f5af6p-7, 0x1.611af023f551bp-7, 0x1.58b766661f85dp-7, 0x1.50806e845cc9ap-7, 0x1.4875412122176p-7, 0x1.40951984552adp-7, 0x1.38df359722faep-7, 0x1.3152d5dfbc96bp-7, 0x1.29ef3d7cfd354p-7, 0x1.22b3b221e775ap-7, 0x1.1b9f7c113b3f6p-7, 0x1.14b1e618c2507p-7, 0x1.0dea3d8cacb21p-7, 0x1.0747d242c024ap-7, 0x1.00c9f68da5cdep-7, 0x1.f4dffe6fbbfp-8, 0x1.e87286fddbe32p-8, 0x1.dc4a3a1c93e5cp-8, 0x1.d065cff4912b2p-8, 0x1.c4c40575fefecp-8, 0x1.b9639c4e4d9d2p-8, 0x1.ae435adda139fp-8, 0x1.a3620c2c527a6p-8, 0x1.98be7fe065a55p-8, 0x1.8e578a32c8afcp-8, 0x1.842c03e49dabcp-8, 0x1.7a3aca345f801p-8, 0x1.7082bed2fc34ep-8, 0x1.6702c7d8f3324p-8, 0x1.5db9cfbb52d71p-8, 0x1.54a6c540b4a85p-8, 0x1.4bc89b760e6f3p-8, 0x1.431e49a3bd0bp-8, 0x1.3aa6cb4243d3fp-8, 0x1.32611fef30051p-8, 0x1.2a4c4b61dc577p-8, 0x1.2267556049ba4p-8, 0x1.1ab149b3d0ea7p-8, 0x1.1329381df979fp-8, 0x1.0bce344d3bbb3p-8, 0x1.049f55d1a3b56p-8, 0x1.fb37702398f7bp-9, 0x1.ed84f47ec4f76p-9, 0x1.e0257e9837747p-9, 0x1.d3175bbce44d3p-9, 0x1.c658e08cde2d2p-9, 0x1.b9e868e4e005p-9, 0x1.adc457c82040cp-9, 0x1.a1eb174a18bbdp-9, 0x1.965b187826bd2p-9, 0x1.8b12d343a7ecap-9, 0x1.8010c66ba3511p-9, 0x1.75537766ea364p-9, 0x1.6ad9724e4966fp-9, 0x1.60a149c68a8c8p-9, 0x1.56a996ead3922p-9, 0x1.4cf0f936f8854p-9, 0x1.43761671fcbf9p-9, 0x1.3a379a987d8c5p-9, 0x1.313437c7a2393p-9, 0x1.286aa627b3c4fp-9, 0x1.1fd9a3d710e0ep-9, 0x1.177ff4d53ab76p-9, 0x1.0f5c62ee06da6p-9, 0x1.076dbda4bfbdbp-9, 0x1.ff65b43fb9419p-10, 0x1.f05526286279p-10, 0x1.e1a79161e8f9ap-10, 0x1.d35ac116b2e84p-10, 0x1.c56c8b157afa1p-10, 0x1.b7dacfa9247c6p-10, 0x1.aaa37971bbfa1p-10, 0x1.9dc47d3d0869dp-10, 0x1.913bd9dfe044ap-10, 0x1.8507980fb2675p-10, 0x1.7925ca3c1eb64p-10, 0x1.6d948c696ff06p-10, 0x1.6252040ab26d1p-10, 0x1.575c5fdd15dep-10, 0x1.4cb1d7c240d9fp-10, 0x1.4250ac9caed2p-10, 0x1.3837282ae4ca9p-10, 0x1.2e639ce3d191p-10, 0x1.24d465d3663d3p-10, 0x1.1b87e67748989p-10, 0x1.127c8a9c55cf1p-10, 0x1.09b0c63bc7adbp-10, 0x1.012315596d7f9p-10, 0x1.f1a3f7c436d27p-11, 0x1.e1780b13b97c1p-11, 0x1.d1bf8b5683e55p-11, 0x1.c277ae4d8c694p-11, 0x1.b39db884bbc0ap-11, 0x1.a52efd1367692p-11, 0x1.9728dd5d22846p-11, 0x1.8988c8d3202eap-11, 0x1.7c4c3cb6fde51p-11, 0x1.6f70c3dd74073p-11, 0x1.62f3f67264b97p-11, 0x1.56d379bd6fa2ep-11, 0x1.4b0cffe6d84fp-11, 0x1.3f9e47bdfef51p-11, 0x1.34851c7fbfcdcp-11, 0x1.29bf559e13104p-11, 0x1.1f4ad688032e4p-11, 0x1.15258e72b6e82p-11, 0x1.0b4d78230904ep-11, 0x1.01c099b7b5c7fp-11, 0x1.f0fa08e8ebf1p-12, 0x1.df01a91b452f1p-12, 0x1.cd9461e9d04dbp-12, 0x1.bcae964be5045p-12, 0x1.ac4cbde96bd93p-12, 0x1.9c6b64b73709fp-12, 0x1.8d072a961a049p-12, 0x1.7e1cc2f2310fdp-12, 0x1.6fa8f46478472p-12, 0x1.61a89854ab8b1p-12, 0x1.54189a9e33d23p-12, 0x1.46f5f934bee8p-12, 0x1.3a3dc3cab24d8p-12, 0x1.2ded1b798d7fp-12, 0x1.2201326a6e006p-12, 0x1.16774b81b8a88p-12, 0x1.0b4cba09df7dap-12, 0x1.007ee160b9fecp-12, 0x1.ec16694c7fb8ep-13, 0x1.d7de6cd7fd2efp-13, 0x1.c450f0cbac2b4p-13, 0x1.b169363872d93p-13, 0x1.9f229b3faa84dp-13, 0x1.8d789a7adc0cfp-13, 0x1.7c66ca68e8577p-13, 0x1.6be8dcdbfb6e9p-13, 0x1.5bfa9e6892573p-13, 0x1.4c97f5d9335c6p-13, 0x1.3dbce3a379076p-13, 0x1.2f65815ef8ab7p-13, 0x1.218e013fb8797p-13, 0x1.1432ad9146cddp-13, 0x1.074fe83536b09p-13, 0x1.f5c45445de017p-14, 0x1.ddcc05d6c4a6p-14, 0x1.c6b03078542e6p-14, 0x1.b06a4acfe1d93p-14, 0x1.9af3f5dbe956bp-14, 0x1.8646fc0b1b8a2p-14, 0x1.725d5057f3cd3p-14, 0x1.5f310d641c617p-14, 0x1.4cbc749c418cp-14, 0x1.3af9ed5ea6234p-14, 0x1.29e40424083e6p-14, 0x1.197569adf4109p-14, 0x1.09a8f239e4cacp-14, 0x1.f4f3296877bedp-15, 0x1.d7c4d3e7b5a6dp-15, 0x1.bbbd57eabbe08p-15, 0x1.a0d36a396d6acp-15, 0x1.86fdfef2f7522p-15, 0x1.6e34481b20152p-15, 0x1.566db432ec6e3p-15, 0x1.3fa1ecd461137p-15, 0x1.29c8d555414a1p-15, 0x1.14da89746c35cp-15, 0x1.00cf5c07fae94p-15, 0x1.db3fab6f744dcp-16, 0x1.b6896775f1dd5p-16, 0x1.936dcd32ce114p-16, 0x1.71df21f356932p-16, 0x1.51d00ce10639p-16, 0x1.333394ac160edp-16, 0x1.15fd1d45d9868p-16, 0x1.f440cb4fb89c9p-17, 0x1.bf230b4ba418p-17, 0x1.8c89d784abe76p-17, 0x1.5c5eb637b48cap-17, 0x1.2e8bd2add0c5dp-17, 0x1.02fbf94a793d7p-17, 0x1.b3352707c20e2p-18, 0x1.64a74829e9f7bp-18, 0x1.1a2786520ab89p-18, 0x1.a7206acd9aca6p-19, 0x1.21798b2208cddp-19, 0x1.4626f07a0b438p-20, 0x1.5d4ac918a3c04p-22, -0x1.141e7155ff2f7p-21, -0x1.5e8061d067fbfp-20, -0x1.133f38d82a13ap-19, -0x1.7141a0b7a7c8bp-19, -0x1.c98279d121ae2p-19, -0x1.0e1d83411b417p-18, -0x1.34d163072aa05p-18, -0x1.58f7c029cb239p-18, -0x1.7aaaa8a932a21p-18, -0x1.9a035a1629cb8p-18, -0x1.b71a4720fc55cp-18, -0x1.d2071cd890722p-18, -0x1.eae0c7f2903ep-18, -0x1.00debcf080176p-17, -0x1.0b5956eb48bcfp-17, -0x1.14ea96cd4e83dp-17, -0x1.1d9c8b2be5adcp-17, -0x1.2578eea4eda5bp-17, -0x1.2c892a1f80bd9p-17, -0x1.32d657093a02dp-17, -0x1.3869417aed57ap-17, -0x1.3d4a6a5f7e938p-17, -0x1.41820984c89d5p-17, -0x1.45180f9f86a1p-17, -0x1.48142848238c9p-17, -0x1.4a7dbbe995384p-17, -0x1.4c5bf1a09af5ap-17, -0x1.4db5b11424d3dp-17, -0x1.4e91a44128838p-17, -0x1.4ef63938b8ce9p-17, -0x1.4ee9a3d859534p-17, -0x1.4e71df763d637p-17, -0x1.4d94b0817d47p-17, -0x1.4c57a618db1cfp-17, -0x1.4ac01b977bdafp-17, -0x1.48d33a188b013p-17, -0x1.4695f9f259437p-17, -0x1.440d2421e334dp-17, -0x1.413d53b26dc69p-17, -0x1.3e2af72140cf9p-17, -0x1.3ada51afa2ed4p-17, -0x1.374f7cafb5f11p-17, -0x1.338e68ca00f15p-17, -0x1.2f9adf37916d3p-17, -0x1.2b7882fa2c3ffp-17, -0x1.272ad20430928p-17, -0x1.22b5265c74aa1p-17, -0x1.1e1ab73f33026p-17, -0x1.195e9a31b4324p-17, -0x1.1483c41230128p-17, -0x1.0f8d0a1c12cd9p-17, -0x1.0a7d22ec9765fp-17, -0x1.0556a77acaaa6p-17, -0x1.001c140aefb37p-17, -0x1.f59f9230d217ap-18, -0x1.eae8187ed8c23p-18, -0x1.e01612335fa06p-18, -0x1.d52da43820bcap-18, -0x1.ca32c2d5fdf2dp-18, -0x1.bf29334deb541p-18, -0x1.b4148d6944a6ap-18, -0x1.a8f83d0953a86p-18, -0x1.9dd7839eb1cb7p-18, -0x1.92b5799463f32p-18, -0x1.87950fbbbc7ep-18, -0x1.7c7910ad90067p-18, -0x1.716422177c753p-18, -0x1.6658c60c11f32p-18, -0x1.5b595c3ee2a74p-18, -0x1.5068233e9c128p-18, -0x1.458739a3cfb3bp-18, -0x1.3ab89f344fdd4p-18, -0x1.2ffe36062d6c7p-18, -0x1.2559c38d6d5ffp-18, -0x1.1accf1ad75968p-18, -0x1.10594fbd2bd3ep-18, -0x1.0600538905e1ep-18, -0x1.f786b4895841ap-19, -0x1.e34752f2ec654p-19, -0x1.cf44dfe8226a5p-19, -0x1.bb818d442fa39p-19, -0x1.a7ff62d29e7b7p-19, -0x1.94c03fff59186p-19, -0x1.81c5dd6db5dep-19, -0x1.6f11ce811b288p-19, -0x1.5ca582e223361p-19, -0x1.4a8247fd78e43p-19, -0x1.38a94a622b25p-19, -0x1.271b97255b473p-19, -0x1.15da1d37efffap-19, -0x1.04e5aeac3e518p-19, -0x1.e87e03ec7916ep-20, -0x1.c7cd6646353a5p-20, -0x1.a7ba89f607d05p-20, -0x1.8846444c4d54p-20, -0x1.69713c9b0ad5ep-20, -0x1.4b3bee3a7977ep-20, -0x1.2da6aaa2e74d6p-20, -0x1.10b19b5ae3205p-20, -0x1.e8b987e087d08p-21, -0x1.b150079d378e4p-21, -0x1.7b262ff19af9ep-21, -0x1.463b399611f56p-21, -0x1.128e1f60c58aep-21, -0x1.c03b42a5ce1fdp-22, -0x1.5dd08f8b533c1p-22, -0x1.fbb19a191107p-23, -0x1.40a07e61eff9cp-23, -0x1.14cb304dd5b89p-24, 0x1.383febb9dec2p-26, 0x1.a7639be9caf78p-24, 0x1.7ba2015d878d2p-23, 0x1.0f71a95e51aafp-22, 0x1.5ec08394f3829p-22, 0x1.abc3722aff7fp-22, 0x1.f680940422f46p-22, 0x1.1f7f20054d045p-21, 0x1.42a1808676694p-21, 0x1.64aac90bc6d3ap-21, 0x1.859e6d3e088bbp-21, 0x1.a57ff5413e806p-21, 0x1.c452fbefffd39p-21, 0x1.e21b2d46d6779p-21, 0x1.fedc44ccfe56p-21, 0x1.0d4d0603942aap-20, 0x1.1aac2c9018e9ap-20, 0x1.278d86baefefcp-20, 0x1.33f30a19b328bp-20, 0x1.3fdeb092e2cd9p-20, 0x1.4b5277c58eac3p-20, 0x1.56506066b6282p-20, 0x1.60da6db96520cp-20, 0x1.6af2a5050bbecp-20, 0x1.749b0d157f452p-20, 0x1.7dd5adbfdca74p-20, 0x1.86a48f67ce44ep-20, 0x1.8f09ba8d99d9ap-20, 0x1.9707376c809b1p-20, 0x1.9e9f0d8a4878p-20, 0x1.a5d34356ba236p-20, 0x1.aca5ddd481d06p-20, 0x1.b318e0396eeefp-20, 0x1.b92e4ba040d7p-20, 0x1.bee81ebb0df2cp-20, 0x1.c4485580b462dp-20, 0x1.c950e8f0d7506p-20, 0x1.ce03cec951771p-20, 0x1.d262f94723a18p-20, 0x1.d67056edec09ap-20, 0x1.da2dd24e5b77fp-20, 0x1.dd9d51d218cf3p-20, 0x1.e0c0b78bfe50bp-20, 0x1.e399e10812db2p-20, 0x1.e62aa71d4f2d5p-20, 0x1.e874ddcccb684p-20, 0x1.ea7a5416349d5p-20, 0x1.ec3cd3d864546p-20, 0x1.edbe21ad88721p-20, 0x1.eefffcd5fe402p-20, 0x1.f0041f119ac2fp-20, 0x1.f0cc3c90f0abdp-20, 0x1.f15a03d95e786p-20, 0x1.f1af1db04dc8cp-20, 0x1.f1cd2d0b6eff2p-20, 0x1.f1b5cf00b1fffp-20, 0x1.f16a9ab45ab8bp-20, 0x1.f0ed214d8af08p-20, 0x1.f03eeded7451ap-20, 0x1.ef6185a5c4265p-20, 0x1.ee56676de1042p-20, 0x1.ed1f0c1bc3f53p-20, 0x1.ebbce662df284p-20, 0x1.ea3162d391483p-20, 0x1.e87de7d1a3ab7p-20, 0x1.e6a3d599ac111p-20, 0x1.e4a4863cdeb8p-20, 0x1.e2814da374e0bp-20, 0x1.e03b79923b818p-20, 0x1.ddd451afa7c5dp-20, 0x1.db4d177f8d79p-20, 0x1.d8a7067075faap-20, 0x1.d5e353e41ea75p-20, 0x1.d3032f2fe09c3p-20, 0x1.d007c1a862d9ep-20, 0x1.ccf22eaa2c46fp-20, 0x1.c9c393a3c8113p-20, 0x1.c67d0820848c4p-20, 0x1.c31f9dd321ecap-20, 0x1.bfac609eeea3dp-20, 0x1.bc2456a8610b9p-20, 0x1.b888805d643b7p-20, 0x1.b4d9d8880f936p-20, 0x1.b11954566125bp-20, 0x1.ad47e36b2dda4p-20, 0x1.a9666fea65fd6p-20, 0x1.a575de8ddcd45p-20, 0x1.a1770ead349a4p-20, 0x1.9d6ada511041p-20, 0x1.99521645c65ebp-20, 0x1.952d922500f93p-20, 0x1.90fe18697bee5p-20, 0x1.8cc46e8115525p-20, 0x1.888154dc23221p-20, 0x1.843586fc1f7b5p-20, 0x1.7fe1bb890e247p-20, 0x1.7b86a45fe397p-20, }}, 
      {{-0x1.5ed9aa6b22baep-7, -0x1.5ef5342fe901ep-6, -0x1.075984e29ed0cp-5, -0x1.5f5e5ae06cc1p-5, -0x1.b791a24118f34p-5, -0x1.07fc528ed0fb2p-4, -0x1.344a9b1292a27p-4, -0x1.60b2d8a37591cp-4, -0x1.8d328c0e98311p-4, -0x1.b9c59a1cf1291p-4, -0x1.e6665b8cce8ep-4, -0x1.0986d667e9a1bp-3, -0x1.1fd98068371b5p-3, -0x1.36263d0136d33p-3, -0x1.4c6785d0ee693p-3, -0x1.6297519708417p-3, -0x1.78af2c465857cp-3, -0x1.8ea851152bcb1p-3, -0x1.a47bc4fe2b0cap-3, -0x1.ba227032b3242p-3, -0x1.cf953542980dbp-3, -0x1.e4cd051cd9d1cp-3, -0x1.f9c2ef747c44p-3, -0x1.073817ba627bdp-2, -0x1.11671a7f47255p-2, -0x1.1b6b55703ef95p-2, -0x1.2541bd4e95d8cp-2, -0x1.2ee7672f4aab1p-2, -0x1.385988d8e58p-2, -0x1.419578ca70ba1p-2, -0x1.4a98ae243b615p-2, -0x1.5360c09cd9f2cp-2, -0x1.5beb689e67cf4p-2, -0x1.64367f9a9a649p-2, -0x1.6c400098a271cp-2, -0x1.740608f6aa588p-2, -0x1.7b86d951e990cp-2, -0x1.82c0d68407727p-2, -0x1.89b28aa26b047p-2, -0x1.905aa5ebd70c8p-2, -0x1.96b7ff9210217p-2, -0x1.9cc9964f9d8f7p-2, -0x1.a28e90bcf194ap-2, -0x1.a8063d5bccd84p-2, -0x1.ad3012535d4b5p-2, -0x1.b20bacdb34aabp-2, -0x1.b698d05669b83p-2, -0x1.bad765232a67dp-2, -0x1.bec7772547942p-2, -0x1.c2693414358adp-2, -0x1.c5bce9963a4cp-2, -0x1.c8c30333510dp-2, -0x1.cb7c082aa91c3p-2, -0x1.cde89935885ep-2, -0x1.d0096e41eeb9fp-2, -0x1.d1df542eae0b3p-2, -0x1.d36b2a91acd4bp-2, -0x1.d4ade1900a722p-2, -0x1.d5a877cea6c04p-2, -0x1.d65bf8806264p-2, -0x1.d6c979963180ep-2, -0x1.d6f21a13fe20fp-2, -0x1.d6d7008c30e5ep-2, -0x1.d67959c2c6e8fp-2, -0x1.d5da5777e3a29p-2, -0x1.d4fb2f5919d14p-2, -0x1.d3dd1a17ed2f6p-2, -0x1.d28152a38913cp-2, -0x1.d0e9158343d23p-2, -0x1.cf15a04f28932p-2, -0x1.cd083143924b1p-2, -0x1.cac206ecc8154p-2, -0x1.c8445fe775aadp-2, -0x1.c5907ab2efc8ep-2, -0x1.c2a7959244a0dp-2, -0x1.bf8aee7940717p-2, -0x1.bc3bc302b911ep-2, -0x1.b8bb506dad45cp-2, -0x1.b50ad39f0323ap-2, -0x1.b12b8925e0597p-2, -0x1.ad1ead40ee9d1p-2, -0x1.a8e57be30780dp-2, -0x1.a48130b61048fp-2, -0x1.9ff3071b09509p-2, -0x1.9b3c3a268409fp-2, -0x1.965e0498f3bfap-2, -0x1.9159a0d276213p-2, -0x1.8c3048c1e3aacp-2, -0x1.86e335cf1109dp-2, -0x1.8173a0c065ffp-2, -0x1.7be2c19beb2aep-2, -0x1.7631cf842b209p-2, -0x1.70620091373afp-2, -0x1.6a7489a64a78p-2, -0x1.646a9e447e765p-2, -0x1.5e45705b1a7b1p-2, -0x1.5806301602336p-2, -0x1.51ae0baacac68p-2, -0x1.4b3e2f2506086p-2, -0x1.44b7c43244ab5p-2, -0x1.3e1bf1ee4ef9fp-2, -0x1.376bdcb01172ap-2, -0x1.30a8a5d7ad6b4p-2, -0x1.29d36b9e14357p-2, -0x1.22ed48e68fb93p-2, -0x1.1bf7551286ce4p-2, -0x1.14f2a3d7cd603p-2, -0x1.0de04519b9895p-2, -0x1.06c144c5334c8p-2, -0x1.ff2d555fcde7fp-3, -0x1.f0c2f4f5745fep-3, -0x1.e24566ef2cdb3p-3, -0x1.d3b6a1252cf36p-3, -0x1.c518907d28b4cp-3, -0x1.b66d18ca30838p-3, -0x1.a7b614b3299c3p-3, -0x1.98f5559fc3489p-3, -0x1.8a2ca3abaa53cp-3, -0x1.7b5dbd9fc354cp-3, -0x1.6c8a58f11ae1fp-3, -0x1.5db421c547f28p-3, -0x1.4edcbafbd43d3p-3, -0x1.4005be3c6273bp-3, -0x1.3130bc0928cc9p-3, -0x1.225f3bd55c764p-3, -0x1.1392bc1f270a7p-3, -0x1.04ccb28cc61efp-3, -0x1.ec1d1818da569p-4, -0x1.ceb359ed0af4ep-4, -0x1.b15ee263cc423p-4, -0x1.942258b35be2cp-4, -0x1.770053c8b597p-4, -0x1.59fb5a9793b41p-4, -0x1.3d15e46b980a5p-4, -0x1.20525939ff6b9p-4, -0x1.03b311f349c2cp-4, -0x1.ce74b1a89d7d8p-5, -0x1.95d4d36c79c63p-5, -0x1.5d8ae4ba24ccp-5, -0x1.259b25883c162p-5, -0x1.dc1375a0ef332p-6, -0x1.6db55e3d86adbp-6, -0x1.0023e63531016p-6, -0x1.26cd7827ea30ep-7, -0x1.3c2ae4dc0085p-9, 0x1.0de3b1492036cp-8, 0x1.5b1a05ae9d134p-7, 0x1.16affa4c2e3ecp-6, 0x1.7edb14822b7d4p-6, 0x1.e607c1145ac33p-6, 0x1.2617ce63eb0f2p-5, 0x1.58a6387d7a46p-5, 0x1.8aac199193a68p-5, 0x1.bc26822c9a585p-5, 0x1.ed129879a87d9p-5, 0x1.0eb6cc0b2392cp-4, 0x1.269a68f647183p-4, 0x1.3e32d609a8821p-4, 0x1.557ed0d9ffb46p-4, 0x1.6c7d217aee798p-4, 0x1.832c9a771313p-4, 0x1.998c18ca5fdc8p-4, 0x1.af9a83de7f003p-4, 0x1.c556cd891480fp-4, 0x1.dabff20b9103bp-4, 0x1.efd4f81481ff9p-4, 0x1.024a7860ff5f7p-3, 0x1.0c7f7bd28ea0fp-3, 0x1.1689196312909p-3, 0x1.2066e954a9585p-3, 0x1.2a188929f74a6p-3, 0x1.339d9ba8cc2dbp-3, 0x1.3cf5c8dcbedd8p-3, 0x1.4620be19ae859p-3, 0x1.4f1e2dfe11bb4p-3, 0x1.57edd07501db6p-3, 0x1.608f62b7e05fbp-3, 0x1.6902a74f970c1p-3, 0x1.7147661550a6cp-3, 0x1.795d6c32a4f2cp-3, 0x1.81448c211f4dap-3, 0x1.88fc9da91c69cp-3, 0x1.90857ddfe3e1bp-3, 0x1.97df0f2503cd1p-3, 0x1.9f09391ed3f2dp-3, 0x1.a603e8b6241dcp-3, 0x1.accf1011069ffp-3, 0x1.b36aa68cae385p-3, 0x1.b9d6a8b66826ep-3, 0x1.c01318439d52cp-3, 0x1.c61ffc08de076p-3, 0x1.cbfd5feffaeb6p-3, 0x1.d1ab54ed26ccfp-3, 0x1.d729f0f31bfa2p-3, 0x1.dc794ee65259ap-3, 0x1.e1998e8f390fdp-3, 0x1.e68ad48b87ecdp-3, 0x1.eb4d4a3e97ec9p-3, 0x1.efe11dc0da88bp-3, 0x1.f44681ce68d2dp-3, 0x1.f87dadb4b5c7p-3, 0x1.fc86dd3f62135p-3, 0x1.0031285222c82p-2, 0x1.0208263754912p-2, 0x1.03c88cb4dffcdp-2, 0x1.0572824531697p-2, 0x1.07062f6c0ef73p-2, 0x1.0883beaac950ep-2, 0x1.09eb5c741c68ep-2, 0x1.0b3d371fc653p-2, 0x1.0c797eddd51c8p-2, 0x1.0da065a9b54efp-2, 0x1.0eb21f3d011e7p-2, 0x1.0faee1021a606p-2, 0x1.1096e206902b9p-2, 0x1.116a5aed55da5p-2, 0x1.122985e0d2777p-2, 0x1.12d49e84cd6c2p-2, 0x1.136be1e837ff3p-2, 0x1.13ef8e76df14p-2, 0x1.145fe3eb0ae1dp-2, 0x1.14bd233f075bp-2, 0x1.15078e9ea51b1p-2, 0x1.153f6958b2dap-2, 0x1.1564f7d0727a3p-2, 0x1.15787f6f119bp-2, 0x1.157a4695245dcp-2, 0x1.156a948c2d5d2p-2, 0x1.1549b17834986p-2, 0x1.1517e6496b8fep-2, 0x1.14d57cadeb553p-2, 0x1.1482bf038acaep-2, 0x1.141ff849cf48p-2, 0x1.13ad7414030ebp-2, 0x1.132b7e7b67e7ep-2, 0x1.129a6411969b7p-2, 0x1.11fa71d30198p-2, 0x1.114bf519abf01p-2, 0x1.108f3b9005496p-2, 0x1.0fc49324004a9p-2, 0x1.0eec49fa55e4fp-2, 0x1.0e06ae62038d7p-2, 0x1.0d140ec7fc79bp-2, 0x1.0c14b9ab18703p-2, 0x1.0b08fd903df7bp-2, 0x1.09f128f6c6241p-2, 0x1.08cd8a4d241e2p-2, 0x1.079e6fe5caae6p-2, 0x1.066427ec50ac5p-2, 0x1.051f005add8e8p-2, 0x1.03cf46efd46e3p-2, 0x1.02754923c6bb9p-2, 0x1.0111541fa8796p-2, 0x1.ff476966a03cep-3, 0x1.fc596e986d59fp-3, 0x1.f9594fd906df6p-3, 0x1.f647a444b8a5bp-3, 0x1.f32501fefcbbap-3, 0x1.eff1fe2239f82p-3, 0x1.ecaf2cb018141p-3, 0x1.e95d20825977ep-3, 0x1.e5fc6b3c4a91cp-3, 0x1.e28d9d3cbfaa8p-3, 0x1.df1145909bf31p-3, 0x1.db87f1e5ec584p-3, 0x1.d7f22e7f88092p-3, 0x1.d45086294220fp-3, 0x1.d0a3822ca3a7bp-3, 0x1.ccebaa462c26dp-3, 0x1.c929849b1fdc7p-3, 0x1.c55d95afd5795p-3, 0x1.c188605e8ed98p-3, 0x1.bdaa65cecdc34p-3, 0x1.b9c4256d32befp-3, 0x1.b5d61ce3d3901p-3, 0x1.b1e0c81314bd6p-3, 0x1.ade4a10afc7c7p-3, 0x1.a9e22004fe1e6p-3, 0x1.a5d9bb5e40a24p-3, 0x1.a1cbe7925962ap-3, 0x1.9db9173675989p-3, 0x1.99a1baf4fb7e6p-3, 0x1.9586418995e1bp-3, 0x1.916717bdb04cp-3, 0x1.8d44a86554cefp-3, 0x1.891f5c5c7d0a7p-3, 0x1.84f79a84bc0a7p-3, 0x1.80cdc7c358bb8p-3, 0x1.7ca246ffba2d3p-3, 0x1.787579223e435p-3, 0x1.7447bd136315ep-3, 0x1.70196fbb4f50cp-3, 0x1.6beaec01ac60ep-3, 0x1.67bc8acdd6d52p-3, 0x1.638ea307624f4p-3, 0x1.5f618996e91a9p-3, 0x1.5b3591672a0b4p-3, 0x1.570b0b666f5fdp-3, 0x1.52e2468841481p-3, 0x1.4ebb8fc757c0fp-3, 0x1.4a973227d5726p-3, 0x1.467576b9bf3e5p-3, 0x1.4256a49bb2442p-3, 0x1.3e3b00fdd6949p-3, 0x1.3a22cf250db6cp-3, 0x1.360e506e55f38p-3, 0x1.31fdc4525fc42p-3, 0x1.2df168695e301p-3, 0x1.29e9786efcfdap-3, 0x1.25e62e469393ap-3, 0x1.21e7c1ff74018p-3, 0x1.1dee69d96fae8p-3, 0x1.19fa5a4980fb5p-3, 0x1.160bc5fe9ab5ep-3, 0x1.1222dde699db4p-3, 0x1.0e3fd1335c4b7p-3, 0x1.0a62cd5ff7275p-3, 0x1.068bfe3608731p-3, 0x1.02bb8dd32daaap-3, 0x1.fde3495d0d4c3p-4, 0x1.f65cd33cbe654p-4, 0x1.eee403bbd485p-4, 0x1.e779222622b0cp-4, 0x1.e01c72a8ae998p-4, 0x1.d8ce365da5a64p-4, 0x1.d18eab58671a6p-4, 0x1.ca5e0cb1aa627p-4, 0x1.c33c9293d31d8p-4, 0x1.bc2a724745275p-4, 0x1.b527de3ee1184p-4, 0x1.ae3506248449ep-4, 0x1.a75216e5a6c4p-4, 0x1.a07f3abff7677p-4, 0x1.99bc994e10b9p-4, 0x1.930a57942c456p-4, 0x1.8c68980cdf29fp-4, 0x1.85d77ab5d96eap-4, 0x1.7f571d1ca6f4ep-4, 0x1.78e79a6b6e1d3p-4, 0x1.72890b75aec73p-4, 0x1.6c3b86c4f397cp-4, 0x1.65ff20a586f26p-4, 0x1.5fd3eb3318762p-4, 0x1.59b9f66555fd8p-4, 0x1.53b1501c7ea39p-4, 0x1.4dba042ddee96p-4, 0x1.47d41c70462cfp-4, 0x1.41ffa0c861622p-4, 0x1.3c3c973508f49p-4, 0x1.368b03db79053p-4, 0x1.30eae91370268p-4, 0x1.2b5c47733cdacp-4, 0x1.25df1ddbad847p-4, 0x1.20736983e83c4p-4, 0x1.1b192605297fbp-4, 0x1.15d04d666551p-4, 0x1.1098d827cac96p-4, 0x1.0b72bd4e2c399p-4, 0x1.065df26e46916p-4, 0x1.015a6bb7e8c33p-4, 0x1.f8d03801fa7e3p-5, 0x1.ef0de9a0df15p-5, 0x1.e56dccd1e07c7p-5, 0x1.dbefbfa730973p-5, 0x1.d2939dd4cbdp-5, 0x1.c95940c535b78p-5, 0x1.c0407faddf151p-5, 0x1.b7492fa34adffp-5, 0x1.ae7323ace62a7p-5, 0x1.a5be2cd89abdap-5, 0x1.9d2a1a4e0964p-5, 0x1.94b6b961820f7p-5, 0x1.8c63d5a6a7338p-5, 0x1.84313902ca671p-5, 0x1.7c1eabbef2789p-5, 0x1.742bf4999bd7fp-5, 0x1.6c58d8d81ffbfp-5, 0x1.64a51c57d1d6ep-5, 0x1.5d10819ed3ec2p-5, 0x1.559ac9ec8be23p-5, 0x1.4e43b549d6bf3p-5, 0x1.470b0298e2b99p-5, 0x1.3ff06fa4c0331p-5, 0x1.38f3b930a16dap-5, 0x1.32149b06c9addp-5, 0x1.2b52d0072b705p-5, 0x1.24ae1235b7cf9p-5, 0x1.1e261ac867e53p-5, 0x1.17baa234e7dfbp-5, 0x1.116b603e04861p-5, 0x1.0b380c00bd9a5p-5, 0x1.05205c011129dp-5, 0x1.fe480c6cf9f4ap-6, 0x1.f28580305ec8ap-6, 0x1.e6f87d51d6408p-6, 0x1.dba06d0543c7ep-6, 0x1.d07cb7c3957d8p-6, 0x1.c58cc560c1b2cp-6, 0x1.bacffd215103fp-6, 0x1.b045c5cf3d71dp-6, 0x1.a5ed85ce54ed1p-6, 0x1.9bc6a32ffabd6p-6, 0x1.91d083c674cc4p-6, 0x1.880a8d379a9bfp-6, 0x1.7e74250eff3edp-6, 0x1.750cb0cf99d42p-6, 0x1.6bd39604da3fp-6, 0x1.62c83a5350cabp-6, 0x1.59ea0388bdcffp-6, 0x1.513857ab9fdfcp-6, 0x1.48b29d0a5c998p-6, 0x1.40583a49ca788p-6, 0x1.3828967357693p-6, 0x1.30231902ac7b8p-6, 0x1.284729f2d940fp-6, 0x1.209431cb0ffb5p-6, 0x1.190999aadf9dbp-6, 0x1.11a6cb5610e92p-6, 0x1.0a6b313ffdd79p-6, 0x1.0356369683b07p-6, 0x1.f8ce8e9931df4p-7, 0x1.eb3ba048ab75dp-7, 0x1.ddf27d7164e87p-7, 0x1.d0f2030da731cp-7, 0x1.c4390fede908cp-7, 0x1.b7c684c9c7724p-7, 0x1.ab9944506d5bep-7, 0x1.9fb0333804ed2p-7, 0x1.940a384c967a5p-7, 0x1.88a63c7e2ae0dp-7, 0x1.7d832aee3585ep-7, 0x1.729ff0fc40565p-7, 0x1.67fb7e520ddap-7, 0x1.5d94c4ef04524p-7, 0x1.536ab932e61aep-7, 0x1.497c51e80e32fp-7, 0x1.3fc8884ce8945p-7, 0x1.364e581d00024p-7, 0x1.2d0cbf993d617p-7, 0x1.2402bf8fdb103p-7, 0x1.1b2f5b637df66p-7, 0x1.1291991217d63p-7, 0x1.0a28813afe86dp-7, 0x1.01f31f24a063bp-7, 0x1.f3e101836897bp-8, 0x1.e43f6d6bd3678p-8, 0x1.d4ffa8b451177p-8, 0x1.c61fdf80b8f58p-8, 0x1.b79e436d78bc7p-8, 0x1.a9790b954b1f4p-8, 0x1.9bae749681adep-8, 0x1.8e3cc0969909p-8, 0x1.81223746105bp-8, 0x1.745d25e2c09afp-8, 0x1.67ebdf399d37dp-8, 0x1.5bccbba7f97bbp-8, 0x1.4ffe191bbbc5dp-8, 0x1.447e5b1342855p-8, 0x1.394bea9c68dd9p-8, 0x1.2e653652d605ep-8, 0x1.23c8b25e01818p-8, 0x1.1974d86e5238ap-8, 0x1.0f6827b9b9d71p-8, 0x1.05a124f7e5c49p-8, 0x1.f83cb4bbc870fp-9, 0x1.e5bcaf31fcb8bp-9, 0x1.d3bf639312d8dp-9, 0x1.c24206f9d6fc4p-9, 0x1.b141d94e502cep-9, 0x1.a0bc253883eep-9, 0x1.90ae4011f3e45p-9, 0x1.811589d6338edp-9, 0x1.71ef6d1350f58p-9, 0x1.63395ed8fd07cp-9, 0x1.54f0dea6a1d18p-9, 0x1.4713765a9b2cep-9, 0x1.399eba1de99a3p-9, 0x1.2c904852273f6p-9, 0x1.1fe5c97d0b767p-9, 0x1.139cf033f09d3p-9, 0x1.07b37907378d5p-9, 0x1.f84e54d92c387p-10, 0x1.e1eba952af0f8p-10, 0x1.cc3aa377a6b39p-10, 0x1.b7370a8967c38p-10, 0x1.a2dcb8e04b338p-10, 0x1.8f279bbc04ec4p-10, 0x1.7c13b3137e91p-10, 0x1.699d1166172edp-10, 0x1.57bfdb88f9fecp-10, 0x1.467848774a3c8p-10, 0x1.35c2a11eb2a02p-10, 0x1.259b402e57141p-10, 0x1.15fe91e3023afp-10, 0x1.06e913d4cb01fp-10, 0x1.f0aea985ea0c9p-11, 0x1.d48be8c0fab67p-11, 0x1.b963463fa2c7fp-11, 0x1.9f2e43fda60e3p-11, 0x1.85e684a3fa8eep-11, 0x1.6d85cb1fa6cb9p-11, 0x1.5605fa3926e73p-11, 0x1.3f611429050c1p-11, 0x1.29913a2ff4f6bp-11, 0x1.1490ac2a3c5d5p-11, 0x1.0059c82858f76p-11, 0x1.d9ce1407faa28p-12, 0x1.b46615eaa991ep-12, 0x1.907102553c22bp-12, 0x1.6de47ebbbffe9p-12, 0x1.4cb668d7f9e32p-12, 0x1.2cdcd5d6225aap-12, 0x1.0e4e11844d33cp-12, 0x1.e2013b0153fabp-13, 0x1.a9d660d811429p-13, 0x1.74096a2d71959p-13, 0x1.4088936ac2dcep-13, 0x1.0f427e28460a8p-13, 0x1.c04c5f19c770dp-14, 0x1.66461d8746329p-14, 0x1.1051c6bd387d5p-14, 0x1.7c9f4f2ff1826p-15, 0x1.c0831e27382a7p-16, 0x1.2d372c155d242p-17, -0x1.09dc58f296657p-17, -0x1.928d9658d7b81p-16, -0x1.4959ad8f1429ep-15, -0x1.c2e6c0668b617p-15, -0x1.1b11daf87bb67p-14, -0x1.51a27ac505189p-14, -0x1.853ed0c125186p-14, -0x1.b5ffce6f5596ap-14, -0x1.e3fdc890cff12p-14, -0x1.07a83cfd83207p-13, -0x1.1c0783328685bp-13, -0x1.2f27fe9981807p-13, -0x1.4114ae18498e6p-13, -0x1.51d8492c59a3ap-13, -0x1.617d4138dab75p-13, -0x1.700dc2e67e755p-13, -0x1.7d93b76e9b4bp-13, -0x1.8a18c5e94443dp-13, -0x1.95a65498e97d8p-13, -0x1.a0458a2ebbd55p-13, -0x1.a9ff4f0b5069cp-13, -0x1.b2dc4e7d5a1ecp-13, -0x1.bae4f7fae34e5p-13, -0x1.c2218056d9524p-13, -0x1.c899e2f3d162bp-13, -0x1.ce55e2ecfc72cp-13, -0x1.d35d0c483d518p-13, -0x1.d7b6b512b9172p-13, -0x1.db69fe8787d7dp-13, -0x1.de7dd62adaf9bp-13, -0x1.e0f8f6e5e9b3dp-13, -0x1.e2e1ea181056ep-13, -0x1.e43f08ac2cf48p-13, -0x1.e5167c23cb89dp-13, -0x1.e56e3fa0d5299p-13, -0x1.e54c20ea483afp-13, -0x1.e4b5c16f32de1p-13, -0x1.e3b097425bd07p-13, -0x1.e241ee146e508p-13, -0x1.e06ee829f458fp-13, -0x1.de3c7f4a8677bp-13, -0x1.dbaf85b1f6c07p-13, -0x1.d8cca6f696378p-13, -0x1.d59868f2c381fp-13, -0x1.d2172ca3ab7a2p-13, -0x1.ce4d2f0a8f945p-13, -0x1.ca3e8a04779afp-13, -0x1.c5ef352474f0fp-13, -0x1.c163068370e4p-13, -0x1.bc9db391f532bp-13, -0x1.b7a2d1e2be18ep-13, -0x1.b275d7f3db111p-13, -0x1.ad1a1df262ac4p-13, -0x1.a792de7c7276ep-13, -0x1.a1e3375e65e3ap-13, -0x1.9c0e2a4d468bp-13, -0x1.96169d9c225f4p-13, -0x1.8fff5cf1ae70bp-13, -0x1.89cb19f49ee45p-13, -0x1.837c6cfca5ab1p-13, -0x1.7d15d5b71c335p-13, -0x1.7699bbd0e7921p-13, -0x1.700a6f96ade4dp-13, -0x1.696a2a94c73eap-13, -0x1.62bb1034ea84ep-13, -0x1.5bff2e563cbfbp-13, -0x1.55387de37aed5p-13, -0x1.4e68e367084d6p-13, -0x1.47922f99f3be7p-13, -0x1.40b61ff21a1f8p-13, -0x1.39d65f2c03394p-13, -0x1.32f485d2c7259p-13, -0x1.2c121ac39eeebp-13, -0x1.253093b0b1b8fp-13, -0x1.1e51559fdc66fp-13, -0x1.1775b56613254p-13, -0x1.109ef821c15bp-13, -0x1.09ce53b2444fap-13, -0x1.0304ef2a7b82p-13, -0x1.f887c6898b95bp-14, -0x1.eb1875a0970c5p-14, -0x1.ddbde63dc01dcp-14, -0x1.d079f8deae9b5p-14, -0x1.c34e74a937d4bp-14, -0x1.b63d08375abb5p-14, -0x1.a9474a5e0e299p-14, -0x1.9c6ebaed20ed8p-14, -0x1.8fb4c36e71359p-14, -0x1.831ab7de0ed77p-14, -0x1.76a1d75e2d8d7p-14, -0x1.6a4b4ce841672p-14, -0x1.5e182ff71110bp-14, -0x1.520985309cb05p-14, -0x1.46203f0748469p-14, -0x1.3a5d3e5bc3079p-14, -0x1.2ec15317b3b96p-14, -0x1.234d3cc4f4b5p-14, -0x1.1801ab229acb6p-14, -0x1.0cdf3eb3e89e9p-14, -0x1.01e6894e3a127p-14, -0x1.ee301d44297dp-15, -0x1.d8e8897fb69acp-15, -0x1.c3f7293405948p-15, -0x1.af5cb5085afdbp-15, -0x1.9b19cd5a659a2p-15, -0x1.872efb2f0bff6p-15, -0x1.739cb1213c681p-15, -0x1.60634c3ce2aa5p-15, -0x1.4d8314e33b892p-15, -0x1.3afc3f9ee204p-15, -0x1.28ceedf3de825p-15, -0x1.16fb2f2db4f33p-15, -0x1.05810123da7aep-15, -0x1.e8c0a1f60547dp-16, -0x1.c731f7bf97f06p-16, -0x1.a6559f751594bp-16, -0x1.862b17c0e4858p-16, -0x1.66b1c38147ce6p-16, -0x1.47e8eb0d9b997p-16, -0x1.29cfbd81697cdp-16, -0x1.0c6551ef58679p-16, -0x1.df5151264c3cp-17, -0x1.a73157f31fde1p-17, -0x1.7068643500e1ep-17, -0x1.3af3fad9d233cp-17, -0x1.06d17bf265abdp-17, -0x1.a7fc49674633cp-18, -0x1.44ee22d49bfaep-18, -0x1.c8e4fdb74fbdfp-19, -0x1.0d063bac32b79p-19, -0x1.58cc4b28a5ec8p-21, 0x1.6e8740ac8b4efp-21, 0x1.088620361456dp-19, 0x1.b087e9d7ff4d4p-19, 0x1.29dac6492e379p-18, 0x1.790eda8ffb4dbp-18, 0x1.c5e7abc5c0ed7p-18, 0x1.08366a5b7f8f1p-17, 0x1.2c53072ef9e1ap-17, 0x1.4f4d9691dea94p-17, 0x1.712a0f3a79bd6p-17, 0x1.91ec731db32e8p-17, 0x1.b198ce4ac91e9p-17, 0x1.d03335c8f8a2p-17, 0x1.edbfc67fee6f4p-17, 0x1.05215214c93b5p-16, 0x1.12dffc27776fp-16, 0x1.201df8acd0e07p-16, 0x1.2cdd60cb835d8p-16, 0x1.39204f2e07e4bp-16, 0x1.44e8df969a379p-16, 0x1.50392e714670ap-16, 0x1.5b13587102229p-16, 0x1.65797a2e51c8cp-16, 0x1.6f6dafc91b079p-16, 0x1.78f214925435ep-16, 0x1.8208c2b5627a9p-16, 0x1.8ab3d2ea57e31p-16, 0x1.92f55c231fb8dp-16, 0x1.9acf7343bc23fp-16, 0x1.a2442add67d6dp-16, 0x1.a95592e7c8afdp-16, 0x1.b005b88417088p-16, 0x1.b656a5be95655p-16, 0x1.bc4a615654125p-16, 0x1.c1e2ee85c0acap-16, 0x1.c7224cce75ef7p-16, 0x1.cc0a77c54526cp-16, 0x1.d09d66eb51fcap-16, 0x1.d4dd0d7a8d0d5p-16, 0x1.d8cb5a4023d11p-16, 0x1.dc6a3774c15b6p-16, 0x1.dfbb8a9b5a718p-16, 0x1.e2c13458a0ebcp-16, 0x1.e57d10578a2b9p-16, 0x1.e7f0f52b8034bp-16, 0x1.ea1eb4315a0cbp-16, 0x1.ec081979812d2p-16, 0x1.edaeebb0eb347p-16, 0x1.ef14ec05ab29fp-16, 0x1.f03bd6199cd82p-16, 0x1.f1255feb34b1dp-16, 0x1.f1d339c6defdp-16, 0x1.f2470e37517eap-16, 0x1.f28281f94453cp-16, 0x1.f28733edc8446p-16, 0x1.f256bd1302f51p-16, 0x1.f1f2b0778f1eap-16, 0x1.f15c9b3540487p-16, 0x1.f096046795de8p-16, 0x1.efa06d2ae3057p-16, 0x1.ee7d50966f7bp-16, 0x1.ed2e23b8785eap-16, 0x1.ebb455958793ep-16, 0x1.ea114f2ab38p-16, 0x1.e84673685e71cp-16, 0x1.e6551f377f269p-16, 0x1.e43ea97a64118p-16, 0x1.e20463118442fp-16, 0x1.dfa796dc2805bp-16, 0x1.dd2989c24e6bp-16, 0x1.da8b7ab7178b4p-16, 0x1.d7cea2be74cecp-16, 0x1.d4f434f64850ep-16, 0x1.d1fd5e9e59f14p-16, 0x1.ceeb471ed7dbcp-16, 0x1.cbbf1012a31eap-16, 0x1.c879d5503115ap-16, 0x1.c51cacf4c2301p-16, 0x1.c1a8a76f4691cp-16, 0x1.be1ecf8a04edfp-16, 0x1.ba802a76ce39dp-16, 0x1.b6cdb7daf41efp-16, 0x1.b30871dd7232dp-16, 0x1.af314d319bd4dp-16, 0x1.ab49392542838p-16, 0x1.a7511fae4c155p-16, 0x1.a349e57964206p-16, 0x1.9f3469f80b419p-16, 0x1.9b11876c6c698p-16, 0x1.96e212fb882dep-16, 0x1.92a6dcba5928p-16, 0x1.8e60afbdc775cp-16, 0x1.8a1052294c70cp-16, 0x1.85b6854025667p-16, 0x1.81540573306e2p-16, }}, 
      {{-0x1.2fd45df0b83bdp-7, -0x1.2fe0583e9cec1p-6, -0x1.c7ee02ff318bap-6, -0x1.300edb4218136p-5, -0x1.7c3c3680117e3p-5, -0x1.c88293133323ap-5, -0x1.0a72295401b2fp-4, -0x1.30b1556298c0ep-4, -0x1.56fed1b28af85p-4, -0x1.7d5a0e05c1dc4p-4, -0x1.a3c1e9aa0f473p-4, -0x1.ca34b79ec019cp-4, -0x1.f0b0431286319p-4, -0x1.0b98ea51caaf3p-3, -0x1.1edb1c70bc7c5p-3, -0x1.321ce435d07c7p-3, -0x1.455c38e3f727cp-3, -0x1.5896e26566b4dp-3, -0x1.6bca7f9b0aed8p-3, -0x1.7ef48d09c7a0dp-3, -0x1.92126ba24fbc8p-3, -0x1.a5216763a30c7p-3, -0x1.b81ebda1b162p-3, -0x1.cb07a2c6feb14p-3, -0x1.ddd94776b0d92p-3, -0x1.f090dd026f518p-3, -0x1.0195cc99e026ep-2, -0x1.0ad35cb91360cp-2, -0x1.13ffc2ab24df9p-2, -0x1.1d19a85f3ab7fp-2, -0x1.261fbebd58ccfp-2, -0x1.2f10be533133dp-2, -0x1.37eb67e1efeb8p-2, -0x1.40ae84d5d6804p-2, -0x1.4958e7aef3759p-2, -0x1.51e96c607e828p-2, -0x1.5a5ef8aac7062p-2, -0x1.62b87c720de9fp-2, -0x1.6af4f213662e1p-2, -0x1.73135eb791922p-2, -0x1.7b12d2a31bcafp-2, -0x1.82f26982481dfp-2, -0x1.8ab14aaf3001ap-2, -0x1.924ea9703dee5p-2, -0x1.99c9c52d3e0ddp-2, -0x1.a121e9996f49ep-2, -0x1.a8566ed13e8e9p-2, -0x1.af66b96aa29c4p-2, -0x1.b6523a777b665p-2, -0x1.bd186f79a01cfp-2, -0x1.c3b8e248b8785p-2, -0x1.ca3328ea3e822p-2, -0x1.d086e55c5a8c1p-2, -0x1.d6b3c5548c18ep-2, -0x1.dcb981f33e077p-2, -0x1.e297df6d8fdb7p-2, -0x1.e84eacaeb4dc4p-2, -0x1.edddc2f259278p-2, -0x1.f3450559821cbp-2, -0x1.f884607b53a75p-2, -0x1.fd9bc9f31e331p-2, -0x1.01459ff680adp-1, -0x1.03a9645928473p-1, -0x1.05f9391b6bd0ep-1, -0x1.083528d3f84dbp-1, -0x1.0a5d417f1ec53p-1, -0x1.0c71944962285p-1, -0x1.0e72355bfb088p-1, -0x1.105f3bab8f933p-1, -0x1.1238c0c9472fcp-1, -0x1.13fee0b65abadp-1, -0x1.15b1b9ba30541p-1, -0x1.17516c3b0805p-1, -0x1.18de1a9937b7p-1, -0x1.1a57e90ce4e07p-1, -0x1.1bbefd862cf5bp-1, -0x1.1d137f8f9f966p-1, -0x1.1e559832ebe65p-1, -0x1.1f8571dfa20fdp-1, -0x1.20a33853e07a6p-1, -0x1.21af1886c914ap-1, -0x1.22a94094994ffp-1, -0x1.2391dfac3a958p-1, -0x1.246925fe29c75p-1, -0x1.252f44ac8e704p-1, -0x1.25e46dbc60377p-1, -0x1.2688d40777664p-1, -0x1.271cab2f6fe0fp-1, -0x1.27a0279139a04p-1, -0x1.28137e3945f4ap-1, -0x1.2876e4d833744p-1, -0x1.28ca91b7e9d6ap-1, -0x1.290ebbb10f88bp-1, -0x1.29439a20cbc79p-1, -0x1.296964dec9d2cp-1, -0x1.298054336c469p-1, -0x1.2988a0ce3180fp-1, -0x1.298283bc393a5p-1, -0x1.296e365eeaaa4p-1, -0x1.294bf262b93d2p-1, -0x1.291bf1b601b2cp-1, -0x1.28de6e8000f6fp-1, -0x1.2893a317e677cp-1, -0x1.283bc9fc00a63p-1, -0x1.27d71dc9052c4p-1, -0x1.2765d9317b008p-1, -0x1.26e836f5445c9p-1, -0x1.265e71d94f9f3p-1, -0x1.25c8c49f7186cp-1, -0x1.252769fe68fa9p-1, -0x1.247a9c9a179b8p-1, -0x1.23c296fbe9d48p-1, -0x1.22ff938b7817p-1, -0x1.2231cc8761eep-1, -0x1.21597bfe65c19p-1, -0x1.2076dbc8b941ep-1, -0x1.1f8a2581a391bp-1, -0x1.1e9392815bd57p-1, -0x1.1d935bd72e1fcp-1, -0x1.1c89ba43e7662p-1, -0x1.1b76e6348a067p-1, -0x1.1a5b17bd4aa5ap-1, -0x1.19368694d7621p-1, -0x1.18096a0fe7cfdp-1, -0x1.16d3f91d14341p-1, -0x1.15966a40f7146p-1, -0x1.1450f392939acp-1, -0x1.1303cab803e17p-1, -0x1.11af24e367e5dp-1, -0x1.105336d01a30fp-1, -0x1.0ef034c022bb4p-1, -0x1.0d865279e80c1p-1, -0x1.0c15c3461c998p-1, -0x1.0a9eb9ede4acep-1, -0x1.092168b932cf7p-1, -0x1.079e016d588ep-1, -0x1.0614b54bc764cp-1, -0x1.0485b511012bp-1, -0x1.02f130f3b3281p-1, -0x1.015758a3f7dc3p-1, -0x1.ff70b69586039p-2, -0x1.fc28cf12d60d8p-2, -0x1.f8d756f2ad2b3p-2, -0x1.f57ca9578ba82p-2, -0x1.f21920536b998p-2, -0x1.eead14e7bab63p-2, -0x1.eb38df057ca48p-2, -0x1.e7bcd58d94dd8p-2, -0x1.e4394e5133bfp-2, -0x1.e0ae9e125d20ap-2, -0x1.dd1d18848c5f5p-2, -0x1.d985104d6bc3dp-2, -0x1.d5e6d7059d0f5p-2, -0x1.d242bd39924ebp-2, -0x1.ce99126a6e272p-2, -0x1.caea250ef235fp-2, -0x1.c73642946c1ecp-2, -0x1.c37db75fab65p-2, -0x1.bfc0cecdf4a29p-2, -0x1.bbffd335f4bdcp-2, -0x1.b83b0de8b25d3p-2, -0x1.b472c7327933bp-2, -0x1.b0a7465bc1c71p-2, -0x1.acd8d1aa10dbcp-2, -0x1.a907ae60cf669p-2, -0x1.a53420c21be5bp-2, -0x1.a15e6c0f92ed6p-2, -0x1.9d86d28b0a83bp-2, -0x1.99ad95774a674p-2, -0x1.95d2f518b7253p-2, -0x1.91f730b5f3f1fp-2, -0x1.8e1a86987c98p-2, -0x1.8a3d340d377b7p-2, -0x1.865f7564fd102p-2, -0x1.828185f51926ap-2, -0x1.7ea3a017c530cp-2, -0x1.7ac5fd2c9a29ep-2, -0x1.76e8d599004d4p-2, -0x1.730c60c896703p-2, -0x1.6f30d52d96b9bp-2, -0x1.6b5668413844fp-2, -0x1.677d4e840f022p-2, -0x1.63a5bb7e69d4fp-2, -0x1.5fcfe1c0ad9e2p-2, -0x1.5bfbf2e3b8a18p-2, -0x1.582a1f893cae4p-2, -0x1.545a975c2598fp-2, -0x1.508d8910fdf25p-2, -0x1.4cc3226659761p-2, -0x1.48fb902544505p-2, -0x1.4536fe21bb2e8p-2, -0x1.4175973b26d54p-2, -0x1.3db7855ce2443p-2, -0x1.39fcf17ec8c4cp-2, -0x1.364603a5cda58p-2, -0x1.3292e2e4a0b6fp-2, -0x1.2ee3b55c572dep-2, -0x1.2b38a03d29a28p-2, -0x1.2791c7c73604ap-2, -0x1.23ef4f4b53272p-2, -0x1.2051592bf17dbp-2, -0x1.1cb806de0749cp-2, -0x1.192378ea0d7d6p-2, -0x1.1593ceed09d08p-2, -0x1.12092799aa6d6p-2, -0x1.0e83a0b96c2b5p-2, -0x1.0b03572dd5e5ap-2, -0x1.078866f1c1045p-2, -0x1.0412eb1ab017fp-2, -0x1.00a2fdda38cedp-2, -0x1.fa7170fefa9f3p-3, -0x1.f3a866f1674bfp-3, -0x1.eceb0ca97f51dp-3, -0x1.e6398f89b96afp-3, -0x1.df941b3caa18ep-3, -0x1.d8fad9b899131p-3, -0x1.d26df3433119p-3, -0x1.cbed8e754e8dcp-3, -0x1.c579d03ef1427p-3, -0x1.bf12dbeb4985ap-3, -0x1.b8b8d324deb49p-3, -0x1.b26bd5f9d9dcep-3, -0x1.ac2c02e0673d7p-3, -0x1.a5f976bb34cd7p-3, -0x1.9fd44cde0c088p-3, -0x1.99bc9f12845bbp-3, -0x1.93b2859cd1b86p-3, -0x1.8db61740a21bp-3, -0x1.87c7694620037p-3, -0x1.81e68f7eff7bdp-3, -0x1.7c139c4ba4a11p-3, -0x1.764ea0a0610a6p-3, -0x1.7097ac0abf43ep-3, -0x1.6aeeccb6e4461p-3, -0x1.65540f74ffe1ep-3, -0x1.5fc77fbecec47p-3, -0x1.5a4927bd2c4f5p-3, -0x1.54d9104dad3dap-3, -0x1.4f7741085045ap-3, -0x1.4a23c045307d6p-3, -0x1.44de93224b191p-3, -0x1.3fa7bd8947ccdp-3, -0x1.3a7f423551e53p-3, -0x1.356522b8edda9p-3, -0x1.30595f83e3202p-3, -0x1.2b5bf7e91b646p-3, -0x1.266cea2499917p-3, -0x1.218c336160174p-3, -0x1.1cb9cfbf67ebep-3, -0x1.17f5ba59978c4p-3, -0x1.133fed4bb04f3p-3, -0x1.0e9861b845664p-3, -0x1.09ff0fceb3bf1p-3, -0x1.0573eed1084d9p-3, -0x1.00f6f519f549fp-3, -0x1.f910304572b81p-4, -0x1.f04e991204c0cp-4, -0x1.e7a90c2995cd4p-4, -0x1.df1f6f7c6f5f5p-4, -0x1.d6b1a766c3a41p-4, -0x1.ce5f96bc4a87dp-4, -0x1.c6291ed3b6549p-4, -0x1.be0e1f922bd47p-4, -0x1.b60e777691fe7p-4, -0x1.ae2a03a4da998p-4, -0x1.a6609ff129726p-4, -0x1.9eb226eaebbd1p-4, -0x1.971e71e7d5122p-4, -0x1.8fa5590eb7d4cp-4, -0x1.8846b3625148ap-4, -0x1.810256cbee6c1p-4, -0x1.79d81825f750ap-4, -0x1.72c7cb465bd71p-4, -0x1.6bd14308e00cdp-4, -0x1.64f451594a745p-4, -0x1.5e30c73d6f781p-4, -0x1.578674df1c7f2p-4, -0x1.50f52995dfa5ap-4, -0x1.4a7cb3f0ae352p-4, -0x1.441ce1bf65fe6p-4, -0x1.3dd5801c2b574p-4, -0x1.37a65b74a2daep-4, -0x1.318f3f9306656p-4, -0x1.2b8ff7a712204p-4, -0x1.25a84e4ed04f8p-4, -0x1.1fd80d9f397d1p-4, -0x1.1a1eff2cb3923p-4, -0x1.147cec1366037p-4, -0x1.0ef19cff6992cp-4, -0x1.097cda34ce058p-4, -0x1.041e6b977de6dp-4, -0x1.fdac3165e80acp-5, -0x1.f34751839eaeep-5, -0x1.e90dc56a7350bp-5, -0x1.deff1a785bcf8p-5, -0x1.d51add951c895p-5, -0x1.cb609b40315ddp-5, -0x1.c1cfdf9e6948ep-5, -0x1.b868368722a3fp-5, -0x1.af292b914e67ap-5, -0x1.a6124a20146e1p-5, -0x1.9d231d6f30485p-5, -0x1.945b309f037c9p-5, -0x1.8bba0ec04f1aap-5, -0x1.833f42dfad46bp-5, -0x1.7aea5810b6ad8p-5, -0x1.72bad978da9p-5, -0x1.6ab05259f6c69p-5, -0x1.62ca4e1c92e0bp-5, -0x1.5b085859e1373p-5, -0x1.5369fce56e5d8p-5, -0x1.4beec7d689265p-5, -0x1.449645916449fp-5, -0x1.3d6002cfec672p-5, -0x1.364b8caa5dfafp-5, -0x1.2f58709f8d965p-5, -0x1.28863c9cf335cp-5, -0x1.21d47f066b011p-5, -0x1.1b42c6bdb3e65p-5, -0x1.14d0a329b264p-5, -0x1.0e7da43d66f99p-5, -0x1.08495a7ea9225p-5, -0x1.0233570caa5e6p-5, -0x1.f876574c4fe9cp-6, -0x1.ecc0d55ee8816p-6, -0x1.e1454e7060efbp-6, -0x1.d602ea01b0b8ap-6, -0x1.caf8d10016d9ap-6, -0x1.c0262dcf38c3bp-6, -0x1.b58a2c52dcb51p-6, -0x1.ab23f9f81cf72p-6, -0x1.a0f2c5be475f1p-6, -0x1.96f5c03f40f59p-6, -0x1.8d2c1bb77852cp-6, -0x1.83950c0d8a92dp-6, -0x1.7a2fc6d96f41bp-6, -0x1.70fb836b36803p-6, -0x1.67f77ad1844f6p-6, -0x1.5f22e7df8de6bp-6, -0x1.567d0732cf429p-6, -0x1.4e0517385672p-6, -0x1.45ba5831bb26cp-6, -0x1.3d9c0c39be4f6p-6, -0x1.35a977489323dp-6, -0x1.2de1df37d2583p-6, -0x1.26448bc626f18p-6, -0x1.1ed0c69a92408p-6, -0x1.1785db4780b72p-6, -0x1.1063174d7fbeap-6, -0x1.0967ca1da409p-6, -0x1.0293451bc2d9cp-6, -0x1.f7c9b74084e96p-7, -0x1.eab7c5f3891aap-7, -0x1.ddef64dce4d58p-7, -0x1.d16f467a4a50dp-7, -0x1.c536213c71a22p-7, -0x1.b942af8852961p-7, -0x1.ad93afb7e6e85p-7, -0x1.a227e41a8b5efp-7, -0x1.96fe12f4ca4ffp-7, -0x1.8c15067fde5f8p-7, -0x1.816b8ce8bf05fp-7, -0x1.7700784eb9ae9p-7, -0x1.6cd29ec1bc06p-7, -0x1.62e0da403a5c1p-7, -0x1.592a08b4b0b15p-7, -0x1.4fad0bf2da95p-7, -0x1.4668c9b47d193p-7, -0x1.3d5c2b95f2919p-7, -0x1.34861f1266aa4p-7, -0x1.2be5957fb8907p-7, -0x1.2379840a19b09p-7, -0x1.1b40e3af596c3p-7, -0x1.133ab13a14f1ap-7, -0x1.0b65ed3c60f4cp-7, -0x1.03c19c0a7fedap-7, -0x1.f8998b6a2c522p-8, -0x1.ea0cec06b0b79p-8, -0x1.dbdb78d9d7eb7p-8, -0x1.ce03582723ac8p-8, -0x1.c082b77947164p-8, -0x1.b357cb94ad273p-8, -0x1.a680d069ce04ep-8, -0x1.99fc0907078e7p-8, -0x1.8dc7bf8a2ac81p-8, -0x1.81e24511c17f4p-8, -0x1.7649f1adff7e2p-8, -0x1.6afd245184bd3p-8, -0x1.5ffa42c1ba401p-8, -0x1.553fb98727e9p-8, -0x1.4acbfbdd33fdcp-8, -0x1.409d83a21af76p-8, -0x1.36b2d1465c468p-8, -0x1.2d0a6bbc3b12dp-8, -0x1.23a2e066cb4b8p-8, -0x1.1a7ac3092426ep-8, -0x1.1190adb52efe1p-8, -0x1.08e340ba74bfep-8, -0x1.00712294d3778p-8, -0x1.f071ffb5d5d6cp-9, -0x1.e073165985e19p-9, -0x1.d0e2fa43dd27ep-9, -0x1.c1bf286ff43f7p-9, -0x1.b30529816e2c9p-9, -0x1.a4b291a08ff95p-9, -0x1.96c5005697e9cp-9, -0x1.893a206a0d5e3p-9, -0x1.7c0fa7bae3acdp-9, -0x1.6f43571e9f3bbp-9, -0x1.62d2fa3c58434p-9, -0x1.56bc67690ea2p-9, -0x1.4afd7f83a78e3p-9, -0x1.3f942dd13fb8cp-9, -0x1.347e67d95728fp-9, -0x1.29ba2d42259f6p-9, -0x1.1f4587ad2354cp-9, -0x1.151e8a934a391p-9, -0x1.0b435321e7e11p-9, -0x1.01b208174bfc3p-9, -0x1.f0d1b33f227fap-10, -0x1.decc02638aec9p-10, -0x1.cd4f82d9f972dp-10, -0x1.bc58cbeb7fbf4p-10, -0x1.abe486a6dbed9p-10, -0x1.9bef6d9c41d2bp-10, -0x1.8c764c98dc394p-10, -0x1.7d76006373f9cp-10, -0x1.6eeb767898f9p-10, -0x1.60d3acc83d922p-10, -0x1.532bb172f5ae7p-10, -0x1.45f0a2885df8cp-10, -0x1.391fadc5626b4p-10, -0x1.2cb6105388f18p-10, -0x1.20b11688889abp-10, -0x1.150e1ba6353d6p-10, -0x1.09ca899b95777p-10, -0x1.fdc7b18b6c0f7p-11, -0x1.e8af1f63d3e36p-11, -0x1.d44685bf5bf01p-11, -0x1.c08929084bd61p-11, -0x1.ad72689a87372p-11, -0x1.9afdbe4c69fc3p-11, -0x1.8926bdf83819p-11, -0x1.77e91506b20bfp-11, -0x1.674089fb8b07p-11, -0x1.5728fc022a878p-11, -0x1.479e627c6bbd5p-11, -0x1.389ccc92e4fb6p-11, -0x1.2a2060c54fcf4p-11, -0x1.1c255c7d2d0d5p-11, -0x1.0ea813a1c5abp-11, -0x1.01a4f02c7b164p-11, -0x1.ea30e37facab6p-12, -0x1.d1fe5a7cff7d3p-12, -0x1.baab98c8c8deap-12, -0x1.a4321ac219d16p-12, -0x1.8e8b84e5a2e8ep-12, -0x1.79b1a307ff7d1p-12, -0x1.659e6791ea66bp-12, -0x1.524beabe73b26p-12, -0x1.3fb469ddc367ap-12, -0x1.2dd246988bf45p-12, -0x1.1ca00636e64acp-12, -0x1.0c1850e9b4441p-12, -0x1.f86be22dec867p-13, -0x1.d9e7a55038cdap-13, -0x1.bc9a04b65f053p-13, -0x1.a0795a2e0d249p-13, -0x1.857c3e81d108p-13, -0x1.6b99882ce1903p-13, -0x1.52c84a0fac1d2p-13, -0x1.3affd22d45418p-13, -0x1.2437a86bfc003p-13, -0x1.0e678d5b7411dp-13, -0x1.f30ef1fcd56e5p-14, -0x1.cb1f333adc276p-14, -0x1.a4f0a52ef1ff5p-14, -0x1.8074767e4e24p-14, -0x1.5d9c3b6ee97c4p-14, -0x1.3c59ebac7459fp-14, -0x1.1c9fe01bf06ep-14, -0x1.fcc1a16378bfbp-15, -0x1.c31fa4aee2c93p-15, -0x1.8c40a9a82a393p-15, -0x1.580c41858047bp-15, -0x1.266aab2351b42p-15, -0x1.ee899e21e1d47p-16, -0x1.9508775a434ap-16, -0x1.402642bcc467ap-16, -0x1.df713b434aa2dp-17, -0x1.472cb52c0915ap-17, -0x1.6e5de8a59004ap-18, -0x1.79523dced4974p-20, 0x1.44b306e2acc95p-19, 0x1.943ecd774e75ep-18, 0x1.3bf4c119576a3p-17, 0x1.a6f1d2ce944edp-17, 0x1.05acc96ff1456p-16, 0x1.34b67d04e92fap-16, 0x1.60b58791eeb8bp-16, 0x1.89c879a5a82f7p-16, 0x1.b00cf6dc9d5b4p-16, 0x1.d39fbbc65e0a6p-16, 0x1.f49ca391f04c7p-16, 0x1.098f56dd7fe54p-15, 0x1.17a001bfdf9f5p-15, 0x1.248cfea1048eap-15, 0x1.306293ee8845ap-15, 0x1.3b2ca4e363bbep-15, 0x1.44f6b412538b8p-15, 0x1.4dcbe5e0dbad1p-15, 0x1.55b702f81778ep-15, 0x1.5cc27aa3aab94p-15, 0x1.62f865291bb35p-15, 0x1.6862860c35f2fp-15, 0x1.6d0a4e500dd6bp-15, 0x1.70f8dea208686p-15, 0x1.7437097ce355ep-15, 0x1.76cd5546c8b2ep-15, 0x1.78c3fe56b5149p-15, 0x1.7a22f8f945461p-15, 0x1.7af1f3659416dp-15, 0x1.7b3857a696cd9p-15, 0x1.7afd4d7dd22b1p-15, 0x1.7a47bc33fec41p-15, 0x1.791e4c6520303p-15, 0x1.778769c31b8dep-15, 0x1.758944c885c1fp-15, 0x1.7329d466116a9p-15, 0x1.706ed7a62a5e3p-15, 0x1.6d5dd744de189p-15, 0x1.69fc273cc02ddp-15, 0x1.664ee84d7e7d4p-15, 0x1.625b097b20a69p-15, 0x1.5e25497f7cacfp-15, 0x1.59b2383750827p-15, 0x1.5506380150432p-15, 0x1.50257f1d5257cp-15, 0x1.4b1418f7f328ap-15, 0x1.45d5e778f3c5cp-15, 0x1.406ea440e4a93p-15, 0x1.3ae1e1e4272bcp-15, 0x1.35330d1e4f4b2p-15, 0x1.2f656dfb2f7bfp-15, 0x1.297c28fa07e25p-15, 0x1.237a4029824ecp-15, 0x1.1d62943c828fdp-15, 0x1.1737e596b43ccp-15, 0x1.10fcd55387eb6p-15, 0x1.0ab3e646bfb9p-15, 0x1.045f7df6cdcc8p-15, 0x1.fc03cb1e510bap-16, 0x1.ef3a959af2ec8p-16, 0x1.e26781cf0cc32p-16, 0x1.d58e82dc3f078p-16, 0x1.c8b35a4a37c33p-16, 0x1.bbd999b14b9d8p-16, 0x1.af04a45cba002p-16, 0x1.a237b0db11941p-16, 0x1.9575ca889a3cdp-16, 0x1.88c1d30d8e43ep-16, 0x1.7c1e83d249f1p-16, 0x1.6f8e6f674f5dp-16, 0x1.631402e746664p-16, 0x1.56b18747ebca9p-16, 0x1.4a6922abdd78cp-16, 0x1.3e3cd9a2caf6p-16, 0x1.322e90662ebb7p-16, 0x1.26400c07e1f7p-16, 0x1.1a72f39e4df79p-16, 0x1.0ec8d160c6332p-16, 0x1.034313c2294e4p-16, 0x1.efc61cfe5a983p-17, 0x1.d953f7495a9d4p-17, 0x1.c331f924db271p-17, 0x1.ad6235e73e34ep-17, 0x1.97e6935d6fd71p-17, 0x1.82c0cba340ea7p-17, 0x1.6df26ee810acep-17, 0x1.597ce525acf0fp-17, 0x1.45616fce20e8cp-17, 0x1.31a12b673507p-17, 0x1.1e3d1118ed3cep-17, 0x1.0b35f83c18a84p-17, 0x1.f1192f95dca77p-18, 0x1.cc830fa660bfbp-18, 0x1.a8aa85ac47febp-18, 0x1.85904e3f0eeep-18, 0x1.6334f02199cbdp-18, 0x1.4198bec97d0d2p-18, 0x1.20bbdcbe5aaa6p-18, 0x1.009e3dfdeb945p-18, 0x1.c27f547c90062p-19, 0x1.853f7e4347ab6p-19, 0x1.497be4a810148p-19, 0x1.0f33273859beap-19, 0x1.acc73b53dcb76p-20, 0x1.3e16b756c261ep-20, 0x1.a4a0d27126929p-21, 0x1.a5bdf8e60259p-22, 0x1.b75874c7db4edp-27, -0x1.7edec00d28df1p-22, -0x1.801376d13094fp-21, -0x1.1d8de77c82207p-20, -0x1.784b03d0cdfaap-20, -0x1.d048338e6739bp-20, -0x1.12c673f773e7fp-19, -0x1.3c106d7891b2bp-19, -0x1.640605190529fp-19, -0x1.8aab58fce13aap-19, -0x1.b004a4427f491p-19, -0x1.d4163caa8f0fap-19, -0x1.f6e490755fb64p-19, -0x1.0c3a121aee17cp-18, -0x1.1c64c869e6e67p-18, -0x1.2bf4c0cc33c2dp-18, -0x1.3aec59273cdebp-18, -0x1.494df6b96a88fp-18, -0x1.571c0542a7532p-18, -0x1.6458f63037606p-18, -0x1.71073fcdb612ap-18, -0x1.7d295c8b71cp-18, -0x1.88c1ca3f43a8cp-18, -0x1.93d3097564cb3p-18, -0x1.9e5f9cc4b3d78p-18, -0x1.a86a08310966fp-18, -0x1.b1f4d08eb514cp-18, -0x1.bb027af09bc53p-18, -0x1.c3958c1d0b7d7p-18, -0x1.cbb0880a9777ep-18, -0x1.d355f156ad0bcp-18, -0x1.da8848da8141fp-18, -0x1.e14a0d2d75d96p-18, -0x1.e79dba3cdea3fp-18, -0x1.ed85c8e6e82aap-18, -0x1.f304ae930c91fp-18, -0x1.f81cdcdab3c5cp-18, -0x1.fcd0c130aba19p-18, -0x1.00916246d3cf7p-17, -0x1.028aa59263a7cp-17, -0x1.04555a0d76ff6p-17, -0x1.05f2ac9ea4ad3p-17, -0x1.0763c76447038p-17, -0x1.08a9d1925bfb5p-17, -0x1.09c5ef5899ff6p-17, -0x1.0ab941c81069cp-17, -0x1.0b84e6ba79a69p-17, -0x1.0c29f8bc72aa3p-17, -0x1.0ca98ef82466ap-17, -0x1.0d04bd21dddfcp-17, -0x1.0d3c936729a69p-17, -0x1.0d521e5d9bb53p-17, -0x1.0d4666f4d8a2ep-17, -0x1.0d1a7268b5a2ap-17, -0x1.0ccf423762f6ap-17, -0x1.0c65d413344f2p-17, -0x1.0bdf21dbe5768p-17, -0x1.0b3c2196e3128p-17, -0x1.0a7dc5658b005p-17, -0x1.09a4fb8200d0fp-17, -0x1.08b2ae3ab02ep-17, -0x1.07a7c3ea6efc2p-17, -0x1.06851efac3948p-17, -0x1.054b9dddabdd7p-17, -0x1.03fc1b0e6e668p-17, -0x1.02976d1088e0fp-17, -0x1.011e66718153ap-17, -0x1.ff23ab91406bcp-18, -0x1.fbe50b74521ffp-18, -0x1.f88279f220515p-18, -0x1.f4fd7c971a9f9p-18, -0x1.f157911c833bdp-18, -0x1.ed922d6fee3bep-18, -0x1.e9aebfc02791fp-18, -0x1.e5aeae891756cp-18, -0x1.e193589d2275p-18, -0x1.dd5e15336756p-18, -0x1.d91033f6c859ap-18, -0x1.d4aafd1352a4fp-18, -0x1.d02fb147d36d3p-18, -0x1.cb9f89f4effc2p-18, -0x1.c6fbb9315b224p-18, -0x1.c24569d7df292p-18, -0x1.bd7dbf9abed81p-18, -0x1.b8a5d718ee05dp-18, -0x1.b3bec5ee44a6fp-18, -0x1.aec99aca8ea0ep-18, -0x1.a9c75d84439e5p-18, -0x1.a4b90f2e491c6p-18, -0x1.9f9faa2d127bcp-18, -0x1.9a7c224c92e6bp-18, -0x1.954f64d51d1b9p-18, -0x1.901a58a33130fp-18, -0x1.8addde3da33abp-18, -0x1.859acfeb3d59p-18, -0x1.805201cae76a1p-18, -0x1.7b0441eb9bb79p-18, -0x1.75b25860dcafbp-18, -0x1.705d075c1f1e9p-18, -0x1.6b050b448bd75p-18, -0x1.65ab1acd36c6fp-18, -0x1.604fe70d8299fp-18, -0x1.5af41b9a5b1cep-18, -0x1.55985e9aa001ap-18, -0x1.503d50e2dba9ap-18, -0x1.4ae38e09d1a88p-18, -0x1.458bac811fce3p-18, -0x1.40363dacff869p-18, -0x1.3ae3cdfc1309cp-18, -0x1.3594e4ff1f3d4p-18, -0x1.304a057fc5a23p-18, -0x1.2b03ad97ddf14p-18, -0x1.25c256c98220ep-18, -0x1.208676149fbcbp-18, -0x1.1b507c0f7b897p-18, -0x1.1620d4fca3fe3p-18, -0x1.10f7e8e22bbfdp-18, -0x1.0bd61b9ece98p-18, -0x1.06bbcd028664ep-18, -0x1.01a958e22cf7dp-18, -0x1.f93e2e5d7f012p-19, -0x1.ef3ab814e472p-19, -0x1.e548efbf1e708p-19, -0x1.db696ee644eb8p-19, -0x1.d19cc7f9b9301p-19, -0x1.c7e386758835ep-19, -0x1.be3e2f09f4b22p-19, -0x1.b4ad3fc725472p-19, -0x1.ab313043b0f2fp-19, -0x1.a1ca71c495823p-19, -0x1.98796f64786dp-19, -0x1.8f3e8e3b3741cp-19, -0x1.861a2d83a1174p-19, -0x1.7d0ca6c15cf6p-19, -0x1.74164de630935p-19, -0x1.6b377176f5313p-19, -0x1.62705aaf05134p-19, -0x1.59c14da56ea04p-19, -0x1.512a896e96fa8p-19, -0x1.48ac483fce143p-19, -0x1.4046bf9106082p-19, -0x1.37fa203e93182p-19, -0x1.2fc696aafeb19p-19, -0x1.27ac4addf7ff3p-19, -0x1.1fab60a4f5fbp-19, -0x1.17c3f7b31eba2p-19, -0x1.0ff62bc03ee9ap-19, -0x1.084214a60b2f3p-19, -0x1.00a7c68006e1bp-19, -0x1.f24ea38e09da5p-20, }}, 
      {{0x1.ffaeb3833e568p-1, 0x1.febcce5348e0fp-1, 0x1.fd301151cce6cp-1, 0x1.fb11604117cd2p-1, 0x1.f86bfcb4fd73bp-1, 0x1.f54cbe3c4ed6ep-1, 0x1.f1c15bf1a8174p-1, 0x1.edd7d0d367feep-1, 0x1.e99dddace59ap-1, 0x1.e520a7aaeb6b8p-1, 0x1.e06c70deb8505p-1, 0x1.db8c67361fa5dp-1, 0x1.d68a864fa3c6ep-1, 0x1.d16f88c1451d3p-1, 0x1.cc42e5bbe61e3p-1, 0x1.c70ad8539a8c2p-1, 0x1.c1cc6e132a287p-1, 0x1.bc8b9ad96c989p-1, 0x1.b74b504ffd72bp-1, 0x1.b20d9793e188ap-1, 0x1.acd3abea2ed2bp-1, 0x1.a79e159520c94p-1, 0x1.a26cc41169806p-1, 0x1.9d3f27307185p-1, 0x1.981446aae7582p-1, 0x1.92ead7e7b8931p-1, 0x1.8dc151ced62edp-1, 0x1.8895fe95557c5p-1, 0x1.83670b821b953p-1, 0x1.7e3296b7d4977p-1, 0x1.78f6bb1af6924p-1, 0x1.73b19a719d6d6p-1, 0x1.6e6165df8a84bp-1, 0x1.690464e3095d2p-1, 0x1.6398faf85814p-1, 0x1.5e1dac08ce504p-1, 0x1.58911fc9a522cp-1, 0x1.52f2242c5886ep-1, 0x1.4d3faf002c732p-1, 0x1.4778dee1cd3d9p-1, 0x1.419cfb93401bep-1, 0x1.3bab75d3aa369p-1, 0x1.35a3e6cbd5303p-1, 0x1.2f860f21e0e58p-1, 0x1.2951d5c443105p-1, 0x1.2307467a23f15p-1, 0x1.1ca6904541615p-1, 0x1.1630039fd3c23p-1, 0x1.0fa4109f74b9cp-1, 0x1.09034504bdffp-1, 0x1.024e4a3e2fd77p-1, 0x1.f70bc6c7f3603p-2, 0x1.e955d662cbf65p-2, 0x1.db7ca3ffe1c56p-2, 0x1.cd82378ee6865p-2, 0x1.bf68bc4c8bce8p-2, 0x1.b1327ce78de2bp-2, 0x1.a2e1dfbe9b64fp-2, 0x1.9479633a811cep-2, 0x1.85fb9a476419ep-2, 0x1.776b28ef66083p-2, 0x1.68cac11882665p-2, 0x1.5a1d1f672c072p-2, 0x1.4b650846c065bp-2, 0x1.3ca54518aaeedp-2, 0x1.2de0a18aba6f9p-2, 0x1.1f19e914f761ap-2, 0x1.1053e49f07d75p-2, 0x1.0191584d00ebdp-2, 0x1.e5aa02e691d62p-3, 0x1.c84329622dee4p-3, 0x1.aaf37861bf9bdp-3, 0x1.8dc02c1bde1aap-3, 0x1.70ae65bc85f76p-3, 0x1.53c328bf4f91fp-3, 0x1.3703588dfd0dep-3, 0x1.1a73b660f5532p-3, 0x1.fc31bebe6ca3fp-4, 0x1.c3ee95f64b1dp-4, 0x1.8c26931314849p-4, 0x1.54e2061fe5c5ap-4, 0x1.1e28ec8f65523p-4, 0x1.d005df4aabb1bp-5, 0x1.64eec67c0b96ap-5, 0x1.f63513b7c7bf4p-6, 0x1.252cedcff6d5cp-6, 0x1.5b79678b02b51p-8, -0x1.d27b16b0509d4p-8, -0x1.3d33e9932636cp-6, -0x1.0165f1c5d791fp-5, -0x1.62a96dad0cba4p-5, -0x1.c25b258548267p-5, -0x1.10393e9d21b35p-4, -0x1.3e73be85d7025p-4, -0x1.6bd967585e20dp-4, -0x1.9866dd1ca73fap-4, -0x1.c419115a40c81p-4, -0x1.eeed4152185ebp-4, -0x1.0c707a11244d5p-3, -0x1.20f8fc6b8fbf6p-3, -0x1.350f32365cfc1p-3, -0x1.48b247e1f36eep-3, -0x1.5be18ac696bbbp-3, -0x1.6e9c681634e86p-3, -0x1.80e26bcbb0a6bp-3, -0x1.92b33f98ba2f4p-3, -0x1.a40ea9d3331e6p-3, -0x1.b4f48c62ff649p-3, -0x1.c564e3b11ac95p-3, -0x1.d55fc598b648p-3, -0x1.e4e5605af8f6bp-3, -0x1.f3f5f99608f3cp-3, -0x1.0148f69ff339ep-2, -0x1.085cd652bfecfp-2, -0x1.0f36deb73fa2fp-2, -0x1.15d75c530b1adp-2, -0x1.1c3ea4e490e9p-2, -0x1.226d16ecefa94p-2, -0x1.2863193cb937cp-2, -0x1.2e211a83aa611p-2, -0x1.33a790e372be6p-2, -0x1.38f6f9858d9e1p-2, -0x1.3e0fd83440a61p-2, -0x1.42f2b6f6b52f9p-2, -0x1.47a025b0398f4p-2, -0x1.4c18b9c2a3afap-2, -0x1.505d0db3ce669p-2, -0x1.546dc0d62bcbfp-2, -0x1.584b76f464a99p-2, -0x1.5bf6d7fff7dp-2, -0x1.5f708fc2c9ed8p-2, -0x1.62b94d939dfbdp-2, -0x1.65d1c40d6198ap-2, -0x1.68baa8c93e55cp-2, -0x1.6b74b41b5d168p-2, -0x1.6e00a0d24f2a7p-2, -0x1.705f2bf900ff4p-2, -0x1.7291149b2e0fap-2, -0x1.74971b8c3c1a6p-2, -0x1.767203306ababp-2, -0x1.78228f484b0f2p-2, -0x1.79a984be6117ap-2, -0x1.7b07a976e58e3p-2, -0x1.7c3dc421931d7p-2, -0x1.7d4c9c0d68f78p-2, -0x1.7e34f8fe52179p-2, -0x1.7ef7a304a4dcdp-2, -0x1.7f956256625dfp-2, -0x1.800eff2a26f1fp-2, -0x1.80654193bebc3p-2, -0x1.8098f16249906p-2, -0x1.80aad5ffe4813p-2, -0x1.809bb652c31bep-2, -0x1.806c589faf156p-2, -0x1.801d826de2f7ep-2, -0x1.7faff86c2ab6fp-2, -0x1.7f247e57438e8p-2, -0x1.7e7bd6e16fbffp-2, -0x1.7db6c39b2b426p-2, -0x1.7cd604dd00f5fp-2, -0x1.7bda59b26c8f9p-2, -0x1.7ac47fc5c3f66p-2, -0x1.7995334d1bc1bp-2, -0x1.784d2ef821205p-2, -0x1.76ed2bdedb168p-2, -0x1.7575e17153822p-2, -0x1.73e8056811787p-2, -0x1.72444bb56f8a5p-2, -0x1.708b6677b6a0bp-2, -0x1.6ebe05ebffa2ep-2, -0x1.6cdcd861d5c07p-2, -0x1.6ae88a2f89f7bp-2, -0x1.68e1c5a73f54cp-2, -0x1.66c9330c9fa25p-2, -0x1.649f788b35e8bp-2, -0x1.62653a2d6e4b3p-2, -0x1.601b19d42ef21p-2, -0x1.5dc1b72f0ae39p-2, -0x1.5b59afb508a31p-2, -0x1.58e39e9df5fd9p-2, -0x1.56601cdc48221p-2, -0x1.53cfc11784824p-2, -0x1.51331fa72a1e7p-2, -0x1.4e8aca8e1b3ebp-2, -0x1.4bd7517684835p-2, -0x1.491941ae3ab56p-2, -0x1.465126238f561p-2, -0x1.437f876296a64p-2, -0x1.40a4eb92db312p-2, -0x1.3dc1d675802bap-2, -0x1.3ad6c963c96bdp-2, -0x1.37e4434e0cee2p-2, -0x1.34eac0bb02082p-2, -0x1.31eabbc77714dp-2, -0x1.2ee4ac26614a1p-2, -0x1.2bd9072147271p-2, -0x1.28c83f99049b9p-2, -0x1.25b2c606e481bp-2, -0x1.2299087e0c55ap-2, -0x1.1f7b72ad394acp-2, -0x1.1c5a6de0cc1a5p-2, -0x1.193661051f25dp-2, -0x1.160fb0a9260bfp-2, -0x1.12e6bf0156b02p-2, -0x1.0fbbebead196bp-2, -0x1.0c8f94eed1106p-2, -0x1.0962154656d9ap-2, -0x1.0633c5de166afp-2, -0x1.0304fd5a9b19fp-2, -0x1.ffac20395171p-3, -0x1.f94ea08b9caeap-3, -0x1.f2f21b7a69b18p-3, -0x1.ec972c6932fd6p-3, -0x1.e63e6a5af6f93p-3, -0x1.dfe867fcf2f46p-3, -0x1.d995b3b1ad563p-3, -0x1.d346d79c59852p-3, -0x1.ccfc59ac903ffp-3, -0x1.c6b6bbaa474b9p-3, -0x1.c0767b421cb12p-3, -0x1.ba3c1211df8e6p-3, -0x1.b407f5b55adedp-3, -0x1.adda97d35c15p-3, -0x1.a7b4662af03d2p-3, -0x1.a195caa0dcef9p-3, -0x1.9b7f2b4d3d54p-3, -0x1.9570ea895af4dp-3, -0x1.8f6b66fda3996p-3, -0x1.896efbafcf81p-3, -0x1.837c00112667ap-3, -0x1.7d92c80ce1913p-3, -0x1.77b3a416ae609p-3, -0x1.71dee13947cd6p-3, -0x1.6c14c9252a3d4p-3, -0x1.6655a23f51eadp-3, -0x1.60a1afb0102c1p-3, -0x1.5af93171ec277p-3, -0x1.555c64608ef86p-3, -0x1.4fcb8247b0b59p-3, -0x1.4a46c1f2154b8p-3, -0x1.44ce57387fab1p-3, -0x1.3f627310aea44p-3, -0x1.3a03439c50f5ap-3, -0x1.34b0f437f4147p-3, -0x1.2f6bad89f0518p-3, -0x1.2a33959142849p-3, -0x1.2508cfb463155p-3, -0x1.1feb7cd007e6dp-3, -0x1.1adbbb45dad49p-3, -0x1.15d9a70b186f3p-3, -0x1.10e559b720a65p-3, -0x1.0bfeea91eed19p-3, -0x1.07266ea278373p-3, -0x1.025bf8bcf3b42p-3, -0x1.fb3f33220fc38p-4, -0x1.f1e2bf6fb3225p-4, -0x1.e8a2af83f6fa5p-4, -0x1.df7f188a88f44p-4, -0x1.d6780bd4fc215p-4, -0x1.cd8d96f5ede4fp-4, -0x1.c4bfc3dbdd76dp-4, -0x1.bc0e98ebbd069p-4, -0x1.b37a191b3577ap-4, -0x1.ab02440aa580bp-4, -0x1.a2a7161ec7135p-4, -0x1.9a68889a10274p-4, -0x1.924691b5b2c3fp-4, -0x1.8a4124ba5ca6cp-4, -0x1.825832188db62p-4, -0x1.7a8ba780a734ap-4, -0x1.72db6ffa9b40bp-4, -0x1.6b4773fd4620ap-4, -0x1.63cf99856e5d6p-4, -0x1.5c73c42c6908dp-4, -0x1.5533d53e62888p-4, -0x1.4e0fabd04b5fbp-4, -0x1.470724d5689c8p-4, -0x1.401a1b3485fa7p-4, -0x1.394867dcc9e64p-4, -0x1.3291e1da2cf91p-4, -0x1.2bf65e698ffd9p-4, -0x1.2575b10c756cp-4, -0x1.1f0fab9c5c415p-4, -0x1.18c41e5db87eap-4, -0x1.1292d812910f9p-4, -0x1.0c7ba60cba77fp-4, -0x1.067e543fb553p-4, -0x1.009aad522e59ep-4, -0x1.f5a0f55e3bab8p-5, -0x1.ea3f092d172dap-5, -0x1.df0f245be3457p-5, -0x1.d410d3208d257p-5, -0x1.c9439fbb4a278p-5, -0x1.bea712953cdbdp-5, -0x1.b43ab25e523f9p-5, -0x1.a9fe042a771ebp-5, -0x1.9ff08b8e11394p-5, -0x1.9611cab9c227fp-5, -0x1.8c614295815d5p-5, -0x1.82de72daffe69p-5, -0x1.7988da2f5c3f6p-5, -0x1.705ff63c2c8ffp-5, -0x1.676343c7db74ep-5, -0x1.5e923ecd5da73p-5, -0x1.55ec62933ca57p-5, -0x1.4d7129c1fbfe9p-5, -0x1.45200e79e20b2p-5, -0x1.3cf88a68138afp-5, -0x1.34fa16db16358p-5, -0x1.2d242cd6b76c4p-5, -0x1.257645275498dp-5, -0x1.1defd87488bb3p-5, -0x1.16905f534523fp-5, -0x1.0f57525759925p-5, -0x1.08442a245fc0ap-5, -0x1.01565f7e21f13p-5, -0x1.f51ad6b0cec08p-6, -0x1.e7d18dcc8632dp-6, -0x1.dacfd7519f776p-6, -0x1.ce14a6fac6da9p-6, -0x1.c19ef1568d1c2p-6, -0x1.b56dabe1c1af8p-6, -0x1.a97fcd20e13fdp-6, -0x1.9dd44cb866818p-6, -0x1.926a23844b6ep-6, -0x1.87404bae81341p-6, -0x1.7c55c0c47dd54p-6, -0x1.71a97fcbeb651p-6, -0x1.673a875669701p-6, -0x1.5d07d794770e4p-6, -0x1.531072677c7c6p-6, -0x1.49535b730030fp-6, -0x1.3fcf982d1a6ep-6, -0x1.36842fedfd16cp-6, -0x1.2d702bfed5731p-6, -0x1.249297a7d69efp-6, -0x1.1bea803d86af2p-6, -0x1.1376f52d5f6efp-6, -0x1.0b370809ab7d4p-6, -0x1.0329cc94b702fp-6, -0x1.f69cb1969f91fp-7, -0x1.e74789dd5a9e1p-7, -0x1.d852571b3cd1p-7, -0x1.c9bb531a43556p-7, -0x1.bb80bc60cbb7dp-7, -0x1.ada0d6405aed2p-7, -0x1.a019e8e33ccbcp-7, -0x1.92ea4159127dap-7, -0x1.861031a225b17p-7, -0x1.798a10b9ee519p-7, -0x1.6d563aa04aaf3p-7, -0x1.61731061ed03cp-7, -0x1.55def81faf78dp-7, -0x1.4a985d1501608p-7, -0x1.3f9daf9d85b03p-7, -0x1.34ed6539a4878p-7, -0x1.2a85f89260453p-7, -0x1.2065e97c47094p-7, -0x1.168bbcf9acf9cp-7, -0x1.0cf5fd3c05c56p-7, -0x1.03a339a4900e8p-7, -0x1.f5240d889ba37p-8, -0x1.e381fcb655129p-8, -0x1.d25d7ead4985dp-8, -0x1.c1b3db9f5ca14p-8, -0x1.b182660ff286bp-8, -0x1.a1c67acd61ae6p-8, -0x1.927d80e91a4bdp-8, -0x1.83a4e9aed0a75p-8, -0x1.753a309aac1b7p-8, -0x1.673adb4e30f8ap-8, -0x1.59a479845c15ep-8, -0x1.4c74a504c787bp-8, -0x1.3fa90195f2f14p-8, -0x1.333f3cee80ff7p-8, -0x1.27350ea5f9524p-8, -0x1.1b883824587p-8, -0x1.103684912e48cp-8, -0x1.053dc8c2114f7p-8, -0x1.f537c6500b365p-9, -0x1.e09d7779526b3p-9, -0x1.cca887dd0f58p-9, -0x1.b954ed19e8102p-9, -0x1.a69eaf66a2855p-9, -0x1.9481e967a5856p-9, -0x1.82fac8039d9bcp-9, -0x1.72058a36f1f3ap-9, -0x1.619e80e6fcfecp-9, -0x1.51c20eb3a9077p-9, -0x1.426ca7c902106p-9, -0x1.339ad1afbdfe6p-9, -0x1.2549231d2330dp-9, -0x1.177443c29236ep-9, -0x1.0a18ec1c552f4p-9, -0x1.fa67ca7fccb6cp-10, -0x1.e1841153bee19p-10, -0x1.c9808017613ecp-10, -0x1.b2570a31179b1p-10, -0x1.9c01c2a4ee79p-10, -0x1.867adbad4dedcp-10, -0x1.71bca65424f6fp-10, -0x1.5dc1920a9cc3p-10, -0x1.4a842c418a40bp-10, -0x1.37ff200109c34p-10, -0x1.262d357fb5512p-10, -0x1.150951ba656f7p-10, -0x1.048e760af6a0ap-10, -0x1.e96f7f809b7a2p-11, -0x1.cb00cf6abbb1dp-11, -0x1.adc783d0a2597p-11, -0x1.91ba7a258fbc1p-11, -0x1.76d0c4828f744p-11, -0x1.5d01a8d725469p-11, -0x1.4444a019f4211p-11, -0x1.2c91557ad0522p-11, -0x1.15dfa594c26f3p-11, -0x1.00279da14d5dbp-11, -0x1.d6c2f55b01417p-12, -0x1.af0b519cc387ap-12, -0x1.891984af964d5p-12, -0x1.64df1e299fcacp-12, -0x1.424e06ff4e8fep-12, -0x1.21587ff949c94p-12, -0x1.01f1202b9b6b7p-12, -0x1.c815a6e00cbd2p-13, -0x1.8f31b1c6199f4p-13, -0x1.591d82c9ef0ecp-13, -0x1.25c0dc3a6876ap-13, -0x1.ea083c027a45p-14, -0x1.8da08575f135ep-14, -0x1.361db9a019249p-14, -0x1.c6a84e5f9c4ffp-15, -0x1.2a328210f90c9p-15, -0x1.2d0e6288fed3bp-16, -0x1.6ab61f600dc94p-20, 0x1.dec20aefc04f8p-17, 0x1.e5afa3390be4ap-16, 0x1.666a91ee5f22p-15, 0x1.d2b1132ab3feap-15, 0x1.1bf8d439f85efp-14, 0x1.4b38597e4bb61p-14, 0x1.77385620d4c3ep-14, 0x1.a01918152bdedp-14, 0x1.c5fa0382d4676p-14, 0x1.e8f997b385957p-14, 0x1.049ab9f8b2e9dp-13, 0x1.13652e28d250bp-13, 0x1.20ea1f38f5b34p-13, 0x1.2d371b11626cp-13, 0x1.38594901d2e96p-13, 0x1.425d6c03a8af6p-13, 0x1.4b4fe4f9f1b4ap-13, 0x1.533cb4e225eb5p-13, 0x1.5a2f7effec134p-13, 0x1.60338b01ff6fcp-13, 0x1.6553c719fed0ep-13, 0x1.699aca10c8e79p-13, 0x1.6d12d54f2a36p-13, 0x1.6fc5d6deb9998p-13, 0x1.71bd6b64daef2p-13, 0x1.7302e011c6c44p-13, 0x1.739f34898f999p-13, 0x1.739b1cc549232p-13, 0x1.72ff02eac9b68p-13, 0x1.71d3091c0f9b7p-13, 0x1.701f0b4107eacp-13, 0x1.6deaa0c6b3726p-13, 0x1.6b3d1e56ca5dap-13, 0x1.681d9788d73a5p-13, 0x1.6492e08ad8285p-13, 0x1.60a38fc10ed4dp-13, 0x1.5c55ff604a542p-13, 0x1.57b04efdc08c3p-13, 0x1.52b8651a25d8ap-13, 0x1.4d73f0a49db77p-13, 0x1.47e86a728092ep-13, 0x1.421b16b744ac2p-13, 0x1.3c11066d8a61fp-13, 0x1.35cf18bdc1463p-13, 0x1.2f59fc5c9b6c9p-13, 0x1.28b630e0e2dc5p-13, 0x1.21e8081438912p-13, 0x1.1af3a73c0048ap-13, 0x1.13dd085c54b07p-13, 0x1.0ca7fb73a67b5p-13, 0x1.055827af623b6p-13, 0x1.fbe21935480b4p-14, 0x1.ecec068ebb7d7p-14, 0x1.ddd47edcfc88dp-14, 0x1.cea1a1197e343p-14, 0x1.bf5945ed829d3p-14, 0x1.b00101d3c5d2p-14, 0x1.a09e272730b5cp-14, 0x1.9135c82d55024p-14, 0x1.81ccb90d189dbp-14, 0x1.726791c09bbdap-14, 0x1.630aaff7fae21p-14, 0x1.53ba38f37e4c4p-14, 0x1.447a1b5047992p-14, 0x1.354e10ca8d4c5p-14, 0x1.26399ff787f04p-14, 0x1.17401df2aa883p-14, 0x1.0864b00000496p-14, 0x1.f3549a4ca140ep-15, 0x1.d6277f7f4d419p-15, 0x1.b9474dfa042b3p-15, 0x1.9cb8f0c4ebbb8p-15, 0x1.8081027744308p-15, 0x1.64a3d004546bp-15, 0x1.49255b7e6b1d3p-15, 0x1.2e095ec398fabp-15, 0x1.13534e1b906cdp-15, 0x1.f20cb581712b5p-16, 0x1.be4aeab93a97fp-16, 0x1.8b66a0dd06eafp-16, 0x1.5964c550713d2p-16, 0x1.2849d266599a1p-16, 0x1.f033a7adabdffp-17, 0x1.91b0d62b7711ap-17, 0x1.3511a6fff13a2p-17, 0x1.b4b799f1aca02p-18, 0x1.03287dcc02e89p-18, 0x1.55f9fa74c3b0dp-20, -0x1.50fcdffae761ap-20, -0x1.f4158aa4826dep-19, -0x1.9bdf855e103a9p-18, -0x1.1cdd017e83c9dp-17, -0x1.69cbf54fc5251p-17, -0x1.b4bbfe9e5deb8p-17, -0x1.fdad01e0758fap-17, -0x1.224fb0b1e7525p-16, -0x1.44c9fbb52eabcp-16, -0x1.664608313ef6dp-16, -0x1.86c4b2ab76ef2p-16, -0x1.a6470b4452d43p-16, -0x1.c4ce5317f64c7p-16, -0x1.e25bf9b7e0f46p-16, -0x1.fef19ab22ce6p-16, -0x1.0d487d9cd277p-15, -0x1.1a9e03e7850f2p-15, -0x1.277a6907d3f1ap-15, -0x1.33dec7450183dp-15, -0x1.3fcc4955d6175p-15, -0x1.4b44295f379acp-15, -0x1.5647affac23fdp-15, -0x1.60d833469287cp-15, -0x1.6af715fe30801p-15, -0x1.74a5c69a4e08cp-15, -0x1.7de5be790c729p-15, -0x1.86b8810e9b57fp-15, -0x1.8f1f9b192455dp-15, -0x1.971ca1e33ac75p-15, -0x1.9eb132869ac46p-15, -0x1.a5def13a5a59cp-15, -0x1.aca788a55d584p-15, -0x1.b30ca937a9258p-15, -0x1.b910088c59d66p-15, -0x1.beb360cd3d2e8p-15, -0x1.c3f87021f06bep-15, -0x1.c8e0f820d2161p-15, -0x1.cd6ebd46e2f04p-15, -0x1.d1a38675c6894p-15, -0x1.d5811c76ca614p-15, -0x1.d90949829e436p-15, -0x1.dc3dd8cfdddbp-15, -0x1.df209624106ep-15, -0x1.e1b34d6bea987p-15, -0x1.e3f7ca559acfp-15, -0x1.e5efd7f2ee20ap-15, -0x1.e79d405cb0f0ap-15, -0x1.e901cc5d6aeb3p-15, -0x1.ea1f431c7f22p-15, -0x1.eaf769d0cea87p-15, -0x1.eb8c03752631dp-15, -0x1.ebded08215b5fp-15, -0x1.ebf18ea9d1c91p-15, -0x1.ebc5f898c5c9fp-15, -0x1.eb5dc5b83e2c6p-15, -0x1.eabaa9f64f089p-15, -0x1.e9de558ff953fp-15, -0x1.e8ca74de08e54p-15, -0x1.e780b0254182ep-15, -0x1.e602ab6b3421ep-15, -0x1.e45206490f22p-15, -0x1.e2705bc70054ep-15, -0x1.e05f42372cbcp-15, -0x1.de204b134b74cp-15, -0x1.dbb502dd13bdfp-15, -0x1.d91ef10111472p-15, -0x1.d65f97bbd1763p-15, -0x1.d3787400922f1p-15, -0x1.d06afd632bd4p-15, -0x1.cd38a604b7abfp-15, -0x1.c9e2da7e93a1bp-15, -0x1.c66b01d32ca2p-15, -0x1.c2d27d5ede97dp-15, -0x1.bf1aa8ca84088p-15, -0x1.bb44da0123b9bp-15, -0x1.b752612503c7p-15, -0x1.b3448887fe6c4p-15, -0x1.af1c94a4cc2b8p-15, -0x1.aadbc41902171p-15, -0x1.a6834fa1b855bp-15, -0x1.a2146a19cc18cp-15, -0x1.9d904077054f1p-15, -0x1.98f7f9caf26adp-15, -0x1.944cb743c08e6p-15, -0x1.8f8f942dfb626p-15, -0x1.8ac1a5f7cf837p-15, -0x1.85e3fc35cc479p-15, -0x1.80f7a0a80d47fp-15, -0x1.7bfd973fb8951p-15, -0x1.76f6de256df31p-15, -0x1.71e46dc2c107bp-15, -0x1.6cc738c901f1p-15, -0x1.67a02c3c17173p-15, -0x1.62702f7b57068p-15, -0x1.5d38244c5e4a8p-15, -0x1.57f8e6e7465eep-15, -0x1.52b34e00b9588p-15, -0x1.4d682ad818f3fp-15, -0x1.48184943ff059p-15, -0x1.42c46fbef112cp-15, -0x1.3d6d5f76d1669p-15, -0x1.3813d45989a8dp-15, -0x1.32b885253ae6ap-15, -0x1.2d5c23763511dp-15, -0x1.27ff5bd75b47p-15, -0x1.22a2d5d18f7a5p-15, -0x1.1d4733fbffafp-15, -0x1.17ed140c07745p-15, -0x1.12950ee6bb9b7p-15, -0x1.0d3fb8b0d73c5p-15, -0x1.07eda0e02a98dp-15, -0x1.029f524d4ca6dp-15, -0x1.faaaa6881fd2bp-16, -0x1.f0204b2d119fbp-16, -0x1.e5a08d59da145p-16, -0x1.db2c5f3161358p-16, -0x1.d0c4aa4b82684p-16, -0x1.c66a4fd9c17a3p-16, -0x1.bc1e28cad104bp-16, -0x1.b1e105ef8343bp-16, -0x1.a7b3b01d89985p-16, -0x1.9d96e8548b904p-16, -0x1.938b67e24bd02p-16, -0x1.8991e086527eap-16, -0x1.7faafc9788296p-16, -0x1.75d75f26554f9p-16, -0x1.6c17a421525f1p-16, -0x1.626c607947de5p-16, -0x1.58d62245281b5p-16, -0x1.4f5570e4bed38p-16, -0x1.45eacd244dedep-16, -0x1.3c96b16061b14p-16, -0x1.335991a88124dp-16, -0x1.2a33dbe156406p-16, -0x1.2125f7e7783e7p-16, -0x1.183047b16b71dp-16, -0x1.0f53277244ae6p-16, -0x1.068eedbab702p-16, -0x1.fbc7d734ba794p-17, -0x1.eaa4d98393417p-17, -0x1.d9b56f438b71ap-17, -0x1.c8fa1b19bdc5bp-17, -0x1.b87355ae1a615p-17, -0x1.a8218deb6180ep-17, -0x1.9805293d3cd1fp-17, -0x1.881e83cfd3d1fp-17, -0x1.786df0cb42b16p-17, -0x1.68f3ba90eccb7p-17, -0x1.59b022f6e9727p-17, -0x1.4aa36384b951fp-17, -0x1.3bcdadab8abe9p-17, -0x1.2d2f2b014dbc6p-17, -0x1.1ec7fd7864972p-17, -0x1.10983f98d4421p-17, -0x1.02a004b58bd61p-17, -0x1.e9beb2478f432p-18, -0x1.ceac84e2e63bfp-18, -0x1.b4097f2f0bd3cp-18, -0x1.99d59260be85p-18, -0x1.8010a351e9466p-18, -0x1.66ba8ae81db24p-18, -0x1.4dd31676acf5cp-18, -0x1.355a081f03702p-18, -0x1.1d4f17324ea0fp-18, -0x1.05b1f08b2e745p-18, -0x1.dd046de20ddadp-19, -0x1.af7f06d55af6bp-19, -0x1.82d2cb37c6074p-19, -0x1.56fec83715ab4p-19, -0x1.2c01f98feeae4p-19, -0x1.01db4a36bbc72p-19, -0x1.b1132a066410ap-20, -0x1.60174a8c32a0fp-20, -0x1.10c06ee5a3f91p-20, -0x1.8617e6c6c3925p-21, -0x1.dbdc63fc5b213p-22, -0x1.63f83396921cfp-23, 0x1.c5f368d6587d7p-24, 0x1.8e9aa12b2ab2dp-22, 0x1.52b4dfc5af36cp-21, 0x1.dafb888be9505p-21, 0x1.3013f11fd408fp-20, 0x1.712055e0b125ep-20, 0x1.b0a664a83d4b6p-20, 0x1.eea9a16265eedp-20, 0x1.1596d06330242p-19, 0x1.331b03b72a349p-19, 0x1.4fe34473343c6p-19, 0x1.6bf1736b67963p-19, 0x1.8747780edf6cap-19, 0x1.a1e73ffb1d739p-19, 0x1.bbd2be96da108p-19, 0x1.d50beca9f868dp-19, 0x1.ed94c7f7903d3p-19, 0x1.02b7a96e1d812p-18, 0x1.0e4ec9f99fe1p-18, 0x1.1990cadadd579p-18, 0x1.247eb311682e5p-18, 0x1.2f198b34dad01p-18, 0x1.39625d486d188p-18, 0x1.435a34939e22dp-18, 0x1.4d021d78069a2p-18, 0x1.565b254c8c7dap-18, 0x1.5f665a351a885p-18, 0x1.6824caff9fafap-18, 0x1.70978700f8ba1p-18, 0x1.78bf9deff95acp-18, 0x1.809e1fc52eb7cp-18, 0x1.88341c9ad416ap-18, 0x1.8f82a48b20b4p-18, 0x1.968ac7950c55cp-18, 0x1.9d4d957c3014dp-18, 0x1.a3cc1dadaf8a8p-18, 0x1.aa076f22462c7p-18, 0x1.b000984748c59p-18, 0x1.b5b8a6e2d26c3p-18, 0x1.bb30a7f9c014ep-18, 0x1.c069a7b8cc456p-18, 0x1.c564b15fbd6ap-18, 0x1.ca22cf26eefa3p-18, 0x1.cea50a2c493ap-18, 0x1.d2ec6a5e10713p-18, 0x1.d6f9f6672b693p-18, 0x1.daceb39c9a4a1p-18, 0x1.de6ba5e94aab3p-18, 0x1.e1d1cfbea8cd1p-18, 0x1.e5023202599eap-18, }}, 
      {{0x1.ffe4e0b74dbfdp-1, 0x1.ff93e9ff4421dp-1, 0x1.ff0e47b562137p-1, 0x1.fe55d24dc4f34p-1, 0x1.fd6cef65c588p-1, 0x1.fc56704ff485p-1, 0x1.fb1571d445a23p-1, 0x1.f9ad3ef025e2cp-1, 0x1.f821376e3b7cfp-1, 0x1.f674ba9435881p-1, 0x1.f4ab15caa3967p-1, 0x1.f2c776f1c4ea7p-1, 0x1.f0cce1ff54d7p-1, 0x1.eebe297a126aep-1, 0x1.ec9de969689acp-1, 0x1.ea6e8455f4fb7p-1, 0x1.e83222003ca41p-1, 0x1.e5eaaf7c3e62cp-1, 0x1.e399e069efaedp-1, 0x1.e141310bb7d87p-1, 0x1.dee1e9046db63p-1, 0x1.dc7d1e8e2bdcdp-1, 0x1.da13ba026b8ecp-1, 0x1.d7a6799258c46p-1, 0x1.d535f5141306dp-1, 0x1.d2c2a1cec4c2fp-1, 0x1.d04cd63404eb8p-1, 0x1.cdd4cd78eb661p-1, 0x1.cb5aab04b997dp-1, 0x1.c8de7dadd4748p-1, 0x1.c66042c04a812p-1, 0x1.c3dfe8cb23afp-1, 0x1.c15d52335a541p-1, 0x1.bed8578cb4e2bp-1, 0x1.bc50c9b9b27c2p-1, 0x1.b9c673d48b9d8p-1, 0x1.b7391ce3d27a2p-1, 0x1.b4a8895da1189p-1, 0x1.b2147c7c806bcp-1, 0x1.af7cb969573ecp-1, 0x1.ace1043daf23ep-1, 0x1.aa4122e19af19p-1, 0x1.a79cddc86e6b6p-1, 0x1.a4f4008f55bap-1, 0x1.a2465a80af8fep-1, 0x1.9f93befee708p-1, 0x1.9cdc05d94fcc7p-1, 0x1.9a1f0b8d66875p-1, 0x1.975cb176956efp-1, 0x1.9494ddee817aep-1, 0x1.91c77c5fab69cp-1, 0x1.8ef47d4c0c8fap-1, 0x1.8c1bd6492f61cp-1, 0x1.893d81f31f301p-1, 0x1.86597fd768da3p-1, 0x1.836fd459489d6p-1, 0x1.808088900725p-1, 0x1.7d8baa2066d39p-1, 0x1.7a914b11f6932p-1, 0x1.779181a101215p-1, 0x1.748c680dbff82p-1, 0x1.71821c6968753p-1, 0x1.6e72c0619aed7p-1, 0x1.6b5e790aa91b1p-1, 0x1.68456ea91fa5dp-1, 0x1.6527cc7af54a3p-1, 0x1.6205c080b053ap-1, 0x1.5edf7b46cf28cp-1, 0x1.5bb52fafb8f5dp-1, 0x1.588712be6cffdp-1, 0x1.55555b62252cap-1, 0x1.52204243190f5p-1, 0x1.4ee801908781bp-1, 0x1.4bacd4d024edp-1, 0x1.486ef8af0e5b8p-1, 0x1.452eaad4543dbp-1, 0x1.41ec29b53073fp-1, 0x1.3ea7b46af935ap-1, 0x1.3b618a8ad653dp-1, 0x1.3819ebff47946p-1, 0x1.34d118e37a29cp-1, 0x1.3187516075dc6p-1, 0x1.2e3cd58c1d45ap-1, 0x1.2af1e54a018eap-1, 0x1.27a6c02e04a37p-1, 0x1.245ba560c25ffp-1, 0x1.2110d385bda3ep-1, 0x1.1dc688a343aa2p-1, 0x1.1a7d020bff438p-1, 0x1.17347c4a2e52ap-1, 0x1.13ed330c712ep-1, 0x1.10a761142331p-1, 0x1.0d63402534ca8p-1, 0x1.0a2108f772ccep-1, 0x1.06e0f3293468p-1, 0x1.03a335335b58p-1, 0x1.0068045e9c2cdp-1, 0x1.fa5f2973fd387p-2, 0x1.f3f432250f969p-2, 0x1.ed8f85d7fde5fp-2, 0x1.e73184f582504p-2, 0x1.e0da8d3d256p-2, 0x1.da8af9bcc5c38p-2, 0x1.d44322c9e661bp-2, 0x1.ce035dfca8cdcp-2, 0x1.c7cbfe2c5d3aap-2, 0x1.c19d536d8924ap-2, 0x1.bb77ab114f969p-2, 0x1.b55b4fa6281e9p-2, 0x1.af4888f9bf836p-2, 0x1.a93f9c1bfdd29p-2, 0x1.a340cb630e992p-2, 0x1.9d4c56705cc34p-2, 0x1.97627a3671dcep-2, 0x1.918370ff9d6e9p-2, 0x1.8baf72755b3acp-2, 0x1.85e6b3a861eccp-2, 0x1.802967194d08p-2, 0x1.7a77bcc1d3946p-2, 0x1.74d1e21e782cfp-2, 0x1.6f380238aa16ap-2, 0x1.69aa45b14bef2p-2, 0x1.6428d2cb89155p-2, 0x1.5eb3cd77ff832p-2, 0x1.594b576021117p-2, 0x1.53ef8ff1d24fp-2, 0x1.4ea0946b32ae7p-2, 0x1.495e7fe689a6p-2, 0x1.44296b665146ep-2, 0x1.3f016de1550f8p-2, 0x1.39e69c4eded0ep-2, 0x1.34d909b2ebeeep-2, 0x1.2fd8c72a62307p-2, 0x1.2ae5e3f7448f4p-2, 0x1.26006d8cdb466p-2, 0x1.21286f9bd0721p-2, 0x1.1c5df41e3bf88p-2, 0x1.17a103639904bp-2, 0x1.12f1a41ca2e0bp-2, 0x1.0e4fdb67168a6p-2, 0x1.09bbacd953bd9p-2, 0x1.05351a8de1672p-2, 0x1.00bc252ec9315p-2, 0x1.f8a19801a4288p-3, 0x1.efe619dd223b4p-3, 0x1.e745c926a5483p-3, 0x1.dec09c8bb607cp-3, 0x1.d6568845f25b1p-3, 0x1.ce077e2fe17d1p-3, 0x1.c5d36dd96690ap-3, 0x1.bdba449be4e5ap-3, 0x1.b5bbedadf9cefp-3, 0x1.add85236e2e9p-3, 0x1.a60f59618722bp-3, 0x1.9e60e86f20c6fp-3, 0x1.96cce2c987a5fp-3, 0x1.8f532a151fc36p-3, 0x1.87f39e42700ebp-3, 0x1.80ae1d9f506f1p-3, 0x1.798284e7c7c41p-3, 0x1.7270af56859f6p-3, 0x1.6b7876b50409p-3, 0x1.6499b36b4dc8ap-3, 0x1.5dd43c8f6cb8ap-3, 0x1.5727e7f47f429p-3, 0x1.50948a39709dep-3, 0x1.4a19f6d7664aep-3, 0x1.43b8002fc7846p-3, 0x1.3d6e779a00f7p-3, 0x1.373d2d70e8976p-3, 0x1.3123f11fd5d2fp-3, 0x1.2b22912f646e9p-3, 0x1.2538db51ed82p-3, 0x1.1f669c6faa3f3p-3, 0x1.19aba0b28cd73p-3, 0x1.1407b391d05ccp-3, 0x1.0e7a9fdd37ba2p-3, 0x1.09042fc806492p-3, 0x1.03a42cf3af68bp-3, 0x1.fcb4c0f4769c7p-4, 0x1.f24d25f0dac6ep-4, 0x1.e811192f3dfcfp-4, 0x1.de002a2ea7776p-4, 0x1.d419e7ad2cda3p-4, 0x1.ca5ddfba1143fp-4, 0x1.c0cb9fc772039p-4, 0x1.b762b4bb72e1fp-4, 0x1.ae22ab00df70ep-4, 0x1.a50b0e9772a22p-4, 0x1.9c1b6b2381cbdp-4, 0x1.93534bfd4880ep-4, 0x1.8ab23c3fc04d6p-4, 0x1.8237c6d6fc6cdp-4, 0x1.79e3768e1e0eep-4, 0x1.71b4d61cd9c7cp-4, 0x1.69ab703490fc8p-4, 0x1.61c6cf8d02cf6p-4, 0x1.5a067ef09541ep-4, 0x1.526a0948392e5p-4, 0x1.4af0f9a6eb635p-4, 0x1.439adb54d30e9p-4, 0x1.3c6739da01dbbp-4, 0x1.3555a108d5411p-4, 0x1.2e659d07fb439p-4, 0x1.2796ba5c1eea6p-4, 0x1.20e885f13acd3p-4, 0x1.1a5a8d239406cp-4, 0x1.13ec5dc862d23p-4, 0x1.0d9d8636249b2p-4, 0x1.076d954c9f102p-4, 0x1.015c1a7c9195p-4, 0x1.f6d14b9e30225p-5, 0x1.eb258fd98703bp-5, 0x1.dfb42448c6c2cp-5, 0x1.d47c2ce3126e9p-5, 0x1.c97ccf0581bacp-5, 0x1.beb5317f0a12dp-5, 0x1.b4247c9bd8d52p-5, 0x1.a9c9da302aaadp-5, 0x1.9fa475a29b69ap-5, 0x1.95b37bf5f6f29p-5, 0x1.8bf61bd288951p-5, 0x1.826b858ef386cp-5, 0x1.7912eb3890e98p-5, 0x1.6feb809b54c8fp-5, 0x1.66f47b4945abdp-5, 0x1.5e2d12a17cde8p-5, 0x1.55947fd6c2d16p-5, 0x1.4d29fdf5b3d68p-5, 0x1.44ecc9ea87a2ap-5, 0x1.3cdc22866c156p-5, 0x1.34f74884815c9p-5, 0x1.2d3d7e8e700e6p-5, 0x1.25ae0940a74d7p-5, 0x1.1e482f2e380f4p-5, 0x1.170b38e45e0cep-5, 0x1.0ff670edabd17p-5, 0x1.090923d4e5db7p-5, 0x1.0242a0278b69ep-5, 0x1.f7446cf01662cp-6, 0x1.ea4e72bf5fe2cp-6, 0x1.dda1fb0079a07p-6, 0x1.d13db30a8983p-6, 0x1.c5204c4a6d42p-6, 0x1.b9487c444d9bap-6, 0x1.adb4fc94abd82p-6, 0x1.a2648af0e9993p-6, 0x1.9755e9275855ap-6, 0x1.8c87dd1ecade5p-6, 0x1.81f930d5b701p-6, 0x1.77a8b260e03e5p-6, 0x1.6d9533e98f184p-6, 0x1.63bd8bab72877p-6, 0x1.5a2093f204e26p-6, 0x1.50bd2b1598cfp-6, 0x1.4792337805187p-6, 0x1.3e9e9380f9429p-6, 0x1.35e13599ee319p-6, 0x1.2d590829ce567p-6, 0x1.2504fd9046994p-6, 0x1.1ce40c20c8745p-6, 0x1.14f52e1d44fb8p-6, 0x1.0d3761b096441p-6, 0x1.05a9a8e8b08p-6, 0x1.fc961361153eap-7, 0x1.ee351b938dcefp-7, 0x1.e02e858c3e0e6p-7, 0x1.d280740139966p-7, 0x1.c529112d2864ap-7, 0x1.b8268ec0de208p-7, 0x1.ab7725d48c0b5p-7, 0x1.9f1916d891d5p-7, 0x1.930aa985ffa0cp-7, 0x1.874a2cceb41d1p-7, 0x1.7bd5f6cd3e172p-7, 0x1.70ac64b463fc6p-7, 0x1.65cbdabe73102p-7, 0x1.5b32c41c4409fp-7, 0x1.50df92e40a395p-7, 0x1.46d0bfffde43p-7, 0x1.3d04cb1c23db1p-7, 0x1.337a3a95b3429p-7, 0x1.2a2f9b67e0922p-7, 0x1.2123811a4583ep-7, 0x1.185485ae898d5p-7, 0x1.0fc1498ddb4cdp-7, 0x1.0768737675c99p-7, 0x1.fe9160d1e149dp-8, 0x1.eec1672b0861fp-8, 0x1.df5e6c92603a8p-8, 0x1.d065efb5b9dc7p-8, 0x1.c1d57b30ceb9p-8, 0x1.b3aaa5673afap-8, 0x1.a5e3105e75d98p-8, 0x1.987c6997bc2f6p-8, 0x1.8b7469e9e118ep-8, 0x1.7ec8d55b368d3p-8, 0x1.72777afb6d80cp-8, 0x1.667e34bd752fep-8, 0x1.5adae75177f7bp-8, 0x1.4f8b81fee208cp-8, 0x1.448dfe7e735ccp-8, 0x1.39e060d4837d5p-8, 0x1.2f80b72b3ed28p-8, 0x1.256d19ad29bebp-8, 0x1.1ba3aa5faa7cdp-8, 0x1.122294fdcf3ap-8, 0x1.08e80ed339e77p-8, 0x1.ffe4ad2e56952p-9, 0x1.ee7f688fade85p-9, 0x1.dd9cf20bc37p-9, 0x1.cd39fde01c0c3p-9, 0x1.bd5351fe61c56p-9, 0x1.ade5c5c4b551ap-9, 0x1.9eee41b688f61p-9, 0x1.9069bf35e38d5p-9, 0x1.8255483d46cfbp-9, 0x1.74adf71a1d46ep-9, 0x1.6770f627a2fb1p-9, 0x1.5a9b7f8a6f207p-9, 0x1.4e2adcec90234p-9, 0x1.421c673a35007p-9, 0x1.366d865f28093p-9, 0x1.2b1bb1047e915p-9, 0x1.20246c4f5fd6ep-9, 0x1.15854ba01d8a3p-9, 0x1.0b3bf05218b02p-9, 0x1.0146097c48a52p-9, 0x1.ef42a764bd40fp-10, 0x1.dc97318d5ec05p-10, 0x1.ca855f195f856p-10, 0x1.b908f7385beedp-10, 0x1.a81dda2aa2cf8p-10, 0x1.97c000ca18af2p-10, 0x1.87eb7c1529f67p-10, 0x1.789c74baaced6p-10, 0x1.69cf2aa742868p-10, 0x1.5b7ff494521f6p-10, 0x1.4dab3f984501ep-10, 0x1.404d8eb84414ap-10, 0x1.33637a7b49912p-10, 0x1.26e9b07ecfee4p-10, 0x1.1adcf30cdb91fp-10, 0x1.0f3a18b336c14p-10, 0x1.03fe0bdc8dfc7p-10, 0x1.f24b94d57672dp-11, 0x1.dd5ccaa4b6e82p-11, 0x1.c92a007048b67p-11, 0x1.b5ada21ecc4eap-11, 0x1.a2e23f743c864p-11, 0x1.90c28b54cb7e2p-11, 0x1.7f495b0a91af6p-11, 0x1.6e71a58df8d4bp-11, 0x1.5e3682d103cap-11, 0x1.4e932b0da4b19p-11, 0x1.3f82f61668bafp-11, 0x1.31015aaa08871p-11, 0x1.2309edc9bcf73p-11, 0x1.15986212920bap-11, 0x1.08a88718ecb62p-11, 0x1.f86c918e03581p-12, 0x1.e07b5d7c58abep-12, 0x1.c975b774bef44p-12, 0x1.b35419f179e4cp-12, 0x1.9e0f334147528p-12, 0x1.899fe45e18ed4p-12, 0x1.75ff3fc9cd3fbp-12, 0x1.6326886ef1cf5p-12, 0x1.510f3087952dcp-12, 0x1.3fb2d88880bd2p-12, 0x1.2f0b4e114c8c8p-12, 0x1.1f128ae1ae1fap-12, 0x1.0fc2b3d3289c5p-12, 0x1.011617d8575d6p-12, 0x1.e60e5dfef0ab7p-13, 0x1.cb2132f700e22p-13, 0x1.b15a3d6000286p-13, 0x1.98af5885e9c1ap-13, 0x1.8116aa653394fp-13, 0x1.6a86a1de98e9p-13, 0x1.54f5f4f500e4dp-13, 0x1.405b9f134cfbbp-13, 0x1.2caedf5aedbd9p-13, 0x1.19e736fb612e7p-13, 0x1.07fc679101b5ap-13, 0x1.edcce31a7059bp-14, 0x1.cd3b254ba4c9p-14, 0x1.ae34889b8d5ffp-14, 0x1.90aa7467ef9abp-14, 0x1.748ec19766392p-14, 0x1.59d3b7b68ab52p-14, 0x1.406c0a2703f72p-14, 0x1.284ad55b5c464p-14, 0x1.11639c238f434p-14, 0x1.f7548a0ba30f1p-15, 0x1.ce262f4f03a04p-15, 0x1.a7257487ff498p-15, 0x1.823c5e60a0de8p-15, 0x1.5f55a4db76ac7p-15, 0x1.3e5cae8fc3e2cp-15, 0x1.1f3d8c0632d5bp-15, 0x1.01e4f328dd9cp-15, 0x1.cc8075a2f5eccp-16, 0x1.987aace14a9eep-16, 0x1.6795a39425a33p-16, 0x1.39af99996582cp-16, 0x1.0ea7ef033b43ep-16, 0x1.ccbe384d25beep-17, 0x1.816d53ab3b3c3p-17, 0x1.3b22538b6837p-17, 0x1.f348bca28b081p-18, 0x1.79791dab4e0ep-18, 0x1.086bcc87757bap-18, 0x1.3f74f90799658p-19, 0x1.f813b7584e428p-21, -0x1.a1b7f5ce5c715p-22, -0x1.afecfe3e3e19fp-20, -0x1.6deab444914f2p-19, -0x1.f6be5ea61c31p-19, -0x1.398b07160d905p-18, -0x1.71c828643f066p-18, -0x1.a462f012355d7p-18, -0x1.d1a4e700701f7p-18, -0x1.f9d4d7ce8be12p-18, -0x1.0e9b71fc77b0bp-17, -0x1.1e064c4020cfbp-17, -0x1.2b4a80fb98d2ep-17, -0x1.36866014208b6p-17, -0x1.3fd70c91fb1d2p-17, -0x1.475885f48f1fep-17, -0x1.4d25b1401dad2p-17, -0x1.515861d6c2eadp-17, -0x1.54096215373c3p-17, -0x1.55507bb43b484p-17, -0x1.55447ff48146cp-17, -0x1.53fb4f965a92fp-17, -0x1.5189e2944b8e7p-17, -0x1.4e044faca209ap-17, -0x1.497dd3c0a431bp-17, -0x1.4408d8efa08c6p-17, -0x1.3db6fd931ef6bp-17, -0x1.36991afe36116p-17, -0x1.2ebf4c12d9e64p-17, -0x1.2638f3a86bce6p-17, -0x1.1d14c2c862442p-17, -0x1.1360beba5c493p-17, -0x1.092a46e74a38ep-17, -0x1.fcfc3525f6f47p-18, -0x1.e6d0bcd7f49e9p-18, -0x1.cfe943e6ea72cp-18, -0x1.b85bc97a7a515p-18, -0x1.a03d371c2a843p-18, -0x1.87a16a97590d3p-18, -0x1.6e9b3fa2c5a4cp-18, -0x1.553c993969ac6p-18, -0x1.3b966aa8d1f23p-18, -0x1.21b8c069d2d96p-18, -0x1.07b2c8ac0767cp-18, -0x1.db25b73ec68fap-19, -0x1.a6cd071acf23dp-19, -0x1.7275093c73c8cp-19, -0x1.3e35c8e4ccb83p-19, -0x1.0a25e2fc33a04p-19, -0x1.acb528a37587cp-20, -0x1.45cf8ece33cfbp-20, -0x1.bf80879b0a6a3p-21, -0x1.eaa88cb467904p-22, -0x1.6adb1c353a04ap-24, 0x1.305b274de6d87p-22, 0x1.5b0e5f5514e8ap-21, 0x1.0d896f98deba4p-20, 0x1.6c05732a3a6ddp-20, 0x1.c8e50826e2007p-20, 0x1.1209e5ec14ad5p-19, 0x1.3ebf8b7f8703dp-19, 0x1.6a8af53f9800cp-19, 0x1.95646e3b72945p-19, 0x1.bf45031a0d163p-19, 0x1.e82679504d6d6p-19, 0x1.0801a3507500bp-18, 0x1.1b6b447cf4391p-18, 0x1.2e4dff410446bp-18, 0x1.40a7fefb9c2ddp-18, 0x1.5277b7a5807a2p-18, 0x1.63bbe24116c66p-18, 0x1.7473796cb6eb1p-18, 0x1.849db60ead4dap-18, 0x1.943a0c2220654p-18, 0x1.a34827a7fd552p-18, 0x1.b1c7e9a786e51p-18, 0x1.bfb96550a350ap-18, 0x1.cd1cdd394bdd8p-18, 0x1.d9f2c0b8369d9p-18, 0x1.e63ba94cdf81p-18, 0x1.f1f85830b4c52p-18, 0x1.fd29b3f6bce04p-18, 0x1.03e863204a59bp-17, 0x1.08f75cc5668dap-17, 0x1.0dc26b8a8161p-17, 0x1.124a426c61f0ap-17, 0x1.168fa1ca8593cp-17, 0x1.1a9356790ed86p-17, 0x1.1e5638dbed88dp-17, 0x1.21d92c08e7ed5p-17, 0x1.251d1cf379743p-17, 0x1.282301a38dc53p-17, 0x1.2aebd87346ff3p-17, 0x1.2d78a752a820bp-17, 0x1.2fca7b17dca0cp-17, 0x1.31e266d508d39p-17, 0x1.33c18334a9d4p-17, 0x1.3568eddce9d31p-17, 0x1.36d9c8dc0cdf9p-17, 0x1.38153a1903852p-17, 0x1.391c6acd93d7dp-17, 0x1.39f08702f7da2p-17, 0x1.3a92bd18b2b61p-17, 0x1.3b043d4fadab6p-17, 0x1.3b4639582e375p-17, 0x1.3b59e3e9e55f2p-17, 0x1.3b40705de7d1bp-17, 0x1.3afb124ead826p-17, 0x1.3a8afd3efe069p-17, 0x1.39f16441d48a4p-17, 0x1.392f79ab4911ep-17, 0x1.38466ec27e26dp-17, 0x1.37377378c043cp-17, 0x1.3603b62466efbp-17, 0x1.34ac6341eab7ap-17, 0x1.3332a535520e9p-17, 0x1.3197a411a3c7ap-17, 0x1.2fdc85644c632p-17, 0x1.2e026c023b0d3p-17, 0x1.2c0a77d94ed2dp-17, 0x1.29f5c5c4344ap-17, 0x1.27c56f616515ap-17, 0x1.257a8aee6756p-17, 0x1.23162b237aa07p-17, 0x1.20995f146701fp-17, 0x1.1e05321274299p-17, 0x1.1b5aab914eb2p-17, 0x1.189acf0e05617p-17, 0x1.15c69bf7b4e27p-17, 0x1.12df0d9ce2abep-17, 0x1.0fe51b16a13f5p-17, 0x1.0cd9b739cfe8cp-17, 0x1.09bdd08840d7cp-17, 0x1.069251243d833p-17, 0x1.03581ec60cf71p-17, 0x1.00101ab1c65f6p-17, 0x1.f976435fc24p-18, 0x1.f2b4180f2e90cp-18, 0x1.ebdb5af318ac9p-18, 0x1.e4edaa792e5b1p-18, 0x1.ddec9bf8a29acp-18, 0x1.d6d9bbad9cdb3p-18, 0x1.cfb68cbfaa87ap-18, 0x1.c884893ea2ef5p-18, 0x1.c145222b5b4bp-18, 0x1.b9f9bf7d8cc6ep-18, 0x1.b2a3c02d49a53p-18, 0x1.ab447a3d202e2p-18, 0x1.a3dd3ac7e98bbp-18, 0x1.9c6f460d63f32p-18, 0x1.94fbd7843c62p-18, 0x1.8d8421e84e2c8p-18, 0x1.86094f4fc91bfp-18, 0x1.7e8c813ba712bp-18, 0x1.770ed0b0380bap-18, 0x1.6f914e478aab5p-18, 0x1.6815024b46989p-18, 0x1.609aecca5609dp-18, 0x1.592405b2eac65p-18, 0x1.51b13cec0b3f6p-18, 0x1.4a437a6f76228p-18, 0x1.42db9e64a6b99p-18, 0x1.3b7a813d5b859p-18, 0x1.3420f3cfe42bap-18, 0x1.2ccfbf75bab21p-18, 0x1.2587a62829cf7p-18, 0x1.1e49629d2cdf5p-18, 0x1.1715a866d57a3p-18, 0x1.0fed24105d90fp-18, 0x1.08d07b3d65d19p-18, 0x1.01c04cc812f37p-18, 0x1.f57a61c2fa1cap-19, 0x1.e78f725f5af85p-19, 0x1.d9c0e1d9d3d8p-19, 0x1.cc0fba10684ebp-19, 0x1.be7cf8870a1c6p-19, 0x1.b1098ea8aea05p-19, 0x1.a3b662047c222p-19, 0x1.96844c8f9ceb9p-19, 0x1.89741ce01633ep-19, 0x1.7c86966ef808ep-19, 0x1.6fbc71d4d629dp-19, 0x1.63165d0932e42p-19, 0x1.5694fba09386p-19, 0x1.4a38e708c8393p-19, 0x1.3e02aec6c7633p-19, 0x1.31f2d8b4ad571p-19, 0x1.2609e13c190b3p-19, 0x1.1a483b9242f41p-19, 0x1.0eae51f69fd95p-19, 0x1.033c85e91bbd8p-19, 0x1.efe660cff28e8p-20, 0x1.d9a5444f3a99bp-20, 0x1.c3b6479814492p-20, 0x1.ae19ec42ffcd4p-20, 0x1.98d0a4a8bf36ep-20, 0x1.83dad4503e5c1p-20, 0x1.6f38d05b52712p-20, 0x1.5aeadff13eee6p-20, 0x1.46f13cacef51ap-20, 0x1.334c13000478ap-20, 0x1.1ffb829d56128p-20, 0x1.0cff9edf8ff03p-20, 0x1.f4b0de5019033p-21, 0x1.d00bde92bb88ep-21, 0x1.ac101fbd5de27p-21, 0x1.88bd6d653dce2p-21, 0x1.66137e36a74d2p-21, 0x1.4411f4a78dd12p-21, 0x1.22b85fb977e2p-21, 0x1.02063b9c09e5dp-21, 0x1.c3f5e4d48f28ap-22, 0x1.852bb99a83215p-22, 0x1.47ac85515c692p-22, 0x1.0b76b77935cf7p-22, 0x1.a1114130a3de2p-23, 0x1.2dc0e6e05f72bp-23, 0x1.79f118f0dc309p-24, 0x1.3ad09f097b9d4p-25, -0x1.d1085daa1ea0fp-27, -0x1.0cb3d9ddb0189p-24, -0x1.da595be25663cp-24, -0x1.518d96ebc3cb3p-23, -0x1.b381a16fec245p-23, -0x1.0986f836ed649p-22, -0x1.381be72203f85p-22, -0x1.6582554a23669p-22, -0x1.91bd0c3b0367ap-22, -0x1.bccee63db119p-22, -0x1.e6bacd6b216dap-22, -0x1.07c1dd639e045p-21, -0x1.1b965aac881b5p-21, -0x1.2edc68aaac9cap-21, -0x1.4195979ebac6fp-21, -0x1.53c37d8c1e86cp-21, -0x1.6567b5d2b2011p-21, -0x1.7683e0c694942p-21, -0x1.8719a35418483p-21, -0x1.972aa69f0ebdep-21, -0x1.a6b897a892c7ap-21, -0x1.b5c526f40bf04p-21, -0x1.c4520831f285p-21, -0x1.d260f1ec23749p-21, -0x1.dff39d357b81bp-21, -0x1.ed0bc558e7302p-21, -0x1.f9ab278ee785ap-21, -0x1.02e9c159371e1p-20, -0x1.08c34b7b2508dp-20, -0x1.0e6312d169da6p-20, -0x1.13c9f868e860bp-20, -0x1.18f8dd9516d84p-20, -0x1.1df0a3d10b78ap-20, -0x1.22b22ca0e8b16p-20, -0x1.273e5975d8d73p-20, -0x1.2b960b8e778c4p-20, -0x1.2fba23dd94c7ap-20, -0x1.33ab82f09cc79p-20, -0x1.376b08d3bf8dfp-20, -0x1.3af994f8ae23dp-20, -0x1.3e580621acf9p-20, -0x1.41873a48db816p-20, -0x1.44880e89dede3p-20, -0x1.475b5f0d755e6p-20, -0x1.4a0206f480cc7p-20, -0x1.4c7ce0459e709p-20, -0x1.4eccc3d95d211p-20, -0x1.50f289497b3cfp-20, -0x1.52ef06e02cb86p-20, -0x1.54c31186600fcp-20, -0x1.566f7cb452accp-20, -0x1.57f51a62e0129p-20, -0x1.5954bafeaae29p-20, -0x1.5a8f2d57c7373p-20, -0x1.5ba53e974ec7ap-20, -0x1.5c97ba315618bp-20, -0x1.5d6769daee278p-20, -0x1.5e15157ecc34p-20, -0x1.5ea183321549p-20, -0x1.5f0d772c84b14p-20, -0x1.5f59b3be60f3cp-20, -0x1.5f86f94652d5ep-20, -0x1.5f96062b0284p-20, -0x1.5f8796d3e0963p-20, -0x1.5f5c65a0bfdd9p-20, -0x1.5f152ae35ef2ep-20, -0x1.5eb29cdaaa302p-20, -0x1.5e356fab8266ep-20, -0x1.5d9e555d5e7dfp-20, -0x1.5cedfdd3d3d8bp-20, -0x1.5c2516cc04061p-20, -0x1.5b444bd8a06a3p-20, -0x1.5a4c465de4af9p-20, -0x1.593dad8d9de69p-20, -0x1.581926666c4a1p-20, -0x1.56df53b0b6b82p-20, -0x1.5590d5fc7caebp-20, -0x1.542e4b9fa4cbcp-20, -0x1.52b850b54fdd4p-20, -0x1.512f7f1c8baf6p-20, -0x1.4f946e77d5615p-20, -0x1.4de7b42cbe50cp-20, -0x1.4c29e364e085p-20, -0x1.4a5b8d0dd69d2p-20, -0x1.487d3fd89a674p-20, -0x1.468f883b219f5p-20, -0x1.4492f07174f14p-20, -0x1.4288007f583eep-20, -0x1.406f3e31496c2p-20, -0x1.3e492d1e559bdp-20, -0x1.3c164eaa26eb5p-20, -0x1.39d722077c3fap-20, -0x1.378c243a15917p-20, -0x1.3535d019ec43cp-20, -0x1.32d49e55c3277p-20, -0x1.30690576bfa9fp-20, -0x1.2df379e278b85p-20, -0x1.2b746dde42af1p-20, -0x1.28ec519325ecbp-20, -0x1.265b9311b2cdp-20, -0x1.23c29e55253fcp-20, -0x1.2121dd47444b4p-20, -0x1.1e79b7c4e66e1p-20, -0x1.1bca93a15cb03p-20, -0x1.1914d4ab2e5b9p-20, -0x1.1658dcb04ef73p-20, -0x1.13970b8298486p-20, -0x1.10cfbefc714a4p-20, -0x1.0e035305b48fp-20, -0x1.0b3221976f7abp-20, -0x1.085c82c10652bp-20, -0x1.0582ccad799ebp-20, -0x1.02a553a81d9d5p-20, -0x1.ff88d4436b5b5p-21, -0x1.f9c0c169b4f76p-21, -0x1.f3f30c57f44f4p-21, -0x1.ee204f0bc9e81p-21, }}, 
      {{0x1.58ed25b0c18d8p-18, 0x1.58dd9fc03b0d5p-16, 0x1.8715c7fd358fep-15, 0x1.61cd9c5e72e56p-14, 0x1.1b23fef2073fep-13, 0x1.a23ec106a68edp-13, 0x1.23010a1797ea3p-12, 0x1.81e68c7cb6fd1p-12, 0x1.eb523b81875e6p-12, 0x1.2de2c84378861p-11, 0x1.677a0a7843785p-11, 0x1.9ff58972f942dp-11, 0x1.d49412aceb5c4p-11, 0x1.0128492afbba9p-10, 0x1.12f10315ad9dfp-10, 0x1.1ddd86d3bb9aep-10, 0x1.2005fb5093c58p-10, 0x1.176476c0357cep-10, 0x1.01da5e919a7b5p-10, 0x1.ba6f8f4d68338p-11, 0x1.4e887dd4d7c85p-11, 0x1.7720fb9cfbcbap-12, -0x1.6967c6a980449p-18, -0x1.e1ab4ae472fa8p-12, -0x1.093b75abe8bcep-10, -0x1.b5b9efb86009ap-10, -0x1.3fcfb6505dceep-9, -0x1.b43e4660865ecp-9, -0x1.1c6decbb76856p-8, -0x1.672321652d5c8p-8, -0x1.ba8319c510026p-8, -0x1.0b63f4e243cd6p-7, -0x1.3e10e63b9c525p-7, -0x1.755bd13cc344cp-7, -0x1.b153bc1082629p-7, -0x1.f20385a3c5b78p-7, -0x1.1bb912bafaebfp-6, -0x1.40d1734697843p-6, -0x1.684ace5c66e23p-6, -0x1.92236a065fbf8p-6, -0x1.be57fd866e4fdp-6, -0x1.ece3c42e9f31ep-6, -0x1.0ee0474003b75p-5, -0x1.2873690e67884p-5, -0x1.4326dc8a5b3e6p-5, -0x1.5ef59881f9c64p-5, -0x1.7bd9fd3389561p-5, -0x1.99cddc36b8802p-5, -0x1.b8ca80bd19f63p-5, -0x1.d8c8b8356e581p-5, -0x1.f9c0db5217e21p-5, -0x1.0dd56bb4cd1a9p-4, -0x1.1f3f1c1039d53p-4, -0x1.311918a2f89ecp-4, -0x1.435ed4651250bp-4, -0x1.560ba0588c715p-4, -0x1.691ab073b3fadp-4, -0x1.7c87206e9bc71p-4, -0x1.904bf86777f2ap-4, -0x1.a464315302368p-4, -0x1.b8cab92fc5bfap-4, -0x1.cd7a76f53532dp-4, -0x1.e26e4e3959984p-4, -0x1.f7a12289cf2abp-4, -0x1.0686ed3b64f0ep-3, -0x1.1157b1282a743p-3, -0x1.1c40574bccf4bp-3, -0x1.273e5f13af5c3p-3, -0x1.324f4e0bd8334p-3, -0x1.3d70b0b0e7ea7p-3, -0x1.48a01b24e969cp-3, -0x1.53db29c9f4e16p-3, -0x1.5f1f81c5b1137p-3, -0x1.6a6ad170c02d9p-3, -0x1.75bad0b50f4cdp-3, -0x1.810d415deb8bap-3, -0x1.8c5fef5c7bbdcp-3, -0x1.97b0b10312e49p-3, -0x1.a2fd673997fcp-3, -0x1.ae43fdacd552p-3, -0x1.b9826afa6f201p-3, -0x1.c4b6b0dad16afp-3, -0x1.cfdedc4a26b5dp-3, -0x1.daf905b13d1f2p-3, -0x1.e603510edc132p-3, -0x1.f0fbee21f96b2p-3, -0x1.fbe11894ea1ddp-3, -0x1.03588c14c1f97p-2, -0x1.08b520730aeb4p-2, -0x1.0e0579a16b764p-2, -0x1.1348ce2bb1dbp-2, -0x1.187e5b03ea268p-2, -0x1.1da563986b876p-2, -0x1.22bd31e91ae31p-2, -0x1.27c5169b95b39p-2, -0x1.2cbc690df755ep-2, -0x1.31a28767ea0ebp-2, -0x1.3676d6a9b9e36p-2, -0x1.3b38c2b924391p-2, -0x1.3fe7be6ba86b5p-2, -0x1.4483438e1a04p-2, -0x1.490ad2e94d005p-2, -0x1.4d7df443aadfdp-2, -0x1.51dc365f984e3p-2, -0x1.56252ef68d0e5p-2, -0x1.5a587ab0d55a9p-2, -0x1.5e75bd19f14c3p-2, -0x1.627ca09197ffdp-2, -0x1.666cd63962deap-2, -0x1.6a4615df39abbp-2, -0x1.6e081de48dda7p-2, -0x1.71b2b32288ccap-2, -0x1.7545a0cb51098p-2, -0x1.78c0b8488687ep-2, -0x1.7c23d117316c3p-2, -0x1.7f6ec8a142735p-2, -0x1.82a18214e5b13p-2, -0x1.85bbe639d804bp-2, -0x1.88bde344f6397p-2, -0x1.8ba76caa3fe69p-2, -0x1.8e787aed88882p-2, -0x1.91310b720d5c6p-2, -0x1.93d120492c466p-2, -0x1.9658c00072aecp-2, -0x1.98c7f56f38b9ap-2, -0x1.9b1ecf8406d46p-2, -0x1.9d5d6111ed30cp-2, -0x1.9f83c09e09ddfp-2, -0x1.a192082d65163p-2, -0x1.a388551354203p-2, -0x1.a566c7c08a5a5p-2, -0x1.a72d839300757p-2, -0x1.a8dcaea6d3bc4p-2, -0x1.aa7471a84177ap-2, -0x1.abf4f7a6d54f3p-2, -0x1.ad5e6de9eeb58p-2, -0x1.aeb103c6ab74p-2, -0x1.afecea774ea4cp-2, -0x1.b11254f437042p-2, -0x1.b22177ce70096p-2, -0x1.b31a890becbaap-2, -0x1.b3fdc0056d8d7p-2, -0x1.b4cb554620b92p-2, -0x1.b583826cf50fcp-2, -0x1.b626820faf338p-2, -0x1.b6b48f9faeaf4p-2, -0x1.b72de7506d105p-2, -0x1.b792c5ffac02p-2, -0x1.b7e3691f4b624p-2, -0x1.b8200ea0bfd5p-2, -0x1.b848f4e2210a2p-2, -0x1.b85e5a9cbdaeap-2, -0x1.b8607ed533458p-2, -0x1.b84fa0ccf22a1p-2, -0x1.b82bfff5240ccp-2, -0x1.b7f5dbe2e5f84p-2, -0x1.b7ad7444c3d57p-2, -0x1.b75308d964b87p-2, -0x1.b6e6d9675ac47p-2, -0x1.b66925b6034d7p-2, -0x1.b5da2d87636bep-2, -0x1.b53a3092f4b2cp-2, -0x1.b4896e814d5c6p-2, -0x1.b3c826e894f8dp-2, -0x1.b2f69949b408p-2, -0x1.b215050e2c755p-2, -0x1.b123a9868c736p-2, -0x1.b022c5e96cc1ep-2, -0x1.af129952e7e65p-2, -0x1.adf362c47e063p-2, -0x1.acc5612558314p-2, -0x1.ab88d342d8326p-2, -0x1.aa3df7d16dddfp-2, -0x1.a8e50d6da1971p-2, -0x1.a77e529d489d4p-2, -0x1.a60a05d0dac72p-2, -0x1.a4886564dab52p-2, -0x1.a2f9afa34a55ap-2, -0x1.a15e22c52049cp-2, -0x1.9fb5fcf3b803p-2, -0x1.9e017c4a32ed4p-2, -0x1.9c40ded6c1d8ap-2, -0x1.9a74629bd713fp-2, -0x1.989c459130f28p-2, -0x1.96b8c5a4c3c5bp-2, -0x1.94ca20bb70621p-2, -0x1.92d094b1937fbp-2, -0x1.90cc5f5b5b0c5p-2, -0x1.8ebdbe84e95aep-2, -0x1.8ca4eff23f968p-2, -0x1.8a82315eebf4bp-2, -0x1.8855c07d7e4a4p-2, -0x1.861fdaf6c05fcp-2, -0x1.83e0be68ae0f2p-2, -0x1.8198a86535f79p-2, -0x1.7f47d670b605cp-2, -0x1.7cee860041e37p-2, -0x1.7a8cf477aa82ap-2, -0x1.78235f274c7c7p-2, -0x1.75b20349a3f0fp-2, -0x1.73391e00ae443p-2, -0x1.70b8ec53100aap-2, -0x1.6e31ab290e8a6p-2, -0x1.6ba3974953239p-2, -0x1.690eed55840f9p-2, -0x1.6673e9c6b276ep-2, -0x1.63d2c8e99aca1p-2, -0x1.612bc6dac5e02p-2, -0x1.5e7f1f8282808p-2, -0x1.5bcd0e90c0233p-2, -0x1.5915cf78cedd3p-2, -0x1.56599d6d0246p-2, -0x1.5398b35a3f408p-2, -0x1.50d34be3782cbp-2, -0x1.4e09a15d131bbp-2, -0x1.4b3bedc848fa1p-2, -0x1.486a6ace76a7bp-2, -0x1.459551bc66958p-2, -0x1.42bcdb7d966dap-2, -0x1.3fe140977c4b4p-2, -0x1.3d02b924cb113p-2, -0x1.3a217cd0bc077p-2, -0x1.373dc2d25dc04p-2, -0x1.3457c1e7efbd7p-2, -0x1.316fb05242ed3p-2, -0x1.2e85c3d02fb31p-2, -0x1.2b9a319a160efp-2, -0x1.28ad2e5d74a25p-2, -0x1.25beee3890ddp-2, -0x1.22cfa4b63678ep-2, -0x1.1fdf84c992aacp-2, -0x1.1ceec0ca231dcp-2, -0x1.19fd8a6fc6ccbp-2, -0x1.170c12cee7ebfp-2, -0x1.141a8a54c50e8p-2, -0x1.112920c3dd794p-2, -0x1.0e3805307a7ddp-2, -0x1.0b4765fd5c03ep-2, -0x1.085770d88ae66p-2, -0x1.056852b84bdafp-2, -0x1.027a37d83b41ap-2, -0x1.ff1a976d13df5p-3, -0x1.f9437222c6a5p-3, -0x1.f36f53c8f3abcp-3, -0x1.ed9e8ecd73fb6p-3, -0x1.e7d174104786ep-3, -0x1.e20852df9b772p-3, -0x1.dc4378f41cfc6p-3, -0x1.d683326d9d0c1p-3, -0x1.d0c7c9d0050bap-3, -0x1.cb11880097203p-3, -0x1.c560b443812dcp-3, -0x1.bfb59439bd3ddp-3, -0x1.ba106bdf41107p-3, -0x1.b4717d897a33dp-3, -0x1.aed909e61864fp-3, -0x1.a9474ffa1e4ebp-3, -0x1.a3bc8d21487c6p-3, -0x1.9e38fd0db3a19p-3, -0x1.98bcd9c7cbe38p-3, -0x1.93485bae8c2e3p-3, -0x1.8ddbb977fbfd2p-3, -0x1.88772831f2a11p-3, -0x1.831adb431c7ecp-3, -0x1.7dc7046c4b116p-3, -0x1.787bd3c9f54eap-3, -0x1.733977d604909p-3, -0x1.6e001d69d7282p-3, -0x1.68cfefc07cfd6p-3, -0x1.63a918793465bp-3, -0x1.5e8bbf9a13d63p-3, -0x1.59780b92f2eb4p-3, -0x1.546e21407f6b1p-3, -0x1.4f6e23ef8c55dp-3, -0x1.4a783560888bp-3, -0x1.458c75cb2a36p-3, -0x1.40ab03e240edep-3, -0x1.3bd3fcd7b917bp-3, -0x1.37077c60bfd49p-3, -0x1.32459cba166eep-3, -0x1.2d8e76ac82cf5p-3, -0x1.28e2219164e28p-3, -0x1.2440b35771d21p-3, -0x1.1faa408788bfcp-3, -0x1.1b1edc49a8ed1p-3, -0x1.169e9869fde1p-3, -0x1.1229855e115fdp-3, -0x1.0dbfb24a054e1p-3, -0x1.09612d05f1a39p-3, -0x1.050e022353151p-3, -0x1.00c63cf287d09p-3, -0x1.f913cf10cb78p-4, -0x1.f0b21587b6844p-4, -0x1.e8675ca73fe8fp-4, -0x1.e033b177e680ap-4, -0x1.d8171eb8c9a12p-4, -0x1.d011aceb4b77p-4, -0x1.c823625ecf86bp-4, -0x1.c04c433c73e6bp-4, -0x1.b88c5192eda8ap-4, -0x1.b0e38d62572fep-4, -0x1.a951f4a81566bp-4, -0x1.a1d7836ab7acp-4, -0x1.9a7433c5db467p-4, -0x1.9327fdf60bac2p-4, -0x1.8bf2d864a8c63p-4, -0x1.84d4b7b3b6dc6p-4, -0x1.7dcd8ec9b800dp-4, -0x1.76dd4edd6f244p-4, -0x1.7003e7819f1e1p-4, -0x1.694146b0b795ep-4, -0x1.629558d87461ap-4, -0x1.5c0008e56def2p-4, -0x1.5581404e8f775p-4, -0x1.4f18e72082d0ep-4, -0x1.48c6e408fbe36p-4, -0x1.428b1c61f5db9p-4, -0x1.3c65743cd05a1p-4, -0x1.3655ce6d55c41p-4, -0x1.305c0c94a898ap-4, -0x1.2a780f2c0d3dp-4, -0x1.24a9b58f9aa02p-4, -0x1.1ef0de08cd512p-4, -0x1.194d65d8f6847p-4, -0x1.13bf29438ef39p-4, -0x1.0e460398600bap-4, -0x1.08e1cf3d97d2p-4, -0x1.039265b9aa4bep-4, -0x1.fcaf3f7a34e3dp-5, -0x1.f262aa5830c81p-5, -0x1.e83eba4ff773ap-5, -0x1.de431c3133852p-5, -0x1.d46f7b6ae7accp-5, -0x1.cac3821d76dc5p-5, -0x1.c13ed92c6dd77p-5, -0x1.b7e1284ff3befp-5, -0x1.aeaa1625e2a63p-5, -0x1.a5994842a4586p-5, -0x1.9cae6341a8bb4p-5, -0x1.93e90ad59c27dp-5, -0x1.8b48e1d841ef1p-5, -0x1.82cd8a59ff5a1p-5, -0x1.7a76a5b114af7p-5, -0x1.7243d48887c27p-5, -0x1.6a34b6eeb5d88p-5, -0x1.6248ec639babp-5, -0x1.5a8013e6bc4dcp-5, -0x1.52d9cc04d2f4p-5, -0x1.4b55b2e510f46p-5, -0x1.43f366561d85ap-5, -0x1.3cb283dacca6bp-5, -0x1.3592a8b66b6aep-5, -0x1.2e9371f8d88d7p-5, -0x1.27b47c8a342bbp-5, -0x1.20f565365733ep-5, -0x1.1a55c8b7eac5dp-5, -0x1.13d543c33bac4p-5, -0x1.0d737310b9646p-5, -0x1.072ff367324c5p-5, -0x1.010a61a5b88f2p-5, -0x1.f604b59a8ca82p-6, -0x1.ea2ef8141e7cbp-6, -0x1.de92c57919efp-6, -0x1.d32f590482f7ep-6, -0x1.c803ee7c68e3ap-6, -0x1.bd0fc2424bd0bp-6, -0x1.b2521162fb13p-6, -0x1.a7ca19a5dd005p-6, -0x1.9d77199bc4bd4p-6, -0x1.935850ad32dc1p-6, -0x1.896cff2812642p-6, -0x1.7fb4664cf3aadp-6, -0x1.762dc85bc882ep-6, -0x1.6cd868a02816bp-6, -0x1.63b38b7d0551ep-6, -0x1.5abe767807b38p-6, -0x1.51f87044402b4p-6, -0x1.4960c0cc962f3p-6, -0x1.40f6b13dadb66p-6, -0x1.38b98c0f4d214p-6, -0x1.30a89d0d6c943p-6, -0x1.28c33160bf9e9p-6, -0x1.21089796ed415p-6, -0x1.19781faa4ab42p-6, -0x1.12111b0933a5bp-6, -0x1.0ad2dc9d086a4p-6, -0x1.03bcb8d0b3213p-6, -0x1.f99c0b2dcfc8cp-7, -0x1.ec0c34dfd6753p-7, -0x1.dec8a0de326a8p-7, -0x1.d1d0047fd78efp-7, -0x1.c5211855aaf8ep-7, -0x1.b8ba98333f403p-7, -0x1.ac9b43372a134p-7, -0x1.a0c1dbd266511p-7, -0x1.952d27cf79a03p-7, -0x1.89dbf0589f818p-7, -0x1.7ecd01fd94afdp-7, -0x1.73ff2cb8d5c2bp-7, -0x1.697143f40ab5bp-7, -0x1.5f221e8c50a97p-7, -0x1.551096d57c76p-7, -0x1.4b3b8a9d4c5a5p-7, -0x1.41a1db2de5aabp-7, -0x1.38426d4fba5c3p-7, -0x1.2f1c294b2ecefp-7, -0x1.262dfae9a7e13p-7, -0x1.1d76d1762a1c3p-7, -0x1.14f59fbd9fee6p-7, -0x1.0ca95c0e81b56p-7, -0x1.04910038615a3p-7, -0x1.f9571315a317dp-8, -0x1.e9eff1a80f2f9p-8, -0x1.daeaa4be3ded2p-8, -0x1.cc453be4022d1p-8, -0x1.bdfdcd96024cep-8, -0x1.b012773bf38cap-8, -0x1.a2815d22b94b2p-8, -0x1.9548aa757069bp-8, -0x1.886691361ea4ap-8, -0x1.7bd94a35e853bp-8, -0x1.6f9f150c73565p-8, -0x1.63b6380f10dd4p-8, -0x1.581d0047339eap-8, -0x1.4cd1c16885c6cp-8, -0x1.41d2d5c688687p-8, -0x1.371e9e49c497p-8, -0x1.2cb382648257p-8, -0x1.228ff0072b1dcp-8, -0x1.18b25b944ce59p-8, -0x1.0f193fd443bf7p-8, -0x1.05c31de872cd9p-8, -0x1.f95cfa7c8e668p-9, -0x1.e7b3d703dfb9fp-9, -0x1.d687f921294cdp-9, -0x1.c5d694d567005p-9, -0x1.b59cea4b7b3c6p-9, -0x1.a5d845bbcfc15p-9, -0x1.9685ff4ec16abp-9, -0x1.87a37aff52504p-9, -0x1.792e287cc80e7p-9, -0x1.6b23830cb8656p-9, -0x1.5d81116bf11c8p-9, -0x1.504465af99e14p-9, -0x1.436b1d25de3ep-9, -0x1.36f2e0365a33dp-9, -0x1.2ad9624240761p-9, -0x1.1f1c61847563fp-9, -0x1.13b9a6f14eceep-9, -0x1.08af061617854p-9, -0x1.fbf4b9f1d55c1p-10, -0x1.e73327eef45a3p-10, -0x1.d3153b4e05884p-10, -0x1.bf96ed6614098p-10, -0x1.acb44b794a1c8p-10, -0x1.9a697673506dep-10, -0x1.88b2a2a6ee031p-10, -0x1.778c178cc7406p-10, -0x1.66f22f81289dp-10, -0x1.56e15781faff6p-10, -0x1.47560eedafcc6p-10, -0x1.384ce7411a3ep-10, -0x1.29c283d62567bp-10, -0x1.1bb399a262d25p-10, -0x1.0e1ceef62ed69p-10, -0x1.00fb5b3b6714cp-10, -0x1.e8978d6a569dcp-11, -0x1.d016547e94523p-11, -0x1.b86d1e1c08159p-11, -0x1.a1961cdd25d77p-11, -0x1.8b8ba30ee45adp-11, -0x1.7648223290f24p-11, -0x1.61c62a80937f7p-11, -0x1.4e006a6c0d19fp-11, -0x1.3af1ae257bdb9p-11, -0x1.2894df22a6a86p-11, -0x1.16e503a0d471ap-11, -0x1.05dd3e2e8a903p-11, -0x1.eaf19a6361918p-12, -0x1.cb6614e0a4a43p-12, -0x1.ad0ed535ba6dbp-12, -0x1.8fe2f9aced5p-12, -0x1.73d9d491ea98bp-12, -0x1.58eaeb49fb20dp-12, -0x1.3f0df570010bfp-12, -0x1.263adbf403b44p-12, -0x1.0e69b8392dec7p-12, -0x1.ef25a66fb4aa5p-13, -0x1.c35d494a2ed5fp-13, -0x1.996ba42b8a754p-13, -0x1.71425c55baea7p-13, -0x1.4ad36f7548787p-13, -0x1.26113200e4748p-13, -0x1.02ee4d97042a2p-13, -0x1.c2bb7ecce4c72p-14, -0x1.82a5ad2c9b5b9p-14, -0x1.4582656bd9a2cp-14, -0x1.0b3984634d25ep-14, -0x1.a767032ec3f5ap-15, -0x1.3db2d8604359fp-15, -0x1.b253a00dd48b3p-16, -0x1.e68155374dd0bp-17, -0x1.eebf1055a51a2p-19, 0x1.b8e5e01b500cep-18, 0x1.1143fd766a329p-16, 0x1.ab962e95ee799p-16, 0x1.1ebe3e98cecf3p-15, 0x1.63a0abb94bb59p-15, 0x1.a49699393b5c9p-15, 0x1.e1c34a6689fb4p-15, 0x1.0da4883afd332p-14, 0x1.28a4a7d51bb38p-14, 0x1.41f242291f9e5p-14, 0x1.599d23df3097dp-14, 0x1.6fb4aa8df5805p-14, 0x1.8447c7264646p-14, 0x1.9765004b02c54p-14, 0x1.a91a74a1e4e75p-14, 0x1.b975dd2696753p-14, 0x1.c8848f6053595p-14, 0x1.d6537fa0b4a2bp-14, 0x1.e2ef432be5fd2p-14, 0x1.ee64125fad3dep-14, 0x1.f8bdcace9a1d5p-14, 0x1.0103f8a8250d8p-13, 0x1.0526da0533bf7p-13, 0x1.08ccf63904b23p-13, 0x1.0bfb90a0aa95bp-13, 0x1.0eb7c433d418bp-13, 0x1.110684775c70ep-13, 0x1.12ec9e6bafa25p-13, 0x1.146eb975e07dap-13, 0x1.15915847436ap-13, 0x1.1658d9bdd1cf5p-13, 0x1.16c979c34dbe2p-13, 0x1.16e75225ed2bdp-13, 0x1.16b65b6d9e2f3p-13, 0x1.163a6daf3f057p-13, 0x1.15774156cb3cfp-13, 0x1.14706ff4aa84cp-13, 0x1.13297500bfaf5p-13, 0x1.11a5ae9d15883p-13, 0x1.0fe85e54ba61p-13, 0x1.0df4a9d60261bp-13, 0x1.0bcd9ba8d0078p-13, 0x1.097623e1536b9p-13, 0x1.06f118d09f979p-13, 0x1.044137aff191bp-13, 0x1.016925494bc2bp-13, 0x1.fcd6dd36bbffap-14, 0x1.f69512fc2137fp-14, 0x1.f011aa7bf908ep-14, 0x1.e9513672974ddp-14, 0x1.e2581eec14cd8p-14, 0x1.db2aa2704a9b4p-14, 0x1.d3ccd72326495p-14, 0x1.cc42abe1ee7aep-14, 0x1.c48fe95afdba8p-14, 0x1.bcb8331b9a4ap-14, 0x1.b4bf089cde5bep-14, 0x1.aca7c64861028p-14, 0x1.a475a6761bf05p-14, 0x1.9c2bc26578354p-14, 0x1.93cd1332af2c6p-14, 0x1.8b5c72c1e5211p-14, 0x1.82dc9cab51cf9p-14, 0x1.7a502f1bae6f9p-14, 0x1.71b9abb6055e5p-14, 0x1.691b7869cf121p-14, 0x1.6077e04a74a36p-14, 0x1.57d1145a6a0a1p-14, 0x1.4f292c598d4cep-14, 0x1.4682278817413p-14, 0x1.3ddded6856cd6p-14, 0x1.353e4e7b38018p-14, 0x1.2ca504f7cd6cbp-14, 0x1.2413b57ee19e1p-14, 0x1.1b8befca53341p-14, 0x1.130f2f582d404p-14, 0x1.0a9edc102a677p-14, 0x1.023c4ae6307dp-14, 0x1.f3d17cf441a9dp-15, 0x1.e34acf5ed4c1ap-15, 0x1.d2e6cc8f40848p-15, 0x1.c2a792e16e07fp-15, 0x1.b28f20b09bff6p-15, 0x1.a29f55693ec63p-15, 0x1.92d9f299ba0e9p-15, 0x1.83409cfab45dcp-15, 0x1.73d4dd719d6dp-15, 0x1.64982208ba8e4p-15, 0x1.558bbee734826p-15, 0x1.46b0ef3b68e5cp-15, 0x1.3808d623f3644p-15, 0x1.29947f914e028p-15, 0x1.1b54e1207bc7bp-15, 0x1.0d4adaf0cbcc5p-15, 0x1.feee70e37277bp-16, 0x1.e3b5625baa944p-16, 0x1.c8ebd31afb85fp-16, 0x1.ae92e72b436dep-16, 0x1.94ab9f45f3bd1p-16, 0x1.7b36da33f6e35p-16, 0x1.623556348cb32p-16, 0x1.49a7b24a1d70ap-16, 0x1.318e6f89978fcp-16, 0x1.19e9f257ae607p-16, 0x1.02ba839f09868p-16, 0x1.d800a3fe78556p-17, 0x1.ab76e5e448e52p-17, 0x1.7fd7c7cbe337cp-17, 0x1.552316a9208f6p-17, 0x1.2b587394b2ba1p-17, 0x1.027755dd907a6p-17, 0x1.b4fe19f3d95f2p-18, 0x1.66dd84d86a0f1p-18, 0x1.1a8af7427ee7dp-18, 0x1.a0086ebf66855p-19, 0x1.0e8d9477d1953p-19, 0x1.013fdc2bd6d3fp-20, -0x1.38cd63a90a7e8p-24, -0x1.215799858d5f4p-20, -0x1.1416f54d9e72dp-19, -0x1.940f061371adcp-19, -0x1.084dbed5b72eep-18, -0x1.44e21934cbfeep-18, -0x1.7fc8a6903f5d3p-18, -0x1.b905a1f5eefdp-18, -0x1.f09d6aac43fbap-18, -0x1.134a40e60c8c3p-17, -0x1.2d77c3ec0ecbdp-17, -0x1.46d99d570d38fp-17, -0x1.5f72399d56fecp-17, -0x1.774411bcae603p-17, -0x1.8e51aa3c59186p-17, -0x1.a49d922e3ec2fp-17, -0x1.ba2a624b164ecp-17, -0x1.cefabc0b89cb5p-17, -0x1.e31148c624a1ep-17, -0x1.f670b8e64a9bcp-17, -0x1.048de18d22c88p-16, -0x1.0d8a91c6f7a28p-16, -0x1.162fcd9c0a444p-16, -0x1.1e7ef78d01b96p-16, -0x1.267973ccc3e7fp-16, -0x1.2e20a7eccf7d1p-16, -0x1.3575fa8c37968p-16, -0x1.3c7ad30e4481cp-16, -0x1.43309950133cep-16, -0x1.4998b5610136dp-16, -0x1.4fb48f40d8ec6p-16, -0x1.55858ea152f55p-16, -0x1.5b0d1aa540459p-16, -0x1.604c99a9bc8fep-16, -0x1.6545710d92c55p-16, -0x1.69f904fa01f1p-16, -0x1.6e68b831a436ep-16, -0x1.7295ebe2ad247p-16, -0x1.7681ff73fa267p-16, -0x1.7a2e505ecf063p-16, -0x1.7d9c3a0439d59p-16, -0x1.80cd15820c35ap-16, -0x1.83c239946ea24p-16, -0x1.867cfa6d766a5p-16, -0x1.88fea9971bb37p-16, -0x1.8b4895d1a3905p-16, -0x1.8d5c0af8ccea1p-16, -0x1.8f3a51e785fdfp-16, -0x1.90e4b05d6942bp-16, -0x1.925c68e78c95p-16, -0x1.93a2bac8ecf4p-16, -0x1.94b8e1e7625dfp-16, -0x1.95a016b43d44dp-16, -0x1.96598e1d64defp-16, -0x1.96e6797d243cbp-16, -0x1.97480687c3e14p-16, -0x1.977f5f3f27f1dp-16, -0x1.978da9e614536p-16, -0x1.977408f2e0aa1p-16, -0x1.97339b0716798p-16, -0x1.96cd7ae4f7e15p-16, -0x1.9642bf6800b84p-16, -0x1.95947b7c39034p-16, -0x1.94c3be176529fp-16, -0x1.93d1923622a77p-16, -0x1.92befed4ac28ap-16, -0x1.918d06ecb24efp-16, -0x1.903ca97226f39p-16, -0x1.8ecee150b784fp-16, -0x1.8d44a56bc0c6ap-16, -0x1.8b9ee89d41529p-16, -0x1.89de99b43a8bdp-16, -0x1.8804a3798ae46p-16, -0x1.8611ecade42adp-16, -0x1.8407580cc9831p-16, -0x1.81e5c44ff975ap-16, -0x1.7fae0c3326895p-16, -0x1.7d6106758cf28p-16, -0x1.7aff85dffa0c7p-16, -0x1.788a594a0cf17p-16, -0x1.76024b9d0937bp-16, -0x1.736823dc1bfeap-16, -0x1.70bca52a164e5p-16, -0x1.6e008ecdbc4acp-16, -0x1.6b349c3b8b0b3p-16, -0x1.6859851b6f5edp-16, -0x1.656ffd4fe1414p-16, -0x1.6278b4fe421fep-16, -0x1.5f745897df6a8p-16, -0x1.5c6390e0a1f16p-16, -0x1.594702f99a9d3p-16, -0x1.561f50686ddf1p-16, -0x1.52ed172178a59p-16, -0x1.4fb0f18fcd5afp-16, -0x1.4c6b76a081baap-16, -0x1.491d39cc1a959p-16, -0x1.45c6cb1f61b5cp-16, -0x1.4268b745a129p-16, -0x1.3f038794abb7dp-16, -0x1.3b97c2149eccfp-16, -0x1.3825e98bf2211p-16, -0x1.34ae7d897c41fp-16, -0x1.3131fa6f97551p-16, -0x1.2db0d97d76861p-16, -0x1.2a2b90dc019d7p-16, -0x1.26a293a7a717ep-16, -0x1.231651fa5ae9ep-16, -0x1.1f8738f7fecc7p-16, -0x1.1bf5b2d95decdp-16, -0x1.186226f609d29p-16, -0x1.14ccf9d0311d8p-16, -0x1.11368d1fb01b7p-16, -0x1.0d9f3fdc5b34bp-16, -0x1.0a076e4a829aep-16, -0x1.066f7204c00cap-16, -0x1.02d7a207478ccp-16, -0x1.fe80a5756b59dp-17, -0x1.f753ac0004cb7p-17, -0x1.f028f674f9f1bp-17, -0x1.e9011eb57b14fp-17, -0x1.e1dcb9d2f0edcp-17, -0x1.dabc5826551a6p-17, -0x1.d3a0856467da7p-17, -0x1.cc89c8b23db4cp-17, -0x1.c578a4bbc865p-17, -0x1.be6d97c7d4642p-17, -0x1.b7691bcece5d8p-17, -0x1.b06ba68d80c75p-17, -0x1.a975a99bab3a5p-17, -0x1.a287927ed9fa9p-17, }}, 
      {{0x1.0de7d833304efp-7, 0x1.0f2d82245cc7ep-6, 0x1.99b11f0f4bf71p-6, 0x1.139158197faa6p-5, 0x1.5be0cd57c8265p-5, 0x1.a5b9b9f13ec52p-5, 0x1.f0eabf051feb2p-5, 0x1.1e94011147683p-4, 0x1.450a355a378d4p-4, 0x1.6ba4df5e2acc5p-4, 0x1.922fad07df501p-4, 0x1.b877bc6dd6d98p-4, 0x1.de4d9762469d4p-4, 0x1.01c34cbeabf32p-3, 0x1.13feeb9fef65bp-3, 0x1.25ca4e4fb6ce8p-3, 0x1.37194bd0b90dcp-3, 0x1.47e2e0b55e726p-3, 0x1.58210ae04ec0dp-3, 0x1.67d0934fd5f64p-3, 0x1.76f0cbae3a07ep-3, 0x1.85834462d8c8fp-3, 0x1.938b7efc879f9p-3, 0x1.a10ea004db48fp-3, 0x1.ae13229cacbe7p-3, 0x1.baa08faaa19d6p-3, 0x1.c6bf39e35269cp-3, 0x1.d277ff8628b97p-3, 0x1.ddd412506265fp-3, 0x1.e8dcc5df0cbfep-3, 0x1.f39b647f69455p-3, 0x1.fe190a4110ee2p-3, 0x1.042f42fe5eb1bp-2, 0x1.093a1ff5d4f3ep-2, 0x1.0e3112ae8ba33p-2, 0x1.1317cc879b21bp-2, 0x1.17f1b3d71a50fp-2, 0x1.1cc1dffea4ac4p-2, 0x1.218b171909958p-2, 0x1.264fcd08862ecp-2, 0x1.2b1223b0e938fp-2, 0x1.2fd3ec2d5df8bp-2, 0x1.3496a8d6347fp-2, 0x1.395b8fef9389fp-2, 0x1.3e238ede71162p-2, 0x1.42ef4dc57b8f9p-2, 0x1.47bf336f7e33p-2, 0x1.4c9369708834dp-2, 0x1.516be06a54b35p-2, 0x1.5648546378d79p-2, 0x1.5b2851237616ap-2, 0x1.600b36881eed1p-2, 0x1.64f03ccac8afdp-2, 0x1.69d678ad7feddp-2, 0x1.6ebcdf89f4d33p-2, 0x1.73a24b3d29d57p-2, 0x1.78857dec0324ap-2, 0x1.7d65259dc26a5p-2, 0x1.823fdfaa4d7bp-2, 0x1.87143bfac54dfp-2, 0x1.8be0c01b7f4cp-2, 0x1.90a3ea1ef6f7bp-2, 0x1.955c3351a10fbp-2, 0x1.9a0812bef73fcp-2, 0x1.9ea5ff883daf6p-2, 0x1.a334730dd90bep-2, 0x1.a7b1eaec2b5a1p-2, 0x1.ac1ceacd1dc95p-2, 0x1.b073fe0f9e4ecp-2, 0x1.b4b5b9467545dp-2, 0x1.b8e0bb8fe6ba2p-2, 0x1.bcf3afc7b1c48p-2, 0x1.c0ed4d94fea6ep-2, 0x1.c4cc5a55e47eep-2, 0x1.c88fa9ea2b04bp-2, 0x1.cc361f5efd0f5p-2, 0x1.cfbead7d36eb4p-2, 0x1.d328573c061ebp-2, 0x1.d672301980d18p-2, 0x1.d99b5c5aea03dp-2, 0x1.dca311363964p-2, 0x1.df8894e68f9fcp-2, 0x1.e24b3ead1f0b7p-2, 0x1.e4ea76c01f03dp-2, 0x1.e765b6293e8aep-2, 0x1.e9bc86950a354p-2, 0x1.ebee8214b3c2bp-2, 0x1.edfb52d387df5p-2, 0x1.efe2b2c16362cp-2, 0x1.f1a46b3363d4ep-2, 0x1.f340547bfc864p-2, 0x1.f4b6557b8fdfp-2, 0x1.f606632a9b5dep-2, 0x1.f730801e755f5p-2, 0x1.f834bc098c5c1p-2, 0x1.f913333807ee4p-2, 0x1.f9cc0e099eb63p-2, 0x1.fa5f806960e1dp-2, 0x1.facdc944315f5p-2, 0x1.fb1731fe9075ap-2, 0x1.fb3c0dea51404p-2, 0x1.fb3cb9bcc73cdp-2, 0x1.fb199b05ea227p-2, 0x1.fad31fa8e6c2fp-2, 0x1.fa69bd567bf56p-2, 0x1.f9ddf1098ae42p-2, 0x1.f9303e8624318p-2, 0x1.f8612fdb5d97cp-2, 0x1.f77154e82ee9bp-2, 0x1.f66142e38ac98p-2, 0x1.f53193e7dea03p-2, 0x1.f3e2e68225d0cp-2, 0x1.f275dd44a8583p-2, 0x1.f0eb1e5d7c989p-2, 0x1.ef435330e562dp-2, 0x1.ed7f27f78ee0fp-2, 0x1.eb9f4b60b6b2ap-2, 0x1.e9a46e383f3b4p-2, 0x1.e78f4310adb14p-2, 0x1.e5607df10b03dp-2, 0x1.e318d4069d095p-2, 0x1.e0b8fb5a707bep-2, 0x1.de41aa8a9c047p-2, 0x1.dbb3988731c65p-2, 0x1.d90f7c52c9de2p-2, 0x1.d6560cc68cc28p-2, 0x1.d3880059a86a5p-2, 0x1.d0a60cec19ca4p-2, 0x1.cdb0e794aef4cp-2, 0x1.caa944722545dp-2, 0x1.c78fd67f4eeecp-2, 0x1.c4654f6a1cb31p-2, 0x1.c12a5f6d76bap-2, 0x1.bddfb52dc76dbp-2, 0x1.ba85fd98161a1p-2, 0x1.b71de3c3a176p-2, 0x1.b3a810d5d211ap-2, 0x1.b0252be877067p-2, 0x1.ac95d9f221d0ep-2, 0x1.a8fabdb09b9a2p-2, 0x1.a554779544737p-2, 0x1.a1a3a5b357acap-2, 0x1.9de8e3afef013p-2, 0x1.9a24cab3b4579p-2, 0x1.9657f15e273e3p-2, 0x1.9282ebba64fe5p-2, 0x1.8ea64b3558e33p-2, 0x1.8ac29e9543fcep-2, 0x1.86d871f28582p-2, 0x1.82e84eb1962cep-2, 0x1.7ef2bb7e1d127p-2, 0x1.7af83c4713d53p-2, 0x1.76f9523be5f8cp-2, 0x1.72f67bca7bf2p-2, 0x1.6ef0349e228ecp-2, 0x1.6ae6f59f43456p-2, 0x1.66db34f3de087p-2, 0x1.62cd6600b3e71p-2, 0x1.5ebdf96b1e15p-2, 0x1.5aad5d1b81141p-2, 0x1.569bfc40501e8p-2, 0x1.528a3f519b1c4p-2, 0x1.4e788c15166abp-2, 0x1.4a6745a29b973p-2, 0x1.4656cc6914f8ap-2, 0x1.42477e33ccaedp-2, 0x1.3e39b630186dbp-2, 0x1.3a2dccf35b0c1p-2, 0x1.36241881537a4p-2, 0x1.321cec52b67c7p-2, 0x1.2e18995c074a4p-2, 0x1.2a176e14af11bp-2, 0x1.2619b67e4cc6ap-2, 0x1.221fbc2c34716p-2, 0x1.1e29c64b1ede1p-2, 0x1.1a3819a903854p-2, 0x1.164af8bd1613cp-2, 0x1.1262a3afe722p-2, 0x1.0e7f5863a3b46p-2, 0x1.0aa1527c6f1f9p-2, 0x1.06c8cb68d43b5p-2, 0x1.02f5fa6a4e55dp-2, 0x1.fe52293bc1541p-3, 0x1.f6c49a0985048p-3, 0x1.ef43a91a292cep-3, 0x1.e7cfb43544961p-3, 0x1.e069151f60426p-3, 0x1.d91021ab944ep-3, 0x1.d1c52bcd3e521p-3, 0x1.ca8881a9b604dp-3, 0x1.c35a6daa039cbp-3, 0x1.bc3b368ca0c0fp-3, 0x1.b52b1f772c493p-3, 0x1.ae2a680821817p-3, 0x1.a7394c687eb75p-3, 0x1.a058055d6ca92p-3, 0x1.9986c859cff6fp-3, 0x1.92c5c78fcd623p-3, 0x1.8c15320244603p-3, 0x1.857533962ae3ap-3, 0x1.7ee5f523ddb6p-3, 0x1.78679c88558d9p-3, 0x1.71fa4cb64624bp-3, 0x1.6b9e25c71f69dp-3, 0x1.6553450bf44bcp-3, 0x1.5f19c51e4803ep-3, 0x1.58f1bdf0b830dp-3, 0x1.52db44df83c25p-3, 0x1.4cd66cc0fa252p-3, 0x1.46e345f5bf54fp-3, 0x1.4101de78ebde1p-3, 0x1.3b3241f00d349p-3, 0x1.357479bafaf1cp-3, 0x1.2fc88d03863eap-3, 0x1.2a2e80ccff06p-3, 0x1.24a658039353ap-3, 0x1.1f30138b80f62p-3, 0x1.19cbb2501dc97p-3, 0x1.14793152b0816p-3, 0x1.0f388bb921df7p-3, 0x1.0a09badc7ae3dp-3, 0x1.04ecb6573a885p-3, 0x1.ffc2e826e821cp-4, 0x1.f5cfd0b18b8e5p-4, 0x1.ec000bb437a04p-4, 0x1.e2537b867ffb6p-4, 0x1.d8c9ff8c7d0c1p-4, 0x1.cf6374511f989p-4, 0x1.c61fb3a031a32p-4, 0x1.bcfe949fea397p-4, 0x1.b3ffebea1432ap-4, 0x1.ab238ba4d9716p-4, 0x1.a269439b2114fp-4, 0x1.99d0e1548962bp-4, 0x1.915a302cf092p-4, 0x1.8904f96b9f4cbp-4, 0x1.80d1045a0400bp-4, 0x1.78be165a06edep-4, 0x1.70cbf2fbf36a7p-4, 0x1.68fa5c13f902ap-4, 0x1.614911cf41751p-4, 0x1.59b7d2c89e301p-4, 0x1.52465c1ccc40fp-4, 0x1.4af4697e4e891p-4, 0x1.43c1b548dca2bp-4, 0x1.3cadf8946e33bp-4, 0x1.35b8eb47d73e2p-4, 0x1.2ee2442b0085p-4, 0x1.2829b8f8b6e9fp-4, 0x1.218efe7012a5dp-4, 0x1.1b11c86579b3cp-4, 0x1.14b1c9d336ec3p-4, 0x1.0e6eb4e9b43cfp-4, 0x1.08483b1f46936p-4, 0x1.023e0d3f9bd62p-4, 0x1.f89fb6f584417p-5, 0x1.ecfaaae79e3f2p-5, 0x1.e18c549e426b2p-5, 0x1.d6541180893f8p-5, 0x1.cb513e2eea0e1p-5, 0x1.c083369d8402ep-5, 0x1.b5e9562da81a2p-5, 0x1.ab82f7c6a7336p-5, 0x1.a14f75edee1c9p-5, 0x1.974e2ade688b1p-5, 0x1.8d7e709f2b5ccp-5, 0x1.83dfa11975f6cp-5, 0x1.7a71162dfe17p-5, 0x1.713229c98f989p-5, 0x1.682235f904bdap-5, 0x1.5f4094fc92124p-5, 0x1.568ca15a701c2p-5, 0x1.4e05b5f0e0604p-5, 0x1.45ab2e078f81ap-5, 0x1.3d7c65605f06cp-5, 0x1.3578b8478acfp-5, 0x1.2d9f83a33f558p-5, 0x1.25f025029090ep-5, 0x1.1e69faabe5246p-5, 0x1.170c63aac829ep-5, 0x1.0fd6bfdd321ddp-5, 0x1.08c8700045c24p-5, 0x1.01e0d5bc8153ap-5, 0x1.f63ea762cf272p-6, 0x1.e9069b015c111p-6, 0x1.dc184fb1b48f8p-6, 0x1.cf7290fee2f18p-6, 0x1.c3142cb542e31p-6, 0x1.b6fbf2f4e5181p-6, 0x1.ab28b6430c288p-6, 0x1.9f994b9ab48a4p-6, 0x1.944c8a7c4ad85p-6, 0x1.89414cfc7441p-6, 0x1.7e766fd20c4adp-6, 0x1.73ead26342d3ap-6, 0x1.699d56d1f5076p-6, 0x1.5f8ce2073c619p-6, 0x1.55b85bbe35d5ep-6, 0x1.4c1eae8e08295p-6, 0x1.42bec7f33c7b7p-6, 0x1.3997985853306p-6, 0x1.30a8131daf434p-6, 0x1.27ef2ea0dc3b6p-6, 0x1.1f6be4431bc37p-6, 0x1.171d306f6b70ep-6, 0x1.0f02129fcdf4fp-6, 0x1.07198d621b44ep-6, 0x1.fec54cb84b857p-7, 0x1.efb8cc9eac5d3p-7, 0x1.e10bb23783c8cp-7, 0x1.d2bc1b856fc2ap-7, 0x1.c4c82cd18219ap-7, 0x1.b72e10ae62a5p-7, 0x1.a9ebf7fa6a4acp-7, 0x1.9d0019e0d89f3p-7, 0x1.9068b3da1d139p-7, 0x1.842409ab4a398p-7, 0x1.78306564bb8c2p-7, 0x1.6c8c175fe1147p-7, 0x1.6135763c476e2p-7, 0x1.562adedbea3e8p-7, 0x1.4b6ab45ec1a3fp-7, 0x1.40f3601dbb2a3p-7, 0x1.36c351a4dc8b7p-7, 0x1.2cd8feacf621fp-7, 0x1.2332e31495aafp-7, 0x1.19cf80d87506p-7, 0x1.10ad600b564eap-7, 0x1.07cb0ecd5676p-7, 0x1.fe4e4285818cp-8, 0x1.ed806314c60e3p-8, 0x1.dd29bf66d019p-8, 0x1.cd47a365aabbcp-8, 0x1.bdd766b0eeb5fp-8, 0x1.aed66c8723f69p-8, 0x1.a04223ae2f596p-8, 0x1.9218065b072e4p-8, 0x1.84559a18e7ae5p-8, 0x1.76f86fafb0f58p-8, 0x1.69fe2309d02bbp-8, 0x1.5d645b197b4acp-8, 0x1.5128c9bd90018p-8, 0x1.45492ba5d2fdfp-8, 0x1.39c34836aedd3p-8, 0x1.2e94f16cb6073p-8, 0x1.23bc03bfa1172p-8, 0x1.19366604dd852p-8, 0x1.0f020952041b6p-8, 0x1.051ce8deacb94p-8, 0x1.f70a13ccac264p-9, 0x1.e470f713948e2p-9, 0x1.d26aad60dafa5p-9, 0x1.c0f37bd290d35p-9, 0x1.b007ba97ce5d3p-9, 0x1.9fa3d4b26928bp-9, 0x1.8fc447b80622cp-9, 0x1.8065a3933265dp-9, 0x1.71848a443eae2p-9, 0x1.631dafa229714p-9, 0x1.552dd91b2431p-9, 0x1.47b1dd7556bbp-9, 0x1.3aa6a48f8371bp-9, 0x1.2e0927219ab27p-9, 0x1.21d66e7da3cc4p-9, 0x1.160b945089d1dp-9, 0x1.0aa5c2630fd2dp-9, 0x1.ff4464b615c74p-10, 0x1.e9fc5af93a8b6p-10, 0x1.d56e18d7c32cap-10, 0x1.c1946ddd8baefp-10, 0x1.ae6a475e13dfdp-10, 0x1.9beaaff95d845p-10, 0x1.8a10cf2164c6fp-10, 0x1.78d7e8a0592cap-10, 0x1.683b5c1f2d3bbp-10, 0x1.5836a4adaa91fp-10, 0x1.48c5584a7096fp-10, 0x1.39e3276c8d01bp-10, 0x1.2b8bdc8dd8467p-10, 0x1.1dbb5bb59d743p-10, 0x1.106da205058e3p-10, 0x1.039ec543f91e2p-10, 0x1.ee95e6de9f6dap-11, 0x1.d6dce48fb595bp-11, 0x1.c00b3dc50cc3fp-11, 0x1.aa19da7352b32p-11, 0x1.9501cf7e44e48p-11, 0x1.80bc5de085f81p-11, 0x1.6d42f1d3e6fcp-11, 0x1.5a8f21fd7dbd8p-11, 0x1.489aae9b5fbbep-11, 0x1.375f80b4d3d6dp-11, 0x1.26d7a94d36d66p-11, 0x1.16fd6099160d7p-11, 0x1.07cb0535708cdp-11, 0x1.f27636c3da55ap-12, 0x1.d690987b33053p-12, 0x1.bbdaca0b2656ap-12, 0x1.a24aacae14637p-12, 0x1.89d666e578242p-12, 0x1.727463085bec4p-12, 0x1.5c1b4dd46e4a1p-12, 0x1.46c2150671674p-12, 0x1.325fe5f6a2dfcp-12, 0x1.1eec2c399dc38p-12, 0x1.0c5e9047f003cp-12, 0x1.f55dec52061d2p-13, 0x1.d3aaf84a3407dp-13, 0x1.b394f2f609a64p-13, 0x1.950cfa34f097cp-13, 0x1.780498cab6b7p-13, 0x1.5c6dc3e86f76cp-13, 0x1.423ad8c1addf7p-13, 0x1.295e9a2aca4ccp-13, 0x1.11cc2e421b354p-13, 0x1.f6ee384305b47p-14, 0x1.cca6933597f43p-14, 0x1.a4a9f1fdbb426p-14, 0x1.7ee18dd8507e1p-14, 0x1.5b375051fac37p-14, 0x1.3995cf0f365b1p-14, 0x1.19e847a22257ap-14, 0x1.f83536f2f3791p-15, 0x1.c03297be74236p-15, 0x1.8ba2ec157e41dp-15, 0x1.5a619e88fef96p-15, 0x1.2c4b423a3acdbp-15, 0x1.013d8b6c997d6p-15, 0x1.b22e90710fc22p-16, 0x1.6770b2d0a3269p-16, 0x1.220356e39fa2fp-16, 0x1.c354be582573fp-17, 0x1.4c575489062cfp-17, 0x1.bd3c16990898dp-18, 0x1.e6f105a269ab3p-19, 0x1.d490009238c14p-21, -0x1.b908f0ba3b8b3p-20, -0x1.07c80a2fe1c06p-18, -0x1.92bc7fb61037p-18, -0x1.07eb0f5b680f9p-17, -0x1.3fe281a11c9ecp-17, -0x1.719988228df62p-17, -0x1.9d620db9ae8e2p-17, -0x1.c38b0c19110dfp-17, -0x1.e460a0d9f4344p-17, -0x1.00161104015b6p-16, -0x1.0b9a191c3099fp-16, -0x1.14de6a1e0692ep-16, -0x1.1c03bf2ac809cp-16, -0x1.2129968646242p-16, -0x1.246e3ac317367p-16, -0x1.25eecbc8b6931p-16, -0x1.25c7479038d76p-16, -0x1.241292bc75b57p-16, -0x1.20ea80fec589cp-16, -0x1.1c67dd3d45c21p-16, -0x1.16a2719b4da57p-16, -0x1.0fb10f4217423p-16, -0x1.07a995fe23a9cp-16, -0x1.fd41f76b5c03fp-17, -0x1.e956a7492536fp-17, -0x1.d3b7aae572cd2p-17, -0x1.bc89c83f0337fp-17, -0x1.a3f0297cb81ddp-17, -0x1.8a0c6a0f15d83p-17, -0x1.6efea38d3327fp-17, -0x1.52e57a2d6a523p-17, -0x1.35de28f249864p-17, -0x1.18048d8cff4f8p-17, -0x1.f2e667ebd8d3cp-18, -0x1.b486c3583739fp-18, -0x1.751a416cd7916p-18, -0x1.34ce94a237e1bp-18, -0x1.e79e4574e5e1ap-19, -0x1.648a321a18b85p-19, -0x1.c15e00a6b2642p-20, -0x1.715a79ce96079p-21, 0x1.41c816a93b24dp-22, 0x1.597b97f0699acp-20, 0x1.30f95b1c11b26p-19, 0x1.b4b0e1cf32a7ap-19, 0x1.1bd681c104a15p-18, 0x1.5cdcda7a78c7ap-18, 0x1.9d530e4cabcf4p-18, 0x1.dd2239e17ccb3p-18, 0x1.0e1a7a3cee035p-17, 0x1.2d3ba0ac5687p-17, 0x1.4beb40d5d9c43p-17, 0x1.6a20b37971f93p-17, 0x1.87d3f2d0bee1ep-17, 0x1.a4fd942321ea4p-17, 0x1.c196c17c80cf4p-17, 0x1.dd9933a6423f6p-17, 0x1.f8ff2c370342ep-17, 0x1.09e1b7f47f4fcp-16, 0x1.16f0a086d0ddp-16, 0x1.23aa2d17149fp-16, 0x1.300c746931821p-16, 0x1.3c15c43f95afdp-16, 0x1.47c49ee93f1e4p-16, 0x1.5317b8e31b31fp-16, 0x1.5e0df68df859p-16, 0x1.68a669fabb66fp-16, 0x1.72e050c23885cp-16, 0x1.7cbb11f1d9edap-16, 0x1.86363c0b75568p-16, 0x1.8f518314835bep-16, 0x1.980cbeb36ca4p-16, 0x1.a067e862549fep-16, 0x1.a86319adf1cc8p-16, 0x1.affe8a84b2cfcp-16, 0x1.b73a8f9293effp-16, 0x1.be1798af5d1c8p-16, 0x1.c4962f5704332p-16, 0x1.cab6f53433615p-16, 0x1.d07aa2b2de884p-16, 0x1.d5e205a4e43d8p-16, 0x1.daedfff175e19p-16, 0x1.df9f864e2014ep-16, 0x1.e3f79f0989c2dp-16, 0x1.e7f760da9d092p-16, 0x1.eb9ff1c0b62afp-16, 0x1.eef285ee7b558p-16, 0x1.f1f05ebb70039p-16, 0x1.f49ac9a44eadep-16, 0x1.f6f31f531ea05p-16, 0x1.f8fac2b095df8p-16, 0x1.fab3200069c4fp-16, 0x1.fc1dac072d3ebp-16, 0x1.fd3be337a6be8p-16, 0x1.fe0f48e8cc7d8p-16, 0x1.fe99669737a82p-16, 0x1.fedbcb2a862e9p-16, 0x1.fed80a464e26dp-16, 0x1.fe8fbb9fd0125p-16, 0x1.fe047a5c62ed6p-16, 0x1.fd37e47863fcp-16, 0x1.fc2b9a324ee17p-16, 0x1.fae13d809d85cp-16, 0x1.f95a71895b362p-16, 0x1.f798da2464314p-16, 0x1.f59e1b6140fb8p-16, 0x1.f36bd913c0327p-16, 0x1.f103b66714833p-16, 0x1.ee6755740d6bap-16, 0x1.eb9856df85e7dp-16, 0x1.e898597ca20f5p-16, 0x1.e568f9f4d4c31p-16, 0x1.e20bd273b72d2p-16, 0x1.de827a5912f63p-16, 0x1.dace85ec87edap-16, 0x1.d6f186196574p-16, 0x1.d2ed082c0be37p-16, 0x1.cec2959423331p-16, 0x1.ca73b3abaec1dp-16, 0x1.c601e37f4c2b6p-16, 0x1.c16ea19ea3b5dp-16, 0x1.bcbb65ea32afap-16, 0x1.b7e9a36a8dd18p-16, 0x1.b2fac826dcc02p-16, 0x1.adf03cffae1ebp-16, 0x1.a8cb658d2b9abp-16, 0x1.a38da00010d9cp-16, 0x1.9e384504aaa91p-16, 0x1.98cca7aa33117p-16, 0x1.934c154a3c8d7p-16, 0x1.8db7d575449e9p-16, 0x1.881129debb514p-16, 0x1.82594e4e9b542p-16, 0x1.7c917891d2b35p-16, 0x1.76bad870527d5p-16, 0x1.70d697a0f2d89p-16, 0x1.6ae5d9c2fa68ap-16, 0x1.64e9bc56e9a17p-16, 0x1.5ee356baf274dp-16, 0x1.58d3ba278fb44p-16, 0x1.52bbf1ae5fcaep-16, 0x1.4c9d0239e3e32p-16, 0x1.4677ea8fca738p-16, 0x1.404da3540da44p-16, 0x1.3a1f1f0c7dcb8p-16, 0x1.33ed4a26f64c1p-16, 0x1.2db90b004c5cbp-16, 0x1.278341eacf8fbp-16, 0x1.214cc9380cc85p-16, 0x1.1b167542d65c7p-16, 0x1.14e11479a41fbp-16, 0x1.0ead6f6a1e788p-16, 0x1.087c48cdd2556p-16, 0x1.024e5d9730137p-16, 0x1.f848c9fec802fp-17, 0x1.ebfe212a3397ap-17, 0x1.dfbe18999fa7p-17, 0x1.d389fd1d15e34p-17, 0x1.c763109021d56p-17, 0x1.bb4a89f9d7937p-17, 0x1.af4195b052372p-17, 0x1.a349557cfaa61p-17, 0x1.9762e0bffed39p-17, 0x1.8b8f4495f99e2p-17, 0x1.7fcf83fe479dp-17, 0x1.74249800375ffp-17, 0x1.688f6fd30a42ap-17, 0x1.5d10f1069ddd2p-17, 0x1.51a9f7a96a59ap-17, 0x1.465b56726e22dp-17, 0x1.3b25d6e93edbp-17, 0x1.300a398eafa18p-17, 0x1.250936062c0fep-17, 0x1.1a237b3fdd1f2p-17, 0x1.0f59afa20ba38p-17, 0x1.04ac713269fefp-17, 0x1.f438ab7d6bdc2p-18, 0x1.df53d612682a8p-18, 0x1.caab6ddfd4c29p-18, 0x1.b6406f3031c8fp-18, 0x1.a213c72e25ac3p-18, 0x1.8e2654362070bp-18, 0x1.7a78e62d8195dp-18, 0x1.670c3ece55a1fp-18, 0x1.53e111fff87e5p-18, 0x1.40f806258226fp-18, 0x1.2e51b46e415fbp-18, 0x1.1beea92a0e6e2p-18, 0x1.09cf64148f4cbp-18, 0x1.efe8b1539fb71p-19, 0x1.ccbbdcdf43b2bp-19, 0x1.aa1902908292ep-19, 0x1.8800c37ac29ffp-19, 0x1.6673aa9beb7cbp-19, 0x1.45722d7216f48p-19, 0x1.24fcac9469688p-19, 0x1.051374457619cp-19, 0x1.cb6d7a0cef2d6p-20, 0x1.8dcd5858012dp-20, 0x1.5146a8d09d9b9p-20, 0x1.15d96cbb64352p-20, 0x1.b70b048e6343cp-21, 0x1.44954b5d3c962p-21, 0x1.a8a1c8f848cdcp-22, 0x1.98f31b30ae161p-23, -0x1.6a15207645169p-27, -0x1.bd7fbf76524bap-23, -0x1.add78ec0ee135p-22, -0x1.3c4dcecd3336fp-21, -0x1.9f882fa162e5cp-21, -0x1.004ea39a526d4p-20, -0x1.2fc7d265916acp-20, -0x1.5e3103e7ba49fp-20, -0x1.8b8baefd4cd2fp-20, -0x1.b7d960c6f9bf7p-20, -0x1.e31bbbc8afccap-20, -0x1.06aa3b8991a6cp-19, -0x1.1b42aeb469d54p-19, -0x1.2f5826358b1d7p-19, -0x1.42eb99e511a2fp-19, -0x1.55fe0a3e69865p-19, -0x1.68907ffe591f4p-19, -0x1.7aa40bc0293e4p-19, -0x1.8c39c59d79afep-19, -0x1.9d52ccd352061p-19, -0x1.adf04763eb0d8p-19, -0x1.be1361c02288cp-19, -0x1.cdbd4e70236dbp-19, -0x1.dcef45bbaf99p-19, -0x1.ebaa85584cf36p-19, -0x1.f9f050175dd64p-19, -0x1.03e0f6cbc9e5p-18, -0x1.0a9054fac7edcp-18, -0x1.1106eac10bb54p-18, -0x1.1745623bc27c1p-18, -0x1.1d4c6758f3c35p-18, -0x1.231ca7b2f882fp-18, -0x1.28b6d2706c612p-18, -0x1.2e1b9821cc4b6p-18, -0x1.334baaa090f28p-18, -0x1.3847bcefbf1c7p-18, -0x1.3d10831da2db2p-18, -0x1.41a6b2254e864p-18, -0x1.460affd1d7053p-18, -0x1.4a3e22a28c97p-18, -0x1.4e40d1aecaf96p-18, -0x1.5213c48bd2f85p-18, -0x1.55b7b331af48ap-18, -0x1.592d55e398a11p-18, -0x1.5c7565178e0b7p-18, -0x1.5f90995d48ebfp-18, -0x1.627fab491a57bp-18, -0x1.6543535b83b04p-18, -0x1.67dc49ee2326ep-18, -0x1.6a4b471ddcee5p-18, -0x1.6c9102b6df6ep-18, -0x1.6eae3421e10d2p-18, -0x1.70a39250e1303p-18, -0x1.7271d3ac1ac9bp-18, -0x1.7419ae0259e9fp-18, -0x1.759bd6779243fp-18, -0x1.76f90174437d5p-18, -0x1.7831e295c81d5p-18, -0x1.79472ca093f3ap-18, -0x1.7a39916ffebb1p-18, -0x1.7b09c1e9c8335p-18, -0x1.7bb86df064a7ap-18, -0x1.7c4644565c23cp-18, -0x1.7cb3f2d21045ap-18, -0x1.7d0225f2432bdp-18, -0x1.7d31891190523p-18, -0x1.7d42c64da45f1p-18, -0x1.7d36867c4f498p-18, -0x1.7d0d71219ba1ap-18, -0x1.7cc82c663a975p-18, -0x1.7c675d0f98467p-18, -0x1.7beba676d4656p-18, -0x1.7b55aa809f83fp-18, -0x1.7aa60996facabp-18, -0x1.79dd62a1acd58p-18, -0x1.78fc52ff14cfcp-18, -0x1.7803767da62cep-18, -0x1.76f36756f9a22p-18, -0x1.75ccbe296eeb4p-18, -0x1.749011f4065fep-18, -0x1.733df810ac7c9p-18, -0x1.71d7043008ce7p-18, -0x1.705bc8555f501p-18, -0x1.6eccd4d2e5a5ap-18, -0x1.6d2ab84612016p-18, -0x1.6b75ff94c7647p-18, -0x1.69af35ea7caf9p-18, -0x1.67d6e4b5e5682p-18, -0x1.65ed93a5d915dp-18, -0x1.63f3c8a7aafc4p-18, -0x1.61ea07e5a13f6p-18, -0x1.5fd0d3c5851b2p-18, -0x1.5da8ace798da5p-18, -0x1.5b721224d7ed5p-18, -0x1.592d808f1efacp-18, -0x1.56db736fa5085p-18, -0x1.547c6447c8fccp-18, -0x1.5210cad09ce43p-18, -0x1.4f991cfacf2afp-18, -0x1.4d15ceef17475p-18, -0x1.4a87530f5ee3fp-18, -0x1.47ee19f658ab6p-18, -0x1.454a9278f2a88p-18, -0x1.429d29a7c85d1p-18, -0x1.3fe64acfee3f3p-18, -0x1.3d265f7cd438ap-18, -0x1.3a5dcf78ec89cp-18, -0x1.378d00d073239p-18, -0x1.34b457d284a9ap-18, }}, 
      {{0x1.ffc65add1fb0fp-1, 0x1.ff1f86c1be60fp-1, 0x1.fe1999668c95cp-1, 0x1.fcc518364c429p-1, 0x1.fb31cf781c5bcp-1, 0x1.f96d4ab35a5e2p-1, 0x1.f78249627e01fp-1, 0x1.f578c382d2debp-1, 0x1.f35638d3fabeep-1, 0x1.f11e2028b269fp-1, 0x1.eed25daa673efp-1, 0x1.ec73b22e42aaap-1, 0x1.ea021cbf33dcbp-1, 0x1.e77d2bbe4e1bfp-1, 0x1.e4e43d6f178c7p-1, 0x1.e236b119c219dp-1, 0x1.df740a911f123p-1, 0x1.dc9c0a24c78f7p-1, 0x1.d9aebb06593edp-1, 0x1.d6ac7a068c14fp-1, 0x1.d395f65cf3ee4p-1, 0x1.d06c2df55f5bap-1, 0x1.cd3066859afbfp-1, 0x1.c9e424790c20cp-1, 0x1.c689208eab248p-1, 0x1.c3213cda220d7p-1, 0x1.bfae79b267da1p-1, 0x1.bc32eaf6fe0d6p-1, 0x1.b8b0adf8bafap-1, 0x1.b529e03b68038p-1, 0x1.b1a097320218bp-1, 0x1.ae16d907acf26p-1, 0x1.aa8e967af858dp-1, 0x1.a709a5c77adf4p-1, 0x1.a389be929f0d2p-1, 0x1.a01076cb67adfp-1, 0x1.9c9f4069896a9p-1, 0x1.993767f637358p-1, 0x1.95da13c818d81p-1, 0x1.928843dbd7b65p-1, 0x1.8f42d23346edcp-1, 0x1.8c0a73a64176cp-1, 0x1.88dfb911bd2e1p-1, 0x1.85c310d32b92fp-1, 0x1.82b4c87fefce9p-1, 0x1.7fb50eca74a04p-1, 0x1.7cc3f5881ae92p-1, 0x1.79e173ccdceecp-1, 0x1.770d681311f9cp-1, 0x1.74479a6720e32p-1, 0x1.718fbe90492a1p-1, 0x1.6ee57630c9231p-1, 0x1.6c4852d8be018p-1, 0x1.69b7d807fcc08p-1, 0x1.67337d1bf87ap-1, 0x1.64baaf2776775p-1, 0x1.624cd2b26df17p-1, 0x1.5fe94560f1051p-1, 0x1.5d8f5f806cba1p-1, 0x1.5b3e757ae747ap-1, 0x1.58f5d9303401ep-1, 0x1.56b4db35517efp-1, 0x1.547acbfa59167p-1, 0x1.5246fcd7949a4p-1, 0x1.5018c10269c51p-1, 0x1.4def6e6aed5f6p-1, 0x1.4bca5e82f8e9p-1, 0x1.49a8eeefb911cp-1, 0x1.478a8226aada5p-1, 0x1.456e7ff70a697p-1, 0x1.43545600b9ed4p-1, 0x1.413b7819a6378p-1, 0x1.3f2360a2b1d88p-1, 0x1.3d0b90cd29c34p-1, 0x1.3af390d1c4fd2p-1, 0x1.38daf01a2fc11p-1, 0x1.36c1455e12375p-1, 0x1.34a62eb48be99p-1, 0x1.3289519b0752ep-1, 0x1.306a5af24c3a8p-1, 0x1.2e48fef2a777dp-1, 0x1.2c24f917ff314p-1, 0x1.29fe0c06982d3p-1, 0x1.27d401694febcp-1, 0x1.25a6a9ca019d3p-1, 0x1.2375dc64c7dc7p-1, 0x1.214176f6bc24cp-1, 0x1.1f095d88d533ap-1, 0x1.1ccd7a3774977p-1, 0x1.1a8dbcf7310ap-1, 0x1.184a1b575cb06p-1, 0x1.16029042c2662p-1, 0x1.13b71bbf0a723p-1, 0x1.1167c2ab2f194p-1, 0x1.0f148e7d5f653p-1, 0x1.0cbd8d00ac0b9p-1, 0x1.0a62d012cd666p-1, 0x1.08046d624b7fep-1, 0x1.05a27e2d4d772p-1, 0x1.033d1f0148889p-1, 0x1.00d46f7bc7aeep-1, 0x1.fcd12418f2c2ep-2, 0x1.f7f357715b51bp-2, 0x1.f30fc7c0d2151p-2, 0x1.ee26c80a5699fp-2, 0x1.e938af25080f6p-2, 0x1.e445d75117494p-2, 0x1.df4e9dd0a4668p-2, 0x1.da536284a0b9ep-2, 0x1.d554878dd11c3p-2, 0x1.d05270f1f2dadp-2, 0x1.cb4d844517edbp-2, 0x1.c646285731391p-2, 0x1.c13cc4e5cbb12p-2, 0x1.bc31c251f40ebp-2, 0x1.b725895a3a7d3p-2, 0x1.b21882d8c0b36p-2, 0x1.ad0b178549acdp-2, 0x1.a7fdafbb27d37p-2, 0x1.a2f0b3430301p-2, 0x1.9de489204de25p-2, 0x1.98d9976258b38p-2, 0x1.93d042f8df07ep-2, 0x1.8ec8ef8bf78b1p-2, 0x1.89c3ff573fe9dp-2, 0x1.84c1d3082d211p-2, 0x1.7fc2c99f59104p-2, 0x1.7ac74054b1281p-2, 0x1.75cf927e63777p-2, 0x1.70dc197a6c9f8p-2, 0x1.6bed2c9a9ea86p-2, 0x1.670321130d5cbp-2, 0x1.621e49eab3c13p-2, 0x1.5d3ef7ee3bc87p-2, 0x1.586579a4c828ep-2, 0x1.53921b469f57ap-2, 0x1.4ec526b5a1abfp-2, 0x1.49fee3776699bp-2, 0x1.453f96b0ebe74p-2, 0x1.40878323bb9a8p-2, 0x1.3bd6e92c6c054p-2, 0x1.372e06c265471p-2, 0x1.328d1778d483ap-2, 0x1.2df45480b49cep-2, 0x1.2963f4abd6e58p-2, 0x1.24dc2c70dc651p-2, 0x1.205d2df00389dp-2, 0x1.1be728f8c25cep-2, 0x1.177a4b100fc09p-2, 0x1.1316bf7757548p-2, 0x1.0ebcaf33feec6p-2, 0x1.0a6c411773ed4p-2, 0x1.062599c7afdacp-2, 0x1.01e8dbc828a4ep-2, 0x1.fb6c4f063e277p-3, 0x1.f31b36a687b03p-3, 0x1.eadea71b3d27bp-3, 0x1.e2b6d51773debp-3, 0x1.daa3f16bff3e6p-3, 0x1.d2a6291c86109p-3, 0x1.cabda574df07cp-3, 0x1.c2ea8c1ea4b15p-3, 0x1.bb2cff36f2bf6p-3, 0x1.b3851d6446818p-3, 0x1.abf301ec66676p-3, 0x1.a476c4ca5dbe4p-3, 0x1.9d107ac46b3cap-3, 0x1.95c03581e41ebp-3, 0x1.8e8603a103081p-3, 0x1.8761f0cc9f24bp-3, 0x1.805405d1b2ea1p-3, 0x1.795c48b4c6b17p-3, 0x1.727abcc722266p-3, 0x1.6baf62bbc8edep-3, 0x1.64fa38bc40c4cp-3, 0x1.5e5b3a7d19299p-3, 0x1.57d261522e6bap-3, 0x1.515fa442aac03p-3, 0x1.4b02f81cbbb36p-3, 0x1.44bc4f8904be7p-3, 0x1.3e8b9b1dbacap-3, 0x1.3870c9717b139p-3, 0x1.326bc72dcafedp-3, 0x1.2c7c7f214d222p-3, 0x1.26a2da519d7c3p-3, 0x1.20dec00ce041cp-3, 0x1.1b3015faf9968p-3, 0x1.1596c02e6ff36p-3, 0x1.1012a13502068p-3, 0x1.0aa39a27daefep-3, 0x1.05498abb7f3e9p-3, 0x1.0004514f5cb1p-3, 0x1.f5a795fa1210ap-4, 0x1.eb6fa74e5551p-4, 0x1.e1608c1029631p-4, 0x1.d779f78009f4fp-4, 0x1.cdbb9ac6375c3p-4, 0x1.c425250ded172p-4, 0x1.bab643a0080dp-4, 0x1.b16ea1fcfea3ep-4, 0x1.a84de9f646d3ap-4, 0x1.9f53c3c70c4bdp-4, 0x1.967fd62c68a4ap-4, 0x1.8dd1c67cddeabp-4, 0x1.854938bf58224p-4, 0x1.7ce5cfc187d6cp-4, 0x1.74a72d2dad4aep-4, 0x1.6c8cf19fd30c3p-4, 0x1.6496bcba75484p-4, 0x1.5cc42d3a9e53cp-4, 0x1.5514e10b750d6p-4, 0x1.4d88755940455p-4, 0x1.461e86a3e6bb9p-4, 0x1.3ed6b0d0e234p-4, 0x1.37b08f3cb5763p-4, 0x1.30abbccbdaaa1p-4, 0x1.29c7d3fb36bccp-4, 0x1.23046ef00a3cap-4, 0x1.1c6127876a94ap-4, 0x1.15dd97653e8d8p-4, 0x1.0f795802c54acp-4, 0x1.093402bca38a7p-4, 0x1.030d30e083792p-4, 0x1.fa08f77478077p-5, 0x1.ee32f9411c83dp-5, 0x1.e2979a02dfa5ap-5, 0x1.d7360cdbdadd8p-5, 0x1.cc0d854b439d1p-5, 0x1.c11d374387195p-5, 0x1.b664573fa0aa4p-5, 0x1.abe21a579e1d7p-5, 0x1.a195b6546b513p-5, 0x1.977e61c2d2176p-5, 0x1.8d9b5405c3d7dp-5, 0x1.83ebc567e9c5fp-5, 0x1.7a6eef2c7af6ep-5, 0x1.71240b9f66c42p-5, 0x1.680a5624caaf7p-5, 0x1.5f210b47c4ab4p-5, 0x1.566768c89a09dp-5, 0x1.4ddcadaa3a774p-5, 0x1.45801a3f23906p-5, 0x1.3d50f035ae3d4p-5, 0x1.354e72a3bae6bp-5, 0x1.2d77e611c8d72p-5, 0x1.25cc908584bd9p-5, 0x1.1e4bb98bbdc94p-5, 0x1.16f4aa41d45dep-5, 0x1.0fc6ad5ea2b9dp-5, 0x1.08c10f3add196p-5, 0x1.01e31dd8f4f19p-5, 0x1.f65851d8e96b8p-6, 0x1.e93703c1e41ecp-6, 0x1.dc60f7c0e7666p-6, 0x1.cfd4d7b2e693cp-6, 0x1.c3915108c596ap-6, 0x1.b79514d19855ap-6, 0x1.abded7c3f91bcp-6, 0x1.a06d52469ccd6p-6, 0x1.953f4078156bp-6, 0x1.8a536235d0f3ap-6, 0x1.7fa87b225994p-6, 0x1.753d52aad0cdfp-6, 0x1.6b10b40bcf1b9p-6, 0x1.61216e557bb9bp-6, 0x1.576e546f0786p-6, 0x1.4df63d1981cb7p-6, 0x1.44b802f20e062p-6, 0x1.3bb284737f8b4p-6, 0x1.32e4a3f7621f9p-6, 0x1.2a4d47b66ec7p-6, 0x1.21eb59c87db1ep-6, 0x1.19bdc823ecd5bp-6, 0x1.11c3849c83a2bp-6, 0x1.09fb84e1e1e9fp-6, 0x1.0264c27d6f652p-6, 0x1.f5fc759fbc586p-7, 0x1.e78dde1c721e2p-7, 0x1.d97bc87d19356p-7, 0x1.cbc446684d212p-7, 0x1.be657116e5b4p-7, 0x1.b15d694afcd1fp-7, 0x1.a4aa57463bd45p-7, 0x1.984a6abf7799bp-7, 0x1.8c3bdad7b8cf3p-7, 0x1.807ce60e890bdp-7, 0x1.750bd235d0bccp-7, 0x1.69e6ec650d97ep-7, 0x1.5f0c88ec01f1dp-7, 0x1.547b0344f64e7p-7, 0x1.4a30be066459ep-7, 0x1.402c22d44d4c9p-7, 0x1.366ba25108376p-7, 0x1.2cedb40dc6248p-7, 0x1.23b0d67a9475cp-7, 0x1.1ab38ed621328p-7, 0x1.11f4691d1c1ccp-7, 0x1.0971f7f9488a8p-7, 0x1.012ad4b047c05p-7, 0x1.f23b3e24412bfp-8, 0x1.e291facf0763ap-8, 0x1.d35738bfa9df6p-8, 0x1.c4885dfe09945p-8, 0x1.b622dd16556dep-8, 0x1.a82434f415edfp-8, 0x1.9a89f0bca3e67p-8, 0x1.8d51a7a9a053ep-8, 0x1.8078fce2fbe7fp-8, 0x1.73fd9f58c9a9cp-8, 0x1.67dd499cfd0a4p-8, 0x1.5c15c1bced23ap-8, 0x1.50a4d91aad792p-8, 0x1.45886c465c93fp-8, 0x1.3abe62d75eec8p-8, 0x1.3044af45834edp-8, 0x1.26194ec220c64p-8, 0x1.1c3a491133bp-8, 0x1.12a5b062907afp-8, 0x1.0959a12b110dfp-8, 0x1.005441fdc4b6ep-8, 0x1.ef2786caad694p-9, 0x1.de2cbf7adff06p-9, 0x1.cdb4b618b105ep-9, 0x1.bdbc05b91172cp-9, 0x1.ae3f5c2d3c24cp-9, 0x1.9f3b79b6a2ed6p-9, 0x1.90ad30bb583aap-9, 0x1.8291657adfd4ap-9, 0x1.74e50dc36b213p-9, 0x1.67a530a78a7ffp-9, 0x1.5acee6345b0efp-9, 0x1.4e5f572825977p-9, 0x1.4253bca9baa07p-9, 0x1.36a96000051d3p-9, 0x1.2b5d9a4a862adp-9, 0x1.206dd43a31a25p-9, 0x1.15d785caef9b7p-9, 0x1.0b9835fdde78p-9, 0x1.01ad7a940a968p-9, 0x1.f029ef93e27d8p-10, 0x1.dd98c02723f68p-10, 0x1.cba2e7b2bca11p-10, 0x1.ba44026b65a0ap-10, 0x1.a977c765f21e4p-10, 0x1.993a081572d6cp-10, 0x1.8986afca8d06ep-10, 0x1.7a59c3341a1b9p-10, 0x1.6baf5fe1c209p-10, 0x1.5d83bbc777f0dp-10, 0x1.4fd324c3277a6p-10, 0x1.429a0023609f9p-10, 0x1.35d4ca2fdb39fp-10, 0x1.298015b34e953p-10, 0x1.1d988b86fa7adp-10, 0x1.121aea1fe516ep-10, 0x1.0704051d541d4p-10, 0x1.f8a189b203133p-11, 0x1.e3fc4bf1d78ep-11, 0x1.d012720596c19p-11, 0x1.bcde43e1b06fep-11, 0x1.aa5a2f90c4647p-11, 0x1.9880c863be83cp-11, 0x1.874cc624f2454p-11, 0x1.76b9044ed577ep-11, 0x1.66c08145622acp-11, 0x1.575e5d92ab911p-11, 0x1.488ddb26c192dp-11, 0x1.3a4a5c9a60707p-11, 0x1.2c8f6474fb3c5p-11, 0x1.1f589475c30a8p-11, 0x1.12a1acdf7bffep-11, 0x1.06668bc7a0623p-11, 0x1.f54658d0e6284p-12, 0x1.dea74cec2f218p-12, 0x1.c8e85aec8f2acp-12, 0x1.b402203745d17p-12, 0x1.9fed6f464c4bcp-12, 0x1.8ca34e6a5426fp-12, 0x1.7a1cf692392cap-12, 0x1.6853d21717c8bp-12, 0x1.57417b8f6c6bbp-12, 0x1.46dfbca70236dp-12, 0x1.37288cfcab561p-12, 0x1.28161105559a9p-12, 0x1.19a298f4694ffp-12, 0x1.0bc89fa9ccd2ap-12, 0x1.fd059349585a6p-13, 0x1.e397c7f936d11p-13, 0x1.cb3dc6bc9aaf8p-13, 0x1.b3edc61d39112p-13, 0x1.9d9e47e479831p-13, 0x1.88461734658dfp-13, 0x1.73dc46ab6addbp-13, 0x1.60582e90fd061p-13, 0x1.4db16b0bab83dp-13, 0x1.3bdfda612dadep-13, 0x1.2adb9b401abacp-13, 0x1.1a9d0b11b238fp-13, 0x1.0b1cc456068e2p-13, 0x1.f8a73a0ee8e83p-14, 0x1.dc754a1177133p-14, 0x1.c19649340700dp-14, 0x1.a7fd35b0088a9p-14, 0x1.8f9d78858864fp-14, 0x1.786ae298174aap-14, 0x1.6259a9deac2e4p-14, 0x1.4d5e66a0a0296p-14, 0x1.396e10c5ab353p-14, 0x1.267dfd333a94cp-14, 0x1.1483db385aed8p-14, 0x1.0375b20b3cad4p-14, 0x1.e693bca647995p-15, 0x1.c7ee1f844a7c2p-15, 0x1.aae88d7936bcp-15, 0x1.8f71a41ee39cbp-15, 0x1.75789964c90c2p-15, 0x1.5ced3732cb7a3p-15, 0x1.45bfd726a741dp-15, 0x1.2fe15e682f38bp-15, 0x1.1b43399adc67cp-15, 0x1.07d758e7dc368p-15, 0x1.eb205839f7b9p-16, 0x1.c8c13dd17fbccp-16, 0x1.a8782a5703c5ap-16, 0x1.8a2ccec16f2fbp-16, 0x1.6dc7be3cf6601p-16, 0x1.533267574e81fp-16, 0x1.3a570d58b2ab4p-16, 0x1.2320c1c52098bp-16, 0x1.0d7b5e0c9d83fp-16, 0x1.f2a6fac0404efp-17, 0x1.cd2ced63f514ap-17, 0x1.aa64adb74cf8cp-17, 0x1.8a2bb5d6fa8f9p-17, 0x1.6c60d5330647fp-17, 0x1.50e425bb6e8ddp-17, 0x1.379701633e93ap-17, 0x1.205bf7ddf1d22p-17, 0x1.0b16c4a58a479p-17, 0x1.ef588a969bf28p-18, 0x1.cc04e00669821p-18, 0x1.ac0094ec07881p-18, 0x1.8f1bc1a59239cp-18, 0x1.75287a3f5f033p-18, 0x1.5dfabd81c60cfp-18, 0x1.49686486ad218p-18, 0x1.374912c1dcd07p-18, 0x1.27762671dd745p-18, 0x1.19caa98df13e5p-18, 0x1.0e234315b105p-18, 0x1.045e28d48444ep-18, 0x1.f8b622f9804d7p-19, 0x1.ebf64e8093bcbp-19, 0x1.e241f577a33c7p-19, 0x1.db60ec8407696p-19, 0x1.d71da331ba07ep-19, 0x1.d5450bebc80cbp-19, 0x1.d5a684d409767p-19, 0x1.d813c1454a9dep-19, 0x1.dc60b3e759441p-19, 0x1.e263798d7baecp-19, 0x1.e9f444a70aeb5p-19, 0x1.f2ed4947f51c7p-19, 0x1.fd2aa9d6aa02fp-19, 0x1.0445322b3bfdcp-18, 0x1.0a762017f1d48p-18, 0x1.1118de4f03ed3p-18, 0x1.181effd43dbc6p-18, 0x1.1f7ae2ce0ca56p-18, 0x1.271fa87f6394bp-18, 0x1.2f012d8f0f5fap-18, 0x1.371402831bc8p-18, 0x1.3f4d64821c1bdp-18, 0x1.47a336485cb2p-18, 0x1.500bf95c6a833p-18, 0x1.587ec78181f51p-18, 0x1.60f34c4f94ca9p-18, 0x1.6961bf145b509p-18, 0x1.71c2dcdc591b7p-18, 0x1.7a0fe2b17b8d1p-18, 0x1.8242881155c8bp-18, 0x1.8a54f98cdb615p-18, 0x1.9241d3965780ap-18, 0x1.9a041d7fc9ec3p-18, 0x1.a19744a23c758p-18, 0x1.a8f717b6918b7p-18, 0x1.b01fc2501c96ap-18, 0x1.b70dc8824c96cp-18, 0x1.bdbe02b41012fp-18, 0x1.c42d998f3da6cp-18, 0x1.ca5a021be2a99p-18, 0x1.d040f9f9932cap-18, 0x1.d5e083c5653a1p-18, 0x1.db36e394c7414p-18, 0x1.e0429b9ff9d4ap-18, 0x1.e5026902be2b4p-18, 0x1.e975409dd8485p-18, 0x1.ed9a4c12cb753p-18, 0x1.f170e6e67dac7p-18, 0x1.f4f89bbace97p-18, 0x1.f831219ff5ad5p-18, 0x1.fb1a5983aa0e6p-18, 0x1.fdb44bc05482ap-18, 0x1.ffff25b8e08eep-18, 0x1.00fd9bca9379bp-17, 0x1.01d47909ac8d8p-17, 0x1.0284723863381p-17, 0x1.030ddd32dfc75p-17, 0x1.03711d1e01d08p-17, 0x1.03aea17b16932p-17, 0x1.03c6e5456d44ep-17, 0x1.03ba6e1999dafp-17, 0x1.0389cb66d773ap-17, 0x1.033595a813943p-17, 0x1.02be6da79c50ap-17, 0x1.0224fbc877d14p-17, 0x1.0169ef5b022eap-17, 0x1.008dfdf6f23c4p-17, 0x1.ff23c5bc40ee1p-18, 0x1.fcecbccd06b3cp-18, 0x1.fa786ad3b7abp-18, 0x1.f7c8617babebep-18, 0x1.f4de3966c5ec4p-18, 0x1.f1bb9133f588p-18, 0x1.ee620c95afd5ap-18, 0x1.ead35373b35fap-18, 0x1.e7111115308c3p-18, 0x1.e31cf35a725fcp-18, 0x1.def8a9fe9d08p-18, 0x1.daa5e5e3c81f2p-18, 0x1.d62658674eff1p-18, 0x1.d17bb2c45a961p-18, 0x1.cca7a57a3801dp-18, 0x1.c7abdfbe9bd08p-18, 0x1.c28a0ef72045fp-18, 0x1.bd43de39b5b8ap-18, 0x1.b7daf5d7a4432p-18, 0x1.b250faed9015ap-18, 0x1.aca78efcc7ae2p-18, 0x1.a6e04f88669fap-18, 0x1.a0fcd5bc5180bp-18, 0x1.9afeb617e4afp-18, 0x1.94e78020db733p-18, 0x1.8eb8be1b5a551p-18, 0x1.8873f4c5bf973p-18, 0x1.821aa31b48f67p-18, 0x1.7bae421d1352dp-18, 0x1.7530449e27288p-18, 0x1.6ea21714765e5p-18, 0x1.68051f6f6bf3bp-18, 0x1.615abcf00894p-18, 0x1.5aa44808c1a54p-18, 0x1.53e3123eb429dp-18, 0x1.4d18660f033d1p-18, 0x1.464586d918e7dp-18, 0x1.3f6bb0c93715ep-18, 0x1.388c18ca7d34ap-18, 0x1.31a7ec774900bp-18, 0x1.2ac0521095d06p-18, 0x1.23d668760ad2cp-18, 0x1.1ceb47207d5c8p-18, 0x1.15fffe1f6d002p-18, 0x1.0f1596192264bp-18, 0x1.082d104c76f74p-18, 0x1.014766952ae4bp-18, 0x1.f4cb16e383d47p-19, 0x1.e710d4164b125p-19, 0x1.d961cc7d0500ep-19, 0x1.cbbfb95195072p-19, 0x1.be2c456783f17p-19, 0x1.b0a90d48a5ad7p-19, 0x1.a3379f527dd4dp-19, 0x1.95d97bdac01b2p-19, 0x1.88901550d4587p-19, 0x1.7b5cd066fb0d1p-19, 0x1.6e410439c595cp-19, 0x1.613dfa7a80f66p-19, 0x1.5454ef9aa533ap-19, 0x1.478712fb28cd1p-19, 0x1.3ad5871b09e05p-19, 0x1.2e4161c77e6bap-19, 0x1.21cbac4ec705fp-19, 0x1.157563b2c637p-19, 0x1.093f78dc32e0bp-19, 0x1.fa55a19e9aecdp-20, 0x1.e27089c7a4508p-20, 0x1.cad145f3d669fp-20, 0x1.b3795b63667f7p-20, 0x1.9c6a39429c696p-20, 0x1.85a5391ddcbeep-20, 0x1.6f2b9f4ce2be7p-20, 0x1.58fe9b68bdb1ep-20, 0x1.431f48be48bccp-20, 0x1.2d8eaeb9b451cp-20, 0x1.184dc15e5c49ap-20, 0x1.035d61b5b612bp-20, 0x1.dd7cbc8765e5cp-21, 0x1.b4e2e6ee84a2p-21, 0x1.8cee983627f47p-21, 0x1.65a1038ed8e8ep-21, 0x1.3efb3aa39cd4p-21, 0x1.18fe2e78f38abp-21, 0x1.e75560958155bp-22, 0x1.9e02e4dfd7e68p-22, 0x1.5606125aaf976p-22, 0x1.0f5fd72ddd345p-22, 0x1.9421d17fecdc5p-23, 0x1.0c338accfa404p-23, 0x1.0dead8199114ep-24, 0x1.19e7dfdaa8537p-29, -0x1.edd853c179366p-25, -0x1.f1489900e6b34p-24, -0x1.7324008ae5081p-23, -0x1.eaf68535d84d1p-23, -0x1.300ec3464313fp-22, -0x1.694d82b159d54p-22, -0x1.a138aa30bad38p-22, -0x1.d7d18a942beecp-22, -0x1.068ccd5291222p-21, -0x1.20893ae9de474p-21, -0x1.39deed5ad469cp-21, -0x1.528ed4dc9a4cap-21, -0x1.6a99f1e3b835ap-21, -0x1.8201547324629p-21, -0x1.98c61b7e7f464p-21, -0x1.aee9743d40669p-21, -0x1.c46c9994a5672p-21, -0x1.d950d3726f94ap-21, -0x1.ed977636deed7p-21, -0x1.00a0f10ef563bp-20, -0x1.0a28c153d2d0fp-20, -0x1.1363e70738d5bp-20, -0x1.1c5322595cfbfp-20, -0x1.24f7384a5b082p-20, -0x1.2d50f26535fc5p-20, -0x1.35611e7da03a5p-20, -0x1.3d288e70a3ac9p-20, -0x1.44a817e6e3382p-20, -0x1.4be094136da88p-20, -0x1.52d2df7b824ebp-20, -0x1.597fd9b975034p-20, -0x1.5fe8654428fc3p-20, -0x1.660d67390ca9p-20, -0x1.6befc72406abep-20, -0x1.71906ecb72c2ep-20, -0x1.76f049fd18df9p-20, -0x1.7c10465c38f2dp-20, -0x1.80f153311fdd2p-20, -0x1.8594613aa65ep-20, -0x1.89fa627feacebp-20, -0x1.8e244a23f602bp-20, -0x1.92130c3b13f61p-20, -0x1.95c79da0a0ed5p-20, -0x1.9942f3cebd1e1p-20, -0x1.9c8604b745775p-20, -0x1.9f91c69c4ebe8p-20, -0x1.a2672fecff024p-20, -0x1.a50737237038dp-20, -0x1.a772d29f28f4bp-20, -0x1.a9aaf8863e44dp-20, -0x1.abb09ea532c37p-20, -0x1.ad84ba4d3697cp-20, -0x1.af28403ab44d1p-20, -0x1.b09c2475c5c2cp-20, -0x1.b1e15a37166efp-20, -0x1.b2f8d3cca67fep-20, -0x1.b3e3828179151p-20, -0x1.b4a2568462ce4p-20, -0x1.b5363ecfcf134p-20, -0x1.b5a029148d474p-20, -0x1.b5e101a35a02ap-20, -0x1.b5f9b3588d17ep-20, -0x1.b5eb27861f51ap-20, -0x1.b5b645e35842cp-20, -0x1.b55bf47a4f3a1p-20, -0x1.b4dd1794b4e5p-20, -0x1.b43a91acb61b9p-20, -0x1.b375435da754cp-20, -0x1.b28e0b53b14f4p-20, -0x1.b185c63f7573ep-20, -0x1.b05d4ec8067b9p-20, -0x1.af157d7e62295p-20, -0x1.adaf28d171e7fp-20, -0x1.ac2b250185abp-20, -0x1.aa8a44186106cp-20, -0x1.a8cd55dd9ca67p-20, -0x1.a6f527cd83057p-20, -0x1.a50285113495ep-20, -0x1.a2f63674d4143p-20, -0x1.a0d102625e6e6p-20, -0x1.9e93acda0769bp-20, -0x1.9c3ef76af846ep-20, -0x1.99d3a12fac32fp-20, -0x1.975266c7235d9p-20, -0x1.94bc024f8f119p-20, -0x1.92112b63b0661p-20, -0x1.8f52971706914p-20, -0x1.8c80f7f11d906p-20, -0x1.899cfdebb7c33p-20, -0x1.86a756713b8d8p-20, -0x1.83a0ac5881f86p-20, -0x1.8089a7e5713p-20, -0x1.7d62eec750c7bp-20, -0x1.7a2d241710288p-20, -0x1.76e8e8587b8cbp-20, -0x1.7396d979748bp-20, -0x1.703792d13502bp-20, -0x1.6ccbad22583a5p-20, -0x1.6953be9c19144p-20, -0x1.65d05ada309fep-20, -0x1.624212e75a94ep-20, -0x1.5ea9753efc72cp-20, -0x1.5b070dcf696cp-20, -0x1.575b65fb6f014p-20, -0x1.53a7049e7e4dbp-20, -0x1.4fea6e0f71134p-20, -0x1.4c2624228bee7p-20, -0x1.485aa62cdddffp-20, -0x1.4488710951567p-20, -0x1.40afff1ab8c2ap-20, -0x1.3cd1c85149b24p-20, -0x1.38ee422dc3db9p-20, -0x1.3505dfc6642d2p-20, -0x1.311911ca84e79p-20, -0x1.2d284688863fdp-20, -0x1.2933e9f1ee72ap-20, -0x1.253c65a02d8eep-20, -0x1.214220da73a57p-20, -0x1.1d45809b184a9p-20, -0x1.1946e793c3e27p-20, -0x1.1546b633b47f6p-20, -0x1.11454aad76176p-20, -0x1.0d4300fc07272p-20, -0x1.094032e9a59b7p-20, -0x1.053d3814a2dd2p-20, -0x1.013a65f5ff622p-20, -0x1.fa701fcd68a55p-21, -0x1.f26d0e4e0eadbp-21, -0x1.ea6c35c80fc5p-21, -0x1.e26e307b4dc26p-21, -0x1.da73949a1aaacp-21, -0x1.d27cf4579a6e7p-21, -0x1.ca8addf28928ap-21, -0x1.c29ddbc268cd5p-21, -0x1.bab674457c85ap-21, -0x1.b2d52a2c96085p-21, -0x1.aafa7c69e2cacp-21, -0x1.a326e63b9a80ep-21, -0x1.9b5adf3b8e754p-21, -0x1.9396db6a8396bp-21, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      28, 0x1.45c28f5c28f5cp+2, 0x1.16a6545382289p+1, 0x1.4cdb3469c2f22p+2, -0x1.d94e4414785eep-7, 
      {{
        {0x1.dc28f5c28f5c3p+1, 0x1.ep+1, 0x1.4d9b6581fbc12p-5, -0x1.ebeb218866d1dp-4, 0x1.0bb87975be393p-3, -0x1.cbc279d084201p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.310b1504ce11ap-5, -0x1.cc69a5a1811e6p-4, 0x1.0160423d36217p-3, -0x1.cbe25674aa887p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0584af06fae4cp-5, -0x1.9aa97be84273ep-4, 0x1.e042bdfe7912cp-4, -0x1.cbd104ad7052p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.bd97827ff6287p-6, -0x1.6c5c3bce2ec42p-4, 0x1.bdc6440b10a5cp-4, -0x1.cc7a0bd882b88p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.790ff9a5f3156p-6, -0x1.418276f72b084p-4, 0x1.9b3d1cc13a0b4p-4, -0x1.c9c4faafeabafp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.3cc227f7cfedp-6, -0x1.1a1a364f62965p-4, 0x1.78e7f05a6ed6ap-4, -0x1.b62d254cf5986p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.07ff598c571cbp-6, -0x1.ec1c2296dc5ebp-5, 0x1.580af3f4a9382p-4, -0x1.a21ff6cbf4eaap-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.b43ea6d27fe89p-7, -0x1.aa6ff1baa8861p-5, 0x1.38aef4a55d404p-4, -0x1.8e296a7199c97p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.650309862db07p-7, -0x1.6ee3061409966p-5, 0x1.1ad23fdcd81e1p-4, -0x1.7a2ccd8d7f19cp-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.211a122fdc716p-7, -0x1.3928ab7cc5131p-5, 0x1.fcea9417a9f77p-5, -0x1.6631d0a9be278p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.cec2a0bd7a52ap-8, -0x1.08f4254879fcp-5, 0x1.c72fe7fe33d81p-5, -0x1.5236644e56883p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6d8b586a19d73p-8, -0x1.bbf17226f7b31p-6, 0x1.94748c25a6dd6p-5, -0x1.3e3b15d12c4b4p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.1c86ccd029cd8p-8, -0x1.6fd357bae5127p-6, 0x1.64b87c13136bfp-5, -0x1.2a3fbf52b8d6p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.b3986100a989ap-9, -0x1.2cf485a0001f1p-6, 0x1.37fbb8f9de18dp-5, -0x1.16446afb268e8p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.4722ce62bafe6p-9, -0x1.e5770c2625fe6p-7, 0x1.0e3e4287651c5p-5, -0x1.024916095d7ffp-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.e0ac17007bd1ap-10, -0x1.811dc6adb61dcp-7, 0x1.cf0031a59492bp-6, -0x1.dc9b82b3190a4p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.583148be313p-10, -0x1.2baa4f5985941p-7, 0x1.878277a450d17p-6, -0x1.b4a4d878290dfp-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.de3a1d4587084p-11, -0x1.c7d3755633be4p-8, 0x1.4603572be442dp-6, -0x1.8cae312679607p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.406413d582108p-11, -0x1.51523a57b83dep-8, 0x1.0a82cfcc85417p-6, -0x1.64b77f0b1158cp-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.9ab681ac6316fp-12, -0x1.e2d62d1bd8d46p-9, 0x1.aa01c648ebb37p-7, -0x1.3cc0f52d61286p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.f23fe488d46dep-13, -0x1.4b706762ae75fp-9, 0x1.4afb1654e8277p-7, -0x1.14c9d52272f1bp-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.19a06b13b7f2p-13, -0x1.af4ee0b8c5799p-10, 0x1.efe3799524f1dp-8, -0x1.d9a9cb1d87c73p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.21f867d3f878p-14, -0x1.055f5afee2af8p-10, 0x1.61ca230c49037p-8, -0x1.89af94970cf2bp-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.065c02fcca401p-15, -0x1.1ef4a18b305b7p-11, 0x1.d75e2024570ffp-9, -0x1.39f25a9dd883dp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.88ab809f358p-17, -0x1.102a0bebfd183p-12, 0x1.1affe9c5a1f1p-9, -0x1.d2a30b9e5e674p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.b1d940f744p-19, -0x1.970b34b6bf534p-14, 0x1.1e04662c3e721p-10, -0x1.38043f9217f47p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.1337a9945p-21, -0x1.8cbcaa866873bp-16, 0x1.8b3a99b8c04d5p-12, -0x1.094ea3cf525c4p-9}, 
        {0x1.4333333333333p+2, 0x1.45c28f5c28f5cp+2, 0x1.4fcec5a5228cp-26, -0x1.310ccb531ea88p-20, 0x1.3370ee330f7fbp-14, -0x1.192870e6db0fap-8}, 
      }}, 
      0x1.c2390a6f06561p-4, -0x1.eaf47c5cd62ddp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.173d2867579cp-5, 0x1.1609f1bc7badep-4, 0x1.9e1e57010a8dep-4, 0x1.1168dc8b47751p-3, 0x1.519cb2579207dp-3, 0x1.8f463893c381ep-3, 0x1.ca12066159515p-3, 0x1.00de94bbb5625p-2, 0x1.1b0a0baaeb27fp-2, 0x1.3378ac609dbb8p-2, 0x1.4a1e0a5cc97e9p-2, 0x1.5ef349cd82b0bp-2, 0x1.71f6658232edap-2, 0x1.83297ece2427dp-2, 0x1.92923acfcce09p-2, 0x1.a0392ef5aa0fcp-2, 0x1.ac295d87cdc24p-2, 0x1.b66fc190d8d53p-2, 0x1.bf1ae9c1dfabfp-2, 0x1.c63aa097f36ap-2, 0x1.cbdfa0c314257p-2, 0x1.d01b53d124465p-2, 0x1.d2ff9a1706721p-2, 0x1.d49e9a74dbfc1p-2, 0x1.d50a98ec2acfep-2, 0x1.d455d32c1a44ep-2, 0x1.d292624d48b54p-2, 0x1.cfd22109510edp-2, 0x1.cc2695defa31dp-2, 0x1.c7a0e08739dfp-2, 0x1.c251aa7c5342fp-2, 0x1.bc491a189852fp-2, 0x1.b596c8802e578p-2, 0x1.ae49b99dbdeedp-2, 0x1.a670572e447e7p-2, 0x1.9e186baad683bp-2, 0x1.954f2091647bp-2, 0x1.8c20fe0845079p-2, 0x1.8299ea651bffcp-2, 0x1.78c52c2579cedp-2, 0x1.6ead6bb050b53p-2, 0x1.645cb691b3f18p-2, 0x1.59dc83091a49bp-2, 0x1.4f35b3d015e1p-2, 0x1.44709cfb561e2p-2, 0x1.39950891d6478p-2, 0x1.2eaa3bd4dfe6bp-2, 0x1.23b6fc6267b9fp-2, 0x1.18c19528256d8p-2, 0x1.0dcfdcfeec34dp-2, 0x1.02e73acd921b6p-2, 0x1.f019564bc7543p-3, 0x1.da898da14a18cp-3, 0x1.c5278b928c5e7p-3, 0x1.affb0c4cb9a6p-3, 0x1.9b0b20488d7a5p-3, 0x1.865e34787d79cp-3, 0x1.71fa1dc3323fbp-3, 0x1.5de41e2b70e86p-3, 0x1.4a20ef34b4373p-3, 0x1.36b4c7d8a4bacp-3, 0x1.23a363ecf6037p-3, 0x1.10f00ac3cbd2fp-3, 0x1.fd3b2a52db97fp-4, 0x1.d95ce6b141abep-4, 0x1.b64965023d313p-4, 0x1.940403fcc2c2ap-4, 0x1.728f71c4ea699p-4, 0x1.51edb4f17a8ep-4, 0x1.32203780390f2p-4, 0x1.1327cfd704569p-4, 0x1.ea09955ce8992p-5, 0x1.af6de89f7a94ep-5, 0x1.767b43b9fc0e5p-5, 0x1.3f2f7470c6c9bp-5, 0x1.09877cd0982b2p-5, 0x1.aaff4a22e3cep-6, 0x1.46271345e4634p-6, 0x1.c8f8af298c64fp-7, 0x1.0be7fe741dfafp-7, 0x1.540f90c0e701bp-9, -0x1.6f3660ee5670dp-9, -0x1.06a809e8ac078p-7, -0x1.aba86d4df6013p-7, -0x1.25767e4312165p-6, -0x1.724a81e91a68cp-6, -0x1.bc605d52a6f41p-6, -0x1.01e4474da1af5p-5, -0x1.2449f0f7d7d09p-5, -0x1.4569b223824fp-5, -0x1.654c279afeac9p-5, -0x1.83f9fded82471p-5, -0x1.a17be9a275bb1p-5, -0x1.bddaa0d949b67p-5, -0x1.d91ed4af097d2p-5, -0x1.f3512b60948e3p-5, -0x1.063d1d6e2875cp-4, -0x1.125141e875d24p-4, -0x1.1de936a24608ap-4, -0x1.290920251f2c1p-4, -0x1.33b5122c37c82p-4, -0x1.3df10df41aa68p-4, -0x1.47c100e8a1a8cp-4, -0x1.5128c2edbe07ap-4, -0x1.5a2c15988feadp-4, -0x1.62cea334f02b7p-4, -0x1.6b13fd741d90cp-4, -0x1.72ff9d0ce3681p-4, -0x1.7a94e127d0feep-4, -0x1.81d70edb25a16p-4, -0x1.88c950cbab57ap-4, -0x1.8f6eb72182d78p-4, -0x1.95ca374d9a51dp-4, -0x1.9bdeac14857e1p-4, -0x1.a1aed5b736bbdp-4, -0x1.a73d5a01568fbp-4, -0x1.ac8cc496486eep-4, -0x1.b19f873d848b6p-4, -0x1.b677fa2592eeep-4, -0x1.bb185c5b7ff97p-4, -0x1.bf82d437db598p-4, -0x1.c3b96fd07863bp-4, -0x1.c7be25839b87cp-4, -0x1.cb92d493587c9p-4, -0x1.cf3945c7807a5p-4, -0x1.d2b32bc3c608fp-4, -0x1.d60223fb7ab93p-4, -0x1.d927b7908dc9ep-4, -0x1.dc255b5784fb9p-4, -0x1.defc711f306c4p-4, -0x1.e1ae48291e2dp-4, -0x1.e43c1dd5c5b81p-4, -0x1.e6a71e6e23e5bp-4, -0x1.e8f065ca50241p-4, -0x1.eb18ffe71db0dp-4, -0x1.ed21e9b1f18abp-4, -0x1.ef0c11b84dae5p-4, -0x1.f0d858a70b42fp-4, -0x1.f28791fbe2418p-4, -0x1.f41a84cf9cb43p-4, -0x1.f591ec5663531p-4, -0x1.f6ee785ebda26p-4, -0x1.f830ce0cc8572p-4, -0x1.f959888bde6b3p-4, -0x1.fa69397a50dd9p-4, -0x1.fb60695ce5e2ap-4, -0x1.fc3f9853999dcp-4, -0x1.fd073ebc2ab06p-4, -0x1.fdb7cd86e376dp-4, -0x1.fe51ae95ab101p-4, -0x1.fed5456467804p-4, -0x1.ff42ef9dfb4ebp-4, -0x1.ff9b056a823ap-4, -0x1.ffddd9aca47cdp-4, -0x1.0005dd3d39f83p-3, -0x1.001278e331dbcp-3, -0x1.0014e2e982808p-3, -0x1.000d3c74cc02ap-3, -0x1.fff74a16b0559p-4, -0x1.ffc0759b0b3a5p-4, -0x1.ff76353ca2f65p-4, -0x1.ff18c07c025p-4, -0x1.fea84c7311c85p-4, -0x1.fe250ca8fb59cp-4, -0x1.fd8f333a92ad4p-4, -0x1.fce6f12399e3bp-4, -0x1.fc2c7637fe842p-4, -0x1.fb5ff0fedf209p-4, -0x1.fa819002c6622p-4, -0x1.f991813dcfb07p-4, -0x1.f88ff2221e8ccp-4, -0x1.f77d105301aep-4, -0x1.f65909281b471p-4, -0x1.f5240a4972a41p-4, -0x1.f3de41b684a47p-4, -0x1.f287dde52aef8p-4, -0x1.f1210db757aefp-4, -0x1.efaa0094ea75ap-4, -0x1.ee22e6653fdc9p-4, -0x1.ec8bf02d4f5efp-4, -0x1.eae54fa11986ep-4, -0x1.e92f374d26166p-4, -0x1.e769da9361d36p-4, -0x1.e5956d85727e6p-4, -0x1.e3b22595d6aebp-4, -0x1.e1c0390abf787p-4, -0x1.dfbfdf411d1f1p-4, -0x1.ddb1506148c4ep-4, -0x1.db94c5ab0c69ap-4, -0x1.d96a793b04c83p-4, -0x1.d732a678abb49p-4, -0x1.d4ed89b941bbcp-4, -0x1.d29b60158cb48p-4, -0x1.d03c67cfdedd9p-4, -0x1.cdd0dfcf0fe97p-4, -0x1.cb590818d61f8p-4, -0x1.c8d52189dc229p-4, -0x1.c6456ded1902p-4, -0x1.c3aa2fbd94bdap-4, -0x1.c103aa2f8c08cp-4, -0x1.be52211629099p-4, -0x1.bb95d94a97a07p-4, -0x1.b8cf181b8f1cfp-4, -0x1.b5fe2372c9806p-4, -0x1.b32341d5cc0acp-4, -0x1.b03eba40818fcp-4, -0x1.ad50d41dfc3fbp-4, -0x1.aa59d7529dc72p-4, -0x1.a75a0c2fb6f4bp-4, -0x1.a451bb46eae08p-4, -0x1.a1412daa33cd3p-4, -0x1.9e28ac655cb16p-4, -0x1.9b0880bda5576p-4, -0x1.97e0f422e2b62p-4, -0x1.94b25030b0deap-4, -0x1.917cde9bdf77p-4, -0x1.8e40e905b3fbdp-4, -0x1.8afeb900ac898p-4, -0x1.87b69805711a3p-4, -0x1.8468cf7d5071p-4, -0x1.8115a8a116d11p-4, -0x1.7dbd6c6505de3p-4, -0x1.7a6063a79e40ap-4, -0x1.76fed6bf9e358p-4, -0x1.73990dde246ep-4, -0x1.702f50ba8a13dp-4, -0x1.6cc1e6a02bf45p-4, -0x1.69511669f0319p-4, -0x1.65dd267af31c4p-4, -0x1.62665cb3f2b4fp-4, -0x1.5eecfe671370bp-4, -0x1.5b71503f7d1bap-4, -0x1.57f3965a9c269p-4, -0x1.5474141482676p-4, -0x1.50f30c39ad77ep-4, -0x1.4d70c0b0397e5p-4, -0x1.49ed72d02d063p-4, -0x1.4669631b6de1ep-4, -0x1.42e4d1455838ep-4, -0x1.3f5ffc2c912b6p-4, -0x1.3bdb21d5eb5ecp-4, -0x1.38567f65d289dp-4, -0x1.34d2511adf14ep-4, -0x1.314ed259fedc7p-4, -0x1.2dcc3d915ae71p-4, -0x1.2a4acc2907adfp-4, -0x1.26cab6bb31d8dp-4, -0x1.234c34bf6f90fp-4, -0x1.1fcf7cc8d43acp-4, -0x1.1c54c4470297dp-4, -0x1.18dc3fc1241a3p-4, -0x1.156622a9bdb12p-4, -0x1.11f29f68c353bp-4, -0x1.0e81e758fd9c6p-4, -0x1.0b142ac464585p-4, -0x1.07a998e0eb9c9p-4, -0x1.04425fce31827p-4, -0x1.00deac9457227p-4, -0x1.fafd5647d099cp-5, -0x1.f4450cacc54bcp-5, -0x1.ed94cfd937d8ap-5, -0x1.e6ecf111b3db3p-5, -0x1.e04dbf8bbffep-5, -0x1.d9b78816ca92ap-5, -0x1.d32a9567cbe12p-5, -0x1.cca72fd94f59ap-5, -0x1.c62d9db7ae976p-5, -0x1.bfbe2311952dbp-5, -0x1.b95901ca5a1e7p-5, -0x1.b2fe7997f82e8p-5, -0x1.acaec7fe68a9fp-5, -0x1.a66a284d73417p-5, -0x1.a030d3a45a2aep-5, -0x1.9a0300fc12166p-5, -0x1.93e0e534b931bp-5, -0x1.8dcab32036e8cp-5, -0x1.87c09b84ee91p-5, -0x1.81c2cd17a1b4ep-5, -0x1.7bd1746fc925ap-5, -0x1.75ecbbf8edf9bp-5, -0x1.7014cc16ab26ep-5, -0x1.6a49cb06822fdp-5, -0x1.648bdd374a083p-5, -0x1.5edb251d68816p-5, -0x1.5937c38a49fa5p-5, -0x1.53a1d7771647ep-5, -0x1.4e197df0fb9e7p-5, -0x1.489ed1fbed39cp-5, -0x1.4331ec822a83cp-5, -0x1.3dd2e462f753ep-5, -0x1.3881cea269c2fp-5, -0x1.333ebeabe533ap-5, -0x1.2e09c68cdcb23p-5, -0x1.28e2f70cb2d54p-5, -0x1.23ca5f92c8b0ep-5, -0x1.1ec00de1af7c4p-5, -0x1.19c40dc466a7p-5, -0x1.14d668d5e1e29p-5, -0x1.0ff72686243bfp-5, -0x1.0b264c6698acap-5, -0x1.0663dea904804p-5, -0x1.01afe0bad606p-5, -0x1.fa14ab0138fadp-6, -0x1.f0e67e8489daep-6, -0x1.e7d53f3fd4447p-6, -0x1.dee0ece1dd8cbp-6, -0x1.d60982668ed11p-6, -0x1.cd4ef5c3c5fa4p-6, -0x1.c4b137f0f50f4p-6, -0x1.bc30363342a6dp-6, -0x1.b3cbdc3dbb21p-6, -0x1.ab84162c9cfc1p-6, -0x1.a358d1b21ce74p-6, -0x1.9b49fde7bb423p-6, -0x1.935789b1a5976p-6, -0x1.8b81612fd3301p-6, -0x1.83c76b25923b8p-6, -0x1.7c29875d2c234p-6, -0x1.74a78ec5b237ap-6, -0x1.6d415570b1bf2p-6, -0x1.65f6ade43973bp-6, -0x1.5ec76cad119ecp-6, -0x1.57b36af154cbbp-6, -0x1.50ba870572adp-6, -0x1.49dca2a34f84bp-6, -0x1.43199f47c362dp-6, -0x1.3c7159a9d6333p-6, -0x1.35e3a62b106ddp-6, -0x1.2f704f36331d3p-6, -0x1.291716c479c01p-6, -0x1.22d7ba43da1f5p-6, -0x1.1cb1f7e2a06ecp-6, -0x1.16a5938a57de9p-6, -0x1.10b259dec17a5p-6, -0x1.0ad8203e50023p-6, -0x1.0516c1a1ac484p-6, -0x1.fedc325a34d5dp-7, -0x1.f3bbf823af3c4p-7, -0x1.e8cc697d0d0f6p-7, -0x1.de0d02341a26cp-7, -0x1.d37d292216e71p-7, -0x1.c91c3ac863398p-7, -0x1.bee996e9bd944p-7, -0x1.b4e4aca52e209p-7, -0x1.ab0d016397f0cp-7, -0x1.a16230d9c48b6p-7, -0x1.97e3e670f2a48p-7, -0x1.8e91d1f06efd8p-7, -0x1.856b9a473ed98p-7, -0x1.7c70d20c07555p-7, -0x1.73a0f17655454p-7, -0x1.6afb588274ee7p-7, -0x1.627f594101265p-7, -0x1.5a2c46ded513dp-7, -0x1.520183752ba2dp-7, -0x1.49fe87b353e8dp-7, -0x1.4222e218a867fp-7, -0x1.3a6e3024d970bp-7, -0x1.32e014c220a45p-7, -0x1.2b782f0dcc013p-7, -0x1.2436126c9bb03p-7, -0x1.1d19406210df3p-7, -0x1.162125f1ac5e3p-7, -0x1.0f4d1f6ea4804p-7, -0x1.089c83ff8b35ap-7, -0x1.020eb58968dp-7, -0x1.f7465ac5cff6ep-8, -0x1.eab2fcaf05b01p-8, -0x1.de6294b824cbdp-8, -0x1.d254644f9dbe9p-8, -0x1.c687911cf60c8p-8, -0x1.bafb1f9ca593ep-8, -0x1.afadfe215137dp-8, -0x1.a49f11a9b430dp-8, -0x1.99cd37a82a3b1p-8, -0x1.8f374b65d4afcp-8, -0x1.84dc23459c6e2p-8, -0x1.7abaa9dfd73d2p-8, -0x1.70d1fec02edbap-8, -0x1.67218104325b4p-8, -0x1.5da8bc43a8e88p-8, -0x1.546733e3e8806p-8, -0x1.4b5c2a113ef8cp-8, -0x1.428686b78e84p-8, -0x1.39e4ef79e6888p-8, -0x1.3175ffa78b0edp-8, -0x1.293879cac4435p-8, -0x1.212b55e5f8967p-8, -0x1.194daf7e7f2d5p-8, -0x1.119eb00fa42e1p-8, -0x1.0a1d8fb05a779p-8, -0x1.02c9aba4c8f59p-8, -0x1.f74533e352fffp-9, -0x1.e9503c9ff9b8fp-9, -0x1.dbb3ee325e838p-9, -0x1.ce6f2ba1014cp-9, -0x1.c17fdbcbcc88p-9, -0x1.b4e300936d497p-9, -0x1.a8954b045ea2cp-9, -0x1.9c93d6b9cd687p-9, -0x1.90dc9a1d4732ap-9, -0x1.856e556090aep-9, -0x1.7a482db4b3e87p-9, -0x1.6f6954fa4bd02p-9, -0x1.64d0f4837b3f4p-9, -0x1.5a7e439800d6dp-9, -0x1.507096825bd83p-9, -0x1.46a74c28ce441p-9, -0x1.3d2198a16c7d2p-9, -0x1.33de3919cf409p-9, -0x1.2adb35940d78bp-9, -0x1.2215e64ac47d2p-9, -0x1.198b57b0a7617p-9, -0x1.1138e562914c3p-9, -0x1.091cb55762de2p-9, -0x1.0135d2b3fe5d6p-9, -0x1.f307d979c40fp-10, -0x1.e40deac977972p-10, -0x1.d57dae0e35621p-10, -0x1.c7568b19728e1p-10, -0x1.b9973464bb509p-10, -0x1.ac3d8907c8fd4p-10, -0x1.9f46b2eb34776p-10, -0x1.92af629844f89p-10, -0x1.86741d78e4488p-10, -0x1.7a9190a83d943p-10, -0x1.6f04adca68bddp-10, -0x1.63ca8665f2d0fp-10, -0x1.58e02c1b259d6p-10, -0x1.4e42cc6c54bfep-10, -0x1.43f01f48d2c73p-10, -0x1.39e713da292ecp-10, -0x1.30281ec98bf5ep-10, -0x1.26b47f8c0ec1dp-10, -0x1.1d8cc1aa6190bp-10, -0x1.14afa90f365afp-10, -0x1.0c1a753bd0638p-10, -0x1.03c9d0b563248p-10, -0x1.f77438eae46e5p-11, -0x1.e7cee2149fb63p-11, -0x1.d89ceb69d0fa3p-11, -0x1.c9db0671ed099p-11, -0x1.bb892af8521efp-11, -0x1.ada7cc456ee48p-11, -0x1.a03517fdcadedp-11, -0x1.932c5e30f18b1p-11, -0x1.8687a2d68608bp-11, -0x1.7a42e5f887efap-11, -0x1.6e5f046ecf435p-11, -0x1.62e00beff2e9ap-11, -0x1.57c77f78dfe9p-11, -0x1.4d1144e7aad1ep-11, -0x1.42b728d69c95p-11, -0x1.38b4e7c686fp-11, -0x1.2f069f9300f3fp-11, -0x1.25a64cfad95a5p-11, -0x1.1c8d35cfde03ap-11, -0x1.13b7b9a31e07fp-11, -0x1.0b269c69f28abp-11, -0x1.02dca134967e7p-11, -0x1.f5b6224a5e34cp-12, -0x1.e640e61f9e953p-12, -0x1.d75343e76f643p-12, -0x1.c8e5260d70db3p-12, -0x1.baee5346bap-12, -0x1.ad6cc440c2338p-12, -0x1.a065354092aep-12, -0x1.93d779bb7b9fbp-12, -0x1.87ba0f657aa07p-12, -0x1.7c05f68f4b8f4p-12, -0x1.70bc0086c26cdp-12, -0x1.65da6c858d581p-12, -0x1.5b57c031b6e86p-12, -0x1.51291ed39e4p-12, -0x1.4748c1aaf7754p-12, -0x1.3db6c20181b54p-12, -0x1.3475bec42cd14p-12, -0x1.2b876d0cef67p-12, -0x1.22eb4e3f73688p-12, -0x1.1aa007d012389p-12, -0x1.12a57cae1769p-12, -0x1.0af8d4f911787p-12, -0x1.038f623bc0f76p-12, -0x1.f8c2580816caep-13, -0x1.eae3342077d1ep-13, -0x1.dd82bb93c9424p-13, -0x1.d0946698ffb0cp-13, -0x1.c4198444fdc81p-13, -0x1.b81b5294d7cc5p-13, -0x1.ac946b6ad10f9p-13, -0x1.a1754060dc5d7p-13, -0x1.96af21914b5c5p-13, -0x1.8c3a8f83ed1bdp-13, -0x1.82196b9c89039p-13, -0x1.7850206488a81p-13, -0x1.6edcdef3d51b9p-13, -0x1.65bb8c953d0bdp-13, -0x1.5ceee39f23b76p-13, -0x1.5479175bd9cbp-13, -0x1.4c5423417263p-13, -0x1.4478616438ed9p-13, -0x1.3cdb655911d5p-13, -0x1.35756af20aee5p-13, -0x1.2e4c901644d22p-13, -0x1.275e8a2eba755p-13, -0x1.20a57b1829282p-13, -0x1.1a2a556c09fdbp-13, -0x1.13efd4b5802ep-13, -0x1.0deee763277d8p-13, -0x1.081e126ce6bb6p-13, -0x1.0273608d60bd3p-13, -0x1.f9daff44b456dp-14, -0x1.ef269ece2417ep-14, -0x1.e4c826fa48478p-14, -0x1.dab4723b83947p-14, -0x1.d0f07994eaa3dp-14, -0x1.c77e7a073997ep-14, -0x1.be53f2ff2e4f9p-14, -0x1.b56723a9f94d9p-14, -0x1.acb429261c0bep-14, -0x1.a440495c6c63ap-14, -0x1.9c0d8c0f65ca1p-14, -0x1.940d918b2ce89p-14, -0x1.8c3dd2f0e4b1cp-14, -0x1.849927a27e901p-14, -0x1.7d24ecc220aebp-14, -0x1.75ead87f9a51p-14, -0x1.6ee4bade1a9fcp-14, -0x1.680be71e172dap-14, -0x1.615555a62e942p-14, -0x1.5abb79151cb0fp-14, -0x1.5446b3cd9c139p-14, -0x1.4df396f8c4cf2p-14, -0x1.47beabdeeb05cp-14, -0x1.41afd2cc4fed8p-14, -0x1.3bc1f2421d87fp-14, -0x1.35edd24039452p-14, -0x1.3031836635a55p-14, -0x1.2a8d307d6664ep-14, -0x1.25008b5aeeb5dp-14, -0x1.1f8a02fde46fcp-14, -0x1.1a2abc1779c7ap-14, -0x1.14e6c334b328ep-14, -0x1.0fb6827889cb1p-14, -0x1.0a9430f3eb76ap-14, -0x1.05808d096bc2bp-14, -0x1.00826a6820058p-14, -0x1.f72fc3c26dc75p-15, -0x1.ed7d6fb611497p-15, -0x1.e3ea150b3e2aap-15, -0x1.da6d77cd006a3p-15, -0x1.d10a7ff2f086fp-15, -0x1.c7bc5d4c1f7a3p-15, -0x1.be8ad2edd10aap-15, -0x1.b5766ebf2df24p-15, -0x1.ac7738288bep-15, -0x1.a38b90bbc27a7p-15, -0x1.9ab3dca64032fp-15, -0x1.91efda8721c6fp-15, -0x1.893ed7a621c4p-15, -0x1.80a03ccf6dffcp-15, -0x1.78139ea0345cp-15, -0x1.6f980c3c4a01p-15, -0x1.672c9ef5632b9p-15, -0x1.5ed42002ca525p-15, -0x1.568dccbed8ff7p-15, -0x1.4e51ed28109fbp-15, -0x1.4623dafa82e2p-15, -0x1.3e0749a8f1d4bp-15, -0x1.35f9c38ad4ccp-15, -0x1.2dfca628938bap-15, -0x1.260bd46d25a48p-15, -0x1.1e259c2f48ed6p-15, -0x1.164c6b6ed6862p-15, -0x1.0e835f6298a32p-15, -0x1.06c6e852d5b67p-15, -0x1.fe2cd46cb7c22p-16, -0x1.eee4f6d50da3fp-16, -0x1.dfb6c05b65d4fp-16, -0x1.d0a247760f552p-16, -0x1.c1a77857945fep-16, -0x1.b2c6322a09f09p-16, -0x1.a3fe58f08304p-16, -0x1.954fefcccb431p-16, -0x1.86bb3924f8811p-16, -0x1.784088b4c07e2p-16, -0x1.69dfab8c49282p-16, -0x1.5b987d639da3cp-16, -0x1.4d6d5c444a3p-16, -0x1.3f5b520659c9cp-16, -0x1.31635795be48fp-16, -0x1.2387d55aebcc2p-16, -0x1.15c98bb097689p-16, -0x1.0825d866ac2aep-16, -0x1.f5373db08ccb7p-17, -0x1.da5f43b06a4adp-17, -0x1.bfc0cd89e55fep-17, -0x1.a55aac2bdc3aep-17, -0x1.8b2e8ee7d5e01p-17, -0x1.713d874b2e188p-17, -0x1.5788521aaaa1bp-17, -0x1.3e0f9eb27c4dbp-17, -0x1.24d41f7aa7eep-17, -0x1.0bd68740e754bp-17, -0x1.e62f05bad6e36p-18, -0x1.b52f70558b741p-18, -0x1.84af944a2eb7bp-18, -0x1.54b0be7eb5ef3p-18, -0x1.2534618843427p-18, -0x1.ec785e68df765p-19, -0x1.8f933e38e100dp-19, -0x1.33ba253cc6ed7p-19, -0x1.b1dcaf6b01efp-20, -0x1.fcdb70c0e4cebp-21, -0x1.348d9e0ebffdep-22, 0x1.879c92a2d794cp-22, 0x1.0ebd201302283p-20, 0x1.b97e75fb3318bp-20, 0x1.30efe2cb0d01ap-19, 0x1.8407f2f45c277p-19, 0x1.d5fe6939548c7p-19, 0x1.13683adf9be9ap-18, 0x1.3b3e28143abb6p-18, 0x1.62801e61e58e9p-18, 0x1.892d4657da2dep-18, 0x1.af44cfeb03b06p-18, 0x1.d4c5f3875885dp-18, 0x1.f9aff304094a3p-18, 0x1.0f010e1cfde86p-17, 0x1.20dde66f203c8p-17, 0x1.326e392810dc7p-17, 0x1.43b1c1fd18f04p-17, 0x1.54a840b7372eep-17, 0x1.65517c915c74ap-17, 0x1.75ad424811667p-17, 0x1.85bb597c04abbp-17, 0x1.957b93303fd6fp-17, 0x1.a4edec218052p-17, 0x1.b412d63e23458p-17, 0x1.c2e978c9b2ef1p-17, 0x1.d170cc574b945p-17, 0x1.dfaa187dca194p-17, 0x1.ed955115ffd1p-17, 0x1.fb32bf7601dfcp-17, 0x1.0440fe7e17aa3p-16, 0x1.0ac186b0b2effp-16, 0x1.111b05468b855p-16, 0x1.174d88a774e16p-16, 0x1.1d59245cff0d4p-16, 0x1.233dec875a402p-16, 0x1.28fbf40795f42p-16, 0x1.2e9355977dc6cp-16, 0x1.34042ccb466c5p-16, 0x1.394e97d3a10fcp-16, 0x1.3e72b7873638ap-16, 0x1.4370af3ce3446p-16, 0x1.4848a4d32a299p-16, 0x1.4cfac058af7b6p-16, 0x1.51872c32656c4p-16, 0x1.55ee16dc0d185p-16, 0x1.5a2fb41a79819p-16, 0x1.5e4c384c5a82p-16, 0x1.6243cca407669p-16, 0x1.66169d2c8576ep-16, 0x1.69c51a8283cddp-16, 0x1.6d4f8298bccb8p-16, 0x1.70b58d7204829p-16, 0x1.73f798e28770bp-16, 0x1.77167789e2c11p-16, 0x1.7a1222b66dbb2p-16, 0x1.7ceacd582396bp-16, 0x1.7fa0bfca675f2p-16, 0x1.823444c5dfbb5p-16, 0x1.84a5a68a27ac3p-16, 0x1.86f5345f74bedp-16, 0x1.89233a596e341p-16, 0x1.8b3006b5d5b7cp-16, 0x1.8d1bea11061e8p-16, 0x1.8ee7365fda3f6p-16, 0x1.90923efbcc794p-16, 0x1.921d58a165569p-16, 0x1.9388d94a7be83p-16, 0x1.94d517f0aa612p-16, 0x1.96026c6144ad4p-16, 0x1.97112f5b7a353p-16, 0x1.9801bb0a3f744p-16, 0x1.98d46b8b6269p-16, 0x1.99899edc0f79bp-16, 0x1.9a21b31055553p-16, 0x1.9a9d019213d62p-16, 0x1.9afbe5abd3fdep-16, 0x1.9b3ee40d82784p-16, 0x1.9b663dd920dd4p-16, 0x1.9b7202f32f7dfp-16, 0x1.9b63315378208p-16, 0x1.9b39d7519c0a5p-16, 0x1.9af6492c35346p-16, 0x1.9a9915ce64613p-16, 0x1.9a228d01a89c7p-16, 0x1.9993111f13bf9p-16, 0x1.98ead5f9ea131p-16, 0x1.982ab47b75f67p-16, 0x1.9752e309b6a47p-16, 0x1.966380ef0950cp-16, 0x1.955d3b950342ap-16, 0x1.94405cef09e31p-16, 0x1.930d50a1d5cc2p-16, 0x1.91c47d05e0e2ap-16, 0x1.906647f3846d8p-16, 0x1.8ef3173ee0d68p-16, 0x1.8d6b50aa37978p-16, 0x1.8bcf59c1787ddp-16, 0x1.8a1f97c275ea5p-16, 0x1.885c6fd4a31aap-16, 0x1.86864768362fcp-16, 0x1.849d842844234p-16, 0x1.82a28b59449d8p-16, 0x1.8095bfc26f0bfp-16, 0x1.7e778264d35f3p-16, 0x1.7c484297dd1ap-16, 0x1.7a0874e6503d9p-16, 0x1.77b828ff57a1fp-16, 0x1.755818f9a88ecp-16, 0x1.72e88e7667092p-16, 0x1.7069e9572cbf4p-16, 0x1.6ddc8ec88a384p-16, 0x1.6b40c5a04dbe8p-16, 0x1.68970d7a60f32p-16, 0x1.65dfbb1544c7bp-16, 0x1.631b2ca635589p-16, 0x1.6049c10502812p-16, 0x1.5d6bd63560644p-16, 0x1.5a81c973a9cb4p-16, 0x1.578bf745a8f14p-16, 0x1.548abba96c746p-16, 0x1.517e71fdd5a8ap-16, 0x1.4e6774cb7afecp-16, 0x1.4b461ce8f2bdbp-16, 0x1.481ac3f5a8447p-16, 0x1.44e5c26a4e51ep-16, 0x1.41a76faa1839ap-16, 0x1.3e602242987a3p-16, 0x1.3b102fe97f8edp-16, 0x1.37b7ed9674fcp-16, 0x1.3457af91631dap-16, 0x1.30efc969352d6p-16, 0x1.2d808db76202cp-16, 0x1.2a0a4d26aa315p-16, 0x1.268d5785cd5dp-16, 0x1.230a037af15d8p-16, }}, 
      {{0x1.e40158a5d0d7ap-6, 0x1.e2f58ac3dc2e3p-5, 0x1.68ee15a3610dcp-4, 0x1.dee10eb3f1ebap-4, 0x1.2972418958cdcp-3, 0x1.624a36e985f08p-3, 0x1.99cc346a9ae46p-3, 0x1.cfd1d77d62d31p-3, 0x1.021d330a28759p-2, 0x1.1b7544bf12055p-2, 0x1.33e5fb2e6ff93p-2, 0x1.4b6684fc7a41ep-2, 0x1.61f031772913cp-2, 0x1.777e3cb50ca2bp-2, 0x1.8c0d9cf50a384p-2, 0x1.9f9cd23fe9aa2p-2, 0x1.b22bb8f0786afp-2, 0x1.c3bb5f802c92p-2, 0x1.d44ddfbe99401p-2, 0x1.e3e63b6faf3ep-2, 0x1.f2883c316466p-2, 0x1.001c2b3c7c1eap-1, 0x1.067dc7b884dd1p-1, 0x1.0c6bb2c087be9p-1, 0x1.11e8dda467c56p-1, 0x1.16f8626d911acp-1, 0x1.1b9d7b8149965p-1, 0x1.1fdb7c2df9919p-1, 0x1.23b5ca0a84f89p-1, 0x1.272fd7127acc5p-1, 0x1.2a4d1c6b42404p-1, 0x1.2d1115bbb778dp-1, 0x1.2f7f3d1e6fb93p-1, 0x1.319b0778910cbp-1, 0x1.3367e18e13807p-1, 0x1.34e92d09514e3p-1, 0x1.36223e3d8469fp-1, 0x1.37165a5832775p-1, 0x1.37c8b56b1cb74p-1, 0x1.383c715610393p-1, 0x1.38749c6188c56p-1, 0x1.38743085f5fd1p-1, 0x1.383e12bfc125ap-1, 0x1.37d5122313cd1p-1, 0x1.373be81dc9785p-1, 0x1.367537f71aab7p-1, 0x1.35838e55d12e8p-1, 0x1.34696218bbb3cp-1, 0x1.332913c494da4p-1, 0x1.31c4ee0b2d408p-1, 0x1.303f25f3db32bp-1, 0x1.2e99db4e5fb4p-1, 0x1.2cd718eefb1f6p-1, 0x1.2af8d54879c73p-1, 0x1.2900f286b14e2p-1, 0x1.26f13f8ae7dfap-1, 0x1.24cb77cb56d24p-1, 0x1.229144437eb51p-1, 0x1.20443bb8959c4p-1, 0x1.1de5e374892f5p-1, 0x1.1b77af33534dbp-1, 0x1.18fb0275a2545p-1, 0x1.167130370f11p-1, 0x1.13db7bd8a2b66p-1, 0x1.113b19743509fp-1, 0x1.0e912e53b6aabp-1, 0x1.0bded1978023p-1, 0x1.09250c3d08e29p-1, 0x1.0664da305340cp-1, 0x1.039f2a2451abap-1, 0x1.00d4de6e35eb4p-1, 0x1.fc0d9a8d5d6d5p-2, 0x1.f66b827b5cb6bp-2, 0x1.f0c4f34917c91p-2, 0x1.eb1b55e1d7f5p-2, 0x1.e56ffe9dc8db7p-2, 0x1.dfc42d3b5a4ccp-2, 0x1.da190ec605371p-2, 0x1.d46fbd50565d7p-2, 0x1.cec94157f7048p-2, 0x1.c92692438bad1p-2, 0x1.c3889721dcb3dp-2, 0x1.bdf02757fe319p-2, 0x1.b85e0b52f6dcbp-2, 0x1.b2d2fd2ff159ap-2, 0x1.ad4fa95f0b32ap-2, 0x1.a7d4af4552e73p-2, 0x1.a262a1fa62151p-2, 0x1.9cfa086f28b2ep-2, 0x1.979b5eb061c21p-2, 0x1.924715c4026fcp-2, 0x1.8cfd949eb321ap-2, 0x1.87bf38917ec96p-2, 0x1.828c55bceb9b5p-2, 0x1.7d653798f608dp-2, 0x1.784a216e821ap-2, 0x1.733b4ecdfbf0ap-2, 0x1.6e38f3fda733p-2, 0x1.69433e62cb724p-2, 0x1.645a54ecf4bb4p-2, 0x1.5f7e587715433p-2, 0x1.5aaf642221248p-2, 0x1.55ed8dd862ccp-2, 0x1.5138e640722c8p-2, 0x1.4c917973748b2p-2, 0x1.47f74f6022658p-2, 0x1.436a6b9c32244p-2, 0x1.3eeace1ed7fabp-2, 0x1.3a787364d1009p-2, 0x1.361354afcd443p-2, 0x1.31bb684a5a964p-2, 0x1.2d70a1bf7e604p-2, 0x1.2932f21732492p-2, 0x1.2502480a173fbp-2, 0x1.20de9035d71f8p-2, 0x1.1cc7b549cebb4p-2, 0x1.18bda035d9434p-2, 0x1.14c03857d636dp-2, 0x1.10cf63a4d38cfp-2, 0x1.0ceb06cdbb88fp-2, 0x1.091305660d0b2p-2, 0x1.0547420776f59p-2, 0x1.01879e6e1f5aep-2, 0x1.fba7f7440860ap-3, 0x1.f4587438dc54cp-3, 0x1.ed20732a985a4p-3, 0x1.e5ffb2d08217cp-3, 0x1.def5f1cc9ed1cp-3, 0x1.d802ed68e17bep-3, 0x1.d12662e70a4a2p-3, 0x1.ca600f3d0f04bp-3, 0x1.c3afaf3eff39fp-3, 0x1.bd14ffbfa7a72p-3, 0x1.b68fbdaa49379p-3, 0x1.b01fa61ba9c47p-3, 0x1.a9c4767c7233ep-3, 0x1.a37dec96bee6dp-3, 0x1.9d4bc6a90d7d3p-3, 0x1.972dc3781f34p-3, 0x1.9123a25f8517fp-3, 0x1.8b2d235e763dcp-3, 0x1.854a0721e9cfcp-3, 0x1.7f7a0f124cb16p-3, 0x1.79bcfd5dac434p-3, 0x1.741294ff01cbfp-3, 0x1.6e7a99c27fbdap-3, 0x1.68f4d04bbbbaap-3, 0x1.6380fe1bf844fp-3, 0x1.5e1ee9957bb96p-3, 0x1.58ce59fd60be3p-3, 0x1.538f177d050f7p-3, 0x1.4e60eb1e9f29ep-3, 0x1.49439ef033706p-3, 0x1.4436fdea013dp-3, 0x1.3f3ad3a6264ecp-3, 0x1.3a4eecabc83dap-3, 0x1.3573170cb48e6p-3, 0x1.30a720f553965p-3, 0x1.2bead9ca54141p-3, 0x1.273e11c9d1926p-3, 0x1.22a09a09b53b3p-3, 0x1.1e124476beabdp-3, 0x1.1992e3d2bc51ep-3, 0x1.15224baf783c8p-3, 0x1.10c0506c90985p-3, 0x1.0c6cc730012cdp-3, 0x1.082785e37a8acp-3, 0x1.03f063330a1edp-3, 0x1.ff8e6cfe23bd9p-4, 0x1.f757afc16a725p-4, 0x1.ef3c404bb431dp-4, 0x1.e73bd182c376p-4, 0x1.df5617a0f6645p-4, 0x1.d78ac821a9fe8p-4, 0x1.cfd999bf70bccp-4, 0x1.c8424464bf7f6p-4, 0x1.c0c4811f79da3p-4, 0x1.b9600a1966759p-4, 0x1.b2149a9cc4745p-4, 0x1.aae1eef2967c2p-4, 0x1.a3c7c46d757a9p-4, 0x1.9cc5d951d7d28p-4, 0x1.95dbecd1b711ep-4, 0x1.8f09bf1a51b9bp-4, 0x1.884f112175f78p-4, 0x1.81aba4c57a966p-4, 0x1.7b1f3ca5aa3f8p-4, 0x1.74a99c3337ff7p-4, 0x1.6e4a879327a79p-4, 0x1.6801c3b3dbc58p-4, 0x1.61cf161347f8p-4, 0x1.5bb2453f516cap-4, 0x1.55ab17f57efcfp-4, 0x1.4fb955a15cbbp-4, 0x1.49dcc617042d8p-4, 0x1.441532c54125fp-4, 0x1.3e626473b42e4p-4, 0x1.38c424edd4553p-4, 0x1.333a3e8084e7cp-4, 0x1.2dc47bee653p-4, 0x1.2862a8854fd24p-4, 0x1.23148fd745cbbp-4, 0x1.1dd9fe0fab43fp-4, 0x1.18b2bfc59e6cap-4, 0x1.139ea1e82915dp-4, 0x1.0e9d71cc2aebdp-4, 0x1.09aefd2d225e5p-4, 0x1.04d3122241948p-4, 0x1.00097f1d17e7fp-4, 0x1.f6a425fa7e20bp-5, 0x1.ed593980b176ep-5, 0x1.e431d7d4d8a9ep-5, 0x1.db2da087c3b86p-5, 0x1.d24c33c26706ap-5, 0x1.c98d323430c4ep-5, 0x1.c0f03d35bb94fp-5, 0x1.b874f6ad406cbp-5, 0x1.b01b010db9a14p-5, 0x1.a7e1ff52315a9p-5, 0x1.9fc9951e273cep-5, 0x1.97d16662214d2p-5, 0x1.8ff917c94016bp-5, 0x1.88404e31ad286p-5, 0x1.80a6af898bb75p-5, 0x1.792be1b852113p-5, 0x1.71cf8b5723d07p-5, 0x1.6a91537a86a09p-5, 0x1.6370e1b0d93bap-5, 0x1.5c6dde0312d19p-5, 0x1.5587f0f34c513p-5, 0x1.4ebec37a77feep-5, 0x1.4811ff30bdb29p-5, 0x1.41814ddbaa502p-5, 0x1.3b0c5a070c306p-5, 0x1.34b2ce522442ap-5, 0x1.2e74567b4f9dap-5, 0x1.28509e2441a4bp-5, 0x1.224751a04cf53p-5, 0x1.1c581dbcefeap-5, 0x1.1682afbb98a4ep-5, 0x1.10c6b543cd498p-5, 0x1.0b23dcbcd591fp-5, 0x1.0599d57d2b65dp-5, 0x1.00284d7bd0bc1p-5, 0x1.f59de8e905416p-6, 0x1.eb1af8145638bp-6, 0x1.e0c727b00c408p-6, 0x1.d6a1daaf44c1bp-6, 0x1.ccaa741d21435p-6, 0x1.c2e0591ddfd2dp-6, 0x1.b942eec95557dp-6, 0x1.afd19bb032463p-6, 0x1.a68bc76bb13ebp-6, 0x1.9d70da9e47af6p-6, 0x1.94803ef9e3e66p-6, 0x1.8bb95f42fe627p-6, 0x1.831ba752a3421p-6, 0x1.7aa68417f766ap-6, 0x1.72596398ebe59p-6, 0x1.6a33b4f08a72ep-6, 0x1.6234e8653b5cp-6, 0x1.5a5c6faa28d8fp-6, 0x1.52a9bc8de91e1p-6, 0x1.4b1c432f8d46bp-6, 0x1.43b377fbad3b2p-6, 0x1.3c6ed16e095d1p-6, 0x1.354dc639bc359p-6, 0x1.2e4fcea710c21p-6, 0x1.27746425f1792p-6, 0x1.20bb014f319e1p-6, 0x1.1a2321ea9740fp-6, 0x1.13ac42f19f277p-6, 0x1.0d55e290c1e7bp-6, 0x1.071f8027d0cbp-6, 0x1.01089c49f1952p-6, 0x1.f621717b50bc6p-7, 0x1.ea6eb0f9f9bcap-7, 0x1.def7ff692a0dap-7, 0x1.d3bc679f67ccep-7, 0x1.c8baf7977055dp-7, 0x1.bdf2bdee532a9p-7, 0x1.b362cdf473a54p-7, 0x1.a90a3afd23419p-7, 0x1.9ee81e14fe253p-7, 0x1.94fb90048cf02p-7, 0x1.8b43acd3069a6p-7, 0x1.81bf93218d6dfp-7, 0x1.786e63ffe3f2ep-7, 0x1.6f4f42fe0a29fp-7, 0x1.6661563440182p-7, 0x1.5da3c6432bc6ap-7, 0x1.5515be4db538ep-7, 0x1.4cb66bef33724p-7, 0x1.4484ff31ca996p-7, 0x1.3c80aa88c042ep-7, 0x1.34a8a2d12ba5fp-7, 0x1.2cfc1f58842f5p-7, 0x1.257a59e52cb4fp-7, 0x1.1e228ebab86ddp-7, 0x1.16f3fcb717e2p-7, 0x1.0fede5ce09b0cp-7, 0x1.090f8c7f3de7bp-7, 0x1.02583788d3b17p-7, 0x1.f78e63d3737c9p-8, 0x1.eab7861065084p-8, 0x1.de2a70cd011b4p-8, 0x1.d1e5c7fb557a5p-8, 0x1.c5e82e0042b5cp-8, 0x1.ba304a54f35cbp-8, 0x1.aebccb471e3dfp-8, 0x1.a38c639cfe2fap-8, 0x1.989dcad472f21p-8, 0x1.8defbd189aff2p-8, 0x1.8380fb23b16f9p-8, 0x1.79504a23ccc7ap-8, 0x1.6f5c73aa396efp-8, 0x1.65a445a7cd484p-8, 0x1.5c269274992c1p-8, 0x1.52e230de84061p-8, 0x1.49d5fc39059d1p-8, 0x1.4100d46773fe5p-8, 0x1.38619ddbd9b0ep-8, 0x1.2ff7418660c91p-8, 0x1.27c0ace8419ffp-8, 0x1.1fbcd2e2c0bdfp-8, 0x1.17eaa7c9ccf39p-8, 0x1.1049270d2d8f7p-8, 0x1.08d74c53435c5p-8, 0x1.01941c8742b1p-8, 0x1.f4fd3987b9976p-9, 0x1.e72bac0a057d5p-9, 0x1.d9b1ac88fa969p-9, 0x1.cc8d5f3779677p-9, 0x1.bfbcf0c918279p-9, 0x1.b33e968e49a47p-9, 0x1.a7108e4a9b661p-9, 0x1.9b311dcd5a793p-9, 0x1.8f9e925bce09fp-9, 0x1.8457400ebd451p-9, 0x1.79598155a7dfdp-9, 0x1.6ea3b6ce355b1p-9, 0x1.643447807b78bp-9, 0x1.5a09a166e2498p-9, 0x1.50223a09ada0ep-9, 0x1.467c8ef6ee0f2p-9, 0x1.3d1725f77787fp-9, 0x1.33f08cf7485e4p-9, 0x1.2b0759a11ac79p-9, 0x1.225a28ac8226p-9, 0x1.19e79ced92daap-9, 0x1.11ae5e65e3bedp-9, 0x1.09ad1a722a48fp-9, 0x1.01e283f8528b6p-9, 0x1.f49a9b9b6d88dp-10, 0x1.e5d8714e3bde6p-10, 0x1.d77c0778c1ca5p-10, 0x1.c983037f68314p-10, 0x1.bbeb05e71c169p-10, 0x1.aeb1c1d333453p-10, 0x1.a1d4f9b2edc99p-10, 0x1.95527bc44bf03p-10, 0x1.892820b1e06d5p-10, 0x1.7d53c9b25badfp-10, 0x1.71d35ee37d905p-10, 0x1.66a4cefe60261p-10, 0x1.5bc610e316e7dp-10, 0x1.51352647dd307p-10, 0x1.46f01e00f434fp-10, 0x1.3cf514a2e8389p-10, 0x1.3342337ae91a1p-10, 0x1.29d5aef2e1eb7p-10, 0x1.20adc5668746cp-10, 0x1.17c8bd825cbc2p-10, 0x1.0f24e6748bf03p-10, 0x1.06c0bd2e06ad1p-10, 0x1.fd34e27fe73a6p-11, 0x1.ed60ef788e29cp-11, 0x1.de02addf6c4e4p-11, 0x1.cf16df97a77acp-11, 0x1.c09a82c2051b5p-11, 0x1.b28aab0d0cc04p-11, 0x1.a4e481a894b1dp-11, 0x1.97a542ecaaf2cp-11, 0x1.8aca3ef534fdcp-11, 0x1.7e50ccfa4eec1p-11, 0x1.7236518745052p-11, 0x1.6678490ccf015p-11, 0x1.5b143bf54aa6cp-11, 0x1.5007d5051cd2cp-11, 0x1.4550aa6f31771p-11, 0x1.3aec661193fbfp-11, 0x1.30d8bd2c74d7p-11, 0x1.271371e7a90adp-11, 0x1.1d9a570132d56p-11, 0x1.146b5077a0cc7p-11, 0x1.0b8450e5881cep-11, 0x1.02e35619446aap-11, 0x1.f50cd11c06b47p-12, 0x1.e4d73d417c183p-12, 0x1.d5223fd6f142p-12, 0x1.c5ea489161e47p-12, 0x1.b72bdca845b4bp-12, 0x1.a8e38c4881e37p-12, 0x1.9b0df1692a6f1p-12, 0x1.8da7b6c1a1c9dp-12, 0x1.80ad9e01b3c4bp-12, 0x1.741c7ff75d7e3p-12, 0x1.67f149b029c3bp-12, 0x1.5c28fb186b491p-12, 0x1.50c0a6350c01fp-12, 0x1.45b56ce4056afp-12, 0x1.3b048124d102fp-12, 0x1.30ab2dadeefd4p-12, 0x1.26a6e1dad115bp-12, 0x1.1cf531c1e6066p-12, 0x1.1393c3c9b7583p-12, 0x1.0a803a17c9ff7p-12, 0x1.01b82d2cfed18p-12, 0x1.f272797299e3ep-13, 0x1.e20252846d08ep-13, 0x1.d21b873b10b71p-13, 0x1.c2b9d8e41a0bap-13, 0x1.b3d92b1289b6dp-13, 0x1.a5755c48dc52bp-13, 0x1.978ab968d6884p-13, 0x1.8a1536398e30cp-13, 0x1.7d110ee77026p-13, 0x1.707aaf8e64b02p-13, 0x1.644ebc5c25ffcp-13, 0x1.588a16e8b37cap-13, 0x1.4d29bca595c42p-13, 0x1.422a972e93111p-13, 0x1.37896df844a1ap-13, 0x1.2d43075f222f2p-13, 0x1.23545160910e2p-13, 0x1.19ba6e6d3dcc7p-13, 0x1.1072a7dba7307p-13, 0x1.077a5ace641c6p-13, 0x1.fd9dd278ba3bap-14, 0x1.ecdb6c1ab97eep-14, 0x1.dca866df5962dp-14, 0x1.ccfff0a6f04ap-14, 0x1.bddd8c3263c7dp-14, 0x1.af3cf697ec6bep-14, 0x1.a11a10a5b07a6p-14, 0x1.9370dda53316bp-14, 0x1.863d735d91adbp-14, 0x1.797bd63d1cc2p-14, 0x1.6d27fa1d9f4dbp-14, 0x1.613dec053d52ep-14, 0x1.55b9b7456f043p-14, 0x1.4a98d8d82c0f9p-14, 0x1.3fd772939f6b8p-14, 0x1.3570b383f61cp-14, 0x1.2b63a86b442e7p-14, 0x1.21ac29634865cp-14, 0x1.184715b05e629p-14, 0x1.0f318593f1464p-14, 0x1.0668d9ae37dbbp-14, 0x1.fbd573682cbaep-15, 0x1.eb69d05c873f1p-15, 0x1.db896277c4bacp-15, 0x1.cc2f66da95556p-15, 0x1.bd5612a3e0753p-15, 0x1.aef94316c0ef2p-15, 0x1.a1148791177a2p-15, 0x1.93a352d6f286bp-15, 0x1.86a1f8417650bp-15, 0x1.7a0c9bbb3802p-15, 0x1.6ddf367606bccp-15, 0x1.6215e2f91cf1bp-15, 0x1.56acd8387972p-15, 0x1.4ba0697384f84p-15, 0x1.40ed2f36a1286p-15, 0x1.36900ed9e1c2bp-15, 0x1.2c8615240a371p-15, 0x1.22cc6dd060836p-15, 0x1.1960861a4f2e9p-15, 0x1.103ff2e866c3ep-15, 0x1.076805cb8412ap-15, 0x1.fdab6180c6028p-16, 0x1.ed0bbedc6fd33p-16, 0x1.dceb94ce3a678p-16, 0x1.cd468a2524bep-16, 0x1.be19613943ffep-16, 0x1.af6089d18c1efp-16, 0x1.a11796e21fab9p-16, 0x1.933a20741152dp-16, 0x1.85c4056e13161p-16, 0x1.78b12b79cf3a4p-16, 0x1.6bfdbd92fbc3ep-16, 0x1.5fa6647b5e351p-16, 0x1.53a80d2fc11e7p-16, 0x1.47ffa3eaed5e2p-16, 0x1.3caa31cb6baa1p-16, 0x1.31a50dacbc7p-16, 0x1.26edbd785bdep-16, 0x1.1c81b2d8fb185p-16, 0x1.125e02e86150ep-16, 0x1.087f7ebfa5e23p-16, 0x1.fdc69cb32c34cp-17, 0x1.eb0e6f10bc8e3p-17, 0x1.d8d2fdb19000cp-17, 0x1.c71128dee6eb3p-17, 0x1.b5c4d5d41c335p-17, 0x1.a4ea0dd2e241ap-17, 0x1.947cdf91558abp-17, 0x1.8478a63839778p-17, 0x1.74d9d8246e244p-17, 0x1.659b4aae92ee8p-17, 0x1.56bdf1cca6638p-17, 0x1.483c7e5861f4dp-17, 0x1.3a1403650a61dp-17, 0x1.2c4269238adacp-17, 0x1.1ec5084081a5p-17, 0x1.1199288dd0259p-17, 0x1.04bc3e850a059p-17, 0x1.f057d6ef93d5ap-18, 0x1.d7cbc18151d75p-18, 0x1.bfcf7209711a4p-18, 0x1.a85ecf1cd66b4p-18, 0x1.91769fe228cefp-18, 0x1.7b133deed93e7p-18, 0x1.6530f174d1d98p-18, 0x1.4fcbd0164d02bp-18, 0x1.3ae0d152bce99p-18, 0x1.266d7592c6582p-18, 0x1.126e7eb972c21p-18, 0x1.fdc0c7b8e8dd9p-19, 0x1.d77f668ce4d14p-19, 0x1.b2137af13c57ep-19, 0x1.8d779dee4d52dp-19, 0x1.699a6f9b93c61p-19, 0x1.46b6d49e7e40dp-19, 0x1.246b651cb6505p-19, 0x1.02e4fd2be796p-19, 0x1.c44579b750421p-20, 0x1.842b237266daep-20, 0x1.45781b3eea80dp-20, 0x1.082660936e3aep-20, 0x1.985dc3b991b23p-21, 0x1.23165f7429ba5p-21, 0x1.60d882024f3fep-22, 0x1.014420794049p-23, -0x1.6a491dd7a0d4fp-24, -0x1.30d920292c07cp-22, -0x1.01207ff202108p-21, -0x1.676f7bd6ad5a1p-21, -0x1.cb65678a6118dp-21, -0x1.16867d0c88273p-20, -0x1.46379611240cdp-20, -0x1.74c9cc0a0f6aep-20, -0x1.a241d15c1fa01p-20, -0x1.cea39c548cfb8p-20, -0x1.f9f2a2e8240bcp-20, -0x1.1218072906909p-19, -0x1.26aee44aebf51p-19, -0x1.3ac4edbe4ae31p-19, -0x1.4e58f7695a7bep-19, -0x1.6175995219eb9p-19, -0x1.740b3c33187fcp-19, -0x1.8620602c1092p-19, -0x1.97bb725b6a0ddp-19, -0x1.a8dd200c9a314p-19, -0x1.b98625328928cp-19, -0x1.c9b7cf8f24eep-19, -0x1.d973c53f361a5p-19, -0x1.e8bb2f2f5977p-19, -0x1.f78f338817b7fp-19, -0x1.02f8a3beee4cbp-18, -0x1.09f1560e58183p-18, -0x1.10b258b71de77p-18, -0x1.173c52d4e0abdp-18, -0x1.1d8fddcd9f163p-18, -0x1.23ad8ba011d51p-18, -0x1.2995fb9ce0771p-18, -0x1.2f49c48e03635p-18, -0x1.34c9777fd02ebp-18, -0x1.3a15a52884e4dp-18, -0x1.3f2edea3cf1b7p-18, -0x1.4415b60841f3dp-18, -0x1.48cabe01921d4p-18, -0x1.4d4e88938be7ap-18, -0x1.51a1a561801f9p-18, -0x1.55c49fae9bc79p-18, -0x1.59b7ffe579248p-18, -0x1.5d7c51c7aa40ap-18, -0x1.611224c262faep-18, -0x1.647a023641f2ep-18, -0x1.67b47e33f26b7p-18, -0x1.6ac22010f896dp-18, -0x1.6da36c531f1d9p-18, -0x1.7058ee6687ad4p-18, -0x1.72e3365dfb521p-18, -0x1.7542d23b0de2p-18, -0x1.777845729eb0bp-18, -0x1.79841cdff6c52p-18, -0x1.7b66e455eabbfp-18, -0x1.7d2125c893a36p-18, -0x1.7eb36bbf886dep-18, -0x1.801e40d3983fdp-18, -0x1.81622f50b59e2p-18, -0x1.827fc158c5a62p-18, -0x1.8377817db384p-18, -0x1.8449fb49de79ap-18, -0x1.84f7bb5cb53a5p-18, -0x1.85814f77ff9cbp-18, -0x1.85e7469476a01p-18, -0x1.862a2d25139d6p-18, -0x1.864a6e0ac7aadp-18, -0x1.8647efd8fdcffp-18, -0x1.86234e8efea11p-18, -0x1.85df05012bcfdp-18, -0x1.857b2bcecb3bbp-18, -0x1.84fa9dfe7d339p-18, -0x1.8457743fcca82p-18, -0x1.839c9827c1a45p-18, -0x1.82ab7336d10d1p-18, -0x1.81b5705311d43p-18, -0x1.809944187aa66p-18, -0x1.7f612ff92e47ep-18, -0x1.7e0d750b8c2cep-18, -0x1.7c9e468c91a4cp-18, -0x1.7b142831688b3p-18, -0x1.796fa54825657p-18, -0x1.77b148de0992p-18, -0x1.75d99d3bd62ap-18, -0x1.73e92c021332ap-18, -0x1.71e07e526b2e9p-18, -0x1.6fc01cf33e54ep-18, -0x1.6d88905196a56p-18, -0x1.6b3a604cd4fa7p-18, -0x1.68d6141b4e68bp-18, -0x1.665c326252373p-18, -0x1.63cd41464629dp-18, -0x1.6129c61dcd0d1p-18, -0x1.5e7245cddb582p-18, -0x1.5ba744ecde047p-18, -0x1.58c9478b926efp-18, -0x1.55d8cfeeb51ccp-18, -0x1.52d65fdf8124bp-18, -0x1.4fc27a57a76e9p-18, -0x1.4c9d9fd136534p-18, -0x1.4968502963f32p-18, -0x1.4623095063d36p-18, -0x1.42ce452a5b982p-18, -0x1.3f6a89a1b4dep-18, -0x1.3bf86b9bb4deep-18, -0x1.3878369efe947p-18, -0x1.34ea58893ce65p-18, -0x1.314f92dedb13dp-18, -0x1.2da8321134ea6p-18, -0x1.29f4ae459496dp-18, -0x1.2635823ec8774p-18, -0x1.226b24b2acc14p-18, -0x1.1e960a3c39ac1p-18, -0x1.1ab6a61191b74p-18, -0x1.16cd6a41399dcp-18, -0x1.12dac7c22bfa6p-18, -0x1.0edf2e8a7de18p-18, -0x1.0adb0d9eada8ep-18, -0x1.06ced2d08922cp-18, -0x1.02baea436343ap-18, -0x1.fd3f7dcfa39bdp-19, -0x1.f4fb77dc710fdp-19, -0x1.ecaa977b89683p-19, -0x1.e44dad21ed674p-19, -0x1.dbe582d22aa16p-19, -0x1.d372b249feb9bp-19, -0x1.caf5126e33efbp-19, -0x1.c26d285dcfec2p-19, -0x1.b9df4e3eb1792p-19, -0x1.b14bb143a0877p-19, -0x1.a8b6faab4a113p-19, -0x1.a014ac0f29007p-19, -0x1.976b44df78a33p-19, -0x1.8ebef507bbbc8p-19, -0x1.860f84a301002p-19, -0x1.7d5d1bdb0690dp-19, -0x1.74a841452eb11p-19, -0x1.6bf196126e48ep-19, -0x1.6339c005c3421p-19, -0x1.5a81639eb25c7p-19, -0x1.51c922d3d2bb4p-19, -0x1.49119cd99f3fcp-19, -0x1.405b6e25a3ec7p-19, -0x1.37a73082bf289p-19, -0x1.2ef57b0c77e68p-19, -0x1.2646e2190d2ebp-19, -0x1.1d9bf6df06e25p-19, -0x1.14f53b9131705p-19, -0x1.0c536f8a8fa88p-19, -0x1.03b6b7b9d24a6p-19, -0x1.f6400bec626cap-20, -0x1.e51f3f12b00d7p-20, -0x1.d40c266b075f5p-20, -0x1.c307b8978cf87p-20, -0x1.b212e04b6a5afp-20, -0x1.a12e6edf46295p-20, -0x1.905ba1f5e0ebep-20, -0x1.7fa92d3baf423p-20, -0x1.6ef7b8b45de2fp-20, -0x1.5e54eca750874p-20, -0x1.4dd5872947acp-20, -0x1.3d65f1b09216ep-20, -0x1.2d0edb9babed3p-20, -0x1.1ccf58c5e9ecdp-20, -0x1.0ca8029c37648p-20, -0x1.f9332e308172ap-21, -0x1.d949a25a2b51ep-21, -0x1.b994cbcc30633p-21, -0x1.9a1609592ba3dp-21, -0x1.7aceaf4ac93e8p-21, -0x1.5bc007b129c8dp-21, -0x1.3ceb52c5f8d75p-21, -0x1.1e51c801045b2p-21, -0x1.ffe92a676af3bp-22, -0x1.c3a9bb85470cp-22, -0x1.87e776a6fe934p-22, -0x1.4ca47fcaccbe6p-22, -0x1.11e2e8caed9e3p-22, -0x1.af494b3749c28p-23, -0x1.3bd753a25e511p-23, -0x1.92e733dddb71fp-24, -0x1.6086bd29eece7p-25, 0x1.81afa89f9aa69p-27, 0x1.0e7e310105f8fp-24, 0x1.ea8ecc853f03p-24, 0x1.6230c2ffd7ed8p-23, 0x1.cdf831aa39c78p-23, 0x1.1c4dbaafaeeb5p-22, 0x1.510e1b6a83167p-22, 0x1.8543017684822p-22, 0x1.b8e63446fbf2cp-22, 0x1.ebe148fbdc481p-22, 0x1.0f165da278d89p-21, 0x1.27e8c2566b0f3p-21, 0x1.408a62273597fp-21, 0x1.58dd44e578c07p-21, 0x1.70dcafb64347bp-21, 0x1.888bf6114915p-21, 0x1.9fec251a10516p-21, 0x1.b6fd3caad50c8p-21, 0x1.cdbef9bb31d76p-21, 0x1.e43110badaa57p-21, 0x1.fa533e2bf388p-21, 0x1.0812a3a2303e2p-20, 0x1.12d37bcae9b86p-20, 0x1.1d6c104c81d16p-20, 0x1.27dc4c746604cp-20, }}, 
      {{-0x1.1046e2b82818ap-1, -0x1.039de3f7773f4p-1, -0x1.dea9d055c59a9p-2, -0x1.a8c77c14a800bp-2, -0x1.67bfb521f3d03p-2, -0x1.1dcba194fb889p-2, -0x1.9a2a2ac9631acp-3, -0x1.de8eb21ca622p-4, -0x1.f516592e0f07ep-6, 0x1.d1da570d11d04p-5, 0x1.2722fd8652821p-3, 0x1.d6ea6d06ea19p-3, 0x1.40dceff7437cep-2, 0x1.92ee26e82468dp-2, 0x1.e0f93a7ffa699p-2, 0x1.153a87cf0034bp-1, 0x1.377d55c7fd331p-1, 0x1.57207b73d34aap-1, 0x1.740c5e37a31e7p-1, 0x1.8e347d26b8ecep-1, 0x1.a595c411b9ceap-1, 0x1.ba350cea5be59p-1, 0x1.cc1dcbd923752p-1, 0x1.db60e4596e3ddp-1, 0x1.e813a38201aecp-1, 0x1.f24edb3d9b86ap-1, 0x1.fa2e1a83b12ebp-1, 0x1.ffceff326559p-1, 0x1.01a84f6ad05fap+0, 0x1.026982139bf2ep+0, 0x1.023b5fabbc098p+0, 0x1.012e4392ac3d6p+0, 0x1.fea4e8e5a5f73p-1, 0x1.f970055bb8b45p-1, 0x1.f2dd5922fb866p-1, 0x1.eb0b8e8e83b99p-1, 0x1.e21858982c884p-1, 0x1.d820557a583dfp-1, 0x1.cd3ef7c911edcp-1, 0x1.c18e75e5fb344p-1, 0x1.b527be4bbe2b1p-1, 0x1.a82270a5afb4dp-1, 0x1.9a94daa49dd98p-1, 0x1.8c93f81ede16dp-1, 0x1.7e3376513eb94p-1, 0x1.6f85b9112cbb4p-1, 0x1.609be2050fe08p-1, 0x1.5185d9f1b0c94p-1, 0x1.42525a88c2426p-1, 0x1.330ef9a55cee3p-1, 0x1.23c83554360b5p-1, 0x1.14897ff56d56dp-1, 0x1.055d4d2806b8fp-1, 0x1.ec9a3d20152e1p-2, 0x1.cec3214484a84p-2, 0x1.b144cf7517321p-2, 0x1.942d387ee6423p-2, 0x1.7788ced278c58p-2, 0x1.5b629d9eeb84fp-2, 0x1.3fc4608c934adp-2, 0x1.24b6996ef3e02p-2, 0x1.0a40a6013c675p-2, 0x1.e0d1a7cf99d71p-3, 0x1.ae68e84fdf4d2p-3, 0x1.7d4fdafcd9055p-3, 0x1.4d8d9b7f383fp-3, 0x1.1f27b4d262974p-3, 0x1.e444807b7d9e6p-4, 0x1.8d0006a112a53p-4, 0x1.388517299eba1p-4, 0x1.cda9257c44c3cp-5, 0x1.2fdaa357a582ap-5, 0x1.2f314e13a1f61p-6, 0x1.3675f239249ffp-11, -0x1.10dc4da20838ep-6, -0x1.104e6552222fp-5, -0x1.92d85ed359f7cp-5, -0x1.080fd9ac649f5p-4, -0x1.441cf3ba65e44p-4, -0x1.7d9f146e35094p-4, -0x1.b4a28b0ad61fdp-4, -0x1.e934460279c6ap-4, -0x1.0db0dd699f4e1p-3, -0x1.259c682da2f6ap-3, -0x1.3c63e53eba1a3p-3, -0x1.520e9bd6bd5dap-3, -0x1.66a3efbcd5787p-3, -0x1.7a2b597b441fbp-3, -0x1.8cac5f32967bdp-3, -0x1.9e2e8db4fb039p-3, -0x1.aeb972afca0edp-3, -0x1.be549700954d3p-3, -0x1.cd0779d792d8cp-3, -0x1.dad98c009119fp-3, -0x1.e7d22bf585bf3p-3, -0x1.f3f8a235571b1p-3, -0x1.ff541e0bbcf9p-3, -0x1.04f5d95431b1ep-2, -0x1.09e32a46fbfe6p-2, -0x1.0e756bb3725c9p-2, -0x1.12aff60e551f7p-2, -0x1.16960f9cc68acp-2, -0x1.1a2aebbe1e615p-2, -0x1.1d71aa6d2df19p-2, -0x1.206d57c2f5221p-2, -0x1.2320eba9efcd7p-2, -0x1.258f49ae209d1p-2, -0x1.27bb40ccceec5p-2, -0x1.29a78b68922eap-2, -0x1.2b56cf4a782a1p-2, -0x1.2ccb9daecbcbap-2, -0x1.2e087366f5a8ap-2, -0x1.2f0fb902196b1p-2, -0x1.2fe3c3021a30cp-2, -0x1.3086d2253b404p-2, -0x1.30fb13a7c8edfp-2, -0x1.3142a19de532ep-2, -0x1.315f83544ec01p-2, -0x1.3153adb0b4d71p-2, -0x1.3121039d1beb4p-2, -0x1.30c95675f4c0cp-2, -0x1.304e667bba77p-2, -0x1.2fb1e3485b393p-2, -0x1.2ef56c40ca68ep-2, -0x1.2e1a910862c7p-2, -0x1.2d22d1fcd584fp-2, -0x1.2c0fa0a72d7fbp-2, -0x1.2ae2602dcaf7ap-2, -0x1.299c65d1254c8p-2, -0x1.283ef9597dd67p-2, -0x1.26cb558cdbebap-2, -0x1.2542a89ee499cp-2, -0x1.23a614a6f4941p-2, -0x1.21f6b00d84527p-2, -0x1.203585f37de0fp-2, -0x1.1e6396a4e109bp-2, -0x1.1c81d802c88e6p-2, -0x1.1a9135e1fba51p-2, -0x1.1892927049905p-2, -0x1.1686c69ccd5dap-2, -0x1.146ea26e6d2eap-2, -0x1.124aed58f22f9p-2, -0x1.101c669aa51b6p-2, -0x1.0de3c595b4c9cp-2, -0x1.0ba1ba1b3b224p-2, -0x1.0956ecb43b87bp-2, -0x1.0703fef422437p-2, -0x1.04a98bc795004p-2, -0x1.024827b3cc95ap-2, -0x1.ffc0c229e05dp-3, -0x1.fae580ce381f8p-3, -0x1.f5ff91170b112p-3, -0x1.f10fedfb03e9dp-3, -0x1.ec17880df06f7p-3, -0x1.e71745feb0053p-3, -0x1.e210050df91ffp-3, -0x1.dd02996896745p-3, -0x1.d7efce85ce3a5p-3, -0x1.d2d8678277bdep-3, -0x1.cdbd1f8cac157p-3, -0x1.c89eaa3b8f45ap-3, -0x1.c37db3c9e3d56p-3, -0x1.be5ae176b317fp-3, -0x1.b936d1c095f48p-3, -0x1.b4121cc9c5c2ap-3, -0x1.aeed548aa04e6p-3, -0x1.a9c905069011ap-3, -0x1.a4a5b4ad0ab1dp-3, -0x1.9f83e4557ea9ap-3, -0x1.9a640fbf6ce13p-3, -0x1.9546adc0a04dcp-3, -0x1.902c303184d1fp-3, -0x1.8b15045a9a512p-3, -0x1.8601931329c08p-3, -0x1.80f240fd575dp-3, -0x1.7be76e9b32ac7p-3, -0x1.76e1786ed898dp-3, -0x1.71e0b722ec5b1p-3, -0x1.6ce57fd087edfp-3, -0x1.67f023f6630f6p-3, -0x1.6300f1b83f147p-3, -0x1.5e1833df07754p-3, -0x1.593631fa4a13p-3, -0x1.545b30a17a84bp-3, -0x1.4f877158b0261p-3, -0x1.4abb32da830dfp-3, -0x1.45f6b106c1dc8p-3, -0x1.413a250e46e82p-3, -0x1.3c85c574aba5ap-3, -0x1.37d9c64b7e15cp-3, -0x1.3336591abbd82p-3, -0x1.2e9bad0faf28ep-3, -0x1.2a09ef0c7878cp-3, -0x1.2581498f56846p-3, -0x1.2101e4fed5e7ap-3, -0x1.1c8be796eec8cp-3, -0x1.181f758786e55p-3, -0x1.13bcb0f210008p-3, -0x1.0f63ba0280e35p-3, -0x1.0b14aef54d3ep-3, -0x1.06cfac35d8c12p-3, -0x1.0294cc40f96dep-3, -0x1.fcc84fd5c1fe4p-4, -0x1.f47bac9d0a8e3p-4, -0x1.ec43d9959a4b8p-4, -0x1.e420fe32e02f5p-4, -0x1.dc133ebdfcefep-4, -0x1.d41abc62f9fa8p-4, -0x1.cc37954791432p-4, -0x1.c469e4b5696c7p-4, -0x1.bcb1c2d634383p-4, -0x1.b50f45390667fp-4, -0x1.ad827ea24ecd1p-4, -0x1.a60b7f2a22ad7p-4, -0x1.9eaa544650c7ap-4, -0x1.975f08fcb035cp-4, -0x1.9029a5ce59144p-4, -0x1.890a30d4be9f2p-4, -0x1.8200add18efdap-4, -0x1.7b0d1e60044a7p-4, -0x1.742f81bd681e4p-4, -0x1.6d67d51c8f6dap-4, -0x1.66b6137970e2p-4, -0x1.601a360fb668p-4, -0x1.599433dfcbb5bp-4, -0x1.53240219ee90ep-4, -0x1.4cc9941249129p-4, -0x1.4684db505f198p-4, -0x1.4055c79f4e7d1p-4, -0x1.3a3c471b2557ep-4, -0x1.3438463c8a31cp-4, -0x1.2e49aff418dabp-4, -0x1.28706d8cc91c7p-4, -0x1.22ac66f3441f3p-4, -0x1.1cfd827e5e744p-4, -0x1.1763a568f5e46p-4, -0x1.11deb35cf3f8cp-4, -0x1.0c6e8ed288002p-4, -0x1.071319050c291p-4, -0x1.01cc31fd7adcep-4, -0x1.f933713f9af7cp-5, -0x1.eef71570145a2p-5, -0x1.e4e30a0bfdb5bp-5, -0x1.daf70689366bdp-5, -0x1.d132c0724d2p-5, -0x1.c795eb9a227cdp-5, -0x1.be2039b88a327p-5, -0x1.b4d15b38b0be4p-5, -0x1.aba8fe96c1869p-5, -0x1.a2a6d1300a6b4p-5, -0x1.99ca7e92110abp-5, -0x1.9113b112349e3p-5, -0x1.888211ba47p-5, -0x1.8015485b7d133p-5, -0x1.77ccfba29362ep-5, -0x1.6fa8d129a0d7cp-5, -0x1.67a86d88d53bp-5, -0x1.5fcb746729a6fp-5, -0x1.5811888b79d03p-5, -0x1.507a4bed6a4b6p-5, -0x1.49055fcc1ae59p-5, -0x1.41b264cfefaa5p-5, -0x1.3a80fabdb9a85p-5, -0x1.3370c11b214e2p-5, -0x1.2c8156b0ad1f4p-5, -0x1.25b25a17d1535p-5, -0x1.1f036941fe4b5p-5, -0x1.187421ed950f8p-5, -0x1.12042193ed8c1p-5, -0x1.0bb3057444c76p-5, -0x1.05806a9e8465p-5, -0x1.fed7dbfb02942p-6, -0x1.f2ea58c6a9dc5p-6, -0x1.e73785312f924p-6, -0x1.dbbe9ada06ac6p-6, -0x1.d07ed38ceca52p-6, -0x1.c5776956bc9ddp-6, -0x1.baa7968ee2a5dp-6, -0x1.b00e95dfe8e6p-6, -0x1.a5aba272f4ab6p-6, -0x1.9b7df7728f539p-6, -0x1.9184d11217009p-6, -0x1.87bf6ba6b4425p-6, -0x1.7e2d052882c61p-6, -0x1.74ccdbe00a017p-6, -0x1.6b9e2f3e23ap-6, -0x1.62a03fa4b9486p-6, -0x1.59d24e438a273p-6, -0x1.51339d10ea9bp-6, -0x1.48c36edd0859dp-6, -0x1.40810783af67ap-6, -0x1.386bac306d18p-6, -0x1.3082a39cebe83p-6, -0x1.28c536300fd4ep-6, -0x1.2132adeeeb122p-6, -0x1.19ca5644ada2bp-6, -0x1.128b7bba8a36fp-6, -0x1.0b756bc38db4dp-6, -0x1.048774bbf5a1p-6, -0x1.fb81cc5c52181p-7, -0x1.ee4222b90fe18p-7, -0x1.e14e9297892dp-7, -0x1.d4a5c79ab33d8p-7, -0x1.c84671694f1b8p-7, -0x1.bc2f44dc0ee7cp-7, -0x1.b05ef9022ef72p-7, -0x1.a4d44718623f5p-7, -0x1.998de98f95977p-7, -0x1.8e8a9c2fd4539p-7, -0x1.83c91d29cecc9p-7, -0x1.79482eabcd9bep-7, -0x1.6f069881fc41bp-7, -0x1.6503291679d9cp-7, -0x1.5b3cb55f2982fp-7, -0x1.51b217a62237p-7, -0x1.48622d89bbd22p-7, -0x1.3f4bd5e847e9p-7, -0x1.366def838fa62p-7, -0x1.2dc758f2605c1p-7, -0x1.2556f20258f6cp-7, -0x1.1d1b9e23ae878p-7, -0x1.1514471061eb3p-7, -0x1.0d3fdebe3cbb9p-7, -0x1.059d5fe3dd0c3p-7, -0x1.fc5799bffca5p-8, -0x1.edd458fefe673p-8, -0x1.dfaf0f31b195fp-8, -0x1.d1e5ca9140caap-8, -0x1.c476965879ff6p-8, -0x1.b75f798e2b43dp-8, -0x1.aa9e7d6dc1677p-8, -0x1.9e31b4fff6926p-8, -0x1.921743973f6d9p-8, -0x1.864d60f2174d6p-8, -0x1.7ad25948c99c4p-8, -0x1.6fa48919e47f8p-8, -0x1.64c255db2aa67p-8, -0x1.5a2a25be88f91p-8, -0x1.4fda5931ef3c9p-8, -0x1.45d1485fac02ap-8, -0x1.3c0d45af4a929p-8, -0x1.328ca47e81a26p-8, -0x1.294dc1bd69dacp-8, -0x1.204f0b81d3584p-8, -0x1.178f05378a422p-8, -0x1.0f0c4764e7192p-8, -0x1.06c57b57e4018p-8, -0x1.fd72a805f0cd2p-9, -0x1.edcd0bbc21e82p-9, -0x1.de977fee500f9p-9, -0x1.cfcf50ce2ee45p-9, -0x1.c171bb94dba2bp-9, -0x1.b37bfb018b11ep-9, -0x1.a5eb579cd4438p-9, -0x1.98bd3ad8a78d4p-9, -0x1.8bef333159429p-9, -0x1.7f7ef75638a75p-9, -0x1.736a5749bf2d5p-9, -0x1.67af338b34fa7p-9, -0x1.5c4b722403002p-9, -0x1.513cf5fd4aa01p-9, -0x1.468198fedd183p-9, -0x1.3c172a1a4702p-9, -0x1.31fb7228ac2e8p-9, -0x1.282c40edae13ap-9, -0x1.1ea77e917ce25p-9, -0x1.156b390d3c5a2p-9, -0x1.0c75a535666abp-9, -0x1.03c511b9abc7cp-9, -0x1.f6afa6bd45cb8p-10, -0x1.e6586bd2f572cp-10, -0x1.d680f2057ecedp-10, -0x1.c725ae330bb48p-10, -0x1.b8431c0453548p-10, -0x1.a9d5c72fdb8d3p-10, -0x1.9bda452273786p-10, -0x1.8e4d428bdb488p-10, -0x1.812b96ce42581p-10, -0x1.74725eccefde4p-10, -0x1.681f0dc0967aep-10, -0x1.5c2f556592e58p-10, -0x1.50a0ed4917b8ep-10, -0x1.4571559a2f90cp-10, -0x1.3a9dbbf21fdbbp-10, -0x1.30231272b6149p-10, -0x1.25fe4a89a2bbdp-10, -0x1.1c2c8a79f3d04p-10, -0x1.12ab3cc1aaf17p-10, -0x1.097800cf16402p-10, -0x1.00908f3f7c566p-10, -0x1.efe579e63ef54p-11, -0x1.df391e5277ea8p-11, -0x1.cf189cd474b36p-11, -0x1.bf80f8db0bca1p-11, -0x1.b06f465f4496fp-11, -0x1.a1e01fd47ed3ep-11, -0x1.93cf458eb39e7p-11, -0x1.8637b0bdfd603p-11, -0x1.79141dc61da91p-11, -0x1.6c5fbcbd80964p-11, -0x1.60169b899a962p-11, -0x1.543595ce3bdep-11, -0x1.48b9f4f370723p-11, -0x1.3da11ae3c10b4p-11, -0x1.32e86c3725e1fp-11, -0x1.288d65f192e26p-11, -0x1.1e8daf95d899cp-11, -0x1.14e70fd9bf89cp-11, -0x1.0b9740661776fp-11, -0x1.029baac049dcbp-11, -0x1.f3e25e956b4fdp-12, -0x1.e3284d335ed3bp-12, -0x1.d30169ed6d689p-12, -0x1.c3669b51ef6a4p-12, -0x1.b45236717dfa1p-12, -0x1.a5c029e4530c2p-12, -0x1.97ad8a52a75b2p-12, -0x1.8a17e678132f9p-12, -0x1.7cfcc49df4252p-12, -0x1.705956e3c7613p-12, -0x1.642a48937ed2fp-12, -0x1.586bb811b7a1cp-12, -0x1.4d195ebc9c1bbp-12, -0x1.422ec0786a64dp-12, -0x1.37a76813ae4f2p-12, -0x1.2d7f10509d297p-12, -0x1.23b1bf3984455p-12, -0x1.1a3ba48779757p-12, -0x1.1118ff34031b2p-12, -0x1.0846340ec584cp-12, -0x1.ff8043b165c56p-13, -0x1.ef093bff09ae9p-13, -0x1.df254b728b7b7p-13, -0x1.cfd3975d3a11p-13, -0x1.c1123924804f2p-13, -0x1.b2dcb91ddeb36p-13, -0x1.a52c8e9bdf207p-13, -0x1.97fa990269f15p-13, -0x1.8b3f94507a807p-13, -0x1.7ef409ebf85c8p-13, -0x1.73116c5ef8f71p-13, -0x1.6793a246f3162p-13, -0x1.5c78e83a47debp-13, -0x1.51bfdbf24feacp-13, -0x1.47659da62bbe9p-13, -0x1.3d6578508f18p-13, -0x1.33b9f6a9b6c3bp-13, -0x1.2a5f04ee8541dp-13, -0x1.2153c63ed6e2cp-13, -0x1.189977a1da58cp-13, -0x1.102fb31782d1dp-13, -0x1.08128d4f509dcp-13, -0x1.003cbee3713bbp-13, -0x1.f1549ea458b42p-14, -0x1.e2afb1fb90664p-14, -0x1.d4810563b917bp-14, -0x1.c6be4dc818c33p-14, -0x1.b9615270f6b69p-14, -0x1.ac695d376d5b8p-14, -0x1.9fd823f51d20fp-14, -0x1.93ad95ac38f8cp-14, -0x1.87e665953e576p-14, -0x1.7c7d7796464fbp-14, -0x1.716cb4358280ep-14, -0x1.66ae02102ace8p-14, -0x1.5c3ed8f669b31p-14, -0x1.5220b44023061p-14, -0x1.485271acde6bap-14, -0x1.3ecda72c54481p-14, -0x1.358d5f5daa0f7p-14, -0x1.2c9124c25a6abp-14, -0x1.23d711156809fp-14, -0x1.1b58eccd40183p-14, -0x1.130fe2ccd95e1p-14, -0x1.0af823c916b15p-14, -0x1.031132ffd9c49p-14, -0x1.f6b7d2a78fbb9p-15, -0x1.e7b1214d39edbp-15, -0x1.d90c934747e1bp-15, -0x1.cac7a6da471d1p-15, -0x1.bce12fe8e1d2p-15, -0x1.af553a5905898p-15, -0x1.a2180a1eba4fep-15, -0x1.9520dce303348p-15, -0x1.887289d2d3958p-15, -0x1.7c0d3f78c766p-15, -0x1.6fea2ed06777dp-15, -0x1.64096c7203abp-15, -0x1.586f033677365p-15, -0x1.4d17b584574f2p-15, -0x1.41fb52dd806c2p-15, -0x1.3712583f3c62ep-15, -0x1.2c590a93610a1p-15, -0x1.21d04497e7da9p-15, -0x1.1779eee04213ep-15, -0x1.0d54ecaca691fp-15, -0x1.035f200e05a3bp-15, -0x1.f3331288469e8p-16, -0x1.e009bcca09e8cp-16, -0x1.cd3c7e3b1d0dp-16, -0x1.bac47914f5927p-16, -0x1.a898c4766f7d4p-16, -0x1.96b2ce33fa55p-16, -0x1.8517be83304aap-16, -0x1.73c59a19f709fp-16, -0x1.62b76bd5890cfp-16, -0x1.51f4d13602598p-16, -0x1.418012f121622p-16, -0x1.31532566c13fp-16, -0x1.21662184872fp-16, -0x1.11b14014bb17dp-16, -0x1.0233e78b1e3b8p-16, -0x1.e5e7aa5e88b3ap-17, -0x1.c7e1256f6ef74p-17, -0x1.aa4c24ec8fd79p-17, -0x1.8d2cecab7973ep-17, -0x1.7085587bb51p-17, -0x1.544de9903773dp-17, -0x1.38800bf5454f3p-17, -0x1.1d1986cdba57p-17, -0x1.021e9b8f517b1p-17, -0x1.cf227d7479286p-18, -0x1.9acf921b7c35dp-18, -0x1.6741ec8566f36p-18, -0x1.34735c468662bp-18, -0x1.026ca0c557754p-18, -0x1.a2790b70de266p-19, -0x1.41b6557fced4p-19, -0x1.c5002dba5852ap-20, -0x1.0974aac113022p-20, -0x1.42c828e7d6227p-22, 0x1.945a8cee2a66bp-22, 0x1.17f6ba6427ddfp-20, 0x1.c7ecae296ef05p-20, 0x1.3a7156f53826bp-19, 0x1.8f7226d322658p-19, 0x1.e308a06682481p-19, 0x1.1a9c7883869dp-18, 0x1.4300651093092p-18, 0x1.6aafaefbc4915p-18, 0x1.91ab82b8df736p-18, 0x1.b7f1e12ae4111p-18, 0x1.dd7d604281aa4p-18, 0x1.012b307f1ae3dp-17, 0x1.1341960338f94p-17, 0x1.25012c53f5a0ep-17, 0x1.3665ac094079p-17, 0x1.476ffe090fecfp-17, 0x1.5821486a92ea8p-17, 0x1.687a7f85941e6p-17, 0x1.787dd7b88a138p-17, 0x1.882a56c887ec9p-17, 0x1.978133b10d4c7p-17, 0x1.a6803464b7244p-17, 0x1.b52732c8789f5p-17, 0x1.c3785afa210f1p-17, 0x1.d1741ce987debp-17, 0x1.df1a5c5f2f05p-17, 0x1.ec6b3e907cfd2p-17, 0x1.f966fa1ea87bfp-17, 0x1.0306f80aecfa5p-16, 0x1.09302b8f13286p-16, 0x1.0f2f47067489fp-16, 0x1.1504809d1ddaap-16, 0x1.1aaf966e6050cp-16, 0x1.2030bf9e533fdp-16, 0x1.25891e3933775p-16, 0x1.2ab865aa89468p-16, 0x1.2fbe409b810bcp-16, 0x1.349b2ab49fc7dp-16, 0x1.394f23d67bda1p-16, 0x1.3ddae365cce0ap-16, 0x1.423ed2d780c1ep-16, 0x1.467ad6cddaa6dp-16, 0x1.4a8ec062a3d3dp-16, 0x1.4e7b3f06e387ap-16, 0x1.5240a40aa28dep-16, 0x1.55df1ba150ee3p-16, 0x1.5956df0872fd4p-16, 0x1.5ca8316038e04p-16, 0x1.5fd35b0cec18cp-16, 0x1.62d8a7c6fac24p-16, 0x1.65b8655b2cc7p-16, 0x1.6872e1caefb82p-16, 0x1.6b0868fcc4ccap-16, 0x1.6d7947cf4131ap-16, 0x1.6fc5d67827a1ep-16, 0x1.71ee6e3d28f72p-16, 0x1.73f33e6b349ffp-16, 0x1.75d4d5e055699p-16, 0x1.77938047e65c6p-16, 0x1.792f71f8ec78ep-16, 0x1.7aa8fcd8748d7p-16, 0x1.7c00b118feaaep-16, 0x1.7d37084f99b6ep-16, 0x1.7e4c1026e9ceep-16, 0x1.7f4049e6d7083p-16, 0x1.801429800cbd6p-16, 0x1.80c808c34f708p-16, 0x1.815c484b649fp-16, 0x1.81d14d102ba17p-16, 0x1.82277dab10ee3p-16, 0x1.825f41a2f0726p-16, 0x1.8279017d7e54ap-16, 0x1.827526fb5f411p-16, 0x1.82541d16c69bbp-16, 0x1.82164fbcac048p-16, 0x1.81bc2b62c05cdp-16, 0x1.81461c365178dp-16, 0x1.80b48dec5ab71p-16, 0x1.8007f094365bcp-16, 0x1.7f40b87cb4236p-16, 0x1.7e5f4fb172b57p-16, 0x1.7d64194b3323fp-16, 0x1.7c4f871548248p-16, 0x1.7b2216bcb63dep-16, 0x1.79dc7f2da83a9p-16, 0x1.787e33145c236p-16, 0x1.7708feab1d9d8p-16, 0x1.757c6ff1fb812p-16, 0x1.73d93d9bafcdap-16, 0x1.721fd404245bap-16, 0x1.7050a247728aap-16, 0x1.6e6c1a5fd9c8ep-16, 0x1.6c72ae6f5ffa1p-16, 0x1.6a64d06c43e3dp-16, 0x1.6842f2126b7a2p-16, 0x1.660d84e15dc77p-16, 0x1.63c4fa2dded8ap-16, 0x1.6169c348241dfp-16, 0x1.5efc51701f8abp-16, 0x1.5c7d158aab128p-16, 0x1.59ec7ff64d55ap-16, 0x1.574b00bd0a62p-16, 0x1.54990765861c3p-16, 0x1.51d702243a6a7p-16, 0x1.4f055f33947f2p-16, 0x1.4c248f6c6a2a6p-16, 0x1.49350bfe116d1p-16, 0x1.463731c91bcddp-16, 0x1.432b58462eb17p-16, 0x1.4012076a6edf7p-16, 0x1.3ceba947693ffp-16, 0x1.39b8afe835e6ep-16, 0x1.36797ad3ddfacp-16, 0x1.332e71a9b9b2ep-16, 0x1.2fd7fd8e0353ap-16, 0x1.2c76876825ceep-16, 0x1.290a7434fd597p-16, 0x1.2594297ec0c28p-16, 0x1.22140f3f2376ap-16, 0x1.1e8a87e4d8372p-16, 0x1.1af7f6ba7e87bp-16, 0x1.175cbe40faf73p-16, 0x1.13b93fe76edd1p-16, 0x1.100ddc20ff722p-16, 0x1.0c5af26a50c68p-16, 0x1.08a0e1293138ep-16, 0x1.04e005acef35dp-16, 0x1.0118bcb34218p-16, 0x1.fa96c5ab4bf27p-17, 0x1.f2f0a67586c98p-17, 0x1.eb3fc81ec7b07p-17, 0x1.e384d4684fap-17, 0x1.dbc09952816abp-17, 0x1.d3f3c7ee23899p-17, 0x1.cc1eba7206415p-17, 0x1.c442285ed2586p-17, 0x1.bc5f121cacdaap-17, 0x1.b475f5ca9c83fp-17, 0x1.ac876c0a102f6p-17, 0x1.a493f81ac87afp-17, 0x1.9c9c3b5713db4p-17, 0x1.94a0ad601247p-17, 0x1.8ca258af34f18p-17, 0x1.84a1a2de37eb7p-17, 0x1.7c9effdbaa20dp-17, 0x1.749b082d12a28p-17, 0x1.6c964f0e17ccfp-17, 0x1.6491621bd2eb3p-17, 0x1.5c8ccb9aced1p-17, 0x1.54891328a885ep-17, 0x1.4c86bdd788f43p-17, 0x1.44864e14acda3p-17, 0x1.3c8843caf6784p-17, 0x1.348d1cd0dc866p-17, 0x1.2c95556384e15p-17, 0x1.24a168251738ep-17, 0x1.1cb1ccc93067p-17, 0x1.14c6f449bd09p-17, 0x1.0ce14d1a11564p-17, 0x1.050167887bf15p-17, 0x1.fa4f25671f49dp-18, 0x1.eaa800d4c86c9p-18, 0x1.db0f22ad0f3a2p-18, 0x1.cb84d54e9201bp-18, 0x1.bc09ca0e0835ap-18, 0x1.ac9f0a3b05f5fp-18, 0x1.9d4534047835p-18, 0x1.8dfd04eb5f9e5p-18, 0x1.7ec7b75c4ba15p-18, 0x1.6fa4cdfa0eff3p-18, 0x1.6095711e3d58ep-18, 0x1.519b044ec0939p-18, 0x1.42b56e3883449p-18, 0x1.33e59935525f5p-18, 0x1.252c122bf77a9p-18, 0x1.16897029f6cb8p-18, 0x1.07fe479528c93p-18, 0x1.f3165168993d5p-19, 0x1.d6613f2638af2p-19, 0x1.b9de67bbf0843p-19, 0x1.9d8ed1b73ae92p-19, 0x1.81737bcffa5abp-19, 0x1.658d5e28dda33p-19, 0x1.49dd6a3b5962ep-19, 0x1.2e6489178e1a9p-19, 0x1.132395335514ap-19, 0x1.f036ba2b52b3cp-20, 0x1.ba99a9a7529d8p-20, 0x1.8571f08316113p-20, 0x1.50bf18c5c7d8ap-20, 0x1.1c84a8fdd54fcp-20, 0x1.d186e1654879p-21, 0x1.6af97790ee422p-21, 0x1.0563d4c8c0e6p-21, 0x1.418e81a2b4978p-22, 0x1.e93c20467cdb6p-24, -0x1.2bcd15b00036ep-24, -0x1.0e34340737791p-22, -0x1.cf6f9c239933cp-22, -0x1.47509ce3789d9p-21, -0x1.a5e20bbaf171bp-21, -0x1.01b5620b2985ap-20, -0x1.2ff58b9017927p-20, -0x1.5db119b5b4ceep-20, -0x1.8ae6ea8683ffcp-20, -0x1.b792db1f5d1d9p-20, -0x1.e3b71d869a78p-20, -0x1.07a9c8c201b9ep-19, -0x1.1d33a86e46402p-19, -0x1.3278dc3584dbfp-19, -0x1.477925c9a38d3p-19, -0x1.5c344fb818e1cp-19, -0x1.70aa2a6262436p-19, -0x1.84da8b6ec9078p-19, -0x1.98c54e13bed88p-19, -0x1.ac6a54fbfa6e3p-19, -0x1.bfc9878f29bbcp-19, -0x1.d2e2c10704982p-19, }}, 
      {{-0x1.1325919f67eddp-1, -0x1.0edf1232f2e8bp-1, -0x1.07eb90535fca8p-1, -0x1.fd0497d041fccp-2, -0x1.e5c7418f2e096p-2, -0x1.caa8a500a7e8ap-2, -0x1.ac346c864cc13p-2, -0x1.8af3c2d94c2b9p-2, -0x1.676a292ee42e6p-2, -0x1.42135e73db1c4p-2, -0x1.1b6213536576cp-2, -0x1.e77e71db10e1ep-3, -0x1.971384971e6ddp-3, -0x1.462d71c6be808p-3, -0x1.eac62e1898349p-4, -0x1.4a721334174cbp-4, -0x1.588ad47f7ea76p-5, -0x1.1072de368f8d6p-8, 0x1.0d3debd56ed9dp-5, 0x1.1a1e164c331e1p-4, 0x1.a8ff8d2e39fcep-4, 0x1.19714cbd05a7ap-3, 0x1.5bbd11353c092p-3, 0x1.9b4550a9bf3cp-3, 0x1.d7f4195c01fdep-3, 0x1.08dd3395048ccp-2, 0x1.2447a941507dp-2, 0x1.3e37a8b170d3fp-2, 0x1.56adc4ad8d4c6p-2, 0x1.6dac98c81261p-2, 0x1.833881cc46ab2p-2, 0x1.97575d07414b1p-2, 0x1.aa104def7a4cp-2, 0x1.bb6b899f82f55p-2, 0x1.cb7227d5abf72p-2, 0x1.da2df8c13fbcdp-2, 0x1.e7a95f7f9e6e5p-2, 0x1.f3ef30ce8380ap-2, 0x1.ff0a955a1afcfp-2, 0x1.048377e454547p-1, 0x1.08f7e2d3e717bp-1, 0x1.0ce855b8c4a76p-1, 0x1.105a9987ae96bp-1, 0x1.13546e4621bb9p-1, 0x1.15db84a8699cdp-1, 0x1.17f57872f48dfp-1, 0x1.19a7cbae09d4bp-1, 0x1.1af7e2e6c3b53p-1, 0x1.1beb01c46539p-1, 0x1.1c864878436d2p-1, 0x1.1cceb19ccfd43p-1, 0x1.1cc9109e31202p-1, 0x1.1c7a107e50b39p-1, 0x1.1be6330d1fd2cp-1, 0x1.1b11d04ecc8bfp-1, 0x1.1a0116671c5dp-1, 0x1.18b8097336494p-1, 0x1.173a83e38e39cp-1, 0x1.158c36d39b36dp-1, 0x1.13b0aaaa387ddp-1, 0x1.11ab3f9ca9727p-1, 0x1.0f7f2eb826e23p-1, 0x1.0d2f8a865746bp-1, 0x1.0abf402097174p-1, 0x1.08311825355bcp-1, 0x1.0587b7c30c86ep-1, 0x1.02c5a1ddf0e9p-1, 0x1.ffda700977f08p-2, 0x1.fa017787be83dp-2, 0x1.f4049f265f121p-2, 0x1.ede7f032e5736p-2, 0x1.e7af3a79c848dp-2, 0x1.e15e16853895fp-2, 0x1.daf7e7d077046p-2, 0x1.d47fdeef655f9p-2, 0x1.cdf8fbd098edap-2, 0x1.c7660f897e65p-2, 0x1.c0c9beca39542p-2, 0x1.ba26837fa6c2bp-2, 0x1.b37eaefcd89dfp-2, 0x1.acd46bce5364ep-2, 0x1.a629bf8c73719p-2, 0x1.9f808ca6cf6acp-2, 0x1.98da941ad88cfp-2, 0x1.9239771e9fdbap-2, 0x1.8b9eb8b9469b9p-2, 0x1.850bbf5395c5bp-2, 0x1.7e81d63e25398p-2, 0x1.78022eef58805p-2, 0x1.718de2b0d0c51p-2, 0x1.6b25f3a10a6a9p-2, 0x1.64cb4e25e84fcp-2, 0x1.5e7eca125424fp-2, 0x1.58412bd4bd05fp-2, 0x1.5213259151b52p-2, 0x1.4bf558336f089p-2, 0x1.45e85470dd1e8p-2, 0x1.3fec9bc30e38bp-2, 0x1.3a02a153f5c41p-2, 0x1.342acada451abp-2, 0x1.2e65716dbe179p-2, 0x1.28b2e24d35a6fp-2, 0x1.23135fb48ace4p-2, 0x1.1d872163aa7bp-2, 0x1.180e557d4c9fap-2, 0x1.12a921311c363p-2, 0x1.0d57a1237b745p-2, 0x1.0819ea33a4b43p-2, 0x1.02f009fea0c37p-2, 0x1.fbb40ec1f21f5p-3, 0x1.f1afc5e7cce89p-3, 0x1.e7d32f0d24679p-3, 0x1.de1e3512c3eefp-3, 0x1.d490b8ee08362p-3, 0x1.cb2a926a55c02p-3, 0x1.c1eb90e81ddbap-3, 0x1.b8d37c0b3ececp-3, 0x1.afe2145eff321p-3, 0x1.a71713f3e48cep-3, 0x1.9e722ef8bd222p-3, 0x1.95f3144481c76p-3, 0x1.8d996dd651954p-3, 0x1.8564e14de49b2p-3, 0x1.7d55106aee826p-3, 0x1.756999843e9bcp-3, 0x1.6da217964357fp-3, 0x1.65fe22f017cd7p-3, 0x1.5e7d51c122936p-3, 0x1.571f37b243733p-3, 0x1.4fe366c9ec451p-3, 0x1.48c96f783301bp-3, 0x1.41d0e0d9df556p-3, 0x1.3af948f556193p-3, 0x1.344234f516e9ap-3, 0x1.2dab315c956c4p-3, 0x1.2733ca368d14fp-3, 0x1.20db8b424fad7p-3, 0x1.1aa2001d90e69p-3, 0x1.1486b46a74e5ap-3, 0x1.0e8933f24dff5p-3, 0x1.08a90ac66511dp-3, 0x1.02e5c55ed1c59p-3, 0x1.fa7de165462b3p-4, 0x1.ef68349e7b118p-4, 0x1.e489a0dc63fb1p-4, 0x1.d9e1441623a5p-4, 0x1.cf6e3deac3f55p-4, 0x1.c52fafbebd574p-4, 0x1.bb24bcd8acbf7p-4, 0x1.b14c8a7c6c453p-4, 0x1.a7a640020fb89p-4, 0x1.9e3106e350637p-4, 0x1.94ec0af6030fap-4, 0x1.8bd67a5c75ce2p-4, 0x1.82ef8548bc427p-4, 0x1.7a365e61a5b8fp-4, 0x1.71aa3b76bf2e2p-4, 0x1.694a53f56aa48p-4, 0x1.6115e22c1c36ap-4, 0x1.590c22eeda9efp-4, 0x1.512c559ff1828p-4, 0x1.4975bc34a89dfp-4, 0x1.41e79b36944f8p-4, 0x1.3a8139c69ba5p-4, 0x1.3341e19c78a43p-4, 0x1.2c28df07b5f84p-4, 0x1.253580ece865cp-4, 0x1.1e6718c1731cap-4, 0x1.17bcfa8ff2e5dp-4, 0x1.11367cee7150bp-4, 0x1.0ad2f8f91ace8p-4, 0x1.0491ca55c63aap-4, 0x1.fce49e51eacdfp-5, 0x1.f0e7d029e6191p-5, 0x1.e52bf060c1d95p-5, 0x1.d9afca0332303p-5, 0x1.ce722cf3f9d45p-5, 0x1.c371ede14942fp-5, 0x1.b8ade62d65faep-5, 0x1.ae24f3f40a8c1p-5, 0x1.a3d5f9ec3eca1p-5, 0x1.99bfdf65dc03ep-5, 0x1.8fe19039b6044p-5, 0x1.8639fcaa4237cp-5, 0x1.7cc819776bb94p-5, 0x1.738adfb0b80ep-5, 0x1.6a814cbe6384fp-5, 0x1.61aa62410ccbp-5, 0x1.59052614570d4p-5, 0x1.5090a223f518bp-5, 0x1.484be472e1965p-5, 0x1.4035ff7194cb3p-5, 0x1.384e08e3e439fp-5, 0x1.30931ad3e8ae7p-5, 0x1.290452b425bcfp-5, 0x1.21a0d30e3aac7p-5, 0x1.1a67c0c328a09p-5, 0x1.1358450823b7dp-5, 0x1.0c718cac76213p-5, 0x1.05b2c8162f1cp-5, 0x1.fe36565031e08p-6, 0x1.f153dad581bf4p-6, 0x1.e4bc93727eb95p-6, 0x1.d86efca72e45ap-6, 0x1.cc6999c0fbd05p-6, 0x1.c0aaf4a58643fp-6, 0x1.b5319db20701ep-6, 0x1.a9fc2bb0fa9dp-6, 0x1.9f093bbf5fdbcp-6, 0x1.9457710f1eca3p-6, 0x1.89e5754dc6733p-6, 0x1.7fb1f7df323bp-6, 0x1.75bbae2d5f111p-6, 0x1.6c015383072d2p-6, 0x1.6281a9038c841p-6, 0x1.593b757107c0bp-6, 0x1.502d852bcd1e8p-6, 0x1.4756aa1b07544p-6, 0x1.3eb5bb98f35ccp-6, 0x1.36499641260dbp-6, 0x1.2e111c26595e2p-6, 0x1.260b3461792dep-6, 0x1.1e36cb7043b63p-6, 0x1.1692d257c7971p-6, 0x1.0f1e3f8e4d879p-6, 0x1.07d80e3ee2d26p-6, 0x1.00bf3e66c7033p-6, 0x1.f3a5a986475a2p-7, 0x1.e623b579a28d5p-7, 0x1.d8f6bcad9877p-7, 0x1.cc1ce43b6ac6fp-7, 0x1.bf9459e4a5b1dp-7, 0x1.b35b54b46818dp-7, 0x1.a77013d25be9ap-7, 0x1.9bd0dfa4367afp-7, 0x1.907c07b6c7ef4p-7, 0x1.856fe4f17580dp-7, 0x1.7aaad7eff50acp-7, 0x1.702b49470f128p-7, 0x1.65efa96242b02p-7, 0x1.5bf670394637fp-7, 0x1.523e1e01ede17p-7, 0x1.48c53b79649a6p-7, 0x1.3f8a546973f6bp-7, 0x1.368bfede179e4p-7, 0x1.2dc8da733dd82p-7, 0x1.253f8a0bb681p-7, 0x1.1ceeb82ef0e0ap-7, 0x1.14d517422206ep-7, 0x1.0cf15f1965151p-7, 0x1.05424f22f21ccp-7, 0x1.fb8d59aaafdc9p-8, 0x1.ecfa880b2a452p-8, 0x1.dec9cd9c4db1ap-8, 0x1.d0f8dae00a4b6p-8, 0x1.c3856c6e3119dp-8, 0x1.b66d4ac0db838p-8, 0x1.a9ae4a024222dp-8, 0x1.9d4649dc5ef85p-8, 0x1.9133354da0a6dp-8, 0x1.8573025334597p-8, 0x1.7a03b13b52111p-8, 0x1.6ee34f01665b4p-8, 0x1.640ff0ea7d031p-8, 0x1.5987b83c8b878p-8, 0x1.4f48ce898ada6p-8, 0x1.4551695087d23p-8, 0x1.3b9fc7028d0ebp-8, 0x1.32322fba09d77p-8, 0x1.2906f5136f65p-8, 0x1.201c71fb2ae49p-8, 0x1.17710a8193636p-8, 0x1.0f032bb014ab2p-8, 0x1.06d14b5e840f1p-8, 0x1.fdb3d01185412p-9, 0x1.ee37114b24f5dp-9, 0x1.df297900b06fap-9, 0x1.d0883631a369p-9, 0x1.c25087da88dcap-9, 0x1.b47fbb67f1d87p-9, 0x1.a71331687820bp-9, 0x1.9a085533a5778p-9, 0x1.8d5ca61797229p-9, 0x1.810dab11daf8ep-9, 0x1.7518ff2130412p-9, 0x1.697c499b2dcacp-9, 0x1.5e353f420ae4ep-9, 0x1.5341a2776a62cp-9, 0x1.489f42ebdfc42p-9, 0x1.3e4bfd5ac7233p-9, 0x1.3445bb480385ep-9, 0x1.2a8a72ba75d3bp-9, 0x1.211825f3c97f6p-9, 0x1.17ece328e3e29p-9, 0x1.0f06c43efb5cep-9, 0x1.0663ee90a0632p-9, 0x1.fc0525764809fp-10, 0x1.ebc1d8e6cceccp-10, 0x1.dbfa84c30ac24p-10, 0x1.ccabcb7331c7dp-10, 0x1.bdd261bea2328p-10, 0x1.af6b176ae5c3fp-10, 0x1.a172c59d722d4p-10, 0x1.93e677037cb76p-10, 0x1.86c3118f2608p-10, 0x1.7a05b6163659fp-10, 0x1.6dab9b452c79ap-10, 0x1.61b1f9a899ee9p-10, 0x1.56161c7ef9454p-10, 0x1.4ad564b40b615p-10, 0x1.3fed43482b581p-10, 0x1.355b399717cc9p-10, 0x1.2b1cd9131fba2p-10, 0x1.212fc2dc5562fp-10, 0x1.1791a758cf75ap-10, 0x1.0e4045d744916p-10, 0x1.05396c3ddf8cfp-10, 0x1.f8f5ed876067ap-11, 0x1.e8059f60cf05bp-11, 0x1.d79dde3d2696dp-11, 0x1.c7bab579a9417p-11, 0x1.b8584b1d4294ep-11, 0x1.a972df62c3501p-11, 0x1.9b06cb775bcb3p-11, 0x1.8d107ccaea1ep-11, 0x1.7f8c847e4da52p-11, 0x1.72777df18bd9bp-11, 0x1.65ce2bae5eeaep-11, 0x1.598d4dc98c8fap-11, 0x1.4db1ca4b376ebp-11, 0x1.42389d0344eaap-11, 0x1.371ed262658dbp-11, 0x1.2c618be453cd8p-11, 0x1.21fdffa2e29a3p-11, 0x1.17f177c09652ap-11, 0x1.0e3951d340a68p-11, 0x1.04d2fe341fd9bp-11, 0x1.f777fe697be78p-12, 0x1.e5e3d0977e866p-12, 0x1.d4e4bab9bab8fp-12, 0x1.c476247a1bf9p-12, 0x1.b49394fefa08fp-12, 0x1.a538b2f4396bdp-12, 0x1.966144b5b438ep-12, 0x1.8809304b55766p-12, 0x1.7a2c7b0c28951p-12, 0x1.6cc748df71469p-12, 0x1.5fd5db21ce8ffp-12, 0x1.53548f34ca196p-12, 0x1.473fdce24d6bp-12, 0x1.3b9454ab9e531p-12, 0x1.304e9b16cc7bbp-12, 0x1.256b6719ef0c5p-12, 0x1.1ae79ea9a2599p-12, 0x1.10c01d9788729p-12, 0x1.06f1ffd5e4572p-12, 0x1.faf4824e6997ep-13, 0x1.e8ac466089b8cp-13, 0x1.d705e7f7697b7p-13, 0x1.c5fc246b48c9ep-13, 0x1.b589e3ed0432fp-13, 0x1.a5aa35ea7fbc7p-13, 0x1.96584d256002ep-13, 0x1.878f7c96e51efp-13, 0x1.794b36234d16bp-13, 0x1.6b870ba9cd83fp-13, 0x1.5e3eb18fd5094p-13, 0x1.516e00d4fd5d4p-13, 0x1.4510f71b6e9b5p-13, 0x1.3923b49fae87p-13, 0x1.2da279758e114p-13, 0x1.2289a2e6fe348p-13, 0x1.17d5a49c78c16p-13, 0x1.0d830971a8c7ep-13, 0x1.038f0dad97bbfp-13, 0x1.f3eb5a3b91102p-14, 0x1.e1680273545a5p-14, 0x1.cf8ecefc8cb84p-14, 0x1.be5944157f761p-14, 0x1.adc1bc500d6acp-14, 0x1.9dc2c069e3ad2p-14, 0x1.8e5708a6752b8p-14, 0x1.7f7979b6de26cp-14, 0x1.71250bf1fe2ep-14, 0x1.6354fdeafaee1p-14, 0x1.5604c4729e0cdp-14, 0x1.492fe240428b2p-14, 0x1.3cd21947aed9bp-14, 0x1.30e6e4c50f9e9p-14, 0x1.256a7145d572dp-14, 0x1.1a58ce78dd831p-14, 0x1.0fae20d4d465dp-14, 0x1.0566b0a7dd031p-14, 0x1.f6fdd5b4613e9p-15, 0x1.e3e6bf088c992p-15, 0x1.d1817b9fdfe61p-15, 0x1.bfc79ef494ac5p-15, 0x1.aeb2ef904bd0cp-15, 0x1.9e3d6d92e3d33p-15, 0x1.8e6159b2c60efp-15, 0x1.7f19329618ff4p-15, 0x1.705fa7cfed3a7p-15, 0x1.622f8cc67455p-15, 0x1.5483d5b3ef534p-15, 0x1.47579e06b599dp-15, 0x1.3aa62eaf8d34cp-15, 0x1.2e6afe1eb2a29p-15, 0x1.22a1ac62d2526p-15, 0x1.17460022c6bbcp-15, 0x1.0c53e41f4c726p-15, 0x1.01c763b9b0e67p-15, 0x1.ef39552e6f9cp-16, 0x1.dba019baccd3bp-16, 0x1.c8bc25b027278p-16, 0x1.b686f200931a4p-16, 0x1.a4fa3b6f93fedp-16, 0x1.940fd5b220a1fp-16, 0x1.83c19fc8f9eb2p-16, 0x1.74099618b5afcp-16, 0x1.64e1b64deca5bp-16, 0x1.5644c35d043b5p-16, 0x1.482ddde24c069p-16, 0x1.3a97fa11bdcd6p-16, 0x1.2d7e88d0b0c49p-16, 0x1.20db639227512p-16, 0x1.14aae46f4e628p-16, 0x1.08e8c41296834p-16, 0x1.fb21835e13d77p-17, 0x1.e53ddcae104aap-17, 0x1.d01f51e9b679ap-17, 0x1.bbbef700493cep-17, 0x1.a815df4954621p-17, 0x1.951d0168b5ddfp-17, 0x1.82cd6e21a2607p-17, 0x1.712093e5cee6fp-17, 0x1.6010535c6ba9ep-17, 0x1.4f96e71de4835p-17, 0x1.3faec30c32622p-17, 0x1.30527b810085cp-17, 0x1.217cbe788ccdep-17, 0x1.1328694c4e37ep-17, 0x1.0550a9180a044p-17, 0x1.efe2032098d42p-18, 0x1.d60a6c1d6f117p-18, 0x1.bd126cdf0231ep-18, 0x1.a4f23b3d5e04ap-18, 0x1.8da24a475abfbp-18, 0x1.771b124ec41bfp-18, 0x1.61550e2c9540dp-18, 0x1.4c48cdc0229cdp-18, 0x1.37ed871b00415p-18, 0x1.24443cb57a5e2p-18, 0x1.11434aa66487fp-18, 0x1.fdb32655bb1e8p-19, 0x1.da2341f5875c1p-19, 0x1.b7bda5e8f924ep-19, 0x1.9677effd075f5p-19, 0x1.7648d7d69f55dp-19, 0x1.5727883976ec6p-19, 0x1.390b3471a7466p-19, 0x1.1be9ae385be02p-19, 0x1.ff7e5df00f98ep-20, 0x1.c900e04348bd7p-20, 0x1.94596ab2a117p-20, 0x1.6166d6d9ecbc5p-20, 0x1.301563304c4b3p-20, 0x1.006360767767cp-20, 0x1.a4891737b9a59p-21, 0x1.4b570d200b427p-21, 0x1.ea2d952f63b41p-22, 0x1.435fff63f70ccp-22, 0x1.442dafe519ff1p-23, 0x1.8961f0139abdp-28, -0x1.213a303c0c152p-23, -0x1.2256a3bf5cf05p-22, -0x1.af2ad56d47c35p-22, -0x1.1b9df75547aecp-21, -0x1.5d54b011e7a88p-21, -0x1.9cc8604ee51e3p-21, -0x1.da08ddd7fedfap-21, -0x1.0a93cb749737p-20, -0x1.271af517622c2p-20, -0x1.42a1d3081479ep-20, -0x1.5d2ed4ad51983p-20, -0x1.76c71579bb78cp-20, -0x1.8f70064a8ab3ep-20, -0x1.a7300a80bba38p-20, -0x1.be0d6ed4d4b2dp-20, -0x1.d40e1caea506dp-20, -0x1.e937e922b0eb4p-20, -0x1.fd9054ccaa4e7p-20, -0x1.088e27bc4bfbdp-19, -0x1.11f03ad5a7837p-19, -0x1.1af0ac4ccc10ap-19, -0x1.2391b102b5dd5p-19, -0x1.2bd55418d38cep-19, -0x1.33bd876e5440fp-19, -0x1.3b4c435beb37ap-19, -0x1.4283a99102fd2p-19, -0x1.4965f8de663f5p-19, -0x1.4ff542f93c04ap-19, -0x1.563346239955ep-19, -0x1.5c217c3824109p-19, -0x1.61c141ced6f7dp-19, -0x1.67146a16a2d24p-19, -0x1.6c1e18233f4b3p-19, -0x1.70df3ef3c6a08p-19, -0x1.7556d5183f27dp-19, -0x1.79870c230d30ep-19, -0x1.7d6daf122173dp-19, -0x1.8117b7e290522p-19, -0x1.84807ef4cb5c1p-19, -0x1.87a7834db3387p-19, -0x1.8a8e9e9d0f717p-19, -0x1.8d3771049b204p-19, -0x1.8fa35e9a738edp-19, -0x1.91d3ada9e3398p-19, -0x1.93c9953335561p-19, -0x1.958646d30df0ep-19, -0x1.970af81b6bf45p-19, -0x1.9858cc4573327p-19, -0x1.9970cf39a2471p-19, -0x1.9a5417b9388c1p-19, -0x1.9b03bde9e4c07p-19, -0x1.9b80de8285e58p-19, -0x1.9bcc7eae28f64p-19, -0x1.9be79571a7b14p-19, -0x1.9bd32c92da822p-19, -0x1.9b90532b17bbap-19, -0x1.9b2012df511e6p-19, -0x1.9a83698a8cbacp-19, -0x1.99bbffcd46cfbp-19, -0x1.98d0150995b26p-19, -0x1.97a6747f2cc76p-19, -0x1.96664557c7536p-19, -0x1.94fc2bd6302bdp-19, -0x1.9367b01dffbbep-19, -0x1.91ae32b987dccp-19, -0x1.8fcfc23ca1f91p-19, -0x1.8dcd20ab485f9p-19, -0x1.8ba72d3ec6103p-19, -0x1.895ec4c8f6b4dp-19, -0x1.86f4bc0faae1fp-19, -0x1.8469f1d7b428dp-19, -0x1.81bf4284139d3p-19, -0x1.7ef57fedba947p-19, -0x1.7c0d72c734e4ap-19, -0x1.7907ebb9aa24ap-19, -0x1.75e5bdead0751p-19, -0x1.72a7b801f68a5p-19, -0x1.6f4ea2869488ap-19, -0x1.6bdb3ffff1986p-19, -0x1.684e5343fef65p-19, -0x1.64a8972af19eap-19, -0x1.60eae0935e102p-19, -0x1.5d16c0684724fp-19, -0x1.592d807a7b23fp-19, -0x1.552cafe659366p-19, -0x1.5116cbd7069p-19, -0x1.4ce6d5ad09702p-19, -0x1.48a87d9e5d10cp-19, -0x1.44596d45640d7p-19, -0x1.3ff717546c374p-19, -0x1.3b82b07434effp-19, -0x1.36fd4f2b63c0cp-19, -0x1.3267c2bed08fdp-19, -0x1.2dc2c285492cdp-19, -0x1.290ef877a9f95p-19, -0x1.244d0b0f83bbbp-19, -0x1.1f7da1b6eb001p-19, -0x1.1aa16030067b3p-19, -0x1.15b8e921a8dc8p-19, -0x1.10c4dd716e17fp-19, -0x1.0bc5dbb2b87acp-19, -0x1.06bc7e822ea8cp-19, -0x1.01a962337fd35p-19, -0x1.f91a3df3fbce3p-20, -0x1.eed096683165fp-20, -0x1.e476f6bb7242cp-20, -0x1.da0e84348cf0dp-20, -0x1.cf9860760eed9p-20, -0x1.c515a975febd3p-20, -0x1.ba8779218469dp-20, -0x1.afeee5297d74cp-20, -0x1.a54cfec1d458p-20, -0x1.9aa2d2a63d66p-20, -0x1.8ff16a1af5b05p-20, -0x1.8539cafd98a6ap-20, -0x1.7a7cf637d15abp-20, -0x1.6fbbea64c8f4p-20, -0x1.64f7a00bc8329p-20, -0x1.5a310b2d37c53p-20, -0x1.4f691cc16fc4ap-20, -0x1.44a0c2621bdep-20, -0x1.39d8e53accbe9p-20, -0x1.2f12688071beep-20, -0x1.244e2cb8765f3p-20, -0x1.198d0dfbda51ap-20, -0x1.0ecfe3e6f094cp-20, -0x1.0417823abcf9fp-20, -0x1.f2c9724650772p-21, -0x1.dd70aaac91f92p-21, -0x1.c8263f80f2cbbp-21, -0x1.b2ebb9d200ee2p-21, -0x1.9dc298f86b731p-21, -0x1.88ac51c151111p-21, -0x1.73aa4bd46e9b8p-21, -0x1.5ebddec84fda2p-21, -0x1.49e8603bbd164p-21, -0x1.352bb31359b9fp-21, -0x1.208c30f3ff8c7p-21, -0x1.0c0b07423d5b8p-21, -0x1.ef402618129e9p-22, -0x1.c69c6218ae7dcp-22, -0x1.9e14e37b88501p-22, -0x1.75feb9418268ep-22, -0x1.4e611f2f9ce61p-22, -0x1.266c6a184717fp-22, -0x1.fe9311c00843fp-23, -0x1.b07091d8cf6b1p-23, -0x1.62e96d0f6d01bp-23, -0x1.15feb44da00bp-23, -0x1.9360b8d31128dp-24, -0x1.f8070f26cee6ep-25, -0x1.97b3fd87a0097p-26, 0x1.76df745540e89p-27, 0x1.84a1255902493p-25, 0x1.546a7af96336ep-24, 0x1.e5236fd449d21p-24, 0x1.3a3ab8ce7e315p-23, 0x1.812d5bd82bf7ap-23, 0x1.c766d86535721p-23, 0x1.067240ba4a10ap-22, 0x1.28d1e2be0f752p-22, 0x1.4ad116930ffd1p-22, 0x1.6c6eae3157b58p-22, 0x1.8da9883f59107p-22, 0x1.ae808fbcc0615p-22, 0x1.cef2bc662b64p-22, 0x1.eeff143e1d54p-22, 0x1.0752549d26bdfp-21, 0x1.16f14b58df732p-21, 0x1.265c036d2320ep-21, 0x1.3592176ec0fbdp-21, 0x1.4493262bc7617p-21, 0x1.535ec9e87cc09p-21, 0x1.61f4c72be7736p-21, 0x1.7055155fad5dap-21, 0x1.7e7ee3026afeep-21, 0x1.8c71c82087ac2p-21, 0x1.9a2e52d76831ap-21, 0x1.a7b3cc61dfd97p-21, 0x1.b502037c0a429p-21, 0x1.c218d6ee47b7ep-21, 0x1.cef821d29562bp-21, 0x1.db9fc0cf4833fp-21, 0x1.e80f9443aec2bp-21, 0x1.f447815390af3p-21, 0x1.0023b911993cp-20, 0x1.0607aad04ab45p-20, 0x1.0bcf8f9cfe61ep-20, 0x1.117b638e926dfp-20, 0x1.170b25764bec5p-20, 0x1.1c7ed6b87a705p-20, 0x1.21d67ab35bb75p-20, 0x1.2712181307c0cp-20, 0x1.2c31b9f0f7edp-20, 0x1.313567ad49f6cp-20, 0x1.361cf1a785c27p-20, 0x1.3ae74be7c804ap-20, 0x1.3f9425380dab2p-20, 0x1.4427cc15171d8p-20, 0x1.48a1c82d78fe8p-20, 0x1.4d07418f13938p-20, 0x1.5147b9038f894p-20, 0x1.556a42bd7823fp-20, 0x1.59737c8de7e8dp-20, 0x1.5d62622e01833p-20, 0x1.613661fdadbe3p-20, 0x1.64ef66de91accp-20, 0x1.688d8320ad2f1p-20, 0x1.6c10d424b02c2p-20, 0x1.6f797b74b8a44p-20, 0x1.72c79c6607c9bp-20, 0x1.75fb5b85eb95bp-20, 0x1.7914de84f982cp-20, 0x1.7c144c298f3e1p-20, 0x1.7ef9cc55cc94fp-20, 0x1.81c5881b6fd6fp-20, 0x1.8477a9cfca6e6p-20, 0x1.871054c0e4442p-20, 0x1.898fd7bd1648p-20, 0x1.8bf61c3ac5353p-20, 0x1.8e439ad5b4d6ap-20, 0x1.907856d0ac65ap-20, 0x1.92948cd6ede0cp-20, 0x1.94986ff8cc347p-20, 0x1.9684366fb269dp-20, 0x1.98581dc23a63p-20, 0x1.9a143dbffd9ep-20, 0x1.9bb42ef162086p-20, 0x1.9d42f0eee3248p-20, 0x1.9ebc5efd3b00bp-20, 0x1.a01a272a14675p-20, 0x1.a16337ba8517cp-20, 0x1.a295348d1eecdp-20, 0x1.a3b0e46309a04p-20, 0x1.a4b68d6575726p-20, 0x1.a5a668cf00f52p-20, 0x1.a680afbbc8d6ap-20, 0x1.a7459c0e24c33p-20, 0x1.a7f56850fe412p-20, 0x1.a8904f95f62e3p-20, 0x1.a9168d6d7673dp-20, 0x1.a9885dd974709p-20, 0x1.a9e5fd08971aap-20, 0x1.aa2fa78133a2fp-20, 0x1.aa659a3deb1ecp-20, 0x1.aa8812881e9f7p-20, 0x1.aa974db7861d7p-20, 0x1.aa93895b2f839p-20, 0x1.aa7d03d9e898p-20, 0x1.aa53fad969ecfp-20, 0x1.aa18acc652dbbp-20, 0x1.a9cb582bb7f2fp-20, 0x1.a96c3bd72b7dp-20, 0x1.a8fb973df569p-20, 0x1.a879aa00bfbdfp-20, 0x1.a7e6b5032f6dep-20, 0x1.a742f8f6df4e9p-20, 0x1.a68eaba7a6ad8p-20, 0x1.a5c9bf0d983e5p-20, 0x1.a4f36cb78dedbp-20, 0x1.a40c985a9e9cdp-20, 0x1.a3189e570ee45p-20, 0x1.a218e097270f5p-20, 0x1.a10c4d3bfb0ebp-20, 0x1.9fe82e0e14193p-20, 0x1.9eb5bacbef327p-20, 0x1.9d76a487f19d6p-20, 0x1.9c2a05ca89314p-20, 0x1.9acfa9869564ep-20, 0x1.9967b0e3b4acdp-20, 0x1.97f253a64f0d3p-20, 0x1.966fce46b8211p-20, 0x1.94e05e2566d9fp-20, 0x1.934440a13a072p-20, 0x1.919bb2bbfd0a4p-20, 0x1.8fe6f120f67e6p-20, 0x1.8e263819c3e44p-20, }}, 
      {{-0x1.0213faa99acc1p-10, -0x1.f9114e772e3bp-9, -0x1.1301b348bf3b6p-7, -0x1.d517cfc0ee40fp-7, -0x1.5d09e9bffda06p-6, -0x1.dbaa0e7482f77p-6, -0x1.30a7b60bd73c8p-5, -0x1.74a075a09e0acp-5, -0x1.b7a25be233ef7p-5, -0x1.f7d6ad69d30abp-5, -0x1.19d73edf7a63dp-4, -0x1.34f0793439785p-4, -0x1.4cb3a6d6a9d53p-4, -0x1.60bbcdf96adabp-4, -0x1.70bf531b9fbc5p-4, -0x1.7c8ccfc85f7eep-4, -0x1.8407f004d1fa6p-4, -0x1.8726741f4588dp-4, -0x1.85ed665255928p-4, -0x1.806e900ff9584p-4, -0x1.76c6314ac7f06p-4, -0x1.6918faf8d9e89p-4, -0x1.5792490c6d3fp-4, -0x1.426297bbe318dp-4, -0x1.29be2ef9b1041p-4, -0x1.0ddbfee8e7fc7p-4, -0x1.dde950b9daa7fp-5, -0x1.9a83593f10997p-5, -0x1.51f97fe5d2059p-5, -0x1.04be73bf35e11p-5, -0x1.66867cf3b5024p-6, -0x1.77da0a66c6e1ap-7, -0x1.50f839c5e4d3dp-11, 0x1.59b219a92ab94p-7, 0x1.696cdf1ed4c31p-6, 0x1.1539c24f45c3ap-5, 0x1.779ac195d4589p-5, 0x1.db822de2024d9p-5, 0x1.204ead7ade742p-4, 0x1.534f1940cd046p-4, 0x1.869d9935965c8p-4, 0x1.ba17aeeed2501p-4, 0x1.ed9d14627d713p-4, 0x1.1087d7e9f172cp-3, 0x1.2a29c12c6b95ap-3, 0x1.43a74bb22b0bbp-3, 0x1.5cf478ef9678cp-3, 0x1.76063bb5b5aep-3, 0x1.8ed26e58a56ccp-3, 0x1.a74fc747ac60bp-3, 0x1.bf75cee8c9292p-3, 0x1.d73cd4c6ab673p-3, 0x1.ee9de451c6754p-3, 0x1.02c95dc7dafeep-2, 0x1.0e0adfb2f20aap-2, 0x1.1910f9415d4dbp-2, 0x1.23d975d616416p-2, 0x1.2e6265e3dacc9p-2, 0x1.38aa1b048b3fp-2, 0x1.42af2353c1ae6p-2, 0x1.4c704593b0cedp-2, 0x1.55ec7d859468cp-2, 0x1.5f22f8255e994p-2, 0x1.6813107912adcp-2, 0x1.70bc4c6368075p-2, 0x1.791e59b6bf463p-2, 0x1.81390b96914c8p-2, 0x1.890c579709604p-2, 0x1.909853b8914b9p-2, 0x1.97dd33adc37fp-2, 0x1.9edb46f05cd33p-2, 0x1.a592f68a8cc5ap-2, 0x1.ac04c3125eda1p-2, 0x1.b23142c39beb1p-2, 0x1.b8191fa70685bp-2, 0x1.bdbd15fa4eb5cp-2, 0x1.c31df21af329ap-2, 0x1.c83c8fa1a5b61p-2, 0x1.cd19d73676425p-2, 0x1.d1b6bdaabed2dp-2, 0x1.d614426a0732bp-2, 0x1.da336e5c87184p-2, 0x1.de1552a59d2f9p-2, 0x1.e1bb079bbfcf2p-2, 0x1.e525abb7b3774p-2, 0x1.e85662a722a7fp-2, 0x1.eb4e54527f28ep-2, 0x1.ee0eac26d3d4cp-2, 0x1.f0989805c091dp-2, 0x1.f2ed47e435053p-2, 0x1.f50decb8fff25p-2, 0x1.f6fbb8117d833p-2, 0x1.f8b7db70c3d9ap-2, 0x1.fa4387a68f3edp-2, 0x1.fb9fec5a64dddp-2, 0x1.fcce378dfb48cp-2, 0x1.fdcf953029794p-2, 0x1.fea52eb030db3p-2, 0x1.ff502a9f84369p-2, 0x1.ffd1ac63db068p-2, 0x1.001569f4d48bap-1, 0x1.002e5eafdbd9ep-1, 0x1.0034408b99145p-1, 0x1.00279981666dep-1, 0x1.0008f169b2007p-1, 0x1.ffb19bdcddb91p-2, 0x1.ff2f649616a32p-2, 0x1.fe8c3ecfff3bp-2, 0x1.fdc9278666e5dp-2, 0x1.fce716cc1bd8bp-2, 0x1.fbe6ffc062366p-2, 0x1.fac9d088cbcd4p-2, 0x1.f990724dc4152p-2, 0x1.f83bc93a996bbp-2, 0x1.f6ccb484dd297p-2, 0x1.f5440e6d52e27p-2, 0x1.f3a2ac4bcf02dp-2, 0x1.f1e95e9bc556dp-2, 0x1.f018f10744461p-2, 0x1.ee322a7709d69p-2, 0x1.ec35cd2315971p-2, 0x1.ea2496a49ec74p-2, 0x1.e7ff40081ac66p-2, 0x1.e5c67dec4ef0dp-2, 0x1.e37b00a256251p-2, 0x1.e11d73fd7352ap-2, 0x1.deae7fb4976d8p-2, 0x1.dc2ec7aee9684p-2, 0x1.d99eeb77b39cbp-2, 0x1.d6ff86e284f8cp-2, 0x1.d45131f2fbb57p-2, 0x1.d19480f7bac07p-2, 0x1.ceca04a8613fdp-2, 0x1.cbf24a3d541abp-2, 0x1.c90ddb832520bp-2, 0x1.c61d3ef649168p-2, 0x1.c320f7dee6d43p-2, 0x1.c01986608f0abp-2, 0x1.bd076790347d1p-2, 0x1.b9eb15907e2dfp-2, 0x1.b6c507a7c864bp-2, 0x1.b395b24d55ef8p-2, 0x1.b05d87417adf2p-2, 0x1.ad1cf5a7635adp-2, 0x1.a9d46a14d7464p-2, 0x1.a6844e9fb1e28p-2, 0x1.a32d0af492be7p-2, 0x1.9fcf046e6aff1p-2, 0x1.9c6a9e22e6151p-2, 0x1.990038ece2c94p-2, 0x1.95903380ca86p-2, 0x1.921aea7ea9cep-2, 0x1.8ea0b88f744e4p-2, 0x1.8b21f65da225fp-2, 0x1.879efa81e403cp-2, 0x1.841819bfbdb24p-2, 0x1.808da760efa8ap-2, 0x1.7cfff47cb9f8p-2, 0x1.796f5096c5c8dp-2, 0x1.75dc0982b06e7p-2, 0x1.72466b720ee36p-2, 0x1.6eaec0fdf9c83p-2, 0x1.6b15531ebcbbbp-2, 0x1.677a69489c346p-2, 0x1.63de4970c9e5ap-2, 0x1.6041381a862d5p-2, 0x1.5ca378553a884p-2, 0x1.59054bb2fdd98p-2, 0x1.5566f27b5bb8bp-2, 0x1.51c8ab936a5d9p-2, 0x1.4e2ab48087ac1p-2, 0x1.4a8d4986601c8p-2, 0x1.46f0a58f81fedp-2, 0x1.43550244cf7e5p-2, 0x1.3fba980f23f6ep-2, 0x1.3c219e1e6e1bfp-2, 0x1.388a4a68d24f1p-2, 0x1.34f4d1ad48e32p-2, 0x1.31616770ad2a8p-2, 0x1.2dd03e19d3d46p-2, 0x1.2a4186e16a7adp-2, 0x1.26b571db3b1p-2, 0x1.232c2df54254bp-2, 0x1.1fa5e8eff59abp-2, 0x1.1c22cf7ef7c51p-2, 0x1.18a30d33086e4p-2, 0x1.1526cc89cdb5ep-2, 0x1.11ae36e19becap-2, 0x1.0e397487bfdf4p-2, 0x1.0ac8acadbe8aep-2, 0x1.075c057e1fa0ap-2, 0x1.03f3a42c401ffp-2, 0x1.008facb3435fap-2, 0x1.fa60843cbc129p-3, 0x1.f3ab0c992fd07p-3, 0x1.ecff34d37b70cp-3, 0x1.e65d3c90a7a9ap-3, 0x1.dfc561c31f696p-3, 0x1.d937e05175438p-3, 0x1.d2b4f22137f7fp-3, 0x1.cc3ccf135de5cp-3, 0x1.c5cfad35d72a8p-3, 0x1.bf6dc09241e11p-3, 0x1.b9173b48cdf45p-3, 0x1.b2cc4d9b0555ep-3, 0x1.ac8d25e4b3994p-3, 0x1.a659f0a0138fp-3, 0x1.a032d87220aabp-3, 0x1.9a18062fa2473p-3, 0x1.9409a0d5a54ecp-3, 0x1.8e07cdb140d3bp-3, 0x1.8812b02f3df65p-3, 0x1.822a6a0093961p-3, 0x1.7c4f1b1c3b262p-3, 0x1.7680e1ca02916p-3, 0x1.70bfdaaeb286fp-3, 0x1.6b0c20b06f4cp-3, 0x1.6565cd102b1efp-3, 0x1.5fccf76f55171p-3, 0x1.5a41b5ed99adfp-3, 0x1.54c41d044e6d5p-3, 0x1.4f543f97c4eccp-3, 0x1.49f22f1b3aa6cp-3, 0x1.449dfb64cf056p-3, 0x1.3f57b2e5e868dp-3, 0x1.3a1f62906c7adp-3, 0x1.34f515e5ca3bap-3, 0x1.2fd8d6fed9311p-3, 0x1.2acaae9306065p-3, 0x1.25caa3fe5f8a4p-3, 0x1.20d8bd475f10dp-3, 0x1.1bf4ff1e3ced6p-3, 0x1.171f6cf42391ap-3, 0x1.125808eae9b97p-3, 0x1.0d9ed3f7acf66p-3, 0x1.08f3cdc1168fbp-3, 0x1.0456f4d641e83p-3, 0x1.ff908d2a683bcp-4, 0x1.f68f7e722d001p-4, 0x1.edaab3bfc91bdp-4, 0x1.e4e2211847895p-4, 0x1.dc35b889c3543p-4, 0x1.d3a56a52672a6p-4, 0x1.cb3123a495e9ap-4, 0x1.c2d8d075a55e4p-4, 0x1.ba9c5b720e2ap-4, 0x1.b27bac69a8e0cp-4, 0x1.aa76a9a888e66p-4, 0x1.a28d37dd8d90ap-4, 0x1.9abf39d80560cp-4, 0x1.930c90de11dbp-4, 0x1.8b751c8d3476p-4, 0x1.83f8baf51c701p-4, 0x1.7c9748a4378a3p-4, 0x1.7550a0b30a534p-4, 0x1.6e249ccfc76e7p-4, 0x1.6713154a59e6bp-4, 0x1.601be120e39e4p-4, 0x1.593ed60c8ef41p-4, 0x1.527bc88e7df77p-4, 0x1.4bd28bfa266dap-4, 0x1.4542f27b04ea4p-4, 0x1.3ecccd3dd2ab2p-4, 0x1.386fec48b616dp-4, 0x1.322c1eb4c3e1p-4, 0x1.2c01329140c19p-4, 0x1.25eef51ab8688p-4, 0x1.1ff532a705badp-4, 0x1.1a13b6ba256e7p-4, 0x1.144a4c0ff2da1p-4, 0x1.0e98bca4d2dc5p-4, 0x1.08fed1beec06cp-4, 0x1.037c53f882fd4p-4, 0x1.fc22169719f93p-5, 0x1.f1797e3b68657p-5, 0x1.e6fe6c96c59e4p-5, 0x1.dcb06e619431dp-5, 0x1.d28f0f61a83eep-5, 0x1.c899da7481864p-5, 0x1.bed05991b9207p-5, 0x1.b532160735a6bp-5, 0x1.abbe984d54cb4p-5, 0x1.a27568713c37ep-5, 0x1.99560dcd7616bp-5, 0x1.90600f81e7cp-5, 0x1.8792f4400e3cbp-5, 0x1.7eee4255f494cp-5, 0x1.76717fb00f261p-5, 0x1.6e1c31de7b55fp-5, 0x1.65edde2857c3dp-5, 0x1.5de609ad1baa2p-5, 0x1.5604398cbbdfp-5, 0x1.4e47f30a9ddcfp-5, 0x1.46b0bb9fb2995p-5, 0x1.3f3e18f61205fp-5, 0x1.37ef90d254af2p-5, 0x1.30c4a8f83cdb2p-5, 0x1.29bce71c9ebc4p-5, 0x1.22d7d0f31e869p-5, 0x1.1c14ec5977ffp-5, 0x1.1573bf91fb30fp-5, 0x1.0ef3d196c3835p-5, 0x1.0894aa08cbd1ep-5, 0x1.0255d2a049d2bp-5, 0x1.f86da657645f8p-6, 0x1.ec6e6b537bed3p-6, 0x1.e0ad091dbbf23p-6, 0x1.d52892d3ec31ap-6, 0x1.c9e01be2d7398p-6, 0x1.bed2b9199562cp-6, 0x1.b3ff80fad9c7dp-6, 0x1.a9658cb0b8162p-6, 0x1.9f03f88cf6cb5p-6, 0x1.94d9e3ea3b5adp-6, 0x1.8ae6707120d6fp-6, 0x1.8128c0fd7aa6ap-6, 0x1.779ff88b90a0ep-6, 0x1.6e4b399c6aacbp-6, 0x1.6529a65cf75fdp-6, 0x1.5c3a6197aa1f2p-6, 0x1.537c902ce8303p-6, 0x1.4aef5a97bbc24p-6, 0x1.4291edf709cddp-6, 0x1.3a637c33db0acp-6, 0x1.32633b21f5258p-6, 0x1.2a9062f998b96p-6, 0x1.22ea2c4cd1bdp-6, 0x1.1b6fceba9dffbp-6, 0x1.142080287df6ap-6, 0x1.0cfb75b74979ep-6, 0x1.05ffe56a8d009p-6, 0x1.fe5a10c6ec6dep-7, 0x1.f10439e35a784p-7, 0x1.e3fccf72f7446p-7, 0x1.d74267223932bp-7, 0x1.cad3a023ff52fp-7, 0x1.beaf1e801edefp-7, 0x1.b2d385f52629ep-7, 0x1.a73f761775772p-7, 0x1.9bf18911f845bp-7, 0x1.90e85596e91dap-7, 0x1.8622736ea47p-7, 0x1.7b9e811f316edp-7, 0x1.715b28cfe046cp-7, 0x1.675722eef397fp-7, 0x1.5d9135f2d9a59p-7, 0x1.54083368a5175p-7, 0x1.4abaf320412c2p-7, 0x1.41a84dadac01ap-7, 0x1.38cf17bc29b5fp-7, 0x1.302e1fb8bc68p-7, 0x1.27c42ed9d26bcp-7, 0x1.1f900d6fad441p-7, 0x1.1790891308a8cp-7, 0x1.0fc47a03c701bp-7, 0x1.082ac648a01f8p-7, 0x1.00c261061d766p-7, 0x1.f3148fd855083p-8, 0x1.e502fe5967fc7p-8, 0x1.d74e1b6fbad2bp-8, 0x1.c9f3f3ed9f276p-8, 0x1.bcf28e779d167p-8, 0x1.b047e95ad925p-8, 0x1.a3f1fd9f4276ep-8, 0x1.97eec82a02a8ep-8, 0x1.8c3c562554f45p-8, 0x1.80d8ceaa99eadp-8, 0x1.75c2740c0803cp-8, 0x1.6af79bc7fe3f3p-8, 0x1.6076a21a6b108p-8, 0x1.563de0a201cbdp-8, 0x1.4c4bac77c63bdp-8, 0x1.429e59ceb752bp-8, 0x1.3934405e41704p-8, 0x1.300bc51753662p-8, 0x1.27233d4735c13p-8, 0x1.1e791318a0764p-8, 0x1.160bc1b5730a4p-8, 0x1.0dd9d366295e5p-8, 0x1.05e1f519a7306p-8, 0x1.fc45d2f36caecp-9, 0x1.ed36eabba1fd8p-9, 0x1.de9496d253d34p-9, 0x1.d05c079cafeafp-9, 0x1.c28a4bd097aa6p-9, 0x1.b51c79a14e9adp-9, 0x1.a80fd19c444e6p-9, 0x1.9b61c7258b951p-9, 0x1.8f0ff2103e426p-9, 0x1.8317fecb912bfp-9, 0x1.7777aee8153dap-9, 0x1.6c2ce908e00a8p-9, 0x1.6135c5c54500dp-9, 0x1.56908622c75c9p-9, 0x1.4c3b6e114420dp-9, 0x1.42349201b1ab9p-9, 0x1.3879b617387abp-9, 0x1.2f08592bf8781p-9, 0x1.25ddeaf98e3ddp-9, 0x1.1cf80ddbff94p-9, 0x1.1454bc499293cp-9, 0x1.0bf2409dbcde3p-9, 0x1.03cf10ab8602cp-9, 0x1.f7d35dd1cad79p-10, 0x1.e88146715ce44p-10, 0x1.d9a5046e4b085p-10, 0x1.cb3be25866f34p-10, 0x1.bd433ca3450b4p-10, 0x1.afb85b7823ff9p-10, 0x1.a2983f752512cp-10, 0x1.95df7a694c502p-10, 0x1.898a376e387c6p-10, 0x1.7d94825567065p-10, 0x1.71fab157a4db3p-10, 0x1.66b9b60429375p-10, 0x1.5bcf2bac7f929p-10, 0x1.513928c8eedd4p-10, 0x1.46f5fc81f332ap-10, 0x1.3d03fcf00fd4ep-10, 0x1.3361677ee4be3p-10, 0x1.2a0c476168fe3p-10, 0x1.21026a192ff35p-10, 0x1.184168b726993p-10, 0x1.0fc6bc63414cbp-10, 0x1.078fdab215be2p-10, 0x1.ff34a3e01fe09p-11, 0x1.efc7a6eb61a48p-11, 0x1.e0d44e76adae4p-11, 0x1.d25642193cb48p-11, 0x1.c44952206b683p-11, 0x1.b6a9be8bec694p-11, 0x1.a974a66105c6cp-11, 0x1.9ca8375267847p-11, 0x1.904330d975fecp-11, 0x1.8443eae5f58b4p-11, 0x1.78a7a60ee6744p-11, 0x1.6d6ab87f8defp-11, 0x1.628926c47ccadp-11, 0x1.57fed48ff4237p-11, 0x1.4dc789928bd58p-11, 0x1.43df7d04ece04p-11, 0x1.3a440b2631334p-11, 0x1.30f3a633e934p-11, 0x1.27ecf11bc35a2p-11, 0x1.1f2de18541dccp-11, 0x1.16b39273365d4p-11, 0x1.0e7ac605f5138p-11, 0x1.0680ef934ab3cp-11, 0x1.fd8a2c3bf4178p-12, 0x1.ee8e8929a438ap-12, 0x1.e00d6f3fd6587p-12, 0x1.d20234c6c45d7p-12, 0x1.c466ae711f6a9p-12, 0x1.b735c111f291p-12, 0x1.aa6b70681a7c4p-12, 0x1.9e01dda83816bp-12, 0x1.91f30c8111f0fp-12, 0x1.863afd6847884p-12, 0x1.7ad86c2d5f58cp-12, 0x1.6fcb56a7c1771p-12, 0x1.6512de1eaa4bap-12, 0x1.5aac80d2912c4p-12, 0x1.5094ca00f453cp-12, 0x1.46c7cadf3dbeap-12, 0x1.3d41a41fba567p-12, 0x1.34006746b7261p-12, 0x1.2b0432f29baeep-12, 0x1.224bb04b31d68p-12, 0x1.19d2cce57a201p-12, 0x1.119649d46b38cp-12, 0x1.099548525b0bap-12, 0x1.01ce31367c637p-12, 0x1.f47a6442f8eecp-13, 0x1.e5bc3d0f2cef8p-13, 0x1.d75cac1d32fa5p-13, 0x1.c959fb438fe3p-13, 0x1.bbb402eda0457p-13, 0x1.ae6a23cb38dfbp-13, 0x1.a17a834f0b1p-13, 0x1.94e2d3850435ap-13, 0x1.88a18ed400966p-13, 0x1.7cb3a2d8f1309p-13, 0x1.711175420dd66p-13, 0x1.65b51bbb44faep-13, 0x1.5a9f6b08934aap-13, 0x1.4fcfad86e6755p-13, 0x1.4541262b9612ep-13, 0x1.3af32f4ec959dp-13, 0x1.30e781af263f4p-13, 0x1.271b9b0223ce6p-13, 0x1.1d8a0bfe657d3p-13, 0x1.142db2428f853p-13, 0x1.0b0391e4594c7p-13, 0x1.020b785229f56p-13, 0x1.f28bf7627cae7p-14, 0x1.e163d5ff40fd5p-14, 0x1.d09ae7076fc1fp-14, 0x1.c03195e3658ebp-14, 0x1.b028085992b4ep-14, 0x1.a079987af3877p-14, 0x1.9120bc413fabdp-14, 0x1.821663897ec16p-14, 0x1.735524c4d4cfcp-14, 0x1.64dfd60e4b70ep-14, 0x1.56b4568c01c2ep-14, 0x1.48ce5f2a86a46p-14, 0x1.3b329ddbb9511p-14, 0x1.2de22b057da02p-14, 0x1.20d832fb06dp-14, 0x1.140e5c80b3811p-14, 0x1.077e198a1f276p-14, 0x1.f64c4024b7931p-15, 0x1.de146bf56fda3p-15, 0x1.c653173fddf53p-15, 0x1.af00c5d476e6dp-15, 0x1.981fcdcf689c4p-15, 0x1.81b0e5363365cp-15, 0x1.6bad12fe0c682p-15, 0x1.560dda615513fp-15, 0x1.40d03f1cffa56p-15, 0x1.2bf6fb55b3adcp-15, 0x1.178321881b9bbp-15, 0x1.036b78a10587cp-15, 0x1.df5bf87d57eb9p-16, 0x1.b88dab834060fp-16, 0x1.927278fa00fe8p-16, 0x1.6d17a006f66c8p-16, 0x1.4874ef4ae059cp-16, 0x1.2480dfbf7eeccp-16, 0x1.012bdf466640bp-16, 0x1.bcdc301dd3022p-17, 0x1.78a5c3b754cbep-17, 0x1.35a8900f26ac2p-17, 0x1.e7cd1f4047a57p-18, 0x1.66c95ab70babcp-18, 0x1.d07715df1f6bcp-19, 0x1.aff2d2397b883p-20, -0x1.c04e8d0424ad4p-23, -0x1.0b8185d71f06cp-19, -0x1.f67ff78cc6c77p-19, -0x1.6e89b959d9d67p-18, -0x1.df97a41a71749p-18, -0x1.27277972386bap-17, -0x1.5d6e29436b857p-17, -0x1.92b32ad94f731p-17, -0x1.c6f5467846cf8p-17, -0x1.fa1c547a13064p-17, -0x1.16169bd7f659dp-16, -0x1.2e97d9917199dp-16, -0x1.46956554aa71fp-16, -0x1.5e16b29146cbep-16, -0x1.7518f4a3334eep-16, -0x1.8ba0883588645p-16, -0x1.a1a644e8b5511p-16, -0x1.b729a43c4dcebp-16, -0x1.cc31f1bc54e1dp-16, -0x1.e0c0a82d802fbp-16, -0x1.f4d58b6bdcad3p-16, -0x1.0438827774b58p-15, -0x1.0dca0e42fedc8p-15, -0x1.171fc3ea76f5bp-15, -0x1.2039f45dc7365p-15, -0x1.29193444f6b29p-15, -0x1.31be21fbb25ddp-15, -0x1.3a273532feb89p-15, -0x1.4254cc16fef89p-15, -0x1.4a4c1592c6688p-15, -0x1.520b49e8e5242p-15, -0x1.598fb3814654fp-15, -0x1.60db238278b1ap-15, -0x1.67ecd77c9ff92p-15, -0x1.6ec8363635bep-15, -0x1.756ec617b97ap-15, -0x1.7bdee60d7225ap-15, -0x1.821674eacd9c7p-15, -0x1.8818819043264p-15, -0x1.8de5d701d995ap-15, -0x1.937e564c25399p-15, -0x1.98e221cb51b33p-15, -0x1.9e118c410e295p-15, -0x1.a30d01d001c75p-15, -0x1.a7d4ff106b90dp-15, -0x1.ac6a08336a9bdp-15, -0x1.b0cc97c69f817p-15, -0x1.b4fd040aa890cp-15, -0x1.b8fb8f961e04ep-15, -0x1.bcc8cfcf2a922p-15, -0x1.c06577789a9f2p-15, -0x1.c3d0a6dc2af82p-15, -0x1.c70cd0fdf48e3p-15, -0x1.ca1a02c1b6e0fp-15, -0x1.ccf702a4a317ap-15, -0x1.cfa3e2e5a723bp-15, -0x1.d2235eb952f1dp-15, -0x1.d476fd977b57ap-15, -0x1.d69bcceeb143bp-15, -0x1.d893a4908b8cdp-15, -0x1.da5fb1e1572f6p-15, -0x1.dc000bf3f19a7p-15, -0x1.dd75084036651p-15, -0x1.debf1e346d666p-15, -0x1.dfdecb670d87ap-15, -0x1.e0d48d238f642p-15, -0x1.e1a0e211b6efdp-15, -0x1.e2444d7323f7ap-15, -0x1.e2bf574acb7cfp-15, -0x1.e31289b4ba7b5p-15, -0x1.e33e6d4ca8b0ep-15, -0x1.e343809d76cc2p-15, -0x1.e3223028bdb7cp-15, -0x1.e2daf5b80eb1cp-15, -0x1.e26e96f27d955p-15, -0x1.e1ddcd7c4ed94p-15, -0x1.e1288654ac6e7p-15, -0x1.e04fe3f602cfp-15, -0x1.df530bf96daf8p-15, -0x1.de347dd529419p-15, -0x1.dcf2ea2d765abp-15, -0x1.db90992da74ddp-15, -0x1.da0d1793cf8cp-15, -0x1.d8694a8175bd8p-15, -0x1.d6a5987e6a6c7p-15, -0x1.d4c286528a681p-15, -0x1.d2c0a22891483p-15, -0x1.d0a07a3e3ae3ep-15, -0x1.ce629c162b787p-15, -0x1.cc079498eef8bp-15, -0x1.c98ff04ecfce6p-15, -0x1.c6fc3bf288bfap-15, -0x1.c44d0522350eap-15, -0x1.c182da2292725p-15, -0x1.be9e48b1fd415p-15, -0x1.bb9fddad94f96p-15, -0x1.b88826263d34ep-15, -0x1.b557ae51c3872p-15, -0x1.b20efe352647ap-15, -0x1.aeaea045a9d2p-15, -0x1.ab372d38f4e6ep-15, -0x1.a7a96423122a8p-15, -0x1.a40582995183dp-15, -0x1.a04bbd8faae77p-15, -0x1.9c7d1aeff96dap-15, -0x1.989a1e8b583f4p-15, -0x1.94a36cd2d7bc8p-15, -0x1.909965b80ca5ap-15, -0x1.8c7c8c84f9602p-15, -0x1.884d6c3696539p-15, -0x1.840c91122e678p-15, -0x1.7fba7ade66a96p-15, -0x1.7b57adb6c872ap-15, -0x1.76e4ba04bb057p-15, -0x1.72621d4f3ecf4p-15, -0x1.6dd05b229b16cp-15, -0x1.692ff6becd015p-15, -0x1.64817212ea2b2p-15, -0x1.5fc54e10aa443p-15, -0x1.5afc0abe3ca21p-15, -0x1.5626270921d9bp-15, -0x1.514420d85205ap-15, -0x1.4c5675db1a0fcp-15, -0x1.475da409753bcp-15, -0x1.425a277989e49p-15, -0x1.3d4c7546da386p-15, -0x1.3835020add115p-15, -0x1.33145ecdec41ep-15, -0x1.2deb03e99b184p-15, -0x1.28b92aa667136p-15, -0x1.237f57ab5a5fdp-15, -0x1.1e3e3d99afcd4p-15, -0x1.18f62d140f8fp-15, -0x1.13a78fdbd9aabp-15, -0x1.0e52d91e7329fp-15, -0x1.08f8780942152p-15, -0x1.0398dc27f2586p-15, -0x1.fc68d7c11a70dp-16, -0x1.f1972a7d6ad23p-16, -0x1.e6bd86efe0e3bp-16, -0x1.dbdcbd25373c9p-16, -0x1.d0f59b031841dp-16, -0x1.c608ec3ad731ap-16, -0x1.bb177a048b51cp-16, -0x1.b0220af52800bp-16, -0x1.a52962d3f5871p-16, -0x1.9a2e428ab10afp-16, -0x1.8f31683c2eb6fp-16, -0x1.84338f87099cap-16, -0x1.793571d8ce8fep-16, -0x1.6e37c66918834p-16, -0x1.633b41375e194p-16, -0x1.5840905c4360ep-16, -0x1.4d486265feddfp-16, -0x1.42536c782bc6bp-16, -0x1.37625b1f7c301p-16, -0x1.2c758f1e15021p-16, -0x1.218e10b14b7eep-16, -0x1.16ac4d6cc7716p-16, -0x1.0bd0db9ba733ap-16, -0x1.00fc6c285bb8ap-16, -0x1.ec5f1731f3865p-17, -0x1.d6d5a1433ea45p-17, -0x1.c15e35c623485p-17, -0x1.abf88c5624c79p-17, -0x1.96a64ff7f538fp-17, -0x1.81696e8848656p-17, -0x1.6c4216df2272dp-17, -0x1.5731a7ec66c79p-17, -0x1.423912ca80ec1p-17, -0x1.2d5953f3eb179p-17, -0x1.18936438bde5ep-17, -0x1.03e83716c99aep-17, -0x1.deb1752994612p-18, -0x1.b5cbae74d3898p-18, -0x1.8d20e023929fdp-18, -0x1.64b2c5aac45aep-18, -0x1.3c831081a50e6p-18, -0x1.14936866ce2d7p-18, -0x1.d9cad4c1b9982p-19, -0x1.8af54b809a69cp-19, -0x1.3ca93ab8c91d9p-19, -0x1.ddd37b88f0d71p-20, -0x1.4373d712ca8c1p-20, -0x1.546e967599c72p-21, -0x1.2254a392cd89ap-24, 0x1.097ace6da4289p-21, 0x1.1a6baa000ba49p-20, 0x1.aee067c6e3697p-20, 0x1.210ba50cc58cep-19, 0x1.6a057b99b30cbp-19, 0x1.b25b8c7ed9e33p-19, 0x1.fa0ba4f2add4p-19, 0x1.2089d12a9a392p-18, 0x1.43b8ba883d2bfp-18, 0x1.66918fd9b0557p-18, 0x1.89135b66538b4p-18, 0x1.ab3d327af9d5dp-18, 0x1.cd0e344643659p-18, 0x1.ee85874ea431ep-18, 0x1.07d127c88002bp-17, 0x1.1831e55172cbp-17, 0x1.28649d0fc3dc3p-17, 0x1.3868f299eebbfp-17, 0x1.483e8e1da7887p-17, 0x1.57e51c4fffadap-17, 0x1.675c4e38a89bap-17, 0x1.76a3d8df95b4dp-17, 0x1.85bb74f833429p-17, 0x1.94a2df086e409p-17, 0x1.a359d7fd14cd7p-17, 0x1.b1e024a8d1d93p-17, 0x1.c0358a8ac774dp-17, }}, 
      {{0x1.de9ccf9891458p-3, 0x1.d0f4faf6e0c28p-2, 0x1.4e39d801ba2fbp-1, 0x1.a6a9e638f1b2bp-1, 0x1.f0eebf0047704p-1, 0x1.168bdd98fc673p+0, 0x1.2de6f3ca8768fp+0, 0x1.3f0ce60c39283p+0, 0x1.4a9cceac5778ep+0, 0x1.5141cc3efde19p+0, 0x1.53a8b30e6028cp+0, 0x1.527914494cdc8p+0, 0x1.4e50ba09f4bf3p+0, 0x1.47c0ef96bfa5bp+0, 0x1.3f4d16e0e387fp+0, 0x1.356a2b4821e9ap+0, 0x1.2a7ee8d3f230ep+0, 0x1.1ee4630f50c48p+0, 0x1.12e6e0e8972aep+0, 0x1.06c6e19400ad3p+0, 0x1.f5746719286e7p-1, 0x1.ddda1ee553239p-1, 0x1.c7065725d238dp-1, 0x1.b13183294d6c3p-1, 0x1.9c870491a6667p-1, 0x1.8926eb4f8a68ap-1, 0x1.77278cf8d8b52p-1, 0x1.6696f41d5b7dep-1, 0x1.577c2916ddd0cp-1, 0x1.49d8563eee89dp-1, 0x1.3da7c9c0a3412p-1, 0x1.32e2d79b964d3p-1, 0x1.297e9eabe91bap-1, 0x1.216db3c360f95p-1, 0x1.1aa0b584a999bp-1, 0x1.1506cc146c7f6p-1, 0x1.108e1667c817dp-1, 0x1.0d24075da397cp-1, 0x1.0ab5b4f2011cep-1, 0x1.09301a7a1304cp-1, 0x1.08805012b0dfep-1, 0x1.0893b81343f0dp-1, 0x1.09582418b606fp-1, 0x1.0abbf2bac10c9p-1, 0x1.0cae2684bea1cp-1, 0x1.0f1e77b27800dp-1, 0x1.11fd6127357d8p-1, 0x1.153c28efa03cdp-1, 0x1.18cce5dc9ca18p-1, 0x1.1ca281d85e6d1p-1, 0x1.20b0b9ef6d489p-1, 0x1.24ec1c57c3325p-1, 0x1.294a04c1dcdf3p-1, 0x1.2dc097664331ep-1, 0x1.3246bb11a7451p-1, 0x1.36d41221a469cp-1, 0x1.3b60f3562265cp-1, 0x1.3fe661b5abe48p-1, 0x1.445e049b47063p-1, 0x1.48c21f4058fa9p-1, 0x1.4d0d889d35883p-1, 0x1.513ba2df4e17ep-1, 0x1.5548537006c38p-1, 0x1.592ffad939321p-1, 0x1.5cef6d05c9e6ep-1, 0x1.6083e9bc12eebp-1, 0x1.63eb15501cb85p-1, 0x1.6722f1c3de70dp-1, 0x1.6a29d7f24a1ap-1, 0x1.6cfe714b177e5p-1, 0x1.6f9fb19c3e67ap-1, 0x1.720cd145379c5p-1, 0x1.744547abb383fp-1, 0x1.7648c5f329287p-1, 0x1.78173200f786bp-1, 0x1.79b0a1ba8e98ep-1, 0x1.7b1556b1062bep-1, 0x1.7c45b9c3b8f82p-1, 0x1.7d42576862f2bp-1, 0x1.7e0bdbd469c8cp-1, 0x1.7ea30fab4214ep-1, 0x1.7f08d4b63cbap-1, 0x1.7f3e22fb25817p-1, 0x1.7f4405ebc287fp-1, 0x1.7f1b99d9f6159p-1, 0x1.7ec6098e229a3p-1, 0x1.7e448c1d26415p-1, 0x1.7d9862d0f6714p-1, 0x1.7cc2d74d6183bp-1, 0x1.7bc539cea9214p-1, 0x1.7aa0df95ddef8p-1, 0x1.7957216c9da49p-1, 0x1.77e95a46c7853p-1, 0x1.7658e61b096d7p-1, 0x1.74a720bbe950dp-1, 0x1.72d564d718a72p-1, 0x1.70e50b0a3ec5p-1, 0x1.6ed76915f178ep-1, 0x1.6cadd123f4b43p-1, 0x1.6a6991192d0e9p-1, 0x1.680bf20263da5p-1, 0x1.6596378f5c566p-1, 0x1.63099f9fcefa8p-1, 0x1.606761ea831d8p-1, 0x1.5db0afa0a303ep-1, 0x1.5ae6b32255ba2p-1, 0x1.580a8fd429347p-1, 0x1.551d61dfe3641p-1, 0x1.52203e1909f59p-1, 0x1.4f1431deffea3p-1, 0x1.4bfa430489b77p-1, 0x1.48d36fc9f69a1p-1, 0x1.45a0aed14c87fp-1, 0x1.4262ef1fd197dp-1, 0x1.3f1b182380628p-1, 0x1.3bca09c0ec45bp-1, 0x1.38709c6368a73p-1, 0x1.350fa1100850ep-1, 0x1.31a7e17da9d3fp-1, 0x1.2e3a203432bdbp-1, 0x1.2ac718a90332dp-1, 0x1.274f7f5e1cb14p-1, 0x1.23d40205efcfcp-1, 0x1.205547a631483p-1, 0x1.1cd3f0bd59cd6p-1, 0x1.1950976e56efbp-1, 0x1.15cbcf9ff528fp-1, 0x1.1246271e11fccp-1, 0x1.0ec025d2fc912p-1, 0x1.0b3a4de36d428p-1, 0x1.07b51bda22154p-1, 0x1.043106ce4ead5p-1, 0x1.00ae808d8b0fp-1, 0x1.fa5beb8abd837p-2, 0x1.f35f9c52cb974p-2, 0x1.ec68d9352323dp-2, 0x1.e5785ea28647ap-2, 0x1.de8ee00044ef3p-2, 0x1.d7ad07f1eeb12p-2, 0x1.d0d378a73a303p-2, 0x1.ca02cc27690dcp-2, 0x1.c33b94910de68p-2, 0x1.bc7e5c5f53e3p-2, 0x1.b5cba6b0397d5p-2, 0x1.af23ef8377f41p-2, 0x1.a887abf81e3e5p-2, 0x1.a1f74a8cfdb8ep-2, 0x1.9b73335fa08c6p-2, 0x1.94fbc8640804dp-2, 0x1.8e916599b0804p-2, 0x1.883461461fbbep-2, 0x1.81e50c2f1f209p-2, 0x1.7ba3b1c900949p-2, 0x1.75709866e1091p-2, 0x1.6f4c017515cadp-2, 0x1.693629a67470ep-2, 0x1.632f4911960dcp-2, 0x1.5d37937b0cfcap-2, 0x1.574f38648951ap-2, 0x1.517663442a8f7p-2, 0x1.4bad3baefb956p-2, 0x1.45f3e57884789p-2, 0x1.404a80dcb3fe1p-2, 0x1.3ab12a9dbf5d9p-2, 0x1.3527fc304ef43p-2, 0x1.2faf0bd8fc64ep-2, 0x1.2a466cc9d6701p-2, 0x1.24ee2f4bb7887p-2, 0x1.1fa660c7119fap-2, 0x1.1a6f0bf8ebec3p-2, 0x1.1548390e2b739p-2, 0x1.1031eda7ed80fp-2, 0x1.0b2c2d093a73p-2, 0x1.0636f82a8513fp-2, 0x1.01524dd7672d5p-2, 0x1.f8fc558038358p-3, 0x1.ef75131ccee7ap-3, 0x1.e60ec5f8befd8p-3, 0x1.dcc95be8a3724p-3, 0x1.d3a4bf2ccacdfp-3, 0x1.caa0d6b057541p-3, 0x1.c1bd861b6b44cp-3, 0x1.b8faadf9fe34ap-3, 0x1.b0582bf84f233p-3, 0x1.a7d5dadeb0b7bp-3, 0x1.9f7392d78deecp-3, 0x1.973129730bd9ap-3, 0x1.8f0e71d5b71c6p-3, 0x1.870b3cc63ed8bp-3, 0x1.7f2758e65cc54p-3, 0x1.776292b013bafp-3, 0x1.6fbcb49d34f95p-3, 0x1.683587561f3cp-3, 0x1.60ccd199589fep-3, 0x1.5982588df1e87p-3, 0x1.5255df9e4160cp-3, 0x1.4b4728d10cb7dp-3, 0x1.4455f4ab2a22cp-3, 0x1.3d82025bcfcdep-3, 0x1.36cb0fcb2649p-3, 0x1.3030d9bb02cebp-3, 0x1.29b31bb728e5bp-3, 0x1.235190585d3b3p-3, 0x1.1d0bf14097078p-3, 0x1.16e1f721c6a53p-3, 0x1.10d359d872238p-3, 0x1.0adfd0800acep-3, 0x1.0507117f8956fp-3, 0x1.fe91a534c72efp-4, 0x1.f349921439b5ep-4, 0x1.e83552cf1a074p-4, 0x1.dd544fd604e6p-4, 0x1.d2a5f0b91021ep-4, 0x1.c8299c4b9d665p-4, 0x1.bddeb8b79f136p-4, 0x1.b3c4abbd6d9f9p-4, 0x1.a9dada95df794p-4, 0x1.a020aa21d18aap-4, 0x1.96957f007c558p-4, 0x1.8d38bdd34a137p-4, 0x1.8409caefb1c1dp-4, 0x1.7b080ac2f73e9p-4, 0x1.7232e1b0e4444p-4, 0x1.6989b4843daccp-4, 0x1.610be8005cb74p-4, 0x1.58b8e14b3d0d9p-4, 0x1.509005e41b419p-4, 0x1.4890bbb450b1cp-4, 0x1.40ba6920d3356p-4, 0x1.390c7518cc48ep-4, 0x1.31864722eba6ep-4, 0x1.2a27477a3187p-4, 0x1.22eedef048d23p-4, 0x1.1bdc773457b4cp-4, 0x1.14ef7a99a9674p-4, 0x1.0e275490e4dcap-4, 0x1.078371314261p-4, 0x1.01033d976f6bp-4, 0x1.f54c4fb21245ap-5, 0x1.e8d73e1a56474p-5, 0x1.dca626b0c7a38p-5, 0x1.d0b7ebdac8e72p-5, 0x1.c50b7221e3dcp-5, 0x1.b99fa0b3d8931p-5, 0x1.ae7360d89d777p-5, 0x1.a3859e2588b0cp-5, 0x1.98d546ad3bdedp-5, 0x1.8e614b4572f2dp-5, 0x1.84289eef90c37p-5, 0x1.7a2a37b70883ep-5, 0x1.70650de275191p-5, 0x1.66d81c8e39477p-5, 0x1.5d82618aa89a3p-5, 0x1.5462dd638a371p-5, 0x1.4b789368d9686p-5, 0x1.42c289b57d6d1p-5, 0x1.3a3fc935542d5p-5, 0x1.31ef5daadbd3p-5, 0x1.29d055b457091p-5, 0x1.21e1c2cfa408ap-5, 0x1.1a22b964c6e33p-5, 0x1.129250de9a07ep-5, 0x1.0b2fa33e68593p-5, 0x1.03f9cdd47d91p-5, 0x1.f9dfe13046effp-6, 0x1.ec225d868efc5p-6, 0x1.deb95c5c4a428p-6, 0x1.d1a32f9666a42p-6, 0x1.c4de2f0134cf3p-6, 0x1.b868b84cf3017p-6, 0x1.ac412f0c50561p-6, 0x1.a065fcb117e75p-6, 0x1.94d5908a09d1ep-6, 0x1.898e5fc2c1df8p-6, 0x1.7e8ee5643b1e1p-6, 0x1.73d5a25321ebap-6, 0x1.69611d49492f9p-6, 0x1.5f2fe2c8ec0f2p-6, 0x1.554085145203dp-6, 0x1.4b919c52ecbf2p-6, 0x1.4221c5c74766ap-6, 0x1.38efa5080fe8cp-6, 0x1.2ff9e28f68352p-6, 0x1.273f2d90c30c4p-6, 0x1.1ebe3a03b28e7p-6, 0x1.1675c1b4b5b1cp-6, 0x1.0e6483f7981fap-6, 0x1.0689457b0fc4p-6, 0x1.fdc5a06ea3125p-7, 0x1.eedfe6ceaa9cfp-7, 0x1.e05f071d601ebp-7, 0x1.d240b50ce0e18p-7, 0x1.c482af0c00bd1p-7, 0x1.b722be3a631f1p-7, 0x1.aa1eb63349493p-7, 0x1.9d7474b6182a8p-7, 0x1.9121e143bf1b2p-7, 0x1.8524ecd0a722cp-7, 0x1.797b91a4a7623p-7, 0x1.6e23d3840ae83p-7, 0x1.631bc040a1182p-7, 0x1.58616ead826fap-7, 0x1.4df30107c93f4p-7, 0x1.43cea12ac6aeep-7, 0x1.39f2863d85ae4p-7, 0x1.305ced685555ap-7, 0x1.270c1c25eb8ecp-7, 0x1.1dfe6094cec18p-7, 0x1.15321091ea3e6p-7, 0x1.0ca589f09eef7p-7, 0x1.0457334c8e99ap-7, 0x1.f88af920f131ep-8, 0x1.e8ddbe6de5cd6p-8, 0x1.d9a3bc26e8058p-8, 0x1.cada093f38dc1p-8, 0x1.bc7dcbf387724p-8, 0x1.ae8c37c9f0d52p-8, 0x1.a1028c428f52dp-8, 0x1.93de14b00216ep-8, 0x1.871c29483b546p-8, 0x1.7aba31096a566p-8, 0x1.6eb5a3ba8b40ap-8, 0x1.630c0b3a8ae2dp-8, 0x1.57bb039ebef47p-8, 0x1.4cc03a47de8dcp-8, 0x1.42196940b638p-8, 0x1.37c45766e4036p-8, 0x1.2dbed2377c5b1p-8, 0x1.2406b1f84b144p-8, 0x1.1a99d52a861ebp-8, 0x1.117624b6a9ac1p-8, 0x1.08999770951dcp-8, 0x1.00023417a0e43p-8, 0x1.ef5c257bd0b6cp-9, 0x1.df36b8e4cb0ebp-9, 0x1.cf90924ad5febp-9, 0x1.c06638a5d29c6p-9, 0x1.b1b442cb77ea4p-9, 0x1.a37751dd50ff9p-9, 0x1.95ac0f3008a68p-9, 0x1.884f2e5fa3938p-9, 0x1.7b5d72c872dcbp-9, 0x1.6ed3b660ee573p-9, 0x1.62aeef87aea52p-9, 0x1.56ec33e49aebcp-9, 0x1.4b88b79b286ap-9, 0x1.4081c9287f749p-9, 0x1.35d4cb0afd307p-9, 0x1.2b7f2cbdaedaap-9, 0x1.217e64d1ef8c1p-9, 0x1.17cfedf1ec389p-9, 0x1.0e71485cbac4p-9, 0x1.055ffeff7e705p-9, 0x1.f933563d97d5ap-10, 0x1.e83802a49adb3p-10, 0x1.d7c9975485641p-10, 0x1.c7e3e7d7b8358p-10, 0x1.b882e6aa04cd4p-10, 0x1.a9a2a8966774ap-10, 0x1.9b3f5a623273bp-10, 0x1.8d553818722ffp-10, 0x1.7fe087d14eaep-10, 0x1.72dd97ba8e8c5p-10, 0x1.6648c1a572eeap-10, 0x1.5a1e74fbc3511p-10, 0x1.4e5b440182ef8p-10, 0x1.42fbedac55c7p-10, 0x1.37fd5dcb30b5p-10, 0x1.2d5ca28d840d1p-10, 0x1.2316dd39b3947p-10, 0x1.192936c2c54eep-10, 0x1.0f90dd72980d8p-10, 0x1.064b0a0f441d2p-10, 0x1.faaa0b0311582p-11, 0x1.e958464edff2bp-11, 0x1.d89baffd8aa8bp-11, 0x1.c86f3e7819f82p-11, 0x1.b8ce195ad96d4p-11, 0x1.a9b3c4c9e5f0ep-11, 0x1.9b1c10baad68fp-11, 0x1.8d030edaf906ap-11, 0x1.7f64e7bcd393cp-11, 0x1.723dae5b70808p-11, 0x1.65894fa647b14p-11, 0x1.59439fce183c2p-11, 0x1.4d6886de0dbb6p-11, 0x1.41f42a29eee9ap-11, 0x1.36e2f03d6e98p-11, 0x1.2c31808f7548bp-11, 0x1.21dc9609975a6p-11, 0x1.17e114d662e1bp-11, 0x1.0e3c1380e3779p-11, 0x1.04eae5edc343ap-11, 0x1.f7d628ee18f62p-12, 0x1.e6746fb4ec25ap-12, 0x1.d5ab90bb8bb32p-12, 0x1.c575fad138259p-12, 0x1.b5cdad761a3d1p-12, 0x1.a6ac9d9226447p-12, 0x1.980d30c854041p-12, 0x1.89ea83ba7864ep-12, 0x1.7c4059ff2ac48p-12, 0x1.6f0ad8461a16ep-12, 0x1.6246485dffa0bp-12, 0x1.55ef09f43d45ap-12, 0x1.4a01a05db0d4fp-12, 0x1.3e7abc75c01c7p-12, 0x1.3357320b7f581p-12, 0x1.2893d7f18012ep-12, 0x1.1e2d5aa3f60c9p-12, 0x1.142018079877fp-12, 0x1.0a6823e47d0adp-12, 0x1.0101833f931c3p-12, 0x1.efd10adda2f09p-13, 0x1.de34103d2a55cp-13, 0x1.cd27049b32d61p-13, 0x1.bca5b575c826ap-13, 0x1.acac5a0139894p-13, 0x1.9d373c47fb55p-13, 0x1.8e428bca482d8p-13, 0x1.7fca2733cb9a1p-13, 0x1.71c99d7ad3494p-13, 0x1.643c51ece52cap-13, 0x1.571d8bc138c3cp-13, 0x1.4a68d5bb9779fp-13, 0x1.3e19b5d94b165p-13, 0x1.322c0da6c494ap-13, 0x1.269bf3950a0c3p-13, 0x1.1b659ab392aep-13, 0x1.108560b6bc6ebp-13, 0x1.05f803f1ed85cp-13, 0x1.f775e755ba931p-14, 0x1.e398dabfeeb37p-14, 0x1.d0563625e4cc6p-14, 0x1.bdaab486e63a8p-14, 0x1.ab917fbe6b0dcp-14, 0x1.9a04851b22e28p-14, 0x1.88fd659d9eff2p-14, 0x1.7875c076022c8p-14, 0x1.68672e8d39c33p-14, 0x1.58cbfa76a56cdp-14, 0x1.49a01679f304fp-14, 0x1.3ae100d650ab1p-14, 0x1.2c8c81fc12143p-14, 0x1.1e9f7ed29e591p-14, 0x1.1115c49075678p-14, 0x1.03eabb611a946p-14, 0x1.ee357fd18599fp-15, 0x1.d54886fc92a01p-15, 0x1.bd0e1e85f4226p-15, 0x1.a583f05b2afbep-15, 0x1.8ea2c8d79e14ap-15, 0x1.786290b0c3aap-15, 0x1.62bd65957c701p-15, 0x1.4dac82ffb6e64p-15, 0x1.3928e6f93f031p-15, 0x1.252ade78793f6p-15, 0x1.11ad4792c18ffp-15, 0x1.fd5cdf3c3764p-16, 0x1.d85c5e2d676e3p-16, 0x1.b456c81a96ed8p-16, 0x1.914559662cbf4p-16, 0x1.6f1ff13dc288dp-16, 0x1.4ddc5cc6bce09p-16, 0x1.2d7226ecd905ap-16, 0x1.0ddcb3e2a00d3p-16, 0x1.de36e884396d4p-17, 0x1.a2568749e3ad4p-17, 0x1.68059c58bede3p-17, 0x1.2f352f041ce7ep-17, 0x1.efc236c269863p-18, 0x1.8403d93331c6ep-18, 0x1.1b0c3f02b7626p-18, 0x1.696ba4ea1d9c5p-19, 0x1.43a611f26695ap-20, -0x1.05fe127109bf9p-22, -0x1.bc9c915076badp-20, -0x1.96df0c7150181p-19, -0x1.2541a120fe29cp-18, -0x1.7ca7c26b5adacp-18, -0x1.d1a902ade2e88p-18, -0x1.1229776ca0dfbp-17, -0x1.3a629a49361f4p-17, -0x1.618c230c1d6e7p-17, -0x1.87a49b2dcd84bp-17, -0x1.acada31a65df1p-17, -0x1.d0b105da937f1p-17, -0x1.f3b07aba6bfcfp-17, -0x1.0ad4879de75abp-16, -0x1.1b5026a060818p-16, -0x1.2b50c1ba2f1acp-16, -0x1.3adb97d5c9b38p-16, -0x1.49f3ae4107804p-16, -0x1.58995905ab1adp-16, -0x1.66cc4bf55d7aap-16, -0x1.748dfce776bc4p-16, -0x1.81e0765a0eec6p-16, -0x1.8ec3ef12bcc07p-16, -0x1.9b38cbed79f04p-16, -0x1.a74190a1d7548p-16, -0x1.b2e11360e16ebp-16, -0x1.be1ac007de96dp-16, -0x1.c8f14f4011bd3p-16, -0x1.d36404a1afed6p-16, -0x1.dd74404379edap-16, -0x1.e7242e47239dcp-16, -0x1.f072647598302p-16, -0x1.f95f398bb6b22p-16, -0x1.00f69f68a4636p-15, -0x1.051007d80f87ap-15, -0x1.08fcdcc45b24p-15, -0x1.0cbdeb9fceaf8p-15, -0x1.1052d3b5f118ap-15, -0x1.13bc0835e11f8p-15, -0x1.16fa8db26b81bp-15, -0x1.1a0e7c60bf53p-15, -0x1.1cf81d3a06107p-15, -0x1.1fb86fe1a87a7p-15, -0x1.2250634874fd3p-15, -0x1.24c094dae99b7p-15, -0x1.27092259b542dp-15, -0x1.292a509e72fap-15, -0x1.2b254f11f0b43p-15, -0x1.2cfaab48935adp-15, -0x1.2eab1cb7c83eep-15, -0x1.3036bbeb909e8p-15, -0x1.319d56ac18f06p-15, -0x1.32dfb082ab86p-15, -0x1.33fe9c96fc4ebp-15, -0x1.34fb2bda7f74cp-15, -0x1.35d615cc595acp-15, -0x1.368f40e510dd9p-15, -0x1.37271f41c4469p-15, -0x1.379f19d7c9838p-15, -0x1.37f6016f18c4fp-15, -0x1.382d2bcb8163ep-15, -0x1.384575a8be97bp-15, -0x1.383f44a2ff57dp-15, -0x1.381b0c819f766p-15, -0x1.37d942209cf9bp-15, -0x1.377a6cba4081bp-15, -0x1.36feee2b23ad4p-15, -0x1.3666f829cbd83p-15, -0x1.35b365ce2fa7ep-15, -0x1.34e5040fc1008p-15, -0x1.33fc3f0c40879p-15, -0x1.32f916b192c61p-15, -0x1.31dc14aab4434p-15, -0x1.30a5d10b41fe4p-15, -0x1.2f56e035f3f16p-15, -0x1.2deff93033634p-15, -0x1.2c7174b7c09aap-15, -0x1.2adbec14f666cp-15, -0x1.292f931a3f73p-15, -0x1.276cd89b77e66p-15, -0x1.259465218892fp-15, -0x1.23a6b0e3c02p-15, -0x1.21a454f21f128p-15, -0x1.1f8db0fb0f105p-15, -0x1.1d6389ae1e4fp-15, -0x1.1b25ca27ef22ap-15, -0x1.18d510423ffd1p-15, -0x1.167200e695ee8p-15, -0x1.13fd10c2ae1ffp-15, -0x1.11769184b9b5bp-15, -0x1.0edef7a857fep-15, -0x1.0c3708a5a719ap-15, -0x1.097f1577f736bp-15, -0x1.06b75f131664bp-15, -0x1.03e07183f6b1bp-15, -0x1.00faad9165371p-15, -0x1.fc0d6fceaf53ap-16, -0x1.f60a2a4307113p-16, -0x1.efec2a5bd9f7bp-16, -0x1.e9b3fef4c0a66p-16, -0x1.e362deca94e46p-16, -0x1.dcf9b5805befcp-16, -0x1.d6794e7387dcep-16, -0x1.cfe27b8ea7834p-16, -0x1.c936132e9c017p-16, -0x1.c274ed39c86b4p-16, -0x1.bb9fe1f96be5dp-16, -0x1.b4b7c8d44fa69p-16, -0x1.adbd75f1f0deap-16, -0x1.a6b1b68096fc6p-16, -0x1.9f9552d5f33p-16, -0x1.98691c7867bd6p-16, -0x1.912de6d7cd4c6p-16, -0x1.89e44c2abf76bp-16, -0x1.828d594521bfp-16, -0x1.7b29c4824a6c2p-16, -0x1.73ba15501afeap-16, -0x1.6c3efc634fd2cp-16, -0x1.64b98762e402ep-16, -0x1.5d2a9b401dbe1p-16, -0x1.559273acb65e7p-16, -0x1.4df1f937bc623p-16, -0x1.4649fbf23bbdap-16, -0x1.3e9b1fdbcb286p-16, -0x1.36e60f452ee42p-16, -0x1.2f2b771714b94p-16, -0x1.276c02a82d62ap-16, -0x1.1fa85ab67ef7p-16, -0x1.17e125b791135p-16, -0x1.1017087c59c14p-16, -0x1.084aa647bd07cp-16, -0x1.007ca058ecc4fp-16, -0x1.f15b2a75a0eeap-17, -0x1.e1bc3d5480a74p-17, -0x1.d21d98ae71808p-17, -0x1.c2803b7078b5cp-17, -0x1.b2e565cfc5f37p-17, -0x1.a34ec76f0c35ep-17, -0x1.93bd2bf581b39p-17, -0x1.8432857a63645p-17, -0x1.74ad45b50a972p-17, -0x1.652f39ea08b4ap-17, -0x1.55bd7b8cb7f63p-17, -0x1.46530eb051471p-17, -0x1.36f4f538e1ca3p-17, -0x1.27a2fc31e56edp-17, -0x1.185e101b71c13p-17, -0x1.092728d434b7ep-17, -0x1.f3fe663c11fc3p-18, -0x1.d5ce2ba26d556p-18, -0x1.b7bf64c9b6bcfp-18, -0x1.99d3c9fbf423p-18, -0x1.7c0d0921fd149p-18, -0x1.5e6cc6a498f45p-18, -0x1.40f49e933d5e7p-18, -0x1.23a6246ebd4bfp-18, -0x1.0682e1938a56ep-18, -0x1.d318a90621b92p-19, -0x1.9987e4464f1e8p-19, -0x1.60564941e530ap-19, -0x1.27868f53a6a33p-19, -0x1.de36ca07fb47dp-20, -0x1.6e2f19c71496dp-20, -0x1.fdf865972fbe3p-21, -0x1.2142d64c92e45p-21, -0x1.190e04d361364p-23, 0x1.25ee3b8be70a3p-22, 0x1.6a644e1c7a3eap-21, 0x1.1ffced612411ep-20, 0x1.89d88eedb0807p-20, 0x1.f2c0fa9aa8f1dp-20, 0x1.2d59287badf95p-19, 0x1.60d48ef5a86dp-19, 0x1.93d06aa0f433fp-19, 0x1.c64ad6009dab2p-19, 0x1.f842bb61ac53ap-19, 0x1.14db095a1140fp-18, 0x1.2d51a283f9a0bp-18, 0x1.458469405effbp-18, 0x1.5d72a2d5cbf43p-18, 0x1.751b9c144211bp-18, 0x1.8c7ea99fb65dfp-18, 0x1.a39b2851a2357p-18, 0x1.ba707d1006d7ep-18, 0x1.d0fe12b2dd93cp-18, 0x1.e7435871062a3p-18, 0x1.fd3fc68fce4c8p-18, 0x1.09797539bf922p-17, 0x1.142e2c66e8c7p-17, 0x1.1ebdb47e7f121p-17, 0x1.2927d477fbae7p-17, 0x1.336ca39f3d25dp-17, 0x1.3d8be3fc4305fp-17, 0x1.478523e34a6a9p-17, 0x1.51588274f1172p-17, 0x1.5b05efa498efbp-17, 0x1.648cd6c4da6e4p-17, 0x1.6ded27f74b246p-17, 0x1.77263e153a738p-17, 0x1.8039c57b454c3p-17, 0x1.8926ec7a7faebp-17, 0x1.91ed269d6850fp-17, 0x1.9a8c844ccd779p-17, 0x1.a3050d2b7b98cp-17, 0x1.ab56be55e976fp-17, 0x1.b381936b5a3b2p-17, 0x1.bb8589a872479p-17, 0x1.c362a1077db95p-17, 0x1.cb18dc3bfc747p-17, 0x1.d2a84095c2795p-17, 0x1.da10d5c590dbbp-17, 0x1.e152a589bc10ap-17, 0x1.e86dbb9f8bd2p-17, 0x1.ef622676078bp-17, 0x1.f62ff9518e121p-17, 0x1.fcd74df3d6563p-17, 0x1.01ac0b4d68e0bp-16, 0x1.04d94ee1b4044p-16, 0x1.07f37cecf0bd4p-16, 0x1.0afa8c8051ee7p-16, 0x1.0dee9c653e2adp-16, 0x1.10cfbf72b08a9p-16, 0x1.139dfd8d0754dp-16, 0x1.16596c8d7dcc3p-16, 0x1.190220b11b2d3p-16, 0x1.1b98605249df2p-16, 0x1.1e1bc986d108ep-16, 0x1.208ca19ba70e1p-16, 0x1.22eb4715b8fd5p-16, 0x1.2537871cc1c0cp-16, 0x1.2771964342474p-16, 0x1.29998738a6afbp-16, 0x1.2baf72ffa5cap-16, 0x1.2db373e9ef426p-16, 0x1.2fa5a506d621cp-16, 0x1.318622141453fp-16, 0x1.3355077d82987p-16, 0x1.3512725976f7bp-16, 0x1.36be805fcfe3bp-16, 0x1.38594fd98cb38p-16, 0x1.39e2ff8b855d6p-16, 0x1.3b5baed3ddd9p-16, 0x1.3cc37df36055bp-16, 0x1.3e1a8de35699cp-16, 0x1.3f60fe17b73d4p-16, 0x1.4096edd330479p-16, 0x1.41bc8a752534cp-16, 0x1.42d1ea8a4d861p-16, 0x1.43d7346168e1cp-16, 0x1.44cc8b99b9236p-16, 0x1.45b21381439bdp-16, 0x1.4687f34237528p-16, 0x1.474e4b94380fbp-16, 0x1.48054288c394bp-16, 0x1.48acfd4ff2138p-16, 0x1.4945a1eaaffep-16, 0x1.49cf5a6c3ccf2p-16, 0x1.4a4a5b79b3bf4p-16, 0x1.4ab6c2736169ap-16, 0x1.4b1489bdf78f9p-16, 0x1.4b63c7e8edb31p-16, 0x1.4ba4b6aa5444p-16, 0x1.4bd81a0d62a49p-16, 0x1.4bfd997a5e74ap-16, 0x1.4c1547b4976ap-16, 0x1.4c1f5cd24b45ap-16, 0x1.4c1c075c0909dp-16, 0x1.4c0b714543d9p-16, 0x1.4bedc3652f78ep-16, 0x1.4bc3265d6fd84p-16, 0x1.4b8bc2bf1625cp-16, 0x1.4b47c12c1d80cp-16, 0x1.4af74a7a446cdp-16, 0x1.4a9a879866682p-16, 0x1.4a31a115260d6p-16, }}, 
      {{-0x1.4e3e923432924p-2, -0x1.b958cb30ac1ep-3, -0x1.1e0cfe3b2a4c1p-4, 0x1.6fe1ef00f589fp-4, 0x1.ff3d74af89088p-3, 0x1.9a5e3acc420e2p-2, 0x1.136218f606aa5p-1, 0x1.50f565ef007c4p-1, 0x1.8558b1d11746ep-1, 0x1.b0954e232bacep-1, 0x1.d31915c57c4fbp-1, 0x1.ed8ffdf19cbc1p-1, 0x1.006444e429408p+0, 0x1.06d02a1fd4646p+0, 0x1.0a7b4d07d1d79p+0, 0x1.0bd19934e3b3ap+0, 0x1.0b3864220bda7p+0, 0x1.090cb892f35cfp+0, 0x1.05a27aa4b567bp+0, 0x1.014424a08fa28p+0, 0x1.f865d8540c94ap-1, 0x1.ed4e591324048p-1, 0x1.e1a1f770b3ee4p-1, 0x1.d5b1aea35ef1dp-1, 0x1.c9c0b7f3fbbe7p-1, 0x1.be05fbe27d0a5p-1, 0x1.b2ad79474429cp-1, 0x1.a7d99a833988fp-1, 0x1.9da473eb3a0dcp-1, 0x1.9420e8c4f105p-1, 0x1.8b5bb5b26de67p-1, 0x1.835c6090d3b2ep-1, 0x1.7c260eab4bd2p-1, 0x1.75b842bf0a6fcp-1, 0x1.700f848aca722p-1, 0x1.6b25f3d0ee692p-1, 0x1.66f3c8937446cp-1, 0x1.636fc25512387p-1, 0x1.608f880db8b0bp-1, 0x1.5e47fa5a6e2edp-1, 0x1.5c8d7970d02ddp-1, 0x1.5b542025a86d5p-1, 0x1.5a8ff551fe37fp-1, 0x1.5a3514bb5482ap-1, 0x1.5a37d08305893p-1, 0x1.5a8ccc239c9e4p-1, 0x1.5b2911c825536p-1, 0x1.5c0222b2fbe56p-1, 0x1.5d0e03945df59p-1, 0x1.5e43453b1af46p-1, 0x1.5f990a3409abfp-1, 0x1.610709f6c1899p-1, 0x1.628591d049e91p-1, 0x1.640d84178b634p-1, 0x1.659855f110648p-1, 0x1.67200bcff1da7p-1, 0x1.689f3532c6f6fp-1, 0x1.6a10e7775bee3p-1, 0x1.6b70b8576d9dcp-1, 0x1.6cbab7d7ef3eep-1, 0x1.6deb6a1cfe1b3p-1, 0x1.6effc0fa1198fp-1, 0x1.6ff5158de6445p-1, 0x1.70c921d792dd1p-1, 0x1.7179fa67229eep-1, 0x1.72060830d3c2fp-1, 0x1.726c0287f3753p-1, 0x1.72aae95225323p-1, 0x1.72c1ff6516e5ap-1, 0x1.72b0c528d9a6fp-1, 0x1.7276f36a956b7p-1, 0x1.72147670ab578p-1, 0x1.7189694a8fabep-1, 0x1.70d6115da2155p-1, 0x1.6ffada31386b3p-1, 0x1.6ef85175a2d31p-1, 0x1.6dcf234ff697bp-1, 0x1.6c8016d50d4a7p-1, 0x1.6b0c0ace6c4a6p-1, 0x1.6973f2aa817c9p-1, 0x1.67b8d3ad747e9p-1, 0x1.65dbc250cab8dp-1, 0x1.63dddfda2156fp-1, 0x1.61c0581ef4774p-1, 0x1.5f845f778be9ap-1, 0x1.5d2b30dbecac2p-1, 0x1.5ab60c299396cp-1, 0x1.5826348d34f85p-1, 0x1.557cef12531ebp-1, 0x1.52bb81509681bp-1, 0x1.4fe3303d85411p-1, 0x1.4cf53f17d0dd8p-1, 0x1.49f2ee7102971p-1, 0x1.46dd7b5341e6bp-1, 0x1.43b61e7d591dfp-1, 0x1.407e0bb659575p-1, 0x1.3d367135778ffp-1, 0x1.39e0771df9ca6p-1, 0x1.367d3f0c4c15cp-1, 0x1.330de3b22987p-1, 0x1.2f9378838ac93p-1, 0x1.2c0f09717ce6ap-1, 0x1.28819ab1e5991p-1, 0x1.24ec28980893dp-1, 0x1.214fa77311708p-1, 0x1.1dad0379142bcp-1, 0x1.1a0520c01b042p-1, 0x1.1658db3710b8ep-1, 0x1.12a906ac0ed76p-1, 0x1.0ef66ed657ad6p-1, 0x1.0b41d76450187p-1, 0x1.078bfc117949p-1, 0x1.03d590bd9b159p-1, 0x1.001f41897e2c6p-1, 0x1.f8d365efbbfacp-2, 0x1.f16b04223bb1bp-2, 0x1.ea068915d6045p-2, 0x1.e2a711e3d0bcbp-2, 0x1.db4dadaaf4c95p-2, 0x1.d3fb5ded4c2e4p-2, 0x1.ccb116ece4d4cp-2, 0x1.c56fc00b01ae4p-2, 0x1.be3834296fd65p-2, 0x1.b70b42098592p-2, 0x1.afe9acac5d87dp-2, 0x1.a8d42bb5d52bep-2, 0x1.a1cb6bc75d43bp-2, 0x1.9ad00edb24928p-2, 0x1.93e2aca9ff4d1p-2, 0x1.8d03d301b35e3p-2, 0x1.863406228bae7p-2, 0x1.7f73c117f5438p-2, 0x1.78c376137130fp-2, 0x1.72238ec4f7a9cp-2, 0x1.6b946caeae5cfp-2, 0x1.6516697a5710ap-2, 0x1.5ea9d74d7c4d1p-2, 0x1.584f01169f25bp-2, 0x1.52062adaa3e5dp-2, 0x1.4bcf9202c7f63p-2, 0x1.45ab6da566aafp-2, 0x1.3f99eeca54a7p-2, 0x1.399b40b0058e7p-2, 0x1.33af890f6ee8p-2, 0x1.2dd6e85ac86bp-2, 0x1.281179f9a934p-2, 0x1.225f5485e2f7bp-2, 0x1.1cc08a07143cfp-2, 0x1.173528290ec71p-2, 0x1.11bd386f8fe71p-2, 0x1.0c58c06bb2cebp-2, 0x1.0707c1f068326p-2, 0x1.01ca3b40a1286p-2, 0x1.f9404e78ec356p-3, 0x1.ef12fb2221dbep-3, 0x1.e50c65c80fd4fp-3, 0x1.db2c71f076208p-3, 0x1.d172fdbafeb2ep-3, 0x1.c7dfe21de613fp-3, 0x1.be72f338e61abp-3, 0x1.b52c009de9944p-3, 0x1.ac0ad590c6613p-3, 0x1.a30f3946c1094p-3, 0x1.9a38ef259286cp-3, 0x1.9187b703c27a6p-3, 0x1.88fb4d6074061p-3, 0x1.80936b96f3759p-3, 0x1.784fc81494c2p-3, 0x1.703016891d43fp-3, 0x1.6834081cf94bep-3, 0x1.605b4b9df986ep-3, 0x1.58a58da50dfbdp-3, 0x1.511278c42230bp-3, 0x1.49a1b5af18445p-3, 0x1.4252eb647b05dp-3, 0x1.3b25bf50390cp-3, 0x1.3419d56cbdfc5p-3, 0x1.2d2ed064a23aep-3, 0x1.266451b671691p-3, 0x1.1fb9f9d17c8e9p-3, 0x1.192f6834c3112p-3, 0x1.12c43b8774f4ep-3, 0x1.0c7811b37b345p-3, 0x1.064a880267d21p-3, 0x1.003b3b32b9cp-3, 0x1.f4938f2539421p-4, 0x1.e8eb922436653p-4, 0x1.dd7db6b22b85ep-4, 0x1.d24933b3a3aedp-4, 0x1.c74d3fcf77a71p-4, 0x1.bc89118e06132p-4, 0x1.b1fbdf7991609p-4, 0x1.a7a4e04a6882fp-4, 0x1.9d834af3c436p-4, 0x1.939656d3b6982p-4, 0x1.89dd3bb6abd75p-4, 0x1.80573215f7d48p-4, 0x1.77037314f7d76p-4, 0x1.6de138a20efb5p-4, 0x1.64efbd8bf9eb6p-4, 0x1.5c2e3d9ae624dp-4, 0x1.539bf59de791ep-4, 0x1.4b38238924ea7p-4, 0x1.43020682a9b3ap-4, 0x1.3af8def0af22ep-4, 0x1.331bee8be8bdap-4, 0x1.2b6a787022d7ep-4, 0x1.23e3c12a79b2cp-4, 0x1.1c870ec778db1p-4, 0x1.1553a8e20b873p-4, 0x1.0e48d8a67627cp-4, 0x1.0765e8e8b8b51p-4, 0x1.00aa26285911bp-4, 0x1.f429bd370343ep-5, 0x1.e74ac46f1c95bp-5, 0x1.dab6057ae535p-5, 0x1.ce6a277814ecep-5, 0x1.c265d53238e3p-5, 0x1.b6a7bd2f68091p-5, 0x1.ab2e91c574e54p-5, 0x1.9ff909112bf93p-5, 0x1.9505dd1144999p-5, 0x1.8a53cba252a35p-5, 0x1.7fe1969c8ffe3p-5, 0x1.75ae03bc0ceb4p-5, 0x1.6bb7dcbad7f52p-5, 0x1.61fdef4feb7fdp-5, 0x1.587f0d33cd62ep-5, 0x1.4f3a0c24a659ap-5, 0x1.462dc5e8d7d4dp-5, 0x1.3d5918501a61p-5, 0x1.34bae537bcd9p-5, 0x1.2c5212803533ap-5, 0x1.241d8a1b5ce8fp-5, 0x1.1c1c39faf4169p-5, 0x1.144d142a27968p-5, 0x1.0caf0eabb2831p-5, 0x1.0541238b76de8p-5, 0x1.fc04a1aaf45e5p-6, 0x1.ede3312439bdcp-6, 0x1.e01c0186f24f3p-6, 0x1.d2ad26b80f721p-6, 0x1.c594bc6e4b625p-6, 0x1.b8d0e66a87bd1p-6, 0x1.ac5fd00f4b4e2p-6, 0x1.a03fac5fffd87p-6, 0x1.946eb6324675fp-6, 0x1.88eb3000b2907p-6, 0x1.7db363bf43b18p-6, 0x1.72c5a3037458ep-6, 0x1.682046bcc4396p-6, 0x1.5dc1af4936ea3p-6, 0x1.53a8445a4ea8p-6, 0x1.49d274e4390efp-6, 0x1.403eb70ce6b9bp-6, 0x1.36eb881a04789p-6, 0x1.2dd76c5e63942p-6, 0x1.2500ef272c94p-6, 0x1.1c66a2a91c944p-6, 0x1.14071fed88e7p-6, 0x1.0be106c12ab3p-6, 0x1.03f2fda629a0ap-6, 0x1.f8776344cb541p-7, 0x1.e973acb67e8c1p-7, 0x1.dad84ba7cbf6dp-7, 0x1.cca2c1037fb2ep-7, 0x1.bed09a19da352p-7, 0x1.b15f70b93f657p-7, 0x1.a44ceaf07f6e7p-7, 0x1.9796bae34dbc8p-7, 0x1.8b3a9e9e77407p-7, 0x1.7f365febfb23cp-7, 0x1.7387d42910116p-7, 0x1.682cdc1ec8d0ap-7, 0x1.5d2363dbf14efp-7, 0x1.5269628dd7d26p-7, 0x1.47fcda559f859p-7, 0x1.3ddbd8197358bp-7, 0x1.34047355b2202p-7, 0x1.2a74cdfbd60b2p-7, 0x1.212b1412a6bd8p-7, 0x1.18257be9263eep-7, 0x1.0f62459036d95p-7, 0x1.06dfbb3aca87cp-7, 0x1.fd38612023b1ep-8, 0x1.ed2c05990bf4bp-8, 0x1.dd9730fc30a79p-8, 0x1.ce76c291cffbap-8, 0x1.bfc7ab6edbc07p-8, 0x1.b186ee2b3614ep-8, 0x1.a3b19eafc15e9p-8, 0x1.9644e21231832p-8, 0x1.893dee6bffe2p-8, 0x1.7c9a0a99d024p-8, 0x1.70568dd8f3f4cp-8, 0x1.6470df48c0cfbp-8, 0x1.58e67562dc13dp-8, 0x1.4db4d5858495cp-8, 0x1.42d993a63e7dp-8, 0x1.385252395eb31p-8, 0x1.2e1cc24f1c3e3p-8, 0x1.2436a33f1b08fp-8, 0x1.1a9dc33f6fa0fp-8, 0x1.114ffdca20808p-8, 0x1.084b3d94e5816p-8, 0x1.ff1af234c7862p-9, 0x1.ee2966174bc45p-9, 0x1.ddbdf48fa8edep-9, 0x1.cdd4d27367997p-9, 0x1.be6a4bc47739ap-9, 0x1.af7ac494f358p-9, 0x1.a102b9991601cp-9, 0x1.92fec049ad351p-9, 0x1.856b8648b7b58p-9, 0x1.7845d00083576p-9, 0x1.6b8a76c491f7ep-9, 0x1.5f3666f360c2dp-9, 0x1.53469ea3aec3cp-9, 0x1.47b82d3c2e7e9p-9, 0x1.3c883404a540ep-9, 0x1.31b3e762436cbp-9, 0x1.2738902e9874fp-9, 0x1.1d138c89630bcp-9, 0x1.13424fb3349d5p-9, 0x1.09c260e4eff48p-9, 0x1.0091587ea48c7p-9, 0x1.ef59bce3cf7fep-10, 0x1.de254e113bde5p-10, 0x1.cd80e6c9e35e5p-10, 0x1.bd68207d706d9p-10, 0x1.add6afdc3c43p-10, 0x1.9ec8693cbf065p-10, 0x1.903943dcbb6b1p-10, 0x1.82255babc3626p-10, 0x1.7488f0737d96ap-10, 0x1.67606256c407dp-10, 0x1.5aa82c794b4f6p-10, 0x1.4e5cdf3edec69p-10, 0x1.427b1bc90e959p-10, 0x1.36ff921172cfbp-10, 0x1.2be70225622d4p-10, 0x1.212e3fec0657ap-10, 0x1.16d237f364a48p-10, 0x1.0ccff376390eep-10, 0x1.03249a34fc941p-10, 0x1.f39ae32c54e59p-11, 0x1.e18fb2af3f4cp-11, 0x1.d0228d515b25p-11, 0x1.bf4e7da00bd33p-11, 0x1.af0ea5588dd66p-11, 0x1.9f5e38ac60497p-11, 0x1.90387fb27fc88p-11, 0x1.8198dd4caaf78p-11, 0x1.737ad6d3cc01dp-11, 0x1.65da20c1075f4p-11, 0x1.58b29cedc056dp-11, 0x1.4c005f5196b25p-11, 0x1.3fbfa027e6733p-11, 0x1.33ecb86127181p-11, 0x1.28841a6dc9df1p-11, 0x1.1d824c6fceadbp-11, 0x1.12e3e45e74915p-11, 0x1.08a586780f535p-11, 0x1.fd87cf257398cp-12, 0x1.ea77a7cb4c657p-12, 0x1.d81470367eb05p-12, 0x1.c6584fd55ba2p-12, 0x1.b53dbb8b7ca87p-12, 0x1.a4bf65e69a391p-12, 0x1.94d828860f38dp-12, 0x1.8582f32e9409ap-12, 0x1.76bac8083f4cfp-12, 0x1.687ac2b236bd8p-12, 0x1.5abe20617e3d5p-12, 0x1.4d803abb5d488p-12, 0x1.40bc9f9e2c9ecp-12, 0x1.346ef4a644ffdp-12, 0x1.28930cc05238dp-12, 0x1.1d2501b72e00dp-12, 0x1.12212c94c2beep-12, 0x1.07841cab8c196p-12, 0x1.fa94f2c5f183p-13, 0x1.e6e1c58269ac5p-13, 0x1.d3e7c94d03bfbp-13, 0x1.c1a0038d13b0bp-13, 0x1.b003a345c0df9p-13, 0x1.9f0c36dc67cf2p-13, 0x1.8eb3b5bece2efp-13, 0x1.7ef474f7f3a17p-13, 0x1.6fc8fcfd11f9bp-13, 0x1.612c15ae430b4p-13, 0x1.5318d60bb40fcp-13, 0x1.458ab3bdd1a35p-13, 0x1.387d76b56aacbp-13, 0x1.2bed07fc3d76ap-13, 0x1.1fd52f189ad0fp-13, 0x1.14316587a3b59p-13, 0x1.08fce25e12149p-13, 0x1.fc65bb0fccd47p-14, 0x1.e79dc4d659447p-14, 0x1.d399fdc7b3595p-14, 0x1.c05370488ab15p-14, 0x1.adc3b69e1f042p-14, 0x1.9be4a95d6fa56p-14, 0x1.8ab04a33abcc7p-14, 0x1.7a20d646e3a68p-14, 0x1.6a30d40a3cd68p-14, 0x1.5adb05fc4e871p-14, 0x1.4c1a40a9cb143p-14, 0x1.3de92e4279042p-14, 0x1.30421da97600fp-14, 0x1.231f0711e5f9p-14, 0x1.1679d8f15c92bp-14, 0x1.0a4cec21f6ecp-14, 0x1.fd26b8ad5877bp-15, 0x1.e6922b1063e0fp-15, 0x1.d0d538f6613ffp-15, 0x1.bbe981bdde05ep-15, 0x1.a7c8c7c4e1a53p-15, 0x1.946cb1de95026p-15, 0x1.81ce9418c46c6p-15, 0x1.6fe76e8d72c58p-15, 0x1.5eb015def37c1p-15, 0x1.4e21528ea6505p-15, 0x1.3e34347638484p-15, 0x1.2ee1fa134f1cdp-15, 0x1.202453fc26533p-15, 0x1.11f53d742e971p-15, 0x1.044ee165a51dep-15, 0x1.ee5757ad33ed3p-16, 0x1.d50d1a7c80a9bp-16, 0x1.bcb6bb5ae3909p-16, 0x1.a54dff1cd87aep-16, 0x1.8ecdc5f7ff025p-16, 0x1.79303aed04125p-16, 0x1.646d9e784f8fep-16, 0x1.507cb592c5538p-16, 0x1.3d53fb35b0d31p-16, 0x1.2ae9fda1c0173p-16, 0x1.193554adc259ep-16, 0x1.082d83cf70c14p-16, 0x1.ef98557150b39p-17, 0x1.d019bef7c0aabp-17, 0x1.b1d73b3392997p-17, 0x1.94c6a3feb9689p-17, 0x1.78db38022454ep-17, 0x1.5e07519a4dbf3p-17, 0x1.443fb3d69b22p-17, 0x1.2b7e4acee12bap-17, 0x1.13c05c043a1f7p-17, 0x1.fa01c15577cd4p-18, 0x1.ce6a2708b337bp-18, 0x1.a4a20031a73fap-18, 0x1.7c96ad9af697ep-18, 0x1.56346b730975p-18, 0x1.316644306e9f3p-18, 0x1.0e15ef8933e74p-18, 0x1.d8670f5de2938p-19, 0x1.976f29cd96d7bp-19, 0x1.593cc81d5f8b8p-19, 0x1.1dc3c03f621aap-19, 0x1.c9dbedb511ed6p-20, 0x1.5d42d057121e9p-20, 0x1.eb01b79a51398p-21, 0x1.24bf9645503d3p-21, 0x1.9deada03c977fp-23, -0x1.3398e2f2178cp-23, -0x1.f12dc737fd1e7p-22, -0x1.9c05b0e30b305p-21, -0x1.1bc773191fc31p-20, -0x1.65ad4707b9167p-20, -0x1.abd00434457bdp-20, -0x1.ee630a7fcb522p-20, -0x1.16ce31b980489p-19, -0x1.34d038f609921p-19, -0x1.514045b9735e5p-19, -0x1.6c2322227b7e1p-19, -0x1.857efece50a92p-19, -0x1.9d5d191d72fap-19, -0x1.b3c79450c1c35p-19, -0x1.c8c69f26f84a1p-19, -0x1.dc6619c309fdcp-19, -0x1.eebc574e91ccdp-19, -0x1.ffdb48f6b4cccp-19, -0x1.07e2635f21171p-18, -0x1.0f3f1726e0f0fp-18, -0x1.160b2acfcea96p-18, -0x1.1c494c73e5a45p-18, -0x1.21f968c1292fap-18, -0x1.272053486643dp-18, -0x1.2bc62e081562p-18, -0x1.2ff29002f4d89p-18, -0x1.33aa6a32ea084p-18, -0x1.36ef85421a50ap-18, -0x1.39c2ec1fe6298p-18, -0x1.3c27a9cca5b92p-18, -0x1.3e2169aa240afp-18, -0x1.3fb1b60af1983p-18, -0x1.40da480e6ccd7p-18, -0x1.419f3bc4febfep-18, -0x1.4204fed79040cp-18, -0x1.421099c8a3d57p-18, -0x1.41c63f7d5a44ap-18, -0x1.41262e4b4c048p-18, -0x1.4033061cccf7p-18, -0x1.3ef0555a2ee85p-18, -0x1.3d5d77d55597cp-18, -0x1.3b7ba7c8b3e61p-18, -0x1.394ec616bf519p-18, -0x1.36dba1a16311p-18, -0x1.3425f37c36262p-18, -0x1.3130157100f18p-18, -0x1.2df9e77f30a1p-18, -0x1.2a853d3cb6296p-18, -0x1.26d5236b13bdap-18, -0x1.22ea8c9c83278p-18, -0x1.1ec6d24a27f72p-18, -0x1.1a6cdc2bdb10dp-18, -0x1.15df637a9b50dp-18, -0x1.1120657010c33p-18, -0x1.0c30be6808f63p-18, -0x1.071199e896f9bp-18, -0x1.01c623007eb82p-18, -0x1.f8a03217610fdp-19, -0x1.ed6322b0af55p-19, -0x1.e1d676a7e73f1p-19, -0x1.d5fa365f8355bp-19, -0x1.c9d29d3b50c4bp-19, -0x1.bd641f41072e1p-19, -0x1.b0b42f8bbbe17p-19, -0x1.a3c6a7df36022p-19, -0x1.969bca72087f9p-19, -0x1.89365ad3b50a2p-19, -0x1.7b9c3e8b6ed78p-19, -0x1.6dca154b516e4p-19, -0x1.5fc58e95314b3p-19, -0x1.5192d3ad2962fp-19, -0x1.43342fd7ad1c8p-19, -0x1.34abf70514c02p-19, -0x1.25fc7d659d155p-19, -0x1.17285cb25b199p-19, -0x1.0831850609185p-19, -0x1.f2321d0aeb25p-20, -0x1.d3c5b600b63cap-20, -0x1.b5250cd73c0a9p-20, -0x1.96540ad547025p-20, -0x1.7752eab1c42acp-20, -0x1.58266ddfdf75dp-20, -0x1.38d3c0874b3bcp-20, -0x1.195fdcd118409p-20, -0x1.f3a19a2e8a8f5p-21, -0x1.b452d6c4d82c7p-21, -0x1.74dd3f9919b1bp-21, -0x1.3543e2196e705p-21, -0x1.eb1b372e7d5fep-22, -0x1.6b8a3a031531ap-22, -0x1.d7c6f106491afp-23, -0x1.b0ddbd30a0cecp-24, 0x1.36e212704389fp-26, 0x1.25f23bce6c055p-23, 0x1.1267b600013f1p-22, 0x1.91a998859565p-22, 0x1.0856f9f47f8dcp-21, 0x1.47b40fc80a325p-21, 0x1.86e80fe4b2f4cp-21, 0x1.c5ecf62ae7368p-21, 0x1.025be01788d85p-20, 0x1.21a2718f5079dp-20, 0x1.40c8f81a9c31cp-20, 0x1.5fcbe767fa5dep-20, 0x1.7ea917a09617ap-20, 0x1.9d5c4d6cd3286p-20, 0x1.bbe2600848db8p-20, 0x1.da39d1775d99ep-20, 0x1.f8616aa38752ap-20, 0x1.0b2ab4a9fef65p-19, 0x1.1a09a04b771f4p-19, 0x1.28cc7467954efp-19, 0x1.37722483f698dp-19, 0x1.45f99fdea69cdp-19, 0x1.5461d71b23c8ep-19, 0x1.62a9be66c1fc3p-19, 0x1.70d04fafc0acfp-19, 0x1.7ed48effd9133p-19, 0x1.8cb5914997542p-19, 0x1.9a727834787a9p-19, 0x1.a80a57f3dfc3cp-19, 0x1.b57c4497b92b3p-19, 0x1.c2c7bf3a76dfp-19, 0x1.cfeb790a3976p-19, 0x1.dce6c5f4d3cc4p-19, 0x1.e9b9539457a1fp-19, 0x1.f6628432f5d34p-19, 0x1.017089d9c148ep-18, 0x1.079a0789e7397p-18, 0x1.0dadda6237674p-18, 0x1.13ab86f45fe11p-18, 0x1.1992a9fd3154dp-18, 0x1.1f63086b48496p-18, 0x1.251c628c6c0ddp-18, 0x1.2abe777920d26p-18, 0x1.304908baeaeb5p-18, 0x1.35bbdb22bb238p-18, 0x1.3b16b679a9ep-18, 0x1.405964efe12f3p-18, 0x1.4583b2fda2696p-18, 0x1.4a956fc070aep-18, 0x1.4f8e6d8172e9ap-18, 0x1.546e8353a44c5p-18, 0x1.593590c315a4ap-18, 0x1.5de380cfc904ap-18, 0x1.6278276f5cdbbp-18, 0x1.66f33567dea06p-18, 0x1.6b54ae85f35b4p-18, 0x1.6f9c2d1be57cfp-18, 0x1.73ca844c49de3p-18, 0x1.77df5d157b08ep-18, 0x1.7bd923655a767p-18, 0x1.7fba0c1f3de9fp-18, 0x1.838084754e66p-18, 0x1.872cf359c993dp-18, 0x1.8abf541b94701p-18, 0x1.8e379df61327ap-18, 0x1.9195ccadb71edp-18, 0x1.94d9dea237302p-18, 0x1.9803d49074e2dp-18, 0x1.9b13b182ca324p-18, 0x1.9e097abcef7dcp-18, 0x1.a0e53785951aep-18, 0x1.a3a6f0e616c92p-18, 0x1.a64eb1ad4a8abp-18, 0x1.a8dc86b5fa226p-18, 0x1.ab507efe4c404p-18, 0x1.adaaab62ccf47p-18, 0x1.afeb1ecd171a7p-18, 0x1.b211eee62082ep-18, 0x1.b41f3229ae189p-18, 0x1.b612fd17acbc1p-18, 0x1.b7ed5c75fc053p-18, 0x1.b9ae7f19a7bffp-18, 0x1.bb5697d611394p-18, 0x1.bce5a5a9d2f17p-18, 0x1.be5bca6352106p-18, 0x1.bfb91ece0eb9bp-18, 0x1.c0fdd0d775ae8p-18, 0x1.c22a0578c0a75p-18, 0x1.c33de2c771838p-18, 0x1.c4399261fc2a1p-18, 0x1.c51d35e48bcdep-18, 0x1.c5e8f4f7f5ebcp-18, 0x1.c69d03e48af09p-18, 0x1.c73988b174f76p-18, 0x1.c7beb047cc20dp-18, 0x1.c82ca90f07e97p-18, 0x1.c883a22c70dap-18, 0x1.c8c3cbc4e7cfcp-18, 0x1.c8ed56fdcf741p-18, 0x1.c90076055552fp-18, 0x1.c8fd5c0b9a90ep-18, 0x1.c8e43cd83e959p-18, 0x1.c8b54c7dc6283p-18, 0x1.c870c0323c1c9p-18, 0x1.c816d0799c97dp-18, 0x1.c7a7b69f7853bp-18, 0x1.c723a040f0a17p-18, 0x1.c68ac4633cd52p-18, 0x1.c5dd766be2efap-18, 0x1.c51bea4a2cfd8p-18, 0x1.c446408f8ddc1p-18, 0x1.c35ccc936b1efp-18, 0x1.c25fd0947e7f6p-18, 0x1.c14f62dacaab4p-18, 0x1.c02bc49aa408bp-18, 0x1.bef506561b991p-18, 0x1.bdabf74a75781p-18, 0x1.bc5097f832d26p-18, 0x1.bae2ff301cd96p-18, 0x1.b963759fa464cp-18, 0x1.b7d2406faaa33p-18, 0x1.b62fa0d221385p-18, 0x1.b47bd6eabf07dp-18, 0x1.b2b722c5941aap-18, 0x1.b0e1c4ab421dbp-18, 0x1.aefbfd24a521dp-18, 0x1.ad060cef975b9p-18, 0x1.ab0034e6bb518p-18, 0x1.a8eab5e36d43ap-18, 0x1.a6c5d0b737af2p-18, 0x1.a491c66cd5711p-18, 0x1.a24ed9052f8c5p-18, 0x1.9ffd4b7d171a6p-18, 0x1.9d9d5503c70ap-18, 0x1.9b2f4455f402fp-18, 0x1.98b35e4d16504p-18, 0x1.9629d15d1bdabp-18, 0x1.9392ea8c42948p-18, 0x1.90eeed0783341p-18, 0x1.8e3e13936aea5p-18, 0x1.8b80a1f5a71d2p-18, 0x1.88b6da089742fp-18, 0x1.85e11f0167a6ep-18, 0x1.82ff60bccda5ep-18, 0x1.8012007092715p-18, 0x1.7d196f2f86456p-18, 0x1.7a15bb02cc917p-18, 0x1.770737183d7bp-18, 0x1.73ee1f0757e3ap-18, 0x1.70cab1ec823fp-18, 0x1.6d9d2f05977bp-18, 0x1.6a65d55563af7p-18, 0x1.6724e394824d4p-18, 0x1.63da9831e0afap-18, 0x1.6087315268cb7p-18, 0x1.5d2aecc8d1bfdp-18, 0x1.59c6080bcde3fp-18, 0x1.5658c02e2f381p-18, 0x1.52e351ecbdbf4p-18, 0x1.4f65f9e066806p-18, 0x1.4be0f464b5eb5p-18, 0x1.48547c0ef5db3p-18, 0x1.44c0ca997a90ep-18, 0x1.412622aa1b103p-18, 0x1.3d84b692b5cc1p-18, 0x1.39dcc2b41b42p-18, 0x1.362e80e3ecff4p-18, 0x1.327a2a0aa5bd1p-18, 0x1.2ebff8fa8548ap-18, 0x1.2b0023728b177p-18, 0x1.273ae22335a13p-18, 0x1.23706c729afdfp-18, 0x1.1fa0f99b21eecp-18, 0x1.1bccc2c680f48p-18, 0x1.17f407257641fp-18, 0x1.1416f65ce8225p-18, 0x1.1035a9593ed52p-18, 0x1.0c504a8008a07p-18, 0x1.086719cb22e23p-18, 0x1.047aad1b25097p-18, 0x1.008ae69442ec2p-18, 0x1.f92fd73135556p-19, 0x1.f143f08248fbbp-19, 0x1.e952840118dc8p-19, 0x1.e15bf59879ca9p-19, 0x1.d960a694cc98ap-19, 0x1.d160f6c0f9d18p-19, 0x1.c95d449bd755p-19, 0x1.c155ed9225f07p-19, 0x1.b94b4e1aa011ap-19, 0x1.b13dc199acd19p-19, 0x1.a92da1c561a3p-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.ff425df73ff8cp-7, -0x1.fec28fcbe30a3p-6, -0x1.7e72a146edcdcp-5, -0x1.fcc61c8a811b8p-5, -0x1.3d0f41ef44ba8p-4, -0x1.7b2027cb0dfa7p-4, -0x1.b878fb42687f1p-4, -0x1.f4fe18d72dcedp-4, -0x1.184a8cec1f873p-3, -0x1.35927528b8f31p-3, -0x1.524aecd652f56p-3, -0x1.6e68d343049ep-3, -0x1.89e1c31cb0beap-3, -0x1.a4ac14562cfdbp-3, -0x1.bebedc6a36c8dp-3, -0x1.d811ed3795cc4p-3, -0x1.f09dd2ad2e456p-3, -0x1.042de7bbdb5e3p-2, -0x1.0fa2ec6ed3eabp-2, -0x1.1aab48f86b30cp-2, -0x1.2544a31c35de8p-2, -0x1.2f6cf1f8a99c3p-2, -0x1.39227aff931cep-2, -0x1.4263ced1f564cp-2, -0x1.4b2fc608e23ap-2, -0x1.53857df36ce67p-2, -0x1.5b645550a4262p-2, -0x1.62cbe90b6e1bbp-2, -0x1.69bc10fd4701ep-2, -0x1.7034dcbc13b93p-2, -0x1.7636907694644p-2, -0x1.7bc1a1e270d04p-2, -0x1.80d6b53e586c7p-2, -0x1.85769a6a38627p-2, -0x1.89a24a172a80fp-2, -0x1.8d5ae31060ab8p-2, -0x1.90a1a79df9dcep-2, -0x1.9377fb02661a8p-2, -0x1.95df5f12b8c7fp-2, -0x1.97d971e9fee89p-2, -0x1.9967ebb78c8dap-2, -0x1.9a8c9ca7e3c2ep-2, -0x1.9b496ae7c3f26p-2, -0x1.9ba050c0bc625p-2, -0x1.9b935ace7c527p-2, -0x1.9b24a64c07063p-2, -0x1.9a565f77d1ec9p-2, -0x1.992ac00dcced4p-2, -0x1.97a40dd6450f8p-2, -0x1.95c499488b14ap-2, -0x1.938ebc4048119p-2, -0x1.9104d8c4676fp-2, -0x1.8e2957de8cabbp-2, -0x1.8afea88206d68p-2, -0x1.87873e8147814p-2, -0x1.83c59190ed091p-2, -0x1.7fbc1c577b823p-2, -0x1.7b6d5b88f4406p-2, -0x1.76dbcd0d844f5p-2, -0x1.7209ef3297bcbp-2, -0x1.6cfa3fe5b27dcp-2, -0x1.67af3bf873408p-2, -0x1.622b5e6d42cf6p-2, -0x1.5c711fcc36343p-2, -0x1.5682f57fc0359p-2, -0x1.50635138cf398p-2, -0x1.4a14a05a1361dp-2, -0x1.43994b6a1c66dp-2, -0x1.3cf3b58c1faf9p-2, -0x1.36263bff2a684p-2, -0x1.2f3335a39a335p-2, -0x1.281cf286b7847p-2, -0x1.20e5bb744c431p-2, -0x1.198fd18e24ac1p-2, -0x1.121d6de959063p-2, -0x1.0a90c1314fe31p-2, -0x1.02ebf3506592dp-2, -0x1.f662463c43d7ap-3, -0x1.e6c4cc25e1ee1p-3, -0x1.d7039002875a9p-3, -0x1.c72295a81ff26p-3, -0x1.b725cca525ee1p-3, -0x1.a7110fd2986d1p-3, -0x1.96e824f01d9d2p-3, -0x1.86aebc4a3eef8p-3, -0x1.7668706a78fcap-3, -0x1.6618c5d0edd49p-3, -0x1.55c32ab790647p-3, -0x1.456af6de7b89dp-3, -0x1.35136b6139024p-3, -0x1.24bfb294c99a8p-3, -0x1.1472dfee0c176p-3, -0x1.042feff056de7p-3, -0x1.e7f39047d8cfdp-4, -0x1.c7a66e2806756p-4, -0x1.a77de8a828143p-4, -0x1.877f41184581ep-4, -0x1.67af8b175fefdp-4, -0x1.4813acc6083a8p-4, -0x1.28b05f05090d7p-4, -0x1.098a2dbf854a7p-4, -0x1.d54af07fd1b7cp-5, -0x1.980ce31e1f741p-5, -0x1.5b6241ba09436p-5, -0x1.1f52c3e57797p-5, -0x1.c7cb96b0d60e6p-6, -0x1.5244c9e9b9639p-6, -0x1.bc3d27647b9a9p-7, -0x1.ad9703fced3bap-8, 0x1.76610a89bcc02p-12, 0x1.d64ec9173f443p-8, 0x1.c77bbb9b2575cp-7, 0x1.504db6a37c8e7p-6, 0x1.bb39856b6e218p-6, 0x1.123c146aea17dp-5, 0x1.4600896e91a2cp-5, 0x1.78e622fbeac7ap-5, 0x1.aae9292028b48p-5, 0x1.dc06294a32458p-5, 0x1.061cfa6b6099ap-4, 0x1.1dc0cfccd288ep-4, 0x1.34ed3f325e6b8p-4, 0x1.4ba112c69fa1bp-4, 0x1.61db33b7ef46fp-4, 0x1.779aa97a28a05p-4, 0x1.8cde99085c7aap-4, 0x1.a1a64426abc2dp-4, 0x1.b5f108a48259fp-4, 0x1.c9be5f9f61a2bp-4, 0x1.dd0ddcc66887bp-4, 0x1.efdf2d9ecd653p-4, 0x1.01190c64aca9bp-3, 0x1.0a033ea49a9a7p-3, 0x1.12ae28e5f632fp-3, 0x1.1b19d1f984a7cp-3, 0x1.23464bcf93787p-3, 0x1.2b33b31e64245p-3, 0x1.32e22f0971225p-3, 0x1.3a51f0c9a6805p-3, 0x1.418333568b856p-3, 0x1.48763b1071926p-3, 0x1.4f2b556ba67f2p-3, 0x1.55a2d89cb6c3ap-3, 0x1.5bdd2345c677fp-3, 0x1.61da9c2501295p-3, 0x1.679bb1c42bf5bp-3, 0x1.6d20da295f32dp-3, 0x1.726a9288e17a2p-3, 0x1.77795ef835b02p-3, 0x1.7c4dca224fb73p-3, 0x1.80e864fd05cb4p-3, 0x1.8549c67fadcfap-3, 0x1.89728b5af11d9p-3, 0x1.8d6355b1dc1a7p-3, 0x1.911cccd4244e2p-3, 0x1.949f9cf9a87f4p-3, 0x1.97ec76ff2bb55p-3, 0x1.9b0410244f873p-3, 0x1.9de721cac78e4p-3, 0x1.a0966936c9819p-3, 0x1.a312a750bd7f1p-3, 0x1.a55ca0682778bp-3, 0x1.a7751bf7cfedap-3, 0x1.a95ce46b294cep-3, 0x1.ab14c6e4f2p-3, 0x1.ac9d93070eb94p-3, 0x1.adf81abba6b12p-3, 0x1.af2531ff73c18p-3, 0x1.b025aead50eb3p-3, 0x1.b0fa684afd9a7p-3, 0x1.b1a437d72036fp-3, 0x1.b223f79873c5fp-3, 0x1.b27a82ee385cbp-3, 0x1.b2a8b621cdc32p-3, 0x1.b2af6e3986599p-3, 0x1.b28f88cca9757p-3, 0x1.b249e3d8a7d87p-3, 0x1.b1df5d977a581p-3, 0x1.b150d457329f9p-3, 0x1.b09f2652b1bbfp-3, 0x1.afcb318b8b7bap-3, 0x1.aed5d3a50eb73p-3, 0x1.adbfe9c072829p-3, 0x1.ac8a505a24c32p-3, 0x1.ab35e3283cccfp-3, 0x1.a9c37cfa05b78p-3, 0x1.a833f798ad9b9p-3, 0x1.a6882ba902dabp-3, 0x1.a4c0f08e4e65ep-3, 0x1.a2df1c4e4154ep-3, 0x1.a0e38375f087fp-3, 0x1.9ecef8ffdbb09p-3, 0x1.9ca24e3b096d8p-3, 0x1.9a5e52b31e177p-3, 0x1.9803d4197df41p-3, 0x1.95939e2f72045p-3, 0x1.930e7ab143fep-3, 0x1.907531425b1e2p-3, 0x1.8dc8875a4bc0ep-3, 0x1.8b094032dd43fp-3, 0x1.88381cb6fba4fp-3, 0x1.8555db7298612p-3, 0x1.8263388370e8ep-3, 0x1.7f60ed8abd4a9p-3, 0x1.7c4fb19fb8213p-3, 0x1.7930394309733p-3, 0x1.7603365309128p-3, 0x1.72c95800cdef8p-3, 0x1.6f834ac61a34p-3, 0x1.6c31b85c071fep-3, 0x1.68d547b27dd7ep-3, 0x1.656e9ce8761f1p-3, 0x1.61fe5944ef891p-3, 0x1.5e851b30a98dap-3, 0x1.5b037e308c685p-3, 0x1.577a1ae0ce35bp-3, 0x1.53e986f0b9e8bp-3, 0x1.5052551f2b73ap-3, 0x1.4cb51537a4feap-3, 0x1.491254101084cp-3, 0x1.456a9b8716fa4p-3, 0x1.41be72830f9ebp-3, 0x1.3e0e5cf1869a5p-3, 0x1.3a5adbc74f768p-3, 0x1.36a46d0122914p-3, 0x1.32eb8ba4c3c85p-3, 0x1.2f30afc2a990fp-3, 0x1.2b744e781d72p-3, 0x1.27b6d9f1e3f47p-3, 0x1.23f8c16f47175p-3, 0x1.203a7145a1308p-3, 0x1.1c7c52e44dd61p-3, 0x1.18beccd903742p-3, 0x1.150242d494aep-3, 0x1.114715b00e1bp-3, 0x1.0d8da3723687fp-3, 0x1.09d6475562c81p-3, 0x1.062159cd9ed8dp-3, 0x1.026f308f29b4bp-3, 0x1.fd803d2a7edd1p-4, 0x1.f628e8524e109p-4, 0x1.eed8fdd317ddbp-4, 0x1.e79113a42a119p-4, 0x1.e051ba8676337p-4, 0x1.d91b7e14bb336p-4, 0x1.d1eee4d40fdadp-4, 0x1.cacc7044e158bp-4, 0x1.c3b49cf44d485p-4, 0x1.bca7e28dd1ebfp-4, 0x1.b5a6b3ed60eb6p-4, 0x1.aeb17f31ade32p-4, 0x1.a7c8adcecddfcp-4, 0x1.a0eca4a11d37bp-4, 0x1.9a1dc4005869dp-4, 0x1.935c67d2edce4p-4, 0x1.8ca8e7a180b66p-4, 0x1.860396aa985b1p-4, 0x1.7f6cc3f67253ep-4, 0x1.78e4ba6af7b68p-4, 0x1.726bc0dfcc3f6p-4, 0x1.6c021a3275678p-4, 0x1.65a8055a91a95p-4, 0x1.5f5dbd7e2102fp-4, 0x1.59237a05d157ep-4, 0x1.52f96eb153cacp-4, 0x1.4cdfcbabb082p-4, 0x1.46d6bd9f987ddp-4, 0x1.40de6dcbac577p-4, 0x1.3af70216bcd9dp-4, 0x1.35209d23fb0f6p-4, 0x1.2f5b5e67138ebp-4, 0x1.29a762383720cp-4, 0x1.2404c1e80af33p-4, 0x1.1e7393d37b6a1p-4, 0x1.18f3eb7770819p-4, 0x1.1385d984611dap-4, 0x1.0e296bf1c21cp-4, 0x1.08deae114dd0ep-4, 0x1.03a5a8a22394dp-4, 0x1.fcfcc3c773de1p-5, 0x1.f2d1bb514989bp-5, 0x1.e8ca3ad252cbep-5, 0x1.dee640ab46313p-5, 0x1.d525c6d167db7p-5, 0x1.cb88c2f27929fp-5, 0x1.c20f26984096cp-5, 0x1.b8b8df4b9dd2p-5, 0x1.af85d6b72b842p-5, 0x1.a675f2c96644bp-5, 0x1.9d8915d65c4aep-5, 0x1.94bf1eb8dfdc9p-5, 0x1.8c17e8f33d89ap-5, 0x1.83934ccf70392p-5, 0x1.7b311f7ed57d9p-5, 0x1.72f133395bdc7p-5, 0x1.6ad3575c2f9b4p-5, 0x1.62d75887dc916p-5, 0x1.5afd00bdec09ep-5, 0x1.5344177dfb88fp-5, 0x1.4bac61e2494b8p-5, 0x1.4435a2bbb2a17p-5, 0x1.3cdf9aad2a1e2p-5, 0x1.35aa0846ab403p-5, 0x1.2e94a81f96ce8p-5, 0x1.279f34f089db4p-5, 0x1.20c967acaa27ap-5, 0x1.1a12f79a64079p-5, 0x1.137b9a6ba01bep-5, 0x1.0d0304556ca9dp-5, 0x1.06a8e8271fd6bp-5, 0x1.006cf760e9483p-5, 0x1.f49dc493c277ap-6, 0x1.e89cb00b1021fp-6, 0x1.dcd60d518f068p-6, 0x1.d149369cc7465p-6, 0x1.c5f58455da49fp-6, 0x1.bada4d4048f86p-6, 0x1.aff6e69fc3a41p-6, 0x1.a54aa45cf599dp-6, 0x1.9ad4d9293b6fdp-6, 0x1.9094d6a16b7b7p-6, 0x1.8689ed6f922c8p-6, 0x1.7cb36d6bbc56cp-6, 0x1.7310a5bbb8e55p-6, 0x1.69a0e4f1ffb59p-6, 0x1.6063792b89861p-6, 0x1.5757b02ccaf0ep-6, 0x1.4e7cd77dbc9fdp-6, 0x1.45d23c84f2237p-6, 0x1.3d572ca1d53cfp-6, 0x1.350af545fd29dp-6, 0x1.2cece40da5752p-6, 0x1.24fc46d7471fep-6, 0x1.1d386bda5a749p-6, 0x1.15a0a1bd3e031p-6, 0x1.0e3437aa5aaf8p-6, 0x1.06f27d646c35p-6, 0x1.ffb586b41482p-7, 0x1.f1d8b570c3efep-7, 0x1.e44d2afa76aa8p-7, 0x1.d7118d104494bp-7, 0x1.ca248355f125p-7, 0x1.bd84b77378526p-7, 0x1.b130d53330669p-7, 0x1.a5278a9ea27cep-7, 0x1.9967881a01c15p-7, 0x1.8def807e40065p-7, 0x1.82be2931ee24p-7, 0x1.77d23a40cbfa6p-7, 0x1.6d2a6e7233b79p-7, 0x1.62c5835e3a62cp-7, 0x1.58a23981ad12fp-7, 0x1.4ebf5450e699bp-7, 0x1.451b9a49841abp-7, 0x1.3bb5d5030d87fp-7, 0x1.328cd13e8afa7p-7, 0x1.299f5ef50b1edp-7, 0x1.20ec51652d028p-7, 0x1.18727f1fb68b3p-7, 0x1.1030c21322ap-7, 0x1.0825f7964fb12p-7, 0x1.005100724f2dap-7, 0x1.f16181d68d20fp-8, 0x1.e2884191035f1p-8, 0x1.d41416b752fabp-8, 0x1.c602df0e8209dp-8, 0x1.b8527f887c3ddp-8, 0x1.ab00e44ddfacfp-8, 0x1.9e0c00c668a3p-8, 0x1.9171cfa0057c9p-8, 0x1.853052d4495cp-8, 0x1.794593acc90e3p-8, 0x1.6dafa2c6173edp-8, 0x1.626c9811a8535p-8, 0x1.577a92d64d245p-8, 0x1.4cd7b9afc69eep-8, 0x1.42823a8d1f46ap-8, 0x1.38784aadfe615p-8, 0x1.2eb8269f1acccp-8, 0x1.254012355a5f9p-8, 0x1.1c0e5888579ap-8, 0x1.13214bebcf8e1p-8, 0x1.0a7745e85a39cp-8, 0x1.020ea733261e6p-8, 0x1.f3cbaf4a21bcp-9, 0x1.e3f68c61b3c41p-9, 0x1.d49ad1b16fe33p-9, 0x1.c5b5794675d67p-9, 0x1.b7438b1ebaf78p-9, 0x1.a9421d1060313p-9, 0x1.9bae52afab7bap-9, 0x1.8e855d33c8596p-9, 0x1.81c47b5a9f447p-9, 0x1.7568f94b8a0f5p-9, 0x1.697030791e172p-9, 0x1.5dd7878222394p-9, 0x1.529c721175723p-9, 0x1.47bc70bd7371ap-9, 0x1.3d3510e66cbdap-9, 0x1.3303ec947a751p-9, 0x1.2926aa54cca62p-9, 0x1.1f9afd15e3ac4p-9, 0x1.165ea403e1332p-9, 0x1.0d6f6a63ff5ccp-9, 0x1.04cb276f6d183p-9, 0x1.f8df7c5c1ca4cp-10, 0x1.e8b63aa111245p-10, 0x1.d9167e1492c63p-10, 0x1.c9fc51d636124p-10, 0x1.bb63d7705c4eep-10, 0x1.ad49468a9fc1ep-10, 0x1.9fa8ec9b45fd6p-10, 0x1.927f2c985edc2p-10, 0x1.85c87ea9228abp-10, 0x1.79816fd669e16p-10, 0x1.6da6a1bb4d066p-10, 0x1.6234ca357fa2p-10, 0x1.5728b316222aep-10, 0x1.4c7f39d1ad838p-10, 0x1.42354f3085399p-10, 0x1.3847f6ffa049ep-10, 0x1.2eb447c0e9d5bp-10, 0x1.25776a5c3e57fp-10, 0x1.1c8e99d0cf4fbp-10, 0x1.13f722e5f7ecep-10, 0x1.0bae63dd2115p-10, 0x1.03b1cc23a0737p-10, 0x1.f7fdb80aa8ed2p-11, 0x1.e92648be27a8dp-11, 0x1.dad88ca425e83p-11, 0x1.cd0fe5ef2cef3p-11, 0x1.bfc7d629b96d9p-11, 0x1.b2fbfda0e3505p-11, 0x1.a6a81ace3d632p-11, 0x1.9ac809c336747p-11, 0x1.8f57c396c344p-11, 0x1.84535dd320c39p-11, 0x1.79b709e5f32c4p-11, 0x1.6f7f1490933e7p-11, 0x1.65a7e55ad0a79p-11, 0x1.5c2dfe05cab4p-11, 0x1.530dfa023900ep-11, 0x1.4a448de6c8ac8p-11, 0x1.41ce86e7f974ap-11, 0x1.39a8ca51a17ebp-11, 0x1.31d05502c93b5p-11, 0x1.2a423ae9e568ep-11, 0x1.22fba683a3f75p-11, 0x1.1bf9d85b68d0ep-11, 0x1.153a268c039b1p-11, 0x1.0eb9fc441e34bp-11, 0x1.0876d94a307ap-11, 0x1.026e51846e4d4p-11, 0x1.f93c1901511e5p-12, 0x1.ee0789fc3dadcp-12, 0x1.e33a90f3d3ca3p-12, 0x1.d8d0ed77ac75fp-12, 0x1.cec682cc1c484p-12, 0x1.c517570d6bb3ep-12, 0x1.bbbf925305652p-12, 0x1.b2bb7dd9fb865p-12, 0x1.aa078330781b9p-12, 0x1.a1a02b65d2512p-12, 0x1.99821e3de7a85p-12, 0x1.91aa21684104ep-12, 0x1.8a1517b8ed06dp-12, 0x1.82c00066d710bp-12, 0x1.7ba7f64c3808cp-12, 0x1.74ca2f2b36f51p-12, 0x1.6e23faf62ebd4p-12, 0x1.67b2c319bdf08p-12, 0x1.617409cb0cb48p-12, 0x1.5b65695a03833p-12, 0x1.5584938620f1bp-12, 0x1.4fcf50d5ca05fp-12, 0x1.4a437ff4855cbp-12, 0x1.44df150df4b29p-12, 0x1.3fa019321ffa9p-12, 0x1.3a84a9b9586dp-12, 0x1.358af7ad24841p-12, 0x1.30b1473357b71p-12, 0x1.2bf5eefc529b1p-12, 0x1.275757b4817a4p-12, 0x1.22d3fb785cae8p-12, 0x1.1e6a654bf14ecp-12, 0x1.1a193095262bbp-12, 0x1.15df089a2df3cp-12, 0x1.11baa7ff90685p-12, 0x1.0daad84cecd96p-12, 0x1.09ae717138acap-12, 0x1.05c4594cad74dp-12, 0x1.01eb833acee78p-12, 0x1.fc45df432fdb2p-13, 0x1.f4d35702e206ap-13, 0x1.ed7da0113f36dp-13, 0x1.e6430450ea53dp-13, 0x1.df21e45ce7e46p-13, 0x1.d818b6be652d4p-13, 0x1.d1260727ec395p-13, 0x1.ca4875b336eb6p-13, 0x1.c37eb626fb178p-13, 0x1.bcc78f3fcba4ep-13, 0x1.b621d9fd86507p-13, 0x1.af8c80f64878p-13, 0x1.a9067fad80d63p-13, 0x1.a28ee1ef33cd6p-13, 0x1.9c24c32edcbcdp-13, 0x1.95c74deaf3627p-13, 0x1.8f75bb1677452p-13, 0x1.892f5184e9847p-13, 0x1.82f3655a6733cp-13, 0x1.7cc1577f5c3f1p-13, 0x1.769895199c034p-13, 0x1.70789706d4ae4p-13, 0x1.6a60e15e03f39p-13, 0x1.645102f13f863p-13, 0x1.5e4894d70e1dbp-13, 0x1.584739f375b9dp-13, 0x1.524c9e85aed89p-13, 0x1.4c5877b9e6346p-13, 0x1.466a833e4efcbp-13, 0x1.408286daf2b7ap-13, 0x1.3aa0500d4dea9p-13, 0x1.34c3b3a643bdbp-13, 0x1.2eec8d6bbedfbp-13, 0x1.291abfbce055cp-13, 0x1.234e333936b7ap-13, 0x1.1d86d66ae838cp-13, 0x1.17c49d74848adp-13, 0x1.120781c0ac069p-13, 0x1.0c4f81b362acap-13, 0x1.069ca05ff194p-13, 0x1.00eee540296edp-13, 0x1.f68cb7de09b12p-14, 0x1.eb4627c8219a4p-14, 0x1.e00a40668642fp-14, 0x1.d4d92e9d3fe9bp-14, 0x1.c9b3259114893p-14, 0x1.be985e34c5f7p-14, 0x1.b38916d69f457p-14, 0x1.a88592b667435p-14, 0x1.9d8e199dee6b5p-14, 0x1.92a2f77b56e55p-14, 0x1.87c47c012ab89p-14, 0x1.7cf2fa4b69723p-14, 0x1.722ec885f541ap-14, 0x1.67783f9636cd7p-14, 0x1.5ccfbacb9668p-14, 0x1.5235979046dfcp-14, 0x1.47aa3520b4b0ap-14, 0x1.3d2df4412102fp-14, 0x1.32c136fa50bccp-14, 0x1.28646057beb3dp-14, 0x1.1e17d429be51ap-14, 0x1.13dbf6c9b7968p-14, 0x1.09b12ce03f3b2p-14, 0x1.ff2fb66335fddp-15, 0x1.eb20ccd0179c8p-15, 0x1.d73665c88b266p-15, 0x1.c37149199c5bp-15, 0x1.afd23d4722efep-15, 0x1.9c5a073725545p-15, 0x1.890969e67bfe9p-15, 0x1.75e1261b2ae44p-15, 0x1.62e1fa1d85b33p-15, 0x1.500ca17828e07p-15, 0x1.3d61d4b7d9db5p-15, 0x1.2ae24930c8fe2p-15, 0x1.188eb0c8c362ep-15, 0x1.0667b9c3df8b9p-15, 0x1.e8dc1d2e6af55p-16, 0x1.c544ab71f4eb5p-16, 0x1.a20a62f0c82f5p-16, 0x1.7f2e7fae95bc8p-16, 0x1.5cb234cdf5ec8p-16, 0x1.3a96ac53d4f41p-16, 0x1.18dd06ec893b8p-16, 0x1.ef0cb767352b2p-17, 0x1.ad27700abce05p-17, 0x1.6c0c3ea9e624p-17, 0x1.2bbd16047f7e5p-17, 0x1.d877a8e06922cp-18, 0x1.5b148755d075fp-18, 0x1.bea862672699p-19, 0x1.94e7997136c5ep-20, -0x1.337438f10b68cp-22, -0x1.13f8c2bde2251p-19, -0x1.fe256502aa25fp-19, -0x1.7277a1157cda7p-18, -0x1.e428c1ee57baap-18, -0x1.2a11ea4b8b572p-17, -0x1.613361a840c3dp-17, -0x1.9777d16f9720ap-17, -0x1.ccde594487312p-17, -0x1.00b316f50ccd6p-16, -0x1.1a874c94282e2p-16, -0x1.33eb7cd8dd04bp-16, -0x1.4cdf617a7eb4p-16, -0x1.6562be7d371e5p-16, -0x1.7d756218fd1f2p-16, -0x1.951724a37d76dp-16, -0x1.ac47e8753ce4ep-16, -0x1.c30799cc51723p-16, -0x1.d9562eaecb067p-16, -0x1.ef33a6ccf73eap-16, -0x1.025005b05515dp-15, -0x1.0ccdb7849f13cp-15, -0x1.1712f6d5f2e08p-15, -0x1.211fd626f9494p-15, -0x1.2af46c776ce72p-15, -0x1.3490d53112ab4p-15, -0x1.3df530157eb2fp-15, -0x1.4721a128844f1p-15, -0x1.5016509cd368bp-15, -0x1.58d36abed5b3p-15, -0x1.61591fdf3a708p-15, -0x1.69a7a43f66163p-15, -0x1.71bf2ff965b19p-15, -0x1.799ffeea7e484p-15, -0x1.814a50a0a82ccp-15, -0x1.88be68403bce7p-15, -0x1.8ffc8c6fc9525p-15, -0x1.97050741faa6p-15, -0x1.9dd8261dcb5a1p-15, -0x1.a47639a8bea7ep-15, -0x1.aadf95afbc4f5p-15, -0x1.b114911174b9cp-15, -0x1.b71585a7a9921p-15, -0x1.bce2d02ff789bp-15, -0x1.c27cd035457dp-15, -0x1.c7e3e7f9f1777p-15, -0x1.cd187c60b9745p-15, -0x1.d21af4d61656ap-15, -0x1.d6ebbb39e56b6p-15, -0x1.db8b3bcb4fdc4p-15, -0x1.dff9e510e4a2ap-15, -0x1.e43827c2c8c9dp-15, -0x1.e84676b5fd78ap-15, -0x1.ec2546c69bbaep-15, -0x1.efd50ec16dcd3p-15, -0x1.f356474f7266cp-15, -0x1.f6a96ae212b71p-15, -0x1.f9cef59bc0366p-15, -0x1.fcc7653e66c6ep-15, -0x1.ff933915b06aep-15, -0x1.011978f1363a3p-14, -0x1.025388e434715p-14, -0x1.03780e1c6665ep-14, -0x1.04874aefafb97p-14, -0x1.058182486f83ep-14, -0x1.0666f79ba3c98p-14, -0x1.0737eedf5a39cp-14, -0x1.07f4ac8276d71p-14, -0x1.089d7562d42f9p-14, -0x1.09328ec4e9f42p-14, -0x1.09b43e4b0ae62p-14, -0x1.0a22c9ecb214ep-14, -0x1.0a7e77ee799f2p-14, -0x1.0ac78ed95b828p-14, -0x1.0afe5573278b5p-14, -0x1.0b2312b6613a2p-14, -0x1.0b360dca6446ap-14, -0x1.0b378dfbeebcfp-14, -0x1.0b27dab56b553p-14, -0x1.0b073b778296fp-14, -0x1.0ad5f7d27fd69p-14, -0x1.0a94575f00f87p-14, -0x1.0a42a1b6e1a72p-14, -0x1.09e11e6ee692p-14, -0x1.0970151000e85p-14, -0x1.08efcd10c9db3p-14, -0x1.08608dcfc670ep-14, -0x1.07c29e8cdf3e4p-14, -0x1.071646636a94ap-14, -0x1.065bcc446c311p-14, -0x1.059376f10ebeap-14, -0x1.04bd8cf559dfdp-14, -0x1.03da54a245e96p-14, -0x1.02ea14093d7bcp-14, -0x1.01ed10f697059p-14, -0x1.00e390ec9a3eep-14, -0x1.ff9bb23e5df45p-15, -0x1.fd585cde8e498p-15, -0x1.fafdaacb0b5dcp-15, -0x1.f88c245db762p-15, -0x1.f604513067a1fp-15, -0x1.f366b81380ac5p-15, -0x1.f0b3df0705be8p-15, -0x1.edec4b33e6849p-15, -0x1.eb1080e3920dep-15, -0x1.e82103789ca82p-15, -0x1.e51e556869db5p-15, -0x1.e208f834a33c1p-15, -0x1.dee16c65aa013p-15, -0x1.dba83182b78ffp-15, -0x1.d85dc60de7467p-15, -0x1.d502a77d9f9d1p-15, -0x1.d1975237a6f1fp-15, -0x1.ce1c418bbaf26p-15, -0x1.ca91efaf8dc9p-15, -0x1.c6f8d5b8ff227p-15, -0x1.c3516b9994c4dp-15, -0x1.bf9c281bfc22p-15, -0x1.bbd980de17c3cp-15, -0x1.b809ea4de1fa5p-15, -0x1.b42dd7a6c2d66p-15, -0x1.b045baeda7476p-15, -0x1.ac5204ed70dc2p-15, -0x1.a8532533bdc7fp-15, -0x1.a4498a0eb9b81p-15, -0x1.a035a08afff43p-15, -0x1.9c17d470038dbp-15, -0x1.97f0903ebc57dp-15, -0x1.93c03d2ed0903p-15, -0x1.8f87432d8c6bdp-15, -0x1.8b4608dc4e347p-15, -0x1.86fcf38e1dd52p-15, -0x1.82ac6746d4519p-15, -0x1.7e54c6b9d612fp-15, -0x1.79f6734834717p-15, -0x1.7591cd0157663p-15, -0x1.712732a0dd82dp-15, -0x1.6cb7018e42f31p-15, -0x1.684195dd6a663p-15, -0x1.63c74a4d6902ep-15, -0x1.5f4878484dd67p-15, -0x1.5ac577e2fc008p-15, -0x1.563e9fdcf956dp-15, -0x1.51b445a1e34b4p-15, -0x1.4d26bd4889c73p-15, -0x1.4896599345ffap-15, -0x1.44036bf167ca8p-15, -0x1.3f6e447e51eaap-15, -0x1.3ad73204d0aa7p-15, -0x1.363e81fdb4dp-15, -0x1.31a4809191a6bp-15, -0x1.2d0978992bf6fp-15, -0x1.286db39f6f2f8p-15, -0x1.23d179e23b1eep-15, -0x1.1f351253c44fcp-15, -0x1.1a98c29ba636fp-15, -0x1.15fccf19033c8p-15, -0x1.11617ae4df223p-15, -0x1.0cc707d1a6ad9p-15, -0x1.082db66e5542ap-15, -0x1.0395c6078bc0ap-15, -0x1.fdfee95485a3dp-16, -0x1.f4d5fe4a3118bp-16, -0x1.ebb142151eecbp-16, -0x1.e291296591333p-16, }}, 
      {{-0x1.bad5ed4100e24p-7, -0x1.ba9e8d31dc1c8p-6, -0x1.4bb1d45b00267p-5, -0x1.b9c1daf21fc13p-5, -0x1.13b239e436fe4p-4, -0x1.4a3f9beced494p-4, -0x1.807c2c9c21509p-4, -0x1.b65b5cb92da8p-4, -0x1.ebd0fe70a6055p-4, -0x1.1068a6bdd67cfp-3, -0x1.2aa87aee3a6ecp-3, -0x1.44a28ca44a86ap-3, -0x1.5e51a9ae55cdep-3, -0x1.77b0de5a98109p-3, -0x1.90bb768463d17p-3, -0x1.a96cfe2fa8ecfp-3, -0x1.c1c141bfec962p-3, -0x1.d9b44dd6f6e3bp-3, -0x1.f1426ee6a461p-3, -0x1.043418402825dp-2, -0x1.0f912e35b428cp-2, -0x1.1ab6fcc5e3ef2p-2, -0x1.25a4254fc9bafp-2, -0x1.3057666dbe0e7p-2, -0x1.3acf9b35c8381p-2, -0x1.450bba6efb5dp-2, -0x1.4f0ad5be36554p-2, -0x1.58cc18cc53eb5p-2, -0x1.624ec867adf53p-2, -0x1.6b9241a289383p-2, -0x1.7495f8efdaa5fp-2, -0x1.7d59793f9f86fp-2, -0x1.85dc631bdcc55p-2, -0x1.8e1e6bc7396f2p-2, -0x1.961f5c5e0011ap-2, -0x1.9ddf10fa4248cp-2, -0x1.a55d77dbaec3fp-2, -0x1.ac9a9093aa027p-2, -0x1.b3966b3607743p-2, -0x1.ba51278ecfa1bp-2, -0x1.c0caf45d4ac45p-2, -0x1.c7040e94954cep-2, -0x1.ccfcc0a1e1f8ap-2, -0x1.d2b561b88adffp-2, -0x1.d82e5523fabd6p-2, -0x1.dd68099f7e404p-2, -0x1.e262f8b3f26d2p-2, -0x1.e71fa61b465f1p-2, -0x1.eb9e9f29bdf0ap-2, -0x1.efe07a3cda082p-2, -0x1.f3e5d62fc5fbep-2, -0x1.f7af59d529113p-2, -0x1.fb3db37634f2fp-2, -0x1.fe919856c04cfp-2, -0x1.00d5e21f26488p-1, -0x1.02467c82dff56p-1, -0x1.039aff14d425p-1, -0x1.04d3d0306dc33p-1, -0x1.05f1589ba175ep-1, -0x1.06f4035653c2ep-1, -0x1.07dc3d6ba763bp-1, -0x1.08aa75c5234b3p-1, -0x1.095f1cff93c4cp-1, -0x1.09faa5419a961p-1, -0x1.0a7d8213d7ed5p-1, -0x1.0ae8283a98c1dp-1, -0x1.0b3b0d90fd3cbp-1, -0x1.0b76a8e585cb6p-1, -0x1.0b9b71d7f73dcp-1, -0x1.0ba9e0b88a48fp-1, -0x1.0ba26e6857eb8p-1, -0x1.0b85943af8cd2p-1, -0x1.0b53cbd948a6p-1, -0x1.0b0d8f2549f17p-1, -0x1.0ab3581f1b9f5p-1, -0x1.0a45a0caf8325p-1, -0x1.09c4e3183ac5p-1, -0x1.093198c95d6d9p-1, -0x1.088c3b5ced7b8p-1, -0x1.07d543f76e857p-1, -0x1.070d2b4e25aebp-1, -0x1.06346992c84dap-1, -0x1.054b766008e46p-1, -0x1.0452c8a6fcb44p-1, -0x1.034ad69d57481p-1, -0x1.023415ac73297p-1, -0x1.010efa612a2dp-1, -0x1.ffb7f0b8e3cb7p-2, -0x1.fd3704897ab07p-2, -0x1.fa9c13703bff5p-2, -0x1.f7e7fe7e3db6cp-2, -0x1.f51ba480b3ee8p-2, -0x1.f237e1e97b4eep-2, -0x1.ef3d90b90a69dp-2, -0x1.ec2d8869b3f7fp-2, -0x1.e9089ddc3f40ep-2, -0x1.e5cfa345c1919p-2, -0x1.e283681ebc46dp-2, -0x1.df24b9136f955p-2, -0x1.dbb45ff55efc4p-2, -0x1.d83323adfc62ep-2, -0x1.d4a1c83270349p-2, -0x1.d1010e787d294p-2, -0x1.cd51b46c6e938p-2, -0x1.c99474e80f71dp-2, -0x1.c5ca07aa9fb4ep-2, -0x1.c1f32151be7e5p-2, -0x1.be1073534482p-2, -0x1.ba22abf7ff94bp-2, -0x1.b62a765752ee6p-2, -0x1.b2287a53a45edp-2, -0x1.ae1d5c979ed08p-2, -0x1.aa09be94341c8p-2, -0x1.a5ee3e7f60d1ep-2, -0x1.a1cb7753a28d8p-2, -0x1.9da200d01f1e1p-2, -0x1.99726f7972589p-2, -0x1.953d549b187e5p-2, -0x1.91033e4973e35p-2, -0x1.8cc4b76464281p-2, -0x1.8882479a62455p-2, -0x1.843c736c2873dp-2, -0x1.7ff3bc30cf107p-2, -0x1.7ba8a01a65169p-2, -0x1.775b9a3af68dep-2, -0x1.730d2289fc858p-2, -0x1.6ebdadea346a2p-2, -0x1.6a6dae2fd266p-2, -0x1.661d92270d798p-2, -0x1.61cdc59b02a85p-2, -0x1.5d7eb15ce0b8p-2, -0x1.5930bb4b61c73p-2, -0x1.54e4465a8980ap-2, -0x1.5099b29b9fffap-2, -0x1.4c515d456c7a1p-2, -0x1.480ba0bca2ef1p-2, -0x1.43c8d49c893fcp-2, -0x1.3f894dbfc6f13p-2, -0x1.3b4d5e4963fddp-2, -0x1.371555adede9ap-2, -0x1.32e180bcbf95bp-2, -0x1.2eb229a96c422p-2, -0x1.2a87981545d56p-2, -0x1.26621118ffb9p-2, -0x1.2241d74e68258p-2, -0x1.1e272ada3456bp-2, -0x1.1a124975e39f4p-2, -0x1.16036e79ac293p-2, -0x1.11fad2e6786c5p-2, -0x1.0df8ad6feec3p-2, -0x1.09fd32867f971p-2, -0x1.060894617bea7p-2, -0x1.021b03092e831p-2, -0x1.fc6958c1f218p-3, -0x1.f4ab7862dee93p-3, -0x1.ecfcb864e860ep-3, -0x1.e55d682a9c9e6p-3, -0x1.ddcdd31d81cc7p-3, -0x1.d64e40c227edap-3, -0x1.cedef4cc3b897p-3, -0x1.c7802f327c346p-3, -0x1.c0322c42a3421p-3, -0x1.b8f524b53014ap-3, -0x1.b1c94dc11e6ep-3, -0x1.aaaed92f7fba8p-3, -0x1.a3a5f56ef754ep-3, -0x1.9caecda7139a5p-3, -0x1.95c989cb8ad96p-3, -0x1.8ef64eaf4fcaap-3, -0x1.88353e1783ba9p-3, -0x1.818676ce411f7p-3, -0x1.7aea14b53db81p-3, -0x1.746030d83fce8p-3, -0x1.6de8e17f704c2p-3, -0x1.67843a417562ap-3, -0x1.61324c156762bp-3, -0x1.5af32564928e3p-3, -0x1.54c6d21c0cef5p-3, -0x1.4ead5bbe14c54p-3, -0x1.48a6c9734214fp-3, -0x1.42b3201b8373p-3, -0x1.3cd2625ee6e79p-3, -0x1.370490be2c49dp-3, -0x1.3149a9a326589p-3, -0x1.2ba1a970e0034p-3, -0x1.260c8a9393f51p-3, -0x1.208a45905f848p-3, -0x1.1b1ad114ca88dp-3, -0x1.15be2206119cep-3, -0x1.10742b9032cf8p-3, -0x1.0b3cdf34cad42p-3, -0x1.06182cd9b03aep-3, -0x1.010602d759e1cp-3, -0x1.f80c9c0e132bdp-4, -0x1.ee31f3a174063p-4, -0x1.e47be071ac34ap-4, -0x1.daea33db62466p-4, -0x1.d17cbca995cffp-4, -0x1.c833472f9e8acp-4, -0x1.bf0d9d62c8f0ep-4, -0x1.b60b86f367ddep-4, -0x1.ad2cc96588f32p-4, -0x1.a47128291c3f2p-4, -0x1.9bd864b1b256dp-4, -0x1.93623e8dbe3c5p-4, -0x1.8b0e737d6b6dap-4, -0x1.82dcbf88f2a6dp-4, -0x1.7accdd1683268p-4, -0x1.72de84ffb262ap-4, -0x1.6b116ea67accap-4, -0x1.63655009c597cp-4, -0x1.5bd9ddd98253fp-4, -0x1.546ecb8a4d69cp-4, -0x1.4d23cb68a2213p-4, -0x1.45f88eab9f68cp-4, -0x1.3eecc5875b242p-4, -0x1.38001f3ec5987p-4, -0x1.31324a351fc5fp-4, -0x1.2a82f3ff03fb1p-4, -0x1.23f1c97300fb9p-4, -0x1.1d7e76b9cb3f5p-4, -0x1.1728a75e014cbp-4, -0x1.10f0065b88a0ep-4, -0x1.0ad43e2e81653p-4, -0x1.04d4f8e1d22c3p-4, -0x1.fde3c03a9ba52p-5, -0x1.f2553a66e9255p-5, -0x1.e6fdb25d9ed26p-5, -0x1.dbdc79bdd6d86p-5, -0x1.d0f0e1c9e04eap-5, -0x1.c63a3b7fb0684p-5, -0x1.bbb7d7b093e31p-5, -0x1.b16907182277ep-5, -0x1.a74d1a727c634p-5, -0x1.9d636291cedd1p-5, -0x1.93ab307325787p-5, -0x1.8a23d5528b98dp-5, -0x1.80cca2be7c376p-5, -0x1.77a4eaaaa86d4p-5, -0x1.6eabff8213b18p-5, -0x1.65e134388a067p-5, -0x1.5d43dc5b728a3p-5, -0x1.54d34c22002f3p-5, -0x1.4c8ed87cc7a47p-5, -0x1.4475d724b30abp-5, -0x1.3c879ea96838dp-5, -0x1.34c3867f0d80cp-5, -0x1.2d28e70b82c69p-5, -0x1.25b719b30b097p-5, -0x1.1e6d78e46334dp-5, -0x1.174b6024560f5p-5, -0x1.10502c18c0412p-5, -0x1.097b3a9318825p-5, -0x1.02cbea9a6e9p-5, -0x1.f88338e9dc915p-6, -0x1.ebb76361ce92cp-6, -0x1.df331a5ab37eep-6, -0x1.d2f5264415175p-6, -0x1.c6fc524e4f052p-6, -0x1.bb476c78ec515p-6, -0x1.afd545a02fa5cp-6, -0x1.a4a4b189bde49p-6, -0x1.99b486f072d4p-6, -0x1.8f039f8f75aeap-6, -0x1.8490d82c77c7fp-6, -0x1.7a5b10a13803p-6, -0x1.70612be4462d4p-6, -0x1.66a210110d479p-6, -0x1.5d1ca66f2d2f7p-6, -0x1.53cfdb79218b7p-6, -0x1.4aba9ee242a5ap-6, -0x1.41dbe39c1ecb9p-6, -0x1.39329fdb3776fp-6, -0x1.30bdcd1b1c9c5p-6, -0x1.287c6821fa898p-6, -0x1.206d71038b8bbp-6, -0x1.188feb238767p-6, -0x1.10e2dd377fbc2p-6, -0x1.096551483fe02p-6, -0x1.021654b2a598cp-6, -0x1.f5e9f0500a125p-7, -0x1.e8009f5c21897p-7, -0x1.da6ee53ca2968p-7, -0x1.cd32f74a49c93p-7, -0x1.c04b1180cf0c4p-7, -0x1.b3b5767b2cdacp-7, -0x1.a7706f6f5c206p-7, -0x1.9b7a4c292d83ep-7, -0x1.8fd163046d23dp-7, -0x1.847410e66041ep-7, -0x1.7960b9369301bp-7, -0x1.6e95c5d70e28fp-7, -0x1.6411a71bde5b7p-7, -0x1.59d2d3c212d39p-7, -0x1.4fd7c8e634fefp-7, -0x1.461f09fa21126p-7, -0x1.3ca720ba7dee7p-7, -0x1.336e9d239db8bp-7, -0x1.2a741565f0427p-7, -0x1.21b625da0e22ap-7, -0x1.193370f457715p-7, -0x1.10ea9f382b11ep-7, -0x1.08da5f2ac40fp-7, -0x1.01016545b0a6p-7, -0x1.f2bcd7d21c227p-8, -0x1.e3e0669ab4232p-8, -0x1.d56b02ea278b1p-8, -0x1.c75a443c0e25fp-8, -0x1.b9abcd64b207ap-8, -0x1.ac5d4c72bb57cp-8, -0x1.9f6c7a90662c9p-8, -0x1.92d71be45dc3ep-8, -0x1.869aff7230b67p-8, -0x1.7ab5fefa637fbp-8, -0x1.6f25feda4fcabp-8, -0x1.63e8edeb9dda8p-8, -0x1.58fcc5639e6bfp-8, -0x1.4e5f88b265d26p-8, -0x1.440f45619d562p-8, -0x1.3a0a12f34a6f8p-8, -0x1.304e12c05a0eep-8, -0x1.26d96fd715efcp-8, -0x1.1daa5ed9a25dp-8, -0x1.14bf1ddc2c05dp-8, -0x1.0c15f4434683ep-8, -0x1.03ad32a213b67p-8, -0x1.f70665311ed96p-9, -0x1.e72cad6397bbp-9, -0x1.d7ca14847fb45p-9, -0x1.c8db828c4087ap-9, -0x1.ba5df07f7c939p-9, -0x1.ac4e682c1e10bp-9, -0x1.9eaa03e695087p-9, -0x1.916dee47250fcp-9, -0x1.849761e7d251dp-9, -0x1.7823a922516bbp-9, -0x1.6c101dce3894fp-9, -0x1.605a28ffdc7c2p-9, -0x1.54ff42c73e05dp-9, -0x1.49fcf1ef975ccp-9, -0x1.3f50cbbf32c16p-9, -0x1.34f873b7c5a37p-9, -0x1.2af19b572ae03p-9, -0x1.213a01d89a89ap-9, -0x1.17cf73f6869f8p-9, -0x1.0eafcbacd41b7p-9, -0x1.05d8effb9f097p-9, -0x1.fa91a95583f06p-10, -0x1.e9faf41b0ac3cp-10, -0x1.d9e9d98e770a2p-10, -0x1.ca5a8b20bb705p-10, -0x1.bb4951f83daap-10, -0x1.acb28e7da29edp-10, -0x1.9e92b7e97e07p-10, -0x1.90e65bd386765p-10, -0x1.83aa1dc2c6bbfp-10, -0x1.76dab6bf63744p-10, -0x1.6a74f4e56a515p-10, -0x1.5e75baf94f7b9p-10, -0x1.52d9fffd5d036p-10, -0x1.479ecec8c7699p-10, -0x1.3cc1459fda80ep-10, -0x1.323e95cd9c1bbp-10, -0x1.2814033ee907cp-10, -0x1.1e3ee41ec7a8cp-10, -0x1.14bca07432ap-10, -0x1.0b8ab1c1503f1p-10, -0x1.02a6a2a3c69a3p-10, -0x1.f41c1ced81ef6p-11, -0x1.e37d41ec894cep-11, -0x1.d36c2bc77cfc2p-11, -0x1.c3e471582daafp-11, -0x1.b4e1c81e3b534p-11, -0x1.a6600390f86dap-11, -0x1.985b147355154p-11, -0x1.8acf082b40072p-11, -0x1.7db8081b42e9bp-11, -0x1.711258ff20eb5p-11, -0x1.64da5a4b391eep-11, -0x1.590c858e2f625p-11, -0x1.4da56dd5c58c4p-11, -0x1.42a1bf15e719dp-11, -0x1.37fe3d92c4effp-11, -0x1.2db7c54d411bcp-11, -0x1.23cb49720552dp-11, -0x1.1a35d3cb53baep-11, -0x1.10f484353a28cp-11, -0x1.08049014aa703p-11, -0x1.fec683a0f8094p-12, -0x1.ee1bf09b4f2p-12, -0x1.de044cda8b24ap-12, -0x1.ce7aa51b41d22p-12, -0x1.bf7a2c1a4d707p-12, -0x1.b0fe39a0dfb82p-12, -0x1.a3024993dad49p-12, -0x1.9581fb09027edp-12, -0x1.88790f600b6fdp-12, -0x1.7be36960c8eb8p-12, -0x1.6fbd0c5dde5efp-12, -0x1.64021b5b3c6b6p-12, -0x1.58aed83a631fdp-12, -0x1.4dbfa2e9890a3p-12, -0x1.4330f8983a003p-12, -0x1.38ff72efd4402p-12, -0x1.2f27c750107e5p-12, -0x1.25a6c60f9cfc1p-12, -0x1.1c7959c183d8ep-12, -0x1.139c867d9381fp-12, -0x1.0b0d692e1a5e6p-12, -0x1.02c936dfec671p-12, -0x1.f59a782f9bfe6p-13, -0x1.e62db8551230cp-13, -0x1.d747213336431p-13, -0x1.c8e1d0e5b2ba7p-13, -0x1.baf90f68c1ffdp-13, -0x1.ad884d673992p-13, -0x1.a08b230fea51fp-13, -0x1.93fd4ef2940e9p-13, -0x1.87dab4e28eef3p-13, -0x1.7c1f5ce085835p-13, -0x1.70c7720b9c3dbp-13, -0x1.65cf419799c1fp-13, -0x1.5b3339cac593ep-13, -0x1.50efe9012712bp-13, -0x1.4701fcb6407b9p-13, -0x1.3d664094c5253p-13, -0x1.34199d8c27d46p-13, -0x1.2b1918ec0944p-13, -0x1.2261d38535dp-13, -0x1.19f108d071513p-13, -0x1.11c40e1ac2cb7p-13, -0x1.09d851b6b7edap-13, -0x1.022b5a33cb6cp-13, -0x1.f5758b33c796bp-14, -0x1.e7089154b99bap-14, -0x1.d90b5c4ceb5b8p-14, -0x1.cb79ac33de679p-14, -0x1.be4f6a5663773p-14, -0x1.b188a7de4f5b6p-14, -0x1.a5219c857240bp-14, -0x1.9916a54f2ed07p-14, -0x1.8d64434e03449p-14, -0x1.82071a6e59bd7p-14, -0x1.76fbf04c3889bp-14, -0x1.6c3fab0f4e083p-14, -0x1.61cf5050622e2p-14, -0x1.57a804067b302p-14, -0x1.4dc7077b3db06p-14, -0x1.4429b847bf033p-14, -0x1.3acd8f576b2cep-14, -0x1.31b01ff326bcfp-14, -0x1.28cf16d21b8a9p-14, -0x1.202839344809dp-14, -0x1.17b964006fdc3p-14, -0x1.0f808aeaa083fp-14, -0x1.077bb7a0e4d5dp-14, -0x1.ff5211faf249cp-15, -0x1.f00d647fce021p-15, -0x1.e125f4998aac9p-15, -0x1.d29875e135759p-15, -0x1.c461c05709bdbp-15, -0x1.b67ecf0102b47p-15, -0x1.a8ecbe96a5da6p-15, -0x1.9ba8cc3553c68p-15, -0x1.8eb0541ffe88ep-15, -0x1.8200d0899b3f1p-15, -0x1.7597d86715132p-15, -0x1.69731e4e5d08p-15, -0x1.5d906f5bb40c6p-15, -0x1.51edb2210745cp-15, -0x1.4688e59e12c1p-15, -0x1.3b60204135a29p-15, -0x1.30718ef0cc9a3p-15, -0x1.25bb741d129a7p-15, -0x1.1b3c26d8958c6p-15, -0x1.10f211fb92e2cp-15, -0x1.06dbb34a45e5ep-15, -0x1.f9ef354bb444fp-16, -0x1.e688d28709551p-16, -0x1.d381a1d391adp-16, -0x1.c0d7266e00297p-16, -0x1.ae8701d7ea3b5p-16, -0x1.9c8ef27ab9486p-16, -0x1.8aecd2571fba7p-16, -0x1.799e95c1c2ff1p-16, -0x1.68a24a2b79fb3p-16, -0x1.57f614f524fc5p-16, -0x1.4798324b91caap-16, -0x1.3786f412e725dp-16, -0x1.27c0c0d71c3fep-16, -0x1.184412cabd774p-16, -0x1.090f76ce2fc37p-16, -0x1.f443170161352p-17, -0x1.d6f200b1ac59dp-17, -0x1.ba292991c8699p-17, -0x1.9de62ed37c41dp-17, -0x1.8226ca5d8980dp-17, -0x1.66e8d1457e48cp-17, -0x1.4c2a32563d90ap-17, -0x1.31e8f4a604366p-17, -0x1.1823363dd8b31p-17, -0x1.fdae559d9db66p-18, -0x1.cc0634e847376p-18, -0x1.9b4ac10662be6p-18, -0x1.6b78d4cecb206p-18, -0x1.3c8d6d19f30d7p-18, -0x1.0e85a6aa03834p-18, -0x1.c2bd78576013bp-19, -0x1.6a2c08af04215p-19, -0x1.1351e039218f6p-19, -0x1.7c5423a6dec61p-20, -0x1.aabf7806a2a63p-21, -0x1.8deafcf6b24e9p-23, 0x1.ba6f31b769d62p-22, 0x1.0bb459a854621p-20, 0x1.a59495b723edbp-20, 0x1.1e2247b942737p-19, 0x1.67e60de27247dp-19, 0x1.b0196d3ce9f1p-19, 0x1.f6c01d436acdbp-19, 0x1.1deedf91d64dfp-18, 0x1.3fbaefdb25863p-18, 0x1.60c5fcaccd278p-18, 0x1.8111badd54c1dp-18, 0x1.a09fd7bacbfd1p-18, 0x1.bf71f9daec006p-18, 0x1.dd89c1d4148fcp-18, 0x1.fae8caf3b1143p-18, 0x1.0bc855f101e4dp-17, 0x1.19c17b9e963cbp-17, 0x1.27609e18ea67p-17, 0x1.34a6837e6c9c9p-17, 0x1.4193f0b87717dp-17, 0x1.4e29a9b477cebp-17, 0x1.5a68719e217dbp-17, 0x1.66510b10eb8f7p-17, 0x1.71e4384665ed5p-17, 0x1.7d22bb445efc2p-17, 0x1.880d5604049fbp-17, 0x1.92a4ca9678d5dp-17, 0x1.9ce9db474fa62p-17, 0x1.a6dd4ab933b7p-17, 0x1.b07fdc02c3169p-17, 0x1.b9d252c677ccfp-17, 0x1.c2d5734a53e7fp-17, 0x1.cb8a02896d8c7p-17, 0x1.d3f0c64753bbap-17, 0x1.dc0a851c00727p-17, 0x1.e3d80682b26c1p-17, 0x1.eb5a12e209d4bp-17, 0x1.f2917396fe365p-17, 0x1.f97ef2fb94528p-17, 0x1.0011ae36123f6p-16, 0x1.033fbe252bf28p-16, 0x1.064a0ffec0362p-16, 0x1.09310afa5922cp-16, 0x1.0bf516d1c5caap-16, 0x1.0e969bc11f44bp-16, 0x1.1116028405ca8p-16, 0x1.1373b4544be29p-16, 0x1.15b01ae66d55bp-16, 0x1.17cba06699231p-16, 0x1.19c6af7416a37p-16, 0x1.1ba1b31da11c7p-16, 0x1.1d5d16dc6a2bbp-16, 0x1.1ef946900661ep-16, 0x1.2076ae77843f7p-16, 0x1.21d5bb2c77451p-16, 0x1.2316d99d28af4p-16, 0x1.243a7706a147ep-16, 0x1.254100ed0b85bp-16, 0x1.262ae515dff48p-16, 0x1.26f89180b4db4p-16, 0x1.27aa746057623p-16, 0x1.2840fc13c2da4p-16, 0x1.28bc971e69a43p-16, 0x1.291db4214ce58p-16, 0x1.2964c1d3197a3p-16, 0x1.29922ef98a9aep-16, 0x1.29a66a60026acp-16, 0x1.29a1e2d126425p-16, 0x1.2985070ea471ap-16, 0x1.295045c9a9d35p-16, 0x1.29040d9b7cd95p-16, 0x1.28a0ccfc9f035p-16, 0x1.2826f23e3f5fp-16, 0x1.2796eb81f6eb9p-16, 0x1.26f126b2d6f04p-16, 0x1.2636117d26d16p-16, 0x1.2566194761d4p-16, 0x1.2481ab2a7af97p-16, 0x1.238933eb003bdp-16, 0x1.227d1ff137805p-16, 0x1.215ddb4220adcp-16, 0x1.202bd1785e8b7p-16, 0x1.1ee76dbd8480fp-16, 0x1.1d911ac37659dp-16, 0x1.1c2942bd0d681p-16, 0x1.1ab04f57bee5bp-16, 0x1.1926a9b54dddcp-16, 0x1.178cba64d6a11p-16, 0x1.15e2e95db2eddp-16, 0x1.14299df862ce5p-16, 0x1.12613ee976843p-16, 0x1.108a323b739a8p-16, 0x1.0ea4dd494e68p-16, 0x1.0cb1a4b8ceac6p-16, 0x1.0ab0ec7501253p-16, 0x1.08a317a98378ep-16, 0x1.068888bce6aa3p-16, 0x1.0461a14c7ee0dp-16, 0x1.022ec22791105p-16, 0x1.ffe096946e402p-17, 0x1.fb4d37b38c9a6p-17, 0x1.f6a4243fdb602p-17, 0x1.f1e6170e37ccp-17, 0x1.ed13c92cd758dp-17, 0x1.e82df1db8b9d1p-17, 0x1.e33546854d4a8p-17, 0x1.de2a7ab8e37a4p-17, 0x1.d90e40228a0e2p-17, 0x1.d3e146850f297p-17, 0x1.cea43bb4a9a79p-17, 0x1.c957cb90c0a2fp-17, 0x1.c3fc9ffe925cfp-17, 0x1.be9360e53c3aep-17, 0x1.b91cb4277b181p-17, 0x1.b3993da0223afp-17, 0x1.ae099f1e5a154p-17, 0x1.a86e7860472c4p-17, 0x1.a2c86711274f4p-17, 0x1.9d1806c4f624p-17, 0x1.975df0f60456cp-17, 0x1.919abd01e34adp-17, 0x1.8bcf0027473afp-17, 0x1.85fb4d8347f13p-17, 0x1.8020360fa4e6fp-17, 0x1.7a3e48a16b649p-17, 0x1.745611e6fca94p-17, 0x1.6e681c667d473p-17, 0x1.6874f07e9a939p-17, 0x1.627d1463be65cp-17, 0x1.5c810c20951ebp-17, 0x1.5681599657283p-17, 0x1.507e7c7b5f3a8p-17, 0x1.4a78f25c55f99p-17, 0x1.4471369c5748fp-17, 0x1.3e67c275d5467p-17, 0x1.385d0cfaaea13p-17, 0x1.32518b1589a0cp-17, 0x1.2c45af8bbe232p-17, 0x1.2639eafd3cf8p-17, 0x1.202eabe72941ep-17, 0x1.1a245ea543a1cp-17, 0x1.141b6d73bdb9bp-17, 0x1.0e144071487b8p-17, 0x1.080f3da1e1dabp-17, 0x1.020cc8f0336e1p-17, 0x1.f81a8861ae0d5p-18, 0x1.ec221e4a3ca6fp-18, 0x1.e0310efa48253p-18, 0x1.d44811b75087ap-18, 0x1.c867d9b18afe5p-18, 0x1.bc91160b33691p-18, 0x1.b0c471dceb8a6p-18, 0x1.a502943eb9201p-18, 0x1.994c204fd2bf4p-18, 0x1.8da1b53bcdb0ap-18, 0x1.8203ee435725dp-18, 0x1.767362c4bfe4cp-18, 0x1.6af0a642d5956p-18, 0x1.5f7c486dc24d8p-18, 0x1.5416d52ba8159p-18, 0x1.48c0d4a0a1134p-18, 0x1.3d7acb3734b94p-18, 0x1.324539ab0eddcp-18, 0x1.27209d0f4aefep-18, 0x1.1c0d6ed9eb4ddp-18, 0x1.110c24ec17b1bp-18, 0x1.061d319c5aa58p-18, 0x1.f682077e80695p-19, 0x1.e0f00d61c43a9p-19, 0x1.cb8544c17e43dp-19, 0x1.b64276b1dd1e1p-19, 0x1.a1286592b3c66p-19, 0x1.8c37cd244d4d9p-19, 0x1.7771629ac4a43p-19, 0x1.62d5d4b0a35bep-19, 0x1.4e65cbbf7a556p-19, 0x1.3a21e9d1a0435p-19, 0x1.260acab71986ep-19, 0x1.1221041b7bf63p-19, 0x1.fcca4b36b2013p-20, 0x1.d5af71ae898cdp-20, 0x1.aef28314bc543p-20, 0x1.88947b401351cp-20, 0x1.62964a901b731p-20, 0x1.3cf8d617aa549p-20, 0x1.17bcf7c5c516bp-20, 0x1.e5c6fd273f76p-21, 0x1.9cda5d619c5dfp-21, 0x1.54b5834b30e1ep-21, 0x1.0d59cd0dde7bfp-21, 0x1.8d91086dcbb6ep-22, 0x1.0205bc1a0f31bp-22, 0x1.e04fdf2e2641cp-24, -0x1.042290242d132p-26, -0x1.2df562de4e3dcp-23, -0x1.1c13d2775766cp-22, -0x1.9f8be259797p-22, -0x1.10b0adf4cb661p-21, -0x1.50c96efc9e9e7p-21, -0x1.900f954c1b731p-21, -0x1.ce829342563a9p-21, -0x1.0610f61fdba25p-20, -0x1.24769a289b831p-20, -0x1.427207f2bb5a9p-20, -0x1.600319bcf1f4ep-20, -0x1.7d29b1a237aacp-20, -0x1.99e5b9763f719p-20, -0x1.b6372297f247dp-20, -0x1.d21de5d049b46p-20, -0x1.ed9a0328f7f4ap-20, -0x1.0455c0e3361f9p-19, -0x1.11a937de2ba77p-19, -0x1.1ec770f7c1228p-19, -0x1.2bb079f42ffedp-19, -0x1.386463d83994fp-19, -0x1.44e342d6507c6p-19, -0x1.512d2e3c98e4fp-19, -0x1.5d424062b6c93p-19, -0x1.69229696b86d4p-19, -0x1.74ce510adda66p-19, -0x1.804592c51cbd2p-19, -0x1.8b88818d00305p-19, -0x1.969745d9fb386p-19, -0x1.a1720ac23ed76p-19, -0x1.ac18fde8c64d6p-19, -0x1.b68c4f6d122b1p-19, -0x1.c0cc31da0f402p-19, -0x1.cad8da15ca2f7p-19, -0x1.d4b27f52d233fp-19, -0x1.de595afd112d1p-19, -0x1.e7cda8aba7724p-19, -0x1.f10fa61087c43p-19, -0x1.fa1f92e880c52p-19, -0x1.017ed8760f04cp-18, -0x1.05d521e0608ap-18, -0x1.0a12c874c6634p-18, -0x1.0e37efdc9435fp-18, }}, 
      {{-0x1.36b575849437ep-1, -0x1.36f0c4908c172p-1, -0x1.375172cee0a72p-1, -0x1.37d4637095a09p-1, -0x1.387577925ff8ap-1, -0x1.392fbbcb5e31ap-1, -0x1.39fd96d3b848cp-1, -0x1.3ad8f6a692ac5p-1, -0x1.3bbb7a7b936c6p-1, -0x1.3c9e98a6f09bdp-1, -0x1.3d7bbfed2707cp-1, -0x1.3e4c742e42e6cp-1, -0x1.3f0a66868aa67p-1, -0x1.3faf892720084p-1, -0x1.40361f3ebb115p-1, -0x1.4098c95575502p-1, -0x1.40d28e8208b9p-1, -0x1.40dee2dd4d00bp-1, -0x1.40b9ab93f1896p-1, -0x1.405f40efc35a8p-1, -0x1.3fcc6eaa10664p-1, -0x1.3efe72d096e78p-1, -0x1.3df2fb7e67c44p-1, -0x1.3ca823a25549ap-1, -0x1.3b1c6f0546118p-1, -0x1.394ec5bc0f8cfp-1, -0x1.373e6f2a67a61p-1, -0x1.34eb0cb703434p-1, -0x1.3254944c1f385p-1, -0x1.2f7b4abb653b1p-1, -0x1.2c5fbe185600ep-1, -0x1.2902c019211bdp-1, -0x1.2565608aeb407p-1, -0x1.2188e7e4177f3p-1, -0x1.1d6ed1fd0155cp-1, -0x1.1918c8f5bf937p-1, -0x1.1488a04e03757p-1, -0x1.0fc05032c5c96p-1, -0x1.0ac1f10461393p-1, -0x1.058fb716bdc5p-1, -0x1.002beeac6a6aap-1, -0x1.f531f059a7324p-2, -0x1.e9b2892a81cd3p-2, -0x1.dddea44789e2bp-2, -0x1.d1bb5275f65a1p-2, -0x1.c54db2fa2d084p-2, -0x1.b89aee3926acp-2, -0x1.aba830c153d2bp-2, -0x1.9e7aa6b70b24ap-2, -0x1.911777a041749p-2, -0x1.8383c28b49bd9p-2, -0x1.75c49a8c308f3p-2, -0x1.67df038c539adp-2, -0x1.59d7ef67d28fdp-2, -0x1.4bb43b54880c1p-2, -0x1.3d78ad8e4859cp-2, -0x1.2f29f34446027p-2, -0x1.20cc9ec392accp-2, -0x1.126525dad73aep-2, -0x1.03f7e07383f38p-2, -0x1.eb120eb9bbfe5p-3, -0x1.ce39668aed52p-3, -0x1.b16db7bf7febp-3, -0x1.94b6ae5d4264ap-3, -0x1.781bb1ee12cb9p-3, -0x1.5ba3e4a76c81bp-3, -0x1.3f5622d0fe919p-3, -0x1.2339026543917p-3, -0x1.0752d2e760bffp-3, -0x1.d7533ad3a630ep-4, -0x1.a0864983879dbp-4, -0x1.6a49cbc60eff8p-4, -0x1.34a830c260312p-4, -0x1.ff56bc48cbfb8p-5, -0x1.96b9633de343ap-5, -0x1.2f8a054956cfap-5, -0x1.93b291491a541p-6, -0x1.96db3c265b6a4p-7, -0x1.989d1724dac6dp-12, 0x1.76a73debff4bbp-7, 0x1.799b3b8ab983p-6, 0x1.1a2e7195a958ap-5, 0x1.75c177804feb8p-5, 0x1.cf7cc23f2e644p-5, 0x1.13aba282cf02cp-4, 0x1.3ea466dc24b9ap-4, 0x1.68a4ff870204ap-4, 0x1.91aa254f3168cp-4, 0x1.b9b0f5714c0cep-4, 0x1.e0b6ee964a842p-4, 0x1.035cf6e60cf5dp-3, 0x1.15dc15be79ec1p-3, 0x1.27d81c33863b7p-3, 0x1.39507d4b05649p-3, 0x1.4a44d52fd50e2p-3, 0x1.5ab4e7b259aafp-3, 0x1.6aa09ecbb74b4p-3, 0x1.7a0809245274ep-3, 0x1.88eb589e05339p-3, 0x1.974ae0e27f201p-3, 0x1.a52715f630403p-3, 0x1.b2808ad016b3ap-3, 0x1.bf57eff6c482p-3, 0x1.cbae1222eaf0cp-3, 0x1.d783d8e7a0285p-3, 0x1.e2da4560af334p-3, 0x1.edb270e712e42p-3, 0x1.f80d8bcbd9337p-3, 0x1.00f66e0cc7d1p-2, 0x1.05a8de2e31dcfp-2, 0x1.0a1ecd388897ap-2, 0x1.0e58fb2d5d544p-2, 0x1.1258308fe2771p-2, 0x1.161d3dd6dff8p-2, 0x1.19a8fae23d54ep-2, 0x1.1cfc46741baa3p-2, 0x1.201805ad8e077p-2, 0x1.22fd238eea459p-2, 0x1.25ac907bbb2c6p-2, 0x1.282741c248e7dp-2, 0x1.2a6e3126be661p-2, 0x1.2c825c71e5e67p-2, 0x1.2e64c50376918p-2, 0x1.30166f67ef95p-2, 0x1.319862f1f868cp-2, 0x1.32eba95742b7cp-2, 0x1.34114e50e0bbbp-2, 0x1.350a5f3f0c864p-2, 0x1.35d7ead04ea0ap-2, 0x1.367b00ac03908p-2, 0x1.36f4b1202b96dp-2, 0x1.37460cd280b36p-2, 0x1.37702474bf21cp-2, 0x1.3774087c1beb3p-2, 0x1.3752c8dbd3feep-2, 0x1.370d74c2cb06p-2, 0x1.36a51a5c2cc13p-2, 0x1.361ac692fe775p-2, 0x1.356f84d892d24p-2, 0x1.34a45eedd4bb6p-2, 0x1.33ba5caf58103p-2, 0x1.32b283e418dfbp-2, 0x1.318dd80eecb5ep-2, 0x1.304d5a427d7e3p-2, 0x1.2ef208f7d577cp-2, 0x1.2d7cdfe7597c4p-2, 0x1.2beed7e42e151p-2, 0x1.2a48e6b9f393ep-2, 0x1.288bff0cc412ap-2, 0x1.26b9103b6aff3p-2, 0x1.24d10643c2693p-2, 0x1.22d4c9a924085p-2, 0x1.20c53f5ce2fddp-2, 0x1.1ea348a8ba859p-2, 0x1.1c6fc31b22a39p-2, 0x1.1a2b88757c495p-2, 0x1.17d76e9c058f6p-2, 0x1.1574478782a8dp-2, 0x1.1302e13893352p-2, 0x1.108405ac9fb5cp-2, 0x1.0df87ad451f57p-2, 0x1.0b61028b873a3p-2, 0x1.08be5a92b68adp-2, 0x1.06113c89ae003p-2, 0x1.035a5deba9c67p-2, 0x1.009a700ca8a82p-2, 0x1.fba4402ff61e8p-3, 0x1.f6042e1fefa0cp-3, 0x1.f055f39d9e8b9p-3, 0x1.ea9ad210d8e9fp-3, 0x1.e4d4029ab3603p-3, 0x1.df02b61d3541ep-3, 0x1.d9281544e17bcp-3, 0x1.d345409400f99p-3, 0x1.cd5b506f8dfa9p-3, 0x1.c76b552db4054p-3, 0x1.c1765725c934bp-3, 0x1.bb7d56c1abc4cp-3, 0x1.b5814c9072437p-3, 0x1.af83295a56a98p-3, 0x1.a983d635cc843p-3, 0x1.a384349daa6fap-3, 0x1.9d851e885c555p-3, 0x1.9787667ffde1ap-3, 0x1.918bd7bb61967p-3, 0x1.8b933637dea94p-3, 0x1.859e3ed3e307dp-3, 0x1.7fada76a2e3f5p-3, 0x1.79c21eedb7ea1p-3, 0x1.73dc4d861cb16p-3, 0x1.6dfcd4ac9649fp-3, 0x1.68244f4964076p-3, 0x1.625351d1a0821p-3, 0x1.5c8a6a6571d63p-3, 0x1.56ca20ee866a1p-3, 0x1.5112f73ed9d49p-3, 0x1.4b65692fb04d5p-3, 0x1.45c1ecc0c27d4p-3, 0x1.4028f23785752p-3, 0x1.3a9ae43e98772p-3, 0x1.351828053806cp-3, 0x1.2fa11d5ebb87fp-3, 0x1.2a361ee212dd1p-3, 0x1.24d7820936d4p-3, 0x1.1f8597508e23ap-3, 0x1.1a40aa562e58fp-3, 0x1.150901f906c69p-3, 0x1.0fdee077de984p-3, 0x1.0ac2839026eb5p-3, 0x1.05b4249c99e29p-3, 0x1.00b3f8b39ecb7p-3, 0x1.f784618adf9ddp-4, 0x1.edbdf373fd16cp-4, 0x1.e414f91d168dbp-4, 0x1.da89bce5ed46fp-4, 0x1.d11c81cd6c2eep-4, 0x1.c7cd83ab07911p-4, 0x1.be9cf76747f21p-4, 0x1.b58b0b33bbdcp-4, 0x1.ac97e6c21852p-4, 0x1.a3c3ab7a9b453p-4, 0x1.9b0e74b1a1f74p-4, 0x1.927857dc7dda7p-4, 0x1.8a0164c561cp-4, 0x1.81a9a5be8db0fp-4, 0x1.79711fd49342dp-4, 0x1.7157d2ffc64acp-4, 0x1.695dba54c60ccp-4, 0x1.6182cc342b381p-4, 0x1.59c6fa79504fep-4, 0x1.522a32a830741p-4, 0x1.4aac5e1a66be4p-4, 0x1.434d622b3f11fp-4, 0x1.3c0d2062e294p-4, 0x1.34eb76a098ed4p-4, 0x1.2de83f441fbfbp-4, 0x1.270351561ac6p-4, 0x1.203c80af9aacdp-4, 0x1.19939e20b88ap-4, 0x1.130877964e36cp-4, 0x1.0c9ad83ec238cp-4, 0x1.064a88adf3e5fp-4, 0x1.00174f003e9cbp-4, 0x1.f401ddf9379abp-5, 0x1.e80e546bc69f1p-5, 0x1.dc5380565b0bdp-5, 0x1.d0d0dcceab79fp-5, 0x1.c585e13f44c9cp-5, 0x1.ba7201a32b3a4p-5, 0x1.af94aebfc51afp-5, 0x1.a4ed565d25f68p-5, 0x1.9a7b637cae9a3p-5, 0x1.903e3e8e16081p-5, 0x1.86354da2d06b2p-5, 0x1.7c5ff49fea393p-5, 0x1.72bd956e523a2p-5, 0x1.694d90299a8d2p-5, 0x1.600f434d39d0dp-5, 0x1.57020be053d33p-5, 0x1.4e2545a001b01p-5, 0x1.45784b283bda6p-5, 0x1.3cfa761b48dbbp-5, 0x1.34ab1f47d9405p-5, 0x1.2c899ecdbb93fp-5, 0x1.24954c414656cp-5, 0x1.1ccd7ecd68c9ap-5, 0x1.15318d547be77p-5, 0x1.0dc0ce8fcb187p-5, 0x1.067a992de8553p-5, 0x1.febc87df8fb27p-6, 0x1.f0d64b895a7fdp-6, 0x1.e3412bc9f03c4p-6, 0x1.d5fbd7d792d37p-6, 0x1.c904ffdf27405p-6, 0x1.bc5b553325b7ap-6, 0x1.affd8a787c2b5p-6, 0x1.a3ea53d16271ap-6, 0x1.982067062011p-6, 0x1.8c9e7babf877p-6, 0x1.81634b4a16e63p-6, 0x1.766d917cb807fp-6, 0x1.6bbc0c1677cd2p-6, 0x1.614d7b3fe3479p-6, 0x1.5720a19556eeep-6, 0x1.4d34444332758p-6, 0x1.43872b2071a9fp-6, 0x1.3a1820c7b389dp-6, 0x1.30e5f2aebf01dp-6, 0x1.27ef713c89936p-6, 0x1.1f336fddd2e02p-6, 0x1.16b0c51855cf6p-6, 0x1.0e664a9cb54ccp-6, 0x1.0652dd56fb1c7p-6, 0x1.fceabafbec588p-7, 0x1.ed995d42802bdp-7, 0x1.deaf6f6c5d925p-7, 0x1.d02ac64736498p-7, 0x1.c2093d98ef219p-7, 0x1.b448b832e91p-7, 0x1.a6e7200315e66p-7, 0x1.99e266231c3bp-7, 0x1.8d3882e59897ap-7, 0x1.80e775e17212cp-7, 0x1.74ed45fb77cf5p-7, 0x1.6948016e4b9b7p-7, 0x1.5df5bdd0913c5p-7, 0x1.52f49819bb11ap-7, 0x1.4842b4a51023dp-7, 0x1.3dde3f336e389p-7, 0x1.33c56aeb94217p-7, 0x1.29f6725915a19p-7, 0x1.206f976a16765p-7, 0x1.172f236bb2576p-7, 0x1.0e3367054eb97p-7, 0x1.057aba32bfcf8p-7, 0x1.fa06f87ac8cb9p-8, 0x1.e99827686c1c9p-8, 0x1.d9a5dcc5f1ed9p-8, 0x1.ca2d0290bd08bp-8, 0x1.bb2a9116ab0eep-8, 0x1.ac9b8edf1763cp-8, 0x1.9e7d1092394b7p-8, 0x1.90cc38df2c9a1p-8, 0x1.8386386051a52p-8, 0x1.76a84d7e92527p-8, 0x1.6a2fc45342862p-8, 0x1.5e19f688ddcd3p-8, 0x1.52644b3abeb2ap-8, 0x1.470c36d3bfb34p-8, 0x1.3c0f3aebe1667p-8, 0x1.316ae62509d77p-8, 0x1.271cd406ee833p-8, 0x1.1d22acda50f29p-8, 0x1.137a258356c6p-8, 0x1.0a20ff5b748a9p-8, 0x1.0115080a9fa15p-8, 0x1.f0a832bfacd7fp-9, 0x1.dfb83252d4894p-9, 0x1.cf55f219556aap-9, 0x1.bf7d6cba799c4p-9, 0x1.b02ab3e82b312p-9, 0x1.a159f00c7c6fp-9, 0x1.93075ff64f70bp-9, 0x1.852f5885c06cp-9, 0x1.77ce44584b491p-9, 0x1.6ae0a37482538p-9, 0x1.5e630af5a8357p-9, 0x1.525224b755c52p-9, 0x1.46aaaf00645bbp-9, 0x1.3b697c2eb9eb2p-9, 0x1.308b726276526p-9, 0x1.260d8b2995cadp-9, 0x1.1becd32b98f5ep-9, 0x1.122669d596c0ap-9, 0x1.08b781066c1dap-9, 0x1.ff3ab9765597p-10, 0x1.edaaa57840358p-10, 0x1.dcb9949438e12p-10, 0x1.cc627798ad738p-10, 0x1.bca060fd3d5bap-10, 0x1.ad6e8440aef5dp-10, 0x1.9ec83547a44aep-10, 0x1.90a8e7bc5ce66p-10, 0x1.830c2e707494ep-10, 0x1.75edbabf2a5e7p-10, 0x1.69495bf1a6a96p-10, 0x1.5d1afea47eddep-10, 0x1.515eac2e82ed8p-10, 0x1.46108a0950975p-10, 0x1.3b2cd93b91636p-10, 0x1.30aff5c484c1fp-10, 0x1.269656095b2a6p-10, 0x1.1cdc8a4451551p-10, 0x1.137f3bf5b2f9bp-10, 0x1.0a7b2d562f523p-10, 0x1.01cd38cb37b27p-10, 0x1.f2e4a0ba304dfp-11, 0x1.e2cefa5d975cep-11, 0x1.d353bdf071c31p-11, 0x1.c46d5702700dcp-11, 0x1.b6165c3eeb54p-11, 0x1.a8498e6bbd9eap-11, 0x1.9b01d76bb386cp-11, 0x1.8e3a4944d81dep-11, 0x1.81ee1d2a9d26cp-11, 0x1.7618b28bf2fc3p-11, 0x1.6ab58e254724bp-11, 0x1.5fc0591642d69p-11, 0x1.5534dffb0b0e1p-11, 0x1.4b0f120a06bcdp-11, 0x1.414b0034f2866p-11, 0x1.37e4dc4dd8afp-11, 0x1.2ed8f82fe848bp-11, 0x1.2623c4ec2efe7p-11, 0x1.1dc1d1fa1fe09p-11, 0x1.15afcc6baad8bp-11, 0x1.0dea7e256feep-11, 0x1.066ecd1a41aacp-11, 0x1.fe737515351fbp-12, 0x1.f090c48f47bb9p-12, 0x1.e32ff3f4779c4p-12, 0x1.d64ba0d9a2aaep-12, 0x1.c9de99b39c332p-12, 0x1.bde3dc7a2578fp-12, 0x1.b25695523432dp-12, 0x1.a7321d3ec781fp-12, 0x1.9c71f8d912775p-12, 0x1.9211d70f37576p-12, 0x1.880d8feb109dp-12, 0x1.7e61235d94207p-12, 0x1.7508b81258426p-12, 0x1.6c009a493bf1bp-12, 0x1.63453ab709454p-12, 0x1.5ad32d6b498c5p-12, 0x1.52a728be6c78ep-12, 0x1.4abe044349ad8p-12, 0x1.4314b7c14cc4p-12, 0x1.3ba85a3443614p-12, 0x1.347620d129dcp-12, 0x1.2d7b5e114b62p-12, 0x1.26b580c45989ep-12, 0x1.2022132602c2dp-12, 0x1.19beb9fb02cb8p-12, 0x1.138933b4039a4p-12, 0x1.0d7f57935ff4ep-12, 0x1.079f14db16763p-12, 0x1.01e671febd24cp-12, 0x1.f8a717b64b013p-13, 0x1.edc929e4a71a1p-13, 0x1.e32fa95b6d914p-13, 0x1.d8d74d4804df6p-13, 0x1.cebcf3c89ff4cp-13, 0x1.c4dda08ed1067p-13, 0x1.bb367b86424e9p-13, 0x1.b1c4cf88cca27p-13, 0x1.a886091990443p-13, 0x1.9f77b52a2c2d7p-13, 0x1.96977fe7d9a9dp-13, 0x1.8de3339113cbbp-13, 0x1.8558b7540d605p-13, 0x1.7cf60e33b3226p-13, 0x1.74b955f6f886fp-13, 0x1.6ca0c61f53cfcp-13, 0x1.64aaaee5f0b08p-13, 0x1.5cd57840a0898p-13, 0x1.551fa0ef734ep-13, 0x1.4d87bd901f81cp-13, 0x1.460c77b8ce9fbp-13, 0x1.3eac8d1b875ep-13, 0x1.3766cead070bep-13, 0x1.303a1fd442b57p-13, 0x1.292575a07f535p-13, 0x1.2227d6059c259p-13, 0x1.1b40571e0e6bfp-13, 0x1.146e1e729f98cp-13, 0x1.0db0604992a0cp-13, 0x1.07065ef93b197p-13, 0x1.006f6a416e0adp-13, 0x1.f3d5bd5a28a2dp-14, 0x1.e6f049e608b55p-14, 0x1.da2d62c22e58dp-14, 0x1.cd8c069512cb8p-14, 0x1.c10b48f75a79fp-14, 0x1.b4aa51645b3f7p-14, 0x1.a8685a34516ebp-14, 0x1.9c44afa0ab093p-14, 0x1.903eaece9d177p-14, 0x1.8455c4e411d74p-14, 0x1.78896e286f758p-14, 0x1.6cd93527374bfp-14, 0x1.6144b1defdc02p-14, 0x1.55cb88f67c56ep-14, 0x1.4a6d6afb5376ep-14, 0x1.3f2a13a507ea2p-14, 0x1.34014921a200fp-14, 0x1.28f2db6a70406p-14, 0x1.1dfea39bbc822p-14, 0x1.13248354e719ap-14, 0x1.08646420147fap-14, 0x1.fb7c6dbf7f671p-15, 0x1.e663e681fb42ep-15, 0x1.d17f2e6a4dd9ap-15, 0x1.bcce4ce084213p-15, 0x1.a85153dae87ffp-15, 0x1.94085eefa1392p-15, 0x1.7ff3927322273p-15, 0x1.6c131aa55430fp-15, 0x1.58672adc4c018p-15, 0x1.44effcc0d651fp-15, 0x1.31adcf959de35p-15, 0x1.1ea0e781b901dp-15, 0x1.0bc98ce818072p-15, 0x1.f250178a62c1dp-16, 0x1.cd79662c272fcp-16, 0x1.a90fa88cb8c82p-16, 0x1.8513854717769p-16, 0x1.6185a5b6ec745p-16, 0x1.3e66b506992ddp-16, 0x1.1bb75f3d03dcap-16, 0x1.f2f0a0c306468p-17, 0x1.af54675dff4dfp-17, 0x1.6c9b6594dcda8p-17, 0x1.2ac6ea1fefcaep-17, 0x1.d3b07b7b776d9p-18, 0x1.53a143fed268bp-18, 0x1.aac5404a1bd18p-19, 0x1.63dbbced36fbep-20, -0x1.0cfc241c15d36p-21, -0x1.34bd0f946c967p-19, -0x1.114400098f367p-18, -0x1.864ded143a0edp-18, -0x1.f97a6a99dc613p-18, -0x1.3563d8c280281p-17, -0x1.6d1a0ca2a51c9p-17, -0x1.a3df0c79454cfp-17, -0x1.d9b2242d27857p-17, -0x1.0749583358dfdp-16, -0x1.21400f84a894bp-16, -0x1.3abcf7c5f0fedp-16, -0x1.53bfd9a5f5799p-16, -0x1.6c4886e5548aep-16, -0x1.8456da79e30b3p-16, -0x1.9beab8a120f5ep-16, -0x1.b3040ef7739b3p-16, -0x1.c9a2d48253f28p-16, -0x1.dfc709be7719dp-16, -0x1.f570b8a683777p-16, -0x1.054ffa59823d3p-15, -0x1.0faa6d6a4505p-15, -0x1.19c7c8b94a45ap-15, -0x1.23a82430acca8p-15, -0x1.2d4b9c6acb013p-15, -0x1.36b252a9a3e29p-15, -0x1.3fdc6cce6424p-15, -0x1.48ca154ed52cap-15, -0x1.517b7b290ac32p-15, -0x1.59f0d1d54a0c4p-15, -0x1.622a51390ef8p-15, -0x1.6a283598269b2p-15, -0x1.71eabf842d5e4p-15, -0x1.797233ca2895fp-15, -0x1.80bedb60f67a4p-15, -0x1.87d103566499fp-15, -0x1.8ea8fcbbd1921p-15, -0x1.95471c9163f61p-15, -0x1.9babbbb125d63p-15, -0x1.a1d736ba4cf31p-15, -0x1.a7c9edf9fc959p-15, -0x1.ad844555a55fcp-15, -0x1.b306a432275efp-15, -0x1.b851755f2c9f4p-15, -0x1.bd6526fe250d2p-15, -0x1.c2422a6b0fde7p-15, -0x1.c6e8f4234b7f8p-15, -0x1.cb59fbad481f5p-15, -0x1.cf95bb8094aa1p-15, -0x1.d39cb0ecc2877p-15, -0x1.d76f5c00b9c16p-15, -0x1.db0e3f71199ccp-15, -0x1.de79e080913d9p-15, -0x1.e1b2c6e622582p-15, -0x1.e4b97cb4aa4ebp-15, -0x1.e78e8e40a66c6p-15, -0x1.ea328a08e4729p-15, -0x1.eca6009d82ccfp-15, -0x1.eee9848713b8ep-15, -0x1.f0fdaa2e18555p-15, -0x1.f2e307c274222p-15, -0x1.f49a3523b3a06p-15, -0x1.f623cbc937344p-15, -0x1.f78066a9e0a61p-15, -0x1.f8b0a22471e62p-15, -0x1.f9b51be8feb6bp-15, -0x1.fa8e72e17e996p-15, -0x1.fb3d471b89c5ap-15, -0x1.fbc239b152d9bp-15, -0x1.fc1decb356203p-15, -0x1.fc510313114ap-15, -0x1.fc5c208db8febp-15, -0x1.fc3fe995ca3b2p-15, -0x1.fbfd033f17f4cp-15, -0x1.fb941329fec41p-15, -0x1.fb05bf6f37717p-15, -0x1.fa52ae8cbeee6p-15, -0x1.f97b875089604p-15, -0x1.f880f0c6cf81p-15, -0x1.f7639226eeab6p-15, -0x1.f62412c0d4b17p-15, -0x1.f4c319ec04444p-15, -0x1.f3414ef4f0943p-15, -0x1.f19f590bb8f12p-15, -0x1.efdddf3420645p-15, -0x1.edfd8834ac64cp-15, -0x1.ebfefa8610a6p-15, -0x1.e9e2dc44429a2p-15, -0x1.e7a9d31e7f17fp-15, -0x1.e5548449af73cp-15, -0x1.e2e39470b901fp-15, -0x1.e057a7a69ecfap-15, -0x1.ddb161589eacep-15, -0x1.daf164416beb9p-15, -0x1.d818525b9c659p-15, -0x1.d526ccd5ba532p-15, -0x1.d21d74062bfa6p-15, -0x1.cefce75e65c92p-15, -0x1.cbc5c5608315p-15, -0x1.c878ab93de556p-15, -0x1.c516367a0313ap-15, -0x1.c19f0184ed7bap-15, -0x1.be13a70c6b43cp-15, -0x1.ba74c0458af6cp-15, -0x1.b6c2e538ce2f3p-15, -0x1.b2feacb8cb845p-15, -0x1.af28ac5ac7c88p-15, -0x1.ab41786d6bc6cp-15, -0x1.a749a3f1271a1p-15, -0x1.a341c09163fccp-15, -0x1.9f2a5e9cce05ap-15, -0x1.9b040cfe990f8p-15, -0x1.96cf5937fc02ap-15, -0x1.928ccf59d2e3p-15, -0x1.8e3cf9fecd063p-15, -0x1.89e0624628282p-15, -0x1.85778fcd9186ap-15, -0x1.810308aca6c2fp-15, -0x1.7c8351712ede1p-15, -0x1.77f8ed18c152fp-15, -0x1.73645d0e4dc81p-15, -0x1.6ec6212589d8ap-15, -0x1.6a1eb7978d818p-15, -0x1.656e9cfea56f5p-15, -0x1.60b64c54fc5c7p-15, -0x1.5bf63ef076044p-15, -0x1.572eec803e0a1p-15, -0x1.5260cb0b8ba3bp-15, -0x1.4d8c4eedb5d66p-15, -0x1.48b1ead5e7cd9p-15, -0x1.43d20fc53ad3dp-15, -0x1.3eed2d0cafde7p-15, -0x1.3a03b04c29fbap-15, -0x1.35160572ae746p-15, -0x1.302496bbdb32cp-15, -0x1.2b2fccb04e294p-15, -0x1.26380e25485e4p-15, -0x1.213dc03cdd1edp-15, -0x1.1c414664c245bp-15, -0x1.17430257712e9p-15, -0x1.1243541d0617p-15, -0x1.0d429a0a35258p-15, -0x1.084130c2dd60cp-15, -0x1.033f7339b7fb3p-15, -0x1.fc7b7562677b3p-16, -0x1.f278bd7b62543p-16, -0x1.e8776a8d082e9p-16, -0x1.de78250d0ed03p-16, -0x1.d47b921d88607p-16, -0x1.ca8253907e776p-16, -0x1.c08d07ea65bcdp-16, -0x1.b69c4a65bf72fp-16, -0x1.acb0b2f9fa8d6p-16, -0x1.a2cad65e63f88p-16, -0x1.98eb460d6a784p-16, -0x1.8f12904c3a5f4p-16, -0x1.8541402eb64aap-16, -0x1.7b77dd9bd6e82p-16, -0x1.71b6ed550a26ap-16, -0x1.67fef0fbcafecp-16, -0x1.5e506714fffa8p-16, -0x1.54abcb11ca9c4p-16, -0x1.4b119555d1db9p-16, -0x1.41823b3b99fe7p-16, -0x1.37fe2f1c685f8p-16, -0x1.2e85e05754134p-16, -0x1.2519bb57aea8bp-16, -0x1.1bba299a9caa1p-16, -0x1.126791b842b15p-16, -0x1.0922576a7d6b7p-16, -0x1.ffd5b72714f56p-17, -0x1.ed82f88a46647p-17, -0x1.db4d299337f27p-17, -0x1.c934fb531c2e9p-17, -0x1.b73b19687bceap-17, -0x1.a5602a11e4ddfp-17, -0x1.93a4ce3854dedp-17, -0x1.8209a18160817p-17, -0x1.708f3a6019faap-17, -0x1.5f362a24a05bbp-17, -0x1.4dfefd0a4cf7fp-17, -0x1.3cea3a4a9ed16p-17, -0x1.2bf8642bc45ebp-17, -0x1.1b29f813a2347p-17, -0x1.0a7f6e924a445p-17, -0x1.f3f276f326e2p-18, -0x1.d32f9bd64b9dp-18, -0x1.b2b720cc86dffp-18, -0x1.9289d1ba700c3p-18, -0x1.72a87184350aep-18, -0x1.5313ba313ccabp-18, -0x1.33cc5d0fc973fp-18, -0x1.14d302d4b8377p-18, -0x1.ec50977bfb9b8p-19, -0x1.af999f61bf712p-19, -0x1.73823cc0e9c03p-19, -0x1.380b7ed462285p-19, -0x1.fa6cc9e46a5a8p-20, -0x1.8607bd9c89598p-20, -0x1.12e9997f63b31p-20, -0x1.4227ffdfc94d2p-21, -0x1.8443ad59f08cdp-23, 0x1.f5bcef1e0c744p-23, 0x1.5955dfd127509p-21, 0x1.195051cf9daffp-20, 0x1.84a6b0b0f838ep-20, 0x1.eead14cbdd378p-20, 0x1.2bb150918ca52p-19, 0x1.5f63496c2df64p-19, 0x1.926c206272917p-19, 0x1.c4cb8d7a88745p-19, 0x1.f6815512d5954p-19, 0x1.13c6a3d422e8p-18, 0x1.2bf7a0c914cp-18, 0x1.43d3956789e73p-18, 0x1.5b5a7b5ffcab4p-18, 0x1.728c51f8642aap-18, 0x1.89691de872ff3p-18, 0x1.9ff0e94458ap-18, 0x1.b623c359e3bfdp-18, 0x1.cc01c09475e85p-18, 0x1.e18afa5ff6443p-18, 0x1.f6bf8f0ae8c8bp-18, 0x1.05cfd0d689c63p-17, 0x1.1015ad034a535p-17, 0x1.1a3172344ef3fp-17, 0x1.242338cd13332p-17, 0x1.2deb1b5b8bdacp-17, 0x1.3789368cc3ca2p-17, 0x1.40fda91f662abp-17, 0x1.4a4893d59e02cp-17, 0x1.536a196730deep-17, 0x1.5c625e767c369p-17, 0x1.6531898397d0fp-17, 0x1.6dd7c2defaec6p-17, 0x1.7655349bbf8b7p-17, 0x1.7eaa0a84b8106p-17, 0x1.86d67210029dcp-17, 0x1.8eda9a5388d07p-17, 0x1.96b6b3f75330ep-17, 0x1.9e6af12b4036fp-17, 0x1.a5f7859b139b1p-17, 0x1.ad5ca6622689ep-17, }}, 
      {{-0x1.36a823a96a61ep-1, -0x1.36bc04ec01cd5p-1, -0x1.36dcb7100eea7p-1, -0x1.37099772fbc5p-1, -0x1.3741cba71a4fep-1, -0x1.378448b0d53b4p-1, -0x1.37cfdaaf4a428p-1, -0x1.38232c887cc45p-1, -0x1.387ccf51e2d42p-1, -0x1.38db4146823ebp-1, -0x1.393cf42e04f6fp-1, -0x1.39a0532584fc6p-1, -0x1.3a03c7c469381p-1, -0x1.3a65be9e771e9p-1, -0x1.3ac4ab28d83dp-1, -0x1.3b1f0b0adb17bp-1, -0x1.3b7368e504fd7p-1, -0x1.3bc05e9a04b27p-1, -0x1.3c0497256374ep-1, -0x1.3c3ed00bb8ccdp-1, -0x1.3c6dda6fbc7bep-1, -0x1.3c909bd6f38b5p-1, -0x1.3ca60ea803223p-1, -0x1.3cad426be3c48p-1, -0x1.3ca55bda6bad9p-1, -0x1.3c8d94b9d1e34p-1, -0x1.3c653b9810427p-1, -0x1.3c2bb3644d38fp-1, -0x1.3be072edc62b2p-1, -0x1.3b83044d19cf5p-1, -0x1.3b13043c3535fp-1, -0x1.3a902160a8a4dp-1, -0x1.39fa1b8bac854p-1, -0x1.3950c2f2af5eap-1, -0x1.3893f762e861bp-1, -0x1.37c3a77210519p-1, -0x1.36dfcfae13dcp-1, -0x1.35e879cd4e816p-1, -0x1.34ddbbe0a15a9p-1, -0x1.33bfb7887fdfdp-1, -0x1.328e992dde6d1p-1, -0x1.314a973fc6e22p-1, -0x1.2ff3f1762f815p-1, -0x1.2e8af01a91d4ap-1, -0x1.2d0fe356a25b8p-1, -0x1.2b832289754f2p-1, -0x1.29e50ba33f8d4p-1, -0x1.28360287db057p-1, -0x1.267670781cf41p-1, -0x1.24a6c38204145p-1, -0x1.22c76df7b90fep-1, -0x1.20d8e5ed4eed6p-1, -0x1.1edba4bd2d0e3p-1, -0x1.1cd0269301886p-1, -0x1.1ab6e9fd191ccp-1, -0x1.18906f83f0cf7p-1, -0x1.165d3947d791ep-1, -0x1.141dcaa46be19p-1, -0x1.11d2a7d9c80dcp-1, -0x1.0f7c55bb26d3fp-1, -0x1.0d1b5962cb53ap-1, -0x1.0ab037eafadf4p-1, -0x1.083b762bcfb5dp-1, -0x1.05bd987db2ba1p-1, -0x1.03372280459e6p-1, -0x1.00a896e58c42cp-1, -0x1.fc24ee82401ccp-2, -0x1.f6ea87b67b18p-2, -0x1.f1a2f70ef4bc8p-2, -0x1.ec4f36fdecef9p-2, -0x1.e6f03e7bb0dc9p-2, -0x1.e18700c7d803dp-2, -0x1.dc146d3065d03p-2, -0x1.d6996ede8bfa6p-2, -0x1.d116eca8af9a5p-2, -0x1.cb8dc8e97121ap-2, -0x1.c5fee15b6652ap-2, -0x1.c06b0ef94278bp-2, -0x1.bad325e22dfe3p-2, -0x1.b537f54206907p-2, -0x1.af9a473d529a5p-2, -0x1.a9fae0e0a37ap-2, -0x1.a45a82133dfb5p-2, -0x1.9eb9e58cc4ea7p-2, -0x1.9919c0cdbdbafp-2, -0x1.937ac41abd8efp-2, -0x1.8ddd9a7a0c0b2p-2, -0x1.8842e9b39a8b5p-2, -0x1.82ab52531e742p-2, -0x1.7d176fac2be4fp-2, -0x1.7787d7e02af5bp-2, -0x1.71fd1be608b84p-2, -0x1.6c77c7937a354p-2, -0x1.66f861a7bc479p-2, -0x1.617f6bd7ad279p-2, -0x1.5c0d62db2542cp-2, -0x1.56a2be7b74fc8p-2, -0x1.513ff1a2edd52p-2, -0x1.4be56a6d632d6p-2, -0x1.46939239852ebp-2, -0x1.414acdbb06e3ap-2, -0x1.3c0b7d0d7de9cp-2, -0x1.36d5fbc7ddd3dp-2, -0x1.31aaa1108d0a7p-2, -0x1.2c89bfb1f37fep-2, -0x1.2773a62f81042p-2, -0x1.22689edb10d6bp-2, -0x1.1d68efeaa67f3p-2, -0x1.1874db8e6ed2ap-2, -0x1.138ca006ffdbdp-2, -0x1.0eb077bbc4bf8p-2, -0x1.09e0995192876p-2, -0x1.051d37c155fe5p-2, -0x1.0066826ed1624p-2, -0x1.f7794a7ece8ecp-3, -0x1.ee3f9161bce4cp-3, -0x1.e52023e04b646p-3, -0x1.dc1b45e0045a5p-3, -0x1.d33134ff55896p-3, -0x1.ca6228c28a407p-3, -0x1.c1ae52c086fcap-3, -0x1.b915decf2c347p-3, -0x1.b098f32f65928p-3, -0x1.a837b0b8d2465p-3, -0x1.9ff23304fd9f8p-3, -0x1.97c8909a2c58dp-3, -0x1.8fbadb159e073p-3, -0x1.87c91f555a6ddp-3, -0x1.7ff365a169491p-3, -0x1.7839b1d47f1efp-3, -0x1.709c0384172aep-3, -0x1.691a5627e8cc8p-3, -0x1.61b4a140d039cp-3, -0x1.5a6ad87f01fdfp-3, -0x1.533cebe7a3a95p-3, -0x1.4c2ac7f9bb9d5p-3, -0x1.453455d2700cdp-3, -0x1.3e597b509c379p-3, -0x1.379a1b37b3f8p-3, -0x1.30f61551f5a24p-3, -0x1.2a6d4691ea34fp-3, -0x1.23ff893332199p-3, -0x1.1dacb4da992c5p-3, -0x1.17749eb57ad8fp-3, -0x1.115719986d7ecp-3, -0x1.0b53f61d36e03p-3, -0x1.056b02c00fc43p-3, -0x1.ff3817f85f83ep-4, -0x1.f3cdb8cf426abp-4, -0x1.e896799cd51d6p-4, -0x1.dd91e899f88e9p-4, -0x1.d2bf90d3df95bp-4, -0x1.c81efa5e32318p-4, -0x1.bdafaa83c826bp-4, -0x1.b37123f611d8fp-4, -0x1.a962e6fb26939p-4, -0x1.9f84719a7d886p-4, -0x1.95d53fc851b1p-4, -0x1.8c54cb8fc8545p-4, -0x1.83028d3bbd814p-4, -0x1.79ddfb7e57bfep-4, -0x1.70e68b97583d8p-4, -0x1.681bb17930c61p-4, -0x1.5f7cdfece2b64p-4, -0x1.570988b4ad951p-4, -0x1.4ec11cad8fccp-4, -0x1.46a30befa0594p-4, -0x1.3eaec5ed46101p-4, -0x1.36e3b99151538p-4, -0x1.2f41555bfecdep-4, -0x1.27c7077ee48dap-4, -0x1.20743df7d46fbp-4, -0x1.194866aab4b83p-4, -0x1.1242ef7a566a9p-4, -0x1.0b6346604ea7bp-4, -0x1.04a8d983d71e7p-4, -0x1.fc262e9f76b7bp-5, -0x1.ef42dd0eb6dc4p-5, -0x1.e2a69cb586499p-5, -0x1.d6504cf3c4d8ap-5, -0x1.ca3ece4dcc7d3p-5, -0x1.be71028f747d2p-5, -0x1.b2e5cced7142fp-5, -0x1.a79c122519f01p-5, -0x1.9c92b89a9b127p-5, -0x1.91c8a875a924p-5, -0x1.873ccbbcb32d1p-5, -0x1.7cee0e6ea5bap-5, -0x1.72db5e9b4b27ep-5, -0x1.6903ac7a47e0cp-5, -0x1.5f65ea80cb819p-5, -0x1.56010d75f1fdep-5, -0x1.4cd40c85e9dcfp-5, -0x1.43dde153e36fp-5, -0x1.3b1d880ad1c71p-5, -0x1.3291ff6d09c9p-5, -0x1.2a3a48e2c7be6p-5, -0x1.22156887a16c7p-5, -0x1.1a226536f1b14p-5, -0x1.126048974238fp-5, -0x1.0ace1f24bf43ap-5, -0x1.036af83abbcfbp-5, -0x1.f86bcc389dea1p-6, -0x1.ea5bfbf825c5ep-6, -0x1.dca4b00619134p-6, -0x1.cf441ead86a6fp-6, -0x1.c238843d26f79p-6, -0x1.b5802310776e9p-6, -0x1.a9194397703fep-6, -0x1.9d02345cc986dp-6, -0x1.91394a0af70ecp-6, -0x1.85bcdf6fccb61p-6, -0x1.7a8b557efb443p-6, -0x1.6fa3135348da1p-6, -0x1.6502862ebc928p-6, -0x1.5aa82179a1e2dp-6, -0x1.50925ec094fc9p-6, -0x1.46bfbdb181ac1p-6, -0x1.3d2ec417bc1bfp-6, -0x1.33ddfdd72c745p-6, -0x1.2acbfce69cd04p-6, -0x1.21f7594939057p-6, -0x1.195eb10748afp-6, -0x1.1100a82624e47p-6, -0x1.08dbe89f81893p-6, -0x1.00ef225806b06p-6, -0x1.f272162a98bf5p-7, -0x1.e370bce6759e9p-7, -0x1.d4d7bbb1b4cf5p-7, -0x1.c6a4a0d9475abp-7, -0x1.b8d5061087b07p-7, -0x1.ab669057e1a78p-7, -0x1.9e56efe2a1c22p-7, -0x1.91a3dffbdad21p-7, -0x1.854b26ea9fe9dp-7, -0x1.794a95d57ee6dp-7, -0x1.6da008a549a6cp-7, -0x1.624965e7598a5p-7, -0x1.57449eaf2ce57p-7, -0x1.4c8fae778e376p-7, -0x1.42289b033fadep-7, -0x1.380d743d38995p-7, -0x1.2e3c5418856dfp-7, -0x1.24b35e6fcc4abp-7, -0x1.1b70c0e47cc5ep-7, -0x1.1272b2bdcd109p-7, -0x1.09b774c76a415p-7, -0x1.013d512ffc023p-7, -0x1.f20536cf06bebp-8, -0x1.e20b5ffb2141ep-8, -0x1.d289e8fec6196p-8, -0x1.c37daeabdc642p-8, -0x1.b4e39f47c7265p-8, -0x1.a6b8ba4749e2p-8, -0x1.98fa100a8a2d9p-8, -0x1.8ba4c1990fe19p-8, -0x1.7eb6005df5f91p-8, -0x1.722b0de423532p-8, -0x1.66013b92d70dap-8, -0x1.5a35ea6a5586cp-8, -0x1.4ec68ac0f0912p-8, -0x1.43b09c004ac4p-8, -0x1.38f1ac62f9a6ep-8, -0x1.2e8758b293631p-8, -0x1.246f4c0619107p-8, -0x1.1aa73f80c5c66p-8, -0x1.112cfa116caa8p-8, -0x1.07fe503247dep-8, -0x1.fe3247527bd6ep-9, -0x1.ecf6c6918aca1p-9, -0x1.dc461562936a6p-9, -0x1.cc1c4426584e1p-9, -0x1.bc757be2a087p-9, -0x1.ad4dfdc8a612bp-9, -0x1.9ea222bcb7196p-9, -0x1.906e5adf189e2p-9, -0x1.82af2d164bd89p-9, -0x1.7561369aaa63cp-9, -0x1.68812a8348609p-9, -0x1.5c0bd15445126p-9, -0x1.4ffe088e83c61p-9, -0x1.4454c240e416fp-9, -0x1.390d049ac2676p-9, -0x1.2e23e97ff2a63p-9, -0x1.23969e1e4e27p-9, -0x1.196262849d61cp-9, -0x1.0f84893b0861fp-9, -0x1.05fa76dcfac1bp-9, -0x1.f98343690f28bp-10, -0x1.e7af22ae9a7c6p-10, -0x1.d673bc89ba59bp-10, -0x1.c5cc630d3df8cp-10, -0x1.b5b488a24d31ep-10, -0x1.a627bf4e4ce8bp-10, -0x1.9721b7fb7123dp-10, -0x1.889e41c495f05p-10, -0x1.7a9949441a629p-10, -0x1.6d0ed7e549bd1p-10, -0x1.5ffb133923079p-10, -0x1.535a3c4dcf72bp-10, -0x1.4728af095565cp-10, -0x1.3b62e186f6f75p-10, -0x1.3005637769fcp-10, -0x1.250cdd8413529p-10, -0x1.1a7610b515042p-10, -0x1.103dd5da2756ap-10, -0x1.06611cf6751cep-10, -0x1.f9b9d95dca5f7p-11, -0x1.e75cc376dae58p-11, -0x1.d5a55cb5f5ba8p-11, -0x1.c48e339461afcp-11, -0x1.b411ff79b4a89p-11, -0x1.a42b9fb3cb1a5p-11, -0x1.94d61a74062d6p-11, -0x1.860c9bd1d12cap-11, -0x1.77ca74d238e44p-11, -0x1.6a0b1a74b1c4p-11, -0x1.5cca24c525152p-11, -0x1.50034df23c759p-11, -0x1.43b27168f9cfp-11, -0x1.37d38af53e565p-11, -0x1.2c62b5e6b20a8p-11, -0x1.215c2c3b14f52p-11, -0x1.16bc45cc737cep-11, -0x1.0c7f77841aeaep-11, -0x1.02a252923f7edp-11, -0x1.f2430753973b5p-12, -0x1.dff3a4817f5e6p-12, -0x1.ce503faa20da8p-12, -0x1.bd52ce6aaab6p-12, -0x1.acf5779b40abap-12, -0x1.9d3291f1744c9p-12, -0x1.8e04a2aa7ad0bp-12, -0x1.7f665c3d1286ap-12, -0x1.71529d1448c7fp-12, -0x1.63c46e508575cp-12, -0x1.56b7029076b86p-12, -0x1.4a25b4c20e8cp-12, -0x1.3e0c06f9e0db6p-12, -0x1.3265a15241e41p-12, -0x1.272e50d160fb4p-12, -0x1.1c6206562c5cbp-12, -0x1.11fcd58b7d361p-12, -0x1.07faf3e24caf8p-12, -0x1.fcb16f24eee36p-13, -0x1.ea252d4370972p-13, -0x1.d84a4be2161bcp-13, -0x1.c71a30a0f1066p-13, -0x1.b68e7b2f6a966p-13, -0x1.a6a1038c0b31fp-13, -0x1.974bd84dff146p-13, -0x1.88893cfab9f6dp-13, -0x1.7a53a8668041p-13, -0x1.6ca5c3203287ap-13, -0x1.5f7a65e74fd4cp-13, -0x1.52cc982b9e9d6p-13, -0x1.46978e982e88cp-13, -0x1.3ad6a9a7b4556p-13, -0x1.2f85744302692p-13, -0x1.249fa268cdfb3p-13, -0x1.1a210fdf6b158p-13, -0x1.1005beee5e7dp-13, -0x1.0649d7217d0e3p-13, -0x1.f9d3482aaa00cp-14, -0x1.e7c328963f346p-14, -0x1.d65c700b8bb49p-14, -0x1.c598805e55712p-14, -0x1.b570fa89d240cp-14, -0x1.a5dfbc9967288p-14, -0x1.96dedfa1ba703p-14, -0x1.8868b5c773b65p-14, -0x1.7a77c855205aep-14, -0x1.6d06d5df90ef4p-14, -0x1.6010d077f0b7fp-14, -0x1.5390dbeade0ffp-14, -0x1.47824c0c5e34ap-14, -0x1.3be0a3114aa63p-14, -0x1.30a78ff48146ap-14, -0x1.25d2ece9d252ep-14, -0x1.1b5ebddab9104p-14, -0x1.11472ef07c37dp-14, -0x1.0788932952e57p-14, -0x1.fc3ec5eef30b6p-15, -0x1.ea1075d7b66b8p-15, -0x1.d87fb4d52aad2p-15, -0x1.c78644d52576bp-15, -0x1.b71e287cc2de2p-15, -0x1.a741a0cef22edp-15, -0x1.97eb2ae4138a1p-15, -0x1.89157db5c9767p-15, -0x1.7abb87fa470aep-15, -0x1.6cd86e12f4754p-15, -0x1.5f67880a6031cp-15, -0x1.52645fa4f39e1p-15, -0x1.45caae7feb6d9p-15, -0x1.39965c3faed23p-15, -0x1.2dc37cd02490dp-15, -0x1.224e4eafa44c2p-15, -0x1.1733394b7666ap-15, -0x1.0c6ecb6784e78p-15, -0x1.01fdb99618bccp-15, -0x1.efb9b97796cf9p-16, -0x1.dc1261403537cp-16, -0x1.c8ffa514ab809p-16, -0x1.b67bffd97cc78p-16, -0x1.a4822a2daa272p-16, -0x1.930d17ef80815p-16, -0x1.8217f5cf9b087p-16, -0x1.719e270113fe5p-16, -0x1.619b42f7f4498p-16, -0x1.520b134010324p-16, -0x1.42e99164711cap-16, -0x1.3432e4eff4047p-16, -0x1.25e3617677f6cp-16, -0x1.17f784ba42e1p-16, -0x1.0a6bf4d8b4fd8p-16, -0x1.fa7afd202b3f7p-17, -0x1.e0d22724d1fc2p-17, -0x1.c7d791cfea0eap-17, -0x1.af85aac15e39ap-17, -0x1.97d72030b1f65p-17, -0x1.80c6de052b2ccp-17, -0x1.6a500b157b0b4p-17, -0x1.546e067abd38dp-17, -0x1.3f1c64ff82215p-17, -0x1.2a56eeaaac4a7p-17, -0x1.16199c627458ep-17, -0x1.026095a30aa1ep-17, -0x1.de505ca01edb4p-18, -0x1.b8d9c93d2054p-18, -0x1.9456be18d5f97p-18, -0x1.70c0d4e743cfbp-18, -0x1.4e11f05c7be41p-18, -0x1.2c4438978c9aep-18, -0x1.0b5217c1141e7p-18, -0x1.d66c6d7f56f2fp-19, -0x1.97d6f4258b3f6p-19, -0x1.5ad9fdb571133p-19, -0x1.1f6c2fdf222a5p-19, -0x1.cb092c9136386p-20, -0x1.5a353a7c6ef7dp-20, -0x1.d89832a61d306p-21, -0x1.027c0cf40b4c1p-21, -0x1.8fbe3c35791d9p-24, 0x1.32234602dbce9p-22, 0x1.5ebc11d9b115ep-21, 0x1.0f9126ef442c5p-20, 0x1.6d2f0c952046ep-20, 0x1.c8441ec428f69p-20, 0x1.106e26a226285p-19, 0x1.3b818cb79592ep-19, 0x1.6561ce3dd6f31p-19, 0x1.8e1446be61c34p-19, 0x1.b59e2395d8779p-19, 0x1.dc0466afed23cp-19, 0x1.00a5f48a55d95p-18, 0x1.12bcaeb1e2856p-18, 0x1.2448a919ca5e2p-18, 0x1.354c1a1b9b257p-18, 0x1.45c92837d34b5p-18, 0x1.55c1eb0e6beb9p-18, 0x1.65386c51b384fp-18, 0x1.742ea8aa3be86p-18, 0x1.82a69090e4ea9p-18, 0x1.90a2091b4af5p-18, 0x1.9e22ecb6775ddp-18, 0x1.ab2b0be4d2e32p-18, 0x1.b7bc2de44f929p-18, 0x1.c3d8114fb5889p-18, 0x1.cf806cba3123p-18, 0x1.dab6ef39421bbp-18, 0x1.e57d40ed8a1dfp-18, 0x1.efd5037e099bap-18, 0x1.f9bfd28eed01cp-18, 0x1.019fa216ccf34p-17, 0x1.062a7499f4f77p-17, 0x1.0a8126d629bf2p-17, 0x1.0ea47c93f53dp-17, 0x1.1295378949142p-17, 0x1.1654177ec8a37p-17, 0x1.19e1da72a5113p-17, 0x1.1d3f3cb99b98dp-17, 0x1.206cf91cbccd6p-17, 0x1.236bc8f5bf53p-17, 0x1.263c64466d148p-17, 0x1.28df81d126536p-17, 0x1.2b55d72bbd5f1p-17, 0x1.2da018d3958bep-17, 0x1.2fbefa3f40905p-17, 0x1.31b32debf4becp-17, 0x1.337d656c319a8p-17, 0x1.351e5172c60c7p-17, 0x1.3696a1de7eec3p-17, 0x1.37e705c1e90cep-17, 0x1.39102b6b4b357p-17, 0x1.3a12c06b209aap-17, 0x1.3aef719a288fp-17, 0x1.3ba6eb1b60a54p-17, 0x1.3c39d86209227p-17, 0x1.3ca8e43214d39p-17, 0x1.3cf4b8a1ead5cp-17, 0x1.3d1dff1aaa08dp-17, 0x1.3d256058508bep-17, 0x1.3d0b846874992p-17, 0x1.3cd112a8f676cp-17, 0x1.3c76b1c5237edp-17, 0x1.3bfd07b403098p-17, 0x1.3b64b9b4d87b2p-17, 0x1.3aae6c4a0be32p-17, 0x1.39dac336b3a03p-17, 0x1.38ea617945837p-17, 0x1.37dde946b0948p-17, 0x1.36b5fc052f105p-17, 0x1.35733a46ea6f6p-17, 0x1.341643c47fb71p-17, 0x1.329fb757a1e9ap-17, 0x1.311032f36e99ap-17, 0x1.2f68539fc4101p-17, 0x1.2da8b572a4aa5p-17, 0x1.2bd1f3894fb68p-17, 0x1.29e4a801ff771p-17, 0x1.27e16bf5c2d29p-17, 0x1.25c8d771ffd28p-17, 0x1.239b8170a915ap-17, 0x1.2159ffd28aa53p-17, 0x1.1f04e7589d53fp-17, 0x1.1c9ccb9eb7727p-17, 0x1.1a223f133958bp-17, 0x1.1795d2f23ea79p-17, 0x1.14f8173ebe34cp-17, 0x1.12499abc63df1p-17, 0x1.0f8aeae91cb54p-17, 0x1.0cbc93f7afe38p-17, 0x1.09df20ca8b133p-17, 0x1.06f31aecc5159p-17, 0x1.03f90a8d2330dp-17, 0x1.00f176788c017p-17, 0x1.fbb9c82a80744p-18, 0x1.f577aebc614afp-18, 0x1.ef1da5ba91ed4p-18, 0x1.e8acaf4efbf1dp-18, 0x1.e225cab0b78adp-18, 0x1.db89f4190653ap-18, 0x1.d4da24bcd9fd4p-18, 0x1.ce1752c58114ap-18, 0x1.c742714925f42p-18, 0x1.c05c704252a91p-18, 0x1.b9663c89b4bb6p-18, 0x1.b260bfd064f7dp-18, 0x1.ab4ce098d0736p-18, 0x1.a42b8233ecdep-18, 0x1.9cfd84b9a065ep-18, 0x1.95c3c5061ca96p-18, 0x1.8e7f1cb4c06bcp-18, 0x1.8730621b38fc6p-18, 0x1.7fd86845569bap-18, 0x1.7877fef597fc2p-18, 0x1.710ff29f4b6d1p-18, 0x1.69a10c6593ce2p-18, 0x1.622c121866b21p-18, 0x1.5ab1c63397166p-18, 0x1.5332e7dd606abp-18, 0x1.4bb032e62a9d3p-18, 0x1.442a5fc813a41p-18, 0x1.3ca223a6fb98bp-18, 0x1.35183050b31f6p-18, 0x1.2d8d343d9ed45p-18, 0x1.2601da8f51e4p-18, 0x1.1e76cb14b5097p-18, 0x1.16ecaa4af5c97p-18, 0x1.0f64195f950b7p-18, 0x1.07ddb6314df8ap-18, 0x1.005a1b5382c84p-18, 0x1.f1b3c0214cd9fp-19, 0x1.e2bb30db265e4p-19, 0x1.d3cbaa59e7736p-19, 0x1.c4e647a815db5p-19, 0x1.b60c1d59fb227p-19, 0x1.a73e39992b867p-19, 0x1.987da42a7a2p-19, 0x1.89cb5e7677df7p-19, 0x1.7b2863945c801p-19, 0x1.6c95a857dd763p-19, 0x1.5e141b591e88ap-19, 0x1.4fa4a4fdcc722p-19, 0x1.41482787d2e63p-19, 0x1.32ff7f1ee6745p-19, 0x1.24cb81dd4dacbp-19, 0x1.16acffde079b1p-19, 0x1.08a4c34a1eb2p-19, 0x1.f56720cc6d042p-20, 0x1.d9b44b3cdee15p-20, 0x1.be32772e39448p-20, 0x1.a2e30a6d24edap-20, 0x1.87c75f6ca41aap-20, 0x1.6ce0c564301d7p-20, 0x1.52308072b9dd8p-20, 0x1.37b7c9b6252cep-20, 0x1.1d77cf6c4f281p-20, 0x1.0371b51396919p-20, 0x1.d34d27125bf6p-21, 0x1.a02ef257ef747p-21, 0x1.6d8ad3f290b4dp-21, 0x1.3b62bf7022438p-21, 0x1.09b89423aaa8p-21, 0x1.b11c3ad6062d4p-22, 0x1.4fca25eee1875p-22, 0x1.defc641867a5dp-23, 0x1.207702bd8df42p-23, 0x1.90288279e2b9p-25, -0x1.59124f18e32e7p-25, -0x1.0e6fb54ffc7c8p-23, -0x1.c47227314c9f8p-23, -0x1.3c2389d995a01p-22, -0x1.94f4f5a19b067p-22, -0x1.ecab319a34738p-22, -0x1.21a21d3236cdap-21, -0x1.4c5f16f885d2ap-21, -0x1.768ba57c76d16p-21, -0x1.a026f83f2cd2dp-21, -0x1.c9304e9a7a36bp-21, -0x1.f1a6f77daabb2p-21, -0x1.0cc528930c935p-20, -0x1.206ce46c8b7d3p-20, -0x1.33ca6d4cbf677p-20, -0x1.46dd886f02576p-20, -0x1.59a6022b49c21p-20, -0x1.6c23add011718p-20, -0x1.7e56657f11396p-20, -0x1.903e0a0c2e85cp-20, -0x1.a1da82da320ffp-20, -0x1.b32bbdb99239ep-20, -0x1.c431aec1a57bep-20, -0x1.d4ec5032fddccp-20, -0x1.e55ba2546749cp-20, -0x1.f57fab528cff5p-20, -0x1.02ac3b8f24d7bp-19, -0x1.0a730ba56fb84p-19, -0x1.121451771205ep-19, -0x1.19901b3f64885p-19, -0x1.20e679d8ab5b2p-19, -0x1.281780af18e78p-19, -0x1.2f2345aed2467p-19, -0x1.3609e1343a708p-19, -0x1.3ccb6dfd81663p-19, -0x1.4368091998f45p-19, -0x1.49dfd1da80f0fp-19, -0x1.5032e9c404a8dp-19, -0x1.5661747d6364dp-19, -0x1.5c6b97c3b8e5bp-19, -0x1.62517b59901cp-19, -0x1.681348f954498p-19, -0x1.6db12c472b19bp-19, -0x1.732b52c1b4d76p-19, -0x1.7881ebb4b4e4ap-19, -0x1.7db5282a7bfebp-19, -0x1.82c53adea576ap-19, -0x1.87b258304044p-19, -0x1.8c7cb614f89dap-19, -0x1.91248c0ad418dp-19, -0x1.95aa130bdbcefp-19, -0x1.9a0d8581855fep-19, -0x1.9e4f1f369361bp-19, -0x1.a26f1d4c01c4dp-19, -0x1.a66dbe2b998b7p-19, -0x1.aa4b417cdf7b8p-19, -0x1.ae07e817d9fdap-19, -0x1.b1a3f3fa1804dp-19, -0x1.b51fa83b26b25p-19, -0x1.b87b48ffdfd2fp-19, -0x1.bbb71b70804aep-19, -0x1.bed365ad13ebfp-19, -0x1.c1d06ec1bbd49p-19, -0x1.c4ae7e9d62ce1p-19, -0x1.c76dde0598728p-19, -0x1.ca0ed68d886a2p-19, -0x1.cc91b28a83a8p-19, -0x1.cef6bd0b17efep-19, -0x1.d13e41cc07c12p-19, -0x1.d3688d2f06c78p-19, -0x1.d575ec324b02fp-19, -0x1.d766ac655a9d7p-19, -0x1.d93b1be0ee5afp-19, -0x1.daf3893defc17p-19, -0x1.dc90438c1b989p-19, -0x1.de119a49b10b9p-19, -0x1.df77dd5a3bef3p-19, -0x1.e0c35cfff43c3p-19, -0x1.e1f469d26f8bbp-19, -0x1.e30b54b5ca7b9p-19, -0x1.e4086ed489dc8p-19, -0x1.e4ec099693169p-19, -0x1.e5b6769a74001p-19, -0x1.e66807ad4674cp-19, -0x1.e7010ec43f146p-19, -0x1.e781ddf53dc99p-19, -0x1.e7eac76ef5664p-19, -0x1.e83c1d7558cbcp-19, -0x1.e8763257ef049p-19, -0x1.e899586c03ffdp-19, -0x1.e8a5e207671b4p-19, -0x1.e89c217913e0bp-19, -0x1.e87c6903b811ap-19, -0x1.e8470ad7d4d25p-19, -0x1.e7fc590e082e7p-19, -0x1.e79ca5a2b890ap-19, -0x1.e728426ee1d03p-19, -0x1.e69f812336e29p-19, -0x1.e602b3439d79dp-19, -0x1.e5522a21bf049p-19, -0x1.e48e36d8844cfp-19, -0x1.e3b72a46924b4p-19, -0x1.e2cd550a811e8p-19, -0x1.e1d1077daa26dp-19, -0x1.e0c291b070dcep-19, -0x1.dfa24367054aap-19, -0x1.de706c139bb1dp-19, -0x1.dd2d5ad2ab95bp-19, -0x1.dbd95e67a2106p-19, -0x1.da74c538ac6bp-19, -0x1.d8ffdd4b4e33bp-19, -0x1.d77af440c371cp-19, -0x1.d5e65752c976p-19, -0x1.d4425351c21f2p-19, -0x1.d28f349f3deefp-19, -0x1.d0cd472bc8d6ap-19, -0x1.cefcd6739f6d8p-19, -0x1.cd1e2d7d21c2ap-19, -0x1.cb3196d4acf2p-19, -0x1.c9375c8aafffap-19, -0x1.c72fc830353ebp-19, -0x1.c51b22d5dd2eap-19, -0x1.c2f9b507c1dcfp-19, -0x1.c0cbc6ce33f99p-19, -0x1.be919fa944defp-19, -0x1.bc4b868ed233cp-19, -0x1.b9f9c1e879569p-19, -0x1.b79c979247dddp-19, -0x1.b5344cd86a6a4p-19, -0x1.b2c12675de4e2p-19, -0x1.b0436892633dfp-19, -0x1.adbb56c202d5cp-19, -0x1.ab29340359e92p-19, -0x1.a88d42bcfc654p-19, -0x1.a5e7c4bd0b3fp-19, -0x1.a338fb370cc6ep-19, -0x1.a08126c4c15fcp-19, -0x1.9dc0876345a92p-19, -0x1.9af75c729285ep-19, -0x1.9825e4b3fae1ap-19, }}, 
      {{-0x1.fffb331189705p-15, -0x1.00ba666636831p-12, -0x1.222c541f985b6p-11, -0x1.0391851982598p-10, -0x1.98bf8b06e5886p-10, -0x1.28fa230cf3ab6p-9, -0x1.9854f713a94d9p-9, -0x1.0d9ca0c39023dp-8, -0x1.593a9f68b381dp-8, -0x1.af6b3704a3046p-8, -0x1.08491516cd9ddp-7, -0x1.3e87003d00769p-7, -0x1.7a9b133c4a002p-7, -0x1.bcacb37933f2fp-7, -0x1.026f2dcb00ff5p-6, -0x1.29a693ba4a5a4p-6, -0x1.5408411e53c5bp-6, -0x1.819cf93aeefe7p-6, -0x1.b26a802a417bcp-6, -0x1.e67399406adf9p-6, -0x1.0edc0777606a9p-5, -0x1.2c1a6146d3773p-5, -0x1.4af1e14e45a84p-5, -0x1.6b5e33189d64p-5, -0x1.8d59b63c760dep-5, -0x1.b0dd8faa2eb95p-5, -0x1.d5e1bc1e2427p-5, -0x1.fc5d235de4182p-5, -0x1.1222d5fa9d455p-4, -0x1.26c8279a2cb8ep-4, -0x1.3c18969d4f5adp-4, -0x1.520dd0712d2e4p-4, -0x1.68a129b494dbcp-4, -0x1.7fcba7db57ca2p-4, -0x1.97860a942ff0ep-4, -0x1.afc8d4e6be9c6p-4, -0x1.c88c5600efe9ap-4, -0x1.e1c8b1acb0095p-4, -0x1.fb75e8682e4dbp-4, -0x1.0ac5ef8e1801fp-3, -0x1.1801333684616p-3, -0x1.2568a0d1ef2dap-3, -0x1.32f816975ff95p-3, -0x1.40ab725b870aap-3, -0x1.4e7e94673df2ep-3, -0x1.5c6d6219c7ed9p-3, -0x1.6a73c857c3ec7p-3, -0x1.788dbdc7dd78ap-3, -0x1.86b744dec3d6ep-3, -0x1.94ec6dbbfb2bep-3, -0x1.a32957d97435cp-3, -0x1.b16a338feeef3p-3, -0x1.bfab43724896cp-3, -0x1.cde8dd81f37d1p-3, -0x1.dc1f6c3ef7879p-3, -0x1.ea4b6f95ae5b5p-3, -0x1.f8697dacb6441p-3, -0x1.033b21caa21e1p-2, -0x1.0a3742f017cecp-2, -0x1.1127908cef0fap-2, -0x1.180a85179294ep-2, -0x1.1edea75e934c6p-2, -0x1.25a28aa708fe1p-2, -0x1.2c54cec24496dp-2, -0x1.32f4201badd25p-2, -0x1.397f37bf8dc75p-2, -0x1.3ff4db5b805fdp-2, -0x1.4653dd392db51p-2, -0x1.4c9b1c33e7e1fp-2, -0x1.52c983a9b6125p-2, -0x1.58de0b68407b4p-2, -0x1.5ed7b796177fbp-2, -0x1.64b59898ad16ep-2, -0x1.6a76caf75f02ap-2, -0x1.701a773bd7c45p-2, -0x1.759fd1d00fc1bp-2, -0x1.7b061ada24433p-2, -0x1.804c9e1639f22p-2, -0x1.8572b2ae97b3fp-2, -0x1.8a77bb121e636p-2, -0x1.8f5b24c941e7fp-2, -0x1.941c68499ef1p-2, -0x1.98bb08c84746cp-2, -0x1.9d36940adea46p-2, -0x1.a18ea23799b24p-2, -0x1.a5c2d5a430483p-2, -0x1.a9d2daa3d964fp-2, -0x1.adbe67545bda3p-2, -0x1.b1853b6a45444p-2, -0x1.b5271ffc55613p-2, -0x1.b8a3e74e2bd9p-2, -0x1.bbfb6c9a47dc9p-2, -0x1.bf2d93db681e2p-2, -0x1.c23a499555b25p-2, -0x1.c521829d2e84p-2, -0x1.c7e33be13acc2p-2, -0x1.ca7f7a305a4d4p-2, -0x1.ccf64a012031ep-2, -0x1.cf47bf38a5e9p-2, -0x1.d173f4f12627dp-2, -0x1.d37b0d40760dcp-2, -0x1.d55d30fe63e56p-2, -0x1.d71a8f8b11efap-2, -0x1.d8b35e955adc7p-2, -0x1.da27d9e152d99p-2, -0x1.db78430eee033p-2, -0x1.dca4e160e69adp-2, -0x1.ddae0183ea0c7p-2, -0x1.de93f5561dea2p-2, -0x1.df5713af10a82p-2, -0x1.dff7b8281a7fp-2, -0x1.e07642e54786ap-2, -0x1.e0d3185ecfdefp-2, -0x1.e10ea12b2dbcfp-2, -0x1.e12949c9defddp-2, -0x1.e123826ed8d8cp-2, -0x1.e0fdbecec0995p-2, -0x1.e0b875ebe79f8p-2, -0x1.e05421e422d6cp-2, -0x1.dfd13fbf75473p-2, -0x1.df304f3fa6d4dp-2, -0x1.de71d2b0c091fp-2, -0x1.dd964eba7f5c1p-2, -0x1.dc9e4a32b7edp-2, -0x1.db8a4df0bdf74p-2, -0x1.da5ae4a1c906dp-2, -0x1.d9109a9e5f112p-2, -0x1.d7abfdc0c757ap-2, -0x1.d62d9d3c860d3p-2, -0x1.d4960976e9fb9p-2, -0x1.d2e5d3e0a0b8dp-2, -0x1.d11d8ed060d17p-2, -0x1.cf3dcd5e9f59ap-2, -0x1.cd47234255bb7p-2, -0x1.cb3a24aed5ffdp-2, -0x1.c9176632ae73cp-2, -0x1.c6df7c9796f1cp-2, -0x1.c492fcc36b548p-2, -0x1.c2327b9a2c794p-2, -0x1.bfbe8de109959p-2, -0x1.bd37c82269f48p-2, -0x1.ba9ebe92fb81ap-2, -0x1.b7f404f7b80f7p-2, -0x1.b5382e8ced385p-2, -0x1.b26bcdee329f3p-2, -0x1.af8f74ff56ebdp-2, -0x1.aca3b4d63963ap-2, -0x1.a9a91da591e2ep-2, -0x1.a6a03ea898b21p-2, -0x1.a389a60f97033p-2, -0x1.a065e0ed50b2fp-2, -0x1.9d357b25497f9p-2, -0x1.99f8ff5adfff5p-2, -0x1.96b0f6e135892p-2, -0x1.935de9abe7061p-2, -0x1.90005e4087b67p-2, -0x1.8c98d9a8e4848p-2, -0x1.8927df66007f3p-2, -0x1.85adf163cf53cp-2, -0x1.822b8feda256fp-2, -0x1.7ea139a3488eap-2, -0x1.7b0f6b6ed95fdp-2, -0x1.7776a07b29715p-2, -0x1.73d7522ae0865p-2, -0x1.7031f8103283cp-2, -0x1.6c8707e531835p-2, -0x1.68d6f584b64f6p-2, -0x1.652232e3dd87ap-2, -0x1.6169300c1424cp-2, -0x1.5dac5b15acc4bp-2, -0x1.59ec2022fcdc5p-2, -0x1.5628e95bff9cfp-2, -0x1.52631eea738eap-2, -0x1.4e9b26f677446p-2, -0x1.4ad165a39d40ap-2, -0x1.47063d0e73851p-2, -0x1.433a0d4a7c29ap-2, -0x1.3f6d346093e74p-2, -0x1.3ba00e4dc0de9p-2, -0x1.37d2f5026a7b1p-2, -0x1.34064061f2192p-2, -0x1.303a4642abfbdp-2, -0x1.2c6f5a6e37b41p-2, -0x1.28a5cea22e49fp-2, -0x1.24ddf2912a8f8p-2, -0x1.211813e4217e7p-2, -0x1.1d547e3c0f784p-2, -0x1.19937b33ef69p-2, -0x1.15d55262ff522p-2, -0x1.121a495f4c855p-2, -0x1.0e62a3c0839a9p-2, -0x1.0aaea3230734dp-2, -0x1.06fe872b4063fp-2, -0x1.03528d8934844p-2, -0x1.ff55e3f89e06bp-3, -0x1.f80fdcaecfadp-3, -0x1.f0d37509fbad1p-3, -0x1.e9a119174f4a1p-3, -0x1.e27931256118fp-3, -0x1.db5c21cdd52f5p-3, -0x1.d44a4bff54e2ap-3, -0x1.cd440d07d4d07p-3, -0x1.c649be9f39e5ep-3, -0x1.bf5bb6f23f7e8p-3, -0x1.b87a48ada847bp-3, -0x1.b1a5c309b4a0ep-3, -0x1.aade71d5d850ep-3, -0x1.a4249d84aced1p-3, -0x1.9d788b381ba9fp-3, -0x1.96da7ccdb9501p-3, -0x1.904ab0eb55347p-3, -0x1.89c9630bb6d03p-3, -0x1.8356cb8b820bcp-3, -0x1.7cf31fb63eb96p-3, -0x1.769e91d38a483p-3, -0x1.7059513462187p-3, -0x1.6a238a408d7a1p-3, -0x1.63fd66841b056p-3, -0x1.5de70cbcfbdbdp-3, -0x1.57e0a0e8a6d34p-3, -0x1.51ea4451d9895p-3, -0x1.4c04159e55f25p-3, -0x1.462e30dcb7a7fp-3, -0x1.4068af924694p-3, -0x1.3ab3a8c8d50bp-3, -0x1.350f311c9c246p-3, -0x1.2f7b5aca164fep-3, -0x1.29f835bbdd701p-3, -0x1.2485cf98791fap-3, -0x1.1f2433d0331e8p-3, -0x1.19d36baad23d7p-3, -0x1.14937e5558cdap-3, -0x1.0f6470efa528cp-3, -0x1.0a46469a1319bp-3, -0x1.05390082fcba2p-3, -0x1.003c9df42e1dfp-3, -0x1.f6a238c08988p-4, -0x1.ececeedfe7836p-4, -0x1.e359521e6220bp-4, -0x1.d9e752f48f2bfp-4, -0x1.d096de95984dap-4, -0x1.c767df08f0477p-4, -0x1.be5a3b43c0101p-4, -0x1.b56dd74220eaep-4, -0x1.aca2941ffe89p-4, -0x1.a3f85031cef23p-4, -0x1.9b6ee71ce7e9dp-4, -0x1.930631ef9ed7ep-4, -0x1.8abe07390f823p-4, -0x1.82963b2099c23p-4, -0x1.7a8e9f7d114d1p-4, -0x1.72a703eb96391p-4, -0x1.6adf35e62237ep-4, -0x1.633700d9b9a23p-4, -0x1.5bae2e3c4c77bp-4, -0x1.544485a23c984p-4, -0x1.4cf9ccd39040dp-4, -0x1.45cdc7e0c36b6p-4, -0x1.3ec0393748433p-4, -0x1.37d0e1b5a5417p-4, -0x1.30ff80bf3c352p-4, -0x1.2a4bd44fb1f1bp-4, -0x1.23b5990df9a1ap-4, -0x1.1d3c8a5f049e2p-4, -0x1.16e0627811b24p-4, -0x1.10a0da709fd52p-4, -0x1.0a7daa540211ap-4, -0x1.0476893293e7ap-4, -0x1.fd165a6523b0cp-5, -0x1.f1769741209ffp-5, -0x1.e60d31ff2aa37p-5, -0x1.dad99231a7582p-5, -0x1.cfdb1e1611df6p-5, -0x1.c5113ab2f70b8p-5, -0x1.ba7b4bf53bff2p-5, -0x1.b018b4cca3a3bp-5, -0x1.a5e8d747a1bc5p-5, -0x1.9beb14ae6fa0cp-5, -0x1.921ecd9d710bep-5, -0x1.8883621eda37p-5, -0x1.7f1831c3a8803p-5, -0x1.75dc9bbbe2585p-5, -0x1.6ccffeee2d9a9p-5, -0x1.63f1ba0eaab5ep-5, -0x1.5b412bb52fbf4p-5, -0x1.52bdb272c25abp-5, -0x1.4a66ace67fa06p-5, -0x1.423b79d1ca95dp-5, -0x1.3a3b782bd5a31p-5, -0x1.326607348d59ep-5, -0x1.2aba8686db0dfp-5, -0x1.2338562a47b0dp-5, -0x1.1bded6a404924p-5, -0x1.14ad690752473p-5, -0x1.0da36f0551548p-5, -0x1.06c04afc39177p-5, -0x1.00036005f8725p-5, -0x1.f2d8240c99ccdp-6, -0x1.e5f38b7073e28p-6, -0x1.d957c175ff47ap-6, -0x1.cd03933cfd02cp-6, -0x1.c0f5cfde27d1fp-6, -0x1.b52d4881e89fdp-6, -0x1.a9a8d075ef632p-6, -0x1.9e673d41e9675p-6, -0x1.936766bb0decep-6, -0x1.88a82716d7aep-6, -0x1.7e285afcbe3f1p-6, -0x1.73e6e196f8706p-6, -0x1.69e29ca2653fdp-6, -0x1.601a707d81503p-6, -0x1.568d443687293p-6, -0x1.4d3a0198b1cep-6, -0x1.441f9538a7fffp-6, -0x1.3b3cee8023e0dp-6, -0x1.3290ffb8bda04p-6, -0x1.2a1abe15f8de3p-6, -0x1.21d921be962b3p-6, -0x1.19cb25d52304ap-6, -0x1.11efc87fd2dc1p-6, -0x1.0a460aefa8323p-6, -0x1.02ccf166ee7a1p-6, -0x1.f707067e1d3d3p-7, -0x1.e8d195db6e40ep-7, -0x1.daf7ac12e94e1p-7, -0x1.cd776a9b3f242p-7, -0x1.c04ef93b8be92p-7, -0x1.b37c8610dd92cp-7, -0x1.a6fe4592c6d66p-7, -0x1.9ad27296c4ea8p-7, -0x1.8ef74e52b8d8dp-7, -0x1.836b205e512fep-7, -0x1.782c36b37ed34p-7, -0x1.6d38e5adfa8a5p-7, -0x1.628f8809e5284p-7, -0x1.582e7ee19a3a1p-7, -0x1.4e1431aa8560cp-7, -0x1.443f0e3163551p-7, -0x1.3aad889581ca8p-7, -0x1.315e1b43712dap-7, -0x1.284f46eed69c4p-7, -0x1.1f7f928babc7fp-7, -0x1.16ed8b46d228cp-7, -0x1.0e97c47df19fdp-7, -0x1.067cd7b6d47e7p-7, -0x1.fd36c92c54045p-8, -0x1.ede421ab41d49p-8, -0x1.deff10735e999p-8, -0x1.d084f90d44f25p-8, -0x1.c2734aeab8c57p-8, -0x1.b4c7814f30dc1p-8, -0x1.a77f233751fd9p-8, -0x1.9a97c33fd68dp-8, -0x1.8e0eff8b788aap-8, -0x1.81e281a85f2c2p-8, -0x1.760ffe74aab6ap-8, -0x1.6a95360278648p-8, -0x1.5f6ff37b3e897p-8, -0x1.549e0d02ac4cbp-8, -0x1.4a1d6398d77f2p-8, -0x1.3febe2fc1d991p-8, -0x1.3607818a79647p-8, -0x1.2c6e40226bb7fp-8, -0x1.231e2a03936a1p-8, -0x1.1a1554aed1dc2p-8, -0x1.1151dfc64354cp-8, -0x1.08d1f4ecc6c2fp-8, -0x1.0093c7a53e02ap-8, -0x1.f12b2a6393d1p-9, -0x1.e1ab48e5701bp-9, -0x1.d2a48b8a5598bp-9, -0x1.c413a5c36537cp-9, -0x1.b5f55d759dd92p-9, -0x1.a8468ab6a6e04p-9, -0x1.9b0417894891fp-9, -0x1.8e2aff9a1e6ebp-9, -0x1.81b84ffbcdb46p-9, -0x1.75a926e3c029fp-9, -0x1.69fab366a6a09p-9, -0x1.5eaa3534c1787p-9, -0x1.53b4fc56c515ap-9, -0x1.491868ea83389p-9, -0x1.3ed1eae02ce64p-9, -0x1.34df01b74a911p-9, -0x1.2b3d3c3c5a534p-9, -0x1.21ea38468ff13p-9, -0x1.18e3a275cc95fp-9, -0x1.102735f135516p-9, -0x1.07b2bc25bca2dp-9, -0x1.ff08190aed5b3p-10, -0x1.ef32188e306c7p-10, -0x1.dfdf5c4c2e614p-10, -0x1.d10be44602b2fp-10, -0x1.c2b3ca893af1dp-10, -0x1.b4d342b266faap-10, -0x1.a76699718e6f5p-10, -0x1.9a6a340eba73ep-10, -0x1.8dda8ff07d73ap-10, -0x1.81b442233ece8p-10, -0x1.75f3f6e19a5edp-10, -0x1.6a96711e6f373p-10, -0x1.5f988a0f3af09p-10, -0x1.54f730b8be6f2p-10, -0x1.4aaf697c9038ep-10, -0x1.40be4da76f52cp-10, -0x1.37210b01b82dfp-10, -0x1.2dd4e360ae60ep-10, -0x1.24d72c3930e9ap-10, -0x1.1c254e343c0fcp-10, -0x1.13bcc4c3fda36p-10, -0x1.0b9b1dbb012a4p-10, -0x1.03bdf8e47920cp-10, -0x1.f8460f3ba9307p-11, -0x1.e99018e43645p-11, -0x1.db55b56ce83cp-11, -0x1.cd92ac501938fp-11, -0x1.c042e516f04ecp-11, -0x1.b362669bd3e39p-11, -0x1.a6ed564e5dd03p-11, -0x1.9adff77b09961p-11, -0x1.8f36aa95e1184p-11, -0x1.83edec8737202p-11, -0x1.790255fc4ffcep-11, -0x1.6e709aba747adp-11, -0x1.643588f46b257p-11, -0x1.5a4e08a378f59p-11, -0x1.50b71ae2dfb4fp-11, -0x1.476dd94ea0edp-11, -0x1.3e6f756465d32p-11, -0x1.35b937e7a4c4cp-11, -0x1.2d488048a178fp-11, -0x1.251ac40ddbd19p-11, -0x1.1d2d8e40ceedp-11, -0x1.157e7edcfdf72p-11, -0x1.0e0b4a415781ap-11, -0x1.06d1b8a57cd48p-11, -0x1.ff9f4b20eab97p-12, -0x1.f205fea659b5dp-12, -0x1.e4d38d08f7452p-12, -0x1.d8041b0158471p-12, -0x1.cb93efd533343p-12, -0x1.bf7f74618b445p-12, -0x1.b3c33227c479dp-12, -0x1.a85bd2607b818p-12, -0x1.9d461d1259a2ep-12, -0x1.927ef82fac536p-12, -0x1.880366b70d4fap-12, -0x1.7dd087d9f86c4p-12, -0x1.73e396282d141p-12, -0x1.6a39e6be573fap-12, -0x1.60d0e87af47ffp-12, -0x1.57a623360434dp-12, -0x1.4eb736fffad98p-12, -0x1.4601db626536cp-12, -0x1.3d83dea5ebe0cp-12, -0x1.353b251d5ab04p-12, -0x1.2d25a8732663ap-12, -0x1.254176fd087f5p-12, -0x1.1d8cb3136781ep-12, -0x1.1605926aec305p-12, -0x1.0eaa5d749937bp-12, -0x1.07796ebfffb04p-12, -0x1.0071326283502p-12, -0x1.f3204ac362cb8p-13, -0x1.e5a9aa43a6c5ap-13, -0x1.d87bbdaefe07ep-13, -0x1.cb93ddfb0deeep-13, -0x1.beef819bbbbc6p-13, -0x1.b28c3b7d3d988p-13, -0x1.a667ba0499306p-13, -0x1.9a7fc615567edp-13, -0x1.8ed2421fae382p-13, -0x1.835d29346992fp-13, -0x1.781e8e1faeaf3p-13, -0x1.6d149a88dfd38p-13, -0x1.623d8e1c55953p-13, -0x1.5797bdb3e7a86p-13, -0x1.4d21928c90deap-13, -0x1.42d9897d9da91p-13, -0x1.38be323774291p-13, -0x1.2ece2e87ab70ap-13, -0x1.250831a1f1248p-13, -0x1.1b6aff6eb1997p-13, -0x1.11f56bde2fbf7p-13, -0x1.08a65a4155ap-13, -0x1.fef97951ddbd2p-14, -0x1.ecef268f8808p-14, -0x1.db2bd7b1ebb5cp-14, -0x1.c9adc21d646ap-14, -0x1.b87334004342ep-14, -0x1.a77a934153b0ep-14, -0x1.96c25c70c8658p-14, -0x1.864921c6e3f38p-14, -0x1.760d8a25e57a8p-14, -0x1.660e5026da50ep-14, -0x1.564a412e45378p-14, -0x1.46c03c886118p-14, -0x1.376f328c165e7p-14, -0x1.285623c80cd0ap-14, -0x1.19742032a4d97p-14, -0x1.0ac846643e232p-14, -0x1.f8a385af76b39p-15, -0x1.dc1f9e6210b72p-15, -0x1.c0036317c6f63p-15, -0x1.a44d779ddc6d3p-15, -0x1.88fc960b902fap-15, -0x1.6e0f8d8337c1cp-15, -0x1.538540fbff69bp-15, -0x1.395ca61b22ca6p-15, -0x1.1f94c4186deb7p-15, -0x1.062cb2acb689ap-15, -0x1.da47320a7ce3cp-16, -0x1.a8f159920442ep-16, -0x1.785662478da02p-16, -0x1.4874ebbf37d48p-16, -0x1.194bad009a0b3p-16, -0x1.d5b2e5c23dd7ep-17, -0x1.7a3a3ccd3124dp-17, -0x1.202b466c70476p-17, -0x1.8f081878f0a18p-18, -0x1.c10add3d0d4a6p-19, -0x1.a658d86d25a1bp-21, 0x1.d0a8883b1ff26p-20, 0x1.1a5d5914b9b6dp-18, 0x1.bdd16f9f4e43cp-18, 0x1.2f44927e9eccep-17, 0x1.7e438b401b4abp-17, 0x1.cbe6e1cacf78dp-17, 0x1.0c17e4650c9fap-16, 0x1.318fb3d8866dfp-16, 0x1.565b6e43b255bp-16, 0x1.7a7b9ec3735aep-16, 0x1.9df0cd5a802a4p-16, 0x1.c0bb7fa89681cp-16, 0x1.e2dc39a6b3614p-16, 0x1.0229bf2548d9p-15, 0x1.1290e812c6504p-15, 0x1.22a3d8ff5d925p-15, 0x1.3262d3ae7384ap-15, 0x1.41ce1a872bd58p-15, 0x1.50e5f0d0ec498p-15, 0x1.5faa9aec460e8p-15, 0x1.6e1c5e8a73871p-15, 0x1.7c3b82dfa94e9p-15, 0x1.8a0850d18815dp-15, 0x1.978313211e278p-15, 0x1.a4ac1694949ccp-15, 0x1.b183aa19901e9p-15, 0x1.be0a1ee7e5996p-15, 0x1.ca3fc89d7c9fap-15, 0x1.d624fd5caad2fp-15, 0x1.e1ba15e3d9cfep-15, 0x1.ecff6da37dd4bp-15, 0x1.f7f562d23ff6ap-15, 0x1.014e2b3e8ecbap-14, 0x1.067a564b9d5fdp-14, 0x1.0b7f66026cbefp-14, 0x1.105d8f53eaa51p-14, 0x1.151508b32116dp-14, 0x1.19a60a1981708p-14, 0x1.1e10cd09097a6p-14, 0x1.22558c8d4eec1p-14, 0x1.2674853bed21cp-14, 0x1.2a6df534d00cep-14, 0x1.2e421c2147ac8p-14, 0x1.31f13b323e7cdp-14, 0x1.357b951e19119p-14, 0x1.38e16e1e1db77p-14, 0x1.3c230bea43b1fp-14, 0x1.3f40b5b60442dp-14, 0x1.423ab42a40468p-14, 0x1.451151619fbdep-14, 0x1.47c4d8e20ec0ap-14, 0x1.4a559797531a5p-14, 0x1.4cc3dbcc06738p-14, 0x1.4f0ff522ed426p-14, 0x1.513a348fb949bp-14, 0x1.5342ec4f72bf1p-14, 0x1.552a6fe0a659bp-14, 0x1.56f113faf283dp-14, 0x1.58972e8738a8p-14, 0x1.5a1d1696a8519p-14, 0x1.5b83245982f74p-14, 0x1.5cc9b11684c83p-14, 0x1.5df11720e6168p-14, 0x1.5ef9b1cfd5419p-14, 0x1.5fe3dd743e1eap-14, 0x1.60aff74f6e0ebp-14, 0x1.615e5d890789ap-14, 0x1.61ef6f2543d83p-14, 0x1.62638bfaadb24p-14, 0x1.62bb14a88c67bp-14, 0x1.62f66a8bca774p-14, 0x1.6315efb61761bp-14, 0x1.631a06e2f4fbbp-14, 0x1.6303136dbc167p-14, 0x1.62d17947d450ep-14, 0x1.62859cedaab6dp-14, 0x1.621fe35d42ecep-14, 0x1.61a0b20c03478p-14, 0x1.61086edc2f766p-14, 0x1.605780138a9e8p-14, 0x1.5f8e4c50c1a08p-14, 0x1.5ead3a82310c5p-14, 0x1.5db4b1dbc5382p-14, 0x1.5ca519cd52221p-14, 0x1.5b7ed9f8b2f09p-14, 0x1.5a425a2868a05p-14, 0x1.58f0024696bb9p-14, 0x1.57883a530749fp-14, 0x1.560b6a5a86494p-14, 0x1.5479fa6d9f57fp-14, 0x1.52d4529772ca6p-14, 0x1.511adad54e355p-14, 0x1.4f4dfb0dccfe9p-14, 0x1.4d6e1b082ef85p-14, 0x1.4b7ba263f84e5p-14, 0x1.4976f8910f30bp-14, 0x1.476084c6dbdap-14, 0x1.4538adfd9f7f3p-14, 0x1.42ffdae55ade8p-14, 0x1.40b671de94e3cp-14, 0x1.3e5cd8f33408cp-14, 0x1.3bf375cecefb2p-14, 0x1.397aadb7cfaaap-14, 0x1.36f2e58819806p-14, 0x1.345c81a681743p-14, 0x1.31b7e5ffeafafp-14, 0x1.2f057600fc755p-14, 0x1.2c45948f9887ap-14, 0x1.2978a404d5301p-14, 0x1.269f0626b3fd6p-14, 0x1.23b91c22c109ep-14, 0x1.20c7468811fe1p-14, 0x1.1dc9e541fefc9p-14, 0x1.1ac157929d952p-14, 0x1.17adfc0d6bd15p-14, 0x1.14903092c9b33p-14, 0x1.1168524aa97acp-14, 0x1.0e36bda03f5e1p-14, 0x1.0afbce3d37d5ep-14, 0x1.07b7df05b3b7p-14, 0x1.046b4a137fefep-14, 0x1.011668b2ccfb9p-14, 0x1.fb7326bb59096p-15, 0x1.f4aa43714778bp-15, 0x1.edd2d51e293bap-15, 0x1.e6ed879fc888dp-15, 0x1.dffb051425533p-15, 0x1.d8fbf5d39c4abp-15, 0x1.d1f1006afb214p-15, 0x1.cadac9955b2ap-15, 0x1.c3b9f43740f38p-15, 0x1.bc8f215928e26p-15, 0x1.b55af02338b66p-15, 0x1.ae1dfdd906ad2p-15, 0x1.a6d8e5d488d4dp-15, 0x1.9f8c4182bdb97p-15, 0x1.9838a85fd4cfp-15, 0x1.90deaff39fa22p-15, 0x1.897eebcea8c54p-15, 0x1.8219ed871a198p-15, 0x1.7ab044b6372bdp-15, 0x1.73427ef64bf1bp-15, 0x1.6bd127dfa515fp-15, 0x1.645cc9079d7f9p-15, 0x1.5ce5e9fe5ef05p-15, 0x1.556d104d40cdfp-15, 0x1.4df2bf75d4386p-15, 0x1.467778f0a9813p-15, 0x1.3efbbc2c8b747p-15, 0x1.3780068e93293p-15, 0x1.3004d370c128ep-15, 0x1.288a9c2212b11p-15, 0x1.2111d7e6cf29cp-15, 0x1.199afbf8504d1p-15, 0x1.12267b85cb31bp-15, 0x1.0ab4c7b42be74p-15, 0x1.03464f9f62babp-15, 0x1.f7b700b68da9bp-16, 0x1.e8e989e92e3b5p-16, 0x1.da250ce4491a7p-16, 0x1.cb6a57ad6ccc4p-16, 0x1.bcba34423a9bap-16, 0x1.ae15689ea13b9p-16, 0x1.9f7cb6bfcae5ep-16, 0x1.90f0dca75722bp-16, 0x1.827294603cfb8p-16, 0x1.740294042c00cp-16, 0x1.65a18dbe9e6f5p-16, 0x1.57502fd28e84ep-16, 0x1.490f24a052bdp-16, 0x1.3adf12aa39663p-16, 0x1.2cc09c9ad6b93p-16, 0x1.1eb4614a37c04p-16, 0x1.10bafbc4d4b8bp-16, 0x1.02d5035206136p-16, 0x1.ea0616f4998fcp-17, 0x1.ce8b481b469bp-17, 0x1.b33ab25710958p-17, 0x1.98156692a1fe7p-17, 0x1.7d1c6e70f8cbcp-17, 0x1.6250cc5fc9379p-17, 0x1.47b37ba4bf3b2p-17, 0x1.2d45706d6c4bep-17, 0x1.130797e0b2922p-17, 0x1.f1f5b05878dd9p-18, 0x1.be40212bc46f7p-18, 0x1.8af033183b1aep-18, 0x1.5807896e9a72cp-18, 0x1.2587ba1379246p-18, 0x1.e6e49b4771f7ep-19, 0x1.83917f2b58369p-19, 0x1.2118fcb44f7ccp-19, 0x1.7efbae21834ap-20, 0x1.7b0adfe3826bp-21, -0x1.15d00b8458f77p-27, -0x1.80252568909efp-21, -0x1.7c2aa9d76858p-20, -0x1.1b37ac0bb12f5p-19, -0x1.776e200c03b75p-19, -0x1.d2b699fcf84adp-19, -0x1.16878d2f9ea52p-18, -0x1.433adc6847ca5p-18, -0x1.6f7451e6eb8acp-18, -0x1.9b3310334c6a6p-18, -0x1.c67644f260589p-18, -0x1.f13d28c39c8fep-18, -0x1.0dc37f8e0e0c3p-17, -0x1.22a98b0e7d368p-17, -0x1.37506337d8351p-17, -0x1.4bb7b98fcdbc7p-17, -0x1.5fdf44b873955p-17, -0x1.73c6c05be5a47p-17, -0x1.876ded1cc7252p-17, -0x1.9ad490801212cp-17, -0x1.adfa74db6024ap-17, -0x1.c0df694197544p-17, -0x1.d383416f2d2fcp-17, -0x1.e5e5d5b7327e3p-17, -0x1.f80702f078d4ap-17, -0x1.04f35530ed1d9p-16, -0x1.0dc258d764707p-16, -0x1.167081637f533p-16, -0x1.1efdc5e8972ddp-16, -0x1.276a1f8ca91a9p-16, -0x1.2fb5897e60805p-16, -0x1.37e000ecf77d9p-16, -0x1.3fe984fda74e7p-16, -0x1.47d216c33a2cfp-16, }}, 
      {{-0x1.24197687548cap-6, -0x1.232d9766a31a3p-5, -0x1.b286683171694p-5, -0x1.1faa5fcede27bp-4, -0x1.647a7a8953bb8p-4, -0x1.a771e18fc51f2p-4, -0x1.e85ed3f88b80fp-4, -0x1.138f3799948e8p-3, -0x1.31cda19ee4a11p-3, -0x1.4ee5d96ee8e08p-3, -0x1.6ad821c3217a1p-3, -0x1.85a8fa4a2ab41p-3, -0x1.9f60567a83837p-3, -0x1.b808e41913edcp-3, -0x1.cfaf63d22bc13p-3, -0x1.e66214cca62adp-3, -0x1.fc30332206e62p-3, -0x1.0894c440be731p-2, -0x1.12af06ee855f2p-2, -0x1.1c6ece62e0d92p-2, -0x1.25dbd7802324ep-2, -0x1.2efd956a2fcb1p-2, -0x1.37db1d50f5266p-2, -0x1.407b172b344c6p-2, -0x1.48e3b2ba747c4p-2, -0x1.511aa03dcfbe6p-2, -0x1.59250c46cb32p-2, -0x1.61079e3103105p-2, -0x1.68c678cac3c8p-2, -0x1.70653cc94f6e3p-2, -0x1.77e70caf8ad3cp-2, -0x1.7f4e91d8d9f02p-2, -0x1.869e026429f83p-2, -0x1.8dd727c471ebap-2, -0x1.94fb65c457b93p-2, -0x1.9c0bc1d239dfap-2, -0x1.a308ea7094a4cp-2, -0x1.a9f33eacc374ap-2, -0x1.b0cad58357fcap-2, -0x1.b78f851df292ap-2, -0x1.be40e9da9021bp-2, -0x1.c4de6d0fb95c7p-2, -0x1.cb674b841c52ap-2, -0x1.d1da9b929cf7ap-2, -0x1.d83752f625c56p-2, -0x1.de7c4c3a602c9p-2, -0x1.e4a84bd009a3fp-2, -0x1.eaba04c4dc1c6p-2, -0x1.f0b01d201933bp-2, -0x1.f68931e597fb3p-2, -0x1.fc43dac1e5f2ep-2, -0x1.00ef56b1481d6p-1, -0x1.03ac203f0364dp-1, -0x1.065797476edbfp-1, -0x1.08f10c232c1efp-1, -0x1.0b77d35d23093p-1, -0x1.0deb46a921a5p-1, -0x1.104ac5bc3ab4ep-1, -0x1.1295b708de5fep-1, -0x1.14cb8860a68e3p-1, -0x1.16ebaf7dbe0bfp-1, -0x1.18f5aa75b7b7cp-1, -0x1.1ae900179932bp-1, -0x1.1cc54036c6892p-1, -0x1.1e8a03e469d51p-1, -0x1.2036ed98d5ea8p-1, -0x1.21cba94e55eecp-1, -0x1.2347ec8ebe0b5p-1, -0x1.24ab7674ff9bbp-1, -0x1.25f60fa3efa5ep-1, -0x1.27278a3356013p-1, -0x1.283fc1944e28dp-1, -0x1.293e9a6de889p-1, -0x1.2a240272f2138p-1, -0x1.2aeff031af7f9p-1, -0x1.2ba262de4e286p-1, -0x1.2c3b6218bd52fp-1, -0x1.2cbafdae909a2p-1, -0x1.2d214d5986fa9p-1, -0x1.2d6e707b3ade7p-1, -0x1.2da28dd67f8c3p-1, -0x1.2dbdd346dc8e7p-1, -0x1.2dc07576906a7p-1, -0x1.2daaaf937fcd3p-1, -0x1.2d7cc303636cep-1, -0x1.2d36f7178a62ap-1, -0x1.2cd998c073d4dp-1, -0x1.2c64fa4187dc4p-1, -0x1.2bd972e524d9dp-1, -0x1.2b375eb13c9dap-1, -0x1.2a7f1e1cabcfap-1, -0x1.29b115c57bc2fp-1, -0x1.28cdae2831723p-1, -0x1.27d553584d448p-1, -0x1.26c874ba1984p-1, -0x1.25a784bde2c93p-1, -0x1.2472f89caf78bp-1, -0x1.232b48168cc0ep-1, -0x1.21d0ed3281958p-1, -0x1.20646400346aap-1, -0x1.1ee62a5b534b6p-1, -0x1.1d56bfb0c557p-1, -0x1.1bb6a4c5ae6eap-1, -0x1.1a065b804cc6ep-1, -0x1.184666b2b1e79p-1, -0x1.167749e75bb75p-1, -0x1.1499892faf8d2p-1, -0x1.12ada8f453fd6p-1, -0x1.10b42dc76d8d5p-1, -0x1.0ead9c38b6d58p-1, -0x1.0c9a78ab73d8cp-1, -0x1.0a7b472e3b828p-1, -0x1.08508b54923ccp-1, -0x1.061ac81250ffdp-1, -0x1.03da7f98d00fbp-1, -0x1.01903335d1ab2p-1, -0x1.fe78c66844a97p-2, -0x1.f9bf1d7bd0ae8p-2, -0x1.f4f46781328fap-2, -0x1.f0199da51cf95p-2, -0x1.eb2fb63458c0ap-2, -0x1.e637a46d2c115p-2, -0x1.e1325853c505ep-2, -0x1.dc20be8992ffap-2, -0x1.d703c0277d25ap-2, -0x1.d1dc429adebcp-2, -0x1.ccab278539ef2p-2, -0x1.c7714c9e88007p-2, -0x1.c22f8b9a1229ep-2, -0x1.bce6ba0dc6053p-2, -0x1.b797a95be39b4p-2, -0x1.b243269f00b3cp-2, -0x1.ace9fa983e378p-2, -0x1.a78ce99fa586ap-2, -0x1.a22cb39696041p-2, -0x1.9cca13dc2bf62p-2, -0x1.9765c14393fc8p-2, -0x1.92006e0c32091p-2, -0x1.8c9ac7db88119p-2, -0x1.873577b8d25cp-2, -0x1.81d1220a386a2p-2, -0x1.7c6e66938d3c6p-2, -0x1.770de076872d1p-2, -0x1.71b026345f1dp-2, -0x1.6c55c9b0c0f54p-2, -0x1.66ff58360835fp-2, -0x1.61ad5a7aa9589p-2, -0x1.5c6054a7c2bf4p-2, -0x1.5718c660c4ea2p-2, -0x1.51d72acc1800cp-2, -0x1.4c9bf89cbf90cp-2, -0x1.4767a21ce0cbdp-2, -0x1.423a9539235b5p-2, -0x1.3d153b8cdeb66p-2, -0x1.37f7fa6f05e6cp-2, -0x1.32e332ffc3ab3p-2, -0x1.2dd74236bcd81p-2, -0x1.28d480f1e992cp-2, -0x1.23db4404fd7cbp-2, -0x1.1eebdc49520d1p-2, -0x1.1a0696ae4424ep-2, -0x1.152bbc4a038c6p-2, -0x1.105b926abdea6p-2, -0x1.0b965aa8276a1p-2, -0x1.06dc52f54fe7p-2, -0x1.022db5b2bb636p-2, -0x1.fb15738179cf5p-3, -0x1.f1e725240000cp-3, -0x1.e8d0e07c87dep-3, -0x1.dfd2ff2a6ecc5p-3, -0x1.d6edd462e61e8p-3, -0x1.ce21ad171b24ap-3, -0x1.c56ed01a7295fp-3, -0x1.bcd57e48e01fbp-3, -0x1.b455f2ad417ap-3, -0x1.abf062a7b271ep-3, -0x1.a3a4fe13cf5ccp-3, -0x1.9b73ef6ee4317p-3, -0x1.935d5bfdea5f4p-3, -0x1.8b6163f362949p-3, -0x1.83802294f559p-3, -0x1.7bb9ae60cb866p-3, -0x1.740e1932ad957p-3, -0x1.6c7d7068c4ccp-3, -0x1.6507bd0811a7p-3, -0x1.5dad03e07fc05p-3, -0x1.566d45b097302p-3, -0x1.4f487f48c8c76p-3, -0x1.483ea9ae470e9p-3, -0x1.414fba3d72336p-3, -0x1.3a7ba2cbc8d01p-3, -0x1.33c251c95e6f9p-3, -0x1.2d23b261d3673p-3, -0x1.269fac9cc7decp-3, -0x1.2036257dcae6dp-3, -0x1.19e6ff23be956p-3, -0x1.13b218e7b4ac7p-3, -0x1.0d974f7b3698fp-3, -0x1.07967d0606dd9p-3, -0x1.01af794346ccap-3, -0x1.f7c4333c20cbdp-4, -0x1.ec5c629afaa04p-4, -0x1.e12722e01b762p-4, -0x1.d624124d0f989p-4, -0x1.cb52cb5c6c27bp-4, -0x1.c0b2e4f51d6bep-4, -0x1.b643f29c9d723p-4, -0x1.ac0584a7d7215p-4, -0x1.a1f7286b032e3p-4, -0x1.9818686836a45p-4, -0x1.8e68cc7cd522dp-4, -0x1.84e7da0dd646bp-4, -0x1.7b951432de415p-4, -0x1.726ffbe02d1fap-4, -0x1.6978100f6b9fep-4, -0x1.60accde7515bp-4, -0x1.580db0e22a3ebp-4, -0x1.4f9a32f33cec8p-4, -0x1.4751ccab15558p-4, -0x1.3f33f55ab5dd4p-4, -0x1.37402335b52a4p-4, -0x1.2f75cb7343b93p-4, -0x1.27d4626e2a146p-4, -0x1.205b5bc3b5d7p-4, -0x1.190a2a71a252ap-4, -0x1.11e040f2fbc96p-4, -0x1.0add115c04191p-4, -0x1.04000d751a99ap-4, -0x1.fa914da95b61bp-5, -0x1.ed6c9df071256p-5, -0x1.e090eeb89fa1fp-5, -0x1.d3fd23278f45bp-5, -0x1.c7b01ebbdefcfp-5, -0x1.bba8c577d9091p-5, -0x1.afe5fc0a73345p-5, -0x1.a466a7f692fe3p-5, -0x1.9929afb8ae08dp-5, -0x1.8e2dfaeacc0dp-5, -0x1.83727266ebbdap-5, -0x1.78f60067e0117p-5, -0x1.6eb790a8a26d6p-5, -0x1.64b610822c567p-5, -0x1.5af06f07dc2eep-5, -0x1.51659d2274204p-5, -0x1.48148da9ad911p-5, -0x1.3efc357c82391p-5, -0x1.361b8b98193c2p-5, -0x1.2d71892d74175p-5, -0x1.24fd29b5ddd7ep-5, -0x1.1cbd6b061f6a8p-5, -0x1.14b14d608e21bp-5, -0x1.0cd7d385ecb3cp-5, -0x1.053002c53da75p-5, -0x1.fb71c614e2bd8p-6, -0x1.ece2fdd82c358p-6, -0x1.deb1c76ff8795p-6, -0x1.d0dc42fdc87cbp-6, -0x1.c360963e644d3p-6, -0x1.b63cec9d79fe3p-6, -0x1.a96f774763b3cp-6, -0x1.9cf66d39433e6p-6, -0x1.90d00b4f6480bp-6, -0x1.84fa945207b11p-6, -0x1.79745100a0d71p-6, -0x1.6e3b901b97c61p-6, -0x1.634ea66c8895ap-6, -0x1.58abeecd2e1b6p-6, -0x1.4e51ca2ceb258p-6, -0x1.443e9f950de5dp-6, -0x1.3a70dc2bce426p-6, -0x1.30e6f3361c288p-6, -0x1.279f5e1850e0dp-6, -0x1.1e989c55ba3f2p-6, -0x1.15d1338f1a6c6p-6, -0x1.0d47af802b0fdp-6, -0x1.04faa1fc1e381p-6, -0x1.f9d145d27d941p-7, -0x1.ea20a07744c61p-7, -0x1.dae09bde1748cp-7, -0x1.cc0e8bffeff72p-7, -0x1.bda7d0c7dc064p-7, -0x1.afa9d602216b4p-7, -0x1.a212134a02975p-7, -0x1.94de0bf6225d4p-7, -0x1.880b4f03c8bbp-7, -0x1.7b977700d1a6p-7, -0x1.6f8029f4ab2e1p-7, -0x1.63c31948250ap-7, -0x1.585e01ac4709fp-7, -0x1.4d4eab00519d7p-7, -0x1.4292e836ba8c4p-7, -0x1.3828973983c1cp-7, -0x1.2e0da0cda5cb7p-7, -0x1.243ff875e6b59p-7, -0x1.1abd9c54e87e9p-7, -0x1.1184950ec09e5p-7, -0x1.0892f5a9e85b1p-7, -0x1.ffcdb6df56278p-8, -0x1.eefcdb9841b5ap-8, -0x1.deafbc5b79652p-8, -0x1.cee2cfc8f5545p-8, -0x1.bf92a0016bc0ap-8, -0x1.b0bbca634f18dp-8, -0x1.a25aff474c44bp-8, -0x1.946d01bc6d2a7p-8, -0x1.86eea74398826p-8, -0x1.79dcd78b1162ap-8, -0x1.6d348c296db7p-8, -0x1.60f2d0586700ep-8, -0x1.5514c0afa4e61p-8, -0x1.49978adf4c5b5p-8, -0x1.3e786d6aaa1c8p-8, -0x1.33b4b762c2675p-8, -0x1.2949c820fed44p-8, -0x1.1f350f01ff5eap-8, -0x1.15740b2082c92p-8, -0x1.0c044b108fc08p-8, -0x1.02e36c9afa4ffp-8, -0x1.f41e38f1eed2cp-9, -0x1.e30a2c203ea7ap-9, -0x1.d286465daadd7p-9, -0x1.c28e3791ffcb3p-9, -0x1.b31dcb6a9cc1ep-9, -0x1.a430e8d580182p-9, -0x1.95c3917daa9c6p-9, -0x1.87d1e148438ep-9, -0x1.7a580dd2eff5ep-9, -0x1.6d5265f33d46bp-9, -0x1.60bd513751605p-9, -0x1.54954f67a178dp-9, -0x1.48d6f809f0a86p-9, -0x1.3d7ef9e5a6fbcp-9, -0x1.328a1a8979bcp-9, -0x1.27f535d240533p-9, -0x1.1dbd3d7372c8fp-9, -0x1.13df3880e37e8p-9, -0x1.0a5842f9afab7p-9, -0x1.01258d551a2dcp-9, -0x1.f088b820ce1eap-10, -0x1.df640e7d1253dp-10, -0x1.ced7f432293ccp-10, -0x1.bedf6525e2ce3p-10, -0x1.af7581d8b53d5p-10, -0x1.a0958e90d78ffp-10, -0x1.923af288c4bf1p-10, -0x1.84613720acb36p-10, -0x1.77040712f6018p-10, -0x1.6a1f2dac3c7dep-10, -0x1.5dae96059a67fp-10, -0x1.51ae4a4323b16p-10, -0x1.461a72d4cec49p-10, -0x1.3aef55bab97adp-10, -0x1.302955cc96788p-10, -0x1.25c4f2044acf8p-10, -0x1.1bbec4cba9e5ap-10, -0x1.1213834d01ee1p-10, -0x1.08bffcc72539ep-10, -0x1.ff8233c8b94dep-11, -0x1.ee27b829305ebp-11, -0x1.dd6ab9d4afe8dp-11, -0x1.cd459af61ed8p-11, -0x1.bdb2eb847c389p-11, -0x1.aead680eecd4ap-11, -0x1.a02ff88f9b16ep-11, -0x1.9235af436f376p-11, -0x1.84b9c788993b3p-11, -0x1.77b7a4c23fcd7p-11, -0x1.6b2ad1421681bp-11, -0x1.5f0efd37cd149p-11, -0x1.535ffda6373efp-11, -0x1.4819cb5d91bb9p-11, -0x1.3d3881fb9ae3ap-11, -0x1.32b85ef12e8p-11, -0x1.2895c08d77452p-11, -0x1.1ecd250ddc002p-11, -0x1.155b29b38e5e9p-11, -0x1.0c3c89de3a492p-11, -0x1.036e1e2bd96b2p-11, -0x1.f5d9b73bff98fp-12, -0x1.e56ba585ff8fap-12, -0x1.d58c5dca3dafdp-12, -0x1.c6366a7c86dfp-12, -0x1.b7648860b1c2cp-12, -0x1.a911a50494182p-12, -0x1.9b38dd4381e59p-12, -0x1.8dd57bd2e57b8p-12, -0x1.80e2f7d8185abp-12, -0x1.745cf386c94d2p-12, -0x1.683f3ac7afbedp-12, -0x1.5c85c1e887a2ep-12, -0x1.512ca45409fbdp-12, -0x1.4630235226ecbp-12, -0x1.3b8ca4d057e6cp-12, -0x1.313eb2320fcbep-12, -0x1.2742f728ed9bbp-12, -0x1.1d9640948da21p-12, -0x1.14357b69eabf6p-12, -0x1.0b1db3a22ca88p-12, -0x1.024c1330c1cb5p-12, -0x1.f37bc200a233cp-13, -0x1.e2e0ffee9ccb1p-13, -0x1.d2c2dc0470de8p-13, -0x1.c31c864bad82fp-13, -0x1.b3e9612f2e7c3p-13, -0x1.a524ffb7e7e9fp-13, -0x1.96cb23d6e8294p-13, -0x1.88d7bcbbc0bf4p-13, -0x1.7b46e53675201p-13, -0x1.6e14e22765d1ap-13, -0x1.613e20f779f21p-13, -0x1.54bf361daeaebp-13, -0x1.4894dbaf8173fp-13, -0x1.3cbbeffc0d33cp-13, -0x1.313174319000dp-13, -0x1.25f28b0e60001p-13, -0x1.1afc779926251p-13, -0x1.104c9be61cb05p-13, -0x1.05e077e506913p-13, -0x1.f76b506f46a15p-14, -0x1.e393ca245d14cp-14, -0x1.d036024a54655p-14, -0x1.bd4dd11cc97c4p-14, -0x1.aad73fa8b4358p-14, -0x1.98ce85d3c2ea9p-14, -0x1.8730086fa172dp-14, -0x1.75f85762263cap-14, -0x1.65242bda1b666p-14, -0x1.54b0669524f17p-14, -0x1.449a0e31fb42dp-14, -0x1.34de4d9304545p-14, -0x1.257a724dcdb62p-14, -0x1.166beb27d8dfp-14, -0x1.07b046a35e97ap-14, -0x1.f28a63294523ap-15, -0x1.d650eb8d574d3p-15, -0x1.baaff15680011p-15, -0x1.9fa3742fc2263p-15, -0x1.8527a61acec4ep-15, -0x1.6b38e914c21bdp-15, -0x1.51d3ccd336cf7p-15, -0x1.38f50c926c1bdp-15, -0x1.20998cfd2617ep-15, -0x1.08be5a27e0b8ep-15, -0x1.e2c14b38811f2p-16, -0x1.b4fb88ee4723fp-16, -0x1.88265b3b969adp-16, -0x1.5c3cf000b6c47p-16, -0x1.313ab1deac2a8p-16, -0x1.071b450a8ed27p-16, -0x1.bbb50864bda0dp-17, -0x1.6ae8fb1652f12p-17, -0x1.1bcadff9339bp-17, -0x1.9ca721b46c083p-18, -0x1.04f87c905f4bap-18, -0x1.c1f354af94dcbp-20, 0x1.06c1ae4e2422cp-21, 0x1.5e24e9af7b06cp-19, 0x1.3a3d307741d97p-18, 0x1.c263314f04e13p-18, 0x1.23c764321f713p-17, 0x1.64e4eb54e12dep-17, 0x1.a48eea2780566p-17, 0x1.e2c9ebdbca57fp-17, 0x1.0fcd27087adc1p-16, 0x1.2d8221fe71b4bp-16, 0x1.4a85ecb7d0e36p-16, 0x1.66da7adc2a023p-16, 0x1.8281af2e5e698p-16, 0x1.9d7d5cd5aa83bp-16, 0x1.b7cf489b1d669p-16, 0x1.d1792a16b6994p-16, 0x1.ea7cacc9ce2ecp-16, 0x1.016db895f0727p-15, 0x1.0d4b86d4f3f44p-15, 0x1.18d887cb15501p-15, 0x1.24157e03d197p-15, 0x1.2f03285b436bfp-15, 0x1.39a24261f91f4p-15, 0x1.43f384bc4e312p-15, 0x1.4df7a57a92512p-15, 0x1.57af586d54d09p-15, 0x1.611b4f73f7274p-15, 0x1.6a3c3ac66b51bp-15, 0x1.7312c93a2e9c7p-15, 0x1.7b9fa88218048p-15, 0x1.83e3856aa4c0ep-15, 0x1.8bdf0c0e14a49p-15, 0x1.9392e80b5f5d6p-15, 0x1.9affc4b3c9196p-15, 0x1.a2264d36a0ff8p-15, 0x1.a9072cc92362dp-15, 0x1.afa30ecb5eb5ap-15, 0x1.b5fa9ee8d135dp-15, 0x1.bc0e89373f8e4p-15, 0x1.c1df7a512d228p-15, 0x1.c76e1f6fc1b7ap-15, 0x1.ccbb267f772ap-15, 0x1.d1c73e32b01cbp-15, 0x1.d69316132623ap-15, 0x1.db1f5e90640c5p-15, 0x1.df6cc90bbf31fp-15, 0x1.e37c07e29606fp-15, 0x1.e74dce7665934p-15, 0x1.eae2d13367876p-15, 0x1.ee3bc59421678p-15, 0x1.f159622532c37p-15, 0x1.f43c5e86c56d7p-15, 0x1.f6e5736cdf433p-15, 0x1.f9555a9c64edap-15, 0x1.fb8ccee90cf04p-15, 0x1.fd8c8c3115248p-15, 0x1.ff554f58957dp-15, 0x1.0073eb21271d9p-14, 0x1.01226fe4fe2a8p-14, 0x1.01b695dd6dd6bp-14, 0x1.0230bd63de0c7p-14, 0x1.0291473fad457p-14, 0x1.02d894a1e3243p-14, 0x1.0307071f3b89p-14, 0x1.031d00aa45a58p-14, 0x1.031ae38d4adc4p-14, 0x1.03011263bdd3ep-14, 0x1.02cff013a2284p-14, 0x1.0287dfc679c9ap-14, 0x1.022944e27841cp-14, 0x1.01b483033277p-14, 0x1.0129fdf2a9f37p-14, 0x1.008a19a15bf7fp-14, 0x1.ffaa743dd35dbp-15, 0x1.fe17872465e97p-15, 0x1.fc5c34644ba0bp-15, 0x1.fa79447aace5dp-15, 0x1.f86f7fe58bb8p-15, 0x1.f63faf13b418cp-15, 0x1.f3ea9a551098fp-15, 0x1.f17109cad181cp-15, 0x1.eed3c5580970cp-15, 0x1.ec139492786e9p-15, 0x1.e9313eb2ce795p-15, 0x1.e62d8a85b2699p-15, 0x1.e3093e5c558d6p-15, 0x1.dfc51ffd5fe44p-15, 0x1.dc61f4960062cp-15, 0x1.d8e080ab046aap-15, 0x1.d541880b0c9c4p-15, 0x1.d185cdbfc9c6fp-15, 0x1.cdae14000f802p-15, 0x1.c9bb1c217bb94p-15, 0x1.c5ada68b97319p-15, 0x1.c18672a9c9c9dp-15, 0x1.bd463edeef56p-15, 0x1.b8edc877ee11cp-15, 0x1.b47dcb9fd3febp-15, 0x1.aff703533c837p-15, 0x1.ab5a2954738ddp-15, 0x1.a6a7f61f41ep-15, 0x1.a1e120de41b93p-15, 0x1.9d065f5fcaa57p-15, 0x1.9818660ad3376p-15, 0x1.9317e7d5027aep-15, 0x1.8e059637f915bp-15, 0x1.88e2212858cdbp-15, 0x1.83ae370be8b7cp-15, 0x1.7e6a84affe935p-15, 0x1.7917b541abf33p-15, 0x1.73b672448debap-15, 0x1.6e47638b39a42p-15, 0x1.68cb2f2f02d18p-15, 0x1.6342798872026p-15, 0x1.5dade5285184dp-15, 0x1.580e12d0d60a1p-15, 0x1.5263a16f1d66ep-15, 0x1.4caf2e14ce1bcp-15, 0x1.46f153f23b74bp-15, 0x1.412aac51472aap-15, 0x1.3b5bce8fd188p-15, 0x1.3585501a97141p-15, 0x1.2fa7c468aa9bep-15, 0x1.29c3bcf761cd3p-15, 0x1.23d9c945f3a3p-15, 0x1.1dea76d230349p-15, 0x1.17f6511488b25p-15, 0x1.11fde17d2d2adp-15, 0x1.0c01af713ed95p-15, 0x1.06024047e8271p-15, 0x1.0000174882e41p-15, 0x1.f3f76b5033b18p-16, 0x1.e7eb350ed3c58p-16, 0x1.dbdc85e51d75ap-16, 0x1.cfcc53bce7e7cp-16, 0x1.c3bb905098ddp-16, 0x1.b7ab2929b251ap-16, 0x1.ab9c079f81fa7p-16, 0x1.9f8f10d6a8ef2p-16, 0x1.938525c141daap-16, 0x1.877f231e6cf82p-16, 0x1.7b7de17bc049dp-16, 0x1.6f82353629235p-16, 0x1.638cee7b8e18ap-16, 0x1.579ed94d47a8bp-16, 0x1.4bb8bd818e4aap-16, 0x1.3fdb5ec6db1f1p-16, 0x1.34077ca774952p-16, 0x1.283dd28c96e73p-16, 0x1.1c7f17c246a5bp-16, 0x1.10cbff7b4f362p-16, 0x1.052538d69798cp-16, 0x1.f316ddc634d6ep-17, 0x1.dbfe914d0c4c2p-17, 0x1.c502d241f29dcp-17, 0x1.ae24dea88b21p-17, 0x1.9765ec92ec6ebp-17, 0x1.80c72a2dbaddcp-17, 0x1.6a49bdcfa23ccp-17, 0x1.53eec60571bd1p-17, 0x1.3db7599fdb878p-17, 0x1.27a487c3e70fcp-17, 0x1.11b757f97de16p-17, 0x1.f7e19475935c3p-18, 0x1.cca3ae0ad4f72p-18, 0x1.a1b6ded246937p-18, 0x1.771cfa34cf119p-18, 0x1.4cd7c50662e0ap-18, 0x1.22e8f5a88f7afp-18, 0x1.f2a4685c1a58p-19, 0x1.a02a35025d583p-19, 0x1.4e66690c8db52p-19, 0x1.fab8010e1ac2p-20, 0x1.5a1bb81df4037p-20, 0x1.75fb047e420d2p-21, 0x1.d62b4b077129ep-24, -0x1.fabe41206243p-22, -0x1.193460df5334bp-20, -0x1.b227050c2e1cp-20, -0x1.24c17bf2884ffp-19, -0x1.6fa1f388589d6p-19, -0x1.b9b2d901dbdf7p-19, -0x1.01791a59637dfp-18, -0x1.25af139b7a95p-18, -0x1.497a748d6e70fp-18, -0x1.6cda65435e012p-18, -0x1.8fce19750850cp-18, -0x1.b254d052e45abp-18, -0x1.d46dd45afca0ap-18, -0x1.f6187b2cb6576p-18, -0x1.0baa12b03929fp-17, -0x1.1c101f2d36d1p-17, -0x1.2c3e1e0f722d2p-17, -0x1.3c33cf95110cbp-17, -0x1.4bf0f9200999p-17, -0x1.5b7565226e983p-17, -0x1.6ac0e3084b84ep-17, -0x1.79d3472186458p-17, -0x1.88ac6a8cafd4p-17, -0x1.974c2b2180bcdp-17, -0x1.a5b26b5bbccccp-17, -0x1.b3df124504ed9p-17, -0x1.c1d20b5f4054dp-17, -0x1.cf8b4691197bap-17, -0x1.dd0ab80e2f7cbp-17, -0x1.ea50584353a36p-17, -0x1.f75c23c1f3206p-17, -0x1.02170d94ed3eap-16, -0x1.0863218abbbefp-16, -0x1.0e9252029248ap-16, -0x1.14a4a524d3172p-16, -0x1.1a9a22f7c7625p-16, -0x1.2072d55629834p-16, -0x1.262ec7e447883p-16, -0x1.2bce08061b7f7p-16, -0x1.3150a4d58aabcp-16, -0x1.36b6af187aed8p-16, -0x1.3c003936e4918p-16, -0x1.412d5730d4fe4p-16, -0x1.463e1e952d72dp-16, -0x1.4b32a677ce0e1p-16, -0x1.500b0767f28e4p-16, -0x1.54c75b66df0c4p-16, -0x1.5967bddebb8d7p-16, -0x1.5dec4b9917ac6p-16, -0x1.625522b5e01b5p-16, -0x1.66a262a25d84fp-16, -0x1.6ad42c0fb8ed9p-16, -0x1.6eeaa0eac961ep-16, -0x1.72e5e452d08cbp-16, -0x1.76c61a90be0bep-16, -0x1.7a8b690ee04cap-16, -0x1.7e35f6504289ap-16, -0x1.81c5e9e86c10cp-16, -0x1.853b6c72d608bp-16, -0x1.8896a78a7d50fp-16, -0x1.8bd7c5c274e85p-16, -0x1.8efef29d4785bp-16, -0x1.920c5a8533864p-16, -0x1.95002ac48184fp-16, -0x1.97da917d92e3dp-16, -0x1.9a9bbda3a4794p-16, -0x1.9d43def3079cdp-16, -0x1.9fd325e9f901ep-16, -0x1.a249c3c102d6dp-16, -0x1.a4a7ea63e65bep-16, -0x1.a6edcc6aa3bdfp-16, -0x1.a91b9d124569ep-16, -0x1.ab31903659084p-16, -0x1.ad2fda49ac67cp-16, -0x1.af16b0505ba1dp-16, -0x1.b0e647d886173p-16, -0x1.b29ed6f449d8fp-16, -0x1.b4409432d3703p-16, -0x1.b5cbb69b132eep-16, -0x1.b74075a4af6cfp-16, -0x1.b89f09324fec6p-16, -0x1.b9e7a98b8967ep-16, -0x1.bb1a8f575c205p-16, -0x1.bc37f3961bd0cp-16, -0x1.bd400f9bbd3c7p-16, -0x1.be331d0ac6964p-16, -0x1.bf1155ce5b7c2p-16, -0x1.bfdaf414d1db3p-16, -0x1.c090324adb446p-16, -0x1.c1314b15fc452p-16, -0x1.c1be794fd8529p-16, -0x1.c237f800acbcdp-16, -0x1.c29e025b6cd8ep-16, -0x1.c2f0d3b7fd8afp-16, -0x1.c330a78f039dep-16, -0x1.c35db974f3df4p-16, -0x1.c37845162027bp-16, -0x1.c3808631fd81fp-16, -0x1.c376b896b8ddp-16, -0x1.c35b181d09b66p-16, -0x1.c32de0a47756dp-16, -0x1.c2ef4e0ebbcc3p-16, -0x1.c29f9c3c2b03ep-16, -0x1.c23f0707f01abp-16, -0x1.c1cdca43fc21p-16, -0x1.c14c21b5631fp-16, -0x1.c0ba4910acd8dp-16, -0x1.c0187bf69bbf4p-16, -0x1.bf66f5f0a102ep-16, -0x1.bea5f26d14d82p-16, -0x1.bdd5acbc96e3ep-16, -0x1.bcf6600e9daffp-16, -0x1.bc08476e61a36p-16, -0x1.bb0b9dbf6c775p-16, -0x1.ba009dbb097d9p-16, -0x1.b8e781ed68cd2p-16, -0x1.b7c084b2efd46p-16, -0x1.b68be034c5336p-16, -0x1.b549ce66fa32ep-16, }}, 
      {{-0x1.5614ee97c2777p-1, -0x1.56468ebe9c2ep-1, -0x1.5691b94ac7e05p-1, -0x1.56eddea4b6c34p-1, -0x1.5751e9294a616p-1, -0x1.57b52046acbe7p-1, -0x1.580fb061ad4b3p-1, -0x1.585af341293c1p-1, -0x1.58918d298572p-1, -0x1.58af6d37b515fp-1, -0x1.58b1bb69e909cp-1, -0x1.5896bbbb6be2dp-1, -0x1.585dab81014b9p-1, -0x1.58069c9539ea7p-1, -0x1.579250b83ac62p-1, -0x1.570216ae71341p-1, -0x1.5657aa0f630e6p-1, -0x1.55951648b158dp-1, -0x1.54bc9d0d7297ep-1, -0x1.53d0a036189bcp-1, -0x1.52d38ef2b4248p-1, -0x1.51c7d61b9ba3bp-1, -0x1.50afd35fac13ep-1, -0x1.4f8dcb0900e77p-1, -0x1.4e63e00f09cfap-1, -0x1.4d340e2e0b57p-1, -0x1.4c0025bf30b2ap-1, -0x1.4ac9c910c3a7cp-1, -0x1.49926b03372fdp-1, -0x1.485b4eb530e63p-1, -0x1.4725880e3c382p-1, -0x1.45f1fcfd498fp-1, -0x1.44c167453ab9fp-1, -0x1.439456b6a5804p-1, -0x1.426b33ba6827fp-1, -0x1.41464214c97e4p-1, -0x1.4025a3cc90a0ap-1, -0x1.3f095c24d400ap-1, -0x1.3df1529b2e4eap-1, -0x1.3cdd55dea600cp-1, -0x1.3bcd1eb5d8458p-1, -0x1.3ac052ccf313bp-1, -0x1.39b68765bf306p-1, -0x1.38af43e572662p-1, -0x1.37aa043d3f78ap-1, -0x1.36a63b2ba5e0ep-1, -0x1.35a3545564fc9p-1, -0x1.34a0b635ae313p-1, -0x1.339dc3e5c9e9cp-1, -0x1.3299debcde08p-1, -0x1.319467c8e47d2p-1, -0x1.308cc1222c9a7p-1, -0x1.2f824f1af9863p-1, -0x1.2e74794cf997cp-1, -0x1.2d62ab866ddacp-1, -0x1.2c4c5698eaca9p-1, -0x1.2b30f10b9f49ep-1, -0x1.2a0ff7b315053p-1, -0x1.28e8ee30526eep-1, -0x1.27bb5f593d471p-1, -0x1.2686dd8c12135p-1, -0x1.254b02efabda5p-1, -0x1.240771a250326p-1, -0x1.22bbd3d89167ep-1, -0x1.2167dbedce26fp-1, -0x1.200b4467bd04cp-1, -0x1.1ea5cfee56fffp-1, -0x1.1d37493966325p-1, -0x1.1bbf82f4e4709p-1, -0x1.1a3e579d3dd02p-1, -0x1.18b3a9547f9f3p-1, -0x1.171f61b15c062p-1, -0x1.15817188e6cc8p-1, -0x1.13d9d0b3cf693p-1, -0x1.12287dcfd7e66p-1, -0x1.106d7dfe302aap-1, -0x1.0ea8dc9f52a87p-1, -0x1.0cdaab0ceec28p-1, -0x1.0b03005263f2p-1, -0x1.0921f8e43eb92p-1, -0x1.0737b6572358bp-1, -0x1.05445f16826d3p-1, -0x1.03481e1b6e17fp-1, -0x1.014322a3d9969p-1, -0x1.fe6b3fd5111d1p-2, -0x1.fa3f99bfca0b9p-2, -0x1.f603c7c7f093ep-2, -0x1.f1b84503568d5p-2, -0x1.ed5d9256fab48p-2, -0x1.e8f435f3a0e46p-2, -0x1.e47cbad5d11f1p-2, -0x1.dff7b0496dc7ep-2, -0x1.db65a9710bb7ep-2, -0x1.d6c73cd12af5ap-2, -0x1.d21d03df6d887p-2, -0x1.cd679a95dcac6p-2, -0x1.c8a79f0a4cad3p-2, -0x1.c3ddb109e9f61p-2, -0x1.bf0a71b8ee04ep-2, -0x1.ba2e833685ecfp-2, -0x1.b54a8844dbe78p-2, -0x1.b05f23f544d0ep-2, -0x1.ab6cf95886252p-2, -0x1.a674ab3326d8bp-2, -0x1.a176dbb5b9049p-2, -0x1.9c742c3912ba7p-2, -0x1.976d3cfe5eaffp-2, -0x1.9262acf2eec48p-2, -0x1.8d551977bfab2p-2, -0x1.88451e2c92735p-2, -0x1.833354be86d5p-2, -0x1.7e2054ba1d9ebp-2, -0x1.790cb360863e4p-2, -0x1.73f90380263dfp-2, -0x1.6ee5d55036346p-2, -0x1.69d3b64f621f9p-2, -0x1.64c331254e60ep-2, -0x1.5fb4cd86e7d93p-2, -0x1.5aa9101d6682ap-2, -0x1.55a07a6fe4303p-2, -0x1.509b8acf7256ap-2, -0x1.4b9abc4590154p-2, -0x1.469e8684eaf1ap-2, -0x1.41a75ddc4bedcp-2, -0x1.3cb5b32b9fd1dp-2, -0x1.37c9f3daf8cb4p-2, -0x1.32e489d3791c7p-2, -0x1.2e05db7a0a45ep-2, -0x1.292e4babcc6dcp-2, -0x1.245e39bc2646ap-2, -0x1.1f9601745fe7dp-2, -0x1.1ad5fb14b1b88p-2, -0x1.161e7b56b4853p-2, -0x1.116fd3711e839p-2, -0x1.0cca511cb6d68p-2, -0x1.082e3e9a6edd1p-2, -0x1.039be2ba8e613p-2, -0x1.fe2701c9c301fp-3, -0x1.f52ab243a74afp-3, -0x1.ec435048d3caep-3, -0x1.e3714eaa1bbf3p-3, -0x1.dab519ba26ff7p-3, -0x1.d20f1765e468fp-3, -0x1.c97fa74e38f2fp-3, -0x1.c10722e2dd591p-3, -0x1.b8a5dd7e3d7f3p-3, -0x1.b05c248254485p-3, -0x1.a82a3f765c4a8p-3, -0x1.a01070254206fp-3, -0x1.980ef2bcca738p-3, -0x1.9025fded447fp-3, -0x1.8855c309c670cp-3, -0x1.809e6e28d6989p-3, -0x1.790026456e97fp-3, -0x1.717b0d604c12ep-3, -0x1.6a0f40a17d31ap-3, -0x1.62bcd87a0f6fep-3, -0x1.5b83e8c5e0ba1p-3, -0x1.546480ed7bfa1p-3, -0x1.4d5eac07f05dp-3, -0x1.467270fca0ae3p-3, -0x1.3f9fd2a4f4c9fp-3, -0x1.38e6cfedea84fp-3, -0x1.324763f9738eep-3, -0x1.2bc1863f9beb2p-3, -0x1.25552aaf6d8f6p-3, -0x1.1f0241cf8a1f4p-3, -0x1.18c8b8de6d936p-3, -0x1.12a879f25d4fcp-3, -0x1.0ca16c18ee8e9p-3, -0x1.06b3737627a27p-3, -0x1.00de716336ca6p-3, -0x1.f64489195f45bp-4, -0x1.eafd9220ae3d4p-4, -0x1.dfe7b134d55a8p-4, -0x1.d5029504e84e5p-4, -0x1.ca4de7cf0e9ffp-4, -0x1.bfc94f98183c6p-4, -0x1.b5746e61d8e19p-4, -0x1.ab4ee2608635fp-4, -0x1.a158462ee587ap-4, -0x1.9790310164ffp-4, -0x1.8df636d808b1fp-4, -0x1.8489e8af3219fp-4, -0x1.7b4ad4af40b2p-4, -0x1.7238865b08371p-4, -0x1.695286bd1a9cbp-4, -0x1.60985c93e7a41p-4, -0x1.58098c7cb0dbp-4, -0x1.4fa5991d51a8ap-4, -0x1.476c034cdfcd5p-4, -0x1.3f5c4a3b204a9p-4, -0x1.3775eb96d680ap-4, -0x1.2fb863b2eddc4p-4, -0x1.28232daa7fa99p-4, -0x1.20b5c383b8ebp-4, -0x1.196f9e51a1c9ep-4, -0x1.12503654c9ca9p-4, -0x1.0b57031adcfe1p-4, -0x1.04837b9d241fap-4, -0x1.fbaa2cbbe8bd1p-5, -0x1.ee96930a223c3p-5, -0x1.e1cb15f60dc25p-5, -0x1.d546a106fd02ep-5, -0x1.c9081fad25165p-5, -0x1.bd0e7d724a523p-5, -0x1.b158a628825c2p-5, -0x1.a5e586170a023p-5, -0x1.9ab40a25417fp-5, -0x1.8fc32003d360fp-5, -0x1.8511b6540f95bp-5, -0x1.7a9ebccd86906p-5, -0x1.70692461ee096p-5, -0x1.666fdf5f56628p-5, -0x1.5cb1e190bc4abp-5, -0x1.532e205d0298fp-5, -0x1.49e392e4594a3p-5, -0x1.40d1321c201p-5, -0x1.37f5f8e94d3bbp-5, -0x1.2f50e4395f00bp-5, -0x1.26e0f319e689dp-5, -0x1.1ea526ceb3369p-5, -0x1.169c82e6a8e88p-5, -0x1.0ec60d4f4978cp-5, -0x1.0720ce66fd4b9p-5, -0x1.ff57a21c44cc2p-6, -0x1.f0cc456dd4ee9p-6, -0x1.e29da6e82ea01p-6, -0x1.d4c9ec0d253e3p-6, -0x1.c74f3fd3f9798p-6, -0x1.ba2bd2c04562dp-6, -0x1.ad5ddaf6fc96cp-6, -0x1.a0e394516b6d2p-6, -0x1.94bb406e54216p-6, -0x1.88e326c143fd8p-6, -0x1.7d5994a018caap-6, -0x1.721cdd4ee227p-6, -0x1.672b5a0a1d5a5p-6, -0x1.5c836a0f5c8adp-6, -0x1.522372a472a8fp-6, -0x1.4809df1d24c5ap-6, -0x1.3e3520df7dacfp-6, -0x1.34a3af66c749bp-6, -0x1.2b54084540573p-6, -0x1.2244af248e608p-6, -0x1.19742dc512c18p-6, -0x1.10e113fc1111cp-6, -0x1.0889f7b0c9753p-6, -0x1.006d74d88f42ap-6, -0x1.f1145ae3c0769p-7, -0x1.e1bd92fd22da1p-7, -0x1.d2d3edfa23839p-7, -0x1.c454d3c1cc3b7p-7, -0x1.b63db8148cd7dp-7, -0x1.a88c1a7a0602fp-7, -0x1.9b3d862d60757p-7, -0x1.8e4f920851032p-7, -0x1.81bfe06cc108bp-7, -0x1.758c1f2d60304p-7, -0x1.69b20774f6bcfp-7, -0x1.5e2f5dacc72c9p-7, -0x1.5301f161cdeeap-7, -0x1.48279d292f683p-7, -0x1.3d9e4683c0247p-7, -0x1.3363ddc0bbe2ep-7, -0x1.29765ddfb5a4ap-7, -0x1.1fd3cc71f1b2dp-7, -0x1.167a397b03c32p-7, -0x1.0d67bf50df1a5p-7, -0x1.049a827b6709ep-7, -0x1.f8216326f5226p-8, -0x1.e7910a433d7fap-8, -0x1.d7807ef86cc7ap-8, -0x1.c7ec594ad8107p-8, -0x1.b8d144519926dp-8, -0x1.aa2bfdf13dcf3p-8, -0x1.9bf9569616331p-8, -0x1.8e3630ee096d9p-8, -0x1.80df81a23a3ddp-8, -0x1.73f24f1058f8dp-8, -0x1.676bb103e7683p-8, -0x1.5b48d06f5ed2cp-8, -0x1.4f86e7253e60bp-8, -0x1.44233f9120d07p-8, -0x1.391b3470f7542p-8, -0x1.2e6c308e631c9p-8, -0x1.2413ae782f8b1p-8, -0x1.1a0f383c1081ap-8, -0x1.105c67209ca6cp-8, -0x1.06f8e35fa955ap-8, -0x1.fbc4c7c1f05e4p-9, -0x1.ea2d5bea9f406p-9, -0x1.d9272a23da665p-9, -0x1.c8adf5191f2fap-9, -0x1.b8bd9aafabe99p-9, -0x1.a9521380b9505p-9, -0x1.9a677254914c6p-9, -0x1.8bf9e39ea6f56p-9, -0x1.7e05acfb2df3p-9, -0x1.70872cadcd081p-9, -0x1.637ad921c5d99p-9, -0x1.56dd406b63392p-9, -0x1.4aab07ca988d4p-9, -0x1.3ee0eb2f4890ap-9, -0x1.337bbcbeeb594p-9, -0x1.2878645ba12ap-9, -0x1.1dd3df2d0c217p-9, -0x1.138b3f2a38afep-9, -0x1.099baaa5651ffp-9, -0x1.00025bd946cc6p-9, -0x1.ed7940efbbd07p-10, -0x1.db8fb27627088p-10, -0x1.ca42f2ed48919p-10, -0x1.b98e0d57ba9d5p-10, -0x1.a96c303dcf13cp-10, -0x1.99d8acdb72d52p-10, -0x1.8acef651654aap-10, -0x1.7c4aa0da27591p-10, -0x1.6e4761014ff1bp-10, -0x1.60c10adeb54b8p-10, -0x1.53b39154fa2e4p-10, -0x1.471b055312185p-10, -0x1.3af395199e8eap-10, -0x1.2f398b8309dc2p-10, -0x1.23e94f4f01616p-10, -0x1.18ff62715bd82p-10, -0x1.0e7861640bd5fp-10, -0x1.0451027c69347p-10, -0x1.f50c2a87fbb04p-11, -0x1.e22903a80166p-11, -0x1.cff290680f2d6p-11, -0x1.be62ff784f93dp-11, -0x1.ad74acf3fb6c4p-11, -0x1.9d222131886b2p-11, -0x1.8d660f99b870ep-11, -0x1.7e3b5583f4a3dp-11, -0x1.6f9cf91831d1fp-11, -0x1.618628381dc3fp-11, -0x1.53f2376cef42ep-11, -0x1.46dca0dbb992dp-11, -0x1.3a41033f5ff4ap-11, -0x1.2e1b20e860cc6p-11, -0x1.2266dec16d5d6p-11, -0x1.1720435a2ef61p-11, -0x1.0c4375f76ea97p-11, -0x1.01ccbda87626ep-11, -0x1.ef7100c3edd9bp-12, -0x1.dc06843cbff05p-12, -0x1.c9534804734c5p-12, -0x1.b750c70ddf4efp-12, -0x1.a5f8b3538edb5p-12, -0x1.9544f43ff5189p-12, -0x1.852fa51f3bd19p-12, -0x1.75b3139b65715p-12, -0x1.66c9be4104c18p-12, -0x1.586e530c657c3p-12, -0x1.4a9bae01230cep-12, -0x1.3d4cd7c9fc5b3p-12, -0x1.307d04619b768p-12, -0x1.242791c3a0996p-12, -0x1.184806a71218fp-12, -0x1.0cda113fca825p-12, -0x1.01d986082bdcfp-12, -0x1.ee84bd27b9bf2p-13, -0x1.da2170d20b8cfp-13, -0x1.c681a7c47f7c9p-13, -0x1.b39e262f3f85ep-13, -0x1.a16ff19e54d27p-13, -0x1.8ff04ee8ad00dp-13, -0x1.7f18c02d5c9e6p-13, -0x1.6ee302dedb4a5p-13, -0x1.5f490ddb92deep-13, -0x1.50450f9409b0cp-13, -0x1.41d16c3ec2e8dp-13, -0x1.33e8bc178b818p-13, -0x1.2685c9ab77432p-13, -0x1.19a3903156cd7p-13, -0x1.0d3d39edc0191p-13, -0x1.014e1ea413874p-13, -0x1.eba38420a2803p-14, -0x1.d587a4dcd43d8p-14, -0x1.c0404e17dc47bp-14, -0x1.abc57dc775802p-14, -0x1.980f7e8811c94p-14, -0x1.8516e4fd44078p-14, -0x1.72d48d46de545p-14, -0x1.614198899acaap-14, -0x1.50576a897806cp-14, -0x1.400fa756764a9p-14, -0x1.3064310ce135bp-14, -0x1.214f25a5641adp-14, -0x1.12cadcd658f98p-14, -0x1.04d1e605feb5ap-14, -0x1.eebe0c9b327eap-15, -0x1.d4da6d1778bfep-15, -0x1.bbef430b7da7ap-15, -0x1.a3f344321a28dp-15, -0x1.8cdd82f566ce7p-15, -0x1.76a56b08a17f3p-15, -0x1.6142be1f4458ap-15, -0x1.4cad90c07a818p-15, -0x1.38de4730f2ae8p-15, -0x1.25cd927ac39p-15, -0x1.13746d8bc5021p-15, -0x1.01cc1a6d8e09ep-15, -0x1.e19c3f2430826p-16, -0x1.c0e88a7422da2p-16, -0x1.a17125ddcf344p-16, -0x1.832a9a2e91a97p-16, -0x1.6609e535d8a89p-16, -0x1.4a04753b3cfadp-16, -0x1.2f10249b6914dp-16, -0x1.1523358ff23bbp-16, -0x1.f8689c25705aep-17, -0x1.c874e7e6f364ep-17, -0x1.9a5a11fd34ed3p-17, -0x1.6e078eaa92749p-17, -0x1.436d7bc75f906p-17, -0x1.1a7c99e7d6eap-17, -0x1.e64c8b80803b3p-18, -0x1.9ab8e3a6a0f59p-18, -0x1.5223408df398p-18, -0x1.0c71ba0405d6fp-18, -0x1.9316e00cbc763p-19, -0x1.12b0ff5d1c935p-19, -0x1.2f07e2eabea03p-20, -0x1.0b1d361d356b7p-22, 0x1.3f68cb8d6fcfdp-21, 0x1.78bc864ee2df7p-20, 0x1.244f9923c230bp-19, 0x1.87d3bcf307a25p-19, 0x1.e70ec0657ab2fp-19, 0x1.2111a77b671d9p-18, 0x1.4c995ebb077bap-18, 0x1.762e8c63ca42ap-18, 0x1.9de09a1ac1969p-18, 0x1.c3be5b905069ep-18, 0x1.e7d6151304f06p-18, 0x1.051ac0f1013f5p-17, 0x1.1574ed1e2bc13p-17, 0x1.24ffec9dc9cccp-17, 0x1.33c1e12e67b3bp-17, 0x1.41c0b36ab22f1p-17, 0x1.4f02155d63b53p-17, 0x1.5b8b84f78f711p-17, 0x1.67624e669b26bp-17, 0x1.728b8e581abe1p-17, 0x1.7d0c34210f022p-17, 0x1.86e903c892f57p-17, 0x1.9026980a2b753p-17, 0x1.98c964354dfbp-17, 0x1.a0d5b5fa9d11fp-17, 0x1.a84fb7255c96p-17, 0x1.af3b6f439668dp-17, 0x1.b59cc5387e89fp-17, 0x1.bb7780ba40e4ap-17, 0x1.c0cf4bc6ffb62p-17, 0x1.c5a7b402724a7p-17, 0x1.ca042bfb81362p-17, 0x1.cde80c76b7119p-17, 0x1.d156959602454p-17, 0x1.d452effc8a59cp-17, 0x1.d6e02de2cab3fp-17, 0x1.d9014c1b94261p-17, 0x1.dab9330d7167bp-17, 0x1.dc0ab79f1a589p-17, 0x1.dcf89c1c71bd2p-17, 0x1.dd85910a4067fp-17, 0x1.ddb435f12f66p-17, 0x1.dd871a1dab19p-17, 0x1.dd00bd58dc95dp-17, 0x1.dc239096e82cbp-17, 0x1.daf1f69b0e322p-17, 0x1.d96e44940b4f8p-17, 0x1.d79ac2af17df1p-17, 0x1.d579aca22d7e8p-17, 0x1.d30d323364fedp-17, 0x1.d05777b3ec084p-17, 0x1.cd5a9679da82ep-17, 0x1.ca189d4916217p-17, 0x1.c69390bfee85ep-17, 0x1.c2cd6bb93553ap-17, 0x1.bec81fab92a71p-17, 0x1.ba8595011ed91p-17, 0x1.b607ab68ab49dp-17, 0x1.b1503a28d403ep-17, 0x1.ac61105f87224p-17, 0x1.a73bf54dc212ap-17, 0x1.a1e2a899a4618p-17, 0x1.9c56e28654ed4p-17, 0x1.969a542dd568cp-17, 0x1.90aea7b6353e2p-17, 0x1.8a958083d9ed6p-17, 0x1.84507b68c8b9p-17, 0x1.7de12ecce853ap-17, 0x1.77492adb734bp-17, 0x1.7089f9a71394dp-17, 0x1.69a51f47c7124p-17, 0x1.629c1a0210dd5p-17, 0x1.5b7062640e45ep-17, 0x1.54236b6063d9ap-17, 0x1.4cb6a26820d0ap-17, 0x1.452b6f8390cd8p-17, 0x1.3d83356ae4662p-17, 0x1.35bf51991b8d8p-17, 0x1.2de11c5edd41fp-17, 0x1.25e9e8f7a79d1p-17, 0x1.1ddb0599243a8p-17, 0x1.15b5bb7ee7e7p-17, 0x1.0d7b4efd4c52cp-17, 0x1.052cff8c62636p-17, 0x1.f9980fa9d2ed7p-18, 0x1.e8b33b71b7434p-18, 0x1.d7ade4c0197fbp-18, 0x1.c68a6483de47ap-18, 0x1.b54b0a5fb76b1p-18, 0x1.a3f21cafa50d3p-18, 0x1.9281d8a382b1p-18, 0x1.80fc7248a671p-18, 0x1.6f641494227c8p-18, 0x1.5dbae1739211p-18, 0x1.4c02f1d73aafbp-18, 0x1.3a3e55bc84149p-18, 0x1.286f1435be27cp-18, 0x1.16972b748638fp-18, 0x1.04b890d2fddf8p-18, 0x1.e5aa61c7c677cp-19, 0x1.c1dddee3d4bc7p-19, 0x1.9e0f4f16df671p-19, 0x1.7a4257172df3ep-19, 0x1.567a8a3ee181ep-19, 0x1.32bb6a9bd572bp-19, 0x1.0f08690a0cc2bp-19, 0x1.d6c9ca6e966f9p-20, 0x1.8fa85b741e05bp-20, 0x1.48b30035d909cp-20, 0x1.01f011ca8cb69p-20, 0x1.76cb8eeabbe44p-21, 0x1.d468db53666d5p-22, 0x1.789a9fb47e45dp-23, -0x1.6a90e854eea1ap-24, -0x1.7054fcfd0ec06p-22, -0x1.42575c097ba95p-21, -0x1.cbcdd73c9dfd9p-21, -0x1.2a41a99a51afp-20, -0x1.6e36ba3be3343p-20, -0x1.b1c1103d79a04p-20, -0x1.f4dbbeae133cdp-20, -0x1.1bc0fc64ea869p-19, -0x1.3cd788e525c41p-19, -0x1.5daf3e506afadp-19, -0x1.7e45e5eb4633ap-19, -0x1.9e9958ac8177dp-19, -0x1.bea77f1fb8341p-19, -0x1.de6e514d2774bp-19, -0x1.fdebd6a240f9cp-19, -0x1.0e8f12e54c85cp-18, -0x1.1e01b24befd23p-18, -0x1.2d4ce3f40cd8dp-18, -0x1.3c6fc9bf6d362p-18, -0x1.4b698cf62a193p-18, -0x1.5a395e36b323ep-18, -0x1.68de75639ea1bp-18, -0x1.7758119258d6p-18, -0x1.85a578faa1163p-18, -0x1.93c5f8e80cd65p-18, -0x1.a1b8e5a390507p-18, -0x1.af7d9a656ccap-18, -0x1.bd137942b872bp-18, -0x1.ca79eb17564cap-18, -0x1.d7b05f7628928p-18, -0x1.e4b64c962bec2p-18, -0x1.f18b2f3cac722p-18, -0x1.fe2e8aab6571bp-18, -0x1.054ff446d0306p-17, -0x1.0b6f6c70f212p-17, -0x1.117578f2d6defp-17, -0x1.1761e800c8f3ep-17, -0x1.1d348adb1155p-17, -0x1.22ed35c2643d5p-17, -0x1.288bbfeda180dp-17, -0x1.2e1003800070cp-17, -0x1.3379dd7d822efp-17, -0x1.38c92dbfc0cfep-17, -0x1.3dfdd6ecf8e59p-17, -0x1.4317be6b67d76p-17, -0x1.4816cc56b9b06p-17, -0x1.4cfaeb761fd43p-17, -0x1.51c4093010e82p-17, -0x1.5672157fc8113p-17, -0x1.5b0502e985452p-17, -0x1.5f7cc67052dc7p-17, -0x1.63d9578b02adep-17, -0x1.681ab01834ba2p-17, -0x1.6c40cc5362b01p-17, -0x1.704baacab3c3fp-17, -0x1.743b4c527a71bp-17, -0x1.780fb3fa852ecp-17, -0x1.7bc8e703d11b2p-17, -0x1.7f66ecd45425bp-17, -0x1.82e9ceebc0821p-17, -0x1.865198d98af03p-17, -0x1.899e583125493p-17, -0x1.8cd01c7f11392p-17, -0x1.8fe6f73d92699p-17, -0x1.92e2fbca07d8ap-17, -0x1.95c43f5a74bf5p-17, -0x1.988ad8f2004b9p-17, -0x1.9b36e155b6342p-17, -0x1.9dc873030d433p-17, -0x1.a03faa24c4bd6p-17, -0x1.a29ca486f694ap-17, -0x1.a4df818ed98f6p-17, -0x1.a708622e34f52p-17, -0x1.a91768d9a4cd7p-17, -0x1.ab0cb97df1c6bp-17, -0x1.ace87976ba57p-17, -0x1.aeaacf838f8cp-17, -0x1.b053e3bdbecb2p-17, -0x1.b1e3df8e1fe46p-17, -0x1.b35aeda3c1158p-17, -0x1.b4b939e99e0dbp-17, -0x1.b5fef17ca4c42p-17, -0x1.b72c42a1d15d8p-17, -0x1.b8415cbe1fe2p-17, -0x1.b93e704b8f1c8p-17, -0x1.ba23aecf8bc3ap-17, -0x1.baf14ad35cafp-17, -0x1.bba777d9146b6p-17, -0x1.bc466a53013cbp-17, -0x1.bcce579ab6cdap-17, -0x1.bd3f75e896b1ap-17, -0x1.bd99fc4b5775ep-17, -0x1.bdde229e90efap-17, -0x1.be0c21824a81ep-17, -0x1.be2432529379bp-17, -0x1.be268f1f804bap-17, -0x1.be1372a479708p-17, -0x1.bdeb183ff0945p-17, -0x1.bdadbbeca216p-17, -0x1.bd5b9a3921dc7p-17, -0x1.bcf4f03ee7e8p-17, -0x1.bc79fb9c93c9ap-17, -0x1.bbeafa6d4b5ap-17, -0x1.bb482b411e495p-17, -0x1.ba91cd15db896p-17, -0x1.b9c81f4fd3fb1p-17, -0x1.b8eb61b484388p-17, -0x1.b7fbd461ae1e9p-17, -0x1.b6f9b7c72617dp-17, -0x1.b5e54ca00a85fp-17, -0x1.b4bed3ebf114ap-17, -0x1.b3868ee8e2223p-17, -0x1.b23cbf0c71e59p-17, -0x1.b0e1a5fdfcb0ap-17, -0x1.af7585914af68p-17, -0x1.adf89fbf5c9eep-17, -0x1.ac6b36a02c39fp-17, -0x1.aacd8c66f4f5dp-17, -0x1.a91fe35a7f1f6p-17, -0x1.a7627dd036023p-17, -0x1.a5959e26d3233p-17, -0x1.a3b986c02a1a6p-17, -0x1.a1ce79ff2bd9p-17, -0x1.9fd4ba3f87ab2p-17, -0x1.9dcc89d1b4a5ap-17, -0x1.9bb62af63cd8ap-17, -0x1.9991dfd89c6bbp-17, -0x1.975fea8ad36e6p-17, -0x1.95208d00c98a2p-17, -0x1.92d4090bdfd2fp-17, -0x1.907aa05807b3dp-17, -0x1.8e1494655c57bp-17, -0x1.8ba22684f74b7p-17, -0x1.892397d50291p-17, -0x1.8699293daa14p-17, -0x1.84031b6b2cbp-17, -0x1.8161aecbf3a42p-17, -0x1.7eb5238b88bddp-17, -0x1.7bfdb9909f62dp-17, -0x1.793bb07a6ae72p-17, -0x1.766f479adacf4p-17, -0x1.7398bdf4e3438p-17, -0x1.70b85238abf5dp-17, -0x1.6dce42c101d98p-17, -0x1.6adacd901797cp-17, -0x1.67de304d0ce56p-17, -0x1.64d8a84109c1fp-17, -0x1.61ca7255caa6fp-17, -0x1.5eb3cb10ed2aep-17, -0x1.5b94ee924e125p-17, -0x1.586e1892463b5p-17, -0x1.553f845f771fap-17, -0x1.52096cdb27d9p-17, -0x1.4ecc0c77f2bf4p-17, -0x1.4b879d37c7abfp-17, -0x1.483c58a99fd7fp-17, -0x1.44ea77e9a251cp-17, -0x1.4192339cc889bp-17, -0x1.3e33c3efc0652p-17, -0x1.3acf60958a27ap-17, -0x1.376540c595f31p-17, -0x1.33f59b3a63fecp-17, -0x1.3080a63067ad4p-17, -0x1.2d069763c9d31p-17, -0x1.2987a4111a1ecp-17, -0x1.260400f20c3cdp-17, -0x1.227be23ca1d5p-17, -0x1.1eef7ba1ee59ep-17, -0x1.1b5f004ebd57fp-17, -0x1.17caa2e8e4e74p-17, -0x1.1432958e30d35p-17, -0x1.109709d41a8bcp-17, -0x1.0cf830c6d18e1p-17, -0x1.09563ae929178p-17, -0x1.05b158342728dp-17, -0x1.0209b8153c8b5p-17, -0x1.fcbf12db937bdp-18, -0x1.f565f525cea7bp-18, -0x1.ee087299cc8bp-18, -0x1.e6a6e5ade768ap-18, -0x1.df41a7bde36fap-18, -0x1.d7d91108ee41fp-18, -0x1.d06d78b46a0ep-18, -0x1.c8ff34c807b42p-18, -0x1.c18e9a2e7cfp-18, -0x1.ba1bfcb3af652p-18, -0x1.b2a7af0905b2p-18, -0x1.ab3202c1dfd65p-18, -0x1.a3bb4853960b8p-18, -0x1.9c43cf1557e9p-18, -0x1.94cbe5420b6e7p-18, -0x1.8d53d7f68d1a8p-18, -0x1.85dbf33611ffap-18, -0x1.7e6481e6e7eeep-18, -0x1.76edcdd2f97a6p-18, -0x1.6f781fa8e1818p-18, -0x1.6803befca6d47p-18, -0x1.6090f24874181p-18, -0x1.591ffeedca29bp-18, -0x1.51b12935067cbp-18, -0x1.4a44b45060a51p-18, -0x1.42dae25bcb363p-18, -0x1.3b73f45d7c61fp-18, -0x1.34102a46772b2p-18, -0x1.2cafc2f3e0a99p-18, -0x1.2552fc32f2495p-18, -0x1.1dfa12bf3997cp-18, -0x1.16a542438efd7p-18, -0x1.0f54c55c82e0fp-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      56, 0x1.599999999999ap+2, 0x1.56d7ff72964fep+1, 0x1.4abf916740185p+2, -0x1.d3d6e7663a6c1p-9, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4c8e076060bbcp-3, -0x1.c728844f148e7p-2, 0x1.30c814faed7bp-1, -0x1.954d0a12ad4ddp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.21fc475849545p-3, -0x1.8d3de0d413294p-2, 0x1.12624dd3207bbp-1, -0x1.7910fabf0835cp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.f9d25d02dc667p-4, -0x1.593162810acep-2, 0x1.ec3542d666222p-2, -0x1.610fb564c95f8p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.b98758dd31b01p-4, -0x1.2a9ebc8a702ecp-2, 0x1.b73fb46dae541p-2, -0x1.47ec4b97d0f2bp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.820880b2c889fp-4, -0x1.012794065e65cp-2, 0x1.860f75e3b5631p-2, -0x1.2f16a99c50fd3p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.5259f24479fdfp-4, -0x1.b8d7ec9db354bp-3, 0x1.5898dc72a93cep-2, -0x1.162c0ccdac18bp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2992eaa0c21d2p-4, -0x1.7818bb9936a03p-3, 0x1.2edf0dba35d2ep-2, -0x1.fa8f26f446a02p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.06ddc623bffcbp-4, -0x1.3f5250d33e4f5p-3, 0x1.08e11e017d537p-2, -0x1.c8bf0e1a9a9fap-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.d2f000ee6b724p-5, -0x1.0dc571f843d83p-3, 0x1.cd3f2d1896a8ep-3, -0x1.96ff471521c3fp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a164692510e76p-5, -0x1.c565eca068c8cp-4, 0x1.90327c089e655p-3, -0x1.65055ef17443dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.77e0397580a78p-5, -0x1.7ab6c9b958ed9p-4, 0x1.5aa4e0fe0027ap-3, -0x1.33e3a9726ba79p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.55512505110dcp-5, -0x1.3a00e83a2efe2p-4, 0x1.2c75edf9a335p-3, -0x1.ff3694fdeedap-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.38cb1d945e809p-5, -0x1.01bed9bfeba96p-4, 0x1.061ea2ccfe179p-3, -0x1.c0b74478d21b9p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.218723976bba9p-5, -0x1.a15fb73f0432fp-5, 0x1.c8ee94ee4311ap-4, -0x1.ac495ea72649dp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ed6373f04ff2p-5, -0x1.4c696b85123dap-5, 0x1.88b060553087p-4, -0x1.918e2df84cbc2p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.001449822348cp-5, -0x1.03e5b7a9ad867p-5, 0x1.4c74a63cbe9d9p-4, -0x1.7883451220905p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.e94e186c19276p-6, -0x1.8e1b97dce1b3dp-6, 0x1.13fa8f13a021cp-4, -0x1.5f0487e66f97cp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7fbe41ca7bbdp-6, -0x1.2a3f2f825832p-6, 0x1.bea6f5621ec88p-5, -0x1.45a4d4081e5a3p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.cb245d39b24fap-6, -0x1.b55f13d3b023fp-7, 0x1.5cf58292e27aap-5, -0x1.2c3ccf39d8c67p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c1cd6ca392e64p-6, -0x1.3bcd526e53326p-7, 0x1.02e34467ee3f8p-5, -0x1.12d704de039bap-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.bb107cf73d876p-6, -0x1.c979833381d3p-8, 0x1.60df1f7dda53dp-6, -0x1.f2e14350be066p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b61a7a8e403e8p-6, -0x1.5a424252cf7efp-8, 0x1.966a49cb42a54p-7, -0x1.c014cecf0fcf8p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b22bd37ec31b1p-6, -0x1.23dc547405acdp-8, 0x1.132201d13f1afp-8, -0x1.8d48445a9e04ap-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.ae98779b882ffp-6, -0x1.202f2f69a790bp-8, -0x1.93363a03c9d1ap-9, -0x1.5a7bbfc7931f4p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.aac7d873eb93bp-6, -0x1.4922480f6b1f6p-8, -0x1.34b167f8b11ffp-7, -0x1.27af39a1b5c6ep-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a634e953e360ep-6, -0x1.989d13832defbp-8, -0x1.e61a8a8ceafeep-7, -0x1.e9c567cb77315p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a06e1f43ffb64p-6, -0x1.044383687e55bp-7, -0x1.3c847b3e942cfp-6, -0x1.842c5c2a07abp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.991571096ab5bp-6, -0x1.4963cb84ffed3p-7, -0x1.76be55de7bba2p-6, -0x1.1e93505ae87cdp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8fe05725e8848p-6, -0x1.98a31c9e61473p-7, -0x1.a1bad51f51cc9p-6, -0x1.71f48ad72960dp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8497cbd7d74d7p-6, -0x1.eef5313e93ddfp-7, -0x1.bd79f922a81a4p-6, -0x1.4d84dcad0ac15p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.77184b1a2f3dfp-6, -0x1.24a6e1f31434p-6, -0x1.c9fbc169254e3p-6, 0x1.237cab105c977p-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.6751d2a48285ap-6, -0x1.5250479c440dap-6, -0x1.c7402fce97a33p-6, 0x1.df43eb3314bdep-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5547e1eafd5b6p-6, -0x1.7ef0a6ab8c9e1p-6, -0x1.b5473d6313a8fp-6, 0x1.bad2fc9c8539ep-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.41117a1e65f75p-6, -0x1.a901dd243ae1fp-6, -0x1.9411040a89ab2p-6, 0x1.430485f998c98p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2ad91e2c1c95bp-6, -0x1.cefdc58036392p-6, -0x1.639d23251926bp-6, 0x1.a8962997bfdfdp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.12dcd2be1b77ap-6, -0x1.ef5e476c622dcp-6, -0x1.23ed034e55f88p-6, 0x1.07256ca054ad3p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f2dc3c75edc02p-7, -0x1.044e8ca98bcb2p-5, -0x1.a9f6c56fac534p-7, 0x1.39be5e65ec8afp-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.bde4118bba2eep-7, -0x1.0c9a54baeef7bp-5, -0x1.db6f7ffea334dp-8, 0x1.6d4b6261a26a2p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.87c2387d2cd4p-7, -0x1.0fce5bfe06308p-5, -0x1.28a84f7f02855p-11, 0x1.9d498393a7f53p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.518ec8830a4e9p-7, -0x1.0d2b82cf46743p-5, 0x1.cadcc727b606dp-8, 0x1.da8f1db62e7a4p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1c88dc4f4b406p-7, -0x1.03dfff7517ab9p-5, 0x1.0115544d61d91p-6, 0x1.bf2f89150baccp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d423228548219p-8, -0x1.e7557844b0e5fp-6, 0x1.873d30a07ef55p-6, 0x1.4b293ecf66754p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.76e9fd72b32e5p-8, -0x1.bb3e17955ed36p-6, 0x1.ea965d11ea7e9p-6, 0x1.c8de043b7e935p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.23665ab02bb68p-8, -0x1.86c1dee27e1bbp-6, 0x1.178f0873d1f09p-5, 0x1.e8545bd2f41c2p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.b5ec5905bf2b2p-9, -0x1.4d03aaee0eb9cp-6, 0x1.29deff1887e4cp-5, 0x1.0edd81526b5a5p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.3caa8c57acdf9p-9, -0x1.112fa926462acp-6, 0x1.2c6912b54db33p-5, -0x1.6591a5e30a2a4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b6756f9fc6c8dp-10, -0x1.ace3d31991cdbp-7, 0x1.1f00694996ebp-5, -0x1.807a992d992d5p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.21180bbfb257ep-10, -0x1.3fdb425293e54p-7, 0x1.022a6a995ea14p-5, -0x1.33d0a6c5ffe0dp-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.69258bc2e0d7fp-11, -0x1.c3a6395f4cb9p-8, 0x1.a7fca32a8a192p-6, -0x1.528b0174ffb0ep-5}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a7652479d7da8p-12, -0x1.2e5dfd502f111p-8, 0x1.426c89210a313p-6, -0x1.1c7150b5d0674p-5}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c91384e2a494dp-13, -0x1.7ceda0d9318d2p-9, 0x1.da2eaea1ca8b8p-7, -0x1.e60675a3853c3p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b8da551b63773p-14, -0x1.b8d567f2a813ep-10, 0x1.485ff1bd88f78p-7, -0x1.8ca48687dad1bp-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.69258bc2e0dap-15, -0x1.c3763a32d27dep-11, 0x1.a2c392c3283e9p-8, -0x1.34026f04284d6p-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c91384e2a4a31p-17, -0x1.7cbef210ab24ap-12, 0x1.d3eaa04e2021cp-9, -0x1.bdcd78e84bb4bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.69258bc2e13bfp-19, -0x1.c59f0827ad28ap-14, 0x1.90deaf857f063p-10, -0x1.ebc679f5abec4p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.69258bc2e4801p-23, -0x1.8240ab0cd6c26p-17, 0x1.a737ffc85f8p-12, -0x1.491bc3cd03a16p-7}, 
      }}, 
      0x1.35b802e6dbbf2p-3, -0x1.dd65d97e71b8cp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.48d3fc2b733ddp-6, 0x1.f406db76100c3p-8, 0x1.a71f5de94a318p-5, 0x1.c07af10d5586cp-4, 0x1.6d61bbbdf9ffcp-3, 0x1.05c7bd6e91471p-2, 0x1.5ab4472337be5p-2, 0x1.b301cb8f4d7a7p-2, 0x1.0641244516a98p-1, 0x1.32a995fba02bbp-1, 0x1.5dee80937353bp-1, 0x1.8767f49231e0ap-1, 0x1.ae8f1875fdfd7p-1, 0x1.d2faf730292bbp-1, 0x1.f45d213c18b52p-1, 0x1.093f2aace3b8ap+0, 0x1.169da9154eeb7p+0, 0x1.2240f1d3d2626p+0, 0x1.2c271ba0d361cp+0, 0x1.34543c4d75c31p+0, 0x1.3ad15a99660e5p+0, 0x1.3fab80feaa33bp+0, 0x1.42f2ee512c216p+0, 0x1.44ba60f75ffeep+0, 0x1.451679e9b231ep+0, 0x1.441d3517fa96ep+0, 0x1.41e5751e646afp+0, 0x1.3e86a04156471p+0, 0x1.3a184ca05f361p+0, 0x1.34b1f9a9a3d68p+0, 0x1.2e6ad51758fcap+0, 0x1.27598a0a4d221p+0, 0x1.1f9419103f0bep+0, 0x1.172fb80e4cbd8p+0, 0x1.0e40b924ee639p+0, 0x1.04da77b87d223p+0, 0x1.f61e95b6c0f03p-1, 0x1.e1e0f8c7ebbb9p-1, 0x1.cd1c880fae461p-1, 0x1.b7ef8bf4775d6p-1, 0x1.a27628fa0620bp-1, 0x1.8cca67a01c36bp-1, 0x1.7704404dd99eep-1, 0x1.6139ab27dfap-1, 0x1.4b7eb19a59263p-1, 0x1.35e582644f9b7p-1, 0x1.207e87f167757p-1, 0x1.0b587d8d88c28p-1, 0x1.ed01103df1666p-2, 0x1.c4049a501f3acp-2, 0x1.9bd0134113be9p-2, 0x1.747556d0effb9p-2, 0x1.4e03cb4e77fe3p-2, 0x1.2888933e13cfap-2, 0x1.040eb50e76bcfp-2, 0x1.c13e8d3267007p-3, 0x1.7c8327b690cb3p-3, 0x1.39f6892db4716p-3, 0x1.f341ff9c99349p-4, 0x1.771035dae3303p-4, 0x1.febba7e297fc3p-5, 0x1.1858dcae9e487p-5, 0x1.d797d8072a332p-8, -0x1.3304eabe0c537p-6, -0x1.651a9354ec106p-5, -0x1.13f736e2dda38p-4, -0x1.710e2c174dfd1p-4, -0x1.c9e3a529f1db9p-4, -0x1.0f45929f30e77p-3, -0x1.378cf87987f0fp-3, -0x1.5dd366b231073p-3, -0x1.8224e1eeba3cep-3, -0x1.a48df50f9a8b8p-3, -0x1.c51b979f7a929p-3, -0x1.e3db168551337p-3, -0x1.006cff6ff92efp-2, -0x1.0e1305707cdb5p-2, -0x1.1ae6883babaap-2, -0x1.26ee78caea5fcp-2, -0x1.3231c6ff65a89p-2, -0x1.3cb75b3912684p-2, -0x1.468610a4abd5cp-2, -0x1.4fa4b02eb0de1p-2, -0x1.5819ec22c8cd6p-2, -0x1.5fec5c5bc72afp-2, -0x1.67227affc8544p-2, -0x1.6dc2a1b0261f9p-2, -0x1.73d3071f383d3p-2, -0x1.7959bd060268cp-2, -0x1.7e5cae6978fdfp-2, -0x1.82e19e3682d9dp-2, -0x1.86ee262b88042p-2, -0x1.8a87b60d201f5p-2, -0x1.8db39327f76ddp-2, -0x1.9076d80d20b75p-2, -0x1.92d6748ad4de3p-2, -0x1.94d72dd51c9c2p-2, -0x1.967d9eccb2d93p-2, -0x1.97ce387165fc3p-2, -0x1.98cd4260e4236p-2, -0x1.997edb758d531p-2, -0x1.99e6fa75adc5fp-2, -0x1.9a096ed40ec03p-2, -0x1.99e9e1882019dp-2, -0x1.998bd5f0717e1p-2, -0x1.98f2aac76de9bp-2, -0x1.98219b243c231p-2, -0x1.971bbf8053d31p-2, -0x1.95e40ec92d7aep-2, -0x1.947d5f7198402p-2, -0x1.92ea687f1c9ddp-2, -0x1.912dc2a3b2ad7p-2, -0x1.8f49e943e7107p-2, -0x1.8d413b8270b69p-2, -0x1.8b15fd4c446c5p-2, -0x1.88ca5850f75f3p-2, -0x1.86605d04917aep-2, -0x1.83da03989f691p-2, -0x1.81392cea91e6dp-2, -0x1.7e7fa373cddf6p-2, -0x1.7baf1c34725dbp-2, -0x1.78c93792d56a9p-2, -0x1.75cf823869406p-2, -0x1.72c375ecc0ca6p-2, -0x1.6fa67a6112056p-2, -0x1.6c79e5fa4bc82p-2, -0x1.693efe97d17cp-2, -0x1.65f6fa4996d8cp-2, -0x1.62a30006abc67p-2, -0x1.5f44285e4bf3ep-2, -0x1.5bdb7e196fd35p-2, -0x1.5869fedc7010cp-2, -0x1.54f09bc45fb77p-2, -0x1.517039f6c088fp-2, -0x1.4de9b32d1609dp-2, -0x1.4a5dd63fdf80dp-2, -0x1.46cd67a917161p-2, -0x1.433921fb5646ep-2, -0x1.3fa1b658047fcp-2, -0x1.3c07cce72fe22p-2, -0x1.386c0541a1723p-2, -0x1.34cef6d0abac8p-2, -0x1.31313135de73ep-2, -0x1.2d933caf55f1p-2, -0x1.29f59a69cb296p-2, -0x1.2658c4d12897fp-2, -0x1.22bd2fe94e715p-2, -0x1.1f23499e53acep-2, -0x1.1b8b7a06fcbd9p-2, -0x1.17f623a736b0bp-2, -0x1.1463a3b7c7c9dp-2, -0x1.10d45269908afp-2, -0x1.0d48831cebedep-2, -0x1.09c084945a8cbp-2, -0x1.063ca12e0d72ep-2, -0x1.02bd1f1f074fbp-2, -0x1.fe8481422ec93p-3, -0x1.f798883074b3ap-3, -0x1.f0b6c880a82aep-3, -0x1.e9dfb0c0dff8p-3, -0x1.e313a8e5362d1p-3, -0x1.dc5312828b393p-3, -0x1.d59e4913419cdp-3, -0x1.cef5a249f3de4p-3, -0x1.c8596e5a40d22p-3, -0x1.c1c9f82f18125p-3, -0x1.bb47859d34553p-3, -0x1.b4d2579ddbde2p-3, -0x1.ae6aaa8e47ebcp-3, -0x1.a810b668160f8p-3, -0x1.a1c4aeed02f7p-3, -0x1.9b86c3cd0d351p-3, -0x1.955720d43621fp-3, -0x1.8f35ee205955fp-3, -0x1.8923504fdbe9bp-3, -0x1.831f68a11c01dp-3, -0x1.7d2a550e9068fp-3, -0x1.77443075db7acp-3, -0x1.716d12c5056fdp-3, -0x1.6ba5111e6d145p-3, -0x1.65ec3df101e7fp-3, -0x1.6042a9105e93dp-3, -0x1.5aa85fd44aee8p-3, -0x1.551d6d3abf3cep-3, -0x1.4fa1da049b172p-3, -0x1.4a35accccdfa1p-3, -0x1.44d8ea1deebdcp-3, -0x1.3f8b9488561cap-3, -0x1.3a4dacb95719ap-3, -0x1.351f3193afa99p-3, -0x1.300020478702cp-3, -0x1.2af074664b83dp-3, -0x1.25f027f14b483p-3, -0x1.20ff3367e08b9p-3, -0x1.1c1d8ddb111cap-3, -0x1.174b2d0516cfp-3, -0x1.1288055cf9a6dp-3, -0x1.0dd40a21f582dp-3, -0x1.092f2d636ca5ap-3, -0x1.0499600e1503p-3, -0x1.001291ffe276fp-3, -0x1.f7356436df5f2p-4, -0x1.ee635ca7cc0afp-4, -0x1.e5aee765bec03p-4, -0x1.dd17dcbfa0d04p-4, -0x1.d49e135b7a947p-4, -0x1.cc4160581a533p-4, -0x1.c4019767330a2p-4, -0x1.bbde8adb4a5d9p-4, -0x1.b3d80bb19c1cdp-4, -0x1.abede9a27c3cp-4, -0x1.a41ff33a1788ep-4, -0x1.9c6df5f028f8ap-4, -0x1.94d7be37f024ep-4, -0x1.8d5d178b3a13p-4, -0x1.85fdcc74d79cep-4, -0x1.7eb9a69f9c3b7p-4, -0x1.77906eea85499p-4, -0x1.7081ed799f0d9p-4, -0x1.698de9c057f39p-4, -0x1.62b42a8930f0dp-4, -0x1.5bf475fff8a3fp-4, -0x1.554e91c058a71p-4, -0x1.4ec242e56008bp-4, -0x1.484f4e158f082p-4, -0x1.41f5778a357dep-4, -0x1.3bb48315175adp-4, -0x1.358c342860122p-4, -0x1.2f7c4de26cb76p-4, -0x1.2984931add257p-4, -0x1.23a4c66d03047p-4, -0x1.1ddcaa3e27132p-4, -0x1.182c00c17c86bp-4, -0x1.12928bfd2b13cp-4, -0x1.0d100dd2560dp-4, -0x1.07a448074807ep-4, -0x1.024efc51040bbp-4, -0x1.fa1fd8b419b92p-5, -0x1.efcdb38ccb74ep-5, -0x1.e5a70c6d995d9p-5, -0x1.dbab669a9cbb3p-5, -0x1.d1da4567b43dfp-5, -0x1.c8332c476b08ap-5, -0x1.beb59ed853e88p-5, -0x1.b56120eee9ae5p-5, -0x1.ac35369c7407dp-5, -0x1.a331643516c7p-5, -0x1.9a552e575298fp-5, -0x1.91a019f5513fp-5, -0x1.8911ac5f05975p-5, -0x1.80a96b4b739cap-5, -0x1.7866dce08534cp-5, -0x1.704987b9ba42fp-5, -0x1.6850f2ee2b9e7p-5, -0x1.607ca6165c13ap-5, -0x1.58cc2952090a2p-5, -0x1.513f054def8f8p-5, -0x1.49d4c349aa023p-5, -0x1.428ced1e02e6dp-5, -0x1.3b670d43fcf09p-5, -0x1.3462aedc0ec21p-5, -0x1.2d7f5db4247c1p-5, -0x1.26bca64b31d43p-5, -0x1.201a15d23cc7dp-5, -0x1.19973a2c81254p-5, -0x1.1333a1f151de3p-5, -0x1.0ceedc71fcae4p-5, -0x1.06c879c3c6f3fp-5, -0x1.00c00acb5b45bp-5, -0x1.f5aa428a5fd2dp-6, -0x1.ea0e9f8e2af0dp-6, -0x1.deac5374a1846p-6, -0x1.d38286a3cc285p-6, -0x1.c89063077d291p-6, -0x1.bdd5141616d2dp-6, -0x1.b34fc6ec2f055p-6, -0x1.a8ffaa77613edp-6, -0x1.9ee3ef9e74ab3p-6, -0x1.94fbc9534071p-6, -0x1.8b466c82b1dcfp-6, -0x1.81c30fe77676cp-6, -0x1.7870ebd3a583p-6, -0x1.6f4f3a0dfc7a5p-6, -0x1.665d35d952bb8p-6, -0x1.5d9a1c2b322f9p-6, -0x1.55052bff62758p-6, -0x1.4c9da6a558771p-6, -0x1.4462cfe27f802p-6, -0x1.3c53edd380d5dp-6, -0x1.34704892e83dcp-6, -0x1.2cb729c78cd02p-6, -0x1.2527dc4d0c432p-6, -0x1.1dc1ac22a989dp-6, -0x1.1683e6b209857p-6, -0x1.0f6ddb5966508p-6, -0x1.087edc049c8fcp-6, -0x1.01b63d93c981bp-6, -0x1.f626afbab14bcp-7, -0x1.e92b0a7ecd4e1p-7, -0x1.dc7843c6a9f9fp-7, -0x1.d00d15f61a604p-7, -0x1.c3e83c9278f7cp-7, -0x1.b808745bab2b5p-7, -0x1.ac6c7c7cbbc5cp-7, -0x1.a1131871177afp-7, -0x1.95fb11ea6b4a8p-7, -0x1.8b2339f44583cp-7, -0x1.808a68d066806p-7, -0x1.762f7c7d62355p-7, -0x1.6c11565d05c21p-7, -0x1.622ed8d1457fcp-7, -0x1.5886e5ba2ab23p-7, -0x1.4f185e786796ep-7, -0x1.45e2258cf8746p-7, -0x1.3ce321522e7e8p-7, -0x1.341a3eda696ffp-7, -0x1.2b8673e73157dp-7, -0x1.2326bf3328c6dp-7, -0x1.1afa26d9459efp-7, -0x1.12ffb54e48885p-7, -0x1.0b3675eb2dc22p-7, -0x1.039d723f3f64ep-7, -0x1.f867625275cb7p-8, -0x1.e9f0703a6611dp-8, -0x1.dbd41c6dc484ap-8, -0x1.ce1080222783ep-8, -0x1.c0a3c62469a77p-8, -0x1.b38c2e18f66bep-8, -0x1.a6c80b34f189ep-8, -0x1.9a55beb762df7p-8, -0x1.8e33afc8cb30ap-8, -0x1.826043550e76ep-8, -0x1.76d9d69b10225p-8, -0x1.6b9ebe65bf0b9p-8, -0x1.60ad4b5499f99p-8, -0x1.5603d1cabf771p-8, -0x1.4ba0b2cd954f3p-8, -0x1.418262dac5d06p-8, -0x1.37a76c9159b95p-8, -0x1.2e0e6e7ad091ep-8, -0x1.24b614b2d9d8ep-8, -0x1.1b9d1040ef7afp-8, -0x1.12c20e98c492cp-8, -0x1.0a23b3d8f5ab4p-8, -0x1.01c099cf45bbcp-8, -0x1.f32ea8c471143p-9, -0x1.e34cf41060ff5p-9, -0x1.d3d95a8bc8006p-9, -0x1.c4d147878e8e4p-9, -0x1.b632516d44726p-9, -0x1.a7fa34bae6032p-9, -0x1.9a26c7fc4576ap-9, -0x1.8cb5ecaaa0e7fp-9, -0x1.7fa580568ca2p-9, -0x1.72f3510436bcbp-9, -0x1.669d17e33b6fep-9, -0x1.5aa07d59adcc2p-9, -0x1.4efb26f4a549p-9, -0x1.43aacb3f27edcp-9, -0x1.38ad4383e3b15p-9, -0x1.2e0093a459dc8p-9, -0x1.23a2e551c646cp-9, -0x1.19927ab60c4f3p-9, -0x1.0fcd9ff12f004p-9, -0x1.0652a0918b871p-9, -0x1.fa3f82661cb7p-10, -0x1.e866759fd677fp-10, -0x1.d7166ed6a9aa6p-10, -0x1.c64ba7a01ba45p-10, -0x1.b602556d894eep-10, -0x1.a636d0a3cf9e9p-10, -0x1.96e5bb241bf0ap-10, -0x1.880c0f445716bp-10, -0x1.79a70c67683d3p-10, -0x1.6bb40d2df53fdp-10, -0x1.5e3062385a5a8p-10, -0x1.511946391d3cp-10, -0x1.446be9a7e3d6cp-10, -0x1.382581b125a35p-10, -0x1.2c4347ded6a1cp-10, -0x1.20c26c2d8bd61p-10, -0x1.15a00e0b90ac8p-10, -0x1.0ad94f151cda2p-10, -0x1.006b7c10c11f1p-10, -0x1.eca8622c2f335p-11, -0x1.d922b4bd43192p-11, -0x1.c642141a28ab8p-11, -0x1.b40279250b9d5p-11, -0x1.a25f6ba7d7496p-11, -0x1.91541fc60077dp-11, -0x1.80dbd9c5819bbp-11, -0x1.70f243ea2e936p-11, -0x1.619373214464p-11, -0x1.52bba2152a8aep-11, -0x1.4466eb5e86fb3p-11, -0x1.369148518d1p-11, -0x1.2936d9171fdb5p-11, -0x1.1c5438d99ca21p-11, -0x1.0fe6912b87b73p-11, -0x1.03eb49c28a12p-11, -0x1.f0bef74048bep-12, -0x1.da7f11ec31a96p-12, -0x1.c50e602596118p-12, -0x1.b06430a22cfc8p-12, -0x1.9c78f0527e86ap-12, -0x1.8946bf07dcd9fp-12, -0x1.76c8f8e96620bp-12, -0x1.64fb36cc15152p-12, -0x1.53d8a2cd79cd8p-12, -0x1.435c1492d06c1p-12, -0x1.3380b31280abdp-12, -0x1.244280d6ad195p-12, -0x1.159e562807801p-12, -0x1.07912538f31fcp-12, -0x1.f42db744dbcc4p-13, -0x1.da533843710e2p-13, -0x1.c183f498071d7p-13, -0x1.a9b06e576682bp-13, -0x1.92cb7a0fd56dap-13, -0x1.7ccbd8c8bba38p-13, -0x1.67aba4bfd8c0cp-13, -0x1.536650f184351p-13, -0x1.3ff6df9a1cd54p-13, -0x1.2d576d7267c6bp-13, -0x1.1b81e4293ae54p-13, -0x1.0a70f9a2fdee6p-13, -0x1.f4416f22fd23ep-14, -0x1.d51c0f2e733adp-14, -0x1.b76a9141662e9p-14, -0x1.9b216028959fep-14, -0x1.802efe110e298p-14, -0x1.667d51aeed474p-14, -0x1.4df55186d381cp-14, -0x1.3682ff9469438p-14, -0x1.2017cb0bf6603p-14, -0x1.0aaaad304d8dcp-14, -0x1.ec6c9d8d4eb7p-15, -0x1.c56cc1bf58769p-15, -0x1.a04b4910d7953p-15, -0x1.7cfaf9ed2fdc9p-15, -0x1.5b6e0ec70920ep-15, -0x1.3b98d8d8a4a3ap-15, -0x1.1d71a5ccde09dp-15, -0x1.00ee9525ca143p-15, -0x1.cc07d868f6374p-16, -0x1.9945b682ee1f7p-16, -0x1.69705b6a0cea6p-16, -0x1.3c5898d1a990cp-16, -0x1.11ca07c56a1fdp-16, -0x1.d3200f0b5d55ap-17, -0x1.86fa534ac438ep-17, -0x1.3ee738554290ap-17, -0x1.f597eff865a98p-18, -0x1.75378b0cac85ap-18, -0x1.f90d3af8b2056p-19, -0x1.169a156055b5bp-19, -0x1.0aa3b8ca26ffdp-21, 0x1.0669e5b22d207p-20, 0x1.3b962d1e1e9dbp-19, 0x1.e72954216a1ap-19, 0x1.433d58b0573b4p-18, 0x1.8cf14907a026p-18, 0x1.d0d8392c2d8c6p-18, 0x1.07971427b2766p-17, 0x1.2425b7ae9779ap-17, 0x1.3e51eb68b5ec2p-17, 0x1.565b2df49ba87p-17, 0x1.6c70fd63f72f4p-17, 0x1.80a811e44fcddp-17, 0x1.930da9c70ca4ap-17, 0x1.a3bb1b23fb33bp-17, 0x1.b2caf647d5833p-17, 0x1.c04656a784b54p-17, 0x1.cc2ee484fc58fp-17, 0x1.d695048d90ep-17, 0x1.df989343a5b2cp-17, 0x1.e75918d15fce4p-17, 0x1.ede9bfce41dc9p-17, 0x1.f35131d4c77c8p-17, 0x1.f792f6a735b31p-17, 0x1.fab9311cf0ac4p-17, 0x1.fcd771e74c395p-17, 0x1.fe0afbff552e1p-17, 0x1.fe75c6959b7fep-17, 0x1.fe2af8d0bbd7ap-17, 0x1.fd28c92ec5728p-17, 0x1.fb7238d5f435ep-17, 0x1.f91d6ea31c43bp-17, 0x1.f64071626b91ap-17, 0x1.f2e3bc1551cb4p-17, 0x1.ef0d0706c3a1fp-17, 0x1.eac63b9094381p-17, 0x1.e619f995e05e3p-17, 0x1.e111ec28a12e3p-17, 0x1.dbb71404c242bp-17, 0x1.d610b2f03b11ap-17, 0x1.d023581d8984p-17, 0x1.c9f2637849949p-17, 0x1.c3828b56f57e4p-17, 0x1.bcdb328b9ed2p-17, 0x1.b608b042db469p-17, 0x1.af19604b5737ep-17, 0x1.a811b9dda8cf5p-17, 0x1.a0efa131887f2p-17, 0x1.99b8a42d96947p-17, 0x1.9274c106fbdebp-17, 0x1.8b250ce31747dp-17, 0x1.83caf7685d1cap-17, 0x1.7c6d39e24c867p-17, 0x1.75138982db449p-17, 0x1.6dc3778022165p-17, 0x1.66801c13d0314p-17, 0x1.5f4adb9b78dadp-17, 0x1.5824c1e222d44p-17, 0x1.510f94bc530c3p-17, 0x1.4a0ddede4468bp-17, 0x1.43221c6e8658ep-17, 0x1.3c4dff8d52437p-17, 0x1.35930770d7c3bp-17, 0x1.2ef3d38777e24p-17, 0x1.2872ea4836a2fp-17, 0x1.221117ea6ec92p-17, 0x1.1bcf8162d23cdp-17, 0x1.15af93100e9cdp-17, 0x1.0fb1761652b6fp-17, 0x1.09d5914df9a4cp-17, 0x1.041d0215cdcd7p-17, 0x1.fd118335d0698p-18, 0x1.f23303b968fcap-18, 0x1.e79facbcdbb2bp-18, 0x1.dd586b9b274d4p-18, 0x1.d35dac2beec1p-18, 0x1.c9af1b44dc526p-18, 0x1.c04c235f6f9dp-18, 0x1.b734dfd5a4384p-18, 0x1.ae69b537516ebp-18, 0x1.a5ea665f44c13p-18, 0x1.9db76ca51321p-18, 0x1.95d0fe8c217aep-18, 0x1.8e34e9ecc75a9p-18, 0x1.86e3b9c40c24ap-18, 0x1.7fdb6247b56c4p-18, 0x1.7918edf3e9c6cp-18, 0x1.729da5257f14fp-18, 0x1.6c6804efddf8p-18, 0x1.6675803c8ed19p-18, 0x1.60c4e2ae78291p-18, 0x1.5b55790d1157dp-18, 0x1.56266e5e548b3p-18, 0x1.5136a59f6c6e6p-18, 0x1.4c84c7c2f7018p-18, 0x1.480f7bf93abaep-18, 0x1.43d5b1d6a802bp-18, 0x1.3fd6b17a5f0e9p-18, 0x1.3c113aeb64298p-18, 0x1.3881aaf60bcfap-18, 0x1.35234c3ab9bdep-18, 0x1.31f6f73a7e1eep-18, 0x1.2f0068a739ae2p-18, 0x1.2c38f670aa762p-18, 0x1.299bef06e0dd7p-18, 0x1.272951cb0354fp-18, 0x1.24e3c391ef636p-18, 0x1.22cab3b7acf7ep-18, 0x1.20d845f4c0159p-18, 0x1.1f096366e05e4p-18, 0x1.1d5cebcdbc862p-18, 0x1.1bd1ea3ced0d5p-18, 0x1.1a6737ec7c1dfp-18, 0x1.191b81d9cd046p-18, 0x1.17ed4b47ef6ddp-18, 0x1.16daeb50d8cf8p-18, 0x1.15e29608a8e81p-18, 0x1.15027e9c928bcp-18, 0x1.1439162d5c8c5p-18, 0x1.13852851162cbp-18, 0x1.12e5621acb696p-18, 0x1.125835764fb28p-18, 0x1.11dde7e67f4cp-18, 0x1.1177f2f0422e3p-18, 0x1.1120167dbedd8p-18, 0x1.10d154aae58ffp-18, 0x1.108cd6935667dp-18, 0x1.1054beaa649aap-18, 0x1.1025590d1e9c9p-18, 0x1.0ffdfa8327c28p-18, 0x1.0fdea135d7648p-18, 0x1.0fc51b3f24467p-18, 0x1.0faf7d40659fcp-18, 0x1.0f9cb6076e474p-18, 0x1.0f8bfb714dffep-18, 0x1.0f7c7b44231b8p-18, 0x1.0f6d4acf023fap-18, 0x1.0f5d6aeb5b9ap-18, 0x1.0f4bd39f7b549p-18, 0x1.0f37849482215p-18, 0x1.0f1f9bd5ee71dp-18, 0x1.0f035dac906a4p-18, 0x1.0ee1faa719a31p-18, 0x1.0eba5ff9db86bp-18, 0x1.0e8bed51be2p-18, 0x1.0e575f6864dcep-18, 0x1.0e1a6b3c04ba8p-18, 0x1.0dd2f89db49d3p-18, 0x1.0d82cbf6930fep-18, 0x1.0d29e2ac053e3p-18, 0x1.0cc69e5f2b519p-18, 0x1.0c579ce57cd75p-18, 0x1.0bdc525e0db4fp-18, 0x1.0b54316aab30bp-18, 0x1.0abf17997233bp-18, 0x1.0a1da9e6284eep-18, 0x1.096f02eef1956p-18, 0x1.08b225cce9d26p-18, 0x1.07e6b439d02a6p-18, 0x1.070c798c12d98p-18, 0x1.0623369408aa4p-18, 0x1.052aa2c59419ap-18, 0x1.042275c68ebb2p-18, 0x1.030a736124207p-18, 0x1.01e2753ec0b77p-18, 0x1.00aa57f959ca2p-18, 0x1.fec3a40281d49p-19, 0x1.fc112dbfccc17p-19, 0x1.f93e78753f847p-19, 0x1.f649f4aba3468p-19, 0x1.f33289ba491a3p-19, 0x1.effa857c19f72p-19, 0x1.eca054089a19p-19, 0x1.e923b6451082cp-19, 0x1.e584db9d49e52p-19, 0x1.e1c3c9dd828e4p-19, 0x1.dde096d5b1c2cp-19, 0x1.d9dbe4edac482p-19, 0x1.d5b68a3467f7ap-19, 0x1.d16f7fa086595p-19, 0x1.cd05bed558011p-19, 0x1.c879f4859a9b7p-19, 0x1.c3ce1344fb801p-19, 0x1.bf01d9626209p-19, 0x1.ba14b37870ea3p-19, 0x1.b506f678075b5p-19, 0x1.afd91c9174a24p-19, 0x1.aa8b9511e4102p-19, 0x1.a51edec86eff6p-19, 0x1.9f937db314a15p-19, 0x1.99e9bc742568ep-19, 0x1.9421a78e55f85p-19, 0x1.8e3c606c4e50ep-19, 0x1.8839f9eecf86cp-19, }}, 
      {{-0x1.b02fe67449807p-6, -0x1.16a13934ab35p-6, -0x1.e3efbc2d5422fp-10, 0x1.2fc45dd919b3dp-6, 0x1.646d990c33996p-5, 0x1.287b310e2d93p-4, 0x1.abf9142df9542p-4, 0x1.1d020a23973e3p-3, 0x1.680bfeb615baap-3, 0x1.b5f117eea75c9p-3, 0x1.02d1a8a052964p-2, 0x1.2b186c45f2b79p-2, 0x1.5361ea260b8a4p-2, 0x1.7b50b31744b2bp-2, 0x1.a29417eea60e5p-2, 0x1.c8e746b3e351p-2, 0x1.ee10554e87af2p-2, 0x1.08efa37a10bdap-1, 0x1.1a168ab7bb661p-1, 0x1.2a6d6213b142ap-1, 0x1.39e8403a400dep-1, 0x1.487e688efe8e4p-1, 0x1.5629eae0d72b8p-1, 0x1.62e74b185f4b2p-1, 0x1.6eb530a20a4e9p-1, 0x1.79941d3657f51p-1, 0x1.83862a8e12064p-1, 0x1.8c8ece868113cp-1, 0x1.94b2a53e283a6p-1, 0x1.9bf740b9ff565p-1, 0x1.a262fda69a37bp-1, 0x1.a7fcdccb787bbp-1, 0x1.accc60cb669e5p-1, 0x1.b0d96fd2be07fp-1, 0x1.b42c38da78229p-1, 0x1.b6cd1c2cf2f9ep-1, 0x1.b8c496df41c04p-1, 0x1.ba1b30f7b1accp-1, 0x1.bad96e000a757p-1, 0x1.bb07bfc6e77e9p-1, 0x1.baae7b1879b24p-1, 0x1.b9d5ce3bbba35p-1, 0x1.b885b905ea083p-1, 0x1.b6c6065779ecep-1, 0x1.b49e46db6b2e2p-1, 0x1.b215cce581acp-1, 0x1.af33a94838568p-1, 0x1.abfea909e09c5p-1, 0x1.a87d53daca148p-1, 0x1.a4b5eb2e9c4d4p-1, 0x1.a0ae69ec837e1p-1, 0x1.9c6c84924048ap-1, 0x1.97f5a9c209358p-1, 0x1.934f0326c0d08p-1, 0x1.8e7d769e5dbf3p-1, 0x1.8985a7a61b674p-1, 0x1.846bf8f6a376ep-1, 0x1.7f348e4c8b447p-1, 0x1.79e34e4dcab4ep-1, 0x1.747be48732523p-1, 0x1.6f01c37b3e0dap-1, 0x1.697826bfa5f77p-1, 0x1.63e2152477711p-1, 0x1.5e4262de4db7dp-1, 0x1.589bb3adb6bc2p-1, 0x1.52f07d00cbda5p-1, 0x1.4d43080ed4038p-1, 0x1.479573ee4865cp-1, 0x1.41e9b7a39168bp-1, 0x1.3c41a4249255dp-1, 0x1.369ee64ca4d07p-1, 0x1.310308be9d7c4p-1, 0x1.2b6f75b57fd92p-1, 0x1.25e578c68ccap-1, 0x1.2066409741044p-1, 0x1.1af2e087c759dp-1, 0x1.158c52500256bp-1, 0x1.1033778be725p-1, 0x1.0ae91b3463a78p-1, 0x1.05adf303e9554p-1, 0x1.0082a0c7f7678p-1, 0x1.f6cf6744f874p-2, 0x1.ecbb527bed5a8p-2, 0x1.e2c9ddec7b0bfp-2, 0x1.d8fbc5ec1c6eep-2, 0x1.cf51aa9081a59p-2, 0x1.c5cc11b587d61p-2, 0x1.bc6b68e3e577cp-2, 0x1.b3300717a12b2p-2, 0x1.aa1a2e67d29f1p-2, 0x1.a12a0d932266ep-2, 0x1.985fc1751bf77p-2, 0x1.8fbb56681c029p-2, 0x1.873cc99665a76p-2, 0x1.7ee40a3b50cedp-2, 0x1.76b0fad4444a5p-2, 0x1.6ea372407d818p-2, 0x1.66bb3cce6b379p-2, 0x1.5ef81d360ab77p-2, 0x1.5759cd803a343p-2, 0x1.4fdfffdc2313fp-2, 0x1.488a5f644473cp-2, 0x1.415890d4cc75fp-2, 0x1.3a4a33356f584p-2, 0x1.335ee0781ad91p-2, 0x1.2c962e0dd73f8p-2, 0x1.25efad7291617p-2, 0x1.1f6aecb00d6e2p-2, 0x1.190776d8575ep-2, 0x1.12c4d477a2852p-2, 0x1.0ca28bfd8087fp-2, 0x1.06a0221dd77ep-2, 0x1.00bd1a2974f3ap-2, 0x1.f5f1ecbded081p-3, 0x1.eaa67069049c2p-3, 0x1.df96c135600d7p-3, 0x1.d4c1e073291aap-3, 0x1.ca26cf50c758dp-3, 0x1.bfc48f40473bap-3, 0x1.b59a22541ea72p-3, 0x1.aba68b9416b8fp-3, 0x1.a1e8cf4aa2074p-3, 0x1.985ff34b67e2dp-3, 0x1.8f0aff33a5949p-3, 0x1.85e8fca40bdd7p-3, 0x1.7cf8f77511a72p-3, 0x1.7439fde5e8c2p-3, 0x1.6bab20c5efbdap-3, 0x1.634b7399793fap-3, 0x1.5b1a0cb9fb506p-3, 0x1.53160571d8c18p-3, 0x1.4b3e7a1454efdp-3, 0x1.43928a11e15f6p-3, 0x1.3c1158092979ap-3, 0x1.34ba09d50786bp-3, 0x1.2d8bc897cd4fep-3, 0x1.2685c0c43be8p-3, 0x1.1fa7222412d7ap-3, 0x1.18ef1fdc97706p-3, 0x1.125cf071a64aap-3, 0x1.0befcdc6e0fa5p-3, 0x1.05a6f51f2cc17p-3, 0x1.ff034e369053ep-4, 0x1.f2fe4f6e39da6p-4, 0x1.e73d7c8b1f6b6p-4, 0x1.dbbf6ad71e7cbp-4, 0x1.d082b634f6e04p-4, 0x1.c5860112c8248p-4, 0x1.bac7f45b1134cp-4, 0x1.b0473f64c5ff4p-4, 0x1.a60297e20a8afp-4, 0x1.9bf8b9cdf27bp-4, 0x1.922867595eb0ep-4, 0x1.889068d6bc5a4p-4, 0x1.7f2f8ca5530ep-4, 0x1.7604a71c72307p-4, 0x1.6d0e9275af16cp-4, 0x1.644c2eb633082p-4, 0x1.5bbc619864b9ap-4, 0x1.535e1675cfb6cp-4, 0x1.4b303e3017f63p-4, 0x1.4331cf1964097p-4, 0x1.3b61c4dd72a53p-4, 0x1.33bf206b01f81p-4, 0x1.2c48e7dc99066p-4, 0x1.24fe266124b12p-4, 0x1.1dddec251e7c6p-4, 0x1.16e74e3bf76a1p-4, 0x1.1019668962fddp-4, 0x1.097353aad057cp-4, 0x1.02f438e12d05cp-4, 0x1.f9367bf57e747p-5, 0x1.eccf1e7a56939p-5, 0x1.e0b0baa003b44p-5, 0x1.d4d9ba4f3cec1p-5, 0x1.c9488fdfceb0bp-5, 0x1.bdfbb5ee56979p-5, 0x1.b2f1af3353abfp-5, 0x1.a829065b66c2cp-5, 0x1.9da04ddf86d7cp-5, 0x1.93561fdd004a8p-5, 0x1.89491dee608b2p-5, 0x1.7f77f105d6619p-5, 0x1.75e14948351bfp-5, 0x1.6c83dde7e02abp-5, 0x1.635e6d000b872p-5, 0x1.5a6fbb7116a2bp-5, 0x1.51b694bddbdd9p-5, 0x1.4931cae96af3ep-5, 0x1.40e03655020adp-5, 0x1.38c0b59ec192dp-5, 0x1.30d22d813dd28p-5, 0x1.291388b39b6cbp-5, 0x1.2183b7ca0e69cp-5, 0x1.1a21b116dcd88p-5, 0x1.12ec708c494c9p-5, 0x1.0be2f79f34ab9p-5, 0x1.05044d2a119bep-5, 0x1.fc9efaa035996p-6, 0x1.ef8732c24c53bp-6, 0x1.e2bf6f7ccf568p-6, 0x1.d645e77fddf07p-6, 0x1.ca18db34e91e8p-6, 0x1.be36948a8e985p-6, 0x1.b29d66c168bf1p-6, 0x1.a74bae3a7db91p-6, 0x1.9c3fd047562c3p-6, 0x1.91783afaee1cdp-6, 0x1.86f364fafc5a7p-6, 0x1.7cafcd51b511bp-6, 0x1.72abfb40b2823p-6, 0x1.68e67e1562d89p-6, 0x1.5f5decfeae77ap-6, 0x1.5610e6e334252p-6, 0x1.4cfe1237ed5bp-6, 0x1.44241cd7665f9p-6, 0x1.3b81bbda373e8p-6, 0x1.3315ab7087756p-6, 0x1.2adeaebc9fd6ep-6, 0x1.22db8fadee6d6p-6, 0x1.1b0b1edc91795p-6, 0x1.136c336587194p-6, 0x1.0bfdaac7dc623p-6, 0x1.04be68c2d3764p-6, 0x1.fb5aae6986c36p-7, 0x1.ed92cbf4f2e44p-7, 0x1.e023159e29fdbp-7, 0x1.d309825927a3p-7, 0x1.c644145a45c57p-7, 0x1.b9d0d8daad344p-7, 0x1.adade7dddcc5fp-7, 0x1.a1d963f83eb8cp-7, 0x1.96517a168b8dp-7, 0x1.8b146146519b9p-7, 0x1.80205a7ff1a08p-7, 0x1.7573b071ff56cp-7, 0x1.6b0cb74de2f51p-7, 0x1.60e9cc9554d04p-7, 0x1.570956e895932p-7, 0x1.4d69c5d5917f8p-7, 0x1.440991a81c2bap-7, 0x1.3ae73b3b7b593p-7, 0x1.32014bcd190fcp-7, 0x1.295654d01bf7p-7, 0x1.20e4efc1b7a26p-7, 0x1.18abbdfe2f993p-7, 0x1.10a96896bad8dp-7, 0x1.08dca028048b2p-7, 0x1.01441cb29b49cp-7, 0x1.f3bd3ae6f0558p-8, 0x1.e555d17ba1a0ep-8, 0x1.d74f97aab8125p-8, 0x1.c9a835924b1fcp-8, 0x1.bc5d609df0381p-8, 0x1.af6cdb3f6f5c4p-8, 0x1.a2d474a958c34p-8, 0x1.9692088bb3441p-8, 0x1.8aa37ed21aa26p-8, 0x1.7f06cb6302dfcp-8, 0x1.73b9eddf89b1cp-8, 0x1.68baf1640716ep-8, 0x1.5e07ec49947e7p-8, 0x1.539effe9316cbp-8, 0x1.497e586105659p-8, 0x1.3fa42c5badab5p-8, 0x1.360ebcd93ac4bp-8, 0x1.2cbc54f90f79ap-8, 0x1.23ab49c3d9fd5p-8, 0x1.1ad9f9f54c12ep-8, 0x1.1246cdc619006p-8, 0x1.09f036b7087a4p-8, 0x1.01d4af5e163adp-8, 0x1.f3e5766c7f1a1p-9, 0x1.e491cce3c39d9p-9, 0x1.d5ab8b9d17dc8p-9, 0x1.c72fecd1d5daap-9, 0x1.b91c3b1f3a666p-9, 0x1.ab6dd1296320fp-9, 0x1.9e22193d342d3p-9, 0x1.91368cf48245p-9, 0x1.84a8b4dfcfe2cp-9, 0x1.787628378a13dp-9, 0x1.6c9c8c93ea86ep-9, 0x1.611995a8458d8p-9, 0x1.55eb04fd97969p-9, 0x1.4b0ea9a841ccp-9, 0x1.40825ff80333p-9, 0x1.364411248b7a2p-9, 0x1.2c51b2fb234fdp-9, 0x1.22a9479287ae2p-9, 0x1.1948dd0888157p-9, 0x1.102e8d48cce6fp-9, 0x1.07587dd96bef2p-9, 0x1.fd89bf4edffbap-10, 0x1.ece3dd9b249bdp-10, 0x1.dcbbe4a54d94cp-10, 0x1.cd0e77c1d77d5p-10, 0x1.bdd84ef6105b9p-10, 0x1.af16366ae3804p-10, 0x1.a0c50df2b508cp-10, 0x1.92e1c8a6c191p-10, 0x1.85696c9627825p-10, 0x1.7859127b370b5p-10, 0x1.6bade56de4016p-10, 0x1.5f65228326fbap-10, 0x1.537c185932a16p-10, 0x1.47f0269919afdp-10, 0x1.3cbebd75aa0d4p-10, 0x1.31e55d35b192p-10, 0x1.276195d1afeb4p-10, 0x1.1d3106a661419p-10, 0x1.13515e35f6004p-10, 0x1.09c059ed6bd4fp-10, 0x1.007bc5e3b3f49p-10, 0x1.ef02f916f1ac6p-11, 0x1.dd9eccadad229p-11, 0x1.ccc6f2a4b1ff9p-11, 0x1.bc777180fdafap-11, 0x1.acac697ac0464p-11, 0x1.9d6213de9d22cp-11, 0x1.8e94c2859abfbp-11, 0x1.8040df5a0d098p-11, 0x1.7262ebe08b503p-11, 0x1.64f780bc46731p-11, 0x1.57fb4d2d25e6ep-11, 0x1.4b6b1686f362fp-11, 0x1.3f43b7ac1689cp-11, 0x1.338220875ef25p-11, 0x1.28235596ae7fcp-11, 0x1.1d246f7a26e56p-11, 0x1.12829a8261b7ep-11, 0x1.083b1631636e7p-11, 0x1.fc96695310e6ep-12, 0x1.e960b42a33762p-12, 0x1.d6cff836364fdp-12, 0x1.c4df42de4864p-12, 0x1.b389c3002cafdp-12, 0x1.a2cac878f9b09p-12, 0x1.929dc3be4acdep-12, 0x1.82fe4576fc383p-12, 0x1.73e7fdfe9143fp-12, 0x1.6556bcb3cfe9fp-12, 0x1.57466ef036cd1p-12, 0x1.49b31ea712f74p-12, 0x1.3c98f0e0dd074p-12, 0x1.2ff42473d68d6p-12, 0x1.23c1114b036f7p-12, 0x1.17fc2842da49p-12, 0x1.0ca1f3520f5d8p-12, 0x1.01af15a513b8ap-12, 0x1.ee4096f24009cp-13, 0x1.d9e4d37af7a06p-13, 0x1.c644bb1632477p-13, 0x1.b35a56bdbcb7ep-13, 0x1.a11fdbd498adfp-13, 0x1.8f8fa8f2b8783p-13, 0x1.7ea4429ea5bafp-13, 0x1.6e585130c2b11p-13, 0x1.5ea6a0aedb381p-13, 0x1.4f8a223d6af87p-13, 0x1.40fdedc0114f6p-13, 0x1.32fd424f1ac21p-13, 0x1.2583853c6101ap-13, 0x1.188c4070d3cb6p-13, 0x1.0c13210508432p-13, 0x1.0013f62934413p-13, 0x1.e9155f3527c23p-14, 0x1.d2e6b5ff5613fp-14, 0x1.bd94414d8ac55p-14, 0x1.a916828322b91p-14, 0x1.95662c20fe642p-14, 0x1.827c26aed3b0bp-14, 0x1.705196645e4c6p-14, 0x1.5edfdd297bfbcp-14, 0x1.4e209789b5a5cp-14, 0x1.3e0d97200a03ap-14, 0x1.2ea0de4862c59p-14, 0x1.1fd49ebddb6a7p-14, 0x1.11a3398729ae3p-14, 0x1.04073ce0da8afp-14, 0x1.edf6be7fdf6bep-15, 0x1.d4f4f2fb1560dp-15, 0x1.bcff079cd7b5dp-15, 0x1.a60b318629805p-15, 0x1.900ff7b3c4d9dp-15, 0x1.7b043da598f64p-15, 0x1.66df4334ca10ap-15, 0x1.53989a3417903p-15, 0x1.41281a724043bp-15, 0x1.2f85dc66b6a12p-15, 0x1.1eaa3b052d7abp-15, 0x1.0e8dd61ddd89cp-15, 0x1.fe531d53ae15fp-16, 0x1.e0ecf98673b6p-16, 0x1.c4dbca3ecb946p-16, 0x1.aa1269b132b72p-16, 0x1.90840ba63c797p-16, 0x1.7824503941a0ap-16, 0x1.60e752eed5141p-16, 0x1.4ac1aaaeed634p-16, 0x1.35a85aaaf28b1p-16, 0x1.2190c1c65f33ep-16, 0x1.0e70989b76e54p-16, 0x1.f87bfdefed78cp-17, 0x1.d5df0df536d62p-17, 0x1.b4f85816206e5p-17, 0x1.95b6708d622eep-17, 0x1.78085943b7498p-17, 0x1.5bdd78789326p-17, 0x1.4125ae947ab0fp-17, 0x1.27d16aebd909bp-17, 0x1.0fd1ac24f5a68p-17, 0x1.f22fe6296f558p-18, 0x1.c72c667c073c6p-18, 0x1.9e7d8ab3e19bfp-18, 0x1.7808caa64c119p-18, 0x1.53b49bbfb3b26p-18, 0x1.3168d8d55d42ep-18, 0x1.110eff5d81b1fp-18, 0x1.e523d85781454p-19, 0x1.abba7724d9231p-19, 0x1.75b9ac5f0a00ep-19, 0x1.42fa0b44ddf94p-19, 0x1.1355b5e6bbeap-19, 0x1.cd51928ecc268p-20, 0x1.79a1eaa05d51ap-20, 0x1.2b597bb1532e6p-20, 0x1.c46c4fd68edd8p-21, 0x1.3bed9bf923ad1p-21, 0x1.796ee4041e466p-22, 0x1.19393a8c025c1p-23, -0x1.3e1a150fce098p-24, -0x1.1bd360a21ebb9p-22, -0x1.d90edd040fe07p-22, -0x1.43f81166e79e3p-21, -0x1.949501f627dadp-21, -0x1.deb7458993ce7p-21, -0x1.115a9101fad5ep-20, -0x1.306f818b50b34p-20, -0x1.4cbfa68b783e9p-20, -0x1.666e8ee852a68p-20, -0x1.7d9f92f88c0ffp-20, -0x1.927642925fee2p-20, -0x1.a515d6b095046p-20, -0x1.b5a069e97140dp-20, -0x1.c436a7d8ea633p-20, -0x1.d0f7c36dbcc34p-20, -0x1.dc01099829e8ep-20, -0x1.e56d4aa83dc91p-20, -0x1.ed5528f98a5afp-20, -0x1.f3d046e12db61p-20, -0x1.f8f5e12fd091dp-20, -0x1.fcdc1c2f6a64fp-20, -0x1.ff97146169cf1p-20, -0x1.009c7b351225ep-19, -0x1.00e97635c7beap-19, -0x1.00baf77e084b9p-19, -0x1.0019911ae0fdp-19, -0x1.fe1bc1954737cp-20, -0x1.fb40918cdd9bcp-20, -0x1.f7b1355ec4f83p-20, -0x1.f37c0320424cp-20, -0x1.eeae72789264bp-20, -0x1.e9558224393fap-20, -0x1.e37da1f878e29p-20, -0x1.dd32932ea0f9dp-20, -0x1.d67f9f64ee77fp-20, -0x1.cf6f8c12bd792p-20, -0x1.c80c103657108p-20, -0x1.c05da785e7abbp-20, -0x1.b86c1405b7e25p-20, -0x1.b03ec3275af06p-20, -0x1.a7dcc58045579p-20, -0x1.9f4ce6b8f16d5p-20, -0x1.9695f3e63b40dp-20, -0x1.8dbeb4621d5bbp-20, -0x1.84cd82cf5c8d9p-20, -0x1.7bc7e9761c66p-20, -0x1.72b2a8390e72ap-20, -0x1.69922dd068a9dp-20, -0x1.606b0b754fb7fp-20, -0x1.5741e1bf092c5p-20, -0x1.4e1b0d9fcaef3p-20, -0x1.44fa88c00a0d6p-20, -0x1.3be3b74bf77cbp-20, -0x1.32d94a59724afp-20, -0x1.29ddbaded14adp-20, -0x1.20f3bc3c115bp-20, -0x1.181df96c4c027p-20, -0x1.0f5eb02a506e1p-20, -0x1.06b7b941faa4dp-20, -0x1.fc557965557dp-21, -0x1.eb72a312360f4p-21, -0x1.dac9fc4292f1dp-21, -0x1.ca5e2a1decea5p-21, -0x1.ba3127a762873p-21, -0x1.aa446e259d398p-21, -0x1.9a997c6328b8cp-21, -0x1.8b32200781d49p-21, -0x1.7c10218d479acp-21, -0x1.6d34e6ea638e4p-21, -0x1.5ea154d73eefcp-21, -0x1.5055a642882c3p-21, -0x1.4251c5a38bf1p-21, -0x1.3495e747add66p-21, -0x1.272265bee31d8p-21, -0x1.19f75c6c0c805p-21, -0x1.0d14ac6ab503ep-21, -0x1.007a1e8b7ce36p-21, -0x1.e84eab504c4cdp-22, -0x1.d037738d4b006p-22, -0x1.b8ad1eade3c7cp-22, -0x1.a1ae151a29d7p-22, -0x1.8b389262dec79p-22, -0x1.754a9d661e514p-22, -0x1.5fe221163e51dp-22, -0x1.4afd0e88573b4p-22, -0x1.36995767bca77p-22, -0x1.22b4cac851ddep-22, -0x1.0f4d11067ea5ap-22, -0x1.f8bf52102207ep-23, -0x1.d3d3dc101cdddp-23, -0x1.afd27e2a61336p-23, -0x1.8cb5f4bbd637dp-23, -0x1.6a78bde41493fp-23, -0x1.49155035b0955p-23, -0x1.288635a7b4ce3p-23, -0x1.08c5fbd3c422cp-23, -0x1.d39e4d7fa4bcdp-24, -0x1.973847f334cc2p-24, -0x1.5c4e8969f6e12p-24, -0x1.22d59892a58a6p-24, -0x1.d58423e60cbffp-25, -0x1.6811a4bcdd2a3p-25, -0x1.fa7b30050874ap-26, -0x1.29e3a2269a551p-26, -0x1.78bd5aa7fedd9p-28, 0x1.a333179a4c145p-28, 0x1.2b3917eb9c605p-26, 0x1.e93e96fc1c49bp-26, 0x1.5182d066b21ecp-25, 0x1.ac5c269046d35p-25, 0x1.029ff886c1061p-24, 0x1.2e20bd9b2081fp-24, 0x1.58ba0e2dedb9cp-24, 0x1.827568a4eb8c6p-24, 0x1.ab5bd77386791p-24, 0x1.d375fbae4eb65p-24, 0x1.facc353ab945bp-24, 0x1.10b36486b756p-23, 0x1.23a7020f916dap-23, 0x1.36450f89756e7p-23, 0x1.4891905fe0635p-23, 0x1.5a9055466743ap-23, 0x1.6c44ff27a428bp-23, 0x1.7db33a35ad416p-23, 0x1.8edecce65a1bp-23, 0x1.9fcafdfd715a9p-23, 0x1.b07a82aa59a6p-23, 0x1.c0f07460ab4e7p-23, 0x1.d12ff8ac7b826p-23, 0x1.e13c029a477e4p-23, 0x1.f1173838b3309p-23, 0x1.0062168a76852p-22, 0x1.0822c7536bb91p-22, 0x1.0fcee76fea95bp-22, 0x1.1767960300f85p-22, 0x1.1eede091e123ap-22, 0x1.2662c46ec4035p-22, 0x1.2dc73177f5e72p-22, 0x1.351c0fada1b9dp-22, 0x1.3c624357424e4p-22, 0x1.439aac2bd6107p-22, 0x1.4ac61eaceb53cp-22, 0x1.51e558fbc4354p-22, 0x1.58f8fe3a13b3cp-22, 0x1.6001a70037d57p-22, 0x1.66ffee9eb6778p-22, 0x1.6df45a68b4f19p-22, 0x1.74df5ed9e708bp-22, 0x1.7bc19a3b8a433p-22, 0x1.829b918126fc9p-22, 0x1.896d92172047p-22, 0x1.9037da8716877p-22, 0x1.96fac8076c037p-22, 0x1.9db6a6c823fdp-22, 0x1.a46bb1fa0f88p-22, 0x1.ab1a20b146796p-22, 0x1.b1c21f07fec91p-22, 0x1.b863ccbe73c8dp-22, 0x1.beff4059339f8p-22, 0x1.c59489ac4ad2bp-22, 0x1.cc23b4eb106dcp-22, 0x1.d2accb620cc3p-22, 0x1.d92fd1e7472d3p-22, 0x1.dfacc5e31e3bbp-22, 0x1.e6239a2b88275p-22, 0x1.ec94365954569p-22, 0x1.f2fe7d4b39b6bp-22, 0x1.f962527371ff7p-22, 0x1.ffbf93006e2fbp-22, 0x1.030b083f3de6ep-21, 0x1.0632d4be24123p-21, 0x1.09571a11e8845p-21, 0x1.0c77b601f336bp-21, 0x1.0f948bbc9696fp-21, 0x1.12ad815d20387p-21, 0x1.15c2781e7e4c1p-21, 0x1.18d34d8f80079p-21, 0x1.1bdfded7c3bcdp-21, 0x1.1ee80797a1ebdp-21, 0x1.21eba04d63d46p-21, 0x1.24ea82214e1f1p-21, 0x1.27e484fcc8895p-21, 0x1.2ad97ee2a5f2ap-21, 0x1.2dc945c27491ap-21, 0x1.30b3af5dcea9cp-21, 0x1.3398910ba98bp-21, 0x1.3677bf586c086p-21, 0x1.39510d84ea7e3p-21, 0x1.3c244d1924f28p-21, 0x1.3ef14f09a6ec9p-21, 0x1.41b7e5a8766e2p-21, 0x1.4477e4571a447p-21, 0x1.47311b816b919p-21, 0x1.49e35eecc32ep-21, 0x1.4c8e8136691ep-21, 0x1.4f324fd4334c6p-21, 0x1.51ce9e976532fp-21, 0x1.54633f9ca3b55p-21, 0x1.56f004a22eb63p-21, 0x1.5974c01087999p-21, 0x1.5bf14477688eap-21, 0x1.5e6564bbd0f3fp-21, 0x1.60d0f3cd9aedap-21, 0x1.6333c685a09c2p-21, 0x1.658db24d2c64bp-21, 0x1.67de8bbb398bap-21, 0x1.6a2626d5e127fp-21, 0x1.6c645ac8cf12fp-21, 0x1.6e98ff4a07f9bp-21, 0x1.70c3ec3a55237p-21, 0x1.72e4fa38d812p-21, 0x1.74fc026909563p-21, 0x1.7708de0339ea9p-21, 0x1.790b66e78a7cdp-21, 0x1.7b03795553e7ap-21, 0x1.7cf0f3df35a69p-21, 0x1.7ed3b3cae01ap-21, 0x1.80ab92db504dbp-21, }}, 
      std::vector<double>(650, 0.0), 
      {{-0x1.ac576b47a3b0dp-8, -0x1.3922f780f301ap-6, -0x1.4df92ef1c1548p-5, -0x1.2843f88b9fbf2p-4, -0x1.cfe67d20cd70ep-4, -0x1.4c37210dfd33ep-3, -0x1.bd60622d8827ep-3, -0x1.1bcb7a460a736p-2, -0x1.5b87bd1596091p-2, -0x1.9c209565e6ef3p-2, -0x1.dc0228048a7fp-2, -0x1.0ce82eb64d79ap-1, -0x1.2a346243650e1p-1, -0x1.4570824c42af9p-1, -0x1.5e419b0380196p-1, -0x1.746488bffe373p-1, -0x1.87ab4c8d4460ap-1, -0x1.97fa53e20f8a2p-1, -0x1.a545d68a25e85p-1, -0x1.af8f5f6a91c08p-1, -0x1.b6e38b4b2d664p-1, -0x1.bb5801fe21b95p-1, -0x1.bd09a9e188501p-1, -0x1.bc1b1303d4d51p-1, -0x1.b8b3160181144p-1, -0x1.b2fba243f5db7p-1, -0x1.ab20b750ebaf7p-1, -0x1.a14f850092cbp-1, -0x1.95b5ae840a9cbp-1, -0x1.8880ac4532572p-1, -0x1.79dd48f09ad24p-1, -0x1.69f73659adf64p-1, -0x1.58f8b7473fea4p-1, -0x1.470a5b88c87a2p-1, -0x1.3452cbfd18016p-1, -0x1.20f6a471be044p-1, -0x1.0d18597b0099ap-1, -0x1.f1b0511b8ee08p-2, -0x1.c8a821a0cd852p-2, -0x1.9f4fa6c9d8e6bp-2, -0x1.75d9f3e187bf9p-2, -0x1.4c75c42bbe6dcp-2, -0x1.234d99cbea8b3p-2, -0x1.f50fc926cc9ep-3, -0x1.a48e5914d306bp-3, -0x1.555480750d02dp-3, -0x1.0798cee6a67f4p-3, -0x1.771653b0c8da9p-4, -0x1.c554da076b8c5p-5, -0x1.48d613d03ee48p-6, 0x1.d05d80bb283fap-7, 0x1.83cd1c8dad9afp-5, 0x1.4531c94c4c2f1p-4, 0x1.c3cca19b32754p-4, 0x1.1ecf1a78abfcap-3, 0x1.594a6573b0b92p-3, 0x1.9152985b74327p-3, 0x1.c6e50e67dab2ap-3, 0x1.fa01cdaf66b0ap-3, 0x1.1555a1503cf16p-2, 0x1.2c72ffd01766cp-2, 0x1.425c40b066e79p-2, 0x1.57157ba85aa29p-2, 0x1.6aa387fc1c32ap-2, 0x1.7d0be47614c47p-2, 0x1.8e54a111d23fbp-2, 0x1.9e844a47ed577p-2, 0x1.ada1d5f0e87ccp-2, 0x1.bbb491a7fb485p-2, 0x1.c8c412972317dp-2, 0x1.d4d8268d4d0d2p-2, 0x1.dff8c65036f4fp-2, 0x1.ea2e091f47a85p-2, 0x1.f38019695f498p-2, 0x1.fbf72aad9f302p-2, 0x1.01cdb83d65766p-1, 0x1.053a8b37443ep-1, 0x1.08461c8c8e5dbp-1, 0x1.0af46fd18cee3p-1, 0x1.0d497b149bd1ep-1, 0x1.0f49245eef69dp-1, 0x1.10f73f8c0fe3cp-1, 0x1.12578c72ab15bp-1, 0x1.136db55facdp-1, 0x1.143d4dd90447p-1, 0x1.14c9d19fcf988p-1, 0x1.1516a3e6daab5p-1, 0x1.15270eb253a6fp-1, 0x1.14fe425d4d19p-1, 0x1.149f553ed184fp-1, 0x1.140d4370b7598p-1, 0x1.134aeeb80871cp-1, 0x1.125b1e8da095p-1, 0x1.11408048bfd2dp-1, 0x1.0ffda7645bbfep-1, 0x1.0e950ddcca0cfp-1, 0x1.0d0914a0978e4p-1, 0x1.0b5c040b4ea7p-1, 0x1.09900c6cb2f2fp-1, 0x1.07a74691f75fap-1, 0x1.05a3b455ff783p-1, 0x1.038741349e64ep-1, 0x1.0153c2e1f84dep-1, 0x1.fe15f3cfa84bap-2, 0x1.f95d248cb77e1p-2, 0x1.f4804834bedb3p-2, 0x1.ef82688db710fp-2, 0x1.ea666a3f5186ep-2, 0x1.e52f0e2c913b4p-2, 0x1.dfdef2c9ada55p-2, 0x1.da789569c8902p-2, 0x1.d4fe538e4b7d5p-2, 0x1.cf726c231a21cp-2, 0x1.c9d700b77019bp-2, 0x1.c42e16af99778p-2, 0x1.be799864aa2b2p-2, 0x1.b8bb5643ef7bbp-2, 0x1.b2f507e337372p-2, 0x1.ad284d0ad149ap-2, 0x1.a756aebb36deap-2, 0x1.a181a02b75eddp-2, 0x1.9baa7fbda183dp-2, 0x1.95d297ecbf2f7p-2, 0x1.8ffb203612b81p-2, 0x1.8a253df54daddp-2, 0x1.8452053b76229p-2, 0x1.7e82799fea9e8p-2, 0x1.78b78f0361b6p-2, 0x1.72f22a4f26e4cp-2, 0x1.6d33222cdcf01p-2, 0x1.677b3fb17b384p-2, 0x1.61cb3f04b0c48p-2, 0x1.5c23d00183ccp-2, 0x1.568596cc460f9p-2, 0x1.50f12c631af9ap-2, 0x1.4b671f2a02bc2p-2, 0x1.45e7f36fe68bep-2, 0x1.407423eb10086p-2, 0x1.3b0c22315602bp-2, 0x1.35b0572eeb2e1p-2, 0x1.30612393f938cp-2, 0x1.2b1ee039d620ep-2, 0x1.25e9de8a012ccp-2, 0x1.20c268e14ff5ep-2, 0x1.1ba8c2e77d0d8p-2, 0x1.169d29e43484ap-2, 0x1.119fd515dae49p-2, 0x1.0cb0f601a5511p-2, 0x1.07d0b8bbe16f1p-2, 0x1.02ff442e94717p-2, 0x1.fc7974bf496fep-3, 0x1.f312716712897p-3, 0x1.e9c9b053a2be2p-3, 0x1.e09f5b2a18852p-3, 0x1.d79393a7707e9p-3, 0x1.cea67412dd16dp-3, 0x1.c5d80fa1bc1eep-3, 0x1.bd2872cf3f63bp-3, 0x1.b497a3b9b612ep-3, 0x1.ac25a28380aa1p-3, 0x1.a3d269a6637dcp-3, 0x1.9b9dee3b005afp-3, 0x1.93882044240bbp-3, 0x1.8b90eafdd8ca5p-3, 0x1.83b83524aa3bp-3, 0x1.7bfde133de444p-3, 0x1.7461cda1f6fa5p-3, 0x1.6ce3d51df52d3p-3, 0x1.6583cecb62b38p-3, 0x1.5e418e7b22c18p-3, 0x1.571ce4decf30bp-3, 0x1.50159fb73d877p-3, 0x1.492b8a03a3369p-3, 0x1.425e6c33b00f9p-3, 0x1.3bae0c56732d3p-3, 0x1.351a2e40f399fp-3, 0x1.2ea293b1960cap-3, 0x1.2846fc77af5dep-3, 0x1.2207269cf1fb3p-3, 0x1.1be2ce892e3cep-3, 0x1.15d9af1fff956p-3, 0x1.0feb81de8dfbep-3, 0x1.0a17fefbea157p-3, 0x1.045edd8847f9fp-3, 0x1.fd7fa710bfdbep-4, 0x1.f2752c1dea01fp-4, 0x1.e79db2ac8614fp-4, 0x1.dcf8a1b08169p-4, 0x1.d2855ec98217ep-4, 0x1.c8434e6edcb9ep-4, 0x1.be31d41d51c18p-4, 0x1.b4505282025bbp-4, 0x1.aa9e2b9d28028p-4, 0x1.a11ac0e04f4a4p-4, 0x1.97c57350d728fp-4, 0x1.8e9da3aff15f3p-4, 0x1.85a2b29f39c84p-4, 0x1.7cd400bac7f25p-4, 0x1.7430eead36b6dp-4, 0x1.6bb8dd4850b3dp-4, 0x1.636b2da5550f5p-4, 0x1.5b47414465f4bp-4, 0x1.534c7a226994cp-4, 0x1.4b7a3ac707bd9p-4, 0x1.43cfe65451b47p-4, 0x1.3c4ce09dba664p-4, 0x1.34f08e41c4137p-4, 0x1.2dba54bdb15a9p-4, 0x1.26a99a79040a3p-4, 0x1.1fbdc6ced79a4p-4, 0x1.18f6421bf6b07p-4, 0x1.125275d194a52p-4, 0x1.0bd1cc867aae2p-4, 0x1.0573b201d25f2p-4, 0x1.fe6f26826a3b6p-5, 0x1.f239bcff90ca3p-5, 0x1.e646068386e99p-5, 0x1.da92e4c3e9db2p-5, 0x1.cf1f3c387491fp-5, 0x1.c3e9f42587e04p-5, 0x1.b8f1f6a1983fap-5, 0x1.ae36309e77edap-5, 0x1.a3b591f9cda87p-5, 0x1.996f0d8f6f8ep-5, 0x1.8f619945f133ep-5, 0x1.858c2e12c6b3dp-5, 0x1.7bedc7fa97b4ep-5, 0x1.7285661497748p-5, 0x1.69520a93beb3cp-5, 0x1.6052bad275d08p-5, 0x1.57867f5a71ab1p-5, 0x1.4eec63e5eee6dp-5, 0x1.4683775c9ed75p-5, 0x1.3e4acbd17162p-5, 0x1.364176849d5f4p-5, 0x1.2e668fe8e7545p-5, 0x1.26b933a827b88p-5, 0x1.1f3880a399113p-5, 0x1.17e398efd3274p-5, 0x1.10b9a1cf3e484p-5, 0x1.09b9c3ae45056p-5, 0x1.02e32a22681cep-5, 0x1.f86a07d55a9dap-6, 0x1.eb5d05dd7f2eap-6, 0x1.de9db87671p-6, 0x1.d22a8ff71506bp-6, 0x1.c60202e684668p-6, 0x1.ba228df0d6cfp-6, 0x1.ae8ab3df1bb71p-6, 0x1.a338fd907c8d4p-6, 0x1.982bf9f1d152cp-6, 0x1.8d623df22c575p-6, 0x1.82da6475140bep-6, 0x1.78930e43b65b5p-6, 0x1.6e8ae1feb6d2dp-6, 0x1.64c08c1112bf5p-6, 0x1.5b32bea38afep-6, 0x1.51e0318fb95c3p-6, 0x1.48c7a2529aa19p-6, 0x1.3fe7d3feaad53p-6, 0x1.373f8f2dd52c9p-6, 0x1.2ecda1f29951bp-6, 0x1.2690dfc802c72p-6, 0x1.1e88218017a3cp-6, 0x1.16b24531a3591p-6, 0x1.0f0e2e270252p-6, 0x1.079ac4cfa4cffp-6, 0x1.0056f6b4733eap-6, 0x1.f2836cdb05ca3p-7, 0x1.e4b3f72b91ca4p-7, 0x1.d73d8573cfed4p-7, 0x1.ca1e1a82b88f9p-7, 0x1.bd53c2a919cd7p-7, 0x1.b0dc9389a5cb9p-7, 0x1.a4b6abf6d5f44p-7, 0x1.98e033e2a7f39p-7, 0x1.8d575c5aeec69p-7, 0x1.821a5f84b8c21p-7, 0x1.77278087ac499p-7, 0x1.6c7d0b5fde156p-7, 0x1.62195498c058dp-7, 0x1.57fab90065363p-7, 0x1.4e1f9d68c769fp-7, 0x1.44866e88eb2d5p-7, 0x1.3b2da102a1b46p-7, 0x1.3213b17fb9ebp-7, 0x1.293724cc58e12p-7, 0x1.209687d29353cp-7, 0x1.18306f65b8787p-7, 0x1.100377e1371adp-7, 0x1.080e44b3fdd75p-7, 0x1.004f7ffda6729p-7, 0x1.f18bb4be47754p-8, 0x1.e2e01619e8b82p-8, 0x1.d499a029be4ep-8, 0x1.c6b5dd62c2327p-8, 0x1.b93266f5418c8p-8, 0x1.ac0ce49f2c459p-8, 0x1.9f430bda38787p-8, 0x1.92d29e95fc225p-8, 0x1.86b969e444badp-8, 0x1.7af5450cfea52p-8, 0x1.6f84115ec02a1p-8, 0x1.6463bac9bfb52p-8, 0x1.5992390150405p-8, 0x1.4f0d90a50909ap-8, 0x1.44d3d3e6c4f9fp-8, 0x1.3ae3224c9aacp-8, 0x1.3139a781cdc1dp-8, 0x1.27d59985d680cp-8, 0x1.1eb536ce8cbbfp-8, 0x1.15d6c50192b9ap-8, 0x1.0d3890b8f274p-8, 0x1.04d8ee67ff67p-8, 0x1.f96c781094c9fp-9, 0x1.e99dc5d1bf003p-9, 0x1.da42b1ccf528ap-9, 0x1.cb5841071561ep-9, 0x1.bcdb8f6fb7968p-9, 0x1.aec9cb897bc48p-9, 0x1.a120316f93d75p-9, 0x1.93dc06da5fc28p-9, 0x1.86fa997efe8cap-9, 0x1.7a79405686f34p-9, 0x1.6e555f52f785fp-9, 0x1.628c6c28c3aa5p-9, 0x1.571bf26f276p-9, 0x1.4c019596ecc0bp-9, 0x1.413b0fede9953p-9, 0x1.36c62ed84105fp-9, 0x1.2ca0cd510793ap-9, 0x1.22c8ce5eb06fbp-9, 0x1.193c193ee7feep-9, 0x1.0ff8988fc6e5cp-9, 0x1.06fc3cbb0a8c4p-9, 0x1.fc8a017ac237ap-10, 0x1.eba1df1cad775p-10, 0x1.db3c5088fada1p-10, 0x1.cb55bf2e0a62cp-10, 0x1.bbeabc9cf250dp-10, 0x1.acf7fa3e78b91p-10, 0x1.9e7a3e2be76f7p-10, 0x1.906e583cf46dap-10, 0x1.82d11a81f5466p-10, 0x1.759f57a5db6f5p-10, 0x1.68d5e7f86ec0ap-10, 0x1.5c71b3739dfc3p-10, 0x1.506fbcfc94b12p-10, 0x1.44cd2aa01b437p-10, 0x1.3987480785fc9p-10, 0x1.2e9b82ea2f1cfp-10, 0x1.2407634e1ba8ap-10, 0x1.19c88211ab836p-10, 0x1.0fdc7fd2713b8p-10, 0x1.0640fde283ef7p-10, 0x1.f9e736296e18fp-11, 0x1.e7e3ec211cba2p-11, 0x1.d6736aee3841bp-11, 0x1.c59126def1806p-11, 0x1.b538cfa941982p-11, 0x1.a56658b036774p-11, 0x1.9615f20d19dfap-11, 0x1.8743f76b07e4p-11, 0x1.78ecddd3d001p-11, 0x1.6b0d26cab1736p-11, 0x1.5da158f1dcf5p-11, 0x1.50a5fb148ed2bp-11, 0x1.441790c75f994p-11, 0x1.37f29ca82ea68p-11, 0x1.2c33ad3117d49p-11, 0x1.20d773002aeabp-11, 0x1.15dad68cdc135p-11, 0x1.0b3afff5bd264p-11, 0x1.00f54aaa60e96p-11, 0x1.ee0e57fcfc819p-12, 0x1.dadc38fff8d46p-12, 0x1.c84f20b144735p-12, 0x1.b661fbe25911p-12, 0x1.a50fce092f938p-12, 0x1.9453b2525c042p-12, 0x1.8428cccf0db37p-12, 0x1.748a42a59767p-12, 0x1.65734ea902579p-12, 0x1.56df6eb441d1fp-12, 0x1.48ca8b69199a5p-12, 0x1.3b30f815b1f79p-12, 0x1.2e0f4219b131cp-12, 0x1.2161ec9f98e07p-12, 0x1.152547fe806ccp-12, 0x1.095580c602d46p-12, 0x1.fbddad5e42e7p-13, 0x1.e5db99309507fp-13, 0x1.d09e57e2e8dc6p-13, 0x1.bc1fbeb445a4bp-13, 0x1.a8599877a1b4p-13, 0x1.9545a32c0ba12p-13, 0x1.82dddd499cb0ep-13, 0x1.711ce00df0515p-13, 0x1.5ffdf38f9eeap-13, 0x1.4f7cb74ce62e4p-13, 0x1.3f9489dd96a79p-13, 0x1.3040185d25cecp-13, 0x1.217971a1f1b3bp-13, 0x1.133a9bb243788p-13, 0x1.057e43c68d9ep-13, 0x1.f080190794394p-14, 0x1.d6f89cd2052e4p-14, 0x1.be5f1fa158b41p-14, 0x1.a6ac53adb3ed2p-14, 0x1.8fd8ad64f448ep-14, 0x1.79dd0bfb2829cp-14, 0x1.64b34a1d83864p-14, 0x1.50563580d9a5ep-14, 0x1.3cc0cacf1216bp-14, 0x1.29ed0efe525b2p-14, 0x1.17d346f44572cp-14, 0x1.066a390ceeacdp-14, 0x1.eb50e646fab9fp-15, 0x1.cb0b98cfcda9p-15, 0x1.abf861fe5dcc1p-15, 0x1.8e0ea20ab24f7p-15, 0x1.7147300d7f937p-15, 0x1.559a874b2aef4p-15, 0x1.3b005242a07e8p-15, 0x1.217020ea1a1d7p-15, 0x1.08e26920f113p-15, 0x1.e2a21458873fbp-16, 0x1.b56da521fe699p-16, 0x1.8a1c28bbecf1ap-16, 0x1.609e1ffed776bp-16, 0x1.38de73f744e2cp-16, 0x1.12c3d950a25a1p-16, 0x1.dc68e8eb20d32p-17, 0x1.963369d638406p-17, 0x1.52c51e78f00eap-17, 0x1.1206f8490abaep-17, 0x1.a7d25e301dd93p-18, 0x1.30bc2000579ccp-18, 0x1.7d58d57a962c9p-19, 0x1.45fe100f0af47p-20, -0x1.6eeefa0607d89p-22, -0x1.eafb65cf3bb9dp-20, -0x1.b4180474a8113p-19, -0x1.34f26a774092cp-18, -0x1.8b918a79fb509p-18, -0x1.de0e6807bdcf7p-18, -0x1.164ad40b39f67p-17, -0x1.3bada2e346ea3p-17, -0x1.5f4b9af28a925p-17, -0x1.8140707f92f6ap-17, -0x1.a1a4458fe020bp-17, -0x1.c087f07203e31p-17, -0x1.ddf4af9ef112ap-17, -0x1.f9f0819da87ccp-17, -0x1.0a416c1868e47p-16, -0x1.16da8e88f1428p-16, -0x1.22c83b70f1012p-16, -0x1.2e0f0167f30d2p-16, -0x1.38b47a63e5bb2p-16, -0x1.42bee4d654d47p-16, -0x1.4c338df44e764p-16, -0x1.551652297a1bfp-16, -0x1.5d6ac2819dbecp-16, -0x1.65357423356e6p-16, -0x1.6c7c6bf93dad4p-16, -0x1.734710adc8076p-16, -0x1.799d51878e732p-16, -0x1.7f8561d9d87fp-16, -0x1.85029561862aep-16, -0x1.8a17670880b31p-16, -0x1.8ec78bb6e8be8p-16, -0x1.9316d505150d3p-16, -0x1.97073f1313a5dp-16, -0x1.9a99fc41923eep-16, -0x1.9dd1c3576e09ap-16, -0x1.a0b2de95e4596p-16, -0x1.a34187e2408c8p-16, -0x1.a580b0ee69e33p-16, -0x1.a772052cd5502p-16, -0x1.a916dc4d72f34p-16, -0x1.aa712ffc13289p-16, -0x1.ab83debd1fe97p-16, -0x1.ac52ace9f01c5p-16, -0x1.ace1c8e931945p-16, -0x1.ad33efa1f730ap-16, -0x1.ad49d93eb2dbbp-16, -0x1.ad24b0db01bc2p-16, -0x1.acc773468d987p-16, -0x1.ac351440666d1p-16, -0x1.ab6f344493fa4p-16, -0x1.aa772ad21da5bp-16, -0x1.a94eb41ec97dcp-16, -0x1.a7f79c7315bd9p-16, -0x1.a6739551bf488p-16, -0x1.a4c43d12bff87p-16, -0x1.a2eb0874b8e01p-16, -0x1.a0e92d7e765d7p-16, -0x1.9ebfc4bfd8ee8p-16, -0x1.9c70024cf54c2p-16, -0x1.99fb51de37d52p-16, -0x1.97637fa23ff44p-16, -0x1.94aa78930202cp-16, -0x1.91d15a453cd69p-16, -0x1.8ed8b96f407p-16, -0x1.8bc1c48fc8bedp-16, -0x1.888ddb01d53d1p-16, -0x1.853dcf84a1508p-16, -0x1.81d27a5101b86p-16, -0x1.7e4d1b0ac8b4ap-16, -0x1.7aaeff105dfa4p-16, -0x1.76f94127117cp-16, -0x1.732cc5cc228cap-16, -0x1.6f4a50d966c59p-16, -0x1.6b52a46490324p-16, -0x1.674692eaefc63p-16, -0x1.6326f78412962p-16, -0x1.5ef4a2e540c09p-16, -0x1.5ab05abc85319p-16, -0x1.565ae704edd53p-16, -0x1.51f50cea627bep-16, -0x1.4d7f8715fb6b8p-16, -0x1.48fb0939d691fp-16, -0x1.4468395310967p-16, -0x1.3fc7b7a581599p-16, -0x1.3b1a2b9140f1fp-16, -0x1.36603a0778145p-16, -0x1.319a823e2221fp-16, -0x1.2cc9a345a9ad8p-16, -0x1.27ee3c7fe4aafp-16, -0x1.2308ea01b4cep-16, -0x1.1e1a3ef3a0231p-16, -0x1.1922bfae1ab7cp-16, -0x1.1422e2661d70ap-16, -0x1.0f1b1fb09e51cp-16, -0x1.0a0c03a79b47fp-16, -0x1.04f61d6eef927p-16, -0x1.ffb3d35c5e5e2p-17, -0x1.f56fdffc6218fp-17, -0x1.eb216c12efa9ap-17, -0x1.e0c92a7aa3897p-17, -0x1.d668282368b9ap-17, -0x1.cbff19a9b0622p-17, -0x1.c18e9787a1024p-17, -0x1.b717ce306ab14p-17, -0x1.ac9b843aa4e63p-17, -0x1.a21a57cdca383p-17, -0x1.979512f4ca1bdp-17, -0x1.8d0c8e8d49ea9p-17, -0x1.82819cac4167p-17, -0x1.77f5044fc4bap-17, -0x1.6d678389a14a9p-17, -0x1.62d9d5d3b029fp-17, -0x1.584cbbb8dde49p-17, -0x1.4dc0fb777024cp-17, -0x1.433747b7d3cfp-17, -0x1.38b00d7d2516cp-17, -0x1.2e2b9c8248d36p-17, -0x1.23aadd970907ap-17, -0x1.192f04786d9a8p-17, -0x1.0eb824006a234p-17, -0x1.0446831c827a7p-17, -0x1.f3b5ca9167016p-18, -0x1.deeca20154eccp-18, -0x1.ca32e85f2ed28p-18, -0x1.b588d796348fcp-18, -0x1.a0ef39e46b2fap-18, -0x1.8c673c41bc895p-18, -0x1.77f20d710f99fp-18, -0x1.6390cb11c33eep-18, -0x1.4f44836976f41p-18, -0x1.3b0e366a1341fp-18, -0x1.26eed599e1bf2p-18, -0x1.12e745e30077ep-18, -0x1.fdf0cc18b9b06p-19, -0x1.d646354ef792ep-19, -0x1.aed0a6f90eaffp-19, -0x1.8791e9b730727p-19, -0x1.608ba3f6063e9p-19, -0x1.39c01dea5a7e2p-19, -0x1.13320455a4f84p-19, -0x1.d9c229fad7775p-20, -0x1.8d9afc4801f1fp-20, -0x1.41f35e4174663p-20, -0x1.eda199a07628cp-21, -0x1.5868b1d17c28bp-21, -0x1.8884cf0fb87b3p-22, -0x1.89af05f1b03c3p-24, 0x1.82e44197a82dep-23, 0x1.e30cb2acdcd07p-22, 0x1.812cdccf60136p-21, 0x1.07d3a4cf7fdd5p-20, 0x1.4e7844cfc94d2p-20, 0x1.9481eb50fb40ap-20, 0x1.d9ee59cf97c8bp-20, 0x1.0f5db7051873bp-19, 0x1.31738b426c978p-19, 0x1.5337a188fbbdp-19, 0x1.74a8efda4c0f2p-19, 0x1.95c67d6449157p-19, 0x1.b68f727378125p-19, 0x1.d702dbf0555e9p-19, 0x1.f71f5d5f332c9p-19, 0x1.0b7253216dfc7p-18, 0x1.1b292fb810743p-18, 0x1.2ab379d81d4a4p-18, 0x1.3a10b7ccafe21p-18, 0x1.4940b9a7a8e04p-18, 0x1.584349a8bd585p-18, 0x1.6718132f760b6p-18, 0x1.75bec68e33127p-18, 0x1.843707d9f319bp-18, 0x1.92806144d813cp-18, 0x1.a09aa06c2ecc2p-18, 0x1.ae859a78bb84fp-18, 0x1.bc41101ab61c1p-18, 0x1.c9ccc02faa671p-18, 0x1.d7286fc4dfbebp-18, 0x1.e453e9c0e8aeep-18, 0x1.f14efd637cc76p-18, 0x1.fe197c6aba8a4p-18, 0x1.05599ccb96ff2p-17, 0x1.0b8e05b041566p-17, 0x1.11a9e8f44f1cdp-17, 0x1.17ad38e6fb14cp-17, 0x1.1d97d95dfc017p-17, 0x1.2369c98e533fp-17, 0x1.2923064d1193dp-17, 0x1.2ec36ea8202b4p-17, 0x1.344b07b79599ep-17, 0x1.39b9cc072d021p-17, 0x1.3f0fb3edc55a6p-17, 0x1.444cbb0c9b5a3p-17, 0x1.4970de3292fb3p-17, 0x1.4e7c170ab8d72p-17, 0x1.536e5f667f56ep-17, 0x1.5847c34621d2ep-17, 0x1.5d084fcc7ad0dp-17, 0x1.61b004c7c7f96p-17, 0x1.663ed91ec0884p-17, 0x1.6ab4d83aeac21p-17, 0x1.6f12116991a0fp-17, 0x1.73568dc932fa1p-17, 0x1.778256c6dbe8cp-17, 0x1.7b9577a43ffc3p-17, 0x1.7f8ffc99a3c6ap-17, 0x1.8371f316353acp-17, 0x1.873b6b9aa1194p-17, 0x1.8aec79d22e7ap-17, 0x1.8e852a5e61b5ep-17, 0x1.9205934497f85p-17, }}, 
      {{0x1.c8147f8457fb4p-2, 0x1.279f57efaf879p-1, 0x1.7de1c304b11d1p-1, 0x1.d96e2fcd4d8eep-1, 0x1.18e3304437649p+0, 0x1.40e9f4f7f86d6p+0, 0x1.636cb405ab909p+0, 0x1.7fd8f7aaf306bp+0, 0x1.96239d3e30784p+0, 0x1.a697bfc3b9323p+0, 0x1.b1b40ead48978p+0, 0x1.b8129ccc2f1a1p+0, 0x1.ba584935c65c2p+0, 0x1.b929a8efb72b5p+0, 0x1.b523e60db74e5p+0, 0x1.aed870f4ed105p+0, 0x1.a6caad453324ap+0, 0x1.9d6efd17e02e8p+0, 0x1.932ab81d37b01p+0, 0x1.8854bbaf6dbf4p+0, 0x1.7d3658b75e6c4p+0, 0x1.720c75b7cb319p+0, 0x1.6708c84b86696p+0, 0x1.5c5312c2874edp+0, 0x1.520a592f4e029p+0, 0x1.484605dc79abep+0, 0x1.3f16f869e1f4p+0, 0x1.36887d3010873p+0, 0x1.2ea12c43de01dp+0, 0x1.2763b09e4d10bp+0, 0x1.20cf78990ddaep+0, 0x1.1ae151434e20fp+0, 0x1.1593ee33c7011p+0, 0x1.10e05f85237b6p+0, 0x1.0cbe77a4a7506p+0, 0x1.0925228cdfb92p+0, 0x1.060aaff37668ep+0, 0x1.036511d89292bp+0, 0x1.012a10ce514dfp+0, 0x1.fe9eee5f83e5p-1, 0x1.fb9668d3a50a2p-1, 0x1.f926f2b7a35ep-1, 0x1.f73d9d766fddcp-1, 0x1.f5c84c7d3a914p-1, 0x1.f4b5cedae78ap-1, 0x1.f3f5f1482c85p-1, 0x1.f379899fc5f23p-1, 0x1.f3327d55fc16bp-1, 0x1.f313c3157d2a8p-1, 0x1.f31160f0812dp-1, 0x1.f32067b512bcdp-1, 0x1.f336eb559f898p-1, 0x1.f34bfa57ad8f9p-1, 0x1.f35792d5d2c64p-1, 0x1.f3529764e9cf8p-1, 0x1.f336c2a40842cp-1, 0x1.f2fe9ac94d435p-1, 0x1.f2a564daa1fdap-1, 0x1.f22717f305cffp-1, 0x1.f18050b3b406bp-1, 0x1.f0ae44f688469p-1, 0x1.efaeb7e505671p-1, 0x1.ee7fee7c5f71cp-1, 0x1.ed20a487b66e5p-1, 0x1.eb9002129777bp-1, 0x1.e9cd915821a4bp-1, 0x1.e7d93534435e4p-1, 0x1.e5b3201c5341cp-1, 0x1.e35bcb9dc187p-1, 0x1.e0d3f05f856e7p-1, 0x1.de1c7e9f1d2d3p-1, 0x1.db36972720d75p-1, 0x1.d82384bef709cp-1, 0x1.d4e4b61763b8bp-1, 0x1.d17bb833e81e7p-1, 0x1.cdea314e7338p-1, 0x1.ca31dc2bebebep-1, 0x1.c65483d854bcp-1, 0x1.c253ffbee4ab1p-1, 0x1.be323019aad1ep-1, 0x1.b9f0fab34e32cp-1, 0x1.b59247fcf7cd1p-1, 0x1.b1180074a667fp-1, 0x1.ac840a5b6d6aap-1, 0x1.a7d847b3b9327p-1, 0x1.a3169480ba573p-1, 0x1.9e40c53e3a5c8p-1, 0x1.9958a5886436ep-1, 0x1.945ff6efd84cep-1, 0x1.8f586ff52f86p-1, 0x1.8a43bb2c1ee2fp-1, 0x1.85237685167d2p-1, 0x1.7ff932bbaab83p-1, 0x1.7ac672e935a28p-1, 0x1.758cac36ba24p-1, 0x1.704d45aa863cep-1, 0x1.6b09980df09c1p-1, 0x1.65c2ede42934bp-1, 0x1.607a837284d6bp-1, 0x1.5b3186d3bc89p-1, 0x1.55e918177cf7fp-1, 0x1.50a2496c2da05p-1, 0x1.4b5e1f522ea56p-1, 0x1.461d90d920dd5p-1, 0x1.40e187e5bb384p-1, 0x1.3baae17f96a49p-1, 0x1.367a6e2631cabp-1, 0x1.3150f22ad4122p-1, 0x1.2c2f260ee3f6cp-1, 0x1.2715b6e53c62ep-1, 0x1.220546b36c0cp-1, 0x1.1cfe6cd5ec223p-1, 0x1.1801b6618709ap-1, 0x1.130fa6853562dp-1, 0x1.0e28b6eb9e0dfp-1, 0x1.094d58194014bp-1, 0x1.047df1cb48fb3p-1, 0x1.ff75c6a8a25e8p-2, 0x1.f60907ee8350dp-2, 0x1.ecb6468267408p-2, 0x1.e37e12c39af81p-2, 0x1.da60ef0298df9p-2, 0x1.d15f502939dc6p-2, 0x1.c8799e607d967p-2, 0x1.bfb035aefe177p-2, 0x1.b7036693f2ed5p-2, 0x1.ae73769e9e6dp-2, 0x1.a600a0fd27e4dp-2, 0x1.9dab1708b9a39p-2, 0x1.957300cd0614bp-2, 0x1.8d587d878f1e8p-2, 0x1.855ba423d8ee2p-2, 0x1.7d7c83b37b08dp-2, 0x1.75bb23df43a21p-2, 0x1.6e178553b7e8ap-2, 0x1.6691a22a67921p-2, 0x1.5f296e4ee8922p-2, 0x1.57ded7dd7406fp-2, 0x1.50b1c77d9c58dp-2, 0x1.49a220bbea51ap-2, 0x1.42afc25db00f8p-2, 0x1.3bda86ae49466p-2, 0x1.352243cc19f98p-2, 0x1.2e86cbf3622cbp-2, 0x1.2807edc1c70d4p-2, 0x1.21a574766cefep-2, 0x1.1b5f2832274bcp-2, 0x1.1534ce340dfffp-2, 0x1.0f262910c9c26p-2, 0x1.0932f8e71ce89p-2, 0x1.035afb937424bp-2, 0x1.fb3bd9c33423cp-3, 0x1.eff70d7484d97p-3, 0x1.e4e702991b07fp-3, 0x1.da0b266e621eep-3, 0x1.cf62e363661eap-3, 0x1.c4eda162e7f86p-3, 0x1.baaac6145a7c7p-3, 0x1.b099b51d7af97p-3, 0x1.a6b9d0658c8ccp-3, 0x1.9d0a785174053p-3, 0x1.938b0bf7db143p-3, 0x1.8a3ae954bdf5fp-3, 0x1.81196d7e0d4cbp-3, 0x1.7825f4d49bc36p-3, 0x1.6f5fdb2f8d32p-3, 0x1.66c67c04cea75p-3, 0x1.5e5932906ed0cp-3, 0x1.561759fb2f97fp-3, 0x1.4e004d7f5e2f5p-3, 0x1.46136889d114ap-3, 0x1.3e5006d6fb51cp-3, 0x1.36b5848f4d2e3p-3, 0x1.2f433e64db364p-3, 0x1.27f891af3f61ap-3, 0x1.20d4dc82a65fap-3, 0x1.19d77dc40b9c3p-3, 0x1.12ffd53e986b9p-3, 0x1.0c4d43b9c2159p-3, 0x1.05bf2b0cb7252p-3, 0x1.fea9dc5c802aep-4, 0x1.f21be28723e7fp-4, 0x1.e5d3335f5638ap-4, 0x1.d9ce9c4416ee8p-4, 0x1.ce0ced476652cp-4, 0x1.c28cf94578459p-4, 0x1.b74d95fa58058p-4, 0x1.ac4d9c1539597p-4, 0x1.a18be749a317ep-4, 0x1.970756605eebcp-4, 0x1.8cbecb489a5c1p-4, 0x1.82b12b26e839bp-4, 0x1.78dd5e5fbc7c9p-4, 0x1.6f42509f61ca9p-4, 0x1.65def0e380cccp-4, 0x1.5cb23186c7a4cp-4, 0x1.53bb084ac6674p-4, 0x1.4af86e5cc5c67p-4, 0x1.4269605767d49p-4, 0x1.3a0cde45b6298p-4, 0x1.31e1eba9288bdp-4, 0x1.29e78f7f50a59p-4, 0x1.221cd4437ba7fp-4, 0x1.1a80c7eca3683p-4, 0x1.13127beb75208p-4, 0x1.0bd1052ae7258p-4, 0x1.04bb7c11e5721p-4, 0x1.fba1f90570252p-5, 0x1.ee214bae42bap-5, 0x1.e0f335b683ecp-5, 0x1.d4160393c5ad4p-5, 0x1.c7880894a2405p-5, 0x1.bb479edb551efp-5, 0x1.af532753b4fb9p-5, 0x1.a3a909a5ab8p-5, 0x1.9847b427eed83p-5, 0x1.8d2d9bd5716dp-5, 0x1.82593c4411182p-5, 0x1.77c9179916359p-5, 0x1.6d7bb67a0fba7p-5, 0x1.636fa7fbec3bep-5, 0x1.59a3819351ba9p-5, 0x1.5015df07491acp-5, 0x1.46c5626466295p-5, 0x1.3db0b3ede57e3p-5, 0x1.34d6820bf9cb8p-5, 0x1.2c358138dfaep-5, 0x1.23cc6bef05b0bp-5, 0x1.1b9a02993006p-5, 0x1.139d0b837936p-5, 0x1.0bd452cb0b962p-5, 0x1.043eaa4bb964ep-5, 0x1.f9b5d31873417p-6, 0x1.eb4fdb5582cfap-6, 0x1.dd493296357b9p-6, 0x1.cf9fa90bba79bp-6, 0x1.c25119af2e97ap-6, 0x1.b55b6a1d7f306p-6, 0x1.a8bc8a70bc964p-6, 0x1.9c727518a8dd3p-6, 0x1.907b2eb478becp-6, 0x1.84d4c5eea5ab9p-6, 0x1.797d5359dd8e5p-6, 0x1.6e72f94d97147p-6, 0x1.63b3e3c15ebfep-6, 0x1.593e482711887p-6, 0x1.4f106544eb282p-6, 0x1.4528831051b2cp-6, 0x1.3b84f289ee04ap-6, 0x1.32240d9a487d5p-6, 0x1.290436ee769d4p-6, 0x1.2023d9d472c9fp-6, 0x1.17816a175abd2p-6, 0x1.0f1b63db9e78ap-6, 0x1.06f04b7b8c1d2p-6, 0x1.fdfd5ac87580fp-7, 0x1.ee8a3be5ca4e4p-7, 0x1.df8472a53fefap-7, 0x1.d0e946b54d0cdp-7, 0x1.c2b60eda6315fp-7, 0x1.b4e830ad88214p-7, 0x1.a77d205ab1752p-7, 0x1.9a72605e3741dp-7, 0x1.8dc581414b07cp-7, 0x1.81742156abeaap-7, 0x1.757bec798b26dp-7, 0x1.69da9bd049b0bp-7, 0x1.5e8df592cfa86p-7, 0x1.5393ccd2a1f08p-7, 0x1.48ea014173564p-7, 0x1.3e8e7ef38e4fp-7, 0x1.347f3e1dc954dp-7, 0x1.2aba42d1cbe6cp-7, 0x1.213d9cbd94b38p-7, 0x1.180766f28f2fdp-7, 0x1.0f15c7b597996p-7, 0x1.0666f054e04d2p-7, 0x1.fbf239faa28cbp-8, 0x1.eb95291129fcap-8, 0x1.dbb350803452ep-8, 0x1.cc49672e10241p-8, 0x1.bd5437c4e9e83p-8, 0x1.aed0a033962b1p-8, 0x1.a0bb914d88adcp-8, 0x1.93120e8c83cebp-8, 0x1.85d12de645286p-8, 0x1.78f6179dcd6a5p-8, 0x1.6c7e05f7fc73dp-8, 0x1.606644c5bf087p-8, 0x1.54ac30c9c6866p-8, 0x1.494d3711c42fp-8, 0x1.3e46d4649f421p-8, 0x1.339694e219a67p-8, 0x1.293a13dd85b12p-8, 0x1.1f2efbe4069c2p-8, 0x1.157306cb46f1bp-8, 0x1.0c03fd9e16b4ap-8, 0x1.02dfb8488d4f9p-8, 0x1.f40839fc897c1p-9, 0x1.e2de3ee675fccp-9, 0x1.d23d802c27d78p-9, 0x1.c22216fc6c089p-9, 0x1.b288345f700cbp-9, 0x1.a36c216e04401p-9, 0x1.94ca3ff43b245p-9, 0x1.869f0b0d9d66cp-9, 0x1.78e717450ee73p-9, 0x1.6b9f11eb2570dp-9, 0x1.5ec3bfa2a5b5bp-9, 0x1.5251fa7050775p-9, 0x1.4646afd316b72p-9, 0x1.3a9edf6fce553p-9, 0x1.2f579aab0c79ep-9, 0x1.246e0537f92f3p-9, 0x1.19df5645c11ebp-9, 0x1.0fa8d9b866539p-9, 0x1.05c7f0d0ac367p-9, 0x1.f87423ad98d33p-10, 0x1.e5f98d631b7fdp-10, 0x1.d41b556f17349p-10, 0x1.c2d4d0a3a6f17p-10, 0x1.b2216e413673ep-10, 0x1.a1fcb65b0b85fp-10, 0x1.92624ab31c198p-10, 0x1.834de98c57b2ap-10, 0x1.74bb713ef0443p-10, 0x1.66a6e31543c68p-10, 0x1.590c643b3cb2bp-10, 0x1.4be83c2f26351p-10, 0x1.3f36d0ef41ba9p-10, 0x1.32f4a1de23009p-10, 0x1.271e42cc5d677p-10, 0x1.1bb05899312c8p-10, 0x1.10a79865cc44ep-10, 0x1.0600c97939bfdp-10, 0x1.f77191fa8d43fp-11, 0x1.e3991c30d45f4p-11, 0x1.d07259b041e14p-11, 0x1.bdf7adb1f0d92p-11, 0x1.ac23b2cef433ep-11, 0x1.9af13324c0d65p-11, 0x1.8a5b1e5ed7e63p-11, 0x1.7a5c80347c2c5p-11, 0x1.6af079f58125ap-11, 0x1.5c1241101dce3p-11, 0x1.4dbd2300903cp-11, 0x1.3fec8d2370d37p-11, 0x1.329c154a0a1bep-11, 0x1.25c77fa846772p-11, 0x1.196ac002599aap-11, 0x1.0d81f60a29d2fp-11, 0x1.0209667622c9ep-11, 0x1.edfae5a2b6c4p-12, 0x1.d8b5235f19fd1p-12, 0x1.c43a91458f7c5p-12, 0x1.b08452c15f5c8p-12, 0x1.9d8ba6c31e585p-12, 0x1.8b49f422e082fp-12, 0x1.79b8db14f1f2dp-12, 0x1.68d2441f613d5p-12, 0x1.58906575954f5p-12, 0x1.48edbc9bf10a5p-12, 0x1.39e50075e8752p-12, 0x1.2b7112b80c593p-12, 0x1.1d8cf55d06994p-12, 0x1.1033c41e6e4c5p-12, 0x1.0360af9e966ffp-12, 0x1.ee1df3d852514p-13, 0x1.d673ef3c22341p-13, 0x1.bfba324919f26p-13, 0x1.a9e7f6376191ep-13, 0x1.94f4eba328f51p-13, 0x1.80d94443c9432p-13, 0x1.6d8d9eeb3f2bp-13, 0x1.5b0ae1271b249p-13, 0x1.494a1608aea0cp-13, 0x1.38446347ec472p-13, 0x1.27f3126dcd78p-13, 0x1.184f9c49648c8p-13, 0x1.0953a74a58ca3p-13, 0x1.f5f1f59b8282p-14, 0x1.da72f12900483p-14, 0x1.c01e56c92244fp-14, 0x1.a6e8ce60e057cp-14, 0x1.8ec7c86142357p-14, 0x1.77b179868a4bap-14, 0x1.619c92408dea5p-14, 0x1.4c7fdd2dffcf2p-14, 0x1.385207f89c8d7p-14, 0x1.2509bb9f3cab5p-14, 0x1.129dea80113d5p-14, 0x1.010610bec44f9p-14, 0x1.e07467d05b81fp-15, 0x1.c06554a4f7966p-15, 0x1.a1cfc7a2e1935p-15, 0x1.84a4d09221263p-15, 0x1.68d61ae0b7ea5p-15, 0x1.4e5667577b92dp-15, 0x1.3519a110cc1b4p-15, 0x1.1d145e1212b82p-15, 0x1.063b0b32dde9fp-15, 0x1.e102aa703c47fp-16, 0x1.b7b494a4fd46bp-16, 0x1.90725645b544ep-16, 0x1.6b24b1744077ap-16, 0x1.47b76e207457ap-16, 0x1.26189bc79f26bp-16, 0x1.063717383e71bp-16, 0x1.d0032728c74d5p-17, 0x1.96cd85f72e9a6p-17, 0x1.60ac6fbb527bap-17, 0x1.2d82423db274ap-17, 0x1.fa68daacb308dp-18, 0x1.9f52b4577dbb1p-18, 0x1.498aaef3919bbp-18, 0x1.f1a23cbe2e7e5p-19, 0x1.59bf135f11ab6p-19, 0x1.95bdefa5da3e5p-20, 0x1.1213618942209p-21, -0x1.cda393ddd5867p-22, -0x1.603b9e84418f8p-20, -0x1.1efeecc8b92d4p-19, -0x1.869fd76355f9dp-19, -0x1.e74b5af5ddb36p-19, -0x1.20a5adb29934fp-18, -0x1.4a71dd97c486bp-18, -0x1.7127e6a959603p-18, -0x1.94e26dbfa7ddbp-18, -0x1.b5bcbb96f2e99p-18, -0x1.d3d6c959a16a2p-18, -0x1.ef5719dba852p-18, -0x1.043477cc146aap-17, -0x1.0f9bd38b3670dp-17, -0x1.19f4ea4a83563p-17, -0x1.234f3da4115a6p-17, -0x1.2bb68e3a41956p-17, -0x1.33341445989a8p-17, -0x1.39d02a40b84bp-17, -0x1.3f9380f9c4fc9p-17, -0x1.44875df94dc3ap-17, -0x1.48b4f0b8bc63dp-17, -0x1.4c248c0a73ae3p-17, -0x1.4eddb404be7p-17, -0x1.50e7c6906adc4p-17, -0x1.524a7a1ae5639p-17, -0x1.530e353ebba3p-17, -0x1.533c6790b9c92p-17, -0x1.52df803b2eecfp-17, -0x1.520266c2078ap-17, -0x1.50afc4c1adf31p-17, -0x1.4ef0fff45a9dp-17, -0x1.4ccd1a8bc8987p-17, -0x1.4a48a7ad73f75p-17, -0x1.476726cfda3a5p-17, -0x1.442c701db2f22p-17, -0x1.409cd8d0d760cp-17, -0x1.3cbc8919c13bbp-17, -0x1.388f92941c5b8p-17, -0x1.341a92c08a94dp-17, -0x1.2f626fff7109p-17, -0x1.2a6b6595bf57bp-17, -0x1.2538bd0f739f7p-17, -0x1.1fcd842a0be82p-17, -0x1.1a2d573cbfedcp-17, -0x1.145c9f77f5ae9p-17, -0x1.0e6087159ca7dp-17, -0x1.083e73ee09c8ap-17, -0x1.01faad6f72c0cp-17, -0x1.f72f6bf10d618p-18, -0x1.ea2f0a0cac059p-18, -0x1.dcf9814fb86b8p-18, -0x1.cf94240548f6p-18, -0x1.c2020237cac9ep-18, -0x1.b4452bc58f051p-18, -0x1.a6616755244d3p-18, -0x1.985c415db0dd3p-18, -0x1.8a3b1e3c86a66p-18, -0x1.7c01cd6ff12a1p-18, -0x1.6db28e8cb554ap-18, -0x1.5f4f3098dddedp-18, -0x1.50da33e887d13p-18, -0x1.42571878aae8ep-18, -0x1.33ca5e57c8198p-18, -0x1.2538f301c9cf9p-18, -0x1.16a60450ad26dp-18, -0x1.081256ef150ddp-18, -0x1.f2fe5732110d6p-19, -0x1.d5dfb53678ba2p-19, -0x1.b8cf5350291aap-19, -0x1.9bd0918707f38p-19, -0x1.7ee611610c31dp-19, -0x1.6213503df60cap-19, -0x1.455be5ae937a3p-19, -0x1.28c31fcd7dcc9p-19, -0x1.0c4c1369a5af8p-19, -0x1.dff2cca897a6fp-20, -0x1.a79a3cc21c6d7p-20, -0x1.6f91e3f1ef45p-20, -0x1.37dda22a47a68p-20, -0x1.00824f946c574p-20, -0x1.930cf27f09158p-21, -0x1.25e26f521d657p-21, -0x1.73170e0d8abc3p-22, -0x1.3825df60c7647p-23, 0x1.c9ce3694e009ap-25, 0x1.0cbdb1f5aa25bp-22, 0x1.de7202366472cp-22, 0x1.5727e105a3032p-21, 0x1.be2427a747eb8p-21, 0x1.1212fe8fd151dp-20, 0x1.4493bcf49f43ep-20, 0x1.76926851a92a8p-20, 0x1.a80dbd72fc68cp-20, 0x1.d9048564410fep-20, 0x1.04ba9df09a71fp-19, 0x1.1caf1a246b0e4p-19, 0x1.345efad928c74p-19, 0x1.4bc99ed2455b7p-19, 0x1.62ee5ee8efb43p-19, 0x1.79cc9a62a2711p-19, 0x1.9063c9ad44463p-19, 0x1.a6b375012e483p-19, 0x1.bcbb45c74adb5p-19, 0x1.d27af41d86c45p-19, 0x1.e7f224fc45222p-19, 0x1.fd2082179fcb9p-19, 0x1.0902e14f09a5fp-18, 0x1.1350ce01d6ep-18, 0x1.1d79dfded5c48p-18, 0x1.277df261eb7b8p-18, 0x1.315cebdc479bfp-18, 0x1.3b16c60e8a8a3p-18, 0x1.44ab8d7701a3ap-18, 0x1.4e1b4a4179878p-18, 0x1.5765e82088366p-18, 0x1.608b4ccaabdd9p-18, 0x1.698b78a8cd381p-18, 0x1.72665c81339a9p-18, 0x1.7b1be4289ecbfp-18, 0x1.83ac36aea1ca4p-18, 0x1.8c173ef4554a1p-18, 0x1.945d2672f4032p-18, 0x1.9c7e2b94143d3p-18, 0x1.a47a18153a1a4p-18, 0x1.ac5100763232ap-18, 0x1.b4031c95d883ap-18, 0x1.bb9081938db0ep-18, 0x1.c2f9352dd1559p-18, 0x1.ca3d3ef91b4f3p-18, 0x1.d15cac7c5d87fp-18, 0x1.d8579053748cap-18, 0x1.df2dfd64e8eep-18, 0x1.e5e001632fd39p-18, 0x1.ec6da489de9p-18, 0x1.f2d6fee2adf27p-18, 0x1.f91c640499142p-18, 0x1.ff3e42f4e8eb3p-18, 0x1.029e410d85cfep-17, 0x1.058b5a7675019p-17, 0x1.0866b6e308f7cp-17, 0x1.0b308ff52d8c7p-17, 0x1.0de8e7a81a638p-17, 0x1.108f9a41f4e88p-17, 0x1.1324a4ff03f5dp-17, 0x1.15a8526aa74ccp-17, 0x1.181acb6bdfde6p-17, 0x1.1a7c1d9bd4b2fp-17, 0x1.1ccc54403a028p-17, 0x1.1f0b7d8e3979cp-17, 0x1.2139aa3a60ed8p-17, 0x1.2356ed799204ep-17, 0x1.25635daab87bdp-17, 0x1.275f147e1b6e8p-17, 0x1.294a2d5716b16p-17, 0x1.2b24c116aae2dp-17, 0x1.2ceee2b22d822p-17, 0x1.2ea8a591f3e88p-17, 0x1.305221e2be077p-17, 0x1.31eb553e9d52dp-17, 0x1.337426bda187ap-17, 0x1.34ecfdfdc0eadp-17, 0x1.365639dd8482ap-17, 0x1.37afccc014066p-17, 0x1.38f98b3a65448p-17, 0x1.3a33b9ea895a9p-17, 0x1.3b5e6e282337dp-17, 0x1.3c79ae718242p-17, 0x1.3d85a7906ae1p-17, 0x1.3e82820018779p-17, 0x1.3f705816621efp-17, 0x1.404f400eca025p-17, 0x1.411f515c8a7bap-17, 0x1.41e0a61a00ba3p-17, 0x1.42935b3b52f2ap-17, 0x1.43378fee76dedp-17, 0x1.43cd64287b4b8p-17, 0x1.4454f62de5fdap-17, 0x1.44ce60d618fa7p-17, 0x1.4539c07fbf8edp-17, 0x1.4597395737365p-17, 0x1.45e6e7c6c70a5p-17, 0x1.4628c464931cap-17, 0x1.465d14404113fp-17, 0x1.468422ba2daa7p-17, 0x1.469dc95c0e938p-17, 0x1.46aa0fd5b9fa4p-17, 0x1.46a938075e2b4p-17, 0x1.469b7dbfa3e0fp-17, 0x1.4681011ceb877p-17, 0x1.4659e351a42c3p-17, 0x1.462639c5a1c8ep-17, 0x1.45e603796cbfcp-17, 0x1.45997057d754bp-17, 0x1.4540b3607cf3fp-17, 0x1.44dbed5abb1c7p-17, 0x1.446b3b522f741p-17, 0x1.43eebccbdd63cp-17, 0x1.43669374414c3p-17, 0x1.42d2e1da67b8bp-17, 0x1.4233c9c194f2dp-17, 0x1.41896a799c87ap-17, 0x1.40d3e365f1ba6p-17, 0x1.40135a72148a6p-17, 0x1.3f47f7fc0ef8ep-17, 0x1.3e71c4561cad4p-17, 0x1.3d90f9fbb740ap-17, 0x1.3ca5cda880d53p-17, 0x1.3bb03272f8eaep-17, 0x1.3ab067ba87fd6p-17, 0x1.39a693e29267p-17, 0x1.3892d56b4414dp-17, 0x1.37754ec18a761p-17, 0x1.364e21d9049a5p-17, 0x1.351d6713cffe6p-17, 0x1.33e33435c25dp-17, 0x1.329fc24bc99afp-17, 0x1.315349ee705fcp-17, 0x1.2ffde4eb4151dp-17, 0x1.2e9f97919f383p-17, 0x1.2d388e820bfd1p-17, 0x1.2bc8fbca2fed5p-17, 0x1.2a5101bdd5decp-17, 0x1.28d0c0aeb566cp-17, 0x1.27485a24bc58cp-17, 0x1.25b7ef3770e87p-17, 0x1.241fa1414eec9p-17, 0x1.227f95631ca3dp-17, 0x1.20d7f44636624p-17, 0x1.1f28d64e9f998p-17, 0x1.1d726448a6224p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.6df42884319a7p-1, -0x1.6e09192ad2b36p-1, -0x1.6e299794d494bp-1, -0x1.6e5236f03f71ep-1, -0x1.6e7e7b842e264p-1, -0x1.6ea9152ff65a7p-1, -0x1.6ecc1a03ad7f1p-1, -0x1.6ee13d9704985p-1, -0x1.6ee2032d15822p-1, -0x1.6ec7e9abbc8e1p-1, -0x1.6e8c911247b1ep-1, -0x1.6e29d985f6c7dp-1, -0x1.6d99fc4cc3f5fp-1, -0x1.6cd79f35426e7p-1, -0x1.6bdde2fde695ap-1, -0x1.6aa86d550978dp-1, -0x1.69336f09b7cd4p-1, -0x1.677ba6fec2479p-1, -0x1.657e62679469bp-1, -0x1.63397aca90759p-1, -0x1.60ab5237f6059p-1, -0x1.5dd2ce17783a5p-1, -0x1.5aaf50e20f904p-1, -0x1.5740b311a0d1cp-1, -0x1.53873b84fc176p-1, -0x1.4f83978c9afd1p-1, -0x1.4b36d2cb756dfp-1, -0x1.46a24f0f49503p-1, -0x1.41c7bc3cb4377p-1, -0x1.3ca910658744cp-1, -0x1.3748801a993dcp-1, -0x1.31a87706224aap-1, -0x1.2bcb90d80d3eap-1, -0x1.25b4928acee91p-1, -0x1.1f666404e5d34p-1, -0x1.18e40a1947d68p-1, -0x1.1230a0e77aa89p-1, -0x1.0b4f569ae53d8p-1, -0x1.04436688039aap-1, -0x1.fa20294ad4179p-2, -0x1.eb7152bc1a80fp-2, -0x1.dc80db73b313ep-2, -0x1.cd554fb2c9189p-2, -0x1.bdf52f82aadd1p-2, -0x1.ae66e8e4074ffp-2, -0x1.9eb0d28f717c8p-2, -0x1.8ed927400d8eap-2, -0x1.7ee601812bca6p-2, -0x1.6edd57f7d1433p-2, -0x1.5ec4fa211c86dp-2, -0x1.4ea28d7eb90c6p-2, -0x1.3e7b8b2a9ec57p-2, -0x1.2e553dcb94cd9p-2, -0x1.1e34bfe40e4e5p-2, -0x1.0e1efa753804p-2, -0x1.fc3147e0556dp-3, -0x1.dc4c7edef72d2p-3, -0x1.bc9838671c3p-3, -0x1.9d1caab8881e9p-3, -0x1.7de1a3b5c327cp-3, -0x1.5eee892e66ac7p-3, -0x1.404a598667aa8p-3, -0x1.21fbacb17612dp-3, -0x1.0408b579cdb48p-3, -0x1.ccee8614b7f63p-4, -0x1.929985694004dp-4, -0x1.591c83d5dd8c7p-4, -0x1.2080e0d0dd0acp-4, -0x1.d19e8a01561bdp-5, -0x1.641f4e3a1c187p-5, -0x1.f12544200c29cp-6, -0x1.1e0b944fefda5p-6, -0x1.3c2636e025251p-8, 0x1.ef2d05d04f83ap-8, 0x1.425fa71fd2f8p-6, 0x1.02515b6277628p-5, 0x1.6142d9632a9f6p-5, 0x1.bdfdfae767d51p-5, 0x1.0c3eb71250763p-4, 0x1.385e6b817f85cp-4, 0x1.635c6207a9ba9p-4, 0x1.8d3751ca023a3p-4, 0x1.b5ee5c6fd8d41p-4, 0x1.dd8108dfbdb75p-4, 0x1.01f79f0c827c3p-3, 0x1.149c9f15e2d0bp-3, 0x1.26afd0a896dabp-3, 0x1.3831a892d3ebdp-3, 0x1.4922c202fbedap-3, 0x1.5983dc4825c64p-3, 0x1.6955d8a4ef06p-3, 0x1.7899b834cba2bp-3, 0x1.875099e407a7dp-3, 0x1.957bb87a63fcp-3, 0x1.a31c68b85fd3fp-3, 0x1.b0341786fd901p-3, 0x1.bcc44839d6299p-3, 0x1.c8ce92e343c3cp-3, 0x1.d454a2ba56db9p-3, 0x1.df58349237f67p-3, 0x1.e9db1562a94a7p-3, 0x1.f3df20e132818p-3, 0x1.fd66402a9331bp-3, 0x1.0339343e070c1p-2, 0x1.0782ccfe0502cp-2, 0x1.0b90ef48cfe8cp-2, 0x1.0f64a4654b546p-2, 0x1.12fef967a4f2cp-2, 0x1.1660feb208537p-2, 0x1.198bc77bc93f3p-2, 0x1.1c80695ed2e8p-2, 0x1.1f3ffbeb16e51p-2, 0x1.21cb983fc17cep-2, 0x1.242458a9fe057p-2, 0x1.264b584906befp-2, 0x1.2841b2b751fabp-2, 0x1.2a0883b89daa6p-2, 0x1.2ba0e6eca7a47p-2, 0x1.2d0bf7865e479p-2, 0x1.2e4ad00753651p-2, 0x1.2f5e89ff44957p-2, 0x1.30483dcf87b53p-2, 0x1.310902722eadep-2, 0x1.31a1ed44b4ce5p-2, 0x1.321411d60cc9ep-2, 0x1.326081b7e98ddp-2, 0x1.32884c53150f4p-2, 0x1.328c7ebeb6b93p-2, 0x1.326e239a5bbdfp-2, 0x1.322e42eaaf42ep-2, 0x1.31cde1f8af631p-2, 0x1.314e03334c8e8p-2, 0x1.30afa61352bc5p-2, 0x1.2ff3c7017c52dp-2, 0x1.2f1b5f3e98c97p-2, 0x1.2e2764cda91bbp-2, 0x1.2d18ca5fdc803p-2, 0x1.2bf07f425615p-2, 0x1.2aaf6f4d9fcb9p-2, 0x1.295682d6c006ap-2, 0x1.27e69ea1d2af6p-2, 0x1.2660a3d619727p-2, 0x1.24c56ff36e781p-2, 0x1.2315dcc908e1ap-2, 0x1.2152c06d8336ap-2, 0x1.1f7ced38122a9p-2, 0x1.1d9531badc55dp-2, 0x1.1b9c58be6c49cp-2, 0x1.1993293e214a3p-2, 0x1.177a66659ffe4p-2, 0x1.1552cf8f2e6d2p-2, 0x1.131d2042f1288p-2, 0x1.10da1036fff87p-2, 0x1.0e8a53504779ep-2, 0x1.0c2e99a42a0e1p-2, 0x1.09c78f7adbb4ap-2, 0x1.0755dd526a4cdp-2, 0x1.04da27e26dd84p-2, 0x1.0255102052ac4p-2, 0x1.ff8e66887dc6p-3, 0x1.fa62559cfbe2cp-3, 0x1.f527191af02f3p-3, 0x1.efddd5484d744p-3, 0x1.ea87a721fa8ccp-3, 0x1.e525a46a95331p-3, 0x1.dfb8dbb9fb989p-3, 0x1.da42548dac9dap-3, 0x1.d4c30f59da991p-3, 0x1.cf3c059b3a5bbp-3, 0x1.c9ae29e9724b2p-3, 0x1.c41a680a2eda3p-3, 0x1.be81a504c49f5p-3, 0x1.b8e4bf365c843p-3, 0x1.b3448e66a2241p-3, 0x1.ada1e3dce727p-3, 0x1.a7fd8a75b8f6ap-3, 0x1.a25846b8d7345p-3, 0x1.9cb2d6ef8cb42p-3, 0x1.970df33b5c073p-3, 0x1.916a4dacf88d4p-3, 0x1.8bc8925b8f916p-3, 0x1.8629677c4389dp-3, 0x1.808d6d79edb6ap-3, 0x1.7af53f0d09175p-3, 0x1.75617153d308cp-3, 0x1.6fd293ea85654p-3, 0x1.6a493103bd80ap-3, 0x1.64c5cd80f76p-3, 0x1.5f48e90b1c4a7p-3, 0x1.59d2fe2b25961p-3, 0x1.54648262c83ffp-3, 0x1.4efde64524ea7p-3, 0x1.499f958f78bc7p-3, 0x1.4449f741cc7e7p-3, 0x1.3efd6db79a0a7p-3, 0x1.39ba56c0664cap-3, 0x1.34810bb84546cp-3, 0x1.2f51e1a055473p-3, 0x1.2a2d293716103p-3, 0x1.25132f10a91fep-3, 0x1.20043baef32f9p-3, 0x1.1b0093999a839p-3, 0x1.16087775dbe33p-3, 0x1.111c241e40c83p-3, 0x1.0c3bd2ba19bd5p-3, 0x1.0767b8d4d912ep-3, 0x1.02a0087535475p-3, 0x1.fbc9e0683299cp-4, 0x1.f26d36a6bac9cp-4, 0x1.e92a63a892e36p-4, 0x1.e001b11bb52edp-4, 0x1.d6f36285a2e43p-4, 0x1.cdffb56ef922bp-4, 0x1.c526e18e83b87p-4, 0x1.bc6918f3df543p-4, 0x1.b3c688317b9f6p-4, 0x1.ab3f568625b83p-4, 0x1.a2d3a606026a2p-4, 0x1.9a8393c2ef591p-4, 0x1.924f37f467ccp-4, 0x1.8a36a61ebfb4p-4, 0x1.8239ed39d7c46p-4, 0x1.7a5917d736e8bp-4, 0x1.72942c4789cbap-4, 0x1.6aeb2cbf89ab5p-4, 0x1.635e177c477c3p-4, 0x1.5bece6e6dcc39p-4, 0x1.549791b77a6c1p-4, 0x1.4d5e0b17df40dp-4, 0x1.464042c52dcaep-4, 0x1.3f3e25311f471p-4, 0x1.38579ba29e15fp-4, 0x1.318c8c55bb27cp-4, 0x1.2adcda9b05c85p-4, 0x1.244866f643ae1p-4, 0x1.1dcf0f3c883e3p-4, 0x1.1770aeb1ae5dcp-4, 0x1.112d1e253285ep-4, 0x1.0b04340e6da2ap-4, 0x1.04f5c4a83413ap-4, 0x1.fe034417a81e6p-5, 0x1.f24f3896f91a9p-5, 0x1.e6cf031809f9cp-5, 0x1.db823c3c35bbap-5, 0x1.d068792daeb74p-5, 0x1.c5814bcf786a1p-5, 0x1.bacc42ec2f2c2p-5, 0x1.b048ea63a9c0ap-5, 0x1.a5f6cb576e6c7p-5, 0x1.9bd56c5600807p-5, 0x1.91e451850f234p-5, 0x1.8822fcca7d421p-5, 0x1.7e90edf453339p-5, 0x1.752da2df913efp-5, 0x1.6bf8979ded975p-5, 0x1.62f1469a7ed82p-5, 0x1.5a1728bd5579dp-5, 0x1.5169b58e0a3a3p-5, 0x1.48e863554772fp-5, 0x1.4092a73d43defp-5, 0x1.3867f5714931cp-5, 0x1.3067c13c31be9p-5, 0x1.28917d25f4683p-5, 0x1.20e49b1037757p-5, 0x1.19608c51f58dap-5, 0x1.1204c1d22f945p-5, 0x1.0ad0ac21bb95bp-5, 0x1.03c3bb9429043p-5, 0x1.f9bac0af8de5ep-6, 0x1.ec3a151998998p-6, 0x1.df0454b749b0cp-6, 0x1.d2186014db2fbp-6, 0x1.c57518233b656p-6, 0x1.b9195e5fc2641p-6, 0x1.ad0414fa5cp-6, 0x1.a1341efa25a1bp-6, 0x1.95a860608f65ep-6, 0x1.8a5fbe4afc53p-6, 0x1.7f591f12fdc97p-6, 0x1.74936a6d1ab3fp-6, 0x1.6a0d898640057p-6, 0x1.5fc6671fd42ffp-6, 0x1.55bcefaa7e771p-6, 0x1.4bf0115fa16abp-6, 0x1.425ebc5997509p-6, 0x1.3907e2aab83a3p-6, 0x1.2fea78732b2fcp-6, 0x1.270573f596d7cp-6, 0x1.1e57cdaaa43d1p-6, 0x1.15e08053735dep-6, 0x1.0d9e890af4d81p-6, 0x1.0590e756458e9p-6, 0x1.fb6d3a67e5e13p-7, 0x1.ec1d5e54b3b59p-7, 0x1.dd3048a9ea47fp-7, 0x1.cea40ce1bd60ap-7, 0x1.c076c3d0a227fp-7, 0x1.b2a68bba99e95p-7, 0x1.a5318866d3dp-7, 0x1.9815e331a86cep-7, 0x1.8b51cb1cf4a7p-7, 0x1.7ee374def30dap-7, 0x1.72c91aef86e06p-7, 0x1.6700fd94246f2p-7, 0x1.5b8962ea431cfp-7, 0x1.506096f0806eep-7, 0x1.4584eb8e7cdfdp-7, 0x1.3af4b89b5c3cdp-7, 0x1.30ae5be31ce93p-7, 0x1.26b0392ac5c13p-7, 0x1.1cf8ba336957dp-7, 0x1.13864ebc24477p-7, 0x1.0a576c82f4197p-7, 0x1.016a8f44a3268p-7, 0x1.f17c71775df13p-8, 0x1.e0a1e13c8c14p-8, 0x1.d0428936b9c0fp-8, 0x1.c05b90adfad79p-8, 0x1.b0ea2acb473ddp-8, 0x1.a1eb968dc507p-8, 0x1.935d1ebe94148p-8, 0x1.853c19e32089p-8, 0x1.7785ea2e3b1c4p-8, 0x1.6a37fd6fa5f4fp-8, 0x1.5d4fcd029d263p-8, 0x1.50caddbb0a065p-8, 0x1.44a6bfd1a656cp-8, 0x1.38e10ecf1ddefp-8, 0x1.2d777176225fcp-8, 0x1.226799ac8a5d2p-8, 0x1.17af44638497ap-8, 0x1.0d4c397ef7022p-8, 0x1.033c4bbc2511ep-8, 0x1.f2fab12eda8e8p-9, 0x1.e01a90631408fp-9, 0x1.cdd41a681637cp-9, 0x1.bc23496a31f1ap-9, 0x1.ab042c35c2bdbp-9, 0x1.9a72e5fca7e98p-9, 0x1.8a6bae1ae4e37p-9, 0x1.7aeacfda56d42p-9, 0x1.6becaa35c546dp-9, 0x1.5d6daf9add48cp-9, 0x1.4f6a65abb6502p-9, 0x1.41df64ffd098p-9, 0x1.34c958e460771p-9, 0x1.2824ff1c43052p-9, 0x1.1bef279facf1cp-9, 0x1.1024b45ae86a5p-9, 0x1.04c298ed97dabp-9, 0x1.f38bb4d23ec31p-10, 0x1.de571e1e5ef79p-10, 0x1.c9e1bc2013c27p-10, 0x1.b625fe91bc0dp-10, 0x1.a31e7603f12b3p-10, 0x1.90c5d359cbe72p-10, 0x1.7f16e74597e3fp-10, 0x1.6e0ca1c58dc1p-10, 0x1.5da211a0f9541p-10, 0x1.4dd263e578a83p-10, 0x1.3e98e3650b471p-10, 0x1.2ff0f8344d6bep-10, 0x1.21d6272915296p-10, 0x1.1444115a5df57p-10, 0x1.073673a0222fep-10, 0x1.f5524c2911d28p-11, 0x1.dd30372b3ec57p-11, 0x1.c5fec28f9cb55p-11, 0x1.afb63c32bd9bcp-11, 0x1.9a4f248e255bdp-11, 0x1.85c22dc2b42ecp-11, 0x1.72083aa592d41p-11, 0x1.5f1a5dcf41f17p-11, 0x1.4cf1d8ad4ba33p-11, 0x1.3b881a954a328p-11, 0x1.2ad6bfdaf4f69p-11, 0x1.1ad790e844ea2p-11, 0x1.0b848157f689bp-11, 0x1.f9af5e2749ce3p-12, 0x1.dd96c2e4be7b9p-12, 0x1.c2b410b77e705p-12, 0x1.a8fc76d9dd361p-12, 0x1.90657240874a6p-12, 0x1.78e4cbef0bdacp-12, 0x1.627097520c9c2p-12, 0x1.4cff309f349d3p-12, 0x1.38873b3ab1a04p-12, 0x1.24ffa0225d04fp-12, 0x1.125f8c5db6aecp-12, 0x1.009e6f74fe135p-12, 0x1.df67f3d9d20eep-13, 0x1.bf3037907bce1p-13, 0x1.a086061e9be12p-13, 0x1.835a34baad2cp-13, 0x1.679e0ee7388c7p-13, 0x1.4d4353a3e6f28p-13, 0x1.343c32ab604aep-13, 0x1.1c7b49bb1af22p-13, 0x1.05f3a1e7b6385p-13, 0x1.e13159f80e2bp-14, 0x1.b8bc85ca4a0dbp-14, 0x1.92713e4d8122cp-14, 0x1.6e38bcbcd04ep-14, 0x1.4bfcf7a0552a4p-14, 0x1.2ba89dfde1df7p-14, 0x1.0d27129e42391p-14, 0x1.e0c8ced481e8fp-15, 0x1.aa9ab1b92144p-15, 0x1.779e931c669d5p-15, 0x1.47b07ba1663f4p-15, 0x1.1aadaec723a3ap-15, 0x1.e0e944f4f944ap-16, 0x1.91c9edacabb4p-16, 0x1.47bedc0a5f397p-16, 0x1.028bc8b3febd7p-16, 0x1.83ed21f7fffaap-17, 0x1.0b8e4f62e5c0fp-17, 0x1.371e18f07bec4p-18, 0x1.9c39df6feb8fep-20, -0x1.676b61e0a2b24p-20, -0x1.0c5efd38a8ed5p-18, -0x1.b137e3d35665dp-18, -0x1.248c3bb48a19cp-17, -0x1.6a566a850be4bp-17, -0x1.aa4d3fb085e9fp-17, -0x1.e4c04848dabacp-17, -0x1.0cfdfad228c0ep-16, -0x1.2524daa3aa2d8p-16, -0x1.3af8042cd8632p-16, -0x1.4e994d370a07dp-16, -0x1.60292bf3b3808p-16, -0x1.6fc6c1e64b6a2p-16, -0x1.7d8fe67793ab8p-16, -0x1.89a1316dff974p-16, -0x1.941605082ddeep-16, -0x1.9d0897e65001fp-16, -0x1.a491feaddd63fp-16, -0x1.aaca35731af7ap-16, -0x1.afc828eb32724p-16, -0x1.b3a1bf5bae82cp-16, -0x1.b66be15f43e55p-16, -0x1.b83a825e57e6ep-16, -0x1.b920a8d7519a7p-16, -0x1.b93076754418ep-16, -0x1.b87b2ff110d76p-16, -0x1.b71144b243a2fp-16, -0x1.b50256483690dp-16, -0x1.b25d3facdc548p-16, -0x1.af301c49948c1p-16, -0x1.ab884ee3e2e03p-16, -0x1.a77288493ac6cp-16, -0x1.a2facdcef394dp-16, -0x1.9e2c7f9fc9aedp-16, -0x1.99125ee33b31ep-16, -0x1.93b693ba7bb2fp-16, -0x1.8e22b3059cbbcp-16, -0x1.885fc40fc823fp-16, -0x1.82764609767ffp-16, -0x1.7c6e354578911p-16, -0x1.764f107c27e2cp-16, -0x1.701fddc150b71p-16, -0x1.69e72f62a3115p-16, -0x1.63ab289d9abc8p-16, -0x1.5d71823313e63p-16, -0x1.573f8ed5f1c3bp-16, -0x1.511a3f75200a5p-16, -0x1.4b06276c3b9dap-16, -0x1.4507808ca6816p-16, -0x1.3f222efbef24p-16, -0x1.3959c5075e8f9p-16, -0x1.33b186cb656a8p-16, -0x1.2e2c6dc1dcdbdp-16, -0x1.28cd2c2bc3674p-16, -0x1.239630691516p-16, -0x1.1e89a82e3c05bp-16, -0x1.19a983948c866p-16, -0x1.14f77826df8c4p-16, -0x1.107503c49ffc9p-16, -0x1.0c236f6dc794bp-16, -0x1.0803d1f4ccb92p-16, -0x1.0417129d6ff51p-16, -0x1.005deb9f6750fp-16, -0x1.f9b1d92ae6597p-17, -0x1.f310f9aac3f6dp-17, -0x1.ecd9bb673f22bp-17, -0x1.e70c5961f09ep-17, -0x1.e1a8cb0f4e67dp-17, -0x1.dcaec87cf5197p-17, -0x1.d81dce2c4f62bp-17, -0x1.d3f520c853e38p-17, -0x1.d033d0c5728f6p-17, -0x1.ccd8bdd2cfb6p-17, -0x1.c9e29a2c8a26cp-17, -0x1.c74fedcbd86b3p-17, -0x1.c51f19754809dp-17, -0x1.c34e59b482ecp-17, -0x1.c1dbc9a5e938bp-17, -0x1.c0c565a0ce869p-17, -0x1.c0090ddbcaf6ep-17, -0x1.bfa488e5c34bep-17, -0x1.bf9585ff3f501p-17, -0x1.bfd99f6764e9p-17, -0x1.c06e5c7f562cp-17, -0x1.c15133e723178p-17, -0x1.c27f8d6b5c02p-17, -0x1.c3f6c3ed36c35p-17, -0x1.c5b4273797284p-17, -0x1.c7b4fdb270315p-17, -0x1.c9f685fcdffccp-17, -0x1.cc75f880d0ecdp-17, -0x1.cf3088ed0edb3p-17, -0x1.d223679a1a827p-17, -0x1.d54bc2dc3afc9p-17, -0x1.d8a6c84b82cc9p-17, -0x1.dc31a5f1e9d8p-17, -0x1.dfe98b7168f0ep-17, -0x1.e3cbab02ff74bp-17, -0x1.e7d53a88ff6cbp-17, -0x1.ec03747b2323dp-17, -0x1.f05398cd879cep-17, -0x1.f4c2edbde0002p-17, -0x1.f94ec0a620643p-17, -0x1.fdf466ae96162p-17, -0x1.01589ec161be1p-16, -0x1.03c155f6d33b1p-16, -0x1.0633113bb2cb6p-16, -0x1.08ac8dfa73143p-16, -0x1.0b2c8f025af2ap-16, -0x1.0db1dcc0e0a8bp-16, -0x1.103b457b6933ap-16, -0x1.12c79d81fa968p-16, -0x1.1555bf5c088a5p-16, -0x1.17e48bf0ca586p-16, -0x1.1a72eaae0010cp-16, -0x1.1cffc9a8bb16ap-16, -0x1.1f8a1dba90a8fp-16, -0x1.2210e298e617bp-16, -0x1.24931aee545bfp-16, -0x1.270fd06dfa205p-16, -0x1.298613e2f07p-16, -0x1.2bf4fd3b661b2p-16, -0x1.2e5bab92bee78p-16, -0x1.30b945396271ap-16, -0x1.330cf7b9818ccp-16, -0x1.3555f7d838a75p-16, -0x1.37938195c23bcp-16, -0x1.39c4d82bc7e8ep-16, -0x1.3be94606c2359p-16, -0x1.3e001cc136cacp-16, -0x1.4008b516dcdc2p-16, -0x1.42026edfb6a28p-16, -0x1.43ecb1011c378p-16, -0x1.45c6e961487a8p-16, -0x1.47908cd6b44c3p-16, -0x1.494917170da21p-16, -0x1.4af00aa6b781ep-16, -0x1.4c84f0c476022p-16, -0x1.4e075955c4585p-16, -0x1.4f76dacf8cf6cp-16, -0x1.50d3122258b1ep-16, -0x1.521ba2a1481c2p-16, -0x1.535035ea908d8p-16, -0x1.54707bcbec427p-16, -0x1.557c2a2ba6c8p-16, -0x1.5672fced8852fp-16, -0x1.5754b5d771d3p-16, -0x1.58211c751bce9p-16, -0x1.58d7fdfc2d27ap-16, -0x1.59792d2fe5ca9p-16, -0x1.5a048244cb864p-16, -0x1.5a79dac19ca73p-16, -0x1.5ad919621a8d1p-16, -0x1.5b2225f9f2837p-16, -0x1.5b54ed566f512p-16, -0x1.5b7161207446bp-16, -0x1.5b7777bd68a53p-16, -0x1.5b672c3092b5p-16, -0x1.5b407dfd48272p-16, -0x1.5b0371091c4d5p-16, -0x1.5ab00d7ac2865p-16, -0x1.5a465f9d9efc2p-16, -0x1.59c677c2c073ap-16, -0x1.59306a22239c5p-16, -0x1.58844ebe71ebep-16, -0x1.57c2414353351p-16, -0x1.56ea60ea0ec62p-16, -0x1.55fcd05b160ebp-16, -0x1.54f9b59097b93p-16, -0x1.53e139ba3f3efp-16, -0x1.52b3891f1bca2p-16, -0x1.5170d3005303ap-16, -0x1.5019497e98342p-16, -0x1.4ead217c579acp-16, -0x1.4d2c92823212fp-16, -0x1.4b97d6a3d214cp-16, -0x1.49ef2a63ed947p-16, -0x1.4832cc9c0c02dp-16, -0x1.4662fe5f44a3p-16, -0x1.448002e10caa3p-16, -0x1.428a1f5b6a732p-16, -0x1.40819af62efb8p-16, -0x1.3e66bead832a5p-16, -0x1.3c39d53a3829cp-16, -0x1.39fb2af9ec863p-16, -0x1.37ab0dd5ab774p-16, -0x1.3549cd2cc959cp-16, -0x1.32d7b9bcb3c69p-16, -0x1.3055258b14dc7p-16, -0x1.2dc263cfd3f29p-16, -0x1.2b1fc8df164bfp-16, -0x1.286daa15a2d64p-16, -0x1.25ac5dc37ae7bp-16, -0x1.22dc3b1701a93p-16, -0x1.1ffd9a0ab5632p-16, -0x1.1d10d3508ac93p-16, -0x1.1a16403f1629fp-16, -0x1.170e3ac0c6f5ep-16, -0x1.13f91d40e1609p-16, -0x1.10d74299e102ep-16, -0x1.0da906051cde8p-16, -0x1.0a6ec3093cbccp-16, -0x1.0728d56a610f7p-16, -0x1.03d7991b389bep-16, -0x1.007b6a2bc3ac2p-16, -0x1.fa2949777478fp-17, -0x1.f34749da9e3a2p-17, -0x1.ec518da85c733p-17, -0x1.e548ccd4495afp-17, -0x1.de2dbf02aec49p-17, -0x1.d7011b6e5ff96p-17, -0x1.cfc398cde24fp-17, -0x1.c875ed402ddb1p-17, -0x1.c118ce326063ap-17, -0x1.b9acf04859627p-17, -0x1.b233074b02b72p-17, -0x1.aaabc60dc9f2p-17, -0x1.a317de5e1a8bfp-17, -0x1.9b7800f0d7122p-17, -0x1.93ccdd4bfce43p-17, -0x1.8c1721b56bb8cp-17, -0x1.84577b265214fp-17, -0x1.7c8e953426fc6p-17, -0x1.74bd1a02fd62cp-17, -0x1.6ce3b23829c1fp-17, -0x1.650304eb093a6p-17, -0x1.5d1bb79389adep-17, -0x1.552e6e0066cacp-17, -0x1.4d3bca4b66538p-17, -0x1.45446cc8261f6p-17, -0x1.3d48f3fef4959p-17, }}, 
      {{-0x1.6def594cc7651p-1, -0x1.6df673a868d06p-1, -0x1.6e01cdb95ab2cp-1, -0x1.6e10b3c9236ecp-1, -0x1.6e22367f19e91p-1, -0x1.6e3534434f481p-1, -0x1.6e4862ffdc3adp-1, -0x1.6e5a59b6f8b94p-1, -0x1.6e699994765d4p-1, -0x1.6e7496442e1fep-1, -0x1.6e79bd6fea63p-1, -0x1.6e777d58b8cb3p-1, -0x1.6e6c4a8b827cap-1, -0x1.6e56a4b8a2fedp-1, -0x1.6e351abb5712dp-1, -0x1.6e064de0cb507p-1, -0x1.6dc8f48036d03p-1, -0x1.6d7bdbf5edb6ap-1, -0x1.6d1dea133a6a2p-1, -0x1.6cae1e1427541p-1, -0x1.6c2b912b6d677p-1, -0x1.6b9576b39f57p-1, -0x1.6aeb1c135dfb8p-1, -0x1.6a2be86123925p-1, -0x1.69575bd1dc36cp-1, -0x1.686d0efc4c593p-1, -0x1.676cb1fa1057dp-1, -0x1.66560b6de407cp-1, -0x1.6528f775dc672p-1, -0x1.63e5668f4dff6p-1, -0x1.628b5c71436fp-1, -0x1.611aeee1a59cdp-1, -0x1.5f944488929b4p-1, -0x1.5df793c4c2ce2p-1, -0x1.5c4521836017bp-1, -0x1.5a7d401d3f96ap-1, -0x1.58a04e3b0c344p-1, -0x1.56aeb5c19f539p-1, -0x1.54a8eac77cd25p-1, -0x1.528f6a9429fbp-1, -0x1.5062baa9e8d76p-1, -0x1.4e2367da312bap-1, -0x1.4bd2056522096p-1, -0x1.496f2c240462ep-1, -0x1.46fb79bee48eep-1, -0x1.44778fed2e819p-1, -0x1.41e413c12b863p-1, -0x1.3f41acfe334b9p-1, -0x1.3c91057952e8dp-1, -0x1.39d2c8842a861p-1, -0x1.3707a261b5ca1p-1, -0x1.34303fc4af033p-1, -0x1.314d4d573b03dp-1, -0x1.2e5f774b88995p-1, -0x1.2b6768f507ea2p-1, -0x1.2865cc69e1fd3p-1, -0x1.255b4a2c56eadp-1, -0x1.224888dba703fp-1, -0x1.1f2e2cec2b3c7p-1, -0x1.1c0cd866466d4p-1, -0x1.18e52aabd626p-1, -0x1.15b7c043cb17fp-1, -0x1.128532ab9401p-1, -0x1.0f4e182e0a291p-1, -0x1.0c1303bf89afcp-1, -0x1.08d484deeb8e5p-1, -0x1.0593277b1028ep-1, -0x1.024f73dcb3d96p-1, -0x1.fe13dd2882b8fp-2, -0x1.f78630d6c286p-2, -0x1.f0f6dcb402b4p-2, -0x1.ea66d2fd28193p-2, -0x1.e3d6fe3295aa5p-2, -0x1.dd48411424b2bp-2, -0x1.d6bb76a22bd4fp-2, -0x1.d03172232facfp-2, -0x1.c9aaff2dd0719p-2, -0x1.c328e1b69f433p-2, -0x1.bcabd621743d6p-2, -0x1.b6349155f7e35p-2, -0x1.afc3c0d70a95dp-2, -0x1.a95a0adcc02ddp-2, -0x1.a2f80e70a3a71p-2, -0x1.9c9e638c03855p-2, -0x1.964d9b38079fp-2, -0x1.90063faf50f84p-2, -0x1.89c8d480f1fc8p-2, -0x1.8395d6b4896d8p-2, -0x1.7d6dbcef4d043p-2, -0x1.7750f799e093dp-2, -0x1.713ff106c5c9ep-2, -0x1.6b3b0d994864ep-2, -0x1.6542abecbca95p-2, -0x1.5f5724fbf9a77p-2, -0x1.5978cc48e436dp-2, -0x1.53a7f003ff394p-2, -0x1.4de4d933dfb8p-2, -0x1.482fcbdc6f4e2p-2, -0x1.42890725ee5d1p-2, -0x1.3cf0c5839e4a8p-2, -0x1.37673cda0697ap-2, -0x1.31ec9ea4c87efp-2, -0x1.2c81181bef834p-2, -0x1.2724d258b9a73p-2, -0x1.21d7f279c5b69p-2, -0x1.1c9a99c6aab4fp-2, -0x1.176ce5d2e4375p-2, -0x1.124ef0a0187e2p-2, -0x1.0d40d0bfaa3ddp-2, -0x1.084299739c3dbp-2, -0x1.03545aceb687p-2, -0x1.fcec43a7ebe19p-3, -0x1.f34ff12a7dfcbp-3, -0x1.e9d3cca2a7405p-3, -0x1.e077df221347ep-3, -0x1.d73c2c878c747p-3, -0x1.ce20b3b675378p-3, -0x1.c5256eccc9c5cp-3, -0x1.bc4a5357a78ebp-3, -0x1.b38f5286696d2p-3, -0x1.aaf4595c4e017p-3, -0x1.a27950e0b568fp-3, -0x1.9a1e1e4dfb97bp-3, -0x1.91e2a33ee92e5p-3, -0x1.89c6bddad60e2p-3, -0x1.81ca49006a547p-3, -0x1.79ed1c6f173c4p-3, -0x1.722f0cef47e8ep-3, -0x1.6a8fec794936cp-3, -0x1.630f8a5af9499p-3, -0x1.5badb35c49657p-3, -0x1.546a31e28400ap-3, -0x1.4d44ce1275d7p-3, -0x1.463d4df175991p-3, -0x1.3f5375854a371p-3, -0x1.388706f30dafap-3, -0x1.31d7c29cf3c1dp-3, -0x1.2b45673f150cep-3, -0x1.24cfb20b3e9f8p-3, -0x1.1e765ec3c0adep-3, -0x1.183927d555101p-3, -0x1.1217c67014bep-3, -0x1.0c11f29f90822p-3, -0x1.0627636204fa2p-3, -0x1.0057cebebc5d5p-3, -0x1.f545d3b735082p-4, -0x1.ea10d223bd40cp-4, -0x1.df10000446e4dp-4, -0x1.d442c34f2fa25p-4, -0x1.c9a880d50785cp-4, -0x1.bf409c6422b0cp-4, -0x1.b50a78eade936p-4, -0x1.ab0578987cbf3p-4, -0x1.a130fcfcbd8cbp-4, -0x1.978c67263d63dp-4, -0x1.8e1717bf8d9dep-4, -0x1.84d06f2b2b22ep-4, -0x1.7bb7cd9e488c4p-4, -0x1.72cc933a7cdf5p-4, -0x1.6a0e20265fd79p-4, -0x1.617bd4a518ad6p-4, -0x1.5915112cebd7dp-4, -0x1.50d9367ccac59p-4, -0x1.48c7a5b0f1852p-4, -0x1.40dfc05697a25p-4, -0x1.3920e87ebc508p-4, -0x1.318a80d013de3p-4, -0x1.2a1bec981fc33p-4, -0x1.22d48fdb74cedp-4, -0x1.1bb3cf6539d82p-4, -0x1.14b910d5e0838p-4, -0x1.0de3bab122addp-4, -0x1.0733346b485a9p-4, -0x1.00a6e675bbf3bp-4, -0x1.f47c7495e7c9dp-5, -0x1.e7f134f36977ep-5, -0x1.dbaae55f67ce2p-5, -0x1.cfa85f873b67fp-5, -0x1.c3e87f7d0b324p-5, -0x1.b86a23c98b6d7p-5, -0x1.ad2c2d7ca0644p-5, -0x1.a22d803cf3468p-5, -0x1.976d02567db89p-5, -0x1.8ce99cc81b3a6p-5, -0x1.82a23b502118ep-5, -0x1.7895cc780a498p-5, -0x1.6ec3419f40551p-5, -0x1.65298f0503148p-5, -0x1.5bc7abd180238p-5, -0x1.529c921e1628bp-5, -0x1.49a73efcd803cp-5, -0x1.40e6b27f4b4c5p-5, -0x1.3859efbc70901p-5, -0x1.2ffffcd61711cp-5, -0x1.27d7e2fd89681p-5, -0x1.1fe0ae778fd1ap-5, -0x1.18196e9fd8137p-5, -0x1.108135ebc0c51p-5, -0x1.091719ec92f38p-5, -0x1.01da33512e526p-5, -0x1.f5933bce5b3c4p-6, -0x1.e7c8f1370d657p-6, -0x1.da53caf55e45bp-6, -0x1.cd32136090f66p-6, -0x1.c0621b0cae01cp-6, -0x1.b3e238c818d9p-6, -0x1.a7b0c9984df54p-6, -0x1.9bcc30b5d64f8p-6, -0x1.9032d7877abd7p-6, -0x1.84e32d9cbb6b7p-6, -0x1.79dba8a79a3b4p-6, -0x1.6f1ac475b7536p-6, -0x1.649f02e8d00dbp-6, -0x1.5a66ebeea262fp-6, -0x1.50710d783d434p-6, -0x1.46bbfb70c9d41p-6, -0x1.3d464fb3d061ep-6, -0x1.340eaa02f79f8p-6, -0x1.2b13affb5bbfcp-6, -0x1.22540d0a6a699p-6, -0x1.19ce726256876p-6, -0x1.118196ee2c629p-6, -0x1.096c3745833aep-6, -0x1.018d159fd9041p-6, -0x1.f3c5f38f34cdep-7, -0x1.e4d96219b94b2p-7, -0x1.d6521c6f99d25p-7, -0x1.c82dd2f5c8e64p-7, -0x1.ba6a40c99ecd7p-7, -0x1.ad052ba456ec7p-7, -0x1.9ffc63bdfd935p-7, -0x1.934dc3b0176c4p-7, -0x1.86f73057e4fep-7, -0x1.7af698b8494b5p-7, -0x1.6f49f5db8200ap-7, -0x1.63ef4ab47bb5bp-7, -0x1.58e4a40002ff9p-7, -0x1.4e281825bd378p-7, -0x1.43b7c718eaee7p-7, -0x1.3991da390e3adp-7, -0x1.2fb484326cdbp-7, -0x1.261e00de745dap-7, -0x1.1ccc95241397bp-7, -0x1.13be8ed7fe25fp-7, -0x1.0af2449ce3b06p-7, -0x1.026615c3b12afp-7, -0x1.f430d4578970dp-8, -0x1.e40f6446590d3p-8, -0x1.d464cc8deadd1p-8, -0x1.c52e0ec7049bfp-8, -0x1.b6683ca9f2f38p-8, -0x1.a81077cf881ecp-8, -0x1.9a23f1726d072p-8, -0x1.8c9fea308df66p-8, -0x1.7f81b1cce66c7p-8, -0x1.72c6a6f185d06p-8, -0x1.666c36f1fadf5p-8, -0x1.5a6fdd8dff474p-8, -0x1.4ecf24b4997b5p-8, -0x1.4387a4478ebf4p-8, -0x1.389701df50351p-8, -0x1.2dfaf08f44853p-8, -0x1.23b130aa8a8f2p-8, -0x1.19b78f893d052p-8, -0x1.100be74e2926dp-8, -0x1.06ac1eacf92bep-8, -0x1.fb2c5161f5cd1p-9, -0x1.e9900908bdbd9p-9, -0x1.d87f7a6ff1cfdp-9, -0x1.c7f6d3173afccp-9, -0x1.b7f2576e0f52dp-9, -0x1.a86e6266a8169p-9, -0x1.9967650a127cap-9, -0x1.8ad9e60d7f957p-9, -0x1.7cc28168bfb6p-9, -0x1.6f1de7edec2e7p-9, -0x1.61e8dee25783dp-9, -0x1.55203f98bc4a6p-9, -0x1.48c0f70c941d2p-9, -0x1.3cc8057ec20a7p-9, -0x1.31327e1379617p-9, -0x1.25fd867182174p-9, -0x1.1b265662a1577p-9, -0x1.10aa37754b687p-9, -0x1.0686849fc1ca1p-9, -0x1.f97153c8bac37p-10, -0x1.e67c47ee5ef93p-10, -0x1.d428ffc9cf488p-10, -0x1.c272b57607ce2p-10, -0x1.b154c262a02a1p-10, -0x1.a0ca9ea96b42fp-10, -0x1.90cfe06699ed2p-10, -0x1.81603b1363d5fp-10, -0x1.72777ee36a7dap-10, -0x1.6411982470ebap-10, -0x1.562a8ea0d5533p-10, -0x1.48be8504a5406p-10, -0x1.3bc9b844d7356p-10, -0x1.2f487f095cbd3p-10, -0x1.233749198c98bp-10, -0x1.17929ecb3bb89p-10, -0x1.0c572074242fap-10, -0x1.018185ddaf82cp-10, -0x1.ee1d3b76907fcp-11, -0x1.d9f69a4641ec1p-11, -0x1.c6891e1293a65p-11, -0x1.b3cee77aa4fb4p-11, -0x1.a1c240d402158p-11, -0x1.905d9d2f2007p-11, -0x1.7f9b9760416c7p-11, -0x1.6f76f10d2277ap-11, -0x1.5fea91bf3f57ep-11, -0x1.50f185fa5753dp-11, -0x1.4286fe5764df5p-11, -0x1.34a64ea4169dcp-11, -0x1.274aed0686359p-11, -0x1.1a7071255d254p-11, -0x1.0e1293546ecfp-11, -0x1.022d2bc4dd17p-11, -0x1.ed7863738fad2p-12, -0x1.d77775824977cp-12, -0x1.c24ff3e091d6bp-12, -0x1.adfa7e4a3ade7p-12, -0x1.9a6fec95106a5p-12, -0x1.87a94d41d7d19p-12, -0x1.759fe4154088cp-12, -0x1.644d28b7eedd6p-12, -0x1.53aac55e4a95fp-12, -0x1.43b29577fe16ep-12, -0x1.345ea465f442dp-12, -0x1.25a92c375909fp-12, -0x1.178c946e417d7p-12, -0x1.0a0370cadec65p-12, -0x1.fa11003a78p-13, -0x1.e12d563d73505p-13, -0x1.c95206a19e791p-13, -0x1.b27583c508a48p-13, -0x1.9c8e8d3a01407p-13, -0x1.87942daae95d6p-13, -0x1.737db8cb946d6p-13, -0x1.6042c95698406p-13, -0x1.4ddb3f166a04fp-13, -0x1.3c3f3cf93daf7p-13, -0x1.2b6727311d94bp-13, -0x1.1b4ba15f74f57p-13, -0x1.0be58ccb45863p-13, -0x1.fa5c0d45087d7p-14, -0x1.de3ccc8d94f63p-14, -0x1.c360774442f15p-14, -0x1.a9ba9b114ae6ap-14, -0x1.913f304578e4cp-14, -0x1.79e296c36962ep-14, -0x1.639992fc474cbp-14, -0x1.4e594affe2f08p-14, -0x1.3a17439f1339dp-14, -0x1.26c95d9eb505fp-14, -0x1.1465d2fee28c9p-14, -0x1.02e3345293047p-14, -0x1.e470cc524192fp-15, -0x1.c4b93d103b3fcp-15, -0x1.a68ec4edef59p-15, -0x1.89e10730d4a7fp-15, -0x1.6ea03ba99d8bep-15, -0x1.54bd2a2a2f358p-15, -0x1.3c29261661e1dp-15, -0x1.24d60a14e04b8p-15, -0x1.0eb633ddfc33ep-15, -0x1.f3790048f0dbap-16, -0x1.cbb88d351d4ccp-16, -0x1.a612ac26efc6bp-16, -0x1.826fe17bf804fp-16, -0x1.60b990f430164p-16, -0x1.40d9f6917428p-16, -0x1.22bc1fa8bbefbp-16, -0x1.064be421ae872p-16, -0x1.d6ebbfcbdf4b6p-17, -0x1.a44ed8fffe9b1p-17, -0x1.749d35cb4c734p-17, -0x1.47b45ae8f9176p-17, -0x1.1d732422f64ap-17, -0x1.eb7371e7ef4adp-18, -0x1.a0d302f21b1fbp-18, -0x1.5aca375b0b2f5p-18, -0x1.1920a1f4cd4e4p-18, -0x1.b740303b70d55p-19, -0x1.44293c2b07fc9p-19, -0x1.b1314f613d8c5p-20, -0x1.d0bb14b2c86f9p-21, -0x1.68fd54e265136p-23, 0x1.02706f572e6f1p-21, 0x1.2352b194b0883p-20, 0x1.b9d1473e75ab9p-20, 0x1.22a755ebe412ep-19, 0x1.632f7fb4a3361p-19, 0x1.9ec80582dd97dp-19, 0x1.d5b4bd8f1626bp-19, 0x1.041b45f2702b2p-18, 0x1.1b45beef9fb5fp-18, 0x1.30777250082adp-18, 0x1.43ccb7705e0a8p-18, 0x1.5560a0e5886d6p-18, 0x1.654d088ee3caap-18, 0x1.73aa9b47bfa2ap-18, 0x1.8090e43a6c8dp-18, 0x1.8c1657c96b1bbp-18, 0x1.96505e3e771a5p-18, 0x1.9f535dfff2b76p-18, 0x1.a732c590caebp-18, 0x1.ae01151ea730bp-18, 0x1.b3cfe7dab1e9bp-18, 0x1.b8affcf2e7acep-18, 0x1.bcb1404cb0bbep-18, 0x1.bfe2d2de43374p-18, 0x1.c25312e41ff6fp-18, 0x1.c40fa3ac1525ep-18, 0x1.c52575408e51ap-18, 0x1.c5a0cbb59806dp-18, 0x1.c58d463f5bdb4p-18, 0x1.c4f5e60d66b8dp-18, 0x1.c3e514ea9765ap-18, 0x1.c264ab9407de7p-18, 0x1.c07df7ef38f39p-18, 0x1.be39c2f2afb94p-18, 0x1.bba05668a83cbp-18, 0x1.b8b982793e27bp-18, 0x1.b58ca2fe0d883p-18, 0x1.b220a4a4dd518p-18, 0x1.ae7c09eb24622p-18, 0x1.aaa4efe3f9a72p-18, 0x1.a6a112cd75733p-18, 0x1.a275d288635a1p-18, 0x1.9e2836da163d9p-18, 0x1.99bcf38b9737ep-18, 0x1.95386c6479464p-18, 0x1.909eb8f2f70e9p-18, 0x1.8bf3a83b67d23p-18, 0x1.873ac441baf25p-18, 0x1.827755652968ep-18, 0x1.7dac65aac61f6p-18, 0x1.78dcc3db7d88bp-18, 0x1.740b068ba560dp-18, 0x1.6f398efdf7878p-18, 0x1.6a6a8bebfc58fp-18, 0x1.659ffc2af2d12p-18, 0x1.60dbb142bb21fp-18, 0x1.5c1f51e18c52bp-18, 0x1.576c5c2f50b9cp-18, 0x1.52c428168b5cbp-18, 0x1.4e27e968c742bp-18, 0x1.4998b1f4e29a5p-18, 0x1.4517738539ac8p-18, 0x1.40a501c480f3p-18, 0x1.3c42140c25873p-18, 0x1.37ef472594df2p-18, 0x1.33ad1ef498bedp-18, 0x1.2f7c0809411b1p-18, 0x1.2b5c5927601b7p-18, 0x1.274e54bce7914p-18, 0x1.23522a3cbae01p-18, 0x1.1f67f77aee605p-18, 0x1.1b8fc9e9191eap-18, 0x1.17c99fcafeedbp-18, 0x1.1415695a85b4ap-18, 0x1.107309e02ded8p-18, 0x1.0ce258bca8278p-18, 0x1.0963225f897e1p-18, 0x1.05f5293e6b48p-18, 0x1.029826b3c642ap-18, 0x1.fe9797aef208cp-19, 0x1.f81f849dfb222p-19, 0x1.f1c75a17d4701p-19, 0x1.eb8e520d108a1p-19, 0x1.e5739bd4ddbdcp-19, 0x1.df765d78aea7cp-19, 0x1.d995b4e910f2bp-19, 0x1.d3d0b91ccc1f4p-19, 0x1.ce267b2f44f24p-19, 0x1.c89607601c211p-19, 0x1.c31e660be4fbbp-19, 0x1.bdbe9c8fdd2c8p-19, 0x1.b875ae1f8e203p-19, 0x1.b3429c91b1c37p-19, 0x1.ae24691d806a2p-19, 0x1.a91a150e61ccfp-19, 0x1.a422a263bfea6p-19, 0x1.9f3d146f4cb93p-19, 0x1.9a68705e0b409p-19, 0x1.95a3bdc1500b6p-19, 0x1.90ee070aaf3ffp-19, 0x1.8c4659f8770bbp-19, 0x1.87abc8013d21fp-19, 0x1.831d66b087846p-19, 0x1.7e9a50017720bp-19, 0x1.7a21a2abb28fcp-19, 0x1.75b2826b2fa71p-19, 0x1.714c184104519p-19, 0x1.6ced92b13de6fp-19, 0x1.689625eef4d05p-19, 0x1.64450c131cbd5p-19, 0x1.5ff9853f938eep-19, 0x1.5bb2d7c224baep-19, 0x1.577050319db5dp-19, 0x1.533141876b30fp-19, 0x1.4ef50532e7acep-19, 0x1.4abafb2a21884p-19, 0x1.468289f293a1bp-19, 0x1.424b1eace3022p-19, 0x1.3e142d1832df5p-19, 0x1.39dd2f8df7d9cp-19, 0x1.35a5a70505aacp-19, 0x1.316d1b08dd6d9p-19, 0x1.2d3319b25098ap-19, 0x1.28f7379b40777p-19, 0x1.24b90fd266de1p-19, 0x1.207843cb4f7d5p-19, 0x1.1c347b4efcfffp-19, 0x1.17ed64624cf3ep-19, 0x1.13a2b33450ea4p-19, 0x1.0f54220889d21p-19, 0x1.0b0171199954fp-19, 0x1.06aa668176615p-19, 0x1.024ece1eefae5p-19, 0x1.fbdcf2f1166e1p-20, 0x1.f3127f363a8eap-20, 0x1.ea3df9fa64a1cp-20, 0x1.e15f26bfca8ep-20, 0x1.d875d363448e2p-20, 0x1.cf81d7d068282p-20, 0x1.c68315c52258fp-20, 0x1.bd79788cd6cc6p-20, 0x1.b464f4b956d5p-20, 0x1.ab4587daaca21p-20, 0x1.a21b383e20e54p-20, 0x1.98e614a950d1ap-20, 0x1.8fa6340e1af53p-20, 0x1.865bb5447a782p-20, 0x1.7d06bec2230d9p-20, 0x1.73a77e58b9612p-20, 0x1.6a3e28f07a678p-20, 0x1.60cafa3bae027p-20, 0x1.574e3476bde4dp-20, 0x1.4dc82021d72c9p-20, 0x1.44390bb4ac93bp-20, 0x1.3aa14b5e584bcp-20, 0x1.310138c6503e4p-20, 0x1.275932c5b6f23p-20, 0x1.1da99d23bfe3ep-20, 0x1.13f2e05274b4cp-20, 0x1.0a356931ea3abp-20, 0x1.0071a8cbbfc15p-20, 0x1.ed50283c0b808p-21, 0x1.d9b247ab223d9p-21, 0x1.c60aa82e18324p-21, 0x1.b25a48840ead6p-21, 0x1.9ea22d6281fe9p-21, 0x1.8ae361031b718p-21, 0x1.771ef2c4c106fp-21, 0x1.6355f6b0352bfp-21, 0x1.4f89850f311bdp-21, 0x1.3bbaba00ef7ap-21, 0x1.27eab51455137p-21, 0x1.141a98e25e56fp-21, 0x1.004b8ab0dacap-21, 0x1.d8fd6429baa4p-22, 0x1.b16a7125cf4c6p-22, 0x1.89e09294e3c4fp-22, 0x1.6262212c70a92p-22, 0x1.3af1775d9906fp-22, 0x1.1390f0c936a5p-22, 0x1.d885d3513ce32p-23, 0x1.8a137c3ca101fp-23, 0x1.3bcf933bf00ffp-23, 0x1.db7d9983e4df9p-24, 0x1.3fcbb34af6188p-24, 0x1.49259859567f3p-25, 0x1.3b862826f7155p-29, -0x1.209dbad10836dp-25, -0x1.29e52f0fd78cep-24, -0x1.c2dda3b3f1e54p-24, -0x1.2d9797238cbd2p-23, -0x1.79686b28da414p-23, -0x1.c4dcdcc6dd5a5p-23, -0x1.07f84341a7c58p-22, -0x1.2d4f87b7e2ae3p-22, -0x1.5272160038fb8p-22, -0x1.775dcf4326912p-22, -0x1.9c109bfe0c6fp-22, -0x1.c0886c49a8af8p-22, -0x1.e4c338243efeep-22, -0x1.045f7fd41f14p-21, -0x1.163ce5ad4a4e5p-21, -0x1.27f8d6351c3f2p-21, -0x1.39925e7283b04p-21, -0x1.4b08900239bb5p-21, -0x1.5c5a812ba2811p-21, -0x1.6d874cf60d1a9p-21, -0x1.7e8e13371591fp-21, -0x1.8f6df8b62e208p-21, -0x1.a026273ac10c8p-21, -0x1.b0b5cd9c9d98fp-21, -0x1.c11c1fd8c55d8p-21, -0x1.d158571a463a6p-21, -0x1.e169b1cf0c12p-21, -0x1.f14f73a1dddd8p-21, -0x1.008472c9cb7aap-20, -0x1.084aab009ddebp-20, -0x1.0ffa0c5542c49p-20, -0x1.1792435fb469bp-20, -0x1.1f12ff6fc819bp-20, -0x1.267bf28ff7258p-20, -0x1.2dccd182ec641p-20, -0x1.350553c874f3ep-20, -0x1.3c25339f3d41ap-20, -0x1.432c2e00a7bbep-20, -0x1.4a1a02a49d593p-20, -0x1.50ee73fc747cap-20, -0x1.57a947358eceep-20, -0x1.5e4a443107ccp-20, -0x1.64d13582d63fdp-20, -0x1.6b3de8727ef9ep-20, -0x1.71902cf4b31cdp-20, -0x1.77c7d5aa45cb6p-20, -0x1.7de4b7daf2c4ap-20, -0x1.83e6ab7151ea1p-20, -0x1.89cd8af449bf8p-20, -0x1.8f9933808b23ep-20, -0x1.954984c8388b1p-20, -0x1.9ade610a282bap-20, -0x1.a057ad0b1bb22p-20, -0x1.a5b550120a3f5p-20, -0x1.aaf733df31028p-20, -0x1.b01d44a80a355p-20, -0x1.b527710a1e819p-20, -0x1.ba15aa08ef33dp-20, -0x1.bee7e3055f9c6p-20, -0x1.c39e11b611b45p-20, -0x1.c8382e206fb3p-20, -0x1.ccb6328fa7e7fp-20, -0x1.d1181b8ce917ap-20, -0x1.d55de7d6b0311p-20, -0x1.d9879855a6484p-20, -0x1.dd95301928d62p-20, -0x1.e186b44bb0f2bp-20, -0x1.e55c2c290b2fep-20, -0x1.e915a0f85dac6p-20, -0x1.ecb31e000bde8p-20, -0x1.f034b07f6d1a3p-20, -0x1.f39a67a23062bp-20, -0x1.f6e45477c255ep-20, -0x1.fa1289ecdda64p-20, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.a0e9ea1117731p-9, 0x1.a09f50ee87866p-8, 0x1.37fec8bf750bep-7, 0x1.9edcf47dd0707p-7, 0x1.0228a6b8c0d79p-6, 0x1.33cc02c6f13f4p-6, 0x1.63e4ae0a7ba4ap-6, 0x1.91f148fc5fbc7p-6, 0x1.bd67bfa77d238p-6, 0x1.e5b9f65f7b7cfp-6, 0x1.052d0a72a55fap-5, 0x1.155f2538a051dp-5, 0x1.2331fcd8ace1cp-5, 0x1.2e6924c8206eap-5, 0x1.36ce10406d4cbp-5, 0x1.3c30cabea41bp-5, 0x1.3e687277f4903p-5, 0x1.3d537c8beea39p-5, 0x1.38d7cad967e9bp-5, 0x1.30e29b174b53ep-5, 0x1.25685652c918dp-5, 0x1.16644751b91fap-5, 0x1.03d83da4826d7p-5, 0x1.db9844f5ec349p-6, 0x1.a89b07378692cp-6, 0x1.6ede30686ccbap-6, 0x1.2e908531f986ep-6, 0x1.cfd2460b8b60dp-7, 0x1.364d0b5162467p-7, 0x1.22364c310e10cp-8, -0x1.f2ea017355be8p-11, -0x1.b3e482ec788d5p-8, -0x1.9e8a256dadbe2p-7, -0x1.36255828d5bf3p-6, -0x1.a141dc2f4f4dep-6, -0x1.082077e24e0cep-5, -0x1.4163f48a58fe3p-5, -0x1.7c3ddab9825afp-5, -0x1.b880af23ebbf9p-5, -0x1.f5ff40b3650edp-5, -0x1.1a466f54f314cp-4, -0x1.39fec4823078fp-4, -0x1.5a130db5a1cefp-4, -0x1.7a6e3980130e1p-4, -0x1.9afbc7ac704b7p-4, -0x1.bba7d77bdeb97p-4, -0x1.dc5f33c7921aap-4, -0x1.fd0f5d2e8c2cep-4, -0x1.0ed3493a1b02ep-3, -0x1.1f09eb99b17dap-3, -0x1.2f237c83e36ep-3, -0x1.3f1849a7293f4p-3, -0x1.4ee108cdbc1fap-3, -0x1.5e76d8824e78dp-3, -0x1.6dd3402c3537p-3, -0x1.7cf02fb02ba73p-3, -0x1.8bc7fea207b97p-3, -0x1.9a556b12f9f7fp-3, -0x1.a893980749e0ep-3, -0x1.b67e0b9dcda1ep-3, -0x1.c410acf2afcbp-3, -0x1.d147c1c66cb0cp-3, -0x1.de1febf16e1f3p-3, -0x1.ea9626abf42efp-3, -0x1.f6a7c3b18a53ap-3, -0x1.01293423512f3p-2, -0x1.06ca051345747p-2, -0x1.0c35762fa6ddbp-2, -0x1.116ace1060d2fp-2, -0x1.166976c1b7e1dp-2, -0x1.1b30fc25d976ep-2, -0x1.1fc10a5674d3fp-2, -0x1.24196c0822b26p-2, -0x1.283a08f13426dp-2, -0x1.2c22e4354d73bp-2, -0x1.2fd41ad7107d7p-2, -0x1.334de230f21c1p-2, -0x1.369086762d80ap-2, -0x1.399c693cacbe8p-2, -0x1.3c7200109e501p-2, -0x1.3f11d31249997p-2, -0x1.417c7b9ea9e02p-2, -0x1.43b2a303296f5p-2, -0x1.45b5013cd7f2dp-2, -0x1.47845bc349566p-2, -0x1.4921845f4df91p-2, -0x1.4a8d580d940c5p-2, -0x1.4bc8bded37d3ep-2, -0x1.4cd4a63a3fb4ap-2, -0x1.4db20953e93cep-2, -0x1.4e61e6ceada46p-2, -0x1.4ee54491cd636p-2, -0x1.4f3d2e0036e57p-2, -0x1.4f6ab32c8f9cp-2, -0x1.4f6ee818158d6p-2, -0x1.4f4ae3fc2499fp-2, -0x1.4effc09e0239bp-2, -0x1.4e8e99acb7671p-2, -0x1.4df88c289470cp-2, -0x1.4d3eb5d41af6fp-2, -0x1.4c6234adf29a2p-2, -0x1.4b64267393e95p-2, -0x1.4a45a82c5670bp-2, -0x1.4907d5bc89828p-2, -0x1.47abc98044995p-2, -0x1.46329bed975f5p-2, -0x1.449d633dc9be9p-2, -0x1.42ed331d5637fp-2, -0x1.41231c624f56p-2, -0x1.3f402cc8e264p-2, -0x1.3d456eb5a448dp-2, -0x1.3b33e8fd65ac8p-2, -0x1.390c9eb2401fep-2, -0x1.36d08ef595e6bp-2, -0x1.3480b4cec26cap-2, -0x1.321e070633b52p-2, -0x1.2fa97804b7fe9p-2, -0x1.2d23f5b6b3f3bp-2, -0x1.2a8e6973133dbp-2, -0x1.27e9b7e5b421p-2, -0x1.2536c0fd19cfbp-2, -0x1.22765fdb311acp-2, -0x1.1fa96ac8f872dp-2, -0x1.1cd0b32cda675p-2, -0x1.19ed05838c764p-2, -0x1.16ff295b4a96cp-2, -0x1.1407e15142327p-2, -0x1.1107eb110f15ap-2, -0x1.0dffff5617c28p-2, -0x1.0af0d1eeb47bcp-2, -0x1.07db11c0f6ce1p-2, -0x1.04bf68d0f501ap-2, -0x1.019e7c487f81bp-2, -0x1.fcf1d9003cb76p-3, -0x1.f69eaa1281b34p-3, -0x1.f044997309a61p-3, -0x1.e9e4cb6dfb0a8p-3, -0x1.e3805b0ad1968p-3, -0x1.dd185a2864531p-3, -0x1.d6add19a84b8fp-3, -0x1.d041c148e6c6ap-3, -0x1.c9d5204f5bbc9p-3, -0x1.c368dd1f13d9fp-3, -0x1.bcfddda0ef05ap-3, -0x1.b694ff58a4162p-3, -0x1.b02f1788afc61p-3, -0x1.a9ccf356f3945p-3, -0x1.a36f57f1e4e6p-3, -0x1.9d1702b63d754p-3, -0x1.96c4a95517f21p-3, -0x1.9078f9fa5a0ap-3, -0x1.8a349b736e7c4p-3, -0x1.83f82d562a46ap-3, -0x1.7dc44827d5e3ap-3, -0x1.77997d84500a2p-3, -0x1.71785845314eep-3, -0x1.6b615ca8eb5f6p-3, -0x1.65550879d6a5fp-3, -0x1.5f53d33524a8ap-3, -0x1.595e2e31a2e86p-3, -0x1.537484c654697p-3, -0x1.4d973c70ce896p-3, -0x1.47c6b4fb4e962p-3, -0x1.420348a28906ap-3, -0x1.3c4d4c3b29893p-3, -0x1.36a50f56f16e7p-3, -0x1.310adc698285p-3, -0x1.2b7ef8ecbea4ap-3, -0x1.2601a584c3d4p-3, -0x1.20931e2375345p-3, -0x1.1b339a2b9517dp-3, -0x1.15e34c93693a9p-3, -0x1.10a26406e75a3p-3, -0x1.0b710b096080dp-3, -0x1.064f6816b2ecep-3, -0x1.013d9dc3f3a1ep-3, -0x1.f87795bf3460fp-4, -0x1.ee9415224bd4cp-4, -0x1.e4d0e8f06223dp-4, -0x1.db2e399618d2ap-4, -0x1.d1ac28e981a74p-4, -0x1.c84ad2651a088p-4, -0x1.bf0a4b61a79d5p-4, -0x1.b5eaa34f027afp-4, -0x1.acebe3ebbd0edp-4, -0x1.a40e117baf095p-4, -0x1.9b512afd715d4p-4, -0x1.92b52a5ea8d92p-4, -0x1.8a3a04af515p-4, -0x1.81dfaa53d3d7p-4, -0x1.79a6073613b8cp-4, -0x1.718d02f55c4dep-4, -0x1.6994811538e0dp-4, -0x1.61bc612b36158p-4, -0x1.5a047f0b91ef3p-4, -0x1.526cb2f4d5e15p-4, -0x1.4af4d1ba63b79p-4, -0x1.439cacedf4193p-4, -0x1.3c6413080a2cdp-4, -0x1.354acf8f5d3e5p-4, -0x1.2e50ab3f3daccp-4, -0x1.27756c2cf76a7p-4, -0x1.20b8d5ec323cep-4, -0x1.1a1aa9b2574b4p-4, -0x1.139aa678fa3b8p-4, -0x1.0d38891f4df36p-4, -0x1.06f40c8aa52c4p-4, -0x1.00cce9c600f4ep-4, -0x1.f585b0416d9dbp-5, -0x1.e9ab1a9853a99p-5, -0x1.de097af141df2p-5, -0x1.d2a036e273dcep-5, -0x1.c76eb16dfef9fp-5, -0x1.bc744b3647176p-5, -0x1.b1b062b0c902ep-5, -0x1.a72254573a102p-5, -0x1.9cc97ad70fe7fp-5, -0x1.92a52f3f6b484p-5, -0x1.88b4c92d790bfp-5, -0x1.7ef79ef749237p-5, -0x1.756d05d522df7p-5, -0x1.6c1452096771ep-5, -0x1.62ecd70700e3ap-5, -0x1.59f5e7966486ap-5, -0x1.512ed5f93b8cp-5, -0x1.4896f40cab0dap-5, -0x1.402d936a4f3ffp-5, -0x1.37f20587e8bdp-5, -0x1.2fe39bd5c4b55p-5, -0x1.2801a7dbf3ba5p-5, -0x1.204b7b563c7bep-5, -0x1.18c0684eefc62p-5, -0x1.115fc1388ef6cp-5, -0x1.0a28d906551a2p-5, -0x1.031b0343abd65p-5, -0x1.f86b2855140d3p-6, -0x1.eaefc1719bf3ep-6, -0x1.ddc27d892b95ap-6, -0x1.d0e20a1f2983cp-6, -0x1.c44d16b2fcc95p-6, -0x1.b80254e2f1873p-6, -0x1.ac00788d5e03ep-6, -0x1.a04637effb85dp-6, -0x1.94d24bc58f1cdp-6, -0x1.89a36f61e1a72p-6, -0x1.7eb860cc26085p-6, -0x1.740fe0d7c46bfp-6, -0x1.69a8b33ba49dap-6, -0x1.5f819ea8009c3p-6, -0x1.55996cdac9f5cp-6, -0x1.4beeeab2ab139p-6, -0x1.4280e840ac321p-6, -0x1.394e38d89e81p-6, -0x1.3055b32030915p-6, -0x1.2796311cdbeaap-6, -0x1.1f0e90409d019p-6, -0x1.16bdb1758f97cp-6, -0x1.0ea279286ed24p-6, -0x1.06bbcf520b50cp-6, -0x1.fe113eff6d254p-7, -0x1.ef0fb1b578959p-7, -0x1.e070dc5db71cbp-7, -0x1.d232abdfcff79p-7, -0x1.c453147cfb7a3p-7, -0x1.b6d011d7c375fp-7, -0x1.a9a7a6fa2039bp-7, -0x1.9cd7de5a1afcap-7, -0x1.905ec9dcd554cp-7, -0x1.843a82d82f6d8p-7, -0x1.78692a130fce2p-7, -0x1.6ce8e7c4595bbp-7, -0x1.61b7eb909da8p-7, -0x1.56d46c8696d16p-7, -0x1.4c3ca91a8246fp-7, -0x1.41eee72056659p-7, -0x1.37e973c4fc4dp-7, -0x1.2e2aa3867f4a7p-7, -0x1.24b0d22b4641p-7, -0x1.1b7a62b86d6ffp-7, -0x1.1285bf673a1e8p-7, -0x1.09d15999cb5b6p-7, -0x1.015ba9cf0156ep-7, -0x1.f2465f2b3fb2ep-8, -0x1.e24ce2fd885bfp-8, -0x1.d2c7fa1f70273p-8, -0x1.c3b4cd666c3bbp-8, -0x1.b5109353f1e78p-8, -0x1.a6d88ff5ba21ap-8, -0x1.990a14c4df776p-8, -0x1.8ba280842535ep-8, -0x1.7e9f3f1d5343dp-8, -0x1.71fdc97dc1f7ep-8, -0x1.65bba57209d3p-8, -0x1.59d6658139a12p-8, -0x1.4e4ba8c7214ap-8, -0x1.43191ace53731p-8, -0x1.383c736974acdp-8, -0x1.2db3768bf4996p-8, -0x1.237bf4228a46bp-8, -0x1.1993c7eb2d15ep-8, -0x1.0ff8d94cd6771p-8, -0x1.06a91b2ee4ca2p-8, -0x1.fb4517a044f92p-9, -0x1.e9c6693b7f489p-9, -0x1.d8d2541407a88p-9, -0x1.c86516c5d9998p-9, -0x1.b87b05518cd52p-9, -0x1.a91088c8de89fp-9, -0x1.9a221efb9e3bbp-9, -0x1.8bac5a245b973p-9, -0x1.7dabe09540beap-9, -0x1.701d6c652de3ep-9, -0x1.62fdcb1c9935ep-9, -0x1.5649dd62f70abp-9, -0x1.49fe96ac2d4b1p-9, -0x1.3e18fce68a99cp-9, -0x1.32962828f144bp-9, -0x1.27734261c4fe7p-9, -0x1.1cad8705b8811p-9, -0x1.124242bf56a75p-9, -0x1.082ed31f3faa6p-9, -0x1.fce14c992d945p-10, -0x1.ea0a756d067a8p-10, -0x1.d7d43d8bdcfbcp-10, -0x1.c639e11fa4481p-10, -0x1.b536bb1115ea2p-10, -0x1.a4c6446f150d6p-10, -0x1.94e413d7df626p-10, -0x1.858bdce412632p-10, -0x1.76b96f9291c54p-10, -0x1.6868b7b5f49c3p-10, -0x1.5a95bc64268f2p-10, -0x1.4d3c9f67336b9p-10, -0x1.40599cafbb2edp-10, -0x1.33e909c9be2a9p-10, -0x1.27e7555273ff9p-10, -0x1.1c51066f9f26cp-10, -0x1.1122bc4997282p-10, -0x1.06592d8633ffap-10, -0x1.f7e24f8c03ed9p-11, -0x1.e3cf1e4689267p-11, -0x1.d072bb65badd6p-11, -0x1.bdc7460cd5ddcp-11, -0x1.abc70761b3c79p-11, -0x1.9a6c719936e5dp-11, -0x1.89b21f0754dadp-11, -0x1.7992d13332893p-11, -0x1.6a096fef43ee9p-11, -0x1.5b11087385f2ap-11, -0x1.4ca4cc7d2c1afp-11, -0x1.3ec011710812cp-11, -0x1.315e4f820ed21p-11, -0x1.247b20db49f0dp-11, -0x1.181240ce107a5p-11, -0x1.0c1f8b038d4dbp-11, -0x1.009efab11d809p-11, -0x1.eb1953a2bed37p-12, -0x1.d5c9a0c12f1d5p-12, -0x1.c1478738f0901p-12, -0x1.ad8bea8ef0f58p-12, -0x1.9a8fe5e0f93fbp-12, -0x1.884cca79ed81bp-12, -0x1.76bc1e6cd257ep-12, -0x1.65d79b38e5447p-12, -0x1.55992c7294ff9p-12, -0x1.45faee7453483p-12, -0x1.36f72d15d2127p-12, -0x1.2888626a5481ep-12, -0x1.1aa93584a519p-12, -0x1.0d547941c4bb3p-12, -0x1.00852b1a85668p-12, -0x1.e86ce3f6494f8p-13, -0x1.d0c73a424a912p-13, -0x1.ba1046000649ap-13, -0x1.a43f40572b52fp-13, -0x1.8f4bac9055cb3p-13, -0x1.7b2d56011ed68p-13, -0x1.67dc4e041383cp-13, -0x1.5550e9ff18a48p-13, -0x1.4383c17013babp-13, -0x1.326dac08cd5p-13, -0x1.2207bfd61db7p-13, -0x1.124b4f6f8704fp-13, -0x1.0331e8329140dp-13, -0x1.e96aa110b551p-14, -0x1.cd9f0c6e30357p-14, -0x1.b2f579799ac7ap-14, -0x1.9962b767a80dep-14, -0x1.80dbfa8442041p-14, -0x1.6956d92464a5fp-14, -0x1.52c948aa83692p-14, -0x1.3d299a9c45d21p-14, -0x1.286e79cbc1d8bp-14, -0x1.148ee795ef9eap-14, -0x1.0182392f409abp-14, -0x1.de802a03f9ad7p-15, -0x1.bb80e04426a94p-15, -0x1.99f71798d4b8dp-15, -0x1.79d3e5f349e7bp-15, -0x1.5b08effd6598cp-15, -0x1.3d886481233c8p-15, -0x1.2144f7ec178dep-15, -0x1.0631dff076174p-15, -0x1.d8859e8c133adp-16, -0x1.a6d7e3171372p-16, -0x1.7743ce79ff92ap-16, -0x1.49b38399dc975p-16, -0x1.1e11ffa211d76p-16, -0x1.e8962557e0304p-17, -0x1.9896b114caeb1p-17, -0x1.4c006392255f3p-17, -0x1.02af79c7cfbb5p-17, -0x1.79033edd9895bp-18, -0x1.e557885ec10d5p-19, -0x1.c86526c8684c6p-20, 0x1.1e1afc8136b43p-23, 0x1.fab33266a8366p-20, 0x1.dea4b7ca38059p-19, 0x1.5b16fedc17e8dp-18, 0x1.c22df5b1f07ecp-18, 0x1.12642e271e14ep-17, 0x1.418a9f55fcb72p-17, 0x1.6ea0d6223b5f8p-17, 0x1.99bc6581da93bp-17, 0x1.c2f1f4e994bc4p-17, 0x1.ea5549206ca8cp-17, 0x1.07fca66d61a72p-16, 0x1.19f80c8fed66ap-16, 0x1.2b257eb06adc2p-16, 0x1.3b8d439c4a1acp-16, 0x1.4b37450b9f47fp-16, 0x1.5a2b1347da06cp-16, 0x1.686fe8b408f9p-16, 0x1.760cad46420e1p-16, 0x1.8307f9cdcd737p-16, 0x1.8f681b2e3f387p-16, 0x1.9b33157b28c14p-16, 0x1.a66ea6f195cap-16, 0x1.b1204ae0a4848p-16, 0x1.bb4d3c73db84ap-16, 0x1.c4fa796b29d7ep-16, 0x1.ce2cc4b4d309fp-16, 0x1.d6e8a8f14cba6p-16, 0x1.df327ade9fe8p-16, 0x1.e70e5bb522eadp-16, 0x1.ee803b6881aecp-16, 0x1.f58bdad29cd64p-16, 0x1.fc34cdd102336p-16, 0x1.013f3ea2cf671p-15, 0x1.04361487b7ccfp-15, 0x1.070074f615ed4p-15, 0x1.099fd9a20dbc5p-15, 0x1.0c15aa73a7b16p-15, 0x1.0e633e5d30ebdp-15, 0x1.1089dc2b42cddp-15, 0x1.128abb47f071bp-15, 0x1.1467047b07ccep-15, 0x1.161fd2a339888p-15, 0x1.17b6335fe563cp-15, 0x1.192b27c12a39fp-15, 0x1.1a7fa4e640884p-15, 0x1.1bb4949a4be03p-15, 0x1.1ccad5e86aa3ep-15, 0x1.1dc33dac3a8dfp-15, 0x1.1e9e971acd094p-15, 0x1.1f5da4437d085p-15, 0x1.20011e91a8347p-15, 0x1.2089b74418a42p-15, 0x1.20f817de1b13ap-15, 0x1.214ce2986478fp-15, 0x1.2188b2c90653fp-15, 0x1.21ac1d49af0abp-15, 0x1.21b7b0d58f3ecp-15, 0x1.21abf667b8e93p-15, 0x1.21897191719ddp-15, 0x1.2150a0cc0d9d1p-15, 0x1.2101fdcb151d7p-15, 0x1.209dfdc7968c4p-15, 0x1.202511c85e026p-15, 0x1.1f97a6e56fa24p-15, 0x1.1ef6268a230a3p-15, 0x1.1e40f6b365638p-15, 0x1.1d787a29bd2cdp-15, 0x1.1c9d10ba1a551p-15, 0x1.1baf1769f8bd3p-15, 0x1.1aaee8aa9604ep-15, 0x1.199cdc8595dfcp-15, 0x1.187948cc557dp-15, 0x1.174481430bd51p-15, 0x1.15fed7c615a7bp-15, 0x1.14a89c713531bp-15, 0x1.13421dc23ddebp-15, 0x1.11cba8bb9bf3bp-15, 0x1.104589024047ap-15, 0x1.0eb008fb6ecdap-15, 0x1.0d0b71e8e0044p-15, 0x1.0b580c02bf7adp-15, 0x1.09961e8d20c42p-15, 0x1.07c5eff16705fp-15, 0x1.05e7c5d24562p-15, 0x1.03fbe51e4dp-15, 0x1.020292224452fp-15, 0x1.fff821334aa0dp-16, 0x1.fbd1477d95e6p-16, 0x1.f7911caf5a3a5p-16, 0x1.f338258602ba7p-16, 0x1.eec6e60947e4fp-16, 0x1.ea3de1a15236p-16, 0x1.e59d9b2631b83p-16, 0x1.e0e694f45c87ap-16, 0x1.dc1950fd07ed6p-16, 0x1.d73650d2036fcp-16, 0x1.d23e15b115115p-16, 0x1.cd31209057867p-16, 0x1.c80ff2280c4cbp-16, 0x1.c2db0afb47c29p-16, 0x1.bd92eb597e315p-16, 0x1.b8381368af3dap-16, 0x1.b2cb0327c3307p-16, 0x1.ad4c3a723750fp-16, 0x1.a7bc390027fafp-16, 0x1.a21b7e6a6ca98p-16, 0x1.9c6a8a29af37fp-16, 0x1.96a9db93a33b8p-16, 0x1.90d9f1da4374fp-16, 0x1.8afb4c0a4a8b3p-16, 0x1.850e690b85302p-16, 0x1.7f13c7989953ap-16, 0x1.790be63c2c31ap-16, 0x1.72f7434d0d9e4p-16, 0x1.6cd65ce8d4d7p-16, 0x1.66a9b0ee31ab1p-16, 0x1.6071bcf6b1d8bp-16, 0x1.5a2efe522630bp-16, 0x1.53e1f1fe8754p-16, 0x1.4d8b14a0400bap-16, 0x1.472ae27ac90cep-16, 0x1.40c1d76a98222p-16, 0x1.3a506edf6007cp-16, 0x1.33d723d1380b7p-16, 0x1.2d5670b9583d2p-16, 0x1.26cecf8a8b69p-16, 0x1.2040b9a7dc8adp-16, 0x1.19aca7ddb899dp-16, 0x1.131312595aefep-16, 0x1.0c7470a0620c1p-16, 0x1.05d1398957297p-16, 0x1.fe53c66262c37p-17, 0x1.f0fdc5e882db4p-17, 0x1.e3a15ac971cfap-17, 0x1.d63f6c8d84486p-17, 0x1.c8d8e10879467p-17, 0x1.bb6e9c4d8f38bp-17, 0x1.ae01809d14366p-17, 0x1.a0926e558dad9p-17, 0x1.932243e33b413p-17, 0x1.85b1ddb6484c3p-17, 0x1.7842162df62dcp-17, 0x1.6ad3c58e0409bp-17, 0x1.5d67c1eefe4b1p-17, 0x1.4ffedf2f04533p-17, 0x1.4299eee4fab84p-17, 0x1.3539c055202ecp-17, 0x1.27df2065dba95p-17, 0x1.1a8ad99073551p-17, 0x1.0d3db3d597ffap-17, 0x1.fff0e96525d21p-18, 0x1.e577be26a77b6p-18, 0x1.cb116696a7accp-18, 0x1.b0bf5e17f254p-18, 0x1.96831aaeb77b6p-18, 0x1.7c5e0cf1e2d07p-18, 0x1.62519ff84ec5ap-18, 0x1.485f394442741p-18, 0x1.2e8838b4c5f79p-18, 0x1.14cdf87a5bcddp-18, 0x1.f6639a12f09e6p-19, 0x1.c36a0a0e27f4ep-19, 0x1.90b1d27ec1f57p-19, 0x1.5e3d792db6677p-19, 0x1.2c0f77ffc4e5dp-19, 0x1.f45479bfccd38p-20, 0x1.912053787bc32p-20, 0x1.2e8728cb7697ep-20, 0x1.991b19fe69f71p-21, 0x1.acdfebdef94eep-22, 0x1.515aa13ae72e9p-25, -0x1.55d66c76a5769p-22, -0x1.698a48f131d64p-21, -0x1.135faea734f97p-20, -0x1.71413a15b6b6dp-20, -0x1.ce65e0012359ap-20, -0x1.1564e93bee103p-19, -0x1.4334ae34b8ba3p-19, -0x1.70a070cdbb421p-19, -0x1.9da66f543e59bp-19, -0x1.ca44f46ee004fp-19, -0x1.f67a5731039c6p-19, -0x1.11227d828f394p-18, -0x1.26d1a7d659522p-18, -0x1.3c49e89b33e9p-18, -0x1.518a83fc5997bp-18, -0x1.6692c4417358bp-18, -0x1.7b61f9c126c53p-18, -0x1.8ff77ae53876ap-18, -0x1.a452a41e9e838p-18, -0x1.b872d7dfd86dcp-18, -0x1.cc577e95bcc44p-18, -0x1.e000069b53217p-18, -0x1.f36be4344af09p-18, -0x1.034d48bdd5392p-17, -0x1.0cc5c730bb083p-17, -0x1.161f304f5c62p-17, -0x1.1f5949d330fd9p-17, -0x1.2873dc4f9b068p-17, -0x1.316eb32a8126ep-17, -0x1.3a499c97c1a53p-17, -0x1.4304698e423bfp-17, -0x1.4b9eedc54061cp-17, -0x1.5418ffac6dccfp-17, -0x1.5c727865e7f84p-17, -0x1.64ab33bf7a5bp-17, -0x1.6cc3102a23bf8p-17, -0x1.74b9eeb3d4225p-17, -0x1.7c8fb2fefc688p-17, -0x1.84444339c34bcp-17, -0x1.8bd78819c3d74p-17, -0x1.93496cd17246ap-17, -0x1.9a99df08dd428p-17, -0x1.a1c8ced5f60f2p-17, -0x1.a8d62eb4b905cp-17, -0x1.afc1f37e8f2d8p-17, -0x1.b68c145f80a93p-17, -0x1.bd348ad18fc45p-17, -0x1.c3bb529128d29p-17, -0x1.ca206996de2f4p-17, -0x1.d063d00e6d9a9p-17, -0x1.d685884cebf8bp-17, -0x1.dc8596c8bb5b5p-17, -0x1.e2640210a0388p-17, -0x1.e820d2c1a7fdap-17, -0x1.edbc13806ee2p-17, -0x1.f335d0ef6708cp-17, -0x1.f88e19a4f5d69p-17, -0x1.fdc4fe23adb72p-17, -0x1.016d486864901p-16, -0x1.03e772f5e73a5p-16, -0x1.065109c20b04fp-16, -0x1.08aa18b83e39dp-16, -0x1.0af2aca3998acp-16, }}, 
      {{-0x1.96126f77b0ddap-1, -0x1.962b165929578p-1, -0x1.964b41129db9cp-1, -0x1.966928ca20634p-1, -0x1.967ad36282fa8p-1, -0x1.96771edef3733p-1, -0x1.9656532d28d31p-1, -0x1.961262a4559c1p-1, -0x1.95a6f5bdc23e5p-1, -0x1.951155f23ad76p-1, -0x1.94504576abd9p-1, -0x1.9363cd29e9f37p-1, -0x1.924d06e93ea62p-1, -0x1.910de8538d758p-1, -0x1.8fa9107ee7d7dp-1, -0x1.8e219a1896c01p-1, -0x1.8c7af2b05dd6dp-1, -0x1.8ab8b77403e7ap-1, -0x1.88de974e2bbb5p-1, -0x1.86f03a26d7c44p-1, -0x1.84f12ce3e3643p-1, -0x1.82e4d1b6011dap-1, -0x1.80ce54372bd8dp-1, -0x1.7eb0a0deb1effp-1, -0x1.7c8e5f52f0871p-1, -0x1.7a69ef27c0214p-1, -0x1.784566a16c9ep-1, -0x1.7622931dd6309p-1, -0x1.7402facf8d1bfp-1, -0x1.71e7df80db85fp-1, -0x1.6fd2421e65987p-1, -0x1.6dc2e6d23d822p-1, -0x1.6bba5980b9032p-1, -0x1.69b8f27fffefbp-1, -0x1.67bedb6a377e5p-1, -0x1.65cc13f030de2p-1, -0x1.63e07697e17f8p-1, -0x1.61fbbd5675e24p-1, -0x1.601d85f9bdc73p-1, -0x1.5e455658033b9p-1, -0x1.5c72a0401da1bp-1, -0x1.5aa4c525de18bp-1, -0x1.58db1988cc514p-1, -0x1.5714e814adaacp-1, -0x1.5551747c7cd7cp-1, -0x1.538ffe1162b3ap-1, -0x1.51cfc217f7075p-1, -0x1.500ffdde8ca98p-1, -0x1.4e4ff097a9dcep-1, -0x1.4c8edcfc0b9a3p-1, -0x1.4acc0ab7ac2d7p-1, -0x1.4906c7a55b8b3p-1, -0x1.473e68dc6f30ap-1, -0x1.45724b93fd8f9p-1, -0x1.43a1d5df0af57p-1, -0x1.41cc7744e219fp-1, -0x1.3ff1a938b6943p-1, -0x1.3e10ef7387df3p-1, -0x1.3c29d8330f2d4p-1, -0x1.3a3bfc605d1d6p-1, -0x1.3846ffa0a1155p-1, -0x1.364a90526b1bcp-1, -0x1.3446677990977p-1, -0x1.323a489bba09fp-1, -0x1.3026018f74c42p-1, -0x1.2e096a3f83adbp-1, -0x1.2be464640b395p-1, -0x1.29b6db330befdp-1, -0x1.2780c3098d9cp-1, -0x1.2542190eb404fp-1, -0x1.22fae2d1e3a7cp-1, -0x1.20ab2de5004eep-1, -0x1.1e530f73b84bfp-1, -0x1.1bf2a3d8badedp-1, -0x1.198a0e319c9f2p-1, -0x1.171977f22463p-1, -0x1.14a110779ebddp-1, -0x1.12210c9cca1cbp-1, -0x1.0f99a64edb7a8p-1, -0x1.0d0b1c241234p-1, -0x1.0a75b0f439515p-1, -0x1.07d9ab7372697p-1, -0x1.053755cf95c4ap-1, -0x1.028efd5065c13p-1, -0x1.ffc1e3f59cdcep-2, -0x1.fa5b0c6ebf199p-2, -0x1.f4ea1cf8444dbp-2, -0x1.ef6fc1f3d5efdp-2, -0x1.e9ecaa9a74adep-2, -0x1.e46188657adfbp-2, -0x1.decf0e7eed777p-2, -0x1.d935f13921971p-2, -0x1.d396e58dbc128p-2, -0x1.cdf2a0a3f31eap-2, -0x1.c849d75e0c04ap-2, -0x1.c29d3dedf0c94p-2, -0x1.bced8770c283fp-2, -0x1.b73b6591405f8p-2, -0x1.b1878830dde24p-2, -0x1.abd29d1750a38p-2, -0x1.a61d4fa872ae7p-2, -0x1.a06848a03486fp-2, -0x1.9ab42dd477ab6p-2, -0x1.9501a1fc91cd6p-2, -0x1.8f51447e3dd3dp-2, -0x1.89a3b13fc8f17p-2, -0x1.83f9807f36c59p-2, -0x1.7e5346ae2b43p-2, -0x1.78b194525a286p-2, -0x1.7314f5ea41fb2p-2, -0x1.6d7df3d5fc6dp-2, -0x1.67ed1243e709ep-2, -0x1.6262d120f19a5p-2, -0x1.5cdfac0c574b4p-2, -0x1.57641a4e8c834p-2, -0x1.51f08ed3364a2p-2, -0x1.4c857825ecd04p-2, -0x1.47234071a02e7p-2, -0x1.41ca4d8272114p-2, -0x1.3c7b00c9cdc6fp-2, -0x1.3735b7649e245p-2, -0x1.31faca236f1d4p-2, -0x1.2cca8d9457e15p-2, -0x1.27a5520e85776p-2, -0x1.228b63bf40056p-2, -0x1.1d7d0ab84d4c1p-2, -0x1.187a8aff861edp-2, -0x1.1384249f8b0cfp-2, -0x1.0e9a13b97036p-2, -0x1.09bc90974b2dep-2, -0x1.04ebcfbf8426cp-2, -0x1.00280208d5446p-2, -0x1.f6e2a95db8c82p-3, -0x1.ed8fe2ce60ca7p-3, -0x1.e457fcedb2cc8p-3, -0x1.db3b3d904f215p-3, -0x1.d239e40195177p-3, -0x1.c95429303c4dp-3, -0x1.c08a3fdb39a97p-3, -0x1.b7dc54becf70fp-3, -0x1.af4a8ec1b192fp-3, -0x1.a6d50f221e89bp-3, -0x1.9e7bf1a2e15a6p-3, -0x1.963f4cb81fb07p-3, -0x1.8e1f31b3def67p-3, -0x1.861bacf236c02p-3, -0x1.7e34c6051d2bep-3, -0x1.766a7fdfb9e0cp-3, -0x1.6ebcd9013c259p-3, -0x1.672bcb9f22787p-3, -0x1.5fb74dcee3d24p-3, -0x1.585f51af00bd7p-3, -0x1.5123c58f61dep-3, -0x1.4a0494190e777p-3, -0x1.4301a4751d098p-3, -0x1.3c1ada72fa296p-3, -0x1.355016addb5e1p-3, -0x1.2ea136b178645p-3, -0x1.280e151df69dcp-3, -0x1.219689cb086efp-3, -0x1.1b3a69ea424dcp-3, -0x1.14f988289e76dp-3, -0x1.0ed3b4cf34914p-3, -0x1.08c8bde318f04p-3, -0x1.02d86f4476cc5p-3, -0x1.fa052599a271cp-4, -0x1.ee8de0d8fa9f1p-4, -0x1.e34a9c8e89b39p-4, -0x1.d83ae1a08d2cbp-4, -0x1.cd5e35ca0888cp-4, -0x1.c2b41bcf558a2p-4, -0x1.b83c13b126e54p-4, -0x1.adf59addfb971p-4, -0x1.a3e02c621d46cp-4, -0x1.99fb41160846fp-4, -0x1.90464fcb74453p-4, -0x1.86c0cd78d2357p-4, -0x1.7d6a2d636cdbdp-4, -0x1.7441e14818c78p-4, -0x1.6b47598289095p-4, -0x1.627a053344f2dp-4, -0x1.59d952644c3dfp-4, -0x1.5164ae2c6c6c7p-4, -0x1.491b84d1513abp-4, -0x1.40fd41e8526d9p-4, -0x1.390950760bd49p-4, -0x1.313f1b0cbf7f5p-4, -0x1.299e0be98fb2bp-4, -0x1.22258d109204fp-4, -0x1.1ad50867c4415p-4, -0x1.13abe7d0ed451p-4, -0x1.0ca99542697dbp-4, -0x1.05cd7adeefb22p-4, -0x1.fe2e0618a552dp-5, -0x1.f10b31128d18dp-5, -0x1.e4314d045d289p-5, -0x1.d79f3149fa1b9p-5, -0x1.cb53b6684ff3ep-5, -0x1.bf4db6317a6a9p-5, -0x1.b38c0be72f742p-5, -0x1.a80d945b7c85ap-5, -0x1.9cd12e0fe39e7p-5, -0x1.91d5b952e358fp-5, -0x1.871a185bf2ceap-5, -0x1.7c9d2f65ffbbbp-5, -0x1.725de4c87970ep-5, -0x1.685b210ef489bp-5, -0x1.5e93cf0f6bfa1p-5, -0x1.5506dbff3814ap-5, -0x1.4bb33786b5341p-5, -0x1.4297d3d3af23ep-5, -0x1.39b3a5aa9a149p-5, -0x1.3105a4769f704p-5, -0x1.288cca58891e6p-5, -0x1.2048143498eeap-5, -0x1.183681bf4efc1p-5, -0x1.105715892c672p-5, -0x1.08a8d5097ad86p-5, -0x1.012ac8a81fd53p-5, -0x1.f3b7f78d0accbp-6, -0x1.e576f98f4104bp-6, -0x1.d790ba2e37d5fp-6, -0x1.ca03625f66e83p-6, -0x1.bccd214180d11p-6, -0x1.afec2c260e76fp-6, -0x1.a35ebe9988d55p-6, -0x1.97231a6a139d9p-6, -0x1.8b3787acd52e6p-6, -0x1.7f9a54c200ffep-6, -0x1.7449d657ab075p-6, -0x1.6944676b5a39ap-6, -0x1.5e88694a7f77bp-6, -0x1.54144391cb436p-6, -0x1.49e6642b7a2aap-6, -0x1.3ffd3f4c9fa58p-6, -0x1.36574f716f67cp-6, -0x1.2cf31558a8549p-6, -0x1.23cf17fe173b5p-6, -0x1.1ae9e494445c4p-6, -0x1.12420e7d520bp-6, -0x1.09d62f431eba8p-6, -0x1.01a4e68ea4d13p-6, -0x1.f359b43d7148p-7, -0x1.e3d96b7c2601bp-7, -0x1.d4c656717f01ap-7, -0x1.c61de4a20a4ebp-7, -0x1.b7dd9167577f7p-7, -0x1.aa02e3d79ba65p-7, -0x1.9c8b6eac49d6ep-7, -0x1.8f74d027ceb5cp-7, -0x1.82bcb1fa63d16p-7, -0x1.7660c92612afep-7, -0x1.6a5ed5e211cafp-7, -0x1.5eb4a37d4fd91p-7, -0x1.536008406e20bp-7, -0x1.485ee54f1351bp-7, -0x1.3daf2688c1d09p-7, -0x1.334ec2691a605p-7, -0x1.293bb9e7bd679p-7, -0x1.1f741857a8e77p-7, -0x1.15f5f3464c8f2p-7, -0x1.0cbf6a5a34658p-7, -0x1.03cea73172022p-7, -0x1.f643ba7f80366p-8, -0x1.e56e9358d006ap-8, -0x1.d51a665fded75p-8, -0x1.c543d3e363c42p-8, -0x1.b5e78eca8256bp-8, -0x1.a7025c4f665bep-8, -0x1.989113b9c2badp-8, -0x1.8a909e192e3d9p-8, -0x1.7cfdf5ff87aa7p-8, -0x1.6fd6273b4359bp-8, -0x1.63164e91d8e0bp-8, -0x1.56bb997a481afp-8, -0x1.4ac345d7c432p-8, -0x1.3f2aa1b49c92bp-8, -0x1.33ef0afd47f0ep-8, -0x1.290def3bcd96dp-8, -0x1.1e84cb53678fep-8, -0x1.14512b3c94927p-8, -0x1.0a70a9c181bb7p-8, -0x1.00e0f03ad1bd3p-8, -0x1.ef3f6c99aafb2p-9, -0x1.dd55834a93ae2p-9, -0x1.cbffcb7323875p-9, -0x1.bb3a070acbcf1p-9, -0x1.ab00129435f55p-9, -0x1.9b4de49cd47ap-9, -0x1.8c1f8d3dc47a7p-9, -0x1.7d71359dd51acp-9, -0x1.6f3f1f74c63fp-9, -0x1.6185a48fbbc39p-9, -0x1.544136572cb3p-9, -0x1.476e5d55e384p-9, -0x1.3b09b8c1bde2ep-9, -0x1.2f0ffe0584d48p-9, -0x1.237df84c24b0ep-9, -0x1.1850880d7b014p-9, -0x1.0d84a29c7ce43p-9, -0x1.031751b6fce75p-9, -0x1.f20b662d962edp-10, -0x1.de99f0086e519p-10, -0x1.cbd4c9d47bcfbp-10, -0x1.b9b6a1d8630cbp-10, -0x1.a83a4af9a669ap-10, -0x1.975abbee6bb22p-10, -0x1.87130e7178fe5p-10, -0x1.775e7e79dc944p-10, -0x1.683869757be19p-10, -0x1.599c4d86afd58p-10, -0x1.4b85c8c5508dep-10, -0x1.3df098823d273p-10, -0x1.30d8988e5640dp-10, -0x1.2439c284665a9p-10, -0x1.18102d1620946p-10, -0x1.0c580b5c302e5p-10, -0x1.010dac29b164cp-10, -0x1.ec5af2c3c9968p-11, -0x1.d767eea2c1e8cp-11, -0x1.c33b881495e43p-11, -0x1.afcf2d8686873p-11, -0x1.9d1c7e738b62cp-11, -0x1.8b1d4a2df68cdp-11, -0x1.79cb8eaf09a95p-11, -0x1.6921776cb9be1p-11, -0x1.59195c34b5267p-11, -0x1.49adc00d5b11ep-11, -0x1.3ad9501cd6506p-11, -0x1.2c96e294e4babp-11, -0x1.1ee175a43277dp-11, -0x1.11b42e6dbdfedp-11, -0x1.050a58052ae7dp-11, -0x1.f1bec4e0d969cp-12, -0x1.da5dc35eb0acbp-12, -0x1.c3e9198f9c801p-12, -0x1.ae5879ad0c21bp-12, -0x1.99a3d84c751e1p-12, -0x1.85c36a955e822p-12, -0x1.72afa4829e97ep-12, -0x1.6061372d1907bp-12, -0x1.4ed10f2088882p-12, -0x1.3df852b8339f4p-12, -0x1.2dd0608647df1p-12, -0x1.1e52cdc43dbacp-12, -0x1.0f7964cbf94c9p-12, -0x1.013e239a4ead1p-12, -0x1.e73674b555a1ap-13, -0x1.cd1613f2f0be7p-13, -0x1.b410458264734p-13, -0x1.9c1a85fd6dafp-13, -0x1.852aab5bf232p-13, -0x1.6f36e25da3865p-13, -0x1.5a35ac04e0659p-13, -0x1.461ddb20087a9p-13, -0x1.32e691e09674p-13, -0x1.20873f83d37dap-13, -0x1.0ef79e095e8e4p-13, -0x1.fc5f5ff095fccp-14, -0x1.dc4f7c646159ep-14, -0x1.bdb0ababa2da9p-14, -0x1.a0748c5adf486p-14, -0x1.848d3d551ae5ap-14, -0x1.69ed59e212d39p-14, -0x1.5087f5d9c4b1ap-14, -0x1.385099ec8985ep-14, -0x1.213b4002fe608p-14, -0x1.0b3c4fb65f8fp-14, -0x1.ec9135c0ffa5p-15, -0x1.c4aab48555642p-15, -0x1.9eb05488aa808p-15, -0x1.7a8e0f8f388f1p-15, -0x1.58309a27fb251p-15, -0x1.37855db022c7ep-15, -0x1.187a727bd9423p-15, -0x1.f5fd3453131bp-16, -0x1.be02743abf5c9p-16, -0x1.88e4ac474782ep-16, -0x1.5685167cbd8c4p-16, -0x1.26c6151e4490ep-16, -0x1.f31651b7d291fp-17, -0x1.9d71ce88e4a67p-17, -0x1.4c69e2f41a5ep-17, -0x1.ff97aca8e2315p-18, -0x1.6ecdc7243e72cp-18, -0x1.cc30a09157b4ap-19, -0x1.94749c84cbaeap-20, 0x1.47a513e380317p-22, 0x1.0e02a1b50fedep-19, 0x1.e58f91e259ed7p-19, 0x1.581a8145837e9p-18, 0x1.b743348eb4c88p-18, 0x1.084456015c54bp-17, 0x1.32176d003bf28p-17, 0x1.593b79fb20099p-17, 0x1.7dcfc5be416d2p-17, 0x1.9ff2534f9067cp-17, 0x1.bfbfebb57f488p-17, 0x1.dd5429646ecbdp-17, 0x1.f8c9834d45733p-17, 0x1.091cabc63a368p-16, 0x1.14ddfae755eb8p-16, 0x1.1fb454a9f8b76p-16, 0x1.29aae1534bffap-16, 0x1.32cc507f130b8p-16, 0x1.3b22ddae92bdep-16, 0x1.42b854acf220dp-16, 0x1.499615d356fabp-16, 0x1.4fc51a20986b6p-16, 0x1.554df73786bcdp-16, 0x1.5a38e33722da3p-16, 0x1.5e8db87201b35p-16, 0x1.6253f9026db11p-16, 0x1.6592d24743291p-16, 0x1.68512037479a9p-16, 0x1.6a9570a634649p-16, 0x1.6c660660867cep-16, 0x1.6dc8dc2e53c3p-16, 0x1.6ec3a7be2222dp-16, 0x1.6f5bdc75c766bp-16, 0x1.6f96ae2476035p-16, 0x1.6f7913a47ade6p-16, 0x1.6f07c95ed21d4p-16, 0x1.6e4753b686ff7p-16, 0x1.6d3c016733166p-16, 0x1.6be9edc2bf07cp-16, 0x1.6a5502df5ea51p-16, 0x1.6880fbaffbf5ap-16, 0x1.6671660b14053p-16, 0x1.6429a498f86c4p-16, 0x1.61acf0b676a16p-16, 0x1.5efe5c4170dc2p-16, 0x1.5c20d3510342dp-16, 0x1.59171de57dfc8p-16, 0x1.55e3e1802037ep-16, 0x1.5289a2af0d075p-16, 0x1.4f0ac6880ef56p-16, 0x1.4b6994151b52fp-16, 0x1.47a835b2e258bp-16, 0x1.43c8ba614308fp-16, 0x1.3fcd1708ca96fp-16, 0x1.3bb727ae83b3fp-16, 0x1.3788b09d1fec7p-16, 0x1.33435f8442ae8p-16, 0x1.2ee8cc8b73256p-16, 0x1.2a7a7b5715ddp-16, 0x1.25f9dc05e32e7p-16, 0x1.21684c21fb23p-16, 0x1.1cc7178615a12p-16, 0x1.1817793eca70bp-16, 0x1.135a9c5d18b51p-16, 0x1.0e919cc11b33bp-16, 0x1.09bd87dc5e55ap-16, 0x1.04df5d6cb2f08p-16, 0x1.fff0205b051edp-17, 0x1.f6110d010203ap-17, 0x1.ec233624e2dcap-17, 0x1.e2283aebb81e2p-17, 0x1.d821a567480a1p-17, 0x1.ce10ebbaa3ac1p-17, 0x1.c3f77120f706dp-17, 0x1.b9d686f0e462bp-17, 0x1.afaf6d92ee678p-17, 0x1.a5835569b9b6ep-17, 0x1.9b535fb095a82p-17, 0x1.91209f4f1a9f9p-17, 0x1.86ec19a56ccf6p-17, 0x1.7cb6c74a3f6aep-17, 0x1.728194c0e7d37p-17, 0x1.684d6325b957bp-17, 0x1.5e1b08d3bdd49p-17, 0x1.53eb52016549ep-17, 0x1.49bf01550ac0dp-17, 0x1.3f96d07153da6p-17, 0x1.35737079a81fp-17, 0x1.2b558a8fa2537p-17, 0x1.213dc04cc224p-17, 0x1.172cac31fc757p-17, 0x1.0d22e215c168fp-17, 0x1.0320ef8391f76p-17, 0x1.f24eb83b38b9ep-18, 0x1.de6d53ebca2p-18, 0x1.ca9eabca72666p-18, 0x1.b6e3afb3c0071p-18, 0x1.a33d4643a2d07p-18, 0x1.8fac4d6a500e2p-18, 0x1.7c319ae23a734p-18, 0x1.68cdfcb772a29p-18, 0x1.558239be76b16p-18, 0x1.424f11fb729b9p-18, 0x1.2f353f09091acp-18, 0x1.1c3574788eb33p-18, 0x1.0950602c7813bp-18, 0x1.ed0d555b870f3p-19, 0x1.c7b1eee6c89p-19, 0x1.a28fca646d2c7p-19, 0x1.7da81c3c0cf5bp-19, 0x1.58fc103e7a4fp-19, 0x1.348cca2bb0165p-19, 0x1.105b6619f66cap-19, 0x1.d8d1f1a69caep-20, 0x1.916d2059954fcp-20, 0x1.4a8a66b504e84p-20, 0x1.042bc6880f6dap-20, 0x1.7ca66b07e5024p-21, 0x1.e40a76d11e357p-22, 0x1.a1def0405f94bp-23, -0x1.ffe6a9f5c8facp-25, -0x1.4eb34a5e0daadp-22, -0x1.2d967434c7eb2p-21, -0x1.b2b16bd69cbbdp-21, -0x1.1b53999b44658p-20, -0x1.5cba4212eb939p-20, -0x1.9d8b154f288b6p-20, -0x1.ddc482301c084p-20, -0x1.0eb2802514068p-19, -0x1.2e3587f479055p-19, -0x1.4d6a9ce7ee756p-19, -0x1.6c51079770a37p-19, -0x1.8ae814ce31874p-19, -0x1.a92f157acfc63p-19, -0x1.c7255eadda3c9p-19, -0x1.e4ca49950017cp-19, -0x1.010e99bf64dd4p-18, -0x1.0f8ebeec76366p-18, -0x1.1de547182b858p-18, -0x1.2c11e7138d29bp-18, -0x1.3a1455c306bbdp-18, -0x1.47ec4c1e4bf6bp-18, -0x1.5599853105139p-18, -0x1.631bbe200df17p-18, -0x1.7072b62be8b21p-18, -0x1.7d9e2eafac7bbp-18, -0x1.8a9deb29870ep-18, -0x1.9771b13a044ap-18, -0x1.a41948ab790fp-18, -0x1.b0947b751a21ep-18, -0x1.bce315bcbe1abp-18, -0x1.c904e5d7f4f9dp-18, -0x1.d4f9bc52bb6a8p-18, -0x1.e0c16bf2f5ae4p-18, -0x1.ec5bc9b9f46f8p-18, -0x1.f7c8aceb32aep-18, -0x1.0183f7869d4cep-17, -0x1.070cb5f4debfbp-17, -0x1.0c7e80cada66ep-17, -0x1.11d94837992c1p-17, -0x1.171cfd9145832p-17, -0x1.1c49935693207p-17, -0x1.215efd2fa646ep-17, -0x1.265d2fec94255p-17, -0x1.2b442187fa7d3p-17, -0x1.3013c927b20ccp-17, -0x1.34cc1f1c4ddcdp-17, -0x1.396d1ce236babp-17, -0x1.3df6bd227e34p-17, -0x1.4268fbb0e474cp-17, -0x1.46c3d58cc9872p-17, -0x1.4b0748e1900b7p-17, -0x1.4f335504b4f51p-17, -0x1.5347fa767b09cp-17, -0x1.57453ae1631fbp-17, -0x1.5b2b191852d79p-17, -0x1.5ef9991570ec1p-17, -0x1.62b0bff94a927p-17, -0x1.6650940a99d5p-17, -0x1.69d91cb30d3cap-17, -0x1.6d4a627f127dep-17, -0x1.70a46f1c45d56p-17, -0x1.73e74d55e78b9p-17, -0x1.771309149556fp-17, -0x1.7a27af5bc1d76p-17, -0x1.7d254e46d87b4p-17, -0x1.800bf5075f09p-17, -0x1.82dbb3e322b04p-17, -0x1.85949c30612c3p-17, -0x1.8836c0534ea85p-17, -0x1.8ac233bb57e8fp-17, -0x1.8d370ae0fa557p-17, -0x1.8f955b41c7a21p-17, -0x1.91dd3b5d52f1ap-17, -0x1.940ec2b2bb0d1p-17, -0x1.962a09bc92ab9p-17, -0x1.982f29ed00ef7p-17, -0x1.9a1e3dabc1ca5p-17, -0x1.9bf760512c02bp-17, -0x1.9dbaae22b23f5p-17, -0x1.9f68444ff5a1p-17, -0x1.a10040ee199aep-17, -0x1.a282c2f40141ap-17, -0x1.a3efea360ae7p-17, -0x1.a547d7627cf83p-17, -0x1.a68aabfdd045bp-17, -0x1.a7b88a5d7c637p-17, -0x1.a8d195a430a59p-17, -0x1.a9d5f1be426fap-17, -0x1.aac5c35c3e7e7p-17, -0x1.aba12feefddd9p-17, -0x1.ac685da3f19ffp-17, -0x1.ad1b735fdb13p-17, -0x1.adba98ba1f96dp-17, -0x1.ae45f5f953c03p-17, -0x1.aebdb40e14b0dp-17, -0x1.af21fc8eae15p-17, -0x1.af72f9b247127p-17, -0x1.afb0d64c671fep-17, -0x1.afdbbdc91963ep-17, -0x1.aff3dc276f954p-17, -0x1.aff95df4dfe9ep-17, -0x1.afec704992401p-17, -0x1.afcd40c38d0ddp-17, -0x1.af9bfd80e4aacp-17, -0x1.af58d51d315aap-17, -0x1.af03f6ab6b018p-17, -0x1.ae9d91b1abf36p-17, -0x1.ae25d62493361p-17, -0x1.ad9cf46367df9p-17, -0x1.ad031d3321fd9p-17, -0x1.ac5881b9de22p-17, -0x1.ab9d537a12f7cp-17, -0x1.aad1c44ece91bp-17, -0x1.a9f60666e7acap-17, -0x1.a90a4c4052f84p-17, -0x1.a80ec8a3c06ebp-17, -0x1.a703aea16ff67p-17, -0x1.a5e9318bafefbp-17, -0x1.a4bf84f238417p-17, -0x1.a386dc9fcb9fap-17, -0x1.a23f6c941d55dp-17, -0x1.a0e969002fbc4p-17, -0x1.9f8506422b34ep-17, -0x1.9e1278e1c3d52p-17, -0x1.9c91f58c541ecp-17, -0x1.9b03b11040b29p-17, -0x1.9967e05918ccdp-17, -0x1.97beb86bab3adp-17, -0x1.96086e628e9adp-17, -0x1.94453769cd1d5p-17, -0x1.927548bb0c366p-17, -0x1.9098d79aed09fp-17, -0x1.8eb01954dac38p-17, -0x1.8cbb433638f5dp-17, -0x1.8aba8a8ce5b2fp-17, -0x1.88ae24a28911dp-17, -0x1.869646b8f0c11p-17, -0x1.84732606d9217p-17, -0x1.8244f7b485602p-17, -0x1.800bf0d9f80f3p-17, -0x1.7dc8467a0623cp-17, -0x1.7b7a2d7fb5f16p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      40, 0x1.2cccccccccccdp+2, 0x1.461f0ec0497dap+2, 0x1.5e90f6143a186p+3, 0x1.94531de6a9659p-5, 
      {{
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c27b7ea310b05p-4, -0x1.3c567774cf856p-2, 0x1.92fc7cd18d9aep-1, -0x1.8167d6a199c66p+1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.89bba2c066548p-4, -0x1.02dd66401db5p-2, 0x1.577c5e7ac9164p-2, -0x1.b2f4d574649fdp-1}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.58f5bb10978c4p-4, -0x1.ce14ca3fa5939p-3, 0x1.a9ff7016229a5p-3, -0x1.d22178f933353p-8}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.2ce0cbf1020e5p-4, -0x1.a39736ceee81dp-3, 0x1.a7d014b82ac38p-3, -0x1.bc3bb1ab4bc74p-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.04fb8a4936dbbp-4, -0x1.7ae011e1f5133p-3, 0x1.867ecdcb51e14p-3, -0x1.3ea17bd3fe58ap-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.c203f12a9bfb9p-5, -0x1.55054668571ebp-3, 0x1.6e9917b505344p-3, -0x1.51e8c0144dd55p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.81648d420ad94p-5, -0x1.31a0c2327973bp-3, 0x1.55413c804c2acp-3, -0x1.3e5debe933a07p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.4799a30f82177p-5, -0x1.10b2446447783p-3, 0x1.3d60979b9b7ecp-3, -0x1.3539ff5429ba6p-4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.1428476915575p-5, -0x1.e43c87e5968d2p-4, 0x1.262f7142185d6p-3, -0x1.294c8cd23bc3dp-4}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.cd33d388482aap-6, -0x1.aba10e761b164p-4, 0x1.0fe34d18ba489p-3, -0x1.1e1e4a6dd567p-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7cf8a86ab34b5p-6, -0x1.7765be51fbe91p-4, 0x1.f4dba8a0faf49p-4, -0x1.12bccd802fdabp-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.36c356e15a704p-6, -0x1.475f4609e32cbp-4, 0x1.cba5bd00f3c72p-4, -0x1.07690a9a0a986p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.f381bb2587529p-7, -0x1.1b620c2d81eacp-4, 0x1.a422c836a5639p-4, -0x1.f823343e27e2cp-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8a4de0c81974fp-7, -0x1.e685152f459d2p-5, 0x1.7e53577ec8cbdp-4, -0x1.e1764bdfce941p-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3067f0f1d63b7p-7, -0x1.9daa6bef460b9p-5, 0x1.5a37450132e74p-4, -0x1.cac8dc4ce6fb9p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.c8bc50ceaff1cp-8, -0x1.5bdd08bef879ap-5, 0x1.37ce9ae1d4c76p-4, -0x1.b41b90f47278fp-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.49a05cd4d0db4p-8, -0x1.20c5d70447195p-5, 0x1.1719566918fe7p-4, -0x1.9d6e3be6e1ee6p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c1bc52e802f61p-9, -0x1.d81b84b00f454p-6, 0x1.f02ef0a2c34cap-5, -0x1.86c0e9733c791p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.17f55e4925d2p-9, -0x1.7abb6c8ad5ea6p-6, 0x1.b59200d17a3a1p-5, -0x1.7013964d1f1d5p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.2276ed64d4266p-10, -0x1.28bd3cb693b2bp-6, 0x1.7e5bdd791bf5ep-5, -0x1.59664356db477p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.491f07ef68e7fp-12, -0x1.c2e5989e09302p-7, 0x1.4a8c86927b114p-5, -0x1.42b8f053ba037p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.23b3a02bb07cp-12, -0x1.485be4e0d5dcep-7, 0x1.1a23fc1f8590fp-5, -0x1.2c0b9d541e5bap-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.6dcbbe509b42p-11, -0x1.c10218db949ddp-8, 0x1.da447c3f686d2p-6, -0x1.155e4a5375619p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.fdad3bd73bd61p-11, -0x1.13f17afa6cc3fp-8, 0x1.870e99265ecf5p-6, -0x1.fd61eea68b8f6p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.27674afab546ep-10, -0x1.0d9a991d960f6p-9, 0x1.3aa64ef3c9e0ap-6, -0x1.d00748a4cfa4cp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.36b4b911f0d91p-10, -0x1.6dcea094310f1p-12, 0x1.ea173b4fbbdb8p-7, -0x1.a2aca2a7a2658p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.3250670432a3p-10, 0x1.f4c2812bf74cbp-11, 0x1.6c7d0a83d7f11p-7, -0x1.7551fc991103fp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.1f407fbae142p-10, 0x1.f12c1634c514p-10, 0x1.f8fc17123f46dp-8, -0x1.47f756cc36b4fp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.01ffda35e84ap-10, 0x1.49e7b3782e78ap-9, 0x1.34347c97b80e3p-8, -0x1.1a9cb009161fdp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.bcfbf3176fb8p-11, 0x1.7696e08bbd79fp-9, 0x1.15468c57bbf1p-9, -0x1.da8419bc517c9p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.703e19d28a28p-11, 0x1.8414d953fbe7ep-9, -0x1.dbc72cb6d62d3p-15, -0x1.7fceb890e1f55p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.2377df2413c4p-11, 0x1.77d2e566b63b8p-9, -0x1.db6fe3ad2c3c3p-10, -0x1.2519bb8a71d6ap-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.b688a380134p-12, 0x1.57424a26b32aap-9, -0x1.9d942f29a737dp-9, -0x1.94c6918db7751p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.364fb10ee55p-12, 0x1.27d4552bedc62p-9, -0x1.0b817a36e253ap-8, -0x1.bec923469db67p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.9640ca217c001p-13, 0x1.ddf46ad92a29ep-10, -0x1.2d03c342948eap-8, -0x1.4ecf361a8356p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.dea3b7ef46c01p-14, 0x1.644b1861a2171p-10, -0x1.334ad91313d1dp-8, 0x1.1631fbcb8189dp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.e35155033b8p-15, 0x1.db19406abfe4dp-11, -0x1.1e6d7fca36e78p-8, 0x1.424250738b597p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.7b7aa28d9cp-16, 0x1.094ac04aca6ap-11, -0x1.dc2d810b5d9b1p-9, 0x1.f129b1a7aaedp-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.6deb066558p-18, 0x1.a29a48dad165dp-13, -0x1.4707655910baep-9, 0x1.5f71352ebc172p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.8c814465cd01ap-22, 0x1.0031e22ed2f74p-15, -0x1.d0a77c274c411p-11, 0x1.34a80118eda68p-7}, 
      }}, 
      0x1.3d83653d22cp-8, -0x1.eaf8f51b8a91p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{0x1.8bf3a4308374bp-4, 0x1.95d7751b85a17p-4, 0x1.a3d7de059f815p-4, 0x1.b4675250f3b1fp-4, 0x1.c64d3160a79f5p-4, 0x1.d895646cef958p-4, 0x1.ea83276f494c8p-4, 0x1.fb8699bd7568bp-4, 0x1.059a0cffd403p-3, 0x1.0c9ebb90dcb72p-3, 0x1.12b61c3750942p-3, 0x1.17ce8b0262c7bp-3, 0x1.1bde105f5dc92p-3, 0x1.1ee0ccae1ba29p-3, 0x1.20d7bccf88575p-3, 0x1.21c7976d94806p-3, 0x1.21b8210f417d7p-3, 0x1.20b3322512137p-3, 0x1.1ec46bf1e7875p-3, 0x1.1bf88f4725845p-3, 0x1.185d267322b3fp-3, 0x1.140029d89eedep-3, 0x1.0ef001179c2fap-3, 0x1.093a3e8c3393bp-3, 0x1.02ed641e88c4ep-3, 0x1.f82e00098713p-4, 0x1.e9887a996632dp-4, 0x1.da03b74bf89f3p-4, 0x1.c9b8153e94f09p-4, 0x1.b8bcd8a18f6dp-4, 0x1.a727e1dc0aefbp-4, 0x1.950e0606feaecp-4, 0x1.8282b4404dc5fp-4, 0x1.6f983a2fdd1d6p-4, 0x1.5c5fad4856963p-4, 0x1.48e92369789bcp-4, 0x1.3542880ba5d0dp-4, 0x1.217a6fab8b4aap-4, 0x1.0d9d244114098p-4, 0x1.f36c7a05b5c3dp-5, 0x1.cba021dfa338ap-5, 0x1.a3eb2f2cf368ep-5, 0x1.7c5cdf16506e2p-5, 0x1.550781f5984d9p-5, 0x1.2df8ad7c1a9ap-5, 0x1.073e7eb2082bp-5, 0x1.c1ca6a82b6594p-6, 0x1.75ef842ad0467p-6, 0x1.2b0033c93a0d1p-6, 0x1.c21d10c6d3765p-7, 0x1.3054632cd4e6dp-7, 0x1.418642eb0fb94p-8, 0x1.381812512c578p-11, -0x1.dd67ce81c9096p-9, -0x1.ff769ffbcd0d7p-8, -0x1.8592f712f3971p-7, -0x1.046a8a525dfd6p-6, -0x1.44b930cad2777p-6, -0x1.83b184ab9097fp-6, -0x1.c14eb559cfdddp-6, -0x1.fd8f9765b301fp-6, -0x1.1c3791e4835f9p-5, -0x1.38f7b8c6dabbap-5, -0x1.55064b8572136p-5, -0x1.706422599f8a2p-5, -0x1.8b117f33fe20dp-5, -0x1.a50df918cc01bp-5, -0x1.be5b8db2193a5p-5, -0x1.d6fa7fd1a1262p-5, -0x1.eeebac1b3dc65p-5, -0x1.0318817e932f1p-4, -0x1.0e65fec89a882p-4, -0x1.195ef2b6abffcp-4, -0x1.24042facd102fp-4, -0x1.2e56e42ea8efbp-4, -0x1.3857fb7552926p-4, -0x1.420866632139fp-4, -0x1.4b692e7711b14p-4, -0x1.547b9ad720f91p-4, -0x1.5d40bc5d6a2ebp-4, -0x1.65b9a9aeedddep-4, -0x1.6de79b27e12a8p-4, -0x1.75cbb6a977a76p-4, -0x1.7d674e67495a4p-4, -0x1.84bb876fb44e1p-4, -0x1.8bc99c8e86a5cp-4, -0x1.9292ca12679dep-4, -0x1.9918530512db7p-4, -0x1.9f5b68c88d513p-4, -0x1.a55d5008177c6p-4, -0x1.ab1f43a41212ap-4, -0x1.b0a27580d1e98p-4, -0x1.b5e825db96ffap-4, -0x1.baf1884703288p-4, -0x1.bfbfd01cd1e32p-4, -0x1.c454322696228p-4, -0x1.c8afe4d918319p-4, -0x1.ccd40c60fac44p-4, -0x1.d0c1cfa7eb3ep-4, -0x1.d47a540280974p-4, -0x1.d7feba0105054p-4, -0x1.db5029217aa76p-4, -0x1.de6fba5b8f896p-4, -0x1.e15e822c04213p-4, -0x1.e41d9535a934bp-4, -0x1.e6ae0f0820fe9p-4, -0x1.e910e952108d8p-4, -0x1.eb47331042d68p-4, -0x1.ed51e6c583811p-4, -0x1.ef3213d0f068ap-4, -0x1.f0e8a6bfb8839p-4, -0x1.f2769fbf035b4p-4, -0x1.f3dceacaadb42p-4, -0x1.f51c802f12569p-4, -0x1.f6363e723f487p-4, -0x1.f72b2167012fap-4, -0x1.f7fbed5732655p-4, -0x1.f8a9924b9f362p-4, -0x1.f934ebda62adbp-4, -0x1.f99ec8d4c7884p-4, -0x1.f9e7fda4d3fedp-4, -0x1.fa11587cfa775p-4, -0x1.fa1ba83733929p-4, -0x1.fa07abd47d932p-4, -0x1.f9d62f974d822p-4, -0x1.f987f0e9f1512p-4, -0x1.f91da4f2885efp-4, -0x1.f89808a416568p-4, -0x1.f7f7d126cddf6p-4, -0x1.f73dac469b68p-4, -0x1.f66a499e7709dp-4, -0x1.f57e51f9e65p-4, -0x1.f47a75a413b17p-4, -0x1.f35f4d4570b35p-4, -0x1.f22d702199ab5p-4, -0x1.f0e5996a92714p-4, -0x1.ef884c9953cadp-4, -0x1.ee1626240b3ccp-4, -0x1.ec8fc203e2978p-4, -0x1.eaf5aa945a88cp-4, -0x1.e9486fe5da445p-4, -0x1.e7889f0537721p-4, -0x1.e5b6c2f9c9c5p-4, -0x1.e3d361284bb1cp-4, -0x1.e1df00d24e187p-4, -0x1.dfda1b1ee1abdp-4, -0x1.ddc5351627682p-4, -0x1.dba0d19c6b614p-4, -0x1.d96d6a37d2d68p-4, -0x1.d72b72869b954p-4, -0x1.d4db5a9909731p-4, -0x1.d27da093b8306p-4, -0x1.d012b9288457fp-4, -0x1.cd9b0b1d17e4dp-4, -0x1.cb170b4acf5edp-4, -0x1.c88720fba6821p-4, -0x1.c5ebb3ece6f84p-4, -0x1.c34531c7100c4p-4, -0x1.c093f803dc947p-4, -0x1.bdd87e1a56b59p-4, -0x1.bb13101302c39p-4, -0x1.b8441a1ac68f5p-4, -0x1.b56bf8c844098p-4, -0x1.b28b0bae0df36p-4, -0x1.afa1a9a88386bp-4, -0x1.acb030d9b024ap-4, -0x1.a9b6f8db4e4bcp-4, -0x1.a6b65776c598ep-4, -0x1.a3aea2a04146cp-4, -0x1.a0a02daf15934p-4, -0x1.9d8b495088c56p-4, -0x1.9a704de2eb533p-4, -0x1.974f858ab96b9p-4, -0x1.94293b2f1cabap-4, -0x1.90fdc53c8a05p-4, -0x1.8dcd667992185p-4, -0x1.8a986f295b085p-4, -0x1.875f20b8e3481p-4, -0x1.8421caf1d41abp-4, -0x1.80e0afdd8a17p-4, -0x1.7d9c17bcecae1p-4, -0x1.7a544518fd11bp-4, -0x1.770978e32d113p-4, -0x1.73bbf5f31aa04p-4, -0x1.706bff627397fp-4, -0x1.6d19d1dadb5fap-4, -0x1.69c5ac7d172c4p-4, -0x1.666fc648da004p-4, -0x1.63186804dc631p-4, -0x1.5fbfc07d03b06p-4, -0x1.5c66113a66ebep-4, -0x1.590b916f3fbf9p-4, -0x1.55b077d1981d4p-4, -0x1.5254f9322c5d3p-4, -0x1.4ef94b9b05064p-4, -0x1.4b9da8944b4e3p-4, -0x1.48424188b824ap-4, -0x1.44e743c3e476ep-4, -0x1.418ce8a5df081p-4, -0x1.3e335b811ab94p-4, -0x1.3adacbcdb2eaap-4, -0x1.37836bc4dcd7cp-4, -0x1.342d675e0fac7p-4, -0x1.30d8eaf181634p-4, -0x1.2d862280a70f6p-4, -0x1.2a35392e98f86p-4, -0x1.26e65911fc943p-4, -0x1.2399aab0046fp-4, -0x1.204f564cbe65p-4, -0x1.1d07831c087cbp-4, -0x1.19c256f2bf5e5p-4, -0x1.167ff7beb9edap-4, -0x1.1340899cd6a17p-4, -0x1.10042fe70cfb5p-4, -0x1.0ccb0d0c0dc4dp-4, -0x1.099543edc1b7bp-4, -0x1.0662f488da4cbp-4, -0x1.03343ee524698p-4, -0x1.000941a0364c6p-4, -0x1.f9c4384907b3ep-5, -0x1.f37ddc3506e5ap-5, -0x1.ed3f9fb5d7e58p-5, -0x1.e709bb44ea434p-5, -0x1.e0dc63dc6ea67p-5, -0x1.dab7d7045c762p-5, -0x1.d49c4419d8134p-5, -0x1.ce89d42f9d6efp-5, -0x1.c880c2f28444dp-5, -0x1.c281383923acp-5, -0x1.bc8b5ab5951c9p-5, -0x1.b69f5c012f01cp-5, -0x1.b0bd647b54dc7p-5, -0x1.aae598ab8e258p-5, -0x1.a51822f4cc395p-5, -0x1.9f5527e6ab681p-5, -0x1.999cc6eded19dp-5, -0x1.93ef27a5e2c91p-5, -0x1.8e4c661aa4e3cp-5, -0x1.88b4a024760bfp-5, -0x1.8327f641fa605p-5, -0x1.7da6842541badp-5, -0x1.78305f4f10692p-5, -0x1.72c5a73f42743p-5, -0x1.6d667521ff3c3p-5, -0x1.6812ddb2f93e3p-5, -0x1.62caf44d2f6c1p-5, -0x1.5d8ecdf1c1a5ap-5, -0x1.585e7e4f0b977p-5, -0x1.533a19447f616p-5, -0x1.4e21ac13e8958p-5, -0x1.491544ae9e03p-5, -0x1.4414f225cc0c4p-5, -0x1.3f20c1ef4dc06p-5, -0x1.3a38bfc101aa1p-5, -0x1.355cf6a77ecb1p-5, -0x1.308d6fbbf79e2p-5, -0x1.2bca32c026c2cp-5, -0x1.271343d28b42ep-5, -0x1.2268ab5824503p-5, -0x1.1dca74d7b996fp-5, -0x1.19389982486b9p-5, -0x1.14b3233bb0455p-5, -0x1.103a182fd1047p-5, -0x1.0bcd7099498a4p-5, -0x1.076d2d1cccadep-5, -0x1.03194f885c1bfp-5, -0x1.fda3ab5e6948cp-6, -0x1.f52d7d125d3cdp-6, -0x1.ecd00a9c5ca2dp-6, -0x1.e48b4c9b9fe9bp-6, -0x1.dc5f3862892a9p-6, -0x1.d44bbfd340e32p-6, -0x1.cc50d8bfa84efp-6, -0x1.c46e7350d90c6p-6, -0x1.bca47ddd5498fp-6, -0x1.b4f2e60a01caep-6, -0x1.ad5997ff20215p-6, -0x1.a5d87e36aa355p-6, -0x1.9e6f8492373cdp-6, -0x1.971e95d53aad5p-6, -0x1.8fe599a9fef98p-6, -0x1.88c471543cdd7p-6, -0x1.81bb00abde9efp-6, -0x1.7ac92c1b54931p-6, -0x1.73eed4c041deep-6, -0x1.6d2bdc37e002cp-6, -0x1.66802712c519dp-6, -0x1.5feb964064eep-6, -0x1.596e07977cf9bp-6, -0x1.530758c4f05efp-6, -0x1.4cb76006ad103p-6, -0x1.467df40ec0467p-6, -0x1.405aee2911a91p-6, -0x1.3a4e29104d2f4p-6, -0x1.345784f89039dp-6, -0x1.2e76e1b40cb46p-6, -0x1.28ac1a648cb79p-6, -0x1.22f6fe8800231p-6, -0x1.1d5759dced66fp-6, -0x1.17cd07b46770bp-6, -0x1.1257d0c934b31p-6, -0x1.0cf778a781838p-6, -0x1.07abea5e2d1e3p-6, -0x1.02750238371c1p-6, -0x1.faa5325bad596p-7, -0x1.f08913ebce1eep-7, -0x1.e6954997661d1p-7, -0x1.dcc957333f4f2p-7, -0x1.d324bc40d7de4p-7, -0x1.c9a6fa7a7224bp-7, -0x1.c04fa7a11b314p-7, -0x1.b71e783678d55p-7, -0x1.ae13381828e99p-7, -0x1.a52db563c992ap-7, -0x1.9c6daa4433e9p-7, -0x1.93d2b1070404ep-7, -0x1.8b5c422e41d83p-7, -0x1.8309c12d4b71fp-7, -0x1.7ada94ef47a08p-7, -0x1.72ce3fefc5736p-7, -0x1.6ae465e161144p-7, -0x1.631cd29cf9cb6p-7, -0x1.5b7762eee2fc1p-7, -0x1.53f3ede328996p-7, -0x1.4c922e7dfae45p-7, -0x1.4551afd897c55p-7, -0x1.3e31d31b7d5ap-7, -0x1.3731eb891bb7cp-7, -0x1.30515086a62fap-7, -0x1.298f7aea656ccp-7, -0x1.22ec199f754eap-7, -0x1.1c670a16cbbc6p-7, -0x1.16003dbddf46ep-7, -0x1.0fb798f90bb4bp-7, -0x1.098cde46ec22fp-7, -0x1.037fa2d20e094p-7, -0x1.fb1e928e2a81fp-8, -0x1.ef7621d28dd41p-8, -0x1.e40465bd2a54dp-8, -0x1.d8c814307c374p-8, -0x1.cdc07db9bde59p-8, -0x1.c2ed5ff85abf5p-8, -0x1.b84ec1ed32f6p-8, -0x1.ade4a19fa0476p-8, -0x1.a3aead0df8345p-8, -0x1.99acb1e62786bp-8, -0x1.8fde114421ff4p-8, -0x1.864144530590ap-8, -0x1.7cd4eb9b097aep-8, -0x1.73975d0889874p-8, -0x1.6a86f7e6bf372p-8, -0x1.61a2e7f71a764p-8, -0x1.58ead13ca3eafp-8, -0x1.505e92c478cd9p-8, -0x1.47fe145986724p-8, -0x1.3fc92994b8f0cp-8, -0x1.37bfb70f33484p-8, -0x1.2fe1aa7801c28p-8, -0x1.282e9ce09df02p-8, -0x1.20a5ae1265a85p-8, -0x1.1945962e06ab5p-8, -0x1.120cd611c13ebp-8, -0x1.0afa26116efb2p-8, -0x1.040c9d3e80582p-8, -0x1.fa8734b20e4c3p-9, -0x1.ed3d184f09c26p-9, -0x1.e0399e1308ecbp-9, -0x1.d37b94111e872p-9, -0x1.c7027a1096736p-9, -0x1.bacea1fdfe4ebp-9, -0x1.aee06d4897ddap-9, -0x1.a33754568d165p-9, -0x1.97d1ce6fb1ep-9, -0x1.8cadc7d8dd7f3p-9, -0x1.81c8ed9953a69p-9, -0x1.772148503802fp-9, -0x1.6cb5ccfbfb685p-9, -0x1.6285f2adfe51ep-9, -0x1.5890e5e2c79b4p-9, -0x1.4ed4d695a7ce3p-9, -0x1.454ff8090e66ep-9, -0x1.3c01c824eca1bp-9, -0x1.32eb076df152fp-9, -0x1.2a0c22b9e45bbp-9, -0x1.21643056b8cb5p-9, -0x1.18f15e986f4dfp-9, -0x1.10b16d62237fbp-9, -0x1.08a164c341ad3p-9, -0x1.00bf25667a0ep-9, -0x1.f21598663e0b1p-10, -0x1.e30b9624211afp-10, -0x1.d45f69b873e43p-10, -0x1.c60c00b804b13p-10, -0x1.b80e526bdccc4p-10, -0x1.aa65d775f277dp-10, -0x1.9d14e58ab1fbfp-10, -0x1.901c8fb8aedbcp-10, -0x1.837c89ed43889p-10, -0x1.77313cb640b28p-10, -0x1.6b3816f5c65c2p-10, -0x1.5f8ca640bcfe3p-10, -0x1.5427ef22a3912p-10, -0x1.490a7c0ec6712p-10, -0x1.3e38d5d0815c6p-10, -0x1.33b13e7479063p-10, -0x1.296c4d4c40585p-10, -0x1.1f6524f10edcp-10, -0x1.159ae813a1ab3p-10, -0x1.0c0dfc17d5bc5p-10, -0x1.02bfcf434b132p-10, -0x1.f36488991495ep-11, -0x1.e1c9e1be3bcb4p-11, -0x1.d0ab3e57ebb99p-11, -0x1.c00610a93ae5bp-11, -0x1.afd3c474738f5p-11, -0x1.a00b5b49dda11p-11, -0x1.90b6037803091p-11, -0x1.81e0e28081e13p-11, -0x1.7385462362dadp-11, -0x1.659675230b79cp-11, -0x1.5810aa3005dccp-11, -0x1.4aecac795c72ap-11, -0x1.3e1d802b1a147p-11, -0x1.319b983229a48p-11, -0x1.256903f2a901fp-11, -0x1.198b29f3d6847p-11, -0x1.0e02d5ced72bep-11, -0x1.02ce5003feb47p-11, -0x1.efe10d8faef1cp-12, -0x1.dacadc81bef05p-12, -0x1.c646d972ed694p-12, -0x1.b263c3ccd8ae4p-12, -0x1.9f282f393cb22p-12, -0x1.8c87c5a4879ccp-12, -0x1.7a92dc26e7504p-12, -0x1.694f8f477bdefp-12, -0x1.58a95996bbfdp-12, -0x1.488ae95235d5bp-12, -0x1.38e96c4c7fbd5p-12, -0x1.29c025afc527dp-12, -0x1.1b0cf9ba237f4p-12, -0x1.0cc97b9ae604fp-12, -0x1.fdcecf223b7acp-13, -0x1.e2cfeefe50da9p-13, -0x1.c8ccc30eb4152p-13, -0x1.afc13f28393a2p-13, -0x1.977df5a540a46p-13, -0x1.7ffdb4a272087p-13, -0x1.69283be3cef19p-13, -0x1.5330b57504968p-13, -0x1.3e3667b38af57p-13, -0x1.2a149a35673b2p-13, -0x1.16afa3d84a2dcp-13, -0x1.03f9ad767a86cp-13, -0x1.e3c4c05a3bad9p-14, -0x1.c0e7e0783b99ap-14, -0x1.9f64c3e7cba8p-14, -0x1.7f5492b5034d7p-14, -0x1.60a26853e428fp-14, -0x1.43113651079a5p-14, -0x1.26aebdc8fc995p-14, -0x1.0b99de0cdae59p-14, -0x1.e2be8e84b8397p-15, -0x1.b000ce910a641p-15, -0x1.7efdcdffa001p-15, -0x1.5053b99cd17e9p-15, -0x1.23deb5a3a8067p-15, -0x1.f2f78e3cc2bc2p-16, -0x1.a278c4cf4d75dp-16, -0x1.55ad19803d97fp-16, -0x1.0c84a2335de29p-16, -0x1.8c3432f51d35cp-17, -0x1.04fb1bcc43808p-17, -0x1.0717b16ee5f8fp-18, -0x1.0df588f910f9ap-22, 0x1.b04d81a35a00dp-19, 0x1.b472348871d26p-18, 0x1.41687546254afp-17, 0x1.9fc03d5bbc9e2p-17, 0x1.f834dfe19b374p-17, 0x1.27185970711b9p-16, 0x1.5066713669135p-16, 0x1.76a5097c6a156p-16, 0x1.9a81a6cd64484p-16, 0x1.bc8a5894c255fp-16, 0x1.dc144c797c521p-16, 0x1.f8ea1b6bd1befp-16, 0x1.09b63f1b0fa2fp-15, 0x1.160f24dd06502p-15, 0x1.2194c484bdfc6p-15, 0x1.2c47068c229b4p-15, 0x1.3622800c0a1bcp-15, 0x1.3f1eba6a77dffp-15, 0x1.4737dbe6ea5d7p-15, 0x1.4e7445433151cp-15, 0x1.54fc263c4e899p-15, 0x1.5a97d4920a191p-15, 0x1.5f52f1c90d4f1p-15, 0x1.6363736cc46a6p-15, 0x1.665eaae1e7134p-15, 0x1.68a969be7885cp-15, 0x1.6aa0664914a13p-15, 0x1.6c04b60270327p-15, 0x1.6ce028c6bcb76p-15, 0x1.6d240bfd0ef59p-15, 0x1.6ca9039a7836ap-15, 0x1.6b9e2e94a2b48p-15, 0x1.6a25289d60ddap-15, 0x1.683bb405f5471p-15, 0x1.65e38abb69e95p-15, 0x1.632a0e7eb2b61p-15, 0x1.5ff56257b03d9p-15, 0x1.5c460efafbc5dp-15, 0x1.583448294031p-15, 0x1.53b94dad93016p-15, 0x1.4ef3588c2b16ap-15, 0x1.49ccff7a0d687p-15, 0x1.44604300f7593p-15, 0x1.3e8aaefacca52p-15, 0x1.38684c21fbee3p-15, 0x1.31eb6eed6956ap-15, 0x1.2b1fca1a48c03p-15, 0x1.24226c3cb1573p-15, 0x1.1cf261b13cc69p-15, 0x1.1582eeabaded8p-15, 0x1.0dcaa4371f73fp-15, 0x1.05e08d5d376e5p-15, 0x1.fb9b92e940fc5p-16, 0x1.eb1593114d0aep-16, 0x1.da3067975b2ebp-16, 0x1.c8f437f977545p-16, 0x1.b766cd3f6831fp-16, 0x1.a58d48c8b80aap-16, 0x1.936ccd2beb14dp-16, 0x1.810b13cad5cap-16, 0x1.6e6d77e098dcap-16, 0x1.5b9995d700763p-16, 0x1.4893633a999e6p-16, 0x1.355db817817bdp-16, 0x1.21fac3992257cp-16, 0x1.0e71405aeb604p-16, 0x1.f57cd877a4d8cp-17, 0x1.cde35733f1407p-17, 0x1.a638879290163p-17, 0x1.7e3a64d30e215p-17, 0x1.5600c7cc1c9e6p-17, 0x1.2dd65f5b86bd3p-17, 0x1.0531a66c3d6cbp-17, 0x1.b9eea0ffaa67ap-18, 0x1.68ba3add08be2p-18, 0x1.17738add9418cp-18, 0x1.8f0ac77033f47p-19, 0x1.d2f0099ec798dp-20, 0x1.1b75267c727fap-21, -0x1.6e1204bbd54ep-21, -0x1.fb7be261ab79bp-20, -0x1.9ffc89992586bp-19, -0x1.20e20c8014075p-18, -0x1.7154ba750329ep-18, -0x1.c1d1d0f40022p-18, -0x1.08ffa82448751p-17, -0x1.30d96779fd0bep-17, -0x1.589ff2859424ep-17, -0x1.804280f84a826p-17, -0x1.a7c8cd2c7c5a1p-17, -0x1.cefb0b8c7f991p-17, -0x1.f5d9a8a2ba67cp-17, -0x1.0e5b77fc191fep-16, -0x1.217b5525b22bfp-16, -0x1.34ab82d71883bp-16, -0x1.47c05dbb2cbf7p-16, -0x1.5a8cd0aca5a15p-16, -0x1.6d4a3f8d048dcp-16, -0x1.7ff97d1e9e454p-16, -0x1.9265d163a3c22p-16, -0x1.a4db809fcfb3ap-16, -0x1.b70b18c8eb774p-16, -0x1.c8ffd0731aab1p-16, -0x1.daee76c43ddd2p-16, -0x1.eca24f81ad41p-16, -0x1.fe2599a076521p-16, -0x1.07c5b3642177fp-15, -0x1.1061cac01697dp-15, -0x1.18e87c93fc46p-15, -0x1.21598058bf67dp-15, -0x1.29b4597fbb947p-15, -0x1.31f844e75aa83p-15, -0x1.3a245a9719114p-15, -0x1.423c7355ecf85p-15, -0x1.4a4251f5d0312p-15, -0x1.5226e5e34d341p-15, -0x1.59ec727876a07p-15, -0x1.61a5fe7a1a38dp-15, -0x1.69474c0ab1a0ep-15, -0x1.70cfbdaa51c7fp-15, -0x1.78404ad45f31p-15, -0x1.7f984b8bb0e9ep-15, -0x1.86d7dcaf64b8bp-15, -0x1.8dff111debf4fp-15, -0x1.950df0bf48f66p-15, -0x1.9c045973680b9p-15, -0x1.a2e22619c33c4p-15, -0x1.a9a9da49ee652p-15, -0x1.b05476ebd5c7dp-15, -0x1.b6e8eceb1af0dp-15, -0x1.bd650dd148b2p-15, -0x1.c3c78ee756fcep-15, -0x1.ca134d68c87e7p-15, -0x1.d045a9146db9fp-15, -0x1.d65f4439c682cp-15, -0x1.dc5fb1b1b6436p-15, -0x1.e247af06bfe76p-15, -0x1.e81800116b0b9p-15, -0x1.edd1d8dc58b71p-15, -0x1.f3791168d7267p-15, -0x1.f8f75e29e0fdfp-15, -0x1.fe662cedf7bd2p-15, -0x1.01df22960908fp-14, -0x1.047f1e2c2ef0fp-14, -0x1.07131bd8e57c1p-14, -0x1.099b0a7e0d3c9p-14, -0x1.0c173b48dd77cp-14, -0x1.0e87c2af35444p-14, -0x1.10ec72c206f3cp-14, -0x1.134570abce9cdp-14, -0x1.1592e991b192fp-14, -0x1.17d76a976b59ap-14, -0x1.1a0d57ea52ec5p-14, -0x1.1c36a5eb4258cp-14, -0x1.1e56b2dfb4a5bp-14, -0x1.206bd8b8686bdp-14, -0x1.22767f17b9712p-14, -0x1.247bb8ae4942ep-14, -0x1.26623fd2302b8p-14, -0x1.2846f7a2251eep-14, -0x1.2a299481028c4p-14, -0x1.2bfd0438b79a5p-14, -0x1.2dcb2834d7616p-14, -0x1.2f87281fb85f3p-14, -0x1.3137dc0bba50fp-14, -0x1.32decc9bc5676p-14, -0x1.347baf7c68bb8p-14, -0x1.360ff57d2b165p-14, -0x1.379a3553da413p-14, -0x1.3919cd5f58ca9p-14, -0x1.3a8e9a17df85fp-14, -0x1.3bf95fcc5248p-14, -0x1.3d5a67437729dp-14, -0x1.3eb19cebd383cp-14, -0x1.3fff337d67eb1p-14, -0x1.414317e47b6e3p-14, -0x1.427bf036fdcf8p-14, -0x1.43afc7d25d69fp-14, -0x1.44d49787a8f9bp-14, -0x1.45f3e6eaa9f74p-14, -0x1.47099666c6ddbp-14, -0x1.48150f309182ap-14, -0x1.49184f45b67e6p-14, -0x1.4a12b14c0f445p-14, -0x1.4b0427aa1ffc6p-14, -0x1.4bec101803a43p-14, -0x1.4cc8f66f41b1ap-14, -0x1.4d9e559b2e1afp-14, -0x1.4e71860af74cbp-14, -0x1.4f37fc37d6d87p-14, -0x1.4ff5046c6bdfep-14, -0x1.50a96fd019ef1p-14, -0x1.51572f13cb69ep-14, -0x1.51f61466618afp-14, -0x1.529a60a7b2c13p-14, -0x1.532fef4e042d1p-14, -0x1.53bdbdf12f55p-14, -0x1.5443ed70d0e77p-14, -0x1.54c25a80ebd5p-14, -0x1.55387e17fc5edp-14, -0x1.55a77ae5482b6p-14, -0x1.56116add37bfep-14, -0x1.566fa25436ab6p-14, -0x1.56c89c8e01362p-14, -0x1.571b694873b5ap-14, -0x1.57678d5db4d14p-14, -0x1.57ac25edc0c93p-14, -0x1.57e960727bdccp-14, -0x1.581fac2b300f4p-14, -0x1.58507165fbb14p-14, -0x1.58789d98acafbp-14, -0x1.589b17dab1c51p-14, -0x1.58b6a888afc2ap-14, -0x1.58cd3d50be9afp-14, -0x1.58dcb48b0b0bp-14, -0x1.58e606269a4dfp-14, -0x1.58e930c5b7506p-14, -0x1.58e68b9b86d32p-14, -0x1.58deaffee4c64p-14, -0x1.58d155f1ae14p-14, -0x1.58bdd10d195fp-14, -0x1.589bbdc1616a2p-14, -0x1.587d705341b88p-14, -0x1.5856521486521p-14, -0x1.58318761b85e3p-14, -0x1.5800b842c4752p-14, -0x1.57c9fb8e844e1p-14, -0x1.57893e049af7p-14, -0x1.574bb4ed625c1p-14, -0x1.5705e0f0d161fp-14, -0x1.56bb06fc6ae72p-14, -0x1.566af4bcca103p-14, -0x1.56160cad19c53p-14, -0x1.55bc526c2d7c7p-14, -0x1.555de589735d6p-14, -0x1.54fa67231faa9p-14, -0x1.5492614410fa7p-14, -0x1.5424809b4b2bbp-14, -0x1.53b47aa1dccf8p-14, -0x1.533ed9cb40a9bp-14, -0x1.52c4b7da0702fp-14, -0x1.524647550c71fp-14, -0x1.51c38aae67c03p-14, -0x1.513cb2b5caeabp-14, -0x1.50b1ef9d9eb04p-14, -0x1.5022ce0875382p-14, -0x1.4f8f6cb1c6f3fp-14, -0x1.4ef8cbb135f11p-14, -0x1.4e5b30af21caap-14, -0x1.4dc012563444cp-14, -0x1.4d1c10f21c82fp-14, -0x1.4c756564155eap-14, -0x1.4bcb5ae1f1c51p-14, -0x1.4b1e2399403a3p-14, -0x1.4a6d1abd37516p-14, -0x1.49b874fa9b21p-14, -0x1.4900b86f3e852p-14, -0x1.48439ee16d9b8p-14, -0x1.478618966799ep-14, -0x1.46c558be3f4d4p-14, -0x1.4600e9a8c2a53p-14, -0x1.45383c72bf745p-14, -0x1.446c99e57fc26p-14, -0x1.439cca7b5596cp-14, -0x1.42c85d5dabf3ap-14, -0x1.41f84aab6c317p-14, -0x1.4121e00b4ecb4p-14, -0x1.4048687a19b71p-14, -0x1.3f6b66ab1e528p-14, -0x1.3e8bb89c02a95p-14, -0x1.3da9e66a2fe3ep-14, -0x1.3cc4aa789ac6ep-14, -0x1.3bdedf527d5d4p-14, -0x1.3af3b5d3718d4p-14, -0x1.3a08a12cbdd0ep-14, -0x1.391a24126226cp-14, -0x1.38290a29d4eedp-14, -0x1.373633e5abad1p-14, -0x1.3640d3f365514p-14, -0x1.354951ef6239bp-14, -0x1.3450243dddc35p-14, -0x1.3355cd1c4e285p-14, -0x1.3258ebb14e169p-14, -0x1.3152c549303c2p-14, -0x1.3051b42ecebe4p-14, -0x1.2f4ce79f710c6p-14, -0x1.2e4d5529d9f53p-14, -0x1.2d44b5e7debc5p-14, -0x1.2c39d431c56c5p-14, -0x1.2b2e21c2af2c4p-14, -0x1.2a21382aeac7fp-14, -0x1.2912ac6b61658p-14, -0x1.28026bca947f5p-14, -0x1.26f0dbd916225p-14, -0x1.25dd2521195dbp-14, -0x1.24c82dbe7fc1dp-14, -0x1.23b1bfff2318dp-14, -0x1.2299bb78508bdp-14, -0x1.21808c5949a75p-14, -0x1.2066171568d21p-14, -0x1.1f4747934902cp-14, -0x1.1e2df7c531ee3p-14, -0x1.1d0fc930f908ep-14, -0x1.1befeb47cfc8ep-14, -0x1.1acd64ae2ee7cp-14, -0x1.19aac6ddc71fcp-14, -0x1.188a00061710fp-14, -0x1.176526355f424p-14, -0x1.163f63bdd0cffp-14, -0x1.15190376f57p-14, -0x1.13f21c66c9c1p-14, -0x1.12ca7aabd291bp-14, -0x1.11a2ee8b32467p-14, -0x1.10780f6723ddep-14, -0x1.0f4bfdf60bbe9p-14, -0x1.0e1f857b46974p-14, -0x1.0cf4d86dd2f0ep-14, -0x1.0bc79ec549942p-14, -0x1.0a97e08b0c2ccp-14, -0x1.096b5a31aa031p-14, -0x1.083d5fff5597ap-14, -0x1.070d5a173ecfep-14, -0x1.05dad165f1bc4p-14, -0x1.04ac35eb2d41cp-14, -0x1.037be3e67606fp-14, -0x1.02498bef6dea2p-14, -0x1.01176c58cb20fp-14, -0x1.ffc7ea1d89f1bp-15, -0x1.fd626b74d495ep-15, -0x1.fafc38c5e0b96p-15, -0x1.f88e50e250b17p-15, -0x1.f62a42f1f1797p-15, -0x1.f3c1ba7d69495p-15, -0x1.f15810b6039e1p-15, -0x1.eeedad2b88fabp-15, -0x1.ec8315035c09ap-15, -0x1.ea18860e50e95p-15, -0x1.e7ad2ff1f6fd5p-15, -0x1.e541422fe1e9fp-15, -0x1.e2d57313e4de3p-15, -0x1.e0691af1caab5p-15, -0x1.ddfc688b689b5p-15, -0x1.db93a7c5b22a6p-15, -0x1.d92a53f86a8a2p-15, -0x1.d6b12bc381955p-15, -0x1.d4464b4f0da5ep-15, -0x1.d1d97b761e676p-15, -0x1.cf77f989a18a3p-15, -0x1.cd08c5aa86f8ep-15, -0x1.ca9a99e372ca1p-15, -0x1.c82fd557823fep-15, -0x1.c5c3144b66e5ap-15, -0x1.c357f7acb2e88p-15, -0x1.c0ebc4ca23c93p-15, -0x1.be81647b27aa7p-15, -0x1.bc19174868f73p-15, -0x1.b9b063468487ap-15, -0x1.b7467f468bd6ep-15, -0x1.b4ddbeea417d4p-15, -0x1.b275cec3fbdbbp-15, -0x1.b00e7edbb2f23p-15, -0x1.ada7e012e91e9p-15, -0x1.ab41fab3e745p-15, -0x1.a8dca90437211p-15, -0x1.a67823ac8f0fcp-15, -0x1.a413f711ebeb7p-15, -0x1.a1b0b9abfb7e2p-15, -0x1.9f5050d166d8bp-15, -0x1.9cef0f4416c03p-15, -0x1.9a8f7658398dfp-15, -0x1.982f484d3e124p-15, -0x1.95d0ee7610c1ep-15, -0x1.9373529e897ddp-15, -0x1.911aefa5d9639p-15, -0x1.8ebb0995d6b4p-15, -0x1.8c6492af6eddbp-15, -0x1.8a0d874198945p-15, -0x1.87b5209e08c4fp-15, -0x1.855d994fc17p-15, -0x1.830904c690769p-15, -0x1.80af66038864fp-15, -0x1.7e62ae15ded88p-15, -0x1.7c1524fb8cd4fp-15, -0x1.79be98fd03c43p-15, -0x1.777093bca142ep-15, -0x1.7522919f65034p-15, -0x1.72d7847f2dba9p-15, -0x1.708dab4c0123bp-15, -0x1.6e453ddd8d1ddp-15, -0x1.6c02856d027a3p-15, -0x1.69bb81b05bfcap-15, -0x1.6772fed4a208bp-15, -0x1.65310bfe5a782p-15, -0x1.62edc05124427p-15, -0x1.60a8f554d8158p-15, -0x1.5e75df673e2b6p-15, -0x1.5c348895c0c64p-15, -0x1.59f8a2772fe12p-15, -0x1.57bf003a68895p-15, -0x1.55872b9e2e4dap-15, -0x1.53514fababf07p-15, -0x1.511dfc529d167p-15, -0x1.4ee71461b2933p-15, -0x1.4cb9a21fe1cb8p-15, -0x1.4a8503741105dp-15, -0x1.4854b3064a01cp-15, -0x1.463668eceaf9ap-15, -0x1.440decc52de18p-15, -0x1.41e2a18d15337p-15, -0x1.3fbab3c6db302p-15, -0x1.3d92a592d6101p-15, -0x1.3b76c689fb579p-15, -0x1.3955bb26991bbp-15, -0x1.3736fce9a4f1fp-15, -0x1.351824c348a58p-15, -0x1.32fec8e1dc3dap-15, -0x1.30e5d346ccd29p-15, -0x1.2ecf43cc99fep-15, -0x1.2cbc9b552a9e4p-15, -0x1.2aa96f98fe206p-15, -0x1.28978da7993b2p-15, -0x1.2689cce61bd56p-15, -0x1.247d5ac2c1ce3p-15, -0x1.22728cefe2248p-15, -0x1.206a0de269429p-15, -0x1.1e61fae2ecb7dp-15, -0x1.1c5f03b723098p-15, -0x1.1a5c6c3e966e5p-15, -0x1.185d2b91a0b32p-15, -0x1.165ee3cbd6b6fp-15, -0x1.1461c452cb77fp-15, -0x1.126815a283d66p-15, -0x1.1070fd5d73d6fp-15, -0x1.0e795bc5561b1p-15, -0x1.0c87fff94d45fp-15, -0x1.0a9740b0545e3p-15, -0x1.08a52ace650f7p-15, -0x1.06b835dd8fdb9p-15, -0x1.04ce8f9950ef4p-15, -0x1.02e5d6a89195ep-15, -0x1.00fe6c17ee461p-15, -0x1.fe3377eb8f318p-16, -0x1.fa6e887f7fffbp-16, -0x1.f6aed8c2b1b37p-16, -0x1.f2ee08645e2b7p-16, -0x1.ef3b6256eded8p-16, -0x1.eb784c08ad594p-16, -0x1.e7d9dfb2d4984p-16, -0x1.e42918fe6d74dp-16, -0x1.e095885e56011p-16, -0x1.dceb2dbba912dp-16, -0x1.d94d3da2a3071p-16, -0x1.d5b08cfc4d942p-16, -0x1.d220ed10be786p-16, -0x1.ce8da1e327ba8p-16, -0x1.cb01997eafep-16, -0x1.c77cd2835ae34p-16, -0x1.c3faab53ad612p-16, -0x1.c088d31f8e16bp-16, -0x1.bd0f1c35fa1aap-16, -0x1.b999c4fd8162bp-16, -0x1.b60fb1ed755dp-16, -0x1.b2acf34c4a73cp-16, -0x1.af50c864fffe1p-16, -0x1.abf0f7b5ee6bep-16, -0x1.a88c61b66a21bp-16, -0x1.a5313381d1161p-16, -0x1.a1db6ca88ba9ep-16, -0x1.9e89a54ac2a27p-16, -0x1.9b48ae9de88bbp-16, -0x1.97f6104283595p-16, -0x1.94b42a790210bp-16, -0x1.9178096e1cc1ap-16, -0x1.8e3808c7a0da4p-16, -0x1.8b0a3e4ceccfap-16, -0x1.87d59bebcb05cp-16, -0x1.84ab01e51e156p-16, -0x1.817e1c7a741fp-16, -0x1.7e514e5594f92p-16, -0x1.7b3bcb4576269p-16, -0x1.78195da5f40aap-16, -0x1.750cec39a96b2p-16, -0x1.71f83eff6ce4cp-16, -0x1.6eea3f2bbc01ep-16, -0x1.6be441d2a781fp-16, -0x1.68dfedef7fa99p-16, -0x1.65e026fe23f78p-16, -0x1.62e52ecf6e07ap-16, -0x1.5fedab396011fp-16, -0x1.5cfb0cb8448aap-16, -0x1.5a0cf8d730635p-16, -0x1.57241cf655c47p-16, -0x1.543e1a8ed0778p-16, -0x1.515d136da0933p-16, -0x1.4e822162b1824p-16, -0x1.4b9b02b3d6505p-16, -0x1.48d3e58de3d0cp-16, -0x1.4605e7345b4f1p-16, -0x1.433a57883e9a5p-16, -0x1.40741cbc8c76dp-16, -0x1.3db22fde9a036p-16, -0x1.3af5889cf7d53p-16, -0x1.383cb17b196ddp-16, -0x1.3582a902ef2dbp-16, -0x1.32d27cd9a68b6p-16, -0x1.3024c14d5de9fp-16, -0x1.2d81dcad9551ap-16, -0x1.2adcb8b897b3fp-16, -0x1.283b539ae0254p-16, -0x1.259c9a7ad43d1p-16, -0x1.230ba374baa05p-16, -0x1.207c556582795p-16, -0x1.1de834fdd1525p-16, -0x1.1b4c801c21ca9p-16, -0x1.18f67d366ca0bp-16, -0x1.165e611004eebp-16, -0x1.13cc1068f9a92p-16, -0x1.115d88278d78p-16, -0x1.0eef51f1e9355p-16, -0x1.0c7b369dd4ff8p-16, -0x1.0a0a35ff6070ap-16, -0x1.079d2157b4acap-16, -0x1.053904776e77ap-16, -0x1.02d8013415eafp-16, -0x1.007b39f3771f3p-16, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{0x1.6eabece3cc0ecp-2, 0x1.6ec603d4cf94ep-2, 0x1.6ef1d2b814564p-2, 0x1.6f2fbef92be5ep-2, 0x1.6f803bc53c9b5p-2, 0x1.6fe3bf89f30f8p-2, 0x1.705abc0a28849p-2, 0x1.70e598768208dp-2, 0x1.7184ad1b0c823p-2, 0x1.7238404c9f534p-2, 0x1.7300845406811p-2, 0x1.73dd962336508p-2, 0x1.74cf7cab959c6p-2, 0x1.75d628b48f819p-2, 0x1.76f17517e397ap-2, 0x1.7821274e026b9p-2, 0x1.7964f0389a77dp-2, 0x1.7abc6d1c8b522p-2, 0x1.7c2728bef0bcbp-2, 0x1.7da49c9b04dadp-2, 0x1.7f3432284fb2ep-2, 0x1.80d5442a10e24p-2, 0x1.82872002035fbp-2, 0x1.84490701b97bp-2, 0x1.861a2fb6a6595p-2, 0x1.87f9c72dc450ep-2, 0x1.89e6f22c672dep-2, 0x1.8be0ce5c68a05p-2, 0x1.8de6736a5521fp-2, 0x1.8ff6f414abd6ep-2, 0x1.92115f2ba6de6p-2, 0x1.9434c0814544fp-2, 0x1.966021c990ep-2, 0x1.98928b6b51556p-2, 0x1.9acb054182f2cp-2, 0x1.9d08974e07335p-2, 0x1.9f4a4a5e240b1p-2, 0x1.a18f28a1704d4p-2, 0x1.a3d63e33db566p-2, 0x1.a61e999b8922ep-2, 0x1.a8674c3b39576p-2, 0x1.aaaf6ab9f3b42p-2, 0x1.acf60d60b0791p-2, 0x1.af3a506eb02a8p-2, 0x1.b17b54652b29bp-2, 0x1.b3b83e4b0748fp-2, 0x1.b5f037e920fb8p-2, 0x1.b8226fffcbbacp-2, 0x1.ba4e1a76084bbp-2, 0x1.bc727082f8cb3p-2, 0x1.be8eb0d204689p-2, 0x1.c0a21fa220ae3p-2, 0x1.c2ac06e0a0a85p-2, 0x1.c4abb63fe8791p-2, 0x1.c6a0834a5c6ebp-2, 0x1.c889c971d822fp-2, 0x1.ca66ea1bf31fdp-2, 0x1.cc374cab57a71p-2, 0x1.cdfa5e865e9fbp-2, 0x1.cfaf931b2ab83p-2, 0x1.d15663e1715b5p-2, 0x1.d2ee505a17bbap-2, 0x1.d476de0cd1b22p-2, 0x1.d5ef9883df77ap-2, 0x1.d758114608213p-2, 0x1.d8afdfcef802ep-2, 0x1.d9f6a1860df98p-2, 0x1.db2bf9b3b976bp-2, 0x1.dc4f91757b593p-2, 0x1.dd6117b09f8e1p-2, 0x1.de604103ba08fp-2, 0x1.df4cc7b70176ep-2, 0x1.e0266bab946d7p-2, 0x1.e0ecf249b01dfp-2, 0x1.e1a0266df3d37p-2, 0x1.e23fd855b2fc4p-2, 0x1.e2cbdd8a67c7fp-2, 0x1.e34410cc51c8cp-2, 0x1.e3a851fc4b272p-2, 0x1.e3f88604e0b73p-2, 0x1.e43496c2b7efap-2, 0x1.e45c72ec4e30cp-2, 0x1.e4700df91a983p-2, 0x1.e46f60081d60bp-2, 0x1.e45a65c5e8ac9p-2, 0x1.e43120522bf8cp-2, 0x1.e3f39524cb738p-2, 0x1.e3a1cdf28dc63p-2, 0x1.e33bd8916e637p-2, 0x1.e2c1c6dc953cbp-2, 0x1.e233ae9807378p-2, 0x1.e191a9541277cp-2, 0x1.e0dbd45083afep-2, 0x1.e012505fab81p-2, 0x1.df3541c9403b2p-2, 0x1.de44d02d1ea14p-2, 0x1.dd412665fd0afp-2, 0x1.dc2a726c0f92p-2, 0x1.db00e537a92cp-2, 0x1.d9c4b2a3e6e19p-2, 0x1.d876115167558p-2, 0x1.d7153a8915365p-2, 0x1.d5a26a1f154ebp-2, 0x1.d41dde55d5927p-2, 0x1.d287d7c14b3afp-2, 0x1.d0e0992a62252p-2, 0x1.cf286772a951bp-2, 0x1.cd5f89783c16ep-2, 0x1.cb8647f9f6f7bp-2, 0x1.c99ced7bf65ddp-2, 0x1.c7a3c62c6640dp-2, 0x1.c59b1fc8ae287p-2, 0x1.c3834982f5965p-2, 0x1.c15c93e80bd45p-2, 0x1.bf2750c5b63cbp-2, 0x1.bce3d311680fep-2, 0x1.ba926ecf6ap-2, 0x1.b83378fa71019p-2, 0x1.b5c7476bab6b4p-2, 0x1.b34e30c34afcbp-2, 0x1.b0c88c518290fp-2, 0x1.ae36b20006e0ap-2, 0x1.ab98fa3c10209p-2, 0x1.a8efbde0dabb7p-2, 0x1.a63b5622ae9fdp-2, 0x1.a37c1c7a6d229p-2, 0x1.a0b26a91a342fp-2, 0x1.9dde9a2f28ab9p-2, 0x1.9b01052444d74p-2, 0x1.981a053a5ebfcp-2, 0x1.9529f4213a9afp-2, 0x1.92312b5dbe9d2p-2, 0x1.8f3004394559dp-2, 0x1.8c26d7b17b1ep-2, 0x1.8915fe68c645bp-2, 0x1.85fdd09738c96p-2, 0x1.82dea5fc10baap-2, 0x1.7fb8d5cfbaf04p-2, 0x1.7c8cb6b66582dp-2, 0x1.795a9eb31558fp-2, 0x1.7622e31b447b4p-2, 0x1.72e5d88b04ca4p-2, 0x1.6fa3d2d9a714fp-2, 0x1.6c5d250ee6214p-2, 0x1.69122158905dep-2, 0x1.65c31900b1904p-2, 0x1.62705c643d5eep-2, 0x1.5f1a3aea302abp-2, 0x1.5bc102fb2f02ep-2, 0x1.586501f99bb46p-2, 0x1.5506843a223c6p-2, 0x1.51a5d4fcb6611p-2, 0x1.4e433e660728ap-2, 0x1.4adf09795cbeep-2, 0x1.47797e12e8b49p-2, 0x1.4412e2e27d286p-2, 0x1.40ab7d66afb0ep-2, 0x1.3d4391e85fab6p-2, 0x1.39db6376a1423p-2, 0x1.367333e30cb97p-2, 0x1.330b43be67037p-2, 0x1.2fa3d255ae2b1p-2, 0x1.2c3d1daf778bcp-2, 0x1.28d76289ae5b4p-2, 0x1.2572dc57a07bap-2, 0x1.220fc54061f1fp-2, 0x1.1eae561d7f167p-2, 0x1.1b4ec679fd7e8p-2, 0x1.17f14c91a8fc4p-2, 0x1.14961d50a5ab4p-2, 0x1.113d6c534f64dp-2, 0x1.0de76be657379p-2, 0x1.0a944d07257aep-2, 0x1.07443f647b377p-2, 0x1.03f7715f51932p-2, 0x1.00ae100bf1f8ap-2, 0x1.fad08e66909a8p-3, 0x1.f44c82a8d4bc1p-3, 0x1.edd04f4cad6e2p-3, 0x1.e75c4433beecp-3, 0x1.e0f0aeb7982c8p-3, 0x1.da8dd9ae44c34p-3, 0x1.d4340d6f3dc17p-3, 0x1.cde38fd8ac64ap-3, 0x1.c79ca454fa2ccp-3, 0x1.c15f8be0abb74p-3, 0x1.bb2c8510865d8p-3, 0x1.b503cc17f3672p-3, 0x1.aee59acfa9993p-3, 0x1.a8d228bc8ff39p-3, 0x1.a2c9ab16d2906p-3, 0x1.9ccc54d13c204p-3, 0x1.96da56a0ad4e7p-3, 0x1.90f3df03d379bp-3, 0x1.8b191a4b01bb5p-3, 0x1.854a32a03264fp-3, 0x1.7f87500f30125p-3, 0x1.79d0988ddca49p-3, 0x1.742630049e0efp-3, 0x1.6e883856de7e8p-3, 0x1.68f6d16bac2bap-3, 0x1.637219366d67p-3, 0x1.5dfa2bbfa8e1ap-3, 0x1.588f232ddf8c8p-3, 0x1.533117ce79d21p-3, 0x1.4de0201eb7738p-3, 0x1.489c50d4b5636p-3, 0x1.4365bce872bedp-3, 0x1.3e3c759ce4bb8p-3, 0x1.39208a8907f11p-3, 0x1.341209a0f284bp-3, 0x1.2f10ff3ef0e23p-3, 0x1.2a1d762c9625p-3, 0x1.253777abcd61ep-3, 0x1.205f0b7fe84d9p-3, 0x1.1b9437f6a1928p-3, 0x1.16d701f11d649p-3, 0x1.12276cecda3f5p-3, 0x1.0d857b0c9f00cp-3, 0x1.08f12d215063p-3, 0x1.046a82b2c594fp-3, 0x1.ffe2f4110be81p-4, 0x1.f70c2064ede1ep-4, 0x1.ee508222fd09ep-4, 0x1.e5b00ec014c4fp-4, 0x1.dd2ab9751cb44p-4, 0x1.d4c0734fc467ep-4, 0x1.cc712b4332c0ap-4, 0x1.c43cce3864659p-4, 0x1.bc23471e86b4bp-4, 0x1.b4247efafabdap-4, 0x1.ac405cf944e28p-4, 0x1.a476c67ac26abp-4, 0x1.9cc79f262183p-4, 0x1.9532c8f6b1221p-4, 0x1.8db8244b7d338p-4, 0x1.86578ff6289e1p-4, 0x1.7f10e949998c1p-4, 0x1.77e40c286c879p-4, 0x1.70d0d3132c1fap-4, 0x1.69d71736525f8p-4, 0x1.62f6b0780cb24p-4, 0x1.5c2f7585cb003p-4, 0x1.55813be18f1d1p-4, 0x1.4eebd7ef01471p-4, 0x1.486f1d004d3bfp-4, 0x1.420add62bf176p-4, 0x1.3bbeea6b2542dp-4, 0x1.358b1481f8571p-4, 0x1.2f6f2b2f44e46p-4, 0x1.296afd2659f15p-4, 0x1.237e58513770bp-4, 0x1.1da909dbc8feap-4, 0x1.17eade3eda997p-4, 0x1.1243a14ad839cp-4, 0x1.0cb31e324d616p-4, 0x1.07391f942e7b2p-4, 0x1.01d56f85deacdp-4, 0x1.f90faf3a05a3dp-5, 0x1.eea041f22933fp-5, 0x1.e45c28997c79fp-5, 0x1.da42f3cdf3b01p-5, 0x1.d0543377eee13p-5, 0x1.c68f76db9a453p-5, 0x1.bcf44ca9d6483p-5, 0x1.b3824310aefb4p-5, 0x1.aa38e7cb6b05bp-5, 0x1.a117c83227e29p-5, 0x1.981e714906efap-5, 0x1.8f4c6fcef3656p-5, 0x1.86a1504bfcfeap-5, 0x1.7e1c9f1f4750bp-5, 0x1.75bde88c9049dp-5, 0x1.6d84b8c954859p-5, 0x1.65709c098a137p-5, 0x1.5d811e8bf7518p-5, 0x1.55b5cca629b9p-5, 0x1.4e0e32d00a26bp-5, 0x1.4689ddaf11ca2p-5, 0x1.3f285a211d449p-5, 0x1.37e93546e71dep-5, 0x1.30cbfc8e2772bp-5, 0x1.29d03dbb56bffp-5, 0x1.22f586f314d92p-5, 0x1.1c3b66c3421d1p-5, 0x1.15a16c2bbcd5bp-5, 0x1.0f2726a6ca266p-5, 0x1.08cc26313084ap-5, 0x1.028ffb51fcb11p-5, 0x1.f8e46e43f8e5fp-6, 0x1.ece4d6a5cdfeep-6, 0x1.e120546c7429ap-6, 0x1.d5960d8798fe2p-6, 0x1.ca452940374b8p-6, 0x1.bf2cd0448fa79p-6, 0x1.b44c2cb3a2537p-6, 0x1.a9a26a2822b9dp-6, 0x1.9f2eb5c2d4554p-6, 0x1.94f03e347597ep-6, 0x1.8ae633c7170cbp-6, 0x1.810fc8670c6fdp-6, 0x1.776c2fab4cd16p-6, 0x1.6dfa9edd692a9p-6, 0x1.64ba4d0100c41p-6, 0x1.5baa72dad2645p-6, 0x1.52ca4af7530c9p-6, 0x1.4a1911b0da745p-6, 0x1.419605356a3p-6, 0x1.3940658c04f4cp-6, 0x1.31177499a844fp-6, 0x1.291a7625e013fp-6, 0x1.2148afdeffa35p-6, 0x1.19a1695dfd7dp-6, 0x1.1223ec29eb80ep-6, 0x1.0acf83bb23a74p-6, 0x1.03a37d7e19fc8p-6, 0x1.f93e51abb2eebp-7, 0x1.eb83ae3c7649fp-7, 0x1.de15b75b8955ap-7, 0x1.d0f317ae742ap-7, 0x1.c41a7dd5e7a84p-7, 0x1.b78a9c6fb2811p-7, 0x1.ab422a1868d39p-7, 0x1.9f3fe16c46c35p-7, 0x1.93828107b7945p-7, 0x1.8808cb875cb43p-7, 0x1.7cd1878791e0fp-7, 0x1.71db7fa37f505p-7, 0x1.67258273d5fd7p-7, 0x1.5cae628cf998cp-7, 0x1.5274f67cd1cdcp-7, 0x1.487818c841761p-7, 0x1.3eb6a7e83367p-7, 0x1.352f86463f3dcp-7, 0x1.2be19a391de5bp-7, 0x1.22cbce009606fp-7, 0x1.19ed0fc12d107p-7, 0x1.1144517f98a59p-7, 0x1.08d0891bc0707p-7, 0x1.0090b04b988c3p-7, 0x1.f107892b525d7p-8, 0x1.e1518e96b1eadp-8, 0x1.d1fd7b05dfaefp-8, 0x1.c3096022bdf87p-8, 0x1.b4735707a62c9p-8, 0x1.a639803231bb2p-8, 0x1.985a03756d9b8p-8, 0x1.8ad30fec008f4p-8, 0x1.7da2dbe977d02p-8, 0x1.70c7a4eba9b25p-8, 0x1.643faf8b8c1a8p-8, 0x1.5809476dcbe68p-8, 0x1.4c22bf33281ap-8, 0x1.408a70686e2f8p-8, 0x1.353ebb765bac4p-8, 0x1.2a3e079111a53p-8, 0x1.1f86c2a76cf68p-8, 0x1.151761522af8cp-8, 0x1.0aee5ec2e51d9p-8, 0x1.010a3cb2c5e58p-8, 0x1.eed306a28c90cp-9, 0x1.dc1582651010dp-9, 0x1.c9d9167b5f7c3p-9, 0x1.b81af9365db0dp-9, 0x1.a6d86d45a2c16p-9, 0x1.960ec19399bdcp-9, 0x1.85bb512186d68p-9, 0x1.75db82e3348e6p-9, 0x1.666cc99a9b4a2p-9, 0x1.576ca3b386106p-9, 0x1.48d89b1efd4d4p-9, 0x1.3aae452eb1962p-9, 0x1.2ceb42708dd58p-9, 0x1.1f8d3e8a20ee6p-9, 0x1.1291f014087ffp-9, 0x1.05f71875665bdp-9, 0x1.f375077e87ef9p-10, 0x1.dbb411106c1b5p-10, 0x1.c4a70f904d044p-10, 0x1.ae49d9679ef7fp-10, 0x1.9898593176ac9p-10, 0x1.838e8d727de34p-10, 0x1.6f28885113f33p-10, 0x1.5b626f4db1e29p-10, 0x1.48387afbb8554p-10, 0x1.35a6f6baabd24p-10, 0x1.23aa406f78ea6p-10, 0x1.123ec83ebb54p-10, 0x1.01611046c3f39p-10, 0x1.e21b58b5242a2p-11, 0x1.c28283792cc2bp-11, 0x1.a3f10db57a069p-11, 0x1.8660861436b96p-11, 0x1.69ca9c87d8b37p-11, 0x1.4e2921c4d7c7ep-11, 0x1.337606bd08667p-11, 0x1.19ab5c1c6e117p-11, 0x1.00c351c603ea7p-11, 0x1.d1706ca5db22p-12, 0x1.a308ed22ab2c7p-12, 0x1.76453a0c10f4p-12, 0x1.4b1aa2dc0bf1bp-12, 0x1.217eb083ef3aap-12, 0x1.f2ce48eb22b2ap-13, 0x1.a593ef5e31df5p-13, 0x1.5b3ab38fc8588p-13, 0x1.13af60046b40ap-13, 0x1.9dbe5171b925fp-14, 0x1.196f52a36af42p-14, 0x1.349b8d1e81a14p-15, 0x1.01b3c1ff266aap-17, -0x1.53e422d1d1ddbp-16, -0x1.8ac4d74ccb0b8p-15, -0x1.3126a259554d6p-14, -0x1.9865e45e4ff29p-14, -0x1.fb3fb27b707c8p-14, -0x1.2ce96cff28d57p-13, -0x1.5a1ebc01c0a6ep-13, -0x1.854e7e5c76c8cp-13, -0x1.ae871749dd942p-13, -0x1.d5d696b9cbedap-13, -0x1.fb4abae4e0569p-13, -0x1.0f7878e9ea65ep-12, -0x1.206b2d734ec02p-12, -0x1.3083e429b1a9ep-12, -0x1.3fc8e0506e04fp-12, -0x1.4e40400ce95afp-12, -0x1.5beffd1f343ep-12, -0x1.68dded974336dp-12, -0x1.750fc485ec226p-12, -0x1.808b12ae58a7p-12, -0x1.8b554733100fdp-12, -0x1.9573b0400ecd4p-12, -0x1.9eeb7bb3d1ff7p-12, -0x1.a7c1b7c45d07p-12, -0x1.affb53a1bcdf2p-12, -0x1.b79d2018116bfp-12, -0x1.beabd02b608fdp-12, -0x1.c52bf9b482475p-12, -0x1.cb2215f928c4cp-12, -0x1.d092824391a0ap-12, -0x1.d58180759dccp-12, -0x1.d9f3379b372b5p-12, -0x1.ddebb4789198ap-12, -0x1.e16eea18476a6p-12, -0x1.e480b255859fep-12, -0x1.e724ce6367ecfp-12, -0x1.e95ee753b8f2dp-12, -0x1.eb328e99983bdp-12, -0x1.eca33e8be6916p-12, -0x1.edb45ae3d721ep-12, -0x1.ee69313a7db18p-12, -0x1.eec4f9821176ap-12, -0x1.eecad67fb051p-12, -0x1.ee7dd641c31cdp-12, -0x1.ede0f292fd47p-12, -0x1.ecf7116d84775p-12, -0x1.ebc3056adaa96p-12, -0x1.ea478e30f8263p-12, -0x1.e88758e02cffbp-12, -0x1.e685007ba81a9p-12, -0x1.e4430e5204f97p-12, -0x1.e1c3fa633095ep-12, -0x1.df0a2bc50b51ap-12, -0x1.dc17f905610f1p-12, -0x1.d8efa8897a18bp-12, -0x1.d59370eddc38bp-12, -0x1.d2057962991c7p-12, -0x1.ce47da05f6475p-12, -0x1.ca5c9c3e3531ap-12, -0x1.c645bb1071289p-12, -0x1.c2052376e39b4p-12, -0x1.bd9cb4b46a4b8p-12, -0x1.b90e40a73311dp-12, -0x1.b45b8c19bcb09p-12, -0x1.af864f1021647p-12, -0x1.aa903517ca739p-12, -0x1.a57add9224b66p-12, -0x1.a047dbff98aedp-12, -0x1.9af8b84838b43p-12, -0x1.958eef02b143ep-12, -0x1.900bf1babf45bp-12, -0x1.8a71273523337p-12, -0x1.84bfebb33f952p-12, -0x1.7ef991343d61ep-12, -0x1.791f5fb52b2bdp-12, -0x1.7332956f8cd37p-12, -0x1.6d346717c4f31p-12, -0x1.67260018d9d9ep-12, -0x1.610882cf6d9c9p-12, -0x1.5add08c336e4ep-12, -0x1.54a4a2dfaa963p-12, -0x1.4e6059ab469e1p-12, -0x1.48112d7d22f6cp-12, -0x1.41b816b1f459ap-12, -0x1.3b5605dfb6de6p-12, -0x1.34ebe40862b4ap-12, -0x1.2e7a92ca6dea7p-12, -0x1.2802ec922e7a3p-12, -0x1.2185c4c8b7e19p-12, -0x1.1b03e801c49ffp-12, -0x1.147e1c28d3b1dp-12, -0x1.0df520adbc3c7p-12, -0x1.0769aeaf3e036p-12, -0x1.00dc7925525e1p-12, -0x1.f49c5a1437494p-13, -0x1.e77ee304aa52fp-13, -0x1.da61d009a81ccp-13, -0x1.cd465900852d2p-13, -0x1.c02dab0237bf4p-13, -0x1.b318e8ac2e76ep-13, -0x1.a6092a67f0553p-13, -0x1.98ff7eb0c6137p-13, -0x1.8bfcea582a0ap-13, -0x1.7f0268c819dbep-13, -0x1.7210ec44e1ed2p-13, -0x1.65295e2add05ap-13, -0x1.584c9f2d3bdc5p-13, -0x1.4b7b87932d67dp-13, -0x1.3eb6e77243374p-13, -0x1.31ff86e7aba85p-13, -0x1.25562650efcfcp-13, -0x1.18bb7e82c764ep-13, -0x1.0c3040fdf7dffp-13, -0x1.ff6a304700b36p-14, -0x1.e6954ed032c49p-14, -0x1.cde3170bf52d1p-14, -0x1.b554b558ec885p-14, -0x1.9ceb495efb457p-14, -0x1.84a7e66b2c9ap-14, -0x1.6c8b93ca7f399p-14, -0x1.54974d201cefdp-14, -0x1.3ccc02baa8c2cp-14, -0x1.252a99e92c58ap-14, -0x1.0db3ed4aa3cep-14, -0x1.ecd19a39d77b3p-15, -0x1.be93ff127aebap-15, -0x1.90b081e23a6d8p-15, -0x1.6328886c7c7dap-15, -0x1.35fd6604be8d3p-15, -0x1.09305c188e32fp-15, -0x1.b985356d67e44p-16, -0x1.616a8224ec698p-16, -0x1.0a12bc0aac29fp-16, -0x1.66ffc22aa69e7p-17, -0x1.76cf41d648dd9p-18, -0x1.16097062fd77fp-21, 0x1.2e24258269796p-18, 0x1.3ded4bcaef67ap-17, 0x1.e32e39f1b6c1ap-17, 0x1.43691be5ecd6ap-16, 0x1.946b698db7614p-16, 0x1.e49ce595c56e1p-16, 0x1.19fe43d5a26d3p-15, 0x1.4144af6103402p-15, 0x1.6821482da484cp-15, 0x1.8e93abe5b8f86p-15, 0x1.b49b82c82c452p-15, 0x1.da387f5113552p-15, 0x1.ff6a5de68176bp-15, 0x1.12187243e3289p-14, 0x1.2445f13eef685p-14, 0x1.363d980845decp-14, 0x1.47ff571cccdbfp-14, 0x1.598b232e24f66p-14, 0x1.6ae0f4ff1ce37p-14, 0x1.7c00c9422123cp-14, 0x1.8ceaa0789ee0ep-14, 0x1.9d9e7ed0decd3p-14, 0x1.ae1c6c06b5459p-14, 0x1.be647345abac6p-14, 0x1.ce76a30b34654p-14, 0x1.de530d08f5df9p-14, 0x1.edf9c6096228dp-14, 0x1.fd6ae5d382c0ep-14, 0x1.065343888e27ep-13, 0x1.0dd6639a14823p-13, 0x1.153ee32f1744bp-13, 0x1.1c8cd3a327db3p-13, 0x1.23c04791edc9dp-13, 0x1.2ad952cb8c19bp-13, 0x1.31d80a48f68fap-13, 0x1.38bc8420b12b8p-13, 0x1.3f86d77c9c11bp-13, 0x1.46371c9088511p-13, 0x1.4ccd6c8f151b7p-13, 0x1.5349e1a0be248p-13, 0x1.59ac96da2cd9ap-13, 0x1.5ff5a8330c34dp-13, 0x1.6625327cffbp-13, 0x1.6c3b535b6de41p-13, 0x1.7238293a95357p-13, 0x1.781bd347b5ecfp-13, 0x1.7de67169ebf4bp-13, 0x1.8398243a147c1p-13, 0x1.89310cfb0760cp-13, 0x1.8eb14d91f3b8p-13, 0x1.9419088073e55p-13, 0x1.996860dd5e556p-13, 0x1.9e9f7a4e440f9p-13, 0x1.a3be790112688p-13, 0x1.a8c581a59e2fbp-13, 0x1.adb4b9682bf7cp-13, 0x1.b28c45ea566efp-13, 0x1.b74c4d3ea4dedp-13, 0x1.bbf4f5e22dc51p-13, 0x1.c08666b7c78abp-13, 0x1.c500c7033854dp-13, 0x1.c9643e63d4d14p-13, 0x1.cdb0f4cf8a329p-13, 0x1.d1e7128dabd34p-13, 0x1.d606c032ebe28p-13, 0x1.da10269d30f07p-13, 0x1.de036eee934e2p-13, 0x1.e1e0c289ff106p-13, 0x1.e5a84b0e797e9p-13, 0x1.e95a3253918afp-13, 0x1.ecf6a26547631p-13, 0x1.f07dc58011b86p-13, 0x1.f3efc60ddba31p-13, 0x1.f74ccea224f09p-13, 0x1.fa9509f7240d5p-13, 0x1.fdc8a2ea414cap-13, 0x1.0073e23c8330cp-12, 0x1.01f94cded408p-12, 0x1.0374a6f5fca02p-12, 0x1.04e6062793775p-12, 0x1.064d80233e343p-12, 0x1.07ab2aa160c76p-12, 0x1.08ff1b61f2619p-12, 0x1.0a49682af0aefp-12, 0x1.0b8a26c775343p-12, 0x1.0cc16d060328bp-12, 0x1.0def50b7cd771p-12, 0x1.0f13e7af50b3bp-12, 0x1.102f47bf6cfa8p-12, 0x1.114186ba582bp-12, 0x1.124aba7091f18p-12, 0x1.134af8afda10ap-12, 0x1.14425742413d4p-12, 0x1.1530ebecf9204p-12, 0x1.1616cc6fd4e2ep-12, 0x1.16f40e844960ep-12, 0x1.17c8c7dc5cb09p-12, 0x1.18950e22199fdp-12, 0x1.1958f6f69b285p-12, 0x1.1a1497f16319ep-12, 0x1.1ac8069f658e9p-12, 0x1.1b73588262bc3p-12, 0x1.1c16a3105cb15p-12, 0x1.1cb1fbb2ae7f8p-12, 0x1.1d4577c5a4329p-12, 0x1.1dd12c97a5584p-12, 0x1.1e552f68b5193p-12, 0x1.1ed19569d74c8p-12, 0x1.1f4673bc3ff36p-12, 0x1.1fb3df71095d5p-12, 0x1.2019ed8896146p-12, 0x1.2078b2f2100ffp-12, 0x1.20d0448ac5acbp-12, 0x1.2120b71ddca9cp-12, 0x1.216a1f63b9efdp-12, 0x1.21ac92018b92dp-12, 0x1.21e82388c2298p-12, 0x1.221ce876c2e3bp-12, 0x1.224af53475268p-12, 0x1.22725e15cd008p-12, 0x1.229337598d775p-12, 0x1.22ad9528c5ec6p-12, 0x1.22c18b967316ap-12, 0x1.22cf2e9f4debap-12, 0x1.22d692293a9b2p-12, 0x1.22d7ca02f04a6p-12, 0x1.22d2e9e3feee8p-12, 0x1.22c8056c2a77cp-12, 0x1.22b7302347b0ap-12, 0x1.22a07d78d2684p-12, 0x1.228400c3e63ddp-12, 0x1.2261cd42ac426p-12, 0x1.2239f61a2d7cap-12, 0x1.220c8e56423efp-12, 0x1.21d9a8e920a9ap-12, 0x1.21a158ab3bcafp-12, 0x1.2163b05b0e7a5p-12, 0x1.2120c29cde8cp-12, 0x1.20d8a1fa7dc43p-12, 0x1.208b60e3167fcp-12, 0x1.203911ab3e9e7p-12, 0x1.1fe1c68c50e0bp-12, 0x1.1f8591a47cab3p-12, 0x1.1f2484f6d46fdp-12, 0x1.1ebeb26ac2f7fp-12, 0x1.1e542bcc2836fp-12, 0x1.1de502cb049f7p-12, 0x1.1d7148fb8d676p-12, 0x1.1cf90fd5d7dd1p-12, 0x1.1c7c68b5a769cp-12, 0x1.1bfb64daa5dd2p-12, 0x1.1b761568013fdp-12, 0x1.1aec8b6443be1p-12, 0x1.1a5ed7b982f1cp-12, 0x1.19cd0b350d77ap-12, 0x1.193736874a0f3p-12, 0x1.189d6a43b4003p-12, 0x1.17ffb6e0ee052p-12, 0x1.175e2cb8857e9p-12, 0x1.16b8dc06c4f6cp-12, 0x1.160fd4eac2fe3p-12, 0x1.1563276676e34p-12, 0x1.14b2e35e5ff97p-12, 0x1.13ff1899ac547p-12, 0x1.1347d6c21774dp-12, 0x1.128d2d63e9d47p-12, 0x1.11cf2bedd3855p-12, 0x1.110de1b0f3d9bp-12, 0x1.10495de101058p-12, 0x1.0f81af93feb5fp-12, 0x1.0eb6e5c238a9fp-12, 0x1.0de90f4676096p-12, 0x1.0d183addc18cfp-12, 0x1.0c4477276ca53p-12, 0x1.0b6dd2a513fb5p-12, 0x1.0a945bbab7c33p-12, 0x1.09b820aead51bp-12, 0x1.08d92fa985e4ap-12, 0x1.07f796b62033p-12, 0x1.071363c1a7866p-12, 0x1.062ca49bb3b4dp-12, 0x1.054366f617966p-12, 0x1.0457b8651f9f4p-12, 0x1.0369a65f5993bp-12, 0x1.02793e3dd06e4p-12, 0x1.01868d3be44abp-12, 0x1.0091a077918ep-12, 0x1.ff3509e2a90e7p-13, 0x1.fd428f184d76ep-13, 0x1.fb4bea1b161ddp-13, 0x1.f951343b5ffe4p-13, 0x1.f752868eb5d6bp-13, 0x1.f54ff9f011ea3p-13, 0x1.f349a6ffef1dp-13, 0x1.f13fa62493b77p-13, 0x1.ef320f89ec77bp-13, 0x1.ed20fb21b6e76p-13, 0x1.eb0c80a3c402dp-13, 0x1.e8f4b78da38ep-13, 0x1.e6d9b7237fdb4p-13, 0x1.e4bb966fa8b32p-13, 0x1.e29a6c43086cbp-13, 0x1.e0764f34e3131p-13, 0x1.de4f55a386f03p-13, 0x1.dc2595b3e6c4cp-13, 0x1.d9f9255278426p-13, 0x1.d7ca1a32d3ab6p-13, 0x1.d59889cff4ac9p-13, 0x1.d364896c4c61p-13, 0x1.d12e2e121a7ep-13, 0x1.cef58c936b85cp-13, 0x1.ccbab98a7a0e8p-13, 0x1.ca7dc959c62ddp-13, 0x1.c83ed02c51d1ap-13, 0x1.c5fde1f5f0ea4p-13, 0x1.c3bb127328fd7p-13, 0x1.c1767529ae597p-13, 0x1.bf301d685dc73p-13, 0x1.bce81e4770c7cp-13, 0x1.ba9e8aa8f8faep-13, 0x1.b8537538f2224p-13, 0x1.b606f06d598dp-13, 0x1.b3b90e8654d2bp-13, 0x1.b169e18ebd6fdp-13, 0x1.af197b5c095abp-13, 0x1.acc7ed8f177a4p-13, 0x1.aa754993cd78p-13, 0x1.a821a0a1893dep-13, 0x1.a5cd03bb38618p-13, 0x1.a37783afbd056p-13, 0x1.a121311a0c78fp-13, 0x1.9eca1c617f629p-13, 0x1.9c7255ba33ed3p-13, 0x1.9a19ed2534837p-13, 0x1.97c0f270c7131p-13, 0x1.9567753889df9p-13, 0x1.930d84e5afdb8p-13, 0x1.90b330af6a0acp-13, 0x1.8e58879afd209p-13, 0x1.8bfd987c2d959p-13, 0x1.89a271f58fd1fp-13, 0x1.874722789f989p-13, 0x1.84ebb845f444cp-13, 0x1.8290416db1618p-13, 0x1.8034cbcf8c10fp-13, 0x1.7dd9651bbaa39p-13, 0x1.7b7e1ad2d42b7p-13, 0x1.7922fa45d4fd3p-13, 0x1.76c810969cc96p-13, 0x1.746d6ab823c18p-13, 0x1.7213156ed92aep-13, 0x1.6fb91d50ddebp-13, 0x1.6d5f8ec64c96p-13, 0x1.6b067609817dbp-13, 0x1.68addf27c4edap-13, 0x1.6655d60116ed7p-13, 0x1.63fe6648bcaacp-13, 0x1.61a79b852adaap-13, 0x1.5f518110c02d1p-13, 0x1.5cfc2219d669ep-13, 0x1.5aa789a3313a6p-13, 0x1.5853c28436e88p-13, 0x1.5600d7694255ep-13, 0x1.53aed2d3d56c7p-13, 0x1.515dbf1ad912p-13, 0x1.4f0da66af2b9dp-13, 0x1.4cbe92c72ea0dp-13, 0x1.4a708e0952abbp-13, 0x1.4823a1e19657cp-13, 0x1.45d7d7d722a25p-13, 0x1.438d39487b6aap-13, 0x1.4143cf6bc5b3cp-13, 0x1.3efba34efe964p-13, 0x1.3cb4bdd887c31p-13, 0x1.3a6f27c71d9b4p-13, 0x1.382ae9b268342p-13, 0x1.35e80c0b8a8dep-13, 0x1.33a6971ced6f9p-13, 0x1.3166930ac2017p-13, 0x1.2f2807d3206cdp-13, 0x1.2ceafd4eba341p-13, 0x1.2aaf7b30b3775p-13, 0x1.2875890773ebep-13, 0x1.263d2e3c978cap-13, 0x1.240672155b964p-13, 0x1.21d15bb2dd94cp-13, 0x1.1f9df2125a6fcp-13, 0x1.1d6c3c0d71121p-13, 0x1.1b3c405adcdcbp-13, 0x1.190e058eca517p-13, 0x1.16e1921a98edp-13, 0x1.14b6ec4d5cdabp-13, 0x1.128e1a54124c1p-13, 0x1.1067223a43345p-13, 0x1.0e4209ea057b1p-13, 0x1.0c1ed72c8698fp-13, 0x1.09fd8faa05499p-13, 0x1.07de38ea72c61p-13, 0x1.05c0d855b906cp-13, 0x1.03a573341cf0bp-13, 0x1.018c0eae38078p-13, 0x1.fee95f9a8f625p-14, 0x1.fabeb6f7bb806p-14, 0x1.f6982d0b8adc8p-14, 0x1.f275cb31011e9p-14, 0x1.ee579a87537ebp-14, 0x1.ea3da3f24f739p-14, 0x1.e627f01af0377p-14, 0x1.e216876fbaa8p-14, 0x1.de097225789fap-14, 0x1.da00b837deb1p-14, 0x1.d5fc616a82f34p-14, 0x1.d1fc75499dc2ep-14, 0x1.ce00fb29d584p-14, 0x1.ca09fa28c5bdep-14, 0x1.c617792deeb27p-14, 0x1.c2297eeb70b7cp-14, 0x1.be4011de60e2ep-14, 0x1.ba5b384fa1346p-14, 0x1.b67af853e4324p-14, 0x1.b29f57cce48e7p-14, 0x1.aec85c698760fp-14, 0x1.aaf60ba756752p-14, 0x1.a7286ad1f02c3p-14, 0x1.a35f7f0399c45p-14, 0x1.9f9b4d2690ef8p-14, 0x1.9bdbd9f52ec62p-14, 0x1.982129fa52c8ap-14, 0x1.946b41925611p-14, 0x1.90ba24eb664bfp-14, 0x1.8d0dd80622729p-14, 0x1.89665eb5f8771p-14, 0x1.85c3bca196c26p-14, 0x1.8225f543ad7fap-14, 0x1.7e8d0bebaa239p-14, 0x1.7af903bdeebadp-14, 0x1.7769dfb51deaep-14, 0x1.73dfa2a18b03p-14, 0x1.705a4f29efcp-14, 0x1.6cd9e7cc8242ap-14, 0x1.695e6edf0f8a8p-14, 0x1.65e7e68fb335cp-14, 0x1.627650e5383d7p-14, 0x1.5f09afbf6f9bep-14, 0x1.5ba204d862b94p-14, 0x1.583f51c3f872ep-14, 0x1.54e197f1861b5p-14, 0x1.5188d8ab6b22dp-14, 0x1.4e35151772e98p-14, 0x1.4ae64e380e32p-14, 0x1.479c84ec7360fp-14, 0x1.4457b9f0bb7d5p-14, 0x1.4117eddf1a616p-14, 0x1.3ddd212fdd495p-14, 0x1.3aa7543a5c0a2p-14, 0x1.37768734df208p-14, 0x1.344aba351dcacp-14, 0x1.3123ed3105a24p-14, 0x1.2e021fff61f6p-14, 0x1.2ae55257eba4fp-14, 0x1.27cd83d3bb541p-14, 0x1.24bab3eeaadf9p-14, 0x1.21ace2065220ep-14, 0x1.1ea40d5b21379p-14, 0x1.1ba035112ecd5p-14, 0x1.18a1583033f12p-14, 0x1.15a775a431d3p-14, 0x1.12b28c3dc6126p-14, 0x1.0fc29ab28b4cfp-14, 0x1.0cd79f9dc6c73p-14, 0x1.09f199808c45ep-14, 0x1.071086c2dd05fp-14, 0x1.043465b338f2ap-14, 0x1.015d348700d37p-14, 0x1.fd15e2b7595e5p-15, 0x1.f77b346d819e2p-15, 0x1.f1ea5a0bc5a49p-15, 0x1.ec634f3f9b305p-15, 0x1.e6e60f887dc0ep-15, 0x1.e172963a23285p-15, 0x1.dc08de7c44c83p-15, 0x1.d6a8e34ab52f4p-15, 0x1.d1529f775260fp-15, 0x1.cc060daa68e96p-15, 0x1.c6c32863dd1a8p-15, 0x1.c189e9faecb75p-15, 0x1.bc5a4ca0149f5p-15, 0x1.b7344a5d8b4d7p-15, 0x1.b217dd16f52f9p-15, 0x1.ad04fe8b24206p-15, 0x1.a7fba854e520fp-15, 0x1.a2fbd3eaf7b32p-15, 0x1.9e057aa185fdap-15, 0x1.991895aa21eap-15, 0x1.94351e1503ffap-15, 0x1.8f5b0cd19b812p-15, 0x1.8a8a5aaee9374p-15, 0x1.85c3005cf6803p-15, 0x1.8104f66ce97cap-15, 0x1.7c5035515b2bcp-15, 0x1.77a4b55fc0c99p-15, 0x1.73026ed0b09f6p-15, 0x1.6e6959c04bf0ep-15, 0x1.69d96e2f55d8ap-15, 0x1.6552a403a5226p-15, 0x1.60d4f308bdc61p-15, 0x1.5c6052f085697p-15, 0x1.57f4bb53a6d05p-15, 0x1.539223b239652p-15, 0x1.4f388374a2676p-15, 0x1.4ae7d1ec48b3ep-15, 0x1.46a0065388e14p-15, 0x1.426117ce7433ep-15, 0x1.3e2afd6c0394bp-15, 0x1.39fdae25f8f1ap-15, 0x1.35d920e16ea2ap-15, 0x1.31bd4c70152f9p-15, 0x1.2daa27902658p-15, 0x1.299fa8ed0229p-15, 0x1.259dc71fcef52p-15, 0x1.21a478afc8977p-15, 0x1.1db3b413535a4p-15, 0x1.19cb6faff9cd8p-15, 0x1.15eba1db3a23ep-15, 0x1.121440daded4ap-15, 0x1.0e4542e5344a2p-15, 0x1.0a7e9e222cb75p-15, 0x1.06c048abca609p-15, 0x1.030a388e28414p-15, 0x1.feb8c78f8940ap-16, 0x1.f76d809509a95p-16, 0x1.f03287f90bc0ep-16, 0x1.e907c96f742aap-16, 0x1.e1ed3095d3ee1p-16, 0x1.dae2a8f2d34e6p-16, 0x1.d3e81df808534p-16, 0x1.ccfd7b03b07fep-16, 0x1.c622ab60d1f82p-16, 0x1.bf579a488133ep-16, 0x1.b89c32e17fb8p-16, 0x1.b1f06042065fcp-16, 0x1.ab540d704e454p-16, 0x1.a4c72562a9fa4p-16, 0x1.9e4993018f3a2p-16, 0x1.97db4128a74bp-16, 0x1.917c1aa636f2dp-16, 0x1.8b2c0a3ccbeep-16, 0x1.84eafaa349e81p-16, 0x1.7eb8d68630e7p-16, 0x1.7895888845308p-16, 0x1.7280fb4310fdfp-16, 0x1.6c7b19480851dp-16, 0x1.6683cd20cd6bfp-16, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      22, 0x1.2p+2, 0x1.ec971db653509p+3, 0x1.700fc7bff09b1p+5, 0x1.5fd8a7421b5b1p-9, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.24b57a5271668p-8, -0x1.c16f0d21695c3p-6, 0x1.b0655cf35073bp-3, -0x1.30e049128347ep-1}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d11253fd58e0fp-9, -0x1.615fe60e161f8p-7, 0x1.f2f0c89d368f1p-4, -0x1.ced1a1af031fap-2}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.aae8251ad5b27p-9, -0x1.0531da6e653bbp-9, 0x1.ba7f9c0202fa4p-5, -0x1.52221811986b4p-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.aa230b0be5de1p-9, 0x1.e8c7a56be2e97p-11, 0x1.25e8c5cd93d94p-8, -0x1.9d3fe7e2faf8bp-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.ae6901e152924p-9, -0x1.1620c78393741p-13, -0x1.a66c180361d07p-6, -0x1.40a34c0e2b009p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.a3cf5eae218cep-9, -0x1.b0461d7416e69p-9, -0x1.336709392434cp-5, 0x1.dd3e0182c4acbp-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.82dacf87951c1p-9, -0x1.b16ca55fe96b4p-8, -0x1.d7a1decb0d683p-6, 0x1.c444233eb4b32p-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.4fe3825b7608p-9, -0x1.1be716bb343a7p-7, -0x1.908b934adb954p-7, 0x1.40d157db2c9adp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.1462d025409bfp-9, -0x1.30b549262de8fp-7, -0x1.f20ba214c2034p-12, 0x1.e269407689431p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.b081d046a3601p-10, -0x1.23cacdf635473p-7, 0x1.11e1fcd012b37p-7, 0x1.264ae963c90f2p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4271ed5a612ap-10, -0x1.ff267a13dac1p-8, 0x1.c27555a58b557p-7, 0x1.d850285626e36p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.cb6494ce3c3fep-11, -0x1.9df953dcf92e7p-8, 0x1.04a7143fa22f4p-6, -0x1.336f31df200f1p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.3a0a6901257d5p-11, -0x1.3a530b3b58ca4p-8, 0x1.db30add0ff8f5p-7, -0x1.3f1bd12443c9cp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.9c158b8715cdep-12, -0x1.c9b8200bab95dp-9, 0x1.7b7522461e6ccp-7, -0x1.055e9b5c535a6p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.014319cef7cdbp-12, -0x1.419e4edb8ff03p-9, 0x1.2d0bf3aa6bd22p-7, -0x1.da0a7ead5c129p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2d9acaa1c441ap-13, -0x1.aed7863930699p-10, 0x1.cbe18e20d59c7p-8, -0x1.97767f9c3a79bp-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.4598eca9f19edp-14, -0x1.0f565507595bep-10, 0x1.51a467d85dab9p-8, -0x1.599fe91dde5a4p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.3a0a6901257f5p-15, -0x1.3a09210907965p-11, 0x1.d3e8dd6b9c552p-9, -0x1.1ab4f75a4355fp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.014319cef7d7p-16, -0x1.4197e0c764d53p-12, 0x1.2a4915cf0d889p-9, -0x1.b6bc1431bfaf1p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.4598eca9f1a6p-18, -0x1.0f39e0f3486bap-13, 0x1.4d5485e6a80f9p-10, -0x1.3d96cc27b1a36p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.014319cef87p-20, -0x1.4322206d4bfddp-15, 0x1.1d8db06a7aee9p-11, -0x1.5e4e626cbde55p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.014319cefb001p-24, -0x1.132863900960cp-18, 0x1.2d7aa23e8a63fp-13, -0x1.d4d35fb9adce4p-9}, 
      }}, 
      0x1.b92a58743ab1cp-5, -0x1.53fd4250b328cp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.d548d43dac463p-10, 0x1.b4f8db2aacd0ep-9, 0x1.2166a1f8d90b5p-8, 0x1.3f08f4994a2f3p-8, 0x1.2bb539c8fe09dp-8, 0x1.c5f787814a629p-9, 0x1.8d5225e6617b1p-10, -0x1.495c30dcc0169p-10, -0x1.3b2cb97fae163p-8, -0x1.296f2218abe3cp-7, -0x1.ca0cf47a6e6b8p-7, -0x1.3e3aa8d1ebe05p-6, -0x1.9ec1e4846912dp-6, -0x1.0282491d7a9d7p-5, -0x1.37b8f281e7051p-5, -0x1.6e4470f153063p-5, -0x1.a56f78d268dd8p-5, -0x1.dc92319db5033p-5, -0x1.0989d1342cb0dp-4, -0x1.2435379ecabp-4, -0x1.3e0e863ca2789p-4, -0x1.56e0c5447c7b5p-4, -0x1.6e7e8bd0d8f6bp-4, -0x1.84c1a70458117p-4, -0x1.998aafa09cdfdp-4, -0x1.acc094233277ep-4, -0x1.be501bf389d16p-4, -0x1.ce2b67dce5f91p-4, -0x1.dc49720f64cbdp-4, -0x1.e8a590b950ac1p-4, -0x1.f33efcbc37b95p-4, -0x1.fc185d46fea3p-4, -0x1.019bad2e3f48dp-3, -0x1.04521b0b2da96p-3, -0x1.0634b6a9c698ap-3, -0x1.0749b01d886a2p-3, -0x1.0798011d511b7p-3, -0x1.072748bced785p-3, -0x1.05ffaab12022ap-3, -0x1.0429b1e5c19e5p-3, -0x1.01ae362bcd98ep-3, -0x1.fd2c898528819p-4, -0x1.f5d61718a4c5cp-4, -0x1.ed6b8d693ea6ep-4, -0x1.e3ff61380466dp-4, -0x1.d9a3e7b28ef3fp-4, -0x1.ce6b3e332db5fp-4, -0x1.c26735c1b70aap-4, -0x1.b5a940ecb19d7p-4, -0x1.a84265790910bp-4, -0x1.9a432fc8934fdp-4, -0x1.8bbba8d4480e2p-4, -0x1.7cbb4e0bc3689p-4, -0x1.6d510af850a0ap-4, -0x1.5d8b347480479p-4, -0x1.4d77855b69f84p-4, -0x1.3d231c7c595ep-4, -0x1.2c9a7bcea9197p-4, -0x1.1be987d502457p-4, -0x1.0b1b88dd079eep-4, -0x1.f476582fb853cp-5, -0x1.d2a50b75be182p-5, -0x1.b0d62a743e2d6p-5, -0x1.8f1b8cebb198ap-5, -0x1.6d85eeb864e21p-5, -0x1.4c24f24b06bf2p-5, -0x1.2b072df0e94f1p-5, -0x1.0a3a2d9401153p-5, -0x1.d3950f882a3bp-6, -0x1.9387b61001c34p-6, -0x1.5461c2d37682ep-6, -0x1.1636e4b9cd27ap-6, -0x1.b2323aa8855c1p-7, -0x1.3a3197d0ba982p-7, -0x1.891329e3a26fp-8, -0x1.4553b8f6554a7p-9, 0x1.f546166f300fep-11, 0x1.1aba1208a039ap-8, 0x1.f16476fdca9ebp-8, 0x1.614398820e2fep-7, 0x1.c703101f98fe3p-7, 0x1.14f263cef853p-6, 0x1.44ef7ec6f166cp-6, 0x1.7374f684863d6p-6, 0x1.a07fd87c989a4p-6, 0x1.cc0e13de4d927p-6, 0x1.f61e6cc23b2e3p-6, 0x1.0f5837a1b5c0ep-5, 0x1.22e231e8accfep-5, 0x1.35ada1f022e73p-5, 0x1.47bb576aad563p-5, 0x1.590c6f5c58bb4p-5, 0x1.69a24ef2dce0ap-5, 0x1.797e9db952894p-5, 0x1.88a340772843bp-5, 0x1.971253e0e2f48p-5, 0x1.a4ce279bb2f1cp-5, 0x1.b1d939a042f68p-5, 0x1.be3631bf79fa5p-5, 0x1.c9e7ddb469041p-5, 0x1.d4f12d1f1fe65p-5, 0x1.df552e42da3cbp-5, 0x1.e9170aa41f0f7p-5, 0x1.f23a0401431ebp-5, 0x1.fac171749af26p-5, 0x1.01585e54d179cp-4, 0x1.0505afa9c105dp-4, 0x1.086a704f9b18bp-4, 0x1.0b88696ab519ep-4, 0x1.0e6168890260cp-4, 0x1.10f73e82cf6a3p-4, 0x1.134bbe80bc8c2p-4, 0x1.1560bcf0e0d09p-4, 0x1.17380ea6eb8b5p-4, 0x1.18d387f78fd0ap-4, 0x1.1a34fbf7332c8p-4, 0x1.1b5e3bb08c70dp-4, 0x1.1c511581808f4p-4, 0x1.1d0f547aeaf26p-4, 0x1.1d9abfc994ae1p-4, 0x1.1df51a3a5e52ap-4, 0x1.1e2021bd18284p-4, 0x1.1e1d8efbef18fp-4, 0x1.1def14fa30faap-4, 0x1.1d9660bfc1985p-4, 0x1.1d1519019b453p-4, 0x1.1c6cddde9ea0ep-4, 0x1.1b9f48b3191b1p-4, 0x1.1aadebd02a1a1p-4, 0x1.199a5259d7a77p-4, 0x1.1866000f11baep-4, 0x1.17127155c938fp-4, 0x1.15a11aed7dbaep-4, 0x1.141369f69e147p-4, 0x1.126ac4010ef67p-4, 0x1.10a886e240c16p-4, 0x1.0ece08ac451c7p-4, 0x1.0cdc97f15d7c1p-4, 0x1.0ad57b9459fd5p-4, 0x1.08b9f2ccfde39p-4, 0x1.068b356e6e2e3p-4, 0x1.044a73dc89935p-4, 0x1.01f8d6f31b4d8p-4, 0x1.ff2f00c5bd51fp-5, 0x1.fa4f155654d89p-5, 0x1.f554121cc4bb3p-5, 0x1.f0400f719f8bap-5, 0x1.eb15181beb25dp-5, 0x1.e5d528da426dap-5, 0x1.e08230a5fc0a6p-5, 0x1.db1e11439bc4cp-5, 0x1.d5aa9f4cce51ep-5, 0x1.d029a1d89fa8ep-5, 0x1.ca9cd30ad44fbp-5, 0x1.c505e097f084dp-5, 0x1.bf666b5a76155p-5, 0x1.b9c0074b017b8p-5, 0x1.b4143c432808ap-5, 0x1.ae6486378d832p-5, 0x1.a8b254a71531dp-5, 0x1.a2ff0ac5be748p-5, 0x1.9d4c0065ac38dp-5, 0x1.979a81e6f3e7ep-5, 0x1.91ebcf9feb002p-5, 0x1.8c411e1ad4123p-5, 0x1.869b970295803p-5, 0x1.80fc5920c9be4p-5, 0x1.7b6477989a27ep-5, 0x1.75d4fa0c7ade6p-5, 0x1.704edd9c380a9p-5, 0x1.6ad3151b8baffp-5, 0x1.6562883c3f46p-5, 0x1.5ffe1354b84cep-5, 0x1.5aa68853a6e5bp-5, 0x1.555caf6b9787ap-5, 0x1.50214670b64fbp-5, 0x1.4af5001cfe80ep-5, 0x1.45d8849a9da8ep-5, 0x1.40cc729f81351p-5, 0x1.3bd15f7d78bdcp-5, 0x1.36e7d6202aa94p-5, 0x1.321056dcb1838p-5, 0x1.2d4b584f1fb35p-5, 0x1.2899485f16ce8p-5, 0x1.23fa8be8d651ap-5, 0x1.1f6f7dc575f18p-5, 0x1.1af86ec97c43p-5, 0x1.1695a6f121537p-5, 0x1.124766377283ap-5, 0x1.0e0de42f551f6p-5, 0x1.09e94f0c9e57fp-5, 0x1.05d9cbba458adp-5, 0x1.01df770747a4dp-5, 0x1.fbf4cd2717f16p-6, 0x1.f4555102e36c2p-6, 0x1.ece085221874ep-6, 0x1.e596640e0ba73p-6, 0x1.de76d969e55edp-6, 0x1.d781c41ed55ap-6, 0x1.d0b6f67717f93p-6, 0x1.ca163498eec4cp-6, 0x1.c39f33c5feb72p-6, 0x1.bd519b88f3607p-6, 0x1.b72d081ab44fdp-6, 0x1.b1310b7f8acb8p-6, 0x1.ab5d2ccadabebp-6, 0x1.a5b0e6ea1941cp-6, 0x1.a02ba8bcb5fabp-6, 0x1.9accd6d89cd82p-6, 0x1.9593cd717938ep-6, 0x1.907fe0e836a0bp-6, 0x1.8b905d006283p-6, 0x1.86c4840f6d889p-6, 0x1.821b8f6f4449ep-6, 0x1.7d94b129c2ee4p-6, 0x1.792f15939a7a9p-6, 0x1.74e9e3c02bd66p-6, 0x1.70c43ceb862a3p-6, 0x1.6cbd3be1c8bd2p-6, 0x1.68d3f5601ba48p-6, 0x1.650779738148p-6, 0x1.6156d4e24a778p-6, 0x1.5dc111c4e953ep-6, 0x1.5a4537401fa5ep-6, 0x1.56e2491600ac5p-6, 0x1.539747c30ff94p-6, 0x1.506331624e2b9p-6, 0x1.4d4502e9f78abp-6, 0x1.4a3bb8d7b73a8p-6, 0x1.47464f6a59a1bp-6, 0x1.4463c2700285bp-6, 0x1.41930d2a4b8a5p-6, 0x1.3ed32aa85e5d4p-6, 0x1.3c2316827d15ap-6, 0x1.3981cda35a9a9p-6, 0x1.36ee4ece29793p-6, 0x1.34679ad88cec2p-6, 0x1.31ecb4a944454p-6, 0x1.2f7ca12d571b1p-6, 0x1.2d16677a9a309p-6, 0x1.2ab9113bb0beap-6, 0x1.2863ab4a42ba4p-6, 0x1.2615464377359p-6, 0x1.23ccf6eaeb3c1p-6, 0x1.2189d639f99efp-6, 0x1.1f4b012ad47e1p-6, 0x1.1d0f9889c5ab2p-6, 0x1.1ad6c121dc664p-6, 0x1.189fa442b46d3p-6, 0x1.1669707018174p-6, 0x1.143359e5a6bdbp-6, 0x1.11fc9aab99cb3p-6, 0x1.0fc4723d2c0aep-6, 0x1.0d8a2516d5711p-6, 0x1.0b4cfc9c0c4cap-6, 0x1.090c477f86bbcp-6, 0x1.06c75a794b68fp-6, 0x1.047d90e459896p-6, 0x1.022e4ced9bd82p-6, 0x1.ffb1ee6174459p-7, 0x1.faf9fc69a7facp-7, 0x1.f633abdad65b2p-7, 0x1.f15defcfef03ep-7, 0x1.ec77c7bdc9037p-7, 0x1.e78040d65dc8ep-7, 0x1.e27676c1960c2p-7, 0x1.dd59933ed882dp-7, 0x1.d828cd03a5a99p-7, 0x1.d2e36670b1df2p-7, 0x1.cd88ad08560ebp-7, 0x1.c817f9ec6d88fp-7, 0x1.c290b314648d9p-7, 0x1.bcf24c6d58cf4p-7, 0x1.b73c4821e45cfp-7, 0x1.b16e35e78cafap-7, 0x1.ab87b1b22cb58p-7, 0x1.a588627c50f5ap-7, 0x1.9f6ff9c989908p-7, 0x1.993e3418a617fp-7, 0x1.92f2d9eff7d3p-7, 0x1.8c8dc0ccc28cp-7, 0x1.860ecb5519746p-7, 0x1.7f75e89d60c43p-7, 0x1.78c312da98a9cp-7, 0x1.71f64e207a14bp-7, 0x1.6b0fa7b8184e7p-7, 0x1.640f364996bacp-7, 0x1.5cf51aaa6ef4cp-7, 0x1.55c180b69aee6p-7, 0x1.4e749fbe44e1fp-7, 0x1.470eba13b5fb1p-7, 0x1.3f901be777ae2p-7, 0x1.37f919e4974e2p-7, 0x1.304a102fe7889p-7, 0x1.28836207b103dp-7, 0x1.20a57a2ded383p-7, 0x1.18b0cbacecf0bp-7, 0x1.10a5d29d2df1ap-7, 0x1.0885143c8f804p-7, 0x1.004f1e65fbe96p-7, 0x1.f0090ca3a0587p-8, 0x1.df4bce67fd455p-8, 0x1.ce67c244b0192p-8, 0x1.bd5e316676648p-8, 0x1.ac306e9711cfcp-8, 0x1.9adfd7d488bf7p-8, 0x1.896dd7e122b3ep-8, 0x1.77dbe7018a11p-8, 0x1.662b8a41da0d7p-8, 0x1.545e515d4a05p-8, 0x1.4275d3d88fb98p-8, 0x1.3073ae47fd3fp-8, 0x1.1e5980a3e09b8p-8, 0x1.0c28ee22b4fb4p-8, 0x1.f3c73ce68b8dfp-9, 0x1.cf167f36635b2p-9, 0x1.aa430f36ad046p-9, 0x1.855069ecb085ep-9, 0x1.60421b77355c6p-9, 0x1.3b1bba5fd4308p-9, 0x1.15e0e183e8d4fp-9, 0x1.e12a54efd8a1ep-10, 0x1.9678544285c46p-10, 0x1.4bb2e0ea3ab3p-10, 0x1.00e1163b262a4p-10, 0x1.6c1426c469e94p-11, 0x1.acd40c5e46a5dp-12, 0x1.0348fd43b0ad5p-13, -0x1.52927d458fb8cp-13, -0x1.d3d7f910ad0d7p-12, -0x1.7ef54c3b7b0a2p-11, -0x1.09d91372e5db5p-10, -0x1.540a2d3cf9463p-10, -0x1.9e06f823f10eap-10, -0x1.e7c89311fff8dp-10, -0x1.18a417c489a94p-9, -0x1.3d3f846429282p-9, -0x1.61b32e9b652adp-9, -0x1.85fbb651d34adp-9, -0x1.aa15be15c6731p-9, -0x1.cdfdef6030fa2p-9, -0x1.f1b0fffafc8bdp-9, -0x1.0a95db7de03e1p-8, -0x1.1c3577eb4ae34p-8, -0x1.2db5cda4d4d0ep-8, -0x1.3f155e8e084b4p-8, -0x1.5052b45edb912p-8, -0x1.616c5ea9026f4p-8, -0x1.7260f1690d5eap-8, -0x1.832f048fd1e83p-8, -0x1.93d534a29e1cfp-8, -0x1.a452244750895p-8, -0x1.b4a47e41c7729p-8, -0x1.c4caf75e74c7cp-8, -0x1.d4c44fcdc5cf4p-8, -0x1.e48f539be447fp-8, -0x1.f42ada3b128ecp-8, -0x1.01cae2adcb98dp-7, -0x1.09677fbe21e39p-7, -0x1.10eabd54d7498p-7, -0x1.185417e371ca7p-7, -0x1.1fa30f434d5a4p-7, -0x1.26d72703e3353p-7, -0x1.2defe6efebb59p-7, -0x1.34ecdba44b697p-7, -0x1.3bcd971343d29p-7, -0x1.4291b0d55ac06p-7, -0x1.4938c637cd98cp-7, -0x1.4fc27a07b743bp-7, -0x1.562e74380c6p-7, -0x1.5c7c616f84b79p-7, -0x1.62abf2ab6eea5p-7, -0x1.68bcdd0b15431p-7, -0x1.6eaed9c873896p-7, -0x1.7481a652a9e34p-7, -0x1.7a3504863baf1p-7, -0x1.7fc8bae9d7738p-7, -0x1.853c94e2a33b2p-7, -0x1.8a9062d36e062p-7, -0x1.8fc3fa1f264b7p-7, -0x1.94d7350db021cp-7, -0x1.99c9f299b6bb4p-7, -0x1.9e9c1633e4757p-7, -0x1.a34d878a6a4b5p-7, -0x1.a7de32605f552p-7, -0x1.ac4e067a1ad36p-7, -0x1.b09cf79bb830ep-7, -0x1.b4cafd924c5d4p-7, -0x1.b8d8143fa82cbp-7, -0x1.bcc43ba1ccbecp-7, -0x1.c08f77d2f990fp-7, -0x1.c439d10380037p-7, -0x1.c7c3536617c2dp-7, -0x1.cb2c0f16828f8p-7, -0x1.ce7417f77c25bp-7, -0x1.d19b858ed9b5cp-7, -0x1.d4a272d7f8298p-7, -0x1.d788fe383648bp-7, -0x1.da4f4957b578ep-7, -0x1.dcf5791b96cfcp-7, -0x1.df7bb59a6724ep-7, -0x1.e1e22a1195217p-7, -0x1.e42904d96449p-7, -0x1.e65077568e18dp-7, -0x1.e858b5ea3e591p-7, -0x1.ea41f7e14d361p-7, -0x1.ec0c77614c07dp-7, -0x1.edb871524cb5dp-7, -0x1.ef4625440c51dp-7, -0x1.f0b5d54f1a4f9p-7, -0x1.f207c5f48f01fp-7, -0x1.f33c3dff451edp-7, -0x1.f4538669c7f94p-7, -0x1.f54dea49deaa6p-7, -0x1.f62bb6c0ab915p-7, -0x1.f6ed3aedb9f55p-7, -0x1.f792c7e238b0ap-7, -0x1.f81cb0933bc0cp-7, -0x1.f88b49ca238d3p-7, -0x1.f8deea1263751p-7, -0x1.f917e9a4cf0afp-7, -0x1.f936a24fd1c6cp-7, -0x1.f93b6f5d292dfp-7, -0x1.f926ad75fa2dp-7, -0x1.f8f8ba87d010ep-7, -0x1.f8b1f5ac90ab9p-7, -0x1.f852bf17377abp-7, -0x1.f7db78058209p-7, -0x1.f74c82b472849p-7, -0x1.f6a642547f4cp-7, -0x1.f5e91afa3280dp-7, -0x1.f5157189c3431p-7, -0x1.f42bab9e63c37p-7, -0x1.f32c2f70730bbp-7, -0x1.f21763bd8eb15p-7, -0x1.f0edafb7bedb9p-7, -0x1.efaf7afb09e2p-7, -0x1.ee5d2d880a088p-7, -0x1.ecf72fc1a9a8bp-7, -0x1.eb7dea672ac94p-7, -0x1.e9f1c6873e99dp-7, -0x1.e8532d69ade07p-7, -0x1.e6a288708fad5p-7, -0x1.e4e040f5131dfp-7, -0x1.e30cc0258e3b7p-7, -0x1.e1286eeb0de9ap-7, -0x1.df33b5db89645p-7, -0x1.dd2efd3a58775p-7, -0x1.db1aad049a884p-7, -0x1.d8f72d03f724cp-7, -0x1.d6c4e4de67fd7p-7, -0x1.d4843c1a7fd63p-7, -0x1.d2359a1186163p-7, -0x1.cfd965cdd03d7p-7, -0x1.cd7005da122e7p-7, -0x1.caf9e00c661f7p-7, -0x1.c8775953536cap-7, -0x1.c5e8d59f18ba8p-7, -0x1.c34eb7e02d275p-7, -0x1.c0a9621dde3bfp-7, -0x1.bdf935a75142fp-7, -0x1.bb3e93441137bp-7, -0x1.b879db58f94c4p-7, -0x1.b5ab6df13a69ep-7, -0x1.b2d3aaa38a046p-7, -0x1.aff2f0563015ep-7, -0x1.ad099cee1386dp-7, -0x1.aa180cfd09fe9p-7, -0x1.a71e9b84ff108p-7, -0x1.a41da1e20366bp-7, -0x1.a11577e3017fbp-7, -0x1.9e06740cc7369p-7, -0x1.9af0ebf5915ddp-7, -0x1.97d5349fce19ap-7, -0x1.94b3a2b82e22dp-7, -0x1.918c8aa154db8p-7, -0x1.8e6040440dff6p-7, -0x1.8b2f16aab145ap-7, -0x1.87f95f7dedf89p-7, -0x1.84bf6a83c2764p-7, -0x1.8181854413c48p-7, -0x1.7e3ffaef731fdp-7, -0x1.7afb1495fb94ap-7, -0x1.77b319a708b9bp-7, -0x1.7468509ef28c5p-7, -0x1.711affb773e08p-7, -0x1.6dcb6d6dc4794p-7, -0x1.6a79e0b3323a8p-7, -0x1.6726a0b1ac667p-7, -0x1.63d1f42b0dd37p-7, -0x1.607c208d9bccp-7, -0x1.5d2568f26006ap-7, -0x1.59ce0d42ed7ebp-7, -0x1.567649c1675p-7, -0x1.531e571c5abe9p-7, -0x1.4fc66b1a2ecadp-7, -0x1.4c6eb9c4e6b77p-7, -0x1.491776dc18bc7p-7, -0x1.45c0d73b5b126p-7, -0x1.426b11dd0938cp-7, -0x1.3f1660301779fp-7, -0x1.3bc2fd9a9fcp-7, -0x1.387126300956ap-7, -0x1.352114d103473p-7, -0x1.31d3010fd6939p-7, -0x1.2e871d468e271p-7, -0x1.2b3d954a904f2p-7, -0x1.27f68e124c441p-7, -0x1.24b2267aa521ep-7, -0x1.21707924a3cfp-7, -0x1.1e319f2a62e82p-7, -0x1.1af5b335120aap-7, -0x1.17bcd459bd384p-7, -0x1.1487281d93b2cp-7, -0x1.1154db21e2303p-7, -0x1.0e26203986e4ep-7, -0x1.0afb2dfecd209p-7, -0x1.07d43b526f7c5p-7, -0x1.04b17b67144dbp-7, -0x1.01931a126497dp-7, -0x1.fcf2721ca07ap-8, -0x1.f6c7dd580a641p-8, -0x1.f0a68c8519286p-8, -0x1.ea8e84c99239bp-8, -0x1.e47fc147bb831p-8, -0x1.de7a3cead94e2p-8, -0x1.d87dfcb88cb2p-8, -0x1.d28b19143c4d5p-8, -0x1.cca1c3d5b0482p-8, -0x1.c6c249bc4cb9bp-8, -0x1.c0ed0e8d2bc2bp-8, -0x1.bb228450b32fcp-8, -0x1.b5631f3aed4f1p-8, -0x1.afaf4886ecc4fp-8, -0x1.aa07529d813b6p-8, -0x1.a46b7093d523ap-8, -0x1.9edbb1f6ee017p-8, -0x1.9958035fa943p-8, -0x1.93e0336da8e72p-8, -0x1.8e73fb944e442p-8, -0x1.89130bf00fc04p-8, -0x1.83bd1912a3864p-8, -0x1.7e71ea3a8fdabp-8, -0x1.793165dc2d81p-8, -0x1.73fb9a1423fd5p-8, -0x1.6ed0bedb3df2dp-8, -0x1.69b130dbab6c9p-8, -0x1.649d6562a7fa1p-8, -0x1.5f95d9a63b289p-8, -0x1.5a9b00d3f2c0dp-8, -0x1.55ad349e47faep-8, -0x1.50ccab21189cp-8, -0x1.4bf9734b4e0dfp-8, -0x1.47337732e03aep-8, -0x1.427a82833e772p-8, -0x1.3dce4b041f63ap-8, -0x1.392e79e3e7d67p-8, -0x1.349ab57378cefp-8, -0x1.3012ab99411a2p-8, -0x1.2b961d039218ep-8, -0x1.2724e81ecfd89p-8, -0x1.22bf11a10fd9ap-8, -0x1.1e64c7d8974c4p-8, -0x1.1a165e651c8fep-8, -0x1.15d441b15c3e9p-8, -0x1.119ee3eca2baap-8, -0x1.0d76a78f6c95cp-8, -0x1.095bcca9e0a01p-8, -0x1.054e65b6d3196p-8, -0x1.014e566931be2p-8, -0x1.fab6b757213a8p-9, -0x1.f2ea3227c315ep-9, -0x1.eb364d5dba5a8p-9, -0x1.e39a35c3acbp-9, -0x1.dc151da87ab4ep-9, -0x1.d4a63e05a8dbbp-9, -0x1.cd4cd761f778fp-9, -0x1.c60839add6e9dp-9, -0x1.bed7d61855322p-9, -0x1.b7bb57aa745cfp-9, -0x1.b0b2ba57896c1p-9, -0x1.a9be5643874c6p-9, -0x1.a2ded75d4367bp-9, -0x1.9c151f76dec19p-9, -0x1.956218afd60f3p-9, -0x1.8ec684912cf94p-9, -0x1.8842d6c47520bp-9, -0x1.81d7274af890bp-9, -0x1.7b834026887fp-9, -0x1.7546c0322b0a1p-9, -0x1.6f214472c02d2p-9, -0x1.6912864dd449fp-9, -0x1.631a61bf20c4cp-9, -0x1.5d38c17353de7p-9, -0x1.576d7ae91d9bdp-9, -0x1.51b82c75f8b81p-9, -0x1.4c182e5bb6e48p-9, -0x1.468c9faac4789p-9, -0x1.41148bcce9836p-9, -0x1.3baf1b88e259p-9, -0x1.365bc058a821cp-9, -0x1.311a4a6b2a288p-9, -0x1.2beae115e43bcp-9, -0x1.26cddfb62c9b5p-9, -0x1.21c3a322e4274p-9, -0x1.1ccc59928731ep-9, -0x1.17e7e5dff0917p-9, -0x1.1315e008b39a9p-9, -0x1.0e55b2ac2fb0fp-9, -0x1.09a6cb87c8817p-9, -0x1.0508cdd1c15c5p-9, -0x1.007bb2de03717p-9, -0x1.f7ff93642829cp-10, -0x1.ef2b237613365p-10, -0x1.e67af9512844bp-10, -0x1.ddef60673fbc8p-10, -0x1.d587c4b3bc56cp-10, -0x1.cd42bdebd2f15p-10, -0x1.c51e6596593cp-10, -0x1.bd18d244afa9fp-10, -0x1.b5308a192acf3p-10, -0x1.ad64c9cb56756p-10, -0x1.a5b58f9ea2659p-10, -0x1.9e236c576a7bfp-10, -0x1.96af2e0a0ff96p-10, -0x1.8f5985173286cp-10, -0x1.8822c2926a8cdp-10, -0x1.810abfdb31f3fp-10, -0x1.7a10ec9175a53p-10, -0x1.733476f1d16b4p-10, -0x1.6c74841bde928p-10, -0x1.65d06fab50455p-10, -0x1.5f4803df7b1fap-10, -0x1.58db9197a4b53p-10, -0x1.528bcfc17cd61p-10, -0x1.4c597e5b0a18ep-10, -0x1.4644eb5b59ca2p-10, -0x1.404d921af66b8p-10, -0x1.3a720976ef608p-10, -0x1.34b04ce20aecap-10, -0x1.2f0638aef28ddp-10, -0x1.2971f9fdd894dp-10, -0x1.23f24a3669fa8p-10, -0x1.1e867a2b57577p-10, -0x1.192e654455e6cp-10, -0x1.13ea58aa80713p-10, -0x1.0ebaed23accd6p-10, -0x1.09a0d863b1738p-10, -0x1.049cc3fe556b8p-10, -0x1.ff5e654cabdeep-11, -0x1.f5b0e190d2243p-11, -0x1.ec3117dae6bdbp-11, -0x1.e2dea559edcc9p-11, -0x1.d9b8c19a1dbaap-11, -0x1.d0be6c50ea12p-11, -0x1.c7eea507c835fp-11, -0x1.bf489de62722bp-11, -0x1.b6cbd4d534e8ap-11, -0x1.ae77f93081576p-11, -0x1.a64c957f88712p-11, -0x1.9e48a36f46941p-11, -0x1.966a5b1c02cf7p-11, -0x1.8eaf7c62d3643p-11, -0x1.8715ee28f0d75p-11, -0x1.7f9c2b0e9945fp-11, -0x1.7841113b59fabp-11, -0x1.71035769ad3a9p-11, -0x1.69e1623f9846ap-11, -0x1.62d9cfb9d4f5ap-11, -0x1.5bec3711e310ap-11, -0x1.5519600e9b8afp-11, -0x1.4e62c1757e4cbp-11, -0x1.47c9ab18390ebp-11, -0x1.414eac333bceep-11, -0x1.3af19276e1019p-11, -0x1.34b1f5d1b081p-11, -0x1.2e8fd7d903177p-11, -0x1.288bc963fb188p-11, -0x1.22a676a9e62bap-11, -0x1.1ce00c510a72ap-11, -0x1.173805eaf16bcp-11, -0x1.11ad8ce1bab69p-11, -0x1.0c4012e90fe8fp-11, -0x1.06efae85810dcp-11, -0x1.01bcf50af5137p-11, -0x1.f950cace28bdcp-12, -0x1.ef638ed66de87p-12, -0x1.e5afffe894891p-12, -0x1.dc3303c111ea4p-12, -0x1.d2e995c946ee2p-12, -0x1.c9d0396a4ec86p-12, -0x1.c0e13ac557dcbp-12, -0x1.b81486bc8f903p-12, -0x1.af62d9b47542ap-12, -0x1.a6c9d709b105ap-12, -0x1.9e4cdb740dc56p-12, -0x1.95f1997b8e9fdp-12, -0x1.8dbb97f7f72b2p-12, -0x1.85aa43f004016p-12, -0x1.7dbab9ff320fap-12, -0x1.75eb478f08bccp-12, -0x1.6e3d668d4e0d4p-12, -0x1.66b4b163f5a6ap-12, -0x1.5f5434f775a15p-12, -0x1.581c845ac765ep-12, -0x1.510b8f598e9f9p-12, -0x1.4a1daf90e1058p-12, -0x1.434f09b026d6cp-12, -0x1.3c9cc00808141p-12, -0x1.3605c0f3d1d9p-12, -0x1.2f8b0970121adp-12, -0x1.292f29deaa793p-12, -0x1.22f502356e08fp-12, -0x1.1cde4665f1761p-12, -0x1.16eb04f21243ep-12, -0x1.111ad3d20737bp-12, -0x1.0b6e17b5749acp-12, -0x1.05e4d1f1ccca8p-12, -0x1.007b8e151863p-12, -0x1.f6568cb994c16p-13, -0x1.ebdd690fda118p-13, -0x1.e18ec83905d12p-13, -0x1.d7775120d925bp-13, -0x1.cd9f39206474fp-13, -0x1.c402324f1e906p-13, -0x1.ba9499e08799cp-13, -0x1.b14eb7c392302p-13, -0x1.a831f07e41c06p-13, -0x1.9f442f72d36c5p-13, -0x1.9688de1d34629p-13, -0x1.8dfea5b653bep-13, -0x1.85a16f59a99d1p-13, -0x1.7d6cafc2ce3ffp-13, -0x1.755c4086e95d8p-13, -0x1.6d6c65469927fp-13, -0x1.6599f68d3c827p-13, -0x1.5de2fe379e1f7p-13, -0x1.5647781d23f64p-13, -0x1.4ec9be2fc0b2cp-13, -0x1.476e380e62786p-13, -0x1.4039fa91a536cp-13, -0x1.39305f7ea0c77p-13, -0x1.3250cf4c8845ap-13, -0x1.2b97332813241p-13, -0x1.24ffd60026c4cp-13, -0x1.1e8a9b075c254p-13, -0x1.18383a7854dc1p-13, -0x1.120418888ad0cp-13, -0x1.0be5e2b14f84dp-13, -0x1.05dd1656fcd49p-13, -0x1.ffe97ab152836p-14, -0x1.f46cec01b342bp-14, -0x1.e93e24be68ab6p-14, -0x1.de486b9499e0dp-14, -0x1.d382dbab864dfp-14, -0x1.c8f51ed1cce4bp-14, -0x1.bea66ae24f72ap-14, -0x1.b49364558b8e5p-14, -0x1.aab33d7fae9a7p-14, -0x1.a0ff1d25fc7d8p-14, -0x1.97745d99d3a5fp-14, -0x1.8e13530f6fa0ep-14, -0x1.84dd72f0a0c56p-14, -0x1.7bd408be15eap-14, -0x1.72f7ac663df78p-14, -0x1.6a485be732ad8p-14, -0x1.61c5e65e41734p-14, -0x1.597049a90e59ep-14, -0x1.5147e1ae78f97p-14, -0x1.494d8a4877521p-14, -0x1.418299aee2a94p-14, -0x1.39e7ef9ccc388p-14, -0x1.327b8684084eep-14, -0x1.2b36686e90001p-14, -0x1.240f1ee1586a2p-14, -0x1.1d0107f679061p-14, -0x1.161183e40a9a4p-14, -0x1.0f49b7f8e1a5dp-14, -0x1.08a762415e2e3p-14, -0x1.021ef40af27dap-14, -0x1.f7647756bde3ap-15, -0x1.ead7db3915e14p-15, -0x1.de8dd0e42c6a9p-15, -0x1.d26cca6d0ef94p-15, -0x1.c67b1da69d2fep-15, -0x1.bad0d4e3b86f8p-15, -0x1.af74b920d5bb6p-15, -0x1.a45ff6fb32e05p-15, -0x1.998cce81e3b4ep-15, -0x1.8ef8602b8e562p-15, -0x1.849f6fa0a4643p-15, -0x1.7a7d8548ac91fp-15, -0x1.708e4c7a90674p-15, -0x1.66cec40ee5b6cp-15, -0x1.5d3d74c063c0dp-15, -0x1.53d9e98bd5129p-15, -0x1.4aa4048308d4dp-15, -0x1.419b8cd76fcd7p-15, -0x1.38bff8881de9ep-15, -0x1.301057769b2d7p-15, -0x1.278b6e6956173p-15, -0x1.1f3030592f947p-15, -0x1.16fe91e09e6eep-15, -0x1.0ef812627d95p-15, -0x1.071ea2726164bp-15, -0x1.fee30344ed43fp-16, -0x1.efd6d12e3352p-16, -0x1.e10d430549928p-16, -0x1.d28b64ae88066p-16, -0x1.c46ff7f66e2c4p-16, -0x1.b6d76932b18bfp-16, -0x1.a9a5e3e738582p-16, -0x1.9caf520a0925ep-16, -0x1.8ffe53a6da5bep-16, -0x1.838faa3bed352p-16, -0x1.77500097ec17bp-16, -0x1.6b54dd255d716p-16, -0x1.5fa7cebdd44cap-16, -0x1.5434cfc253678p-16, -0x1.48f0de765adc3p-16, -0x1.3de1e60dfdd03p-16, -0x1.33108575e1d01p-16, -0x1.287d805cb4967p-16, -0x1.1e224596f0dbap-16, -0x1.13f9da0032a3fp-16, -0x1.0a08196f44516p-16, -0x1.005675304c0ccp-16, -0x1.edd4cd6916441p-17, -0x1.db82252d23e95p-17, -0x1.c9a5aa960cc59p-17, -0x1.b83100be62f86p-17, -0x1.a71b564f483aap-17, -0x1.9660ab7f6cf36p-17, -0x1.85ff724867097p-17, -0x1.75f6c4157faep-17, -0x1.6645a978a64b6p-17, -0x1.56eb72453fbc3p-17, -0x1.47e8b786c4f86p-17, -0x1.3940004b24456p-17, -0x1.2af3a6ac329e1p-17, -0x1.1d013c44a0114p-17, -0x1.0f60cd139b22dp-17, -0x1.020b1bfd50d06p-17, -0x1.ea036680b028cp-18, -0x1.d0b2807e5075dp-18, -0x1.b8561b688bb32p-18, -0x1.a0a65781ee111p-18, -0x1.894b89e878511p-18, -0x1.724c23c7851aap-18, -0x1.5bba563ab89e3p-18, }}, 
      {{0x1.9b33ca1f9cab6p-10, 0x1.8d04fb61be3c8p-9, 0x1.18ad9a8480c1ap-8, 0x1.57d8a201fc459p-8, 0x1.7faee8962332cp-8, 0x1.8d01a19346c18p-8, 0x1.7db971e0b0589p-8, 0x1.50bc07ed0773ep-8, 0x1.05cb434d20e6p-8, 0x1.3ac3fccb508dp-9, 0x1.8915f015e5b9ep-12, -0x1.0e3efefdc714cp-9, -0x1.3fd08b181d854p-8, -0x1.07b0feb85159fp-7, -0x1.79c4f35c9b433p-7, -0x1.f4f32004abfb8p-7, -0x1.3c02f67dd27abp-6, -0x1.80e49e9e4d391p-6, -0x1.c8879f8bc974ep-6, -0x1.092d0a1f06d98p-5, -0x1.2ee841f8711b5p-5, -0x1.553373cebe12dp-5, -0x1.7bd0aeb29e966p-5, -0x1.a2864c69e8008p-5, -0x1.c91f0e63a6e87p-5, -0x1.ef6a24efe5cc1p-5, -0x1.0a9d929f2e601p-4, -0x1.1d34f8f839232p-4, -0x1.2f694c989eeb8p-4, -0x1.412a9580a3a17p-4, -0x1.526ac5001066p-4, -0x1.631d9be2a24a4p-4, -0x1.73388f9dc90a9p-4, -0x1.82b2aeb9d13b5p-4, -0x1.918484f08246ap-4, -0x1.9fa7ffb8bf6e9p-4, -0x1.ad18533550385p-4, -0x1.b9d1dfeec2e61p-4, -0x1.c5d219847bed4p-4, -0x1.d1176e723608cp-4, -0x1.dba131135a8eap-4, -0x1.e56f81ab61b01p-4, -0x1.ee8339f9d0f0bp-4, -0x1.f6ddd9d5bc9d6p-4, -0x1.fe81752b9388ap-4, -0x1.02b85188db239p-3, -0x1.05d7371a67e84p-3, -0x1.089f2326c52d3p-3, -0x1.0b11f967dbb7cp-3, -0x1.0d31c338b2386p-3, -0x1.0f00a9f561fe9p-3, -0x1.1080f1b9a514bp-3, -0x1.11b4f4a43bdp-3, -0x1.129f1e7e5a71ap-3, -0x1.1341e8e633c9fp-3, -0x1.139fd7995f998p-3, -0x1.13bb752c5261ap-3, -0x1.139750116e3c9p-3, -0x1.1335f80a397aap-3, -0x1.1299fbf536a2dp-3, -0x1.11c5e7b249538p-3, -0x1.10bc4227d3a7ep-3, -0x1.0f7f8b6597abbp-3, -0x1.0e123b20abcd3p-3, -0x1.0c76bf98e1a2ep-3, -0x1.0aaf7cc1bc73cp-3, -0x1.08becb695638bp-3, -0x1.06a6f8398fc9ap-3, -0x1.046a42ae6031ap-3, -0x1.020adc5778922p-3, -0x1.ff15d0b43fd6p-4, -0x1.f9d8f6b5e03bap-4, -0x1.f46336f6c204p-4, -0x1.eeb8806e6d4a1p-4, -0x1.e8dca440d7aa1p-4, -0x1.e2d354f32e67ap-4, -0x1.dca025d20413cp-4, -0x1.d6468ab100063p-4, -0x1.cfc9d82718284p-4, -0x1.c92d441281f3ep-4, -0x1.c273e659c02e2p-4, -0x1.bba0b97126c31p-4, -0x1.b4b69ad578826p-4, -0x1.adb84b4c2eda8p-4, -0x1.a6a86f11535a5p-4, -0x1.9f898e107ea6ep-4, -0x1.985e143026597p-4, -0x1.912851d364e64p-4, -0x1.89ea7c779549ap-4, -0x1.82a6af715bcb6p-4, -0x1.7b5eecb5e867dp-4, -0x1.74151dad96af8p-4, -0x1.6ccb13e130141p-4, -0x1.658289bb30dfbp-4, -0x1.5e3d232751b31p-4, -0x1.56fc6e230c3d7p-4, -0x1.4fc1e34ff57dbp-4, -0x1.488ee68dd45dcp-4, -0x1.4164c78cfae5bp-4, -0x1.3a44c25a07d01p-4, -0x1.3330002206d0ap-4, -0x1.2c2797b50431dp-4, -0x1.252c8e40222f4p-4, -0x1.1e3fd7f402e6cp-4, -0x1.176258a776269p-4, -0x1.1094e484d379dp-4, -0x1.09d8409fec222p-4, -0x1.032d2393d3471p-4, -0x1.f9286c2c62a4dp-5, -0x1.ec1c2702a926dp-5, -0x1.df3694e3f11a7p-5, -0x1.d278ba4695902p-5, -0x1.c5e38436214d2p-5, -0x1.b977c91f5a37cp-5, -0x1.ad3649d668032p-5, -0x1.a11fb28a37223p-5, -0x1.95349b9c046e3p-5, -0x1.89758aaa8ebcdp-5, -0x1.7de2f3477e066p-5, -0x1.727d37ef074d4p-5, -0x1.6744aace4a933p-5, -0x1.5c398e91aa333p-5, -0x1.515c172b5ce95p-5, -0x1.46ac6a956f06cp-5, -0x1.3c2aa187d81bbp-5, -0x1.31d6c8333e4e6p-5, -0x1.27b0dee0f0f6dp-5, -0x1.1db8dab29d30ep-5, -0x1.13eea62f02365p-5, -0x1.0a5221e5e6915p-5, -0x1.00e325039367ap-5, -0x1.ef42fbc0e84cp-6, -0x1.dd19e517b8524p-6, -0x1.cb4a828b10608p-6, -0x1.b9d44205f439bp-6, -0x1.a8b683cdd48e1p-6, -0x1.97f09b082bd21p-6, -0x1.8781cf4e82399p-6, -0x1.77695cbf7b649p-6, -0x1.67a6750ed0065p-6, -0x1.5838403f33924p-6, -0x1.491ddd4dcf12fp-6, -0x1.3a5662d608448p-6, -0x1.2be0dfa7ee2c7p-6, -0x1.1dbc5b9824b89p-6, -0x1.0fe7d7dd88903p-6, -0x1.02624fac3f7e6p-6, -0x1.ea5571e356261p-7, -0x1.d08008bb4b76p-7, -0x1.b7423d2be6c01p-7, -0x1.9e99e013aba3dp-7, -0x1.8684bb6e85a9dp-7, -0x1.6f0092f512f34p-7, -0x1.580b24f1caf7p-7, -0x1.41a22b142f186p-7, -0x1.2bc35b26131ebp-7, -0x1.166c678b2e37bp-7, -0x1.019b00151cd49p-7, -0x1.da99a53b4d1ep-8, -0x1.b2ff171100047p-8, -0x1.8c61ac70e8bp-8, -0x1.66bcbb9eab0d7p-8, -0x1.420b9b29939c9p-8, -0x1.1e49a2b6f9b18p-8, -0x1.f6e457db9b9ecp-9, -0x1.b3012738340cdp-9, -0x1.70e074ed31ef5p-9, -0x1.30790ba389c56p-9, -0x1.e383813c0eb22p-10, -0x1.6962eb0a2104dp-10, -0x1.e4fc67ff61d41p-11, -0x1.fb0d68395cbdbp-12, -0x1.c40f664d71232p-15, 0x1.7df09c4c1dc7ap-12, 0x1.944849f9b0994p-11, 0x1.31e8ee3c35b02p-10, 0x1.96dbc8880566p-10, 0x1.f90dcdadfd03bp-10, 0x1.2c47f46fe09cdp-9, 0x1.5ab969f00179ap-9, 0x1.87e38c57d3c38p-9, 0x1.b3ce85357994ep-9, 0x1.de8264f56dabfp-9, 0x1.04038ffcc2c57p-8, 0x1.18324720793b4p-8, 0x1.2bd1358de5487p-8, 0x1.3ee42a6b1acf1p-8, 0x1.516ee5ed576aap-8, 0x1.637518e939b89p-8, 0x1.74fa64866b19bp-8, 0x1.86025a4a4cd17p-8, 0x1.96907bf6f81d3p-8, 0x1.a6a83b3ad758dp-8, 0x1.b64cf947dae58p-8, 0x1.c58206b06423fp-8, 0x1.d44aa37a61c55p-8, 0x1.e2a9ff1f3a675p-8, 0x1.f0a3385013234p-8, 0x1.fe395cabac42bp-8, 0x1.05b7b4509a03cp-7, 0x1.0c2423cee7221p-7, 0x1.126369ed769dbp-7, 0x1.1876eb6acc6ffp-7, 0x1.1e600458ad843p-7, 0x1.2420081b663ap-7, 0x1.29b8417f178c9p-7, 0x1.2f29f2c1350c8p-7, 0x1.347655b71a645p-7, 0x1.399e9bb15aae1p-7, 0x1.3ea3ed7dad73ep-7, 0x1.43876b691dd6ap-7, 0x1.484a2d5b0f191p-7, 0x1.4ced42f5a0506p-7, 0x1.5171b3aa2b39bp-7, 0x1.55d87ebb7775bp-7, 0x1.5a229b3ff4ccdp-7, 0x1.5e50f8339a8fcp-7, 0x1.62647c9beb4dfp-7, 0x1.665e07af070bfp-7, 0x1.6a3e70ee01ff7p-7, 0x1.6e06883080ef1p-7, 0x1.71b715b38e4bap-7, 0x1.7550da299f473p-7, 0x1.78d48ef3e7efep-7, 0x1.7c42e63eb93ep-7, 0x1.7f9c8b29703fcp-7, 0x1.82e221e09cfb1p-7, 0x1.8614479761229p-7, 0x1.893392d1cf0ccp-7, 0x1.8c409370536a6p-7, 0x1.8f3bd2de3d4b5p-7, 0x1.9225d43f4e71bp-7, 0x1.94ff148a353c8p-7, 0x1.97c80aa47b86cp-7, 0x1.9a812783dcfap-7, 0x1.9d2ad6574fb35p-7, 0x1.9fc57cb0c97fbp-7, 0x1.a2517aacbba01p-7, 0x1.a4cf2b14d86ecp-7, 0x1.a73ee3841f879p-7, 0x1.a9a0f4846091ep-7, 0x1.abf5a9c38ec9cp-7, 0x1.ae3d4a2de7e1bp-7, 0x1.b078181ae27cap-7, 0x1.b2a6516dd493dp-7, 0x1.b4c82fbaacba9p-7, 0x1.b6dde86c17e48p-7, 0x1.b8e7acee601b2p-7, 0x1.bae5aad663f72p-7, 0x1.bcd80c0581015p-7, 0x1.bebef6c8f0c5dp-7, 0x1.c09a8df971e66p-7, 0x1.c26af11f63bdcp-7, 0x1.c4303c9bdd181p-7, 0x1.c5ea89d2d993ep-7, 0x1.c799ef511eab8p-7, 0x1.c93e80ebc4689p-7, 0x1.cad84fda37ae9p-7, 0x1.cc676acf9c144p-7, 0x1.cdebde2872bafp-7, 0x1.cf65b3f4528bfp-7, 0x1.d0d4f43d23934p-7, 0x1.d239a51938143p-7, 0x1.d393cad2d7c84p-7, 0x1.d4e367f6d16a6p-7, 0x1.d6287d6dfb871p-7, 0x1.d7630a95b5278p-7, 0x1.d8930d606a713p-7, 0x1.d9b8827a4de98p-7, 0x1.dad3656ce75c2p-7, 0x1.dbe3b0bbd3052p-7, 0x1.dce95df9d2a04p-7, 0x1.dde465d9366c7p-7, 0x1.ded4c03d8f833p-7, 0x1.dfba6452536ap-7, 0x1.e09548a7cb163p-7, 0x1.e1656352c038p-7, 0x1.e22aaa094a779p-7, 0x1.e2e5123948cddp-7, 0x1.e39491178c773p-7, 0x1.e4391bab72833p-7, 0x1.e4d2a6dbb3035p-7, 0x1.e561278062323p-7, 0x1.e5e492798cfc2p-7, 0x1.e65cdcc8801adp-7, 0x1.e6c9fba68d6ebp-7, 0x1.e72be49787968p-7, 0x1.e7828d6f539b7p-7, 0x1.e7cdec65823b7p-7, 0x1.e80df80d1c1bep-7, 0x1.e842a76bd7b9p-7, 0x1.e86bf204f38ecp-7, 0x1.e889cfec83637p-7, 0x1.e89c39d8f2c55p-7, 0x1.e8a329302b7b3p-7, 0x1.e89e980fbf77fp-7, 0x1.e88e81528e3a9p-7, 0x1.e872e08d4015ap-7, 0x1.e84bb21e00af7p-7, 0x1.e818f32b766b6p-7, 0x1.e7daa1b43efddp-7, 0x1.e790bc9b6cf9bp-7, 0x1.e73b43b279c2p-7, 0x1.e6da37bf88896p-7, 0x1.e66d9a7f2b7f4p-7, 0x1.e5f56ea3c8ffbp-7, 0x1.e571b7d4c16f1p-7, 0x1.e4e27aaff94acp-7, 0x1.e447bcce5e058p-7, 0x1.e3a184cb0a35fp-7, 0x1.e2efda4ab2f32p-7, 0x1.e232c601083ecp-7, 0x1.e16a51b260dc2p-7, 0x1.e096883139f5bp-7, 0x1.dfb7755b138p-7, 0x1.decd26129126cp-7, 0x1.ddd7a83a9e2ddp-7, 0x1.dcd70abad1ef7p-7, 0x1.dbcb5d7e7829ap-7, 0x1.dab4b178c2d1ep-7, 0x1.d99318a799402p-7, 0x1.d866a61324c76p-7, 0x1.d72f6dca34106p-7, 0x1.d5ed84dbdbf4p-7, 0x1.d4a1014f8b74p-7, 0x1.d349fa1d8aaa3p-7, 0x1.d1e88729d4129p-7, 0x1.d07cc1413b861p-7, 0x1.cf06c218c558p-7, 0x1.cd86a44decb49p-7, 0x1.cbfc8365f3b4cp-7, 0x1.ca687bcb4de71p-7, 0x1.c8caaac826909p-7, 0x1.c7232e7e6f05p-7, 0x1.c57225de6b5f9p-7, 0x1.c3b7b09d8e0cp-7, 0x1.c1f3ef2e5a7ddp-7, 0x1.c02702babcffap-7, 0x1.be510d204f17ep-7, 0x1.bc7230ee0436cp-7, 0x1.ba8a9161f6c37p-7, 0x1.b89a52664317p-7, 0x1.b6a1988bf8b37p-7, 0x1.b4a08902ec179p-7, 0x1.b2974993140b1p-7, 0x1.b086008fdf073p-7, 0x1.ae6cd4d028397p-7, 0x1.ac4beda55531fp-7, 0x1.aa2372d495a26p-7, 0x1.a7f38c92198aap-7, 0x1.a5bc637c9bd79p-7, 0x1.a37e209ab7cf1p-7, 0x1.a138ed566b3d1p-7, 0x1.9eecf37791726p-7, 0x1.9c9a5d1d67f8ep-7, 0x1.9a4154b63d385p-7, 0x1.97e204f674cf3p-7, 0x1.957c98cf50d0bp-7, 0x1.93113b6692559p-7, 0x1.90a0180f094eep-7, 0x1.8e295a42b6dacp-7, 0x1.8bad2d9de47afp-7, 0x1.892bbddaf0d9p-7, 0x1.86a536ce54d5cp-7, 0x1.8419c461f30bdp-7, 0x1.8189928fd7c43p-7, 0x1.7ef4cd5bb80ap-7, 0x1.7c5ba0ca777e4p-7, 0x1.79be38e820c0ap-7, 0x1.771cc1a37dcc8p-7, 0x1.747766dedc774p-7, 0x1.71ce546b92055p-7, 0x1.6f21b5fb00115p-7, 0x1.6c71b712034a3p-7, 0x1.69be8317bd493p-7, 0x1.6708454720957p-7, 0x1.644f28ac7319p-7, 0x1.6193582150602p-7, 0x1.5ed4fe47fbebfp-7, 0x1.5c1445868c1d9p-7, 0x1.595158019c181p-7, 0x1.568c5f972aabdp-7, 0x1.53c585d9804b4p-7, 0x1.50fcf40a842e7p-7, 0x1.4e32d3177dd4cp-7, 0x1.4b674b956a4c9p-7, 0x1.489a85bd81556p-7, 0x1.45cca96a36eacp-7, 0x1.42fdde142c0ffp-7, 0x1.402e4acf3668ap-7, 0x1.3d5e1647253f5p-7, 0x1.3a8d66bd5e049p-7, 0x1.37bc6205206b4p-7, 0x1.34eb2d807cb15p-7, 0x1.3219ee1d660e9p-7, 0x1.2f48c8523ba34p-7, 0x1.2c77e01d0e219p-7, 0x1.29a758fcbaacdp-7, 0x1.26d755f1ffae1p-7, 0x1.2407f97ce8e8cp-7, 0x1.2139659a7ef9ep-7, 0x1.1e6bbbc34625p-7, 0x1.1b9f1ce9d0f96p-7, 0x1.18d3a9792906dp-7, 0x1.1609815351539p-7, 0x1.1340c3cfc769ep-7, 0x1.10798fba132cap-7, 0x1.0db4035076c2cp-7, 0x1.0af03c4295146p-7, 0x1.082e57b05e3a8p-7, 0x1.056e7228e9c6ep-7, 0x1.02b0a7a9964a3p-7, 0x1.ffea273a8a8f5p-8, 0x1.fa77a1b74b988p-8, 0x1.f509f3516557dp-8, 0x1.efa14f688b6ecp-8, 0x1.ea3de833cc1c2p-8, 0x1.e4dfeec16e2cdp-8, 0x1.df8792f765cc3p-8, 0x1.da350393b11e6p-8, 0x1.d4e86e2cc216ap-8, 0x1.cfa1ff31b3a9ap-8, 0x1.ca61e1e9f31c2p-8, 0x1.c5284074b6167p-8, 0x1.bff543c888a56p-8, 0x1.bac913b320c1p-8, 0x1.b5a3d6da4eadep-8, 0x1.b085b2bdef7aep-8, 0x1.ab6ecbbac8473p-8, 0x1.a65f450dc964dp-8, 0x1.a15740d71bb8bp-8, 0x1.9c56e01c22b3bp-8, 0x1.975e42c83f1acp-8, 0x1.926d87ac6bf22p-8, 0x1.8d84cc7e1f633p-8, 0x1.88a42dd706e63p-8, 0x1.83cbc7360fd87p-8, 0x1.7efbb302b5e1bp-8, 0x1.7a340a927d42dp-8, 0x1.7574e6306b2d4p-8, 0x1.70be5d242377cp-8, 0x1.6c1085b7dd163p-8, 0x1.676b753b35c5cp-8, 0x1.62cf400299c5ep-8, 0x1.5e3bf9639967ep-8, 0x1.59b1b3af915f8p-8, 0x1.5530802fbba4bp-8, 0x1.50b86f2496541p-8, 0x1.4c498fca90842p-8, 0x1.47e3f064b20b4p-8, 0x1.43879e4b895dbp-8, 0x1.3f34a5fd7f74fp-8, 0x1.3aeb132cd27bcp-8, 0x1.36aaf0c78e37ep-8, 0x1.327448f708df4p-8, 0x1.2e472515ee0e4p-8, 0x1.2a238da4f257dp-8, 0x1.26098a3639468p-8, 0x1.21f92162130ecp-8, 0x1.1df258c6b5581p-8, 0x1.19f5350eeff46p-8, 0x1.1601ba0898b6bp-8, 0x1.1217eac2ff2dep-8, 0x1.0e37c9afba736p-8, 0x1.0a6158be5a657p-8, 0x1.0694996bd6ffcp-8, 0x1.02d18cc11ad7p-8, 0x1.fe306680a37b9p-9, 0x1.f6d119897b4edp-9, 0x1.ef8530bad7bd8p-9, 0x1.e84ca85804e6p-9, 0x1.e1277aa4be2a5p-9, 0x1.da159fea552dcp-9, 0x1.d3170eac74b0ap-9, 0x1.cc2bbc05cab64p-9, 0x1.c5539c1bc0126p-9, 0x1.be8ea290c4dc1p-9, 0x1.b7dcc2db990a2p-9, 0x1.b13df06e31583p-9, 0x1.aab21ea1109d2p-9, 0x1.a43940655c394p-9, 0x1.9dd347ccd4974p-9, 0x1.978025827e6acp-9, 0x1.913fc8522bba7p-9, 0x1.8b121cdca8cbfp-9, 0x1.84f70d917b1c8p-9, 0x1.7eee82ed31b0ep-9, 0x1.78f863f51d362p-9, 0x1.731496ea6bb74p-9, 0x1.6d4301f8b6752p-9, 0x1.67838bce41bcep-9, 0x1.61d61bf8ebbc6p-9, 0x1.5c3a9af2dddaep-9, 0x1.56b0f1dac7298p-9, 0x1.513909e516dccp-9, 0x1.4bd2cba1e9b9bp-9, 0x1.467e1e3cfa097p-9, 0x1.413ae6deeaefdp-9, 0x1.3c090850c87e6p-9, 0x1.36e862f6575ap-9, 0x1.31d8d5227eb0fp-9, 0x1.2cda3bb905c3p-9, 0x1.27ec7300a5ed1p-9, 0x1.230f5780b133dp-9, 0x1.1e42c6c145373p-9, 0x1.19869fccbf7f8p-9, 0x1.14dac35973863p-9, 0x1.103f13961a18ep-9, 0x1.0bb373a3fd575p-9, 0x1.0737c6d85ba2bp-9, 0x1.02cbefe8fa3aap-9, 0x1.fcdfa0544716p-10, 0x1.f4468dfd70d14p-10, 0x1.ebcc6321a8ae3p-10, 0x1.e370d5b9fba64p-10, 0x1.db3398173be1ap-10, 0x1.d3145a13dfad9p-10, 0x1.cb12ca9424f5dp-10, 0x1.c32e991a23529p-10, 0x1.bb67772f6f67ap-10, 0x1.b3bd196cc5b79p-10, 0x1.ac2f37f85b9c9p-10, 0x1.a4bd8e6a9993ap-10, 0x1.9d67db26b65c6p-10, 0x1.962dde65860d8p-10, 0x1.8f0f58c7f48a5p-10, 0x1.880c0a510d484p-10, 0x1.8123b139a93bbp-10, 0x1.7a56092c95651p-10, 0x1.73a2cac983da3p-10, 0x1.6d09ab7946d18p-10, 0x1.668a5d9146c3ap-10, 0x1.602490decf0bdp-10, 0x1.59d7f35882d7fp-10, 0x1.53a432a2151d2p-10, 0x1.4d88fc91ceea9p-10, 0x1.4786012766ecap-10, 0x1.419af333fe4c9p-10, 0x1.3bc788fe0afabp-10, 0x1.360b7c665c613p-10, 0x1.30668aa108d97p-10, 0x1.2ad873a35d68fp-10, 0x1.2560f96b5e413p-10, 0x1.1fffdf362edf8p-10, 0x1.1ab4e8a547e9p-10, 0x1.157fd8caf8d7bp-10, 0x1.1060711b335c9p-10, 0x1.0b5670561d9b4p-10, 0x1.066191a07de7cp-10, 0x1.01818c1001dfp-10, 0x1.f96c25d4f2418p-11, 0x1.effdad6103d32p-11, 0x1.e6b70da4cf813p-11, 0x1.dd97a7720b4bbp-11, 0x1.d49ee159026p-11, 0x1.cbcc2a660cbafp-11, 0x1.c31efb578534bp-11, 0x1.ba96d660bb4f5p-11, 0x1.b23345e5940b2p-11, 0x1.a9f3dac7c1e9cp-11, 0x1.a1d82aaf28b43p-11, 0x1.99dfce65e8e6ap-11, 0x1.920a6010410f6p-11, 0x1.8a5778ebdb81fp-11, 0x1.82c6ae741a259p-11, 0x1.7b578f2f0035ep-11, 0x1.74099fddc31adp-11, 0x1.6cdc5a0c6b825p-11, 0x1.65cf2cde9618bp-11, 0x1.5ee1806b432a2p-11, 0x1.5812bb2847cd5p-11, 0x1.5162482a87718p-11, 0x1.4acf9c8d84e4ap-11, 0x1.445a3aa76b8aep-11, 0x1.3e01b25cb4dcp-11, 0x1.37c59eee270b4p-11, 0x1.31a5a361d21c1p-11, 0x1.2ba166ecb0abap-11, 0x1.25b8926f74755p-11, 0x1.1feacf7453708p-11, 0x1.1a37c82584453p-11, 0x1.149f276fb959dp-11, 0x1.0f20986d34474p-11, 0x1.09bbc45207d1cp-11, 0x1.04704f3ae7607p-11, 0x1.fe7ba98c7ddf8p-12, 0x1.f447cbd114cc9p-12, 0x1.ea4412acf331bp-12, 0x1.e06f7e2d0accdp-12, 0x1.d6c90d4b54bedp-12, 0x1.cd4fcbefda4c3p-12, 0x1.c402de24b365dp-12, 0x1.bae184bc439a2p-12, 0x1.b1eb1a123d261p-12, 0x1.a91f089c04efep-12, 0x1.a07cbf2aa926p-12, 0x1.9803a76f8fa0fp-12, 0x1.8fb32181b973p-12, 0x1.878a84c49957p-12, 0x1.7f8925bc51ec9p-12, 0x1.77ae5c6df0e6p-12, 0x1.6ff98985f3525p-12, 0x1.686a17affb241p-12, 0x1.60ff789d32a82p-12, 0x1.59b91ea2ad8edp-12, 0x1.52967538eeb6ap-12, 0x1.4b96db4ae8e62p-12, 0x1.44b9a1dc019ap-12, 0x1.3dfe104123c65p-12, 0x1.37636d31312f3p-12, 0x1.30e909e5e522dp-12, 0x1.2a8e4b367c291p-12, 0x1.2452acdb63689p-12, 0x1.1e35bd26c99bap-12, 0x1.183712bfe5fcdp-12, 0x1.125640c6d77d4p-12, 0x1.0c92ce646e34bp-12, 0x1.06ec34ebd4416p-12, 0x1.0161e4434cd6fp-12, 0x1.f7e694edae22dp-13, 0x1.ed3fb54f3e48p-13, 0x1.e2ce21e1a9eebp-13, 0x1.d890e5f8ad765p-13, 0x1.ce871cf545287p-13, 0x1.c4afedfa5ae25p-13, 0x1.bb0a8823905dfp-13, 0x1.b1961f4004627p-13, 0x1.a851e803aba36p-13, 0x1.9f3d1305ef901p-13, 0x1.9656c7b842fep-13, 0x1.8d9e2268d358dp-13, 0x1.8512385e27e98p-13, 0x1.7cb221f33d00ep-13, 0x1.747d05ff3694ap-13, 0x1.6c721f4d03891p-13, 0x1.6490b740a0045p-13, 0x1.5cd817cf2e795p-13, 0x1.55477d8e3b099p-13, 0x1.4dde1399fd3a3p-13, 0x1.469afcf4a7635p-13, 0x1.3f7d656a7c8f9p-13, 0x1.38848e49cc1b9p-13, 0x1.31afce4d7336cp-13, 0x1.2afe858e728f4p-13, 0x1.24700e9d59b31p-13, 0x1.1e03b71690741p-13, 0x1.17b8c477038c2p-13, 0x1.118e825fc718p-13, 0x1.0b84523bc96b1p-13, 0x1.0599b368b3133p-13, 0x1.ff9c7d3738173p-14, 0x1.f4432aecc19dfp-14, 0x1.e9269a5dd026fp-14, 0x1.de45bc015f14dp-14, 0x1.d39f3e8ef49e4p-14, 0x1.c931a46c841ap-14, 0x1.befb6b3017cd3p-14, 0x1.b4fb3038510fp-14, 0x1.ab2fbf80beab9p-14, 0x1.a198081dd6f1p-14, 0x1.983303363afd2p-14, 0x1.8effa32f945b5p-14, 0x1.85fcd9d795f48p-14, 0x1.7d29b0d9f07dbp-14, 0x1.74855d9ccfc04p-14, 0x1.6c0f39cc4dbe7p-14, 0x1.63c69cca7e024p-14, 0x1.5baabe6fcd742p-14, 0x1.53ba9c55398fap-14, 0x1.4bf50928dad96p-14, 0x1.4458e9344dd78p-14, 0x1.3ce54de354f9fp-14, 0x1.35998c2d5619ep-14, 0x1.2e7534bef1b67p-14, 0x1.2777f957c495p-14, 0x1.20a18bcc8856ep-14, 0x1.19f1838623accp-14, 0x1.13674730a66d8p-14, 0x1.0d02029b27472p-14, 0x1.06c0ab7df7ba1p-14, 0x1.00a21983acc2cp-14, 0x1.f54a54addefb6p-15, 0x1.e991c44839164p-15, 0x1.de18f44af5e65p-15, 0x1.d2deaf6ceaf96p-15, 0x1.c7e1e75fa34cbp-15, 0x1.bd217e81eda75p-15, 0x1.b29c2f61183adp-15, 0x1.a850a1b1262c5p-15, 0x1.9e3d948de4331p-15, 0x1.9461ead394cbdp-15, 0x1.8abc850a98862p-15, 0x1.814c132fc9676p-15, 0x1.780f18fc5d125p-15, 0x1.6f042978da984p-15, 0x1.662a249d5edafp-15, 0x1.5d80437d0a36dp-15, 0x1.5505f1946f3dap-15, 0x1.4cba9c259bc66p-15, 0x1.449d9e3097144p-15, 0x1.3cae4bab1d1eap-15, 0x1.34ec0110876a2p-15, 0x1.2d561f27a8027p-15, 0x1.25ebf255e6d44p-15, 0x1.1eac968b43e74p-15, 0x1.1796ea7e9afb3p-15, 0x1.10a99d4bd374cp-15, 0x1.09e355646d9a3p-15, 0x1.0342e268f0284p-15, 0x1.f98ec9a069e61p-16, 0x1.ece0b365adebfp-16, 0x1.e07b0263fb1f3p-16, 0x1.d45d436e3c15ep-16, 0x1.c886820ad7031p-16, 0x1.bcf5060e176e3p-16, 0x1.b1a6a1f3196ep-16, 0x1.a6994149e4987p-16, 0x1.9bcb2d1c8947ep-16, 0x1.913acba891461p-16, 0x1.86e66f13a772cp-16, 0x1.7ccc9c4e27b4bp-16, 0x1.72ec6a5e2f89p-16, 0x1.69455e561052ap-16, 0x1.5fd6d8ed12893p-16, 0x1.569fb28937401p-16, 0x1.4d9e5ad45b73bp-16, 0x1.44d1403a5e806p-16, 0x1.3c3715e24e146p-16, 0x1.33ced078d47b4p-16, 0x1.2b97841bf193fp-16, 0x1.23904fce4cp-16, 0x1.1bb8540412789p-16, 0x1.140ea14c01488p-16, 0x1.0c9221b0d5f1ep-16, 0x1.0541929eb9eeap-16, 0x1.fc373da0fe55bp-17, 0x1.ee3e211ea774dp-17, 0x1.e0960193ccb3ap-17, 0x1.d33dd3617b88fp-17, 0x1.c63524d71c8e6p-17, 0x1.b97ba9cc8d9a1p-17, 0x1.ad1092b20da71p-17, 0x1.a0f1fd76e37f4p-17, 0x1.951d0893daa52p-17, 0x1.898eb1dfb8207p-17, 0x1.7e44b951b2e56p-17, 0x1.733da70dd7374p-17, 0x1.687848db6ed4bp-17, 0x1.5df3a0553ff9bp-17, 0x1.53af37bc7ad05p-17, 0x1.49aade3994eebp-17, 0x1.3fe5bd08e8d72p-17, 0x1.365debf1df893p-17, 0x1.2d1112a7f86afp-17, 0x1.23fd3f11d4c1p-17, 0x1.1b211820c529ep-17, 0x1.127b78b7c251dp-17, 0x1.0a0b26ce7f8ecp-17, 0x1.01ceec6ce2593p-17, 0x1.f38b7e77cd6cbp-18, 0x1.e3dd8f3ffb96fp-18, 0x1.d49295fc91f06p-18, 0x1.c5a911890e53fp-18, 0x1.b71f35ba0919fp-18, 0x1.a8f2d79740abdp-18, 0x1.9b2194e8cfd88p-18, 0x1.8da919c88ccf8p-18, 0x1.80874fc75a4ebp-18, 0x1.73ba624491ed8p-18, 0x1.6740b3fcab504p-18, 0x1.5b18db642f521p-18, 0x1.4f417d4adc81p-18, 0x1.43b8cf461b0afp-18, 0x1.387c092d498bp-18, 0x1.2d87c26243299p-18, 0x1.22d92a7fa7badp-18, 0x1.186ef39d680f5p-18, 0x1.0e48fe7c33c9dp-18, 0x1.046717efa2a95p-18, 0x1.f590925bdb9cdp-19, 0x1.e2d6dc994127bp-19, 0x1.d09e72e76bd6fp-19, 0x1.bee32a8b654a3p-19, 0x1.ada0a8e710dd6p-19, 0x1.9cd481e91d3a8p-19, 0x1.8c7d377c54205p-19, 0x1.7c985cf3accecp-19, 0x1.6d22bcd44519ap-19, 0x1.5e1923bce17b9p-19, 0x1.4f7930151bc47p-19, 0x1.413f1e4efcd4p-19, 0x1.3369d85324efep-19, 0x1.25f70e562ab7fp-19, 0x1.18e50577b9012p-19, 0x1.0c321d3617e75p-19, 0x1.ffb94344fae54p-20, 0x1.e7c560039217bp-20, 0x1.d08471549e77ep-20, 0x1.b9f21b8c18c2fp-20, 0x1.a409d7daf374p-20, 0x1.8ec709907acf4p-20, 0x1.7a25495c99a55p-20, 0x1.6620ea26764fbp-20, 0x1.52b756677e349p-20, 0x1.3fe68d591aa0bp-20, 0x1.2dab8c9524768p-20, 0x1.1c0146831b01bp-20, 0x1.0ae22bf3a8a34p-20, 0x1.f496136e5839ap-21, 0x1.d47764aa4deap-21, 0x1.b567e41961155p-21, 0x1.975f2cb454addp-21, 0x1.7a514105c40ddp-21, 0x1.5e375083e3d68p-21, 0x1.430a6162bbd4bp-21, 0x1.28c31cf6f64fbp-21, 0x1.0f5ea95aa1d0ep-21, 0x1.edb25ccee679p-22, 0x1.be5788561e578p-22, 0x1.909fdfabe6eb6p-22, 0x1.648181b7304fcp-22, 0x1.39f428a5b1886p-22, 0x1.10efb059d73d4p-22, 0x1.d2d6abbb6f451p-23, 0x1.86bbaaae7f42dp-23, 0x1.3d7c3c8e08fb4p-23, 0x1.ee0ec98992c8ep-24, 0x1.6699c2980fca4p-24, 0x1.c8f297c2e0211p-25, 0x1.9e35911b680bap-26, -0x1.04a40065706cdp-28, -0x1.065db1c16946fp-25, -0x1.e285bdfa39adep-25, -0x1.5aa9c3db31f6fp-24, -0x1.bf87ef6b3e814p-24, -0x1.0ffe6ce873c9fp-23, -0x1.3e14baff4bb3ep-23, -0x1.6a13bca98eebcp-23, -0x1.9405363b65737p-23, -0x1.bbf251d035d7fp-23, -0x1.e1e7fc5438397p-23, -0x1.02fb9857a283ap-22, -0x1.14177d1675819p-22, -0x1.244cb6b3048d5p-22, -0x1.339ed9619fe65p-22, -0x1.42123bdad4459p-22, -0x1.4fb10dc7d3597p-22, -0x1.5c855d1df9c2fp-22, -0x1.68940e9f31fc9p-22, -0x1.73e142a0d1374p-22, }}, 
      {{-0x1.48a9d13acd804p-1, -0x1.39eb9a78afdb1p-1, -0x1.232023d758732p-1, -0x1.062ba4a89f73dp-1, -0x1.c9f548c751537p-2, -0x1.82acde86434b5p-2, -0x1.399b31b2bcf76p-2, -0x1.e2a69d2d171b9p-3, -0x1.57b68e285f435p-3, -0x1.aad2914fbf0d9p-4, -0x1.775bd93c5627bp-5, 0x1.b5ef492e80c1fp-8, 0x1.b1f06265efc74p-5, 0x1.7cc304b45d52ep-4, 0x1.03952c1d4b3dp-3, 0x1.3c95d32592925p-3, 0x1.6a16a5dbc1df6p-3, 0x1.8cee6991d7434p-3, 0x1.a60a11e8199fap-3, 0x1.b66228f1408a4p-3, 0x1.bef28bc19933ep-3, 0x1.c0b4140fb3a79p-3, 0x1.bc97d71212e4fp-3, 0x1.b383acf925b13p-3, 0x1.a64fbfba90448p-3, 0x1.95c4eba66354bp-3, 0x1.829bc6e142cc3p-3, 0x1.6d7c2d624e8a5p-3, 0x1.56fd35b8e321fp-3, 0x1.3fa577fe6478p-3, 0x1.27eb94584cbbep-3, 0x1.1036e99e22b0bp-3, 0x1.f1c0de9d68ba3p-4, 0x1.c467502fe907ep-4, 0x1.98df47e7640f9p-4, 0x1.6f901495d79cep-4, 0x1.48cc4b8750c96p-4, 0x1.24d3d8d55db19p-4, 0x1.03d5ffc46e8c8p-4, 0x1.cbe688c282158p-5, 0x1.967e72da7f09bp-5, 0x1.67845ebcfa456p-5, 0x1.3ef585648fe41p-5, 0x1.1cbe91ea5c351p-5, 0x1.00be397cbeab7p-5, 0x1.d58f25cf1a263p-6, 0x1.b548605b4b659p-6, 0x1.a02bfb3d1bd84p-6, 0x1.95b1d26e7f6a7p-6, 0x1.9548aefb1ff2fp-6, 0x1.9e58d120639ep-6, 0x1.b04624cadb71ap-6, 0x1.ca7228462c65bp-6, 0x1.ec3d8d4939a7cp-6, 0x1.0a84cde713306p-5, 0x1.221cae6a1048ep-5, 0x1.3c994a3e4031bp-5, 0x1.59af4891e078ap-5, 0x1.79156ae0c5ff3p-5, 0x1.9a84d2af27858p-5, 0x1.bdb93786076b9p-5, 0x1.e27111560cc7p-5, 0x1.0436daf7656f8p-4, 0x1.17b9b7c22cd63p-4, 0x1.2ba4c563e213ap-4, 0x1.3fdd2ffd46d1ep-4, 0x1.5449a9b6252dap-4, 0x1.68d2697ae673cp-4, 0x1.7d61244794afdp-4, 0x1.91e1086c51f7ep-4, 0x1.a63eb4daf67e8p-4, 0x1.ba68316fdf892p-4, 0x1.ce4ce5ca89019p-4, 0x1.e1dd8f2aadd48p-4, 0x1.f50c33ba58b1bp-4, 0x1.03e60b8d2df8fp-3, 0x1.0d08d64c0d2eap-3, 0x1.15e9458fd1bfdp-3, 0x1.1e82b041143bep-3, 0x1.26d0f2fa3bed6p-3, 0x1.2ed069da0898ap-3, 0x1.367deaa0b9d34p-3, 0x1.3dd6be7dd2fb7p-3, 0x1.44d89be9163b6p-3, 0x1.4b81a07a7f94fp-3, 0x1.51d04ae58ecafp-3, 0x1.57c3751907b48p-3, 0x1.5d5a4e9da25ddp-3, 0x1.62945717441d5p-3, 0x1.677158f8d2a9fp-3, 0x1.6bf164517fbd2p-3, 0x1.7014c9bba9207p-3, 0x1.73dc155f6b87ep-3, 0x1.77480a1979b36p-3, 0x1.7a599cc2452afp-3, 0x1.7d11efa0fecb2p-3, 0x1.7f724e0e8c06dp-3, 0x1.817c28535d255p-3, 0x1.83310fbc184dfp-3, 0x1.8492b2e4e035ep-3, 0x1.85a2da4bbf1ccp-3, 0x1.866365064f0fdp-3, 0x1.86d645b90e259p-3, 0x1.86fd7fba54e24p-3, 0x1.86db246167467p-3, 0x1.8671508264af3p-3, 0x1.85c22a11ba569p-3, 0x1.84cfddedc5ceap-3, 0x1.839c9dcfb5811p-3, 0x1.822a9e5fe1636p-3, 0x1.807c15728f64fp-3, 0x1.7e93385e24175p-3, 0x1.7c723a7f74f91p-3, 0x1.7a1b4bda04b31p-3, 0x1.779097d4d8521p-3, 0x1.74d4441c2ffdap-3, 0x1.71e86f9c8b5cdp-3, 0x1.6ecf31987061cp-3, 0x1.6b8a98db45555p-3, 0x1.681caaffd8691p-3, 0x1.648763d3a618bp-3, 0x1.60ccb4cbe15dep-3, 0x1.5cee848d58f1ap-3, 0x1.58eeae90b8d9fp-3, 0x1.54cf02cb266e3p-3, 0x1.5091457770cfcp-3, 0x1.4c372ee4824f5p-3, 0x1.47c26b4f071b4p-3, 0x1.43349add0f439p-3, 0x1.3e8f51890f6f3p-3, 0x1.39d4172a2370dp-3, 0x1.3504678b1023bp-3, 0x1.3021b27553c36p-3, 0x1.2b2d5bcbcb4a9p-3, 0x1.2628bbc34374fp-3, 0x1.21151ef862e53p-3, 0x1.1bf3c69c9ef3ep-3, 0x1.16c5e8c2e6687p-3, 0x1.118cb0811e251p-3, 0x1.0c493e250ce5p-3, 0x1.06fca78af5c9fp-3, 0x1.01a7f8514e7a9p-3, 0x1.f8986415c84edp-4, 0x1.edd4992d836ap-4, 0x1.e3066cdbe4584p-4, 0x1.d82fa98eff067p-4, 0x1.cd5207e1de65p-4, 0x1.c26f2f4a31234p-4, 0x1.b788b66e95f39p-4, 0x1.aca023ae98b92p-4, 0x1.a1b6edd7bee71p-4, 0x1.96ce7c9e5df46p-4, 0x1.8be828ef43a03p-4, 0x1.81053d92070a1p-4, 0x1.7626f7c77fecep-4, 0x1.6b4e87911af4fp-4, 0x1.607d100bab955p-4, 0x1.55b3a81d1ebe8p-4, 0x1.4af35ae854d4cp-4, 0x1.403d27f6edc8ap-4, 0x1.359203a02b3afp-4, 0x1.2af2d7aa38a54p-4, 0x1.206083a74a858p-4, 0x1.15dbdd077113ap-4, 0x1.0b65af7b166edp-4, 0x1.00febd915c831p-4, 0x1.ed4f8202622fdp-5, 0x1.d8c2d5629c7fbp-5, 0x1.c458c6088723ep-5, 0x1.b01294da7e034p-5, 0x1.9bf17383b374bp-5, 0x1.87f6846e2c941p-5, 0x1.7422db0ee567p-5, 0x1.60777ceacd854p-5, 0x1.4cf56268bb648p-5, 0x1.399d76de8c19ep-5, 0x1.26709884f38d5p-5, 0x1.136f9920054fep-5, 0x1.009b3ef8d32b3p-5, 0x1.dbe88a7e993ffp-6, 0x1.b6f6b7a5b7e61p-6, 0x1.92624eccd0f6bp-6, 0x1.6e2c848429f94p-6, 0x1.4a567a2b4713ep-6, 0x1.26e13e20ceafep-6, 0x1.03cdcb36ede4ep-6, 0x1.c23a122d3107p-7, 0x1.7d9f9bb497d3ep-7, 0x1.39cdbec87da01p-7, 0x1.ed8bcd5eb8713p-8, 0x1.6912ba047cee6p-8, 0x1.cc6529902a3cep-9, 0x1.93b5cbd53e3d7p-10, -0x1.abacd246db96cp-12, -0x1.3189083f7e16ap-9, -0x1.152e43e068f5ep-8, -0x1.8ff6d6fd5e40bp-8, -0x1.048e9de6316a6p-7, -0x1.40504fb2b9ca9p-7, -0x1.7b402e3847ef5p-7, -0x1.b55dfe87d2937p-7, -0x1.eea99db4d98a6p-7, -0x1.13917fa5808cap-6, -0x1.2f65156eee7afp-6, -0x1.4acf9d5a45ec6p-6, -0x1.65d12e077ee8cp-6, -0x1.8069e7e1fad1fp-6, -0x1.9a99f4ec0611ep-6, -0x1.b46187d718eb8p-6, -0x1.cdc0db194162dp-6, -0x1.e6b8308db3e9cp-6, -0x1.ff47d19e8f341p-6, -0x1.0bb807b7dd766p-5, -0x1.1798a1464cf35p-5, -0x1.2345e50f86f2ap-5, -0x1.2ec00599f8527p-5, -0x1.3a07383a4a8b6p-5, -0x1.451bb521eff44p-5, -0x1.4ffdb76a2f86ep-5, -0x1.5aad7cee787cap-5, -0x1.652b45fb9d27ap-5, -0x1.6f775505d0ddfp-5, -0x1.7991ee88b93d1p-5, -0x1.837b590c5530ap-5, -0x1.8d33dd23b290dp-5, -0x1.96bbc54ff7074p-5, -0x1.a0135dc8ee547p-5, -0x1.a93af449786ecp-5, -0x1.b232d7f6875c6p-5, -0x1.bafb5953226b5p-5, -0x1.c394ca307df43p-5, -0x1.cbff7d92e9ca8p-5, -0x1.d43bc7935ed76p-5, -0x1.dc49fd4ae76d5p-5, -0x1.e42a74c57fe0cp-5, -0x1.ebdd84f0d6e44p-5, -0x1.f36385793f688p-5, -0x1.fabccea2dfd74p-5, -0x1.00f4dc9a2dac9p-4, -0x1.04754f3e88d5ap-4, -0x1.07dfec32426ap-4, -0x1.0b34e0b417508p-4, -0x1.0e745a399207bp-4, -0x1.119e86517cc6ap-4, -0x1.14b3928f2a25ep-4, -0x1.17b3ac8d9455ep-4, -0x1.1a9f0204e40cdp-4, -0x1.1d75c0dc9e028p-4, -0x1.20381726de37bp-4, -0x1.22e633025d5eep-4, -0x1.258042758de7p-4, -0x1.2806735cb0d1ep-4, -0x1.2a78f377cd7dbp-4, -0x1.2cd7f08c9beafp-4, -0x1.2f2398803d233p-4, -0x1.315c1952bd935p-4, -0x1.3381a0fce1c3ap-4, -0x1.35945d46a017p-4, -0x1.37947bb2dbfa2p-4, -0x1.3982298eeae88p-4, -0x1.3b5d941a1c53fp-4, -0x1.3d26e8a9b4bc6p-4, -0x1.3ede54adb9f96p-4, -0x1.40840593a563ep-4, -0x1.4218289927c7fp-4, -0x1.439aeaadd75e4p-4, -0x1.450c7877c3163p-4, -0x1.466cfe77d92a4p-4, -0x1.47bca937097f4p-4, -0x1.48fba55e6b025p-4, -0x1.4a2a1fab171e9p-4, -0x1.4b4844c5b5ec7p-4, -0x1.4c56411797eb5p-4, -0x1.4d5440b82fae7p-4, -0x1.4e426f7ee10d6p-4, -0x1.4f20f92e55e53p-4, -0x1.4ff0099faa62bp-4, -0x1.50afccd44b275p-4, -0x1.51606ee4c4c7p-4, -0x1.52021bd7294b9p-4, -0x1.5294ff75d8f1p-4, -0x1.5319453ed8919p-4, -0x1.538f18755dfd3p-4, -0x1.53f6a44bc8c0bp-4, -0x1.5450140eeac34p-4, -0x1.549b933b925ebp-4, -0x1.54d94d73b4c9cp-4, -0x1.55096e59930dep-4, -0x1.552c2165d0065p-4, -0x1.554191cddf345p-4, -0x1.5549ea8930bb8p-4, -0x1.55455671e8ac1p-4, -0x1.553400709dd7fp-4, -0x1.5516139c404afp-4, -0x1.54ebbb409aeb6p-4, -0x1.54b522c714ebap-4, -0x1.5472758f41a27p-4, -0x1.5423dec9aa5f6p-4, -0x1.53c989672152ap-4, -0x1.5363a02380cadp-4, -0x1.52f24da7705bep-4, -0x1.5275bcb066b0cp-4, -0x1.51ee182cc1ef2p-4, -0x1.515b8b3faa06cp-4, -0x1.50be412b1fdc4p-4, -0x1.5016652ac33f2p-4, -0x1.4f64224f1e65ep-4, -0x1.4ea7a369bcf28p-4, -0x1.4de113114443ap-4, -0x1.4d109bbba61fep-4, -0x1.4c3667e28e544p-4, -0x1.4b52a2229371ap-4, -0x1.4a65754819ddp-4, -0x1.496f0c44bbcc5p-4, -0x1.486f921196a35p-4, -0x1.4767318a728cp-4, -0x1.4656154ffd5a9p-4, -0x1.453c67bc27d7ep-4, -0x1.441a52ebe2915p-4, -0x1.42f000d9aea2cp-4, -0x1.41bd9b7e19028p-4, -0x1.40834ce95eadbp-4, -0x1.3f413f4c484a5p-4, -0x1.3df79cecb44dep-4, -0x1.3ca6900a0fbc3p-4, -0x1.3b4e42bbaf9d1p-4, -0x1.39eeded4c3dabp-4, -0x1.38888dd78f766p-4, -0x1.371b78fa1391dp-4, -0x1.35a7c93aa8575p-4, -0x1.342da77b0f107p-4, -0x1.32ad3c98e843bp-4, -0x1.3126b17a93f3ap-4, -0x1.2f9a2f0b2327cp-4, -0x1.2e07de2760d4cp-4, -0x1.2c6fe781c1bdbp-4, -0x1.2ad27386aa5bap-4, -0x1.292faa499fe25p-4, -0x1.2787b3804c4a4p-4, -0x1.25dab68b64dabp-4, -0x1.2428da8952713p-4, -0x1.2272466bdb174p-4, -0x1.20b721097d443p-4, -0x1.1ef79124a6b19p-4, -0x1.1d33bd663a9bdp-4, -0x1.1b6bcc4cee2a2p-4, -0x1.199fe416c6fd3p-4, -0x1.17d02aab90bd3p-4, -0x1.15fcc58e4c157p-4, -0x1.1425d9d8ccad3p-4, -0x1.124b8c4142e86p-4, -0x1.106e0126d0dbdp-4, -0x1.0e8d5ca0a8953p-4, -0x1.0ca9c28b08263p-4, -0x1.0ac3568e263bp-4, -0x1.08da3c1cc6793p-4, -0x1.06ee966ab6904p-4, -0x1.0500885df83fap-4, -0x1.0310347ee45bbp-4, -0x1.011dbceba2576p-4, -0x1.fe5286a37e2e2p-5, -0x1.fa65d1dcfc6f4p-5, -0x1.f6759d28fedbap-5, -0x1.f2822968a9b0bp-5, -0x1.ee8bb6cabb26dp-5, -0x1.ea9284d91abc1p-5, -0x1.e696d27e848efp-5, -0x1.e298de0278435p-5, -0x1.de98e4fbde7f3p-5, -0x1.da97243ec2cd2p-5, -0x1.d693d7c8c4e01p-5, -0x1.d28f3ab273543p-5, -0x1.ce8987287a899p-5, -0x1.ca82f66cb281bp-5, -0x1.c67bc0dc7e05p-5, -0x1.c2741dfa7f5b7p-5, -0x1.be6c44781ffb9p-5, -0x1.ba646a3d184b1p-5, -0x1.b65cc46b6d5fcp-5, -0x1.b255875ed2ab4p-5, -0x1.ae4ee6a73907ep-5, -0x1.aa4914ff8712ap-5, -0x1.a6444442dc36ap-5, -0x1.a240a5633dc4dp-5, -0x1.9e3e68641198cp-5, -0x1.9a3dbc59585cp-5, -0x1.963ecf6aeb864p-5, -0x1.9241ced9f06c8p-5, -0x1.8e46e706a6cb3p-5, -0x1.8a4e43756ae4fp-5, -0x1.86580ed256ba3p-5, -0x1.826472f35e782p-5, -0x1.7e7398d881608p-5, -0x1.7a85a8a9f73e4p-5, -0x1.769ac9b461ca3p-5, -0x1.72b32263eb9f1p-5, -0x1.6eced83fcd916p-5, -0x1.6aee0fe771cb3p-5, -0x1.6710ed12536d6p-5, -0x1.633792923d1f9p-5, -0x1.5f62225726724p-5, -0x1.5b90bd736e7e6p-5, -0x1.57c3841fbc189p-5, -0x1.53fa95be335edp-5, -0x1.503610dd1e304p-5, -0x1.4c761339121b3p-5, -0x1.48bab9be6fdfep-5, -0x1.45042089dde16p-5, -0x1.415262e799fc2p-5, -0x1.3da59b51ee66ep-5, -0x1.39fde36f868f8p-5, -0x1.365b541296b88p-5, -0x1.32be05398fc42p-5, -0x1.2f260e1175564p-5, -0x1.2b9384f96eddap-5, -0x1.28067f86d6ec9p-5, -0x1.247f12891a034p-5, -0x1.20fd520d1e147p-5, -0x1.1d81516030a6fp-5, -0x1.1a0b23128ddfcp-5, -0x1.169ad8f99c415p-5, -0x1.13308431bd1a6p-5, -0x1.0fcc351f9362ep-5, -0x1.0c6dfb70bff8ap-5, -0x1.0915e61c577d5p-5, -0x1.05c40363842f8p-5, -0x1.027860d2e021bp-5, -0x1.fe6616897b478p-6, -0x1.f7e81dc8ab8f5p-6, -0x1.f176ee62abcb3p-6, -0x1.eb129e06ab1a3p-6, -0x1.e4bb4119894d8p-6, -0x1.de70eabab5d72p-6, -0x1.d833acc8900f8p-6, -0x1.d20397e50dd8ep-6, -0x1.cbe0bb7b44253p-6, -0x1.c5cb25c5debcfp-6, -0x1.bfc2e3d5fec2ep-6, -0x1.b9c801999f7bp-6, -0x1.b3da89e0bd009p-6, -0x1.adfa8660bcd84p-6, -0x1.a827ffb678c76p-6, -0x1.a262fd6798568p-6, -0x1.9cab85e44cd87p-6, -0x1.97019e8a64232p-6, -0x1.91654baa2dd3ep-6, -0x1.8bd6908d70582p-6, -0x1.86556f8004e06p-6, -0x1.80e1e9d96ff27p-6, -0x1.7b7c00068f18ep-6, -0x1.7623b1923421ap-6, -0x1.70d8fd2b9d99p-6, -0x1.6b9be0aa5377cp-6, -0x1.666c590f52e8bp-6, -0x1.614a62845536ep-6, -0x1.5c35f85a9fcf1p-6, -0x1.572f150b02d7ap-6, -0x1.5235b238a2069p-6, -0x1.4d49c8b77d4b6p-6, -0x1.486b5096b244ap-6, -0x1.439a412d148b9p-6, -0x1.3ed6912601cfep-6, -0x1.3a20368bee98dp-6, -0x1.357726cea3a38p-6, -0x1.30db56c46a5cbp-6, -0x1.2c4cbaa6b8b66p-6, -0x1.27cb460c92d18p-6, -0x1.2356ebe573c33p-6, -0x1.1eef9e77ab976p-6, -0x1.1a954f64511b4p-6, -0x1.1647efb152108p-6, -0x1.12076fd87fddbp-6, -0x1.0dd3bfd8e2317p-6, -0x1.09accf46ae06ep-6, -0x1.05928d5683065p-6, -0x1.0184e8e194e76p-6, -0x1.fb07a0c45a1b8p-7, -0x1.f31e63d45697dp-7, -0x1.eb4df62d71c55p-7, -0x1.e396320ac08bdp-7, -0x1.dbf6f09da3fd6p-7, -0x1.d4700a144e7b8p-7, -0x1.cd0155b37b6a9p-7, -0x1.c5aaaa0016df9p-7, -0x1.be6bdcf1651b9p-7, -0x1.b744c42136683p-7, -0x1.b03534eefa254p-7, -0x1.a93d048d6f25ap-7, -0x1.a25c07f73f9aap-7, -0x1.9b9213ccf8052p-7, -0x1.94defc248cfa4p-7, -0x1.8e4294572c9eep-7, -0x1.87bcaedb48bb1p-7, -0x1.814d1d3714ce8p-7, -0x1.7af3b0135e8cp-7, -0x1.74b0376eef2c4p-7, -0x1.6e8282eb1a88dp-7, -0x1.686a6222ca12fp-7, -0x1.6267a4f9366f9p-7, -0x1.5c7a1bcd8f293p-7, -0x1.56a19785a0c58p-7, -0x1.50dde96a6eaf2p-7, -0x1.4b2ee2db8ac65p-7, -0x1.459454e838b0cp-7, -0x1.400e0fe3665edp-7, -0x1.3a9be30a5bf96p-7, -0x1.353d9c536228bp-7, -0x1.2ff3087335a1ep-7, -0x1.2abbf31f04b79p-7, -0x1.2598278494677p-7, -0x1.208770e6c8ad9p-7, -0x1.1b899b42c3298p-7, -0x1.169e73dcc902cp-7, -0x1.11c5c995b7915p-7, -0x1.0cff6cf383be7p-7, -0x1.084b2fd641a5dp-7, -0x1.03a8e4e5bf513p-7, -0x1.fe30bda5084e1p-8, -0x1.f532df1cce6bp-8, -0x1.ec57cf44f5a22p-8, -0x1.e39f2b824ce7ep-8, -0x1.db088d537a4bbp-8, -0x1.d2938acc821e6p-8, -0x1.ca3fb7be4f7adp-8, -0x1.c20ca76a506fbp-8, -0x1.b9f9ee83c71fep-8, -0x1.b2072531acb09p-8, -0x1.aa33e8ad0a494p-8, -0x1.a27fdc23dff18p-8, -0x1.9aeaa8a1329a6p-8, -0x1.9373fbecd82dfp-8, -0x1.8c1b868f87b1p-8, -0x1.84e0f958acbp-8, -0x1.7dc402e0abd1ap-8, -0x1.76c44d745476dp-8, -0x1.6fe17dca72764p-8, -0x1.691b329328b7ep-8, -0x1.627104f48f948p-8, -0x1.5be289ce12a04p-8, -0x1.556f539eefc5fp-8, -0x1.4f16f4e530715p-8, -0x1.48d902bbeb041p-8, -0x1.42b5176a36b8ep-8, -0x1.3caad47c96b2ap-8, -0x1.36b9e3f9845ep-8, -0x1.30e1f858575d1p-8, -0x1.2b22cb1bf4a29p-8, -0x1.257c1a42ee666p-8, -0x1.1feda50d19143p-8, -0x1.1a7728c4b7871p-8, -0x1.15185e33b821p-8, -0x1.0fd0f83579fbep-8, -0x1.0aa0a37e8a1dep-8, -0x1.05870763a3ea2p-8, -0x1.0083c73c3f842p-8, -0x1.f72d0807a3411p-9, -0x1.ed7dbc0cbbecp-9, -0x1.e3f8ed2ea6e3p-9, -0x1.da9de3cb37a7fp-9, -0x1.d16bf1d5f01c1p-9, -0x1.c862767dd7642p-9, -0x1.bf80e0c041e3ep-9, -0x1.b6c6afe8a4662p-9, -0x1.ae3371464b762p-9, -0x1.a5c6bb12e3a15p-9, -0x1.9d802563be681p-9, -0x1.955f42bc91572p-9, -0x1.8d639a1be9fa6p-9, -0x1.858ca3fc58c47p-9, -0x1.7dd9cad6d88dfp-9, -0x1.764a6e8dbc0b4p-9, -0x1.6edde93ea1d8dp-9, -0x1.679393b6fe6a5p-9, -0x1.606ac848c5718p-9, -0x1.5962e3c768223p-9, -0x1.527b458198abfp-9, -0x1.4bb34f94f317ep-9, -0x1.450a68b8395bfp-9, -0x1.3e7fffb88b6f1p-9, -0x1.38138fd53889p-9, -0x1.31c4a465de156p-9, -0x1.2b92da19b1c83p-9, -0x1.257ddcb8df79fp-9, -0x1.1f85616eb0e9cp-9, -0x1.19a91ee93b5bdp-9, -0x1.13e8c583949ebp-9, -0x1.0e43f9de03a58p-9, -0x1.08ba5389eaa1cp-9, -0x1.034b6002e9808p-9, -0x1.fbed5123f736ep-10, -0x1.f177711d68782p-10, -0x1.e734429b06c2dp-10, -0x1.dd22f4207bebbp-10, -0x1.d342b847f90a4p-10, -0x1.c992ba5331af2p-10, -0x1.c01214de4cf0bp-10, -0x1.b6bfcf9872693p-10, -0x1.ad9ae5c089474p-10, -0x1.a4a2536d3f9ffp-10, -0x1.9bd52504decdp-10, -0x1.93328373ad41p-10, -0x1.8ab9b8e460eb8p-10, -0x1.826a2c3978458p-10, -0x1.7a4354ba43437p-10, -0x1.7244aa302f997p-10, -0x1.6a6d96f149aa4p-10, -0x1.62bd7091a2068p-10, -0x1.5b337984dedd3p-10, -0x1.53ceeaecf0365p-10, -0x1.4c8f031767cf9p-10, -0x1.45731369b748dp-10, -0x1.3e7a8833420b4p-10, -0x1.37a4e691cda2bp-10, -0x1.30f1c03ab7333p-10, -0x1.2a60a177de1a2p-10, -0x1.23f100c14bc29p-10, -0x1.1da2370de83b7p-10, -0x1.1773840519058p-10, -0x1.11641bd6eca4p-10, -0x1.0b7338d5340c7p-10, -0x1.05a02a7c7e497p-10, -0x1.ffd4bb4f52e3p-11, -0x1.f4a2b89c0a20bp-11, -0x1.e9a98b3704f2fp-11, -0x1.dee882e249fbp-11, -0x1.d45ee78ea61f1p-11, -0x1.ca0be807f0923p-11, -0x1.bfee9435fda17p-11, -0x1.b605e1c3be663p-11, -0x1.ac50b7d7797d7p-11, -0x1.a2cdfefa38a7ep-11, -0x1.997cb28f4fc7fp-11, -0x1.905bef6eb9e21p-11, -0x1.876af8ed7af58p-11, -0x1.7ea92e82b8188p-11, -0x1.7615f248ce30ap-11, -0x1.6db0897c1eefbp-11, -0x1.657805efa9c94p-11, -0x1.5d6b44c8b87c5p-11, -0x1.558903a5a6f27p-11, -0x1.4dd0008e7ad3ep-11, -0x1.463f14b97979p-11, -0x1.3ed541a2f8e5dp-11, -0x1.3791b2fe77fa2p-11, -0x1.3073bba60a3bp-11, -0x1.297acf7d751ap-11, -0x1.22a679338cac7p-11, -0x1.1bf64d349ad49p-11, -0x1.1569ddf0974b9p-11, -0x1.0f00b4214dd53p-11, -0x1.08ba4aa4821a3p-11, -0x1.02960cc973545p-11, -0x1.f926ae6de5c5dp-12, -0x1.ed62f7db8226bp-12, -0x1.e1df91be956cdp-12, -0x1.d69b1f334f541p-12, -0x1.cb9457ed97f7ep-12, -0x1.c0ca0dd4e9c5cp-12, -0x1.b63b24b241324p-12, -0x1.abe67b5b5d0c5p-12, -0x1.a1cad1606dadbp-12, -0x1.97e6bceb14767p-12, -0x1.8e38bdb296624p-12, -0x1.84bf61e2f6409p-12, -0x1.7b795ce387612p-12, -0x1.72657aeb38a99p-12, -0x1.69828485d5bc5p-12, -0x1.60cf3adc8dc97p-12, -0x1.584a7b73f2486p-12, -0x1.4ff3681cf6b5ap-12, -0x1.47c969f37937ap-12, -0x1.3fcc0d8720b2dp-12, -0x1.37fad19087224p-12, -0x1.305508f82a84cp-12, -0x1.28d9dfcd5d9dcp-12, -0x1.21887b7e0f94p-12, -0x1.1a601afd41c59p-12, -0x1.13601b8d64dc7p-12, -0x1.0c87e05bc5932p-12, -0x1.05d6b643b7d32p-12, -0x1.fe979dea32dcfp-13, -0x1.f1ccae7910ae9p-13, -0x1.e54b29ad97169p-13, -0x1.d911e80469ab4p-13, -0x1.cd1ff39da4271p-13, -0x1.c17444799d195p-13, -0x1.b60d80965a9d5p-13, -0x1.aae9f237de211p-13, -0x1.a007bcdbe735fp-13, -0x1.95650fb2a187fp-13, -0x1.8b0006106107ep-13, -0x1.80d652e2db2e2p-13, -0x1.76e54715b8bedp-13, -0x1.6d2a7a8c1887dp-13, -0x1.63a48cae5c88bp-13, -0x1.5a53336a3b629p-13, -0x1.513683f758143p-13, -0x1.484e1d29825fp-13, -0x1.3f98de09ff367p-13, -0x1.371549b7b3624p-13, -0x1.2ec22b492551bp-13, -0x1.269ee593a4fep-13, -0x1.1eab380ac20dbp-13, -0x1.16e6c38b60e11p-13, -0x1.0f50ba0b53673p-13, -0x1.07e7ded5b4f77p-13, -0x1.00aab9c7d255ep-13, -0x1.f32fab398ea66p-14, -0x1.e55be6ecbab76p-14, -0x1.d7d8560a7464ep-14, -0x1.caa3e1dade03p-14, -0x1.bdbdf826bc2c6p-14, -0x1.b1261587fb9ebp-14, -0x1.a4db48367edebp-14, -0x1.98dc16f9b1456p-14, -0x1.8d26f5c187231p-14, -0x1.81baaf8c0396p-14, -0x1.7695ea7333238p-14, -0x1.6bb61a3a07d29p-14, -0x1.6117909d2d36cp-14, -0x1.56b7592a69c47p-14, -0x1.4c94d3556502bp-14, -0x1.42b0dd387432ep-14, -0x1.390b80ed2cdc7p-14, -0x1.2fa2c64b7e1e3p-14, -0x1.2673a9187d93cp-14, -0x1.1d7be34005a3dp-14, -0x1.14baa53b21a08p-14, -0x1.0c2fcc227ecbep-14, -0x1.03dacddc1cbeap-14, -0x1.f774d9c4ce43dp-15, -0x1.e79a17dd5554cp-15, -0x1.d8220997842d1p-15, -0x1.c9098acdf768p-15, -0x1.ba4d9f443c167p-15, -0x1.abeb826161a4fp-15, -0x1.9de0d939f6181p-15, -0x1.902bec4c8e5eap-15, -0x1.82cbc44df241ap-15, -0x1.75c00bdbbfcc7p-15, -0x1.69089efb0b952p-15, -0x1.5ca4cfe2157e2p-15, -0x1.5092c661149dcp-15, -0x1.44cfb4df8f706p-15, -0x1.39590a1a3a01p-15, -0x1.2e2d544b716dap-15, -0x1.234b525802bbep-15, -0x1.18b02183a978cp-15, -0x1.0e57db5f08f25p-15, -0x1.044106eeacb67p-15, -0x1.f4db16971ac1p-16, -0x1.e1bda690d0a03p-16, -0x1.cf25469a83487p-16, -0x1.bd09a6d0238cap-16, -0x1.ab65eb0b0a67ap-16, -0x1.9a39be76d01aap-16, -0x1.898494263a616p-16, -0x1.79430725d037dp-16, -0x1.69705c8f049fp-16, -0x1.5a0882f1193f8p-16, -0x1.4b089fbbb7212p-16, -0x1.3c6eb0ace97e5p-16, -0x1.2e3908873b12ap-16, -0x1.2065f5a4dc9a6p-16, -0x1.12f39e987ecd1p-16, -0x1.05e00b3c8c83ep-16, -0x1.f252865208e25p-17, -0x1.d99acf150c0dep-17, -0x1.c1957f9d0a3bap-17, -0x1.aa3f8380be3d9p-17, -0x1.93961a4da201dp-17, -0x1.7d964d65e8e36p-17, -0x1.683b9ee19023cp-17, -0x1.537eff025b5bp-17, -0x1.3f5830d12eb1ap-17, -0x1.2bc1b55832868p-17, -0x1.18bb690d0785ap-17, -0x1.064707f998038p-17, -0x1.e8c06cdbd9987p-18, -0x1.c5fbd78d9eeacp-18, -0x1.a43ccb8ccb39fp-18, -0x1.8389143125eb7p-18, -0x1.63d5e97695e74p-18, -0x1.4510bb10b5cbfp-18, -0x1.27379cb1533a1p-18, -0x1.0a51d7ace9a58p-18, -0x1.dcbbdd658eca6p-19, -0x1.a6a706ef4a169p-19, -0x1.7255b9c31f1f1p-19, -0x1.3fbb7d5d9b92fp-19, -0x1.0ecc0c2aa8179p-19, -0x1.bef2f4d50253dp-20, -0x1.636d37bf8d50cp-20, -0x1.0aef96b16d18fp-20, -0x1.6accd19dcd48bp-21, -0x1.8b020ab199cdcp-22, -0x1.2edc826f31f73p-24, 0x1.d10e30e600845p-23, 0x1.08fcfdaeeaef4p-21, 0x1.987282c3d5b34p-21, 0x1.11634736be652p-20, 0x1.540d2cbdaf62p-20, 0x1.94453050febeap-20, 0x1.d215facd0ba2fp-20, 0x1.06c4691b2615ep-19, 0x1.23561a0b48213p-19, 0x1.3ecbfaebb6cd5p-19, 0x1.5932750fd4c44p-19, 0x1.728d394f6c5dep-19, 0x1.8ad222b64bbc2p-19, 0x1.a1f7aa9c60a08p-19, 0x1.b81186ae297d8p-19, 0x1.cd3c8714630e5p-19, 0x1.e178ede609179p-19, 0x1.f4ce3a092665ap-19, 0x1.03a650c9b794bp-18, 0x1.0c76d6c91a1f7p-18, 0x1.14d84079dc793p-18, 0x1.1cd2519145ff9p-18, 0x1.246a8fe3222cbp-18, 0x1.2ba1d4c3ea797p-18, 0x1.3278197cfd5a1p-18, 0x1.38ef63e36f362p-18, 0x1.3f0bac146e0c4p-18, 0x1.44d0701698fcep-18, 0x1.4a3eb757014ccp-18, 0x1.4f55f5323dad6p-18, 0x1.5416a4e7f207ep-18, 0x1.58837ab51353p-18, 0x1.5ca06bdd72791p-18, 0x1.6071425d910bep-18, 0x1.63f8feab6956fp-18, 0x1.6739f4828cd5ep-18, 0x1.6a361fd02d797p-18, 0x1.6cef6377706b6p-18, 0x1.6f679bfd37565p-18, 0x1.71a098a6f2a01p-18, 0x1.739be571bffd1p-18, 0x1.755aaffb4d6d2p-18, 0x1.76de10db2d572p-18, 0x1.7827cc5292336p-18, 0x1.793a868bc57aap-18, 0x1.7a18cbbbaeb87p-18, 0x1.7ac3c57e6f856p-18, 0x1.7b399acdf87ap-18, 0x1.7b7772b1dea52p-18, 0x1.7b83fc6957a8bp-18, 0x1.7b67b6f6648b1p-18, 0x1.7b23b97f91999p-18, 0x1.7ab7f9fdc24b8p-18, }}, 
      {{-0x1.4c13a1a0c2b97p-1, -0x1.470c4825b38abp-1, -0x1.3f0ee2c0968c3p-1, -0x1.348c54c1ba3acp-1, -0x1.27fe162b0b75ap-1, -0x1.19dc568ec9ec5p-1, -0x1.0a97ec589452ap-1, -0x1.f52d8ff72c7p-2, -0x1.d464566f59d3fp-2, -0x1.b36c3fe92eeffp-2, -0x1.92c39288483f1p-2, -0x1.72d07f5912e58p-2, -0x1.53e3777b54596p-2, -0x1.3639c527f964ap-2, -0x1.1a002aa44f7cfp-2, -0x1.feaac0a17622fp-3, -0x1.cc98ba52a730dp-3, -0x1.9ddcc32f11757p-3, -0x1.727986bb28947p-3, -0x1.4a64f9b6c9e58p-3, -0x1.258b07ce4f0a4p-3, -0x1.03cfdb2b60b0ap-3, -0x1.ca2392b1b29ep-4, -0x1.9255e15a932cep-4, -0x1.5fe521577439p-4, -0x1.327c4da12fc01p-4, -0x1.09c4b077abc4ep-4, -0x1.cacebe9b7a085p-5, -0x1.8a1cd87cd207p-5, -0x1.50cbb0783b3c6p-5, -0x1.1e389f3899b1ep-5, -0x1.e38ee522fd18ap-6, -0x1.95c67edab5d73p-6, -0x1.51fde720c58aep-6, -0x1.172b638cb8228p-6, -0x1.c8ac067008d41p-7, -0x1.712b6a27665aep-7, -0x1.26264592c5fd1p-7, -0x1.cc1d6fef41417p-8, -0x1.5eed707eb45f5p-8, -0x1.021dced8ed955p-8, -0x1.6694e37fad798p-9, -0x1.c11be8f1a89b8p-10, -0x1.b8dd9c9bcbb7bp-11, -0x1.809bcf1ca0d35p-14, 0x1.24e52537e7d38p-11, 0x1.28b8829574cbcp-10, 0x1.afd9df1bd183fp-10, 0x1.1629e917cc97cp-9, 0x1.510d34050d15p-9, 0x1.8a51ca66007bap-9, 0x1.c378d7f1d8f93p-9, 0x1.fdceae19ea4d3p-9, 0x1.1d37b62e8eb1cp-8, 0x1.3d25af45f7b55p-8, 0x1.5f158a0609207p-8, 0x1.835998e2f5afap-8, 0x1.aa33fe77a3908p-8, 0x1.d3d84eff99971p-8, 0x1.0036883e7e382p-7, 0x1.18068f4e1e09ep-7, 0x1.31647b16297dep-7, 0x1.4c53f3d2e7c07p-7, 0x1.68d496da51f8fp-7, 0x1.86e273778eacp-7, 0x1.a6767bb099c2bp-7, 0x1.c786ec70b090fp-7, 0x1.ea07af7ce0386p-7, 0x1.06f55b42c0c18p-6, 0x1.1990269a1afp-6, 0x1.2ccbb065dd325p-6, 0x1.409edf254ac61p-6, 0x1.550024de92ca6p-6, 0x1.69e598e00e93ap-6, 0x1.7f45101d49d89p-6, 0x1.951433fc5d4f3p-6, 0x1.ab4896d25bafdp-6, 0x1.c1d7c585f0ff7p-6, 0x1.d8b7563cddf64p-6, 0x1.efdcf496874bp-6, 0x1.039f360fa27dcp-5, 0x1.0f68d8d756557p-5, 0x1.1b467607a489ep-5, 0x1.27333e030190fp-5, 0x1.332a81c84c56ep-5, 0x1.3f27b61476b43p-5, 0x1.4b2675ee0a214p-5, 0x1.5722849d3882p-5, 0x1.6317cf15f7018p-5, 0x1.6f026ced03025p-5, 0x1.7adea0f54418bp-5, 0x1.86a8d99bc896ap-5, 0x1.925db10fffa95p-5, 0x1.9df9ed5235c7cp-5, 0x1.a97a801ac04a5p-5, 0x1.b4dc86a380ec6p-5, 0x1.c01d494ddefafp-5, 0x1.cb3a3b2373d2cp-5, 0x1.d630f931358e8p-5, 0x1.e0ff49b81d10fp-5, 0x1.eba31b4d70111p-5, 0x1.f61a83c9fd7e1p-5, 0x1.0031df99e41bfp-4, 0x1.053e9748bc68ep-4, 0x1.0a32ab5912cacp-4, 0x1.0f0d6f79769a9p-4, 0x1.13ce47fd794a6p-4, 0x1.1874a93d6efffp-4, 0x1.1d0016f54e2efp-4, 0x1.217023a39fbc2p-4, 0x1.25c46fed65a2dp-4, 0x1.29fca9f7ce0abp-4, 0x1.2e188cd34c5b3p-4, 0x1.3217dfd8d89a3p-4, 0x1.35fa761433cebp-4, 0x1.39c02da976183p-4, 0x1.3d68ef4112f69p-4, 0x1.40f4ad77b0ee3p-4, 0x1.4463644e4a2dap-4, 0x1.47b518a36a46dp-4, 0x1.4ae9d7ac4425dp-4, 0x1.4e01b674ae76bp-4, 0x1.50fcd16243d3ep-4, 0x1.53db4bbb4f748p-4, 0x1.569d4f330256dp-4, 0x1.59430b786847ep-4, 0x1.5bccb5c8331fcp-4, 0x1.5e3a8887a28a1p-4, 0x1.608cc2dc060cbp-4, 0x1.62c3a84be25bdp-4, 0x1.64df8063aca48p-4, 0x1.66e0965c3a2p-4, 0x1.68c738c950481p-4, 0x1.6a93b94aff765p-4, 0x1.6c466c427861dp-4, 0x1.6ddfa88e28191p-4, 0x1.6f5fc744165f9p-4, 0x1.70c7237d07a87p-4, 0x1.72161a11421fep-4, 0x1.734d09682d792p-4, 0x1.746c5142d7761p-4, 0x1.7574528bcb4c7p-4, 0x1.76656f2b3e3b7p-4, 0x1.774009d9168c5p-4, 0x1.780485f6fac03p-4, 0x1.78b34767fd699p-4, 0x1.794cb26d7dce5p-4, 0x1.79d12b84a16a9p-4, 0x1.7a41174163c98p-4, 0x1.7a9cda3cc88ffp-4, 0x1.7ae4d8ec27a24p-4, 0x1.7b19778c86295p-4, 0x1.7b3b1a0b111efp-4, 0x1.7b4a23ee95b42p-4, 0x1.7b46f841e9da9p-4, 0x1.7b31f982d9d73p-4, 0x1.7b0b8991500f9p-4, 0x1.7ad409a01e219p-4, 0x1.7a8bda2612806p-4, 0x1.7a335ad2db18dp-4, 0x1.79caea82870ebp-4, 0x1.7952e73746ba5p-4, 0x1.78cbae0a3c235p-4, 0x1.78359b25a29c5p-4, 0x1.779109c03d3bap-4, 0x1.76de5413b95b8p-4, 0x1.761dd355f4811p-4, 0x1.754fdfb4dde22p-4, 0x1.7474d051de2efp-4, 0x1.738cfb3ca025ap-4, 0x1.7298b56e3fb6p-4, 0x1.719852c6e1edcp-4, 0x1.708c260a82678p-4, 0x1.6f7480dec2a19p-4, 0x1.6e51b3c74ca42p-4, 0x1.6d240e2428386p-4, 0x1.6bebde312d4a3p-4, 0x1.6aa97105290f9p-4, 0x1.695d12904422bp-4, 0x1.68070d9babf41p-4, 0x1.66a7abc605cdcp-4, 0x1.653f358d108bdp-4, 0x1.63cdf244e46bep-4, 0x1.6254281c7aba8p-4, 0x1.60d21c1d25222p-4, 0x1.5f48122cc341fp-4, 0x1.5db64d0fda2f4p-4, 0x1.5c1d0e6a9efb2p-4, 0x1.5a7c96c1866dp-4, 0x1.58d5257b4848ap-4, 0x1.5726f8e3c2b4ep-4, 0x1.55724e2ebd432p-4, 0x1.53b761797de82p-4, 0x1.51f66dcbfbf7ep-4, 0x1.502fad1b8c4ecp-4, 0x1.4e63584e1577p-4, 0x1.4c91a73d2b00bp-4, 0x1.4abad0b82ceep-4, 0x1.48df0a8600bc3p-4, 0x1.46fe8967a21b2p-4, 0x1.4519811b0de43p-4, 0x1.43302460b0c3bp-4, 0x1.4142a4fa7608ap-4, 0x1.3f5133b0bd725p-4, 0x1.3d5c00541c51ap-4, 0x1.3b6339c00b47p-4, 0x1.39670ddf446b5p-4, 0x1.3767a9adbbdb2p-4, 0x1.3565393c7cbf3p-4, 0x1.335fe7b367c9ap-4, 0x1.3157df542941fp-4, 0x1.2f4d497d99ad5p-4, 0x1.2d404eaf6014bp-4, 0x1.2b31168d20895p-4, 0x1.291fc7e130ecep-4, 0x1.270c889f1b3bap-4, 0x1.24f77de69c915p-4, 0x1.22e0cc0732808p-4, 0x1.20c89683c4621p-4, 0x1.1eaf0015ca768p-4, 0x1.1c942aafed916p-4, 0x1.1a783780779f1p-4, 0x1.185b46f50f403p-4, 0x1.163d78bd54a4cp-4, 0x1.141eebcf5585p-4, 0x1.11ffbe6a02679p-4, 0x1.0fe00e178fd8ep-4, 0x1.0dbff7b1d1697p-4, 0x1.0b9f976282289p-4, 0x1.097f08a8d0aeep-4, 0x1.075e665c7e822p-4, 0x1.053dcab02094p-4, 0x1.031d4f33d2a17p-4, 0x1.00fd0cd7e5a56p-4, 0x1.fdba37e008524p-5, 0x1.f97b286d01414p-5, 0x1.f53d199ecd764p-5, 0x1.f1003895fa4cdp-5, 0x1.ecc4b150310d8p-5, 0x1.e88aaead0c028p-5, 0x1.e4525a750b803p-5, 0x1.e01bdd5e2af17p-5, 0x1.dbe75f1389507p-5, 0x1.d7b506390bc73p-5, 0x1.d384f86fa066cp-5, 0x1.cf575a5999256p-5, 0x1.cb2c4f9ff4011p-5, 0x1.c703faf886c6fp-5, 0x1.c2de7e2bbfe4ap-5, 0x1.bebbfa1963363p-5, 0x1.ba9c8ebc1e941p-5, 0x1.b6805b2cd63f6p-5, 0x1.b2677da6bbf8ap-5, 0x1.ae52138c858a5p-5, 0x1.aa40396e2f03p-5, 0x1.a6320b0e2aeafp-5, 0x1.a227a36559afbp-5, 0x1.9e211ca5d43c7p-5, 0x1.9a1e903df8b7fp-5, 0x1.962016d96290ep-5, 0x1.9225c86b0a2cap-5, 0x1.8e2fbc2cdcc19p-5, 0x1.8a3e08a7df9b6p-5, 0x1.8650c3b60793dp-5, 0x1.82680285daa4bp-5, 0x1.7e83d99bb9ef4p-5, 0x1.7aa45cd49b174p-5, 0x1.76c99f69c0597p-5, 0x1.72f3b3f54d97bp-5, 0x1.6f22ac76df819p-5, 0x1.6b569a5732c78p-5, 0x1.678f8e6a81faep-5, 0x1.63cd98f208953p-5, 0x1.6010c99d96888p-5, 0x1.5c592f8dfe4fp-5, 0x1.58a6d95894b61p-5, 0x1.54f9d50b52dcep-5, 0x1.51523030aacaep-5, 0x1.4daff7d2688cdp-5, 0x1.4a13387b5f1a7p-5, 0x1.467bfe3870385p-5, 0x1.42ea5499b72f4p-5, 0x1.3f5e46b48f6a2p-5, 0x1.3bd7df268b637p-5, 0x1.38572819087e8p-5, 0x1.34dc2b4486027p-5, 0x1.3166f1f2f86cp-5, 0x1.2df78501c5239p-5, 0x1.2a8dece16f73ep-5, 0x1.272a31979223fp-5, 0x1.23cc5abf8acf7p-5, 0x1.20746f8cc9b49p-5, 0x1.1d2276cde688cp-5, 0x1.19d676ef921f6p-5, 0x1.169075ff01a84p-5, 0x1.135079ab7f6f9p-5, 0x1.10168746a491dp-5, 0x1.0ce2a3c6c3e09p-5, 0x1.09b4d3c4351a3p-5, 0x1.068d1b7dd4802p-5, 0x1.036b7ed9df179p-5, 0x1.00500168995e7p-5, 0x1.fa754ccdbabe7p-6, 0x1.f456e17fe66f3p-6, 0x1.ee44c61d568c8p-6, 0x1.e83eff3bc2cf9p-6, 0x1.e24590d19ffefp-6, 0x1.dc587e37688e4p-6, 0x1.d677ca2a04581p-6, 0x1.d0a376ce8168ap-6, 0x1.cadb85b66b1d6p-6, 0x1.c51ff7e413318p-6, 0x1.bf70cdcdeb895p-6, 0x1.b9ce07609c4bap-6, 0x1.b437a40019d68p-6, 0x1.aeada287f7143p-6, 0x1.a930014d0afd8p-6, 0x1.a3bebe1de4b55p-6, 0x1.9e59d646a837p-6, 0x1.99014694470f2p-6, 0x1.93b50b584b725p-6, 0x1.8e75206c4cc61p-6, 0x1.894181346bc2dp-6, 0x1.841a28a0eb4bfp-6, 0x1.7eff112eed061p-6, 0x1.79f034e91113dp-6, 0x1.74ed8d6876ee6p-6, 0x1.6ff713d6775p-6, 0x1.6b0cc0ef35725p-6, 0x1.662e8d04cf558p-6, 0x1.615c7002acfd9p-6, 0x1.5c9661708fa6ap-6, 0x1.57dc5874e7e75p-6, 0x1.532e4bd66a4f9p-6, 0x1.4e8c31fd07cf6p-6, 0x1.49f600f2af3a7p-6, 0x1.456bae643092cp-6, 0x1.40ed2fa2ad0fdp-6, 0x1.3c7a79a5a9b32p-6, 0x1.3813810dae99bp-6, 0x1.33b83a273198cp-6, 0x1.2f6898ed47dadp-6, 0x1.2b24910c0d99dp-6, 0x1.26ec15e47c77dp-6, 0x1.22bf1a892ff6p-6, 0x1.1e9d91c498f95p-6, 0x1.1a876e16dc6efp-6, 0x1.167ca1b7b76f7p-6, 0x1.127d1e97f59b1p-6, 0x1.0e88d66338634p-6, 0x1.0a9fba82c4194p-6, 0x1.06c1bc1f68fep-6, 0x1.02eecc243f6dap-6, 0x1.fe4db682371fbp-7, 0x1.f6d3b3d869ecfp-7, 0x1.ef6f70c765956p-7, 0x1.e820cd5dba66dp-7, 0x1.e0e7a93e5cba6p-7, 0x1.d9c3e3a2ce0dap-7, 0x1.d2b55b5dce9fap-7, 0x1.cbbbeede9bcb1p-7, 0x1.c4d77c34ca97bp-7, 0x1.be07e1146fb48p-7, 0x1.b74cfada86c6p-7, 0x1.b0a6a690fcd24p-7, 0x1.aa14c0f2977cep-7, 0x1.a397266e87d2bp-7, 0x1.9d2db32cd8a17p-7, 0x1.96d843033d0dcp-7, 0x1.9096b194e6aebp-7, 0x1.8a68da3cc5fa8p-7, 0x1.844e980e99e61p-7, 0x1.7e47c5e39a7cdp-7, 0x1.78543e660ccebp-7, 0x1.7273dc01a1c5cp-7, 0x1.6ca678f1cdfd7p-7, 0x1.66ebef43b7bf9p-7, 0x1.614418d938d9ep-7, 0x1.5baecf6bdda31p-7, 0x1.562bec8fa071dp-7, 0x1.50bb49b5601ddp-7, 0x1.4b5cc02d2db07p-7, 0x1.461029288d6aep-7, 0x1.40d55dbcc3c28p-7, 0x1.3bac36e556b82p-7, 0x1.36948d86b3c6fp-7, 0x1.318e3a710204p-7, 0x1.2c99166307f22p-7, 0x1.27b4fa0ceaa1cp-7, 0x1.22e1be1323fc2p-7, 0x1.1e1f3b116cf3ep-7, 0x1.196d499c13cb4p-7, 0x1.14cbc243d104bp-7, 0x1.103a7d96fdfe4p-7, 0x1.0bb95423f265fp-7, 0x1.07481e7a475b4p-7, 0x1.02e6b53065ba9p-7, 0x1.fd29e1bc7c18fp-8, 0x1.f4a5544e3357dp-8, 0x1.ec3f736f0d026p-8, 0x1.e3f7f0915f5afp-8, 0x1.dbce7d4511c88p-8, 0x1.d3c2cb3bf7c2ep-8, 0x1.cbd48c4df3bbap-8, 0x1.c403727ced454p-8, 0x1.bc4f2ff88b8eap-8, 0x1.b4b77721dddaap-8, 0x1.ad3bfa8ec3caap-8, 0x1.a5dc6d0d25871p-8, 0x1.9e9881a6271f3p-8, 0x1.976feba12e976p-8, 0x1.90625e8708a5ep-8, 0x1.896f8e250fafbp-8, 0x1.82972e904c94cp-8, 0x1.7bd8f428b3e98p-8, 0x1.7534939c470a9p-8, 0x1.6ea9c1ea2ddf8p-8, 0x1.68383465ae46p-8, 0x1.61dfa0b91be3bp-8, 0x1.5b9fbce891ed3p-8, 0x1.55783f548f165p-8, 0x1.4f68debc61195p-8, 0x1.4971524060ab8p-8, 0x1.43915163f016p-8, 0x1.3dc8940f8d3a3p-8, 0x1.3816d292b32c1p-8, 0x1.327bc5a60ff62p-8, 0x1.2cf7266da7393p-8, 0x1.2788ae7b32b9p-8, 0x1.223017d0530ebp-8, 0x1.1ced1ce0b75a2p-8, 0x1.17bf7893e41e7p-8, 0x1.12a6e646b9f26p-8, 0x1.0da321cc851fcp-8, 0x1.08b3e770d99ccp-8, 0x1.03d8f3f803eb3p-8, 0x1.fe2409406f5c5p-9, 0x1.f4bdae489522cp-9, 0x1.eb7e537960f93p-9, 0x1.e2657643537b8p-9, 0x1.d9729519ce8e4p-9, 0x1.d0a52f75c42bp-9, 0x1.c7fcc5d758a5ep-9, 0x1.bf78d9c654f51p-9, 0x1.b718edd2072a6p-9, 0x1.aedc8590b4961p-9, 0x1.a6c3259fc1bf2p-9, 0x1.9ecc53a503082p-9, 0x1.96f7965146544p-9, 0x1.8f4475647e619p-9, 0x1.87b279b286227p-9, 0x1.80412d27a50a6p-9, 0x1.78f01acbcfa84p-9, 0x1.71becec3c3f07p-9, 0x1.6aacd64f8e5f7p-9, 0x1.63b9bfc44aa25p-9, 0x1.5ce51a8f4b6c7p-9, 0x1.562e7727c4081p-9, 0x1.4f95670d9e89bp-9, 0x1.49197cd059576p-9, 0x1.42ba4c0beb263p-9, 0x1.3c7769716a2f4p-9, 0x1.36506acee70b4p-9, 0x1.3044e716e088cp-9, 0x1.2a54766546a2fp-9, 0x1.247eb200518d4p-9, 0x1.1ec334546f1e7p-9, 0x1.192198ebeeec1p-9, 0x1.13997c63f066bp-9, 0x1.0e2a7c614a34ep-9, 0x1.08d43787b9e52p-9, 0x1.03964d761de88p-9, 0x1.fce0bd9146e98p-10, 0x1.f2c41a41cafb2p-10, 0x1.e8d5f664542b9p-10, 0x1.df15999e1ed7bp-10, 0x1.d5824dea3d2fbp-10, 0x1.cc1b5fa6dc0e6p-10, 0x1.c2e01d93875e5p-10, 0x1.b9cfd8c000d6ep-10, 0x1.b0e9e46ddc047p-10, 0x1.a82d95ea54d94p-10, 0x1.9f9a446851076p-10, 0x1.972f48e1ed65dp-10, 0x1.8eebfe09a726ep-10, 0x1.86cfc04e4dc76p-10, 0x1.7ed9edeb5c067p-10, 0x1.7709e70fbcb4ap-10, 0x1.6f5f0e04ee15cp-10, 0x1.67d8c754b2d78p-10, 0x1.607679e3b5a48p-10, 0x1.59378efa0e03p-10, 0x1.521b72367876cp-10, 0x1.4b21916dac72dp-10, 0x1.44495c7b52d8ep-10, 0x1.3d92450ce63b2p-10, 0x1.36fbbe705381cp-10, 0x1.30853d6fa29b9p-10, 0x1.2a2e383fb595ep-10, 0x1.23f62685a8767p-10, 0x1.1ddc817095e0fp-10, 0x1.17e0c3e340bd7p-10, 0x1.12026aa43cd3p-10, 0x1.0c40f48c3e818p-10, 0x1.069be2a7d668bp-10, 0x1.0112b847608adp-10, 0x1.f749f5efd751cp-11, 0x1.eca464cdc50c6p-11, 0x1.e233d069721e7p-11, 0x1.d7f74f7d0a9cp-11, 0x1.cdedfbcea43b3p-11, 0x1.c416f1d474924p-11, 0x1.ba7150776c345p-11, 0x1.b0fc38fbc7e66p-11, 0x1.a7b6cf109eb41p-11, 0x1.9ea03900bee9p-11, 0x1.95b79ffbcc26dp-11, 0x1.8cfc306a22959p-11, 0x1.846d1a3d3f0adp-11, 0x1.7c09912f6fdeap-11, 0x1.73d0cce71ce3dp-11, 0x1.6bc208f7b5dedp-11, 0x1.63dc84bd7315p-11, 0x1.5c1f831b63c78p-11, 0x1.548a4a4abe7d9p-11, 0x1.4d1c233bea0ap-11, 0x1.45d45995d34f3p-11, 0x1.3eb23b49af45bp-11, 0x1.37b518702d4a1p-11, 0x1.30dc432ff6786p-11, 0x1.2a270fb7283p-11, 0x1.2394d44f9e14p-11, 0x1.1d24e968baf23p-11, 0x1.16d6aa001fc36p-11, 0x1.10a97331d2756p-11, 0x1.0a9ca5b37956fp-11, 0x1.04afa4d56fe86p-11, 0x1.fdc3ae6b68967p-12, 0x1.f2654d6d9b17ep-12, 0x1.e74300cf4bfbap-12, 0x1.dc5ba8bd56055p-12, 0x1.d1ae2b071d49p-12, 0x1.c73972ac1d73fp-12, 0x1.bcfc6f743994ep-12, 0x1.b2f6157d95274p-12, 0x1.a9255ccb716d1p-12, 0x1.9f8940d311073p-12, 0x1.9620c00ebe698p-12, 0x1.8ceadbad9eb32p-12, 0x1.83e6977b184cp-12, 0x1.7b12fa10e0fcbp-12, 0x1.726f0d559ac98p-12, 0x1.69f9df316a4ccp-12, 0x1.61b2824f50dfep-12, 0x1.59980eba8b8f4p-12, 0x1.51a9a235a6916p-12, 0x1.49e66039c1071p-12, 0x1.424d71b0c6cdep-12, 0x1.3ade048405584p-12, 0x1.33974b24393bbp-12, 0x1.2c787c1c40e07p-12, 0x1.2580d1b098db8p-12, 0x1.1eaf897cf017ep-12, 0x1.1803e3fe38284p-12, 0x1.117d24045f509p-12, 0x1.0b1a8e1d1fbfbp-12, 0x1.04db681d46911p-12, 0x1.fd7df1efe8391p-13, 0x1.f189120ad981bp-13, 0x1.e5d6c57e944a6p-13, 0x1.da65a794839cap-13, 0x1.cf345c1f9c005p-13, 0x1.c441911f69edcp-13, 0x1.b98bff707ccd1p-13, 0x1.af126a61aab91p-13, 0x1.a4d39e7242d9ap-13, 0x1.9ace6fb8565b3p-13, 0x1.9101b878574b1p-13, 0x1.876c5843a9aa4p-13, 0x1.7e0d33ae28fcbp-13, 0x1.74e3345a7c68fp-13, 0x1.6bed4901666a4p-13, 0x1.632a651deadb5p-13, 0x1.5a998012f7e33p-13, 0x1.523993f54ecefp-13, 0x1.4a099c5c56d5bp-13, 0x1.420895bfec9bfp-13, 0x1.3a357dd0ab11p-13, 0x1.328f54e1aaf3cp-13, 0x1.2b152016b1896p-13, 0x1.23c5eba96f8b5p-13, 0x1.1ca0cc7dcd14cp-13, 0x1.15a4e0750af17p-13, 0x1.0ed14d694ed2ep-13, 0x1.08253f3fa46fap-13, 0x1.019fe5c5279edp-13, 0x1.f680e68d41023p-14, 0x1.ea0c3813f5592p-14, 0x1.dde02cc475eb2p-14, 0x1.d1fb3869b065bp-14, 0x1.c65bd77bb8248p-14, 0x1.bb0090b7f81d9p-14, 0x1.afe7f5031a1f5p-14, 0x1.a5109e0592aeep-14, 0x1.9a792bc087f97p-14, 0x1.902041efdf356p-14, 0x1.86048645a033ep-14, 0x1.7c24a02f09058p-14, 0x1.727f3a6b66624p-14, 0x1.69130611c5a23p-14, 0x1.5fdebe036bbe9p-14, 0x1.56e12970eb744p-14, 0x1.4e191c52247f8p-14, 0x1.45857576adc92p-14, 0x1.3d251ae5a83d7p-14, 0x1.34f6f61639ca4p-14, 0x1.2cf9f18a8ff67p-14, 0x1.252cf89eba728p-14, 0x1.1d8ef93534ccfp-14, 0x1.161ee62409337p-14, 0x1.0edbb92d4a08p-14, 0x1.07c473e3fd0f1p-14, 0x1.00d81f8aae3cap-14, 0x1.f42b98b4d8da6p-15, 0x1.e6f92159210cfp-15, 0x1.da17107403a8ep-15, 0x1.cd83a6d76b2c6p-15, 0x1.c13d2d25b8cf1p-15, 0x1.b541f20487b14p-15, 0x1.a990489431e9ap-15, 0x1.9e268825db068p-15, 0x1.93030df28afbcp-15, 0x1.8824404dd15c7p-15, 0x1.7d8891dfef665p-15, 0x1.732e836037864p-15, 0x1.6914a11b4fabbp-15, 0x1.5f397e0a7d063p-15, 0x1.559baff900dc1p-15, 0x1.4c39ce97dc674p-15, 0x1.431276629a026p-15, 0x1.3a244d57209e7p-15, 0x1.316e06200c2b6p-15, 0x1.28ee5f803503fp-15, 0x1.20a420a743b5p-15, 0x1.188e1526a7873p-15, 0x1.10ab0b370de7ap-15, 0x1.08f9d540d28bbp-15, 0x1.01794d8a8f76ep-15, 0x1.f450b399a3406p-16, 0x1.e60bd8e9a18f5p-16, 0x1.d8220519d492bp-16, 0x1.ca913dd7c91d8p-16, 0x1.bd57896541377p-16, 0x1.b072e73bacd46p-16, 0x1.a3e14fe0d0f5cp-16, 0x1.97a0bc2079d29p-16, 0x1.8baf2ff6b22dcp-16, 0x1.800ac3782b4ep-16, 0x1.74b1a52d33e28p-16, 0x1.69a2158069a26p-16, 0x1.5eda5f3dcfda4p-16, 0x1.5458d2fdfb9acp-16, 0x1.4a1bc8ea9945cp-16, 0x1.4021a71430a2bp-16, 0x1.3668e61c52413p-16, 0x1.2cf00ece8f784p-16, 0x1.23b5b96779d2dp-16, 0x1.1ab865a04cfdbp-16, 0x1.11f69865d781bp-16, 0x1.096eedfe4e408p-16, 0x1.011ff091566d9p-16, 0x1.f2108d56a0bcdp-17, 0x1.e24d59266e294p-17, 0x1.d2f3e38f27405p-17, 0x1.c401e5159d864p-17, 0x1.b5751c69e5288p-17, 0x1.a74b482df3ebcp-17, 0x1.99821a6550fc6p-17, 0x1.8c173605f5453p-17, 0x1.7f0832eac01c5p-17, 0x1.7252aa2a12333p-17, 0x1.65f446c24680cp-17, 0x1.59ead34a1681bp-17, 0x1.4e343d5d6cf9fp-17, 0x1.42ce909fe6a7ep-17, 0x1.37b7e80d72ea5p-17, 0x1.2cee620df6f39p-17, 0x1.22701bcacd642p-17, 0x1.183b37843eda1p-17, 0x1.0e4de6f3d935p-17, 0x1.04a66dc909a7p-17, 0x1.f686313b308d5p-18, 0x1.e44465d3e2308p-18, 0x1.d2841110739a4p-18, 0x1.c141e4ec14272p-18, 0x1.b07ac545b54bcp-18, 0x1.a02bc9683c76cp-18, 0x1.905229d5d9ffdp-18, 0x1.80eb2c847cf76p-18, 0x1.71f41e397906dp-18, 0x1.636a57f6b733p-18, 0x1.554b44b3e957ep-18, 0x1.47945e420f60fp-18, 0x1.3a43226966975p-18, 0x1.2d5507b35f45fp-18, 0x1.20c7797f74129p-18, 0x1.1497df023d24ap-18, 0x1.08c3abd02daddp-18, 0x1.fa90e6a9139cap-19, 0x1.e447ed5d2c289p-19, 0x1.cea84d12920bdp-19, 0x1.b9ae2c6481e64p-19, 0x1.a555c43de816ep-19, 0x1.919b29d3b430ep-19, 0x1.7e7a3980d2871p-19, 0x1.6beebffe62297p-19, 0x1.59f4aa5970b05p-19, 0x1.488824009804dp-19, 0x1.37a575b72a136p-19, 0x1.2748f317579a8p-19, 0x1.176f161318758p-19, 0x1.0814a0bf696f5p-19, 0x1.f26d189fd535bp-20, 0x1.d5a3a508ab679p-20, 0x1.b9c6980594f2p-20, 0x1.9ecf7f2911d66p-20, 0x1.84b80f53de407p-20, 0x1.6b7a52e3170ccp-20, 0x1.5310a261751bbp-20, 0x1.3b7589b0078b6p-20, 0x1.24a3b80ecd741p-20, 0x1.0e95f8445a53ap-20, 0x1.f28e46cc706e9p-21, 0x1.c96423ab036fdp-21, 0x1.a1a3349e5b3afp-21, 0x1.7b4146646da78p-21, 0x1.56348da5fa1acp-21, 0x1.3273e41cfb9dfp-21, 0x1.0ff6d9d6f0464p-21, 0x1.dd6b2671547aep-22, 0x1.9d50ea0b69ac2p-22, 0x1.5f8f5fd22c555p-22, 0x1.2415c6d5da3c9p-22, 0x1.d5a4d2199b741p-23, 0x1.6767aa6e0aff3p-23, 0x1.faa819b8faad2p-24, 0x1.2e99512de7e81p-24, 0x1.a9ab56de949ffp-26, -0x1.48657d4689ebbp-26, -0x1.0725669a5ff66p-24, -0x1.b4e8d8068f84dp-24, -0x1.2dcac9cbbeadep-23, -0x1.7db106ccba843p-23, -0x1.ca428b4cc9f1fp-23, -0x1.09ccad761dd65p-22, -0x1.2ce6be441763p-22, -0x1.4e7adfd46c5f4p-22, -0x1.6e94606d24f9p-22, -0x1.8d3e46f83347fp-22, -0x1.aa8324b62b3f7p-22, -0x1.c66d10c520debp-22, -0x1.e105c67e6223dp-22, -0x1.fa56d2e25cea2p-22, -0x1.0934de04279bp-21, -0x1.14a40621cc623p-21, -0x1.1f7d9ca8f7793p-21, -0x1.29c63cf79b777p-21, -0x1.33825525dbce5p-21, -0x1.3cb62577a17c6p-21, -0x1.4565c4602ab29p-21, -0x1.4d9520fc7f696p-21, -0x1.554810a068003p-21, -0x1.5c82774699568p-21, -0x1.63487076e7826p-21, -0x1.699e31d34c5cp-21, -0x1.6f87aa842c731p-21, -0x1.75083eca5f93ap-21, -0x1.7a22e5135a00dp-21, -0x1.7eda886d562acp-21, -0x1.83323b0b5d2d2p-21, -0x1.872d07bc08fd6p-21, -0x1.8acdf3516e368p-21, -0x1.8e182d337febdp-21, -0x1.910edabbdc947p-21, -0x1.93b4c6ec9e0b5p-21, -0x1.960c896e82162p-21, -0x1.9818cde7d38c2p-21, -0x1.99dc507f07737p-21, -0x1.9b59a5b44e09ep-21, -0x1.9c947ea6dc916p-21, -0x1.9d8c40b64c3fp-21, -0x1.9e46271eb7e68p-21, -0x1.9ec38f98ec884p-21, -0x1.9f069c43b9a03p-21, -0x1.9f11627e73ee9p-21, -0x1.9ee5ee762b41cp-21, -0x1.9e8646cf4ea4fp-21, -0x1.9df46ca67eaaep-21, -0x1.9d3259b5f6901p-21, -0x1.9c41ff7dcbe89p-21, -0x1.9b254640f92dfp-21, -0x1.99de07ea81d4ap-21, -0x1.986e064b90fdep-21, -0x1.96d6e3f0eb6efp-21, -0x1.951a2c6647b88p-21, -0x1.933970682d0e8p-21, -0x1.91365eaac0dddp-21, -0x1.8f12bceb818a2p-21, -0x1.8ccff870e3f9ap-21, -0x1.8a6f451b43815p-21, -0x1.87f1d2844810bp-21, -0x1.8559108767d73p-21, -0x1.82a68b62841fcp-21, -0x1.7fdb965c88ab6p-21, -0x1.7cf97e325f77p-21, -0x1.7a018b627607dp-21, -0x1.76f4d1464a8bdp-21, -0x1.73d464ec7ae7cp-21, -0x1.70a1740a3b46fp-21, -0x1.6d5d214fb3e02p-21, -0x1.6a08788edca06p-21, -0x1.66a47808ac34p-21, -0x1.633215b1d392ep-21, -0x1.5fb241edc98e3p-21, -0x1.5c25eab91f0fp-21, -0x1.588df77d2ea7fp-21, -0x1.54eb46229a8b7p-21, -0x1.513eac0b56bf6p-21, -0x1.4d88f78af83c8p-21, -0x1.49caf0b9e891cp-21, -0x1.46055a9cfde5p-21, -0x1.4238f4ad8dc25p-21, -0x1.3e667bc2f9503p-21, -0x1.3a8eaab97bad5p-21, -0x1.36b241dc75f71p-21, -0x1.32d1d842113p-21, -0x1.2eee2b4869fc6p-21, -0x1.2b07d2c1e9423p-21, -0x1.271f5ae07c043p-21, -0x1.23354a5076e25p-21, -0x1.1f4a2d63957efp-21, -0x1.1b5e98ba8f04ap-21, -0x1.177317f77d73dp-21, -0x1.138823b63d086p-21, -0x1.0f9e283519286p-21, -0x1.0bb592d97c2bep-21, -0x1.07cef0125fdbap-21, -0x1.03eac9e50099cp-21, -0x1.0009886b8bea4p-21, -0x1.f857160aedcf2p-22, }}, 
      {{-0x1.3d9736ae99e7bp-14, -0x1.03d892c90f988p-12, -0x1.9ba7396606b77p-12, -0x1.85ec6ad81fb38p-12, -0x1.081604ba6517ap-14, 0x1.49031f5ea4222p-11, 0x1.cd44fcffefa79p-10, 0x1.b87f645fbc5a5p-9, 0x1.63d80e1e466a3p-8, 0x1.043c7dd224c51p-7, 0x1.63a6168dba4cep-7, 0x1.ce4daf2869841p-7, 0x1.210737ed6becdp-6, 0x1.5e4d54a6a8122p-6, 0x1.9dcb8e407cfc3p-6, 0x1.de58629b58aacp-6, 0x1.0f6b6f09b951bp-5, 0x1.2f1e6f65f4e7bp-5, 0x1.4dcbbc9b483e5p-5, 0x1.6b06e1b6bfae8p-5, 0x1.8671255c8ac84p-5, 0x1.9fb9ba442a349p-5, 0x1.b69d8440b64b7p-5, 0x1.cae68d4414d56p-5, 0x1.dc6b4194de921p-5, 0x1.eb0d86443ddcep-5, 0x1.f6b9b9a620664p-5, 0x1.ff65a9b57b99bp-5, 0x1.0287c57499a75p-4, 0x1.03de7adf7e093p-4, 0x1.03bcf82028d1dp-4, 0x1.022c03c477a8dp-4, 0x1.fe6d79d0d7cecp-5, 0x1.f5d472f4d2c39p-5, 0x1.eaaa5b3a16eadp-5, 0x1.dd0f3772baa36p-5, 0x1.cd251a0f575f1p-5, 0x1.bb0fa3adf9b3cp-5, 0x1.a6f391dde0984p-5, 0x1.90f65ac571d1dp-5, 0x1.793dd465d5cap-5, 0x1.5fefe667cde19p-5, 0x1.453245618c44ap-5, 0x1.292a36d4c3138p-5, 0x1.0bfc5d1729c2cp-5, 0x1.db9914ed50925p-6, 0x1.9d7b35f7ad56ap-6, 0x1.5de2a8613daedp-6, 0x1.1d1094b132bdep-6, 0x1.b6872aa22772bp-7, 0x1.316f2846ef691p-7, 0x1.5696c09169a8dp-8, 0x1.2442a5d3044a2p-10, -0x1.89cd366603c06p-9, -0x1.d28d76821fa3dp-8, -0x1.6f970c501be61p-7, -0x1.f50f33602aa87p-7, -0x1.3caff62c1e74bp-6, -0x1.7e1fd3e43d9a8p-6, -0x1.beb5356188abep-6, -0x1.fe50d6b1fdefdp-6, -0x1.1e6b0c064cde5p-5, -0x1.3d15719b51b6bp-5, -0x1.5b1bcbff164edp-5, -0x1.78737758ee895p-5, -0x1.9512f28146fddp-5, -0x1.b0f1ce9a5fdf2p-5, -0x1.cc08a4fe77286p-5, -0x1.e651019c36ec5p-5, -0x1.ffc55be2a7171p-5, -0x1.0c3081a08ea13p-4, -0x1.18100b957a3edp-4, -0x1.237fbc895b9e5p-4, -0x1.2e7e6135b5c4dp-4, -0x1.390b1a5e6c931p-4, -0x1.432557fc3fc2bp-4, -0x1.4cccd1cbe8135p-4, -0x1.560182b50e378p-4, -0x1.5ec3a38a55cfdp-4, -0x1.6713a78aea0c8p-4, -0x1.6ef23800c650fp-4, -0x1.76603108d1429p-4, -0x1.7d5e9d8abd95cp-4, -0x1.83eeb37bde4cep-4, -0x1.8a11d00f15d1cp-4, -0x1.8fc9742d2146cp-4, -0x1.9517411b31fd3p-4, -0x1.99fcf5a2b949p-4, -0x1.9e7c6b69b61ffp-4, -0x1.a2979498cb7edp-4, -0x1.a650799f34e5bp-4, -0x1.a9a937160054ap-4, -0x1.aca3fb81cef37p-4, -0x1.af43053f2b9acp-4, -0x1.b188a03e26be1p-4, -0x1.b37723e8fe14fp-4, -0x1.b510f10893133p-4, -0x1.b6586fbb8623dp-4, -0x1.b7500da49acd8p-4, -0x1.b7fa3c22f30b1p-4, -0x1.b8596edac1544p-4, -0x1.b8701a2dfb30ep-4, -0x1.b840b1fc7ca1fp-4, -0x1.b7cda8733d821p-4, -0x1.b7196cf2b8434p-4, -0x1.b6266b0f5ddecp-4, -0x1.b4f7099d9541dp-4, -0x1.b38da9cde2a6dp-4, -0x1.b1eca657b595fp-4, -0x1.b01652ae5f057p-4, -0x1.ae0cfa49eaa82p-4, -0x1.abd2dfee590eap-4, -0x1.a96a3d16df9b7p-4, -0x1.a6d5416209a5bp-4, -0x1.a416121313d4fp-4, -0x1.a12ec99ee10d4p-4, -0x1.9e21776056b73p-4, -0x1.9af01f2bffa15p-4, -0x1.979cb92c68578p-4, -0x1.9429319f6e9f8p-4, -0x1.909768b8b3402p-4, -0x1.8ce932849b28p-4, -0x1.892056d38ab7ep-4, -0x1.853e913cc300bp-4, -0x1.8145910b0fb88p-4, -0x1.7d36f9566f457p-4, -0x1.7914610cd2edep-4, -0x1.74df52e90956p-4, -0x1.70994db078dacp-4, -0x1.6c43c431f99b1p-4, -0x1.67e01d63da9d1p-4, -0x1.636fb4989979bp-4, -0x1.5ef3d99a25e2dp-4, -0x1.5a6dd0c1a4229p-4, -0x1.55ded34a16389p-4, -0x1.51480f631dd02p-4, -0x1.4caaa85d79f6p-4, -0x1.4807b6f91df9ep-4, -0x1.4360498f31992p-4, -0x1.3eb5642bdedcdp-4, -0x1.3a0800eeee9ap-4, -0x1.3559103626614p-4, -0x1.30a978b2d8921p-4, -0x1.2bfa17babb466p-4, -0x1.274bc194a7466p-4, -0x1.229f416b3c773p-4, -0x1.1df559a949e43p-4, -0x1.194ec4304e758p-4, -0x1.14ac327e0f299p-4, -0x1.100e4db44acffp-4, -0x1.0b75b70aaecefp-4, -0x1.06e307e87851cp-4, -0x1.0256d1e5746d4p-4, -0x1.fba33e2c699b2p-5, -0x1.f2a7e4b902f3bp-5, -0x1.e9bc8ecb50798p-5, -0x1.e0e22577409ecp-5, -0x1.d819845653d7p-5, -0x1.cf6379f2943c2p-5, -0x1.c6c0c79e3d2f8p-5, -0x1.be3221c1f0501p-5, -0x1.b5b830bc3ca35p-5, -0x1.ad539124a0b92p-5, -0x1.a504d38c99a32p-5, -0x1.9ccc7ceafe85ep-5, -0x1.94ab0774e9a11p-5, -0x1.8ca0e2e5ec6bbp-5, -0x1.84ae74331c8d7p-5, -0x1.7cd415d2374cbp-5, -0x1.751218a74194p-5, -0x1.6d68c46e3e5b6p-5, -0x1.65d85767c4e8ep-5, -0x1.5e61065f6a84ap-5, -0x1.5702fd8906d93p-5, -0x1.4fbe6136a55fdp-5, -0x1.48934dadf7978p-5, -0x1.4181d6da1df21p-5, -0x1.3a8a08d4bc5e6p-5, -0x1.33abe8df72d86p-5, -0x1.2ce775adca60fp-5, -0x1.263ca709f9417p-5, -0x1.1fab6da214ca1p-5, -0x1.1933b3fdcd37ep-5, -0x1.12d55f4f92782p-5, -0x1.0c904f7b3aba9p-5, -0x1.06645e991f1bbp-5, -0x1.005161129ea4p-5, -0x1.f4ae4d152825bp-6, -0x1.e8eaf5700f3p-6, -0x1.dd584a6bf8095p-6, -0x1.d1f5d22af25fbp-6, -0x1.c6c309e1e310cp-6, -0x1.bbbf67b4736bcp-6, -0x1.b0ea5c48d7403p-6, -0x1.a64352abc1242p-6, -0x1.9bc9af4828804p-6, -0x1.917ccfdb1ad15p-6, -0x1.875c0cfdc3d84p-6, -0x1.7d66bbd4dcdd7p-6, -0x1.739c2e5dcf91p-6, -0x1.69fbb28ecfe2cp-6, -0x1.608491bec4fbcp-6, -0x1.573611b23c21ap-6, -0x1.4e0f7629b39e8p-6, -0x1.451001cef9ae1p-6, -0x1.3c36f5d351ec8p-6, -0x1.3383911ae8b45p-6, -0x1.2af51048540d5p-6, -0x1.228aaee6c5181p-6, -0x1.1a43a8c02667p-6, -0x1.121f3a480cf39p-6, -0x1.0a1ca01033c2ap-6, -0x1.023b1628b33e8p-6, -0x1.f4f3b0ab00c2cp-7, -0x1.e5b0463e1e7c2p-7, -0x1.d6aa69c0065dcp-7, -0x1.c7e09c14bbe31p-7, -0x1.b951615b8143dp-7, -0x1.aafb3fe17d1efp-7, -0x1.9cdcc05f2173p-7, -0x1.8ef46f97707e8p-7, -0x1.8140e0143a7dcp-7, -0x1.73c0aabf6bb99p-7, -0x1.66726e50720fbp-7, -0x1.5954ce5e6e223p-7, -0x1.4c6673375219ep-7, -0x1.3fa60ad30e348p-7, -0x1.33124a014afd7p-7, -0x1.26a9ed703f0d6p-7, -0x1.1a6bb96dacb1dp-7, -0x1.0e56795060398p-7, -0x1.0268ff0865f85p-7, -0x1.ed44466fa6dc3p-8, -0x1.d6018bc81d80dp-8, -0x1.bf079e702cbeep-8, -0x1.a8545fd61f33ep-8, -0x1.91e5c261d2d8fp-8, -0x1.7bb9c8b48df0ep-8, -0x1.65ce84d21c2p-8, -0x1.502217e1da026p-8, -0x1.3ab2b2b835decp-8, -0x1.257e96e3d287ep-8, -0x1.1084177ce422cp-8, -0x1.f78332db246c6p-9, -0x1.ce6b25c580d93p-9, -0x1.a5bd143341d29p-9, -0x1.7d7628fe21f26p-9, -0x1.5593acf9ffc19p-9, -0x1.2e1308b83df36p-9, -0x1.06f1c6ab422c4p-9, -0x1.c05b28bdadb99p-10, -0x1.7388833db9159p-10, -0x1.27677b5d1a967p-10, -0x1.b7e850d4d03f2p-11, -0x1.2255af85f3191p-11, -0x1.1c203b6c34a1ap-12, 0x1.3bb810d14ce76p-17, 0x1.2d5a8aeb763acp-12, 0x1.27308d53bace3p-11, 0x1.b67dbbd09b441p-11, 0x1.224cb7c1b9b7ep-10, 0x1.68c3f41986a6ep-10, 0x1.aea684ed004dbp-10, 0x1.f3f62a6205b27p-10, 0x1.1c5a374d951a8p-9, 0x1.3e71520a23ee7p-9, 0x1.6040f4335a614p-9, 0x1.81c9955179392p-9, 0x1.a30b98fde2dcbp-9, 0x1.c40750d02ad5ep-9, 0x1.e4bcfc0b39ddep-9, 0x1.029662e285a5bp-8, 0x1.12ab619b6912cp-8, 0x1.229d79d10870fp-8, 0x1.326ca113d29bbp-8, 0x1.4218c46dbbd4ep-8, 0x1.51a1c9dcea98ap-8, 0x1.6107912180304p-8, 0x1.7049f39eca9cfp-8, 0x1.7f68c3990f628p-8, 0x1.8e63cb7d05d64p-8, 0x1.9d3acdd2781a5p-8, 0x1.abed860cb32cp-8, 0x1.ba7ba9ebfb3e3p-8, 0x1.c8e4eae00dbb3p-8, 0x1.d728f6e66d98ap-8, 0x1.e54778a3549a8p-8, 0x1.f34016e221788p-8, 0x1.008939e7892a3p-7, 0x1.075f16584dba4p-7, 0x1.0e216d24db40ep-7, 0x1.14d008fbf8a7ap-7, 0x1.1b6ab38c19496p-7, 0x1.21f13614bf1dap-7, 0x1.286359a93ffe1p-7, 0x1.2ec0e716a4f5ep-7, 0x1.3509a6864535ep-7, 0x1.3b3d5f36bf5bap-7, 0x1.415bd7322eac8p-7, 0x1.4764d3a97346ep-7, 0x1.4d58197a7e0cep-7, 0x1.53356debd55bp-7, 0x1.58fc974738602p-7, 0x1.5ead5d21cad9fp-7, 0x1.6447883aff7ffp-7, 0x1.69cae2109551dp-7, 0x1.6f37345c87ea8p-7, 0x1.748c48c1f2cebp-7, 0x1.79c9e8da72f9ap-7, 0x1.7eefdeb10e235p-7, 0x1.83fdf58651713p-7, 0x1.88f3fa998058ap-7, 0x1.8dd1bdac3dd76p-7, 0x1.92971112458b3p-7, 0x1.9743c952501c4p-7, 0x1.9bd7bc76c3757p-7, 0x1.a052c1687f279p-7, 0x1.a4b4af98a8c57p-7, 0x1.a8fd5f1f84abep-7, 0x1.ad2ca95412977p-7, 0x1.b14269ac4404ep-7, 0x1.b53e7e9683338p-7, 0x1.b920c9fe1d2d6p-7, 0x1.bce9314af7301p-7, 0x1.c0979ce049a8fp-7, 0x1.c42bf74dab952p-7, 0x1.c7a62c8242c0bp-7, 0x1.cb06295401615p-7, 0x1.ce4bdb823cf5dp-7, 0x1.d177323fb1039p-7, 0x1.d4881f0c98768p-7, 0x1.d77e969dd2b53p-7, 0x1.da5a917d5a15dp-7, 0x1.dd1c0c2e25cep-7, 0x1.dfc306c9f8d31p-7, 0x1.e24f843ca5891p-7, 0x1.e4c18962d5d55p-7, 0x1.e7191c5a4c28ap-7, 0x1.e956443beea6dp-7, 0x1.eb7909539569fp-7, 0x1.ed8175bf0391ap-7, 0x1.ef6f963c27beap-7, 0x1.f1437ae4aa137p-7, 0x1.f2fd37a54bf12p-7, 0x1.f49ce41dc03bp-7, 0x1.f6229b4ed3bfcp-7, 0x1.f78e7ad16e30dp-7, 0x1.f8e0a219178d4p-7, 0x1.fa1931e01b609p-7, 0x1.fb384be924764p-7, 0x1.fc3e1322f5f97p-7, 0x1.fd2aac15b1d8ap-7, 0x1.fdfe3d781126p-7, 0x1.feb8f0ba4261dp-7, 0x1.ff5af25c21566p-7, 0x1.ffe471f9332bep-7, 0x1.002ad1042035ap-6, 0x1.00575bb209679p-6, 0x1.0077f4603f866p-6, 0x1.008cb7185fec1p-6, 0x1.0095c06ddda6bp-6, 0x1.00932d74f9271p-6, 0x1.00851bd4171d3p-6, 0x1.006ba9e653734p-6, 0x1.0046f6e2f2837p-6, 0x1.001722fd773d3p-6, 0x1.ffb89eeac2527p-7, 0x1.ff2d3d21edda1p-7, 0x1.fe8c67181e321p-7, 0x1.fdd664cf2eabp-7, 0x1.fd0b7f9a77ebap-7, 0x1.fc2c01dd4da97p-7, 0x1.fb3836d5f0158p-7, 0x1.fa306a845f7dcp-7, 0x1.f914e9c10f5a4p-7, 0x1.f7e6024771a53p-7, 0x1.f6a402cfd8c6dp-7, 0x1.f54f3b2321c3ap-7, 0x1.f3e7fc22040b1p-7, 0x1.f26e97bd1b96ep-7, 0x1.f0e360dde16c8p-7, 0x1.ef46ab451cffap-7, 0x1.ed98cb651715cp-7, 0x1.ebda163e7b76dp-7, 0x1.ea0ae1451459p-7, 0x1.e82b824e91124p-7, 0x1.e63c4f8a1ccfcp-7, 0x1.e43d9f7d78e66p-7, 0x1.e22fc903ccd43p-7, 0x1.e013234b6f14ap-7, 0x1.dde805d0b1bfep-7, 0x1.dbaec852cbde5p-7, 0x1.d967c2c907b16p-7, 0x1.d7134d518d9ecp-7, 0x1.d4b1c01f19d9bp-7, 0x1.d243736469fdep-7, 0x1.cfc8bf513f72cp-7, 0x1.cd41fbe8d9841p-7, 0x1.caaf810ff8c87p-7, 0x1.c811a678146ffp-7, 0x1.c568c398a97dap-7, 0x1.c2b52fa7951f3p-7, 0x1.bff74190c789fp-7, 0x1.bd2f4fed8d4a5p-7, 0x1.ba5db0fbd893bp-7, 0x1.b782ba95efe47p-7, 0x1.b49ec22a0fffep-7, 0x1.b1b21cb19a802p-7, 0x1.aebd1ea733607p-7, 0x1.abc01bfbd5f14p-7, 0x1.a8bb680b6df32p-7, 0x1.a5af5591bcb0dp-7, 0x1.a29c36a0a4fb1p-7, 0x1.9f825c98310edp-7, 0x1.9c6218204e2cdp-7, 0x1.993bb92428c6cp-7, 0x1.960f8ecdf7dacp-7, 0x1.92dde78323cap-7, 0x1.8fa710e00aaaep-7, 0x1.8c6b57b2ca17dp-7, 0x1.892b07f53e553p-7, 0x1.85e66cc5cea7fp-7, 0x1.829dd05fa8b66p-7, 0x1.7f517c12cc1p-7, 0x1.7c01b83d26bc4p-7, 0x1.78aecc4530983p-7, 0x1.7558fe96c218fp-7, 0x1.720094a1a9314p-7, 0x1.6ea5d2d92ee0bp-7, 0x1.6b48fcb3062b7p-7, 0x1.67ea54a4c07d6p-7, 0x1.648a1c1f01062p-7, 0x1.6128938717f2dp-7, 0x1.5dc5fa3021cd5p-7, 0x1.5a628e5624546p-7, 0x1.56fe8d1ad2f26p-7, 0x1.539a3285fb1b7p-7, 0x1.5035b989c1638p-7, 0x1.4cd15c06b18bp-7, 0x1.496d52cf9be17p-7, 0x1.4609d5aa70ae6p-7, 0x1.42a71b4d0cad7p-7, 0x1.3f45595616d8dp-7, 0x1.3be4c44391eb6p-7, 0x1.38858f69c05b3p-7, 0x1.3527ecece111dp-7, 0x1.31cc0dc085452p-7, 0x1.2e7221ad228f5p-7, 0x1.2b1a575ad235fp-7, 0x1.27c4dc5ef5d86p-7, 0x1.2471dd489ca52p-7, 0x1.212185a7f537fp-7, 0x1.1dd4000e19cf1p-7, 0x1.1a89760495d74p-7, 0x1.17420ffee5b01p-7, 0x1.13fdf54816858p-7, 0x1.10bd4bfadfc5fp-7, 0x1.0d8038f6424a3p-7, 0x1.0a46dfe442ae2p-7, 0x1.071163500a479p-7, 0x1.03dfe4b9292f2p-7, 0x1.00b284aea96e6p-7, 0x1.fb12c5c5486b8p-8, 0x1.f4c93c6470e33p-8, 0x1.ee88a93dfe56bp-8, 0x1.e8514676c80fep-8, 0x1.e2234c1e04885p-8, 0x1.dbfeeff6bd704p-8, 0x1.d5e465534374p-8, 0x1.cfd3dd10c1943p-8, 0x1.c9cd85b8143dfp-8, 0x1.c3d18bbfff275p-8, 0x1.bde019e1591p-8, 0x1.b7f95968be30ep-8, 0x1.b21d726f65adp-8, 0x1.ac4c8beaa9675p-8, 0x1.a686cb8b626c9p-8, 0x1.a0cc55742092dp-8, 0x1.9b1d4bd85a0a1p-8, 0x1.9579ce9f757edp-8, 0x1.8fe1fb27dddadp-8, 0x1.8a55ec3fed925p-8, 0x1.84d5ba5ed5405p-8, 0x1.7f617c15ef472p-8, 0x1.79f946a487bd2p-8, 0x1.749d2e8e784ep-8, 0x1.6f4d4808a82ep-8, 0x1.6a09a7219daf2p-8, 0x1.64d25f9c97ac1p-8, 0x1.5fa7847317f83p-8, 0x1.5a892721c1785p-8, 0x1.557756e581a4dp-8, 0x1.507220190c00ap-8, 0x1.4b798bdfdced6p-8, 0x1.468da03e5279ep-8, 0x1.41ae60a63abc5p-8, 0x1.3cdbcee538f2p-8, 0x1.3815ec47e087bp-8, 0x1.335cbab2f305ap-8, 0x1.2eb03d70457c4p-8, 0x1.2a1079786525bp-8, 0x1.257d751cbb045p-8, 0x1.20f73717bb18ap-8, 0x1.1c7dc52cafc8ap-8, 0x1.1811229aa5b7fp-8, 0x1.13b14eb4489f3p-8, 0x1.0f5e43ec30e73p-8, 0x1.0b17f7930796dp-8, 0x1.06de5a68aab5ep-8, 0x1.02b159f9701bdp-8, 0x1.fd21c52f968cdp-9, 0x1.f4f9c338eb3b6p-9, 0x1.ecea8efc9ee42p-9, 0x1.e4f4129f4fd0cp-9, 0x1.dd16428cb607dp-9, 0x1.d5511c43e033cp-9, 0x1.cda4a300706d4p-9, 0x1.c610dad4a8274p-9, 0x1.be95c31b286b4p-9, 0x1.b73351471d781p-9, 0x1.afe96d025bf44p-9, 0x1.a8b7ee500d531p-9, 0x1.a19e9e16fa108p-9, 0x1.9a9d3921dfd7dp-9, 0x1.93b37561e6a4dp-9, 0x1.8ce10861ee85cp-9, 0x1.8625ae9cc3aa3p-9, 0x1.7f8131af39cdfp-9, 0x1.78f36c98a3802p-9, 0x1.727c4cd41e224p-9, 0x1.6c1bcfde895c7p-9, 0x1.65d1fd752363p-9, 0x1.5f9edf9be1f6p-9, 0x1.598279d8e5ac4p-9, 0x1.537cc17ba2c55p-9, 0x1.4d8d97aab855p-9, 0x1.47b4c6dc9d3f2p-9, 0x1.41f20315684bfp-9, 0x1.3c44ed3351c49p-9, 0x1.36ad18b6b7e89p-9, 0x1.312a137c67673p-9, 0x1.2bbb6eadc630fp-9, 0x1.2660c7e758286p-9, 0x1.2119d1416b155p-9, 0x1.1be656b220dcap-9, 0x1.16c63f762f712p-9, 0x1.11b98aced88b5p-9, 0x1.0cc048668101ap-9, 0x1.07da8dc23a31p-9, 0x1.03086aec63736p-9, 0x1.fc93c159742ecp-10, 0x1.f33db433485fp-10, 0x1.ea0e54895dd11p-10, 0x1.e1051b4e8f74bp-10, 0x1.d8215c5f35414p-10, 0x1.cf625151a8b08p-10, 0x1.c6c7253bf0032p-10, 0x1.be4f00e7e4206p-10, 0x1.b5f917b202214p-10, 0x1.adc4b5132d361p-10, 0x1.a5b149b05f32p-10, 0x1.9dbe7568babc6p-10, 0x1.95ec0b1c4f41bp-10, 0x1.8e3a0b771a32fp-10, 0x1.86a89603fb8ep-10, 0x1.7f37d29d1dd76p-10, 0x1.77e7d80096f88p-10, 0x1.70b895b2f4b48p-10, 0x1.69a9c6c0ec72cp-10, 0x1.62baf0473a089p-10, 0x1.5beb6adf93b35p-10, 0x1.553a7296e1723p-10, 0x1.4ea73770cb6c3p-10, 0x1.4830e96fecb11p-10, 0x1.41d6be31288a9p-10, 0x1.3b97f1da5eb3dp-10, 0x1.3573c78b7f5c9p-10, 0x1.2f698d794b494p-10, 0x1.2978a67cffa75p-10, 0x1.23a0977038d01p-10, 0x1.1de113a9e2ed1p-10, 0x1.183a02f850cc7p-10, 0x1.12ab7cc1d9e51p-10, 0x1.0d35b7230ac7ep-10, 0x1.07d8ed68d6355p-10, 0x1.029544bfce52fp-10, 0x1.fad56ec9f0198p-11, 0x1.f0b219e4a94e7p-11, 0x1.e6bfc3ecdb814p-11, 0x1.dcfd76c1f0e2bp-11, 0x1.d36a3b458514cp-11, 0x1.ca053b9958832p-11, 0x1.c0cdcb107ca8p-11, 0x1.b7c3515c12977p-11, 0x1.aee523dfad291p-11, 0x1.a632608b60caep-11, 0x1.9da9dd2282521p-11, 0x1.954a345ace303p-11, 0x1.8d11ed52453ebp-11, 0x1.84ffb036131b2p-11, 0x1.7d127447e9f31p-11, 0x1.7549977db3432p-11, 0x1.6da4d67bed364p-11, 0x1.662427464ef81p-11, 0x1.5ec7839c8fe43p-11, 0x1.578eb617f0498p-11, 0x1.50793bf3e9e72p-11, 0x1.498645c17ea35p-11, 0x1.42b4d68a79356p-11, 0x1.3c03f6a78e3c2p-11, 0x1.3572e84ab16efp-11, 0x1.2f0149666c63dp-11, 0x1.28af132c1e095p-11, 0x1.227c735b98569p-11, 0x1.1c698be7608eap-11, 0x1.16763284a2cfap-11, 0x1.10a1cb7f5d6ap-11, 0x1.0aeb4f2b2aea1p-11, 0x1.055175e6ed3a7p-11, 0x1.ffa5ee7d0330ap-12, 0x1.f4dd8917d681ap-12, 0x1.ea485a62ef3e4p-12, 0x1.dfe5c80cbd1d3p-12, 0x1.d5b5ce62c98f1p-12, 0x1.cbb8a9966574dp-12, 0x1.c1ee79c27343dp-12, 0x1.b8570177b5f41p-12, 0x1.aef18e8bad52dp-12, 0x1.a5bd09b6282c4p-12, 0x1.9cb82022b5b2p-12, 0x1.93e17bb2dccacp-12, 0x1.8b38011d53f5fp-12, 0x1.82bb05a22bfa7p-12, 0x1.7a6a64cc6b46ep-12, 0x1.72465f3d7bd94p-12, 0x1.6a4f3f5fa8524p-12, 0x1.6284e1cc335fp-12, 0x1.5ae65836b5865p-12, 0x1.5371d90df5d57p-12, 0x1.4c25072c20449p-12, 0x1.44fd6ade4d82ep-12, 0x1.3df8de902a2fap-12, 0x1.3715c81c3f9f8p-12, 0x1.3053228520225p-12, 0x1.29b06fcf234acp-12, 0x1.232d9f375c825p-12, 0x1.1ccae73eec8e5p-12, 0x1.1688987c86fc9p-12, 0x1.1066f6c16010dp-12, 0x1.0a6620aaed74dp-12, 0x1.0486029dd939ep-12, 0x1.fd8ca10e44ca4p-13, 0x1.f24d0f4f7141p-13, 0x1.e74bf65da693ap-13, 0x1.dc87d3304b5e9p-13, 0x1.d1ff2a104afe1p-13, 0x1.c7b0b0d2b35f8p-13, 0x1.bd9b621f7f895p-13, 0x1.b3be647b93503p-13, 0x1.aa18bdc3f02cdp-13, 0x1.a0a8f47015136p-13, 0x1.976ce6242b0a3p-13, 0x1.8e620b289cfdap-13, 0x1.8586063b4a685p-13, 0x1.7cd7063b30a69p-13, 0x1.74539a3153005p-13, 0x1.6bfa322004588p-13, 0x1.63c8f8f4c6b0ap-13, 0x1.5bbe4c1138df2p-13, 0x1.53d9649840d17p-13, 0x1.4c1a8e263fbcep-13, 0x1.4482b00fa5071p-13, 0x1.3d128f63bd77cp-13, 0x1.35ca45bef6b4p-13, 0x1.2ea940953d608p-13, 0x1.27aebe2f5fe18p-13, 0x1.20da5f0807644p-13, 0x1.1a2c48ef6eee5p-13, 0x1.13a4c1356ec21p-13, 0x1.0d43a0e6a7facp-13, 0x1.0708245bcf7a3p-13, 0x1.00f13a261ba41p-13, 0x1.f5fc10d2e0b4bp-14, 0x1.ea5c7e7b0e801p-14, 0x1.df03f8755a50fp-14, 0x1.d3f29dfdcb764p-14, 0x1.c927659cbd912p-14, 0x1.be9fd32079d7bp-14, 0x1.b458b4677efd1p-14, 0x1.aa4ef3023fd11p-14, 0x1.a07f1ef2d4146p-14, 0x1.96e3f8ddf5437p-14, 0x1.8d764ebe50446p-14, 0x1.842fa1c8052fep-14, 0x1.7b0d8f9b6b1cbp-14, 0x1.721281da437dp-14, 0x1.6942d9b66df89p-14, 0x1.60a12b4b41a57p-14, 0x1.582c9e0969353p-14, 0x1.4fe26761da657p-14, 0x1.47c0b5ff54ddp-14, 0x1.3fc85a41ddc32p-14, 0x1.37fbe9e17f06p-14, 0x1.305d88b0c5c11p-14, 0x1.28ed536f2c186p-14, 0x1.21a940cb1bf1fp-14, 0x1.1a8e0108d3ffep-14, 0x1.13981e679828bp-14, 0x1.0cc4f2c86ce2bp-14, 0x1.061349d992e63p-14, 0x1.ff0726f0fd45dp-15, 0x1.f22f0271b6dc1p-15, 0x1.e5a20f138be7p-15, 0x1.d962669e7954ep-15, 0x1.cd6f907e85553p-15, 0x1.c1c84ff476317p-15, 0x1.b66ca1fc86ff3p-15, 0x1.ab5be91447c36p-15, 0x1.a09033804914bp-15, 0x1.95fe1403fd087p-15, 0x1.8b9cda69e365dp-15, 0x1.816e6a5583681p-15, 0x1.777c14d940ac9p-15, 0x1.6dcbc4d8b9c37p-15, 0x1.6459bfe0f94edp-15, 0x1.5b1ca29d88257p-15, 0x1.520e0e270ad1ep-15, 0x1.492eaa18f6b94p-15, 0x1.40829adca7d0ep-15, 0x1.380c1495f2e64p-15, 0x1.2fc9a1ff7d40ep-15, 0x1.27b7b42e1aa89p-15, 0x1.1fd26ea17e352p-15, 0x1.1816549ec24e3p-15, 0x1.10804dd22a73dp-15, 0x1.090dbfd7e271p-15, 0x1.01bcf8c7655b9p-15, 0x1.f51b67dbcfacbp-16, 0x1.e702c362820a5p-16, 0x1.d935d15e3c719p-16, 0x1.cbbb4c1eb468dp-16, 0x1.be97696268cd5p-16, 0x1.b1c8b6046f94fp-16, 0x1.a548bc5a8e9fbp-16, 0x1.99118cb87ae5fp-16, 0x1.8d225578c1dd1p-16, 0x1.817b82e3397f9p-16, 0x1.76160ac69b962p-16, 0x1.6ae5ae3347b9p-16, 0x1.5fe936dd4b268p-16, 0x1.552fb4ef5ec4cp-16, 0x1.4ac62d2a7aa5bp-16, 0x1.40a78e983cdd7p-16, 0x1.36c4ad9476029p-16, 0x1.2d16c73d20d8fp-16, 0x1.23a2dadf54412p-16, 0x1.1a6da5ba90e91p-16, 0x1.117475b2ca949p-16, 0x1.08b0bfaeeb2a5p-16, 0x1.001d535fc5deap-16, 0x1.ef6fdec739cedp-17, 0x1.df00cc8ba466cp-17, 0x1.ceeead56ff4f3p-17, 0x1.bf3a8ffa6b331p-17, 0x1.afe497f6ff84ap-17, 0x1.a0ec1b5e46d8p-17, 0x1.92502c2f8fd82p-17, 0x1.84101071bca77p-17, 0x1.762b7dbaeb382p-17, 0x1.68a2c2e4155f1p-17, 0x1.5b76c069ffd96p-17, 0x1.4ea7b84dd211p-17, 0x1.42323c2d1b0b2p-17, 0x1.360c998ea85ap-17, 0x1.2a29ffe6ec412p-17, 0x1.1e83da1a616d8p-17, 0x1.1320659960996p-17, 0x1.080ac364b8302p-17, 0x1.fa7f576926368p-18, 0x1.e5600889b76a2p-18, 0x1.d0bb1b95c247fp-18, 0x1.bcaa81b986605p-18, 0x1.a9200874bd32ep-18, 0x1.95fa32a5b06e9p-18, 0x1.8340090682613p-18, 0x1.710f10732d4e6p-18, 0x1.5f6edc153b461p-18, 0x1.4e5595281c611p-18, 0x1.3dbaa585ffb89p-18, 0x1.2d9947599e99fp-18, 0x1.1dec2b4eef324p-18, 0x1.0ead1c94ad2a1p-18, 0x1.ffabd151c323ap-19, 0x1.e2c42fc9a158ap-19, 0x1.c69e287086d83p-19, 0x1.ab37011f165e2p-19, 0x1.908cd487da69bp-19, 0x1.769d814bcd3bfp-19, 0x1.5d6629c709bdbp-19, 0x1.44e30573f70b5p-19, 0x1.2d0f9fdb31324p-19, 0x1.15e7e93ba2113p-19, 0x1.fed41c9f917cap-20, 0x1.d32f55a152be4p-20, 0x1.a8e6baaed1c79p-20, 0x1.7ff3b5f01f371p-20, 0x1.583bbdca3c796p-20, 0x1.31a26933b1651p-20, 0x1.0c2fa81e96a62p-20, 0x1.d0482d584bed2p-21, 0x1.8b765c070fda1p-21, 0x1.49691300c8414p-21, 0x1.0957ac7d4ce7ep-21, 0x1.96d3dd53204a3p-22, 0x1.1f152e2c34942p-22, 0x1.5578481ffa593p-23, 0x1.d3d9c3a783b6cp-25, -0x1.8b0d8c30ea736p-25, -0x1.3322e7425c616p-23, -0x1.fcf96546cb35ep-23, -0x1.5ffa2c5b6cb4cp-22, -0x1.bdcadf80986b6p-22, -0x1.0bf9c00b889d3p-21, -0x1.375acf28da057p-21, -0x1.6121e2bb5d295p-21, -0x1.89437ad0f6b63p-21, -0x1.af9e1ee44584ap-21, -0x1.d421b1d09ace1p-21, -0x1.f6e012c28666p-21, -0x1.0bfece6ab1f43p-20, -0x1.1bcde7b0aa775p-20, -0x1.2ae835a5b27b9p-20, -0x1.3953addeaabfcp-20, -0x1.4713daaa99043p-20, -0x1.542bb4664fc3cp-20, -0x1.609e247e8faedp-20, -0x1.6c6e2d16c9a93p-20, -0x1.779d74adc953fp-20, -0x1.822c015a50f53p-20, -0x1.8c19fb7953fb1p-20, -0x1.956bccd9818bap-20, -0x1.9e2ac7db3d2aep-20, -0x1.a65f919d71b94p-20, -0x1.ae0af04618b94p-20, -0x1.b51c9585defb9p-20, -0x1.bb8011e194b57p-20, -0x1.c1577d84b9077p-20, -0x1.c6cbef37d6df3p-20, -0x1.cbdc83f0cb1abp-20, -0x1.d083103c8bf06p-20, }}, 
      {{0x1.c12b1219b8908p-6, 0x1.776ff601d13bep-5, 0x1.a5af4ac8faee5p-5, 0x1.68f6429061428p-5, 0x1.9bf34d0af9d45p-6, -0x1.7c4f06c712fb5p-9, -0x1.32deab4ba896ap-5, -0x1.37667e69248ddp-4, -0x1.dcad91c8759c6p-4, -0x1.40d1c87d78039p-3, -0x1.90198c87d751dp-3, -0x1.d9e04c2589f2cp-3, -0x1.0e4157713103fp-2, -0x1.2b7873dea9b51p-2, -0x1.444b6520624e9p-2, -0x1.58a24d06b6911p-2, -0x1.688ce633f67f9p-2, -0x1.743916ae25bc6p-2, -0x1.7beacac0d6ad1p-2, -0x1.7ff50faf94eebp-2, -0x1.80b45a83cc67ep-2, -0x1.7e89e1642cbfbp-2, -0x1.79d7eb0477895p-2, -0x1.72fef63b8fedbp-2, -0x1.6a5b9b8f4eef3p-2, -0x1.60450b7a5d854p-2, -0x1.550c0e1fc66ebp-2, -0x1.48fa6ba4c1075p-2, -0x1.3c52a744e2d82p-2, -0x1.2f4ffa23b3375p-2, -0x1.22267dc0f0832p-2, -0x1.150378aef668ap-2, -0x1.080dc2a7af76dp-2, -0x1.f6cc6ea7db07ep-3, -0x1.de506200c776fp-3, -0x1.c6d40c2a0ab18p-3, -0x1.b07b0ae902561p-3, -0x1.9b60ddf3a811cp-3, -0x1.8799cc4e059f3p-3, -0x1.7533bb9689ed1p-3, -0x1.6436f7edea16ep-3, -0x1.54a6ec06df809p-3, -0x1.4682c9899ca7bp-3, -0x1.39c62261196e9p-3, -0x1.2e6973c1f4f15p-3, -0x1.2462a3d702d88p-3, -0x1.1ba5730692d84p-3, -0x1.1423e1c1c3146p-3, -0x1.0dce8bc01d0bep-3, -0x1.0894f9816dc8bp-3, -0x1.0465e8d9451abp-3, -0x1.012f8d46be385p-3, -0x1.fdbf9197b78e4p-4, -0x1.fac8bbd25f89ep-4, -0x1.f956368c028c3p-4, -0x1.f94402eb1fbb2p-4, -0x1.fa6ec6d2d35a5p-4, -0x1.fcb4041d7c8e2p-4, -0x1.fff2474669478p-4, -0x1.0204a729b2238p-3, -0x1.046d13ecad2dbp-3, -0x1.0723a5aa3308bp-3, -0x1.0a1a5563f0484p-3, -0x1.0d43dff6ccd3cp-3, -0x1.1093ca69fd45dp-3, -0x1.13fe647a4330ap-3, -0x1.1778c8c032348p-3, -0x1.1af8db4d9d992p-3, -0x1.1e7545c50065bp-3, -0x1.21e573837b482p-3, -0x1.25418c3ddefb1p-3, -0x1.28826ebac03fep-3, -0x1.2ba1aabcec938p-3, -0x1.2e997a3e80816p-3, -0x1.3164b971ed476p-3, -0x1.33fedeeb6a31ep-3, -0x1.3663f2fdee2e4p-3, -0x1.389087cbb71b5p-3, -0x1.3a81b155194c1p-3, -0x1.3c34fe1db389ap-3, -0x1.3da86fbe13784p-3, -0x1.3eda73a47ffbcp-3, -0x1.3fc9dbb970fd2p-3, -0x1.4075d714b4dp-3, -0x1.40ddeaced69f3p-3, -0x1.4101eb14eb4c5p-3, -0x1.40e1f494e4903p-3, -0x1.407e664a5338fp-3, -0x1.3fd7dbaaf86e8p-3, -0x1.3eef2729aeab1p-3, -0x1.3dc54cffff625p-3, -0x1.3c5b7e2e625d1p-3, -0x1.3ab313b760b4ep-3, -0x1.38cd89ffdf062p-3, -0x1.36ac7c68dd58p-3, -0x1.3451a11eb302cp-3, -0x1.31bec524a6affp-3, -0x1.2ef5c8a46c4f3p-3, -0x1.2bf89b827e6aep-3, -0x1.28c93a3998469p-3, -0x1.2569aaf387a83p-3, -0x1.21dbfaec847ap-3, -0x1.1e223c0924302p-3, -0x1.1a3e82a77ff7fp-3, -0x1.1632e3a39f8e9p-3, -0x1.1201728579ffcp-3, -0x1.0dac3fdf3097fp-3, -0x1.093557cf8b78cp-3, -0x1.049ec0aa14244p-3, -0x1.ffd4f386da8aep-4, -0x1.f634f4bb0e2d7p-4, -0x1.ec616173211p-4, -0x1.e25e027da3649p-4, -0x1.d82e8b928ebf2p-4, -0x1.cdd69a16617a5p-4, -0x1.c359b4189d46ep-4, -0x1.b8bb477f2ab4fp-4, -0x1.adfea9587b367p-4, -0x1.a327155cf28e4p-4, -0x1.9837ad8735157p-4, -0x1.8d3379de1ed24p-4, -0x1.821d684c4c21ep-4, -0x1.76f84c99ccb1dp-4, -0x1.6bc6e086a7cbap-4, -0x1.608bc3ea9022cp-4, -0x1.55497cf5d0391p-4, -0x1.4a0278837cbcbp-4, -0x1.3eb90a6eab316p-4, -0x1.336f6e09aed89p-4, -0x1.2827c68db591bp-4, -0x1.1ce41f8e03a98p-4, -0x1.11a66d99c945bp-4, -0x1.06708eaf5ccc4p-4, -0x1.f688958cb987ap-5, -0x1.e046a8fa2ed76p-5, -0x1.ca1e933179905p-5, -0x1.b413671f037c7p-5, -0x1.9e28106cbf9ddp-5, -0x1.885f549fd3236p-5, -0x1.72bbd41512f95p-5, -0x1.5d400b6a09639p-5, -0x1.47ee549b75393p-5, -0x1.32c8e7f206f8ep-5, -0x1.1dd1dd6533392p-5, -0x1.090b2dbcd5d9fp-5, -0x1.e8ed66f35ae11p-6, -0x1.c02c57f7811c6p-6, -0x1.97d671963a052p-6, -0x1.6feec0e04b73fp-6, -0x1.48781e9910e02p-6, -0x1.217531db02395p-6, -0x1.f5d0e3b8c6becp-7, -0x1.a9a84e71efda5p-7, -0x1.5e74dc0f1b4fcp-7, -0x1.143a700401415p-7, -0x1.95f93692a8ba8p-8, -0x1.057d3dec46cf1p-8, -0x1.dc1b83e11cd57p-10, 0x1.5648612c1c4eep-12, 0x1.3f80559238f23p-9, 0x1.2807c9535f757p-8, 0x1.ae379dffff572p-8, 0x1.1926303f9598bp-7, 0x1.5a21a0e1d6cc9p-7, 0x1.9a0cf3768fcf2p-7, 0x1.d8e730d1cc84dp-7, 0x1.0b57cae47137dp-6, 0x1.29b2c94b24dfdp-6, 0x1.4784646451272p-6, 0x1.64cc83cf37326p-6, 0x1.818b24d4f169dp-6, 0x1.9dc05a334b911p-6, 0x1.b96c4b7b96c4ap-6, 0x1.d48f338067db3p-6, 0x1.ef295eed84905p-6, 0x1.049d95f87b67cp-5, 0x1.1162850abcffbp-5, 0x1.1de3bc99107a4p-5, 0x1.2a2183ef3d9a8p-5, 0x1.361c2953fe8c8p-5, 0x1.41d4020970222p-5, 0x1.4d496a2f53ed5p-5, 0x1.587cc41b4b09cp-5, 0x1.636e77b609df8p-5, 0x1.6e1ef24644fcfp-5, 0x1.788ea6891b976p-5, 0x1.82be0c81e4628p-5, 0x1.8cada0db8513ap-5, 0x1.965de457c9c64p-5, 0x1.9fcf5bb54f57ap-5, 0x1.a9028fd22d40ap-5, 0x1.b1f80d812f27p-5, 0x1.bab064f7cbb5ep-5, 0x1.c32c294ab951ap-5, 0x1.cb6bf0564a08p-5, 0x1.d37052e495e8cp-5, 0x1.db39ec977622ap-5, 0x1.e2c95b72938bp-5, 0x1.ea1f3f5ccc88bp-5, 0x1.f13c39f81d716p-5, 0x1.f820eebea6c67p-5, 0x1.fece030b1f49p-5, 0x1.02a20ee5eeb74p-4, 0x1.05c1f389c17dbp-4, 0x1.08c703ea09c87p-4, 0x1.0bb194f0b8c2p-4, 0x1.0e81fc057df06p-4, 0x1.11388f0239f63p-4, 0x1.13d5a40c7a26fp-4, 0x1.1659916aa7b75p-4, 0x1.18c4ad71cd0f6p-4, 0x1.1b174e8ba18d4p-4, 0x1.1d51cb3e785c9p-4, 0x1.1f747a207f5a6p-4, 0x1.217fb1b6a276cp-4, 0x1.2373c854b1608p-4, 0x1.25511411a0a97p-4, 0x1.2717eacdac3b2p-4, 0x1.28c8a2388e334p-4, 0x1.2a638fc783ccdp-4, 0x1.2be9089c4869ap-4, 0x1.2d59616d95382p-4, 0x1.2eb4ee7efc87p-4, 0x1.2ffc03a414f22p-4, 0x1.312ef444cdb14p-4, 0x1.324e1356f53bep-4, 0x1.3359b34ec79e8p-4, 0x1.34522611257c3p-4, 0x1.3537bcecc2bcdp-4, 0x1.360ac89a8fc04p-4, 0x1.36cb993cca77bp-4, 0x1.377a7e5a4846ep-4, 0x1.3817c6d8703c6p-4, 0x1.38a3c0f71d4c6p-4, 0x1.391eba4f7aa29p-4, 0x1.3988ffd1b597cp-4, 0x1.39e2ddbe99ccp-4, 0x1.3a2c9f9fb5d5ep-4, 0x1.3a669044d89e6p-4, 0x1.3a90f9c8db067p-4, 0x1.3aac25994833p-4, 0x1.3ab85c77da6c2p-4, 0x1.3ab5e672e739p-4, 0x1.3aa50ad758fc2p-4, 0x1.3a86102862df1p-4, 0x1.3a593c24a0ab5p-4, 0x1.3a1ed3d553551p-4, 0x1.39d71b9b7fdbp-4, 0x1.3982573007064p-4, 0x1.3920c995d9c8fp-4, 0x1.38b2b50865835p-4, 0x1.38385af47d618p-4, 0x1.37b1fc02cc5e9p-4, 0x1.371fd82d1a39cp-4, 0x1.36822eceec989p-4, 0x1.35d93ea5ac253p-4, 0x1.352545c0c08a5p-4, 0x1.3466816db5b71p-4, 0x1.339d2e2f97a73p-4, 0x1.32c987c8cfec1p-4, 0x1.31ebc952bac8fp-4, 0x1.31042d51f6378p-4, 0x1.3012edbbc170bp-4, 0x1.2f1843e88d799p-4, 0x1.2e14687f13222p-4, 0x1.2d0793663ff6cp-4, 0x1.2bf1fbc8b30e4p-4, 0x1.2ad3d828854cbp-4, 0x1.29ad5e776216fp-4, 0x1.287ec4248815p-4, 0x1.27483e18c629dp-4, 0x1.260a00a443c32p-4, 0x1.24c43f6ac3247p-4, 0x1.23772d5b8396ap-4, 0x1.2222fcba733dfp-4, 0x1.20c7df35c8adp-4, 0x1.1f6605fbd3e2fp-4, 0x1.1dfda1c51cbe4p-4, 0x1.1c8ee2cdf4892p-4, 0x1.1b19f8c445252p-4, 0x1.199f12b51d313p-4, 0x1.181e5f05438d5p-4, 0x1.16980b797e556p-4, 0x1.150c454a4553dp-4, 0x1.137b3938735d9p-4, 0x1.11e513986ef08p-4, 0x1.104a004eb171dp-4, 0x1.0eaa2ac0a96ccp-4, 0x1.0d05bdc1c80e9p-4, 0x1.0b5ce388c3d7ep-4, 0x1.09afc5b141767p-4, 0x1.07fe8d4aaa466p-4, 0x1.064962ec157b6p-4, 0x1.04906ec3db384p-4, 0x1.02d3d89bc9608p-4, 0x1.0113c7d05a14cp-4, 0x1.fea0c67fc4062p-5, 0x1.fb13a2746a91cp-5, 0x1.f7806ef0cb256p-5, 0x1.f3e77642b0c69p-5, 0x1.f04901b147204p-5, 0x1.eca559a29928fp-5, 0x1.e8fcc5b824516p-5, 0x1.e54f8cd629bbcp-5, 0x1.e19df51358384p-5, 0x1.dde8439897ddfp-5, 0x1.da2ebc7f65429p-5, 0x1.d671a2bd8c7cbp-5, 0x1.d2b13826f6c23p-5, 0x1.ceedbd8509dcap-5, 0x1.cb2772b9ffd28p-5, 0x1.c75e96e1d94dp-5, 0x1.c3936863b0958p-5, 0x1.bfc624ecc800ap-5, 0x1.bbf70957c3f2ap-5, 0x1.b826518a54c2cp-5, 0x1.b454385753e39p-5, 0x1.b080f770b15c4p-5, 0x1.acacc76f11b34p-5, 0x1.a8d7dfebadbdap-5, 0x1.a50277a2e810dp-5, 0x1.a12cc492a93cap-5, 0x1.9d56fc096a5f8p-5, 0x1.998152a08863p-5, 0x1.95abfc24b0ceep-5, 0x1.91d72b757083ep-5, 0x1.8e0312683cfa8p-5, 0x1.8a2fe1b93217bp-5, 0x1.865dc90f18b9dp-5, 0x1.828cf71052224p-5, 0x1.7ebd9981c633cp-5, 0x1.7aefdd64d1e66p-5, 0x1.7723ef0a54e33p-5, 0x1.7359fa14c9ba7p-5, 0x1.6f92296946918p-5, 0x1.6bcca7157591dp-5, 0x1.68099c33e8891p-5, 0x1.644930d8653b3p-5, 0x1.608b8c0a681fp-5, 0x1.5cd0d3cf0eeb6p-5, 0x1.59192d3ec7475p-5, 0x1.5564bc9fb6c2cp-5, 0x1.51b3a57cb92f6p-5, 0x1.4e060ab24f79cp-5, 0x1.4a5c0e6df55edp-5, 0x1.46b5d2215ee71p-5, 0x1.4313766e4d729p-5, 0x1.3f751b1255493p-5, 0x1.3bdaded908a5ep-5, 0x1.3844df987a623p-5, 0x1.34b33a389bd82p-5, 0x1.31260ac2a4b2dp-5, 0x1.2d9d6c741b9ddp-5, 0x1.2a1979d04784cp-5, 0x1.269a4caba91e4p-5, 0x1.231ffe2f0cf0cp-5, 0x1.1faaa6d24769p-5, 0x1.1c3a5e5133492p-5, 0x1.18cf3b9f14162p-5, 0x1.156954dc99f2ap-5, 0x1.1208bf53815ap-5, 0x1.0ead8f78bfbdbp-5, 0x1.0b57d8f433bc8p-5, 0x1.0807aeabb46bap-5, 0x1.04bd22ced410dp-5, 0x1.017846e0d5f1dp-5, 0x1.fc72577e1c5dap-6, 0x1.f5ffc3452e32bp-6, 0x1.ef98f03e26fb7p-6, 0x1.e93dfc36fadffp-6, 0x1.e2ef039d1bbfap-6, 0x1.dcac21763828cp-6, 0x1.d6756f5d3dbc2p-6, 0x1.d04b058627145p-6, 0x1.ca2cfacb21821p-6, 0x1.c41b64b7f82afp-6, 0x1.be165797c2fd7p-6, 0x1.b81de680ed537p-6, 0x1.b232235e4dbe6p-6, 0x1.ac531ef48e2e2p-6, 0x1.a680e8e3d228p-6, 0x1.a0bb8fa6855fbp-6, 0x1.9b03208f04e11p-6, 0x1.9557a7c6355e2p-6, 0x1.8fb9304c8e958p-6, 0x1.8a27c3fe564c6p-6, 0x1.84a36b9a81a29p-6, 0x1.7f2c2ecb1fc3cp-6, 0x1.79c2142e05552p-6, 0x1.7465215cea732p-6, 0x1.6f155af48d76cp-6, 0x1.69d2c49aa9424p-6, 0x1.649d6102cbbe3p-6, 0x1.5f7531f1e73c9p-6, 0x1.5a5a3840a67ecp-6, 0x1.554c73dd518cap-6, 0x1.504be3cdd5bafp-6, 0x1.4b588632dd518p-6, 0x1.4672584c037b2p-6, 0x1.4199567d7d2a1p-6, 0x1.3ccd7c5682182p-6, 0x1.380ec497b67a2p-6, 0x1.335d29396eb45p-6, 0x1.2eb8a3717b6e1p-6, 0x1.2a212bb8a8f1bp-6, 0x1.2596b9cff0708p-6, 0x1.211944c54fe87p-6, 0x1.1ca8c2f816b59p-6, 0x1.18452a1c736fcp-6, 0x1.13ee6f3e86a4p-6, 0x1.0fa486c543973p-6, 0x1.0b6764759b9fep-6, 0x1.0736fb766bb84p-6, 0x1.03133e552c478p-6, 0x1.fdf83e167e7fap-7, 0x1.f5e31e0704fc7p-7, 0x1.ede6fe3f80c6cp-7, 0x1.e603bf7bad135p-7, 0x1.de3941790bda1p-7, 0x1.d68762ffd4d26p-7, 0x1.ceee01eb50a8bp-7, 0x1.c76cfb318e224p-7, 0x1.c0042aea5d7abp-7, 0x1.b8b36c55c4a66p-7, 0x1.b17a99e2468b2p-7, 0x1.aa598d3347c71p-7, 0x1.a3501f286c929p-7, 0x1.9c5e27e59b4bfp-7, 0x1.95837edbc9ac2p-7, 0x1.8ebffad1c18a6p-7, 0x1.881371ec6425p-7, 0x1.817db9b60261fp-7, 0x1.7afea724ebce6p-7, 0x1.74960ea1aa955p-7, 0x1.6e43c40d7a925p-7, 0x1.68079ac96676p-7, 0x1.61e165be20191p-7, 0x1.5bd0f76454a88p-7, 0x1.55d621cc9473ap-7, 0x1.4ff0b6a68d9f2p-7, 0x1.4a208746b2ec8p-7, 0x1.446564aaad736p-7, 0x1.3ebf1f7cc6c03p-7, 0x1.392d881718aeep-7, 0x1.33b06e875689bp-7, 0x1.2e47a293be8bbp-7, 0x1.28f2f3c1a8986p-7, 0x1.23b2315d88a33p-7, 0x1.1e852a83d1494p-7, 0x1.196bae2a00eaep-7, 0x1.14658b26bed13p-7, 0x1.0f7290380688ep-7, 0x1.0a928c070ed6cp-7, 0x1.05c54d29d1dp-7, 0x1.010aa22302dc1p-7, 0x1.f8c4b2c3c357p-8, 0x1.ef9882853db0ep-8, 0x1.e6905023d1d99p-8, 0x1.ddabb825db093p-8, 0x1.d4ea570fd2dd4p-8, 0x1.cc4bc979acff8p-8, 0x1.c3cfac2303eecp-8, 0x1.bb759c033692ep-8, 0x1.b33d365264bbep-8, 0x1.ab26188a3dbb9p-8, 0x1.a32fe05fce49bp-8, 0x1.9b5a2bb9fd312p-8, 0x1.93a498a927609p-8, 0x1.8c0ec5644f0f2p-8, 0x1.8498504f463f3p-8, 0x1.7d40d80a3c35p-8, 0x1.7607fb88f28eap-8, 0x1.6eed5a2d100e5p-8, 0x1.67f093dde4f8p-8, 0x1.6111491851c1cp-8, 0x1.5a4f1af3634dbp-8, 0x1.53a9ab1882c05p-8, 0x1.4d209bb285a99p-8, 0x1.46b38f585065cp-8, 0x1.406228fa18ef9p-8, 0x1.3a2c0bd80825ep-8, 0x1.3410db8657eacp-8, 0x1.2e103c00b5434p-8, 0x1.2829d1c9a624p-8, 0x1.225d42102b345p-8, 0x1.1caa32d304f59p-8, 0x1.17104af90b0eap-8, 0x1.118f32582177dp-8, 0x1.0c2691a8891afp-8, 0x1.06d6126693c7cp-8, 0x1.019d5ea9ae22dp-8, 0x1.f8f841f552189p-9, 0x1.eee40868a3258p-9, 0x1.e4fd66ee70b65p-9, 0x1.db43b46dbda62p-9, 0x1.d1b648bf12bb4p-9, 0x1.c8547d1e01915p-9, 0x1.bf1daca98c5f3p-9, 0x1.b61134d6c01ap-9, 0x1.ad2e75b98f8dbp-9, 0x1.a474d20f21e89p-9, 0x1.9be3af02d3e92p-9, 0x1.937a73b550e12p-9, 0x1.8b38889cdde7ep-9, 0x1.831d56de40f97p-9, 0x1.7b2847c1e7bd9p-9, 0x1.7358c464b7238p-9, 0x1.6bae35b961a84p-9, 0x1.642804e2ddf92p-9, 0x1.5cc59bdd94616p-9, 0x1.5586665d3b5fbp-9, 0x1.4e69d2b71a253p-9, 0x1.476f52a97c24dp-9, 0x1.40965bd39bdcfp-9, 0x1.39de67bfac24ep-9, 0x1.3346f37551e41p-9, 0x1.2ccf7ea62ecd4p-9, 0x1.26778a9a32963p-9, 0x1.203e990f1a2f4p-9, 0x1.1a242b4101c29p-9, 0x1.1427c14716ea4p-9, 0x1.0e48d9e2b01e3p-9, 0x1.0886f2cc6d0c2p-9, 0x1.02e189789cc78p-9, 0x1.fab0387462436p-10, 0x1.efd45741cdbf8p-10, 0x1.e52e779d3a24ep-10, 0x1.dabdab215e4fbp-10, 0x1.d0810def2f649p-10, 0x1.c677c68d00b67p-10, 0x1.bca1046301dc7p-10, 0x1.b2fbfd0ed7c7dp-10, 0x1.a987e912d3175p-10, 0x1.a044006d0259cp-10, 0x1.972f77ec66183p-10, 0x1.8e497f2519264p-10, 0x1.8591401371015p-10, 0x1.7d05df94a4a08p-10, 0x1.74a67f0b5dc25p-10, 0x1.6c723ed53edc7p-10, 0x1.64684158cb38cp-10, 0x1.5c87ae5fb514dp-10, 0x1.54cfb6578a029p-10, 0x1.4d3f94f74aedap-10, 0x1.45d692befe573p-10, 0x1.3e9404e31b203p-10, 0x1.37774b7f6eefep-10, 0x1.307fce50fed5dp-10, 0x1.29acf8986372dp-10, 0x1.22fe34ff50e7ap-10, 0x1.1c72ea54e6167p-10, 0x1.160a79afbad73p-10, 0x1.0fc43e16b5c2p-10, 0x1.099f8d6ef37ccp-10, 0x1.039bba31f1194p-10, 0x1.fb702aec2aa2dp-11, 0x1.efe7e2094eb82p-11, 0x1.e49d42eb5be8dp-11, 0x1.d98f00cafcd89p-11, 0x1.cebbdd81de677p-11, 0x1.c422adcf62e08p-11, 0x1.b9c25c4d31146p-11, 0x1.af99e9eae648cp-11, 0x1.a5a86b1d804d1p-11, 0x1.9bed01c0b985ap-11, 0x1.9266d4ab857e2p-11, 0x1.891506d8c7899p-11, 0x1.7ff6b04d9ecd6p-11, 0x1.770ada7d619dp-11, 0x1.6e5080d068482p-11, 0x1.65c6949f497afp-11, 0x1.5d6c02dfa84fp-11, 0x1.553fb970d1208p-11, 0x1.4d40aa87b5cbcp-11, 0x1.456dcdee1faa1p-11, 0x1.3dc620ff23312p-11, 0x1.3648a6ee1d8d1p-11, 0x1.2ef46a9ffe8b2p-11, 0x1.27c88265c4cd6p-11, 0x1.20c414b017e47p-11, 0x1.19e65bfcadb46p-11, 0x1.132ea819ccf35p-11, 0x1.0c9c5b88de5c9p-11, 0x1.062ee5075ab63p-11, 0x1.ffcb6d64fcba2p-12, 0x1.f3807a73cbaf5p-12, 0x1.e77bb395d698ep-12, 0x1.dbbbc10f5e40fp-12, 0x1.d03f37951e20fp-12, 0x1.c504a559e2125p-12, 0x1.ba0aa0018bf0ap-12, 0x1.af4fcd8750d08p-12, 0x1.a4d2e4639cd95p-12, 0x1.9a92a3427cd05p-12, 0x1.908dc4983f325p-12, 0x1.86c2f4641b095p-12, 0x1.7d30cd6fb9543p-12, 0x1.73d5e0040e851p-12, 0x1.6ab0c00772c0fp-12, 0x1.61c0155bbb6e7p-12, 0x1.5902a8ea3ced4p-12, 0x1.5077699d59eccp-12, 0x1.481d67837951ap-12, 0x1.3ff3c6a426076p-12, 0x1.37f9ae1611b7fp-12, 0x1.302e392cfb442p-12, 0x1.28906fbc51991p-12, 0x1.211f47cba8a48p-12, 0x1.19d9afdcbab89p-12, 0x1.12be9e0982fa5p-12, 0x1.0bcd1e7a5da44p-12, 0x1.05045b76b3fd5p-12, 0x1.fcc7364b61f6cp-13, 0x1.efd465b6637e6p-13, 0x1.e32ee8d399d51p-13, 0x1.d6d53a3c70991p-13, 0x1.cac59b6a56d1bp-13, 0x1.befe1d18104dp-13, 0x1.b37cbb7f05732p-13, 0x1.a83f824d6ee58p-13, 0x1.9d44ab5228cc4p-13, 0x1.928aaf19d049dp-13, 0x1.88104438e9c57p-13, 0x1.7dd44f08ff544p-13, 0x1.73d5c8317dcfap-13, 0x1.6a13a32835cedp-13, 0x1.608cbce7fe8e3p-13, 0x1.573fd67e785a2p-13, 0x1.4e2b9a1284308p-13, 0x1.454ea6d055407p-13, 0x1.3ca7a0a9e303fp-13, 0x1.343541478863p-13, 0x1.2bf665ed12d4bp-13, 0x1.23ea13edc7562p-13, 0x1.1c0f6e1c506cp-13, 0x1.14659bd3e5459p-13, 0x1.0cebaa6b9c822p-13, 0x1.05a07771f97bap-13, 0x1.fd055f42c4defp-14, 0x1.ef21c7074bc33p-14, 0x1.e1934ce40215dp-14, 0x1.d45750ed75184p-14, 0x1.c76b8597d9b35p-14, 0x1.bacdf2bb4daddp-14, 0x1.ae7ceea1525d2p-14, 0x1.a277114044df7p-14, 0x1.96bb1fea793a6p-14, 0x1.8b47f41ceb4fp-14, 0x1.801c654dafbdp-14, 0x1.75373ab73a7a1p-14, 0x1.6a97243726f8dp-14, 0x1.603ab7f1cb492p-14, 0x1.562074ca3af91p-14, 0x1.4c46ca53c7ed6p-14, 0x1.42ac24efe163fp-14, 0x1.394efb3834778p-14, 0x1.302dd93912824p-14, 0x1.274764c90986fp-14, 0x1.1e9a55d0ede5cp-14, 0x1.16256201737d1p-14, 0x1.0de725a0aaf9p-14, 0x1.05de1ad66a913p-14, 0x1.fc1155d667b22p-15, 0x1.ecca9ef01e4e2p-15, 0x1.dde54d84e038ap-15, 0x1.cf5ed0a5d9401p-15, 0x1.c1349397c0a8cp-15, 0x1.b363fe02a0f3ep-15, 0x1.a5eaaa4885ba8p-15, 0x1.98c6a8a95a55cp-15, 0x1.8bf692efdf265p-15, 0x1.7f794235fb0eep-15, 0x1.734d799173072p-15, 0x1.6771b05b6f80ep-15, 0x1.5be41b02ead5ep-15, 0x1.50a2e57e52bc7p-15, 0x1.45ac6cd85e14bp-15, 0x1.3aff48fb49912p-15, 0x1.309a213d4b256p-15, 0x1.267b79106467ap-15, 0x1.1ca1a54a30f0cp-15, 0x1.130af16a6cd37p-15, 0x1.09b5d325bbe6cp-15, 0x1.00a102e16390bp-15, 0x1.ef96cbbdcdcfep-16, 0x1.de67abc083483p-16, 0x1.cdb1d74077282p-16, 0x1.bd71ed0f7a032p-16, 0x1.ada451e8b6ddap-16, 0x1.9e458536cf1d5p-16, 0x1.8f51ecbad252ap-16, 0x1.80c5470e9fd9bp-16, 0x1.729ab55750645p-16, 0x1.64cdd44e46dd8p-16, 0x1.575bfd1b02927p-16, 0x1.4a445e30a5c3p-16, 0x1.3d86c92789ad8p-16, 0x1.31224d3aaaef5p-16, 0x1.2514bb871fd77p-16, 0x1.195b4ca38cbbcp-16, 0x1.0df3b1a5d347p-16, 0x1.02dc99a12e0d3p-16, 0x1.f02aa062a9aap-17, 0x1.db39e35518bb4p-17, 0x1.c6e3cdc78bbe9p-17, 0x1.b323cd20b3e42p-17, 0x1.9ff49415c9a72p-17, 0x1.8d50e56bfcf61p-17, 0x1.7b3438a3241fcp-17, 0x1.699b1ea996744p-17, 0x1.588354853e0c8p-17, 0x1.47eb6e581e29fp-17, 0x1.37d21e2fe2855p-17, 0x1.28356efbefb11p-17, 0x1.19129ba050052p-17, 0x1.0a66c0e7316acp-17, 0x1.f85f0a331b22ep-18, 0x1.dcd4af230a351p-18, 0x1.c225a67b537f2p-18, 0x1.a845b119c87a9p-18, 0x1.8f2ada542bdd5p-18, 0x1.76d26b8aa1c54p-18, 0x1.5f3e58e01e19cp-18, 0x1.486e1240c646dp-18, 0x1.325adafcad924p-18, 0x1.1cfabf3dab7fbp-18, 0x1.084619da206cap-18, 0x1.e8739a14d9d17p-19, 0x1.c1a9a5ec434b2p-19, 0x1.9c29d52b2b75p-19, 0x1.77eb5b941006p-19, 0x1.54e32ce760b3fp-19, 0x1.33061ce25f21ap-19, 0x1.124998e509aa5p-19, 0x1.e5474c532aeap-20, 0x1.a816110324be5p-20, 0x1.6cef9523d91bfp-20, 0x1.33c7b98eabb2bp-20, 0x1.f92d85b22136dp-21, 0x1.8eb13e54b1cep-21, 0x1.2814b3eda7204p-21, 0x1.8a97b230d63dap-22, 0x1.98f5694ff1c01p-23, 0x1.58a0327e363bap-26, -0x1.34faa87af3fdbp-23, -0x1.43c479dbaa644p-22, -0x1.e66fc48236f47p-22, -0x1.4163f555394e5p-21, -0x1.8c96187866a29p-21, -0x1.d4e269c9770f2p-21, -0x1.0d1b71e4f5a98p-20, -0x1.2e437f577ef75p-20, -0x1.4df7ad6acb96bp-20, -0x1.6c511ae913b1dp-20, -0x1.895f06035b39ep-20, -0x1.a523c2e062557p-20, -0x1.bfa22deb76fabp-20, -0x1.d8e51858ff9b1p-20, -0x1.f0fb117afc7fdp-20, -0x1.03f8649a8dc78p-19, -0x1.0ee7c16211a96p-19, -0x1.194f0e8bff7bep-19, -0x1.23313f8b2b027p-19, -0x1.2c9146a49ebb2p-19, -0x1.3572459a7ec7bp-19, -0x1.3dd782e9eff5p-19, -0x1.45c442c7ebe25p-19, -0x1.4d3ba6117ebaap-19, -0x1.54409a70907fep-19, -0x1.5ad5d089b7a99p-19, -0x1.60fdc1c61fa8p-19, -0x1.66bb07ba1abffp-19, -0x1.6c113151fce2ep-19, -0x1.71056a25f039bp-19, -0x1.759d955ed593fp-19, -0x1.79ddcded90a2cp-19, -0x1.7dc6bc9b41df2p-19, -0x1.8157cf37e066fp-19, -0x1.849449920e48ep-19, -0x1.878264f79a42fp-19, -0x1.8a23c097bfcbcp-19, -0x1.8c770902e85e5p-19, -0x1.8e8028020548dp-19, -0x1.90457869dc3e3p-19, -0x1.91c808a93016ap-19, -0x1.9305f79d29362p-19, -0x1.94002b7fff09fp-19, -0x1.94b9bac2a33a4p-19, -0x1.95358bc7fe7ap-19, -0x1.9575d47db2824p-19, -0x1.957d668046d79p-19, -0x1.954e55a8759dap-19, -0x1.94eb2db2a55dbp-19, -0x1.945616f2d5909p-19, -0x1.9390ef66b83e8p-19, -0x1.929d61f6b6921p-19, -0x1.917d0242f0e5bp-19, -0x1.90315ed7a61d5p-19, -0x1.8ebc09d0e5a2ep-19, -0x1.8d1e9c5c88fe7p-19, -0x1.8b5ab36116b2fp-19, -0x1.8971de2de3e55p-19, -0x1.87657f3bb99ebp-19, -0x1.8536b676cf82fp-19, -0x1.82e68830d310fp-19, -0x1.8076524fa2ea9p-19, -0x1.7de814e8d073fp-19, -0x1.7b3ddaf562e13p-19, -0x1.78787ee5178c8p-19, -0x1.7596eed2bc61cp-19, -0x1.72982b1c736e4p-19, -0x1.6f7f38b0a7f1bp-19, -0x1.6c505c592da49p-19, -0x1.690becf834414p-19, -0x1.65b33e22a64a1p-19, -0x1.6248d208b2f59p-19, -0x1.5ecc05f9e8f06p-19, -0x1.5b3cf45417b5bp-19, -0x1.579df2fc557p-19, -0x1.53f0bab7f34dcp-19, -0x1.5035c03069113p-19, -0x1.4c6d3cca736b7p-19, -0x1.4897f56c376bfp-19, -0x1.44b72eb1a70adp-19, -0x1.40cc074e27fe8p-19, -0x1.3cd6f80b7f29dp-19, -0x1.38d8147d22213p-19, -0x1.34cfb6ef5e09dp-19, -0x1.30bec91757034p-19, -0x1.2ca6805e87224p-19, -0x1.28880111aa19ap-19, -0x1.2464386ab9bc6p-19, -0x1.203be5c26e976p-19, -0x1.1c0fb0ce5c36cp-19, -0x1.17e0381e1f556p-19, -0x1.13ae1c40afffdp-19, -0x1.0f79f44446466p-19, -0x1.0b4447fe1f36p-19, -0x1.070d89bd52207p-19, -0x1.02d6249761022p-19, -0x1.fd3d5060e59efp-20, -0x1.f4cfa8b73d619p-20, -0x1.ec64c347710d4p-20, -0x1.e3fd6f2643f12p-20, -0x1.db99209d7956ap-20, -0x1.d336d6d291363p-20, -0x1.cad9ccd23e579p-20, -0x1.c28608bd52bacp-20, -0x1.ba3c4063398a9p-20, -0x1.b1fca50292b31p-20, }}, 
      {{-0x1.8208f7177deefp-1, -0x1.55f891c44da08p-1, -0x1.21215922502a8p-1, -0x1.d8fb795c85c8ap-2, -0x1.79857d4bf2fbdp-2, -0x1.2800a0be9daf6p-2, -0x1.cad038ef0067dp-3, -0x1.61e7d4d80f027p-3, -0x1.11ee319672efdp-3, -0x1.ada1168e59b8ap-4, -0x1.58ca6604cb80ep-4, -0x1.1d8d6bfa68c75p-4, -0x1.ea0937e2ae0a8p-5, -0x1.b2aa796253b03p-5, -0x1.8b66c4c24702dp-5, -0x1.6ca5476070e7cp-5, -0x1.509921fef05f1p-5, -0x1.330561a9c1419p-5, -0x1.10ff136bcac3ap-5, -0x1.d1633d3ec36dcp-6, -0x1.724f865536071p-6, -0x1.0434f1b4c4551p-6, -0x1.0f18c8ba44287p-7, 0x1.3979c61d31ca2p-13, 0x1.3020363714782p-7, 0x1.374196df32df3p-6, 0x1.ddd4b7ca0de79p-6, 0x1.44c615d0e7cfap-5, 0x1.9c1b88dfb47cp-5, 0x1.f3e0e2e2b10f6p-5, 0x1.25905e91c5f15p-4, 0x1.507ee82e87344p-4, 0x1.7a5a7f4bbb63ep-4, 0x1.a2cf094edca36p-4, 0x1.c995c2f47395dp-4, 0x1.ee74c8177a251p-4, 0x1.089f2dde17cc7p-3, 0x1.18e803355f5f9p-3, 0x1.2808ce1b889cfp-3, 0x1.35fa1be7cf063p-3, 0x1.42b89a449d5cfp-3, 0x1.4e4497481efcbp-3, 0x1.58a18715159adp-3, 0x1.61d5909ab7177p-3, 0x1.69e92264c7114p-3, 0x1.70e68ff2fab21p-3, 0x1.76d9b7b73c12ap-3, 0x1.7bcfb19b9a5b9p-3, 0x1.7fd685c79d6b4p-3, 0x1.82fceb433432fp-3, 0x1.85520e042f328p-3, 0x1.86e55be4527ep-3, 0x1.87c657f75cc16p-3, 0x1.880473bb5a751p-3, 0x1.87aeedae5747dp-3, 0x1.86d4b4e671139p-3, 0x1.8584512c0cf25p-3, 0x1.83cbcf205136bp-3, 0x1.81b8aff2acad4p-3, 0x1.7f57dc3bbc218p-3, 0x1.7cb59a0e02992p-3, 0x1.79dd85b4262bdp-3, 0x1.76da8d10b1de9p-3, 0x1.73b6ecc8c483dp-3, 0x1.707c2f1008a31p-3, 0x1.6d332bdcdcf12p-3, 0x1.69e40acb9ce15p-3, 0x1.6696464747d09p-3, 0x1.6350b06144c57p-3, 0x1.601977c71638fp-3, 0x1.5cf62d9111fedp-3, 0x1.59ebcb10c2facp-3, 0x1.56feb808b37c5p-3, 0x1.5432d167c6f7ep-3, 0x1.518b70c727246p-3, 0x1.4f0b73ce9e2a6p-3, 0x1.4cb5440690c2bp-3, 0x1.4a8ade1f14c3ap-3, 0x1.488dd919044b3p-3, 0x1.46bf6cf1322fp-3, 0x1.45207947bab44p-3, 0x1.43b18bccebcddp-3, 0x1.4272e6b410ffdp-3, 0x1.416487043c03bp-3, 0x1.40862ac2283dep-3, 0x1.3fd756d5a5599p-3, 0x1.3f575c9fbd4dcp-3, 0x1.3f055f36e0efep-3, 0x1.3ee05850659aap-3, 0x1.3ee71cdbc8c4cp-3, 0x1.3f18615cab03fp-3, 0x1.3f72be0bdbefap-3, 0x1.3ff4b2c48af31p-3, 0x1.409caac06e575p-3, 0x1.41690020e338cp-3, 0x1.4257ff4154d4ap-3, 0x1.4367e9d0af6fp-3, 0x1.4496f9ae11f87p-3, 0x1.45e363881ad77p-3, 0x1.474b594119a86p-3, 0x1.48cd0c17ee88bp-3, 0x1.4a66ae9bb2df9p-3, 0x1.4c16766c5b132p-3, 0x1.4dda9dccf9086p-3, 0x1.4fb1650a53aebp-3, 0x1.519913bb4868fp-3, 0x1.538ff9db3f55ap-3, 0x1.559470c2afb0fp-3, 0x1.57a4dbff5eebcp-3, 0x1.59bfaa0e64f58p-3, 0x1.5be354f8101c2p-3, 0x1.5e0e62d2424d7p-3, 0x1.603f66293eef6p-3, 0x1.6274fe4f5ba6bp-3, 0x1.64add79a63711p-3, 0x1.66e8ab8b93897p-3, 0x1.692440e7042f3p-3, 0x1.6b5f6bbc110ddp-3, 0x1.6d990d5e94681p-3, 0x1.6fd014563a59ap-3, 0x1.72037c3e526b8p-3, 0x1.74324d9eefad8p-3, 0x1.765b9dbbcd562p-3, 0x1.787e8e56f2b26p-3, 0x1.7a9a4d719f47cp-3, 0x1.7cae1500a7fd1p-3, 0x1.7eb92a9d5cbd4p-3, 0x1.80badf34bf176p-3, 0x1.82b28eaad56c6p-3, 0x1.849f9f840795bp-3, 0x1.8681828c05bf2p-3, 0x1.8857b27279ef5p-3, 0x1.8a21b3744a4abp-3, 0x1.8bdf1303c724bp-3, 0x1.8d8f676603a7ep-3, 0x1.8f324f5ff76b6p-3, 0x1.90c771e49ab81p-3, 0x1.924e7db6775a6p-3, 0x1.93c72918f0c89p-3, 0x1.95313184b1213p-3, 0x1.968c5b4f1cc1ep-3, 0x1.97d8715d006dfp-3, 0x1.991544ddf1c01p-3, 0x1.9a42acfa4d879p-3, 0x1.9b608685d3769p-3, 0x1.9c6eb3c1e2467p-3, 0x1.9d6d1c14ffe12p-3, 0x1.9e5babbf6285p-3, 0x1.9f3a53a146495p-3, 0x1.a00908fff4621p-3, 0x1.a0c7c540f4f32p-3, 0x1.a17685b12ee3cp-3, 0x1.a2154b5819c3cp-3, 0x1.a2a41abf57e32p-3, 0x1.a322fbb9def1fp-3, 0x1.a391f93dc0fc4p-3, 0x1.a3f1213e2789dp-3, 0x1.a440847789443p-3, 0x1.a48036452f5a8p-3, 0x1.a4b04c876ead5p-3, 0x1.a4d0df819d84bp-3, 0x1.a4e209abfc7bap-3, 0x1.a4e3e793be9dep-3, 0x1.a4d697c8ada6dp-3, 0x1.a4ba3abee3c52p-3, 0x1.a48ef2a5fd5d3p-3, 0x1.a454e34e58656p-3, 0x1.a40c321b7caabp-3, 0x1.a3b505ebce564p-3, 0x1.a34f86f42c9fdp-3, 0x1.a2dbdea6696d6p-3, 0x1.a25a37a6ce843p-3, 0x1.a1cabdbc08154p-3, 0x1.a12d9db0cf8c8p-3, 0x1.a0830539292afp-3, 0x1.9fcb22e7976a5p-3, 0x1.9f062625ac646p-3, 0x1.9e343f1fbc36bp-3, 0x1.9d559ea9e8797p-3, 0x1.9c6a763036c74p-3, 0x1.9b72f7b3436efp-3, 0x1.9a6f55c053503p-3, 0x1.995fc35d43d1dp-3, 0x1.984473f2597bep-3, 0x1.971d9b4190512p-3, 0x1.95eb6d6700155p-3, 0x1.94ae1ed1e8dap-3, 0x1.9365e4314cb88p-3, 0x1.9212f261b49dp-3, 0x1.90b57e6877b11p-3, 0x1.8f4dbd764e2f6p-3, 0x1.8ddbe4e19effdp-3, 0x1.8c602a1513371p-3, 0x1.8adac27fa757ap-3, 0x1.894be390fd41cp-3, 0x1.87b3c2bcad065p-3, 0x1.86129576de167p-3, 0x1.846891263705ep-3, 0x1.82b5eb153faf8p-3, 0x1.80fad86d47de2p-3, 0x1.7f378e38c9bf6p-3, 0x1.7d6c4162dc45bp-3, 0x1.7b9926ae47b15p-3, 0x1.79be72a896b68p-3, 0x1.77dc59a258bb4p-3, 0x1.75f30faeadbb9p-3, 0x1.7402c8a49c745p-3, 0x1.720bb81bc5156p-3, 0x1.700e116351ba1p-3, 0x1.6e0a0778ab112p-3, 0x1.6bffcd030c4e3p-3, 0x1.69ef9453d87c4p-3, 0x1.67d98f6731c8bp-3, 0x1.65bdefe062521p-3, 0x1.639ce702532c5p-3, 0x1.6176a5a88918dp-3, 0x1.5f4b5c44517bfp-3, 0x1.5d1b3add5fd0ap-3, 0x1.5ae671121406cp-3, 0x1.58ad2e14408edp-3, 0x1.566fa0a338a0fp-3, 0x1.542df706ed6eep-3, 0x1.51e85f0e4e15ap-3, 0x1.4f9f060fcc6fdp-3, 0x1.4d5218e8c5cadp-3, 0x1.4b01c3faa2aafp-3, 0x1.48ae3326e25d4p-3, 0x1.465791cc8d6afp-3, 0x1.43fe0ac806fafp-3, 0x1.41a1c872d80acp-3, 0x1.3f42f4a1e98ddp-3, 0x1.3ce1b8a27755cp-3, 0x1.3a7e3d37dfc28p-3, 0x1.3818aa9bbd44bp-3, 0x1.35b1287f4d3efp-3, 0x1.3347de0b738aep-3, 0x1.30dcf1ddcecdcp-3, 0x1.2e708a048d816p-3, 0x1.2c02cbfc7c184p-3, 0x1.2993dcb2eb69ep-3, 0x1.2723e0898576cp-3, 0x1.24b2fb5833d4ap-3, 0x1.2241506a905fbp-3, 0x1.1fcf027a6417fp-3, 0x1.1d5c33aba11b8p-3, 0x1.1ae9058d77baap-3, 0x1.1875991fdce0ap-3, 0x1.16020ed8f7dcap-3, 0x1.138e86a5f1f7ep-3, 0x1.111b1fe64bf35p-3, 0x1.0ea7f9653fe6ep-3, 0x1.0c353156a3739p-3, 0x1.09c2e55a30ab1p-3, 0x1.075132830e2aap-3, 0x1.04e0355e2ec7cp-3, 0x1.027009f2e3941p-3, 0x1.0000cbbd7fac9p-3, 0x1.fb252b508dbd2p-4, 0x1.f64b041050882p-4, 0x1.f1735540a5a2fp-4, 0x1.ec9e5154b94b5p-4, 0x1.e7cc29bc2a0f5p-4, 0x1.e2fd0ee739ecap-4, 0x1.de31303e4016cp-4, 0x1.d968bc1309589p-4, 0x1.d4a3df975714fp-4, 0x1.cfe2c6dfe1d03p-4, 0x1.cb259cf31dbfap-4, 0x1.c66c8bdb2fa03p-4, 0x1.c1b7bcb0b4ed2p-4, 0x1.bd075798ab506p-4, 0x1.b85b83b84ddadp-4, 0x1.b3b46727dfcc4p-4, 0x1.af1226edeb329p-4, 0x1.aa74e707166bfp-4, 0x1.a5dcca76de16fp-4, 0x1.a149f3588045p-4, 0x1.9cbc82e73b8ap-4, 0x1.9834997ac41c2p-4, 0x1.93b2567b5c81fp-4, 0x1.8f35d85604c5dp-4, 0x1.8abf3c78cbb1bp-4, 0x1.864e9f5a89c16p-4, 0x1.81e41c8accb72p-4, 0x1.7d7fcec2596d7p-4, 0x1.7921cfec9cd4cp-4, 0x1.74ca39268e9adp-4, 0x1.707922b521be1p-4, 0x1.6c2ea3f9e565fp-4, 0x1.67ead36d097c6p-4, 0x1.63adc6a125e6p-4, 0x1.5f77924feb9bbp-4, 0x1.5b484a6a5be54p-4, 0x1.57200225a107ep-4, 0x1.52fecbff956cep-4, 0x1.4ee4b9ba3ab8bp-4, 0x1.4ad1dc51e4p-4, 0x1.46c643f3fd6fap-4, 0x1.42c1fffc55ef6p-4, 0x1.3ec51efadf6cap-4, 0x1.3acfaec09ffcep-4, 0x1.36e1bc6ebcf8dp-4, 0x1.32fb5481f6d11p-4, 0x1.2f1c82d6b64a2p-4, 0x1.2b4552a53b6adp-4, 0x1.2775ce78fd23p-4, 0x1.23ae002836b06p-4, 0x1.1fedf0d06cedp-4, 0x1.1c35a8da5889cp-4, 0x1.188530048b156p-4, 0x1.14dc8d71463afp-4, 0x1.113bc7b2d8c42p-4, 0x1.0da2e4d28913cp-4, 0x1.0a11ea506ef8ep-4, 0x1.0688dd1d8e72cp-4, 0x1.0307c193ba0e2p-4, 0x1.ff1d36df08494p-5, 0x1.f83adb9f389f1p-5, 0x1.f16876750b566p-5, 0x1.eaa60b52c57e7p-5, 0x1.e3f39d2910acfp-5, 0x1.dd512dfc24541p-5, 0x1.d6bebeef16233p-5, 0x1.d03c50432a1b1p-5, 0x1.c9c9e14db98ebp-5, 0x1.c367706a73ff7p-5, 0x1.bd14faf10181fp-5, 0x1.b6d27d334ba42p-5, 0x1.b09ff28650f8p-5, 0x1.aa7d5553ca656p-5, 0x1.a46a9f2fc572p-5, 0x1.9e67c8ec8b4dap-5, 0x1.9874caa7a1435p-5, 0x1.92919bcd4dcbep-5, 0x1.8cbe3313793b3p-5, 0x1.86fa866f8e6c8p-5, 0x1.81468b0ca65efp-5, 0x1.7ba23546ce389p-5, 0x1.760d78ae16d42p-5, 0x1.7088481161311p-5, 0x1.6b12958e757c3p-5, 0x1.65ac52a38fc1p-5, 0x1.6055703e48029p-5, 0x1.5b0ddec4a4c09p-5, 0x1.55d58e176ce0fp-5, 0x1.50ac6d8e18575p-5, 0x1.4b926bf007176p-5, 0x1.4687776e3fd76p-5, 0x1.418b7da10b26bp-5, 0x1.3c9e6b8affd17p-5, 0x1.37c02da14a623p-5, 0x1.32f0afd77fb16p-5, 0x1.2e2fddac8e8f1p-5, 0x1.297da23646acfp-5, 0x1.24d9e8298725p-5, 0x1.204499ddf8ac6p-5, 0x1.1bbda14da3ac2p-5, 0x1.1744e811e4eb7p-5, 0x1.12da575ffea7fp-5, 0x1.0e7dd8075fb9ap-5, 0x1.0a2f527306ef4p-5, 0x1.05eeaeae338c2p-5, 0x1.01bbd46b9b68p-5, 0x1.fb2d561be5a78p-6, 0x1.f2fe3360be0fbp-6, 0x1.eaea0e5b5c0cfp-6, 0x1.e2f0b44b03c8ep-6, 0x1.db11f1fdf1cc4p-6, 0x1.d34d93d3289dap-6, 0x1.cba365b77324cp-6, 0x1.c4133324fbd1p-6, 0x1.bc9cc723eaedfp-6, 0x1.b53fec4ddf64fp-6, 0x1.adfc6cd50153dp-6, 0x1.a6d2128eec647p-6, 0x1.9fc0a6ff2baa4p-6, 0x1.98c7f36202e6dp-6, 0x1.91e7c0b60398p-6, 0x1.8b1fd7c3c708bp-6, 0x1.847001235b64fp-6, 0x1.7dd8053f8598cp-6, 0x1.7757ac5739c8fp-6, 0x1.70eebe7e7de99p-6, 0x1.6a9d039fd424p-6, 0x1.6462437f370b9p-6, 0x1.5e3e45bef9f4ap-6, 0x1.5830d1e6335cdp-6, 0x1.5239af67e49ddp-6, 0x1.4c58a5aa138d6p-6, 0x1.468d7c0c6086p-6, 0x1.40d7f9edc8a1p-6, 0x1.3b37e6b1b96cp-6, 0x1.35ad09c402b3fp-6, 0x1.30372a9c012adp-6, 0x1.2ad610bed42b3p-6, 0x1.258983c120c8fp-6, 0x1.20514b48c0791p-6, 0x1.1b2d2f0f74171p-6, 0x1.161cf6e5e9f3ap-6, 0x1.11206ab819e0ap-6, 0x1.0c375291daf17p-6, 0x1.076176a380f8cp-6, 0x1.029e9f462f6fp-6, 0x1.fbdd29ffa3249p-7, 0x1.f2a2410d43de6p-7, 0x1.e98c1588d716cp-7, 0x1.e09a39b2d6b8cp-7, 0x1.d7cc403d61f07p-7, 0x1.cf21bc4ffb96dp-7, 0x1.c69a418a61cedp-7, 0x1.be35640754bedp-7, 0x1.b5f2b85fad823p-7, 0x1.add1d3ae81ea8p-7, 0x1.a5d24b963bb9dp-7, 0x1.9df3b64666d31p-7, 0x1.9635aa819cf82p-7, 0x1.8e97bfa30529bp-7, 0x1.87198da35f9fbp-7, 0x1.7fbaad1d6a477p-7, 0x1.787ab751d4aaap-7, 0x1.7159462aca48bp-7, 0x1.6a55f43f027f7p-7, 0x1.63705cd44abfep-7, 0x1.5ca81be1775bep-7, 0x1.55fcce10274adp-7, 0x1.4f6e10be6085ap-7, 0x1.48fb8200b4e79p-7, 0x1.42a4c0a4c21cap-7, 0x1.3c696c344a2p-7, 0x1.364924f84ef6fp-7, 0x1.30438bfbff8dep-7, 0x1.2a58430f18f9p-7, 0x1.2486ecc7d742p-7, 0x1.1ecf2c8491349p-7, 0x1.1930a66d412a3p-7, 0x1.13aaff7553817p-7, 0x1.0e3ddd5d86abbp-7, 0x1.08e8e6b5dbfbp-7, 0x1.03abc2df2fe9bp-7, 0x1.fd0c3418dcea9p-8, 0x1.f2ef2a85fdd96p-8, 0x1.e8ffbcb5811edp-8, 0x1.df3d3ffb7071ap-8, 0x1.d5a70b4f9132cp-8, 0x1.cc3c774d9c70ep-8, 0x1.c2fcde365861dp-8, 0x1.b9e79bf1d7709p-8, 0x1.b0fc0e1291b73p-8, 0x1.a83993d8be16bp-8, 0x1.9f9f8e3596319p-8, 0x1.972d5fcdca1cbp-8, 0x1.8ee26cfa4e693p-8, 0x1.86be1bc7a847cp-8, 0x1.7ebfd3f354687p-8, 0x1.76e6fee80c7f7p-8, 0x1.6f3307b9dd804p-8, 0x1.67a35b225384ep-8, 0x1.6037677f1c7e6p-8, 0x1.58ee9cd24038ap-8, 0x1.51c86cc408b5ep-8, 0x1.4ac44aa6ef54ap-8, 0x1.43e1ab7ae6b3cp-8, 0x1.3d2005ef51b1bp-8, 0x1.367ed2625e324p-8, 0x1.2ffd8add65613p-8, 0x1.299bab0eb1b3bp-8, 0x1.2358b04201383p-8, 0x1.1d3419596fc33p-8, 0x1.172d66c844f72p-8, 0x1.11441a90fc255p-8, 0x1.0b77b846840f1p-8, 0x1.05c7c510281afp-8, 0x1.0033c7ae90326p-8, 0x1.f57690ff89684p-9, 0x1.eabba300bfb57p-9, 0x1.e035dc9210a0cp-9, 0x1.d5e4580ebf297p-9, 0x1.cbc632e86d37cp-9, 0x1.c1da8d9022791p-9, 0x1.b8208b615776bp-9, 0x1.ae9752936ebc9p-9, 0x1.a53e0c3407ep-9, 0x1.9c13e42b9c016p-9, 0x1.93180949e8366p-9, 0x1.8a49ad56aab6fp-9, 0x1.81a80520b281ep-9, 0x1.793248861e6d4p-9, 0x1.70e7b27099f0ep-9, 0x1.68c780c58d8a6p-9, 0x1.60d0f44a515cfp-9, 0x1.59035081cb77fp-9, 0x1.515ddb896addp-9, 0x1.49dfddfcf43aap-9, 0x1.4288a2e6ca85p-9, 0x1.3b5777c0a67b7p-9, 0x1.344bac841c1ap-9, 0x1.2d6493c7561a5p-9, 0x1.26a182de7c994p-9, 0x1.2001d1f8333b9p-9, 0x1.1984dc2c975efp-9, 0x1.1329ff77f6355p-9, 0x1.0cf09c9f8b00dp-9, 0x1.06d817027d75bp-9, 0x1.00dfd45f85091p-9, 0x1.f60e7930f3e72p-10, 0x1.ea9b730047b7ep-10, 0x1.df656d76c72fcp-10, 0x1.d46b4378f2c8ep-10, 0x1.c9abd3b55138bp-10, 0x1.bf260104efeedp-10, 0x1.b4d8b2ebafd5bp-10, 0x1.aac2d61e477ep-10, 0x1.a0e35cef98fdfp-10, 0x1.97393f898c733p-10, 0x1.8dc37bdf03e33p-10, 0x1.8481155218bd5p-10, 0x1.7b71141bea16cp-10, 0x1.7292848e8e071p-10, 0x1.69e476529bfdep-10, 0x1.6165fbc25cca4p-10, 0x1.5916297cd58ebp-10, 0x1.50f41642c3579p-10, 0x1.48fedb23491edp-10, 0x1.413593f320d01p-10, 0x1.39975ffc92898p-10, 0x1.322362d36ebb9p-10, 0x1.2ad8c51d273aap-10, 0x1.23b6b53155776p-10, 0x1.1cbc6763bc033p-10, 0x1.15e915e2fee13p-10, 0x1.0f3c00279bd91p-10, 0x1.08b46a083cde1p-10, 0x1.02519a9ea5333p-10, 0x1.f825b6563886bp-11, 0x1.ebeeec6f6d23dp-11, 0x1.dffd6de977a7ep-11, 0x1.d44fd23447573p-11, 0x1.c8e4b21e2e54ap-11, 0x1.bdbaa8da29cc7p-11, 0x1.b2d05583fa837p-11, 0x1.a8245cfea6c01p-11, 0x1.9db56bfc62123p-11, 0x1.938238ef7e1b5p-11, 0x1.89898592043bbp-11, 0x1.7fca1faf3ba84p-11, 0x1.7642e0ea75496p-11, 0x1.6cf2ad72b10ccp-11, 0x1.63d871cf139cfp-11, 0x1.5af3202f25c14p-11, 0x1.5241adcaae35cp-11, 0x1.49c310d3fd0d2p-11, 0x1.41763f5382e25p-11, 0x1.395a2ef9e87a4p-11, 0x1.316dd5ba92c7ep-11, 0x1.29b02adbe5c1ap-11, 0x1.222028342dcdp-11, 0x1.1abccb67ad72ap-11, 0x1.1385172896309p-11, 0x1.0c7814844aa43p-11, 0x1.0594d43e09932p-11, 0x1.fdb4e0180c59cp-12, 0x1.f09016cedcddcp-12, 0x1.e3b9a72551968p-12, 0x1.d72ffd2cb9d7bp-12, 0x1.caf192731ff02p-12, 0x1.befce8950edap-12, 0x1.b35083a39282fp-12, 0x1.a7eae5b9a86b1p-12, 0x1.9cca8ccf0506bp-12, 0x1.91edf32449628p-12, 0x1.875391ca82a0bp-12, 0x1.7cf9e425ef461p-12, 0x1.72df6b1f50dcdp-12, 0x1.6902af1ba807p-12, 0x1.5f62409762bf2p-12, 0x1.55fcb8010981bp-12, 0x1.4cd0b5ce1c1f3p-12, 0x1.43dce392f17fdp-12, 0x1.3b1ff644b81bcp-12, 0x1.3298b10d35de9p-12, 0x1.2a45e794e12dfp-12, 0x1.22267e99741fp-12, 0x1.1a396a1aaf1cp-12, 0x1.127da92b9aa66p-12, 0x1.0af2405b645bbp-12, 0x1.0396343d988b4p-12, 0x1.f8d10b69f6196p-13, 0x1.ead0622acb4c9p-13, 0x1.dd28606af9924p-13, 0x1.cfd6fce5c2cd9p-13, 0x1.c2da39cb210f5p-13, 0x1.b63029e741ac2p-13, 0x1.a9d6f05ba43b9p-13, 0x1.9dccbb3dee676p-13, 0x1.920fbbd4ca05dp-13, 0x1.869e2058e9b99p-13, 0x1.7b76126707815p-13, 0x1.7095bb38f284dp-13, 0x1.65fb4c4b63439p-13, 0x1.5ba509373b446p-13, 0x1.51914f5d2aacdp-13, 0x1.47be988ea596fp-13, 0x1.3e2b77bb4d395p-13, 0x1.34d690a5f3682p-13, 0x1.2bbe8d78e83b9p-13, 0x1.22e215c0a7705p-13, 0x1.1a3fc9c958076p-13, 0x1.11d643bb2059cp-13, 0x1.09a41dda36e51p-13, 0x1.01a7fb9da796p-13, 0x1.f3c12486c30f1p-14, 0x1.e4995adda494ap-14, 0x1.d5d65b0ccb85dp-14, 0x1.c775ffa572caap-14, 0x1.b9762651a9eb5p-14, 0x1.abd49b7f77448p-14, 0x1.9e8f1111ea86ep-14, 0x1.91a323c570216p-14, 0x1.850e6c4454ff4p-14, 0x1.78ce948cb3941p-14, 0x1.6ce169df53b87p-14, 0x1.6144e62035b63p-14, 0x1.55f72edfe8696p-14, 0x1.4af68b3a03562p-14, 0x1.404154685f23cp-14, 0x1.35d5e678b526ap-14, 0x1.2bb295fdbfe73p-14, 0x1.21d5acc8748bbp-14, 0x1.183d6cd1a75fep-14, 0x1.0ee8173417f71p-14, 0x1.05d3f56eebbf2p-14, 0x1.f9fec6b71286ap-15, 0x1.e8d1ae99cb042p-15, 0x1.d81dc90a3cb4dp-15, 0x1.c7e0698463377p-15, 0x1.b816f29a024e6p-15, 0x1.a8beb1b8fc763p-15, 0x1.99d4c5bb44979p-15, 0x1.8b561e10b0af6p-15, 0x1.7d3f9352e6077p-15, 0x1.6f8e0ba04ab72p-15, 0x1.623e9888d9b7ep-15, 0x1.554e850ef25dp-15, 0x1.48bb56da15cf4p-15, 0x1.3c82c9bb4f31dp-15, 0x1.30a2c7e9213fp-15, 0x1.25195de7b4828p-15, 0x1.19e4aba6765e1p-15, 0x1.0f02d768c8f3p-15, 0x1.0472054b5222cp-15, 0x1.f460a5aed9525p-16, 0x1.e077aaa06981bp-16, 0x1.cd2535a61cd3ep-16, 0x1.ba655d874e29p-16, 0x1.a83441ac0195fp-16, 0x1.968e1a1b2d2eep-16, 0x1.856f44fe38d0cp-16, 0x1.74d44bc810e97p-16, 0x1.64b9d9c8926aep-16, 0x1.551ca3cf48e07p-16, 0x1.45f94c9cea03p-16, 0x1.374c5aa0347dfp-16, 0x1.29124c08083a1p-16, 0x1.1b47bd23b720dp-16, 0x1.0de97f7daa379p-16, 0x1.00f48c3291296p-16, 0x1.e8cbc9630835ap-17, 0x1.d07524ac2f36ep-17, 0x1.b8df8cb019c1fp-17, 0x1.a206001299e95p-17, 0x1.8be42bca1d59p-17, 0x1.767616797585dp-17, 0x1.61b7be280131ap-17, 0x1.4da4db8139a43p-17, 0x1.3a38ec40b0801p-17, 0x1.276f7505aeb45p-17, 0x1.15444106b7a26p-17, 0x1.03b36b6d7f51ap-17, 0x1.e5725b5acb8e7p-18, 0x1.c4a34d1888d0bp-18, 0x1.a4f19ffca82d5p-18, 0x1.8655552ff6b78p-18, 0x1.68c6ef28bd328p-18, 0x1.4c3fa594a12bep-18, 0x1.30b92f4276b17p-18, 0x1.162d3f1bab761p-18, 0x1.f92a13e232455p-19, 0x1.c7d26a687c52fp-19, 0x1.984479f38ca4dp-19, 0x1.6a71a840d3485p-19, 0x1.3e4b5090d39efp-19, 0x1.13c18539b24cp-19, 0x1.d586546a34dc2p-20, 0x1.8680df7a7e8fdp-20, 0x1.3a5b38973504bp-20, 0x1.e20cdd8916c1ap-21, 0x1.54ed4bf71996ap-21, 0x1.9a736f5ae57bcp-22, 0x1.2b267e0e4742cp-23, -0x1.9480e79c696c8p-24, -0x1.55f78e572c69ap-22, -0x1.1e984ebbdb3fep-21, -0x1.8d7ec5c1d31ffp-21, -0x1.f7c9744e325e9p-21, -0x1.2ecc3012b18edp-20, -0x1.5f88999b51a3bp-20, -0x1.8e2e2320cf068p-20, -0x1.bad08ecf9fd21p-20, -0x1.e581c9af2455cp-20, -0x1.0728886eac5fbp-19, -0x1.1aa567e50a9c2p-19, -0x1.2d3cb2c28e71ep-19, -0x1.3ef3630eb06d7p-19, -0x1.4fcf1795f00bdp-19, -0x1.5fd63de726363p-19, -0x1.6f0f482d8192cp-19, -0x1.7d7ff6cf9062ep-19, -0x1.8b2e2e3f58bbp-19, -0x1.9821c0595571fp-19, -0x1.a46449fc06bc5p-19, -0x1.affe07a07ea36p-19, -0x1.baf3262ba0436p-19, -0x1.c545386d8c48ep-19, -0x1.cef7269e9ff05p-19, -0x1.d80f23c50957dp-19, -0x1.e09507371e66dp-19, -0x1.e88f4cb2effcfp-19, -0x1.f001e829cb189p-19, -0x1.f6ef9da3cef55p-19, -0x1.fd5bcc68ba37ap-19, -0x1.01a574c5abc3ep-18, -0x1.0460f8f6b36d8p-18, -0x1.06e2eccd93b71p-18, -0x1.092dae05d7d71p-18, -0x1.0b437eb76cde9p-18, -0x1.0d267fded215cp-18, -0x1.0ed89eb1552ddp-18, -0x1.105b7f4011538p-18, -0x1.11b072bb31215p-18, -0x1.12d884d3504f2p-18, -0x1.13d4a88cea8edp-18, -0x1.14a600dcd1035p-18, -0x1.154e1d82c9cf3p-18, -0x1.15cee4cd4df38p-18, -0x1.162a1d6707c9dp-18, -0x1.16611867b6c89p-18, -0x1.16750dd8b8cdp-18, -0x1.1667cd78ca295p-18, -0x1.163b8102359ap-18, -0x1.15f160188087cp-18, -0x1.158959917babbp-18, -0x1.15038936e8af6p-18, -0x1.1461634db4ac2p-18, -0x1.13a50b0ffb116p-18, -0x1.12cff6ed478abp-18, -0x1.11e2c1d419109p-18, -0x1.10de0dfac98c7p-18, -0x1.0fc2fe84b6265p-18, -0x1.0e92ef03505bdp-18, -0x1.0d4f1620ad4c4p-18, -0x1.0bf86d0f21633p-18, -0x1.0a8fc1ac4a9bbp-18, -0x1.0915ce99b37ecp-18, -0x1.078b4b49311e2p-18, -0x1.05f0f22f0a493p-18, -0x1.04477f34d57d9p-18, -0x1.028faa92de2b5p-18, -0x1.00ca2490e5477p-18, -0x1.fdef271104db4p-19, -0x1.fa31256212b11p-19, -0x1.f65b66231a007p-19, -0x1.f26f0e789f90ep-19, -0x1.ee6d7e5e48948p-19, -0x1.ea587b1a38f04p-19, -0x1.e631f1b5fc42ap-19, -0x1.e1fb51a3991bfp-19, -0x1.ddb522d6ab43p-19, -0x1.d95f9d2c9c54ep-19, -0x1.d4fbf532957adp-19, -0x1.d08c1a4aff62p-19, -0x1.cc10c55beefd8p-19, -0x1.c789ebc97d425p-19, -0x1.c2f8d376c3d6p-19, -0x1.be5f5841a736p-19, -0x1.b9bdfd8b9e7bdp-19, -0x1.b5148c974d7a1p-19, -0x1.b0637e507068fp-19, -0x1.ababd025ecdacp-19, -0x1.a6ee6d9377564p-19, -0x1.a22c152fda747p-19, -0x1.9d65a4219d5f8p-19, -0x1.989bcf3a98972p-19, -0x1.93cf60a2c676cp-19, -0x1.8f01081142215p-19, -0x1.8a315fcf24137p-19, -0x1.8560f29d0d499p-19, -0x1.809042bb06a26p-19, -0x1.7bbfce8317dap-19, -0x1.76f012a1264b6p-19, -0x1.72218af8d98bbp-19, -0x1.6d54b1cf5e5cfp-19, -0x1.6889fb8e23b0dp-19, -0x1.63c1cf5414bf2p-19, -0x1.5efc822cafaadp-19, -0x1.5a3a6138b8d1bp-19, -0x1.557bce2aa7732p-19, -0x1.50c14fbf94db5p-19, -0x1.4c0b6c45d10b9p-19, -0x1.475a5d692dd82p-19, -0x1.42ade67b4d2adp-19, -0x1.3e05d1f0f5409p-19, -0x1.3962e031a4e72p-19, -0x1.34c616edfb996p-19, -0x1.302f886157aefp-19, -0x1.2b9f81b79ca93p-19, -0x1.271694c8e93c2p-19, -0x1.229498c95b366p-19, -0x1.1e19932bc02f1p-19, -0x1.19a60acaf6d58p-19, -0x1.153a5ea34e02p-19, -0x1.10d6a1a60c46bp-19, -0x1.0c7ad8a9a5d45p-19, -0x1.08272801821b4p-19, -0x1.03dbd087f81dfp-19, -0x1.ff3212e65d17bp-20, -0x1.f6bdc5a728583p-20, -0x1.ee5aa9070156ep-20, -0x1.e608cbb02b95bp-20, -0x1.ddc87ce8e7662p-20, -0x1.d59a2d6e25663p-20, -0x1.cd7e44aada275p-20, -0x1.c5750f33089eap-20, -0x1.bd7ec2fb1ac52p-20, -0x1.b59b899206becp-20, -0x1.adcb870ddb76bp-20, -0x1.a60edf0504e54p-20, -0x1.9e65af0f9da46p-20, -0x1.96d00e26b32b1p-20, -0x1.8f4e082158d85p-20, -0x1.87dfa588d102ap-20, -0x1.8084fe8d5f767p-20, -0x1.793e3f7196314p-20, -0x1.720b8fe23a571p-20, -0x1.6aecf2e272a7cp-20, -0x1.63e21efb0434bp-20, -0x1.5ceab2e349f0ep-20, -0x1.56073998ffaf8p-20, -0x1.4f3864d2b8b7cp-20, -0x1.487e2ca53ab76p-20, -0x1.41d86d40924abp-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.91d63e5506ed6p-9, 0x1.91c42a1c31b82p-8, 0x1.2d3b1ab19867fp-7, 0x1.917381f0deceap-7, 0x1.f57a8b0a68487p-7, 0x1.2c9d93cf1c375p-6, 0x1.5e4dcb4a69fb8p-6, 0x1.8fbea17c1d54cp-6, 0x1.c0de6e06c21a7p-6, 0x1.f1994d952335fp-6, 0x1.10ecaadc1f98ap-5, 0x1.28c36a2251b2dp-5, 0x1.40444ac9cdf52p-5, 0x1.576217057ef0dp-5, 0x1.6e0f22207f693p-5, 0x1.843d6cef6d69p-5, 0x1.99dec90078d1fp-5, 0x1.aee4fa1f96821p-5, 0x1.c341d5e714e48p-5, 0x1.d6e76129cfa29p-5, 0x1.e9c7eb1056a17p-5, 0x1.fbd625ca8b59bp-5, 0x1.06829e5ecd7a1p-4, 0x1.0ea4740ec937ep-4, 0x1.164abef4c18c3p-4, 0x1.1d70002559eccp-4, 0x1.240f14b09b87bp-4, 0x1.2a233a491fd18p-4, 0x1.2fa812bb319d3p-4, 0x1.3499a6470fe8bp-4, 0x1.38f464f51cfdp-4, 0x1.3cb526fd55c12p-4, 0x1.3fd92c5d15701p-4, 0x1.425e1bb6ec75bp-4, 0x1.44420098212e2p-4, 0x1.4583493ea3f6bp-4, 0x1.4620c3f8999cap-4, 0x1.46199c34abf0dp-4, 0x1.456d5757ef972p-4, 0x1.441bd16b86935p-4, 0x1.422539b194c6cp-4, 0x1.3f8a0f2e64afcp-4, 0x1.3c4b1d300704bp-4, 0x1.386977dc744afp-4, 0x1.33e678cc0bf6ap-4, 0x1.2ec3bbb45af4ap-4, 0x1.29031b25a01f2p-4, 0x1.22a6ad5c1b3eep-4, 0x1.1bb0c125393eep-4, 0x1.1423dad7dbe24p-4, 0x1.0c02b15e937fbp-4, 0x1.03502b5210d8cp-4, 0x1.f41eb8445c94fp-5, 0x1.e08702978e3d4p-5, 0x1.cbdfff3352773p-5, 0x1.b630c0de9cbf2p-5, 0x1.9f809e382c143p-5, 0x1.87d72c6c5612bp-5, 0x1.6f3c39f91fb24p-5, 0x1.55b7c9802935cp-5, 0x1.3b520ca6a26e9p-5, 0x1.20135f042d6d8p-5, 0x1.04044121f1ec8p-5, 0x1.ce5aa717b55e1p-6, 0x1.932ea3ec25e7cp-6, 0x1.56961cf2d2879p-6, 0x1.18a2d9d2b43c6p-6, 0x1.b2cd791a7f07ap-7, 0x1.31e771454a988p-7, 0x1.5d6f29ed03e23p-8, 0x1.4b0ef1bd357ccp-10, -0x1.77d71ead6d2fp-9, -0x1.ce571ede536e7p-8, -0x1.721bd86ea6ceap-7, -0x1.fea33c7b6f392p-7, -0x1.464f4e78b2391p-6, -0x1.8df5977f6cef1p-6, -0x1.d633438eabb91p-6, -0x1.0f7ba8edc30fdp-5, -0x1.34187dbdb1199p-5, -0x1.58e7dbf0783ecp-5, -0x1.7de1a0772f8cep-5, -0x1.a2fdcb4ed4ad2p-5, -0x1.c834812056809p-5, -0x1.ed7e0cad65d26p-5, -0x1.09697005c9dbdp-4, -0x1.1c15cad78b90ep-4, -0x1.2ec078a38a7c6p-4, -0x1.4165f036b8275p-4, -0x1.5402bd960d6e8p-4, -0x1.6693822d2dcc3p-4, -0x1.7914f4ea20089p-4, -0x1.8b83e24770e53p-4, -0x1.9ddd2c45f1589p-4, -0x1.b01dca576c7f1p-4, -0x1.c242c93b959b8p-4, -0x1.d4494ad082914p-4, -0x1.e62e85d80e75ap-4, -0x1.f7efc5b342cd7p-4, -0x1.04c5350a9ccc9p-3, -0x1.0d7df35740ea9p-3, -0x1.1620e1692f9e2p-3, -0x1.1eaccc8b6a466p-3, -0x1.27208b785d20ap-3, -0x1.2f7afe266337ap-3, -0x1.37bb0d934a5bp-3, -0x1.3fdfab8f3a853p-3, -0x1.47e7d2877f593p-3, -0x1.4fd285517f5d7p-3, -0x1.579ecef6518bp-3, -0x1.5f4bc27f340b7p-3, -0x1.66d87ac330aaap-3, -0x1.6e441a36355c5p-3, -0x1.758dcab9d0542p-3, -0x1.7cb4bd6fca9fep-3, -0x1.83b82a8ec7f75p-3, -0x1.8a9751390462dp-3, -0x1.9151775561dc9p-3, -0x1.97e5e96abe00cp-3, -0x1.9e53fa7dba064p-3, -0x1.a49b03f0e6ec7p-3, -0x1.aaba65676d9e1p-3, -0x1.b0b184aa1c2acp-3, -0x1.b67fcd8eee146p-3, -0x1.bc24b1e2df4f6p-3, -0x1.c19fa95627de5p-3, -0x1.c6f0316aaa60cp-3, -0x1.cc15cd648daa7p-3, -0x1.d110063cf6d51p-3, -0x1.d5de6a96afe7p-3, -0x1.da808eb4bbef6p-3, -0x1.def60c72a3d23p-3, -0x1.e33e833e6a2b1p-3, -0x1.e759981402384p-3, -0x1.eb46f57a269c7p-3, -0x1.ef064b807bbe7p-3, -0x1.f2974fbec579cp-3, -0x1.f5f9bd5525921p-3, -0x1.f92d54ed2fe62p-3, -0x1.fc31dcbbbe634p-3, -0x1.ff0720835d254p-3, -0x1.00d678cb99bfp-2, -0x1.0211936f20467p-2, -0x1.0334ce6b6d57fp-2, -0x1.04401acd23cb2p-2, -0x1.05336c702b7adp-2, -0x1.060eba01701cfp-2, -0x1.06d1fd0084643p-2, -0x1.077d31c11dfe7p-2, -0x1.0810576c5efe1p-2, -0x1.088b7001dbf9ep-2, -0x1.08ee80585d202p-2, -0x1.0939901e443f5p-2, -0x1.096ca9d99d0cp-2, -0x1.0987dae7c0546p-2, -0x1.098b337c8d359p-2, -0x1.0976c6a1287d9p-2, -0x1.094aaa32454dap-2, -0x1.0906f6dde6b82p-2, -0x1.08abc8209c8b8p-2, -0x1.08393c42327fcp-2, -0x1.07af7451d1c5ap-2, -0x1.070e94218d0d9p-2, -0x1.0656c24158c83p-2, -0x1.058827f96a594p-2, -0x1.04a2f143fd5c9p-2, -0x1.03a74cc6819fbp-2, -0x1.02956bca2c19p-2, -0x1.016d8233ec9e8p-2, -0x1.002fc67bcda3ap-2, -0x1.fdb8e347716d1p-3, -0x1.fae77e5b4846p-3, -0x1.f7ebda225a801p-3, -0x1.f4c677614172ap-3, -0x1.f177db9ae28a7p-3, -0x1.ee0090f849654p-3, -0x1.ea61262f6e9b3p-3, -0x1.e69a2e68f4e48p-3, -0x1.e2ac4124e6472p-3, -0x1.de97fa1e7f60bp-3, -0x1.da5df92effff8p-3, -0x1.d5fee22fa2785p-3, -0x1.d17b5cdab8d79p-3, -0x1.ccd414abf453dp-3, -0x1.c809b8bfeec12p-3, -0x1.c31cfbb2fb4dp-3, -0x1.be0e937f4ad2cp-3, -0x1.b8df395a6d758p-3, -0x1.b38fa9924236dp-3, -0x1.ae20a3695d54cp-3, -0x1.a892e8f2f545p-3, -0x1.a2e73eee5ab3dp-3, -0x1.9d1e6ca216c99p-3, -0x1.97393bb6a990bp-3, -0x1.9138781106624p-3, -0x1.8b1cefaccf3bdp-3, -0x1.84e772765c2f7p-3, -0x1.7e98d224a78f2p-3, -0x1.7831e21318ab3p-3, -0x1.71b3771b4240dp-3, -0x1.6b1e676ea7f12p-3, -0x1.64738a70873ddp-3, -0x1.5db3b88fb9261p-3, -0x1.56dfcb20b28d7p-3, -0x1.4ff89c37b5e45p-3, -0x1.48ff068338b66p-3, -0x1.41f3e526888dap-3, -0x1.3ad81394c0c28p-3, -0x1.33ac6d6c0cd2p-3, -0x1.2c71ce51527f8p-3, -0x1.252911cc3af62p-3, -0x1.1dd31323b2a8ap-3, -0x1.1670ad3add4e5p-3, -0x1.0f02ba6e8dcf8p-3, -0x1.078a147344c7dp-3, -0x1.00079433bd86bp-3, -0x1.f0f823602f44fp-4, -0x1.e1d0c7bb2a658p-4, -0x1.d29ac10e0055bp-4, -0x1.c357b85b82c55p-4, -0x1.b40953d72a25bp-4, -0x1.a4b136aa117e5p-4, -0x1.955100b93a2c6p-4, -0x1.85ea4e6d6ac3ep-4, -0x1.767eb87c7e7ebp-4, -0x1.670fd3b446203p-4, -0x1.579f30c6fb00cp-4, -0x1.482e5c1940bd2p-4, -0x1.38bedd91d155p-4, -0x1.2952386abc7fep-4, -0x1.19e9eb045799ep-4, -0x1.0a876eb9cd9e2p-4, -0x1.f6586f6ec29cdp-5, -0x1.d7b369a4b3ee2p-5, -0x1.b9229ec541ee4p-5, -0x1.9aa8d63c1a79cp-5, -0x1.7c48cbead04aap-5, -0x1.5e052fe631248p-5, -0x1.3fe0a6370547ap-5, -0x1.21ddc69e3b547p-5, -0x1.03ff1c5c6043p-5, -0x1.cc8e4bf8d6532p-6, -0x1.9170aa43ec52dp-6, -0x1.56aa1cb54c745p-6, -0x1.1c3f51e5d980ep-6, -0x1.c469bb3814216p-7, -0x1.511e71049d361p-7, -0x1.bd4aff8f4940cp-8, -0x1.b41dab7c32b2p-9, 0x1.d9c0fe869875cp-14, 0x1.ce0ccc6f62a6ap-9, 0x1.c4bf9a5129936p-8, 0x1.5041ad7419db6p-7, 0x1.bd216a324582ap-7, 0x1.147be956026c8p-6, 0x1.49def7b31a692p-6, 0x1.7eb6811ea4ce3p-6, 0x1.b2ff433b06becp-6, 0x1.e6b61862059d9p-6, 0x1.0cebfbd14b757p-5, 0x1.2630fa5ce4064p-5, 0x1.3f28a0034a3e5p-5, 0x1.57d1933c70fb8p-5, 0x1.702a88bdf3728p-5, 0x1.8832436de6a66p-5, 0x1.9fe794537e427p-5, 0x1.b7495a858150ep-5, 0x1.ce5683169fb2fp-5, 0x1.e50e08ffc47f2p-5, 0x1.fb6ef5086709p-5, 0x1.08bc2ed67a202p-4, 0x1.1394b381acf4ap-4, 0x1.1e40a14eee3e4p-4, 0x1.28bf97b609b97p-4, 0x1.33113ccd2e1ap-4, 0x1.3d353d37d0f0fp-4, 0x1.472b4c14d3df5p-4, 0x1.50f322ebee6d9p-4, 0x1.5a8c819a5efep-4, 0x1.63f72e3ef7cap-4, 0x1.6d32f52583298p-4, 0x1.763fa8b18d37ap-4, 0x1.7f1d21489d365p-4, 0x1.87cb3d3bdafe4p-4, 0x1.9049e0b13b666p-4, 0x1.9898f58c22ebap-4, 0x1.a0b86b55a0342p-4, 0x1.a8a837242de32p-4, 0x1.b0685383118efp-4, 0x1.b7f8c059604a7p-4, 0x1.bf5982d09adbcp-4, 0x1.c68aa53b0f5ecp-4, 0x1.cd8c36f9da253p-4, 0x1.d45e4c62b1cfep-4, 0x1.db00fea56b47cp-4, 0x1.e1746bb14ab21p-4, 0x1.e7b8b61a28696p-4, 0x1.edce04fd61307p-4, 0x1.f3b483e6a6b9ep-4, 0x1.f96c62b4b2481p-4, 0x1.fef5d57de231p-4, 0x1.02288a3a5937fp-3, 0x1.04bf2de61fe2ap-3, 0x1.073ef5ce5677ep-3, 0x1.09a803e3c938ap-3, 0x1.0bfa7bee31e3cp-3, 0x1.0e36837e76a2bp-3, 0x1.105c41e0e1ec3p-3, 0x1.126be00f6f841p-3, 0x1.146588a4197a8p-3, 0x1.164967cb36c2ep-3, 0x1.1817ab35ea818p-3, 0x1.19d0820c99812p-3, 0x1.1b741ce17f533p-3, 0x1.1d02ada34fc08p-3, 0x1.1e7c678ff0dadp-3, 0x1.1fe17f274b0c5p-3, 0x1.21322a1e38d14p-3, 0x1.226e9f5189cb7p-3, 0x1.239716b929e69p-3, 0x1.24abc95b62df6p-3, 0x1.25acf1403c94bp-3, 0x1.269ac96505ce4p-3, 0x1.27758daff7672p-3, 0x1.283d7ae400cfcp-3, 0x1.28f2ce94b51b7p-3, 0x1.2995c71a6408cp-3, 0x1.2a26a386571a9p-3, 0x1.2aa5a39733a2ap-3, 0x1.2b1307ad8fd05p-3, 0x1.2b6f10c0a688fp-3, 0x1.2bba00534006cp-3, 0x1.2bf41868bda73p-3, 0x1.2c1d9b7a5e049p-3, 0x1.2c36cc6c9ef8p-3, 0x1.2c3fee84db6b7p-3, 0x1.2c39455f10c0dp-3, 0x1.2c2314e3d49a4p-3, 0x1.2bfda13e7a21ep-3, 0x1.2bc92ed367b28p-3, 0x1.2b8602369b1ebp-3, 0x1.2b3460226643ep-3, 0x1.2ad48d6e4fad5p-3, 0x1.2a66cf062e264p-3, 0x1.29eb69e174ad1p-3, 0x1.2962a2faaec76p-3, 0x1.28ccbf472e181p-3, 0x1.282a03aee774fp-3, 0x1.277ab5048aebdp-3, 0x1.26bf17fdc43dap-3, 0x1.25f7712bb2c3bp-3, 0x1.252404f38f12dp-3, 0x1.2445178788e98p-3, 0x1.235aecdfd0383p-3, 0x1.2265c8b3d2f03p-3, 0x1.2165ee73add72p-3, 0x1.205ba141ccda2p-3, 0x1.1f4723ecb83cfp-3, 0x1.1e28b8e91bd75p-3, 0x1.1d00a24bf7a9bp-3, 0x1.1bcf21c500d29p-3, 0x1.1a947899374afp-3, 0x1.1950e79da5db5p-3, 0x1.1804af3251907p-3, 0x1.16b00f3d5df6ap-3, 0x1.1553472656471p-3, 0x1.13ee95d1ad1dfp-3, 0x1.1282399c62036p-3, 0x1.110e7057d9179p-3, 0x1.0f937745ddd92p-3, 0x1.0e118b14cf424p-3, 0x1.0c88e7dbf9a3cp-3, 0x1.0af9c91819d74p-3, 0x1.096469a80ff18p-3, 0x1.07c903c9b0bd6p-3, 0x1.0627d116c7984p-3, 0x1.04810a82452a8p-3, 0x1.02d4e85589646p-3, 0x1.0123a22ddddcp-3, 0x1.fedaddf42bfbcp-4, 0x1.fb6509f0a3173p-4, 0x1.f7e63367cf21bp-4, 0x1.f45ec406e90eep-4, 0x1.f0cf240e13d0ap-4, 0x1.ed37ba4d11acap-4, 0x1.e998ec202e58ep-4, 0x1.e5f31d6d71389p-4, 0x1.e246b0a217ba5p-4, 0x1.de9406b04f0abp-4, 0x1.dadb7f0d228e2p-4, 0x1.d71d77aec08dfp-4, 0x1.d35a4d0ae052cp-4, 0x1.cf925a1575a65p-4, 0x1.cbc5f83f9ca0ep-4, 0x1.c7f57f76ba3dbp-4, 0x1.c4214623cff39p-4, 0x1.c049a12b1930ep-4, 0x1.bc6ee3ebbfb5ep-4, 0x1.b891603fe0dcp-4, 0x1.b4b1667cb2874p-4, 0x1.b0cf4572db1c4p-4, 0x1.aceb4a6f05467p-4, 0x1.a905c13a8e21ep-4, 0x1.a51ef41c6d728p-4, 0x1.a1372bda4d5bbp-4, 0x1.9d4eafb9bab82p-4, 0x1.9965c58190bbap-4, 0x1.957cb17b7f7eap-4, 0x1.9193b675bda44p-4, 0x1.8dab15c4e2765p-4, 0x1.89c30f45da917p-4, 0x1.85dbe16007519p-4, 0x1.81f5c9077c264p-4, 0x1.7e1101bf5cf97p-4, 0x1.7a2dc59c599ep-4, 0x1.764c4d4744dbdp-4, 0x1.726ccfffd2b7fp-4, 0x1.6e8f839f6529p-4, 0x1.6ab49c9bf5ffep-4, 0x1.66dc4e0b1fc6cp-4, 0x1.6306c9a53b8f3p-4, 0x1.5f343fc88ffe1p-4, 0x1.5b64df7ca05bdp-4, 0x1.5798d67584ca8p-4, 0x1.53d05117638f2p-4, 0x1.500b7a79ed2acp-4, 0x1.4c4a7c6bfba38p-4, 0x1.488d7f772ea2ap-4, 0x1.44d4aae3acb11p-4, 0x1.412024bbe0957p-4, 0x1.3d7011d050613p-4, 0x1.39c495bb7cef7p-4, 0x1.361dd2e5c8f47p-4, 0x1.327bea8977ccap-4, 0x1.2edefcb6aa5dp-4, 0x1.2b472857678eep-4, 0x1.27b48b33b11cfp-4, 0x1.242741f5a4ddap-4, 0x1.209f682d929ddp-4, 0x1.1d1d18562f033p-4, 0x1.19a06bd8b9692p-4, 0x1.16297b1132cecp-4, 0x1.12b85d5294976p-4, 0x1.0f4d28eb090ep-4, 0x1.0be7f328246f1p-4, 0x1.0888d05b2881p-4, 0x1.052fd3dd436cdp-4, 0x1.01dd1013ce3bfp-4, 0x1.fd212ce91e6bbp-5, 0x1.f694ef13f1701p-5, 0x1.f01585eed9434p-5, 0x1.e9a30efae5738p-5, 0x1.e33da5fbf7dc5p-5, 0x1.dce5650132276p-5, 0x1.d69a646d5adc5p-5, 0x1.d05cbaff4b96cp-5, 0x1.ca2c7dda4a791p-5, 0x1.c409c08e5a205p-5, 0x1.bdf495208e2a2p-5, 0x1.b7ed0c133ac9ep-5, 0x1.b1f3346e3979ap-5, 0x1.ac071bc703ccap-5, 0x1.a628ce48d388fp-5, 0x1.a05856bcae59p-5, 0x1.9a95be9168571p-5, 0x1.94e10de38856bp-5, 0x1.8f3a4b8530c0fp-5, 0x1.89a17d05f1922p-5, 0x1.8416a6ba7944ap-5, 0x1.7e99cbc450fep-5, 0x1.792aee196c0d3p-5, 0x1.73ca0e8bb6b45p-5, 0x1.6e772cd08d059p-5, 0x1.69324788175cep-5, 0x1.63fb5c44959c2p-5, 0x1.5ed26791ad919p-5, 0x1.59b764fb751cep-5, 0x1.54aa4f15992d8p-5, 0x1.4fab1f824e386p-5, 0x1.4ab9cef9361f3p-5, 0x1.45d6554e39131p-5, 0x1.4100a978327c2p-5, 0x1.3c38c197a6531p-5, 0x1.377e92fd3b5e4p-5, 0x1.32d212303d86dp-5, 0x1.2e3332f500292p-5, 0x1.29a1e8531e43fp-5, 0x1.251e249ba96aap-5, 0x1.20a7d96f536fbp-5, 0x1.1c3ef7c46294ep-5, 0x1.17e36feca3f88p-5, 0x1.1395319b347ebp-5, 0x1.0f542bea5285dp-5, 0x1.0b204d60e5049p-5, 0x1.06f983f81e72bp-5, 0x1.02dfbd20e81b3p-5, 0x1.fda5cb92850bap-6, 0x1.f5a5d4c2fcf16p-6, 0x1.edbf6dc2f736p-6, 0x1.e5f26d9b65561p-6, 0x1.de3eaa786613p-6, 0x1.d6a3f9b31ca6cp-6, 0x1.cf222fdb4301p-6, 0x1.c7b920c0a57ffp-6, 0x1.c0689f7c46b32p-6, 0x1.b9307e798b8fcp-6, 0x1.b2108f7f2146fp-6, 0x1.ab08a3b78b25cp-6, 0x1.a4188bb9cc9aep-6, 0x1.9d401791b70dep-6, 0x1.967f16c81a27fp-6, 0x1.8fd5586ab413bp-6, 0x1.8942ab141512ap-6, 0x1.82c6dcf32d388p-6, 0x1.7c61bbd2ef439p-6, 0x1.761315216c58dp-6, 0x1.6fdab5f71890ap-6, 0x1.69b86b1dc708bp-6, 0x1.63ac01174d4bdp-6, 0x1.5db5442461d59p-6, 0x1.57d4004aed253p-6, 0x1.5208015c5f099p-6, 0x1.4c5112fbf525bp-6, 0x1.46af00a489d4dp-6, 0x1.412195ae9aa69p-6, 0x1.3ba89d55dd8ecp-6, 0x1.3643e2bedbb77p-6, 0x1.30f330fc45f3cp-6, 0x1.2bb6531449337p-6, 0x1.268d14058affcp-6, 0x1.21773ecc2a31ap-6, 0x1.1c749e66a219dp-6, 0x1.1784fdda54fe7p-6, 0x1.12a828382999p-6, 0x1.0ddde8a0ee2c3p-6, 0x1.09260a498b0b6p-6, 0x1.0480587f4ba7cp-6, 0x1.ffd93d573e305p-7, 0x1.f6d550b082f72p-7, 0x1.edf48265886bcp-7, 0x1.e5366a207420ep-7, 0x1.dc9a9fe1a0b4ap-7, 0x1.d420bc060c71dp-7, 0x1.cbc8574e32e6bp-7, 0x1.c3910ae41631p-7, 0x1.bb7a70617af4bp-7, 0x1.b38421d5a710dp-7, 0x1.abadb9cb08677p-7, 0x1.a3f6d34cae9cap-7, 0x1.9c5f09eb695a7p-7, 0x1.94e5f9c2b5531p-7, 0x1.8d8b3f7daee3cp-7, 0x1.864e785b8e802p-7, 0x1.7f2f42340d3p-7, 0x1.782d3b7b96633p-7, 0x1.71480347525d5p-7, 0x1.6a7f39510397fp-7, 0x1.63d27dfa8471bp-7, 0x1.5d41725177877p-7, 0x1.56cbb81261769p-7, 0x1.5070f1abee409p-7, 0x1.4a30c241d1595p-7, 0x1.440acdafa399ap-7, 0x1.3dfeb88b65da6p-7, 0x1.380c28284e279p-7, 0x1.3232c298aff8p-7, 0x1.2c722eb0aa21cp-7, 0x1.26ca1407ad66p-7, 0x1.213a1afaf3a64p-7, 0x1.1bc1ecaebef1ap-7, 0x1.16613310702e4p-7, 0x1.111798d7bb2c2p-7, 0x1.0be4c98837bf8p-7, 0x1.06c871728b219p-7, 0x1.01c23db5acc2dp-7, 0x1.f9a3b87f762d8p-8, 0x1.efedf79e49a15p-8, 0x1.e66297e66f318p-8, 0x1.dd00fa1a1670cp-8, 0x1.d3c8809fd5beep-8, 0x1.cab88f83e5417p-8, 0x1.c1d08c78c976bp-8, 0x1.b90fded81eb72p-8, 0x1.b075efa29cdep-8, 0x1.a8022980cd672p-8, 0x1.9fb3f8c2b2342p-8, 0x1.978acb5ff5f6ap-8, 0x1.8f8610f7837abp-8, 0x1.87a53acf1b891p-8, 0x1.7fe7bbd2a5d39p-8, 0x1.784d0893c9efep-8, 0x1.70d49748ac355p-8, 0x1.697ddfcb31268p-8, 0x1.62485b97afe4cp-8, 0x1.5b3385cbc593p-8, 0x1.543edb24e1816p-8, 0x1.4d69d9fed93afp-8, 0x1.46b4025221a87p-8, 0x1.401cd5b226999p-8, 0x1.39a3d74b80873p-8, 0x1.33488be1fb53fp-8, 0x1.2d0a79ce7b46p-8, 0x1.26e928fce4893p-8, 0x1.20e422e9d1ff6p-8, 0x1.1afaf2a078d1bp-8, 0x1.152d24b7f8841p-8, 0x1.0f7a47510682dp-8, 0x1.09e1ea1373694p-8, 0x1.04639e2b94699p-8, 0x1.fdfdec8e771d1p-9, 0x1.f3670d26cde3ep-9, 0x1.e901c97250352p-9, 0x1.decd4fb5c4175p-9, 0x1.d4c8d122a8c43p-9, 0x1.caf381d1338ddp-9, 0x1.c14c98ba703adp-9, 0x1.b7d34fb1dbf7bp-9, 0x1.ae86e35f743f3p-9, 0x1.a5669339002aep-9, 0x1.9c71a17c192aap-9, 0x1.93a753276c735p-9, 0x1.8b06eff4408b5p-9, 0x1.828fc2502bd18p-9, 0x1.7a411755fe19bp-9, 0x1.721a3ec738b6bp-9, 0x1.6a1a8b055dfbfp-9, 0x1.6241510b3ccep-9, 0x1.5a8de865f1e4bp-9, 0x1.52ffab2e43ae9p-9, 0x1.4b95f601bfb8dp-9, 0x1.445027fb5e7d7p-9, 0x1.3d2da2ad3959ep-9, 0x1.362dca192f7dbp-9, 0x1.2f5004aa0862fp-9, 0x1.2893bb2cad5b6p-9, 0x1.21f858c9201fbp-9, 0x1.1b7d4afb2c20ep-9, 0x1.1522018bcf5efp-9, 0x1.0ee5ee8a1b03ep-9, 0x1.08c8864412de3p-9, 0x1.02c93f403d0fdp-9, 0x1.f9cf246c23039p-10, 0x1.ee45f40eb5b2bp-10, 0x1.e2f5e772a0fd5p-10, 0x1.d7ddfcdb1a587p-10, 0x1.ccfd36b662ceap-10, 0x1.c2529b9087c9ap-10, 0x1.b7dd3604c254cp-10, 0x1.ad9c14b14dff7p-10, 0x1.a38e4a2857883p-10, 0x1.99b2ece3a475ep-10, 0x1.900917363286ap-10, 0x1.868fe73fb11fap-10, 0x1.7d467edef3474p-10, 0x1.742c03a4e3199p-10, 0x1.6b3f9ec70265p-10, 0x1.62807d1264e0ap-10, 0x1.59edcedf5a059p-10, 0x1.5186c8041f365p-10, 0x1.494a9fc7de75ap-10, 0x1.413890d686696p-10, 0x1.394fd93455ce8p-10, 0x1.318fba308da01p-10, 0x1.29f77859cbb4fp-10, 0x1.22865b719753ep-10, 0x1.1b3bae600c2d9p-10, 0x1.1416bf27f4cd4p-10, 0x1.0d16dedb0eb23p-10, 0x1.063b618dc62d3p-10, 0x1.ff073c975af5ap-11, 0x1.f1ddde177676dp-11, 0x1.e4f9614a69b09p-11, 0x1.d8588586f9b02p-11, 0x1.cbfa0fb7ad939p-11, 0x1.bfdcca429ec3cp-11, 0x1.b3ff84f51307ep-11, 0x1.a86114ebeb46p-11, 0x1.9d00547f198f4p-11, 0x1.91dc232c542aap-11, 0x1.86f3658095b3cp-11, 0x1.7c450505471a3p-11, 0x1.71cff02a657bap-11, 0x1.67931a320a6d9p-11, 0x1.5d8d7b1cbb1c3p-11, 0x1.53be0f94c183fp-11, 0x1.4a23d8db683a6p-11, 0x1.40bddcb49c9cfp-11, 0x1.378b2554a759ep-11, 0x1.2e8ac14c757afp-11, 0x1.25bbc37784455p-11, 0x1.1d1d42e8a2835p-11, 0x1.14ae5ad886daap-11, 0x1.0c6e2a93121d1p-11, 0x1.045bd565ef875p-11, 0x1.f8ed051dcb782p-12, 0x1.e97aba56af7b8p-12, 0x1.da5f284b88fdap-12, 0x1.cb98b44d2d664p-12, 0x1.bd25cb0405e71p-12, 0x1.af04e051e9aa9p-12, 0x1.a1346f306ec91p-12, 0x1.93b2f991d0d2p-12, 0x1.867f0840eb587p-12, 0x1.79972ac4d9312p-12, 0x1.6cf9f73e8b684p-12, 0x1.60a60a4e98befp-12, 0x1.549a06f4f1f63p-12, 0x1.48d496769887ap-12, 0x1.3d54683d8e626p-12, 0x1.321831c12bad8p-12, 0x1.271eae668d855p-12, 0x1.1c669f6791dd5p-12, 0x1.11eecbb657abp-12, 0x1.07b5ffe3f0ebfp-12, 0x1.fb761c0df2647p-13, 0x1.e7f99b3e5fde1p-13, 0x1.d4f437003a276p-13, 0x1.c263b36beaf1bp-13, 0x1.b045dedac921ap-13, 0x1.9e9891b995184p-13, 0x1.8d59ae5500f84p-13, 0x1.7c8720b11823ep-13, 0x1.6c1ede54ba319p-13, 0x1.5c1ee62450306p-13, 0x1.4c85402fa5cbfp-13, 0x1.3d4ffd8b38fb1p-13, 0x1.2e7d3822245ebp-13, 0x1.200b128f03c17p-13, 0x1.11f7b7efad6ecp-13, 0x1.04415bc00363ep-13, 0x1.edcc7360c29d4p-14, 0x1.d3c92afe15b7ep-14, 0x1.ba7575a57f52fp-14, 0x1.a1cdfa295d97cp-14, 0x1.89cf6e95b40b1p-14, 0x1.727697e82a7f6p-14, 0x1.5bc049c9e45ep-14, 0x1.45a966487d6cp-14, 0x1.302edd907aeaap-14, 0x1.1b4dadab4c118p-14, 0x1.0702e23e219f7p-14, 0x1.e6972893ca95fp-15, 0x1.c049d3c4e79dap-15, 0x1.9b182bfa1abecp-15, 0x1.76fcb0526576dp-15, 0x1.53f1f8b27c265p-15, 0x1.31f2b546abe76p-15, 0x1.10f9ae17995e5p-15, 0x1.e203852a62d2cp-16, 0x1.a40bd249b7c44p-16, 0x1.68025d6900b6p-16, 0x1.2ddd6ca38df05p-16, 0x1.eb26e2dee3a72p-17, 0x1.7e360fd1da07fp-17, 0x1.14d5ebe482031p-17, 0x1.5de8a9ea184f7p-18, 0x1.31fde5a27b029p-19, -0x1.29a2952775369p-21, -0x1.b9a720ff5936dp-19, -0x1.8e00987190ec6p-18, -0x1.1c6e5360f69bbp-17, -0x1.6ec43285653b3p-17, -0x1.be11f67459835p-17, -0x1.0533b2af18da2p-16, -0x1.29e9fff96e766p-16, -0x1.4d3381705e427p-16, -0x1.6f17b3fd3d352p-16, -0x1.8f9df3c21bd9ap-16, -0x1.aecd7ca01f66bp-16, -0x1.ccad6add8a5b4p-16, -0x1.e944bbbe2d723p-16, -0x1.024d27012f53ap-15, -0x1.0f5a713d6e231p-15, -0x1.1bcd8e4bd145ap-15, -0x1.27a9c177b55c7p-15, -0x1.32f23fe22faecp-15, -0x1.3daa30c1cc536p-15, -0x1.47d4ada4560dp-15, -0x1.5174c2ab4002cp-15, -0x1.5a8d6ecf95925p-15, -0x1.6321a411b3ad7p-15, -0x1.6b3447c028f43p-15, -0x1.72c832a9e02bbp-15, -0x1.79e0315ae5d6ap-15, -0x1.807f04529ae5bp-15, -0x1.86a76036ba98dp-15, -0x1.8c5bee0df4e37p-15, -0x1.919f4b70c2414p-15, -0x1.96740abf7092p-15, -0x1.9adcb34abb3fp-15, -0x1.9edbc18e7d66ep-15, -0x1.a273a75f0cdd4p-15, -0x1.a5a6cc18fe57cp-15, -0x1.a8778cc9115b3p-15, -0x1.aae83c61090c4p-15, -0x1.acfb23dfe02b7p-15, -0x1.aeb2827f9f4dap-15, -0x1.b0108dd90182dp-15, -0x1.b1177213f71aap-15, -0x1.b1c9520bae18p-15, -0x1.b228477a5fcb7p-15, -0x1.b236631c127f5p-15, -0x1.b1f5acdac0c7fp-15, -0x1.b16823e96ba79p-15, -0x1.b08fbef5de568p-15, -0x1.af6e6c41e69f7p-15, -0x1.ae0611c8af46ap-15, -0x1.ac588d66f2957p-15, -0x1.aa67b4f68fff4p-15, -0x1.a8355670bb867p-15, -0x1.a5c3381037f0ap-15, -0x1.a313186faef1dp-15, -0x1.a026aea96a6cap-15, -0x1.9cffaa789c2d3p-15, -0x1.999fb4501df73p-15, -0x1.96086d7c4b87ap-15, -0x1.923b704151059p-15, -0x1.8e3a4ff3172f2p-15, -0x1.8a069914b3d25p-15, -0x1.85a1d17103469p-15, -0x1.810d78369a4d1p-15, -0x1.7c4b061056e4dp-15, -0x1.775bed40dbfe4p-15, -0x1.724199ba697b5p-15, -0x1.6cfd7136b261cp-15, -0x1.6790d34f6e674p-15, -0x1.61fd1996a7092p-15, -0x1.5c4397ab7b98bp-15, -0x1.56659b56796ebp-15, -0x1.50646c9a2f079p-15, -0x1.4a414dc868c24p-15, -0x1.43fd7b9dd8891p-15, -0x1.3d9a2d530e2bcp-15, -0x1.371894b0edf5bp-15, -0x1.3079de24da2a3p-15, -0x1.29bf30d692f98p-15, -0x1.22e9aeba2d37ap-15, -0x1.1bfa74a2afe3dp-15, -0x1.14f29a579bd86p-15, -0x1.0dd332a6eacadp-15, -0x1.069d4b73b755fp-15, -0x1.fea3db9735bcap-16, -0x1.efe43beea564cp-16, -0x1.e0fdb717a78cfp-16, -0x1.d1f242f4b610dp-16, -0x1.c2c3cc4694a03p-16, -0x1.b37436cbd16ebp-16, -0x1.a4055d5c712f2p-16, -0x1.9479120efb4cp-16, -0x1.84d11e553a966p-16, }}, 
      {{0x1.5c02c6ac61ee1p-9, 0x1.5bfb0d90d29ebp-8, 0x1.04f2388776a63p-7, 0x1.5bd9b64b8a7bdp-7, 0x1.b2add678f5605p-7, 0x1.04b38cc5c21dap-6, 0x1.2ffe3fd155bd5p-6, 0x1.5b31b7cf15e71p-6, 0x1.8647d70ff9d95p-6, 0x1.b139b120fa869p-6, 0x1.dbff92c5a35a5p-6, 0x1.0348872af830ep-5, 0x1.187285acb2381p-5, 0x1.2d78ec2fa01a6p-5, 0x1.42569f1fb53d2p-5, 0x1.57064a0de84c2p-5, 0x1.6b8269d065767p-5, 0x1.7fc556918a88p-5, 0x1.93c94da9a16bap-5, 0x1.a7887b2857004p-5, 0x1.bafd02f9af3fap-5, 0x1.ce210996c4a81p-5, 0x1.e0eebc361e2f3p-5, 0x1.f3605871fd314p-5, 0x1.02b819ae8c0b1p-4, 0x1.0b8c600034adep-4, 0x1.142a4a9f39c75p-4, 0x1.1c8f398d4b974p-4, 0x1.24b8a3b259cp-4, 0x1.2ca418e5c1eep-4, 0x1.344f43accd614p-4, 0x1.3bb7eab15ea01p-4, 0x1.42dbf1f44e992p-4, 0x1.49b95bbf8da67p-4, 0x1.504e495c92ef8p-4, 0x1.5698fb93e7557p-4, 0x1.5c97d2fae2c8bp-4, 0x1.6249501488b1bp-4, 0x1.67ac134a9cc26p-4, 0x1.6cbedcc3c1c13p-4, 0x1.71808c1b364c6p-4, 0x1.75f01ffe83e28p-4, 0x1.7a0cb5b5233a4p-4, 0x1.7dd58895a6c3fp-4, 0x1.8149f16bb5d2ep-4, 0x1.846965d1a3609p-4, 0x1.8733778034ffap-4, 0x1.89a7d396a6c5bp-4, 0x1.8bc641dcc7dc9p-4, 0x1.8d8ea400a942cp-4, 0x1.8f00f4d12a57bp-4, 0x1.901d477648f49p-4, 0x1.90e3c6a8155f9p-4, 0x1.9154b3e4e6d74p-4, 0x1.917066a73990cp-4, 0x1.91374b9ba2862p-4, 0x1.90a9e3d71e0b5p-4, 0x1.8fc8c40ddb4afp-4, 0x1.8e9493cac269dp-4, 0x1.8d0e0ca7c2ddep-4, 0x1.8b35f98710d8ap-4, 0x1.890d35cd61c84p-4, 0x1.8694ac9d465dbp-4, 0x1.83cd5813bec55p-4, 0x1.80b840862ad89p-4, 0x1.7d567bc1ae62ep-4, 0x1.79a92c4c416b5p-4, 0x1.75b180a793bd7p-4, 0x1.7170b295eb743p-4, 0x1.6ce8066144b7ep-4, 0x1.6818ca24e06c8p-4, 0x1.63045519771e7p-4, 0x1.5dac06e460ed5p-4, 0x1.581146e9dcdap-4, 0x1.523583a2b916dp-4, 0x1.4c1a31f5a0f61p-4, 0x1.45c0cc9447e03p-4, 0x1.3f2ad35ca8636p-4, 0x1.3859cabe8d8a7p-4, 0x1.314f3b25a0023p-4, 0x1.2a0cb0681c863p-4, 0x1.2293b93a658abp-4, 0x1.1ae5e6a794077p-4, 0x1.1304cb8f20b85p-4, 0x1.0af1fc27cd68ep-4, 0x1.02af0d87d608fp-4, 0x1.f47b2a650832fp-5, 0x1.e33e515652c0ap-5, 0x1.d1aaba1b0b26p-5, 0x1.bfc38d5730103p-5, 0x1.ad8bf161b4e14p-5, 0x1.9b070995a8216p-5, 0x1.8837f5ade277cp-5, 0x1.7521d12b36137p-5, 0x1.61c7b2c4c742bp-5, 0x1.4e2cabe26a54ep-5, 0x1.3a53c820c339dp-5, 0x1.26400cdecff62p-5, 0x1.11f478d4b1f21p-5, 0x1.fae807665d598p-6, 0x1.d1833b97c6828p-6, 0x1.a7c05f82c5c87p-6, 0x1.7da5347ea4984p-6, 0x1.53376b73a3b42p-6, 0x1.287ca467efc56p-6, 0x1.faf4dc33de136p-7, 0x1.a46c8b4e1ebcfp-7, 0x1.4d6b2c7cc97fdp-7, 0x1.ebf6e37922479p-8, 0x1.3c4fd070b956ep-8, 0x1.17ebdfb0d6f5p-9, -0x1.2811ca646597cp-11, -0x1.ad08e2cdb99cp-9, -0x1.887ccaa3e7fdbp-8, -0x1.1d6bd19a25cf3p-7, -0x1.76c0d2b89b12ep-7, -0x1.d033e3f62e583p-7, -0x1.14ddd35b020ecp-6, -0x1.41a77135775c9p-6, -0x1.6e72424284012p-6, -0x1.9b39d02c5a65bp-6, -0x1.c7f9b78010fa5p-6, -0x1.f4ada79bc5a6p-6, -0x1.10a8b14d73d14p-5, -0x1.26f05ea05d071p-5, -0x1.3d2bcf70d7d34p-5, -0x1.535900a5e4f11p-5, -0x1.6975f85711c3ep-5, -0x1.7f80c5c02cbedp-5, -0x1.95778134bc3a9p-5, -0x1.ab584c139a3bep-5, -0x1.c12150baa9e9fp-5, -0x1.d6d0c27aa3e34p-5, -0x1.ec64dd8b5058dp-5, -0x1.00edf37ffc8d8p-4, -0x1.0b9a165e20506p-4, -0x1.163602b4bb82ap-4, -0x1.20c0e83624e59p-4, -0x1.2b39faed7e995p-4, -0x1.35a0733a13b23p-4, -0x1.3ff38dcaea947p-4, -0x1.4a328b9aa7e3p-4, -0x1.545cb1eba11abp-4, -0x1.5e714a443b5a2p-4, -0x1.686fa26b77b9dp-4, -0x1.72570c65cd0c5p-4, -0x1.7c26de7223ec3p-4, -0x1.85de7307143b8p-4, -0x1.8f7d28d04aec7p-4, -0x1.990262ac1fd0ep-4, -0x1.a26d87a948f7dp-4, -0x1.abbe0304bfd46p-4, -0x1.b4f34427a9bc1p-4, -0x1.be0cbea577484p-4, -0x1.c709ea39f2209p-4, -0x1.cfea42c775578p-4, -0x1.d8ad48551b39p-4, -0x1.e1527f0ceb193p-4, -0x1.e9d96f3a1535bp-4, -0x1.f241a547045e9p-4, -0x1.fa8ab1bb82f92p-4, -0x1.015a149d5a03fp-3, -0x1.055ed2407724ep-3, -0x1.09536030c9eafp-3, -0x1.0d378ee2528cdp-3, -0x1.110b30d21d9b9p-3, -0x1.14ce1a84ea52dp-3, -0x1.18802285b5a44p-3, -0x1.1c212164267a6p-3, -0x1.1fb0f1b2e863p-3, -0x1.232f7005d5d95p-3, -0x1.269c7af011d93p-3, -0x1.29f7f301f3b55p-3, -0x1.2d41bac6d4245p-3, -0x1.3079b6c2b1d6cp-3, -0x1.339fcd6fb1fdcp-3, -0x1.36b3e73b75b72p-3, -0x1.39b5ee8449a6ep-3, -0x1.3ca5cf96236ddp-3, -0x1.3f8378a784bc3p-3, -0x1.424ed9d61d4d9p-3, -0x1.4507e52354434p-3, -0x1.47ae8e709770ep-3, -0x1.4a42cb7b85b8p-3, -0x1.4cc493d9eba54p-3, -0x1.4f33e0f589858p-3, -0x1.5190ae07bf16dp-3, -0x1.53daf814f29dbp-3, -0x1.5612bde7e6628p-3, -0x1.5838000cc52d9p-3, -0x1.5a4ac0cc1c497p-3, -0x1.5c4b042598d4ep-3, -0x1.5e38cfcaa2c6p-3, -0x1.60142b18ce962p-3, -0x1.61dd1f141ccaep-3, -0x1.6393b6611e3ap-3, -0x1.6537fd3ee4681p-3, -0x1.66ca0180d8648p-3, -0x1.6849d2885dc09p-3, -0x1.69b7813e5ea73p-3, -0x1.6b13200cacdb4p-3, -0x1.6c5cc2d745ae8p-3, -0x1.6d947ef57026ap-3, -0x1.6eba6b2ac523ap-3, -0x1.6fce9fa00d4eap-3, -0x1.70d135dc11d65p-3, -0x1.71c248bc43d44p-3, -0x1.72a1f46d52fb8p-3, -0x1.73705663af2b6p-3, -0x1.742d8d53e6d24p-3, -0x1.74d9b92b038efp-3, -0x1.7574fb06bd79ep-3, -0x1.75ff752db3b5ap-3, -0x1.76794b078392bp-3, -0x1.76e2a114d8a99p-3, -0x1.773b9ce770a4dp-3, -0x1.7784651a139afp-3, -0x1.77bd21487e568p-3, -0x1.77e5fa074bbbcp-3, -0x1.77ff18dbd01ccp-3, -0x1.7808a833f810fp-3, -0x1.7802d35e1cbfbp-3, -0x1.77edc680d829ep-3, -0x1.77c9ae92dcf8cp-3, -0x1.7796b952c8249p-3, -0x1.7755153f00ad9p-3, -0x1.7704f18d8a241p-3, -0x1.76a67e23f0b1ep-3, -0x1.7639eb8f2d3ap-3, -0x1.75bf6afb94e6bp-3, -0x1.75372e2cd6cb7p-3, -0x1.74a167760170ap-3, -0x1.73fe49b1912bdp-3, -0x1.734e08399555fp-3, -0x1.7290d6dfd3bfcp-3, -0x1.71c6e9e610362p-3, -0x1.70f075f654072p-3, -0x1.700db01b4e272p-3, -0x1.6f1ecdb8c873p-3, -0x1.6e2404842942ap-3, -0x1.6d1d8a7d1667fp-3, -0x1.6c0b95e61c946p-3, -0x1.6aee5d3d7f345p-3, -0x1.69c61736157c2p-3, -0x1.6892fab03e543p-3, -0x1.67553eb2f773ep-3, -0x1.660d1a6500cdp-3, -0x1.64bac5062bf2bp-3, -0x1.635e75e8b0c6bp-3, -0x1.61f8646ab52bdp-3, -0x1.6088c7efdd83ap-3, -0x1.5f0fd7db05a28p-3, -0x1.5d8dcb8815e9fp-3, -0x1.5c02da45f2c59p-3, -0x1.5a6f3b508bd2fp-3, -0x1.58d325cb0d57cp-3, -0x1.572ed0ba2a583p-3, -0x1.558272fe8d621p-3, -0x1.53ce434f63bafp-3, -0x1.521278350adc6p-3, -0x1.504f4803df5ccp-3, -0x1.4e84e8d727fe5p-3, -0x1.4cb3908c2853p-3, -0x1.4adb74bd4ea51p-3, -0x1.48fccabd8189ap-3, -0x1.4717c79396cbap-3, -0x1.452c9ff5e215cp-3, -0x1.433b8845ea50cp-3, -0x1.4144b48c3ce9dp-3, -0x1.3f48587465292p-3, -0x1.3d46a749008fbp-3, -0x1.3b3fd3eff9e8cp-3, -0x1.393410e6debecp-3, -0x1.3723903f59c2p-3, -0x1.350e839bcb172p-3, -0x1.32f51c2c03d51p-3, -0x1.30d78aaa204c1p-3, -0x1.2eb5ff577d918p-3, -0x1.2c90a9f9db069p-3, -0x1.2a67b9d88bb43p-3, -0x1.283b5db9d3a22p-3, -0x1.260bc3e05c0c4p-3, -0x1.23d91a08cba92p-3, -0x1.21a38d6778719p-3, -0x1.1f6b4aa63c98cp-3, -0x1.1d307de26261bp-3, -0x1.1af352aab4065p-3, -0x1.18b3f3fda43e8p-3, -0x1.16728c4795914p-3, -0x1.142f456139652p-3, -0x1.11ea488e1402cp-3, -0x1.0fa3be7b106c2p-3, -0x1.0d5bcf3d39259p-3, -0x1.0b12a25080d46p-3, -0x1.08c85e96b271ep-3, -0x1.067d2a566eb08p-3, -0x1.04312b3a482a9p-3, -0x1.01e4864ff9125p-3, -0x1.ff2ec00f5bfe9p-4, -0x1.fa93b866d2b83p-4, -0x1.f5f83c0d0431ep-4, -0x1.f15c902a62a4ap-4, -0x1.ecc0f8a879fcfp-4, -0x1.e825b8316dac6p-4, -0x1.e38b102f99a9cp-4, -0x1.def140cd6d801p-4, -0x1.da5888f558f42p-4, -0x1.d5c12651f9c22p-4, -0x1.d12b554e59304p-4, -0x1.cc97511661ec9p-4, -0x1.c80553976e8cap-4, -0x1.c3759580febffp-4, -0x1.bee84e45987eap-4, -0x1.ba5db41bb74a1p-4, -0x1.b5d5fbfef3b94p-4, -0x1.b15159b13adafp-4, -0x1.accfffbc28c62p-4, -0x1.a8521f7282d5bp-4, -0x1.a3d7e8f1ce097p-4, -0x1.9f618b24018d1p-4, -0x1.9aef33c158e96p-4, -0x1.96810f5232b3bp-4, -0x1.921749311c456p-4, -0x1.8db20b8ce3f6ep-4, -0x1.89517f6ad01e6p-4, -0x1.84f5cca8e3f4ep-4, -0x1.809f1a003f0b5p-4, -0x1.7c4d8d0792908p-4, -0x1.78014a35a2604p-4, -0x1.73ba74e3e6cbp-4, -0x1.6f792f513269ep-4, -0x1.6b3d9aa473eafp-4, -0x1.6707d6ef84b52p-4, -0x1.62d8033207bbcp-4, -0x1.5eae3d5c53ee4p-4, -0x1.5a8aa25277fdp-4, -0x1.566d4def3bd4cp-4, -0x1.52565b073a072p-4, -0x1.4e45e36c04751p-4, -0x1.4a3bffef508a5p-4, -0x1.4638c8662d523p-4, -0x1.423c53ac4a70bp-4, -0x1.3e46b7a73d588p-4, -0x1.3a580949dd332p-4, -0x1.36705c9795cffp-4, -0x1.328fc4a7d1f9p-4, -0x1.2eb653a95f45cp-4, -0x1.2ae41ae5e0879p-4, -0x1.27192ac541f89p-4, -0x1.235592d130953p-4, -0x1.1f9961b89a6edp-4, -0x1.1be4a5532d959p-4, -0x1.18376aa4db3b8p-4, -0x1.1491bde15f978p-4, -0x1.10f3aa6fc96ep-4, -0x1.0d5d3aee0389ap-4, -0x1.09ce79345d51dp-4, -0x1.06476e59198aap-4, -0x1.02c822b3f448p-4, -0x1.fea13bc35ec73p-5, -0x1.f7c1cd8f36829p-5, -0x1.f0f2072e3d635p-5, -0x1.ea31f3a27484bp-5, -0x1.e3819c941d171p-5, -0x1.dce10a58b3097p-5, -0x1.d65043f9ee628p-5, -0x1.cfcf4f3cb199bp-5, -0x1.c95e30a7fbcefp-5, -0x1.c2fceb8bc2618p-5, -0x1.bcab8207d9a8p-5, -0x1.b669f512bbe15p-5, -0x1.b03844805241fp-5, -0x1.aa166f08ae867p-5, -0x1.a404724ec5eddp-5, -0x1.9e024ae705da4p-5, -0x1.980ff45df684dp-5, -0x1.922d693ec3a76p-5, -0x1.8c5aa319b444p-5, -0x1.86979a8a9dd81p-5, -0x1.80e4473f44eafp-5, -0x1.7b409ffdacb85p-5, -0x1.75ac9aaa57056p-5, -0x1.70282c4e7b2acp-5, -0x1.6ab3491e23c88p-5, -0x1.654de47e43aefp-5, -0x1.5ff7f10ab4f6ap-5, -0x1.5ab1609c23b05p-5, -0x1.557a244df6d28p-5, -0x1.50522c8413815p-5, -0x1.4b3968f09bc39p-5, -0x1.462fc89994f05p-5, -0x1.413539de800a7p-5, -0x1.3c49aa7dda88ap-5, -0x1.376d079a910acp-5, -0x1.329f3dc15c3eep-5, -0x1.2de038ee0b206p-5, -0x1.292fe490b9dcdp-5, -0x1.248e2b92f6c7ep-5, -0x1.1ffaf85cd4a88p-5, -0x1.1b7634d9dec4dp-5, -0x1.16ffca7e0fbddp-5, -0x1.1297a24a99a01p-5, -0x1.0e3da4d2b11e9p-5, -0x1.09f1ba4037616p-5, -0x1.05b3ca5853a42p-5, -0x1.0183bc7ff75f1p-5, -0x1.fac2ef80a7507p-6, -0x1.f299c5966f6ccp-6, -0x1.ea8bc7feaa015p-6, -0x1.e298c2d8fd95ep-6, -0x1.dac081af88cd8p-6, -0x1.d302cf7f049cbp-6, -0x1.cb5f76bebf177p-6, -0x1.c3d641686448bp-6, -0x1.bc66f8ffa5f7bp-6, -0x1.b5116699b9343p-6, -0x1.add552e4b9255p-6, -0x1.a6b2862ec9cf7p-6, -0x1.9fa8c86d31b4p-6, -0x1.98b7e14338556p-6, -0x1.91df9808e72c9p-6, -0x1.8b1fb3d1a0667p-6, -0x1.8477fb72997b4p-6, -0x1.7de835891d7ap-6, -0x1.77702880c9b3ap-6, -0x1.710f9a997c499p-6, -0x1.6ac651ed46f53p-6, -0x1.649414761e41cp-6, -0x1.5e78a8138108ap-6, -0x1.5873d28fda42fp-6, -0x1.528559a5e2279p-6, -0x1.4cad0305cbea5p-6, -0x1.46ea945a488eap-6, -0x1.413dd34d8147fp-6, -0x1.3ba6858dd0695p-6, -0x1.362470d279a0cp-6, -0x1.30b75ae01f587p-6, -0x1.2b5f098d41f28p-6, -0x1.261b42c667c2cp-6, -0x1.20ebcc9263fe9p-6, -0x1.1bd06d16466b2p-6, -0x1.16c8ea994ff8dp-6, -0x1.11d50b88bd257p-6, -0x1.0cf4967b6e98p-6, -0x1.082752357f70ep-6, -0x1.036d05ababbf6p-6, -0x1.fd8af00d62ae8p-7, -0x1.f460e14d0b71p-7, -0x1.eb5b6e4adfa3ep-7, -0x1.e27a26b61515bp-7, -0x1.d9bc9abe67311p-7, -0x1.d1225b19965cfp-7, -0x1.c8aaf908e5f3ep-7, -0x1.c056065e42fa5p-7, -0x1.b823158138298p-7, -0x1.b011b973cfafdp-7, -0x1.a82185d7207ebp-7, -0x1.a0520eefc2443p-7, -0x1.98a2e9aa15c33p-7, -0x1.9113ab9e35e9ep-7, -0x1.89a3eb1400d53p-7, -0x1.82533f06b30d9p-7, -0x1.7b213f28815bdp-7, -0x1.740d83e5ef0f9p-7, -0x1.6d17a6690dc1ep-7, -0x1.663f409c89047p-7, -0x1.5f83ed2e87d89p-7, -0x1.58e5479370982p-7, -0x1.5262ec087a33fp-7, -0x1.4bfc77962c8edp-7, -0x1.45b188129cdecp-7, -0x1.3f81bc23a61dp-7, -0x1.396cb340e3d23p-7, -0x1.33720db5a4fffp-7, -0x1.2d916ca29f925p-7, -0x1.27ca71ffa0941p-7, -0x1.221cc09cfc5a1p-7, -0x1.1c87fc250ac91p-7, -0x1.170bc91d59705p-7, -0x1.11a7cce7d1f5dp-7, -0x1.0c5badc3cf331p-7, -0x1.072712cef735bp-7, -0x1.0209a4063165bp-7, -0x1.fa06148c6c6dcp-8, -0x1.f025de987a393p-8, -0x1.e671fb6d14851p-8, -0x1.dce9c2099b60bp-8, -0x1.d38c8b30ea64ap-8, -0x1.ca59b169d9552p-8, -0x1.c15090ff93abdp-8, -0x1.b8708801960fbp-8, -0x1.afb8f643b6c63p-8, -0x1.a7293d5e0d36bp-8, -0x1.9ec0c0ac5401fp-8, -0x1.967ee54d9839ap-8, -0x1.8e63122372a7ap-8, -0x1.866cafd1478eep-8, -0x1.7e9b28bb50f0dp-8, -0x1.76ede9058eedfp-8, -0x1.6f645e9287bc7p-8, -0x1.67fdf901ece0fp-8, -0x1.60ba29af3f47ap-8, -0x1.599863b0224c5p-8, -0x1.52981bd2ca586p-8, -0x1.4bb8c89c0c5d1p-8, -0x1.44f9e24590c53p-8, -0x1.3e5ae2bbe458p-8, -0x1.37db459c38e32p-8, -0x1.317a88324c75p-8, -0x1.2b3829762856dp-8, -0x1.2513aa09ba067p-8, -0x1.1f0c8c3664973p-8, -0x1.192253ea85bp-8, -0x1.135486b6c826ep-8, -0x1.0da2abcb9a5c3p-8, -0x1.080c4bf649f35p-8, -0x1.0290f19e5505cp-8, -0x1.fa6051851edbcp-9, -0x1.efd2fdec36106p-9, -0x1.e57906bb22fd4p-9, -0x1.db518d57d47c3p-9, -0x1.d15bb63eba16fp-9, -0x1.c796a8fcba2a6p-9, -0x1.be019028999d7p-9, -0x1.b49b995cc10acp-9, -0x1.ab63f530bdcc2p-9, -0x1.a259d7327a67ap-9, -0x1.997c75dfd980cp-9, -0x1.90cb0a9fe9c3fp-9, -0x1.8844d1bbfe3d5p-9, -0x1.7fe90a58f0e78p-9, -0x1.77b6f67061d9ap-9, -0x1.6faddac9c3cbbp-9, -0x1.67ccfef331feep-9, -0x1.6013ad3ab74d9p-9, -0x1.588132a6fa6b9p-9, -0x1.5114def09278dp-9, -0x1.49ce047a7d363p-9, -0x1.42abf84b67c62p-9, -0x1.3bae12063e36cp-9, -0x1.34d3abe33b666p-9, -0x1.2e1c22a8c1bcep-9, -0x1.2786d5a40fddcp-9, -0x1.211326a21e724p-9, -0x1.1ac079e88c06ap-9, -0x1.148e362e4eeb9p-9, -0x1.0e7bc494a0833p-9, -0x1.0888909fcea8fp-9, -0x1.02b40830239ddp-9, -0x1.f9fb36f530f41p-10, -0x1.eec97a03c4821p-10, -0x1.e3d1c31e6cacbp-10, -0x1.d91300566dd69p-10, -0x1.ce8c242df2a28p-10, -0x1.c43c25897af91p-10, -0x1.ba21ffa270e91p-10, -0x1.b03cb1f8a53p-10, -0x1.a68b4044af2fcp-10, -0x1.9d0cb269d58ccp-10, -0x1.93c0146869a37p-10, -0x1.8aa4764ffcb59p-10, -0x1.81b8ec3176b1ap-10, -0x1.78fc8e11ccdbp-10, -0x1.706e77dc567dbp-10, -0x1.680dc9558035fp-10, -0x1.5fd9a60d4b6ccp-10, -0x1.57d135521823fp-10, -0x1.4ff3a2236b618p-10, -0x1.48401b24de22fp-10, -0x1.40b5d2911af3ep-10, -0x1.3953fe2ceb481p-10, -0x1.3219d73a8080fp-10, -0x1.2b069a6cc175p-10, -0x1.241987da94959p-10, -0x1.1d51e2f278e57p-10, -0x1.16aef26e116c7p-10, -0x1.10300045d1516p-10, -0x1.09d459a4d85ecp-10, -0x1.039b4edcd951ep-10, -0x1.fb0866b446d19p-11, -0x1.ef1cbb2f6d095p-11, -0x1.e3724e2752c17p-11, -0x1.d807d88712826p-11, -0x1.ccdc1911226d9p-11, -0x1.c1edd4492773fp-11, -0x1.b73bd45cc0a32p-11, -0x1.acc4e90d9e96cp-11, -0x1.a287e79b82248p-11, -0x1.9883aaad9e884p-11, -0x1.8eb7123dc353bp-11, -0x1.85210382a650bp-11, -0x1.7bc068daabb6p-11, -0x1.729431b6da465p-11, -0x1.699b5286552fep-11, -0x1.60d4c4a1d1a58p-11, -0x1.583f8637307efp-11, -0x1.4fda9a35d2bf3p-11, -0x1.47a5083a7e30cp-11, -0x1.3f9ddc7c2bf8ap-11, -0x1.37c427b89d0fdp-11, -0x1.3016ff2146c96p-11, -0x1.28957c485fc48p-11, -0x1.213ebd0eb1016p-11, -0x1.1a11e3909ab81p-11, -0x1.130e1614c3741p-11, -0x1.0c327ef96ca29p-11, -0x1.057e4ca347f55p-11, -0x1.fde162d8422dp-12, -0x1.f111c722f2cdbp-12, -0x1.e48c3a469c948p-12, -0x1.d84f37e82d4f5p-12, -0x1.cc59430f35195p-12, -0x1.c0a8e606072f5p-12, -0x1.b53cb238f83bdp-12, -0x1.aa134017a3738p-12, -0x1.9f2b2ef53c0d6p-12, -0x1.948324e96fbdfp-12, -0x1.8a19ceb31cac9p-12, -0x1.7feddf98f87cap-12, -0x1.75fe114d8029p-12, -0x1.6c4923d109977p-12, -0x1.62cddd5516473p-12, -0x1.598b0a2147eefp-12, -0x1.507f7c75f51e1p-12, -0x1.47aa0c72271d6p-12, -0x1.3f0997f7c9be7p-12, -0x1.369d0291cc5dp-12, -0x1.2e63355978aabp-12, -0x1.265b1edcfe6c8p-12, -0x1.1e83b30621737p-12, -0x1.16dbeb012379ep-12, -0x1.0f62c52416f0ep-12, -0x1.081744d6d86f6p-12, -0x1.00f8727b711p-12, -0x1.f40ab6ac42e1cp-13, -0x1.e67a22eee7076p-13, -0x1.d93d57481d368p-13, -0x1.cc528a7f1145fp-13, -0x1.bfb7fc6bdfd93p-13, -0x1.b36bf5cceef31p-13, -0x1.a76cc81b8b2e5p-13, -0x1.9bb8cd638e496p-13, -0x1.904e6818d90c1p-13, -0x1.852c02ef9ea82p-13, -0x1.7a5010b4e53d7p-13, -0x1.6fb90c2696aeap-13, -0x1.656577ce3332p-13, -0x1.5b53ddd9b5d14p-13, -0x1.5182cff80dd79p-13, -0x1.47f0e733517c2p-13, -0x1.3e9cc3cd1a7d9p-13, -0x1.35850d1b53549p-13, -0x1.2ca87165ebe2ep-13, -0x1.2405a5c50d228p-13, -0x1.1b9b65fe526e2p-13, -0x1.136874654b299p-13, -0x1.0b6b99ba7d9afp-13, -0x1.03a3a50b8497fp-13, -0x1.f81ed7294f006p-14, -0x1.e95b9142631fcp-14, -0x1.dafb3adc67fadp-14, -0x1.ccfba21a37e9cp-14, -0x1.bf5aa08af2d15p-14, -0x1.b2161af37dfc9p-14, -0x1.a52c01158472cp-14, -0x1.989a4d78e49efp-14, -0x1.8c5f0535068c1p-14, -0x1.807837bd6b308p-14, -0x1.74e3feac03306p-14, -0x1.69a07d8f27b5cp-14, -0x1.5eabe1b6aa2d5p-14, -0x1.540462034ca5p-14, -0x1.49a83eb6061b1p-14, -0x1.3f95c141dfe48p-14, -0x1.35cb3c1c2a4bcp-14, -0x1.2c470a8f5aabdp-14, -0x1.2307908db8b97p-14, -0x1.1a0b3a8602387p-14, -0x1.11507d394b902p-14, -0x1.08d5d58e15066p-14, -0x1.0099c8691324bp-14, -0x1.f135c50889936p-15, -0x1.e1af708a822ddp-15, -0x1.d29dcb325df9ap-15, -0x1.c3fe1b944f6b8p-15, -0x1.b5cdb6bbff97fp-15, -0x1.a809ffdb1187p-15, -0x1.9ab06806a4c27p-15, -0x1.8dbe6decd85f4p-15, -0x1.81319d8ebb232p-15, -0x1.75078ffec2589p-15, -0x1.693deb1ab827p-15, -0x1.5dd2614bcc69p-15, -0x1.52c2b14435222p-15, -0x1.480ca5c326c5ap-15, -0x1.3dae15557c5f1p-15, -0x1.33a4e21722498p-15, -0x1.29eef97a30767p-15, -0x1.208a540a5caddp-15, -0x1.1774f5362336dp-15, -0x1.0eaceb148e16bp-15, -0x1.06304e2f249acp-15, -0x1.fbfa8295536fdp-16, -0x1.ec23e26e2a6ddp-16, -0x1.dcd92929a2a4ep-16, -0x1.ce16d74edfdaap-16, -0x1.bfd98041303a2p-16, -0x1.b21dc9e31977fp-16, -0x1.a4e06c341ee1bp-16, -0x1.981e30f4ccdf8p-16, -0x1.8bd3f34af4bc6p-16, -0x1.7ffe9f671fb89p-16, -0x1.749b322b3ad6ep-16, -0x1.69a6b8d77c942p-16, -0x1.5f1e50b48e37dp-16, -0x1.54ff26bbff09p-16, -0x1.4b46774e8afb4p-16, -0x1.41f18de279fa6p-16, -0x1.38fdc4b0b3c03p-16, -0x1.306884701f776p-16, -0x1.282f44041a17p-16, -0x1.204f883a08cabp-16, -0x1.18c6e37725f82p-16, -0x1.1192f57f375d1p-16, -0x1.0ab16b24b9ce6p-16, -0x1.041ffe0c3987p-16, -0x1.fbb8e8ceea88bp-17, -0x1.efc94169c250ap-17, -0x1.e46cc2fedd91fp-17, -0x1.d99f424237793p-17, -0x1.cf5cab0bf2694p-17, -0x1.c5a0ffe20186cp-17, -0x1.bc685985da21bp-17, -0x1.b3aee67b7acb6p-17, -0x1.ab70eaa01d26fp-17, -0x1.a3aabeb3d55e6p-17, -0x1.9c58cff7ea794p-17, -0x1.95779fbecdffap-17, -0x1.8f03c305cb0a9p-17, -0x1.88f9e212a3413p-17, -0x1.8356b80f4348ep-17, -0x1.7e1712aa00c6fp-17, -0x1.7937d1aec64cp-17, -0x1.74b5e6b370228p-17, -0x1.708e54bbde4c1p-17, -0x1.6cbe2fdabfbfp-17, -0x1.69429cdcf300cp-17, -0x1.6618d0f644f44p-17, -0x1.633e116ac36f7p-17, -0x1.60afb33ed2a3bp-17, -0x1.5e6b1ae502105p-17, -0x1.5c6dbbf04cc2ep-17, -0x1.5ab518bf5d1f7p-17, -0x1.593ec23d224cfp-17, -0x1.5808578c6341p-17, -0x1.570f85c525ec2p-17, -0x1.565207acca465p-17, -0x1.55cda56f13261p-17, -0x1.55803456275c4p-17, -0x1.55679690e96cap-17, -0x1.5581bae8a5781p-17, -0x1.55cc9c83f9dafp-17, -0x1.564642a6edc77p-17, -0x1.56ecc074af92bp-17, -0x1.57be34bb6de02p-17, -0x1.58b8c9adcb1d8p-17, -0x1.59dab4acd555cp-17, -0x1.5b22360eeb25ep-17, -0x1.5c8d98e9f5daap-17, -0x1.5e1b32db366bcp-17, -0x1.5fc963d03593fp-17, -0x1.619695d642d9cp-17, -0x1.63813ce5121e4p-17, -0x1.6587d6abc9305p-17, -0x1.67a8ea5fc93ffp-17, -0x1.69e3088d6dd6ap-17, -0x1.6c34cae729e12p-17, -0x1.6e9cd41706545p-17, -0x1.7119cf93d3a84p-17, -0x1.73aa716ffed32p-17, -0x1.764d7630f35fcp-17, -0x1.7901a2a210c6p-17, -0x1.7bc5c3ae3a3b1p-17, -0x1.7e98ae31d70aep-17, -0x1.81793ed599b25p-17, -0x1.846659e9935b9p-17, -0x1.875eeb3711a0bp-17, -0x1.8a61e5ddd71bfp-17, -0x1.8d6e442f1ab6dp-17, -0x1.9083078ba27dp-17, -0x1.939f383c27aadp-17, -0x1.96c1e5500d24ep-17, -0x1.99ea24773d1b8p-17, -0x1.9d1711e462ca3p-17, -0x1.a047d029a4355p-17, -0x1.a37b88185365p-17, -0x1.a6b168a0843e6p-17, -0x1.a9e8a6b2bd599p-17, -0x1.ad207d223bd84p-17, -0x1.b0582c849d6b4p-17, -0x1.b38efb136e92fp-17, -0x1.b6c434925af0ep-17, -0x1.b9f72a2fe0798p-17, -0x1.bd27326d0c173p-17, -0x1.c053a8fcc4927p-17, -0x1.c37beeac1751ep-17, -0x1.c69f694791f0dp-17, -0x1.c9bd838094a0ap-17, -0x1.ccd5acd46ed3bp-17, -0x1.cfe759731877ep-17, -0x1.d2f2022729af6p-17, -0x1.d5f5243d5c5d1p-17, -0x1.d8f0416d3c554p-17, -0x1.dbe2dfc2227fp-17, -0x1.decc89838ffd5p-17, -0x1.e1accd1fb9f4bp-17, -0x1.e4833d1692b16p-17, -0x1.e74f6fe38e8b8p-17, -0x1.ea10ffe4c655fp-17, -0x1.ecc78b4c3d507p-17, -0x1.ef72b4092cfd6p-17, -0x1.f2121fb401d61p-17, -0x1.f4a5777861094p-17, -0x1.f72c680350075p-17, -0x1.f9a6a172bbb2fp-17, -0x1.fc13d7422094dp-17, -0x1.fe73c03568c5fp-17, -0x1.00630b24b12dep-16, -0x1.01854b51a293ap-16, -0x1.02a080bdedc83p-16, -0x1.03b48d08121edp-16, -0x1.04c153497f2c9p-16, -0x1.05c6b80d63615p-16, -0x1.06c4a1479f614p-16, -0x1.07baf64e99cbbp-16, -0x1.08a99fd3761dfp-16, -0x1.099087d930671p-16, -0x1.0a6f99ad22b56p-16, -0x1.0b46c1e0fabbcp-16, -0x1.0c15ee429025fp-16, -0x1.0cdd0dd52c947p-16, -0x1.0d9c10cab60e3p-16, -0x1.0e52e87c33b58p-16, -0x1.0f0187636acbdp-16, -0x1.0fa7e114c0e1cp-16, -0x1.1045ea37b7e72p-16, -0x1.10db9881945a8p-16, -0x1.1168e2af34aa1p-16, -0x1.11edc07d00c0ap-16, -0x1.126a2aa30b3bp-16, }}, 
      {{-0x1.49851d1e09885p-3, -0x1.4ab9e65c55ac8p-3, -0x1.4cb28e3c6c0eep-3, -0x1.4f615614f9e3fp-3, -0x1.52b4dfcef6917p-3, -0x1.56995dd83546bp-3, -0x1.5af9b15e85bc5p-3, -0x1.5fc0677edeae5p-3, -0x1.64d88a9a3223dp-3, -0x1.6a2e42fbac7d5p-3, -0x1.6faf47dae8386p-3, -0x1.754b2623e896dp-3, -0x1.7af364cec698bp-3, -0x1.809b8f23781b8p-3, -0x1.86392c92aadb6p-3, -0x1.8bc3ac67e2732p-3, -0x1.913449fecd46dp-3, -0x1.9685eca840d74p-3, -0x1.9bb50537e1989p-3, -0x1.a0bf6a57e4506p-3, -0x1.a5a43437727fcp-3, -0x1.aa6397e221905p-3, -0x1.aefec277f7d23p-3, -0x1.b377b482fd3d2p-3, -0x1.b7d11db9d312cp-3, -0x1.bc0e39932cb71p-3, -0x1.c032ad1cdcdc2p-3, -0x1.c442668f3fe9p-3, -0x1.c8417f11d2cf4p-3, -0x1.cc341f18e9203p-3, -0x1.d01e65b09bb38p-3, -0x1.d40452f06c8c5p-3, -0x1.d7e9b5b893705p-3, -0x1.dbd21cbf3415p-3, -0x1.dfc0cadb0de71p-3, -0x1.e3b8ae637c8c3p-3, -0x1.e7bc5b6be8fb9p-3, -0x1.ebce08936c7afp-3, -0x1.efef8e1859e7fp-3, -0x1.f42266da7eeap-3, -0x1.f867b2f5c0116p-3, -0x1.fcc03ba0b2d76p-3, -0x1.00963bffad3fcp-2, -0x1.02d6495058bc7p-2, -0x1.052037b2be4e8p-2, -0x1.0773d8cbc2befp-2, -0x1.09d0e100b8a2dp-2, -0x1.0c36ea701d5fcp-2, -0x1.0ea577c80d729p-2, -0x1.111bf6ef4a84bp-2, -0x1.1399c3794c15ap-2, -0x1.161e28e111dafp-2, -0x1.18a864891bbcp-2, -0x1.1b37a7813361ep-2, -0x1.1dcb18148a58ap-2, -0x1.2061d324073ep-2, -0x1.22faed519dc25p-2, -0x1.2595740239a66p-2, -0x1.28306e3c0de4cp-2, -0x1.2acadd67386e4p-2, -0x1.2d63bdf686d02p-2, -0x1.2ffa07fdcfb51p-2, -0x1.328cafbafc5aap-2, -0x1.351aa6163e4ebp-2, -0x1.37a2d91d6a4a3p-2, -0x1.3a24347dceb2dp-2, -0x1.3c9da1ff34bcdp-2, -0x1.3f0e0a022e6acp-2, -0x1.417454033400ep-2, -0x1.43cf672385e58p-2, -0x1.461e2ab855fd1p-2, -0x1.485f86e045448p-2, -0x1.4a92651ed8dc4p-2, -0x1.4cb5b0fd47bf7p-2, -0x1.4ec858afb2c7p-2, -0x1.50c94dbdadf0dp-2, -0x1.52b785accdfa9p-2, -0x1.5491faabe497bp-2, -0x1.5657ac3d7b938p-2, -0x1.58079fe01d011p-2, -0x1.59a0e1b30124dp-2, -0x1.5b228515c3232p-2, -0x1.5c8ba541d064cp-2, -0x1.5ddb65dc6b255p-2, -0x1.5f10f3801ad33p-2, -0x1.602b843cac955p-2, -0x1.612a580cdd83fp-2, -0x1.620cb941103ebp-2, -0x1.62d1fcde7a8acp-2, -0x1.637982f2624c2p-2, -0x1.6402b6d92e0b2p-2, -0x1.646d0f7919f51p-2, -0x1.64b80f70938cep-2, -0x1.64e3453851976p-2, -0x1.64ee4b395c99ep-2, -0x1.64d8c7d750ecfp-2, -0x1.64a26d6f3f1abp-2, -0x1.644afa4b9aaebp-2, -0x1.63d2388dbcba5p-2, -0x1.6337fe0d9006cp-2, -0x1.627c2c2ffcee6p-2, -0x1.619eafb4c376cp-2, -0x1.609f807c68992p-2, -0x1.5f7ea146ec5dp-2, -0x1.5e3c1f6bfb547p-2, -0x1.5cd8128d4d98ap-2, -0x1.5b529c43e799p-2, -0x1.59abe7c8eb571p-2, -0x1.57e4299aa675fp-2, -0x1.55fb9f1e84aebp-2, -0x1.53f28e4084fep-2, -0x1.51c94510ce8d4p-2, -0x1.4f80195ff284dp-2, -0x1.4d17685a6a27dp-2, -0x1.4a8f9623cdb09p-2, -0x1.47e90d723dc03p-2, -0x1.45243f2a6f897p-2, -0x1.4241a1fcbea99p-2, -0x1.3f41b203a5e3bp-2, -0x1.3c24f063ebb3dp-2, -0x1.38ebe2eed4892p-2, -0x1.359713c696e6dp-2, -0x1.322711054d3d1p-2, -0x1.2e9c6c66964a7p-2, -0x1.2af7baf40d5dfp-2, -0x1.273994b4bcc7dp-2, -0x1.2362945fa46afp-2, -0x1.1f735711691bfp-2, -0x1.1b6c7c053b501p-2, -0x1.174ea450fe59bp-2, -0x1.131a72a4b031p-2, -0x1.0ed08b0d154e6p-2, -0x1.0a7192b99af4ap-2, -0x1.05fe2fc56d461p-2, -0x1.01770903afffp-2, -0x1.f9b98b9d8dd7p-3, -0x1.f0601bb53ba48p-3, -0x1.e6e31213b10c5p-3, -0x1.dd43be8ba337cp-3, -0x1.d38370b29ba0dp-3, -0x1.c9a3779b9d288p-3, -0x1.bfa52196b1418p-3, -0x1.b589bbf54ab82p-3, -0x1.ab5292d31aaffp-3, -0x1.a100f0e3390ffp-3, -0x1.96961f414ccbap-3, -0x1.8c13654689d18p-3, -0x1.817a08623654cp-3, -0x1.76cb4bf58c595p-3, -0x1.6c087132aa1a8p-3, -0x1.6132b6fe70bf2p-3, -0x1.564b59d4f7a4ep-3, -0x1.4b5393b082a9bp-3, -0x1.404c9bf2a8c4cp-3, -0x1.3537a74f89827p-3, -0x1.2a15e7badc9c7p-3, -0x1.1ee88c56adf04p-3, -0x1.13b0c16394923p-3, -0x1.086fb0324a9a1p-3, -0x1.fa4cfe2cd02b5p-4, -0x1.e3aca2b470adbp-4, -0x1.cd008e66cf46ap-4, -0x1.b64afb71144fep-4, -0x1.9f8e1dae8b4d5p-4, -0x1.88cc22961c998p-4, -0x1.72073128bc4e3p-4, -0x1.5b4169e09e901p-4, -0x1.447ce6a0fc752p-4, -0x1.2dbbbaa65f262p-4, -0x1.16fff277383abp-4, -0x1.004b93d4b82fp-4, -0x1.d3413b579179ep-5, -0x1.a602100c21c45p-5, -0x1.78dd87f5ef562p-5, -0x1.4bd7774128af4p-5, -0x1.1ef3a3f8f42c7p-5, -0x1.e46b8bd19b904p-6, -0x1.8b430cfaf1b04p-6, -0x1.3275014b2f701p-6, -0x1.b41102c7a14f2p-7, -0x1.040910d42e8a7p-7, -0x1.537f9e308c56ap-9, 0x1.6573e8f94baaap-9, 0x1.06a0523b9d9e2p-7, 0x1.b2dd1b23de599p-7, 0x1.2f03469e9a3c5p-6, 0x1.84080f70eee5dp-6, 0x1.d876c2833b33dp-6, 0x1.1624aceff45c6p-5, 0x1.3fbcf7b1ff7d6p-5, 0x1.69015e807b54p-5, 0x1.91ef0e7ee9822p-5, 0x1.ba83451b97f84p-5, 0x1.e2bb502efe084p-5, 0x1.054a470d35a75p-4, 0x1.190636f2e86d6p-4, 0x1.2c9037ae4d311p-4, 0x1.3fe71194bb62bp-4, 0x1.530995787a3b3p-4, 0x1.65f69cb569646p-4, 0x1.78ad093cfb77p-4, 0x1.8b2bc5a16f5p-4, 0x1.9d71c520464c7p-4, 0x1.af7e03abd659bp-4, 0x1.c14f85f413d31p-4, 0x1.d2e5596e529bbp-4, 0x1.e43e945c27731p-4, 0x1.f55a55d1410d6p-4, 0x1.031be2dc1d861p-3, 0x1.0b6b0a6b31e7p-3, 0x1.139a3e6735436p-3, 0x1.1ba92010f204bp-3, 0x1.23975518e134p-3, 0x1.2b64879ec633bp-3, 0x1.33106630be9d1p-3, 0x1.3a9aa3c9acc09p-3, 0x1.4202f7cf180c8p-3, 0x1.49491e0e62cedp-3, 0x1.506cd6b96b4fbp-3, 0x1.576de662921c2p-3, 0x1.5e4c15f81e77bp-3, 0x1.650732bf08dfcp-3, 0x1.6b9f0e4d28fc5p-3, 0x1.72137e82c7e08p-3, 0x1.78645d83993dap-3, 0x1.7e9189af1d4abp-3, 0x1.849ae59862961p-3, 0x1.8a8057fd4142p-3, 0x1.9041cbbcf3871p-3, 0x1.95df2fce2dca2p-3, 0x1.9b587734977d2p-3, 0x1.a0ad98f5cb7dbp-3, 0x1.a5de900dc1294p-3, 0x1.aaeb5b62b8895p-3, 0x1.afd3fdb8a6f4dp-3, 0x1.b4987da41fc05p-3, 0x1.b938e57cca94dp-3, 0x1.bdb5434f5f82dp-3, 0x1.c20da8cf335f1p-3, 0x1.c6422b4759b1p-3, 0x1.ca52e38b58ad6p-3, 0x1.ce3fede77ff3dp-3, 0x1.d2096a10d3fcbp-3, 0x1.d5af7b14ade11p-3, 0x1.d9324747fa619p-3, 0x1.dc91f8362399cp-3, 0x1.dfceba8fbfc56p-3, 0x1.e2e8be18df438p-3, 0x1.e5e035972dbd4p-3, 0x1.e8b556bfca4aep-3, 0x1.eb685a24e3c85p-3, 0x1.edf97b2323e85p-3, 0x1.f068f7cef2b16p-3, 0x1.f2b710e17b881p-3, 0x1.f4e409a59fbfcp-3, 0x1.f6f027e4bfd42p-3, 0x1.f8dbb3d360928p-3, 0x1.faa6f7fdc9398p-3, 0x1.fc5241347d885p-3, 0x1.fdddde78b1a5fp-3, 0x1.ff4a20e8b45b2p-3, 0x1.004badd626eeap-2, 0x1.00e2f1f0902dbp-2, 0x1.016b084386082p-2, 0x1.01e41d364b6c4p-2, 0x1.024e5e0db0ee5p-2, 0x1.02a9f8e25554ap-2, 0x1.02f71c96f2041p-2, 0x1.0335f8ceae75dp-2, 0x1.0366bde385449p-2, 0x1.03899cdcb66bcp-2, 0x1.039ec7654566ap-2, 0x1.03a66fc29374ap-2, 0x1.03a0c8cb01c93p-2, 0x1.038e05dcb3655p-2, 0x1.036e5ad45f376p-2, 0x1.0341fc043deffp-2, 0x1.03091e2b0e449p-2, 0x1.02c3f66b378bdp-2, 0x1.0272ba42072c7p-2, 0x1.02159f7f0aa3bp-2, 0x1.01acdc3b87e3ep-2, 0x1.0138a6d218013p-2, 0x1.00b935d65f55cp-2, 0x1.002ec00ce7f41p-2, 0x1.ff32f8c642159p-3, 0x1.fdf343cefbe5ep-3, 0x1.fc9ecf837a883p-3, 0x1.fb360a56a0e79p-3, 0x1.f9b962cfda7aep-3, 0x1.f829477c85534p-3, 0x1.f68626e1ac371p-3, 0x1.f4d06f6e0c613p-3, 0x1.f3088f6c6dfp-3, 0x1.f12ef4f64c5fbp-3, 0x1.ef440de6cd4dp-3, 0x1.ed4847ce0e4d8p-3, 0x1.eb3c0fe4bcaacp-3, 0x1.e91fd3000c1c7p-3, 0x1.e6f3fd85f3007p-3, 0x1.e4b8fb61c916bp-3, 0x1.e26f37f927544p-3, 0x1.e0171e2130632p-3, 0x1.ddb118141b1a6p-3, 0x1.db3d8f671a331p-3, 0x1.d8bced00986f3p-3, 0x1.d62f990ec0655p-3, 0x1.d395fafe5fc75p-3, 0x1.d0f079721ab4bp-3, 0x1.ce3f7a39ee367p-3, 0x1.cb83624b08ef5p-3, 0x1.c8bc95b7f75bap-3, 0x1.c5eb77a9166fap-3, 0x1.c3106a5566f7ep-3, 0x1.c02bcefb9cc99p-3, 0x1.bd3e05db8f95ep-3, 0x1.ba476e2ff0599p-3, 0x1.b748662847ce5p-3, 0x1.b4414ae34bf0fp-3, 0x1.b132786979425p-3, 0x1.ae1c49a7f88f5p-3, 0x1.aaff186bd05e1p-3, 0x1.a7db3d5d5cb93p-3, 0x1.a4b10ffc0b97cp-3, 0x1.a180e69a64ea8p-3, 0x1.9e4b165a56636p-3, 0x1.9b0ff329bf74p-3, 0x1.97cfcfbf472fp-3, 0x1.948afd9769932p-3, 0x1.9141ccf1cf9bap-3, 0x1.8df48ccee31ffp-3, 0x1.8aa38aed9a1eap-3, 0x1.874f13c98a28p-3, 0x1.83f772992d0bfp-3, 0x1.809cf14c68608p-3, 0x1.7d3fd88b42c67p-3, 0x1.79e06fb4df8bdp-3, 0x1.767efcdea021ap-3, 0x1.731bc4d3886adp-3, 0x1.6fb70b13cd43fp-3, 0x1.6c5111d49b56cp-3, 0x1.68ea1a000825fp-3, 0x1.658263353b64cp-3, 0x1.621a2bc8be20fp-3, 0x1.5eb1b0c4fc106p-3, 0x1.5b492deaec73cp-3, 0x1.57e0ddb2ed1c2p-3, 0x1.5478f94dba77cp-3, 0x1.5111b8a599c23p-3, 0x1.4dab525fa5826p-3, 0x1.4a45fbdd3d379p-3, 0x1.46e1e93d9bbaep-3, 0x1.437f4d5f8fee2p-3, 0x1.401e59e356d8p-3, 0x1.3cbf3f2c9104bp-3, 0x1.39622c64605cap-3, 0x1.36074f7b9a369p-3, 0x1.32aed52d1832fp-3, 0x1.2f58e9002c464p-3, 0x1.2c05b54b2032fp-3, 0x1.28b56335dbb75p-3, 0x1.25681abc9a905p-3, 0x1.221e02b2bbfedp-3, 0x1.1ed740c5a7696p-3, 0x1.1b93f97fc538ap-3, 0x1.1854504b8b0e1p-3, 0x1.151867769b549p-3, 0x1.11e06034f2e42p-3, 0x1.0eac5aa42d839p-3, 0x1.0b7c75ced255dp-3, 0x1.0850cfafb4817p-3, 0x1.052985355bc37p-3, 0x1.0206b245805b9p-3, 0x1.fdd0e38118802p-4, 0x1.f79dbb0a4dbe9p-4, 0x1.f1741ce7a876fp-4, 0x1.eb5438e51f41p-4, 0x1.e53e3ce0efe2ap-4, 0x1.df3254d2fef41p-4, 0x1.d930aad445971p-4, 0x1.d339672650c58p-4, 0x1.cd4cb03ab996cp-4, 0x1.c76aaababb6d3p-4, 0x1.c193798ec319dp-4, 0x1.bbc73de60c138p-4, 0x1.b606173e36a4p-4, 0x1.b050236aefad4p-4, 0x1.aaa57e9d8c1dbp-4, 0x1.a506436cb7bedp-4, 0x1.9f728adc09a02p-4, 0x1.99ea6c63abdc2p-4, 0x1.946dfdf7fd07fp-4, 0x1.8efd54112119fp-4, 0x1.899881b29ecd4p-4, 0x1.843f9872eaba3p-4, 0x1.7ef2a882f024bp-4, 0x1.79b1c0b591595p-4, 0x1.747cee87201fcp-4, 0x1.6f543e24ca364p-4, 0x1.6a37ba73fdb67p-4, 0x1.65276d19c2369p-4, 0x1.60235e82037f1p-4, 0x1.5b2b95e6d20bp-4, 0x1.5640195794ef1p-4, 0x1.5160edc02ee91p-4, 0x1.4c8e16f01041cp-4, 0x1.47c797a14368ap-4, 0x1.430d717f5ce1fp-4, 0x1.3e5fa52e6377ap-4, 0x1.39be3251a4b62p-4, 0x1.352917927a1adp-4, 0x1.30a052a6f7916p-4, 0x1.2c23e0588cbe9p-4, 0x1.27b3bc8a912fap-4, 0x1.234fe240bb3fcp-4, 0x1.1ef84ba589f91p-4, 0x1.1aacf2109383dp-4, 0x1.166dce0cc447dp-4, 0x1.123ad75e8897p-4, 0x1.0e140509e1f06p-4, 0x1.09f94d5863fb7p-4, 0x1.05eaa5df228fcp-4, 0x1.01e80384841e4p-4, 0x1.fbe2b50c08891p-5, 0x1.f40d3cfbb8552p-5, 0x1.ec4f84d12a1eap-5, 0x1.e4a97155143eep-5, 0x1.dd1ae62a9b3d6p-5, 0x1.d5a3c5d9ff497p-5, 0x1.ce43f1db03551p-5, 0x1.c6fb4a9f49fb9p-5, 0x1.bfc9af9c69399p-5, 0x1.b8aeff55ddc64p-5, 0x1.b1ab1766d5421p-5, 0x1.aabdd48bc01a1p-5, 0x1.a3e712abc30cbp-5, 0x1.9d26ace1f2d91p-5, 0x1.967c7d8667d2dp-5, 0x1.8fe85e3723b7fp-5, 0x1.896a27e0d12d1p-5, 0x1.8301b2c7481dcp-5, 0x1.7caed68df8c73p-5, 0x1.76716a401ed1cp-5, 0x1.70494458cd02cp-5, 0x1.6a363acacc3e4p-5, 0x1.6438230852c7ap-5, 0x1.5e4ed20a8ba7cp-5, 0x1.587a1c58fae44p-5, 0x1.52b9d610b1dcep-5, 0x1.4d0dd2eb5861fp-5, 0x1.4775e64616207p-5, 0x1.41f1e328441ccp-5, 0x1.3c819c4a0a79p-5, 0x1.3724e41abcca8p-5, 0x1.31db8cc722baap-5, 0x1.2ca5683f9290bp-5, 0x1.2782483ddbe1ep-5, 0x1.2271fe4b1f415p-5, 0x1.1d745bc56da45p-5, 0x1.188931e546007p-5, 0x1.13b051c2f9397p-5, 0x1.0ee98c5bd8951p-5, 0x1.0a34b2974a24ap-5, 0x1.0591954bb67bcp-5, 0x1.01000543576fcp-5, 0x1.f8ffa681ab2b2p-6, 0x1.f021a007b662cp-6, 0x1.e765989ad8c85p-6, 0x1.decb31c85a1adp-6, 0x1.d6520d3105937p-6, 0x1.cdf9cc9129a0ap-6, 0x1.c5c211c85413p-6, 0x1.bdaa7ee0daec4p-6, 0x1.b5b2b61720ebbp-6, 0x1.adda59e08d675p-6, 0x1.a6210cf273417p-6, 0x1.9e86724885decp-6, 0x1.970a2d2b465f1p-6, 0x1.8fabe13611d67p-6, 0x1.886b325d0aeefp-6, 0x1.8147c4f2ce0f7p-6, 0x1.7a413dade8fdfp-6, 0x1.735741ae1e6f4p-6, 0x1.6c89768177a0cp-6, 0x1.65d782291804fp-6, 0x1.5f410b1e0932cp-6, 0x1.58c5b85592b93p-6, 0x1.52653145908a7p-6, 0x1.4c1f1de8a1ffp-6, 0x1.45f326c1fd5e3p-6, 0x1.3fe0f4e14b24p-6, 0x1.39e831e625cc9p-6, 0x1.340888039a537p-6, 0x1.2e41a20359e32p-6, 0x1.28932b48d8845p-6, 0x1.22fccfd43e0fep-6, 0x1.1d7e3c4527477p-6, 0x1.18171ddd52853p-6, 0x1.12c722831bde3p-6, 0x1.0d8df8c3c8027p-6, 0x1.086b4fd5c542ep-6, 0x1.035ed79ac0f6ap-6, 0x1.fcd081430d61dp-7, 0x1.f30e784fc5f7ep-7, 0x1.e976f8387b31cp-7, 0x1.e009663e742ap-7, 0x1.d6c5290a3bedep-7, 0x1.cda9a8ae4c116p-7, 0x1.c4b64ea977ed8p-7, 0x1.bbea85e91b5b1p-7, 0x1.b345bacb263d5p-7, 0x1.aac75b1fc9c21p-7, 0x1.a26ed62b16267p-7, 0x1.9a3b9ca65d5f1p-7, 0x1.922d20c16e58fp-7, 0x1.8a42d62376277p-7, 0x1.827c31ebdcf96p-7, 0x1.7ad8aab30df1fp-7, 0x1.7357b88aa4321p-7, 0x1.6bf8d4fe09e0dp-7, 0x1.64bb7b126fb9bp-7, 0x1.5d9f2746d9b73p-7, 0x1.56a35793f9133p-7, 0x1.4fc78b6bd7d58p-7, 0x1.490b43b97216dp-7, 0x1.426e02e01aa12p-7, 0x1.3bef4cbad6d5fp-7, 0x1.358ea69b82915p-7, 0x1.2f4b9749e34d7p-7, 0x1.2925a7027bf13p-7, 0x1.231c5f758439fp-7, 0x1.1d2f4bc595b22p-7, 0x1.175df8863b623p-7, 0x1.11a7f3ba8649cp-7, 0x1.0c0cccd3662d8p-7, 0x1.068c14ae0b41ep-7, 0x1.01255d92216bp-7, 0x1.f7b0765fbfb54p-8, 0x1.ed48853c9279ap-8, 0x1.e31214b1ec301p-8, 0x1.d90c547c413dep-8, 0x1.cf367718e9636p-8, 0x1.c58fb1c1a8aap-8, 0x1.bc173c68129aep-8, 0x1.b2cc51b0f98f8p-8, 0x1.a9ae2eef8eea9p-8, 0x1.a0bc14206d14p-8, 0x1.97f543e49632dp-8, 0x1.8f59037c5d82bp-8, 0x1.86e69ac238bc5p-8, 0x1.7e9d5425433e1p-8, 0x1.767c7ca41124dp-8, 0x1.6e8363c717ff6p-8, 0x1.66b15b9b40999p-8, 0x1.5f05b8ac1b54fp-8, 0x1.577fd1fe750dp-8, 0x1.501f010a5b057p-8, 0x1.48e2a1b5830d8p-8, 0x1.41ca124d6a73bp-8, 0x1.3ad4b3816e38dp-8, 0x1.3401e85ce3423p-8, 0x1.2d5116411657cp-8, 0x1.26c1a4df6696fp-8, 0x1.2052fe332481ep-8, 0x1.1a048e7ba5b0dp-8, 0x1.13d5c4361e883p-8, 0x1.0dc610178bb1ep-8, 0x1.07d4e50697ed4p-8, 0x1.0201b81584201p-8, 0x1.f89800f80ccb6p-9, 0x1.ed666f224a59ap-9, 0x1.e26db18a0f47cp-9, 0x1.d7acc335d9696p-9, 0x1.cd22a345e56d3p-9, 0x1.c2ce54e7f20c4p-9, 0x1.b8aedf4b0969fp-9, 0x1.aec34d933fc24p-9, 0x1.a50aaecd84ab6p-9, 0x1.9b8415e359526p-9, 0x1.922e998ea24cdp-9, 0x1.8909544dd76e3p-9, 0x1.8013645787e9fp-9, 0x1.774beb8e9c2c6p-9, 0x1.6eb20f761e1aap-9, 0x1.6644f9259cb27p-9, 0x1.5e03d53cd2836p-9, 0x1.55edd3d831d6fp-9, 0x1.4e02288520e81p-9, 0x1.46400a35dff9ap-9, 0x1.3ea6b33655ab4p-9, 0x1.373561205703dp-9, 0x1.2feb54d01d14ep-9, 0x1.28c7d258be8ebp-9, 0x1.21ca20f92f507p-9, 0x1.1af18b1095f48p-9, 0x1.143d5e135462cp-9, 0x1.0dacea7ff9dcep-9, 0x1.073f83d3f95f6p-9, 0x1.00f48080f2f09p-9, 0x1.f59673c3bf51ep-10, 0x1.e986186036caap-10, 0x1.ddb6acf1c9617p-10, 0x1.d226f525befdbp-10, 0x1.c6d5ba265d426p-10, 0x1.bbc1ca874589ap-10, 0x1.b0e9fa3003013p-10, 0x1.a64d2247c6854p-10, 0x1.9bea2121af375p-10, 0x1.91bfda286371ap-10, 0x1.87cd35ca27d44p-10, 0x1.7e112165aa77p-10, 0x1.748a8f3645df9p-10, 0x1.6b3876413609p-10, 0x1.6219d241debaap-10, 0x1.592da397cfb9fp-10, 0x1.5072ef33c186ap-10, 0x1.47e8be852fb73p-10, 0x1.3f8e1f68b3dc4p-10, 0x1.37622414ea982p-10, 0x1.2f63e309ffa0ep-10, 0x1.279276ff5b409p-10, 0x1.1fecfed24ae8ep-10, 0x1.18729d7581f2fp-10, 0x1.112279df44195p-10, 0x1.09fbbef972f47p-10, 0x1.02fd9b9059e8dp-10, 0x1.f84e84864671ap-11, 0x1.eaefd2e5ef349p-11, 0x1.dddd96678cf91p-11, 0x1.d1164a783639bp-11, 0x1.c49871abe0909p-11, 0x1.b862959dde51ep-11, 0x1.ac7346d3c3911p-11, 0x1.a0c91c9f3cb47p-11, 0x1.9562b5003f8f6p-11, 0x1.8a3eb48971e94p-11, 0x1.7f5bc6415ac98p-11, 0x1.74b89b8861eb9p-11, 0x1.6a53ebfb95045p-11, 0x1.602c755a02d45p-11, 0x1.5640fb698c32p-11, 0x1.4c9047dc7b01ep-11, 0x1.43192a36549a3p-11, 0x1.39da77b33af96p-11, 0x1.30d30b2dc9c69p-11, 0x1.2801c505cc2b1p-11, 0x1.1f658b0834016p-11, 0x1.16fd4855a26bap-11, 0x1.0ec7ed4bbae9cp-11, 0x1.06c46f6c72c58p-11, 0x1.fde3928e76cdp-12, 0x1.ee9df4c3453a4p-12, 0x1.dfb60e4281bcap-12, 0x1.d129f16b15cd4p-12, 0x1.c2f7ba0285f93p-12, 0x1.b51d8d0b22a05p-12, 0x1.a7999898f80bbp-12, 0x1.9a6a13a78daf3p-12, 0x1.8d8d3df2734ap-12, 0x1.81015fca92449p-12, 0x1.74c4c9f006bbbp-12, 0x1.68d5d56b61397p-12, 0x1.5d32e36450267p-12, 0x1.51da5cff1905ep-12, 0x1.46cab334cb10bp-12, 0x1.3c025eb06be22p-12, 0x1.317fdfa8fad85p-12, 0x1.2741bdbfcfffcp-12, 0x1.1d4687dcc316cp-12, 0x1.138cd40bab182p-12, 0x1.0a133f5acb8fap-12, 0x1.00d86dba6ab82p-12, 0x1.efb613b59f26p-13, 0x1.de338a1b57e5bp-13, 0x1.cd26ae4a17ef3p-13, 0x1.bc8cfcacc7aa8p-13, 0x1.ac63fe339ef44p-13, 0x1.9ca9481b10bc8p-13, 0x1.8d5a7bb1d0f66p-13, 0x1.7e75461a8fa76p-13, 0x1.6ff760198f63ap-13, 0x1.61de8dd7ce0d9p-13, 0x1.54289eade05d6p-13, 0x1.46d36cefcfe8fp-13, 0x1.39dcddb391aaep-13, 0x1.2d42e0a32bd41p-13, 0x1.21036fc3dbf64p-13, 0x1.151c8f4883fddp-13, 0x1.098c4d5d617f1p-13, 0x1.fca183f3ca554p-14, 0x1.e6d01d5d1b7c2p-14, 0x1.d1a0bcf2d63bfp-14, 0x1.bd0fcb2b8eb09p-14, 0x1.a919c2a080b78p-14, 0x1.95bb2fb450754p-14, 0x1.82f0b0406552p-14, 0x1.70b6f336fe571p-14, 0x1.5f0ab85b71424p-14, 0x1.4de8cfe494d0fp-14, 0x1.3d4e1a33eb203p-14, 0x1.2d378783e65p-14, 0x1.1da2179ad7aecp-14, 0x1.0e8ad97bd337ap-14, 0x1.ffddd649537c9p-15, 0x1.e396f270694fbp-15, 0x1.c83b7d82b99b1p-15, 0x1.adc609c9ca915p-15, 0x1.943145444f349p-15, 0x1.7b77f90fe5318p-15, 0x1.639508f54dc81p-15, 0x1.4c8372d540ae9p-15, 0x1.363e4e33affb3p-15, 0x1.20c0cbafa0cddp-15, 0x1.0c063490c82f6p-15, 0x1.f013d49875476p-16, 0x1.c98ecc086a698p-16, 0x1.a47470420a8c6p-16, 0x1.80bc0faee5e3ep-16, 0x1.5e5d256ae999bp-16, 0x1.3d4f587a9ceb5p-16, 0x1.1d8a7add3ace6p-16, 0x1.fe0d119c8830bp-17, 0x1.c3774fb1714bp-17, 0x1.8b444c692577cp-17, 0x1.5564f3ac0a9ap-17, 0x1.21ca7f81e8ce7p-17, 0x1.e0cced04b3d9ep-18, 0x1.825554ca84686p-18, 0x1.28126cf3ec72fp-18, 0x1.a3d1f95fd4f08p-19, 0x1.fef9633ae0401p-20, 0x1.8bc308b581931p-21, -0x1.9028256bbf6b2p-22, -0x1.7f2d8ef4807ddp-20, -0x1.45f5a49532d4bp-19, -0x1.c551b92543944p-19, -0x1.1eed130d81aeap-18, -0x1.57de8a8dd507ap-18, -0x1.8d93de99c28adp-18, -0x1.c02333b9a5f84p-18, -0x1.efa239ca428c8p-18, -0x1.0e13170f61022p-17, -0x1.22e1ef011206ap-17, -0x1.3647d436439a2p-17, -0x1.484ec03c9a275p-17, -0x1.590077a795b3dp-17, -0x1.68668b24a1cd1p-17, -0x1.768a58613d715p-17, -0x1.83750b19f6343p-17, -0x1.8f2f9e092632cp-17, -0x1.99c2dbcf6de2ap-17, -0x1.a3375fea88d0cp-17, -0x1.ab95979f14582p-17, -0x1.b2e5c2c5b1c4p-17, -0x1.b92ff4c092798p-17, -0x1.be7c15451f781p-17, -0x1.c2d1e13ea101ap-17, -0x1.c638eb9424db8p-17, -0x1.c8b89dfca86ffp-17, -0x1.ca5839c11f8c3p-17, -0x1.cb1ed889bbfa9p-17, -0x1.cb136d1e7205bp-17, -0x1.ca3cc41bcd26bp-17, -0x1.c8a184be8012bp-17, -0x1.c648317ee5aabp-17, -0x1.c33728dee1599p-17, -0x1.bf74a60a16426p-17, -0x1.bb06c18b4a9b8p-17, -0x1.b5f371e4529b2p-17, -0x1.b0408c447176bp-17, -0x1.a9f3c52bd46fep-17, -0x1.a312b0f8c5cd5p-17, -0x1.9ba2c48fa19eap-17, -0x1.93a955f502903p-17, -0x1.8b2b9ce595c8dp-17, -0x1.822eb35ccecbbp-17, -0x1.78b796322fcfcp-17, -0x1.6ecb259eb67dap-17, -0x1.646e25cc931a3p-17, -0x1.59a53f5ef11bbp-17, -0x1.4e74fff21efc8p-17, -0x1.42e1daa79065fp-17, -0x1.36f0289ba5f82p-17, -0x1.2aa4296ec053ep-17, -0x1.1e0203b9f6c92p-17, -0x1.110dc585c1ab2p-17, -0x1.03cb64cab6938p-17, -0x1.ec7d7fbeaa5eap-18, -0x1.d0d73bd9f208bp-18, -0x1.b4ab5eb66f9e6p-18, -0x1.98011c88fe3cfp-18, -0x1.7adf7dc2ffe6fp-18, -0x1.5d4d5fe6675ep-18, -0x1.3f517640aba31p-18, -0x1.20f24add254c3p-18, -0x1.02363f2fbd172p-18, -0x1.c64719d8d668ep-19, -0x1.87808d70f51e1p-19, -0x1.4824b1e6d2432p-19, -0x1.083f14d0a3babp-19, -0x1.8fb5f447297f4p-20, -0x1.0e06bae4641d3p-20, -0x1.170bce11cde0bp-21, -0x1.090ad9019c712p-25, 0x1.ee767ff14fb14p-22, 0x1.00182d66573e1p-20, 0x1.85140518ac753p-20, 0x1.053f2d9fb8054p-19, 0x1.48227148e7f35p-19, 0x1.8b2ae4e4ae6abp-19, 0x1.ce4fdc9d4f706p-19, 0x1.08c4741baeabbp-18, 0x1.2a66e8fdd5fa2p-18, 0x1.4c0b4ec16a2fep-18, 0x1.6dadc363be4a3p-18, 0x1.8f4a80737f75ap-18, 0x1.b0ddda89be03cp-18, 0x1.d26440d43f4b1p-18, 0x1.f3da3c7fb20a1p-18, 0x1.0a9e3824c8e1bp-17, 0x1.1b43cbf774f15p-17, 0x1.2bdc43e0eab9bp-17, 0x1.3c661611122e1p-17, 0x1.4cdfc485d5a73p-17, 0x1.5d47dccff6a98p-17, 0x1.6d9cf7d7c31b2p-17, 0x1.7dddb9a524d3dp-17, 0x1.8e08d12c7fc64p-17, 0x1.9e1cf80cc4871p-17, 0x1.ae18f2642d0bdp-17, 0x1.bdfb8e9ae2df7p-17, 0x1.cdc3a527500a8p-17, 0x1.dd70185fbbfbdp-17, 0x1.ecffd448a492dp-17, 0x1.fc71ce6384b0ep-17, 0x1.05e282be09664p-16, 0x1.0d7c40bdf02bdp-16, 0x1.1505a99d45be4p-16, 0x1.1c7e4a26d4661p-16, 0x1.23e5b36d943c5p-16, 0x1.2b3b7ab97e9a8p-16, 0x1.327f396ed99bcp-16, 0x1.39b08cf9aeca4p-16, 0x1.40cf16b7cf6cfp-16, 0x1.47da7be6347ap-16, 0x1.4ed2658af251bp-16, 0x1.55b680613572bp-16, 0x1.5c867cc73b303p-16, 0x1.63420ea8de2fap-16, 0x1.69e8ed6e50f43p-16, }}, 
      {{-0x1.493fd595c097p-3, -0x1.49a7483058416p-3, -0x1.4a51a8bd097b5p-3, -0x1.4b3c1b1ea233bp-3, -0x1.4c62eb50b3c58p-3, -0x1.4dc1c034ae1acp-3, -0x1.4f53cd2fa6e6p-3, -0x1.5114006c4079dp-3, -0x1.52fd2c0ad096ep-3, -0x1.550a291e77358p-3, -0x1.5735f3fdf5788p-3, -0x1.597bc20820865p-3, -0x1.5bd7116d79e4ap-3, -0x1.5e43b3d34d1c6p-3, -0x1.60bdd4bd91078p-3, -0x1.6341fca6235e4p-3, -0x1.65cd118dc04f9p-3, -0x1.685c55afc129fp-3, -0x1.6aed64dcc0d1dp-3, -0x1.6d7e30ded7ea1p-3, -0x1.700cfd2e95e08p-3, -0x1.72985a2adf67p-3, -0x1.751f1ff73c264p-3, -0x1.77a0691a9e38cp-3, -0x1.7a1b8cf31d064p-3, -0x1.7c901a104a0c1p-3, -0x1.7efdd08487b64p-3, -0x1.81649c3d5810fp-3, -0x1.83c48f7255619p-3, -0x1.861ddd39ff3f2p-3, -0x1.8870d452b72c4p-3, -0x1.8abdda2ce7dcfp-3, -0x1.8d05664198c0fp-3, -0x1.8f47fdbe9fa99p-3, -0x1.91862f8f43714p-3, -0x1.93c090c5fdacap-3, -0x1.95f7b9696f8eep-3, -0x1.982c41a4ad304p-3, -0x1.9a5ebf58f4653p-3, -0x1.9c8fc40d2ac21p-3, -0x1.9ebfdb362a00ep-3, -0x1.a0ef88d1bdf6p-3, -0x1.a31f484d7cc58p-3, -0x1.a54f8bb21a974p-3, -0x1.a780bb0b93a74p-3, -0x1.a9b33406a81dap-3, -0x1.abe749bc2435dp-3, -0x1.ae1d44a2ea647p-3, -0x1.b05562a2197p-3, -0x1.b28fd73d328a7p-3, -0x1.b4cccbd4bba5bp-3, -0x1.b70c5ff6815ddp-3, -0x1.b94ea9b92cf53p-3, -0x1.bb93b61f93adep-3, -0x1.bddb8980a1b09p-3, -0x1.c0261ff177e76p-3, -0x1.c2736dafa0b7p-3, -0x1.c4c35f89e945fp-3, -0x1.c715db46ac557p-3, -0x1.c96ac006c7e29p-3, -0x1.cbc1e6a4c1877p-3, -0x1.ce1b220fd9683p-3, -0x1.d0763fa2f76f2p-3, -0x1.d2d307779b4f1p-3, -0x1.d5313cb4fc282p-3, -0x1.d7909ddbae021p-3, -0x1.d9f0e50e25f3dp-3, -0x1.dc51c85684c34p-3, -0x1.deb2f9ea0296fp-3, -0x1.e114286a743afp-3, -0x1.e374ff2626aaep-3, -0x1.e5d526568b24ep-3, -0x1.e834435ddd1cbp-3, -0x1.ea91f90414be4p-3, -0x1.ecede7b351fa9p-3, -0x1.ef47adb3e6d26p-3, -0x1.f19ee7681d058p-3, -0x1.f3f32f87c294fp-3, -0x1.f6441f5b8a4a1p-3, -0x1.f8914ef82dca2p-3, -0x1.fada55794e929p-3, -0x1.fd1ec93c00c14p-3, -0x1.ff5e4018dab82p-3, -0x1.00cc27cebc01cp-2, -0x1.01e646a29c0ccp-2, -0x1.02fd475894ff3p-2, -0x1.0410f4ef739d6p-2, -0x1.05211aaf22c1ap-2, -0x1.062d8442d362ep-2, -0x1.0735fdd2670dp-2, -0x1.083a541b057b9p-2, -0x1.093a5486cca0ap-2, -0x1.0a35cd43889edp-2, -0x1.0b2c8d5867d68p-2, -0x1.0c1e64ba9b319p-2, -0x1.0d0b2460d6ccap-2, -0x1.0df29e55a8e16p-2, -0x1.0ed4a5c8a3dd2p-2, -0x1.0fb10f1e4c3f5p-2, -0x1.1087affece34cp-2, -0x1.11585f63768a9p-2, -0x1.1222f5a2eb02bp-2, -0x1.12e74c7c27c21p-2, -0x1.13a53f204167dp-2, -0x1.145caa3af2663p-2, -0x1.150d6bf9f55fcp-2, -0x1.15b7641339ba3p-2, -0x1.165a73c9f186ap-2, -0x1.16f67df28c87fp-2, -0x1.178b66f59f07ep-2, -0x1.181914d1c8432p-2, -0x1.189f6f1c9d44ap-2, -0x1.191e5f02a956p-2, -0x1.1995cf468b0f4p-2, -0x1.1a05ac3f3ebbcp-2, -0x1.1a6de3d59fc15p-2, -0x1.1ace6581306eep-2, -0x1.1b27224433a11p-2, -0x1.1b780ca7256eep-2, -0x1.1bc118b39ebebp-2, -0x1.1c023beeb0f4ap-2, -0x1.1c3b6d52c8ae9p-2, -0x1.1c6ca5491e278p-2, -0x1.1c95dda2c1532p-2, -0x1.1cb711915189ap-2, -0x1.1cd03d9f61316p-2, -0x1.1ce15fa89c47ap-2, -0x1.1cea76d1b0751p-2, -0x1.1ceb83800764dp-2, -0x1.1ce487515bb99p-2, -0x1.1cd585132b441p-2, -0x1.1cbe80ba156f1p-2, -0x1.1c9f7f5929d5cp-2, -0x1.1c7887192eeffp-2, -0x1.1c499f2fe61a8p-2, -0x1.1c12cfd752b4p-2, -0x1.1bd422450edbap-2, -0x1.1b8da0a1a88b4p-2, -0x1.1b3f56001833cp-2, -0x1.1ae94e5548f12p-2, -0x1.1a8b966fbea65p-2, -0x1.1a263bef5a016p-2, -0x1.19b94d3d3c9b1p-2, -0x1.1944d983d126p-2, -0x1.18c8f0a6f81fap-2, -0x1.1845a33c5e48ap-2, -0x1.17bb0283f8f06p-2, -0x1.17292060affdbp-2, -0x1.16900f51306dfp-2, -0x1.15efe268ed01bp-2, -0x1.1548ad494841ap-2, -0x1.149a841af0354p-2, -0x1.13e57b875fecdp-2, -0x1.1329a8b296b32p-2, -0x1.12672134f18dap-2, -0x1.119dfb1539f34p-2, -0x1.10ce4cc2da568p-2, -0x1.0ff82d103ffc6p-2, -0x1.0f1bb32d669aep-2, -0x1.0e38f6a28b8d1p-2, -0x1.0d500f4b0c20bp-2, -0x1.0c6115506b79p-2, -0x1.0b6c212579de5p-2, -0x1.0a714b81a8796p-2, -0x1.0970ad5c7bd7dp-2, -0x1.086a5fe924b4p-2, -0x1.075e7c9238676p-2, -0x1.064d1cf58baabp-2, -0x1.05365ae02d011p-2, -0x1.041a504a7d7b7p-2, -0x1.02f9175464c09p-2, -0x1.01d2ca41a5a1p-2, -0x1.00a7837649895p-2, -0x1.feeebae651167p-3, -0x1.fc84e5a5124bdp-3, -0x1.fa11bc89b07edp-3, -0x1.f795751af37d3p-3, -0x1.f51044ff581dcp-3, -0x1.f28261f704232p-3, -0x1.efec01d5e6fbcp-3, -0x1.ed4d5a7df787bp-3, -0x1.eaa6a1d9a3217p-3, -0x1.e7f80dd651c28p-3, -0x1.e541d45f1b6a5p-3, -0x1.e2842b5791bffp-3, -0x1.dfbf4896b0687p-3, -0x1.dcf361e1e6de9p-3, -0x1.da20ace8457a3p-3, -0x1.d7475f3dbeb2ep-3, -0x1.d467ae5689cfp-3, -0x1.d181cf829aaf6p-3, -0x1.ce95f7e93b07dp-3, -0x1.cba45c84ac634p-3, -0x1.c8ad321df7043p-3, -0x1.c5b0ad48be0c4p-3, -0x1.c2af025f30aa9p-3, -0x1.bfa8657e18514p-3, -0x1.bc9d0a80edf41p-3, -0x1.b98d24fe12769p-3, -0x1.b678e843144bcp-3, -0x1.b36087510951p-3, -0x1.b04434d903ed7p-3, -0x1.ad24233892bf9p-3, -0x1.aa0084765c70ap-3, -0x1.a6d98a3eca7c1p-3, -0x1.a3af65e0c913p-3, -0x1.a082484a9a5a7p-3, -0x1.9d526206bfa6p-3, -0x1.9a1fe338ef03bp-3, -0x1.96eafb9b27915p-3, -0x1.93b3da7ace9cdp-3, -0x1.907aaeb5e3a3ep-3, -0x1.8d3fa6b84dd6p-3, -0x1.8a02f0793423dp-3, -0x1.86c4b9786d0f5p-3, -0x1.83852ebc0559ep-3, -0x1.80447ccdd3e4bp-3, -0x1.7d02cfb92631bp-3, -0x1.79c053087e7c7p-3, -0x1.767d31c36a73dp-3, -0x1.7339966c63a0fp-3, -0x1.6ff5aafed2fcep-3, -0x1.6cb198ed18ecdp-3, -0x1.696d891eb6aa9p-3, -0x1.6629a3ee823b9p-3, -0x1.62e61128f84fcp-3, -0x1.5fa2f80a97cdap-3, -0x1.5c607f3e5983ep-3, -0x1.591eccdc3c166p-3, -0x1.55de0667e0a16p-3, -0x1.529e50cf3c791p-3, -0x1.4f5fd069638a6p-3, -0x1.4c22a8f56372p-3, -0x1.48e6fd9931ed5p-3, -0x1.45acf0e0b5aeep-3, -0x1.4274a4bcdb835p-3, -0x1.3f3e3a82c4178p-3, -0x1.3c09d2eb097e1p-3, -0x1.38d78e110e62bp-3, -0x1.35a78b726ce6dp-3, -0x1.3279e9ee70eecp-3, -0x1.2f4ec7c5ab0f5p-3, -0x1.2c26429990acep-3, -0x1.2900776c375fbp-3, -0x1.25dd82a0202dp-3, -0x1.22bd7ff810d2fp-3, -0x1.1fa08a9706972p-3, -0x1.1c86bd003aac3p-3, -0x1.1970311733c9dp-3, -0x1.165d001feea2ap-3, -0x1.134d42bf163p-3, -0x1.104110fa4e762p-3, -0x1.0d3882388c7a2p-3, -0x1.0a33ad4286d93p-3, -0x1.0732a8432e4ap-3, -0x1.043588c83ebf9p-3, -0x1.013c63c2d5d32p-3, -0x1.fc8e9b1048e44p-4, -0x1.f6acb3a450ef4p-4, -0x1.f0d33780ec349p-4, -0x1.eb024bb225e44p-4, -0x1.e53a1412b1d26p-4, -0x1.df7ab34de1d72p-4, -0x1.d9c44ae1a3fbbp-4, -0x1.d416fb20a050bp-4, -0x1.ce72e33474ad7p-4, -0x1.c8d82120058b2p-4, -0x1.c346d1c1e077ep-4, -0x1.bdbf10d6c8c21p-4, -0x1.b840f8fc4261ap-4, -0x1.b2cca3b340109p-4, -0x1.ad622962ebc66p-4, -0x1.a801a15b6f346p-4, -0x1.a2ab21d8e83cp-4, -0x1.9d5ec006565c4p-4, -0x1.981c9000b1a3cp-4, -0x1.92e4a4da030abp-4, -0x1.8db7109c8f18cp-4, -0x1.8893e44e157a3p-4, -0x1.837b2ff319e8p-4, -0x1.7e6d02923c5e2p-4, -0x1.79696a379f0a3p-4, -0x1.747073f856c93p-4, -0x1.6f822bf5e92fcp-4, -0x1.6a9e9d61d3e6ap-4, -0x1.65c5d2811d2cp-4, -0x1.60f7d4afefc49p-4, -0x1.5c34ac653eaa4p-4, -0x1.577c61366da81p-4, -0x1.52cef9db0645dp-4, -0x1.4e2c7c3070395p-4, -0x1.4994ed3dadb5fp-4, -0x1.4508513720e25p-4, -0x1.4086ab825201cp-4, -0x1.3c0ffeb9bcd4ap-4, -0x1.37a44cb09d447p-4, -0x1.33439676c1b0bp-4, -0x1.2eeddc5c5ea4bp-4, -0x1.2aa31df5e151ap-4, -0x1.26635a1fc6148p-4, -0x1.222e8f026d0cfp-4, -0x1.1e04ba15eeb3cp-4, -0x1.19e5d825efbd7p-4, -0x1.15d1e55574a2ap-4, -0x1.11c8dd22af005p-4, -0x1.0dcaba6aced6bp-4, -0x1.09d7776dc9c1p-4, -0x1.05ef0dd225b27p-4, -0x1.021176a8b9517p-4, -0x1.fc7d54e0dc2b3p-5, -0x1.f4ed4233ec83fp-5, -0x1.ed72a4170cc8bp-5, -0x1.e60d684903451p-5, -0x1.debd7b8246c86p-5, -0x1.d782c97c46b73p-5, -0x1.d05d3cf8a3a18p-5, -0x1.c94cbfc8558d5p-5, -0x1.c2513ad2cc45fp-5, -0x1.bb6a961cf5a1bp-5, -0x1.b498b8d03edb3p-5, -0x1.addb89417c94fp-5, -0x1.a732ecf7c4701p-5, -0x1.a09ec8b337282p-5, -0x1.9a1f0073b42a1p-5, -0x1.93b3777f7ebe5p-5, -0x1.8d5c1069caebep-5, -0x1.8718ad193c48ap-5, -0x1.80e92ece4e44ep-5, -0x1.7acd7629a4e42p-5, -0x1.74c5633251259p-5, -0x1.6ed0d55bf4596p-5, -0x1.68efab8cd9f67p-5, -0x1.6321c423f387ap-5, -0x1.5d66fcfec1999p-5, -0x1.57bf337f289a1p-5, -0x1.522a44912bae2p-5, -0x1.4ca80cb091039p-5, -0x1.473867ee72c89p-5, -0x1.41db31f6b50bbp-5, -0x1.3c904615689c2p-5, -0x1.37577f3c11c3ep-5, -0x1.3230b806de78fp-5, -0x1.2d1bcac1bb7b5p-5, -0x1.2818916d5e314p-5, -0x1.2326e5c429eb5p-5, -0x1.1e46a13f09e6ep-5, -0x1.19779d1a2820cp-5, -0x1.14b9b2599723ap-5, -0x1.100cb9cddd942p-5, -0x1.0b708c1869dp-5, -0x1.06e501aff503fp-5, -0x1.0269f2e4c52e6p-5, -0x1.fbfe6fc9c0b7bp-6, -0x1.f34951804124fp-6, -0x1.eab43ad872a0ep-6, -0x1.e23edb913d917p-6, -0x1.d9e8e344ae9dbp-6, -0x1.d1b2016f74ee8p-6, -0x1.c999e57828d7ep-6, -0x1.c1a03eb666e0bp-6, -0x1.b9c4bc79c4178p-6, -0x1.b2070e108d9f8p-6, -0x1.aa66e2ce645b2p-6, -0x1.a2e3ea12a3cf2p-6, -0x1.9b7dd34ea5d6dp-6, -0x1.94344e0bd2f99p-6, -0x1.8d0709f19262p-6, -0x1.85f5b6cb0892ep-6, -0x1.7f00048ca6f63p-6, -0x1.7825a359a2179p-6, -0x1.716643893046bp-6, -0x1.6ac195aba6735p-6, -0x1.64374a8f68b41p-6, -0x1.5dc71345bc8a9p-6, -0x1.5770a12769327p-6, -0x1.5133a5d936dc3p-6, -0x1.4b0fd3504a05ep-6, -0x1.4504dbd653323p-6, -0x1.3f12720da05dcp-6, -0x1.393848f505a39p-6, -0x1.337613eba5834p-6, -0x1.2dcb86b48d869p-6, -0x1.2838557a409a4p-6, -0x1.22bc34d20bedp-6, -0x1.1d56d9bf49824p-6, -0x1.1807f9b6794p-6, -0x1.12cf4aa03a533p-6, -0x1.0dac82dc2a899p-6, -0x1.089f59439d909p-6, -0x1.03a7852c3cfa5p-6, -0x1.fd897cd504873p-7, -0x1.f3ed7aa83e83cp-7, -0x1.ea7a758475e15p-7, -0x1.e12fe0273514fp-7, -0x1.d80d2e5d5cf8fp-7, -0x1.cf11d5070667dp-7, -0x1.c63d4a1b204ap-7, -0x1.bd8f04aaf0153p-7, -0x1.b5067ce54d55bp-7, -0x1.aca32c19b196dp-7, -0x1.a4648cbb20e34p-7, -0x1.9c4a1a62c3753p-7, -0x1.945351d26d1afp-7, -0x1.8c7fb0f6f8fa4p-7, -0x1.84ceb6ea5d8d6p-7, -0x1.7d3fe3f5a5e26p-7, -0x1.75d2b992c3725p-7, -0x1.6e86ba6e2eb6cp-7, -0x1.675b6a6861befp-7, -0x1.60504e972724ap-7, -0x1.5964ed46c3008p-7, -0x1.5298cdfb028a1p-7, -0x1.4beb7970109bp-7, -0x1.455c799b389bp-7, -0x1.3eeb59ab7e36fp-7, -0x1.3897a60a19ca1p-7, -0x1.3260ec5ac6327p-7, -0x1.2c46bb7bff29p-7, -0x1.2648a3871736bp-7, -0x1.206635d02fd28p-7, -0x1.1a9f04e6169e5p-7, -0x1.14f2a492053a1p-7, -0x1.0f60a9d749719p-7, -0x1.09e8aaf2c4761p-7, -0x1.048a3f5a65974p-7, -0x1.fe89ff78f2b58p-8, -0x1.f4310bfde435ep-8, -0x1.ea08da7d02feep-8, -0x1.e010a39b6c5e2p-8, -0x1.d647a267daa0ap-8, -0x1.ccad14587cd2p-8, -0x1.c340394892cefp-8, -0x1.ba005375f04b5p-8, -0x1.b0eca77e4d2d2p-8, -0x1.a8047c5c74b12p-8, -0x1.9f471b656754ap-8, -0x1.96b3d0452b1e9p-8, -0x1.8e49e8fbbbb72p-8, -0x1.8608b5d99a3bap-8, -0x1.7def897c76afbp-8, -0x1.75fdb8cb9bc9bp-8, -0x1.6e329af445a31p-8, -0x1.668d8965ed265p-8, -0x1.5f0ddfce63a2bp-8, -0x1.57b2fc15f6429p-8, -0x1.507c3e5b5784bp-8, -0x1.496908ef86be1p-8, -0x1.4278c051b31a5p-8, -0x1.3baacb2ae3c83p-8, -0x1.34fe9249b151bp-8, -0x1.2e73809de1f6p-8, -0x1.28090333f0572p-8, -0x1.21be89308fe77p-8, -0x1.1b9383cc1217ep-8, -0x1.1587664dce9fep-8, -0x1.0f99a6077a511p-8, -0x1.09c9ba506c2f6p-8, -0x1.04171c80e55a2p-8, -0x1.fd028fda832f5p-9, -0x1.f20f73c243f11p-9, -0x1.e753e33532e5p-9, -0x1.dccee08a9521bp-9, -0x1.d27f71eaf4e47p-9, -0x1.c864a146454cdp-9, -0x1.be7d7c49fec6fp-9, -0x1.b4c914573db58p-9, -0x1.ab467e78b533bp-9, -0x1.a1f4d358b97b1p-9, -0x1.98d32f3741488p-9, -0x1.8fe0b1dfe22f2p-9, -0x1.871c7e9fc2ca2p-9, -0x1.7e85bc3b88fcep-9, -0x1.761b94e559177p-9, -0x1.6ddd3632d0793p-9, -0x1.65c9d112ec802p-9, -0x1.5de099c41f112p-9, -0x1.5620c7ca1f92cp-9, -0x1.4e8995e4240ccp-9, -0x1.471a4202c6673p-9, -0x1.3fd20d3e1080bp-9, -0x1.38b03bcba2bacp-9, -0x1.31b414f4c3712p-9, -0x1.2adce30c9428dp-9, -0x1.2429f36629791p-9, -0x1.1d9a964adabp-9, -0x1.172e1ef070402p-9, -0x1.10e3e36f91cb5p-9, -0x1.0abb3cba0182dp-9, -0x1.04b3869110f39p-9, -0x1.fd983ef83386p-10, -0x1.f208d17df4b97p-10, -0x1.e6b78ca16b0ecp-10, -0x1.dba33da3f3892p-10, -0x1.d0cab707d2dbcp-10, -0x1.c62cd07daa9edp-10, -0x1.bbc866d1f0c46p-10, -0x1.b19c5bdac901ep-10, -0x1.a7a796661e666p-10, -0x1.9de9022747d8fp-10, -0x1.945f8fa57860dp-10, -0x1.8b0a3429d31abp-10, -0x1.81e7e9ae2b71p-10, -0x1.78f7aecb32f6ap-10, -0x1.703886a7ac76ap-10, -0x1.67a978e6e77fp-10, -0x1.5f499197fd925p-10, -0x1.5717e12500b7p-10, -0x1.4f137c4253afp-10, -0x1.473b7bde19d3fp-10, -0x1.3f8efd0ff3832p-10, -0x1.380d2108c14b8p-10, -0x1.30b50d02b0498p-10, -0x1.2985ea3144434p-10, -0x1.227ee5b1c7196p-10, -0x1.1b9f307bacf53p-10, -0x1.14e5ff512a016p-10, -0x1.0e528ab01a534p-10, -0x1.07e40ec2e0d26p-10, -0x1.0199cb519833ep-10, -0x1.f6e607668f5a9p-11, -0x1.eaddfd7edc3e5p-11, -0x1.df1a0d7f49564p-11, -0x1.d398d2c28b5bdp-11, -0x1.c858ef4f153cdp-11, -0x1.bd590bbb03031p-11, -0x1.b297d7111dc1fp-11, -0x1.a81406b527feap-11, -0x1.9dcc5649ea33cp-11, -0x1.93bf8795ee03ap-11, -0x1.89ec6269f3e4ep-11, -0x1.8051b486d7576p-11, -0x1.76ee51844617dp-11, -0x1.6dc112b7e4fd4p-11, -0x1.64c8d71bd361cp-11, -0x1.5c048336dee3fp-11, -0x1.53730104074adp-11, -0x1.4b133fdac772p-11, -0x1.42e434577dbc4p-11, -0x1.3ae4d84459615p-11, -0x1.33142a8245419p-11, -0x1.2b712ef2a3b17p-11, -0x1.23faee60d3192p-11, -0x1.1cb0766c7522fp-11, -0x1.1590d9735ec46p-11, -0x1.0e9b2e7cfc0cfp-11, -0x1.07ce91247f029p-11, -0x1.012a2184c9df3p-11, -0x1.f55a08477bdc6p-12, -0x1.e8acc3bc0639ap-12, -0x1.dc4acfa70cc54p-12, -0x1.d0328ea72f1fap-12, -0x1.c4626b93d020dp-12, -0x1.b8d8d956fdbfdp-12, -0x1.ad9452c84b45dp-12, -0x1.a2935a87557c3p-12, -0x1.97d47ad8e8248p-12, -0x1.8d5645818ec2cp-12, -0x1.831753a4491a3p-12, -0x1.7916459e6dbcdp-12, -0x1.6f51c2e6be754p-12, -0x1.65c879eb3d62bp-12, -0x1.5c791ff053d9bp-12, -0x1.536270f085554p-12, -0x1.4a832f7c86626p-12, -0x1.41da249b722bap-12, -0x1.39661fac88bb5p-12, -0x1.3125f647d5919p-12, -0x1.2918842156304p-12, -0x1.213caaea3a439p-12, -0x1.19915235806dbp-12, -0x1.12156759e5ap-12, -0x1.0ac7dd56da9f8p-12, -0x1.03a7acb8d7db4p-12, -0x1.f967a6fc1fac3p-13, -0x1.ebd6a9f7802eep-13, -0x1.de9a7388ac75p-13, -0x1.d1b11f1a7ed81p-13, -0x1.c518d22c10a6bp-13, -0x1.b8cfbc1e21ca4p-13, -0x1.acd41602a5dd3p-13, -0x1.a124226ceb471p-13, -0x1.95be2d41b13b8p-13, -0x1.8aa08b896243p-13, -0x1.7fc99b41e47afp-13, -0x1.7537c33274403p-13, -0x1.6ae972be9dac1p-13, -0x1.60dd21bbca4bp-13, -0x1.57115046f2db1p-13, -0x1.4d84869971a99p-13, -0x1.443554e1c78bcp-13, -0x1.3b22531a0ac45p-13, -0x1.324a20e136b1fp-13, -0x1.29ab65533e713p-13, -0x1.2144cee44207ep-13, -0x1.19151339ee4b3p-13, -0x1.111aef0717d33p-13, -0x1.095525e810623p-13, -0x1.01c2823e5bf73p-13, -0x1.f4c3aa1cf0cf2p-14, -0x1.e663ebbb6fc3dp-14, -0x1.d863852060522p-14, -0x1.cac03e900af8ep-14, -0x1.bd77ec8be51c3p-14, -0x1.b0886f8fbe8c1p-14, -0x1.a3efb3d69a9d5p-14, -0x1.97abb11c028fp-14, -0x1.8bba6a6062841p-14, -0x1.8019edaeac033p-14, -0x1.74c853e1bc1cep-14, -0x1.69c3c06c50645p-14, -0x1.5f0a6121b689dp-14, -0x1.549a6dfec0971p-14, -0x1.4a7228f4bc904p-14, -0x1.408fddb430746p-14, -0x1.36f1e17abd48fp-14, -0x1.2d9692dfc34afp-14, -0x1.247c59a2ba12cp-14, -0x1.1ba1a67c19578p-14, -0x1.1304f2eb2ade5p-14, -0x1.0aa4c109f83cfp-14, -0x1.027f9b5e54c33p-14, -0x1.f5282958f0109p-15, -0x1.e5c18f9946755p-15, -0x1.d6c8aefc35f2ap-15, -0x1.c83adc7d3456dp-15, -0x1.ba157c3dec231p-15, -0x1.ac560138f40d8p-15, -0x1.9ef9ecef413b8p-15, -0x1.91fecf1b169b8p-15, -0x1.85624562eb3d5p-15, -0x1.7921fb100d3abp-15, -0x1.6d3ba8c22c59dp-15, -0x1.61ad1429aa08bp-15, -0x1.56740fc0a6e2cp-15, -0x1.4b8e7a838ff3ep-15, -0x1.40fa3fb18157ep-15, -0x1.36b556852ea45p-15, -0x1.2cbdc1f64555ep-15, -0x1.23119078e4882p-15, -0x1.19aedbc03de11p-15, -0x1.1093c87e9c518p-15, -0x1.07be862ceec4fp-15, -0x1.fe5a9d98f2349p-16, -0x1.edbccd5e42c3cp-16, -0x1.dda0387e710bdp-16, -0x1.ce018f8d453d6p-16, -0x1.bedd96745fb56p-16, -0x1.b031240670e3ep-16, -0x1.a1f92199c875dp-16, -0x1.94328aa174486p-16, -0x1.86da6c47d8f0bp-16, -0x1.79ede50ed5145p-16, -0x1.6d6a246fdc1cp-16, -0x1.614c6a7f724fcp-16, -0x1.5592078d46d15p-16, -0x1.4a385bcf99fa9p-16, -0x1.3f3cd707ed297p-16, -0x1.349cf82c08f3ep-16, -0x1.2a564d14cfbeep-16, -0x1.206672292ea91p-16, -0x1.16cb120d8ea82p-16, -0x1.0d81e556d8c8ep-16, -0x1.0488b23801a17p-16, -0x1.f7ba9876db582p-17, -0x1.e6fb27e9e159fp-17, -0x1.d6ceed76a664cp-17, -0x1.c731dcbce4afcp-17, -0x1.b82001c8c38c2p-17, -0x1.a9958086066b9p-17, -0x1.9b8e943bc621dp-17, -0x1.8e078f089ee11p-17, -0x1.80fcd964efc6ep-17, -0x1.746af1a2db639p-17, -0x1.684e6b747af75p-17, -0x1.5ca3ef733c005p-17, -0x1.51683aab0ee36p-17, -0x1.46981e259f3bcp-17, -0x1.3c307e7ad84b5p-17, -0x1.322e536427d4fp-17, -0x1.288ea74ba8f6p-17, -0x1.1f4e96e7e6228p-17, -0x1.166b50d116da4p-17, -0x1.0de2151b4631cp-17, -0x1.05b034f8ab882p-17, -0x1.fba6249dd55eap-18, -0x1.ec903ec76f8ddp-18, -0x1.de19bceb6735p-18, -0x1.d03dc2d313f83p-18, -0x1.c2f792d95f938p-18, -0x1.b6428d3b5c23cp-18, -0x1.aa1a2f73bd9f5p-18, -0x1.9e7a139091025p-18, -0x1.935def92208f2p-18, -0x1.88c194c6c3bebp-18, -0x1.7ea0ef357681cp-18, -0x1.74f80502b7b7bp-18, -0x1.6bc2f5d6aa2d8p-18, -0x1.62fdfa51fae84p-18, -0x1.5aa5637701fc4p-18, -0x1.52b59a2476178p-18, -0x1.4b2b1e87c030fp-18, -0x1.4402879a46945p-18, -0x1.3d388297a6221p-18, -0x1.36c9d28b56765p-18, -0x1.30b34fc1c11dcp-18, -0x1.2af1e75a0619ep-18, -0x1.25829ac7b5b08p-18, -0x1.20627f5f9fdcp-18, -0x1.1b8ebde2a6b7dp-18, -0x1.1704920f349e8p-18, -0x1.12c14a32a79ep-18, -0x1.0ec246bd399f5p-18, -0x1.0b04f9d65f044p-18, -0x1.0786e6facedd4p-18, -0x1.0445a294a0791p-18, -0x1.013ed1967127dp-18, -0x1.fce052394c71ap-19, -0x1.f7aedc244718bp-19, -0x1.f2e4e99a7337cp-19, -0x1.ee7e4177e3b59p-19, -0x1.ea76c80cc3e3dp-19, -0x1.e6ca7e7a0156dp-19, -0x1.e37581f69bd76p-19, -0x1.e0740b44dc619p-19, -0x1.ddc26df990cfp-19, -0x1.db5d17e35d7eap-19, -0x1.d9409075911cap-19, -0x1.d769782b9d1e6p-19, -0x1.d5d487f435a1ep-19, -0x1.d47e90a13484cp-19, -0x1.d3647a5886cdap-19, -0x1.d283440bfb2c9p-19, -0x1.d1d802f24f43ap-19, -0x1.d15fe1fc8a62ep-19, -0x1.d11821577bf82p-19, -0x1.d0fe15e9a3b07p-19, -0x1.d10f28dd145ffp-19, -0x1.d148d71f551ebp-19, -0x1.d1a8b0ece61efp-19, -0x1.d22c595c0184ep-19, -0x1.d2d185ebfa902p-19, -0x1.d395fe192374ep-19, -0x1.d4779ae29bb7ap-19, -0x1.d574466e650c4p-19, -0x1.d689fb9b2c76cp-19, -0x1.d7b6c597c4b79p-19, -0x1.d8f8bf800b1a3p-19, -0x1.da4e1401e008ap-19, -0x1.dbb4fcf4aa1c9p-19, -0x1.dd2bc30084347p-19, -0x1.deb0bd450a1c8p-19, -0x1.e04250fa23387p-19, -0x1.e1def119b5a7ep-19, -0x1.e3851e0ff8c95p-19, -0x1.e533655f4f4dp-19, -0x1.e6e8615558e63p-19, -0x1.e8a2b8b65003ep-19, -0x1.ea611e71bcf8p-19, -0x1.ec2251530ecedp-19, -0x1.ede51bb921ebp-19, -0x1.efa8534ba8c2ap-19, -0x1.f16ad8b3f82eap-19, -0x1.f32b975612903p-19, -0x1.f4e98509f4ad5p-19, -0x1.f6a3a1e176a96p-19, -0x1.f858f7dc15214p-19, -0x1.fa089aaa8ff35p-19, -0x1.fbb1a770fd003p-19, -0x1.fd534489fa92dp-19, -0x1.feeca1490908fp-19, -0x1.003e7adee6af9p-18, -0x1.0101c1400a387p-18, -0x1.01bfc839fce64p-18, -0x1.027838496ae32p-18, -0x1.032abdda4dfa2p-18, -0x1.03d7092fcba9ap-18, -0x1.047cce47dceffp-18, -0x1.051bc4c3d6b56p-18, -0x1.05b3a7cf28ca4p-18, -0x1.064436085bea7p-18, -0x1.06cd3167b713fp-18, -0x1.074e5f29a0edcp-18, -0x1.07c787b81bbfap-18, -0x1.08387692e98e9p-18, -0x1.08a0fa3c33bcap-18, -0x1.0900e423c0dccp-18, -0x1.0958089078291p-18, -0x1.09a63e8cffa02p-18, -0x1.09eb5fd41c2a1p-18, -0x1.0a2748be10d2bp-18, -0x1.0a59d82d5318dp-18, -0x1.0a82ef7c40ea2p-18, -0x1.0aa2726af69e4p-18, -0x1.0ab8470e2a5ep-18, -0x1.0ac455bd38981p-18, -0x1.0ac68901d2f7dp-18, -0x1.0abecd877a541p-18, -0x1.0aad120b776f5p-18, -0x1.0a91474d584e9p-18, -0x1.0a6b5fff6fde1p-18, -0x1.0a3b50b70a125p-18, -0x1.0a010fdf3ab5cp-18, -0x1.09bc95a978b95p-18, -0x1.096ddc00d4326p-18, -0x1.0914de7a73675p-18, -0x1.08b19a48d001ep-18, -0x1.08440e301a8a8p-18, -0x1.07cc3a7754d46p-18, -0x1.074a20dd899bcp-18, -0x1.06bdc48c5d121p-18, -0x1.06272a0cc63d2p-18, -0x1.0586573af0be3p-18, -0x1.04db533b8245ap-18, -0x1.0426266fcfefep-18, -0x1.0366da6bdfa6bp-18, -0x1.029d79ea60f6dp-18, -0x1.01ca10c398c59p-18, -0x1.00ecabe32a33ep-18, -0x1.0005593c3817fp-18, -0x1.fe284f85550c1p-19, -0x1.fc324ec0c9689p-19, -0x1.fa28d1d8ae9f3p-19, -0x1.f80bfc41382eep-19, -0x1.f5dbf324e0735p-19, -0x1.f398dd5355eb3p-19, -0x1.f142e330039dp-19, -0x1.eeda2ea186fc6p-19, -0x1.ec5eeb03248dep-19, -0x1.e9d1451462b13p-19, -0x1.e7316ae87807fp-19, -0x1.e47f8bd982509p-19, -0x1.e1bbd879590e5p-19, -0x1.dee6828392dd9p-19, -0x1.dbffbcce1c286p-19, -0x1.d907bb3d1dd2fp-19, -0x1.d5feb2b8a6b43p-19, -0x1.d2e4d91b438acp-19, -0x1.cfba652765966p-19, -0x1.cc7f8e7c02509p-19, -0x1.c9348d8694b84p-19, -0x1.c5d99b79d36b4p-19, -0x1.c26ef24121ba7p-19, -0x1.bef4cc767d277p-19, -0x1.bb6b6556588a2p-19, -0x1.b7d2f8b60cfd7p-19, -0x1.b42bc2f93ab4fp-19, -0x1.b076010950eb2p-19, -0x1.acb1f04b3195bp-19, -0x1.a8dfce93f03f1p-19, -0x1.a4ffda21aa9bbp-19, }}, 
      {{0x1.d06eaf101c253p-16, 0x1.d0347114ed4c6p-14, 0x1.04f00c9ddeaddp-12, 0x1.cf8efa4190182p-12, 0x1.69f1f108184e6p-11, 0x1.048664c05faffp-10, 0x1.62a702db51503p-10, 0x1.cf889d7b9f5b1p-10, 0x1.25b6677ce5543p-9, 0x1.6b5462cf0dc2ap-9, 0x1.b8d2037d8faa2p-9, 0x1.07359b4f881bfp-8, 0x1.36316482853afp-8, 0x1.698074e8a4e47p-8, 0x1.a148c6e6e7378p-8, 0x1.ddb1626671a2fp-8, 0x1.0f70c40ccf771p-7, 0x1.327ff1e9da0aap-7, 0x1.5818e5a6a2602p-7, 0x1.804d46c10427bp-7, 0x1.ab2d6ad14224ap-7, 0x1.d8c811b85937p-7, 0x1.049516742bbf4p-6, 0x1.1e2f58dc785a7p-6, 0x1.39373b2d501ccp-6, 0x1.55b00c59e47edp-6, 0x1.739bf720a5ee1p-6, 0x1.92fbfdfb6de09p-6, 0x1.b3cffa880c784p-6, 0x1.d6169fe2bbafep-6, 0x1.f9cd7f73676abp-6, 0x1.0f7887dc7257ap-5, 0x1.22be5a5561843p-5, 0x1.36b564ac34452p-5, 0x1.4b5a553d3b21bp-5, 0x1.60a960dcb03a2p-5, 0x1.769e48bc3320ap-5, 0x1.8d34607f867dfp-5, 0x1.a466947240cf8p-5, 0x1.bc2f6fd3d0d94p-5, 0x1.d489233218359p-5, 0x1.ed6d8acceee61p-5, 0x1.036b1a7f274afp-4, 0x1.105e3451e2e3ap-4, 0x1.1d8c95c31b5bfp-4, 0x1.2af2a45e72028p-4, 0x1.388cab8461cccp-4, 0x1.4656df924996p-4, 0x1.544d6102f43fbp-4, 0x1.626c3f857c752p-4, 0x1.70af7d0844313p-4, 0x1.7f1310b58956fp-4, 0x1.8d92e9df17e42p-4, 0x1.9c2af2d67f85fp-4, 0x1.aad713af49643p-4, 0x1.b99334e8ab7fp-4, 0x1.c85b41fc78982p-4, 0x1.d72b2bd101149p-4, 0x1.e5feeb0c1a35p-4, 0x1.f4d28245864b5p-4, 0x1.01d1000bad489p-3, 0x1.0934c08599232p-3, 0x1.109298b1ba4e9p-3, 0x1.17e8a7600b158p-3, 0x1.1f3514cf4ec75p-3, 0x1.2676135ab5a84p-3, 0x1.2da9e01557431p-3, 0x1.34cec353c6d8ep-3, 0x1.3be311241c87cp-3, 0x1.42e529b5117cfp-3, 0x1.49d379aca5f15p-3, 0x1.50ac7a6f1b40ap-3, 0x1.576eb256f043dp-3, 0x1.5e18b4deb7709p-3, 0x1.64a922bd95731p-3, 0x1.6b1ea9f757825p-3, 0x1.717805e0f56c9p-3, 0x1.77b3ff1a80337p-3, 0x1.7dd16b7f51344p-3, 0x1.83cf2e0d6e656p-3, 0x1.89ac36c50e822p-3, 0x1.8f6782810afb9p-3, 0x1.95001ac930aebp-3, 0x1.9a75159f26586p-3, 0x1.9fc59546d1dd6p-3, 0x1.a4f0c80ad493fp-3, 0x1.a9f5e7fdf36c3p-3, 0x1.aed43aba05c6bp-3, 0x1.b38b111cfddebp-3, 0x1.b819c704ad821p-3, 0x1.bc7fc309c5c0dp-3, 0x1.c0bc763a80694p-3, 0x1.c4cf5bd57118cp-3, 0x1.c8b7f904cd0c8p-3, 0x1.cc75dc9a95e21p-3, 0x1.d0089ecdd7a98p-3, 0x1.d36fe0f954e29p-3, 0x1.d6ab4d5bc474ep-3, 0x1.d9ba96d9dad01p-3, 0x1.dc9d78c236d51p-3, 0x1.df53b6935bdfbp-3, 0x1.e1dd1bc3c5418p-3, 0x1.e4397b8c1f7d7p-3, 0x1.e668b0b3b63a1p-3, 0x1.e86a9d5f0d3b5p-3, 0x1.ea3f2ae0a7ea4p-3, 0x1.ebe6498bf8605p-3, 0x1.ed5ff08a5e36fp-3, 0x1.eeac1db230b48p-3, 0x1.efcad55fb9f4fp-3, 0x1.f0bc225007c7cp-3, 0x1.f180157d91634p-3, 0x1.f216c5fe6ff4p-3, 0x1.f28050e439de6p-3, 0x1.f2bcd91d423d8p-3, 0x1.f2cc875732f36p-3, 0x1.f2af89e2e280ap-3, 0x1.f266149936242p-3, 0x1.f1f060c112e5dp-3, 0x1.f14eacf61f19ap-3, 0x1.f0813d10561bfp-3, 0x1.ef885a0c36de5p-3, 0x1.ee6451f38c61dp-3, 0x1.ed1577c6a2639p-3, 0x1.eb9c2365e0113p-3, 0x1.e9f8b17b9f6f7p-3, 0x1.e82b836634401p-3, 0x1.e634ff221b5ep-3, 0x1.e4158f34206dp-3, 0x1.e1cda29387ee9p-3, 0x1.df5dac9417092p-3, 0x1.dcc624cff9e2cp-3, 0x1.da0787116c689p-3, 0x1.d722533c26652p-3, 0x1.d4170d367b104p-3, 0x1.d0e63cd21c42dp-3, 0x1.cd906db483f2p-3, 0x1.ca162f3ef8833p-3, 0x1.c6781476224adp-3, 0x1.c2b6b3e93237p-3, 0x1.bed2a79897e2ep-3, 0x1.bacc8cdc3ac2p-3, 0x1.b6a50449463a3p-3, 0x1.b25cb1977009ap-3, 0x1.adf43b85d6004p-3, 0x1.a96c4bbf56e78p-3, 0x1.a4c58ebe80fbp-3, 0x1.a000b3b10b647p-3, 0x1.9b1e6c5add5dcp-3, 0x1.961f6cf8b3b0ap-3, 0x1.91046c2257618p-3, 0x1.8bce22ac763b9p-3, 0x1.867d4b8a298fep-3, 0x1.8112a3ae16eb4p-3, 0x1.7b8ee9eb541a5p-3, 0x1.75f2ded5f79e6p-3, 0x1.703f44a370d5cp-3, 0x1.6a74df0aa6174p-3, 0x1.64947323d99fep-3, 0x1.5e9ec74879653p-3, 0x1.5894a2f2b93f1p-3, 0x1.5276ce9d21a26p-3, 0x1.4c4613a20f677p-3, 0x1.46033c1b249ccp-3, 0x1.3faf12c0c3e74p-3, 0x1.394a62c992ecdp-3, 0x1.32d5f7ca0ad12p-3, 0x1.2c529d943128cp-3, 0x1.25c12017698d9p-3, 0x1.1f224b407794p-3, 0x1.1876ead9bc906p-3, 0x1.11bfca6ba860dp-3, 0x1.0afdb51d7c04dp-3, 0x1.0431759650d11p-3, 0x1.fab7abbcf4788p-4, 0x1.ecfb3e828b96p-4, 0x1.df2f345e4207ap-4, 0x1.d1551c404ad8cp-4, 0x1.c36e82ee4f2d5p-4, 0x1.b57cf2ca54e8bp-4, 0x1.a781f39ad3eafp-4, 0x1.997f0a53c0e38p-4, 0x1.8b75b8e0ba3d9p-4, 0x1.7d677df05be33p-4, 0x1.6f55d4c0c684cp-4, 0x1.614234ed6198ep-4, 0x1.532e123de574fp-4, 0x1.451adc76b3ffdp-4, 0x1.3709ff2a87e9ep-4, 0x1.28fce18d8e1ep-4, 0x1.1af4e649d63ebp-4, 0x1.0cf36b5543875p-4, 0x1.fdf39391cbec6p-5, 0x1.e212ab73aa873p-5, 0x1.c646bc27165bp-5, 0x1.aa9258e77db6cp-5, 0x1.8ef80a0f922edp-5, 0x1.737a4cd72b2bcp-5, 0x1.581b931444b1ep-5, 0x1.3cde42ff1791ap-5, 0x1.21c4b6f95b2eep-5, 0x1.06d13d58a6acbp-5, 0x1.d80c3067f48efp-6, 0x1.a2cafa68ec4dp-6, 0x1.6de32ad2422a4p-6, 0x1.3958fa3bc4a82p-6, 0x1.0530876b24b84p-6, 0x1.a2dbae1ca239dp-7, 0x1.3c29a6f7e6277p-7, 0x1.aca531e837f18p-8, 0x1.c577b8556ed47p-9, 0x1.aa5b4fa7cac49p-12, -0x1.571e8f906b83p-9, -0x1.6fd58b25c5316p-8, -0x1.190ff9bf338a9p-7, -0x1.7930e6712db1dp-7, -0x1.d84768a9d187ep-7, -0x1.1b26ca3c66691p-6, -0x1.499eda83c8ef7p-6, -0x1.7789264cd3badp-6, -0x1.a4e30a414bf7fp-6, -0x1.d1a9fe88e64cfp-6, -0x1.fddb96ba13752p-6, -0x1.14bac0e30c133p-5, -0x1.2a3ac4f022a96p-5, -0x1.3f6cca304ca14p-5, -0x1.544fd0d0e684cp-5, -0x1.68e2e66d9d5bbp-5, -0x1.7d2525fb12ab4p-5, -0x1.9115b7af95482p-5, -0x1.a4b3d0e9d43fbp-5, -0x1.b7feb4158b7c7p-5, -0x1.caf5b08e76261p-5, -0x1.dd98228159b4p-5, -0x1.efe572cb57c9ap-5, -0x1.00ee8b6bd4d89p-4, -0x1.09bf483dd420dp-4, -0x1.1264b6e8b0766p-4, -0x1.1adea488505e3p-4, -0x1.232ce433566b8p-4, -0x1.2b4f4ee64a97dp-4, -0x1.3345c36e240c5p-4, -0x1.3b1026523f50fp-4, -0x1.42ae61bdb5fafp-4, -0x1.4a2065683be9dp-4, -0x1.5166267e6ff47p-4, -0x1.587f9f89ba10ap-4, -0x1.5f6cd057b74cep-4, -0x1.662dbde138053p-4, -0x1.6cc27230e4b85p-4, -0x1.732afc4983de9p-4, -0x1.7967700beb7bbp-4, -0x1.7f77e61caf7d2p-4, -0x1.855c7bc983923p-4, -0x1.8b1552ee6869ap-4, -0x1.90a291da9c113p-4, -0x1.9604633562c02p-4, -0x1.9b3af5e2a3799p-4, -0x1.a0467ce760174p-4, -0x1.a5272f4e1d525p-4, -0x1.a9dd480b24f91p-4, -0x1.ae6905e0d14aap-4, -0x1.b2caab43ad932p-4, -0x1.b7027e3ebbb93p-4, -0x1.bb10c857985e8p-4, -0x1.bef5d672c22ffp-4, -0x1.c2b1f8b7d8697p-4, -0x1.c6458275fe4bfp-4, -0x1.c9b0ca08475eap-4, -0x1.ccf428ba4de92p-4, -0x1.d00ffaacd3fbdp-4, -0x1.d3049ebaa914p-4, -0x1.d5d2765d9a4ebp-4, -0x1.d879e593a7368p-4, -0x1.dafb52c457ffdp-4, -0x1.dd5726a65155ep-4, -0x1.df8dcc2525bc1p-4, -0x1.e19fb047566dbp-4, -0x1.e38d42149fe3fp-4, -0x1.e556f27c83ee1p-4, -0x1.e6fd343d1dadp-4, -0x1.e8807bca34e3bp-4, -0x1.e9e13f34b3cbbp-4, -0x1.eb1ff6124aa71p-4, -0x1.ec3d19658af2ep-4, -0x1.ed3923862b0fbp-4, -0x1.ee149009cddb9p-4, -0x1.eecfdbacf4841p-4, -0x1.ef6b843c72877p-4, -0x1.efe8087f1bc34p-4, -0x1.f045e81fef6b1p-4, -0x1.f085a3987eceep-4, -0x1.f0a7bc1bd812bp-4, -0x1.f0acb381b03b7p-4, -0x1.f0950c3216733p-4, -0x1.f06149115f99bp-4, -0x1.f011ed6c9e914p-4, -0x1.efa77ce6666eep-4, -0x1.ef227b64060dp-4, -0x1.ee836cfb19d28p-4, -0x1.edcad5df9356ep-4, -0x1.ecf93a52254ddp-4, -0x1.ec0f1e8f13b8ep-4, -0x1.eb0d06bd6f691p-4, -0x1.e9f376dec0555p-4, -0x1.e8c2f2bf14375p-4, -0x1.e77bfde56c27dp-4, -0x1.e61f1b84ac69bp-4, -0x1.e4acce6cdee3bp-4, -0x1.e32598fce9b63p-4, -0x1.e189fd14a4d02p-4, -0x1.dfda7c0768e71p-4, -0x1.de17968ef2e06p-4, -0x1.dc41ccbebd186p-4, -0x1.da599df7b4248p-4, -0x1.d85f88dc5a6a1p-4, -0x1.d6540b454ffb6p-4, -0x1.d437a2363cf8fp-4, -0x1.d20ac9d31af2cp-4, -0x1.cfcdfd55eedfcp-4, -0x1.cd81b704d9496p-4, -0x1.cb2670288abdcp-4, -0x1.c8bca1031e4a7p-4, -0x1.c644c0c74bed4p-4, -0x1.c3bf458fff4bfp-4, -0x1.c12ca4583f57dp-4, -0x1.be8d50f38bd01p-4, -0x1.bbe1be0678566p-4, -0x1.b92a5cffaf4edp-4, -0x1.b6679e1153bf2p-4, -0x1.b399f02aab4f1p-4, -0x1.b0c1c0f2290ap-4, -0x1.addf7cbfcad02p-4, -0x1.aaf38e97c0aa1p-4, -0x1.a7fe60257be83p-4, -0x1.a50059b6f4cbp-4, -0x1.a1f9e2384f2adp-4, -0x1.9eeb5f2fcc879p-4, -0x1.9bd534ba02b44p-4, -0x1.98b7c58665e5dp-4, -0x1.959372d41352p-4, -0x1.92689c6eec8dcp-4, -0x1.8f37a0acf4302p-4, -0x1.8c00dc6bf187cp-4, -0x1.88c4ab0f55ee5p-4, -0x1.8583667e66318p-4, -0x1.823d6722a53ffp-4, -0x1.7ef303e6788a2p-4, -0x1.7ba4923412c1cp-4, -0x1.785265f491f76p-4, -0x1.74fcd18f5f56bp-4, -0x1.71a425e9c4308p-4, -0x1.6e48b266b6158p-4, -0x1.6aeac4e6dc76dp-4, -0x1.678aa9c8c789ep-4, -0x1.6428abe95d874p-4, -0x1.60c514a4765bcp-4, -0x1.5d602bd5ab6c1p-4, -0x1.59fa37d951639p-4, -0x1.56937d8da6162p-4, -0x1.532c40542218ap-4, -0x1.4fc4c212ff4c4p-4, -0x1.4c5d4336dc17ap-4, -0x1.48f602b491fe2p-4, -0x1.458f3e0b2c689p-4, -0x1.4229314604e6fp-4, -0x1.3ec416ff0760fp-4, -0x1.3b602861115e5p-4, -0x1.37fd9d2a785d4p-4, -0x1.349cabafb05ap-4, -0x1.313d88de0c33p-4, -0x1.2de0683e9db7cp-4, -0x1.2a857bf93209ep-4, -0x1.272cf4d76bb9fp-4, -0x1.23d70247ee7b2p-4, -0x1.2083d261aadc7p-4, -0x1.1d3391e73e3bep-4, -0x1.19e66c4a6804p-4, -0x1.169c8baf94e66p-4, -0x1.135618f17f058p-4, -0x1.10133ba4de4e1p-4, -0x1.0cd41a1c2bfd3p-4, -0x1.0998d96b75748p-4, -0x1.06619d6c420e8p-4, -0x1.032e88c182188p-4, -0x1.ffff79b720e4ep-5, -0x1.f9aab3f8777eep-5, -0x1.f35efe75c2015p-5, -0x1.ed1c9511163acp-5, -0x1.e6e3b16842639p-5, -0x1.e0b48add322e3p-5, -0x1.da8f569e694cep-5, -0x1.d47447af8d193p-5, -0x1.ce638ef1f59e8p-5, -0x1.c85d5b2d53c11p-5, -0x1.c261d9184bc8ep-5, -0x1.bc71336137544p-5, -0x1.b68b92b6cfb7cp-5, -0x1.b0b11dd0eff0fp-5, -0x1.aae1f979509dep-5, -0x1.a51e48944aa43p-5, -0x1.9f662c299a31ap-5, -0x1.99b9c36d1eecdp-5, -0x1.94192bc79d8dbp-5, -0x1.8e8480df7bd53p-5, -0x1.88fbdca17a682p-5, -0x1.837f574961ffep-5, -0x1.7e0f076abceb4p-5, -0x1.78ab01f9708b1p-5, -0x1.73535a5261b6bp-5, -0x1.6e082244056ccp-5, -0x1.68c96a16e69bcp-5, -0x1.639740962c9e6p-5, -0x1.5e71b31805384p-5, -0x1.5958cd860b684p-5, -0x1.544c9a659ca2dp-5, -0x1.4f4d22e022701p-5, -0x1.4a5a6ecb4acc8p-5, -0x1.457484b12c7b4p-5, -0x1.409b69d85f087p-5, -0x1.3bcf224c06d45p-5, -0x1.370fb0e3bea3dp-5, -0x1.325d174b7f14bp-5, -0x1.2db7560b67755p-5, -0x1.291e6c8f7d765p-5, -0x1.2492592f48454p-5, -0x1.201319356c01p-5, -0x1.1ba0a8e71af58p-5, -0x1.173b038b80286p-5, -0x1.12e223730d657p-5, -0x1.0e9601feb321p-5, -0x1.0a5697a702893p-5, -0x1.0623dc0335e8bp-5, -0x1.01fdc5d028257p-5, -0x1.fbc895ee5a929p-6, -0x1.f3aec129a41efp-6, -0x1.ebadf5ff1abe7p-6, -0x1.e3c61b9ca7bcap-6, -0x1.dbf717be0c6f9p-6, -0x1.d440ceb9c2fedp-6, -0x1.cca3238d77042p-6, -0x1.c51df7ea7236ep-6, -0x1.bdb12c41c4d46p-6, -0x1.b65c9fd03e2f5p-6, -0x1.af2030aa3077dp-6, -0x1.a7fbbbc7082e9p-6, -0x1.a0ef1d0caf85ap-6, -0x1.99fa2f5abadd7p-6, -0x1.931ccc95634cp-6, -0x1.8c56cdb04c5d3p-6, -0x1.85a80ab928c06p-6, -0x1.7f105ae2042efp-6, -0x1.788f948b8a833p-6, -0x1.72258d4f02cebp-6, -0x1.6bd21a080a686p-6, -0x1.65950ede44037p-6, -0x1.5f6e3f4eb0392p-6, -0x1.595d7e34e9385p-6, -0x1.53629dd430b7dp-6, -0x1.4d7d6fe02b93cp-6, -0x1.47adc5859ed36p-6, -0x1.41f36f72d29c4p-6, -0x1.3c4e3ddfd62f6p-6, -0x1.36be00969358p-6, -0x1.314286fab9becp-6, -0x1.2bdba0115cd44p-6, -0x1.26891a888ccf5p-6, -0x1.214ac4beaab4ep-6, -0x1.1c206cc984c85p-6, -0x1.1709e07d5ffcp-6, -0x1.1206ed73bc6c2p-6, -0x1.0d176111fc4adp-6, -0x1.083b088fddc35p-6, -0x1.0371b0fdbb29ep-6, -0x1.fd764e955597ep-7, -0x1.f42e7095134a4p-7, -0x1.eb0b617745b64p-7, -0x1.e20cba98e2869p-7, -0x1.d932154211e44p-7, -0x1.d07b0ab0c240ap-7, -0x1.c7e734231e918p-7, -0x1.bf762ae168551p-7, -0x1.b7278847d89f7p-7, -0x1.aefae5cfd9adfp-7, -0x1.a6efdd193c412p-7, -0x1.9f0607f3171e1p-7, -0x1.973d00643b98dp-7, -0x1.8f9460b36f038p-7, -0x1.880bc36f8ac7cp-7, -0x1.80a2c37716cdp-7, -0x1.7958fbffc7b92p-7, -0x1.722e089d9673dp-7, -0x1.6b218549e01bcp-7, -0x1.64330e69c7fcfp-7, -0x1.5d6240d4e8575p-7, -0x1.56aeb9db5a427p-7, -0x1.5018174bb51fep-7, -0x1.499df778afc2p-7, -0x1.433ff93eb01f1p-7, -0x1.3cfdbc08ffd26p-7, -0x1.36d6dfd6c6c49p-7, -0x1.30cb053fef503p-7, -0x1.2ad9cd79ae7edp-7, -0x1.2502da5af8b6cp-7, -0x1.1f45ce6086615p-7, -0x1.19a24cb0f8efep-7, -0x1.1417f920a8c34p-7, -0x1.0ea678350690fp-7, -0x1.094d6f283242bp-7, -0x1.040c83ec2baa1p-7, -0x1.fdc6ba5bb7de9p-8, -0x1.f3a344afcd217p-8, -0x1.e9adf72ae549fp-8, -0x1.dfe623a929627p-8, -0x1.d64b1d91b63d9p-8, -0x1.ccdc39da9886ap-8, -0x1.c398cf0d38499p-8, -0x1.ba80354a3534fp-8, -0x1.b191c64c7f3cp-8, -0x1.a8ccdd6d262eap-8, -0x1.a030d7a5dc0c7p-8, -0x1.97bd1393c790ep-8, -0x1.8f70f17a12e9p-8, -0x1.874bd343c32cp-8, -0x1.7f4d1c85f769p-8, -0x1.777432816b66p-8, -0x1.6fc07c23e4228p-8, -0x1.683162096f991p-8, -0x1.60c64e7d718e3p-8, -0x1.597ead7b33addp-8, -0x1.5259ecae925eap-8, -0x1.4b577b747df4cp-8, -0x1.4476cadaf7e0ep-8, -0x1.3db74da108d64p-8, -0x1.37187836abaebp-8, -0x1.3099c0bc3a341p-8, -0x1.2a3a9f0232dc9p-8, -0x1.23fa8c87eaf68p-8, -0x1.1dd9047b6667dp-8, -0x1.17d583b7b568ap-8, -0x1.11ef88c406aa9p-8, -0x1.0c2693d2674f6p-8, -0x1.067a26be0675cp-8, -0x1.00e9c509d9e28p-8, -0x1.f6e9e7bd744abp-9, -0x1.ec36741333874p-9, -0x1.e1b83ff312507p-9, -0x1.d76e5f7b385acp-9, -0x1.cd57ea05949bp-9, -0x1.c373fa2334f23p-9, -0x1.b9c1ad971d7f7p-9, -0x1.b0402551f66dap-9, -0x1.a6ee856c54d7dp-9, -0x1.9dcbf521aed13p-9, -0x1.94d79eca91258p-9, -0x1.8c10afd74c726p-9, -0x1.837658ca06507p-9, -0x1.7b07cd309b32fp-9, -0x1.72c4439ebe33ep-9, -0x1.6aaaf5a7a8d97p-9, -0x1.62bb1fd7c9badp-9, -0x1.5af401ae3feb1p-9, -0x1.5354dd966e987p-9, -0x1.4bdcf8e115f31p-9, -0x1.448b9bbe2aeap-9, -0x1.3d60113528c94p-9, -0x1.3659a71f132fcp-9, -0x1.2f77ae1e7c3dap-9, -0x1.28b9799977571p-9, -0x1.221e5fb199217p-9, -0x1.1ba5b93d776eap-9, -0x1.154ee1c0f539ap-9, -0x1.0f1937664f2a9p-9, -0x1.09041af69b5d6p-9, -0x1.030eefd297698p-9, -0x1.fa7237d5ee5ccp-10, -0x1.ef040f72e7305p-10, -0x1.e3d23c719ada5p-10, -0x1.d8db99bbae021p-10, -0x1.ce1f071f32b32p-10, -0x1.c39b69402604dp-10, -0x1.b94fa989363cfp-10, -0x1.af3ab61d503bp-10, -0x1.a55b81c790cefp-10, -0x1.9bb103ed77a65p-10, -0x1.923a387efb8a5p-10, -0x1.88f61fe82aeefp-10, -0x1.7fe3bf021a9dbp-10, -0x1.77021f03dc41fp-10, -0x1.6e504d73a1fe6p-10, -0x1.65cd5c1867fe2p-10, -0x1.5d7860eaa0b1dp-10, -0x1.55507605cd7d4p-10, -0x1.4d54b999b8d12p-10, -0x1.45844ddbf854ap-10, -0x1.3dde58f942047p-10, -0x1.366205075a725p-10, -0x1.2f0e7ff6481d7p-10, -0x1.27e2fb82366f7p-10, -0x1.20dead257a8p-10, -0x1.1a00ce0a544a6p-10, -0x1.13489afcbd667p-10, -0x1.0cb5545cc47d9p-10, -0x1.06463e108b4d6p-10, -0x1.fff53eed9a046p-11, -0x1.f3a386b1e5094p-11, -0x1.e795efbb7ca4ep-11, -0x1.dbcb1cf802793p-11, -0x1.d041b7dabb90cp-11, -0x1.c4f870414f2adp-11, -0x1.b9edfc5b0a38bp-11, -0x1.af21188e17fc8p-11, -0x1.a490875e0c339p-11, -0x1.9a3b1152f8306p-11, -0x1.901f84dfa30dbp-11, -0x1.863cb64957e1bp-11, -0x1.7c917f8eceb57p-11, -0x1.731cc05040bf8p-11, -0x1.69dd5db6d7ca7p-11, -0x1.60d2425d42c9dp-11, -0x1.57fa5e37ed6f8p-11, -0x1.4f54a67da651ap-11, -0x1.46e015912350ap-11, -0x1.3e9baae99cb47p-11, -0x1.36866afc3dfb8p-11, -0x1.2e9f5f2661c67p-11, -0x1.26e5959790115p-11, -0x1.1f58213b81d3bp-11, -0x1.17f619a5079c3p-11, -0x1.10be9af90d726p-11, -0x1.09b0c5d8c531dp-11, -0x1.02cbbf4e51fc5p-11, -0x1.f81d616f40647p-12, -0x1.eaf18f64e27aep-12, -0x1.de126c1227b1dp-12, -0x1.d17e633d37892p-12, -0x1.c533e8b6a87d1p-12, -0x1.b931783419d2cp-12, -0x1.ad75952b219bep-12, -0x1.a1fecaab60c1p-12, -0x1.96cbab3bc8001p-12, -0x1.8bdad0b54af0ep-12, -0x1.812adc2065dd9p-12, -0x1.76ba75924b55cp-12, -0x1.6c884c0a61784p-12, -0x1.629315508a5a1p-12, -0x1.58d98dd490b56p-12, -0x1.4f5a788c87483p-12, -0x1.46149ed61db42p-12, -0x1.3d06d054e8e56p-12, -0x1.342fe2d5227c7p-12, -0x1.2b8eb22b4a2efp-12, -0x1.2322201797fc5p-12, -0x1.1ae9142760d18p-12, -0x1.12e27b9878fa3p-12, -0x1.0b0d493be187dp-12, -0x1.0368755996d96p-12, -0x1.f7e5fb2b016ffp-13, -0x1.e957c9a70c74ap-13, -0x1.db246639596f4p-13, -0x1.cd49eb0a9a1aep-13, -0x1.bfc67c267fc75p-13, -0x1.b2984746c869ep-13, -0x1.a5bd83a2a4f85p-13, -0x1.993471bdf0ed9p-13, -0x1.8cfb5b382ac1ap-13, -0x1.8110929d65aefp-13, -0x1.75727337d6649p-13, -0x1.6a1f60e25a1eap-13, -0x1.5f15c7dab863dp-13, -0x1.54541c95b3bb4p-13, -0x1.49d8db94d2d6p-13, -0x1.3fa2893a64a8cp-13, -0x1.35afb1a19a41fp-13, -0x1.2bfee8743fbc9p-13, -0x1.228ec8c41c25fp-13, -0x1.195df4e1b08cap-13, -0x1.106b1636f1c68p-13, -0x1.07b4dd2169fddp-13, -0x1.fe740197bdb07p-14, -0x1.edf27e1727834p-14, -0x1.dde2b87819037p-14, -0x1.ce4246365afcfp-14, -0x1.bf0ec95077c41p-14, -0x1.b045f00236c8bp-14, -0x1.a1e574841b261p-14, -0x1.93eb1cc9cd50bp-14, -0x1.8654ba4446bcap-14, -0x1.792029a2f680ep-14, -0x1.6c4b52968e66p-14, -0x1.5fd4279597e6ep-14, -0x1.53b8a5a2f9ab5p-14, -0x1.47f6d4135f7b6p-14, -0x1.3c8cc45567109p-14, -0x1.317891bc71582p-14, -0x1.26b8614ac63a4p-14, -0x1.1c4a617ad6d7ap-14, -0x1.122cca0e6700bp-14, -0x1.085ddbda0dedbp-14, -0x1.fdb7c12ae5952p-15, -0x1.eb4a55553a8c1p-15, -0x1.d9702a0b3c12ap-15, -0x1.c82605d02b99ap-15, -0x1.b768bf78d7147p-15, -0x1.a7353dcc89ae7p-15, -0x1.978877342b7cp-15, -0x1.885f7162eaba9p-15, -0x1.79b74105ae02ep-15, -0x1.6b8d096d93b6p-15, -0x1.5dddfc4824d11p-15, -0x1.50a7594b2cc9fp-15, -0x1.43e66dec1774cp-15, -0x1.379895134a4aap-15, -0x1.2bbb36d566e65p-15, -0x1.204bc82e4f7fep-15, -0x1.1547cab37763cp-15, -0x1.0aaccc5a91dc9p-15, -0x1.007867322539p-15, -0x1.ed50824097b23p-16, -0x1.da74174d5496ap-16, -0x1.c857073e8d6fdp-16, -0x1.b6f4e20b9bff9p-16, -0x1.a6494d6c86fc8p-16, -0x1.965004737bcf8p-16, -0x1.8704d711d3e53p-16, -0x1.7863a9b2308cap-16, -0x1.6a6874c3e6274p-16, -0x1.5d0f44591516p-16, -0x1.505437b6658dbp-16, -0x1.443380f777f99p-16, -0x1.38a964a879626p-16, -0x1.2db239652b976p-16, -0x1.234a6781eaa99p-16, -0x1.196e68a9218eep-16, -0x1.101ac783aa9aap-16, -0x1.074c1f5fdf73bp-16, -0x1.fdfe37bfe53a6p-17, -0x1.ee60f147b2bc7p-17, -0x1.dfba01ee444a4p-17, -0x1.d2031f05703e3p-17, -0x1.c5361c00bcb9ap-17, -0x1.b94ce9dd45294p-17, -0x1.ae4196820d701p-17, -0x1.a40e4c3dca9ebp-17, -0x1.9aad5132d618ep-17, -0x1.921906cf3f882p-17, -0x1.8a4be9400d2d4p-17, -0x1.83408ef6602e1p-17, -0x1.7cf1a824fde31p-17, -0x1.7759fe3ec6f03p-17, -0x1.7274737feaa3cp-17, -0x1.6e3c027203889p-17, -0x1.6aabbd7135ef7p-17, -0x1.67bece49f9991p-17, -0x1.657075b7d76c7p-17, -0x1.63bc0b03fa01bp-17, -0x1.629cfb9f80fd7p-17, -0x1.620ecaafb773dp-17, -0x1.620d10a889da5p-17, -0x1.62937af065946p-17, -0x1.639dcb7e57a49p-17, -0x1.6527d87394d3cp-17, -0x1.672d8bc4cdb7ep-17, -0x1.69aae2de54de6p-17, -0x1.6c9bee54c2e11p-17, -0x1.6ffcd180dd471p-17, -0x1.73c9c22e26d0dp-17, -0x1.77ff084832b67p-17, -0x1.7c98fd92bfb44p-17, -0x1.81940d5182a23p-17, -0x1.86ecb3faa33b8p-17, -0x1.8c9f7ef23d9fep-17, -0x1.92a90c42c56fp-17, -0x1.99060a46da121p-17, -0x1.9fb33772c8626p-17, -0x1.a6ad62076c526p-17, -0x1.adf167ce1a322p-17, -0x1.b57c35d6551f1p-17, -0x1.bd4ac83f5da3p-17, -0x1.c55a29e934e68p-17, -0x1.cda77440cc547p-17, -0x1.d62fcf0327ddfp-17, -0x1.def070043e9c6p-17, -0x1.e7e69aee9f915p-17, -0x1.f10fa10c7d20dp-17, -0x1.fa68e119c0262p-17, -0x1.01f7e37f9ffadp-16, -0x1.06d0e5d2d4a5bp-16, -0x1.0bbe3a5f68e9dp-16, -0x1.10beaa4d2cc44p-16, -0x1.15d104f58039ap-16, -0x1.1af41fcc778a5p-16, -0x1.2026d64629f98p-16, -0x1.256809c2a523dp-16, -0x1.2ab6a176476ffp-16, -0x1.30118a52c2651p-16, -0x1.3577b6ee2b157p-16, -0x1.3ae81f7228adcp-16, -0x1.4061c1854dfb5p-16, -0x1.45e3a034a9b63p-16, -0x1.4b6cc3de1e64ep-16, -0x1.50fc3a1ff3a33p-16, -0x1.569115c0655f7p-16, -0x1.5c2a6ea09f30ep-16, -0x1.61c761a2624efp-16, -0x1.67671099c6039p-16, -0x1.6d08a23a669e3p-16, -0x1.72ab4203834dap-16, -0x1.784e202fb36ebp-16, -0x1.7df071a30572dp-16, -0x1.83916fda4c6b8p-16, -0x1.893058d991ce8p-16, -0x1.8ecc6f1ae6588p-16, -0x1.9464f97f046d1p-16, -0x1.99f9433ce0a54p-16, -0x1.9f889bd2fa913p-16, -0x1.a51256f70b8a3p-16, -0x1.aa95cc85fb6a4p-16, -0x1.b0125873b1f5p-16, -0x1.b5875abe8cacfp-16, -0x1.baf437609fbabp-16, -0x1.c05856418edebp-16, -0x1.c5b3232448e78p-16, -0x1.cb040d9b192c4p-16, -0x1.d04a88fe7ca26p-16, -0x1.d5860c5b79b11p-16, -0x1.dab612637a3fep-16, -0x1.dfda1964eeafap-16, -0x1.e4f1a33b64703p-16, -0x1.e9fc35403dfe7p-16, -0x1.eef958410d7aep-16, -0x1.f3e8987431ee3p-16, -0x1.f8c9856998a61p-16, -0x1.fd9bb1fe2277bp-16, -0x1.012f5a29174ecp-15, -0x1.038912de54647p-15, -0x1.05dad15fb3234p-15, -0x1.0824657cb3593p-15, -0x1.0a65a08ef71dcp-15, -0x1.0c9e5573db81ep-15, -0x1.0ece5887e0f1cp-15, -0x1.10f57f9f9aebap-15, -0x1.1313a2035fb75p-15, -0x1.15289869c46e8p-15, -0x1.17343cf1aa0cbp-15, -0x1.19366b1ce39e9p-15, -0x1.1b2effcbf295dp-15, -0x1.1d1dd9385be81p-15, -0x1.1f02d6ee81f59p-15, -0x1.20ddd9ca7e365p-15, }}, 
      {{0x1.a85a8095e5ff7p-8, 0x1.a8bb0150d7d48p-7, 0x1.3ef02f4321137p-6, 0x1.a9cc600a8a5e4p-6, 0x1.0a68f5d005244p-5, 0x1.3fe3c28235a3p-5, 0x1.75309d68751ap-5, 0x1.aa238f893a6b3p-5, 0x1.de8da592624d7p-5, 0x1.091fbcd14c703p-4, 0x1.22859f6cffaddp-4, 0x1.3b632b354069bp-4, 0x1.53a53d2cf64cap-4, 0x1.6b3b4554f024ap-4, 0x1.821784745d9c1p-4, 0x1.982f26bba33ecp-4, 0x1.ad7a40aea8a3ep-4, 0x1.c1f3b3a4518dap-4, 0x1.d598ff0a78b32p-4, 0x1.e86a036c1bda1p-4, 0x1.fa68bbe694f5fp-4, 0x1.05cc7924e0713p-3, 0x1.0dfff8c8eb8c4p-3, 0x1.15d21ce5a98c9p-3, 0x1.1d469be55219p-3, 0x1.2461813f39de5p-3, 0x1.2b270f8557fa5p-3, 0x1.319ba62a1866bp-3, 0x1.37c3ab194a189p-3, 0x1.3da378118a3aap-3, 0x1.433f4b88ffad5p-3, 0x1.489b3cd05447ap-3, 0x1.4dbb3317f0b5bp-3, 0x1.52a2def49284cp-3, 0x1.5755b5ff6bb7dp-3, 0x1.5bd6f03204c78p-3, 0x1.602986a563986p-3, 0x1.645033656a3c8p-3, 0x1.684d72142b2d9p-3, 0x1.6c238123bf0e3p-3, 0x1.6fd463781fb5cp-3, 0x1.7361e24c50248p-3, 0x1.76cd8f3f57241p-3, 0x1.7a18c6752eac6p-3, 0x1.7d44b0be846eep-3, 0x1.805245bf60e72p-3, 0x1.83424e10f0e5p-3, 0x1.8615655dced5cp-3, 0x1.88cbfc7a273ep-3, 0x1.8b665b7a87e9bp-3, 0x1.8de4a3cca8017p-3, 0x1.9046d255b223ep-3, 0x1.928cc1993477fp-3, 0x1.94b62beb56bffp-3, 0x1.96c2adb03871bp-3, 0x1.98b1c7a956414p-3, 0x1.9a82e1511a4c7p-3, 0x1.9c354b43c9f44p-3, 0x1.9dc841b415311p-3, 0x1.9f3aeee910e8bp-3, 0x1.a08c6dc283bfap-3, 0x1.a1bbcc4035748p-3, 0x1.a2c80e0856034p-3, 0x1.a3b02ee91d3f5p-3, 0x1.a473255164939p-3, 0x1.a50fe4bc37847p-3, 0x1.a585600b54f08p-3, 0x1.a5d28bccdd007p-3, 0x1.a5f6606899dd8p-3, 0x1.a5efdc31be564p-3, 0x1.a5be055a4686bp-3, 0x1.a55febc582138p-3, 0x1.a4d4aab7dfc8bp-3, 0x1.a41b6a6256295p-3, 0x1.a33361484bef8p-3, 0x1.a21bd57f4ed12p-3, 0x1.a0d41dc83eceap-3, 0x1.9f5ba28203295p-3, 0x1.9db1de76328eap-3, 0x1.9bd65f8063ab7p-3, 0x1.99c8c7113ebf7p-3, 0x1.9788ca8e7de6p-3, 0x1.9516339177bc2p-3, 0x1.9270e005c49c9p-3, 0x1.8f98c229f91a3p-3, 0x1.8c8de07447083p-3, 0x1.8950555d23c86p-3, 0x1.85e04f120f136p-3, 0x1.823e0f128ca12p-3, 0x1.7e69e9b989ceep-3, 0x1.7a6445b53c60fp-3, 0x1.762d9b6fa1e6p-3, 0x1.71c674699ec8cp-3, 0x1.6d2f6a8aba5a8p-3, 0x1.68692767654dbp-3, 0x1.6374637f8b39fp-3, 0x1.5e51e5773184ep-3, 0x1.5902814ab68dbp-3, 0x1.5387178037a58p-3, 0x1.4de094577ccd7p-3, 0x1.480feef9b6b65p-3, 0x1.421628aa2ce31p-3, 0x1.3bf44bf8fc707p-3, 0x1.35ab6bf8c4497p-3, 0x1.2f3ca37828c38p-3, 0x1.28a9143fd946bp-3, 0x1.21f1e655c62b8p-3, 0x1.1b184746138b7p-3, 0x1.141d69722c699p-3, 0x1.0d0283666b2f4p-3, 0x1.05c8cf368fca6p-3, 0x1.fce313c29392bp-4, 0x1.edfbe575e1b36p-4, 0x1.dede95bf1bedap-4, 0x1.cf8da95868cf4p-4, 0x1.c00ba67f66ae6p-4, 0x1.b05b140507c44p-4, 0x1.a07e786bc4037p-4, 0x1.90785913de55dp-4, 0x1.804b39755bfadp-4, 0x1.6ff99a6759659p-4, 0x1.5f85f97444cfcp-4, 0x1.4ef2d03a9a93p-4, 0x1.3e4293d98c857p-4, 0x1.2d77b46929be5p-4, 0x1.1c949c7d70579p-4, 0x1.0b9bb0b3be067p-4, 0x1.f51e9e9457e96p-5, 0x1.d2e39f80371e9p-5, 0x1.b08b04ff42d98p-5, 0x1.8e19611e22b79p-5, 0x1.6b9336948d3e2p-5, 0x1.48fcf8462db25p-5, 0x1.265b08d0d0c0fp-5, 0x1.03b1ba26fcc2dp-5, 0x1.c20a9a6be76d1p-6, 0x1.7cb3e32c65005p-6, 0x1.37678a8b44d57p-6, 0x1.e45b51aa8c837p-7, 0x1.5a1c647c60fdap-7, 0x1.a043da176a7f5p-8, 0x1.19ed0551b24c6p-9, -0x1.0b224ad2af407p-9, -0x1.97359b1ff467cp-8, -0x1.53ecf88d3e861p-7, -0x1.dbb0e814f5ac9p-7, -0x1.316c5df0c8bd5p-6, -0x1.74ab6f95ae71dp-6, -0x1.b78f0463f4c31p-6, -0x1.fa109d9f6840ep-6, -0x1.1e14f1353086ep-5, -0x1.3eea4fe3a0228p-5, -0x1.5f85644b00f56p-5, -0x1.7fe33ac76b71p-5, -0x1.a000f29cd1274p-5, -0x1.bfdbbdf190c46p-5, -0x1.df70e1c7e0b9fp-5, -0x1.febdb5f63ad44p-5, -0x1.0edfd28f7512dp-4, -0x1.1e3a16535b87dp-4, -0x1.2d6c6e556cc38p-4, -0x1.3c75abfb1bf2fp-4, -0x1.4b54a9faf0e22p-4, -0x1.5a084c5678b4dp-4, -0x1.688f8053dc326p-4, -0x1.76e93c771bff9p-4, -0x1.8514807af6d19p-4, -0x1.931055497345p-4, -0x1.a0dbccf403d98p-4, -0x1.ae7602ab4f451p-4, -0x1.bbde1ab683438p-4, -0x1.c913426a3a81p-4, -0x1.d614b01ef3284p-4, -0x1.e2e1a326fbdedp-4, -0x1.ef7963c3e75e9p-4, -0x1.fbdb431b6e0b8p-4, -0x1.04034d95e6ad2p-3, -0x1.09fd675fbac4ap-3, -0x1.0fdba4b01efaep-3, -0x1.159dbfa4e8729p-3, -0x1.1b4376adcb70ap-3, -0x1.20cc8c84e316ep-3, -0x1.2638c826f8074p-3, -0x1.2b87f4cb5751dp-3, -0x1.30b9e1db5a37ap-3, -0x1.35ce62e9837f9p-3, -0x1.3ac54fa845b62p-3, -0x1.3f9e83e05fdf4p-3, -0x1.4459df66df8f7p-3, -0x1.48f74612b34ep-3, -0x1.4d769fb1e886dp-3, -0x1.51d7d7fe77227p-3, -0x1.561ade92b2848p-3, -0x1.5a3fa6dd51ddfp-3, -0x1.5e4628151b41ep-3, -0x1.622e5d2c260e9p-3, -0x1.65f844c2c1dafp-3, -0x1.69a3e119fd844p-3, -0x1.6d313805cd793p-3, -0x1.70a052deda0fbp-3, -0x1.73f13e73f5032p-3, -0x1.77240afb3296ep-3, -0x1.7a38cc02b5508p-3, -0x1.7d2f986121bcdp-3, -0x1.80088a25c8512p-3, -0x1.82c3be887f414p-3, -0x1.856155d936d88p-3, -0x1.87e1736f47743p-3, -0x1.8a443d987e66ap-3, -0x1.8c89dd87ec66ap-3, -0x1.8eb27f44790fcp-3, -0x1.90be51973fd99p-3, -0x1.92ad85f9bf514p-3, -0x1.94805083d0081p-3, -0x1.9636e7d97a14dp-3, -0x1.97d18518a05c4p-3, -0x1.995063c687ca2p-3, -0x1.9ab3c1bd43447p-3, -0x1.9bfbdf19061d7p-3, -0x1.9d28fe255d02ep-3, -0x1.9e3b634a5555ep-3, -0x1.9f3354f99d792p-3, -0x1.a0111b9b92a6dp-3, -0x1.a0d5017c50881p-3, -0x1.a17f52b8b9c3ep-3, -0x1.a2105d2b8a3a8p-3, -0x1.a288705a685fap-3, -0x1.a2e7dd630669fp-3, -0x1.a32ef6e84fd36p-3, -0x1.a35e10ffa9519p-3, -0x1.a375811e47adfp-3, -0x1.a3759e06a01efp-3, -0x1.a35ebfb5f3056p-3, -0x1.a3313f51fc7c6p-3, -0x1.a2ed7716c10edp-3, -0x1.a293c2448c907p-3, -0x1.a2247d0e0dfd8p-3, -0x1.a1a00486aac53p-3, -0x1.a106b690ffd0ep-3, -0x1.a058f1cd94af1p-3, -0x1.9f971589c0e18p-3, -0x1.9ec181aed404bp-3, -0x1.9dd896b16ad41p-3, -0x1.9cdcb58110b45p-3, -0x1.9bce3f7810bep-3, -0x1.9aad964b96d2cp-3, -0x1.997b1bfc0ac13p-3, -0x1.983732c5b46a6p-3, -0x1.96e23d11a807dp-3, -0x1.957c9d66fc55p-3, -0x1.9406b65c4473bp-3, -0x1.9280ea896003ap-3, -0x1.90eb9c798fd67p-3, -0x1.8f472e9ddf14fp-3, -0x1.8d94033fd7287p-3, -0x1.8bd27c748ab93p-3, -0x1.8a02fc0fe9ae7p-3, -0x1.8825e39870a98p-3, -0x1.863b943b2182cp-3, -0x1.84446ebfdba6cp-3, -0x1.8240d37dfbb3dp-3, -0x1.803122515853cp-3, -0x1.7e15ba8f9002dp-3, -0x1.7beefafdab47bp-3, -0x1.79bd41c618a3cp-3, -0x1.7780ec6ef5eb5p-3, -0x1.753a57d0b5188p-3, -0x1.72e9e00d12ecp-3, -0x1.708fe086603c9p-3, -0x1.6e2cb3d725dffp-3, -0x1.6bc0b3ca1439dp-3, -0x1.694c39524d63ap-3, -0x1.66cf9c83fa193p-3, -0x1.644b348d3be21p-3, -0x1.61bf57af64b86p-3, -0x1.5f2c5b3886a54p-3, -0x1.5c92937d552bcp-3, -0x1.59f253d34ed3cp-3, -0x1.574bee8b3964p-3, -0x1.549fb4ebef092p-3, -0x1.51edf72d6d749p-3, -0x1.4f3704743b2f7p-3, -0x1.4c7b2acd11898p-3, -0x1.49bab728d06b1p-3, -0x1.46f5f558bb28fp-3, -0x1.442d300afc97cp-3, -0x1.4160b0c76df99p-3, -0x1.3e90bfeca448ep-3, -0x1.3bbda4ad43e32p-3, -0x1.38e7a50d8f215p-3, -0x1.360f05e13a6eap-3, -0x1.33340ac97fb35p-3, -0x1.3056f6336aecbp-3, -0x1.2d78095668bdcp-3, -0x1.2a9784330f0d3p-3, -0x1.27b5a59218a84p-3, -0x1.24d2ab03a662ap-3, -0x1.21eed0dea6ea6p-3, -0x1.1f0a52408419p-3, -0x1.1c25690cf6f87p-3, -0x1.19404dee17983p-3, -0x1.165b385497fc9p-3, -0x1.13765e7832f34p-3, -0x1.1091f5584601cp-3, -0x1.0dae30bc9ad3dp-3, -0x1.0acb43365bc34p-3, -0x1.07e95e212ff53p-3, -0x1.0508b1a481afcp-3, -0x1.02296cb4eee89p-3, -0x1.fe977a2bb138cp-4, -0x1.f8df9eb63e064p-4, -0x1.f32b9dd5f2105p-4, -0x1.ed7bcbffe8725p-4, -0x1.e7d07b561ff2ep-4, -0x1.e229fbabf4442p-4, -0x1.dc889a8ad85b7p-4, -0x1.d6eca337393f5p-4, -0x1.d1565eb5a733dp-4, -0x1.cbc613d03028bp-4, -0x1.c63c071be29e9p-4, -0x1.c0b87afe88d6bp-4, -0x1.bb3bafb48c798p-4, -0x1.b5c5e35704761p-4, -0x1.b05751e1ed198p-4, -0x1.aaf0353a8193bp-4, -0x1.a590c535bc2fep-4, -0x1.a039379ef4754p-4, -0x1.9ae9c03ea3fb6p-4, -0x1.95a290e13b416p-4, -0x1.9063d95e1c844p-4, -0x1.8b2dc79ea9c28p-4, -0x1.860087a56b068p-4, -0x1.80dc439548ec9p-4, -0x1.7bc123b8dadc2p-4, -0x1.76af4e89c59ep-4, -0x1.71a6e8b8296dap-4, -0x1.6ca815321e49fp-4, -0x1.67b2f52b38e59p-4, -0x1.62c7a8241f98cp-4, -0x1.5de64bf223325p-4, -0x1.590efcc6dd3ccp-4, -0x1.5441d537dac0dp-4, -0x1.4f7eee464518ep-4, -0x1.4ac65f668d0d3p-4, -0x1.46183e881b655p-4, -0x1.4174a01cfe4dcp-4, -0x1.3cdb972194fbfp-4, -0x1.384d352439087p-4, -0x1.33c98a4ce6345p-4, -0x1.2f50a564d98edp-4, -0x1.2ae293de2c362p-4, -0x1.267f61db673b3p-4, -0x1.22271a370c9d6p-4, -0x1.1dd9c68b19699p-4, -0x1.19976f387dd3p-4, -0x1.15601b6e88732p-4, -0x1.1133d13244863p-4, -0x1.0d129565ce1fbp-4, -0x1.08fc6bcf973e8p-4, -0x1.04f157219d385p-4, -0x1.00f159008fb85p-4, -0x1.f9f8e415d2fb9p-5, -0x1.f22543bfe966p-5, -0x1.ea67ce4d82611p-5, -0x1.e2c07f2a0fdcbp-5, -0x1.db2f4febf9b9bp-5, -0x1.d3b4386216e9dp-5, -0x1.cc4f2ea10305dp-5, -0x1.c50027104bc84p-5, -0x1.bdc7147778876p-5, -0x1.b6a3e80ae1225p-5, -0x1.af96917863803p-5, -0x1.a89efef3e2e12p-5, -0x1.a1bd1d43ad258p-5, -0x1.9af0d7cc9c2d4p-5, -0x1.943a189e221bp-5, -0x1.8d98c87e185e9p-5, -0x1.870ccef465954p-5, -0x1.809612567c5bep-5, -0x1.7a3477d29f5edp-5, -0x1.73e7e37b0078dp-5, -0x1.6db03850abbebp-5, -0x1.678d584e4582p-5, -0x1.617f24729a96ap-5, -0x1.5b857ccafded5p-5, -0x1.55a0407d76af8p-5, -0x1.4fcf4dd2bfe89p-5, -0x1.4a1282401ce8dp-5, -0x1.4469ba70f39adp-5, -0x1.3ed4d25041324p-5, -0x1.3953a511da6edp-5, -0x1.33e60d3b7e7b7p-5, -0x1.2e8be4adb6c91p-5, -0x1.294504ac8e193p-5, -0x1.241145e81375cp-5, -0x1.1ef08084ae035p-5, -0x1.19e28c2349112p-5, -0x1.14e73fe948ebep-5, -0x1.0ffe728858a29p-5, -0x1.0b27fa46057acp-5, -0x1.0663ad0331efp-5, -0x1.01b16043565cbp-5, -0x1.fa21d267305adp-6, -0x1.f10439636ef7ap-6, -0x1.e8099ea592003p-6, -0x1.df31aad3977d9p-6, -0x1.d67c061c2140cp-6, -0x1.cde85842f5411p-6, -0x1.c57648ad1efbfp-6, -0x1.bd257e6cc204p-6, -0x1.b4f5a04ca415dp-6, -0x1.ace654db56c4p-6, -0x1.a4f742761b7a7p-6, -0x1.9d280f5370f28p-6, -0x1.9578618d5a49ap-6, -0x1.8de7df2b525a7p-6, -0x1.86762e2bf3cadp-6, -0x1.7f22f48e5c232p-6, -0x1.77edd85b3dfap-6, -0x1.70d67fada887bp-6, -0x1.69dc90bb941e1p-6, -0x1.62ffb1de175e9p-6, -0x1.5c3f899966412p-6, -0x1.559bbea4802e4p-6, -0x1.4f13f7f0a6822p-6, -0x1.48a7dcb080069p-6, -0x1.4257145f139c6p-6, -0x1.3c2146c66ba33p-6, -0x1.36061c060e74bp-6, -0x1.30053c9923d6p-6, -0x1.2a1e515c773aep-6, -0x1.2451039426ff5p-6, -0x1.1e9cfcf128b4ap-6, -0x1.1901e796946e8p-6, -0x1.137f6e1eab1a9p-6, -0x1.0e153b9fb6d77p-6, -0x1.08c2fbb0a70a9p-6, -0x1.03885a6d87ddep-6, -0x1.fcca08f763eeap-7, -0x1.f2b14e1bc31dep-7, -0x1.e8c5dfd0003acp-7, -0x1.df071ac5ada2fp-7, -0x1.d5745cdf079bp-7, -0x1.cc0d05358bbf5p-7, -0x1.c2d074203392bp-7, -0x1.b9be0b395d6bcp-7, -0x1.b0d52d64587f7p-7, -0x1.a8153ed2aa8d6p-7, -0x1.9f7da508f307ap-7, -0x1.970dc6e383a3dp-7, -0x1.8ec50c9ac911ap-7, -0x1.86a2dfc721541p-7, -0x1.7ea6ab64cb6fap-7, -0x1.76cfdbd7353f6p-7, -0x1.6f1ddeec342d8p-7, -0x1.679023defa5ebp-7, -0x1.60261b5aa9584p-7, -0x1.58df377cd52c6p-7, -0x1.51baebd7a0e85p-7, -0x1.4ab8ad73a588p-7, -0x1.43d7f2d1bf4cdp-7, -0x1.3d1833ec73364p-7, -0x1.3678ea39389dbp-7, -0x1.2ff990a98c5a9p-7, -0x1.2999a3abd3e8fp-7, -0x1.2358a12beeef3p-7, -0x1.1d360893cae02p-7, -0x1.17315acb9fc7bp-7, -0x1.114a1a3a08ebcp-7, -0x1.0b7fcac400ff8p-7, -0x1.05d1f1cca2f26p-7, -0x1.00401634c116dp-7, -0x1.f59380b4cf307p-8, -0x1.eadcf4304efc9p-8, -0x1.e05b9d885d32cp-8, -0x1.d60e965ef849ap-8, -0x1.cbf4fb4922ccdp-8, -0x1.c20debccc2fd5p-8, -0x1.b8588a5dbed25p-8, -0x1.aed3fc5b051d9p-8, -0x1.a57f6a0b84f4ep-8, -0x1.9c59fe9aae9aap-8, -0x1.9362e814e7744p-8, -0x1.8a995763b4d13p-8, -0x1.81fc8049b3cp-8, -0x1.798b995e99e4cp-8, -0x1.7145dc0ab1748p-8, -0x1.692a84824a36bp-8, -0x1.6138d1c14c953p-8, -0x1.597005862339ep-8, -0x1.51cf644cfde63p-8, -0x1.4a56354a7ff5p-8, -0x1.4303c266ba931p-8, -0x1.3bd75837a8964p-8, -0x1.34d045fbd4d56p-8, -0x1.2deddd94b9915p-8, -0x1.272f738110f35p-8, -0x1.20945ed719286p-8, -0x1.1a1bf93ebbc75p-8, -0x1.13c59eeb8a259p-8, -0x1.0d90ae96c0b5bp-8, -0x1.077c89793ffb9p-8, -0x1.018893454282ep-8, -0x1.f7686440a0f4fp-9, -0x1.ebfd9d397e1f3p-9, -0x1.e0cfa767276bap-9, -0x1.d5dd5d7c16c81p-9, -0x1.cb259ede50955p-9, -0x1.c0a74f9a98f9ap-9, -0x1.b66158576cf5fp-9, -0x1.ac52a64811703p-9, -0x1.a27a2b1f56cddp-9, -0x1.98d6dd0294da3p-9, -0x1.8f67b67c7b53dp-9, -0x1.862bb6700dd28p-9, -0x1.7d21e00b1bf2cp-9, -0x1.74493ab9499e5p-9, -0x1.6ba0d216fbbf6p-9, -0x1.6327b5e3a6c35p-9, -0x1.5adcf9f52d051p-9, -0x1.52bfb62a47c52p-9, -0x1.4acf065d8820ep-9, -0x1.430a0a5837633p-9, -0x1.3b6fe5c5161e3p-9, -0x1.33ffc0236864bp-9, -0x1.2cb8c4b9e81e7p-9, -0x1.259a2289c3bf2p-9, -0x1.1ea30c41be33ap-9, -0x1.17d2b8313dec5p-9, -0x1.1128603b61886p-9, -0x1.0aa341ca5e401p-9, -0x1.04429dc2d81dbp-9, -0x1.fc0b70ee4ac59p-10, -0x1.efd7b3359a115p-10, -0x1.e3e8986c15c56p-10, -0x1.d83cbd32d48a1p-10, -0x1.ccd2c4a31b68ap-10, -0x1.c1a95835660ffp-10, -0x1.b6bf27a9f5c83p-10, -0x1.ac12e8efe619cp-10, -0x1.a1a3580dc0422p-10, -0x1.976f3709ba37cp-10, -0x1.8d754dd20d528p-10, -0x1.83b46a25adc84p-10, -0x1.7a2b5f7d5459cp-10, -0x1.70d906f46e1aep-10, -0x1.67bc3f328392bp-10, -0x1.5ed3ec54ad5edp-10, -0x1.561ef7d759e6dp-10, -0x1.4d9c50806e42cp-10, -0x1.454aea48f7aa9p-10, -0x1.3d29be4825a91p-10, -0x1.3537ca9d8cc8ep-10, -0x1.2d74125c3f2ddp-10, -0x1.25dd9d758d5bbp-10, -0x1.1e7378a4c7b2p-10, -0x1.1734b55a6006dp-10, -0x1.102069a7fc32dp-10, -0x1.0935b02c60153p-10, -0x1.0273a7ffb831dp-10, -0x1.f7b2e94002f0ep-11, -0x1.eacc7bbb80648p-11, -0x1.de325f9235d58p-11, -0x1.d1e2f53db673p-11, -0x1.c5dca56c34f0dp-11, -0x1.ba1de0db618edp-11, -0x1.aea520348ffc4p-11, -0x1.a370e3e8a7a3cp-11, -0x1.987fb40d3ab9ep-11, -0x1.8dd02039a7a74p-11, -0x1.8360bf64c4b5cp-11, -0x1.79302fc2d55fdp-11, -0x1.6f3d16a4a1341p-11, -0x1.658620562972fp-11, -0x1.5c09fffe5d1f3p-11, -0x1.52c76f7f1f79dp-11, -0x1.49bd2f55cff7cp-11, -0x1.40ea067c1e1adp-11, -0x1.384cc249678d2p-11, -0x1.2fe436548f621p-11, -0x1.27af3c569bb96p-11, -0x1.1facb40ced275p-11, -0x1.17db831cdd0c3p-11, -0x1.103a94f6ee08fp-11, -0x1.08c8dabb77342p-11, -0x1.01854b1e5609p-11, -0x1.f4ddc498f9a3p-12, -0x1.e70943a2664dbp-12, -0x1.d98b20f6b97ffp-12, -0x1.cc61748863fep-12, -0x1.bf8a606b61c6dp-12, -0x1.b30410a301334p-12, -0x1.a6ccbaf0b0a56p-12, -0x1.9ae29ea444446p-12, -0x1.8f44046b80d25p-12, -0x1.83ef3e23b6c76p-12, -0x1.78e2a6ac3e9b8p-12, -0x1.6e1ca1b84dfa8p-12, -0x1.639b9ba314a2bp-12, -0x1.595e09443930bp-12, -0x1.4f6267c4357edp-12, -0x1.45a73c728ccadp-12, -0x1.3c2b149cb4a76p-12, -0x1.32ec85641effdp-12, -0x1.29ea2b979ef19p-12, -0x1.2122ab8afce0cp-12, -0x1.1894b0f0956a6p-12, -0x1.103eeeb3c373bp-12, -0x1.08201ed32fa71p-12, -0x1.0037023c1649dp-12, -0x1.f104c14da2a8cp-13, -0x1.e20210e632434p-13, -0x1.d3639d0b5d848p-13, -0x1.c5271c4b849cdp-13, -0x1.b74a51b887527p-13, -0x1.a9cb0ca56fbbp-13, -0x1.9ca72865eb08p-13, -0x1.8fdc8c106b444p-13, -0x1.83692a3d59de2p-13, -0x1.774b00cd72428p-13, -0x1.6b8018ac4c162p-13, -0x1.60068595cd6dep-13, -0x1.54dc65de5e49fp-13, -0x1.49ffe2385566cp-13, -0x1.3f6f2d7e75301p-13, -0x1.3528847c3cf63p-13, -0x1.2b2a2dba9539bp-13, -0x1.2172794a07443p-13, -0x1.17ffc090d38b6p-13, -0x1.0ed066182d33fp-13, -0x1.05e2d55b9cd29p-13, -0x1.fa6b052fc1235p-14, -0x1.e98dd539a5ec1p-14, -0x1.d92b253ddeeb3p-14, -0x1.c9401012b51f1p-14, -0x1.b9c9c0a620129p-14, -0x1.aac571a18a647p-14, -0x1.9c306d18ff853p-14, -0x1.8e080c34cd904p-14, -0x1.8049b6e128224p-14, -0x1.72f2e37d53ed5p-14, -0x1.6601168dc9127p-14, -0x1.5971e26cd1729p-14, -0x1.4d42e701ba15bp-14, -0x1.4171d175fdef4p-14, -0x1.35fc5bebdf3bp-14, -0x1.2ae04d393a9ccp-14, -0x1.201b78a0076bp-14, -0x1.15abbd8ce7e9ap-14, -0x1.0b8f07524a995p-14, -0x1.01c34ce837dbep-14, -0x1.f08d21571bba7p-15, -0x1.de2dc041602d6p-15, -0x1.cc64a76d3820ep-15, -0x1.bb2e1d12554bp-15, -0x1.aa867c50cc338p-15, -0x1.9a6a34bb32d7bp-15, -0x1.8ad5c9e656026p-15, -0x1.7bc5d2fe9d7b4p-15, -0x1.6d36fa57210b5p-15, -0x1.5f25fd0448391p-15, -0x1.518faa75bf3ebp-15, -0x1.4470e40a96f71p-15, -0x1.37c69cb629442p-15, -0x1.2b8dd89aa66b1p-15, -0x1.1fc3acad75f94p-15, -0x1.14653e5714937p-15, -0x1.096fc31cdcb7cp-15, -0x1.fdc1008b53236p-16, -0x1.e9699505dc38ep-16, -0x1.d5d40b377193ep-16, -0x1.c2fb4838bdfccp-16, -0x1.b0da4e03279e8p-16, -0x1.9f6c3ad8228bap-16, -0x1.8eac48a09a71dp-16, -0x1.7e95cc5bb4e1fp-16, -0x1.6f243581a8acfp-16, -0x1.60530d776035bp-16, -0x1.521df7023389ep-16, -0x1.4480adb357aa1p-16, -0x1.3777056c569f3p-16, -0x1.2afce9d037b0cp-16, -0x1.1f0e5dc48b42p-16, -0x1.13a77af516427p-16, -0x1.08c4714df6786p-16, -0x1.fcc30d1deb92dp-17, -0x1.e8f62b8e6a242p-17, -0x1.d61b1dd75b5dcp-17, -0x1.c42aecbb45626p-17, -0x1.b31ec8fe6c81bp-17, -0x1.a2f00a84e407fp-17, -0x1.93982f878e4dcp-17, -0x1.8510dbbb8748ap-17, -0x1.7753d785c7d9p-17, -0x1.6a5b0f3877ep-17, -0x1.5e209253a9abep-17, -0x1.529e92b6567ddp-17, -0x1.47cf63f9cfcb8p-17, -0x1.3dad7aa5aea5p-17, -0x1.34336b8c7af45p-17, -0x1.2b5beb172d228p-17, -0x1.2321cc9c2455ep-17, -0x1.1b8001b127e6ap-17, -0x1.1471999cfe68p-17, -0x1.0df1c099bce47p-17, -0x1.07fbbf511f82cp-17, -0x1.028afa351ca89p-17, -0x1.fb35e1edc146fp-18, -0x1.f24e7bca8daa1p-18, -0x1.ea572ae005248p-18, -0x1.e3478b18f44abp-18, -0x1.dd176a6fee70cp-18, -0x1.d7bec7cf86d93p-18, -0x1.d335d22001c7ep-18, -0x1.cf74e743ae8ccp-18, -0x1.cc749308164fp-18, -0x1.ca2d8e4d9e88p-18, -0x1.c898be0d2fd64p-18, -0x1.c7af3263093afp-18, -0x1.c76a25bf7f84dp-18, -0x1.c7c2fbef48e69p-18, -0x1.c8b3415840f42p-18, -0x1.ca34a9ff7dd95p-18, -0x1.cc4110eab8826p-18, -0x1.ced27722ffb13p-18, -0x1.d1e30303d8267p-18, -0x1.d56cff72ef95p-18, -0x1.d96adb20a06ddp-18, -0x1.ddd727c129125p-18, -0x1.e2ac99640c6e5p-18, -0x1.e7e605b3651afp-18, -0x1.ed7e63484fecap-18, -0x1.f370c903c903fp-18, -0x1.f9b86d5b4935ap-18, -0x1.002852dbdecd7p-17, -0x1.039a72e91bep-17, -0x1.07305f8cf7e64p-17, -0x1.0ae7f0099f309p-17, -0x1.0ebf09e18ca36p-17, -0x1.12b3a08b26267p-17, -0x1.16c3b52a2e66p-17, -0x1.1aed564b20233p-17, -0x1.1f2e9f912faf1p-17, -0x1.2385b9822c4c4p-17, -0x1.27f0d937f88c6p-17, -0x1.2c6e4023a763bp-17, -0x1.30fc3bc98be89p-17, -0x1.359925889ed4ep-17, -0x1.3a4362569a164p-17, -0x1.3ef962869ae46p-17, -0x1.43b9a18f22247p-17, -0x1.4882a5cc07066p-17, -0x1.4d53004601d9fp-17, -0x1.52294c81ffdcp-17, -0x1.57043040c481p-17, -0x1.5be25b50973aap-17, -0x1.60c28754fad46p-17, -0x1.65a3779699ba6p-17, -0x1.6a83f8cd23dbp-17, -0x1.6f62e0f14208p-17, -0x1.743f0f0a19b66p-17, -0x1.79176afe4b5fep-17, -0x1.7deae56713178p-17, -0x1.82b8775e59849p-17, -0x1.877f225adef4bp-17, -0x1.8c3deff9e9aecp-17, -0x1.90f3f1da3849bp-17, -0x1.95a0416ff8fbep-17, -0x1.9a41ffde86189p-17, -0x1.9ed855cc2c5f9p-17, -0x1.a3627339d523p-17, -0x1.a7df8f613828ep-17, -0x1.ac4ee88a0a44ep-17, -0x1.b0afc3e5082e8p-17, -0x1.b5016d6797391p-17, -0x1.b94337a9cedb6p-17, -0x1.bd747bbef3ccdp-17, -0x1.c19499150f4f8p-17, -0x1.c5a2f5539e738p-17, -0x1.c99efc38e497bp-17, -0x1.cd881f78eb622p-17, -0x1.d15dd69bf85d5p-17, -0x1.d51f9ee2ac633p-17, -0x1.d8ccfb2252b5ap-17, -0x1.dc6573a8d24b5p-17, -0x1.dfe8962095058p-17, -0x1.e355f56ec0c6cp-17, -0x1.e6ad2998e8f26p-17, -0x1.e9edcfa74f605p-17, -0x1.ed17898c01084p-17, -0x1.f029fe041da3dp-17, -0x1.f324d87e500efp-17, -0x1.f607c9000265cp-17, -0x1.f8d2840da0ae6p-17, -0x1.fb84c28db92dcp-17, -0x1.fe1e41b2cb623p-17, -0x1.004f616feecd8p-16, -0x1.018305c982353p-16, -0x1.02a9f2a65828p-16, -0x1.03c40ebc98298p-16, -0x1.04d142ab729a2p-16, -0x1.05d178f2129fdp-16, -0x1.06c49de255c02p-16, -0x1.07aa9f98ac4bp-16, -0x1.08836dee65978p-16, -0x1.094efa7147a75p-16, -0x1.0a0d38594b365p-16, -0x1.0abe1c7cb5da5p-16, -0x1.0b619d4869665p-16, -0x1.0bf7b2b4ce49bp-16, -0x1.0c80563ca734ap-16, -0x1.0cfb82d31c6afp-16, -0x1.0d6934db346bap-16, -0x1.0dc96a1e0ca9p-16, -0x1.0e1c21c32b154p-16, -0x1.0e615c46036ddp-16, -0x1.0e991b6e2579p-16, -0x1.0ec3624788163p-16, -0x1.0ee03517f3e03p-16, -0x1.0eef995963775p-16, -0x1.0ef195b078083p-16, -0x1.0ee631e5e0443p-16, -0x1.0ecd76dcdc0a4p-16, -0x1.0ea76e8c30142p-16, -0x1.0e7423f74b5c6p-16, -0x1.0e33a3263bb66p-16, -0x1.0de5f91e2362p-16, -0x1.0d8b33dbbbec2p-16, -0x1.0d23624a6c1e7p-16, -0x1.0cae943dcf646p-16, -0x1.0c2cda6c04ca5p-16, -0x1.0b9e46660aa06p-16, -0x1.0b02ea919dc8dp-16, -0x1.0a5ada22095dfp-16, -0x1.09a6291283626p-16, -0x1.08e4ec20e2ca2p-16, -0x1.081738c656a13p-16, -0x1.073d25318a86dp-16, -0x1.0656c841281cfp-16, -0x1.0564397d2b445p-16, -0x1.04659112830edp-16, -0x1.035ae7ccbde45p-16, -0x1.02445710d52abp-16, -0x1.0121f8d76a40bp-16, -0x1.ffe7cf4fd9e16p-17, -0x1.fd747d25c2232p-17, -0x1.faea325b103c2p-17, -0x1.f849271991eep-17, -0x1.f591947edb2d7p-17, -0x1.f2c3b494c0c17p-17, }}, 
      {{-0x1.09e7d629b241ep-2, -0x1.0a4e2aae99654p-2, -0x1.0aed130b6b4fep-2, -0x1.0bb8ba48a472fp-2, -0x1.0ca608b56a90ap-2, -0x1.0dabbb54f32c9p-2, -0x1.0ec2b1a266756p-2, -0x1.0fe5d19a7f1d7p-2, -0x1.1111bdea9373p-2, -0x1.12447f4947b7ap-2, -0x1.137d30dcfbe5p-2, -0x1.14bbb5ef43d29p-2, -0x1.16007a6b4b456p-2, -0x1.174c3db3ab8f8p-2, -0x1.189fe6d2d144ep-2, -0x1.19fc61125bdebp-2, -0x1.1b628032d356cp-2, -0x1.1cd2eb9ed48c4p-2, -0x1.1e4e0fffa3a68p-2, -0x1.1fd416910c023p-2, -0x1.2164e181626e6p-2, -0x1.23000c98eb4dp-2, -0x1.24a4f1588e90cp-2, -0x1.2652adbd82fe2p-2, -0x1.28082cdf3ad1ep-2, -0x1.29c430ad293b2p-2, -0x1.2b855c28bcd53p-2, -0x1.2d4a3d92bd85cp-2, -0x1.2f11581fab5b2p-2, -0x1.30d92ce2a5f66p-2, -0x1.32a042b86794cp-2, -0x1.34652d12cff0dp-2, -0x1.36269198a9a08p-2, -0x1.37e32c9ce05e5p-2, -0x1.3999d47beb0c9p-2, -0x1.3b497bf679608p-2, -0x1.3cf133a59587fp-2, -0x1.3e902aa7158d7p-2, -0x1.4025aea1d7e74p-2, -0x1.41b12b4057cc1p-2, -0x1.4332293e1ef08p-2, -0x1.44a84d21e7d28p-2, -0x1.461355bb10cbep-2, -0x1.47731a75bf2a1p-2, -0x1.48c78995d1dbp-2, -0x1.4a10a665ab29ep-2, -0x1.4b4e87631c6b3p-2, -0x1.4c81547239441p-2, -0x1.4da9451bc4816p-2, -0x1.4ec69edb299aep-2, -0x1.4fd9b37e841e8p-2, -0x1.50e2df9a1be55p-2, -0x1.51e2890fe886ap-2, -0x1.52d91dab1ab79p-2, -0x1.53c711cf2eaeep-2, -0x1.54acdf39ec4e2p-2, -0x1.558b03d77b5aap-2, -0x1.566200a7c025ep-2, -0x1.573258b43b2cbp-2, -0x1.57fc9015b4b6ep-2, -0x1.58c12b092122ap-2, -0x1.5980ad1344e88p-2, -0x1.5a3b9832b8e8ep-2, -0x1.5af26c2016465p-2, -0x1.5ba5a59c0f4dep-2, -0x1.5c55bdcb6ed5ep-2, -0x1.5d0329a0db52ep-2, -0x1.5dae59546128dp-2, -0x1.5e57b7e8b9a9bp-2, -0x1.5effaabe40aecp-2, -0x1.5fa691338653cp-2, -0x1.604cc453603dbp-2, -0x1.60f296904cafcp-2, -0x1.6198538cecf01p-2, -0x1.623e3ff14a04ap-2, -0x1.62e4994c8a818p-2, -0x1.638b9602a77e7p-2, -0x1.64336545a6e11p-2, -0x1.64dc2f19cf90bp-2, -0x1.65861464377cbp-2, -0x1.66312f030ee38p-2, -0x1.66dd91eef022bp-2, -0x1.678b496484238p-2, -0x1.683a5b15b65c9p-2, -0x1.68eac661bf3efp-2, -0x1.699c8493373bep-2, -0x1.6a4f89237a8cp-2, -0x1.6b03c20294491p-2, -0x1.6bb917e2f42e9p-2, -0x1.6c6f6e88395c7p-2, -0x1.6d26a5185dca4p-2, -0x1.6dde966e96e51p-2, -0x1.6e97196f4c21dp-2, -0x1.6f50015c8530cp-2, -0x1.70091e2a4c506p-2, -0x1.70c23cd270fa8p-2, -0x1.717b27a743905p-2, -0x1.7233a6a4cc3d3p-2, -0x1.72eb7fc026dcp-2, -0x1.73a27734a46f8p-2, -0x1.74584fce6617p-2, -0x1.750ccb3237e2fp-2, -0x1.75bfaa22652a3p-2, -0x1.7670acc067973p-2, -0x1.771f92cb3faabp-2, -0x1.77cc1bda674fap-2, -0x1.787607953d835p-2, -0x1.791d15e6ec64ep-2, -0x1.79c1072ebeabdp-2, -0x1.7a619c6ce4f73p-2, -0x1.7afe976bb826ep-2, -0x1.7b97bae5842e1p-2, -0x1.7c2ccaa6eac42p-2, -0x1.7cbd8badf7e6p-2, -0x1.7d49c44600591p-2, -0x1.7dd13c2069692p-2, -0x1.7e53bc6a72f34p-2, -0x1.7ed10fe030291p-2, -0x1.7f4902dcc73d1p-2, -0x1.7fbb63682544p-2, -0x1.802801424667ap-2, -0x1.808eadec3c31ep-2, -0x1.80ef3caf13ce5p-2, -0x1.814982a0c7cbep-2, -0x1.819d56a75f3d3p-2, -0x1.81ea917a5f989p-2, -0x1.82310da2b95e3p-2, -0x1.8270a7794cfb6p-2, -0x1.82a93d243061cp-2, -0x1.82daae92d41b6p-2, -0x1.8304dd792390dp-2, -0x1.8327ad49c5e3bp-2, -0x1.8343032f986f2p-2, -0x1.8356c6067bff8p-2, -0x1.8362de53938b9p-2, -0x1.8367363d07c79p-2, -0x1.8363b98169f77p-2, -0x1.8358556ec5635p-2, -0x1.8344f8d97ab38p-2, -0x1.83299412ed1eap-2, -0x1.830618e01aec4p-2, -0x1.82da7a7027e4p-2, -0x1.82a6ad52ede5ap-2, -0x1.826aa76f99d14p-2, -0x1.82265ffb609ffp-2, -0x1.81d9cf705c11dp-2, -0x1.8184ef848857fp-2, -0x1.8127bb20fd8eap-2, -0x1.80c22e5956142p-2, -0x1.80544663597bp-2, -0x1.7fde018edee71p-2, -0x1.7f5f5f3df8dcfp-2, -0x1.7ed85fdd5f84ep-2, -0x1.7e4904dd2693ep-2, -0x1.7db150a9b52c8p-2, -0x1.7d1146a507a37p-2, -0x1.7c68eb20356eep-2, -0x1.7bb843554018bp-2, -0x1.7aff556120a36p-2, -0x1.7a3e283e1c9ffp-2, -0x1.7974c3be5865ap-2, -0x1.78a33086a5faap-2, -0x1.77c9780992e1ep-2, -0x1.76e7a482a95d3p-2, -0x1.75fdc0f1ea6cp-2, -0x1.750bd91775f7ep-2, -0x1.7411f96f64b37p-2, -0x1.73102f2dcbc2p-2, -0x1.7206883ae5c08p-2, -0x1.70f5132f64b62p-2, -0x1.6fdbdf50e09aap-2, -0x1.6ebafc8e65f81p-2, -0x1.6d927b7d1b6b3p-2, -0x1.6c626d5502686p-2, -0x1.6b2ae3edc998p-2, -0x1.69ebf1bbacd57p-2, -0x1.68a5a9cc6968cp-2, -0x1.67581fc435c5cp-2, -0x1.660367dac91f8p-2, -0x1.64a796d860c97p-2, -0x1.6344c212d0269p-2, -0x1.61daff6a8ca33p-2, -0x1.606a6547bb007p-2, -0x1.5ef30a9738aa9p-2, -0x1.5d7506c7a2dc5p-2, -0x1.5bf071c65252ep-2, -0x1.5a6563fc54ceep-2, -0x1.58d3f64b5b96cp-2, -0x1.573c420a9e18dp-2, -0x1.559e6103b4a38p-2, -0x1.53fa6d6f65099p-2, -0x1.525081f26215ep-2, -0x1.50a0b99a01c1ap-2, -0x1.4eeb2fd8e1d3ep-2, -0x1.4d3000837ede3p-2, -0x1.4b6f47ccc2de7p-2, -0x1.49a922427c911p-2, -0x1.47ddacc9d2ce5p-2, -0x1.460d049ba33b6p-2, -0x1.44374740d5fd5p-2, -0x1.425c928ea4aa1p-2, -0x1.407d04a2d6ac5p-2, -0x1.3e98bbdfec7f7p-2, -0x1.3cafd6e94453p-2, -0x1.3ac2749f33afcp-2, -0x1.38d0b41b13ea6p-2, -0x1.36dab4ab4a30ap-2, -0x1.34e095cf42d58p-2, -0x1.32e277336a6a4p-2, -0x1.30e078ad1cb9bp-2, -0x1.2edaba368e7cfp-2, -0x1.2cd15beab7f0ap-2, -0x1.2ac47e01354d4p-2, -0x1.28b440ca29017p-2, -0x1.26a0c4aa1d7bap-2, -0x1.248a2a15e6838p-2, -0x1.2270918e80d08p-2, -0x1.20541b9cf8aa9p-2, -0x1.1e34e8ce51dbbp-2, -0x1.1c1319af71d54p-2, -0x1.19eecec91381ep-2, -0x1.17c8289bbf0cep-2, -0x1.159f479bcae5ap-2, -0x1.13744c2d643d9p-2, -0x1.114756a0a132bp-2, -0x1.0f18872da09cdp-2, -0x1.0ce7fdf0b0731p-2, -0x1.0ab5dae6871b3p-2, -0x1.08823de883c26p-2, -0x1.064d46a902803p-2, -0x1.041714afbcca8p-2, -0x1.01dfc7563bf12p-2, -0x1.ff4efb88b51c4p-3, -0x1.fadcadd9affb4p-3, -0x1.f668e3140022ap-3, -0x1.f1f3d834c6f43p-3, -0x1.ed7dc9bb4b7d5p-3, -0x1.e906f3a2b7d11p-3, -0x1.e48f915c0a48p-3, -0x1.e017ddc8290ddp-3, -0x1.dba01332244d8p-3, -0x1.d7286b49a3777p-3, -0x1.d2b11f1d83c9dp-3, -0x1.ce3a67169a079p-3, -0x1.c9c47af2b384ep-3, -0x1.c54f91bfb43a9p-3, -0x1.c0dbe1d6f18a8p-3, -0x1.bc69a0d8b65bep-3, -0x1.b7f903a7f7982p-3, -0x1.b38a3e663e502p-3, -0x1.af1d846fbc198p-3, -0x1.aab3085793526p-3, -0x1.a64afbe450a61p-3, -0x1.a1e5900c94f4p-3, -0x1.9d82f4f3ecf2dp-3, -0x1.992359e7e03e8p-3, -0x1.94c6ed5d2a9efp-3, -0x1.906ddced2771cp-3, -0x1.8c1855536f376p-3, -0x1.87c6826b9f58ep-3, -0x1.83788f2f5b1a2p-3, -0x1.7f2ea5b46d185p-3, -0x1.7ae8ef2b23b69p-3, -0x1.76a793dcd520dp-3, -0x1.726abb2a910acp-3, -0x1.6e328b8c002d6p-3, -0x1.69ff2a8e6c39cp-3, -0x1.65d0bcd3fbb24p-3, -0x1.61a766130bab6p-3, -0x1.5d834915be537p-3, -0x1.596487b9aca9cp-3, -0x1.554b42efbe085p-3, -0x1.51379abc31d08p-3, -0x1.4d29ae36bff74p-3, -0x1.49219b8aed75cp-3, -0x1.451f7ff87ce0fp-3, -0x1.412377d403f1ep-3, -0x1.3d2d9e87a7c26p-3, -0x1.393e0e93f6104p-3, -0x1.3554e190e2919p-3, -0x1.3172302ee22ffp-3, -0x1.2d96123829747p-3, -0x1.29c09e9202b21p-3, -0x1.25f1eb3e43db5p-3, -0x1.222a0d5ce4e3bp-3, -0x1.1e69192da97a5p-3, -0x1.1aaf2211eb511p-3, -0x1.16fc3a8e7a60ap-3, -0x1.1350744d932a7p-3, -0x1.0fabe020f2014p-3, -0x1.0c0e8e03f9abfp-3, -0x1.08788d1dec80bp-3, -0x1.04e9ebc43b7e6p-3, -0x1.0162b77ceb628p-3, -0x1.fbc5fa0216af8p-4, -0x1.f4d5907e6aa11p-4, -0x1.edf448bc56d2bp-4, -0x1.e722377efa6a4p-4, -0x1.e05f700472b4ep-4, -0x1.d9ac040b6a5c2p-4, -0x1.d30803d8ade25p-4, -0x1.cc737e3cf3233p-4, -0x1.c5ee809a96468p-4, -0x1.bf7916eb847p-4, -0x1.b9134bc730fd8p-4, -0x1.b2bd28689a9a1p-4, -0x1.ac76b4b45ca22p-4, -0x1.a63ff73edaea9p-4, -0x1.a018f5526bc56p-4, -0x1.9a01b2f598e5ep-4, -0x1.93fa32f15e27p-4, -0x1.8e0276d77f8cp-4, -0x1.881a7f08d646dp-4, -0x1.82424abbacb3ap-4, -0x1.7c79d8021e32ap-4, -0x1.76c123d0756c9p-4, -0x1.71182a038fb14p-4, -0x1.6b7ee56740569p-4, -0x1.65f54fbcb0beep-4, -0x1.607b61c0c3b82p-4, -0x1.5b1113326fe16p-4, -0x1.55b65ad919897p-4, -0x1.506b2e8ae8aeep-4, -0x1.4b2f833313eabp-4, -0x1.46034cd82b5abp-4, -0x1.40e67ea252d61p-4, -0x1.3bd90ae17db67p-4, -0x1.36dae31397fbfp-4, -0x1.31ebf7eaa91b8p-4, -0x1.2d0c3952ecf34p-4, -0x1.283b9678db545p-4, -0x1.2379fdcf29eb9p-4, -0x1.1ec75d14bbb15p-4, -0x1.1a23a15a8246cp-4, -0x1.158eb70955789p-4, -0x1.110889e7b768p-4, -0x1.0c91051f871cbp-4, -0x1.08281343aa49cp-4, -0x1.03cd9e559d91bp-4, -0x1.ff031f95f3688p-5, -0x1.f687a125c9b76p-5, -0x1.ee289236e44a2p-5, -0x1.e5e5c2adda357p-5, -0x1.ddbf018229a4ap-5, -0x1.d5b41cc88544ep-5, -0x1.cdc4e1bcfedc6p-5, -0x1.c5f11cccfd197p-5, -0x1.be3899a120252p-5, -0x1.b69b2326e8a2cp-5, -0x1.af18839a3d427p-5, -0x1.a7b0848ed1b81p-5, -0x1.a062eef94fc48p-5, -0x1.992f8b386a157p-5, -0x1.9216211db4627p-5, -0x1.8b1677f662e91p-5, -0x1.84305693d0357p-5, -0x1.7d638353e0c9cp-5, -0x1.76afc4293745dp-5, -0x1.7014dea3466dep-5, -0x1.699297f62ec4bp-5, -0x1.6328b502767fdp-5, -0x1.5cd6fa5c979d2p-5, -0x1.569d2c5460efcp-5, -0x1.507b0efc2fc44p-5, -0x1.4a70662ffd3p-5, -0x1.447cf59c4019ep-5, -0x1.3ea080c4acc7bp-5, -0x1.38dacb0abe96ap-5, -0x1.332b97b423718p-5, -0x1.2d92a9f0f8d59p-5, -0x1.280fc4e1e1154p-5, -0x1.22a2ab9defca2p-5, -0x1.1d4b21386d1d4p-5, -0x1.1808e8c675df7p-5, -0x1.12dbc5646b6e3p-5, -0x1.0dc37a3b4718bp-5, -0x1.08bfca85bb349p-5, -0x1.03d0799539ceep-5, -0x1.fdea95ad99247p-6, -0x1.f45c03af92f9ap-6, -0x1.eaf4c494cba0dp-6, -0x1.e1b4601438a54p-6, -0x1.d89a5e3ff95d4p-6, -0x1.cfa6478d910dap-6, -0x1.c6d7a4ddecf98p-6, -0x1.be2dff852143dp-6, -0x1.b5a8e151debe3p-6, -0x1.ad47d494a692p-6, -0x1.a50a6426bb103p-6, -0x1.9cf01b70d5646p-6, -0x1.94f8867188f3dp-6, -0x1.8d2331c382244p-6, -0x1.856faaa36de17p-6, -0x1.7ddd7ef5b79ddp-6, -0x1.766c3d4bf7cefp-6, -0x1.6f1b74ea3e86ep-6, -0x1.67eab5cc0c6c8p-6, -0x1.60d990a9217b3p-6, -0x1.59e796fa17b07p-6, -0x1.53145afcb104fp-6, -0x1.4c5f6fb811b21p-6, -0x1.45c86900a1195p-6, -0x1.3f4edb7bd0a1ep-6, -0x1.38f25ca3adcfcp-6, -0x1.32b282ca366e3p-6, -0x1.2c8ee51c8118fp-6, -0x1.26871ba5c61b7p-6, -0x1.209abf522088ep-6, -0x1.1ac969f13a386p-6, -0x1.1512b638b4e71p-6, -0x1.0f763fc67fa65p-6, -0x1.09f3a322f1e25p-6, -0x1.048a7dc2c284ap-6, -0x1.fe74dc11adf69p-7, -0x1.f406268fdb4f7p-7, -0x1.e9c81b8846055p-7, -0x1.dfb9fd688f34p-7, -0x1.d5db1086434d1p-7, -0x1.cc2a9b20fef87p-7, -0x1.c2a7e56457703p-7, -0x1.b95239698a90fp-7, -0x1.b028e338deb1fp-7, -0x1.a72b30cad573ap-7, -0x1.9e587209047c6p-7, -0x1.95aff8ceda805p-7, -0x1.8d3118ea0a379p-7, -0x1.84db281adbfeep-7, -0x1.7cad7e141fc4ap-7, -0x1.74a7747b1c259p-7, -0x1.6cc866e726475p-7, -0x1.650fb2e11c252p-7, -0x1.5d7cb7e2a690dp-7, -0x1.560ed75553cc3p-7, -0x1.4ec5749183b05p-7, -0x1.479ff4dd251b8p-7, -0x1.409dbf6a56619p-7, -0x1.39be3d55cac3ap-7, -0x1.3300d9a529db1p-7, -0x1.2c6501451ecbap-7, -0x1.25ea2307702fdp-7, -0x1.1f8fafa0d3e6fp-7, -0x1.195519a6bc69fp-7, -0x1.1339d58cf4722p-7, -0x1.0d3d59a323f78p-7, -0x1.075f1e123cb15p-7, -0x1.019e9cd9c38c7p-7, -0x1.f7f6a39a02b7bp-8, -0x1.ece975204a5d5p-8, -0x1.e214ad2a7f543p-8, -0x1.d7774e32543ep-8, -0x1.cd105e40dd804p-8, -0x1.c2dee6e7ddaccp-8, -0x1.b8e1f53b5ad1bp-8, -0x1.af1899caa9dd7p-8, -0x1.a581e89996ffdp-8, -0x1.9c1cf91959693p-8, -0x1.92e8e6215bf86p-8, -0x1.89e4cde805e89p-8, -0x1.810fd1fb4d2c7p-8, -0x1.786917392c5bp-8, -0x1.6fefc5c82d711p-8, -0x1.67a3090fa3822p-8, -0x1.5f820faff4bc1p-8, -0x1.578c0b7ac0f45p-8, -0x1.4fc0316b0b4d5p-8, -0x1.481db99d39131p-8, -0x1.40a3df4713b0ap-8, -0x1.3951e0afbed2ep-8, -0x1.3226ff278b5c7p-8, -0x1.2b227effecf86p-8, -0x1.2443a78335692p-8, -0x1.1d89c2ec5ec27p-8, -0x1.16f41e5ed94bfp-8, -0x1.108209de4d01bp-8, -0x1.0a32d8462af2p-8, -0x1.0405df41afc32p-8, -0x1.fbf4ee86711a9p-9, -0x1.f01ff6f88a2fdp-9, -0x1.e48b93aa045d3p-9, -0x1.d93685c7f2cb4p-9, -0x1.ce1f93cbb4f76p-9, -0x1.c345896a44394p-9, -0x1.b8a73783cdd7fp-9, -0x1.ae437412f93d9p-9, -0x1.a4191a1c9da25p-9, -0x1.9a27099f459c8p-9, -0x1.906c2782dd7a1p-9, -0x1.86e75d8836d0ep-9, -0x1.7d979a3902475p-9, -0x1.747bd0d767f91p-9, -0x1.6b92f94e20c62p-9, -0x1.62dc10203ce1p-9, -0x1.5a561659446f3p-9, -0x1.5200117d5288cp-9, -0x1.49d90b7964022p-9, -0x1.41e01293726bdp-9, -0x1.3a14395afd681p-9, -0x1.32749699a3c46p-9, -0x1.2b004543937a1p-9, -0x1.23b664684e20ap-9, -0x1.1c96172378a1fp-9, -0x1.159e848df2fd6p-9, -0x1.0eced7ae99e98p-9, -0x1.08263f6bcf2e2p-9, -0x1.01a3ee7c660e9p-9, -0x1.f68e36b2a2b71p-10, -0x1.ea1e005e33939p-10, -0x1.ddf5b59eeafe6p-10, -0x1.d213d94660413p-10, -0x1.c676f5380638ep-10, -0x1.bb1d9a4d5a03fp-10, -0x1.b006603a3a3a2p-10, -0x1.a52fe5717c1p-10, -0x1.9a98cf09fd746p-10, -0x1.903fc8a3d5942p-10, -0x1.8623844d7b3b5p-10, -0x1.7c42ba69ee2c5p-10, -0x1.729c299685434p-10, -0x1.692e969132d23p-10, -0x1.5ff8cc1f31b2ap-10, -0x1.56f99af3d65e8p-10, -0x1.4e2fd997d7615p-10, -0x1.459a64507e248p-10, -0x1.3d381d078f41bp-10, -0x1.3507eb3324317p-10, -0x1.2d08bbbe337e4p-10, -0x1.253980f0d0e83p-10, -0x1.1d9932597aa03p-10, -0x1.1626ccb5c582p-10, -0x1.0ee151dc1424fp-10, -0x1.07c7c8a525643p-10, -0x1.00d93cd645b57p-10, -0x1.f4297e170545bp-11, -0x1.e6f2c9442e7bbp-11, -0x1.da0c8f46f88c9p-11, -0x1.cd750d60d35d8p-11, -0x1.c12a89d8957dap-11, -0x1.b52b53d1b1335p-11, -0x1.a975c32493ad9p-11, -0x1.9e08383683674p-11, -0x1.92e11bd325345p-11, -0x1.87fedf05d9739p-11, -0x1.7d5ffaf3eb1e9p-11, -0x1.7302f0b6f75eep-11, -0x1.68e64938b517bp-11, -0x1.5f08950e0a8bcp-11, -0x1.55686c53cdf37p-11, -0x1.4c046e8b348f8p-11, -0x1.42db427739e1dp-11, -0x1.39eb95fac1924p-11, -0x1.31341df63d7aap-11, -0x1.28b396273f0a4p-11, -0x1.2068c1074c699p-11, -0x1.185267ac23c1bp-11, -0x1.106f59a783cbap-11, -0x1.08be6ce8ca525p-11, -0x1.013e7d9d4ca56p-11, -0x1.f3dcdc26265e5p-12, -0x1.e59a4d3501f1ep-12, -0x1.d7b32ad2e6045p-12, -0x1.ca255cfc64a9fp-12, -0x1.bceed70674727p-12, -0x1.b00d9766dd8a4p-12, -0x1.a37fa77d4a564p-12, -0x1.97431b5d511c5p-12, -0x1.8b561199b3854p-12, -0x1.7fb6b30f98b67p-12, -0x1.746332b4093cp-12, -0x1.6959cd60a9be5p-12, -0x1.5e98c9a334474p-12, -0x1.541e778b9c9b6p-12, -0x1.49e9307caf21fp-12, -0x1.3ff756fd23fdap-12, -0x1.36475688ee0c1p-12, -0x1.2cd7a363cccd2p-12, -0x1.23a6ba6cd0956p-12, -0x1.1ab320f23285ap-12, -0x1.11fb64863c12ap-12, -0x1.097e1ad4c906cp-12, -0x1.0139e17964e3p-12, -0x1.f25abbae17f96p-13, -0x1.e2ae79de4bfddp-13, -0x1.d36c6674faa8bp-13, -0x1.c491f904865a8p-13, -0x1.b61cb774a68d9p-13, -0x1.a80a35b61003dp-13, -0x1.9a58157a5d06bp-13, -0x1.8d0405ec0d11bp-13, -0x1.800bc365f45ffp-13, -0x1.736d172fccb97p-13, -0x1.6725d7389d35cp-13, -0x1.5b33e5d488168p-13, -0x1.4f953179d614cp-13, -0x1.4447b48251f5ap-13, -0x1.394974ea2cb7fp-13, -0x1.2e988412b4d72p-13, -0x1.2432fe85a5c62p-13, -0x1.1a170bb8639a6p-13, -0x1.1042ddd1e25b9p-13, -0x1.06b4b17155499p-13, -0x1.fad59ae9ba76dp-14, -0x1.e8c705856ecfep-14, -0x1.d73a5826b959p-14, -0x1.c62c5b7533a19p-14, -0x1.b599eaea142ddp-14, -0x1.a57ff467e185fp-14, -0x1.95db77d516fdep-14, -0x1.86a986bc002d1p-14, -0x1.77e743e7d7a3ap-14, -0x1.6991e306c71ap-14, -0x1.5ba6a84d3965fp-14, -0x1.4e22e81a40f48p-14, -0x1.4104069f3c02ap-14, -0x1.344777866c0f1p-14, -0x1.27eabd9f23a4bp-14, -0x1.1beb6a88a6b1bp-14, -0x1.10471e5fc7a23p-14, -0x1.04fb876f6aabdp-14, -0x1.f40cc3bcf0f2bp-15, -0x1.decaeecad9d4cp-15, -0x1.ca2d3e01904aap-15, -0x1.b62f794c48ec8p-15, -0x1.a2cd81faa1f74p-15, -0x1.9003522cc4ecp-15, -0x1.7dccfc4b23d79p-15, -0x1.6c26aa79cf429p-15, -0x1.5b0c9e168ba64p-15, -0x1.4a7b2f308b765p-15, -0x1.3a6ecc0b68398p-15, -0x1.2ae3f89e0728fp-15, -0x1.1bd74e19876adp-15, -0x1.0d457a6caa22dp-15, -0x1.fe567fa238e96p-16, -0x1.e30ae8aad800fp-16, -0x1.c8a202d4ba496p-16, -0x1.af15c6ef849d3p-16, -0x1.966052d252858p-16, -0x1.7e7be890f7243p-16, -0x1.6762eda5f1b9ap-16, -0x1.510fea2857e52p-16, -0x1.3b7d88019e06ep-16, -0x1.26a6922d22973p-16, -0x1.1285f3f202002p-16, -0x1.fe2d705c5b853p-17, -0x1.d8a81136ee2c2p-17, -0x1.b4725a3608e53p-17, -0x1.918316115a14ep-17, -0x1.6fd14912eb555p-17, -0x1.4f542fd353b49p-17, -0x1.30033de6b8468p-17, -0x1.11d61c9c78021p-17, -0x1.e989538110cbdp-18, -0x1.b18decda8ea2ap-18, -0x1.7baa8bb6ccab6p-18, -0x1.47d01869e4878p-18, -0x1.15efdaf72712ep-18, -0x1.cbf6f1a347015p-19, -0x1.6fc9e55d4d416p-19, -0x1.173d44f6d3d69p-19, -0x1.846ce4d152316p-20, -0x1.c26de75eba6c8p-21, -0x1.12986da507bbep-22, 0x1.45dbeb02ae06dp-22, 0x1.c2a0d07b7083ap-21, 0x1.6b1510ecb8d08p-20, 0x1.eef2aa16a6702p-20, 0x1.368ae0e77f961p-19, 0x1.72d4e2ccee8eep-19, 0x1.ac6c84a499f3dp-19, 0x1.e36666d6b71f3p-19, 0x1.0beb51bf1e54p-18, 0x1.24e868c58d47dp-18, 0x1.3cb403f5a2d8p-18, 0x1.5357703f38932p-18, 0x1.68dbbd908c7efp-18, 0x1.7d49c0371e833p-18, 0x1.90aa125c493b7p-18, 0x1.a305155b9464dp-18, 0x1.b462f31707f96p-18, 0x1.c4cb9f5c44c6bp-18, 0x1.d446d9153fff6p-18, 0x1.e2dc2b9ebc91dp-18, 0x1.f092effcd3cafp-18, 0x1.fd724e063c6dap-18, 0x1.04c09ed34b9e9p-17, 0x1.0a6343f516f32p-17, 0x1.0fa4641ad4a79p-17, 0x1.148736a58f7c5p-17, 0x1.190edd3522185p-17, 0x1.1d3e642a8fc0ep-17, 0x1.2118c32f0229fp-17, 0x1.24a0ddadec427p-17, 0x1.27d983578d019p-17, 0x1.2ac570993c623p-17, 0x1.2d674f1507af4p-17, 0x1.2fc1b613004ccp-17, 0x1.31d72afb289dep-17, 0x1.33aa21ba4dd2dp-17, 0x1.353cfd3913156p-17, 0x1.36920fbf985f8p-17, 0x1.37ab9b5f4e687p-17, 0x1.388bd2582ed78p-17, 0x1.3934d77e889dbp-17, 0x1.39a8be93a0287p-17, 0x1.39e98caf550bap-17, 0x1.39f93892d51aep-17, 0x1.39d9ab095f81ap-17, 0x1.398cbf3b18248p-17, 0x1.39144308e535cp-17, 0x1.3871f7596b64bp-17, 0x1.37a79071dde8fp-17, 0x1.36b6b6409cb08p-17, 0x1.35a104b00b368p-17, 0x1.34680beed775dp-17, 0x1.330d50bbd1afap-17, 0x1.31924cb264297p-17, 0x1.2ff86e8c1c338p-17, 0x1.2e411a68ac5dcp-17, 0x1.2c6daa13b8031p-17, 0x1.2a7f6d4288795p-17, 0x1.2877a9d96405ep-17, 0x1.26579c2684c75p-17, 0x1.24207724f2ad2p-17, 0x1.21d364b0a5d49p-17, 0x1.1f7185c9d88c8p-17, 0x1.1cfbf2c961784p-17, 0x1.1a73bb99f9d7p-17, 0x1.17d9e7ee1e7dfp-17, 0x1.152f7777a75cep-17, 0x1.1275621940c4ep-17, 0x1.0fac981ad7b36p-17, 0x1.0cd6025ad4438p-17, 0x1.09f2827d7cdcbp-17, 0x1.0702f31e45897p-17, 0x1.040827fd0f5e4p-17, 0x1.0102ee2acaefbp-17, 0x1.fbe8186b6e1b9p-18, 0x1.f5b884a98ca34p-18, 0x1.ef789522130c5p-18, 0x1.e929b1dde6067p-18, 0x1.e2cd372bb7fdcp-18, 0x1.dc6475ebd1075p-18, 0x1.d5f0b3e3ec953p-18, 0x1.cf732bfefbf2fp-18, 0x1.c8ed0e9d6832ap-18, 0x1.c25f81d80bd9p-18, 0x1.bbcba1c7f8af9p-18, 0x1.b53280c5d03p-18, 0x1.ae9527af13d73p-18, 0x1.a7f49624c0c5ep-18, 0x1.a151c2c898ff6p-18, 0x1.9aad9b7cacd3ap-18, 0x1.9409059eeedf9p-18, 0x1.8d64de3f95dd3p-18, 0x1.86c1fa5e846fdp-18, 0x1.8021271f316d3p-18, 0x1.79832a017a8fep-18, 0x1.72e8c113a5a4dp-18, 0x1.6c52a327d7298p-18, 0x1.65c180048b31p-18, 0x1.5f3600968fa62p-18, 0x1.58b0c72112415p-18, 0x1.52326f6aa693ep-18, 0x1.4bbb8eed7a9dap-18, 0x1.454cb4ff2d8b3p-18, 0x1.3ee66b00fdaa2p-18, 0x1.38893486fdbecp-18, 0x1.32358f82a7df1p-18, 0x1.2bebf4689aee2p-18, 0x1.25acd65a7c7dep-18, 0x1.1f78a34cfc9e9p-18, 0x1.194fc42a67682p-18, 0x1.13329cf9b31d2p-18, 0x1.0d218d0146bcdp-18, 0x1.071ceee9bbaf4p-18, 0x1.012518ddee927p-18, 0x1.f674b95c0789p-19, 0x1.eaba0fdcda018p-19, 0x1.df1ac82e7da5bp-19, 0x1.d3976d455d776p-19, 0x1.c8308254e10eep-19, 0x1.bce6830c21695p-19, 0x1.b1b9e3cb22b61p-19, 0x1.a6ab11dd23ca5p-19, 0x1.9bba73ac421aap-19, 0x1.90e868f52eff4p-19, 0x1.86354afd6d7ep-19, 0x1.7ba16cc30b389p-19, 0x1.712d1b2e202f6p-19, 0x1.66d89d3e950dp-19, 0x1.5ca4343be82fap-19, 0x1.52901be23c10bp-19, 0x1.489c8a8e326aep-19, 0x1.3ec9b1653891cp-19, 0x1.3517bc83b8622p-19, 0x1.2b86d32212e59p-19, 0x1.221717bed989ap-19, 0x1.18c8a8439e1abp-19, 0x1.0f9b9e2c017a5p-19, 0x1.06900ea8f4b1p-19, 0x1.fb4c158d3c606p-20, 0x1.e9bb3f17e321bp-20, 0x1.d86dac42026adp-20, 0x1.c76367d6c938fp-20, 0x1.b69c756691d83p-20, 0x1.a618d17e9411ap-20, 0x1.95d871e649cb9p-20, 0x1.85db45e2b1eb8p-20, 0x1.76213667afd0ap-20, 0x1.66aa2654960d3p-20, 0x1.5775f2ab0c833p-20, 0x1.488472c65633p-20, 0x1.39d5788ca406fp-20, 0x1.2b68d0a585574p-20, 0x1.1d3e42a685e86p-20, 0x1.0f55914a2305p-20, 0x1.01ae7a9c297f4p-20, 0x1.e8917047473e3p-21, 0x1.ce47fe2e79e8bp-21, 0x1.b4800103c22d6p-21, 0x1.9b38d2e3cbb26p-21, 0x1.8271c639bef21p-21, 0x1.6a2a2619878acp-21, 0x1.5261368a52421p-21, 0x1.3b1634d325e8ap-21, 0x1.244857c6c8277p-21, 0x1.0df6d00aac798p-21, 0x1.f04190abaafb7p-22, 0x1.c58acb84352ccp-22, 0x1.9bc7900f7846dp-22, 0x1.72f61372d5241p-22, 0x1.4b1481175b676p-22, 0x1.2420fb1cd253fp-22, 0x1.fc3335a15b381p-23, 0x1.b1f8e2464e5dap-23, 0x1.698f0e1d4e706p-23, 0x1.22f1bc1b4a50cp-23, 0x1.bc39c21607abap-24, 0x1.3618c8a9db712p-24, 0x1.66f083537dd2ap-25, 0x1.a27e58762590bp-27, -0x1.1da44d4021a8fp-26, -0x1.7f75ccada34dep-25, -0x1.34ae4e346af32p-24, -0x1.a64bfd1fe2bedp-24, -0x1.0a4e5af34f4cdp-23, -0x1.3fd4a55eaa176p-23, -0x1.73bd4e0092e11p-23, -0x1.a60ccb73ddcaap-23, -0x1.d6c79a3bafd7bp-23, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      18, 0x1.ap+2, 0x1.aaa7f6a517467p+1, 0x1.b3629315d67b3p+3, -0x1.9fbfbe2b2be2dp-10, 
      {{
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.37c0016478f0ap-8, -0x1.5a65c199bb678p-6, 0x1.20a84d242420cp-5, -0x1.a245a40e848e5p-6}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.f011aecb58ddp-9, -0x1.23cd940aeec53p-6, 0x1.01497a6fda2f3p-5, -0x1.8754cea69e8ffp-6}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.853f7d6358744p-9, -0x1.e68fad6910539p-7, 0x1.c7dfd5e04fc9p-6, -0x1.706d241eab077p-6}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.2caf505afaf78p-9, -0x1.90e9aadb61a7ep-7, 0x1.909c43a882ee7p-6, -0x1.5870a37b3f5a9p-6}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.c8570ee018147p-10, -0x1.45f5106ae34dp-7, 0x1.5cf1c4bc6ca11p-6, -0x1.40be5065bfabbp-6}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.534600a831402p-10, -0x1.04fac3e0544a7p-7, 0x1.2cd538ad297abp-6, -0x1.28f81d340746p-6}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.eca45ab1bbf29p-11, -0x1.9a88f713fe9a1p-8, 0x1.00499ab22862cp-6, -0x1.11373ce5493f3p-6}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.5bd690487ad6bp-11, -0x1.3c376baaa6681p-8, 0x1.ae9c3cb92132dp-7, -0x1.f2e9e24da8fe6p-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.db28008fc57abp-12, -0x1.db2800b689b9bp-9, 0x1.63c5f460ae406p-7, -0x1.c36600889202ep-7}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.37c0016478ee7p-12, -0x1.5a638f9e33ed4p-9, 0x1.20104118fecp-7, -0x1.93e21ec386e54p-7}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.853f7d635873ep-13, -0x1.e68f5da4c7fd8p-10, 0x1.c6f645c421d55p-8, -0x1.645d874693f53p-7}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.c8570ee01809dp-14, -0x1.45f5074b33f76p-10, 0x1.5c0d69fbc23d5p-8, -0x1.34dbc6a91e5fcp-7}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.eca45ab1bbeap-15, -0x1.9a890f147e44bp-11, 0x1.feca29920bdb9p-9, -0x1.054f6045aa448p-7}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.db28008fc56c1p-16, -0x1.db2747358251cp-12, 0x1.6200efcea5b3p-9, -0x1.abd57435569bcp-8}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.853f7d6358303p-17, -0x1.e694c4376c78cp-13, 0x1.c34e99e3b1099p-10, -0x1.4be371a7a9c5cp-8}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.eca45ab1babffp-19, -0x1.9a609fcde6384p-14, 0x1.f85911cafcc0fp-11, -0x1.e0898f0fb2e5bp-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.853f7d6355p-21, -0x1.e8e987f04ef74p-16, 0x1.b00d118322cbcp-12, -0x1.0902e3d086a19p-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.853f7d633p-25, -0x1.a054c454207c8p-19, 0x1.c82666f06b603p-14, -0x1.62a9556d31499p-9}, 
      }}, 
      0x1.4db9e3681272ep-5, -0x1.012f9520b2705p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.52a98aa476147p-6, -0x1.516bf81e490fbp-5, -0x1.f710b99f47629p-5, -0x1.4c92c9c4313fp-4, -0x1.9b5726dd40877p-4, -0x1.e7695acac2a21p-4, -0x1.183748c2f1723p-3, -0x1.3b0ddceecfdb1p-3, -0x1.5c19fec9898ep-3, -0x1.7b43b63eb7cc5p-3, -0x1.9878efe0a85f8p-3, -0x1.b3ad00b8cdfe1p-3, -0x1.ccd82ecc20c0ep-3, -0x1.e3f736903bbd1p-3, -0x1.f90acc2431308p-3, -0x1.060b8da476474p-2, -0x1.0e91a55baa296p-2, -0x1.161c83a58edb9p-2, -0x1.1cb20d26b2432p-2, -0x1.22590651bc1cap-2, -0x1.2718eb95966d2p-2, -0x1.2af9cfb728dbfp-2, -0x1.2e043f83c08a7p-2, -0x1.304129dcc373p-2, -0x1.31b9cb19bc6fcp-2, -0x1.32779add513f9p-2, -0x1.32843baab23acp-2, -0x1.31e96bc277143p-2, -0x1.30b0f6faf5c48p-2, -0x1.2ee4a96a25c06p-2, -0x1.2c8e42ce4c5e8p-2, -0x1.29b76ab2810a6p-2, -0x1.2669a556eb176p-2, -0x1.22ae496b00daep-2, -0x1.1e8e76aae3a26p-2, -0x1.1a130d70b846cp-2, -0x1.1544a747439ddp-2, -0x1.102b90876da6fp-2, -0x1.0acfc308596p-2, -0x1.0538e1d90cba5p-2, -0x1.fedc6bf230a56p-3, -0x1.f2ed585d1beccp-3, -0x1.e6b1a73aa2d19p-3, -0x1.da35ba55de0d3p-3, -0x1.cd85389ea03dbp-3, -0x1.c0ab0e616ebc4p-3, -0x1.b3b1725065228p-3, -0x1.a6a1e92f54f41p-3, -0x1.998548c9fd00ap-3, -0x1.8c63c430b957p-3, -0x1.7f44e6aae0208p-3, -0x1.722fabb832c3p-3, -0x1.652a6f5522bebp-3, -0x1.583b120072776p-3, -0x1.4b66ddafea998p-3, -0x1.3eb2b5ab048abp-3, -0x1.3222ef61c1136p-3, -0x1.25bb8e4e6474cp-3, -0x1.198010af70103p-3, -0x1.0d73b4e8058bap-3, -0x1.01993fe1fa29bp-3, -0x1.ebe682295035p-4, -0x1.d507c3c5392b2p-4, -0x1.be9a2c594d0d1p-4, -0x1.a8a10a6f382c1p-4, -0x1.931f383b64a83p-4, -0x1.7e1720c2a2673p-4, -0x1.698abcde4a7f2p-4, -0x1.557ba99811f3dp-4, -0x1.41eb217bc74dcp-4, -0x1.2eda0a0320fafp-4, -0x1.1c48f514e5b4fp-4, -0x1.0a382631586b6p-4, -0x1.f14f2ce084ad1p-5, -0x1.cf2defd85b98ep-5, -0x1.ae0b72b60fc77p-5, -0x1.8de6130624eeep-5, -0x1.6ebbb59add8a2p-5, -0x1.5089cdd5b9d48p-5, -0x1.334d65193a621p-5, -0x1.1703225453bcp-5, -0x1.f74ea36a51409p-6, -0x1.c26bd90774386p-6, -0x1.8f55425d3c1fcp-6, -0x1.5e01b6e97aabbp-6, -0x1.2e6799187f2a6p-6, -0x1.007ce632b646cp-6, -0x1.a86e8b13995bep-7, -0x1.53182d68ee432p-7, -0x1.00e0fd763ab6cp-7, -0x1.6365d07efeba3p-8, -0x1.95de5307fc9e1p-9, -0x1.c18789b8cff55p-11, 0x1.54089d478597fp-10, 0x1.b9af07a9ab553p-9, 0x1.5f7c79317de24p-8, 0x1.dd1e2c8922195p-8, 0x1.2af4ba7b3880ap-7, 0x1.650560477b343p-7, 0x1.9cd6fe0d48196p-7, 0x1.d27f3f0f8b7c8p-7, 0x1.0309bd0efbe79p-6, 0x1.1bd454b468019p-6, 0x1.33a9b1b23801bp-6, 0x1.4a93ea0e10bdcp-6, 0x1.609cdbc09d3b1p-6, 0x1.75ce29f9e2149p-6, 0x1.8a313ab9f84dep-6, 0x1.9dcf34b42cbf9p-6, 0x1.b0b0fd615af91p-6, 0x1.c2df3779907d3p-6, 0x1.d46241b13b002p-6, 0x1.e54235c751fbep-6, 0x1.f586e7e76f5cbp-6, 0x1.029bf3325cdd6p-5, 0x1.0a2e3cd0b28b3p-5, 0x1.117dd2206d841p-5, 0x1.188e11d787b26p-5, 0x1.1f62384a1aa15p-5, 0x1.25fd5fcb2960dp-5, 0x1.2c6281386fd2dp-5, 0x1.32947453b774dp-5, 0x1.3895f0558f0afp-5, 0x1.3e698cae428ap-5, 0x1.4411c16b4002ap-5, 0x1.4990e7f022d03p-5, 0x1.4ee93be3607e2p-5, 0x1.541cdba25bbe4p-5, 0x1.592dc90d17849p-5, 0x1.5e1dea9ac66e1p-5, 0x1.62ef0beb98cc3p-5, 0x1.67a2de89807c4p-5, 0x1.6c3afb17ef6bap-5, 0x1.70b8e21859819p-5, 0x1.751dfc8a0d73fp-5, 0x1.796b9d0fe2beap-5, 0x1.7da300f6ed667p-5, 0x1.81c550c133188p-5, 0x1.85d3a10bd8e5ap-5, 0x1.89cef3c58bdddp-5, 0x1.8db838d6d62dep-5, 0x1.91904eb1b32e3p-5, 0x1.95580370c8bdep-5, 0x1.991015c4b9864p-5, 0x1.9cb935612f344p-5, 0x1.a05403bc99f2ap-5, 0x1.a3e115173de4ep-5, 0x1.a760f117d1817p-5, 0x1.aad413401a73cp-5, 0x1.ae3aebb1fb8e5p-5, 0x1.b195dff480fa9p-5, 0x1.b4e54b7602e54p-5, 0x1.b829800be0714p-5, 0x1.bb62c68e9eb39p-5, 0x1.be915f6e2473cp-5, 0x1.c1b583324cccfp-5, 0x1.c4cf62f1ccd3dp-5, 0x1.c7df28c29b206p-5, 0x1.cae4f82b6b8a8p-5, 0x1.cde0ee9a7c2fp-5, 0x1.d0d323d41fdfap-5, 0x1.d3bbaa4adc993p-5, 0x1.d69a8f697717dp-5, 0x1.d96fdbec0412dp-5, 0x1.dc3b9450d35d2p-5, 0x1.defdb9351a9bbp-5, 0x1.e1b647788d51ap-5, 0x1.e465385e4c75ap-5, 0x1.e70a81f68656dp-5, 0x1.e9a6179e17dfdp-5, 0x1.ec37ea1f38448p-5, 0x1.eebfe78cd3183p-5, 0x1.f13dfb7328e2ap-5, 0x1.f3b20f75a3cdap-5, 0x1.f61c0baef142cp-5, 0x1.f87bd677595f6p-5, 0x1.fad1542908667p-5, 0x1.fd1c678784d82p-5, 0x1.ff5cf2711b4d8p-5, 0x1.00c96b0250b02p-4, 0x1.01def91886b67p-4, 0x1.02ef12c0ab463p-4, 0x1.03f9a6d00a805p-4, 0x1.04fea4024c2ccp-4, 0x1.05fdf8ffbea4bp-4, 0x1.06f7941cf9476p-4, 0x1.07eb633a9e0bep-4, 0x1.08d953ff8739cp-4, 0x1.09c154306bc7bp-4, 0x1.0aa351c33de44p-4, 0x1.0b7f3aa3da70dp-4, 0x1.0c54fc7efc30ap-4, 0x1.0d2484df36692p-4, 0x1.0dedc18491289p-4, 0x1.0eb0a0990e47ap-4, 0x1.0f6d108e9d029p-4, 0x1.1022ffd646a77p-4, 0x1.10d25ccbea1fep-4, 0x1.117b15f75affcp-4, 0x1.121d1a628ac7ep-4, 0x1.12b859ac2da81p-4, 0x1.134cc3c9603a8p-4, 0x1.13da48bff2b45p-4, 0x1.1460d8ab70fecp-4, 0x1.14e0640f6ef1ap-4, 0x1.1558dc258e23ep-4, 0x1.15ca32db0f824p-4, 0x1.16345a86e981fp-4, 0x1.169745a9332a3p-4, 0x1.16f2e6faaa27ep-4, 0x1.174731c1a77e5p-4, 0x1.17941a1b09e4dp-4, 0x1.17d994f452d49p-4, 0x1.181797c3b5189p-4, 0x1.184e1847ecbdbp-4, 0x1.187d0c8feb972p-4, 0x1.18a46b4563d74p-4, 0x1.18c42bf5fc23p-4, 0x1.18dc471bab7bdp-4, 0x1.18ecb5e3d8054p-4, 0x1.18f571ed6da63p-4, 0x1.18f6753a07e1ep-4, 0x1.18efba5f6d72ep-4, 0x1.18e13cce199dfp-4, 0x1.18caf8f1d5c05p-4, 0x1.18acec16694c9p-4, 0x1.1887142d4e569p-4, 0x1.18596fa6ace8fp-4, 0x1.1823fd7ca56a6p-4, 0x1.17e6bd6633471p-4, 0x1.17a1b00844f97p-4, 0x1.1754d70063e22p-4, 0x1.170034c59cb26p-4, 0x1.16a3cc7b7a40fp-4, 0x1.163fa1d97cf3fp-4, 0x1.15d3b9374086p-4, 0x1.156017b2118b2p-4, 0x1.14e4c34f48a75p-4, 0x1.1461c303b872bp-4, 0x1.13d71e9df8746p-4, 0x1.1344dea54559bp-4, 0x1.12ab0c43934bp-4, 0x1.1209b14767db3p-4, 0x1.1160d83992eb3p-4, 0x1.10b08c7645657p-4, 0x1.0ff8da387df0fp-4, 0x1.0f39ce914addcp-4, 0x1.0e737751ae358p-4, 0x1.0da5e2f4d8e14p-4, 0x1.0cd120964c6cdp-4, 0x1.0bf53ff74c265p-4, 0x1.0b12518da6f54p-4, 0x1.0a286690df8d9p-4, 0x1.093790fd04938p-4, 0x1.083fe38937b3ap-4, 0x1.07417196d97c2p-4, 0x1.063c4f21757edp-4, 0x1.053090b65e7cap-4, 0x1.041e4b76067fcp-4, 0x1.0305951b82bddp-4, 0x1.01e68403a3a1ep-4, 0x1.00c12f2e3a418p-4, 0x1.ff2b5c6f3cf2ap-5, 0x1.fcc832988754ep-5, 0x1.fa591235fb9edp-5, 0x1.f7de2d960a541p-5, 0x1.f557b7f0e85d4p-5, 0x1.f2c5e56c1acap-5, 0x1.f028eb20f2761p-5, 0x1.ed80ff1e5fa38p-5, 0x1.eace5861b52b5p-5, 0x1.e8112ec5ec16ap-5, 0x1.e549baed244a9p-5, 0x1.e278362b4b57fp-5, 0x1.df9cda782c6eep-5, 0x1.dcb7e26a67919p-5, 0x1.d9c989377bc7ep-5, 0x1.d6d20ab324927p-5, 0x1.d3d1a34a14987p-5, 0x1.d0c88ff66f17ep-5, 0x1.cdb70e2ead33ap-5, 0x1.ca9d5bd268954p-5, 0x1.c77bb71a2d859p-5, 0x1.c4525e8e48bcep-5, 0x1.c121910424e7p-5, 0x1.bde98d9dda0c3p-5, 0x1.baaa93c658466p-5, 0x1.b764e3275192ep-5, 0x1.b418bb98cad37p-5, 0x1.b0c65d0caeb47p-5, 0x1.ad6e077ac316fp-5, 0x1.aa0ffad277395p-5, 0x1.a6ac76f65a476p-5, 0x1.a343bbc0e5879p-5, 0x1.9fd6090d043f8p-5, 0x1.9c639eba47fe8p-5, 0x1.98ecbca631277p-5, 0x1.9571a2986680dp-5, 0x1.91f290247f54p-5, 0x1.8e6fc488124b7p-5, 0x1.8ae97e8e8798cp-5, 0x1.875ffc83da3c8p-5, 0x1.83d37c3b735fdp-5, 0x1.80443b28f80d7p-5, 0x1.7cb2768113d56p-5, 0x1.791e6b53aa3cfp-5, 0x1.75885691b0314p-5, 0x1.71f074f6cf87cp-5, 0x1.6e5702d801bbp-5, 0x1.6abc3be1c9612p-5, 0x1.67205ad837245p-5, 0x1.6383996da4995p-5, 0x1.5fe63040c3717p-5, 0x1.5c4857077d3edp-5, 0x1.58aa44dd04e13p-5, 0x1.550c309b8507fp-5, 0x1.516e51226109fp-5, 0x1.4dd0dd6c423abp-5, 0x1.4a340c643ed5dp-5, 0x1.4698147c74826p-5, 0x1.42fd2b1d6a9fap-5, 0x1.3f63841662103p-5, 0x1.3bcb513cc6ccbp-5, 0x1.3834c260e7405p-5, 0x1.34a005a7c7083p-5, 0x1.310d483b73cbcp-5, 0x1.2d7cb724f680bp-5, 0x1.29ee800f7c2c2p-5, 0x1.2662d1b29df56p-5, 0x1.22d9dbb49d9f1p-5, 0x1.1f53cdf975df1p-5, 0x1.1bd0d77fd6fa7p-5, 0x1.1851251505465p-5, 0x1.14d4e03f1dfbcp-5, 0x1.115c2eb939385p-5, 0x1.0de732bc85439p-5, 0x1.0a760c1b48cf6p-5, 0x1.0708d9f45ca6fp-5, 0x1.039fbc918689bp-5, 0x1.003ad6e91e67ap-5, 0x1.f9b49e8d2e7p-6, 0x1.f2fc9d9cbfee4p-6, 0x1.ec4dffbb8ee45p-6, 0x1.e5a91737745ffp-6, 0x1.df0e2ea73ebf3p-6, 0x1.d87d84a64eabap-6, 0x1.d1f749e4deb3fp-6, 0x1.cb7ba257cb506p-6, 0x1.c50aa98a0687bp-6, 0x1.bea47934e62bap-6, 0x1.b849308ea1133p-6, 0x1.b1f8fa65e9271p-6, 0x1.abb410472d51dp-6, 0x1.a57ab98cfdc4dp-6, 0x1.9f4d463cf64e8p-6, 0x1.992c06adaa8e6p-6, 0x1.931741ddf15d6p-6, 0x1.8d0f2ce2884d9p-6, 0x1.8713e5b72954fp-6, 0x1.8125730f224dap-6, 0x1.7b43c99a1d214p-6, 0x1.756ed5d40b2fp-6, 0x1.6fa6883b38ep-6, 0x1.69eae105017b4p-6, 0x1.643bf85e1789cp-6, 0x1.5e9a00f956ab3p-6, 0x1.590543fd61585p-6, 0x1.537e16f19570ap-6, 0x1.4e04cdbe470f6p-6, 0x1.4899abd8a3858p-6, 0x1.433cd80eba33ap-6, 0x1.3dee55fff6517p-6, 0x1.38ae07231b607p-6, 0x1.337bb37d8b7dfp-6, 0x1.2e5718498ae7p-6, 0x1.293ff94620dcdp-6, 0x1.243630c0c9774p-6, 0x1.1f39babe4e8e9p-6, 0x1.1a4ab8cd06211p-6, 0x1.15696d9d6296bp-6, 0x1.109631228df5p-6, 0x1.0bd15f784f375p-6, 0x1.071b45f82b7a8p-6, 0x1.0274129256c33p-6, 0x1.fbb792ac46cd7p-7, 0x1.f2a485a6a4b19p-7, 0x1.e9ae678449bep-7, 0x1.e0d477d09b20bp-7, 0x1.d815f1084494p-7, 0x1.cf722c8565e41p-7, 0x1.c6e8bf411174bp-7, 0x1.be798b687ebcbp-7, 0x1.b624c444b048fp-7, 0x1.adeae2f73f29dp-7, 0x1.a5cc8c61ff5c5p-7, 0x1.9dca6bfe33536p-7, 0x1.95e50b9906cd5p-7, 0x1.8e1cb278b79f1p-7, 0x1.867154ed751dp-7, 0x1.7ee29767c69dp-7, 0x1.776fe0b2e4e4fp-7, 0x1.7018728b87bddp-7, 0x1.68db8165036eap-7, 0x1.61b849f6183f6p-7, 0x1.5aae277621626p-7, 0x1.53bcaba6c1ceap-7, 0x1.4ce3b2fda30bdp-7, 0x1.46236a11bee73p-7, 0x1.3f7c3c273befep-7, 0x1.38eead71f7e56p-7, 0x1.327b2f6dfb34p-7, 0x1.2c2201b0f6b12p-7, 0x1.25e32a1cf188bp-7, 0x1.1fbe80e2ed8f9p-7, 0x1.19b3c10742b6ep-7, 0x1.13c28d778b2cdp-7, 0x1.0dea66a87d0eep-7, 0x1.082a9dabe0227p-7, 0x1.02825a75c2e4p-7, 0x1.f9e18329a829cp-8, 0x1.eeea5b26bcec2p-8, 0x1.e41eb7211d73p-8, 0x1.d97ed8952d55bp-8, 0x1.cf0b6ad5a554ap-8, 0x1.c4c4ffa9ad783p-8, 0x1.baabb9aabb3f1p-8, 0x1.b0bf546a500cdp-8, 0x1.a6ff75baafa09p-8, 0x1.9d6c026f90d5ep-8, 0x1.940531672a1dfp-8, 0x1.8acb4243573fbp-8, 0x1.81bdf970b1f83p-8, 0x1.78dc349ac14e4p-8, 0x1.7023f018b1c13p-8, 0x1.6792dae928737p-8, 0x1.5f2734e72ede9p-8, 0x1.56e06efbbe177p-8, 0x1.4ebf1d21b1ddep-8, 0x1.46c43c70d8bc3p-8, 0x1.3ef04c170344ap-8, 0x1.3742d72484546p-8, 0x1.2fbab1603e72ap-8, 0x1.2856a74cf222p-8, 0x1.2116244a444dap-8, 0x1.19f96dd414607p-8, 0x1.13015551c0cb6p-8, 0x1.0c2e8429fec26p-8, 0x1.0580bbeee1c8dp-8, 0x1.fdecf4c6a31dcp-9, 0x1.f11a9b2324f23p-9, 0x1.e4858b9103913p-9, 0x1.d82b0c7388871p-9, 0x1.cc0b90c7fa53ap-9, 0x1.c029e3c32dc6fp-9, 0x1.b488ffa081456p-9, 0x1.a92a1016c5869p-9, 0x1.9e0bdb245c3d6p-9, 0x1.932b9342116bbp-9, 0x1.888637c514e59p-9, 0x1.7e19ae271ad5p-9, 0x1.73e5236784fbep-9, 0x1.69e8b25ebefdcp-9, 0x1.6024a9a49e3d2p-9, 0x1.5698c97ec05e9p-9, 0x1.4d43a26198a43p-9, 0x1.442260e01be01p-9, 0x1.3b316ed5c9e94p-9, 0x1.326dccc75fa04p-9, 0x1.29d65a26a88eep-9, 0x1.216c306a8a9aep-9, 0x1.1931c86294b3ap-9, 0x1.11297dbc45e03p-9, 0x1.09546a8910b5cp-9, 0x1.01b223a861e8bp-9, 0x1.f4829723ebca2p-10, 0x1.e600e347b06b5p-10, 0x1.d7dc8fb1997dbp-10, 0x1.ca11f3b0169d5p-10, 0x1.bc9baa5b2e448p-10, 0x1.af743050bb7c6p-10, 0x1.a298202148f6bp-10, 0x1.96069333ee8cep-10, 0x1.89bf8ad553effp-10, 0x1.7dc20e4e556bcp-10, 0x1.720b3d1e3ce6ep-10, 0x1.6697043d4e4bep-10, 0x1.5b62a126dd436p-10, 0x1.506eedffb4fdep-10, 0x1.45bfbee757c5cp-10, 0x1.3b58a853ac486p-10, 0x1.313a82ae9836ep-10, 0x1.2764664ae0405p-10, 0x1.1dd622d10e6fdp-10, 0x1.148fd68670e56p-10, 0x1.0b8f6b3031424p-10, 0x1.02d022ab0d3dap-10, 0x1.f49939012933fp-11, 0x1.e401883c5e5a2p-11, 0x1.d3d47c8f42b2ep-11, 0x1.c40fa2941cd89p-11, 0x1.b4b1b81579128p-11, 0x1.a5b9882d8eaabp-11, 0x1.9722efff04f0fp-11, 0x1.88e641642dcf9p-11, 0x1.7aff4be4513c8p-11, 0x1.6d72abdb3c09fp-11, 0x1.6046eab601c3fp-11, 0x1.537b88dfc63c2p-11, 0x1.470cab77264c4p-11, 0x1.3afc62f67da87p-11, 0x1.2f4ff6bb1e3abp-11, 0x1.2406206fd8858p-11, 0x1.1916425bb2aap-11, 0x1.0e76e70639b78p-11, 0x1.04227a2e3eecdp-11, 0x1.f430e7104f6d6p-12, 0x1.e0b884d3c9d02p-12, 0x1.cde42e79a4e68p-12, 0x1.bbb5a7d86d623p-12, 0x1.aa246d4d9d947p-12, 0x1.991d35dc86c9ep-12, 0x1.8883573e8b514p-12, 0x1.784496a84f9bp-12, 0x1.6870417d1dbf2p-12, 0x1.59214386ef64dp-12, 0x1.4a575731a8851p-12, 0x1.3c0019ef54f86p-12, 0x1.2e18808b261f7p-12, 0x1.20aab8e293edcp-12, 0x1.13ba3b8c37ccfp-12, 0x1.074127af07f1cp-12, 0x1.f66aea5e2c0c7p-13, 0x1.df18d5d00b1dep-13, 0x1.c87b533a8b6afp-13, 0x1.b28bc8c049f21p-13, 0x1.9d4f80207f759p-13, 0x1.88d231549486fp-13, 0x1.751bb9b4c935dp-13, 0x1.622d4ebc66b5bp-13, 0x1.500349bafda12p-13, 0x1.3e8674104f125p-13, 0x1.2d964428350a3p-13, 0x1.1d3a8e0b97a08p-13, 0x1.0d83bdfc2e63bp-13, 0x1.fca46004eb468p-14, 0x1.df1d5155304f2p-14, 0x1.c2a8cf8da440ep-14, 0x1.a76da4868b32ep-14, 0x1.8d4da0ac09559p-14, 0x1.741e33d4bddedp-14, 0x1.5bd5cb0999d41p-14, 0x1.4485ce457ddc4p-14, 0x1.2e352f67e7552p-14, 0x1.18d20303a9f3ep-14, 0x1.0444ea4e341abp-14, 0x1.e1074be72c1a2p-15, 0x1.bb1ef8f3f3b09p-15, 0x1.96ce370ad29f6p-15, 0x1.740b0ce4de9c9p-15, 0x1.52df40fa81423p-15, 0x1.3330198109848p-15, 0x1.14adaa7967efdp-15, 0x1.eef9e2335298p-16, 0x1.b7868c22a5417p-16, 0x1.827a7d946af0dp-16, 0x1.5029618b18e87p-16, 0x1.20f4d3a5987bap-16, 0x1.e8841223cf57ap-17, 0x1.92a96298552ffp-17, 0x1.3ff255f41b688p-17, 0x1.e1f3710ce43b6p-18, 0x1.4c7a3e876819bp-18, 0x1.7d897198fd326p-19, 0x1.bff6e7ab98d56p-21, -0x1.1d43d8c06d8bcp-20, -0x1.7d539a6b0f4f4p-19, -0x1.2e9a8b570fd4cp-18, -0x1.97fedaaa86b87p-18, -0x1.fb926362e82ccp-18, -0x1.2cd57372a530bp-17, -0x1.58b1e09037d6dp-17, -0x1.814b00fb9dc3fp-17, -0x1.a797dfe8670a2p-17, -0x1.cb7fe3d188b53p-17, -0x1.ed57943ceeeebp-17, -0x1.0680508c2b841p-16, -0x1.14e1846c59cf3p-16, -0x1.220d3e2adc0b7p-16, -0x1.2e3dd9f8b3203p-16, -0x1.39768ada2d7abp-16, -0x1.43a98cfb2d895p-16, -0x1.4cca376edfbf8p-16, -0x1.54dbf053a9934p-16, -0x1.5c0906eb7746p-16, -0x1.628bf9e916655p-16, -0x1.6863deb7042p-16, -0x1.6d717bcfc1cc4p-16, -0x1.71d29703c010ap-16, -0x1.759f89501ec68p-16, -0x1.78b0751197985p-16, -0x1.7b03411459121p-16, -0x1.7cba7b5193fe4p-16, -0x1.7dbb1505d1028p-16, -0x1.7e14dacdb60c2p-16, -0x1.7e1bb6b1bf641p-16, -0x1.7dd24bbf74954p-16, -0x1.7d25babffd823p-16, -0x1.7bd9363bd3221p-16, -0x1.7a1587ba91ff8p-16, -0x1.77fa0d82c079fp-16, -0x1.75888f8670debp-16, -0x1.72c12b8fcd5dfp-16, -0x1.6fa729131be4fp-16, -0x1.6c3f3507c9b86p-16, -0x1.688dffeb80cddp-16, -0x1.6497a3057d537p-16, -0x1.605f939ee4d0fp-16, -0x1.5be8d0bd15aeap-16, -0x1.5734fb02c5d47p-16, -0x1.5241f726ce849p-16, -0x1.4d10755009506p-16, -0x1.47b42508554fp-16, -0x1.423d83656b76p-16, -0x1.3cab68de58a79p-16, -0x1.37050998849e5p-16, -0x1.3127641a5d24cp-16, -0x1.2b13a83a0a32p-16, -0x1.24fc06b1e42ep-16, -0x1.1edfa4a8604dbp-16, -0x1.189e984f549d5p-16, -0x1.124cc5f85e1c1p-16, -0x1.0bf4cc4e5e467p-16, -0x1.05945f0802714p-16, -0x1.fe55e0a167c53p-17, -0x1.f173d4b13b582p-17, -0x1.e486b00e6eaadp-17, -0x1.d7929aa30749ep-17, -0x1.ca9b6326cff81p-17, -0x1.bda46e04e9bf3p-17, -0x1.b0b0f2e8eaf68p-17, -0x1.a3c463baf04efp-17, -0x1.96e2a1efedcbbp-17, -0x1.8a0fd7ebbc43ap-17, -0x1.7d5002bebcb57p-17, -0x1.70a6033deff4fp-17, -0x1.6413101b82a44p-17, -0x1.57993f4cb9275p-17, -0x1.4b3e4c8831c67p-17, -0x1.3eff9e9b3a1e2p-17, -0x1.32bfaf95f5acep-17, }}, 
      {{-0x1.257805a823804p-6, -0x1.24edc0754ed1ap-5, -0x1.b60d10d925ef5p-5, -0x1.22cc221eb0b9p-4, -0x1.698be0439de0ep-4, -0x1.af0fe3438c59p-4, -0x1.f32863686d28fp-4, -0x1.1ad5bb800859p-3, -0x1.3b3a5a362fd18p-3, -0x1.5ab2684596871p-3, -0x1.7930a147f0cf6p-3, -0x1.96a9f7b38015dp-3, -0x1.b3156dba001e3p-3, -0x1.ce6befcb03f2ap-3, -0x1.e8a82f6fb1746p-3, -0x1.00e33efa65916p-2, -0x1.0ce25382dbdffp-2, -0x1.1850e5e30ef15p-2, -0x1.232f1f8f73549p-2, -0x1.2d7db1f46c2dp-2, -0x1.373dc6bacf647p-2, -0x1.4070f161e87a2p-2, -0x1.4919223ac6f17p-2, -0x1.51389aba80c21p-2, -0x1.58d1e309e22acp-2, -0x1.5fe7c0b0154cdp-2, -0x1.667d2e32b531ep-2, -0x1.6c95538794407p-2, -0x1.72337f384cc1cp-2, -0x1.775b201c79a14p-2, -0x1.7c0fbf945e174p-2, -0x1.8054fc326fa36p-2, -0x1.842e84c67b165p-2, -0x1.87a013c088311p-2, -0x1.8aad6ae4ab24ep-2, -0x1.8d5a4f4b4ab34p-2, -0x1.8faa85ab06933p-2, -0x1.91a1ceead1f1cp-2, -0x1.9343e4fb2f9f5p-2, -0x1.949477f6039c3p-2, -0x1.95972b848eb54p-2, -0x1.964f948a6d144p-2, -0x1.96c1371448a2dp-2, -0x1.96ef848a1d61fp-2, -0x1.96ddda202ffd4p-2, -0x1.968f7f8765a35p-2, -0x1.9607a5da7a96dp-2, -0x1.954966bd579b9p-2, -0x1.9457c3bd5c671p-2, -0x1.9335a5d05889fp-2, -0x1.91e5dd16925d6p-2, -0x1.906b20af0b58p-2, -0x1.8ec80ec71e51bp-2, -0x1.8cff2cbafd8a1p-2, -0x1.8b12e75be6653p-2, -0x1.89059348847d8p-2, -0x1.86d96d583b001p-2, -0x1.84909b1838364p-2, -0x1.822d2b54827fcp-2, -0x1.7fb116a1cdd97p-2, -0x1.7d1e400caf24ap-2, -0x1.7a7675995eaa6p-2, -0x1.77bb70f8fef98p-2, -0x1.74eed7e74ef77p-2, -0x1.72123ce8521c5p-2, -0x1.6f271fc14788dp-2, -0x1.6c2eee2b398f7p-2, -0x1.692b044c915c4p-2, -0x1.661cad3d7a4dcp-2, -0x1.630523905b99p-2, -0x1.5fe591e483bb1p-2, -0x1.5cbf137f63169p-2, -0x1.5992b4d55a7a2p-2, -0x1.56617403a2584p-2, -0x1.532c414311affp-2, -0x1.4ff3ff6194adbp-2, -0x1.4cb98447a436bp-2, -0x1.497d9984105fbp-2, -0x1.4640fcd2bddd8p-2, -0x1.430460956b681p-2, -0x1.3fc86c3d1b433p-2, -0x1.3c8dbca9c771p-2, -0x1.3954e488b9919p-2, -0x1.361e6cb7d6464p-2, -0x1.32ead4af719ap-2, -0x1.2fba92efc83c8p-2, -0x1.2c8e156d22224p-2, -0x1.2965c1f60e697p-2, -0x1.2641f69191e1fp-2, -0x1.232309d5d2c1dp-2, -0x1.20094b39b671ep-2, -0x1.1cf5036494882p-2, -0x1.19e6747e4ee97p-2, -0x1.16ddda81004cfp-2, -0x1.13db6b8bc438ap-2, -0x1.10df58353e572p-2, -0x1.0de9cbdc1128dp-2, -0x1.0afaecf3a8d7cp-2, -0x1.0812dd4c6303p-2, -0x1.0531ba56c61a7p-2, -0x1.02579d6260052p-2, -0x1.ff0937b1d30d6p-3, -0x1.f9718eede50cp-3, -0x1.f3e85d055fa37p-3, -0x1.ee6db8033f2cbp-3, -0x1.e901afda9f73fp-3, -0x1.e3a44ecde51c8p-3, -0x1.de5599d3e715ep-3, -0x1.d91590f93d24bp-3, -0x1.d3e42fbdebcb7p-3, -0x1.cec16d6e72e24p-3, -0x1.c9ad3d776053fp-3, -0x1.c4a78fb4a2c6ap-3, -0x1.bfb050bb30ea2p-3, -0x1.bac76a1e4132ap-3, -0x1.b5ecc2b0f24ccp-3, -0x1.b1203ec31b523p-3, -0x1.ac61c05bbb4ddp-3, -0x1.a7b1277078ae7p-3, -0x1.a30e52195e6f2p-3, -0x1.9e791cc375379p-3, -0x1.99f1626043f55p-3, -0x1.9576fc9232a6ep-3, -0x1.9109c3d8024b8p-3, -0x1.8ca98fb4de031p-3, -0x1.885636d584e8bp-3, -0x1.840f8f347e844p-3, -0x1.7fd56e3af2189p-3, -0x1.7ba7a8deaa069p-3, -0x1.778613bf2b744p-3, -0x1.73708340154d1p-3, -0x1.6f66cba08908fp-3, -0x1.6b68c111e9affp-3, -0x1.677637ccd33a7p-3, -0x1.638f04231048ep-3, -0x1.5fb2fa90dfef9p-3, -0x1.5be1efcd9624ap-3, -0x1.581bb8d96842ap-3, -0x1.54602b0a1908bp-3, -0x1.50af1c17cd103p-3, -0x1.4d086227d4c63p-3, -0x1.496bd3d598c38p-3, -0x1.45d9483bdc593p-3, -0x1.425096fd0f18ep-3, -0x1.3ed198498e99dp-3, -0x1.3b5c24e59c97ep-3, -0x1.37f0162f39ce7p-3, -0x1.348d462292071p-3, -0x1.31338f5d80d19p-3, -0x1.2de2cd22e0947p-3, -0x1.2a9adb5d4b1e3p-3, -0x1.275b96a11edafp-3, -0x1.2424dc2dea1bcp-3, -0x1.20f689ef518c2p-3, -0x1.1dd07e7dcb8cep-3, -0x1.1ab2991f0d46ap-3, -0x1.179cb9c5b557ap-3, -0x1.148ec11080a2ap-3, -0x1.11889049cd67ep-3, -0x1.0e8a0966d1d68p-3, -0x1.0b930f0604ca6p-3, -0x1.08a3846d5b7p-3, -0x1.05bb4d88fa22dp-3, -0x1.02da4ee97d804p-3, -0x1.00006dc1a0c12p-3, -0x1.fa5b1fc8239e9p-4, -0x1.f4c3378305dddp-4, -0x1.ef38f0cc84463p-4, -0x1.e9bc1aef0655ep-4, -0x1.e44c866208302p-4, -0x1.deea04c5b1324p-4, -0x1.d99468dd153e7p-4, -0x1.d44b86881382dp-4, -0x1.cf0f32be9c21ep-4, -0x1.c9df438c4dd0bp-4, -0x1.c4bb900a8b27p-4, -0x1.bfa3f059b2462p-4, -0x1.ba983d9bccf84p-4, -0x1.b59851f090d38p-4, -0x1.b0a4087055b7bp-4, -0x1.abbb3d253f625p-4, -0x1.a6ddcd04cecd8p-4, -0x1.a20b95eb71bbbp-4, -0x1.9d447698aed4fp-4, -0x1.98884ea9b0212p-4, -0x1.93d6fe9288c15p-4, -0x1.8f306798400cp-4, -0x1.8a946bccb93b7p-4, -0x1.8602ee0afb56fp-4, -0x1.817bd1f2204d6p-4, -0x1.7cfefbdf1b483p-4, -0x1.788c50e6f5bdap-4, -0x1.7423b6d296ed9p-4, -0x1.6fc5141b4cb5p-4, -0x1.6b704fe6a7462p-4, -0x1.672552010e308p-4, -0x1.62e402d80be05p-4, -0x1.5eac4b759ee3p-4, -0x1.5a7e157cd4523p-4, -0x1.56594b269a30ap-4, -0x1.523dd73d9228ep-4, -0x1.4e2ba518cc95dp-4, -0x1.4a22a096992d8p-4, -0x1.4622b61893cedp-4, -0x1.422bd280e5df3p-4, -0x1.3e3de32f7611bp-4, -0x1.3a58d5fde315p-4, -0x1.367c993a76603p-4, -0x1.32a91ba35f4c7p-4, -0x1.2ede4c634ccc9p-4, -0x1.2b1c1b0f3342cp-4, -0x1.276277a3e27d9p-4, -0x1.23b1528254aa3p-4, -0x1.20089c6af727ep-4, -0x1.1c68467933eaap-4, -0x1.18d0422052cc4p-4, -0x1.154081298c431p-4, -0x1.11b8f5b2137a7p-4, -0x1.0e399227fa46dp-4, -0x1.0ac24946035dbp-4, -0x1.07530e0f5f17ap-4, -0x1.03ebd3cc90185p-4, -0x1.008c8e097d246p-4, -0x1.fa6a6127cc5fap-5, -0x1.f3cb5ef229216p-5, -0x1.ed3bfe04dede2p-5, -0x1.e6bc27633b02cp-5, -0x1.e04bc47a70312p-5, -0x1.d9eabf1d33845p-5, -0x1.d3990180dbcdcp-5, -0x1.cd56763a3c36cp-5, -0x1.c7230838d9b93p-5, -0x1.c0fea2c09debap-5, -0x1.bae9316363194p-5, -0x1.b4e29ffbc2fdfp-5, -0x1.aeeadaa999174p-5, -0x1.a901cdcf6f499p-5, -0x1.a327660f81abfp-5, -0x1.9d5b90478fdecp-5, -0x1.979e398ba5728p-5, -0x1.91ef4f20de6fbp-5, -0x1.8c4ebe790ecf7p-5, -0x1.86bc752fa4d9dp-5, -0x1.8138610740b84p-5, -0x1.7bc26fe734742p-5, -0x1.765a8fd84a3p-5, -0x1.7100af00d1a8ep-5, -0x1.6bb4bba07eebdp-5, -0x1.6676a40cb677fp-5, -0x1.614656ada6dabp-5, -0x1.5c23c1fc08039p-5, -0x1.570ed47f12e4p-5, -0x1.52077cca42df6p-5, -0x1.4d0da97aa211fp-5, -0x1.48214933cede7p-5, -0x1.43424a9d060f1p-5, -0x1.3e709c5e8d5e8p-5, -0x1.39ac2d1f98712p-5, -0x1.34f4eb8494e62p-5, -0x1.304ac62d977afp-5, -0x1.2badabb4b4129p-5, -0x1.271d8aac27ff7p-5, -0x1.229a519c5ac8cp-5, -0x1.1e23ef01db6b5p-5, -0x1.19ba514ba6c8fp-5, -0x1.155d66d9a1d0ep-5, -0x1.110d1dfb69dbbp-5, -0x1.0cc964ef56a32p-5, -0x1.089229e17b2c1p-5, -0x1.04675aea9f4cbp-5, -0x1.0048e60f22ae5p-5, -0x1.f86d727bab359p-6, -0x1.f061849dc7781p-6, -0x1.e86dde05cea2cp-6, -0x1.e0925a0478dc8p-6, -0x1.d8ced3b907712p-6, -0x1.d123261094e59p-6, -0x1.c98f2bc55eb66p-6, -0x1.c212bf5e11e71p-6, -0x1.baadbb2cea886p-6, -0x1.b35ff94ecacc2p-6, -0x1.ac2953aa63b1dp-6, -0x1.a509a3efab19dp-6, -0x1.9e00c397bf9ffp-6, -0x1.970e8be5354fp-6, -0x1.9032d5e49937ep-6, -0x1.896d7a6d08bc4p-6, -0x1.82be5220a4f68p-6, -0x1.7c25356cd6fb6p-6, -0x1.75a1fc8a64426p-6, -0x1.6f347f7d803d5p-6, -0x1.68dc96160af9p-6, -0x1.629a17f04db4p-6, -0x1.5c6cdc7631e65p-6, -0x1.5654bae0f1517p-6, -0x1.50518a3adb2d9p-6, -0x1.4a632160fd302p-6, -0x1.448957046cdf8p-6, -0x1.3ec401ab1891ap-6, -0x1.3912f7b0520c4p-6, -0x1.33760f453cfffp-6, -0x1.2ded1e71c3358p-6, -0x1.2877fb16135cbp-6, -0x1.23167aed26543p-6, -0x1.1dc8738f9e83ep-6, -0x1.188dba76d38ccp-6, -0x1.136624ff4db66p-6, -0x1.0e51886a727b2p-6, -0x1.094fb9df303b1p-6, -0x1.04608e6a243bap-6, -0x1.ff07b5fb8f623p-7, -0x1.f572e8e6e6cefp-7, -0x1.ec025f1b949a7p-7, -0x1.e2b5c1f926a1dp-7, -0x1.d98cbac2e338cp-7, -0x1.d086f2a8df8ddp-7, -0x1.c7a412ce944afp-7, -0x1.bee3c44d64f9dp-7, -0x1.b645b0332135cp-7, -0x1.adc97f7e2a19ap-7, -0x1.a56edb1a0de69p-7, -0x1.9d356bdff190ep-7, -0x1.951cda9cfc913p-7, -0x1.8d24d01f0bed1p-7, -0x1.854cf545781dfp-7, -0x1.7d94f31186861p-7, -0x1.75fc72b1ceee1p-7, -0x1.6e831d84ba771p-7, -0x1.67289d1148e87p-7, -0x1.5fec9af8e310dp-7, -0x1.58cec0e7c916dp-7, -0x1.51ceb88b47fp-7, -0x1.4aec2b93ab97p-7, -0x1.4426c3c460b43p-7, -0x1.3d7e2b10612aep-7, -0x1.36f20bbbd6fb2p-7, -0x1.3082107973d6bp-7, -0x1.2a2de47a1c01dp-7, -0x1.23f53368ed7eep-7, -0x1.1dd7a953c9a9ep-7, -0x1.17d4f2872604bp-7, -0x1.11ecbb68e49cep-7, -0x1.0c1eb05f62813p-7, -0x1.066a7dcf3fe16p-7, -0x1.00cfd033d64f8p-7, -0x1.f69ca89ca29dfp-8, -0x1.ebcb6ebf6bc01p-8, -0x1.e12b4ebcb2b8fp-8, -0x1.d6bba62d75586p-8, -0x1.cc7bd45a1e4cfp-8, -0x1.c26b39fcc92a2p-8, -0x1.b88938cf8f149p-8, -0x1.aed5330984bbbp-8, -0x1.a54e8af0de371p-8, -0x1.9bf4a2a58c4ap-8, -0x1.92c6dc373c23dp-8, -0x1.89c49a03b977fp-8, -0x1.80ed3f45dfed4p-8, -0x1.784030afeeaa2p-8, -0x1.6fbcd4e9f2a22p-8, -0x1.676294d4fe47p-8, -0x1.5f30db8294571p-8, -0x1.572715e1e1dd9p-8, -0x1.4f44b2372d08dp-8, -0x1.47891f812503bp-8, -0x1.3ff3ccf746406p-8, -0x1.388429c74baap-8, -0x1.3139a52447dbap-8, -0x1.2a13ae9f40a17p-8, -0x1.2311b6a9c2f0dp-8, -0x1.1c332f1a6ddf1p-8, -0x1.15778b944f3f7p-8, -0x1.0ede41c3cad1cp-8, -0x1.0866c971c0b52p-8, -0x1.02109c7085a35p-8, -0x1.f7b66cc8ef839p-9, -0x1.eb8c28d714809p-9, -0x1.dfa169698a3ep-9, -0x1.d3f52c4f37c49p-9, -0x1.c886707af1689p-9, -0x1.bd543635b7a1bp-9, -0x1.b25d7fa37fa6bp-9, -0x1.a7a1513b9d70ap-9, -0x1.9d1eb1e6660b1p-9, -0x1.92d4aac22bb11p-9, -0x1.88c246e6ec156p-9, -0x1.7ee6938f7e2f7p-9, -0x1.7540a0c6cc9d8p-9, -0x1.6bcf824b68c5p-9, -0x1.629250267cd5bp-9, -0x1.598826a15c069p-9, -0x1.50b025b86225dp-9, -0x1.4809708278a56p-9, -0x1.3f932cf798d7bp-9, -0x1.374c840f535e9p-9, -0x1.2f34a1b5e9107p-9, -0x1.274ab40dea23dp-9, -0x1.1f8de9f879bddp-9, -0x1.17fd719a4d855p-9, -0x1.109877e1fa4c6p-9, -0x1.095e29a1ec51ep-9, -0x1.024db5df42d7ep-9, -0x1.f6cca07402f1p-10, -0x1.e94e64a5ff064p-10, -0x1.dc1f3798b5a7ap-10, -0x1.cf3da2c5c40a3p-10, -0x1.c2a8380c98c58p-10, -0x1.b65d90ffca654p-10, -0x1.aa5c4ee421f7p-10, -0x1.9ea319d55cedbp-10, -0x1.93309dd4f0c28p-10, -0x1.8803862e8a1c6p-10, -0x1.7d1a795bc7207p-10, -0x1.727417eba6e9ep-10, -0x1.680eff7bfbf76p-10, -0x1.5de9d078aa755p-10, -0x1.540333ca1cf8p-10, -0x1.4a59de064c09p-10, -0x1.40ec8facaa8ap-10, -0x1.37ba13cd4523dp-10, -0x1.2ec13ec7369bp-10, -0x1.2600eda0ccb7ap-10, -0x1.1d78053cb7655p-10, -0x1.15257085bf61dp-10, -0x1.0d081d9445a42p-10, -0x1.051efabfd108ap-10, -0x1.fad1e95a57d58p-11, -0x1.ebc9ebb5f89cap-11, -0x1.dd23cf6f7c4d9p-11, -0x1.cedd69f16836p-11, -0x1.c0f498adef967p-11, -0x1.b36744d616596p-11, -0x1.a6336470340a4p-11, -0x1.9956fb4f94f35p-11, -0x1.8cd01ef5da6d3p-11, -0x1.809cfbc44e9f2p-11, -0x1.74bbd50e6e636p-11, -0x1.692afb6b1ba73p-11, -0x1.5de8bd771b9c1p-11, -0x1.52f35e0d078p-11, -0x1.484917c0a52c2p-11, -0x1.3de82a448708ap-11, -0x1.33cee5f3e3ed6p-11, -0x1.29fbad1aecbcfp-11, -0x1.206ced1d76a9p-11, -0x1.172117198c286p-11, -0x1.0e169c010c486p-11, -0x1.054beb69f8cedp-11, -0x1.f97eebab00278p-12, -0x1.e8df6c7bce4cdp-12, -0x1.d8b6836d0650dp-12, -0x1.c901a1ed6fb43p-12, -0x1.b9be6be2b577bp-12, -0x1.aaea7e28b4552p-12, -0x1.9c8339f3ef2dp-12, -0x1.8e85c143fa42ap-12, -0x1.80ef27829dc2p-12, -0x1.73bcacc5a5b8cp-12, -0x1.66ebd6ba6788bp-12, -0x1.5a7a5eb3b9a56p-12, -0x1.4e660ebe0d8a6p-12, -0x1.42acaa3b5a878p-12, -0x1.374be9ba9788fp-12, -0x1.2c417fb834b36p-12, -0x1.218b1ed7db655p-12, -0x1.172689ba03639p-12, -0x1.0d11b23d0e58ep-12, -0x1.034ad18f46b8dp-12, -0x1.f3a0aadd1ac3cp-13, -0x1.e141460d938d8p-13, -0x1.cf73c0b8bc911p-13, -0x1.be33e82253af4p-13, -0x1.ad7d6df981e21p-13, -0x1.9d4c4f767a16cp-13, -0x1.8d9cf62869b9bp-13, -0x1.7e6c176a441f1p-13, -0x1.6fb67c624f74dp-13, -0x1.6178d5befed63p-13, -0x1.53afb4e507f48p-13, -0x1.4657aca588112p-13, -0x1.396d776fd9e21p-13, -0x1.2cee03a71d3f9p-13, -0x1.20d6744c82e33p-13, -0x1.15242fb1aa574p-13, -0x1.09d4e2af594e5p-13, -0x1.fdcc9c19d6b17p-14, -0x1.e8abfac524b71p-14, -0x1.d4426da873d7cp-14, -0x1.c08a652b2c9e3p-14, -0x1.ad7ea6defcdb8p-14, -0x1.9b1a54e4266d6p-14, -0x1.8958c6974b3eap-14, -0x1.78357ee31ba31p-14, -0x1.67ac1adcb5031p-14, -0x1.57b8186057ef7p-14, -0x1.4854af5d9aba2p-14, -0x1.397cf7a6c31efp-14, -0x1.2b2c41fc61da2p-14, -0x1.1d5e5469533ffp-14, -0x1.100f6187f1aedp-14, -0x1.033be738179c8p-14, -0x1.edc13f1ece6aap-15, -0x1.d5f4aa44bdf96p-15, -0x1.bf0b1f9dbadfbp-15, -0x1.a8fd36f48931p-15, -0x1.93c412389ba1bp-15, -0x1.7f59d82ca2815p-15, -0x1.6bb8e8b6f5712p-15, -0x1.58db247d96054p-15, -0x1.46ba3f4c90285p-15, -0x1.35503df2ae44ep-15, -0x1.24976b128e7a2p-15, -0x1.148a155ce3ab9p-15, -0x1.05226bbb685bdp-15, -0x1.ecb540a627ff6p-16, -0x1.d05aaeb439e2dp-16, -0x1.b52bea37ec2f2p-16, -0x1.9b20778e530f2p-16, -0x1.822eda48adb6ep-16, -0x1.6a4c0d5cd26abp-16, -0x1.536ce19ff14a8p-16, -0x1.3d87269e291b5p-16, -0x1.289234ee7918ep-16, -0x1.148792bae2d11p-16, -0x1.0161c8ec3ea5ap-16, -0x1.de33ed02becp-17, -0x1.bb4f98eed0724p-17, -0x1.9a06c0bccdb9ap-17, -0x1.7a4b26879112ap-17, -0x1.5c0edd91849c2p-17, -0x1.3f440f299fb09p-17, -0x1.23dd0f828d453p-17, -0x1.09cc24565f13ap-17, -0x1.e207c38bdaa13p-18, -0x1.b2f0ffcb087b6p-18, -0x1.8641b58619541p-18, -0x1.5bea4c52c171fp-18, -0x1.33d72a90a9481p-18, -0x1.0ded995ac405ap-18, -0x1.d421238f0982dp-19, -0x1.904b24c2124d5p-19, -0x1.502e8d4bbbcbdp-19, -0x1.13b0c3eda60ebp-19, -0x1.b574379266babp-20, -0x1.4a4a61828852ap-20, -0x1.cb2126283ee2bp-21, -0x1.0e053a2b64af2p-21, -0x1.7318486262057p-23, 0x1.245b964287158p-23, 0x1.c80d38f777202p-22, 0x1.747783364f738p-21, 0x1.fad64bbcba151p-21, 0x1.3bca35bb8fea3p-20, 0x1.75929e75be315p-20, 0x1.aaf8387d6bdd6p-20, 0x1.dc24ee00b8b84p-20, 0x1.049f2a22390cep-19, 0x1.193952856b1d1p-19, 0x1.2bfe5103a2ee9p-19, 0x1.3d0a21a33b9a2p-19, 0x1.4c7252405a666p-19, 0x1.5a4740d9f3d11p-19, 0x1.6694b7182dac2p-19, 0x1.716b6633ba55cp-19, 0x1.7ae26b9ac4afcp-19, 0x1.830bdec0c7a88p-19, 0x1.89f8484021cdcp-19, 0x1.8fbbf3dcb0da5p-19, 0x1.946ac1a323d2p-19, 0x1.9814ab3d29a66p-19, 0x1.9ac538a3baa88p-19, 0x1.9c860f99d5d8ep-19, 0x1.9d62883e04bfbp-19, 0x1.9d67fd97dfaaep-19, 0x1.9ca3b96320ee2p-19, 0x1.9b22424440ce8p-19, 0x1.98ef2c1a96e1fp-19, 0x1.961508f1f1099p-19, 0x1.929f932084028p-19, 0x1.8e9c2918a096ep-19, 0x1.8a14ca79bfe1ep-19, 0x1.850ff1174ad89p-19, 0x1.7f95c2a19cef8p-19, 0x1.79ae3ebdc7b66p-19, 0x1.7363596b8ae49p-19, 0x1.6cbcf3a2aa8aap-19, 0x1.65c0ac5f9c2f5p-19, 0x1.5e76be20c875fp-19, 0x1.56e71d6669947p-19, 0x1.4f1851f1336bcp-19, 0x1.47103105e85ffp-19, 0x1.3ed48009c9f89p-19, 0x1.366b4c440cb01p-19, 0x1.2ddaddfe60048p-19, 0x1.2528fd6aef077p-19, 0x1.1c59fbfac0331p-19, 0x1.1371b40db8b0cp-19, 0x1.0a7530ffcb69ap-19, 0x1.016945135f2fap-19, 0x1.f0a2b0fb22908p-20, 0x1.de633715f64a5p-20, 0x1.cc1d6de8d1b54p-20, 0x1.b9d5a011de5f7p-20, 0x1.a790f3a9cdafap-20, 0x1.9558dd926651cp-20, 0x1.8333dbaa3d6d4p-20, 0x1.712668a92f02fp-20, 0x1.5f32b8c877479p-20, 0x1.4d5eb5d5cb608p-20, 0x1.3baff20543f5ap-20, 0x1.2a2acd18de4ecp-20, 0x1.18d3570a82f66p-20, 0x1.07ad5ad6492bfp-20, 0x1.ed7867b8f83ffp-21, 0x1.cc05684f1303bp-21, 0x1.ab065f9068e3ep-21, 0x1.8a7f7b1b13b0ep-21, 0x1.6a753e46d5f48p-21, 0x1.4aed2ded6c2c6p-21, 0x1.2bed83a753c1p-21, 0x1.0d7bcf8885255p-21, 0x1.df37bdcbdcdb9p-22, 0x1.a49ef6757ba84p-22, 0x1.6b311e4a9d1b6p-22, 0x1.32f3e9e003a92p-22, 0x1.f7ce8bfc20eafp-23, 0x1.8c234c071fc17p-23, 0x1.22fb4c656271ap-23, 0x1.78aef79989eap-24, 0x1.60bc5b23701afp-25, -0x1.2ecc5c3b078f1p-28, -0x1.a250d26452d04p-25, -0x1.8a53c8787e819p-24, -0x1.1f372022b7b7fp-23, -0x1.76bbdf459bf08p-23, -0x1.cbb8d575a78cap-23, -0x1.0f17d9bcf70f5p-22, -0x1.3711a39b1efbfp-22, -0x1.5dcbb53d0db7fp-22, -0x1.83483bb55d662p-22, -0x1.a78942f0cc449p-22, -0x1.ca909550b14bdp-22, -0x1.ec5ffd6cb5885p-22, -0x1.067cd730a38f2p-21, -0x1.16305a02701c1p-21, -0x1.254c96c06d6c8p-21, -0x1.33d3b81410313p-21, -0x1.41c779db9325bp-21, -0x1.4f298991fc4f6p-21, -0x1.5bfc75eb7a87ep-21, }}, 
      {{0x1.e775ef8e74259p-2, 0x1.f28d9859aaec8p-2, 0x1.021d64c1bd1c8p-1, 0x1.0dc40685f4516p-1, 0x1.1bb219b8f90efp-1, 0x1.2b5c9818c98cdp-1, 0x1.3c3d7787dd22ep-1, 0x1.4dd83cb286f99p-1, 0x1.5fbc8f3976a34p-1, 0x1.71877e87496ep-1, 0x1.82e3d1f2b8c2bp-1, 0x1.9389a912ed2f7p-1, 0x1.a33daf9e7d772p-1, 0x1.b1d01612aaef1p-1, 0x1.bf1b6fc640bbdp-1, 0x1.cb038bc92dfdfp-1, 0x1.d5745653bf7c8p-1, 0x1.de60cb179b09ap-1, 0x1.e5c1fceca2c09p-1, 0x1.eb9634a78cef4p-1, 0x1.efe027196426ep-1, 0x1.f2a641270dc3fp-1, 0x1.f3f20855e49a1p-1, 0x1.f3cf8e03c8909p-1, 0x1.f24cf39390c46p-1, 0x1.ef79fdeb6b6e6p-1, 0x1.eb67b6b7b4c41p-1, 0x1.e62819f14d9eep-1, 0x1.dfcdce302cf65p-1, 0x1.d86be66ccaa52p-1, 0x1.d015abffbe3bep-1, 0x1.c6de6fe091acdp-1, 0x1.bcd962500cc09p-1, 0x1.b219703c8506p-1, 0x1.a6b125c8bfb3cp-1, 0x1.9ab2957195e88p-1, 0x1.8e2f435d92e8ap-1, 0x1.8138146bff014p-1, 0x1.73dd40a27366fp-1, 0x1.662e48a526885p-1, 0x1.5839ede2447ffp-1, 0x1.4a0e2d2396acap-1, 0x1.3bb83b5aefcddp-1, 0x1.2d44843699ea4p-1, 0x1.1ebeaa7f8824ap-1, 0x1.103189e9df7d9p-1, 0x1.01a739f97486cp-1, 0x1.e6522508ae92bp-2, 0x1.c97f601c5a0e8p-2, 0x1.ace5f5769881p-2, 0x1.9094560cd02c2p-2, 0x1.7497a628c839cp-2, 0x1.58fbc56ce86adp-2, 0x1.3dcb6660b3012p-2, 0x1.231012ebb174p-2, 0x1.08d2499d1c5ccp-2, 0x1.de32f83790ca2p-3, 0x1.abd86713c1d9bp-3, 0x1.7aa00d9e4abdap-3, 0x1.4a938c7b76f08p-3, 0x1.1bbad586d17dep-3, 0x1.dc39103ec1899p-4, 0x1.837ba1b8506c9p-4, 0x1.2d456bc95a9e6p-4, 0x1.b33833dcd2a93p-5, 0x1.110697df97cf6p-5, 0x1.cfe5ccaa48c52p-7, -0x1.1f7ac7402bac1p-8, -0x1.6d6e0d51a6015p-6, -0x1.4463c2050b3abp-5, -0x1.ccfe5152c2f31p-5, -0x1.2848f0b38ebf8p-4, -0x1.6795e4d13ca48p-4, -0x1.a46daaee13713p-4, -0x1.ded8ca35986d4p-4, -0x1.0b7049ec92583p-3, -0x1.2647871228a51p-3, -0x1.3ff7709ab968bp-3, -0x1.5885a25bfbd68p-3, -0x1.6ff7f716e2176p-3, -0x1.86547fc015bf9p-3, -0x1.9ba17b1d43aa6p-3, -0x1.afe54dc501fb8p-3, -0x1.c3267ac5f981ep-3, -0x1.d56b9cdb27618p-3, -0x1.e6bb60380d4d5p-3, -0x1.f71c7cbd0dc03p-3, -0x1.034ad83d68ee6p-2, -0x1.0a96dd42f97cbp-2, -0x1.1175ab024af41p-2, -0x1.17ea9ad134dbfp-2, -0x1.1df8ffb4e9b82p-2, -0x1.23a424889e4c2p-2, -0x1.28ef4a67f95c8p-2, -0x1.2ddda74c50e74p-2, -0x1.327264e204b27p-2, -0x1.36b09f86ae931p-2, -0x1.3a9b6564254d4p-2, -0x1.3e35b5ad8cd3dp-2, -0x1.41827fed39887p-2, -0x1.4484a36adde2ap-2, -0x1.473eeeaaa292ap-2, -0x1.49b41eff8d9bep-2, -0x1.4be6e039f5af3p-2, -0x1.4dd9cc6d86c27p-2, -0x1.4f8f6bcef1686p-2, -0x1.510a34a57ea74p-2, -0x1.524c8b524e30ap-2, -0x1.5358c264bc9edp-2, -0x1.54311aba34a34p-2, -0x1.54d7c3aba0bd3p-2, -0x1.554edb3f305dbp-2, -0x1.55986e6059f9fp-2, -0x1.55b6791f34d6ep-2, -0x1.55aae6f3fb296p-2, -0x1.55779304a4c54p-2, -0x1.551e4871978e1p-2, -0x1.54a0c2a83c6f6p-2, -0x1.5400adb48e357p-2, -0x1.533fa699baa1fp-2, -0x1.525f3bb260b84p-2, -0x1.5160ed0a3b061p-2, -0x1.50462cbf4626ap-2, -0x1.4f105f6a8f0b6p-2, -0x1.4dc0dc7bb4bcfp-2, -0x1.4c58ee9d818eep-2, -0x1.4ad9d420afa9bp-2, -0x1.4944bf5519f0ep-2, -0x1.479ad6ebc738fp-2, -0x1.45dd365f5b52ep-2, -0x1.440cee4a5e7ap-2, -0x1.422b04c15b47dp-2, -0x1.403875b692c47p-2, -0x1.3e36334fa119ep-2, -0x1.3c252635316fap-2, -0x1.3a062dee8877dp-2, -0x1.37da2138ef74p-2, -0x1.35a1ce4f797dp-2, -0x1.335dfb3993564p-2, -0x1.310f66226d216p-2, -0x1.2eb6c59f35244p-2, -0x1.2c54c8ef56b84p-2, -0x1.29ea184c278d1p-2, -0x1.27775531a0264p-2, -0x1.24fd1a9675ad6p-2, -0x1.227bfd2cfe3f2p-2, -0x1.1ff48ba9aefcp-2, -0x1.1d674efb1f6c2p-2, -0x1.1ad4ca7ea5a29p-2, -0x1.183d7c3c46253p-2, -0x1.15a1dd1dfd46cp-2, -0x1.130261200ee65p-2, -0x1.105f778290a43p-2, -0x1.0db98af9c3be8p-2, -0x1.0b1101dacd9f5p-2, -0x1.08663e4850c04p-2, -0x1.05b99e5cdfcc8p-2, -0x1.030b7c5116bc6p-2, -0x1.005c2ea1feb59p-2, -0x1.fb5810708caf2p-3, -0x1.f5f6b116ce843p-3, -0x1.f094d78372781p-3, -0x1.eb3315a23322dp-3, -0x1.e5d1f73d57f87p-3, -0x1.e0720239722cp-3, -0x1.db13b6d066221p-3, -0x1.d5b78fc7affd5p-3, -0x1.d05e029f076fap-3, -0x1.cb077fc27e969p-3, -0x1.c5b472c462ffep-3, -0x1.c065428da214bp-3, -0x1.bb1a517d319b8p-3, -0x1.b5d3fd8c4970ep-3, -0x1.b092a08518abp-3, -0x1.ab569035301b7p-3, -0x1.a6201e86ae54p-3, -0x1.a0ef99937d765p-3, -0x1.9bc54bcecf9b3p-3, -0x1.96a17c3a1199ep-3, -0x1.91846e858aec2p-3, -0x1.8c6e631bb707bp-3, -0x1.875f97354c9c7p-3, -0x1.8258450311101p-3, -0x1.7d58a3d804d19p-3, -0x1.7860e83ed6bf8p-3, -0x1.7371440375de6p-3, -0x1.6e89e646779edp-3, -0x1.69aafb9e5b5d1p-3, -0x1.64d4ae37d795dp-3, -0x1.600725ea1428ep-3, -0x1.5b428843048b3p-3, -0x1.5686f895bf43fp-3, -0x1.51d4980f478fap-3, -0x1.4d2b85cf616ebp-3, -0x1.488bdf002e51ep-3, -0x1.43f5bee780184p-3, -0x1.3f693ef0c39c6p-3, -0x1.3ae676b52d4b6p-3, -0x1.366d7c0b6a522p-3, -0x1.31fe6320b15d3p-3, -0x1.2d993e9109ea6p-3, -0x1.293e1f7302df8p-3, -0x1.24ed1557bc374p-3, -0x1.20a62e4e0cba2p-3, -0x1.1c6976f528835p-3, -0x1.1836fa994c768p-3, -0x1.140ec3485781ep-3, -0x1.0ff0d9d42a6d6p-3, -0x1.0bdd45cc11a4cp-3, -0x1.07d40d80788e8p-3, -0x1.03d536190f81dp-3, -0x1.ffc1876212921p-4, -0x1.f7ed72ccb5acap-4, -0x1.f02e32ad0d2d7p-4, -0x1.e883c92c1ff4ep-4, -0x1.e0ee3669440c6p-4, -0x1.d96d78a4f9232p-4, -0x1.d2018c73e979dp-4, -0x1.caaa6cd8634eep-4, -0x1.c368133ad99p-4, -0x1.bc3a7758bb15p-4, -0x1.b5218f48727d8p-4, -0x1.ae1d4f9b47239p-4, -0x1.a72dab8993ebap-4, -0x1.a052950d1ad57p-4, -0x1.998bfcdf946dep-4, -0x1.92d9d26c4145dp-4, -0x1.8c3c03ccfdcp-4, -0x1.85b27ddee289cp-4, -0x1.7f3d2c6516bd9p-4, -0x1.78dbfa2502aa8p-4, -0x1.728ed0ee7d1f7p-4, -0x1.6c5599942ebb2p-4, -0x1.66303be47a961p-4, -0x1.601e9eb0be691p-4, -0x1.5a20a7e37a72ep-4, -0x1.54363c99ee13cp-4, -0x1.4e5f413438dd8p-4, -0x1.489b9957b8461p-4, -0x1.42eb27ea2c105p-4, -0x1.3d4dcf10a408ep-4, -0x1.37c37038d2678p-4, -0x1.324bec2a6dc06p-4, -0x1.2ce723189f467p-4, -0x1.2794f4ac76eabp-4, -0x1.225540071f30bp-4, -0x1.1d27e3c07025p-4, -0x1.180cbde85da1ep-4, -0x1.1303ac0eb0d91p-4, -0x1.0e0c8b4f5472dp-4, -0x1.0927385e7782dp-4, -0x1.04538f908e514p-4, -0x1.ff22d9baf243fp-5, -0x1.f5c157c290b6fp-5, -0x1.ec824fbc8ebc3p-5, -0x1.e36577852accp-5, -0x1.da6a8461456a2p-5, -0x1.d1912b1004011p-5, -0x1.c8d91fd83b3b3p-5, -0x1.c042168ffcbe1p-5, -0x1.b7cbc2a0504fdp-5, -0x1.af75d7091e981p-5, -0x1.a7400668b33f5p-5, -0x1.9f2a030763834p-5, -0x1.97337ee4d88adp-5, -0x1.8f5c2bc3c51bcp-5, -0x1.87a3bb323c3d4p-5, -0x1.8009de8ecec7ep-5, -0x1.788e470c21016p-5, -0x1.7130a5b56166ap-5, -0x1.69f0ab753c4b9p-5, -0x1.62ce091f25f7fp-5, -0x1.5bc86f793edf5p-5, -0x1.54df8f45115b2p-5, -0x1.4e1319465fff1p-5, -0x1.4762be48156b8p-5, -0x1.40ce2f2020a23p-5, -0x1.3a551cb332bdbp-5, -0x1.33f737f9691a1p-5, -0x1.2db43204185a5p-5, -0x1.278bbc042f129p-5, -0x1.217d87508d309p-5, -0x1.1b89456c1e855p-5, -0x1.15aea80ba8f51p-5, -0x1.0fed611b50102p-5, -0x1.0a4522c37ddc5p-5, -0x1.04b59f6cfa9f1p-5, -0x1.fe7d13883122ep-6, -0x1.f3bf2975cf0fcp-6, -0x1.e930e715b6505p-6, -0x1.ded1b36d668b1p-6, -0x1.d4a0f61bc2913p-6, -0x1.ca9e1764476ap-6, -0x1.c0c8803e7e57fp-6, -0x1.b71f9a672327p-6, -0x1.ada2d06f4b9a5p-6, -0x1.a4518dc58f681p-6, -0x1.9b2b3eb6b2841p-6, -0x1.922f5066338a1p-6, -0x1.895d30c2662e7p-6, -0x1.80b44e7a538fdp-6, -0x1.783418fc3c1d2p-6, -0x1.6fdc0080fe7abp-6, -0x1.67ab7624bc112p-6, -0x1.5fa1ec078d865p-6, -0x1.57bed56d5ba9fp-6, -0x1.5001a6d284da8p-6, -0x1.4869d5ed0f208p-6, -0x1.40f6d9981d85ep-6, -0x1.39a829aee5321p-6, -0x1.327d3ee3418c4p-6, -0x1.2b75929f91005p-6, -0x1.24909f01e09e9p-6, -0x1.1dcddef79fdep-6, -0x1.172cce7697d5p-6, -0x1.10aceac500047p-6, -0x1.0a4db2baf1d8ap-6, -0x1.040ea6e65e4c8p-6, -0x1.fbde930283f18p-7, -0x1.efde3c6ebc661p-7, -0x1.e41b539134543p-7, -0x1.d894e3468aa0ap-7, -0x1.cd49f72f88239p-7, -0x1.c2399b86bccc6p-7, -0x1.b762dd83664dfp-7, -0x1.acc4cc3ddf5cbp-7, -0x1.a25e79ddedd1ap-7, -0x1.982efcbbd6a8bp-7, -0x1.8e3570160cedcp-7, -0x1.8470f41430c12p-7, -0x1.7ae0ad0017a2p-7, -0x1.7183c1dadc5a9p-7, -0x1.68595aabe0bfap-7, -0x1.5f609f07eb1acp-7, -0x1.5698b54b5a392p-7, -0x1.4e00c2d8776c4p-7, -0x1.4597ed6485ac2p-7, -0x1.3d5d5d0d1fb18p-7, -0x1.35503eac32a87p-7, -0x1.2d6fc5bff06b9p-7, -0x1.25bb2d4bb0bf8p-7, -0x1.1e31b7551d0ap-7, -0x1.16d2ab009b8b4p-7, -0x1.0f9d51b6f8497p-7, -0x1.0890f40e553fdp-7, -0x1.01acd750fc63fp-7, -0x1.f5e078c3cdc9dp-8, -0x1.e8b4c0d759a57p-8, -0x1.dbd4fe9d662a1p-8, -0x1.cf3fae8e62597p-8, -0x1.c2f359c614a5p-8, -0x1.b6ee9c706d648p-8, -0x1.ab3028dcd305ap-8, -0x1.9fb6c62643079p-8, -0x1.94814a7ea5cacp-8, -0x1.898e9256c4274p-8, -0x1.7edd768139aa8p-8, -0x1.746cc3cefdd83p-8, -0x1.6a3b366307befp-8, -0x1.60477a2452ed1p-8, -0x1.56903077c2617p-8, -0x1.4d13fa1381533p-8, -0x1.43d182a18e75ep-8, -0x1.3ac78b5729262p-8, -0x1.31f4f1cf3a342p-8, -0x1.2958b1526a557p-8, -0x1.20f1de0e7de86p-8, -0x1.18bf9b3514861p-8, -0x1.10c10e36429aap-8, -0x1.08f5520226128p-8, -0x1.015b6d4dca4bp-8, -0x1.f3e49c759d2e7p-9, -0x1.e57199210757p-9, -0x1.d75b64524fa8fp-9, -0x1.c99f8f5b075c8p-9, -0x1.bc3bc54c750d8p-9, -0x1.af2de33b907bfp-9, -0x1.a2740737a50a5p-9, -0x1.960c92d4de0a4p-9, -0x1.89f620f5d0476p-9, -0x1.7e2f7115bc25dp-9, -0x1.72b74c537a321p-9, -0x1.678c69c39cc08p-9, -0x1.5cad57f17b2fp-9, -0x1.521870b11160cp-9, -0x1.47cbda3119c41p-9, -0x1.3dc594e471594p-9, -0x1.3403927084f06p-9, -0x1.2a83cfbc24eccp-9, -0x1.21446c55bee62p-9, -0x1.1843bb2a94dfdp-9, -0x1.0f804aa258cc9p-9, -0x1.06f8e38ff1becp-9, -0x1.fd58fe2cc358cp-10, -0x1.ed3468fe633e7p-10, -0x1.dd82436b85517p-10, -0x1.ce40a69797aabp-10, -0x1.bf6d645d7934bp-10, -0x1.b105f82c5a23p-10, -0x1.a3078fe3df6a7p-10, -0x1.956f25fd3af4fp-10, -0x1.8839a10de314p-10, -0x1.7b63ef0fa5ecbp-10, -0x1.6eeb1aa016351p-10, -0x1.62cc5ea26831fp-10, -0x1.57053b7d3b9e8p-10, -0x1.4b93898c2f075p-10, -0x1.40757dcd013dbp-10, -0x1.35a997d2a5553p-10, -0x1.2b2e7b21a0892p-10, -0x1.2102c2c1ef6c6p-10, -0x1.1724e24c947cp-10, -0x1.0d931fce93656p-10, -0x1.044ba258f1a12p-10, -0x1.f6990923fa229p-11, -0x1.e527b400e7344p-11, -0x1.d43f44f433c19p-11, -0x1.c3db7218beaebp-11, -0x1.b3f7aa42a1b5ap-11, -0x1.a48f56dc35bep-11, -0x1.959e4861d255bp-11, -0x1.87210efd4bb34p-11, -0x1.79150306e05e6p-11, -0x1.6b77f3f1710a2p-11, -0x1.5e47b30fcf976p-11, -0x1.5181c85c264a1p-11, -0x1.45237d39f738bp-11, -0x1.392a286d01e04p-11, -0x1.2d9379a6dd8dap-11, -0x1.225d85c1bd7d9p-11, -0x1.17867e26af63p-11, -0x1.0d0c34df2ca4dp-11, -0x1.02ebb8d34e128p-11, -0x1.f242adf5d58bfp-12, -0x1.df522f37cb3dcp-12, -0x1.ccfef59a0bb39p-12, -0x1.bb44010e1dc8p-12, -0x1.aa1e3fc9fdfd6p-12, -0x1.998b63bccd4e7p-12, -0x1.89887358fbaa3p-12, -0x1.7a1117393877fp-12, -0x1.6b200a83a9845p-12, -0x1.5cb03db789747p-12, -0x1.4ebddb80c1408p-12, -0x1.414694f94584ep-12, -0x1.34490f1cb0bc4p-12, -0x1.27c3b91e3e504p-12, -0x1.1bb3a25960b75p-12, -0x1.1013f8ad31b99p-12, -0x1.04de925098c2ap-12, -0x1.f41aac761f668p-13, -0x1.df3783800b6e8p-13, -0x1.cb0f33c74091dp-13, -0x1.b7a099048cf5p-13, -0x1.a4ead6d34b46bp-13, -0x1.92eaa387addbp-13, -0x1.8199946116cep-13, -0x1.70ef5ee44cb9ep-13, -0x1.60e3d2043ae56p-13, -0x1.5170593c2b427p-13, -0x1.42906d467b715p-13, -0x1.3440f44171a69p-13, -0x1.267f2046af54ap-13, -0x1.194760ba46c65p-13, -0x1.0c94a6da22f2p-13, -0x1.0060470ae1c69p-13, -0x1.e945a8484940bp-14, -0x1.d2ab7cec81529p-14, -0x1.bce98b45a60d1p-14, -0x1.a7fc8e5972eb4p-14, -0x1.93e456549bcd7p-14, -0x1.80a05586602bp-14, -0x1.6e2d20a1be11ep-14, -0x1.5c84035c8f11dp-14, -0x1.4b9c7319f721fp-14, -0x1.3b6e1d15e4e79p-14, -0x1.2bf173a47e989p-14, -0x1.1d1e43c39b183p-14, -0x1.0eeaddacc3e6dp-14, -0x1.014da28314cb6p-14, -0x1.e87e84b7c5ecap-15, -0x1.cf76394fd77eep-15, -0x1.b77b44c159659p-15, -0x1.a084e9e2ec72ep-15, -0x1.8a871c01a1a88p-15, -0x1.7573ef99c45edp-15, -0x1.61400d87b4338p-15, -0x1.4de68757b9d0bp-15, -0x1.3b6789458fb2dp-15, -0x1.29c2af6f72a6bp-15, -0x1.18f2cb32e98e7p-15, -0x1.08efc42ec3cbfp-15, -0x1.f3663053b5549p-16, -0x1.d66ed3c5564fcp-16, -0x1.bae89484682a3p-16, -0x1.a0ba7c9889cd3p-16, -0x1.87c9a14a2cadcp-16, -0x1.6fff3cfe76c9ep-16, -0x1.594a798db79ffp-16, -0x1.439f3dcde57c4p-16, -0x1.2ef49abd5b0cp-16, -0x1.1b429ba74d32bp-16, -0x1.087dc86e83f53p-16, -0x1.ed2bda3c89732p-17, -0x1.cafd2bd975dbep-17, -0x1.aa6bb9bc62301p-17, -0x1.8b7958351abbdp-17, -0x1.6e17f2698df84p-17, -0x1.5230f15a64896p-17, -0x1.37ba8e81dd84ap-17, -0x1.1eb2d1575035bp-17, -0x1.070a9cdc4800cp-17, -0x1.e1491ad2f9c53p-18, -0x1.b6c67043058cep-18, -0x1.8e645e44573c8p-18, -0x1.680d1cad473f6p-18, -0x1.43b74988da09ap-18, -0x1.215ada42cf2d9p-18, -0x1.00e595b89c521p-18, -0x1.c46e28225925ep-19, -0x1.8a440b9f4aaeep-19, -0x1.52df7c2228eb6p-19, -0x1.1df4e407a9d95p-19, -0x1.d72859a7e73fap-20, -0x1.77d66fa3e34bbp-20, -0x1.1dbcb13d13185p-20, -0x1.9088df408d405p-21, -0x1.dcb0a5872d6dap-22, -0x1.53c1ed98d2da8p-23, 0x1.dfdb5552508ep-24, 0x1.8a3ccc88d3342p-22, 0x1.4739fb1a28dd1p-21, 0x1.c2ecc68dfed1bp-21, 0x1.1c54b2694c8bbp-20, 0x1.545fa651dea42p-20, 0x1.89b40aa5a5ce3p-20, 0x1.bc6ad2936dbddp-20, 0x1.ec9fbfdeca5d5p-20, 0x1.0d395da7bbb98p-19, 0x1.2303908b4dafap-19, 0x1.37c68b85c3f77p-19, 0x1.4b9e5d43bc054p-19, 0x1.5e9c71087ed73p-19, 0x1.70cd88150d9a6p-19, 0x1.824644ec41f45p-19, 0x1.93143a9af3672p-19, 0x1.a33794536363p-19, 0x1.b2b6ad9d672ffp-19, 0x1.c1a20241152d5p-19, 0x1.d008287c68687p-19, 0x1.ddf36be782eaap-19, 0x1.eb6f314321d34p-19, 0x1.f887008c1bcf5p-19, 0x1.02a0e7a18dec8p-18, 0x1.08d1bbf9e223p-18, 0x1.0ed8d82407a3cp-18, 0x1.14ba5e50b849bp-18, 0x1.1a79a3eaed18p-18, 0x1.201949ec219d5p-18, 0x1.259e0473d62e4p-18, 0x1.2b08cbd8fcf2bp-18, 0x1.3055051d4098ep-18, 0x1.3589b519d2c2p-18, 0x1.3aadc37d63176p-18, 0x1.3fbd934ad6dd3p-18, 0x1.44c0ed3a2103fp-18, 0x1.49c04439002eep-18, 0x1.4eb614cdd36e3p-18, 0x1.5399103b552fcp-18, 0x1.586667179295p-18, 0x1.5d249a2e37119p-18, 0x1.61db07d88d13ep-18, 0x1.6688a6bdebe7ep-18, 0x1.6b2a4d8cbf5ebp-18, 0x1.6fc48517a523p-18, 0x1.745cfe82c3ac3p-18, 0x1.78f2f5d11dd13p-18, 0x1.7d82b384d25c7p-18, 0x1.82084612b26a7p-18, 0x1.868266eaba7d8p-18, 0x1.8af99d4841e99p-18, 0x1.8f70b7f3af647p-18, 0x1.93da07e3d90bcp-18, 0x1.9838a11d4b407p-18, 0x1.9c88b39050afcp-18, 0x1.a0cd69e2941cep-18, 0x1.a51349401e47bp-18, 0x1.a95393347f807p-18, 0x1.ad87e50e72f6ep-18, 0x1.b1b0d1e30e902p-18, 0x1.b5d15016288dcp-18, 0x1.b9ec7b963a277p-18, 0x1.be0351e915985p-18, 0x1.c210b705da9b1p-18, 0x1.c60c1d46a6a22p-18, 0x1.c9f5eccc44072p-18, 0x1.cdd427ba49ccfp-18, 0x1.d1a292ef8bad4p-18, 0x1.d55d59abbfeccp-18, 0x1.d90caebf08c9ep-18, 0x1.dcb2446fab8cdp-18, 0x1.e048a012da7fep-18, 0x1.e3d64cac1f26cp-18, 0x1.e758af7df3a44p-18, 0x1.eabf29f3ba859p-18, 0x1.ee09f459ee779p-18, 0x1.f13dbc9867bb3p-18, 0x1.f467cd7165e09p-18, 0x1.f7806d2014926p-18, 0x1.fa81c14ed2f9fp-18, 0x1.fd6bfad802223p-18, 0x1.001fcc481e47p-17, 0x1.017e371796664p-17, 0x1.02d1038902486p-17, 0x1.0417f9b1c96cep-17, 0x1.0552f3a244425p-17, 0x1.0681dae575722p-17, 0x1.07a49e632d5c3p-17, 0x1.08bb4db8b9c84p-17, 0x1.09c67342a934ep-17, 0x1.0ac65859986d6p-17, 0x1.0bb8cc11febbp-17, 0x1.0c9bd6e433991p-17, 0x1.0d6fcc3f0c8dcp-17, 0x1.0e33dc270399ap-17, 0x1.0eed833850083p-17, 0x1.0f9cef6459c98p-17, 0x1.103aec1ee7a69p-17, 0x1.10c7d9d2e193p-17, 0x1.1148cd8f11894p-17, 0x1.11bb022ef93c9p-17, 0x1.121d20b7c2fbep-17, 0x1.126fc898bdfbep-17, 0x1.12b35212f70d5p-17, 0x1.12e7c618b4596p-17, 0x1.130d13a40ac98p-17, 0x1.132327d748d78p-17, 0x1.1329f7321a238p-17, 0x1.13217ec75b43dp-17, 0x1.1309bd3db1719p-17, 0x1.12e2a771d4611p-17, 0x1.12ac22fd2a3b5p-17, 0x1.12660b50dfc5ap-17, 0x1.12103f57e4b9cp-17, 0x1.11aabbdeed77ep-17, 0x1.1135aad3edfe3p-17, 0x1.10b11afe30f67p-17, 0x1.101caf5376903p-17, 0x1.0f78eb3939de3p-17, 0x1.0ec948cec1e01p-17, }}, 
      {{0x1.e4f0292197ae5p-2, 0x1.e8afdfed88937p-2, 0x1.eec311e4cde65p-2, 0x1.f6f30b3ca17f7p-2, 0x1.008026f287c55p-1, 0x1.0653a9e261fd1p-1, 0x1.0cd1f78c5159cp-1, 0x1.13d9d017b7333p-1, 0x1.1b4b8f7ff8f2fp-1, 0x1.2309a89de73b6p-1, 0x1.2af8ee3778e67p-1, 0x1.3300b72578ce5p-1, 0x1.3b0ae64f19215p-1, 0x1.4303de5d994bfp-1, 0x1.4ada67bac5527p-1, 0x1.527f8de3cf23fp-1, 0x1.59e677c5ded3bp-1, 0x1.61043dcebb40fp-1, 0x1.67cfbf90f18f7p-1, 0x1.6e417a411176bp-1, 0x1.745360e2138f1p-1, 0x1.7a00b6a0b2104p-1, 0x1.7f45eba483372p-1, 0x1.84207c7309979p-1, 0x1.888ed3e040aa7p-1, 0x1.8c902f7991c82p-1, 0x1.9024864d79987p-1, 0x1.934c71ea2a768p-1, 0x1.9609196cdbe97p-1, 0x1.985c1e7d09c27p-1, 0x1.9a478c0f30db2p-1, 0x1.9bcdc6cb01a69p-1, 0x1.9cf17ef2c1299p-1, 0x1.9db5a3ac02fd3p-1, 0x1.9e1d578c4bde5p-1, 0x1.9e2be64e57fccp-1, 0x1.9de4bb96d6d2bp-1, 0x1.9d4b5ab175b66p-1, 0x1.9c63573133eap-1, 0x1.9b304e60c2937p-1, 0x1.99b5e17166dc1p-1, 0x1.97f7b05879cf5p-1, 0x1.95f9554ca29eep-1, 0x1.93be60d55e3a4p-1, 0x1.914a56607f4dep-1, 0x1.8ea0a951957acp-1, 0x1.8bc4ba81b3841p-1, 0x1.88b9d623ee935p-1, 0x1.8583320787dadp-1, 0x1.8223ec2c3d3d6p-1, 0x1.7e9f09a39f47cp-1, 0x1.7af775b58d27p-1, 0x1.77300142a9788p-1, 0x1.734b625e63e25p-1, 0x1.6f4c3416633a7p-1, 0x1.6b34f666e1a16p-1, 0x1.67080e4ee4ca2p-1, 0x1.62c7c6091592ep-1, 0x1.5e764d5a03facp-1, 0x1.5a15b9f8b106bp-1, 0x1.55a80810706d4p-1, 0x1.512f1ac7018a2p-1, 0x1.4cacbcd79d7f9p-1, 0x1.4822a11d7a056p-1, 0x1.43926347b0dfep-1, 0x1.3efd888233cd8p-1, 0x1.3a6580371d8b8p-1, 0x1.35cba4ba793e2p-1, 0x1.31313bfae01e7p-1, 0x1.2c97783840bb6p-1, 0x1.27ff78c5f6918p-1, 0x1.236a4ad1e5dc5p-1, 0x1.1ed8ea218740ap-1, 0x1.1a4c41c2267a2p-1, 0x1.15c52cb18e28ep-1, 0x1.11447689501eap-1, 0x1.0ccadc31b7dd1p-1, 0x1.08590c98e334ap-1, 0x1.03efa9652e9ebp-1, 0x1.ff1e8f361648cp-2, 0x1.f670e067c4636p-2, 0x1.edd7415367b19p-2, 0x1.e55296fc10c0bp-2, 0x1.dce3b183ca2bap-2, 0x1.d48b4d416e405p-2, 0x1.cc4a13d8c98bdp-2, 0x1.c4209d4c8710cp-2, 0x1.bc0f71018ee7fp-2, 0x1.b41706aef8e33p-2, 0x1.ac37c73a762b8p-2, 0x1.a4720d8555575p-2, 0x1.9cc6272fb3b3ep-2, 0x1.95345557369f2p-2, 0x1.8dbccd545291fp-2, 0x1.865fb97686c27p-2, 0x1.7f1d39bdde5e8p-2, 0x1.77f5648ea8f31p-2, 0x1.70e8475c64632p-2, 0x1.69f5e749cd81cp-2, 0x1.631e41bd00067p-2, 0x1.5c614ce85aa0ap-2, 0x1.55bef8496ed02p-2, 0x1.4f372d1ffb90dp-2, 0x1.48c9cedecdd73p-2, 0x1.4276bb98123edp-2, 0x1.3c3dcc65fe619p-2, 0x1.361ed5d00cc51p-2, 0x1.3019a82cf1325p-2, 0x1.2a2e10005f727p-2, 0x1.245bd6546e57dp-2, 0x1.1ea2c10dffc8fp-2, 0x1.1902933b79eb6p-2, 0x1.137b0d5e46dd1p-2, 0x1.0e0bedaea43b9p-2, 0x1.08b4f05a4e55fp-2, 0x1.0375cfbeb05bbp-2, 0x1.fc9c893d0e2p-3, 0x1.f27c0ca827c37p-3, 0x1.e8899600394edp-3, 0x1.dec48f6b61ee8p-3, 0x1.d52c61479b653p-3, 0x1.cbc07278d4722p-3, 0x1.c28028b1fd4fap-3, 0x1.b96ae8baaf237p-3, 0x1.b08016afe28e9p-3, 0x1.a7bf164011b85p-3, 0x1.9f274ae4019bap-3, 0x1.96b81812dd4d9p-3, 0x1.8e70e171f50a5p-3, 0x1.86510b0145f1dp-3, 0x1.7e57f944072dfp-3, 0x1.7685116525a34p-3, 0x1.6ed7b95908be4p-3, 0x1.674f57fc5ade7p-3, 0x1.5feb552f47c2dp-3, 0x1.58ab19ee74a88p-3, 0x1.518e106a2557p-3, 0x1.4a93a41a668dep-3, 0x1.43bb41d130988p-3, 0x1.3d0457cb84a37p-3, 0x1.366e55c0539a1p-3, 0x1.2ff8aced50da9p-3, 0x1.29a2d0231b256p-3, 0x1.236c33cff5e05p-3, 0x1.1d544e088a551p-3, 0x1.175a968fe3e73p-3, 0x1.117e86de8cdf3p-3, 0x1.0bbf9a2823c79p-3, 0x1.061d4d6005ef6p-3, 0x1.00971f3d42162p-3, 0x1.f659207b0bb1ap-4, 0x1.ebba454e5cafp-4, 0x1.e150b515a106ap-4, 0x1.d71b7b8794825p-4, 0x1.cd19a7f078833p-4, 0x1.c34a4d3165d7dp-4, 0x1.b9ac81be326a2p-4, 0x1.b03f5f99b7c03p-4, 0x1.a7020451ff1a1p-4, 0x1.9df390fbfb358p-4, 0x1.95132a2d8881fp-4, 0x1.8c5ff7f6c634p-4, 0x1.83d925dbc1adcp-4, 0x1.7b7de2cd71475p-4, 0x1.734d612153fecp-4, 0x1.6b46d6890aa61p-4, 0x1.63697c0a57743p-4, 0x1.5bb48df63cc1dp-4, 0x1.54274bdf349cdp-4, 0x1.4cc0f88fd1354p-4, 0x1.4580da01ae644p-4, 0x1.3e66395378b15p-4, 0x1.377062be4b488p-4, 0x1.309ea58bb9498p-4, 0x1.29f0540c40fe5p-4, 0x1.2364c38cdf4c6p-4, 0x1.1cfb4c4bf7725p-4, 0x1.16b3496ee0239p-4, 0x1.108c18f82a6a2p-4, 0x1.0a851bbd5a362p-4, 0x1.049db55bc522fp-4, 0x1.fdaa985b74d5bp-5, 0x1.f25692812d2f2p-5, 0x1.e73e3095cae49p-5, 0x1.dc604f43880adp-5, 0x1.d1bbd05c041cbp-5, 0x1.c74f9ac3ce6f6p-5, 0x1.bd1a9a5f12ebcp-5, 0x1.b31bbffddb1e7p-5, 0x1.a952014768783p-5, 0x1.9fbc58a5c9aa5p-5, 0x1.9659c5326f739p-5, 0x1.8d294aa34888bp-5, 0x1.8429f1379b572p-5, 0x1.7b5ac5a49d48ap-5, 0x1.72bad902803e8p-5, 0x1.6a4940ba0bbbfp-5, 0x1.620516725dd2p-5, 0x1.59ed77fea3403p-5, 0x1.5201874c0ee9ep-5, 0x1.4a406a506024dp-5, 0x1.42a94af8b4533p-5, 0x1.3b3b57183bfdcp-5, 0x1.33f5c056dd485p-5, 0x1.2cd7bc20523f8p-5, 0x1.25e08394084fbp-5, 0x1.1f0f53756240dp-5, 0x1.18636c1bc4b68p-5, 0x1.11dc116248f85p-5, 0x1.0b788a97b99cep-5, 0x1.0538226f684bap-5, 0x1.fe344de58c209p-6, 0x1.f23bd2e625197p-6, 0x1.e6857cf516325p-6, 0x1.db0ffb7abcdbap-6, 0x1.cfda041631f6bp-6, 0x1.c4e252820db32p-6, 0x1.ba27a87a87bf6p-6, 0x1.afa8cda379378p-6, 0x1.a5648f6d47364p-6, 0x1.9b59c0f982cf3p-6, 0x1.91873b004ec51p-6, 0x1.87ebdbb7b9931p-6, 0x1.7e8686bc5df8p-6, 0x1.755624f9ff49ap-6, 0x1.6c59a4934aee7p-6, 0x1.638ff8c90bb29p-6, 0x1.5af819e203e31p-6, 0x1.529105143fe1fp-6, 0x1.4a59bc6fd26c3p-6, 0x1.425146c9e5518p-6, 0x1.3a76afa74c359p-6, 0x1.32c907266f236p-6, 0x1.2b4761e96175cp-6, 0x1.23f0d900f8e3cp-6, 0x1.1cc489d92bc47p-6, 0x1.15c1962630221p-6, 0x1.0ee723d197fc8p-6, 0x1.08345ce6f5375p-6, 0x1.01a86f804cf96p-6, 0x1.f6851b65d581dp-7, 0x1.ea03dafa483fep-7, 0x1.ddcb916a03c06p-7, 0x1.d1dab9eeba84fp-7, 0x1.c62fd72de5607p-7, 0x1.bac973166e681p-7, 0x1.afa61ebe601e6p-7, 0x1.a4c472414e637p-7, 0x1.9a230ca032f16p-7, 0x1.8fc093a2786fp-7, 0x1.859bb3b7e2776p-7, 0x1.7bb31fda5f1ccp-7, 0x1.7205916ff8ca6p-7, 0x1.6891c82ca65f2p-7, 0x1.5f5689f4d676cp-7, 0x1.5652a2c0e4528p-7, 0x1.4d84e48187456p-7, 0x1.44ec2704ea72bp-7, 0x1.3c8747dc0d2b7p-7, 0x1.34552a4042663p-7, 0x1.2c54b6f8d6126p-7, 0x1.2484dc4110275p-7, 0x1.1ce48daed40e9p-7, 0x1.1572c41a28faap-7, 0x1.0e2e7d851efc2p-7, 0x1.0716bd04541bbp-7, 0x1.002a8aa79f082p-7, 0x1.f2d1e6c5db1dp-8, 0x1.e5a211eeccf8cp-8, 0x1.d8c3c3b9fd43p-8, 0x1.cc35325910cd6p-8, 0x1.bff49d14aa1c8p-8, 0x1.b4004c228a473p-8, 0x1.a856907c6371p-8, 0x1.9cf5c3b73bab4p-8, 0x1.91dc47db3cc37p-8, 0x1.8708873c270bfp-8, 0x1.7c78f452713f6p-8, 0x1.722c09952dfccp-8, 0x1.68204954b8443p-8, 0x1.5e543d9610281p-8, 0x1.54c677eedbdfp-8, 0x1.4b759161fdbd5p-8, 0x1.42602a3ca37e7p-8, 0x1.3984e9f421e8cp-8, 0x1.30e27f043d175p-8, 0x1.28779ece29695p-8, 0x1.2043057812fd7p-8, 0x1.184375cd1c857p-8, 0x1.1077b91dcd481p-8, 0x1.08de9f20f002fp-8, 0x1.0176fdd502794p-8, 0x1.f47f62c4a3ac7p-9, 0x1.e66f37fbaaacep-9, 0x1.d8bb4b996c18ep-9, 0x1.cb617990b9d22p-9, 0x1.be5fa945c17e4p-9, 0x1.b1b3cd5756555p-9, 0x1.a55be36855f5p-9, 0x1.9955f3e9836dp-9, 0x1.8da011e462feep-9, 0x1.82385ac70d917p-9, 0x1.771cf632c2233p-9, 0x1.6c4c15cb5fbcep-9, 0x1.61c3f50919a82p-9, 0x1.5782d90a75f5ep-9, 0x1.4d871066369fdp-9, 0x1.43cef2fcab3b9p-9, 0x1.3a58e1c82960bp-9, 0x1.312346ada2553p-9, 0x1.282c944e48115p-9, 0x1.1f7345db7619dp-9, 0x1.16f5deedabab8p-9, 0x1.0eb2eb5e66ccep-9, 0x1.06a8ff23bcab6p-9, 0x1.fdad6c582adfp-10, 0x1.ee7568708b97bp-10, 0x1.dfa749660100cp-10, 0x1.d140750b8e763p-10, 0x1.c33e5fd97c1c4p-10, 0x1.b59e8c97f4a6dp-10, 0x1.a85e8c10f3801p-10, 0x1.9b7bfccd8aa14p-10, 0x1.8ef48add916cap-10, 0x1.82c5efa6ace89p-10, 0x1.76edf1b3dbb55p-10, 0x1.6b6a647e2a1c9p-10, 0x1.603928296b2dap-10, 0x1.55582933de8c1p-10, 0x1.4ac5601caabe9p-10, 0x1.407ed1095007cp-10, 0x1.36828b7477295p-10, 0x1.2ccea9ee046f2p-10, 0x1.236151efeaba1p-10, 0x1.1a38b3c570906p-10, 0x1.11530a7aeb699p-10, 0x1.08ae9bc99f901p-10, 0x1.0049b7f385de4p-10, 0x1.f045730d0ac3fp-11, 0x1.e0700a0f336cep-11, 0x1.d110111b6bcdbp-11, 0x1.c22276b6317f5p-11, 0x1.b3a43b0a4c90ap-11, 0x1.a5926f702ba3ep-11, 0x1.97ea36380fd18p-11, 0x1.8aa8c2ae1e1d4p-11, 0x1.7dcb593e87428p-11, 0x1.714f4f93ba952p-11, 0x1.65320c8ba52e8p-11, 0x1.597107ebd1004p-11, 0x1.4e09c9c69934bp-11, 0x1.42f9e9ac41524p-11, 0x1.383f0dc0540c7p-11, 0x1.2dd6e9e2ae74cp-11, 0x1.23bf3f1254989p-11, 0x1.19f5db2019a74p-11, 0x1.107898b1f3202p-11, 0x1.07455f80c3b7cp-11, 0x1.fcb4495548f4ep-12, 0x1.eb69d5e2d6fc6p-12, 0x1.daa785884a25cp-12, 0x1.ca6993feab47fp-12, 0x1.baac56c4ebe8bp-12, 0x1.ab6c3b98d744cp-12, 0x1.9ca5c6bcf5e67p-12, 0x1.8e55915ddd1d3p-12, 0x1.807848641fbbcp-12, 0x1.730aabde44b23p-12, 0x1.66098efed1cd7p-12, 0x1.5971d87d1c607p-12, 0x1.4d408313c1314p-12, 0x1.41729de0bcefdp-12, 0x1.36054c8724428p-12, 0x1.2af5c70b655cp-12, 0x1.2041596823b5ap-12, 0x1.15e562d89d66cp-12, 0x1.0bdf54d84c2f8p-12, 0x1.022cb1f45edefp-12, 0x1.f196194b47199p-13, 0x1.df700ce794774p-13, 0x1.cde29f0fbadf1p-13, 0x1.bce94d2f556f1p-13, 0x1.ac7fb1caf9be7p-13, 0x1.9ca1842b2642ap-13, 0x1.8d4a97a27fe61p-13, 0x1.7e76dadf52d45p-13, 0x1.702257ce0e55fp-13, 0x1.6249343195e1bp-13, 0x1.54e7b2728852dp-13, 0x1.47fa31db2facap-13, 0x1.3b7d2dc18c533p-13, 0x1.2f6d3bd277276p-13, 0x1.23c70a3b2d5dcp-13, 0x1.18875e6b142d8p-13, 0x1.0dab14742cc4cp-13, 0x1.032f1e715e884p-13, 0x1.f2210647bd70bp-14, 0x1.de98b762eaa85p-14, 0x1.cbbfa2cfb6432p-14, 0x1.b990399d5d22fp-14, 0x1.a8050d8a556c8p-14, 0x1.9718d64829331p-14, 0x1.86c676d013737p-14, 0x1.7708ffedc1179p-14, 0x1.67dbaf0cad3d9p-14, 0x1.5939eaab96133p-14, 0x1.4b1f3ee6828d6p-14, 0x1.3d875b92e0bc7p-14, 0x1.306e1378e48e5p-14, 0x1.23cf5aac3e55ap-14, 0x1.17a74274fc6efp-14, 0x1.0bf1f34271bdfp-14, 0x1.00aba738852a1p-14, 0x1.eba15085025e5p-15, 0x1.d6baa5ae635aap-15, 0x1.c29c37940bd12p-15, 0x1.af3f2bd468c5p-15, 0x1.9c9ce96861034p-15, 0x1.8aaf1769a5a18p-15, 0x1.796f98b5976a5p-15, 0x1.68d88861c14aep-15, 0x1.58e438062d9c1p-15, 0x1.498d2decc11p-15, 0x1.3ace20a8cab81p-15, 0x1.2ca1eff65fb5ep-15, 0x1.1f039d16900bfp-15, 0x1.11ee454e6f28ep-15, 0x1.055d1fb5c52bfp-15, 0x1.f296fc75c6859p-16, 0x1.db69a1dd97f9dp-16, 0x1.c52953ac41a96p-16, 0x1.afcd7dee9e188p-16, 0x1.9b4dd3e93764dp-16, 0x1.87a24feb5ae0cp-16, 0x1.74c339e5fc665p-16, 0x1.62a931dfe0b97p-16, 0x1.514d3147c3ebdp-16, 0x1.40a87b7177574p-16, 0x1.30b4816c4575bp-16, 0x1.216acd1ede9fbp-16, 0x1.12c504aba7eaap-16, 0x1.04bcff72f0e72p-16, 0x1.ee99b0736cb12p-17, 0x1.d4dddb0d061acp-17, 0x1.bc3ba6c705cc6p-17, 0x1.a4a8882d2358bp-17, 0x1.8e1a2e7eef53ap-17, 0x1.78867c5c78655p-17, 0x1.63e38cc58933ap-17, 0x1.5027d05b713ap-17, 0x1.3d4a3f89ceb8p-17, 0x1.2b427b74762bap-17, 0x1.1a08b117a1438p-17, 0x1.099541de7a92p-17, 0x1.f3c0e21cc89adp-18, 0x1.d5c4b459701b8p-18, 0x1.b9266b31fa07p-18, 0x1.9dd759ac2a93dp-18, 0x1.83c9f76294729p-18, 0x1.6af1a59f91089p-18, 0x1.5342460f07085p-18, 0x1.3caff522215bbp-18, 0x1.272efbb8f2462p-18, 0x1.12b3d8d110278p-18, 0x1.fe669b82d24d7p-19, 0x1.d9450606631fdp-19, 0x1.b5eeae1286708p-19, 0x1.94513da1219dbp-19, 0x1.745bf6ddf3d49p-19, 0x1.55fe85681b3fcp-19, 0x1.3927e9f16db95p-19, 0x1.1dc670480c1f2p-19, 0x1.03c89954df80ep-19, 0x1.d63c0daf8111p-20, 0x1.a76f71b3dc255p-20, 0x1.7b0f698467595p-20, 0x1.510107fae8eacp-20, 0x1.2929b1c45a951p-20, 0x1.036f0d6730652p-20, 0x1.bf6f2072582f1p-21, 0x1.7bd626e3e8ea6p-21, 0x1.3be5dd2e9d3c9p-21, 0x1.fee76cc0624f4p-22, 0x1.8cb062cad852ep-22, 0x1.20ddef71f0e7ap-22, 0x1.7655f189c3823p-23, 0x1.6d46a2cddbb83p-24, 0x1.0a748dc15e94dp-30, -0x1.4fc2df263d7dap-24, -0x1.47c2bd4fb31eep-23, -0x1.de09485ecd731p-23, -0x1.3594e9363592ap-22, -0x1.77ca3b985e432p-22, -0x1.b5da90f4e689dp-22, -0x1.effaf274a3651p-22, -0x1.13302856d764p-21, -0x1.2c9f528886518p-21, -0x1.4463766e6d86ep-21, -0x1.5a92e1e84d10fp-21, -0x1.6f41cec77cd44p-21, -0x1.8282e24eed1f9p-21, -0x1.94678cca06ef1p-21, -0x1.a500a1e851cc8p-21, -0x1.b45f30a7874d7p-21, -0x1.c294514b9c69fp-21, -0x1.cfafbaa458057p-21, -0x1.dbbf2fe4d8311p-21, -0x1.e6cfb6da8aaccp-21, -0x1.f0eeac2da10cap-21, -0x1.fa295f5affd6p-21, -0x1.01463203c01b3p-20, -0x1.0511c572e5447p-20, -0x1.087d0de8a4a7ap-20, -0x1.0b8d7bd195ae2p-20, -0x1.0e48467b9cd63p-20, -0x1.10b249c83d598p-20, -0x1.12cfeb0992cd2p-20, -0x1.14a53c030791ep-20, -0x1.16364c04af869p-20, -0x1.178740b6b448ap-20, -0x1.189c18789c5ffp-20, -0x1.19787dad1348p-20, -0x1.1a1fb5d4fe17ep-20, -0x1.1a94802b345a9p-20, -0x1.1ad945164fe65p-20, -0x1.1af08ac97b8d3p-20, -0x1.1add017f8157ep-20, -0x1.1aa135d31e64bp-20, -0x1.1a3f7f606d626p-20, -0x1.19ba1bdec9339p-20, -0x1.19132e698918ap-20, -0x1.184cb40775235p-20, -0x1.17688384e4fd7p-20, -0x1.1668512e34defp-20, -0x1.154dae78ae5b9p-20, -0x1.141a0a27f89f7p-20, -0x1.12ceb9a3e0654p-20, -0x1.116d0a809f3a2p-20, -0x1.0ff6495fa5d2cp-20, -0x1.0e6bb5a61b3e4p-20, -0x1.0cce76e2cdfa5p-20, -0x1.0b1f9866a7248p-20, -0x1.096003166c10bp-20, -0x1.07908d0bee49bp-20, -0x1.05b20bd83c5abp-20, -0x1.03c545c424782p-20, -0x1.01cae4cab47cbp-20, -0x1.ff870b720f43cp-21, -0x1.fb5f8ad1b2b0dp-21, -0x1.f7207dea63ca5p-21, -0x1.f2cb0abcd6f1ap-21, -0x1.ee603c25e2544p-21, -0x1.e9e0f952bdca1p-21, -0x1.e54e0ac5c6be9p-21, -0x1.e0a831dc7045p-21, -0x1.dbf03a44f5dep-21, -0x1.d726e99643e0ep-21, -0x1.d24cd34fbe1a9p-21, -0x1.cd624e37db005p-21, -0x1.c867b063278e8p-21, -0x1.c35d75ba49405p-21, -0x1.be4434cc6832ap-21, -0x1.b91c97b46a8fp-21, -0x1.b3e7141fdbecdp-21, -0x1.aea3e15382fafp-21, -0x1.a9534e34d1129p-21, -0x1.a3f5a41fab978p-21, -0x1.9e8afbfcb904ep-21, -0x1.991360cf23285p-21, -0x1.938ef79325d25p-21, -0x1.8dfe15f0928d5p-21, -0x1.88612ee44f05ap-21, -0x1.82b89e48d38ccp-21, -0x1.7d049586b90e3p-21, -0x1.7745356d758e4p-21, -0x1.717a9f2ea4399p-21, -0x1.6ba4fabe038dfp-21, -0x1.65c476ce38a27p-21, -0x1.5fd922712e271p-21, -0x1.59e2e7256e798p-21, -0x1.53e1e6b256dfbp-21, -0x1.4dd681f885fd3p-21, -0x1.47c0ee9410293p-21, -0x1.41a16a2864819p-21, -0x1.3b78004755002p-21, -0x1.3544dccc66b7p-21, -0x1.2f084b0beaa0fp-21, -0x1.28c25d357d097p-21, -0x1.2273243198176p-21, -0x1.1c1ac98baccf1p-21, -0x1.15b98552d306ap-21, -0x1.0f4f914df681dp-21, -0x1.08dd1daa7af74p-21, -0x1.02624d5dcf591p-21, -0x1.f7be89b6d5403p-22, -0x1.eaa888f3ac5a6p-22, -0x1.dd832b1ae2a44p-22, -0x1.d04ec0e3b822ep-22, -0x1.c30b9e9751af1p-22, -0x1.b5ba5d73378d5p-22, -0x1.a85b6032e9ba3p-22, -0x1.9aeee563d783bp-22, -0x1.8d75bb56f6e27p-22, -0x1.7ff08ed919461p-22, -0x1.725f831707438p-22, -0x1.64c30f6a8caccp-22, -0x1.571be17d60d2p-22, -0x1.496ae3e6ca516p-22, -0x1.3bb08702149ap-22, -0x1.2ded3ccb1d93ep-22, -0x1.20219452a49e5p-22, -0x1.124e2095288d5p-22, -0x1.0473797b2abdap-22, -0x1.ed248524c49edp-23, -0x1.d1565ebfd6fe9p-23, -0x1.b57e0216fca9cp-23, -0x1.999cf5e66ccdbp-23, -0x1.7db4a4c04c25cp-23, -0x1.61c63b6c4952bp-23, -0x1.45d2b9be37856p-23, -0x1.29db331fcdbe8p-23, -0x1.0de0f86471473p-23, -0x1.e3cb4db6ea774p-24, -0x1.abd58fcaed0e5p-24, -0x1.73e3662aa5467p-24, -0x1.3bf865c5e9454p-24, -0x1.0416ecc30a4b7p-24, -0x1.98811c9767bc5p-25, -0x1.28f11b9f9b21dp-25, -0x1.730bce1e34152p-26, -0x1.291220f7f05a1p-27, 0x1.266d410b3860fp-28, 0x1.275576ed8addcp-26, 0x1.024ce231595a9p-25, 0x1.70ae5e900da7bp-25, 0x1.dec972344ab3cp-25, 0x1.264c238ecfc3dp-24, 0x1.5d0a7804e5765p-24, 0x1.939cb3ca0fe83p-24, 0x1.c9ffda7fffd3fp-24, 0x1.001887835a051p-23, 0x1.1b16cd84b3bd9p-23, 0x1.35f96ddf89e47p-23, 0x1.50bf132eaebf3p-23, 0x1.6b66555626f5dp-23, 0x1.85edb2697cebdp-23, 0x1.a053aaaaefb15p-23, 0x1.ba96e33ad357bp-23, 0x1.d4b60dd256c1ap-23, 0x1.eeafab5cfc663p-23, }}, 
      {{0x1.e90ae9a0212ap-11, 0x1.e45be41623691p-9, 0x1.0b3118be86001p-7, 0x1.cdc16a126cd9fp-7, 0x1.5c38900846c5cp-6, 0x1.e1696aacef304p-6, 0x1.393dccf591ffdp-5, 0x1.85e8e3873812fp-5, 0x1.d51605ef44f56p-5, 0x1.12a84d283d1e4p-4, 0x1.3aa5f7dcd9c12p-4, 0x1.61f0a9bb21d88p-4, 0x1.8807a4f341a21p-4, 0x1.ac7c8f964b0adp-4, 0x1.cef314267d831p-4, 0x1.ef202bb8b09f1p-4, 0x1.0664833fc1aefp-3, 0x1.13e0d060906a5p-3, 0x1.1ff58fd337a7fp-3, 0x1.2a990a91cdfd5p-3, 0x1.33c663d12fb49p-3, 0x1.3b7cc9f4e3ca1p-3, 0x1.41bebc4f3a263p-3, 0x1.469169bd56b0cp-3, 0x1.49fc2929f443ep-3, 0x1.4c080aaf7bafp-3, 0x1.4cbf7ea7dc3c6p-3, 0x1.4c2e0f2c5e3bdp-3, 0x1.4a60287505f6ap-3, 0x1.4762ecc03b2e4p-3, 0x1.434410d5acf5dp-3, 0x1.3e11beb2c490ep-3, 0x1.37da7c6919132p-3, 0x1.30ad15ae3557dp-3, 0x1.289887084d6abp-3, 0x1.1fabe9e1f6b6cp-3, 0x1.15f6612039f21p-3, 0x1.0b8706137b44ap-3, 0x1.006cd5c785efdp-3, 0x1.e96d3db742e75p-4, 0x1.d0e5e041ec77bp-4, 0x1.b760104eb7805p-4, 0x1.9cf78c16753adp-4, 0x1.81c737acc802ep-4, 0x1.65e90478c091ep-4, 0x1.4975dcb0aa9abp-4, 0x1.2c8592a12a80ep-4, 0x1.0f2ed27c37ae9p-4, 0x1.e30e33c703698p-5, 0x1.a74561e468b7p-5, 0x1.6b294e37ecf1cp-5, 0x1.2eddabb53403p-5, 0x1.e5077a216cfe4p-6, 0x1.6c74e12c534e9p-6, 0x1.e8795c52c20c4p-7, 0x1.f24eb3a73e1e7p-8, 0x1.6a8bb420d182dp-12, -0x1.c14d974a402cdp-8, -0x1.ca79a33ff7719p-7, -0x1.58ed4c28c702ap-6, -0x1.cb43ce9c2ecdfp-6, -0x1.1e112f34d4782p-5, -0x1.55b72346d1c11p-5, -0x1.8c87c50170ab1p-5, -0x1.c278729f9e609p-5, -0x1.f77fc3c2c7c9dp-5, -0x1.15cab7277d5f7p-4, -0x1.2f591db41dd82p-4, -0x1.4867f307df7ecp-4, -0x1.60f48902ceec1p-4, -0x1.78fc9a58db37ep-4, -0x1.907e43d44ffcfp-4, -0x1.a777fd14a67d6p-4, -0x1.bde892210c42ep-4, -0x1.d3cf1dd452516p-4, -0x1.e92b04a57fd92p-4, -0x1.fdfbefe7bc61dp-4, -0x1.0920e4aa809f7p-3, -0x1.12fe5b6ebd342p-3, -0x1.1c968b57dfca1p-3, -0x1.25e9bdb9c6075p-3, -0x1.2ef85453c22b3p-3, -0x1.37c2c78ba970cp-3, -0x1.4049a4aed50b4p-3, -0x1.488d8c38ce7ddp-3, -0x1.508f3022404a4p-3, -0x1.584f523ddc79dp-3, -0x1.5fcec2a9e5343p-3, -0x1.670e5e5987aaep-3, -0x1.6e0f0db837059p-3, -0x1.74d1c363e9819p-3, -0x1.7b577afbd5508p-3, -0x1.81a137fe9764bp-3, -0x1.87b004b55b8fbp-3, -0x1.8d84f12b2aed3p-3, -0x1.9321122fd6815p-3, -0x1.9885806915436p-3, -0x1.9db357727f597p-3, -0x1.a2abb50f0cb2ap-3, -0x1.a76fb86aa1296p-3, -0x1.ac00816d4f098p-3, -0x1.b05f301c9e63fp-3, -0x1.b48ce409a7167p-3, -0x1.b88abbcb68df7p-3, -0x1.bc59d47f89472p-3, -0x1.bffb4955bd995p-3, -0x1.c370331fe0437p-3, -0x1.c6b9a7e9d1263p-3, -0x1.c9d8ba98c7231p-3, -0x1.ccce7a90bd9c4p-3, -0x1.cf9bf3633a7ep-3, -0x1.d2422c853ba03p-3, -0x1.d4c2290e32cfp-3, -0x1.d71ce77e882b8p-3, -0x1.d953618f08e46p-3, -0x1.db668c0718202p-3, -0x1.dd575698a5a55p-3, -0x1.df26abc5662dfp-3, -0x1.e0d570c6485a8p-3, -0x1.e264857786156p-3, -0x1.e3d4c44f27f88p-3, -0x1.e527024fc90c5p-3, -0x1.e65c0f0172f39p-3, -0x1.e774b4765ae6dp-3, -0x1.e871b74609744p-3, -0x1.e953d6917a082p-3, -0x1.ea1bcc13db04bp-3, -0x1.eaca4c267dcaep-3, -0x1.eb6005cd8e291p-3, -0x1.ebdda2d307c58p-3, -0x1.ec43c7d50e7c7p-3, -0x1.ec93145761087p-3, -0x1.eccc22e56b36bp-3, -0x1.ecef892c8a843p-3, -0x1.ecfdd80f6e3bbp-3, -0x1.ecf79bc9b73f7p-3, -0x1.ecdd5c15d392cp-3, -0x1.ecaf9c437e07ep-3, -0x1.ec6edb56878d5p-3, -0x1.ec1b9433a8ccep-3, -0x1.ebb63dbeaa80cp-3, -0x1.eb3f4af2acc52p-3, -0x1.eab72b0c6f912p-3, -0x1.ea1e49b206996p-3, -0x1.e9750f0ab6331p-3, -0x1.e8bbdfdf754fbp-3, -0x1.e7f31dc51b92ap-3, -0x1.e71b273b11fc7p-3, -0x1.e63457c54da52p-3, -0x1.e53f080f4dacbp-3, -0x1.e43b8e0ec83fcp-3, -0x1.e32a3d1f2f61dp-3, -0x1.e20b661dfd63dp-3, -0x1.e0df57896c98fp-3, -0x1.dfa65d9cc0488p-3, -0x1.de60c26b01cc2p-3, -0x1.dd0ecdfa419fep-3, -0x1.dbb0c65d6620bp-3, -0x1.da46efcb8c693p-3, -0x1.d8d18cb7c58a2p-3, -0x1.d750ddea84875p-3, -0x1.d5c52298fe533p-3, -0x1.d42e9877463a8p-3, -0x1.d28d7bc9dcb1ep-3, -0x1.d0e2077d3442dp-3, -0x1.cf2c753dee4f7p-3, -0x1.cd6cfd86e527cp-3, -0x1.cba3d7a9ad122p-3, -0x1.c9d139e152901p-3, -0x1.c7f5596d8814p-3, -0x1.c6106aa210cfap-3, -0x1.c422a0e6dcd9ep-3, -0x1.c22c2ebf7fb1cp-3, -0x1.c02d45e578601p-3, -0x1.be26175fdc36fp-3, -0x1.bc16d384339a5p-3, -0x1.b9ffa9ef91fbep-3, -0x1.b7e0c99390242p-3, -0x1.b5ba60d3710aap-3, -0x1.b38c9d9393ae8p-3, -0x1.b157ad30922cdp-3, -0x1.af1bbc76a8179p-3, -0x1.acd8f7b0d360cp-3, -0x1.aa8f8ac49251fp-3, -0x1.a83fa13cfbcep-3, -0x1.a5e9663e708ecp-3, -0x1.a38d047aee3b2p-3, -0x1.a12aa63d49f7bp-3, -0x1.9ec27583070fap-3, -0x1.9c549c0987c72p-3, -0x1.99e1434332abap-3, -0x1.9768944672453p-3, -0x1.94eab7cf687edp-3, -0x1.9267d6563c317p-3, -0x1.8fe01822b5f37p-3, -0x1.8d53a548d4018p-3, -0x1.8ac2a594ac217p-3, -0x1.882d407eba52fp-3, -0x1.85939d384e5bdp-3, -0x1.82f5e2c3d075ap-3, -0x1.805437fee5e98p-3, -0x1.7daec3944046ap-3, -0x1.7b05abe55fac2p-3, -0x1.785917050f036p-3, -0x1.75a92ac95e1d9p-3, -0x1.72f60ce1e8358p-3, -0x1.703fe2db01933p-3, -0x1.6d86d20acc6aap-3, -0x1.6acaff7b997a9p-3, -0x1.680c8fe96188dp-3, -0x1.654ba7d43aa57p-3, -0x1.62886b945da65p-3, -0x1.5fc2ff5b57607p-3, -0x1.5cfb87217821p-3, -0x1.5a322690f40c7p-3, -0x1.57670101a148cp-3, -0x1.549a3987dedbp-3, -0x1.51cbf307236c7p-3, -0x1.4efc50360ebf8p-3, -0x1.4c2b73906a289p-3, -0x1.49597f43650afp-3, -0x1.4686952457939p-3, -0x1.43b2d6b86c408p-3, -0x1.40de6544976c7p-3, -0x1.3e0961d6aec0bp-3, -0x1.3b33ed3faee64p-3, -0x1.385e2803eaaeap-3, -0x1.3588324d797f7p-3, -0x1.32b22bea37647p-3, -0x1.2fdc345517703p-3, -0x1.2d066ac192323p-3, -0x1.2a30ee1f341c1p-3, -0x1.275bdd126653ap-3, -0x1.248755e7d1a71p-3, -0x1.21b3768aee43bp-3, -0x1.1ee05c8541511p-3, -0x1.1c0e250520033p-3, -0x1.193cece59dbep-3, -0x1.166cd0b11d26bp-3, -0x1.139dec9c7e0c5p-3, -0x1.10d05c7e178d1p-3, -0x1.0e043bc6031fap-3, -0x1.0b39a57bc9144p-3, -0x1.0870b441b1679p-3, -0x1.05a9825a575dap-3, -0x1.02e429ac015ep-3, -0x1.0020c3bf4c8b2p-3, -0x1.fabed3739bdcp-4, -0x1.f54068af78ecdp-4, -0x1.efc677cfaf36p-4, -0x1.ea513096814b2p-4, -0x1.e4e0c1f0e1d81p-4, -0x1.df7559fd906bap-4, -0x1.da0f26104f05dp-4, -0x1.d4ae52af02bd1p-4, -0x1.cf530b8a1140bp-4, -0x1.c9fd7b73c2c9p-4, -0x1.c4adcc5ad44f8p-4, -0x1.bf64274a38399p-4, -0x1.ba20b46d2d149p-4, -0x1.b4e39b144555ap-4, -0x1.afad01b869e34p-4, -0x1.aa7d0dfa0c40ep-4, -0x1.a553e49ce3d83p-4, -0x1.a031a9822130dp-4, -0x1.9b167fa424303p-4, -0x1.960289156d2dbp-4, -0x1.90f5e7030317ap-4, -0x1.8bf0b9b847dcbp-4, -0x1.86f320a244abap-4, -0x1.81fd3a50fc6ccp-4, -0x1.7d0f2476489b2p-4, -0x1.7828fbe2ea14ep-4, -0x1.734adc837ce4cp-4, -0x1.6e74e15f24066p-4, -0x1.69a72498b22ddp-4, -0x1.64e1bf7185709p-4, -0x1.6024ca4c9ff9ap-4, -0x1.5b705cb0e63efp-4, -0x1.56c48d49f5fb8p-4, -0x1.522171e7a42dap-4, -0x1.4d871f7cd1abcp-4, -0x1.48f5aa1ece387p-4, -0x1.446d250668a8cp-4, -0x1.3feda292c383ep-4, -0x1.3b77344cde211p-4, -0x1.3709eaea78683p-4, -0x1.32a5d64f77969p-4, -0x1.2e4b058ddc922p-4, -0x1.29f986e4e3154p-4, -0x1.25b167c050e1ep-4, -0x1.2172b4b936639p-4, -0x1.1d3d79990ef46p-4, -0x1.1911c15f2a6cap-4, -0x1.14ef9647064dp-4, -0x1.10d701cd7528dp-4, -0x1.0cc80cb2f2d8ep-4, -0x1.08c2befab3ff6p-4, -0x1.04c71fe738b55p-4, -0x1.00d535f648fb3p-4, -0x1.f9da0dbd3c1f7p-5, -0x1.f21d2f22ffp-5, -0x1.ea73d882bceffp-5, -0x1.e2de10d993e7bp-5, -0x1.db5bddd616e42p-5, -0x1.d3ed43ed5a089p-5, -0x1.cc92466507bf3p-5, -0x1.c54ae74f1b313p-5, -0x1.be172778896a7p-5, -0x1.b6f70650e9d8cp-5, -0x1.afea81d463553p-5, -0x1.a8f19681fbfecp-5, -0x1.a20c3f65e75a5p-5, -0x1.9b3a76398213ep-5, -0x1.947c3393619dep-5, -0x1.8dd16f1b14de7p-5, -0x1.873a1fb14d0eap-5, -0x1.80b63b7eebd36p-5, -0x1.7a45b7e424017p-5, -0x1.73e8894a51ffep-5, -0x1.6d9ea2e5268adp-5, -0x1.6767f67717e79p-5, -0x1.6144742f06db4p-5, -0x1.5b340ab015ef2p-5, -0x1.5536a74991639p-5, -0x1.4f4c3655e35d8p-5, -0x1.4974a3a9d9df1p-5, -0x1.43afdaf50994bp-5, -0x1.3dfdc7f4c9798p-5, -0x1.385e566564c7dp-5, -0x1.32d171aeba059p-5, -0x1.2d57045e544abp-5, -0x1.27eef792cbed9p-5, -0x1.229932855a406p-5, -0x1.1d559a5b35657p-5, -0x1.18241257c258fp-5, -0x1.13047c6ee03ep-5, -0x1.0df6ba19e3208p-5, -0x1.08faad3a8b143p-5, -0x1.041038cd26abap-5, -0x1.fe6e8263a2254p-6, -0x1.f4df57d9f31fp-6, -0x1.eb72bdc60829fp-6, -0x1.e2287e72846e4p-6, -0x1.d900604923ea4p-6, -0x1.cffa23f54d624p-6, -0x1.c71583a1c0998p-6, -0x1.be5233a82ffc8p-6, -0x1.b5afe4abe954dp-6, -0x1.ad2e46b4ce86dp-6, -0x1.a4cd0c8f69b75p-6, -0x1.9c8bee920bc45p-6, -0x1.946aabfcda726p-6, -0x1.8c690a78910a1p-6, -0x1.8486d3ae1c10cp-6, -0x1.7cc3d170fefabp-6, -0x1.751fc95f4a0dcp-6, -0x1.6d9a790e92ba5p-6, -0x1.663393ceae129p-6, -0x1.5eeac2b73d44p-6, -0x1.57bfa72d83118p-6, -0x1.50b1df716d4d6p-6, -0x1.49c10c339c9c9p-6, -0x1.42ecd5e1b6249p-6, -0x1.3c34f055444dp-6, -0x1.35991be740605p-6, -0x1.2f19238335fb5p-6, -0x1.28b4d809897c6p-6, -0x1.226c09f695f6p-6, -0x1.1c3e82b6de48fp-6, -0x1.162bff37236a2p-6, -0x1.10342d0d17b95p-6, -0x1.0a56ab0bf203dp-6, -0x1.04930d4de9ec1p-6, -0x1.fdd1c7c1f0587p-7, -0x1.f2af853336bd2p-7, -0x1.e7be908adac4bp-7, -0x1.dcfe47437a7ffp-7, -0x1.d26e2a000a9abp-7, -0x1.c80dd86fa8e1p-7, -0x1.bddd0683de376p-7, -0x1.b3db6d044fd02p-7, -0x1.aa08b8968b17fp-7, -0x1.a0647ae62d145p-7, -0x1.96ee216e553bp-7, -0x1.8da4f43c4cbb1p-7, -0x1.84881cfdcc2c1p-7, -0x1.7b96b4799e0a8p-7, -0x1.72cfd319f1983p-7, -0x1.6a32a0fb2a3e2p-7, -0x1.61be62b8c23dp-7, -0x1.5972812fa7257p-7, -0x1.514e8b15fad71p-7, -0x1.49522fc089455p-7, -0x1.417d3348a24ebp-7, -0x1.39cf5dd630c55p-7, -0x1.324869ace46abp-7, -0x1.2ae7f4af0938ap-7, -0x1.23ad79483b7dep-7, -0x1.1c9850065e584p-7, -0x1.15a7b7dc27a7fp-7, -0x1.0edae129013a3p-7, -0x1.0830f866fe5e2p-7, -0x1.01a92fe7760f3p-7, -0x1.f68593ab2b408p-8, -0x1.e9fa45ad5b62p-8, -0x1.ddaf7553c9f0fp-8, -0x1.d1a46c0f24fc7p-8, -0x1.c5d8acbdb1d6ap-8, -0x1.ba4bd1aee608ap-8, -0x1.aefd661b25627p-8, -0x1.a3eccb175c74ap-8, -0x1.9919313250bd1p-8, -0x1.8e81a3445a78bp-8, -0x1.84251506de99p-8, -0x1.7a0267d3e6bebp-8, -0x1.7018626381dadp-8, -0x1.6665a6d7acf5dp-8, -0x1.5ce8b97f3f1bcp-8, -0x1.53a02229baf9cp-8, -0x1.4a8a9d3b8631dp-8, -0x1.41a7408c5a3aap-8, -0x1.38f57a50bc495p-8, -0x1.3074e77ec11a4p-8, -0x1.28251af8194d4p-8, -0x1.20057926ed687p-8, -0x1.18153bdc9d518p-8, -0x1.1053950250265p-8, -0x1.08bfd25ccd89fp-8, -0x1.0159656eb1a0fp-8, -0x1.f43f899c951fep-9, -0x1.e6246b18226fbp-9, -0x1.d85f3f4b1edfap-9, -0x1.caed243cf85e1p-9, -0x1.bdcb0446d11bp-9, -0x1.b0f64f6d4999dp-9, -0x1.a46d7dbe4107ap-9, -0x1.982ffeffa413dp-9, -0x1.8c3d9c6ef9ea1p-9, -0x1.8095b7fbbac2dp-9, -0x1.7536eb86f2a77p-9, -0x1.6a1f3cba86132p-9, -0x1.5f4caeb2fe515p-9, -0x1.54bdc9fada89ap-9, -0x1.4a71cc196587cp-9, -0x1.4068670176a93p-9, -0x1.36a12e85dffc7p-9, -0x1.2d1afd797b2f1p-9, -0x1.23d3ad4c5b2e9p-9, -0x1.1ac85d41b5867p-9, -0x1.11f638d91d5fep-9, -0x1.095b5474efac2p-9, -0x1.00f714b0789f7p-9, -0x1.f193a87a15aeap-10, -0x1.e1a803263b407p-10, -0x1.d22aa2adc96aep-10, -0x1.c3190699fd7c8p-10, -0x1.b46f71499143ep-10, -0x1.a62a03b1ed8c5p-10, -0x1.98459d4378463p-10, -0x1.8ac027f6e8df2p-10, -0x1.7d9850902cbacp-10, -0x1.70ccf3f6642p-10, -0x1.645c86687e5f6p-10, -0x1.584493c039544p-10, -0x1.4c8196e88e9c6p-10, -0x1.410f7b7c35dcbp-10, -0x1.35eab0abbfbc5p-10, -0x1.2b112bdf4164ap-10, -0x1.2082ad2512bafp-10, -0x1.16400e580f6efp-10, -0x1.0c4a149447a5p-10, -0x1.02a08a0718e58p-10, -0x1.f2841542810d1p-11, -0x1.e058f254fb8ap-11, -0x1.cebb5d2f32dc3p-11, -0x1.bda7462435cd7p-11, -0x1.ad17d4ac411c9p-11, -0x1.9d06e489709fbp-11, -0x1.8d6e4dd503e7cp-11, -0x1.7e49a1096252ep-11, -0x1.6f966b884d05fp-11, -0x1.6152f6b4cc469p-11, -0x1.537cd24199216p-11, -0x1.46101e98178e7p-11, -0x1.39081cc15183bp-11, -0x1.2c6122acbf937p-11, -0x1.201a5ee62e43p-11, -0x1.143552d727824p-11, -0x1.08b350fd370b2p-11, -0x1.fb272a79ea2d9p-12, -0x1.e5a815963183dp-12, -0x1.d0e65efaabe44p-12, -0x1.bcdf7f0472a9cp-12, -0x1.a98d96fab116cp-12, -0x1.96e6d13f3762dp-12, -0x1.84e083ac97936p-12, -0x1.73721fb28267fp-12, -0x1.6295cc9a1fa1ap-12, -0x1.5247732938238p-12, -0x1.4283e913d9251p-12, -0x1.334816be3dbb9p-12, -0x1.248eb8a1ac0abp-12, -0x1.164ff23277053p-12, -0x1.0886ad529317ep-12, -0x1.f66927b91681ep-13, -0x1.dcb987fcc228fp-13, -0x1.c3fa1211e492ep-13, -0x1.ac216c07dc593p-13, -0x1.952f52284200bp-13, -0x1.7f286289b276dp-13, -0x1.6a075b120d6cdp-13, -0x1.55bbff40ef1dap-13, -0x1.4234f05431626p-13, -0x1.2f66caa8e9b42p-13, -0x1.1d4de50106559p-13, -0x1.0beca9766f39fp-13, -0x1.f68d654a927e9p-14, -0x1.d6b54f77f5c41p-14, -0x1.b83f01839eb95p-14, -0x1.9b0867fb2cd78p-14, -0x1.7ee19ee5ec7b7p-14, -0x1.63aac62a57bf7p-14, -0x1.49767913ae8c9p-14, -0x1.3068ae5d42e38p-14, -0x1.187cac08f49bep-14, -0x1.0192d4be06094p-14, -0x1.d7453a05a1993p-15, -0x1.ad6e8db846d96p-15, -0x1.85a46a17ad27bp-15, -0x1.5fce0aa1caef1p-15, -0x1.3bc6803dda6a6p-15, -0x1.1966f22f84058p-15, -0x1.f11f80a4deb5bp-16, -0x1.b2616ce615e9cp-16, -0x1.76975422ca1e5p-16, -0x1.3dd87a2665f9dp-16, -0x1.0830ca60833b9p-16, -0x1.ab30ced1b4a7bp-17, -0x1.4bf264823989fp-17, -0x1.e40d802248279p-18, -0x1.3931057a36fdp-18, -0x1.2f0e98a03bff5p-19, 0x1.423ab294f9e95p-28, 0x1.1fe3a95ab7a5fp-19, 0x1.1893596f3cf2dp-18, 0x1.9913abe32933ep-18, 0x1.08566c774a5bap-17, 0x1.4018457658641p-17, 0x1.745c5f2a85278p-17, 0x1.a54d66be70b31p-17, 0x1.d2c586ce9fe73p-17, 0x1.fcbd744697015p-17, 0x1.11bb8e2ecb63ep-16, 0x1.23a1f785ce247p-16, 0x1.3426d8f3701c1p-16, 0x1.434db2ce64458p-16, 0x1.511dcaa768cdfp-16, 0x1.5da3e6d2c7baep-16, 0x1.68de01f94cf19p-16, 0x1.72e4b2a88a51ep-16, 0x1.7bf7992844346p-16, 0x1.83ff30e8317ddp-16, 0x1.8ae39a1d1ba9ap-16, 0x1.90db1c6a03e8dp-16, 0x1.95ca619541734p-16, 0x1.999054e288f84p-16, 0x1.9c6a1ddb53aaap-16, 0x1.9ea18a6493b41p-16, 0x1.a04d154950a7cp-16, 0x1.a1529b723097bp-16, 0x1.a19d2d68e2989p-16, 0x1.a14019b11ab0ap-16, 0x1.a05193a4e6f7fp-16, 0x1.9ec750177209ep-16, 0x1.9c976a44a1019p-16, 0x1.99d1483f0f485p-16, 0x1.968b5303bc70ap-16, 0x1.92d8f0d554d54p-16, 0x1.8ec4228ba180ep-16, 0x1.8a391c016d0e7p-16, 0x1.85353e11c9e32p-16, 0x1.7fe842529bfe8p-16, 0x1.7a4ed0b880fcbp-16, 0x1.747a75fb6b32cp-16, 0x1.6e66b1a028341p-16, 0x1.67f0d07279d06p-16, 0x1.61312806bdc78p-16, 0x1.5a3f0ec3f5b11p-16, 0x1.531c7e99b50e4p-16, 0x1.4bc4afeb451adp-16, 0x1.443329de8065ep-16, 0x1.3c69a56efd8aep-16, 0x1.3478fef34a0afp-16, 0x1.2c784f93d64c9p-16, 0x1.24675c4c12cabp-16, 0x1.1c3a0b5f472a6p-16, 0x1.13fc2e746774ap-16, 0x1.0bb77003438a4p-16, 0x1.035c35c0cc75cp-16, 0x1.f5d36083a7478p-17, 0x1.e4db0f8c785b9p-17, 0x1.d3b98a5306aafp-17, 0x1.c279d694440b3p-17, 0x1.b15e629bc8647p-17, 0x1.a069d1e542febp-17, 0x1.8f8cf9ef8810cp-17, 0x1.7e95053bebd36p-17, 0x1.6da1f79e3202fp-17, 0x1.5ccd01ac27e37p-17, 0x1.4c16e41b1a46bp-17, 0x1.3b7ec41d9e9f3p-17, 0x1.2b064e316510ep-17, 0x1.1ab04cf02d1e5p-17, 0x1.0a7f7fa25d316p-17, 0x1.f4ec23ac49ddp-18, 0x1.d52b1f92c93ccp-18, 0x1.b5be302eb7234p-18, 0x1.96a5488fcae8dp-18, 0x1.77da0ef5851cap-18, 0x1.595b2850be8fap-18, 0x1.3b481d946d97ap-18, 0x1.1dba83fea9f9p-18, 0x1.00ad417f79766p-18, 0x1.c85492ca98359p-19, 0x1.8fe31c85e3edbp-19, 0x1.580264ee9aa7fp-19, 0x1.215ec8f38c932p-19, 0x1.d7e1ef22717bep-20, 0x1.6e7b0fe744539p-20, 0x1.070acecc24d57p-20, 0x1.43aa3adf3744fp-21, 0x1.f5edbc836e4c8p-23, -0x1.12606772f7f9dp-23, -0x1.0294d73c2dff6p-21, -0x1.bc75a3ee6b919p-21, -0x1.391a468b6442fp-20, -0x1.91e70bac34bc2p-20, -0x1.e8a0f7718d49ep-20, -0x1.1ea444d629678p-19, -0x1.47ee9c100cbc7p-19, -0x1.702e34877c2dep-19, -0x1.9760f817c9f66p-19, -0x1.bd84f38e08492p-19, -0x1.e29a468b5c6d9p-19, -0x1.03523f20433ddp-18, -0x1.14d2d867b7965p-18, -0x1.25cc46bf41688p-18, -0x1.3643f26fd81abp-18, -0x1.465ae65e5723fp-18, }}, 
      {{0x1.669a687d27759p-3, 0x1.5c8dda8ae398ap-2, 0x1.f5756d1de4638p-2, 0x1.3d5622302cacdp-1, 0x1.75700a11403efp-1, 0x1.a30c531338059p-1, 0x1.c69fa3cd9ea3dp-1, 0x1.e0e5470748e41p-1, 0x1.f2c0f43e35305p-1, 0x1.fd28d5bd177f7p-1, 0x1.008b213951056p+0, 0x1.ff7b92003e6cdp-1, 0x1.f93d9e91ebcfdp-1, 0x1.ef2feaf5c718cp-1, 0x1.e212aa29e47c7p-1, 0x1.d2921739358b6p-1, 0x1.c146b1a7590a8p-1, 0x1.aeb60efa7feap-1, 0x1.9b54079eee261p-1, 0x1.878415e14d883p-1, 0x1.739aca2c7d8b6p-1, 0x1.5fdf4103a617bp-1, 0x1.4c8c8dfaf1894p-1, 0x1.39d313c4fa6b8p-1, 0x1.27d9c4c0d9e62p-1, 0x1.16bf49bfbb4abp-1, 0x1.069b0e5637788p-1, 0x1.eefc665e29c8cp-2, 0x1.d2e8cf408c6p-2, 0x1.b909587942662p-2, 0x1.a16400a144301p-2, 0x1.8bf7f876b29b7p-2, 0x1.78beb4f655e6dp-2, 0x1.67ace244583b8p-2, 0x1.58b33a7de0106p-2, 0x1.4bbf434368e76p-2, 0x1.40bbf48820c98p-2, 0x1.37924af30b1f3p-2, 0x1.3029c7e72bd06p-2, 0x1.2a68e117f2771p-2, 0x1.2635615abf4cdp-2, 0x1.2374bc3a0d5d5p-2, 0x1.220c55bb3f3cbp-2, 0x1.21e1bf84a97abp-2, 0x1.22daec8c4a3cap-2, 0x1.24de5c652510bp-2, 0x1.27d33ee72bef2p-2, 0x1.2ba19155f736fp-2, 0x1.3032356e2ec37p-2, 0x1.356f03484d51dp-2, 0x1.3b42d6d59627ep-2, 0x1.4199989e9c56fp-2, 0x1.486044750f948p-2, 0x1.4f84eaa2a6253p-2, 0x1.56f6b23542398p-2, 0x1.5ea5d3c49c634p-2, 0x1.66839964bfa46p-2, 0x1.6e8253e021bfcp-2, 0x1.769559fa32d7ep-2, 0x1.7eb0f90bc284dp-2, 0x1.86ca744cc7824p-2, 0x1.8ed7f2d9ed23cp-2, 0x1.96d07d7b1f7bcp-2, 0x1.9eabed96d6bd4p-2, 0x1.a662e6f4d9d01p-2, 0x1.adeecb1e0a3e5p-2, 0x1.b549aeb2b36e7p-2, 0x1.bc6e504fb9831p-2, 0x1.c3580c5fb0a36p-2, 0x1.ca02d4ac925bbp-2, 0x1.d06b25f28201ap-2, 0x1.d68dff34cfc82p-2, 0x1.dc68d8e99c72bp-2, 0x1.e1f99c8106b4ep-2, 0x1.e73e9c587346dp-2, 0x1.ec368c177ac32p-2, 0x1.f0e0798fd5becp-2, 0x1.f53bc608f1acbp-2, 0x1.f9481fd95c6d7p-2, 0x1.fd057c37eb217p-2, 0x1.003a089baf56p-1, 0x1.01ca27fe60ce9p-1, 0x1.03336f9b94c18p-1, 0x1.04764af827b4ap-1, 0x1.05933b570f49dp-1, 0x1.068ad5739ab77p-1, 0x1.075dbf5c893cap-1, 0x1.080cae6ae6783p-1, 0x1.089865541869cp-1, 0x1.0901b25363a46p-1, 0x1.09496d722a124p-1, 0x1.097076edfabf8p-1, 0x1.0977b5c04f5b5p-1, 0x1.09601649204d3p-1, 0x1.092a8917c01fdp-1, 0x1.08d801d23af4bp-1, 0x1.08697635f94adp-1, 0x1.07dfdd2d38483p-1, 0x1.073c2dfa0c10fp-1, 0x1.067f5f716be9bp-1, 0x1.05aa6747b5a02p-1, 0x1.04be396ecf971p-1, 0x1.03bbc78389dd9p-1, 0x1.02a4004c8f2ep-1, 0x1.0177cf4937b2bp-1, 0x1.00381c4f680abp-1, 0x1.fdcb966e87449p-2, 0x1.fb037728a6c01p-2, 0x1.f81990f246572p-2, 0x1.f50f90891082dp-2, 0x1.f1e718f0d02cap-2, 0x1.eea1c32df619dp-2, 0x1.eb411e0df1022p-2, 0x1.e7c6adfc49d6fp-2, 0x1.e433ece2a3146p-2, 0x1.e08a4a1279ba2p-2, 0x1.dccb2a393ec41p-2, 0x1.d8f7e75f02c2p-2, 0x1.d511d0ebbb9a1p-2, 0x1.d11a2bb4988a1p-2, 0x1.cd1232141c9cfp-2, 0x1.c8fb14042706dp-2, 0x1.c4d5f73e59dc7p-2, 0x1.c0a3f766935d5p-2, 0x1.bc6626323cafp-2, 0x1.b81d8b957d1f4p-2, 0x1.b3cb25f88e8fp-2, 0x1.af6fea66fa507p-2, 0x1.ab0cc4c393716p-2, 0x1.a6a2980328a83p-2, 0x1.a2323e60f40b6p-2, 0x1.9dbc89947dfb9p-2, 0x1.9942430e12be1p-2, 0x1.94c42c2f66d91p-2, 0x1.9042fe80bb1d5p-2, 0x1.8bbf6bebd16cap-2, 0x1.873a1ef7f0dcbp-2, 0x1.82b3bafe548dap-2, 0x1.7e2cdc6096ea9p-2, 0x1.79a618c5693dp-2, 0x1.751fff4e04ad9p-2, 0x1.709b18c72bb1cp-2, 0x1.6c17e7e200fbap-2, 0x1.6796e96ab6048p-2, 0x1.6318947695607p-2, 0x1.5e9d5a95bc01fp-2, 0x1.5a25a807c846ep-2, 0x1.55b1e3e97d619p-2, 0x1.514270609571ap-2, 0x1.4cd7aacac6875p-2, 0x1.4871ebe9e619cp-2, 0x1.4411880c9f13ep-2, 0x1.3fb6cf3802061p-2, 0x1.3b620d4fc4032p-2, 0x1.37138a3bd43bep-2, 0x1.32cb8a0df914p-2, 0x1.2e8a4d2691508p-2, 0x1.2a501056991aep-2, 0x1.261d0d00ed802p-2, 0x1.21f1793b8e2ep-2, 0x1.1dcd87ef2f4ccp-2, 0x1.19b168f54932bp-2, 0x1.159d49356cbc7p-2, 0x1.119152c106fbdp-2, 0x1.0d8dacee8540cp-2, 0x1.09927c751e0edp-2, 0x1.059fe3869b766p-2, 0x1.01b601e574ba3p-2, 0x1.fba9e9f718e37p-3, 0x1.f3f9afe877f2dp-3, 0x1.ec5b87a8304a5p-3, 0x1.e4cf9f1506445p-3, 0x1.dd56200658a14p-3, 0x1.d5ef307a69bedp-3, 0x1.ce9af2c4f6379p-3, 0x1.c75985af39162p-3, 0x1.c02b0490d9657p-3, 0x1.b90f877332056p-3, 0x1.b207233d1a86ep-3, 0x1.ab11e9d5f33p-3, 0x1.a42fea3b71398p-3, 0x1.9d61309830f63p-3, 0x1.96a5c66511127p-3, 0x1.8ffdb28d59d39p-3, 0x1.8968f989afdebp-3, 0x1.82e79d72b738dp-3, 0x1.7c799e1561c4ap-3, 0x1.761ef90dcdcddp-3, 0x1.6fd7a9e3f3415p-3, 0x1.69a3aa23c52c6p-3, 0x1.6382f16fb0ac2p-3, 0x1.5d7575911db16p-3, 0x1.577b2a8b030c6p-3, 0x1.519402b03e86bp-3, 0x1.4bbfeebb1488bp-3, 0x1.45fedde1099aap-3, 0x1.4050bde08670ep-3, 0x1.3ab57b0bcfa29p-3, 0x1.352d0058439c2p-3, 0x1.2fb73773fe668p-3, 0x1.2a5408dbc58fbp-3, 0x1.25035be954387p-3, 0x1.1fc516d9e0941p-3, 0x1.1a991ed561292p-3, 0x1.157f57fe50775p-3, 0x1.1077a587ab586p-3, 0x1.0b81e9c706627p-3, 0x1.069e063c68b17p-3, 0x1.01cbdb944d981p-3, 0x1.fa16935c75ac8p-4, 0x1.f0b85f59f9801p-4, 0x1.e77cd81588b53p-4, 0x1.de63b94e2009ep-4, 0x1.d56cbd9551633p-4, 0x1.cc979e4fcb438p-4, 0x1.c3e413c1174b1p-4, 0x1.bb51d528b6456p-4, 0x1.b2e098e49dad9p-4, 0x1.aa901488014p-4, 0x1.a25ffce1412f1p-4, 0x1.9a5005f96efdcp-4, 0x1.925fe31c6df3ap-4, 0x1.8a8f46ef68c43p-4, 0x1.82dde38d261cbp-4, 0x1.7b4b6a9ad7074p-4, 0x1.73d78d4f9287bp-4, 0x1.6c81fc7475cd1p-4, 0x1.654a6868abccep-4, 0x1.5e30812fd110bp-4, 0x1.5733f68759be4p-4, 0x1.505477f9cb884p-4, 0x1.4991b4e927f44p-4, 0x1.42eb5c919179fp-4, 0x1.3c611e0b091f7p-4, 0x1.35f2a850b3e75p-4, 0x1.2f9faa4e99131p-4, 0x1.2967d2f15f471p-4, 0x1.234ad13262d45p-4, 0x1.1d48541dceacfp-4, 0x1.17600ad506c1bp-4, 0x1.1191a491e38b8p-4, 0x1.0bdcd0adcd407p-4, 0x1.06413eac2d22cp-4, 0x1.00be9e4525887p-4, 0x1.f6a93edb443f5p-5, 0x1.ec05e4b7ee032p-5, 0x1.e1928f154d15dp-5, 0x1.d74e9f779c4e4p-5, 0x1.cd3977fd7701dp-5, 0x1.c3527b6e56819p-5, 0x1.b9990d490cc65p-5, 0x1.b00c91cf2aa2p-5, 0x1.a6ac6e0c9f6dp-5, 0x1.9d7807dd1f10ep-5, 0x1.946ec5f20c042p-5, 0x1.8b900fda7db48p-5, 0x1.82db4e0d14ea2p-5, 0x1.7a4fe9f1cdb3bp-5, 0x1.71ed4dea31cbcp-5, 0x1.69b2e55754e09p-5, 0x1.61a01c9e51b2ep-5, 0x1.59b4612c9bee6p-5, 0x1.51ef217d60933p-5, 0x1.4a4fcd201cb35p-5, 0x1.42d5d4bf5d59dp-5, 0x1.3b80aa26c0659p-5, 0x1.344fc04789efp-5, 0x1.2d428b3c08a25p-5, 0x1.2658804a4ae0cp-5, 0x1.1f9115e70bd44p-5, 0x1.18ebc3b94f605p-5, 0x1.1268029eab2e8p-5, 0x1.0c054caf841e9p-5, 0x1.05c31d42b3b78p-5, 0x1.ff41e1e0b5aeap-6, 0x1.f33c8b27ed7c2p-6, 0x1.e775349bdf632p-6, 0x1.dbeadf09d3686p-6, 0x1.d09c8dce7021fp-6, 0x1.c58946d90723cp-6, 0x1.bab012af24464p-6, 0x1.b00ffc6ff584bp-6, 0x1.a5a811d7ac866p-6, 0x1.9b776342b04dcp-6, 0x1.917d03b09b897p-6, 0x1.87b808c64e747p-6, 0x1.7e278acec6deap-6, 0x1.74caa4ba6d6fdp-6, 0x1.6ba0741d11da7p-6, 0x1.62a8192b4534ep-6, 0x1.59e0b6b829d6dp-6, 0x1.51497235042a8p-6, 0x1.48e173b31d678p-6, 0x1.40a7e5e7ca79bp-6, 0x1.389bf630e0ae8p-6, 0x1.30bcd497adb0cp-6, 0x1.2909b3d05b503p-6, 0x1.2181c934ab3e1p-6, 0x1.1a244cbaaa79fp-6, 0x1.12f078e97991dp-6, 0x1.0be58acf8a8b5p-6, 0x1.0502c1fd65115p-6, 0x1.fc8ec10ebdec6p-7, 0x1.ef65561aa9b88p-7, 0x1.e287d18c266ecp-7, 0x1.d5f4c712beedap-7, 0x1.c9aacfa772835p-7, 0x1.bda8898004b5bp-7, 0x1.b1ec97ed1a328p-7, 0x1.a675a3293bb21p-7, 0x1.9b4258256c316p-7, 0x1.90516862abeadp-7, 0x1.85a189e58d12ep-7, 0x1.7b31774994d7ep-7, 0x1.70ffefefdb53ep-7, 0x1.670bb839f22a1p-7, 0x1.5d5399bba544fp-7, 0x1.53d6634ddbc33p-7, 0x1.4a92e8f44574dp-7, 0x1.41880395180a2p-7, 0x1.38b4909128f54p-7, 0x1.301771579ce48p-7, 0x1.27af8b156430ep-7, 0x1.1f7bc69b9967cp-7, 0x1.177b1089beb6fp-7, 0x1.0fac59b3bfe89p-7, 0x1.080e97a76fd73p-7, 0x1.00a0c5275832dp-7, 0x1.f2c3c4dd6a345p-8, 0x1.e4a1ea3dcbe46p-8, 0x1.d6da0f9bd8e9dp-8, 0x1.c96a52956a58bp-8, 0x1.bc50d78ad5ba6p-8, 0x1.af8bc82ee7703p-8, 0x1.a31952c7d6bcp-8, 0x1.96f7aa67b39c3p-8, 0x1.8b25081fbb45cp-8, 0x1.7f9face6d8a86p-8, 0x1.7465e3aeb2085p-8, 0x1.69760307e9cbcp-8, 0x1.5ece6dc8837f3p-8, 0x1.546d926482557p-8, 0x1.4a51e902d2e3ep-8, 0x1.4079f0b778cdp-8, 0x1.36e42c9322633p-8, 0x1.2d8f215244e8ap-8, 0x1.2479545967e33p-8, 0x1.1ba14c5b7ede4p-8, 0x1.13059398e751cp-8, 0x1.0aa4bb340db8bp-8, 0x1.027d5ebf6993bp-8, 0x1.f51c4e1f8e37p-9, 0x1.e5ab96f2e78dap-9, 0x1.d6a62206fd2afp-9, 0x1.c8098f3e79af1p-9, 0x1.b9d38bf4ed7c4p-9, 0x1.ac01c9d10069p-9, 0x1.9e91f70c6fedbp-9, 0x1.9181ba368766bp-9, 0x1.84ceb2abfccb5p-9, 0x1.78767ddb0a551p-9, 0x1.6c76c0320bdffp-9, 0x1.60cd2f99d2027p-9, 0x1.55779ce19d34fp-9, 0x1.4a73f9af22562p-9, 0x1.3fc05954622cap-9, 0x1.355aec2718125p-9, 0x1.2b41f647b37a9p-9, 0x1.2173c3e040bd9p-9, 0x1.17ee9d828084fp-9, 0x1.0eb0bf55cb60cp-9, 0x1.05b855323c0fdp-9, 0x1.fa06f95e448f8p-10, 0x1.e92099885273cp-10, 0x1.d8b9c277c34aap-10, 0x1.c8cece88c0a4p-10, 0x1.b95c5058e6912p-10, 0x1.aa5f1fc515a74p-10, 0x1.9bd45bafaa90ep-10, 0x1.8db96055d7f38p-10, 0x1.800bb44affdcbp-10, 0x1.72c8eff4f0c4cp-10, 0x1.65eea4840487fp-10, 0x1.597a47b3d6f2ep-10, 0x1.4d6928e60ecb1p-10, 0x1.41b87227ac069p-10, 0x1.366534abf947cp-10, 0x1.2b6c7d4029469p-10, 0x1.20cb6b6c6cbbap-10, 0x1.167f461e62215p-10, 0x1.0c858a4e7fa36p-10, 0x1.02dbf1ed9337ep-10, 0x1.f300e5310219cp-11, 0x1.e0e2685db59cap-11, 0x1.cf59007403db9p-11, 0x1.be61594ac8616p-11, 0x1.adf80c6fe3329p-11, 0x1.9e19809903a45p-11, 0x1.8ec1dc5ca232p-11, 0x1.7fed0e358388bp-11, 0x1.7196e3b4fa69p-11, 0x1.63bb2552422e4p-11, 0x1.5655ae886e496p-11, 0x1.496280c51a157p-11, 0x1.3cddd4eb728a5p-11, 0x1.30c42deabc0d9p-11, 0x1.25126839cea91p-11, 0x1.19c5bc98f118bp-11, 0x1.0edbaea940ae1p-11, 0x1.0451e9ceeaab6p-11, 0x1.f44c336bc7d28p-12, 0x1.e0ab9e8b5dc5dp-12, 0x1.cdbcf711aa462p-12, 0x1.bb7af8fc829b9p-12, 0x1.a9e05a704526ep-12, 0x1.98e7d5029b42cp-12, 0x1.888c10e98ec98p-12, 0x1.78c7896cb88f6p-12, 0x1.6994913c7e5cdp-12, 0x1.5aed8c91ba555p-12, 0x1.4ccd4dab8a011p-12, 0x1.3f2f5dbca8e21p-12, 0x1.320fffe7d1681p-12, 0x1.256be83435559p-12, 0x1.193fd5959f19fp-12, 0x1.0d8851b0b788bp-12, 0x1.0241ba8ca3d31p-12, 0x1.eed1066fda14p-13, 0x1.d9f2e695fa993p-13, 0x1.c5e361421e833p-13, 0x1.b29d045c341f6p-13, 0x1.a019d2093236cp-13, 0x1.8e529e2a2fc75p-13, 0x1.7d3f162e21b3cp-13, 0x1.6cd69669b17dbp-13, 0x1.5d116414d45c8p-13, 0x1.4de98a16703b4p-13, 0x1.3f5ac23486cdfp-13, 0x1.316176239bf17p-13, 0x1.23f98c3dbca0ap-13, 0x1.171dd55b376bfp-13, 0x1.0ac86c03b642fp-13, 0x1.fde7499d0201cp-14, 0x1.e735c718f957dp-14, 0x1.d175af79044d2p-14, 0x1.bca2066eb346p-14, 0x1.a8b58e88e4283p-14, 0x1.95a8e71a8f207p-14, 0x1.8371bfdc1cb51p-14, 0x1.7203c0786639p-14, 0x1.6152d667ff08ap-14, 0x1.5155aabbb1e03p-14, 0x1.4206b7d606ed9p-14, 0x1.33633bdc2e949p-14, 0x1.2568bbbea56c7p-14, 0x1.1812d34a5fcc6p-14, 0x1.0b5aa9116639p-14, 0x1.fe6feae95a444p-15, 0x1.e7453226aa604p-15, 0x1.d127a0dde3facp-15, 0x1.bc0d15c5729fdp-15, 0x1.a7edd41259f0dp-15, 0x1.94c2b9633ab77p-15, 0x1.8283928c05b4cp-15, 0x1.7125f2611c131p-15, 0x1.609d015c8997cp-15, 0x1.50dadbee15bcbp-15, 0x1.41d325bd9717p-15, 0x1.337d4f9fe9232p-15, 0x1.25d50b04fbd1dp-15, 0x1.18d88d1895c21p-15, 0x1.0c85d019c387fp-15, 0x1.00d89b5e1b28ap-15, 0x1.eb94657ccee1ap-16, 0x1.d6a4fb63d52c5p-16, 0x1.c2d348a61199bp-16, 0x1.b010f6214fbd3p-16, 0x1.9e4ecdf2c883ep-16, 0x1.8d7b757af88cbp-16, 0x1.7d85e33d87476p-16, 0x1.6e60d8cb8268fp-16, 0x1.60036a2ff8484p-16, 0x1.52666fb050665p-16, 0x1.45819910f2652p-16, 0x1.394a2257dacbap-16, 0x1.2db3f7209417dp-16, 0x1.22b5288895084p-16, 0x1.1848dd7eb49d5p-16, 0x1.0e6e41ec0b481p-16, 0x1.05241df19d2b5p-16, 0x1.f8cb2e9af865ap-17, 0x1.e85754d38144ap-17, 0x1.d8e13a392dd66p-17, 0x1.ca5f430b71c96p-17, 0x1.bcc33e77fe56p-17, 0x1.aff8ff4ab097cp-17, 0x1.a3eb1a07018b4p-17, 0x1.9887867a87eb2p-17, 0x1.8dc0e9d786b4dp-17, 0x1.838d9aaff0a5fp-17, 0x1.79e6675939097p-17, 0x1.70c4eeb2eda6p-17, 0x1.68203b921136p-17, 0x1.5febe341648f3p-17, 0x1.581e8067b75cfp-17, 0x1.50b6cc4ca42c1p-17, 0x1.49b5a5f8073b2p-17, 0x1.4315eb04f5988p-17, 0x1.3ccf58080d063p-17, 0x1.36de978ebefbfp-17, 0x1.31434cca8ec93p-17, 0x1.2bf82b1ece1e2p-17, 0x1.26f2956fd788cp-17, 0x1.222801c3bbf9fp-17, 0x1.1d915b4201f02p-17, 0x1.192b332ee462fp-17, 0x1.14f47b9d35a18p-17, 0x1.10ec6e5a6dd11p-17, 0x1.0d105f89f65dcp-17, 0x1.095afebd57276p-17, 0x1.05c4977f485dcp-17, 0x1.0243bed56b713p-17, 0x1.fda4859fd930dp-18, 0x1.f6e5191a59dc6p-18, 0x1.f053a25044e6cp-18, 0x1.e9ecc860cd224p-18, 0x1.e3a4568f3e04dp-18, 0x1.dd7613fcca5cap-18, 0x1.d7644c62e5501p-18, 0x1.d16d546ef7904p-18, 0x1.cb8ac5d0117e6p-18, 0x1.c5b591e9ec656p-18, 0x1.bfe84b9ba7ff8p-18, 0x1.ba1f93cc14458p-18, 0x1.b459b039f1454p-18, 0x1.ae95ec845400ep-18, 0x1.a8d3ef5f47e7cp-18, 0x1.a3131a09c6aep-18, 0x1.9d52678bfb3bep-18, 0x1.97907e05c1d34p-18, 0x1.91cad19418c96p-18, 0x1.8bfe17fb313d8p-18, 0x1.8628fed0de927p-18, 0x1.804b0cbe2fd78p-18, 0x1.7a624c89be06fp-18, 0x1.746e1320010d2p-18, 0x1.6e702d2dfac49p-18, 0x1.68693c9f3f6bbp-18, 0x1.6257fc517a705p-18, 0x1.5c3b79d4a148dp-18, 0x1.5613875400742p-18, 0x1.4fdfbc75287d2p-18, 0x1.499fa42bff7f6p-18, 0x1.43539bc4cbb32p-18, 0x1.3cfc8c02b6bfp-18, 0x1.369afca9955b8p-18, 0x1.302ef3d8145afp-18, 0x1.29b8bdc49f423p-18, 0x1.2338e551314d3p-18, 0x1.1caf290832cfcp-18, 0x1.161c9e377483cp-18, 0x1.0f84605a031d7p-18, 0x1.08e53000483cp-18, 0x1.023dd16e2c9d7p-18, 0x1.f721de361878ap-19, 0x1.e9b9d70488c92p-19, 0x1.dc3fb9a645001p-19, 0x1.ceba1510c2f86p-19, 0x1.c13246965c6e6p-19, 0x1.b3acbcf0f5628p-19, 0x1.a626d5faddf79p-19, 0x1.989d32272c64p-19, 0x1.8b12aa9657a9fp-19, 0x1.7d8ba278bbfecp-19, 0x1.7006ad2898a51p-19, 0x1.628171ae02cd6p-19, 0x1.54fe5b80972b5p-19, 0x1.4781f89567274p-19, 0x1.3a10f9035f8c6p-19, 0x1.2cae0de2e880cp-19, 0x1.1f54702f3a7f8p-19, 0x1.120372bbc95e5p-19, 0x1.04c6d5c45f605p-19, 0x1.ef3b6885f6042p-20, 0x1.d518cf052288fp-20, 0x1.bb23c61e65948p-20, 0x1.a14b6e551c1e2p-20, 0x1.879c697ba9d33p-20, 0x1.6e22e729ad9e2p-20, 0x1.54e03c9a71e6fp-20, 0x1.3bd1e06201d01p-20, 0x1.22f4eacd48d35p-20, 0x1.0a49a5da7265dp-20, 0x1.e3b390a3efd8p-21, 0x1.b36899e4d4e68p-21, 0x1.83b417c0ed325p-21, 0x1.5486134c2b598p-21, 0x1.25ee9d316df1ap-21, 0x1.eff8bfe380a78p-22, 0x1.95301434aab58p-22, 0x1.3b7d242fdbb81p-22, 0x1.c60e05794c538p-23, 0x1.174f34498ec98p-23, 0x1.ab877acfc8d67p-25, -0x1.f2ff2b9b3c6c4p-26, -0x1.c8dfb79c7ba12p-24, -0x1.878335eac7bafp-23, -0x1.142260d3b9c3bp-22, -0x1.6326b2c1bc5c4p-22, -0x1.b0a5fabfba028p-22, -0x1.fc9fbad59025ep-22, -0x1.238b022c8fb32p-21, -0x1.48036692ce56ep-21, -0x1.6bb7358a8c66dp-21, -0x1.8ea4cf38278ccp-21, -0x1.b0cb38ae1c737p-21, -0x1.d22a0aaa0ebd8p-21, -0x1.f2c12033ada55p-21, -0x1.09489c6970c8bp-20, -0x1.18cf2ea76f759p-20, -0x1.27f568a45f965p-20, -0x1.36b3df0d1b9acp-20, -0x1.450416848ecd8p-20, -0x1.52e795d634124p-20, -0x1.605bcddafdaecp-20, -0x1.6d744ea3a84a7p-20, -0x1.7a3274d69c9e5p-20, -0x1.867d188c42e1ap-20, -0x1.9255cbdfe309ap-20, -0x1.9dcfc0c6292a2p-20, -0x1.a8e1a174002ddp-20, -0x1.b386e4ca4ae39p-20, -0x1.bdc25687792c7p-20, -0x1.c795dac1f56fbp-20, -0x1.d10239933ea0dp-20, -0x1.da07dd9103f0ep-20, -0x1.e2a72ed26621dp-20, -0x1.eae0b58f48ff8p-20, -0x1.f2b521c52176p-20, -0x1.fa252fcef20d6p-20, -0x1.0098bc0afce3ap-19, -0x1.03ed29b768ce8p-19, -0x1.070ff60693e6bp-19, -0x1.0a0139ffee414p-19, -0x1.0cc1494d1329ap-19, -0x1.0f50d780c2994p-19, -0x1.11b06c8fda94fp-19, -0x1.13dfb840b92f7p-19, -0x1.15e01dfede6bap-19, -0x1.17b9194f41014p-19, }}, 
      {{0x1.28fec0ffb4e29p+0, 0x1.3a11b35e9fea5p+0, 0x1.4fedbb4db50a4p+0, 0x1.672294a06fa67p+0, 0x1.7d72c75c4108p+0, 0x1.917b269dcf25ep+0, 0x1.a27251955e6dbp+0, 0x1.affa38a185a0cp+0, 0x1.b9fe8484aad4bp+0, 0x1.c09bdfbb4695fp+0, 0x1.c40df1faa3fap+0, 0x1.c4a27932d5a9ap+0, 0x1.c2b02bbbd9a46p+0, 0x1.be906488dd9cbp+0, 0x1.b89adcbf90fe8p+0, 0x1.b122e575329ep+0, 0x1.a875b76ec75ddp+0, 0x1.9ed9895249a82p+0, 0x1.948d30f356316p+0, 0x1.89c823d645763p+0, 0x1.7ebab6bccfa8cp+0, 0x1.738e84ec6988cp+0, 0x1.6866ee8194737p+0, 0x1.5d61a2108cf35p+0, 0x1.52972970d8b53p+0, 0x1.481b74359846cp+0, 0x1.3dfe5c4424a34p+0, 0x1.344c22629226fp+0, 0x1.2b0de19a81f4ap+0, 0x1.2249f9006dd41p+0, 0x1.1a046be4c76bcp+0, 0x1.123f38bc3c3f3p+0, 0x1.0afaa735fa546p+0, 0x1.04358e0da54a7p+0, 0x1.fbdb2262bae72p-1, 0x1.f03eb1ae58b1fp-1, 0x1.e58d8435bb32p-1, 0x1.dbbe136fa09bep-1, 0x1.d2c5e2d5621f2p-1, 0x1.ca99c0ff02abp-1, 0x1.c32e000c5892ep-1, 0x1.bc76a63ae874p-1, 0x1.b667977fb3c7ep-1, 0x1.b0f4b8ddbdedcp-1, 0x1.ac120e257b0d1p-1, 0x1.a7b3d2c93cbf9p-1, 0x1.a3ce8e4078bb9p-1, 0x1.a057249517f3dp-1, 0x1.9d42e37fedbc5p-1, 0x1.9a878c8036b97p-1, 0x1.981b5c6e7c7d4p-1, 0x1.95f5108df6589p-1, 0x1.940bea15dbe4ap-1, 0x1.9257af55eef2cp-1, 0x1.90d0ac7e5c9ecp-1, 0x1.8f6fb1a4bfe0bp-1, 0x1.8e2e11e162979p-1, 0x1.8d059ecb58647p-1, 0x1.8bf0a6cd84b1ep-1, 0x1.8ae9ee9f99d4cp-1, 0x1.89ecaf594c9f2p-1, 0x1.88f48ebd1f01bp-1, 0x1.87fd9cad50987p-1, 0x1.87044b9466c1bp-1, 0x1.86056c84e91aap-1, 0x1.84fe2923236c3p-1, 0x1.83ebfe4fa8cbbp-1, 0x1.82ccb74f8b74fp-1, 0x1.819e67f9ef2p-1, 0x1.805f6841dfa7fp-1, 0x1.7f0e4f2a4723ap-1, 0x1.7da9ee69e1946p-1, 0x1.7c314e0b715e5p-1, 0x1.7aa3a83828dfap-1, 0x1.79006536687a9p-1, 0x1.774717a596efep-1, 0x1.7577790249fa9p-1, 0x1.739166686db69p-1, 0x1.7194dd7fc99c1p-1, 0x1.6f81f985a34aap-1, 0x1.6d58f06be029cp-1, 0x1.6b1a10170d5dp-1, 0x1.68c5bbc30535fp-1, 0x1.665c6999ee70bp-1, 0x1.63dea07cbf7ep-1, 0x1.614cf5f9458b4p-1, 0x1.5ea80c647518ap-1, 0x1.5bf0910f2b5fap-1, 0x1.59273a92eeb1dp-1, 0x1.564cc733b8e99p-1, 0x1.5361fb5ca2987p-1, 0x1.5067a03a97c18p-1, 0x1.4d5e827881551p-1, 0x1.4a47711f62af3p-1, 0x1.47233c96acc4p-1, 0x1.43f2b5c275ad1p-1, 0x1.40b6ad3a9301ap-1, 0x1.3d6ff29477f29p-1, 0x1.3a1f53be8c36cp-1, 0x1.36c59c68d4553p-1, 0x1.3363957accf3ap-1, 0x1.2ffa0497802b3p-1, 0x1.2c89abaefd295p-1, 0x1.2913489ed7019p-1, 0x1.259794e183fc8p-1, 0x1.2217454c0d21fp-1, 0x1.1e9309d8a247p-1, 0x1.1b0b8d7da66e8p-1, 0x1.1781760e81548p-1, 0x1.13f56424984a3p-1, 0x1.1067f30fdf72p-1, 0x1.0cd9b8cc8f89ep-1, 0x1.094b45fd88db4p-1, 0x1.05bd25eb0ab2ap-1, 0x1.022fde8521ea9p-1, 0x1.fd47e0d29928dp-2, 0x1.f633add762298p-2, 0x1.ef241048295f2p-2, 0x1.e819e9fb03dcep-2, 0x1.e1161291d119bp-2, 0x1.da1957a73a4d1p-2, 0x1.d3247cfe434e5p-2, 0x1.cc383cb64efc2p-2, 0x1.c5554785cb722p-2, 0x1.be7c44f38e3b5p-2, 0x1.b7add393ad526p-2, 0x1.b0ea8948c7b59p-2, 0x1.aa32f38186d88p-2, 0x1.a387977870112p-2, 0x1.9ce8f2766881cp-2, 0x1.96577a1129c22p-2, 0x1.8fd39c69e0c05p-2, 0x1.895dc06e02a92p-2, 0x1.82f6461589b5fp-2, 0x1.7c9d869e9f96fp-2, 0x1.7653d4cb0aaa2p-2, 0x1.70197d1dc48a3p-2, 0x1.69eec613e5a9bp-2, 0x1.63d3f05d59f55p-2, 0x1.5dc9371892b7ep-2, 0x1.57ced009aa92ep-2, 0x1.51e4ebce1c0dep-2, 0x1.4c0bb6142cce4p-2, 0x1.464355d0644fcp-2, 0x1.408bed6d6787ep-2, 0x1.3ae59afd7ba0dp-2, 0x1.3550786ca0e0bp-2, 0x1.2fcc9badbd90bp-2, 0x1.2a5a16e6b988ap-2, 0x1.24f8f89d8cf0cp-2, 0x1.1fa94be24813cp-2, 0x1.1a6b1876fce97p-2, 0x1.153e62f7f132ap-2, 0x1.10232d01ad777p-2, 0x1.0b197554ce83fp-2, 0x1.062137f9fb65cp-2, 0x1.013a6e647ea5dp-2, 0x1.f8ca1f244cd69p-3, 0x1.ef42205585f63p-3, 0x1.e5dcc53ee9adbp-3, 0x1.dc99ee8f5dad6p-3, 0x1.d37978f9a1e2cp-3, 0x1.ca7b3d6b9177dp-3, 0x1.c19f11427c8d3p-3, 0x1.b8e4c67bf6329p-3, 0x1.b04c2be6febb3p-3, 0x1.a7d50d540847ep-3, 0x1.9f7f33bfa1c45p-3, 0x1.974a657b4361cp-3, 0x1.8f366659436f1p-3, 0x1.8742f7d724f93p-3, 0x1.7f6fd94078b5cp-3, 0x1.77bcc7cfbdfdep-3, 0x1.70297ed475c1dp-3, 0x1.68b5b7d94c5acp-3, 0x1.61612ac254588p-3, 0x1.5a2b8de6d7e3fp-3, 0x1.5314962fc0684p-3, 0x1.4c1bf7395e03ep-3, 0x1.4541636fcc9f7p-3, 0x1.3e848c24d385bp-3, 0x1.37e521a68137dp-3, 0x1.3162d35a2e093p-3, 0x1.2afd4fd6c4413p-3, 0x1.24b444f9dd4dep-3, 0x1.1e875ffa2e3b7p-3, 0x1.18764d7b691f5p-3, 0x1.1280b9a341aa2p-3, 0x1.0ca6502ce5e6fp-3, 0x1.06e6bc7a61eeap-3, 0x1.0141a9a5743bfp-3, 0x1.f76d851f8ad95p-4, 0x1.ec8b63e34f14bp-4, 0x1.e1dc44d051d69p-4, 0x1.d75f7d088f2ddp-4, 0x1.cd1461b535101p-4, 0x1.c2fa4820f528ap-4, 0x1.b91085cb11662p-4, 0x1.af567079e9de6p-4, 0x1.a5cb5e53fb15bp-4, 0x1.9c6ea5fd2b4dbp-4, 0x1.933f9eae4e641p-4, 0x1.8a3da042301dap-4, 0x1.8168033ef6e4p-4, 0x1.78be20e6cc4b3p-4, 0x1.703f535111b4ep-4, 0x1.67eaf58210572p-4, 0x1.5fc063779cf79p-4, 0x1.57befa2cda095p-4, 0x1.4fe617a07f12bp-4, 0x1.48351ae55e8aep-4, 0x1.40ab64388a3acp-4, 0x1.39485511b1df1p-4, 0x1.320b502820004p-4, 0x1.2af3b97231c8p-4, 0x1.2400f629f4d95p-4, 0x1.1d326cdb4d8bfp-4, 0x1.168785756b563p-4, 0x1.0fffa955d6db4p-4, 0x1.099a4349ca32bp-4, 0x1.0356bf8b9a08dp-4, 0x1.fa691789a257ap-5, 0x1.ee662e30606bdp-5, 0x1.e2a3a45d26812p-5, 0x1.d7205e7e2d7cap-5, 0x1.cbdb441ed9f46p-5, 0x1.c0d33fe0860f9p-5, 0x1.b6073f78bfdeap-5, 0x1.ab7633bb97211p-5, 0x1.a11f10ace06d6p-5, 0x1.9700cd8d03ac3p-5, 0x1.8d1a64da802d9p-5, 0x1.836ad44ad5255p-5, 0x1.79f11cc3ef272p-5, 0x1.70ac425d5445ap-5, 0x1.679b4c68b24ccp-5, 0x1.5ebd457b0446ap-5, 0x1.56113b6f706ep-5, 0x1.4d963f625e56ep-5, 0x1.454b65a91454ep-5, 0x1.3d2fc5cc0fff9p-5, 0x1.35427a87306aep-5, 0x1.2d82a1cd96b42p-5, 0x1.25ef5ccc42ddp-5, 0x1.1e87cfe7c9458p-5, 0x1.174b22b5466abp-5, 0x1.10387ff1d160dp-5, 0x1.094f157c38794p-5, 0x1.028e145290085p-5, 0x1.f7e96123af3ep-6, 0x1.eb0442e936821p-6, 0x1.de6b429cb0074p-6, 0x1.d21cdb07ae32p-6, 0x1.c6178d04b48c1p-6, 0x1.ba59df703ec86p-6, 0x1.aee25f1e90e55p-6, 0x1.a3af9ed4e3374p-6, 0x1.98c03741dc6ap-6, 0x1.8e12c6f28562cp-6, 0x1.83a5f242e1149p-6, 0x1.7978634c38c14p-6, 0x1.6f88c9d3dfdabp-6, 0x1.65d5db3cdc2b7p-6, 0x1.5c5e527c5d2a6p-6, 0x1.5320f00f1f0b4p-6, 0x1.4a1c79ed6bd9cp-6, 0x1.414fbb7c844ddp-6, 0x1.38b9857da73a1p-6, 0x1.3058adfc2d3f3p-6, 0x1.282c103c68d27p-6, 0x1.20328cac68ffbp-6, 0x1.186b08d668029p-6, 0x1.10d46f53b1805p-6, 0x1.096dafbec5218p-6, 0x1.0235bea40bf4fp-6, 0x1.f6572ae264675p-7, 0x1.e89c64c7c560dp-7, 0x1.db3930f14f257p-7, 0x1.ce2b9eb5479cep-7, 0x1.c171c6a8997fp-7, 0x1.b509ca81420fp-7, 0x1.a8f1d4f8ed47ep-7, 0x1.9d2819aedb138p-7, 0x1.91aad509051aap-7, 0x1.86784c14e6495p-7, 0x1.7b8ecc67b2c65p-7, 0x1.70ecabfe77fd5p-7, 0x1.6690491e451b5p-7, 0x1.5c780a3411649p-7, 0x1.52a25db4b09ecp-7, 0x1.490db9fd06cebp-7, 0x1.3fb89d336e7ddp-7, 0x1.36a18d2ad75d6p-7, 0x1.2dc71747a7f9cp-7, 0x1.2527d06572654p-7, 0x1.1cc254bc66e15p-7, 0x1.149547c4e0d8p-7, 0x1.0c9f541837f32p-7, 0x1.04df2b4eb8992p-7, 0x1.faa70bb8599f7p-8, 0x1.ebf645daa70dfp-8, 0x1.dda99091817d7p-8, 0x1.cfbe846a21fecp-8, 0x1.c232c6c89a7c9p-8, 0x1.b50409c5baa8fp-8, 0x1.a8300c0ce9f09p-8, 0x1.9bb498b27129ep-8, 0x1.8f8f86fbb3eb3p-8, 0x1.83beba17cd7fbp-8, 0x1.784020cc8cfabp-8, 0x1.6d11b52101d3dp-8, 0x1.62317c113f8d6p-8, 0x1.579d8555aa52ap-8, 0x1.4d53eb430d6ffp-8, 0x1.4352d2c09eafcp-8, 0x1.39986b498f2c9p-8, 0x1.3022eee9e52bfp-8, 0x1.26f0a2263d98cp-8, 0x1.1dffd3c2c3e78p-8, 0x1.154edc6825fd6p-8, 0x1.0cdc1e30c5b25p-8, 0x1.04a6043188a5dp-8, 0x1.f956042dab69ap-9, 0x1.e9d327d365ba3p-9, 0x1.dac07c0ed9b05p-9, 0x1.cc1b1a8db3764p-9, 0x1.bde02e6cc0bf6p-9, 0x1.b00cf4a88501ap-9, 0x1.a29ebc41ceb1cp-9, 0x1.9592e5e64bbfcp-9, 0x1.88e6e3109f365p-9, 0x1.7c9834bdebecbp-9, 0x1.70a469f9ec2d8p-9, 0x1.65091e986044fp-9, 0x1.59c3fa6d69f7p-9, 0x1.4ed2b136c5766p-9, 0x1.44330338ab5e3p-9, 0x1.39e2be5be3fbp-9, 0x1.2fdfbf6d464acp-9, 0x1.2627f30f86869p-9, 0x1.1cb955fb7b79ap-9, 0x1.1391f45839d6ap-9, 0x1.0aafe832d5b55p-9, 0x1.02115761484aep-9, 0x1.f368e29617225p-10, 0x1.e32eda47088dfp-10, 0x1.d3711218ecd6ep-10, 0x1.c42c14bcd8bccp-10, 0x1.b55c7e0d9fc64p-10, 0x1.a6feff3f924c2p-10, 0x1.9910635731ea3p-10, 0x1.8b8d9295858e5p-10, 0x1.7e7393bdac76cp-10, 0x1.71bf8a9c8b718p-10, 0x1.656eb3f188736p-10, 0x1.597e5f891afcep-10, 0x1.4debe9e180a2ap-10, 0x1.42b4b6dc70ff9p-10, 0x1.37d62ecc2fdcap-10, 0x1.2d4dbea0587b3p-10, 0x1.2318db32ad719p-10, 0x1.193506e74238cp-10, 0x1.0f9fd83539b14p-10, 0x1.0656ff66c193dp-10, 0x1.fab09406ed4ffp-11, 0x1.e94345d012883p-11, 0x1.d8621dbbe39c6p-11, 0x1.c8094cbc52634p-11, 0x1.b8351baf39bedp-11, 0x1.a8e1dc5dc3f13p-11, 0x1.9a0bde4d84fe5p-11, 0x1.8baf69ef3caedp-11, 0x1.7dc8c34b1a1f7p-11, 0x1.7054338797bb1p-11, 0x1.634e16f68082dp-11, 0x1.56b2ec37431f9p-11, 0x1.4a7f60c9b6d16p-11, 0x1.3eb0582cf477bp-11, 0x1.3342ec0393c1cp-11, 0x1.28346547e91a4p-11, 0x1.1d8230083da7fp-11, 0x1.1329cc20dd91dp-11, 0x1.0928bdfeb28fep-11, 0x1.fef9051e1f268p-12, 0x1.ec4511f4e762ep-12, 0x1.da3067160318cp-12, 0x1.c8b5be97e6f06p-12, 0x1.b7cfe05bcd6b8p-12, 0x1.a779bceb108e2p-12, 0x1.97ae84c4f65dp-12, 0x1.8869b81159f17p-12, 0x1.79a72cff987c8p-12, 0x1.6b630ca0418b6p-12, 0x1.5d99c6b7cf95ep-12, 0x1.5047fdd036284p-12, 0x1.436a6e7c35fap-12, 0x1.36fdd6c8e69ffp-12, 0x1.2afee3f40fa8ep-12, 0x1.1f6a2b428e88ap-12, 0x1.143c2ee8dbbf3p-12, 0x1.09716b67cba28p-12, 0x1.fe0cce5f37b4ap-13, 0x1.e9ef7f6217f83p-13, 0x1.d684660b8cab1p-13, 0x1.c3c550e384e6ap-13, 0x1.b1ac72e4840eep-13, 0x1.a03472bd6a013p-13, 0x1.8f586cebeb0fp-13, 0x1.7f13e080dba03p-13, 0x1.6f6288e7834ecp-13, 0x1.604032f546b43p-13, 0x1.51a89f76e9c53p-13, 0x1.43977d8e58054p-13, 0x1.3608787b097d1p-13, 0x1.28f748e159e93p-13, 0x1.1c5fb962a9c7dp-13, 0x1.103d9a88114f8p-13, 0x1.048cb285a71b2p-13, 0x1.f2917b774692fp-14, 0x1.dcdb181f27688p-14, 0x1.c7ee624b174cbp-14, 0x1.b3c455f18c2bfp-14, 0x1.a056c82a8c9dbp-14, 0x1.8da01bd5a3c68p-14, 0x1.7b9ad794b6cadp-14, 0x1.6a4162d446cc4p-14, 0x1.598e0f95b2cffp-14, 0x1.497b5ceaa5841p-14, 0x1.3a043788e63aap-14, 0x1.2b2401dce43d3p-14, 0x1.1cd6528397385p-14, 0x1.0f1688020524ep-14, 0x1.01df738b0051p-14, 0x1.ea56b7962aa66p-15, 0x1.d1e8d24a52af3p-15, 0x1.ba6a8a83a84ep-15, 0x1.a3d31690707e3p-15, 0x1.8e1b793813d0dp-15, 0x1.793d81673e9acp-15, 0x1.65329670b0cdfp-15, 0x1.51f3274d80d98p-15, 0x1.3f770c526a0afp-15, 0x1.2db67889ccbf2p-15, 0x1.1caacc49d15fbp-15, 0x1.0c4ecbea26f8fp-15, 0x1.f93c40de9d74fp-16, 0x1.db28c36a9e70cp-16, 0x1.be584db11b848p-16, 0x1.a2bd47128c0aap-16, 0x1.884838f8b9022p-16, 0x1.6eea119d6d3e2p-16, 0x1.56968679b4dc1p-16, 0x1.3f451b9bbf00ep-16, 0x1.28f019035d14dp-16, 0x1.139221c5814c2p-16, 0x1.fe4837a775e17p-17, 0x1.d7395fcb3fc91p-17, 0x1.b1e299325f7a8p-17, 0x1.8e2f5eac887bap-17, 0x1.6c0e11c48d951p-17, 0x1.4b7093b269147p-17, 0x1.2c4b3c82a2fc7p-17, 0x1.0e93151ee4f23p-17, 0x1.e478771683f4dp-18, 0x1.ae71a5e6c4cdep-18, 0x1.7af1c9f2a7514p-18, 0x1.49d7629281443p-18, 0x1.1b041f19460ebp-18, 0x1.dcc1f7a7d3baep-19, 0x1.87bdef0ace939p-19, 0x1.36e799b828a73p-19, 0x1.d453a81eeed7cp-20, 0x1.42cf9eae927abp-20, 0x1.71f04dee25e7bp-21, 0x1.b3cc9a9311c6ep-23, -0x1.13f302470ed84p-22, -0x1.736ab98d7fcb8p-21, -0x1.27fcb49e83237p-20, -0x1.9025e88e5edb6p-20, -0x1.f28234fa8be76p-20, -0x1.27aa5920e7f9dp-19, -0x1.53683fadf3e85p-19, -0x1.7c90e98241f0ep-19, -0x1.a33c23c2cad91p-19, -0x1.c785a9425d11dp-19, -0x1.e98b24622e9d1p-19, -0x1.04b32732d057dp-18, -0x1.139401bb875eep-18, -0x1.216d10c68386ep-18, -0x1.2e43841f71e27p-18, -0x1.3a1f8a29cb7dp-18, -0x1.450b0a168e9cap-18, -0x1.4f0eafcbc7b17p-18, -0x1.5832335ada8b5p-18, -0x1.607f10eaf62a5p-18, -0x1.6801297a85028p-18, -0x1.6ec4ceb9b80e2p-18, -0x1.74d4d555bf613p-18, -0x1.7a3a03eeb8365p-18, -0x1.7efb71af3bc4fp-18, -0x1.831f096e1fafcp-18, -0x1.86aa421021a24p-18, -0x1.89a3831b29696p-18, -0x1.8c1286dcdf6a1p-18, -0x1.8dfdd9ac17176p-18, -0x1.8f68d8ace0e0ap-18, -0x1.9055f462ed36ap-18, -0x1.90c9d6b4d0df4p-18, -0x1.90ca56358bc15p-18, -0x1.905b63acbbfffp-18, -0x1.8f7fbc9e5f004p-18, -0x1.8e3be118d164ep-18, -0x1.8c963488c7b87p-18, -0x1.8a94f855b47a1p-18, -0x1.883d12fe4fb3ap-18, -0x1.85920fae59453p-18, -0x1.8296a0ca31c5p-18, -0x1.7f4d5c0b4f866p-18, -0x1.7bb9704926ee9p-18, -0x1.77dedc01d403p-18, -0x1.73c24bdc56955p-18, -0x1.6f68d92d63d12p-18, -0x1.6ad67af562bbbp-18, -0x1.660c5dcddfb86p-18, -0x1.610ac6ccf5b7fp-18, -0x1.5bd426712ff4bp-18, -0x1.566c4ba230f75p-18, -0x1.50d5b3807da21p-18, -0x1.4b11cb5ac83d9p-18, -0x1.4522a42387e1ep-18, -0x1.3f0b08dbba818p-18, -0x1.38cdc24cfdd65p-18, -0x1.326d32b86ac64p-18, -0x1.2beb564c99684p-18, -0x1.2549ee0a50d2ep-18, -0x1.1e8aa7ce5597bp-18, -0x1.17af2eb595ac5p-18, -0x1.10b9284f9dc21p-18, -0x1.09aa3174f2325p-18, -0x1.0283e19519197p-18, -0x1.f68f8f709314p-19, -0x1.e7eeeb240437dp-19, -0x1.d9292f05e5b5ep-19, -0x1.ca418798e370dp-19, -0x1.bb3a6e09675c3p-19, -0x1.ac1602572be0ep-19, -0x1.9cd6aa6491722p-19, -0x1.8d7f068f95905p-19, -0x1.7e118c0fb692cp-19, -0x1.6e905b108d7dfp-19, -0x1.5efda70fc0766p-19, -0x1.4f5c07ae7ee2cp-19, -0x1.3fadebd71eb0cp-19, -0x1.2ff514b1f8d23p-19, -0x1.2032f2aa04bb1p-19, -0x1.10693e4503d7fp-19, -0x1.0099fe9ac7836p-19, -0x1.e18e196f6ea4fp-20, -0x1.c1e423580366p-20, -0x1.a23a33fc800ecp-20, -0x1.8292da47a393ep-20, -0x1.62ee5fe32f844p-20, -0x1.4351c88cc8f08p-20, -0x1.23c20113183a1p-20, -0x1.043f93b33afb5p-20, -0x1.c99f39f5cb22ap-21, -0x1.8aeef228fd88dp-21, -0x1.4c6dcb376ceacp-21, -0x1.0e189d6087c46p-21, -0x1.9fe34e0bf69d8p-22, -0x1.2403e8a60f487p-22, -0x1.514af16037599p-23, -0x1.6e712c1042b85p-25, 0x1.31fa3acfc5c4ep-24, 0x1.8c654d6007b46p-23, 0x1.3f3f3692fe417p-22, 0x1.b79e499413178p-22, 0x1.17a6d4ab31cbcp-21, 0x1.5325a34433409p-21, 0x1.8e48e98bd2a9cp-21, 0x1.c907c8308bbap-21, 0x1.01ae7ee920609p-20, 0x1.1ea6fe18ba391p-20, 0x1.3b6acc604384p-20, 0x1.57f99e2d88a2dp-20, 0x1.7450e92db559dp-20, 0x1.906b0aa24c894p-20, 0x1.ac48b12aadea1p-20, 0x1.c7ea81215af32p-20, 0x1.e34ee2793636dp-20, 0x1.fe7380f3cf309p-20, 0x1.0cab0594bb4dep-19, 0x1.19fa75666054dp-19, 0x1.27283ddba6587p-19, 0x1.343511953c5ep-19, 0x1.41203bd43d644p-19, 0x1.4de835b0df43dp-19, 0x1.5a8d1316409bap-19, 0x1.670ed7bb40143p-19, 0x1.736bbce5da2c2p-19, 0x1.7fa300f0929a6p-19, 0x1.8bb4fa58c4ea8p-19, 0x1.97a03259c4a15p-19, 0x1.a36483f9349fbp-19, 0x1.af03f0beed305p-19, 0x1.ba7e097fe7e1bp-19, 0x1.c5d1b3ebb7f79p-19, 0x1.d0fc7c7473e17p-19, 0x1.dbff2607b08b8p-19, 0x1.e6da376889414p-19, 0x1.f18d4d55c153fp-19, 0x1.fc17faabe11c6p-19, 0x1.033cf81c4ab16p-18, 0x1.08597711baeb9p-18, 0x1.0d615bf487dd5p-18, 0x1.12548783bf3a3p-18, 0x1.1732d9b29eabcp-18, 0x1.1bfc3334bf271p-18, 0x1.20b071fa76399p-18, 0x1.254f642abb79ap-18, 0x1.29d8e56ce11bp-18, 0x1.2e4d33322fa52p-18, 0x1.32ac8069f3115p-18, 0x1.36f6a90c535cep-18, 0x1.3b2bb85f46774p-18, 0x1.3f4acf3bfd8b4p-18, 0x1.4353d4c35e5e2p-18, 0x1.4747cd0d03cc2p-18, 0x1.4b269fc7c10f8p-18, 0x1.4eef7b10bc1b9p-18, 0x1.52a2beed79068p-18, 0x1.56409aaafe975p-18, 0x1.59c8f19745cafp-18, 0x1.5d3bb27589d2bp-18, 0x1.6098d9a297fc1p-18, 0x1.63e069329299cp-18, 0x1.6712652b9b2bcp-18, 0x1.6a2ed21ddbf3bp-18, 0x1.6d35b4c89874p-18, 0x1.7027130e3c455p-18, 0x1.7302f5b3d2c65p-18, 0x1.75c969679c328p-18, 0x1.787a7e1726841p-18, 0x1.7b1644ed7c0fep-18, 0x1.7d9ccc4838c11p-18, 0x1.800e1ce99762fp-18, 0x1.826a441ae139cp-18, 0x1.84b1601f23c17p-18, 0x1.86e37078e56e3p-18, 0x1.8900049caf0d8p-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.b9d1e5d16d1d7p-7, 0x1.b980284cce939p-6, 0x1.4aba2edc8c44dp-5, 0x1.b83aa4b5cd2ccp-5, 0x1.128d0456863e2p-4, 0x1.4898ecc21f098p-4, 0x1.7e2e568afcb7cp-4, 0x1.b33b2a1b7a0dp-4, 0x1.e7adfc6c03833p-4, 0x1.0dbb0dea2c28p-3, 0x1.2741cd716eefap-3, 0x1.4063ac9c91f06p-3, 0x1.5919852628978p-3, 0x1.715c9cf599aa3p-3, 0x1.8926a7428b55fp-3, 0x1.a071c4a739a9bp-3, 0x1.b73882402a922p-3, 0x1.cd75d802db69bp-3, 0x1.e325267a72d76p-3, 0x1.f842341945e86p-3, 0x1.066495249a907p-2, 0x1.105b492ea6b94p-2, 0x1.1a03a93ef7fd7p-2, 0x1.235c554fcda26p-2, 0x1.2c6418c62992p-2, 0x1.3519e9006e657p-2, 0x1.3d7ce3ed2059fp-2, 0x1.458c4ea68ad61p-2, 0x1.4d47940f64944p-2, 0x1.54ae436ca8aeap-2, 0x1.5bc00ef961cb3p-2, 0x1.627cca722b395p-2, 0x1.68e4699735e65p-2, 0x1.6ef6fea4d8317p-2, 0x1.74b4b8c3b082dp-2, 0x1.7a1de27267539p-2, 0x1.7f32dfebc559ap-2, 0x1.83f42d8c5678ap-2, 0x1.88625e3b1e30cp-2, 0x1.8c7e19d8e557ep-2, 0x1.90481bb98b713p-2, 0x1.93c1312a800b9p-2, 0x1.96ea38090eb97p-2, 0x1.99c41d6ac1bcdp-2, 0x1.9c4fdc597b04cp-2, 0x1.9e8e7ca461cc7p-2, 0x1.a08111c63831ep-2, 0x1.a228b9e118c35p-2, 0x1.a3869ccf37bdep-2, 0x1.a49beb47c5edap-2, 0x1.a569de16cf64bp-2, 0x1.a5f1b566a1f76p-2, 0x1.a634b819114fep-2, 0x1.a634332ede9a9p-2, 0x1.a5f1793b6698fp-2, 0x1.a56de1e2cb656p-2, 0x1.a4aac960ca58dp-2, 0x1.a3a9901694c8p-2, 0x1.a26b9a1e192d2p-2, 0x1.a0f24ee1556b2p-2, 0x1.9f3f18b47895fp-2, 0x1.9d536471c15fap-2, 0x1.9b30a11643dbdp-2, 0x1.98d83f5ee3286p-2, 0x1.964bb16502f5dp-2, 0x1.938c6a3aa3163p-2, 0x1.909bdd85b522ap-2, 0x1.8d7b7f1aafbbfp-2, 0x1.8a2cc29675d4dp-2, 0x1.86b11af7d6a12p-2, 0x1.8309fa38ec187p-2, 0x1.7f38d0e8c6e07p-2, 0x1.7b3f0dc5dad9dp-2, 0x1.771e1d59a4605p-2, 0x1.72d7699617617p-2, 0x1.6e6c5975544f7p-2, 0x1.69de509c36b6fp-2, 0x1.652eaf0036da9p-2, 0x1.605ed09124e8bp-2, 0x1.5b700ce731055p-2, 0x1.5663b6f5a7f4ep-2, 0x1.513b1cc2ced56p-2, 0x1.4bf787252363p-2, 0x1.469a39865459dp-2, 0x1.412471ac2567bp-2, 0x1.3b976787616e9p-2, 0x1.35f44d090862bp-2, 0x1.303c4dfdb541p-2, 0x1.2a708fef47fd1p-2, 0x1.2492320cc9493p-2, 0x1.1ea24d1866cbap-2, 0x1.18a1f35b70017p-2, 0x1.129230a0221c2p-2, 0x1.0c740a310ef44p-2, 0x1.06487edddb565p-2, 0x1.001087051b7d7p-2, 0x1.f39a2945e9c89p-3, 0x1.e6fe26c87fde1p-3, 0x1.da4ed17b9782ap-3, 0x1.cd8de80eef71p-3, 0x1.c0bd1d35749eap-3, 0x1.b3de17e8954c5p-3, 0x1.a6f273b10644fp-3, 0x1.99fbc0f45168p-3, 0x1.8cfb8546792ep-3, 0x1.7ff33bbef86edp-3, 0x1.72e4555075879p-3, 0x1.65d0392284634p-3, 0x1.58b844ecc85b5p-3, 0x1.4b9dcd52f03d1p-3, 0x1.3e821e40e1cebp-3, 0x1.31667b469fd6cp-3, 0x1.244c1ff3551e9p-3, 0x1.1734402f1bc19p-3, 0x1.0a20089304c4dp-3, 0x1.fa213d7e01eb3p-4, 0x1.e00e435a96608p-4, 0x1.c6095405f4aabp-4, 0x1.ac1494bb08c9dp-4, 0x1.92321f39a0fdap-4, 0x1.78640253909acp-4, 0x1.5eac42722410dp-4, 0x1.450cda13d5122p-4, 0x1.2b87ba41e2267p-4, 0x1.121ecafda3a8ep-4, 0x1.f1a7d74b01f9fp-5, 0x1.bf51e6a2ebf31p-5, 0x1.8d3f624e49ac1p-5, 0x1.5b73d94af7a43p-5, 0x1.29f2cbd009dd5p-5, 0x1.f17f57880c506p-6, 0x1.8fbbba4602278p-6, 0x1.2ea16caa0bf9fp-6, 0x1.9c6e01d51f704p-7, 0x1.ba0bbc547d832p-8, 0x1.f172ac62a5423p-11, -0x1.3aa31e33db922p-8, -0x1.5827f92f06428p-7, -0x1.08aff80cdd2adp-6, -0x1.6476c1c0fd212p-6, -0x1.bf627b30c9242p-6, -0x1.0cb6afddc994dp-5, -0x1.3948e277842d4p-5, -0x1.65650d7218d17p-5, -0x1.91087655fc48fp-5, -0x1.bc307064c9bd4p-5, -0x1.e6da5cdcb7916p-5, -0x1.0881d5a0bca6cp-4, -0x1.1d54ecd4f283fp-4, -0x1.31e53a88c54cbp-4, -0x1.46318cd6cdbb2p-4, -0x1.5a38b9a2326a4p-4, -0x1.6df99ec358ea3p-4, -0x1.817322353852dp-4, -0x1.94a4324300fcdp-4, -0x1.a78bc5b5c21d1p-4, -0x1.ba28dc01d00c6p-4, -0x1.cc7a7d73a4539p-4, -0x1.de7fbb5be30cep-4, -0x1.f037b03a65ee1p-4, -0x1.00d0bff3fce3bp-3, -0x1.095e2bdf4d5e5p-3, -0x1.11c3b76008a92p-3, -0x1.1a0102dd51727p-3, -0x1.2215b3b5daf11p-3, -0x1.2a017450307adp-3, -0x1.31c3f429bcee2p-3, -0x1.395ce7e4ac50dp-3, -0x1.40cc09547906dp-3, -0x1.48111789249fdp-3, -0x1.4f2bd6d916f57p-3, -0x1.561c10e98cbbp-3, -0x1.5ce194b59e4a5p-3, -0x1.637c3693c1a78p-3, -0x1.69ebd039e2ff4p-3, -0x1.703040bff1529p-3, -0x1.76496ca0f38a6p-3, -0x1.7c373dba961e3p-3, -0x1.81f9a34b4204p-3, -0x1.879091eeb17a2p-3, -0x1.8cfc039907f24p-3, -0x1.923bf7907cf2ep-3, -0x1.975072658d9e2p-3, -0x1.9c397de9c6766p-3, -0x1.a0f729252f0d2p-3, -0x1.a589884a5254fp-3, -0x1.a9f0b4a8f6f12p-3, -0x1.ae2ccc9f904dcp-3, -0x1.b23df38b67a06p-3, -0x1.b62451b79c7a4p-3, -0x1.b9e0144aea74dp-3, -0x1.bd716d3458e91p-3, -0x1.c0d89316d7552p-3, -0x1.c415c133cbb89p-3, -0x1.c7293754a801ap-3, -0x1.ca1339b393bf4p-3, -0x1.ccd410e32af75p-3, -0x1.cf6c09b56f294p-3, -0x1.d1db7521ec3e7p-3, -0x1.d422a82b205d4p-3, -0x1.d641fbc33835fp-3, -0x1.d839ccb029767p-3, -0x1.da0a7b6f326e3p-3, -0x1.dbb46c17ddacp-3, -0x1.dd38063e80c99p-3, -0x1.de95b4d64fe6dp-3, -0x1.dfcde61313e8ap-3, -0x1.e0e10b4a86fecp-3, -0x1.e1cf98d569ea6p-3, -0x1.e29a05f05d747p-3, -0x1.e340cc9c87fe6p-3, -0x1.e3c469801c494p-3, -0x1.e4255bc6bd0e6p-3, -0x1.e4642501d6e9ep-3, -0x1.e4814908f5e08p-3, -0x1.e47d4dda1f4aap-3, -0x1.e458bb7a39d25p-3, -0x1.e4141bd5943acp-3, -0x1.e3affaa084c88p-3, -0x1.e32ce538447a6p-3, -0x1.e28b6a83ed711p-3, -0x1.e1cc1ad5c4fcbp-3, -0x1.e0ef87ccbfb7dp-3, -0x1.dff644365932dp-3, -0x1.dee0e3f0bbaa9p-3, -0x1.ddaffbcd479fdp-3, -0x1.dc6421737526bp-3, -0x1.dafdeb44232ap-3, -0x1.d97df03d511dp-3, -0x1.d7e4c7de504e1p-3, -0x1.d6330a0c66b0fp-3, -0x1.d4694ef7f3d86p-3, -0x1.d2882f02165b9p-3, -0x1.d09042a2d60dbp-3, -0x1.ce82224fdbd3dp-3, -0x1.cc5e6663b0f02p-3, -0x1.ca25a70594b76p-3, -0x1.c7d87c11e368ap-3, -0x1.c5777d030feap-3, -0x1.c30340db3f5f1p-3, -0x1.c07c5e0e741f3p-3, -0x1.bde36a6d60adp-3, -0x1.bb38fb10caf02p-3, -0x1.b87da445a03b5p-3, -0x1.b5b1f97997d23p-3, -0x1.b2d68d288479cp-3, -0x1.afebf0ca41b99p-3, -0x1.acf2b4c142f63p-3, -0x1.a9eb6849c6272p-3, -0x1.a6d69969a784ap-3, -0x1.a3b4d4e0d8d1p-3, -0x1.a086a61a7c3d7p-3, -0x1.9d4c971e93f6p-3, -0x1.9a073084635c7p-3, -0x1.96b6f96561655p-3, -0x1.935c7750cf71fp-3, -0x1.8ff82e3fe8567p-3, -0x1.8c8aa08aacd2dp-3, -0x1.89144edd4919fp-3, -0x1.8595b82e10c17p-3, -0x1.820f59b412de9p-3, -0x1.7e81aede3bc06p-3, -0x1.7aed314b0fb7cp-3, -0x1.775258c0f1baap-3, -0x1.73b19b26f501ep-3, -0x1.700b6c7e3e07ap-3, -0x1.6c603edbea19bp-3, -0x1.68b08263783ap-3, -0x1.64fca541bcf93p-3, -0x1.614513a85419ap-3, -0x1.5d8a37c989d3cp-3, -0x1.59cc79d4c8eb9p-3, -0x1.560c3ff37dc3ep-3, -0x1.5249ee4669272p-3, -0x1.4e85e6e36f164p-3, -0x1.4ac089d3d0071p-3, -0x1.46fa3512ce52ep-3, -0x1.4333448cc1997p-3, -0x1.3f6c121e8ca7ap-3, -0x1.3ba4f5957c0a6p-3, -0x1.37de44af7e5a7p-3, -0x1.3418531bc8b9p-3, -0x1.3053727bc1aabp-3, -0x1.2c8ff2645ac74p-3, -0x1.28ce205fad432p-3, -0x1.250e47eef496ep-3, -0x1.2150b28cd30a4p-3, -0x1.1d95a7afe1e45p-3, -0x1.19dd6ccd90c5cp-3, -0x1.1628455d47dd6p-3, -0x1.127672dbccf5ap-3, -0x1.0ec834ceec3d7p-3, -0x1.0b1dc8c95dc24p-3, -0x1.07776a6ee87cap-3, -0x1.03d55378be89ep-3, -0x1.0037bbba09c64p-3, -0x1.f93db249686eap-4, -0x1.f215bf9cb7211p-4, -0x1.eaf803eaf13a4p-4, -0x1.e3e4e00d5574dp-4, -0x1.dcdcb1446e6fap-4, -0x1.d5dfd14346349p-4, -0x1.ceee963afe059p-4, -0x1.c80952e6976c2p-4, -0x1.c130569701e4cp-4, -0x1.ba63ed3f726d2p-4, -0x1.b3a45f81d3b42p-4, -0x1.acf1f2bb91c39p-4, -0x1.a64ce912692f8p-4, -0x1.9fb581818ab67p-4, -0x1.992bf7e6c2ed4p-4, -0x1.92b0850fdec9fp-4, -0x1.8c435ec81de6bp-4, -0x1.85e4b7e5ca3e2p-4, -0x1.7f94c057e44f8p-4, -0x1.7953a533e45edp-4, -0x1.732190c38d7aap-4, -0x1.6cfeaa92cca3ep-4, -0x1.66eb177da5831p-4, -0x1.60e6f9be24ea2p-4, -0x1.5af270fa57366p-4, -0x1.550d9a524615p-4, -0x1.4f38906ded225p-4, -0x1.49736b8b30a51p-4, -0x1.43be418bccb94p-4, -0x1.3e1926033d72p-4, -0x1.38842a4498ba8p-4, -0x1.32ff5d705f122p-4, -0x1.2d8acc823785bp-4, -0x1.2826825e9ed15p-4, -0x1.22d287e08273fp-4, -0x1.1d8ee3e6c5119p-4, -0x1.185b9b61aa345p-4, -0x1.1338b1602c69ap-4, -0x1.0e26271d335bcp-4, -0x1.0923fc0cb4741p-4, -0x1.04322de8b0d5dp-4, -0x1.fea1717c28c49p-5, -0x1.f4ff2df2e8bc5p-5, -0x1.eb7d82e761c7p-5, -0x1.e21c5efcd0d17p-5, -0x1.d8dbade0a38b3p-5, -0x1.cfbb5862d7ff8p-5, -0x1.c6bb448e0b415p-5, -0x1.bddb55bf46ffep-5, -0x1.b51b6cbd7076bp-5, -0x1.ac7b67d06e2dbp-5, -0x1.a3fb22d7f18afp-5, -0x1.9b9a7761f7354p-5, -0x1.93593cc0ea39ep-5, -0x1.8b3748216ff04p-5, -0x1.83346c9fe0206p-5, -0x1.7b507b5d5b59cp-5, -0x1.738b43948de66p-5, -0x1.6be492ae18527p-5, -0x1.645c34549bc3ep-5, -0x1.5cf1f288696fep-5, -0x1.55a595b2d14ep-5, -0x1.4e76e4b920935p-5, -0x1.4765a50f369fap-5, -0x1.40719ac9c1f4fp-5, -0x1.399a88b021b3ep-5, -0x1.32e0304de7bedp-5, -0x1.2c425203fb29cp-5, -0x1.25c0ad196583fp-5, -0x1.1f5affcbc0c8ep-5, -0x1.1911075f3d856p-5, -0x1.12e2802e5a2cfp-5, -0x1.0ccf25b939533p-5, -0x1.06d6b2b4a1b17p-5, -0x1.00f8e1189a402p-5, -0x1.f66ad45d6a12bp-6, -0x1.eb180d3fec1ep-6, -0x1.dff8dd04d82a9p-6, -0x1.d50cb2cccdd0fp-6, -0x1.ca52fcc6bda6p-6, -0x1.bfcb284901314p-6, -0x1.b574a1e9c0db1p-6, -0x1.ab4ed596c55ffp-6, -0x1.a1592eac816bap-6, -0x1.9793180c8d0e8p-6, -0x1.8dfbfc336af2p-6, -0x1.8493454db6424p-6, -0x1.7b585d4cb0da6p-6, -0x1.724aadfa288f1p-6, -0x1.6969a10bc25ccp-6, -0x1.60b4a035ad97dp-6, -0x1.582b153cc1eccp-6, -0x1.4fcc6a07f3cb4p-6, -0x1.479808b14cf6ap-6, -0x1.3f8d5b9648df2p-6, -0x1.37abcd6794c2dp-6, -0x1.2ff2c9385f378p-6, -0x1.2861ba8d01a3p-6, -0x1.20f80d6926d03p-6, -0x1.19b52e5d738e7p-6, -0x1.12988a94a1e06p-6, -0x1.0ba18fe0226d2p-6, -0x1.04cfacc4383eep-6, -0x1.fc44a1072bae1p-7, -0x1.ef31d655270b7p-7, -0x1.e265db338aa01p-7, -0x1.d5df93208846p-7, -0x1.c99de36ae2a5fp-7, -0x1.bd9fb3447b1b1p-7, -0x1.b1e3ebd4381ccp-7, -0x1.a6697846d4ff3p-7, -0x1.9b2f45df2d68cp-7, -0x1.9034440569ad2p-7, -0x1.857764557f74ap-7, -0x1.7af79aad02782p-7, -0x1.70b3dd381576bp-7, -0x1.66ab247d9bc4ap-7, -0x1.5cdc6b6ad7139p-7, -0x1.5346af5e26dddp-7, -0x1.49e8f03144ee5p-7, -0x1.40c230429ca62p-7, -0x1.37d1747e431dfp-7, -0x1.2f15c46606a4ap-7, -0x1.268e2a19112b1p-7, -0x1.1e39b25ae6ba4p-7, -0x1.16176c99b63e9p-7, -0x1.0e266af43461fp-7, -0x1.0665c23ef4146p-7, -0x1.fda9141217d5fp-8, -0x1.eee3b940b316ap-8, -0x1.e079ae2a68d29p-8, -0x1.d269327b57b1cp-8, -0x1.c4b08b7080899p-8, -0x1.b74e03dc600dfp-8, -0x1.aa3fec2ab3269p-8, -0x1.9d849a631e69dp-8, -0x1.911a6a2b66697p-8, -0x1.84ffbcc8961e5p-8, -0x1.7932f91f43deep-8, -0x1.6db28bb36a87p-8, -0x1.627ce6a73931dp-8, -0x1.579081b96ddb9p-8, -0x1.4cebda42bcd17p-8, -0x1.428d7332f4dbfp-8, -0x1.3873d50cfabc9p-8, -0x1.2e9d8de2dc4fep-8, -0x1.25093150ba2b6p-8, -0x1.1bb55877525f3p-8, -0x1.12a0a1f60c8ebp-8, -0x1.09c9b1e48fd04p-8, -0x1.012f31cba9796p-8, -0x1.f19fa13bedad4p-9, -0x1.e154856009ed7p-9, -0x1.d17a835fa90cep-9, -0x1.c20f1938ea114p-9, -0x1.b30fcf78fd673p-9, -0x1.a47a3929fdbbp-9, -0x1.964bf3bec9a94p-9, -0x1.8882a6febde92p-9, -0x1.7b1c04f0ee8bdp-9, -0x1.6e15c9c634bfp-9, -0x1.616dbbc35794ep-9, -0x1.5521ab2a90fabp-9, -0x1.492f7223e4f13p-9, -0x1.3d94f4a60df3ep-9, -0x1.3250205e08f87p-9, -0x1.275eec969b3c3p-9, -0x1.1cbf5a1f9ea64p-9, -0x1.126f7334dd02bp-9, -0x1.086d4b640bbf9p-9, -0x1.fd6dfee6c4f3ap-10, -0x1.ea956a8e85b2cp-10, -0x1.d84d378f8e3p-10, -0x1.c691d58cda7bfp-10, -0x1.b55fc5c620f5p-10, -0x1.a4b39ae15c42ap-10, -0x1.9489f8b515d8p-10, -0x1.84df9411939c4p-10, -0x1.75b1328922248p-10, -0x1.66fbaa3ad44e6p-10, -0x1.58bbe198ea76fp-10, -0x1.4aeecf331e1d8p-10, -0x1.3d91797e30175p-10, -0x1.30a0f69cc406cp-10, -0x1.241a6c27b817fp-10, -0x1.17fb0ef6783cdp-10, -0x1.0c4022e76b4d7p-10, -0x1.00e6faa83c3fp-10, -0x1.ebd9eefce707ep-11, -0x1.d69f122073b6ap-11, -0x1.c2185a5ae3307p-11, -0x1.ae40df2f80affp-11, -0x1.9b13d399e4205p-11, -0x1.888c859e5c754p-11, -0x1.76a65ddf568e3p-11, -0x1.655cdf2efd678p-11, -0x1.54aba62532019p-11, -0x1.448e68b389fadp-11, -0x1.3500f5bb39476p-11, -0x1.25ff34a21d6eap-11, -0x1.178524ea5a156p-11, -0x1.098eddca47464p-11, -0x1.f8311b898ff61p-12, -0x1.de3cf482475b9p-12, -0x1.c539fe4c29d5p-12, -0x1.ad211ce8fb9dap-12, -0x1.95eb5fc44d579p-12, -0x1.7f9200ee87fefp-12, -0x1.6a0e6455f03f5p-12, -0x1.555a1705322b6p-12, -0x1.416ece5fe53dp-12, -0x1.2e46676241497p-12, -0x1.1bdae5e64c878p-12, -0x1.0a2673e6d0544p-12, -0x1.f246c18bc967ap-13, -0x1.d19841298dac1p-13, -0x1.b23696bec1d1fp-13, -0x1.941738edf8005p-13, -0x1.772fe3865234fp-13, -0x1.5b76961f1e8bbp-13, -0x1.40e192c51d228p-13, -0x1.27675ca0eb635p-13, -0x1.0efeb6a14fe63p-13, -0x1.ef3d44681acabp-14, -0x1.c27cbbf3cb056p-14, -0x1.97aac905c3013p-14, -0x1.6eb6d61d62b1ap-14, -0x1.4790c0a02b892p-14, -0x1.2228d66ced29ep-14, -0x1.fcdfa6e70a0b6p-15, -0x1.b8adbeaddb493p-15, -0x1.779f1636f9813p-15, -0x1.39979db692333p-15, -0x1.fcf81e0d29bap-16, -0x1.8c63d259619dap-16, -0x1.213ed802ccf8ep-16, -0x1.76ae4f5f19dc7p-17, -0x1.69f0aa07161abp-18, 0x1.814e4d16bb2f5p-24, 0x1.633c4679899a3p-18, 0x1.57332ceacd90bp-17, 0x1.f418082bb0bc3p-17, 0x1.445039b0d668ap-16, 0x1.8a8ed63d584f1p-16, 0x1.ccef3ff20f6dcp-16, 0x1.05cbd5d3f18e1p-15, 0x1.2356922194845p-15, 0x1.3f29c8ee3d906p-15, 0x1.5956e05cde864p-15, 0x1.71eeb42705b2ep-15, 0x1.890199092dafep-15, 0x1.9e9f600da795p-15, 0x1.b2d759dd828c1p-15, 0x1.c5b859e11f1b7p-15, 0x1.d750b9890197cp-15, 0x1.e7ae5b5120857p-15, 0x1.f6deadd79424ap-15, 0x1.027757669793dp-14, 0x1.08f576f334f55p-14, 0x1.0eefc7dc74a1dp-14, 0x1.146c28428ee2p-14, 0x1.1970437da3569p-14, 0x1.1e01937664ef5p-14, 0x1.222561fbbc057p-14, 0x1.25e0ca0b391a8p-14, 0x1.2938b917f5262p-14, 0x1.2c31f04190f0ep-14, 0x1.2ed10592aea4cp-14, 0x1.311a652efd5d8p-14, 0x1.331252800a5ebp-14, 0x1.34bce955314b2p-14, 0x1.361e1f0560bc2p-14, 0x1.3739c384bb8b4p-14, 0x1.38138276bf4bap-14, 0x1.38aee435a4389p-14, 0x1.390f4edcb276bp-14, 0x1.39380745effc3p-14, 0x1.392c3205b771ep-14, 0x1.38eed45ff5ffep-14, 0x1.3882d532936d5p-14, 0x1.37eafddfd0b38p-14, 0x1.3729fb33349d2p-14, 0x1.36425e41adcbap-14, 0x1.35369d3fce785p-14, 0x1.34091456e34c4p-14, 0x1.32bc067878ac9p-14, 0x1.31519e21cc19cp-14, 0x1.2fcbee2732cdep-14, 0x1.2e2cf26cd4987p-14, 0x1.2c7690a9995fbp-14, 0x1.2aaa991b0b559p-14, 0x1.28cac73b185bap-14, 0x1.26d8c26d1cdbap-14, 0x1.24d61ea52df38p-14, 0x1.22c45d0e1a249p-14, 0x1.20a4ecadb753ep-14, 0x1.1e792aff5d9ep-14, 0x1.1c42648dc3a4cp-14, 0x1.1a01d587aca3fp-14, 0x1.17b8aa52be3p-14, 0x1.15680018be884p-14, 0x1.1310e550c4613p-14, 0x1.10b45a44f84cfp-14, 0x1.0e535191e31eep-14, 0x1.0beeb0a9ff14bp-14, 0x1.0987505012034p-14, 0x1.071dfd0cd2599p-14, 0x1.04b377a6d84f8p-14, 0x1.02487590be122p-14, 0x1.ffbb42b164a08p-15, 0x1.fae7362b16889p-15, 0x1.f615f197dccep-15, 0x1.f1488da457e52p-15, 0x1.ec80106c1ec15p-15, 0x1.e7bd6e33bc544p-15, 0x1.e3018a27f64aep-15, 0x1.de4d3709bff48p-15, 0x1.d9a137de54bcp-15, 0x1.d4fe409825293p-15, 0x1.d064f6bbfbc9ep-15, 0x1.cbd5f2010b4e1p-15, 0x1.c751bce3eef82p-15, 0x1.c2d8d5414b73ep-15, 0x1.be6bace6d6835p-15, 0x1.ba0aaa1d04e2dp-15, 0x1.b5b62833bf843p-15, 0x1.b16e77fd26c1dp-15, 0x1.ad33e04e9e9d3p-15, 0x1.a9069e8026aecp-15, 0x1.a4e6e6de07b05p-15, 0x1.a0d4e51ff862dp-15, 0x1.9cd0bcd8c55d1p-15, 0x1.98da89dd9d19ep-15, 0x1.94f260ab949f3p-15, 0x1.91184ed5964e5p-15, 0x1.8d4c5b5ad3dbfp-15, 0x1.898e87073033p-15, 0x1.85decccc4ed74p-15, 0x1.823d221b18bbp-15, 0x1.7ea977371d25fp-15, 0x1.7b23b788f77cep-15, 0x1.77abc9e71a6e1p-15, 0x1.744190e44d341p-15, 0x1.70e4eb11770c3p-15, 0x1.6d95b34a3671cp-15, 0x1.6a53c0f5dbf8fp-15, 0x1.671ee8446481bp-15, 0x1.63f6fa70ea0cep-15, 0x1.60dbc5fb18daap-15, 0x1.5dcd16daa66ccp-15, 0x1.5acab6c10873dp-15, 0x1.57d46d4098c74p-15, 0x1.54ea0003e9c2p-15, 0x1.520b33003f44p-15, }}, 
      {{0x1.7eac6437a26d8p-7, 0x1.7e88fad12c667p-6, 0x1.1eba8a09579cp-5, 0x1.7dfbbfc088a4dp-5, 0x1.dcf6d4ed07af8p-5, 0x1.1dcd62d0ef0fep-4, 0x1.4ceb70dd765b8p-4, 0x1.7bcd6c76998dap-4, 0x1.aa6b628ff244ep-4, 0x1.d8bd99b092d53p-4, 0x1.035e4aec47aa7p-3, 0x1.1a308df005a49p-3, 0x1.30d21a2954f13p-3, 0x1.473f96e21e96dp-3, 0x1.5d75cf4d9aa82p-3, 0x1.7371b328234a8p-3, 0x1.89305713cc6c8p-3, 0x1.9eaef4b6826d5p-3, 0x1.b3eaeaa07f19p-3, 0x1.c8e1bc03418fcp-3, 0x1.dd911041d7895p-3, 0x1.f1f6b263046bep-3, 0x1.030848369394p-2, 0x1.0cee5d595166ap-2, 0x1.16acb18a0e9e8p-2, 0x1.20426e1e59505p-2, 0x1.29aecc6d6730ap-2, 0x1.32f1156bae12ap-2, 0x1.3c08a1460304fp-2, 0x1.44f4d6fc5678dp-2, 0x1.4db52bfbda003p-2, 0x1.564923b85593cp-2, 0x1.5eb04f445941ep-2, 0x1.66ea4ce80bf19p-2, 0x1.6ef6c7b66e528p-2, 0x1.76d57720ff80cp-2, 0x1.7e861e89d8093p-2, 0x1.86088cd4690abp-2, 0x1.8d5c9bf52dbdfp-2, 0x1.94823080b3396p-2, 0x1.9b79393a7044dp-2, 0x1.a241aea3eb765p-2, 0x1.a8db928cbbe3ep-2, 0x1.af46efa3ed324p-2, 0x1.b583d90b461aap-2, 0x1.bb9269ecf407p-2, 0x1.c172c513fcf78p-2, 0x1.c7251487e21ecp-2, 0x1.cca9892bb4be7p-2, 0x1.d2005a60dfacp-2, 0x1.d729c5adc7cc5p-2, 0x1.dc260e68616ddp-2, 0x1.e0f57d64b92fcp-2, 0x1.e59860a76f24ap-2, 0x1.ea0f0b1c0aadbp-2, 0x1.ee59d44f05a26p-2, 0x1.f279182b66be8p-2, 0x1.f66d36bbb7711p-2, 0x1.fa3693ee1e125p-2, 0x1.fdd5975b62e34p-2, 0x1.00a556084fd0cp-1, 0x1.024b202db0e98p-1, 0x1.03dc62cbff21dp-1, 0x1.05595800efccfp-1, 0x1.06c23b42cb33ap-1, 0x1.0817494a3cf12p-1, 0x1.0958bffcd6369p-1, 0x1.0a86de5829542p-1, 0x1.0ba1e45d72e03p-1, 0x1.0caa12fdb9d5dp-1, 0x1.0d9fac065fda4p-1, 0x1.0e82f20e127bbp-1, 0x1.0f542862193d8p-1, 0x1.101392f3f7a45p-1, 0x1.10c1764762d28p-1, 0x1.115e176086877p-1, 0x1.11e9bbb29a299p-1, 0x1.1264a90ec847cp-1, 0x1.12cf25936ba4cp-1, 0x1.1329779ba357cp-1, 0x1.1373e5af457c3p-1, 0x1.13aeb67333f43p-1, 0x1.13da309a1967fp-1, 0x1.13f69ad595c19p-1, 0x1.14043bc7ddac3p-1, 0x1.140359f5d56fep-1, 0x1.13f43bb9abc97p-1, 0x1.13d72735fa75dp-1, 0x1.13ac624971b79p-1, 0x1.1374328312cc6p-1, 0x1.132edd16fe991p-1, 0x1.12dca6d3da4f4p-1, 0x1.127dd418cdc8cp-1, 0x1.1212a8cc1dcc6p-1, 0x1.119b685262ac7p-1, 0x1.111855865c203p-1, 0x1.1089b2b163a9ep-1, 0x1.0fefc1847b1e7p-1, 0x1.0f4ac311f51b3p-1, 0x1.0e9af7c7b9659p-1, 0x1.0de09f6a1df14p-1, 0x1.0d1bf90f5293dp-1, 0x1.0c4d431b5f9d2p-1, 0x1.0b74bb3cac1dap-1, 0x1.0a929e690e0e1p-1, 0x1.09a728db5958dp-1, 0x1.08b296116f17ap-1, 0x1.07b520cabf62ep-1, 0x1.06af03073fe59p-1, 0x1.05a07606cae55p-1, 0x1.0489b248e3aa8p-1, 0x1.036aef8cd9e7bp-1, 0x1.024464d243c56p-1, 0x1.01164859ca2bep-1, 0x1.ffc19f4c81669p-2, 0x1.fd485efc01b9ap-2, 0x1.fac137d909438p-2, 0x1.f82c9088729b8p-2, 0x1.f58ace4107365p-2, 0x1.f2dc54cfe38ap-2, 0x1.f021869d22011p-2, 0x1.ed5ac4b0ceef3p-2, 0x1.ea886eb80e394p-2, 0x1.e7aae30a707c3p-2, 0x1.e4c27eaf6af34p-2, 0x1.e1cf9d63e86f9p-2, 0x1.ded2999fec57ap-2, 0x1.dbcbcc9c3d217p-2, 0x1.d8bb8e581331fp-2, 0x1.d5a2359ebcbe1p-2, 0x1.d280180d38dfep-2, 0x1.cf558a17bdfffp-2, 0x1.cc22df0f280e4p-2, 0x1.c8e8692649b47p-2, 0x1.c5a6797719772p-2, 0x1.c25d6007b9e64p-2, 0x1.bf0d6bcf5805p-2, 0x1.bbb6eabadb134p-2, 0x1.b85a29b166295p-2, 0x1.b4f77498a50c7p-2, 0x1.b18f1658e750fp-2, 0x1.ae2158e104f35p-2, 0x1.aaae852a0b86bp-2, 0x1.a736e33ab5bb3p-2, 0x1.a3baba2aa714ep-2, 0x1.a03a5025757e3p-2, 0x1.9cb5ea6d7467cp-2, 0x1.992dcd5e4e34cp-2, 0x1.95a23c6f62b8dp-2, 0x1.92137a35f2b0dp-2, 0x1.8e81c8671523bp-2, 0x1.8aed67d97a2f3p-2, 0x1.87569886fbb14p-2, 0x1.83bd998dfd201p-2, 0x1.8022a932a1297p-2, 0x1.7c8604dfcbdcfp-2, 0x1.78e7e92802889p-2, 0x1.754891c61d66bp-2, 0x1.71a8399dd6febp-2, 0x1.6e071abc3774ep-2, 0x1.6a656e57dcaafp-2, 0x1.66c36cd125cafp-2, 0x1.63214db2431bep-2, 0x1.5f7f47af27ef6p-2, 0x1.5bdd90a569a52p-2, 0x1.583c5d9c060dap-2, 0x1.549be2c31916ap-2, 0x1.50fc537380df9p-2, 0x1.4d5de22e757e1p-2, 0x1.49c0c09d11cdbp-2, 0x1.46251f8fd4c65p-2, 0x1.428b2efe1dfbap-2, 0x1.3ef31e059d5b9p-2, 0x1.3b5d1ae9c985bp-2, 0x1.37c953134c04ep-2, 0x1.3437f30f74221p-2, 0x1.30a9268faa276p-2, 0x1.2d1d1868e628p-2, 0x1.2993f2932eb2ep-2, 0x1.260dde291e1dep-2, 0x1.228b0367717e6p-2, 0x1.1f0b89aca0ddfp-2, 0x1.1b8f977884302p-2, 0x1.1817526c06cbfp-2, 0x1.14a2df48e816dp-2, 0x1.113261f18a429p-2, 0x1.0dc5fd68d4653p-2, 0x1.0a5dd3d223f59p-2, 0x1.06fa067151312p-2, 0x1.039ab5aac74c8p-2, 0x1.00400103adcaep-2, 0x1.f9d40e44532a9p-3, 0x1.f331cb9b62d82p-3, 0x1.ec9973deeb63bp-3, 0x1.e60b3f25c1bp-3, 0x1.df8763cc5c72p-3, 0x1.d90e167623522p-3, 0x1.d29f8a0ef9de7p-3, 0x1.cc3befccee8ccp-3, 0x1.c5e3773214d68p-3, 0x1.bf964e0e97a06p-3, 0x1.b954a082ea6b2p-3, 0x1.b31e990232cfdp-3, 0x1.acf46054d8b06p-3, 0x1.a6d61d9b4343cp-3, 0x1.a0c3f650c13c3p-3, 0x1.9abe0e4e9dc9ep-3, 0x1.94c487cf60b72p-3, 0x1.8ed783723294ep-3, 0x1.88f7203e6dc39p-3, 0x1.83237ba758d3bp-3, 0x1.7d5cb19002528p-3, 0x1.77a2dc4f47b13p-3, 0x1.71f614b3fbd64p-3, 0x1.6c5672093544p-3, 0x1.66c40a1abf6e6p-3, 0x1.613ef139a673cp-3, 0x1.5bc73a40eb4cep-3, 0x1.565cf69a54216p-3, 0x1.51003643529afp-3, 0x1.4bb107d2138f2p-3, 0x1.466f787a9f601p-3, 0x1.413b941414c04p-3, 0x1.3c15651e04024p-3, 0x1.36fcf4c5d333fp-3, 0x1.31f24aec464aap-3, 0x1.2cf56e2b101a1p-3, 0x1.280663da7a2b4p-3, 0x1.232530171fec3p-3, 0x1.1e51d5c7b7123p-3, 0x1.198c56a2e44c1p-3, 0x1.14d4b335226d5p-3, 0x1.102aeae6b184p-3, 0x1.0b8efc01923f4p-3, 0x1.0700e3b7894p-3, 0x1.02809e282a54bp-3, 0x1.fc1c4ccdd73fp-4, 0x1.f352ed027c06fp-4, 0x1.eaa50f094ce66p-4, 0x1.e212a309bacedp-4, 0x1.d99b9743e3b5p-4, 0x1.d13fd81cc8b28p-4, 0x1.c8ff502a9b062p-4, 0x1.c0d9e840f0735p-4, 0x1.b8cf877cfb25fp-4, 0x1.b0e01351be11cp-4, 0x1.a90b6f942df7bp-4, 0x1.a1517e874ee65p-4, 0x1.99b220e83adc3p-4, 0x1.922d35fa2679dp-4, 0x1.8ac29b9246915p-4, 0x1.83722e23aa731p-4, 0x1.7c3bc8cb001p-4, 0x1.751f455a3fd51p-4, 0x1.6e1c7c64425cp-4, 0x1.673345483da83p-4, 0x1.6063763d23c72p-4, 0x1.59ace45cea386p-4, 0x1.530f63afaf8e5p-4, 0x1.4c8ac736c4353p-4, 0x1.461ee0f79443ep-4, 0x1.3fcb82066d96p-4, 0x1.39907a91274a4p-4, 0x1.336d99e9a25f6p-4, 0x1.2d62ae90296b9p-4, 0x1.276f863daadb5p-4, 0x1.2193ededca5fcp-4, 0x1.1bcfb1e8d22b6p-4, 0x1.16229dcd75bd4p-4, 0x1.108c7c9a736cep-4, 0x1.0b0d18b808ecp-4, 0x1.05a43c0140613p-4, 0x1.0051afcd15928p-4, 0x1.f62a79eedcc3bp-5, 0x1.ebdd57d3d4f03p-5, 0x1.e1bb8949127ecp-5, 0x1.d7c49d8c465bap-5, 0x1.cdf8232970a15p-5, 0x1.c455a80b27d55p-5, 0x1.badcb98a8888fp-5, 0x1.b18ce47ecfd47p-5, 0x1.a865b54c96d32p-5, 0x1.9f66b7f4c05d3p-5, 0x1.968f782306b42p-5, 0x1.8ddf813c39aacp-5, 0x1.85565e6c182cbp-5, 0x1.7cf39ab2e3c17p-5, 0x1.74b6c0f28f6f1p-5, 0x1.6c9f5bfb9b93bp-5, 0x1.64acf6999c999p-5, 0x1.5cdf1b9f6dee3p-5, 0x1.553555f307622p-5, 0x1.4daf309907978p-5, 0x1.464c36bfe0254p-5, 0x1.3f0bf3cab88b5p-5, 0x1.37edf35bf1cd9p-5, 0x1.30f1c15f62fbbp-5, 0x1.2a16ea143fe03p-5, 0x1.235cfa16a86cep-5, 0x1.1cc37e68f43ffp-5, 0x1.164a047ca68ccp-5, 0x1.0ff01a3b14f72p-5, 0x1.09b54e0dc599cp-5, 0x1.03992ee6794f1p-5, 0x1.fb36988de425ap-6, 0x1.ef766c90d7423p-6, 0x1.e3f0fb45902cfp-6, 0x1.d8a56766fbdd7p-6, 0x1.cd92d50861bd1p-6, 0x1.c2b869a225771p-6, 0x1.b8154c1de90c5p-6, 0x1.ada8a4e23692p-6, 0x1.a3719ddda004ap-6, 0x1.996f62915311cp-6, 0x1.8fa1201b40843p-6, 0x1.8606053fad18cp-6, 0x1.7c9d42725e672p-6, 0x1.736609df3c75ep-6, 0x1.6a5f8f72836bap-6, 0x1.618908e086c5dp-6, 0x1.58e1adacf2608p-6, 0x1.5068b731aa62ap-6, 0x1.481d60a53caf7p-6, 0x1.3ffee720da034p-6, 0x1.380c89a5fcbbbp-6, 0x1.304589238e255p-6, 0x1.28a9287ac34ddp-6, 0x1.2136ac8384535p-6, 0x1.19ed5c107f415p-6, 0x1.12cc7ff2df738p-6, 0x1.0bd362fd9b6afp-6, 0x1.050152088299dp-6, 0x1.fcab37e5c6147p-7, 0x1.ef9f234bb527p-7, 0x1.e2dd0c2cd9e74p-7, 0x1.d6639c8e6bf7cp-7, 0x1.ca3182939cabfp-7, 0x1.be45707fea59dp-7, 0x1.b29e1cb8c7f8bp-7, 0x1.a73a41c6d428ap-7, 0x1.9c189e5665ef9p-7, 0x1.9137f537b9c26p-7, 0x1.86970d5e7cb4ep-7, 0x1.7c34b1e0f525dp-7, 0x1.720fb1f6ae295p-7, 0x1.6826e0f6b3c45p-7, 0x1.5e791655453bdp-7, 0x1.55052da150815p-7, 0x1.4bca068151668p-7, 0x1.42c684afdee92p-7, 0x1.39f98ff7f6e88p-7, 0x1.31621430b38d1p-7, 0x1.28ff0138e008bp-7, 0x1.20cf4af20b04cp-7, 0x1.18d1e93b703f7p-7, 0x1.1105d7ec714a5p-7, 0x1.096a16ced470cp-7, 0x1.01fda998b1d9ep-7, 0x1.f57f2fcc5ed0fp-8, 0x1.e75dda65c7e0ap-8, 0x1.d99571a6195d6p-8, 0x1.cc241bd8f7f01p-8, 0x1.bf0806dea24d3p-8, 0x1.b23f681d01a69p-8, 0x1.a5c87c704f6edp-8, 0x1.99a1881b5147fp-8, 0x1.8dc8d6b757dccp-8, 0x1.823cbb23ab148p-8, 0x1.76fb8f74e5ab5p-8, 0x1.6c03b4e3e784cp-8, 0x1.615393bc7fefcp-8, 0x1.56e99b4bd925fp-8, 0x1.4cc441cea03ccp-8, 0x1.42e2045f1a3b1p-8, 0x1.394166e2b88c2p-8, 0x1.2fe0f3f7cea9ap-8, 0x1.26bf3ce2d2658p-8, 0x1.1ddad97bac3f3p-8, 0x1.1532681ad165bp-8, 0x1.0cc48d862d07ap-8, 0x1.048ff4de00e9cp-8, 0x1.f9269f132464bp-9, 0x1.e99aaa47cda15p-9, 0x1.da7986d0abb55p-9, 0x1.cbc0bc3dfedbfp-9, 0x1.bd6dde12a396fp-9, 0x1.af7e8b9cdc288p-9, 0x1.a1f06fcf48c7p-9, 0x1.94c14119837d5p-9, 0x1.87eec1411f1fep-9, 0x1.7b76bd3a2316cp-9, 0x1.6f570d002437ep-9, 0x1.638d936eed0a4p-9, 0x1.58183e1baed4fp-9, 0x1.4cf5052dcf09fp-9, 0x1.4221eb38335afp-9, 0x1.379cfd1263052p-9, 0x1.2d6451b1f77d9p-9, 0x1.23760a043755bp-9, 0x1.19d050c798eb8p-9, 0x1.10715a65f4bd2p-9, 0x1.075764ce4c36dp-9, 0x1.fd016e9e71a5fp-10, 0x1.ebd744e2f2216p-10, 0x1.db2cffa52e9e9p-10, 0x1.caff63ff9e4d8p-10, 0x1.bb4b48a2e093fp-10, 0x1.ac0d958c66ab8p-10, 0x1.9d4343be4f7f4p-10, 0x1.8ee95cf7023b3p-10, 0x1.80fcfb6a4c2b4p-10, 0x1.737b497a2c69cp-10, 0x1.66618170fed55p-10, 0x1.59aced3ba165dp-10, 0x1.4d5ae624bbfccp-10, 0x1.4168d4908bf0bp-10, 0x1.35d42fb8f9e7ap-10, 0x1.2a9a7d6af5143p-10, 0x1.1fb951c412007p-10, 0x1.152e4ef0cdbadp-10, 0x1.0af724ebeddc7p-10, 0x1.0111913e0e636p-10, 0x1.eef6bd7cd4062p-11, 0x1.dc64caa79f35cp-11, 0x1.ca69136db8c4fp-11, 0x1.b8ff7a6901ea7p-11, 0x1.a823fae323895p-11, 0x1.97d2a85d75eaep-11, 0x1.8807ae1b2313dp-11, 0x1.78bf4eac48e76p-11, 0x1.69f5e37af3b84p-11, 0x1.5ba7dc59186dp-11, 0x1.4dd1bf10c68ccp-11, 0x1.407026f516c52p-11, 0x1.337fc474d3ebp-11, 0x1.26fd5caf579bp-11, 0x1.1ae5c9098914bp-11, 0x1.0f35f6c5d8cb7p-11, 0x1.03eae69c7c24ap-11, 0x1.f20358ac7578cp-12, 0x1.dceedccf46f22p-12, 0x1.c892cb1dc5d1p-12, 0x1.b4e9b8e3f46f2p-12, 0x1.a1ee5e7e83c3bp-12, 0x1.8f9b969de4facp-12, 0x1.7dec5d8c61ab4p-12, 0x1.6cdbd077944adp-12, 0x1.5c652cbcb4cfp-12, 0x1.4c83cf373b62ap-12, 0x1.3d333392bede7p-12, 0x1.2e6ef3a01311bp-12, 0x1.2032c6ab5c0a5p-12, 0x1.127a80d839dc1p-12, 0x1.0542127d6ea5ep-12, 0x1.f10b0f0a2f0ddp-13, 0x1.d8820d9efe6aap-13, 0x1.c0e1a32fc9dd9p-13, 0x1.aa2285b9ba97cp-13, 0x1.943d9d96c840dp-13, 0x1.7f2c045596f8bp-13, 0x1.6ae7039b4d16cp-13, 0x1.57681407addfbp-13, 0x1.44a8dc1f841f7p-13, 0x1.32a32f3ae3736p-13, 0x1.21510c79d64a3p-13, 0x1.10ac9dbe0bd16p-13, 0x1.00b036a7add3dp-13, 0x1.e2aca73373448p-14, 0x1.c5333180c1666p-14, 0x1.a8e9a23b57474p-14, 0x1.8dc5db3492966p-14, 0x1.73be08370c2d1p-14, 0x1.5ac89d3a858fp-14, 0x1.42dc54a1e2276p-14, 0x1.2bf02d7f7ed35p-14, 0x1.15fb69e94347cp-14, 0x1.00f58d4acd9e8p-14, 0x1.d9acb5941d7bp-15, 0x1.b32ba75aa2626p-15, 0x1.8e586b95c23c6p-15, 0x1.6b23f40caad06p-15, 0x1.497fa59d65a5p-15, 0x1.295d555205e8bp-15, 0x1.0aaf457f684fap-15, 0x1.dad045f1029fdp-16, 0x1.a2f604a1cccc9p-16, 0x1.6db6ba59b385bp-16, 0x1.3afa1f38b8e93p-16, 0x1.0aa8ab13d5c5ap-16, 0x1.b95720cac248ap-17, 0x1.61d96ec9c2ab4p-17, 0x1.0ead726810963p-17, 0x1.7f536c9dde1a1p-18, 0x1.d298513137406p-19, 0x1.6bdd62db7eddep-20, -0x1.5fb24327d84e6p-21, -0x1.578b2d4798898p-19, -0x1.24bd15328e4f2p-18, -0x1.9720ff3038325p-18, -0x1.0199abd72cd42p-17, -0x1.3499fcb4ac069p-17, -0x1.64b05303dc754p-17, -0x1.91fa8a9daac6cp-17, -0x1.bc9581a6af785p-17, -0x1.e49d1fc06f013p-17, -0x1.05162e7dee4e8p-16, -0x1.16aea45291b3bp-16, -0x1.272487fc474fap-16, -0x1.3684024898e47p-16, -0x1.44d8d16799a0ep-16, -0x1.522e4bfd76f2p-16, -0x1.5e8f6428e773fp-16, -0x1.6a06aa73e6f74p-16, -0x1.749e50b5050c6p-16, -0x1.7e602cd821a63p-16, -0x1.8755bb9da4085p-16, -0x1.8f88233ed8d9bp-16, -0x1.9700360263338p-16, -0x1.9dc674cd4005ep-16, -0x1.a3e311951d5f8p-16, -0x1.a95df1ca8ba3ap-16, -0x1.ae3eb0adb9cd3p-16, -0x1.b28ca1949e8cbp-16, -0x1.b64ed227d5574p-16, -0x1.b98c0c8698d82p-16, -0x1.bc4ad9693e09dp-16, -0x1.be91822a6889ep-16, -0x1.c06612c7dc53bp-16, -0x1.c1ce5bd38db2ep-16, -0x1.c2cff4546e711p-16, -0x1.c3703ba7a88b1p-16, -0x1.c3b45b43c1381p-16, -0x1.c3a1487b249f7p-16, -0x1.c33bc62af9eb5p-16, -0x1.c2886665f994bp-16, -0x1.c18b8c0e3cec6p-16, -0x1.c0496c610e36ap-16, -0x1.bec610831c37ap-16, -0x1.bd0556f285707p-16, -0x1.bb0af4fbe9f98p-16, -0x1.b8da781aa9d38p-16, -0x1.b677475399d87p-16, -0x1.b3e4a48ae9eddp-16, -0x1.b125adc9c7026p-16, -0x1.ae3d5e7a78c6cp-16, -0x1.ab2e909bac64ep-16, -0x1.a7fbfdf29efcap-16, -0x1.a4a841292e7e1p-16, -0x1.a135d6e879f8dp-16, -0x1.9da71eeb73a1ap-16, -0x1.99fe5d08d7522p-16, -0x1.963dba37cf259p-16, -0x1.92674589c1251p-16, -0x1.8e7cf5195ba24p-16, -0x1.8a80a6fc6ffb5p-16, -0x1.86742224b4984p-16, -0x1.8259173c53cecp-16, -0x1.7e31217c9753cp-16, -0x1.79fdc7800cfep-16, -0x1.75c07c0d4804bp-16, -0x1.717a9ed7e2e48p-16, -0x1.6d2d7d3e8402fp-16, -0x1.68da530110906p-16, -0x1.64824af20c57dp-16, -0x1.60267fa299fb1p-16, -0x1.5bc7fc0a6376fp-16, -0x1.5767bc25b9eeap-16, -0x1.5306ad932b1d6p-16, -0x1.4ea5b02aaec04p-16, -0x1.4a45968e97ec9p-16, -0x1.45e726b5ad3cfp-16, -0x1.418b1a764466cp-16, -0x1.3d3220099c9fdp-16, -0x1.38dcda8a078d3p-16, -0x1.348be26d6b9c8p-16, -0x1.303fc5fde2227p-16, -0x1.2bf909c9b4306p-16, -0x1.27b82913a3cbbp-16, -0x1.237d963f9a15ep-16, -0x1.1f49bb3581ed6p-16, -0x1.1b1cf9c73060dp-16, -0x1.16f7ac0ff43d1p-16, -0x1.12da24d0ff479p-16, -0x1.0ec4afcb217bfp-16, -0x1.0ab792125a39cp-16, -0x1.06b30a634f1d7p-16, -0x1.02b75171d91d6p-16, -0x1.fd89346e737abp-17, -0x1.f5b6247435571p-17, -0x1.edf5c3b0d7a6ep-17, -0x1.e64859108c2aap-17, -0x1.deae223aac3c7p-17, -0x1.d727540cbcdcfp-17, -0x1.cfb41b140a76ep-17, -0x1.c8549c016f999p-17, -0x1.c108f41e7e39dp-17, -0x1.b9d139ba42bfcp-17, -0x1.b2ad7c8b140a9p-17, -0x1.ab9dc615c24fap-17, -0x1.a4a21a0b3caa9p-17, -0x1.9dba76a36055bp-17, -0x1.96e6d4f8ec705p-17, -0x1.90272958f387fp-17, -0x1.897b6399ef54dp-17, -0x1.82e36f61a7829p-17, -0x1.7c5f34751965ap-17, -0x1.75ee96fd5fae8p-17, -0x1.6f9177c89ae4dp-17, -0x1.6947b489942f2p-17, -0x1.631128181a038p-17, -0x1.5cedaaac55e54p-17, -0x1.56dd121792692p-17, -0x1.50df31f543a3fp-17, -0x1.4af3dbe28911dp-17, -0x1.451adfad0e339p-17, -0x1.3f540b815d135p-17, -0x1.399f2c1642aacp-17, -0x1.33fc0cd81e638p-17, -0x1.2e6a7810b8d59p-17, -0x1.28ea37094712fp-17, -0x1.237b1233b27a4p-17, -0x1.1e1cd1491d0ddp-17, -0x1.18cf3b6962482p-17, -0x1.1392173918043p-17, -0x1.0e652b007c2d9p-17, -0x1.09483cc4ec3c2p-17, -0x1.043b12642a49ap-17, -0x1.fe7ae3519f874p-18, -0x1.f49e40c9ebfd5p-18, -0x1.eadfc903d2e1fp-18, -0x1.e13f083676a97p-18, -0x1.d7bb8b13088c7p-18, -0x1.ce54def78071fp-18, -0x1.c50a92057b2e6p-18, -0x1.bbdc333f1ff26p-18, -0x1.b2c952a8a7378p-18, -0x1.a9d18161fdc18p-18, -0x1.a0f451b993383p-18, -0x1.98315745bbbb1p-18, -0x1.8f8826f3eb595p-18, -0x1.86f85726c2131p-18, -0x1.7e817fba57bc1p-18, -0x1.76233a1b7f66cp-18, -0x1.6ddd21544349cp-18, -0x1.65aed218c8697p-18, -0x1.5d97eacde9a41p-18, -0x1.55980b998fef5p-18, -0x1.4daed6698e884p-18, -0x1.45dbeefb4fd16p-18, -0x1.3e1efadbd3978p-18, }}, 
      {{-0x1.c015786c82685p-1, -0x1.bfef6fd7d64cap-1, -0x1.bfaf178dde71cp-1, -0x1.bf5311c15264fp-1, -0x1.bed9923333637p-1, -0x1.be40746b90d5ep-1, -0x1.bd855282c11c1p-1, -0x1.bca59b316929ep-1, -0x1.bb9ea656d47dp-1, -0x1.ba6dc77b9027ap-1, -0x1.b9105e12bc7ffp-1, -0x1.b783e3666430dp-1, -0x1.b5c5f637780d8p-1, -0x1.b3d4642ce973fp-1, -0x1.b1ad31393a1b1p-1, -0x1.af4e9d24ecd38p-1, -0x1.acb7276fb060cp-1, -0x1.a9e591bb08352p-1, -0x1.a6d8e0f05226ap-1, -0x1.a3905d51c6f5fp-1, -0x1.a00b91a309b41p-1, -0x1.9c4a499231f41p-1, -0x1.984c8f865498fp-1, -0x1.9412a9f483188p-1, -0x1.8f9d185841c4cp-1, -0x1.8aec8fe89e42ep-1, -0x1.8601f81f75146p-1, -0x1.80de67252594ap-1, -0x1.7b831e2febfcbp-1, -0x1.75f185e36d8a5p-1, -0x1.702b2aba9eb1fp-1, -0x1.6a31b9841bfp-1, -0x1.6406fbf74906dp-1, -0x1.5dacd56702cfap-1, -0x1.57253f9572053p-1, -0x1.507247ab7696cp-1, -0x1.49960b554dc42p-1, -0x1.4292b6055b73p-1, -0x1.3b6a7e5d70e6dp-1, -0x1.341fa3be77c86p-1, -0x1.2cb46bfe15157p-1, -0x1.252b214187f27p-1, -0x1.1d860ffce412bp-1, -0x1.15c7851595efp-1, -0x1.0df1cc270d6c5p-1, -0x1.06072de8540b7p-1, -0x1.fc13dd629f8ep-2, -0x1.ebf89a3ccb5f5p-2, -0x1.dbc101a26f697p-2, -0x1.cb71729a62a44p-2, -0x1.bb0e39dd40365p-2, -0x1.aa9b8ff62fe84p-2, -0x1.9a1d9793d17b2p-2, -0x1.89985c06e86efp-2, -0x1.790fcfec65c5fp-2, -0x1.6887cc0095c8ep-2, -0x1.58040e1928dacp-2, -0x1.47883843f9153p-2, -0x1.3717d008683dp-2, -0x1.26b63dc950698p-2, -0x1.1666cc458bd5p-2, -0x1.062ca83521faap-2, -0x1.ec15c00288977p-3, -0x1.cc08c72a941b7p-3, -0x1.ac38088ddf395p-3, -0x1.8ca8e9a856c5cp-3, -0x1.6d6092e9f8d83p-3, -0x1.4e63efff4679bp-3, -0x1.2fb7b03b95652p-3, -0x1.1160472260bbep-3, -0x1.e6c3da19c71bp-4, -0x1.ab813fd2b8967p-4, -0x1.710048230ea0ap-4, -0x1.37480a6bca262p-4, -0x1.fcbe5d6e7d826p-5, -0x1.8c97dfab90684p-5, -0x1.1e283b2ee801ap-5, -0x1.62f47c7b5b61p-6, -0x1.1a5faa4c005f1p-7, 0x1.13ac2d541ae9bp-8, 0x1.134b35a9aeb0fp-6, 0x1.dde1353423f1bp-6, 0x1.524f82bcb1c51p-5, 0x1.b3bc03c5c00fcp-5, 0x1.09983dd6b0f21p-4, 0x1.3853f83f106c9p-4, 0x1.660f057b6bf5ep-4, 0x1.92c788976978cp-4, 0x1.be7bf09fbb75dp-4, 0x1.e92af5fb2ebe8p-4, 0x1.0969cbe4a9f12p-3, 0x1.1dba8ca3f2accp-3, 0x1.31877fa011c85p-3, 0x1.44d086be7f144p-3, 0x1.5795a2257356cp-3, 0x1.69d6ef0118bb4p-3, 0x1.7b94a64e38dfep-3, 0x1.8ccf1baac8613p-3, 0x1.9d86bc2c83c95p-3, 0x1.adbc0d3dc73aep-3, 0x1.bd6fab80e492p-3, 0x1.cca249b9f3953p-3, 0x1.db54afbf5d4e6p-3, 0x1.e987b97112b5bp-3, 0x1.f73c55b693a0dp-3, 0x1.0239c2c1dcd29p-2, 0x1.08972d7228bddp-2, 0x1.0eb6fc073ecfep-2, 0x1.1499c73de9999p-2, 0x1.1a402f0496623p-2, 0x1.1faada0e8d292p-2, 0x1.24da756a73536p-2, 0x1.29cfb41c05a83p-2, 0x1.2e8b4eb9099f3p-2, 0x1.330e03095c0bap-2, 0x1.375893aa1a116p-2, 0x1.3b6bc7b3cdf51p-2, 0x1.3f486a63984dfp-2, 0x1.42ef4ac73d68bp-2, 0x1.46613b6c11232p-2, 0x1.499f1210a51c1p-2, 0x1.4ca9a75935b13p-2, 0x1.4f81d686bc4a6p-2, 0x1.52287d30994ebp-2, 0x1.549e7b00c8217p-2, 0x1.56e4b17284f73p-2, 0x1.58fc0393608cap-2, 0x1.5ae555c6a75c8p-2, 0x1.5ca18d8b0f227p-2, 0x1.5e3191429dea3p-2, 0x1.5f9647fcb912fp-2, 0x1.60d099424ea5p-2, 0x1.61e16ce406f18p-2, 0x1.62c9aaca737cfp-2, 0x1.638a3ac82ee4bp-2, 0x1.6424046dd8a34p-2, 0x1.6497eedfe537cp-2, 0x1.64e6e0ae3743ep-2, 0x1.6511bfad6c108p-2, 0x1.651970d1da29cp-2, 0x1.64fed80c2c83cp-2, 0x1.64c2d82794718p-2, 0x1.646652a983e9ep-2, 0x1.63ea27b2e66dep-2, 0x1.634f35e2ce024p-2, 0x1.62965a3a85b86p-2, 0x1.61c0700306428p-2, 0x1.60ce50b3bd2dfp-2, 0x1.5fc0d3daa10c4p-2, 0x1.5e98cf0582b54p-2, 0x1.5d5715ac9cf5p-2, 0x1.5bfc791e4d17p-2, 0x1.5a89c86bf764ep-2, 0x1.58ffd05808a25p-2, 0x1.575f5b450a6a9p-2, 0x1.55a93125cadeep-2, 0x1.53de176e87607p-2, 0x1.51fed107157f8p-2, 0x1.500c1e3e05b99p-2, 0x1.4e06bcbcb5786p-2, 0x1.4bef677c48676p-2, 0x1.49c6d6bb867bfp-2, 0x1.478dbff593415p-2, 0x1.4544d5d97bc3bp-2, 0x1.42ecc84292509p-2, 0x1.4086443191712p-2, 0x1.3e11f3c6837d8p-2, 0x1.3b907e3b62059p-2, 0x1.390287df70962p-2, 0x1.3668b21342221p-2, 0x1.33c39b456f397p-2, 0x1.3113deefebe61p-2, 0x1.2e5a159600b3ap-2, 0x1.2b96d4c2dc542p-2, 0x1.28caaf08bc1ecp-2, 0x1.25f63400a29d3p-2, 0x1.2319f04a9b46fp-2, 0x1.20366d8e822cbp-2, 0x1.1d4c327d4eb43p-2, 0x1.1a5bc2d2d908ap-2, 0x1.17659f581aafdp-2, 0x1.146a45e5dd13ap-2, 0x1.116a3167dd077p-2, 0x1.0e65d9e05294cp-2, 0x1.0b5db46be4f8ep-2, 0x1.08523345fafe4p-2, 0x1.0543c5cd6c17cp-2, 0x1.0232d8898ba4dp-2, 0x1.fe3faa5f0ce86p-3, 0x1.f81645502c12ap-3, 0x1.f1ea4a2afd4cbp-3, 0x1.ebbc7bb3b1f6dp-3, 0x1.e58d973b454a2p-3, 0x1.df5e54ad1ce04p-3, 0x1.d92f669d31922p-3, 0x1.d3017a56a8edbp-3, 0x1.ccd537eadf42bp-3, 0x1.c6ab4240dfa2fp-3, 0x1.c08437253e66bp-3, 0x1.ba60af5a500d3p-3, 0x1.b4413ea8b7318p-3, 0x1.ae2673f0460ffp-3, 0x1.a810d93929eeap-3, 0x1.a200f3c55a404p-3, 0x1.9bf744224c63cp-3, 0x1.95f4463adc2a2p-3, 0x1.8ff87169702cep-3, 0x1.8a04388a493e2p-3, 0x1.84180a0dfc114p-3, 0x1.7e34500c1a637p-3, 0x1.78597055edbbfp-3, 0x1.7287cc895fe92p-3, 0x1.6cbfc223f0afep-3, 0x1.6701aa95bfb5fp-3, 0x1.614ddb54b0cf5p-3, 0x1.5ba4a5ef8da8cp-3, 0x1.560658213827fp-3, 0x1.50733be3e2f49p-3, 0x1.4aeb97843e91cp-3, 0x1.456fadb4b105ap-3, 0x1.3fffbda07e8cfp-3, 0x1.3a9c02fee982dp-3, 0x1.3544b62645f81p-3, 0x1.2ffa0c1eff378p-3, 0x1.2abc36b6866bbp-3, 0x1.258b64922d098p-3, 0x1.2067c141e4d72p-3, 0x1.1b517552e914cp-3, 0x1.1648a6624557p-3, 0x1.114d772f3bd59p-3, 0x1.0c6007ad9075ap-3, 0x1.07807517a291ep-3, 0x1.02aeda006e21ap-3, 0x1.fbd69ccab73bdp-4, 0x1.f26bcf7fcb5b7p-4, 0x1.e91d722e2af63p-4, 0x1.dfeba621a0d2fp-4, 0x1.d6d68805ee5adp-4, 0x1.cdde30089e793p-4, 0x1.c502b1fa85cc6p-4, 0x1.bc441d70c42cap-4, 0x1.b3a27de575465p-4, 0x1.ab1ddad7df05dp-4, 0x1.a2b637ec464adp-4, 0x1.9a6b950b416cep-4, 0x1.923dee80a75aep-4, 0x1.8a2d3d1a00f1fp-4, 0x1.823976448e4f6p-4, 0x1.7a628c2ad0feap-4, 0x1.72a86dd19da47p-4, 0x1.6b0b0734b9e96p-4, 0x1.638a4162fe2fdp-4, 0x1.5c260299fd611p-4, 0x1.54de2e613275bp-4, 0x1.4db2a5a4b3333p-4, 0x1.46a346cf6601dp-4, 0x1.3fafede4bbe93p-4, 0x1.38d87499ee2c7p-4, 0x1.321cb26ec2297p-4, 0x1.2b7c7cc5ca826p-4, 0x1.24f7a6fc32f01p-4, 0x1.1e8e02810a6d1p-4, 0x1.183f5eec1457cp-4, 0x1.120b8a141b44cp-4, 0x1.0bf25024cdf3p-4, 0x1.05f37bb419b78p-4, 0x1.000ed5d710f9dp-4, 0x1.f4884c6ca9933p-5, 0x1.e92666440f68ap-5, 0x1.ddf7834a8d62bp-5, 0x1.d2fb2b325534ep-5, 0x1.c830e36eabc58p-5, 0x1.bd982f5816c24p-5, 0x1.b330904f9cb71p-5, 0x1.a8f985e12612dp-5, 0x1.9ef28de4f48c4p-5, 0x1.951b24a03d91fp-5, 0x1.8b72c4e4db1a3p-5, 0x1.81f8e8302ac01p-5, 0x1.78ad06c9093c4p-5, 0x1.6f8e97dcfc2a2p-5, 0x1.669d119c7dca6p-5, 0x1.5dd7e95680922p-5, 0x1.553e939318955p-5, 0x1.4cd0842d61519p-5, 0x1.448d2e6c8d8cap-5, 0x1.3c74051c38da9p-5, 0x1.34847aa3f5293p-5, 0x1.2cbe011e10191p-5, 0x1.25200a6d9ddbfp-5, 0x1.1daa0853c6c8dp-5, 0x1.165b6c84628d2p-5, 0x1.0f33a8b9d342fp-5, 0x1.08322ec83bdd6p-5, 0x1.015670aff94a2p-5, 0x1.f53fc15ef644ep-6, 0x1.e81be2a8e2b99p-6, 0x1.db402b189a7bp-6, 0x1.ceab81684fa32p-6, 0x1.c25ccd500e89p-6, 0x1.b652f7a310b0fp-6, 0x1.aa8cea6bd9691p-6, 0x1.9f0991072808bp-6, 0x1.93c7d83dcb14fp-6, 0x1.88c6ae5d522eap-6, 0x1.7e05034f9bf7ep-6, 0x1.7381c8b168c28p-6, 0x1.693bf1e7c882ap-6, 0x1.5f3274348ef1ep-6, 0x1.556446c9c8f6fp-6, 0x1.4bd062dc34b8dp-6, 0x1.4275c3b4c4d02p-6, 0x1.395366c1321b2p-6, 0x1.30684ba3b2b8ep-6, 0x1.27b37441bcd66p-6, 0x1.1f33e4d1f9e56p-6, 0x1.16e8a3e958a5p-6, 0x1.0ed0ba875da6ap-6, 0x1.06eb342197922p-6, 0x1.fe6e3d5ca69d3p-7, 0x1.ef67155d2186dp-7, 0x1.e0bf166e749f2p-7, 0x1.d2746bf35e493p-7, 0x1.c4854697129c4p-7, 0x1.b6efdc5b9e7ccp-7, 0x1.a9b268a6d5c2p-7, 0x1.9ccb2c4e1595fp-7, 0x1.90386da0ce658p-7, 0x1.83f87871cfbf1p-7, 0x1.78099e1f7ef12p-7, 0x1.6c6a359aebbdp-7, 0x1.61189b6dbaaccp-7, 0x1.561331bf3814dp-7, 0x1.4b5860583576bp-7, 0x1.40e694a6135c1p-7, 0x1.36bc41bcd2eeep-7, 0x1.2cd7e05829f64p-7, 0x1.2337eedbd5df2p-7, 0x1.19daf1530f479p-7, 0x1.10bf716f22216p-7, 0x1.07e3fe854d2e6p-7, 0x1.fe8e5b17da68ap-8, 0x1.edcf322d9946fp-8, 0x1.dd87c2a5b5a4cp-8, 0x1.cdb558028a5ap-8, 0x1.be5548e3a70abp-8, 0x1.af64f6f96bedep-8, 0x1.a0e1cef7ad99cp-8, 0x1.92c94886bcbb9p-8, 0x1.8518e633f6772p-8, 0x1.77ce3560e1ca1p-8, 0x1.6ae6ce3195fa4p-8, 0x1.5e60537a0b7afp-8, 0x1.523872aabaedap-8, 0x1.466ce3bc51ab2p-8, 0x1.3afb691a90188p-8, 0x1.2fe1cf8e7fa9fp-8, 0x1.251dee27ea0e2p-8, 0x1.1aada62630c14p-8, 0x1.108ee2e085dfbp-8, 0x1.06bf99ad96d33p-8, 0x1.fa7b9395277dap-9, 0x1.e80ef8835f9eep-9, 0x1.d63587a0bd1c8p-9, 0x1.c4eb7999baad7p-9, 0x1.b42d1a16ed6bdp-9, 0x1.a3f6c786f394fp-9, 0x1.9444f2e73e8d9p-9, 0x1.85141f8c9687p-9, 0x1.7660e2eaf8a32p-9, 0x1.6827e45ccf961p-9, 0x1.5a65dce9c6f38p-9, 0x1.4d17970d43d9p-9, 0x1.4039ee7c91092p-9, 0x1.33c9cfec68e5p-9, 0x1.27c438d6b0f05p-9, 0x1.1c26373f7d3f5p-9, 0x1.10ece97a28296p-9, 0x1.06157dee8b32p-9, 0x1.f73a65baeff56p-10, 0x1.e302ac4b98091p-10, 0x1.cf7e8a1231d76p-10, 0x1.bca8d7e0fc5a3p-10, 0x1.aa7c8c62f7354p-10, 0x1.98f4bba5a3c44p-10, 0x1.880c96a34b042p-10, 0x1.77bf6acd1d34ap-10, 0x1.6808a1968177ep-10, 0x1.58e3bfffb38d8p-10, 0x1.4a4c6621ecbf2p-10, 0x1.3c3e4ebb4a5e7p-10, 0x1.2eb54ebb782c4p-10, 0x1.21ad54d1460fp-10, 0x1.152268f8a0ddbp-10, 0x1.0910ac094bb2bp-10, 0x1.fae8ae8c8560ep-11, 0x1.e49377dccea7ep-11, 0x1.cf1a859a9b877p-11, 0x1.ba76d79ab7559p-11, 0x1.a6a19b14c59fcp-11, 0x1.939429cb80384p-11, 0x1.8148093586f4cp-11, 0x1.6fb6e9a97a461p-11, 0x1.5edaa58b0b089p-11, 0x1.4ead407acf6bfp-11, 0x1.3f28e687b25bfp-11, 0x1.3047eb62832b6p-11, 0x1.2204c9943445bp-11, 0x1.145a21b61c696p-11, 0x1.0742b9abe4a11p-11, 0x1.f572f7c1c1aaep-12, 0x1.dd72ed0d15b5bp-12, 0x1.c67bb5ad68693p-12, 0x1.b083f8ac7472ep-12, 0x1.9b82a038afecdp-12, 0x1.876ed8340ddd1p-12, 0x1.74400ccab1884p-12, 0x1.61ede90e93ba6p-12, 0x1.50705595fbca1p-12, 0x1.3fbf771ffa237p-12, 0x1.2fd3ad3fe50eap-12, 0x1.20a591095dec1p-12, 0x1.122df3c4b04c7p-12, 0x1.0465dda7e0cadp-12, 0x1.ee8d1924437d3p-13, 0x1.d592e59e4dab1p-13, 0x1.bdd06bbd09056p-13, 0x1.a7395a7e5c55ep-13, 0x1.91c1c28051deap-13, 0x1.7d5e13b0961d8p-13, 0x1.6a031afe5dc14p-13, 0x1.57a6001a7fd3p-13, 0x1.463c4342b4744p-13, 0x1.35bbbb10aa4c9p-13, 0x1.261a9259a63ffp-13, 0x1.174f4612c732p-13, 0x1.0950a34115e5ep-13, 0x1.f82b89e60cce6p-14, 0x1.df2c2483dbf23p-14, 0x1.c79278be7bddcp-14, 0x1.b14e794d61da8p-14, 0x1.9c50a57cfb15p-14, 0x1.888a057b08da3p-14, 0x1.75ec26b87b258p-14, 0x1.6469185990536p-14, 0x1.53f367bb3d48p-14, 0x1.447e1d09bfd65p-14, 0x1.35fcb7e4ee774p-14, 0x1.28632c1c05074p-14, 0x1.1ba5de72e5076p-14, 0x1.0fb9a17cd1aa6p-14, 0x1.0493b285d3bd7p-14, 0x1.f4536d20150cp-15, 0x1.e0e36ebc05d0cp-15, 0x1.cec441160710dp-15, 0x1.bde379764c91dp-15, 0x1.ae2f65a3e27bdp-15, 0x1.9f970674fc6dep-15, 0x1.920a0a94472d8p-15, 0x1.8578c93874328p-15, 0x1.79d43d1fc483ap-15, 0x1.6f0dff9809901p-15, 0x1.651843a8e0995p-15, 0x1.5be5d15449a66p-15, 0x1.536a00f82fb8dp-15, 0x1.4b98b6cf7d962p-15, 0x1.44665e80c9dd3p-15, 0x1.3dc7e6d02ce8p-15, 0x1.37b2bd760f70cp-15, 0x1.321ccaf54ad5ep-15, 0x1.2cfc6ea35ddb2p-15, 0x1.28487abaa2b39p-15, 0x1.23f8309415768p-15, 0x1.20033ce5b73e1p-15, 0x1.1c61b4246bc57p-15, 0x1.190c0f0849cc4p-15, 0x1.15fb270cf0f13p-15, 0x1.1328331a97c24p-15, 0x1.108cc44410a7ap-15, 0x1.0e22c295646f6p-15, 0x1.0be469fa11b0fp-15, 0x1.09cc47396f84p-15, 0x1.07d5350839822p-15, 0x1.05fa5929f66d5p-15, 0x1.043721a738dcfp-15, 0x1.0287421bd6e6dp-15, 0x1.00e6b119ff0d4p-15, 0x1.fea34b22952e5p-16, 0x1.fb8928a973fd9p-16, 0x1.f8785b67f35cp-16, 0x1.f56ab63869838p-16, 0x1.f25a79a5170ep-16, 0x1.ef424f778e64fp-16, 0x1.ec1d466e27372p-16, 0x1.e8e6ce0c5e3dbp-16, 0x1.e59ab287784e8p-16, 0x1.e23518d9a2966p-16, 0x1.deb27afa67d32p-16, 0x1.db0fa41c3807bp-16, 0x1.d749ad1a567ep-16, 0x1.d35df9024d93cp-16, 0x1.cf4a31ac04ccdp-16, 0x1.cb0c4480217dcp-16, 0x1.c6a25f42ca1e6p-16, 0x1.c20aed0dbe18p-16, 0x1.bd449359095eap-16, 0x1.b84e2f1496725p-16, 0x1.b326d1e35fa91p-16, 0x1.adcdbf738af24p-16, 0x1.a8426ae29bc16p-16, 0x1.a2847435768c3p-16, 0x1.9c93a5f4fbc53p-16, 0x1.966ff2d284737p-16, 0x1.901973666030ap-16, 0x1.899064016db4p-16, 0x1.82d5228ba7741p-16, 0x1.7be82c90390a9p-16, 0x1.74ca1d383533p-16, 0x1.6d7bab6de8fa1p-16, 0x1.65fda802e7b8ep-16, 0x1.5e50fc030e443p-16, 0x1.5676a6f2042ecp-16, 0x1.4e6fbd3af4d8ap-16, 0x1.463d6696a8d74p-16, 0x1.3de0dc99e334dp-16, 0x1.355b693b85e21p-16, 0x1.2cae6570a429ep-16, 0x1.23db37dd44a84p-16, 0x1.1ae35396bc4b8p-16, 0x1.11c836e342205p-16, 0x1.088b6a0e0312p-16, 0x1.fe5cfc8d2de95p-17, 0x1.eb6619394c41ep-17, 0x1.d83569d4fc6aap-17, 0x1.c4ce39c4c9d2bp-17, 0x1.b133de30d9497p-17, 0x1.9d69b45744484p-17, 0x1.89731fc41ff7fp-17, 0x1.755388af52fcfp-17, 0x1.610e5a7577ff4p-17, 0x1.4ca7022746aep-17, 0x1.3820ed26b28aap-17, 0x1.237f87c671136p-17, 0x1.0ec63c0535912p-17, 0x1.f3f0e0ec0a32bp-18, 0x1.ca330e0fe64fdp-18, 0x1.a059b7f4c84d3p-18, 0x1.766b89bb099bbp-18, 0x1.4c6f1f3933539p-18, 0x1.226b036062f1ep-18, 0x1.f0cb5c982d36dp-19, 0x1.9ccb079e45953p-19, 0x1.48e1a3e8a728ap-19, 0x1.ea373ebc1475fp-20, 0x1.430a6e41e85d5p-20, 0x1.38a9d3a3d6b7fp-21, -0x1.3a34b9b2d3b19p-25, -0x1.5ea40d54dc89ap-21, -0x1.541571808705ap-20, -0x1.f8059545b35adp-20, -0x1.4d864d30fa66ap-19, -0x1.9e8a92ad7b3a3p-19, -0x1.ef052c844882cp-19, -0x1.1f75f66fffea4p-18, -0x1.471a73b4ccb9p-18, -0x1.6e6b392c3f9a5p-18, -0x1.95639389d527ep-18, -0x1.bbfef1777c5bbp-18, -0x1.e238e3f730ad3p-18, -0x1.04068f4242837p-17, -0x1.16bbbba50895dp-17, -0x1.2939f39f7332fp-17, -0x1.3b7f452870557p-17, -0x1.4d89cfb73e6f9p-17, -0x1.5f57c443202f1p-17, -0x1.70e7653a13736p-17, -0x1.8237067e852bdp-17, -0x1.93450d5d8e186p-17, -0x1.a40ff07c0e236p-17, -0x1.b49637bd5e678p-17, -0x1.c4d67c28544dap-17, -0x1.d4cf67d6e41f3p-17, -0x1.e47fb5cc22082p-17, -0x1.f3e631d85d2e6p-17, -0x1.0180dc34c58a2p-16, -0x1.08e89b310a9fap-16, -0x1.1029d47b4e10ep-16, -0x1.17440ebd8ddecp-16, -0x1.1e36d89849b56p-16, -0x1.2501c8882b0d8p-16, -0x1.2ba47ccd1d84ap-16, -0x1.321e9b4de27c7p-16, -0x1.386fd17d0d04bp-16, -0x1.3e97d4382a2dp-16, -0x1.44965faa9c2cdp-16, -0x1.4a6b373185ec7p-16, -0x1.5016253ba8341p-16, -0x1.5596fb2801cdap-16, -0x1.5aed91258fe0ep-16, -0x1.6019c60e08ce6p-16, -0x1.651b7f4c2fcffp-16, -0x1.69f2a8b592e6ep-16, -0x1.6e9f3468b07e9p-16, -0x1.73211aab576bep-16, -0x1.777859c5f40f2p-16, -0x1.7ba4f5e2cc1a4p-16, -0x1.7fa6f8ead521fp-16, -0x1.837e72614914ep-16, -0x1.872b773e3b9eap-16, -0x1.8aae21cf75b38p-16, -0x1.8e0691937ef61p-16, -0x1.9134eb1690628p-16, -0x1.943957d048cefp-16, -0x1.971405fc35b99p-16, -0x1.99c52879d98aap-16, -0x1.9c4cf6aa24febp-16, -0x1.9eabac4c1864bp-16, -0x1.a0e1895af4c7bp-16, -0x1.a2eed1ea0500bp-16, -0x1.a4d3ce0395c13p-16, -0x1.a690c98763443p-16, -0x1.a8261408df5cep-16, -0x1.a99400ad54fp-16, -0x1.aadae60857792p-16, -0x1.abfb1e0017c7fp-16, -0x1.acf505aab2e73p-16, -0x1.adc8fd2d77411p-16, -0x1.ae77679f7083fp-16, -0x1.af00aae6d2a36p-16, -0x1.af652f9ba79b1p-16, -0x1.afa560e9ffcfbp-16, -0x1.afc1ac731ab59p-16, -0x1.afba82326fb27p-16, -0x1.af90545b33c7ap-16, -0x1.af43974052bc5p-16, -0x1.aed4c13594293p-16, -0x1.ae444a744de23p-16, -0x1.ad92ad017b1p-16, -0x1.acc0648fa2593p-16, -0x1.abcdee65562f6p-16, -0x1.aabbc9474bd8ep-16, -0x1.a98a7558b8e36p-16, -0x1.a83a7406378a1p-16, -0x1.a6cc47ebe1699p-16, -0x1.a54074bd9acf2p-16, -0x1.a3977f2db202p-16, -0x1.a1d1ecd8053cbp-16, -0x1.9ff0442c317dfp-16, -0x1.9df30c544ea5p-16, -0x1.9bdacd212e70dp-16, }}, 
      {{-0x1.c01ddc45bb296p-1, -0x1.c0113b38a4066p-1, -0x1.bffbfd6451b73p-1, -0x1.bfdddb3c72111p-1, -0x1.bfb675153c69p-1, -0x1.bf8556aa7abc5p-1, -0x1.bf49fadc58835p-1, -0x1.bf03cf6ee58c7p-1, -0x1.beb238a914e0ep-1, -0x1.be5494bbec9b7p-1, -0x1.bdea3ee356b04p-1, -0x1.bd72923876c57p-1, -0x1.bcecec320af0fp-1, -0x1.bc58aed2aee75p-1, -0x1.bbb5428731b16p-1, -0x1.bb0217b8cbdb6p-1, -0x1.ba3ea8180db54p-1, -0x1.b96a77a60817ap-1, -0x1.b885158187e4bp-1, -0x1.b78e1c7e535abp-1, -0x1.b685338c4df88p-1, -0x1.b56a0df42e4e9p-1, -0x1.b43c6b6f31fb3p-1, -0x1.b2fc181ed9534p-1, -0x1.b1a8ec695d95ep-1, -0x1.b042ccbf2856cp-1, -0x1.aec9a94d29afp-1, -0x1.ad3d7d9f8d86fp-1, -0x1.ab9e5037e1e73p-1, -0x1.a9ec32196ee16p-1, -0x1.a8273e4e21dc6p-1, -0x1.a64f996621148p-1, -0x1.a46570f3d2092p-1, -0x1.a268fb05db5c9p-1, -0x1.a05a75a06f166p-1, -0x1.9e3a2636f882ap-1, -0x1.9c08592711f1ap-1, -0x1.99c561358a3b1p-1, -0x1.9771970e12a24p-1, -0x1.950d58c615bf8p-1, -0x1.929909631db01p-1, -0x1.901510651255ep-1, -0x1.8d81d954904edp-1, -0x1.8adfd3557dcbap-1, -0x1.882f70bdfbd99p-1, -0x1.857126b1c544p-1, -0x1.82a56cc200ff4p-1, -0x1.7fccbc91873a5p-1, -0x1.7ce7917d9409bp-1, -0x1.79f6684ad8465p-1, -0x1.76f9bed6d7795p-1, -0x1.73f213cd81758p-1, -0x1.70dfe662ea273p-1, -0x1.6dc3b6110d59dp-1, -0x1.6a9e02597a627p-1, -0x1.676f4a8ad2239p-1, -0x1.64380d89f4a9cp-1, -0x1.60f8c99ec2ad8p-1, -0x1.5db1fc445073ap-1, -0x1.5a6421fc6f374p-1, -0x1.570fb626697f4p-1, -0x1.53b532d8d3cc7p-1, -0x1.505510be557c5p-1, -0x1.4cefc6f545966p-1, -0x1.4985caf200784p-1, -0x1.46179063d8088p-1, -0x1.42a5891c7d3abp-1, -0x1.3f3024f9caec7p-1, -0x1.3bb7d1d1cf5e3p-1, -0x1.383cfb60fd9fbp-1, -0x1.34c00b3a6747p-1, -0x1.314168b9e6b0cp-1, -0x1.2dc178f81e168p-1, -0x1.2a409ec0314dep-1, -0x1.26bf3a8724dd8p-1, -0x1.233daa64c6797p-1, -0x1.1fbc4a0e0ae4cp-1, -0x1.1c3b72d0c977ep-1, -0x1.18bb7b90bff76p-1, -0x1.153cb8c5ca808p-1, -0x1.11bf7c7b39fd5p-1, -0x1.0e44165038a3cp-1, -0x1.0acad37927d2ep-1, -0x1.0753fec1e57efp-1, -0x1.03dfe090ea37dp-1, -0x1.006ebeeb2ea33p-1, -0x1.fa01baf18ef69p-2, -0x1.f32cfb1458663p-2, -0x1.ec5fbc3c2f10ep-2, -0x1.e59a77cfee7cep-2, -0x1.dedda2adb7a78p-2, -0x1.d829ad39bc9d9p-2, -0x1.d17f036dde4eep-2, -0x1.cade0cea0a226p-2, -0x1.c4472d0540dd7p-2, -0x1.bdbac2df3465bp-2, -0x1.b73929726a55p-2, -0x1.b0c2b7a6d2386p-2, -0x1.aa57c064c0f73p-2, -0x1.a3f892a8403a4p-2, -0x1.9da57994a583bp-2, -0x1.975ebc8863c4fp-2, -0x1.91249f310a41fp-2, -0x1.8af7619f65c1ap-2, -0x1.84d7405bbc935p-2, -0x1.7ec4747a14b0bp-2, -0x1.78bf33ae823bep-2, -0x1.72c7b06172784p-2, -0x1.6cde19c3eb542p-2, -0x1.67029be3b808fp-2, -0x1.61355fbf7fbep-2, -0x1.5b768b5ababeap-2, -0x1.55c641d185d25p-2, -0x1.5024a36c4c3e1p-2, -0x1.4a91cdb341d4ep-2, -0x1.450ddb81b02c6p-2, -0x1.3f98e5190790ap-2, -0x1.3a330033bf96fp-2, -0x1.34dc4017f3146p-2, -0x1.2f94b5a9c58bcp-2, -0x1.2a5c6f7d815b6p-2, -0x1.253379e979aa8p-2, -0x1.2019df17a0406p-2, -0x1.1b0fa716dce76p-2, -0x1.1614d7ec15a6ap-2, -0x1.112975a2f6542p-2, -0x1.0c4d825e681bdp-2, -0x1.0780fe68c1c73p-2, -0x1.02c3e843adb1p-2, -0x1.fc2c796f8583bp-3, -0x1.f2efedc7a8d54p-3, -0x1.e9d22097e7cb2p-3, -0x1.e0d301d052ad3p-3, -0x1.d7f27e65bb824p-3, -0x1.cf30806dfc5e9p-3, -0x1.c68cef3b9f5d3p-3, -0x1.be07af78f8fbep-3, -0x1.b5a0a342a26p-3, -0x1.ad57aa41724ddp-3, -0x1.a52ca1c3d284dp-3, -0x1.9d1f64d68e86dp-3, -0x1.952fcc5d0f7acp-3, -0x1.8d5daf290a70cp-3, -0x1.85a8e211a1e9fp-3, -0x1.7e113809fe282p-3, -0x1.7696823758c05p-3, -0x1.6f389006851dcp-3, -0x1.67f72f40ee0a7p-3, -0x1.60d22c2113acap-3, -0x1.59c9516682ef7p-3, -0x1.52dc686953894p-3, -0x1.4c0b392d1f6cfp-3, -0x1.45558a737ff75p-3, -0x1.3ebb21ce153ecp-3, -0x1.383bc3b00eb86p-3, -0x1.31d7337f3d1e7p-3, -0x1.2b8d33a4b5817p-3, -0x1.255d859cf7728p-3, -0x1.1f47ea07ab61bp-3, -0x1.194c20b6ece1p-3, -0x1.1369e8be2612cp-3, -0x1.0da10080834c6p-3, -0x1.07f125befd2cp-3, -0x1.025a15a5f4ba5p-3, -0x1.f9b719b4e660bp-4, -0x1.eeea8f0df9572p-4, -0x1.e44e02d00d0acp-4, -0x1.d9e0ebb0180ffp-4, -0x1.cfa2bfb684c2fp-4, -0x1.c592f455e2382p-4, -0x1.bbb0fe80e540ep-4, -0x1.b1fc52bfa7ec6p-4, -0x1.a87465444e394p-4, -0x1.9f18a9fee5be1p-4, -0x1.95e894b0b8c31p-4, -0x1.8ce398fee8a36p-4, -0x1.84092a846caacp-4, -0x1.7b58bce37434p-4, -0x1.72d1c3d62b819p-4, -0x1.6a73b33ee9feep-4, -0x1.623dff37cc07cp-4, -0x1.5a301c21b9703p-4, -0x1.52497eb2df22ep-4, -0x1.4a899c049d97dp-4, -0x1.42efe9a0ed04bp-4, -0x1.3b7bdd8f3eaabp-4, -0x1.342cee60d952p-4, -0x1.2d02933cb7fc7p-4, -0x1.25fc43eaebb0dp-4, -0x1.1f1978df8220dp-4, -0x1.1859ab44f6cb1p-4, -0x1.11bc55062f7a2p-4, -0x1.0b40f0d8066a6p-4, -0x1.04e6fa426621dp-4, -0x1.fd5bdb51f3974p-5, -0x1.f12a90a6e42bdp-5, -0x1.e53910eacadf1p-5, -0x1.d9865a6b925cfp-5, -0x1.ce116d6c16054p-5, -0x1.c2d94c31923fdp-5, -0x1.b7dcfb105d26ep-5, -0x1.ad1b8077e6d36p-5, -0x1.a293e4fe0ce89p-5, -0x1.98453369be335p-5, -0x1.8e2e78bcf9457p-5, -0x1.844ec43e2667bp-5, -0x1.7aa52780d49f5p-5, -0x1.7130b66ddb304p-5, -0x1.67f0874ae487fp-5, -0x1.5ee3b2c169f54p-5, -0x1.560953e520e12p-5, -0x1.4d608839da3c4p-5, -0x1.44e86fb8e5b9p-5, -0x1.3ca02cd5ea65ap-5, -0x1.3486e48346f15p-5, -0x1.2c9bbe35f4afcp-5, -0x1.24dde3e8f8f79p-5, -0x1.1d4c82205f944p-5, -0x1.15e6c7ebca425p-5, -0x1.0eabe6e890a29p-5, -0x1.079b13437f11bp-5, -0x1.00b383ba2813p-5, -0x1.f3e8e337bc3f8p-6, -0x1.e6ba319493c7ep-6, -0x1.d9d96f734eed4p-6, -0x1.cd451ee15b722p-6, -0x1.c0fbc7103c335p-6, -0x1.b4fbf45414e7cp-6, -0x1.a94438218323ep-6, -0x1.9dd3290af8b2ep-6, -0x1.92a762bd70923p-6, -0x1.87bf85fcac4c9p-6, -0x1.7d1a389eda0a2p-6, -0x1.72b62587c5d09p-6, -0x1.6891fca38ccd7p-6, -0x1.5eac72e0d57b9p-6, -0x1.5504422a9eee9p-6, -0x1.4b982961a03bep-6, -0x1.4266ec553f09ep-6, -0x1.396f53bc27205p-6, -0x1.30b02d2c7ebf8p-6, -0x1.28284b13c8a37p-6, -0x1.1fd684ae69d78p-6, -0x1.17b9b5fee4f37p-6, -0x1.0fd0bfc4becap-6, -0x1.081a87732693fp-6, -0x1.0095f72750b24p-6, -0x1.f283fb3d20004p-7, -0x1.e43b1c586f18dp-7, -0x1.d64f415e7895dp-7, -0x1.c8be630f53778p-7, -0x1.bb868317a33a4p-7, -0x1.aea5abfac75fep-7, -0x1.a219f0fc8c4edp-7, -0x1.95e16e0a9fad7p-7, -0x1.89fa47a5a7d9ep-7, -0x1.7e62aaca2e591p-7, -0x1.7318ccd924f08p-7, -0x1.681aeb80543bfp-7, -0x1.5d674ca28113dp-7, -0x1.52fc3e3f64eacp-7, -0x1.48d8165b7d59fp-7, -0x1.3ef932e7af119p-7, -0x1.355df9a8d18f8p-7, -0x1.2c04d81f1a77dp-7, -0x1.22ec436d674a5p-7, -0x1.1a12b840800e9p-7, -0x1.1176bab646945p-7, -0x1.0916d644d006ep-7, -0x1.00f19da18301dp-7, -0x1.f20b55505cf04p-8, -0x1.e2a33c8435f4dp-8, -0x1.d3a8409a4413ap-8, -0x1.c517bf0597815p-8, -0x1.b6ef22beefc2fp-8, -0x1.a92be413190d9p-8, -0x1.9bcb88717397p-8, -0x1.8ecba23aa51f4p-8, -0x1.8229d08f64eeep-8, -0x1.75e3bf1f7f015p-8, -0x1.69f725f907985p-8, -0x1.5e61c957d696dp-8, -0x1.5321797532b53p-8, -0x1.48341257ae3fap-8, -0x1.3d977ba37a9dp-8, -0x1.3349a86ad2ea8p-8, -0x1.294896fed1d4cp-8, -0x1.1f9250c090587p-8, -0x1.1624e9f29bc47p-8, -0x1.0cfe818ac14dap-8, -0x1.041d410436856p-8, -0x1.f6feb86442784p-9, -0x1.e6462224f25bbp-9, -0x1.d60d4f42ba2c6p-9, -0x1.c650e3597a1cdp-9, -0x1.b70d9550e292p-9, -0x1.a8402f058e0bep-9, -0x1.99e58cf2d0e26p-9, -0x1.8bfa9ddd7b14ap-9, -0x1.7e7c627f6ca26p-9, -0x1.7167ed3427ca6p-9, -0x1.64ba61a627301p-9, -0x1.5870f47d3395cp-9, -0x1.4c88eb0d8dd2cp-9, -0x1.40ff9b08278fdp-9, -0x1.35d26a2baf1ffp-9, -0x1.2afecdf698ac7p-9, -0x1.20824b5a1a024p-9, -0x1.165a766e11207p-9, -0x1.0c84f225e548bp-9, -0x1.02ff700669e56p-9, -0x1.f38f5fb9489b7p-10, -0x1.e1b6feeb37a13p-10, -0x1.d07174ae235d4p-10, -0x1.bfba92f274b21p-10, -0x1.af8e4602d184p-10, -0x1.9fe893fb73a2ep-10, -0x1.90c59c43859d4p-10, -0x1.8221970840d03p-10, -0x1.73f8d4b9f41a7p-10, -0x1.6647bd8b4203ep-10, -0x1.590ad0f1e6b58p-10, -0x1.4c3ea529eff0dp-10, -0x1.3fdfe6ba556fep-10, -0x1.33eb57fbbc56dp-10, -0x1.285dd0a12589cp-10, -0x1.1d343d425afddp-10, -0x1.126b9ee85d53dp-10, -0x1.08010a9bbd76ap-10, -0x1.fbe351e96250ap-11, -0x1.e8756b59cd4d6p-11, -0x1.d5b2fe66d693ep-11, -0x1.c396cc84a5d74p-11, -0x1.b21bbaebd2bcdp-11, -0x1.a13cd1cc7f6eep-11, -0x1.90f53b83ceac2p-11, -0x1.814043d55eaeap-11, -0x1.72195728896cap-11, -0x1.637c01c87d876p-11, -0x1.5563ef2845c83p-11, -0x1.47cce92a07a5fp-11, -0x1.3ab2d769bf146p-11, -0x1.2e11be8b0b878p-11, -0x1.21e5bf8a45c92p-11, -0x1.162b171118469p-11, -0x1.0ade1cce39755p-11, -0x1.fff685a05bedbp-12, -0x1.eafe29c75d0f6p-12, -0x1.d6cc6fe89be1cp-12, -0x1.c35ad2e1df9d7p-12, -0x1.b0a2fd65b758bp-12, -0x1.9e9ec8d01e875p-12, -0x1.8d483c00cf3cap-12, -0x1.7c998a3b878b9p-12, -0x1.6c8d120e50e26p-12, -0x1.5d1d5c3c9de23p-12, -0x1.4e451ab08705bp-12, -0x1.3fff2771d168dp-12, -0x1.324683a232bd4p-12, -0x1.2516567eb2714p-12, -0x1.1869ec6711c4dp-12, -0x1.0c3cb5e9921ddp-12, -0x1.008a46d3ef12bp-12, -0x1.ea9caa9452b2bp-13, -0x1.d50971c318bf7p-13, -0x1.c052d381ade48p-13, -0x1.ac70ff8b700b5p-13, -0x1.995c635cd1cabp-13, -0x1.870da8902b87ap-13, -0x1.757db3440e556p-13, -0x1.64a5a08a48829p-13, -0x1.547ec4dfffcfdp-13, -0x1.4502aaaeea505p-13, -0x1.362b10d725278p-13, -0x1.27f1e940e9494p-13, -0x1.1a51577744c59p-13, -0x1.0d43af49c3662p-13, -0x1.00c3737742924p-13, -0x1.e996a8c25a0a3p-14, -0x1.d2ac5d893da48p-14, -0x1.bcbe14f989d1p-14, -0x1.a7c2329982d48p-14, -0x1.93af6b5f2263fp-14, -0x1.807cc36051088p-14, -0x1.6e218b8fc907bp-14, -0x1.5c955f8a375ffp-14, -0x1.4bd0236df27fbp-14, -0x1.3bca01c35f7ap-14, -0x1.2c7b697037e66p-14, -0x1.1ddd0bb8ca4fap-14, -0x1.0fe7da4bac54fp-14, -0x1.0295055cf1dedp-14, -0x1.ebbbf3940404ep-15, -0x1.d378be9995339p-15, -0x1.bc542d709293p-15, -0x1.a642708124328p-15, -0x1.913823a1c9ecfp-15, -0x1.7d2a4acf75ac6p-15, -0x1.6a0e4f04a44d4p-15, -0x1.57d9fb1c43e0dp-15, -0x1.468378d05b2d7p-15, -0x1.36014dcb72614p-15, -0x1.264a58ca910a9p-15, -0x1.1755ced57ac6ap-15, -0x1.091b388b4fcaap-15, -0x1.f724def56b3eep-16, -0x1.dd6737297b656p-16, -0x1.c4ee614f34d83p-16, -0x1.adabd7e9f88fp-16, -0x1.9791a3a2edcdfp-16, -0x1.829256b1a45e8p-16, -0x1.6ea1085ec2fdfp-16, -0x1.5bb150b1029cdp-16, -0x1.49b744292b01ep-16, -0x1.38a76fab2202cp-16, -0x1.2876d4749b0b1p-16, -0x1.191ae43f57b6ap-16, -0x1.0a897d79b9de3p-16, -0x1.f971cf30fdbcfp-17, -0x1.df3f9f08a87ffp-17, -0x1.c66a8853712dcp-17, -0x1.aee166270a698p-17, -0x1.9893ca575cc92p-17, -0x1.8371f7123789fp-17, -0x1.6f6cd8bae205dp-17, -0x1.5c75ffec01f56p-17, -0x1.4a7f9bb099acdp-17, -0x1.397c73d70040cp-17, -0x1.295fe380d842ap-17, -0x1.1a1dd3db190a7p-17, -0x1.0baab6f09960ap-17, -0x1.fbf70561f5436p-18, -0x1.e20b58305804fp-18, -0x1.c97e44f678aedp-18, -0x1.b23c9609b5b25p-18, -0x1.9c33f89447d86p-18, -0x1.8752f402e0193p-18, -0x1.7388e1dc5fff9p-18, -0x1.60c5e5a8049e2p-18, -0x1.4efae53b28714p-18, -0x1.3e19812a71d89p-18, -0x1.2e140d873b56ap-18, -0x1.1edd8ad08b08cp-18, -0x1.10699f3778dcp-18, -0x1.02ac8ff48373bp-18, -0x1.eb3675d0c6663p-19, -0x1.d256211185c56p-19, -0x1.baa41baa6c5cep-19, -0x1.a40d6d4027cb9p-19, -0x1.8e801fed397f6p-19, -0x1.79eb356eaf57ep-19, -0x1.663e9cbe5bd72p-19, -0x1.536b28202662bp-19, -0x1.4162835877f61p-19, -0x1.30172a40e141ap-19, -0x1.1f7c5fdec75cbp-19, -0x1.0f86259c8cf5fp-19, -0x1.002932c8df1dep-19, -0x1.e2b5d92c9cfd9p-20, -0x1.c622bc2b654c8p-20, -0x1.aa86617d1affep-20, -0x1.8fcf4a445814p-20, -0x1.75ed17dc19857p-20, -0x1.5cd07e267dfe6p-20, -0x1.446b368821b03p-20, -0x1.2caff39fcf0c8p-20, -0x1.159254dbb26bcp-20, -0x1.fe0db5dfd38ep-21, -0x1.d205b9757fa05p-21, -0x1.a6f8f875f9319p-21, -0x1.7cd538c30f137p-21, -0x1.5389ae1f6c36bp-21, -0x1.2b06e71926546p-21, -0x1.033eba70d5686p-21, -0x1.b8486afc5edb8p-22, -0x1.6b57177929c42p-22, -0x1.1f940bade8c8dp-22, -0x1.a9d7c8cb24d92p-23, -0x1.169a58502bcd1p-23, -0x1.0aa0f7306d791p-24, 0x1.443596753ade6p-28, 0x1.2fa995b35260cp-24, 0x1.23de85a8eec04p-23, 0x1.ae51b1e9b9547p-23, 0x1.1b9f40169f4f7p-22, 0x1.5f595416f12a7p-22, 0x1.a25cca0e5ba12p-22, 0x1.e4ae44c54af8ep-22, 0x1.1328b3cbebaaap-21, 0x1.33a4749edaf2p-21, 0x1.53cb52aec0797p-21, 0x1.739dd6a14a6e6p-21, 0x1.931c2bf7b7933p-21, 0x1.b24628a16876bp-21, 0x1.d11b544fdeabbp-21, 0x1.ef9aef1e6b9c9p-21, 0x1.06e1fc2b7b643p-20, 0x1.15ca9a500c816p-20, 0x1.24869a028b6b2p-20, 0x1.33152bb9250c3p-20, 0x1.41756b0a17ea2p-20, 0x1.4fa66131aa189p-20, 0x1.5da70773e744ap-20, 0x1.6b764957125aep-20, 0x1.791306cecd028p-20, 0x1.867c162ea654cp-20, 0x1.93b0460b69e3ep-20, 0x1.a0ae5f1345b73p-20, 0x1.ad7525b619f2p-20, 0x1.ba035bb058fc2p-20, 0x1.c657c18e1d1c3p-20, 0x1.d27117ff52ef5p-20, 0x1.de4e213119cebp-20, 0x1.e9eda1f88778ap-20, 0x1.f54e62efd434cp-20, 0x1.003798c3d4832p-19, 0x1.05a7707864592p-19, 0x1.0af6257b2729bp-19, 0x1.102328727882fp-19, 0x1.152dee280b4c8p-19, 0x1.1a15efd779576p-19, 0x1.1edaab8631954p-19, 0x1.237ba44acf86ap-19, 0x1.27f8628f55842p-19, 0x1.2c5074489368cp-19, 0x1.30836d32796p-19, 0x1.3490e6f9d9363p-19, 0x1.3878816a32673p-19, 0x1.3c39e2888457ep-19, 0x1.3fd4b6b52281ap-19, 0x1.4348b0ce01ac5p-19, 0x1.46958a3c77395p-19, 0x1.49bb030101c1fp-19, 0x1.4cb8e1cba8b4p-19, 0x1.4f8ef3fa51295p-19, 0x1.523d0da368064p-19, 0x1.54c3098e8d985p-19, 0x1.5720c93df0344p-19, 0x1.595634e050f7ap-19, 0x1.5b633b4ad68d4p-19, 0x1.5d47d1ecdc38p-19, 0x1.5f03f4c0e95efp-19, 0x1.6097a64217933p-19, 0x1.6202ef55a5971p-19, 0x1.6345df35c5244p-19, 0x1.64608b6048c93p-19, 0x1.65530f79138e5p-19, 0x1.661d8d30ee701p-19, 0x1.66c02c2b2fc71p-19, 0x1.673b19e0301e6p-19, 0x1.678e8980da13ap-19, 0x1.67bab3d419ab4p-19, 0x1.67bfd71af8d8bp-19, 0x1.679e36ea1b224p-19, 0x1.67561c09a7a3ap-19, 0x1.66e7d45420ab8p-19, 0x1.6653b2919f484p-19, 0x1.659a0e50811f5p-19, 0x1.64bb43c6eb25fp-19, 0x1.63b7b3a65dc9fp-19, 0x1.628fc2fb02bbdp-19, 0x1.6143db036b8b4p-19, 0x1.5fd4690d1f01cp-19, 0x1.5e41de4b07abep-19, 0x1.5c8cafb14264ap-19, 0x1.5ab555d0ce546p-19, 0x1.58bc4cac691aap-19, 0x1.56a213923ee71p-19, 0x1.54672cfb702e6p-19, 0x1.520c1e62ef74ep-19, 0x1.4f91701f0e3d3p-19, 0x1.4cf7ad3cd7223p-19, 0x1.4a3f6358d75a5p-19, 0x1.4769227c4fc93p-19, 0x1.44757cf71d035p-19, 0x1.4165073f14a89p-19, 0x1.3e3857c7ec5afp-19, 0x1.3af006e2b63a3p-19, 0x1.378cae9cb7edep-19, 0x1.340eea9897e2cp-19, 0x1.307757ebde7d8p-19, 0x1.2cc6950024a96p-19, 0x1.28fd417760cd7p-19, 0x1.251bfe044f76dp-19, 0x1.21236c4d4ac22p-19, 0x1.1d142ecc993f2p-19, 0x1.18eee8b25be28p-19, 0x1.14b43dc5e4eefp-19, 0x1.1064d24ab8c4cp-19, 0x1.0c014ae5d9a2ap-19, 0x1.078a4c7ba7f5cp-19, 0x1.03007c1b8fcb3p-19, 0x1.fcc8fdc5af258p-20, 0x1.f36df3bdbb3bdp-20, 0x1.e9f123ea94b72p-20, 0x1.e053d79cf02b4p-20, 0x1.d6975780b8c66p-20, 0x1.ccbceb5e6d7bbp-20, 0x1.c2c5d9f999834p-20, 0x1.b8b368dde844cp-20, 0x1.ae86dc352d443p-20, 0x1.a44176a209ccfp-20, 0x1.99e4791476199p-20, 0x1.8f7122af328c6p-20, 0x1.84e8b0910b141p-20, 0x1.7a4c5dbe9ea7cp-20, 0x1.6f9d62f92a0bcp-20, 0x1.64dcf69892fedp-20, 0x1.5a0c4c6e79dc6p-20, 0x1.4f2c95a8e2538p-20, 0x1.443f00bd9d665p-20, 0x1.3944b93eebee4p-20, 0x1.2e3ee7c76f7fcp-20, 0x1.232eb1dd9ce45p-20, 0x1.181539d8899c7p-20, 0x1.0cf39ecb36bd6p-20, 0x1.01cafc6b4a491p-20, 0x1.ed38d60eb1cfdp-21, 0x1.d6d1fecca4803p-21, 0x1.c063956ef7ce5p-21, 0x1.a9efb5054b7b5p-21, 0x1.9378711e6df5dp-21, 0x1.7cffd5b2d8d81p-21, 0x1.6687e6f89693ep-21, 0x1.5012a164730c9p-21, 0x1.39a1f9810e11dp-21, 0x1.2337dbc80a92ep-21, 0x1.0cd62c9daa857p-21, 0x1.ecfd906327b1dp-22, 0x1.c06704d092a32p-22, 0x1.93ec4da13af01p-22, 0x1.6790f11f67b77p-22, 0x1.3b5864d66ba5cp-22, 0x1.0f460d39d7a6dp-22, 0x1.c6ba7b65776e5p-23, 0x1.6f4270f3fb663p-23, 0x1.182a5d0dfeb9ap-23, 0x1.82f0fe3b2efb8p-24, 0x1.accbcf161a953p-25, 0x1.55fb52685e09fp-27, -0x1.ffdb297d8ab86p-26, -0x1.29b14d47c593ep-24, -0x1.d264fa7c50518p-24, -0x1.3d0379b61f75fp-23, -0x1.90464f8765627p-23, -0x1.e2f5d4c6e77bp-23, -0x1.1a868112eada9p-22, -0x1.4343793f1787ap-22, -0x1.6baf717f00a6cp-22, -0x1.93c8198c2f1b7p-22, }}, 
      {{0x1.1980f5a40ebd8p-17, 0x1.1eb8b123a8e31p-15, 0x1.4c9aade171928p-14, 0x1.343f4f857c45ep-13, 0x1.fab23e8554a23p-13, 0x1.825945644d279p-12, 0x1.17ab20c0be082p-11, 0x1.8582f5cb4e3e9p-11, 0x1.071eee25ee566p-10, 0x1.5ac3c44025b66p-10, 0x1.bf910928eae32p-10, 0x1.1bb66f1d564bfp-9, 0x1.621de069f4b64p-9, 0x1.b3ecb3d5d2858p-9, 0x1.09046bc9a618ap-8, 0x1.3ea68704dbaabp-8, 0x1.7b43197ce917fp-8, 0x1.bf38940dc373dp-8, 0x1.056e5d6c73cdep-7, 0x1.2f3e25c2641a7p-7, 0x1.5d2d76eb19722p-7, 0x1.8f59af44ed9fdp-7, 0x1.c5dbe15b42f2ep-7, 0x1.006484acc7ae6p-6, 0x1.201923720d909p-6, 0x1.42128acb5e608p-6, 0x1.6655c0177785fp-6, 0x1.8ce6260e06d54p-6, 0x1.b5c58e571bf41p-6, 0x1.e0f447266e009p-6, 0x1.073892be3f38fp-5, 0x1.1f1cc679ad1a7p-5, 0x1.3824bb0dd0179p-5, 0x1.524dba374e908p-5, 0x1.6d945e61bed74p-5, 0x1.89f4968760d1dp-5, 0x1.a769ab019fd07p-5, 0x1.c5ee437c2c785p-5, 0x1.e57c6e2331e32p-5, 0x1.0306d406f33e6p-4, 0x1.13cd73695ce8ep-4, 0x1.250e51911ab66p-4, 0x1.36c5721ccc133p-4, 0x1.48eea5fb1e2d4p-4, 0x1.5b8591a74f6d1p-4, 0x1.6e85b37a72b77p-4, 0x1.81ea69f463159p-4, 0x1.95aef9e1611c3p-4, 0x1.a9ce944446d31p-4, 0x1.be445bf0ae4bbp-4, 0x1.d30b6ac45afefp-4, 0x1.e81ed672f3ed2p-4, 0x1.fd79b4db49bdbp-4, 0x1.098b8ff06ec81p-3, 0x1.14791c6401abbp-3, 0x1.1f83158aec715p-3, 0x1.2aa7177c06156p-3, 0x1.35e2c59d5b86ep-3, 0x1.4133cb6a0db76p-3, 0x1.4c97dd07d248dp-3, 0x1.580cb7b129284p-3, 0x1.639021f9aa4e4p-3, 0x1.6f1febf1edaa4p-3, 0x1.7ab9ef30777a9p-3, 0x1.865c0ec4fb964p-3, 0x1.9204371afa20fp-3, 0x1.9db05dd068f63p-3, 0x1.a95e8184a9e1p-3, 0x1.b50ca9a3ac0f7p-3, 0x1.c0b8e6308dfb1p-3, 0x1.cc614f92a467ep-3, 0x1.d8040667480bbp-3, 0x1.e39f335a5bb8fp-3, 0x1.ef310706ff218p-3, 0x1.fab7b9e185061p-3, 0x1.0318c615a755fp-2, 0x1.08ce62f87247cp-2, 0x1.0e7bdb8924673p-2, 0x1.14205baa9e751p-2, 0x1.19bb134080c0ep-2, 0x1.1f4b3641673f5p-2, 0x1.24cffccd1a0e2p-2, 0x1.2a48a346326b8p-2, 0x1.2fb46a6eab571p-2, 0x1.35129786cc4c3p-2, 0x1.3a62746ddd607p-2, 0x1.3fa34fc40b4a8p-2, 0x1.44d47d0cec61p-2, 0x1.49f554d215deep-2, 0x1.4f0534c53916ep-2, 0x1.54037fe14acd1p-2, 0x1.58ef9e8a3ca5fp-2, 0x1.5dc8feaadc78bp-2, 0x1.628f13d07cb9fp-2, 0x1.67415744084f7p-2, 0x1.6bdf4820466ecp-2, 0x1.70686b6501feap-2, 0x1.74dc4c06f0dcdp-2, 0x1.793a7afc2c68dp-2, 0x1.7d828f4526377p-2, 0x1.81b425f20605dp-2, 0x1.85cee2246ba52p-2, 0x1.89d26d0d99b52p-2, 0x1.8dbe75e912da4p-2, 0x1.9192b1f3be1bfp-2, 0x1.954edc5fad3e2p-2, 0x1.98f2b644a4503p-2, 0x1.9c7e068d89969p-2, 0x1.9ff099e2e7956p-2, 0x1.a34a4292aefb9p-2, 0x1.a68ad8756cc3p-2, 0x1.a9b238d124769p-2, 0x1.acc0463a04468p-2, 0x1.afb4e8712c17p-2, 0x1.b2900c41bf649p-2, 0x1.b551a35c717ddp-2, 0x1.b7f9a431ce0a6p-2, 0x1.ba8809cb6819p-2, 0x1.bcfcd3a42f793p-2, 0x1.bf58058015b83p-2, 0x1.c199a7433869ap-2, 0x1.c3c1c4c8c0abap-2, 0x1.c5d06db9a3716p-2, 0x1.c7c5b56367f55p-2, 0x1.c9a1b28f26e82p-2, 0x1.cb647f58da8bep-2, 0x1.cd0e39072c279p-2, 0x1.ce9effe3d5b1p-2, 0x1.d016f714bd80fp-2, 0x1.d1764475db046p-2, 0x1.d2bd10740334ep-2, 0x1.d3eb85e8afc14p-2, 0x1.d501d1f6cd36dp-2, 0x1.d60023e8a69a1p-2, 0x1.d6e6ad0ef4961p-2, 0x1.d7b5a0a11d74bp-2, 0x1.d86d339eae3b3p-2, 0x1.d90d9cb20f8e5p-2, 0x1.d99714147ba5p-2, 0x1.da09d37339afdp-2, 0x1.da6615d617ab5p-2, 0x1.daac17872a17dp-2, 0x1.dadc15fbc4649p-2, 0x1.daf64fbeb1888p-2, 0x1.dafb045b98fddp-2, 0x1.daea744b94f7p-2, 0x1.dac4e0e2ed0c9p-2, 0x1.da8a8c3febb57p-2, 0x1.da3bb93ac7118p-2, 0x1.d9d8ab5692e75p-2, 0x1.d961a6b32e337p-2, 0x1.d8d6f00028543p-2, 0x1.d838cc7086115p-2, 0x1.d78781af6ae61p-2, 0x1.d6c355d589163p-2, 0x1.d5ec8f5f5e448p-2, 0x1.d503752420d7dp-2, 0x1.d4084e4d5bf8dp-2, 0x1.d2fb624f2c183p-2, 0x1.d1dcf8e1101bep-2, 0x1.d0ad59f73f5e6p-2, 0x1.cf6ccdbc824dap-2, 0x1.ce1b9c8c7abf2p-2, 0x1.ccba0eee55d28p-2, 0x1.cb486d8fd94ep-2, 0x1.c9c70140c8103p-2, 0x1.c83612ee8ea29p-2, 0x1.c695eba03234dp-2, 0x1.c4e6d47279359p-2, 0x1.c3291694428a1p-2, 0x1.c15cfb4309a14p-2, 0x1.bf82cbc787fefp-2, 0x1.bd9ad1727600ep-2, 0x1.bba555995efd8p-2, 0x1.b9a2a1938305p-2, 0x1.b792feb6c644fp-2, 0x1.b576b654a22e1p-2, 0x1.b34e11b7185c6p-2, 0x1.b1195a1da2dbdp-2, 0x1.aed8d8ba1b309p-2, 0x1.ac8cd6ad9b36ep-2, 0x1.aa359d054c6bdp-2, 0x1.a7d374b72ae49p-2, 0x1.a566a69eb6af4p-2, 0x1.a2ef7b7991d8ep-2, 0x1.a06e3be409579p-2, 0x1.9de330558a9a5p-2, 0x1.9b4ea11d01598p-2, 0x1.98b0d65d20bbp-2, 0x1.960a180893653p-2, 0x1.935aadde17569p-2, 0x1.90a2df6482decp-2, 0x1.8de2f3e6b399fp-2, 0x1.8b1b326f69a1fp-2, 0x1.884be1c50d321p-2, 0x1.8575486563244p-2, 0x1.8297ac812e141p-2, 0x1.7fb353f7c08dfp-2, 0x1.7cc8845280ba3p-2, 0x1.79d782c05ca49p-2, 0x1.76e0941136275p-2, 0x1.73e3fcb14367ep-2, 0x1.70e200a466f8p-2, 0x1.6ddae38182af9p-2, 0x1.6acee86dc772bp-2, 0x1.67be52180091dp-2, 0x1.64a962b3e00a9p-2, 0x1.61905bf550106p-2, 0x1.5e737f0bc09f5p-2, 0x1.5b530c9d8473ap-2, 0x1.582f44c32cafcp-2, 0x1.55086702f5388p-2, 0x1.51deb24c3a4d8p-2, 0x1.4eb264f2f8b08p-2, 0x1.4b83bcab63589p-2, 0x1.4852f68585062p-2, 0x1.45204ee8f7d3fp-2, 0x1.41ec0190af41p-2, 0x1.3eb64986d989ep-2, 0x1.3b7f6120daf49p-2, 0x1.384781fb5c76ap-2, 0x1.350ee4f67bc7ep-2, 0x1.31d5c23213351p-2, 0x1.2e9c510a20ac8p-2, 0x1.2b62c81349d19p-2, 0x1.28295d17810c5p-2, 0x1.24f04512cb25p-2, 0x1.21b7b43024196p-2, 0x1.1e7fddc68b168p-2, 0x1.1b48f4562dac5p-2, 0x1.18132985b7f31p-2, 0x1.14deae1fcb646p-2, 0x1.11abb2109791fp-2, 0x1.0e7a64639d149p-2, 0x1.0b4af34190262p-2, 0x1.081d8bee69d9cp-2, 0x1.04f25ac798fe7p-2, 0x1.01c98b425e8c6p-2, 0x1.fd468fd49c44dp-3, 0x1.f6ff74bff2598p-3, 0x1.f0be16af7994cp-3, 0x1.ea82c531791d4p-3, 0x1.e44dcdf7f8f91p-3, 0x1.de1f7cd75423p-3, 0x1.d7f81bc50d794p-3, 0x1.d1d7f2d6f4b7ap-3, 0x1.cbbf48429554ep-3, 0x1.c5ae605cf56b5p-3, 0x1.bfa57d9a969a1p-3, 0x1.b9a4e08fc7d2cp-3, 0x1.b3acc7f13e67p-3, 0x1.adbd7094ee6a5p-3, 0x1.a7d7157333201p-3, 0x1.a1f9efa838807p-3, 0x1.9c2636759fac5p-3, 0x1.965c1f4476f17p-3, 0x1.909bdda75dc9bp-3, 0x1.8ae5a35cf8044p-3, 0x1.8539a05294d4ap-3, 0x1.7f9802a711b1cp-3, 0x1.7a00f6adfd6b7p-3, 0x1.7474a6f2ef254p-3, 0x1.6ef33c3d0f74ap-3, 0x1.697cdd92dff3p-3, 0x1.6411b03e2fabfp-3, 0x1.5eb1d7d03d489p-3, 0x1.595d76261267cp-3, 0x1.5414ab6d03e82p-3, 0x1.4ed7962760d03p-3, 0x1.49a653314b6f3p-3, 0x1.4480fdc5b8511p-3, 0x1.3f67af83984bdp-3, 0x1.3a5a80731dd18p-3, 0x1.3559870b2e3dap-3, 0x1.3064d836ef47ap-3, 0x1.2b7c875b6ed96p-3, 0x1.26a0a65d727a7p-3, 0x1.21d145a754ce5p-3, 0x1.1d0e742f09c69p-3, 0x1.18583f7c2d632p-3, 0x1.13aeb3ae313bfp-3, 0x1.0f11db829ac11p-3, 0x1.0a81c05b5696cp-3, 0x1.05fe6a4513dcbp-3, 0x1.0187dffdbb9aap-3, 0x1.fa3c4df5d5a11p-4, 0x1.f18286e0fa7b1p-4, 0x1.e8e270ae4569p-4, 0x1.e05c0ee5f5329p-4, 0x1.d7ef62b46cce6p-4, 0x1.cf9c6af78d8bap-4, 0x1.c763244c0f78dp-4, 0x1.bf43891ae0d47p-4, 0x1.b73d91a693904p-4, 0x1.af513418b93d2p-4, 0x1.a77e648f4eccp-4, 0x1.9fc5152a1332ap-4, 0x1.98253617ef4d9p-4, 0x1.909eb5a431c7dp-4, 0x1.89318043e1593p-4, 0x1.81dd80a2ebd62p-4, 0x1.7aa29fb14e35dp-4, 0x1.7380c4b02b00bp-4, 0x1.6c77d53ec6b5bp-4, 0x1.6587b56778c02p-4, 0x1.5eb047ac77d6p-4, 0x1.57f16d149952p-4, 0x1.514b0537f10f8p-4, 0x1.4abcee4c51154p-4, 0x1.44470531b1ad9p-4, 0x1.3de9257e75f49p-4, 0x1.37a3298b90bc9p-4, 0x1.3174ea8089409p-4, 0x1.2b5e405f57335p-4, 0x1.255f02102302fp-4, 0x1.1f77056cd751p-4, 0x1.19a61f4c9292ep-4, 0x1.13ec238eece43p-4, 0x1.0e48e527188dbp-4, 0x1.08bc3626d9bbdp-4, 0x1.0345e7c94eb56p-4, 0x1.fbcb94fb27aap-5, 0x1.f1375be27221dp-5, 0x1.e6cec23514f36p-5, 0x1.dc916485602bp-5, 0x1.d27ede1f3405fp-5, 0x1.c896c91b92d93p-5, 0x1.bed8be73c1536p-5, 0x1.b5445614162c6p-5, 0x1.abd926ee6be32p-5, 0x1.a296c70c33d6bp-5, 0x1.997ccba02de41p-5, 0x1.908ac917be8e8p-5, 0x1.87c0532be3b18p-5, 0x1.7f1cfcf1d51bep-5, 0x1.76a058eb424c8p-5, 0x1.6e49f91626476p-5, 0x1.66196efc55663p-5, 0x1.5e0e4bc290042p-5, 0x1.56282037524fcp-5, 0x1.4e667ce134939p-5, 0x1.46c8f20cf32fbp-5, 0x1.3f4f0fdb1b719p-5, 0x1.37f8664d5cf2p-5, 0x1.30c485537ca74p-5, 0x1.29b2fcd7f1699p-5, 0x1.22c35ccc17449p-5, 0x1.1bf5353423cd1p-5, 0x1.15481632a6b6p-5, 0x1.0ebb9013be64fp-5, 0x1.084f3358002dbp-5, 0x1.020290beedda1p-5, 0x1.f7aa72a26a05ap-6, 0x1.eb8d7cd4f985ap-6, 0x1.dfad6385f4d6ap-6, 0x1.d4094af141c59p-6, 0x1.c8a0583013ffbp-6, 0x1.bd71b14a054ep-6, 0x1.b27c7d45b57bep-6, 0x1.a7bfe438a2653p-6, 0x1.9d3b0f5687af9p-6, 0x1.92ed290014ecfp-6, 0x1.88d55cd114e51p-6, 0x1.7ef2d7adfefcp-6, 0x1.7544c7d0fdf8cp-6, 0x1.6bca5cd663b93p-6, 0x1.6282c7c89029ep-6, 0x1.596d3b2b46935p-6, 0x1.5088eb06946d7p-6, 0x1.47d50cf123b7cp-6, 0x1.3f50d81a0bd8p-6, 0x1.36fb855223ce2p-6, 0x1.2ed44f14daabbp-6, 0x1.26da719097b6bp-6, 0x1.1f0d2aae985d6p-6, 0x1.176bba1a6f2b4p-6, 0x1.0ff56148eef73p-6, 0x1.08a9637eceff8p-6, 0x1.018705d6c2fdp-6, 0x1.f51b1e8e62cccp-7, 0x1.e778914f0a251p-7, 0x1.da24f96a1c891p-7, 0x1.cd1ef02f2e063p-7, 0x1.c06512caf9ff6p-7, 0x1.b3f6024efd934p-7, 0x1.a7d063b84e62p-7, 0x1.9bf2dff5b4bd8p-7, 0x1.905c23ed337acp-7, 0x1.850ae080bb4p-7, 0x1.79fdca926bd3fp-7, 0x1.6f339b08095a9p-7, 0x1.64ab0ecdfb5a4p-7, 0x1.5a62e6d99362ep-7, 0x1.5059e82aeb8ffp-7, 0x1.468edbcdf64bep-7, 0x1.3d008edb5730bp-7, 0x1.33add27865fc5p-7, 0x1.2a957bd6ed1f9p-7, 0x1.21b66434577abp-7, 0x1.190f68d84ff5bp-7, 0x1.109f6b132ae8ap-7, 0x1.0865503b7d661p-7, 0x1.006001aba6dd9p-7, 0x1.f11cd97da78e5p-8, 0x1.e1df059ad9a1ep-8, 0x1.d3047252e02ecp-8, 0x1.c48b12347631cp-8, 0x1.b670dfb01dfep-8, 0x1.a8b3dd0e8d974p-8, 0x1.9b5214662509cp-8, 0x1.8e4997903da25p-8, 0x1.8198801d8cfe2p-8, 0x1.753cef4a03874p-8, 0x1.69350df03edb1p-8, 0x1.5d7f0c7c69429p-8, 0x1.521922dead5cdp-8, 0x1.4701907ce989ep-8, 0x1.3c369c2471f8dp-8, 0x1.31b693fae95dfp-8, 0x1.277fcd6ef679ep-8, 0x1.1d90a5289efdfp-8, 0x1.13e77ef915b3ep-8, 0x1.0a82c5ca6b17cp-8, 0x1.0160eb8ed4f3ap-8, 0x1.f100d25f31124p-9, 0x1.dfbf7cf7a0d57p-9, 0x1.cefae42db6b75p-9, 0x1.beb022cd2bf9dp-9, 0x1.aedc61029b17p-9, 0x1.9f7cd4372360dp-9, 0x1.908ebeeba98b9p-9, 0x1.820f7093866bcp-9, 0x1.73fc456f4e781p-9, 0x1.6652a667107fdp-9, 0x1.591008e40323ap-9, 0x1.4c31eeaac80c9p-9, 0x1.3fb5e5b4a44cdp-9, 0x1.339988093f4cp-9, 0x1.27da7b979d3b1p-9, 0x1.1c76720f90507p-9, 0x1.116b28ba6dfe2p-9, 0x1.06b6685496b28p-9, 0x1.f8ac09cc37b5bp-10, 0x1.e48fbb376ccdbp-10, 0x1.d113b93f77364p-10, 0x1.be33ede651f1fp-10, 0x1.abec588ce4728p-10, 0x1.9a390da576ba9p-10, 0x1.89163666125bfp-10, 0x1.7880107a69dcbp-10, 0x1.6872edb74c6dcp-10, 0x1.58eb33cc844ddp-10, 0x1.49e55bf94fb57p-10, 0x1.3b5df2bf02024p-10, 0x1.2d51979532534p-10, 0x1.1fbcfc9e14ee7p-10, 0x1.129ce65a9b3ap-10, 0x1.05ee2b601bc01p-10, 0x1.f35b681ba80d7p-11, 0x1.dbb0f48493bd8p-11, 0x1.c4d712253ae29p-11, 0x1.aec7f901b411ap-11, 0x1.997e0267924cap-11, 0x1.84f3a85de7455p-11, 0x1.71238516fcba8p-11, 0x1.5e085261ee4e3p-11, 0x1.4b9ce91f071a2p-11, 0x1.39dc40b453f4ep-11, 0x1.28c16e83ca96ep-11, 0x1.1847a563849f5p-11, 0x1.086a351599523p-11, 0x1.f24913848703ap-12, 0x1.d4e456e74cf32p-12, 0x1.b89d7b25d6e01p-12, 0x1.9d6bfcca7c3p-12, 0x1.83478d1c386b4p-12, 0x1.6a281119f4576p-12, 0x1.5205a084897bap-12, 0x1.3ad884e458174p-12, 0x1.24993894d59cep-12, 0x1.0f4065d2e00c5p-12, 0x1.f58dcb9a2483ap-13, 0x1.ce4b7f70105a3p-13, 0x1.a8ac4fc7c02c8p-13, 0x1.84a2fdacd916bp-13, 0x1.6222a0d1f2df9p-13, 0x1.411ea5d025d01p-13, 0x1.218acc68a5a8ep-13, 0x1.035b25d752116p-13, 0x1.cd08263a70be5p-14, 0x1.95f486bcf80fcp-14, 0x1.6165647820687p-14, 0x1.2f454c76cc10bp-14, 0x1.fefebcb81c6c5p-15, 0x1.a3fe928d3995ep-15, 0x1.4d62917026a25p-15, 0x1.f60886413197fp-16, 0x1.597c7c51b7569p-16, 0x1.89b07ff38e165p-17, 0x1.bea87247f00aep-19, -0x1.37479341e0236p-18, -0x1.98bef365ada49p-17, -0x1.4414b02428b95p-16, -0x1.b530b20c17048p-16, -0x1.0ff86f1973e2dp-15, -0x1.42486952fbd62p-15, -0x1.71a53b883fe12p-15, -0x1.9e2b0373ecb55p-15, -0x1.c7f50da086dfdp-15, -0x1.ef1dda50905fep-15, -0x1.09df91235b541p-14, -0x1.1af8edc3eb484p-14, -0x1.2ae71ef98e83dp-14, -0x1.39b5e3ea6bd71p-14, -0x1.4770a12a95ab4p-14, -0x1.542262f2cc514p-14, -0x1.5fd5df3e9ebbdp-14, -0x1.6a9577eae26a9p-14, -0x1.746b3ccef0dc1p-14, -0x1.7d60edbd1e507p-14, -0x1.857ffc8485bc5p-14, -0x1.8cd18ee2c635ap-14, -0x1.935e806f068ffp-14, -0x1.992f647bc5398p-14, -0x1.9e4c87ec25ae3p-14, -0x1.a2bdf303a7ed8p-14, -0x1.a68b6b2baa988p-14, -0x1.a9bc74adff9ap-14, -0x1.ac585466a8387p-14, -0x1.ae66116d49c26p-14, -0x1.afec76b8cbfp-14, -0x1.b0f214b4722d3p-14, -0x1.b17d42d25df56p-14, -0x1.b194210fad3e1p-14, -0x1.b13c99784b6aap-14, -0x1.b07c6199a8c08p-14, -0x1.af58fbf0d984bp-14, -0x1.add7b956118e5p-14, -0x1.abfdba573c653p-14, -0x1.a9cff0944ebaap-14, -0x1.a753200acbd8p-14, -0x1.a48be05dad1dfp-14, -0x1.a17e9e1931406p-14, -0x1.9e2f9bed217afp-14, -0x1.9aa2f3dcd24a9p-14, -0x1.96dc986be2cd8p-14, -0x1.92e055c6abdc4p-14, -0x1.8eb1d2dc2f71ap-14, -0x1.8a549277401d9p-14, -0x1.85cbf44b08ddfp-14, -0x1.811b36054e6f2p-14, -0x1.7c45744e05371p-14, -0x1.774dabc849e3dp-14, -0x1.7236ba0776b04p-14, -0x1.6d035e83219d7p-14, -0x1.67b63b831b843p-14, -0x1.6251d70392f13p-14, -0x1.5cd89b98ce298p-14, -0x1.574cd947e8698p-14, -0x1.51b0c660de083p-14, -0x1.4c06804c7d956p-14, -0x1.46500c58a13cdp-14, -0x1.408f587aa75dcp-14, -0x1.3ac63c14b0b8ap-14, -0x1.34f678afb611fp-14, -0x1.2f21bab451494p-14, -0x1.29499a1c04d79p-14, -0x1.236f9b2143e8ap-14, -0x1.1d952ee71d435p-14, -0x1.17bbb41ffa90dp-14, -0x1.11e477aa37439p-14, -0x1.0c10b530729cep-14, -0x1.064197c07c996p-14, -0x1.00783a5f69193p-14, -0x1.f56b51359004ep-15, -0x1.e9f5be24c31d5p-15, -0x1.de9198024d584p-15, -0x1.d3409f8400365p-15, -0x1.c8047aa39373dp-15, -0x1.bcdeb594a874p-15, -0x1.b1d0c3bafb6d9p-15, -0x1.a6dc009a22d52p-15, -0x1.9c01b0b3aff9bp-15, -0x1.9143026e699c5p-15, -0x1.86a10ee4510dap-15, -0x1.7c1cdabfce275p-15, -0x1.71b757029b1ebp-15, -0x1.677161cfa324dp-15, -0x1.5d4bc729765edp-15, -0x1.534741ac9140bp-15, -0x1.49647b4216f69p-15, -0x1.3fa40dd4bc695p-15, -0x1.360683f65b677p-15, -0x1.2c8c59870b465p-15, -0x1.2335fc55d17bbp-15, -0x1.1a03ccbb3801fp-15, -0x1.10f61e3258dbdp-15, -0x1.080d37e5e6e5cp-15, -0x1.fe92aa7fab051p-16, -0x1.ed554cdd1c728p-16, -0x1.dc62a1d79b53p-16, -0x1.cbbadffac560cp-16, -0x1.bb5e2a59d3d03p-16, -0x1.ab4c91896bde6p-16, -0x1.9b86147e1d767p-16, -0x1.8c0aa17120137p-16, -0x1.7cda16b75844dp-16, -0x1.6df4438f0371dp-16, -0x1.5f58e8ea79d0fp-16, -0x1.5107ba34f0d3ap-16, -0x1.43005e0daf36dp-16, -0x1.35426f0245983p-16, -0x1.27cd7c3425397p-16, -0x1.1aa10a0a54d78p-16, -0x1.0dbc92ce5eeffp-16, -0x1.011f874c4e91ap-16, -0x1.e9929ed60fa15p-17, -0x1.d172956ff9aeap-17, -0x1.b9dda1f0b0527p-17, -0x1.a2d2656425b29p-17, -0x1.8c4f73554fa5p-17, -0x1.765352cade6fcp-17, -0x1.60dc7f34a50aap-17, -0x1.4be9695260478p-17, -0x1.37787817885d1p-17, -0x1.2388097a771cdp-17, -0x1.10167344a0fc7p-17, -0x1.fa4407bb54b45p-18, -0x1.d55205f8dbe58p-18, -0x1.b15364b0a3c5dp-18, -0x1.8e449cd622006p-18, -0x1.6c221df901d6dp-18, -0x1.4ae84fa1db219p-18, -0x1.2a939272200a7p-18, -0x1.0b204157139aep-18, -0x1.d91565379c2cfp-19, -0x1.9d9e71d1f3d5fp-19, -0x1.63d4487fbb19cp-19, -0x1.2baf85ef53a65p-19, -0x1.ea518a292333bp-20, -0x1.8071420c33774p-20, -0x1.19af6d47d8133p-20, -0x1.6bfa97a10589fp-21, -0x1.55309d7b5e2b2p-22, 0x1.0e55443457facp-25, 0x1.8d37105d80e87p-22, 0x1.76a7608c217e8p-21, 0x1.1092e51029f2fp-20, 0x1.6319c3008c3bep-20, 0x1.b2f692770a3fbp-20, }}, 
      {{-0x1.da230a808d0c4p-7, -0x1.d8bc6a0cc7294p-6, -0x1.60d88a2d07046p-5, -0x1.d362f4c03f896p-5, -0x1.21bfbe8682697p-4, -0x1.586428cbc0424p-4, -0x1.8d77b72823d34p-4, -0x1.c0de9c66aa386p-4, -0x1.f287403d519d3p-4, -0x1.11348bb4733d8p-3, -0x1.2841b6b080a33p-3, -0x1.3e6e1840ebd55p-3, -0x1.53bf65c0d47cep-3, -0x1.683d896fc9b52p-3, -0x1.7bf2250e8263fp-3, -0x1.8ee8214c5a0bp-3, -0x1.a12b4a421239fp-3, -0x1.b2c7f8bda17b4p-3, -0x1.c3cac7d086e66p-3, -0x1.d44055dbfba8ep-3, -0x1.e4351034a19a8p-3, -0x1.f3b5086546a06p-3, -0x1.0165e908f2902p-2, -0x1.08c2343f36fe5p-2, -0x1.0ff48d62d4e7p-2, -0x1.1701beecf72b1p-2, -0x1.1dee31bcdb35bp-2, -0x1.24bdeaaa40fb6p-2, -0x1.2b7489d7a137fp-2, -0x1.32154b756be91p-2, -0x1.38a309b0cdd8bp-2, -0x1.3f203f915031ap-2, -0x1.458f0c90e2d7dp-2, -0x1.4bf138c1584eep-2, -0x1.5248395939a31p-2, -0x1.58953587d3bdcp-2, -0x1.5ed90b75c0268p-2, -0x1.6514555bd4d11p-2, -0x1.6b476e9e65267p-2, -0x1.717278de3bb3dp-2, -0x1.779560f39dd3bp-2, -0x1.7dafe3ca25b9p-2, -0x1.83c19316544fep-2, -0x1.89c9d9df76676p-2, -0x1.8fc800d9e845bp-2, -0x1.95bb328eed68cp-2, -0x1.9ba27f504a42p-2, -0x1.a17ce0f69aae7p-2, -0x1.a7493e69f5e62p-2, -0x1.ad066ef504d44p-2, -0x1.b2b33d6303ca6p-2, -0x1.b84e6ae98f6b4p-2, -0x1.bdd6b1df4b478p-2, -0x1.c34ac840b543ap-2, -0x1.c8a962048fbc6p-2, -0x1.cdf133417cc0cp-2, -0x1.d320f2266527bp-2, -0x1.d83758c76cfdp-2, -0x1.dd3326c1364ffp-2, -0x1.e21322b435302p-2, -0x1.e6d61b99eef44p-2, -0x1.eb7ae9f5e7986p-2, -0x1.f00070e413598p-2, -0x1.f4659f0694327p-2, -0x1.f8a96f548605fp-2, -0x1.fccae9cb9af1fp-2, -0x1.006492031f943p-1, -0x1.0251a0dbf6cc9p-1, -0x1.042c3a88afcbcp-1, -0x1.05f3ff87160ddp-1, -0x1.07a897d6b1a91p-1, -0x1.0949b30b579d8p-1, -0x1.0ad70856b135p-1, -0x1.0c50568974ef3p-1, -0x1.0db5640cf7a81p-1, -0x1.0f05fed5c147cp-1, -0x1.1041fc4fc11c6p-1, -0x1.11693944ba7a9p-1, -0x1.127b99bd7cfb5p-1, -0x1.137908de6cef8p-1, -0x1.146178bfe65c4p-1, -0x1.1534e242ef435p-1, -0x1.15f344e2b2d3cp-1, -0x1.169ca683309ap-1, -0x1.1731133d8a568p-1, -0x1.17b09d2a4db79p-1, -0x1.181b5c2a16fc9p-1, -0x1.18716dace0b9ap-1, -0x1.18b2f4784c9b1p-1, -0x1.18e0186d31ae8p-1, -0x1.18f9064caeddcp-1, -0x1.18fdef7d02eb8p-1, -0x1.18ef09ce5fd1bp-1, -0x1.18cc8f3fee1p-1, -0x1.1896bdc52f328p-1, -0x1.184dd70be805ep-1, -0x1.17f22042bd234p-1, -0x1.1783e1e09ca6dp-1, -0x1.1703676d1d17fp-1, -0x1.1670ff49e2e11p-1, -0x1.15ccfa7d2b211p-1, -0x1.1517ac7d8c54dp-1, -0x1.14516aff014b6p-1, -0x1.137a8dc1499cp-1, -0x1.12936e5fb08e2p-1, -0x1.119c68224060cp-1, -0x1.1095d7d06cf28p-1, -0x1.0f801b853a66bp-1, -0x1.0e5b9284e385bp-1, -0x1.0d289d14035c9p-1, -0x1.0be79c5042c4ep-1, -0x1.0a98f20a8a0d7p-1, -0x1.093d00a2b2258p-1, -0x1.07d42ae4b77d5p-1, -0x1.065ed3e767929p-1, -0x1.04dd5eec84529p-1, -0x1.03502f42595c5p-1, -0x1.01b7a826bcfacp-1, -0x1.00142cab75cd3p-1, -0x1.fccc3f37f8353p-2, -0x1.f95bc6c925b32p-2, -0x1.f5d7b3f55a6c8p-2, -0x1.f240c98d3239ap-2, -0x1.ee97c91ccf0b1p-2, -0x1.eadd72c40e992p-2, -0x1.e712851117f7ep-2, -0x1.e337bcdd29c05p-2, -0x1.df4dd52b9e417p-2, -0x1.db55870b09927p-2, -0x1.d74f89786a0c9p-2, -0x1.d33c91444d445p-2, -0x1.cf1d50f9e35a1p-2, -0x1.caf278c7e63dfp-2, -0x1.c6bcb66b46649p-2, -0x1.c27cb51b8ca5dp-2, -0x1.be331d78dc9a4p-2, -0x1.b9e0957b8c087p-2, -0x1.b585c0653963cp-2, -0x1.b1233eb3565e3p-2, -0x1.acb9ae1312c33p-2, -0x1.a849a95699f86p-2, -0x1.a3d3c86b9744fp-2, -0x1.9f58a052ea71p-2, -0x1.9ad8c3198afb3p-2, -0x1.9654bfd27f1p-2, -0x1.91cd2291e16c8p-2, -0x1.8d427468e819bp-2, -0x1.88b53b62de5e4p-2, -0x1.8425fa8306e78p-2, -0x1.7f9531c357a6ap-2, -0x1.7b035e140a1afp-2, -0x1.7670f95bf0a44p-2, -0x1.71de7a798730ap-2, -0x1.6d4c5544b7cb7p-2, -0x1.68bafa9145dc5p-2, -0x1.642ad831da5d8p-2, -0x1.5f9c58fba60bep-2, -0x1.5b0fe4ca90537p-2, -0x1.5685e085ee228p-2, -0x1.51feae25b684fp-2, -0x1.4d7aacb82b5cp-2, -0x1.48fa3867f38dep-2, -0x1.447daa829de19p-2, -0x1.4005597f834b2p-2, -0x1.3b9199070593cp-2, -0x1.3722b9fa24a5cp-2, -0x1.32b90a7a6140dp-2, -0x1.2e54d5f1e83f5p-2, -0x1.29f6651c05fc9p-2, -0x1.259dfe0dd5fb9p-2, -0x1.214be43f2d0cfp-2, -0x1.1d005893b9fcfp-2, -0x1.18bb99645784bp-2, -0x1.147de28887921p-2, -0x1.10476d601d9fp-2, -0x1.0c1870dd060fcp-2, -0x1.07f1218d35264p-2, -0x1.03d1b1a4ad44bp-2, -0x1.ff74a20f4a965p-3, -0x1.f7565aa97e764p-3, -0x1.ef48e3deaa921p-3, -0x1.e74c9013b1ec5p-3, -0x1.df61ad60750aep-3, -0x1.d78885a4c32f4p-3, -0x1.cfc15e9d4c6f7p-3, -0x1.c80c79f8ae32dp-3, -0x1.c06a156c7c29ap-3, -0x1.b8da6aca4cc9ep-3, -0x1.b15db014c4ea8p-3, -0x1.a9f417949a932p-3, -0x1.a29dcfed90c2p-3, -0x1.9b5b04335e16p-3, -0x1.942bdbfe88ea3p-3, -0x1.8d107b81266aap-3, -0x1.8609039b87305p-3, -0x1.7f1591f0c4329p-3, -0x1.783640fb2dd07p-3, -0x1.716b28209a4e7p-3, -0x1.6ab45bc68cbf1p-3, -0x1.6411ed66399d5p-3, -0x1.5d83eba05daa1p-3, -0x1.570a6250ed342p-3, -0x1.50a55aa294c1bp-3, -0x1.4a54db220796dp-3, -0x1.4418e7d11f9d1p-3, -0x1.3df18239c965cp-3, -0x1.37dea980ba843p-3, -0x1.31e05a77f401fp-3, -0x1.2bf68fb107414p-3, -0x1.2621418f27da1p-3, -0x1.2060665900c6ap-3, -0x1.1ab3f24a4959p-3, -0x1.151bd7a5280ep-3, -0x1.0f9806c34a9bcp-3, -0x1.0a286e26c5b41p-3, -0x1.04ccfa8abb9b5p-3, -0x1.ff0b2de765655p-4, -0x1.f4a4597f73bfdp-4, -0x1.ea65476c87e6p-4, -0x1.e04dc42f83e8fp-4, -0x1.d65d9959f533ap-4, -0x1.cc948dac3f83bp-4, -0x1.c2f265333b248p-4, -0x1.b976e16556434p-4, -0x1.b021c13f27c3ap-4, -0x1.a6f2c15f73954p-4, -0x1.9de99c22ae9d4p-4, -0x1.950609be00438p-4, -0x1.8c47c059a7148p-4, -0x1.83ae742ae919dp-4, -0x1.7b39d78d6e7d7p-4, -0x1.72e99b1c1c475p-4, -0x1.6abd6dc9609c9p-4, -0x1.62b4fcf6fc47fp-4, -0x1.5acff48d42b15p-4, -0x1.530dff11d3f3ap-4, -0x1.4b6ec5bdd16d4p-4, -0x1.43f1f0938dd83p-4, -0x1.3c972673b7815p-4, -0x1.355e0d3201ba2p-4, -0x1.2e4649a948965p-4, -0x1.274f7fcf35d3p-4, -0x1.207952c764ca3p-4, -0x1.19c364f606ae7p-4, -0x1.132d581208492p-4, -0x1.0cb6cd36bbb2fp-4, -0x1.065f64f5065fdp-4, -0x1.0026bf6413241p-4, -0x1.f418f8631cb8bp-5, -0x1.e8207562ccd0ap-5, -0x1.dc6333da344d6p-5, -0x1.d0e071651b67ep-5, -0x1.c5976b44e31fbp-5, -0x1.ba875e7c6553p-5, -0x1.afaf87eafab25p-5, -0x1.a50f2466a1482p-5, -0x1.9aa570d549ea5p-5, -0x1.9071aa4549106p-5, -0x1.86730e04ff1cbp-5, -0x1.7ca8d9b9a2a24p-5, -0x1.73124b754926fp-5, -0x1.69aea1cc1f40ep-5, -0x1.607d1be8d9e95p-5, -0x1.577cf9a068685p-5, -0x1.4ead7b84e7e75p-5, -0x1.460de2f7d3be4p-5, -0x1.3d9d723b81f5p-5, -0x1.355b6c83ebfaep-5, -0x1.2d471606c0685p-5, -0x1.255fb40acbde2p-5, -0x1.1da48cf6afdcp-5, -0x1.1614e85efb432p-5, -0x1.0eb00f13988d9p-5, -0x1.07754b2c9a86dp-5, -0x1.0063e81671b91p-5, -0x1.f2f6653b016c7p-6, -0x1.e574f1f247462p-6, -0x1.d84215ac32de3p-6, -0x1.cb5c72c0d0188p-6, -0x1.bec2ae99585a1p-6, -0x1.b27371c1cf0fp-6, -0x1.a66d67f984b79p-6, -0x1.9aaf4042a5131p-6, -0x1.8f37acf0b4f7p-6, -0x1.840563b631c88p-6, -0x1.79171db11dd1ap-6, -0x1.6e6b9776c4bdep-6, -0x1.6401911e89cc1p-6, -0x1.59d7ce4bd63acp-6, -0x1.4fed1637354d1p-6, -0x1.464033b69e9d6p-6, -0x1.3ccff544f45d7p-6, -0x1.339b2d08b5856p-6, -0x1.2aa0b0d9feaep-6, -0x1.21df5a47b9387p-6, -0x1.1956069c2e3dbp-6, -0x1.110396e0df042p-6, -0x1.08e6efe1b275ep-6, -0x1.00fefa2f7bd12p-6, -0x1.f2954443e667p-7, -0x1.e391afb2037b8p-7, -0x1.d4f11e7b0d38cp-7, -0x1.c6b1800306b9p-7, -0x1.b8d0cb3f89544p-7, -0x1.ab4cfeb613274p-7, -0x1.9e24207930df6p-7, -0x1.91543e24ef27dp-7, -0x1.84db6cda1c198p-7, -0x1.78b7c938cd7bep-7, -0x1.6ce7775a00374p-7, -0x1.6168a2c8677bcp-7, -0x1.56397e786d06ap-7, -0x1.4b5844bf79097p-7, -0x1.40c3374a6ff7dp-7, -0x1.36789f13987a8p-7, -0x1.2c76cc57bb5ddp-7, -0x1.22bc168ab4a66p-7, -0x1.1946dc4b741cfp-7, -0x1.1015835750525p-7, -0x1.0726787cdf566p-7, -0x1.fcf05f1c8dd66p-8, -0x1.ec1246a619dbbp-8, -0x1.dbafaaf30fcfbp-8, -0x1.cbc59d0f63b82p-8, -0x1.bc513b97822ffp-8, -0x1.ad4fb29876a2cp-8, -0x1.9ebe3b6f7628fp-8, -0x1.909a1ca8bb975p-8, -0x1.82e0a9ddb7946p-8, -0x1.758f4392b1679p-8, -0x1.68a35713c998bp-8, -0x1.5c1a5e517a3c2p-8, -0x1.4ff1dfbcc3169p-8, -0x1.44276e22a46b9p-8, -0x1.38b8a8877f0f8p-8, -0x1.2da33a01ebf4cp-8, -0x1.22e4d9952ead2p-8, -0x1.187b4a0b95e6ap-8, -0x1.0e6459d06640fp-8, -0x1.049de2c9ab854p-8, -0x1.f64b94638af05p-9, -0x1.e3f400e1d242dp-9, -0x1.d23101eca565fp-9, -0x1.c0fea422d2bb8p-9, -0x1.b0590995de809p-9, -0x1.a03c697bfde73p-9, -0x1.90a50fe20addap-9, -0x1.818f5d5dd78a4p-9, -0x1.72f7c6bfc0aedp-9, -0x1.64dad4c52d9d4p-9, -0x1.573523caa5c61p-9, -0x1.4a03637e47ab4p-9, -0x1.3d42569259b7ep-9, -0x1.30eed270391b4p-9, -0x1.2505beeb91d33p-9, -0x1.198415f5aaf9fp-9, -0x1.0e66e3514602ep-9, -0x1.03ab4446c6055p-9, -0x1.f29cceb1c1e75p-10, -0x1.de9b17f31a1edp-10, -0x1.cb4c047f4f245p-10, -0x1.b8aa5539b2885p-10, -0x1.a6b0eb28033b9p-10, -0x1.955ac6e0efaap-10, -0x1.84a307fb0e0e4p-10, -0x1.7484ec7d5031dp-10, -0x1.64fbd050d1f54p-10, -0x1.56032cb374c1ap-10, -0x1.479697ac2d92fp-10, -0x1.39b1c38084216p-10, -0x1.2c507e2b4328bp-10, -0x1.1f6eb0d4abfe9p-10, -0x1.13085f4c1814bp-10, -0x1.0719a7832eac8p-10, -0x1.f73d82142df22p-11, -0x1.e127f91b66a29p-11, -0x1.cbeb86ad8c3ebp-11, -0x1.b7812d9607e93p-11, -0x1.a3e21fdfb6f4bp-11, -0x1.9107bddbfa7acp-11, -0x1.7eeb952e9af55p-11, -0x1.6d875fdbee8f6p-11, -0x1.5cd5035a62667p-11, -0x1.4cce8fa715006p-11, -0x1.3d6e3e5d7abfdp-11, -0x1.2eae71d2a70b7p-11, -0x1.2089b4333c98ep-11, -0x1.12fab6a58f60dp-11, -0x1.05fc506da020ap-11, -0x1.f312fc2b39372p-12, -0x1.db3ac1316a871p-12, -0x1.c466792310fa1p-12, -0x1.ae8cf2d78fb2ep-12, -0x1.99a54132608aep-12, -0x1.85a6b992ca843p-12, -0x1.7288f24a6aba7p-12, -0x1.6043c11aba9b6p-12, -0x1.4ecf39b7ba86dp-12, -0x1.3e23ac5218b5cp-12, -0x1.2e39a42624444p-12, -0x1.1f09e6132c8d6p-12, -0x1.108d6f36d4f05p-12, -0x1.02bd7390981b8p-12, -0x1.eb26b954e9667p-13, -0x1.d211908f9111cp-13, -0x1.ba2f0e347c061p-13, -0x1.a37336f9ad0c7p-13, -0x1.8dd270699f532p-13, -0x1.79417e72c0a47p-13, -0x1.65b580fee759p-13, -0x1.5323f19a4f2abp-13, -0x1.4182a123768b8p-13, -0x1.30c7b588e8231p-13, -0x1.20e9a78f00edep-13, -0x1.11df40a577c97p-13, -0x1.039f98c224dffp-13, -0x1.ec4428969e1c5p-14, -0x1.d2bcc4188b62cp-14, -0x1.ba98f264f1978p-14, -0x1.a3c92ead2dd6fp-14, -0x1.8e3e7d23f0554p-14, -0x1.79ea673344473p-14, -0x1.66bef7cf47b9p-14, -0x1.54aeb7dc30beep-14, -0x1.43acaaa1b2a47p-14, -0x1.33ac4a5950801p-14, -0x1.24a184cce92c9p-14, -0x1.1680b8085247ep-14, -0x1.093eaf1cd1c54p-14, -0x1.f9a13df66c17cp-15, -0x1.e25846b513162p-15, -0x1.cc8e776640dcfp-15, -0x1.b830909cdf3p-15, -0x1.a52c0ec275a24p-15, -0x1.936f247ba8e65p-15, -0x1.82e8b525d3db3p-15, -0x1.73884f7aff215p-15, -0x1.653e28547fc1dp-15, -0x1.57fb158b087fep-15, -0x1.4bb088fd07aedp-15, -0x1.40508ba7e0e39p-15, -0x1.35cdb8edaff6bp-15, -0x1.2c1b39f0da535p-15, -0x1.232cc11008fc4p-15, -0x1.1af685798e7acp-15, -0x1.136d3ee33573ap-15, -0x1.0c86215986ad5p-15, -0x1.0636d928aa868p-15, -0x1.007586e82eaf6p-15, -0x1.f671772b28b31p-16, -0x1.eceee99e5bcbap-16, -0x1.e452324da07e1p-16, -0x1.dc8ae923cec1fp-16, -0x1.d58969d6007d8p-16, -0x1.cf3ecd1a24fa8p-16, -0x1.c99ce219b3235p-16, -0x1.c49627fa118d1p-16, -0x1.c01dc79f3ed3ep-16, -0x1.bc278dae5c282p-16, -0x1.b8a7e48a46b85p-16, -0x1.b593cea72a2f4p-16, -0x1.b2e0e0f3edbedp-16, -0x1.b0853d7096351p-16, -0x1.ae778de7ef0b7p-16, -0x1.acaefed3db11dp-16, -0x1.ab233a6abef34p-16, -0x1.a9cc63c5e1cb5p-16, -0x1.a8a3123427dap-16, -0x1.a7a04cbb57ef9p-16, -0x1.a6bd85a141bdap-16, -0x1.a5f4962c859e7p-16, -0x1.a53fba7bb503p-16, -0x1.a4998d86e2489p-16, -0x1.a3fd0531faca7p-16, -0x1.a3656e87c4a08p-16, -0x1.a2ce6a1cd996cp-16, -0x1.a233e875c1434p-16, -0x1.a192269afff42p-16, -0x1.a0e5aac83d284p-16, -0x1.a02b4134618a9p-16, -0x1.9f5ff8f3ec5fp-16, -0x1.9e8120f66cba8p-16, -0x1.9d8c451c2ef63p-16, -0x1.9c7f2b63ea7d4p-16, -0x1.9b57d12df2f66p-16, -0x1.9a14689e8f52fp-16, -0x1.98b35617e23f6p-16, -0x1.97332db938a43p-16, -0x1.9592b1055369p-16, -0x1.93d0cc995f591p-16, -0x1.91ec95f32759p-16, -0x1.8fe549508856cp-16, -0x1.8dba47a17f82ep-16, -0x1.8b6b148c8c357p-16, -0x1.88f7548595c59p-16, -0x1.865ecaf3ee26bp-16, -0x1.83a1586c755cap-16, -0x1.80bef901bdad9p-16, -0x1.7db7c2995f20fp-16, -0x1.7a8be357241bp-16, -0x1.773ba01b5929bp-16, -0x1.73c75308453f6p-16, -0x1.702f6a1ee3525p-16, -0x1.6c7465e00803ap-16, -0x1.6896d8066cc41p-16, -0x1.6497624717793p-16, -0x1.6076b51bf7aa7p-16, -0x1.5c358e9f98dacp-16, -0x1.57d4b9794cf91p-16, -0x1.53550bceaade1p-16, -0x1.4eb7663faf1fbp-16, -0x1.49fcb2f336b7ep-16, -0x1.4525e4aba9d38p-16, -0x1.4033f5e38d48cp-16, -0x1.3b27e7f9087ap-16, -0x1.3602c25c711dap-16, -0x1.30c591d6bb464p-16, -0x1.2b7167c777b04p-16, -0x1.26075973c6cf7p-16, -0x1.20887f5cc38c9p-16, -0x1.1af5f4a3d660ap-16, -0x1.1550d66b6ca8bp-16, -0x1.0f9a434c005fbp-16, -0x1.09d35ac64f445p-16, -0x1.03fd3cc688e88p-16, -0x1.fc321248fc1e7p-17, -0x1.f04fbe5d6957p-17, -0x1.e455ba79efc51p-17, -0x1.d846409b967abp-17, -0x1.cc2387405a5c7p-17, -0x1.bfefc0ade29d5p-17, -0x1.b3ad1a4775501p-17, -0x1.a75dbbf208efap-17, -0x1.9b03c775137aep-17, -0x1.8ea157f009cb5p-17, -0x1.823881550594p-17, -0x1.75cb4ff7cc581p-17, -0x1.695bc812002a1p-17, -0x1.5cebe55c17b5bp-17, -0x1.507d9aac53ac3p-17, -0x1.4412d1a12db1p-17, -0x1.37ad6a52ad42fp-17, -0x1.2b4f3b0158721p-17, -0x1.1efa0fd5887f3p-17, -0x1.12afaaa6f0145p-17, -0x1.0671c2c2749ap-17, -0x1.f48409719849ap-18, -0x1.dc442473a8c72p-18, -0x1.c42703d3a396ap-18, -0x1.ac2fbe9dc3f99p-18, -0x1.9461554e757c6p-18, -0x1.7cbeb1b74bd76p-18, -0x1.654aa6d7e5851p-18, -0x1.4e07f0cc616aep-18, -0x1.36f934bee7608p-18, -0x1.202100d297658p-18, -0x1.0981cc3145c08p-18, -0x1.e63bee170b52cp-19, -0x1.b9ef955372424p-19, -0x1.8e22f2f230b19p-19, -0x1.62da3e508f25cp-19, -0x1.3819818c2277bp-19, -0x1.0de499e7c60eep-19, -0x1.c87e6ff51868ap-20, -0x1.7659c042dcd8ep-20, -0x1.2561d5ae17ab1p-20, -0x1.ab3a14f240805p-21, -0x1.0e22c5ffafbd1p-21, -0x1.ce24759789773p-23, 0x1.24416dc0bc7fep-24, 0x1.740e130f67edap-22, 0x1.4cea076517f21p-21, 0x1.dd2859889edbbp-21, 0x1.355ce84b79e84p-20, 0x1.7acb6c8f23132p-20, 0x1.bedc3c6b59bebp-20, 0x1.00c613015559fp-19, 0x1.216c20baec839p-19, 0x1.415ef7c431a47p-19, 0x1.609d6c08941a6p-19, 0x1.7f2674569e827p-19, 0x1.9cf929a93aeefp-19, 0x1.ba14c667cea5bp-19, 0x1.d678a5b74e13ep-19, 0x1.f22442a68e9ccp-19, 0x1.068b9bbeea6e9p-18, 0x1.13a89e80774a8p-18, 0x1.206914d869c17p-18, 0x1.2cccf886a3b26p-18, 0x1.38d45167c9697p-18, 0x1.447f3513be474p-18, 0x1.4fcdc684fa092p-18, 0x1.5ac035b2a4834p-18, 0x1.6556bf32fb988p-18, 0x1.6f91abda5c8a2p-18, 0x1.797150603ad01p-18, 0x1.82f60d03d3355p-18, 0x1.8c204d291b073p-18, 0x1.94f086fdebad1p-18, 0x1.9d673b1b01332p-18, 0x1.a584f42e5efcp-18, 0x1.ad4a469ee9d67p-18, 0x1.b4b7d0338bb2p-18, 0x1.bbce37bb74adp-18, 0x1.c28e2cb2099ddp-18, 0x1.c8f866ee24317p-18, 0x1.cf0da64a9721p-18, 0x1.d4ceb2511fd53p-18, 0x1.da3c59e5e33fep-18, 0x1.df5772f72e878p-18, 0x1.e420da2f03b5bp-18, 0x1.e89972a1c5659p-18, 0x1.ecc2257fd3964p-18, 0x1.f09be1c6f5c43p-18, 0x1.f4279bf761a5dp-18, 0x1.f7664dc8f050dp-18, 0x1.fa58f5e536944p-18, 0x1.fd00979deda84p-18, 0x1.ff5e3aa3e9acdp-18, 0x1.00b975638e556p-17, 0x1.019fdbd71e284p-17, 0x1.0262da4b765d2p-17, 0x1.0302fc0ac42dfp-17, 0x1.0380cde76ea35p-17, 0x1.03dcde210d041p-17, 0x1.0417bc453466ep-17, 0x1.0431f90fcca3ep-17, 0x1.042c265023e0cp-17, 0x1.0406d6cb9ae28p-17, 0x1.03c29e217a64ap-17, 0x1.036010afe9d28p-17, 0x1.02dfc37b73908p-17, 0x1.02424c145a1adp-17, 0x1.0188407c039f6p-17, 0x1.00b2370fbf8d2p-17, 0x1.ff818cdb90392p-18, 0x1.fd690ac125e28p-18, 0x1.fb1c15928703ep-18, 0x1.f89bdb0d7a323p-18, 0x1.f5e988c335902p-18, 0x1.f3064bf6b01b1p-18, 0x1.eff3516bd85b2p-18, 0x1.ecb1c54459f31p-18, 0x1.e942d2dd0fd56p-18, 0x1.e5a7a4a8a67aap-18, 0x1.e1e164081b077p-18, 0x1.ddf1392fd5795p-18, 0x1.d9d84b0695e2cp-18, 0x1.d597bf00495b4p-18, 0x1.d130b907978c4p-18, }}, 
      {{-0x1.e73b666365b7cp-1, -0x1.e7240ca960227p-1, -0x1.e6f89d2b9d9e3p-1, -0x1.e6b41dea9b8f5p-1, -0x1.e65178f9930adp-1, -0x1.e5cc0b0097774p-1, -0x1.e51ff4f3cd0c8p-1, -0x1.e44a43f1b9ce7p-1, -0x1.e348fcfa48bd3p-1, -0x1.e21b164a00f2p-1, -0x1.e0c0654992b83p-1, -0x1.df3985ef14d86p-1, -0x1.dd87beef84f72p-1, -0x1.dbace50c78192p-1, -0x1.d9ab3f056944p-1, -0x1.d7856b27e73a9p-1, -0x1.d53e471642b59p-1, -0x1.d2d8da15db59p-1, -0x1.d0584204ba807p-1, -0x1.cdbfa2f3fadep-1, -0x1.cb12194d69543p-1, -0x1.c852ae5bcdb6bp-1, -0x1.c5844f044677cp-1, -0x1.c2a9c47a5fcafp-1, -0x1.bfc5aeb6fad1fp-1, -0x1.bcda807abd3b5p-1, -0x1.b9ea7ca6ebaa4p-1, -0x1.b6f7b4bac9a77p-1, -0x1.b40408477a104p-1, -0x1.b111253082317p-1, -0x1.ae2088937098bp-1, -0x1.ab338035648eep-1, -0x1.a84b2c5953ccap-1, -0x1.a56881e5cf7c3p-1, -0x1.a28c4cc49c9d9p-1, -0x1.9fb73269b9ef2p-1, -0x1.9ce9b47260a15p-1, -0x1.9a24334f2c07dp-1, -0x1.9766f0eee0b97p-1, -0x1.94b213614fa96p-1, -0x1.9205a76b910f5p-1, -0x1.8f61a30849a92p-1, -0x1.8cc5e7cff5a1dp-1, -0x1.8a32454642accp-1, -0x1.87a67b0a63303p-1, -0x1.85223ae9048ccp-1, -0x1.82a52acf27367p-1, -0x1.802ee69d9a2b3p-1, -0x1.7dbf01dd37069p-1, -0x1.7b550954510bap-1, -0x1.78f0847e07118p-1, -0x1.7690f6e450ec2p-1, -0x1.7435e15dcd593p-1, -0x1.71dec33064692p-1, -0x1.6f8b1b19ed34bp-1, -0x1.6d3a68400a49dp-1, -0x1.6aec2b08770ep-1, -0x1.689fe5db03a05p-1, -0x1.66551dce7c1bep-1, -0x1.640b5b41ae6efp-1, -0x1.61c22a61c50e8p-1, -0x1.5f791b9f1afffp-1, -0x1.5d2fc411b1341p-1, -0x1.5ae5bdce56c3ep-1, -0x1.589aa82d9992bp-1, -0x1.564e28057f85bp-1, -0x1.53ffe7d704528p-1, -0x1.51af97f04b5e4p-1, -0x1.4f5cee846e1d5p-1, -0x1.4d07a7b9bee49p-1, -0x1.4aaf85af52671p-1, -0x1.4854507a98347p-1, -0x1.45f5d61dbdcb5p-1, -0x1.4393ea778f794p-1, -0x1.412e672d81e3dp-1, -0x1.3ec52b908301ap-1, -0x1.3c581c7d29cc8p-1, -0x1.39e72437d365dp-1, -0x1.37723245327ddp-1, -0x1.34f93b3fcefffp-1, -0x1.327c38aae824bp-1, -0x1.2ffb28c329f12p-1, -0x1.2d760e4d971d8p-1, -0x1.2aecf065085dbp-1, -0x1.285fda46973ebp-1, -0x1.25cedb1d42aap-1, -0x1.233a05cd1a064p-1, -0x1.20a170be2ef31p-1, -0x1.1e0535a78e7e5p-1, -0x1.1b65715a75813p-1, -0x1.18c2438df63d8p-1, -0x1.161bceab3b351p-1, -0x1.1372379a8f0ap-1, -0x1.10c5a5914e209p-1, -0x1.0e1641e0e2feap-1, -0x1.0b6437c6e60a3p-1, -0x1.08afb43e7d049p-1, -0x1.05f8e5d3096f4p-1, -0x1.033ffc743d998p-1, -0x1.0085294ba07a4p-1, -0x1.fb913d271db2fp-2, -0x1.f6151edf891efp-2, -0x1.f0965f8ede57ep-2, -0x1.eb156841a7638p-2, -0x1.e592a2fd0ad9cp-2, -0x1.e00e7a7c65e23p-2, -0x1.da8959f20713cp-2, -0x1.d503accb0b88dp-2, -0x1.cf7dde76555b5p-2, -0x1.c9f85a2e8de75p-2, -0x1.c4738ac72c597p-2, -0x1.beefda7c70431p-2, -0x1.b96db2c63f7f3p-2, -0x1.b3ed7c2dda348p-2, -0x1.ae6f9e264b73dp-2, -0x1.a8f47ee78ef81p-2, -0x1.a37c834c4949ep-2, -0x1.9e080eb20c8e1p-2, -0x1.989782dc09042p-2, -0x1.932b3fd81a3f9p-2, -0x1.8dc3a3e617299p-2, -0x1.88610b6155d77p-2, -0x1.8303d0ac4238dp-2, -0x1.7dac4c1dfc2eap-2, -0x1.785ad3f1e2375p-2, -0x1.730fbc38f1d07p-2, -0x1.6dcb56ccea352p-2, -0x1.688df34520515p-2, -0x1.6357deece520bp-2, -0x1.5e2964bb745c6p-2, -0x1.5902cd4d5264cp-2, -0x1.53e45edf06ef7p-2, -0x1.4ece5d4922005p-2, -0x1.49c109fd78b4dp-2, -0x1.44bca4058849dp-2, -0x1.3fc16801ee35ap-2, -0x1.3acf902ae49e8p-2, -0x1.35e75451afd54p-2, -0x1.3108e9e2f78bdp-2, -0x1.2c3483e9ec8dcp-2, -0x1.276a53143d2eep-2, -0x1.22aa85b6c18fap-2, -0x1.1df547d2ce211p-2, -0x1.194ac31c30cd8p-2, -0x1.14ab1effb6783p-2, -0x1.101680aa3fdd5p-2, -0x1.0b8d0b104fd46p-2, -0x1.070edef60b0bep-2, -0x1.029c1af7a3f4bp-2, -0x1.fc69b7243fed1p-3, -0x1.f3b27658e8523p-3, -0x1.eb12a441e26efp-3, -0x1.e28a6d8ddfd4fp-3, -0x1.da19faf9768acp-3, -0x1.d1c17163641aap-3, -0x1.c980f1e12977ap-3, -0x1.c15899d3f52c5p-3, -0x1.b94882fdd3e7ap-3, -0x1.b150c39715d0fp-3, -0x1.a9716e63e43c2p-3, -0x1.a1aa92c9ee3d9p-3, -0x1.99fc3ce63bf0cp-3, -0x1.926675a30625dp-3, -0x1.8ae942cd95182p-3, -0x1.8384a72c20e6fp-3, -0x1.7c38a293a7806p-3, -0x1.750531fdb0139p-3, -0x1.6dea4f9df6c28p-3, -0x1.66e7f2f7fed21p-3, -0x1.5ffe10f47c63bp-3, -0x1.592c9bf69cc25p-3, -0x1.527383f11ac94p-3, -0x1.4bd2b67b266f7p-3, -0x1.454a1ee510823p-3, -0x1.3ed9a64cc51dbp-3, -0x1.388133b200a8bp-3, -0x1.3240ac0a4ac22p-3, -0x1.2c17f254a588dp-3, -0x1.2606e7ad0114p-3, -0x1.200d6b5f5fc06p-3, -0x1.1a2b5afaaed8bp-3, -0x1.14609263555aap-3, -0x1.0eacebe575545p-3, -0x1.09104046dc549p-3, -0x1.038a66d89be6p-3, -0x1.fc366b10b7563p-4, -0x1.f18501e29e3d2p-4, -0x1.e70038d9b30c3p-4, -0x1.dca7b445b762dp-4, -0x1.d27b16335a8f9p-4, -0x1.c879fe8b8a53p-4, -0x1.bea40b31f9522p-4, -0x1.b4f8d8231fd66p-4, -0x1.ab77ff916eb8fp-4, -0x1.a2211a01e77e8p-4, -0x1.98f3be6803a6p-4, -0x1.8fef8240eacffp-4, -0x1.8713f9ae05fe7p-4, -0x1.7e60b78ee1db2p-4, -0x1.75d54d9a67ed3p-4, -0x1.6d714c7772452p-4, -0x1.653443d4b31a8p-4, -0x1.5d1dc27ffb184p-4, -0x1.552d567cd6f38p-4, -0x1.4d628d1a8c371p-4, -0x1.45bcf3097327fp-4, -0x1.3e3c146fb2555p-4, -0x1.36df7cfd5a98dp-4, -0x1.2fa6b7ffe7395p-4, -0x1.2891507525b3dp-4, -0x1.219ed11d82e25p-4, -0x1.1acec48dc299cp-4, -0x1.1420b5402625ap-4, -0x1.0d942da4fbd21p-4, -0x1.0728b832a45d7p-4, -0x1.00dddf7505b14p-4, -0x1.f5665c38f02a8p-5, -0x1.e9505e184a79ep-5, -0x1.dd78dacfcb5c7p-5, -0x1.d1dee9432bfacp-5, -0x1.c681a10bdc283p-5, -0x1.bb601a91aa75cp-5, -0x1.b0796f227a34bp-5, -0x1.a5ccb908fe40bp-5, -0x1.9b5913a2880e7p-5, -0x1.911d9b73e82d3p-5, -0x1.87196e3d68ad4p-5, -0x1.7d4bab0deb455p-5, -0x1.73b372551d7e2p-5, -0x1.6a4fe5f4e6c75p-5, -0x1.61202951f17fcp-5, -0x1.58236163743c5p-5, -0x1.4f58b4c2268b4p-5, -0x1.46bf4bb675f6bp-5, -0x1.3e565045fbf93p-5, -0x1.361cee403215dp-5, -0x1.2e12534a7603p-5, -0x1.2635aeeb56e0dp-5, -0x1.1e86329534f99p-5, -0x1.170311b03c7e3p-5, -0x1.0fab81a3b3dc2p-5, -0x1.087eb9deae8e9p-5, -0x1.017bf3e025d4fp-5, -0x1.f544d67ce9ad6p-6, -0x1.e7e2bb5c809a2p-6, -0x1.dad01611aed67p-6, -0x1.ce0b6aa3ff2ffp-6, -0x1.c193417a7ca5p-6, -0x1.b566276542865p-6, -0x1.a982ada606d1bp-6, -0x1.9de769f7b6012p-6, -0x1.9292f69513a19p-6, -0x1.8783f23e8d701p-6, -0x1.7cb9003f106f3p-6, -0x1.7230c8701de08p-6, -0x1.67e9f73d012cdp-6, -0x1.5de33da54a9e5p-6, -0x1.541b513e737a2p-6, -0x1.4a90ec34dcbcdp-6, -0x1.4142cd4c0981fp-6, -0x1.382fb7de335a8p-6, -0x1.2f5673db33a37p-6, -0x1.26b5cdc6c616dp-6, -0x1.1e4c96b641707p-6, -0x1.1619a44daa003p-6, -0x1.0e1bd0bc38348p-6, -0x1.0651fab862968p-6, -0x1.fd760af6ac39fp-7, -0x1.eeabb177eaec2p-7, -0x1.e042c152c162p-7, -0x1.d2391bca1faa1p-7, -0x1.c48caaf8e777bp-7, -0x1.b73b61c47579bp-7, -0x1.aa433bce4dbbcp-7, -0x1.9da23d65208e2p-7, -0x1.91567375062b4p-7, -0x1.855df377252fap-7, -0x1.79b6db60a7bd1p-7, -0x1.6e5f51911fa85p-7, -0x1.635584c056e05p-7, -0x1.5897abeb95e9ap-7, -0x1.4e2406427b2a8p-7, -0x1.43f8db13498fdp-7, -0x1.3a1479b6bedc6p-7, -0x1.3075397b9ff23p-7, -0x1.27197991cba5cp-7, -0x1.1dffa0f4f800cp-7, -0x1.15261e5721d46p-7, -0x1.0c8b680aa6721p-7, -0x1.042dfbec22b4cp-7, -0x1.f818be980d7bbp-8, -0x1.e84a3dafef799p-8, -0x1.d8ed9d07e0d19p-8, -0x1.ca0012e6967c6p-8, -0x1.bb7ee3c30250ap-8, -0x1.ad676215cc65fp-8, -0x1.9fb6ee2a6ba3bp-8, -0x1.926af5effd032p-8, -0x1.8580f4ca0b9dcp-8, -0x1.78f6736126a1cp-8, -0x1.6cc90773730d9p-8, -0x1.60f653a515bb3p-8, -0x1.557c07509c937p-8, -0x1.4a57de5760ffdp-8, -0x1.3f87a0f207a23p-8, -0x1.35092380ee091p-8, -0x1.2ada465cdc81bp-8, -0x1.20f8f5a79ce46p-8, -0x1.1763291ccfde3p-8, -0x1.0e16e3e2ea7a1p-8, -0x1.0512345c61444p-8, -0x1.f8a667f21920ap-9, -0x1.e7b00e0f66a03p-9, -0x1.d73db90fcdf4ep-9, -0x1.c74bdbf81e088p-9, -0x1.b7d6fe779bb6ep-9, -0x1.a8dbbc8d455d2p-9, -0x1.9a56c62e0248ep-9, -0x1.8c44deeb12e51p-9, -0x1.7ea2dd993e0d1p-9, -0x1.716dabf90c97ap-9, -0x1.64a2465f498f2p-9, -0x1.583dbb5ed1ef2p-9, -0x1.4c3d2b72b5726p-9, -0x1.409dc8a93ebfbp-9, -0x1.355cd64ffd6c6p-9, -0x1.2a77a8a0706eep-9, -0x1.1feba46da212ep-9, -0x1.15b63ed2e0c82p-9, -0x1.0bd4fce304ad9p-9, -0x1.02457358a21d2p-9, -0x1.f20a8c8ecd29dp-10, -0x1.e024519c67cd2p-10, -0x1.ced3b9943b6b7p-10, -0x1.be14651575f6fp-10, -0x1.ade2110e02ecfp-10, -0x1.9e3896263a9cap-10, -0x1.8f13e82f38592p-10, -0x1.8070159247e47p-10, -0x1.724946c2dc7fap-10, -0x1.649bbdb269dd6p-10, -0x1.5763d54657428p-10, -0x1.4a9e00cf59d08p-10, -0x1.3e46cb8344305p-10, -0x1.325ad7f8c5a2cp-10, -0x1.26d6dfa519967p-10, -0x1.1bb7b25ba8e3bp-10, -0x1.10fa35d019a76p-10, -0x1.069b65196213ap-10, -0x1.f930a06f6d43bp-11, -0x1.e5dc373800d8ep-11, -0x1.d333ff62e51acp-11, -0x1.c13290d1f9839p-11, -0x1.afd2a98dba266p-11, -0x1.9f0f2ce464b31p-11, -0x1.8ee3228bbb9d3p-11, -0x1.7f49b5c7c26dcp-11, -0x1.703e34951af33p-11, -0x1.61bc0ed702a21p-11, -0x1.53bed588d9dc7p-11, -0x1.464239f460629p-11, -0x1.39420cea6cffap-11, -0x1.2cba3dff58fe2p-11, -0x1.20a6dacc101d4p-11, -0x1.15040e31d6f9cp-11, -0x1.09ce1fa1e659cp-11, -0x1.fe02e4d16196ap-12, -0x1.e93509f992435p-12, -0x1.d52be0a16e7cfp-12, -0x1.c1e0ce50a1cdep-12, -0x1.af4d6ae373898p-12, -0x1.9d6b7f433879fp-12, -0x1.8c3504253c12fp-12, -0x1.7ba420d0a09fp-12, -0x1.6bb329ea935e2p-12, -0x1.5c5ca04894a2dp-12, -0x1.4d9b2fc86356cp-12, -0x1.3f69ae2ee553ap-12, -0x1.31c31a0e2c8a4p-12, -0x1.24a299af01553p-12, -0x1.18037a025a912p-12, -0x1.0be12d98e0b2p-12, -0x1.00374b9eca951p-12, -0x1.ea031dbc1c8afp-13, -0x1.d477a98b82d37p-13, -0x1.bfc438f0449c1p-13, -0x1.abe10bb9bf4dp-13, -0x1.98c6a172db1d2p-13, -0x1.866db79cfa43ep-13, -0x1.74cf47f53d95bp-13, -0x1.63e486c3b2742p-13, -0x1.53a6e133e7776p-13, -0x1.440ffbb7bc62dp-13, -0x1.3519b075c65ecp-13, -0x1.26be0dbe61c2bp-13, -0x1.18f7548b14c95p-13, -0x1.0bbff7098f8aep-13, -0x1.fe252e579507ep-14, -0x1.e5d40a87d06e6p-14, -0x1.ce827d4b7c892p-14, -0x1.b826d8a85c6f7p-14, -0x1.a2b7c36b4c432p-14, -0x1.8e2c36a021ea7p-14, -0x1.7a7b7b1baf8e6p-14, -0x1.679d27169cc39p-14, -0x1.55891bd423982p-14, -0x1.4437835b77681p-14, -0x1.33a0ce3b1b82cp-14, -0x1.23bdb161febeep-14, -0x1.1487240244943p-14, -0x1.05f65d822be4ep-14, -0x1.f009a6f7de7cp-15, -0x1.d5586f9ab4897p-15, -0x1.bbcced5d33df5p-15, -0x1.a35b69bba19a3p-15, -0x1.8bf89b996fbb1p-15, -0x1.7599a3c878c72p-15, -0x1.603409a407374p-15, -0x1.4bbdb7bd1057fp-15, -0x1.382cf8a0fa8dbp-15, -0x1.257873bf0bc01p-15, -0x1.13972a5474674p-15, -0x1.0280747c399e7p-15, -0x1.e457fc98cae4fp-16, -0x1.c5238a0bd33cp-16, -0x1.a75428c2b1dc6p-16, -0x1.8adb07d8396aep-16, -0x1.6fa9e8e70b464p-16, -0x1.55b31b10c034ap-16, -0x1.3ce9763079113p-16, -0x1.2540561d00435p-16, -0x1.0eab961dcae59p-16, -0x1.f23f18fc302d4p-17, -0x1.c9220c70ccc7dp-17, -0x1.a1ea85b068c88p-17, -0x1.7c83e0cf7830cp-17, -0x1.58da4f04702dap-17, -0x1.36dacf1a71752p-17, -0x1.16732605d4105p-17, -0x1.ef23af8e403f3p-18, -0x1.b44c40df8dcdep-18, -0x1.7c3fdadbcca66p-18, -0x1.46dfae0f3e301p-18, -0x1.140e343306a3cp-18, -0x1.c75e47aeacc78p-19, -0x1.6b4ec92b3176ep-19, -0x1.13ba07608207cp-19, -0x1.80dca38de9d62p-20, -0x1.c4f05e12d7dcdp-21, -0x1.2fae944b9fc1ep-22, 0x1.0c80653c4cc75p-22, 0x1.95fcc945b7704p-21, 0x1.4bfef4716b0f2p-20, 0x1.c66e03b32bbaep-20, 0x1.1d4a3a2074237p-19, 0x1.545bf82724602p-19, 0x1.888d85c1ef217p-19, 0x1.b9feb184367ep-19, 0x1.e8cddda13e483p-19, 0x1.0a8c079ef40cep-18, 0x1.1f7c7e3c0cdep-18, 0x1.33458d2264b7ep-18, 0x1.45f3d4d017b3dp-18, 0x1.5793624767cbap-18, 0x1.682fb53d8a48fp-18, 0x1.77d3c5f9ef33bp-18, 0x1.868a0b3c6f084p-18, 0x1.945c7fc55fdbfp-18, 0x1.a154a793015ffp-18, 0x1.ad7b9531d450ap-18, 0x1.b8d9ee9f25f4ap-18, 0x1.c377f22177ce4p-18, 0x1.cd5d7aca17ep-18, 0x1.d69205028393ep-18, 0x1.df1cb2c75410dp-18, 0x1.e7044fabffda5p-18, 0x1.ee4f54ecba44dp-18, 0x1.f503ed36138fep-18, 0x1.fb27f84380047p-18, 0x1.006087328761dp-17, 0x1.02ea41f03eeddp-17, 0x1.0533b6185daap-17, 0x1.073f4e8b424d7p-17, 0x1.090f58d01a8d3p-17, 0x1.0aa606829d453p-17, 0x1.0c056eb0ebef1p-17, 0x1.0d2f8f27d3fe6p-17, 0x1.0e264dbeb2d9bp-17, 0x1.0eeb798c8b6f4p-17, 0x1.0f80cc0942923p-17, 0x1.0fe7ea3142b81p-17, 0x1.102265918c4ebp-17, 0x1.1031bd4f5fabap-17, 0x1.10175f1aabf6fp-17, 0x1.0fd4a820a805dp-17, 0x1.0f6ae5ee84f73p-17, 0x1.0edb574c8ab6cp-17, 0x1.0e272d05845c8p-17, 0x1.0d4f8ab5d381cp-17, 0x1.0c558785b866ap-17, 0x1.0b3a2eda0720bp-17, 0x1.09fe81035d708p-17, 0x1.08a373df39bffp-17, 0x1.0729f376f363dp-17, 0x1.0592e28e8e5c2p-17, 0x1.03df1b3346042p-17, 0x1.020f6f433bb6cp-17, 0x1.0024a8ee353acp-17, 0x1.fc3f16500a011p-18, 0x1.f801a43bfa59p-18, 0x1.f392674eed8cbp-18, 0x1.eef2bf4d90d25p-18, 0x1.ea2400d7564c1p-18, 0x1.e52776219612cp-18, 0x1.dffe5fa592855p-18, 0x1.daa9f4ca01b9bp-18, 0x1.d52b646ba0fcap-18, 0x1.cf83d57f24fep-18, 0x1.c9b467963796dp-18, 0x1.c3be3366a0fa3p-18, 0x1.bda24b34d993fp-18, 0x1.b761bb57e870fp-18, 0x1.b0fd8a9b7de9p-18, 0x1.aa76baa3172c1p-18, 0x1.a3ce4844e643fp-18, 0x1.9d052be6dbb5ap-18, 0x1.961c59d6a3b56p-18, 0x1.8f14c28b3a6b2p-18, 0x1.87ef52e9b5ab3p-18, 0x1.80acf48c60271p-18, 0x1.794e8dffbc0e3p-18, 0x1.71d502fa09b5fp-18, 0x1.6a413487393b6p-18, 0x1.6294014586d1ep-18, 0x1.5ace4587961f9p-18, 0x1.52f0db7dfd5d6p-18, 0x1.4afc9b5535f67p-18, 0x1.42f25b5e023c8p-18, 0x1.3ad2f02e5dep-18, 0x1.329f2cb47af13p-18, 0x1.2a57e24f4617ap-18, 0x1.21fde0e257ffp-18, 0x1.1991f6e9d4079p-18, 0x1.1114f18ca302fp-18, 0x1.08879ca458909p-18, 0x1.ffd5859d197d4p-19, 0x1.ee7e5aec43cf7p-19, 0x1.dd0b49a96c6bbp-19, 0x1.cb7ddffbd5195p-19, 0x1.b9d7a9b6ca18ep-19, 0x1.a81a307ffd931p-19, 0x1.9646fbb81b401p-19, 0x1.845f9087ec0ep-19, 0x1.726571d2e53bdp-19, 0x1.605a2035ed99cp-19, 0x1.4e3f1a04c69b9p-19, 0x1.3c15db470346dp-19, 0x1.29dfdd9faeed6p-19, 0x1.179e984f0ed1ap-19, 0x1.0553801f4aed6p-19, 0x1.e6000ea99e13p-20, 0x1.c14b3b3f9a6f2p-20, 0x1.9c8b60152de33p-20, 0x1.77c351e995cc9p-20, 0x1.52f5dfe7cb291p-20, 0x1.2e25d38eca26ep-20, 0x1.0955f07fddb21p-20, 0x1.c911e8a0fbb1ep-21, 0x1.7f832cf63925fp-21, 0x1.3605105e95275p-21, 0x1.d939d067bafb3p-22, 0x1.469ff91c5e086p-22, 0x1.688e1fbb592fcp-23, 0x1.11cb6dd38cbd2p-25, -0x1.bdfac31355953p-24, -0x1.00d72c31c530dp-22, -0x1.91c602c074da7p-22, -0x1.1120a8905078cp-21, -0x1.591fa978a16ebp-21, -0x1.a0db31ca829f6p-21, -0x1.e84e7f62058abp-21, -0x1.17ba7042f8cbp-20, -0x1.3b24da085167ap-20, -0x1.5e6434f085bf6p-20, -0x1.81764190e98b2p-20, -0x1.a458c93c4e6fap-20, -0x1.c7099e2ce18c2p-20, -0x1.e9869ba54fd3fp-20, -0x1.05e6d302b45f1p-19, -0x1.16ee556ea48d9p-19, -0x1.27d8d08cdfb6ap-19, -0x1.38a5448d92eadp-19, -0x1.4952b6655d769p-19, -0x1.59e02fdf2ccb2p-19, -0x1.6a4cbfa46da89p-19, -0x1.7a977944b945ap-19, -0x1.8abf753937bb1p-19, -0x1.9ac3d0fc6ae63p-19, -0x1.aaa3af07f3232p-19, -0x1.ba5e36e36f665p-19, -0x1.c9f2952705c1p-19, -0x1.d95ffb857ccecp-19, -0x1.e8a5a0cf765a4p-19, -0x1.f7c2c0ee4f572p-19, -0x1.035b4e7b9cffep-18, -0x1.0ac03d93e4c55p-18, -0x1.120fd3752b6bcp-18, -0x1.1949b86d7ea5bp-18, -0x1.206d97630311fp-18, -0x1.277b1dd51b178p-18, -0x1.2e71fbd8443a3p-18, -0x1.3551e41b59b75p-18, -0x1.3c1a8be4d81f4p-18, -0x1.42cbab118dd5ap-18, -0x1.4964fc15b4f4ap-18, -0x1.4fe63bf984c6bp-18, -0x1.564f2a59c029p-18, -0x1.5c9f895f58dbbp-18, -0x1.62d71dc2b71f5p-18, -0x1.68f5aec73912bp-18, -0x1.6efb0639588f7p-18, -0x1.74e6f06bcec51p-18, -0x1.7ab93c32f1945p-18, -0x1.8071bae2e9458p-18, -0x1.86104048ec44fp-18, -0x1.8b94a2a6fd569p-18, -0x1.90febab382179p-18, -0x1.964e6390c69a3p-18, -0x1.9b837aca0229bp-18, -0x1.a09de04e8b6e1p-18, -0x1.a59d766c9b48dp-18, -0x1.aa8221cbd7344p-18, -0x1.af4bc963d3316p-18, -0x1.b3fa567c5e298p-18, -0x1.b88db4a2f73abp-18, -0x1.bd05d1a7be4ecp-18, -0x1.c1629d96b2b97p-18, -0x1.c5a40aafc29edp-18, -0x1.c9ca0d61b3dc1p-18, -0x1.cdd49c42bbc31p-18, -0x1.d1c3b007d24ap-18, -0x1.d59743814991cp-18, -0x1.d94f5391d624fp-18, -0x1.dcebdf26a2671p-18, -0x1.e06ce731a639p-18, -0x1.e3d26ea181566p-18, -0x1.e71c7a5a857eap-18, -0x1.ea4b112cfddffp-18, -0x1.ed5e3bcee59d3p-18, -0x1.f05604d53dc48p-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      34, 0x1.2ae147ae147aep+2, 0x1.7b47f9677a767p+1, 0x1.8f88f3e242e07p+2, -0x1.4896c5a8cf0e7p-7, 
      {{
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.f28f26de4db96p-5, -0x1.ae2d800cfa5e4p-3, 0x1.3eab2724eef37p-2, -0x1.732f34c7a25c3p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a2b61f8cfca33p-5, -0x1.713a57fa49e08p-3, 0x1.22d46995f5f97p-2, -0x1.721cde4fa9c7ep-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.5e7f540d3f9f8p-5, -0x1.39d67a49b1a22p-3, 0x1.07123f4ffc70bp-2, -0x1.715ba2e0197a3p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.24ce7adbe6c3ep-5, -0x1.07fe653f37a85p-3, 0x1.d6bd26318ea8fp-3, -0x1.6ff2fe628b6d3p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.e90ffd583d905p-6, -0x1.b75be2d4b8b6bp-4, 0x1.9f8be66f93582p-3, -0x1.70d6e31490197p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.9921fccee214bp-6, -0x1.69c83fd47991p-4, 0x1.68387792e4216p-3, -0x1.62740485bdbf3p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.57a053b5873abp-6, -0x1.270e0e6210115p-4, 0x1.330d76e53ade7p-3, -0x1.44cb5694cd715p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.226e7a4ab4174p-6, -0x1.dd0858c3f0074p-5, 0x1.02555d1bb5a6dp-3, -0x1.296c5637483edp-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.ef31f09f5862ep-7, -0x1.7e9f361bcad1p-5, 0x1.ab70a05a08d4bp-4, -0x1.0d70675dab993p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.aaae3cc4df454p-7, -0x1.31379404ea5b4p-5, 0x1.5a9bb48abbbffp-4, -0x1.e33d09c20204p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.74160bfb76339p-7, -0x1.e649bed599091p-6, 0x1.121f597a6ea6p-4, -0x1.ab82bed94a17bp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.488322f20fb15p-7, -0x1.8576e3541a851p-6, 0x1.a3fde01a13dfp-5, -0x1.73ce72f43bec8p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.2564d811176b6p-7, -0x1.3c9ec95118579p-6, 0x1.3473240401e43p-5, -0x1.3c18b0efe8268p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.0880137a72366p-7, -0x1.0869c76bf8876p-6, 0x1.ab3dddde787ecp-6, -0x1.0462c864fd49dp-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dfde9e12fc1edp-8, -0x1.cb004fc5fca29p-7, 0x1.0f0298d513b8p-6, -0x1.995de0277c429p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.b4452ca62435ep-8, -0x1.a114874aa2d1dp-7, 0x1.286677f8dce2ap-7, -0x1.29e5fac4b8ebdp-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.8bbf0d4afd4bep-8, -0x1.8c608a7f54d6ap-7, 0x1.d6a51fa4eaf11p-9, -0x1.75558fdf773afp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.64829e111a4b4p-8, -0x1.8636042f33505p-7, 0x1.6a4d9658f0e13p-13, -0x1.2a33fe8fdab11p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3d71607b006c6p-8, -0x1.87e1a5238019p-7, -0x1.388e4b7b1b83dp-10, 0x1.12192ad4b6d19p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.1617f97e273cp-8, -0x1.8ac2b07b48134p-7, -0x1.283196c3c209fp-11, 0x1.36ce842e3784p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.dd5c6305f12c5p-9, -0x1.87f31a004ab1fp-7, 0x1.2aeb6c201ee73p-9, 0x1.847fdee9b5916p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.901b54b75988cp-9, -0x1.7aa62d8de7334p-7, 0x1.7e8f3bcf7c638p-8, 0x1.2d9a53a68722p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.469761bf8046ap-9, -0x1.62ff42e8b5fe8p-7, 0x1.19c2b70019eedp-7, 0x1.deb99b43b87c7p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.02a61d0ed1586p-9, -0x1.433b09af3b9d6p-7, 0x1.6191c17d759c3p-7, 0x1.550762738d22ap-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8b6afd89c8799p-10, -0x1.1d50e30980137p-7, 0x1.94b94375312e2p-7, 0x1.9dc3a48361036p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.2197c860f7f16p-10, -0x1.e6957e63896ep-8, 0x1.b3c18965720e1p-7, 0x1.1f033175be8c3p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.92203f3e1c6bcp-11, -0x1.8e5b411fc4253p-8, 0x1.be84db4042ccep-7, -0x1.f7f85adc754d4p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.0484a53c7ef18p-11, -0x1.35ff638635162p-8, 0x1.b511ccbf53cdp-7, -0x1.8c904c1e6af1p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3335ec5c5bf1ep-12, -0x1.c31da97dc7afbp-9, 0x1.9753c709d8944p-7, -0x1.4bcd630379596p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.3c0be903b8cd4p-13, -0x1.2a2397b9f2234p-9, 0x1.658e91c9532d6p-7, -0x1.d7d8d3faa3059p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.05f072f99382p-14, -0x1.528b197659994p-10, 0x1.1ec7a53087867p-7, -0x1.25c7a952cbc21p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.25e4860374e41p-16, -0x1.20bf0156c3954p-11, 0x1.8d4ab195c7ff8p-8, -0x1.8d09b33f3c31dp-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1ac21778f5fep-19, -0x1.08cea21edc9d2p-13, 0x1.3e2358dfae2b5p-9, -0x1.e43a3a7b6ab19p-7}, 
        {0x1.299999999999ap+2, 0x1.2ae147ae147aep+2, 0x1.e25f7a091a1c3p-27, 0x1.791b47df936e1p-18, 0x1.b9a0295a155dp-13, -0x1.1141abb82f357p-3}, 
      }}, 
      0x1.1079a498a6832p+3, -0x1.3c04375f03cefp+7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.36eabc22bad2fp-2, 0x1.35c36419ef383p-2, 0x1.33dbb276a8959p-2, 0x1.313a3eefa9a09p-2, 0x1.2de7b441984b7p-2, 0x1.29ee542edfcf7p-2, 0x1.255986dc424bdp-2, 0x1.20357c46d2a7ep-2, 0x1.1a8ede2ab6d8bp-2, 0x1.14728f27c4e5bp-2, 0x1.0ded74ba65422p-2, 0x1.070c4a8c22cbbp-2, 0x1.ffb6fcd987575p-3, 0x1.f0ce26f08a9d5p-3, 0x1.e17519ad027e1p-3, 0x1.d1c1bc0b8d60dp-3, 0x1.c1c8c1a6a4e54p-3, 0x1.b19d9fe87c6b6p-3, 0x1.a1528ad9c9ebep-3, 0x1.90f8780a82a5p-3, 0x1.809f25e4a59b8p-3, 0x1.705525f14bb25p-3, 0x1.6027e8d8207f2p-3, 0x1.5023cb231e66fp-3, 0x1.4054220d1838bp-3, 0x1.30c347d8077e1p-3, 0x1.217aa759d312dp-3, 0x1.1282c69b91dc6p-3, 0x1.03e3508d525d3p-3, 0x1.eb463bd7d7b7fp-4, 0x1.cf907b0ceda1cp-4, 0x1.b4aff83025b3p-4, 0x1.9aadd7d3cdb69p-4, 0x1.8191d8d710f95p-4, 0x1.696263ccf7bb6p-4, 0x1.52249acc13662p-4, 0x1.3bdc69c308b8fp-4, 0x1.268c97584f551p-4, 0x1.1236d6498a751p-4, 0x1.fdb7ae6064a9p-5, 0x1.d8f6b50e29c01p-5, 0x1.b628858cc901cp-5, 0x1.95494cd55df8fp-5, 0x1.7653c37f5a044p-5, 0x1.59415091904a9p-5, 0x1.3e0a2b1c443fap-5, 0x1.24a57af43e165p-5, 0x1.0d0977a8d332p-5, 0x1.ee570c97cb8a1p-6, 0x1.c600aae326141p-6, 0x1.a0f7ef14e0f82p-6, 0x1.7f23f75876751p-6, 0x1.606b093cbb7a9p-6, 0x1.44b2bc948fe8p-6, 0x1.2be022dd044p-6, 0x1.15d7ebad522d2p-6, 0x1.027e85d22008bp-6, 0x1.e3707b0269696p-7, 0x1.c6d2af49ee3eap-7, 0x1.aeec55112ef98p-7, 0x1.9b866695fdf4dp-7, 0x1.8c6a55340453cp-7, 0x1.81622736f82cdp-7, 0x1.7a389c3436731p-7, 0x1.76b93ef60fbf9p-7, 0x1.76b0844fd025bp-7, 0x1.79ebd6924af6p-7, 0x1.8039ac402ce06p-7, 0x1.8969896a38b51p-7, 0x1.954c24eee8af2p-7, 0x1.a3b33c213010ap-7, 0x1.b471e66349d96p-7, 0x1.c75c4708b762p-7, 0x1.dc47c496faad8p-7, 0x1.f30b18a1abf24p-7, 0x1.05befb8096d04p-6, 0x1.12bccb2a1ad23p-6, 0x1.206c123709474p-6, 0x1.2eba97ff2426dp-6, 0x1.3d96ab2ba793dp-6, 0x1.4cef45e4f9a97p-6, 0x1.5cb3e84480235p-6, 0x1.6cd4aced06191p-6, 0x1.7d424fdc1b7bdp-6, 0x1.8dee07c9b22dap-6, 0x1.9ec9b1d0f811fp-6, 0x1.afc7b0fb8480bp-6, 0x1.c0daf5e7e4223p-6, 0x1.d1f70363031ddp-6, 0x1.e30fe5248bcc6p-6, 0x1.f41a35045ea53p-6, 0x1.02858c0f5abb2p-5, 0x1.0aec1f6607a06p-5, 0x1.133bf1e18149cp-5, 0x1.1b706554a7dbp-5, 0x1.23851f51ce6b6p-5, 0x1.2b7608359dce1p-5, 0x1.333f4a1c6ce86p-5, 0x1.3add4fbbd7e66p-5, 0x1.424cc324464c4p-5, 0x1.498a8c64e085cp-5, 0x1.5093d010bb1a5p-5, 0x1.5765ed9e4dc04p-5, 0x1.5dfe7d9f48ac5p-5, 0x1.645b4fd4245eep-5, 0x1.6a7a691d2146dp-5, 0x1.705a01522f6e2p-5, 0x1.75f8810d397d1p-5, 0x1.7b547f6e16396p-5, 0x1.806cbfe4b3dedp-5, 0x1.8540300ad7446p-5, 0x1.89cde590e9ab7p-5, 0x1.8e151c42ce8b7p-5, 0x1.921534287fc73p-5, 0x1.95cdafbdf10eap-5, 0x1.993e3241d6dc4p-5, 0x1.9c667e1abe553p-5, 0x1.9f46734d7393ap-5, 0x1.a1de0e02b39cep-5, 0x1.a42d6519d9812p-5, 0x1.a634a8cc29459p-5, 0x1.a7f421564df96p-5, 0x1.a96c2daffcf7ap-5, 0x1.aa9d42500a67p-5, 0x1.ab87e7f4e2375p-5, 0x1.ac2cba80b8ac6p-5, 0x1.ac8c67d4f25b3p-5, 0x1.aca7aebccfbb4p-5, 0x1.ac7f5de8d40fdp-5, 0x1.ac1452dd95c84p-5, 0x1.ab677902498ap-5, 0x1.aa79c8b2b89dep-5, 0x1.a94c464319edfp-5, 0x1.a7e001319b5aap-5, 0x1.a6361349f0cfep-5, 0x1.a44f9fc09528dp-5, 0x1.a22dd287522ap-5, 0x1.9fd1df84abbafp-5, 0x1.9d3d01c6b997ap-5, 0x1.9a707afb1f95ap-5, 0x1.976d92c1ceae9p-5, 0x1.943595f551922p-5, 0x1.90c9d643487b8p-5, 0x1.8d2ba9a2006b5p-5, 0x1.895c69aa2e822p-5, 0x1.855d7346de4abp-5, 0x1.813026529d58bp-5, 0x1.7cd5e4ff6cb3ep-5, 0x1.7850138edc9a9p-5, 0x1.73a018175b04bp-5, 0x1.6ec759fdfd0bfp-5, 0x1.69c741a51791bp-5, 0x1.64a1385243fdap-5, 0x1.5f56a7c7c4ffbp-5, 0x1.59e8f9deb3ddfp-5, 0x1.54599878dbfbfp-5, 0x1.4ea9ed4b9ee8ep-5, 0x1.48db616efbdfep-5, 0x1.42ef5d39b91adp-5, 0x1.3ce7483f4763ap-5, 0x1.36c488f93ab4p-5, 0x1.30888476f92a1p-5, 0x1.2a349e6714463p-5, 0x1.23ca390339c22p-5, 0x1.1d4ab4b152635p-5, 0x1.16b76fdb3f11dp-5, 0x1.1011c707ee581p-5, 0x1.095b14b5293e4p-5, 0x1.0294b1010dabep-5, 0x1.f77fe33690e03p-6, 0x1.e9bc53ba228fep-6, 0x1.dbe155332ee49p-6, 0x1.cdf183a4af44ep-6, 0x1.bfef7563e5a7bp-6, 0x1.b1ddbb39c1ad3p-6, 0x1.a3bedffca2438p-6, 0x1.95956806a75a7p-6, 0x1.8763d12ccc0dep-6, 0x1.792c92d4094c4p-6, 0x1.6af21d8688c4cp-6, 0x1.5cb6da680ef34p-6, 0x1.4e7d2b2832224p-6, 0x1.40476a1c2957p-6, 0x1.3217e9d716309p-6, 0x1.23f0f48597073p-6, 0x1.15d4cbc7f37a8p-6, 0x1.07c5a8e7bb46bp-6, 0x1.f38b7935298d2p-7, 0x1.d7ae5c7f65c3ap-7, 0x1.bbf836db22eedp-7, 0x1.a06d3059ec088p-7, 0x1.85115e47d22ccp-7, 0x1.69e8c202b45bp-7, 0x1.4ef747435f513p-7, 0x1.3440c3b911684p-7, 0x1.19c8f7eda9ecdp-7, 0x1.ff271f00e7bd8p-8, 0x1.cb483f5d11c3ep-8, 0x1.97fc4b149018bp-8, 0x1.654a0b8d0b9f2p-8, 0x1.33381bb9f84fcp-8, 0x1.01cce90ba3cadp-8, 0x1.a21d616f67112p-9, 0x1.4206f7aeb992ap-9, 0x1.c6c479bf4254ap-10, 0x1.0c74e78469dabp-10, 0x1.54d3f09d8e709p-12, -0x1.7b9932cb31f33p-12, -0x1.0fc8cf356c5bcp-10, -0x1.bd5f48f6c3d99p-10, -0x1.33cba95d61c26p-9, -0x1.872fa98b80c78p-9, -0x1.d8d33d4db6f82p-9, -0x1.145733cde5349p-8, -0x1.3b5ccede37613p-8, -0x1.6176e4695c69p-8, -0x1.86a21fec5d5c5p-8, -0x1.aadb60522cfd3p-8, -0x1.ce1fb7b75ba92p-8, -0x1.f06c6eabffd26p-8, -0x1.08df83c2a76bap-7, -0x1.190a9f18d8529p-7, -0x1.28b6824754771p-7, -0x1.37e23f6107f1ep-7, -0x1.468d017844b9cp-7, -0x1.54b60e1defae9p-7, -0x1.625cc6df534ap-7, -0x1.6f80a920df63fp-7, -0x1.7c214c49e6eabp-7, -0x1.883e5fcb7d5b2p-7, -0x1.93d7aa9766152p-7, -0x1.9eed0c2f84159p-7, -0x1.a97e7e0092486p-7, -0x1.b38c13851a6fbp-7, -0x1.bd15f8cf04d68p-7, -0x1.c61c708393e2ap-7, -0x1.ce9fd2bd031cp-7, -0x1.d6a08d5be2ea4p-7, -0x1.de1f250ddce0dp-7, -0x1.e51c35c87aa6p-7, -0x1.eb98720080fd7p-7, -0x1.f194a0f991f76p-7, -0x1.f7119d3f95c5cp-7, -0x1.fc10541aa83a4p-7, -0x1.0048e2f4b8159p-6, -0x1.024b834e38d75p-6, -0x1.04109ec6eb944p-6, -0x1.0598d24168a85p-6, -0x1.06e4c3246017bp-6, -0x1.07f51ecfb002dp-6, -0x1.08ca9a65e9903p-6, -0x1.0965f2cef8afdp-6, -0x1.09c7ecb34fb9dp-6, -0x1.09f154425dd9p-6, -0x1.09e2fcc49a22bp-6, -0x1.099dc01d8dd13p-6, -0x1.09227e6862f69p-6, -0x1.08721dbd78506p-6, -0x1.078d8a0a79258p-6, -0x1.0675b4dc26722p-6, -0x1.052b950e2b287p-6, -0x1.03b0266eaeb2fp-6, -0x1.0204696a6e4dbp-6, -0x1.002962cd4ebbcp-6, -0x1.fc403722c3f33p-7, -0x1.f7d3414ddeeafp-7, -0x1.f30e054514593p-7, -0x1.edf2aaaa5291p-7, -0x1.e8835ed096506p-7, -0x1.e2c2542eccd8p-7, -0x1.dcb1c21623778p-7, -0x1.d653e4886df27p-7, -0x1.cfaafbf497452p-7, -0x1.c8b94ca91fd0bp-7, -0x1.c1811df81fd75p-7, -0x1.ba04b94136cb4p-7, -0x1.b246692e4f33cp-7, -0x1.aa4879525ccf2p-7, -0x1.a20d361c98a5ap-7, -0x1.9996ece30c61fp-7, -0x1.90e7ebbcde8a5p-7, -0x1.880280fdf5232p-7, -0x1.7ee8fa58eb37dp-7, -0x1.759da3e26047p-7, -0x1.6c22c7478cdb8p-7, -0x1.627aab6e8685dp-7, -0x1.58a7947a60cc4p-7, -0x1.4eabc3f8e2156p-7, -0x1.448978efa91c2p-7, -0x1.3a42ef92e8febp-7, -0x1.2fda609bc40bcp-7, -0x1.25520064ed44dp-7, -0x1.1aabfe14e10bfp-7, -0x1.0fea83178f5f6p-7, -0x1.050fb3007e25p-7, -0x1.f43b5770b1d97p-8, -0x1.de2d0b6e99034p-8, -0x1.c7f8a81c65f48p-8, -0x1.b1a24839b82e9p-8, -0x1.9b2df9f6537f4p-8, -0x1.849fbd7af1246p-8, -0x1.6dfb839de005fp-8, -0x1.57452d252cadbp-8, -0x1.40808ab51b214p-8, -0x1.29b15d36fe5d3p-8, -0x1.12db56521e31ap-8, -0x1.f804312580ee6p-9, -0x1.ca526e1acbb7fp-9, -0x1.9ca86914d05d2p-9, -0x1.6f0d04f467571p-9, -0x1.4187000e7750fp-9, -0x1.141cf32069d95p-9, -0x1.cdaaa29ca6232p-10, -0x1.736cd1d761a2ep-10, -0x1.198cc8e7770bfp-10, -0x1.802d2c0d24a2bp-11, -0x1.9c57ff64a32eap-12, -0x1.d2d05ccc4cdf3p-15, 0x1.2572c6d94e64ep-12, 0x1.41717e2defcb4p-11, 0x1.eee62f5dcda56p-11, 0x1.4d817e411c7d9p-10, 0x1.a2da02fd64e9fp-10, 0x1.f772fff4b6307p-10, 0x1.25a18b4153e3fp-9, 0x1.4f209791bda5dp-9, 0x1.78323e1f50379p-9, 0x1.a0d23f9b5ae63p-9, 0x1.c8fc86fd9fee9p-9, 0x1.f0ad2b6e1c14bp-9, 0x1.0bf03830b331p-8, 0x1.1f4961bf24ddbp-8, 0x1.32605c50e796dp-8, 0x1.45338288a8528p-8, 0x1.57c13db28f237p-8, 0x1.6a0804dd04c14p-8, 0x1.7c065d96582e6p-8, 0x1.8dbade4df53f6p-8, 0x1.9f2431c3fe9dep-8, 0x1.b0411a7a4d8cbp-8, 0x1.c11074f00b74ep-8, 0x1.d19137a7100f1p-8, 0x1.e1c270817914ep-8, 0x1.f1a33fcc710d6p-8, 0x1.0099690c27a4fp-7, 0x1.08382d4672464p-7, 0x1.0fad87c4347efp-7, 0x1.16f915748885cp-7, 0x1.1e1a773a55714p-7, 0x1.251155cecb6bfp-7, 0x1.2bdd665fe957p-7, 0x1.327e6e9c1f9dep-7, 0x1.38f446d69982fp-7, 0x1.3f3ed94da0c48p-7, 0x1.455e1e4e600b4p-7, 0x1.4b5215cefaeedp-7, 0x1.511abfe8b0a99p-7, 0x1.56b81621e5139p-7, 0x1.5c2a0782a7a6bp-7, 0x1.617078ec653cdp-7, 0x1.668b4a2ef5664p-7, 0x1.6b7a5f163571bp-7, 0x1.703daa792a57p-7, 0x1.74d538861c024p-7, 0x1.7941356019c0ep-7, 0x1.7d81edbf7a90dp-7, 0x1.8197c8939f961p-7, 0x1.85833a5d9e127p-7, 0x1.8944b4b882daep-7, 0x1.8cdc95cf74477p-7, 0x1.904b1bf9e84c2p-7, 0x1.93906123a7812p-7, 0x1.96ac6014d948bp-7, 0x1.999f036a5fa85p-7, 0x1.9c683b9ae214ap-7, 0x1.9f08175764e55p-7, 0x1.a17ed87ee5869p-7, 0x1.a3cd00140978dp-7, 0x1.a5f34d40f6402p-7, 0x1.a7f2ae332a66p-7, 0x1.a9cc24e78bdb7p-7, 0x1.ab80a51c9ece9p-7, 0x1.ad10f2c510da5p-7, 0x1.ae7d88e648456p-7, 0x1.afc68f8a420d2p-7, 0x1.b0ebe47d97c4fp-7, 0x1.b1ed368c46da2p-7, 0x1.b2ca2eacb4e59p-7, 0x1.b3829efc4ca7fp-7, 0x1.b416ad72f2678p-7, 0x1.b486f053092a4p-7, 0x1.b4d474bc11b8p-7, 0x1.b500ac0e7cefep-7, 0x1.b50d422e454b5p-7, 0x1.b4fbe4041592ep-7, 0x1.b4ce01a26fe1cp-7, 0x1.b484992a8c00ep-7, 0x1.b420166a45689p-7, 0x1.b3a04f5a2b159p-7, 0x1.b3049fe5a7f9ep-7, 0x1.b24c20f62096ap-7, 0x1.b175f0ea07c0ap-7, 0x1.b0817f99f0883p-7, 0x1.af6ecea2bfd14p-7, 0x1.ae3e9836c05a7p-7, 0x1.acf2531883bf4p-7, 0x1.ab8c10f482064p-7, 0x1.aa0e3be9e3679p-7, 0x1.a87b3f2c9c064p-7, 0x1.a6d52b9c90adp-7, 0x1.a51d6aa697e7p-7, 0x1.a3548f40c850cp-7, 0x1.a17a4eddba28ap-7, 0x1.9f8da43bb24afp-7, 0x1.9d8d15db54cffp-7, 0x1.9b771355c0cbdp-7, 0x1.994a58c6146a4p-7, 0x1.9706466b2b06ap-7, 0x1.94ab1c7e883fcp-7, 0x1.923a0fb7003cbp-7, 0x1.8fb5318f5c91dp-7, 0x1.8d1f2f6306d26p-7, 0x1.8a7af37c3abafp-7, 0x1.87cb39948d12bp-7, 0x1.85122b4dfe1bbp-7, 0x1.825117b2a160fp-7, 0x1.7f8852f7f217p-7, 0x1.7cb7432f0d271p-7, 0x1.79dc95a10a844p-7, 0x1.76f6918d67a18p-7, 0x1.740378f6b219ap-7, 0x1.7101e716be0a3p-7, 0x1.6df11d636bcd5p-7, 0x1.6ad13340ea08cp-7, 0x1.67a32146a15a7p-7, 0x1.6468a6f0e35fp-7, 0x1.61240ff0a819p-7, 0x1.5dd7e3ea391ep-7, 0x1.5a868f2fcb2b8p-7, 0x1.573213ee186bep-7, 0x1.53dbd100a3dd7p-7, 0x1.508466c8530dp-7, 0x1.4d2bbc51b4bacp-7, 0x1.49d12173cdd89p-7, 0x1.4673864d6f76p-7, 0x1.4311bdc8c007bp-7, 0x1.3faabf6fb8e1ep-7, 0x1.3c3ddd2c6eac2p-7, 0x1.38cae41abf0d8p-7, 0x1.3552244a9e165p-7, 0x1.31d461060b51cp-7, 0x1.2e52b0045c3a2p-7, 0x1.2ace508ee3b8cp-7, 0x1.2748839ed4b54p-7, 0x1.23c26bd3b3f3fp-7, 0x1.203cf8ab69a01p-7, 0x1.1cb8dcfd33633p-7, 0x1.19368eda23db1p-7, 0x1.15b64f003949ep-7, 0x1.12383694d99c1p-7, 0x1.0ebc48fcf55dfp-7, 0x1.0b42856fc1099p-7, 0x1.07caf2be4372p-7, 0x1.0455a21b71b4ap-7, 0x1.00e2aaef957e4p-7, 0x1.fae44c995965cp-8, 0x1.f40860c35f926p-8, 0x1.ed31e0d1603fp-8, 0x1.e6613fcd4771ep-8, 0x1.df970e1e9e10fp-8, 0x1.d8d3d314d815cp-8, 0x1.d217d4f0cfb94p-8, 0x1.cb62f2912a81dp-8, 0x1.c4b4b5a6ad9dbp-8, 0x1.be0cadc9f5fbbp-8, 0x1.b76af9a4b77eep-8, 0x1.b0d0ba69a1951p-8, 0x1.aa40254296905p-8, 0x1.a3bc0d1c8e91bp-8, 0x1.9d4704a5872d7p-8, 0x1.96e275707b94bp-8, 0x1.908e1b474d841p-8, 0x1.8a482ea3fefefp-8, 0x1.840e3dce9213fp-8, 0x1.7dde60b03b408p-8, 0x1.77b83c3fc0d28p-8, 0x1.719d4d823acc3p-8, 0x1.6b903dc872759p-8, 0x1.65937e1943d97p-8, 0x1.5fa7db57e48f8p-8, 0x1.59cbdb845a4e9p-8, 0x1.53fc57317af75p-8, 0x1.4e3613bdb2916p-8, 0x1.48778e8967bd4p-8, 0x1.42c20b1bb42ecp-8, 0x1.3d195608a76c2p-8, 0x1.37824d079e18fp-8, 0x1.3200cc443c885p-8, 0x1.2c95e7ad75265p-8, 0x1.273f3c78641c8p-8, 0x1.21f7bbca17462p-8, 0x1.1cb9baacb021ap-8, 0x1.17817da150532p-8, 0x1.124f1531ea2fp-8, 0x1.0d2680e5c95b3p-8, 0x1.080ddd1425a7cp-8, 0x1.030a8e817e401p-8, 0x1.fc3e220571e03p-9, 0x1.f295275222488p-9, 0x1.e9147d031fd23p-9, 0x1.dfb605f3f8872p-9, 0x1.d675c6340b926p-9, 0x1.cd5298e03275cp-9, 0x1.c44d87806c1bep-9, 0x1.bb68b8dc8f27fp-9, 0x1.b2a688021a641p-9, 0x1.aa0876286480bp-9, 0x1.a18d888c5a758p-9, 0x1.9930cf9dc8842p-9, 0x1.90e9e032a08f2p-9, 0x1.88b0212a1300dp-9, 0x1.807f5e87cb92cp-9, 0x1.785a7c61dda34p-9, 0x1.704a2b58b90b6p-9, 0x1.68587a58a95d8p-9, 0x1.608c6eddbd3d6p-9, 0x1.58e853d1e6544p-9, 0x1.516b0bb5ad151p-9, 0x1.4a12f118cfbe1p-9, 0x1.42e05c24dde21p-9, 0x1.3bd5fe80e785bp-9, 0x1.34f698726ceffp-9, 0x1.2e42015a9d3f8p-9, 0x1.27b4335b790efp-9, 0x1.2146dba78f2bep-9, 0x1.1af3b18847518p-9, 0x1.14b5ce847e089p-9, 0x1.0e89c0413f0f6p-9, 0x1.086d3000a90cep-9, 0x1.025edaaa42e7ep-9, 0x1.f8bdcfd206d9p-10, 0x1.ecde74413fa03p-10, 0x1.e12608caa9277p-10, 0x1.d59b0d560d9fcp-10, 0x1.ca4216723ff86p-10, 0x1.bf1dc89da5ae3p-10, 0x1.b4301d102bf76p-10, 0x1.a97c723f6a58p-10, 0x1.9f0887fa1ca25p-10, 0x1.94d9530b170bcp-10, 0x1.8aee33c7d9e9fp-10, 0x1.8140b3b1a077fp-10, 0x1.77c917e9fa64cp-10, 0x1.6e831486346d8p-10, 0x1.656f78396aad8p-10, 0x1.5c92590ee158p-10, 0x1.53eec74617fe4p-10, 0x1.4b82956065fabp-10, 0x1.4344ca697c13dp-10, 0x1.3b272676edf76p-10, 0x1.331b03aafca22p-10, 0x1.2b19e1f5e9164p-10, 0x1.232b5bf34b424p-10, 0x1.1b5fe4a25a9e7p-10, 0x1.13c3172db59dfp-10, 0x1.0c5356866ee69p-10, 0x1.0508cf3da42ep-10, 0x1.fbc63e8dec4d5p-11, 0x1.edd5ee7975a06p-11, 0x1.e04f5f0de7882p-11, 0x1.d3306ddc8e0eap-11, 0x1.c669af07340a2p-11, 0x1.b9e8cdfd31f64p-11, 0x1.ada080d26a0cap-11, 0x1.a18c8b81483e6p-11, 0x1.95b29d67a4106p-11, 0x1.8a1f5865caee6p-11, 0x1.7edfb7bf06a56p-11, 0x1.73fa77d1dff5bp-11, 0x1.696b1dadfb8cbp-11, 0x1.5f1e308aeccc3p-11, 0x1.54fb36e699cfp-11, 0x1.4b0036fc8db76p-11, 0x1.414607f9413a6p-11, 0x1.37da033e4ac7p-11, 0x1.2ea4f2793254dp-11, 0x1.258b64684de2dp-11, 0x1.1c95338f51261p-11, 0x1.13de0731d4117p-11, 0x1.0b7112f7899d4p-11, 0x1.0342ac0d1e9ecp-11, 0x1.f681d85949711p-12, 0x1.e6cb1583236e2p-12, 0x1.d77103e132f57p-12, 0x1.c8847b959a856p-12, 0x1.ba032be4d4108p-12, 0x1.abe2277c7673p-12, 0x1.9e1fed118644p-12, 0x1.90c5a25b254fdp-12, 0x1.83dc2175a6ccep-12, 0x1.7763cd59c4e88p-12, 0x1.6b477192f1c16p-12, 0x1.5f556ce5efd06p-12, 0x1.5377ca1143c78p-12, 0x1.47dfa9c3ae8e1p-12, 0x1.3cb37d890685ep-12, 0x1.31d60f0d79483p-12, 0x1.27373903e15f3p-12, 0x1.1cfd777d27f7cp-12, 0x1.133fe32518d62p-12, 0x1.09ebc4d5efeabp-12, 0x1.00e0a69790632p-12, 0x1.effe204c7db1dp-13, 0x1.de6ac59cad66p-13, 0x1.cd1fa17bcc58dp-13, 0x1.bc54f17ad3292p-13, 0x1.ac18c08eef048p-13, 0x1.9c445cb1a8a16p-13, 0x1.8cc7a5f5fc90cp-13, 0x1.7dcd18bc58bf4p-13, 0x1.6f7dc16089c55p-13, 0x1.61d3356d0e509p-13, 0x1.54b43692549fdp-13, 0x1.4810cc1f69088p-13, 0x1.3bba36310b902p-13, 0x1.2f80d8240ea3dp-13, 0x1.239b0972c4f49p-13, 0x1.1828eba86a02p-13, 0x1.0cef3d9136596p-13, 0x1.0200228fea761p-13, 0x1.ef293ea669eap-14, 0x1.db361bb4dad1ep-14, 0x1.c7dcf88e49a53p-14, 0x1.b503fa17ca843p-14, 0x1.a2ae4b4f02fc5p-14, 0x1.90e65947c9ec1p-14, 0x1.7fb84c72a99d8p-14, 0x1.6f30c9eeedfebp-14, 0x1.5f5b48c875c05p-14, 0x1.503c7dae676p-14, 0x1.41be6b3792acfp-14, 0x1.33a6e0631b52bp-14, 0x1.25d750a23cd4ep-14, 0x1.187f7cd75875ap-14, 0x1.0bb9515e36dbap-14, 0x1.fea918746549ap-15, 0x1.e6d17bdd0b6bp-15, 0x1.d077ca7747113p-15, 0x1.bb17691c4ad04p-15, 0x1.a673fb641c59dp-15, 0x1.925d7549bdde5p-15, 0x1.7e8001ea2f71p-15, 0x1.6b9c2f5c8b416p-15, 0x1.59d055dcdd796p-15, 0x1.48b1ab48ebaecp-15, 0x1.381d7585d27d7p-15, 0x1.281c968e219cap-15, 0x1.18b7c07bd890ap-15, 0x1.09efe53215ad2p-15, 0x1.f78387604edffp-16, 0x1.dc52d8c5f7771p-16, 0x1.c247511f2069dp-16, 0x1.a95a74d07631fp-16, 0x1.9181f4942c8afp-16, 0x1.7aada5ecb8091p-16, 0x1.64cafa06e81b6p-16, 0x1.4fce7045f58b2p-16, 0x1.3bb86a9b2078bp-16, 0x1.288288d0986fdp-16, 0x1.1621042c8e247p-16, 0x1.04fb773bcc0bap-16, 0x1.eb76ef8e05424p-17, 0x1.ceba9c6312933p-17, 0x1.b1fc13412a77dp-17, 0x1.955feda9a638p-17, 0x1.797dbf20eb596p-17, 0x1.5ff46cf54ca5ep-17, 0x1.48a3d0a4f789cp-17, 0x1.32bccaab27533p-17, 0x1.1dbc5bbba0121p-17, 0x1.0994d132ffafap-17, 0x1.ecbd710a89d4dp-18, 0x1.c8542dad0e8c7p-18, 0x1.a5f274bef2a3dp-18, 0x1.858e06cc2253fp-18, 0x1.6718d006e4567p-18, 0x1.4a86001b28a7cp-18, 0x1.2fc8f33417f07p-18, 0x1.16cfb05dc7af1p-18, 0x1.fefbc970bf4a1p-19, 0x1.d35d2c3fecb44p-19, 0x1.aa812aeaf2f63p-19, 0x1.844d1eb1e3f84p-19, 0x1.60b3d7a7347c7p-19, 0x1.3f597111f41d3p-19, 0x1.202ab63751807p-19, 0x1.05377fc636983p-19, 0x1.dcd78d1ec82f4p-20, 0x1.aed4523640cdap-20, 0x1.8018cea0c4d44p-20, 0x1.57ffad72d3e2ep-20, 0x1.35eab02671775p-20, 0x1.160c60fa889adp-20, 0x1.f364827aae0fdp-21, 0x1.c5b2aa11e170fp-21, 0x1.9ef0b50c2e21p-21, 0x1.797046cfa579fp-21, 0x1.54812770abbcdp-21, 0x1.34a8bed926a01p-21, 0x1.1e0ff6d546ef7p-21, 0x1.0cf6fb252d03ep-21, 0x1.fd5bdb9ab5212p-22, 0x1.e6765433a9994p-22, 0x1.d618b86cda0dep-22, 0x1.cc7b6f780c6efp-22, 0x1.c94595fca2ac9p-22, 0x1.cbce682aca575p-22, 0x1.d35ee7676ec27p-22, 0x1.df7e6cd701511p-22, 0x1.f01c510c6543dp-22, 0x1.027f605f006edp-21, 0x1.0e75ec92b6dabp-21, 0x1.1c0f88094a81cp-21, 0x1.2e2f63a70a34dp-21, 0x1.40d6db0d36a7fp-21, 0x1.5148f0fc1e59fp-21, 0x1.65495f306007cp-21, 0x1.7af0d90af0c98p-21, 0x1.908d704e2bdc5p-21, 0x1.a684d5c9b0cb7p-21, 0x1.bd05b85fbb009p-21, 0x1.d401abba86492p-21, 0x1.eb57f406b2155p-21, 0x1.0172af4e30f84p-20, 0x1.0d452a3f221c2p-20, 0x1.1915a10564032p-20, 0x1.24d47c3655bb3p-20, 0x1.307097bcf3b0ap-20, 0x1.3bf90e3ea97cp-20, 0x1.47bc28590057ap-20, 0x1.5387525aa2d0fp-20, 0x1.5ea2ab5decfefp-20, 0x1.694eeae392c3ap-20, 0x1.740b748d550fap-20, 0x1.7e89a2342be98p-20, 0x1.889786eda6e1fp-20, 0x1.923d4d5ed9d3cp-20, 0x1.9b84a8f32134ap-20, 0x1.a46d3c60325f2p-20, 0x1.ace82c408a642p-20, 0x1.b4f182b019abfp-20, 0x1.bcafb22987899p-20, 0x1.c3d60cf870a94p-20, 0x1.ca9566572a711p-20, 0x1.d0e7f71f038c6p-20, 0x1.d6b1538c44904p-20, 0x1.dbf8da634a0cep-20, 0x1.e0c0a1e14e5aep-20, 0x1.e50774e644a1p-20, 0x1.e8cbca2d68777p-20, 0x1.ec0c7093c6e97p-20, 0x1.eec89e8e35c1fp-20, 0x1.f0ffe38a3ebep-20, 0x1.f2b216483cfabp-20, 0x1.f3df42601c6c1p-20, 0x1.f487920d6f3bdp-20, 0x1.f4ab31b4d81a4p-20, 0x1.f44a3c5011ce3p-20, 0x1.f364d52f8625cp-20, 0x1.f1fb8a0e21114p-20, 0x1.f00fc1181c4f3p-20, 0x1.eda3ad534d1dbp-20, 0x1.eab9a5c535a0dp-20, 0x1.e7538ba576303p-20, 0x1.e37369481542fp-20, 0x1.df1cb57722d97p-20, 0x1.da4d0b33e3cd2p-20, 0x1.d4f22bf3031fbp-20, 0x1.cf2b4d9ca0601p-20, 0x1.c90b42e84c8dep-20, 0x1.c255224f4e5bp-20, 0x1.bb38c6b0dd20fp-20, 0x1.b3a94354c4c2dp-20, 0x1.abbf13af9d3c6p-20, 0x1.a37567cf7979cp-20, 0x1.9ac725e77e17fp-20, 0x1.91b61787e04e4p-20, 0x1.88454cbceb246p-20, 0x1.7e77dc5846ac2p-20, 0x1.7450cb701cad9p-20, 0x1.69d3170174e3ap-20, 0x1.5f01b855237c1p-20, 0x1.53dfa60f547ep-20, 0x1.486fd56d6ec12p-20, 0x1.3cb53bfd4e0e6p-20, 0x1.30b2cd4b3f15ap-20, 0x1.246b708629454p-20, 0x1.17e1ef1570a3ap-20, 0x1.0b18f27c36defp-20, 0x1.fc26592ae46ap-21, 0x1.e1a721094279bp-21, 0x1.c6baae0ec794ap-21, 0x1.ab67aa7b7efep-21, 0x1.8fb4e40109bcap-21, 0x1.73a94c8d15ce3p-21, 0x1.574a658fa1d92p-21, 0x1.3a98e78f8db53p-21, 0x1.1d940ef89b37dp-21, 0x1.0045081dfe0b5p-21, 0x1.c58faa151a76bp-22, 0x1.8a6c112ff3df3p-22, 0x1.4e92e6f819922p-22, 0x1.12055fc0048a4p-22, 0x1.aabf495b293dap-23, 0x1.311a44e141531p-23, 0x1.6e14c0cc5c4bp-24, 0x1.e715049e7ef86p-26, -0x1.ed02f1a5d5605p-26, -0x1.71a74f9de43c8p-24, -0x1.34b022591297dp-23, -0x1.b07d0b87fbe36p-23, -0x1.15f67f551cebcp-22, -0x1.539b458c351cfp-22, -0x1.9131ca5804348p-22, -0x1.ceb2869f6737bp-22, -0x1.0609da1fc2e08p-21, -0x1.24a5df1bfe239p-21, -0x1.4328c918230e2p-21, -0x1.618e53fcf53dp-21, -0x1.7fd285eb331eap-21, -0x1.9df19d31a89c5p-21, -0x1.bbe7d91c03c76p-21, -0x1.d9b154c263ad5p-21, -0x1.f74a21aeeedb2p-21, -0x1.0a5734f50e3e4p-20, -0x1.18ed2bdb73047p-20, -0x1.2764fbdc43f77p-20, -0x1.35bcfe5d6539p-20, -0x1.43f4c80cb4bf3p-20, -0x1.520c488afb20ep-20, -0x1.60016f2d50551p-20, -0x1.6dcf318b8bf88p-20, -0x1.7b683f456ae5ap-20, -0x1.88e11e2b196ffp-20, -0x1.96457eb67fc1ap-20, -0x1.a3711f171b41ep-20, -0x1.b06d23dc19773p-20, -0x1.bd3cb95abb0d9p-20, -0x1.c9deb103cad71p-20, -0x1.d651b8969202p-20, }}, 
      {{0x1.36fca84c95884p-2, 0x1.360a795b9fd5ap-2, 0x1.3479607135bd7p-2, 0x1.324d19b32210fp-2, 0x1.2f8aa5ca4f296p-2, 0x1.2c3810399ecf6p-2, 0x1.285c367c24faap-2, 0x1.23fe95428940dp-2, 0x1.1f271cca5af34p-2, 0x1.19de0b99c092ap-2, 0x1.142bcea17b50ep-2, 0x1.0e18e5f737f0cp-2, 0x1.07adcd974772ap-2, 0x1.00f2e9c5f6f4dp-2, 0x1.f3e0ed7a8042p-3, 0x1.e55cf6d02f206p-3, 0x1.d6697dd38492cp-3, 0x1.c7158168f2e8cp-3, 0x1.b76f65c3e9b7ap-3, 0x1.a784ecf0826efp-3, 0x1.9763328d2e752p-3, 0x1.8716aa1afa7cap-3, 0x1.76ab1f5cb2044p-3, 0x1.662bb849f9a13p-3, 0x1.55a2f82a4db7bp-3, 0x1.451ac37affa47p-3, 0x1.349c64527973ap-3, 0x1.24308f04bb38p-3, 0x1.13df66dc7df4p-3, 0x1.03b082cbb4ef2p-3, 0x1.e755e4032b4e6p-4, 0x1.c7aa80bd30374p-4, 0x1.a86af58b61231p-4, 0x1.89a2669e6c875p-4, 0x1.6b5b0ac95710bp-4, 0x1.4d9e339b02634p-4, 0x1.30745569f7b48p-4, 0x1.13e50f6020738p-4, 0x1.efee6722457acp-5, 0x1.b9619e4400e69p-5, 0x1.842e65097d385p-5, 0x1.505df38e28751p-5, 0x1.1df829e06dc68p-5, 0x1.da07419e55babp-6, 0x1.7b0b757434feep-6, 0x1.1f0568a4e1c1fp-6, 0x1.8bf6d4ed8fd96p-7, 0x1.bfc703d2c9ecap-8, 0x1.ceac947a2a39fp-10, -0x1.98c74467c6b6dp-9, -0x1.0034d55f4ff67p-7, -0x1.9438be8bd8e1dp-7, -0x1.1122d743e42a5p-6, -0x1.55333619327a2p-6, -0x1.965416a0be26dp-6, -0x1.d48d30d5e9e0ep-6, -0x1.07f3a07e071c6p-5, -0x1.2435f7d189dc5p-5, -0x1.3f12dd8ac1978p-5, -0x1.588ff0fcd1573p-5, -0x1.70b3277cbae6fp-5, -0x1.8782c2c922bb9p-5, -0x1.9d0547f0721f6p-5, -0x1.b14176e81afcbp-5, -0x1.c43e42bfddca4p-5, -0x1.d602ca83dc021p-5, -0x1.e6965270f6a4dp-5, -0x1.f6003d864eba5p-5, -0x1.022403b273029p-4, -0x1.08ba9f6ea2bbbp-4, -0x1.0ec7c09b56923p-4, -0x1.144f3b2561075p-4, -0x1.1954e6180b901p-4, -0x1.1ddc99e21444bp-4, -0x1.21ea2e066270ep-4, -0x1.2581778ecba63p-4, -0x1.28a64783ff2a6p-4, -0x1.2b5c69d823a28p-4, -0x1.2da7a482cbc1cp-4, -0x1.2f8bb6766c5aap-4, -0x1.310c567a6944ap-4, -0x1.322d31cb8bd4p-4, -0x1.32f1eb13e12c2p-4, -0x1.335e194979ec6p-4, -0x1.3375471ad264cp-4, -0x1.333af27fd518p-4, -0x1.32b28c3e0db5p-4, -0x1.31df778ac3a73p-4, -0x1.30c5096df44b5p-4, -0x1.2f668819c7fd5p-4, -0x1.2dc72a3ffb9a5p-4, -0x1.2bea167809c17p-4, -0x1.29d262cd96fd9p-4, -0x1.27831476ba1acp-4, -0x1.24ff1fadd119p-4, -0x1.224967a06b674p-4, -0x1.1f64be6516db3p-4, -0x1.1c53e4ecd90e8p-4, -0x1.19198aeb43e18p-4, -0x1.15b84eb60d5cp-4, -0x1.1232bd2151ce1p-4, -0x1.0e8b515fb704dp-4, -0x1.0ac474ecd9396p-4, -0x1.06e07f86990f6p-4, -0x1.02e1b736e31ffp-4, -0x1.fd94a0da5fd15p-5, -0x1.f538dc49f772ap-5, -0x1.ecb4442b5781fp-5, -0x1.e40ad9d068e61p-5, -0x1.db407cdf18348p-5, -0x1.d258ebc3fb705p-5, -0x1.c957c424c8a48p-5, -0x1.c0408352f3312p-5, -0x1.b71686bfdf205p-5, -0x1.addd0c74a7fa8p-5, -0x1.a497338f6b32fp-5, -0x1.9b47fcc7a5dfap-5, -0x1.91f24af9d1b62p-5, -0x1.8898e3ba1a9aap-5, -0x1.7f3e6feccfb92p-5, -0x1.75e57c633becep-5, -0x1.6c907a7aa254ap-5, -0x1.6341c0bc529dfp-5, -0x1.59fb8b7d3d97cp-5, -0x1.50bffd7bedc3ap-5, -0x1.4791207d563d4p-5, -0x1.3e70e5e722afep-5, -0x1.356127590f987p-5, -0x1.2c63a7452d475p-5, -0x1.237a11864d2c1p-5, -0x1.1aa5fbf7baeabp-5, -0x1.11e8e70b90ac7p-5, -0x1.09443e6074d8fp-5, -0x1.00b9595921ea2p-5, -0x1.f092f761fb4ecp-6, -0x1.dfebac202a6e4p-6, -0x1.cf7f0d3fc37b6p-6, -0x1.bf4f3334a4ffbp-6, -0x1.af5e13af23d5cp-6, -0x1.9fad82b715274p-6, -0x1.903f33b659971p-6, -0x1.8114ba7f88ec1p-6, -0x1.722f8c5588c47p-6, -0x1.639100e02419cp-6, -0x1.553a531b47fc8p-6, -0x1.472ca24c8bc19p-6, -0x1.3968f2e673122p-6, -0x1.2bf02f6273983p-6, -0x1.1ec329276e5efp-6, -0x1.11e299638f7f8p-6, -0x1.054f21d4c06c8p-6, -0x1.f2129b3e2d34dp-7, -0x1.da232444d43f1p-7, -0x1.c2d09f6d44ceep-7, -0x1.ac1ba4d8bde5ap-7, -0x1.9604a5b6b3343p-7, -0x1.808bedb3b1152p-7, -0x1.6bb1a449ddf77p-7, -0x1.5775ce36177edp-7, -0x1.43d84ee4cfbbep-7, -0x1.30d8e9a3128d3p-7, -0x1.1e7742d3c8ef7p-7, -0x1.0cb2e1465f019p-7, -0x1.f7165ecdd6599p-8, -0x1.d5fef87d70e56p-8, -0x1.b61df91edfe2dp-8, -0x1.97719802be4bp-8, -0x1.79f7dc3e16ff5p-8, -0x1.5dae9e65b38fp-8, -0x1.42938a9019521p-8, -0x1.28a4226872b3bp-8, -0x1.0fddbedbe58b5p-8, -0x1.f07b234289c48p-9, -0x1.c3814e1402ebap-9, -0x1.98c7cfbbfd987p-9, -0x1.704835b4cdc2fp-9, -0x1.49fbcc1de64f5p-9, -0x1.25dba0feb3e07p-9, -0x1.03e087b11385bp-9, -0x1.c806375205749p-10, -0x1.8c7785c675b47p-10, -0x1.55056185fc4ffp-10, -0x1.219fd27ac1d98p-10, -0x1.e46d0e290192bp-11, -0x1.8d71b15c6029ep-11, -0x1.3e2ba0d09dp-11, -0x1.ecf0b399697f6p-12, -0x1.6c699eb5a5612p-12, -0x1.f4f5caf856f46p-13, -0x1.2db8ede9aea1cp-13, -0x1.051588253d5adp-14, 0x1.a5056376aad1ap-18, 0x1.03e995fc1f90ep-14, 0x1.b8e2b9c27ba7ep-14, 0x1.1d3559bf5fb5dp-13, 0x1.44d94deedf63cp-13, 0x1.53f6b3f8d4dddp-13, 0x1.4b27d57fcf50ep-13, 0x1.2b07b15ed636fp-13, 0x1.e863c0896adeep-14, 0x1.4e84e8828c3bcp-14, 0x1.13575c68c6831p-15, -0x1.93ba95bd06cf6p-16, -0x1.7c1083881ed93p-14, -0x1.5d40231731063p-13, -0x1.07c119f7a8334p-12, -0x1.6a18f04605c41p-12, -0x1.d5597052a41c2p-12, -0x1.249a53802809dp-11, -0x1.62ae6df718ddp-11, -0x1.a4c24e36dd16p-11, -0x1.eaaf647bda65p-11, -0x1.1a27a8cda1a05p-10, -0x1.40bdf6665ad19p-10, -0x1.6907a3f29c579p-10, -0x1.92f1d9a1fa75ap-10, -0x1.be69e17a9e4ddp-10, -0x1.eb5d2a8ba835p-10, -0x1.0cdca5fe487efp-9, -0x1.24b603a1160a3p-9, -0x1.3d31a4cb52567p-9, -0x1.564696c55d5edp-9, -0x1.6febfeaed6af9p-9, -0x1.8a191aef40a3cp-9, -0x1.a4c5447cbdc0bp-9, -0x1.bfe7efa9a5c62p-9, -0x1.db78ac9d5f29p-9, -0x1.f76f27e8227f4p-9, -0x1.09e195bdefb6bp-8, -0x1.18364ff163607p-8, -0x1.26b1c6a65a204p-8, -0x1.35500e11fd0f3p-8, -0x1.440d4aaa33483p-8, -0x1.52e5b14fcfd95p-8, -0x1.61d587a5d30e7p-8, -0x1.70d92489661e2p-8, -0x1.7fecf07e309c4p-8, -0x1.8f0d65ea9e5f4p-8, -0x1.9e371128b061p-8, -0x1.ad669091aecb3p-8, -0x1.bc9894a8ac32bp-8, -0x1.cbc9e067911abp-8, -0x1.daf749906d90cp-8, -0x1.ea1db8e0aaee5p-8, -0x1.f93a2a1a8a61dp-8, -0x1.0424d5fd498ebp-7, -0x1.0ba4b01c0c711p-7, -0x1.131b3dd0f95c1p-7, -0x1.1a872326868b4p-7, -0x1.21e70ddd0c4c1p-7, -0x1.2939b56f27602p-7, -0x1.307ddb080bb9dp-7, -0x1.37b24975cb65dp-7, -0x1.3ed5d52203eb5p-7, -0x1.45e75c1416505p-7, -0x1.4ce5c5f786f3ap-7, -0x1.53d0041d38a91p-7, -0x1.5aa511719e881p-7, -0x1.6163f269ce0c3p-7, -0x1.680bb4ee4f573p-7, -0x1.6e9b704ab2c5p-7, -0x1.7512452354641p-7, -0x1.7b6f5d6d6a4c8p-7, -0x1.81b1ec6324b2cp-7, -0x1.87d92e6fc1937p-7, -0x1.8de469162daaep-7, -0x1.93d2ead369bdfp-7, -0x1.99a40b070b7b7p-7, -0x1.9f5729ddc176cp-7, -0x1.a4ebb03f11439p-7, -0x1.aa610fb8341a6p-7, -0x1.afb6c26176ee1p-7, -0x1.b4ec4abe2d6cfp-7, -0x1.ba01339a5fc3p-7, -0x1.bef50fea27043p-7, -0x1.c3c77aacef6afp-7, -0x1.c87816d3706c9p-7, -0x1.cd068f2509fe2p-7, -0x1.d172962159931p-7, -0x1.d5bbe5dcd406ep-7, -0x1.d9e23fd9fc95bp-7, -0x1.dde56ce2746c5p-7, -0x1.e1c53ce2ccb96p-7, -0x1.e58186ca2adep-7, -0x1.e91a286be8af3p-7, -0x1.ec8f0660440d1p-7, -0x1.efe00be15447dp-7, -0x1.f30d2aa3cc47dp-7, -0x1.f6165aacfe6e9p-7, -0x1.f8fb9a29023e6p-7, -0x1.fbbced4388ce9p-7, -0x1.fe5a5e047f26cp-7, -0x1.0069fe1794f63p-6, -0x1.0194ee90b002cp-6, -0x1.02ae0dd7fbbdp-6, -0x1.03b56bffd6198p-6, -0x1.04ab1bad7c1d8p-6, -0x1.058f3203991bep-6, -0x1.0661c68dc045ep-6, -0x1.0722f32d7b8efp-6, -0x1.07d2d4091da0ep-6, -0x1.0871877b6095dp-6, -0x1.08ff2e02d3701p-6, -0x1.097bea2febf31p-6, -0x1.09e7e0919f4ecp-6, -0x1.0a4337a0e36e3p-6, -0x1.0a8e17ac163cbp-6, -0x1.0ac8aac362f2bp-6, -0x1.0af31ca6a6318p-6, -0x1.0b0d9ab4f0975p-6, -0x1.0b1853dd06a75p-6, -0x1.0b13788e0a366p-6, -0x1.0aff3aa7462ep-6, -0x1.0adbcd66c7811p-6, -0x1.0aa96556ed89dp-6, -0x1.0a68383b864cap-6, -0x1.0a187cff59352p-6, -0x1.09ba6ba2c38f1p-6, -0x1.094e3d2bc88bfp-6, -0x1.08d42b976e1fdp-6, -0x1.084c71cc15ca9p-6, -0x1.07b74b8c004d3p-6, -0x1.0714f5677fbedp-6, -0x1.0665acae50e54p-6, -0x1.05a9af6079688p-6, -0x1.04e13c1e39955p-6, -0x1.040c92182eaebp-6, -0x1.032bf1000ea5bp-6, -0x1.023f98f9c9dbp-6, -0x1.0147ca8df091fp-6, -0x1.0044c69d33fa5p-6, -0x1.fe6d9ca9d5c57p-7, -0x1.fc3c4648c932fp-7, -0x1.f9f60d6558c88p-7, -0x1.f79b75a8863c1p-7, -0x1.f52d030129258p-7, -0x1.f2ab398d45cbep-7, -0x1.f0169d81d4409p-7, -0x1.ed6fb310cabf4p-7, -0x1.eab6fe4e592c2p-7, -0x1.e7ed0316627e4p-7, -0x1.e51244f3f672ep-7, -0x1.e227470c3adcfp-7, -0x1.df2c8c0dcd267p-7, -0x1.dc2296248f597p-7, -0x1.d909e6f1176f6p-7, -0x1.d5e2ff8196655p-7, -0x1.d2ae6049c905fp-7, -0x1.cf6c89176833ap-7, -0x1.cc1df90159283p-7, -0x1.c8c32e512770bp-7, -0x1.c55ca667ebfa7p-7, -0x1.c1eadda175fbfp-7, -0x1.be6e4f3968e5p-7, -0x1.bae77535db16ap-7, -0x1.b756c85a7b71cp-7, -0x1.b3bcc024ead84p-7, -0x1.b019d2d18e712p-7, -0x1.ac6e75654244ep-7, -0x1.a8bb1bb7c59f2p-7, -0x1.a5003879b20f6p-7, -0x1.a13e3d31c42a9p-7, -0x1.9d759a2f3940fp-7, -0x1.99a6be713f376p-7, -0x1.95d2178607c2fp-7, -0x1.91f81166b536dp-7, -0x1.8e191655e80cap-7, -0x1.8a358ec72bed5p-7, -0x1.864de153bb04p-7, -0x1.826272bf0172ep-7, -0x1.7e73a60a136eap-7, -0x1.7a81dc9283354p-7, -0x1.768d76365982bp-7, -0x1.7296d1756a7a8p-7, -0x1.6e9e4b87f5011p-7, -0x1.6aa44063b01cp-7, -0x1.66a90aab24023p-7, -0x1.62ad0386f900cp-7, -0x1.5eb0826d9b12fp-7, -0x1.5ab3dce205028p-7, -0x1.56b766358d5dap-7, -0x1.52bb6f5a24e1fp-7, -0x1.4ec046d0e2129p-7, -0x1.4ac638bcb7ec3p-7, -0x1.46cd8f1ad3d97p-7, -0x1.42d6921a42c64p-7, -0x1.3ee18884ac75ap-7, -0x1.3aeeb82443c16p-7, -0x1.36fe661047a17p-7, -0x1.3310d6cb6212dp-7, -0x1.2f264e2642dbfp-7, -0x1.2b3f0ee3ca0dfp-7, -0x1.275b5a29c8e58p-7, -0x1.237b6ed6e7145p-7, -0x1.1f9f88e03e2adp-7, -0x1.1bc7e0dce5082p-7, -0x1.17f4abe028cb1p-7, -0x1.14261bb5655d1p-7, -0x1.105c5f7bdf1ddp-7, -0x1.0c97a48b05cbep-7, -0x1.08d8177614ec8p-7, -0x1.051de4fbab299p-7, -0x1.01693aafa4daap-7, -0x1.fb748e6e661a1p-8, -0x1.f4227402c94p-8, -0x1.ecdc84f9cf3dfp-8, -0x1.e5a31dca74f51p-8, -0x1.de7695b597733p-8, -0x1.d7573c1acf0aap-8, -0x1.d045568fff212p-8, -0x1.c941204164959p-8, -0x1.c24acade5731fp-8, -0x1.bb6280f805c0bp-8, -0x1.b48869598716fp-8, -0x1.adbcaaa536cc2p-8, -0x1.a6ff6e7ce0ef7p-8, -0x1.a050e3a47e965p-8, -0x1.99b13ecf8a787p-8, -0x1.9320ba05ea0b8p-8, -0x1.8c9f92b3e9ad5p-8, -0x1.862e0697a1c89p-8, -0x1.7fcc4fe4943f4p-8, -0x1.797aa131199fbp-8, -0x1.733921fe8cda3p-8, -0x1.6d07ecc3b186fp-8, -0x1.66e70f2609f91p-8, -0x1.60d68c8106cb6p-8, -0x1.5ad662256c8f8p-8, -0x1.54e68c34a845cp-8, -0x1.4f0709e2b176ap-8, -0x1.4937e0486d3a7p-8, -0x1.43791b8af88d1p-8, -0x1.3dcace9d98bb3p-8, -0x1.382d120d775efp-8, -0x1.32a0021bbe14p-8, -0x1.2d23bc2a49a0ap-8, -0x1.27b85b718c463p-8, -0x1.225df540aa293p-8, -0x1.1d1495810d965p-8, -0x1.17dc3c87f3e6ap-8, -0x1.12b4df126ca58p-8, -0x1.0d9e68986b7b7p-8, -0x1.0898bf3f35358p-8, -0x1.03a3c81cacf98p-8, -0x1.fd7ed50e912dap-9, -0x1.f3d723991a9ecp-9, -0x1.ea505ae95a4a4p-9, -0x1.e0ea6177b828p-9, -0x1.d7a523cbe1eap-9, -0x1.ce80934ab7ab6p-9, -0x1.c57ca4b0d62p-9, -0x1.bc994d7d271d9p-9, -0x1.b3d6802d1366p-9, -0x1.ab342834dfb0dp-9, -0x1.a2b2273c6051dp-9, -0x1.9a5054cb3a665p-9, -0x1.920e8050000dp-9, -0x1.89ec7435b0611p-9, -0x1.81e9f8528118bp-9, -0x1.7a06d2ab9ab1ep-9, -0x1.7242c6cb55465p-9, -0x1.6a9d94e28deb7p-9, -0x1.6316fa058b587p-9, -0x1.5baeb1f34efp-9, -0x1.5464798830377p-9, -0x1.4d3810309c828p-9, -0x1.4629372582bf1p-9, -0x1.3f37aed2a0fedp-9, -0x1.3863345ffd434p-9, -0x1.31ab819c886e9p-9, -0x1.2b10500372dffp-9, -0x1.24915d4a48ee3p-9, -0x1.1e2e6e93111dcp-9, -0x1.17e7501d2af02p-9, -0x1.11bbd17bcc633p-9, -0x1.0babc03354784p-9, -0x1.05b6e2f87257cp-9, -0x1.ffb9ee136d9fdp-10, -0x1.f43b6083da0bdp-10, -0x1.e8f1779d9c768p-10, -0x1.dddb88e04d805p-10, -0x1.d2f8ec0f05bc9p-10, -0x1.c848fcb143f35p-10, -0x1.bdcb15aecfdeap-10, -0x1.b37e8c0669c19p-10, -0x1.a962af2ce29dfp-10, -0x1.9f76d13a45bfp-10, -0x1.95ba51d18e13p-10, -0x1.8c2ca32fda103p-10, -0x1.82cd44ed7a2b5p-10, -0x1.799bb86e47a02p-10, -0x1.709777acd4944p-10, -0x1.67bff388bf9a9p-10, -0x1.5f14979635edep-10, -0x1.5694ce80196cdp-10, -0x1.4e4004b82fc9ap-10, -0x1.4615a9adc83a9p-10, -0x1.3e152e6bd5b06p-10, -0x1.363dff44615eep-10, -0x1.2e8f7a41a1b0ap-10, -0x1.2708eaf52bc38p-10, -0x1.1fa994dcc3ba4p-10, -0x1.1870cb438193bp-10, -0x1.115e07b348c6fp-10, -0x1.0a70ec3d5a601p-10, -0x1.03a92b6aa0d1ap-10, -0x1.fa0cc8503b635p-11, -0x1.ed1015dfb0f3ap-11, -0x1.e05ade4cbcf63p-11, -0x1.d3eba81029294p-11, -0x1.c7c10c8343ecfp-11, -0x1.bbd9c00b93c77p-11, -0x1.b034835a92b72p-11, -0x1.a4d01c8c9eb4dp-11, -0x1.99ab649210308p-11, -0x1.8ec555f547886p-11, -0x1.841cffeae99fap-11, -0x1.79b15a79346ep-11, -0x1.6f81229c6323ep-11, -0x1.658af0d8f8d05p-11, -0x1.5bcd8d74f580fp-11, -0x1.524840a7d8466p-11, -0x1.48facf84ad2afp-11, -0x1.3fe51b2952b7ep-11, -0x1.3706ad51bc16bp-11, -0x1.2e5e8b6a977dep-11, -0x1.25eb6405aeebdp-11, -0x1.1dabde9ef7a83p-11, -0x1.159ecdd937ed1p-11, -0x1.0dc3348bbe039p-11, -0x1.061831248c3e2p-11, -0x1.fd39c09dbcff5p-12, -0x1.eea08131d8ec5p-12, -0x1.e0624b1dc7bb7p-12, -0x1.d27c8a86af00ep-12, -0x1.c4ecad11b7974p-12, -0x1.b7b05235c3cdap-12, -0x1.aac563b759907p-12, -0x1.9e2a375c0e29fp-12, -0x1.91ddbc540b5d7p-12, -0x1.85df71fe11653p-12, -0x1.7a2efca53037ep-12, -0x1.6ecb9d5655915p-12, -0x1.63b40124700c7p-12, -0x1.58e67fd7122bbp-12, -0x1.4e616a7c077dfp-12, -0x1.442315fcf5cp-12, -0x1.3a29c7231c265p-12, -0x1.3073cb7280103p-12, -0x1.26ffb014567f3p-12, -0x1.1dcc511acf07fp-12, -0x1.14d8a895ed3f4p-12, -0x1.0c23839179fe9p-12, -0x1.03ab57a2877e4p-12, -0x1.f6dca35472435p-13, -0x1.e6d4f9e240c7bp-13, -0x1.d73bb937180e9p-13, -0x1.c80d1ab585601p-13, -0x1.b9462347bc694p-13, -0x1.aae516e2d7762p-13, -0x1.9ce8f997de2dfp-13, -0x1.8f506fe5ac785p-13, -0x1.82194db238682p-13, -0x1.7541440cf2cc8p-13, -0x1.68c6938c28b35p-13, -0x1.5ca7c82f19a67p-13, -0x1.50e3112685f05p-13, -0x1.457626b82cf51p-13, -0x1.3a5ea0ee01dadp-13, -0x1.2f9a3e56d5c35p-13, -0x1.2526f809a6007p-13, -0x1.1b02e40b42224p-13, -0x1.112bfc1a671a6p-13, -0x1.07a0096560497p-13, -0x1.fcb9cb2a4721fp-14, -0x1.eac1c1acac29p-14, -0x1.d955a0ebd93aap-14, -0x1.c8732451d8002p-14, -0x1.b8170221be9a1p-14, -0x1.a83cde73b2a69p-14, -0x1.98dfcdbdd02ddp-14, -0x1.89fabc0ac05aap-14, -0x1.7b897e7f95785p-14, -0x1.6d89fa6d5769ep-14, -0x1.5ffb330740181p-14, -0x1.52db06738a2b6p-14, -0x1.4625ca3aa059cp-14, -0x1.39d7cce89fda9p-14, -0x1.2dee358cad063p-14, -0x1.2266d3a928f4p-14, -0x1.173fb08ae031cp-14, -0x1.0c76a91d25883p-14, -0x1.02094b8dcaeb6p-14, -0x1.efe9aa6dffd19p-15, -0x1.dc6c403ff194p-15, -0x1.c993e65052edbp-15, -0x1.b75bba2f5a5b2p-15, -0x1.a5c169520da11p-15, -0x1.94c39e02f96b2p-15, -0x1.845ef94b1a5a1p-15, -0x1.748d2d1c03bdfp-15, -0x1.6546baade8712p-15, -0x1.5684aab446b66p-15, -0x1.4842c8e704efbp-15, -0x1.3a80b7f2d578cp-15, -0x1.2d3ddffdb4778p-15, -0x1.20762d42cd697p-15, -0x1.1424ec63a24dp-15, -0x1.08472cb41db21p-15, -0x1.f9b3c51985ff9p-16, -0x1.e3b158c245dap-16, -0x1.ce7d1470837e3p-16, -0x1.ba0d5f4bdb07ap-16, -0x1.a65aa8754adc8p-16, -0x1.9360cc1ff7695p-16, -0x1.811dc1ca2e56p-16, -0x1.6f8ddcb9cb344p-16, -0x1.5eaa8a8631b1cp-16, -0x1.4e6da4ac118a4p-16, -0x1.3ed4250edd28dp-16, -0x1.2fdbd2973f5c5p-16, -0x1.217f062a844a1p-16, -0x1.13b4485c4c80dp-16, -0x1.06723f19dc48dp-16, -0x1.f36467a259689p-17, -0x1.dae28ebe4d856p-17, -0x1.c360a21d12914p-17, -0x1.acda1f2ec3af9p-17, -0x1.974142ca5c3c7p-17, -0x1.828d1916719e7p-17, -0x1.6eb8f87198302p-17, -0x1.5bbd23b7d185bp-17, -0x1.4990a30a6053ap-17, -0x1.382b4a7f08d2ap-17, -0x1.2785ac0065d3p-17, -0x1.17994ef1f2217p-17, -0x1.0860e7c5a6b2bp-17, -0x1.f3af2c4a79204p-18, -0x1.d7eecf50a584dp-18, -0x1.bd7136af0aea9p-18, -0x1.a424f92b727f5p-18, -0x1.8bfae351f2693p-18, -0x1.74eb6aa79cf97p-18, -0x1.5ef5deeb96a45p-18, -0x1.4a131c04b7afdp-18, -0x1.362ec7c25a8e7p-18, -0x1.23372de4ea561p-18, -0x1.11262ffb5520ep-18, -0x1.ffea88e607436p-19, -0x1.df3ab2b4202e2p-19, -0x1.c02598ab61ca1p-19, -0x1.a29247f699c2dp-19, -0x1.867c830ce90a4p-19, -0x1.6bd9fc71ef6f4p-19, -0x1.5299025f62fccp-19, -0x1.3aaac5b09daf9p-19, -0x1.240174dc9a7b6p-19, -0x1.0e8e40ce23941p-19, -0x1.f483c39ecffd2p-20, -0x1.ce1bd1e77f7ebp-20, -0x1.a9cbb0711ea19p-20, -0x1.877ec85be4083p-20, -0x1.67232054efd78p-20, -0x1.48a63f554c8eep-20, -0x1.2bf31b631d984p-20, -0x1.10f2e73be3f08p-20, -0x1.ef21a682582efp-21, -0x1.bf7a12b185c5cp-21, -0x1.92cd4addad72ap-21, -0x1.68e58de2a6cc8p-21, -0x1.4196979961ffp-21, -0x1.1cd7d43140069p-21, -0x1.f4fbda7461947p-22, -0x1.b4a733bf02fb8p-22, -0x1.786b3811db5dfp-22, -0x1.4016bdb9b17d1p-22, -0x1.0ba290b4c75f9p-22, -0x1.b5ba889736d74p-23, -0x1.5b0fe211b8c73p-23, -0x1.06d810b7d15afp-23, -0x1.71721eb15a3ap-24, -0x1.c171e52f4b54dp-25, -0x1.6b4fc9c5124adp-26, 0x1.0752e5ba4cebfp-27, 0x1.2643d3d1a955cp-25, 0x1.f8bb98d3a2ce8p-25, 0x1.5d13e2c546493p-24, 0x1.b5af5804c428dp-24, 0x1.0351ddb656374p-23, 0x1.283df97410ea9p-23, 0x1.49eb461a46a7ep-23, 0x1.68a577e0d45cap-23, 0x1.84a38ced39592p-23, 0x1.9e099d19b3aabp-23, 0x1.b503be527ed76p-23, 0x1.c9bf6f606a329p-23, 0x1.dc44f4112cc77p-23, 0x1.ecc617f74b056p-23, 0x1.fbb97c088de2bp-23, 0x1.04a555649de6fp-22, 0x1.0ab08b38e8e97p-22, 0x1.100dd69fa7efep-22, 0x1.14d94c4dc6a28p-22, 0x1.191ccf123b9b6p-22, 0x1.1cde5e8d8f071p-22, 0x1.2031933657638p-22, 0x1.232e6e2f6de1bp-22, 0x1.25e49f8912147p-22, 0x1.28591819b2735p-22, 0x1.2a8f2f1ac396fp-22, 0x1.2c95bedf119a8p-22, 0x1.2e78b7023c221p-22, 0x1.303e8b3de3acep-22, 0x1.31ec74addf573p-22, 0x1.33889646f7a0cp-22, 0x1.351aa41329b98p-22, 0x1.36ab52d5565d1p-22, 0x1.3842ddf81c56dp-22, 0x1.39e739cd9c649p-22, 0x1.3b9b122634301p-22, 0x1.3d5feee3d6497p-22, 0x1.3f39a3b35f338p-22, 0x1.412c8f5ef2546p-22, 0x1.4338da34323f3p-22, 0x1.456a2747742dap-22, 0x1.47c7aebf8fc74p-22, 0x1.4a480b073d57bp-22, 0x1.4cefeb78a91c5p-22, 0x1.4fc376bd432ebp-22, 0x1.52c2ce7c57cc9p-22, 0x1.55ee4f5b1a458p-22, 0x1.5946bc3405fb7p-22, 0x1.5cccf18647e0ep-22, 0x1.6081b2f7096c1p-22, 0x1.64656cc157ad6p-22, 0x1.687808c3277f3p-22, 0x1.6cb90d3792c95p-22, 0x1.7127e03b57268p-22, 0x1.75c390eeeb3ecp-22, 0x1.7a8a7d8312c55p-22, 0x1.7f7c8deea3d2cp-22, 0x1.849b29fbced8ep-22, 0x1.89e452824f9d7p-22, 0x1.8f55199bb55abp-22, 0x1.94ed208163f72p-22, 0x1.9aab8d4597107p-22, 0x1.a08e8ffa49faep-22, 0x1.a6940834d5fc8p-22, 0x1.acb9edb283059p-22, 0x1.b2feb9899c049p-22, 0x1.b960e39291036p-22, 0x1.bfde1009de6d1p-22, 0x1.c67558b3326a4p-22, 0x1.cd23ec7251c67p-22, 0x1.d3e7c97b17d09p-22, 0x1.dabf454382727p-22, 0x1.e1a830e9a5471p-22, 0x1.e8a071033f28dp-22, 0x1.efa5f32cc9e82p-22, 0x1.f6b6a01a03aa4p-22, 0x1.fdd0578a73829p-22, 0x1.027878ed0d5cp-21, 0x1.060b21fe87061p-21, 0x1.099f11b7ccc2p-21, 0x1.0d33352d915fbp-21, 0x1.10c67dd56f783p-21, 0x1.1457e4206b5b1p-21, 0x1.17e669c45ab5dp-21, 0x1.1b7117dd2c403p-21, 0x1.1ef6f6734e90ep-21, 0x1.227702c7e29cep-21, 0x1.25f02fefdd7b2p-21, 0x1.29617350e76adp-21, 0x1.2cc9d130de54ap-21, 0x1.30285f203ad3cp-21, 0x1.337c41d4a1669p-21, 0x1.36c4b5807c6d6p-21, 0x1.3a0100436350bp-21, 0x1.3d2ff473873f5p-21, 0x1.40507f5049bcp-21, 0x1.43623ca6ac937p-21, 0x1.46641c52ce229p-21, 0x1.49557f0474ba6p-21, 0x1.4c357ccde3e27p-21, 0x1.4f036a385f16dp-21, 0x1.51bea28c9d147p-21, 0x1.54667a77d0f6ap-21, 0x1.56fa4a5c59469p-21, 0x1.59796fc2fc543p-21, 0x1.5be34cf6cf606p-21, 0x1.5e3749325f6b4p-21, 0x1.6074d1911c7bfp-21, 0x1.629b59f3fb4cdp-21, 0x1.64aa5d5291696p-21, 0x1.66a15d7ab6b4ap-21, 0x1.687fe32e27dccp-21, 0x1.6a457ef455f92p-21, 0x1.6bf1caa8e47dfp-21, 0x1.6d84697265378p-21, 0x1.6efd03703fc4cp-21, 0x1.705b3ff9442eep-21, 0x1.719ec59b3d626p-21, 0x1.72c73f6c71f4dp-21, 0x1.73d45ff60b96bp-21, 0x1.74c5e0d587e06p-21, 0x1.759b898ce80f9p-21, 0x1.76553f4fc5c01p-21, 0x1.76f2f30381e41p-21, 0x1.77746ed79be7fp-21, 0x1.77d95f66c7c8cp-21, 0x1.78218958d29c2p-21, 0x1.784d1d3aefcf6p-21, 0x1.785c0f5ef475ap-21, 0x1.784e1456bd302p-21, 0x1.78233de33d652p-21, 0x1.77db963bbb5c3p-21, 0x1.7777098175b18p-21, 0x1.76f5a48bb3655p-21, 0x1.765783733d13cp-21, 0x1.759cba55ccf7cp-21, 0x1.74c53de409fbcp-21, 0x1.73d11b9a9d667p-21, 0x1.72c07e3e42871p-21, 0x1.71938b41e9e29p-21, 0x1.704a67250f5c6p-21, 0x1.6ee539607876fp-21, 0x1.6d642d36b9487p-21, 0x1.6bc771eb47c9ep-21, 0x1.6a0f3b4bf413dp-21, 0x1.683bc2694ce4dp-21, 0x1.664d44dff4369p-21, 0x1.644402214d275p-21, 0x1.6220398ab74p-21, 0x1.5fe22c05f3bb9p-21, 0x1.5d8a1e5242787p-21, 0x1.5b18588581684p-21, 0x1.588d24e13eb42p-21, 0x1.55e8d3174798ep-21, 0x1.532bc118f40d2p-21, 0x1.50565127f70f4p-21, 0x1.4d68d25b2ff9ep-21, 0x1.4a638c413d96ep-21, 0x1.4746c237b9746p-21, 0x1.4412ff03ca8d5p-21, 0x1.40c8bcb511dd4p-21, 0x1.3d6819531f2f9p-21, 0x1.39f18c86293c8p-21, 0x1.36658439aa873p-21, 0x1.32c467fdd7715p-21, 0x1.2f0ea08ab6b4p-21, }}, 
      {{0x1.37328675f9073p-2, 0x1.36e1560f89e8ap-2, 0x1.365a88bea883cp-2, 0x1.359ee16e9c37ep-2, 0x1.34af69452769fp-2, 0x1.338d66a80f086p-2, 0x1.323a539b27b3cp-2, 0x1.30b7d48de942cp-2, 0x1.2f07b0082c76p-2, 0x1.2d2bc74a3c66bp-2, 0x1.2b260fcf50ef7p-2, 0x1.28f88d9889ccfp-2, 0x1.26a54e285a90ep-2, 0x1.242e641aef878p-2, 0x1.2195e34c17157p-2, 0x1.1edddd7e6edd7p-2, 0x1.1c085f7a1a81cp-2, 0x1.19176e9b5b5b1p-2, 0x1.160d06ca0a41dp-2, 0x1.12eb18d1cebebp-2, 0x1.0fb389113c6d2p-2, 0x1.0c682e74ffd73p-2, 0x1.090ad1b4ab6a4p-2, 0x1.059d2cc765f23p-2, 0x1.0220ea87b3346p-2, 0x1.fd2f4cfcd8186p-3, 0x1.f605d99aefc03p-3, 0x1.eec874688ca6p-3, 0x1.e779f85071c78p-3, 0x1.e01d21f9237dfp-3, 0x1.d8b4902bb1012p-3, 0x1.d142c44bb3005p-3, 0x1.c9ca22db9497p-3, 0x1.c24cf4099d81p-3, 0x1.bacd64435f8p-3, 0x1.b34d84cd7ffa5p-3, 0x1.abcf4c5f06521p-3, 0x1.a45497bf58549p-3, 0x1.9cdf2a669213bp-3, 0x1.9570af201a5edp-3, 0x1.8e0ab8af445c5p-3, 0x1.86aec276062eap-3, 0x1.7f5e311d9c2d6p-3, 0x1.781a534103978p-3, 0x1.70e462191715dp-3, 0x1.69bd822a0952dp-3, 0x1.62a6c3f1e5b29p-3, 0x1.5ba12497d0cbap-3, 0x1.54ad8e9b89163p-3, 0x1.4dccda84d35fep-3, 0x1.46ffcf92401fap-3, 0x1.4047246718672p-3, 0x1.39a37fb7ced69p-3, 0x1.331578f52b1bcp-3, 0x1.2c9d98f49291ep-3, 0x1.263c5a967503ap-3, 0x1.1ff22b686d07dp-3, 0x1.19bf6c45a50cep-3, 0x1.13a471f3cda83p-3, 0x1.0da185bceaa8cp-3, 0x1.07b6e604efebp-3, 0x1.01e4c6d91e2a3p-3, 0x1.f856a4f502d49p-4, 0x1.ed1553cb092e7p-4, 0x1.e205cab04c5c5p-4, 0x1.d72829a949524p-4, 0x1.cc7c813852db6p-4, 0x1.c202d3402bd55p-4, 0x1.b7bb13da46593p-4, 0x1.ada52a2ad537ap-4, 0x1.a3c0f1380bfa2p-4, 0x1.9a0e38be41f73p-4, 0x1.908cc5f32952ap-4, 0x1.873c542fabe29p-4, 0x1.7e1c95844aa65p-4, 0x1.752d334a7241ep-4, 0x1.6c6dcebcf7867p-4, 0x1.63de019af4edbp-4, 0x1.5b7d5ec579fb6p-4, 0x1.534b72cba95aep-4, 0x1.4b47c45cf5113p-4, 0x1.4371d4a9078cbp-4, 0x1.3bc91fb96ea22p-4, 0x1.344d1cd17a686p-4, 0x1.2cfd3ed910a06p-4, 0x1.25d8f4cdae875p-4, 0x1.1edfaa315e0ffp-4, 0x1.1810c76e949bep-4, 0x1.116bb22cdfe5fp-4, 0x1.0aefcd97cc923p-4, 0x1.049c7a9d19bf2p-4, 0x1.fce2305113934p-5, 0x1.f0da06c45162dp-5, 0x1.e51f2fe1fd16dp-5, 0x1.d9b060828b3d6p-5, 0x1.ce8c4b9660d16p-5, 0x1.c3b1a2ad9d09p-5, 0x1.b91f167473cdcp-5, 0x1.aed3572133e1ap-5, 0x1.a4cd14d4082cfp-5, 0x1.9b0affeacbbf3p-5, 0x1.918bc94c9d582p-5, 0x1.884e22b0beedfp-5, 0x1.7f50bee38cd8p-5, 0x1.7692520b0a5d4p-5, 0x1.6e1191eb25c89p-5, 0x1.65cd3628fece2p-5, 0x1.5dc3f88be53c6p-5, 0x1.55f4953aa8616p-5, 0x1.4e5dcaf43051ap-5, 0x1.46fe5b42a41f3p-5, 0x1.3fd50aa90ab5dp-5, 0x1.38e0a0cbaed6dp-5, 0x1.321fe8940216ap-5, 0x1.2b91b050b794ap-5, 0x1.2534c9d305539p-5, 0x1.1f080a8981b6cp-5, 0x1.190a4b994227ep-5, 0x1.133a69f534361p-5, 0x1.0d974673c6a47p-5, 0x1.081fc5e2b8e3dp-5, 0x1.02d2d118cdc3ap-5, 0x1.fb5eaa0a8d3a9p-6, 0x1.f168857a02a55p-6, 0x1.e7c11f0a664d5p-6, 0x1.de6669b7dd0a9p-6, 0x1.d55660fd1049bp-6, 0x1.cc8f08dc6c8bfp-6, 0x1.c40e6de638c66p-6, 0x1.bbd2a53c2d65bp-6, 0x1.b3d9cc92ca4c6p-6, 0x1.ac220a3133a3bp-6, 0x1.a4a98cef57922p-6, 0x1.9d6e8c32feb21p-6, 0x1.966f47eb608a2p-6, 0x1.8faa088b81b21p-6, 0x1.891d1f0318ca9p-6, 0x1.82c6e4b5cea72p-6, 0x1.7ca5bb70d1ebep-6, 0x1.76b80d5e99887p-6, 0x1.70fc4cf8adf37p-6, 0x1.6b70f4f79fda8p-6, 0x1.6614884147042p-6, 0x1.60e591d52f5a9p-6, 0x1.5be2a4b7a07d4p-6, 0x1.570a5bdb7a411p-6, 0x1.525b5a0af59adp-6, 0x1.4dd449cf87e03p-6, 0x1.4973dd597b712p-6, 0x1.4538ce66fd0dap-6, 0x1.4121de2ad789ap-6, 0x1.3d2dd53351fcep-6, 0x1.395b83511934cp-6, 0x1.35a9bf7dcb8eep-6, 0x1.321767c2e04e8p-6, 0x1.2ea36120c0e87p-6, 0x1.2b4c9775aeefbp-6, 0x1.2811fd647cf9dp-6, 0x1.24f28c3baabbp-6, 0x1.21ed43dc5b225p-6, 0x1.1f012aa0d8771p-6, 0x1.1c2d4d432cde1p-6, 0x1.1970bec3e2faep-6, 0x1.16ca985062a54p-6, 0x1.1439f928f38b7p-6, 0x1.11be06870416fp-6, 0x1.0f55eb838a5a4p-6, 0x1.0d00d8fcf3b3ep-6, 0x1.0abe057d17416p-6, 0x1.088cad1f8e5bbp-6, 0x1.066c1178352f6p-6, 0x1.045b797971a19p-6, 0x1.025a315aaac1fp-6, 0x1.00678a7f5c75cp-6, 0x1.fd05b6bcbe692p-7, 0x1.f956fed236bafp-7, 0x1.f5c1ade634464p-7, 0x1.f2448e344939dp-7, 0x1.eede735d932a5p-7, 0x1.eb8e3a39b2faep-7, 0x1.e852c8a8436f6p-7, 0x1.e52b0d63a2ec1p-7, 0x1.e215ffd494896p-7, 0x1.df129fe5d47d6p-7, 0x1.dc1ff5d810711p-7, 0x1.d93d1216dffa8p-7, 0x1.d6690d0ec87dfp-7, 0x1.d3a307037520cp-7, 0x1.d0ea27e5f5c68p-7, 0x1.ce3d9f2ba14f6p-7, 0x1.cb9ca3a622333p-7, 0x1.c906735bf51c7p-7, 0x1.c67a5360f42d1p-7, 0x1.c3f78faf1ec87p-7, 0x1.c17d7b0038b0ep-7, 0x1.bf0b6ea835372p-7, 0x1.bca0ca7010304p-7, 0x1.ba3cf4709ba93p-7, 0x1.b7df58edb186ep-7, 0x1.b5876a3221bcdp-7, 0x1.b334a06c6f661p-7, 0x1.b0e6798bde168p-7, 0x1.ae9c791d9e22cp-7, 0x1.ac56282a5cd41p-7, 0x1.aa13151465928p-7, 0x1.a7d2d3768db7bp-7, 0x1.a594fc037eae1p-7, 0x1.a3592c655e5a1p-7, 0x1.a11f071daa2edp-7, 0x1.9ee633658b4b1p-7, 0x1.9cae5d0ec12cep-7, 0x1.9a77346533dfcp-7, 0x1.98406e10fc63p-7, 0x1.9609c2f895e04p-7, 0x1.93d2f0235f1a9p-7, 0x1.919bb69c75efdp-7, 0x1.8f63db5653a9dp-7, 0x1.8d2b270f02b65p-7, 0x1.8af16634b2aadp-7, 0x1.88b668ca6f777p-7, 0x1.867a024cfd311p-7, 0x1.843c09984200bp-7, 0x1.81fc58cd69d9p-7, 0x1.7fbacd3999b8dp-7, 0x1.7d77473d05728p-7, 0x1.7b31aa31f48edp-7, 0x1.78e9dc54051dbp-7, 0x1.769fc6a7f2d0dp-7, 0x1.745354e434031p-7, 0x1.7204755a291d5p-7, 0x1.6fb318df28cbfp-7, 0x1.6d5f32b66d63p-7, 0x1.6b08b87a45ab1p-7, 0x1.68afa206679ap-7, 0x1.6653e962b7db5p-7, 0x1.63f58aaeb49a2p-7, 0x1.6194840d23d87p-7, 0x1.5f30d58fe92f7p-7, 0x1.5cca8123e8395p-7, 0x1.5a618a7d73b8bp-7, 0x1.57f5f7055085cp-7, 0x1.5587cdc639f64p-7, 0x1.5317175ae4ef4p-7, 0x1.50a3dddc1f1c8p-7, 0x1.4e2e2ccf15903p-7, 0x1.4bb61113fc7e6p-7, 0x1.493b98d523568p-7, 0x1.46bed376a1b46p-7, 0x1.443fd18666d55p-7, 0x1.41bea4acac8d5p-7, 0x1.3f3b5f9c87a6dp-7, 0x1.3cb61604c074ap-7, 0x1.3a2edc8108b37p-7, 0x1.37a5c88ba616cp-7, 0x1.351af06f9019fp-7, 0x1.328e6b3aeb8cp-7, 0x1.300050b1da44cp-7, 0x1.2d70b941755a9p-7, 0x1.2adfbdf32147p-7, 0x1.284d78602724bp-7, 0x1.25ba02a5ca9fbp-7, 0x1.23257759b4326p-7, 0x1.208ff17eba862p-7, 0x1.1df98c79ec494p-7, 0x1.1b62640829da2p-7, 0x1.18ca9432cc50dp-7, 0x1.163239470b607p-7, 0x1.13996fcac54fap-7, 0x1.11005473febf3p-7, 0x1.0e67041f8797ep-7, 0x1.0bcd9bc8327abp-7, 0x1.0934387e4aad1p-7, 0x1.069af75f36371p-7, 0x1.0401f58d74bfdp-7, 0x1.01695028e023cp-7, 0x1.fda2488e82b01p-8, 0x1.f8731dda8389ep-8, 0x1.f3455a0f0a98ep-8, 0x1.ee1936c8388dap-8, 0x1.e8eeed5822723p-8, 0x1.e3c6b6ba78fb5p-8, 0x1.dea0cb88a190dp-8, 0x1.d97d63ee7cb9dp-8, 0x1.d45cb79fa1e8dp-8, 0x1.cf3efdcd43e1fp-8, 0x1.ca246d1c6c1b9p-8, 0x1.c50d3b9ca66d9p-8, 0x1.bff99ebef9e03p-8, 0x1.bae9cb4d48c8bp-8, 0x1.b5ddf5621dd37p-8, 0x1.b0d65060fbf18p-8, 0x1.abd30eef2dc8p-8, 0x1.a6d462ed14e98p-8, 0x1.a1da7d6fd5aaap-8, 0x1.9ce58ebb54073p-8, 0x1.97f5c63c7bae6p-8, 0x1.930b5283d2eeep-8, 0x1.8e2661405b526p-8, 0x1.89471f3adce6ep-8, 0x1.846db851b07aap-8, 0x1.7f9a5774ea62dp-8, 0x1.7acd26a2e6171p-8, 0x1.76064ee522049p-8, 0x1.7145f84d4a1b5p-8, 0x1.6c8c49f26e43ep-8, 0x1.67d969ee7c638p-8, 0x1.632d7d5be6d8dp-8, 0x1.5e88a853c5f9fp-8, 0x1.59eb0dec36ef3p-8, 0x1.5554d03743e9fp-8, 0x1.50c610420025cp-8, 0x1.4c3eee13fc93fp-8, 0x1.47bf88aed2339p-8, 0x1.4347fe0dbb9c7p-8, 0x1.3ed86b254fc0ep-8, 0x1.3a70ebe3537c5p-8, 0x1.36119b2ebcabep-8, 0x1.31ba92e801d6cp-8, 0x1.2d6bebe9d243bp-8, 0x1.2925be0a158d6p-8, 0x1.24e8201b5e9e9p-8, 0x1.20b327ee5ead9p-8, 0x1.1c86ea53ae12p-8, 0x1.18637b1de7db5p-8, 0x1.1448ed21b3f28p-8, 0x1.103752390c359p-8, 0x1.0c2ebb449b2f7p-8, 0x1.082f382be25f9p-8, 0x1.0438d7e0aa1e2p-8, 0x1.004ba860d8843p-8, 0x1.f8cf6d723f50ap-9, 0x1.f11a1e103a042p-9, 0x1.e9777903445c1p-9, 0x1.e1e792e41a5ap-9, 0x1.da6a7e82dd11dp-9, 0x1.d3004ced1023ap-9, 0x1.cba90d72bc389p-9, 0x1.c464cdab6506cp-9, 0x1.bd33997adc6dfp-9, 0x1.b6157b1683eadp-9, 0x1.af0a7b0b61b5bp-9, 0x1.a812a0453f077p-9, 0x1.a12df016cdd3ep-9, 0x1.9a5c6e42a501p-9, 0x1.939e1d0424683p-9, 0x1.8cf2fd18235d3p-9, 0x1.865b0dc4837aep-9, 0x1.7fd64cdeb4a86p-9, 0x1.7964b6d11582ep-9, 0x1.7306469fd87dfp-9, 0x1.6cbaf5ee37d42p-9, 0x1.6682bd0486b49p-9, 0x1.605d92d7c6e0ap-9, 0x1.5a4b6d130646p-9, 0x1.544c4021d853fp-9, 0x1.4e5fff3b31437p-9, 0x1.48869c6bd0c91p-9, 0x1.42c0089ed1155p-9, 0x1.3d0c33a43b2d4p-9, 0x1.376b0c35525b5p-9, 0x1.31dc7ff79b5e4p-9, 0x1.2c607b7fb20d3p-9, 0x1.26f6ea5584758p-9, 0x1.219fb6fb46e72p-9, 0x1.1c5acaf775607p-9, 0x1.17280ee1d297p-9, 0x1.12076a71f862cp-9, 0x1.0cf8c48d93b76p-9, 0x1.07fc0353f7729p-9, 0x1.03110c25ace85p-9, 0x1.fc6f874dd167p-10, 0x1.f2e01b7badf9cp-10, 0x1.e9739b1cf4855p-10, 0x1.e029caee69662p-10, 0x1.d7026e217e551p-10, 0x1.cdfd4668a1cc4p-10, 0x1.c51a1411485aep-10, 0x1.bc58962a64e45p-10, 0x1.b3b88ab1ce2ap-10, 0x1.ab39aec106b52p-10, 0x1.a2dbbeb057c59p-10, 0x1.9a9e7629dfd82p-10, 0x1.92819028e7836p-10, 0x1.8a84c6e6bead8p-10, 0x1.82a7d3bbc1b55p-10, 0x1.7aea6efe2967ep-10, 0x1.734c4fe9fa14p-10, 0x1.6bcd2c9c1d49ap-10, 0x1.646cba262b462p-10, 0x1.5d2aacbaeacf3p-10, 0x1.5606b7ecfd462p-10, 0x1.4f008ef48227p-10, 0x1.4817e4ed5dc75p-10, 0x1.414c6d017d3bbp-10, 0x1.3a9dda7623106p-10, 0x1.340be09a392b8p-10, 0x1.2d96329a8095bp-10, 0x1.273c83479fbf2p-10, 0x1.20fe84dc76929p-10, 0x1.1adbe8d5018bap-10, 0x1.14d45fe1562d5p-10, 0x1.0ee799fb322b4p-10, 0x1.0915469cd9038p-10, 0x1.035d150f7962fp-10, 0x1.fb7d69844f754p-11, 0x1.f073ab2dcf06ap-11, 0x1.e59c502a532adp-11, 0x1.daf6baedabc8p-11, 0x1.d0824f1beb6c8p-11, 0x1.c63e7116e18c7p-11, 0x1.bc2a856bf1403p-11, 0x1.b245f04925b11p-11, 0x1.a890151a87e2ep-11, 0x1.9f085665a730ap-11, 0x1.95ae15eaf5402p-11, 0x1.8c80b50669a1dp-11, 0x1.837f953d53cecp-11, 0x1.7aaa18e3f63ecp-11, 0x1.71ffa3bae02dfp-11, 0x1.697f9b658c084p-11, 0x1.6129679efba71p-11, 0x1.58fc721ad605fp-11, 0x1.50f82617dc05p-11, 0x1.491befbf05a44p-11, 0x1.41673b7d0b60bp-11, 0x1.39d97585f7cbp-11, 0x1.327209a5d9204p-11, 0x1.2b30636577d9cp-11, 0x1.2413ee70cc509p-11, 0x1.1d1c171dc170cp-11, 0x1.16484af343c26p-11, 0x1.0f97f91b8530ep-11, 0x1.090a92b9e5b2dp-11, 0x1.029f8b20b7a37p-11, 0x1.f8acafc012863p-12, 0x1.ec5ce1451403dp-12, 0x1.e04e9da1a1da8p-12, 0x1.d480da094a22ap-12, 0x1.c8f28cd556a89p-12, 0x1.bda2ac861c829p-12, 0x1.b2902f56b71cep-12, 0x1.a7ba0b8d78089p-12, 0x1.9d1f386aaba34p-12, 0x1.92beaf61af344p-12, 0x1.88976d3a2df48p-12, 0x1.7ea872d40e8cp-12, 0x1.74f0c57e4455bp-12, 0x1.6b6f6ef77d36p-12, 0x1.62237d3becc81p-12, 0x1.590c0234ab785p-12, 0x1.502813447ffdbp-12, 0x1.4776c8a8ceb47p-12, 0x1.3ef73cb9fdc2cp-12, 0x1.36a88b3172494p-12, 0x1.2e89d0bc2d012p-12, 0x1.269a2af9ee022p-12, 0x1.1ed8b8fcbe0eap-12, 0x1.17449c0f9c6d8p-12, 0x1.0fdcf87dc1d68p-12, 0x1.08a0f61b67081p-12, 0x1.018fc07b2680bp-12, 0x1.f5510dcade96ep-13, 0x1.e7d4f874af0dp-13, 0x1.daa9ada9c1515p-13, 0x1.cdcda0ce6cc6dp-13, 0x1.c13f4b6562e9ep-13, 0x1.b4fd2c199842bp-13, 0x1.a905c59879615p-13, 0x1.9d579dbbdeab3p-13, 0x1.91f13d80981f4p-13, 0x1.86d131e6659p-13, 0x1.7bf60d57bbf44p-13, 0x1.715e68e952964p-13, 0x1.6708e4e470939p-13, 0x1.5cf4287a886ebp-13, 0x1.531ee0f4d6ebcp-13, 0x1.4987c0e155617p-13, 0x1.402d7fa55ca4ep-13, 0x1.370ed9947e504p-13, 0x1.2e2a90574e64ap-13, 0x1.257f6b2b8b03fp-13, 0x1.1d0c36821cb0ap-13, 0x1.14cfc2cf17332p-13, 0x1.0cc8e30ba4d2dp-13, 0x1.04f66bd1f210dp-13, 0x1.faae67e546ad9p-14, 0x1.ebd42d204fa2bp-14, 0x1.dd5bebab460e3p-14, 0x1.cf4379bd8353cp-14, 0x1.c188bfa055c81p-14, 0x1.b429b4585c375p-14, 0x1.a72458c5170cbp-14, 0x1.9a76b3a6512e1p-14, 0x1.8e1ed0111a8a3p-14, 0x1.821abe84039d9p-14, 0x1.766897b13b2aep-14, 0x1.6b067f6415a35p-14, 0x1.5ff2a5a9594c2p-14, 0x1.552b44ffa98cbp-14, 0x1.4aae9e0d630e1p-14, 0x1.407af348fbef9p-14, 0x1.368e8796de887p-14, 0x1.2ce7a13393c83p-14, 0x1.23848f5dbdd22p-14, 0x1.1a63af3d96c38p-14, 0x1.11836d2ab2936p-14, 0x1.08e24223d6f84p-14, 0x1.007eafe08c6f9p-14, 0x1.f0ae7c888fa3bp-15, 0x1.e0d4f62ffb06fp-15, 0x1.d16df5c3e3fd4p-15, 0x1.c276b2be5ecb9p-15, 0x1.b3ec72ac98671p-15, 0x1.a5cc89031d07bp-15, 0x1.98145801aca7dp-15, 0x1.8ac15135029c5p-15, 0x1.7dd0f3474de45p-15, 0x1.7140c51711e53p-15, 0x1.650e51eeb56b4p-15, 0x1.59372bceb4b9ep-15, 0x1.4db8f456dc47bp-15, 0x1.42916629cbd1dp-15, 0x1.37be56a4db683p-15, 0x1.2d3dad7f914dbp-15, 0x1.230d583d74b33p-15, 0x1.192b423e7a1bp-15, 0x1.0f9555a8aa5b2p-15, 0x1.064982b516976p-15, 0x1.fa8b901c50ce8p-16, 0x1.e91070c90603dp-16, 0x1.d81df72f42597p-16, 0x1.c7b096343ba66p-16, 0x1.b7c4d5af998dcp-16, 0x1.a857440ef711cp-16, 0x1.99646f83eeb01p-16, 0x1.8ae8e94ba8918p-16, 0x1.7ce14f7c356e6p-16, 0x1.6f4a58c175b98p-16, 0x1.6220dff7a5722p-16, 0x1.5561ec26181cep-16, 0x1.490aae64305p-16, 0x1.3d18732eacca5p-16, 0x1.31888f55a4b7cp-16, 0x1.26585453b1825p-16, 0x1.1b850fe1b6d68p-16, 0x1.110c114a956e5p-16, 0x1.06eaaf371c251p-16, 0x1.fa3c9dfd6e218p-17, 0x1.e748de8918385p-17, 0x1.d4f5620c76cc4p-17, 0x1.c33dadceb68f2p-17, 0x1.b21d709be6639p-17, 0x1.a1905f0e878fbp-17, 0x1.91921d313a0c3p-17, 0x1.821e423201b36p-17, 0x1.73306f1a7b614p-17, 0x1.64c4687b9c829p-17, 0x1.56d62adb47884p-17, 0x1.4961f784f372ap-17, 0x1.3c64514ee5e96p-17, 0x1.2fd9e27666ad7p-17, 0x1.23bf5a7b02c62p-17, 0x1.18115f915250cp-17, 0x1.0ccc9e765ebe5p-17, 0x1.01eddc2d26ebcp-17, 0x1.eee3ef4623bc2p-18, 0x1.daabbe8632a93p-18, 0x1.c72d1ae2e5d04p-18, 0x1.b4622152cf3b8p-18, 0x1.a24529bb9203fp-18, 0x1.90d0c7df8e4f4p-18, 0x1.7fffb7678344dp-18, 0x1.6fccc2372d2b7p-18, 0x1.6032b78761c8ep-18, 0x1.512c7e9954aa7p-18, 0x1.42b536899c29cp-18, 0x1.34c8460512767p-18, 0x1.27614989b44ffp-18, 0x1.1a7bf2e7718b1p-18, 0x1.0e13f64d5a784p-18, 0x1.02250c8839af7p-18, 0x1.ed560206b9148p-19, 0x1.d74395a7119d7p-19, 0x1.c20b4e90c657p-19, 0x1.ada62bb0efe3p-19, 0x1.9a0d651645973p-19, 0x1.873a309383fdcp-19, 0x1.7525c68d22a02p-19, 0x1.63c9882d4e915p-19, 0x1.531f1b9396fe4p-19, 0x1.43206a5f09a2ap-19, 0x1.33c78a774dfadp-19, 0x1.250ea79b36e0ap-19, 0x1.16eff996bbf36p-19, 0x1.0965ca3050728p-19, 0x1.f8d52267d3cfep-20, 0x1.dff23f2518b7ep-20, 0x1.c819695e7d131p-20, 0x1.b141b515c6c29p-20, 0x1.9b623bf1176abp-20, 0x1.8671d5ec2f9ecp-20, 0x1.72674fd6125f1p-20, 0x1.5f39bd325013ep-20, 0x1.4ce0b0471c5ddp-20, 0x1.3b544cb3ea9d9p-20, 0x1.2a8d0de9e818cp-20, 0x1.1a838feb8d2b6p-20, 0x1.0b30a6595b6f3p-20, 0x1.f91af54c131fp-21, 0x1.dd26e07ebc17ap-21, 0x1.c27800862b881p-21, 0x1.a90166b5e87fcp-21, 0x1.90b66be3b2d9cp-21, 0x1.798aee18cfbd1p-21, 0x1.63737eef0df99p-21, 0x1.4e65527ac23acp-21, 0x1.3a55f43d55ce5p-21, 0x1.273b24b2caf6cp-21, 0x1.150b141bccf06p-21, 0x1.03bc95d79cd54p-21, 0x1.e68db72cfee8p-22, 0x1.c741d8ee75b54p-22, 0x1.a983088c53e76p-22, 0x1.8d3f2b71bdfafp-22, 0x1.7265a0671e393p-22, 0x1.58e771d1c32f2p-22, 0x1.40b6b840a1c12p-22, 0x1.29c5a62fa2c9bp-22, 0x1.14067ac1adaaap-22, 0x1.fed83b5373d8fp-23, 0x1.d7d4474a50afep-23, 0x1.b2e8dd3e012b7p-23, 0x1.8ffe025cdbeb6p-23, 0x1.6efbff802fd8cp-23, 0x1.4fcbade9ea533p-23, 0x1.3256f751a11cep-23, 0x1.16893334618f8p-23, 0x1.f89e17a197d67p-24, 0x1.c72beee7c7037p-24, 0x1.98979de462246p-24, 0x1.6cbdf26d200bdp-24, 0x1.437ddcec32912p-24, 0x1.1cb8ddc848f15p-24, 0x1.f0a406f4c9f2ap-25, 0x1.ac57abe519089p-25, 0x1.6c4f11333b3ebp-25, 0x1.304ea79f46551p-25, 0x1.f043840ec3ab5p-26, 0x1.8731811b116fep-26, 0x1.250a31b16049ap-26, 0x1.92e14578768f4p-27, 0x1.d0328706e4b63p-28, 0x1.24702915a46b1p-29, -0x1.2ab75abec6ec4p-29, -0x1.a7aec3f7e37adp-28, -0x1.52f0ab35a3bf3p-27, -0x1.c8884c81f7ed2p-27, -0x1.1a956f105be53p-26, -0x1.4cb0414002df5p-26, -0x1.7ad4e1c2d7538p-26, -0x1.a53e93e1155c2p-26, -0x1.cc2360c1977abp-26, -0x1.efb522bb260aap-26, -0x1.0811a8b4624adp-25, -0x1.16ce3489ad993p-25, -0x1.24271fe2e15c6p-25, -0x1.30329e640161fp-25, -0x1.3b05ac6738c43p-25, -0x1.44b466c7539a4p-25, -0x1.4d52f0e53b064p-25, -0x1.54f4626b0492cp-25, -0x1.5ba9115153a47p-25, -0x1.618014815039p-25, -0x1.66886d2a1319ep-25, -0x1.6ad08b345f42dp-25, -0x1.6e65c7a28c367p-25, -0x1.71543ab82cc48p-25, -0x1.73a7570cf0149p-25, -0x1.756a09e3cd749p-25, -0x1.76a6dd1e0cf23p-25, -0x1.77680f9fc4a97p-25, -0x1.77b78e410bbabp-25, -0x1.779ecd2c01b23p-25, -0x1.77269872693aep-25, -0x1.7656f0fc93d91p-25, -0x1.7536ff1a93947p-25, -0x1.73cd229e8d95ep-25, -0x1.721f2cc7153e7p-25, -0x1.7032b7ffe542ap-25, -0x1.6e0d6997345c2p-25, -0x1.6bb4ec7f8d486p-25, -0x1.692ea178b3f13p-25, -0x1.667f3fb47c126p-25, -0x1.63aacb8d1f2cdp-25, -0x1.60b4f802fb136p-25, -0x1.5da13becb5afp-25, -0x1.5a72a5b11f3d9p-25, -0x1.572c47d87fdc6p-25, -0x1.53d13f9ef0d47p-25, -0x1.50642242ddcb1p-25, -0x1.4ce719f4c9df7p-25, -0x1.495c1168464e7p-25, -0x1.45c4d76c951a3p-25, -0x1.422300a5869adp-25, -0x1.3e77ea61e498ap-25, -0x1.3ac4e5165aa42p-25, -0x1.370b385305fd1p-25, -0x1.334c0855b30acp-25, -0x1.2f8842b6e09c8p-25, -0x1.2bc0a5a57d147p-25, -0x1.27f5d1dbd3067p-25, -0x1.24283d2408ef7p-25, -0x1.2058325cea12ap-25, -0x1.1c85e07e90408p-25, -0x1.18b16f0c4d4efp-25, -0x1.14db0b4046009p-25, -0x1.1102e203347c7p-25, -0x1.0d290d08397c1p-25, -0x1.094d813de2ddap-25, -0x1.05700a9e8a9cdp-25, -0x1.01905f4ac869cp-25, -0x1.fb5c7345da7e6p-26, -0x1.f392b7828edcbp-26, -0x1.ebc3087668554p-26, -0x1.e3ece48c91fa7p-26, -0x1.dc0f9b0be858fp-26, -0x1.d42a3e0c0b4eep-26, -0x1.cc3bf5f36cddap-26, -0x1.c443eaaec4929p-26, -0x1.bc41141c2bcfbp-26, -0x1.b4329597b819bp-26, -0x1.ac1770404cf87p-26, -0x1.a3eeb81a6f2f1p-26, -0x1.9bb7832c78487p-26, -0x1.9370e544febfbp-26, -0x1.8b19e9a273433p-26, -0x1.82b191c989ddcp-26, -0x1.7a37150449717p-26, -0x1.71a99f8889c49p-26, -0x1.69079840f1b57p-26, -0x1.6050c2a5837a2p-26, -0x1.57844832ee992p-26, -0x1.4ea11897422f2p-26, -0x1.45a67aa4b7f3bp-26, -0x1.3c93b343f9b35p-26, -0x1.33680c92673cap-26, -0x1.2a22d3bc6ddf8p-26, -0x1.20c35b6a509aap-26, -0x1.1749009a1f054p-26, -0x1.0db330da4492ep-26, -0x1.0401675ee319cp-26, -0x1.f4664c81cc93bp-27, -0x1.e08ff89c8f8c9p-27, -0x1.cc7efd11a235ep-27, -0x1.b832a08ba3f28p-27, -0x1.a3aa447135fe9p-27, -0x1.8ee5608e06ea3p-27, -0x1.79e385661082dp-27, -0x1.64a45aa7af6dbp-27, -0x1.4f279cf27e366p-27, -0x1.396d1cc6fde95p-27, -0x1.2374bf54f45f5p-27, -0x1.0d3e7fdf118c3p-27, -0x1.ed94def349f2cp-28, -0x1.c03170f4bd53p-28, -0x1.925338dd6421ap-28, -0x1.63faebe426596p-28, -0x1.35297263bed5fp-28, -0x1.05dfe4bd0421dp-28, -0x1.ac3f075f175cfp-29, -0x1.4bd36447c0f52p-29, -0x1.d4fff1cc5f664p-30, -0x1.1090a39103b87p-30, -0x1.2982bdaf65353p-32, 0x1.f622c8a1de86bp-32, 0x1.47257ade13811p-30, 0x1.09371f2b5e7c8p-29, 0x1.6fac22093f4dep-29, 0x1.d6eb8d42a7aep-29, 0x1.1f77cef2b2e55p-28, 0x1.53d97da9e97d4p-28, 0x1.88981e62a874ep-28, 0x1.bdb0c33e6d757p-28, 0x1.f3205a89197fcp-28, 0x1.1471d63a976c7p-27, 0x1.2f7bb2123ce1dp-27, 0x1.4aac0a178811p-27, 0x1.66011c3d35f42p-27, 0x1.81791c9a2d70dp-27, 0x1.9d12369c22cc3p-27, 0x1.b8ca8d23d67f7p-27, 0x1.d4a03a1aa925bp-27, 0x1.f0914db8c1a46p-27, 0x1.064de77aaffa1p-26, 0x1.145ede27cf9ddp-26, 0x1.227a864755b25p-26, 0x1.309fd763c61d5p-26, 0x1.3ecdc52c0a1edp-26, 0x1.4d033fbef24aap-26, 0x1.5b3f35112f017p-26, 0x1.698092bfb90cbp-26, 0x1.77c6461924a0fp-26, 0x1.860f3ad10625ap-26, 0x1.945a5a46968aap-26, 0x1.a2a68bfeb19e6p-26, 0x1.b0f2b5595a069p-26, 0x1.bf3db840b1661p-26, 0x1.cd86758a6a801p-26, 0x1.dbcbd25e77acp-26, 0x1.ea0cb6897ed7ap-26, 0x1.f848080b914dep-26, 0x1.033e550cef785p-25, 0x1.0a54c0abea285p-25, 0x1.1166ba017b6cp-25, 0x1.1873b3985d58ep-25, 0x1.1f7b2113936d1p-25, 0x1.267c7739d30bbp-25, 0x1.2d77281052b01p-25, 0x1.346aa89c3d60bp-25, 0x1.3b5680fa5e17ap-25, 0x1.423a19ccc9727p-25, 0x1.4914ead6f06f5p-25, 0x1.4fe6721c1a59bp-25, 0x1.56ae2b4cdefc2p-25, 0x1.5d6b932817032p-25, 0x1.641e280f2e078p-25, 0x1.6ac569ce98e97p-25, 0x1.7160d990c334ep-25, 0x1.77eff9e3705d6p-25, 0x1.7e724ec669b6cp-25, 0x1.84e75dcbbb878p-25, 0x1.8b4eaea07d03bp-25, 0x1.91a7cad7b2191p-25, 0x1.97f23e2443d6dp-25, 0x1.9e2d968688305p-25, 0x1.a4596320b03b6p-25, 0x1.aa7535399174fp-25, 0x1.b0809ff45d162p-25, 0x1.b67b37f2d56ep-25, 0x1.bc6493e742ddcp-25, 0x1.c23c4dd499fe6p-25, 0x1.c80202367506bp-25, 0x1.cdb54f46b0572p-25, 0x1.d355d49f180e1p-25, 0x1.d8e33459fb8d5p-25, 0x1.de5d13d392534p-25, 0x1.e3c319c86ba66p-25, 0x1.e914ef55c8b88p-25, 0x1.ee52407011411p-25, 0x1.f37ab954e3989p-25, }}, 
      {{-0x1.0d6fd75f44d5ap-6, -0x1.0905b42aeabf3p-5, -0x1.82c55ee272794p-5, -0x1.f07aa35e22d41p-5, -0x1.27c29bc75632bp-4, -0x1.4f1060a3475dap-4, -0x1.6da474644f38cp-4, -0x1.834afeba55eb2p-4, -0x1.900e3ff51716p-4, -0x1.94294bca1540cp-4, -0x1.8ffd7c2132fffp-4, -0x1.8409d544c1d71p-4, -0x1.70e3951ae3515p-4, -0x1.572fc12f0b482p-4, -0x1.379d18c434ce5p-4, -0x1.12dedebb1a45bp-4, -0x1.d3506fd861a61p-5, -0x1.795097e24e1a2p-5, -0x1.190e6cb7a066p-5, -0x1.678f101baf594p-6, -0x1.2a8f9a1899dc6p-7, 0x1.0a5e045e8ac71p-8, 0x1.1e1d125b77e21p-6, 0x1.fb862f2326021p-6, 0x1.6c9eb09b42ffap-5, 0x1.daebeb83206e6p-5, 0x1.240494bc94a81p-4, 0x1.59b37bb4e812bp-4, 0x1.8e433aa165c5ep-4, 0x1.c17beaddeee21p-4, 0x1.f32c811446375p-4, 0x1.119519e57b4fap-3, 0x1.28a7fb693127bp-3, 0x1.3ebf050a2daa4p-3, 0x1.53cccc9d46ec8p-3, 0x1.67c6348b8c8fp-3, 0x1.7aa247ce1e8c5p-3, 0x1.8c5a19af1aee3p-3, 0x1.9ce8a7fd38cfbp-3, 0x1.ac4abe9c7bae6p-3, 0x1.ba7edb9f1ed68p-3, 0x1.c785134fff1abp-3, 0x1.d35ef3d05ae5cp-3, 0x1.de0f681bad7abp-3, 0x1.e79a9a6f0c668p-3, 0x1.f005d639848e5p-3, 0x1.f75769bce45e6p-3, 0x1.fd9687bf7f3e6p-3, 0x1.016594c5df727p-2, 0x1.037ef8d0fe09ep-2, 0x1.051c07b416ac3p-2, 0x1.0641920e60492p-2, 0x1.06f494a8227f5p-2, 0x1.073a2c88ad8b4p-2, 0x1.07178bfbded02p-2, 0x1.0691f08bb4067p-2, 0x1.05ae99fc2fe2ep-2, 0x1.0472c23f57ce1p-2, 0x1.02e3966757acdp-2, 0x1.0106308204478p-2, 0x1.fdbf24b8dec64p-3, 0x1.f8e9422d1d94ap-3, 0x1.f3944301c9c82p-3, 0x1.edc96a58e083bp-3, 0x1.e791b041ad5adp-3, 0x1.e0f5be429ba4fp-3, 0x1.d9fdeced89d52p-3, 0x1.d2b24221a9012p-3, 0x1.cb1a70bca47c7p-3, 0x1.c33dd76afc21cp-3, 0x1.bb2382fd35b2fp-3, 0x1.b2d22cab5ff2ep-3, 0x1.aa503e261e312p-3, 0x1.a1a3d13468bd9p-3, 0x1.98d2b185012e6p-3, 0x1.8fe260e75c06ep-3, 0x1.86d815d02df1bp-3, 0x1.7db8c17ebc741p-3, 0x1.74890ef710194p-3, 0x1.6b4d68a97d4abp-3, 0x1.6209f6bbefcb9p-3, 0x1.58c2a5b130021p-3, 0x1.4f7b25b9efe62p-3, 0x1.4636ec9cf3bcbp-3, 0x1.3cf93b5fe145ep-3, 0x1.33c51be1a0f36p-3, 0x1.2a9d662759873p-3, 0x1.2184c13a7e968p-3, 0x1.187da4885172cp-3, 0x1.0f8a5a5830364p-3, 0x1.06ad00c25ed32p-3, 0x1.fbcf16d48eb22p-4, 0x1.ea778992ef341p-4, 0x1.d9569f372486bp-4, 0x1.c86f5076aceap-4, 0x1.b7c44c053ce8p-4, 0x1.a757f95c25284p-4, 0x1.972c7b5f952c2p-4, 0x1.8743b31bde1cep-4, 0x1.779f426073e5p-4, 0x1.68408e52cb8d3p-4, 0x1.5928c218484d4p-4, 0x1.4a58d16716cf6p-4, 0x1.3bd17b2ca2e7dp-4, 0x1.2d934c502babap-4, 0x1.1f9ea26674e26p-4, 0x1.11f3ae7f949efp-4, 0x1.04927804019acp-4, 0x1.eef5beed454f8p-5, 0x1.d55942764b311p-5, 0x1.bc4eb0ab85879p-5, 0x1.a3d501fa57318p-5, 0x1.8beaf632b9a0ep-5, 0x1.748f196212733p-5, 0x1.5dbfc84aa6828p-5, 0x1.477b349e8c745p-5, 0x1.31bf692152e46p-5, 0x1.1c8a4d7ec9fcbp-5, 0x1.07d9a9e19b7cfp-5, 0x1.e75654ff0dd21p-6, 0x1.bff8c5f5152adp-6, 0x1.9995a313a6f52p-6, 0x1.7427c418c7116p-6, 0x1.4fa9e2169632ap-6, 0x1.2c169d1c21ed9p-6, 0x1.09688172f44d1p-6, 0x1.cf3419a46b3aep-7, 0x1.8d4b668048b9ap-7, 0x1.4d0bc6db60994p-7, 0x1.0e6a15e72b36p-7, 0x1.a2b668c4c085cp-8, 0x1.2ba81f52b0afbp-8, 0x1.6f26a15e3b5d5p-9, 0x1.1988bec96132cp-10, -0x1.4006a19974eeep-11, -0x1.2756093746511p-9, -0x1.f962b91ebc796p-9, -0x1.63288086ced46p-8, -0x1.c724b664c2c5cp-8, -0x1.145cf01a462dcp-7, -0x1.43fdbb410aa45p-7, -0x1.727e41344e2d3p-7, -0x1.9fe7cd1d7b07ap-7, -0x1.cc436ed617303p-7, -0x1.f799f8b1429e6p-7, -0x1.10f9ff599b4f1p-6, -0x1.25acead9211edp-6, -0x1.39e9c8dc9c275p-6, -0x1.4db482e2b8a25p-6, -0x1.6110e205e4e1fp-6, -0x1.74028e96bb232p-6, -0x1.868d101772d7p-6, -0x1.98b3cdc5d6b58p-6, -0x1.aa7a0eb35bdb4p-6, -0x1.bbe2f9d5ab2bbp-6, -0x1.ccf196c43a28ap-6, -0x1.dda8ce4cdea8cp-6, -0x1.ee0b6a9a68059p-6, -0x1.fe1c17e1c460fp-6, -0x1.06eeb2b07f1bp-5, -0x1.0ea8e2e705589p-5, -0x1.163dc7df8646cp-5, -0x1.1dae7f59b6339p-5, -0x1.24fc19fe3744fp-5, -0x1.2c279b8df769fp-5, -0x1.3331fb3768c6cp-5, -0x1.3a1c2426356dep-5, -0x1.40e6f5e25e7bp-5, -0x1.47934481ebed7p-5, -0x1.4e21d9113f5abp-5, -0x1.5493721d36b07p-5, -0x1.5ae8c4035799bp-5, -0x1.612279275badfp-5, -0x1.6741326080afp-5, -0x1.6d4587798a8e1p-5, -0x1.73300778b2381p-5, -0x1.790138d6318ecp-5, -0x1.7eb999e5c4b0fp-5, -0x1.8459a14cc0be8p-5, -0x1.89e1be43d24a1p-5, -0x1.8f5258c84ee85p-5, -0x1.94abd1fd2cd16p-5, -0x1.99ee849baf60ap-5, -0x1.9f1ac5311debbp-5, -0x1.a430e241fc1b2p-5, -0x1.a9312499b80e2p-5, -0x1.ae1bcfbac2064p-5, -0x1.b2f12223e6704p-5, -0x1.b7b1556419d8bp-5, -0x1.bc5c9e47bce55p-5, -0x1.c0f32d3e1223bp-5, -0x1.c5752eb5ca7cdp-5, -0x1.c9e2cb38ab3fap-5, -0x1.ce3c2770bd486p-5, -0x1.d28164619df13p-5, -0x1.d6b29fceaea66p-5, -0x1.dacff4817f9d3p-5, -0x1.ded97a4fd3d8fp-5, -0x1.e2cf461994377p-5, -0x1.e6b169fed0cap-5, -0x1.ea7ff5bdbfc72p-5, -0x1.ee3af6f1f0b8cp-5, -0x1.f1e279167e078p-5, -0x1.f5768579bb672p-5, -0x1.f8f7235fadba4p-5, -0x1.fc6458536188ap-5, -0x1.ffbe286d2a152p-5, -0x1.01824b30df1e9p-4, -0x1.031bd1b703106p-4, -0x1.04aba7ad344edp-4, -0x1.0631cc59e49b3p-4, -0x1.07ae3e8d2948ep-4, -0x1.0920fcb6747b5p-4, -0x1.0a8a04df375fcp-4, -0x1.0be9549e13df9p-4, -0x1.0d3ee91e78f5fp-4, -0x1.0e8abf424c37fp-4, -0x1.0fccd3c6725dap-4, -0x1.1105234f3f16ep-4, -0x1.1233aa5ada257p-4, -0x1.13586532f3a86p-4, -0x1.14734ff8312a5p-4, -0x1.158466c69652p-4, -0x1.168ba5d76c848p-4, -0x1.1789098779c1ep-4, -0x1.187c8e4492117p-4, -0x1.1966307e70412p-4, -0x1.1a45ecb3258dep-4, -0x1.1b1bbf9348fb2p-4, -0x1.1be7a621b770ep-4, -0x1.1ca99db775de2p-4, -0x1.1d61a3f009ae5p-4, -0x1.1e0fb6992866cp-4, -0x1.1eb3d3bc79bep-4, -0x1.1f4df9c0753f1p-4, -0x1.1fde2786ef11dp-4, -0x1.20645c729ab2cp-4, -0x1.20e09854f644dp-4, -0x1.2152db5bfea5cp-4, -0x1.21bb2616075dp-4, -0x1.2219798cda6aep-4, -0x1.226dd763d9ee5p-4, -0x1.22b841e244f1ap-4, -0x1.22f8bbe51b907p-4, -0x1.232f48ca0dbb4p-4, -0x1.235bec6a688f8p-4, -0x1.237eab2df365fp-4, -0x1.23978a287d849p-4, -0x1.23a68f2bd788p-4, -0x1.23abc0c1bce5dp-4, -0x1.23a726157cb43p-4, -0x1.2398c6e2e1147p-4, -0x1.2380ab7af7ca9p-4, -0x1.235edcdcf5c6ep-4, -0x1.233364d0ea6acp-4, -0x1.22fe4df0c1576p-4, -0x1.22bfa399a1945p-4, -0x1.227771d1e9dd4p-4, -0x1.2225c538c6e9dp-4, -0x1.21caab0d02768p-4, -0x1.21663146a3ebfp-4, -0x1.20f866b0ed625p-4, -0x1.20815af22f615p-4, -0x1.20011e7bd3cb2p-4, -0x1.1f77c26d947eep-4, -0x1.1ee5587f9d28cp-4, -0x1.1e49f3027ca87p-4, -0x1.1da5a4f479ae1p-4, -0x1.1cf8821d0e5fp-4, -0x1.1c429f1b6fdap-4, -0x1.1b84115de6d49p-4, -0x1.1abcef0690a83p-4, -0x1.19ed4ecdab734p-4, -0x1.191547f2d12f6p-4, -0x1.1834f244e5d4ep-4, -0x1.174c663a03e6p-4, -0x1.165bbd06de86ap-4, -0x1.156310a5db1c5p-4, -0x1.14627bc85232cp-4, -0x1.135a19b925532p-4, -0x1.124a063fda075p-4, -0x1.11325d92b07d8p-4, -0x1.10133c5d3936ep-4, -0x1.0eecbfd51c8e2p-4, -0x1.0dbf05ceda265p-4, -0x1.0c8a2cc4ecebep-4, -0x1.0b4e53cba1ca8p-4, -0x1.0a0b9a768cdeep-4, -0x1.08c220bba4a76p-4, -0x1.077206e0b6c36p-4, -0x1.061b6d7a03888p-4, -0x1.04be7577bad42p-4, -0x1.035b4038744bdp-4, -0x1.01f1ef94a8345p-4, -0x1.0082a5db47edp-4, -0x1.fe1b0b7ed59cap-5, -0x1.fb25647c59d1cp-5, -0x1.f8249d0e4d277p-5, -0x1.f518fbe00fb2bp-5, -0x1.f202c7ec3f6f1p-5, -0x1.eee2489409faap-5, -0x1.ebb7c5ba06e84p-5, -0x1.e88387cf3b014p-5, -0x1.e545d7c855affp-5, -0x1.e1fefefca4ea6p-5, -0x1.deaf46fa43b75p-5, -0x1.db56f95eec2b9p-5, -0x1.d7f65fc1a35ccp-5, -0x1.d48dc3b14e46ep-5, -0x1.d11d6ec2dbe64p-5, -0x1.cda5aaa38e255p-5, -0x1.ca26c122d8cdap-5, -0x1.c6a0fc2bdc088p-5, -0x1.c314a5ae0bf3ap-5, -0x1.bf82077bf07a1p-5, -0x1.bbe96b2aea3d5p-5, -0x1.b84b19fda065ap-5, -0x1.b4a75cdd9df7cp-5, -0x1.b0fe7c61c0758p-5, -0x1.ad50c0d9efafbp-5, -0x1.a99e7256d4ac6p-5, -0x1.a5e7d8a667942p-5, -0x1.a22d3b431e895p-5, -0x1.9e6ee1397eff7p-5, -0x1.9aad110c14d2cp-5, -0x1.96e8109f0e54p-5, -0x1.93202531a4231p-5, -0x1.8f559365c5e13p-5, -0x1.8b889f503ef24p-5, -0x1.87b98c87c6b1fp-5, -0x1.83e89e29540e8p-5, -0x1.801616cbaca5p-5, -0x1.7c4238623c09dp-5, -0x1.786d4415cf41dp-5, -0x1.74977a1ea90a2p-5, -0x1.70c119aca900dp-5, -0x1.6cea60e6d133dp-5, -0x1.69138d03e72b5p-5, -0x1.653cda7532f49p-5, -0x1.61668514a395p-5, -0x1.5d90c8450e596p-5, -0x1.59bbdef5acdedp-5, -0x1.55e80381e8abbp-5, -0x1.52156f7139746p-5, -0x1.4e445b25c68d3p-5, -0x1.4a74fd9041036p-5, -0x1.46a78c01326d6p-5, -0x1.42dc3a2a01fc5p-5, -0x1.3f133a53b5f04p-5, -0x1.3b4cbdc1586ffp-5, -0x1.3788f52538bb1p-5, -0x1.33c81107871cep-5, -0x1.300a41fcf43f8p-5, -0x1.2c4fb895f5798p-5, -0x1.2898a50128603p-5, -0x1.24e53670b4b69p-5, -0x1.21359a664a667p-5, -0x1.1d89fc1541908p-5, -0x1.19e2840a5941ap-5, -0x1.163f583b01016p-5, -0x1.12a09c8538b65p-5, -0x1.0f06738b119c3p-5, -0x1.0b70ffb9311e6p-5, -0x1.07e064368b895p-5, -0x1.0454c57a270b6p-5, -0x1.00ce49542f481p-5, -0x1.fa9a2cae2eeb6p-6, -0x1.f3a2a56af1b72p-6, -0x1.ecb645a07576bp-6, -0x1.e5d54f97a37a9p-6, -0x1.defffd1615f7fp-6, -0x1.d8367ebb657a2p-6, -0x1.d178fd176204ap-6, -0x1.cac79b63232cp-6, -0x1.c4227b5be48b2p-6, -0x1.bd89c16a1e49fp-6, -0x1.b6fd981843de6p-6, -0x1.b07e31eff37bdp-6, -0x1.aa0bc9226f42bp-6, -0x1.a3a69cdbcf99p-6, -0x1.9d4eecadca1bdp-6, -0x1.9704f2fd6089fp-6, -0x1.90c8dfaf6e6d4p-6, -0x1.8a9ad45ab0f04p-6, -0x1.847ae30405dbdp-6, -0x1.7e690fe620694p-6, -0x1.7865561bc115bp-6, -0x1.726fae5828152p-6, -0x1.6c88165351282p-6, -0x1.66ae974efb955p-6, -0x1.60e34a304882cp-6, -0x1.5b2658190df0cp-6, -0x1.5577f72093782p-6, -0x1.4fd863a1eaa69p-6, -0x1.4a47d75fe643dp-6, -0x1.44c6804c3ca78p-6, -0x1.3f5478ecb9513p-6, -0x1.39f1c41723122p-6, -0x1.349e4d1768ddp-6, -0x1.2f59ec6e0324fp-6, -0x1.2a24706089147p-6, -0x1.24fda7c67f31cp-6, -0x1.1fe56cfa2a6e6p-6, -0x1.1adbaeb9ab2f9p-6, -0x1.15e075177b9a7p-6, -0x1.10f3e14f269cap-6, -0x1.0c16284e94162p-6, -0x1.074788d81a0d4p-6, -0x1.02883f145965bp-6, -0x1.fbb0f0096a251p-7, -0x1.f2708ebc28768p-7, -0x1.e94f43ba56293p-7, -0x1.e04cba7a86d36p-7, -0x1.d7686bb115831p-7, -0x1.cea1b1c2c9542p-7, -0x1.c5f7e29e091b1p-7, -0x1.bd6a6a49492cbp-7, -0x1.b4f8e1644994ap-7, -0x1.aca31b8da6349p-7, -0x1.a4692afbf19cdp-7, -0x1.9c4b5875d7236p-7, -0x1.944a10f13389bp-7, -0x1.8c65cc23ffe11p-7, -0x1.849ef0cb29d2dp-7, -0x1.7cf5bbf3a6c2cp-7, -0x1.756a2ff1445ap-7, -0x1.6dfc0e02d7a36p-7, -0x1.66aadb6070cbdp-7, -0x1.5f75f037225ddp-7, -0x1.585c8d6d50377p-7, -0x1.515df52dd6e31p-7, -0x1.4a79821bac4dcp-7, -0x1.43aeb9875ec75p-7, -0x1.3cfd55e8a9af9p-7, -0x1.366548242bc76p-7, -0x1.2fe6afa8b3464p-7, -0x1.2981cafd8bd6p-7, -0x1.2336e3a9d0207p-7, -0x1.1d063922a1197p-7, -0x1.16efee774b9c5p-7, -0x1.10f3fdb74c566p-7, -0x1.0b1232c3f5228p-7, -0x1.054a2dc571119p-7, -0x1.ff36d8668b169p-8, -0x1.f40aacf76b56ep-8, -0x1.e90e9fa3ee50dp-8, -0x1.de418af4ef8dfp-8, -0x1.d3a2762e3f61ep-8, -0x1.c930a42491377p-8, -0x1.beeb9699645bdp-8, -0x1.b4d306c33ec97p-8, -0x1.aae6d5ae9ca2ep-8, -0x1.a126f85e3acd5p-8, -0x1.979363d832a61p-8, -0x1.8e2bfcab11b1dp-8, -0x1.84f08c159aecfp-8, -0x1.7be0bb541b45fp-8, -0x1.72fc145909345p-8, -0x1.6a4206b6b2b74p-8, -0x1.61b1ef619fb82p-8, -0x1.594b219fe0762p-8, -0x1.510cef02ed1b6p-8, -0x1.48f6ac8223d03p-8, -0x1.4107b442702f9p-8, -0x1.393f65adeb9c6p-8, -0x1.319d26a19e5fcp-8, -0x1.2a20675cbb91ap-8, -0x1.22c8a7cc096edp-8, -0x1.1b9579e549f89p-8, -0x1.14867ca5bfdebp-8, -0x1.0d9b4ee3e0907p-8, -0x1.06d37ec30ffebp-8, -0x1.002e7ebee848bp-8, -0x1.f357519c6db32p-9, -0x1.e694a41f4e59p-9, -0x1.da13cfe8b7083p-9, -0x1.cdd4102f77815p-9, -0x1.c1d5072ad127p-9, -0x1.b6168f334a376p-9, -0x1.aa9865e01d14ep-9, -0x1.9f59d742e1defp-9, -0x1.945993dfbd72bp-9, -0x1.8995cb61e4a5cp-9, -0x1.7f0c873eb6dadp-9, -0x1.74bc20bfae8dfp-9, -0x1.6aa39bb7f8a18p-9, -0x1.60c2b5281ec2dp-9, -0x1.5719954f17f63p-9, -0x1.4da8441293a6ap-9, -0x1.446e252ffbd1bp-9, -0x1.3b69c54cff35bp-9, -0x1.3299192729a72p-9, -0x1.29fa11935f6acp-9, -0x1.218b3851b05fbp-9, -0x1.194c065b11a55p-9, -0x1.113cc948396a9p-9, -0x1.095e22cfebafbp-9, -0x1.01b05a622af59p-9, -0x1.f4659a4e7f385p-10, -0x1.e5c77ba9bbdcfp-10, -0x1.d7814256652d1p-10, -0x1.c98da34617d1ep-10, -0x1.bbe8c69303c8dp-10, -0x1.ae91685826decp-10, -0x1.a188cdddd4baep-10, -0x1.94d17cb5cd5c7p-10, -0x1.886d631d2ff7ap-10, -0x1.7c5c8245ae794p-10, -0x1.709cc8f288667p-10, -0x1.652af2a0b4261p-10, -0x1.5a03abd8987d7p-10, -0x1.4f245277492a7p-10, -0x1.448b1f6eddc29p-10, -0x1.3a36ead5c7531p-10, -0x1.3026dadf5b738p-10, -0x1.265a26a78ace9p-10, -0x1.1ccfcef5390e1p-10, -0x1.13862971a6702p-10, -0x1.0a7a78ab15456p-10, -0x1.01a91686d8d9dp-10, -0x1.f21cd720db66fp-11, -0x1.e1506eb26db8cp-11, -0x1.d0ec86fd6ef5p-11, -0x1.c0f3e6d7c0777p-11, -0x1.b169fba705191p-11, -0x1.a2506da0614b5p-11, -0x1.93a6420d189f1p-11, -0x1.8568a0838cc1cp-11, -0x1.779466d34c6c3p-11, -0x1.6a2781d457459p-11, -0x1.5d211857af88fp-11, -0x1.50805749e130ep-11, -0x1.4442f77e6e501p-11, -0x1.3864d8373f9ebp-11, -0x1.2ce0d66f28f16p-11, -0x1.21b1f08a2911fp-11, -0x1.16d3ddb9977f3p-11, -0x1.0c430ba02f92fp-11, -0x1.01fc78802810cp-11, -0x1.effb791532292p-12, -0x1.dc8a7ba3e11efp-12, -0x1.c9a4b0f35f51ap-12, -0x1.b74a41571039cp-12, -0x1.a57b63bf810fap-12, -0x1.943747c055c1ep-12, -0x1.837c1d2aba077p-12, -0x1.7347d42327d29p-12, -0x1.6399231bac89ep-12, -0x1.546fcf7a2f458p-12, -0x1.45cb0224c68d6p-12, -0x1.37a726f55e1c6p-12, -0x1.29fe19d4d3e3bp-12, -0x1.1cc9737ed0924p-12, -0x1.1004add3f4243p-12, -0x1.03adc3e4149e7p-12, -0x1.ef8868a4bc4cdp-13, -0x1.d88de9238d689p-13, -0x1.c265169878487p-13, -0x1.ad00e6df2e8a1p-13, -0x1.984fd0f00146dp-13, -0x1.8440727341806p-13, -0x1.70c93fd74a603p-13, -0x1.5ded49a33c52ap-13, -0x1.4bb6e0084764ep-13, -0x1.3a2b8ea5a8c82p-13, -0x1.294595bca5d06p-13, -0x1.18fa6aab9cb4bp-13, -0x1.0945ef608f677p-13, -0x1.f456c16f7fabdp-14, -0x1.d759c08e77d02p-14, -0x1.bb8be6ab2a6a1p-14, -0x1.a0d9d8606327p-14, -0x1.872e010cdf846p-14, -0x1.6e770bf6d1b81p-14, -0x1.56ab3c09a1c62p-14, -0x1.3fc8f204a76bcp-14, -0x1.29d3e743b22b4p-14, -0x1.14cfb28c5a8a7p-14, -0x1.00bab66259707p-14, -0x1.db1535643f91p-15, -0x1.b6540871fcc21p-15, -0x1.9302474370621p-15, -0x1.7114e97fef0f8p-15, -0x1.50a870776bc0cp-15, -0x1.31c5f8f61e70bp-15, -0x1.1440f9f56966fp-15, -0x1.efd14ac7b8783p-16, -0x1.b97e370810b86p-16, -0x1.85c3063a18228p-16, -0x1.54abca3a99237p-16, -0x1.2606af32cc43bp-16, -0x1.f32385d1dc797p-17, -0x1.9e577a0b02a93p-17, -0x1.4db69f39da058p-17, -0x1.01517d9671d78p-17, -0x1.7207c7b2dfe5dp-18, -0x1.d2478888449a1p-19, -0x1.9ec6c4ccc467ep-20, 0x1.25b14954151d8p-22, 0x1.0a1fa93bc8c2dp-19, 0x1.e147db0e1db02p-19, 0x1.55be3c095315bp-18, 0x1.b59334a74ecb9p-18, 0x1.085d8eff766bep-17, 0x1.333121e9d24e9p-17, 0x1.5afc5edfa2a17p-17, 0x1.80210e3821fc1p-17, 0x1.a2db51facb014p-17, 0x1.c2e1edd2bf85bp-17, 0x1.e0144b66ab7f2p-17, 0x1.fab51add8484p-17, 0x1.09924c7dc41a6p-16, 0x1.14df89af1e25p-16, 0x1.1f5fe58ec66d4p-16, 0x1.290dabcdee987p-16, 0x1.31d02403ee662p-16, 0x1.39a73f8f9679dp-16, 0x1.40b1c6432d126p-16, 0x1.4700de79c73f6p-16, 0x1.4c82f5898f829p-16, 0x1.512760f582c22p-16, 0x1.54f93e50445dbp-16, 0x1.580e34c7ca7a9p-16, 0x1.5a765044a02f6p-16, 0x1.5c53121131005p-16, 0x1.5dc547112b27cp-16, 0x1.5eb3be3a64c5fp-16, 0x1.5f124de236886p-16, 0x1.5f06b607c1345p-16, 0x1.5e8bcb776a806p-16, 0x1.5d881a625bc5p-16, 0x1.5c0a8aae04cabp-16, 0x1.5a2b9ebb08757p-16, 0x1.57f69e0660c6p-16, 0x1.556efefb85a14p-16, 0x1.52963725deb8cp-16, 0x1.4f6d2858c3ec9p-16, 0x1.4bf4737d82027p-16, 0x1.482cecbfa25bbp-16, 0x1.44190dda3f5ddp-16, 0x1.3fc21ae2c3b56p-16, 0x1.3b3a8e7ca798fp-16, 0x1.368d764d83242p-16, 0x1.31b1537f70b72p-16, 0x1.2ca246a282943p-16, 0x1.276fa96f439ddp-16, 0x1.22160ff20894fp-16, 0x1.1c8606bb71671p-16, 0x1.16d33f02af037p-16, 0x1.1107bbf7e27f2p-16, 0x1.0b2be2d4280aap-16, 0x1.054ca6fefd531p-16, 0x1.fea66e9a16469p-17, 0x1.f27af1fd93b8p-17, 0x1.e635db4bc0a17p-17, 0x1.d9e38b5873e6cp-17, 0x1.cd84f848a5d16p-17, 0x1.c11af51e24d73p-17, 0x1.b4a82c1756386p-17, 0x1.a830359042f18p-17, 0x1.9bb6ab694f4cdp-17, 0x1.8f3ec6bbc89f4p-17, 0x1.82cb902270ff8p-17, 0x1.766062e73ac35p-17, 0x1.6a013be97a27dp-17, 0x1.5db2510a95e6dp-17, 0x1.5176d6d396d92p-17, 0x1.45504f53e582p-17, 0x1.3940f5e31f576p-17, 0x1.2d4bb720239aep-17, 0x1.216423a490322p-17, 0x1.157455148f9cdp-17, 0x1.099f8e21dc727p-17, 0x1.fc0b4b4f8f6bap-18, 0x1.e54b7b6c559cdp-18, 0x1.ceed0bbbc3bc8p-18, 0x1.b8b6029d1f3fdp-18, 0x1.a2abee0798e5fp-18, 0x1.8ced3aed299dp-18, 0x1.778cb8cdf7b38p-18, 0x1.628c9832fe0ffp-18, 0x1.4de9b9b67a57ep-18, 0x1.39a22a326d5bbp-18, 0x1.25b5ccdd885bp-18, 0x1.12256ef877baep-18, 0x1.fde3ed2c19b9ep-19, 0x1.d837f9a267a41p-19, 0x1.b347c4f9b49afp-19, 0x1.8f14962af6106p-19, 0x1.6ba140c2dfc78p-19, 0x1.48f222f71705cp-19, 0x1.270b3af5595a5p-19, 0x1.05ed3b4e84278p-19, 0x1.cb2e2e839e5f3p-20, 0x1.8c1b87f464dd6p-20, 0x1.4ea209b9cf2f2p-20, 0x1.1265f01bac85dp-20, 0x1.aebe06001bc17p-21, 0x1.3c8b87da92ad5p-21, 0x1.9c94063a78d16p-22, 0x1.8a7dd846ae653p-23, -0x1.9c6ff4aae7754p-27, -0x1.b107568dea991p-23, -0x1.9e357e32bbfe1p-22, -0x1.2f6c1549d4bdfp-21, -0x1.8cdf6e328aa3fp-21, -0x1.e6f67c45010e1p-21, -0x1.1ed75c1a26291p-20, -0x1.48c3729eb9ceep-20, -0x1.717a6af9e2303p-20, -0x1.98d5080a2bed2p-20, -0x1.beb95c51a216fp-20, -0x1.e32f5b4cf77b4p-20, -0x1.03221971894c9p-19, -0x1.1400938b370a2p-19, -0x1.2435d892abd25p-19, -0x1.33c3731aede28p-19, -0x1.42aa960058e78p-19, -0x1.50ed49cc0e68bp-19, -0x1.5e8f4ab5172dcp-19, -0x1.6b941a91f0943p-19, -0x1.77fb630091432p-19, -0x1.83c99224ab4c8p-19, -0x1.8f1976cc70f15p-19, -0x1.99d03c88cecf5p-19, -0x1.a3d93bccabe3bp-19, -0x1.ad69739c87291p-19, -0x1.b675bf2d18bbdp-19, -0x1.bef25fee898f3p-19, -0x1.c6e689c9cdb37p-19, -0x1.ce57deee9cf0fp-19, -0x1.d549c72ba8cfap-19, -0x1.dbbee381772c3p-19, -0x1.e1b9a6f5336f4p-19, -0x1.e73c987e7f773p-19, -0x1.ec4a598f3de42p-19, -0x1.f0e5532eb835fp-19, -0x1.f50fbb1c00ab1p-19, -0x1.f8ce7ba66b7bep-19, -0x1.fc2bde3f31d77p-19, -0x1.ff270a3c2c07ep-19, -0x1.00d9d1c4eed6dp-18, -0x1.01ed4d1d9a0d7p-18, -0x1.02d5161183ad1p-18, -0x1.038f660ceee24p-18, -0x1.041ba8f274d16p-18, -0x1.047bc41abdb89p-18, -0x1.04b1afa69350fp-18, -0x1.04bef319bd36p-18, -0x1.04a45902a181p-18, -0x1.0463110a4166fp-18, -0x1.03fe72ab489cep-18, -0x1.03740b4d71a83p-18, -0x1.02c7b7fde30fdp-18, -0x1.01fa97f6008c6p-18, -0x1.010c614d6dccp-18, -0x1.fffd794eb1003p-19, -0x1.fda60f771e6bcp-19, -0x1.fb14d060976bep-19, -0x1.f84beba324bcep-19, -0x1.f54d8a7a12bcdp-19, -0x1.f21bd27c7f2d8p-19, -0x1.eeb8e41a132dcp-19, -0x1.eb26d86e129c3p-19, -0x1.e767becf741c2p-19, -0x1.e37d9a00136bdp-19, -0x1.df6a5c3664fcbp-19, -0x1.db2fe417ce2dbp-19, -0x1.d6d0000d6b03bp-19, -0x1.d24c7d043c5cdp-19, -0x1.cda738a9cb67cp-19, -0x1.c8e221c9ee9e4p-19, -0x1.c3ff1f57348c4p-19, -0x1.befff8e30aaa2p-19, -0x1.b9e66fe806d62p-19, -0x1.b4b470521e789p-19, -0x1.af6aeeeda6898p-19, -0x1.aa0863d0ae446p-19, -0x1.a492abf314654p-19, -0x1.9f0de458b2063p-19, -0x1.99721c7a0913dp-19, -0x1.93c786663a7bdp-19, -0x1.8e0cfc3f5b24ep-19, -0x1.884769c73d84cp-19, -0x1.827713c33a126p-19, -0x1.7c9c05651daf8p-19, -0x1.76b7583e22f73p-19, -0x1.70ca5234574c7p-19, -0x1.6ad6311f824a9p-19, -0x1.64dc26abd2b95p-19, -0x1.5edd59fb36a21p-19, -0x1.58dae85d579d6p-19, -0x1.52d5e57c89858p-19, -0x1.4ccf5bb97e4p-19, -0x1.46c84cc7f3e18p-19, -0x1.40c1b18d3b96cp-19, -0x1.3abc78551672fp-19, -0x1.34b98177c1471p-19, -0x1.2eb99ede9e25fp-19, -0x1.28bd9c33ac5b2p-19, -0x1.22c64afe7e3f9p-19, -0x1.1cd4843def1b6p-19, -0x1.16e9203626b3p-19, -0x1.1104f4240a00cp-19, -0x1.0b28d31196e9dp-19, -0x1.0555672887028p-19, -0x1.ff15b6eeef056p-20, -0x1.f39255b80ac88p-20, -0x1.e822866164ba5p-20, -0x1.dccbce21b3defp-20, -0x1.d19352a414ba4p-20, -0x1.c66b7423a9243p-20, -0x1.bb54042249c8ap-20, -0x1.b05c4f2c3206bp-20, -0x1.a58243094228p-20, -0x1.9ac4ddb42e6a2p-20, -0x1.902813a790e9dp-20, -0x1.85a8500823d66p-20, -0x1.7b4115146a887p-20, -0x1.70f278e5c69ep-20, -0x1.66c56b812749p-20, -0x1.5cbd7a3f6c957p-20, -0x1.52d7957326511p-20, -0x1.4912e3a3066b5p-20, -0x1.3f6fc5903573ap-20, -0x1.35eed0ea35721p-20, -0x1.2c90922d1409bp-20, -0x1.235584b348843p-20, -0x1.1a3e120fbc5b3p-20, -0x1.114a91484f9c9p-20, -0x1.087b4afd158adp-20, -0x1.ffa10a2b0b668p-21, -0x1.ee9514a53c3dbp-21, -0x1.ddd349485df49p-21, -0x1.cd5c2ce0c1f3bp-21, -0x1.bd303fc8995p-21, -0x1.ad5009fe26209p-21, -0x1.9dbbcb647107p-21, -0x1.8e72c3505cc8fp-21, -0x1.7f73ec2987fb2p-21, -0x1.70bfdb575bc1cp-21, -0x1.62597edcd8f17p-21, -0x1.544a44fba19b6p-21, -0x1.4680abfc62d3fp-21, -0x1.38f29d458cdcfp-21, -0x1.2bbb814636ae3p-21, -0x1.1ed2f436b7756p-21, -0x1.1235647a093a7p-21, -0x1.05e2a69eacff4p-21, -0x1.f3b550b0ab564p-22, }}, 
      {{-0x1.d3f5998178d19p-7, -0x1.d01dea33ded5cp-6, -0x1.575ae51f82757p-5, -0x1.c137574db8cadp-5, -0x1.121fc90f68046p-4, -0x1.3fad7c0e3273ep-4, -0x1.68dcfc0553234p-4, -0x1.8d670f1958a04p-4, -0x1.ad2065cf90676p-4, -0x1.c7f53020c6868p-4, -0x1.dde53e9f2849p-4, -0x1.ef00b5604cea4p-4, -0x1.fb65383fe336bp-4, -0x1.019db9ca5eaefp-3, -0x1.035a7571c5c5ep-3, -0x1.0304feffa58bbp-3, -0x1.00bc0f242772p-3, -0x1.f94031b273d5dp-4, -0x1.eda5259aced4cp-4, -0x1.deeab3cf733f6p-4, -0x1.cd545a86cafc3p-4, -0x1.b92485b375fdp-4, -0x1.a29be64cfa9p-4, -0x1.89f8f2fa8310dp-4, -0x1.6f778cded486ap-4, -0x1.5350c30f449eap-4, -0x1.35baaf57852a6p-4, -0x1.16e8672f12b35p-4, -0x1.ee13f863c874fp-5, -0x1.ac991006dd8c7p-5, -0x1.69b4804f97121p-5, -0x1.25b51e04df501p-5, -0x1.c1c8bf0d832eap-6, -0x1.370d2e68642aap-6, -0x1.576cb817f20dcp-7, -0x1.01cdcd96bcb2cp-9, 0x1.abf0e3aa2bf73p-8, 0x1.eb0f0a1ad80d4p-7, 0x1.7f0c5931bd56fp-6, 0x1.039b5520dc42cp-5, 0x1.46dcec908513p-5, 0x1.89282deb66641p-5, 0x1.ca5db4cd7c83fp-5, 0x1.0530aa47aabefp-4, 0x1.248cf8207aee5p-4, 0x1.4338a9a37af2p-4, 0x1.612a053ac06ep-4, 0x1.7e589ecabf442p-4, 0x1.9abd44a7c314cp-4, 0x1.b651ecc15c337p-4, 0x1.d111a20cbd76bp-4, 0x1.eaf872396e71ep-4, 0x1.0201ade0669d4p-3, 0x1.0e181e2e1545cp-3, 0x1.19bedffc45ba9p-3, 0x1.24f5a815a0715p-3, 0x1.2fbc8221b10a8p-3, 0x1.3a13c8fc0d1f7p-3, 0x1.43fc1f65b91f1p-3, 0x1.4d766912795afp-3, 0x1.5683c411dc3fdp-3, 0x1.5f258295c8e1bp-3, 0x1.675d2516cbe97p-3, 0x1.6f2c54dbd3859p-3, 0x1.7694dee779173p-3, 0x1.7d98af45badcap-3, 0x1.8439ccb0386a8p-3, 0x1.8a7a547d8e09ep-3, 0x1.905c76e010d34p-3, 0x1.95e2737b20f01p-3, 0x1.9b0e9655d5f82p-3, 0x1.9fe3352196e25p-3, 0x1.a462acb0853d4p-3, 0x1.a88f5ea607e14p-3, 0x1.ac6baf3cb770cp-3, 0x1.affa035b6e023p-3, 0x1.b33cbee1d8e05p-3, 0x1.b636433f964c1p-3, 0x1.b8e8ee345e2c5p-3, 0x1.bb5718aabda46p-3, 0x1.bd83159a2faadp-3, 0x1.bf6f30f4927ebp-3, 0x1.c11daebf08bbfp-3, 0x1.c290ca3fa250bp-3, 0x1.c3cab5674483fp-3, 0x1.c4cd985849c2cp-3, 0x1.c59b90fa72cb2p-3, 0x1.c636b2a03f0f2p-3, 0x1.c6a105a5bf992p-3, 0x1.c6dc871626d8dp-3, 0x1.c6eb285ab39ecp-3, 0x1.c6cecef96b2bap-3, 0x1.c689546894f8ep-3, 0x1.c61c85f547744p-3, 0x1.c58a24b9f431fp-3, 0x1.c4d3e59e9af0bp-3, 0x1.c3fb715dccf3dp-3, 0x1.c302648b0849cp-3, 0x1.c1ea4f99017bdp-3, 0x1.c0b4b6e148af3p-3, 0x1.bf6312af0c953p-3, 0x1.bdf6cf4f2efdp-3, 0x1.bc714d27c0f56p-3, 0x1.bad3e0d6f2cccp-3, 0x1.b91fd359229fp-3, 0x1.b756623500ac8p-3, 0x1.b578bfab9f53fp-3, 0x1.b38812eaf4728p-3, 0x1.b1857841b7f92p-3, 0x1.af72015373c3ap-3, 0x1.ad4eb54cbda82p-3, 0x1.ab1c91182b201p-3, 0x1.a8dc87941e342p-3, 0x1.a68f81ca4bf8fp-3, 0x1.a4365f29b1cebp-3, 0x1.a1d1f5c30cbeep-3, 0x1.9f631287c2401p-3, 0x1.9cea798b1d5acp-3, 0x1.9a68e64536697p-3, 0x1.97df0bd6768a7p-3, 0x1.954d954b3f21ap-3, 0x1.92b525deea3ap-3, 0x1.9016593d6b0f7p-3, 0x1.8d71c3c33507cp-3, 0x1.8ac7f2bb70257p-3, 0x1.88196c9c7bd41p-3, 0x1.8566b142b5812p-3, 0x1.82b03a2a13425p-3, 0x1.7ff67aa70320cp-3, 0x1.7d39e01e6af84p-3, 0x1.7a7ad23d7a994p-3, 0x1.77b9b3313407cp-3, 0x1.74f6dfddbd30dp-3, 0x1.7232b015a38dbp-3, 0x1.6f6d76d06a936p-3, 0x1.6ca782607687p-3, 0x1.69e11ca876045p-3, 0x1.671a8b4f0847ap-3, 0x1.64540ff0f9f2p-3, 0x1.618de8524443ep-3, 0x1.5ec84e8c992e6p-3, 0x1.5c03793c010d2p-3, 0x1.593f9baa0c38p-3, 0x1.567ce5f6591fdp-3, 0x1.53bb853d35c0cp-3, 0x1.50fba3bd5c624p-3, 0x1.4e3d68fb4a5ecp-3, 0x1.4b80f9e2d1eccp-3, 0x1.48c678e871d8bp-3, 0x1.460e062924f19p-3, 0x1.4357bf882e01cp-3, 0x1.40a3c0ccf47ep-3, 0x1.3df223c04f311p-3, 0x1.3b430047a0597p-3, 0x1.38966c7f7946p-3, 0x1.35ec7cd67d475p-3, 0x1.3345442655688p-3, 0x1.30a0d3cb0ea89p-3, 0x1.2dff3bbacf47fp-3, 0x1.2b608a9cbb9f1p-3, 0x1.28c4cddd57f5bp-3, 0x1.262c11c244fcep-3, 0x1.2396617e39db7p-3, 0x1.2103c7433697p-3, 0x1.1e744c52927e2p-3, 0x1.1be7f90d0c54cp-3, 0x1.195ed502b20a4p-3, 0x1.16d8e700c6be9p-3, 0x1.1456351e1f978p-3, 0x1.11d6c4c7e5be7p-3, 0x1.0f5a9ace0229bp-3, 0x1.0ce1bb6da67e3p-3, 0x1.0a6c2a5ada603p-3, 0x1.07f9eaca93bddp-3, 0x1.058aff7c8618p-3, 0x1.031f6ac357e55p-3, 0x1.00b72e8c0da5ep-3, 0x1.fca498cc1c07ap-4, 0x1.f7e18b161fedfp-4, 0x1.f32535cb657a6p-4, 0x1.ee6f9a2e8028p-4, 0x1.e9c0b8fbe84b2p-4, 0x1.e5189276e9eafp-4, 0x1.e0772674707cbp-4, 0x1.dbdc746405b55p-4, 0x1.d7487b592a12cp-4, 0x1.d2bb3a158cd11p-4, 0x1.ce34af1226e1cp-4, 0x1.c9b4d886461e5p-4, 0x1.c53bb46e164cfp-4, 0x1.c0c94092125c1p-4, 0x1.bc5d7a8e759e6p-4, 0x1.b7f85fd914e31p-4, 0x1.b399edc5f760cp-4, 0x1.af42218c02fa1p-4, 0x1.aaf0f84a5bf33p-4, 0x1.a6a66f0d4b44dp-4, 0x1.a26282d1f9dd2p-4, 0x1.9e25308951bcep-4, 0x1.99ee751b1218cp-4, 0x1.95be4d6923298p-4, 0x1.9194b652d3a49p-4, 0x1.8d71acb740767p-4, 0x1.89552d7720cb4p-4, 0x1.853f35765b8f6p-4, 0x1.812fc19dd648ap-4, 0x1.7d26cedd7e58p-4, 0x1.79245a2e185adp-4, 0x1.7528609261e8bp-4, 0x1.7132df1791ffcp-4, 0x1.6d43d2d5df6c7p-4, 0x1.695b38f19c325p-4, 0x1.65790e9cabe8bp-4, 0x1.619d511778159p-4, 0x1.5dc7fdb0ddb4fp-4, 0x1.59f911c5a7856p-4, 0x1.56308ac0a1bc4p-4, 0x1.526e661b991b9p-4, 0x1.4eb2a160662bep-4, 0x1.4afd3a28ec884p-4, 0x1.474e2e1e05f75p-4, 0x1.43a57af6797b3p-4, 0x1.40031e77071b1p-4, 0x1.3c6716735155bp-4, 0x1.38d160ce60e56p-4, 0x1.3541fb79d4cfcp-4, 0x1.31b8e4743119bp-4, 0x1.2e3619c7a02f6p-4, 0x1.2ab99989f587dp-4, 0x1.274361dd5c828p-4, 0x1.23d370f07b96bp-4, 0x1.2069c4fd2017ep-4, 0x1.1d065c464d3bp-4, 0x1.19a93516c5e6cp-4, 0x1.16524dc0d7c01p-4, 0x1.1301a49ed67c1p-4, 0x1.0fb73813028bp-4, 0x1.0c73068631dfp-4, 0x1.09350e65b59ap-4, 0x1.05fd4e21a26c9p-4, 0x1.02cbc42c3ccfep-4, 0x1.ff40ddf45f1dcp-5, 0x1.f8f69a05091f4p-5, 0x1.f2b8b97b132fp-5, 0x1.ec873945a16dp-5, 0x1.e662164e63db8p-5, 0x1.e0494d7761a98p-5, 0x1.da3cdb9ab1c65p-5, 0x1.d43cbd8a9f78cp-5, 0x1.ce48f0107b6f6p-5, 0x1.c8616fe973eb3p-5, 0x1.c28639c278081p-5, 0x1.bcb74a34e609p-5, 0x1.b6f49dc511d0ep-5, 0x1.b13e30e2307a5p-5, 0x1.ab93ffe633661p-5, 0x1.a5f6071431259p-5, 0x1.a06442952b003p-5, 0x1.9adeae743f0bap-5, 0x1.9565469bbb18cp-5, 0x1.8ff806d3dbd21p-5, 0x1.8a96eac2c7745p-5, 0x1.8541edec7c375p-5, 0x1.7ff90bb18e5dbp-5, 0x1.7abc3f4c55853p-5, 0x1.758b83cdc25afp-5, 0x1.7066d41a2b299p-5, 0x1.6b4e2ae845b9cp-5, 0x1.664182c0d8822p-5, 0x1.6140d5ff13ab4p-5, 0x1.5c4c1ed019154p-5, 0x1.5763573136d11p-5, 0x1.528678ed29e6ep-5, 0x1.4db57d995fb43p-5, 0x1.48f05e942e48fp-5, 0x1.44371504588dep-5, 0x1.3f8999d98422ep-5, 0x1.3ae7e5cca075dp-5, 0x1.3651f15f843e9p-5, 0x1.31c7b4db5fe9ap-5, 0x1.2d49284e8e29bp-5, 0x1.28d6438a83d97p-5, 0x1.246efe22ad5c3p-5, 0x1.20134f6c6c278p-5, 0x1.1bc32e7fd7ec6p-5, 0x1.177e923882379p-5, 0x1.134571358d504p-5, 0x1.0f17c1d8d26d3p-5, 0x1.0af57a456a4a5p-5, 0x1.06de905e35097p-5, 0x1.02d2f9c50c044p-5, 0x1.fda557b5cb5f3p-6, 0x1.f5bb37818146fp-6, 0x1.ede77cb1937eep-6, 0x1.e62a108e5b068p-6, 0x1.de82dbe44e604p-6, 0x1.d6f1c702da048p-6, 0x1.cf76b9bab106p-6, 0x1.c8119b5c98da2p-6, 0x1.c0c252b99cb7ep-6, 0x1.b988c624b806dp-6, 0x1.b264db7587fc8p-6, 0x1.ab56780b1e4cp-6, 0x1.a45d80ce0f81dp-6, 0x1.9d79da315431fp-6, 0x1.96ab68324086p-6, 0x1.8ff20e58145a8p-6, 0x1.894dafb415483p-6, 0x1.82be2ee2a05fep-6, 0x1.7c436e0d7e309p-6, 0x1.75dd4eeefa6d4p-6, 0x1.6f8bb2d53a34p-6, 0x1.694e7aa51b682p-6, 0x1.632586dc32decp-6, 0x1.5d10b791fa408p-6, 0x1.570fec788596cp-6, 0x1.512304dd544a3p-6, 0x1.4b49dfaab96cdp-6, 0x1.45845b6a20448p-6, 0x1.3fd256471ce79p-6, 0x1.3a33ae12fa1b2p-6, 0x1.34a8404843ac4p-6, 0x1.2f2fea0dfa3bfp-6, 0x1.29ca8839f7747p-6, 0x1.2477f7534593ap-6, 0x1.1f38139359f79p-6, 0x1.1a0ab8e7c0421p-6, 0x1.14efc2f452ec9p-6, 0x1.0fe70d15537e5p-6, 0x1.0af0726275879p-6, 0x1.060bcdb2283dbp-6, 0x1.0138f99d2188fp-6, 0x1.f8efa103b1c56p-7, 0x1.ef90590f8b5e7p-7, 0x1.e653cf44bb1d8p-7, 0x1.dd39b72779a8dp-7, 0x1.d441c3de16dfap-7, 0x1.cb6ba8357eb6ep-7, 0x1.c2b716a5a4c09p-7, 0x1.ba23c155f825p-7, 0x1.b1b15a22266c6p-7, 0x1.a95f929f5750cp-7, 0x1.a12e1c21e73a3p-7, 0x1.991ca7c3d30f1p-7, 0x1.912ae66b98d46p-7, 0x1.895888d370f81p-7, 0x1.81a53f90727f2p-7, 0x1.7a10bb195617cp-7, 0x1.729aabcc606f6p-7, 0x1.6b42c1f437478p-7, 0x1.6408adcb9e79ep-7, 0x1.5cec1f804b5c3p-7, 0x1.55ecc7355ca97p-7, 0x1.4f0a550615f95p-7, 0x1.484479098be04p-7, 0x1.419ae357b5d1p-7, 0x1.3b0d44100449ep-7, 0x1.349b4b6157d5ep-7, 0x1.2e44a992b654bp-7, 0x1.28090f0beadeap-7, 0x1.21e82c5d2fca1p-7, 0x1.1be1b2451e5a2p-7, 0x1.15f551b44d5cdp-7, 0x1.1022bbced13d1p-7, 0x1.0a69a1ebe3e91p-7, 0x1.04c9b594b3239p-7, 0x1.fe855106f0989p-8, 0x1.f3a85947d6ff7p-8, 0x1.e8fbe82c3817dp-8, 0x1.de7f6268635c3p-8, 0x1.d4322d35e762bp-8, 0x1.ca13ae6924af2p-8, 0x1.c0234c88de8d6p-8, 0x1.b6606ee4ef86cp-8, 0x1.acca7da83013cp-8, 0x1.a360e1e354fd5p-8, 0x1.9a23058e3ee15p-8, 0x1.9110537ffb502p-8, 0x1.8828375f13964p-8, 0x1.7f6a1d8dec687p-8, 0x1.76d573183d10dp-8, 0x1.6e69a5a74f4f6p-8, 0x1.66262381e88d5p-8, 0x1.5e0a5b9ad5c7p-8, 0x1.5615bdae3d5bbp-8, 0x1.4e47ba6a9b089p-8, 0x1.469fc39f14b35p-8, 0x1.3f1d4c66d3491p-8, 0x1.37bfc94855aeep-8, 0x1.3086b041456dap-8, 0x1.297178ba5b17ep-8, 0x1.227f9b63f8c35p-8, 0x1.1bb09200d28f4p-8, 0x1.1503d7294c24p-8, 0x1.0e78e614d8bdbp-8, 0x1.080f3a775ca71p-8, 0x1.01c6507d4a7d8p-8, 0x1.f73b49d6dee65p-9, 0x1.eb296abf0167dp-9, 0x1.df56014d787e7p-9, 0x1.d3c00e34c9393p-9, 0x1.c86695debd7bep-9, 0x1.bd48a0d117ba1p-9, 0x1.b2653bbfee78cp-9, 0x1.a7bb7744b08f6p-9, 0x1.9d4a6741904dbp-9, 0x1.93112209519f6p-9, 0x1.890ebf720de13p-9, 0x1.7f425802e629p-9, 0x1.75ab046e155e6p-9, 0x1.6c47dd7c66d6cp-9, 0x1.6317fc77f11c4p-9, 0x1.5a1a7c05394b9p-9, 0x1.514e793d66722p-9, 0x1.48b314cd7fc44p-9, 0x1.404773dfcd5ddp-9, 0x1.380ac0a645f58p-9, 0x1.2ffc2a7253c99p-9, 0x1.281ae55cb3d7dp-9, 0x1.2066298b4cc63p-9, 0x1.18dd322cb576cp-9, 0x1.117f3c4a9fd23p-9, 0x1.0a4b85a190d85p-9, 0x1.03414bb8a76bep-9, 0x1.f8bf96eac0fa2p-10, 0x1.eb4c82a2d038ep-10, 0x1.de27d460f09bdp-10, 0x1.d1500944f8456p-10, 0x1.c4c3a47f261d8p-10, 0x1.b88131908c831p-10, 0x1.ac8745a79a9cep-10, 0x1.a0d48001046ddp-10, 0x1.9567897c61fc1p-10, 0x1.8a3f13a7fbb98p-10, 0x1.7f59d772c38b1p-10, 0x1.74b693945aedfp-10, 0x1.6a540ab4605f6p-10, 0x1.6031017d82c08p-10, 0x1.564c3cf9da382p-10, 0x1.4ca481b3cc6c1p-10, 0x1.433893f119f67p-10, 0x1.3a0739073aaa5p-10, 0x1.310f395e2287fp-10, 0x1.284f627c671c6p-10, 0x1.1fc6888aa545dp-10, 0x1.1773870b95be5p-10, 0x1.0f5540e434866p-10, 0x1.076aa002617c1p-10, 0x1.ff6529cea4932p-11, 0x1.f0582c586cf65p-11, 0x1.e1ac3fd1aff9bp-11, 0x1.d35f65c0b49b8p-11, 0x1.c56fa702ce152p-11, 0x1.b7db11f35291p-11, 0x1.aa9fb9646776p-11, 0x1.9dbbb4be9523dp-11, 0x1.912d210ed0874p-11, 0x1.84f2224ca7aadp-11, 0x1.7908e4228c8c1p-11, 0x1.6d6f99efa7747p-11, 0x1.62247e4f1f45ep-11, 0x1.5725d2c211fa6p-11, 0x1.4c71dfff7c707p-11, 0x1.4206f6ee4487ep-11, 0x1.37e371bb9ff25p-11, 0x1.2e05b440b0fe2p-11, 0x1.246c2b4372bd4p-11, 0x1.1b154ae7359fbp-11, 0x1.11ff8d4ee3375p-11, 0x1.09297274401aep-11, 0x1.0091816ce95fap-11, 0x1.f06c949baea91p-12, 0x1.e02cceb547ee4p-12, 0x1.d060f93e5acf5p-12, 0x1.c1066c27f4d69p-12, 0x1.b21a8a6c9d575p-12, 0x1.a39abe201c14dp-12, 0x1.9584769073d81p-12, 0x1.87d528c9e9f37p-12, 0x1.7a8a522f892e6p-12, 0x1.6da17c0bc28ecp-12, 0x1.61183e41a2de9p-12, 0x1.54ec3f9c02b9dp-12, 0x1.491b33c85bfc4p-12, 0x1.3da2d9049011ap-12, 0x1.3280f7d1daa48p-12, 0x1.27b36547c5c1bp-12, 0x1.1d38061a462fep-12, 0x1.130ccf73db91dp-12, 0x1.092fc4773c302p-12, 0x1.ff3de44d84565p-13, 0x1.ecb0d950a729cp-13, 0x1.dab49e739ff22p-13, 0x1.c9457b62fbd96p-13, 0x1.b85fcba2ed357p-13, 0x1.a7ffffe2140d7p-13, 0x1.98229e82a6ddcp-13, 0x1.88c4425a9d599p-13, 0x1.79e195d372357p-13, 0x1.6b774c13b6fd8p-13, 0x1.5d821ed8bd139p-13, 0x1.4ffed724bcf85p-13, 0x1.42ea5e61d7bdfp-13, 0x1.3641cc058087p-13, 0x1.2a0262e1ed3ebp-13, 0x1.1e297c35f96fcp-13, 0x1.12b46d1f7ba98p-13, 0x1.07a078b3df645p-13, 0x1.f9d5aea013405p-14, 0x1.e52194c41738p-14, 0x1.d11f56ee76e2fp-14, 0x1.bdc9dad88897bp-14, 0x1.ab1c2adbb35c4p-14, 0x1.99116eb18e2d5p-14, 0x1.87a4f3b17fea4p-14, 0x1.76d237079e464p-14, 0x1.6694dde47c69ap-14, 0x1.56e899b60de74p-14, 0x1.47c9126164289p-14, 0x1.3931f668c4b49p-14, 0x1.2b1f3043e3845p-14, 0x1.1d8d14b4701ecp-14, 0x1.107859732deb4p-14, 0x1.03ddd2e71fdb2p-14, 0x1.ef74588a4580cp-15, 0x1.d813a14bb6b74p-15, 0x1.c19218c8120e2p-15, 0x1.abe8805ec49dap-15, 0x1.970ffd3b59769p-15, 0x1.830219bddbdabp-15, 0x1.6fb8a7e49dd6p-15, 0x1.5d2d9a56e3d4ep-15, 0x1.4b5ae0f1abd54p-15, 0x1.3a3a5aa1b7c5dp-15, 0x1.29c5e80018bdep-15, 0x1.19f790b14929fp-15, 0x1.0ac9a02ebe333p-15, 0x1.f86d67a8feb33p-16, 0x1.dc7398e27aec7p-16, 0x1.c19cc44908a4ep-16, 0x1.a7e0abc1f1a63p-16, 0x1.8f375e950f446p-16, 0x1.7798a71846191p-16, 0x1.60fbe4ecd0757p-16, 0x1.4b585bc08e556p-16, 0x1.36a585688813fp-16, 0x1.22db151290c26p-16, 0x1.0ff0debe3415bp-16, 0x1.fbbde480d2e9fp-17, 0x1.d93ba61486bd6p-17, 0x1.b84d05f9aeecap-17, 0x1.98e498fd57a5p-17, 0x1.7af4ef5761595p-17, 0x1.5e704ad71a223p-17, 0x1.4348c59adf0fap-17, 0x1.29709b37579a2p-17, 0x1.10da4b1892f52p-17, 0x1.f2f19d3da88e2p-18, 0x1.c6805aad0bfc5p-18, 0x1.9c4bdde8c59b9p-18, 0x1.74413c8dcffdap-18, 0x1.4e4d6ae04d3dap-18, 0x1.2a5c6c04325a7p-18, 0x1.085a95241c3aep-18, 0x1.d06b7e7d0c8c9p-19, 0x1.93b971df18955p-19, 0x1.5a7c3badd93efp-19, 0x1.24907066a3746p-19, 0x1.e3a66e12d8ep-20, 0x1.8446536a1766fp-20, 0x1.2ac1019c68cc4p-20, 0x1.adb269fa13e5ap-21, 0x1.10a4e986b38dp-21, 0x1.f78640db6cedcp-23, -0x1.61526f6281cfbp-26, -0x1.151049c9cf5b6p-22, -0x1.00f5bc5523952p-21, -0x1.6eafa1281102cp-21, -0x1.d41744460b42bp-21, -0x1.18c9587e8173ep-20, -0x1.43c4269282fc9p-20, -0x1.6b2ded70dbf53p-20, -0x1.8f33bdd02a348p-20, -0x1.affa8a5dce39cp-20, -0x1.cda2f24752783p-20, -0x1.e850b1ab75148p-20, -0x1.0015b291e962ap-19, -0x1.0aacb619f21e4p-19, -0x1.13fe9bc93c9ebp-19, -0x1.1c1afdde42ep-19, -0x1.231093a71dde9p-19, -0x1.28ede662d2eacp-19, -0x1.2dc19192b404fp-19, -0x1.319a40889d75ap-19, -0x1.3486bffad5d6cp-19, -0x1.36957bebb67b6p-19, -0x1.37d339541d715p-19, -0x1.384a732af4edap-19, -0x1.3804ab19bb9d2p-19, -0x1.370ca669af1ep-19, -0x1.356ee9b3e0e65p-19, -0x1.33385072ef032p-19, -0x1.3074d3107c824p-19, -0x1.2d2dfd2ce11c8p-19, -0x1.296a539c075b5p-19, -0x1.253066ab976e9p-19, -0x1.2089099ebb31cp-19, -0x1.1b7d24b32c019p-19, -0x1.16141323a7c05p-19, -0x1.10550076ef71cp-19, -0x1.0a47be8fcdbe9p-19, -0x1.03f444261ba15p-19, -0x1.fac442cb7e9acp-20, -0x1.ed2fef14a8f3fp-20, -0x1.df3608c457fd1p-20, -0x1.d0df319619fap-20, -0x1.c234bf51f52abp-20, -0x1.b3419561fd0dp-20, -0x1.a40feb3890da8p-20, -0x1.94a78871106c2p-20, -0x1.850f619d59126p-20, -0x1.75505e0364393p-20, -0x1.657575efe7674p-20, -0x1.5589155070cc4p-20, -0x1.45939729782bap-20, -0x1.359a99d010fd7p-20, -0x1.25a12274aa077p-20, -0x1.15abf8328daf2p-20, -0x1.05c28248caa74p-20, -0x1.ebd4af81ef7f9p-21, -0x1.cc4f02ddff3ccp-21, -0x1.acfd8998af32bp-21, -0x1.8dea14da8dac2p-21, -0x1.6f1d82aa435a9p-21, -0x1.509fd02c6c9b3p-21, -0x1.3277fee83fcd6p-21, -0x1.14abf9f3a0a1bp-21, -0x1.ee8224e478747p-22, -0x1.b479d688e2befp-22, -0x1.7b4bd79acb789p-22, -0x1.430572bdbcb5ap-22, -0x1.0bb1f2e2e8a9cp-22, -0x1.aaaecc0614f3ep-23, -0x1.3fee6166e0b9ep-23, -0x1.ae5882a99bfabp-24, -0x1.c203c94ff9be9p-25, -0x1.801af993fe1b4p-28, 0x1.59396f0c05f13p-25, 0x1.6cce896e299bbp-24, 0x1.1444bc6b47531p-23, 0x1.6fdcec121af56p-23, 0x1.c925b3710b931p-23, 0x1.1010fb791356ep-22, 0x1.3a68daa644d23p-22, 0x1.6398945ea7c74p-22, 0x1.8b9f667e6e8dap-22, 0x1.b27d1649cb463p-22, 0x1.d831508273d83p-22, 0x1.fcbbcb5ec4b69p-22, 0x1.100e55a7c1965p-21, 0x1.212a6d6fa1c3cp-21, 0x1.31b3119381501p-21, 0x1.41a974e6f022cp-21, 0x1.510eda4a71d2ap-21, 0x1.5fe467b36b4e8p-21, 0x1.6e2b2edf49727p-21, 0x1.7be471048dfdap-21, 0x1.8911d815d1577p-21, 0x1.95b503bc04524p-21, 0x1.a1ced610aceccp-21, 0x1.ad6091f0a52f8p-21, 0x1.b86cedd4f8126p-21, 0x1.c2f55b6613bdcp-21, 0x1.ccfadfdf22e79p-21, 0x1.d67f2af07c842p-21, 0x1.df845faaf2d54p-21, 0x1.e80d89c30b746p-21, 0x1.f01cdae80ae12p-21, 0x1.f7b43e4ed68fdp-21, 0x1.fed5cbf731bb6p-21, 0x1.02c1e461ef9afp-20, 0x1.05e03dc275b16p-20, 0x1.08c70f42a8138p-20, 0x1.0b777535ca7aap-20, 0x1.0df29303e652ep-20, 0x1.103999297865bp-20, 0x1.124dc6867d996p-20, 0x1.1430614988cf9p-20, 0x1.15e2a7fc5c854p-20, 0x1.1765c394fd641p-20, 0x1.18bac6e010716p-20, 0x1.19e2c13108b8fp-20, 0x1.1adeda7975fbap-20, 0x1.1bb0553f4156cp-20, 0x1.1c5866c78ccb7p-20, 0x1.1cd83d2f3f3a9p-20, 0x1.1d313b081ceebp-20, 0x1.1d647f7eab713p-20, 0x1.1d72b10e35ad7p-20, 0x1.1d5ce0f2e51d7p-20, 0x1.1d2490b222725p-20, 0x1.1ccae6f14019dp-20, 0x1.1c50d5fcf5acep-20, 0x1.1bb78841f9bfcp-20, 0x1.1b0030fc1a708p-20, 0x1.1a2bcc797a4cp-20, 0x1.193b401a2128fp-20, 0x1.182f87c6c4a25p-20, 0x1.1709bef7ceea2p-20, 0x1.15cb0063265d3p-20, 0x1.1474376fe7c66p-20, 0x1.1306546c246f3p-20, 0x1.11825663832b8p-20, 0x1.0fe93c019f9afp-20, 0x1.0e3bfacb1e058p-20, 0x1.0c7b7ae07c8b7p-20, 0x1.0aa8981e98415p-20, 0x1.08c4286149bp-20, 0x1.06cf04619f744p-20, 0x1.04ca0df42e2acp-20, 0x1.02b62829f3b47p-20, 0x1.009426e62c799p-20, 0x1.fcc9a7608971dp-21, 0x1.f8520705d358dp-21, 0x1.f3c2a17a0d0e1p-21, 0x1.ef1cc188615ddp-21, 0x1.ea624d89f2052p-21, 0x1.e594992c685e5p-21, 0x1.e0b4edb10a285p-21, 0x1.dbc4b142e1aedp-21, 0x1.d6c53f949341p-21, 0x1.d1b7e26af9fc6p-21, 0x1.cc9dd77431282p-21, 0x1.c77851f773626p-21, 0x1.c2487e362ca18p-21, 0x1.bd0f83cd63da3p-21, 0x1.b7ce845b081a2p-21, 0x1.b2869adb9eb4ap-21, 0x1.ad38dbb53d9e9p-21, 0x1.a7e651e996881p-21, 0x1.a28ff9827bc99p-21, 0x1.9d36aad3679fdp-21, 0x1.97db5e511e35bp-21, 0x1.927f10629cd67p-21, 0x1.8d2293db4d25bp-21, 0x1.87c6b897f28a1p-21, 0x1.826c5275360a4p-21, 0x1.7d1431fe59396p-21, 0x1.77bf1f3caa855p-21, 0x1.726dd2e83b5d6p-21, 0x1.6d20fcc47a352p-21, 0x1.67d9511e895f4p-21, 0x1.6297678c35f86p-21, 0x1.5d5bed3bf39f6p-21, 0x1.58277c7b5bbcfp-21, 0x1.52faa28ea07a4p-21, 0x1.4dd5ee69ac70bp-21, 0x1.48b9e75178386p-21, 0x1.43a70da48b9fap-21, 0x1.3e9ddc0ec83e7p-21, 0x1.399ec81ca1c68p-21, 0x1.34aa4256738dep-21, 0x1.2fc0b61ef60f5p-21, 0x1.2ae2897c8b4cep-21, 0x1.26101cfa5cffdp-21, 0x1.2149cb6efb38fp-21, 0x1.1c8fe9c30d389p-21, 0x1.17e2c6ad8e582p-21, 0x1.1342ab1aec40bp-21, 0x1.0eafdbc3bf7d4p-21, 0x1.0a2a9b30e5499p-21, 0x1.05b32a0f33ffap-21, 0x1.0149c54a1eab3p-21, 0x1.f9dd4788ee07fp-22, 0x1.f143eafbd2e42p-22, 0x1.e8c7c7917794bp-22, 0x1.e069218aaf285p-22, 0x1.d8283549f3051p-22, 0x1.d00563d18c5b7p-22, 0x1.c800ffe13ea0ep-22, 0x1.c01b18b4a4e29p-22, 0x1.b853f2bee38bap-22, 0x1.b0aba61a49ea7p-22, 0x1.a92262079b999p-22, 0x1.a1b83bddb6d81p-22, 0x1.9a6d420fdce92p-22, 0x1.934181d52fd01p-22, 0x1.8c3503ac58241p-22, 0x1.8547cb13884dep-22, 0x1.7e79d6f740ddep-22, 0x1.77cb21cec6163p-22, 0x1.713ba15f96591p-22, 0x1.6acb4677fb566p-22, 0x1.6479fcf2fced4p-22, 0x1.5e47abfa99baep-22, 0x1.5834362f061fbp-22, 0x1.523f796f63e75p-22, 0x1.4c694e472cffp-22, 0x1.46b187fed659bp-22, 0x1.4117f6af8b12fp-22, 0x1.3b9c6a20bfaafp-22, 0x1.363eb206b06c7p-22, 0x1.30fe9bae7b00dp-22, 0x1.2bdbf0b4f9666p-22, 0x1.26d67748af536p-22, 0x1.21edef4de02dp-22, 0x1.1d220b268d37fp-22, 0x1.1872778850619p-22, 0x1.13def2d09326fp-22, 0x1.0f6749752c9f6p-22, 0x1.0b0b3dc7a3dd6p-22, 0x1.06ca61ad77548p-22, 0x1.02a461cb5edfap-22, 0x1.fd3211a7adbe2p-23, 0x1.f54fefdc5c068p-23, 0x1.eda1a887a9d8ep-23, 0x1.e626a339d5c4ep-23, 0x1.dede2a717b73p-23, 0x1.d7c77cf140393p-23, 0x1.d0e1e6854659ap-23, 0x1.ca2ccb4c17431p-23, 0x1.c3a77d85d345bp-23, 0x1.bd5137b79820fp-23, 0x1.b7293ad3e438ep-23, 0x1.b12ecaefac43dp-23, 0x1.ab612bd0eb564p-23, 0x1.a5bfa0391cc5bp-23, 0x1.a04969b6aea36p-23, 0x1.9afdc82e1f605p-23, 0x1.95dbf947a38a8p-23, 0x1.90e3392cc640ep-23, 0x1.8c12c52c08a3ap-23, 0x1.8769dd45a19ap-23, 0x1.82e7c2c656892p-23, 0x1.7e8bb669e426bp-23, 0x1.7a54f85ec1651p-23, 0x1.7642c9b97c6fp-23, 0x1.7254694f1a85dp-23, 0x1.6e890ba6bcaa6p-23, 0x1.6adfe46e2a077p-23, 0x1.67583bdfa6f66p-23, 0x1.63f163a07344fp-23, 0x1.60aab3cfbdbddp-23, 0x1.5d8345f4919a8p-23, 0x1.5a7a46adc5efp-23, 0x1.578f386d0f34bp-23, 0x1.54c14ef343c02p-23, 0x1.520fc9ef58142p-23, 0x1.4f79f159f4c73p-23, 0x1.4cff0fce16c21p-23, }}, 
      {{-0x1.25e4f6df27797p+1, -0x1.1e4077c518e33p+1, -0x1.12519097cb09fp+1, -0x1.02fb49c05afefp+1, -0x1.e2536385aafa8p+0, -0x1.bb7879f27ddb7p+0, -0x1.92f402760c955p+0, -0x1.6a18951ec9c54p+0, -0x1.41fa7cab7a777p+0, -0x1.1b7202ffdcc02p+0, -0x1.ee415a66bb8e9p-1, -0x1.aaefef2d8d286p-1, -0x1.6d80ed1859ff8p-1, -0x1.364232b4d6fa1p-1, -0x1.054b262de2509p-1, -0x1.b51156c99dcf6p-2, -0x1.6b8e751da0f74p-2, -0x1.2d76d6dc4cdb8p-2, -0x1.f424400b1d306p-3, -0x1.a12406ea0f4b8p-3, -0x1.60374e305c93fp-3, -0x1.2f9e454c7e575p-3, -0x1.0d9aba0e644b8p-3, -0x1.f0f21278399bp-4, -0x1.dd2d694ce38d4p-4, -0x1.dcce0de6c6e56p-4, -0x1.ecec4783f692ap-4, -0x1.056ad72b61e3ep-3, -0x1.1a076b49b6aabp-3, -0x1.3329be9d6743ep-3, -0x1.4fcacb97aa0c8p-3, -0x1.6efdc862279d6p-3, -0x1.8feefe1e75e75p-3, -0x1.b1e2703640a84p-3, -0x1.d43266d52df04p-3, -0x1.f64deb28f2988p-3, -0x1.0bdba033e557ap-2, -0x1.1c0130df26a73p-2, -0x1.2b69c58022a0ep-2, -0x1.39eee816bd2f7p-2, -0x1.4770e33857369p-2, -0x1.53d6201115d94p-2, -0x1.5f0a8e3dde7bdp-2, -0x1.68ff1585932a8p-2, -0x1.71a9114052267p-2, -0x1.7901d5177de3ap-2, -0x1.7f063abc62267p-2, -0x1.83b6382146441p-2, -0x1.87147dca4572dp-2, -0x1.89261cc3cdd2fp-2, -0x1.89f233d563afcp-2, -0x1.8981a38abb5e4p-2, -0x1.87dec8ae10183p-2, -0x1.85153cd5bfd6p-2, -0x1.81319ca6acb21p-2, -0x1.7c41537834ef5p-2, -0x1.76526bfdf5fecp-2, -0x1.6f7365aa4bf48p-2, -0x1.67b30e78aef11p-2, -0x1.5f2060cf243cfp-2, -0x1.55ca653badc5ap-2, -0x1.4bc017bc8f9b3p-2, -0x1.4110505f92929p-2, -0x1.35c9aee2b0ef4p-2, -0x1.29fa892845817p-2, -0x1.1db0dc318b07fp-2, -0x1.10fa3f8ef28e2p-2, -0x1.03e3daeb78578p-2, -0x1.ecf4bbb58897cp-3, -0x1.d193f19adab21p-3, -0x1.b5bcb181f60a2p-3, -0x1.998544c66a67dp-3, -0x1.7d02e20c7764dp-3, -0x1.6049a93e9a56dp-3, -0x1.436ca353b7d8fp-3, -0x1.267dc6da7f96dp-3, -0x1.098df64b92897p-3, -0x1.d95a12731e656p-4, -0x1.9fd39a6bdb813p-4, -0x1.66a41fbecdc32p-4, -0x1.2de54459e516ep-4, -0x1.eb5d93da03eb8p-5, -0x1.7c2d3b5269da7p-5, -0x1.0e61d09b1b701p-5, -0x1.4440a2d07eb8bp-6, -0x1.bc539ebbd2f29p-8, 0x1.8a0930ea9470bp-8, 0x1.304da01accc23p-6, 0x1.fa1b64312c0a1p-6, 0x1.5fdfa02b20647p-5, 0x1.c088f9f0f8224p-5, 0x1.0f7c43836c197p-4, 0x1.3d8fab4e38e25p-4, 0x1.6a7850186c0a7p-4, 0x1.9630d2d9f5a94p-4, 0x1.c0b4cb8a53991p-4, 0x1.ea00bb42d2e43p-4, 0x1.0908ff63ef4eap-3, 0x1.1c7360a57117fp-3, 0x1.2f3ef7b8a08efp-3, 0x1.416b955432a6bp-3, 0x1.52f95e640cef5p-3, 0x1.63e8c6112c8b9p-3, 0x1.743a87ffe0a5ep-3, 0x1.83efa2c5b2f84p-3, 0x1.9309529e8ae52p-3, 0x1.a1890c57d0815p-3, 0x1.af7078713dc0dp-3, 0x1.bcc16e76bd8d4p-3, 0x1.c97df089c9b2bp-3, 0x1.d5a8271c067b8p-3, 0x1.e1425ce0c4b18p-3, 0x1.ec4efaee75b08p-3, 0x1.f6d08512956a9p-3, 0x1.0064cb2f7e776p-2, 0x1.051e6ef5a030ap-2, 0x1.09968de4262e3p-2, 0x1.0dce8f15fa8e2p-2, 0x1.11c7df6857123p-2, 0x1.1583f0409b5dep-2, 0x1.1904366aad601p-2, 0x1.1c4a290dd96b2p-2, 0x1.1f5740b559aa6p-2, 0x1.222cf66ba9efcp-2, 0x1.24ccc2e82e04fp-2, 0x1.27381dd021acfp-2, 0x1.29707d0460a03p-2, 0x1.2b7753ff4a247p-2, 0x1.2d4e13443a7bdp-2, 0x1.2ef627d857964p-2, 0x1.3070facb31ae9p-2, 0x1.31bff0cc0fe79p-2, 0x1.32e469c725c4dp-2, 0x1.33dfc0939dd8dp-2, 0x1.34b34aa818cb9p-2, 0x1.356057d57a056p-2, 0x1.35e832138753bp-2, 0x1.364c1d4f81724p-2, 0x1.368d573eab4b9p-2, 0x1.36ad17425f258p-2, 0x1.36ac8e4bf058ap-2, 0x1.368ce6c20a57cp-2, 0x1.364f44770f94dp-2, 0x1.35f4c49e514a2p-2, 0x1.357e7dbf94bc9p-2, 0x1.34ed7fbb84211p-2, 0x1.3442d3d05133fp-2, 0x1.337f7c97dd503p-2, 0x1.32a476150fa37p-2, 0x1.31b2b5c62ba77p-2, 0x1.30ab2aac8689ap-2, 0x1.2f8ebd5dc50bep-2, 0x1.2e5e502021624p-2, 0x1.2d1abefc0d5aap-2, 0x1.2bc4dfce37088p-2, 0x1.2a5d826841ba8p-2, 0x1.28e570acc3468p-2, 0x1.275d6ea1ecc1ap-2, 0x1.25c63a9008274p-2, 0x1.24208d2604c0ap-2, 0x1.226d19914d6edp-2, 0x1.20ac8d95a5fe8p-2, 0x1.1edf91b2816dfp-2, 0x1.1d06c944a7805p-2, 0x1.1b22d29c2c857p-2, 0x1.193447194c4fcp-2, 0x1.173bbb52d7505p-2, 0x1.1539bf33d7dbep-2, 0x1.132ede118b44cp-2, 0x1.111b9eca9add3p-2, 0x1.0f0083ebc95b6p-2, 0x1.0cde0bca8c583p-2, 0x1.0ab4b09b079bcp-2, 0x1.0884e88f395f6p-2, 0x1.064f25f9169f8p-2, 0x1.0413d762ecd0ep-2, 0x1.01d367a47ea2ep-2, 0x1.ff1c7c012af47p-3, 0x1.fa897c899102fp-3, 0x1.f5ee91bffed83p-3, 0x1.f14c75eac3192p-3, 0x1.eca3dcee7c19cp-3, 0x1.e7f5748ab972ep-3, 0x1.e341e4851330ap-3, 0x1.de89cec80ca0cp-3, 0x1.d9cdcf8fa3fa5p-3, 0x1.d50e7da3db639p-3, 0x1.d04c6a86da949p-3, 0x1.cb88228e9a668p-3, 0x1.c6c22d0278815p-3, 0x1.c1fb0c4da0fc5p-3, 0x1.bd333e342c3f6p-3, 0x1.b86b3bf23afe9p-3, 0x1.b3a37a4c41558p-3, 0x1.aedc69acdf111p-3, 0x1.aa167657513a2p-3, 0x1.a5520895dd9b9p-3, 0x1.a08f84cfbeaa4p-3, 0x1.9bcf4b93208b9p-3, 0x1.9711b9af13032p-3, 0x1.925728623edb8p-3, 0x1.8d9fed863fee3p-3, 0x1.88ec5ba2e6785p-3, 0x1.843cc1f2d005p-3, 0x1.7f916c7439ffp-3, 0x1.7aeaa4107e28ep-3, 0x1.7648aec7667c9p-3, 0x1.71abcfc673a49p-3, 0x1.6d14476b73548p-3, 0x1.688253496be2dp-3, 0x1.63f62e431308fp-3, 0x1.5f7010b411ff2p-3, 0x1.5af03090f8178p-3, 0x1.5676c1700e75cp-3, 0x1.5203f48635dafp-3, 0x1.4d97f8af5fc34p-3, 0x1.4932fa8c7e6f2p-3, 0x1.44d524a8f35a2p-3, 0x1.407e9f918689fp-3, 0x1.3c2f91d62728p-3, 0x1.37e82005196ap-3, 0x1.33a86cb4142cap-3, 0x1.2f70989cad14p-3, 0x1.2b40c2bd611c7p-3, 0x1.2719086c6c60fp-3, 0x1.22f98557ce81ap-3, 0x1.1ee2537fa570bp-3, 0x1.1ad38b3c5e80dp-3, 0x1.16cd43561660ap-3, 0x1.12cf9121b5278p-3, 0x1.0eda8893a8345p-3, 0x1.0aee3c423cb5fp-3, 0x1.070abd603e334p-3, 0x1.03301bbe45accp-3, 0x1.febccbb48f34ap-4, 0x1.f72b51ef577abp-4, 0x1.efabe2669725bp-4, 0x1.e83e93160d7d6p-4, 0x1.e0e377b6e622bp-4, 0x1.d99aa1bb2ffa6p-4, 0x1.d264205b0998ep-4, 0x1.cb4000b53e82dp-4, 0x1.c42e4df4fdc48p-4, 0x1.bd2f116b86629p-4, 0x1.b6425297dd321p-4, 0x1.af68172443b19p-4, 0x1.a8a062e7371f4p-4, 0x1.a1eb37f1932f9p-4, 0x1.9b4896a8555c7p-4, 0x1.94b87de03b054p-4, 0x1.8e3aeaf0f645ap-4, 0x1.87cfd9bd2c1b4p-4, 0x1.817744b40effep-4, 0x1.7b3124d49179bp-4, 0x1.74fd71b7aec75p-4, 0x1.6edc21a1f3b1cp-4, 0x1.68cd29974adc1p-4, 0x1.62d07d6b47b16p-4, 0x1.5ce60fcb5263bp-4, 0x1.570dd2443f391p-4, 0x1.5147b546d1ffcp-4, 0x1.4b93a82e6e4dcp-4, 0x1.45f1994b6870fp-4, 0x1.406175f00829cp-4, 0x1.3ae32a7da7318p-4, 0x1.3576a26fdd5d5p-4, 0x1.301bc86511d63p-4, 0x1.2ad286253889dp-4, 0x1.259ac4a793dd3p-4, 0x1.20746c18c9684p-4, 0x1.1b5f63e227bdbp-4, 0x1.165b92b248e06p-4, 0x1.1168de866200ep-4, 0x1.0c872cb374723p-4, 0x1.07b661eecc0e9p-4, 0x1.02f6625545e06p-4, 0x1.fc8e22e23bf14p-5, 0x1.f350a47d4c82dp-5, 0x1.ea340e61df8aep-5, 0x1.e138246ea9fp-5, 0x1.d85ca98855ab4p-5, 0x1.cfa15fa8ba194p-5, 0x1.c70607eeaa2e4p-5, 0x1.be8a62ac8498dp-5, 0x1.b62e2f73e7b51p-5, 0x1.adf12d1e1a7aep-5, 0x1.a5d319d27e49ap-5, 0x1.9dd3b30d698d7p-5, 0x1.95f2b5a8f65cp-5, 0x1.8e2fdde844c2dp-5, 0x1.868ae7846e336p-5, 0x1.7f038db9d08b6p-5, 0x1.77998b53d8328p-5, 0x1.704c9ab60a2dcp-5, 0x1.691c75e23d457p-5, 0x1.6208d67d7623dp-5, 0x1.5b1175d54cabcp-5, 0x1.54360ce7129d1p-5, 0x1.4d765468f15c8p-5, 0x1.46d204d43db44p-5, 0x1.4048d66fdc787p-5, 0x1.39da815980ad8p-5, 0x1.3386bd8cde231p-5, 0x1.2d4d42e8e21b6p-5, 0x1.272dc933ddbbap-5, 0x1.2128082010e3dp-5, 0x1.1b3bb75185639p-5, 0x1.15688e6546dc3p-5, 0x1.0fae44f949268p-5, 0x1.0a0c92b41b5a4p-5, 0x1.04832f4b9a569p-5, 0x1.fe23a5145bf9ep-6, 0x1.f37068a573261p-6, 0x1.e8ec1947ef561p-6, 0x1.de9627389aa36p-6, 0x1.d46e02fde3a55p-6, 0x1.ca731d7508ce4p-6, 0x1.c0a4e7e0b04c7p-6, 0x1.b702d3f66c11fp-6, 0x1.ad8c53e90252fp-6, 0x1.a440da6e78eefp-6, 0x1.9b1fdac23a508p-6, 0x1.9228c8a562d57p-6, 0x1.895b18600fc34p-6, 0x1.80b63ec6e718dp-6, 0x1.7839b14663b63p-6, 0x1.6fe4e5f3bc55ep-6, 0x1.67b753a08819ep-6, 0x1.5fb071ec75cfap-6, 0x1.57cfb950cfaf2p-6, 0x1.5014a322cbdc3p-6, 0x1.487ea98cb7089p-6, 0x1.410d4780f83b8p-6, 0x1.39bff8ac6f3c2p-6, 0x1.3296396ed050dp-6, 0x1.2b8f86de66303p-6, 0x1.24ab5ed99a1f7p-6, 0x1.1de940245cb2dp-6, 0x1.1748aa8aeb72ep-6, 0x1.10c91f00e8f99p-6, 0x1.0a6a1fb37d0f7p-6, 0x1.042b3008320c3p-6, 0x1.fc17a90ea5a33p-7, 0x1.f017256dc83fdp-7, 0x1.e453e1e142da9p-7, 0x1.d8ccec8093611p-7, 0x1.cd8154ad610f3p-7, 0x1.c2702b32b3825p-7, 0x1.b798829d4703fp-7, 0x1.acf96fbc44d08p-7, 0x1.a2920a2acf9c3p-7, 0x1.98616cbce8dbp-7, 0x1.8e66b5ad8affep-7, 0x1.84a1067a0f2f4p-7, 0x1.7b0f836c42767p-7, 0x1.71b152eb744fcp-7, 0x1.68859cbfa928dp-7, 0x1.5f8b897add92cp-7, 0x1.56c2423729e84p-7, 0x1.4e28f0c6669d1p-7, 0x1.45bec053f670ep-7, 0x1.3d82de5a65b15p-7, 0x1.35747bb4a1a98p-7, 0x1.2d92cd85959e2p-7, 0x1.25dd0db49f84dp-7, 0x1.1e527ad35351cp-7, 0x1.16f25763daac4p-7, 0x1.0fbbe89fce0b6p-7, 0x1.08ae75035bb3bp-7, 0x1.01c942f5d1202p-7, 0x1.f6172fd209dbfp-8, 0x1.e8e970669b986p-8, 0x1.dc07cf7ce36ep-8, 0x1.cf70d6e6f0b2dp-8, 0x1.c32316350557cp-8, 0x1.b71d26874575bp-8, 0x1.ab5dad84e2cb6p-8, 0x1.9fe35eaf2424fp-8, 0x1.94acfa9bb7d09p-8, 0x1.89b94c191bccfp-8, 0x1.7f0723c01ff7p-8, 0x1.749552dd03327p-8, 0x1.6a62a6d2f7c6bp-8, 0x1.606de612645b4p-8, 0x1.56b5cf6ec27fep-8, 0x1.4d391c2180571p-8, 0x1.43f6843005146p-8, 0x1.3aecc45d5e882p-8, 0x1.321aa46ad5505p-8, 0x1.297efc48a658bp-8, 0x1.2118b700168bfp-8, 0x1.18e6d2907b13ap-8, 0x1.10e85c9a279b3p-8, 0x1.091c6c6445782p-8, 0x1.01821b6620e4cp-8, 0x1.f430fbb8fcd21p-9, 0x1.e5bd39ffbb368p-9, 0x1.d7a6e846f9e6cp-9, 0x1.c9ebe2df7a4cfp-9, 0x1.bc89f457f3f2fp-9, 0x1.af7ee39f15aeep-9, 0x1.a2c884f89c03ap-9, 0x1.9664ca6bbfd3fp-9, 0x1.8a51d057e9b39p-9, 0x1.7e8de38bc4f9bp-9, 0x1.73177f73542b8p-9, 0x1.67ed447cf1f63p-9, 0x1.5d0de86bd2969p-9, 0x1.5278239772c3bp-9, 0x1.482a9eca9b51ep-9, 0x1.3e23e55e2ac61p-9, 0x1.34625e4c0fbcdp-9, 0x1.2ae44d8632343p-9, 0x1.21a7dd30fde52p-9, 0x1.18ab2ce0b1f83p-9, 0x1.0fec63eb8c52fp-9, 0x1.0769c370132fdp-9, 0x1.fe4369a9078f8p-10, 0x1.ee25a45eb947ep-10, 0x1.de77ce377482ap-10, 0x1.cf37d39fa6bddp-10, 0x1.c063db65ef0f5p-10, 0x1.b1fa23dce533dp-10, 0x1.a3f8de84a582bp-10, 0x1.965e111bdfb86p-10, 0x1.892781c4dd087p-10, 0x1.7c52b17934403p-10, 0x1.6fdce4fd0c1a9p-10, 0x1.63c339b7dbdacp-10, 0x1.5802c1ed1b943p-10, 0x1.4c98a303b69abp-10, 0x1.418230bcaa3c7p-10, 0x1.36bd0123141fap-10, 0x1.2c46f666b227p-10, 0x1.221e3d8d0c4e9p-10, 0x1.184142bf6fec5p-10, 0x1.0eae9dae9d54ap-10, 0x1.0564f9c371c77p-10, 0x1.f8c5fcbfa394fp-11, 0x1.e74e76655a7ecp-11, 0x1.d6603738d73b7p-11, 0x1.c5f7c53d36b82p-11, 0x1.b6115e5aefd08p-11, 0x1.a6a90eb8e7cd1p-11, 0x1.97bacfe49e08bp-11, 0x1.8942aae9e208fp-11, 0x1.7b3cd74a90badp-11, 0x1.6da5d183ef6p-11, 0x1.607a65aea04dep-11, 0x1.53b7ad914713fp-11, 0x1.475b0468ecfa7p-11, 0x1.3b61f4aafdb42p-11, 0x1.2fca24913aa68p-11, 0x1.2491455c3ed66p-11, 0x1.19b5078cc4bf9p-11, 0x1.0f33147a94179p-11, 0x1.05090c626ec3ep-11, 0x1.f6690f5ceb8bp-12, 0x1.e3663562f63d2p-12, 0x1.d104b6f3f1bep-12, 0x1.bf3fd1f6bf214p-12, 0x1.ae12e37e4ad1p-12, 0x1.9d796f9ab7df8p-12, 0x1.8d6f20f81311dp-12, 0x1.7defc216286d9p-12, 0x1.6ef735b2e57d2p-12, 0x1.60817405f01bdp-12, 0x1.528a8e06eb6f1p-12, 0x1.450eb249ba0b4p-12, 0x1.380a2c9ee88b4p-12, 0x1.2b795d1463ad5p-12, 0x1.1f58aa52adce1p-12, 0x1.13a479b1631aep-12, 0x1.085937cc821e1p-12, 0x1.fae6e9c0a3f6p-13, 0x1.e5e016a9d2f36p-13, 0x1.d198780bb5257p-13, 0x1.be0b573be9eep-13, 0x1.ab34730adf0b5p-13, 0x1.990f7a47a5d9cp-13, 0x1.87978b4edfc3p-13, 0x1.76c6f48e20dp-13, 0x1.669757e0c24dbp-13, 0x1.570226f89607p-13, 0x1.4801450d0c52cp-13, 0x1.398f83f6110efp-13, 0x1.2ba8bcde4fa89p-13, 0x1.1e496fed3cff6p-13, 0x1.116e1433945dep-13, 0x1.0512730ecfc8bp-13, 0x1.f262dcf783574p-14, 0x1.db8ab8a3c097cp-14, 0x1.c59198e615935p-14, 0x1.b06ea3a584f59p-14, 0x1.9c1bc8c8605d3p-14, 0x1.8895510fdffbep-14, 0x1.75d86927aad0cp-14, 0x1.63e1512998035p-14, 0x1.52a9fe399659cp-14, 0x1.4229c5e23dc7bp-14, 0x1.32563a59edc15p-14, 0x1.2324e49918dddp-14, 0x1.148d290f85bd7p-14, 0x1.06897bd508572p-14, 0x1.f22e7e3b5daa3p-15, 0x1.d86a942462b3ap-15, 0x1.bfc3c4a77c2a9p-15, 0x1.a832a19321ec7p-15, 0x1.91ab8d6fa15d4p-15, 0x1.7c20b552ee96fp-15, 0x1.6784962fab78cp-15, 0x1.53cba3cbb85d7p-15, 0x1.40eca47cfb20cp-15, 0x1.2ee020f129024p-15, 0x1.1d9f8f067aca9p-15, 0x1.0d24a0a997801p-15, 0x1.fad1398dea0c1p-16, 0x1.dcc71bb07c1c7p-16, 0x1.c0174d3c057bep-16, 0x1.a4ab686396dap-16, 0x1.8a6dd35f185a1p-16, 0x1.714e3974668bp-16, 0x1.5943cc41a1666p-16, 0x1.424b862207c5fp-16, 0x1.2c639b6f00cc8p-16, 0x1.17874bb3c679p-16, 0x1.03ad880db4a5dp-16, 0x1.e194eed2ff9ecp-17, 0x1.bda47fe088b08p-17, 0x1.9b7677c668f34p-17, 0x1.7afc308dc9fefp-17, 0x1.5c276c9989871p-17, 0x1.3ee577cda7b1dp-17, 0x1.231e1d044db6fp-17, 0x1.08b6c6ba23771p-17, 0x1.df2d1807d2868p-18, 0x1.af508e88d3ad8p-18, 0x1.81b4c5a77ae49p-18, 0x1.563b8c1a982ffp-18, 0x1.2cca4f888d1bp-18, 0x1.054a3410217d2p-18, 0x1.bf516e71f7c6cp-19, 0x1.77adc71e98dbbp-19, 0x1.338d15cd10339p-19, 0x1.e5a00822f6397p-20, 0x1.6aa7cc27b463ap-20, 0x1.ebd423f4e5f11p-21, 0x1.0e4c9c2d8667bp-21, 0x1.e27f43319163cp-24, -0x1.1518743715217p-22, -0x1.46d98b6ac6a92p-21, -0x1.f950f0f7fca0dp-21, -0x1.51560a1435be4p-20, -0x1.a1c1301b7daa6p-20, -0x1.ee20808d68756p-20, -0x1.1b4ed2e456dbp-19, -0x1.3db1bd0177d69p-19, -0x1.5e54d6bdc6654p-19, -0x1.7d5bd33d7b82ep-19, -0x1.9aef466869949p-19, -0x1.b735778599badp-19, -0x1.d247b5c1d56b4p-19, -0x1.ec2ca140850bcp-19, -0x1.027059bf91c9cp-18, -0x1.0e33abc9209f7p-18, -0x1.1969baa71b842p-18, -0x1.241ecdbf5c19ap-18, -0x1.2e5a450347f54p-18, -0x1.381ea2b32b74cp-18, -0x1.416fd844d0d12p-18, -0x1.4a564ef5fa469p-18, -0x1.52dc9052bc1cp-18, -0x1.5b0c04207529bp-18, -0x1.62eba076fd652p-18, -0x1.6a803da979e24p-18, -0x1.71cd6538dc6c1p-18, -0x1.78d608584ee32p-18, -0x1.7f9d071f13cb4p-18, -0x1.86258172bc8b5p-18, -0x1.8c730fb9d95dbp-18, -0x1.928a02349123dp-18, -0x1.986ef39bf6b15p-18, -0x1.9e25755cb6fa4p-18, -0x1.a3afe2e54d179p-18, -0x1.a911139bed6c7p-18, -0x1.ae4cf403f2e75p-18, -0x1.b36670104105bp-18, -0x1.b85e0f272e6d4p-18, -0x1.bd33f165bf369p-18, -0x1.c1e9f5df7d2d3p-18, -0x1.c683009b2e5c4p-18, -0x1.cb0130aced2f8p-18, -0x1.cf65b0f8df222p-18, -0x1.d3b1cc4af0ceap-18, -0x1.d7e72177bcdadp-18, -0x1.dc06e8ad2dacbp-18, -0x1.e011e5bc48745p-18, -0x1.e40907658b6f9p-18, -0x1.e7ed82b9c4d4p-18, -0x1.ebc057868a46dp-18, -0x1.ef81f15e5a829p-18, -0x1.f33151717c0dp-18, -0x1.f6cba7e65482ep-18, -0x1.fa5011602d142p-18, -0x1.fdc2311bf6d86p-18, -0x1.009258bf76354p-17, -0x1.023aedb2060c7p-17, -0x1.03da78f279cdbp-17, -0x1.057258db07d0ap-17, -0x1.07036e50735d8p-17, -0x1.088d4cd8457a3p-17, -0x1.0a0efc5b2d55cp-17, -0x1.0b873dc91e7e3p-17, -0x1.0cf506e70a04fp-17, -0x1.0e5887e3f878fp-17, -0x1.0fb2f7bce6f65p-17, -0x1.1104c04ffa3a9p-17, -0x1.124ccb2cf00dcp-17, -0x1.138a72c0ad1aep-17, -0x1.14bee8e349011p-17, -0x1.15eb9010b7257p-17, -0x1.1710437898aebp-17, -0x1.182c17aa2fbafp-17, -0x1.193e518ff5d88p-17, -0x1.1a45156d541bp-17, -0x1.1b3e97f0af6fap-17, -0x1.1c2cabeda17dep-17, -0x1.1d10554676007p-17, -0x1.1de77c8a6475p-17, -0x1.1eb2b0c20c638p-17, -0x1.1f73bef15467dp-17, -0x1.2029ed2c1a5efp-17, -0x1.20d3e18e2341ep-17, -0x1.21710d714b553p-17, -0x1.22015bb7d1715p-17, -0x1.2284dc10b070bp-17, -0x1.22fbb27dfc05p-17, -0x1.2366103fb3997p-17, -0x1.23c42340fe495p-17, -0x1.2415f5345d65fp-17, -0x1.245b029d10dc4p-17, -0x1.2491fa00e0011p-17, -0x1.24ba17fe43a7bp-17, -0x1.24d46c531cb33p-17, -0x1.24e194bc12249p-17, -0x1.24e0519a36186p-17, -0x1.24d1256cb587bp-17, -0x1.24b5d94e15ceap-17, -0x1.248cbeb2c82d8p-17, -0x1.245517062f7b4p-17, -0x1.240e3504faab5p-17, -0x1.23b6f1fbbb10fp-17, -0x1.2351df9cd5b08p-17, -0x1.22df71bc612a3p-17, -0x1.225e4b8f220d5p-17, -0x1.21ce03c841e6ep-17, -0x1.212ec452344fap-17, -0x1.2080b5b66b494p-17, -0x1.1fc3e655293d6p-17, -0x1.1ef8586f0d7c4p-17, -0x1.1e1e104dc7a26p-17, -0x1.1d3519efbda61p-17, -0x1.1c3d849e14cf1p-17, -0x1.1b37586674398p-17, -0x1.1a228f724f667p-17, -0x1.18ff1d7f0cf69p-17, -0x1.17cd0801db63cp-17, -0x1.168c744fb3241p-17, -0x1.153d76e3a9fdap-17, -0x1.13e00f4bb7641p-17, -0x1.12756526aae1ep-17, -0x1.10ff6bfc59241p-17, -0x1.0f7bcdabd4d83p-17, -0x1.0de85e5425343p-17, -0x1.0c45615d95a55p-17, -0x1.0a93b9a102c18p-17, -0x1.08d5d2a2be0f6p-17, -0x1.070bd18802c35p-17, -0x1.0534d3a5af9ebp-17, -0x1.03504a3db99fdp-17, -0x1.015e4e12a1aa6p-17, -0x1.febe6c342bc91p-18, -0x1.faa6a1e4d0f96p-18, -0x1.f675b5bdb9395p-18, -0x1.f22c0d8ab5601p-18, -0x1.edca0e5e099d5p-18, -0x1.e950257f2d794p-18, -0x1.e4bec51a18592p-18, -0x1.e01655f2d5fe5p-18, -0x1.db572865dc744p-18, -0x1.d681745f7ca62p-18, -0x1.d19574dc1b218p-18, -0x1.cc939202b00f1p-18, -0x1.c77c4be9d4a94p-18, -0x1.c24fccf6e884ap-18, -0x1.bd0e87c62149dp-18, -0x1.b7bb711393ac7p-18, -0x1.b2572f39e681ap-18, -0x1.acdd18d427dc1p-18, -0x1.a74d49c8ae1fbp-18, -0x1.a1aceb674ec65p-18, -0x1.9bfc5ab02a25bp-18, -0x1.9639abbfb55b2p-18, -0x1.9066529882ee5p-18, -0x1.8a8464a397d86p-18, -0x1.84931598e4b7ep-18, -0x1.7e90cf2330048p-18, -0x1.787dbdb3eeccap-18, -0x1.725c2cbdd7906p-18, -0x1.6c2e790fc494dp-18, -0x1.65f3c5624a533p-18, -0x1.5fab853aa091dp-18, -0x1.59564e0bca26cp-18, -0x1.52f4e9d65f212p-18, -0x1.4c88015349758p-18, -0x1.461017ff7c3b6p-18, -0x1.3f8d9776a7f7ap-18, -0x1.3900e0e51e20bp-18, -0x1.326a66e3eec4ap-18, -0x1.2bcac0ce0964cp-18, -0x1.2522800181bp-18, -0x1.1e71df9e4228ap-18, -0x1.17b9822214efcp-18, -0x1.10fbf5b245ba3p-18, -0x1.0a3728f30aed3p-18, -0x1.036991d6026d7p-18, -0x1.f92ff9f4df75ap-19, -0x1.eb8360f02396cp-19, -0x1.ddcbc9b3aff96p-19, -0x1.d00ae8ae64d31p-19, -0x1.c2422bdf63da5p-19, -0x1.b4729c4ca387ap-19, -0x1.a69d1b2415adep-19, -0x1.98c27b470b95fp-19, -0x1.8ae38ef0a4d93p-19, -0x1.7d012cd24a58cp-19, -0x1.6f1c20a296fabp-19, -0x1.613526b249c4ep-19, -0x1.534d94a11d93cp-19, -0x1.45682eb22fc13p-19, -0x1.378535ec4b391p-19, -0x1.29a17c272fb12p-19, -0x1.1bbf22fb5189dp-19, -0x1.0de277822bcdp-19, -0x1.000aa0e7d7c37p-19, -0x1.e46e2d8894088p-20, -0x1.c8d1e2772ee31p-20, -0x1.ad42fe62e0d34p-20, -0x1.91c382b368b0dp-20, -0x1.7653ffd61de69p-20, -0x1.5af5d8a345bb8p-20, -0x1.3faee23416facp-20, -0x1.2479024991b93p-20, -0x1.095b2469c851ap-20, -0x1.dcad1ecce13bp-21, -0x1.a6d34a051cabcp-21, -0x1.712d9efd7e24cp-21, -0x1.3bbfc597636a1p-21, -0x1.068c83ae263f9p-21, -0x1.a32ccdb8e2213p-22, -0x1.39bfda561d1ep-22, -0x1.a1ae2c60719a2p-23, -0x1.a1dd5f25200a5p-24, -0x1.4ac643b509c49p-31, 0x1.9a6859a844aedp-24, 0x1.9a84ec52f4d63p-23, 0x1.334f30e31ae31p-22, 0x1.98bbd0ef0f46fp-22, 0x1.fd83fbcc64p-22, 0x1.30d1be2e94833p-21, 0x1.628b24cf7aeedp-21, 0x1.93ec3d3ff2562p-21, 0x1.c4f31618cab9bp-21, 0x1.f59dc47314687p-21, 0x1.12f5474a1fa49p-20, 0x1.2aebfce6c99cfp-20, 0x1.42b1d17958a9fp-20, 0x1.5a44da51f8b68p-20, 0x1.71a5bb7e32a4bp-20, 0x1.88d4195e372b4p-20, 0x1.9fcd194961b99p-20, 0x1.b69188ea096a2p-20, 0x1.cd1ff58b67f1cp-20, 0x1.e3786c520d5edp-20, 0x1.f99a08e245543p-20, 0x1.07c1ef6e3a239p-19, 0x1.129aa0efc1377p-19, 0x1.1d56cad2d590ap-19, 0x1.27f6218bbbf75p-19, 0x1.32785bbb13effp-19, 0x1.3cdd3262d46d8p-19, 0x1.4724611c372c2p-19, 0x1.514da6390e9dbp-19, 0x1.5b58c2cf8df4cp-19, 0x1.65457abad4a5ap-19, 0x1.6f13949f10345p-19, 0x1.78c2d9fa76b85p-19, 0x1.82531744013ebp-19, 0x1.8bc41be830919p-19, 0x1.9515b9efd3898p-19, 0x1.9e47c57c2c654p-19, 0x1.a75a14ad1797cp-19, 0x1.b04c7fee41784p-19, 0x1.b91ee20af5f5cp-19, 0x1.c1d1182691695p-19, 0x1.ca63033db974cp-19, 0x1.d2d48b7c9d77cp-19, 0x1.db259d3204354p-19, 0x1.e3561d8973dddp-19, 0x1.eb65e1cae6729p-19, 0x1.f354c2e657656p-19, 0x1.fb22f6fc39f39p-19, 0x1.01683a6a7a3a6p-18, 0x1.052e75659ddccp-18, 0x1.08e42f7cc1231p-18, 0x1.0c89693fc54ccp-18, 0x1.101e14faea98bp-18, 0x1.13a23beae09f1p-18, 0x1.1715efb9ce0dp-18, 0x1.1a79369ef0e4cp-18, 0x1.1dcbf590f0e7cp-18, 0x1.210e21a8a1b0ap-18, 0x1.243fcad7f270ep-18, 0x1.2760fad2c76eap-18, 0x1.2a71b76cde5p-18, 0x1.2d72065435ce9p-18, 0x1.3061ee0d0840ap-18, 0x1.3341761a15a1fp-18, 0x1.3610a70724c48p-18, 0x1.38cf8a720ef5p-18, 0x1.3b7e2af13d418p-18, 0x1.3e1c93cb91155p-18, 0x1.40aad0c6dfdap-18, 0x1.4328ee48816f4p-18, 0x1.4596f97e7de8p-18, 0x1.47f5003a263d3p-18, 0x1.4a4310c9c8b96p-18, 0x1.4c813ae6bfd35p-18, 0x1.4eaf91e1c974dp-18, 0x1.50ce2a663ef67p-18, 0x1.52dd14c7bfd8cp-18, 0x1.54dc5acf1e021p-18, 0x1.56cbf3456a6bfp-18, 0x1.58ac2660c7058p-18, 0x1.5a7d2687b2a34p-18, 0x1.5c3eb5f2cb79cp-18, 0x1.5df102dcb973fp-18, 0x1.5f942d7aa6eb5p-18, 0x1.61284c3f00c4ap-18, 0x1.62ad75c67d3fdp-18, }}, 
      {{-0x1.27a714576c317p+1, -0x1.250dada73397ep+1, -0x1.20e58b12fd02dp+1, -0x1.1b62e93c27ea9p+1, -0x1.14bf2b6146a8fp+1, -0x1.0d3409366f26fp+1, -0x1.04f88ac68e721p+1, -0x1.f87e7e005b219p+0, -0x1.e66a93ac3d447p+0, -0x1.d4040af4345d5p+0, -0x1.c18e0c6375d13p+0, -0x1.af40bc13c4dp+0, -0x1.9d4a0e5bb8742p+0, -0x1.8bcec58bd3d0bp+0, -0x1.7aeb7f5bb4242p+0, -0x1.6ab5bfd0a2773p+0, -0x1.5b3cef16eb285p+0, -0x1.4c8b43c6ad552p+0, -0x1.3ea69751ca4a4p+0, -0x1.31912421d25a3p+0, -0x1.254a2dc8abc74p+0, -0x1.19ce942703a1cp+0, -0x1.0f1952d864379p+0, -0x1.0523ee84262a4p+0, -0x1.f7cda3a5ea3b7p-1, -0x1.e6b33798d7d35p-1, -0x1.d6e6c2a5a0d6dp-1, -0x1.c855c6b358c56p-1, -0x1.baed76aa8952bp-1, -0x1.ae9afe8047c69p-1, -0x1.a34bbce296612p-1, -0x1.98ed70b555ca7p-1, -0x1.8f6e5c4bca6dap-1, -0x1.86bd600bbbbe7p-1, -0x1.7eca0ded2710fp-1, -0x1.7784b714cfbedp-1, -0x1.70de7498de9f2p-1, -0x1.6ac92c5577ea7p-1, -0x1.6537929327b71p-1, -0x1.601d2921fad7dp-1, -0x1.5b6e3c7156652p-1, -0x1.571fdf15c977dp-1, -0x1.5327e41a942abp-1, -0x1.4f7cd86c39b0bp-1, -0x1.4c15fb9b84453p-1, -0x1.48eb382cd2825p-1, -0x1.45f51b9dd2f5ep-1, -0x1.432cce43cf1e5p-1, -0x1.408c0b1dfac3bp-1, -0x1.3e0d17b1c6477p-1, -0x1.3baabc02a8c54p-1, -0x1.39603ab33639cp-1, -0x1.3729495a3b62cp-1, -0x1.3502091449129p-1, -0x1.32e6ff576e539p-1, -0x1.30d50f0ddb7b5p-1, -0x1.2ec971f9eb04ap-1, -0x1.2cc1b266672e2p-1, -0x1.2abba523fd628p-1, -0x1.28b563d41f667p-1, -0x1.26ad47800d11ap-1, -0x1.24a1e37a00422p-1, -0x1.22920087cb1f2p-1, -0x1.207c9857014bap-1, -0x1.1e60d13a1dfa5p-1, -0x1.1c3dfa2b369e9p-1, -0x1.1a13870e4dff8p-1, -0x1.17e10d2ebcd62p-1, -0x1.15a63ff76ea65p-1, -0x1.1362ede833d8ap-1, -0x1.1116fdc8bb8aap-1, -0x1.0ec26c14687b9p-1, -0x1.0c6548936e90ep-1, -0x1.09ffb41dbf003p-1, -0x1.0791de81058bep-1, -0x1.051c0495c087bp-1, -0x1.029e6e81b1f3dp-1, -0x1.00196e2999fe3p-1, -0x1.fb1abb8f784fp-2, -0x1.f5f53d3afc347p-2, -0x1.f0c32f72e8036p-2, -0x1.eb8569a32dbaep-2, -0x1.e63cca72fa5f4p-2, -0x1.e0ea35e746811p-2, -0x1.db8e93c98b9ebp-2, -0x1.d62ace43e690cp-2, -0x1.d0bfd0a4611cep-2, -0x1.cb4e8640b1a43p-2, -0x1.c5d7d96b57ecdp-2, -0x1.c05cb27c894eap-2, -0x1.baddf6f0fb26p-2, -0x1.b55c88a2ee5ecp-2, -0x1.afd94521a5bcap-2, -0x1.aa55052702b6dp-2, -0x1.a4d09c289cffap-2, -0x1.9f4cd7feff92p-2, -0x1.99ca809d42e2ep-2, -0x1.944a57d414366p-2, -0x1.8ecd191cd9465p-2, -0x1.8953796b93e6dp-2, -0x1.83de27079d692p-2, -0x1.7e6dc96c38618p-2, -0x1.7903013207bc5p-2, -0x1.739e68022bc4bp-2, -0x1.6e40909307bfcp-2, -0x1.68ea06ae1efa6p-2, -0x1.639b4f3ddab31p-2, -0x1.5e54e861d5839p-2, -0x1.591749883d0d4p-2, -0x1.53e2e38aebd36p-2, -0x1.4eb820cf44f74p-2, -0x1.4997656818bp-2, -0x1.44810f391cf03p-2, -0x1.3f75761bdda2cp-2, -0x1.3a74ec060e834p-2, -0x1.357fbd31467a2p-2, -0x1.3096304415fb4p-2, -0x1.2bb8867c6f99dp-2, -0x1.26e6fbdb2fcd4p-2, -0x1.2221c75078b32p-2, -0x1.1d691ae8aa628p-2, -0x1.18bd23f99efa8p-2, -0x1.141e0b4fe0887p-2, -0x1.0f8bf55b9b335p-2, -0x1.0b07025d1e5f3p-2, -0x1.068f4e90cc3e1p-2, -0x1.0224f25a47dc3p-2, -0x1.fb9004dde682ep-3, -0x1.f2f11fff4765bp-3, -0x1.ea6d51c2e6ea3p-3, -0x1.e204af6ba253bp-3, -0x1.d9b7482346e1ap-3, -0x1.d1852546fb715p-3, -0x1.c96e4ab1fa3c4p-3, -0x1.c172b706125bep-3, -0x1.b99263f217c75p-3, -0x1.b1cd467673edfp-3, -0x1.aa234f2713a8dp-3, -0x1.a2946a6b1344dp-3, -0x1.9b2080ba76eeep-3, -0x1.93c776d90121cp-3, -0x1.8c892e0ecff8bp-3, -0x1.8565845f25adp-3, -0x1.7e5c54bc63511p-3, -0x1.776d7739d7a0cp-3, -0x1.7098c13c33425p-3, -0x1.69de05a76db6ap-3, -0x1.633d150a74b4p-3, -0x1.5cb5bdc9f50b1p-3, -0x1.5647cc49158a8p-3, -0x1.4ff30b0fc15c4p-3, -0x1.49b742f027336p-3, -0x1.43943b2ae24d8p-3, -0x1.3d89b9909263fp-3, -0x1.379782a229c1bp-3, -0x1.31bd59b0b2219p-3, -0x1.2bfb00faca5dfp-3, -0x1.265039c81eeadp-3, -0x1.20bcc48477e0fp-3, -0x1.1b4060d99e9b5p-3, -0x1.15dacdc6c67e5p-3, -0x1.108bc9b6d9a1ep-3, -0x1.0b53129695fcp-3, -0x1.063065e8f6418p-3, -0x1.012380d98a222p-3, -0x1.f858409cc9eep-4, -0x1.ee9401f38de6dp-4, -0x1.e4f9bed3dbf92p-4, -0x1.db88f02ec36e9p-4, -0x1.d2410ee680ee8p-4, -0x1.c92193ea4540bp-4, -0x1.c029f84ea190cp-4, -0x1.b759b563b7f2ap-4, -0x1.aeb044cbaec02p-4, -0x1.a62d209064363p-4, -0x1.9dcfc33650c9dp-4, -0x1.9597a7cd6ea88p-4, -0x1.8d844a0273e7cp-4, -0x1.8595262faffe8p-4, -0x1.7dc9b96b8f974p-4, -0x1.762181952cf17p-4, -0x1.6e9bfd610425bp-4, -0x1.6738ac65c8aa3p-4, -0x1.5ff70f27887d2p-4, -0x1.58d6a720c7758p-4, -0x1.51d6f6cb4514fp-4, -0x1.4af781a9415d1p-4, -0x1.4437cc4df8bdcp-4, -0x1.3d975c643f0b7p-4, -0x1.3715b8b415638p-4, -0x1.30b269289c3fdp-4, -0x1.2a6cf6d629f46p-4, -0x1.2444ebff4104ap-4, -0x1.1e39d4180e863p-4, -0x1.184b3bc97cd9ep-4, -0x1.1278b0f4bc42dp-4, -0x1.0cc1c2b6c4ce5p-4, -0x1.0726016ad5fa7p-4, -0x1.01a4feabd417bp-4, -0x1.f87c9aaaca8ecp-5, -0x1.ede3030af1773p-5, -0x1.e37c613bca5ffp-5, -0x1.d947e28a9e63cp-5, -0x1.cf44b6ce2a247p-5, -0x1.c5721065c6774p-5, -0x1.bbcf243935b9fp-5, -0x1.b25b29b91cdc1p-5, -0x1.a9155adecfa5fp-5, -0x1.9ffcf42a6e583p-5, -0x1.9711349fd18aap-5, -0x1.8e515dc3b5b99p-5, -0x1.85bcb399e96fp-5, -0x1.7d527ca3bc284p-5, -0x1.751201dd4c04ap-5, -0x1.6cfa8eb9452bp-5, -0x1.650b711c168e7p-5, -0x1.5d43f957f757ep-5, -0x1.55a37a29f1072p-5, -0x1.4e2948b6d5857p-5, -0x1.46d4bc86ddd27p-5, -0x1.3fa52f7fffb7p-5, -0x1.3899fde02b8bep-5, -0x1.31b2863891e1dp-5, -0x1.2aee2969dca41p-5, -0x1.244c4aa021819p-5, -0x1.1dcc4f4d96fa4p-5, -0x1.176d9f2432684p-5, -0x1.112fa40f5bda5p-5, -0x1.0b11ca2e9d255p-5, -0x1.05137fd136b6ap-5, -0x1.fe686ae2f565fp-6, -0x1.f2e6bb5e8d1a2p-6, -0x1.e7a0da92c0a3dp-6, -0x1.dc95b62dd2d78p-6, -0x1.d1c440030c7b7p-6, -0x1.c72b6e00cbbf5p-6, -0x1.bcca3a26cbff1p-6, -0x1.b29fa27b237dfp-6, -0x1.a8aaa8fd9a37ap-6, -0x1.9eea539a69661p-6, -0x1.955dac1dd4778p-6, -0x1.8c03c0293861dp-6, -0x1.82dba128ee106p-6, -0x1.79e46449bcef6p-6, -0x1.711d226d2c3ffp-6, -0x1.6884f81ce9641p-6, -0x1.601b057e38b8ap-6, -0x1.57de6e4646e9ap-6, -0x1.4fce59af71f8fp-6, -0x1.47e9f26ef901fp-6, -0x1.403066aa4e662p-6, -0x1.38a0e7eb98471p-6, -0x1.313aab15d585p-6, -0x1.29fce8590c984p-6, -0x1.22e6db2721301p-6, -0x1.1bf7c229541ccp-6, -0x1.152edf36028e8p-6, -0x1.0e8b774645aap-6, -0x1.080cd26b23a22p-6, -0x1.01b23bc285b5bp-6, -0x1.f6f602d86ea6ap-7, -0x1.eacce8fe8cb12p-7, -0x1.dee7d1ff8fe4bp-7, -0x1.d3456ba9d0283p-7, -0x1.c7e4697e329b9p-7, -0x1.bcc3849b8a87bp-7, -0x1.b1e17bab1f0a1p-7, -0x1.a73d12cb87b98p-7, -0x1.9cd5137d2e193p-7, -0x1.92a84c8ea90b9p-7, -0x1.88b59209bb86dp-7, -0x1.7efbbd20983fbp-7, -0x1.7579ac1b2c5d3p-7, -0x1.6c2e42446a2cfp-7, -0x1.631867d7ae948p-7, -0x1.5a3709ee38cecp-7, -0x1.51891a6d06157p-7, -0x1.490d8ff2e9cf5p-7, -0x1.40c365c6e4cb3p-7, -0x1.38a99bc6b5328p-7, -0x1.30bf36558c9f8p-7, -0x1.29033e4ae6b6bp-7, -0x1.2174c0e1965abp-7, -0x1.1a12cfa6fb20dp-7, -0x1.12dc806a8649dp-7, -0x1.0bd0ed2d51be5p-7, -0x1.04ef3411fc916p-7, -0x1.fc6cee994168bp-8, -0x1.ef4bba25f0786p-8, -0x1.e2791f196e043p-8, -0x1.d5f3798847c0dp-8, -0x1.c9b92d2dcc956p-8, -0x1.bdc8a54e1982cp-8, -0x1.b220549876c2fp-8, -0x1.a6beb509fa6f4p-8, -0x1.9ba247d0570eap-8, -0x1.90c9952d07982p-8, -0x1.86332c58dff11p-8, -0x1.7bdda367f9be7p-8, -0x1.71c7972e39c5cp-8, -0x1.67efab2432307p-8, -0x1.5e54894c67e3bp-8, -0x1.54f4e218e3481p-8, -0x1.4bcf6c50e28f6p-8, -0x1.42e2e4f6d842bp-8, -0x1.3a2e0f2ea0231p-8, -0x1.31afb424156e7p-8, -0x1.2966a2f223ddap-8, -0x1.2151b08a25c1fp-8, -0x1.196fb79bd3a8cp-8, -0x1.11bf987d781cfp-8, -0x1.0a40391470882p-8, -0x1.02f084bded209p-8, -0x1.f79ed86fb620bp-9, -0x1.e9b7cb141be12p-9, -0x1.dc29d7df4b03bp-9, -0x1.cef2ff81a2ceap-9, -0x1.c2114cb9d847bp-9, -0x1.b582d429e955p-9, -0x1.a945b42cc763bp-9, -0x1.9d5814acb3629p-9, -0x1.91b826fa25e9bp-9, -0x1.866425a379097p-9, -0x1.7b5a544d370b5p-9, -0x1.7098ff88f005ap-9, -0x1.661e7cafd5751p-9, -0x1.5be929bbc3535p-9, -0x1.51f76d1f4aba3p-9, -0x1.4847b5a15df4cp-9, -0x1.3ed87a378f359p-9, -0x1.35a839e15121cp-9, -0x1.2cb57b84284d8p-9, -0x1.23fecdc8a0106p-9, -0x1.1b82c6f7cb865p-9, -0x1.134004d9a3cdfp-9, -0x1.0b352c93af76p-9, -0x1.0360ea87d5436p-9, -0x1.f783e466eaab4p-10, -0x1.e8adfc1ca2a34p-10, -0x1.da3d9ed352edcp-10, -0x1.cc305c9ef817cp-10, -0x1.be83d2c4ee7e1p-10, -0x1.b135ab7d63808p-10, -0x1.a4439db6fbe8ap-10, -0x1.97ab6cdd07562p-10, -0x1.8b6ae89fc3b75p-10, -0x1.7f7fecbde503dp-10, -0x1.73e860cf1269bp-10, -0x1.68a2380dbcd84p-10, -0x1.5dab7120145dp-10, -0x1.530215dfabbb6p-10, -0x1.48a43b1fff2ap-10, -0x1.3e900074d5e8cp-10, -0x1.34c38ff998289p-10, -0x1.2b3d1e1b2c579p-10, -0x1.21fae964abc25p-10, -0x1.18fb3a502d2bp-10, -0x1.103c631ac9c99p-10, -0x1.07bcbf9b4936ep-10, -0x1.fef56a331bbeep-11, -0x1.eee9644aea1ebp-11, -0x1.df525cd715268p-11, -0x1.d02d550d161d4p-11, -0x1.c1775f9c0fcbp-11, -0x1.b32da045806f1p-11, -0x1.a54d4b74ccf3bp-11, -0x1.97d3a5da2036ap-11, -0x1.8abe040c12ae1p-11, -0x1.7e09ca3402abp-11, -0x1.71b46bc5aadb2p-11, -0x1.65bb6b4130a9p-11, -0x1.5a1c59fccd4a7p-11, -0x1.4ed4d7f1159eap-11, -0x1.43e29382fdc25p-11, -0x1.39434945845b8p-11, -0x1.2ef4c3b10433dp-11, -0x1.24f4dacd748d3p-11, -0x1.1b4173d2aba42p-11, -0x1.11d880c24fbacp-11, -0x1.08b800021ac77p-11, -0x1.ffbbf7fc13c66p-12, -0x1.ee9115b14bcc6p-12, -0x1.ddeb9c5bf863ap-12, -0x1.cdc7e5d402663p-12, -0x1.be22625ed3a1p-12, -0x1.aef7989180457p-12, -0x1.a0442534c0adep-12, -0x1.9204bb17f7e94p-12, -0x1.843622c096e35p-12, -0x1.76d539ec4bffdp-12, -0x1.69def2e26b20ep-12, -0x1.5d50539eb5932p-12, -0x1.512674e618c45p-12, -0x1.455e815f911fdp-12, -0x1.39f5b4cb028bfp-12, -0x1.2ee95b6e66b9p-12, -0x1.2436d1c68dc42p-12, -0x1.19db847c26ab9p-12, -0x1.0fd4f08f92ad1p-12, -0x1.0620a39fd02edp-12, -0x1.f978785bc915bp-13, -0x1.e74ad371c9169p-13, -0x1.d5b3d936b9133p-13, -0x1.c4af2b36d5ac1p-13, -0x1.b4388a5c540f6p-13, -0x1.a44bd4fcfe184p-13, -0x1.94e504a516fa7p-13, -0x1.86002be89d54cp-13, -0x1.7799748ac9e94p-13, -0x1.69ad1e42fb3e7p-13, -0x1.5c377e4cb7b4dp-13, -0x1.4f34ffc3889f6p-13, -0x1.42a2249e5b19ap-13, -0x1.367b86f4bcc6ep-13, -0x1.2abdda2aa0428p-13, -0x1.1f65ebab91ba9p-13, -0x1.1470a2fab682dp-13, -0x1.09db011243ee7p-13, -0x1.ff443e32fdfbep-14, -0x1.eb8659364512dp-14, -0x1.d876dad63e3d7p-14, -0x1.c6106edb6798fp-14, -0x1.b44de111ff08bp-14, -0x1.a32a1a1f2ec3ep-14, -0x1.92a01de0993d8p-14, -0x1.82ab0ba406db2p-14, -0x1.7346200fd0a74p-14, -0x1.646cb80e9e379p-14, -0x1.561a53c75c7efp-14, -0x1.484a98b8731cbp-14, -0x1.3af9527566a52p-14, -0x1.2e227204e4abbp-14, -0x1.21c20c3dd0854p-14, -0x1.15d4579410522p-14, -0x1.0a55a999dcba8p-14, -0x1.fe84e88d29cbbp-15, -0x1.e92e86091a67cp-15, -0x1.d4a16f696dad7p-15, -0x1.c0d7103528bd2p-15, -0x1.adc8f89ad690ep-15, -0x1.9b70dd2a44f86p-15, -0x1.89c899520bcdep-15, -0x1.78ca3370de649p-15, -0x1.686fe0c07e6e2p-15, -0x1.58b407a363a21p-15, -0x1.49913fc8a9e46p-15, -0x1.3b02509a498abp-15, -0x1.2d022ef1d2094p-15, -0x1.1f8bfaea692c2p-15, -0x1.129afe10904d8p-15, -0x1.062aa99b710e7p-15, -0x1.f46d286af0b8fp-16, -0x1.dd74ee71fcdc8p-16, -0x1.c76457adabbd3p-16, -0x1.b23351abb9221p-16, -0x1.9dda033698824p-16, -0x1.8a50cc73bc41p-16, -0x1.779047f101c4ap-16, -0x1.65914aec776d3p-16, -0x1.544ce3fe51a2ap-16, -0x1.43bc588d76927p-16, -0x1.33d9223cc1ccap-16, -0x1.249ced8c4eaa5p-16, -0x1.16019a06e6659p-16, -0x1.08013b2cfbf17p-16, -0x1.f52c31480b01dp-17, -0x1.db75595037f2p-17, -0x1.c2d3421281ff9p-17, -0x1.ab3b9870f490bp-17, -0x1.94a4601b0d91cp-17, -0x1.7f03f54543645p-17, -0x1.6a510ffadd7b7p-17, -0x1.5682c4c8ec243p-17, -0x1.43908028ffd37p-17, -0x1.3171fd640ed91p-17, -0x1.201f3c135b1f1p-17, -0x1.0f9077476c6ebp-17, -0x1.ff7c40242b36ap-18, -0x1.e141b7cf466edp-18, -0x1.c4630d73e406ep-18, -0x1.a8d26ed4acd5cp-18, -0x1.8e82877e5842cp-18, -0x1.7566814227201p-18, -0x1.5d71fd6cd584ap-18, -0x1.46990b95b5d76p-18, -0x1.30d026847a865p-18, -0x1.1c0c38fdf5ab8p-18, -0x1.0842a45b162bcp-18, -0x1.ead27f18ebb3dp-19, -0x1.c6ec960d297dap-19, -0x1.a4c0c0237cb55p-19, -0x1.843ccba2f7abep-19, -0x1.654f208678aeap-19, -0x1.47e6c89441c8p-19, -0x1.2bf37351f3f9p-19, -0x1.116570c24c667p-19, -0x1.f05b4e905e8e9p-20, -0x1.c07b0ea07b54cp-20, -0x1.930df6e672cf2p-20, -0x1.67f8b0cceadf4p-20, -0x1.3f20b35e03a87p-20, -0x1.186c6de20aae4p-20, -0x1.e7872c933a9adp-21, -0x1.a21ec74498f8fp-21, -0x1.6074f2b34a70dp-21, -0x1.2260f5fb66802p-21, -0x1.cf76128f6fae9p-22, -0x1.60b77cd91322ap-22, -0x1.f070d24d41da5p-23, -0x1.2b5b14a2b2214p-23, -0x1.c6789da6fd468p-25, 0x1.ea72fb6af5651p-26, 0x1.c3d94e6cbb45bp-24, 0x1.7cb91397a8b55p-23, 0x1.0714ef9bd9209p-22, 0x1.4b57665bd3829p-22, 0x1.8b5910aeb0cecp-22, 0x1.c74d69fb64622p-22, 0x1.ff67129430136p-22, 0x1.19ebaa9c15a45p-21, 0x1.326640f3d145bp-21, 0x1.493844c12efb7p-21, 0x1.5e74a8e92abf8p-21, 0x1.722d5dbddf3dcp-21, 0x1.847461b504d2dp-21, 0x1.955c13cf8be06p-21, 0x1.a4f6b6bac5057p-21, 0x1.b355bf81e63cfp-21, 0x1.c08981f9e7c78p-21, 0x1.cca1493db161ep-21, 0x1.d7ab99be2aeb8p-21, 0x1.e1b66d8143d88p-21, 0x1.eacf5a903f07ap-21, 0x1.f303949885556p-21, 0x1.fa5fc5705a76ep-21, 0x1.0077ed70b666fp-20, 0x1.035f79fbe8a65p-20, 0x1.05ebb7a2979bp-20, 0x1.08217776639ffp-20, 0x1.0a0524141ae24p-20, 0x1.0b9ac738a5f65p-20, 0x1.0ce6313810e71p-20, 0x1.0deb28f7a8ae4p-20, 0x1.0ead79ea402acp-20, 0x1.0f30d9016e974p-20, 0x1.0f78c6531b6adp-20, 0x1.0f888c13a6569p-20, 0x1.0f634d342a3e9p-20, 0x1.0f0c06f986454p-20, 0x1.0e85873ab3995p-20, 0x1.0dd26a30d5938p-20, 0x1.0cf52558acbf3p-20, 0x1.0bf0162802608p-20, 0x1.0ac58927773bfp-20, 0x1.0977b659366f5p-20, 0x1.0808badad6ab5p-20, 0x1.067a969789f37p-20, 0x1.04cf28b2afdccp-20, 0x1.030823f4260ap-20, 0x1.012708256f949p-20, 0x1.fe5a64c7f876dp-21, 0x1.fa37f1ab50672p-21, 0x1.f5e95f9fcbb5p-21, 0x1.f17133d857311p-21, 0x1.ecd1acd1ef657p-21, 0x1.e80cd99990085p-21, 0x1.e324be30c4666p-21, 0x1.de1b581813f4bp-21, 0x1.d8f28f8dec7e5p-21, 0x1.d3ac2e1593cecp-21, 0x1.ce49db02acd43p-21, 0x1.c8cd1b56759b1p-21, 0x1.c337560211c2ep-21, 0x1.bd89da5070639p-21, 0x1.b7c5e40d62674p-21, 0x1.b1ec9ce678efap-21, 0x1.abff1a94bd5a4p-21, 0x1.a5fe64b8ce2efp-21, 0x1.9feb746854a3ap-21, 0x1.99c732945743p-21, 0x1.939279332a23bp-21, 0x1.8d4e16034b78p-21, 0x1.86facac53be95p-21, 0x1.80994a823685bp-21, 0x1.7a2a3c944968ap-21, 0x1.73ae421779507p-21, 0x1.6d25f2b0dee7p-21, 0x1.6691d5e0efb5p-21, 0x1.5ff266a701e14p-21, 0x1.59481dc217fa3p-21, 0x1.52937536bb55fp-21, 0x1.4bd4e2b21003cp-21, 0x1.450cd0f140686p-21, 0x1.3e3b9e203f371p-21, 0x1.37619e16b581bp-21, 0x1.307f206ce89b7p-21, 0x1.29947a013f421p-21, 0x1.22a209992230bp-21, 0x1.1ba82e95dbbeep-21, 0x1.14a738b646541p-21, 0x1.0d9f65024dfcp-21, 0x1.0690e8ec75d18p-21, 0x1.fef7f7d679887p-22, 0x1.f0c1c632e2432p-22, 0x1.e27feb5d10578p-22, 0x1.d4330cdc0c615p-22, 0x1.c5dba5eeb7ca5p-22, 0x1.b77a2f3752574p-22, 0x1.a90f34008aac7p-22, 0x1.9a9b3e1bbdd28p-22, 0x1.8c1ec2754f7f7p-22, 0x1.7d9a2556ae726p-22, 0x1.6f0dc4cc87b6ap-22, 0x1.607a0906eda06p-22, 0x1.51df77527c689p-22, 0x1.433eae74f1682p-22, 0x1.34984587aa0dp-22, 0x1.25ecb99c75459p-22, 0x1.173c89f251e9p-22, 0x1.0888555756d48p-22, 0x1.f3a182bfc907ep-23, 0x1.d62c91cfb51b1p-23, 0x1.b8b271ea69c4cp-23, 0x1.9b33c3831f92cp-23, 0x1.7db1698e47917p-23, 0x1.602ca460b1fdcp-23, 0x1.42a70d5d61b0cp-23, 0x1.2521f6f6ad86ep-23, 0x1.079e4c3d65c7cp-23, 0x1.d43a648f5699ep-24, 0x1.993ff9a31e70dp-24, 0x1.5e4fafb797f05p-24, 0x1.236bb8712213bp-24, 0x1.d12c9b5829d1fp-25, 0x1.5ba36e384bf43p-25, 0x1.cc817161582d9p-26, 0x1.c4269d96203ddp-27, -0x1.fe336410b8dbbp-32, -0x1.e3313a2ffcceap-27, -0x1.dac2deb8bba4ep-26, -0x1.61b77d2ffdb6p-25, -0x1.d5c9ee9bbacb4p-25, -0x1.24c99ee1671fp-24, -0x1.5e867c2a7655p-24, -0x1.9818c3cca174dp-24, -0x1.d17e9c3934bf5p-24, -0x1.055b05e24a585p-23, -0x1.21de26f9a0788p-23, -0x1.3e4752a86bfabp-23, -0x1.5a95303aa2dc3p-23, -0x1.76c693947a457p-23, -0x1.92da57db4efebp-23, -0x1.aecefb2e32e61p-23, -0x1.caa3181defe47p-23, -0x1.e6556e1b1b004p-23, -0x1.00f25a926301fp-22, -0x1.0ea7d3e5c1679p-22, -0x1.1c4a8627418b4p-22, -0x1.29d9d8781d166p-22, -0x1.375531b884209p-22, -0x1.44bbf4af7a02bp-22, -0x1.520d7ec63dad4p-22, -0x1.5f492ab15ee5bp-22, -0x1.6c6e55be710fap-22, -0x1.797c63d453f3fp-22, -0x1.8672bee20f65dp-22, -0x1.9350d0d00247fp-22, -0x1.a015fe6bd68a8p-22, -0x1.acc1b15d53dcep-22, -0x1.b9536836fcaffp-22, -0x1.c5ca9d8f01b5cp-22, -0x1.d226aec52e945p-22, -0x1.de67183dd0ce3p-22, -0x1.ea8b633cba0dbp-22, -0x1.f6930dadc00ffp-22, -0x1.013ec7a34ad4bp-21, -0x1.0725273af80b7p-21, -0x1.0cfc634efd4f9p-21, -0x1.12c43e9abad0fp-21, -0x1.187c7c2d41068p-21, -0x1.1e24def892e87p-21, -0x1.23bd2b9e39d58p-21, -0x1.294529013ad74p-21, -0x1.2ebc9f95b43abp-21, -0x1.34235863bfafep-21, -0x1.39791c3fa9c4ap-21, -0x1.3ebdb39e8c1c4p-21, -0x1.43f0e776a972fp-21, -0x1.4912832ea817bp-21, -0x1.4e22566971818p-21, -0x1.53203520e0375p-21, -0x1.580bf54359acap-21, -0x1.5ce56b11f6b43p-21, -0x1.61ac68ce3dedep-21, -0x1.6660c3b83586ap-21, -0x1.6b025332a52ebp-21, -0x1.6f90e9289d815p-21, -0x1.740c6150e8769p-21, -0x1.7874a7f646e9bp-21, -0x1.7cc99d11f566bp-21, -0x1.810b13f203577p-21, -0x1.8538ebf03b047p-21, -0x1.89530c3cb2f22p-21, -0x1.8d59560bbdc04p-21, -0x1.914baa2b53d75p-21, -0x1.9529f1ea69d05p-21, -0x1.98f41b7b41bdep-21, -0x1.9caa1368df49dp-21, -0x1.a04bc27d2b36ap-21, -0x1.a3d911ff92e41p-21, -0x1.a751f322ff0a8p-21, -0x1.aab657504c625p-21, -0x1.ae062e53e78cap-21, -0x1.b14168b4485a9p-21, -0x1.b467f952a8b4fp-21, -0x1.b779d64aad752p-21, -0x1.ba76f8c1d936p-21, -0x1.bd5f5ba8814aep-21, -0x1.c032f9f2a794cp-21, -0x1.c2f1cd51f55e3p-21, -0x1.c59bcfbf9f418p-21, -0x1.c830febcaf472p-21, -0x1.cab15a5d9828ap-21, -0x1.cd1ce0f322965p-21, -0x1.cf739cf4decc1p-21, -0x1.d1b5972728ea3p-21, -0x1.d3e2c94c57bb1p-21, -0x1.d5fb3c2202fdap-21, -0x1.d7fef9809999dp-21, -0x1.d9ee095cdf142p-21, -0x1.dbc873f916a54p-21, -0x1.dd8e44a8c2747p-21, -0x1.df3f88388613bp-21, -0x1.e0dc4d2375a11p-21, -0x1.e264a31cd8841p-21, -0x1.e3d89a9f83dc8p-21, -0x1.e53844f2808edp-21, -0x1.e683b3235688cp-21, -0x1.e7baf7411c25ap-21, -0x1.e8de27c1cc3bcp-21, -0x1.e9ed574da066ap-21, -0x1.eae8a14aa41c7p-21, -0x1.ebd01d49dc8cdp-21, -0x1.eca3e0953efffp-21, -0x1.ed6407196623ep-21, -0x1.ee10ad58fceb5p-21, -0x1.eea9ee61b27a5p-21, -0x1.ef2fe4e2f4eccp-21, -0x1.efa2acc019ff4p-21, -0x1.f0026535f54d2p-21, -0x1.f04f2effa72ecp-21, -0x1.f089285263247p-21, -0x1.f0b076bdc35a8p-21, -0x1.f0c538351dd71p-21, -0x1.f0c78f165bbc2p-21, -0x1.f0b7a06729602p-21, -0x1.f0958f74f51a5p-21, -0x1.f06180a608359p-21, -0x1.f01b995d2ee9dp-21, -0x1.efc3ffc31bcd1p-21, -0x1.ef5adab6d3df4p-21, -0x1.eee051c316a32p-21, -0x1.ee548d1121386p-21, -0x1.edb7b5610d8a7p-21, -0x1.ed09f3f916fabp-21, -0x1.ec4b72a8cb566p-21, -0x1.eb7c5bbc5373p-21, -0x1.ea9cd9fda6c7dp-21, -0x1.e9ad18b720838p-21, -0x1.e8ad43c0650dfp-21, -0x1.e79d878649a36p-21, -0x1.e67e10f0d149dp-21, -0x1.e54f0d2dae698p-21, -0x1.e410a9a767778p-21, -0x1.e2c314793b16cp-21, -0x1.e1667caaf3f69p-21, -0x1.dffb111d3c316p-21, -0x1.de80fff93e532p-21, -0x1.dcf87903dc4c4p-21, -0x1.db61ac25ce4f3p-21, -0x1.d9bcc841f1c78p-21, -0x1.d809fe8d837b1p-21, -0x1.d6497f17d5fdfp-21, -0x1.d47b7b1bba181p-21, -0x1.d2a0236a3f345p-21, -0x1.d0b7a8fd435cap-21, -0x1.cec23d21cf604p-21, -0x1.ccc01154f0468p-21, -0x1.cab157379d2dp-21, -0x1.c8964089c29b4p-21, -0x1.c66eff25f6294p-21, -0x1.c43bc4ffa52dfp-21, -0x1.c1fcc420694b5p-21, -0x1.bfb22ea570948p-21, -0x1.bd5c36bb73d82p-21, -0x1.bafb0e9b4d671p-21, -0x1.b88ee88771d4ap-21, -0x1.b617f6cb0a881p-21, -0x1.b3966bb606154p-21, -0x1.b10a79944396bp-21, -0x1.ae7452a187892p-21, -0x1.abd429062dc7cp-21, -0x1.a92a2eda88651p-21, -0x1.a67696287e7d3p-21, -0x1.a3b990e76fd28p-21, -0x1.a0f35102e433bp-21, -0x1.9e24086d44de4p-21, -0x1.9b4be906eab16p-21, -0x1.986b245918bc6p-21, -0x1.9581eb9b8a7dp-21, -0x1.92906ff544f3p-21, -0x1.8f96e2e5511fdp-21, -0x1.8c95756fd8dc9p-21, -0x1.898c58183a878p-21, -0x1.867bbbaa05d3ep-21, -0x1.8363d0add0ab3p-21, -0x1.8044c73edca4ap-21, -0x1.7d1ecf79aa3d1p-21, -0x1.79f2195019149p-21, -0x1.76bed4097c1ep-21, -0x1.73852f146b4ffp-21, -0x1.70455974ae54p-21, -0x1.6cff8204b48cp-21, -0x1.69b3d75eb688dp-21, -0x1.666287cfbc036p-21, -0x1.630bc15a2e2ddp-21, -0x1.5fafb1b739e14p-21, -0x1.5c4e8656a956bp-21, -0x1.58e86c5ec0a47p-21, -0x1.557d90ad1f412p-21, -0x1.520e1fd2c7d44p-21, -0x1.4e9a4609833cdp-21, -0x1.4b222f3052ae6p-21, -0x1.47a606cc58dp-21, -0x1.4425f80b4fb14p-21, -0x1.40a22dca3df34p-21, -0x1.3d1ad28b05d9dp-21, -0x1.3990107e5d672p-21, -0x1.3602119ffca5ep-21, -0x1.3270ff94649c7p-21, -0x1.2edd035de09f1p-21, -0x1.2b4645828ce3bp-21, -0x1.27acee15ff0fcp-21, -0x1.241125a7a0d2cp-21, -0x1.207314273454bp-21, -0x1.1cd2dffc7d38ep-21, -0x1.1930b0417863ep-21, -0x1.158cab88383f6p-21, -0x1.11e6f7edb3ca4p-21, -0x1.0e3fbb07bb4cdp-21, }}, 
      {{0x1.c93b6c81686eep-12, 0x1.bdcb15d965f55p-10, 0x1.d1b8fd8100542p-9, 0x1.6e23be1fabc3dp-8, 0x1.e2cf352ac9249p-8, 0x1.17641e43e6f3bp-7, 0x1.2048eb19efd46p-7, 0x1.0685c0e66baacp-7, 0x1.8e3a82f5a46c8p-8, 0x1.83f56350d2e3dp-9, -0x1.5c32fb6c74999p-10, -0x1.ba215d664bbe3p-8, -0x1.b176b7ae02926p-7, -0x1.52f485a735c9p-6, -0x1.db89e75a400dcp-6, -0x1.384f32605dae3p-5, -0x1.88186853250dbp-5, -0x1.dc15a2cb35a07p-5, -0x1.199c88b2f9441p-4, -0x1.463c78f371e62p-4, -0x1.736ac76c0b848p-4, -0x1.a0af0a2376062p-4, -0x1.cd9a10e6fee0ep-4, -0x1.f9c7107580b5bp-4, -0x1.126e1f5cf23dfp-3, -0x1.27457aeb403cdp-3, -0x1.3b47bb67877f1p-3, -0x1.4e583268b6d21p-3, -0x1.605f082b6e98ap-3, -0x1.7148d32ad116dp-3, -0x1.81062a0881312p-3, -0x1.8f8b361ce01eep-3, -0x1.9ccf4b314a8cdp-3, -0x1.a8cc8745d3a56p-3, -0x1.b37f7bebe23a9p-3, -0x1.bce6e1b2c0f5cp-3, -0x1.c503555f56f76p-3, -0x1.cbd71e252cbbfp-3, -0x1.d165fbcab50b6p-3, -0x1.d5b4fb829b643p-3, -0x1.d8ca5243d951ap-3, -0x1.daad3b803d60ep-3, -0x1.db65db3c490e1p-3, -0x1.dafd22b53639fp-3, -0x1.d97cb6edeedb2p-3, -0x1.d6eed8a5cf252p-3, -0x1.d35e4d6532569p-3, -0x1.ced64969c5d84p-3, -0x1.c9625a5c302ffp-3, -0x1.c30e52ca48a33p-3, -0x1.bbe6367203342p-3, -0x1.b3f62772620f7p-3, -0x1.ab4a547b71bd2p-3, -0x1.a1eee817ed87bp-3, -0x1.97eff92844edp-3, -0x1.8d597ca32ba3ep-3, -0x1.823738ac2df14p-3, -0x1.7694b90594c75p-3, -0x1.6a7d44e8f68c2p-3, -0x1.5dfbd6357fa91p-3, -0x1.511b11fac4085p-3, -0x1.43e5424748149p-3, -0x1.3664513042074p-3, -0x1.28a1c50aa1dcp-3, -0x1.1aa6bda432f2bp-3, -0x1.0c7bf288059e2p-3, -0x1.fc53642da4e0ep-4, -0x1.df6fc29e2d02p-4, -0x1.c25bf96d78c08p-4, -0x1.a52631bb5a7d9p-4, -0x1.87dbcaa8e9e35p-4, -0x1.6a895a4d1e394p-4, -0x1.4d3ab65809c62p-4, -0x1.2ffaf71debb88p-4, -0x1.12d47dcf1d859p-4, -0x1.eba1fb00fd376p-5, -0x1.b1f2faedd9a2cp-5, -0x1.78acc98f8fa09p-5, -0x1.3fdefa2803a26p-5, -0x1.0797fba94670cp-5, -0x1.9fca369f350bbp-6, -0x1.31a53c20d51b9p-6, -0x1.89af15d31c1f2p-7, -0x1.65d6dd46d4251p-8, 0x1.06d6d765130f7p-10, 0x1.e30357d8752f1p-8, 0x1.beea1f2f6f905p-7, 0x1.447c32bb07c91p-6, 0x1.a7c9d08e4d8d4p-6, 0x1.04a96dd10cecp-5, 0x1.3486ccb4951c3p-5, 0x1.6378c8017c31dp-5, 0x1.917bbb867b7d6p-5, 0x1.be8c941f1f218p-5, 0x1.eaa8c85952bf2p-5, 0x1.0ae728af5803cp-4, 0x1.1ffdd1fd2aca1p-4, 0x1.3497d5048e2b8p-4, 0x1.48b4de0573f37p-4, 0x1.5c54cd83557e9p-4, 0x1.6f77b55e87b3p-4, 0x1.821dd5f69f065p-4, 0x1.94479b6d882a7p-4, 0x1.a5f59af86606cp-4, 0x1.b728902ba583cp-4, 0x1.c7e15a5b5574p-4, 0x1.d820f9fe9216ep-4, 0x1.e7e88e1089ef8p-4, 0x1.f739518af0c5fp-4, 0x1.030a4c77a62a1p-3, 0x1.0a3de7ee864e8p-3, 0x1.11383b67161a3p-3, 0x1.17fa10793fb7bp-3, 0x1.1e843910f3c52p-3, 0x1.24d78e7b994f8p-3, 0x1.2af4f08750569p-3, 0x1.30dd44ac2505dp-3, 0x1.36917543d479dp-3, 0x1.3c1270d09f159p-3, 0x1.4161294a2dff4p-3, 0x1.467e93721b1a4p-3, 0x1.4b6ba632c0cbfp-3, 0x1.50295a047a23bp-3, 0x1.54b8a85676af1p-3, 0x1.591a8afec3ba1p-3, 0x1.5d4ffbb51a40ep-3, 0x1.6159f39112d11p-3, 0x1.65396a900c9efp-3, 0x1.68ef5727ac5f6p-3, 0x1.6c7cadde5d91dp-3, 0x1.6fe260ee62d3fp-3, 0x1.73215ff1f860dp-3, 0x1.763a979679d85p-3, 0x1.792ef15dc985fp-3, 0x1.7bff5362f6e34p-3, 0x1.7eaca02333408p-3, 0x1.8137b6568bd57p-3, 0x1.83a170c8896ebp-3, 0x1.85eaa6314fa64p-3, 0x1.8814291d2a782p-3, 0x1.8a1ec7d291c5dp-3, 0x1.8c0b4c370c575p-3, 0x1.8dda7bc1c4fb3p-3, 0x1.8f8d176ba6553p-3, 0x1.9123db9c563b1p-3, 0x1.929f802676ee4p-3, 0x1.9400b84402b96p-3, 0x1.9548328b13223p-3, 0x1.967698f10dabep-3, 0x1.978c90d493abcp-3, 0x1.988abafd6b6a6p-3, 0x1.9971b3a49ce5bp-3, 0x1.9a42128918446p-3, 0x1.9afc6afc4a164p-3, 0x1.9ba14bee7666fp-3, 0x1.9c3140098a182p-3, 0x1.9caccdc9bf701p-3, 0x1.9d14778d9cae7p-3, 0x1.9d68bbb085302p-3, 0x1.9daa14ac6053bp-3, 0x1.9dd8f9305254ep-3, 0x1.9df5dc3659ebap-3, 0x1.9e012d2543b7bp-3, 0x1.9dfb57f05ca5dp-3, 0x1.9de4c52c3ff88p-3, 0x1.9dbdda28dd714p-3, 0x1.9d86f91440b88p-3, 0x1.9d408115d42f3p-3, 0x1.9ceace625695ap-3, 0x1.9c863a57cb25ep-3, 0x1.9c131b9e3bc58p-3, 0x1.9b91c63f836ffp-3, 0x1.9b028bbae3fc4p-3, 0x1.9a65bb20cbff2p-3, 0x1.99bba131232fdp-3, 0x1.99048870e8e87p-3, 0x1.9840b93d22cbfp-3, 0x1.977079e546548p-3, 0x1.96940ec7353e7p-3, 0x1.95abba632a63p-3, 0x1.94b7bd6cff841p-3, 0x1.93b856e4676c4p-3, 0x1.92adc42f1c8e4p-3, 0x1.9198412b3e88p-3, 0x1.9078083da7dd8p-3, 0x1.8f4d52666f7adp-3, 0x1.8e1857599a74dp-3, 0x1.8cd94d913f7e3p-3, 0x1.8b906a587e9dep-3, 0x1.8a3de1d9f9381p-3, 0x1.88e1e735708ebp-3, 0x1.877cac93564p-3, 0x1.860e632f3ba69p-3, 0x1.84973b5f67251p-3, 0x1.831764a339b6ap-3, 0x1.818f0db66cbedp-3, 0x1.7ffe649f16d7bp-3, 0x1.7e6596b37352cp-3, 0x1.7cc4d09f2162dp-3, 0x1.7b1c3e6f39b1bp-3, 0x1.796c0ba1f6c1bp-3, 0x1.77b463318893ap-3, 0x1.75f56f97af5c8p-3, 0x1.742f5ad04bb61p-3, 0x1.72624e613f901p-3, 0x1.708e73668c92ap-3, 0x1.6eb3f29c20c2fp-3, 0x1.6cd2f4616e96p-3, 0x1.6aeba0b97f692p-3, 0x1.68fe1f4d9ef6fp-3, 0x1.670a97753b67bp-3, 0x1.6511303f68f4fp-3, 0x1.631210784fb1bp-3, 0x1.610d5ea8baf35p-3, 0x1.5f034113f2af2p-3, 0x1.5cf3ddb9d4eb1p-3, 0x1.5adf5a5e5a53dp-3, 0x1.58c5dc917c753p-3, 0x1.56a789b15b7bfp-3, 0x1.548486e649c79p-3, 0x1.525cf91eb6f04p-3, 0x1.5031051145b37p-3, 0x1.4e00cf4489b62p-3, 0x1.4bcc7c158d046p-3, 0x1.49942fb7023d9p-3, 0x1.47580e2a79974p-3, 0x1.45183b3b31888p-3, 0x1.42d4da806886ep-3, 0x1.408e0f6536eep-3, 0x1.3e43fd2dedd49p-3, 0x1.3bf6c6f5407dp-3, 0x1.39a68fa3ac6efp-3, 0x1.375379e961eabp-3, 0x1.34fda840475cep-3, 0x1.32a53cf3baa5bp-3, 0x1.304a5a25b33bap-3, 0x1.2ded21cb6c11fp-3, 0x1.2b8db5a3c591cp-3, 0x1.292c372f96cb8p-3, 0x1.26c8c7b24e6f1p-3, 0x1.2463883958984p-3, 0x1.21fc99a278534p-3, 0x1.1f941c9a07e43p-3, 0x1.1d2a31915ac05p-3, 0x1.1abef8b4a6244p-3, 0x1.185291e827e2p-3, 0x1.15e51cce12d33p-3, 0x1.1376b8ceea0eap-3, 0x1.1107851c084cfp-3, 0x1.0e97a0a8d40a9p-3, 0x1.0c272a1ecd20bp-3, 0x1.09b63fd52e0b5p-3, 0x1.0744ffd1bb7f5p-3, 0x1.04d387d115f33p-3, 0x1.0261f54edc898p-3, 0x1.ffe0cb0c36088p-4, 0x1.fafdead0f86b6p-4, 0x1.f61b8323744cep-4, 0x1.f139cc7f57181p-4, 0x1.ec58fea7c429dp-4, 0x1.e77950b949a7p-4, 0x1.e29af93b9b455p-4, 0x1.ddbe2e24817b2p-4, 0x1.d8e324c815d97p-4, 0x1.d40a11bf6ccfp-4, 0x1.cf3328d575c06p-4, 0x1.ca5e9d05530f3p-4, 0x1.c58ca089bec07p-4, 0x1.c0bd64f16c544p-4, 0x1.bbf11b2991a7ap-4, 0x1.b727f3768208fp-4, 0x1.b2621d5e16c17p-4, 0x1.ad9fc7903e62cp-4, 0x1.a8e11fdb438d6p-4, 0x1.a4265331b5ddfp-4, 0x1.9f6f8dbcf7d12p-4, 0x1.9abcfaefefd6dp-4, 0x1.960ec58db3d16p-4, 0x1.9165179fd1ba1p-4, 0x1.8cc01a61689c8p-4, 0x1.881ff62a9144bp-4, 0x1.8384d267193c2p-4, 0x1.7eeed59ce4661p-4, 0x1.7a5e257d5ae7cp-4, 0x1.75d2e6f75d779p-4, 0x1.714d3e3f754cp-4, 0x1.6ccd4ec9d2603p-4, 0x1.68533b397b861p-4, 0x1.63df254d9ccc1p-4, 0x1.5f712dd67dd56p-4, 0x1.5b0974b75b143p-4, 0x1.56a818f38be0fp-4, 0x1.524d38bfbe6bep-4, 0x1.4df8f18e63597p-4, 0x1.49ab60115d1fp-4, 0x1.4564a030ab57bp-4, 0x1.4124ccfb40b33p-4, 0x1.3cec0099ab9d1p-4, 0x1.38ba5448f2b14p-4, 0x1.348fe05fea10ep-4, 0x1.306cbc5c304e1p-4, 0x1.2c50fef0c91d5p-4, 0x1.283cbe0fd12cap-4, 0x1.24300eeb90edcp-4, 0x1.202b05ef56d2ap-4, 0x1.1c2db6b4344bbp-4, 0x1.183833f75045cp-4, 0x1.144a8f966c4c1p-4, 0x1.1064da9439b7bp-4, 0x1.0c872522b0c8ap-4, 0x1.08b17eaf393bbp-4, 0x1.04e3f5ebf5fbfp-4, 0x1.011e98d322a09p-4, 0x1.fac2e9482f248p-5, 0x1.f3592bb8c2a69p-5, 0x1.ec0010618665p-5, 0x1.e4b7ad13b5b89p-5, 0x1.dd80160c84d43p-5, 0x1.d6595e0368c7ap-5, 0x1.cf43963d7391p-5, 0x1.c83ece9f20233p-5, 0x1.c14b15b717184p-5, 0x1.ba6878bf8c124p-5, 0x1.b3970397c64f2p-5, 0x1.acd6c0bac16f7p-5, 0x1.a627b938ee556p-5, 0x1.9f89f4b9c8777p-5, 0x1.98fd79867bf67p-5, 0x1.92824c9b2b965p-5, 0x1.8c1871b9a5afdp-5, 0x1.85bfeb77d4a92p-5, 0x1.7f78bb45e6dep-5, 0x1.7942e16b1d4afp-5, 0x1.731e5cfbcf0dbp-5, 0x1.6d0b2bce2717cp-5, 0x1.67094a740b66cp-5, 0x1.6118b43f60ca3p-5, 0x1.5b39635268a48p-5, 0x1.556b50b96923p-5, 0x1.4fae748749389p-5, 0x1.4a02c5ed11d8dp-5, 0x1.44683b456f9adp-5, 0x1.3edeca10a8a77p-5, 0x1.396666e22cbdep-5, 0x1.33ff0545be0b5p-5, 0x1.2ea897a5c1e9bp-5, 0x1.29630f3d28035p-5, 0x1.242e5c1d079afp-5, 0x1.1f0a6d48989fp-5, 0x1.19f730e390682p-5, 0x1.14f4946895c58p-5, 0x1.100284d9e2462p-5, 0x1.0b20eede89e6cp-5, 0x1.064fbec2d9b6fp-5, 0x1.018ee059b27p-5, 0x1.f9bc7d8a76a46p-6, 0x1.f07b886a9635ap-6, 0x1.e75ab35d12db6p-6, 0x1.de59cdda766a6p-6, 0x1.d578a4e1fca5ep-6, 0x1.ccb70369a05d5p-6, 0x1.c414b3155abeap-6, 0x1.bb917d0ebdc43p-6, 0x1.b32d2ac93c6a6p-6, 0x1.aae7867f1676cp-6, 0x1.a2c05b404bd3bp-6, 0x1.9ab77485dd47bp-6, 0x1.92cc9d5a64b22p-6, 0x1.8aff9f46e414ap-6, 0x1.8350414702ad1p-6, 0x1.7bbe470d161bcp-6, 0x1.744970d0f29b2p-6, 0x1.6cf17bc7067a7p-6, 0x1.65b6233549ecap-6, 0x1.5e9721f31c472p-6, 0x1.579434020ce3p-6, 0x1.50ad17dfe52fdp-6, 0x1.49e18f3b425fbp-6, 0x1.43315ed2591e8p-6, 0x1.3c9c4d7256b7ap-6, 0x1.36222242b600ap-6, 0x1.2fc2a2b6882b1p-6, 0x1.297d909a83c9dp-6, 0x1.2352a8b8dbc3ap-6, 0x1.1d41a271caa43p-6, 0x1.174a3075735c8p-6, 0x1.116c028c30312p-6, 0x1.0ba6c81b78f2fp-6, 0x1.05fa32e571345p-6, 0x1.0065f96bab69dp-6, 0x1.f5d3b0d049aa5p-7, 0x1.eb0b25f55305ap-7, 0x1.e071e2d78dbcep-7, 0x1.d6077d6a5ccbcp-7, 0x1.cbcb8a8fb32acp-7, 0x1.c1bd9773f520bp-7, 0x1.b7dd2428aa0fbp-7, 0x1.ae29a0b83270bp-7, 0x1.a4a26d70a2a47p-7, 0x1.9b46de7b5253ap-7, 0x1.9216422795cabp-7, 0x1.890fe8bbe5b15p-7, 0x1.80332c48edb5cp-7, 0x1.777f76ec1d5d6p-7, 0x1.6ef44630afa43p-7, 0x1.66912ac4e277ap-7, 0x1.5e55c46e4fcdbp-7, 0x1.5641baec0c6bfp-7, 0x1.4e54b51e568f8p-7, 0x1.468e50328bf0bp-7, 0x1.3eee189be169fp-7, 0x1.377386465eb3ep-7, 0x1.301dfcc9a434dp-7, 0x1.28eccf9255dcdp-7, 0x1.21df4935f0a0cp-7, 0x1.1af4b493034cfp-7, 0x1.142c6614ed18bp-7, 0x1.0d85c37311055p-7, 0x1.07004887d4e66p-7, 0x1.009b885ab3ef2p-7, 0x1.f4ae544180502p-8, 0x1.e865c56532a4bp-8, 0x1.dc5cd74da9802p-8, 0x1.d092f379c2edcp-8, 0x1.c50768d9ccda3p-8, 0x1.b9b960655f38ep-8, 0x1.aea7d9229577dp-8, 0x1.a3d1ac06b18b8p-8, 0x1.993596936d882p-8, 0x1.8ed249f72fd91p-8, 0x1.84a67be88daddp-8, 0x1.7ab0f66b806cfp-8, 0x1.70f0a408ca7d8p-8, 0x1.676496a507d24p-8, 0x1.5e0c08069eea2p-8, 0x1.54e6542389703p-8, 0x1.4bf2ee5d38c31p-8, 0x1.433153b20e14cp-8, 0x1.3aa0fc6b5fed8p-8, 0x1.32414fcd3f253p-8, 0x1.2a119bc4392a3p-8, 0x1.221111a7397e9p-8, 0x1.1a3ec820aaf54p-8, 0x1.1299c17798eacp-8, 0x1.0b20f4dd4824ep-8, 0x1.03d359134e4fp-8, 0x1.f95fdd4bc0628p-9, 0x1.eb6b902f7c947p-9, 0x1.ddc81d8d9cc85p-9, 0x1.d07407f5b7568p-9, 0x1.c36dfca71f927p-9, 0x1.b6b4c8e6887ep-9, 0x1.aa474c6139ffp-9, 0x1.9e246b6ede4efp-9, 0x1.924b03a91d5c5p-9, 0x1.86b9e46919dafp-9, 0x1.7b6fcb9626b89p-9, 0x1.706b6647cd448p-9, 0x1.65ab544fed374p-9, 0x1.5b2e2da30d035p-9, 0x1.50f2886687c5ap-9, 0x1.46f6fe37c1cfcp-9, 0x1.3d3a2f839af18p-9, 0x1.33bac4c89cd52p-9, 0x1.2a776eef1746ap-9, 0x1.216ee87bc5e2cp-9, 0x1.189ff8834e9c5p-9, 0x1.10097637496d1p-9, 0x1.07aa4a1a550f2p-9, 0x1.ff02d40dc1f44p-10, 0x1.ef1b9f7bb6c87p-10, 0x1.df9cdad4ec895p-10, 0x1.d0844c3e4ff4ap-10, 0x1.c1cf9f9c08dc6p-10, 0x1.b37c8042b8745p-10, 0x1.a588bed6ff8c2p-10, 0x1.97f26fffc75b9p-10, 0x1.8ab7f08a48288p-10, 0x1.7dd7c75e17234p-10, 0x1.71506fa078275p-10, 0x1.65202390a6547p-10, 0x1.5944c3188f614p-10, 0x1.4dbbe61a893f4p-10, 0x1.428316bf6153cp-10, 0x1.37981c06bc7d6p-10, 0x1.2cf931c9b078cp-10, 0x1.22a50fd7ba596p-10, 0x1.189ab6c539b3p-10, 0x1.0ed916f496459p-10, 0x1.055ebdfb9d013p-10, 0x1.f8536f9363536p-11, 0x1.e66f6e6cda827p-11, 0x1.d50ce52f66b94p-11, 0x1.c428096adeea4p-11, 0x1.b3be42a701a7bp-11, 0x1.a3ce07ea105adp-11, 0x1.945640b35ed95p-11, 0x1.85556ef337b9cp-11, 0x1.76c8ff9187be6p-11, 0x1.68ad115cdc488p-11, 0x1.5afcd515e9266p-11, 0x1.4db36b4165f8fp-11, 0x1.40cce76a35907p-11, 0x1.3446fe1ded5d5p-11, 0x1.2820f9bb2da86p-11, 0x1.1c5aed65c2ddcp-11, 0x1.10f493c19bdbp-11, 0x1.05ec80573610ep-11, 0x1.f68018112120ap-12, 0x1.e1d7be5a697d5p-12, 0x1.cdd946d7d459fp-12, 0x1.ba7eedce20539p-12, 0x1.a7c4073ccc386p-12, 0x1.95a4b444b3d13p-12, 0x1.841d81e26f6e2p-12, 0x1.732b212944bfp-12, 0x1.62ca130bfbe45p-12, 0x1.52f61c8e45b05p-12, 0x1.43a9cab01d60ep-12, 0x1.34dea6f837098p-12, 0x1.268e60bea2e48p-12, 0x1.18b45442e2e68p-12, 0x1.0b4e5b8a4a30dp-12, 0x1.fcb885580aa2fp-13, 0x1.e3bc7f8153069p-13, 0x1.cba70636f8d56p-13, 0x1.b4736cc76447fp-13, 0x1.9e1ae750ae90ap-13, 0x1.88966a002a2eep-13, 0x1.73e03f0364248p-13, 0x1.5ff436e52b4edp-13, 0x1.4cce3de4d514ap-13, 0x1.3a68a2be55eecp-13, 0x1.28bba3dc41c46p-13, 0x1.17be6cc1b7679p-13, 0x1.0768683ef279ep-13, 0x1.ef63d9a0ab2bp-14, 0x1.d1286fbc4f45fp-14, 0x1.b4128700147a3p-14, 0x1.9817a8d56abaep-14, 0x1.7d2f6ebe56c49p-14, 0x1.6353db1ce8047p-14, 0x1.4a80bf509846ep-14, 0x1.32b217adbe69p-14, 0x1.1be2c58c349a6p-14, 0x1.060c9c67a87e8p-14, 0x1.e2528e10b437ep-15, 0x1.ba66ed2ae25bcp-15, 0x1.944e5a8f16c4ap-15, 0x1.6fff941582928p-15, 0x1.4d6b352112c01p-15, 0x1.2c7c36a8bd81dp-15, 0x1.0d1d4510908e6p-15, 0x1.de7b4ce4989a9p-16, 0x1.a5a5388d9dee5p-16, 0x1.6faa1e1fcfe88p-16, 0x1.3c79a3883de5bp-16, 0x1.0bf895bcfb08fp-16, 0x1.bbfc63168c396p-17, 0x1.64afcbeaa5e15p-17, 0x1.11a80cfc2002dp-17, 0x1.854d478fd0858p-18, 0x1.de9cfd4e2db06p-19, 0x1.863693f313bap-20, -0x1.1f32cbbd1aecbp-21, -0x1.42c8132c709aep-19, -0x1.176bd14e1619ep-18, -0x1.8642aab06fcddp-18, -0x1.edea3e5966c84p-18, -0x1.2736968e162edp-17, -0x1.540835179c1a1p-17, -0x1.7da34dafdfa47p-17, -0x1.a445bbd5540f8p-17, -0x1.c8234bfb1884p-17, -0x1.e95e2608fceecp-17, -0x1.0402d416defe4p-16, -0x1.120e640f5fe76p-16, -0x1.1ed344b67e5e2p-16, -0x1.2a58b13598799p-16, -0x1.34af8275d33d3p-16, -0x1.3df49f364fa9p-16, -0x1.464743694be58p-16, -0x1.4db1db68abf3p-16, -0x1.5428a8add05dep-16, -0x1.59aabb33dbe14p-16, -0x1.5e54cac54d3fp-16, -0x1.6245a66b588a5p-16, -0x1.657fc5eca1c1cp-16, -0x1.67f6a45b397e4p-16, -0x1.69aa54fe95c77p-16, -0x1.6aabbd8583731p-16, -0x1.6b10063a468dep-16, -0x1.6ae3391ca3f1bp-16, -0x1.6a263ff1ee7a3p-16, -0x1.68d976df89613p-16, -0x1.67045be9e8069p-16, -0x1.64b190f898574p-16, -0x1.61e821827929cp-16, -0x1.5eab219bc0967p-16, -0x1.5afd9c1e6bc3ap-16, -0x1.56e5625be82a8p-16, -0x1.526fc30da397p-16, -0x1.4db3821ac1c5p-16, -0x1.48bc815316913p-16, -0x1.437dd732eee8cp-16, -0x1.3def4db41e13ap-16, -0x1.381f944225764p-16, -0x1.3218114f685f7p-16, -0x1.2bd02af39822ap-16, -0x1.2544c52de3f85p-16, -0x1.1e7ff98d81c43p-16, -0x1.178fad4f1bcb6p-16, -0x1.1081233f24864p-16, -0x1.095d23a4695a7p-16, -0x1.0222f905665eep-16, -0x1.f5999515b7f11p-17, -0x1.e6b68a0a5d9d7p-17, -0x1.d7ae821377cadp-17, -0x1.c88bc9a6d3049p-17, -0x1.b9460c8f455acp-17, -0x1.a9d562ebf01cap-17, -0x1.9a40a2f4b9583p-17, -0x1.8a941f1f99278p-17, -0x1.7ad91136461c7p-17, -0x1.6b21d4f0ccf9p-17, -0x1.5b8028a04ff2ap-17, -0x1.4be72039edd3ep-17, -0x1.3c50bc76516ecp-17, -0x1.2cd0f07252cbcp-17, -0x1.1d65238dd68c1p-17, -0x1.0e005d3504925p-17, -0x1.fd551ffea711fp-18, -0x1.dee0dcf65cba6p-18, -0x1.c0af6df014295p-18, -0x1.a2c42e11b44c7p-18, -0x1.85205955afbfap-18, -0x1.67c47f96b5e78p-18, -0x1.4ab0d9d312d13p-18, -0x1.2de5c4c9984ebp-18, -0x1.116537cfff27cp-18, -0x1.ea6fe031a785ep-19, -0x1.b2dfb43c8d452p-19, -0x1.7c2e7cf2d186ap-19, -0x1.4647177536038p-19, -0x1.111fad03fa707p-19, -0x1.b9aa013b7ab28p-20, -0x1.52bb5580e8b95p-20, -0x1.da617579f2eaep-21, -0x1.12aa4e829a6d2p-21, -0x1.3a5c3675403b4p-23, 0x1.c681f64ada77fp-23, 0x1.2da2634ad4236p-21, 0x1.e62e56090197cp-21, 0x1.4daf57fe4c9bfp-20, 0x1.a662e2cf0fe8p-20, 0x1.fd202178639dbp-20, 0x1.28f5d065b5cf8p-19, 0x1.526510fba0babp-19, 0x1.7ade7378a639bp-19, 0x1.a261c2fd41661p-19, 0x1.c8eed84849976p-19, 0x1.ee85f36b95bf8p-19, 0x1.0993c49985479p-18, 0x1.1b69e296bebf3p-18, 0x1.2cc5218a248fp-18, 0x1.3da53c7774641p-18, 0x1.4e0a71afa1c14p-18, 0x1.5df5d09d7e7e8p-18, 0x1.6d680d13b4d87p-18, 0x1.7c618c28c0215p-18, 0x1.8ae9f5f4d3087p-18, 0x1.990d3ae67968ap-18, 0x1.a6bc7f0005697p-18, 0x1.b3ead90af1958p-18, 0x1.c09ab34c9bf7p-18, 0x1.ccd236c8d2b91p-18, 0x1.d8a043de8f81ap-18, 0x1.e405656b32affp-18, 0x1.eefc853098f44p-18, 0x1.f98318f52e377p-18, 0x1.01cd2f8fa9847p-17, 0x1.06a2681d50469p-17, 0x1.0b4250b244a02p-17, 0x1.0fadcdbfabfd8p-17, 0x1.13e5a7fc664ebp-17, 0x1.17eaa3b13a885p-17, 0x1.1bbd8bcd0759fp-17, 0x1.1f5f2f5fdb6a2p-17, 0x1.22d0543f06662p-17, 0x1.2611a9585cedap-17, 0x1.2923c7bd53a09p-17, 0x1.2c074dac2bb2fp-17, 0x1.2ebd05f10d661p-17, 0x1.3145d024de166p-17, 0x1.33a2363e778b5p-17, 0x1.35d30b4f5669ep-17, 0x1.37db914878ecep-17, 0x1.39bcbd38c9fep-17, 0x1.3b726ede33b8bp-17, 0x1.3cfd33e7a9277p-17, 0x1.3e625bf0e407dp-17, 0x1.3fa295c7bb0d8p-17, 0x1.40bc72b279468p-17, 0x1.41b1a6e352075p-17, 0x1.42845dfdc3dbcp-17, 0x1.4334339ea551fp-17, 0x1.43c03d8121083p-17, 0x1.4429271884f4bp-17, 0x1.447143c91127dp-17, 0x1.449ac74929dd6p-17, 0x1.44a55c153a705p-17, 0x1.449101e53b0cfp-17, 0x1.445e951a28fd8p-17, 0x1.440f11d97e3b9p-17, 0x1.43a357f040c5fp-17, 0x1.431c2beac5f78p-17, 0x1.427a40887815p-17, 0x1.41be41e87bf3dp-17, 0x1.40e8e48f6036ep-17, 0x1.3ffaf0006714p-17, 0x1.3ef525abbeb4cp-17, 0x1.3dd81399fc4dap-17, 0x1.3ca483335a24dp-17, 0x1.3b5c54e7f7282p-17, 0x1.39febfbf99375p-17, 0x1.388b4d5dc6b8fp-17, 0x1.37051b5527762p-17, 0x1.356c211642a3fp-17, 0x1.33c05003aab9p-17, 0x1.320281df531ep-17, 0x1.303379e6ccebap-17, 0x1.2e53dd4b5af27p-17, 0x1.2c644552455aap-17, 0x1.2a6546b374472p-17, 0x1.285774c1f619fp-17, 0x1.263b61c26e9cbp-17, 0x1.24119afee4bebp-17, 0x1.21daa90722273p-17, 0x1.1f9732e6d3d8p-17, 0x1.1d481e7574e16p-17, 0x1.1aedc8522565ep-17, 0x1.1887ff39d083cp-17, 0x1.161791fb683adp-17, 0x1.139d8d8bfa998p-17, 0x1.111a24f6540ebp-17, 0x1.0e8da62b742bp-17, 0x1.0bf898ff90aefp-17, 0x1.095b84e32987ap-17, 0x1.06b6e479660ep-17, 0x1.040b1e99f9c06p-17, 0x1.0158a1bd84873p-17, 0x1.fd401b8950d1fp-18, 0x1.f7c2ec6092633p-18, 0x1.f23b0697b0f7ap-18, 0x1.eca933b5b2f19p-18, 0x1.e70df710f6546p-18, 0x1.e16a2c89678ebp-18, 0x1.dbbe9e45896bbp-18, 0x1.d60c086662026p-18, 0x1.d05320e730257p-18, 0x1.ca9499a12db02p-18, 0x1.c4d1209910267p-18, 0x1.bf095fe61414fp-18, 0x1.b93dfd8d7ef12p-18, 0x1.b36f9b553daf9p-18, 0x1.ad9ed69058b6fp-18, 0x1.a7cc47cf7f74fp-18, 0x1.a1f882a6dc5ecp-18, 0x1.9c24160ba44eep-18, 0x1.964f8dbddcb4dp-18, 0x1.907b73ff87dfcp-18, 0x1.8aa851a70d8ffp-18, 0x1.84d6abe39efecp-18, 0x1.7f070224c65abp-18, 0x1.7939d0697dff3p-18, 0x1.736f93b07c5a2p-18, 0x1.6da8aff439c36p-18, 0x1.67e54d29c2e58p-18, 0x1.62263baa6a5ep-18, 0x1.5c6c207a8e614p-18, 0x1.56b6876093ba9p-18, 0x1.51066ef3c2e71p-18, 0x1.4b5bfbae9ebbep-18, 0x1.45b7db0a34a48p-18, 0x1.401a4cf946af8p-18, 0x1.3a838a39ea8f2p-18, 0x1.34f3e1985c312p-18, 0x1.2f6ba3a3ff272p-18, 0x1.29eb1e09c2c2cp-18, 0x1.24729b411b661p-18, 0x1.1f0262bf4a415p-18, 0x1.199ab91263243p-18, 0x1.143bdfef75da8p-18, 0x1.0ee61645c2cep-18, 0x1.0999985906efap-18, 0x1.04569fc8c446ep-18, 0x1.fe3ac6e5af473p-19, 0x1.f3dc2e60a9268p-19, 0x1.e991d7ac327abp-19, 0x1.df5c1ff8468b2p-19, 0x1.d53b623946abfp-19, 0x1.cb2ff77fba573p-19, 0x1.c13a3591158bbp-19, 0x1.b75a6e91c705bp-19, 0x1.ad90f13c51aap-19, 0x1.a3de02149fb71p-19, 0x1.9a41cc4676682p-19, 0x1.90bc6fd8edb39p-19, 0x1.874e35278baa2p-19, 0x1.7df7b46a179cfp-19, 0x1.74b97a33bf6fap-19, 0x1.6b9269f0fe901p-19, 0x1.628294ac8fb0bp-19, 0x1.598b63ff75a96p-19, 0x1.50acb8572be35p-19, 0x1.47e68833a7647p-19, 0x1.3f39374c676c5p-19, 0x1.36a47e74e6793p-19, 0x1.2e28000092d83p-19, 0x1.25c3c2b8a8833p-19, 0x1.1d7891983ec29p-19, 0x1.1546bd224ed71p-19, 0x1.0d2dfff0c3f19p-19, 0x1.052e445bb7c4dp-19, 0x1.fa8f1cf412736p-20, 0x1.eaf3caae5d275p-20, 0x1.db8a9b1e62fp-20, 0x1.cc539150edcdcp-20, 0x1.bd4eaa2a1a015p-20, 0x1.ae7bdc5bf91f6p-20, 0x1.9fdb19396a641p-20, 0x1.916c4eda87b7p-20, 0x1.832f69843caffp-20, 0x1.752452c08e78ap-20, 0x1.674af047da923p-20, 0x1.59a324ff5c30dp-20, 0x1.4c2cd21aa8e01p-20, 0x1.3ee7d04742f2dp-20, 0x1.31d3dfd147b6fp-20, 0x1.24f0b91ac5ea5p-20, 0x1.183e362629b9fp-20, 0x1.0bbc62c1c3db6p-20, 0x1.fed7afb599483p-21, 0x1.e695b476e1c54p-21, 0x1.ceb0a4d6c3f4bp-21, 0x1.b72cbf4fab606p-21, 0x1.a00816b6d4edp-21, 0x1.8941900c751bp-21, 0x1.72d8a2d23be29p-21, 0x1.5cccc816736c5p-21, }}, 
      {{0x1.5b129a7a47837p-3, 0x1.434e29986bc96p-2, 0x1.b5bae3282aa51p-2, 0x1.00dcb9ff11fadp-1, 0x1.148e595287451p-1, 0x1.182b0870abe0dp-1, 0x1.0e81407f81f0cp-1, 0x1.f503edad4fef1p-2, 0x1.bdf767a6ec3ecp-2, 0x1.7ce8b0158a4adp-2, 0x1.362e0354b6c1dp-2, 0x1.dabbf478d1b02p-3, 0x1.4aab3010c0466p-3, 0x1.811e309c2dd29p-4, 0x1.fd0668fcecedfp-6, -0x1.af3b6c69bafb6p-6, -0x1.3d4e7c4e01d4p-4, -0x1.f3d4750ccae86p-4, -0x1.478612c20e27cp-3, -0x1.87bb4fe069e52p-3, -0x1.bb1a9bf183562p-3, -0x1.e26e4bbd11c8fp-3, -0x1.fea7ca66da931p-3, -0x1.08683fbb39ff7p-2, -0x1.0cfee1fb3ff25p-2, -0x1.0da3bd7593136p-2, -0x1.0ae07293787f2p-2, -0x1.0539a821ecbabp-2, -0x1.fa5a4ad14d3fap-3, -0x1.e66112edc2e8dp-3, -0x1.cf60ff56631e2p-3, -0x1.b620acf6c107dp-3, -0x1.9b53c404b7862p-3, -0x1.7f9b2faa9fde1p-3, -0x1.6385aa2865deap-3, -0x1.4790853613c7cp-3, -0x1.2c289b6508de1p-3, -0x1.11ab5b5c0d37p-3, -0x1.f0cfc26070a0bp-4, -0x1.c14029c9100eep-4, -0x1.95138eb7aa092p-4, -0x1.6c9f91b423117p-4, -0x1.4825eb4695b01p-4, -0x1.27d66ccee7e7cp-4, -0x1.0bd0e60b7e9ffp-4, -0x1.e84ddb56dc8c1p-5, -0x1.c1bb18703a3c9p-5, -0x1.a3dd92910c5dcp-5, -0x1.8e9636d89a454p-5, -0x1.81b57719e2b63p-5, -0x1.7cfdb97e9a81bp-5, -0x1.8025934e38774p-5, -0x1.8ad9d15122859p-5, -0x1.9cbf5069e0ad7p-5, -0x1.b574a905b903cp-5, -0x1.d493b0107054p-5, -0x1.f9b2d01086e0fp-5, -0x1.12331e88eb197p-4, -0x1.2a2082ef71715p-4, -0x1.446b02966bc8p-4, -0x1.60dc5a644d71fp-4, -0x1.7f3ef2a4ac848p-4, -0x1.9f5e2e17df98ep-4, -0x1.c106ad7678936p-4, -0x1.e4068861b6b2cp-4, -0x1.0416be5b386fep-3, -0x1.16a68a763ba06p-3, -0x1.299c6346020fp-3, -0x1.3ce30453556bdp-3, -0x1.506632d44211cp-3, -0x1.6412c2386d975p-3, -0x1.77d698d5e066dp-3, -0x1.8ba0af06a8343p-3, -0x1.9f610f105940ep-3, -0x1.b308d20d56c01p-3, -0x1.c68a19a52b51fp-3, -0x1.d9d80d4d88f41p-3, -0x1.ece6d0a37f3b6p-3, -0x1.ffab7ed695a87p-3, -0x1.090e100502eb7p-2, -0x1.1217d19e7aaa2p-2, -0x1.1aeee8e791332p-2, -0x1.238fa3df2ec35p-2, -0x1.2bf6b530838e7p-2, -0x1.34212dde0caa8p-2, -0x1.3c0c7a70fe99p-2, -0x1.43b65cdefbae6p-2, -0x1.4b1ce84978f95p-2, -0x1.523e7c955dafap-2, -0x1.5919c16d9d82ep-2, -0x1.5fada218356f4p-2, -0x1.65f9490a2421fp-2, -0x1.6bfc1bdb39515p-2, -0x1.71b5b7634869fp-2, -0x1.7725ec052e24cp-2, -0x1.7c4cba2b368a5p-2, -0x1.812a4ee0b48f6p-2, -0x1.85bf008e1abafp-2, -0x1.8a0b4bd01d72p-2, -0x1.8e0fd06949cfep-2, -0x1.91cd4e534e032p-2, -0x1.9544a2ed5bf4dp-2, -0x1.9876c64b0f3d9p-2, -0x1.9b64c8a5cdfb3p-2, -0x1.9e0fcfeccf538p-2, -0x1.a079157576a68p-2, -0x1.a2a1e3ca627f8p-2, -0x1.a48b9495a3f58p-2, -0x1.a6378ea77acd1p-2, -0x1.a7a744184eb4ap-2, -0x1.a8dc3084202acp-2, -0x1.a9d7d7619e4a1p-2, -0x1.aa9bc27477ecep-2, -0x1.ab298059ab0f9p-2, -0x1.ab82a32f67107p-2, -0x1.aba8bf57f0a9cp-2, -0x1.ab9d6a551c686p-2, -0x1.ab6239bc7a01p-2, -0x1.aaf8c243694a3p-2, -0x1.aa6296df8fbbep-2, -0x1.a9a147fb4e239p-2, -0x1.a8b662bcefc6fp-2, -0x1.a7a3705ef194ep-2, -0x1.a669f597a28d6p-2, -0x1.a50b720f5543fp-2, -0x1.a3895fe679188p-2, -0x1.a1e533475e96dp-2, -0x1.a0205a04eb20cp-2, -0x1.9e3c3b4785bc8p-2, -0x1.9c3a374335b8ap-2, -0x1.9a1ba6faa1a62p-2, -0x1.97e1dc0c6f9f2p-2, -0x1.958e2087e97cbp-2, -0x1.9321b6ce8a2e9p-2, -0x1.909dd97b4794ap-2, -0x1.8e03bb4ed5945p-2, -0x1.8b548728354ddp-2, -0x1.88915fff742f6p-2, -0x1.85bb60e30cd17p-2, -0x1.82d39d00802f2p-2, -0x1.7fdb1facfb3p-2, -0x1.7cd2ec6ebe258p-2, -0x1.79bbff1113c33p-2, -0x1.76974bb78a88ep-2, -0x1.7365beefa33acp-2, -0x1.70283dccf23ddp-2, -0x1.6cdfa60598ea9p-2, -0x1.698cce0a36aaep-2, -0x1.66308526eb624p-2, -0x1.62cb93a7c349ap-2, -0x1.5f5ebaf65a012p-2, -0x1.5beab5bcb0ec1p-2, -0x1.5870380ede9c7p-2, -0x1.54efef8e35aacp-2, -0x1.516a838bd8a8ap-2, -0x1.4de09533d3822p-2, -0x1.4a52bfb5686d8p-2, -0x1.46c1986504a88p-2, -0x1.432daee45de8cp-2, -0x1.3f978d4e07c2fp-2, -0x1.3bffb8591aef3p-2, -0x1.3866af7bdfa9bp-2, -0x1.34cced15a2f12p-2, -0x1.3132e69630cbep-2, -0x1.2d990c9de53c8p-2, -0x1.29ffcb20c3b47p-2, -0x1.2667898e8986p-2, -0x1.22d0aaf5688acp-2, -0x1.1f3b8e1fb7d7ep-2, -0x1.1ba88db62c36p-2, -0x1.18180064afbdcp-2, -0x1.148a38f9306b6p-2, -0x1.10ff867f4abc2p-2, -0x1.0d7834607dd12p-2, -0x1.09f48a859451bp-2, -0x1.0674cd72536dbp-2, -0x1.02f93e5edc8a8p-2, -0x1.ff0436aa6154fp-3, -0x1.f81f3e9f06d52p-3, -0x1.f14404a25ad3bp-3, -0x1.ea72f2fa8850dp-3, -0x1.e3ac6e61f4b2ep-3, -0x1.dcf0d63ed8bbdp-3, -0x1.d64084d0e9a9ep-3, -0x1.cf9bcf57f8e7cp-3, -0x1.c9030640bce08p-3, -0x1.c2767557ec4ebp-3, -0x1.bbf663f64ad38p-3, -0x1.b5831521e56cdp-3, -0x1.af1cc7b09eee3p-3, -0x1.a8c3b67430473p-3, -0x1.a278186684456p-3, -0x1.9c3a20cad0dadp-3, -0x1.9609ff4745515p-3, -0x1.8fe7e004aa373p-3, -0x1.89d3ebd6c44c7p-3, -0x1.83ce4861df1f6p-3, -0x1.7dd718349927ep-3, -0x1.77ee7adc25139p-3, -0x1.72148cff47fb7p-3, -0x1.6c496881c3861p-3, -0x1.668d24a569065p-3, -0x1.60dfd6203948dp-3, -0x1.5b418f2bf4548p-3, -0x1.55b25f9aa114bp-3, -0x1.503254f40b092p-3, -0x1.4ac17a944b5c3p-3, -0x1.455fd9c16bc99p-3, -0x1.400d79b81a885p-3, -0x1.3aca5fb8ff2d8p-3, -0x1.35968f1e83651p-3, -0x1.30720978589d7p-3, -0x1.2b5ccea2ce563p-3, -0x1.2656dcd45059ap-3, -0x1.216030a5989b3p-3, -0x1.1c78c51e42962p-3, -0x1.17a093c9e6bdfp-3, -0x1.12d794d004937p-3, -0x1.0e1dbf05a932p-3, -0x1.097307f614686p-3, -0x1.04d763e86251ap-3, -0x1.004ac5eacc0d2p-3, -0x1.f79a3fcb2078fp-4, -0x1.eebcc55ec79d7p-4, -0x1.e5fcfc372264ep-4, -0x1.dd5ac20069a68p-4, -0x1.d4d5f2746a199p-4, -0x1.cc6e676c624cep-4, -0x1.c423f9005c357p-4, -0x1.bbf67da9f1113p-4, -0x1.b3e5ca5d3d201p-4, -0x1.abf1b2943f25cp-4, -0x1.a41a0854c4dc1p-4, -0x1.9c5e9c3c9d8fcp-4, -0x1.94bf3d98ed717p-4, -0x1.8d3bba82cbd9ap-4, -0x1.85d3dff6a7d6fp-4, -0x1.7e8779e12c4c9p-4, -0x1.775653254207fp-4, -0x1.704035a3a593ep-4, -0x1.6944ea49eac35p-4, -0x1.62643927c6391p-4, -0x1.5b9de98410bedp-4, -0x1.54f1c1eb9d992p-4, -0x1.4e5f8839739c1p-4, -0x1.47e7019cd07c8p-4, -0x1.4187f2a1ffb1fp-4, -0x1.3b421f3ff7a67p-4, -0x1.35154ae884cdep-4, -0x1.2f013896e1e06p-4, -0x1.2905aada2e162p-4, -0x1.232263dc87d5ap-4, -0x1.1d572569a7a9ap-4, -0x1.17a3b0f74902dp-4, -0x1.1207c7afc2948p-4, -0x1.0c832a7d5decp-4, -0x1.07159a147b84bp-4, -0x1.01bed6fb95268p-4, -0x1.f8fd4323be62dp-5, -0x1.eea9742be189dp-5, -0x1.e481c15a8677dp-5, -0x1.da85aad880a94p-5, -0x1.d0b4b0bc22074p-5, -0x1.c70e531707102p-5, -0x1.bd921201ef625p-5, -0x1.b43f6da7de42ap-5, -0x1.ab15e65236b53p-5, -0x1.a214fc7607398p-5, -0x1.993c30c1655c3p-5, -0x1.908b042730174p-5, -0x1.8800f7e88b8a5p-5, -0x1.7f9d8d9cbab65p-5, -0x1.77604738c8508p-5, -0x1.6f48a7187f986p-5, -0x1.6756300947e87p-5, -0x1.5f886555d3bc8p-5, -0x1.57decad0bb849p-5, -0x1.5058e4dc8fac4p-5, -0x1.48f638716937bp-5, -0x1.41b64b21424bbp-5, -0x1.3a98a31cc9da3p-5, -0x1.339cc73a03856p-5, -0x1.2cc23efcdac7p-5, -0x1.260892a0849f7p-5, -0x1.1f6f4b1fefe84p-5, -0x1.18f5f23bd0083p-5, -0x1.129c127e3722p-5, -0x1.0c61373cd8dd1p-5, -0x1.0644ec9b770c3p-5, -0x1.0046bf8fbad75p-5, -0x1.f4cc7bcd9a2cap-6, -0x1.e945ec982d262p-6, -0x1.ddf8f09fac243p-6, -0x1.d2e4a8d87bc54p-6, -0x1.c8083810f3da3p-6, -0x1.bd62c2f4256bp-6, -0x1.b2f3700b830a6p-6, -0x1.a8b967c1a4bddp-6, -0x1.9eb3d46775bd7p-6, -0x1.94e1e23bc17b4p-6, -0x1.8b42bf73da245p-6, -0x1.81d59c4391526p-6, -0x1.7899aae2ea161p-6, -0x1.6f8e1f90f9b9dp-6, -0x1.66b23094ac15dp-6, -0x1.5e05163ce6bf7p-6, -0x1.55860ae195d81p-6, -0x1.4d344ae636426p-6, -0x1.450f14bda7c22p-6, -0x1.3d15a8ee7554cp-6, -0x1.35474a16733edp-6, -0x1.2da33cecda121p-6, -0x1.2628c842b5dcap-6, -0x1.1ed7350226c17p-6, -0x1.17adce2d75f06p-6, -0x1.10abe0defa347p-6, -0x1.09d0bc4a3f808p-6, -0x1.031bb1be09545p-6, -0x1.f918294c7ea2fp-7, -0x1.ec427519523b9p-7, -0x1.dfb4f62fcd027p-7, -0x1.d36e6011163dp-7, -0x1.c76d6a6a3ffbep-7, -0x1.bbb0d10c75d14p-7, -0x1.b03753e82ec51p-7, -0x1.a4ffb70d01b46p-7, -0x1.9a08c2ae194a6p-7, -0x1.8f514328f9e35p-7, -0x1.84d8090b1d123p-7, -0x1.7a9be912704a9p-7, -0x1.709bbc264b701p-7, -0x1.66d65f489bbd8p-7, -0x1.5d4ab381ec2eep-7, -0x1.53f79dcc82e33p-7, -0x1.4adc07046e518p-7, -0x1.41f6dbe0ae3a4p-7, -0x1.39470cf78c771p-7, -0x1.30cb8ecca1c92p-7, -0x1.288359e31c626p-7, -0x1.206d6accfae38p-7, -0x1.1888c22fb41fap-7, -0x1.10d464b9437a8p-7, -0x1.094f5b04a4278p-7, -0x1.01f8b171f9a21p-7, -0x1.f59eeff5de121p-8, -0x1.e7a5841bcef3bp-8, -0x1.da034cf3e3059p-8, -0x1.ccb67ee347e96p-8, -0x1.bfbd554927b95p-8, -0x1.b31612d162a58p-8, -0x1.a6bf01cd7cee4p-8, -0x1.9ab674763c78ep-8, -0x1.8efac4fb08f55p-8, -0x1.838a554fe4797p-8, -0x1.78638ebbbab5dp-8, -0x1.6d84e13a8e52cp-8, -0x1.62ecc2d620ba5p-8, -0x1.5899af1d9b7b2p-8, -0x1.4e8a26e0b5c15p-8, -0x1.44bcb043bfa0bp-8, -0x1.3b2fd72c666e1p-8, -0x1.31e22dee881c1p-8, -0x1.28d24e0cd94e6p-8, -0x1.1ffed8d7ad27p-8, -0x1.176677b7752c8p-8, -0x1.0f07dc024c221p-8, -0x1.06e1be574aeep-8, -0x1.fde5bb32aec01p-9, -0x1.ee73fb7d6d9dcp-9, -0x1.df6bcd73fe5ep-9, -0x1.d0cac780df7bp-9, -0x1.c28e86407d408p-9, -0x1.b4b4ad725b63cp-9, -0x1.a73aea0676343p-9, -0x1.9a1ef4d4d27d6p-9, -0x1.8d5e955bb0f5fp-9, -0x1.80f7a3d148f33p-9, -0x1.74e809f3dbdc8p-9, -0x1.692dc24431914p-9, -0x1.5dc6d5b1b5ebbp-9, -0x1.52b1581fc4203p-9, -0x1.47eb6476d53acp-9, -0x1.3d73191bf9eaap-9, -0x1.3346959de8f68p-9, -0x1.2963fa2b7106cp-9, -0x1.1fc96906c08e3p-9, -0x1.167509b7e8345p-9, -0x1.0d650d59e7e05p-9, -0x1.0497b314d8ae8p-9, -0x1.f8169786a9dbep-10, -0x1.e77c77c3ab37fp-10, -0x1.d75df679e3344p-10, -0x1.c7b82496c8898p-10, -0x1.b8882b45b922dp-10, -0x1.a9cb40cbc602ep-10, -0x1.9b7e9d97213a3p-10, -0x1.8d9f73cbd8639p-10, -0x1.802aeb1e7c397p-10, -0x1.731e21ef610aep-10, -0x1.66763381ba4c2p-10, -0x1.5a30421d20a36p-10, -0x1.4e49831547b05p-10, -0x1.42bf4a4c51892p-10, -0x1.378f12d18dc32p-10, -0x1.2cb682c59b059p-10, -0x1.22336992ed77p-10, -0x1.1803b8a5537d7p-10, -0x1.0e2577eb8a0d7p-10, -0x1.0496b85004307p-10, -0x1.f6ab0d98e2e1cp-11, -0x1.e4bfc541d7081p-11, -0x1.d367711eae5cep-11, -0x1.c29dc7e3fdf81p-11, -0x1.b25e6aa96a32p-11, -0x1.a2a4fa59c3505p-11, -0x1.936d312d39ddcp-11, -0x1.84b2fb6b6dccfp-11, -0x1.76728afb44a07p-11, -0x1.68a862437ba7bp-11, -0x1.5b51546b08787p-11, -0x1.4e6a7ae4a8844p-11, -0x1.41f1222032b2cp-11, -0x1.35e2b0ed26432p-11, -0x1.2a3c8f252849ap-11, -0x1.1efc1059238b1p-11, -0x1.141e6655dbe6p-11, -0x1.09a09d9a244f7p-11, -0x1.feff477b694ecp-12, -0x1.eb70abc220c4ep-12, -0x1.d88f27f30e867p-12, -0x1.c654aa9a07badp-12, -0x1.b4bb7543341d7p-12, -0x1.a3be369b9b784p-12, -0x1.935816a446148p-12, -0x1.8384b3aa2b951p-12, -0x1.7440113868db9p-12, -0x1.65867c84858e3p-12, -0x1.57546b77f732ep-12, -0x1.49a65c2a99e88p-12, -0x1.3c78ba35f80a3p-12, -0x1.2fc7cdd2c67c3p-12, -0x1.238fb69adcdeep-12, -0x1.17cc718da3271p-12, -0x1.0c79e825fde01p-12, -0x1.01940521b4a68p-12, -0x1.ee2d960f85107p-13, -0x1.d9fcd0d96efa4p-13, -0x1.c68e8cfd01305p-13, -0x1.b3dc1f44b4927p-13, -0x1.a1df5b7f745bcp-13, -0x1.9092836a14d6ep-13, -0x1.7ff02d783ef5bp-13, -0x1.6ff329cec30eap-13, -0x1.60966ab0ce26cp-13, -0x1.51d4f38b8f249p-13, -0x1.43a9cf6cce437p-13, -0x1.36100dd5e0e9fp-13, -0x1.2902c448e40b4p-13, -0x1.1c7d1350ca01ap-13, -0x1.107a2e3eb82cfp-13, -0x1.04f5646491dbdp-13, -0x1.f3d452c95eb79p-14, -0x1.dea83389754cdp-14, -0x1.ca5df4b9c64ddp-14, -0x1.b6ed680c3d596p-14, -0x1.a44e9e3a9bb13p-14, -0x1.9279e452ec71cp-14, -0x1.8167c7eeeaac8p-14, -0x1.71111be9e34e7p-14, -0x1.616ef4d0a48b4p-14, -0x1.527a9971c8399p-14, -0x1.442d6dcf34964p-14, -0x1.3680e6ac771d6p-14, -0x1.296e93ccd2c13p-14, -0x1.1cf0448c44a28p-14, -0x1.1100399f9de7ep-14, -0x1.0599491d1b5ap-14, -0x1.f56db4c3182dap-15, -0x1.e0a961a32c11fp-15, -0x1.ccdd2d07960a6p-15, -0x1.ba00166244ab1p-15, -0x1.a8083ab8f36b6p-15, -0x1.96eb04e2c352ap-15, -0x1.869dcd322a1d4p-15, -0x1.7716a5142a03ap-15, -0x1.684cf0be27768p-15, -0x1.5a397f8cbaf4bp-15, -0x1.4cd60be4cd939p-15, -0x1.401c598ae29a5p-15, -0x1.34056669f4698p-15, -0x1.288924534801cp-15, -0x1.1d9eed2a75accp-15, -0x1.133e7a3c5bd84p-15, -0x1.0960dc2b3e4dbp-15, -0x1.0000f139f0d49p-15, -0x1.ee36394052014p-16, -0x1.dd58be6f8e23ap-16, -0x1.cd6273b7b7b6ap-16, -0x1.be49af1d3f3bdp-16, -0x1.b001b7506ef97p-16, -0x1.a27bd6315655dp-16, -0x1.95a979299f2fp-16, -0x1.897e810df4396p-16, -0x1.7df2b3d952401p-16, -0x1.73018872cea25p-16, -0x1.68a84fec09a18p-16, -0x1.5ee3b8d8e1015p-16, -0x1.55ae17b6ba324p-16, -0x1.4cff4ca75ef9ep-16, -0x1.44cdfb97083fep-16, -0x1.3d1113f88964fp-16, -0x1.35c0cd3eae6dp-16, -0x1.2ed6d97d67161p-16, -0x1.284e0b4cbb73ap-16, -0x1.2221d53f479a9p-16, -0x1.1c4de0e0aedbep-16, -0x1.16cdab551e192p-16, -0x1.119c0754ece39p-16, -0x1.0cb2bfb038272p-16, -0x1.080adc2fd24b1p-16, -0x1.039db50eb2c95p-16, -0x1.fecc8eccdb5aap-17, -0x1.f6c3b9db4f113p-17, -0x1.ef1f039640a6bp-17, -0x1.e7dd4c6691c83p-17, -0x1.e0fbc0c47a8d7p-17, -0x1.da75101367cd8p-17, -0x1.d44255e26462p-17, -0x1.ce5cc0964b32bp-17, -0x1.c8bedd4900c0cp-17, -0x1.c364a74993ba8p-17, -0x1.be4a47d2e31a9p-17, -0x1.b96aa9b164324p-17, -0x1.b4bf2ded4d9c9p-17, -0x1.b04096b75b30fp-17, -0x1.abe833bde1624p-17, -0x1.a7b07a173b226p-17, -0x1.a394f28eca4b2p-17, -0x1.9f91e98ae55d7p-17, -0x1.9ba43dc2c36acp-17, -0x1.97c9642278fecp-17, -0x1.93ff7e0b46272p-17, -0x1.904538a1ce301p-17, -0x1.8c9962a4eaf0cp-17, -0x1.88fa96da13edap-17, -0x1.85673641ec173p-17, -0x1.81dd945237646p-17, -0x1.7e5c490f07417p-17, -0x1.7ae25ddbcb903p-17, -0x1.776ed75df81e6p-17, -0x1.7400065cef008p-17, -0x1.70938c730b718p-17, -0x1.6d270daf864efp-17, -0x1.69b8d01504cebp-17, -0x1.6647de24ed03ep-17, -0x1.62d3b9b6a4cc6p-17, -0x1.5f5bd98a87834p-17, -0x1.5bdf3e7e89b79p-17, -0x1.585c59fef013bp-17, -0x1.54d1455068a0ep-17, -0x1.513c453947b3p-17, -0x1.4d9c8c69290dcp-17, -0x1.49f2a1b8070ecp-17, -0x1.463fc20697e67p-17, -0x1.4284a8b59ad7p-17, -0x1.3ec0f62a3c36ap-17, -0x1.3af3e3aa65a92p-17, -0x1.371d5a7c31918p-17, -0x1.333df1116bb8ap-17, -0x1.2f5607a8f5415p-17, -0x1.2b655bc5bd6b1p-17, -0x1.276b5c9ff3525p-17, -0x1.23679ffed01c8p-17, -0x1.1f5a111203d69p-17, -0x1.1b42e472501f9p-17, -0x1.17227ad249852p-17, -0x1.12f9471f26da9p-17, -0x1.0ec7bb3c0a0abp-17, -0x1.0a8e3ca8f5a96p-17, -0x1.064d1cb58da0cp-17, -0x1.02048fe3652fcp-17, -0x1.fb697b0b9e081p-18, -0x1.f2bbde2e95d95p-18, -0x1.ea012b8377b51p-18, -0x1.e13a1b056f045p-18, -0x1.d8671068ba541p-18, -0x1.cf88afd0e2d59p-18, -0x1.c6a03fd3d381ap-18, -0x1.bdaf1bf4098f2p-18, -0x1.b4b61cdd6e0dfp-18, -0x1.abb5cc1cd997dp-18, -0x1.a2aee278337ffp-18, -0x1.99a254de5ccdfp-18, -0x1.90910816a0e0ap-18, -0x1.877bc23377a32p-18, -0x1.7e635df6b01fep-18, -0x1.7548cecc5eb03p-18, -0x1.6c2cf5637d1ffp-18, -0x1.631098865421cp-18, -0x1.59f486e4d5b7dp-18, -0x1.50d9b0997f564p-18, -0x1.47c16143d0faep-18, -0x1.3ead5aef8e618p-18, -0x1.359ed079f4e64p-18, -0x1.2c95b34a360a4p-18, -0x1.239233f3327cbp-18, -0x1.1a95ac1874456p-18, -0x1.11a1299737989p-18, -0x1.08b4c4bf04b4fp-18, -0x1.ffa1a85edeaafp-19, -0x1.edecb519cc96dp-19, -0x1.dc4d3b6657f28p-19, -0x1.cac60517c2f77p-19, -0x1.b95996fda1d22p-19, -0x1.a80919cb51ef4p-19, -0x1.96d4913d2e398p-19, -0x1.85bccfddb8d65p-19, -0x1.74c4367dc96e7p-19, -0x1.63eca1be2b7b5p-19, -0x1.5335ec37285b2p-19, -0x1.429fb2e5e885ep-19, -0x1.322b29f3e4a66p-19, -0x1.21da4d474bdddp-19, -0x1.11aed9ffa679cp-19, -0x1.01abb3b24182cp-19, -0x1.e3a73a7c1385dp-20, -0x1.c44afced635f3p-20, -0x1.a5422770bd3adp-20, -0x1.869299f3968e9p-20, -0x1.683c946fb1a06p-20, -0x1.4a3dbe710379ap-20, -0x1.2c98ef013112p-20, -0x1.0f522c88ab52bp-20, -0x1.e4d7881d265d6p-21, -0x1.abcdf007232c9p-21, -0x1.73895f602c5a4p-21, -0x1.3c0b32089323cp-21, -0x1.05546f7d9ba19p-21, -0x1.9ecc21cd8fabbp-22, -0x1.34830e1d786e3p-22, -0x1.97a9810dc9fc3p-23, -0x1.933a559ad0ec1p-24, 0x1.0dae42a96524p-31, 0x1.90c78a7515c6bp-24, 0x1.8c6afebebca1p-23, 0x1.2685cdd68d97ep-22, 0x1.852562cc2a554p-22, 0x1.e2211cf7119cap-22, 0x1.1eb508709746dp-21, 0x1.4b7c9d9727135p-21, 0x1.7764305bfb15bp-21, 0x1.a266ed46a4e84p-21, 0x1.cc8eb7ce8bcb1p-21, 0x1.f5dd11140ea43p-21, 0x1.0f2643fec3b56p-20, 0x1.22edc36ec589fp-20, 0x1.36456249395a1p-20, 0x1.492d80487d95ep-20, 0x1.5ba65312a9c13p-20, 0x1.6db00202e5c1ap-20, 0x1.7f4ac10ea117p-20, 0x1.9076dac4e364ep-20, 0x1.a134a70c3bfa2p-20, 0x1.b18476db3005bp-20, 0x1.c166882806686p-20, 0x1.d0db1518fd677p-20, 0x1.dfe28215d4febp-20, 0x1.ee7d769a5c342p-20, 0x1.fcac7ea992232p-20, 0x1.053802f9d3395p-19, 0x1.0be556c1fd587p-19, 0x1.126046a40914dp-19, 0x1.18a6db9ae34ep-19, 0x1.1eb7569125994p-19, 0x1.2492433b7893dp-19, 0x1.2a38bcceac82p-19, 0x1.2fad3d015383cp-19, 0x1.34f032e53838ep-19, 0x1.3a012083d5d93p-19, 0x1.3edfd2528cbbep-19, 0x1.438caf7a5e108p-19, 0x1.48085aac08695p-19, 0x1.4c5371322db05p-19, 0x1.506e81610c789p-19, 0x1.545a128202f3p-19, 0x1.5816acc1d0979p-19, 0x1.5ba4dcf9d0bp-19, 0x1.5f053312cd4a8p-19, 0x1.62383bc1552b4p-19, 0x1.653e7a41da682p-19, 0x1.681868b719f29p-19, 0x1.6ac68440e4c51p-19, 0x1.6d495eb08aef7p-19, 0x1.6fa194463b7cbp-19, 0x1.71cf9c9d7c714p-19, 0x1.73d41092a44b3p-19, 0x1.75b09c470b88cp-19, 0x1.7765e93993aa9p-19, 0x1.78f26475c2c97p-19, 0x1.7a568ace18848p-19, 0x1.7b94f1f5e776bp-19, 0x1.7cae26bd5093dp-19, 0x1.7da1c7c4675b6p-19, 0x1.7e70db7178b64p-19, 0x1.7f1ca9bcf90dbp-19, 0x1.7fa54a4b13193p-19, 0x1.800a817c39f74p-19, 0x1.804ccd6f8e547p-19, 0x1.806d8bfd884e4p-19, 0x1.806e221e4c954p-19, 0x1.804ea05ed8ddep-19, 0x1.800f38534ddeap-19, 0x1.7fb0929ba5d23p-19, 0x1.7f336d092273ep-19, 0x1.7e987752eb951p-19, 0x1.7de051a22e59dp-19, 0x1.7d0b915e3f7e2p-19, 0x1.7c1ac8474cc7bp-19, 0x1.7b0e8ebaece1ep-19, 0x1.79e78b1018686p-19, 0x1.78a660348b5dep-19, 0x1.774b8e34a9509p-19, 0x1.75d7be6cd8692p-19, 0x1.744c5adf38afcp-19, 0x1.72a8f8bee9e5cp-19, 0x1.70ed66d4dbe07p-19, 0x1.6f1beb824262dp-19, 0x1.6d34a2852d3d2p-19, 0x1.6b37a4411a23cp-19, 0x1.6925a9f671081p-19, 0x1.66ff5e1fef662p-19, 0x1.64c556b4d70adp-19, 0x1.627821384fd96p-19, 0x1.601847944fa64p-19, 0x1.5da652b123e75p-19, 0x1.5b22cb6db5142p-19, 0x1.588e37ac5f132p-19, 0x1.55e9198befee2p-19, 0x1.53340f396a4fdp-19, 0x1.506ffb0d5c80fp-19, 0x1.4d9d44fc1aa3bp-19, 0x1.4abbad1f5f231p-19, 0x1.47cbf42e92d0ap-19, 0x1.44cf433abbd4ap-19, 0x1.41c5c8a6c2566p-19, 0x1.3eafc11394ae2p-19, 0x1.3b8db705c75ddp-19, 0x1.38603e34aedd5p-19, 0x1.3527da5c8c04dp-19, 0x1.31e4eb8d886bfp-19, 0x1.2e97e4e406be2p-19, 0x1.2b41a277ca333p-19, 0x1.27e1e20298e0fp-19, 0x1.2479973be7495p-19, 0x1.21092dbf26b8p-19, 0x1.1d90cbfa61c18p-19, 0x1.1a10f6da96408p-19, 0x1.168a242b066ddp-19, 0x1.12fcbe314df55p-19, 0x1.0f692b8a71c42p-19, 0x1.0bcfd10a0481cp-19, 0x1.08311201dc881p-19, 0x1.048d504545e2bp-19, 0x1.00e4ec28c2e5ep-19, 0x1.fa7089067c90ap-20, 0x1.f30f6d5b28c5cp-20, 0x1.eba73d00660c4p-20, 0x1.e438ac8cf722dp-20, 0x1.dcc46d3e51cc1p-20, 0x1.d54b2c82a97cap-20, 0x1.cdcd93ad65673p-20, 0x1.c64c488a27ea8p-20, 0x1.bec7ee8aa5abep-20, 0x1.b74126810a095p-20, 0x1.afb88ac21d546p-20, 0x1.a82eade6993f8p-20, 0x1.a0a4357df896bp-20, 0x1.9919e67910dedp-20, 0x1.91900d8426af9p-20, 0x1.8a07239e45fb6p-20, 0x1.8280133f61a79p-20, 0x1.7afb1baec7765p-20, 0x1.7378e23ac2d1p-20, 0x1.6bf9c55b82267p-20, 0x1.647e4d1902c96p-20, 0x1.5d0700ed05543p-20, 0x1.55945af35456dp-20, 0x1.4e26d08cab692p-20, 0x1.46bed45847d48p-20, 0x1.3f5cd65ce8c65p-20, 0x1.380143fc30d3ap-20, 0x1.30ac87e379c7cp-20, 0x1.295f0a04cbc75p-20, 0x1.22192f96d0a19p-20, 0x1.1adb5b19ebc4bp-20, 0x1.13a5ec5be142ep-20, 0x1.0c7940775f11cp-20, 0x1.0555b1cd5c2c2p-20, 0x1.fc773017c3952p-21, 0x1.ee5690a57e798p-21, 0x1.e04a2ad12fcf1p-21, 0x1.d2529f910f65dp-21, 0x1.c4708b1738055p-21, 0x1.b6a484cd0a5f2p-21, 0x1.a8ef1f62e0d5ap-21, 0x1.9b50e7c872257p-21, 0x1.8dca62de2c6edp-21, 0x1.805c0fae0b7efp-21, 0x1.73066f6a66a76p-21, 0x1.65ca0b994aa24p-21, 0x1.58a76840dc60fp-21, 0x1.4b9ec50d185c3p-21, 0x1.3eb08bb5d0efcp-21, 0x1.31dd55f59902cp-21, 0x1.25257d29e8eacp-21, 0x1.18895b9f0fep-21, 0x1.0c095d0c6d998p-21, 0x1.ff4b95033f83dp-22, 0x1.e6bdbd80b0f1ap-22, 0x1.ce69c45696e64p-22, 0x1.b6509231e8836p-22, 0x1.9e72ddf08ae1ap-22, 0x1.86d10ea6fba1fp-22, 0x1.6f6b983d3e171p-22, 0x1.5842f4e401732p-22, 0x1.41579ac05a255p-22, 0x1.2aa9f93b96d58p-22, 0x1.143a78a31ff93p-22, 0x1.fc12f4452efd7p-23, 0x1.d02eaf78d0595p-23, 0x1.a4c8c94d7eeefp-23, 0x1.79e1dc490c125p-23, 0x1.4f7a78422c7ep-23, 0x1.259321d7c8b26p-23, 0x1.f858a365e6b8ep-24, 0x1.a68ceac77bbe9p-24, 0x1.55c3e0cdc74d5p-24, 0x1.05fe2e4886d76p-24, 0x1.6e788c1152274p-25, 0x1.a5f9f8cbc2ba1p-26, 0x1.cc54f828d329dp-28, -0x1.77749440dc71fp-27, -0x1.e66ec28fd0f24p-26, -0x1.8688455acc7b6p-25, -0x1.0be919cab7269p-24, -0x1.538702551972ap-24, -0x1.9a1ef9e2b684p-24, -0x1.dfb18ed1bbd5fp-24, -0x1.121f77fb3b9fdp-23, -0x1.33e3ac67c5483p-23, }}, 
      {{-0x1.b8c2ffd1ea08cp+1, -0x1.a040301ca6e5ep+1, -0x1.821d92bceb2c8p+1, -0x1.6338bf5bc1cc9p+1, -0x1.464c45d458243p+1, -0x1.2cb497bcc85cap+1, -0x1.16f2e9063000cp+1, -0x1.0503f3dada4f6p+1, -0x1.ed327a6fff194p+0, -0x1.d67cf6cf4ed38p+0, -0x1.c4e30b7f8e168p+0, -0x1.b76240eaeb8eep+0, -0x1.ad0b34370d4d8p+0, -0x1.a50a8d253c2c8p+0, -0x1.9eac8db160006p+0, -0x1.995d374b8f67dp+0, -0x1.94a6663cfab5cp+0, -0x1.902cd2df1f76p+0, -0x1.8bac979e6178p+0, -0x1.86f5a112a2a5cp+0, -0x1.81e844b5f7badp+0, -0x1.7c721f9f98a0dp+0, -0x1.768b4d83e13c5p+0, -0x1.7033fd967b3dep+0, -0x1.6972642212dcep+0, -0x1.62510359ec7a8p+0, -0x1.5add43659e6e7p+0, -0x1.532650771f009p+0, -0x1.4b3c357d2f8cdp+0, -0x1.432f2a620eee2p+0, -0x1.3b0f0d7a86843p+0, -0x1.32eb00a65ded3p+0, -0x1.2ad1238e03c26p+0, -0x1.22ce655115aedp+0, -0x1.1aee68d341c0fp+0, -0x1.133b779b45165p+0, -0x1.0bbe7fe787a2bp+0, -0x1.047f1b34fe7e4p+0, -0x1.fb0735f1d2abdp-1, -0x1.eda2337b994bep-1, -0x1.e0d71e65626edp-1, -0x1.d4abcc14e89e6p-1, -0x1.c9242594549dcp-1, -0x1.be4255b5a11a7p-1, -0x1.b406f6ba8d143p-1, -0x1.aa713ec2ee2c2p-1, -0x1.a17f2a786c165p-1, -0x1.992da59816256p-1, -0x1.9178b11a7c003p-1, -0x1.8a5b86d3d12dbp-1, -0x1.83d0ba7906c7p-1, -0x1.7dd25805c1efp-1, -0x1.7859ff8a931adp-1, -0x1.7360fe738aa6ep-1, -0x1.6ee0665d57485p-1, -0x1.6ad12193c2908p-1, -0x1.672c05580d562p-1, -0x1.63e9e20fe8b8ap-1, -0x1.6103917ee4fbbp-1, -0x1.5e72032d74b9ep-1, -0x1.5c2e471b860dp-1, -0x1.5a3196e2199d3p-1, -0x1.58755d6162e6fp-1, -0x1.56f33d21e3042p-1, -0x1.55a515855a756p-1, -0x1.548506e55e1ebp-1, -0x1.538d75b170499p-1, -0x1.52b90caa46076p-1, -0x1.5202be43b0ed7p-1, -0x1.5165c57afe20dp-1, -0x1.50dda5dbffd8p-1, -0x1.50662b6b36c75p-1, -0x1.4ffb698e0b0f9p-1, -0x1.4f99b9f78eb34p-1, -0x1.4f3dbb05c6331p-1, -0x1.4ee44d8cb4c5fp-1, -0x1.4e8a9340b5e4fp-1, -0x1.4e2debf509a11p-1, -0x1.4dcbf3bc6e3fdp-1, -0x1.4d627fff2ecfap-1, -0x1.4cef9d4aef372p-1, -0x1.4c718c15978a7p-1, -0x1.4be6be4d4c429p-1, -0x1.4b4dd4ba5b797p-1, -0x1.4aa59bddac604p-1, -0x1.49ed0a130fc95p-1, -0x1.49233c9eae416p-1, -0x1.48477562801dbp-1, -0x1.4759188ac44cep-1, -0x1.4657aa0b02dfbp-1, -0x1.4542cb6b74721p-1, -0x1.441a398c30f6dp-1, -0x1.42ddca973cd2p-1, -0x1.418d6c1102035p-1, -0x1.402921074026cp-1, -0x1.3eb1005cde02fp-1, -0x1.3d253329f78d6p-1, -0x1.3b85f32e36502p-1, -0x1.39d38951dcc71p-1, -0x1.380e4c350286dp-1, -0x1.36369ece1ca1p-1, -0x1.344cef18bdca5p-1, -0x1.3251b4d660e3ap-1, -0x1.304570622b9ep-1, -0x1.2e28a99796bfdp-1, -0x1.2bfbeecc08244p-1, -0x1.29bfd3da11f5cp-1, -0x1.2774f13d0df3ep-1, -0x1.251be33c3ad5bp-1, -0x1.22b54923d1ba5p-1, -0x1.2041c48b2f2bep-1, -0x1.1dc1f8a7dd211p-1, -0x1.1b3689acb2953p-1, -0x1.18a01c34bf0b1p-1, -0x1.15ff54ba42da2p-1, -0x1.1354d7194c0ap-1, -0x1.10a1461d6cfa4p-1, -0x1.0de5431a97648p-1, -0x1.0b216d90a532p-1, -0x1.085662d86ed9cp-1, -0x1.0584bdda4779ep-1, -0x1.02ad16cd18526p-1, -0x1.ffa005fac8753p-2, -0x1.f9dc2936fed28p-2, -0x1.f40fb520ae235p-2, -0x1.ee3bc0b1ed27dp-2, -0x1.e8615bce5e105p-2, -0x1.e2818f0f3c1dap-2, -0x1.dc9d5b9a5c21ep-2, -0x1.d6b5bb007c5eep-2, -0x1.d0cb9f254869cp-2, -0x1.cadff22f0c4ccp-2, -0x1.c4f3967bba9dfp-2, -0x1.bf07669f1abe5p-2, -0x1.b91c35654a86fp-2, -0x1.b332cdd905c4cp-2, -0x1.ad4bf352603a8p-2, -0x1.a76861873cb7p-2, -0x1.a188cc9e1abeap-2, -0x1.9bade1487c95p-2, -0x1.95d844dd6b9fap-2, -0x1.90089574dca4ap-2, -0x1.8a3f6a0a21e03p-2, -0x1.847d529db0b26p-2, -0x1.7ec2d856126fdp-2, -0x1.79107da785cb7p-2, -0x1.7366be7b50a5cp-2, -0x1.6dc61054231ccp-2, -0x1.682ee2782c1f3p-2, -0x1.62a19e1c91cdp-2, -0x1.5d1ea68c1ec9fp-2, -0x1.57a659514e757p-2, -0x1.52390e63ef72cp-2, -0x1.4cd71851c2d7p-2, -0x1.4780c466ad642p-2, -0x1.42365ad9f3978p-2, -0x1.3cf81ef8a9471p-2, -0x1.37c64f4baaa1fp-2, -0x1.32a125c17f81bp-2, -0x1.2d88d7d9a8405p-2, -0x1.287d96ca156b7p-2, -0x1.237f8fa3ddf3ep-2, -0x1.1e8eeb7c558b9p-2, -0x1.19abcf93c4161p-2, -0x1.14d65d76d8a74p-2, -0x1.100eb322035fap-2, -0x1.0b54eb2799872p-2, -0x1.06a91cd1cced2p-2, -0x1.020b5c41034cdp-2, -0x1.faf77519f7c89p-3, -0x1.f1f48bce68b04p-3, -0x1.e90e137192bp-3, -0x1.e0441d7be3783p-3, -0x1.d796b6488b465p-3, -0x1.cf05e552c67c3p-3, -0x1.c691ad6a9d633p-3, -0x1.be3a0ce5feab5p-3, -0x1.b5fefdd6e44d3p-3, -0x1.ade07641e49d9p-3, -0x1.a5de684cbc9c1p-3, -0x1.9df8c26913912p-3, -0x1.962f6f83ee75cp-3, -0x1.8e82573699307p-3, -0x1.86f15df044691p-3, -0x1.7f7c651a12656p-3, -0x1.78234b3ee7113p-3, -0x1.70e5ec3753296p-3, -0x1.69c421506eda9p-3, -0x1.62bdc16a7d3b5p-3, -0x1.5bd2a117cf1bp-3, -0x1.550292c1ea38dp-3, -0x1.4e4d66cf23b58p-3, -0x1.47b2ebc0019d9p-3, -0x1.4132ee46967e7p-3, -0x1.3acd3961661a9p-3, -0x1.3481967c8e853p-3, -0x1.2e4fcd913b32bp-3, -0x1.2837a53c5eb52p-3, -0x1.2238e2d089aaap-3, -0x1.1c534a6c15fa9p-3, -0x1.16869f15983dap-3, -0x1.10d2a2d6f3f11p-3, -0x1.0b3716d03a473p-3, -0x1.05b3bb44e9ed7p-3, -0x1.00484fac5f195p-3, -0x1.f5e92591d341ep-4, -0x1.eb70857fe23a6p-4, -0x1.e1263a56fb1edp-4, -0x1.d709be492c154p-4, -0x1.cd1a8a9b4e8e5p-4, -0x1.c35817c60000cp-4, -0x1.b9c1dd9f72c18p-4, -0x1.b057537f29f38p-4, -0x1.a717f052bc216p-4, -0x1.9e032aaa122abp-4, -0x1.951878c982ce6p-4, -0x1.8c5750c834869p-4, -0x1.83bf28b2d10edp-4, -0x1.7b4f76a5382a8p-4, -0x1.7307b0d6c514dp-4, -0x1.6ae74da194fc3p-4, -0x1.62edc391188e3p-4, -0x1.5b1a897b881c4p-4, -0x1.536d169dedbfcp-4, -0x1.4be4e2afa5a95p-4, -0x1.448165ea40a8p-4, -0x1.3d42190d2aa87p-4, -0x1.362675675c6fap-4, -0x1.2f2df4ea7a746p-4, -0x1.28581241375a1p-4, -0x1.21a448df9dd0ep-4, -0x1.1b12150996f63p-4, -0x1.14a0f3d43f9fp-4, -0x1.0e50632a49aaep-4, -0x1.081fe1d7ef4c2p-4, -0x1.020eef9ba20fbp-4, -0x1.f83a1a68d26dcp-5, -0x1.ec9378d22958bp-5, -0x1.e1290012b897bp-5, -0x1.d5f9b7dca41d8p-5, -0x1.cb04a9fe7c551p-5, -0x1.c048e27752912p-5, -0x1.b5c56f8db5a2cp-5, -0x1.ab7961e001874p-5, -0x1.a163cc6a2b7c6p-5, -0x1.9783c484eb05bp-5, -0x1.8dd861e5bcbddp-5, -0x1.8460bea56504fp-5, -0x1.7b1bf74cbf3p-5, -0x1.72092ae29e73cp-5, -0x1.69277af50e814p-5, -0x1.60760b9bdec94p-5, -0x1.57f40376ec164p-5, -0x1.4fa08bac6486p-5, -0x1.477acfea8714ep-5, -0x1.3f81fe6d41f42p-5, -0x1.37b5480530042p-5, -0x1.3013e01c91ccfp-5, -0x1.289cfcb895c33p-5, -0x1.214fd6776e2a2p-5, -0x1.1a2ba88d42ed4p-5, -0x1.132fb0c1fceb1p-5, -0x1.0c5b2f71112e2p-5, -0x1.05ad678ae11f2p-5, -0x1.fe4b3d2c4434bp-6, -0x1.f186395fcd2bbp-6, -0x1.e50a5913972b6p-6, -0x1.d8d636cd2fae3p-6, -0x1.cce8722c4e619p-6, -0x1.c13fafe305f8ap-6, -0x1.b5da99afa23efp-6, -0x1.aab7de5828dd4p-6, -0x1.9fd631a6467bbp-6, -0x1.95344c62610c2p-6, -0x1.8ad0ec4d16dcdp-6, -0x1.80aad416be17cp-6, -0x1.76c0cb555d00dp-6, -0x1.6d119e79c48b1p-6, -0x1.639c1ec51c397p-6, -0x1.5a5f223f7f06bp-6, -0x1.515983af8843p-6, -0x1.488a22923ebc9p-6, -0x1.3fefe312a0e9p-6, -0x1.3789ae000b9e4p-6, -0x1.2f5670c3452cep-6, -0x1.27551d521872fp-6, -0x1.1f84aa2289e59p-6, -0x1.17e4121e713bap-6, -0x1.107254980a16dp-6, -0x1.092e753f630a1p-6, -0x1.02177c182dbbfp-6, -0x1.f658eadebb8dfp-7, -0x1.e8d8e39fddbb4p-7, -0x1.dbad0bed2b5b4p-7, -0x1.ced39588c9504p-7, -0x1.c24aba6265bb2p-7, -0x1.b610bc7ccef3ep-7, -0x1.aa23e5d530b8bp-7, -0x1.9e82884bae64p-7, -0x1.932afd8cc0c34p-7, -0x1.881ba6fa5600ap-7, -0x1.7d52ed93f871bp-7, -0x1.72cf41dd8e84cp-7, -0x1.688f1bc4bf0f3p-7, -0x1.5e90fa860b046p-7, -0x1.54d36492646e3p-7, -0x1.4b54e7762f17dp-7, -0x1.421417c13db3dp-7, -0x1.390f90ef5d036p-7, -0x1.3045f550d17b3p-7, -0x1.27b5edf221bfp-7, -0x1.1f5e2a8307413p-7, -0x1.173d613cbb7c7p-7, -0x1.0f524ec823f7p-7, -0x1.079bb6249a117p-7, -0x1.0018608fe658ep-7, -0x1.f18e3adee40fep-8, -0x1.e34d847453714p-8, -0x1.d56c54c43c28dp-8, -0x1.c7e86e7a7f12bp-8, -0x1.babf9fda019bcp-8, -0x1.adefc289e9c6ap-8, -0x1.a176bb627d953p-8, -0x1.95527a3b17fbap-8, -0x1.8980f9bba8bc7p-8, -0x1.7e003f3243794p-8, -0x1.72ce5a6cb7373p-8, -0x1.67e965940c8e7p-8, -0x1.5d4f850742323p-8, -0x1.52fee73279c66p-8, -0x1.48f5c46107015p-8, -0x1.3f325e8aae38ap-8, -0x1.35b3011e1f965p-8, -0x1.2c7600cbd5616p-8, -0x1.2379bb559e8b8p-8, -0x1.1abc976584081p-8, -0x1.123d046d58b8ep-8, -0x1.09f97a8da0c3ap-8, -0x1.01f07a7f856f2p-8, -0x1.f4411af98bcdep-9, -0x1.e5108a406fa2bp-9, -0x1.d64c767777fa8p-9, -0x1.c7f223464d9a3p-9, -0x1.b9fee3df16456p-9, -0x1.ac701a8234f2cp-9, -0x1.9f43380e0582cp-9, -0x1.9275bba7e0b3ap-9, -0x1.86053286b964cp-9, -0x1.79ef37dd6e772p-9, -0x1.6e3174db4df82p-9, -0x1.62c9a0b036eap-9, -0x1.57b580800410ep-9, -0x1.4cf2e7336bedep-9, -0x1.427fb51ccb46p-9, -0x1.3859d7735c865p-9, -0x1.2e7f47b2dc547p-9, -0x1.24ee0af7f8c6ap-9, -0x1.1ba43174f3df8p-9, -0x1.129fd6166d84bp-9, -0x1.09df1e658100fp-9, -0x1.01603aa5c437bp-9, -0x1.f242cc3a58559p-10, -0x1.e241cecee7f69p-10, -0x1.d2ba21622693fp-10, -0x1.c3a87f71a4d42p-10, -0x1.b509bb079b49dp-10, -0x1.a6dabb8456c77p-10, -0x1.99187bee4ade1p-10, -0x1.8bc009119e4edp-10, -0x1.7ece7fc9ba149p-10, -0x1.72410bcce8aadp-10, -0x1.6614e7394882cp-10, -0x1.5a475af6b5ec6p-10, -0x1.4ed5bfcf19313p-10, -0x1.43bd7fef79dfp-10, -0x1.38fc186694d07p-10, -0x1.2e8f1a2d47877p-10, -0x1.24742a5bedd8fp-10, -0x1.1aa9015ac5d18p-10, -0x1.112b691714525p-10, -0x1.07f93a843494p-10, -0x1.fe20b5bab93b1p-11, -0x1.ecdd72684c656p-11, -0x1.dc24999a9b363p-11, -0x1.cbf2294ae2274p-11, -0x1.bc423071833b4p-11, -0x1.ad10d2c1b7978p-11, -0x1.9e5a4db98870cp-11, -0x1.901afdd58fd72p-11, -0x1.824f62a6c3b8fp-11, -0x1.74f420b60620dp-11, -0x1.68060092b0db5p-11, -0x1.5b81eb011653bp-11, -0x1.4f64e2df0b6bep-11, -0x1.43abfddb2092dp-11, -0x1.38545d67da287p-11, -0x1.2d5b295184ef4p-11, -0x1.22bd8d0cdfa61p-11, -0x1.1878b84753173p-11, -0x1.0e89e2940d4f9p-11, -0x1.04ee516f4e88cp-11, -0x1.f746bea6babb9p-12, -0x1.e54d04c6ca58p-12, -0x1.d3eaa27d4590fp-12, -0x1.c31b09cdfb3b9p-12, -0x1.b2d9ee6d63d1ap-12, -0x1.a3233c1913fa4p-12, -0x1.93f30806b1c4ep-12, -0x1.85458018900a9p-12, -0x1.7716db07259c3p-12, -0x1.69634c814fe22p-12, -0x1.5c26ff6d15ebfp-12, -0x1.4f5e172ebf6bp-12, -0x1.4304b770210bdp-12, -0x1.371710a96ed5ap-12, -0x1.2b916ede15591p-12, -0x1.207047ba0cadap-12, -0x1.15b04572608d7p-12, -0x1.0b4e4c6d20405p-12, -0x1.01477aa58c6d4p-12, -0x1.ef3241b43497cp-13, -0x1.dc816d62d341dp-13, -0x1.ca7797f0b7bfdp-13, -0x1.b90ff35480705p-13, -0x1.a845aafaf3b39p-13, -0x1.9813d43b0ac27p-13, -0x1.88756a65f354ep-13, -0x1.796556416a233p-13, -0x1.6ade7e8ddf8cep-13, -0x1.5cdbddd341027p-13, -0x1.4f589931ddf4cp-13, -0x1.42501441ef84bp-13, -0x1.35bdfee105812p-13, -0x1.299e5afbbe957p-13, -0x1.1ded79c076eap-13, -0x1.12a7f112ed4eap-13, -0x1.07ca8b5742fb2p-13, -0x1.faa46907d4f6p-14, -0x1.e677cf742ea47p-14, -0x1.d30940b2791c4p-14, -0x1.c052a14ce09d7p-14, -0x1.ae4dbdeb7ec6p-14, -0x1.9cf4520bf77dap-14, -0x1.8c40188797aa4p-14, -0x1.7c2ae20be55ecp-14, -0x1.6caead1a8eb73p-14, -0x1.5dc5bb23c764ep-14, -0x1.4f6a9efeea29fp-14, -0x1.41984280c1c44p-14, -0x1.3449e3017bf88p-14, -0x1.277b06bfe56b1p-14, -0x1.1b276e670a494p-14, -0x1.0f4b063f31f78p-14, -0x1.03e1d9c1857ffp-14, -0x1.f1d015f6e0c99p-15, -0x1.dcb39ba8ccab2p-15, -0x1.c866ccc25e4acp-15, -0x1.b4e252a76e9f2p-15, -0x1.a21efbef0267fp-15, -0x1.9015c30ad978fp-15, -0x1.7ebfd6aecfda4p-15, -0x1.6e16a182c9896p-15, -0x1.5e13cdf46a217p-15, -0x1.4eb1445573d39p-15, -0x1.3fe9247f59004p-15, -0x1.31b5bed1b3b67p-15, -0x1.2411907c2802fp-15, -0x1.16f7441abf36cp-15, -0x1.0a61b3e30d431p-15, -0x1.fc97d1f600b0fp-16, -0x1.e5622b5b6352p-16, -0x1.cf1919a11a8adp-16, -0x1.b9b379553f58dp-16, -0x1.a52867d6f0a0cp-16, -0x1.916f650b542acp-16, -0x1.7e8080922e7b5p-16, -0x1.6c5478fbbf5a1p-16, -0x1.5ae4b3fa21455p-16, -0x1.4a2b074bfa954p-16, -0x1.3a216358dbf47p-16, -0x1.2ac182df597f2p-16, -0x1.1c04c429b0a8cp-16, -0x1.0de43f5146acfp-16, -0x1.0059122824ddep-16, -0x1.e6b9828ee8931p-17, -0x1.cdd3031295f3cp-17, -0x1.b5f4889ecdb13p-17, -0x1.9f14f7468baf5p-17, -0x1.892b604d86519p-17, -0x1.742e3f5528555p-17, -0x1.60133915277e7p-17, -0x1.4ccf8a223a23dp-17, -0x1.3a58f086bd347p-17, -0x1.28a6933824f1cp-17, -0x1.17b16bc0515d7p-17, -0x1.0773f98db6eecp-17, -0x1.efd2c192645a9p-18, -0x1.d218b5000e5bap-18, -0x1.b5acdbc9acd81p-18, -0x1.9a7f8d604dd8cp-18, -0x1.807f726b0d5f9p-18, -0x1.679b7eb5b93f3p-18, -0x1.4fc50d1c41843p-18, -0x1.38f129e06b6e6p-18, -0x1.23185ba75434bp-18, -0x1.0e34f3a79b455p-18, -0x1.f48198a46062dp-19, -0x1.ce677be22b343p-19, -0x1.aa0713b6aa1cfp-19, -0x1.8749ebfcdc437p-19, -0x1.661a5ceb1ab98p-19, -0x1.466550e337038p-19, -0x1.281a9c9df186cp-19, -0x1.0b2c55b43bf06p-19, -0x1.df1bbd4179a6p-20, -0x1.aa6638a0694e4p-20, -0x1.781f7d9fbbaf7p-20, -0x1.482cd115d0a39p-20, -0x1.1a702d98b478dp-20, -0x1.dd928b601bedp-21, -0x1.8a327c691ab53p-21, -0x1.3a8e67a8f2ea1p-21, -0x1.dd099288fd671p-22, -0x1.4c0110bec7804p-22, -0x1.83be2af82a6c1p-23, -0x1.f3a402cc7648ep-25, 0x1.f3ef3cfce497ep-25, 0x1.6a8221d0cd732p-23, 0x1.261c60630c6cap-22, 0x1.914d0f6f622d1p-22, 0x1.f705f96f38cd5p-22, 0x1.2bbc16129bcd6p-21, 0x1.596e3cc3f9d38p-21, 0x1.84baa9f6ff6b5p-21, 0x1.adc43fa24fdb5p-21, 0x1.d4ab8b997b0c5p-21, 0x1.f98cc764e310ep-21, 0x1.0e401103ddd66p-20, 0x1.1ecd77808657bp-20, 0x1.2e783b550fac3p-20, 0x1.3d490579f9814p-20, 0x1.4b47651de93aap-20, 0x1.5879fdb833102p-20, 0x1.64e722e95ebcdp-20, 0x1.70955744f878dp-20, 0x1.7b8b594de849fp-20, 0x1.85cfe96f91d79p-20, 0x1.8f694f11a5decp-20, 0x1.985d0b0279c0ep-20, 0x1.a0b0823fef1a8p-20, 0x1.a86a095f1949ep-20, 0x1.af90e4750abc3p-20, 0x1.b62c404ce83d9p-20, 0x1.bc424709a35dbp-20, 0x1.c1d7f13ede45dp-20, 0x1.c6f1785e5ad93p-20, 0x1.cb930ddd9a9dep-20, 0x1.cfc16b2e7f0a1p-20, 0x1.d381f01cae267p-20, 0x1.d6da53fe59f3dp-20, 0x1.d9cff5491653cp-20, 0x1.dc66e01ce1b2bp-20, 0x1.dea154cc083f9p-20, 0x1.e0809f7c87f3fp-20, 0x1.e206ae257e317p-20, 0x1.e336d1141f474p-20, 0x1.e414cb0dedcc8p-20, 0x1.e4a36a98a983cp-20, 0x1.e4e49a3854951p-20, 0x1.e4da8cc090a0dp-20, 0x1.e4883b65fcacp-20, 0x1.e3f0e2a9239c2p-20, 0x1.e3176671a5e19p-20, 0x1.e1fe2639ae802p-20, 0x1.e0a72497bd759p-20, 0x1.df143c21f077ap-20, 0x1.dd473c427293p-20, 0x1.db41ec93fa932p-20, 0x1.d906058d2dd75p-20, 0x1.d6952c03963ccp-20, 0x1.d3f0f4c14bb59p-20, 0x1.d11af6c79c0e2p-20, 0x1.ce14e601b9364p-20, 0x1.cae0903cb8cf5p-20, 0x1.c77fabe41e032p-20, 0x1.c3f3a5520516cp-20, 0x1.c03da26b6aa66p-20, 0x1.bc5ebcc2409d7p-20, 0x1.b85838a0cd4c9p-20, 0x1.b42b83312a589p-20, 0x1.afd9f55c83032p-20, 0x1.ab64a72e14aa6p-20, 0x1.a6cca19ba1909p-20, 0x1.a213235d4aad8p-20, 0x1.9d397cee0fbf1p-20, 0x1.9840c6d38d528p-20, 0x1.9329f13908115p-20, 0x1.8df603e76d641p-20, 0x1.88a62536972a2p-20, 0x1.833b6deb80b2bp-20, 0x1.7db6c9048f0d8p-20, 0x1.7818b37dd102bp-20, 0x1.72611fe1d780ep-20, 0x1.6c9096909da27p-20, 0x1.66a8fa52e9ec7p-20, 0x1.60abe257ce281p-20, 0x1.5a999837b64c1p-20, 0x1.5472aedeeece6p-20, 0x1.4e38bb7aa883dp-20, 0x1.47ed0480b8fb6p-20, 0x1.41900cb634af3p-20, 0x1.3b220cfbf18c9p-20, 0x1.34a324bd05c2fp-20, 0x1.2e139ca0f40e1p-20, 0x1.277462ed8faedp-20, 0x1.20c6e0cad531ep-20, 0x1.1a0c0de219e92p-20, 0x1.134425b8d4fd8p-20, 0x1.0c6f9f849527cp-20, 0x1.058fcf64daf64p-20, 0x1.fd4c2cdfae448p-21, 0x1.ef6637283589fp-21, 0x1.e16e58ec84b73p-21, 0x1.d3655e74fc934p-21, 0x1.c54b10c8cf4c6p-21, 0x1.b71f4819598b5p-21, 0x1.a8e515ae64ep-21, 0x1.9a9ec7b04fb37p-21, 0x1.8c4be5fc38f2dp-21, 0x1.7dee508dc9d4fp-21, 0x1.6f88f69a91a06p-21, 0x1.611c88202bfe2p-21, 0x1.52a9296ae98e6p-21, 0x1.442faf9a7c8edp-21, 0x1.35b15583c9c34p-21, 0x1.272f6f7fffffcp-21, 0x1.18ab5bb224621p-21, 0x1.0a267bf5417ddp-21, 0x1.f744525d99258p-22, 0x1.da3f32d927f0ep-22, 0x1.bd3f1852bdb6ep-22, 0x1.a04434f3bcba4p-22, 0x1.834f9d04a8dbp-22, 0x1.666537b68f70ap-22, 0x1.49882618d8bb7p-22, 0x1.2cb8a29681a86p-22, 0x1.0ff996cf60f4ap-22, 0x1.e69f864f3d0b9p-23, 0x1.ad752eb85a35ep-23, 0x1.7475dbb279085p-23, 0x1.3ba377f222dbap-23, 0x1.02fe82bb3424fp-23, 0x1.95249310bde21p-24, 0x1.24c76077b83bep-24, 0x1.69c91ca5ce947p-25, 0x1.1602e03d7e63bp-26, -0x1.4ae2e426a322ep-27, -0x1.2f563ed52baf4p-25, -0x1.0564c1d187ad6p-24, -0x1.7282e4f95c3bp-24, -0x1.deff4bc687f56p-24, -0x1.2569de6bda0aap-23, -0x1.5afd0ce635a0fp-23, -0x1.90364a7efabecp-23, -0x1.c512e84f9ae3p-23, -0x1.f9905a51aacaap-23, -0x1.16d5fc90f128p-22, -0x1.30b170437be38p-22, -0x1.4a593641a2b5p-22, -0x1.63cc1ec0aafb8p-22, -0x1.7d078f5611d8ap-22, -0x1.96080855d403dp-22, -0x1.aecf72dca0e18p-22, -0x1.c75f732c6f9b2p-22, -0x1.dfb6aa1336cb6p-22, -0x1.f7d3043ac5291p-22, -0x1.07d856468e178p-21, -0x1.13a75057caf7ep-21, -0x1.1f568ea97c417p-21, -0x1.2ae5fe08f69dfp-21, -0x1.36552b9e053b1p-21, -0x1.41a38540fa93p-21, -0x1.4cd082fd1ead1p-21, -0x1.57dbac86ef7f1p-21, -0x1.62c493cc12f76p-21, -0x1.6d8acfc85a3acp-21, -0x1.782dfa0195bfp-21, -0x1.82adaf50a8786p-21, -0x1.8d09937497bedp-21, -0x1.974154a43cb5dp-21, -0x1.a154ab39cccb8p-21, -0x1.ab43528161432p-21, -0x1.b50cfe3beba29p-21, -0x1.beb16087fdcbdp-21, -0x1.c830455d7d9e2p-21, -0x1.d18969d343057p-21, -0x1.dabbef14a2bbap-21, -0x1.e3c79118d81c1p-21, -0x1.ecad5d1b69ebfp-21, -0x1.f56d30fa90d83p-21, -0x1.fe05b5dfad14p-21, -0x1.033b63f59b1p-20, -0x1.076068c014239p-20, -0x1.0b71b84c6362bp-20, -0x1.0f6f11ca37bbfp-20, -0x1.13588cd7c396ep-20, -0x1.172e57f352403p-20, -0x1.1af06de021c36p-20, -0x1.1e9e8e624f81cp-20, -0x1.22387b7bf0189p-20, -0x1.25be54de1d08bp-20, -0x1.293031580bfdbp-20, -0x1.2c8e093c44a89p-20, -0x1.2fd7d101bfcb4p-20, -0x1.330d825b8c534p-20, -0x1.362f1c582e99ep-20, -0x1.393ca206d96fbp-20, -0x1.3c3618a418992p-20, -0x1.3f1b850e20749p-20, -0x1.41ece9f4421f9p-20, -0x1.44aa4bfe62e3dp-20, -0x1.4753b95ccc894p-20, -0x1.49e9376ff1eb9p-20, -0x1.4c6a9e5ddfcbp-20, -0x1.4ed838005d507p-20, -0x1.513241515fc83p-20, -0x1.5378606d9f071p-20, -0x1.55aac1b5fe825p-20, -0x1.57c993475c24ep-20, -0x1.59d4dd7cf6dfp-20, -0x1.5bccad19809cp-20, -0x1.5db114978857cp-20, -0x1.5f82292bc540ap-20, -0x1.6140018b26dd7p-20, -0x1.62eab54ec9799p-20, -0x1.64825cc66cf4ap-20, -0x1.660711a2df4f1p-20, -0x1.6778eefee3fd9p-20, -0x1.68d80a97ee083p-20, -0x1.6a246d522f8f9p-20, -0x1.6b5e3ab7d1247p-20, -0x1.6c85b6d01a7e8p-20, -0x1.6d9af1c498d05p-20, -0x1.6e9deaa23ced8p-20, -0x1.6f8ed118178ffp-20, -0x1.706dd1229157ep-20, -0x1.713b08fe96572p-20, -0x1.71f6963d3e0e7p-20, -0x1.72a099b6279a2p-20, -0x1.73393a5c12b1fp-20, -0x1.73c09c9482186p-20, -0x1.7436d4bfe97cdp-20, -0x1.749c244e1146bp-20, -0x1.74f09c9f1a6e6p-20, -0x1.753464a597b51p-20, -0x1.7567ae6f2c375p-20, -0x1.758a9d91fa241p-20, -0x1.759d58447ec65p-20, -0x1.75a006c5adf01p-20, -0x1.7592d21a69328p-20, -0x1.7575e3bb8b006p-20, -0x1.75496585d2c07p-20, -0x1.750d81b72b485p-20, -0x1.74c262eb7ce6ap-20, -0x1.7468341b78672p-20, -0x1.73ff209bec70ap-20, -0x1.7387541d625ecp-20, -0x1.7300faae30998p-20, -0x1.726c40b4d0357p-20, -0x1.71c952ddfe28bp-20, -0x1.71185e046aab9p-20, -0x1.70598f23738f8p-20, -0x1.6f8d13639dd6dp-20, -0x1.6eb31838f2b3fp-20, -0x1.6dcbcb776c093p-20, -0x1.6cd75b2406f76p-20, -0x1.6bd5f56675093p-20, -0x1.6ac7c9c0a58b6p-20, -0x1.69ad04cddd457p-20, -0x1.6885d2dd5cd53p-20, -0x1.6752694db1963p-20, -0x1.6612f22bf38b9p-20, -0x1.64c79dacc4c7fp-20, -0x1.63709811db138p-20, -0x1.620e1118128e2p-20, -0x1.60a0389d8884p-20, -0x1.5f273db5b565fp-20, -0x1.5da34f4c6340cp-20, -0x1.5c149c49cc2b3p-20, -0x1.5a7b5393506f6p-20, -0x1.58d7a405e2128p-20, -0x1.5729bc73d7f89p-20, -0x1.5571cba3760ap-20, -0x1.53b0004bb0403p-20, -0x1.51e48910207a4p-20, -0x1.500f947f2dc9dp-20, -0x1.4e31511219224p-20, -0x1.4c49ed2fef5aep-20, -0x1.4a59972b971f5p-20, -0x1.48607d3455311p-20, -0x1.465ecd4032fdep-20, -0x1.4454b50751e4ap-20, -0x1.4242620ee4e06p-20, -0x1.402801abd0afbp-20, -0x1.3e05c0fe32fbp-20, -0x1.3bdbcd2a4045p-20, -0x1.39aa53d96b662p-20, -0x1.377182be68781p-20, -0x1.353185dcaa1f2p-20, -0x1.32ea863b36b6fp-20, -0x1.309cacea7d0f1p-20, -0x1.2e48309e34ed4p-20, -0x1.2bed3dc1a21b7p-20, -0x1.298bf5120d6cfp-20, -0x1.272483e6da586p-20, -0x1.24b71673b2afap-20, -0x1.2243d4cfa925fp-20, -0x1.1fcaec79c0992p-20, -0x1.1d4c8b88a7fe3p-20, -0x1.1ac8dc525ed6dp-20, -0x1.184001cdd2644p-20, -0x1.15b222aacb942p-20, -0x1.131f6a908a6fp-20, -0x1.1088031c1b6f5p-20, -0x1.0dec1498945f9p-20, -0x1.0b4bc6cc1043dp-20, -0x1.08a74129a96fcp-20, -0x1.05feaad780d38p-20, -0x1.03522aae330e9p-20, -0x1.00a1e73990c9cp-20, -0x1.fbdc0d67f9a43p-21, -0x1.f66d5df6c63p-21, -0x1.f0f80b13a006cp-21, -0x1.eb7c5ef353179p-21, -0x1.e5faa31640217p-21, -0x1.e073203f2c0c4p-21, -0x1.dae61e6739d71p-21, -0x1.d553e502d884ap-21, -0x1.cfbcbba72dea3p-21, -0x1.ca20e95ec42aep-21, -0x1.c480b2fb50f88p-21, -0x1.bedc5a7591885p-21, -0x1.b9341b4c928fbp-21, -0x1.b38847eda8e6ep-21, -0x1.add92b624d5cbp-21, -0x1.a826ef0601083p-21, -0x1.a271dadc4c14cp-21, -0x1.9cba31debb38bp-21, -0x1.9700334246e63p-21, -0x1.91441d598658ap-21, }}, 
      {{-0x1.ee8871b20a199p-1, -0x1.ee36158609365p-1, -0x1.edacfd55c0fbbp-1, -0x1.eced6ace2c1f4p-1, -0x1.ebf7b8ed52f87p-1, -0x1.eacc5b17501f4p-1, -0x1.e96bdc008bed1p-1, -0x1.e7d6dc7c53186p-1, -0x1.e60e123991533p-1, -0x1.e4124672cefafp-1, -0x1.e1e45493ff9e8p-1, -0x1.df8528d85c71bp-1, -0x1.dcf5bee366804p-1, -0x1.da3720596366p-1, -0x1.d74a637c72b9cp-1, -0x1.d430a9d3809b5p-1, -0x1.d0eb1edfbd0bap-1, -0x1.cd7af6e42a698p-1, -0x1.c9e16dc1740bap-1, -0x1.c61fc5e6d5f54p-1, -0x1.c2374757b0ee4p-1, -0x1.be293ec46cb15p-1, -0x1.b9f6fcb4bd24fp-1, -0x1.b5a1d4c11508ep-1, -0x1.b12b1cd919143p-1, -0x1.ac942c9521003p-1, -0x1.a7de5c912bb82p-1, -0x1.a30b05d0211c9p-1, -0x1.9e1b8126a7c13p-1, -0x1.991126ad3800dp-1, -0x1.93ed4d396fec3p-1, -0x1.8eb149dee178fp-1, -0x1.895e6f77bec64p-1, -0x1.83f60e35d7418p-1, -0x1.7e79733c4dae2p-1, -0x1.78e9e842652f5p-1, -0x1.7348b33f957bdp-1, -0x1.6d971620f9255p-1, -0x1.67d64e87f2fccp-1, -0x1.62079591c5beap-1, -0x1.5c2c1fa7a515fp-1, -0x1.56451c56ad0fcp-1, -0x1.5053b62f08d25p-1, -0x1.4a5912a97e808p-1, -0x1.445652128ba3dp-1, -0x1.3e4c8f7a32b27p-1, -0x1.383ce0a79f1a4p-1, -0x1.3228560fd03c7p-1, -0x1.2c0fface83037p-1, -0x1.25f4d4a0abb1ap-1, -0x1.1fd7e3dfe38f7p-1, -0x1.19ba237e43e43p-1, -0x1.139c890246a6p-1, -0x1.0d80048259fb2p-1, -0x1.0765809fed25ap-1, -0x1.014de281d48d6p-1, -0x1.f674139bf27f3p-2, -0x1.ea55a144b6bbbp-2, -0x1.de42171af61fcp-2, -0x1.d23b130c9ea73p-2, -0x1.c64227c7f306ap-2, -0x1.ba58dcaadbb9fp-2, -0x1.ae80adb298644p-2, -0x1.a2bb0b6c5966ep-2, -0x1.97095ae73fe9ep-2, -0x1.8b6cf5a846f42p-2, -0x1.7fe729a091296p-2, -0x1.747939268d87bp-2, -0x1.69245af25e036p-2, -0x1.5de9ba1dd6a5bp-2, -0x1.52ca7628676d3p-2, -0x1.47c7a2ff2afc3p-2, -0x1.3ce249094dfd3p-2, -0x1.321b6538eb608p-2, -0x1.2773e9206a364p-2, -0x1.1cecbb0c65ef5p-2, -0x1.1286b6220d3b4p-2, -0x1.0842aa81da7bfp-2, -0x1.fc42badd17b8bp-3, -0x1.e84712f02cdccp-3, -0x1.d493bd54cb621p-3, -0x1.c12a057f44e51p-3, -0x1.ae0b22ab57776p-3, -0x1.9b38384cf6ccep-3, -0x1.88b256863a2f2p-3, -0x1.767a7aa1b59dbp-3, -0x1.64918f90953a5p-3, -0x1.52f86e6bb7b95p-3, -0x1.41afdef71ef48p-3, -0x1.30b89826f43bfp-3, -0x1.201340a57be7ap-3, -0x1.0fc06f59483dap-3, -0x1.ff8157d61c75dp-4, -0x1.e028de94fbd0bp-4, -0x1.c178486326879p-4, -0x1.a3704f4bab43dp-4, -0x1.861192ee1902cp-4, -0x1.695c9976078bep-4, -0x1.4d51d08bcf49p-4, -0x1.31f18e3df311bp-4, -0x1.173c11e2857cp-4, -0x1.fa6309e035605p-5, -0x1.c7a3f79bb6dfdp-5, -0x1.963aed34d55c2p-5, -0x1.6627c3d2ce5a2p-5, -0x1.376a2eeec8664p-5, -0x1.0a01bda884909p-5, -0x1.bbdbb80fe386dp-6, -0x1.665ba85746b9bp-6, -0x1.13819ec941d22p-6, -0x1.86975cff22c6cp-7, -0x1.d6deb3eae0dep-8, -0x1.56199f752e45ep-9, 0x1.d945d11de918fp-10, 0x1.8d477c25de755p-8, 0x1.4cf0c444f1415p-7, 0x1.ce1658bb33737p-7, 0x1.250db85b24b95p-6, 0x1.6083b43ce5cabp-6, 0x1.9971009ef65a2p-6, 0x1.cfd9afa55c091p-6, 0x1.01e1020e52b44p-5, 0x1.1a973855c9225p-5, 0x1.3211cb89e77aep-5, 0x1.485323c004c08p-5, 0x1.5d5dbfee9f3bdp-5, 0x1.7134359ee505ep-5, 0x1.83d930a22265bp-5, 0x1.954f72ca428d2p-5, 0x1.a599d3a4ac19bp-5, 0x1.b4bb403691208p-5, 0x1.c2b6baba22df9p-5, 0x1.cf8f5a5bdc4d8p-5, 0x1.db484af74f0d6p-5, 0x1.e5e4ccd2e0c35p-5, 0x1.ef683459d9668p-5, 0x1.f7d5e9d45524fp-5, 0x1.ff31691ca2ec7p-5, 0x1.02bf20a8d1c9ep-4, 0x1.05600a42e2559p-4, 0x1.077d4bb52ba1cp-4, 0x1.0918c87b7230dp-4, 0x1.0a346d063013bp-4, 0x1.0ad22e89f2382p-4, 0x1.0af40acc7a255p-4, 0x1.0a9c07ef7ceb2p-4, 0x1.09cc34390f742p-4, 0x1.0886a5d99e72ap-4, 0x1.06cd7aaf83ae1p-4, 0x1.04a2d808360cep-4, 0x1.0208ea5f0b8ebp-4, 0x1.fe03ca33547dfp-5, 0x1.f720048453679p-5, 0x1.ef6b047dd846fp-5, 0x1.e6e95710a8b8dp-5, 0x1.dd9f94b8b2ff6p-5, 0x1.d39260e032cap-5, 0x1.c8c6693efde1ap-5, 0x1.bd4065362aafbp-5, 0x1.b1051528580cfp-5, 0x1.a41941ceb54dbp-5, 0x1.9681bb8b25accp-5, 0x1.884359b7ac1ep-5, 0x1.7962f9f369c5cp-5, 0x1.69e57f6d6c4d8p-5, 0x1.59cfd22d9f1f4p-5, 0x1.4926de5c090b5p-5, 0x1.37ef9386c4d41p-5, 0x1.262ee3e6d33bp-5, 0x1.13e9c3a425e97p-5, 0x1.012528192992bp-5, 0x1.dbcc0e2c16f3cp-6, 0x1.b462ac47f84fcp-6, 0x1.8c181391991a4p-6, 0x1.62f62996274f8p-6, 0x1.3906ceee50a5ap-6, 0x1.0e53ddca56d34p-6, 0x1.c5ce5101b356bp-7, 0x1.6d94f04199274p-7, 0x1.140f160df2fdbp-7, 0x1.72a04ddefaf32p-8, 0x1.75adb1ea00786p-9, 0x1.d04a54f8b2bbbp-17, -0x1.760b6cdb31feap-9, -0x1.78cce8c0072e3p-8, -0x1.1c23f5f38032ep-7, -0x1.7ca8c51ea7c91p-7, -0x1.dde271ab10069p-7, -0x1.1fdf5c35ddb46p-6, -0x1.5115c2cdc112cp-6, -0x1.828b7b95c9e9ep-6, -0x1.b437af80df9ap-6, -0x1.e611a293200ap-6, -0x1.0c085a77fe73fp-5, -0x1.251631efd00ebp-5, -0x1.3e2e2565a9406p-5, -0x1.574c12184b537p-5, -0x1.706be5457b917p-5, -0x1.89899c9a2d3ap-5, -0x1.a2a1469dcd99ap-5, -0x1.bbaf0318bee94p-5, -0x1.d4af0375e4106p-5, -0x1.ed9d8b1f39c2fp-5, -0x1.033b77eab8294p-4, -0x1.0f9bcd0149c7dp-4, -0x1.1bee0283cde55p-4, -0x1.28305fc28c6e6p-4, -0x1.346135cf57b86p-4, -0x1.407edf9ce25ep-4, -0x1.4c87c21b8a5f4p-4, -0x1.587a4c53a8a71p-4, -0x1.6454f77d6ea2p-4, -0x1.70164716556c5p-4, -0x1.7bbcc8f413dadp-4, -0x1.874715553c72dp-4, -0x1.92b3ceef75965p-4, -0x1.9e01a2fb56a21p-4, -0x1.a92f493e0052cp-4, -0x1.b43b841062331p-4, -0x1.bf2520644f5fcp-4, -0x1.c9eaf5c75651cp-4, -0x1.d48be6636f077p-4, -0x1.df06defda2369p-4, -0x1.e95ad6f271399p-4, -0x1.f386d0306d8e6p-4, -0x1.fd89d730a7f07p-4, -0x1.03b18176a6a04p-3, -0x1.0888ba6b29a9ep-3, -0x1.0d4a2c622f0fap-3, -0x1.11f57274e4f32p-3, -0x1.168a2ce10bfefp-3, -0x1.1b0800ffc834ap-3, -0x1.1f6e993bb1183p-3, -0x1.23bda5060c1cap-3, -0x1.27f4d8cb53a06p-3, -0x1.2c13ede6f63d1p-3, -0x1.301aa2966c544p-3, -0x1.3408b9eba0536p-3, -0x1.37ddfbbead33dp-3, -0x1.3b9a349f0854p-3, -0x1.3f3d35c406d37p-3, -0x1.42c6d4fce6e8bp-3, -0x1.4636eca03ae26p-3, -0x1.498d5b7ae3922p-3, -0x1.4cca04be87a69p-3, -0x1.4feccfef9b508p-3, -0x1.52f5a8d2f66fp-3, -0x1.55e47f5b09fa6p-3, -0x1.58b94794b4acep-3, -0x1.5b73f993b8ac3p-3, -0x1.5e14915ee9124p-3, -0x1.609b0edc05a7fp-3, -0x1.630775bb4bdbfp-3, -0x1.6559cd62d5961p-3, -0x1.679220d9b28d7p-3, -0x1.69b07eb2d3e14p-3, -0x1.6bb4f8f7c750ep-3, -0x1.6d9fa5134e63p-3, -0x1.6f709bbbced9cp-3, -0x1.7127f8dda9a3ap-3, -0x1.72c5db857aeeap-3, -0x1.744a65ca3fd73p-3, -0x1.75b5bcb77dda3p-3, -0x1.770808375367bp-3, -0x1.784172fc8bfadp-3, -0x1.79622a6cb6d51p-3, -0x1.7a6a5e8a3f7bap-3, -0x1.7b5a41de9285dp-3, -0x1.7c32096452408p-3, -0x1.7cf1ec719a452p-3, -0x1.7d9a24a25bb2bp-3, -0x1.7e2aedc2d3c94p-3, -0x1.7ea485ba214f5p-3, -0x1.7f072c74fc45p-3, -0x1.7f5323d08e22bp-3, -0x1.7f88af8577d59p-3, -0x1.7fa8151301132p-3, -0x1.7fb19baa772c8p-3, -0x1.7fa58c1abb619p-3, -0x1.7f8430bc097fep-3, -0x1.7f4dd55bf0a42p-3, -0x1.7f02c7298a701p-3, -0x1.7ea354a1e625bp-3, -0x1.7e2fcd7cbf683p-3, -0x1.7da88299663e9p-3, -0x1.7d0dc5ebf640bp-3, -0x1.7c5fea6ac6f13p-3, -0x1.7b9f43fc2c228p-3, -0x1.7acc276476921p-3, -0x1.79e6ea3443adfp-3, -0x1.78efe2b711f6p-3, -0x1.77e767e228edfp-3, -0x1.76cdd143c68bbp-3, -0x1.75a376f2a117dp-3, -0x1.7468b17db7566p-3, -0x1.731dd9dc70bb8p-3, -0x1.71c3495f0f6dep-3, -0x1.7059599f70917p-3, -0x1.6ee064722b92ap-3, -0x1.6d58c3d7f1a6bp-3, -0x1.6bc2d1ef55f96p-3, -0x1.6a1ee8e6dd199p-3, -0x1.686d62ef5f14cp-3, -0x1.66ae9a2ed07d4p-3, -0x1.64e2e8b349028p-3, -0x1.630aa8667011fp-3, -0x1.612633013a656p-3, -0x1.5f35e1fff87d1p-3, -0x1.5d3a0e96c3385p-3, -0x1.5b3311a632519p-3, -0x1.592143b0739b8p-3, -0x1.5704fcceade46p-3, -0x1.54de94a6bbcf2p-3, -0x1.52ae62613bfe9p-3, -0x1.5074bc9fef8a2p-3, -0x1.4e31f974722aap-3, -0x1.4be66e573d2b8p-3, -0x1.4992701f05d6bp-3, -0x1.473652f8615dbp-3, -0x1.44d26a5dc43d6p-3, -0x1.4267090fc8e17p-3, -0x1.3ff4810dcd5cbp-3, -0x1.3d7b238ed2385p-3, -0x1.3afb40fabae6dp-3, -0x1.387528e3c21bbp-3, -0x1.35e92a004fc6fp-3, -0x1.335792250ca29p-3, -0x1.30c0ae3f4246ep-3, -0x1.2e24ca4f85224p-3, -0x1.2b843164a4cecp-3, -0x1.28df2d96e488ep-3, -0x1.2636080379237p-3, -0x1.238908c842cbcp-3, -0x1.20d876ffdde25p-3, -0x1.1e2498bde0b02p-3, -0x1.1b6db30b605b4p-3, -0x1.18b409e3c4249p-3, -0x1.15f7e031be784p-3, -0x1.133977cc9c31cp-3, -0x1.10791175b8d17p-3, -0x1.0db6ecd642bdap-3, -0x1.0af3487d29bc5p-3, -0x1.082e61dd51279p-3, -0x1.0568754bf0c0ap-3, -0x1.02a1bdff31533p-3, -0x1.ffb4ec19f8ba6p-4, -0x1.fa25acd402bcdp-4, -0x1.f4962dd1d008ap-4, -0x1.ef06dc7373811p-4, -0x1.e97823d2f77f6p-4, -0x1.e3ea6cc3d81fcp-4, -0x1.de5e1dd2ffbcap-4, -0x1.d8d39b46f66e3p-4, -0x1.d34b472082216p-4, -0x1.cdc5811b86035p-4, -0x1.c842a6b042af3p-4, -0x1.c2c31314dcb9dp-4, -0x1.bd471f3f37afp-4, -0x1.b7cf21e7095a5p-4, -0x1.b25b6f884f93cp-4, -0x1.acec5a65eafe5p-4, -0x1.a782328c9fcf5p-4, -0x1.a21d45d6347dbp-4, -0x1.9cbddfecf1336p-4, -0x1.97644a4f32113p-4, -0x1.9210cc5361115p-4, -0x1.8cc3ab2c02e94p-4, -0x1.877d29ec0b58cp-4, -0x1.823d898b5e27cp-4, -0x1.7d0508eb84bdfp-4, -0x1.77d3e4dc90969p-4, -0x1.72aa582226b1fp-4, -0x1.6d889b78c18f9p-4, -0x1.686ee59b08cc4p-4, -0x1.635d6b47659e2p-4, -0x1.5e545f45a6182p-4, -0x1.5953f26cd6154p-4, -0x1.545c53a92a6f8p-4, -0x1.4f6db002158e8p-4, -0x1.4a8832a06e6eep-4, -0x1.45ac04d4c15aap-4, -0x1.40d94e1dac11dp-4, -0x1.3c10342e58078p-4, -0x1.3750daf50c04ep-4, -0x1.329b64a1ce56p-4, -0x1.2deff1ad1e018p-4, -0x1.294ea0deb79dcp-4, -0x1.24b78f54715dap-4, -0x1.202ad8891c0b2p-4, -0x1.1ba8965b76a76p-4, -0x1.1730e115301dfp-4, -0x1.12c3cf71e626bp-4, -0x1.0e6176a63e8c5p-4, -0x1.0a09ea66f25ecp-4, -0x1.05bd3ceff5d36p-4, -0x1.017b7f0b8b625p-4, -0x1.fa898032e9f29p-5, -0x1.f2321c2c1ebc1p-5, -0x1.e9f0eb42f6924p-5, -0x1.e1c6040d8b402p-5, -0x1.d9b17a860af5fp-5, -0x1.d1b3601907aefp-5, -0x1.c9cbc3b3afb84p-5, -0x1.c1fab1d1f87edp-5, -0x1.ba40348ccd96ap-5, -0x1.b29c53a82e83fp-5, -0x1.ab0f14a127934p-5, -0x1.a3987abbe5148p-5, -0x1.9c38871188a9cp-5, -0x1.94ef389e0274ap-5, -0x1.8dbc8c4dd364fp-5, -0x1.86a07d0baf82cp-5, -0x1.7f9b03ce10098p-5, -0x1.78ac17a4a361bp-5, -0x1.71d3adc5b0703p-5, -0x1.6b11b99b46e11p-5, -0x1.64662cd06700ep-5, -0x1.5dd0f75e04fdep-5, -0x1.57520797ddb8bp-5, -0x1.50e94a393e8f3p-5, -0x1.4a96aa71a50c5p-5, -0x1.445a11f1329bfp-5, -0x1.3e3368f504196p-5, -0x1.382296536c844p-5, -0x1.32277f87f6b52p-5, -0x1.2c4208bf4f7fcp-5, -0x1.267214e306aabp-5, -0x1.20b785a52770dp-5, -0x1.1b123b8ba0cecp-5, -0x1.158215fb990e3p-5, -0x1.1006f34480eep-5, -0x1.0aa0b0ab0c0cdp-5, -0x1.054f2a73fae26p-5, -0x1.00123beeb7552p-5, -0x1.f5d37effa12f5p-6, -0x1.ebab1d5672e5cp-6, -0x1.e1ab043ce2353p-6, -0x1.d7d2e374dd91dp-6, -0x1.ce22693ad5bdbp-6, -0x1.c4994258f272dp-6, -0x1.bb371a39e8c1ep-6, -0x1.b1fb9afb8b128p-6, -0x1.a8e66d80e9f4dp-6, -0x1.9ff7398429a7cp-6, -0x1.972da5a7fc247p-6, -0x1.8e895788bc2a1p-6, -0x1.8609f3cd44085p-6, -0x1.7daf1e374e30cp-6, -0x1.757879b3923b5p-6, -0x1.6d65a86981824p-6, -0x1.65764bcabb43fp-6, -0x1.5daa04a204eaap-6, -0x1.5600732211c72p-6, -0x1.4e7936f3f2d4ap-6, -0x1.4713ef4502e63p-6, -0x1.3fd03ad4b545dp-6, -0x1.38adb801ebff4p-6, -0x1.31ac04d809e8ap-6, -0x1.2acabf1bb0399p-6, -0x1.2409845716ce2p-6, -0x1.1d67f1e62a016p-6, -0x1.16e5a5024af0ep-6, -0x1.10823acdb7ca4p-6, -0x1.0a3d505eb62c3p-6, -0x1.041682ca6591p-6, -0x1.fc1ade5e5a32ap-7, -0x1.f043657e14bf3p-7, -0x1.e4a5d592cfef8p-7, -0x1.d94169897b7ebp-7, -0x1.ce155cafae367p-7, -0x1.c320eac5ddf9dp-7, -0x1.b8635010a184cp-7, -0x1.addbc969cefd1p-7, -0x1.a3899450ae12fp-7, -0x1.996beef9b6b92p-7, -0x1.8f82185e20048p-7, -0x1.85cb504a3ad3bp-7, -0x1.7c46d76be89cbp-7, -0x1.72f3ef602b6b4p-7, -0x1.69d1dac0535b7p-7, -0x1.60dfdd2eb1a26p-7, -0x1.581d3b62bd72ep-7, -0x1.4f893b34cdeb4p-7, -0x1.472323a947d73p-7, -0x1.3eea3cfb53647p-7, -0x1.36ddd0a74a358p-7, -0x1.2efd29746e7e4p-7, -0x1.2747937e347e9p-7, -0x1.1fbc5c3d7da1cp-7, -0x1.185ad290d1393p-7, -0x1.112246c4cb8a4p-7, -0x1.0a120a9b73aa7p-7, -0x1.03297153de337p-7, -0x1.f8cf9f61a9c6cp-8, -0x1.eb98f7ff09b6ap-8, -0x1.dead9c3b0efddp-8, -0x1.d20c3efd77cddp-8, -0x1.c5b3966534f8bp-8, -0x1.b9a25bd2b052dp-8, -0x1.add74bf145e37p-8, -0x1.a25126bfd0a47p-8, -0x1.970eaf98fe666p-8, -0x1.8c0ead3a92652p-8, -0x1.814fe9cc7f9b9p-8, -0x1.76d132e6a9713p-8, -0x1.6c91599715d67p-8, -0x1.628f3266c8435p-8, -0x1.58c9955e034dfp-8, -0x1.4f3f5e0889f9ep-8, -0x1.45ef6b78d557dp-8, -0x1.3cd8a04b189bep-8, -0x1.33f9e2a791e6dp-8, -0x1.2b521c4479634p-8, -0x1.22e03a67554b6p-8, -0x1.1aa32de639621p-8, -0x1.1299eb27ddbffp-8, -0x1.0ac36a23fa05bp-8, -0x1.031ea662f9149p-8, -0x1.f7553df96f397p-9, -0x1.e8ccad306a09bp-9, -0x1.daa1a6d29f276p-9, -0x1.ccd23e5e8091p-9, -0x1.bf5c8e6498146p-9, -0x1.b23eb881f049fp-9, -0x1.a576e55a9ec69p-9, -0x1.9903449316fdfp-9, -0x1.8ce20cc8fc3aap-9, -0x1.81117b8bc20b7p-9, -0x1.758fd553ee8ap-9, -0x1.6a5b657a70548p-9, -0x1.5f727e2f44544p-9, -0x1.54d3786fbcf02p-9, -0x1.4a7cb3fbce2bdp-9, -0x1.406c974b3da2p-9, -0x1.36a18f82b807ep-9, -0x1.2d1a1067baa47p-9, -0x1.23d4945510d59p-9, -0x1.1acf9c2d0b7d9p-9, -0x1.1209af4e9a78ep-9, -0x1.09815b862553bp-9, -0x1.01353501081afp-9, -0x1.f247ac7f4ea5cp-10, -0x1.e297c00df5233p-10, -0x1.d357f2a46e611p-10, -0x1.c4859e889be87p-10, -0x1.b61e2a3178e23p-10, -0x1.a81f0828ec2a3p-10, -0x1.9a85b6ecd319ap-10, -0x1.8d4fc0cf5cadap-10, -0x1.807abbd8f57f7p-10, -0x1.740449a5ac0fdp-10, -0x1.67ea1747c7e25p-10, -0x1.5c29dd255f52ep-10, -0x1.50c15ed847c6p-10, -0x1.45ae6b0c0590fp-10, -0x1.3aeedb5e187cap-10, -0x1.3080943a93277p-10, -0x1.266184bbb122fp-10, -0x1.1c8fa6876cc96p-10, -0x1.1308fdade67dcp-10, -0x1.09cb9886cc57bp-10, -0x1.00d58f8fb53adp-10, -0x1.f04a0a92d9664p-11, -0x1.df704c2b4933cp-11, -0x1.cf1a502a62dfbp-11, -0x1.bf449608d5d3dp-11, -0x1.afebb0351de32p-11, -0x1.a10c43cb19588p-11, -0x1.92a30852f5b2dp-11, -0x1.84acc779f5788p-11, -0x1.77265cd014301p-11, -0x1.6a0cb58227346p-11, -0x1.5d5cd01731101p-11, -0x1.5113bc2b4b676p-11, -0x1.452e9a2d83031p-11, -0x1.39aa9b1b2d968p-11, -0x1.2e85003e6f207p-11, -0x1.23bb1aea45a39p-11, -0x1.194a4c395454ep-11, -0x1.0f3004cab5b6bp-11, -0x1.0569c48211919p-11, -0x1.f7ea34880d25cp-12, -0x1.e59f47715214ep-12, -0x1.d3ee1a0ec5742p-12, -0x1.c2d22135dbce6p-12, -0x1.b246edbdf9dbfp-12, -0x1.a2482c064a9d4p-12, -0x1.92d1a37872ea8p-12, -0x1.83df360b066a2p-12, -0x1.756cdfc8b37dep-12, -0x1.6776b6561228cp-12, -0x1.59f8e87893a3p-12, -0x1.4cefbda059065p-12, -0x1.4057957142eaap-12, -0x1.342ce74e12a31p-12, -0x1.286c41e48a619p-12, -0x1.1d124abc39e6ep-12, -0x1.121bbdc2aa5c4p-12, -0x1.07856cdc4cd97p-12, -0x1.fa987eedccbe6p-13, -0x1.e6da64338c55cp-13, -0x1.d3caabf417d73p-13, -0x1.c163a1224d8bp-13, -0x1.af9fb660d344cp-13, -0x1.9e798536adf7cp-13, -0x1.8debcd3d04ff9p-13, -0x1.7df1735491e04p-13, -0x1.6e8580dd7484bp-13, -0x1.5fa322f0c0d69p-13, -0x1.5145a998f4371p-13, -0x1.43688716ab45dp-13, -0x1.36074f1f5aa1bp-13, -0x1.291db61f4f21cp-13, -0x1.1ca790862a33ep-13, -0x1.10a0d20afbd06p-13, -0x1.05058cfd46f97p-13, -0x1.f3a3e31e92b1ap-14, -0x1.de049a58d5b52p-14, -0x1.c92613911c732p-14, -0x1.b5015a7364e9p-14, -0x1.a18fb124759ccp-14, -0x1.8eca8ef513eb9p-14, -0x1.7cab9f2621c33p-14, -0x1.6b2cbfa7398dap-14, -0x1.5a47ffddd22c7p-14, -0x1.49f79f74a3ddfp-14, -0x1.3a360d2e8ef7ep-14, -0x1.2afde5bb871bbp-14, -0x1.1c49f29856cb8p-14, -0x1.0e1528ee529aep-14, -0x1.005aa875fb36p-14, -0x1.e62b74d764d29p-15, -0x1.cc83a0f015d7p-15, -0x1.b3b50751286ccp-15, -0x1.9bb726d5c1c56p-15, -0x1.8481c918300e3p-15, -0x1.6e0d00757e9b8p-15, -0x1.5851261b87aa2p-15, -0x1.4346d82c34d2dp-15, -0x1.2ee6f7d90cb6ap-15, -0x1.1b2aa799f61ecp-15, -0x1.080b495b34b5fp-15, -0x1.eb04f98318ab5p-16, -0x1.c7143aded81abp-16, -0x1.a43882b058cf5p-16, -0x1.82666e2bec8a1p-16, -0x1.619308a467922p-16, -0x1.41b3c85572e64p-16, -0x1.22be8b5d3e715p-16, -0x1.04a99494ab066p-16, -0x1.ced71161d2772p-17, -0x1.95f6d6a00aa25p-17, -0x1.5ea138456251fp-17, -0x1.28c5a84f77c7cp-17, -0x1.e8a88bd787a6bp-18, -0x1.827bb039ad578p-18, -0x1.1ee790e4447cfp-18, -0x1.7ba0786691f0bp-19, -0x1.7c6bc625c6d3p-20, -0x1.570be2b93f1b8p-25, 0x1.5e3b3135a15f5p-20, 0x1.5f6642410f999p-19, 0x1.05d5419a4ce75p-18, 0x1.5a0a85e157819p-18, 0x1.ac674bdc8fe2ep-18, 0x1.fcfeffcef3f3ap-18, 0x1.25f21237dd644p-17, 0x1.4c942d6ecc50fp-17, 0x1.726e3544f219cp-17, 0x1.9788246e8285p-17, 0x1.bbe9905388c9ap-17, 0x1.df99ac9c47d3ep-17, 0x1.014fa76a5b044p-16, 0x1.128078e1f7e9bp-16, 0x1.23625c6819d48p-16, 0x1.33f8399cc8256p-16, 0x1.4444cfa9651a9p-16, 0x1.544ab6cbbfb01p-16, 0x1.640c61d582a41p-16, 0x1.738c1fa4fa98fp-16, 0x1.82cc1c8ac5458p-16, 0x1.91ce63ac3591fp-16, 0x1.a094e068523d7p-16, 0x1.af215f985a92p-16, 0x1.bd7590dea1b5cp-16, 0x1.cb9307df68856p-16, 0x1.d97b3d7386e2fp-16, 0x1.e72f90d50cd2ep-16, 0x1.f4b148b563503p-16, 0x1.0100ca327f7b6p-15, 0x1.0790c66de2ef9p-15, 0x1.0e091ae34289ap-15, 0x1.146a3f3f02b78p-15, 0x1.1ab4a18645a55p-15, 0x1.20e8a6883a627p-15, 0x1.2706aa573d10bp-15, 0x1.2d0f00b509d4dp-15, 0x1.3301f586034dfp-15, 0x1.38dfcd378c86cp-15, 0x1.3ea8c52697817p-15, 0x1.445d1403abf64p-15, 0x1.49fcea319780cp-15, 0x1.4f88721e69309p-15, 0x1.54ffd0a2c099bp-15, 0x1.5a632552ea4dep-15, 0x1.5fb28ad686994p-15, 0x1.64ee1734cfacbp-15, 0x1.6a15dc250cc25p-15, 0x1.6f29e757fd418p-15, 0x1.742a42bec6e6bp-15, 0x1.7916f4ce77b1ep-15, 0x1.7df000c7705a9p-15, 0x1.82b566f2b6c79p-15, 0x1.876724e183952p-15, 0x1.8c0535a48d6f6p-15, 0x1.908f9209e35e3p-15, 0x1.950630cf4f70cp-15, 0x1.996906d8cb006p-15, 0x1.9db807611264p-15, 0x1.a1f3242cb9969p-15, 0x1.a61a4db6b9da6p-15, 0x1.aa2d735cffb7fp-15, 0x1.ae2c838a5f2d3p-15, 0x1.b2176be0958dcp-15, 0x1.b5ee195983306p-15, 0x1.b9b07870ad684p-15, 0x1.bd5e7546e49cfp-15, 0x1.c0f7fbbf8b007p-15, 0x1.c47cf7a36ac46p-15, 0x1.c7ed54be2a917p-15, 0x1.cb48fefae9d2ep-15, 0x1.ce8fe2811087p-15, 0x1.d1c1ebc85be9p-15, 0x1.d4df07b5ef1b9p-15, 0x1.d7e723b337f6ep-15, 0x1.dada2dc367963p-15, 0x1.ddb814964026ap-15, 0x1.e080c79bbbf6fp-15, 0x1.e3343717e3011p-15, 0x1.e5d254312016ap-15, 0x1.e85b10ffbc67ep-15, 0x1.eace609d0b6b7p-15, 0x1.ed2c3731901f1p-15, 0x1.ef748a03fcfafp-15, 0x1.f1a74f7fb9e0fp-15, 0x1.f3c47f434dd21p-15, 0x1.f5cc1228fe0e3p-15, 0x1.f7be024f838a7p-15, 0x1.f99a4b202aea5p-15, 0x1.fb60e959de3c9p-15, 0x1.fd11db15868f1p-15, 0x1.fead1fcc3546p-15, 0x1.00195c2d9038bp-14, 0x1.00d15384100f9p-14, 0x1.017e77c39d4e1p-14, 0x1.0220cb7e56e52p-14, 0x1.02b851fde295dp-14, 0x1.03450f46c133fp-14, 0x1.03c70817a1b5dp-14, 0x1.043e41eaf9978p-14, 0x1.04aac2f58100fp-14, 0x1.050c9226b8147p-14, 0x1.0563b72921d72p-14, 0x1.05b03a606f184p-14, 0x1.05f224e9be933p-14, 0x1.06298098b0cbep-14, 0x1.065657f87478ep-14, 0x1.0678b6494c3a4p-14, 0x1.0690a77eb8f69p-14, 0x1.069e383e9fe19p-14, 0x1.06a175deb279ap-14, 0x1.069a6e621fa82p-14, 0x1.0689307727292p-14, 0x1.066dcb75eb152p-14, 0x1.06484f5d1ff0dp-14, 0x1.0618cccf50d15p-14, 0x1.05df5510f0811p-14, 0x1.059bfa04ff4afp-14, 0x1.054ece29de879p-14, 0x1.04f7e49701336p-14, 0x1.049750f919c01p-14, 0x1.042d278eb11a7p-14, 0x1.03b97d2663c3ep-14, 0x1.033c671a95aeap-14, 0x1.02b5fb4e5d35ep-14, 0x1.02265029b42d8p-14, 0x1.018d7c9668fap-14, 0x1.00eb97fccbbeap-14, 0x1.0040ba3f95ed7p-14, 0x1.ff19f77131cbdp-15, 0x1.fda0ea6a0325ep-15, 0x1.fc167fe488eefp-15, 0x1.fa7aeb3358dd9p-15, 0x1.f8ce607a955fep-15, 0x1.f71114a701be1p-15, 0x1.f5433d696f2a9p-15, 0x1.f365112da99f8p-15, 0x1.f176c71243bfbp-15, 0x1.ef7896e1aa959p-15, 0x1.ed6ab90be9233p-15, 0x1.eb4d669e19793p-15, 0x1.e920d93c14761p-15, 0x1.e6e54b181fc0cp-15, 0x1.e49af6eccaed5p-15, 0x1.e24217f45a73fp-15, 0x1.dfdae9e2fd1bp-15, 0x1.dd65a8ddcd013p-15, 0x1.dae29174823efp-15, 0x1.d851e09b0bf35p-15, 0x1.d5b3d3a26fc41p-15, 0x1.d308a831be444p-15, 0x1.d0509c3edf5bbp-15, 0x1.cd8bee0810aacp-15, 0x1.cabadc0d007d9p-15, 0x1.c7dda50895527p-15, 0x1.c4f487e98d956p-15, 0x1.c1ffc3cc8915cp-15, 0x1.beff97f65c57cp-15, 0x1.bbf443cc4662cp-15, 0x1.b8de06cf06455p-15, 0x1.b5bd2093d9ed6p-15, 0x1.b291d0bf2db63p-15, 0x1.af5c56fda5b3ap-15, 0x1.ac1cf2ffb93cdp-15, 0x1.a8d3e4723d094p-15, 0x1.a5816afa8b9a9p-15, 0x1.a225c62fbe735p-15, 0x1.9ec1359574574p-15, 0x1.9b53f89702e8dp-15, 0x1.97de4e819daa7p-15, 0x1.9460767fc5947p-15, 0x1.90daaf93c51cdp-15, 0x1.8d4d389335c8p-15, 0x1.89b85021a7106p-15, 0x1.861c34ac060f7p-15, 0x1.82792464b43ffp-15, 0x1.7ecf5d3dfd0a3p-15, 0x1.7b1f1ce6271e8p-15, 0x1.7768a0c3c81bcp-15, 0x1.73ac25f103253p-15, 0x1.6fe9e9376150cp-15, 0x1.6c22270c8e813p-15, 0x1.68551b8d6af3p-15, 0x1.6483027a77befp-15, 0x1.60ac17355ee7ap-15, 0x1.5cd094bc71b56p-15, 0x1.58f0b5a735493p-15, 0x1.550cb423b8f26p-15, 0x1.5124c9f27e77p-15, 0x1.4d3930640a6b6p-15, }}, 
      {{-0x1.ee8d70099a421p-1, -0x1.ee4a08ff691dcp-1, -0x1.edd9cb2051c49p-1, -0x1.ed3cdb05febf3p-1, -0x1.ec736b898f9f3p-1, -0x1.eb7dbd6087e19p-1, -0x1.ea5c1ea4c5c81p-1, -0x1.e90eea4d8d7e7p-1, -0x1.e796879e581dp-1, -0x1.e5f3698e6911bp-1, -0x1.e4260e2ae3805p-1, -0x1.e22efdf479bcep-1, -0x1.e00ecb39b3c21p-1, -0x1.ddc6116efda65p-1, -0x1.db557485ffc42p-1, -0x1.d8bda045f711fp-1, -0x1.d5ff47a6cdd33p-1, -0x1.d31b2430a08fbp-1, -0x1.d011f56110ed5p-1, -0x1.cce480176ef4cp-1, -0x1.c9938e0862bf1p-1, -0x1.c61fed395a7e8p-1, -0x1.c28a6f83b3debp-1, -0x1.bed3ea1f52727p-1, -0x1.bafd35342dc34p-1, -0x1.b7072b7243ab1p-1, -0x1.b2f2a9af581eep-1, -0x1.aec08e89f09fp-1, -0x1.aa71ba1109554p-1, -0x1.a6070d7017b15p-1, -0x1.a1816a9f09963p-1, -0x1.9ce1b4160385cp-1, -0x1.9828cc84bd3fbp-1, -0x1.9357968d67b64p-1, -0x1.8e6ef4831c5ap-1, -0x1.896fc82bd8272p-1, -0x1.845af2860fa64p-1, -0x1.7f315391e7886p-1, -0x1.79f3ca1e16ec6p-1, -0x1.74a333987a905p-1, -0x1.6f406be25255ep-1, -0x1.69cc4d281b05bp-1, -0x1.6447afbcf16a4p-1, -0x1.5eb369f95ab05p-1, -0x1.5910501d4f86ep-1, -0x1.535f3435568afp-1, -0x1.4da0e6027d9bdp-1, -0x1.47d632e4f5691p-1, -0x1.41ffe5c914491p-1, -0x1.3c1ec71682c6dp-1, -0x1.36339ca154c4p-1, -0x1.303f299cd1d67p-1, -0x1.2a422e8fb3b26p-1, -0x1.243d6949a5336p-1, -0x1.1e3194d9cfa7bp-1, -0x1.181f698648688p-1, -0x1.12079cc4395cfp-1, -0x1.0beae130a1004p-1, -0x1.05c9e6898c73ep-1, -0x1.ff4ab34f6f343p-2, -0x1.f2fbc8f0fae97p-2, -0x1.e6a85bf020675p-2, -0x1.da51b457d8d64p-2, -0x1.cdf9143b0e70ep-2, -0x1.c19fb7aa6965fp-2, -0x1.b546d4aa90d4dp-2, -0x1.a8ef9b2af1ee7p-2, -0x1.9c9b34fd10bf4p-2, -0x1.904ac5cc7fa81p-2, -0x1.83ff6b1789d7ap-2, -0x1.77ba3c28a6c14p-2, -0x1.6b7c4a10d5cbcp-2, -0x1.5f469fa2e62c6p-2, -0x1.531a416fd6796p-2, -0x1.46f82dc448dfep-2, -0x1.3ae15ca733916p-2, -0x1.2ed6bfd9cac68p-2, -0x1.22d942d8bf2a3p-2, -0x1.16e9caded513p-2, -0x1.0b0936e8df1a3p-2, -0x1.fe70bf7638fd6p-3, -0x1.e6f02fd012d35p-3, -0x1.cf9257b11ef52p-3, -0x1.b858c3ab4a3fap-3, -0x1.a144f4268e1f9p-3, -0x1.8a585d799debbp-3, -0x1.739468052713bp-3, -0x1.5cfa7051960f2p-3, -0x1.468bc72f4063cp-3, -0x1.3049b1d8cecf9p-3, -0x1.1a356a17c469bp-3, -0x1.04501e6b04d04p-3, -0x1.dd35e45e42305p-4, -0x1.b22dfb90a3fa2p-4, -0x1.878a9d9bd3253p-4, -0x1.5d4dd06e28b53p-4, -0x1.3379851179147p-4, -0x1.0a0f9808cd017p-4, -0x1.c223a35f523f3p-5, -0x1.7103cd35451a9p-5, -0x1.20c2eff1a78d9p-5, -0x1.a2c84fd7e359dp-6, -0x1.05d4d87353835p-6, -0x1.aac47b99d9585p-8, 0x1.74ebf87b10699p-9, 0x1.8c23d3339d033p-7, 0x1.5ba74d4bbd87bp-6, 0x1.ef59199fc9beap-6, 0x1.40917fbea74a1p-5, 0x1.888077e17b624p-5, 0x1.cf778cebb92bfp-5, 0x1.0aba7a9041607p-4, 0x1.2d3b82511053cp-4, 0x1.4f3e1662a6bfap-4, 0x1.70c17db43fe3p-4, 0x1.91c50d27c2bc2p-4, 0x1.b2482741b051ep-4, 0x1.d24a3bdb527cep-4, 0x1.f1cac7d720a12p-4, 0x1.0864aa6bbef0cp-3, 0x1.17a2bc7bd01fep-3, 0x1.269f6b436b552p-3, 0x1.355a8de2fe5b6p-3, 0x1.43d4015396cfap-3, 0x1.520ba847cef1bp-3, 0x1.60016b0dcdc58p-3, 0x1.6db537724d549p-3, 0x1.7b2700a4a0e63p-3, 0x1.8856bf1bba4ebp-3, 0x1.9544707c122e5p-3, 0x1.a1f0177e7becdp-3, 0x1.ae59bbd7cf73ap-3, 0x1.ba816a216440fp-3, 0x1.c66733c24c3bdp-3, 0x1.d20b2ed94902dp-3, 0x1.dd6d762767795p-3, 0x1.e88e28fb43563p-3, 0x1.f36d6b1cd76fdp-3, 0x1.fe0b64b9dba52p-3, 0x1.043421294e85dp-2, 0x1.09421a53a5fd9p-2, 0x1.0e2fb852d56d6p-2, 0x1.12fd17ab8d86dp-2, 0x1.17aa56e781caep-2, 0x1.1c37968cb8732p-2, 0x1.20a4f914fe69fp-2, 0x1.24f2a2e57374p-2, 0x1.2920ba462cc79p-2, 0x1.2d2f6759e85a4p-2, 0x1.311ed415cf22dp-2, 0x1.34ef2c393df3ep-2, 0x1.38a09d459793p-2, 0x1.3c3356761a543p-2, 0x1.3fa788b7aeacap-2, 0x1.42fd66a0be1ffp-2, 0x1.46352468f8965p-2, 0x1.494ef7e11a937p-2, 0x1.4c4b186aa55afp-2, 0x1.4f29beef89e2cp-2, 0x1.51eb25d9ca18dp-2, 0x1.548f890b09723p-2, 0x1.571725d40a203p-2, 0x1.59823aec1ca35p-2, 0x1.5bd108687f186p-2, 0x1.5e03cfb3a140cp-2, 0x1.601ad38460a0bp-2, 0x1.621657d52795dp-2, 0x1.63f6a1dafe5b4p-2, 0x1.65bbf7fc87d2dp-2, 0x1.6766a1c8ea128p-2, 0x1.68f6e7eea408ep-2, 0x1.6a6d1432518a2p-2, 0x1.6bc971655f876p-2, 0x1.6d0c4b5caa48cp-2, 0x1.6e35eee711facp-2, 0x1.6f46a9c3fc519p-2, 0x1.703eca99c88acp-2, 0x1.711ea0ec386fdp-2, 0x1.71e67d12cde9ap-2, 0x1.7296b02f1b61fp-2, 0x1.732f8c23102fbp-2, 0x1.73b163873a757p-2, 0x1.741c89a103b8p-2, 0x1.74715258ead27p-2, 0x1.74b01230bb45bp-2, 0x1.74d91e39c1044p-2, 0x1.74eccc0b01138p-2, 0x1.74eb71b7714cap-2, 0x1.74d565c434f39p-2, 0x1.74aaff1ee36bbp-2, 0x1.746c9513ce0b6p-2, 0x1.741a7f4457f75p-2, 0x1.73b5159d53b67p-2, 0x1.733cb04d6f481p-2, 0x1.72b1a7bbaebebp-2, 0x1.7214547df63ebp-2, 0x1.71650f4fa594cp-2, 0x1.70a4310848784p-2, 0x1.6fd212925a982p-2, 0x1.6eef0ce222f6dp-2, 0x1.6dfb78eca4d34p-2, 0x1.6cf7af9ead98bp-2, 0x1.6be409d3fc513p-2, 0x1.6ac0e04e837adp-2, 0x1.698e8badcb68dp-2, 0x1.684d646672fdep-2, 0x1.66fdc2b9ce4dbp-2, 0x1.659ffeada94fdp-2, 0x1.643470042d505p-2, 0x1.62bb6e33e83e6p-2, 0x1.6135505ff87bcp-2, 0x1.5fa26d5062742p-2, 0x1.5e031b6a87a17p-2, 0x1.5c57b0a9c91abp-2, 0x1.5aa0829850d67p-2, 0x1.58dde6480444fp-2, 0x1.5710304ba2041p-2, 0x1.5537b4b008098p-2, 0x1.5354c6f5a78a4p-2, 0x1.5167ba0a246cbp-2, 0x1.4f70e0421ef2fp-2, 0x1.4d708b532b231p-2, 0x1.4b670c4df9007p-2, 0x1.4954b398a2273p-2, 0x1.4739d0e92fb39p-2, 0x1.4516b340451a7p-2, 0x1.42eba8e400394p-2, 0x1.40b8ff5b016c2p-2, 0x1.3e7f0367a7f97p-2, 0x1.3c3e01037ae9ap-2, 0x1.39f6435abe4a1p-2, 0x1.37a814c83b75p-2, 0x1.3553bed13401fp-2, 0x1.32f98a218517cp-2, 0x1.3099be87f87b7p-2, 0x1.2e34a2f2c3cd4p-2, 0x1.2bca7d6c35126p-2, 0x1.295b93178d6cfp-2, 0x1.26e8282e08af8p-2, 0x1.24707ffc115cep-2, 0x1.21f4dcdea264ep-2, 0x1.1f758040d3fbp-2, 0x1.1cf2aa9992351p-2, 0x1.1a6c9b69847b9p-2, 0x1.17e3913918999p-2, 0x1.1557c996bd4c7p-2, 0x1.12c9811541c54p-2, 0x1.1038f34a6357dp-2, 0x1.0da65acd808c3p-2, 0x1.0b11f1367202bp-2, 0x1.087bef1c8f532p-2, 0x1.05e48c15d5c97p-2, 0x1.034bfeb638e9dp-2, 0x1.00b27c8f13f23p-2, 0x1.fc30745d87a1bp-3, 0x1.f6fad640c5115p-3, 0x1.f1c483d748e4bp-3, 0x1.ec8de029b4df1p-3, 0x1.e7574c3a2b14dp-3, 0x1.e2212704d01a6p-3, 0x1.dcebcd8091cecp-3, 0x1.d7b79aa02d7afp-3, 0x1.d284e75370e13p-3, 0x1.cd540a88b71b6p-3, 0x1.c825592e9ea6dp-3, 0x1.c2f92635f5f95p-3, 0x1.bdcfc293e3e5cp-3, 0x1.b8a97d443dbecp-3, 0x1.b386a34c16a5cp-3, 0x1.ae677fbc7f3aep-3, 0x1.a94c5bb572294p-3, 0x1.a4357e68f1f51p-3, 0x1.9f232d1e5649bp-3, 0x1.9a15ab35bf1a4p-3, 0x1.950d3a2bb57fep-3, 0x1.900a199cf5efp-3, 0x1.8b0c874a5af89p-3, 0x1.8614bf1cf4068p-3, 0x1.8122fb2a3f46bp-3, 0x1.7c3773b87fbc5p-3, 0x1.77525f433bc75p-3, 0x1.7273f27fd44cap-3, 0x1.6d9c60623fef5p-3, 0x1.68cbda21de092p-3, 0x1.64028f3e64066p-3, 0x1.5f40ad84ea6dp-3, 0x1.5a8661150b7a2p-3, 0x1.55d3d4661b43p-3, 0x1.5129304c732f2p-3, 0x1.4c869bfeda797p-3, 0x1.47ec3d1bf0742p-3, 0x1.435a37afbbbdcp-3, 0x1.3ed0ae393a57cp-3, 0x1.3a4fc1b0097c7p-3, 0x1.35d7918a1803cp-3, 0x1.31683bc167bb8p-3, 0x1.2d01dcd9d78b9p-3, 0x1.28a48fe6f7477p-3, 0x1.24506e91ea735p-3, 0x1.2005911f4dacdp-3, 0x1.1bc40e75231dbp-3, 0x1.178bfc20c97bep-3, 0x1.135d6e5cf4cc7p-3, 0x1.0f387817a9cap-3, 0x1.0b1d2af840545p-3, 0x1.070b976565e07p-3, 0x1.0303cc8b1f06ep-3, 0x1.fe0bb0c19cb33p-4, 0x1.f6238f5e6da74p-4, 0x1.ee4f4c2cf74aep-4, 0x1.e68efc284a907p-4, 0x1.dee2b21230fcbp-4, 0x1.d74a7e7f25359p-4, 0x1.cfc66fe23d7ecp-4, 0x1.c856929902dbap-4, 0x1.c0faf0f74831ap-4, 0x1.b9b39352f3576p-4, 0x1.b280800fabc0fp-4, 0x1.ab61bbaa83e46p-4, 0x1.a45748c591071p-4, 0x1.9d6128336c2c9p-4, 0x1.967f5902a27b5p-4, 0x1.8fb1d8891058fp-4, 0x1.88f8a26f27968p-4, 0x1.8253b0bb1e0a6p-4, 0x1.7bc2fbdc06868p-4, 0x1.75467ab4ce3p-4, 0x1.6ede22a725c8fp-4, 0x1.6889e79e48ab7p-4, 0x1.6249bc19b3f06p-4, 0x1.5c1d9137b6879p-4, 0x1.560556bfed41cp-4, 0x1.5000fb2d9e7c8p-4, 0x1.4a106bb9f7e55p-4, 0x1.443394662da14p-4, 0x1.3e6a60057dd4fp-4, 0x1.38b4b84710a45p-4, 0x1.331285bfb85a1p-4, 0x1.2d83aff397b33p-4, 0x1.28081d5fa00e7p-4, 0x1.229fb382edd43p-4, 0x1.1d4a56e80c6b4p-4, 0x1.1807eb2e0e8c2p-4, 0x1.12d853118852p-4, 0x1.0dbb707566fe7p-4, 0x1.08b1246ba77c3p-4, 0x1.03b94f3de5a7fp-4, 0x1.fda7a0eb96744p-5, 0x1.f4010dcaba2cep-5, 0x1.ea7ea15e41b3cp-5, 0x1.e120169c45d5cp-5, 0x1.d7e5273bad13ep-5, 0x1.cecd8bc3a3a37p-5, 0x1.c5d8fb9aced21p-5, 0x1.bd072d163957ep-5, 0x1.b457d587f7e22p-5, 0x1.abcaa94d7f823p-5, 0x1.a35f5bddbee48p-5, 0x1.9b159fd6e85c4p-5, 0x1.92ed270bf9cabp-5, 0x1.8ae5a291f885fp-5, 0x1.82fec2ccf1ca6p-5, 0x1.7b38377c9e487p-5, 0x1.7391afc8d9b7cp-5, 0x1.6c0ada4dc544bp-5, 0x1.64a36527a6ca6p-5, 0x1.5d5afdfe87a95p-5, 0x1.5631521184cdfp-5, 0x1.4f260e41e3f53p-5, 0x1.4838df1dea502p-5, 0x1.416970eb5e5c9p-5, 0x1.3ab76fb1d4f67p-5, 0x1.34228744b42c5p-5, 0x1.2daa634d0639ep-5, 0x1.274eaf52e9fe8p-5, 0x1.210f16c6ea1e7p-5, 0x1.1aeb450af4168p-5, 0x1.14e2e57b24089p-5, 0x1.0ef5a3764b92bp-5, 0x1.09232a663cd4fp-5, 0x1.036b25c7d2f8cp-5, 0x1.fb9a826586f4p-6, 0x1.f09250c26a116p-6, 0x1.e5bd0e6e31afdp-6, 0x1.db1a1392968e7p-6, 0x1.d0a8b8c8f22bap-6, 0x1.c6685727945b4p-6, 0x1.bc58484ec0e7ap-6, 0x1.b277e6751fc0bp-6, 0x1.a8c68c73de5b6p-6, 0x1.9f4395d243a05p-6, 0x1.95ee5ed0fd7bep-6, 0x1.8cc64474f348cp-6, 0x1.83caa491bedcdp-6, 0x1.7afaddd3ac8cfp-6, 0x1.72564fc96e7cfp-6, 0x1.69dc5aed687ecp-6, 0x1.618c60ae95e83p-6, 0x1.5965c3791c607p-6, 0x1.5167e6be70e66p-6, 0x1.49922efd475c7p-6, 0x1.41e401c8f286cp-6, 0x1.3a5cc5d09f723p-6, 0x1.32fbe2e62da2bp-6, 0x1.2bc0c2049fd0bp-6, 0x1.24aacd5649ccdp-6, 0x1.1db9703ab264p-6, 0x1.16ec174c288ffp-6, 0x1.10423064f9a82p-6, 0x1.09bb2aa46d2aap-6, 0x1.03567673704d2p-6, 0x1.fa270b11edec2p-7, 0x1.ede395dc449bep-7, 0x1.e1e1760425bf7p-7, 0x1.d61f96fb020a1p-7, 0x1.ca9ce6ec23893p-7, 0x1.bf5856c2d316dp-7, 0x1.b450da2ffdb8dp-7, 0x1.a98567af7bb59p-7, 0x1.9ef4f88ca7bc9p-7, 0x1.949e88e6c4cc8p-7, 0x1.8a8117b4c0d86p-7, 0x1.809ba6c8a89c8p-7, 0x1.76ed3ad287acbp-7, 0x1.6d74db6325543p-7, 0x1.643192ee04de2p-7, 0x1.5b226ecb61a58p-7, 0x1.52467f3961e44p-7, 0x1.499cd75d58fccp-7, 0x1.41248d4452cebp-7, 0x1.38dcb9e3935d1p-7, 0x1.30c479187cc4ep-7, 0x1.28dae9a8548cfp-7, 0x1.211f2d3fae9bap-7, 0x1.199068716f9bp-7, 0x1.122dc2b5b1869p-7, 0x1.0af666682556ap-7, 0x1.03e980c68be45p-7, 0x1.fa0c83dcc2a6ep-8, 0x1.ec97b9b5c87e9p-8, 0x1.df730ec4a6bbep-8, 0x1.d29cf46697dd1p-8, 0x1.c613e1a399a1bp-8, 0x1.b9d65327df2aep-8, 0x1.ade2cb3d2395cp-8, 0x1.a237d1c33aa62p-8, 0x1.96d3f4288c0c8p-8, 0x1.8bb5c5623de39p-8, 0x1.80dbdde37a9f8p-8, 0x1.7644db94ed4f9p-8, 0x1.6bef61cbd40aap-8, 0x1.61da19405f9eep-8, 0x1.5803b00455f74p-8, 0x1.4e6ad978f519bp-8, 0x1.450e4e44c030fp-8, 0x1.3beccc49237dbp-8, 0x1.330516979f3f8p-8, 0x1.2a55f566e7eafp-8, 0x1.21de3607c8bb6p-8, 0x1.199caad997a65p-8, 0x1.11902b3edfe97p-8, 0x1.09b7939180249p-8, 0x1.0211c516bca05p-8, 0x1.f53b4be6689f9p-9, 0x1.e6b4423d61538p-9, 0x1.d88c4caf63591p-9, 0x1.cac1542de9113p-9, 0x1.bd514b05d6c01p-9, 0x1.b03a2cc5aaa4fp-9, 0x1.a379fe2455f5p-9, 0x1.970ecce6e1564p-9, 0x1.8af6afc6c5803p-9, 0x1.7f2fc657bd501p-9, 0x1.73b838ed64a37p-9, 0x1.688e3880c88f1p-9, 0x1.5daffe96643cbp-9, 0x1.531bcd22c9327p-9, 0x1.48cfee70c9c9fp-9, 0x1.3ecab50667461p-9, 0x1.350a7b8a0767bp-9, 0x1.2b8da4a815887p-9, 0x1.22529af7d6cb7p-9, 0x1.1957d0e13cc1ep-9, 0x1.109bc081a5e7fp-9, 0x1.081ceb916d4bep-9, 0x1.ffb3b692ab3b1p-10, 0x1.efa2408fdc198p-10, 0x1.e002a4ed8479ap-10, 0x1.d0d221e0ae43ep-10, 0x1.c20e03cb0dbbap-10, 0x1.b3b3a506789f2p-10, 0x1.a5c06db09a144p-10, 0x1.9831d3775abap-10, 0x1.8b055963d40d8p-10, 0x1.7e388fa7cd745p-10, 0x1.71c91369c6dacp-10, 0x1.65b48e920d089p-10, 0x1.59f8b79816045p-10, 0x1.4e93514fcff43p-10, 0x1.43822ab7d12c9p-10, 0x1.38c31ec6e2bd2p-10, 0x1.2e54143b9e6a8p-10, 0x1.2432fd6a5e8f9p-10, 0x1.1a5dd80d6c35p-10, 0x1.10d2ad13c4de4p-10, 0x1.078f9071d67e3p-10, 0x1.fd2541e45b5c8p-11, 0x1.ebb4100b03518p-11, 0x1.dac7f32973935p-11, 0x1.ca5d67a548b94p-11, 0x1.ba70fe1bdc505p-11, 0x1.aaff5b07d3662p-11, 0x1.9c053667471a9p-11, 0x1.8d7f5b625aa09p-11, 0x1.7f6aa7f49bf7fp-11, 0x1.71c40c940f06bp-11, 0x1.64888bdc7f4bbp-11, 0x1.57b53a3a4dd61p-11, 0x1.4b473d94f3946p-11, 0x1.3f3bccfd68f55p-11, 0x1.3390305aec80ap-11, 0x1.2841c019a41d3p-11, 0x1.1d4de4daf0442p-11, 0x1.12b217251b0acp-11, 0x1.086bdf161453ap-11, 0x1.fcf1a82ba0a51p-12, 0x1.e9ad391242eccp-12, 0x1.d705db0ecc1bap-12, 0x1.c4f7151f916adp-12, 0x1.b37c8a7ee8d5bp-12, 0x1.a291fa12c9dc2p-12, 0x1.92333ddf2b7bp-12, 0x1.825c4a78f2b51p-12, 0x1.73092e79483dep-12, 0x1.643611f7915a3p-12, 0x1.55df35ff8f5ccp-12, 0x1.4800f4106bd07p-12, 0x1.3a97bd94f6a47p-12, 0x1.2da01b679f582p-12, 0x1.2116ad4facc58p-12, 0x1.14f829867f83cp-12, 0x1.09415c3c076p-12, 0x1.fbde4e397115ep-13, 0x1.e5fd01b61de7ep-13, 0x1.d0d8e9747227ap-13, 0x1.bc6c443374d43p-13, 0x1.a8b1780a0eaf4p-13, 0x1.95a3118670c8p-13, 0x1.833bc2d2c134p-13, 0x1.717662dcc2b1ap-13, 0x1.604dec80f4658p-13, 0x1.4fbd7dbab51fap-13, 0x1.3fc056d610aa2p-13, 0x1.3051d9a7a6f1cp-13, 0x1.216d88c34fd2p-13, 0x1.130f06be261dap-13, 0x1.0532156beaff8p-13, 0x1.efa52a4987565p-14, 0x1.d5d908178706fp-14, 0x1.bcf7fab6ea2adp-14, 0x1.a4fa716688811p-14, 0x1.8dd912d097b6dp-14, 0x1.778cbbb7f008bp-14, 0x1.620e7da4f6a38p-14, 0x1.4d579da104d32p-14, 0x1.396192ee02f43p-14, 0x1.262605cdb4125p-14, 0x1.139ece46f3801p-14, 0x1.01c5f2f8f0994p-14, 0x1.e12b4fda1acdap-15, 0x1.c0109ae80a4bep-15, 0x1.a030de0d64612p-15, 0x1.8181845a548d5p-15, 0x1.63f84ad6e8dadp-15, 0x1.478b3e66d5ba6p-15, 0x1.2c30b9b5cdd3bp-15, 0x1.11df633832e15p-15, 0x1.f11c565013f7bp-16, 0x1.c06893369e55p-16, 0x1.91927935c708cp-16, 0x1.64898c8c8a824p-16, 0x1.393dd60a2dddfp-16, 0x1.0f9fdf836a3ap-16, 0x1.cf41608d7433fp-17, 0x1.8263938537274p-17, 0x1.388a4853fea92p-17, 0x1.e334acd90f0adp-18, 0x1.5af2ebe1cd27fp-18, 0x1.b038e5abfeee8p-19, 0x1.6a003e03e8869p-20, -0x1.e11d36c461cf1p-22, -0x1.238e743a2606p-19, -0x1.00cca2e9aad28p-18, -0x1.6b4d117478feap-18, -0x1.d172197888299p-18, -0x1.19b1f4bae8351p-17, -0x1.48a4aa784ef41p-17, -0x1.75a3ef4e47efep-17, -0x1.a0c1e1180a093p-17, -0x1.ca0ffefe673dcp-17, -0x1.f19f2e267b41p-17, -0x1.0bbfdf2bf3625p-16, -0x1.1de0b733c9803p-16, -0x1.2f39b84acc192p-16, -0x1.3fd237673ab99p-16, -0x1.4fb1476c42544p-16, -0x1.5eddbb2ce4effp-16, -0x1.6d5e276084f3ap-16, -0x1.7b38e491dc44fp-16, -0x1.887411056649bp-16, -0x1.9515927e21fdp-16, -0x1.a123181386bc2p-16, -0x1.aca21be4ba48ep-16, -0x1.b797e4ca001dcp-16, -0x1.c20987fbc5d4dp-16, -0x1.cbfbeaa8650fp-16, -0x1.d573c38587063p-16, -0x1.de759c54d9ed7p-16, -0x1.e705d359bf297p-16, -0x1.ef289ccceacb3p-16, -0x1.f6e204420e6d7p-16, -0x1.fe35ee00aaa3dp-16, -0x1.02940c2bd4982p-15, -0x1.05de0e7341dc2p-15, -0x1.08fab8f079336p-15, -0x1.0bebb59fc67c7p-15, -0x1.0eb29df85de39p-15, -0x1.1150fb7f3ad18p-15, -0x1.13c848555b576p-15, -0x1.1619efc0b935dp-15, -0x1.18474eb7f0e0ep-15, -0x1.1a51b45f1e3f4p-15, -0x1.1c3a628a0b4dep-15, -0x1.1e028e370d9fbp-15, -0x1.1fab600478099p-15, -0x1.2135f4a652ebap-15, -0x1.22a35d5649e51p-15, -0x1.23f4a040e3fa4p-15, -0x1.252ab8ee878c3p-15, -0x1.264698ac26c3bp-15, -0x1.274926eab7574p-15, -0x1.283341a3578e5p-15, -0x1.2905bdb1bc327p-15, -0x1.29c16731403dfp-15, -0x1.2a6701d2b67f8p-15, -0x1.2af7493115f83p-15, -0x1.2b72f123ee681p-15, -0x1.2bdaa60f42afcp-15, -0x1.2c2f0d2e26332p-15, -0x1.2c70c4e002d28p-15, -0x1.2ca064ee51f0fp-15, -0x1.2cbe7ed435062p-15, -0x1.2ccb9dfefb61cp-15, -0x1.2cc84810cca67p-15, -0x1.2cb4fd1dca9dep-15, -0x1.2c9237eac23fdp-15, -0x1.2c606e26ab42ep-15, -0x1.2c2010a1ef244p-15, -0x1.2bd18b8693873p-15, -0x1.2b75468c81d2dp-15, -0x1.2b0ba52a6f33dp-15, -0x1.2a9506c947bbep-15, -0x1.2a11c6f0c4a9bp-15, -0x1.29823d77a2cbcp-15, -0x1.28e6bead2364bp-15, -0x1.283f9b844c8a2p-15, -0x1.278d21bb56f86p-15, -0x1.26cf9c03fbffcp-15, -0x1.26075227cab66p-15, -0x1.2534892d29bdfp-15, -0x1.24578379c3e85p-15, -0x1.237080f41a2a9p-15, -0x1.227fbf23388a7p-15, -0x1.2185794d4ad0dp-15, -0x1.2081e89518362p-15, -0x1.1f754416d332dp-15, -0x1.1e5fc10379758p-15, -0x1.1d4192b9ed434p-15, -0x1.1c1aeae09bb72p-15, -0x1.1aebf97d6d9ddp-15, -0x1.19b4ed0cae10fp-15, -0x1.1875f29552ef6p-15, -0x1.172f35c05eb03p-15, -0x1.15e0e0eb4f7p-15, -0x1.148b1d3bda8a1p-15, -0x1.132e12b25ff8p-15, -0x1.11c9e83a4e3c2p-15, -0x1.105ec3bb889ebp-15, -0x1.0eecca29a5756p-15, -0x1.0d741f93d8463p-15, -0x1.0bf4e73223d6cp-15, -0x1.0a6f4373e5cp-15, -0x1.08e3560caad09p-15, -0x1.0751400064302p-15, -0x1.05b921ae745acp-15, -0x1.041b1add3f40dp-15, -0x1.02774ac4153a5p-15, -0x1.00cdd0166dc3bp-15, -0x1.fe3d9217a156bp-16, -0x1.fad4a6d24443ap-16, -0x1.f761191236991p-16, -0x1.f3e322c95e0f4p-16, -0x1.f05afd30938b8p-16, -0x1.ecc8e0da6f21bp-16, -0x1.e92d05bcc5241p-16, -0x1.e587a33f10352p-16, -0x1.e1d8f04498656p-16, -0x1.de2123373d2b4p-16, -0x1.da607211b5011p-16, -0x1.d69712670967ep-16, -0x1.d2c5396cb9b2bp-16, -0x1.ceeb1c023d85cp-16, -0x1.cb08eeb7998b3p-16, -0x1.c71ee5d52c2a9p-16, -0x1.c32d35601765ap-16, -0x1.bf3411221129fp-16, -0x1.bb33acabf9868p-16, -0x1.b72c3b5bd3036p-16, -0x1.b31df05f48441p-16, -0x1.af08feb99767p-16, -0x1.aaed9945194bp-16, -0x1.a6cbf2b6b7262p-16, -0x1.a2a43d9f5892cp-16, -0x1.9e76ac6fef079p-16, -0x1.9a4371791ea6ep-16, -0x1.960abeec7c04cp-16, -0x1.91ccc6df965ffp-16, -0x1.8d89bb4ada48bp-16, -0x1.8941ce0bde56bp-16, -0x1.84f530e479b18p-16, -0x1.80a4157adb1fdp-16, -0x1.7c4ead598e124p-16, -0x1.77f529ede7d6ap-16, -0x1.7397bc890030ap-16, -0x1.6f36965e15e77p-16, -0x1.6ad1e8818e3efp-16, -0x1.6669e3e83df14p-16, -0x1.61feb9654925ap-16, -0x1.5d9099aa35742p-16, -0x1.591fb5435329ep-16, -0x1.54ac3c9718fe4p-16, -0x1.50365fe451dc8p-16, -0x1.4bbe4f40350f5p-16, -0x1.47443a94b52fep-16, -0x1.42c8519d7bb0dp-16, -0x1.3e4ac3e66baeep-16, -0x1.39cbc0c98358ep-16, -0x1.354b776c874cep-16, -0x1.30ca16bde93d4p-16, -0x1.2c47cd731d5c2p-16, -0x1.27c4ca0657bc2p-16, -0x1.23413ab382cfcp-16, -0x1.1ebd4d76e7b29p-16, -0x1.1a39300a19215p-16, -0x1.15b50fe11a40fp-16, -0x1.11311a284e6fcp-16, -0x1.0cad7bc12e32ep-16, -0x1.082a61414bbaap-16, -0x1.03a7f6ee861cp-16, -0x1.fe4cd17a79bafp-17, -0x1.f54bc49b525e4p-17, -0x1.ec4d1dd2a0b4bp-17, -0x1.e351330312e91p-17, -0x1.da5859576412p-17, -0x1.d162e53f50885p-17, -0x1.c8712a69914f4p-17, -0x1.bf837bc1e51ebp-17, -0x1.b69a2b6bb8bb6p-17, -0x1.adb58abc9fc17p-17, -0x1.a4d5ea384702fp-17, -0x1.9bfb998cf5936p-17, -0x1.9326e78f9a884p-17, -0x1.8a582235eaf86p-17, -0x1.818f9694723a1p-17, -0x1.78cd90da06e0ap-17, -0x1.70125c4cf7474p-17, -0x1.675e4345c4a5ep-17, -0x1.5eb18f2d2d8bcp-17, -0x1.560c88785e36bp-17, -0x1.4d6f76a671dbp-17, -0x1.44daa03bf16dep-17, -0x1.3c4e4abff10e3p-17, -0x1.33cababad5454p-17, -0x1.2b5033b1b21c5p-17, -0x1.22def82478092p-17, -0x1.1a77498be0248p-17, -0x1.1219685613fa9p-17, -0x1.09c593e5bf767p-17, -0x1.017c0a8f37a95p-17, -0x1.f27a132acaf13p-18, -0x1.e2119a52bc935p-18, -0x1.d1bf20d02f747p-18, -0x1.c1831ab363823p-18, -0x1.b15df9dded53fp-18, -0x1.a1502e001ea97p-18, -0x1.915a249850d5p-18, -0x1.817c48ee9d2b1p-18, -0x1.71b704117c517p-18, -0x1.620abcd7f9731p-18, -0x1.5277d7dd55a4fp-18, -0x1.42feb78094084p-18, -0x1.339fbbe362c83p-18, -0x1.245b42e9845b9p-18, -0x1.1531a83702a35p-18, -0x1.06234532344a2p-18, -0x1.ee60e200b9e25p-19, -0x1.d0b30110d204ap-19, -0x1.b33d8ce4ce2c5p-19, -0x1.9601264fab8c4p-19, -0x1.78fe69a840616p-19, -0x1.5c35eeca6e0c4p-19, -0x1.3fa84919ff7a6p-19, -0x1.235607862f4f3p-19, -0x1.073fb48c72b44p-19, -0x1.d6cbac73cb56cp-20, -0x1.9f91dc5f461aap-20, -0x1.68d2f34c95658p-20, -0x1.328fe2ebb4d6ep-20, -0x1.f99328515f3a1p-21, -0x1.8f01ce866713ep-21, -0x1.256d679f8233cp-21, -0x1.79af2325c820ep-22, -0x1.550764d888781p-23, 0x1.15245ae273e75p-25, 0x1.db8d80ef852e6p-23, 0x1.b6e038d16eda2p-22, 0x1.3ef730e79937ep-21, 0x1.a17764f76c082p-21, 0x1.0177c826b0aep-20, 0x1.31af4d819cf72p-20, 0x1.6161beb4a9affp-20, 0x1.908e9feeebe0cp-20, 0x1.bf357d5b36314p-20, 0x1.ed55eb0ddd31p-20, 0x1.0d77c2790a46cp-19, 0x1.2400f75971c8fp-19, 0x1.3a4669d60dc64p-19, 0x1.5047f36cafccdp-19, 0x1.6605715ef33bp-19, 0x1.7b7ec4a6c71p-19, 0x1.90b3d1f106fe1p-19, 0x1.a5a4818fdcfb2p-19, 0x1.ba50bf7212ff4p-19, 0x1.ceb87b15308f8p-19, 0x1.e2dba77f134ap-19, 0x1.f6ba3b2f6e7d2p-19, 0x1.052a180ac05d8p-18, 0x1.0ed4c1c31b3p-18, 0x1.185d1b184cb8fp-18, 0x1.21c32608b664fp-18, }}, 
      {{-0x1.ee9c6c0c2c406p-1, -0x1.ee85f3238aafcp-1, -0x1.ee6083de37fffp-1, -0x1.ee2c2592da7e8p-1, -0x1.ede8e2794c62ep-1, -0x1.ed96c79c428eep-1, -0x1.ed35e4c787704p-1, -0x1.ecc64c73898cp-1, -0x1.ec4813aef23ddp-1, -0x1.ebbb5206c97e4p-1, -0x1.eb20216d7dfc1p-1, -0x1.ea769e2110ddap-1, -0x1.e9bee6908e4adp-1, -0x1.e8f91b40f543ep-1, -0x1.e8255eb1be7eep-1, -0x1.e743d54129df9p-1, -0x1.e654a510886b2p-1, -0x1.e557f5e8b8265p-1, -0x1.e44df11f02e9p-1, -0x1.e336c17a90becp-1, -0x1.e212931a92574p-1, -0x1.e0e1935d44818p-1, -0x1.dfa3f0c7ddd8cp-1, -0x1.de59daef791d3p-1, -0x1.dd038262f7286p-1, -0x1.dba11895df4ecp-1, -0x1.da32cfcc31de6p-1, -0x1.d8b8db07229ccp-1, -0x1.d7336df2b2076p-1, -0x1.d5a2bcd4134efp-1, -0x1.d406fc78d8746p-1, -0x1.d2606226d3289p-1, -0x1.d0af238ca2bbcp-1, -0x1.cef376b2e76b5p-1, -0x1.cd2d91ee115fdp-1, -0x1.cb5dabd0c880fp-1, -0x1.c983fb1ee6f52p-1, -0x1.c7a0b6c106167p-1, -0x1.c5b415b89894ap-1, -0x1.c3be4f1492a5bp-1, -0x1.c1bf99e69f63bp-1, -0x1.bfb82d38e0443p-1, -0x1.bda8400435ffcp-1, -0x1.bb90092712795p-1, -0x1.b96fbf5ccfe87p-1, -0x1.b74799358b4b7p-1, -0x1.b517cd0e7d83ap-1, -0x1.b2e0910ad23a5p-1, -0x1.b0a21b0cf3c29p-1, -0x1.ae5ca0b04b16bp-1, -0x1.ac1057436aeddp-1, -0x1.a9bd73c2a3453p-1, -0x1.a7642ad2f572ep-1, -0x1.a504b0bd6261dp-1, -0x1.a29f396a8f398p-1, -0x1.a033f85eb61c1p-1, -0x1.9dc320b5e1a8p-1, -0x1.9b4ce52069921p-1, -0x1.98d177dfad095p-1, -0x1.96510ac304861p-1, -0x1.93cbcf24e6648p-1, -0x1.9141f5e83a1e4p-1, -0x1.8eb3af75d5bc5p-1, -0x1.8c212bba218c8p-1, -0x1.898a9a22df05cp-1, -0x1.86f0299d1070fp-1, -0x1.84520892fe796p-1, -0x1.81b064ea58c9ap-1, -0x1.7f0b6c0271b4ep-1, -0x1.7c634ab292f1ap-1, -0x1.79b82d4867a92p-1, -0x1.770a3f8680b21p-1, -0x1.7459aca2ec958p-1, -0x1.71a69f45e6022p-1, -0x1.6ef1418898e5dp-1, -0x1.6c39bcf3fbfa9p-1, -0x1.69803a7fc0512p-1, -0x1.66c4e291582acp-1, -0x1.6407dcfb11651p-1, -0x1.614950fb4816ap-1, -0x1.5e89653bb00a3p-1, -0x1.5bc83fd0b38e6p-1, -0x1.59060638eaae2p-1, -0x1.5642dd5ca90fbp-1, -0x1.537ee98da4e54p-1, -0x1.50ba4e86b288ep-1, -0x1.4df52f6b9aedp-1, -0x1.4b2faec9087adp-1, -0x1.4869ee948a5e7p-1, -0x1.45a4102cb155cp-1, -0x1.42de345941d3cp-1, -0x1.40187b4b7dabp-1, -0x1.3d53049e85407p-1, -0x1.3a8def57cbdf2p-1, -0x1.37c959e7a3cc6p-1, -0x1.35056229decefp-1, -0x1.3242256680866p-1, -0x1.2f7fc05287a0cp-1, -0x1.2cbe4f10c604fp-1, -0x1.29fded32cd6fdp-1, -0x1.273eb5b9ea5cdp-1, -0x1.2480c3183167ap-1, -0x1.21c42f3198fd9p-1, -0x1.1f09135d22acep-1, -0x1.1c4f886612158p-1, -0x1.1997a68d2c6e2p-1, -0x1.16e1858a07dd9p-1, -0x1.142d3c8c616dcp-1, -0x1.117ae23d7ce3cp-1, -0x1.0eca8cc18e0c6p-1, -0x1.0c1c51b92717ap-1, -0x1.09704642af4f5p-1, -0x1.06c67efbddc33p-1, -0x1.041f1003393bfp-1, -0x1.017a0cf99c239p-1, -0x1.fdaf120774d08p-2, -0x1.f86f2d9755583p-2, -0x1.f3349104dee8dp-2, -0x1.edff5fc30669fp-2, -0x1.e8cfbc58c3e04p-2, -0x1.e3a5c86429325p-2, -0x1.de81a49d74f84p-2, -0x1.d96370da20e5p-2, -0x1.d44b4c0fed1c1p-2, -0x1.cf395457e8022p-2, -0x1.ca2da6f16d421p-2, -0x1.c5286045214d1p-2, -0x1.c0299be7e2bd6p-2, -0x1.bb31749db5201p-2, -0x1.b640045ca444dp-2, -0x1.b155644f9d702p-2, -0x1.ac71acd940a2fp-2, -0x1.a794f596a672bp-2, -0x1.a2bf55621ed86p-2, -0x1.9df0e255e2cd9p-2, -0x1.9929b1cebedffp-2, -0x1.9469d86eb3371p-2, -0x1.8fb16a1f85f75p-2, -0x1.8b007a15505e2p-2, -0x1.86571ad0fe3bep-2, -0x1.81b55e22c512ap-2, -0x1.7d1b552c9035cp-2, -0x1.78891064633dp-2, -0x1.73fe9f96b48ccp-2, -0x1.6f7c11e8baacbp-2, -0x1.6b0175dab4c7bp-2, -0x1.668ed94a27bcdp-2, -0x1.6224497412643p-2, -0x1.5dc1d2f719e92p-2, -0x1.596781d5adc9cp-2, -0x1.5515617825ad5p-2, -0x1.50cb7caed43cap-2, -0x1.4c89ddb41604ep-2, -0x1.48508e2e57ff1p-2, -0x1.441f9732170e5p-2, -0x1.3ff70143db18p-2, -0x1.3bd6d45a2a318p-2, -0x1.37bf17df7686cp-2, -0x1.33afd2b4092c9p-2, -0x1.2fa90b2fe4276p-2, -0x1.2baac724a3201p-2, -0x1.27b50bdf56611p-2, -0x1.23c7de2a58fd4p-2, -0x1.1fe3424f25342p-2, -0x1.1c073c1823ffap-2, -0x1.1833ced276ea9p-2, -0x1.1468fd4fc56b2p-2, -0x1.10a6c9e80101cp-2, -0x1.0ced367b28e7p-2, -0x1.093c44730db93p-2, -0x1.0593f4c50f72ep-2, -0x1.01f447f3dc426p-2, -0x1.fcba7c2257b86p-3, -0x1.f59dad7ef1361p-3, -0x1.ee92226778485p-3, -0x1.e797d86e44bdep-3, -0x1.e0aecc5188addp-3, -0x1.d9d6f9feb4a43p-3, -0x1.d3105c95e65d3p-3, -0x1.cc5aee6d4c0ffp-3, -0x1.c5b6a9148d01dp-3, -0x1.bf2385582e938p-3, -0x1.b8a17b44f4e98p-3, -0x1.b230822b48dafp-3, -0x1.abd090a297b83p-3, -0x1.a5819c8cb4d41p-3, -0x1.9f439b1937884p-3, -0x1.991680c8da1adp-3, -0x1.92fa4170d8a3cp-3, -0x1.8ceed03e4d4fp-3, -0x1.86f41fb98bbd7p-3, -0x1.810a21c97c658p-3, -0x1.7b30c7b6f550ap-3, -0x1.7568023013b99p-3, -0x1.6fafc14b93079p-3, -0x1.6a07f48c2125bp-3, -0x1.64708ae3b49c7p-3, -0x1.5ee972b6e0083p-3, -0x1.597299e01f67p-3, -0x1.540bedb32aadap-3, -0x1.4eb55b0041534p-3, -0x1.496ece1773399p-3, -0x1.443832cbedfaap-3, -0x1.3f1174773a617p-3, -0x1.39fa7dfc8633bp-3, -0x1.34f339cbe0c8ap-3, -0x1.2ffb91e575deep-3, -0x1.2b136fdccbf5dp-3, -0x1.263abcdbf1f18p-3, -0x1.217161a6b74cp-3, -0x1.1cb7469dd553p-3, -0x1.180c53c21946cp-3, -0x1.137070b78af41p-3, -0x1.0ee384c888cp-3, -0x1.0a6576e8e4952p-3, -0x1.05f62db8f9c72p-3, -0x1.01958f88bcce1p-3, -0x1.fa8704b587f0bp-4, -0x1.f1ffd7cea5808p-4, -0x1.e995633e9c855p-4, -0x1.e147715e8153cp-4, -0x1.d915cc04846a4p-4, -0x1.d1003c89d6178p-4, -0x1.c9068bd06c38dp-4, -0x1.c1288248b49ebp-4, -0x1.b965e7f75583dp-4, -0x1.b1be847ab2346p-4, -0x1.aa321f109121cp-4, -0x1.a2c07e9b8b6d7p-4, -0x1.9b6969a8837dp-4, -0x1.942ca67403479p-4, -0x1.8d09faef88b0fp-4, -0x1.86012cc6c50dfp-4, -0x1.7f120164cb3d8p-4, -0x1.783c3df9262f3p-4, -0x1.717fa77ce9419p-4, -0x1.6adc02b7a33f5p-4, -0x1.6451144445663p-4, -0x1.5ddea095f713bp-4, -0x1.57846bfcd5eaep-4, -0x1.51423aaaa5712p-4, -0x1.4b17d0b766636p-4, -0x1.4504f225e26f2p-4, -0x1.3f0962e81ef0cp-4, -0x1.3924e6e3bdeccp-4, -0x1.335741f64b54fp-4, -0x1.2da037f977a82p-4, -0x1.27ff8cc73da25p-4, -0x1.2275043df2d0bp-4, -0x1.1d00624448502p-4, -0x1.17a16acd32bdep-4, -0x1.1257e1dbbefb6p-4, -0x1.0d238b86d6c26p-4, -0x1.08042bfcebe45p-4, -0x1.02f98787921eep-4, -0x1.fc06c51e06403p-5, -0x1.f243033b22f42p-5, -0x1.e8a752c60374dp-5, -0x1.df333d6fac9f8p-5, -0x1.d5e64d41010a2p-5, -0x1.ccc00ca10240cp-5, -0x1.c3c0065aedc5fp-5, -0x1.bae5c5a4232f9p-5, -0x1.b230d621f5279p-5, -0x1.a9a0c3ef43899p-5, -0x1.a1351ba1f9003p-5, -0x1.98ed6a50559e6p-5, -0x1.90c93d9620237p-5, -0x1.88c82399a4947p-5, -0x1.80e9ab109493ep-5, -0x1.792d6344bb0ap-5, -0x1.7192dc188f141p-5, -0x1.6a19a60b9d15bp-5, -0x1.62c1523ecd4ebp-5, -0x1.5b89727884715p-5, -0x1.547199289e389p-5, -0x1.4d79596c47fa3p-5, -0x1.46a04711acc7p-5, -0x1.3fe5f69b8f998p-5, -0x1.3949fd44aefb8p-5, -0x1.32cbf10314438p-5, -0x1.2c6b688b3622dp-5, -0x1.2627fb5305636p-5, -0x1.20014194c6fb1p-5, -0x1.19f6d451e1749p-5, -0x1.14084d5575917p-5, -0x1.0e354736e6087p-5, -0x1.087d5d5c36cdep-5, -0x1.02e02bfc51448p-5, -0x1.fabaa0424c99fp-6, -0x1.efe8cf536d4cep-6, -0x1.e54a2297f1a82p-6, -0x1.daddd92d47d56p-6, -0x1.d0a333e5b34c9p-6, -0x1.c699754b7dce8p-6, -0x1.bcbfe1a3ce4ep-6, -0x1.b315bef16c248p-6, -0x1.a99a54f737af4p-6, -0x1.a04ced3a69397p-6, -0x1.972cd304b30b5p-6, -0x1.8e3953661c681p-6, -0x1.8571bd36ae18dp-6, -0x1.7cd56117fb158p-6, -0x1.7463917667076p-6, -0x1.6c1ba28a4563ep-6, -0x1.63fcea58d5584p-6, -0x1.5c06c0b4fa27p-6, -0x1.54387f3fe6db5p-6, -0x1.4c91816974d6ap-6, -0x1.451124708167cp-6, -0x1.3db6c762f63ccp-6, -0x1.3681cb1dc962dp-6, -0x1.2f71924cc7171p-6, -0x1.2885816a38689p-6, -0x1.21bcfebe65426p-6, -0x1.1b17725ef4aecp-6, -0x1.1494462e25b2bp-6, -0x1.0e32e5d9eb4efp-6, -0x1.07f2bedae3361p-6, -0x1.01d340732952ap-6, -0x1.f7a7b75a3a763p-7, -0x1.ebe806b3d3716p-7, -0x1.e066582029801p-7, -0x1.d52198539a88dp-7, -0x1.ca18b7868191p-7, -0x1.bf4aa9716ba5ep-7, -0x1.b4b6654949f5ap-7, -0x1.aa5ae5bb5d896p-7, -0x1.a03728e8e7e3bp-7, -0x1.964a3062c952dp-7, -0x1.8c930124cda2cp-7, -0x1.8310a390f05cfp-7, -0x1.79c2236a68bd3p-7, -0x1.70a68fd0802b1p-7, -0x1.67bcfb39522ecp-7, -0x1.5f047b6c71a8fp-7, -0x1.567c297d4372cp-7, -0x1.4e2321c55a665p-7, -0x1.45f883deac8fbp-7, -0x1.3dfb729d9d281p-7, -0x1.362b140aed60fp-7, -0x1.2e86915d99c24p-7, -0x1.270d16f4871f7p-7, -0x1.1fbdd45035994p-7, -0x1.1897fc0c358f1p-7, -0x1.119ac3d8ac9b5p-7, -0x1.0ac564739ca38p-7, -0x1.041719a23966fp-7, -0x1.fb1e44542d4b2p-8, -0x1.ee597f9483751p-8, -0x1.e1de6e68c08f8p-8, -0x1.d5aba00b46812p-8, -0x1.c9bfa97f71187p-8, -0x1.be19258364c43p-8, -0x1.b2b6b481baacfp-8, -0x1.a796fc8318d26p-8, -0x1.9cb8a91fa398fp-8, -0x1.921a6b7077c9p-8, -0x1.87bafa010627dp-8, -0x1.7d9910c059f47p-8, -0x1.73b370f25c038p-8, -0x1.6a08e121103a1p-8, -0x1.60982d0da7affp-8, -0x1.576025a1ba395p-8, -0x1.4e5fa0e055b87p-8, -0x1.459579d715989p-8, -0x1.3d00908f3fea4p-8, -0x1.349fc9fecf5bbp-8, -0x1.2c720ff97af09p-8, -0x1.24765121e7627p-8, -0x1.1cab80daa3de3p-8, -0x1.151097374f923p-8, -0x1.0da490eda62f3p-8, -0x1.06666f46d7d85p-8, -0x1.feaa7020f2fccp-9, -0x1.f0dfeb1be3488p-9, -0x1.e36b6cd33b49fp-9, -0x1.d64b1b4c52b79p-9, -0x1.c97d251fd339dp-9, -0x1.bcffc15c9d36ep-9, -0x1.b0d12f6a9faaep-9, -0x1.a4efb6edeb1d2p-9, -0x1.9959a7a9f73f1p-9, -0x1.8e0d5964ebec2p-9, -0x1.83092bcb22755p-9, -0x1.784b8652c0419p-9, -0x1.6dd2d81f7c374p-9, -0x1.639d97e6a7232p-9, -0x1.59aa43d34472cp-9, -0x1.4ff7616a616b9p-9, -0x1.46837d6f70e31p-9, -0x1.3d4d2bc923f08p-9, -0x1.3453076629494p-9, -0x1.2b93b22253123p-9, -0x1.230dd4abcbe47p-9, -0x1.1ac01e689aa2p-9, -0x1.12a9455c45d0cp-9, -0x1.0ac8060dc4a58p-9, -0x1.031b236da0791p-9, -0x1.f742cd784d209p-10, -0x1.e8b33ee074aadp-10, -0x1.da85463ba3fefp-10, -0x1.ccb69aba59ffdp-10, -0x1.bf44ff6424a3ep-10, -0x1.b22e42e67b063p-10, -0x1.a5703f6412318p-10, -0x1.9908da44fdb47p-10, -0x1.8cf604071964cp-10, -0x1.8135b80ebd721p-10, -0x1.75c5fc785ca82p-10, -0x1.6aa4e1ea2f13ep-10, -0x1.5fd083669aef7p-10, -0x1.5547061f3e8ecp-10, -0x1.4b0699481d34p-10, -0x1.410d75eb920bap-10, -0x1.3759debeb05fbp-10, -0x1.2dea1ff62e46ep-10, -0x1.24bc8f1b9882cp-10, -0x1.1bcf8ae382919p-10, -0x1.13217b03ab7dbp-10, -0x1.0ab0d00a0bbd2p-10, -0x1.027c033425f11p-10, -0x1.f5032c8e2793bp-11, -0x1.e58026cf71f01p-11, -0x1.d66c19e812cd2p-11, -0x1.c7c43ab82fe5cp-11, -0x1.b985cdf8cab37p-11, -0x1.abae27effdadap-11, -0x1.9e3aac27816dfp-11, -0x1.9128cd22f82e5p-11, -0x1.84760c1857834p-11, -0x1.781ff8a880b2bp-11, -0x1.6c24309936f8fp-11, -0x1.60805f901e2a2p-11, -0x1.55323ece45635p-11, -0x1.4a3794ed653b6p-11, -0x1.3f8e359d2e9dap-11, -0x1.35340162ba93cp-11, -0x1.2b26e5576537ep-11, -0x1.2164daea5e349p-11, -0x1.17ebe7a1ad34dp-11, -0x1.0eba1cdcf66ffp-11, -0x1.05cd97991c559p-11, -0x1.fa490068e5632p-12, -0x1.e97a1468d1eb2p-12, -0x1.d92ae816d51c7p-12, -0x1.c9580dc09f2dbp-12, -0x1.b9fe2cad3c22ep-12, -0x1.ab1a00ae224d1p-12, -0x1.9ca859b373183p-12, -0x1.8ea61b619f2e1p-12, -0x1.81103ca826c7p-12, -0x1.73e3c75b03d2ap-12, -0x1.671dd7cd07528p-12, -0x1.5abb9c6c12493p-12, -0x1.4eba555f80b5dp-12, -0x1.431754276e162p-12, -0x1.37cffb3e37373p-12, -0x1.2ce1bdbba529cp-12, -0x1.224a1ef8c1195p-12, -0x1.1806b236c787p-12, -0x1.0e151a465e9e6p-12, -0x1.04730930fff16p-12, -0x1.f63c7fc73834fp-13, -0x1.e4291bb647b7ep-13, -0x1.d2a7a1a460402p-13, -0x1.c1b3e8e08c1bbp-13, -0x1.b149e3f56ac99p-13, -0x1.a165a00d36428p-13, -0x1.92034459c946cp-13, -0x1.831f117d8425dp-13, -0x1.74b560f949c51p-13, -0x1.66c2a49b5050ap-13, -0x1.594365f1fbf3fp-13, -0x1.4c3445c074b93p-13, -0x1.3f91fb76cb09cp-13, -0x1.335954ab3367dp-13, -0x1.2787349842faap-13, -0x1.1c18939b48073p-13, -0x1.110a7eb625539p-13, -0x1.065a17142225dp-13, -0x1.f809231fb4fap-14, -0x1.e40e6c7b696f7p-14, -0x1.d0bebfebe84bep-14, -0x1.be14f7c637c6dp-14, -0x1.ac0c12245c5a2p-14, -0x1.9a9f3009ad63ep-14, -0x1.89c9948bc0ae7p-14, -0x1.7986a40000256p-14, -0x1.69d1e32e37e5p-14, -0x1.5aa6f684f510ap-14, -0x1.4c01a1553e423p-14, -0x1.3dddc5110383fp-14, -0x1.3037608ba88efp-14, -0x1.230a8f42034d8p-14, -0x1.165388a3eef82p-14, -0x1.0a0e9f625e232p-14, -0x1.fc7081830be96p-15, -0x1.e599e7dc6972bp-15, -0x1.cf92b2ad84e53p-15, -0x1.ba54540fa9518p-15, -0x1.a5d86e1b25e43p-15, -0x1.9218d1aca7987p-15, -0x1.7f0f7d361c32ap-15, -0x1.6cb69b914d243p-15, -0x1.5b0882dc8ca7cp-15, -0x1.49ffb35ec88a2p-15, -0x1.3996d66ca79p-15, -0x1.29c8bd5939dddp-15, -0x1.1a90606b96bdbp-15, -0x1.0be8ddd8c3d5dp-15, -0x1.fb9af1886fd6ap-16, -0x1.e07330904aa41p-16, -0x1.c6518cfed81cfp-16, -0x1.ad2d5f33b28dcp-16, -0x1.94fe41e2ea8fdp-16, -0x1.7dbc10517b859p-16, -0x1.675ee499f0f7ep-16, -0x1.51df15f85a903p-16, -0x1.3d353725037efp-16, -0x1.295a14b6357b6p-16, -0x1.1646b38b78d3dp-16, -0x1.03f44f4599058p-16, -0x1.e4b8b186a9892p-17, -0x1.c2f0e959fc386p-17, -0x1.a284f40bb111ap-17, -0x1.8368e18577f9fp-17, -0x1.659120e1cfdd6p-17, -0x1.48f27dc1f72bap-17, -0x1.2d821db09cd4ap-17, -0x1.13357d9c3adc9p-17, -0x1.f404dec3f20cbp-18, -0x1.c3be2ece1ea54p-18, -0x1.9583d46f175b7p-18, -0x1.69435486b14dfp-18, -0x1.3eeacb3868387p-18, -0x1.1668e7a27e5dap-18, -0x1.df59cf181b427p-19, -0x1.954d26a241f1dp-19, -0x1.4e8c73a4a1b6fp-19, -0x1.0af959216452ep-19, -0x1.94ecef58fd04fp-20, -0x1.19cecbd3e1a5dp-20, -0x1.48c2a56f50286p-21, -0x1.a37af452a06a3p-23, 0x1.b1d3a3e876804p-23, 0x1.379bab9218393p-21, 0x1.f8f59b106e75ap-21, 0x1.586fc93e35f3dp-20, 0x1.afd9a869e0056p-20, 0x1.0171e4302cc7fp-19, 0x1.28dc080d59781p-19, 0x1.4e3f7dd81c105p-19, 0x1.71afd3ad00919p-19, 0x1.933fed2e05596p-19, 0x1.b30208baffe8p-19, 0x1.d107c4884926bp-19, 0x1.ed6223aa58602p-19, 0x1.0410c972d94b4p-18, 0x1.10aaf6afd6167p-18, 0x1.1c87409b3883p-18, 0x1.27ad09fe3125bp-18, 0x1.3223737f2f123p-18, 0x1.3bf15dc09a6cdp-18, 0x1.451d6b620217fp-18, 0x1.4dae030794961p-18, 0x1.55a951426d8d7p-18, 0x1.5d154a73cc7ebp-18, 0x1.63f7ac9afc251p-18, 0x1.6a56011fa13b4p-18, 0x1.70359e8526ae2p-18, 0x1.759baa1784f68p-18, 0x1.7a8d198717deap-18, 0x1.7f0eb47a445f3p-18, 0x1.83251617ba8a9p-18, 0x1.86d4ae8217a55p-18, 0x1.8a21c442fb415p-18, 0x1.8d1075b78d497p-18, 0x1.8fa4ba63f5c4bp-18, 0x1.91e26447c9e2fp-18, 0x1.93cd212434945p-18, 0x1.95687bb1a651fp-18, 0x1.96b7dcd5f300cp-18, 0x1.97be8cd10e952p-18, 0x1.987fb45a3450fp-18, 0x1.98fe5db7c0714p-18, 0x1.993d75ce0d7dap-18, 0x1.993fcd262db05p-18, 0x1.990818ec43ee6p-18, 0x1.9898f3e5c61b2p-18, 0x1.97f4df5b4de58p-18, 0x1.971e440520818p-18, 0x1.961772ea19f79p-18, 0x1.94e2a63828595p-18, 0x1.9382021460c42p-18, 0x1.91f795694f93cp-18, 0x1.90455aa9a03fp-18, 0x1.8e6d388e05bcbp-18, 0x1.8c7102cd2662ep-18, 0x1.8a527acd61764p-18, 0x1.8813504f5e07bp-18, 0x1.85b52218ca887p-18, 0x1.83397e93e2ff6p-18, 0x1.80a1e468684dbp-18, 0x1.7defc31593a69p-18, 0x1.7b247b82c020ep-18, 0x1.7841608bf3eb3p-18, 0x1.7547b78794ce6p-18, 0x1.7238b8ca9cc41p-18, 0x1.6f159028bd2c6p-18, 0x1.6bdf5d6be4c4p-18, 0x1.689734ce77ap-18, 0x1.653e1f69f01e6p-18, 0x1.61d51ba726ac7p-18, 0x1.5e5d1da7bac4cp-18, 0x1.5ad70facb9c36p-18, 0x1.5743d279283e2p-18, 0x1.53a43db217e32p-18, 0x1.4ff920383d62ep-18, 0x1.4c4340833011dp-18, 0x1.48835cf7b3e2p-18, 0x1.44ba2c378694cp-18, 0x1.40e85d71f3cc9p-18, 0x1.3d0e98b0e0a83p-18, 0x1.392d7f235eb2dp-18, 0x1.3545ab620d469p-18, 0x1.3157b1b4fc955p-18, 0x1.2d642055a7acp-18, 0x1.296b7fad74b13p-18, 0x1.256e5291cc09bp-18, 0x1.216d168240ae3p-18, 0x1.1d6843dd6d734p-18, 0x1.19604e190c18ep-18, 0x1.1555a3f6532c7p-18, 0x1.1148afb2623efp-18, 0x1.0d39d738263fap-18, 0x1.09297c4ded561p-18, 0x1.0517fcc15b1c7p-18, 0x1.0105b2923ce7bp-18, 0x1.f9e5e83a17d61p-19, 0x1.f1c028808b104p-19, 0x1.e99ac507780d1p-19, 0x1.e1765676f236ap-19, 0x1.d9536f58129c2p-19, 0x1.d1329c5645e1ep-19, 0x1.c914647e4b528p-19, 0x1.c0f9497c79298p-19, 0x1.b8e1c7d6e5678p-19, 0x1.b0ce5725058e2p-19, 0x1.a8bf6a47b2a96p-19, 0x1.a0b56f9a7127cp-19, 0x1.98b0d128183c2p-19, 0x1.90b1f4d4a3514p-19, 0x1.88b93c8f94eccp-19, 0x1.80c7067c4b18bp-19, 0x1.78dbad1da73bap-19, 0x1.70f7877ab3fedp-19, 0x1.691ae94558ef7p-19, 0x1.61462300135e1p-19, 0x1.5979821f2c962p-19, 0x1.51b551279b73cp-19, 0x1.49f9d7d216c3ap-19, 0x1.42475b258e22bp-19, 0x1.3a9e1d97836d5p-19, 0x1.32fe5f2425c29p-19, 0x1.2b685d68aeb81p-19, 0x1.23dc53bc725c1p-19, 0x1.1c5a7b49f2195p-19, 0x1.14e30b21fc054p-19, 0x1.0d763853c394bp-19, 0x1.061435ffc589ep-19, 0x1.fd7a6ada12556p-20, 0x1.eee2cc316992dp-20, 0x1.e061eb91a9be8p-20, 0x1.d1f821391d10bp-20, 0x1.c3a5c239cb238p-20, 0x1.b56b20965bc9fp-20, 0x1.a7488b5d2945bp-20, 0x1.993e4ec2c4ae7p-20, 0x1.8b4cb43db07afp-20, 0x1.7d74029ff07dp-20, 0x1.6fb47e27c749fp-20, 0x1.620e689bed486p-20, 0x1.5482015ccf399p-20, 0x1.470f8578a0cb9p-20, 0x1.39b72fbf12ef7p-20, 0x1.2c7938d060e9fp-20, 0x1.1f55d72fc3d83p-20, 0x1.124d3f51d8939p-20, 0x1.055fa3ad2657p-20, 0x1.f11a698a677b1p-21, 0x1.d7ac42754dd14p-21, 0x1.be752bae87767p-21, 0x1.a5757b324240bp-21, 0x1.8cad83790c581p-21, 0x1.741d938e99272p-21, 0x1.5bc5f727f3a57p-21, 0x1.43a6f6b576f54p-21, 0x1.2bc0d7717fe97p-21, 0x1.1413db72db3c8p-21, 0x1.f94083789ec04p-22, 0x1.cacc8ca2a850ap-22, 0x1.9ccc446fca88ep-22, 0x1.6f4017216953ap-22, 0x1.42286b40277eap-22, 0x1.1585a1b3df804p-22, 0x1.d2b02bb5a0cc9p-23, 0x1.7b403b3f1dbdbp-23, 0x1.24bc1312486f4p-23, 0x1.9e4893485b796p-24, 0x1.e9e5abd7c4cbap-25, 0x1.35dfc5a23b723p-26, -0x1.609cad2d27012p-26, -0x1.f7d34abf363acp-25, -0x1.9dceb5ec3793bp-24, -0x1.1eead4ca7a084p-23, -0x1.6dfef04535417p-23, -0x1.bc2367199a546p-23, -0x1.04abfe3ee1641p-22, -0x1.2ace3e8c1f3c2p-22, -0x1.50785f6f9b78bp-22, -0x1.75aa508442473p-22, -0x1.9a6405fa8182ep-22, -0x1.bea57884f20fbp-22, -0x1.e26ea5527c97ep-22, -0x1.02dfc7067926p-21, -0x1.144c1c5ff9b63p-21, -0x1.257c57eadf825p-21, -0x1.3670810390e11p-21, -0x1.4728a12b9d905p-21, -0x1.57a4c404e365ep-21, -0x1.67e4f74c594d3p-21, -0x1.77e94ad501b3bp-21, -0x1.87b1d082aab06p-21, -0x1.973e9c4581622p-21, -0x1.a68fc415242e7p-21, -0x1.b5a55feb0e48ap-21, -0x1.c47f89becfb3ep-21, -0x1.d31e5d7fbb40dp-21, -0x1.e181f91284a7fp-21, -0x1.efaa7c4839296p-21, -0x1.fd9808db08d34p-21, -0x1.05a5613577dd7p-20, -0x1.0c61673adf94cp-20, -0x1.13002a2aa8e99p-20, -0x1.1981be9c623aep-20, -0x1.1fe63a0f58b5ap-20, -0x1.262db2e7ce712p-20, -0x1.2c58406d32565p-20, -0x1.3265fac73bf3p-20, -0x1.3856fafaa54d6p-20, -0x1.3e2b5ae7637c7p-20, -0x1.43e335432ddb5p-20, -0x1.497ea598ea768p-20, -0x1.4efdc8456b548p-20, -0x1.5460ba74af2dep-20, -0x1.59a79a1fa9092p-20, -0x1.5ed28607df971p-20, -0x1.63e19db4d892fp-20, -0x1.68d50172686a1p-20, -0x1.6dacd24c71e03p-20, -0x1.7269320b7e73bp-20, -0x1.770a433225212p-20, -0x1.7b9028fae598fp-20, -0x1.7ffb07540a7a5p-20, -0x1.844b02dc409p-20, -0x1.888040df733a8p-20, -0x1.8c9ae753358efp-20, -0x1.909b1cd48fb72p-20, -0x1.948108a4f9551p-20, -0x1.984cd2a686ae9p-20, -0x1.9bfea3585e7afp-20, -0x1.9f96a3d412d0dp-20, -0x1.a314fdc985af6p-20, -0x1.a679db7cdeb83p-20, -0x1.a9c567c1c63dcp-20, -0x1.acf7cdf91133fp-20, -0x1.b0113a0cbba0ep-20, -0x1.b311d86d33b53p-20, -0x1.b5f9d60cbc0d3p-20, -0x1.b8c9605c63c6ap-20, -0x1.bb80a5498204bp-20, -0x1.be1fd33a2bbep-20, -0x1.c0a71909927b3p-20, -0x1.c316a6049f09bp-20, -0x1.c56ea9e6c384fp-20, -0x1.c7af54d639cd5p-20, -0x1.c9d8d76092b2ep-20, -0x1.cbeb6277823b9p-20, -0x1.cde7276df115ap-20, -0x1.cfcc57f41d146p-20, -0x1.d19b2614fb578p-20, -0x1.d353c430e8ffap-20, -0x1.d4f664fb425dfp-20, -0x1.d6833b77b745cp-20, -0x1.d7fa7af699a74p-20, -0x1.d95c5711d108p-20, -0x1.daa903a953c6ap-20, -0x1.dbe0b4dfd1f0ep-20, -0x1.dd039f17601abp-20, -0x1.de11f6ee0fc1dp-20, -0x1.df0bf13b66361p-20, -0x1.dff1c30c8d39cp-20, -0x1.e0c3a1a1cc381p-20, -0x1.e181c26a242bap-20, -0x1.e22c5b015d8ecp-20, -0x1.e2c3a12bc5b16p-20, -0x1.e347cad3e9a6bp-20, -0x1.e3b90e06bc856p-20, -0x1.e417a0f16a8bbp-20, -0x1.e463b9de671c3p-20, -0x1.e49d8f31e03d7p-20, -0x1.e4c55766b8fdep-20, -0x1.e4db490c343cep-20, -0x1.e4df9ac219c48p-20, -0x1.e4d283369057bp-20, -0x1.e4b43923baa5ep-20, -0x1.e484f34bdc64bp-20, -0x1.e444e8769d558p-20, -0x1.e3f44f6eb40f7p-20, -0x1.e3935eff82f27p-20, -0x1.e3224df1ec7f6p-20, -0x1.e2a1530895444p-20, -0x1.e210a4feac91fp-20, -0x1.e1707a85a9b86p-20, -0x1.e0c10a428384bp-20, -0x1.e0028ac9e0e27p-20, -0x1.df35329ed0463p-20, -0x1.de593830c579ep-20, -0x1.dd6ed1d791bfp-20, -0x1.dc7635d1ef6a5p-20, -0x1.db6f9a43eae81p-20, -0x1.da5b3533a93edp-20, -0x1.d9393c86edf35p-20, -0x1.d809e60163c5bp-20, -0x1.d6cd6742bd13dp-20, -0x1.d583f5c39e18ep-20, -0x1.d42dc6d373865p-20, -0x1.d2cb0f97d11b6p-20, -0x1.d15c050943ae8p-20, -0x1.cfe0dbf1bff5fp-20, -0x1.ce59c8ea66ae4p-20, -0x1.ccc70059f7ffbp-20, -0x1.cb28b6726aaddp-20, -0x1.c97f1f2f8c736p-20, -0x1.c7ca6e54e54a4p-20, -0x1.c60ad76c57c71p-20, -0x1.c4408dc471e7ep-20, -0x1.c26bc46de1adbp-20, -0x1.c08cae3ad8505p-20, }}, 
      {{-0x1.3a3603e80d117p-7, -0x1.3a5c650455e64p-6, -0x1.d7e92248d9405p-6, -0x1.3af19552babbdp-5, -0x1.8a33f414cdb0cp-5, -0x1.d9c79ae943c82p-5, -0x1.14dab5c2ac039p-4, -0x1.3d019284f4d59p-4, -0x1.6559b255030f4p-4, -0x1.8de2d75f7a325p-4, -0x1.b69b3d3ddd584p-4, -0x1.df7fa0a3e4cffp-4, -0x1.0445a57b114bbp-3, -0x1.18dc11efd7774p-3, -0x1.2d7f6505fd17ep-3, -0x1.422b5973310acp-3, -0x1.56db280f261c7p-3, -0x1.6b899c75179a8p-3, -0x1.80312a5855f03p-3, -0x1.94cc0268942f6p-3, -0x1.a95425d1281ebp-3, -0x1.bdc377a27789fp-3, -0x1.d213cbbfdbc27p-3, -0x1.e63ef332f0eabp-3, -0x1.fa3ec6007a54cp-3, -0x1.0706956317e19p-2, -0x1.10d20e420667cp-2, -0x1.1a7ed77f91249p-2, -0x1.240a091591b77p-2, -0x1.2d70ca7ea81bfp-2, -0x1.36b053fd4b59bp-2, -0x1.3fc5efdf67f63p-2, -0x1.48aefbd314b18p-2, -0x1.5168ea571b386p-2, -0x1.59f1444984a99p-2, -0x1.6245aa8f6b32p-2, -0x1.6a63d7cc43a87p-2, -0x1.7249a21b7a37cp-2, -0x1.79f4fcbd9c369p-2, -0x1.8163f9aa19592p-2, -0x1.8894caf78f162p-2, -0x1.8f85c40e66586p-2, -0x1.96355a9bf587ap-2, -0x1.9ca2273f0fd4cp-2, -0x1.a2cae5e9d18bfp-2, -0x1.a8ae75f732444p-2, -0x1.ae4bd9f58d465p-2, -0x1.b3a2372991f78p-2, -0x1.b8b0d4cef4161p-2, -0x1.bd771b1db8ca1p-2, -0x1.c1f4921c251d2p-2, -0x1.c628e045edaa8p-2, -0x1.ca13c911bcc6fp-2, -0x1.cdb52b5e0c9fdp-2, -0x1.d10cffce26d5ap-2, -0x1.d41b571f8bb63p-2, -0x1.d6e0587f5895ep-2, -0x1.d95c3fe679254p-2, -0x1.db8f5c828aef1p-2, -0x1.dd7a0f30555bap-2, -0x1.df1cc90be0347p-2, -0x1.e0780a1920335p-2, -0x1.e18c600765869p-2, -0x1.e25a6510cd58fp-2, -0x1.e2e2bef63d629p-2, -0x1.e3261e17c02b5p-2, -0x1.e3253ca87ac38p-2, -0x1.e2e0ddfd0571dp-2, -0x1.e259cdf2730e5p-2, -0x1.e190e06c159ep-2, -0x1.e086f0e5c9b7dp-2, -0x1.df3ce2186d495p-2, -0x1.ddb39dae11355p-2, -0x1.dbec14037546dp-2, -0x1.d9e73bf45d111p-2, -0x1.d7a612b06e331p-2, -0x1.d5299b965f542p-2, -0x1.d272e0136a484p-2, -0x1.cf82ef851aefap-2, -0x1.cc5adf1bd349p-2, -0x1.c8fbc9bc7b179p-2, -0x1.c566cfe02186dp-2, -0x1.c19d1770743f2p-2, -0x1.bd9fcba03237p-2, -0x1.b9701cbeeebbp-2, -0x1.b50f4007a9f71p-2, -0x1.b07e6f69ea209p-2, -0x1.abbee94d39fafp-2, -0x1.a6d1f04efff7bp-2, -0x1.a1b8cafad8287p-2, -0x1.9c74c37daaa1ap-2, -0x1.97072753d4817p-2, -0x1.917146f2cd985p-2, -0x1.8bb4756ecff65p-2, -0x1.85d2081cfd646p-2, -0x1.7fcb5632a2dedp-2, -0x1.79a1b8622d67cp-2, -0x1.735688766e85cp-2, -0x1.6ceb20ecd1d6ep-2, -0x1.6660dc8f1e87dp-2, -0x1.5fb9160d5bfa8p-2, -0x1.58f52798738a6p-2, -0x1.52166a7e16028p-2, -0x1.4b1e36c66cacep-2, -0x1.440de2d40fcd5p-2, -0x1.3ce6c306b4e17p-2, -0x1.35aa2960faaf9p-2, -0x1.2e596531aaa8cp-2, -0x1.26f5c2c0c957p-2, -0x1.1f808b00ac609p-2, -0x1.17fb03435f22ap-2, -0x1.10666cf4751c8p-2, -0x1.08c405577bdfp-2, -0x1.0115054b1be3bp-2, -0x1.f2b54221fbb39p-3, -0x1.e32c1034f0ba3p-3, -0x1.d390c9b40c2ffp-3, -0x1.c3e5b932f382dp-3, -0x1.b42d1ea9be81ep-3, -0x1.a4692f33e1ce9p-3, -0x1.949c14d80e715p-3, -0x1.84c7ee58b92bp-3, -0x1.74eecf0cfebe9p-3, -0x1.6512bec18b7a1p-3, -0x1.5535b9a13431cp-3, -0x1.4559b024ce53ep-3, -0x1.35808709eb9a5p-3, -0x1.25ac17500d28ep-3, -0x1.15de2e3be2c85p-3, -0x1.06188d6024c5ep-3, -0x1.ecb9d55744dep-4, -0x1.cd59e0f82218p-4, -0x1.ae147b6a6e2a3p-4, -0x1.8eeccbb7f588fp-4, -0x1.6fe5e26a09042p-4, -0x1.5102b9cce9787p-4, -0x1.32463638c0403p-4, -0x1.13b3265f5308fp-4, -0x1.ea98873b90d5fp-5, -0x1.ae2864a38c978p-5, -0x1.721b0462b7ce4p-5, -0x1.36755d4a04f17p-5, -0x1.f6787c8cf4fdap-6, -0x1.80e89e350eb0ep-6, -0x1.0c442230ee972p-6, -0x1.31277f74b235ep-7, -0x1.2eff20a3a41cap-9, 0x1.2f3d300a82247p-8, 0x1.78e3e5c89d87p-7, 0x1.2c00789940c27p-6, 0x1.9a7389776ff71p-6, 0x1.03e20a63bd1bep-5, 0x1.39f5a5b906fb8p-5, 0x1.6f714f5b10546p-5, 0x1.a451df74425d4p-5, 0x1.d8944d1ea2eddp-5, 0x1.061ad6e6d2e9fp-4, 0x1.1f999a5e983d8p-4, 0x1.38c51932f9306p-4, 0x1.519c09fb8aedep-4, 0x1.6a1d316aa710dp-4, 0x1.8247620f9dc09p-4, 0x1.9a197c1b858b6p-4, 0x1.b1926d28a51ccp-4, 0x1.c8b130045e30cp-4, 0x1.df74cc7b890cfp-4, 0x1.f5dc5729315dbp-4, 0x1.05f378a3c8d1ep-3, 0x1.10c9e4419c642p-3, 0x1.1b710b681df87p-3, 0x1.25e89120ad17cp-3, 0x1.30301e7074cb9p-3, 0x1.3a476245c0b35p-3, 0x1.442e116610184p-3, 0x1.4de3e65ce7008p-3, 0x1.5768a16b4661ep-3, 0x1.60bc0877b496fp-3, 0x1.69dde6fecd49p-3, 0x1.72ce0e0449dc4p-3, 0x1.7b8c540467fa1p-3, 0x1.841894e5aab4ap-3, 0x1.8c72b1ead69a1p-3, 0x1.949a91a535e7bp-3, 0x1.9c901fe6ed747p-3, 0x1.a4534db580392p-3, 0x1.abe4113c4cb0fp-3, 0x1.b34265bf1a0eep-3, 0x1.ba6e4b8c8b101p-3, 0x1.c167c7f07f36p-3, 0x1.c82ee5265294cp-3, 0x1.cec3b24aea9bbp-3, 0x1.d526434e8e186p-3, 0x1.db56b0e6840c3p-3, 0x1.e155187e61957p-3, 0x1.e7219c29133ccp-3, 0x1.ecbc629189e64p-3, 0x1.f22596eb15f51p-3, 0x1.f75d68e159c28p-3, 0x1.fc640c87ded83p-3, 0x1.009cdd24a21fep-2, 0x1.02ef576afeff5p-2, 0x1.0529958958254p-2, 0x1.074bba0308ad8p-2, 0x1.0955e963353d5p-2, 0x1.0b484a334ef8ap-2, 0x1.0d2304f15fee3p-2, 0x1.0ee64406232e3p-2, 0x1.109233bae3b32p-2, 0x1.1227022f25331p-2, 0x1.13a4df4e19ebcp-2, 0x1.150bfcc3e104ep-2, 0x1.165c8df29a48dp-2, 0x1.1796c7e73e7dfp-2, 0x1.18bae14e5500fp-2, 0x1.19c9126873472p-2, 0x1.1ac194fe98c09p-2, 0x1.1ba4a4565cfccp-2, 0x1.1c727d25fdb4cp-2, 0x1.1d2b5d88453f9p-2, 0x1.1dcf84f052ae4p-2, 0x1.1e5f341d44709p-2, 0x1.1edaad0dc743ep-2, 0x1.1f4232f38c81ap-2, 0x1.1f960a26ad846p-2, 0x1.1fd67818fc22ep-2, 0x1.2003c3494205p-2, 0x1.201e333676bb9p-2, 0x1.20261052ebbb1p-2, 0x1.201ba3f7722ddp-2, 0x1.1fff38567f03fp-2, 0x1.1fd1186f4d40dp-2, 0x1.1f91900106713p-2, 0x1.1f40eb7deea56p-2, 0x1.1edf77fe9afa2p-2, 0x1.1e6d833535c38p-2, 0x1.1deb5b60cc652p-2, 0x1.1d594f40b71c9p-2, 0x1.1cb7ae080e6ecp-2, 0x1.1c06c7513bd96p-2, 0x1.1b46eb11a325cp-2, 0x1.1a78698d6932fp-2, 0x1.199b934b59189p-2, 0x1.18b0b908ec08ap-2, 0x1.17b82bae71bc8p-2, 0x1.16b23c43654ddp-2, 0x1.159f3be2e4cdap-2, 0x1.147f7bb053f5fp-2, 0x1.13534ccc2fac4p-2, 0x1.121b00490b4c5p-2, 0x1.10d6e720bec44p-2, 0x1.0f875229c9076p-2, 0x1.0e2c920ce5f52p-2, 0x1.0cc6f73ad3c0cp-2, 0x1.0b56d1e255eaep-2, 0x1.09dc71e66de34p-2, 0x1.085826d4c952ap-2, 0x1.06ca3fdc6fb96p-2, 0x1.05330bc4a859bp-2, 0x1.0392d8e41b819p-2, 0x1.01e9f51835cd3p-2, 0x1.0038adbcc343fp-2, 0x1.fcfe9f47971b2p-3, 0x1.f97c4e1b611ecp-3, 0x1.f5eaff430e303p-3, 0x1.f24b48cb64ca4p-3, 0x1.ee9dbf718421ap-3, 0x1.eae2f6951c08p-3, 0x1.e71b802b253bcp-3, 0x1.e347ecb122eeep-3, 0x1.df68cb20e2f8ep-3, 0x1.db7ea8e4baef4p-3, 0x1.d78a11cc50392p-3, 0x1.d38b9001d8a43p-3, 0x1.cf83abffe5f43p-3, 0x1.cb72ec87a58ep-3, 0x1.c759d697acdfep-3, 0x1.c338ed6337416p-3, 0x1.bf10b249eded3p-3, 0x1.bae1a4d02253cp-3, 0x1.b6ac42978b7e1p-3, 0x1.b2710758794e7p-3, 0x1.ae306cdb7f61dp-3, 0x1.a9eaeaf39bf79p-3, 0x1.a5a0f778ce8edp-3, 0x1.a153064329a95p-3, 0x1.9d0189264e1bap-3, 0x1.98acefed5dfe3p-3, 0x1.9455a8575d915p-3, 0x1.8ffc1e13f6a5cp-3, 0x1.8ba0bac0b9cdfp-3, 0x1.8743e5e6b23e3p-3, 0x1.82e604f8730f5p-3, 0x1.7e877b507b96dp-3, 0x1.7a28aa30046acp-3, 0x1.75c9f0be2a846p-3, 0x1.716bac077a431p-3, 0x1.6d0e36fdcfc1ep-3, 0x1.68b1ea78970ddp-3, 0x1.64571d355febep-3, 0x1.5ffe23d8c7d2fp-3, 0x1.5ba750efb06c8p-3, 0x1.5752f4f0cd29fp-3, 0x1.53015e3e7b9dep-3, 0x1.4eb2d928e1538p-3, 0x1.4a67aff05b72fp-3, 0x1.46202ac82b173p-3, 0x1.41dc8fd96e2b1p-3, 0x1.3d9d234651726p-3, 0x1.3962272d88f1ap-3, 0x1.352bdbadfc3bep-3, 0x1.30fa7eeab5993p-3, 0x1.2cce4d0f06d62p-3, 0x1.28a78052dbd01p-3, 0x1.248650ff4e18dp-3, 0x1.206af5735ae8ap-3, 0x1.1c55a228d3febp-3, 0x1.184689b97736p-3, 0x1.143ddce42cce2p-3, 0x1.103bca927614bp-3, 0x1.0c407fddfd7bap-3, 0x1.084c281648fdbp-3, 0x1.045eecc691748p-3, 0x1.0078f5bbb7d68p-3, 0x1.f934d214b0babp-4, 0x1.f186d629f5657p-4, 0x1.e9e83d24b1f92p-4, 0x1.e2594927861c9p-4, 0x1.dada391722dfdp-4, 0x1.d36b48a767529p-4, 0x1.cc0cb06895bcp-4, 0x1.c4bea5d4af86dp-4, 0x1.bd815b5cf299bp-4, 0x1.b65500776685p-4, 0x1.af39c1ac8cep-4, 0x1.a82fc8a516ed2p-4, 0x1.a1373c37c1f19p-4, 0x1.9a50407728ff9p-4, 0x1.937af6bfb17dcp-4, 0x1.8cb77dc57c412p-4, 0x1.8605f1a25ab39p-4, 0x1.7f666be3c3456p-4, 0x1.78d90398cc8f2p-4, 0x1.725dcd6023dfap-4, 0x1.6bf4db75f93c7p-4, 0x1.659e3dc1ecf75p-4, 0x1.5f5a01e4ec066p-4, 0x1.5928334705acap-4, 0x1.5308db25306c4p-4, 0x1.4cfc009eff23dp-4, 0x1.4701a8c447ebp-4, 0x1.4119d6a2aeca7p-4, 0x1.3b448b53271fbp-4, 0x1.3581c607514b9p-4, 0x1.2fd18416c6f5cp-4, 0x1.2a33c10c4b2a8p-4, 0x1.24a876b2ddcbbp-4, 0x1.1f2f9d22b1197p-4, 0x1.19c92ace00cbep-4, 0x1.1475148dcabd8p-4, 0x1.0f334dae62d0fp-4, 0x1.0a03c7fbe6ff4p-4, 0x1.04e673ce8f56p-4, 0x1.ffb6802dae824p-5, 0x1.f5c434d307a5ep-5, 0x1.ebf5de17032b6p-5, 0x1.e24b51fb3c3f3p-5, 0x1.d8c4641028e1ep-5, 0x1.cf60e58be5fp-5, 0x1.c620a560b0219p-5, 0x1.bd0370530f46ep-5, 0x1.b409110f9b7d4p-5, 0x1.ab3150407af69p-5, 0x1.a27bf4a27eff3p-5, 0x1.99e8c319f0cbdp-5, 0x1.91777ec6f9a5dp-5, 0x1.8927e919c027ap-5, 0x1.80f9c1e61adbdp-5, 0x1.78ecc776f1f0dp-5, 0x1.7100b6a14a5e3p-5, 0x1.69354ad6e722ap-5, 0x1.618a3e389a496p-5, 0x1.59ff49a8325d3p-5, 0x1.529424da13c45p-5, 0x1.4b488666715a8p-5, 0x1.441c23da28dc5p-5, 0x1.3d0eb1c7448bap-5, 0x1.361fe3d51d7acp-5, 0x1.2f4f6cd02df94p-5, 0x1.289cfeb97856ep-5, 0x1.22084ad5a30eap-5, 0x1.1b9101bbae359p-5, 0x1.1536d363530fap-5, 0x1.0ef96f3310f5ap-5, 0x1.08d8840dd86b1p-5, 0x1.02d3c06061c3p-5, 0x1.f9d5a45c5580fp-6, 0x1.ee3ace3c49653p-6, 0x1.e2d6590dfbe0cp-6, 0x1.d7a79ef65479ap-6, 0x1.ccadf9a9011fp-6, 0x1.c1e8c27f352cap-6, 0x1.b757528d9a403p-6, 0x1.acf902b9c1b05p-6, 0x1.a2cd2bcee3479p-6, 0x1.98d32691f5ecep-6, 0x1.8f0a4bd538beep-6, 0x1.8571f48b1400dp-6, 0x1.7c0979d86f674p-6, 0x1.72d03526668b1p-6, 0x1.69c580335adp-6, 0x1.60e8b52396dp-6, 0x1.58392e91374cap-6, 0x1.4fb6479ba16d1p-6, 0x1.475f5bf66535bp-6, 0x1.3f33c7f78a1dp-6, 0x1.3732e8a569a19p-6, 0x1.2f5c1bc3e8067p-6, 0x1.27aebfe149d75p-6, 0x1.202a34626793fp-6, 0x1.18cdd98e77cd8p-6, 0x1.1199109a61a39p-6, 0x1.0a8b3bb377f68p-6, 0x1.03a3be09dbef4p-6, 0x1.f9c3f7b4b23ffp-7, 0x1.ec8ab4efb02d3p-7, 0x1.df9a80a89eeb3p-7, 0x1.d2f22a12bb947p-7, 0x1.c69082c0cadaep-7, 0x1.ba745eb4834f4p-7, 0x1.ae9c946d421b2p-7, 0x1.a307fcf5d8ecap-7, 0x1.97b573f18fcfp-7, 0x1.8ca3d7a887fc3p-7, 0x1.81d209134e625p-7, 0x1.773eebe5a6517p-7, 0x1.6ce96698c333p-7, 0x1.62d06274b35f1p-7, 0x1.58f2cb9939fc3p-7, 0x1.4f4f9105e53eap-7, 0x1.45e5a4a1a7aedp-7, 0x1.3cb3fb419fbc2p-7, 0x1.33b98caf8a06cp-7, 0x1.2af553af61665p-7, 0x1.22664e0487981p-7, 0x1.1a0b7c7660341p-7, 0x1.11e3e2d45a88ep-7, 0x1.09ee87f983227p-7, 0x1.022a75cf90e1bp-7, 0x1.f52d72a2cb4p-8, 0x1.e664c51a28c1ep-8, 0x1.d7f9094b58887p-8, 0x1.c9e86ba8328fap-8, 0x1.bc311ed04697fp-8, 0x1.aed15b913cfa8p-8, 0x1.a1c760e69ea57p-8, 0x1.951173f90291p-8, 0x1.88ade01c2dd4fp-8, 0x1.7c9af6ccc7a8cp-8, 0x1.70d70fad2c7cep-8, 0x1.656088817bc46p-8, 0x1.5a35c52b51dcbp-8, 0x1.4f552fa492fd2p-8, 0x1.44bd37f9ac39dp-8, 0x1.3a6c54435e96bp-8, 0x1.3061009ffc85p-8, 0x1.2699bf2bd36e7p-8, 0x1.1d1517f98413cp-8, 0x1.13d1990995e39p-8, 0x1.0acdd6417d4c4p-8, 0x1.020869628558p-8, 0x1.f2ffe40006e7p-9, 0x1.e2662aea4c5p-9, 0x1.d240fdb53f0c2p-9, 0x1.c28dbdf76bc1bp-9, 0x1.b349d89584e68p-9, 0x1.a472c5aca9ee6p-9, 0x1.96060878f9571p-9, 0x1.88012f3e8d62ap-9, 0x1.7a61d32ffd4p-9, 0x1.6d259854df53fp-9, 0x1.604a2d7047009p-9, 0x1.53cd4be6141f6p-9, 0x1.47acb7a0559f5p-9, 0x1.3be63ef3da27ap-9, 0x1.3077ba84a9159p-9, 0x1.255f0d2a64f69p-9, 0x1.1a9a23d3addc8p-9, 0x1.1026f5695bbb5p-9, 0x1.060382b2794cap-9, 0x1.f85bac6c9a9d7p-10, 0x1.e548083fb8bf7p-10, 0x1.d2c8543f59fcp-10, 0x1.c0d8de9d99f46p-10, 0x1.af760820fba54p-10, 0x1.9e9c43e95770ap-10, 0x1.8e4817332e336p-10, 0x1.7e76191bb861cp-10, 0x1.6f22f2643ebddp-10, 0x1.604b5d35fa2a6p-10, 0x1.51ec24e503ac5p-10, 0x1.440225b3e32c7p-10, 0x1.368a4c976407bp-10, 0x1.298196f928be1p-10, 0x1.1ce5127c2f262p-10, 0x1.10b1dcbf08e9ap-10, 0x1.04e52320eb8f6p-10, 0x1.f2f84509fb6cap-11, 0x1.dce84e2be02dp-11, 0x1.c7951815dae96p-11, 0x1.b2f976d757516p-11, 0x1.9f105baabd36bp-11, 0x1.8bd4d47ec7188p-11, 0x1.79420b819d4bcp-11, 0x1.675346ab73b66p-11, 0x1.5603e74bcbc19p-11, 0x1.454f6993ec40cp-11, 0x1.35316425ca473p-11, 0x1.25a587a252cap-11, 0x1.16a79e363e3bdp-11, 0x1.08338b2cbaae1p-11, 0x1.f48a94fb43434p-12, 0x1.d9b1e0c11788p-12, 0x1.bfd551bd24e74p-12, 0x1.a6ed6ecb330fbp-12, 0x1.8ef2ecba1ce3ep-12, 0x1.77dead76b2859p-12, 0x1.61a9bf37b633cp-12, 0x1.4c4d5bae032a4p-12, 0x1.37c2e7343e818p-12, 0x1.2403f00212a2cp-12, 0x1.110a2d61a0d56p-12, 0x1.fd9efdd0ce9d9p-13, 0x1.da9bd75ddb9cep-13, 0x1.b8ff431b2f0f9p-13, 0x1.98bde8b5e7b49p-13, 0x1.79ccba578993p-13, 0x1.5c20f32ea2795p-13, 0x1.3fb015f236b7cp-13, 0x1.246feb7b49fa8p-13, 0x1.0a56814e53d9dp-13, 0x1.e2b450727f6f7p-14, 0x1.b2e2e5e0f2d7dp-14, 0x1.8526695c06ba2p-14, 0x1.596cffb3e78d1p-14, 0x1.2fa5496c1b32ap-14, 0x1.07be601b319a9p-14, 0x1.c34fa7a8917d7p-15, 0x1.7aa35135f9d4ap-15, 0x1.3558a7bda0aa4p-15, 0x1.e6a2e825c98bcp-16, 0x1.68e0affc04a14p-16, 0x1.e2632643b926fp-17, 0x1.fd7872cac4408p-18, 0x1.3306d82f50febp-20, -0x1.4e2f3461a6757p-18, -0x1.6a12c466b195bp-17, -0x1.1179a63f72ea9p-16, -0x1.690c7bbdf150fp-16, -0x1.bbf05bcda45a7p-16, -0x1.05292f4edc2dap-15, -0x1.2a2f21e088773p-15, -0x1.4d1f3d2526deep-15, -0x1.6e0e14698f2bfp-15, -0x1.8d0f9ab0a5faep-15, -0x1.aa3726865b2d4p-15, -0x1.c59775db610e2p-15, -0x1.df42b1b0bf173p-15, -0x1.f74a71d12dbbap-15, -0x1.06dfe02d1a1f8p-14, -0x1.11598ea903331p-14, -0x1.1b1a4107a6711p-14, -0x1.2429b257e477bp-14, -0x1.2c8f5daf63aaap-14, -0x1.34527fd22a31ep-14, -0x1.3b7a18ca8f966p-14, -0x1.420ced7dca6f3p-14, -0x1.48118934c2b33p-14, -0x1.4d8e3f212354ap-14, -0x1.52892bd74bf7ep-14, -0x1.570836c32222ap-14, -0x1.5b11139187cb4p-14, -0x1.5ea943991cdd2p-14, -0x1.61d61731b46ffp-14, -0x1.649caf122d864p-14, -0x1.6701fd9752fefp-14, -0x1.690ac81308251p-14, -0x1.6abba8085cae7p-14, -0x1.6c190c66a991dp-14, -0x1.6d273abeebbecp-14, -0x1.6dea506eb84e8p-14, -0x1.6e6643c58772cp-14, -0x1.6e9ee526b0b6bp-14, -0x1.6e97e01fce4c9p-14, -0x1.6e54bc7e30f1fp-14, -0x1.6dd8df5a461bfp-14, -0x1.6d278c1f66af8p-14, -0x1.6c43e58af325p-14, -0x1.6b30eea86545p-14, -0x1.69f18bc64fa08p-14, -0x1.68888363f3387p-14, -0x1.66f87f1bf42cbp-14, -0x1.65440c89b977ep-14, -0x1.636d9e2508734p-14, -0x1.61778c1f16834p-14, -0x1.5f6415330964ep-14, -0x1.5d355f77321c4p-14, -0x1.5aed79270ee3ap-14, -0x1.588e5966406bdp-14, -0x1.5619e10192c71p-14, -0x1.5391db2ab94dcp-14, -0x1.50f7fe2cd88a3p-14, -0x1.4e4dec2083731p-14, -0x1.4b953397e8546p-14, -0x1.48cf5047fdf23p-14, -0x1.45fdabad3f6bep-14, -0x1.43219daa7f73ap-14, -0x1.403c6d26d54d3p-14, -0x1.3d4f50a323998p-14, -0x1.3a5b6ecff5c84p-14, -0x1.3761df1c8d629p-14, -0x1.3463aa423cad1p-14, -0x1.3161cacd58d68p-14, -0x1.2e5d2da07f1b3p-14, -0x1.2b56b276bf721p-14, -0x1.284f2c60b9f7ep-14, -0x1.2547623d575b4p-14, -0x1.22400f308f8b9p-14, -0x1.1f39e316a9862p-14, -0x1.1c3582f22f602p-14, -0x1.193389591a2c6p-14, -0x1.163486e0a400ep-14, -0x1.1339027f22f79p-14, -0x1.104179f2b8833p-14, -0x1.0d4e6220217e3p-14, -0x1.0a60276f2557cp-14, -0x1.07772e26a2e3ep-14, -0x1.0493d2c3e7a63p-14, -0x1.01b66a4fa15c7p-14, -0x1.fdbe8561d922fp-15, -0x1.f81d45f82b376p-15, -0x1.f2899780b6217p-15, -0x1.ed03eea8a6343p-15, -0x1.e78cb438a334cp-15, -0x1.e22445a5b9678p-15, -0x1.dccaf596aaeb9p-15, -0x1.d7810c6833f48p-15, -0x1.d246c8ad3469cp-15, -0x1.cd1c5fa84fa08p-15, -0x1.c801fdc196f4bp-15, -0x1.c2f7c6fd0fcb9p-15, -0x1.bdfdd7680cdf5p-15, -0x1.b9144383406e1p-15, -0x1.b43b18ad4944ap-15, -0x1.af725d82980bbp-15, -0x1.aaba123fd97f5p-15, -0x1.a612311f963b3p-15, -0x1.a17aaeb4061bbp-15, -0x1.9cf37a3a9c607p-15, -0x1.987c7df367123p-15, -0x1.94159f6d2bbebp-15, -0x1.8fbebfd3a77b7p-15, -0x1.8b77bc3bdf26dp-15, -0x1.87406de81898dp-15, -0x1.8318aa90459ccp-15, -0x1.7f0044a0976d8p-15, -0x1.7af70b7bbaf11p-15, -0x1.76fccbb59ce7bp-15, -0x1.73114f4dad7bdp-15, -0x1.6f345de7c2606p-15, -0x1.6b65bd017df18p-15, -0x1.67a530269cf25p-15, -0x1.63f2791f3655dp-15, -0x1.604d58233693ep-15, -0x1.5cb58c044b333p-15, -0x1.592ad258dd428p-15, -0x1.55ace7a6b1635p-15, -0x1.523b8789c40f5p-15, -0x1.4ed66cd97aed2p-15, -0x1.4b7d51ccd8dc2p-15, -0x1.482ff01bf3152p-15, -0x1.44ee012013426p-15, -0x1.41b73df1cf895p-15, -0x1.3e8b5f880af6fp-15, -0x1.3b6a1ed2e4548p-15, -0x1.385334d527cdp-15, -0x1.35465abe9e829p-15, -0x1.32434a02d1da8p-15, -0x1.2f49bc6ecb616p-15, -0x1.2c596c3ef23a3p-15, -0x1.297214314534fp-15, -0x1.26936f999d83ap-15, -0x1.23bd3a73b6603p-15, -0x1.20ef316fa0e09p-15, -0x1.1e2912054531ep-15, -0x1.1b6a9a80fec68p-15, -0x1.18b38a10750b6p-15, -0x1.1603a0ce98571p-15, -0x1.135a9fd0dc423p-15, -0x1.10b84930d4c86p-15, -0x1.0e1c6014ed8b2p-15, -0x1.0b86a8bbb9d12p-15, -0x1.08f6e881a52aap-15, -0x1.066ce5e8c75dbp-15, -0x1.03e868a0d91b4p-15, -0x1.0169398bcdc75p-15, -0x1.fdde458791244p-16, -0x1.f8f3df40a6ac8p-16, -0x1.f412d972b5886p-16, -0x1.ef3acfd71182bp-16, -0x1.ea6b60b5dc246p-16, -0x1.e5a42ce9cbb7bp-16, -0x1.e0e4d7e57d2bfp-16, -0x1.dc2d07b5b1a96p-16, -0x1.d77c650551636p-16, -0x1.d2d29b1a64f9ep-16, -0x1.ce2f57d91c17fp-16, -0x1.c9924bc336219p-16, -0x1.c4fb29f66bcbfp-16, -0x1.c069a827b0f21p-16, -0x1.bbdd7ea4fa8bp-16, -0x1.b75668502e59p-16, -0x1.b2d42299a3a0cp-16, -0x1.ae566d7dc2feap-16, -0x1.a9dd0b7f0be6p-16, -0x1.a567c19f73ac3p-16, -0x1.a0f6575acb96cp-16, -0x1.9c8896a23690ep-16, -0x1.981e4bd30e1bbp-16, -0x1.93b745aef0d6ep-16, -0x1.8f535556053fbp-16, -0x1.8af24e3e0cbebp-16, -0x1.869406299f0f9p-16, -0x1.82385520634dbp-16, -0x1.7ddf1563af62cp-16, -0x1.798823680dfb2p-16, -0x1.75335dcab4afap-16, -0x1.70e0a5484f04dp-16, -0x1.6c8fdcb1109ddp-16, -0x1.6840e8e0dcfd7p-16, -0x1.63f3b0b4ac653p-16, -0x1.5fa81d003809dp-16, -0x1.5b5e188110132p-16, -0x1.57158fd71ee04p-16, -0x1.52ce7179372b2p-16, -0x1.4e88ada99d20cp-16, -0x1.4a44366b7b19ep-16, -0x1.4600ff780fb69p-16, -0x1.41befe33c8844p-16, -0x1.3d7e29a285e96p-16, -0x1.393e7a5dea33cp-16, -0x1.34ffea8a6ae12p-16, -0x1.30c275cad143cp-16, -0x1.2c8619363318dp-16, -0x1.284ad34d23858p-16, -0x1.2410a3efb50bcp-16, -0x1.1fd78c514c53cp-16, -0x1.1b9f8eed48f8fp-16, -0x1.1768af7d9a7dbp-16, -0x1.1332f2f08729ep-16, -0x1.0efe5f5d30178p-16, -0x1.0acafbf965095p-16, -0x1.0698d10e8d594p-16, -0x1.0267e7f02695dp-16, -0x1.fc7095e3bc7c4p-17, -0x1.f4140aba28576p-17, -0x1.ebba46ccbb699p-17, -0x1.e363644866409p-17, -0x1.db0f7f0b94fdcp-17, -0x1.d2beb49098853p-17, -0x1.ca7123dc035c4p-17, -0x1.c226ed6b0517fp-17, -0x1.b9e0331edb46bp-17, -0x1.b19d182c882f9p-17, -0x1.a95dc10938bb5p-17, -0x1.a122535a8fa3cp-17, -0x1.98eaf5e3ae365p-17, -0x1.90b7d075aabfdp-17, -0x1.88890bde73724p-17, -0x1.805ed1d82324bp-17, -0x1.78394cfa4463dp-17, -0x1.7018a8a7dd9c8p-17, -0x1.67fd1101ece74p-17, -0x1.5fe6b2d6ae5e8p-17, -0x1.57d5bb93e85b6p-17, -0x1.4fca593974392p-17, -0x1.47c4ba48fbb6p-17, -0x1.3fc50db97c9e4p-17, -0x1.37cb82e8a8af6p-17, -0x1.2fd8498e98ad9p-17, -0x1.27eb91b12a27ep-17, -0x1.20058b968f70bp-17, -0x1.182667b8d931cp-17, -0x1.104e56bbd5ef4p-17, -0x1.087d895febc97p-17, -0x1.00b43076f9345p-17, -0x1.f1e4f9b22e8cap-18, -0x1.e2713eb5057cap-18, -0x1.d30d9181951b1p-18, -0x1.c3ba53717a606p-18, -0x1.b477e59a3eb59p-18, -0x1.a546a8b9a9af4p-18, -0x1.9626fd211320ep-18, -0x1.871942a83cde1p-18, -0x1.781dd89704993p-18, -0x1.69351d9896ff2p-18, -0x1.5a5f6fa9b3391p-18, -0x1.4b9d2c0857df1p-18, -0x1.3ceeaf2822201p-18, -0x1.2e5454a017a1fp-18, -0x1.1fce771d3d646p-18, -0x1.115d705733707p-18, -0x1.03019900e40c5p-18, -0x1.e976917b6286p-19, -0x1.cd15ac2d0ea78p-19, -0x1.b0e12cd5c9589p-19, -0x1.94d9bbd523be9p-19, -0x1.78ffff10881e3p-19, -0x1.5d5499df64647p-19, -0x1.41d82cfab1ea7p-19, -0x1.268b5666d2d96p-19, -0x1.0b6eb16ce059bp-19, -0x1.e105acfeaafb9p-20, -0x1.ab90b663b8bb6p-20, -0x1.767fa44e27477p-20, -0x1.41d3960494302p-20, -0x1.0d8da4b687bdp-20, -0x1.b35dc6db5a88ep-21, -0x1.4c70bddac90b9p-21, -0x1.ccac769808cd7p-22, -0x1.02207e6119d7dp-22, -0x1.ca0bc8c787a2p-25, 0x1.1bd99aa9bb8eap-23, 0x1.5366a37a9b2f6p-22, 0x1.0b94394ca642p-21, 0x1.6c975f60c0e4p-21, 0x1.ccbb1376a28dep-21, 0x1.15fed94fed12bp-20, 0x1.452ed3cac2d31p-20, 0x1.73ecb55ff65c6p-20, 0x1.a237c123f6ad6p-20, 0x1.d00f4116f34fcp-20, 0x1.fd7286132bab5p-20, 0x1.153073f11a22dp-19, 0x1.2b6ce29a1d9f1p-19, 0x1.416e41d4f172cp-19, 0x1.573447e74557dp-19, 0x1.6cbeae89f3d22p-19, 0x1.820d32ea874c2p-19, 0x1.971f95a5deb04p-19, 0x1.abf59acb9223p-19, }}, 
      {{-0x1.1017ca709d8dap-7, -0x1.102874f91f007p-6, -0x1.9865f4ad830a7p-6, -0x1.1069e6ff170d2p-5, -0x1.54c00c6a92c76p-5, -0x1.993b9e722893cp-5, -0x1.dde1d983003a4p-5, -0x1.115b78ad0e126p-4, -0x1.33df04b8db56p-4, -0x1.567c997bb10ep-4, -0x1.7934b6c3b886ap-4, -0x1.9c0754ba3911p-4, -0x1.bef3e5c2a67b4p-4, -0x1.e1f95955c9b3fp-4, -0x1.028b101446216p-3, -0x1.142418ea34acp-3, -0x1.25c68a05de341p-3, -0x1.3770f19b1992fp-3, -0x1.4921ae167cfbfp-3, -0x1.5ad6f35bab092p-3, -0x1.6c8ed02fec956p-3, -0x1.7e47339f8707p-3, -0x1.8ffdf232db0b6p-3, -0x1.a1b0cad1ff78fp-3, -0x1.b35d6b402766cp-3, -0x1.c50174228ca12p-3, -0x1.d69a7c8fbd293p-3, -0x1.e826152b99041p-3, -0x1.f9a1cad9b53f4p-3, -0x1.05859489aaeedp-2, -0x1.0e2fddf7e441bp-2, -0x1.16ce88f7179a5p-2, -0x1.1f605ec7629e5p-2, -0x1.27e42b6401ef8p-2, -0x1.3058be30e3f3ep-2, -0x1.38bcea9f1a7fap-2, -0x1.410f88cae789ep-2, -0x1.494f7614f1a2bp-2, -0x1.517b95b74de1cp-2, -0x1.5992d1563586ap-2, -0x1.6194198bb9204p-2, -0x1.697e666d4468cp-2, -0x1.7150b8099a773p-2, -0x1.790a16ddd9b9p-2, -0x1.80a994401b1a4p-2, -0x1.882e4abe6605ep-2, -0x1.8f975e70f15ddp-2, -0x1.96e3fd3edc1aep-2, -0x1.9e135f14e2001p-2, -0x1.a524c60dd1711p-2, -0x1.ac177e8cd637fp-2, -0x1.b2eadf49ee8aep-2, -0x1.b99e49511fdb8p-2, -0x1.c03127f5331bfp-2, -0x1.c6a2f0b6eacd8p-2, -0x1.ccf32321c85e6p-2, -0x1.d321489f8da9ap-2, -0x1.d92cf443acb3cp-2, -0x1.df15c28fef0ep-2, -0x1.e4db59338538dp-2, -0x1.ea7d66c5b87aep-2, -0x1.effba27d6020fp-2, -0x1.f555cbe62ec8cp-2, -0x1.fa8baa94c99ccp-2, -0x1.ff9d0dda9a11bp-2, -0x1.0244e63d096fcp-1, -0x1.04a8e22e0f94dp-1, -0x1.06fa6d23a44a9p-1, -0x1.09397ccc88608p-1, -0x1.0b660a00eb0cfp-1, -0x1.0d8010a1c72d3p-1, -0x1.0f878f79c4de9p-1, -0x1.117c881faa6fap-1, -0x1.135efeda661d1p-1, -0x1.152efa86aaabfp-1, -0x1.16ec847e19601p-1, -0x1.1897a87fe6d74p-1, -0x1.1a30749aeaf38p-1, -0x1.1bb6f91903dbfp-1, -0x1.1d2b486bb178dp-1, -0x1.1e8d7719d0215p-1, -0x1.1fdd9bae53e8ep-1, -0x1.211bcea7ea9abp-1, -0x1.22482a69647f5p-1, -0x1.2362cb2acadbcp-1, -0x1.246bceeb07221p-1, -0x1.25635562042eap-1, -0x1.26497ff32ddadp-1, -0x1.271e71a03e30ep-1, -0x1.27e24efc41609p-1, -0x1.28953e1ebdfcbp-1, -0x1.29376696f7639p-1, -0x1.29c8f15f3812bp-1, -0x1.2a4a08d01ae01p-1, -0x1.2abad893ccf2ap-1, -0x1.2b1b8d993bb72p-1, -0x1.2b6c5607321fp-1, -0x1.2bad612f5b439p-1, -0x1.2bdedf812b86cp-1, -0x1.2c01027cb22c8p-1, -0x1.2c13fca551011p-1, -0x1.2c18017460a5dp-1, -0x1.2c0d454bc1f42p-1, -0x1.2bf3fd6862d7ep-1, -0x1.2bcc5fd4b9b51p-1, -0x1.2b96a35b413e3p-1, -0x1.2b52ff78f59bep-1, -0x1.2b01ac4fdd3d1p-1, -0x1.2aa2e299a2246p-1, -0x1.2a36db9a44b83p-1, -0x1.29bdd112eb294p-1, -0x1.2937fd34d7fd3p-1, -0x1.28a59a948b7bp-1, -0x1.2806e41d19358p-1, -0x1.275c1503b41eap-1, -0x1.26a568bb797f2p-1, -0x1.25e31ae9808acp-1, -0x1.2515675930c2fp-1, -0x1.243c89f0e66a4p-1, -0x1.2358bea6e73bdp-1, -0x1.226a4176ad562p-1, -0x1.21714e5687402p-1, -0x1.206e212d9644cp-1, -0x1.1f60f5ca25352p-1, -0x1.1e4a07d860cdcp-1, -0x1.1d2992d96f538p-1, -0x1.1bffd21ae6bf3p-1, -0x1.1acd00aea7d8bp-1, -0x1.1991596316c7dp-1, -0x1.184d16bbb7b2ap-1, -0x1.170072ea29eb4p-1, -0x1.15aba7c782553p-1, -0x1.144eeece06fdp-1, -0x1.12ea81134316bp-1, -0x1.117e974279c2fp-1, -0x1.100b69976f087p-1, -0x1.0e912fd98a149p-1, -0x1.0d10215749f3p-1, -0x1.0b8874e20d9cdp-1, -0x1.09fa60ca2a895p-1, -0x1.08661adb4ffd4p-1, -0x1.06cbd859358fbp-1, -0x1.052bcdfc8dd97p-1, -0x1.03862ff03f83bp-1, -0x1.01db31cedefcdp-1, -0x1.002b06a064a67p-1, -0x1.fcebc1b03f6adp-2, -0x1.f977e4a5c0859p-2, -0x1.f5fad8aaad9b4p-2, -0x1.f274ff154c2f1p-2, -0x1.eee6b80647b0ep-2, -0x1.eb5062668b4b1p-2, -0x1.e7b25be572c53p-2, -0x1.e40d00f745bacp-2, -0x1.e060acd3fd956p-2, -0x1.dcadb97651056p-2, -0x1.d8f47f9afbba2p-2, -0x1.d53556c0433d2p-2, -0x1.d1709525b1749p-2, -0x1.cda68fcc00d8fp-2, -0x1.c9d79a7537b9ap-2, -0x1.c60407a4eb871p-2, -0x1.c22c28a0ade4fp-2, -0x1.be504d7099d81p-2, -0x1.ba70c4e002d09p-2, -0x1.b68ddc7e404b8p-2, -0x1.b2a7e09f9366bp-2, -0x1.aebf1c5e23c3ep-2, -0x1.aad3d99b134aep-2, -0x1.a6e660ffa14fep-2, -0x1.a2f6f9fe6265ep-2, -0x1.9f05ead484819p-2, -0x1.9b13788b212efp-2, -0x1.971fe6f89c881p-2, -0x1.932b78c20c16bp-2, -0x1.8f366f5ca843cp-2, -0x1.8b410b0f44d03p-2, -0x1.874b8af3d21a4p-2, -0x1.83562cf8e094cp-2, -0x1.7f612de32dec4p-2, -0x1.7b6cc94f322b8p-2, -0x1.777939b2b61cfp-2, -0x1.7386b85e67787p-2, -0x1.6f957d7f756d3p-2, -0x1.6ba5c0212bd91p-2, -0x1.67b7b62e9589bp-2, -0x1.63cb94741d2bdp-2, -0x1.5fe18ea133f28p-2, -0x1.5bf9d749f7cd1p-2, -0x1.58149fe8dee5p-2, -0x1.543218e0638bbp-2, -0x1.5052717cb5e05p-2, -0x1.4c75d7f56d75bp-2, -0x1.489c796f3e7c7p-2, -0x1.44c681fdb434bp-2, -0x1.40f41ca4eee44p-2, -0x1.3d25735b623dcp-2, -0x1.395aaf0b9c221p-2, -0x1.3593f7960e06ap-2, -0x1.31d173d2d8fep-2, -0x1.2e134993a3dedp-2, -0x1.2a599da5724bcp-2, -0x1.26a493d28172ep-2, -0x1.22f44ee42e099p-2, -0x1.1f48f0a4dc0b2p-2, -0x1.1ba299e1e904ep-2, -0x1.18016a6da1065p-2, -0x1.146581213e9p-2, -0x1.10cefbdeed258p-2, -0x1.0d3df793d66e3p-2, -0x1.09b2903a36cf8p-2, -0x1.062ce0db75fcep-2, -0x1.02ad03924d29bp-2, -0x1.fe662319dedcbp-3, -0x1.f77e461e7b395p-3, -0x1.f0a29eea031c9p-3, -0x1.e9d35a6862bb4p-3, -0x1.e310a3be7350ep-3, -0x1.dc5aa44ea683p-3, -0x1.d5b183bdbc532p-3, -0x1.cf1567f788e58p-3, -0x1.c8867533d2085p-3, -0x1.c204cdfb35861p-3, -0x1.bb90932c24949p-3, -0x1.b529e3ffe72ecp-3, -0x1.aed0de0fbd561p-3, -0x1.a8859d59ff733p-3, -0x1.a2483c475c9edp-3, -0x1.9c18d3b019cb2p-3, -0x1.95f77ae16b516p-3, -0x1.8fe447a2d4a72p-3, -0x1.89df4e3b98ca5p-3, -0x1.83e8a17838cp-3, -0x1.7e0052affadefp-3, -0x1.782671ca7e6abp-3, -0x1.725b0d4560c65p-3, -0x1.6c9e3239e62bdp-3, -0x1.66efec62b238fp-3, -0x1.61504621815cdp-3, -0x1.5bbf4884f9247p-3, -0x1.563cfb4e73409p-3, -0x1.50c964f7d85fcp-3, -0x1.4b648ab97f6f8p-3, -0x1.460e70901304dp-3, -0x1.40c719427eafcp-3, -0x1.3b8e8667d8ca1p-3, -0x1.3664b86d60816p-3, -0x1.3149ae9c6cecap-3, -0x1.2c3d67206db9dp-3, -0x1.273fdf0ce30f6p-3, -0x1.225112635e39dp-3, -0x1.1d70fc197fb57p-3, -0x1.189f961ef1b3cp-3, -0x1.13dcd9636b6c2p-3, -0x1.0f28bddca65ap-3, -0x1.0a833a8c5a849p-3, -0x1.05ec458633bc9p-3, -0x1.0163d3f5c4374p-3, -0x1.f9d3b448de7b8p-4, -0x1.f0fc96fead022p-4, -0x1.e842353a6d6dbp-4, -0x1.dfa47288967fcp-4, -0x1.d72330e0325b5p-4, -0x1.cebe50ae89abcp-4, -0x1.c675b0e2a2d14p-4, -0x1.be492ef8bd882p-4, -0x1.b638a705b0a86p-4, -0x1.ae43f3c2429ddp-4, -0x1.a66aee965423p-4, -0x1.9ead6fa41205ep-4, -0x1.970b4dd2f73f3p-4, -0x1.8f845edabfe8ep-4, -0x1.8818774e41a48p-4, -0x1.80c76aa628356p-4, -0x1.79910b4b96d6ap-4, -0x1.72752aa2acb6dp-4, -0x1.6b739914ec9a5p-4, -0x1.648c261b83102p-4, -0x1.5dbea0497271p-4, -0x1.570ad55599bf8p-4, -0x1.507092249f358p-4, -0x1.49efa2d2b639ep-4, -0x1.4387d2bd468dbp-4, -0x1.3d38ec8c6c103p-4, -0x1.3702ba3c5a03dp-4, -0x1.30e5052692df3p-4, -0x1.2adf960b0343cp-4, -0x1.24f23518f47e9p-4, -0x1.1f1ca9f7d8af6p-4, -0x1.195ebbcff474p-4, -0x1.13b83152e23a6p-4, -0x1.0e28d0c3edd09p-4, -0x1.08b060004b5ccp-4, -0x1.034ea487241dp-4, -0x1.fc06c70308079p-5, -0x1.f19cc3942a611p-5, -0x1.e75ec7e97bb61p-5, -0x1.dd4c5cac26fd1p-5, -0x1.d3650a15446dfp-5, -0x1.c9a857fc299bbp-5, -0x1.c015cde45c512p-5, -0x1.b6acf30b3da7p-5, -0x1.ad6d4e7565956p-5, -0x1.a45666fba9603p-5, -0x1.9b67c357daf0dp-5, -0x1.92a0ea313635p-5, -0x1.8a0162287cdd6p-5, -0x1.8188b1e3cb62ep-5, -0x1.7936601a177f1p-5, -0x1.7109f39e6845dp-5, -0x1.6902f36abbe9ep-5, -0x1.6120e6aaa5073p-5, -0x1.596354c59a84fp-5, -0x1.51c9c568f84d7p-5, -0x1.4a53c091bd868p-5, -0x1.4300ce95f4963p-5, -0x1.3bd0782ddd3bp-5, -0x1.34c2467cc6113p-5, -0x1.2dd5c3199f5fep-5, -0x1.270a781748f04p-5, -0x1.205ff00c96b56p-5, -0x1.19d5b61c0a83p-5, -0x1.136b55fb58fd3p-5, -0x1.0d205bfa91ff8p-5, -0x1.06f4550b1e172p-5, -0x1.00e6cec66352bp-5, -0x1.f5eeaee873bd6p-6, -0x1.ea4afc222f99p-6, -0x1.dee1a4a7f12f7p-6, -0x1.d3b1c96826d31p-6, -0x1.c8ba8cdc82fabp-6, -0x1.bdfb131470614p-6, -0x1.b37281beffbe2p-6, -0x1.a92000344e616p-6, -0x1.9f02b77e9eb42p-6, -0x1.9519d262e5649p-6, -0x1.8b647d68dab8cp-6, -0x1.81e1e6e2c5826p-6, -0x1.78913ef4b3b58p-6, -0x1.6f71b79b615dbp-6, -0x1.668284b2ab781p-6, -0x1.5dc2dbfba535cp-6, -0x1.5531f5224194cp-6, -0x1.4ccf09c2a231bp-6, -0x1.4499556e06667p-6, -0x1.3c9015af5fa1ep-6, -0x1.34b28a0f77f98p-6, -0x1.2cfff418e28bap-6, -0x1.2577975b765d9p-6, -0x1.1e18b96f7c868p-6, -0x1.16e2a1f89acbep-6, -0x1.0fd49aa853fcep-6, -0x1.08edef4053864p-6, -0x1.022ded94502d5p-6, -0x1.f727cb178bf48p-7, -0x1.ea3e524697042p-7, -0x1.dd9e18db58288p-7, -0x1.d145cb2972db6p-7, -0x1.c53419b3c8d7cp-7, -0x1.b967b92d12192p-7, -0x1.addf6277fd39fp-7, -0x1.a299d2a6e9154p-7, -0x1.9795cafb00c83p-7, -0x1.8cd210e30fec7p-7, -0x1.824d6df9d287ep-7, -0x1.7806b003d5cd9p-7, -0x1.6dfca8ecfecbdp-7, -0x1.642e2ec59ae2fp-7, -0x1.5a9a1bbf270c1p-7, -0x1.513f4e28a3b8dp-7, -0x1.481ca86aa254dp-7, -0x1.3f311102e740bp-7, -0x1.367b727fbf3dap-7, -0x1.2dfabb7b21e6bp-7, -0x1.25adde954724fp-7, -0x1.1d93d26f4004bp-7, -0x1.15ab91a4fe704p-7, -0x1.0df41ac7513d9p-7, -0x1.066c7055876c4p-7, -0x1.fe27316da5074p-8, -0x1.efd13c66e9ba1p-8, -0x1.e1d51ddb59e2ap-8, -0x1.d430f9b4fdbd7p-8, -0x1.c6e2fb7473128p-8, -0x1.b9e956219adadp-8, -0x1.ad42443bf10bdp-8, -0x1.a0ec07aa84f84p-8, -0x1.94e4e9abb573ap-8, -0x1.892b3ac476768p-8, -0x1.7dbd52af8e504p-8, -0x1.7299904c28462p-8, -0x1.67be598c9c1d8p-8, -0x1.5d2a1b649b65ep-8, -0x1.52db49b7719fap-8, -0x1.48d05f45c016dp-8, -0x1.3f07dd9b5d359p-8, -0x1.35804cfcc6e8cp-8, -0x1.2c383c548e8a4p-8, -0x1.232e4120a4256p-8, -0x1.1a60f75f576bep-8, -0x1.11cf017c89a4bp-8, -0x1.0977083e5a2fdp-8, -0x1.0157bab216dfcp-8, -0x1.f2df9c321ab96p-9, -0x1.e37bfbaa24715p-9, -0x1.d48216aa4e83bp-9, -0x1.c5ef7c043d78ap-9, -0x1.b7c1c656469c8p-9, -0x1.a9f69be47f482p-9, -0x1.9c8bae71a8b1dp-9, -0x1.8f7ebb18702fap-9, -0x1.82cd8a245326ap-9, -0x1.7675eeead37bp-9, -0x1.6a75c7a4933a8p-9, -0x1.5ecafd468abdp-9, -0x1.5373835b8522cp-9, -0x1.486d57dd43e11p-9, -0x1.3db6830e4e91cp-9, -0x1.334d17538836ep-9, -0x1.292f310df9694p-9, -0x1.1f5af674ef885p-9, -0x1.15ce97701528ap-9, -0x1.0c884d71e2546p-9, -0x1.03865b520f9c5p-9, -0x1.f58e1a510d652p-10, -0x1.e491705084441p-10, -0x1.d41374f57925bp-10, -0x1.c410f6365ac98p-10, -0x1.b486d3650720ap-10, -0x1.a571fce67a21bp-10, -0x1.96cf73ebaedb9p-10, -0x1.889c4a2a6fa45p-10, -0x1.7ad5a19745633p-10, -0x1.6d78ac1fb36a2p-10, -0x1.6082ab64f1694p-10, -0x1.53f0f077c47c8p-10, -0x1.47c0db9445167p-10, -0x1.3befdbdf10946p-10, -0x1.307b6f223bc64p-10, -0x1.2561218be96c2p-10, -0x1.1a9e8d6cabc92p-10, -0x1.10315af7325a1p-10, -0x1.061740005e1e1p-10, -0x1.f89bff7ff5a17p-11, -0x1.e5a6d524fab41p-11, -0x1.d34abb75efab7p-11, -0x1.c183864c51fcbp-11, -0x1.b04d225cb632cp-11, -0x1.9fa394bee53fdp-11, -0x1.8f82fa7847c84p-11, -0x1.7fe78807e819ap-11, -0x1.70cd88f2e072p-11, -0x1.62315f53c05c1p-11, -0x1.540f8369f20adp-11, -0x1.4664832b8519ep-11, -0x1.392d01d848984p-11, -0x1.2c65b78defb03p-11, -0x1.200b70de5571ap-11, -0x1.141b0e66cdecep-11, -0x1.08918468af673p-11, -0x1.fad7b4c8874d9p-12, -0x1.e54e556867096p-12, -0x1.d0814455acd04p-12, -0x1.bc6aff61cc6ecp-12, -0x1.a90627cba4224p-12, -0x1.964d818272b74p-12, -0x1.843bf26be5d6fp-12, -0x1.72cc81ad8ad33p-12, -0x1.61fa56f7e2479p-12, -0x1.51c0b9d6142d5p-12, -0x1.421b10fe3acdbp-12, -0x1.3304e1a66e20fp-12, -0x1.2479cedba14c4p-12, -0x1.167598db9e297p-12, -0x1.08f41c70e6bf1p-12, -0x1.f7e2a4a71a5eep-13, -0x1.ded29d123ca1ep-13, -0x1.c6b07f9616e83p-13, -0x1.af74ddda8d349p-13, -0x1.99187c8f8e3d4p-13, -0x1.839452483d66fp-13, -0x1.6ee18657a4906p-13, -0x1.5af96fb5b1c35p-13, -0x1.47d593e605ab8p-13, -0x1.356fa5e63a475p-13, -0x1.23c1852101e42p-13, -0x1.12c53c651848p-13, -0x1.027500e0cfcdbp-13, -0x1.e5966249b6909p-14, -0x1.c784a851c6896p-14, -0x1.aaaa30ac871bap-14, -0x1.8efca52f505fep-14, -0x1.7471fada6142fp-14, -0x1.5b0070065fc51p-14, -0x1.429e8aa23a413p-14, -0x1.2b4316730fe15p-14, -0x1.14e5235fa81dfp-14, -0x1.fef8078bfa012p-15, -0x1.d5fe95abaf657p-15, -0x1.aecd95eb60e58p-15, -0x1.8955285f1489fp-15, -0x1.6585e5514283ap-15, -0x1.4350da36bb597p-15, -0x1.22a786bff19f2p-15, -0x1.037bd9eac6748p-15, -0x1.cb805e6327718p-16, -0x1.92ce9789fefa6p-16, -0x1.5cc8b79a67665p-16, -0x1.2955df8c067c2p-16, -0x1.f0bbe7874d23ap-17, -0x1.93932df71b47fp-17, -0x1.3b044a8054e35p-17, -0x1.cdc6bc4ea063dp-18, -0x1.2e0bd2873bf5ep-18, -0x1.2d0b08d858bc7p-19, -0x1.b90619072b487p-24, 0x1.024b468122bb2p-19, 0x1.01e269bb75b84p-18, 0x1.7b9a911966837p-18, 0x1.ee941ab364c17p-18, 0x1.2d8961d0d16c4p-17, 0x1.60ac0a545f0c8p-17, 0x1.90d1b8e1e90ffp-17, 0x1.be1914bb9e04ap-17, 0x1.e89fc1c620b09p-17, 0x1.084133e9466bfp-16, 0x1.1aee5cdfc14b9p-16, 0x1.2c64be2caf701p-16, 0x1.3cb14691ee4f7p-16, 0x1.4be0747c631a7p-16, 0x1.59fe593b74457p-16, 0x1.67169c216441fp-16, 0x1.73347d96a1ca9p-16, 0x1.7e62da1cadc8ap-16, 0x1.88ac2d36539b9p-16, 0x1.921a9444282d7p-16, 0x1.9ab7d1466edd6p-16, 0x1.a28d4d9cb0fcp-16, 0x1.a9a41c9f035c1p-16, 0x1.b004fe3b6453p-16, 0x1.b5b86170f3b29p-16, 0x1.bac666c62de66p-16, 0x1.bf36e2ae35ebbp-16, 0x1.c3115fda58852p-16, 0x1.c65d217dd0db8p-16, 0x1.c92125836105ap-16, 0x1.cb6426b52075cp-16, 0x1.cd2c9ed151003p-16, 0x1.ce80c895896c9p-16, 0x1.cf66a1bb800bfp-16, 0x1.cfe3ecea04548p-16, 0x1.cffe3394defe1p-16, 0x1.cfbac7d285f47p-16, 0x1.cf1ec6227362fp-16, 0x1.ce2f172e8b6b5p-16, 0x1.ccf0717498914p-16, 0x1.cb675aebbed7dp-16, 0x1.c9982aa09013p-16, 0x1.c7870a3f51dbcp-16, 0x1.c537f7983fa56p-16, 0x1.c2aec6176de4cp-16, 0x1.bfef2032568a1p-16, 0x1.bcfc88c938fd8p-16, 0x1.b9da5c824a47dp-16, 0x1.b68bd31422342p-16, 0x1.b314008feb312p-16, 0x1.af75d69bce40dp-16, 0x1.abb425a765d7dp-16, 0x1.a7d19e1496866p-16, 0x1.a3d0d15bbe5afp-16, 0x1.9fb43321872b6p-16, 0x1.9b7e1a4a62122p-16, 0x1.9730c201eb52ep-16, 0x1.92ce4ab9eff96p-16, 0x1.8e58bb26af256p-16, 0x1.89d2012fb38ffp-16, 0x1.853bf2da33bddp-16, 0x1.80984f2ca6011p-16, 0x1.7be8bf0c02109p-16, 0x1.772ed60f7a089p-16, 0x1.726c13511e633p-16, 0x1.6da1e2354fd1ep-16, 0x1.68d19b2b1e485p-16, 0x1.63fc846db1eb6p-16, 0x1.5f23d2b619d9ap-16, 0x1.5a48a9ee8566ap-16, 0x1.556c1ddc4ed16p-16, 0x1.508f32c4e6884p-16, 0x1.4bb2de0ee61e3p-16, 0x1.46d806dd11b07p-16, 0x1.41ff86a17ee38p-16, 0x1.3d2a29b0cd2bfp-16, 0x1.3858afcd9b765p-16, 0x1.338bccb06aacfp-16, 0x1.2ec4288a11886p-16, 0x1.2a0260834c56fp-16, 0x1.25470736069b1p-16, 0x1.2092a52386fbap-16, 0x1.1be5b926681b5p-16, 0x1.1740b8e0dc6fep-16, 0x1.12a411254624p-16, 0x1.0e10265f9e7f8p-16, 0x1.098554f62720bp-16, 0x1.0503f1aa18544p-16, 0x1.008c49f2bed89p-16, 0x1.f83d48af4d97cp-17, 0x1.ef76818a45231p-17, 0x1.e6c4b1bca3afep-17, 0x1.de2840999aff5p-17, 0x1.d5a18a1999414p-17, 0x1.cd30df6cd695cp-17, 0x1.c4d6878bd5faep-17, 0x1.bc92bfbc19928p-17, 0x1.b465bc17c44e7p-17, 0x1.ac4fa808053a5p-17, 0x1.a450a6bec1a84p-17, 0x1.9c68d3ac5cf8ap-17, 0x1.949842ee81074p-17, 0x1.8cdf01bc4b586p-17, 0x1.853d16ca875d5p-17, 0x1.7db282b371c3dp-17, 0x1.763f4051a481cp-17, 0x1.6ee3451c6e0bdp-17, 0x1.679e8180bf35dp-17, 0x1.6070e13364a99p-17, 0x1.595a4b813afe2p-17, 0x1.525aa39bf807cp-17, 0x1.4b71c8e344a1bp-17, 0x1.449f972a6e6e3p-17, 0x1.3de3e6fa2d3fp-17, 0x1.373e8dd59ff8p-17, 0x1.30af5e71b8d7cp-17, 0x1.2a3628f479ed5p-17, 0x1.23d2bb29c2f41p-17, 0x1.1d84e0b9214cep-17, 0x1.174c6359313d3p-17, 0x1.11290affa082fp-17, 0x1.0b1a9e0dda4d4p-17, 0x1.0520e17e7579cp-17, 0x1.fe773218dda1ap-18, 0x1.f2d50eb7ffb73p-18, 0x1.e75adc4110143p-18, 0x1.dc081c7bf518cp-18, 0x1.d0dc4fdad03cdp-18, 0x1.c5d6f5b534accp-18, 0x1.baf78c8620a39p-18, 0x1.b03d9223b27b4p-18, 0x1.a5a883f4537cep-18, 0x1.9b37df21c5afap-18, 0x1.90eb20c7b1e1ep-18, 0x1.86c1c62280a3fp-18, 0x1.7cbb4cb6d91d4p-18, 0x1.72d7327bc45bbp-18, 0x1.6914f5fcacbb3p-18, 0x1.5f74167c95748p-18, 0x1.55f414187c4e4p-18, 0x1.4c946fe2e6088p-18, 0x1.4354abfebf93p-18, 0x1.3a344bbca32d6p-18, 0x1.3132d3af114eep-18, 0x1.284fc9be84161p-18, 0x1.1f8ab54518d0fp-18, 0x1.16e31f18a27f2p-18, 0x1.0e5891a14e226p-18, 0x1.05ea98e6a2a67p-18, 0x1.fb31853c9189fp-19, 0x1.eac53c6cfd535p-19, 0x1.da8f79c40dcd6p-19, 0x1.ca8f6345ad37ap-19, 0x1.bac422a1e06afp-19, 0x1.ab2ce5445228fp-19, 0x1.9bc8dc5f14489p-19, 0x1.8c973cfd288fep-19, 0x1.7d9740011fe87p-19, 0x1.6ec8222cb5a82p-19, 0x1.6029242ab7feep-19, 0x1.51b98a90b8e24p-19, 0x1.43789ddd96339p-19, 0x1.3565aa7ce8465p-19, 0x1.278000c31e545p-19, 0x1.19c6f4ea474dbp-19, 0x1.0c39df0bd479dp-19, 0x1.fdb03641db41ep-20, 0x1.e34211f148947p-20, 0x1.c9281863591f9p-20, 0x1.af611861a0b2fp-20, 0x1.95ebe833f9f67p-20, 0x1.7cc76584f0c53p-20, 0x1.63f27554477bdp-20, 0x1.4b6c03d6d16aep-20, 0x1.33330463256adp-20, 0x1.1b46715bbcf77p-20, 0x1.03a54c08d070dp-20, 0x1.d89d3909247c6p-21, 0x1.aa82e33dc9af9p-21, 0x1.7cf9c1747b205p-21, 0x1.50000b5bcad58p-21, 0x1.23940559fac8cp-21, 0x1.ef68008bf0f69p-22, 0x1.98bcb23a5c892p-22, 0x1.4322f1a8734a4p-22, 0x1.dd2f501be44d6p-23, 0x1.362faae323ac6p-23, 0x1.2282408d00706p-24, -0x1.1a1f7aac777d1p-27, -0x1.64fe34df0f923p-24, -0x1.515b9c1200eeap-23, -0x1.ee3ca8563563ap-23, -0x1.4493a1e3eee5p-22, -0x1.9110266bd93e8p-22, -0x1.dc963e72ad6cp-22, -0x1.13941a4ee270cp-21, -0x1.3864210d86f14p-21, -0x1.5cbc478fbc642p-21, -0x1.809d99bc7ca18p-21, -0x1.a4091b86c6989p-21, -0x1.c6ffc92fcd2f8p-21, -0x1.e98297845ccf9p-21, -0x1.05c93a13ab8d3p-20, -0x1.169822e33c8a1p-20, -0x1.272e762ebf19bp-20, -0x1.378ca0bd2e07ep-20, -0x1.47b30c373ca3ep-20, -0x1.57a21f4a8aad3p-20, -0x1.675a3dc7f6f2ap-20, -0x1.76dbc8bdbd1cfp-20, -0x1.86271e95ec0b3p-20, -0x1.953c9b3338858p-20, -0x1.a41c980d7cecdp-20, -0x1.b2c76c4af633dp-20, -0x1.c13d6cda44d72p-20, -0x1.cf7eec920b865p-20, -0x1.dd8c3c44cefc2p-20, -0x1.eb65aade66a4p-20, -0x1.f90b857aefe3cp-20, -0x1.033f0bbf22fdcp-19, -0x1.09ded55665d9fp-19, -0x1.106543a1388cdp-19, -0x1.16d27a03bd892p-19, -0x1.1d269b345a6d9p-19, -0x1.2361c94547ab3p-19, -0x1.298425b11bfc8p-19, -0x1.2f8dd161492d9p-19, -0x1.357eecbb22ef9p-19, -0x1.3b5797a865e76p-19, -0x1.4117f19f6158fp-19, -0x1.46c019ad6fb26p-19, -0x1.4c502e7f0d315p-19, -0x1.51c84e6928213p-19, -0x1.5728976fb4b27p-19, -0x1.5c71274e752dp-19, -0x1.61a21b8142294p-19, -0x1.66bb914a140ep-19, -0x1.6bbda5b900588p-19, -0x1.70a875b288479p-19, -0x1.757c1df736722p-19, -0x1.7a38bb297feb5p-19, -0x1.7ede69d314b4bp-19, -0x1.836d466b0b3efp-19, -0x1.87e56d5cd3f2dp-19, -0x1.8c46fb0bd8b77p-19, -0x1.90920bda3f7b4p-19, -0x1.94c6bc2cc51afp-19, -0x1.98e5286ede083p-19, -0x1.9ced6d198a1ep-19, -0x1.a0dfa6b5535f3p-19, -0x1.a4bbf1df21e52p-19, -0x1.a8826b4bf274dp-19, -0x1.ac332fcd39715p-19, -0x1.afce5c53c01dbp-19, -0x1.b3540df2724e7p-19, -0x1.b6c461e1de3b9p-19, -0x1.ba1f7583924fap-19, -0x1.bd656664aee5ap-19, -0x1.c096523f23ea1p-19, -0x1.c3b256fd9e345p-19, -0x1.c6b992bd2ea57p-19, -0x1.c9ac23cf692f3p-19, -0x1.cc8a28baed72ep-19, -0x1.cf53c03ec9c0bp-19, -0x1.d2090953431fcp-19, -0x1.d4aa232b2c4cbp-19, -0x1.d7372d360835bp-19, -0x1.d9b0471fe63d2p-19, -0x1.dc1590d27813bp-19, -0x1.de672a7678dbbp-19, -0x1.e0a5347423e8ap-19, -0x1.e2cfcf73c4497p-19, -0x1.e4e71c5e3fb5dp-19, -0x1.e6eb3c5d67d62p-19, -0x1.e8dc50dbfe4c2p-19, -0x1.eaba7b85ec9e4p-19, -0x1.ec85de480bb8cp-19, -0x1.ee3e9b50957ep-19, -0x1.efe4d50de3b01p-19, -0x1.f178ae2f4c258p-19, -0x1.f2fa49a46ea93p-19, -0x1.f469ca9cd7979p-19, -0x1.f5c754866a0a2p-19, -0x1.f7130b0d78a1ap-19, -0x1.f84d121c41831p-19, -0x1.f9758dda3d5f1p-19, -0x1.fa8ca2aa42224p-19, -0x1.fb92752afd2aep-19, -0x1.fc872a34b76ffp-19, -0x1.fd6ae6d8c71dep-19, -0x1.fe3dd0608fa4p-19, -0x1.ff000c4b57b9ep-19, -0x1.ffb1c04e0e92dp-19, -0x1.002989291ec0dp-18, -0x1.0072143a1836bp-18, -0x1.00b29480cf691p-18, -0x1.00eb1d3bddb67p-18, -0x1.011bc1c0efc55p-18, -0x1.0144957c9c02dp-18, -0x1.0165abf0ef1b8p-18, -0x1.017f18b4d00cap-18, -0x1.0190ef73627a5p-18, -0x1.019b43eafd841p-18, -0x1.019e29ecaf8a1p-18, -0x1.0199b55ac730ap-18, -0x1.018dfa2842654p-18, -0x1.017b0c57fdb0fp-18, -0x1.0160fffbff35dp-18, -0x1.013fe9344eacp-18, -0x1.0117dc2e45d96p-18, -0x1.00e8ed239f08p-18, -0x1.00b330591d2a7p-18, -0x1.0076ba1de790cp-18, -0x1.00339ecb1eb06p-18, -0x1.ffd3e584ff564p-19, -0x1.ff3394da88bc8p-19, -0x1.fe86747723147p-19, -0x1.fdccad46f8b37p-19, -0x1.fd06684049e6cp-19, -0x1.fc33ce60ef62ap-19, -0x1.fb5508acbe16ap-19, -0x1.fa6a402ca4a1ap-19, -0x1.f9739debcfc9ep-19, -0x1.f8714af605ac8p-19, -0x1.f76370568ebb7p-19, -0x1.f64a371570b18p-19, -0x1.f525c835fe36bp-19, -0x1.f3f64cb48a4f4p-19, -0x1.f2bbed85a98c6p-19, -0x1.f176d393f881ap-19, -0x1.f02727be18696p-19, -0x1.eecd12d56a991p-19, -0x1.ed68bd9c010a9p-19, -0x1.ebfa50c2f7d0fp-19, }}, 
      {{0x1.f8368f06e414bp-1, 0x1.f75b9cd9f0706p-1, 0x1.f5f3d7914caecp-1, 0x1.f4066a9b5eeb7p-1, 0x1.f19c7fe6c6b2ep-1, 0x1.eec0a9b035b32p-1, 0x1.eb7e564db206fp-1, 0x1.e7e1556823c88p-1, 0x1.e3f571821bf9fp-1, 0x1.dfc61df5186e1p-1, 0x1.db5e38102fa39p-1, 0x1.d6c7d9480bb2ep-1, 0x1.d20c3822c6aecp-1, 0x1.cd33958862b5p-1, 0x1.c84534432be09p-1, 0x1.c34758af85c42p-1, 0x1.be3f4ed59f096p-1, 0x1.b931756333875p-1, 0x1.b4214c349d62ap-1, 0x1.af1185517275ap-1, 0x1.aa041770fc532p-1, 0x1.a4fa5145e44bbp-1, 0x1.9ff4ecf664531p-1, 0x1.9af423477bd02p-1, 0x1.95f7be1e41054p-1, 0x1.90ff2a12ccc33p-1, 0x1.8c0986e4bfcf9p-1, 0x1.8715b6b265afep-1, 0x1.82226be153fdap-1, 0x1.7d2e35b289fc6p-1, 0x1.78378b84c0848p-1, 0x1.733cd6ce42244p-1, 0x1.6e3c7bdc89001p-1, 0x1.6934e16b47066p-1, 0x1.64247726bc84fp-1, 0x1.5f09bb2e82e7p-1, 0x1.59e33eae6d68p-1, 0x1.54afa9a30ae2cp-1, 0x1.4f6dbddec4113p-1, 0x1.4a1c5963baf39p-1, 0x1.44ba78256e3fp-1, 0x1.3f473543f19a4p-1, 0x1.39c1cbd135ec9p-1, 0x1.3429972f89424p-1, 0x1.2e7e1317235eep-1, 0x1.28bedb4f46b26p-1, 0x1.22ebab2646e8cp-1, 0x1.1d045cb29ac8fp-1, 0x1.1708e7e60ae51p-1, 0x1.10f9617b13b58p-1, 0x1.0ad5f9c39fd4p-1, 0x1.049efb5f7057cp-1, 0x1.fca993bf92ad8p-2, 0x1.efefc0ba833e8p-2, 0x1.e311a00806bcfp-2, 0x1.d6107d34710a5p-2, 0x1.c8edca07c59d1p-2, 0x1.bbab1b8ddc1a7p-2, 0x1.ae4a2723d7e56p-2, 0x1.a0ccbf8f18c1ap-2, 0x1.9334d221304eep-2, 0x1.858463ebe1167p-2, 0x1.77bd8f07ab0d2p-2, 0x1.69e27feeff695p-2, 0x1.5bf572efd0885p-2, 0x1.4df8b1b4eaebap-2, 0x1.3fee90e81c1ccp-2, 0x1.31d96dee0c2a3p-2, 0x1.23bbacbc54b7bp-2, 0x1.1597b5ca3f2fdp-2, 0x1.076ff41c59966p-2, 0x1.f28da6d5e2bffp-3, 0x1.d63d7cc6adbp-3, 0x1.b9f43a076a5d8p-3, 0x1.9db6a6224e736p-3, 0x1.81897d4f3eb1ap-3, 0x1.65716dc63ee17p-3, 0x1.497315435a66ap-3, 0x1.2d92febacd2bep-3, 0x1.11d5a03bffdf9p-3, 0x1.ec7eb203da366p-4, 0x1.b5a8df5ed71a4p-4, 0x1.7f32216b9544ap-4, 0x1.492299c8458cep-4, 0x1.1382303b7bd8cp-4, 0x1.bcb120d7a4bf3p-5, 0x1.535a4fbe23fe3p-5, 0x1.d61c90f63bed8p-6, 0x1.07b5c759974dcp-6, 0x1.dcd74c29fbf21p-9, -0x1.1c34e0295e13p-7, -0x1.5551bea17842cp-6, -0x1.0cf9c7a81a19fp-5, -0x1.6df4c27837c09p-5, -0x1.cd8f2c6c6e5f4p-5, -0x1.15df76c872eeap-4, -0x1.443d3c8fa6067p-4, -0x1.71dc668047834p-4, -0x1.9eb8b8846f119p-4, -0x1.cace3af9832b5p-4, -0x1.f6193a1003e75p-4, -0x1.104b2287f1bb3p-3, -0x1.252116c1c6d57p-3, -0x1.398d0325ee491p-3, -0x1.4d8d914f84aecp-3, -0x1.61218a7a469c5p-3, -0x1.7447d6efe21f4p-3, -0x1.86ff7d6d9a4a1p-3, -0x1.9947a28309c7ap-3, -0x1.ab1f87ead1662p-3, -0x1.bc868bddfa47ep-3, -0x1.cd7c2862bd65cp-3, -0x1.ddfff2975a28ep-3, -0x1.ee1199f99fb62p-3, -0x1.fdb0e7abc117cp-3, -0x1.066ededb82b4p-2, -0x1.0dcc0b26655ep-2, -0x1.14f0018336e92p-2, -0x1.1bdad61239e14p-2, -0x1.228ca7e6b8dadp-2, -0x1.2905a0a687f0ap-2, -0x1.2f45f429befdep-2, -0x1.354de01adf287p-2, -0x1.3b1dab9782139p-2, -0x1.40b5a6d1bdd4cp-2, -0x1.46162ab25b94p-2, -0x1.4b3f987bfcfbep-2, -0x1.5032596f55dcp-2, -0x1.54eede708259ap-2, -0x1.59759fada1b3ap-2, -0x1.5dc71c46c1796p-2, -0x1.61e3d9f725f69p-2, -0x1.65cc64c0114p-2, -0x1.69814e9502494p-2, -0x1.6d032f098908ep-2, -0x1.7052a300b4f43p-2, -0x1.73704c5e22369p-2, -0x1.765cd1b8b81ep-2, -0x1.7918de0f16faep-2, -0x1.7ba5207dbcec4p-2, -0x1.7e024bf6eb45ap-2, -0x1.803116fc44a49p-2, -0x1.82323b5a32387p-2, -0x1.840675e50a856p-2, -0x1.85ae8637faf3cp-2, -0x1.872b2e75b2dadp-2, -0x1.887d330ad62eap-2, -0x1.89a55a72286c4p-2, -0x1.8aa46cfa7eb8fp-2, -0x1.8b7b348e64881p-2, -0x1.8c2a7c7d7ff99p-2, -0x1.8cb31147a3e91p-2, -0x1.8d15c06994f44p-2, -0x1.8d53582b798e6p-2, -0x1.8d6ca770f0ba4p-2, -0x1.8d627d8ac7817p-2, -0x1.8d35aa0a4af3fp-2, -0x1.8ce6fc96316afp-2, -0x1.8c7744c10f9dfp-2, -0x1.8be751e15b4dfp-2, -0x1.8b37f2eaede2ep-2, -0x1.8a69f64a03781p-2, -0x1.897e29bfb1f0ep-2, -0x1.88755a3fcd875p-2, -0x1.875053d034ad6p-2, -0x1.860fe169802bbp-2, -0x1.84b4ccd909dbcp-2, -0x1.833fdea4483cp-2, -0x1.81b1dded79956p-2, -0x1.800b90598d1bdp-2, -0x1.7e4db9f752646p-2, -0x1.7c791d27d8c31p-2, -0x1.7a8e7a8804b8ep-2, -0x1.788e90db49d9ap-2, -0x1.767a1cf7899b4p-2, -0x1.7451d9b20b2dbp-2, -0x1.72167fcd8a99cp-2, -0x1.6fc8c5e951f4fp-2, -0x1.6d6960715924fp-2, -0x1.6af9018f6a71dp-2, -0x1.6878591d381aap-2, -0x1.65e814976c2acp-2, -0x1.6348df119ec35p-2, -0x1.609b612b33bbep-2, -0x1.5de0410519e0ep-2, -0x1.5b1822385c6d4p-2, -0x1.5843a5cd8f17ep-2, -0x1.55636a34fe498p-2, -0x1.52780b3fad25dp-2, -0x1.4f8222190d2dfp-2, -0x1.4c82454173e1bp-2, -0x1.4979088945941p-2, -0x1.4666fd0ccb54fp-2, -0x1.434cb130b4611p-2, -0x1.402ab09f3b9e3p-2, -0x1.3d018445e9a9p-2, -0x1.39d1b253eff0ap-2, -0x1.369bbe3917277p-2, -0x1.336028a53c339p-2, -0x1.301f6f885656dp-2, -0x1.2cda0e130067p-2, -0x1.29907cb78201ap-2, -0x1.2643312b53e4cp-2, -0x1.22f29e6917123p-2, -0x1.1f9f34b3000ddp-2, -0x1.1c496195abaa4p-2, -0x1.18f18feb5d62ap-2, -0x1.159827dfa26b9p-2, -0x1.123d8ef34fce5p-2, -0x1.0ee22800df836p-2, -0x1.0b86534123c0bp-2, -0x1.082a6e504a533p-2, -0x1.04ced4333236ep-2, -0x1.0173dd5d0b824p-2, -0x1.fc33bf6a7b60fp-3, -0x1.f5825d3b226bp-3, -0x1.eed435f136164p-3, -0x1.e829e660c6596p-3, -0x1.e184067a879dfp-3, -0x1.dae3295a046b3p-3, -0x1.d447dd542462ep-3, -0x1.cdb2ac0625979p-3, -0x1.c7241a64dc418p-3, -0x1.c09ca8cc5172bp-3, -0x1.ba1cd30fa9ebfp-3, -0x1.b3a5108950acap-3, -0x1.ad35d42b67e11p-3, -0x1.a6cf8c9072fdp-3, -0x1.a072a40c38417p-3, -0x1.9a1f80bcd3837p-3, -0x1.93d6849bf40d9p-3, -0x1.8d980d9042f75p-3, -0x1.8764757ef1f2ap-3, -0x1.813c125d5e54fp-3, -0x1.7b1f3642d3ca5p-3, -0x1.750e2f7a688b3p-3, -0x1.6f094894e42p-3, -0x1.6910c87ab7bc4p-3, -0x1.6324f27dff662p-3, -0x1.5d46066c8ccap-3, -0x1.577440a1eda9p-3, -0x1.51afda19786f7p-3, -0x1.4bf9088051c1ap-3, -0x1.464ffe47677abp-3, -0x1.40b4eab56664ap-3, -0x1.3b27f9f8a2be3p-3, -0x1.35a95538e900fp-3, -0x1.303922a944fabp-3, -0x1.2ad78599ada23p-3, -0x1.25849e88984a8p-3, -0x1.20408b3475d94p-3, -0x1.1b0b66ad0f711p-3, -0x1.15e54964c452ap-3, -0x1.10ce4941a6513p-3, -0x1.0bc679ae769c3p-3, -0x1.06cdebab7931ap-3, -0x1.01e4addf219ccp-3, -0x1.fa15994d390a3p-4, -0x1.f080a44c4ff71p-4, -0x1.e70a8cb288658p-4, -0x1.ddb35e456cf32p-4, -0x1.d47b20b8bb2eap-4, -0x1.cb61d7cdab8e3p-4, -0x1.c2678371da669p-4, -0x1.b98c1fddc7548p-4, -0x1.b0cfa5b2f7698p-4, -0x1.a8320a19a4fe7p-4, -0x1.9fb33ede10879p-4, -0x1.9753328d5aa87p-4, -0x1.8f11d091f9d5p-4, -0x1.86ef014fc0694p-4, -0x1.7eeaaa3f6fb3dp-4, -0x1.7704ae09de47fp-4, -0x1.6f3ceca2aae82p-4, -0x1.679343627d715p-4, -0x1.60078d20d4e5ap-4, -0x1.5899a24d634a7p-4, -0x1.51495908f18c8p-4, -0x1.4a16853dd3adcp-4, -0x1.4300f8b7e4cb9p-4, -0x1.3c08833c0e825p-4, -0x1.352cf29f5ce93p-4, -0x1.2e6e12dd9c56p-4, -0x1.27cbae2f81159p-4, -0x1.21458d205be98p-4, -0x1.1adb76a3592f9p-4, -0x1.148d30284b387p-4, -0x1.0e5a7db00137p-4, -0x1.084321e02c03ap-4, -0x1.0246de16cd5b4p-4, -0x1.f8cae4fa6a3dap-5, -0x1.ed3d3c352030bp-5, -0x1.e1e43dcc016a6p-5, -0x1.d6bf63b09c09fp-5, -0x1.cbce25fa384dap-5, -0x1.c10ffb07775f9p-5, -0x1.b684579f163c1p-5, -0x1.ac2aaf0fcd4cfp-5, -0x1.a202734f67783p-5, -0x1.980b1518fa771p-5, -0x1.8e44040a51b2ep-5, -0x1.84acaec0839p-5, -0x1.7b4482f3bf3afp-5, -0x1.720aed92491b1p-5, -0x1.68ff5adab45bp-5, -0x1.602136754b172p-5, -0x1.576feb8cc5925p-5, -0x1.4eeae4e629623p-5, -0x1.46918cf7fb809p-5, -0x1.3e634e00ad53cp-5, -0x1.365f921c5808fp-5, -0x1.2e85c359b8e1cp-5, -0x1.26d54bce7d953p-5, -0x1.1f4d95aae8dcap-5, -0x1.17ee0b4cb84ddp-5, -0x1.10b617516fbf2p-5, -0x1.09a524a7efd2dp-5, -0x1.02ba9ea172669p-5, -0x1.f7ebe203c4b44p-6, -0x1.eaad101f1213cp-6, -0x1.ddb7a14463bc9p-6, -0x1.d10a70634e291p-6, -0x1.c4a459c745b1dp-6, -0x1.b8843b323dc43p-6, -0x1.aca8f3f64b78dp-6, -0x1.a111650e106fp-6, -0x1.95bc71341fe1ep-6, -0x1.8aa8fcf9536a8p-6, -0x1.7fd5eeda10d59p-6, -0x1.75422f529847bp-6, -0x1.6aeca8f248621p-6, -0x1.60d4486defa26p-6, -0x1.56f7fcb13bdfcp-6, -0x1.4d56b6ef1a28ep-6, -0x1.43ef6ab157ee4p-6, -0x1.3ac10de74841ap-6, -0x1.31ca98f398166p-6, -0x1.290b06b94f66ap-6, -0x1.208154a7fe892p-6, -0x1.182c82c71d58ep-6, -0x1.100b93c0a770fp-6, -0x1.081d8ceb038f5p-6, -0x1.00617652204e1p-6, -0x1.f1acb57fb3cebp-7, -0x1.e2f68f8783499p-7, -0x1.d49e9b74587a5p-7, -0x1.c6a2ffa52a66p-7, -0x1.b901e82ae81c1p-7, -0x1.abb986d2a72c2p-7, -0x1.9ec8132efeff9p-7, -0x1.922bca9fda236p-7, -0x1.85e2f0597fb89p-7, -0x1.79ebcd6a457ebp-7, -0x1.6e44b0bf56d5fp-7, -0x1.62ebef2889afdp-7, -0x1.57dfe35b102c8p-7, -0x1.4d1eedf35884bp-7, -0x1.42a77575e926ep-7, -0x1.3877e64f86933p-7, -0x1.2e8eb2d44d881p-7, -0x1.24ea533e1e1b9p-7, -0x1.1b8945aa3b2edp-7, -0x1.126a0e160967cp-7, -0x1.098b365b455e4p-7, -0x1.00eb4e2b61e61p-7, -0x1.f111d6148a1d6p-8, -0x1.e0c55090d388ap-8, -0x1.d0ee4df89cd73p-8, -0x1.c18a1bf6be654p-8, -0x1.b29613a4ad7b5p-8, -0x1.a40f9979f1cbcp-8, -0x1.95f41d3aba9a5p-8, -0x1.884119e573779p-8, -0x1.7af4159f74fd5p-8, -0x1.6e0aa1a09d31bp-8, -0x1.61825a1e70dap-8, -0x1.5558e635f8d36p-8, -0x1.498bf7d5354d5p-8, -0x1.3e194ba3dfb08p-8, -0x1.32fea8eb1c0d6p-8, -0x1.2839e17cf870cp-8, -0x1.1dc8d19b0f8bp-8, -0x1.13a95fdcb5678p-8, -0x1.09d97d1498cf5p-8, -0x1.00572435e0a8dp-8, -0x1.ee40b471c023bp-9, -0x1.dc665bfe793ap-9, -0x1.cb1b706ffd346p-9, -0x1.ba5c3685ad6b8p-9, -0x1.aa250626ded46p-9, -0x1.9a724a2884108p-9, -0x1.8b40801245202p-9, -0x1.7c8c37e35d18dp-9, -0x1.6e5213d6d019dp-9, -0x1.608ec8273649cp-9, -0x1.533f1ad24a093p-9, -0x1.465fe35c60bf5p-9, -0x1.39ee0a932a724p-9, -0x1.2de68a50c65f5p-9, -0x1.22466d3e3332cp-9, -0x1.170ace9623738p-9, -0x1.0c30d9e730edfp-9, -0x1.01b5cad69e8bep-9, -0x1.ef2dd9c582752p-10, -0x1.dba3364ad0806p-10, -0x1.c8c6802d580d5p-10, -0x1.b692aa9eb944fp-10, -0x1.a502c69882691p-10, -0x1.94120261e86fp-10, -0x1.83bba915f812fp-10, -0x1.73fb222b2cf51p-10, -0x1.64cbf0fa7bf95p-10, -0x1.5629b447a1e98p-10, -0x1.481025c9aa63ap-10, -0x1.3a7b19b494c1bp-10, -0x1.2d667e43206a8p-10, -0x1.20ce5b41aab9fp-10, -0x1.14aed19a28a34p-10, -0x1.09041ae02a75ep-10, -0x1.fb9511bcc0edcp-11, -0x1.e5fd0a4a6cba8p-11, -0x1.d1392133016aap-11, -0x1.bd428609f0713p-11, -0x1.aa12954ec3461p-11, -0x1.97a2d791757aap-11, -0x1.85ed0098dc26fp-11, -0x1.74eaee8b9ad01p-11, -0x1.6496a91af5e94p-11, -0x1.54ea60af8076cp-11, -0x1.45e06d996f82bp-11, -0x1.37734f41a310dp-11, -0x1.299dab5dd9b7fp-11, -0x1.1c5a4d277efd8p-11, -0x1.0fa424942d30cp-11, -0x1.037645914dc2ap-11, -0x1.ef97ce83153a6p-12, -0x1.d940c67af1fa5p-12, -0x1.c3de69ac68bcp-12, -0x1.af67f0b4d5e56p-12, -0x1.9bd4d4bd2b564p-12, -0x1.891cce0dde697p-12, -0x1.7737d2a921ccdp-12, -0x1.661e14e9b5705p-12, -0x1.55c80226dee9p-12, -0x1.462e415d7f06bp-12, -0x1.3749b1de0c504p-12, -0x1.29136a009a49bp-12, -0x1.1b84b5dce3ff9p-12, -0x1.0e97160830783p-12, -0x1.02443e579df18p-12, -0x1.ed0c295244b0fp-13, -0x1.d6ad5f5d921d5p-13, -0x1.c160ab8413649p-13, -0x1.ad1af775984ccp-13, -0x1.99d18794f55f1p-13, -0x1.8779f8bcf8297p-13, -0x1.760a3e0a40664p-13, -0x1.65789eb296812p-13, -0x1.55bbb3e54fa86p-13, -0x1.46ca66b32be69p-13, -0x1.389bee0371a49p-13, -0x1.2b27cc90c4f3fp-13, -0x1.1e65ceeee3de8p-13, -0x1.124e099b67c3ep-13, -0x1.06d8d717f758cp-13, -0x1.f7fdac16f3f6dp-14, -0x1.e371cedea362ep-14, -0x1.d0005989bae1fp-14, -0x1.bd9c0ca6c10ffp-14, -0x1.ac3822dd6ba05p-14, -0x1.9bc84d918417dp-14, -0x1.8c40b191e13c4p-14, -0x1.7d95e3def46b8p-14, -0x1.6fbce67c937cfp-14, -0x1.62ab2556dbbe9p-14, -0x1.5656733d65d94p-14, -0x1.4ab506e353fc3p-14, -0x1.3fbd77fb6c34dp-14, -0x1.3566bc5d3e88p-14, -0x1.2ba8253b6d01ep-14, -0x1.22795c6cd5373p-14, -0x1.19d261c1fa71bp-14, -0x1.11ab886aebbbcp-14, -0x1.09fd746bb5ad8p-14, -0x1.02c1181f6702ap-14, -0x1.f7df639858af5p-15, -0x1.eb0592865c952p-15, -0x1.dee85b1c2c14ap-15, -0x1.d37be55d02d0dp-15, -0x1.c8b4decdb413ep-15, -0x1.be887628ea956p-15, -0x1.b4ec57244b587p-15, -0x1.abd6a65d1580bp-15, -0x1.a33dfd4fa04bp-15, -0x1.9b1966779f4a5p-15, -0x1.9360597d8ef8ep-15, -0x1.8c0ab781f5f4p-15, -0x1.8510c77d865e1p-15, -0x1.7e6b32bcdde7dp-15, -0x1.78130172e7a3ap-15, -0x1.7201975e23cbap-15, -0x1.6c30b086cba7bp-15, -0x1.669a5e171d67cp-15, -0x1.61390341f427fp-15, -0x1.5c0752412256dp-15, -0x1.5700496be8333p-15, -0x1.521f305ef7149p-15, -0x1.4d5f9535732d9p-15, -0x1.48bd49dd4a75cp-15, -0x1.443461774e245p-15, -0x1.3fc12dceccf99p-15, -0x1.3b603ce0040cfp-15, -0x1.370e5674886bdp-15, -0x1.32c879cd5dff5p-15, -0x1.2e8bdb62302bfp-15, -0x1.2a55e2ad1eb16p-15, -0x1.2624280c55f6ap-15, -0x1.21f472b0569c3p-15, -0x1.1dc4b698f157ep-15, -0x1.199312a83ba24p-15, -0x1.155dcebb8c94fp-15, -0x1.112359d952bb9p-15, -0x1.0ce2486eef697p-15, -0x1.089952966374ep-15, -0x1.0447526fdf2e3p-15, -0x1.ffd6850bd0d7cp-16, -0x1.f708787ab5dfap-16, -0x1.ee22ecae5743p-16, -0x1.e52486f484b7dp-16, -0x1.dc0c2196897c8p-16, -0x1.d2d8c91fc9baap-16, -0x1.c989b9c018249p-16, -0x1.c01e5cbe5c089p-16, -0x1.b6964606da012p-16, -0x1.acf131cbb09c6p-16, -0x1.a32f023c0b57p-16, -0x1.994fbd50ac476p-16, -0x1.8f538aa978f14p-16, -0x1.853ab1876c456p-16, -0x1.7b0596ca084e1p-16, -0x1.70b4bb10eeefap-16, -0x1.6648b8e15c553p-16, -0x1.5bc242e73702bp-16, -0x1.51222241e04e8p-16, -0x1.466934e246b44p-16, -0x1.3b986bfa1ea0ep-16, -0x1.30b0ca7b6f4d6p-16, -0x1.25b363a6d101ep-16, -0x1.1aa159a9a1bbcp-16, -0x1.0f7bdc4a0b224p-16, -0x1.0444279c484b1p-16, -0x1.f1f705a0a456bp-17, -0x1.db467e041c21bp-17, -0x1.c4796c3d7a5a7p-17, -0x1.ad9293a22e589p-17, -0x1.9694c4f5ed5fep-17, -0x1.7f82dc7e2c3fbp-17, -0x1.685fc01b2309bp-17, -0x1.512e5d8bffddp-17, -0x1.39f1a8b7abc2ap-17, -0x1.22ac9a116ba85p-17, -0x1.0b622d110284p-17, -0x1.e82abd7f2ee23p-18, -0x1.b99258a775c41p-18, -0x1.8b0123cc2e2e7p-18, -0x1.5c7d12623c953p-18, -0x1.2e0c10c9fe9dbp-18, -0x1.ff680427d6c91p-19, -0x1.a2f57be17a1c5p-19, -0x1.46cc1d6654e48p-19, -0x1.d5eebdf481159p-20, -0x1.1f0529d64ccp-20, -0x1.a3c772dd45a47p-22, 0x1.30d46e87619d9p-22, 0x1.005a078fd45a4p-20, 0x1.b3678aeb13e67p-20, 0x1.32a454fc22e85p-19, 0x1.8af46707f3a57p-19, 0x1.e299e4e1bd84bp-19, 0x1.1cc5773069e33p-18, 0x1.47deeddb06042p-18, 0x1.72949f8a3bff4p-18, 0x1.9ce1f308d04c1p-18, 0x1.c6c26d96924bbp-18, 0x1.f031b36db1f7dp-18, 0x1.0c95c427b8dd3p-17, 0x1.20d5e7ffc2ecdp-17, 0x1.34d74754acac8p-17, 0x1.4897f4a0555e3p-17, 0x1.5c1612e2aecb4p-17, 0x1.6f4fd5c56b24bp-17, 0x1.824381b10d83ep-17, 0x1.94ef6bdce9619p-17, 0x1.a751fa615113p-17, 0x1.b969a43c16b5dp-17, 0x1.cb34f150ca28p-17, 0x1.dcb27a66b3a89p-17, 0x1.ede0e91cd6303p-17, 0x1.febef7e0013ffp-17, 0x1.07a5b8eb557fcp-16, 0x1.0fc2996675c04p-16, 0x1.17b5938d96a9ep-16, 0x1.1f7e25c36e33ep-16, 0x1.271bd68facb69p-16, 0x1.2e8e348e6972p-16, 0x1.35d4d65b4e4b6p-16, 0x1.3cef5a7cc94d7p-16, 0x1.43dd674ce75cdp-16, 0x1.4a9eaae285647p-16, 0x1.5132daf662954p-16, 0x1.5799b4c88cb9p-16, 0x1.5dd2fd0678bc1p-16, 0x1.63de7faed66fp-16, 0x1.69bc0ff23bcb8p-16, 0x1.6f6b8816dec4cp-16, 0x1.74ecc957925d9p-16, 0x1.7a3fbbc62aeb1p-16, 0x1.7f644e2a11f6ap-16, 0x1.845a75df8cd31p-16, 0x1.89222eb78cd3cp-16, 0x1.8dbb7ad3e3bbfp-16, 0x1.92266285e77aep-16, 0x1.9662f42c37f77p-16, 0x1.9a71440e52176p-16, 0x1.9e516c3b1c6bcp-16, 0x1.a2038c643e698p-16, 0x1.a587c9bb44cc3p-16, 0x1.a8de4ecd9dd19p-16, 0x1.ac074b602p-16, 0x1.af02f44c10466p-16, 0x1.b1d1835abfd1fp-16, 0x1.b4733721c7b24p-16, 0x1.b6e852df0c496p-16, 0x1.b9311e552cd18p-16, 0x1.bb4de5a78eb9cp-16, 0x1.bd3ef936e1597p-16, 0x1.bf04ad7d73851p-16, 0x1.c09f5aed30d6p-16, 0x1.c20f5dcba00f3p-16, 0x1.c355160fdc125p-16, 0x1.c470e73fa63f1p-16, 0x1.c563384cdb8b1p-16, 0x1.c62c7374822a2p-16, 0x1.c6cd061cc6d65p-16, 0x1.c74560b4028b8p-16, 0x1.c795f68ff4244p-16, 0x1.c7bf3dccead59p-16, 0x1.c7c1af2d868abp-16, 0x1.c79dc5fbc97d4p-16, 0x1.c753ffe9c7cc5p-16, 0x1.c6e4dcf235eeep-16, 0x1.c650df3a5c8e1p-16, 0x1.c5988af41cf1ap-16, 0x1.c4bc6640b3a87p-16, 0x1.c3bcf91326e1ep-16, 0x1.c29acd13970a3p-16, 0x1.c1566d838c53p-16, 0x1.bff0672315eb8p-16, 0x1.be69481429beap-16, 0x1.bcc19fc12bf55p-16, 0x1.baf9fec24fc15p-16, 0x1.b912f6c38c989p-16, 0x1.b70d1a6c83ea5p-16, 0x1.b4e8fd46d630ap-16, 0x1.b2a733a70a9d3p-16, 0x1.b0485293a265bp-16, 0x1.adccefaf5ea44p-16, 0x1.ab35a121c603ep-16, 0x1.a882fd80c4e54p-16, 0x1.a5b59bbc4a3ccp-16, 0x1.a2ce130855f69p-16, 0x1.9fccfac9091f8p-16, 0x1.9cb2ea7db4cf8p-16, 0x1.998079add81cbp-16, 0x1.96363fd670348p-16, 0x1.92d4d45645c41p-16, 0x1.8f5cce5ce0713p-16, 0x1.8bcec4d919c46p-16, 0x1.882b4e6704939p-16, 0x1.847301407f884p-16, 0x1.80a6732c24fdbp-16, 0x1.7cc6396e41afep-16, 0x1.78d2e8b9d6f21p-16, 0x1.74cd1520cb352p-16, 0x1.70b5520795e7dp-16, 0x1.6c8c32157e673p-16, 0x1.68524728b6d68p-16, 0x1.64082249479b7p-16, 0x1.5fae539b5ae1fp-16, 0x1.5b456a552558bp-16, 0x1.56cdf4b27b026p-16, 0x1.52487fe906e14p-16, 0x1.4db5981f510c8p-16, 0x1.4915c8613f228p-16, 0x1.44699a95e81fdp-16, 0x1.3fb19776f315ap-16, 0x1.3aee46879047p-16, 0x1.36202e0abe20fp-16, 0x1.3147d2fc16b6bp-16, 0x1.2c65b907e7a95p-16, 0x1.277a62826378ap-16, 0x1.22865061f4d51p-16, 0x1.1d8a0237c0734p-16, 0x1.1885f628ac2e1p-16, 0x1.137aa8e884c11p-16, 0x1.0e6895b3439b1p-16, 0x1.095036477fbaep-16, 0x1.043202e1d8969p-16, 0x1.fe1ce4707884ep-17, 0x1.f3cbf2e91f93ep-17, 0x1.e97218625ab23p-17, 0x1.df1038e9ccebap-17, 0x1.d4a7355f4c618p-17, 0x1.ca37eb6c5f452p-17, 0x1.bfc335801a099p-17, 0x1.b549eaca3de93p-17, 0x1.aaccdf335466ep-17, 0x1.a04ce35a01511p-17, 0x1.95cac49088a66p-17, 0x1.8b474cd5ec0e4p-17, 0x1.80c342d5b6f75p-17, 0x1.763f69e43ec8dp-17, 0x1.6bbc81fd9f7a1p-17, 0x1.613b47c233f8cp-17, 0x1.56bc7477b09fap-17, 0x1.4c40be0743998p-17, 0x1.41c8d6fce5ec1p-17, 0x1.37556e87cdc0cp-17, 0x1.2ce7307c86a56p-17, 0x1.227ec552f1816p-17, 0x1.181cd22958e57p-17, 0x1.0dc1f8c604daep-17, 0x1.036ed79740a77p-17, 0x1.f2481371293f2p-18, 0x1.ddc44de67204ep-18, 0x1.c95387836a23cp-18, 0x1.b4f6e2a40e10ap-18, 0x1.a0af7b172d594p-18, 0x1.8c7e66228e2cep-18, 0x1.7864b289461d9p-18, 0x1.64636896d866bp-18, 0x1.507b8a29e2ecdp-18, 0x1.3cae12bba962cp-18, 0x1.28fbf76835bbap-18, 0x1.156626fcdc08cp-18, 0x1.01ed8a00c66eap-18, 0x1.dd26058421715p-19, 0x1.b6aedabdd5868p-19, 0x1.90773fa939cc7p-19, 0x1.6a80d415b1eb8p-19, 0x1.44cd2bbdafeaap-19, 0x1.1f5dce68ed3c1p-19, 0x1.f468700a94a6bp-20, 0x1.aaa3b1799fa3cp-20, 0x1.61702a2c033e2p-20, 0x1.18d08c2215e9cp-20, 0x1.a18ee519634ap-21, 0x1.12aec40c11243p-21, 0x1.0a0b232de0127p-22, -0x1.da00819046d4ep-27, -0x1.252ae49815a92p-22, -0x1.1c7e65eb66716p-21, -0x1.a51eae59ca424p-21, -0x1.163923a4503dp-20, -0x1.593aab196ad2ap-20, -0x1.9b9214dcbb7d6p-20, -0x1.dd3d9c9a0e70cp-20, -0x1.0f1dc90abad82p-19, -0x1.2f452c73db5p-19, -0x1.4f14341b30a92p-19, -0x1.6e8a25397577p-19, -0x1.8da64e8b34d99p-19, -0x1.ac680831bed32p-19, -0x1.caceb38930c89p-19, -0x1.e8d9bb0c67f4fp-19, -0x1.03444917d6b62p-18, -0x1.11ed5a9ee8ec9p-18, -0x1.2067d49bea505p-18, -0x1.2eb37dd7f3c22p-18, -0x1.3cd02153c2914p-18, -0x1.4abd8e35cbda8p-18, -0x1.587b97b9d1451p-18, -0x1.660a151f210e9p-18, -0x1.7368e1964bbddp-18, -0x1.8097dc31a4118p-18, -0x1.8d96e7d31389cp-18, -0x1.9a65eb1a284ddp-18, -0x1.a704d05398537p-18, -0x1.b3738567a97b7p-18, -0x1.bfb1fbcba9f52p-18, -0x1.cbc0286cfc901p-18, -0x1.d79e03a186cc4p-18, -0x1.e34b89184cbe1p-18, -0x1.eec8b7c882ef8p-18, -0x1.fa1591dea182ep-18, -0x1.02990e5704eb3p-17, -0x1.080f304f6429p-17, -0x1.0d6d348f7e53p-17, -0x1.12b322487ef14p-17, -0x1.17e1021e4d091p-17, -0x1.1cf6de1f14a13p-17, -0x1.21f4c1bb254d4p-17, -0x1.26dab9bce982cp-17, -0x1.2ba8d441e617fp-17, -0x1.305f20b2153b3p-17, -0x1.34fdafb8ae512p-17, -0x1.3984933c3681ep-17, -0x1.3df3de5685e42p-17, -0x1.424ba54e00571p-17, -0x1.468bfd8dc453dp-17, -0x1.4ab4fd9e76f93p-17, -0x1.4ec6bd1ec501cp-17, -0x1.52c154bbb149cp-17, -0x1.56a4de29e6043p-17, -0x1.5a71741ec2349p-17, -0x1.5e27324990a99p-17, -0x1.61c6354ba2323p-17, -0x1.654e9ab1beacep-17, -0x1.68c080edc2c3p-17, -0x1.6c1c074fb1da7p-17, -0x1.6f614dff36fe6p-17, -0x1.729075f4bc946p-17, -0x1.75a9a0f339a6fp-17, -0x1.78acf181c86dp-17, -0x1.7b9a8ae50eb2cp-17, -0x1.7e7291193c247p-17, -0x1.813528cc0727ap-17, -0x1.83e277567b974p-17, -0x1.867aa2b6959d2p-17, -0x1.88fdd189fe382p-17, -0x1.8b6c2b07f5599p-17, -0x1.8dc5d6fb6e732p-17, -0x1.900afdbd87dp-17, -0x1.923bc82fa4414p-17, -0x1.94585fb6bd849p-17, -0x1.9660ee351a808p-17, -0x1.98559e056dc97p-17, -0x1.9a3699f5a654ep-17, -0x1.9c040d418515fp-17, -0x1.9dbe238d5dd63p-17, -0x1.9f6508e13e609p-17, -0x1.a0f8e9a46d958p-17, -0x1.a279f297fe25cp-17, -0x1.a3e850d282f92p-17, -0x1.a54431bae9f7bp-17, -0x1.a68dc30410bc7p-17, -0x1.a7c532a821127p-17, -0x1.a8eaaee48635dp-17, -0x1.a9fe66356ec9dp-17, -0x1.ab008750e70b1p-17, }}, 
      {{0x1.f8678ccf5d9fdp-1, 0x1.f81e4d99d77dfp-1, 0x1.f7a544b78e89p-1, 0x1.f6fdeddbd8acdp-1, 0x1.f62a39a025f47p-1, 0x1.f52c749b9d58dp-1, 0x1.f4072ef600d73p-1, 0x1.f2bd25d00c446p-1, 0x1.f1512f3519f55p-1, 0x1.efc628dd9e2d8p-1, 0x1.ee1ee9c681547p-1, 0x1.ec5e36796e2b9p-1, 0x1.ea86b7cc6987fp-1, 0x1.e89af3d4f2549p-1, 0x1.e69d48c81d491p-1, 0x1.e48fe982ac744p-1, 0x1.e274db782d5fap-1, 0x1.e04df5cd81e43p-1, 0x1.de1ce169169a9p-1, 0x1.dbe319c90fc29p-1, 0x1.d9a1ee7583631p-1, 0x1.d75a84ea65eb1p-1, 0x1.d50ddad9e0ef4p-1, 0x1.d2bcc8ac885dbp-1, 0x1.d06804290e5d5p-1, 0x1.ce102330eccbp-1, 0x1.cbb59e82ca57ap-1, 0x1.c958d4765c214p-1, 0x1.c6fa0ba80c765p-1, 0x1.c499758cec132p-1, 0x1.c23730e94f772p-1, 0x1.bfd34c26198efp-1, 0x1.bd6dc78200fb8p-1, 0x1.bb06971d4148ap-1, 0x1.b89da4df08969p-1, 0x1.b632d234adcf3p-1, 0x1.b3c5f9ab4cdaap-1, 0x1.b156f064d66bbp-1, 0x1.aee58769f84c2p-1, 0x1.ac718cda7a088p-1, 0x1.a9faccfdd8b35p-1, 0x1.a781133603557p-1, 0x1.a5042ad6269b1p-1, 0x1.a283dfdf779edp-1, 0x1.9fffffa5e9861p-1, 0x1.9d78595eaa765p-1, 0x1.9aecbe9a39a3fp-1, 0x1.985d03abce102p-1, 0x1.95c8ffffb150fp-1, 0x1.93308e621f0c8p-1, 0x1.90938d381b3fdp-1, 0x1.8df1deab9ac3bp-1, 0x1.8b4b68cc47b17p-1, 0x1.88a015a60934cp-1, 0x1.85efd34e68ebbp-1, 0x1.833a93e9d8a98p-1, 0x1.80804da9c10b9p-1, 0x1.7dc0fac436893p-1, 0x1.7afc99661a079p-1, 0x1.78332ba05da93p-1, 0x1.7564b75111742p-1, 0x1.72914608d14d1p-1, 0x1.6fb8e4ed20ccp-1, 0x1.6cdba4982c8bp-1, 0x1.69f998f668ffp-1, 0x1.6712d9227209bp-1, 0x1.64277f3f8928cp-1, 0x1.6137a853075dp-1, 0x1.5e43741d0d564p-1, 0x1.5b4b04f0b44bfp-1, 0x1.584e7f8bff80ep-1, 0x1.554e0aefc1e71p-1, 0x1.5249d037a844ap-1, 0x1.4f41fa729363dp-1, 0x1.4c36b67b6859ep-1, 0x1.492832d2768e5p-1, 0x1.46169f77908a7p-1, 0x1.43022dc4f14adp-1, 0x1.3feb104b04f2p-1, 0x1.3cd17aad220e4p-1, 0x1.39b5a17f4a17cp-1, 0x1.3697ba24f66f5p-1, 0x1.3377fab10294p-1, 0x1.305699c6b7f4bp-1, 0x1.2d33ce7c00de1p-1, 0x1.2a0fd03cca364p-1, 0x1.26ead6af943f6p-1, 0x1.23c5199b3493bp-1, 0x1.209ed0cdc7278p-1, 0x1.1d783404d1d74p-1, 0x1.1a517ad692cdcp-1, 0x1.172adc9c79fbfp-1, 0x1.1404905ec93c1p-1, 0x1.10deccc15486dp-1, 0x1.0db9c7f16040ep-1, 0x1.0a95b7949349fp-1, 0x1.0772d0b8fb0b5p-1, 0x1.045147c616f85p-1, 0x1.0131506ee86b8p-1, 0x1.fc263b49f4b13p-2, 0x1.f5edc318bd3fbp-2, 0x1.efb99ae12b272p-2, 0x1.e98a2374b4d17p-2, 0x1.e35fbbcc94095p-2, 0x1.dd3ac0f8bd4ffp-2, 0x1.d71b8e106ee6cp-2, 0x1.d1027c2448265p-2, 0x1.caefe231d7fd7p-2, 0x1.c4e4151894f4ap-2, 0x1.bedf67902ee18p-2, 0x1.b8e22a202a044p-2, 0x1.b2ecab18b50b2p-2, 0x1.acff368cab795p-2, 0x1.a71a164cb8201p-2, 0x1.a13d91e383dfdp-2, 0x1.9b69ee92e9a76p-2, 0x1.959f6f521d398p-2, 0x1.8fde54ccbd3d6p-2, 0x1.8a26dd62ba9dcp-2, 0x1.8479452914c58p-2, 0x1.7ed5c5eb552cap-2, 0x1.793c972dc40ddp-2, 0x1.73adee3049837p-2, 0x1.6e29fdf1eebbp-2, 0x1.68b0f734f987ep-2, 0x1.63430883920f2p-2, 0x1.5de05e34ee26dp-2, 0x1.58892272f8bbcp-2, 0x1.533d7d4066497p-2, 0x1.4dfd947f3907dp-2, 0x1.48c98bf7a093fp-2, 0x1.43a1855f3583cp-2, 0x1.3e85a060888ap-2, 0x1.3975faa2f8697p-2, 0x1.3472afd2d0e97p-2, 0x1.2f7bd9a9a1a5cp-2, 0x1.2a918ff6d1901p-2, 0x1.25b3e8a8610fap-2, 0x1.20e2f7d3d96d9p-2, 0x1.1c1ecfbf60c2dp-2, 0x1.176780eaf2662p-2, 0x1.12bd1a19b14dep-2, 0x1.0e1fa85b5544ep-2, 0x1.098f3715aa281p-2, 0x1.050bd00e1e18p-2, 0x1.00957b7360d19p-2, 0x1.f8587fce06ed9p-3, 0x1.efa0450e4a326p-3, 0x1.e7024df033fa2p-3, 0x1.de7e9edc2f661p-3, 0x1.d615396db1adp-3, 0x1.cdc61c867709ep-3, 0x1.c5914461aa8e8p-3, 0x1.bd76aaa6fc5dfp-3, 0x1.b576467d9133bp-3, 0x1.ad900c9edcce1p-3, 0x1.a5c3ef6953e2cp-3, 0x1.9e11def2f2f8dp-3, 0x1.9679c91ba2145p-3, 0x1.8efb999f61d85p-3, 0x1.87973a285113ep-3, 0x1.804c926074bc8p-3, 0x1.791b880354ce8p-3, 0x1.7203feef58169p-3, 0x1.6b05d936e971cp-3, 0x1.6420f73163e0ep-3, 0x1.5d55378bbca36p-3, 0x1.56a27758f0a0dp-3, 0x1.500892222d368p-3, 0x1.498761f6c27b9p-3, 0x1.431ebf7bc1141p-3, 0x1.3cce81fb66c1fp-3, 0x1.36967f7439282p-3, 0x1.30768ca7e21a4p-3, 0x1.2a6e7d29c2e99p-3, 0x1.247e236d4235cp-3, 0x1.1ea550d3d6023p-3, 0x1.18e3d5bac225ap-3, 0x1.13398188905bfp-3, 0x1.0da622ba465f4p-3, 0x1.082986f04e98bp-3, 0x1.02c37afb1992ap-3, 0x1.fae795cefe674p-4, 0x1.f07484159fdd6p-4, 0x1.e62d561d4b7acp-4, 0x1.dc119ff8d82f3p-4, 0x1.d220f49144dd3p-4, 0x1.c85ae5bbb0926p-4, 0x1.bebf044ec603cp-4, 0x1.b54ce037aa22p-4, 0x1.ac04088e4fde7p-4, 0x1.a2e40ba950ca7p-4, 0x1.99ec77313e413p-4, 0x1.911cd8336a0dep-4, 0x1.8874bb3431a2cp-4, 0x1.7ff3ac40bf375p-4, 0x1.7799370051b02p-4, 0x1.6f64e6c501fedp-4, 0x1.6756469c0c4ddp-4, 0x1.5f6ce15d9c9eep-4, 0x1.57a841bc22345p-4, 0x1.5007f25328882p-4, 0x1.488b7db5bcafbp-4, 0x1.41326e7c59888p-4, 0x1.39fc4f526402fp-4, 0x1.32e8ab0335404p-4, 0x1.2bf70c86b256fp-4, 0x1.2526ff0d79a8ep-4, 0x1.1e780e0ca1917p-4, 0x1.17e9c5490db32p-4, 0x1.117bb0e25ca6fp-4, 0x1.0b2d5d5d6bf16p-4, 0x1.04fe57ae7c9dbp-4, 0x1.fddc5a85dc3ccp-5, 0x1.f1f8d8153c74ep-5, 0x1.e6514501cb844p-5, 0x1.dae4bf6a75542p-5, 0x1.cfb266a6e6a82p-5, 0x1.c4b95b5769bf6p-5, 0x1.b9f8bf7409895p-5, 0x1.af6fb65b113eep-5, 0x1.a51d64dedc106p-5, 0x1.9b00f15305ca3p-5, 0x1.91198398fc16fp-5, 0x1.8766452be8fbfp-5, 0x1.7de6612c0ed61p-5, 0x1.7499046984401p-5, 0x1.6b7d5d6e6828ep-5, 0x1.62929c8878a42p-5, 0x1.59d7f3d22b6a9p-5, 0x1.514c973b33fc6p-5, 0x1.48efbc908c283p-5, 0x1.40c09b83f4c1ep-5, 0x1.38be6db2fd51p-5, 0x1.30e86ead8c06dp-5, 0x1.293ddbfbf13e7p-5, 0x1.21bdf52484c55p-5, 0x1.1a67fbb0d1d7bp-5, 0x1.133b333256656p-5, 0x1.0c36e146d4ea6p-5, 0x1.055a4d9c3dc73p-5, 0x1.fd4983e86ac3fp-6, 0x1.f02b144e7255bp-6, 0x1.e357e84ec3852p-6, 0x1.d6cea0058f13bp-6, 0x1.ca8ddfcb2d3c7p-6, 0x1.be94503780a55p-6, 0x1.b2e09e24be81p-6, 0x1.a7717ab1936f4p-6, 0x1.9c459b42a7381p-6, 0x1.915bb9838c0cdp-6, 0x1.86b293670ec08p-6, 0x1.7c48eb2710c81p-6, 0x1.721d8743bd91p-6, 0x1.682f32824d245p-6, 0x1.5e7cbbeb427e7p-6, 0x1.5504f6c8302a7p-6, 0x1.4bc6baa0fd7f2p-6, 0x1.42c0e338c8a39p-6, 0x1.39f2508a4f8b1p-6, 0x1.3159e6c3f504fp-6, 0x1.28f68e43612bp-6, 0x1.20c73390b6db1p-6, 0x1.18cac7597d3p-6, 0x1.11003e6b250f2p-6, 0x1.096691ad38274p-6, 0x1.01fcbe1b3d59p-6, 0x1.f583897c9864p-7, 0x1.e769554ca8d27p-7, 0x1.d9a8f1c64501ep-7, 0x1.cc4078fa404e6p-7, 0x1.bf2e0cdba2108p-7, 0x1.b26fd73038853p-7, 0x1.a6040980a49a2p-7, 0x1.99e8dd08076eap-7, 0x1.8e1c92a340a62p-7, 0x1.829d72bfd13f9p-7, 0x1.7769cd4a69fbap-7, 0x1.6c7ff99d18a75p-7, 0x1.61de566d26962p-7, 0x1.578349b8bd687p-7, 0x1.4d6d40b42c1e8p-7, 0x1.439aafb7126ap-7, 0x1.3a0a12291a489p-7, 0x1.30b9ea6ebbe3fp-7, 0x1.27a8c1d590db9p-7, 0x1.1ed52880ac0efp-7, 0x1.163db554abbd9p-7, 0x1.0de105e3b3063p-7, 0x1.05bdbe5938e4ep-7, 0x1.fba512cb8dbcap-8, 0x1.ec3c30552e4fcp-8, 0x1.dd3e444a35367p-8, 0x1.cea8ca34e8c71p-8, 0x1.c0794a05cd375p-8, 0x1.b2ad57ea54c08p-8, 0x1.a54294239a758p-8, 0x1.9836aadd0694ap-8, 0x1.8b875402e86ebp-8, 0x1.7f32531922e2dp-8, 0x1.73357711dc39dp-8, 0x1.678e9a242d2a9p-8, 0x1.5c3ba1a2ffb7p-8, 0x1.513a7dd3dff76p-8, 0x1.468929c60e7ap-8, 0x1.3c25ab29952bep-8, 0x1.320e1226999e3p-8, 0x1.28407934cc913p-8, 0x1.1ebb04f2ff375p-8, 0x1.157be3fefc4dcp-8, 0x1.0c814ecd8f5efp-8, 0x1.03c98782b99ddp-8, 0x1.f6a5b3946341bp-9, 0x1.e637356037f15p-9, 0x1.d64450f413294p-9, 0x1.c6c9d5005d76ap-9, 0x1.b7c4a20de0d91p-9, 0x1.a931aa317a65dp-9, 0x1.9b0df0c04b248p-9, 0x1.8d568a0495bfap-9, 0x1.80089af344874p-9, 0x1.732158e20532cp-9, 0x1.669e093e42ff7p-9, 0x1.5a7c0144684e4p-9, 0x1.4eb8a5b84a0e6p-9, 0x1.43516a9df2db2p-9, 0x1.3843d2f349a74p-9, 0x1.2d8d706a73ddfp-9, 0x1.232be324e2a7ap-9, 0x1.191cd96f37ca2p-9, 0x1.0f5e0f7dd63c8p-9, 0x1.05ed4f2a3e847p-9, 0x1.f990df6296426p-10, 0x1.e7daaae3dce2fp-10, 0x1.d6b3e35a28698p-10, 0x1.c618848c0d8fp-10, 0x1.b604a307657a3p-10, 0x1.a6746ba5974f2p-10, 0x1.976423114107p-10, 0x1.88d0254da3c3fp-10, 0x1.7ab4e53f7bcfcp-10, 0x1.6d0eec37ba7c9p-10, 0x1.5fdad97faf115p-10, 0x1.531561e69fe0dp-10, 0x1.46bb4f51712d2p-10, 0x1.3ac9804b9caf5p-10, 0x1.2f3ce799ad8efp-10, 0x1.24128bcda19cbp-10, 0x1.194786dca554p-10, 0x1.0ed905b698fa5p-10, 0x1.04c447df07f07p-10, 0x1.f60d3e0f9eeb3p-11, 0x1.e33add5a7514dp-11, 0x1.d10c57678c5bp-11, 0x1.bf7cb80f2b6e6p-11, 0x1.ae872c7a751b7p-11, 0x1.9e2702683749dp-11, 0x1.8e57a774d879p-11, 0x1.7f14a86591e3p-11, 0x1.7059b0763b25ap-11, 0x1.622288aa4b611p-11, 0x1.546b17211d872p-11, 0x1.472f5e6c98082p-11, 0x1.3a6b7ceb4e68cp-11, 0x1.2e1bac256a2fep-11, 0x1.223c402c2e96bp-11, 0x1.16c9a6fcd04d2p-11, 0x1.0bc067e59c1e3p-11, 0x1.011d22ee6e478p-11, 0x1.edb920875b37dp-12, 0x1.d9f6ff47f7f37p-12, 0x1.c6edafa19bb26p-12, 0x1.b4972c02f4527p-12, 0x1.a2ed9ab2b9e6ap-12, 0x1.91eb4cbfbfe01p-12, 0x1.818abcf81c42dp-12, 0x1.71c68ee3a5a43p-12, 0x1.62998dc4dab84p-12, 0x1.53feab9e57679p-12, 0x1.45f1003cc9ea7p-12, 0x1.386bc84690b2ep-12, 0x1.2b6a644faeed1p-12, 0x1.1ee857f2a3329p-12, 0x1.12e148ee2df3cp-12, 0x1.0750fe472d9d7p-12, 0x1.f866bedf49ffcp-13, 0x1.e308e6e37aa7cp-13, 0x1.ce80c03fdf9abp-13, 0x1.bac6d291243f2p-13, 0x1.a7d3dfdd5c469p-13, 0x1.95a0e30cac344p-13, 0x1.84270e6b78235p-13, 0x1.735fca33eb41p-13, 0x1.6344b3206f1b3p-13, 0x1.53cf9905252aap-13, 0x1.44fa7d7200073p-13, 0x1.36bf925ca7b4fp-13, 0x1.291938d15476ep-13, 0x1.1c01ffabd6e7ep-13, 0x1.0f74a2570db12p-13, 0x1.036c079505b9cp-13, 0x1.efc680995125ep-14, 0x1.d9ab0cbee8454p-14, 0x1.c47c770c1b9e5p-14, 0x1.b031d06571245p-14, 0x1.9cc274f66c3f7p-14, 0x1.8a260a11e4b7cp-14, 0x1.78547c1f8bb94p-14, 0x1.6745fc95707abp-14, 0x1.56f2fffd52ce3p-14, 0x1.47543c07c1999p-14, 0x1.3862a5a97c587p-14, 0x1.2a176f45a5951p-14, 0x1.1c6c06e258a9bp-14, 0x1.0f5a1469970e5p-14, 0x1.02db77f41936p-14, 0x1.edd4903f32c9p-15, 0x1.d701a0dffda33p-15, 0x1.c1331f73975a3p-15, 0x1.ac5e6d2f0898fp-15, 0x1.98794bd330e03p-15, 0x1.8579dabcf172dp-15, 0x1.7356940b7e788p-15, 0x1.620649d792245p-15, 0x1.5180237e71cabp-15, 0x1.41bb9afcf652ap-15, 0x1.32b07a5ee50c6p-15, 0x1.2456d93c5f03ep-15, 0x1.16a71a4b3727dp-15, 0x1.0999e8fe2fba5p-15, 0x1.fa506e6d1f7e2p-16, 0x1.e29676081a743p-16, 0x1.cbf8d8e930663p-16, 0x1.b66b06e736f88p-16, 0x1.a1e0eb6fda27bp-16, 0x1.8e4ee97dfbd3dp-16, 0x1.7ba9d7b121053p-16, 0x1.69e6fc7e4f08dp-16, 0x1.58fc0a7795834p-16, 0x1.48df1cb6e3175p-16, 0x1.3986b359e6954p-16, 0x1.2ae9b01ceb89cp-16, 0x1.1cff530c9bf84p-16, 0x1.0fbf374fbb39bp-16, 0x1.03215006fb8a6p-16, 0x1.ee3bca8c89c22p-17, 0x1.d75b224633112p-17, 0x1.c19279b1a91cdp-17, 0x1.acd43c054784bp-17, 0x1.991367d4abf22p-17, 0x1.864389d6fef02p-17, 0x1.7458b7d19929cp-17, 0x1.63478bb0bb0b2p-17, 0x1.53051ebe44493p-17, 0x1.438705011445bp-17, 0x1.34c348c2f4255p-17, 0x1.26b066329683cp-17, 0x1.1945472cc0f66p-17, 0x1.0c793f276a4bbp-17, 0x1.00440736752cp-17, 0x1.e93b74741455fp-18, 0x1.d2fda24995244p-18, 0x1.bdc03ec184533p-18, 0x1.a9759ea627edfp-18, 0x1.9610bdfa5830cp-18, 0x1.83853968087a1p-18, 0x1.71c747f0309ccp-18, 0x1.60cbb4d0f1ae6p-18, 0x1.5087d993175dfp-18, 0x1.40f19851e2b06p-18, 0x1.31ff562ebbfe7p-18, 0x1.23a7f5f87022fp-18, 0x1.15e2d2fbb5e92p-18, 0x1.08a7bc0138102p-18, 0x1.f7dddcf46f6f9p-19, 0x1.df6223af8f6b9p-19, 0x1.c7ce65ff070a4p-19, 0x1.b1157feddaf91p-19, 0x1.9b2b0757c8a1ep-19, 0x1.860343c5d3ed6p-19, 0x1.719326a596b2p-19, 0x1.5dd043b388e6fp-19, 0x1.4ab0c9b18209ap-19, 0x1.382b7b5db16dcp-19, 0x1.2637a8ac9039fp-19, 0x1.14cd28412bdc4p-19, 0x1.03e4512160267p-19, 0x1.e6ebe945ce92p-20, 0x1.c6f6b144feba6p-20, 0x1.a7dc63b266913p-20, 0x1.89913ce8f1f81p-20, 0x1.6c0a41c4da9b5p-20, 0x1.4f3d35a8c3937p-20, 0x1.332090c70ea22p-20, 0x1.17ab76f9078b3p-20, 0x1.f9ab5dafaa501p-21, 0x1.c52f324ac46e1p-21, 0x1.91d4512719784p-21, 0x1.5f8db3da1ea1ap-21, 0x1.2e4f590a19c08p-21, 0x1.fc1c6b99cd941p-22, 0x1.9d804fbd013e4p-22, 0x1.40b7d098daeeap-22, 0x1.cb63fa801ed6cp-23, 0x1.18bed22e906acp-23, 0x1.a590a4ae3b87fp-25, -0x1.0b1549dedc1bep-25, -0x1.d7a8e1bc37dap-24, -0x1.91dda910e10d8p-23, -0x1.1a79a00af5648p-22, -0x1.6a92b760b3c11p-22, -0x1.b94142ca260bp-22, -0x1.0345c3b537678p-21, -0x1.293b7bd49f853p-21, -0x1.4e84214f79527p-21, -0x1.7321b19023a9ap-21, -0x1.9715d6c98b0bep-21, -0x1.ba61eeb448d2fp-21, -0x1.dd071105c9e7bp-21, -0x1.ff0615731dd25p-21, -0x1.102fccbd6aee7p-20, -0x1.208a02f18c80bp-20, -0x1.3091c9ed0ea52p-20, -0x1.404728f8f80f2p-20, -0x1.4faa145a76cd7p-20, -0x1.5eba6f870e39cp-20, -0x1.6d780f43403f6p-20, -0x1.7be2bb9227c2p-20, -0x1.89fa318f603dp-20, -0x1.97be25304e5dfp-20, -0x1.a52e42eb61e2cp-20, -0x1.b24a313a4eff3p-20, -0x1.bf11920ce1eb3p-20, -0x1.cb84042c1d0d7p-20, -0x1.d7a1247828a0fp-20, -0x1.e3688f1f6c383p-20, -0x1.eed9e0b21c3d7p-20, -0x1.f9f4b73006048p-20, -0x1.025c597c669e3p-19, -0x1.0792bbd773036p-19, -0x1.0c9d568363234p-19, -0x1.117bffc6402ep-19, -0x1.162e90aa58693p-19, -0x1.1ab4e54c56d81p-19, -0x1.1f0edd2996d82p-19, -0x1.233c5b63b1602p-19, -0x1.273d46f896f19p-19, -0x1.2b118afc24d99p-19, -0x1.2eb916c7210bcp-19, -0x1.3233de23b3cf1p-19, -0x1.3581d974df5eap-19, -0x1.38a305d33f965p-19, -0x1.3b97652c946f2p-19, -0x1.3e5efe5a2b82dp-19, -0x1.40f9dd33126ccp-19, -0x1.4368129d9e899p-19, -0x1.45a9b49630132p-19, -0x1.47bede3a81b14p-19, -0x1.49a7afcea0252p-19, -0x1.4b644ebaa8accp-19, -0x1.4cf4e58b510ep-19, -0x1.4e59a3ed26ae5p-19, -0x1.4f92bea362a5cp-19, -0x1.50a06f7f4c353p-19, -0x1.5182f552b4db8p-19, -0x1.523a93e27ecacp-19, -0x1.52c793d5ba078p-19, -0x1.532a42a3ddd3cp-19, -0x1.5362f280138cfp-19, -0x1.5371fa424b747p-19, -0x1.5357b55239ba9p-19, -0x1.5314838e14e9cp-19, -0x1.52a8c92f74b2ep-19, -0x1.5214eeb15be9bp-19, -0x1.515960b4bfb28p-19, -0x1.50768fe2295b8p-19, -0x1.4f6cf0cc3ac37p-19, -0x1.4e3cfbd2dfafep-19, -0x1.4ce72d01f189p-19, -0x1.4b6c03f2193d5p-19, -0x1.49cc03a9129e4p-19, -0x1.4807b27830fbp-19, -0x1.461f99dc47fc6p-19, -0x1.4414465ba6796p-19, -0x1.41e64765758c6p-19, -0x1.3f962f2e5457ep-19, -0x1.3d24928ffe02fp-19, -0x1.3a9208e6d2fe4p-19, -0x1.37df2bf11582ep-19, -0x1.350c97ab66c94p-19, -0x1.321aea3119f61p-19, -0x1.2f0ac39984e0fp-19, -0x1.2bdcc5d6ce78ep-19, -0x1.2891949592728p-19, -0x1.2529d51b716bp-19, -0x1.21a62e2748bd2p-19, -0x1.1e0747cfa1c7ap-19, -0x1.1a4dcb63e9b5dp-19, -0x1.167a634da3837p-19, -0x1.128dbaf076e46p-19, -0x1.0e887e8c03b1bp-19, -0x1.0a6b5b1ee2403p-19, -0x1.0636fe477d31ep-19, -0x1.01ec1626d8276p-19, -0x1.fb16a28c0a037p-20, -0x1.f22abcee8b84ep-20, -0x1.e915d97a14bedp-20, -0x1.dfd9565afef84p-20, -0x1.d67691b34d84p-20, -0x1.cceee9654c2cp-20, -0x1.c343bae0ef344p-20, -0x1.b97662f3e2812p-20, -0x1.af883d9a49237p-20, -0x1.a57aa5cc3b54ep-20, -0x1.9b4ef55458be7p-20, -0x1.910684a1c9ae9p-20, -0x1.86a2aa9c843b8p-20, -0x1.7c24bc7da5f0ap-20, -0x1.718e0da42d629p-20, -0x1.66dfef7390a8bp-20, -0x1.5c1bb126987abp-20, -0x1.51429faeb048ep-20, -0x1.465605902af4fp-20, -0x1.3b572abc98efcp-20, -0x1.304754766fbcbp-20, -0x1.2527c52e3b035p-20, -0x1.19f9bc63f8151p-20, -0x1.0ebe768b0bd69p-20, -0x1.03772cee5e5bbp-20, -0x1.f04a2b2961403p-21, -0x1.d992c64abe642p-21, -0x1.c2ca89a56cae1p-21, -0x1.abf3cc7d453a9p-21, -0x1.9510decdc93b1p-21, -0x1.7e24091c9b8a1p-21, -0x1.672f8c50525aap-21, -0x1.5035a18c80ae1p-21, -0x1.39387a0eb435ap-21, -0x1.223a3f08ca0ep-21, -0x1.0b3d1186671e5p-21, -0x1.e8861492510b8p-22, -0x1.ba9c735a3efa9p-22, -0x1.8cc14f27353d4p-22, -0x1.5ef8a68a73c37p-22, -0x1.314666bb4205dp-22, -0x1.03ae6b6e51fa2p-22, -0x1.ac68fd64458adp-23, -0x1.51b8b1950787ap-23, -0x1.eea68052ae976p-24, -0x1.3a7fa3c0bc6e6p-24, -0x1.0e15acfbe697dp-25, 0x1.5d5138a7f4f5dp-27, 0x1.bb23bb455fb59p-25, 0x1.8e9f1f0d86286p-24, 0x1.1f62834786ad2p-23, 0x1.76fb7c81bca77p-23, 0x1.ce14526cf742cp-23, 0x1.12538083410d5p-22, 0x1.3d56d49737cd2p-22, 0x1.68114842d696fp-22, 0x1.928010b42f71p-22, 0x1.bca0757e97331p-22, 0x1.e66fd078e7d5fp-22, 0x1.07f5c6e1438e9p-21, 0x1.1c8895d80a81ep-21, 0x1.30ef1d5f7b60fp-21, 0x1.45282ebd08d08p-21, 0x1.5932a4346876fp-21, 0x1.6d0d60ff06bdfp-21, 0x1.80b7513b7f234p-21, 0x1.942f69de8eedcp-21, 0x1.a774a8a97c11cp-21, 0x1.ba86141dd5b54p-21, 0x1.cd62bb65b6e7fp-21, 0x1.e009b6474a0c4p-21, 0x1.f27a25161dc6cp-21, 0x1.0259984ef9536p-20, 0x1.0b5a0508933p-20, 0x1.143df57b0e61bp-20, 0x1.1d050a8885b0bp-20, 0x1.25aee928ba3f9p-20, 0x1.2e3b3a5cdaa12p-20, 0x1.36a9ab2627135p-20, 0x1.3ef9ec7c68c2ep-20, 0x1.472bb33ee26cep-20, 0x1.4f3eb82bd8e0cp-20, 0x1.5732b7d3d3144p-20, 0x1.5f07728d84d9fp-20, 0x1.66bcac6b07f02p-20, 0x1.6e522d2afbe74p-20, 0x1.75c7c02ddc03dp-20, 0x1.7d1d346992555p-20, 0x1.84525c5abff6ap-20, 0x1.8b670df888a37p-20, 0x1.925b22a9c6039p-20, 0x1.992e7735c9072p-20, 0x1.9fe0ebb64953cp-20, 0x1.a672638cb8d81p-20, 0x1.ace2c55373d62p-20, 0x1.b331facfbe267p-20, 0x1.b95ff0e5aa789p-20, 0x1.bf6c97891b189p-20, 0x1.c557e1b0a6eecp-20, 0x1.cb21c548dd094p-20, 0x1.d0ca3b23770f4p-20, 0x1.d6513eecc3e39p-20, 0x1.dbb6cf1ddfb3ap-20, 0x1.e0faeced52bdep-20, 0x1.e61d9c41d4e1cp-20, 0x1.eb1ee3a557841p-20, 0x1.effecc36fd0e5p-20, 0x1.f4bd619d57e8cp-20, 0x1.f95ab1f8721dcp-20, 0x1.fdd6cdd51458cp-20, 0x1.0118e40f67ecp-19, 0x1.0335db088bb41p-19, 0x1.0542579574c4fp-19, 0x1.073e66915a1eap-19, 0x1.092a15eb75dafp-19, 0x1.0b0574a126eb9p-19, 0x1.0cd092b6c19dap-19, 0x1.0e8b81317f313p-19, 0x1.103652106b2f2p-19, 0x1.11d1184701182p-19, 0x1.135be7b578e5cp-19, 0x1.14d6d523279e1p-19, 0x1.1641f6380600bp-19, 0x1.179d61765090dp-19, 0x1.18e92e33f4517p-19, 0x1.1a2574951f31cp-19, 0x1.1b524d85eb9eap-19, 0x1.1c6fd2b40a59ep-19, 0x1.1d7e1e8930e35p-19, 0x1.1e7d4c24bc656p-19, 0x1.1f6d775631fd1p-19, 0x1.204ebc970e097p-19, 0x1.212139059e614p-19, 0x1.21e50a5eb43c5p-19, 0x1.229a4ef85a17dp-19, 0x1.234125bc30419p-19, 0x1.23d9ae2200261p-19, 0x1.2464082a1b29bp-19, 0x1.24e054584220fp-19, 0x1.254eb3ae7d37dp-19, 0x1.25af47a7bd164p-19, 0x1.260232329fc1dp-19, 0x1.264795ac614ecp-19, 0x1.267f94dc4d1e8p-19, 0x1.26aa52ee36a9ap-19, 0x1.26c7f36e20ee3p-19, 0x1.26d89a435935ap-19, 0x1.26dc6bab94bd5p-19, 0x1.26d38c363be8bp-19, 0x1.26be20c02c33fp-19, 0x1.269c4e6f25fd1p-19, 0x1.266e3aad54d0fp-19, 0x1.26340b2505432p-19, 0x1.25ede5bc7549dp-19, 0x1.259bf09191003p-19, 0x1.253e51f5d575p-19, 0x1.24d5306a4275fp-19, 0x1.2460b29b6ca2ep-19, 0x1.23e0ff5d9f11ep-19, 0x1.23563da8f16bcp-19, 0x1.22c09495be4d6p-19, 0x1.22202b58c7cd7p-19, 0x1.2175293f5ee4p-19, 0x1.20bfb5ac52473p-19, 0x1.1ffff814602f7p-19, 0x1.1f3617faaf079p-19, 0x1.1e623ced7030cp-19, 0x1.1d848e82d09a1p-19, 0x1.1c9d3455cbf0ep-19, 0x1.1bac5602b69bep-19, 0x1.1ab21b2496a8cp-19, 0x1.19aeab5214f6dp-19, 0x1.18a22e1a66e36p-19, 0x1.178ccb0294c4ep-19, 0x1.166ea982e0aedp-19, 0x1.1547f103d7e46p-19, 0x1.1418c8dba6027p-19, 0x1.12e1584b9f811p-19, 0x1.11a1c67daf62p-19, 0x1.105a3a81f6725p-19, 0x1.0f0adb4c6b205p-19, 0x1.0db3cfb27795dp-19, 0x1.0c553e68b942ap-19, 0x1.0aef4e00b4dedp-19, 0x1.098224e6bb6d5p-19, 0x1.080de9601f5ecp-19, 0x1.0692c188cf372p-19, 0x1.0510d35169d4dp-19, 0x1.0388447d726cep-19, 0x1.01f93aa19de45p-19, 0x1.0063db21cbff4p-19, 0x1.fd90965e98295p-20, 0x1.fa4d5f8e36d5bp-20, 0x1.f6fe5b60fc297p-20, 0x1.f3a3d2f6bd7adp-20, 0x1.f03e0efd90c98p-20, 0x1.eccd57ae63fb8p-20, 0x1.e951f4ca940d2p-20, 0x1.e5cc2d990d80ap-20, 0x1.e23c48e3cc7fp-20, 0x1.dea28cf4f8ab2p-20, 0x1.daff3f94d3f0ep-20, 0x1.d752a6072f1e8p-20, 0x1.d39d050941a4cp-20, 0x1.cfdea0cf93c9ap-20, 0x1.cc17bd034f83fp-20, 0x1.c8489cc0f90d6p-20, 0x1.c4718295fa8bp-20, 0x1.c092b07f31f6bp-20, 0x1.bcac67e767f9dp-20, 0x1.b8bee9a51afe8p-20, 0x1.b4ca75f902b92p-20, 0x1.b0cf4c8cf9266p-20, 0x1.accdac7236993p-20, 0x1.a8c5d41fe1f2cp-20, 0x1.a4b80171df1c4p-20, 0x1.a0a471a83488fp-20, 0x1.9c8b61657c4dp-20, 0x1.986d0cadd2dfcp-20, 0x1.9449aee598e66p-20, 0x1.902182d10c983p-20, 0x1.8bf4c292d7a7cp-20, 0x1.87c3a7abdb619p-20, 0x1.838e6afacc5e2p-20, 0x1.7f5544bac2b98p-20, 0x1.7b186c82b6a4dp-20, 0x1.76d81945369c7p-20, 0x1.729481503b98dp-20, 0x1.6e4dda4c5e23ep-20, 0x1.6a04593c61e79p-20, 0x1.65b8327cf76bbp-20, 0x1.616999c51bc7p-20, 0x1.5d18c225bb3c9p-20, 0x1.58c5de08de3f8p-20, 0x1.54711f3223a89p-20, 0x1.501ab6be67f02p-20, 0x1.4bc2d523c8a31p-20, 0x1.4769aa324cb6ep-20, 0x1.430f6513803b8p-20, 0x1.3eb4344ad65bp-20, 0x1.3a5845b5b6084p-20, 0x1.35fbc68b6416fp-20, 0x1.319ee35de1bf5p-20, 0x1.2d41c819ea4fbp-20, 0x1.28e4a00761dafp-20, 0x1.248795c9e42e7p-20, }}, 
      {{0x1.d97055803d898p-17, 0x1.da6d5699fd6dbp-15, 0x1.0c5f0cf72b85cp-13, 0x1.e1a46a9fa81c8p-13, 0x1.7cf505c5827aap-12, 0x1.1612409a0d6aap-11, 0x1.7fa2f69cec602p-11, 0x1.fb2f07914c577p-11, 0x1.4422c4b00bf03p-10, 0x1.93069eda0917ep-10, 0x1.e9a95707868b6p-10, 0x1.23a4ab95a87adp-9, 0x1.557fbdc7caa46p-9, 0x1.89df6f2c4360dp-9, 0x1.c029b177dccaep-9, 0x1.f7b034434c1d9p-9, 0x1.17d8310c242e5p-8, 0x1.33aa2add2df88p-8, 0x1.4eda6f0bd2009p-8, 0x1.68ee3a459064ep-8, 0x1.816573bb66ec5p-8, 0x1.97bcb59544d32p-8, 0x1.ab6f60e6bb243p-8, 0x1.bbf99a30a7a29p-8, 0x1.c8da1352f18dbp-8, 0x1.d19390e63d182p-8, 0x1.d5ae21d9c15efp-8, 0x1.d4b807eca41edp-8, 0x1.ce4655aaf71c5p-8, 0x1.c1f54ace2a8p-8, 0x1.af687a57095f2p-8, 0x1.964ac6a84c047p-8, 0x1.764e3fa525887p-8, 0x1.4f2bedb83d86ep-8, 0x1.20a392fcabb13p-8, 0x1.d4f6d3a9c4b4ap-9, 0x1.58ffcc81a46cbp-9, 0x1.9a0df5a83463p-10, 0x1.85e753a5ea2b5p-12, -0x1.f08a1c33d2309p-11, -0x1.39d06a33c1065p-9, -0x1.043d77fcbe1ebp-8, -0x1.7422c91f30f4cp-8, -0x1.eca49b10cf7d9p-8, -0x1.36e5130a963d6p-7, -0x1.7bcabc7847129p-7, -0x1.c501c60000144p-7, -0x1.094315f82b71dp-6, -0x1.3228bc250565ap-6, -0x1.5d2d696da8e9ep-6, -0x1.8a4b8a02ae3dfp-6, -0x1.b97c6d13cd6b3p-6, -0x1.eab850c6297c3p-6, -0x1.0efb37a5f0206p-5, -0x1.29968679fe56p-5, -0x1.4528c381665c2p-5, -0x1.61ac318fac92ap-5, -0x1.7f1aaf907ab68p-5, -0x1.9d6dc08494dbbp-5, -0x1.bc9e937c71954p-5, -0x1.dca60b79f921ep-5, -0x1.fd7cc72583dc2p-5, -0x1.0f8d942290ea1p-4, -0x1.20bcad741ac5bp-4, -0x1.3247ae1e51068p-4, -0x1.442a8082d2ff1p-4, -0x1.5660fdd7cb535p-4, -0x1.68e6f0ff0294p-4, -0x1.7bb8192a34a8ep-4, -0x1.8ed02c4da0bcfp-4, -0x1.a22ad962b3f1p-4, -0x1.b5c3ca7d506a6p-4, -0x1.c996a6b6b8bc1p-4, -0x1.dd9f13f18512p-4, -0x1.f1d8b87a3db53p-4, -0x1.031f9e442cc14p-3, -0x1.0d6725d1a22dfp-3, -0x1.17c0caf785774p-3, -0x1.222a68b204074p-3, -0x1.2ca1dd7a6d67cp-3, -0x1.37250bd2a4715p-3, -0x1.41b1daca6675ap-3, -0x1.4c46367f7046fp-3, -0x1.56e010996e9bp-3, -0x1.617d60c27d102p-3, -0x1.6c1c251cbd0b8p-3, -0x1.76ba62b5788d1p-3, -0x1.815625f607827p-3, -0x1.8bed83129c89bp-3, -0x1.967e9676fa056p-3, -0x1.a1078530ee15ap-3, -0x1.ab867d58697a5p-3, -0x1.b5f9b674deb03p-3, -0x1.c05f71dfa58d8p-3, -0x1.cab5fb22f0242p-3, -0x1.d4fba854f8115p-3, -0x1.df2eda6ee9f7fp-3, -0x1.e94dfd9f32c88p-3, -0x1.f3578996ae6aep-3, -0x1.fd4a01d065fc9p-3, -0x1.0391fae9ba0aap-2, -0x1.087200b756469p-2, -0x1.0d446676e90f6p-2, -0x1.120886a400859p-2, -0x1.16bdc22390114p-2, -0x1.1b638054184eap-2, -0x1.1ff92f1a2be91p-2, -0x1.247e42e94c8f1p-2, -0x1.28f236c919d6p-2, -0x1.2d548c56db4b1p-2, -0x1.31a4cbc369a59p-2, -0x1.35e283cd8f4bfp-2, -0x1.3a0d49b8ecec6p-2, -0x1.3e24b9418010bp-2, -0x1.4228748bf02f4p-2, -0x1.46182412b9f7bp-2, -0x1.49f3769068cd3p-2, -0x1.4dba20e7043f8p-2, -0x1.516bde04e0933p-2, -0x1.55086ec6fc90ep-2, -0x1.588f99d921623p-2, -0x1.5c012b93f7f2cp-2, -0x1.5f5cf5d93cb9fp-2, -0x1.62a2cfee53072p-2, -0x1.65d296555da0bp-2, -0x1.68ec2aa51b9ccp-2, -0x1.6bef735fafb45p-2, -0x1.6edc5bc88d024p-2, -0x1.71b2d3b9b6088p-2, -0x1.7472cf7879874p-2, -0x1.771c4789dfb88p-2, -0x1.79af3886ec024p-2, -0x1.7c2ba2f0e621fp-2, -0x1.7e918b05c5358p-2, -0x1.80e0f894ebb12p-2, -0x1.8319f6d4529a3p-2, -0x1.853c9436410e7p-2, -0x1.8748e23fb4985p-2, -0x1.893ef55f8a963p-2, -0x1.8b1ee4c69168bp-2, -0x1.8ce8ca4087904p-2, -0x1.8e9cc20e29451p-2, -0x1.903aeac057f9fp-2, -0x1.91c3651466c78p-2, -0x1.933653d1a4d24p-2, -0x1.9493dba81f82bp-2, -0x1.95dc2310b4c06p-2, -0x1.970f522e6d456p-2, -0x1.982d92b13263p-2, -0x1.99370fb9d2787p-2, -0x1.9a2bf5bf606a7p-2, -0x1.9b0c7275ea979p-2, -0x1.9bd8b4b682407p-2, -0x1.9c90ec689676cp-2, -0x1.9d354a6c9c6bfp-2, -0x1.9dc60087f9afap-2, -0x1.9e4341523372p-2, -0x1.9ead40234f706p-2, -0x1.9f043103668b8p-2, -0x1.9f48489b5f5b5p-2, -0x1.9f79bc26bdd62p-2, -0x1.9f98c166895d7p-2, -0x1.9fa58e953413ap-2, -0x1.9fa05a5b7f85fp-2, -0x1.9f895bc64d122p-2, -0x1.9f60ca3d52ff7p-2, -0x1.9f26dd7aa6044p-2, -0x1.9edbcd830d1afp-2, -0x1.9e7fd29f13c7p-2, -0x1.9e132554cd96bp-2, -0x1.9d95fe623fe4fp-2, -0x1.9d0896b86274cp-2, -0x1.9c6b2776b2f22p-2, -0x1.9bbde9e744089p-2, -0x1.9b01177b49613p-2, -0x1.9a34e9c80d2e8p-2, -0x1.99599a844527fp-2, -0x1.986f6385c2903p-2, -0x1.97767ebf6c8e2p-2, -0x1.966f263f7eb28p-2, -0x1.9559942e018a6p-2, -0x1.943602cb75559p-2, -0x1.9304ac6fa846fp-2, -0x1.91c5cb88a95bcp-2, -0x1.90799a99d9fb7p-2, -0x1.8f20543b11a05p-2, -0x1.8dba3317cc0ep-2, -0x1.8c4771ee61352p-2, -0x1.8ac84b8f3ca62p-2, -0x1.893cfadc102dcp-2, -0x1.87a5bac700498p-2, -0x1.8602c651be935p-2, -0x1.8454588c984ddp-2, -0x1.829aac956afdbp-2, -0x1.80d5fd96868a1p-2, -0x1.7f0686c56f42p-2, -0x1.7d2c836186d03p-2, -0x1.7b482eb29514p-2, -0x1.7959c4072d5ap-2, -0x1.77617eb2f5ad2p-2, -0x1.755f9a0cc702dp-2, -0x1.7354516cac6b2p-2, -0x1.713fe029bb1c6p-2, -0x1.6f228197c6deep-2, -0x1.6cfc7104f0a5dp-2, -0x1.6acde9b71188bp-2, -0x1.689726e8ffe9dp-2, -0x1.665863c7b32fcp-2, -0x1.6411db6f41ac9p-2, -0x1.61c3c8e7c10dp-2, -0x1.5f6e6721ffa37p-2, -0x1.5d11f0f426d42p-2, -0x1.5aaea116365cbp-2, -0x1.5844b21e6af07p-2, -0x1.55d45e7d84b9p-2, -0x1.535de07afa0cdp-2, -0x1.50e172310c3d4p-2, -0x1.4e5f4d88cf333p-2, -0x1.4bd7ac3614e5dp-2, -0x1.494ac7b351576p-2, -0x1.46b8d93d65f0dp-2, -0x1.442219cf64f2ep-2, -0x1.4186c21e4ac9cp-2, -0x1.3ee70a94aa2e9p-2, -0x1.3c432b4e54c4ep-2, -0x1.399b5c13fd8f3p-2, -0x1.36efd456d8c08p-2, -0x1.3440cb2c3b8d5p-2, -0x1.318e77493cde6p-2, -0x1.2ed90efe58a68p-2, -0x1.2c20c8331a423p-2, -0x1.2965d861cd6fdp-2, -0x1.26a8749338843p-2, -0x1.23e8d15a604cbp-2, -0x1.212722d05a73ep-2, -0x1.1e639c902edbp-2, -0x1.1b9e71b2c706p-2, -0x1.18d7d4caf0006p-2, -0x1.160ff7e1700cap-2, -0x1.13470c713251p-2, -0x1.107d4363856e1p-2, -0x1.0db2cd0c74079p-2, -0x1.0ae7d927350d8p-2, -0x1.081c96d2b6d8ep-2, -0x1.0551348e42e9fp-2, -0x1.0285e03640dfep-2, -0x1.ff758e0226c71p-3, -0x1.f9e02af82b3b9p-3, -0x1.f44bef1167e4ap-3, -0x1.eeb930b351965p-3, -0x1.e92844e0a950ap-3, -0x1.e3997f3471dcep-3, -0x1.de0d31dd2ae78p-3, -0x1.d883ad9848cc1p-3, -0x1.d2fd41adf5626p-3, -0x1.cd7a3bed11e3dp-3, -0x1.c7fae8a782b2dp-3, -0x1.c27f92aeba784p-3, -0x1.bd08835090047p-3, -0x1.b796025459ad8p-3, -0x1.b22855f848e44p-3, -0x1.acbfc2ef17964p-3, -0x1.a75c8c5dea573p-3, -0x1.a1fef3da899eap-3, -0x1.9ca73969d18f1p-3, -0x1.97559b7e746c5p-3, -0x1.920a56f7ec90dp-3, -0x1.8cc5a721cba0dp-3, -0x1.8787c5b334d6bp-3, -0x1.8250eacea91dbp-3, -0x1.7d214d0209b5p-3, -0x1.77f92146df6fep-3, -0x1.72d89b02e068ap-3, -0x1.6dbfec08b427cp-3, -0x1.68af4498ef35bp-3, -0x1.63a6d3634fc34p-3, -0x1.5ea6c58831bdp-3, -0x1.59af469a3a48cp-3, -0x1.54c080a040d56p-3, -0x1.4fda9c176182bp-3, -0x1.4afdbff551812p-3, -0x1.462a11aadf6cfp-3, -0x1.415fb526a5ccap-3, -0x1.3c9eccd7eb4c5p-3, -0x1.37e779b1b8a18p-3, -0x1.3339db2e127fp-3, -0x1.2e960f51668d8p-3, -0x1.29fc32ae18efap-3, -0x1.256c6068468ccp-3, -0x1.20e6b2399ffcfp-3, -0x1.1c6b407572327p-3, -0x1.17fa220ccfae6p-3, -0x1.13936c92dc03fp-3, -0x1.0f37344136248p-3, -0x1.0ae58bfc81755p-3, -0x1.069e85590b0acp-3, -0x1.0262309f8a285p-3, -0x1.fc6139a3fd512p-4, -0x1.f413af6141f9cp-4, -0x1.ebdbdb7dd2173p-4, -0x1.e3b9d49160a62p-4, -0x1.dbadaecec0ba1p-4, -0x1.d3b77c0e73a5fp-4, -0x1.cbd74bd945383p-4, -0x1.c40d2b731afaep-4, -0x1.bc5925e5d186dp-4, -0x1.b4bb440c30b56p-4, -0x1.ad338c9d013eep-4, -0x1.a5c204362ce7cp-4, -0x1.9e66ad67e778dp-4, -0x1.972188bffbf57p-4, -0x1.8ff294d507dfbp-4, -0x1.88d9ce51da333p-4, -0x1.81d73000c3116p-4, -0x1.7aeab2d6f7d68p-4, -0x1.74144dffeb0a6p-4, -0x1.6d53f6e8aee02p-4, -0x1.66a9a14b4c46p-4, -0x1.60153f3a1ad6ap-4, -0x1.5996c12b10df7p-4, -0x1.532e16030716fp-4, -0x1.4cdb2b20f359ep-4, -0x1.469dec691a9c8p-4, -0x1.407644502dbfdp-4, -0x1.3a641be65d40cp-4, -0x1.34675ae25229ep-4, -0x1.2e7fe7ac1ffbcp-4, -0x1.28ada76815af9p-4, -0x1.22f07e017ff29p-4, -0x1.1d484e3551df9p-4, -0x1.17b4f99cb2468p-4, -0x1.123660b77404ep-4, -0x1.0ccc62f66eb3fp-4, -0x1.0776dec5b88dp-4, -0x1.0235b196cbe65p-4, -0x1.fa116fd50e13p-5, -0x1.efdf9ab60f9a2p-5, -0x1.e5d5994aeb2c7p-5, -0x1.dbf31f67326ecp-5, -0x1.d237df4ac0ccap-5, -0x1.c8a389b46c31dp-5, -0x1.bf35cdf471db2p-5, -0x1.b5ee59fe9ff4p-5, -0x1.acccda7c30638p-5, -0x1.a3d0fadd5b1efp-5, -0x1.9afa656aa1c3ep-5, -0x1.9248c355baca2p-5, -0x1.89bbbcca56b67p-5, -0x1.8152f8fe6beap-5, -0x1.790e1e424adaap-5, -0x1.70ecd2106c46cp-5, -0x1.68eeb91cd1fd1p-5, -0x1.611377643a9a9p-5, -0x1.595ab03ae50c1p-5, -0x1.51c4065b2056fp-5, -0x1.4a4f1bf3760d3p-5, -0x1.42fb92b48fcb2p-5, -0x1.3bc90bdec3577p-5, -0x1.34b7284f5cf6ep-5, -0x1.2dc5888d86e29p-5, -0x1.26f3ccd6f05a9p-5, -0x1.2041952c1cc2cp-5, -0x1.19ae815c62e1p-5, -0x1.133a3111a292fp-5, -0x1.0ce443dba82e2p-5, -0x1.06ac593b405cbp-5, -0x1.009210ad04e6ap-5, -0x1.f52a13679c01fp-6, -0x1.e969c7c5d04d9p-6, -0x1.dde27dcfe998cp-6, -0x1.d293752903c79p-6, -0x1.c77bedcea46e1p-6, -0x1.bc9b282ac4692p-6, -0x1.b1f065254a9ep-6, -0x1.a77ae634ddd75p-6, -0x1.9d39ed6f4e7cep-6, -0x1.932cbd9940e46p-6, -0x1.89529a357ef77p-6, -0x1.7faac793a969bp-6, -0x1.76348ade54739p-6, -0x1.6cef2a28b82fap-6, -0x1.63d9ec7bc627dp-6, -0x1.5af419e2d5554p-6, -0x1.523cfb77b7892p-6, -0x1.49b3db6e5e3eep-6, -0x1.415805200664fp-6, -0x1.3928c515d498dp-6, -0x1.312569131c3d6p-6, -0x1.294d401f0ffa6p-6, -0x1.219f9a8e1fe73p-6, -0x1.1a1bca0aba154p-6, -0x1.12c1219dd1669p-6, -0x1.0b8ef5b6cafd5p-6, -0x1.04849c33227bbp-6, -0x1.fb42d8cb05dfep-7, -0x1.edc97e3946778p-7, -0x1.e09bdd532e4dfp-7, -0x1.d3b8adcbaa4e9p-7, -0x1.c71eaa71bd20ap-7, -0x1.bacc913aeb89ap-7, -0x1.aec1234d33ff3p-7, -0x1.a2fb2507f3c9p-7, -0x1.97795e0c85c48p-7, -0x1.8c3a994604331p-7, -0x1.813da4f04df1cp-7, -0x1.7681529e9b1a1p-7, -0x1.6c0477415d7ddp-7, -0x1.61c5eb2b7de16p-7, -0x1.57c48a172b7p-7, -0x1.4dff3329cfa27p-7, -0x1.4474c8f7d87ddp-7, -0x1.3b243187a624ep-7, -0x1.320c56541b3e3p-7, -0x1.292c244ea61afp-7, -0x1.20828be0c9a76p-7, -0x1.180e80ed400ap-7, -0x1.0fcefad070dc1p-7, -0x1.07c2f460c4e69p-7, -0x1.ffd2d7dc8d252p-8, -0x1.f082c683f256p-8, -0x1.e193bf39a62d8p-8, -0x1.d303d36c603fp-8, -0x1.c4d11b7411808p-8, -0x1.b6f9b68d64c6cp-8, -0x1.a97bcad4aaa3ap-8, -0x1.9c558540123f2p-8, -0x1.8f8519993f379p-8, -0x1.8308c2762f057p-8, -0x1.76dec13194bb1p-8, -0x1.6b055de2acd08p-8, -0x1.5f7ae75477403p-8, -0x1.543db2fc5b0c3p-8, -0x1.494c1cf062773p-8, -0x1.3ea487dcfbab5p-8, -0x1.34455cfa12bf8p-8, -0x1.2a2d0c001e39dp-8, -0x1.205a0b1c4bcbep-8, -0x1.16cad6e4acc7ap-8, -0x1.0d7df24baa35ep-8, -0x1.0471e6936cd2ep-8, -0x1.f74a86813cd06p-9, -0x1.e62d3c1a6fa3fp-9, -0x1.d58925b539adbp-9, -0x1.c55b87475f1dep-9, -0x1.b5a1b0dd2332dp-9, -0x1.a658fe7c2011ep-9, -0x1.977ed805d2107p-9, -0x1.8910b119bbf8p-9, -0x1.7b0c08f6f6abap-9, -0x1.6d6e6a5d54b76p-9, -0x1.60356b6eaef83p-9, -0x1.535ead8ece0b2p-9, -0x1.46e7dd447ab8fp-9, -0x1.3aceb218f63dep-9, -0x1.2f10ee77f91d7p-9, -0x1.23ac5f8f5001ep-9, -0x1.189edd2df8d17p-9, -0x1.0de649a3b32b5p-9, -0x1.0380919fd44e6p-9, -0x1.f2d758203b9f3p-10, -0x1.df4b33ffd4e64p-10, -0x1.cc58cced4edfbp-10, -0x1.b9fc4cad36c67p-10, -0x1.a831f07702b81p-10, -0x1.96f608b2957ap-10, -0x1.8644f8b5171c6p-10, -0x1.761b367e9f06cp-10, -0x1.66754a7777909p-10, -0x1.574fcf2d46943p-10, -0x1.48a77111076bfp-10, -0x1.3a78ee346ab0ap-10, -0x1.2cc11607cdf67p-10, -0x1.1f7cc91873b73p-10, -0x1.12a8f8cf06ac2p-10, -0x1.0642a72d5ca03p-10, -0x1.f48dcd1e2aa34p-11, -0x1.dd65b2cd72e6p-11, -0x1.c70763fdf4a7dp-11, -0x1.b16d64737aed7p-11, -0x1.9c9256a0d20fap-11, -0x1.8870fb2a04d8fp-11, -0x1.7504306602c55p-11, -0x1.6246f1e21dc7ap-11, -0x1.503457e54a5d4p-11, -0x1.3ec796f537278p-11, -0x1.2dfbff5d2e169p-11, -0x1.1dccfcb3c7d69p-11, -0x1.0e3615629f855p-11, -0x1.fe65d461f8b95p-12, -0x1.e17e6b97509f7p-12, -0x1.c5ad98a3874d1p-12, -0x1.aaeb35bf42a5ep-12, -0x1.912f4e3a5acadp-12, -0x1.78721d96eaf4fp-12, -0x1.60ac0eaa9d7ddp-12, -0x1.49d5babeceaacp-12, -0x1.33e7e8b50e9cfp-12, -0x1.1edb8c2df13a9p-12, -0x1.0aa9c4b1f6789p-12, -0x1.ee97b9b740c52p-13, -0x1.c976930d48286p-13, -0x1.a5e35201cc211p-13, -0x1.83d18476bf439p-13, -0x1.6335080470e49p-13, -0x1.440208625a13dp-13, -0x1.262cfde290682p-13, -0x1.09aaabe9cb7e4p-13, -0x1.dce03ed8fe36dp-14, -0x1.a8e55aed970eap-14, -0x1.774fe367c322bp-14, -0x1.480b99fe5fb1fp-14, -0x1.1b04c7e900ad6p-14, -0x1.e050762ead56ap-15, -0x1.8ec686d7ce456p-15, -0x1.4147600b6aee5p-15, -0x1.ef5f322a4fa82p-16, -0x1.63b97a2052dc1p-16, -0x1.beb516dc8e3d9p-17, -0x1.8804b161db67p-18, 0x1.49213f3269ecfp-20, 0x1.0939ceeb5868fp-17, 0x1.dcb6961f756e1p-17, 0x1.5207902f1b391p-16, 0x1.afda66492cd99p-16, 0x1.0405721277a38p-15, 0x1.2d67488374e1ap-15, 0x1.542cb6ddd4a3dp-15, 0x1.786efeb70ecbfp-15, 0x1.9a46a73389aa2p-15, 0x1.b9cb814ec6b88p-15, 0x1.d714ac0fec9a6p-15, 0x1.f23898a75c732p-15, 0x1.05a68743949d7p-14, 0x1.113397ad2f905p-14, 0x1.1bcdbd7bf78dap-14, 0x1.257ee99bef857p-14, 0x1.2e50bfdce7762p-14, 0x1.364c98d2543f6p-14, 0x1.3d7b839cf4d07p-14, 0x1.43e647bd8034fp-14, 0x1.499566cf6464dp-14, 0x1.4e911e431f7a8p-14, 0x1.52e169103e0f2p-14, 0x1.568e015cc71cp-14, 0x1.599e621c01867p-14, 0x1.5c19c8a572b92p-14, 0x1.5e073646bc2afp-14, 0x1.5f6d71c9ec8e4p-14, 0x1.605308f59b976p-14, 0x1.60be5202cc44bp-14, 0x1.60b56d145529ep-14, 0x1.603e45994b379p-14, 0x1.5f5e93b34ee78p-14, 0x1.5e1bdd8ddede1p-14, 0x1.5c7b78b51958ap-14, 0x1.5a828b5ed75bfp-14, 0x1.58360db0d0095p-14, 0x1.559acb00f8367p-14, 0x1.52b5630994be2p-14, 0x1.4f8a4b1d77836p-14, 0x1.4c1dcf5216f47p-14, 0x1.487413a27057ep-14, 0x1.4491150c7cd3cp-14, 0x1.4078aaaa4d2adp-14, 0x1.3c2e86bf5088bp-14, 0x1.37b637c7991d5p-14, 0x1.3313297906cfbp-14, 0x1.2e48a5c6cdf75p-14, 0x1.2959d5d6dddf2p-14, 0x1.2449c2f9bb728p-14, 0x1.1f1b5793ab0c6p-14, 0x1.19d1600a0b91fp-14, 0x1.146e8ba3454fbp-14, 0x1.0ef56d6596cc9p-14, 0x1.09687cf022908p-14, 0x1.03ca174e3086cp-14, 0x1.fc38ff8ba84fcp-15, 0x1.f0c3c143fb157p-15, 0x1.e53897eed8e6bp-15, 0x1.d99b78c787cdap-15, 0x1.cdf02b918182fp-15, 0x1.c23a4c08cc848p-15, 0x1.b67d4b3febe2ep-15, 0x1.aabc71050a93fp-15, 0x1.9efadd2a5cb85p-15, 0x1.933b88da5a80bp-15, 0x1.878147d45d719p-15, 0x1.7bcec9a7872e6p-15, 0x1.70269ae538577p-15, 0x1.648b264ba512dp-15, 0x1.58feb5e4e94efp-15, 0x1.4d8374266966cp-15, 0x1.421b6d0046d67p-15, 0x1.36c88eeba1f7fp-15, 0x1.2b8cabefe7f5bp-15, 0x1.20697aa0c359dp-15, 0x1.15609715d1fb2p-15, 0x1.0a7383da23e99p-15, 0x1.ff4755af8ec6cp-16, 0x1.e9e4bc73c3a1p-16, 0x1.d4c1b294f0ebcp-16, 0x1.bfe08298ef1a4p-16, 0x1.ab434c912889bp-16, 0x1.96ec07bbf93a3p-16, 0x1.82dc8408e4a3fp-16, 0x1.6f166b9f4660cp-16, 0x1.5b9b4450850ap-16, 0x1.486c71026b677p-16, 0x1.358b331067fe5p-16, 0x1.22f8aba2acb7cp-16, 0x1.10b5dcf7fc09cp-16, 0x1.fd8757591cfdap-17, 0x1.da45bfdbdc864p-17, 0x1.b7a84d6156c95p-17, 0x1.95b025a88aa0dp-17, 0x1.745e3c7e3d0bfp-17, 0x1.53b355ef0fe02p-17, 0x1.33b00856753dp-17, 0x1.1454be72045d4p-17, 0x1.eb4372a2a3ea3p-18, 0x1.af2e248b76536p-18, 0x1.7469796dd9348p-18, 0x1.3af50fdbdd4ffp-18, 0x1.02d041aea9015p-18, 0x1.97f44eb4466b7p-19, 0x1.2ce3365b55361p-19, 0x1.88d4f1d2c9fefp-20, 0x1.7a1b94573699cp-21, -0x1.32c8223f6ba5dp-25, -0x1.963e5f1a173cp-21, -0x1.8795be45394dfp-20, -0x1.1f81aee309c23p-19, -0x1.78b91397936f2p-19, -0x1.cf766950f5bb2p-19, -0x1.11dfab710de65p-18, -0x1.3acce48e620adp-18, -0x1.6285f741fe38ap-18, -0x1.890e197d4ae8dp-18, -0x1.ae689dc201f96p-18, -0x1.d298f13a469efp-18, -0x1.f5a299bfb999p-18, -0x1.0bc499fd88857p-17, -0x1.1c2838d97e714p-17, -0x1.2bfe0bfce7ebdp-17, -0x1.3b47fecb82d04p-17, -0x1.4a0804b79bf72p-17, -0x1.5840187bdd969p-17, -0x1.65f23b65c9073p-17, -0x1.732074a07444fp-17, -0x1.7fccd082f88b8p-17, -0x1.8bf95fed551b1p-17, -0x1.97a837ace2c08p-17, -0x1.a2db6fdbe1906p-17, -0x1.ad9523577cd41p-17, -0x1.b7d76f31c5a8ap-17, -0x1.c1a4722711304p-17, -0x1.cafe4c21dfd1ep-17, -0x1.d3e71dc53807fp-17, -0x1.dc6107ec942cp-17, -0x1.e46e2b4864fc3p-17, -0x1.ec10a7f06c4b1p-17, -0x1.f34a9cf57927bp-17, -0x1.fa1e280faa573p-17, -0x1.0046b29b47194p-16, -0x1.034d37286262p-16, -0x1.0623ad6da2e43p-16, -0x1.08cb1fd0371eap-16, -0x1.0b449736297c7p-16, -0x1.0d911ae1fb491p-16, -0x1.0fb1b0529f6b1p-16, -0x1.11a75b22d01aep-16, -0x1.13731cedd7a39p-16, -0x1.1515f52ee0565p-16, -0x1.1690e12acab9ap-16, -0x1.17e4dbd7cd59ap-16, -0x1.1912ddc33e0e7p-16, -0x1.1a1bdcfdac3c2p-16, -0x1.1b00cd07264e3p-16, -0x1.1bc29ebaa8781p-16, -0x1.1c62403ee76fap-16, -0x1.1ce09cf5714b4p-16, -0x1.1d3e9d6c83918p-16, -0x1.1d7d27500d6fep-16, -0x1.1d9d1d5cd1417p-16, -0x1.1d9f5f57b4dc6p-16, -0x1.1d84ca007d7eep-16, -0x1.1d4e370a2e541p-16, -0x1.1cfc7d1298e2dp-16, -0x1.1c906f9a00f1bp-16, -0x1.1c0adefeba97p-16, -0x1.1b6c9876653cdp-16, -0x1.1ab66607677e6p-16, -0x1.19e90e89e36f3p-16, -0x1.190555a0358c4p-16, -0x1.180bfbb5a9457p-16, -0x1.16fdbdfdc9e3cp-16, -0x1.15db5673bc153p-16, -0x1.14a57bd794fb6p-16, -0x1.135ce1b06a59dp-16, -0x1.1202384de8456p-16, -0x1.10962cc6c1f12p-16, -0x1.0f1968fde9a0fp-16, -0x1.0d8c93a45024p-16, -0x1.0bf05039ba1f1p-16, -0x1.0a453f13132eap-16, -0x1.088bfd5d0a98ep-16, -0x1.06c5251f756fbp-16, -0x1.04f14d42e8826p-16, -0x1.031109967aaabp-16, -0x1.0124ead369393p-16, -0x1.fe5afd4996e8cp-17, -0x1.fa569f581e637p-17, -0x1.f63dcb108d759p-17, -0x1.f21189b6b487p-17, -0x1.edd2dea5b8b95p-17, -0x1.e982c75d8e05cp-17, -0x1.e5223b8f4ccd9p-17, -0x1.e0b22d2ca8b23p-17, -0x1.dc33887bba3b7p-17, -0x1.d7a734212c718p-17, -0x1.d30e1133b17c2p-17, -0x1.ce68fb4c19726p-17, -0x1.c9b8c8965cb8ap-17, -0x1.c4fe49e07a15ap-17, -0x1.c03a4aafc8569p-17, -0x1.bb6d9150b3c58p-17, -0x1.b698dee5e5bdap-17, -0x1.b1bcef7dcd136p-17, -0x1.acda7a24b30f7p-17, -0x1.a7f230f3fe64cp-17, -0x1.a304c1269fb0cp-17, -0x1.9e12d32bd929ep-17, -0x1.991d0ab6faa48p-17, -0x1.942406d67a9fp-17, -0x1.8f28620313bfbp-17, -0x1.8a2ab233494e3p-17, -0x1.852b88ed651f3p-17, -0x1.802b735cd4c06p-17, -0x1.7b2afa62432a5p-17, -0x1.762aa2a66a859p-17, -0x1.712aecac79d9fp-17, -0x1.6c2c54e74cc21p-17, -0x1.672f53c9851d6p-17, -0x1.62345dd7d27b2p-17, -0x1.5d3be3bc6deebp-17, -0x1.584652581492ap-17, -0x1.535412d65736p-17, -0x1.4e658abd60091p-17, -0x1.497b1c020fd9fp-17, -0x1.4495251800921p-17, -0x1.3fb401034830ep-17, -0x1.3ad8076c46e9cp-17, -0x1.36018caf1cd4cp-17, -0x1.3130e1ecb7782p-17, -0x1.2c66551cc9a6fp-17, -0x1.27a2311f4e34cp-17, -0x1.22e4bdcd65a6cp-17, -0x1.1e2e40086d5a7p-17, -0x1.197ef9cb5de85p-17, -0x1.14d72a3b8adb5p-17, -0x1.10370db82aaeep-17, -0x1.0b9eddeba57c8p-17, -0x1.070ed1d9be338p-17, -0x1.02871df01816fp-17, -0x1.fc0fe829819bdp-18, -0x1.f323076c17f01p-18, -0x1.ea47f3b44b18cp-18, -0x1.e17f0259d5e0ap-18, -0x1.d8c8841de0357p-18, -0x1.d024c548f181bp-18, -0x1.c7940dc54c6fep-18, -0x1.bf16a13bd2547p-18, -0x1.b6acbf2fd83c1p-18, -0x1.ae56a31c3e813p-18, -0x1.a614848b1105fp-18, -0x1.9de697314e6c6p-18, -0x1.95cd0b0ac580ap-18, -0x1.8dc80c71a3p-18, -0x1.85d7c436342p-18, -0x1.7dfc57ba29302p-18, -0x1.7635e9090a8b1p-18, -0x1.6e8496efa81a2p-18, -0x1.66e87d13e71ap-18, -0x1.5f61b40bd43b2p-18, -0x1.57f05172cdc9cp-18, -0x1.50946801a192cp-18, -0x1.494e07a4a8011p-18, -0x1.421d3d91bb34p-18, -0x1.3b02145c7969ep-18, -0x1.33fc9409bb101p-18, -0x1.2d0cc226d9a2fp-18, -0x1.2632a1dcf9109p-18, -0x1.1f6e34028e076p-18, -0x1.18bf772f78067p-18, -0x1.122667d14d954p-18, -0x1.0ba3003d574dep-18, -0x1.053538c326d57p-18, -0x1.fdba0f7a9b47fp-19, -0x1.f134c34462f84p-19, -0x1.e4da722b4ca5ep-19, -0x1.d8aafdf5252fcp-19, -0x1.cca64506bebdcp-19, -0x1.c0cc2280d4be3p-19, -0x1.b51c6e6223839p-19, -0x1.a996fda4e1901p-19, -0x1.9e3ba25cdadd6p-19, -0x1.930a2bd217462p-19, -0x1.880266a07dcc5p-19, -0x1.7d241cd314595p-19, -0x1.726f1600f59adp-19, -0x1.67e3176551816p-19, -0x1.5d7fe3fc39084p-19, -0x1.53453c9880d48p-19, -0x1.4932dffd46d04p-19, -0x1.3f488af97cdbdp-19, -0x1.3585f87ca446dp-19, -0x1.2beae1aebc707p-19, -0x1.2276fe06fab0cp-19, -0x1.192a0361b2287p-19, -0x1.1003a6172f67cp-19, -0x1.0703990c2eefap-19, -0x1.fc531b8f0693fp-20, -0x1.eaea690e49592p-20, -0x1.d9cc78ac746fbp-20, -0x1.c8f8a63705796p-20, -0x1.b86e4b5eeeb08p-20, -0x1.a82cbfd3e3eabp-20, -0x1.983359655eaa3p-20, -0x1.88816c2c53529p-20, -0x1.79164aaaf01a4p-20, -0x1.69f145e924ccap-20, -0x1.5b11ad92c9991p-20, -0x1.4c76d01754cbap-20, -0x1.3e1ffac898a45p-20, -0x1.300c79f64b269p-20, -0x1.223b990483c98p-20, -0x1.14aca284f3d4ap-20, -0x1.075ee05a4a253p-20, -0x1.f4a3379820becp-21, -0x1.db083b4091f4bp-21, -0x1.c1eb5c6852f6fp-21, -0x1.a94b2b16c4e17p-21, -0x1.912636d789c21p-21, -0x1.797b0edc6addep-21, -0x1.624842359bae3p-21, -0x1.4b8c5ff1519e9p-21, -0x1.3545f73dc49c1p-21, -0x1.1f73979523227p-21, -0x1.0a13d0dcba606p-21, -0x1.ea4a671449033p-22, }}, 
      {{0x1.268d6055d868p-8, 0x1.293e6dd40942p-7, 0x1.c42e23389def9p-7, 0x1.32de1899a309ap-6, 0x1.87710c1ffef75p-6, 0x1.dffc33a459d4cp-6, 0x1.1e33b9568b90bp-5, 0x1.4e32570386316p-5, 0x1.7fbf1f99bca93p-5, 0x1.b2921cd1ab1a4p-5, 0x1.e65bf5ac9b10fp-5, 0x1.0d6559cbffecap-4, 0x1.27c6c8328196p-4, 0x1.422bf0359c6b4p-4, 0x1.5c71999fb38b5p-4, 0x1.767863d072957p-4, 0x1.90253761f18dfp-4, 0x1.a9617c9c09058p-4, 0x1.c21b228ddb51ap-4, 0x1.da448140a75c1p-4, 0x1.f1d4201310a42p-4, 0x1.046233fc9ae33p-3, 0x1.0f89a411e15eep-3, 0x1.1a60e939345cp-3, 0x1.24e9ea0b2568ap-3, 0x1.2f27b6f2d5f66p-3, 0x1.391e578e2496fp-3, 0x1.42d29a4c0fe38p-3, 0x1.4c49e7085bf93p-3, 0x1.558a152621b8fp-3, 0x1.5e99457849867p-3, 0x1.677dc01ded9b5p-3, 0x1.703dd657cfbdcp-3, 0x1.78dfc842d6b7dp-3, 0x1.8169ae5077d76p-3, 0x1.89e1664851fbfp-3, 0x1.924c8394fd296p-3, 0x1.9ab0429883447p-3, 0x1.a3117ec24098fp-3, 0x1.ab74ab1f981c4p-3, 0x1.b3ddcd222a2f4p-3, 0x1.bc507958eabadp-3, 0x1.c4cfd1dd0d56fp-3, 0x1.cd5e8637c5f4bp-3, 0x1.d5fed48a6f465p-3, 0x1.deb28bc748139p-3, 0x1.e77b0ecd9de4ep-3, 0x1.f0595840bd7c5p-3, 0x1.f94dfef56312dp-3, 0x1.012c9d6ac25cep-2, 0x1.05bd750f02bcap-2, 0x1.0a594b6eca6dfp-2, 0x1.0effbe4f85689p-2, 0x1.13b04716484a1p-2, 0x1.186a3dadcdc3ep-2, 0x1.1d2cdb69f41efp-2, 0x1.21f73de2ff33fp-2, 0x1.26c869c3b2ce5p-2, 0x1.2b9f4d864a724p-2, 0x1.307ac41cedde9p-2, 0x1.3559978304776p-2, 0x1.3a3a83353e538p-2, 0x1.3f1c368eb2de9p-2, 0x1.43fd5709e0c21p-2, 0x1.48dc8264b40fbp-2, 0x1.4db850a70c186p-2, 0x1.528f560b7a20cp-2, 0x1.576024ca3a45ap-2, 0x1.5c294ec68cd2ap-2, 0x1.60e9671ecb163p-2, 0x1.659f039fb3b8cp-2, 0x1.6a48be1b8ceb5p-2, 0x1.6ee535a5d04fcp-2, 0x1.73730fb42b592p-2, 0x1.77f0f925b5c4ap-2, 0x1.7c5da73140a92p-2, 0x1.80b7d83bb93fcp-2, 0x1.84fe54979c47fp-2, 0x1.892fef2e775a9p-2, 0x1.8d4b861585c6dp-2, 0x1.9150030e6a40dp-2, 0x1.953c5bf5113a1p-2, 0x1.990f931bbfd03p-2, 0x1.9cc8b7965500bp-2, 0x1.a066e575bb577p-2, 0x1.a3e945f4886aep-2, 0x1.a74f0f95bc7bdp-2, 0x1.aa978636948d8p-2, 0x1.adc1fb145ab1cp-2, 0x1.b0cdccc70d5d6p-2, 0x1.b3ba6731c2058p-2, 0x1.b68743698ff9cp-2, 0x1.b933e793cb974p-2, 0x1.bbbfe6bc5ad2cp-2, 0x1.be2ae0a4d4566p-2, 0x1.c074818d21ec7p-2, 0x1.c29c81f645dbbp-2, 0x1.c4a2a65feddbdp-2, 0x1.c686bf0161aeep-2, 0x1.c848a77e6208bp-2, 0x1.c9e84698808aap-2, 0x1.cb658ddd69c67p-2, 0x1.ccc079529ea04p-2, 0x1.cdf90f1f0f692p-2, 0x1.cf0f5f32f57edp-2, 0x1.d00382ee5e3ap-2, 0x1.d0d59cc6b1f08p-2, 0x1.d185d7eb983cep-2, 0x1.d21467eb7e279p-2, 0x1.d28188580ab8cp-2, 0x1.d2cd7c6ac45bdp-2, 0x1.d2f88eaa1fcfcp-2, 0x1.d303108f36a94p-2, 0x1.d2ed5a2c4ebc4p-2, 0x1.d2b7c9d467a59p-2, 0x1.d262c3c3f5989p-2, 0x1.d1eeb1caeb4e6p-2, 0x1.d15c02f834f41p-2, 0x1.d0ab2b46c7b7bp-2, 0x1.cfdca34c5325ep-2, 0x1.cef0e7e9b5c49p-2, 0x1.cde879fd44c07p-2, 0x1.ccc3de16f13b2p-2, 0x1.cb839c2e64bc2p-2, 0x1.ca283f5b1221bp-2, 0x1.c8b2558e502c8p-2, 0x1.c7226f4f7d378p-2, 0x1.c5791f7a31615p-2, 0x1.c3b6fafe86a1fp-2, 0x1.c1dc98a372d7dp-2, 0x1.bfea90cb37c0bp-2, 0x1.bde17d39e327p-2, 0x1.bbc1f8dde339ep-2, 0x1.b98c9f9aa24dp-2, 0x1.b7420e152ca53p-2, 0x1.b4e2e182d7154p-2, 0x1.b26fb779e0b27p-2, 0x1.afe92dc405f4ap-2, 0x1.ad4fe233029e1p-2, 0x1.aaa47276f5a9ep-2, 0x1.a7e77bf69b612p-2, 0x1.a5199ba95d262p-2, 0x1.a23b6df326afep-2, 0x1.9f4d8e81f4d5dp-2, 0x1.9c50982d1ad84p-2, 0x1.994524d62cfd6p-2, 0x1.962bcd4b8909bp-2, 0x1.9305292c71955p-2, 0x1.8fd1ceceb13e2p-2, 0x1.8c925325b7a55p-2, 0x1.894749ab2e04dp-2, 0x1.85f14448ed5eap-2, 0x1.8290d34453a37p-2, 0x1.7f26852aeb0e8p-2, 0x1.7bb2e6c054c3cp-2, 0x1.783682ed771f7p-2, 0x1.74b1e2b0d4037p-2, 0x1.71258d10121fdp-2, 0x1.6d92070a99fep-2, 0x1.69f7d38d4e476p-2, 0x1.665773674a2b7p-2, 0x1.62b1653fa342bp-2, 0x1.5f06258c1e367p-2, 0x1.5b562e88d70fep-2, 0x1.57a1f830ca44dp-2, 0x1.53e9f8373da01p-2, 0x1.502ea201f7dffp-2, 0x1.4c7066a44a1d8p-2, 0x1.48afb4dad7a3ap-2, 0x1.44ecf9081a028p-2, 0x1.41289d319ac6ep-2, 0x1.3d6308fdd6843p-2, 0x1.399ca1b2c5ad7p-2, 0x1.35d5ca350351bp-2, 0x1.320ee30789615p-2, 0x1.2e484a4bfe159p-2, 0x1.2a825bc3885dfp-2, 0x1.26bd70d02ap-2, 0x1.22f9e076931b1p-2, 0x1.1f37ff6070d03p-2, 0x1.1b781fdf288c6p-2, 0x1.17ba91eefff46p-2, 0x1.13ffa33aac2b4p-2, 0x1.10479f1f3f36fp-2, 0x1.0c92ceb073833p-2, 0x1.08e178bd4a13cp-2, 0x1.0533e1d4fe087p-2, 0x1.018a4c4c43c7p-2, 0x1.fbc9f0859ec97p-3, 0x1.f488475242dcp-3, 0x1.ed50148d20bf6p-3, 0x1.e621cb7f27508p-3, 0x1.defddb387d325p-3, 0x1.d7e4ae9df0138p-3, 0x1.d0d6ac76b7845p-3, 0x1.c9d4377a97ad2p-3, 0x1.c2ddae605794dp-3, 0x1.bbf36bec830cep-3, 0x1.b515c70070585p-3, 0x1.ae4512a986e9cp-3, 0x1.a7819e30c4958p-3, 0x1.a0cbb52a7162p-3, 0x1.9a239f86057bbp-3, 0x1.9389a19e341a4p-3, 0x1.8cfdfc4924234p-3, 0x1.8680ece8bde96p-3, 0x1.8012ad7b1cfb9p-3, 0x1.79b374ab0d63fp-3, 0x1.736375e0aa533p-3, 0x1.6d22e151fb09fp-3, 0x1.66f1e413a1597p-3, 0x1.60d0a829900f4p-3, 0x1.5abf5497bddb7p-3, 0x1.54be0d72d9fa5p-3, 0x1.4eccf3f0fd581p-3, 0x1.48ec267a50468p-3, 0x1.431bc0b9a846cp-3, 0x1.3d5bdbad16e03p-3, 0x1.37ac8db667bfep-3, 0x1.320deaab8718dp-3, 0x1.2c8003e6dbb3bp-3, 0x1.2702e8577dcebp-3, 0x1.2196a49159c33p-3, 0x1.1c3b42dd2f7b8p-3, 0x1.16f0cb487beb7p-3, 0x1.11b743b5376eep-3, 0x1.0c8eafe97721ap-3, 0x1.0777119ee4dfcp-3, 0x1.0270689214f79p-3, 0x1.faf565236184cp-4, 0x1.f12bd71aee084p-4, 0x1.e7841b4a27a9cp-4, 0x1.ddfe226d8e90cp-4, 0x1.d499d9dbcc854p-4, 0x1.cb572ba240bb4p-4, 0x1.c235fea1453f9p-4, 0x1.b93636a80048ep-4, 0x1.b057b48fd84cp-4, 0x1.a79a5657858b8p-4, 0x1.9efdf73db4d3p-4, 0x1.96826fdb44b0ep-4, 0x1.8e27963d202b1p-4, 0x1.85ed3dfda33ccp-4, 0x1.7dd3385d9b665p-4, 0x1.75d9545cd5313p-4, 0x1.6dff5ed243a99p-4, 0x1.66452283b281bp-4, 0x1.5eaa683d0d3f8p-4, 0x1.572ef6e73686dp-4, 0x1.4fd2939e6faddp-4, 0x1.489501c851503p-4, 0x1.417603294ee51p-4, 0x1.3a7557f9d5b4p-4, 0x1.3392befaee891p-4, 0x1.2ccdf58a78d89p-4, 0x1.2626b7b6f199ap-4, 0x1.1f9cc052ced19p-4, 0x1.192fc907667bcp-4, 0x1.12df8a676cf29p-4, 0x1.0cabbc0100a46p-4, 0x1.0694146f4c3b8p-4, 0x1.0098496bb8b5bp-4, 0x1.f5701fbd663bap-5, 0x1.e9e637e014f46p-5, 0x1.de92422dc25f6p-5, 0x1.d373a45264675p-5, 0x1.c889c2d5e394dp-5, 0x1.bdd40139869f6p-5, 0x1.b351c21490deap-5, 0x1.a902673018885p-5, 0x1.9ee551a20f748p-5, 0x1.94f9e1e786253p-5, 0x1.8b3f77fe2b2dcp-5, 0x1.81b5737d04844p-5, 0x1.785b33ac6c3bep-5, 0x1.6f30179d4aad8p-5, 0x1.66337e3f9c218p-5, 0x1.5d64c678376c6p-5, 0x1.54c34f35e3913p-5, 0x1.4c4e7785b4ac5p-5, 0x1.44059ea6bbc26p-5, 0x1.3be8241d091a7p-5, 0x1.33f567c402e42p-5, 0x1.2c2cc9e00ec31p-5, 0x1.248dab2fa0304p-5, 0x1.1d176cfb952d3p-5, 0x1.15c97127030f5p-5, 0x1.0ea31a3e5b777p-5, 0x1.07a3cb85fb669p-5, 0x1.00cae908219ebp-5, 0x1.f42faf449e446p-6, 0x1.e713fa243ad74p-6, 0x1.da418002f5ca5p-6, 0x1.cdb71024cf4e2p-6, 0x1.c1737bd43c2ccp-6, 0x1.b57596777d37bp-6, 0x1.a9bc35a4e87e4p-6, 0x1.9e46313632602p-6, 0x1.9312635abcd02p-6, 0x1.881fa8a8f3d1bp-6, 0x1.7d6ce02eb94d3p-6, 0x1.72f8eb80e69p-6, 0x1.68c2aec9ee07p-6, 0x1.5ec910d792a51p-6, 0x1.550afb27df2e2p-6, 0x1.4b8759f52684p-6, 0x1.423d1c415c78ap-6, 0x1.392b33e088854p-6, 0x1.3050958282f5p-6, 0x1.27ac38bbf08aep-6, 0x1.1f3d180e8d889p-6, 0x1.170230f0b3ac3p-6, 0x1.0efa83d44342bp-6, 0x1.0725142cdb993p-6, 0x1.ff01d0ead7ea4p-7, 0x1.f01a146a57bp-7, 0x1.e1910c07e0055p-7, 0x1.d364d71be576bp-7, 0x1.c5939b2e17a48p-7, 0x1.b81b83fa91d2ep-7, 0x1.aafac37631553p-7, 0x1.9e2f91d1b929fp-7, 0x1.91b82d7c21144p-7, 0x1.8592db23b34ep-7, 0x1.79bde5b68590bp-7, 0x1.6e379e61d032ep-7, 0x1.62fe5c908ce7ep-7, 0x1.58107de934517p-7, 0x1.4d6c664aaf7fbp-7, 0x1.43107fc883fc8p-7, 0x1.38fb3aa64d3e6p-7, 0x1.2f2b0d526a76p-7, 0x1.259e7460224bp-7, 0x1.1c53f280ed28ap-7, 0x1.134a107d54703p-7, 0x1.0a7f5d2d1635ap-7, 0x1.01f26d6ebad66p-7, 0x1.f343b83d65085p-8, 0x1.e318941ba93e4p-8, 0x1.d360bbeee24b7p-8, 0x1.c41988edb5c94p-8, 0x1.b5405ff9281fap-8, 0x1.a6d2b185f8f31p-8, 0x1.98cdf985229dap-8, 0x1.8b2fbf4bcbcaep-8, 0x1.7df5957a5ea6ep-8, 0x1.711d19e2db4d8p-8, 0x1.64a3f56eca3d5p-8, 0x1.5887dc043ac14p-8, 0x1.4cc68c6a8f3fcp-8, 0x1.415dd02e7bc78p-8, 0x1.364b7b85ae7b2p-8, 0x1.2b8d6d31ec5fep-8, 0x1.21218e63c6074p-8, 0x1.1705d29d0e039p-8, 0x1.0d383792bb06cp-8, 0x1.03b6c50e98764p-8, 0x1.f4ff19a142dc6p-9, 0x1.e32154e05e95bp-9, 0x1.d1d086797d499p-9, 0x1.c1090c3d52a5ap-9, 0x1.b0c756ef3b6cp-9, 0x1.a107ea05bd259p-9, 0x1.91c75b6b17d6bp-9, 0x1.8302533d5abbbp-9, 0x1.74b58b8e519c5p-9, 0x1.66ddd02378e0bp-9, 0x1.5977fe359f763p-9, 0x1.4c810430bb5d7p-9, 0x1.3ff5e173ac36p-9, 0x1.33d3a60fe3539p-9, 0x1.2817728941de9p-9, 0x1.1cbe779608f8ep-9, 0x1.11c5f5df02bd7p-9, 0x1.072b3dbf8e8a8p-9, 0x1.f9d75e0cb67eap-10, 0x1.e609716b9fb24p-10, 0x1.d2e7b18a572b7p-10, 0x1.c06d37c3b721cp-10, 0x1.ae953a618ebffp-10, 0x1.9d5b0c20d0ae7p-10, 0x1.8cba1bb5f9e8ep-10, 0x1.7cadf3527046ap-10, 0x1.6d32382aa18a7p-10, 0x1.5e42a9fcf61dep-10, 0x1.4fdb2299c6c1p-10, 0x1.41f7956bed9acp-10, 0x1.34940f031523cp-10, 0x1.27acb49df1ad2p-10, 0x1.1b3dc3b66c8d4p-10, 0x1.0f43918e6e0c7p-10, 0x1.03ba8abdc4668p-10, 0x1.f13e6582bb612p-11, 0x1.dbdc4716fbacfp-11, 0x1.c7481a29e7ab5p-11, 0x1.b37b69df80fa9p-11, 0x1.a06febb5fd7a3p-11, 0x1.8e1f7eaf42d8fp-11, 0x1.7c842a7ddc804p-11, 0x1.6b981eb33a427p-11, 0x1.5b55b1f1cf671p-11, 0x1.4bb7612055537p-11, 0x1.3cb7cea0efb14p-11, 0x1.2e51c18a36f8dp-11, 0x1.208024e2877edp-11, 0x1.133e06ded1d9dp-11, 0x1.068698230842cp-11, 0x1.f4aa560ca95c9p-12, 0x1.dd4a65b2420cbp-12, 0x1.c6e4865b1135ep-12, 0x1.b1701e471a3d7p-12, 0x1.9ce4d16d9de5cp-12, 0x1.893a801f3e51dp-12, 0x1.766945acd0fd9p-12, 0x1.6469771412443p-12, 0x1.5333a1b0c75b7p-12, 0x1.42c089f39c7b2p-12, 0x1.33092a1eecad7p-12, 0x1.2406b10752cc5p-12, 0x1.15b280dab277fp-12, 0x1.08062dec903ccp-12, 0x1.f5f6fb0c103aep-13, 0x1.dd18c979578e1p-13, 0x1.c5660e9b5663fp-13, 0x1.aed36cfc8fe4dp-13, 0x1.9955e0021f6b6p-13, 0x1.84e2b9c107522p-13, 0x1.716fa0dd2f6fp-13, 0x1.5ef28e715a982p-13, 0x1.4d61cc030fe71p-13, 0x1.3cb3f17e23d8bp-13, 0x1.2cdfe33aee355p-13, 0x1.1ddcd00de9666p-13, 0x1.0fa22f6081934p-13, 0x1.0227bf53c2436p-13, 0x1.eacb05d6e60d8p-14, 0x1.d2a78087ed0a6p-14, 0x1.bbd5fd9f4ac56p-14, 0x1.a6480b3abe722p-14, 0x1.91efb352657d4p-14, 0x1.7ebf7868158acp-14, 0x1.6caa524b34c9cp-14, 0x1.5ba3aaebfcb21p-14, 0x1.4b9f5b40a990ep-14, 0x1.3c91a83968a3ep-14, 0x1.2e6f3fc66883cp-14, 0x1.212d35eec79cp-14, 0x1.14c101f598c1fp-14, 0x1.09207b90a1fbcp-14, 0x1.fc83b05a023eep-15, 0x1.e837508afb524p-15, 0x1.d549a9870780ap-15, 0x1.c3a938ea3c069p-15, 0x1.b345231ad3557p-15, 0x1.a40d2e675c6cap-15, 0x1.95f1be487fb8bp-15, 0x1.88e3ceb3fcc9ap-15, 0x1.7cd4ef944f049p-15, 0x1.71b74058ac095p-15, 0x1.677d6b9bbc058p-15, 0x1.5e1aa2ebd086ap-15, 0x1.55829aa89e4c4p-15, 0x1.4da985f96fc9dp-15, 0x1.468412ded35d7p-15, 0x1.4007665d01facp-15, 0x1.3a2918ba20c85p-15, 0x1.34df31d98a08fp-15, 0x1.302025ace95dcp-15, 0x1.2be2d0ba8deedp-15, 0x1.281e74b96a179p-15, 0x1.24cab546b050fp-15, 0x1.21df94ad23733p-15, 0x1.1f5570c515b2ap-15, 0x1.1d24ffe5ff91fp-15, 0x1.1b474ded882d9p-15, 0x1.19b5b95ed1f94p-15, 0x1.1869f08b99f09p-15, 0x1.175deeda9af7ap-15, 0x1.168bfa1a44a2ep-15, 0x1.15ee9fe79d485p-15, 0x1.1580b329fa20cp-15, 0x1.153d499d07e66p-15, 0x1.151fb96c97b9ep-15, 0x1.152396e232d38p-15, 0x1.1544b2218ad87p-15, 0x1.157f14f9bca5dp-15, 0x1.15cf00c05eb6cp-15, 0x1.1630ec3f0fe27p-15, 0x1.16a181b34598ep-15, 0x1.171d9cd69bb4ap-15, 0x1.17a248fad0669p-15, 0x1.182cbf2fb86a4p-15, 0x1.18ba647c9578bp-15, 0x1.1948c8201bbd5p-15, 0x1.19d5a1e4fad9dp-15, 0x1.1a5ed07ee8da7p-15, 0x1.1ae257f4beccbp-15, 0x1.1b5e6015f0dcbp-15, 0x1.1bd1330018363p-15, 0x1.1c393bacfbf58p-15, 0x1.1c95048c49345p-15, 0x1.1ce33628fe293p-15, 0x1.1d2295dbf43ecp-15, 0x1.1d5204851af92p-15, 0x1.1d707d50fabbbp-15, 0x1.1d7d148973bbep-15, 0x1.1d76f66f388a7p-15, 0x1.1d5d661bdcedfp-15, 0x1.1d2fbc703b054p-15, 0x1.1ced6709fd3d1p-15, 0x1.1c95e74291ep-15, 0x1.1c28d135ad0a4p-15, 0x1.1ba5cad29493fp-15, 0x1.1b0c8af3340cdp-15, 0x1.1a5cd87ddc6aap-15, 0x1.1996898bd4fd1p-15, 0x1.18b9829a5d5a3p-15, 0x1.17c5b5c22bdd1p-15, 0x1.16bb21f426403p-15, 0x1.1599d24105b13p-15, 0x1.1461dd2336ab6p-15, 0x1.131363d2ac6b8p-15, 0x1.11ae919f2c44dp-15, 0x1.10339b4e5191p-15, 0x1.0ea2be827af73p-15, 0x1.0cfc4125de8d1p-15, 0x1.0b4070db7415p-15, 0x1.096fa2761306p-15, 0x1.078a3175458bcp-15, 0x1.05907f8629ep-15, 0x1.0382f409e54cbp-15, 0x1.0161fba2860ecp-15, 0x1.fe5c0f845ca89p-16, 0x1.f9cf1c8247d69p-16, 0x1.f51e11ed35cc8p-16, 0x1.f049eaad29c81p-16, 0x1.eb53a829a7ce5p-16, 0x1.e63c51945c1f6p-16, 0x1.e104f34080b73p-16, 0x1.dbae9dfc2d83fp-16, 0x1.d63a6676491dbp-16, 0x1.d0a964a87c4fdp-16, 0x1.cafcb3493bd9fp-16, 0x1.c5356f459923fp-16, 0x1.bf54b73e8435fp-16, 0x1.b95bab0fbea15p-16, 0x1.b34b6b5b32834p-16, 0x1.ad25191b33435p-16, 0x1.a6e9d539782abp-16, 0x1.a09ac02cbc432p-16, 0x1.9a38f998cc115p-16, 0x1.93c59ff804d77p-16, 0x1.8d41d046a8f05p-16, 0x1.86aea5b3f6763p-16, 0x1.800d3958b8e0bp-16, 0x1.795ea1ef7f731p-16, 0x1.72a3f3964c673p-16, 0x1.6bde3f8d4849dp-16, 0x1.650e940075591p-16, 0x1.5e35fbd082c98p-16, 0x1.57557e60fa949p-16, 0x1.506e1f69eaa11p-16, 0x1.4980decd4232ep-16, 0x1.428eb86e66727p-16, 0x1.3b98a40efcbdap-16, 0x1.349f952bb94b4p-16, 0x1.2da47adf1cc8p-16, 0x1.26a83fc3ec0e3p-16, 0x1.1fabc9dde10ebp-16, 0x1.18affa813a0e6p-16, 0x1.11b5ae40abdfap-16, 0x1.0abdbcd910c4cp-16, 0x1.03c8f92385d5cp-16, 0x1.f9b0620ddaf45p-17, 0x1.ebd85adad81dfp-17, 0x1.de0b6474d527cp-17, 0x1.d04afc862f8cbp-17, 0x1.c298969003157p-17, 0x1.b4f59be355ba4p-17, 0x1.a7636b9c3bec8p-17, 0x1.99e35a9e6dcecp-17, 0x1.8c76b39780766p-17, 0x1.7f1eb7033e7d3p-17, 0x1.71dc9b2f36d04p-17, 0x1.64b18c45b85fep-17, 0x1.579eac595b0b2p-17, 0x1.4aa51371ae655p-17, 0x1.3dc5cf9afeaa4p-17, 0x1.3101e4f7c6df9p-17, 0x1.245a4dd43426ep-17, 0x1.17cffabae78e3p-17, 0x1.0b63d28c3246p-17, 0x1.fe2d65311f991p-18, 0x1.e5d2dd6c6f1e1p-18, 0x1.cdb9a2bfd0e45p-18, 0x1.b5e3379f1de3ap-18, 0x1.9e510c39a5198p-18, 0x1.87047eb877086p-18, 0x1.6ffedb7bf3d96p-18, 0x1.59415d5e71287p-18, 0x1.42cd2df779ba6p-18, 0x1.2ca365de28ec3p-18, 0x1.16c50cf17c4fep-18, 0x1.01331aa1576ap-18, 0x1.d7dcec674fd7bp-19, 0x1.adefee219288dp-19, 0x1.84a0ca187d28cp-19, 0x1.5bf0f160e7f1fp-19, 0x1.33e1b7137b25p-19, 0x1.0c7450ea30286p-19, 0x1.cb53afb3a8077p-20, 0x1.7f069155ae4f9p-20, 0x1.34030920f565cp-20, 0x1.d495473e93ae6p-21, 0x1.43bd71459b733p-21, 0x1.6b01b22e75b3p-22, 0x1.4f0b17a4cf335p-24, -0x1.7c7dbbe18c274p-23, -0x1.cb00f42508e93p-22, -0x1.6940f90d8afe4p-21, -0x1.ea60814dba64fp-21, -0x1.346f804f12ba5p-20, -0x1.725e5d666ed21p-20, -0x1.aefd239839d4ap-20, -0x1.ea4c4737b0874p-20, -0x1.12263200551a3p-19, -0x1.2e7f1e00faaf1p-19, -0x1.4a315b32f06bcp-19, -0x1.653d6f2acc698p-19, -0x1.7fa3f0ea73c09p-19, -0x1.996588531b7dcp-19, -0x1.b282ed95f57c8p-19, -0x1.cafce8a907b3ep-19, -0x1.e2d450bd024fap-19, -0x1.fa0a0bb0f225ep-19, -0x1.084f86c7bc83ap-18, -0x1.134a2c034f906p-18, -0x1.1df57cf49c071p-18, -0x1.28520753e914p-18, -0x1.32605eeacf256p-18, -0x1.3c211d53d2012p-18, -0x1.4594e1bd6029p-18, -0x1.4ebc50accb9d2p-18, -0x1.579813c2e31d3p-18, -0x1.6028d980847e3p-18, -0x1.686f550d27b1bp-18, -0x1.706c3dfec76c4p-18, -0x1.782050208e795p-18, -0x1.7f8c4b3e71c6dp-18, -0x1.86b0f2eea888fp-18, -0x1.8d8f0e5cf5478p-18, -0x1.9427681709ad3p-18, -0x1.9a7acddb1b3b4p-18, -0x1.a08a10658503ep-18, -0x1.a65603408383fp-18, -0x1.abdf7c94a8616p-18, -0x1.b12754fb38272p-18, -0x1.b62e6751dc67cp-18, -0x1.baf5908d33ea3p-18, -0x1.bf7daf8df6053p-18, -0x1.c3c7a4f78dd57p-18, -0x1.c7d45305288e6p-18, -0x1.cba49d641a957p-18, -0x1.cf39690ba7eb1p-18, -0x1.d2939c167dcap-18, -0x1.d5b41d9dc6231p-18, -0x1.d89bd5956d335p-18, -0x1.db4baca921dfcp-18, -0x1.ddc48c1949629p-18, -0x1.e0075d9af3ae5p-18, -0x1.e2150b3729cb6p-18, -0x1.e3ee7f2ba7abap-18, -0x1.e594a3caf6e2ap-18, -0x1.e708636105ae3p-18, -0x1.e84aa815d493dp-18, -0x1.e95c5bd091cf6p-18, -0x1.ea3e681d90931p-18, -0x1.eaf1b61460452p-18, -0x1.eb772e3df8c8dp-18, -0x1.ebcfb87d1e4d2p-18, -0x1.ebfc3bf68d7b7p-18, -0x1.ebfd9efa4be93p-18, -0x1.ebd4c6ede6e86p-18, -0x1.eb829835b6b78p-18, -0x1.eb07f622aeb84p-18, -0x1.ea65c2ddfabcep-18, -0x1.e99cdf5524f3fp-18, -0x1.e8ae2b2951013p-18, -0x1.e79a849b798c4p-18, -0x1.e662c87e7501dp-18, -0x1.e507d2257fb33p-18, -0x1.e38a7b54989bp-18, -0x1.e1eb9c3325392p-18, -0x1.e02c0b3cca915p-18, -0x1.de4c9d3301839p-18, -0x1.dc4e2511f107bp-18, -0x1.da3174043c59fp-18, -0x1.d7f7595601a25p-18, -0x1.d5a0a26a8ca52p-18, -0x1.d32e1ab295d2dp-18, -0x1.d0a08ba0b5535p-18, -0x1.cdf8bca185bbdp-18, -0x1.cb377312651c5p-18, -0x1.c85d7238d4002p-18, -0x1.c56b7b3b822efp-18, -0x1.c2624d1a68bd3p-18, -0x1.bf42a4a709012p-18, -0x1.bc0d3c7fd97e2p-18, -0x1.b8c2cd09fabp-18, -0x1.b5640c6b13e5ap-18, -0x1.b1f1ae8472108p-18, -0x1.ae6c64ef0d29ap-18, -0x1.aad4def703cfep-18, -0x1.a72bc9975ef5ap-18, -0x1.a371cf7805ep-18, -0x1.9fa798eaab486p-18, -0x1.9bcdcbe72eb32p-18, -0x1.97e50c096d455p-18, -0x1.93edfa907723dp-18, -0x1.8fe9365bc0e5p-18, -0x1.8bd75beb8f5cap-18, -0x1.87b9055e95b6ep-18, -0x1.838eca7235bebp-18, -0x1.7f5940818846dp-18, -0x1.7b18fa8644e68p-18, -0x1.76ce89186573ep-18, -0x1.727a7a6f28d8cp-18, -0x1.6e1d5a61ed8d1p-18, -0x1.69b7b269ca4ccp-18, -0x1.654a09a1a570bp-18, -0x1.60d4e4c86de5ep-18, -0x1.5c58c6431ed2bp-18, -0x1.57d62e1eb5af9p-18, -0x1.534d9a12d9ecbp-18, -0x1.4ebf8583609dbp-18, -0x1.4a2c6983f2571p-18, -0x1.4594bcd9c4c05p-18, -0x1.40f8f400054ddp-18, -0x1.3c59812a7bb69p-18, -0x1.37b6d4489df9cp-18, -0x1.33115b09665eep-18, -0x1.2e6980df94653p-18, -0x1.29bfaf048800fp-18, -0x1.25144c7c68503p-18, -0x1.2067be1b28892p-18, -0x1.1bba668800039p-18, -0x1.170ca6426eddap-18, -0x1.125edba5b9c4dp-18, -0x1.0db162eeae905p-18, -0x1.0904963f8e24dp-18, -0x1.0458cda4bcef3p-18, -0x1.ff5cbe35c4008p-19, -0x1.f60b3d26a9e58p-19, -0x1.ecbdbbf11b181p-19, -0x1.e374da6799566p-19, -0x1.da313464dcecbp-19, -0x1.d0f361d627342p-19, -0x1.c7bbf6c676775p-19, -0x1.be8b83693a70cp-19, -0x1.b5629424e8817p-19, -0x1.ac41b19dec22ep-19, -0x1.a32960c35d067p-19, -0x1.9a1a22d8a2e8fp-19, -0x1.9114758158226p-19, -0x1.8818d2cc06ca1p-19, -0x1.7f27b13fb4b33p-19, -0x1.764183e5f6831p-19, -0x1.6d66ba563d863p-19, -0x1.6497c0c1b50f9p-19, -0x1.5bd4ffff3dd15p-19, -0x1.531edd96ff249p-19, -0x1.4a75bbcee25b8p-19, -0x1.41d9f9b42a7aap-19, -0x1.394bf329eb67bp-19, -0x1.30cc00f28b277p-19, -0x1.285a78bc6aba4p-19, -0x1.1ff7ad2e4093p-19, -0x1.17a3edf1bfd37p-19, -0x1.0f5f87bf9cdep-19, -0x1.072ac46bd278fp-19, -0x1.fe0bd5e27e604p-20, -0x1.ede27ef82b9c9p-20, -0x1.ddda06ece2f1dp-20, -0x1.cdf2eb27d9771p-20, -0x1.be2da3b9e22f3p-20, -0x1.ae8aa3746e013p-20, -0x1.9f0a58003538bp-20, -0x1.8fad29f4b7777p-20, -0x1.80737ceea5ccbp-20, -0x1.715dafa3fe804p-20, -0x1.626c1bfdbd568p-20, -0x1.539f172d5b9c6p-20, -0x1.44f6f1c2515a7p-20, -0x1.3673f7bf5e0a2p-20, -0x1.281670b1888dep-20, -0x1.19de9fc5095c3p-20, -0x1.0bccc3db9d11bp-20, -0x1.fbc22f4281ad1p-21, -0x1.e037a34378e4bp-21, -0x1.c4fa48b8aa957p-21, -0x1.aa0a7cb4772e7p-21, -0x1.8f68948542341p-21, -0x1.7514dddf597e7p-21, -0x1.5b0f9f034895dp-21, -0x1.415916e739bdbp-21, -0x1.27f17d5e28fc1p-21, -0x1.0ed903410d1c5p-21, -0x1.ec1fa52aedd13p-22, -0x1.bb2c1d623032ep-22, -0x1.8ad7a8c8199d7p-22, -0x1.5b2274377807fp-22, -0x1.2c0ca01101f88p-22, -0x1.fb2c8117a09adp-23, -0x1.9f7ebbee2f06ap-23, -0x1.450fea0b11b21p-23, -0x1.d7bfdc49df39p-24, -0x1.27dd29a3f6911p-24, -0x1.e9dca8f0affe3p-26, 0x1.8396ef814a92ep-27, 0x1.b1c3a7ca61f99p-25, 0x1.7ed6c49e76428p-24, 0x1.1129720520b2cp-23, 0x1.61abc5fdd52acp-23, 0x1.b0f31d9092a3dp-23, 0x1.ff004a0c73cap-23, 0x1.25ea17194cde4p-22, 0x1.4bb7dedf267c7p-22, 0x1.70e9fe789a1a5p-22, 0x1.958100070b3eap-22, 0x1.b97d7574ed776p-22, 0x1.dcdff838a90cep-22, 0x1.ffa9292082791p-22, 0x1.10ecd80aca63bp-21, 0x1.21b91df0a37ep-21, 0x1.3239c0fd02bp-21, 0x1.426f1f277ff6bp-21, 0x1.525999895dcadp-21, 0x1.61f994401d8e1p-21, 0x1.714f7656bce85p-21, 0x1.805ba9aabbc7bp-21, 0x1.8f1e9ad36cfc1p-21, 0x1.9d98b909bbf51p-21, 0x1.abca7610b8ce4p-21, 0x1.b9b4461d9dec3p-21, 0x1.c7569fbed5a79p-21, 0x1.d4b1fbc5c4c87p-21, 0x1.e1c6d53143549p-21, 0x1.ee95a91672294p-21, 0x1.fb1ef68b72bccp-21, 0x1.03b19f48fd1abp-20, }}, 
      {{0x1.f3ea4ecd41f8bp-1, 0x1.f35b5e9d51af8p-1, 0x1.f279f084c03eep-1, 0x1.f1536a7afdb02p-1, 0x1.eff4e6fdb191ep-1, 0x1.ee69ec8399557p-1, 0x1.ecbbe59760cacp-1, 0x1.eaf20bc49d344p-1, 0x1.e91192617cb72p-1, 0x1.e71df0af7431fp-1, 0x1.e5193739c11afp-1, 0x1.e30464917e79dp-1, 0x1.e0dfb2dd6a585p-1, 0x1.deaadb165f8acp-1, 0x1.dc654cdff739fp-1, 0x1.da0e5b2917be3p-1, 0x1.d7a55e6fc9bc4p-1, 0x1.d529cdda33df8p-1, 0x1.d29b5075fad92p-1, 0x1.cff9c7eda9656p-1, 0x1.cd4555ef66de3p-1, 0x1.ca7e5d621b007p-1, 0x1.c7a58063d1b3ap-1, 0x1.c4bb9be937abcp-1, 0x1.c1c1c1b450765p-1, 0x1.beb931394b887p-1, 0x1.bba34fec26c02p-1, 0x1.b881a158d0f14p-1, 0x1.b555bf51be7e7p-1, 0x1.b221526e46793p-1, 0x1.aee60b0257d1cp-1, 0x1.aba59aac04881p-1, 0x1.a861ae889a593p-1, 0x1.a51bea1a63a87p-1, 0x1.a1d5e2e14e256p-1, 0x1.9e911ca377b98p-1, 0x1.9b4f065eacbf8p-1, 0x1.9810f7d91302fp-1, 0x1.94d82fc553848p-1, 0x1.91a5d26d6a5f3p-1, 0x1.8e7ae8d6b4927p-1, 0x1.8b586051bbed9p-1, 0x1.883f0a687d984p-1, 0x1.852f9d1e751cep-1, 0x1.822ab376615bp-1, 0x1.7f30ce32940afp-1, 0x1.7c4254c5835ddp-1, 0x1.795f96693ed04p-1, 0x1.7688cb555e583p-1, 0x1.73be160beb4c7p-1, 0x1.70ff84b6a405p-1, 0x1.6e4d128eccc32p-1, 0x1.6ba6a94a8abf7p-1, 0x1.690c228b75102p-1, 0x1.667d494ab4605p-1, 0x1.63f9db3f9bcd5p-1, 0x1.61818a3e29a04p-1, 0x1.5f13fd8b5a2ffp-1, 0x1.5cb0d325a0fd3p-1, 0x1.5a57a10030c47p-1, 0x1.5807f63018b6bp-1, 0x1.55c15c0a76a67p-1, 0x1.53835733448f2p-1, 0x1.514d689c7364fp-1, 0x1.4f1f0e7537403p-1, 0x1.4cf7c5098bb5ep-1, 0x1.4ad707921585ep-1, 0x1.48bc50f4a2f01p-1, 0x1.46a71c75a0013p-1, 0x1.4496e65ae51a9p-1, 0x1.428b2c8056a9ep-1, 0x1.40836eded3dbdp-1, 0x1.3e7f3005fdf18p-1, 0x1.3c7df589660e5p-1, 0x1.3a7f4861b42c4p-1, 0x1.3882b5425d66dp-1, 0x1.3687cce47f5e8p-1, 0x1.348e244777ff7p-1, 0x1.329554e7ce8a7p-1, 0x1.309cfced02c0dp-1, 0x1.2ea4bf4ed46f2p-1, 0x1.2cac43f28fda9p-1, 0x1.2ab337c0ed58fp-1, 0x1.28b94cb507224p-1, 0x1.26be39e4ec28ep-1, 0x1.24c1bb844ce0ap-1, 0x1.22c392e1bb55dp-1, 0x1.20c3865ef474fp-1, 0x1.1ec16164a1c56p-1, 0x1.1cbcf45201552p-1, 0x1.1ab61468d45cdp-1, 0x1.18ac9bb5fdba2p-1, 0x1.16a068f724093p-1, 0x1.14915f7db5b2bp-1, 0x1.127f670f9c8f8p-1, 0x1.106a6bc5f12ccp-1, 0x1.0e525de9f561p-1, 0x1.0c3731d09c584p-1, 0x1.0a18dfb4dc8fbp-1, 0x1.07f763910c68dp-1, 0x1.05d2bcf77b765p-1, 0x1.03aaeeea7fb4bp-1, 0x1.017fffb4254e2p-1, 0x1.fea3f17b58756p-2, 0x1.fa41cccdf5c3bp-2, 0x1.f5d9afbc5b863p-2, 0x1.f16bbdeec8104p-2, 0x1.ecf82009cabd9p-2, 0x1.e87f035f834cep-2, 0x1.e40099a1fc068p-2, 0x1.df7d1896d3744p-2, 0x1.daf4b9cc57192p-2, 0x1.d667ba5035db7p-2, 0x1.d1d65a67e729p-2, 0x1.cd40dd4adfe6cp-2, 0x1.c8a788deacebap-2, 0x1.c40aa5750894p-2, 0x1.bf6a7d8bf3c84p-2, 0x1.bac75d8fe722ap-2, 0x1.b62193a0210b1p-2, 0x1.b1796f5517d18p-2, 0x1.accf418917b2ep-2, 0x1.a8235c230be5cp-2, 0x1.a37611e37401cp-2, 0x1.9ec7b63384e07p-2, 0x1.9a189cf674153p-2, 0x1.95691a5ce1adep-2, 0x1.90b982ba634ep-2, 0x1.8c0a2a5d27696p-2, 0x1.875b65679fe8p-2, 0x1.82ad87ac38982p-2, 0x1.7e00e48b04c34p-2, 0x1.7955ced15dbe6p-2, 0x1.74ac989b65b2ep-2, 0x1.700593376565ap-2, 0x1.6b610f0af2116p-2, 0x1.66bf5b79d75f5p-2, 0x1.6220c6ceb1b48p-2, 0x1.5d859e252cf27p-2, 0x1.58ee2d55e0324p-2, 0x1.545abee3aba58p-2, 0x1.4fcb9bea9c928p-2, 0x1.4b410c103a652p-2, 0x1.46bb5575378c8p-2, 0x1.423abca879656p-2, 0x1.3dbf849b61a3ap-2, 0x1.3949ee9757e9p-2, 0x1.34da3a347dfcbp-2, 0x1.3070a5518172p-2, 0x1.2c0d6c0c8657cp-2, 0x1.27b0c8bd1563ap-2, 0x1.235af3ef053eep-2, 0x1.1f0c245e56985p-2, 0x1.1ac48ef3f1d52p-2, 0x1.168466c33a809p-2, 0x1.124bdd087728p-2, 0x1.0e1b2127f503dp-2, 0x1.09f260adea0f1p-2, 0x1.05d1c74f00726p-2, 0x1.01b97ee98b427p-2, 0x1.fb535f0ea511dp-3, 0x1.f344febfe8cb1p-3, 0x1.eb4825b79b4a4p-3, 0x1.e35d192ec90e2p-3, 0x1.db841ace92c16p-3, 0x1.d3bd68b8d6b9fp-3, 0x1.cc093d91a4c6ap-3, 0x1.c467d0897d2e3p-3, 0x1.bcd955683b33fp-3, 0x1.b55dfc98af887p-3, 0x1.adf5f334cd9fap-3, 0x1.a6a163126daep-3, 0x1.9f6072d08c6e8p-3, 0x1.983345e4fd41ep-3, 0x1.9119fcaa906a4p-3, 0x1.8a14b46f93df5p-3, 0x1.83238784acfa7p-3, 0x1.7c468d4bfb24ap-3, 0x1.757dda4887ecp-3, 0x1.6ec9802de4d6ap-3, 0x1.68298df0096c2p-3, 0x1.619e0fd3538cap-3, 0x1.5b270f7cacb93p-3, 0x1.54c49401d0cap-3, 0x1.4e76a1f9a2b65p-3, 0x1.483d3b8c991dp-3, 0x1.42186085290a5p-3, 0x1.3c080e603fb24p-3, 0x1.360c405db19bfp-3, 0x1.3024ef90a80b8p-3, 0x1.2a5212effe963p-3, 0x1.24939f6695473p-3, 0x1.1ee987e383fb5p-3, 0x1.1953bd6a44f0fp-3, 0x1.13d22f22b27b7p-3, 0x1.0e64ca68ecf71p-3, 0x1.090b7add1f4fcp-3, 0x1.03c62a7316ac2p-3, 0x1.fd29830371567p-4, 0x1.f2ee4da484702p-4, 0x1.e8da7f5ecba37p-4, 0x1.deeddfe8614cap-4, 0x1.d52834357791bp-4, 0x1.cb893e955f52ap-4, 0x1.c210becf1cc07p-4, 0x1.b8be723d7d4a7p-4, 0x1.af9213ead5959p-4, 0x1.a68b5cac37fd6p-4, 0x1.9daa033c31b34p-4, 0x1.94edbc551c8c8p-4, 0x1.8c563acae7124p-4, 0x1.83e32fa466df8p-4, 0x1.7b944a342b74cp-4, 0x1.73693830ce826p-4, 0x1.6b61a5ccc7ffdp-4, 0x1.637d3dcdbc354p-4, 0x1.5bbba9a34bfcep-4, 0x1.541c917d60317p-4, 0x1.4c9f9c61f3fccp-4, 0x1.454470425b081p-4, 0x1.3e0ab210076d4p-4, 0x1.36f205d0c9f49p-4, 0x1.2ffa0eb294e39p-4, 0x1.29226f1eb9462p-4, 0x1.226ac8cca6146p-4, 0x1.1bd2bcd425b13p-4, 0x1.1559ebbf1c375p-4, 0x1.0efff59ac966cp-4, 0x1.08c47a08888fdp-4, 0x1.02a7184e1aa0bp-4, 0x1.f94edecada9f1p-5, 0x1.ed8a3c17e19a1p-5, 0x1.e1ff85a2dac8cp-5, 0x1.d6adf84ccccf9p-5, 0x1.cb94d0d40c618p-5, 0x1.c0b34bef27764p-5, 0x1.b608a666f3312p-5, 0x1.ab941d2fae0bp-5, 0x1.a154ed814b5dcp-5, 0x1.974a54eedd66p-5, 0x1.8d73917d29001p-5, 0x1.83cfe1b8626abp-5, 0x1.7a5e84c91ce97p-5, 0x1.711eba886a77p-5, 0x1.680fc3932c3adp-5, 0x1.5f30e15ca5b41p-5, 0x1.5681564046497p-5, 0x1.4e006592b371cp-5, 0x1.45ad53b21da94p-5, 0x1.3d876615d5a5fp-5, 0x1.358de35d3524bp-5, 0x1.2dc0135dcd96p-5, 0x1.261d3f30f8768p-5, 0x1.1ea4b140b0b21p-5, 0x1.1755b553d082dp-5, 0x1.102f9899a999p-5, 0x1.0931a9b503da4p-5, 0x1.025b38c67c0b5p-5, 0x1.f7572eeca8a7bp-6, 0x1.ea4431fb554e1p-6, 0x1.dd7c245e52f1dp-6, 0x1.d0fdb2fe4a0e7p-6, 0x1.c4c78e166692ep-6, 0x1.b8d869428a6cap-6, 0x1.ad2efb8c76156p-6, 0x1.a1c9ff77f69cfp-6, 0x1.96a8330e295f3p-6, 0x1.8bc857e7cda8cp-6, 0x1.81293336aed7fp-6, 0x1.76c98dce3e338p-6, 0x1.6ca8342b41b8ep-6, 0x1.62c3f67ac437dp-6, 0x1.591ba8a03035ep-6, 0x1.4fae223aaa032p-6, 0x1.467a3ea9ac837p-6, 0x1.3d7edd10ea15dp-6, 0x1.34bae05b854d2p-6, 0x1.2c2d2f3e93677p-6, 0x1.23d4b43b03f6p-6, 0x1.1bb05d9edcd1dp-6, 0x1.13bf1d85e3b23p-6, 0x1.0bffe9d9b1e11p-6, 0x1.0471bc513c9a4p-6, 0x1.fa2724df8da86p-7, 0x1.ebc8db06c0aafp-7, 0x1.ddc6a545a63fcp-7, 0x1.d01e95564e9cfp-7, 0x1.c2cec4794af1ap-7, 0x1.b5d5536ee1e25p-7, 0x1.a9306a6f616e3p-7, 0x1.9cde3922a08a7p-7, 0x1.90dcf696d0d16p-7, 0x1.852ae136706bap-7, 0x1.79c63ebdb6462p-7, 0x1.6ead5c2f1e825p-7, 0x1.63de8dc7864f3p-7, 0x1.59582ef189c37p-7, 0x1.4f18a2385ed55p-7, 0x1.451e513a20a03p-7, 0x1.3b67ac9998103p-7, 0x1.31f32bef8a1c7p-7, 0x1.28bf4dbb89bbfp-7, 0x1.1fca975467c23p-7, 0x1.171394d82676cp-7, 0x1.0e98d91baa0acp-7, 0x1.0658fd99e7701p-7, 0x1.fca544c5cd6e3p-8, 0x1.ed08dc14b536ap-8, 0x1.ddda1b2be4395p-8, 0x1.cf1668d6eb7dfp-8, 0x1.c0bb387d3733fp-8, 0x1.b2c609fd3cf1fp-8, 0x1.a534698752b35p-8, 0x1.9803ef782c536p-8, 0x1.8b324032f5acp-8, 0x1.7ebd0bfb269e6p-8, 0x1.72a20ece13459p-8, 0x1.66df103c56b98p-8, 0x1.5b71e342fc3c5p-8, 0x1.505866246d4c4p-8, 0x1.459082416af6dp-8, 0x1.3b182bf1c2371p-8, 0x1.30ed625d1f00fp-8, 0x1.270e2f538d1cdp-8, 0x1.1d78a72642316p-8, 0x1.142ae88035b37p-8, 0x1.0b231c3ed07abp-8, 0x1.025f754aadcap-8, 0x1.f3bc60e0d714dp-9, 0x1.e33b287328d8ap-9, 0x1.d337e18b50dbdp-9, 0x1.c3af3f467f1f3p-9, 0x1.b49e0752e41cbp-9, 0x1.a60111a2783acp-9, 0x1.97d5481e88d76p-9, 0x1.8a17a65b695b4p-9, 0x1.7cc5394cada8dp-9, 0x1.6fdb1ef9f1d7dp-9, 0x1.63568633fa538p-9, 0x1.5734ae4a74695p-9, 0x1.4b72e6c23070ap-9, 0x1.400e8f0c19191p-9, 0x1.3505163c999fap-9, 0x1.2a53fac38f102p-9, 0x1.1ff8ca2523b6cp-9, 0x1.15f120b3242a2p-9, 0x1.0c3aa946ec551p-9, 0x1.02d31cfc405ffp-9, 0x1.f37085d916ff2p-10, 0x1.e1cfdfd668982p-10, 0x1.d0c00c84abba6p-10, 0x1.c03ceae0dcb0ap-10, 0x1.b04273cd509c9p-10, 0x1.a0ccb98ff1c9ap-10, 0x1.91d7e7523d3b8p-10, 0x1.836040a263d8cp-10, 0x1.756220f635d2cp-10, 0x1.67d9fb2fa2405p-10, 0x1.5ac45922f253bp-10, 0x1.4e1ddb1e4d532p-10, 0x1.41e337731e744p-10, 0x1.36113a0103a82p-10, 0x1.2aa4c3c23fb65p-10, 0x1.1f9aca5a197cbp-10, 0x1.14f057a49b97dp-10, 0x1.0aa28947fb616p-10, 0x1.00ae9047c9d68p-10, 0x1.ee2361333747ep-11, 0x1.db928176ee189p-11, 0x1.c9a55297bc713p-11, 0x1.b856c946b1961p-11, 0x1.a7a1fcdf889cap-11, 0x1.978226a272969p-11, 0x1.87f2a0f12b5c5p-11, 0x1.78eee68ed5afep-11, 0x1.6a7291e3da318p-11, 0x1.5c795c44090aap-11, 0x1.4eff1d38a619ap-11, 0x1.41ffc9cd703fap-11, 0x1.357773e02ef2ep-11, 0x1.29624974279d6p-11, 0x1.1dbc94083bedap-11, 0x1.1282b7f02e85dp-11, 0x1.07b133b0f1e39p-11, 0x1.fa893ebfb6721p-12, 0x1.e6735809fae39p-12, 0x1.d31a46005a522p-12, 0x1.c077cae31fc11p-12, 0x1.ae85d748544bp-12, 0x1.9d3e88f7f7c82p-12, 0x1.8c9c29cd73ebep-12, 0x1.7c992e9e67218p-12, 0x1.6d30362787745p-12, 0x1.5e5c07fe92e73p-12, 0x1.501793897dde5p-12, 0x1.425deefb5f0ffp-12, 0x1.352a5656c041ep-12, 0x1.28782a7488459p-12, 0x1.1c42f010c9a86p-12, 0x1.10864edbb3bc9p-12, 0x1.053e10909646ep-12, 0x1.f4cc4021973cap-13, 0x1.dff51108e02cdp-13, 0x1.cbeee8fee0e44p-13, 0x1.b8b25a55ea782p-13, 0x1.a63832e888f9p-13, 0x1.94797a7eb9b1dp-13, 0x1.836f713e07d53p-13, 0x1.73138e214f55p-13, 0x1.635f7d78d5882p-13, 0x1.544d1f748696dp-13, 0x1.45d686b5510edp-13, 0x1.37f5f6e7929fdp-13, 0x1.2aa5e3656bdb8p-13, 0x1.1de0ede1a2831p-13, 0x1.11a1e519603c5p-13, 0x1.05e3c38eaea9ap-13, 0x1.f5435c954c914p-14, 0x1.dfade74c56b73p-14, 0x1.cafe1436404e9p-14, 0x1.b72b1e397019p-14, 0x1.a42c8beb89e95p-14, 0x1.91fa2d5efa45bp-14, 0x1.808c19fc957dp-14, 0x1.6fdaae6b4d09ep-14, 0x1.5fde8a84b3386p-14, 0x1.50908f56adcbp-14, 0x1.41e9dd320889ap-14, 0x1.33e3d1c4b6346p-14, 0x1.26780641d6579p-14, 0x1.19a04d94242b7p-14, 0x1.0d56b29d2fc12p-14, 0x1.0195767f7a30dp-14, 0x1.ecae1de7f3d4ap-15, 0x1.d72c4956554a5p-15, 0x1.c29b236f7c733p-15, 0x1.aef0c00bcb05fp-15, 0x1.9c238fb639a43p-15, 0x1.8a2a5cc10074cp-15, 0x1.78fc486ff41a4p-15, 0x1.6890c8341d4f4p-15, 0x1.58dfa2fba2b49p-15, 0x1.49e0ee946454bp-15, 0x1.3b8d0d20d4d7fp-15, 0x1.2ddcaa9ccb451p-15, 0x1.20c8ba75e51f1p-15, 0x1.144a7534b14dcp-15, 0x1.085b56352984fp-15, 0x1.f9ea32e29ed71p-16, 0x1.e42372b3f5cf6p-16, 0x1.cf56d9817b2fdp-16, 0x1.bb79499cb4613p-16, 0x1.a88016171665cp-16, 0x1.9660feebe67d1p-16, 0x1.85122d45ecf54p-16, 0x1.748a2fe655696p-16, 0x1.64bff79e37b26p-16, 0x1.55aad3e86921ap-16, 0x1.47426f9c2d75bp-16, 0x1.397ecdb54f11cp-16, 0x1.2c584639c318p-16, 0x1.1fc78334663aep-16, 0x1.13c57dc6081fap-16, 0x1.084b7b4e93ec6p-16, 0x1.faa6155a2ab7dp-17, 0x1.e5ac032432d23p-17, 0x1.d19cf3d3c0fcdp-17, 0x1.be6d9eb707c8cp-17, 0x1.ac1339b457b05p-17, 0x1.9a83749129f58p-17, 0x1.89b47465f6bf3p-17, 0x1.799ccf2ffb425p-17, 0x1.6a33878cd68eep-17, 0x1.5b7008938ef0bp-17, 0x1.4d4a21d2b1a88p-17, 0x1.3fba0372f8679p-17, 0x1.32b83a6ef6f01p-17, 0x1.263dacf6a7079p-17, 0x1.1a4396e926dfbp-17, 0x1.0ec3866e1f178p-17, 0x1.03b758af9cfaap-17, 0x1.f2326d58089cp-18, 0x1.ddc72446bba97p-18, 0x1.ca22453fb6b35p-18, 0x1.b739c52f9a98ap-18, 0x1.a5041954a06e9p-18, 0x1.937831e437a11p-18, 0x1.828d74defd145p-18, 0x1.723bb91af33b2p-18, 0x1.627b416fa3adp-18, 0x1.5344b81464c9cp-18, 0x1.44912a219b416p-18, 0x1.365a034556aa1p-18, 0x1.289909923b257p-18, 0x1.1b4859844ad8dp-18, 0x1.0e62621ec608ap-18, 0x1.01e1e1325f9d1p-18, 0x1.eb83bf835417ap-19, 0x1.d3fb5d20e17e6p-19, 0x1.bd21c5a14a09p-19, 0x1.a6eea5d26a59p-19, 0x1.915a26c19d056p-19, 0x1.7c5ce7d847904p-19, 0x1.67eff91a2b648p-19, 0x1.540cd5abd6496p-19, 0x1.40ad5e8c0d54ap-19, 0x1.2dcbd582ce79ep-19, 0x1.1b62d83cf2665p-19, 0x1.096d5ba5e9263p-19, 0x1.efcd4ecfe0658p-20, 0x1.cd94a334b93c2p-20, 0x1.ac28753de27a7p-20, 0x1.8b811256d4f48p-20, 0x1.6b974cf2ac083p-20, 0x1.4c647549673dp-20, 0x1.2de2524cc7036p-20, 0x1.100b1b09532bp-20, 0x1.e5b2e05fd383ep-21, 0x1.ac90abfc43f71p-21, 0x1.74a65cb6d1609p-21, 0x1.3deb667076818p-21, 0x1.0857e2672fa67p-21, 0x1.a7c90a10c4ed2p-22, 0x1.4115282ce8e7bp-22, 0x1.b90f7555caff6p-23, 0x1.e8556d6f99c34p-24, 0x1.9b3911bb1d23cp-26, -0x1.129d006863a39p-24, -0x1.4207cd7f3edf9p-23, -0x1.f6d4e4c47921p-23, -0x1.53e241c89a528p-22, -0x1.aa720ffddc3cp-22, -0x1.ff20011710d7fp-22, -0x1.28f8d718ad879p-21, -0x1.5176185f7c65cp-21, -0x1.790a16bd38df8p-21, -0x1.9fb6ef42ab6dfp-21, -0x1.c57e8e8ed0defp-21, -0x1.ea62b55e37e37p-21, -0x1.07327e77514cp-20, -0x1.18c36d83b1209p-20, -0x1.29e4d2f25c388p-20, -0x1.3a974be6820d4p-20, -0x1.4adb6940856adp-20, -0x1.5ab1b13c578e3p-20, -0x1.6a1aa0fa81e97p-20, -0x1.7916ade128bd2p-20, -0x1.87a646f6aad9ep-20, -0x1.95c9d61f1cd3fp-20, -0x1.a381c1429996p-20, -0x1.b0ce6b6ccaa76p-20, -0x1.bdb035c482a44p-20, -0x1.ca278081af705p-20, -0x1.d634abc99e738p-20, -0x1.e1d8187bcf78cp-20, -0x1.ed1228f3fe4d7p-20, -0x1.f7e341b4ff71ep-20, -0x1.0125e505c311fp-19, -0x1.0626164f8aff9p-19, -0x1.0af26bfa5c1d6p-19, -0x1.0f8b1f759777p-19, -0x1.13f06c94176f8p-19, -0x1.182291bbdb6dap-19, -0x1.1c21d011952fdp-19, -0x1.1fee6b9f96a6bp-19, -0x1.2388ab75bc229p-19, -0x1.26f0d9c9fffbfp-19, -0x1.2a27440d4b611p-19, -0x1.2d2c3b0305d82p-19, -0x1.300012cda679cp-19, -0x1.32a322ff9e504p-19, -0x1.3515c6a4a9291p-19, -0x1.37585c4641d24p-19, -0x1.396b45f212345p-19, -0x1.3b4ee938156f6p-19, -0x1.3d03af28ce257p-19, -0x1.3e8a045170c3ep-19, -0x1.3fe258b580188p-19, -0x1.410d1fc449d23p-19, -0x1.420ad04f44fbap-19, -0x1.42dbe47c1d13ap-19, -0x1.4380d9b6aebc9p-19, -0x1.43fa30a0a3ad9p-19, -0x1.44486d0050fbbp-19, -0x1.446c15ae10473p-19, -0x1.4465b47dd19b2p-19, -0x1.4435d62af011bp-19, -0x1.43dd0a406006bp-19, -0x1.435be3052ca2fp-19, -0x1.42b2f55f34c0dp-19, -0x1.41e2d8bf7aedp-19, -0x1.40ec27041bfdep-19, -0x1.3fcf7c5fc3136p-19, -0x1.3e8d773fb4ba8p-19, -0x1.3d26b8301ababp-19, -0x1.3b9be1c0d3e5fp-19, -0x1.39ed9868836c9p-19, -0x1.381c8269e824fp-19, -0x1.362947b7b22cbp-19, -0x1.341491d77a998p-19, -0x1.31df0bc6fe824p-19, -0x1.2f8961df24858p-19, -0x1.2d1441b7ddf25p-19, -0x1.2a805a0b37d63p-19, -0x1.27ce5a9a634bbp-19, -0x1.24fef4101d0ddp-19, -0x1.2212d7e800092p-19, -0x1.1f0ab85096774p-19, -0x1.1be74812c6f42p-19, -0x1.18a93a74e3d1dp-19, -0x1.155143209c4a9p-19, -0x1.11e016096dac8p-19, -0x1.0e56675418812p-19, -0x1.0ab4eb3aaeac8p-19, -0x1.06fc55f5859f4p-19, -0x1.032d5ba1e24e9p-19, -0x1.fe916054c7dcdp-20, -0x1.f69e0e5fbbda2p-20, -0x1.ee8227e390e2p-20, -0x1.e63f1272ebc53p-20, -0x1.ddd6328246643p-20, -0x1.d548eb4279afp-20, -0x1.cc989e73d952ep-20, -0x1.c3c6ac3cb14p-20, -0x1.bad473047924p-20, -0x1.b1c34f4a74864p-20, -0x1.a8949b829d858p-20, -0x1.9f49aff01204ep-20, -0x1.95e3e2818fbbcp-20, -0x1.8c6486b1738c9p-20, -0x1.82cced602ec3ep-20, -0x1.791e64bb5bfafp-20, -0x1.6f5a381811c0ap-20, -0x1.6581afd938192p-20, -0x1.5b961152561a6p-20, -0x1.51989ea915cbcp-20, -0x1.478a96bff6d47p-20, -0x1.3d6d351bb1deap-20, -0x1.3341b1c8ad459p-20, -0x1.290941478ac5p-20, -0x1.1ec51474a66d7p-20, -0x1.147658728c37dp-20, -0x1.0a1e369a56584p-20, -0x1.ff7ba8c7d88dp-21, -0x1.eaaca6ad32a77p-21, -0x1.d5d1a1f0fb365p-21, -0x1.c0eccd7b10d9ap-21, -0x1.ac0053f4b074ep-21, -0x1.970e57aa892ccp-21, -0x1.8218f2741ceaep-21, -0x1.6d22359aa9365p-21, -0x1.582c29c5b3f68p-21, -0x1.4338cee2c6d17p-21, -0x1.2e4a1c157fac1p-21, -0x1.1961ffa75589ap-21, -0x1.04825ef36bafap-21, -0x1.df5a2cbb74edap-22, -0x1.b5c7f29643618p-22, -0x1.8c51a419489b4p-22, -0x1.62fac3c10f56bp-22, -0x1.39c6c1d02d104p-22, -0x1.10b8fc356dc8dp-22, -0x1.cfa97d3b99481p-23, -0x1.7e3a84b235cfdp-23, -0x1.2d2b5cc3ef797p-23, -0x1.b9045d4b8ae85p-24, -0x1.1889fdd451f02p-24, -0x1.e3cd6bcfc2471p-26, 0x1.2da0a602d177fp-27, 0x1.86c2475129f6ep-25, 0x1.6008ecfea1ea2p-24, 0x1.fba0d496b572ep-24, 0x1.4b0f4360c6755p-23, 0x1.97bbfbee1d73fp-23, 0x1.e3d1b1fb66a5dp-23, 0x1.17a5d3acba891p-22, 0x1.3d12a0ae0b652p-22, 0x1.622d04536a55p-22, 0x1.86f2d4841ec93p-22, 0x1.ab61f892d6edep-22, 0x1.cf786927fc454p-22, 0x1.f334301c4eb76p-22, 0x1.0b49b42c95b23p-21, 0x1.1cca1ede0304cp-21, 0x1.2e1a76710c90bp-21, 0x1.3f39e18933bdap-21, 0x1.50278f068b6bp-21, 0x1.60e2b5f2fcefap-21, 0x1.716a956ffcef2p-21, 0x1.81be749d2f04ep-21, 0x1.91dda283683acp-21, 0x1.a1c77602d0ef5p-21, 0x1.b17b4db4f1372p-21, 0x1.c0f88fda8c33fp-21, 0x1.d03eaa449ef52p-21, 0x1.df4d123a59f71p-21, 0x1.ee23445f5b32bp-21, 0x1.fcc0c4a07c97fp-21, 0x1.05928f0afd217p-20, 0x1.0ca7f175565c3p-20, 0x1.13a05623a015dp-20, 0x1.1a7b8d196601bp-20, 0x1.213969bd3e596p-20, 0x1.27d9c2cde52c9p-20, 0x1.2e5c7251780d8p-20, 0x1.34c1558a74539p-20, 0x1.3b084ceacdae2p-20, 0x1.41313c05f12b5p-20, 0x1.473c098207b4bp-20, 0x1.4d289f0d3f429p-20, 0x1.52f6e94de9a85p-20, 0x1.58a6d7d678962p-20, 0x1.5e385d16c94eap-20, 0x1.63ab6e5040f0bp-20, 0x1.69000386c652p-20, 0x1.6e361772859c6p-20, 0x1.734da774a5ee3p-20, 0x1.7846b3892655p-20, 0x1.7d213e3785cc8p-20, 0x1.81dd4c87fe9c2p-20, 0x1.867ae5f4015f4p-20, 0x1.8afa145a0e7p-20, 0x1.8f5ae3ef2e946p-20, 0x1.939d6333e5b92p-20, 0x1.97c1a2e450971p-20, 0x1.9bc7b5ec33271p-20, 0x1.9fafb15ac7ac4p-20, 0x1.a379ac546209dp-20, 0x1.a725c0052b40fp-20, 0x1.aab407961fb35p-20, 0x1.ae24a01edbfa3p-20, 0x1.b177a898e3e5p-20, 0x1.b4ad41d4a1e37p-20, 0x1.b7c58e6aa60cbp-20, 0x1.bac0b2b0aec28p-20, 0x1.bd9ed4ad2a7c9p-20, 0x1.c0601c0b81092p-20, 0x1.c304b20e968cep-20, 0x1.c58cc186036afp-20, 0x1.c7f876c250d66p-20, 0x1.ca47ff89343cdp-20, 0x1.cc7b8b0906b2p-20, 0x1.ce9349ce085eep-20, 0x1.d08f6db780338p-20, 0x1.d27029ebb90fdp-20, 0x1.d435b2cdc08f7p-20, 0x1.d5e03df13051p-20, 0x1.d7700210da427p-20, 0x1.d8e53702ca666p-20, 0x1.da4015aeb3b7ap-20, 0x1.db80d80378c56p-20, 0x1.dca7b8ec00747p-20, 0x1.ddb4f445d34f1p-20, 0x1.dea8c6d787414p-20, 0x1.df836e4603084p-20, 0x1.e045290b0225p-20, 0x1.e0ee366b840dep-20, 0x1.e17ed66f09c05p-20, 0x1.e1f749d5bd772p-20, 0x1.e257d20f4751cp-20, 0x1.e2a0b13219e22p-20, 0x1.e2d229f1f994dp-20, 0x1.e2ec7f9821ff3p-20, 0x1.e2eff5fa1025cp-20, 0x1.e2dcd171c24e9p-20, 0x1.e2b356d521629p-20, 0x1.e273cb6d6114dp-20, 0x1.e21e74efb8c3dp-20, 0x1.e1b399756bf4dp-20, 0x1.e1337f73ba99p-20, 0x1.e09e6db4cef76p-20, 0x1.dff4ab504e335p-20, 0x1.df367fa3d09dbp-20, 0x1.de64324b76d7dp-20, 0x1.dd7e0b1bbc05p-20, 0x1.dc84521a54b6fp-20, 0x1.db774f76d8d21p-20, 0x1.da574b84be18bp-20, 0x1.d9248eb59ece3p-20, 0x1.d7df6191e273ap-20, 0x1.d6880cb2dc10dp-20, 0x1.d51ed8bc96a19p-20, 0x1.d3a40e5848af8p-20, 0x1.d217f62e6cd72p-20, 0x1.d07ad8e18d00fp-20, 0x1.ceccff085e5bap-20, 0x1.cd0eb1284d2c9p-20, 0x1.cb4037b02b35ap-20, 0x1.c961daf34706p-20, 0x1.c773e3250a2fbp-20, 0x1.c5769853051d7p-20, 0x1.c36a42607f728p-20, 0x1.c14f290280512p-20, 0x1.bf2593bb3f98bp-20, 0x1.bcedc9d4e2225p-20, 0x1.baa8125ddf69fp-20, 0x1.b854b4247d2d8p-20, 0x1.b5f3f5b3363d5p-20, 0x1.b3861d4ce680bp-20, 0x1.b10b70e8c7b51p-20, 0x1.ae84362e8f9c4p-20, 0x1.abf0b272f83dp-20, 0x1.a9512ab45bbc4p-20, 0x1.a6a5e39761822p-20, 0x1.a3ef216388c86p-20, 0x1.a12d280020afbp-20, 0x1.9e603af1c29d3p-20, 0x1.9b889d56ab34fp-20, 0x1.98a691e413488p-20, 0x1.95ba5ae33124fp-20, 0x1.92c43a2f13c8dp-20, 0x1.8fc471317614ep-20, 0x1.8cbb40e104132p-20, 0x1.89a8e9bed1de9p-20, 0x1.868dabd39ea96p-20, 0x1.8369c6adc4b31p-20, 0x1.803d795f5e47cp-20, 0x1.7d09027c2b55ap-20, 0x1.79cca017692dcp-20, 0x1.76888fc1ed222p-20, 0x1.733d0e8908e7ep-20, 0x1.6fea58f4a40e7p-20, 0x1.6c90ab0554504p-20, 0x1.693040328cf1ep-20, 0x1.65c95369c28dp-20, 0x1.625c1f0c5c2dep-20, 0x1.5ee8dcef412f6p-20, 0x1.5b6fc659ae9ffp-20, 0x1.57f11403229b3p-20, 0x1.546cfe1295fc6p-20, 0x1.50e3bc1dbf4a7p-20, 0x1.4d558528073d3p-20, 0x1.49c28fa1adafap-20, 0x1.462b1166bf4cbp-20, 0x1.428f3fbe35e47p-20, 0x1.3eef4f59d6fccp-20, 0x1.3b4b7455a977ep-20, 0x1.37a3e236812f4p-20, 0x1.33f8cbea04b78p-20, 0x1.304a63c5fbd39p-20, 0x1.2c98db87d78d6p-20, 0x1.28e46454fbff5p-20, 0x1.252d2eb9d9be9p-20, 0x1.21736aaa10719p-20, 0x1.1db7477fda16p-20, 0x1.19f8f3fbd0343p-20, 0x1.16389e4532333p-20, 0x1.127673e9af28cp-20, 0x1.0eb2a1dd65d94p-20, 0x1.0aed547ae7b76p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      17, 0x1.2ae147ae147aep+2, -0x1.04476717b71f8p+1, 0x1p+0, 0x1p+0, 
      {{
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.61c240ca9b8fcp-6, -0x1.4d8097a1397f2p-5, -0x1.53139ef76e3b8p-5, 0x1.9894408a90dc9p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3eeadfb6c1e0cp-6, -0x1.694802b7e3a07p-5, -0x1.b1017d9bb8c06p-6, 0x1.8ee6806298a44p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.19e80222e05c6p-6, -0x1.78f2b5272803ep-5, -0x1.8354c78ded859p-7, 0x1.8559a11206b3fp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.e7d80e8d542a1p-7, -0x1.7cca85ce462c3p-5, 0x1.3f8e4d5203a85p-9, 0x1.8093bba4806abp-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.9c45220afa4b3p-7, -0x1.750675115fbe5p-5, 0x1.0eb0d3d9c0b41p-6, 0x1.594f04892e598p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.535d1feac6e05p-7, -0x1.624fa1728236ap-5, 0x1.dde03cf8dc82ap-6, 0x1.0f6834115ae47p-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.0f298f5835726p-7, -0x1.46589d9e201p-5, 0x1.405c2e1b3cba6p-5, 0x1.956469117e615p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.a2994c30731f9p-8, -0x1.23450b6b4533dp-5, 0x1.7d2b3ddddc7bep-5, 0x1.093202ab11b5ep-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.35fac12e807abp-8, -0x1.f653e40652862p-6, 0x1.a4f2be445257p-5, 0x1.f6de5eec1edefp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.b41e07a4bfeecp-9, -0x1.a04096934ae6cp-6, 0x1.b7ce4839f9e5bp-5, -0x1.bb8b372ae2a1cp-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.1f2e4f25a3179p-9, -0x1.487fc1cbc1e8ep-6, 0x1.b5ba07916009p-5, -0x1.3384592587a37p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.59f734d620893p-10, -0x1.e6852adca5d46p-7, 0x1.9ea9b414f5dc5p-5, -0x1.2446f353a5ec8p-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.6eb916794cebp-11, -0x1.496c5fe392b4bp-7, 0x1.72d242c869c5dp-5, -0x1.b3fe0911a1207p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.3e0e3c34ed1a1p-12, -0x1.845961ef8da9dp-8, 0x1.316c27d2919adp-5, -0x1.18267779e4602p-4}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.80963120e24p-14, -0x1.634225f3217eap-9, 0x1.bac13b28cd631p-6, -0x1.7a8522a40f9e9p-4}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.98afa88d066p-17, -0x1.6f98f1810dfcbp-11, 0x1.af49198cbb3cep-7, -0x1.45e625e743cbp-4}, 
        {0x1.299999999999ap+2, 0x1.2ae147ae147aep+2, 0x1.5f54ed0cb4d8p-24, 0x1.331592d29ab8p-16, 0x1.41a760868217fp-10, -0x1.1f28b7786a32cp-1}, 
      }}, 
      0x1.19668771a1bbbp+5, -0x1.44f923ab0273ep+9
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.388a627be32dcp-1, -0x1.333a374d63906p-1, -0x1.2a9bb4837cf27p-1, -0x1.1ef93c65be0eap-1, -0x1.10a915b057dafp-1, -0x1.0007192f55534p-1, -0x1.dae07fb93e0fbp-2, -0x1.b27f10ace8147p-2, -0x1.8797a413b53d8p-2, -0x1.5accde199bd95p-2, -0x1.2cb4845e3d168p-2, -0x1.fbad1ee4334cfp-3, -0x1.9d59b5a06092p-3, -0x1.3f4690bf60744p-3, -0x1.c460d74fd88d3p-4, -0x1.0d74aa6be29bdp-4, -0x1.6b7aaa8428053p-6, 0x1.49de139140fe4p-6, 0x1.f399c113d8a9bp-5, 0x1.9a85363ba6c0fp-4, 0x1.1a12b09c0babap-3, 0x1.6327d81fde79fp-3, 0x1.a860415500c0cp-3, 0x1.e9a58c94fcc28p-3, 0x1.1375a928e738bp-2, 0x1.3016e7596f70dp-2, 0x1.4ab85621ca5a2p-2, 0x1.635ef69168f79p-2, 0x1.7a1279fb53867p-2, 0x1.8edcd43c55036p-2, 0x1.a1c9dac4bba77p-2, 0x1.b2e6ef1e0ddbdp-2, 0x1.c242b36dc6b43p-2, 0x1.cfecc7ab69a9ap-2, 0x1.dbf58e77e93p-2, 0x1.e66df8c0eed04p-2, 0x1.ef67578acbe43p-2, 0x1.f6f33361981fep-2, 0x1.fd232907c8babp-2, 0x1.0104657d2c6adp-1, 0x1.02dac3aca9f47p-1, 0x1.041d48de360d8p-1, 0x1.04d4683eee25ap-1, 0x1.0508668898cb4p-1, 0x1.04c153851cbf5p-1, 0x1.040704c3275fp-1, 0x1.02e1115a8a56cp-1, 0x1.0156cea2dbf17p-1, 0x1.fede9b8335676p-2, 0x1.fa62b3ed151bbp-2, 0x1.f546ef2657ea8p-2, 0x1.ef97c707fa12p-2, 0x1.e96126b44bc75p-2, 0x1.e2ae6b8d0e4efp-2, 0x1.db8a66ee5f58p-2, 0x1.d3ff60798ad1fp-2, 0x1.cc1718f9699ddp-2, 0x1.c3dacdbe1e515p-2, 0x1.bb533c204849bp-2, 0x1.b288a5a0178a2p-2, 0x1.a982d3e64b2f1p-2, 0x1.a0491d154aa6ep-2, 0x1.96e268572d77ap-2, 0x1.8d553215e04e6p-2, 0x1.83a790b830e7p-2, 0x1.79df38f11513ep-2, 0x1.70018247a5858p-2, 0x1.66136b67a8845p-2, 0x1.5c199e76e7477p-2, 0x1.5218753406031p-2, 0x1.4813fd2053ad5p-2, 0x1.3e0ffb5ac23f1p-2, 0x1.340ff0791c283p-2, 0x1.2a171c33e11eep-2, 0x1.202880e97c46cp-2, 0x1.1646e6f6e6399p-2, 0x1.0c74dffbf57dfp-2, 0x1.02b4c9dc434cbp-2, 0x1.f211a371fb528p-3, 0x1.dee5ed5b7006bp-3, 0x1.cbea18f0e38a2p-3, 0x1.b9217beeb7c4ep-3, 0x1.a68f1f186a95fp-3, 0x1.9435c2ba2c178p-3, 0x1.8217e2f158066p-3, 0x1.7037bbc2e1e38p-3, 0x1.5e974cf3269b8p-3, 0x1.4d385db896f5dp-3, 0x1.3c1c80358b85bp-3, 0x1.2b4514cda3119p-3, 0x1.1ab34d45feb3dp-3, 0x1.0a682fcd44bcp-3, 0x1.f4c933942dfafp-4, 0x1.d552852380ea3p-4, 0x1.b66d7bec6fc37p-4, 0x1.981afd5896ee2p-4, 0x1.7a5bb130e408ep-4, 0x1.5d3005df1b834p-4, 0x1.40983481f51fap-4, 0x1.249444b86d68bp-4, 0x1.0924102f404adp-4, 0x1.dc8e8bffee8edp-5, 0x1.a7fadba6667a2p-5, 0x1.748bd593848cp-5, 0x1.423ffc932495fp-5, 0x1.111595135f414p-5, 0x1.c21553feb2a29p-6, 0x1.643a22a9f3e8bp-6, 0x1.0894e0c52b3c9p-6, 0x1.5e40ff39b6b0ap-7, 0x1.5f5e7b28f1b0bp-8, 0x1.5a49af8bccafdp-13, -0x1.413a45c2616e4p-8, -0x1.426ff7bde65f9p-7, -0x1.e01c1edeb27fcp-7, -0x1.3cd7617708b8ep-6, -0x1.879ab3991beb2p-6, -0x1.d05eee80e1e99p-6, -0x1.0b958eb34c5adp-5, -0x1.2e0334ad69724p-5, -0x1.4f7c0a61e25b3p-5, -0x1.7003bbce11c69p-5, -0x1.8f9dfdd8f8236p-5, -0x1.ae4e8c3b5bc0ap-5, -0x1.cc19283a51bf7p-5, -0x1.e90196ae3fc82p-5, -0x1.0285cf6d12132p-4, -0x1.101d84577a96p-4, -0x1.1d49cdef6ad84p-4, -0x1.2a0c8f356efcfp-4, -0x1.3667a9afd5a63p-4, -0x1.425cfd1d7e7afp-4, -0x1.4dee66ccf3e6ap-4, -0x1.591dc1224c8d6p-4, -0x1.63ece363ee634p-4, -0x1.6e5da11b8b0e8p-4, -0x1.7871c9e9da51p-4, -0x1.822b290e683ep-4, -0x1.8b8b855816e48p-4, -0x1.9494a0a04e6bap-4, -0x1.9d4837bb6188dp-4, -0x1.a5a8023ea625dp-4, -0x1.adb5b230f771p-4, -0x1.b572f414405cbp-4, -0x1.bce16e975de1cp-4, -0x1.c402c286804b2p-4, -0x1.cad88aaf87a25p-4, -0x1.d1645bcb03942p-4, -0x1.d7a7c47d0a113p-4, -0x1.dda44d1f4c794p-4, -0x1.e35b77cdd6f5p-4, -0x1.e8cec0744cb78p-4, -0x1.edff9cb6df176p-4, -0x1.f2ef7be95789bp-4, -0x1.f79fc6fbf97c3p-4, -0x1.fc11e0d92e3e5p-4, -0x1.002393131b8a7p-3, -0x1.022076a245a81p-3, -0x1.0400433149feep-3, -0x1.05c39ddbc279p-3, -0x1.076b28c95a8eep-3, -0x1.08f7830df0059p-3, -0x1.0a6948c8de6a2p-3, -0x1.0bc1133169fap-3, -0x1.0cff78b9d7164p-3, -0x1.0e250cfb90c2ap-3, -0x1.0f3260af085f2p-3, -0x1.102801cbf4ca1p-3, -0x1.11067bafb7211p-3, -0x1.11ce5725e81a3p-3, -0x1.12801a44157f7p-3, -0x1.131c488bf24bbp-3, -0x1.13a362fd179bcp-3, -0x1.1415e8438a96fp-3, -0x1.147454aa9fd8bp-3, -0x1.14bf220efdab7p-3, -0x1.14f6c7efb254bp-3, -0x1.151bbb98040c5p-3, -0x1.152e703820fa9p-3, -0x1.152f56e3aa44p-3, -0x1.151ede760343bp-3, -0x1.14fd73b993f5ep-3, -0x1.14cb81753ae15p-3, -0x1.14897096411ebp-3, -0x1.1437a8293f507p-3, -0x1.13d68d4de8625p-3, -0x1.13668341ce3b9p-3, -0x1.12e7eb727feccp-3, -0x1.125b25b2166e7p-3, -0x1.11c090236148ep-3, -0x1.11188749f41cap-3, -0x1.106365f474c85p-3, -0x1.0fa1854fe82cbp-3, -0x1.0ed33d145b55ap-3, -0x1.0df8e3864515p-3, -0x1.0d12cd7f6447cp-3, -0x1.0c214e61703aep-3, -0x1.0b24b8174ba75p-3, -0x1.0a1d5b2a46d64p-3, -0x1.090b86dcc17b7p-3, -0x1.07ef8935c525ap-3, -0x1.06c9aefae2438p-3, -0x1.059a43a7501b9p-3, -0x1.0461916fccff3p-3, -0x1.031fe15785d5bp-3, -0x1.01d57b3f9b4e4p-3, -0x1.0082a5f4ccf5cp-3, -0x1.fe4f4e5758bc3p-4, -0x1.fb8986e6647bep-4, -0x1.f8b47c7760438p-4, -0x1.f5d0b3c410b08p-4, -0x1.f2deaf8201e01p-4, -0x1.efdef0757d1e1p-4, -0x1.ecd1f56f05054p-4, -0x1.e9b83b3e5c17ep-4, -0x1.e6923cad9925dp-4, -0x1.e360728ef7543p-4, -0x1.e02353d6b04b4p-4, -0x1.dcdb55b07b0cdp-4, -0x1.d988eb85125d4p-4, -0x1.d62c86f631619p-4, -0x1.d2c697cd8fcbep-4, -0x1.cf578c025a322p-4, -0x1.cbdfcfcd77cp-4, -0x1.c85fcdaec6bd1p-4, -0x1.c4d7ee866d82dp-4, -0x1.c1489992488a7p-4, -0x1.bdb234679d383p-4, -0x1.ba1522ec3aa4p-4, -0x1.b671c7577df62p-4, -0x1.b2c8823cc0e62p-4, -0x1.af19b2999c1b9p-4, -0x1.ab65b5e03b48dp-4, -0x1.a7ace7f979402p-4, -0x1.a3efa3407140cp-4, -0x1.a02e407ce371dp-4, -0x1.9c6916e2719bfp-4, -0x1.98a07c16a16c6p-4, -0x1.94d4c43a5d747p-4, -0x1.910641f7649c9p-4, -0x1.8d3546782f248p-4, -0x1.89622176ccb57p-4, -0x1.858d212f364dfp-4, -0x1.81b6925bd715fp-4, -0x1.7ddec040a3652p-4, -0x1.7a05f4a168cbp-4, -0x1.762c77de18c28p-4, -0x1.725290e5cffeap-4, -0x1.6e788542b2d3cp-4, -0x1.6a9e9917194cap-4, -0x1.66c50f1b1334fp-4, -0x1.62ec289b1ca9dp-4, -0x1.5f14257bf2835p-4, -0x1.5b3d443de813fp-4, -0x1.5767c203467bbp-4, -0x1.5393da94917bbp-4, -0x1.4fc1c863155cbp-4, -0x1.4bf1c48944597p-4, -0x1.482406ca02d3cp-4, -0x1.4458c5909914dp-4, -0x1.409035f24c7e9p-4, -0x1.3cca8bb50867dp-4, -0x1.3907f94c878d8p-4, -0x1.3548afe6591f5p-4, -0x1.318cdf6cb126p-4, -0x1.2dd4b67f91092p-4, -0x1.2a206280c4b0fp-4, -0x1.26700f8d72aa6p-4, -0x1.22c3e88263cafp-4, -0x1.1f1c16fe0401p-4, -0x1.1b78c3650cd5ep-4, -0x1.17da14e58bd69p-4, -0x1.1440317b49882p-4, -0x1.10ab3df2f21e5p-4, -0x1.0d1b5dec5e3f1p-4, -0x1.0990b3dc3ace5p-4, -0x1.060b610dec2fep-4, -0x1.028b85a66340ep-4, -0x1.fe22814da4f2bp-5, -0x1.f7395fe18bc7ap-5, -0x1.f05be09390687p-5, -0x1.e98a3abe53a57p-5, -0x1.e2c4a393ff561p-5, -0x1.dc0b4e23b9c28p-5, -0x1.d55e6b5f89a3ep-5, -0x1.cebe2a21b038ep-5, -0x1.c82ab73181dfbp-5, -0x1.c1a43d4e5f8e9p-5, -0x1.bb2ae52ce09f6p-5, -0x1.b4bed58b528f8p-5, -0x1.ae60333461d0ep-5, -0x1.a80f2102ba4e2p-5, -0x1.a1cbbfee8300fp-5, -0x1.9b962f1182c0ep-5, -0x1.956e8bae4ea5bp-5, -0x1.8f54f137369dfp-5, -0x1.89497954c7c3fp-5, -0x1.834c3bed4a447p-5, -0x1.7d5d4f2cc2db9p-5, -0x1.777cc78d1835cp-5, -0x1.71aab7de0d09dp-5, -0x1.6be7314ce4b2bp-5, -0x1.6632436c5e582p-5, -0x1.608bfc3c9cbc6p-5, -0x1.5af4683266905p-5, -0x1.556b923e63f67p-5, -0x1.4ff183d4663a4p-5, -0x1.4a8644f2dfbbdp-5, -0x1.4529dc2ab8635p-5, -0x1.3fdc4ea74923cp-5, -0x1.3a9da03648017p-5, -0x1.356dd34fd41dep-5, -0x1.304ce91e8e6dbp-5, -0x1.2b3ae18757a83p-5, -0x1.2637bb30bbe21p-5, -0x1.2143738a2257cp-5, -0x1.1c5e06d29c1c2p-5, -0x1.178770211c793p-5, -0x1.12bfa96b511e4p-5, -0x1.0e06ab89543bep-5, -0x1.095c6e48b2bc2p-5, -0x1.04c0e8683c8b7p-5, -0x1.00340fa681bbbp-5, -0x1.f76bb18e4413cp-6, -0x1.ee8c6f31ef2fap-6, -0x1.e5ca3df8c081dp-6, -0x1.dd2501d36faf6p-6, -0x1.d49c9cf0f2527p-6, -0x1.cc30efce4c4a7p-6, -0x1.c3e1d94797c86p-6, -0x1.bbaf36a8dcccdp-6, -0x1.b398e3bd14b29p-6, -0x1.ab9ebada2d4bcp-6, -0x1.a3c094e9df3cdp-6, -0x1.9bfe4970f1d4dp-6, -0x1.9457ae96e21ecp-6, -0x1.8ccc9930a9558p-6, -0x1.855cdcd02cccep-6, -0x1.7e084bd8314e2p-6, -0x1.76ceb79284ed8p-6, -0x1.6faff044bd106p-6, -0x1.68abc53fb02fep-6, -0x1.61c204e70b527p-6, -0x1.5af27cb13b86cp-6, -0x1.543cf922a84a5p-6, -0x1.4da145c9b026bp-6, -0x1.471f2d419c74bp-6, -0x1.40b67941030d3p-6, -0x1.3a66f2b4132b1p-6, -0x1.343061df58402p-6, -0x1.2e128e8312ac3p-6, -0x1.280d3ff633d71p-6, -0x1.22203d31823bfp-6, -0x1.1c4b4cc9e97b4p-6, -0x1.168e34d169fcp-6, -0x1.10e8bac296b4ep-6, -0x1.0b5aa3624ec31p-6, -0x1.05e3b2b9a98f3p-6, -0x1.0083ac2d03395p-6, -0x1.f674a553332b7p-7, -0x1.ec0ed1cbc55e8p-7, -0x1.e1d56346c15efp-7, -0x1.d7c7dfbef79adp-7, -0x1.cde5cdc7a999ap-7, -0x1.c42eb45d6f987p-7, -0x1.baa21a708bae4p-7, -0x1.b13f8648b4a55p-7, -0x1.a8067cf2162f6p-7, -0x1.9ef681e621569p-7, -0x1.960f1715e3c35p-7, -0x1.8d4fbd628c34dp-7, -0x1.84b7f57174f47p-7, -0x1.7c4740ac4405cp-7, -0x1.73fd222bf33ep-7, -0x1.6bd91f4c4d518p-7, -0x1.63dabfb7b3046p-7, -0x1.5c018cdbd352fp-7, -0x1.544d10e14f01cp-7, -0x1.4cbcd5658d10ap-7, -0x1.4550624ca6ff5p-7, -0x1.3e073d02265eep-7, -0x1.36e0e867c3a24p-7, -0x1.2fdce5883c958p-7, -0x1.28fab4f2cccb7p-7, -0x1.2239d8766d772p-7, -0x1.1b99d4d6c25fp-7, -0x1.151a330e28d6bp-7, -0x1.0eba80c4b7ec7p-7, -0x1.087a4fcf94613p-7, -0x1.025934c78de26p-7, -0x1.f8ad8a020c1dap-8, -0x1.ece528b839e3bp-8, -0x1.e15866e7c9e99p-8, -0x1.d6065d446982ap-8, -0x1.caee1c3f8266p-8, -0x1.c00eae7d459cap-8, -0x1.b5671d2be5511p-8, -0x1.aaf6753706667p-8, -0x1.a0bbcc4fb0185p-8, -0x1.96b644b4a8571p-8, -0x1.8ce50ec97e611p-8, -0x1.8347681114db4p-8, -0x1.79dc97a6ab967p-8, -0x1.70a3e8e56e566p-8, -0x1.679ca560eeedbp-8, -0x1.5ec60f7f6313ap-8, -0x1.561f5ee3dfd18p-8, -0x1.4da7bf6be7695p-8, -0x1.455e52f06363fp-8, -0x1.3d423565e9f99p-8, -0x1.355282894a28fp-8, -0x1.2d8e5bfeba1a3p-8, -0x1.25f4eebed24bdp-8, -0x1.1e8576d3a5f0dp-8, -0x1.173f40acf97d9p-8, -0x1.1021a7bc36954p-8, -0x1.092c1292e6203p-8, -0x1.025ded4088fd2p-8, -0x1.f76d462a0a2cdp-9, -0x1.ea6b321be4fa6p-9, -0x1.ddb4541957f5ap-9, -0x1.d1474b0b999c2p-9, -0x1.c522a169fe9ccp-9, -0x1.b944d3bc507d8p-9, -0x1.adac59921b325p-9, -0x1.a257af2f8cebbp-9, -0x1.97455e78f4135p-9, -0x1.8c74060d727e4p-9, -0x1.81e25dd0532d5p-9, -0x1.778f384c9b5e2p-9, -0x1.6d7980948cc22p-9, -0x1.63a034b6313d3p-9, -0x1.5a025d9491e8cp-9, -0x1.509f05bde8374p-9, -0x1.477531509ef05p-9, -0x1.3e83d8c84fc9p-9, -0x1.35c9e79d61792p-9, -0x1.2d463e49a7d0fp-9, -0x1.24f7b628379aap-9, -0x1.1cdd25625d8bdp-9, -0x1.14f561d0f1238p-9, -0x1.0d3f42f946edbp-9, -0x1.05b9a430cc8fbp-9, -0x1.fcc6cff9100f5p-10, -0x1.ee76f94a95ebcp-10, -0x1.e081c1749b7ap-10, -0x1.d2e54b1333716p-10, -0x1.c59fdc0dd00f6p-10, -0x1.b8afd4571a67fp-10, -0x1.ac13a12071196p-10, -0x1.9fc9b1d362e49p-10, -0x1.93d0730624a81p-10, -0x1.882650109fa1ep-10, -0x1.7cc9b7c88270cp-10, -0x1.71b91ec46ed6fp-10, -0x1.66f2fad78919ep-10, -0x1.5c75b7e61e514p-10, -0x1.523fab58a0989p-10, -0x1.484f0e08987fp-10, -0x1.3ea202787c9e7p-10, -0x1.3536a738861adp-10, -0x1.2c0b2ebbafbd6p-10, -0x1.231df29beae92p-10, -0x1.1a6d7a704dd79p-10, -0x1.11f874d375fb7p-10, -0x1.09bda84023ca9p-10, -0x1.01bbe4d4653d2p-10, -0x1.f3e3fc1ed7adcp-11, -0x1.e4bd9bbe1e333p-11, -0x1.d60278f71fcffp-11, -0x1.c7b08b44fe7dp-11, -0x1.b9c5e994dde76p-11, -0x1.ac40abf0402bdp-11, -0x1.9f1ebee670778p-11, -0x1.925dbb4357407p-11, -0x1.85fad868d8d75p-11, -0x1.79f305990b06bp-11, -0x1.6e4323f9d7d17p-11, -0x1.62e849b94d3cdp-11, -0x1.57dff165f6182p-11, -0x1.4d2802cf25a8ep-11, -0x1.42beb72274b7fp-11, -0x1.38a26c9f5605ep-11, -0x1.2ed18355ff58ep-11, -0x1.254a517ac7be5p-11, -0x1.1c0b2c8767677p-11, -0x1.131279ebe717bp-11, -0x1.0a5ebae345c6dp-11, -0x1.01ee8cb67ca3dp-11, -0x1.f38135d1509bp-12, -0x1.e3a7086d4fa3dp-12, -0x1.d44b73362233dp-12, -0x1.c56acb746d012p-12, -0x1.b700d87d84958p-12, -0x1.a9090f36ddf53p-12, -0x1.9b7ef8a7ce40ep-12, -0x1.8e5e99da99d9fp-12, -0x1.81a4b2011c562p-12, -0x1.754eb822535d2p-12, -0x1.695aa0ff988dep-12, -0x1.5dc6914f86973p-12, -0x1.5290a4cb10a6fp-12, -0x1.47b6da748cdf3p-12, -0x1.3d37183881484p-12, -0x1.330f31210b5f8p-12, -0x1.293ce7b5e74d7p-12, -0x1.1fbdef9de1d03p-12, -0x1.168feea9cece8p-12, -0x1.0db07cf6098c5p-12, -0x1.051d27f0c867cp-12, -0x1.f9a6f1557e462p-13, -0x1.e9a1edd7bd5d2p-13, -0x1.da264e8b57b2cp-13, -0x1.cb2f1a88afa7p-13, -0x1.bcb77264a1cedp-13, -0x1.aebabb145cb2p-13, -0x1.a134cc9a5e09cp-13, -0x1.942221369d896p-13, -0x1.877ff419771f4p-13, -0x1.7b4c2fd380ac3p-13, -0x1.6f85232036e45p-13, -0x1.6429149d0caf8p-13, -0x1.5935ded6a91f9p-13, -0x1.4ea8c4ea6a671p-13, -0x1.447e940033dbep-13, -0x1.3ab3dd3e21937p-13, -0x1.3144fe5200c4p-13, -0x1.282e064f39315p-13, -0x1.1f6acf478829cp-13, -0x1.16f76e5575e3bp-13, -0x1.0ed0b07c2bfe1p-13, -0x1.06f444d0d316cp-13, -0x1.fec0ef4564c19p-14, -0x1.f0276695f2763p-14, -0x1.e2181cd892013p-14, -0x1.d48e1a9c2f658p-14, -0x1.c78351d030285p-14, -0x1.baf17b94161bdp-14, -0x1.aed3a801b2f3ap-14, -0x1.a32762e1d03eap-14, -0x1.97ec36ca92653p-14, -0x1.8d21bc26cde3bp-14, -0x1.82c5c05a3fc43p-14, -0x1.78d40bebd480cp-14, -0x1.6f47c389c94ccp-14, -0x1.661cb7708f775p-14, -0x1.5d4f3c0a04eb7p-14, -0x1.54db266f02da9p-14, -0x1.4cbb624f2b029p-14, -0x1.44ea8552aaa34p-14, -0x1.3d63c910e1f85p-14, -0x1.3623d27176dbfp-14, -0x1.2f28ec9ee82d6p-14, -0x1.28728b65b70a8p-14, -0x1.220042514b0ep-14, -0x1.1bd0c931e200cp-14, -0x1.15e19beb1cb14p-14, -0x1.102f22264ed57p-14, -0x1.0ab5188b1f24bp-14, -0x1.056f96b5d7b4dp-14, -0x1.005ca33fd30e6p-14, -0x1.f6f9284b0bb58p-15, -0x1.eda02c0915b9cp-15, -0x1.e4ab8db2206fap-15, -0x1.dc14452aaaf68p-15, -0x1.d3d359e9ec695p-15, -0x1.cbe5186dcbf27p-15, -0x1.c447c57292297p-15, -0x1.bcf8c78d075bdp-15, -0x1.b5f3df100ebc3p-15, -0x1.af33fbd0bf5d1p-15, -0x1.a8b4060074434p-15, -0x1.a26f62debecdbp-15, -0x1.9c6292d5bce65p-15, -0x1.968baa91682d1p-15, -0x1.90ea137ad869ep-15, -0x1.8b7d857e5dcc5p-15, -0x1.8644e95b1e63ap-15, -0x1.813df7c4428bap-15, -0x1.7c65d58a9712ap-15, -0x1.77b9d81dd01f3p-15, -0x1.73373d6d1e5fap-15, -0x1.6edac4090168p-15, -0x1.6aa223d2f2a28p-15, -0x1.668d15af20e1dp-15, -0x1.629aeb0469cc7p-15, -0x1.5ec86289888bdp-15, -0x1.5b11bd4d7e153p-15, -0x1.5775c29434957p-15, -0x1.53f4da84799f3p-15, -0x1.508e79e037b59p-15, -0x1.4d40e4d2c957ep-15, -0x1.4a0a3b60fa286p-15, -0x1.46e8cdd13d885p-15, -0x1.43dad703422afp-15, -0x1.40de5c77cb156p-15, -0x1.3df183e3d8136p-15, -0x1.3b1323c6126c1p-15, -0x1.3842e3008f5eep-15, -0x1.3580af24ae756p-15, }}, 
      {{-0x1.39bc7d7b9486cp-1, -0x1.37f252a12cefdp-1, -0x1.3503918d4b6dp-1, -0x1.31009b681092ap-1, -0x1.2bfd10b078cfep-1, -0x1.260e882b7d795p-1, -0x1.1f4b984d6e1cep-1, -0x1.17cb2072845dcp-1, -0x1.0fa3c2d9ef567p-1, -0x1.06eb82e573173p-1, -0x1.fb6efd94b349cp-2, -0x1.e8377d3ceb371p-2, -0x1.d456286c27f07p-2, -0x1.bfee10c91410bp-2, -0x1.ab1fa50792f5fp-2, -0x1.9608b02322e8p-2, -0x1.80c46488c9c41p-2, -0x1.6b6b704e3f02ap-2, -0x1.561417e14156cp-2, -0x1.40d2552e96b2dp-2, -0x1.2bb7f9a640921p-2, -0x1.16d4d1d0a481cp-2, -0x1.0236c97224de6p-2, -0x1.dbd41edf212dp-3, -0x1.b3f271930edafp-3, -0x1.8cdac4949b8a8p-3, -0x1.669ca10ff4124p-3, -0x1.41451c22523c1p-3, -0x1.1cdf0f6504489p-3, -0x1.f2e69b4a83bd9p-4, -0x1.ae11a7cac43adp-4, -0x1.6b49edb829dbp-4, -0x1.2a971a33c095ep-4, -0x1.d7fc57e9a431fp-5, -0x1.5f037647814b9p-5, -0x1.d488ee3e65aa3p-6, -0x1.e6f1cc86424c2p-7, -0x1.aca479c480e9dp-10, 0x1.6b2ad8c8df7b2p-7, 0x1.7dbdeac01b1fp-6, 0x1.1ee5b9c20ee2fp-5, 0x1.7aef1abc32823p-5, 0x1.d30cdfddc86eep-5, 0x1.13a920155a349p-4, 0x1.3be9d3b320659p-4, 0x1.625340757c777p-4, 0x1.86f083d1111e9p-4, 0x1.a9cd0d5ac69fcp-4, 0x1.caf48b4efd41dp-4, 0x1.ea72d91b3fea8p-4, 0x1.0429f7e0d3e42p-3, 0x1.1251ebf772d7p-3, 0x1.1fb74ecf7c2a1p-3, 0x1.2c602297591dbp-3, 0x1.385260dd9bea6p-3, 0x1.4393f65886b1p-3, 0x1.4e2abf38b5512p-3, 0x1.581c83f9f19f5p-3, 0x1.616ef6a641563p-3, 0x1.6a27b0813ed06p-3, 0x1.724c300ff7e01p-3, 0x1.79e1d775bad5cp-3, 0x1.80edeb1e23c8ep-3, 0x1.877590a7dceaap-3, 0x1.8d7dce0faafa8p-3, 0x1.930b89140b9dep-3, 0x1.982386c37a4e7p-3, 0x1.9cca6b3d95a8ep-3, 0x1.a104b9953c957p-3, 0x1.a4d6d3d3452c1p-3, 0x1.a844fb1e7998ep-3, 0x1.ab534ff13c928p-3, 0x1.ae05d2685ffc2p-3, 0x1.b06062ae6b2e3p-3, 0x1.b266c166c275p-3, 0x1.b41c90337af8p-3, 0x1.b5855243169bfp-3, 0x1.b6a46ce4b832dp-3, 0x1.b77d282ac445fp-3, 0x1.b812af8fdc67bp-3, 0x1.b868129fd8a0bp-3, 0x1.b88045a6cf9d2p-3, 0x1.b85e2260967aep-3, 0x1.b80468aa80bc3p-3, 0x1.b775bf335fa0ap-3, 0x1.b6b4b42f35b62p-3, 0x1.b5c3be04a35e5p-3, 0x1.b4a53bfed1dafp-3, 0x1.b35b76fa1583fp-3, 0x1.b1e8a2112666ap-3, 0x1.b04edb4362cf1p-3, 0x1.ae902c21d948bp-3, 0x1.acae8a6d86259p-3, 0x1.aaabd8bd0787fp-3, 0x1.a889e7195e0a1p-3, 0x1.a64a7398ef704p-3, 0x1.a3ef2af82df0bp-3, 0x1.a179a92a853e2p-3, 0x1.9eeb79ef4a133p-3, 0x1.9c461959861dep-3, 0x1.998af45c03fdfp-3, 0x1.96bb694d4f38bp-3, 0x1.93d8c8692f6b4p-3, 0x1.90e4544e70261p-3, 0x1.8ddf42795eff4p-3, 0x1.8acabbb98762dp-3, 0x1.87a7dca582aefp-3, 0x1.8477b6098e6d9p-3, 0x1.813b4d540f45ep-3, 0x1.7df39cfe381fap-3, 0x1.7aa194f15889fp-3, 0x1.77461ae87a6ebp-3, 0x1.73e20acfdae53p-3, 0x1.70763720721bfp-3, 0x1.6d0369391d353p-3, 0x1.698a61b43558p-3, 0x1.660bd8bacd1abp-3, 0x1.62887e54f18bap-3, 0x1.5f00fab7442bp-3, 0x1.5b75ee8e61f1bp-3, 0x1.57e7f347016fbp-3, 0x1.54579b543187fp-3, 0x1.50c57272f826p-3, 0x1.4d31fdebbfc38p-3, 0x1.499dbcd10fcb7p-3, 0x1.4609283d79cdp-3, 0x1.4274b38d09083p-3, 0x1.3ee0cc9785156p-3, 0x1.3b4ddbe62630ap-3, 0x1.37bc44e8c4b2cp-3, 0x1.342c6629bcecep-3, 0x1.309e997dcec1ap-3, 0x1.2d133434cb11dp-3, 0x1.298a8747f04dbp-3, 0x1.2604df83a7125p-3, 0x1.228285b5baaafp-3, 0x1.1f03bed357c8dp-3, 0x1.1b88cc23df156p-3, 0x1.1811eb62ce0fep-3, 0x1.149f56e9676eep-3, 0x1.113145cef4e67p-3, 0x1.0dc7ec0af2decp-3, 0x1.0a637a98fb028p-3, 0x1.07041f93d40c8p-3, 0x1.03aa06580468ap-3, 0x1.0055579e7dbacp-3, 0x1.fa0c73332d3b5p-4, 0x1.f379a023c0a2bp-4, 0x1.ecf278f9f06eap-4, 0x1.e6773c3373cbp-4, 0x1.e008240e52874p-4, 0x1.d9a566b7d2ca5p-4, 0x1.d34f367a707cap-4, 0x1.cd05c1e3905acp-4, 0x1.c6c933f9f786bp-4, 0x1.c099b4531addbp-4, 0x1.ba77674a11aefp-4, 0x1.b4626e1a0e3dfp-4, 0x1.ae5ae704facf1p-4, 0x1.a860ed756df45p-4, 0x1.a2749a1b83c06p-4, 0x1.9c96031690b6cp-4, 0x1.96c53bfefefabp-4, 0x1.91025617ace3p-4, 0x1.8b4d605d679ep-4, 0x1.85a667a43c8c2p-4, 0x1.800d76b05755cp-4, 0x1.7a82964e842bbp-4, 0x1.7505cd6cdaab8p-4, 0x1.6f97212a39376p-4, 0x1.6a3694fc4543dp-4, 0x1.64e42aaa1b774p-4, 0x1.5f9fe279b6d26p-4, 0x1.5a69bb32ece47p-4, 0x1.5541b23702baap-4, 0x1.5027c39081c35p-4, 0x1.4b1bea03c1b72p-4, 0x1.461e1f1f3c53bp-4, 0x1.412e5b4bc8474p-4, 0x1.3c4c95d33f967p-4, 0x1.3778c50182311p-4, 0x1.32b2de12f3a22p-4, 0x1.2dfad5601ac2p-4, 0x1.29509e56951aep-4, 0x1.24b42b8b13aa4p-4, 0x1.20256ec30fc64p-4, 0x1.1ba458ff2ee0ep-4, 0x1.1730da85d5f8p-4, 0x1.12cae2ed0d194p-4, 0x1.0e7261242e4c8p-4, 0x1.0a27437bd0053p-4, 0x1.05e977a95bcc8p-4, 0x1.01b8eae1c4295p-4, 0x1.fb2b138378ffap-5, 0x1.f2fe80ebb4c06p-5, 0x1.eaebf55a9f314p-5, 0x1.e2f3474e333dap-5, 0x1.db144c6f8de8cp-5, 0x1.d34ed99feebe7p-5, 0x1.cba2c304fdca6p-5, 0x1.c40fdc13f8c94p-5, 0x1.bc95f79c12863p-5, 0x1.b534e7d06bd52p-5, 0x1.adec7e5350998p-5, 0x1.a6bc8c375f52cp-5, 0x1.9fa4e21e1e565p-5, 0x1.98a5502c8c787p-5, 0x1.91bda6105d92dp-5, 0x1.8aedb31f41127p-5, 0x1.843546487d764p-5, 0x1.7d942e25a118cp-5, 0x1.770a3900ca779p-5, 0x1.709734db746b8p-5, 0x1.6a3aef748ffdbp-5, 0x1.63f5364e67007p-5, 0x1.5dc5d6b494778p-5, 0x1.57ac9dc20b14p-5, 0x1.51a95866fc5f6p-5, 0x1.4bbbd36e8ce29p-5, 0x1.45e3db8531e2dp-5, 0x1.40213d346bdaap-5, 0x1.3a73c4fa2647cp-5, 0x1.34db3f40e11a8p-5, 0x1.2f57785519677p-5, 0x1.29e83c8db796ap-5, 0x1.248d583317725p-5, 0x1.1f46978dd68ffp-5, 0x1.1a13c6e900ee7p-5, 0x1.14f4b295624fdp-5, 0x1.0fe926ed12af4p-5, 0x1.0af0f0570ace5p-5, 0x1.060bdb4a9cf72p-5, 0x1.0139b452a813bp-5, 0x1.f8f49021265dp-6, 0x1.ef9ac67e2a735p-6, 0x1.e665a569d3ae2p-6, 0x1.dd54c6cf0fc4bp-6, 0x1.d467c4dc45249p-6, 0x1.cb9e3a0bfc431p-6, 0x1.c2f7c10d5103cp-6, 0x1.ba73f51689022p-6, 0x1.b21271831abdcp-6, 0x1.a9d2d215f6527p-6, 0x1.a1b4b2ff42c4dp-6, 0x1.99b7b0c6fb52p-6, 0x1.91db685f17ff2p-6, 0x1.8a1f77259b406p-6, 0x1.82837ae830bb2p-6, 0x1.7b0711e7ce23bp-6, 0x1.73a9dadc14125p-6, 0x1.6c6b74f68d115p-6, 0x1.654b7fe5e21cfp-6, 0x1.5e499bd927102p-6, 0x1.5765698305fe9p-6, 0x1.509e8a1ce3851p-6, 0x1.49f49f69c5e1fp-6, 0x1.43674bb917756p-6, 0x1.3cf631e935e36p-6, 0x1.36a0f569f106dp-6, 0x1.30673a3f70a0ep-6, 0x1.2a48a507350f5p-6, 0x1.2444dae2d9e7bp-6, 0x1.1e5b81b554d3dp-6, 0x1.188c3fe5c84cdp-6, 0x1.12d6bc6e8238ep-6, 0x1.0d3a9f06e727p-6, 0x1.07b78ff9aa423p-6, 0x1.024d38386a212p-6, 0x1.f9f682b6b740ap-7, 0x1.ef82ab45499b1p-7, 0x1.e53e3fefda9afp-7, 0x1.db2897dff6d8ap-7, 0x1.d1410b9826834p-7, 0x1.c786f4f69d957p-7, 0x1.bdf9af37c0692p-7, 0x1.b49896f8824bfp-7, 0x1.ab630a3890007p-7, 0x1.a258685c31109p-7, 0x1.9978122e849b2p-7, 0x1.90c169e358cbfp-7, 0x1.8833d31918d9p-7, 0x1.7fceb2da74a16p-7, 0x1.77916f9f9ebep-7, 0x1.6f7b714fd963p-7, 0x1.678c2142be4aep-7, 0x1.5fc2ea42747a1p-7, 0x1.581f3890405e3p-7, 0x1.50a079b8aa951p-7, 0x1.49461d0c8477cp-7, 0x1.420f93127e56ep-7, 0x1.3afc4dc1f35a5p-7, 0x1.340bc0b06c996p-7, 0x1.2d3d60d0bddbcp-7, 0x1.2690a48f8399fp-7, 0x1.200503d05d885p-7, 0x1.1999f7ecff55dp-7, 0x1.134efbb53701ap-7, 0x1.0d238b6eb783dp-7, 0x1.071724d4d2939p-7, 0x1.0129471816d68p-7, 0x1.f6b2e5bbb622ap-8, 0x1.eb4e547f91d6ep-8, 0x1.e023e1962c6d2p-8, 0x1.d53296ff47811p-8, 0x1.ca79819e87628p-8, 0x1.bff7b139afe17p-8, 0x1.b5ac38767d751p-8, 0x1.ab962cd89b18dp-8, 0x1.a1b4a6bf382e5p-8, 0x1.9806c1627db7fp-8, 0x1.8e8b9ad11b386p-8, 0x1.854253ed36ca8p-8, 0x1.7c2a10695af86p-8, 0x1.7341f6c56e247p-8, 0x1.6a89304bf99acp-8, 0x1.61fee9100b2a2p-8, 0x1.59a24fef3dde9p-8, 0x1.5172966d8d7abp-8, 0x1.496ef0c54d7b9p-8, 0x1.41969662dbe0bp-8, 0x1.39e8c0987ca58p-8, 0x1.3264ac0531563p-8, 0x1.2b0997c1c2752p-8, 0x1.23d6c58c487b7p-8, 0x1.1ccb79c9cef66p-8, 0x1.15e6fb7fb72d6p-8, 0x1.0f28944ef23f7p-8, 0x1.088f906f39d96p-8, 0x1.021b3ea9e155fp-8, 0x1.f795e0a890967p-9, 0x1.eb3bf2942e19p-9, 0x1.df275fcfaefeep-9, 0x1.d356da0c1033ep-9, 0x1.c7c917e913959p-9, 0x1.bc7cd4ed2219fp-9, 0x1.b170d17cec193p-9, 0x1.a6a3d2d2cf0a7p-9, 0x1.9c14a2f478559p-9, 0x1.91c210a683ea3p-9, 0x1.87aaef5eb04d2p-9, 0x1.7dce173553ceep-9, 0x1.742a64d7602eap-9, 0x1.6abeb979f4cf7p-9, 0x1.6189fad04757cp-9, 0x1.588b1303aa6f6p-9, 0x1.4fc0f0ad09baap-9, 0x1.472a86cdf77e1p-9, 0x1.3ec6ccc8113bep-9, 0x1.3694be51472dbp-9, 0x1.2e935b65177f6p-9, 0x1.26c1a83450ebfp-9, 0x1.1f1ead182769p-9, 0x1.17a9767cd296fp-9, 0x1.10611471e7183p-9, 0x1.09449be4478e2p-9, 0x1.025324df3465bp-9, 0x1.f717971fe9f1dp-10, 0x1.e9db609a8045bp-10, 0x1.dcefee44d9d1fp-10, 0x1.d0538ff67360ap-10, 0x1.c4049d2279e2cp-10, 0x1.b80174ad5bc12p-10, 0x1.ac487cc1daf44p-10, 0x1.a0d822a83eea7p-10, 0x1.95aedaa3bb139p-10, 0x1.8acb1fda0aa39p-10, 0x1.802b7445b2226p-10, 0x1.75ce60b0349c6p-10, 0x1.6bb274b050265p-10, 0x1.61d646a67383cp-10, 0x1.583873b1e6cefp-10, 0x1.4ed79f9b791c5p-10, 0x1.45b274b56207ep-10, 0x1.3cc7a3b27a5d4p-10, 0x1.3415e37954a73p-10, 0x1.2b9bf0f952a83p-10, 0x1.23588f0643e84p-10, 0x1.1b4a863e8609dp-10, 0x1.1370a4fc54486p-10, 0x1.0bc9bf5010edp-10, 0x1.0454af0046a87p-10, 0x1.fa20a71457efp-11, 0x1.ebf7243af9ecfp-11, 0x1.de2aab1fca556p-11, 0x1.d0b91c8c1b279p-11, 0x1.c3a064282c70cp-11, 0x1.b6de782d8edddp-11, 0x1.aa7159153797ep-11, 0x1.9e571147a874bp-11, 0x1.928db4d6d3175p-11, 0x1.87136146bc8fbp-11, 0x1.7be63d6b78be2p-11, 0x1.710479630ead2p-11, 0x1.666c4e80a85bep-11, 0x1.5c1bfe57169cfp-11, 0x1.5211d5bd444abp-11, 0x1.484c29383a98cp-11, 0x1.3ec956539180ep-11, 0x1.3587c4992151fp-11, 0x1.2c85e3d4d8074p-11, 0x1.23c22c6e800dap-11, 0x1.1b3b1f1b8d4ffp-11, 0x1.12ef4483b890bp-11, 0x1.0add2ceb43926p-11, 0x1.03036fe7896e4p-11, 0x1.f6c1584b68c44p-12, 0x1.e7e70e9a41ce5p-12, 0x1.d9755bfb2a835p-12, 0x1.cb69a7cd38f7p-12, 0x1.bdc167d524ecap-12, 0x1.b07a208315ac6p-12, 0x1.a3916519e43efp-12, 0x1.9704d7a8b9f8bp-12, 0x1.8ad228cab7a9p-12, 0x1.7ef7173200522p-12, 0x1.73716f037ce7ap-12, 0x1.683f090f0284p-12, 0x1.5d5dc9f2e85b5p-12, 0x1.52cba14a491dap-12, 0x1.488688ec03531p-12, 0x1.3e8c849ba045ep-12, 0x1.34dba1e9458d2p-12, 0x1.2b71f8936d319p-12, 0x1.224dab136eaf4p-12, 0x1.196ce73b1c0f3p-12, 0x1.10cde6a75c26ep-12, 0x1.086eeeea4d2b2p-12, 0x1.004e51657e1b2p-12, 0x1.f0d4d5cd973cfp-13, 0x1.e183464618463p-13, 0x1.d2a4d8016d04cp-13, 0x1.c43681e2f068p-13, 0x1.b6354c50760dbp-13, 0x1.a89e4f556c156p-13, 0x1.9b6eb14c097b2p-13, 0x1.8ea3a5ebcbc66p-13, 0x1.823a6e45f0849p-13, 0x1.763059b50cb5cp-13, 0x1.6a82c769243ecp-13, 0x1.5f2f2811a8935p-13, 0x1.5432fe8ef66e1p-13, 0x1.498bddc3b84fcp-13, 0x1.3f376ea65527bp-13, 0x1.3533680e15de2p-13, 0x1.2b7d8fb0ab9b1p-13, 0x1.2213bcda0ac1cp-13, 0x1.18f3d40b2a69fp-13, 0x1.101bc7ae23d4ep-13, 0x1.0789970d17e2p-13, 0x1.fe769994c4fa9p-14, 0x1.ee5dfae20269cp-14, 0x1.dec58d3fed09ap-14, 0x1.cfa99e6742996p-14, 0x1.c10690b41be6p-14, 0x1.b2d8de1497305p-14, 0x1.a51d1a48d006ep-14, 0x1.97cff3639fdbcp-14, 0x1.8aee308c9be33p-14, 0x1.7e74afed643b1p-14, 0x1.726064f6ac5bdp-14, 0x1.66ae57bb5f249p-14, 0x1.5b5ba53b37051p-14, 0x1.50657fda29816p-14, 0x1.45c92f25ba6dfp-14, 0x1.3b840e78573d1p-14, 0x1.31938ab18f00fp-14, 0x1.27f51fc2e0cf4p-14, 0x1.1ea656ff6fb7dp-14, 0x1.15a4c6c1af4e9p-14, 0x1.0cee136881761p-14, 0x1.047ff13bd13b2p-14, 0x1.f8b04a194c542p-15, 0x1.e8e90b778b508p-15, 0x1.d9a5f3abe027bp-15, 0x1.cae2ed0b03535p-15, 0x1.bc9bfc46229ep-15, 0x1.aecd409e5659p-15, 0x1.a172f69cdf6bfp-15, 0x1.94897adb62ap-15, 0x1.880d4a4b52b75p-15, 0x1.7bfaff20b0bc4p-15, 0x1.704f4bc69a08cp-15, 0x1.6506f69f3da57p-15, 0x1.5a1ed8792af7ap-15, 0x1.4f93ddaa6784bp-15, 0x1.456307f19bf64p-15, 0x1.3b896f6c05251p-15, 0x1.320441fe5ed34p-15, 0x1.28d0c23fa3a97p-15, 0x1.1fec46964e23bp-15, 0x1.17543867d8a02p-15, 0x1.0f0612d49b72ep-15, 0x1.06ff61a11cacdp-15, 0x1.fe7b81b766ea1p-16, 0x1.ef7db55cc5be1p-16, 0x1.e100f0c050892p-16, 0x1.d300f65f0aaccp-16, 0x1.c579af4a524fdp-16, 0x1.b8673202f969p-16, 0x1.abc5a1005ae4dp-16, 0x1.9f9129dbe2b1bp-16, 0x1.93c60aff56d65p-16, 0x1.88609eac9882p-16, 0x1.7d5d63b5728dp-16, 0x1.72b8fdb6354d6p-16, 0x1.68702e0802511p-16, 0x1.5e7fcba4187b1p-16, 0x1.54e4bf77f8d33p-16, 0x1.4b9c06212d3f6p-16, 0x1.42a2b3b2f3627p-16, 0x1.39f5f5616c41fp-16, 0x1.31931001b4339p-16, 0x1.29775e9b5ba0ap-16, 0x1.21a055232c295p-16, 0x1.1a0b86a7a85b8p-16, 0x1.12b6a86af506ap-16, 0x1.0b9f8bf720da2p-16, 0x1.04c411f84186bp-16, 0x1.fc443d7b8e226p-17, 0x1.ef6f30b5ca6cap-17, 0x1.e304dcd5c0581p-17, 0x1.d7014849a4582p-17, 0x1.cb60a9f43c65fp-17, 0x1.c01f6417205d2p-17, 0x1.b539f9425b3cfp-17, 0x1.aaad03dca67aap-17, 0x1.a075328f3c4d3p-17, 0x1.968f48a3a9ea4p-17, 0x1.8cf823356b6bcp-17, 0x1.83acbea413f57p-17, 0x1.7aaa3e77b6cacp-17, 0x1.71ede994cbc2ep-17, 0x1.6975255b47bd1p-17, 0x1.613d6f2358709p-17, 0x1.59445c2686774p-17, 0x1.51879bd8394c1p-17, 0x1.4a04f534e53f1p-17, 0x1.42ba3e0e31cc8p-17, 0x1.3ba55516d1f48p-17, 0x1.34c42576bf31bp-17, 0x1.2e14af8f6654p-17, 0x1.27950c424e62ap-17, 0x1.214366f84e986p-17, 0x1.1b1df67047e87p-17, 0x1.1522fd1ab52fap-17, 0x1.0f50cebb16656p-17, 0x1.09a5d2aaf8728p-17, 0x1.042080349635ap-17, 0x1.fd7eb38d42fafp-18, 0x1.f301d84427829p-18, 0x1.e8c7a68513842p-18, 0x1.decd859cd9dfp-18, 0x1.d5111174945d3p-18, 0x1.cb8ffcbf4201fp-18, 0x1.c2482f4e9e8fep-18, 0x1.b93785c6f37dep-18, 0x1.b05bd19c8e956p-18, 0x1.a7b300de303a2p-18, 0x1.9f3b0e23a881ep-18, 0x1.96f20bfc9f38p-18, 0x1.8ed625a25033ap-18, 0x1.86e5b4520aab9p-18, 0x1.7f1f2ab40d20bp-18, 0x1.7780fdedf9e7bp-18, 0x1.7009a18653107p-18, 0x1.68b791af4daedp-18, 0x1.61896134a1a67p-18, 0x1.5a7dbc267ec0ep-18, 0x1.53935eb68f5dbp-18, 0x1.4cc90eefbb502p-18, 0x1.461d9b45c4e8fp-18, 0x1.3f8fdc345dfdbp-18, 0x1.391eb911f91d5p-18, 0x1.32c92e817beacp-18, 0x1.2c8e519a7f575p-18, 0x1.266d4bec05e56p-18, 0x1.206551d4004fap-18, 0x1.1a75983ad394cp-18, 0x1.149d4f73888cep-18, 0x1.0edba6be3e467p-18, 0x1.092fd4b3751c3p-18, 0x1.03991b4ef808ep-18, 0x1.fc2d922951f5bp-19, 0x1.f15080983838fp-19, 0x1.e699f2bcb5609p-19, 0x1.dc08e6cf265p-19, 0x1.d19c4be5e0c4cp-19, 0x1.c7530f019c467p-19, 0x1.bd2c35c6c46bfp-19, 0x1.b326dd66029e7p-19, 0x1.a94229a0b02bep-19, 0x1.9f7d4106c4e15p-19, 0x1.95d7518d96016p-19, 0x1.8c4f99e048041p-19, 0x1.82e56303b434dp-19, 0x1.7997fa6a0d2e1p-19, 0x1.7066d4e9fffbfp-19, 0x1.675155321243ap-19, 0x1.5e56f1933b041p-19, 0x1.55772aaf52559p-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.b41f1b2caf60cp-4, 0x1.aaed657734232p-3, 0x1.3633d62cb54a4p-2, 0x1.8d6144a4b778fp-2, 0x1.da04085fadcfcp-2, 0x1.0de19bad16188p-1, 0x1.295c3e72aa9f7p-1, 0x1.3fa68d187c38p-1, 0x1.510fda72907c1p-1, 0x1.5df85495d0e0ap-1, 0x1.66c9a850b1177p-1, 0x1.6bf18a8b234b1p-1, 0x1.6dddb731d9251p-1, 0x1.6cf9104d91f91p-1, 0x1.69a99b93422ecp-1, 0x1.644f2b81c7a76p-1, 0x1.5d428bfb7f7fcp-1, 0x1.54d5135ed623p-1, 0x1.4b507ea81e5b9p-1, 0x1.40f70638c10ccp-1, 0x1.360399d3e29aep-1, 0x1.2aaa3950cc09bp-1, 0x1.1f18603150982p-1, 0x1.13757bacfb78p-1, 0x1.07e36620063a8p-1, 0x1.f8fdc7d7b9ea4p-2, 0x1.e2c03c1155c0fp-2, 0x1.cd3630190484cp-2, 0x1.b880407eddbep-2, 0x1.a4b871311d2ep-2, 0x1.91f2f0322df4cp-2, 0x1.803ec8b4757ccp-2, 0x1.6fa686d8c14dp-2, 0x1.6030ccb44098ap-2, 0x1.51e0d971e875cp-2, 0x1.44b70370bea6bp-2, 0x1.38b1263b4828bp-2, 0x1.2dcb0524e7524p-2, 0x1.23fea34ce9dd1p-2, 0x1.1b4491c5b8f5fp-2, 0x1.139434a6b5c9ap-2, 0x1.0ce3ffd78268cp-2, 0x1.0729ac6363823p-2, 0x1.025a6719e603cp-2, 0x1.fcd5f2635d7a8p-3, 0x1.f69fd71fc7fc5p-3, 0x1.f1fb4a89c30dfp-3, 0x1.eed10b7eaecep-3, 0x1.ed09f653ea80dp-3, 0x1.ec8f2ab867127p-3, 0x1.ed4a2b7b245f5p-3, 0x1.ef24f8e30cda5p-3, 0x1.f20a26394ff6dp-3, 0x1.f5e4eb0f6394bp-3, 0x1.faa130c6f6342p-3, 0x1.0015ce6e29a9fp-2, 0x1.0338cc23e09f7p-2, 0x1.06b0aa3a077d1p-2, 0x1.0a74e700341fep-2, 0x1.0e7d66eb83be1p-2, 0x1.12c2743a6777dp-2, 0x1.173cbe0fed256p-2, 0x1.1be556f4ff433p-2, 0x1.20b5b2dd29f0fp-2, 0x1.25a7a4cd46f5bp-2, 0x1.2ab55c5d852bcp-2, 0x1.2fd962b4ecfb5p-2, 0x1.350e97a89868ep-2, 0x1.3a502e7fa9288p-2, 0x1.3f99aab868e12p-2, 0x1.44e6dcd21e0f5p-2, 0x1.4a33deede8729p-2, 0x1.4f7d117abcc5dp-2, 0x1.54bf18113744ep-2, 0x1.59f6d619ce221p-2, 0x1.5f216bbb68e94p-2, 0x1.643c32c4216e4p-2, 0x1.6944bbaae4a9bp-2, 0x1.6e38cab26fb61p-2, 0x1.731655224658p-2, 0x1.77db7e93afe28p-2, 0x1.7c86966397986p-2, 0x1.811615388b9a8p-2, 0x1.85889aa7141b6p-2, 0x1.89dceaeaf05bp-2, 0x1.8e11ecc1eff9bp-2, 0x1.9226a7554aec8p-2, 0x1.961a4045e2b6cp-2, 0x1.99ebf9ca20139p-2, 0x1.9d9b30e6153ccp-2, 0x1.a1275bb3434b1p-2, 0x1.a49007cca52f7p-2, 0x1.a7d4d8bbad019p-2, 0x1.aaf5868b680b7p-2, 0x1.adf1dc642d1adp-2, 0x1.b0c9b73eade18p-2, 0x1.b37d04a8a84aap-2, 0x1.b60bc1968e941p-2, 0x1.b875f950f7ecfp-2, 0x1.babbc462e6d3p-2, 0x1.bcdd47a5e90b4p-2, 0x1.bedab353ff1afp-2, 0x1.c0b4422a5f1dcp-2, 0x1.c26a389ab9523p-2, 0x1.c3fce406bcf59p-2, 0x1.c56c9a0890d0fp-2, 0x1.c6b9b7c7cf4eep-2, 0x1.c7e4a1556c579p-2, 0x1.c8edc11520e0cp-2, 0x1.c9d5872e636ebp-2, 0x1.ca9c690551cc7p-2, 0x1.cb42e0bc30e94p-2, 0x1.cbc96cbd44d73p-2, 0x1.cc308f4a52d36p-2, 0x1.cc78ce12f7f79p-2, 0x1.cca2b1d2a42c5p-2, 0x1.ccaec5f2e422dp-2, 0x1.cc9d9832306edp-2, 0x1.cc6fb85391395p-2, 0x1.cc25b7d0c7954p-2, 0x1.cbc0298fe27adp-2, 0x1.cb3fa19eabfa1p-2, 0x1.caa4b4f7a5f0ap-2, 0x1.c9eff939c374ep-2, 0x1.c92204835092fp-2, 0x1.c83b6d21c037bp-2, 0x1.c73cc98110997p-2, 0x1.c626afded0e47p-2, 0x1.c4f9b63522d0bp-2, 0x1.c3b6720b2cd79p-2, 0x1.c25d78430c7dfp-2, 0x1.c0ef5d12529ffp-2, 0x1.bf6cb3cd3b528p-2, 0x1.bdd60ec5fdb99p-2, 0x1.bc2bff4c5315ep-2, 0x1.ba6f157092559p-2, 0x1.b89fe00a1e44p-2, 0x1.b6beec87c7798p-2, 0x1.b4ccc6fed353cp-2, 0x1.b2c9f9f222628p-2, 0x1.b0b70e5ca1895p-2, 0x1.ae948ba05986ap-2, 0x1.ac62f76538352p-2, 0x1.aa22d5abddc4ep-2, 0x1.a7d4a8a8cc98cp-2, 0x1.a578f0c961a17p-2, 0x1.a3102ca8478eep-2, 0x1.a09ad8ffe61dcp-2, 0x1.9e1970b5a7a64p-2, 0x1.9b8c6cc169a9cp-2, 0x1.98f44430ec6edp-2, 0x1.96516c282d29ep-2, 0x1.93a457db0f8d1p-2, 0x1.90ed789213493p-2, 0x1.8e2d3d8de073p-2, 0x1.8b641434e6865p-2, 0x1.889267edb0cd5p-2, 0x1.85b8a22e4f6cep-2, 0x1.82d72a760f06ap-2, 0x1.7fee66562f69fp-2, 0x1.7cfeb97b486d7p-2, 0x1.7a088593a1034p-2, 0x1.770c2a733c85fp-2, 0x1.740a05f82ad3ep-2, 0x1.71027428f5b11p-2, 0x1.6df5cf2c19258p-2, 0x1.6ae46f44f11e6p-2, 0x1.67ceaadb6bc13p-2, 0x1.64b4d68710f78p-2, 0x1.6197451d7b591p-2, 0x1.5e76479385324p-2, 0x1.5b522d276734ap-2, 0x1.582b43449a9f8p-2, 0x1.5501d5a898ab7p-2, 0x1.51d62e5b2def2p-2, 0x1.4ea895ad355b3p-2, 0x1.4b79523cccde8p-2, 0x1.4848a90168c93p-2, 0x1.4516dd54d4607p-2, 0x1.41e430ff18d59p-2, 0x1.3eb0e41a13586p-2, 0x1.3b7d353f746bap-2, 0x1.3849616a4b7a2p-2, 0x1.3515a41c0597bp-2, 0x1.31e23756d2dc7p-2, 0x1.2eaf539df5ffdp-2, 0x1.2b7d2ff8c43eap-2, 0x1.284c01fa98c56p-2, 0x1.251bfdd045b87p-2, 0x1.21ed5643681b1p-2, 0x1.1ec03cbdb58dbp-2, 0x1.1b94e14d9d234p-2, 0x1.186b72973d54fp-2, 0x1.15441e04a0d75p-2, 0x1.121f0fa80e573p-2, 0x1.0efc7257564a1p-2, 0x1.0bdc6fa3da3c9p-2, 0x1.08bf2fddaaa0fp-2, 0x1.05a4da1af4f67p-2, 0x1.028d9441e89f6p-2, 0x1.fef3061fa20fbp-3, 0x1.f8d19436df7b8p-3, 0x1.f2b717aae3bcp-3, 0x1.eca3d3158483cp-3, 0x1.e69806e097eaap-3, 0x1.e093f14126bc5p-3, 0x1.da97ce58fc7e8p-3, 0x1.d4a3d83eab91bp-3, 0x1.ceb846e6acc0bp-3, 0x1.c8d550401b6d3p-3, 0x1.c2fb28371fecfp-3, 0x1.bd2a00c5363f7p-3, 0x1.b76209fdba637p-3, 0x1.b1a37214dbc98p-3, 0x1.abee6562e2b8p-3, 0x1.a6430e68589e8p-3, 0x1.a0a195d6a1bf5p-3, 0x1.9b0a229c63b1fp-3, 0x1.957cd9f1dcf2p-3, 0x1.8ff9df60a544cp-3, 0x1.8a8154d118992p-3, 0x1.85135a7c81b94p-3, 0x1.7fb00efe3f8a5p-3, 0x1.7a578f6b21839p-3, 0x1.7509f73aee27bp-3, 0x1.6fc7606e039fp-3, 0x1.6a8fe38aa1b47p-3, 0x1.656397a31bc51p-3, 0x1.6042925a3dc54p-3, 0x1.5b2ce7e91583ap-3, 0x1.5622ab2731b94p-3, 0x1.5123ed9452891p-3, 0x1.4c30bf618558p-3, 0x1.47492f7863e5ap-3, 0x1.426d4b805b608p-3, 0x1.3d9d1fe332d86p-3, 0x1.38d8b7d2595bcp-3, 0x1.34201d4db71d6p-3, 0x1.2f73592a973a3p-3, 0x1.2ad27327f2b23p-3, 0x1.263d71d51787dp-3, 0x1.21b45ac251c6dp-3, 0x1.1d37326bc3c33p-3, 0x1.18c5fc3d8bc94p-3, 0x1.1460baa4058c6p-3, 0x1.10076f0d873bcp-3, 0x1.0bba19f174a03p-3, 0x1.0778bad8666c3p-3, 0x1.03435061d83a5p-3, 0x1.fe33b09305f7bp-4, 0x1.f5f89ed824123p-4, 0x1.edd56398166d3p-4, 0x1.e5c9f52de3b24p-4, 0x1.ddd648578c39fp-4, 0x1.d5fa50425c539p-4, 0x1.ce35fe9753a8bp-4, 0x1.c6894386618fap-4, 0x1.bef40dd05be9ap-4, 0x1.b7764ad01a199p-4, 0x1.b00fe68316984p-4, 0x1.a8c0cb912850fp-4, 0x1.a188e36918fabp-4, 0x1.9a68161ef568p-4, 0x1.935e4aa6f7a8cp-4, 0x1.8c6b66d5af538p-4, 0x1.858f4f4c35907p-4, 0x1.7ec9e7a04e686p-4, 0x1.781b1258a94abp-4, 0x1.7182b0f612b5ap-4, 0x1.6b00a3fd0aaccp-4, 0x1.6494cafefce3cp-4, 0x1.5e3f04a406b46p-4, 0x1.57ff2eb3fa829p-4, 0x1.51d5261f2c107p-4, 0x1.4bc0c706cf928p-4, 0x1.45c1ecc4db82ep-4, 0x1.3fd871f3854c5p-4, 0x1.3a043074aed44p-4, 0x1.34450179ef2eap-4, 0x1.2e9abd8c90c3ap-4, 0x1.29053c95b0884p-4, 0x1.238455e60f476p-4, 0x1.1e17e03d84cd9p-4, 0x1.18bfb1d266f04p-4, 0x1.137ba0586703ep-4, 0x1.0e4b8106afe9fp-4, 0x1.092f289d57311p-4, 0x1.04266b7b80951p-4, 0x1.fe623af83304p-5, 0x1.f49e245d2465cp-5, 0x1.eb00399277288p-5, 0x1.e188203fa367ep-5, 0x1.d8357d80fc3cbp-5, 0x1.cf07f5e0290bp-5, 0x1.c5ff2d616db9ep-5, 0x1.bd1ac78f2a396p-5, 0x1.b45a6784f0d5cp-5, 0x1.abbdaffa78a68p-5, 0x1.a344434e8e3b9p-5, 0x1.9aedc391edc5dp-5, 0x1.92b9d291ca908p-5, 0x1.8aa811e22484cp-5, 0x1.82b822e7b4d31p-5, 0x1.7ae9a6e18cdbcp-5, 0x1.733c3ef27ccaep-5, 0x1.6baf8c2a0294ap-5, 0x1.64432f8cf8339p-5, 0x1.5cf6ca1e21895p-5, 0x1.55c9fce6ad394p-5, 0x1.4ebc68fea4fb5p-5, 0x1.47cdaf9533008p-5, 0x1.40fd71f8a803bp-5, 0x1.3a4b519e333dep-5, 0x1.33b6f02969723p-5, 0x1.2d3fef736c46ep-5, 0x1.26e5f191539f2p-5, 0x1.20a898d8ef562p-5, 0x1.1a8787f1b1bd3p-5, 0x1.148261d4a9469p-5, 0x1.0e98c9a960cd7p-5, 0x1.08ca6336ae37p-5, 0x1.0316d272e82ecp-5, 0x1.fafb7799631afp-6, 0x1.effd88417130dp-6, 0x1.e5332179bcf84p-6, 0x1.da9b8ecb5ffbp-6, 0x1.d0361cb659ab7p-6, 0x1.c60218bb100acp-6, 0x1.bbfed1642573cp-6, 0x1.b22b96508a36cp-6, 0x1.a887b83d0ed66p-6, 0x1.9f12890cf7895p-6, 0x1.95cb5bd0f8fffp-6, 0x1.8cb184cc8a073p-6, 0x1.83c4597a58e9ep-6, 0x1.7b033090ce313p-6, 0x1.726d6207cc0d9p-6, 0x1.6a0247204c41dp-6, 0x1.61c13a6d8987p-6, 0x1.59a997deca154p-6, 0x1.51babcc814ec1p-6, 0x1.49f407e845ac5p-6, 0x1.4254d96b77233p-6, 0x1.3adc92ea075e8p-6, 0x1.338a9765b79ep-6, 0x1.2c5e4b47427d2p-6, 0x1.2557145f1017ap-6, 0x1.1e7459eacd56bp-6, 0x1.17b5849fbefd9p-6, 0x1.1119feb853105p-6, 0x1.0aa13401051f4p-6, 0x1.044a91dfae15bp-6, 0x1.fc2b0ead473b3p-7, 0x1.f0030a37efd32p-7, 0x1.e41bfa5299d9ap-7, 0x1.d874c66639becp-7, 0x1.cd0c5897feb19p-7, 0x1.c1e19dba7c1f3p-7, 0x1.b6f385a0d1a61p-7, 0x1.ac410322194a5p-7, 0x1.a1c90c4d882fbp-7, 0x1.978a9a9c9073fp-7, 0x1.8d84ab1354eaap-7, 0x1.83b63e43bbd6p-7, 0x1.7a1e582e6be69p-7, 0x1.70bc0006f0bbep-7, 0x1.678e3fe9d38cfp-7, 0x1.5e9424995955cp-7, 0x1.55ccbd55fea0cp-7, 0x1.4d371be1849f3p-7, 0x1.44d254b003ab3p-7, 0x1.3c9d7f3d8998dp-7, 0x1.3497b672e5ee1p-7, 0x1.2cc018fdc184ep-7, 0x1.2515c980a2fadp-7, 0x1.1d97ee886063ep-7, 0x1.1645b2428d60ep-7, 0x1.0f1e42022f5cfp-7, 0x1.0820cdaea689ap-7, 0x1.014c874121385p-7, 0x1.f54144e856921p-8, 0x1.e838a97b4eccbp-8, 0x1.db7dab33c0e3cp-8, 0x1.cf0ebe332e7a3p-8, 0x1.c2ea5d2615152p-8, 0x1.b70f0a95d8604p-8, 0x1.ab7b51d209095p-8, 0x1.a02dc72c58746p-8, 0x1.95250767e898dp-8, 0x1.8a5fb66ebad61p-8, 0x1.7fdc7d8e9adedp-8, 0x1.759a09a1665bcp-8, 0x1.6b97098b693b7p-8, 0x1.61d22d78892c8p-8, 0x1.584a2746e2d67p-8, 0x1.4efdaaae378aep-8, 0x1.45eb700759b7p-8, 0x1.3d1235f0bec18p-8, 0x1.3470c2ea8aea6p-8, 0x1.2c05e72a2ee94p-8, 0x1.23d07ce6c60d8p-8, 0x1.1bcf67c5361c7p-8, 0x1.1401934af91afp-8, 0x1.0c65f0a035c71p-8, 0x1.04fb7419a0d1dp-8, 0x1.fb822621bc908p-9, 0x1.ed6b850015a73p-9, 0x1.dfb0ed4f3ee1fp-9, 0x1.d2504795e396dp-9, 0x1.c5477faa1d718p-9, 0x1.b894891aef4f5p-9, 0x1.ac3563da303a3p-9, 0x1.a0282045c5f2cp-9, 0x1.946ae1cac5e49p-9, 0x1.88fbdf9e0f1cp-9, 0x1.7dd963581ef54p-9, 0x1.7301c5ac263cp-9, 0x1.687369d714ccp-9, 0x1.5e2cb8adf4487p-9, 0x1.542c1c4b545fdp-9, 0x1.4a6ffd2fc73dp-9, 0x1.40f6c153c39dcp-9, 0x1.37becd2573f23p-9, 0x1.2ec6860c498bbp-9, 0x1.260c55ca6f32bp-9, 0x1.1d8eae114daf1p-9, 0x1.154c0bbe057cep-9, 0x1.0d42f95c1f1d6p-9, 0x1.057210a9afb28p-9, 0x1.fbaff5ce8411ap-10, 0x1.ece6dfabc5bebp-10, 0x1.de8666d673d96p-10, 0x1.d08c252bedf27p-10, 0x1.c2f5bf66677abp-10, 0x1.b5c0deee4c8f5p-10, 0x1.a8eb2dfb9364ep-10, 0x1.9c72569c2d56ep-10, 0x1.905404384efa9p-10, 0x1.848de65bc2f3fp-10, 0x1.791db36661346p-10, 0x1.6e012a8440254p-10, 0x1.633615984b698p-10, 0x1.58ba48c1b2296p-10, 0x1.4e8ba6d40cce7p-10, 0x1.44a8241329b45p-10, 0x1.3b0dc85b9cf87p-10, 0x1.31bab1c23ee02p-10, 0x1.28ad130010c8ap-10, 0x1.1fe32fb03ed0ep-10, 0x1.175b57670d81ep-10, 0x1.0f13e18d5f315p-10, 0x1.070b2b7f99d11p-10, 0x1.fe7f322ba4bd3p-11, 0x1.ef5f2c758cf92p-11, 0x1.e0b32f069f6c6p-11, 0x1.d278308ec96d2p-11, 0x1.c4ab2cccefa39p-11, 0x1.b7491b70fad35p-11, 0x1.aa4eec051f0f2p-11, 0x1.9db98ad7d5188p-11, 0x1.9185ee7d58b4ap-11, 0x1.85b128c820313p-11, 0x1.7a3873fed73ebp-11, 0x1.6f1936df234eep-11, 0x1.6450fec51bd11p-11, 0x1.59dd7444e13fp-11, 0x1.4fbc50be9d866p-11, 0x1.45eb59d3100c7p-11, 0x1.3c68636ff57b5p-11, 0x1.33315515f07e8p-11, 0x1.2a442d0de9b3dp-11, 0x1.219efd2f6b27dp-11, 0x1.193fdfbda41adp-11, 0x1.1124e7a470ddp-11, 0x1.094c129e53e2cp-11, 0x1.01b345093e7fbp-11, 0x1.f4b0a6bfb11a6p-12, 0x1.e6722d9ddcd67p-12, 0x1.d8a708d8bbd46p-12, 0x1.cb4b7a0dc72b2p-12, 0x1.be5c1eb2461d6p-12, 0x1.b1d5db2e83e8p-12, 0x1.a5b5bb4ada5d1p-12, 0x1.99f8d98daebbbp-12, 0x1.8e9c572d17c03p-12, 0x1.839d622f48762p-12, 0x1.78f9405fedf0fp-12, 0x1.6ead56a57a851p-12, 0x1.64b7285f99acap-12, 0x1.5b144d52f439ep-12, 0x1.51c25ef3a05f7p-12, 0x1.48bee2047944bp-12, 0x1.40073643eccbep-12, 0x1.379896d653d4ap-12, 0x1.2f703096b4c03p-12, 0x1.278b417bfea1dp-12, 0x1.1fe73e339efdap-12, 0x1.1881e6e57c501p-12, 0x1.115942344c6a8p-12, 0x1.0a6b8b41b4e0fp-12, 0x1.03b715fb011a4p-12, 0x1.fa74774850f6cp-13, 0x1.ede6a8aaa487ap-13, 0x1.e1c170690d2d8p-13, 0x1.d6018291a621bp-13, 0x1.caa397a4a763dp-13, 0x1.bfa46cc0da52ap-13, 0x1.b500c3cead2f8p-13, 0x1.aab56394142fcp-13, 0x1.a0bf19f0e9b4p-13, 0x1.971ac0203b5efp-13, 0x1.8dc53c81696a7p-13, 0x1.84bb81008ec18p-13, 0x1.7bfa8c74c0f78p-13, 0x1.737f73dec4befp-13, 0x1.6b47709c02142p-13, 0x1.634fef6c06301p-13, 0x1.5b969f19fc734p-13, 0x1.5419796000765p-13, 0x1.4cd6bbfeb9e66p-13, 0x1.45cccf5ddbbdbp-13, 0x1.3efa22d999617p-13, 0x1.385d0bf644347p-13, 0x1.31f3b7f52c545p-13, 0x1.2bbc3675265cbp-13, 0x1.25b48c2381ad3p-13, 0x1.1fdab55676acep-13, 0x1.1a2c9cff60a31p-13, 0x1.14a824ec23c04p-13, 0x1.0f4b4a7abd974p-13, 0x1.0a144f87966fdp-13, 0x1.0501c82e04a07p-13, 0x1.001283e3b0e2fp-13, 0x1.f68ac6b682698p-14, 0x1.ed3265bd7de1dp-14, 0x1.e4192b0ca5005p-14, 0x1.db3c0e5e43af3p-14, 0x1.d29800b14d9ffp-14, 0x1.ca2a6ec492e4bp-14, 0x1.c1f1a1919be6ap-14, 0x1.b9ec9669d54e6p-14, 0x1.b21a5bd4ec27ap-14, 0x1.aa79744a49283p-14, 0x1.a307bfbd89cc3p-14, 0x1.9bc2efeb1dd8p-14, 0x1.94a8f9352b256p-14, 0x1.8db8067f30711p-14, 0x1.86ee210111aa7p-14, 0x1.8049099f20636p-14, 0x1.79c6689618313p-14, 0x1.73642235e1f92p-14, 0x1.6d209c207d36ap-14, 0x1.66fad415070e7p-14, 0x1.60f239d4e7a99p-14, 0x1.5b064caac4a2cp-14, 0x1.55364a3ee1f57p-14, 0x1.4f810b8dcd126p-14, 0x1.49e50dc82474p-14, 0x1.4460995f88c3dp-14, 0x1.3ef2171aa761p-14, 0x1.39989a83b7f28p-14, 0x1.3454097fa6df2p-14, 0x1.2f2474a112efbp-14, 0x1.2a093ff96a32ap-14, 0x1.250112f6deff1p-14, 0x1.200a95c3c105dp-14, 0x1.1b250669e8493p-14, 0x1.165004f9a7af2p-14, 0x1.118b0f0830b12p-14, 0x1.0cd551c9fec7p-14, 0x1.082dd1acd3b51p-14, 0x1.0393942d6dfap-14, 0x1.fe0b70c50c34dp-15, 0x1.f507295385b7dp-15, 0x1.ec199db1a3c8dp-15, 0x1.e342a2c870d3p-15, 0x1.da82347ba23e1p-15, 0x1.d1d8081357e82p-15, 0x1.c94362d425836p-15, 0x1.c0c3509677348p-15, 0x1.b856ef468a5dap-15, 0x1.affd54b900bccp-15, 0x1.a7b560d2b8fcp-15, 0x1.9f7e50c49915cp-15, 0x1.97583b4cbd36p-15, 0x1.8f4325c43ddc4p-15, 0x1.873e0a79e80dp-15, 0x1.7f4799c56c3bp-15, 0x1.775f8ad1aa71dp-15, 0x1.6f865609858a6p-15, 0x1.67bc14d0e689cp-15, 0x1.600053486da98p-15, 0x1.58528289ab5a7p-15, 0x1.50b224bbd50c6p-15, 0x1.491eb23eabfafp-15, 0x1.41978c92313f1p-15, 0x1.3a1c26b43d192p-15, 0x1.32ac48b88c176p-15, 0x1.2b481df98cbbcp-15, 0x1.23eff2ffeac7ep-15, }}, 
      {{-0x1.24847a2081334p-1, -0x1.0aee063644643p-1, -0x1.cfa17c82c37ecp-2, -0x1.7ef68d836380cp-2, -0x1.2a0e068088ed3p-2, -0x1.aa8ff46b54bap-3, -0x1.074bcd1905763p-3, -0x1.b916b56f23674p-5, 0x1.e132dd392a4d3p-7, 0x1.38e0458cd68f2p-4, 0x1.0c55197a20cc5p-3, 0x1.6ddce4a89b5a7p-3, 0x1.c18bc5f698575p-3, 0x1.04166ae5983d7p-2, 0x1.215bebdd36c68p-2, 0x1.391ecbdf224eap-2, 0x1.4becad0c1a192p-2, 0x1.5a531d6b1b86cp-2, 0x1.64dbccc7587d3p-2, 0x1.6c09efa72c004p-2, 0x1.705888e522f5p-2, 0x1.723962b8275ffp-2, 0x1.72148c30e0883p-2, 0x1.7048387969a57p-2, 0x1.6d28e5236e5ccp-2, 0x1.6901b301c1653p-2, 0x1.6414e122eb8d7p-2, 0x1.5e9c5d647887bp-2, 0x1.58ca6141d6ab3p-2, 0x1.52ca13aa8990bp-2, 0x1.4cc02a9a9be94p-2, 0x1.46cb88b2263a7p-2, 0x1.4105d43ec3d16p-2, 0x1.3b84061c5b49p-2, 0x1.3656ef7cf15e8p-2, 0x1.318bb61f47b3fp-2, 0x1.2d2c46d20b86p-2, 0x1.293fbe5a6dba7p-2, 0x1.25cac8f98691ap-2, 0x1.22cff8e8656dcp-2, 0x1.2050143ca1b36p-2, 0x1.1e4a5abd448efp-2, 0x1.1cbcc43d4f9c2p-2, 0x1.1ba4381522861p-2, 0x1.1afcbe50905b3p-2, 0x1.1ac1ab1ff8a23p-2, 0x1.1aedc511c38b2p-2, 0x1.1b7b66909abccp-2, 0x1.1c649b19ccc6fp-2, 0x1.1da33896c1319p-2, 0x1.1f30f53c4ba31p-2, 0x1.21077a4b5c5c6p-2, 0x1.23207407e164p-2, 0x1.25759f31711a6p-2, 0x1.2800d445abf4cp-2, 0x1.2abc10d060b67p-2, 0x1.2da17efc7b1dcp-2, 0x1.30ab7ba4bf4aep-2, 0x1.33d49b09137fbp-2, 0x1.3717ac67e88d5p-2, 0x1.3a6fbc80669bep-2, 0x1.3dd81749c002ep-2, 0x1.414c48e545476p-2, 0x1.44c81de3b73a8p-2, 0x1.4847a3055a483p-2, 0x1.4bc7249db2b6dp-2, 0x1.4f432d64a155cp-2, 0x1.52b885305172p-2, 0x1.56242f449e116p-2, 0x1.59836881a9fcdp-2, 0x1.5cd3a5751d4a5p-2, 0x1.601290375cbc2p-2, 0x1.633e06343c8adp-2, 0x1.6654160c89e03p-2, 0x1.6952fd3753a16p-2, 0x1.6c3925d200d1ep-2, 0x1.6f05245cbcf54p-2, 0x1.71b5b581b7a6dp-2, 0x1.7449bbed0904ap-2, 0x1.76c03e2eea363p-2, 0x1.791864a6ff3c6p-2, 0x1.7b517787e48eep-2, 0x1.7d6adce639b2dp-2, 0x1.7f6416dc85495p-2, 0x1.813cc1bc2650ap-2, 0x1.82f4925812d1cp-2, 0x1.848b5457c558ap-2, 0x1.8600e8a686b7dp-2, 0x1.875543eea8706p-2, 0x1.88886d2a522b5p-2, 0x1.899a7c3ec3d92p-2, 0x1.8a8b98b7d7d53p-2, 0x1.8b5bf88073fbap-2, 0x1.8c0bdebd6a311p-2, 0x1.8c9b9aadc9c71p-2, 0x1.8d0b869ed75ccp-2, 0x1.8d5c06efbc147p-2, 0x1.8d8d891e22e45p-2, 0x1.8da082ed19327p-2, 0x1.8d957189fe75bp-2, 0x1.8d6cd8cc509fcp-2, 0x1.8d27427a4fe67p-2, 0x1.8cc53d9b7688dp-2, 0x1.8c475dd75d3fep-2, 0x1.8bae3ade65bb8p-2, 0x1.8afa6fdbdc017p-2, 0x1.8a2c9af416135p-2, 0x1.89455cc8489c7p-2, 0x1.884558056c67cp-2, 0x1.872d30fa577f1p-2, 0x1.85fd8d346f23bp-2, 0x1.84b71323dc2a5p-2, 0x1.835a69c680a65p-2, 0x1.81e83858d13b9p-2, 0x1.8061260bdce4p-2, 0x1.7ec5d9c1d6affp-2, 0x1.7d16f9cf29ed6p-2, 0x1.7b552bbef8342p-2, 0x1.7981141eb7504p-2, 0x1.779b564d1733cp-2, 0x1.75a4944b2dc46p-2, 0x1.739d6e92bff64p-2, 0x1.718683f38c6cp-2, 0x1.6f60716949cd6p-2, 0x1.6d2bd20798efdp-2, 0x1.6ae93ecd22f12p-2, 0x1.68994e9dce322p-2, 0x1.663c961907e18p-2, 0x1.63d3a7925330bp-2, 0x1.615f12fb10e4ep-2, 0x1.5edf65ca549b9p-2, 0x1.5c552b002081p-2, 0x1.59c0eb0c992c5p-2, 0x1.57232bc404446p-2, 0x1.547c7067ba906p-2, 0x1.51cd3988ad5b8p-2, 0x1.4f1605152a2cbp-2, 0x1.4c574e442cd85p-2, 0x1.49918da9583b1p-2, 0x1.46c5391a13b94p-2, 0x1.43f2c3bea6d1dp-2, 0x1.411a9e11f4824p-2, 0x1.3e3d35d5c04a6p-2, 0x1.3b5af629ad65bp-2, 0x1.3874477d4b94cp-2, 0x1.35898f9e1beb8p-2, 0x1.329b31ba4977dp-2, 0x1.2fa98e618609cp-2, 0x1.2cb503977406fp-2, 0x1.29bdeccd4176ap-2, 0x1.26c4a2ee0ef4fp-2, 0x1.23c97c68dff8p-2, 0x1.20cccd364b013p-2, 0x1.1dcee6e6422acp-2, 0x1.1ad01894f2fb3p-2, 0x1.17d0af144ffdbp-2, 0x1.14d0f4da91cap-2, 0x1.11d13217107c7p-2, 0x1.0ed1acb6851b1p-2, 0x1.0bd2a871091d7p-2, 0x1.08d466d97fe8ep-2, 0x1.05d72753db52ap-2, 0x1.02db273881cc3p-2, 0x1.ffc1438c9cd7bp-3, 0x1.f9cfa08034173p-3, 0x1.f3e1d3ddd56f4p-3, 0x1.edf8485071efcp-3, 0x1.e81364b45f3d2p-3, 0x1.e2338c327ab7fp-3, 0x1.dc591e640354dp-3, 0x1.d68477332a10fp-3, 0x1.d0b5ef2acb84cp-3, 0x1.caeddb5414adep-3, 0x1.c52c8d77fda58p-3, 0x1.bf7254204dfdfp-3, 0x1.b9bf7aa4a7c1ep-3, 0x1.b414493c9951ap-3, 0x1.ae7105195e0f8p-3, 0x1.a8d5f07afff83p-3, 0x1.a3434acf111a9p-3, 0x1.9db9508fca9c6p-3, 0x1.98383b9877d8ep-3, 0x1.92c042f919beap-3, 0x1.8d519b37270bbp-3, 0x1.87ec764da6b19p-3, 0x1.829103b96433fp-3, 0x1.7d3f7086d3ebep-3, 0x1.77f7e76457083p-3, 0x1.72ba90b9f8c61p-3, 0x1.6d8792b6ad56p-3, 0x1.685f115db30eap-3, 0x1.63412e9903497p-3, 0x1.5e2e0a23d7f3p-3, 0x1.5925c1de81214p-3, 0x1.5428719e8c842p-3, 0x1.4f36336346b5p-3, 0x1.4a4f1f5097517p-3, 0x1.45734bbad0329p-3, 0x1.40a2cd35dd4dp-3, 0x1.3bddb6a6acca4p-3, 0x1.37241951a7f2ep-3, 0x1.327604e45d86p-3, 0x1.2dd3877d0026bp-3, 0x1.293cadb2ee6dap-3, 0x1.24b182ac9fb32p-3, 0x1.2032101aa1961p-3, 0x1.1bbe5e56efc84p-3, 0x1.1756746fe2179p-3, 0x1.12fa58192889ap-3, 0x1.0eaa0dc8cfa89p-3, 0x1.0a6598ba35db3p-3, 0x1.062cfafbb599bp-3, 0x1.02003579ee10bp-3, 0x1.fbbe90108a15ap-4, 0x1.f39462cef88b4p-4, 0x1.eb81de99285cap-4, 0x1.e386fcd2fc585p-4, 0x1.dba3b4eee4fbep-4, 0x1.d3d7fc820bc28p-4, 0x1.cc23c752f2c2bp-4, 0x1.c48707764c1f6p-4, 0x1.bd01ad3970a3ap-4, 0x1.b593a74561383p-4, 0x1.ae3ce2c8ec2d6p-4, 0x1.a6fd4b4bb162bp-4, 0x1.9fd4caf150658p-4, 0x1.98c34a7411e21p-4, 0x1.91c8b13278826p-4, 0x1.8ae4e539ce098p-4, 0x1.8417cb519f27cp-4, 0x1.7d614709205f6p-4, 0x1.76c13ac597466p-4, 0x1.703787d015f9p-4, 0x1.69c40e6156749p-4, 0x1.6366adabb4cd6p-4, 0x1.5d1f43e44727ep-4, 0x1.56edae4c734dap-4, 0x1.50d1c93c6164cp-4, 0x1.4acb702c1118cp-4, 0x1.44da7dd6b5225p-4, 0x1.3efecc04c1c3dp-4, 0x1.393833e9cd1fp-4, 0x1.33868df932e31p-4, 0x1.2de9b1ed05fdfp-4, 0x1.286176e34e9cep-4, 0x1.22edb35cb4886p-4, 0x1.1d8e3d46b03d4p-4, 0x1.1842ea05de537p-4, 0x1.130b8e7ddb82cp-4, 0x1.0de7ff18bc06ep-4, 0x1.08d80fcde4afp-4, 0x1.03db9428f747cp-4, 0x1.fde4bea0d039ap-5, 0x1.f438881b82de1p-5, 0x1.eab229a9c4653p-5, 0x1.e1514796e2752p-5, 0x1.d815859f3d6b3p-5, 0x1.cefe86fc9e283p-5, 0x1.c60bee7196fa4p-5, 0x1.bd3d5e53c5c66p-5, 0x1.b492789329788p-5, 0x1.ac0adeeb6092fp-5, 0x1.a3a63292af40fp-5, 0x1.9b6414a9dc3fep-5, 0x1.93442631dd78bp-5, 0x1.8b4607d92bdf6p-5, 0x1.83695a4735352p-5, 0x1.7badbe0b24d65p-5, 0x1.7412d3a6f6e29p-5, 0x1.6c983b998274fp-5, 0x1.653d9667992dbp-5, 0x1.5e0284a58236ap-5, 0x1.56e6a6ff8b4e6p-5, 0x1.4fe99e426187p-5, 0x1.490b0b62ed1ep-5, 0x1.424a8f85a9bd2p-5, 0x1.3ba7cc0586c03p-5, 0x1.3522627a930eep-5, 0x1.2eb9f4c10fb2fp-5, 0x1.286e25004806fp-5, 0x1.223e95b16e77bp-5, 0x1.1c2ae9a620413p-5, 0x1.1632c40e6a287p-5, 0x1.1055c87ec4c25p-5, 0x1.0a939af56e888p-5, 0x1.04ebdfde90a83p-5, 0x1.febc782d5f0fcp-6, 0x1.f3d4aa22d98bap-6, 0x1.e91fa106287ebp-6, 0x1.de9ca9a48087bp-6, 0x1.d44b11dff8b5p-6, 0x1.ca2a28750aa45p-6, 0x1.c0393d64a2fe6p-6, 0x1.b677a1d1f3d0dp-6, 0x1.ace4a80dbd314p-6, 0x1.a37fa39e1feebp-6, 0x1.9a47e9457f9abp-6, 0x1.913ccf08efc16p-6, 0x1.885dac368cba6p-6, 0x1.7fa9d96b8eceap-6, 0x1.7720b09a17009p-6, 0x1.6ec18d0ea97edp-6, 0x1.668bcb7540a62p-6, 0x1.5e7ec9ddfb627p-6, 0x1.5699e7c1ab31bp-6, 0x1.4edc8605dff79p-6, 0x1.47460700a3992p-6, 0x1.3fd5ce7c0aab7p-6, 0x1.388b41b99b9ep-6, 0x1.3165c77597a2cp-6, 0x1.2a64c7ea211afp-6, 0x1.2387acd20cdefp-6, 0x1.1ccde16b77b56p-6, 0x1.1636d27a16d47p-6, 0x1.0fc1ee492fb92p-6, 0x1.096ea4ac62d08p-6, 0x1.033c66fd0fab1p-6, 0x1.fa5550672fc04p-7, 0x1.ee71b9b34f4e7p-7, 0x1.e2ccf55ca1bd3p-7, 0x1.d765f32d807f7p-7, 0x1.cc3ba52bf8c2dp-7, 0x1.c14d00c8d8f9fp-7, 0x1.b698fe9a2f6b7p-7, 0x1.ac1e9a5325dfcp-7, 0x1.a1dcd2c70eb8bp-7, 0x1.97d2a9e930dfp-7, 0x1.8dff24cc4a809p-7, 0x1.84614ba27ec4bp-7, 0x1.7af829bd57348p-7, 0x1.71c2cd8d70b1ep-7, 0x1.68c048a143077p-7, 0x1.5fefafa281976p-7, 0x1.57501a51d5d38p-7, 0x1.4ee0a3820b909p-7, 0x1.46a069130d7f8p-7, 0x1.3e8e8bee466bfp-7, 0x1.36aa3004c3023p-7, 0x1.2ef27c4ecf6f4p-7, 0x1.27669acc5d8dbp-7, 0x1.2005b8848a506p-7, 0x1.18cf0582c42dap-7, 0x1.11c1b4d09d5efp-7, 0x1.0adcfc6c894cap-7, 0x1.0420153ed3633p-7, 0x1.fb14761e36f1ap-8, 0x1.ee3558f93fa2fp-8, 0x1.e1a155f648693p-8, 0x1.d556f5a87518cp-8, 0x1.c954c6573e748p-8, 0x1.bd995c059d64ep-8, 0x1.b223506bc56fdp-8, 0x1.a6f142f2cbc4dp-8, 0x1.9c01d925c87aep-8, 0x1.9153bcbb6bb32p-8, 0x1.86e59de2e741p-8, 0x1.7cb631a4508f8p-8, 0x1.72c431bc42002p-8, 0x1.690e5d3735ec8p-8, 0x1.5f937836950f3p-8, 0x1.56524c14830e7p-8, 0x1.4d49a784dfcd6p-8, 0x1.44785ea5b9714p-8, 0x1.3bdd4af5eec6fp-8, 0x1.33774b2da6d4p-8, 0x1.2b4542fd590bfp-8, 0x1.23461ac03e111p-8, 0x1.1b78bf3440ae3p-8, 0x1.13dc214a0515cp-8, 0x1.0c6f361a459cbp-8, 0x1.0530f703b21f2p-8, 0x1.fc40c3d24c45dp-9, 0x1.ee78f2fb9cc97p-9, 0x1.e1088b0dbd436p-9, 0x1.d3eda5f632e66p-9, 0x1.c72667dfa317ap-9, 0x1.bab0fe9f2e8d5p-9, 0x1.ae8ba0cbad0dep-9, 0x1.a2b48caf11614p-9, 0x1.972a075011f9p-9, 0x1.8bea5bd1e4056p-9, 0x1.80f3db53d6a43p-9, 0x1.7644dd5bfde49p-9, 0x1.6bdbc0b544d6ep-9, 0x1.61b6ec89ebcadp-9, 0x1.57d4d1715a445p-9, 0x1.4e33ea2535598p-9, 0x1.44d2bba3e2a28p-9, 0x1.3bafd4a5b5316p-9, 0x1.32c9cc74d0fb9p-9, 0x1.2a1f415eff312p-9, 0x1.21aed7154f0a5p-9, 0x1.1977354f3d16ep-9, 0x1.1177071d8adf8p-9, 0x1.09acfba52be56p-9, 0x1.0217c4cf5e77p-9, 0x1.f56c3668a4d17p-10, 0x1.e70d7d87415a4p-10, 0x1.d910ef2098662p-10, 0x1.cb742ff490908p-10, 0x1.be34f931a816ap-10, 0x1.b1511762b63abp-10, 0x1.a4c667c450d8p-10, 0x1.9892d4724029p-10, 0x1.8cb45039975c3p-10, 0x1.8128d2ef27fe3p-10, 0x1.75ee570c3ec68p-10, 0x1.6b02d904fc01p-10, 0x1.6064586bee189p-10, 0x1.5610da933f34fp-10, 0x1.4c066e190956cp-10, 0x1.42432ea4fb29bp-10, 0x1.38c5481e8f01ep-10, 0x1.2f8af8b9c3b94p-10, 0x1.269291716bf69p-10, 0x1.1dda74c829e69p-10, 0x1.15611401adedcp-10, 0x1.0d24eb54d1a28p-10, 0x1.05247dd4f855p-10, 0x1.fabca3b7a62d6p-11, 0x1.eba1dd5bcf389p-11, 0x1.dcf5b7503f3cdp-11, 0x1.ceb5420cc05edp-11, 0x1.c0dd93c11bcb4p-11, 0x1.b36bcdb50c3a7p-11, 0x1.a65d21f291725p-11, 0x1.99aed857d90cap-11, 0x1.8d5e52726c274p-11, 0x1.81690db9ec19bp-11, 0x1.75cca3da408f2p-11, 0x1.6a86c8e8af86dp-11, 0x1.5f95478f13cb7p-11, 0x1.54f5fbc62da21p-11, 0x1.4aa6cd1e02c9p-11, 0x1.40a5a9bd952d6p-11, 0x1.36f0833dddbfcp-11, 0x1.2d854dd1e4e6ap-11, 0x1.2462016c20124p-11, 0x1.1b849be54952bp-11, 0x1.12eb2305aebc1p-11, 0x1.0a93a629da397p-11, 0x1.027c40c7b58ep-11, 0x1.f5462d8199fa8p-12, 0x1.e60cb656eb6d6p-12, 0x1.d748a2b261263p-12, 0x1.c8f6998cf7563p-12, 0x1.bb1369a5dfd13p-12, 0x1.ad9c058c9e181p-12, 0x1.a08d7d9f0a66fp-12, 0x1.93e4f8621b05dp-12, 0x1.879fabf928044p-12, 0x1.7bbadb13ebcbfp-12, 0x1.7033d59851ac6p-12, 0x1.6507fafd6953ep-12, 0x1.5a34bb3447a95p-12, 0x1.4fb793d1af136p-12, 0x1.458e09a7bd25cp-12, 0x1.3bb5a1cf60b17p-12, 0x1.322bde69daf01p-12, 0x1.28ee421c53beep-12, 0x1.1ffa5a03c128cp-12, 0x1.174dca4ba1de7p-12, 0x1.0ee657fd63555p-12, 0x1.06c1ebef264bfp-12, 0x1.fdbd1c9cce4fp-13, 0x1.ee74bbf6b1b8dp-13, 0x1.dfa7112d771f3p-13, 0x1.d1508de714721p-13, 0x1.c36dbcf5a833bp-13, 0x1.b5fb4a082e4cbp-13, 0x1.a8f6067f768c2p-13, 0x1.9c5ae4660ce46p-13, 0x1.9026e69244147p-13, 0x1.845708d958905p-13, 0x1.78e82bd1e2e14p-13, 0x1.6dd70e5fd49f2p-13, 0x1.63205b4c26eedp-13, 0x1.58c0c72d23672p-13, 0x1.4eb5322f73b13p-13, 0x1.44fabf1152ec8p-13, 0x1.3b8ed63b8ca4bp-13, 0x1.326f165ede374p-13, 0x1.29993d42c195cp-13, 0x1.210b15a186a8ep-13, 0x1.18c271231f8f9p-13, 0x1.10bd2cba2f7d4p-13, 0x1.08f938a1be018p-13, 0x1.01749dbcbcc8dp-13, 0x1.f45afa6c41611p-14, 0x1.e644128481fb4p-14, 0x1.d8a0ef38cb39ap-14, 0x1.cb6de29f10747p-14, 0x1.bea70d6059a2dp-14, 0x1.b2485f778a311p-14, 0x1.a64dbcc36436p-14, 0x1.9ab31d055ea3ap-14, 0x1.8f74cac331d17p-14, 0x1.848f828b360b2p-14, 0x1.7a00613e65757p-14, 0x1.6fc4d33ed4c2fp-14, 0x1.65da69f509c2ep-14, 0x1.5c3ebfa7398f4p-14, 0x1.52ef6e5d8f676p-14, 0x1.49ea11c8ccbdp-14, 0x1.412c4a2b21735p-14, 0x1.38b3bd46508f4p-14, 0x1.307e16dd99512p-14, 0x1.288908f65859dp-14, 0x1.20d24bb23f322p-14, 0x1.19579e6e32546p-14, 0x1.1216ca4b951bdp-14, 0x1.0b0da32d8cd9dp-14, 0x1.043a068075b3ep-14, 0x1.fb33b82e4ef33p-15, 0x1.ee5638ef2d1a6p-15, 0x1.e1d7b5133aa6bp-15, 0x1.d5b49b7d786aap-15, 0x1.c9e9b7a67a716p-15, 0x1.be743d0fb69fcp-15, 0x1.b351bd377cbf8p-15, 0x1.a8800494414d5p-15, 0x1.9dfce9be94913p-15, 0x1.93c620e31401cp-15, 0x1.89d9289ad85c8p-15, 0x1.8033592e41995p-15, 0x1.76d1fed796c8ep-15, 0x1.6db25dc0af026p-15, 0x1.64d1a5760edd1p-15, 0x1.5c2cfb77257c6p-15, 0x1.53c1ab97d9275p-15, 0x1.4b8d5f47c3p-15, 0x1.438e2f20f46e4p-15, 0x1.3bc2844c0d6b5p-15, 0x1.3428dfab8f777p-15, 0x1.2cbfa78b564a7p-15, 0x1.25850c386553bp-15, 0x1.1e770afa1746fp-15, 0x1.17939d8f4e03ap-15, 0x1.10d910001c822p-15, 0x1.0a463fca9143bp-15, 0x1.03da81461df62p-15, 0x1.fb2a681f785d2p-16, 0x1.eeeab72280ef7p-16, 0x1.e2f32135db678p-16, 0x1.d7409cafecfbap-16, 0x1.cbd0799e801ecp-16, 0x1.c0a0519ff4db3p-16, 0x1.b5ad93653dbfbp-16, 0x1.aaf54f9c06bfp-16, 0x1.a074778d805f1p-16, 0x1.96284bb678f71p-16, 0x1.8c0eb48336eedp-16, 0x1.822660a211f86p-16, 0x1.786e9d9573328p-16, 0x1.6ee6bbb92e812p-16, 0x1.658dbb8dc49bcp-16, 0x1.5c621fe2b10a8p-16, 0x1.5361edc0cfba6p-16, 0x1.4a8aee8dae08cp-16, 0x1.41db151b94407p-16, 0x1.39512b8539e93p-16, 0x1.30ed085d6f59bp-16, 0x1.28aeb7a4c5a9ep-16, 0x1.2095697bcfeep-16, 0x1.189f5ebc6ca0ep-16, 0x1.10cad9bdb5c3ep-16, 0x1.0916dc34d5b1ap-16, 0x1.0182e380ee25ap-16, 0x1.f41c7f153a3dep-17, 0x1.e56fb4d6076a9p-17, 0x1.d6fcd4dfb521bp-17, 0x1.c8c14d52242e8p-17, 0x1.babaceb1043d6p-17, 0x1.ace796e0b9982p-17, 0x1.9f46ab299a564p-17, 0x1.91d7ba74f0338p-17, 0x1.849aa1b44a3d9p-17, 0x1.778ee40882da7p-17, 0x1.6ab37864b411ep-17, 0x1.5e070e0b39cadp-17, 0x1.51886a7477d9bp-17, 0x1.4536490717872p-17, 0x1.390f21d21f7b5p-17, 0x1.2d11de63cc8fbp-17, 0x1.213e739387771p-17, 0x1.1594c1a88f02fp-17, 0x1.0a13612b9bc83p-17, 0x1.fd711dbe4a9a9p-18, 0x1.e7079156d6977p-18, 0x1.d0eaf0a92516bp-18, 0x1.bb1b23a2c45dap-18, 0x1.a596b55e19f77p-18, 0x1.905bec50dbf55p-18, 0x1.7b69396bb27b5p-18, 0x1.66bcf4cb22dp-18, 0x1.52553c670fd62p-18, 0x1.3e306452f3638p-18, 0x1.2a4d85210ff36p-18, 0x1.16aca9882084bp-18, 0x1.034e27796f9fep-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.817084421415cp-2, -0x1.81f8781c2147fp-2, -0x1.82d92d9a96165p-2, -0x1.840fe83df6843p-2, -0x1.8598f7ffe8e7dp-2, -0x1.876fd64baa67ap-2, -0x1.898f44e6bc34p-2, -0x1.8bf16d2c5305dp-2, -0x1.8e8ffe780dde1p-2, -0x1.91644af9f1052p-2, -0x1.94676274df39p-2, -0x1.97922a9e67151p-2, -0x1.9add74fe81889p-2, -0x1.9e42124ad1c9dp-2, -0x1.a1b8e34d6db49p-2, -0x1.a53ae7751fefep-2, -0x1.a8c14935fa14p-2, -0x1.ac4568662119ep-2, -0x1.afc0e2c51019fp-2, -0x1.b32d9adbc2273p-2, -0x1.b685bd6309723p-2, -0x1.b9c3c55b33ae3p-2, -0x1.bce27efd56baep-2, -0x1.bfdd09ab8ea7dp-2, -0x1.c2aed90232851p-2, -0x1.c553b528db555p-2, -0x1.c7c7ba7ee7bf6p-2, -0x1.ca0758bc3f663p-2, -0x1.cc0f519c54489p-2, -0x1.cddcb726d21b8p-2, -0x1.cf6ce9a7293b4p-2, -0x1.d0bd9562095c3p-2, -0x1.d1ccb015fd3fp-2, -0x1.d2987652bf359p-2, -0x1.d31f68b151906p-2, -0x1.d36048f5a8854p-2, -0x1.d35a172177c63p-2, -0x1.d30c0e7ec4fdap-2, -0x1.d275a2a7e462fp-2, -0x1.d1967c91ca9p-2, -0x1.d06e779cd785bp-2, -0x1.cefd9eafb4b48p-2, -0x1.cd44295f3bd12p-2, -0x1.cb427925f401ep-2, -0x1.c8f916ad367b6p-2, -0x1.c668af29ad126p-2, -0x1.c39211cc8e203p-2, -0x1.c0762d4a9e7c8p-2, -0x1.bd160d79cedb5p-2, -0x1.b972d905fea73p-2, -0x1.b58dcf3d42771p-2, -0x1.b16845f3de807p-2, -0x1.ad03a77ff6c73p-2, -0x1.a86170ccdb8a8p-2, -0x1.a3832f85ace1p-2, -0x1.9e6a8057088d4p-2, -0x1.99190d474ed01p-2, -0x1.93908c24fc0ap-2, -0x1.8dd2bd0a8aep-2, -0x1.87e168f73f3c2p-2, -0x1.81be607c33ed2p-2, -0x1.7b6b7a7cf7016p-2, -0x1.74ea93030411cp-2, -0x1.6e3d8a236190fp-2, -0x1.676642f5a00c2p-2, -0x1.6066a29b869aap-2, -0x1.59408f58a4d14p-2, -0x1.51f5efb91b2d4p-2, -0x1.4a88a9c6d47f7p-2, -0x1.42faa24c85b14p-2, -0x1.3b4dbc25b889ap-2, -0x1.3383d79b3c834p-2, -0x1.2b9ed1cb4ffc4p-2, -0x1.23a0841ce2183p-2, -0x1.1b8ac3bd4e1f6p-2, -0x1.135f6128001a5p-2, -0x1.0b2027b766f7p-2, -0x1.02cedd3eb51f5p-2, -0x1.f4da8357ce50fp-3, -0x1.e3fa1d631e9d1p-3, -0x1.d2ffeeefeb2a7p-3, -0x1.c1ef50aa2e41fp-3, -0x1.b0cb8d1634b1bp-3, -0x1.9f97e019a7f8p-3, -0x1.8e57768ff62d6p-3, -0x1.7d0d6de96fac9p-3, -0x1.6bbcd3d45ffe7p-3, -0x1.5a68a5ef97f08p-3, -0x1.4913d185c4598p-3, -0x1.37c133510e7b9p-3, -0x1.2673974681332p-3, -0x1.152db868ba6f7p-3, -0x1.03f240a17be36p-3, -0x1.e5879143469b7p-4, -0x1.c349af8e72d83p-4, -0x1.a12fc812615e4p-4, -0x1.7f3ea3d0fc05ap-4, -0x1.5d7ae8cc879bfp-4, -0x1.3be919fd7542p-4, -0x1.1a8d9751372dap-4, -0x1.f2d93b6316095p-5, -0x1.b1148e2796ac7p-5, -0x1.6fd5151fa28c8p-5, -0x1.2f2278fc022d4p-5, -0x1.de083a708fd9ap-6, -0x1.5f0240e2b030ap-6, -0x1.c28173209b20bp-7, -0x1.934342804f4dfp-8, 0x1.640d4eff1d6ecp-10, 0x1.1fd03085c0d18p-7, 0x1.08195f81b1ef5p-6, 0x1.7ec994ad172a8p-6, 0x1.f3ee245d65f8ep-6, 0x1.33be7e38c44afp-5, 0x1.6cb64556e0ce7p-5, 0x1.a4d9dda57ea05p-5, 0x1.dc24fbbbd418dp-5, 0x1.0949c8f2a2b69p-4, 0x1.2410e7aa26ee5p-4, 0x1.3e660fa7912cdp-4, 0x1.5847942b3e6dap-4, 0x1.71b3e5a36425ep-4, 0x1.8aa9913a0a6e9p-4, 0x1.a32740608aeddp-4, 0x1.bb2bb858be30cp-4, 0x1.d2b5d9bbf6c68p-4, 0x1.e9c49ffff99b8p-4, 0x1.002b907d0631fp-3, 0x1.0b36463020914p-3, 0x1.160215a495a75p-3, 0x1.208eafd507372p-3, 0x1.2adbd1e9d66bbp-3, 0x1.34e944f6f8546p-3, 0x1.3eb6ddb92ced4p-3, 0x1.48447c52cad7fp-3, 0x1.51920c0810d08p-3, 0x1.5a9f82fb1ac5fp-3, 0x1.636ce1e78df19p-3, 0x1.6bfa33ddfe8eep-3, 0x1.74478dff2b5cp-3, 0x1.7c550f370dff5p-3, 0x1.8422dff7dab75p-3, 0x1.8bb131f5000a1p-3, 0x1.93003fde212dep-3, 0x1.9a104d1a2f3afp-3, 0x1.a0e1a5829cc0cp-3, 0x1.a7749d1ec6221p-3, 0x1.adc98fdf907a2p-3, 0x1.b3e0e15b5264ep-3, 0x1.b9bafc8a0a2f4p-3, 0x1.bf585381fe75fp-3, 0x1.c4b95f34b79bap-3, 0x1.c9de9f2c7ef26p-3, 0x1.cec8994a52e21p-3, 0x1.d377d98466094p-3, 0x1.d7ecf1a5368ap-3, 0x1.dc28790b3bc0dp-3, 0x1.e02b0c693ea02p-3, 0x1.e3f54d8761171p-3, 0x1.e787e304d8e84p-3, 0x1.eae3781a6ea87p-3, 0x1.ee08bc5dc1c5p-3, 0x1.f0f86385597dbp-3, 0x1.f3b3252d91c51p-3, 0x1.f639bc9e5898bp-3, 0x1.f88ce891de1f4p-3, 0x1.faad6afc1c475p-3, 0x1.fc9c08d35ad92p-3, 0x1.fe5989d99adecp-3, 0x1.ffe6b8670040cp-3, 0x1.00a2309a9d3cdp-2, 0x1.0139a995f1c9ap-2, 0x1.01ba2f96f859ep-2, 0x1.02242bf40f1dap-2, 0x1.027808d035d74p-2, 0x1.02b631035509p-2, 0x1.02df100307c19p-2, 0x1.02f311cbf3773p-2, 0x1.02f2a2cba6778p-2, 0x1.02de2fcb02a38p-2, 0x1.02b625d933967p-2, 0x1.027af2372e757p-2, 0x1.022d0243c03e7p-2, 0x1.01ccc36825bf9p-2, 0x1.015aa305335f7p-2, 0x1.00d70e61053ccp-2, 0x1.004272953c09ep-2, 0x1.ff3a78fb8f0edp-3, 0x1.fdcfb15071c8ap-3, 0x1.fc45668742d51p-3, 0x1.fa9c7021f5a84p-3, 0x1.f8d5a4a82fef4p-3, 0x1.f6f1d98a3b95dp-3, 0x1.f4f1e30503522p-3, 0x1.f2d6940721a09p-3, 0x1.f0a0be16f33b8p-3, 0x1.ee513139b2566p-3, 0x1.ebe8bbdb93927p-3, 0x1.e9682ab8ead5bp-3, 0x1.e6d048c842e71p-3, 0x1.e421df257cecdp-3, 0x1.e15db4fddac68p-3, 0x1.de848f7d079aep-3, 0x1.db9731bb097f7p-3, 0x1.d8965cab26c66p-3, 0x1.d582cf0baab87p-3, 0x1.d25d45569c331p-3, 0x1.cf2679b349244p-3, 0x1.cbdf23e8b95ccp-3, 0x1.c887f950f0f8ap-3, 0x1.c521accd11527p-3, 0x1.c1aceeba40c12p-3, 0x1.be2a6ce769d6fp-3, 0x1.ba9ad28bb6dcep-3, 0x1.b6fec83dd95fdp-3, 0x1.b356f3ec109ddp-3, 0x1.afa3f8d4e2832p-3, 0x1.abe6778097ecap-3, 0x1.a81f0dbb600aep-3, 0x1.a44e569023b12p-3, 0x1.a074ea4408906p-3, 0x1.9c935e528d7f4p-3, 0x1.98aa456a4ec42p-3, 0x1.94ba2f6a644cdp-3, 0x1.90c3a96053ad4p-3, 0x1.8cc73d869a49fp-3, 0x1.88c57343bef81p-3, 0x1.84becf29f05a7p-3, 0x1.80b3d2f72c771p-3, 0x1.7ca4fd95df0aep-3, 0x1.7892cb1e09f7fp-3, 0x1.747db4d6d65f4p-3, 0x1.70663138a8caap-3, 0x1.6c4cb3ef9a7e7p-3, 0x1.6831adde619fcp-3, 0x1.64158d21a4aa8p-3, 0x1.5ff8bd13a962bp-3, 0x1.5bdba6506b903p-3, 0x1.57beaeba082c9p-3, 0x1.53a2397d86ae8p-3, 0x1.4f86a717edfb3p-3, 0x1.4b6c555bb3f0fp-3, 0x1.47539f766c46ep-3, 0x1.433cddf6ca1bbp-3, 0x1.3f2866d2e53eep-3, 0x1.3b168d6eba698p-3, 0x1.3707a2a2ef316p-3, 0x1.32fbf4c3d0eb9p-3, 0x1.2ef3cfa885b23p-3, 0x1.2aef7cb27777ep-3, 0x1.26ef42d4ea354p-3, 0x1.22f3669cc4397p-3, 0x1.1efc2a3880b3ap-3, 0x1.1b09cd8043a8ep-3, 0x1.171c8dfe1e4b8p-3, 0x1.1334a6f6694f6p-3, 0x1.0f525170434edp-3, 0x1.0b75c43e309c7p-3, 0x1.079f3406ccacbp-3, 0x1.03ced34d9500ep-3, 0x1.0004d27bcd95ap-3, 0x1.f882bfd2e3417p-4, 0x1.f1094fcc72d7cp-4, 0x1.e99da98551f68p-4, 0x1.e2401db25d12p-4, 0x1.daf0f92e9014ep-4, 0x1.d3b0850d613f8p-4, 0x1.cc7f06ad2d9f2p-4, 0x1.c55cbfc99af6bp-4, 0x1.be49ee8e15cd8p-4, 0x1.b746cda8351aap-4, 0x1.b053945a2c02dp-4, 0x1.a970768d348d5p-4, 0x1.a29da4e3e379ep-4, 0x1.9bdb4ccc750d5p-4, 0x1.952998930f502p-4, 0x1.8e88af73ec058p-4, 0x1.87f8b5ad69a82p-4, 0x1.8179cc92074ap-4, 0x1.7b0c129a47a65p-4, 0x1.74afa3767320cp-4, 0x1.6e6498203a743p-4, 0x1.682b06ec398a2p-4, 0x1.6203039b55331p-4, 0x1.5bec9f6bf393bp-4, 0x1.55e7e92b0ae06p-4, 0x1.4ff4ed450991fp-4, 0x1.4a13b5d69244cp-4, 0x1.44444abd0b70cp-4, 0x1.3e86b1a6fdde9p-4, 0x1.38daee2448305p-4, 0x1.334101b62073ep-4, 0x1.2db8ebdee067ap-4, 0x1.2842aa31a37a3p-4, 0x1.22de3861ab71p-4, 0x1.1d8b90519507ep-4, 0x1.184aaa22557fep-4, 0x1.131b7c41fc318p-4, 0x1.0dfdfb7a4309ap-4, 0x1.08f21afee3bd3p-4, 0x1.03f7cc7bb5387p-4, 0x1.fe1e00451e5bbp-5, 0x1.f46f4971e56a1p-5, 0x1.eae34f4af64c9p-5, 0x1.e179e9fa23798p-5, 0x1.d832ef1fd1815p-5, 0x1.cf0e31ec76cffp-5, 0x1.c60b83399fef7p-5, 0x1.bd2ab1a28116bp-5, 0x1.b46b899c11808p-5, 0x1.abcdd58cab42ap-5, 0x1.a3515de33bf6ep-5, 0x1.9af5e92df65fcp-5, 0x1.92bb3c3091b3bp-5, 0x1.8aa119fa12563p-5, 0x1.82a743fa1af0ap-5, 0x1.7acd7a15c8ba7p-5, 0x1.73137abc1fdfap-5, 0x1.6b7902f9faa46p-5, 0x1.63fdce8d8a0eep-5, 0x1.5ca197f9621afp-5, 0x1.5564189713949p-5, 0x1.4e4508a95aa22p-5, 0x1.47441f6dd1758p-5, 0x1.4061132e3be5fp-5, 0x1.399b995162cd4p-5, 0x1.32f3666b7ba2ep-5, 0x1.2c682e4e3117ep-5, 0x1.25f9a41832aa1p-5, 0x1.1fa77a4463752p-5, 0x1.197162b899d57p-5, 0x1.13570ed3f7f36p-5, 0x1.0d582f7ce3e6fp-5, 0x1.0774752e91611p-5, 0x1.01ab900631f68p-5, 0x1.f7fa5f9f74e8fp-6, 0x1.ecd208248ee85p-6, 0x1.e1dd78384c31cp-6, 0x1.d71c0e1cf981cp-6, 0x1.cc8d27d12cf1cp-6, 0x1.c2302325a1b17p-6, 0x1.b8045dd26dad5p-6, 0x1.ae09358b70115p-6, 0x1.a43e08141bd54p-6, 0x1.9aa233529fbc5p-6, 0x1.9135156253da7p-6, 0x1.87f60ca591eafp-6, 0x1.7ee477d6e578fp-6, 0x1.75ffb6198d83ep-6, 0x1.6d4727097bf5ap-6, 0x1.64ba2acaa25bdp-6, 0x1.5c582217bbbeap-6, 0x1.54206e507281bp-6, 0x1.4c12718701461p-6, 0x1.442d8e8d438aap-6, 0x1.3c7129012f016p-6, 0x1.34dca558d6acbp-6, 0x1.2d6f68edda367p-6, 0x1.2628da085fc2cp-6, 0x1.1f085fe9848adp-6, 0x1.180d62d558a8p-6, 0x1.11374c1c57fc1p-6, 0x1.0a8586246fb18p-6, 0x1.03f77c7196a9ep-6, 0x1.fb19375bd155p-7, 0x1.ee88a362c0da5p-7, 0x1.e23c1b123dfaap-7, 0x1.d6327efc822c2p-7, 0x1.ca6ab238b7ac2p-7, 0x1.bee39a6f2c75ap-7, 0x1.b39c1fe4a40abp-7, 0x1.a8932d8508cc6p-7, 0x1.9dc7b0ed5579cp-7, 0x1.93389a74e547fp-7, 0x1.88e4dd35e86d2p-7, 0x1.7ecb6f155cd1dp-7, 0x1.74eb48ca4051fp-7, 0x1.6b4365e42dcf3p-7, 0x1.61d2c4d182a35p-7, 0x1.589866e4a5b4p-7, 0x1.4f935058fa169p-7, 0x1.46c288572b10bp-7, 0x1.3e2518f8f512ep-7, 0x1.35ba0f4c63ca4p-7, 0x1.2d807b5691d07p-7, 0x1.25777015ee7adp-7, 0x1.1d9e038406afep-7, 0x1.15f34e96ef052p-7, 0x1.0e766d4214524p-7, 0x1.07267e76c7dd3p-7, 0x1.0002a4244c717p-7, 0x1.f214066f00c3ep-8, 0x1.e47787345cebp-8, 0x1.d72e2063f9bddp-8, 0x1.ca362dbe099e5p-8, 0x1.bd8e10f41899p-8, 0x1.b13431a4ed253p-8, 0x1.a526fd57b30f9p-8, 0x1.9964e776a2f25p-8, 0x1.8dec6948f6186p-8, 0x1.82bc01ec82d6cp-8, 0x1.77d2364e8b6bep-8, 0x1.6d2d912450ea4p-8, 0x1.62cca2e2fbd94p-8, 0x1.58ae01b72c727p-8, 0x1.4ed0497bf3296p-8, 0x1.45321bb1843bfp-8, 0x1.3bd21f7370425p-8, 0x1.32af016ea1eadp-8, 0x1.29c773d6b0928p-8, 0x1.211a2e5b387efp-8, 0x1.18a5ee1c8fd6dp-8, 0x1.106975a073709p-8, 0x1.08638cc630767p-8, 0x1.009300bab6f5ap-8, 0x1.f1ed47d882ef9p-9, 0x1.e31a9bfbad388p-9, 0x1.d4abb7755d185p-9, 0x1.c69e5e12422b5p-9, 0x1.b8f05dbb134aap-9, 0x1.ab9f8e5a3b792p-9, 0x1.9ea9d1c08a0cdp-9, 0x1.920d138a31a88p-9, 0x1.85c7490368a1bp-9, 0x1.79d6710c5932dp-9, 0x1.6e3893fd4ba93p-9, 0x1.62ebc38a77108p-9, 0x1.57ee1aa7ae676p-9, 0x1.4d3dbd6bc3847p-9, 0x1.42d8d8f3fbff4p-9, 0x1.38bda3473a199p-9, 0x1.2eea5b390591ep-9, 0x1.255d484ce7379p-9, 0x1.1c14ba99237d4p-9, 0x1.130f0aa9af077p-9, 0x1.0a4a996345924p-9, 0x1.01c5cfe62a253p-9, 0x1.f2fe3ee2ad7c2p-10, 0x1.e2ea028a67054p-10, 0x1.d34bed0db43f7p-10, 0x1.c42110458010bp-10, 0x1.b5668d6087277p-10, 0x1.a71994a9579bfp-10, 0x1.9937654d05d76p-10, 0x1.8bbd4d21b4719p-10, 0x1.7ea8a86df9dbfp-10, 0x1.71f6e1b004bf3p-10, 0x1.65a571653450dp-10, 0x1.59b1ddd24f68fp-10, 0x1.4e19bacb1856ep-10, 0x1.42daa97b6885dp-10, 0x1.37f2582f4ecd7p-10, 0x1.2d5e821d42503p-10, 0x1.231cef2f44e0dp-10, 0x1.192b73ccc4dp-10, 0x1.0f87f0a578ac8p-10, 0x1.0630527bca6c7p-10, 0x1.fa4523e0a7ea7p-11, 0x1.e8b9669ca096cp-11, 0x1.d7b98cad4e202p-11, 0x1.c741cc1ad92acp-11, 0x1.b74e710d4e18cp-11, 0x1.a7dbdd685bed8p-11, 0x1.98e688679de61p-11, 0x1.8a6afe3c18716p-11, 0x1.7c65dfaa4ded4p-11, 0x1.6ed3e1a9cc1dbp-11, 0x1.61b1cd05927d3p-11, 0x1.54fc7dfdd8f4fp-11, 0x1.48b0e3ea9f383p-11, 0x1.3ccc00df4d7d9p-11, 0x1.314ae94f0fe5p-11, 0x1.262ac3b3716dp-11, 0x1.1b68c8330c133p-11, 0x1.11024048f4871p-11, 0x1.06f4867039934p-11, 0x1.fa7a0b96f6193p-12, 0x1.e7b273a468becp-12, 0x1.d58d5bf8b8575p-12, 0x1.c405fae106557p-12, 0x1.b317a565c3fd9p-12, 0x1.a2bdceaa44b98p-12, 0x1.92f4074f1a3d1p-12, 0x1.83b5fcd5d55a6p-12, 0x1.74ff7908494e6p-12, 0x1.66cc61618ce8p-12, 0x1.5918b67ac71cfp-12, 0x1.4be093759faf6p-12, 0x1.3f202d6e56e4ap-12, 0x1.32d3d2eba4e13p-12, 0x1.26f7eb54e381ap-12, 0x1.1b88f666a9a16p-12, 0x1.10838baca0da9p-12, 0x1.05e459fb9ed2ep-12, 0x1.f7504ddd1283dp-13, 0x1.e3979cc8f456cp-13, 0x1.d098840572df1p-13, 0x1.be4d117156509p-13, 0x1.acaf7c88bae74p-13, 0x1.9bba257262a5cp-13, 0x1.8b679414a8bd1p-13, 0x1.7bb2772c3f6bfp-13, 0x1.6c95a3665cf8p-13, 0x1.5e0c1281293bfp-13, 0x1.5010e26eae521p-13, 0x1.429f547cd3143p-13, 0x1.35b2cc7e5ad0ep-13, 0x1.2946cff9eea2dp-13, 0x1.1d57055f147fbp-13, 0x1.11df333b4fb4ep-13, 0x1.06db3f755df1ep-13, 0x1.f88e5d14508aap-14, 0x1.e43e459ee4265p-14, 0x1.d0beb76fe277cp-14, 0x1.be086a3c29753p-14, 0x1.ac144d1b7f803p-14, 0x1.9adb85314d8fp-14, 0x1.8a576c4ee7933p-14, 0x1.7a818f9edc4ebp-14, 0x1.6b53ae5c0e351p-14, 0x1.5cc7b88cdf84p-14, 0x1.4ed7cdc4e6184p-14, 0x1.417e3bedec40ep-14, 0x1.34b57e15b1b99p-14, 0x1.28783b445cb35p-14, 0x1.1cc145558a716p-14, 0x1.118b97d97f4cbp-14, 0x1.06d256fd4d3dap-14, 0x1.f9219cf39ed56p-15, 0x1.e584e10d33868p-15, 0x1.d2c5a99f72004p-15, 0x1.c0db6eee471a6p-15, 0x1.afbdf02f5226fp-15, 0x1.9f65319e7db81p-15, 0x1.8fc97a9a79496p-15, 0x1.80e353cef45e9p-15, 0x1.72ab856e4157dp-15, 0x1.651b1563fa5d4p-15, 0x1.582b45a3eb08dp-15, 0x1.4bd5927621ebfp-15, 0x1.4013b0d722334p-15, 0x1.34df8cdfe5f85p-15, 0x1.2a33482fb9fe5p-15, 0x1.200938647067fp-15, 0x1.165be59fcedb8p-15, 0x1.0d26090e3c957p-15, 0x1.04628b77a6033p-15, 0x1.f81907bee6d1ep-16, 0x1.e83e6c4b9b088p-16, 0x1.d92c237bad04dp-16, 0x1.cad960a973e27p-16, 0x1.bd3da92b443dp-16, 0x1.b050d1d5fef55p-16, 0x1.a40afc9cede0cp-16, 0x1.986496388ff8bp-16, 0x1.8d5653db64f69p-16, 0x1.82d930fb5a096p-16, 0x1.78e66d2534971p-16, 0x1.6f7789e00ec25p-16, 0x1.66864894bfb37p-16, 0x1.5e0ca88fd33c4p-16, 0x1.5604e50bfd4cap-16, 0x1.4e6973549ab94p-16, 0x1.473500dde342fp-16, 0x1.40627177dbf84p-16, 0x1.39ecdd893a55bp-16, 0x1.33cf905d0e5c7p-16, 0x1.2e060675ba39bp-16, 0x1.288bebe9e7f95p-16, 0x1.235d1ad20fcf3p-16, 0x1.1e7599c467ba9p-16, 0x1.19d19a509025p-16, 0x1.156d778a82c02p-16, 0x1.1145b49d34292p-16, 0x1.0d56fb6c15cb8p-16, 0x1.099e1b40aa4fdp-16, 0x1.0618077c14efdp-16, 0x1.02c1d65346cdep-16, 0x1.ff317f1b1d409p-17, 0x1.f93436bed4716p-17, 0x1.f386c27629a81p-17, 0x1.ee244d57d00e8p-17, 0x1.e9083c8c12ee9p-17, 0x1.e42e2d1ecf843p-17, 0x1.df91f20dd7cf8p-17, 0x1.db2f922d54f77p-17, 0x1.d7034641ccf88p-17, 0x1.d3097715e8417p-17, 0x1.cf3ebba89a61ap-17, 0x1.cb9fd76f598aap-17, 0x1.c829b89f91f34p-17, 0x1.c4d9767753ca1p-17, 0x1.c1ac4faf4c01dp-17, 0x1.be9fa8e68ebadp-17, 0x1.bbb10b1f0fcecp-17, 0x1.b8de22439924bp-17, 0x1.b624bbb4572a9p-17, 0x1.b382c4f387676p-17, 0x1.b0f64a4ce393p-17, 0x1.ae7d7594a0399p-17, }}, 
      {{-0x1.81522f33a527bp-2, -0x1.817f98d2b5e2p-2, -0x1.81cae818ffcdap-2, -0x1.82338efc937aep-2, -0x1.82b8cc2c8a1e3p-2, -0x1.8359af954f345p-2, -0x1.84151f528772p-2, -0x1.84e9dcd169506p-2, -0x1.85d689f5db011p-2, -0x1.86d9ae20f5b41p-2, -0x1.87f1bb012f34dp-2, -0x1.891d111c1004ap-2, -0x1.8a5a0407321ep-2, -0x1.8ba6de4ae6b25p-2, -0x1.8d01e4ec44ef9p-2, -0x1.8e695a9ef792ap-2, -0x1.8fdb82a11234bp-2, -0x1.9156a3446f89ap-2, -0x1.92d9082a107bfp-2, -0x1.9461043474828p-2, -0x1.95ecf336378abp-2, -0x1.977b3b624e946p-2, -0x1.990a4e833907ap-2, -0x1.9a98aafe4a38ep-2, -0x1.9c24dca806fbcp-2, -0x1.9dad7d6e310f6p-2, -0x1.9f3135dbef885p-2, -0x1.a0aebd7c16b8p-2, -0x1.a224db1d4de81p-2, -0x1.a39264fb8d12ep-2, -0x1.a4f640d204f97p-2, -0x1.a64f63d85a9c9p-2, -0x1.a79cd2adc8ee6p-2, -0x1.a8dda1347d8c4p-2, -0x1.aa10f25f5723dp-2, -0x1.ab35f7f3e4e5ep-2, -0x1.ac4bf24266508p-2, -0x1.ad522fd551dap-2, -0x1.ae480d19c5dbfp-2, -0x1.af2cf40222983p-2, -0x1.b0005ba3e2dcep-2, -0x1.b0c1c7d1b6c38p-2, -0x1.b170c8b2c1489p-2, -0x1.b20cfa57baafbp-2, -0x1.b296044eb22eap-2, -0x1.b30b993605491p-2, -0x1.b36d764f1dff8p-2, -0x1.b3bb63116c5ddp-2, -0x1.b3f530be095d1p-2, -0x1.b41ab9f463dap-2, -0x1.b42be24840327p-2, -0x1.b42895d959b26p-2, -0x1.b410c8ecdbeabp-2, -0x1.b3e47788ea79bp-2, -0x1.b3a3a5125ca8cp-2, -0x1.b34e5becd715cp-2, -0x1.b2e4ad1d58f7ap-2, -0x1.b266afef5921ep-2, -0x1.b1d4819c7ff9ep-2, -0x1.b12e44f70bff4p-2, -0x1.b0742216eb76ep-2, -0x1.afa646098904p-2, -0x1.aec4e284554e7p-2, -0x1.add02d9a00833p-2, -0x1.acc861726b298p-2, -0x1.abadbc053bd4ep-2, -0x1.aa807ed717efbp-2, -0x1.a940eeb9734f8p-2, -0x1.a7ef538ce8f03p-2, -0x1.a68bf80610146p-2, -0x1.a5172974c17bcp-2, -0x1.a391378db7916p-2, -0x1.a1fa743683dc4p-2, -0x1.a0533353bb574p-2, -0x1.9e9bca9958d16p-2, -0x1.9cd4915d33e7dp-2, -0x1.9afde06b8b48fp-2, -0x1.991811dd82254p-2, -0x1.972380f18b861p-2, -0x1.952089e5ab5b7p-2, -0x1.930f89d3800d4p-2, -0x1.90f0de8dff75ap-2, -0x1.8ec4e680de76ap-2, -0x1.8c8c00918858cp-2, -0x1.8a468c01a1fc8p-2, -0x1.87f4e853011ecp-2, -0x1.8597752d092cep-2, -0x1.832e9243669f6p-2, -0x1.80ba9f3e126c5p-2, -0x1.7e3bfba291419p-2, -0x1.7bb306be68ceap-2, -0x1.79201f92b20d8p-2, -0x1.7683a4c0ca4b6p-2, -0x1.73ddf47809708p-2, -0x1.712f6c647c341p-2, -0x1.6e78699e95ed1p-2, -0x1.6bb9489bc714fp-2, -0x1.68f2651ffc737p-2, -0x1.66241a2ff0837p-2, -0x1.634ec2044e316p-2, -0x1.6072b5fd96df6p-2, -0x1.5d904e98c97c3p-2, -0x1.5aa7e364b9867p-2, -0x1.57b9caf819805p-2, -0x1.54c65ae825eafp-2, -0x1.51cde7bff4bdfp-2, -0x1.4ed0c4f859165p-2, -0x1.4bcf44f05d4eep-2, -0x1.48c9b8e6448e3p-2, -0x1.45c070f1166e2p-2, -0x1.42b3bbfaaa9eep-2, -0x1.3fa3e7ba2ece5p-2, -0x1.3c9140af234dfp-2, -0x1.397c121ccbd58p-2, -0x1.3664a60608f16p-2, -0x1.334b45299e835p-2, -0x1.303036fedb76p-2, -0x1.2d13c1b2a3135p-2, -0x1.29f62a24d326dp-2, -0x1.26d7b3e602875p-2, -0x1.23b8a13595d3cp-2, -0x1.2099330023cb2p-2, -0x1.1d79a8de2a909p-2, -0x1.1a5a41131024cp-2, -0x1.173b388c6a8f2p-2, -0x1.141ccae18ed69p-2, -0x1.10ff3253602f8p-2, -0x1.0de2a7cc64376p-2, -0x1.0ac762e10f7b1p-2, -0x1.07ad99d050719p-2, -0x1.0495818452511p-2, -0x1.017f4d9376de5p-2, -0x1.fcd66083059efp-3, -0x1.f6b2b501fa672p-3, -0x1.f093f7e97f567p-3, -0x1.ea7a85e3661adp-3, -0x1.e466b90171cfcp-3, -0x1.de58e8c17caebp-3, -0x1.d8516a11ec085p-3, -0x1.d2508f5677cep-3, -0x1.cc56a86d34136p-3, -0x1.c66402b3e2b13p-3, -0x1.c078e90d8a64fp-3, -0x1.ba95a3e8471dcp-3, -0x1.b4ba7943599d6p-3, -0x1.aee7acb573cb7p-3, -0x1.a91d7f7332c5bp-3, -0x1.a35c3055d21ccp-3, -0x1.9da3fbe20f724p-3, -0x1.97f51c4f368cdp-3, -0x1.924fc98e5eae3p-3, -0x1.8cb43951ca37bp-3, -0x1.87229f146ec49p-3, -0x1.819b2c21a2365p-3, -0x1.7c1e0f9ce3e62p-3, -0x1.76ab7689c8252p-3, -0x1.71438bd3fa9aap-3, -0x1.6be6785764b32p-3, -0x1.669462e85cdb5p-3, -0x1.614d705bf564cp-3, -0x1.5c11c3905fa68p-3, -0x1.56e17d7557084p-3, -0x1.51bcbd14a4addp-3, -0x1.4ca39f9aabef6p-3, -0x1.4796405f007e3p-3, -0x1.4294b8ed0e20ap-3, -0x1.3d9f210cbb27ep-3, -0x1.38b58ecb20016p-3, -0x1.33d8168336ddcp-3, -0x1.2f06cae69423cp-3, -0x1.2a41bd061ee2fp-3, -0x1.2588fc5acbeap-3, -0x1.20dc96ce4f302p-3, -0x1.1c3c98c3cfe21p-3, -0x1.17a90d209b8dap-3, -0x1.1321fd54c9782p-3, -0x1.0ea77163ded65p-3, -0x1.0a396fed64f0cp-3, -0x1.05d7fe357bc46p-3, -0x1.0183202d5a292p-3, -0x1.fa75b0f794ea7p-4, -0x1.f1fe510b2080bp-4, -0x1.e9a020eb98cb7p-4, -0x1.e15b1e8c863a4p-4, -0x1.d92f458f40a43p-4, -0x1.d11c8f5346b3ep-4, -0x1.c922f3066b1abp-4, -0x1.c14265b4f3b14p-4, -0x1.b97ada597cc7bp-4, -0x1.b1cc41ecb7845p-4, -0x1.aa368b750ddf1p-4, -0x1.a2b9a41607477p-4, -0x1.9b55771f8a1bep-4, -0x1.9409ee1cf2342p-4, -0x1.8cd6f0e3f845dp-4, -0x1.85bc65a361deep-4, -0x1.7eba30f189caap-4, -0x1.77d035dab3296p-4, -0x1.70fe55ef29833p-4, -0x1.6a4471512e8a5p-4, -0x1.63a266c2b3719p-4, -0x1.5d1813b2dee32p-4, -0x1.56a5544b5c6f1p-4, -0x1.504a037d75ca8p-4, -0x1.4a05fb0ef882fp-4, -0x1.43d913a6e2857p-4, -0x1.3dc324d9d6b3ep-4, -0x1.37c405365d3aap-4, -0x1.31db8a50e9abap-4, -0x1.2c0988cfa9dbap-4, -0x1.264dd4761daf9p-4, -0x1.20a8403074821p-4, -0x1.1b189e1eb5948p-4, -0x1.159ebf9faba26p-4, -0x1.103a755b9c8e9p-4, -0x1.0aeb8f4ec4324p-4, -0x1.05b1dcd39bcd5p-4, -0x1.008d2cace51fap-4, -0x1.f6fa9a1f00c22p-5, -0x1.ed041758110bep-5, -0x1.e3366b7070324p-5, -0x1.d9912ff031908p-5, -0x1.d013fd8df1c3cp-5, -0x1.c6be6c4058742p-5, -0x1.bd90134f2b494p-5, -0x1.b4888963f6428p-5, -0x1.aba7649a45956p-5, -0x1.a2ec3a8f7b9e8p-5, -0x1.9a56a07233c6p-5, -0x1.91e62b1145af8p-5, -0x1.899a6eea5afeap-5, -0x1.817300382188p-5, -0x1.796f7300177a7p-5, -0x1.718f5b1ff0ca7p-5, -0x1.69d24c5a9c906p-5, -0x1.6237da64e5c5dp-5, -0x1.5abf98f1b3415p-5, -0x1.53691bbde90c9p-5, -0x1.4c33f69beabb8p-5, -0x1.451fbd7ebf1dbp-5, -0x1.3e2c0484db457p-5, -0x1.375860028d81fp-5, -0x1.30a4648c14f59p-5, -0x1.2a0fa6ff5e0c2p-5, -0x1.2399bc8d6754cp-5, -0x1.1d423ac3529ecp-5, -0x1.1708b79322b3cp-5, -0x1.10ecc95c23ec1p-5, -0x1.0aee06f30701p-5, -0x1.050c07a9aba74p-5, -0x1.fe8cc6ad325c7p-6, -0x1.f33964b85be08p-6, -0x1.e81d1b5f0b284p-6, -0x1.dd371dbe193f2p-6, -0x1.d286a031ac3a1p-6, -0x1.c80ad861415ep-6, -0x1.bdc2fd4b3d89cp-6, -0x1.b3ae474fe2d01p-6, -0x1.a9cbf03bd08dcp-6, -0x1.a01b3351f82adp-6, -0x1.969b4d5513329p-6, -0x1.8d4b7c909cdd6p-6, -0x1.842b00e15075bp-6, -0x1.7b391bbd3184cp-6, -0x1.7275103b1e7b6p-6, -0x1.69de2319f0a6fp-6, -0x1.61739ac72c43ep-6, -0x1.5934bf654a873p-6, -0x1.5120dad18b52fp-6, -0x1.493738a97111ep-6, -0x1.4177264fccaf7p-6, -0x1.39dff2f16bf95p-6, -0x1.3270ef8961f79p-6, -0x1.2b296ee4ffc0ap-6, -0x1.2408c5a765283p-6, -0x1.1d0e4a4cc1e9bp-6, -0x1.1639552d3e288p-6, -0x1.0f89407f936c3p-6, -0x1.08fd685b512b2p-6, -0x1.02952abad3396p-6, -0x1.f89fcef9e0e1ap-7, -0x1.ec5a00ccc1bcfp-7, -0x1.e057b245aa3f1p-7, -0x1.d497ae8b989a8p-7, -0x1.c918c4965f019p-7, -0x1.bdd9c72f38d49p-7, -0x1.b2d98cf109f74p-7, -0x1.a816f0480085p-7, -0x1.9d90cf70dc739p-7, -0x1.93460c77b9f36p-7, -0x1.89358d36794c2p-7, -0x1.7f5e3b52adb0cp-7, -0x1.75bf043b3a71fp-7, -0x1.6c56d92586a4p-7, -0x1.6324af0a5278dp-7, -0x1.5a277ea22a15ep-7, -0x1.515e4461a5bfcp-7, -0x1.48c8007529f39p-7, -0x1.4063b6bc751e4p-7, -0x1.38306ec5d340ep-7, -0x1.302d33c91bf6ap-7, -0x1.285914a259a49p-7, -0x1.20b323cc3208dp-7, -0x1.193a775a1100fp-7, -0x1.11ee28f21b4d1p-7, -0x1.0acd55c6e5829p-7, -0x1.03d71e90ef2e9p-7, -0x1.fa154f0feae05p-8, -0x1.ecce30b8172dep-8, -0x1.dfd7385d09c73p-8, -0x1.d32ec31571b24p-8, -0x1.c6d334bd3bcacp-8, -0x1.bac2f7e67a1b5p-8, -0x1.aefc7dc9f04c4p-8, -0x1.a37e3e377308ep-8, -0x1.9846b785f9b51p-8, -0x1.8d546e838000ep-8, -0x1.82a5ee64b2d97p-8, -0x1.7839c8b4539afp-8, -0x1.6e0e954280ccdp-8, -0x1.6422f213d4a59p-8, -0x1.5a75835040d8fp-8, -0x1.5104f33202e3p-8, -0x1.47cff1f432fe7p-8, -0x1.3ed535c1663fp-8, -0x1.36137aa21aa0bp-8, -0x1.2d89826b1ede1p-8, -0x1.253614abe2a2p-8, -0x1.1d17fe9cbe474p-8, -0x1.152e130d25c41p-8, -0x1.0d772a51c1b09p-8, -0x1.05f222329db14p-8, -0x1.fd3bbbb2922ddp-9, -0x1.eef28b7dc4c3ep-9, -0x1.e1068f34a2ff3p-9, -0x1.d375ac9c99a81p-9, -0x1.c63dd3aefe668p-9, -0x1.b95cfe757b3a8p-9, -0x1.acd130e65a6dbp-9, -0x1.a09878c11cd48p-9, -0x1.94b0ed6b094dbp-9, -0x1.8918afcbf2dd4p-9, -0x1.7dcdea2afec72p-9, -0x1.72ced00ba1d56p-9, -0x1.68199e0ac866fp-9, -0x1.5dac99bc32491p-9, -0x1.53861187e0049p-9, -0x1.49a45c87f6f2ap-9, -0x1.4005da666525bp-9, -0x1.36a8f33b1de02p-9, -0x1.2d8c176a6ed15p-9, -0x1.24adbf837d49dp-9, -0x1.1c0c6c1f36d81p-9, -0x1.13a6a5bf41e44p-9, -0x1.0b7afcad66357p-9, -0x1.038808db06598p-9, -0x1.f798d381ff052p-10, -0x1.e88d8c7f90e25p-10, -0x1.d9eb98ffc09cfp-10, -0x1.cbb063a4f386bp-10, -0x1.bdd9652516c77p-10, -0x1.b064240bf3fefp-10, -0x1.a34e347e7136dp-10, -0x1.969537fe7bf7p-10, -0x1.8a36dd2f4c2dp-10, -0x1.7e30df9a775cfp-10, -0x1.72810775dd1fap-10, -0x1.67252969ad85ep-10, -0x1.5c1b265785942p-10, -0x1.5160eb221f3d4p-10, -0x1.46f4707578b4dp-10, -0x1.3cd3ba8fcc0ccp-10, -0x1.32fcd90b42d8cp-10, -0x1.296de6a854f55p-10, -0x1.202509189003ep-10, -0x1.172070ca4d98p-10, -0x1.0e5e58b4e9be7p-10, -0x1.05dd0625c467dp-10, -0x1.fb35911c080e8p-11, -0x1.eb2bf2a186147p-11, -0x1.db99f7244cf9dp-11, -0x1.cc7c780df51a7p-11, -0x1.bdd0618a30ba5p-11, -0x1.af92b228c8c93p-11, -0x1.a1c07a80d0d92p-11, -0x1.9456dcd58ecdcp-11, -0x1.87530cbc4f361p-11, -0x1.7ab24ec415ad7p-11, -0x1.6e71f81e03a28p-11, -0x1.628f6e479d9fcp-11, -0x1.570826b5a1d1bp-11, -0x1.4bd9a68124ddep-11, -0x1.41018214fa9cep-11, -0x1.367d5cdd547abp-11, -0x1.2c4ae8f808f3fp-11, -0x1.2267e6e64df1bp-11, -0x1.18d2253fcb38ap-11, -0x1.0f878066b4fb4p-11, -0x1.0685e23d7d8bep-11, -0x1.fb9683ba750dcp-12, -0x1.eaab469bd0fcep-12, -0x1.da462e7ec1164p-12, -0x1.ca63758779ce8p-12, -0x1.baff6e15d128ep-12, -0x1.ac16823ef0e28p-12, -0x1.9da53348556eap-12, -0x1.8fa81926d7e03p-12, -0x1.821be1fdef388p-12, -0x1.74fd51a3810b1p-12, -0x1.68494123a7524p-12, -0x1.5bfc9e48924e8p-12, -0x1.50146b233175p-12, -0x1.448dbd97411c5p-12, -0x1.3965bee81e521p-12, -0x1.2e99ab490ebeep-12, -0x1.2426d16e9fc38p-12, -0x1.1a0a922289264p-12, -0x1.10425fd9adfccp-12, -0x1.06cbbe4bec19dp-12, -0x1.fb48841b5c979p-13, -0x1.e993205885225p-13, -0x1.d872bb9624c56p-13, -0x1.c7e2df877ec29p-13, -0x1.b7df348e42644p-13, -0x1.a8638102235b9p-13, -0x1.996ba87ac74c1p-13, -0x1.8af3ab1e38c43p-13, -0x1.7cf7a4f20b427p-13, -0x1.6f73cd3066211p-13, -0x1.626475a116d45p-13, -0x1.55c609f4fea48p-13, -0x1.49950f2541793p-13, -0x1.3dce22d6785d3p-13, -0x1.326dfabdae7a6p-13, -0x1.27716409a55b3p-13, -0x1.1cd542cf78f75p-13, -0x1.12969178bc3ffp-13, -0x1.08b26036fd2e1p-13, -0x1.fe4ba8f066008p-14, -0x1.ebdc50bf1f567p-14, -0x1.da1154800a7abp-14, -0x1.c8e57835c1fc8p-14, -0x1.b853a63faa4dp-14, -0x1.a856ee62a9593p-14, -0x1.98ea84d3eedd2p-14, -0x1.8a09c14b0b549p-14, -0x1.7bb01e1a0bdf6p-14, -0x1.6dd93748e9538p-14, -0x1.6080c9b7556f5p-14, -0x1.53a2b2424b17fp-14, -0x1.473aecef5bd93p-14, -0x1.3b45941b7695ep-14, -0x1.2fbedfb186492p-14, -0x1.24a32461abb42p-14, -0x1.19eed2df4a431p-14, -0x1.0f9e7724016a1p-14, -0x1.05aeb7b56b6a1p-14, -0x1.f838a9e0707c3p-15, -0x1.e5c850afb8bcap-15, -0x1.d40647cf497a4p-15, -0x1.c2eca2d665908p-15, -0x1.b275a3b27f13ap-15, -0x1.a29bb96582878p-15, -0x1.93597ec9f6c31p-15, -0x1.84a9b960ab8a3p-15, -0x1.768758271d9e7p-15, -0x1.68ed726fe0e7cp-15, -0x1.5bd746c7d2073p-15, -0x1.4f4039de0846bp-15, -0x1.4323d5738465ep-15, -0x1.377dc752dbacep-15, -0x1.2c49e04d0df96p-15, -0x1.2184133cf3becp-15, -0x1.17287411961e8p-15, -0x1.0d3336dce60e6p-15, -0x1.03a0aeecf171p-15, -0x1.f4da9bc860509p-16, -0x1.e32b45ba3b173p-16, -0x1.d22cb31f12d71p-16, -0x1.c1d872f96357ep-16, -0x1.b2284a47e1165p-16, -0x1.a316326ee9ffp-16, -0x1.949c57b213766p-16, -0x1.86b517b53c4fcp-16, -0x1.795b000adff64p-16, -0x1.6c88ccca9a75cp-16, -0x1.60396730f5b1bp-16, -0x1.5467e4453d5d1p-16, -0x1.490f838bc049fp-16, -0x1.3e2badbfab46ep-16, -0x1.33b7f396e3796p-16, -0x1.29b00c8ceae06p-16, -0x1.200fd5b512bcep-16, -0x1.16d35096633dbp-16, -0x1.0df6a20fbbf9ap-16, -0x1.057611422e52ap-16, -0x1.fa9c0d05c5fd3p-17, -0x1.eaf614ae8fa61p-17, -0x1.dbf388e2b91a9p-17, -0x1.cd8df573699dcp-17, -0x1.bfbf20ba0efp-17, -0x1.b28109c61cc96p-17, -0x1.a5cde68ea8f51p-17, -0x1.99a0223b4a442p-17, -0x1.8df25b715011ap-17, -0x1.82bf62b1642d5p-17, -0x1.780238bf716efp-17, -0x1.6db60d13c174ap-17, -0x1.63d63c5d83dc2p-17, -0x1.5a5e4f0726fabp-17, -0x1.5149f7d00ade9p-17, -0x1.4895126627ebep-17, -0x1.403ba2109e67cp-17, -0x1.3839d06150e56p-17, -0x1.308bebf307b63p-17, -0x1.292e672b3225cp-17, -0x1.221dd70c97457p-17, -0x1.1b56f21057b13p-17, -0x1.14d68effedfa9p-17, -0x1.0e99a3e1e9127p-17, -0x1.089d44e91ec8ap-17, -0x1.02dea36ff3e02p-17, -0x1.fab619ebdac5dp-18, -0x1.f01fd4561d50ap-18, -0x1.e5f57c01d914fp-18, -0x1.dc32497b92974p-18, -0x1.d2d1a637c8129p-18, -0x1.c9cf2ae19f1bfp-18, -0x1.c1269dad1fa45p-18, -0x1.b8d3f0c1e964ep-18, -0x1.b0d340a375d13p-18, -0x1.a920d2b7c527ep-18, -0x1.a1b913cbb6034p-18, -0x1.9a9896a73a143p-18, -0x1.93bc12b017605p-18, -0x1.8d20629680a2ap-18, -0x1.86c2830c6a86p-18, -0x1.809f917f5a68p-18, -0x1.7ab4caeac56ep-18, -0x1.74ff8aa877c65p-18, -0x1.6f7d495064ec3p-18, -0x1.6a2b9b9f99dcp-18, -0x1.6508316be113ap-18, -0x1.6010d49b47d0dp-18, -0x1.5b4368243b15cp-18, -0x1.569de71ba07fcp-18, -0x1.521e63c40f0f5p-18, -0x1.4dc306ac7fef6p-18, -0x1.498a0dd026ac1p-18, -0x1.4571cbc1a5f22p-18, -0x1.4178a6da1e576p-18, -0x1.3d9d1870d4e95p-18, -0x1.39ddac15fb03fp-18, -0x1.3638fedcc45bfp-18, -0x1.32adbea627f58p-18, -0x1.2f3aa97427df2p-18, -0x1.2bde8cbe458ccp-18, -0x1.289844d1e774fp-18, -0x1.2566bc34b7a93p-18, -0x1.2248eb0c18142p-18, -0x1.1f3dd68ca4b7ap-18, -0x1.1c44906c4ep-18, -0x1.195c365c4cec6p-18, -0x1.1683f1867e3e8p-18, -0x1.13baf60cbc2p-18, -0x1.1100828dadb1ep-18, -0x1.0e53dfb3dfe25p-18, -0x1.0bb45fc6023c6p-18, -0x1.09215e36a6ea1p-18, -0x1.069a3f3a8fecbp-18, -0x1.041e6f681a22bp-18, -0x1.01ad6355465a8p-18, -0x1.fe8d2e700369ep-19, -0x1.f9d31d1f065cbp-19, -0x1.f52ba797776a5p-19, -0x1.f095eff5e6f66p-19, -0x1.ec1124f13e4a1p-19, -0x1.e79c8144e5441p-19, -0x1.e3374b0f2af2cp-19, -0x1.dee0d357e1bb3p-19, -0x1.da98758337547p-19, -0x1.d65d96ccd6b68p-19, -0x1.d22fa5c392a84p-19, -0x1.ce0e19d61094bp-19, -0x1.c9f872e84e98cp-19, -0x1.c5ee38d7ba07bp-19, -0x1.c1eefb19672fcp-19, -0x1.bdfa50505ad39p-19, -0x1.ba0fd5ed9322bp-19, -0x1.b62f2fcd2e40cp-19, -0x1.b25807e2ebae3p-19, -0x1.ae8a0ddddb1fap-19, -0x1.aac4f6da6ee99p-19, -0x1.a7087d1c14615p-19, -0x1.a3545fbeca58fp-19, -0x1.9fa862664b559p-19, -0x1.9c044cfa9e49dp-19, -0x1.9867eb70b9b92p-19, -0x1.94d30d872ca86p-19, -0x1.91458688e539cp-19, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.8dc446e3b0405p-7, -0x1.8ce9505053643p-6, -0x1.28a2abbd4a668p-5, -0x1.899c1eef569f7p-5, -0x1.e90d496050c45p-5, -0x1.2357630093201p-4, -0x1.5122e3bb52713p-4, -0x1.7dd1e85314cf4p-4, -0x1.a95307b7da3e5p-4, -0x1.d39a3dda9821dp-4, -0x1.fca069eabecbcp-4, -0x1.1231623daa4afp-3, -0x1.25712a1463aa1p-3, -0x1.3811b2b1d2627p-3, -0x1.4a1684445ecfdp-3, -0x1.5b844c28a547bp-3, -0x1.6c60a4e7fe9f7p-3, -0x1.7cb1e34903ab2p-3, -0x1.8c7ee884249afp-3, -0x1.9bcef985c5952p-3, -0x1.aaa99b0b002d2p-3, -0x1.b9167254033d6p-3, -0x1.c71d2a1b936c1p-3, -0x1.d4c55b7da12b5p-3, -0x1.e2167a74de8cbp-3, -0x1.ef17c5984f098p-3, -0x1.fbd038c4a1104p-3, -0x1.04234130a3dc9p-2, -0x1.0a407d7b20953p-2, -0x1.1042cf66718fp-2, -0x1.162d04adba6p-2, -0x1.1c01b9207fd81p-2, -0x1.21c355cdf911p-2, -0x1.277410c5b8465p-2, -0x1.2d15ed57edb9ap-2, -0x1.32aabcc1cf6a5p-2, -0x1.38341f34be66ap-2, -0x1.3db38528ac703p-2, -0x1.432a30ebfc08fp-2, -0x1.48993864b2da5p-2, -0x1.4e0186f8405dp-2, -0x1.5363df907062fp-2, -0x1.58c0deb5436a3p-2, -0x1.5e18fcb487921p-2, -0x1.636c8fd0eb27fp-2, -0x1.68bbce73395b1p-2, -0x1.6e06d1591a1a2p-2, -0x1.734d95bd77fbcp-2, -0x1.788fff773a0d6p-2, -0x1.7dcddb0b971f3p-2, -0x1.8306dfb1be74p-2, -0x1.883ab1460645cp-2, -0x1.8d68e22b2abbp-2, -0x1.9290f51887c8ap-2, -0x1.97b25ed479929p-2, -0x1.9ccc87da5a13dp-2, -0x1.a1decdebc5d9fp-2, -0x1.a6e8858d0829bp-2, -0x1.abe8fb6cb6775p-2, -0x1.b0df75b6a56afp-2, -0x1.b5cb35528a20cp-2, -0x1.baab770ea6a3p-2, -0x1.bf7f74b700496p-2, -0x1.c4466619aaf71p-2, -0x1.c8ff81f8c63a4p-2, -0x1.cda9feeacbf3ep-2, -0x1.d2451429e1544p-2, -0x1.d6cffa52dbda9p-2, -0x1.db49ec14af1b1p-2, -0x1.dfb226d0fab03p-2, -0x1.e407eb2e71f17p-2, -0x1.e84a7d9dd06e6p-2, -0x1.ec7926d21305cp-2, -0x1.f093342ca4a2ep-2, -0x1.f497f81e29b6ep-2, -0x1.f886ca7c98974p-2, -0x1.fc5f08cf3ae42p-2, -0x1.00100b489e004p-1, -0x1.01e4aeb5ab89ap-1, -0x1.03ad26b29ecddp-1, -0x1.05692e879cd5ep-1, -0x1.071884d24d22cp-1, -0x1.08baeb93b2f19p-1, -0x1.0a50283ae4f4p-1, -0x1.0bd803ace067ap-1, -0x1.0d524a49aba93p-1, -0x1.0ebecbeefdb43p-1, -0x1.101d5bf89ab74p-1, -0x1.116dd13e95ad1p-1, -0x1.12b00611a019bp-1, -0x1.13e3d835941f7p-1, -0x1.150928da5c1a1p-1, -0x1.161fdc93606f7p-1, -0x1.1727db4d99b56p-1, -0x1.1821104469ec9p-1, -0x1.190b69f5584b6p-1, -0x1.19e6da12ced4fp-1, -0x1.1ab35575f0607p-1, -0x1.1b70d40fa2573p-1, -0x1.1c1f50d8df7dp-1, -0x1.1cbec9c2694fcp-1, -0x1.1d4f3fa3eaaffp-1, -0x1.1dd0b62aa2074p-1, -0x1.1e4333c79db43p-1, -0x1.1ea6c19da160cp-1, -0x1.1efb6b6ebcd79p-1, -0x1.1f413f89a7419p-1, -0x1.1f784eb6e75eep-1, -0x1.1fa0ac25d696p-1, -0x1.1fba6d5989672p-1, -0x1.1fc5aa15a5d78p-1, -0x1.1fc27c4b330b6p-1, -0x1.1fb10005686fbp-1, -0x1.1f91535687397p-1, -0x1.1f639644c06dap-1, -0x1.1f27eab7338acp-1, -0x1.1ede7463083e5p-1, -0x1.1e8758b8a9bf3p-1, -0x1.1e22bed129856p-1, -0x1.1db0cf5bcb58dp-1, -0x1.1d31b48bc34b2p-1, -0x1.1ca59a0625647p-1, -0x1.1c0cacd00c112p-1, -0x1.1b671b3cf9b73p-1, -0x1.1ab514dd7459ap-1, -0x1.19f6ca6de4154p-1, -0x1.192c6dc5afd91p-1, -0x1.185631c69f9bfp-1, -0x1.17744a4c83667p-1, -0x1.1686ec1d21d4dp-1, -0x1.158e4cd86e108p-1, -0x1.148aa2e9096f7p-1, -0x1.137c25750ddcdp-1, -0x1.12630c4f25717p-1, -0x1.113f8fe7ede9dp-1, -0x1.1011e93fab0e4p-1, -0x1.0eda51d843a6fp-1, -0x1.0d9903a790e66p-1, -0x1.0c4e3909f9094p-1, -0x1.0afa2cb55b1a9p-1, -0x1.099d19ac48585p-1, -0x1.08373b318e4c4p-1, -0x1.06c8ccbc0e144p-1, -0x1.055209eae4971p-1, -0x1.03d32e79e173p-1, -0x1.024c76364aab7p-1, -0x1.00be1cf3f1eb8p-1, -0x1.fe50bd052add1p-2, -0x1.fb16ed4720964p-2, -0x1.f7cf41ffafda9p-2, -0x1.f47a323c8a6dp-2, -0x1.f11834b4591f3p-2, -0x1.eda9bfb47df87p-2, -0x1.ea2f490f73606p-2, -0x1.e6a9460bbb8a2p-2, -0x1.e3182b53672b2p-2, -0x1.df7c6ce42d548p-2, -0x1.dbd67e0017124p-2, -0x1.d826d11eb7575p-2, -0x1.d46dd7def71fcp-2, -0x1.d0ac02f969096p-2, -0x1.cce1c2332a193p-2, -0x1.c90f84514d7b9p-2, -0x1.c535b70ccf495p-2, -0x1.c154c7070d711p-2, -0x1.bd6d1fbec501ep-2, -0x1.b97f2b859285dp-2, -0x1.b58b5375f2c8cp-2, -0x1.b191ff69c1d8ap-2, -0x1.ad9395f138afbp-2, -0x1.a9907c4a6592cp-2, -0x1.a58916591abefp-2, -0x1.a17dc69f56ea8p-2, -0x1.9d6eee3623a3ap-2, -0x1.995cecc6e1327p-2, -0x1.954820850afc6p-2, -0x1.9130e62864239p-2, -0x1.8d1798e7936b9p-2, -0x1.88fc92732ade6p-2, -0x1.84e02af11428ap-2, -0x1.80c2b8f86765p-2, -0x1.7ca4918da2a88p-2, -0x1.7886081f44141p-2, -0x1.74676e82c4a6dp-2, -0x1.704914f1efddbp-2, -0x1.6c2b4a08950b1p-2, -0x1.680e5ac2950ap-2, -0x1.63f2927a4311cp-2, -0x1.5fd83ae71c2cap-2, -0x1.5bbf9c1cd00c9p-2, -0x1.57a8fc8a9c1ep-2, -0x1.5394a0faf0ee3p-2, -0x1.4f82cc93664b6p-2, -0x1.4b73c0d4f8d73p-2, -0x1.4767bd9c8bc5p-2, -0x1.435f0123b47acp-2, -0x1.3f59c801c4a65p-2, -0x1.3b584d2d187d6p-2, -0x1.375ac9fca290ep-2, -0x1.33617629b28eep-2, -0x1.2f6c87d1fa784p-2, -0x1.2b7c3379c74bcp-2, -0x1.2790ac0e73becp-2, -0x1.23aa22e90d192p-2, -0x1.1fc8c7d12bf6dp-2, -0x1.1becc8fffba83p-2, -0x1.181653236ededp-2, -0x1.14459161a44acp-2, -0x1.107aad5c72ccbp-2, -0x1.0cb5cf351ccd3p-2, -0x1.08f71d902c7a1p-2, -0x1.053ebd9973a3dp-2, -0x1.018cd3082f3b6p-2, -0x1.fbc30046908cdp-3, -0x1.f479cb8b738bdp-3, -0x1.ed3e46c61a158p-3, -0x1.e610ae17f353ap-3, -0x1.def13ae62d2e8p-3, -0x1.d7e023e3579bp-3, -0x1.d0dd9d1929552p-3, -0x1.c9e9d7f2741a6p-3, -0x1.c30503453dd5dp-3, -0x1.bc2f4b5d02425p-3, -0x1.b568da050e0eep-3, -0x1.aeb1d692fd328p-3, -0x1.a80a65f155658p-3, -0x1.a172aaaa32326p-3, -0x1.9aeac4f20fd08p-3, -0x1.9472d2b2a08c5p-3, -0x1.8e0aef95b90e7p-3, -0x1.87b3351046501p-3, -0x1.816bba6d4fdf8p-3, -0x1.7b3494d905941p-3, -0x1.750dd76bcf04ap-3, -0x1.6ef79335682f9p-3, -0x1.68f1d747f1d24p-3, -0x1.62fcb0c313584p-3, -0x1.5d182adf0dd6ap-3, -0x1.57444ef7d0c8ep-3, -0x1.518124980987cp-3, -0x1.4bceb18424ac9p-3, -0x1.462cf9c552f94p-3, -0x1.409bffb473dd8p-3, -0x1.3b1bc404ff1a2p-3, -0x1.35ac45cfd785fp-3, -0x1.304d829e188bfp-3, -0x1.2aff7673c6a1ep-3, -0x1.25c21bda728dbp-3, -0x1.20956bebca31fp-3, -0x1.1b795e5c151efp-3, -0x1.166de9848fb79p-3, -0x1.1173026dbf4bdp-3, -0x1.0c889cd9a0617p-3, -0x1.07aeab4dc0c11p-3, -0x1.02e51f1d3d5d5p-3, -0x1.fc57d0e54bae7p-4, -0x1.f305ecb380ae8p-4, -0x1.e9d46d926b4ebp-4, -0x1.e0c32d582b6e9p-4, -0x1.d7d203d68fcc2p-4, -0x1.cf00c6edaaf17p-4, -0x1.c64f4a9e270a7p-4, -0x1.bdbd611b58a3ap-4, -0x1.b54adadd1598ap-4, -0x1.acf786b143e1ep-4, -0x1.a4c331cd1afa7p-4, -0x1.9cada7de2ebcbp-4, -0x1.94b6b31b2d046p-4, -0x1.8cde1c544f23dp-4, -0x1.8523ab038c5e3p-4, -0x1.7d87255c7ea08p-4, -0x1.7608505c02167p-4, -0x1.6ea6efd789fbdp-4, -0x1.6762c68c2c115p-4, -0x1.603b962d633d2p-4, -0x1.59311f7388fbbp-4, -0x1.5243222a0493dp-4, -0x1.4b715d3d300dap-4, -0x1.44bb8ec7f4545p-4, -0x1.3e2174211a39dp-4, -0x1.37a2c9e853b38p-4, -0x1.313f4c12fa52dp-4, -0x1.2af6b5f885701p-4, -0x1.24c8c25eb4dcbp-4, -0x1.1eb52b85799dp-4, -0x1.18bbab328a8aep-4, -0x1.12dbfabcbf71cp-4, -0x1.0d15d3171a2f6p-4, -0x1.0768ecdb8bed1p-4, -0x1.01d500557454dp-4, -0x1.f8b38b17b8539p-5, -0x1.edede896cf26cp-5, -0x1.e35888600c2b9p-5, -0x1.d8f2d95cba1a5p-5, -0x1.cebc4a39df526p-5, -0x1.c4b4497a0601bp-5, -0x1.bada458684941p-5, -0x1.b12dacc0417d6p-5, -0x1.a7aded8ff09c3p-5, -0x1.9e5a7675da0a4p-5, -0x1.9532b6191ebep-5, -0x1.8c361b568315ap-5, -0x1.8364154ebab7fp-5, -0x1.7abc13743cd48p-5, -0x1.723d8598a98f9p-5, -0x1.69e7dbf9aa6e7p-5, -0x1.61ba874d6fe5fp-5, -0x1.59b4f8ceb30f1p-5, -0x1.51d6a24848878p-5, -0x1.4a1ef620490ffp-5, -0x1.428d6762c8855p-5, -0x1.3b2169cc2a562p-5, -0x1.33da71d3088afp-5, -0x1.2cb7f4b1afd94p-5, -0x1.25b9686f41fdfp-5, -0x1.1ede43e8699d5p-5, -0x1.1825fed7b6869p-5, -0x1.119011dd99369p-5, -0x1.0b1bf687fac71p-5, -0x1.04c92759833ep-5, -0x1.fd2e3fa0f9fc8p-6, -0x1.f10ab8dacd2fcp-6, -0x1.e526b57268bf6p-6, -0x1.d98132965fb9dp-6, -0x1.ce192f9d27522p-6, -0x1.c2edae0f99c64p-6, -0x1.b7fdb1b2ed3d3p-6, -0x1.ad48409208cbfp-6, -0x1.a2cc6306471bfp-6, -0x1.988923bfac55bp-6, -0x1.8e7d8fcc840b4p-6, -0x1.84a8b6a07e5d5p-6, -0x1.7b09aa1b43e77p-6, -0x1.719f7e8e8291p-6, -0x1.68694ac384da4p-6, -0x1.5f6628004be75p-6, -0x1.5695320c17e1fp-6, -0x1.4df58733a45aep-6, -0x1.4586484ccec9ap-6, -0x1.3d4698b9e2f8ep-6, -0x1.35359e6c7844bp-6, -0x1.2d5281e7e112p-6, -0x1.259c6e43370dep-6, -0x1.1e12912b02183p-6, -0x1.16b41ae28c24ep-6, -0x1.0f803e44ccf8ap-6, -0x1.087630c4fa69dp-6, -0x1.01952a6edcd26p-6, -0x1.f5b8cbcd46dcbp-7, -0x1.e89640d117645p-7, -0x1.dbc133906b2e9p-7, -0x1.cf3828df360cp-7, -0x1.c2f9aabbaa92bp-7, -0x1.b704484b17e98p-7, -0x1.ab5695d659cdbp-7, -0x1.9fef2cc5aaf82p-7, -0x1.94ccab9c1ed83p-7, -0x1.89edb5f2780d8p-7, -0x1.7f50f471c25cfp-7, -0x1.74f514cd49647p-7, -0x1.6ad8c9bc4bc16p-7, -0x1.60facaf3352d4p-7, -0x1.5759d51c777f6p-7, -0x1.4df4a9d11375bp-7, -0x1.44ca0f90c40aap-7, -0x1.3bd8d1b9d21dp-7, -0x1.331fc080a3b1cp-7, -0x1.2a9db0e6e0f46p-7, -0x1.22517cb275775p-7, -0x1.1a3a02644184dp-7, -0x1.1256252e793e7p-7, -0x1.0aa4ccead406ep-7, -0x1.0324e6108550bp-7, -0x1.f7aac3540194bp-8, -0x1.e96a6a94edcfp-8, -0x1.db86b606765b2p-8, -0x1.cdfda2b1c13afp-8, -0x1.c0cd36709525fp-8, -0x1.b3f37fd71b4bdp-8, -0x1.a76e961d26165p-8, -0x1.9b3c99077f3c8p-8, -0x1.8f5bb0d0bc3d2p-8, -0x1.83ca0e1216395p-8, -0x1.7885e9abcb07bp-8, -0x1.6d8d84ad7b763p-8, -0x1.62df283e5ec3ap-8, -0x1.58792585370c2p-8, -0x1.4e59d5905608cp-8, -0x1.447f993d3d532p-8, -0x1.3ae8d92076abfp-8, -0x1.3194056d0fa68p-8, -0x1.287f95dc452edp-8, -0x1.1faa0994e2c7p-8, -0x1.1711e712e703dp-8, -0x1.0eb5bc0ecd66p-8, -0x1.06941d6528244p-8, -0x1.fd574dfbe8ddfp-9, -0x1.edf5f7684a9e5p-9, -0x1.df018a7a52e85p-9, -0x1.d0776820c15c9p-9, -0x1.c254fe9dc583ap-9, -0x1.b497c955e8a3p-9, -0x1.a73d509fd67f9p-9, -0x1.9a4329940d5aap-9, -0x1.8da6f5dc884e5p-9, -0x1.81666384e1921p-9, -0x1.757f2ccaa7fa3p-9, -0x1.69ef17edb626ep-9, -0x1.5eb3f701533d7p-9, -0x1.53cba7bcda07fp-9, -0x1.4934134d4fe62p-9, -0x1.3eeb2e26ea4b1p-9, -0x1.34eef7d70c22bp-9, -0x1.2b3d7ad675524p-9, -0x1.21d4cc5c0646dp-9, -0x1.18b30c2f8d157p-9, -0x1.0fd6647d0a845p-9, -0x1.073d09a896f46p-9, -0x1.fdca74447a51ep-10, -0x1.ed9a7c74d11afp-10, -0x1.dde6cfedc3d1p-10, -0x1.ceac25cf9ede5p-10, -0x1.bfe747fb13491p-10, -0x1.b19512bd44a59p-10, -0x1.a3b2747c71494p-10, -0x1.963c6d65fe458p-10, -0x1.89300f1d03bcfp-10, -0x1.7c8a7c69fa948p-10, -0x1.7048e8eaeddebp-10, -0x1.646898c4ee494p-10, -0x1.58e6e0564070bp-10, -0x1.4dc123e94f1c4p-10, -0x1.42f4d7690c84dp-10, -0x1.387f7e15a6eccp-10, -0x1.2e5eaa3a1f867p-10, -0x1.248ffce387907p-10, -0x1.1b11259848b51p-10, -0x1.11dfe21132058p-10, -0x1.08f9fdf2a23b8p-10, -0x1.005d52874d28cp-10, -0x1.f00f8cf66e623p-11, -0x1.dfee9b3149c9fp-11, -0x1.d053d10a0fcfap-11, -0x1.c13b48fea145cp-11, -0x1.b2a1363db842fp-11, -0x1.a481e4278de64p-11, -0x1.96d9b5cf6d38fp-11, -0x1.89a5257fb5226p-11, -0x1.7ce0c43feeb02p-11, -0x1.7089395b80c3ep-11, -0x1.649b41eba9337p-11, -0x1.5913b061b3289p-11, -0x1.4def6c1535809p-11, -0x1.432b70d1e4dc5p-11, -0x1.38c4ce68384a3p-11, -0x1.2eb8a8400bf8ep-11, -0x1.250434ebffb67p-11, -0x1.1ba4bdbfd753ep-11, -0x1.12979e687a0ap-11, -0x1.09da4483fc73cp-11, -0x1.016a2f3daf28p-11, -0x1.f289ddd4345e2p-12, -0x1.e2d0494b8749p-12, -0x1.d3a303ea25f2dp-12, -0x1.c4fd90cc63978p-12, -0x1.b6db926837aaap-12, -0x1.a938c9d769fccp-12, -0x1.9c111624a25e5p-12, -0x1.8f60739be0281p-12, -0x1.8322fb1e61511p-12, -0x1.7754e178883a8p-12, -0x1.6bf276bb65b94p-12, -0x1.60f82599d9693p-12, -0x1.566272c890fc8p-12, -0x1.4c2dfc5fadfb8p-12, -0x1.425779430711ap-12, -0x1.38dbb8877b0d9p-12, -0x1.2fb7a0e0a1cb2p-12, -0x1.26e8300dee592p-12, -0x1.1e6a7a4c60751p-12, -0x1.163ba9ca94359p-12, -0x1.0e58fe1f39cc7p-12, -0x1.06bfcbc26c462p-12, -0x1.fedaf71262a69p-13, -0x1.f0bf1448bba24p-13, -0x1.e3270f44356ap-13, -0x1.d60e2de444739p-13, -0x1.c96fdad528bdep-13, -0x1.bd47a4a48ba7ep-13, -0x1.b1913cd4d7b6fp-13, -0x1.a64876fb50f77p-13, -0x1.9b6947de26283p-13, -0x1.90efc49a8dd8dp-13, -0x1.86d821cd52d3cp-13, -0x1.7d1eb2c0efacp-13, -0x1.73bfe89ed155fp-13, -0x1.6ab851a6e189bp-13, -0x1.6204986b6c3c5p-13, -0x1.59a1830fd12bap-13, -0x1.518bf28aa484cp-13, -0x1.49c0e1eed0df5p-13, -0x1.423d65b6f0ad5p-13, -0x1.3afeab143f4d3p-13, -0x1.3401f74346489p-13, -0x1.2d44a6e2b9053p-13, -0x1.26c42d4efbb72p-13, -0x1.207e14005b5fep-13, -0x1.1a6ff9ed2665fp-13, -0x1.149792f162b8p-13, -0x1.0ef2a737bb974p-13, -0x1.097f12a7a471dp-13, -0x1.043ac45431af5p-13, -0x1.fe477be2728dbp-14, -0x1.f47026936b92bp-14, -0x1.eaebd37623dbfp-14, -0x1.e1b6ef6311463p-14, -0x1.d8ce08553a577p-14, -0x1.d02dcc70c3013p-14, -0x1.c7d3090cf6e64p-14, -0x1.bfbaa9caee01cp-14, -0x1.b7e1b7acdaa37p-14, -0x1.b045583614d02p-14, -0x1.a8e2cc8ef268ap-14, -0x1.a1b770ae6565cp-14, -0x1.9ac0ba89566edp-14, -0x1.93fc3945ebbdap-14, -0x1.8d679474c1815p-14, -0x1.87008b4f6a6aep-14, -0x1.80c4f3fc47278p-14, -0x1.7ab2bad687691p-14, -0x1.74c7e1b98ae6ap-14, -0x1.6f027f53d7982p-14, -0x1.6960be7b0a2abp-14, -0x1.63e0dd8818a8ap-14, -0x1.5e812db3940ccp-14, -0x1.5940127aa5f65p-14, -0x1.541c01059b948p-14, -0x1.4f137f9173687p-14, -0x1.4a2524e027b93p-14, -0x1.454f97a9e3949p-14, -0x1.40918e14f39c1p-14, -0x1.3be9cd305b427p-14, -0x1.375728717895p-14, -0x1.32d881351e81fp-14, -0x1.2e6cc644aa8e3p-14, -0x1.2a12f35ef502cp-14, -0x1.25ca10c264efep-14, -0x1.219132bddef83p-14, -0x1.1d677941aa339p-14, -0x1.194c0f76c13e8p-14, -0x1.153e2b542ed8dp-14, -0x1.113d0d3bcec03p-14, -0x1.0d47ff9716d39p-14, -0x1.095e56793443bp-14, -0x1.057f6f429d1f4p-14, -0x1.01aab0473e90cp-14, -0x1.fbbf10f033b48p-15, -0x1.f43ade1b07fa1p-15, -0x1.ecc7c66e1276cp-15, -0x1.e564d79353f94p-15, -0x1.de112de7a8cfbp-15, -0x1.d6cbf3e41a8c3p-15, -0x1.cf9461905919ep-15, -0x1.c869bbf2e88ccp-15, -0x1.c14b5489d19acp-15, -0x1.ba3888c52393p-15, -0x1.b330c188d1326p-15, -0x1.ac3372aeefd4p-15, -0x1.a5401a917d17p-15, -0x1.9e5641933f605p-15, -0x1.977579b389e85p-15, -0x1.909d5e1df0456p-15, -0x1.89cd92c1ca488p-15, -0x1.8305c3ebc01bp-15, -0x1.7c45a5e243666p-15, -0x1.758cf487f8e65p-15, -0x1.6edb72fe79e3cp-15, -0x1.6830eb4dec5b8p-15, -0x1.618d2e0bdfcb9p-15, -0x1.5af0120c6cdbep-15, -0x1.5459740e6ae78p-15, -0x1.4dc9366dca8a4p-15, -0x1.473f40dadcd37p-15, -0x1.40bb800eabfebp-15, -0x1.3a3de58a58818p-15, -0x1.33c6674e40e65p-15, -0x1.2d54ff9c77d8dp-15, -0x1.26e9acb75f01fp-15, -0x1.208470a70230ep-15, -0x1.1a2550fe3d8ddp-15, -0x1.13cc56a45d27dp-15, -0x1.0d798d9c4a543p-15, -0x1.072d04d3bd9dap-15, -0x1.00e6cdefcb5cp-15, -0x1.f54dfa38d77dcp-16, -0x1.e8db51bec7137p-16, -0x1.dc75d3d338578p-16, -0x1.d01db5de8f58bp-16, -0x1.c3d330fb688fp-16, -0x1.b79681a898422p-16, }}, 
      {{-0x1.d92da6361884ep-2, -0x1.d98b40a1378a3p-2, -0x1.da205dac45737p-2, -0x1.dae4bcc3557e9p-2, -0x1.dbcf1a3e7767cp-2, -0x1.dcd5fc2a5227p-2, -0x1.ddf03d5cac753p-2, -0x1.df1567b0aaf46p-2, -0x1.e03dea41d6f98p-2, -0x1.e163356c6e88ap-2, -0x1.e27fc40114f3cp-2, -0x1.e38f174d83246p-2, -0x1.e48daa39b064cp-2, -0x1.e578dea89715fp-2, -0x1.e64ee779f9e3fp-2, -0x1.e70eb0e965452p-2, -0x1.e7b7c88af24f1p-2, -0x1.e84a45c7ceb1cp-2, -0x1.e8c6b3748ad1cp-2, -0x1.e92dfae4f3383p-2, -0x1.e98150b87c97fp-2, -0x1.e9c2237c45d3fp-2, -0x1.e9f20c29d4bc2p-2, -0x1.ea12c07a20b2fp-2, -0x1.ea2606f9cd87p-2, -0x1.ea2dacc46e0ap-2, -0x1.ea2b7cc85e5f7p-2, -0x1.ea213872953e8p-2, -0x1.ea1091a1088c3p-2, -0x1.e9fb25babe9b6p-2, -0x1.e9e279cd9ebep-2, -0x1.e9c7f793dc572p-2, -0x1.e9aceb44ac031p-2, -0x1.e99282161c202p-2, -0x1.e979c95816ce1p-2, -0x1.e963ae12ba1d4p-2, -0x1.e950fd1457257p-2, -0x1.e942635d60bfap-2, -0x1.e9386eda855d5p-2, -0x1.e9338f5ee9e5fp-2, -0x1.e93417d21ab3ap-2, -0x1.e93a3f86d1d6fp-2, -0x1.e94623b0fb331p-2, -0x1.e957c8f2a950dp-2, -0x1.e96f1cf8c1159p-2, -0x1.e98bf8211fe1fp-2, -0x1.e9ae1f24eca6fp-2, -0x1.e9d544c27fdefp-2, -0x1.ea010b63151f8p-2, -0x1.ea3106b90afebp-2, -0x1.ea64bd54095c5p-2, -0x1.ea9baa28e3058p-2, -0x1.ead53e0b752ep-2, -0x1.eb10e11927fa4p-2, -0x1.eb4df4130281dp-2, -0x1.eb8bd1a6983f3p-2, -0x1.ebc9cfa54bfd8p-2, -0x1.ec0740299e5fdp-2, -0x1.ec4372aa6fd1ap-2, -0x1.ec7db4fc43f4cp-2, -0x1.ecb55440b2152p-2, -0x1.ece99dc459484p-2, -0x1.ed19dfcbb02d4p-2, -0x1.ed456a4f38a5cp-2, -0x1.ed6b8fa78f25dp-2, -0x1.ed8ba529fa8b3p-2, -0x1.eda503b60d2afp-2, -0x1.edb708350bda6p-2, -0x1.edc1140bb5c13p-2, -0x1.edc28d7f27708p-2, -0x1.edbae00d83718p-2, -0x1.eda97cbb0b62bp-2, -0x1.ed8dda545f468p-2, -0x1.ed6775a6846cp-2, -0x1.ed35d1ad60592p-2, -0x1.ecf877b94f471p-2, -0x1.ecaef78c66e32p-2, -0x1.ec58e7700ea6ap-2, -0x1.ebf5e44375adp-2, -0x1.eb859183787c4p-2, -0x1.eb07994c80d81p-2, -0x1.ea7bac56d893cp-2, -0x1.e9e181edf4a3ep-2, -0x1.e938d7e326645p-2, -0x1.e881727c256b8p-2, -0x1.e7bb1c5dd46f8p-2, -0x1.e6e5a673ae4e7p-2, -0x1.e600e7d42b47p-2, -0x1.e50cbda27e3fep-2, -0x1.e4090aedf635ep-2, -0x1.e2f5b88f50568p-2, -0x1.e1d2b50442061p-2, -0x1.e09ff4497bea5p-2, -0x1.df5d6fb36238dp-2, -0x1.de0b25c5b0d28p-2, -0x1.dca91a0a41b6ep-2, -0x1.db3754e7246b3p-2, -0x1.d9b5e3742f3eap-2, -0x1.d824d75037b6dp-2, -0x1.d684467612407p-2, -0x1.d4d44b117a904p-2, -0x1.d315035407039p-2, -0x1.d146914a3ebe6p-2, -0x1.cf691ab0eb29ep-2, -0x1.cd7cc8cabde42p-2, -0x1.cb81c8365e09ep-2, -0x1.c97848c4eb5f6p-2, -0x1.c7607d510ce32p-2, -0x1.c53a9b96963c4p-2, -0x1.c306dc0acccdcp-2, -0x1.c0c579b55e794p-2, -0x1.be76b20a0d233p-2, -0x1.bc1ac4c31b4b3p-2, -0x1.b9b1f3bc7be92p-2, -0x1.b73c82cfd2c2dp-2, -0x1.b4bab7b13ff1dp-2, -0x1.b22cd9cd035bp-2, -0x1.af933225f6c64p-2, -0x1.acee0b34e21a4p-2, -0x1.aa3db0c8a94d1p-2, -0x1.a7826fe7578cdp-2, -0x1.a4bc96b00730fp-2, -0x1.a1ec743da6739p-2, -0x1.9f12588a95debp-2, -0x1.9c2e945524d39p-2, -0x1.99417904e5933p-2, -0x1.964b5890da194p-2, -0x1.934c856676b6ap-2, -0x1.9045525178a75p-2, -0x1.8d3612649034cp-2, -0x1.8a1f18e2d6793p-2, -0x1.8700b92a1248dp-2, -0x1.83db469dc4563p-2, -0x1.80af1492fe878p-2, -0x1.7d7c763cf787ep-2, -0x1.7a43be9a64b33p-2, -0x1.770540638eec7p-2, -0x1.73c14df9209c7p-2, -0x1.70783953aa359p-2, -0x1.6d2a53f3dbea7p-2, -0x1.69d7eed36b5b4p-2, -0x1.66815a56a6fc4p-2, -0x1.6326e63eb5025p-2, -0x1.5fc8e19c72d6bp-2, -0x1.5c679ac3f7456p-2, -0x1.59035f40b6f4cp-2, -0x1.559c7bca3ed7p-2, -0x1.52333c3988896p-2, -0x1.4ec7eb7ee27ap-2, -0x1.4b5ad398661c7p-2, -0x1.47ec3d88ffb15p-2, -0x1.447c714ffc31dp-2, -0x1.410bb5e12002bp-2, -0x1.3d9a511d3da36p-2, -0x1.3a2887cb504d7p-2, -0x1.36b69d920e35p-2, -0x1.3344d4f1f9e38p-2, -0x1.2fd36f3fe50a9p-2, -0x1.2c62ac9fe7024p-2, -0x1.28f2cc00c6112p-2, -0x1.25840b17c72dfp-2, -0x1.2216a65cefa9fp-2, -0x1.1eaad907a4f9bp-2, -0x1.1b40dd0bb6ec5p-2, -0x1.17d8eb16c47cap-2, -0x1.14733a8e0396cp-2, -0x1.1110018c5e309p-2, -0x1.0daf74e0ec2e1p-2, -0x1.0a51c80dbe32bp-2, -0x1.06f72d46fdc52p-2, -0x1.039fd57259f9ap-2, -0x1.004bf026c2d5fp-2, -0x1.f9f75758d8ca9p-3, -0x1.f35e69fa39223p-3, -0x1.eccd6f89734p-3, -0x1.e644bcc43f07ep-3, -0x1.dfc4a3d05bc8ep-3, -0x1.d94d743e366b4p-3, -0x1.d2df7b0bf687cp-3, -0x1.cc7b02a90867ap-3, -0x1.c62052fa0602fp-3, -0x1.bfcfb15d141b7p-3, -0x1.b98960ae958a9p-3, -0x1.b34da14e43b7ap-3, -0x1.ad1cb1249f036p-3, -0x1.a6f6cba8b567dp-3, -0x1.a0dc29e633dc2p-3, -0x1.9acd0283cdebap-3, -0x1.94c989c9e4a3p-3, -0x1.8ed1f1a978405p-3, -0x1.88e669c35a1a5p-3, -0x1.83071f6f96d2cp-3, -0x1.7d343dc51b77cp-3, -0x1.776deda195947p-3, -0x1.71b455b17d7ap-3, -0x1.6c079a7850e9bp-3, -0x1.6667de58fd3efp-3, -0x1.60d5419e69432p-3, -0x1.5b4fe2842afd3p-3, -0x1.55d7dd3f5b68ep-3, -0x1.506d4c0784917p-3, -0x1.4b10471fb3bdp-3, -0x1.45c0e4df9b6cap-3, -0x1.407f39bccdfe2p-3, -0x1.3b4b58540e4abp-3, -0x1.36255172aad4p-3, -0x1.310d341fe7e5bp-3, -0x1.2c030da6798b4p-3, -0x1.2706e99dfe681p-3, -0x1.2218d1f487c04p-3, -0x1.1d38cef81fc01p-3, -0x1.1866e760596f3p-3, -0x1.13a32057d535ep-3, -0x1.0eed7d85d0d05p-3, -0x1.0a460117a68c9p-3, -0x1.05acabca4c87ap-3, -0x1.01217cf3cf855p-3, -0x1.f948e519769dap-4, -0x1.f06b1273029eap-4, -0x1.e7a978a795ea4p-4, -0x1.df040be7868e9p-4, -0x1.d67abdf29a42p-4, -0x1.ce0d7e2a56b4cp-4, -0x1.c5bc39a4296bdp-4, -0x1.bd86db3b65632p-4, -0x1.b56d4ba3264dp-4, -0x1.ad6f7177ef34ap-4, -0x1.a58d315135c75p-4, -0x1.9dc66dd2a73efp-4, -0x1.961b07bd4fbeap-4, -0x1.8e8ade007a9cap-4, -0x1.8715cdca6de7dp-4, -0x1.7fbbb298e74c6p-4, -0x1.787c66495ff8dp-4, -0x1.7157c1291d516p-4, -0x1.6a4d9a04ff7e3p-4, -0x1.635dc6391a513p-4, -0x1.5c8819c00df5ep-4, -0x1.55cc6742231d1p-4, -0x1.4f2a8024282d4p-4, -0x1.48a234960fa57p-4, -0x1.423353a14c876p-4, -0x1.3bddab36f0d53p-4, -0x1.35a1083d89625p-4, -0x1.2f7d369eb69dap-4, -0x1.2972015485d9bp-4, -0x1.237f327687075p-4, -0x1.1da493469da6bp-4, -0x1.17e1ec3d939f3p-4, -0x1.12370517658b5p-4, -0x1.0ca3a4df4c587p-4, -0x1.072791fb83dfbp-4, -0x1.01c29238d256ap-4, -0x1.f8e8d5ab8b609p-5, -0x1.ee79c11b6c1dp-5, -0x1.e4376f46fe0a1p-5, -0x1.da2167d7fa71ap-5, -0x1.d03731b086af5p-5, -0x1.c67852ff2842p-5, -0x1.bce451522b118p-5, -0x1.b37ab1aa9122dp-5, -0x1.aa3af88e796dep-5, -0x1.a124aa1b0809dp-5, -0x1.98374a15d8205p-5, -0x1.8f725bfde8e29p-5, -0x1.86d5631c0d962p-5, -0x1.7e5fe292ea3a7p-5, -0x1.76115d6e72ec8p-5, -0x1.6de956b2f07fap-5, -0x1.65e7516b9208ap-5, -0x1.5e0ad0b88aa6fp-5, -0x1.565357dcb8621p-5, -0x1.4ec06a4ad7f91p-5, -0x1.47518bb24dbc1p-5, -0x1.4006400b7b588p-5, -0x1.38de0ba3a72acp-5, -0x1.31d873287bc44p-5, -0x1.2af4fbb31cd6p-5, -0x1.24332ad2d1254p-5, -0x1.1d92869747856p-5, -0x1.1712959a767cfp-5, -0x1.10b2df0a1d9ffp-5, -0x1.0a72eab0df783p-5, -0x1.045240fef99e2p-5, -0x1.fca0d62557ca3p-6, -0x1.f0d9e58069d73p-6, -0x1.e54ec532ff031p-6, -0x1.d9fe8beae1696p-6, -0x1.cee851edc65d1p-6, -0x1.c40b312697549p-6, -0x1.b96645321a645p-6, -0x1.aef8ab6af55cap-6, -0x1.a4c182f50c3c9p-6, -0x1.9abfecc854517p-6, -0x1.90f30bbafdbeep-6, -0x1.875a048b11b2cp-6, -0x1.7df3fde7897d4p-6, -0x1.74c02078c5ec5p-6, -0x1.6bbd96e887fd6p-6, -0x1.62eb8de95d861p-6, -0x1.5a49343d99c17p-6, -0x1.51d5babdc1207p-6, -0x1.4990545e77243p-6, -0x1.41783635fa398p-6, -0x1.398c97812d94dp-6, -0x1.31ccb1a823afcp-6, -0x1.2a37c0424eb4ep-6, -0x1.22cd011a2f708p-6, -0x1.1b8bb430a97b2p-6, -0x1.14731bbfe8e9p-6, -0x1.0d827c3dede7cp-6, -0x1.06b91c5eb7f3bp-6, -0x1.001645160ff1cp-6, -0x1.f3328331f4a66p-7, -0x1.e682bebda2868p-7, -0x1.da1bdc441d391p-7, -0x1.cdfc7fc180099p-7, -0x1.c22351b978cf8p-7, -0x1.b68eff36e6d2cp-7, -0x1.ab3e39cb0be9p-7, -0x1.a02fb78c29cd4p-7, -0x1.956233138fea1p-7, -0x1.8ad46b7b3cc51p-7, -0x1.8085245ae8d48p-7, -0x1.767325c4a65dep-7, -0x1.6c9d3c40fba25p-7, -0x1.630238caa5c82p-7, -0x1.59a0f0c9de836p-7, -0x1.50783e0f501d8p-7, -0x1.4786fece95611p-7, -0x1.3ecc159851187p-7, -0x1.3646695407c3ap-7, -0x1.2df4e53993454p-7, -0x1.25d678ca3d313p-7, -0x1.1dea17c9af2aep-7, -0x1.162eba36721c1p-7, -0x1.0ea35c422755bp-7, -0x1.0746fe49a229fp-7, -0x1.0018a4cc98f5p-7, -0x1.f22eb0ca74005p-8, -0x1.e4844b7ef52d3p-8, -0x1.d7303b206d109p-8, -0x1.ca30a9181d076p-8, -0x1.bd83c6bc45a89p-8, -0x1.b127cd3d458fep-8, -0x1.a51afd9267a89p-8, -0x1.995ba06652548p-8, -0x1.8de806036c712p-8, -0x1.82be863f89b6ep-8, -0x1.77dd8067d15c3p-8, -0x1.6d435b2c31092p-8, -0x1.62ee848a9f18dp-8, -0x1.58dd71ba4c3fcp-8, -0x1.4f0e9f169083dp-8, -0x1.45809009cdca2p-8, -0x1.3c31cef8019cbp-8, -0x1.3320ed296dbc5p-8, -0x1.2a4c82b505069p-8, -0x1.21b32e6ae42e2p-8, -0x1.195395be98a0ep-8, -0x1.112c64b188ecdp-8, -0x1.093c4dbd13aep-8, -0x1.018209bcce934p-8, -0x1.f3f8afb19576bp-9, -0x1.e553fadf6fb87p-9, -0x1.d7138c025d131p-9, -0x1.c935062fee35cp-9, -0x1.bbb61868846ddp-9, -0x1.ae947d6c037a7p-9, -0x1.a1cdfb8eac789p-9, -0x1.9560648de5abp-9, -0x1.89499565438fcp-9, -0x1.7d877623d7342p-9, -0x1.7217f9c1a1af4p-9, -0x1.66f91df515b0cp-9, -0x1.5c28eb08eaaf5p-9, -0x1.51a573b21a503p-9, -0x1.476cd4e62dbefp-9, -0x1.3d7d35b1ebd91p-9, -0x1.33d4c70feb34p-9, -0x1.2a71c3bfd6073p-9, -0x1.2152701dbc294p-9, -0x1.187519f9d363cp-9, -0x1.0fd818705e0eep-9, -0x1.0779cbc1ff731p-9, -0x1.feb13a58d6bcp-10, -0x1.eee5fd86b4cabp-10, -0x1.df8ed6940187cp-10, -0x1.d0a8cc192d55bp-10, -0x1.c230f575284f1p-10, -0x1.b4247a81f3f77p-10, -0x1.a680934a74adbp-10, -0x1.994287c08fadbp-10, -0x1.8c67af74aa9adp-10, -0x1.7fed714d54b2bp-10, -0x1.73d143402fc12p-10, -0x1.6810aa0b69322p-10, -0x1.5ca938f00a2f8p-10, -0x1.5198916d354eep-10, -0x1.46dc62fbe37a8p-10, -0x1.3c726acc02619p-10, -0x1.32587381bc917p-10, -0x1.288c54f426783p-10, -0x1.1f0bf3ec89069p-10, -0x1.15d541e6835efp-10, -0x1.0ce63cd0dc275p-10, -0x1.043ceecf7e598p-10, -0x1.f7aedbfbb89b2p-11, -0x1.e767b865b157p-11, -0x1.d7a0cd895ae47p-11, -0x1.c8568c9cbc5f3p-11, -0x1.b9857ceb1ee11p-11, -0x1.ab2a3b6339a42p-11, -0x1.9d417a25f8d7fp-11, -0x1.8fc800183f261p-11, -0x1.82baa874e55cbp-11, -0x1.7616626148793p-11, -0x1.69d83083a2d66p-11, -0x1.5dfd289a68c39p-11, -0x1.52827315673ep-11, -0x1.47654ab13afecp-11, -0x1.3ca2fc132a294p-11, -0x1.3238e567c6ac3p-11, -0x1.282476028c28cp-11, -0x1.1e632dfed9fabp-11, -0x1.14f29de3111d7p-11, -0x1.0bd066450cd82p-11, -0x1.02fa377012563p-11, -0x1.f4dba2183e299p-12, -0x1.e452038e9b543p-12, -0x1.d4534e0024ff1p-12, -0x1.c4db58e28a138p-12, -0x1.b5e617bfe5971p-12, -0x1.a76f9993e8737p-12, -0x1.9974082cc7ea1p-12, -0x1.8befa78f7801bp-12, -0x1.7eded55d5a65ep-12, -0x1.723e083eab72ap-12, -0x1.6609cf4dd0e17p-12, -0x1.5a3ed186d0a93p-12, -0x1.4ed9cd37f7dcbp-12, -0x1.43d7977724af4p-12, -0x1.39351b9835a87p-12, -0x1.2eef5aa6d748p-12, -0x1.25036ae20b04ap-12, -0x1.1b6e773b37839p-12, -0x1.122dbed75dcd6p-12, -0x1.093e9492aae4fp-12, -0x1.009e5e8726818p-12, -0x1.f0952b28c0792p-13, -0x1.e08189d5c0242p-13, -0x1.d0fd1331ac5cfp-13, -0x1.c20324358e819p-13, -0x1.b38f3bd92dd9bp-13, -0x1.a59cfa3b762c8p-13, -0x1.98281fd043242p-13, -0x1.8b2c8c9007459p-13, -0x1.7ea63f2dcbcfp-13, -0x1.729154527c2b3p-13, -0x1.66ea05d7afb0ep-13, -0x1.5bacaa0be403bp-13, -0x1.50d5b2f74144cp-13, -0x1.4661ada63adc5p-13, -0x1.3c4d417721445p-13, -0x1.32952f6c0e039p-13, -0x1.293651808d1fap-13, -0x1.202d9a023ec48p-13, -0x1.177812ee449a8p-13, -0x1.0f12dd51daa82p-13, -0x1.06fb30ae80a29p-13, -0x1.fe5cb4c294927p-14, -0x1.ef537a1acc39bp-14, -0x1.e0d5a01627cb1p-14, -0x1.d2de3db2507c6p-14, -0x1.c568912290c3fp-14, -0x1.b86ffec44f014p-14, -0x1.abf0100fbefa3p-14, -0x1.9fe472983d583p-14, -0x1.9448f70c539a1p-14, -0x1.8919904014504p-14, -0x1.7e52523b47bbfp-14, -0x1.73ef714cfed9cp-14, -0x1.69ed412556129p-14, -0x1.604833f35d546p-14, -0x1.56fcd98a80dd6p-14, -0x1.4e07de8bd552dp-14, -0x1.45660b970a8cp-14, -0x1.3d14447b449bp-14, -0x1.350f877203737p-14, -0x1.2d54ec5b895f8p-14, -0x1.25e1a402dd5abp-14, -0x1.1eb2f763f75ddp-14, -0x1.17c646f84cc5cp-14, -0x1.11190a06cf40cp-14, -0x1.0aa8cdf8dd9aep-14, -0x1.047335b21f3cfp-14, -0x1.fcebf1dc8a8cdp-15, -0x1.f15dc7485d50cp-15, -0x1.e637aad3340c3p-15, -0x1.db7581b820817p-15, -0x1.d113561e3a3c3p-15, -0x1.c70d55fa93d71p-15, -0x1.bd5fd1f8375e5p-15, -0x1.b4073c6aba952p-15, -0x1.ab00284566e3ep-15, -0x1.a247481a542dbp-15, -0x1.99d96d1e129f6p-15, -0x1.91b38633919ebp-15, -0x1.89d29f02615c9p-15, -0x1.8233df0cff36ep-15, -0x1.7ad488d2313ebp-15, -0x1.73b1f8ef52c67p-15, -0x1.6cc9a54e3730dp-15, -0x1.66191c5413661p-15, -0x1.5f9e041a03b0cp-15, -0x1.595619a64563fp-15, -0x1.533f30329259ap-15, -0x1.4d57307048979p-15, -0x1.479c17d276d74p-15, -0x1.420bf7e23bc3bp-15, -0x1.3ca4f592c5614p-15, -0x1.3765489cd9cd6p-15, -0x1.324b3ade322c4p-15, -0x1.2d5527be151a9p-15, -0x1.28817b95e7b12p-15, -0x1.23ceb31d221b3p-15, -0x1.1f3b5ad9785b5p-15, -0x1.1ac60e95a461p-15, -0x1.166d78da17f29p-15, -0x1.1230526a70b9ep-15, -0x1.0e0d61c5fbf09p-15, -0x1.0a037aadbc941p-15, -0x1.06117daac41abp-15, -0x1.0236579c3f041p-15, -0x1.fce2028a0d1b6p-16, -0x1.f580fdc084a8fp-16, -0x1.ee47bf6f8a3b5p-16, -0x1.e7347b77be7c5p-16, -0x1.e0457a40927ffp-16, -0x1.d97917f61a1d5p-16, -0x1.d2cdc3cf37827p-16, -0x1.cc41ff58fc90ep-16, -0x1.c5d45dc89be43p-16, -0x1.bf83834e94bc9p-16, -0x1.b94e24722c9c9p-16, -0x1.b3330573ae9b3p-16, -0x1.ad30f9ae3c76fp-16, -0x1.a746e30619f86p-16, -0x1.a173b1564c1dcp-16, -0x1.9bb661e87e5ffp-16, -0x1.960dfee641f83p-16, -0x1.90799ed962b5ep-16, -0x1.8af8642b1f34bp-16, -0x1.85897caabed14p-16, -0x1.802c211840c69p-16, -0x1.7adf94b115b6ep-16, -0x1.75a324c09c9cap-16, -0x1.707628342c619p-16, -0x1.6b57ff3639a23p-16, -0x1.664812c61d317p-16, -0x1.6145d459f06f4p-16, -0x1.5c50bd80e870ep-16, -0x1.57684f8b56a3ep-16, -0x1.528c133001369p-16, -0x1.4dbb983962e27p-16, -0x1.48f67534dca05p-16, -0x1.443c472486388p-16, -0x1.3f8cb134b3d25p-16, -0x1.3ae75c73612e7p-16, -0x1.364bf786ffccp-16, -0x1.31ba366fc63d5p-16, -0x1.2d31d2444d919p-16, -0x1.28b288f219c8ep-16, -0x1.243c1d02625a7p-16, -0x1.1fce555fbcfd1p-16, -0x1.1b68fd1f0d06cp-16, -0x1.170be34724734p-16, -0x1.12b6da9f856a3p-16, -0x1.0e69b97c3435ap-16, -0x1.0a245990dab7ep-16, -0x1.05e697c14461p-16, -0x1.01b053f4fb6b5p-16, -0x1.fb02e1d9f3c31p-17, -0x1.f2b3a832e92adp-17, -0x1.ea72caef4ecfbp-17, -0x1.e2401eccd7af5p-17, -0x1.da1b7d0bd4786p-17, -0x1.d204c325f798ep-17, -0x1.c9fbd28f2cf59p-17, -0x1.c2009072a4da9p-17, -0x1.ba12e5775e89p-17, -0x1.b232bd85c607cp-17, -0x1.aa60079275b8bp-17, -0x1.a29ab5676d0fp-17, -0x1.9ae2bb71450b8p-17, -0x1.9338108e16829p-17, -0x1.8b9aaddb5cf9fp-17, -0x1.840a8e8efaae7p-17, -0x1.7c87afcb9a88fp-17, -0x1.75121076e21f7p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      46, 0x1.6p+2, 0x1.06efcc5ea35cfp+1, 0x1.f82d09afb096fp+1, -0x1.16f2ce9cf5898p-7, 
      {{
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.0306c9a74d212p-4, -0x1.2ddbcddb2b0ffp-3, 0x1.3609b5de3d103p-3, -0x1.41ae61534856cp-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.ccb3862b8ffffp-5, -0x1.100fa5a2606d9p-3, 0x1.1de96e9197a38p-3, -0x1.3183e7b07994p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.991260445ef81p-5, -0x1.e93b326999333p-4, 0x1.06ff89fdf4ebap-3, -0x1.23c562f4e1617p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.6ab4a88c8ba41p-5, -0x1.b6d1e3b75d1aap-4, 0x1.e23b11f0c8083p-4, -0x1.1560c05006addp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.412a5f6312b08p-5, -0x1.88ad591fe2c0ap-4, 0x1.b89fc1e4c7081p-4, -0x1.0728a06910832p-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.1c08fe9268f8fp-5, -0x1.5e96a31927eebp-4, 0x1.912676a1d15a7p-4, -0x1.f1c926e77968bp-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.f5d6f2a0f7182p-6, -0x1.385710a933c5ep-4, 0x1.6bd0fa1d41d92p-4, -0x1.d5476ff3fa922p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.bae4787d5f522p-6, -0x1.15b7e011c05e4p-4, 0x1.489ed1b7c2418p-4, -0x1.b8c40740a8117p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.86865ad3c57f8p-6, -0x1.ed04a82b65627p-5, 0x1.27901df94f4p-4, -0x1.9c4102955e288p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.58135894d4e5bp-6, -0x1.b4ff5c6f2266cp-5, 0x1.08a4d7614e96bp-4, -0x1.7fbe1f89dcd77p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.2eed23882929bp-6, -0x1.82f260f4630f2p-5, 0x1.d7b9f6d455a65p-5, -0x1.633a51f71def5p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.0a80604c4e559p-6, -0x1.5670383f163d3p-5, 0x1.a2713755aac2bp-5, -0x1.46ba0ce1a992ap-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.d4894cad81a73p-7, -0x1.2f0b69d97e1d9p-5, 0x1.716ee89a37b9ap-5, -0x1.2a2c905e1bc59p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.9b78ffe7dae45p-7, -0x1.0c566ab64bf36p-5, 0x1.44b50625b38efp-5, -0x1.0dd06915de367p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.68ead48e62c35p-7, -0x1.dbc7ea4042d8p-6, 0x1.1c3c29959f06fp-5, -0x1.e0548a1092486p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.3c0fbd41a4ccap-7, -0x1.a689510cb37e8p-6, 0x1.f06ba4dbf4e91p-6, -0x1.a26c4da74a7dfp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.142f725f51d1p-7, -0x1.78085310eb9p-6, 0x1.b1a832cfa9bccp-6, -0x1.64feabfe1976dp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.e1527ecb28204p-8, -0x1.4f58227994615p-6, 0x1.7c1b990325eb2p-6, -0x1.271ed516dca61p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a1e82b3dff332p-8, -0x1.2b8c019265719p-6, 0x1.4fd6f90c84d26p-6, -0x1.d51a70cf705e4p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.693d184524978p-8, -0x1.0bb8d9170ad24p-6, 0x1.2ca830968f979p-6, -0x1.5269d02c7a8cfp-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.369dbfa767ac7p-8, -0x1.ddd9cfc8a03e5p-7, 0x1.1346a7600666bp-6, -0x1.0f64dc3524d52p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.09841ad48b9bdp-8, -0x1.a8d4c1e156ebbp-7, 0x1.fdd7c751adad9p-7, -0x1.0c0a4937a855dp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c307bf2d52e1p-9, -0x1.77db6aa84f22dp-7, 0x1.d5a30922ee076p-7, -0x1.fe4c6415e6773p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7c6d79872449ap-9, -0x1.4ace997aa884ap-7, 0x1.af5d4e6e16581p-7, -0x1.e9a09d54aeffp-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3e751c99dda3ep-9, -0x1.2181b610ed567p-7, 0x1.8aa475d489378p-7, -0x1.d39640911a22dp-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.0862ba8081651p-9, -0x1.f7977f4a5af2fp-8, 0x1.6792ca96740ecp-7, -0x1.bde9d43eccad4p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b3057f1b847bfp-10, -0x1.b3057e1fef837p-8, 0x1.46214111be4eap-7, -0x1.a8243c29bcb85p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.6253e498063fp-10, -0x1.74f9fe5cb3304p-8, 0x1.2651bc8e9cf42p-7, -0x1.926562ae6c455p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1d6ae6faae743p-10, -0x1.3d217259ce35ep-8, 0x1.0823bb8e54d57p-7, -0x1.7ca4ba8ee6625p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.c62af86e07f2fp-11, -0x1.0b2855eb36024p-8, 0x1.d72ec1873a4e7p-8, -0x1.66e48e666f2ap-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.645e9d5fdc5cap-11, -0x1.bd7644b53bap-9, 0x1.a15945c4a9a1fp-8, -0x1.51244105fd76ap-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.13497a6f69d96p-11, -0x1.6f0ca33fe9059p-9, 0x1.6ec708d09069fp-8, -0x1.3b63fc8e55a98p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a1cb6c40023d9p-12, -0x1.2a6cbb08f8f1dp-9, 0x1.3f780954d05d8p-8, -0x1.25a3b5ab9ba05p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.369dbfa767b63p-12, -0x1.dddeff77ba40fp-10, 0x1.136c47ae45d27p-8, -0x1.0fe36f8c3c25dp-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.c307bf2d52f62p-13, -0x1.77dbc9fb58717p-10, 0x1.d547877f46651p-9, -0x1.f446519564326p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.3e751c99ddb8dp-13, -0x1.2181bce7f8ab2p-10, 0x1.8a3cfb42775ddp-9, -0x1.c8c5c79c96d9fp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.b3057f1b849ffp-14, -0x1.b3057f23038efp-11, 0x1.45b8ea1e2d8a3p-9, -0x1.9d4530bf25f91p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1d6ae6faaea18p-14, -0x1.3d21724fe0903p-11, 0x1.07bb56018171fp-9, -0x1.71c4c9ea25dd2p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.645e9d5fdcbdfp-15, -0x1.bd764588c23ebp-12, 0x1.a0886f6ff7882p-10, -0x1.4643afd7cb58cp-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a1cb6c4002fp-16, -0x1.2a6cb7fd664e3p-12, 0x1.3ea75448d41f3p-10, -0x1.1ac532b26e3ebp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c307bf2d54b82p-17, -0x1.77dbe0b73a625p-13, 0x1.d3a523c032e68p-11, -0x1.de79ea2d8e04ap-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b3057f1b86ep-18, -0x1.b304d569860ddp-14, 0x1.441a2a4c21e5bp-11, -0x1.87b238cd33befp-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.645e9d5fe34p-19, -0x1.bd7b375748b2bp-15, 0x1.9d2fcc1d24c03p-12, -0x1.2fdae0ff6487ap-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c307bf2d72p-21, -0x1.77b6dbc753a7cp-16, 0x1.cdbf5707d0dfp-13, -0x1.b7f2b21e3645fp-11}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.645e9d606c001p-23, -0x1.bf9d92f856ef2p-18, 0x1.8b8ea51e93c8ap-14, -0x1.e540e05b27b57p-12}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.645e9d697fffep-27, -0x1.7d2a431e7bb4cp-21, 0x1.a19ee06c56401p-16, -0x1.44b456a2f8899p-11}, 
      }}, 
      0x1.318996387f57p-7, -0x1.d6ecafe23db44p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{0x1.44cb0deeeb075p-5, 0x1.38109d8cf6afcp-4, 0x1.b70fd53ef6519p-4, 0x1.0cb8c2ae18477p-3, 0x1.2e6e20053596dp-3, 0x1.40ddaa2ecbcffp-3, 0x1.4538dc401a43fp-3, 0x1.3d51d76c02a3ep-3, 0x1.2b4edeb99885p-3, 0x1.116ef14b1872dp-3, 0x1.e3bf1e76782e2p-4, 0x1.9d4268fad7752p-4, 0x1.52eeb53862695p-4, 0x1.07c226477772dp-4, 0x1.7c5f1ada5405cp-5, 0x1.e0911b2f9f703p-6, 0x1.b89b60fc8e3efp-7, -0x1.fe09450272574p-11, -0x1.c301f05af5ee8p-7, -0x1.96f446a39fa0cp-6, -0x1.17ece7bacca62p-5, -0x1.56470b3709f77p-5, -0x1.8706d31a36dddp-5, -0x1.aae6fb2defb3ap-5, -0x1.c2cdf2f2aa4f6p-5, -0x1.cfbf8946f2cc3p-5, -0x1.d2d0fd6027b9bp-5, -0x1.cd1f619472dcp-5, -0x1.bfc75798716f9p-5, -0x1.abdf26137dac4p-5, -0x1.9271d104e6ea8p-5, -0x1.747bc21d22cecp-5, -0x1.52e874b3b0627p-5, -0x1.2e911135c8745p-5, -0x1.083bc6da7c1ecp-5, -0x1.c137661d7ad2ap-6, -0x1.70a2745eb3eccp-6, -0x1.1fd5570f479d2p-6, -0x1.9f945e2905e61p-7, -0x1.02b533d8d3193p-7, -0x1.aa0e3b12555c8p-9, 0x1.3e15c5e032f9ep-10, 0x1.6628040ed84f2p-8, 0x1.3696a51a2d7e6p-7, 0x1.b19cd748d6125p-7, 0x1.11d0595c2eb3ep-6, 0x1.46203754ae4c5p-6, 0x1.759d5f110934cp-6, 0x1.a035ad5990674p-6, 0x1.c5e3dddf05536p-6, 0x1.e6adfa69a7c26p-6, 0x1.0151f17aab44dp-5, 0x1.0ceef5d682933p-5, 0x1.163dca0b1ebfbp-5, 0x1.1d512b993267ep-5, 0x1.223e4b3d74e02p-5, 0x1.251c4e5549437p-5, 0x1.2603de24f1fdap-5, 0x1.250ec2affbb22p-5, 0x1.225788031aacep-5, 0x1.1df938efe8c06p-5, 0x1.180f0b32f8d6dp-5, 0x1.10b436a5a5cd4p-5, 0x1.0803bb06864a2p-5, 0x1.fc307564dea5dp-6, 0x1.e617a92765a3ap-6, 0x1.cdf01597d1788p-6, 0x1.b3eb5808e0873p-6, 0x1.98397e5758d9fp-6, 0x1.7b08df5873781p-6, 0x1.5c862a5396972p-6, 0x1.3cdc2be0b4d38p-6, 0x1.1c33dc5d41422p-6, 0x1.f568946ad1766p-7, 0x1.b1053bc54503ep-7, 0x1.6b842aa4a8514p-7, 0x1.252806709e63fp-7, 0x1.bc5f5c611916ep-8, 0x1.2dac80bc93b39p-8, 0x1.3d4ccf6b7bae3p-9, 0x1.f695b91e01accp-13, -0x1.fb2037320460ap-10, -0x1.0c760d756296ap-8, -0x1.99025ae56f63ap-8, -0x1.121046482c4f4p-7, -0x1.56c531a51c73dp-7, -0x1.9a7feae7f900ap-7, -0x1.dd234d2ef0645p-7, -0x1.0f4a808088e9ap-6, -0x1.2f5eab9f0af26p-6, -0x1.4ec3950088a06p-6, -0x1.6d6fdc3ae78d2p-6, -0x1.8b5b43982b618p-6, -0x1.a87e9986b2beep-6, -0x1.c4d3b550c34aap-6, -0x1.e05557858eeecp-6, -0x1.faff23d828808p-6, -0x1.0a66c6254eedep-5, -0x1.16dee374042f6p-5, -0x1.22e6dc767b0e4p-5, -0x1.2e7df72f04519p-5, -0x1.39a3c56c36b6dp-5, -0x1.44581e4ac73ddp-5, -0x1.4e9b18bbe6d7p-5, -0x1.586d06057badep-5, -0x1.61ce6c598d393p-5, -0x1.6ac002c9e3e5ap-5, -0x1.7342ac780da6ep-5, -0x1.7b577389f03cfp-5, -0x1.82ff8837a9f2fp-5, -0x1.8a3c3a792fca6p-5, -0x1.910ef846590e4p-5, -0x1.97794a68cb40bp-5, -0x1.9d7cd1c7f6aep-5, -0x1.a31b44d3fa35p-5, -0x1.a8566d523f259p-5, -0x1.ad30262bed4c3p-5, -0x1.b1aa593fbdb59p-5, -0x1.b5c6fdf1d46aap-5, -0x1.b98816a239e98p-5, -0x1.bcefafd80dc64p-5, -0x1.bfffde53005f6p-5, -0x1.c2babd8d3df59p-5, -0x1.c5226e75d57c7p-5, -0x1.c7391601391c5p-5, -0x1.c900dc3ccaa6ep-5, -0x1.ca7beac32f4cfp-5, -0x1.cbac6bc3463dap-5, -0x1.cc948925f53ccp-5, -0x1.cd366b9f41c0bp-5, -0x1.cd94390d760bp-5, -0x1.cdb014838d304p-5, -0x1.cd8c1d117da45p-5, -0x1.cd2a6ccad8979p-5, -0x1.cc8d18909b3abp-5, -0x1.cbb62f1d6d269p-5, -0x1.caa7b8186e775p-5, -0x1.c963b46558a3fp-5, -0x1.c7ec1cc1395a5p-5, -0x1.c642e0ea2826p-5, -0x1.c469ea55431bfp-5, -0x1.c26316882aba1p-5, -0x1.c0303c5179e78p-5, -0x1.bdd327f4dd795p-5, -0x1.bb4d986b45401p-5, -0x1.b8a14a0cbf4ap-5, -0x1.b5cfe84163ed4p-5, -0x1.b2db172dd0899p-5, -0x1.afc47232a3832p-5, -0x1.ac8d86a69cb9ap-5, -0x1.a937d9cc046fcp-5, -0x1.a5c4e784cfcf5p-5, -0x1.a23621759f092p-5, -0x1.9e8ceb8f28724p-5, -0x1.9acaa447b12bdp-5, -0x1.96f09dbbf47ccp-5, -0x1.930022db55db7p-5, -0x1.8efa716d3a55bp-5, -0x1.8ae0c1835ffdep-5, -0x1.86b4414c5b565p-5, -0x1.8276178fac1c3p-5, -0x1.7e2758547726fp-5, -0x1.79c91fa133cdfp-5, -0x1.755c7794bdac4p-5, -0x1.70e2642e70d73p-5, -0x1.6c5be0ef5e294p-5, -0x1.67c9e29389473p-5, -0x1.632d5755d1933p-5, -0x1.5e87265124be9p-5, -0x1.59d82f2ddce36p-5, -0x1.55214aab9eaap-5, -0x1.50634c844e776p-5, -0x1.4b9f0201a22e3p-5, -0x1.46d5324cd76a8p-5, -0x1.42069e36e53e5p-5, -0x1.3d33ffb3a02a5p-5, -0x1.385e0f181787p-5, -0x1.33857d65007aap-5, -0x1.2eaaf581d8eccp-5, -0x1.29cf1d574bcc5p-5, -0x1.24f296492156dp-5, -0x1.2015ff03cf1fap-5, -0x1.1b39f0a1adb87p-5, -0x1.165efbe864c73p-5, -0x1.1185b071c77a6p-5, -0x1.0cae992083628p-5, -0x1.07da3d528f853p-5, -0x1.03091f3721bcdp-5, -0x1.fc77772f21766p-6, -0x1.f2e515b18e1acp-6, -0x1.e95c06c60c7bdp-6, -0x1.dfdd2f6c67263p-6, -0x1.d66969e284595p-6, -0x1.cd018818865a3p-6, -0x1.c3a65308eea9fp-6, -0x1.ba588decc1064p-6, -0x1.b118f624255d2p-6, -0x1.a7e840d68d2c7p-6, -0x1.9ec719646245ep-6, -0x1.95b6227e7eb5ap-6, -0x1.8cb5f8529e51bp-6, -0x1.83c7326461f74p-6, -0x1.7aea615687697p-6, -0x1.72200d00a0cffp-6, -0x1.6968b49fcb767p-6, -0x1.60c4cfe854968p-6, -0x1.5834d140db689p-6, -0x1.4fb925c43ae7fp-6, -0x1.4752398fe469dp-6, -0x1.3f005c6c18babp-6, -0x1.36c3f38e142a7p-6, -0x1.2e9d4a403b1a2p-6, -0x1.268cac1c8a981p-6, -0x1.1e925fa1e4d6cp-6, -0x1.16aea59fd132cp-6, -0x1.0ee1b8125a68fp-6, -0x1.072bc972e14ap-6, -0x1.ff1a0d3fc58a7p-7, -0x1.f00b301a2a23fp-7, -0x1.e12b44559f692p-7, -0x1.d27a8965a353fp-7, -0x1.c3f9334367fe2p-7, -0x1.b5a769c1d1af3p-7, -0x1.a7854a1ca5c21p-7, -0x1.9992e95b0e70dp-7, -0x1.8bd0566094714p-7, -0x1.7e3d99088f586p-7, -0x1.70dab024287f2p-7, -0x1.63a7913372afep-7, -0x1.56a42a08b3d1ap-7, -0x1.49d05ed0b0ff1p-7, -0x1.3d2c0f2abb72dp-7, -0x1.30b71588b904p-7, -0x1.2471472927a8dp-7, -0x1.185a729473b88p-7, -0x1.0c7260218ac3ap-7, -0x1.00b8d06daa28bp-7, -0x1.ea5aff94ca57ep-8, -0x1.d3a04bb961925p-8, -0x1.bd40eddd333a8p-8, -0x1.a73c69b959312p-8, -0x1.9191bb8f1b92fp-8, -0x1.7c4091825b1f8p-8, -0x1.674812f75b2b1p-8, -0x1.52a77e9b9292ap-8, -0x1.3e5e153d96b51p-8, -0x1.2a6b0ac99fec6p-8, -0x1.16cd93b01d17ep-8, -0x1.0384df8cb636ep-8, -0x1.e12031915d011p-9, -0x1.bbdcc883b878fp-9, -0x1.973dc412c8732p-9, -0x1.73415dd299c8dp-9, -0x1.4fe5cb1345c54p-9, -0x1.2d293e67b77aap-9, -0x1.0b09e77d34eadp-9, -0x1.d30be45ba6f89p-10, -0x1.91370ac3244bdp-10, -0x1.509183bb41cacp-10, -0x1.111785e588bbbp-10, -0x1.a58acb0c6771p-11, -0x1.2b2e4f788f29ep-11, -0x1.66242ea869099p-12, -0x1.e976396720cf2p-14, 0x1.b41afae30b0acp-14, 0x1.5017f1f87b632p-12, 0x1.1772a6520405fp-11, 0x1.84bf10f91501p-11, 0x1.eff8e3d4efef2p-11, 0x1.2c93e2d7e9658p-10, 0x1.6029ab013eab9p-10, 0x1.92c1963a8332bp-10, 0x1.c45f6cfca4fd3p-10, 0x1.f506f5c741c86p-10, 0x1.125dfb5c9ac2ap-9, 0x1.29c11ad73839cp-9, 0x1.40aebb85de58p-9, 0x1.5728be94402b4p-9, 0x1.6d31448efaeeap-9, 0x1.82c95ed132bc7p-9, 0x1.97f3b303e53a6p-9, 0x1.acb1c7ae98b9cp-9, 0x1.c10588a10a89cp-9, 0x1.d4f0bcd61e209p-9, 0x1.e875395a9e354p-9, 0x1.fb94c8fe60a58p-9, 0x1.0728a0ab95fffp-8, 0x1.1056365c58657p-8, 0x1.19540a28cafbdp-8, 0x1.2222ff996818p-8, 0x1.2ac3f90269246p-8, 0x1.3337d78380d2p-8, 0x1.3b7f7b1e2bea1p-8, 0x1.439bc2cc753dep-8, 0x1.4b8d8c77c2456p-8, 0x1.5355b4d46c53ep-8, 0x1.5af5174f2f541p-8, 0x1.626c8e06484efp-8, 0x1.69bcf1c0d618bp-8, 0x1.70e719dcfac86p-8, 0x1.77ebdc368d026p-8, 0x1.7ecc0d2326e1fp-8, 0x1.85887f87faf0ap-8, 0x1.8c22051002f4dp-8, 0x1.92996ecde4518p-8, 0x1.98ef8995d5dcbp-8, 0x1.9f251e94eda52p-8, 0x1.a53b0121c107ep-8, 0x1.ab31fdf0b6a89p-8, 0x1.b10acf977f2c5p-8, 0x1.b6c643f2a447p-8, 0x1.bc651ea4e13fbp-8, 0x1.c1e8212a9afa5p-8, 0x1.c7500b8f6adc6p-8, 0x1.cc9d9c1830f8ap-8, 0x1.d1d18f1b4a526p-8, 0x1.d6ec9ee04f841p-8, 0x1.dbef8383caad9p-8, 0x1.e0daf2d70c57p-8, 0x1.e5afa050b50ecp-8, 0x1.ea6e3cec1023ap-8, 0x1.ef177721b5c2fp-8, 0x1.f3abfb2cc5327p-8, 0x1.f82c91aad21bbp-8, 0x1.fc9982691e9cp-8, 0x1.0079e838a24fcp-7, 0x1.029dff985ac21p-7, 0x1.04b9569f3a6aep-7, 0x1.06cc3b70ea738p-7, 0x1.08d6fabe0eae8p-7, 0x1.0ad9dfb9abc08p-7, 0x1.0cd53423a77e6p-7, 0x1.0ec94096c6ee8p-7, 0x1.10b64ab3c221ep-7, 0x1.129c9505f559dp-7, 0x1.147c68334de1p-7, 0x1.165606c5c3e7fp-7, 0x1.1829aadf0e34bp-7, 0x1.19f796d7cf0b6p-7, 0x1.1bc007fc0a8aep-7, 0x1.1d833961db0edp-7, 0x1.1f4164a421f26p-7, 0x1.20fac1ade60fdp-7, 0x1.22af86ade5f52p-7, 0x1.245fe81644933p-7, 0x1.260c189fb0eebp-7, 0x1.27b4494c498ffp-7, 0x1.2958a9691297p-7, 0x1.2af9668bd4a85p-7, 0x1.2c96ac8cc0739p-7, 0x1.2e30a57e6d241p-7, 0x1.2fc779a750d6fp-7, 0x1.315b4f7ea9f16p-7, 0x1.32ec4bac7817p-7, 0x1.347a910d57b82p-7, 0x1.360640b7dd463p-7, 0x1.378f7a02878f4p-7, 0x1.39165a893e21ep-7, 0x1.3a9afe321657p-7, 0x1.3c1d7f3037751p-7, 0x1.3d9df605546dcp-7, 0x1.3f1c79818084dp-7, 0x1.40991ec501938p-7, 0x1.4213f954bfcf2p-7, 0x1.438d1b6f09d15p-7, 0x1.450493db5c96cp-7, 0x1.467a6efe90a9cp-7, 0x1.47eebe94bd8efp-7, 0x1.49618e52ef102p-7, 0x1.4ad2e1d3b97b6p-7, 0x1.4c42c48dd1acdp-7, 0x1.4db13d8a5f0f9p-7, 0x1.4f1e51adb56a8p-7, 0x1.508a04b13bea2p-7, 0x1.51f45977fbf66p-7, 0x1.535d4b16b74e2p-7, 0x1.54c4e6fe50081p-7, 0x1.562b1e8d4b0a4p-7, 0x1.578ff2c8f914dp-7, 0x1.58f35f2c21f6fp-7, 0x1.5a555e021d712p-7, 0x1.5bb5e864f61cp-7, 0x1.5d14f6472b7fp-7, 0x1.5e727e7d103b6p-7, 0x1.5fce76c4dee35p-7, 0x1.6128d3cdd887p-7, 0x1.6281893ee7683p-7, 0x1.63d889bd3c0c8p-7, 0x1.652dc6f380e6ep-7, 0x1.66813199e98d8p-7, 0x1.67d2b97f55c8ap-7, 0x1.69224d93e6c4cp-7, 0x1.6a6fdbf43a56fp-7, 0x1.6bbb51f588d7dp-7, 0x1.6d049c31bd5cap-7, 0x1.6e4ba6930c769p-7, 0x1.6f905c5db2112p-7, 0x1.70d2a83a35037p-7, 0x1.72127440862f3p-7, 0x1.734faa0e18bdbp-7, 0x1.748a331309396p-7, 0x1.75c1f7924253bp-7, 0x1.76f6db26cba55p-7, 0x1.7828cdcbf8fefp-7, 0x1.7957b39dc28b4p-7, 0x1.7a83711a7d355p-7, 0x1.7babed6d51304p-7, 0x1.7cd1105a7b09fp-7, 0x1.7df2bfa2de957p-7, 0x1.7f10e11f53948p-7, 0x1.802b5a9941e06p-7, 0x1.814211bf7708cp-7, 0x1.8254ec2953ca4p-7, 0x1.8363cf5d13477p-7, 0x1.846ea0d6e55c9p-7, 0x1.8575461109187p-7, 0x1.8677a48cada52p-7, 0x1.8775a1dbc109fp-7, 0x1.886f23aa9d261p-7, 0x1.89640fc907904p-7, 0x1.8a544c318f787p-7, 0x1.8b3fbf0ecc4a7p-7, 0x1.8c264ebed2eb7p-7, 0x1.8d07e1d5170cp-7, 0x1.8de45f1c49aa6p-7, 0x1.8ebbad9932176p-7, 0x1.8f8db490670a8p-7, 0x1.905a5b8f7b8a1p-7, 0x1.91218a79d3bbdp-7, 0x1.91e329986aa6cp-7, 0x1.929f21acad7f2p-7, 0x1.93555c194a97ep-7, 0x1.9405cd1d6c09bp-7, 0x1.94b03f442dfap-7, 0x1.9554bd202be0cp-7, 0x1.95f327f8280d3p-7, 0x1.968b6b6b57a7fp-7, 0x1.971d73a2f3ff4p-7, 0x1.97a92d173ecd4p-7, 0x1.982e8491d6f1fp-7, 0x1.98ad6759947ccp-7, 0x1.9925c3933dce3p-7, 0x1.999784a571f2fp-7, 0x1.9a029b6b5fa19p-7, 0x1.9a66f8ca39cd5p-7, 0x1.9ac48fe5e4c0dp-7, 0x1.9b1b4ccf7fdbbp-7, 0x1.9b6b26311708cp-7, 0x1.9bb410190f8e3p-7, 0x1.9bf5fee75610bp-7, 0x1.9c30e77483161p-7, 0x1.9c64bea50f12p-7, 0x1.9c91792ffe4b6p-7, 0x1.9cb70b9345e41p-7, 0x1.9cd56a37f156ap-7, 0x1.9cec89c4e7e5cp-7, 0x1.9cfc5f9612a5cp-7, 0x1.9d04e244cf879p-7, 0x1.9d060a28ddb24p-7, 0x1.9cffd1b661076p-7, 0x1.9cf235a191689p-7, 0x1.9cdd34b897c16p-7, 0x1.9cc0cf7173f6dp-7, 0x1.9c9d073778a04p-7, 0x1.9c71dd9249b86p-7, 0x1.9c3f534ceac96p-7, 0x1.9c0567c23be9dp-7, 0x1.9bc418791e2ddp-7, 0x1.9b7b6129ddeafp-7, 0x1.9b2b3c3907b22p-7, 0x1.9ad3a39e03775p-7, 0x1.9a7492179d42dp-7, 0x1.9a0e047f10d0fp-7, 0x1.999ffaff68783p-7, 0x1.992a79f679fa8p-7, 0x1.98ad8a4dfe6fdp-7, 0x1.9829392dec831p-7, 0x1.979d97043ea78p-7, 0x1.970ab5fbbb33bp-7, 0x1.9670a817053f7p-7, 0x1.95cf7d3ab65a2p-7, 0x1.9527417abfb43p-7, 0x1.9477fbfb8be4bp-7, 0x1.93c1aea54ca02p-7, 0x1.930456cda9581p-7, 0x1.923feee54f48cp-7, 0x1.91747106541ebp-7, 0x1.90a1d62107105p-7, 0x1.8fc82036fa433p-7, 0x1.8ee758206f949p-7, 0x1.8dff8f773d52bp-7, 0x1.8d10da0932c1cp-7, 0x1.8c1b5c2f8ce7dp-7, 0x1.8b1f3ce49dec1p-7, 0x1.8a1ca29bd3339p-7, 0x1.8913bd18a27adp-7, 0x1.8804a5a23a23cp-7, 0x1.86ef7907a311ap-7, 0x1.85d4448d10363p-7, 0x1.84b309aeee80ep-7, 0x1.838bbed927b5ap-7, 0x1.825e523fae8fcp-7, 0x1.812aae3c3f676p-7, 0x1.7ff0beabd6112p-7, 0x1.7eb0769b27f11p-7, 0x1.7d69d57aa4d74p-7, 0x1.7c1ceb14da2e7p-7, 0x1.7ac9d99be948fp-7, 0x1.7970d559bb547p-7, 0x1.781221da4fa54p-7, 0x1.76ae0cc0d576bp-7, 0x1.7544e6d30ba3ap-7, 0x1.73d6fc13ebdddp-7, 0x1.72648bf75adc5p-7, 0x1.70edc2c4a2863p-7, 0x1.6f72b51dd0a54p-7, 0x1.6df35e5fb136p-7, 0x1.6c6fa230b586fp-7, 0x1.6ae7512d84fe5p-7, 0x1.695a303e8f07fp-7, 0x1.67c801ce128a7p-7, 0x1.66308fd8beceap-7, 0x1.6493b5b03e0dp-7, 0x1.62f1683fa89c4p-7, 0x1.6149bbbc2b36fp-7, 0x1.5f9ce5e470b04p-7, 0x1.5deb3c4e70e4bp-7, 0x1.5c352eb8abc6bp-7, 0x1.5a7b3ddc8158ap-7, 0x1.58bdefbf27717p-7, 0x1.56fdc2e6fcd06p-7, 0x1.553b220fb8c6p-7, 0x1.537659f1475a5p-7, 0x1.51af926907499p-7, 0x1.4fe6cbe8f7e72p-7, 0x1.4e1be193f507bp-7, 0x1.4c4e8d789fb58p-7, 0x1.4a7e727226b5fp-7, 0x1.48ab3095d1149p-7, 0x1.46d464baccd7p-7, 0x1.44f9b7e77e0ffp-7, 0x1.431af491d8c07p-7, 0x1.4138070dc6c2ep-7, 0x1.3f5103e329ca1p-7, 0x1.3d66296f37e74p-7, 0x1.3b77dbfe7dfep-7, 0x1.39869d9b6aec3p-7, 0x1.3793024d680b4p-7, 0x1.359da213e68ddp-7, 0x1.33a70a574053ap-7, 0x1.31afb0b511725p-7, 0x1.2fb7e8eacc12ep-7, 0x1.2dbfdf2dcfe6p-7, 0x1.2bc7978bc02ccp-7, 0x1.29cef21f1f92bp-7, 0x1.27d5b326b0fffp-7, 0x1.25db8d9300577p-7, 0x1.23e02e76a5098p-7, 0x1.21e347f92e552p-7, 0x1.1fe49ad9896d4p-7, 0x1.1de3f525dad7ep-7, 0x1.1be1625d42221p-7, 0x1.19dcd82a0560dp-7, 0x1.17d68d4b00571p-7, 0x1.15cecac9bfa2p-7, 0x1.13c5efdfb20f6p-7, 0x1.11bc696e37178p-7, 0x1.0fb2a732b59f9p-7, 0x1.0da90f98e0c9ep-7, 0x1.0b9ff3c64f31bp-7, 0x1.099785e250a51p-7, 0x1.078fd39b58236p-7, 0x1.0588c664cb673p-7, 0x1.038229d5643p-7, 0x1.017bb72b996c2p-7, 0x1.feea47573916cp-8, 0x1.fadc5d8b8a6d4p-8, 0x1.f6cd5a206761bp-8, 0x1.f2bd1c526c0c4p-8, 0x1.eeabba6bea1e5p-8, 0x1.ea997a98761eap-8, 0x1.e686c81f2962bp-8, 0x1.e274299a5ddddp-8, 0x1.de623af6ab69ep-8, 0x1.da51ab3c04a11p-8, 0x1.d6433b88d474ap-8, 0x1.d237bb4180de7p-8, 0x1.ce2ffddd261b6p-8, 0x1.ca2cc8eec20d7p-8, 0x1.c62eb8e1a4d45p-8, 0x1.c23622714a1fep-8, 0x1.be43134bc854ap-8, 0x1.ba552802e2b01p-8, 0x1.b66b9d1c70583p-8, 0x1.b28577fed227fp-8, 0x1.aea1a2a8ca098p-8, 0x1.aabf1ca0823efp-8, 0x1.a6dd26ef46eaap-8, 0x1.a2fb5e0ea2657p-8, 0x1.9f19bcbdb571p-8, 0x1.9b3887cc91e1p-8, 0x1.97582ab67a372p-8, 0x1.9379124ada478p-8, 0x1.8f9b933cc1a8cp-8, 0x1.8bbfe5bbebbbdp-8, 0x1.87e636f3c9dfp-8, 0x1.840ec8a58eeep-8, 0x1.803a1155def03p-8, 0x1.7c68cecae7e3bp-8, 0x1.789c011e50a87p-8, 0x1.74d4ccd95d285p-8, 0x1.71144b74c9e94p-8, 0x1.6d5b57e637c6fp-8, 0x1.69aa664fd50ffp-8, 0x1.660172398359bp-8, 0x1.626007c9c0241p-8, 0x1.5ec56517ef36fp-8, 0x1.5b30ab2d199ap-8, 0x1.57a1135bf6204p-8, 0x1.54161cc98f202p-8, 0x1.508fa6bf3373p-8, 0x1.4d0def1468573p-8, 0x1.499171c13f4acp-8, 0x1.461aafaa4c96fp-8, 0x1.42a9ecaf8d6fcp-8, 0x1.3f3efb6f71241p-8, 0x1.3bd92bb153512p-8, 0x1.387765e94b481p-8, 0x1.35186efcb5abbp-8, 0x1.31bb3ac7228b4p-8, 0x1.2e5f3e3d095c4p-8, 0x1.2b049756addb4p-8, 0x1.27ac0270a82ap-8, 0x1.2456a58f02eb5p-8, 0x1.2105bcd88481ep-8, 0x1.1dba49ebf4e4bp-8, 0x1.1a74e17088776p-8, 0x1.1735a51a1b66p-8, 0x1.13fc6581eec4cp-8, 0x1.10c8d8e22b175p-8, 0x1.0d9ad055e2e9fp-8, 0x1.0a725c100f554p-8, 0x1.074fd9b0c37c4p-8, 0x1.0433ef9fe2dbdp-8, 0x1.011f7a73dd40ap-8, 0x1.fc26de85fc70cp-9, 0x1.f62159347e36dp-9, 0x1.f02fbb8c6ee2p-9, 0x1.ea526d3c6c87dp-9, 0x1.e488a29e94166p-9, 0x1.ded0532f9c834p-9, 0x1.d92685bde1b93p-9, 0x1.d387d8f015f92p-9, 0x1.cdf15021df705p-9, 0x1.c861065cbd8c8p-9, 0x1.c2d690aa0fd78p-9, 0x1.bd52eddfb6693p-9, 0x1.b7d8075eed011p-9, 0x1.b267e9771da34p-9, 0x1.ad03f4d783f1dp-9, 0x1.a7ac52e5b1e93p-9, 0x1.a25fe071ba68cp-9, 0x1.9d1c90db5f126p-9, 0x1.97e01aca44289p-9, 0x1.92a8ad18544dfp-9, 0x1.8d7579801ed7cp-9, 0x1.8846fbbb6bb55p-9, 0x1.831ef218722aap-9, 0x1.7e000554896c7p-9, 0x1.78ed3246bc6cdp-9, 0x1.73e92644ed7d9p-9, 0x1.6ef5cb63c133cp-9, 0x1.6a142686cecfdp-9, 0x1.654475e95e59cp-9, 0x1.60865c762f6e3p-9, 0x1.5bd8f18e81611p-9, 0x1.573abb9389c41p-9, 0x1.52a9c42148c14p-9, 0x1.4e23ef3b6dbbp-9, 0x1.49a78855cf90fp-9, 0x1.4533bff3d9ce8p-9, 0x1.40c8d5500eb4dp-9, 0x1.3c67e5b9e0adbp-9, 0x1.3812951a3a57dp-9, 0x1.33cabc91cc636p-9, 0x1.2f921de3e18dep-9, 0x1.2b6a08f55d28p-9, 0x1.2752f8fca75f6p-9, 0x1.234c45ac799dep-9, 0x1.1f5407b0e11f4p-9, 0x1.1b67515cd2d22p-9, 0x1.1782d436e5452p-9, 0x1.13a3d64cbe7e9p-9, 0x1.0fc908ba601e7p-9, 0x1.0bf2bc6a8e42ap-9, 0x1.082250a49d592p-9, 0x1.045940750823ap-9, 0x1.00986a41b8dc6p-9, 0x1.f9c00d8a34eap-10, 0x1.f25ef986a4417p-10, 0x1.eb0e11f6a6ea9p-10, 0x1.e3ce1fd16843dp-10, 0x1.dca16c4f4ac01p-10, 0x1.d58ada89ff697p-10, 0x1.ce8cc5437df5dp-10, 0x1.c7a7f9f3dc8b2p-10, 0x1.c0dbb43d0444p-10, 0x1.ba2655723b3bp-10, 0x1.b3861c14928f1p-10, 0x1.acf95f01eb64cp-10, 0x1.a67e076403301p-10, 0x1.a011722e351c4p-10, 0x1.99b226b31bff9p-10, 0x1.9362297632982p-10, 0x1.8d27a31cb0e7bp-10, 0x1.870a9cf372986p-10, 0x1.8110f2902dap-10, 0x1.7b3b163d14aa1p-10, 0x1.7583f2f8a43bbp-10, 0x1.6fe438a388ce2p-10, 0x1.6a56c8cfa07ep-10, 0x1.64daf13264847p-10, 0x1.5f7307720da1ap-10, 0x1.5a211d30dcf54p-10, 0x1.54e49e47d2ef4p-10, 0x1.4fba13aa53dd7p-10, 0x1.4a9c54e521202p-10, 0x1.4585fba042e58p-10, 0x1.40728c0a84728p-10, 0x1.3b5f57c1ae9ddp-10, 0x1.364c316f6df31p-10, 0x1.313bcd51a4966p-10, 0x1.2c33808ce5593p-10, 0x1.273a256473791p-10, 0x1.225640cd5b65cp-10, 0x1.1d8c0a2e2ab6fp-10, 0x1.18dc60b17173ap-10, 0x1.14456acfc937ap-10, 0x1.0fc4366bf7a6ap-10, 0x1.0b5562903f20dp-10, 0x1.06f4013f25ff6p-10, 0x1.02993bb8ca5eep-10, 0x1.fc7fd9c6f7c87p-11, 0x1.f3d47f15bc13cp-11, 0x1.eb455fc7f4c5bp-11, 0x1.e2eb05a3c65d1p-11, 0x1.dacfe0fe2b4eep-11, 0x1.d2e9bdda396e8p-11, 0x1.cb23c5b6db793p-11, 0x1.c36f933b58ba8p-11, 0x1.bbcdd37898536p-11, 0x1.b4488388122dp-11, 0x1.ace7d9f08af5ap-11, 0x1.a5ad3b81865ddp-11, 0x1.9e95966108c35p-11, 0x1.979d917dbb67bp-11, 0x1.90c37f9a9cdb9p-11, 0x1.8a06cc6ae1ccep-11, 0x1.8366455e3a594p-11, 0x1.7cde91f8dad5p-11, 0x1.7669bd82c4235p-11, 0x1.700042f972c4ap-11, 0x1.699b78f28ec0ap-11, 0x1.633883343dc3fp-11, 0x1.5cda61ae8d8a5p-11, 0x1.5689bc4188db1p-11, 0x1.5051d168328f1p-11, 0x1.4a3bae458aa1fp-11, 0x1.444aa0dde74a4p-11, 0x1.3e7c9037d26b2p-11, 0x1.38ccb54c1005ap-11, 0x1.333826109a725p-11, 0x1.2db9b76c5b187p-11, 0x1.28465b4abcf75p-11, 0x1.22d4368460df5p-11, 0x1.1d698fff8a9fdp-11, 0x1.181d0c50effd5p-11, 0x1.130032296ef79p-11, 0x1.0e0cfbba35109p-11, 0x1.092d05f2ef7fcp-11, 0x1.0451720871c9fp-11, 0x1.fefd565d31552p-12, 0x1.f581c458523e2p-12, 0x1.ec39cba6ea3fdp-12, 0x1.e31d3f3b7af84p-12, 0x1.da1fb96e351b1p-12, 0x1.d13a0d8858a18p-12, 0x1.c86b6fd55d1ddp-12, 0x1.bfb71fa5b8e13p-12, 0x1.b7222c729985ap-12, 0x1.aeb22df402485p-12, 0x1.a66c8fd5240a8p-12, 0x1.9e55edb5a52bcp-12, 0x1.9671372f5647cp-12, 0x1.8ebea1da81a5fp-12, 0x1.873ab263ae73fp-12, 0x1.7fddd5f51d90dp-12, 0x1.789d3381d996p-12, 0x1.716d63e8f4755p-12, 0x1.6a46e8a63035ap-12, 0x1.632a1f30f0721p-12, 0x1.5c1efcbebfc8p-12, 0x1.552f681ac1c86p-12, 0x1.4e60d86ccc617p-12, 0x1.47b40839a4feep-12, 0x1.412a9f1d516a6p-12, 0x1.3ac883601d314p-12, 0x1.348977522b4b4p-12, 0x1.2e5e1e62ed8b1p-12, 0x1.28458fb79b125p-12, 0x1.22582b20e02eep-12, 0x1.1c9f63ed3bc53p-12, 0x1.16fe82b5a8803p-12, 0x1.115c6cf6a7206p-12, 0x1.0bc6c602848edp-12, 0x1.0655642a409ccp-12, 0x1.010a03893f919p-12, 0x1.f7b06d9949844p-13, 0x1.ed6cd6812089dp-13, 0x1.e343e9a0d7391p-13, 0x1.d937e8073e1c7p-13, 0x1.cf4cc93368b3p-13, 0x1.c585c551a5fc9p-13, 0x1.bbe4f2b51fb22p-13, 0x1.b26b9a73319ap-13, 0x1.a91aa30fe0f4bp-13, 0x1.9ff2e8906a411p-13, 0x1.96f591dca27c5p-13, 0x1.8e2480394600cp-13, 0x1.85825239cf5e6p-13, 0x1.7d1408bd407f9p-13, 0x1.74dfbcadca687p-13, 0x1.6cea9530a15f4p-13, 0x1.6536d62a63d78p-13, 0x1.5dbde91fafb58p-13, 0x1.566cc70a1e031p-13, 0x1.4f28997d6ac85p-13, 0x1.47ded5535e5a1p-13, 0x1.40948358e7169p-13, 0x1.395fa6d23d727p-13, 0x1.3250569926fddp-13, 0x1.2b66122ded291p-13, 0x1.24a3f08a9a612p-13, 0x1.1e1e3a1835be3p-13, 0x1.17d5d91f06e7dp-13, 0x1.11af15890dfp-13, 0x1.0ba8a48b56b9cp-13, 0x1.05bebb6edc64cp-13, 0x1.ffa2dcf65693fp-14, 0x1.f3dcccc6544a3p-14, 0x1.e87a87ca4d833p-14, 0x1.dd7904574ea98p-14, 0x1.d2accbc744189p-14, 0x1.c8012049dbc06p-14, 0x1.bd77351ab5575p-14, 0x1.b3162196d9128p-14, 0x1.a8e36f0729013p-14, 0x1.9ee1ed681c133p-14, 0x1.95126b9ccafe6p-14, 0x1.8b748d5f289cbp-14, 0x1.82075ee91a6fep-14, 0x1.78c9aeef309abp-14, 0x1.6fba44a2d1855p-14, 0x1.66d7fe276339p-14, 0x1.5e21dac846f9bp-14, 0x1.5596f51f08d6ap-14, 0x1.4d3680604c387p-14, 0x1.44ffee177cdbep-14, 0x1.3cf359dff52e4p-14, 0x1.351224ec46b67p-14, 0x1.2d5f7553dcda9p-14, 0x1.25e0724217bdcp-14, 0x1.1e9c338164682p-14, 0x1.1799609e21a3bp-14, 0x1.10d48dc3cb2adp-14, 0x1.0a34656d24c7ap-14, 0x1.03978401b6654p-14, 0x1.f9f98192c2359p-15, 0x1.ed027f3f661b9p-15, 0x1.e04f7c0727c37p-15, 0x1.d3a8fe73ae8d8p-15, 0x1.c735926289b7ap-15, 0x1.bb856dd4fddf8p-15, 0x1.b09548b205101p-15, 0x1.a5cc48c9afe7dp-15, 0x1.9ae99cee63bd4p-15, 0x1.8fee73639d752p-15, 0x1.853edbdfa6368p-15, 0x1.7b098a1978de4p-15, 0x1.711833db7e08dp-15, 0x1.674a705e98f4dp-15, 0x1.5da27e4c6bf2cp-15, 0x1.542876e108555p-15, 0x1.4ae21be9f9098p-15, 0x1.41d28fd28a5b1p-15, 0x1.38f8155b6ce64p-15, 0x1.3052668d23fccp-15, 0x1.27e07f99d593dp-15, 0x1.1fa11202ff699p-15, 0x1.1792da3579afcp-15, }}, 
      {{0x1.1b31d417fcf44p-5, 0x1.1592468c0127cp-4, 0x1.93239f54d4d21p-4, 0x1.016d7b4babb95p-3, 0x1.314ef8967cb61p-3, 0x1.58bb8c5482b2ep-3, 0x1.77ad234d4f3b5p-3, 0x1.8e75d7fbbb1a6p-3, 0x1.9da640b5ee636p-3, 0x1.a5f75a18093bap-3, 0x1.a8387edfd8d9dp-3, 0x1.a541627ad23d2p-3, 0x1.9de7a75b001b2p-3, 0x1.92f783a7d77b5p-3, 0x1.852ee0bc3167ep-3, 0x1.753a6cdfb0421p-3, 0x1.63b4291fe714p-3, 0x1.512310785010bp-3, 0x1.3dfb860a2c35p-3, 0x1.2aa048de8a11cp-3, 0x1.1763ba850da4cp-3, 0x1.0489530c1cc19p-3, 0x1.e48e4ebd4be94p-4, 0x1.c18ede909ba9p-4, 0x1.a053fc7f85859p-4, 0x1.810b4fea24e7ap-4, 0x1.63d3194113a38p-4, 0x1.48bc870d26e2fp-4, 0x1.2fcde9e8f6de5p-4, 0x1.19048fb674b0fp-4, 0x1.0456822f8d18p-4, 0x1.e367fddde6a86p-5, 0x1.c21188b2f1018p-5, 0x1.a47a5bf023368p-5, 0x1.8a6e4d41f5b99p-5, 0x1.73b5ea333afc6p-5, 0x1.6017cb8030ad2p-5, 0x1.4f59abec9fdb6p-5, 0x1.414153cac64c5p-5, 0x1.35954a8cdaf07p-5, 0x1.2c1d6c98b1583p-5, 0x1.24a35e887577bp-5, 0x1.1ef2e2c52913ap-5, 0x1.1ada1c0d5e4c2p-5, 0x1.1829b8fe30a8cp-5, 0x1.16b515861240cp-5, 0x1.165248d6b6aa6p-5, 0x1.16da2d572013dp-5, 0x1.18285e1ada994p-5, 0x1.1a1b2c0b11d16p-5, 0x1.1c93905f8adc8p-5, 0x1.1f751677be46ep-5, 0x1.22a5c4b670578p-5, 0x1.260e019cb8bd6p-5, 0x1.299877272eb9cp-5, 0x1.2d31f39c5e8dfp-5, 0x1.30c94bbc1cac6p-5, 0x1.344f3a279b325p-5, 0x1.37b640c0fe82ap-5, 0x1.3af28992340efp-5, 0x1.3df9c8818713p-5, 0x1.40c31ddcbeb68p-5, 0x1.4346f97f5b5fcp-5, 0x1.457f0038c47d6p-5, 0x1.4765f1c02ead8p-5, 0x1.48f7907f4f03bp-5, 0x1.4a308afe79d2cp-5, 0x1.4b0e66c7e85eep-5, 0x1.4b8f6b5a3849bp-5, 0x1.4bb28cb8f5afp-5, 0x1.4b775fc0dadfep-5, 0x1.4ade02c308559p-5, 0x1.49e7126254be4p-5, 0x1.489399fdbacb8p-5, 0x1.46e5083081fb8p-5, 0x1.44dd22d92d025p-5, 0x1.427dfaa0fc6a6p-5, 0x1.3fc9e23bbdda6p-5, 0x1.3cc3636e38d52p-5, 0x1.396d37331d836p-5, 0x1.35ca3cbc59281p-5, 0x1.31dd729743384p-5, 0x1.2da9f138dad08p-5, 0x1.2932e315c867cp-5, 0x1.247b80f2eb63bp-5, 0x1.1f870d3de0e81p-5, 0x1.1a58cee6128cp-5, 0x1.14f40c0ab1ee1p-5, 0x1.0f5c0ad6e015ep-5, 0x1.0994090a6cb87p-5, 0x1.039f3bc803882p-5, 0x1.fb0198e83fedap-6, 0x1.ee77a0c5fa07ep-6, 0x1.e1a6cc7b61496p-6, 0x1.d494eaf8d6bfbp-6, 0x1.c747d871fe754p-6, 0x1.b9c53ce2ef347p-6, 0x1.ac1297658d8ccp-6, 0x1.9e353c52f1fd5p-6, 0x1.90325850a4aaap-6, 0x1.820eddec8c134p-6, 0x1.73cfa6e80e9a2p-6, 0x1.657952d70026bp-6, 0x1.5710575803653p-6, 0x1.4898fcc36089dp-6, 0x1.3a175eb1b1c7ap-6, 0x1.2b8f6c1f4749fp-6, 0x1.1d04ec211dbe6p-6, 0x1.0e7b6b5df89ccp-6, 0x1.ffecc483911dp-7, 0x1.e2f221258094bp-7, 0x1.c60d2230277cfp-7, 0x1.a943ad6be1411p-7, 0x1.8c9b5a9ec2b3ep-7, 0x1.70197602bcc73p-7, 0x1.53c3020be427bp-7, 0x1.379cb866471d2p-7, 0x1.1bab0f7acce2bp-7, 0x1.ffe4744adbac9p-8, 0x1.c8ec4d5fc4e0bp-8, 0x1.92750eddaec76p-8, 0x1.5c85a0fd02bd1p-8, 0x1.2724769c41febp-8, 0x1.e4af1fa2a6214p-9, 0x1.7c48fdec9828cp-9, 0x1.1520d8e6eb474p-9, 0x1.5e806aed9229fp-10, 0x1.2abf47e551c5cp-11, -0x1.888508c97a85ep-13, -0x1.e98376a4f6055p-11, -0x1.b5a6715abd94ep-10, -0x1.39d96e4f7651ep-9, -0x1.976e2454fa15cp-9, -0x1.f38c9bf6cbec7p-9, -0x1.271854e5a758ep-8, -0x1.53ab568b9c28ep-8, -0x1.7f7dc5d918e3cp-8, -0x1.aa8e553ca67e3p-8, -0x1.d4dbf3a4886acp-8, -0x1.fe65c9876bf4p-8, -0x1.13959b6d7b815p-7, -0x1.2795e6fa53ab3p-7, -0x1.3b33aafa605d8p-7, -0x1.4e6edbf2d3655p-7, -0x1.61479446f1a99p-7, -0x1.73bdef1276479p-7, -0x1.85d22731f1e0ep-7, -0x1.978486f6de6c1p-7, -0x1.a8d56b5775a33p-7, -0x1.b9c53fac4b775p-7, -0x1.ca547fa202873p-7, -0x1.da83b5fe16ep-7, -0x1.ea537aca1f93fp-7, -0x1.f9c4700a74aafp-7, -0x1.046ba38812642p-6, -0x1.0bc65c6940f7dp-6, -0x1.12f2c5f271f3ap-6, -0x1.19f146161e5p-6, -0x1.20c248f2d7e52p-6, -0x1.27663de48d1e7p-6, -0x1.2ddd8fd6abe7cp-6, -0x1.3428cb9c377e2p-6, -0x1.3a48542b59be5p-6, -0x1.403cadd3319bap-6, -0x1.460657446e65bp-6, -0x1.4ba5d19185394p-6, -0x1.511b9f766d4f8p-6, -0x1.566847494bdeep-6, -0x1.5b8c4e44c0469p-6, -0x1.60883dd20599bp-6, -0x1.655c9f644dc95p-6, -0x1.6a09fdde666a6p-6, -0x1.6e90e407537e5p-6, -0x1.72f1df6c79c91p-6, -0x1.772d7e1c19847p-6, -0x1.7b444b78a12ebp-6, -0x1.7f36d77d8c91fp-6, -0x1.8305b0516934ep-6, -0x1.86b164b3723bcp-6, -0x1.8a3a83df5dfb5p-6, -0x1.8da19ad7181ddp-6, -0x1.90e73b21faad5p-6, -0x1.940bf24fffe56p-6, -0x1.97104d302c8dcp-6, -0x1.99f4db13aec7dp-6, -0x1.9cba29499e442p-6, -0x1.9f60c4b1b581fp-6, -0x1.a1e939c41e2b7p-6, -0x1.a45414b88a561p-6, -0x1.a6a1dee3de7fap-6, -0x1.a8d3252b02e69p-6, -0x1.aae87128a48c1p-6, -0x1.ace248a6371ccp-6, -0x1.aec135a9f57bbp-6, -0x1.b085bec93c46bp-6, -0x1.b23069c27f024p-6, -0x1.b3c1bb56aab2cp-6, -0x1.b53a3737d555cp-6, -0x1.b69a602e372e6p-6, -0x1.b7e2b7d4ea5aep-6, -0x1.b913bccd92e3p-6, -0x1.ba2df0314eec4p-6, -0x1.bb31cf7b74ca4p-6, -0x1.bc1fd583cf2eap-6, -0x1.bcf87eb65d53fp-6, -0x1.bdbc4491df8e1p-6, -0x1.be6b9f71498cp-6, -0x1.bf07065e8aaf6p-6, -0x1.bf8eeb7d35245p-6, -0x1.c003cc6373fp-6, -0x1.c06612a9ff381p-6, -0x1.c0b632bdc4ce8p-6, -0x1.c0f49a79e0492p-6, -0x1.c121ba5809c17p-6, -0x1.c13dff456e51ep-6, -0x1.c149d1c876576p-6, -0x1.c1459d4ee2f83p-6, -0x1.c131c9877deacp-6, -0x1.c10ebcd6da383p-6, -0x1.c0dcdc12fff99p-6, -0x1.c09c8a7da0f81p-6, -0x1.c04e29c8c389ap-6, -0x1.bff21a17a1a28p-6, -0x1.bf88b9ffa9adep-6, -0x1.bf1266bb721adp-6, -0x1.be8f7b0c25b8bp-6, -0x1.be0050694566dp-6, -0x1.bd653fdd541b4p-6, -0x1.bcbea0905c2b9p-6, -0x1.bc0cc5853389cp-6, -0x1.bb5003c036571p-6, -0x1.ba88acd87dac8p-6, -0x1.b9b7111c23b1ap-6, -0x1.b8db7f5b5ff67p-6, -0x1.b7f644e47fd81p-6, -0x1.b707ad8a6e772p-6, -0x1.b610039d24df3p-6, -0x1.b50f8ff85ca51p-6, -0x1.b40699f6fb1fcp-6, -0x1.b2f567a014fe2p-6, -0x1.b1dc3a7175fd3p-6, -0x1.b0bb5ddd92087p-6, -0x1.af930a9212655p-6, -0x1.ae638463973c7p-6, -0x1.ad2d0b2c894adp-6, -0x1.abefd9d6dc275p-6, -0x1.aaac2e4fca5d5p-6, -0x1.a9624312ec932p-6, -0x1.a8125191d1bf9p-6, -0x1.a6bc920116df5p-6, -0x1.a5613b54e188ap-6, -0x1.a400833e31d2ep-6, -0x1.a29a9e31574cdp-6, -0x1.a12fbf67d46b5p-6, -0x1.9fc018e787a4ap-6, -0x1.9e4bdb881aa11p-6, -0x1.9cd336f81a29bp-6, -0x1.9b5659c7dc474p-6, -0x1.99d57189224b2p-6, -0x1.9850aadfce86cp-6, -0x1.96c82e54d32dep-6, -0x1.953c2a506a142p-6, -0x1.93acc7034c942p-6, -0x1.921a29f7007ecp-6, -0x1.90847c12011b4p-6, -0x1.8eebe3836352dp-6, -0x1.8d50855188bdp-6, -0x1.8bb285b75b4b7p-6, -0x1.8a120807dda46p-6, -0x1.886f2eac5ab37p-6, -0x1.86ca1b2967143p-6, -0x1.8522ee22f5576p-6, -0x1.8379c760e0811p-6, -0x1.81cec5d356dc1p-6, -0x1.8022079672661p-6, -0x1.7e73a9f7e6a13p-6, -0x1.7cc3c979581ecp-6, -0x1.7b1281d5876ddp-6, -0x1.795fef15a09d3p-6, -0x1.77ac283666155p-6, -0x1.75f74a45e6deap-6, -0x1.74416ae221effp-6, -0x1.728aa5372fdfep-6, -0x1.70d30edb06104p-6, -0x1.6f1abec596c14p-6, -0x1.6d61ca2229ecfp-6, -0x1.6ba8472f4f08ap-6, -0x1.69ee4a5c09188p-6, -0x1.6833e7a36d1cp-6, -0x1.6679326cbffc2p-6, -0x1.64be3d858d9d7p-6, -0x1.63031b2385fap-6, -0x1.6147dce78fda4p-6, -0x1.5f8c93e09ced3p-6, -0x1.5dd1508edfb07p-6, -0x1.5c1622e775744p-6, -0x1.5a5b1a55ffe78p-6, -0x1.58a045bf96bd9p-6, -0x1.56e5b385f470bp-6, -0x1.552b718a7db9p-6, -0x1.53718d3039632p-6, -0x1.51b8135ed92f6p-6, -0x1.4fff10862b8a6p-6, -0x1.4e4690a76a3c1p-6, -0x1.4c8e9f79051f1p-6, -0x1.4ad747adb209p-6, -0x1.4920931d02089p-6, -0x1.476a8d9d5b727p-6, -0x1.45b54196db70fp-6, -0x1.4400b5b80fe56p-6, -0x1.424cf49db6128p-6, -0x1.409a06d1ae2fcp-6, -0x1.3ee7f47168b08p-6, -0x1.3d36c55146b91p-6, -0x1.3b8680ec7bb27p-6, -0x1.39d72e637d98ap-6, -0x1.3828d47dabe5p-6, -0x1.367b79abb8b0ap-6, -0x1.34cf24083408fp-6, -0x1.3323d95c1cc29p-6, -0x1.31799f1f02409p-6, -0x1.2fd07a796ce25p-6, -0x1.2e28704454cbcp-6, -0x1.2c81840ddf3b8p-6, -0x1.2adbbd33474cdp-6, -0x1.29371ca5e2a53p-6, -0x1.2793a71f4a39p-6, -0x1.25f1601e9fbcap-6, -0x1.24504addf6271p-6, -0x1.22b06a5869c52p-6, -0x1.2111c14cfcc37p-6, -0x1.1f745246156eep-6, -0x1.1dd81fb471dc7p-6, -0x1.1c3d2b6139b69p-6, -0x1.1aa37667f43cdp-6, -0x1.190b0405f2c02p-6, -0x1.1773d5df30f3cp-6, -0x1.15ddeb53bbf98p-6, -0x1.1449469464f1ap-6, -0x1.12b5e89dd8ebdp-6, -0x1.1123d21b31a27p-6, -0x1.0f9303a21a296p-6, -0x1.0e037da550871p-6, -0x1.0c75407289f9ep-6, -0x1.0ae84c3373d0fp-6, -0x1.095ca0ef6bee3p-6, -0x1.07d23e8d242cp-6, -0x1.064924d43d51ap-6, -0x1.04c1536ee206fp-6, -0x1.033ac9eb34bf7p-6, -0x1.01b587bcc562ep-6, -0x1.00318c3e1724cp-6, -0x1.fd5dad640ecbdp-7, -0x1.fa5acc89f894ap-7, -0x1.f75a741cc16dfp-7, -0x1.f45ca2243dceap-7, -0x1.f16154840e9d3p-7, -0x1.ee6888fe52cd1p-7, -0x1.eb723d365bcc1p-7, -0x1.e87e6eb3364f5p-7, -0x1.e58d1ae22c169p-7, -0x1.e29e3f1959636p-7, -0x1.dfb1d89b5bea4p-7, -0x1.dcc7e4a293b8p-7, -0x1.d9e060869a745p-7, -0x1.d6fb48cc80f2ap-7, -0x1.d418999d73c13p-7, -0x1.d138520f248ebp-7, -0x1.ce5a6f46a3037p-7, -0x1.cb7eeb9ab3668p-7, -0x1.c8a5c559872c6p-7, -0x1.c5cef98e68378p-7, -0x1.c2fa84fa67723p-7, -0x1.c0286479cae04p-7, -0x1.bd5894bdc1841p-7, -0x1.ba8b14f56b908p-7, -0x1.b7bfdcb87f299p-7, -0x1.b4f6edf17e84dp-7, -0x1.b2304408d9086p-7, -0x1.af6bdc1532d15p-7, -0x1.aca9b3339e9d9p-7, -0x1.a9e9c68e2459cp-7, -0x1.a72c135d6757bp-7, -0x1.a47096e9efa1bp-7, -0x1.a1b74e8d3832p-7, -0x1.9f0037b2bd29cp-7, -0x1.9c4b4fd8e2a09p-7, -0x1.99989491de442p-7, -0x1.96e803847827dp-7, -0x1.94399a6cea8a2p-7, -0x1.918d571da6dd9p-7, -0x1.8ee337802a4bap-7, -0x1.8c3b3995a3c6fp-7, -0x1.89955b778c0a7p-7, -0x1.86f19b584a43p-7, -0x1.844ff783caa64p-7, -0x1.81b06e5fc6395p-7, -0x1.7f12fe6c3eaap-7, -0x1.7c77a64490bf1p-7, -0x1.79de64a3656edp-7, -0x1.77473874aa942p-7, -0x1.74b22092fccf1p-7, -0x1.721f1ae535becp-7, -0x1.6f8e28aae817p-7, -0x1.6cff48571eeeap-7, -0x1.6a7278a99a768p-7, -0x1.67e7b93e8791ap-7, -0x1.655f0a049504fp-7, -0x1.62d86a92a4661p-7, -0x1.6053daaca1ea3p-7, -0x1.5dd15a372194ep-7, -0x1.5b50e93288baep-7, -0x1.58d287ba310ccp-7, -0x1.565636047ae2fp-7, -0x1.53dbf46333fa5p-7, -0x1.5163c343d1288p-7, -0x1.4eeda32f78355p-7, -0x1.4c7994cabae55p-7, -0x1.4a0798d4c3dep-7, -0x1.4797b026354bp-7, -0x1.4529dbaf91266p-7, -0x1.42be1c77b2f51p-7, -0x1.4054739a74b7ap-7, -0x1.3dece247f5004p-7, -0x1.3b8769c48386ep-7, -0x1.39240b6958d2ap-7, -0x1.36c2c8a5dddd1p-7, -0x1.3463a3012833bp-7, -0x1.32069c1b225cdp-7, -0x1.2fabb5acd6b6dp-7, -0x1.2d52f186ff94dp-7, -0x1.2afc517e665a9p-7, -0x1.28a7d0ec80bdbp-7, -0x1.26558620cebf2p-7, -0x1.24055f0db5906p-7, -0x1.21b7644616446p-7, -0x1.1f6b9810adbfep-7, -0x1.1d21fc9ae448bp-7, -0x1.1ada941933bedp-7, -0x1.189560cce47d4p-7, -0x1.1652650b80c4p-7, -0x1.1411a3491b3e7p-7, -0x1.11d31dca56a32p-7, -0x1.0f96d751cb027p-7, -0x1.0d5cd2a51fc53p-7, -0x1.0b2512b46d8b4p-7, -0x1.08ef99cb0e02ep-7, -0x1.06bc6b0187a1cp-7, -0x1.048b891e9fef1p-7, -0x1.025cf6d52788cp-7, -0x1.0030b6cabcc98p-7, -0x1.fc0d972c5e909p-8, -0x1.f7be6f896792p-8, -0x1.f373fbc6cff5cp-8, -0x1.ef2e4115a4d56p-8, -0x1.eaed44d4400f6p-8, -0x1.e6b10c9f3edfdp-8, -0x1.e2799e58ecb49p-8, -0x1.de47002477626p-8, -0x1.da193854817bap-8, -0x1.d5f04d4f09c9p-8, -0x1.d1cc456adda73p-8, -0x1.cdad26cc4a05bp-8, -0x1.c992f74766ca8p-8, -0x1.c57dbc4db6cfcp-8, -0x1.c16d7aeb466cfp-8, -0x1.bd6237d48894dp-8, -0x1.b95bf78381856p-8, -0x1.b55abe5ffb31fp-8, -0x1.b15e90ebbd0f1p-8, -0x1.ad6773eb3edecp-8, -0x1.a9756c8305c23p-8, -0x1.a5888043df5acp-8, -0x1.a1a0b52275205p-8, -0x1.9dbe115a92912p-8, -0x1.99e09b41b77dbp-8, -0x1.9608590ff4e8bp-8, -0x1.923550a7786ap-8, -0x1.8e6787647e095p-8, -0x1.8a9f01fd9d09ap-8, -0x1.86dbc47a4ac84p-8, -0x1.831dd242024e9p-8, -0x1.7f652e41fd2a3p-8, -0x1.7bb1db24006b2p-8, -0x1.7803db8cd3841p-8, -0x1.745b3255009f1p-8, -0x1.70b7e2b02508ap-8, -0x1.6d19f0e44f9d4p-8, -0x1.6981610d42096p-8, -0x1.65ee37cc9ea65p-8, -0x1.62607a0b5333ep-8, -0x1.5ed82de1c3217p-8, -0x1.5b5557c34817ep-8, -0x1.57d7fc1e9714ep-8, -0x1.5460238192b5cp-8, -0x1.50edc2a24c57ap-8, -0x1.4d80eb5db5d41p-8, -0x1.4a19987e0c3abp-8, -0x1.46b7cb903f1bap-8, -0x1.435b8524018e1p-8, -0x1.4004c5aefe759p-8, -0x1.3cb38dd2854bcp-8, -0x1.3967de8f3d149p-8, -0x1.3621b9640f718p-8, -0x1.32e12055654cep-8, -0x1.2fa615dcab8a6p-8, -0x1.2c709cc3be5b1p-8, -0x1.2940b7f280bcep-8, -0x1.26166a36p-8, -0x1.22f1b608d9067p-8, -0x1.1fd29d63f6787p-8, -0x1.1cb9219cdfcfcp-8, -0x1.19a5435567f91p-8, -0x1.1697027e32bfbp-8, -0x1.138e5e6afe4cap-8, -0x1.108b55f5919cp-8, -0x1.0d8de7a9aa425p-8, -0x1.0a9611f341bc2p-8, -0x1.07a3d3481b7ebp-8, -0x1.04b72a46e5cecp-8, -0x1.01d015c8990e3p-8, -0x1.fddd29c8078bcp-9, -0x1.f8254dcc6b31bp-9, -0x1.f27896888d55fp-9, -0x1.ecd7031664e6fp-9, -0x1.e74092a1c87b6p-9, -0x1.e1b5444ee167ap-9, -0x1.dc35172248fb2p-9, -0x1.d6c009e50bd5bp-9, -0x1.d1561b00e3d62p-9, -0x1.cbf74853ab4c7p-9, -0x1.c6a38efe19c57p-9, -0x1.c15aeb362fc74p-9, -0x1.bc1d582456fe5p-9, -0x1.b6eacfc633e56p-9, -0x1.b1c34ab7fad54p-9, -0x1.aca6c22e40a4cp-9, -0x1.a7952fbd71c6ep-9, -0x1.a28e84e6cab45p-9, -0x1.9d92b8e9803d1p-9, -0x1.98a1c640ae87ep-9, -0x1.93bba0e4007c5p-9, -0x1.8ee03ee84efdep-9, -0x1.8a0f97983f53bp-9, -0x1.8549a302244edp-9, -0x1.808e5a6f4c939p-9, -0x1.7bddb8a533d06p-9, -0x1.7737b9e39f2b2p-9, -0x1.729c5b9445504p-9, -0x1.6e0b9bac45228p-9, -0x1.698577d43d9d8p-9, -0x1.6509ec7e5906ep-9, -0x1.6098f41ab5e59p-9, -0x1.5c328695f8564p-9, -0x1.57d6993af3062p-9, -0x1.53851ef65a2cep-9, -0x1.4f3e08e1ad193p-9, -0x1.4b0146ebaee99p-9, -0x1.46cec872c091bp-9, -0x1.42a67c875c847p-9, -0x1.3e887a476e974p-9, -0x1.3a743b6c9bd6dp-9, -0x1.366a27fdf0408p-9, -0x1.326a07f182a08p-9, -0x1.2e73cefc6fa01p-9, -0x1.2a877200a8969p-9, -0x1.26a4e83ca37cfp-9, -0x1.22cc2b70e59cp-9, -0x1.1efd377bfca54p-9, -0x1.1b380961e5c49p-9, -0x1.177c9ddc71489p-9, -0x1.13caefc0945a5p-9, -0x1.1022f6a00c6dp-9, -0x1.0c84a60a6279bp-9, -0x1.08efeda847387p-9, -0x1.0564ba2d81c11p-9, -0x1.01e2f6dbf7dcbp-9, -0x1.fcd51e50ce972p-10, -0x1.f5f6e0179bfe2p-10, -0x1.ef2b115e491a6p-10, -0x1.e87194b463199p-10, -0x1.e1ca4f98c3038p-10, -0x1.db3528a77abc3p-10, -0x1.d4b20606284b1p-10, -0x1.ce40ccab3e0efp-10, -0x1.c7e160c23e007p-10, -0x1.c193a6f8b8149p-10, -0x1.bb5785ffb679fp-10, -0x1.b52ce706ef2d9p-10, -0x1.af13b993e3246p-10, -0x1.a90bf7df3ead1p-10, -0x1.a3157ce38e2ccp-10, -0x1.9d3037319ea69p-10, -0x1.975c14bad5ffbp-10, -0x1.9198e7c6593abp-10, -0x1.8be67e4ba145fp-10, -0x1.8644a2987f743p-10, -0x1.80b31d74b989p-10, -0x1.7b31bba4fd0cap-10, -0x1.75c0520622062p-10, -0x1.705ebf5dc70cdp-10, -0x1.6b0cebaf6b102p-10, -0x1.65cac5a4b2282p-10, -0x1.60983f1928084p-10, -0x1.5b7549ed1f1ddp-10, -0x1.5661d5ee43422p-10, -0x1.515dd01dc874bp-10, -0x1.4c69231e84a2ap-10, -0x1.4783b8475c6d6p-10, -0x1.42ad78c16bd84p-10, -0x1.3de64e2fb457ap-10, -0x1.392e22907aec5p-10, -0x1.3484df44dccf5p-10, -0x1.2fea6b67373c2p-10, -0x1.2b5ea9ce29eb5p-10, -0x1.26e1773fb2646p-10, -0x1.2272a96ac32cp-10, -0x1.1e120f2df69b9p-10, -0x1.19bf72724d04fp-10, -0x1.157a9b6f93d66p-10, -0x1.114354a02e413p-10, -0x1.0d196e3d2da33p-10, -0x1.08fcc01641573p-10, -0x1.04ed29251f1d2p-10, -0x1.00ea8d31e8a82p-10, -0x1.f9e9a391e1839p-11, -0x1.f217b82934332p-11, -0x1.ea5f21213ac3ap-11, -0x1.e2bfa0ce4e97p-11, -0x1.db39217a9407bp-11, -0x1.d3cb7b7fdfa1bp-11, -0x1.cc768968e253bp-11, -0x1.c53a3fe4f704bp-11, -0x1.be168768e4ab8p-11, -0x1.b70b3b71c5572p-11, -0x1.b01826d496a93p-11, -0x1.a93d05b762ecdp-11, -0x1.a2798c744ed5fp-11, -0x1.9bcd704b97ed5p-11, -0x1.95386e13f370fp-11, -0x1.8eba4c3ae63ccp-11, -0x1.8852d7d1e14dcp-11, -0x1.8201dec6d54cp-11, -0x1.7bc72a6b3c95p-11, -0x1.75a27c1344b37p-11, -0x1.6f938d05cba4ep-11, -0x1.699a341a3ad1p-11, -0x1.63b609555424ap-11, -0x1.5de6c16c46ae3p-11, -0x1.582c19c401b28p-11, -0x1.5285c42f03ad8p-11, -0x1.4cf356e7f509cp-11, -0x1.47747d26b2086p-11, -0x1.4208f3900971bp-11, -0x1.3cb0927c1a84ep-11, -0x1.376b4e675d7fap-11, -0x1.32392c173ffafp-11, -0x1.2d1a2c75a17e4p-11, -0x1.280e38346be92p-11, -0x1.231513c25dadep-11, -0x1.1e2e60b3b3b0dp-11, -0x1.1959ac1bc7028p-11, -0x1.14968429b80a9p-11, -0x1.0fe48ca8e8bfbp-11, -0x1.0b438b69f2551p-11, -0x1.06b369497f504p-11, -0x1.0234292338669p-11, -0x1.fb8bb198ed909p-12, -0x1.f2d10221efcc1p-12, -0x1.ea383246c31bep-12, -0x1.e1c1013727932p-12, -0x1.d96b02069b008p-12, -0x1.d135aa4422616p-12, -0x1.c920638f60456p-12, -0x1.c12a96fbc43fbp-12, -0x1.b953ae629404ap-12, -0x1.b19b106e6f4b8p-12, -0x1.aa0021ed1c1fap-12, -0x1.a282543dc83a9p-12, -0x1.9b213dbe8c13ep-12, -0x1.93dcad83599bfp-12, -0x1.8cb4a9757c844p-12, -0x1.85a950fbb6738p-12, -0x1.7ebaaf279b8e4p-12, -0x1.77e891d40bb5dp-12, -0x1.7132787e89afbp-12, -0x1.6a97a0ed4bda9p-12, -0x1.64172960c87d9p-12, -0x1.5db0379cd55fcp-12, -0x1.576214d16e037p-12, -0x1.512c38ef22d1ep-12, -0x1.4b0e4949ae9c9p-12, -0x1.45081316fdb79p-12, -0x1.3f1985582dee1p-12, -0x1.3942a797f61a7p-12, -0x1.338389dd74a5bp-12, -0x1.2ddc2efc5ea4cp-12, -0x1.284c75e8b2658p-12, -0x1.22d2754fb33ccp-12, -0x1.1d72ae99ec71dp-12, -0x1.1827b0fe799a8p-12, -0x1.12f2a3ba040f7p-12, -0x1.0dd326594641fp-12, -0x1.08c8edf6a67c9p-12, -0x1.03d3b738fa581p-12, -0x1.fde6e4afcc05dp-13, -0x1.f44fa2310242cp-13, -0x1.eae0b6004df5ap-13, -0x1.e19a0d986747fp-13, -0x1.d87bae0f9a31fp-13, -0x1.cf850fc807331p-13, -0x1.c6b5cd73ef42p-13, -0x1.be0d35dbc87c3p-13, -0x1.b58a645213ce6p-13, -0x1.ad2c7951ba1eap-13, -0x1.a4f2c615b6095p-13, -0x1.9cdccc071734dp-13, -0x1.94ea14cfb94a4p-13, -0x1.8d1a087a57195p-13, -0x1.856be59cb9e03p-13, -0x1.7ddede76f28bdp-13, -0x1.76723f6b22d32p-13, -0x1.6f25830ce1648p-13, -0x1.67f84dec0cb14p-13, -0x1.60ea5c7095f3bp-13, -0x1.59fb6cb5e5cd6p-13, -0x1.532b28a8d61e6p-13, -0x1.4c7914dd2ca29p-13, -0x1.45e48c65d9155p-13, -0x1.3f6cd1469c0d1p-13, -0x1.39113072b90cap-13, -0x1.32d12c05ab3c3p-13, -0x1.2cac9703dcf22p-13, -0x1.26a39053e6356p-13, -0x1.20b6576680055p-13, -0x1.1ae50942c7e6cp-13, -0x1.152f69388400dp-13, -0x1.0f94da66cd4c6p-13, -0x1.0a148d9ea2676p-13, -0x1.04adb79bed731p-13, -0x1.febf4076ca3fbp-14, -0x1.f4532909900f2p-14, -0x1.ea15e2b22f494p-14, -0x1.e006ab207a1e6p-14, -0x1.d62584ce3909cp-14, -0x1.cc72e5b88075ep-14, -0x1.c2ef01d4d4471p-14, -0x1.b9994cbb0fc6p-14, -0x1.b07092cfad36cp-14, -0x1.a773782ab4f6ep-14, -0x1.9ea0df53c6b1ap-14, -0x1.95f7f433f2046p-14, -0x1.8d780231b3b7cp-14, -0x1.852059271b839p-14, -0x1.7cf051ff5bd2cp-14, -0x1.74e75a88d8c7ap-14, -0x1.6d04f2b2ac5b9p-14, -0x1.65489768b39fap-14, -0x1.5db1a3860e8cbp-14, -0x1.563f36c3201ccp-14, -0x1.4ef035ffe08fdp-14, -0x1.47c371d9a414fp-14, -0x1.40b7ecf5b7e1cp-14, -0x1.39cd23a659f9bp-14, -0x1.330328d48e5e1p-14, -0x1.2c5a6c90b3a1fp-14, -0x1.25d3caa0c0144p-14, -0x1.1f702d9b758f1p-14, -0x1.19306039b0464p-14, -0x1.130a15e365278p-14, -0x1.0d0612e58d5f5p-14, -0x1.071f0e4514f6ap-14, -0x1.01542afd1fc9cp-14, -0x1.f7497fa6bba6cp-15, -0x1.ec20d68b3cb58p-15, -0x1.e12eb83939972p-15, -0x1.d6744a7433827p-15, -0x1.cbf2108b9a7e8p-15, -0x1.c1a6f1faca3b3p-15, -0x1.b790c3b537ccp-15, -0x1.adada2c486833p-15, -0x1.a3fca243ed379p-15, -0x1.9a7d500e9b35ep-15, -0x1.912effc639372p-15, -0x1.8810a9de50718p-15, -0x1.7f212f029f21dp-15, -0x1.765f8ed101957p-15, -0x1.6dcaf7e4c0579p-15, -0x1.6562c43fe3b2fp-15, -0x1.5d266f8cb347cp-15, -0x1.551587c52dcf3p-15, -0x1.4d2f9582dc7c4p-15, -0x1.4573fdd81be5ap-15, -0x1.3de1e82760bbp-15, -0x1.367838d0f6456p-15, -0x1.2f35ad482e0f1p-15, -0x1.2819143dc77d1p-15, -0x1.212188485f996p-15, -0x1.1a4e8e8c9b72bp-15, -0x1.13a0093a995b4p-15, -0x1.0d15f9b6101bfp-15, -0x1.06b02bee5ae76p-15, -0x1.006dc86223b32p-15, -0x1.f49aadd5baabap-16, -0x1.e89a60ca73ceap-16, -0x1.dcd86d10fb672p-16, -0x1.d15425e99c60dp-16, -0x1.c60d8d9b40f75p-16, -0x1.bb0457323b465p-16, -0x1.b03826c71e1dbp-16, -0x1.a5a8bd15e6a96p-16, -0x1.9b54b2b8b71eap-16, -0x1.913925877851fp-16, -0x1.8753cf3653874p-16, -0x1.7da46cd28993ep-16, -0x1.742b5249aa56cp-16, -0x1.6ae7e21a1f15dp-16, -0x1.61d8cad9761ecp-16, -0x1.58fcb654dd4d4p-16, -0x1.505279d6afc8bp-16, -0x1.47d901f89fba9p-16, -0x1.3f8f43d14e3bdp-16, -0x1.37744018abc22p-16, -0x1.2f870dc880f2ap-16, -0x1.27c6e264b5c0dp-16, -0x1.2033126776aep-16, -0x1.18cb046ae5518p-16, -0x1.118dfbc5a7c7dp-16, -0x1.0a7aaefdd7dc1p-16, -0x1.0394e86424dp-16, -0x1.f9ae4ea5efc4fp-17, -0x1.ec7d254c88f8fp-17, -0x1.dfa0bc292836bp-17, -0x1.d311ecb696618p-17, -0x1.c6cd19d399bbdp-17, -0x1.bacff4db6e35ap-17, -0x1.af18132766982p-17, -0x1.a3a76291d0bdfp-17, -0x1.98724aa09041bp-17, -0x1.8d83ba20e46a5p-17, -0x1.82d4e122d2ba5p-17, -0x1.7864fee5a2ff9p-17, -0x1.6e3414a14c197p-17, -0x1.6442f305b8bbap-17, -0x1.5a90683146618p-17, -0x1.5118ff11f7eb9p-17, -0x1.47da6fe94a66fp-17, -0x1.3ed30a50caf7p-17, -0x1.36008862d3abcp-17, -0x1.2d62d5cf8bcd2p-17, -0x1.24faf812e26p-17, -0x1.1cc820a3741efp-17, -0x1.14c88ca82827cp-17, -0x1.0cfada7d7592ap-17, -0x1.055e08e7bd976p-17, -0x1.fbe24e1d35e17p-18, -0x1.ed66687a74222p-18, -0x1.df464237e5e74p-18, -0x1.d17fb3236b6afp-18, -0x1.c4109aa13fd7dp-18, -0x1.b6f6eb1675b39p-18, -0x1.aa30b249efbfep-18, -0x1.9dbc2163ff26bp-18, -0x1.91979444fff72p-18, -0x1.85c1943680142p-18, -0x1.7a38d0769467ep-18, -0x1.6efc0cefd5d06p-18, -0x1.640a0f15f83afp-18, -0x1.5961920db5039p-18, -0x1.4f014414edae7p-18, -0x1.44e7baf0dfa2fp-18, -0x1.3b13491337088p-18, -0x1.3181c83c19073p-18, -0x1.28309881fc5d3p-18, -0x1.1f1cee36e30e1p-18, -0x1.164452071f971p-18, -0x1.0da54eec90d38p-18, -0x1.053fd2417de42p-18, -0x1.fa28390e48374p-19, -0x1.ea42407df1c6ap-19, -0x1.dac9dd34fb106p-19, -0x1.cbbdc80d256eep-19, -0x1.bd1ee7f94c5ccp-19, -0x1.aee868d963548p-19, -0x1.a1115dd61f21p-19, -0x1.9395d6f374d85p-19, -0x1.8674b89aabb27p-19, -0x1.79b0ca402d323p-19, -0x1.6d4a4b3340591p-19, -0x1.613cfa113028p-19, -0x1.55848a709f278p-19, -0x1.4a19a675feecp-19, -0x1.3f122b0631e02p-19, -0x1.3460666fd28f9p-19, -0x1.29dab7de26042p-19, -0x1.1fb6a695896afp-19, -0x1.15df824699f8fp-19, -0x1.0c4ec7c46afd5p-19, -0x1.0304c2bc88f96p-19, -0x1.f40013054f646p-20, }}, 
      {{-0x1.16eb2d3fef7p-2, -0x1.c7987049b45f7p-3, -0x1.3af884052f8ap-3, -0x1.43478fece5f04p-4, -0x1.fdad42f8df8b7p-8, 0x1.b2244393e85adp-5, 0x1.9877d42d94183p-4, 0x1.0c7aa24666ab2p-3, 0x1.2e0519e2329fep-3, 0x1.33d5f50cd7ab4p-3, 0x1.222ce1d757f26p-3, 0x1.fbaeb94fe8e64p-4, 0x1.975e2ddf78cf8p-4, 0x1.2087a63cdb901p-4, 0x1.3e9bcdf9ceddap-5, 0x1.aa08d18e4467dp-8, -0x1.9f579ef7dfd0cp-6, -0x1.c7521e98b5cfp-5, -0x1.559384659384bp-4, -0x1.bb568e63aea39p-4, -0x1.09caba6c18571p-3, -0x1.2ed7f2df1dca1p-3, -0x1.4cced76a18af2p-3, -0x1.63e69a5762961p-3, -0x1.7482bd08b32f3p-3, -0x1.7f2615166f809p-3, -0x1.8467d86921818p-3, -0x1.84ea945f5f423p-3, -0x1.81550652c5263p-3, -0x1.7a4c74ecd8d9bp-3, -0x1.707081f5dd91dp-3, -0x1.64581e4ebc332p-3, -0x1.568f7b809e5dap-3, -0x1.4796c558d0256p-3, -0x1.37e179aa4bc48p-3, -0x1.27d63a550fa38p-3, -0x1.17cef9d2a5f61p-3, -0x1.08196a0025439p-3, -0x1.f1ef3440b8075p-4, -0x1.d541624e5dda8p-4, -0x1.ba837829e7fa7p-4, -0x1.a1fd0a09443d7p-4, -0x1.8be4d87dc5212p-4, -0x1.78627d4b57fb9p-4, -0x1.67900a2709522p-4, -0x1.597b9648fe5f3p-4, -0x1.4e28b58ea0c0dp-4, -0x1.4591d97630626p-4, -0x1.3fa999eb3c318p-4, -0x1.3c5be5c81156fp-4, -0x1.3b8f1bcf6037fp-4, -0x1.3d250b5a497cfp-4, -0x1.40fbde634bee4p-4, -0x1.46eeed0accde5p-4, -0x1.4ed77ba2d307cp-4, -0x1.588d64051c46ap-4, -0x1.63e7abcfaa29dp-4, -0x1.70bd07fbe3c17p-4, -0x1.7ee44fa87a834p-4, -0x1.8e34de5b226a8p-4, -0x1.9e86e9b320e22p-4, -0x1.afb3c3bbe3c3dp-4, -0x1.c196181e6d536p-4, -0x1.d40a1909dc19ap-4, -0x1.e6eda3f47d5b9p-4, -0x1.fa205d76bee5bp-4, -0x1.06c1e21baf78dp-3, -0x1.107d9f9d268bbp-3, -0x1.1a361055cfb3bp-3, -0x1.23ded3539494dp-3, -0x1.2d6c7d234f955p-3, -0x1.36d491eaba221p-3, -0x1.400d805e83ea3p-3, -0x1.490e9bb576598p-3, -0x1.51d01327c257ep-3, -0x1.5a4ae9ecfe1bdp-3, -0x1.6278ed0deaf46p-3, -0x1.6a54a9f3e1fd6p-3, -0x1.71d9641cd1758p-3, -0x1.79030ac0d01dfp-3, -0x1.7fce2e9d6812dp-3, -0x1.8637f7f2257abp-3, -0x1.8c3e1d2a1afb4p-3, -0x1.91ded8421758p-3, -0x1.9718de0ff6d73p-3, -0x1.9beb55911ce07p-3, -0x1.a055ce2c6d6b2p-3, -0x1.a45837ae234cep-3, -0x1.a7f2da727aba6p-3, -0x1.ab264ee97d8e6p-3, -0x1.adf3767e52fa5p-3, -0x1.b05b74803ffccp-3, -0x1.b25fa6839c966p-3, -0x1.b401a2f048ee1p-3, -0x1.b5432928efa3cp-3, -0x1.b6262605bbfbep-3, -0x1.b6aca965db73p-3, -0x1.b6d8e29b7b2dfp-3, -0x1.b6ad1b7bf614cp-3, -0x1.b62bb4e9d1405p-3, -0x1.b5572141cc644p-3, -0x1.b431e361c6221p-3, -0x1.b2be88f5588a9p-3, -0x1.b0ffa8a300998p-3, -0x1.aef7df0224312p-3, -0x1.aca9cc378da3p-3, -0x1.aa1811980a346p-3, -0x1.a7454ff754a45p-3, -0x1.a434248cfeb32p-3, -0x1.a0e729c5fcfc9p-3, -0x1.9d60f357d1a03p-3, -0x1.99a40e2f96812p-3, -0x1.95b2ff1277f68p-3, -0x1.9190417fd0e7ap-3, -0x1.8d3e46dfed3a4p-3, -0x1.88bf75bd5442p-3, -0x1.841628ed950ffp-3, -0x1.7f44af40b0f84p-3, -0x1.7a4d4ad362868p-3, -0x1.753230935d7b5p-3, -0x1.6ff5881c6de2ap-3, -0x1.6a996b4a810f4p-3, -0x1.651fe61f8dda4p-3, -0x1.5f8af68140a8cp-3, -0x1.59dc8c27d8cfp-3, -0x1.541688a4aa8b9p-3, -0x1.4e3abf437483dp-3, -0x1.484af50787731p-3, -0x1.4248e0e9e823fp-3, -0x1.3c362bd67800bp-3, -0x1.361470ab1a0d9p-3, -0x1.2fe53c81b14b4p-3, -0x1.29aa0edec3a72p-3, -0x1.236459bebb838p-3, -0x1.1d1581e6a3e5ap-3, -0x1.16bedf0fa68dfp-3, -0x1.1061bc1d1d804p-3, -0x1.09ff5762dd2eap-3, -0x1.0398e2e403bb5p-3, -0x1.fa5f09257ecd5p-4, -0x1.ed88acc44e7f3p-4, -0x1.e0b0ce3e1f87bp-4, -0x1.d3d97386f6456p-4, -0x1.c7048d73fc21cp-4, -0x1.ba33f73300358p-4, -0x1.ad6976abfc5a7p-4, -0x1.a0a6bdd0ef761p-4, -0x1.93ed6aae93b8p-4, -0x1.873f07af7c5cap-4, -0x1.7a9d0d2fc590ep-4, -0x1.6e08e0c929d0cp-4, -0x1.6183d68c3a357p-4, -0x1.550f315762ea3p-4, -0x1.48ac242e4d64ap-4, -0x1.3c5bd0dd60425p-4, -0x1.301f4acba74fap-4, -0x1.23f7952e28061p-4, -0x1.17e5a59ab4d38p-4, -0x1.0bea62c21b723p-4, -0x1.0006a64e8808bp-4, -0x1.e8767afaafb9cp-5, -0x1.d111cb3f26b34p-5, -0x1.b9e0a869aa5bcp-5, -0x1.a2e4606ca8f4p-5, -0x1.8c1e2bba5aedfp-5, -0x1.758f2c619a321p-5, -0x1.5f3870892ad84p-5, -0x1.491aef39a15f4p-5, -0x1.333790f2f730fp-5, -0x1.1d8f266f0492dp-5, -0x1.08227007f87efp-5, -0x1.e5e43a4a828a4p-6, -0x1.bbfd9ad771abfp-6, -0x1.92921ce8ff4c4p-6, -0x1.69a2bcfa48f5ap-6, -0x1.41305df24d9a9p-6, -0x1.193bc404eac87p-6, -0x1.e38b3305d1412p-7, -0x1.959cdae37afbcp-7, -0x1.48ad6add29763p-7, -0x1.f97b4c13123e1p-8, -0x1.639c358ceba44p-8, -0x1.9f7cc20a38722p-9, -0x1.ef12854c8de71p-11, 0x1.47df6844f25a3p-10, 0x1.bfa0736c6ced9p-9, 0x1.6ba72de054ca1p-8, 0x1.f57d5cf3b7903p-8, 0x1.3ea9da17ace67p-7, 0x1.8195aa43b87a9p-7, 0x1.c382d1654e4f3p-7, 0x1.02390bb908ec7p-6, 0x1.22322cec6b919p-6, 0x1.41ad4d0116765p-6, 0x1.60aaf57e36a67p-6, 0x1.7f2bba3e2f80fp-6, 0x1.9d3038607e2b8p-6, 0x1.bab916b592bf5p-6, 0x1.d7c705fc05ffep-6, 0x1.f45abfa3c5a29p-6, 0x1.083a8187165ddp-5, 0x1.160b4c5b26ec8p-5, 0x1.23a026d10ea93p-5, 0x1.30f97a40b5d49p-5, 0x1.3e17b453f04f1p-5, 0x1.4afb44c469502p-5, 0x1.57a49d74a58c7p-5, 0x1.6414322c2f04bp-5, 0x1.704a7823dc21fp-5, 0x1.7c47e848d501bp-5, 0x1.880cfb286f901p-5, 0x1.939a2c3e55868p-5, 0x1.9eeff6fc43409p-5, 0x1.aa0ed909987eap-5, 0x1.b4f750499a006p-5, 0x1.bfa9daa6228eap-5, 0x1.ca26f8780fb47p-5, 0x1.d46f29ed2c8e9p-5, 0x1.de82ef86370ccp-5, 0x1.e862c9d8f2ecp-5, 0x1.f20f39969bdc2p-5, 0x1.fb88bfa6c9ac7p-5, 0x1.0267ee9332186p-4, 0x1.06f2899bee0e7p-4, 0x1.0b647165b18b4p-4, 0x1.0fbde614ecd4bp-4, 0x1.13ff2797212bdp-4, 0x1.182875d9d1ee8p-4, 0x1.1c3a109325af4p-4, 0x1.203436e63a692p-4, 0x1.2417283a77f8ep-4, 0x1.27e3235435e91p-4, 0x1.2b9866a11ff91p-4, 0x1.2f373027d47d5p-4, 0x1.32bfbda3a49fep-4, 0x1.36324c58681e6p-4, 0x1.398f195f24d8cp-4, 0x1.3cd6613f4efabp-4, 0x1.4008602d1b834p-4, 0x1.432551d13c23ap-4, 0x1.462d7135272b3p-4, 0x1.4920f9943730dp-4, 0x1.4c0024bc2980ep-4, 0x1.4ecb2cdd81018p-4, 0x1.51824b974785ep-4, 0x1.5425b98c80f1bp-4, 0x1.56b5af7e3f742p-4, 0x1.593265672f02ep-4, 0x1.5b9c12d2677efp-4, 0x1.5df2eeda46638p-4, 0x1.603730299d88ep-4, 0x1.62690cfd189d8p-4, 0x1.6488bb1c546e3p-4, 0x1.66966fd9a342ep-4, 0x1.6892600dadd4bp-4, 0x1.6a7cc01c9bf31p-4, 0x1.6c55c3fbfc902p-4, 0x1.6e1d9f35abf7dp-4, 0x1.6fd484efe76bbp-4, 0x1.717aa7f0c77a1p-4, 0x1.73103a3496126p-4, 0x1.74956e252634dp-4, 0x1.760a7523109b5p-4, 0x1.776f7ff5af6cep-4, 0x1.78c4bf860d62p-4, 0x1.7a0a642a70296p-4, 0x1.7b409dd8a4d44p-4, 0x1.7c679c2f1288ep-4, 0x1.7d7f8e72572e7p-4, 0x1.7e88a38d2984cp-4, 0x1.7f830a0f7bd52p-4, 0x1.806ef031482p-4, 0x1.814c83d587371p-4, 0x1.821bf28d7d841p-4, 0x1.82dd699c43a05p-4, 0x1.839115f621235p-4, 0x1.84372441f5a13p-4, 0x1.84cfc0daaa46bp-4, 0x1.855b17de4c9d2p-4, 0x1.85d954e49417cp-4, 0x1.864aa3a2c7446p-4, 0x1.86af2f062aa1fp-4, 0x1.8707225a94b35p-4, 0x1.8752a81ce895cp-4, 0x1.8791eac0ede89p-4, 0x1.87c5145710a19p-4, 0x1.87ec4ee16a536p-4, 0x1.8807c40176a7ap-4, 0x1.88179d207a585p-4, 0x1.881c036c861a7p-4, 0x1.88151fd728303p-4, 0x1.88031b14a7071p-4, 0x1.87e61d9c0e691p-4, 0x1.87be4fa867ecep-4, 0x1.878bd93a2b2a6p-4, 0x1.874ee2184a2f3p-4, 0x1.870791d2ed502p-4, 0x1.86b60fc441574p-4, 0x1.865a830fcfafcp-4, 0x1.85f512a12daebp-4, 0x1.8585e52ac5b8cp-4, 0x1.850d21252a53bp-4, 0x1.848aecd001e28p-4, 0x1.83ff6e3481055p-4, 0x1.836acb2ad0fe6p-4, 0x1.82cd294825695p-4, 0x1.8226ade26fbf4p-4, 0x1.81777e5a82d85p-4, 0x1.80bfbfc0a31bfp-4, 0x1.7fff9694e7a84p-4, 0x1.7f372790c1579p-4, 0x1.7e669707a338dp-4, 0x1.7d8e0913cccb8p-4, 0x1.7cada19ba0bc8p-4, 0x1.7bc584514505ap-4, 0x1.7ad5d4b2a6f8fp-4, 0x1.79deb6089c2fcp-4, 0x1.78e04b650326fp-4, 0x1.77dab7a1273d2p-4, 0x1.76ce1d5b0f154p-4, 0x1.75ba9ef50b1e8p-4, 0x1.74a05e95e8c5bp-4, 0x1.737f7e2a2ef14p-4, 0x1.72581f5734c88p-4, 0x1.712a63c680fd3p-4, 0x1.6ff66c91401bbp-4, 0x1.6ebc5ad37cfc8p-4, 0x1.6d7c4f612ebacp-4, 0x1.6c366ad1baddep-4, 0x1.6aeacd7e389e9p-4, 0x1.699997806dc4cp-4, 0x1.6842e8b355c39p-4, 0x1.66e6e0b689974p-4, 0x1.65859ee1d942fp-4, 0x1.641f4245b341bp-4, 0x1.62b3e9f155894p-4, 0x1.6143b49601674p-4, 0x1.5fcec07456918p-4, 0x1.5e552bd8933a6p-4, 0x1.5cd714b42a6e7p-4, 0x1.5b5498b1fa781p-4, 0x1.59cdd53b82896p-4, 0x1.5842e7778c914p-4, 0x1.56b3ec4afb3c7p-4, 0x1.5521005a21b5ep-4, 0x1.538a4009dcc66p-4, 0x1.51efc78015b71p-4, 0x1.5051b2a35ebf7p-4, 0x1.4eb01d19b7976p-4, 0x1.4d0b2246c8a5p-4, 0x1.4b62dd4a0a1b5p-4, 0x1.49b768fd4a738p-4, 0x1.4808dff40f642p-4, 0x1.46575c7be20d9p-4, 0x1.44a2f89d2fce7p-4, 0x1.42ebce1c7b7cbp-4, 0x1.4131f67b88a3ep-4, 0x1.3f758afa1794fp-4, 0x1.3db6a495f50ep-4, 0x1.3bf55c0a52ed5p-4, 0x1.3a31c9ce9616cp-4, 0x1.386c0614ed75cp-4, 0x1.36a428c914735p-4, 0x1.34da498fe6f24p-4, 0x1.330e7fc8d615fp-4, 0x1.3140e28339e85p-4, 0x1.2f7188848c14cp-4, 0x1.2da088706716bp-4, 0x1.2bcdf890050c2p-4, 0x1.29f9eec8411acp-4, 0x1.282480ea1c606p-4, 0x1.264dc4743beb8p-4, 0x1.2475ce9d8af2cp-4, 0x1.229cb458dfbe7p-4, 0x1.20c28a5193701p-4, 0x1.1ee764feb4633p-4, 0x1.1d0b5857483ebp-4, 0x1.1b2e7858e9a42p-4, 0x1.1950d88a5a66dp-4, 0x1.17728c39e5614p-4, 0x1.1593a671f708fp-4, 0x1.13b439fa1f553p-4, 0x1.11d4595797451p-4, 0x1.0ff416cd5a08p-4, 0x1.0e13845bd795dp-4, 0x1.0c32b3c06797ap-4, 0x1.0a51b674a89d4p-4, 0x1.08709dadfd944p-4, 0x1.068f7a5d51cafp-4, 0x1.04ae5d2f3a5cep-4, 0x1.02cd568c704a2p-4, 0x1.00ec769a95526p-4, 0x1.fe179a7a547efp-5, 0x1.fa56d42d1a349p-5, 0x1.f696b911a5eacp-5, 0x1.f2d7676cc35cdp-5, 0x1.ef18fd049d811p-5, 0x1.eb5b9720c9173p-5, 0x1.e79f5289e8d32p-5, 0x1.e3e44b898979ep-5, 0x1.e02a9deb1d18fp-5, 0x1.dc7264f5d5947p-5, 0x1.d8bbbb589ea4p-5, 0x1.d506bb8d204b4p-5, 0x1.d1537f4cafa7ap-5, 0x1.cda21fd87a40ap-5, 0x1.c9f2b60848d52p-5, 0x1.c6455a3ffddcfp-5, 0x1.c29a2461c8ac3p-5, 0x1.bef12bdb501cap-5, 0x1.bb4a87a56d3dbp-5, 0x1.b7a64e442f8d7p-5, 0x1.b40495c6eb0b3p-5, 0x1.b06573c8361b4p-5, 0x1.acc8fd6e0660dp-5, 0x1.a92f476a04d52p-5, 0x1.a59865fa3ae2ep-5, 0x1.a2046cea0a731p-5, 0x1.9e736f936cb2p-5, 0x1.9ae580e04daedp-5, 0x1.975ab34beb7eep-5, 0x1.93d318e42640dp-5, 0x1.904ec34a9e292p-5, 0x1.8ccdc3b5b72aep-5, 0x1.89502af177afcp-5, 0x1.85d609605febfp-5, 0x1.825f6efc4d288p-5, 0x1.7eec6b577d12ap-5, 0x1.7b7d0d9db32b9p-5, 0x1.781164958546cp-5, 0x1.74a97ea19561dp-5, 0x1.714569c0c341p-5, 0x1.6de533285a179p-5, 0x1.6a88e95696ab1p-5, 0x1.673097e899a26p-5, 0x1.63dc4bbf6d1d4p-5, 0x1.608c10f66466fp-5, 0x1.5d3ff34533c06p-5, 0x1.59f7fe0276024p-5, 0x1.56b43c254fa8cp-5, 0x1.5374b848385ddp-5, 0x1.50397caceedfcp-5, 0x1.4d02933953a2cp-5, 0x1.49d0058a6312fp-5, 0x1.46a1dcecdbeb4p-5, 0x1.43782262f51e8p-5, 0x1.4052de92cb2b3p-5, 0x1.3d3219e5eaeb7p-5, 0x1.3a15dc6d3e788p-5, 0x1.36fe2de2935c9p-5, 0x1.33eb15a4fea1ep-5, 0x1.30dc9ab563b67p-5, 0x1.2dd2c3b56e4cdp-5, 0x1.2acd96e9d0915p-5, 0x1.27cd1a3fd968dp-5, 0x1.24d15356073dcp-5, 0x1.21da478679a92p-5, 0x1.1ee7fbf1b624dp-5, 0x1.1bfa7587b657ap-5, 0x1.1911b90d882e4p-5, 0x1.162dcb1e11211p-5, 0x1.134eb0256c7d5p-5, 0x1.10746c572d876p-5, 0x1.0d9f03a115261p-5, 0x1.0ace799c59a3cp-5, 0x1.0802d18059e3ep-5, 0x1.053c0e19a2ca6p-5, 0x1.027a31c76d1e6p-5, 0x1.ff7a7d0255fa7p-6, 0x1.fa0a6bc8171p-6, 0x1.f4a4328e54227p-6, 0x1.ef47d3a72475p-6, 0x1.e9f55139012e5p-6, 0x1.e4acad675eceep-6, 0x1.df6dea6be6ee8p-6, 0x1.da390a9a53823p-6, 0x1.d50e104d04b74p-6, 0x1.cfecfdbaece73p-6, 0x1.cad5d4bcea038p-6, 0x1.c5c8968afccb5p-6, 0x1.c0c5437c67cd7p-6, 0x1.bbcbdad6512e6p-6, 0x1.b6dc5ab299ce5p-6, 0x1.b1f6c005d1793p-6, 0x1.ad1b06c5ee568p-6, 0x1.a8492a2ea8ea4p-6, 0x1.a381251a831c4p-6, 0x1.9ec2f27381089p-6, 0x1.9a0e8d7453515p-6, 0x1.9563f202254a6p-6, 0x1.90c31cd1a188bp-6, 0x1.8c2c0b7cba9b4p-6, 0x1.879ebc16fc16ap-6, 0x1.831b2cfcfa88fp-6, 0x1.7ea15ca1cc4b5p-6, 0x1.7a31476eaf77fp-6, 0x1.75caea882e03cp-6, 0x1.716e3fe7a1647p-6, 0x1.6d1b401cbdb83p-6, 0x1.68d1e1c3744afp-6, 0x1.649219cac99cdp-6, 0x1.605bdbea82f29p-6, 0x1.5c2f1b454a0a5p-6, 0x1.580bcb23c2135p-6, 0x1.53f1dfb0dcd34p-6, 0x1.4fe14e9d2a207p-6, 0x1.4bda0f912af27p-6, 0x1.47dc1c5b0bed6p-6, 0x1.43e770cc1753ep-6, 0x1.3ffc0a44adad6p-6, 0x1.3c19e6f8d3eb6p-6, 0x1.3841050266011p-6, 0x1.3471615ecd9a1p-6, 0x1.30aaf6faee2cfp-6, 0x1.2cedbdef46537p-6, 0x1.2939ab0976dcep-6, 0x1.258eafb5dd28bp-6, 0x1.21ecba503e44p-6, 0x1.1e53b6d4d36bfp-6, 0x1.1ac38fdfab8aap-6, 0x1.173c2fde62a11p-6, 0x1.13bd825237a69p-6, 0x1.104774fd8d31dp-6, 0x1.0cd9f8d8528b8p-6, 0x1.097502ab6b5aap-6, 0x1.06188b3b11cc9p-6, 0x1.02c48ef481087p-6, 0x1.fef21a4361863p-7, 0x1.f86c0d6d794e8p-7, 0x1.f1f6f9b5db40cp-7, 0x1.eb92deb6d455dp-7, 0x1.e53fb672ed086p-7, 0x1.defd7308078eap-7, 0x1.d8cbfd4373db6p-7, 0x1.d2ab3440b360bp-7, 0x1.cc9aee183eeaep-7, 0x1.c69af9b77f2aep-7, 0x1.c0ab2149dcb11p-7, 0x1.bacb2c61b7525p-7, 0x1.b4fae44cd6b5bp-7, 0x1.af3a16d4a43cep-7, 0x1.a98897eb10c6ap-7, 0x1.a3e6444ebdf0dp-7, 0x1.9e53027039681p-7, 0x1.98cec25903337p-7, 0x1.93597c95fb59p-7, 0x1.8df3302047081p-7, 0x1.889bdf7c1ea9bp-7, 0x1.83538d622b9a3p-7, 0x1.7e1a395e7ae7fp-7, 0x1.78efdcd79832cp-7, 0x1.73d468e395fe1p-7, 0x1.6ec7c53344962p-7, 0x1.69c9d02e5399dp-7, 0x1.64da602a67b1cp-7, 0x1.5ff9457bf5364p-7, 0x1.5b264d06777cep-7, 0x1.566142ec2e098p-7, 0x1.51a9f50dc7a8dp-7, 0x1.4d00352068055p-7, 0x1.4863dd391795cp-7, 0x1.43d4c2514eb8ep-7, 0x1.3f52d1de59876p-7, 0x1.3addf467fad4ep-7, 0x1.36761bc8b35ap-7, 0x1.321b3ea3006dap-7, 0x1.2dcd566c0a11p-7, 0x1.298c5ce26b5cbp-7, 0x1.2558493ed0526p-7, 0x1.21310d8091c0ap-7, 0x1.1d16944d4f66ap-7, 0x1.1908bfd698fadp-7, 0x1.15076a1562ed1p-7, 0x1.1112666a3b60bp-7, 0x1.0d29845e073f2p-7, 0x1.094c92f752ba2p-7, 0x1.057b63ee72e38p-7, 0x1.01b5ce1a1596cp-7, 0x1.fbf75d5bafab3p-8, 0x1.f499d2893310fp-8, 0x1.ed52ce1424feap-8, 0x1.e6222b11e10dap-8, 0x1.df07cb3bdf8ddp-8, 0x1.d80395ae1aef5p-8, 0x1.d115766e4c3cbp-8, 0x1.ca3d5e1c62e52p-8, 0x1.c37b40e902288p-8, 0x1.bccf140b9b24bp-8, 0x1.b638c9630178cp-8, 0x1.afb84a23003fap-8, 0x1.a94d716927709p-8, 0x1.a2f803e55dde3p-8, 0x1.9cb7b2e4e98d2p-8, 0x1.968c1ca1b414cp-8, 0x1.9074cfcf41233p-8, 0x1.8a7156c16804dp-8, 0x1.8481417a1e56ap-8, 0x1.7ea42e6d280e3p-8, 0x1.78d9cfed8926cp-8, 0x1.7321ec938d61bp-8, 0x1.6d7c5acb256f9p-8, 0x1.67e8f959f6a8ep-8, 0x1.6267a7b8d227ap-8, 0x1.5cf8411f9a65cp-8, 0x1.579a9c0a37f03p-8, 0x1.524e8e334e803p-8, 0x1.4d13f33a89442p-8, 0x1.47eab3123f089p-8, 0x1.42d2c54b8b67ap-8, 0x1.3dcc2f66379f4p-8, 0x1.38d6fe088a18fp-8, 0x1.33f33ad2b3d2cp-8, 0x1.2f20e1b60b36p-8, 0x1.2a5fd8e21ff3p-8, 0x1.25afed8005e4dp-8, 0x1.2110d5fd19015p-8, 0x1.1c82392b2148p-8, 0x1.1803b86b53674p-8, 0x1.1394fa8ff1cfbp-8, 0x1.0f35b5029ac97p-8, 0x1.0ae5b0e892c18p-8, 0x1.06a4ca93f5312p-8, 0x1.0272eac53b429p-8, 0x1.fc9ff6302dc6ap-9, 0x1.f477b1ef91f6cp-9, 0x1.ec6c9750c8d46p-9, 0x1.e47e03024bd2ep-9, 0x1.dcab2c5b20f3cp-9, 0x1.d4f34068b107bp-9, 0x1.cd5587ad195d8p-9, 0x1.c5d17e9fb0f59p-9, 0x1.be66e5f807d53p-9, 0x1.b715bfa230bbep-9, 0x1.afde347cad431p-9, 0x1.a8c073367bf58p-9, 0x1.a1bc90b9a757cp-9, 0x1.9ad2757834367p-9, 0x1.9401dc9d1fcb1p-9, 0x1.8d4a629ab7335p-9, 0x1.86ab9b304c402p-9, 0x1.8025261046a1ep-9, 0x1.79b6bc5490a07p-9, 0x1.73603544776ebp-9, 0x1.6d2183e63b9ebp-9, 0x1.66faaf5bf2c55p-9, 0x1.60ebc74d7ae4ap-9, 0x1.5af4d82ef4536p-9, 0x1.5515d01617c58p-9, 0x1.4f4e75263c361p-9, 0x1.499e561f435b4p-9, 0x1.4404c6370efcdp-9, 0x1.3e80e96c656ep-9, 0x1.3911d692d8457p-9, 0x1.33b6bc0edc854p-9, 0x1.2e6f01a2fa8ddp-9, 0x1.293a59d5f6411p-9, 0x1.2418bce54db6ep-9, 0x1.1f0a4eaadb1cap-9, 0x1.1a0f377d00e19p-9, 0x1.15277cd4de869p-9, 0x1.1052e7b022871p-9, 0x1.0b9101f246494p-9, 0x1.06e12a7c9bfb8p-9, 0x1.0242b691074dbp-9, 0x1.fb6a27e787a6bp-10, 0x1.f26fc4bca2a0dp-10, 0x1.e995ff831686bp-10, 0x1.e0dd0b57018dbp-10, 0x1.d8456fd6fec99p-10, 0x1.cfcfd0db94d63p-10, 0x1.c77cb340c9f3ap-10, 0x1.bf4c54cd65132p-10, 0x1.b73ea254495a2p-10, 0x1.af534438a1c16p-10, 0x1.a789adcb00fbdp-10, 0x1.9fe12160d5299p-10, 0x1.9858acda30312p-10, 0x1.90ef30d658ec7p-10, 0x1.89a3819a21bf7p-10, 0x1.82749bcbda62ep-10, 0x1.7b61d2ab64ea8p-10, 0x1.746adea81706ep-10, 0x1.6d8fcacc66ee3p-10, 0x1.66d0d457df45ep-10, 0x1.602e4cba7f9eep-10, 0x1.59a87d1815a59p-10, 0x1.533f84a480ca7p-10, 0x1.4cf3348a3e716p-10, 0x1.46c2f42d280bp-10, 0x1.40adb936c74dap-10, 0x1.3ab21e75162d8p-10, 0x1.34cea0f23f7ddp-10, 0x1.2f01f73f7ed37p-10, 0x1.294b5b3b4688ap-10, 0x1.23aa99552c3c3p-10, 0x1.1e1fdae0212acp-10, 0x1.18ab50a3818eap-10, 0x1.134cf3c380445p-10, 0x1.0e0455cb53d02p-10, 0x1.08d185080acd9p-10, 0x1.03b3bb7bb112fp-10, 0x1.fd560efeeaae1p-11, 0x1.f36f19e35b0a8p-11, 0x1.e9b313c2cc447p-11, 0x1.e02242a16c914p-11, 0x1.d6bc6c4dfb5cep-11, 0x1.cd80b4ca8d34ap-11, 0x1.c46de50300904p-11, 0x1.bb82d8dc6dd77p-11, 0x1.b2be7584681bcp-11, 0x1.aa1f691d9904ep-11, 0x1.a1a448325625dp-11, 0x1.994c1a469194ap-11, 0x1.911721e3cececp-11, 0x1.89070a6fab48cp-11, 0x1.811e16b97652p-11, 0x1.795dbc7ed5426p-11, 0x1.71c593d499968p-11, 0x1.6a535ac6e418dp-11, 0x1.63041b742d709p-11, 0x1.5bd5a7f173c02p-11, 0x1.54c75158e3c7p-11, 0x1.4dd96a401eaadp-11, 0x1.470c2e05f493dp-11, 0x1.405efb4d4d5e1p-11, 0x1.39d043a4f926bp-11, 0x1.335df069f74b8p-11, 0x1.2d05da9a8191cp-11, 0x1.26c629f17946bp-11, 0x1.209d9ed814f91p-11, 0x1.1a8bce29e3cf8p-11, 0x1.1491417b97a03p-11, 0x1.0eaf60d6cc23cp-11, 0x1.08e812b2468p-11, 0x1.033d1cf0e3556p-11, 0x1.fb5efc4e5f422p-12, 0x1.f07e30fd66951p-12, 0x1.e5d5d4f95fbb4p-12, 0x1.db633436ef5a6p-12, 0x1.d12358efc6beep-12, 0x1.c71254c5609b9p-12, 0x1.bd2b12cb6e52dp-12, 0x1.b369b7d891d0bp-12, 0x1.a9cf3394d78a4p-12, 0x1.a061bd3fcdf9ap-12, 0x1.9728842259501p-12, 0x1.8e261510d86d5p-12, 0x1.85566fa6fbc3fp-12, 0x1.7cb254b0c768fp-12, 0x1.7434a7bde9c33p-12, 0x1.6bdd084fb8bcp-12, 0x1.63adeecd8d834p-12, 0x1.5ba93c9ec87cfp-12, 0x1.53cebe007c521p-12, 0x1.4c1cf0475dcffp-12, 0x1.44924ae486162p-12, 0x1.3d2dd0f99c50fp-12, 0x1.35eedd344d839p-12, 0x1.2ed497fb88317p-12, 0x1.27dd7fffeea5cp-12, 0x1.210748ddc5c3bp-12, 0x1.1a4f305d5bd43p-12, 0x1.13b2bd8c8f34ep-12, 0x1.0d30a5330dce5p-12, 0x1.06c964fc2c2bp-12, 0x1.007f299df0bc8p-12, 0x1.f4a9d7e61a74dp-13, 0x1.e89a07b2d69abp-13, 0x1.dcd015f36b11fp-13, 0x1.d147b01e128e4p-13, 0x1.c5ff9eaba7ab9p-13, 0x1.baf455afc4728p-13, 0x1.b021e7c2606bcp-13, 0x1.a580e3a36e7afp-13, 0x1.9b0ab6950654ap-13, 0x1.90c28685604dp-13, 0x1.86b506ff45415p-13, 0x1.7ceb9c83d846bp-13, 0x1.7361c473cb595p-13, 0x1.6a09a803843cfp-13, 0x1.60da0b2170bf6p-13, 0x1.57d4ceae7ae7bp-13, 0x1.4f0018ad83a32p-13, 0x1.465dc21e1562ep-13, 0x1.3deaaebbb42ffp-13, 0x1.35a2b6dbed0f1p-13, 0x1.2d83432e6abf5p-13, 0x1.258b8d1e3ebf6p-13, 0x1.1dbbece1a085ep-13, 0x1.161536b9601b5p-13, 0x1.0e985f152806fp-13, 0x1.0746488d0db72p-13, 0x1.001f972f951a6p-13, 0x1.f248ec620a949p-14, 0x1.e4a8a484a6a77p-14, 0x1.d75b37b591773p-14, 0x1.ca5b61096238bp-14, 0x1.bda22cc8fa036p-14, 0x1.b1286f3d22c06p-14, 0x1.a4e923691c1bep-14, 0x1.98e37b1f7c91ep-14, 0x1.8d1aa8718f472p-14, 0x1.8192d86df079cp-14, 0x1.764de712bd28ap-14, 0x1.6b4b60f7d6313p-14, 0x1.608b7d8acefa8p-14, 0x1.560f79918aa74p-14, 0x1.4bd3ce27087dcp-14, 0x1.41ceff9b4f407p-14, 0x1.37ffb69bf029dp-14, 0x1.2e722045c2efdp-14, 0x1.252a42e372161p-14, 0x1.1c1842502bb33p-14, 0x1.132e8506fbb05p-14, 0x1.0a734b5aca3b7p-14, 0x1.01f193a0ad622p-14, 0x1.f3521df3418ccp-15, 0x1.e325396c24c0ep-15, 0x1.d351a208e8fa6p-15, 0x1.c3d3877e7baa4p-15, 0x1.b4aacd4f8b73bp-15, 0x1.a5d817a85645cp-15, 0x1.975b9ee639c0dp-15, 0x1.893509ac830e3p-15, 0x1.7b639c2a301e3p-15, 0x1.6de66d346a2bfp-15, 0x1.60bc8d0a36704p-15, 0x1.53e51e4c4d5b8p-15, 0x1.475f6c0bf5e5ap-15, 0x1.3b2c83b9a147ep-15, 0x1.2f4beae9b81d4p-15, 0x1.23be6b57fcc59p-15, 0x1.1886bb3f2d183p-15, 0x1.0da3e2cab128cp-15, 0x1.03118c230c804p-15, 0x1.f18c19b5b2befp-16, 0x1.dd685e802ca1p-16, 0x1.c9a5cee6c8624p-16, 0x1.b643e30200194p-16, 0x1.a35729ba82d9ep-16, 0x1.90eb0a30754bfp-16, 0x1.7efe172a8bd57p-16, 0x1.6d91bc9532c0cp-16, 0x1.5cb52e75f150ep-16, 0x1.4c65164c4773bp-16, 0x1.3c867183aa112p-16, 0x1.2d177b571ee93p-16, 0x1.1e13b414749bcp-16, 0x1.0f5e7cb82726ep-16, 0x1.0101ff328a15ep-16, 0x1.e6389f751940dp-17, 0x1.cb51f911d57f4p-17, 0x1.b128ffaa705e6p-17, 0x1.97aaee4ef3daep-17, 0x1.7ed691592f3d5p-17, 0x1.66aed5b51b81bp-17, 0x1.4f350e3ce5b54p-17, 0x1.3868492ff00c9p-17, 0x1.2246070e6d62fp-17, 0x1.0ccaf1f811a98p-17, 0x1.efe6aad5124c5p-18, 0x1.c776c8008b578p-18, 0x1.a03ebceb81f14p-18, 0x1.7a374d9934c1dp-18, 0x1.555982b228aa3p-18, 0x1.319e8f461edb9p-18, 0x1.0effb906fb62ep-18, 0x1.daecfa02446e2p-19, 0x1.99fa3c0c70c6fp-19, 0x1.5b1f046b59919p-19, 0x1.1e57ed5b778d9p-19, 0x1.c74e623f1179ep-20, 0x1.56293f6e99c33p-20, 0x1.d29eee8d547ecp-21, 0x1.013e8c19fc75ap-21, 0x1.b8a3c7fa046a4p-24, -0x1.1a9e8c6fa5a2ep-22, -0x1.4c20ba6656196p-21, -0x1.02335268e658cp-20, -0x1.5b13a681d5658p-20, -0x1.b14772f7b3ddfp-20, -0x1.023dd282f6e1ep-19, -0x1.29b38dc438a53p-19, -0x1.4f1aa3ed92649p-19, -0x1.732f606e24101p-19, -0x1.963ae3d19ada7p-19, -0x1.b83a167a2a7dfp-19, -0x1.d8ccd3938239ep-19, -0x1.f7d774e7b0034p-19, -0x1.0acca32833p-18, -0x1.1919a002908f7p-18, -0x1.26d4926811925p-18, -0x1.33f5ffdefdadap-18, -0x1.40822298ab2f2p-18, -0x1.4c8660bceb229p-18, -0x1.57f7500adc70ep-18, -0x1.62ddb4cd7e80fp-18, -0x1.6d3e7c7ee5ee7p-18, -0x1.771cbc1ce2234p-18, -0x1.807be075d66f4p-18, }}, 
      {{-0x1.2392c75905195p-2, -0x1.11895ec3b1f5ap-2, -0x1.edcccade0f9dap-3, -0x1.adec0deb734d5p-3, -0x1.696825a360972p-3, -0x1.2512ad86dd3f2p-3, -0x1.c8f6b53552213p-4, -0x1.5412bd56b0dd4p-4, -0x1.dcabb5ef28dcdp-5, -0x1.3226e752b3cd6p-5, -0x1.51e067eb948d3p-6, -0x1.fde3d877621e6p-8, 0x1.7b114145da85bp-10, 0x1.e6f0c58ef7a88p-8, 0x1.5ae7e7340f557p-7, 0x1.73a7edd3b27a6p-7, 0x1.4b5d910299b47p-7, 0x1.ddc6131c376b9p-8, 0x1.a7eeb4a1acabep-9, -0x1.c6b05cc2e7c02p-10, -0x1.e0c2921f6a30dp-8, -0x1.b4c577c7b0d32p-7, -0x1.3fb2310447e8p-6, -0x1.a5660bdf50815p-6, -0x1.04a6fd19b83efp-5, -0x1.34d9d09d3db27p-5, -0x1.62a5d42365e7dp-5, -0x1.8d93885dd58fdp-5, -0x1.b552ba385994p-5, -0x1.d9b417670b4eap-5, -0x1.faa36e07df96bp-5, -0x1.0c1142274bc3bp-4, -0x1.19224a9e976cbp-4, -0x1.2495331a91abdp-4, -0x1.2e7f768ae1201p-4, -0x1.36fa3d16a5af5p-4, -0x1.3e212b94b15ebp-4, -0x1.441166eecb465p-4, -0x1.48e8c6fe3ab9ep-4, -0x1.4cc52e9a02735p-4, -0x1.4fc4077995b81p-4, -0x1.5201daa83fcd8p-4, -0x1.539a00cddb098p-4, -0x1.54a667fcf658cp-4, -0x1.553f69ca37bc4p-4, -0x1.557bb109d9796p-4, -0x1.5570299d3579p-4, -0x1.552ffaf9662a3p-4, -0x1.54cc89f59e61fp-4, -0x1.54558069dac78p-4, -0x1.53d8da81a6519p-4, -0x1.5362f6b144c81p-4, -0x1.52fea933718d6p-4, -0x1.52b5513e66b2p-4, -0x1.528eefb9aab9fp-4, -0x1.52923e610aea1p-4, -0x1.52c4c7e8d9cd8p-4, -0x1.532aff4030f23p-4, -0x1.53c85708e5889p-4, -0x1.549f584096cf7p-4, -0x1.55b1b8505b9e9p-4, -0x1.57006e5756bd3p-4, -0x1.588bc7504c78dp-4, -0x1.5a53796998b81p-4, -0x1.5c56b5ae9cc72p-4, -0x1.5e9438a631bccp-4, -0x1.610a59ce753fcp-4, -0x1.63b71a1723498p-4, -0x1.669831502706dp-4, -0x1.69ab1a41555ccp-4, -0x1.6ced1f18f60dap-4, -0x1.705b62839ea07p-4, -0x1.73f2e9643e409p-4, -0x1.77b0a29df62cfp-4, -0x1.7b916e915527fp-4, -0x1.7f92258da4b9ep-4, -0x1.83af9d9736c3p-4, -0x1.87e6affbb1649p-4, -0x1.8c343dd2f06c5p-4, -0x1.9095343da94abp-4, -0x1.95068faf707acp-4, -0x1.99855edcddcffp-4, -0x1.9e0ec54940f1fp-4, -0x1.a29ffcd08d672p-4, -0x1.a736578bb42d5p-4, -0x1.abcf41166b2dap-4, -0x1.b0683f751e732p-4, -0x1.b4fef3a28fe79p-4, -0x1.b9911b0b3178p-4, -0x1.be1c8ed8e689bp-4, -0x1.c29f44b7f1e75p-4, -0x1.c7174eb3b4f68p-4, -0x1.cb82d9aa58c8fp-4, -0x1.cfe03406f316bp-4, -0x1.d42dbf2fc2d4p-4, -0x1.d869fd28e0647p-4, -0x1.dc9388df09559p-4, -0x1.e0a916eccf63fp-4, -0x1.e4a974d6455d1p-4, -0x1.e89388c16cdc8p-4, -0x1.ec664e8a9097p-4, -0x1.f020db10bf359p-4, -0x1.f3c257599f0cp-4, -0x1.f74a01bac072bp-4, -0x1.fab72c96a7c7fp-4, -0x1.fe093d881a19dp-4, -0x1.009fd646a6d5cp-3, -0x1.022d01d95ffadp-3, -0x1.03abedd93626fp-3, -0x1.051c7013dbbdap-3, -0x1.067e64e14884p-3, -0x1.07d1b000765ecp-3, -0x1.09163bf2e4a9ap-3, -0x1.0a4bf99c45402p-3, -0x1.0b72dfe7ddac9p-3, -0x1.0c8aeb6c7d0fep-3, -0x1.0d941e0d9d3d4p-3, -0x1.0e8e7ec1ce3cp-3, -0x1.0f7a1930dcc3ep-3, -0x1.1056fd457a776p-3, -0x1.11253f20ca2f5p-3, -0x1.11e4f6ab2c4e1p-3, -0x1.12963f5b4ebep-3, -0x1.133937ef955ebp-3, -0x1.13ce0233e5702p-3, -0x1.1454c2c3d3a49p-3, -0x1.14cda0d2bdc34p-3, -0x1.1538c5f1e7e17p-3, -0x1.15965ddb1ba71p-3, -0x1.15e6965ed94b6p-3, -0x1.16299f00aafe8p-3, -0x1.165fa8dd81447p-3, -0x1.1688e69d83ee6p-3, -0x1.16a58c31dc081p-3, -0x1.16b5ceb1ec705p-3, -0x1.16b9e43cef767p-3, -0x1.16b203d495951p-3, -0x1.169e653df6a84p-3, -0x1.167f40e3cfa1fp-3, -0x1.1654cfbb149ep-3, -0x1.161f4b250fccfp-3, -0x1.15deecdbb935ap-3, -0x1.1593eeca87a47p-3, -0x1.153e8b501053dp-3, -0x1.14defc0c82b4p-3, -0x1.14757bb28b8e6p-3, -0x1.14024438c39e6p-3, -0x1.13858f9d55673p-3, -0x1.12ff97a4f5b6ep-3, -0x1.127095dd864ffp-3, -0x1.11d8c3825a956p-3, -0x1.1138596ec13b9p-3, -0x1.108f9018fd6a3p-3, -0x1.0fde9f92dfc91p-3, -0x1.0f25bf617ed7dp-3, -0x1.0e6526952c714p-3, -0x1.0d9d0b9ff6c16p-3, -0x1.0ccda4753699cp-3, -0x1.0bf7265a2313fp-3, -0x1.0b19c5f89ec9dp-3, -0x1.0a35b83f6510bp-3, -0x1.094b2dddf6de4p-3, -0x1.085a5c2aa2793p-3, -0x1.07637427c8231p-3, -0x1.0666a713df9a4p-3, -0x1.0564256fb2a96p-3, -0x1.045c1f02ac2f3p-3, -0x1.034ec2be8e4b7p-3, -0x1.023c3ef344a3dp-3, -0x1.0124c10eb7ecfp-3, -0x1.000875c8852fdp-3, -0x1.fdcf121b8a921p-4, -0x1.fb844c229e72p-4, -0x1.f930ee50e7a88p-4, -0x1.f6d54bcbdbcd5p-4, -0x1.f471b6704d5b9p-4, -0x1.f2067e31a17f9p-4, -0x1.ef93f1a4414e8p-4, -0x1.ed1a5dcdb405ap-4, -0x1.ea9a0e21e2debp-4, -0x1.e8134cc3920d7p-4, -0x1.e58661cc7c0efp-4, -0x1.e2f394856f9c9p-4, -0x1.e05b2a376a98p-4, -0x1.ddbd66ea2223cp-4, -0x1.db1a8d1a1333fp-4, -0x1.d872ddd9aac98p-4, -0x1.d5c698ca89e93p-4, -0x1.d315fc19a8ed4p-4, -0x1.d06144c99b65dp-4, -0x1.cda8ae04f6b73p-4, -0x1.caec71d9c995dp-4, -0x1.c82cc94de37a8p-4, -0x1.c569eb8824e2ep-4, -0x1.c2a40ea9c9cf2p-4, -0x1.bfdb677e986f9p-4, -0x1.bd10298a9f94p-4, -0x1.ba4287112e851p-4, -0x1.b772b1165f14bp-4, -0x1.b4a0d76b01dcfp-4, -0x1.b1cd28df7bfbfp-4, -0x1.aef7d2ac5c74fp-4, -0x1.ac2101269abb8p-4, -0x1.a948dfa9e85dep-4, -0x1.a66f9824b8726p-4, -0x1.a395539c24461p-4, -0x1.a0ba39fb9f92dp-4, -0x1.9dde72128b7e7p-4, -0x1.9b02233662932p-4, -0x1.98256e12069bdp-4, -0x1.95487a8da15c5p-4, -0x1.926b6a271cfedp-4, -0x1.8f8e5f07f8ba6p-4, -0x1.8cb179e6c2086p-4, -0x1.89d4dad049821p-4, -0x1.86f8a149bde11p-4, -0x1.841ceb6e25d1ep-4, -0x1.8141d6c3199e6p-4, -0x1.7e677feedc5ep-4, -0x1.7b8e02c4e1c8bp-4, -0x1.78b57a4c286f8p-4, -0x1.75de00c43d437p-4, -0x1.7307afa9b3405p-4, -0x1.70329fb9516a4p-4, -0x1.6d5ee8ed147d3p-4, -0x1.6a8ca2a35f653p-4, -0x1.67bbe3818eccbp-4, -0x1.64ecc154c8e58p-4, -0x1.621f514ca23acp-4, -0x1.5f53a84cc5c81p-4, -0x1.5c89da1b41306p-4, -0x1.59c1fa1fe348cp-4, -0x1.56fc1b1e66367p-4, -0x1.54384f4232831p-4, -0x1.5176a8238dbdp-4, -0x1.4eb736cc0e9dcp-4, -0x1.4bfa0bb7db47ep-4, -0x1.493f36dc96ec2p-4, -0x1.4686c7a7e8c92p-4, -0x1.43d0ccf38d496p-4, -0x1.411d578342a0cp-4, -0x1.3e6c6eb4e6a4bp-4, -0x1.3bbe2691f303bp-4, -0x1.391289d69bc2ap-4, -0x1.3669a4f073bcp-4, -0x1.33c3846549acdp-4, -0x1.312033a3873dep-4, -0x1.2e7fbe00acedp-4, -0x1.2be22e6047ae6p-4, -0x1.29478f3d89518p-4, -0x1.26afeab15661p-4, -0x1.241b4a73886c1p-4, -0x1.2189b7ddcec96p-4, -0x1.1efb3beddf13fp-4, -0x1.1c6fdf482be2p-4, -0x1.19e7aa3990c9cp-4, -0x1.1762a4b984fa6p-4, -0x1.14e0d66bdea67p-4, -0x1.1262469e178cfp-4, -0x1.0fe6fc46c2589p-4, -0x1.0d6efe95d9561p-4, -0x1.0afa533c89327p-4, -0x1.088900881e4aap-4, -0x1.061b0cc4c1a7fp-4, -0x1.03b07d3a20441p-4, -0x1.01495736ee6d1p-4, -0x1.fdcb3fa0c8cd6p-5, -0x1.f90ab7a992536p-5, -0x1.f4511fa3d5bd3p-5, -0x1.ef9e802ea4567p-5, -0x1.eaf2e17040b46p-5, -0x1.e64e4b18dcfe1p-5, -0x1.e1b0c46573973p-5, -0x1.dd1a54227f12ap-5, -0x1.d88b00ae5108ep-5, -0x1.d402cffc5cc27p-5, -0x1.cf81c7967e6fp-5, -0x1.cb07ec9329ecep-5, -0x1.c6953efbab1b2p-5, -0x1.c229d18787ecap-5, -0x1.bdc599bf529f2p-5, -0x1.b968a0b9df193p-5, -0x1.b512e886aa457p-5, -0x1.b0c474c73cd84p-5, -0x1.ac7d47eede0d6p-5, -0x1.a83d6491541ebp-5, -0x1.a404cc3a0f86p-5, -0x1.9fd3809c7ad1p-5, -0x1.9ba9830a15725p-5, -0x1.9786d48277164p-5, -0x1.936b75b8cb24p-5, -0x1.8f57671614ee5p-5, -0x1.8b4aa8bae12c2p-5, -0x1.87453a80c412fp-5, -0x1.83471bfc0c379p-5, -0x1.7f504c7dc76a3p-5, -0x1.7b60cb14bd393p-5, -0x1.7778968ef1f8dp-5, -0x1.7397ad7b49ceap-5, -0x1.6fbe0e2b4b67bp-5, -0x1.6bebb6b3f7a6fp-5, -0x1.6820a4ef5b732p-5, -0x1.645cd67d58442p-5, -0x1.60a048c1a0af5p-5, -0x1.5ceaf8d488e2p-5, -0x1.593ce3e079e4dp-5, -0x1.55960710c606p-5, -0x1.51f65e2c6a1c8p-5, -0x1.4e5de547d2398p-5, -0x1.4acc99e8f40fp-5, -0x1.474277437b074p-5, -0x1.43bf7930aaca9p-5, -0x1.40439b614b72cp-5, -0x1.3cced94e5fa24p-5, -0x1.39612e433c1acp-5, -0x1.35fa95609dfadp-5, -0x1.329b099db89b3p-5, -0x1.2f4285c9a1b78p-5, -0x1.2bf1048acd7ccp-5, -0x1.28a6806286f1ap-5, -0x1.2562f3abaeba7p-5, -0x1.2226589be0e38p-5, -0x1.1ef0a939e952cp-5, -0x1.1bc1db07cd62cp-5, -0x1.1899f552d8e7ep-5, -0x1.1578e45b70ec4p-5, -0x1.125ea5ffab59ep-5, -0x1.0f4b33c0d41a1p-5, -0x1.0c3e86eeece9fp-5, -0x1.093898bb3bf31p-5, -0x1.063962396db66p-5, -0x1.0340dc5cefbfbp-5, -0x1.004effe9e77a3p-5, -0x1.fac78ba154e35p-6, -0x1.f4fe4e678dd53p-6, -0x1.ef4237490a387p-6, -0x1.e99336fd92ad4p-6, -0x1.e3f140acde529p-6, -0x1.de5c438a16741p-6, -0x1.d8d42fe8f9b1ep-6, -0x1.d358f623f826ep-6, -0x1.cdea86524e2d8p-6, -0x1.c888d05e57b9dp-6, -0x1.c333c40abd641p-6, -0x1.bdeb50f46c403p-6, -0x1.b8af669470daap-6, -0x1.b37ff441332d6p-6, -0x1.ae5ce92fb6cd3p-6, -0x1.a9463474d8fadp-6, -0x1.a43bc5066c39p-6, -0x1.9f3d89bc5d084p-6, -0x1.9a4b7151e6d24p-6, -0x1.95656a66b6894p-6, -0x1.908b637ffd183p-6, -0x1.8bbd4b0970ef5p-6, -0x1.86fb0f56a29a1p-6, -0x1.82449ea43a1bfp-6, -0x1.7d99e719198fdp-6, -0x1.78fad6c771b4cp-6, -0x1.74675baddab34p-6, -0x1.6fdf63b84c843p-6, -0x1.6b62dcc0f20c2p-6, -0x1.66f1b48fd1d93p-6, -0x1.628bd8d3d2c56p-6, -0x1.5e313704a4b2cp-6, -0x1.59e1bd3884e86p-6, -0x1.559d59bf2ac81p-6, -0x1.5163f8407d3ep-6, -0x1.4d35860778ce8p-6, -0x1.4911f2c820d2fp-6, -0x1.44f92aac96d0ep-6, -0x1.40eb1af125631p-6, -0x1.3ce7b10b096f2p-6, -0x1.38eeda4cd0b9dp-6, -0x1.350083b0144c6p-6, -0x1.311c9dc47d0d5p-6, -0x1.2d430df2a2429p-6, -0x1.2973c8ac2cc1fp-6, -0x1.25aeb8cee0674p-6, -0x1.21f3cb9c09ebbp-6, -0x1.1e42ee4bb1e6bp-6, -0x1.1a9c0e14eaa5ap-6, -0x1.16ff182f1b9b3p-6, -0x1.136bf9d2c9384p-6, -0x1.0fe2a03a4a795p-6, -0x1.0c62f8a26d9p-6, -0x1.08ecf04b179fbp-6, -0x1.05807477e696cp-6, -0x1.021d7270c7c58p-6, -0x1.fd87af0534d5ep-7, -0x1.f6e721ffbf42dp-7, -0x1.f0591882c0e02p-7, -0x1.e9dd6d4d85f36p-7, -0x1.e373fb2e2a39dp-7, -0x1.dd1c9d02cbb76p-7, -0x1.d6d72dbb4a421p-7, -0x1.d0a38859856eap-7, -0x1.ca8187f2b6c79p-7, -0x1.c47107af1a8b3p-7, -0x1.be71e2be047b5p-7, -0x1.b883f42481a31p-7, -0x1.b2a71781af53ep-7, -0x1.acdb2ba6ad37ap-7, -0x1.a72006069373ep-7, -0x1.a17584b055376p-7, -0x1.9bdb854058388p-7, -0x1.9651e33ce8e49p-7, -0x1.90d879a9b8a7ep-7, -0x1.8b6f24f97d476p-7, -0x1.8615c1894beb3p-7, -0x1.80cc2bc4902a9p-7, -0x1.7b924033995ep-7, -0x1.7667db7f0fdc4p-7, -0x1.714cda7149907p-7, -0x1.6c4119f72df84p-7, -0x1.67447720e06fp-7, -0x1.6256cf226d492p-7, -0x1.5d77ff545f027p-7, -0x1.58a7e534617ffp-7, -0x1.53e65e65bc806p-7, -0x1.4f3348b1be929p-7, -0x1.4a8e82082dac3p-7, -0x1.45f7e87fc19afp-7, -0x1.416f5a56b61a4p-7, -0x1.3cf4b5f37a0b8p-7, -0x1.3887d9e5774e8p-7, -0x1.3428a4e5e7695p-7, -0x1.2fd6f5d8d5ecep-7, -0x1.2b92abcd7216p-7, -0x1.275ba5fe28d65p-7, -0x1.2331c3d0c893fp-7, -0x1.1f14e4b647f96p-7, -0x1.1b04dcc330a59p-7, -0x1.1701af896ac44p-7, -0x1.130b19b31413bp-7, -0x1.0f2106ddf67e6p-7, -0x1.0b4357b551355p-7, -0x1.0771ecd97b0a7p-7, -0x1.03aca71538a5ep-7, -0x1.ffe6cebabb0e1p-8, -0x1.f88c1d7773612p-8, -0x1.f148fc3ce23f2p-8, -0x1.ea1d323e7a588p-8, -0x1.e30880373b068p-8, -0x1.dc0aa8a94a73dp-8, -0x1.d5236ccb1029bp-8, -0x1.ce529a29e7183p-8, -0x1.c797f0b4fb0bap-8, -0x1.c0f335c7d4cd1p-8, -0x1.ba642f7aab18ap-8, -0x1.b3eaa3f8a091cp-8, -0x1.ad8659b83c09p-8, -0x1.a737178ca0f1ep-8, -0x1.a0fca4ac54b6p-8, -0x1.9ad6c8b618dabp-8, -0x1.94c54bb4e90a8p-8, -0x1.8ec7f622b4dbdp-8, -0x1.88de90e93e767p-8, -0x1.8308e560e5846p-8, -0x1.7d46bd4d6c38bp-8, -0x1.7797e2d927935p-8, -0x1.71fc208f76ff4p-8, -0x1.6c7341579cc4cp-8, -0x1.66fd1070d9e55p-8, -0x1.6199596ed9583p-8, -0x1.5c47e83dca815p-8, -0x1.57088922e1437p-8, -0x1.51db08c31fd3dp-8, -0x1.4cbf342a66a4p-8, -0x1.47b4d8d29216dp-8, -0x1.42bbc4a9aaa45p-8, -0x1.3dd3c615e2e2cp-8, -0x1.38fcabf699a3fp-8, -0x1.343645a1ed95ap-8, -0x1.2f8062df33c01p-8, -0x1.2adad3df039cep-8, -0x1.264569322f9eap-8, -0x1.21bff3c10d5fdp-8, -0x1.1d4a44c48226dp-8, -0x1.18e42dc2071d3p-8, -0x1.148d808b62a99p-8, -0x1.10460f4246347p-8, -0x1.0c0dac5f0f8aap-8, -0x1.07e42ab8ca907p-8, -0x1.03c95d8761ac2p-8, -0x1.ff7a3082ec126p-9, -0x1.f77e5c8df7eeap-9, -0x1.ef9ef04bfdb95p-9, -0x1.e7db9136b4e38p-9, -0x1.e033e6a814121p-9, -0x1.d8a79896bc284p-9, -0x1.d136639ff854dp-9, -0x1.c9dfec22a969p-9, -0x1.c2a3e02444dbp-9, -0x1.bb81fae93f6a4p-9, -0x1.b479c7ca120f4p-9, -0x1.ad8b1e2cbc34ep-9, -0x1.a6b59db0f8f95p-9, -0x1.9ff8f915197c7p-9, -0x1.9954e225c4eb5p-9, -0x1.92c90b650a717p-9, -0x1.8c55282be403fp-9, -0x1.85f8ecb7440d6p-9, -0x1.7fb40e32314f5p-9, -0x1.798642b4c62dap-9, -0x1.736f413bcd074p-9, -0x1.6d6ec19c685f9p-9, -0x1.67847c72cce59p-9, -0x1.61b02b0f9e73ap-9, -0x1.5bf1876620babp-9, -0x1.56484bfd41829p-9, -0x1.50b433e51c84ap-9, -0x1.4b34fab1d07d6p-9, -0x1.45ca5c7c3862p-9, -0x1.407415e7d135bp-9, -0x1.3b31e42d05347p-9, -0x1.3603852604945p-9, -0x1.30e8b75be9258p-9, -0x1.2be13a128c1e5p-9, -0x1.26eccd50c01a1p-9, -0x1.220b31e4b27e9p-9, -0x1.1d3c2963fd7fep-9, -0x1.187f762856a25p-9, -0x1.13d4db4a5aca2p-9, -0x1.0f3c1c9b57e5dp-9, -0x1.0ab4fe9f68c9ep-9, -0x1.063f46878e3b7p-9, -0x1.01daba2be1e04p-9, -0x1.fb0e4009e2062p-10, -0x1.f2887e4864703p-10, -0x1.ea23be5696085p-10, -0x1.e1df908699036p-10, -0x1.d9bb8627c2c4ep-10, -0x1.d1b731697b09ep-10, -0x1.c9d224e9f77b4p-10, -0x1.c20bf233bdd93p-10, -0x1.ba64349ee5a2ap-10, -0x1.b2da8f1a0dcf2p-10, -0x1.ab6e79c39d96p-10, -0x1.a41f91be58903p-10, -0x1.9ced89899229ep-10, -0x1.95d7eedc3c739p-10, -0x1.8ede5ba586736p-10, -0x1.88006eef3a897p-10, -0x1.813dc831ddddfp-10, -0x1.7a96082903736p-10, -0x1.7408d1125eadfp-10, -0x1.6d95c6b1d3a88p-10, -0x1.673c8e35408fp-10, -0x1.60fcce0279e25p-10, -0x1.5ad62d77f583p-10, -0x1.54c854ac06b09p-10, -0x1.4ed2ec36f7024p-10, -0x1.48f59d13b3be4p-10, -0x1.4330109c0b349p-10, -0x1.3d81f09f0691dp-10, -0x1.37eae7881f454p-10, -0x1.326aa08c31b2ep-10, -0x1.2d00c7cb6ee5ep-10, -0x1.27ad0a06b6a9fp-10, -0x1.226f63b12ee84p-10, -0x1.1d469b2fb8fcap-10, -0x1.18334cdc4b12p-10, -0x1.1334d8caa669fp-10, -0x1.0e4af3ebecfd8p-10, -0x1.09755326d6a41p-10, -0x1.04b3ace65f3a3p-10, -0x1.0005b927703d4p-10, -0x1.f6d662ad4a412p-11, -0x1.edc7a0113f0d2p-11, -0x1.e4dea12b8fe13p-11, -0x1.dc1add604c7a2p-11, -0x1.d37bcc1a15196p-11, -0x1.cb00e47661aap-11, -0x1.c2a99d63f541fp-11, -0x1.ba756e2c7c37cp-11, -0x1.b263cf407728dp-11, -0x1.aa743b0b0cca2p-11, -0x1.a2a62e92b0c7dp-11, -0x1.9af929bffc70ep-11, -0x1.936caf43e51cfp-11, -0x1.8c004434a8208p-11, -0x1.84b36f8ec77c1p-11, -0x1.7d85b9cb292c1p-11, -0x1.7676acaee5c5ep-11, -0x1.6f85d35fda87p-11, -0x1.68b2ba9b3e337p-11, -0x1.61fcf070d17a9p-11, -0x1.5b6401ccd42cep-11, -0x1.54e787c6570b2p-11, -0x1.4e873bfc11eccp-11, -0x1.48426ed91a977p-11, -0x1.4218c6921915dp-11, -0x1.3c0a02d282917p-11, -0x1.3615a3226918fp-11, -0x1.303b36bace018p-11, -0x1.2a7a54849deadp-11, -0x1.24d292dbc63afp-11, -0x1.1f438a1fecb7ap-11, -0x1.19ccd60bfab85p-11, -0x1.146e16276e2f3p-11, -0x1.0f26ed8bb9309p-11, -0x1.09f7023251d73p-11, -0x1.04ddfc132c257p-11, -0x1.ffb708b67647fp-12, -0x1.f5de89d42cabfp-12, -0x1.ec31d049189acp-12, -0x1.e2b0321b30bfcp-12, -0x1.d9590708856d4p-12, -0x1.d02ba9071c524p-12, -0x1.c727748a61fd3p-12, -0x1.be4bc86bad8d6p-12, -0x1.b598056d4abb5p-12, -0x1.ad0b8d6c6abb6p-12, -0x1.a4a5c26e6faeap-12, -0x1.9c6605c80e0f6p-12, -0x1.944bb7a5f93a1p-12, -0x1.8c563735f5faep-12, -0x1.8484e38f1bfa5p-12, -0x1.7cd71d410c1f8p-12, -0x1.754c482d5052cp-12, -0x1.6de3cd1cbf16ep-12, -0x1.669d1a8715605p-12, -0x1.5f77a4469467bp-12, -0x1.5872e268a6f0bp-12, -0x1.518e4fb6be888p-12, -0x1.4ac968aa557c7p-12, -0x1.4423aad918d9fp-12, -0x1.3d9c8752fea51p-12, -0x1.3733a7051e0f2p-12, -0x1.30e887e554075p-12, -0x1.2aba9f04fd3b3p-12, -0x1.24a987af3fdd6p-12, -0x1.1eb4d15a8cf53p-12, -0x1.18dc09c612426p-12, -0x1.131ebc97ad6cfp-12, -0x1.0d7c73f40f99cp-12, -0x1.07f4ba1f7b2ffp-12, -0x1.02871b719484ap-12, -0x1.fa664f77b6819p-13, -0x1.eff0e52d24a22p-13, -0x1.e5ad252625ed5p-13, -0x1.db9a3f96e61d9p-13, -0x1.d1b7646eb4f02p-13, -0x1.c803bcdaba1e1p-13, -0x1.be7e65db57a34p-13, -0x1.b52721b74eb9bp-13, -0x1.abfc7f21858a7p-13, -0x1.a2fdad7a7e4dbp-13, -0x1.9a2a27464b853p-13, -0x1.91815446f2a02p-13, -0x1.8902287b5026cp-13, -0x1.80abeb58914d4p-13, -0x1.787de933da554p-13, -0x1.70777a1dd143bp-13, -0x1.689803f6cef8ep-13, -0x1.60def56608799p-13, -0x1.594bbd0e4863p-13, -0x1.51ddc0e6c4767p-13, -0x1.4a945968e85c2p-13, -0x1.436ed2a331e0ep-13, -0x1.3c6c72d53445dp-13, -0x1.358c83c541033p-13, -0x1.2ece5b85028fep-13, -0x1.28316152ef897p-13, -0x1.21b50dafae2e4p-13, -0x1.1b58e619ea174p-13, -0x1.151c76603c1bap-13, -0x1.0eff49b9e01ap-13, -0x1.0900e580ece25p-13, -0x1.0320c6d8d03b6p-13, -0x1.fabcc72cc858ap-14, -0x1.ef725b13b4e9dp-14, -0x1.e4612c918f7a4p-14, -0x1.d988230b2845dp-14, -0x1.cee62a67b78acp-14, -0x1.c47a312871664p-14, -0x1.ba4328d964ec7p-14, -0x1.b0400c119076fp-14, -0x1.a66fe8824033dp-14, -0x1.9cd1e6cf9d6ddp-14, -0x1.9365494075925p-14, -0x1.8a295f1466e31p-14, -0x1.811d717426bc4p-14, -0x1.7840b2f5bc123p-14, -0x1.6f92391cd98e4p-14, -0x1.67110232e63a8p-14, -0x1.5ebc03a17b3e5p-14, -0x1.569239fcd24e9p-14, -0x1.4e92b3f3bef45p-14, -0x1.46bc96c0e2668p-14, -0x1.3f0f1d3b27637p-14, -0x1.3789955e9357ap-14, -0x1.302b5d8e018d1p-14, -0x1.28f3e07ecc339p-14, -0x1.21e28e68d5091p-14, -0x1.1af6d3e79b127p-14, -0x1.14300ae5e10fbp-14, -0x1.0d8905b17d98ep-14, -0x1.070eb80da28a7p-14, -0x1.00b2b5dbf691p-14, -0x1.f4f196aeb1056p-15, -0x1.e8c0a5ef36a75p-15, -0x1.dcd14b4b406fep-15, -0x1.d1220dbfe23d2p-15, -0x1.c5b30b1c82286p-15, -0x1.ba82a1f4e27e2p-15, -0x1.af8de0d78f617p-15, -0x1.a4d4e86df9a8bp-15, -0x1.9a57c773b35e3p-15, -0x1.90145ff394689p-15, -0x1.8609c518b2f28p-15, -0x1.7c36e09afb59p-15, -0x1.729a825aad771p-15, -0x1.69337eec7008cp-15, -0x1.6000c18a3a0c2p-15, -0x1.57014b619d31ap-15, -0x1.4e3423e8e1919p-15, -0x1.45984933ac4acp-15, -0x1.3d2cadac9ba97p-15, -0x1.34f043b0eff62p-15, -0x1.2ce20c230d607p-15, -0x1.25011d8769ddep-15, -0x1.1d4ca1d28147bp-15, -0x1.15c3cf0d73589p-15, -0x1.0e65dea560d75p-15, -0x1.07320502df6cap-15, -0x1.00276b2676a0bp-15, -0x1.f28a5aea48477p-16, -0x1.e514c4e703e54p-16, -0x1.d7ec51611311ap-16, -0x1.cb0f6d6908e59p-16, -0x1.be7cc99ee681p-16, -0x1.b23354a62336fp-16, -0x1.a63218c101dd6p-16, -0x1.9a78089cfa123p-16, -0x1.8f03d6ea678bfp-16, -0x1.83d3f3d4a6d0dp-16, -0x1.78e6b17674c16p-16, -0x1.6e3a6cfec6bcep-16, -0x1.63cd996996182p-16, -0x1.599eb467971c9p-16, -0x1.4fac4dbd1b6fbp-16, -0x1.45f52b04ef37dp-16, -0x1.3c785d408c4ecp-16, -0x1.33352117e0606p-16, -0x1.2a2a9ca871e7dp-16, -0x1.2157b3b52e385p-16, -0x1.18bb132e0debbp-16, -0x1.10535ffe957c7p-16, -0x1.081f5b6cedfb7p-16, -0x1.001de5fa97f69p-16, -0x1.f09bdfcec59c2p-17, -0x1.e15cdf24ccfcbp-17, -0x1.d27cc64c0e3eep-17, -0x1.c3f9a914cd5fdp-17, -0x1.b5d1afe9af7fdp-17, -0x1.a80307e6fd615p-17, -0x1.9a8bcc57cf49dp-17, -0x1.8d69f5266668cp-17, -0x1.809b57e9667cfp-17, -0x1.741dc4213ba3p-17, -0x1.67ef34ca1922ep-17, -0x1.5c0dfe70c5523p-17, -0x1.5078c74ec4ee5p-17, -0x1.452ddacaadfb3p-17, -0x1.3a2de14a25326p-17, -0x1.2f7cab68b3a9fp-17, -0x1.251c79f2cf234p-17, -0x1.1ae15c191fccep-17, -0x1.10fcf541b2762p-17, -0x1.075908a3a45f6p-17, -0x1.fbe8bb42e9887p-18, -0x1.e99b562c60d63p-18, -0x1.d7c7626491402p-18, -0x1.c66b19199c88p-18, -0x1.b58539d6956b4p-18, -0x1.a5141882bd802p-18, -0x1.9514fda86a855p-18, -0x1.85848a8ec0004p-18, -0x1.765fa175ef65bp-18, -0x1.67a3d3c32a38cp-18, -0x1.594f0bccf5729p-18, -0x1.4b5f161459b3ep-18, -0x1.3dd18da1bea3dp-18, -0x1.30a40a215b9e1p-18, -0x1.23d4425781013p-18, -0x1.176015f67b932p-18, -0x1.0b458a691ab82p-18, -0x1.ff05870bf1498p-19, -0x1.e82bf0f10d3f3p-19, -0x1.d1fac6bd80444p-19, -0x1.bc6e5aa6015eap-19, -0x1.a782bbfbefb13p-19, -0x1.9333b29bfd552p-19, -0x1.7f7ce5156682bp-19, -0x1.6c5a20e521a8p-19, -0x1.59c7a3d41797fp-19, -0x1.47c24128b652fp-19, -0x1.364751383b916p-19, -0x1.25545463bbc89p-19, -0x1.14e6b27bd9d65p-19, -0x1.04fae817d8ep-19, -0x1.eb19ba96efaefp-20, -0x1.cd309892035cep-20, -0x1.b03367817d908p-20, -0x1.941d2ad894318p-20, -0x1.78e9ba2925532p-20, -0x1.5e948618ab047p-20, -0x1.4518fbeea34edp-20, -0x1.2c72c7688e453p-20, -0x1.149c4b6771ff8p-20, -0x1.fb1c903a03d1ap-21, -0x1.ce84b80396db4p-21, -0x1.a3693221c4fe5p-21, -0x1.79c38d5c64083p-21, -0x1.518b3fa7ed732p-21, -0x1.2ab6516777497p-21, -0x1.053af72ac7c24p-21, -0x1.c21ff4baeed71p-22, -0x1.7c590df11f4e3p-22, -0x1.3910112b7f6e4p-22, -0x1.f068c2fefb831p-23, -0x1.736c3641932b3p-23, -0x1.f618caf02a1bcp-24, -0x1.0e596471ac489p-24, -0x1.7afc2ffa9bb3dp-27, 0x1.4e5afe1985596p-25, 0x1.76044b22d5854p-24, 0x1.1d26873afb458p-23, 0x1.7bca9545af9bep-23, 0x1.d7c2257c9d619p-23, 0x1.17865bf3c943dp-22, 0x1.41512f5a3a7bfp-22, 0x1.696625f8d5fa3p-22, 0x1.8fc954e367a16p-22, 0x1.b487ee03abbb4p-22, 0x1.d770decc35ed8p-22, 0x1.f9479a0c4209fp-22, 0x1.0ca4840f956a1p-21, 0x1.1bedd7046f484p-21, 0x1.2a7f9a0523fe6p-21, 0x1.385d6fbabdd58p-21, 0x1.458a6625da1ecp-21, 0x1.520baf2297a8ep-21, 0x1.5de89642de8ebp-21, 0x1.6926ea88107a1p-21, 0x1.73cbc097dd7e4p-21, 0x1.7ddca8612449bp-21, 0x1.875cfe89eb49ep-21, 0x1.904f1c59ac204p-21, 0x1.98b712e94a7f2p-21, 0x1.a099b7fcbcdcbp-21, 0x1.a7fb68702f6c5p-21, 0x1.aee0131937833p-21, 0x1.b54b84668e3e6p-21, 0x1.bb41820b01d4p-21, 0x1.c0c5c8ab5a039p-21, 0x1.c5dc03291eedep-21, 0x1.ca87c440740e5p-21, 0x1.cecc82d9723a9p-21, 0x1.d2ad98c2c7221p-21, 0x1.d62e3f7d39aecp-21, 0x1.d951919d0f145p-21, 0x1.dc1a8a35e028p-21, 0x1.de8c06a6d5e2bp-21, 0x1.e0a8d32181e49p-21, 0x1.e273bd6a0ec2ap-21, 0x1.e3ef8da3e26aep-21, 0x1.e51ef9c0e7587p-21, 0x1.e604b11e5c243p-21, 0x1.e6a36b0be9183p-21, 0x1.e6fded34930c3p-21, 0x1.e7170d51afdd1p-21, 0x1.e6f19d45076b2p-21, 0x1.e69044eeac647p-21, 0x1.e5f54cae597f8p-21, 0x1.e5227e6d23b46p-21, 0x1.e4197e1f40fc1p-21, 0x1.e2dc55d801ef8p-21, 0x1.e16d5349d1431p-21, 0x1.dfce46a8ea5f6p-21, 0x1.de0097fd2f1f5p-21, 0x1.dc06a23db5731p-21, 0x1.d9e34d048219ep-21, 0x1.d7988bb9927b8p-21, 0x1.d527d623cc5d8p-21, 0x1.d29216d66d94ap-21, 0x1.cfd8a8bd6fd79p-21, 0x1.ccfdae5f5da4fp-21, 0x1.ca054daf6ebbp-21, 0x1.c6fe41e6a1dfp-21, 0x1.c3b119fe7b31fp-21, 0x1.c03c25c75bc1bp-21, 0x1.bd010894e3e52p-21, 0x1.b97aa7207a46dp-21, 0x1.b5d7d211ad505p-21, 0x1.b224ebd8ce6bap-21, 0x1.ae5e161ef54aep-21, 0x1.aa839985f44bp-21, }}, 
      {{-0x1.351ab7e4bfe5fp-8, -0x1.181d8b793d6ap-6, -0x1.108d4749169e6p-5, -0x1.950984c9dc38p-5, -0x1.01372b6b74fc7p-4, -0x1.2531d5adae5cp-4, -0x1.33080202e24fcp-4, -0x1.2a394fa5a4c16p-4, -0x1.0c5eeea60c4b5p-4, -0x1.b8da2be94672p-5, -0x1.3c2812c8583b1p-5, -0x1.5514c86925aa9p-6, -0x1.76ae746418313p-10, 0x1.328c7835b5203p-6, 0x1.3e41144292096p-5, 0x1.de1c7c0a81e8bp-5, 0x1.3a640f4347032p-4, 0x1.7f9a8ae68e2cfp-4, 0x1.bd9f0df370a0ap-4, 0x1.f3c50f265528ap-4, 0x1.10db4820b5fa6p-3, 0x1.23b278fb75383p-3, 0x1.327d704e60849p-3, 0x1.3d67d7569e001p-3, 0x1.44ae1b56dca6ap-3, 0x1.48989f4ed5bc1p-3, 0x1.4977a35ca64bap-3, 0x1.479fd37d0623ep-3, 0x1.43676fbdea6abp-3, 0x1.3d23fe0e6c6c6p-3, 0x1.3528792fe1aa7p-3, 0x1.2bc3ee5b9384cp-3, 0x1.21407ca2439a1p-3, 0x1.15e2a8a2c8c21p-3, 0x1.09e8f7903c106p-3, 0x1.fb1789b1db3f5p-4, 0x1.e1fa8cd6bed1ap-4, 0x1.c8d369b55e4c9p-4, 0x1.afef1bbe0be8cp-4, 0x1.978fd1cf4f14p-4, 0x1.7fedaddad86ddp-4, 0x1.69378fde55d8ap-4, 0x1.5393e3b343567p-4, 0x1.3f216b5d53899p-4, 0x1.2bf8017fd7fdfp-4, 0x1.1a29514499fbbp-4, 0x1.09c18271297d3p-4, 0x1.f58fb2a6b7b67p-5, 0x1.da7e95b66580cp-5, 0x1.c24e0afda9492p-5, 0x1.acf5df26d61dfp-5, 0x1.9a68379b3c868p-5, 0x1.8a9268ec19b6bp-5, 0x1.7d5dbbaff8cf8p-5, 0x1.72b020af1bc1bp-5, 0x1.6a6cd52bc83cep-5, 0x1.6474f80542345p-5, 0x1.60a8105b8b3c9p-5, 0x1.5ee4865078165p-5, 0x1.5f080e79da316p-5, 0x1.60f0086db4df2p-5, 0x1.6479d142069dap-5, 0x1.69830a86c101bp-5, 0x1.6fe9d7906e41cp-5, 0x1.778d104c372dp-5, 0x1.804c6cc14447ap-5, 0x1.8a08a72037b9bp-5, 0x1.94a397cba5edap-5, 0x1.a0004918796cfp-5, 0x1.ac0306eeb56e6p-5, 0x1.b891682b51965p-5, 0x1.c592561848018p-5, 0x1.d2ee0ea036f86p-5, 0x1.e08e26affcddep-5, 0x1.ee5d8763cef5dp-5, 0x1.fc486b6c3bfd2p-5, 0x1.051e2c5458342p-4, 0x1.0c140cbd8cd94p-4, 0x1.12fdda42ec393p-4, 0x1.19d431e4dc70bp-4, 0x1.209045fe59604p-4, 0x1.272bd9893a021p-4, 0x1.2da13bc07b8dfp-4, 0x1.33eb433bed858p-4, 0x1.3a054950f5fdbp-4, 0x1.3feb2517930f9p-4, 0x1.459926429bba5p-4, 0x1.4b0c0fe6d6979p-4, 0x1.5041131332b14p-4, 0x1.5535c9594d3aep-4, 0x1.59e82f4f297d6p-4, 0x1.5e569f0dbf2b5p-4, 0x1.627fcab578ac4p-4, 0x1.6662b70695a3fp-4, 0x1.69feb5e2ea14bp-4, 0x1.6d53611853453p-4, 0x1.7060950453ca1p-4, 0x1.73266b75d6a26p-4, 0x1.75a53693bde9cp-4, 0x1.77dd7be57d3ccp-4, 0x1.79cfef8a4bcacp-4, 0x1.7b7d6f89a9a76p-4, 0x1.7ce6ff58e3532p-4, 0x1.7e0dc3a86c229p-4, 0x1.7ef2fe3fdef32p-4, 0x1.7f980a3f057fep-4, 0x1.7ffe588e515b4p-4, 0x1.80276c777962ep-4, 0x1.8014d8a9d8fa3p-4, 0x1.7fc83c559038cp-4, 0x1.7f43408f19785p-4, 0x1.7e8795f721bc3p-4, 0x1.7d96f29f7c6aep-4, 0x1.7c730ffdcae9ap-4, 0x1.7b1da9486a023p-4, 0x1.799879f37214ap-4, 0x1.77e53c2e79552p-4, 0x1.7605a7d6b5585p-4, 0x1.73fb7165910b9p-4, 0x1.71c848f853405p-4, 0x1.6f6dd99cf8319p-4, 0x1.6cedc8a571935p-4, 0x1.6a49b522f32e3p-4, 0x1.67833763ade5p-4, 0x1.649be09932166p-4, 0x1.61953aaed57acp-4, 0x1.5e70c7e1801cp-4, 0x1.5b30029c14764p-4, 0x1.57d45d8fe1e35p-4, 0x1.545f436425d24p-4, 0x1.50d216a9dc822p-4, 0x1.4d2e3214e9a93p-4, 0x1.4974e84d1c268p-4, 0x1.45a783e5ea05p-4, 0x1.41c7479bc4743p-4, 0x1.3dd56e3da2d47p-4, 0x1.39d32aaddd632p-4, 0x1.35c1a81ade9bp-4, 0x1.31a209eb12fd5p-4, 0x1.2d756bbb6d141p-4, 0x1.293ce1a146e61p-4, 0x1.24f9782b467c7p-4, 0x1.20ac342238f46p-4, 0x1.1c5612e94bc7p-4, 0x1.17f80aaf3b2a1p-4, 0x1.139309f239093p-4, 0x1.0f27f7cde6865p-4, 0x1.0ab7b4400769ap-4, 0x1.0643180990043p-4, 0x1.01caf47d7a54cp-4, 0x1.faa0278283509p-5, 0x1.f1a67233c32edp-5, 0x1.e8aa4141fc656p-5, 0x1.dfacfe7c3590bp-5, 0x1.d6b005fb31165p-5, 0x1.cdb4a698407f3p-5, 0x1.c4bc210ff63d2p-5, 0x1.bbc7a85f63732p-5, 0x1.b2d862a038a82p-5, 0x1.a9ef6942051f4p-5, 0x1.a10dc83015ba6p-5, 0x1.98347e88e85f2p-5, 0x1.8f647f044fef8p-5, 0x1.869eb0ff215eep-5, 0x1.7de3ef34cc54bp-5, 0x1.75350806ae746p-5, 0x1.6c92beea62294p-5, 0x1.63fdccf5c3c9p-5, 0x1.5b76e0100ee49p-5, 0x1.52fe9a9a2418fp-5, 0x1.4a9594de261b5p-5, 0x1.423c5e3a0fc57p-5, 0x1.39f37ca8f95c5p-5, 0x1.31bb6bdb709ap-5, 0x1.29949e0190212p-5, 0x1.217f7d89abfe6p-5, 0x1.197c6d65ad19ep-5, 0x1.118bc830873f4p-5, 0x1.09addfc96ea89p-5, 0x1.01e2feaf27f4ap-5, 0x1.f456d2fd6e55dp-6, 0x1.e50ebd74a6cdfp-6, 0x1.d5ee2b8f5c55ap-6, 0x1.c6f57e23e30abp-6, 0x1.b8250ab127c69p-6, 0x1.a97d1e25676e8p-6, 0x1.9afdfc0788b3bp-6, 0x1.8ca7dc67e36b1p-6, 0x1.7e7aec0bff086p-6, 0x1.70774f53d9878p-6, 0x1.629d2474641f6p-6, 0x1.54ec830238eap-6, 0x1.476579e9a8312p-6, 0x1.3a080ef845215p-6, 0x1.2cd44145aeb23p-6, 0x1.1fca0ba28455dp-6, 0x1.12e964b5479d7p-6, 0x1.06323d298674dp-6, 0x1.f348fd0bd0ae8p-7, 0x1.da8018d174815p-7, 0x1.c2098dfb4faf4p-7, 0x1.a9e518280ae4ap-7, 0x1.92126c371b64ap-7, 0x1.7a9134e1f00ap-7, 0x1.63611239780cdp-7, 0x1.4c819d106f774p-7, 0x1.35f26ab5f1cfcp-7, 0x1.1fb30d92a99ebp-7, 0x1.09c31233c37adp-7, 0x1.e843fd1106227p-8, 0x1.bd9e9cc526e0cp-8, 0x1.9394f45071bf8p-8, 0x1.6a25efb4cac88p-8, 0x1.415077666181dp-8, 0x1.19136be1e1107p-8, 0x1.e2db4245463fbp-9, 0x1.94bbbd4bf1db6p-9, 0x1.47c5c7ec0552bp-9, 0x1.f7edb650cd7aep-10, 0x1.6298d8335dfabp-10, 0x1.9f0f98bc0bf16p-11, 0x1.f5aa34377879p-13, -0x1.3f90b92927516p-12, -0x1.b8944a409852p-11, -0x1.66823e28254bfp-10, -0x1.ee921deff83b2p-10, -0x1.3a3fb881457f2p-9, -0x1.7c27fbaad6835p-9, -0x1.bd04c7112dda5p-9, -0x1.fcd9178c0b2b2p-9, -0x1.1dd3f8ee2084ap-8, -0x1.3cba2ea705c91p-8, -0x1.5b20b0c1d4363p-8, -0x1.79090457c0c8dp-8, -0x1.9674b1db804bp-8, -0x1.b365469653039p-8, -0x1.cfdc53eff38c5p-8, -0x1.ebdb6d3ed4315p-8, -0x1.03b212c462a36p-7, -0x1.113c075ef6d84p-7, -0x1.1e8c5dcecd1abp-7, -0x1.2ba3dd5f9a7e1p-7, -0x1.388351e1bf65cp-7, -0x1.452b857a139e5p-7, -0x1.519d42e000fap-7, -0x1.5dd9540dfcf93p-7, -0x1.69e08171a6997p-7, -0x1.75b392283c384p-7, -0x1.81534c2a718f7p-7, -0x1.8cc074afcb319p-7, -0x1.97fbd0536e52p-7, -0x1.a30622babe434p-7, -0x1.ade02dee9d601p-7, -0x1.b88ab1cf2ee99p-7, -0x1.c3066bcee0eafp-7, -0x1.cd5416e8a318cp-7, -0x1.d7746bc8019dep-7, -0x1.e1682108a178ap-7, -0x1.eb2feb48cb8e9p-7, -0x1.f4cc7ce163d6cp-7, -0x1.fe3e859d34d1cp-7, -0x1.03c358dbf7c99p-6, -0x1.0852d52fdfcacp-6, -0x1.0cce0ab726a5bp-6, -0x1.11354a90cb3c4p-6, -0x1.1588e45700c68p-6, -0x1.19c9262356188p-6, -0x1.1df65c7ab9d34p-6, -0x1.2210d22243b98p-6, -0x1.2618cff67ada1p-6, -0x1.2a0e9cd4a607cp-6, -0x1.2df27d935c5fbp-6, -0x1.31c4b50833cf4p-6, -0x1.35858419ba7d4p-6, -0x1.393529d3d51d2p-6, -0x1.3cd3e36b66222p-6, -0x1.4061ec292f51p-6, -0x1.43df7d4c51c73p-6, -0x1.474ccda7c8697p-6, -0x1.4aaa13489a0fbp-6, -0x1.4df780233e24ap-6, -0x1.5135458d8774fp-6, -0x1.5463925923642p-6, -0x1.5782939ff4288p-6, -0x1.5a927481e0b48p-6, -0x1.5d935e40459fbp-6, -0x1.60857815be34ap-6, -0x1.6368e75687fd4p-6, -0x1.663dcf6b90d3fp-6, -0x1.690451de9de3ep-6, -0x1.6bbc8e64ac14fp-6, -0x1.6e66a2ea90c8dp-6, -0x1.7102aba5fa29dp-6, -0x1.7390c3261d245p-6, -0x1.7611025d6a1f7p-6, -0x1.788380a5ef5e8p-6, -0x1.7ae853c876dap-6, -0x1.7d3f9008e2baep-6, -0x1.7f894833a8f0ep-6, -0x1.81c58da962e83p-6, -0x1.83f4706a7c356p-6, -0x1.8615ff26ca9a1p-6, -0x1.882a4751fb1f2p-6, -0x1.8a3155377fd06p-6, -0x1.8c2b34078a8c9p-6, -0x1.8e17edebab616p-6, -0x1.8ff78c0fb9321p-6, -0x1.91ca168619077p-6, -0x1.938f9487a3faep-6, -0x1.95480ca37d7c2p-6, -0x1.96f3845c7b74dp-6, -0x1.98920091ad67ep-6, -0x1.9a23857a076e7p-6, -0x1.9ba816b6fb5e3p-6, -0x1.9d1fb76657756p-6, -0x1.9e8a6a2eb68a4p-6, -0x1.9fe8314a3d59ep-6, -0x1.a1390e9328f97p-6, -0x1.a27d0391c916fp-6, -0x1.a3b4118a68a13p-6, -0x1.a4de398ab2d9dp-6, -0x1.a5fb7c77602dbp-6, -0x1.a70bdb1ab627fp-6, -0x1.a80f55e7b38c4p-6, -0x1.a905ee98e2839p-6, -0x1.a9efa51c9657fp-6, -0x1.aacc7abcd257fp-6, -0x1.ab9c709fe5ap-6, -0x1.ac5f881d08026p-6, -0x1.ad15c2c8a86fdp-6, -0x1.adbf227f61ddap-6, -0x1.ae5ba970046f5p-6, -0x1.aeeb5a23cf995p-6, -0x1.af6e3794542fcp-6, -0x1.afe445376fc56p-6, -0x1.b04d86d21f91dp-6, -0x1.b0aa00ccce895p-6, -0x1.b0f9b848c8f04p-6, -0x1.b13cb2bec17d5p-6, -0x1.b172f655f004cp-6, -0x1.b19c89d89f50dp-6, -0x1.b1b974b606b6dp-6, -0x1.b1c9bf09c586ep-6, -0x1.b1cd71a1eaeffp-6, -0x1.b1c4960473f78p-6, -0x1.b1af367496128p-6, -0x1.b18d5df802015p-6, -0x1.b15f185bd672bp-6, -0x1.b1247238738c1p-6, -0x1.b0dd78f3b9d39p-6, -0x1.b08a3ac24840ap-6, -0x1.b02ac6a8c156fp-6, -0x1.afbf2c7d5049ep-6, -0x1.af477ce96c0cap-6, -0x1.aec3c96b54b8bp-6, -0x1.ae34245747c47p-6, -0x1.ad98a0d82fef7p-6, -0x1.acf152f00ecfep-6, -0x1.ac3e4f780fd29p-6, -0x1.ab7fac2076a35p-6, -0x1.aab57f6ffe07ep-6, -0x1.a9dfe0c27f118p-6, -0x1.a8fee8469fe78p-6, -0x1.a812aefad0897p-6, -0x1.a71b4ea8c80eep-6, -0x1.a618e1f13136fp-6, -0x1.a50b8442ef7edp-6, -0x1.a3f351a838f3bp-6, -0x1.a2d0670b73ae4p-6, -0x1.a1a2e241ef9c2p-6, -0x1.a06ae1a376998p-6, -0x1.9f28845472691p-6, -0x1.9ddbea33d2ecp-6, -0x1.9c8533d0eba2fp-6, -0x1.9b248265e63b4p-6, -0x1.99b9f7f5b8c05p-6, -0x1.9845b6c591c66p-6, -0x1.96c7e23e6901dp-6, -0x1.95409e0f5a24fp-6, -0x1.93b00e92413e8p-6, -0x1.921658b15ad7bp-6, -0x1.9073a1e282937p-6, -0x1.8ec8102206232p-6, -0x1.8d13c9ed3561ap-6, -0x1.8b56f63ce2f3bp-6, -0x1.8991bc7fc1b88p-6, -0x1.87c44494add26p-6, -0x1.85eeb6c4f4fb6p-6, -0x1.84113bbe80978p-6, -0x1.822bfc8de726p-6, -0x1.803f229875412p-6, -0x1.7e4ad7963805ap-6, -0x1.7c4f458c48381p-6, -0x1.7a4c96c7031e2p-6, -0x1.7842f5d476025p-6, -0x1.76328d7e8e9b7p-6, -0x1.741b88c566e63p-6, -0x1.71fe12d95e539p-6, -0x1.6fda571514b5ep-6, -0x1.6db080f7268c7p-6, -0x1.6b80bc1a77dffp-6, -0x1.694b343700542p-6, -0x1.67101532a8471p-6, -0x1.64cf8aaedc6bbp-6, -0x1.6289c09e8a7e5p-6, -0x1.603ee2f2cfcbfp-6, -0x1.5def1d87176d7p-6, -0x1.5b9a9c2979016p-6, -0x1.59418aa6ad029p-6, -0x1.56e414b789724p-6, -0x1.548265fcecde5p-6, -0x1.521ca9faefa14p-6, -0x1.4fb30c13c4ea3p-6, -0x1.4d45b782a706dp-6, -0x1.4ad4d756f0029p-6, -0x1.4860966f979a6p-6, -0x1.45e91f76fb13dp-6, -0x1.436e9cdefba19p-6, -0x1.40f138dd464cep-6, -0x1.3e711d67aede9p-6, -0x1.3bee743057695p-6, -0x1.396966a18bd51p-6, -0x1.36e21dd93e6a7p-6, -0x1.3458c2a434d9fp-6, -0x1.31cd7d791ebedp-6, -0x1.2f407673ce9cbp-6, -0x1.2cb1d551026acp-6, -0x1.2a21c16b04db4p-6, -0x1.279061b75e429p-6, -0x1.24fddcc580b58p-6, -0x1.226a58be2dedep-6, -0x1.1fd5fb629a557p-6, -0x1.1d40e9db10e81p-6, -0x1.1aab49af9fb1cp-6, -0x1.18153ecd00f4cp-6, -0x1.157eed751e393p-6, -0x1.12e879428e2aap-6, -0x1.1052055026e0ep-6, -0x1.0dbbb43382b89p-6, -0x1.0b25a7f81e93fp-6, -0x1.0890021c54801p-6, -0x1.05fae390759a1p-6, -0x1.03666cd2d3abep-6, -0x1.00d2bdc201b3ap-6, -0x1.fc7feb8ea7339p-7, -0x1.f75c679dd0a11p-7, -0x1.f23b2d0e7ad33p-7, -0x1.ed1c77d899c7ep-7, -0x1.e800832ba3efp-7, -0x1.e2e7892fd3cbfp-7, -0x1.ddd1c2e51c3a8p-7, -0x1.d8bf6808f7b2ep-7, -0x1.d3b0aeff9be7cp-7, -0x1.cea5ccc6cdb4p-7, -0x1.c99ef4f6d7656p-7, -0x1.c49c59d33dbf6p-7, -0x1.bf9e2c6998c36p-7, -0x1.baa49cba04568p-7, -0x1.b5afd9e1da602p-7, -0x1.b0c012405dfa7p-7, -0x1.abd5738d1304dp-7, -0x1.a6f02ad96e343p-7, -0x1.a210647b3fb86p-7, -0x1.9d364be139b73p-7, -0x1.98620b57a9fb1p-7, -0x1.9393cbc7207c3p-7, -0x1.8ecbb47927a77p-7, -0x1.8a09eaeeeb804p-7, -0x1.854e92d3a6d1fp-7, -0x1.8099ce10ad112p-7, -0x1.7bebbd028f73bp-7, -0x1.77447ec99a50bp-7, -0x1.72a431a97501dp-7, -0x1.6e0af368ed64ap-7, -0x1.6978e1a0a1fbap-7, -0x1.64ee19e9b9cd4p-7, -0x1.606ab9e1897abp-7, -0x1.5beedefe6f947p-7, -0x1.577aa63978266p-7, -0x1.530e2b98e98f7p-7, -0x1.4ea989adac515p-7, -0x1.4a4cd919763a5p-7, -0x1.45f83033b2c23p-7, -0x1.41aba2df1ccccp-7, -0x1.3d67429b3c5e9p-7, -0x1.392b1ed297fc5p-7, -0x1.34f7455cd246ep-7, -0x1.30cbc3564fab2p-7, -0x1.2ca8a5756a70bp-7, -0x1.288df8e9f8e6fp-7, -0x1.247bcbd116f5fp-7, -0x1.20722dc5e820dp-7, -0x1.1c712f01b93f9p-7, -0x1.1878e089b7cdap-7, -0x1.14895372f05dcp-7, -0x1.10a2978770007p-7, -0x1.0cc4bb56eaa46p-7, -0x1.08efca598989ep-7, -0x1.0523cced6efd2p-7, -0x1.0160c7e9d19ep-7, -0x1.fb4d7986c5c55p-8, -0x1.f3eb54294ada8p-8, -0x1.ec9b18ff03285p-8, -0x1.e55cbf9aadf6ap-8, -0x1.de304050372c2p-8, -0x1.d7159683c19dcp-8, -0x1.d00cc27f112b7p-8, -0x1.c915ca8318995p-8, -0x1.c230bae200eadp-8, -0x1.bb5da50da6907p-8, -0x1.b49c9dac39ac6p-8, -0x1.adedb9ea848bap-8, -0x1.a7510c6312034p-8, -0x1.a0c6a205963b2p-8, -0x1.9a4e7f6eb516ep-8, -0x1.93e89f135a09p-8, -0x1.8d94f08846ed8p-8, -0x1.875359083de57p-8, -0x1.8123b531bd536p-8, -0x1.7b05dbce12ca2p-8, -0x1.74f9a1517f4a8p-8, -0x1.6efedbae151d3p-8, -0x1.69156605b233p-8, -0x1.633d23c8085e8p-8, -0x1.5d7602d57fe3p-8, -0x1.57bffc587c997p-8, -0x1.521b142a80c02p-8, -0x1.4c8756c7eb2dcp-8, -0x1.4704d605c82e2p-8, -0x1.4193a4ea41139p-8, -0x1.3c33d32a7285dp-8, -0x1.36e568e05d143p-8, -0x1.31a863055f265p-8, -0x1.2c7cb122fad2ep-8, -0x1.2762347ee2c98p-8, -0x1.2258c0d2555edp-8, -0x1.1d601ea827064p-8, -0x1.18780eab9e016p-8, -0x1.13a04ce9c202p-8, -0x1.0ed89697a66d5p-8, -0x1.0a20ae1a6644ap-8, -0x1.05785dbef826p-8, -0x1.00df7b53a066ap-8, -0x1.f8abd31ed0812p-9, -0x1.efb7302e97b39p-9, -0x1.e6e1044a6375ep-9, -0x1.de2957aba1757p-9, -0x1.d5903cd30505bp-9, -0x1.cd15c7d23303ep-9, -0x1.c4ba0571193c8p-9, -0x1.bc7cf34ef24f4p-9, -0x1.b45e7a00606e1p-9, -0x1.ac5e69dfd95bbp-9, -0x1.a47c7adc8e007p-9, -0x1.9cb84f1bff9d2p-9, -0x1.951177dacaa0bp-9, -0x1.8d877bb2aef6bp-9, -0x1.8619dd5900187p-9, -0x1.7ec8220310333p-9, -0x1.7791d6d650a1ap-9, -0x1.70769636690efp-9, -0x1.697604ce6892ep-9, -0x1.628fde3251c44p-9, -0x1.5bc3e931631a9p-9, -0x1.5511fc02fe354p-9, -0x1.4e79f7ec78e0dp-9, -0x1.47fbc4dc406dp-9, -0x1.41974bff5e4adp-9, -0x1.3b4c71e330d8ep-9, -0x1.351b10e6c25abp-9, -0x1.2f02f4e596c2dp-9, -0x1.2903d8f915f1ep-9, -0x1.231d67ea7514ep-9, -0x1.1d4f3f6f74782p-9, -0x1.1798f5ad037acp-9, -0x1.11fa1fe6bff16p-9, -0x1.0c7258f02d1a3p-9, -0x1.07014606193fap-9, -0x1.01a69934a3fb7p-9, -0x1.f8c422561817cp-10, -0x1.ee66ee378d71dp-10, -0x1.e435377610a4bp-10, -0x1.da2ea8e896fdbp-10, -0x1.d052f31746d4p-10, -0x1.c6a1ca87cd03dp-10, -0x1.bd1ae71581d5dp-10, -0x1.b3be02b068f09p-10, -0x1.aa8ad5ee1eb9cp-10, -0x1.a18111a103587p-10, -0x1.98a05690ef11ep-10, -0x1.8fe82cdf90636p-10, -0x1.8757f84f30cap-10, -0x1.7eeefc17e7e6bp-10, -0x1.76ac5d40a1992p-10, -0x1.6e8f2af09818dp-10, -0x1.669671aedaf43p-10, -0x1.5ec14d99fad27p-10, -0x1.570ef9fdbf2eap-10, -0x1.4f7eda782c39bp-10, -0x1.48107acb5cc95p-10, -0x1.40c385a07d8cap-10, -0x1.3997b56686644p-10, -0x1.328cc46ec98p-10, -0x1.2ba26199e74e4p-10, -0x1.24d82d23f2facp-10, -0x1.1e2dbe072a09dp-10, -0x1.17a2ad33e7bd6p-10, -0x1.1136a1aee0986p-10, -0x1.0ae958501dde8p-10, -0x1.04baa373c4f7dp-10, -0x1.fd54c3c2f6986p-11, -0x1.f170decc6d1cdp-11, -0x1.e5c927d97e27cp-11, -0x1.da5cecd502de5p-11, -0x1.cf2b2f43fc30dp-11, -0x1.c432ac6e74e5ep-11, -0x1.b971f5c12ffe7p-11, -0x1.aee7930fbc605p-11, -0x1.a492267df93ecp-11, -0x1.9a7089c4a92bap-11, -0x1.9081dda072c74p-11, -0x1.86c5868c2d3e9p-11, -0x1.7d3b15cfc136ap-11, -0x1.73e2236be2c1ap-11, -0x1.6aba23371a21ep-11, -0x1.61c242f4d5a9ep-11, -0x1.58f95df422c78p-11, -0x1.505e0c4fcea21p-11, -0x1.47eeca40b966cp-11, -0x1.3faa2ca09ec14p-11, -0x1.378f0ebba4cdap-11, -0x1.2f9cadf23d44bp-11, -0x1.27d2a8cdd58f9p-11, -0x1.2030e10ce8479p-11, -0x1.18b74d90b13f1p-11, -0x1.1165cc1e9dce5p-11, -0x1.0a3c0335230d1p-11, -0x1.03395c8947ebap-11, -0x1.f8ba2c60ab93dp-12, -0x1.eb4cc0894eb46p-12, -0x1.de28f52cae6fbp-12, -0x1.d14d92cb74145p-12, -0x1.c4b9bbc7e2671p-12, -0x1.b86ce71610684p-12, -0x1.ac66c9a558139p-12, -0x1.a0a733010f071p-12, -0x1.952de6234005bp-12, -0x1.89fa58f8544f1p-12, -0x1.7f0b936a2cf4bp-12, -0x1.74600bd79201dp-12, -0x1.69f59ffe6d4e7p-12, -0x1.5fc9b4bd0f2b3p-12, -0x1.55d9843f2bf11p-12, -0x1.4c227687ecf96p-12, -0x1.42a2734b4b573p-12, -0x1.39580f7542122p-12, -0x1.304287ebc6594p-12, -0x1.27618ba016b4bp-12, -0x1.1eb4e60915998p-12, -0x1.163c266fc1025p-12, -0x1.0df663ddfb461p-12, -0x1.05e233a1e65b2p-12, -0x1.fbfba5baad115p-13, -0x1.ec8edd50d917fp-13, -0x1.dd7add77c8be7p-13, -0x1.cebd5b658740bp-13, -0x1.c0552a006cf28p-13, -0x1.b24230e8b2464p-13, -0x1.a485200b7e9ep-13, -0x1.971eed929a445p-13, -0x1.8a1046459e13dp-13, -0x1.7d59250f9f295p-13, -0x1.70f8b1e214257p-13, -0x1.64ed5dfd7a386p-13, -0x1.593514e047224p-13, -0x1.4dcd5dc7d3915p-13, -0x1.42b36ae28083bp-13, -0x1.37e432853caadp-13, -0x1.2d5cadebd351cp-13, -0x1.231a35dde8eb7p-13, -0x1.191ad02a9e0b1p-13, -0x1.0f5d41da351dbp-13, -0x1.05e0e4b25d481p-13, -0x1.f94acbbce5b3p-14, -0x1.e7551c8235aa6p-14, -0x1.d5e027832177fp-14, -0x1.c4eaca0b73351p-14, -0x1.b472e0687940dp-14, -0x1.a474e9295b893p-14, -0x1.94ebe46c1ba15p-14, -0x1.85d19b6617274p-14, -0x1.771f751bef017p-14, -0x1.68cfb60da2a2cp-14, -0x1.5ade99a0d298fp-14, -0x1.4d4a96436cfbdp-14, -0x1.40139aa824cbp-14, -0x1.3339c9eb97406p-14, -0x1.26bc831fb9f5p-14, -0x1.1a9a0f52870b1p-14, -0x1.0ed08f1e34d65p-14, -0x1.035da03fa6de7p-14, -0x1.f07fb5a7e8f66p-15, -0x1.daecc710704c8p-15, -0x1.c6015bbf6ad96p-15, -0x1.b1bbd900e6cp-15, -0x1.9e1958c88fc97p-15, -0x1.8b15674156b5p-15, -0x1.78aad10b4073ap-15, -0x1.66d4c426d2788p-15, -0x1.558ea9e593db3p-15, -0x1.44d34caa8dde2p-15, -0x1.349cee4fbb713p-15, -0x1.24e6cbc4fc24fp-15, -0x1.15af7565f9303p-15, -0x1.06f991a3a93eep-15, -0x1.f1937df1167bdp-16, -0x1.d6454aca4a16ep-16, -0x1.bc03925062256p-16, -0x1.a2beccd636f36p-16, -0x1.8a63502a27379p-16, -0x1.72e1f418dc914p-16, -0x1.5c345b4fa0195p-16, -0x1.465a1619b5c47p-16, -0x1.31521494e5e7ep-16, -0x1.1d160cdac17ecp-16, -0x1.099a41fc8f589p-16, -0x1.eda0573878d33p-17, -0x1.c95309e01b99bp-17, -0x1.a6350ae41a5b3p-17, -0x1.84367482f19afp-17, -0x1.63507b3b49e6ep-17, -0x1.438585d67cdc8p-17, -0x1.24df694cd9d83p-17, -0x1.076b7bdf2d189p-17, -0x1.d66a1c108d3c2p-18, -0x1.a0803122f0c16p-18, -0x1.6d0db8945daffp-18, -0x1.3bf86586a8b5p-18, -0x1.0d20ef2f2eac9p-18, -0x1.c0cdf7a503607p-19, -0x1.6b4542c565099p-19, -0x1.194341983986ap-19, -0x1.94e936269dcb1p-20, -0x1.fb4f87067c3b9p-21, -0x1.b5aa65bc016b3p-22, 0x1.afde9b77e143dp-24, 0x1.36adbf78b47bbp-21, 0x1.14403a039b082p-20, 0x1.86c77e79289f8p-20, 0x1.f3af05babaf23p-20, 0x1.2d89266972ce1p-19, 0x1.5e53afdbda417p-19, 0x1.8c1cead9fb54dp-19, 0x1.b6f17954c848p-19, 0x1.def8169f68a48p-19, 0x1.022d3c464bdb7p-18, 0x1.139cf5c91f248p-18, 0x1.23d88d4aecce1p-18, 0x1.32edc3a6541acp-18, 0x1.40edf7910558fp-18, 0x1.4deee0c26ba1p-18, 0x1.5a08291c863bap-18, 0x1.654e8008d7f51p-18, 0x1.6fce198e69a4p-18, 0x1.79875edf6723ap-18, 0x1.8270343f191d4p-18, 0x1.8a79e29422232p-18, 0x1.9199cb4efbffcp-18, 0x1.97d18d4d69d03p-18, 0x1.9d2d9d1c9de27p-18, 0x1.a1ba621e91008p-18, 0x1.a585640ca806ep-18, 0x1.a89d8d3eace75p-18, 0x1.ab1aa8af475dep-18, 0x1.ad128fd745bddp-18, 0x1.ae81a291ea70bp-18, 0x1.af4a73dd6e177p-18, 0x1.af57e9e34a73dp-18, 0x1.aeba4202e5e97p-18, 0x1.ad9b08134403ep-18, 0x1.ac16945f8786p-18, 0x1.aa29710c990b7p-18, 0x1.a7c37039a82e6p-18, 0x1.a4e076bee5a6fp-18, 0x1.a18b02c280b8ap-18, 0x1.9dd12d04fd53p-18, 0x1.99bd0058ba2fap-18, 0x1.95538d4693549p-18, 0x1.9096d4f88bedcp-18, 0x1.8b879a244f622p-18, 0x1.8626610f670b7p-18, 0x1.8073e5c15083ap-18, 0x1.7a71702269641p-18, 0x1.742144270233ap-18, 0x1.6d8733b80eb3fp-18, 0x1.66a923b4e3d1cp-18, 0x1.5f8f2ffe415d9p-18, 0x1.5843045e2768fp-18, 0x1.50ce1ab884306p-18, 0x1.49372cd245f39p-18, 0x1.41803f552387p-18, 0x1.39a71e7e58e33p-18, 0x1.31a88dd9bed28p-18, 0x1.2983d316b1036p-18, 0x1.213b5d71d103p-18, 0x1.18d240b26bc0ap-18, 0x1.104a744f556e1p-18, 0x1.07a77d496efc9p-18, 0x1.fde00f63d3995p-19, 0x1.ec4d789277c38p-19, 0x1.da8dbbc963389p-19, 0x1.c8a0ba4560166p-19, 0x1.b69d4743c3893p-19, 0x1.a4966c5594f8ep-19, 0x1.9285b65cd0382p-19, 0x1.805e3a5fa5974p-19, 0x1.6e2190ec2fea9p-19, 0x1.5bdaad6e05429p-19, 0x1.4992c7ac0a909p-19, 0x1.374e9da5bc667p-19, 0x1.25105dbeee2a9p-19, 0x1.12d9879fdbe8fp-19, 0x1.00abbfa3ee91ep-19, 0x1.dd11f8e4c03c3p-20, 0x1.b8e6ef7268f68p-20, 0x1.94db205eed3efp-20, 0x1.70f352e8405d6p-20, 0x1.4d34256025807p-20, 0x1.29a1fcff8f18fp-20, 0x1.063e347a0b10ap-20, 0x1.c61c64313e0e5p-21, 0x1.802c4e7d99421p-21, 0x1.3aadf9ea41291p-21, 0x1.eb5c47d5134fep-22, 0x1.6275155c45b5cp-22, 0x1.b584ad70d5e9ep-23, 0x1.5161c341d0d3p-24, -0x1.862bf6a50f07p-25, -0x1.693a78a2bf0e4p-23, -0x1.3733a6f426d5ap-22, -0x1.b87b7dbf584ddp-22, -0x1.1c2fceb173df3p-21, -0x1.5b6412ed42d53p-21, -0x1.99cf6a8deb199p-21, -0x1.d771b7aecfc7ap-21, -0x1.0a28ebbaf91bdp-20, -0x1.2833ac1ad8158p-20, -0x1.45d6f76622963p-20, -0x1.6319189e40ce9p-20, -0x1.7ff6e1c5214b4p-20, -0x1.9c67033d276bcp-20, -0x1.b868e795beedep-20, -0x1.d4002cf50c111p-20, -0x1.ef2dc9b86d27fp-20, -0x1.04f8275e9e39dp-19, -0x1.1222e52064adbp-19, -0x1.1f1651737b306p-19, -0x1.2bd1db04d909ap-19, -0x1.38551e8d7527ep-19, -0x1.449fd7f65c3c5p-19, -0x1.50b1d76ad15cbp-19, -0x1.5c8af98e711cbp-19, -0x1.682b214cbe703p-19, -0x1.7392334e3a296p-19, -0x1.7ec014b0bb521p-19, -0x1.89b4ae7944b1cp-19, -0x1.946ff328f059bp-19, -0x1.9ef1de0245ee2p-19, -0x1.a93a622c0f7bfp-19, -0x1.b349490f557d7p-19, -0x1.bd1e0f674f3a9p-19, -0x1.c6b7cfe1caa31p-19, -0x1.d0153c59ccf5dp-19, -0x1.d934f424384c9p-19, -0x1.e2173b77f07b3p-19, -0x1.eac092b94f72bp-19, -0x1.f337c11f8e10bp-19, -0x1.fb7dbfae94268p-19, -0x1.01c67da56140fp-18, -0x1.05b27f65eab96p-18, -0x1.098627f954386p-18, -0x1.0d3f6ef1fffccp-18, -0x1.10d5b2e5ffe2cp-18, -0x1.144901e16fb3bp-18, -0x1.17a2bf1b271c9p-18, -0x1.1ae71a5c1b5fdp-18, -0x1.1e1647eda2a1p-18, -0x1.212a3e2415252p-18, -0x1.24203a879b5a8p-18, -0x1.26fbc739b4693p-18, -0x1.29bf0a4a3deaap-18, -0x1.2c69f53d88746p-18, -0x1.2efc5c49da60ap-18, -0x1.3175f26c80ccap-18, -0x1.33d65b5e8cabdp-18, -0x1.361e5807d70fp-18, -0x1.384df3ea46b4dp-18, -0x1.3a6566bd044fdp-18, -0x1.3c64fbb9e862cp-18, -0x1.3e4cfb2ae3695p-18, }}, 
      {{0x1.ed2985a8f637ep-3, 0x1.b06f51ab1bec4p-2, 0x1.101779ab20004p-1, 0x1.27ef0f0a48004p-1, 0x1.287d51b8378ccp-1, 0x1.1a7fba79ebfbfp-1, 0x1.052bf47729b76p-1, 0x1.db9627a425712p-2, 0x1.afb6995fc5526p-2, 0x1.8ac8f5d9ff2cdp-2, 0x1.6eab3a1eca4e5p-2, 0x1.5bb275fb45356p-2, 0x1.5134f6c52269cp-2, 0x1.4df495a53cb7bp-2, 0x1.506cadb4e395fp-2, 0x1.57089962dd7e1p-2, 0x1.60479d8cab59dp-2, 0x1.6ad2b299252e8p-2, 0x1.7587ebe2d9d46p-2, 0x1.7f7e87d38ebb9p-2, 0x1.880609006c6fap-2, 0x1.8ea224ff532d5p-2, 0x1.9304dc1c4be97p-2, 0x1.9507ad54e0c96p-2, 0x1.94a491a8891e9p-2, 0x1.91ef335830e8bp-2, 0x1.8d0eabfd700ebp-2, 0x1.8637f48592a2p-2, 0x1.7da91a5fe82cep-2, 0x1.73a53d886c2dfp-2, 0x1.68714f00c5b14p-2, 0x1.5c5180c79a7d9p-2, 0x1.4f8753d9806b5p-2, 0x1.42502eefb1427p-2, 0x1.34e46860922e9p-2, 0x1.2776aeaf1102dp-2, 0x1.1a33bd24be0c1p-2, 0x1.0d424bd2a4cbfp-2, 0x1.00c32c9ef80cfp-2, 0x1.e9a312e805627p-3, 0x1.d306735ebce41p-3, 0x1.bdd24da7c9fdbp-3, 0x1.aa1f7416756bfp-3, 0x1.97fe9ada50356p-3, 0x1.87793a8b8261ap-3, 0x1.78926d3436c1cp-3, 0x1.6b47c213cada6p-3, 0x1.5f9205935bdc4p-3, 0x1.5565fbe50ec4ap-3, 0x1.4cb50d785db5ap-3, 0x1.456de4edd4556p-3, 0x1.3f7cfe97a614cp-3, 0x1.3acd29ccf2a9ap-3, 0x1.3747fc8d1d338p-3, 0x1.34d63a12c5562p-3, 0x1.33602d18a05dp-3, 0x1.32cdf6aa126e7p-3, 0x1.3307d256f2e8bp-3, 0x1.33f650a224972p-3, 0x1.358288602ce88p-3, 0x1.37963fbd178b1p-3, 0x1.3a1c0dc4dca14p-3, 0x1.3cff751909bd3p-3, 0x1.402cf8ff4488cp-3, 0x1.43922d0f1a9bdp-3, 0x1.471dc0cef2a36p-3, 0x1.4abf8659e03abp-3, 0x1.4e68764c9ff72p-3, 0x1.520aaede8af52p-3, 0x1.559971e6cdc06p-3, 0x1.59091ebf93614p-3, 0x1.5c4f2cc1c296fp-3, 0x1.5f622211d6709p-3, 0x1.62398bbc58e6p-3, 0x1.64cdf29c99ae3p-3, 0x1.6718d0db83252p-3, 0x1.691485d950dd2p-3, 0x1.6abc49b63619cp-3, 0x1.6c0c20f873074p-3, 0x1.6d00cf85a1e8ep-3, 0x1.6d97ccc0c682dp-3, 0x1.6dcf36eccac39p-3, 0x1.6da5c7ce52508p-3, 0x1.6d1ac8e0bdba2p-3, 0x1.6c2e085c375b9p-3, 0x1.6adfce1dc6845p-3, 0x1.6930d128b6512p-3, 0x1.67222d486dca5p-3, 0x1.64b55932fc6a5p-3, 0x1.61ec1d0c29fbdp-3, 0x1.5ec889656d264p-3, 0x1.5b4ceeb4c718dp-3, 0x1.577bd5504b901p-3, 0x1.5357f5c863af9p-3, 0x1.4ee43207032f6p-3, 0x1.4a238e81dc038p-3, 0x1.45192c25304e3p-3, 0x1.3fc84296157e6p-3, 0x1.3a341ae47c3e7p-3, 0x1.34600a982ba5p-3, 0x1.2e4f6f3e9158ep-3, 0x1.2805aa35f30c8p-3, 0x1.21861cf2bf0bdp-3, 0x1.1ad425a12556dp-3, 0x1.13f31c0732843p-3, 0x1.0ce64ed1677ebp-3, 0x1.05b1012e1ffa3p-3, 0x1.fcacd136d6aa6p-4, 0x1.edb3563ee99abp-4, 0x1.de7bbb3d8f038p-4, 0x1.cf0c0504cb157p-4, 0x1.bf6a11191ca3dp-4, 0x1.af9b93dcb6497p-4, 0x1.9fa616d558866p-4, 0x1.8f8ef78930fafp-4, 0x1.7f5b66a22ebbp-4, 0x1.6f10670fec3a8p-4, 0x1.5eb2cdc258155p-4, 0x1.4e474178415f1p-4, 0x1.3dd23aa2e9bfdp-4, 0x1.2d5803a3cd5b5p-4, 0x1.1cdcb91f199d7p-4, 0x1.0c644a7c36012p-4, 0x1.f7e4f4ca16dd3p-5, 0x1.d715bef853ce3p-5, 0x1.b661caa6fa57fp-5, 0x1.95cf9a1b973ap-5, 0x1.75655c9f265e5p-5, 0x1.5528f102e4a9cp-5, 0x1.351fe72c9661ap-5, 0x1.154f821d47109p-5, 0x1.eb797563e8c01p-6, 0x1.acd88305bbaa8p-6, 0x1.6ec501ebd5e0fp-6, 0x1.31473fd1220f5p-6, 0x1.e8ce0ef29c16ep-7, 0x1.70574a06edd48p-7, 0x1.f26fac0f08ab9p-8, 0x1.06f8d974931c8p-8, 0x1.e61c9bd13c375p-12, -0x1.8e7f0caff65aep-9, -0x1.a9d6bc9884ad7p-8, -0x1.44a889c8ae8bep-7, -0x1.b2cea362fc2a7p-7, -0x1.0faae02b6bdeep-6, -0x1.451b5448a6515p-6, -0x1.79b56798c995p-6, -0x1.ad76242a4eb01p-6, -0x1.e05ae193e1167p-6, -0x1.0930a173c9ae2p-5, -0x1.21c3992e11e44p-5, -0x1.39e56ea410d1ap-5, -0x1.519559123a7bfp-5, -0x1.68d2af20f5c89p-5, -0x1.7f9ce4c0f2276p-5, -0x1.95f389c7e599bp-5, -0x1.abd64919a7d1ap-5, -0x1.c144e78648a27p-5, -0x1.d63f41ccee4f2p-5, -0x1.eac54b9055d8ap-5, -0x1.fed70ee61e662p-5, -0x1.093a557518426p-4, -0x1.12cf2939abbe6p-4, -0x1.1c2a255375012p-4, -0x1.254b7581b3bfcp-4, -0x1.2e334e3930becp-4, -0x1.36e1ebd055d9fp-4, -0x1.3f5791ec40576p-4, -0x1.47948b93b25d5p-4, -0x1.4f992ae1b603fp-4, -0x1.5765c861a9b88p-4, -0x1.5efac262db12ap-4, -0x1.66587ce30c64bp-4, -0x1.6d7f61924bf5dp-4, -0x1.746fdf6c220ccp-4, -0x1.7b2a6a0878edap-4, -0x1.81af79360cd4dp-4, -0x1.87ff8921af6f5p-4, -0x1.8e1b1a431aeedp-4, -0x1.9402b0d5b6e6ap-4, -0x1.99b6d44d5b029p-4, -0x1.9f380f285e1fp-4, -0x1.a486ef24885cbp-4, -0x1.a9a4051dad53p-4, -0x1.ae8fe47bd2c26p-4, -0x1.b34b22d107e69p-4, -0x1.b7d657c98af21p-4, -0x1.bc321d52ba8c2p-4, -0x1.c05f0f7c25d04p-4, -0x1.c45dcc0aea93dp-4, -0x1.c82ef20ab138fp-4, -0x1.cbd321d0f91b4p-4, -0x1.cf4afd235be41p-4, -0x1.d297271b698a7p-4, -0x1.d5b843de11b2fp-4, -0x1.d8aef83764345p-4, -0x1.db7be981b5ffap-4, -0x1.de1fbdc37cee7p-4, -0x1.e09b1bbbaad5bp-4, -0x1.e2eeaaad16392p-4, -0x1.e51b120aca87cp-4, -0x1.e720f93c6e679p-4, -0x1.e90107b28420bp-4, -0x1.eabbe4ffa7397p-4, -0x1.ec5238c5917fdp-4, -0x1.edc4aa80792fp-4, -0x1.ef13e1424e314p-4, -0x1.f040839a72ce5p-4, -0x1.f14b37a81a0f7p-4, -0x1.f234a322c7e6ep-4, -0x1.f2fd6b5b4cc13p-4, -0x1.f3a634f5b2c4cp-4, -0x1.f42fa3c3f993ap-4, -0x1.f49a5aa998934p-4, -0x1.f4e6fbb1d0ddbp-4, -0x1.f516281f8440fp-4, -0x1.f52880554eaf8p-4, -0x1.f51ea3b9a5199p-4, -0x1.f4f9308aa92b9p-4, -0x1.f4b8c3ccf5faep-4, -0x1.f45df9510dce5p-4, -0x1.f3e96bbf698bdp-4, -0x1.f35bb496ded2bp-4, -0x1.f2b56c150ddcep-4, -0x1.f1f729160a9cfp-4, -0x1.f12181014ae92p-4, -0x1.f03507c559362p-4, -0x1.ef324fde487fp-4, -0x1.ee19ea5de8c72p-4, -0x1.ecec66e7683dp-4, -0x1.ebaa53911f768p-4, -0x1.ea543cd857ca3p-4, -0x1.e8eaad93c8bp-4, -0x1.e76e2ef528dafp-4, -0x1.e5df488f13a23p-4, -0x1.e43e805977b33p-4, -0x1.e28c5aa90c5c3p-4, -0x1.e0c95a2381738p-4, -0x1.def5ffb0c5562p-4, -0x1.dd12ca769f015p-4, -0x1.db2037dad677bp-4, -0x1.d91ec38022622p-4, -0x1.d70ee75998e46p-4, -0x1.d4f11b96dc447p-4, -0x1.d2c5d6a5a4fb2p-4, -0x1.d08d8d2e3b398p-4, -0x1.ce48b203ef136p-4, -0x1.cbf7b62eefb2ap-4, -0x1.c99b08ec03369p-4, -0x1.c73317b12db1cp-4, -0x1.c4c04e3062c6cp-4, -0x1.c24316564ac21p-4, -0x1.bfbbd846c6ad6p-4, -0x1.bd2afa5a71b71p-4, -0x1.ba90e11eceef5p-4, -0x1.b7edef5853c57p-4, -0x1.b5428606548afp-4, -0x1.b28f0468447eep-4, -0x1.afd3c801927cp-4, -0x1.ad112c9acec2ep-4, -0x1.aa478c4595bb2p-4, -0x1.a7773f4f4923fp-4, -0x1.a4a09c5303285p-4, -0x1.a1c3f83828741p-4, -0x1.9ee1a62f3b71dp-4, -0x1.9bf9f7bfe9e4cp-4, -0x1.990d3ccc57666p-4, -0x1.961bc393e4d3ap-4, -0x1.9325d8b4ab3cfp-4, -0x1.902bc72d2e99dp-4, -0x1.8d2dd85f78f3ap-4, -0x1.8a2c541564da6p-4, -0x1.87278085d774ap-4, -0x1.841fa25a97d52p-4, -0x1.8114fcb601e6dp-4, -0x1.7e07d137a9312p-4, -0x1.7af85fff6b374p-4, -0x1.77e6e7b05e20bp-4, -0x1.74d3a57443accp-4, -0x1.71bed503a4325p-4, -0x1.6ea8b0a4c30bfp-4, -0x1.6b91713a8737fp-4, -0x1.68794e3cf938fp-4, -0x1.65607dcbd9c5ap-4, -0x1.624734aa76a48p-4, -0x1.5f2da6480bdcbp-4, -0x1.5c1404c08756p-4, -0x1.58fa80e595bd1p-4, -0x1.55e14a427c8dfp-4, -0x1.52c88f217d218p-4, -0x1.4fb07c90941efp-4, -0x1.4c993e6611588p-4, -0x1.4982ff457444p-4, -0x1.466de8a49851ep-4, -0x1.435a22d0e7999p-4, -0x1.4047d4f487e46p-4, -0x1.3d37251b8b6a9p-4, -0x1.3a28383917894p-4, -0x1.371b322c2406ap-4, -0x1.341035c3be7dfp-4, -0x1.310764c32df2bp-4, -0x1.2e00dfe670fe6p-4, -0x1.2afcc6e75592p-4, -0x1.27fb3882d1a27p-4, -0x1.24fc527e151b9p-4, -0x1.220031ac4949dp-4, -0x1.1f06f1f2e9e88p-4, -0x1.1c10ae4a8c47p-4, -0x1.191d80c7063e4p-4, -0x1.162d829e308f5p-4, -0x1.1340cc2265c0dp-4, -0x1.105774ce5b5d7p-4, -0x1.0d719347ea43p-4, -0x1.0a8f3d64de164p-4, -0x1.07b0882fc489cp-4, -0x1.04d587ec29ecep-4, -0x1.01fe501a69e3dp-4, -0x1.fe55e6f681941p-5, -0x1.f8b708269485ap-5, -0x1.f320265d08b7cp-5, -0x1.ed9162c7f4313p-5, -0x1.e80add3352e65p-5, -0x1.e28cb4115ca7cp-5, -0x1.dd1704843926ap-5, -0x1.d7a9ea606da9dp-5, -0x1.d245804031bc9p-5, -0x1.cce9df7e51444p-5, -0x1.c797204209441p-5, -0x1.c24d5983d317ep-5, -0x1.bd0ca113627e4p-5, -0x1.b7d50b9de7e43p-5, -0x1.b2a6acb4a0cd1p-5, -0x1.ad8196d3818fbp-5, -0x1.a865db69a0612p-5, -0x1.a3538ae04736fp-5, -0x1.9e4ab49af47bcp-5, -0x1.994b67063c1e2p-5, -0x1.9455af9edf148p-5, -0x1.8f699aea87de4p-5, -0x1.8a87348658e4bp-5, -0x1.85ae8729d554ep-5, -0x1.80df9cabad698p-5, -0x1.7c1a7e077940cp-5, -0x1.775f33637f4eap-5, -0x1.72adc416790dap-5, -0x1.6e0636ad2c0d8p-5, -0x1.696890efbcfe5p-5, -0x1.64d4d7e69879ap-5, -0x1.604b0fdef9a18p-5, -0x1.5bcb3c6f0cd34p-5, -0x1.57556079f5801p-5, -0x1.52e97e33e3daep-5, -0x1.4e8797265bc8bp-5, -0x1.4a2fac34b2b38p-5, -0x1.45e1bda0aecaap-5, -0x1.419dcb0f2da66p-5, -0x1.3d63d38caa8cfp-5, -0x1.3933d59194dd7p-5, -0x1.350dcf06596ddp-5, -0x1.30f1bd472a1c4p-5, -0x1.2cdf9d2786c0fp-5, -0x1.28d76af59753p-5, -0x1.24d9227d79be4p-5, -0x1.20e4bf0c8a709p-5, -0x1.1cfa3b74b2898p-5, -0x1.1919921120154p-5, -0x1.1542bcc9667e8p-5, -0x1.1175b5115d7bap-5, -0x1.0db273f2528a6p-5, -0x1.09f8f20f822ffp-5, -0x1.064927a15421dp-5, -0x1.02a30c7e7acf1p-5, -0x1.fe0d303b4141ap-6, -0x1.f6e7832f5f5e3p-6, -0x1.efd4ff5562ebap-6, -0x1.e8d59175eede6p-6, -0x1.e1e925b764e7dp-6, -0x1.db0fa78eabbc9p-6, -0x1.d44901d86dbf1p-6, -0x1.cd951ed54e9cap-6, -0x1.c6f3e83164a17p-6, -0x1.c0654709a2fbdp-6, -0x1.b9e923f0fb851p-6, -0x1.b37f66f53e651p-6, -0x1.ad27f7a3b2a2bp-6, -0x1.a6e2bd0d79edfp-6, -0x1.a0af9dcbd5735p-6, -0x1.9a8e80046021bp-6, -0x1.947f496d52153p-6, -0x1.8e81df51b53bap-6, -0x1.88962695cbef5p-6, -0x1.82bc03bb60585p-6, -0x1.7cf35ae61b8c4p-6, -0x1.773c0fdfd6581p-6, -0x1.7196061cbae4ap-6, -0x1.6c0120bf45fc6p-6, -0x1.667d429c15a6cp-6, -0x1.610a4e3d7d5bep-6, -0x1.5ba825e70196ap-6, -0x1.5656ab9899b39p-6, -0x1.5115c111cd37ep-6, -0x1.4be547d5907fdp-6, -0x1.46c5212f8ea3ap-6, -0x1.41b52e2da66e9p-6, -0x1.3cb54fb13fd29p-6, -0x1.37c5666b904d3p-6, -0x1.32e552df985f8p-6, -0x1.2e14f5667728bp-6, -0x1.29542e341542dp-6, -0x1.24a2dd58d63b7p-6, -0x1.2000e2c4805f8p-6, -0x1.1b6e1e48e5e72p-6, -0x1.16ea6f9c79047p-6, -0x1.1275b65cc69d6p-6, -0x1.0e0fd210f5f2fp-6, -0x1.09b8a22c52d5cp-6, -0x1.05700610d88fap-6, -0x1.0135dd11ccfbbp-6, -0x1.fa140cecaa944p-7, -0x1.f1d8c2f7e2db3p-7, -0x1.e9b99ab1b3f75p-7, -0x1.e1b6527c44787p-7, -0x1.d9cea8b3724d7p-7, -0x1.d2025bb0685fap-7, -0x1.ca5129cd0f974p-7, -0x1.c2bad16782b05p-7, -0x1.bb3f10e5ba5adp-7, -0x1.b3dda6b997a6ap-7, -0x1.ac9651656e812p-7, -0x1.a568cf80b632fp-7, -0x1.9e54dfbd236b4p-7, -0x1.975a40eb7bec8p-7, -0x1.9078b20efffd4p-7, -0x1.89aff211e9855p-7, -0x1.82ffc0662778fp-7, -0x1.7c67dc68cea03p-7, -0x1.75e805b009f15p-7, -0x1.6f7ffbfd09181p-7, -0x1.692f7f3c75456p-7, -0x1.62f64f887448ep-7, -0x1.5cd42d2beb238p-7, -0x1.56c8d8a7997b6p-7, -0x1.50d412b9bf44p-7, -0x1.4af59c623adep-7, -0x1.452d36eb513b8p-7, -0x1.3f7aa3ee636e3p-7, -0x1.39dda55aaea17p-7, -0x1.3455fd6ef5f62p-7, -0x1.2ee36ebc15716p-7, -0x1.2985bc1f24e1cp-7, -0x1.243ca8bba76e4p-7, -0x1.1f07f7f635bb5p-7, -0x1.19e76d71740f3p-7, -0x1.14dacd0e3389p-7, -0x1.0fe1daeff9f23p-7, -0x1.0afc5b85c9761p-7, -0x1.062a139628643p-7, -0x1.016ac84cf8f59p-7, -0x1.f97c7e9117ca4p-8, -0x1.f0487d4764a73p-8, -0x1.e73919f5a3421p-8, -0x1.de4de2d4ba0aap-8, -0x1.d586670da4a05p-8, -0x1.cce2369e3ac8ap-8, -0x1.c460e23754213p-8, -0x1.bc01fb1a5b6cbp-8, -0x1.b3c512fd949eap-8, -0x1.aba9bbfca12p-8, -0x1.a3af889a4d6ep-8, -0x1.9bd60bd5326a9p-8, -0x1.941cd94d39d99p-8, -0x1.8c83857565504p-8, -0x1.8509a5ca24b38p-8, -0x1.7daed10370786p-8, -0x1.76729f392a858p-8, -0x1.6f54a9f34a225p-8, -0x1.68548c2067d7ep-8, -0x1.6171e1f39e255p-8, -0x1.5aac48acb4336p-8, -0x1.54035e538f955p-8, -0x1.4d76c17151dffp-8, -0x1.470610d363b07p-8, -0x1.40b0eb637ebf5p-8, -0x1.3a76f01d0932ep-8, -0x1.3457be239d0b4p-8, -0x1.2e52f4f9b59a8p-8, -0x1.286834d04a4e9p-8, -0x1.22971ee1c445ap-8, -0x1.1cdf55d56795ap-8, -0x1.17407e0a1f7ap-8, -0x1.11ba3dc8ed95fp-8, -0x1.0c4c3d4abd351p-8, -0x1.06f626a4677dp-8, -0x1.01b7a574f6dbap-8, -0x1.f920cce5bd75ap-9, -0x1.ef002e54802a8p-9, -0x1.e50cca16b5a25p-9, -0x1.db45fb01558dap-9, -0x1.d1ab1ac6e01dep-9, -0x1.c83b81f71b97cp-9, -0x1.bef68841a4d22p-9, -0x1.b5db8522d2e62p-9, -0x1.ace9d0e429d84p-9, -0x1.a420c5d0c7b42p-9, -0x1.9b7fc17382943p-9, -0x1.930625b344409p-9, -0x1.8ab359a280024p-9, -0x1.8286c9dff46f2p-9, -0x1.7a7fe873bf354p-9, -0x1.729e2c24ebfa1p-9, -0x1.6ae10f570a5edp-9, -0x1.63480e9162c72p-9, -0x1.5bd2a6e011743p-9, -0x1.54805446d70fep-9, -0x1.4d50907cd4131p-9, -0x1.4642d21fb28bap-9, -0x1.3f568c7d4f9ecp-9, -0x1.388b2ffe791f7p-9, -0x1.31e02b282ae1cp-9, -0x1.2b54ec1722153p-9, -0x1.24e8e248a77c1p-9, -0x1.1e9b807c19133p-9, -0x1.186c3e735e247p-9, -0x1.125a9a5ba3d6ep-9, -0x1.0c6619af083b6p-9, -0x1.068e496de6862p-9, -0x1.00d2bda0c2e23p-9, -0x1.f66620550be57p-10, -0x1.eb5dbe13bda0ep-10, -0x1.e08b947abba21p-10, -0x1.d5eee3193d371p-10, -0x1.cb86e4fb8fbep-10, -0x1.c152cd7242defp-10, -0x1.b751c61b37239p-10, -0x1.ad82ee6444b0ep-10, -0x1.a3e55c8e35e5p-10, -0x1.9a781ff18cacbp-10, -0x1.913a445c2852p-10, -0x1.882ad65b3b049p-10, -0x1.7f48e6e83a81fp-10, -0x1.76938f6cf7921p-10, -0x1.6e09f569cd4d9p-10, -0x1.65ab4c7c0c913p-10, -0x1.5d76d78763986p-10, -0x1.556be882b3451p-10, -0x1.4d89dee1d2003p-10, -0x1.45d024cb9c64dp-10, -0x1.3e3e2b688cae6p-10, -0x1.36d366b7de6c9p-10, -0x1.2f8f496e869b1p-10, -0x1.2871416508536p-10, -0x1.2178b5081b954p-10, -0x1.1aa50217c83d7p-10, -0x1.13f57dce28942p-10, -0x1.0d69764dcdc51p-10, -0x1.0700350a6d0dfp-10, -0x1.00b901bfc4067p-10, -0x1.f5264b116a0bdp-11, -0x1.e91bdb6eabebep-11, -0x1.dd515c5db750fp-11, -0x1.d1c584a87f6acp-11, -0x1.c67723e718b13p-11, -0x1.bb6513e179b93p-11, -0x1.b08e4788005edp-11, -0x1.a5f1c130b7d1fp-11, -0x1.9b8e912669926p-11, -0x1.9163d15ef55d6p-11, -0x1.8770a060c02f8p-11, -0x1.7db41bd5ca265p-11, -0x1.742d5b82c6e5ap-11, -0x1.6adb6d7761b7ap-11, -0x1.61bd543b9423bp-11, -0x1.58d207796202bp-11, -0x1.50187729808dap-11, -0x1.478f90b811fd1p-11, -0x1.3f364516c15acp-11, -0x1.370b8e6fea5f8p-11, -0x1.2f0e744cb10bp-11, -0x1.273e0d793069ep-11, -0x1.1f997fa0dc7fbp-11, -0x1.181ffd412c767p-11, -0x1.10d0c2ecd1808p-11, -0x1.09ab14d5288cep-11, -0x1.02ae3d2b024b1p-11, -0x1.f7b316bb2052cp-12, -0x1.ea58a77499fep-12, -0x1.dd4bdd678ebf9p-12, -0x1.d08b6e4e5a4e6p-12, -0x1.c4160ebeaae4dp-12, -0x1.b7ea69e4b9a0cp-12, -0x1.ac0718c74917dp-12, -0x1.a06a9eda04ea9p-12, -0x1.95136427071fbp-12, -0x1.89ffba88b4967p-12, -0x1.7f2de9906cdfdp-12, -0x1.749c3b572180ap-12, -0x1.6a490c797f831p-12, -0x1.6032d9924c42ap-12, -0x1.565846767db04p-12, -0x1.4cb81d7d7544fp-12, -0x1.43514742851f3p-12, -0x1.3a22bdbe87d68p-12, -0x1.312b7f239c4d9p-12, -0x1.286a84e269ca6p-12, -0x1.1fdec19fe3e7ap-12, -0x1.1787263089d0bp-12, -0x1.0f62ab0de03a3p-12, -0x1.07705a0b0cf8dp-12, -0x1.ff5ea7ef08b1dp-13, -0x1.f03d9ebb668a3p-13, -0x1.e17c2021e7c66p-13, -0x1.d318b3b8ff5e6p-13, -0x1.c511c4d792b48p-13, -0x1.b7658d8a4eb08p-13, -0x1.aa120eea9ae34p-13, -0x1.9d1518cbb885p-13, -0x1.906c5e5e08ccp-13, -0x1.8415926226dc7p-13, -0x1.780e842b695bep-13, -0x1.6c5536d2112efp-13, -0x1.60e7ece3b090bp-13, -0x1.55c524de16e61p-13, -0x1.4aeb85f8032dap-13, -0x1.4059c130e7ff4p-13, -0x1.360e6f4683cp-13, -0x1.2c07f6b06097bp-13, -0x1.224483768ea56p-13, -0x1.18c2153054de3p-13, -0x1.0f7ea01715e8dp-13, -0x1.067834842c3e3p-13, -0x1.fb5a4b243247cp-14, -0x1.ea3836f8d11e1p-14, -0x1.d9881cbda886cp-14, -0x1.c9485ba509edcp-14, -0x1.b977759e669d3p-14, -0x1.aa13c67c7f4e5p-14, -0x1.9b1b56c5c30cap-14, -0x1.8c8bd6581b8edp-14, -0x1.7e62ba2083c81p-14, -0x1.709d6bd90c79cp-14, -0x1.63397810a3c81p-14, -0x1.5634acee0136cp-14, -0x1.498d2573e5294p-14, -0x1.3d4143cfcd528p-14, -0x1.314f9f468e784p-14, -0x1.25b6e91d81fadp-14, -0x1.1a75c5784678p-14, -0x1.0f8ab393c0877p-14, -0x1.04f3dc76f6af6p-14, -0x1.f55dfa4d4af25p-15, -0x1.e172cf9cf31ebp-15, -0x1.ce2046fe10843p-15, -0x1.bb603e906a34bp-15, -0x1.a92cf6335203cp-15, -0x1.97818a062231bp-15, -0x1.865a31fee3a4p-15, -0x1.75b4325d0abf2p-15, -0x1.658d826befdccp-15, -0x1.55e445daba76dp-15, -0x1.46b6451a8cb48p-15, -0x1.380094e2ad95bp-15, -0x1.29bf8c6a38382p-15, -0x1.1bef08aa075ep-15, -0x1.0e8adbde1f92ep-15, -0x1.018f3e25edcdcp-15, -0x1.e9f24015569a3p-16, -0x1.d18ca1adb3cf6p-16, -0x1.b9eae79383571p-16, -0x1.a30b87bd6ff13p-16, -0x1.8ced6469549ccp-16, -0x1.778efb4ad3c1ap-16, -0x1.62edd3658d343p-16, -0x1.4f06548f01627p-16, -0x1.3bd3f5407b9b2p-16, -0x1.295180dd47717p-16, -0x1.177943747730ap-16, -0x1.06451adeffddcp-16, -0x1.eb5d341320f47p-17, -0x1.cb5ecd64fb43fp-17, -0x1.ac83871c4795ap-17, -0x1.8ec2043b44f14p-17, -0x1.721336cffcf3dp-17, -0x1.5671df4cb29d8p-17, -0x1.3bd9cb240b29ap-17, -0x1.224730604822fp-17, -0x1.09b6220f2e8bp-17, -0x1.e443e71a9fedep-18, -0x1.b70920111477ap-18, -0x1.8babee4380ea3p-18, -0x1.62182e1c70648p-18, -0x1.3a367f281f4c9p-18, -0x1.13eeb71946733p-18, -0x1.de56dd230c9bcp-19, -0x1.97ba0ce36fafep-19, -0x1.53f489a49fab3p-19, -0x1.12fc2e41bb06fp-19, -0x1.a9900b5f95d47p-20, -0x1.32960a2c57e87p-20, -0x1.81d4c51616a86p-21, -0x1.51580b7756d78p-22, 0x1.3410c1a7725afp-24, 0x1.d7fcfd872f619p-22, 0x1.a7f960ccf1b1fp-21, 0x1.2d4d9b003b533p-20, 0x1.8208ca676ad76p-20, 0x1.d24dc97b7064ep-20, 0x1.0f2192a9aec67p-19, 0x1.33090ed9ab512p-19, 0x1.54f22c2396adep-19, 0x1.74f0d397872cap-19, 0x1.93194a8594f87p-19, 0x1.af816f450b656p-19, 0x1.ca3bd677220a6p-19, 0x1.e3518049acf85p-19, 0x1.fac02571baa49p-19, 0x1.08402f34d536bp-18, 0x1.124838d6eea52p-18, 0x1.1b7e59bd7109dp-18, 0x1.23efbe3214f8ap-18, 0x1.2bac1a8c7a77ap-18, 0x1.32bfe0e3af57ep-18, 0x1.393183966e967p-18, 0x1.3f037a4cd2aa6p-18, 0x1.44389e539b8d1p-18, 0x1.48d724ec098e1p-18, 0x1.4ce8b510014f4p-18, 0x1.5078a6571df45p-18, 0x1.539207be50e46p-18, 0x1.563e34b017e8p-18, 0x1.5883f6fd5e174p-18, 0x1.5a670da2889a8p-18, 0x1.5be823378ba4bp-18, 0x1.5d056479c1899p-18, 0x1.5dbbd14330c6dp-18, 0x1.5e091597472f7p-18, 0x1.5ded4bf3f2e18p-18, 0x1.5d6bbeaf69be3p-18, 0x1.5c8a19dd39411p-18, 0x1.5b4ec8506fe7dp-18, 0x1.59c04f9a58957p-18, 0x1.57e65a704019p-18, 0x1.55ca1961c8199p-18, 0x1.53732481653ebp-18, 0x1.50e2a900bf8e6p-18, 0x1.4e12afc526127p-18, 0x1.4afbdd3dba702p-18, 0x1.479cf358d7727p-18, 0x1.43fd5a4759d32p-18, 0x1.40289db23dcc8p-18, 0x1.3c2726a3fbd89p-18, 0x1.37faca7605a04p-18, 0x1.33a178889569fp-18, 0x1.2f19ff07741c1p-18, 0x1.2a661f5f93183p-18, 0x1.25898217b858bp-18, 0x1.2087f01740f3bp-18, 0x1.1b647cbdb5ab3p-18, 0x1.1621b1ee2f531p-18, 0x1.10c226bceceep-18, 0x1.0b48fc90db581p-18, 0x1.05b9f957367e5p-18, 0x1.001926ea49b6cp-18, 0x1.f4d4231b4cf98p-19, 0x1.e95de5027044dp-19, 0x1.ddd06290e63bap-19, 0x1.d2292288c416p-19, 0x1.c6649a71010c7p-19, 0x1.ba80fda2639e5p-19, 0x1.ae7f53e209418p-19, 0x1.a260b48322e2cp-19, 0x1.962e1314f927bp-19, 0x1.89ea0f25bae28p-19, 0x1.7d99ada79c676p-19, 0x1.714489d1a1332p-19, 0x1.64f17c0775e92p-19, 0x1.589fa75712fa6p-19, 0x1.4c46a19a71f85p-19, 0x1.3fe0ab00e4b48p-19, 0x1.3373027f25f68p-19, 0x1.270a138242847p-19, 0x1.1aae3b062bd6bp-19, 0x1.0e5ea656e55fap-19, 0x1.0216ff524a2c5p-19, 0x1.ebace149d5c6bp-20, 0x1.d34067d4fc929p-20, 0x1.baf0cc8bc2208p-20, 0x1.a2c3d56ed223p-20, 0x1.8abc6d91a4cf3p-20, 0x1.72dbc856b4663p-20, 0x1.5b226936b10b9p-20, 0x1.4390b14abda14p-20, 0x1.2c271eb389299p-20, 0x1.14e67894c9e71p-20, 0x1.fba0130a5b285p-21, 0x1.cdcbd6a2b8829p-21, 0x1.a05695fc43f8p-21, 0x1.7348f1b6a2ef7p-21, 0x1.46ad19869b40ap-21, 0x1.1a8ce99a4e0f1p-21, 0x1.ddde654b93051p-22, 0x1.87ab4e0b584a2p-22, 0x1.327af3971e861p-22, 0x1.bc8acb121a03bp-23, 0x1.160ff8e0283abp-23, 0x1.c63389d58ae74p-25, -0x1.87a6b21dad407p-26, -0x1.a2dffc64515fcp-24, -0x1.6fd7d7d501a3fp-23, -0x1.06092552a3e88p-22, -0x1.530bce35f47ap-22, -0x1.9effeca64acccp-22, -0x1.e9e75eb8f640fp-22, -0x1.19d61bc6a079dp-21, -0x1.3e1e8a2d06f9cp-21, -0x1.61d163567e075p-21, -0x1.84f616afffb16p-21, -0x1.a78caacce8952p-21, -0x1.c990a55ca51a9p-21, -0x1.eafe99e3d8925p-21, -0x1.05eab2f701a57p-20, -0x1.160a94daf7678p-20, -0x1.25df2ba4f2954p-20, -0x1.3568a6c2e9468p-20, -0x1.44a722945a57cp-20, -0x1.539aad3dd8d13p-20, -0x1.62434ebbd4554p-20, -0x1.70a112f6e76eep-20, -0x1.7eb41f5cb1f56p-20, -0x1.8c7cd891de4f4p-20, -0x1.99fa00cd67948p-20, -0x1.a72d7bb4e77d5p-20, -0x1.b4184995a95dcp-20, -0x1.c0b8937c46422p-20, -0x1.cd0f415e9abccp-20, -0x1.d91c67b0160d6p-20, -0x1.e4dfcdbe2d27ep-20, -0x1.f059895ad2066p-20, -0x1.fb89d6df6d756p-20, -0x1.033954ea22d9p-19, -0x1.0889d1d4bfb25p-19, -0x1.0db6cff83d021p-19, -0x1.12c0512b8c5c5p-19, -0x1.17a656b66b4f7p-19, -0x1.1c68ef006038ap-19, -0x1.21087c835eff9p-19, -0x1.25858cc023d5bp-19, -0x1.29e03a16769d7p-19, -0x1.2e18bf11367cdp-19, -0x1.322fcc05460a6p-19, -0x1.362591566f964p-19, -0x1.39f9f3d802779p-19, -0x1.3dad4d307e71ap-19, -0x1.4140286e19e1dp-19, -0x1.44b2eab909b6bp-19, -0x1.4805da8ef2ed1p-19, -0x1.4b3939057c817p-19, -0x1.4e4d4c4b3871cp-19, -0x1.514260a307d19p-19, -0x1.5418c6c4f5e88p-19, -0x1.56d0d244dbaaep-19, -0x1.596ad872818efp-19, -0x1.5be72f9265c3p-19, -0x1.5e462e50a5743p-19, -0x1.60882b62c488bp-19, -0x1.62ad7d943a3dap-19, -0x1.64b67c4ee0e8dp-19, -0x1.66a3804fc046bp-19, -0x1.6874e3b363546p-19, -0x1.6a2b007ee0a4bp-19, -0x1.6bc62d858d9c4p-19, -0x1.6d46bb021d662p-19, -0x1.6eacf05a2f684p-19, -0x1.6ff90b4e5d6b2p-19, -0x1.712b469e14992p-19, -0x1.7243fc74eeba9p-19, -0x1.7343db038d314p-19, -0x1.742bbf5546f7ap-19, -0x1.74fc1545aa56dp-19, -0x1.75b4c65c26b1cp-19, -0x1.76561e305b8a1p-19, -0x1.76e0ee6f2a062p-19, -0x1.775536a3f1843p-19, -0x1.77b200804ada1p-19, -0x1.77f7b4ebf625ap-19, -0x1.782808f3926a8p-19, -0x1.7843d706d5848p-19, -0x1.784b66a35b4f4p-19, -0x1.783e42b7db76ap-19, -0x1.781c7cb3f3d8bp-19, -0x1.77e6db49e933fp-19, -0x1.779debbddb219p-19, -0x1.77421514b3e18p-19, -0x1.76d3148bb6b77p-19, -0x1.7651777a9541ep-19, -0x1.75be72c1fa229p-19, -0x1.75191e7e8fe5bp-19, -0x1.74623aa7e7367p-19, -0x1.739a372efc57bp-19, -0x1.72c15c57a905p-19, -0x1.71d7fbd440fbep-19, }}, 
      {{-0x1.c7a6d48b3acb6p-2, -0x1.1bef5c6cdc996p-2, -0x1.04db999edf392p-3, -0x1.8fc0286064e09p-6, 0x1.f36cdc1942ee5p-6, 0x1.814c81b356c2dp-5, 0x1.33c6006ba27e2p-5, 0x1.b18079a10dfecp-7, -0x1.1c4e637990f14p-6, -0x1.8acfb933a373p-5, -0x1.35bc012007cfcp-4, -0x1.90587912b6b4ep-4, -0x1.d2ccda45169f4p-4, -0x1.fe2891d56424ep-4, -0x1.0ac934bce03e5p-3, -0x1.0e9df2aa472f6p-3, -0x1.0cd20eca03951p-3, -0x1.078d69422e3fep-3, -0x1.00ba70cda3793p-3, -0x1.f3e5077dda856p-4, -0x1.e8ee2b4efe7p-4, -0x1.e266b949b23c6p-4, -0x1.e186a4a48fe0cp-4, -0x1.e6fb61096fd03p-4, -0x1.f2fe7ea1ac592p-4, -0x1.02b64ef47a53ap-3, -0x1.0eed9e1d7146cp-3, -0x1.1dd6399c4e2acp-3, -0x1.2f1019be61ebbp-3, -0x1.423167e5475e1p-3, -0x1.56cc70bf014ccp-3, -0x1.6c745873b4daap-3, -0x1.82c0afa23028ap-3, -0x1.99500d89ed842p-3, -0x1.afc9d575ef291p-3, -0x1.c5df4c011d7fbp-3, -0x1.db4c1e136003bp-3, -0x1.efd6786054c89p-3, -0x1.01a7652e4b3d8p-2, -0x1.0ac7a5a9f6818p-2, -0x1.133daa2439412p-2, -0x1.1aff4efab74c7p-2, -0x1.220637b3c161p-2, -0x1.284f637505fc8p-2, -0x1.2ddac24d421cdp-2, -0x1.32aacdee1f1e9p-2, -0x1.36c427a1e5372p-2, -0x1.3a2d3ca55c688p-2, -0x1.3cedf1961b7cep-2, -0x1.3f0f55492bc84p-2, -0x1.409b5b1a24c4ep-2, -0x1.419c9c93eb408p-2, -0x1.421e2231e88c4p-2, -0x1.422b32e32155ap-2, -0x1.41cf29e77fb4cp-2, -0x1.41155292f94e3p-2, -0x1.4008c979283bdp-2, -0x1.3eb46289b9568p-2, -0x1.3d2293a803e5dp-2, -0x1.3b5d635f5b166p-2, -0x1.396e5b4a81105p-2, -0x1.375e7dd4c70bep-2, -0x1.35363edb12675p-2, -0x1.32fd7ec691e1ap-2, -0x1.30bb87d2454e2p-2, -0x1.2e770d03b4328p-2, -0x1.2c362b1f5e80bp-2, -0x1.29fe6a9faeb83p-2, -0x1.27d4c3a2c5f8ep-2, -0x1.25bda2107e7dep-2, -0x1.23bceb5b15ec6p-2, -0x1.21d603ce67c51p-2, -0x1.200bd53cc7297p-2, -0x1.1e60d4e9b724ap-2, -0x1.1cd70a9ed52a7p-2, -0x1.1b7017529fb65p-2, -0x1.1a2d3c3b6f5f7p-2, -0x1.190f61e74203fp-2, -0x1.18171f05aca59p-2, -0x1.1744bf5a8515cp-2, -0x1.169849ff89ad8p-2, -0x1.161187d2c9ef1p-2, -0x1.15b0093457867p-2, -0x1.15732bd30d37bp-2, -0x1.155a1ffa6cfd8p-2, -0x1.1563edcbcee8p-2, -0x1.158f7a1d0b1e1p-2, -0x1.15db8b27300abp-2, -0x1.1646cce5d287p-2, -0x1.16cfd53897f67p-2, -0x1.177527b84a001p-2, -0x1.18353948312e1p-2, -0x1.190e73627f837p-2, -0x1.19ff371b651ffp-2, -0x1.1b05dff5107cbp-2, -0x1.1c20c65fc8cbep-2, -0x1.1d4e4213b44e6p-2, -0x1.1e8cac29c7fe2p-2, -0x1.1fda61028eaf2p-2, -0x1.2135c1fe51a7p-2, -0x1.229d370201d44p-2, -0x1.240f2fcf768b3p-2, -0x1.258a253989d9p-2, -0x1.270c9a23c3cdap-2, -0x1.28951c6919163p-2, -0x1.2a224596c8195p-2, -0x1.2bb2bb85a3db3p-2, -0x1.2d4530dd154b1p-2, -0x1.2ed865724329bp-2, -0x1.306b268cc876cp-2, -0x1.31fc4f1e457b6p-2, -0x1.338ac7db359afp-2, -0x1.3515874065066p-2, -0x1.369b9192864d1p-2, -0x1.381bf8c2f29f3p-2, -0x1.3995dc4729d94p-2, -0x1.3b0868f17b6dep-2, -0x1.3c72d8afa21cfp-2, -0x1.3dd472457b827p-2, -0x1.3f2c89066828bp-2, -0x1.407a7c7fe1c39p-2, -0x1.41bdb820bbc3p-2, -0x1.42f5b2db43846p-2, -0x1.4421eec988088p-2, -0x1.4541f8c8bb78cp-2, -0x1.4655680cece78p-2, -0x1.475bddc46a014p-2, -0x1.485504b0b3912p-2, -0x1.494090b3f5ecbp-2, -0x1.4a1e3e73b501dp-2, -0x1.4aedd2f689b5bp-2, -0x1.4baf1b345991p-2, -0x1.4c61ebb8219eap-2, -0x1.4d06204369b4cp-2, -0x1.4d9b9b68a8a62p-2, -0x1.4e224630cbb4dp-2, -0x1.4e9a0fc27aa8fp-2, -0x1.4f02ed06aeb09p-2, -0x1.4f5cd858c4e71p-2, -0x1.4fa7d1353d54cp-2, -0x1.4fe3dbe34ccd3p-2, -0x1.5011012e3191cp-2, -0x1.502f4e246654p-2, -0x1.503ed3c76b4a2p-2, -0x1.503fa6c6b2146p-2, -0x1.5031df4b67a24p-2, -0x1.501598bc6d6c9p-2, -0x1.4feaf17876348p-2, -0x1.4fb20aa34efbp-2, -0x1.4f6b07fbc3d4dp-2, -0x1.4f160fa4c8082p-2, -0x1.4eb349ee9e9afp-2, -0x1.4e42e131dc737p-2, -0x1.4dc501aa1d80ep-2, -0x1.4d39d94793ef3p-2, -0x1.4ca19785f62e8p-2, -0x1.4bfc6d52035c6p-2, -0x1.4b4a8ce7da2c7p-2, -0x1.4a8c29ac2f6fdp-2, -0x1.49c1780f09219p-2, -0x1.48eaad77ffba1p-2, -0x1.4808002f1ae4dp-2, -0x1.4719a7324cc6dp-2, -0x1.461fda27c2f35p-2, -0x1.451ad14e95902p-2, -0x1.440ac56bcb7e1p-2, -0x1.42efefac41691p-2, -0x1.41ca899176f6ep-2, -0x1.409acce911436p-2, -0x1.3f60f3c570ae5p-2, -0x1.3e1d38643e07ap-2, -0x1.3ccfd51957ea8p-2, -0x1.3b790447f77b2p-2, -0x1.3a1900615a3b4p-2, -0x1.38b003d667087p-2, -0x1.373e490255f9fp-2, -0x1.35c40a1ffe983p-2, -0x1.344181493440fp-2, -0x1.32b6e873bfa8cp-2, -0x1.31247962e18abp-2, -0x1.2f8a6d970bf2ep-2, -0x1.2de8fe49e493ep-2, -0x1.2c40646edf25dp-2, -0x1.2a90d8af79c9dp-2, -0x1.28da935ef4ep-2, -0x1.271dcc6dfc5a3p-2, -0x1.255abb689e90fp-2, -0x1.239197789e705p-2, -0x1.21c297621b9c1p-2, -0x1.1fedf1788369bp-2, -0x1.1e13db964ac72p-2, -0x1.1c348b1a34b2fp-2, -0x1.1a5034e99c7edp-2, -0x1.18670d70398ecp-2, -0x1.16794896ef45cp-2, -0x1.148719bc164cep-2, -0x1.1290b3b0d908ep-2, -0x1.109648bb3074dp-2, -0x1.0e980a968e569p-2, -0x1.0c962a6f4301fp-2, -0x1.0a90d8db0c1d3p-2, -0x1.088845d59edc7p-2, -0x1.067ca0c071085p-2, -0x1.046e1864d5828p-2, -0x1.025cdaf385167p-2, -0x1.004915ff390bdp-2, -0x1.fc65ecef997dp-3, -0x1.f8355150cb6b7p-3, -0x1.f400b07030413p-3, -0x1.efc8605ca78bdp-3, -0x1.eb8cb5d8529a4p-3, -0x1.e74e045bcd8fdp-3, -0x1.e30c9e0953034p-3, -0x1.dec8d3ad75981p-3, -0x1.da82f4bfea4d7p-3, -0x1.d63b4f661df61p-3, -0x1.d1f23074620b7p-3, -0x1.cda7e36736cd5p-3, -0x1.c95cb25f0dd1dp-3, -0x1.c510e61ebaad8p-3, -0x1.c0c4c60d46e74p-3, -0x1.bc789838df659p-3, -0x1.b82ca1580061p-3, -0x1.b3e124c78e165p-3, -0x1.af966487d6a2ep-3, -0x1.ab4ca13af3b8dp-3, -0x1.a7041a263a4c3p-3, -0x1.a2bd0d355cc74p-3, -0x1.9e77b6fc90cbcp-3, -0x1.9a3452b8cb039p-3, -0x1.95f31a50b2c6fp-3, -0x1.91b446525d926p-3, -0x1.8d780df4b96c3p-3, -0x1.893ea719b70c6p-3, -0x1.850846519020cp-3, -0x1.80d51edd12e18p-3, -0x1.7ca562afee865p-3, -0x1.78794270a0cddp-3, -0x1.7450ed7a17cdep-3, -0x1.702c91dd3338ap-3, -0x1.6c0c5c61e31dp-3, -0x1.67f0789337548p-3, -0x1.63d910b16c4c8p-3, -0x1.5fc64dc5e0accp-3, -0x1.5bb8579c67617p-3, -0x1.57af54c5ddf3dp-3, -0x1.53ab6a9d3b531p-3, -0x1.4facbd48c10dbp-3, -0x1.4bb36fbe2c714p-3, -0x1.47bfa3c6657b3p-3, -0x1.43d17a00f9e43p-3, -0x1.3fe911e7500abp-3, -0x1.3c0689cf7f441p-3, -0x1.3829feef68637p-3, -0x1.34538d601905ap-3, -0x1.30835021753aap-3, -0x1.2cb9611e32fd6p-3, -0x1.28f5d92fe1fbdp-3, -0x1.2538d022fa688p-3, -0x1.21825cba823e6p-3, -0x1.1dd294b27ce5cp-3, -0x1.1a298cc696866p-3, -0x1.168758b22f76ap-3, -0x1.12ec0b35720e6p-3, -0x1.0f57b61b5d00dp-3, -0x1.0bca6a3c34c41p-3, -0x1.0844378221c25p-3, -0x1.04c52ced31194p-3, -0x1.014d589708d17p-3, -0x1.fbb98f6d70795p-4, -0x1.f4e70d4976af6p-4, -0x1.ee2341be50cacp-4, -0x1.e76e421be0046p-4, -0x1.e0c8220e2c5d2p-4, -0x1.da30f3a59ae18p-4, -0x1.d3a8c75edbcd7p-4, -0x1.cd2fac2aa92fbp-4, -0x1.c6c5af75afc67p-4, -0x1.c06add3454899p-4, -0x1.ba1f3fd8c85b2p-4, -0x1.b3e2e0806f2f9p-4, -0x1.adb5c6d52f622p-4, -0x1.a797f92cad5adp-4, -0x1.a1897c8578846p-4, -0x1.9b8a54937b7c4p-4, -0x1.959a83c5908e4p-4, -0x1.8fba0b4f9b953p-4, -0x1.89e8eb309319bp-4, -0x1.8427223b735a2p-4, -0x1.7e74ae1ebd6c7p-4, -0x1.78d18b6ba4ebdp-4, -0x1.733db59d13413p-4, -0x1.6db9271ed0ebap-4, -0x1.6843d954e5d82p-4, -0x1.62ddc4a32cbf1p-4, -0x1.5d86e074eca8ep-4, -0x1.583f23445cfcdp-4, -0x1.530682a1d3892p-4, -0x1.4ddcf33a814p-4, -0x1.48c268dede07cp-4, -0x1.43b6d688fc175p-4, -0x1.3eba2e6300711p-4, -0x1.39cc61cde3ab9p-4, -0x1.34ed616866fa3p-4, -0x1.301d1d161d166p-4, -0x1.2b5b84057a3b4p-4, -0x1.26a884b63e60cp-4, -0x1.22040d01b8846p-4, -0x1.1d6e0a1dabd1bp-4, -0x1.18e6689feca1fp-4, -0x1.146d148a4b24ep-4, -0x1.1001f94b7bf2bp-4, -0x1.0ba501c675edbp-4, -0x1.075618589e097p-4, -0x1.031526df9c84bp-4, -0x1.fdc42d7dc9752p-5, -0x1.f579a1c9cff8dp-5, -0x1.ed4a7b9fe305ap-5, -0x1.e5368b25d37dp-5, -0x1.dd3d9fb401b4fp-5, -0x1.d55f87df0a734p-5, -0x1.cd9c1181b1d49p-5, -0x1.c5f309c71b9c4p-5, -0x1.be643d3b9390fp-5, -0x1.b6ef77b3c12c1p-5, -0x1.af94849b3918fp-5, -0x1.a8532eb7d32d8p-5, -0x1.a12b40539a38ap-5, -0x1.9a1c833e00399p-5, -0x1.9326c0d3607eep-5, -0x1.8c49c204befeap-5, -0x1.85854f5fd190ep-5, -0x1.7ed931174e214p-5, -0x1.78452f09e22d7p-5, -0x1.71c910c9fc516p-5, -0x1.6b649daadbd93p-5, -0x1.65179cbfeee83p-5, -0x1.5ee1d4e1c51c2p-5, -0x1.58c30cbe5dd31p-5, -0x1.52bb0ad6dad52p-5, -0x1.4cc9958727bf1p-5, -0x1.46ee730c7ba35p-5, -0x1.4129698b598a6p-5, -0x1.3b7a3f15c66dfp-5, -0x1.35e0b9b15e21dp-5, -0x1.305c9f5d31b2fp-5, -0x1.2aedb6173c937p-5, -0x1.2593c3e17fb45p-5, -0x1.204e8ec6aa451p-5, -0x1.1b1ddcde7ee63p-5, -0x1.160174522256bp-5, -0x1.10f91b604dfc2p-5, -0x1.0c049861b081bp-5, -0x1.0723b1cd5039fp-5, -0x1.02562e3d00806p-5, -0x1.fb37a8e37e5c4p-6, -0x1.f1e8d6afc8a24p-6, -0x1.e8bf74162468ep-6, -0x1.dfbb0fb3ae99p-6, -0x1.d6db3891f7646p-6, -0x1.ce1f7e2d367e7p-6, -0x1.c587707a0f728p-6, -0x1.bd129feb5058ap-6, -0x1.b4c09d77b2a71p-6, -0x1.ac90fa9ffbb72p-6, -0x1.a48349723f57fp-6, -0x1.9c971c90da78p-6, -0x1.94cc07411a80ep-6, -0x1.8d219d633e505p-6, -0x1.85977374ce77p-6, -0x1.7e2d1ea7e844bp-6, -0x1.76e234d8c29f4p-6, -0x1.6fb64c941a871p-6, -0x1.68a8fd1bb3bb2p-6, -0x1.61b9de69eacfcp-6, -0x1.5ae8892ed033p-6, -0x1.543496ea7021bp-6, -0x1.4d9da1c73c6ep-6, -0x1.472344c3d3d87p-6, -0x1.40c51ba365d1ap-6, -0x1.3a82c2f4931afp-6, -0x1.345bd814082adp-6, -0x1.2e4ff92f06ad7p-6, -0x1.285ec5457aea1p-6, -0x1.2287dc2bd6c01p-6, -0x1.1ccade8cc4883p-6, -0x1.17276dea87a05p-6, -0x1.119d2ca082439p-6, -0x1.0c2bbde475b7ap-6, -0x1.06d2c5c7f3082p-6, -0x1.0191e9399c9ccp-6, -0x1.f8d19c0d18cc7p-7, -0x1.eeae35b6e5f23p-7, -0x1.e4b8ee8b94b97p-7, -0x1.daf117695955ep-7, -0x1.d15602f359992p-7, -0x1.c7e705929259ap-7, -0x1.bea37576c54b4p-7, -0x1.b58aaa96b8545p-7, -0x1.ac9bfeb09db2ep-7, -0x1.a3d6cd4ab73e3p-7, -0x1.9b3a73b0d1d29p-7, -0x1.92c650ec415ep-7, -0x1.8a79c5ea5c7f6p-7, -0x1.825435451aa2p-7, -0x1.7a55035e7e915p-7, -0x1.727b96656cf68p-7, -0x1.6ac756503401ep-7, -0x1.6337acd5cb294p-7, -0x1.5bcc05715d819p-7, -0x1.5483cd60bfaep-7, -0x1.4d5e73a2a7e2ep-7, -0x1.465b68f4fdd5p-7, -0x1.3f7a1fd303d1ap-7, -0x1.38ba0c737be51p-7, -0x1.321aa4c6ae777p-7, -0x1.2b9b60748358dp-7, -0x1.253bb8da8c96fp-7, -0x1.1efb290a0d85ap-7, -0x1.18d92dc5d66eep-7, -0x1.12d545802b60ap-7, -0x1.0ceef0584fc87p-7, -0x1.0725b0180e421p-7, -0x1.017908310495bp-7, -0x1.f7d0fb73ad53p-8, -0x1.ece72ed6c05cfp-8, -0x1.e233bb3ba1d24p-8, -0x1.d7b5b48ba908fp-8, -0x1.cd6c31e3c30a4p-8, -0x1.c3564d8ee3b72p-8, -0x1.b9732500a0dep-8, -0x1.afc1d8cffb798p-8, -0x1.a6418cd58062bp-8, -0x1.9cf1676a5054fp-8, -0x1.93d092d852ddp-8, -0x1.8ade3bdd5f4bcp-8, -0x1.8219925aa8eb2p-8, -0x1.7981c92abb8dap-8, -0x1.711616190cec7p-8, -0x1.68d5b1db591bbp-8, -0x1.60bfd80bc887fp-8, -0x1.58d3c724dfe99p-8, -0x1.5110c06b8474dp-8, -0x1.4976080e24926p-8, -0x1.4202e506a7805p-8, -0x1.3ab6a11e0f50ap-8, -0x1.339088bb03e24p-8, -0x1.2c8feb2987454p-8, -0x1.25b41a568ee41p-8, -0x1.1efc6ad3aa925p-8, -0x1.186833ce5a878p-8, -0x1.11f6cf04bd4d8p-8, -0x1.0ba798bc7efe4p-8, -0x1.0579efbb6134p-8, -0x1.feda6a8445edcp-9, -0x1.f3019a12d8167p-9, -0x1.e7683a7ff634dp-9, -0x1.dc0d1d132956p-9, -0x1.d0ef17fa1d549p-9, -0x1.c60d06414777ap-9, -0x1.bb65c7c79c1efp-9, -0x1.b0f8412b51837p-9, -0x1.a6c35bb10540ep-9, -0x1.9cc60525f5fecp-9, -0x1.92ff2fc068b86p-9, -0x1.896dd2005343cp-9, -0x1.8010e694e897ep-9, -0x1.76e76c4883f12p-9, -0x1.6df065f563226p-9, -0x1.652ada838a26bp-9, -0x1.5c95d4edf3211p-9, -0x1.5430644cb6103p-9, -0x1.4bf99be043cafp-9, -0x1.43f0931970b57p-9, -0x1.3c1465999dd97p-9, -0x1.346433295a2bcp-9, -0x1.2cdf1fa1f1147p-9, -0x1.258452cced68fp-9, -0x1.1e52f839dfa88p-9, -0x1.174a3f1012c31p-9, -0x1.106959e0fe971p-9, -0x1.09af7e813d54ap-9, -0x1.031be5ecc44e4p-9, -0x1.f95b987303b82p-10, -0x1.ecc8e1340bed7p-10, -0x1.e07e2addecb4p-10, -0x1.d47a00c844cf5p-10, -0x1.c8baf4e0047aap-10, -0x1.bd3fa06813339p-10, -0x1.b206a3d095e52p-10, -0x1.a70ea6cad2398p-10, -0x1.9c5657b31dc55p-10, -0x1.91dc6c6587cb1p-10, -0x1.879fa108a3b6ap-10, -0x1.7d9eb79d293ebp-10, -0x1.73d8783ea300fp-10, -0x1.6a4baf0d2cb0fp-10, -0x1.60f72d6c7abf5p-10, -0x1.57d9c8c8de868p-10, -0x1.4ef25abf53dccp-10, -0x1.463fc13075b5p-10, -0x1.3dc0de855394bp-10, -0x1.35749a163c1bdp-10, -0x1.2d59e0a493d34p-10, -0x1.256fa4d2e75e4p-10, -0x1.1db4df894be44p-10, -0x1.1628903273903p-10, -0x1.0ec9bcc4b86a9p-10, -0x1.0797718feb93fp-10, -0x1.0090c0d0390b8p-10, -0x1.f369841faeadfp-11, -0x1.e60522cfb34f4p-11, -0x1.d8f29d6dd82acp-11, -0x1.cc3039cd41a99p-11, -0x1.bfbc42ad5e7bp-11, -0x1.b39507021adf8p-11, -0x1.a7b8d9c4cbe61p-11, -0x1.9c261250b7e88p-11, -0x1.90db0d3e4f3fep-11, -0x1.85d62d9f8fb4ap-11, -0x1.7b15de7498a7cp-11, -0x1.70989428beec1p-11, -0x1.665ccde6cb8b4p-11, -0x1.5c611698322bp-11, -0x1.52a405689ef7ep-11, -0x1.49243db66e31ap-11, -0x1.3fe06e6759dcdp-11, -0x1.36d750ae61d18p-11, -0x1.2e07a65f9275bp-11, -0x1.25703802c2563p-11, -0x1.1d0fd2ddc7ba2p-11, -0x1.14e5473278cf3p-11, -0x1.0cef66e4fdf5p-11, -0x1.052d04b1595c3p-11, -0x1.fb39e808bead1p-12, -0x1.ec7c12f0f023p-12, -0x1.de1e371d244ecp-12, -0x1.d01e0831f5e1dp-12, -0x1.c279460e9e134p-12, -0x1.b52dbc31da303p-12, -0x1.a8394565d82e1p-12, -0x1.9b99d0ee4cdb1p-12, -0x1.8f4d61ae7bd0ep-12, -0x1.83520f011553bp-12, -0x1.77a6045ae079p-12, -0x1.6c477f9408e42p-12, -0x1.6134ce4bbc9cbp-12, -0x1.566c4aa4d06e6p-12, -0x1.4bec57b8b4817p-12, -0x1.41b35e2b906eep-12, -0x1.37bfc94b21795p-12, -0x1.2e10051199acfp-12, -0x1.24a27d3e3c7a3p-12, -0x1.1b759d9089aa9p-12, -0x1.1287d2fe5ee2bp-12, -0x1.09d78da326817p-12, -0x1.01634309abbeap-12, -0x1.f252e0fac986ap-13, -0x1.e2513a2eae6e7p-13, -0x1.d2beb6be64b1bp-13, -0x1.c39890a83cec8p-13, -0x1.b4dc2c62b825p-13, -0x1.a686f025e7115p-13, -0x1.98966c2929af5p-13, -0x1.8b0843b9af995p-13, -0x1.7dda2ecb6ef77p-13, -0x1.7109f626d752ep-13, -0x1.64956f178b3adp-13, -0x1.587a76f38c044p-13, -0x1.4cb6ef15c8a6cp-13, -0x1.4148b9eba776p-13, -0x1.362db9abe4497p-13, -0x1.2b63d1045e3f5p-13, -0x1.20e8e5b1f646dp-13, -0x1.16bae47febd1ap-13, -0x1.0cd7c5d70a738p-13, -0x1.033d91d8be735p-13, -0x1.f3d4c65765d8fp-14, -0x1.e1b8d0066b67cp-14, -0x1.d023c2e9aa28cp-14, -0x1.bf12434bccb8ap-14, -0x1.ae81132415e17p-14, -0x1.9e6d0e3d8b277p-14, -0x1.8ed327b06e13p-14, -0x1.7fb0688ff813ep-14, -0x1.7101eef711aefp-14, -0x1.62c4ec5aaa5cp-14, -0x1.54f6a244569f3p-14, -0x1.47945d54163ffp-14, -0x1.3a9b6d6bd6f53p-14, -0x1.2e091d22cf906p-14, -0x1.21daba7f462d4p-14, -0x1.160d83166d0afp-14, -0x1.0a9ead0c938f7p-14, -0x1.ff16ef0906facp-15, -0x1.e9a25ad2cbda5p-15, -0x1.d4da62ffbe145p-15, -0x1.c0ba10b380f0bp-15, -0x1.ad3cb9415dd12p-15, -0x1.9a5dfb6034eadp-15, -0x1.8819b201c0d1ap-15, -0x1.766be15140de7p-15, -0x1.6550a44316006p-15, -0x1.54c420c5c244p-15, -0x1.44c28610a2924p-15, -0x1.354814877ff66p-15, -0x1.26512b1fc4348p-15, -0x1.17da541f85b21p-15, -0x1.09e04b418e3ddp-15, -0x1.f8bff39614956p-16, -0x1.deacd1745b52ap-16, -0x1.c58159aa1847p-16, -0x1.ad37a51f93781p-16, -0x1.95c99f8073d3fp-16, -0x1.7f30fe41a2157p-16, -0x1.69674cfc85c59p-16, -0x1.54660b0938ce8p-16, -0x1.4026d265b47b9p-16, -0x1.2ca37e7988a76p-16, -0x1.19d649e424d8ep-16, -0x1.07b9dbe7a7e05p-16, -0x1.ec928215a2924p-17, -0x1.caff9e177f1d3p-17, -0x1.aab1f4643f49p-17, -0x1.8ba050697adbdp-17, -0x1.6dc11f235073ap-17, -0x1.510a5fc3f7f2fp-17, -0x1.3571cf4555618p-17, -0x1.1aed462977dep-17, -0x1.0173163b5a6c4p-17, -0x1.d1f4f4bf1bb08p-18, -0x1.a2f7722c27d58p-18, -0x1.75e00aa8e591cp-18, -0x1.4aa27b4dc6706p-18, -0x1.21330414fbf66p-18, -0x1.f30b52379d98ap-19, -0x1.a71b8655bd1bdp-19, -0x1.5e7bf58ef7a1bp-19, -0x1.1911387936261p-19, -0x1.ad80565fe0118p-20, -0x1.2eddacb98fcfdp-20, -0x1.6c140c8cbe07cp-21, -0x1.0b6347d89f6f1p-22, 0x1.56f78bd9d61e4p-23, 0x1.2686e8ae7ea8bp-21, 0x1.ecf2505d61c96p-21, 0x1.54a5327cb5eccp-20, 0x1.adebf4431830dp-20, 0x1.013aa8101266bp-19, 0x1.2936854e1d28ep-19, 0x1.4f0116666dd58p-19, 0x1.72b2941d66371p-19, 0x1.946364509ee67p-19, 0x1.b42a788ea0bcap-19, 0x1.d21c2c54c8dp-19, 0x1.ee49be3c6679ep-19, 0x1.0460c6eea47f5p-18, 0x1.10c8055e76ec3p-18, 0x1.1c6085069739bp-18, 0x1.27308a9659191p-18, 0x1.313f1e75113adp-18, 0x1.3a9414bed6cc9p-18, 0x1.4337b86fac0ap-18, 0x1.4b324346fe38cp-18, 0x1.528b56ebbb7ebp-18, 0x1.59499c3334934p-18, 0x1.5f7298c9ea906p-18, 0x1.650ac0263b06ap-18, 0x1.6a15be806c9a7p-18, 0x1.6e96ed1ef1ap-18, 0x1.7291ca5e73c88p-18, 0x1.760a49baf7fa8p-18, 0x1.7904e622c8b67p-18, 0x1.7b86857e5475p-18, 0x1.7d9452b5698a9p-18, 0x1.7f33a9c0ce2fdp-18, 0x1.806a127cb7b72p-18, 0x1.813d2df31e072p-18, 0x1.81b27f94072afp-18, 0x1.81cf1d152b4dp-18, 0x1.81976e147fee7p-18, 0x1.810f1f9336b39p-18, 0x1.8039484ac2708p-18, 0x1.7f189cb46e163p-18, 0x1.7daf9ae046acbp-18, 0x1.7c00b2d048cafp-18, 0x1.7a0e784fd0005p-18, 0x1.77dbd9b7c15c9p-18, 0x1.756c49a743c0dp-18, 0x1.72c3c8f31c79ep-18, 0x1.6fe6c1005a58bp-18, 0x1.6cd9a6259eac2p-18, 0x1.69a077e7ab47dp-18, 0x1.663e5b0df756p-18, 0x1.62b58c3168b5ep-18, 0x1.5f07b37493b62p-18, 0x1.5b365f35adc72p-18, 0x1.5743584423974p-18, 0x1.53302a14b138cp-18, 0x1.4f008afc76ffep-18, 0x1.4ab4e5f323b01p-18, 0x1.464f6a0693d06p-18, 0x1.41d173738e9d5p-18, 0x1.3d3c371b21958p-18, 0x1.3890fabfd0fb7p-18, 0x1.33d1706e97c6bp-18, 0x1.2eff60493a92p-18, 0x1.2a1c893364a56p-18, 0x1.252ae83794f1dp-18, 0x1.202c621b0a482p-18, 0x1.1b22a7bac52b8p-18, 0x1.160f8cd7d6a73p-18, 0x1.10f49582cb68ap-18, 0x1.0bd29366156ebp-18, 0x1.06a999c14a4b6p-18, 0x1.0179723e3dd7cp-18, 0x1.f884a403974a7p-19, 0x1.ee0aaf9287b83p-19, 0x1.e388f53cd2747p-19, 0x1.d903de7b136fp-19, 0x1.ce7ee2f091ca9p-19, 0x1.c3fbf0220b507p-19, 0x1.b97bf9c6f88b9p-19, 0x1.af000a8d52f02p-19, 0x1.a489f17e002a9p-19, 0x1.9a1c3cea430b6p-19, 0x1.8fb9ccc933588p-19, 0x1.85655e971e23dp-19, 0x1.7b213cbc0bf7fp-19, 0x1.70ef0dc1c066ep-19, 0x1.66cfb9d77fb98p-19, 0x1.5cc36acedd842p-19, 0x1.52c9b2faaef88p-19, 0x1.48e1e0a350b89p-19, 0x1.3f0b6fadb6a77p-19, 0x1.35467139de68cp-19, 0x1.2b93b20411637p-19, 0x1.21f482cd7de3p-19, 0x1.186a550c2d54ep-19, 0x1.0ef6986fd9e32p-19, 0x1.059af78bd5ff6p-19, 0x1.f8b2c5e7a48d8p-20, 0x1.e666a500dea25p-20, 0x1.d451774cad0b6p-20, 0x1.c27012cdfc597p-20, 0x1.b0bef5d41cceap-20, 0x1.9f3d7f38dab04p-20, 0x1.8deec1593c7b2p-20, 0x1.7cd758926d879p-20, 0x1.6bfa5761bec4fp-20, 0x1.5b5805633c13fp-20, 0x1.4aef237b5d346p-20, 0x1.3abeddf5f2329p-20, 0x1.2ac788b175a63p-20, 0x1.1b0a1fb13779p-20, 0x1.0b879227e60fap-20, 0x1.f880f1438eff5p-21, 0x1.da6a601d1b5f5p-21, 0x1.bccc31c477bd1p-21, 0x1.9fa78eb91dca2p-21, 0x1.82fe16b8492e2p-21, 0x1.66d192dc6ab0dp-21, 0x1.4b23623c6485ap-21, 0x1.2ff3dcc8abdfap-21, 0x1.1541f7a5b8ea1p-21, 0x1.f616aebad4f6cp-22, 0x1.c29b62c634ep-22, 0x1.90102172522c2p-22, 0x1.5e71e8a89e3eap-22, 0x1.2db7d7926627bp-22, 0x1.fbe0ac9f9e167p-23, 0x1.9e2b7e4b25277p-23, 0x1.425225976b1c9p-23, 0x1.d0b4a33f3a338p-24, 0x1.208fdb6ddc06p-24, 0x1.d09b7e5bd73a1p-26, -0x1.a54ca15afaee2p-27, -0x1.b3f68c8cb072ap-25, -0x1.7bc9971737336p-24, -0x1.0cff51d64ad33p-23, -0x1.5a48939aa6d2p-23, -0x1.a5c7a31dd3d0fp-23, -0x1.ef872f198f1a3p-23, -0x1.1bc69652a3399p-22, -0x1.3eed7cf76193p-22, -0x1.6138b7b59239dp-22, -0x1.82a99236ed352p-22, -0x1.a3422ff8c40a3p-22, -0x1.c3052555888fp-22, -0x1.e1f52888f6c81p-22, -0x1.000a76168081p-21, -0x1.0eb388ac1a7b1p-21, -0x1.1cf70fe56cf72p-21, -0x1.2ad63da02730ap-21, -0x1.38522a6e1f6d2p-21, -0x1.456bcf10d42a9p-21, -0x1.5224036b99986p-21, -0x1.5e7b8965490a3p-21, -0x1.6a7328afc51bep-21, -0x1.760bd64ced9fcp-21, -0x1.8146d263fbcc8p-21, -0x1.8c259aa6ecf3dp-21, -0x1.96a9be5a83f9ep-21, -0x1.a0d4a7dbb3c1p-21, -0x1.aaa79d0e3389ap-21, -0x1.b423df6aa1bafp-21, -0x1.bd4ab11ef0954p-21, -0x1.c61d1f1ccf1adp-21, -0x1.ce9c0321046dfp-21, -0x1.d6c88e2a30477p-21, -0x1.dea463a68472fp-21, -0x1.e630d39b5d382p-21, -0x1.ed6e9b0cb8cf7p-21, -0x1.f45ea5929349cp-21, -0x1.fb026b9c2553dp-21, -0x1.00adb480db546p-20, -0x1.03b562ff27c8cp-20, -0x1.0698c68d863ffp-20, -0x1.09586ec00a716p-20, -0x1.0bf4f51d4bab7p-20, -0x1.0e6ef59151f17p-20, -0x1.10c70a3f2a8f9p-20, -0x1.12fdca9a67f86p-20, -0x1.1513cbc826ec8p-20, -0x1.1709a12e8d53ep-20, -0x1.18dfdcfa03f6ap-20, -0x1.1a97113af9aap-20, -0x1.1c2fd635bc059p-20, -0x1.1daad8b9e098bp-20, -0x1.1f07f8516a767p-20, -0x1.20488298f95eep-20, -0x1.216d596b3239bp-20, -0x1.227613c0ebdbfp-20, -0x1.23639f343767cp-20, -0x1.243698906aep-20, -0x1.24ef7d3bc8179p-20, -0x1.258ed20960b1cp-20, -0x1.2614fc90247e9p-20, -0x1.2682e18e2bbb9p-20, -0x1.26d899c9dd26ep-20, -0x1.2716d552c9929p-20, -0x1.273e0c1c1f79fp-20, -0x1.274ebb58a1077p-20, -0x1.274963f71b2f9p-20, -0x1.272e8809a267bp-20, -0x1.26fea235e68d8p-20, -0x1.26ba2882b0973p-20, -0x1.2661912ea08ep-20, -0x1.25f54dfa107e5p-20, -0x1.2575d5fc7e398p-20, -0x1.24e3a85368019p-20, -0x1.243f3bb001599p-20, -0x1.2388fd18bc7bap-20, -0x1.22c1588df0c12p-20, -0x1.21e8bb85d2238p-20, -0x1.20ff9377f4407p-20, -0x1.20064c9075fe1p-20, -0x1.1efd5138a6d1p-20, -0x1.1de50a0fbc286p-20, -0x1.1cbdde0582cb1p-20, -0x1.1b883275b076fp-20, -0x1.1a446b4a531dfp-20, -0x1.18f2eb111061bp-20, -0x1.179413309d0f8p-20, -0x1.162844054aa62p-20, -0x1.14afdcf60d2c3p-20, -0x1.132b3c80e37c7p-20, -0x1.119ac05cf1322p-20, -0x1.0ffec5af6cf1ep-20, -0x1.0e57a97a9ab4cp-20, -0x1.0ca5c91f94ac2p-20, -0x1.0ae98281c6aa9p-20, -0x1.092333d746623p-20, -0x1.0753397ed4e81p-20, -0x1.0579e3961dc97p-20, -0x1.039766ae24e38p-20, -0x1.01abe9a8f4d27p-20, -0x1.ff6f72710d2b6p-21, -0x1.fb7694e27c461p-21, -0x1.f76ddc6d168b5p-21, -0x1.f35589f69ecccp-21, -0x1.ef2e63dc83a04p-21, -0x1.eaf9ecb2a0f5p-21, -0x1.e6b8cf80f40bfp-21, -0x1.e26a9341390b8p-21, -0x1.de0f334648f98p-21, -0x1.d9a71f1002dbbp-21, -0x1.d533b4e8df678p-21, -0x1.d0b602e071c53p-21, -0x1.cc2e16c147027p-21, -0x1.c79c1e929e536p-21, -0x1.c300c5ac55e15p-21, -0x1.be5bc3a584c76p-21, -0x1.b9ae0cf5ed471p-21, -0x1.b4f9918b96597p-21, -0x1.b03cc3ba7c421p-21, -0x1.ab78c2e5c6a1ap-21, -0x1.a6ae28363414dp-21, -0x1.a1dd4b4703d73p-21, -0x1.9d06916cf0647p-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{0x1.e7e1fc37aefecp-16, 0x1.6cbae59406a7dp-14, 0x1.a4177b23e5c35p-13, 0x1.9b16cc19590ccp-12, 0x1.64a72ba3fc335p-11, 0x1.1a9209c30777fp-10, 0x1.a1912c9a7db25p-10, 0x1.2412935443848p-9, 0x1.87068d0882ec8p-9, 0x1.f9110a5ce92a5p-9, 0x1.3ca248807864ap-8, 0x1.833917f0c02edp-8, 0x1.cfa005c3d5d9fp-8, 0x1.108f42c52b41fp-7, 0x1.3b7c53a8f7398p-7, 0x1.683ade45f379fp-7, 0x1.9672c393aa1d9p-7, 0x1.c5d20f55e90d1p-7, 0x1.f60e5c4d607ffp-7, 0x1.1372df94d1847p-6, 0x1.2c0fa59a2c53dp-6, 0x1.44c5a0d701614p-6, 0x1.5d817d979faf9p-6, 0x1.76344c7d5568p-6, 0x1.8ed34573f698fp-6, 0x1.a7577aa31afcdp-6, 0x1.bfbd8060ce7b7p-6, 0x1.d8050e7b749adp-6, 0x1.f0309e7fbccd2p-6, 0x1.042284fafdbfep-5, 0x1.1024957901498p-5, 0x1.1c22c06118ca1p-5, 0x1.2821ed05acb9ap-5, 0x1.34278299ecc2fp-5, 0x1.403943d2fb706p-5, 0x1.4c5d2e139ab52p-5, 0x1.58995c23e7f59p-5, 0x1.64f3ec5fc1008p-5, 0x1.7172ea353db83p-5, 0x1.7e1c3ac0aaeb2p-5, 0x1.8af58c4bb9289p-5, 0x1.980448713489dp-5, 0x1.a54d88a5b6c8fp-5, 0x1.b2d60ce673d82p-5, 0x1.c0a2345270c26p-5, 0x1.ceb5f77639b73p-5, 0x1.dd14e41710b57p-5, 0x1.ebc21a4fb8825p-5, 0x1.fac04ad5e0a6dp-5, 0x1.0508db223870cp-4, 0x1.0cdc16a591ce1p-4, 0x1.14da88d407af4p-4, 0x1.1d04abe979dcdp-4, 0x1.255ac4a284061p-4, 0x1.2ddce3a53ffafp-4, 0x1.368ae7262cc22p-4, 0x1.3f647cc1693fdp-4, 0x1.48692380f841bp-4, 0x1.51982e090b5a2p-4, 0x1.5af0c4e3c0f91p-4, 0x1.6471e8e621025p-4, 0x1.6e1a75a83a866p-4, 0x1.77e9240ab1fcfp-4, 0x1.81dc8cc442081p-4, 0x1.8bf32af20f6edp-4, 0x1.962b5ea6029dp-4, 0x1.a0836f6ebc89p-4, 0x1.aaf98ed522085p-4, 0x1.b58bdacbdf584p-4, 0x1.c038600dc5b22p-4, 0x1.cafd1c68433b5p-4, 0x1.d5d800efa7fabp-4, 0x1.e0c6f41b6f216p-4, 0x1.ebc7d3c9061bcp-4, 0x1.f6d8772406034p-4, 0x1.00fb58399d09dp-3, 0x1.06902764fea2ap-3, 0x1.0c298fceeb35bp-3, 0x1.11c678204ad86p-3, 0x1.1765c79f9b258p-3, 0x1.1d0666d3131f7p-3, 0x1.22a74015d676ap-3, 0x1.28474020a0e06p-3, 0x1.2de55686611eep-3, 0x1.3380762550772p-3, 0x1.3917958cf8ee3p-3, 0x1.3ea9af59d08cap-3, 0x1.4435c286e0679p-3, 0x1.49bad2b6123f1p-3, 0x1.4f37e86faecafp-3, 0x1.54ac11599891ep-3, 0x1.5a166066c73b8p-3, 0x1.5f75edff874ecp-3, 0x1.64c9d8230956bp-3, 0x1.6a114282a595cp-3, 0x1.6f4b5697680d4p-3, 0x1.747743b23404p-3, 0x1.79943f071574ep-3, 0x1.7ea183b3fdf9p-3, 0x1.839e52c372dffp-3, 0x1.8889f32b7d634p-3, 0x1.8d63b1c93409ap-3, 0x1.922ae1593c395p-3, 0x1.96deda6d94e67p-3, 0x1.9b7efb60f19cap-3, 0x1.a00aa847f5ef8p-3, 0x1.a4814ae097b04p-3, 0x1.a8e2527fe1f66p-3, 0x1.ad2d33fe5cb62p-3, 0x1.b16169a351307p-3, 0x1.b57e730f22a7p-3, 0x1.b983d524e4aafp-3, 0x1.bd7119f36752bp-3, 0x1.c145d09de00a4p-3, 0x1.c5018d444ce68p-3, 0x1.c8a3e8ebc660bp-3, 0x1.cc2c8166cae9cp-3, 0x1.cf9af93db212cp-3, 0x1.d2eef797539aep-3, 0x1.d6282821f941cp-3, 0x1.d9463afcb865p-3, 0x1.dc48e4a12fe46p-3, 0x1.df2fddcdc915ap-3, 0x1.e1fae3707e6bbp-3, 0x1.e4a9b69226f04p-3, 0x1.e73c1c4260119p-3, 0x1.e9b1dd840973ep-3, 0x1.ec0ac73a51052p-3, 0x1.ee46aa16638c8p-3, 0x1.f0655a85a5912p-3, 0x1.f266b0a094428p-3, 0x1.f44a881a1d1ffp-3, 0x1.f610c02f91509p-3, 0x1.f7b93b991b2a8p-3, 0x1.f943e07aaa791p-3, 0x1.fab0985562109p-3, 0x1.fbff4ff97192fp-3, 0x1.fd2ff77856fffp-3, 0x1.fe42821781e82p-3, 0x1.ff36e643521acp-3, 0x1.00068ec134109p-2, 0x1.006292349e0c7p-2, 0x1.00af7d46ff382p-2, 0x1.00ed513e5411dp-2, 0x1.011c10d5aadf1p-2, 0x1.013bc0375bbb8p-2, 0x1.014c64f75e8fdp-2, 0x1.014e060dae39fp-2, 0x1.0140abd0bc6c4p-2, 0x1.01245fefef393p-2, 0x1.00f92d6e2f56p-2, 0x1.00bf209c765c9p-2, 0x1.00764714695eap-2, 0x1.001eafb2f93p-2, 0x1.ff70d52600fcep-3, 0x1.fe87120fd80cfp-3, 0x1.fd803b30be881p-3, 0x1.fc5c77f1b6ab5p-3, 0x1.fb1bf20cd106fp-3, 0x1.f9bed58271796p-3, 0x1.f845508ea31dfp-3, 0x1.f6af939e5f0a6p-3, 0x1.f4fdd144d4ce4p-3, 0x1.f3303e30accaap-3, 0x1.f14711214fd05p-3, 0x1.ef4282dc1e07dp-3, 0x1.ed22ce21b5aefp-3, 0x1.eae82fa3267bdp-3, 0x1.e892e5f72f8e8p-3, 0x1.e623318f7577dp-3, 0x1.e39954adba029p-3, 0x1.e0f5935913fcbp-3, 0x1.de383353245d4p-3, 0x1.db617c0d5191cp-3, 0x1.d871b69e00295p-3, 0x1.d5692db5c9bbfp-3, 0x1.d2482d94c2c74p-3, 0x1.cf0f03ffb0b5p-3, 0x1.cbbe0035525acp-3, 0x1.c85572e3abfe5p-3, 0x1.c4d5ae1d45472p-3, 0x1.c13f054e8355cp-3, 0x1.bd91cd32f5a8fp-3, 0x1.b9ce5bcab2d8dp-3, 0x1.b5f5084fad67p-3, 0x1.b2062b2b212f8p-3, 0x1.ae021deaf2c75p-3, 0x1.a9e93b372153ap-3, 0x1.a5bbdec733fa8p-3, 0x1.a17a6557baaebp-3, 0x1.9d252c9fc62e8p-3, 0x1.98bc93466fd87p-3, 0x1.9440f8d8696aep-3, 0x1.8fb2bdbd8be18p-3, 0x1.8b12432e6c7bep-3, 0x1.865feb2a051dcp-3, 0x1.819c186b55a5fp-3, 0x1.7cc72e5f189ebp-3, 0x1.77e1911973892p-3, 0x1.72eba54bbb62cp-3, 0x1.6de5d03a384aap-3, 0x1.68d077b1f81a3p-3, 0x1.63ac01fea6452p-3, 0x1.5e78d5e070eb2p-3, 0x1.59375a81f4f2ep-3, 0x1.53e7f76e37574p-3, 0x1.4e8b1486a901cp-3, 0x1.492119f93452dp-3, 0x1.43aa70365d227p-3, 0x1.3e277fe7698cep-3, 0x1.3898b1e4962e2p-3, 0x1.32fe6f2b613cep-3, 0x1.2d5920d4e0331p-3, 0x1.27a9300c270e2p-3, 0x1.21ef0604bda26p-3, 0x1.1c2b0bf12d8eep-3, 0x1.165daaf99e451p-3, 0x1.10874c3289b06p-3, 0x1.0aa858937fd2fp-3, 0x1.04c138ee05a5ep-3, 0x1.fda4abc9122dfp-4, 0x1.f1b82fc2dd0ecp-4, 0x1.e5bdce1c650d3p-4, 0x1.d9b656955830bp-4, 0x1.cda29848cf379p-4, 0x1.c183619c2f607p-4, 0x1.b559802e5ee26p-4, 0x1.a925c0c72019p-4, 0x1.9ce8ef46adc82p-4, 0x1.90a3d6959f531p-4, 0x1.845740950ebeep-4, 0x1.7803f60eef166p-4, 0x1.6baabea6c4709p-4, 0x1.5f4c60ca8cb2p-4, 0x1.52e9a1a3f859dp-4, 0x1.46834509ef4e4p-4, 0x1.3a1a0d725d429p-4, 0x1.2daebbe44cc07p-4, 0x1.21420fea4a7ebp-4, 0x1.14d4c78528122p-4, 0x1.08679f1efa40dp-4, 0x1.f7f6a2fcf468dp-5, 0x1.df212f7563949p-5, 0x1.c650525df1faap-5, 0x1.ad8576de9c871p-5, 0x1.94c20479fea24p-5, 0x1.7c075ef754b08p-5, 0x1.6356e64d2a9ffp-5, 0x1.4ab1f68cb791p-5, 0x1.3219e7cde9c51p-5, 0x1.19900e1c1ef4fp-5, 0x1.0115b96394aa5p-5, 0x1.d1586abefca2fp-6, 0x1.a0a99311993e7p-6, 0x1.7021720b65ebap-6, 0x1.3fc285338dca3p-6, 0x1.0f8f412dc3116p-6, 0x1.bf14233ac6181p-7, 0x1.5f6ab2139426bp-7, 0x1.0026e1886fba1p-7, 0x1.429aa33beb734p-8, 0x1.0b8a3e2e6aa1dp-9, -0x1.b14ea705502ep-11, -0x1.e252d4eb2091bp-9, -0x1.ab30fa05711f9p-8, -0x1.321c0165cfeb9p-7, -0x1.8e1b159246bdap-7, -0x1.e991a06645fb4p-7, -0x1.223dce46688ffp-6, -0x1.4f6a8c4c12e31p-6, -0x1.7c4d1b8ce0a96p-6, -0x1.a8e3975be60bp-6, -0x1.d52c252038389p-6, -0x1.00927a2ea7d52p-5, -0x1.16661f5d270a6p-5, -0x1.2c10240407056p-5, -0x1.418faf231e2a1p-5, -0x1.56e3ecd39e2cep-5, -0x1.6c0c0e497ed31p-5, -0x1.810749d4602ebp-5, -0x1.95d4dadff31e7p-5, -0x1.aa7401f3d34d8p-5, -0x1.bee404b2ef34bp-5, -0x1.d3242dda6520ap-5, -0x1.e733cd3ff163ep-5, -0x1.fb1237cfe0551p-5, -0x1.075f63c54591cp-4, -0x1.111c6dc0b4268p-4, -0x1.1abfebe9d4298p-4, -0x1.244992d533353p-4, -0x1.2db9199a3c355p-4, -0x1.370e39d0e4c9p-4, -0x1.4048af8f3099dp-4, -0x1.496839667c0cap-4, -0x1.526c98609d9b5p-4, -0x1.5b558ffcd6a0ap-4, -0x1.6422e62c941dp-4, -0x1.6cd46350097bfp-4, -0x1.7569d2329d9b5p-4, -0x1.7de300072d9bp-4, -0x1.863fbc642d5dcp-4, -0x1.8e7fd93f9b012p-4, -0x1.96a32aead1c9dp-4, -0x1.9ea9880e3520ap-4, -0x1.a692c9a4bcf36p-4, -0x1.ae5ecaf7599f7p-4, -0x1.b60d69983dd2ep-4, -0x1.bd9e855e03d63p-4, -0x1.c512005eb3dfcp-4, -0x1.cc67beeaac7f1p-4, -0x1.d39fa78779706p-4, -0x1.dab9a2ea7cb3p-4, -0x1.e1b59bf38b4f2p-4, -0x1.e8937fa76a713p-4, -0x1.ef533d2a3768bp-4, -0x1.f5f4c5b9b381ap-4, -0x1.fc780ca780087p-4, -0x1.016e83a99e32dp-3, -0x1.0491d6924a326p-3, -0x1.07a5fbc29e71bp-3, -0x1.0aaaf0ed6a2dp-3, -0x1.0da0b4c05b8acp-3, -0x1.108746e0e4706p-3, -0x1.135ea7e90f82fp-3, -0x1.1626d96454458p-3, -0x1.18dfddcc5fc8fp-3, -0x1.1b89b885d8f59p-3, -0x1.1e246ddd1b27ap-3, -0x1.20b00302ec666p-3, -0x1.232c7e092e534p-3, -0x1.2599e5df8810ap-3, -0x1.27f8425009ff9p-3, -0x1.2a479bfbcdf8fp-3, -0x1.2c87fc5794024p-3, -0x1.2eb96da857f88p-3, -0x1.30dbfaffe8fddp-3, -0x1.32efb03972d3fp-3, -0x1.34f499f60f216p-3, -0x1.36eac599516fbp-3, -0x1.38d24145c7bap-3, -0x1.3aab1bd9866b7p-3, -0x1.3c7564eaa64a1p-3, -0x1.3e312cc3ca4d2p-3, -0x1.3fde84609ae43p-3, -0x1.417d7d6a44c42p-3, -0x1.430e2a33fa56bp-3, -0x1.44909db76d401p-3, -0x1.4604eb914b68dp-3, -0x1.476b27fdbdca6p-3, -0x1.48c367d4e2d57p-3, -0x1.4a0dc0874f01p-3, -0x1.4b4a481a8730ap-3, -0x1.4c79152583e6bp-3, -0x1.4d9a3ecd30114p-3, -0x1.4eaddcc0ea798p-3, -0x1.4fb4073709d78p-3, -0x1.50acd6e963896p-3, -0x1.51986511d168dp-3, -0x1.5276cb66bce83p-3, -0x1.53482417ab10dp-3, -0x1.540c89c9cdc7dp-3, -0x1.54c4179495f4fp-3, -0x1.556ee8fe4689ap-3, -0x1.560d19f892f85p-3, -0x1.569ec6dd3b07ap-3, -0x1.57240c6aab0b8p-3, -0x1.579d07c0a3283p-3, -0x1.5809d65ce1385p-3, -0x1.586a9617ce37cp-3, -0x1.58bf6521347a8p-3, -0x1.590861fcf25edp-3, -0x1.5945ab7fbe96ap-3, -0x1.597760cbe567ep-3, -0x1.599da14e14e0cp-3, -0x1.59b88cba27499p-3, -0x1.59c84307f743ap-3, -0x1.59cce4703d953p-3, -0x1.59c691696c518p-3, -0x1.59b56aa497334p-3, -0x1.5999910a65a33p-3, -0x1.597325b7fbf37p-3, -0x1.594249fc00c09p-3, -0x1.59071f539986ap-3, -0x1.58c1c7677468p-3, -0x1.58726408d65a3p-3, -0x1.5819172eb846bp-3, -0x1.57b602f2dfc5bp-3, -0x1.5749498f0971p-3, -0x1.56d30d5a187d2p-3, -0x1.565370c54b9a7p-3, -0x1.55ca96597aa15p-3, -0x1.5538a0b45faep-3, -0x1.549db285e8272p-3, -0x1.53f9ee8d8786bp-3, -0x1.534d77979d7c4p-3, -0x1.5298707adb2f1p-3, -0x1.51dafc15b854cp-3, -0x1.51153d4beaeb6p-3, -0x1.50475703ec25dp-3, -0x1.4f716c248704cp-3, -0x1.4e939f926d17cp-3, -0x1.4dae142dd2484p-3, -0x1.4cc0ecd0195a9p-3, -0x1.4bcc4c4985b63p-3, -0x1.4ad0555ef193ep-3, -0x1.49cd2ac79785cp-3, -0x1.48c2ef2adea2fp-3, -0x1.47b1c51e31416p-3, -0x1.4699cf22df1eep-3, -0x1.457b2fa40693fp-3, -0x1.445608f48d9b1p-3, -0x1.432a7d4d1c9b9p-3, -0x1.41f8aeca23c15p-3, -0x1.40c0bf69f7342p-3, -0x1.3f82d10adfdf4p-3, -0x1.3e3f0569469cap-3, -0x1.3cf57e1de4a6cp-3, -0x1.3ba65c9bfb148p-3, -0x1.3a51c22f94019p-3, -0x1.38f7cffbd63p-3, -0x1.3798a6f95605cp-3, -0x1.363467f478224p-3, -0x1.34cb338be206bp-3, -0x1.335d2a2ee2d39p-3, -0x1.31ea6c1bfe548p-3, -0x1.3073195f6f403p-3, -0x1.2ef751d1bcd2p-3, -0x1.2d77351652268p-3, -0x1.2bf2e29a29d26p-3, -0x1.2a6a79927cffp-3, -0x1.28de18fb76ecp-3, -0x1.274ddf9704974p-3, -0x1.25b9ebeb91ebbp-3, -0x1.24225c42f047ap-3, -0x1.22874ea92b6bdp-3, -0x1.20e8e0eb7629ep-3, -0x1.1f4730971e1c8p-3, -0x1.1da25af88acfp-3, -0x1.1bfa7d1a3dc5ap-3, -0x1.1a4fb3c3e4ff7p-3, -0x1.18a21b7974809p-3, -0x1.16f1d07a44439p-3, -0x1.153eeec03c3c9p-3, -0x1.138991ff0a0a2p-3, -0x1.11d1d5a359495p-3, -0x1.1017d4d21bbfp-3, -0x1.0e5baa67d96c2p-3, -0x1.0c9d70f801828p-3, -0x1.0add42cc4eb44p-3, -0x1.091b39e42c642p-3, -0x1.07576ff42ac9bp-3, -0x1.0591fe6570725p-3, -0x1.03cafe5545443p-3, -0x1.020288949212p-3, -0x1.0038b5a7770d9p-3, -0x1.fcdb3b89c473ep-4, -0x1.f942b1ac661f2p-4, -0x1.f5a7fcedbe039p-4, -0x1.f20b4be852bb9p-4, -0x1.ee6ccc999db33p-4, -0x1.eaccac61a6e13p-4, -0x1.e72b180276482p-4, -0x1.e3883b9fc4cc1p-4, -0x1.dfe442be9b70dp-4, -0x1.dc3f584514051p-4, -0x1.d899a67a0d7cap-4, -0x1.d4f3570515122p-4, -0x1.d14c92ee3a4bbp-4, -0x1.cda5829dfd638p-4, -0x1.c9fe4ddd510a2p-4, -0x1.c6571bd598a43p-4, -0x1.c2b01310c2adbp-4, -0x1.bf09597968649p-4, -0x1.bb63145af8014p-4, -0x1.b7bd6861eb3ffp-4, -0x1.b418799c0dbefp-4, -0x1.b0746b78ca667p-4, -0x1.acd160c98520ep-4, -0x1.a92f7bc1f9daap-4, -0x1.a58eddf8b9692p-4, -0x1.a1efa86794db3p-4, -0x1.9e51fb6c232c3p-4, -0x1.9ab5f6c85c13ep-4, -0x1.971bb9a31a07bp-4, -0x1.93836288c6486p-4, -0x1.8fed0f6c0a08dp-4, -0x1.8c58dda66fc08p-4, -0x1.88c6e9f928e77p-4, -0x1.8537508dd169ap-4, -0x1.81aa2cf73ad76p-4, -0x1.7e1f9a323d0a1p-4, -0x1.7a97b2a692ec4p-4, -0x1.77129027c5dc1p-4, -0x1.73904bf60b272p-4, -0x1.7010febf4050ap-4, -0x1.6c94c09fdd227p-4, -0x1.691ba923fb086p-4, -0x1.65a5cf484cc28p-4, -0x1.6233497b3c72p-4, -0x1.5ec42d9dee8dfp-4, -0x1.5b58910562937p-4, -0x1.57f0887b8b44p-4, -0x1.548c2840776d3p-4, -0x1.512b840b74011p-4, -0x1.4dceaf0c3cf57p-4, -0x1.4a75bbec2a71bp-4, -0x1.4720bccf72646p-4, -0x1.43cfc356533a8p-4, -0x1.4082e09e5f7c5p-4, -0x1.3d3a2543bd469p-4, -0x1.39f5a16269fcfp-4, -0x1.36b5649788034p-4, -0x1.33797e02ad57dp-4, -0x1.3041fc472e4f4p-4, -0x1.2d0eed8d7c5e5p-4, -0x1.29e05f84715c7p-4, -0x1.26b65f62b0973p-4, -0x1.2390f9e802715p-4, -0x1.20703b5ead8b6p-4, -0x1.1d542f9cde866p-4, -0x1.1a3ce20606fa8p-4, -0x1.172a5d8c3eb79p-4, -0x1.141cacb1b39f1p-4, -0x1.1113d98a048f6p-4, -0x1.0e0fedbbb5d0dp-4, -0x1.0b10f28193912p-4, -0x1.0816f0ac256fbp-4, -0x1.0521f0a30c661p-4, -0x1.0231fa668466ap-4, -0x1.fe8e2b217ff87p-5, -0x1.f8c292aeb7512p-5, -0x1.f3013919ab533p-5, -0x1.ed4a2b43dd0acp-5, -0x1.e79d754e43ba7p-5, -0x1.e1fb229c2694ep-5, -0x1.dc633dd5ea254p-5, -0x1.d6d5d0ec0e463p-5, -0x1.d152e519e3f7bp-5, -0x1.cbda82e888df6p-5, -0x1.c66cb231ada7cp-5, -0x1.c1097a226bdacp-5, -0x1.bbb0e13e334f3p-5, -0x1.b662ed617fa4ap-5, -0x1.b11fa3c4c718fp-5, -0x1.abe708ff31124p-5, -0x1.a6b921097d378p-5, -0x1.a195ef40b891dp-5, -0x1.9c7d76690f884p-5, -0x1.976fb8b099e09p-5, -0x1.926cb7b2076f3p-5, -0x1.8d74747773d54p-5, -0x1.8886ef7d165b5p-5, -0x1.83a428b3f8d5bp-5, -0x1.7ecc1f84af96bp-5, -0x1.79fed2d2056adp-5, -0x1.753c40fba3017p-5, -0x1.708467e0c13e5p-5, -0x1.6bd744e2b36e9p-5, -0x1.6734d4e7a7acap-5, -0x1.629d145d1c536p-5, -0x1.5e0fff3a8dbc4p-5, -0x1.598d9103f36f7p-5, -0x1.5515c4cc5704p-5, -0x1.50a895384afa7p-5, -0x1.4c45fc8080347p-5, -0x1.47edf4741e8d8p-5, -0x1.43a0767b62c42p-5, -0x1.3f5d7b99df25dp-5, -0x1.3b24fc7117b5bp-5, -0x1.36f6f142ad624p-5, -0x1.32d351f2f051fp-5, -0x1.2eba160b192bcp-5, -0x1.2aab34bb9fedap-5, -0x1.26a6a4de8834dp-5, -0x1.22ac5cf9b2738p-5, -0x1.1ebc534109f6bp-5, -0x1.1ad67d98cd4fep-5, -0x1.16fad197b00aep-5, -0x1.1329448923173p-5, -0x1.0f61cb6f5e90cp-5, -0x1.0ba45b05907a7p-5, -0x1.07f0e7c1f7103p-5, -0x1.044765d7f3015p-5, -0x1.00a7c93a102b3p-5, -0x1.fa240b3822fcfp-6, -0x1.f30c1ce9d8019p-6, -0x1.ec07ae0187d5bp-6, -0x1.e516a485c1f5fp-6, -0x1.de38e60f2da1cp-6, -0x1.d76e57cc50054p-6, -0x1.d0b6de855e593p-6, -0x1.ca125e9fd7b7ap-6, -0x1.c380bc223e9b5p-6, -0x1.bd01dab797422p-6, -0x1.b6959db3088bcp-6, -0x1.b03be8134e65dp-6, -0x1.a9f49c8620422p-6, -0x1.a3bf9d6b9d2dfp-6, -0x1.9d9cccd9a164ap-6, -0x1.978c0c9effbc9p-6, -0x1.918d3e46d0e47p-6, -0x1.8ba0431b95977p-6, -0x1.85c4fc2a4e434p-6, -0x1.7ffb4a4594ca8p-6, -0x1.7a430e08b6471p-6, -0x1.749c27da888a9p-6, -0x1.6f0677f064364p-6, -0x1.6981de5114f93p-6, -0x1.640e3ad7aad78p-6, -0x1.5eab6d361542fp-6, -0x1.595954f814c15p-6, -0x1.5417d185c7f1ep-6, -0x1.4ee6c226529c6p-6, -0x1.49c6060273dc7p-6, -0x1.44b57c270a018p-6, -0x1.3fb503879c0f8p-6, -0x1.3ac47b00aba8ap-6, -0x1.35e3c15a39a0fp-6, -0x1.3112b54a0217ap-6, -0x1.2c513575da571p-6, -0x1.279f2075e8b4ap-6, -0x1.22fc54d6d12efp-6, -0x1.1e68b11bf728p-6, -0x1.19e413c17758bp-6, -0x1.156e5b3e4b48cp-6, -0x1.11076606558ep-6, -0x1.0caf128c4c44fp-6, -0x1.08653f43ae16fp-6, -0x1.0429caa2b5d8cp-6, -0x1.fff9264847dffp-7, -0x1.f7baee9205972p-7, -0x1.ef98ab350c343p-7, -0x1.e792195760978p-7, -0x1.dfa6f63603dd8p-7, -0x1.d7d6ff285a891p-7, -0x1.d021f1a35e327p-7, -0x1.c8878b3c7d962p-7, -0x1.c10789acf87cbp-7, -0x1.b9a1aad4bb90ap-7, -0x1.b255acbd21769p-7, -0x1.ab234d9c13992p-7, -0x1.a40a4bd672971p-7, -0x1.9d0a6602f651ep-7, -0x1.96235aecc635cp-7, -0x1.8f54e995d935dp-7, -0x1.889ed13989db6p-7, -0x1.8200d14f0cc71p-7, -0x1.7b7aa98b68876p-7, -0x1.750c19e433e11p-7, -0x1.6eb4e2915f343p-7, -0x1.6874c40f78531p-7, -0x1.624b7f21b1d45p-7, -0x1.5c38d4d3ce3f9p-7, -0x1.563c867c39ab7p-7, -0x1.505655bdbc9e5p-7, -0x1.4a86048949adp-7, -0x1.44cb551fb4708p-7, -0x1.3f260a137f005p-7, -0x1.3995e64a66affp-7, -0x1.341aacfeddcbcp-7, -0x1.2eb421c18ec47p-7, -0x1.2962087b0bd37p-7, -0x1.2424256cd37bfp-7, -0x1.1efa3d32e54e1p-7, -0x1.19e414c50213ep-7, -0x1.14e17177c39b5p-7, -0x1.0ff218fded7e7p-7, -0x1.0b15d1699e8a6p-7, -0x1.064c612d11227p-7, -0x1.01958f1c0876fp-7, -0x1.f9e244d9009a7p-8, -0x1.f0bdc56f8fc2bp-8, -0x1.e7bd2ff65e037p-8, -0x1.dee0153263f0dp-8, -0x1.d62606b3cc1a8p-8, -0x1.cd8e96d8175c2p-8, -0x1.c51958cb067cep-8, -0x1.bcc5e088332b6p-8, -0x1.b493c2dc55f03p-8, -0x1.ac82956615107p-8, -0x1.a491ee97bbef5p-8, -0x1.9cc165b79ddaap-8, -0x1.951092e1610e6p-8, -0x1.8d7f0f06cb0e8p-8, -0x1.860c73f05c4f1p-8, -0x1.7eb85c3e5370dp-8, -0x1.77826368e394ap-8, -0x1.706a25c16b1b1p-8, -0x1.696f40722cfddp-8, -0x1.6291517f79c48p-8, -0x1.5bcff7c785941p-8, -0x1.552ad3031279cp-8, -0x1.4ea183c58cd8bp-8, -0x1.4833ab7d33625p-8, -0x1.41e0ec7327f99p-8, -0x1.3ba8e9cbe1227p-8, -0x1.358b4786a68ecp-8, -0x1.2f87aa7e1328ep-8, -0x1.299db86786a6bp-8, -0x1.23cd17d34c196p-8, -0x1.1e15702c52fefp-8, -0x1.187669b801f0ep-8, -0x1.12efad95a175ap-8, -0x1.0d80e5bea52fbp-8, -0x1.0829bd05790eep-8, -0x1.02e9df15edae3p-8, -0x1.fb81f0e7fbd78p-9, -0x1.f15d6cf7f3f31p-9, -0x1.e7658ec2b21f2p-9, -0x1.dd99b45d71273p-9, -0x1.d3f93d8982fefp-9, -0x1.ca838bb3c6d5dp-9, -0x1.c13801f276b3ep-9, -0x1.b81605045d60bp-9, -0x1.af1cfb4f09e4ep-9, -0x1.a64c4cdcfb2a5p-9, -0x1.9da3635c7cf0bp-9, -0x1.9521aa1d91001p-9, -0x1.8cc68e0fe42dcp-9, -0x1.84917dc1c4a5ep-9, -0x1.7c81e95d3141dp-9, -0x1.749742a70e4dfp-9, -0x1.6cd0fcfbd01bap-9, -0x1.652e8d4ec37b5p-9, -0x1.5daf6a26f5aa8p-9, -0x1.56530b9d836b4p-9, -0x1.4f18eb5b48cb2p-9, -0x1.48008496a37d6p-9, -0x1.4109541131d57p-9, -0x1.3a32d81572cap-9, -0x1.337c907467a96p-9, -0x1.2ce5fe8374da2p-9, -0x1.266ea5193cd65p-9, -0x1.2016088c33f11p-9, -0x1.19dbaeaf37c42p-9, -0x1.13bf1ecf7c52fp-9, -0x1.0dbfe1b1ce0b5p-9, -0x1.07dd81902b077p-9, -0x1.02178a171dd38p-9, -0x1.f8db10c593e59p-10, -0x1.edbe15f8f3bffp-10, -0x1.e2d743b12ca4ap-10, -0x1.d825bca4f266p-10, -0x1.cda8a6565f183p-10, -0x1.c35f290bc598ep-10, -0x1.b9486fcaa9881p-10, -0x1.af63a851fe9a6p-10, -0x1.a5b00315569cfp-10, -0x1.9c2cb33626d4bp-10, -0x1.92d8ee7ee09d8p-10, -0x1.89b3ed5d2b1bcp-10, -0x1.80bceadc32524p-10, -0x1.77f3249e9c25ap-10, -0x1.6f55dad9af9e9p-10, -0x1.66e4504e4b78fp-10, -0x1.5e9dca44e6b2dp-10, -0x1.56819085ffffep-10, -0x1.4e8eed55bb43dp-10, -0x1.46c52d6d0f4d2p-10, -0x1.3f239ff50a5d1p-10, -0x1.37a99680425p-10, -0x1.305665055adeap-10, -0x1.292961d95393ap-10, -0x1.2221e5a91e3bcp-10, -0x1.1b3f4b7552e4bp-10, -0x1.1480f08a856bap-10, -0x1.0de6347ce6582p-10, -0x1.076e7921bf672p-10, -0x1.0119228a4abfcp-10, -0x1.f5cb2dfb4317cp-11, -0x1.e9a67de4c7b78p-11, -0x1.ddc30a14c492cp-11, -0x1.d21fac1759062p-11, -0x1.c6bb41b768c65p-11, -0x1.bb94acf179433p-11, -0x1.b0aad3ea53f08p-11, -0x1.a5fca0e24f4bbp-11, -0x1.9b89022a870dbp-11, -0x1.914eea1a23accp-11, -0x1.874d4f01c3221p-11, -0x1.7d832b226b231p-11, -0x1.73ef7ca022f6cp-11, -0x1.6a914578d6d1dp-11, -0x1.61678b782c3fap-11, -0x1.5871582d2ef8dp-11, -0x1.4fadb8df1de5p-11, -0x1.471bbe82a2664p-11, -0x1.3eba7daefb41bp-11, -0x1.36890e933b589p-11, -0x1.2e868cebdd806p-11, -0x1.26b217f82aa41p-11, -0x1.1f0ad26f23d29p-11, -0x1.178fe274cb8dcp-11, -0x1.10407191db3e6p-11, -0x1.091baca655d4fp-11, -0x1.0220c3e158b63p-11, -0x1.f69dd56bdb64p-12, -0x1.e94aafa2cd2dbp-12, -0x1.dc468a2171086p-12, -0x1.cf8fdeee84e8dp-12, -0x1.c3252e46b8a3ep-12, -0x1.b704fe8da935fp-12, -0x1.ab2ddc331b2eep-12, -0x1.9f9e59a83db29p-12, -0x1.94550f441955p-12, -0x1.89509b351209bp-12, -0x1.7e8fa16ea54d8p-12, -0x1.7410cb9127b02p-12, -0x1.69d2c8dc1c3b9p-12, -0x1.5fd44e196b73ap-12, -0x1.5614158c7efa7p-12, -0x1.4c90dedc5f166p-12, -0x1.43496f05c531fp-12, -0x1.3a3c90452182ep-12, -0x1.31691208a5e27p-12, -0x1.28cdc8dbeaafdp-12, -0x1.20698e55ff647p-12, -0x1.183b410acc89fp-12, -0x1.1041c475fe9cbp-12, -0x1.087c00ee6fb89p-12, -0x1.00e8e38fbe03p-12, -0x1.f30ebc5e37a86p-13, -0x1.e4acce8d12d3cp-13, -0x1.d6a9f3cbd100bp-13, -0x1.c9042b46aa097p-13, -0x1.bbb97d128bcp-13, -0x1.aec7fa0eff5edp-13, -0x1.a22dbbc9b2b6p-13, -0x1.95e8e456e311cp-13, -0x1.89f79e38d902dp-13, -0x1.7e581c429de0ap-13, -0x1.730899727ccffp-13, -0x1.680758d79d8fbp-13, -0x1.5d52a5756437p-13, -0x1.52e8d2256fde7p-13, -0x1.48c83977e8f04p-13, -0x1.3eef3d9998421p-13, -0x1.355c4835d587p-13, -0x1.2c0dca59f82b4p-13, -0x1.23023c5834774p-13, -0x1.1a381db0fdbbfp-13, -0x1.11adf4f1a617fp-13, -0x1.09624f9c8acaep-13, -0x1.0153c20badcabp-13, -0x1.f301ceb5fed85p-14, -0x1.e3d0c2926ed2cp-14, -0x1.d511b03f5ae13p-14, -0x1.c6c1f535efb6dp-14, -0x1.b8defb99d84a4p-14, -0x1.ab663a105f126p-14, -0x1.9e55338b70a42p-14, -0x1.91a977161bae3p-14, -0x1.85609fa7d61ebp-14, -0x1.797853f5c5eb2p-14, -0x1.6dee463e5ec96p-14, -0x1.62c0341f02feap-14, -0x1.57ebe66817de1p-14, -0x1.4d6f30e85df82p-14, -0x1.4347f244b6fe5p-14, -0x1.397413ce56de3p-14, -0x1.2ff18950901a3p-14, -0x1.26be50eba18edp-14, -0x1.1dd872e5c9e7dp-14, -0x1.153e018341096p-14, -0x1.0ced18dc4e538p-14, -0x1.04e3deb56a937p-14, -0x1.fa4104a498793p-15, -0x1.eb4278a2da34cp-15, -0x1.dcc89d0e27c8dp-15, -0x1.ced0079fa7e78p-15, -0x1.c1555fdddb3edp-15, -0x1.b4555ecc2cee8p-15, -0x1.a7cccea3c94aap-15, -0x1.9bb88a8623a4fp-15, -0x1.90157e335a288p-15, -0x1.84e0a5c61e09ep-15, -0x1.7a170d6bb8f57p-15, -0x1.6fb5d11bc9b6ep-15, -0x1.65ba1c52ed323p-15, -0x1.5c2129d162412p-15, -0x1.52e8435486317p-15, -0x1.4a0cc15b0b6p-15, -0x1.418c0ad682729p-15, -0x1.396394fb56098p-15, -0x1.3190e2f6a3899p-15, -0x1.2a1185ae9233cp-15, -0x1.22e31b8d63a29p-15, -0x1.1c03503c7679p-15, -0x1.156fdc6a08967p-15, -0x1.0f26858f800a1p-15, -0x1.09251db7dee6p-15, -0x1.0369834248c9cp-15, -0x1.fbe3415f08f17p-16, -0x1.f176d8c5de9fbp-16, -0x1.e789d0e3969dap-16, -0x1.de1844d3174b8p-16, -0x1.d51e66309b17cp-16, -0x1.cc987cbb75c63p-16, -0x1.c482e5e94d0fbp-16, -0x1.bcda1481280eep-16, }}, 
      {{0x1.8328448be47a1p-16, 0x1.ec6e91dd74b0dp-15, 0x1.f24da4488bfb8p-14, 0x1.c122e864fb2bdp-13, 0x1.734289dbf23d1p-12, 0x1.1e4cba97a3705p-11, 0x1.a1584174d915ep-11, 0x1.2274bfd6f5844p-10, 0x1.852660e61e879p-10, 0x1.f904d500567f5p-10, 0x1.3efeff16bc512p-9, 0x1.89db9ab0f15d5p-9, 0x1.dccd6725d4a38p-9, 0x1.1bb9432f61dccp-8, 0x1.4cac05fedce3fp-8, 0x1.80ffaa9d5d808p-8, 0x1.b87158e644f31p-8, 0x1.f2bcaf0cbba54p-8, 0x1.17ceb5c1df92bp-7, 0x1.37686504c71b8p-7, 0x1.580b4d855ceb4p-7, 0x1.79990e650af24p-7, 0x1.9bf54ec8133f9p-7, 0x1.bf05f6eb46187p-7, 0x1.e2b354801c609p-7, 0x1.037416b152b4dp-6, 0x1.15c8e1c1422e6p-6, 0x1.284fe64e65152p-6, 0x1.3b023012a3943p-6, 0x1.4dd9eebf0581ap-6, 0x1.60d2662e16734p-6, 0x1.73e7dc7d2f69ap-6, 0x1.871786bf337d6p-6, 0x1.9a5f74df917b6p-6, 0x1.adbe7d32bf66p-6, 0x1.c134281a0e842p-6, 0x1.d4c09c0c963edp-6, 0x1.e8648a445b9e8p-6, 0x1.fc211c3f7d99dp-6, 0x1.07fbf11bb90aap-5, 0x1.11f56152d0b8dp-5, 0x1.1bfdf5712b9f7p-5, 0x1.2616e07256cc3p-5, 0x1.30416b114a663p-5, 0x1.3a7eedc65b008p-5, 0x1.44d0cb4ebd6cap-5, 0x1.4f386bb832c98p-5, 0x1.59b737eab3d8ap-5, 0x1.644e95a916615p-5, 0x1.6effe401ee7cdp-5, 0x1.79cc782945d1dp-5, 0x1.84b59ab4822d9p-5, 0x1.8fbc85318d204p-5, 0x1.9ae26012b123p-5, 0x1.a62840e948469p-5, 0x1.b18f28e90999bp-5, 0x1.bd1803aec29b5p-5, 0x1.c8c3a64505ca1p-5, 0x1.d492ce62096bcp-5, 0x1.e08621d9f692fp-5, 0x1.ec9e2e414b499p-5, 0x1.f8db68bb1d575p-5, 0x1.029f16f79bb8ep-4, 0x1.08e36112333c1p-4, 0x1.0f3aa8bd954bp-4, 0x1.15a4f822c9f66p-4, 0x1.1c224dbc6f84fp-4, 0x1.22b29c9aef0bcp-4, 0x1.2955ccb2945dep-4, 0x1.300bbb32297b5p-4, 0x1.36d43ae0d2da2p-4, 0x1.3daf1481f4fc9p-4, 0x1.449c073df7605p-4, 0x1.4b9ac90ee557cp-4, 0x1.52ab072ff925ep-4, 0x1.59cc668f2383ep-4, 0x1.60fe843fcb3dp-4, 0x1.6840f5ee092aap-4, 0x1.6f934a51c1014p-4, 0x1.76f509a0f0dc5p-4, 0x1.7e65b600cdcep-4, 0x1.85e4cbf5221fp-4, 0x1.8d71c2cd9d053p-4, 0x1.950c0d10ace81p-4, 0x1.9cb318e3b5664p-4, 0x1.a466507042a47p-4, 0x1.ac251a462c2d3p-4, 0x1.b3eed9ba634bcp-4, 0x1.bbc2ef4262aebp-4, 0x1.c3a0b8cc2467ap-4, 0x1.cb879212835cep-4, 0x1.d376d4ee12bc3p-4, 0x1.db6dd9a25f1d9p-4, 0x1.e36bf7279955ep-4, 0x1.eb708370bacf4p-4, 0x1.f37ad3ae26eafp-4, 0x1.fb8a3c8cceb4dp-4, 0x1.01cf093905d77p-3, 0x1.05dad4da08239p-3, 0x1.09e82b6797887p-3, 0x1.0df6b74bfb7e9p-3, 0x1.1206233523e19p-3, 0x1.16161a2abb8c4p-3, 0x1.1a2647a2c9853p-3, 0x1.1e365794fdc2dp-3, 0x1.2245f68ca19bfp-3, 0x1.2654d1b94ff5bp-3, 0x1.2a6296fe6e24dp-3, 0x1.2e6ef50187d1p-3, 0x1.32799b378973cp-3, 0x1.368239f0edaep-3, 0x1.3a888264fa7c3p-3, 0x1.3e8c26bbf769p-3, 0x1.428cda1891863p-3, 0x1.468a50a05d567p-3, 0x1.4a843f8393ae4p-3, 0x1.4e7a5d040c311p-3, 0x1.526c607b829a4p-3, 0x1.565a0261394c8p-3, 0x1.5a42fc4ef4c0cp-3, 0x1.5e27090570608p-3, 0x1.6205e4703cf6dp-3, 0x1.65df4ba92b04ep-3, 0x1.69b2fcfb32072p-3, 0x1.6d80b7e4f374p-3, 0x1.71483d1ad5ef2p-3, 0x1.75094e88ba73dp-3, 0x1.78c3af536417ap-3, 0x1.7c7723d988b83p-3, 0x1.802371b499885p-3, 0x1.83c85fb9453e8p-3, 0x1.8765b5f7c57cep-3, 0x1.8afb3dbbded12p-3, 0x1.8e88c18cc1eb4p-3, 0x1.920e0d2caadbbp-3, 0x1.958aed985fc6p-3, 0x1.98ff310682b71p-3, 0x1.9c6aa6e6bb054p-3, 0x1.9fcd1fe0bf062p-3, 0x1.a3266dd34603fp-3, 0x1.a67663d2cc764p-3, 0x1.a9bcd6284f6e6p-3, 0x1.acf99a4fe93adp-3, 0x1.b02c86f74f41p-3, 0x1.b35573fc4ef67p-3, 0x1.b6743a6b2181bp-3, 0x1.b988b47cc11e7p-3, 0x1.bc92bd952179fp-3, 0x1.bf9232415e631p-3, 0x1.c286f035de296p-3, 0x1.c570d64c60a2ap-3, 0x1.c84fc48208079p-3, 0x1.cb239bf553be7p-3, 0x1.cdec3ee41177dp-3, 0x1.d0a990a93e76ep-3, 0x1.d35b75bae9ba4p-3, 0x1.d601d3a801ea4p-3, 0x1.d89c911620a32p-3, 0x1.db2b95bf4dd51p-3, 0x1.ddaeca6fb511p-3, 0x1.e02619035ad5bp-3, 0x1.e2916c63c3c9bp-3, 0x1.e4f0b0859a332p-3, 0x1.e743d26648e15p-3, 0x1.e98ac0098e2b6p-3, 0x1.ebc568770fd0dp-3, 0x1.edf3bbb7e1a79p-3, 0x1.f015aad407039p-3, 0x1.f22b27cff25b9p-3, 0x1.f43425a9ffa7p-3, 0x1.f6309857e0a94p-3, 0x1.f82074c412083p-3, 0x1.fa03b0cb3c27ep-3, 0x1.fbda4339a1383p-3, 0x1.fda423c87625ap-3, 0x1.ff614b1b3e2dfp-3, 0x1.0088d95e941b9p-2, 0x1.015aaa8f2f09dp-2, 0x1.022616c8a9e31p-2, 0x1.02eb1c240c44p-2, 0x1.03a9b928cea12p-2, 0x1.0461eccb7df2fp-2, 0x1.0513b66c5afd2p-2, 0x1.05bf15d5fdfb6p-2, 0x1.06640b3bf4256p-2, 0x1.070297395be21p-2, 0x1.079abacf824bdp-2, 0x1.082c77647e113p-2, 0x1.08b7cec1cb378p-2, 0x1.093cc312dfd31p-2, 0x1.09bb56e3c98cp-2, 0x1.0a338d1fc1755p-2, 0x1.0aa5690fc44acp-2, 0x1.0b10ee5927291p-2, 0x1.0b7620fc2d283p-2, 0x1.0bd505529ac1dp-2, 0x1.0c2da00e4bdc3p-2, 0x1.0c7ff637c56e5p-2, 0x1.0ccc0d2cc9579p-2, 0x1.0d11ea9ee642p-2, 0x1.0d5194920d3c1p-2, 0x1.0d8b115b212a1p-2, 0x1.0dbe679e89bccp-2, 0x1.0deb9e4ec2724p-2, 0x1.0e12bcaaecaaep-2, 0x1.0e33ca3d61becp-2, 0x1.0e4eceda41fe6p-2, 0x1.0e63d29e06c82p-2, 0x1.0e72ddec126a1p-2, 0x1.0e7bf96d41c6cp-2, 0x1.0e7f2e0e7c375p-2, 0x1.0e7c84ff46f25p-2, 0x1.0e7407b052bb2p-2, 0x1.0e65bfd212cd5p-2, 0x1.0e51b75349aaep-2, 0x1.0e37f85f9f974p-2, 0x1.0e188d5e32eap-2, 0x1.0df380f02e89fp-2, 0x1.0dc8ddef5a3fbp-2, 0x1.0d98af6cb364p-2, 0x1.0d6300aefe84p-2, 0x1.0d27dd3163236p-2, 0x1.0ce750a1fc7fdp-2, 0x1.0ca166e077158p-2, 0x1.0c562bfca638bp-2, 0x1.0c05ac35220b1p-2, 0x1.0baff3f5de673p-2, 0x1.0b550fd6cbe9dp-2, 0x1.0af50c9a74248p-2, 0x1.0a8ff72c98034p-2, 0x1.0a25dca0d298p-2, 0x1.09b6ca313a94bp-2, 0x1.0942cd3d06d8bp-2, 0x1.08c9f34734c19p-2, 0x1.084c49f52cb8ap-2, 0x1.07c9df0d71bfcp-2, 0x1.0742c07646e08p-2, 0x1.06b6fc34600a5p-2, 0x1.0626a069919f8p-2, 0x1.0591bb538001ap-2, 0x1.04f85b4a56986p-2, 0x1.045a8ebf7ca52p-2, 0x1.03b8643c4e0c3p-2, 0x1.0311ea60d964cp-2, 0x1.02672fe29932ap-2, 0x1.01b8438b38ffdp-2, 0x1.010534375680bp-2, 0x1.004e10d54aa2fp-2, 0x1.ff25d0c7daaaap-3, 0x1.fda793e2cfa6p-3, 0x1.fc21893400abap-3, 0x1.fa93cf0dd7e26p-3, 0x1.f8fe83da4d29bp-3, 0x1.f761c61891b9bp-3, 0x1.f5bdb45acd5b1p-3, 0x1.f4126d43d8198p-3, 0x1.f2600f8502098p-3, 0x1.f0a6b9dbdf745p-3, 0x1.eee68b101cedep-3, 0x1.ed1fa1f156efdp-3, 0x1.eb521d550068ap-3, 0x1.e97e1c1443227p-3, 0x1.e7a3bd09fb6e1p-3, 0x1.e5c31f10a4dabp-3, 0x1.e3dc610061507p-3, 0x1.e1efa1acfd875p-3, 0x1.dffcffe3fd694p-3, 0x1.de049a6ab686ap-3, 0x1.dc068ffc6a8aep-3, 0x1.da02ff4871869p-3, 0x1.d7fa06f06357dp-3, 0x1.d5ebc58650e88p-3, 0x1.d3d8598b00f0dp-3, 0x1.d1bfe16c34a4ap-3, 0x1.cfa27b82fa738p-3, 0x1.cd804611fe258p-3, 0x1.cb595f43ed32dp-3, 0x1.c92de529d4123p-3, 0x1.c6fdf5b9996f6p-3, 0x1.c4c9aecc698c4p-3, 0x1.c2912e1d3c058p-3, 0x1.c054914756f39p-3, 0x1.be13f5c4e01edp-3, 0x1.bbcf78ed737a7p-3, 0x1.b98737f4c26b3p-3, 0x1.b73b4fe93bda3p-3, 0x1.b4ebddb2ba6fap-3, 0x1.b298fe113e3d3p-3, 0x1.b042cd9baace1p-3, 0x1.ade968be8ee41p-3, 0x1.ab8cebbaf33e3p-3, 0x1.a92d72a53690cp-3, 0x1.a6cb1963e7bb8p-3, 0x1.a465fbaead311p-3, 0x1.a1fe350d38afp-3, 0x1.9f93e0d63a14fp-3, 0x1.9d271a2e604e1p-3, 0x1.9ab7fc075bfd8p-3, 0x1.9846a11ef1ffcp-3, 0x1.95d323fe0c29ap-3, 0x1.935d9ef7db9efp-3, 0x1.90e62c28f500dp-3, 0x1.8e6ce576853d4p-3, 0x1.8bf1e48d7e73ep-3, 0x1.897542e1d20c4p-3, 0x1.86f719adb7fe8p-3, 0x1.847781f0ed4f5p-3, 0x1.81f694700cefep-3, 0x1.7f7469b3e1946p-3, 0x1.7cf11a08c2f97p-3, 0x1.7a6cbd7dfa33ap-3, 0x1.77e76be52d079p-3, 0x1.75613cd1cf6b4p-3, 0x1.72da47989b2eep-3, 0x1.7052a34f0eaf5p-3, 0x1.6dca66caefeeep-3, 0x1.6b41a8a1dcdf2p-3, 0x1.68b87f28d6643p-3, 0x1.662f0073dcef2p-3, 0x1.63a542558a758p-3, 0x1.611b5a5eba7acp-3, 0x1.5e915dde321afp-3, 0x1.5c0761e04e3c6p-3, 0x1.597d7b2eb7ea7p-3, 0x1.56f3be5026c3p-3, 0x1.546a3f8818d59p-3, 0x1.51e112d69cfb4p-3, 0x1.4f584bf81ef15p-3, 0x1.4ccffe6536f83p-3, 0x1.4a483d52823e6p-3, 0x1.47c11bb07d0dap-3, 0x1.453aac2b615e5p-3, 0x1.42b5012b10d9ap-3, 0x1.40302cd2fd1a1p-3, 0x1.3dac410218b71p-3, 0x1.3b294f52c8513p-3, 0x1.38a7691ae291fp-3, 0x1.36269f6ba2fa2p-3, 0x1.33a70311b713ap-3, 0x1.3128a49540339p-3, 0x1.2eab9439dfcb2p-3, 0x1.2c2fe1fec65b6p-3, 0x1.29b59d9ec50cdp-3, 0x1.273cd6906ab6bp-3, 0x1.24c59c061c7f7p-3, 0x1.224ffcee34a6bp-3, 0x1.1fdc07f32afaep-3, 0x1.1d69cb7bb8ea3p-3, 0x1.1af955ab057dp-3, 0x1.188ab460d5b75p-3, 0x1.161df539c07e1p-3, 0x1.13b3258f635dfp-3, 0x1.114a527899f5ep-3, 0x1.0ee388c9c1b1bp-3, 0x1.0c7ed514f59a7p-3, 0x1.0a1c43aa53d3dp-3, 0x1.07bbe09844db6p-3, 0x1.055db7abc56bdp-3, 0x1.0301d470b3e5p-3, 0x1.00a842322056fp-3, 0x1.fca217f53c9fdp-4, 0x1.f7f879293eebap-4, 0x1.f353bd158c6a3p-4, 0x1.eeb3f8508d051p-4, 0x1.ea193ef27d65p-4, 0x1.e583a4963b039p-4, 0x1.e0f33c59fea54p-4, 0x1.dc6818e034bbep-4, 0x1.d7e24c503eea3p-4, 0x1.d361e857536f5p-4, 0x1.cee6fe295204dp-4, 0x1.ca719e819a7e1p-4, 0x1.c601d9a3fc098p-4, 0x1.c197bf5d884bdp-4, 0x1.bd335f058ef15p-4, 0x1.b8d4c77e7b577p-4, 0x1.b47c0736d01e2p-4, 0x1.b0292c2a14a63p-4, 0x1.abdc43e1c999fp-4, 0x1.a7955b767290ep-4, 0x1.a3547f90800ap-4, 0x1.9f19bc6961dbep-4, 0x1.9ae51dcc7f414p-4, 0x1.96b6af1843d54p-4, 0x1.928e7b3f263a1p-4, 0x1.8e6c8cc8b6d74p-4, 0x1.8a50edd2a8ca1p-4, 0x1.863ba811eda8ap-4, 0x1.822cc4d3b9b1dp-4, 0x1.7e244cfea8898p-4, 0x1.7a224913c6289p-4, 0x1.7626c12fb47a3p-4, 0x1.7231bd0bbe7fcp-4, 0x1.6e4343fef6e4fp-4, 0x1.6a5b5cff57a15p-4, 0x1.667a0ea2e2a85p-4, 0x1.629f5f20be06dp-4, 0x1.5ecb54525e12ap-4, 0x1.5afdf3b4a3fe5p-4, 0x1.57374269001eep-4, 0x1.53774536a0ae4p-4, 0x1.4fbe008b8e9cep-4, 0x1.4c0b787ddd8fcp-4, 0x1.485fb0cccd44cp-4, 0x1.44baace1f7ce8p-4, 0x1.411c6fd277043p-4, 0x1.3d84fc600f931p-4, 0x1.39f454fa5d4a9p-4, 0x1.366a7bbff85fbp-4, 0x1.32e7727fa83b7p-4, 0x1.2f6b3ab985c07p-4, 0x1.2bf5d5a02b48fp-4, 0x1.28874419dd14ap-4, 0x1.251f86c1b3ffdp-4, 0x1.21be9de8c91b7p-4, 0x1.1e6489975e752p-4, 0x1.1b11498e0919fp-4, 0x1.17c4dd46d92ap-4, 0x1.147f43f683278p-4, 0x1.11407c8d8adabp-4, 0x1.0e0885b962f39p-4, 0x1.0ad75de59cae7p-4, 0x1.07ad033d05e03p-4, 0x1.048973aad29f1p-4, 0x1.016cacdbc14aap-4, 0x1.fcad587e70229p-5, 0x1.f68ede10d8f8cp-5, 0x1.f07de45f02fa2p-5, 0x1.ea7a64e55146ap-5, 0x1.e48458ae783d8p-5, 0x1.de9bb855bfeb3p-5, 0x1.d8c07c0937b15p-5, 0x1.d2f29b8be885p-5, 0x1.cd320e380a594p-5, 0x1.c77ecb012e9ffp-5, 0x1.c1d8c87669bd3p-5, 0x1.bc3ffcc47cd4bp-5, 0x1.b6b45db800ff7p-5, 0x1.b135e0bf72d6ap-5, 0x1.abc47aed6dd8bp-5, 0x1.a66020faa92d8p-5, 0x1.a108c74821195p-5, 0x1.9bbe61e11a70ap-5, 0x1.9680e47d3d44p-5, 0x1.915042829c8ccp-5, 0x1.8c2c6f07afc62p-5, 0x1.87155cd564cdfp-5, 0x1.820afe69159f1p-5, 0x1.7d0d45f68082bp-5, 0x1.781c2569bf8d6p-5, 0x1.73378e693cf14p-5, 0x1.6e5f7257977b6p-5, 0x1.6993c2558fdc9p-5, 0x1.64d46f43ec184p-5, 0x1.602169c54efcfp-5, 0x1.5b7aa2401dafep-5, 0x1.56e008e0458d7p-5, 0x1.52518d991dd6p-5, 0x1.4dcf202724c3p-5, 0x1.4958b011cdd96p-5, 0x1.44ee2cad42dd8p-5, 0x1.408f851c1caf8p-5, 0x1.3c3ca85121145p-5, 0x1.37f58510f1b81p-5, 0x1.33ba09f3b9c79p-5, 0x1.2f8a2566d9c88p-5, 0x1.2b65c5ae893c4p-5, 0x1.274cd8e77464ep-5, 0x1.233f4d0857936p-5, 0x1.1f3d0fe395888p-5, 0x1.1b460f28c0778p-5, 0x1.175a38662ac5fp-5, 0x1.1379790a6471ap-5, 0x1.0fa3be65c62ffp-5, 0x1.0bd8f5abe11a6p-5, 0x1.08190bf4f5bfep-5, 0x1.0463ee3f6a813p-5, 0x1.00b989712ddf5p-5, 0x1.fa3394b24818ap-6, 0x1.f3093b610244cp-6, 0x1.ebf3e0384e725p-6, 0x1.e4f35c5bf3dadp-6, 0x1.de0788cc65391p-6, 0x1.d7303e69558c9p-6, 0x1.d06d55f439286p-6, 0x1.c9bea812db2acp-6, 0x1.c3240d51c7537p-6, 0x1.bc9d5e26bae38p-6, 0x1.b62a72f3081e7p-6, 0x1.afcb2405ee894p-6, 0x1.a97f499ee67e3p-6, 0x1.a346bbefe7205p-6, 0x1.9d21531fa8157p-6, 0x1.970ee74bc936fp-6, 0x1.910f508af3399p-6, 0x1.8b2266eefa70ep-6, 0x1.85480286f1643p-6, 0x1.7f7ffb6130d4bp-6, 0x1.79ca298d47d72p-6, 0x1.7426651e097b4p-6, 0x1.6e94862b5b1e8p-6, 0x1.691464d4280a3p-6, 0x1.63a5d9402970dp-6, 0x1.5e48bba1c70c6p-6, 0x1.58fce437c18dbp-6, 0x1.53c22b4efc01fp-6, 0x1.4e9869442f67cp-6, 0x1.497f7685816a9p-6, 0x1.44772b943472ep-6, 0x1.3f7f61063102ep-6, 0x1.3a97ef878e5e9p-6, 0x1.35c0afdc1e05p-6, 0x1.30f97ae0e20cap-6, 0x1.2c42298d7a5a2p-6, 0x1.279a94f58b81bp-6, 0x1.2302964a216ffp-6, 0x1.1e7a06db04b37p-6, 0x1.1a00c01805386p-6, 0x1.15969b923dfbp-6, 0x1.113b72fd596ddp-6, 0x1.0cef2030c0c3ep-6, 0x1.08b17d28bd278p-6, 0x1.04826407b0deep-6, 0x1.0061af1720961p-6, 0x1.f89e71919f525p-7, 0x1.f095b76f987e6p-7, 0x1.e8a8e552d39aep-7, 0x1.e0d7b11c98fc3p-7, 0x1.d921d1069fffp-7, 0x1.d186fba4f7642p-7, 0x1.ca06e7e7c4dc3p-7, 0x1.c2a14d1d12a62p-7, 0x1.bb55e2f2718cap-7, 0x1.b424617698131p-7, 0x1.ad0c811af6602p-7, 0x1.a60dfab52c9aap-7, 0x1.9f2887809ed3ep-7, 0x1.985be11fbfc38p-7, 0x1.91a7c19d82eb3p-7, 0x1.8b0be36e8423p-7, 0x1.8488017276ecep-7, 0x1.7e1bd6f534ab7p-7, 0x1.77c71fb003256p-7, 0x1.718997ca852e1p-7, 0x1.6b62fbdbf316p-7, 0x1.655308ec071bp-7, 0x1.5f597c73ef79ap-7, 0x1.5976145f4bc13p-7, 0x1.53a88f0cf1dbep-7, 0x1.4df0ab4fdd5p-7, 0x1.484e286fd6b9fp-7, 0x1.42c0c62a5a9bap-7, 0x1.3d4844b3172e1p-7, 0x1.37e464b4d9aa1p-7, 0x1.3294e751d69fp-7, 0x1.2d598e2496872p-7, 0x1.28321b402def2p-7, 0x1.231e5130f8ecap-7, 0x1.1e1df2fce981ep-7, 0x1.1930c42416e37p-7, 0x1.145688a104427p-7, 0x1.0f8f04e8f441bp-7, 0x1.0ad9fdec5ee5fp-7, 0x1.063739171825ap-7, 0x1.01a67c50981bap-7, 0x1.fa4f1bf87b322p-8, 0x1.f17469f2ca2bap-8, 0x1.e8bc714755642p-8, 0x1.e026c1a5da0dep-8, 0x1.d7b2ebb6f3874p-8, 0x1.cf60811c1e2b2p-8, 0x1.c72f146fdfd96p-8, 0x1.bf1e3945a3175p-8, 0x1.b72d8429c83b1p-8, 0x1.af5c8aa177425p-8, 0x1.a7aae32aa453p-8, 0x1.a018253b78dcbp-8, 0x1.98a3e94275a75p-8, 0x1.914dc8a5e5868p-8, 0x1.8a155dc395029p-8, 0x1.82fa43f06e241p-8, 0x1.7bfc1777e8566p-8, 0x1.751a759bb0959p-8, 0x1.6e54fc9302ccap-8, 0x1.67ab4b8a0ebd5p-8, 0x1.611d02a17174fp-8, 0x1.5aa9c2ed5fa88p-8, 0x1.54512e753e1f8p-8, 0x1.4e12e8326e552p-8, 0x1.47ee940ffb274p-8, 0x1.41e3d6e9738a2p-8, 0x1.3bf2568a32731p-8, 0x1.3619b9ac7b69bp-8, 0x1.3059a7f887e67p-8, 0x1.2ab1ca039619p-8, 0x1.2521c94edbd17p-8, 0x1.1fa95046a50a1p-8, 0x1.1a480a4114fe1p-8, 0x1.14fda37d5506ap-8, 0x1.0fc9c92237dcp-8, 0x1.0aac293d4bbc4p-8, 0x1.05a472c19310dp-8, 0x1.00b2558671fdep-8, 0x1.f7ab048c89f1ap-9, 0x1.ee1b553b05651p-9, 0x1.e4b502122e02bp-9, 0x1.db7771cac1885p-9, 0x1.d2620cd9bcda2p-9, 0x1.c9743d6d8ff01p-9, 0x1.c0ad6f6b91f05p-9, 0x1.b80d106d5022cp-9, 0x1.af928fbdd7d25p-9, 0x1.a73d5e56ee2bcp-9, 0x1.9f0ceede2a45cp-9, 0x1.9700b5a24fe61p-9, 0x1.8f18289887f03p-9, 0x1.8752bf5900449p-9, 0x1.7faff31ccc814p-9, 0x1.782f3eba0a07dp-9, 0x1.70d01ea1d9836p-9, 0x1.699210dcc94cbp-9, 0x1.62749507e3a01p-9, 0x1.5b772c521ad62p-9, 0x1.5499597890e13p-9, 0x1.4ddaa0c435103p-9, 0x1.473a88063ec67p-9, 0x1.40b896954ff56p-9, 0x1.3a54554a43b56p-9, 0x1.340d4e7d15a39p-9, 0x1.2de30e01dfc46p-9, 0x1.27d52125a52b3p-9, 0x1.21e316ab06ae1p-9, 0x1.1c0c7ec7574cap-9, 0x1.1650eb1f67f84p-9, 0x1.10afeec43465fp-9, 0x1.0b291e300e8a1p-9, 0x1.05bc0f42ff6aap-9, 0x1.0068593ffe6d7p-9, 0x1.f65b2993196cep-10, 0x1.ec16b7bd2b88p-10, 0x1.e20293ae6e8cfp-10, 0x1.d81df6c372c27p-10, 0x1.ce681cfe4d51p-10, 0x1.c4e0450082037p-10, 0x1.bb85b004a1991p-10, 0x1.b257a1d7d733cp-10, 0x1.a95560d3bef54p-10, 0x1.a07e35d7ba019p-10, 0x1.97d16c42efe52p-10, 0x1.8f4e51ee3735bp-10, 0x1.86f43724bd519p-10, 0x1.7ec26e9f099a4p-10, 0x1.76b84d7bb1967p-10, 0x1.6ed52b3a189fp-10, 0x1.671861b2d8911p-10, 0x1.5f814d1306565p-10, 0x1.580f4bd4e2a62p-10, 0x1.50c1beb9fd326p-10, 0x1.499808c5751a8p-10, 0x1.42918f35462c7p-10, 0x1.3badb97c4028bp-10, 0x1.34ebf13c92a4ap-10, 0x1.2e4ba240ba97ep-10, 0x1.27cc3a7649eb5p-10, 0x1.216d29e7892aep-10, 0x1.1b2de2b57c4cbp-10, 0x1.150dd911fbbbcp-10, 0x1.0f0c833a1c33p-10, 0x1.0929596f60f8bp-10, 0x1.0363d5f322bdcp-10, 0x1.fb76e9ff1b36dp-11, 0x1.f05f69853b192p-11, 0x1.e5802aafcd7d3p-11, 0x1.dad831869a45dp-11, 0x1.d06685d5a7e8bp-11, 0x1.c62a332291934p-11, 0x1.bc2248a0e59c6p-11, 0x1.b24dd92756f4ap-11, 0x1.a8abfb246d8fdp-11, 0x1.9f3bc8933e759p-11, 0x1.95fc5ef12bbbfp-11, 0x1.8cecdf31fcf15p-11, 0x1.840c6db5ea862p-11, 0x1.7b5a323ee093fp-11, 0x1.72d557e4d079ap-11, 0x1.6a7d0d0cc3baep-11, 0x1.6250835c6f8f2p-11, 0x1.5a4eefb1df4dp-11, 0x1.52778a170953p-11, 0x1.4ac98db95d136p-11, 0x1.434438de446d9p-11, 0x1.3be6ccd9acbe1p-11, 0x1.34b08e04303b5p-11, 0x1.2da0c3b057d62p-11, 0x1.26b6b82180296p-11, 0x1.1ff1b88215fadp-11, 0x1.195114d94b661p-11, 0x1.12d420020848bp-11, 0x1.0c7a2fa1388cap-11, 0x1.06429c1c4982cp-11, 0x1.002cc09023fd9p-11, 0x1.f46ff58ef537cp-12, 0x1.e8c7566322e4dp-12, 0x1.dd5e69b3e1255p-12, 0x1.d233fabc5a0dfp-12, 0x1.c746d9cc5a14ap-12, 0x1.bc95dc34ae7f4p-12, 0x1.b21fdc370df28p-12, 0x1.a7e3b8f3afe09p-12, 0x1.9de05658b03dp-12, 0x1.94149d1116dd2p-12, 0x1.8a7f7a73f14fap-12, 0x1.811fe072f80f8p-12, 0x1.77f4c58b65c3dp-12, 0x1.6efd24b43f38cp-12, 0x1.6637fd4f4dc05p-12, 0x1.5da45318053f2p-12, 0x1.55412e14d7457p-12, 0x1.4d0d9a8656cf1p-12, 0x1.4508a8d8a9159p-12, 0x1.3d316d939f35bp-12, 0x1.3587014c493c1p-12, 0x1.2e0880945cff6p-12, 0x1.26b50bed2874dp-12, 0x1.1f8bc7b860d47p-12, 0x1.188bdc28565d5p-12, 0x1.11b4753390002p-12, 0x1.0b04c28508984p-12, 0x1.047bf76f2059cp-12, 0x1.fc3295ba347f9p-13, 0x1.efb7ee8ae4345p-13, 0x1.e386753a23123p-13, 0x1.d79cac9117558p-13, 0x1.cbf91e20fddbep-13, 0x1.c09a5a25ad352p-13, 0x1.b57ef76da356bp-13, 0x1.aaa593402eb85p-13, 0x1.a00cd14409d52p-13, 0x1.95b35b6621e9p-13, 0x1.8b97e1c121226p-13, 0x1.81b91a846b6a7p-13, 0x1.7815c1deb750dp-13, 0x1.6eac99e1582bcp-13, 0x1.657c6a6d12124p-13, 0x1.5c840119f26abp-13, 0x1.53c2311ed682bp-13, 0x1.4b35d33bac354p-13, 0x1.42ddc5a45a1a3p-13, 0x1.3ab8ebe89560ep-13, 0x1.32c62edf49e67p-13, 0x1.2b047c9198e99p-13, 0x1.2372c8240277ap-13, 0x1.1c1009c2870f5p-13, 0x1.14db3e8c70fdbp-13, 0x1.0dd3687e08819p-13, 0x1.06f78e5f2cd59p-13, 0x1.0046bbace0b17p-13, 0x1.f380010e418cdp-14, 0x1.e6c4e3398740dp-14, 0x1.da5a5032991p-14, 0x1.ce3e8322491fap-14, 0x1.c26fbfdf9478ap-14, 0x1.b6ec52c99871ep-14, 0x1.abb290a28d50bp-14, 0x1.a0c0d670129dap-14, 0x1.961589548b9e2p-14, 0x1.8baf166c39cf1p-14, 0x1.818bf2acb47a7p-14, 0x1.77aa9ac29b0e4p-14, 0x1.6e0992f08a459p-14, 0x1.64a766ec7271bp-14, 0x1.5b82a9c23395fp-14, 0x1.5299f5b16ac4p-14, 0x1.49ebec0faa98bp-14, 0x1.417735266314p-14, 0x1.393a80191389bp-14, 0x1.313482c29dacbp-14, 0x1.2963f99a93fa5p-14, 0x1.21c7a79632ff8p-14, 0x1.1a5e560d3f897p-14, 0x1.1326d49b8ef35p-14, 0x1.0c1ff90652bp-14, 0x1.05489f2045652p-14, 0x1.fd3f515bfb59cp-15, 0x1.f047fa98b2fbfp-15, 0x1.e3a914a989b7p-15, 0x1.d760858898d2cp-15, 0x1.cb6c3e40dfcdcp-15, 0x1.bfca3abeb63bfp-15, 0x1.b478819e18ed5p-15, 0x1.a97523f85c844p-15, 0x1.9ebe3d3399663p-15, 0x1.9451f2d4433c9p-15, 0x1.8a2e744f9cf54p-15, 0x1.8051fada66778p-15, 0x1.76bac93df5fb9p-15, 0x1.6d672bab2e1b5p-15, 0x1.6455778de336ap-15, 0x1.5b840b6221d47p-15, 0x1.52f14e8a84ab7p-15, 0x1.4a9bb12362e72p-15, 0x1.4281abdd27ee2p-15, 0x1.3aa1bfcfe79d6p-15, 0x1.32fa765844b2fp-15, 0x1.2b8a60eb2d071p-15, 0x1.245018f0dcd21p-15, 0x1.1d4a3fa1c5cf8p-15, 0x1.16777ddb5f723p-15, 0x1.0fd6840016176p-15, 0x1.096609cfc9be2p-15, 0x1.0324ce47ea435p-15, 0x1.fa232ef70b60bp-16, 0x1.ee5664e8fafaep-16, 0x1.e2e0e61da484ap-16, 0x1.d7c067b530916p-16, 0x1.ccf2abeddafa6p-16, 0x1.c27581e982fe5p-16, 0x1.b846c56cac6f9p-16, 0x1.ae645e9b6dd1ep-16, 0x1.a4cc41c4668abp-16, 0x1.9b7c6f1b40942p-16, 0x1.9272f2847633fp-16, 0x1.89ade3556ce86p-16, 0x1.812b641d63571p-16, 0x1.78e9a26f21c91p-16, 0x1.70e6d6a280fcep-16, 0x1.692143a499b94p-16, 0x1.619736c0e97fdp-16, 0x1.5a470767fa418p-16, 0x1.532f17006b8f9p-16, 0x1.4c4dd0b2ae3b8p-16, 0x1.45a1a9342fd9dp-16, 0x1.3f291e99842d8p-16, 0x1.38e2b823ed3b3p-16, 0x1.32cd06131ac7dp-16, 0x1.2ce6a1756855bp-16, 0x1.272e2bfaa7f91p-16, 0x1.21a24fc5ebed6p-16, 0x1.1c41bf421ddcbp-16, 0x1.170b34f4c10e6p-16, 0x1.11fd73576f7bap-16, 0x1.0d1744a8ced3p-16, 0x1.08577ac5cedc8p-16, 0x1.03bceeffe7babp-16, 0x1.fe8d03eea05f8p-17, 0x1.f5e636e4acabdp-17, 0x1.ed83546d1f33ep-17, 0x1.e56247c92838dp-17, 0x1.dd8109a147335p-17, 0x1.d5dd9fc2a95a9p-17, 0x1.ce761cd48286ep-17, 0x1.c748a00f86d58p-17, 0x1.c05354fd75784p-17, 0x1.b99473334a6cfp-17, 0x1.b30a3e1029554p-17, 0x1.acb30478e90ebp-17, 0x1.a68d209e0dbe9p-17, 0x1.a096f7b8a9f78p-17, 0x1.9acef9cae2dadp-17, 0x1.9533a16a42b64p-17, 0x1.8fc3737e434d7p-17, 0x1.8a7cff0a83a4dp-17, 0x1.855edcf1ed27ep-17, 0x1.8067afc1276c4p-17, 0x1.7b96237783f71p-17, 0x1.76e8ed512cd36p-17, 0x1.725ecb9010574p-17, 0x1.6df6854a55901p-17, 0x1.69aeea387a364p-17, 0x1.6586d27ea4c4fp-17, 0x1.617d1e8223c7ap-17, 0x1.5d90b6b48e8dcp-17, 0x1.59c08b66efd53p-17, 0x1.560b949a5af8p-17, 0x1.5270d1d40742dp-17, 0x1.4eef49f0728dap-17, 0x1.4b860af6cd9ddp-17, 0x1.483429f0e7de4p-17, 0x1.44f8c2beb4d4cp-17, 0x1.41d2f7edf468p-17, 0x1.3ec1f2935e189p-17, 0x1.3bc4e2230713cp-17, 0x1.38dafc473f6a5p-17, 0x1.36037cbe57dc9p-17, 0x1.333da533dc5a3p-17, 0x1.3088bd1b61051p-17, 0x1.2de4118f1817cp-17, 0x1.2b4ef52acb4bbp-17, 0x1.28c8bfea64335p-17, 0x1.2650cf09c4a81p-17, 0x1.23e684e2ca1f6p-17, 0x1.218948cd1055dp-17, 0x1.1f3886ff94e39p-17, 0x1.1cf3b0707491dp-17, 0x1.1aba3ab7f8607p-17, 0x1.188b9ff229ae7p-17, 0x1.16675ea227e1dp-17, 0x1.144cf99680065p-17, 0x1.123bf7cd090fap-17, 0x1.1033e4579a95fp-17, }}, 
      {{0x1.736454af527ep-2, 0x1.7342479166884p-2, 0x1.7311ec2727c68p-2, 0x1.72dd76591d71p-2, 0x1.72afc8fbfee26p-2, 0x1.7292df86bf13dp-2, 0x1.728ed25d6fca3p-2, 0x1.72a962237dfa9p-2, 0x1.72e5e460215b1p-2, 0x1.73456d40e7634p-2, 0x1.73c71afc09c27p-2, 0x1.7468708b5e5ddp-2, 0x1.7525b48f5f44ap-2, 0x1.75fa4dbfac0bap-2, 0x1.76e118f51905p-2, 0x1.77d4b65097e5ap-2, 0x1.78cfcbe2d4421p-2, 0x1.79cd3cde6b334p-2, 0x1.7ac854f3d762dp-2, 0x1.7bbce803c061cp-2, 0x1.7ca766d48a6d6p-2, 0x1.7d84e9e105152p-2, 0x1.7e5333a0c8946p-2, 0x1.7f10abd469628p-2, 0x1.7fbc556a22f5cp-2, 0x1.8055c07fa6af5p-2, 0x1.80dcf9e2488a7p-2, 0x1.8152793e7c32ap-2, 0x1.81b70ef934034p-2, 0x1.820bd2763dadp-2, 0x1.8252115a7c6a9p-2, 0x1.828b402a14d8cp-2, 0x1.82b8ec7b41457p-2, 0x1.82dcb0d6a0526p-2, 0x1.82f82a4589c64p-2, 0x1.830cef7d7d08dp-2, 0x1.831c898c353eap-2, 0x1.83286de135223p-2, 0x1.8331f98ebb2d7p-2, 0x1.833a6d9be5bcbp-2, 0x1.8342ec43a810dp-2, 0x1.834c76ff2bb55p-2, 0x1.8357ed3ddea17p-2, 0x1.83660bb13d78ep-2, 0x1.83776c161ed82p-2, 0x1.838c8568a9a9dp-2, 0x1.83a5ac731484fp-2, 0x1.83c314a9cce19p-2, 0x1.83e4d149a6325p-2, 0x1.840ad6ae4de9ap-2, 0x1.8434fbd877823p-2, 0x1.8462fc1c14d15p-2, 0x1.849478efa8105p-2, 0x1.84c8fbd62698dp-2, 0x1.84fff85d576bap-2, 0x1.8538ce2ad1c66p-2, 0x1.8572cb1209eeep-2, 0x1.85ad2d2e29f5fp-2, 0x1.85e724fa9ede4p-2, 0x1.861fd765b408fp-2, 0x1.86565fd8cff9ap-2, 0x1.8689d23257da9p-2, 0x1.86b93cada7667p-2, 0x1.86e3a9b5f0e6ep-2, 0x1.870821a1548a4p-2, 0x1.8725ac51f9ec6p-2, 0x1.873b52bb5e051p-2, 0x1.8748204a90ea4p-2, 0x1.874b243077a8dp-2, 0x1.8743728da6e45p-2, 0x1.8730257fbe0d6p-2, 0x1.87105e108fb5p-2, 0x1.86e34507a49b3p-2, 0x1.86a80b9f06869p-2, 0x1.865dec1c61602p-2, 0x1.86042a4fcda98p-2, 0x1.859a13f9b942ep-2, 0x1.851f011980eb6p-2, 0x1.8492542666dbdp-2, 0x1.83f37a349cf66p-2, 0x1.8341eb0820834p-2, 0x1.827d2917256f6p-2, 0x1.81a4c17dcbef6p-2, 0x1.80b84be4c3395p-2, 0x1.7fb76a5c8460cp-2, 0x1.7ea1c92ea0028p-2, 0x1.7d771ea69f932p-2, 0x1.7c372ad3cdd8ap-2, 0x1.7ae1b745314a5p-2, 0x1.797696c0db0cep-2, 0x1.77f5a4f7a1d23p-2, 0x1.765ec636368a8p-2, 0x1.74b1e71473a5fp-2, 0x1.72eefc23a7178p-2, 0x1.7116019c822e9p-2, 0x1.6f26fb0d43efcp-2, 0x1.6d21f30898a01p-2, 0x1.6b06fad59f1a9p-2, 0x1.68d62a2162a9ap-2, 0x1.668f9eb21c83ap-2, 0x1.64337c1c639e5p-2, 0x1.61c1eb7a86aa2p-2, 0x1.5f3b1b261e479p-2, 0x1.5c9f3e73f32bbp-2, 0x1.59ee8d723d0bp-2, 0x1.572944a93e3f7p-2, 0x1.544fa4de30bap-2, 0x1.5161f2d8812c8p-2, 0x1.4e607729403a7p-2, 0x1.4b4b7df4bcf04p-2, 0x1.482356be2b08dp-2, 0x1.44e8543542fap-2, 0x1.419acc05bf31p-2, 0x1.3e3b16a89cfcdp-2, 0x1.3ac98f37048fep-2, 0x1.3746933ec1abep-2, 0x1.33b2829833037p-2, 0x1.300dbf3d942d5p-2, 0x1.2c58ad2392531p-2, 0x1.2893b2130c618p-2, 0x1.24bf3583f50dcp-2, 0x1.20dba0793eefdp-2, 0x1.1ce95d5dbfc7ep-2, 0x1.18e8d7e205386p-2, 0x1.14da7cdb02c31p-2, 0x1.10beba2198281p-2, 0x1.0c95fe72e0c37p-2, 0x1.0860b951431bbp-2, 0x1.041f5ae64113p-2, 0x1.ffa4a7c9fa97ep-3, 0x1.f6f42adae558ap-3, 0x1.ee2e21e0c0656p-3, 0x1.e5537027c5091p-3, 0x1.dc64f9317f368p-3, 0x1.d363a080b94bep-3, 0x1.ca504966da264p-3, 0x1.c12bd6d295dbcp-3, 0x1.b7f72b2016eeap-3, 0x1.aeb327ea89fbep-3, 0x1.a560addf23a58p-3, 0x1.9c009c919b70ap-3, 0x1.9293d25225452p-3, 0x1.891b2c04efb72p-3, 0x1.7f9784fb2b7f5p-3, 0x1.7609b6cda32cbp-3, 0x1.6c729938e06b6p-3, 0x1.62d301faf0788p-3, 0x1.592bc4b2bd34cp-3, 0x1.4f7db2c106455p-3, 0x1.45c99b2afce62p-3, 0x1.3c104a7e79a25p-3, 0x1.32528ab7d924p-3, 0x1.289123297ad4bp-3, 0x1.1eccd864d5deep-3, 0x1.15066c2537ea9p-3, 0x1.0b3e9d3c12507p-3, 0x1.0176277ee1331p-3, 0x1.ef5b876d51f1bp-4, 0x1.dbcc4f21e4cf6p-4, 0x1.c8400b24adf29p-4, 0x1.b4b81a150609fp-4, 0x1.a135d41356374p-4, 0x1.8dba8aaeec826p-4, 0x1.7a4788d681e9cp-4, 0x1.66de12cb7c16dp-4, 0x1.537f6617c6793p-4, 0x1.402cb986337acp-4, 0x1.2ce73d1d4ab42p-4, 0x1.19b01a1c71aa4p-4, 0x1.068872fb4e01p-4, 0x1.e6e2c6d6a83dp-5, 0x1.c0d800b6ba9ccp-5, 0x1.9af2affa67f23p-5, 0x1.7534e399f3ef5p-5, 0x1.4fa09d349f5c1p-5, 0x1.2a37d1263aa04p-5, 0x1.04fc669fda81bp-5, 0x1.bfe06f86cc836p-6, 0x1.762a2383c69bdp-6, 0x1.2cd969f87b8f3p-6, 0x1.c7e354997113bp-7, 0x1.36ec65b1522c4p-7, 0x1.4da8e4cc726fep-8, 0x1.7a1b5067d8cc1p-11, -0x1.da972153acffbp-9, -0x1.03fc2b190d62dp-7, -0x1.905bc7849a8b6p-7, -0x1.0ddf8ff7a6dfap-6, -0x1.53107206cdbp-6, -0x1.97bdf818b6f2p-6, -0x1.dbe5a6441b25ep-6, -0x1.0fc28b15cd0bap-5, -0x1.314cfb4d8b2adp-5, -0x1.5291059251739p-5, -0x1.738d95de9e744p-5, -0x1.9441a22cbe5d5p-5, -0x1.b4ac2a453c93ep-5, -0x1.d4cc378d89561p-5, -0x1.f4a0dcd6e9436p-5, -0x1.0a149b16e3873p-4, -0x1.19b23454b8c6ap-4, -0x1.2928d11e35057p-4, -0x1.38780cc2a6b4ap-4, -0x1.479f86d02b549p-4, -0x1.569ee2fcd202cp-4, -0x1.6575c9101c521p-4, -0x1.7423e4cce36a2p-4, -0x1.82a8e5dbaf7fcp-4, -0x1.91047fb57934fp-4, -0x1.9f36698ee4021p-4, -0x1.ad3e5e43ea43ep-4, -0x1.bb1c1c440a3d4p-4, -0x1.c8cf657ee7345p-4, -0x1.d657ff5166c36p-4, -0x1.e3b5b27355f98p-4, -0x1.f0e84ae582969p-4, -0x1.fdef97e05d7fep-4, -0x1.0565b5e188a81p-3, -0x1.0bbdce018d8b2p-3, -0x1.1200008e3463ep-3, -0x1.182c3b40f1812p-3, -0x1.1e426d473b9d4p-3, -0x1.2442873b5049fp-3, -0x1.2a2c7b1d31899p-3, -0x1.30003c4bd9f0ap-3, -0x1.35bdbf7eac985p-3, -0x1.3b64fabf1c7b2p-3, -0x1.40f5e56287b6bp-3, -0x1.4670780445d2ep-3, -0x1.4bd4ac7fe90c9p-3, -0x1.51227debb3865p-3, -0x1.5659e89336b2p-3, -0x1.5b7ae9f221583p-3, -0x1.608580af3e016p-3, -0x1.6579ac9791ea4p-3, -0x1.6a576e99a9b55p-3, -0x1.6f1ec8c10befap-3, -0x1.73cfbe31cc20ep-3, -0x1.786a53244029ap-3, -0x1.7cee8ce0de17cp-3, -0x1.815c71bc2b92bp-3, -0x1.85b40912d319fp-3, -0x1.89f55b45d3a78p-3, -0x1.8e2071b6c64fcp-3, -0x1.923556c43abf6p-3, -0x1.963415c62b7a3p-3, -0x1.9a1cbb0a87352p-3, -0x1.9def53d1ca06bp-3, -0x1.a1abee4ba74c9p-3, -0x1.a5529993ca712p-3, -0x1.a8e365ae96ceap-3, -0x1.ac5e6386065cap-3, -0x1.afc3a4e683f7p-3, -0x1.b3133c7bd65b7p-3, -0x1.b64d3dce15b55p-3, -0x1.b971bd3ea20a6p-3, -0x1.bc80d0052435fp-3, -0x1.bf7a8c2c95ed6p-3, -0x1.c25f089048e37p-3, -0x1.c52e5cd8f5d61p-3, -0x1.c7e8a179c817cp-3, -0x1.ca8defad73a6ep-3, -0x1.cd1e61733ef4ap-3, -0x1.cf9a118c181bp-3, -0x1.d2011b77a0662p-3, -0x1.d4539b713d24bp-3, -0x1.d691ae6d1ecb2p-3, -0x1.d8bb721550017p-3, -0x1.dad104c6b4dc1p-3, -0x1.dcd2858e11ff5p-3, -0x1.dec0142505af7p-3, -0x1.e099d0ef02a3ap-3, -0x1.e25fdcf644b0cp-3, -0x1.e41259e8bf4b3p-3, -0x1.e5b16a1505001p-3, -0x1.e73d30672d2b9p-3, -0x1.e8b5d065b0e38p-3, -0x1.ea1b6e2e47e23p-3, -0x1.eb6e2e72b59bcp-3, -0x1.ecae36759d5d3p-3, -0x1.eddbac0743f23p-3, -0x1.eef6b582514b7p-3, -0x1.efff79c892248p-3, -0x1.f0f6203fa48ep-3, -0x1.f1dad0cdafe65p-3, -0x1.f2adb3d60c1c7p-3, -0x1.f36ef235e7306p-3, -0x1.f41eb540e9d25p-3, -0x1.f4bd26bdcdeebp-3, -0x1.f54a70e2fb62fp-3, -0x1.f5c6be531a23ep-3, -0x1.f6323a199f1cdp-3, -0x1.f68d0fa75bb29p-3, -0x1.f6d76acf01d6fp-3, -0x1.f71177c1ad633p-3, -0x1.f73b630b62037p-3, -0x1.f755598f8d879p-3, -0x1.f75f888584edap-3, -0x1.f75a1d75032ddp-3, -0x1.f7454632a0fdep-3, -0x1.f72130dc51daep-3, -0x1.f6ee0bd5df511p-3, -0x1.f6ac05c55e1b4p-3, -0x1.f65b4d8facef3p-3, -0x1.f5fc1254ed21bp-3, -0x1.f58e836cfdeeap-3, -0x1.f512d063fc261p-3, -0x1.f48928f6be55ap-3, -0x1.f3f1bd0f5a9ddp-3, -0x1.f34cbcc1a57f1p-3, -0x1.f29a5847c07acp-3, -0x1.f1dabffea1abfp-3, -0x1.f10e2462a349ep-3, -0x1.f034b60c18721p-3, -0x1.ef4ea5abe81a8p-3, -0x1.ee5c240825603p-3, -0x1.ed5d61f8b6c9bp-3, -0x1.ec529063fe6b8p-3, -0x1.eb3be03b87528p-3, -0x1.ea198278be5e7p-3, -0x1.e8eba819abfd8p-3, -0x1.e7b2821dbbfa8p-3, -0x1.e66e418287efp-3, -0x1.e51f1740a8be6p-3, -0x1.e3c5344899a8fp-3, -0x1.e260c97f96f8ep-3, -0x1.e0f207bc90096p-3, -0x1.df791fc51db36p-3, -0x1.ddf6424a81866p-3, -0x1.dc699fe6b0705p-3, -0x1.dad3691969b67p-3, -0x1.d933ce4551721p-3, -0x1.d78affad202adp-3, -0x1.d5d92d70ce09cp-3, -0x1.d41e878adbf58p-3, -0x1.d25b3dcd9766ep-3, -0x1.d08f7fe0743b4p-3, -0x1.cebb7d3d6aec6p-3, -0x1.ccdf652e68609p-3, -0x1.cafb66caca0a9p-3, -0x1.c90fb0f4dbcc4p-3, -0x1.c71c7257703cep-3, -0x1.c521d9637b924p-3, -0x1.c320144dc1e4bp-3, -0x1.c117510c87347p-3, -0x1.bf07bd555c76bp-3, -0x1.bcf1869ae9ff1p-3, -0x1.bad4da0acfe6p-3, -0x1.b8b1e48b901cbp-3, -0x1.b688d2ba8af9cp-3, -0x1.b459d0e9ff4a1p-3, -0x1.b2250b1f1dbc8p-3, -0x1.afeaad102d033p-3, -0x1.adaae222b41d8p-3, -0x1.ab65d569b3961p-3, -0x1.a91bb1a3ef772p-3, -0x1.a6cca13a43ccdp-3, -0x1.a478ce3e073b1p-3, -0x1.a22062677ac45p-3, -0x1.9fc3871445e12p-3, -0x1.9d626546026d6p-3, -0x1.9afd25a0d4e56p-3, -0x1.9893f06a10f3dp-3, -0x1.9626ed86e88dfp-3, -0x1.93b6447b2f4a9p-3, -0x1.91421c682928dp-3, -0x1.8eca9c0b5a37ep-3, -0x1.8c4fe9bd77ab4p-3, -0x1.89d22b715489cp-3, -0x1.875186b2e3786p-3, -0x1.84ce20a642325p-3, -0x1.82481e06d4d5fp-3, -0x1.7fbfa326675a9p-3, -0x1.7d34d3ec625fbp-3, -0x1.7aa7d3d508c86p-3, -0x1.7818c5f0bfe46p-3, -0x1.7587cce368502p-3, -0x1.72f50ae3bb3a9p-3, -0x1.7060a1bac04b9p-3, -0x1.6dcab2c33d62ap-3, -0x1.6b335ee9427bp-3, -0x1.689ac6a9b4afp-3, -0x1.66010a11ee57p-3, -0x1.636648bf5e48p-3, -0x1.60caa1df4174fp-3, -0x1.5e2e342e55872p-3, -0x1.5b911df8a4f85p-3, -0x1.58f37d1956b23p-3, -0x1.56556efa84b66p-3, -0x1.53b71095245f4p-3, -0x1.51187e70f5a8ep-3, -0x1.4e79d4a478a35p-3, -0x1.4bdb2ed4f015ep-3, -0x1.493ca8366cee9p-3, -0x1.469e5b8be35e8p-3, -0x1.44006327461e4p-3, -0x1.4162d8e9ae034p-3, -0x1.3ec5d643889dfp-3, -0x1.3c297434cec36p-3, -0x1.398dcb4d44c31p-3, -0x1.36f2f3acbfe42p-3, -0x1.3459050379f5bp-3, -0x1.31c0169263fdap-3, -0x1.2f283f2b8537fp-3, -0x1.2c9195326666dp-3, -0x1.29fc2e9c76193p-3, -0x1.276820f185923p-3, -0x1.24d5814c40698p-3, -0x1.2244645aac16fp-3, -0x1.1fb4de5eb20b1p-3, -0x1.1d27032eaf101p-3, -0x1.1a9ae63607f0dp-3, -0x1.18109a75c1a53p-3, -0x1.15883285240c5p-3, -0x1.1301c0925d882p-3, -0x1.107d56633126dp-3, -0x1.0dfb0555a4cc9p-3, -0x1.0b7ade60b747fp-3, -0x1.08fcf21519eaap-3, -0x1.0681509df2ee5p-3, -0x1.040809c19d361p-3, -0x1.01912ce270db2p-3, -0x1.fe3991ff23c4ap-4, -0x1.f955d96b7c206p-4, -0x1.f4774c80454f6p-4, -0x1.ef9e06f266145p-4, -0x1.eaca23b70afecp-4, -0x1.e5fbbd0561be3p-4, -0x1.e132ec5860c5p-4, -0x1.dc6fca708d296p-4, -0x1.d7b26f55d05b9p-4, -0x1.d2faf2594a572p-4, -0x1.ce496a173024dp-4, -0x1.c99dec78a6d7fp-4, -0x1.c4f88eb5b1e56p-4, -0x1.c059655711a57p-4, -0x1.bbc084383dfbcp-4, -0x1.b72dfe894be26p-4, -0x1.b2a1e6d0e64f4p-4, -0x1.ae1c4eee4e22dp-4, -0x1.a99d481b4dc68p-4, -0x1.a524e2ee3add8p-4, -0x1.a0b32f5bf2afp-4, -0x1.9c483cb9ebac9p-4, -0x1.97e419c02d492p-4, -0x1.9386d48b5aa2ep-4, -0x1.8f307a9ec1664p-4, -0x1.8ae118e660c6p-4, -0x1.8698bbb8f66e9p-4, -0x1.82576eda0bd3dp-4, -0x1.7e1d3d7c029cep-4, -0x1.79ea324226b23p-4, -0x1.75be5742b99afp-4, -0x1.7199b60902f5ep-4, -0x1.6d7c57975f88ap-4, -0x1.69664469518afp-4, -0x1.655784758a429p-4, -0x1.61501f2ffda5fp-4, -0x1.5d501b8bec51ep-4, -0x1.59577ffdefc8fp-4, -0x1.5566527e062bcp-4, -0x1.517c98899c016p-4, -0x1.4d9a572594111p-4, -0x1.49bf92e04e2d3p-4, -0x1.45ec4fd3adfe9p-4, -0x1.422091a719e4cp-4, -0x1.3e5c5b91840afp-4, -0x1.3a9fb05b5f9b4p-4, -0x1.36ea9260a5f4bp-4, -0x1.333d0392cbdeep-4, -0x1.2f97057abc5e5p-4, -0x1.2bf8993acc261p-4, -0x1.2861bf90ac816p-4, -0x1.24d278d75b6dap-4, -0x1.214ac50910b6p-4, -0x1.1dcaa3c1229d8p-4, -0x1.1a52143df4bd9p-4, -0x1.16e11562d27bfp-4, -0x1.1377a5b9d3b4cp-4, -0x1.1015c375b67cbp-4, -0x1.0cbb6c73b82eap-4, -0x1.09689e3d6b21ep-4, -0x1.061d560a84fc8p-4, -0x1.02d990c2b1122p-4, -0x1.ff3a95fea3633p-5, -0x1.f8d1021a9eb1ap-5, -0x1.f2765ddda3d63p-5, -0x1.ec2aa0ba0674ap-5, -0x1.e5edc19388bc9p-5, -0x1.dfbfb6c2cc142p-5, -0x1.d9a07618ae67ep-5, -0x1.d38ff4e1a17fcp-5, -0x1.cd8e27e903088p-5, -0x1.c79b037c5d64p-5, -0x1.c1b67b6ea38c8p-5, -0x1.bbe0831b7022dp-5, -0x1.b6190d6a26ee4p-5, -0x1.b0600cd12090cp-5, -0x1.aab57358c3ef5p-5, -0x1.a519329e901eep-5, -0x1.9f8b3bd82ca73p-5, -0x1.9a0b7fd662e63p-5, -0x1.9499ef081665fp-5, -0x1.8f36797d2ca89p-5, -0x1.89e10ee972242p-5, -0x1.84999ea773a17p-5, -0x1.7f6017bb4a3d2p-5, -0x1.7a3468d565ff6p-5, -0x1.751680554790fp-5, -0x1.70064c4c2f61ap-5, -0x1.6b03ba7fcf9fap-5, -0x1.660eb86ce4d95p-5, -0x1.61273349ce9f5p-5, -0x1.5c4d18091c303p-5, -0x1.5780535c0ffdep-5, -0x1.52c0d1b51a0dbp-5, -0x1.4e0e7f4a43eafp-5, -0x1.49694817a1e14p-5, -0x1.44d117e19e905p-5, -0x1.4045da3761f21p-5, -0x1.3bc77a7511acap-5, -0x1.3755e3c60f476p-5, -0x1.32f101273af4p-5, -0x1.2e98bd6914e9ap-5, -0x1.2a4d0331ede19p-5, -0x1.260dbcfffaba5p-5, -0x1.21dad52b6bf8ep-5, -0x1.1db435e876dd9p-5, -0x1.1999c9495715p-5, -0x1.158b79403d696p-5, -0x1.11892fa14b785p-5, -0x1.0d92d6247180ap-5, -0x1.09a856674ac7fp-5, -0x1.05c999eef67b4p-5, -0x1.01f68a29dc81bp-5, -0x1.fc5e20e2e8d71p-6, -0x1.f4e62c17fe053p-6, -0x1.ed85085c66603p-6, -0x1.e63a87f9e0529p-6, -0x1.df067d1da14c3p-6, -0x1.d7e8b9dba012bp-6, -0x1.d0e110319e544p-6, -0x1.c9ef520a4adc1p-6, -0x1.c313514028aa3p-6, -0x1.bc4cdfa0971e8p-6, -0x1.b59bceeea3403p-6, -0x1.aefff0e5d4184p-6, -0x1.a879173cec7e3p-6, -0x1.a20713a8a0edbp-6, -0x1.9ba9b7de2db25p-6, -0x1.9560d595edc6fp-6, -0x1.8f2c3e8dd8606p-6, -0x1.890bc48bf49dcp-6, -0x1.82ff3960cb1c7p-6, -0x1.7d066ee99e8cap-6, -0x1.77213712d5876p-6, -0x1.714f63da12c4ap-6, -0x1.6b90c75076d55p-6, -0x1.65e5339cb6f0dp-6, -0x1.604c7afd29e85p-6, -0x1.5ac66fc9cca88p-6, -0x1.5552e4762ece7p-6, -0x1.4ff1ab9367ae1p-6, -0x1.4aa297d1e2882p-6, -0x1.45657c0333327p-6, -0x1.403a2b1bdd60dp-6, -0x1.3b207834f6a2ap-6, -0x1.3618368dde30ep-6, -0x1.3121398dcebc3p-6, -0x1.2c3b54c575287p-6, -0x1.27665bf06bd5fp-6, -0x1.22a222f6bda8dp-6, -0x1.1dee7dee452cfp-6, -0x1.194b411c19187p-6, -0x1.14b840f5db4p-6, -0x1.1035522308f43p-6, -0x1.0bc2497e3208ap-6, -0x1.075efc163c868p-6, -0x1.030b3f2f80f69p-6, -0x1.fd8dd089dfa2ep-7, -0x1.f5239a125fcbap-7, -0x1.ecd786cf37594p-7, -0x1.e4a9430aababp-7, -0x1.dc987b845ec3bp-7, -0x1.d4a4dd7353cb6p-7, -0x1.ccce168798168p-7, -0x1.c513d4ec0c8b2p-7, -0x1.bd75c74827fd8p-7, -0x1.b5f39cc14a5d1p-7, -0x1.ae8d04fc8782cp-7, -0x1.a741b01ff4bcbp-7, -0x1.a0114ed415516p-7, -0x1.98fb92451e319p-7, -0x1.92002c245b716p-7, -0x1.8b1ecea938de9p-7, -0x1.84572c928011cp-7, -0x1.7da8f9276975ep-7, -0x1.7713e8388750cp-7, -0x1.7097ae20d832bp-7, -0x1.6a33ffc6ac5e1p-7, -0x1.63e8929c6acf2p-7, -0x1.5db51ca16728p-7, -0x1.57995462b79c7p-7, -0x1.5194f0fba588cp-7, -0x1.4ba7aa16a0ebbp-7, -0x1.45d137ed95681p-7, -0x1.4011534a90563p-7, -0x1.3a67b5884d816p-7, -0x1.34d418929139ap-7, -0x1.2f5636e688ep-7, -0x1.29edcb93435efp-7, -0x1.249a9239e65d4p-7, -0x1.1f5c470e0bb13p-7, -0x1.1a32a6d5d7e51p-7, -0x1.151d6eea50e91p-7, -0x1.101c5d3772575p-7, -0x1.0b2f303c37b9ep-7, -0x1.0655a70ae5de3p-7, -0x1.018f8148bb081p-7, -0x1.f9b8fe5c97f2bp-8, -0x1.f078c30e8a115p-8, -0x1.e75dd364a198dp-8, -0x1.de67b34264d82p-8, -0x1.d595e7b0bca62p-8, -0x1.cce7f6de15085p-8, -0x1.c45d681d9439bp-8, -0x1.bbf5c3e703961p-8, -0x1.b3b093d5ee23dp-8, -0x1.ab8d62a95fd6bp-8, -0x1.a38bbc4310344p-8, -0x1.9bab2da6d42ebp-8, -0x1.93eb44f9ad338p-8, -0x1.8c4b918142e81p-8, -0x1.84cba3a2eb76fp-8, -0x1.7d6b0ce2a7c2dp-8, -0x1.76295fe2aa158p-8, -0x1.6f063061b5d2cp-8, -0x1.6801133aabc8fp-8, -0x1.61199e6325d7ap-8, -0x1.5a4f68ea83be2p-8, -0x1.53a20af8b2f3ap-8, -0x1.4d111dcd27794p-8, -0x1.469c3bbd591aep-8, -0x1.40430033d81f3p-8, -0x1.3a0507aed6a2cp-8, -0x1.33e1efbeccf92p-8, -0x1.2dd9570554f0cp-8, -0x1.27eadd336da85p-8, -0x1.221623087f12dp-8, -0x1.1c5aca50a5ae9p-8, -0x1.16b875e340a95p-8, -0x1.112ec9a176babp-8, -0x1.0bbd6a74c00fbp-8, -0x1.0663fe4d66a44p-8, -0x1.01222c20b6f46p-8, -0x1.f7ef37cf6960cp-9, -0x1.edc7ed3aabb02p-9, -0x1.e3cdcc799b333p-9, -0x1.da002b8062844p-9, -0x1.d05e623ceb699p-9, -0x1.c6e7ca93ca23dp-9, -0x1.bd9bc05d46029p-9, -0x1.b479a160dea9cp-9, -0x1.ab80cd52edc5ap-9, -0x1.a2b0a5d0676c2p-9, -0x1.9a088e5bcddd8p-9, -0x1.9187ec592f41ep-9, -0x1.892e270b241c2p-9, -0x1.80faa78eb3228p-9, -0x1.78ecd8d80441cp-9, -0x1.710427ae87736p-9, -0x1.694002a995bd7p-9, -0x1.619fda2c7250bp-9, -0x1.5a232063029d5p-9, -0x1.52c9493d8c738p-9, -0x1.4b91ca6db6b69p-9, -0x1.447c1b622376bp-9, -0x1.3d87b54319f2p-9, -0x1.36b412eee7f7p-9, -0x1.3000b0f5822fbp-9, -0x1.296d0d95a72b5p-9, -0x1.22f8a8b860b2fp-9, -0x1.1ca303ed7e814p-9, -0x1.166ba26844c49p-9, -0x1.105208faaf86ap-9, -0x1.0a55be12d433bp-9, -0x1.047649b611de5p-9, -0x1.fd666afc520e1p-10, -0x1.f2181929aeccfp-10, -0x1.e700b7611700fp-10, -0x1.dc1f62207052ep-10, -0x1.d17338f009721p-10, -0x1.c6fb5e5a7849dp-10, -0x1.bcb6f7e55a867p-10, -0x1.b2a52e09b5452p-10, -0x1.a8c52c2d33b28p-10, -0x1.9f16209956bcfp-10, -0x1.95973c75daaecp-10, -0x1.8c47b3bfaa147p-10, -0x1.8326bd427c0e4p-10, -0x1.7a3392915266ep-10, -0x1.716d6fff0e2edp-10, -0x1.68d394968bdf5p-10, -0x1.6065421519d8p-10, -0x1.5821bce0e4295p-10, -0x1.50084c03d848bp-10, -0x1.48183923088dbp-10, -0x1.4050d078862fap-10, -0x1.38b160cb3439ap-10, -0x1.31393b68e876dp-10, -0x1.29e7b41e45279p-10, -0x1.22bc213096601p-10, -0x1.1bb5db55f60ccp-10, -0x1.14d43daf3eb52p-10, -0x1.0e16a5c0c1de1p-10, -0x1.077c736ae246ap-10, -0x1.010508e42d9f4p-10, -0x1.f55f95645a17p-11, -0x1.e8f83f443d1cap-11, -0x1.dcd2e186a42cp-11, -0x1.d0ee52bed098cp-11, -0x1.c5496de96daeep-11, -0x1.b9e3125ca0a9ap-11, -0x1.aeba23bebba5ap-11, -0x1.a3cd89f5dc8dap-11, -0x1.991c311c8fc6ep-11, -0x1.8ea50974d3a2dp-11, -0x1.8467075b8ad3ap-11, -0x1.7a61233b363b7p-11, -0x1.7092597ff2fdfp-11, -0x1.66f9aa8ad3f61p-11, -0x1.5d961aa599867p-11, -0x1.5466b1f6851b1p-11, -0x1.4b6a7c73ed65cp-11, -0x1.42a089d813p-11, -0x1.3a07ed958972ep-11, -0x1.319fbecb2fa6fp-11, -0x1.2967183820397p-11, -0x1.215d18304ab3cp-11, -0x1.1980e090b1907p-11, -0x1.11d196b3ddd7cp-11, -0x1.0a4e63674ce94p-11, -0x1.02f672ddef855p-11, -0x1.f791e94f6723p-12, -0x1.e98a37494e953p-12, -0x1.dbd43bf4bf3e7p-12, -0x1.ce6e6a118bbe7p-12, -0x1.c1573ac066447p-12, -0x1.b48d2d6b4c627p-12, -0x1.a80ec7b128558p-12, -0x1.9bda95517adc6p-12, -0x1.8fef281661c56p-12, -0x1.844b17bf9053dp-12, -0x1.78ed01efdc537p-12, -0x1.6dd38a16c6ffap-12, -0x1.62fd595e674ffp-12, -0x1.58691e955a74bp-12, -0x1.4e158e1ceefdbp-12, -0x1.440161d472d14p-12, -0x1.3a2b590742672p-12, -0x1.309238584cca6p-12, -0x1.2734c9af96c46p-12, -0x1.1e11dc282beaep-12, -0x1.152843fc12c5ep-12, -0x1.0c76da74930bp-12, -0x1.03fc7dd54dfd4p-12, -0x1.f7702297d544p-13, -0x1.e750f9ba94386p-13, -0x1.d7995aab63102p-13, -0x1.c847286b93497p-13, -0x1.b9584f4252033p-13, -0x1.aacac49eb7c2fp-13, -0x1.9c9c86f2d34b9p-13, -0x1.8ecb9d93260fbp-13, -0x1.81561894d2794p-13, -0x1.743a10afcb367p-13, -0x1.6775a71bfc4b9p-13, -0x1.5b070572e2274p-13, -0x1.4eec5d8ff211fp-13, -0x1.4323e9705045ap-13, -0x1.37abeb1650ffcp-13, -0x1.2c82ac68a5b02p-13, -0x1.21a67f169fb27p-13, -0x1.1715bc78a7271p-13, -0x1.0ccec574264dfp-13, -0x1.02d0025e6fab6p-13, -0x1.f22fc5bec1402p-14, -0x1.df49bbaaa9bd3p-14, -0x1.cceae27281397p-14, -0x1.bb10440818a5fp-14, -0x1.a9b6f824dc276p-14, -0x1.98dc24129ca1p-14, -0x1.887cfa76cc826p-14, -0x1.7896bb22e819ep-14, -0x1.6926b2d9195a9p-14, -0x1.5a2a3b1d706e1p-14, -0x1.4b9eba01180acp-14, -0x1.3d81a1f2a2ee7p-14, -0x1.2fd0718a344d8p-14, -0x1.2288b35b76fbdp-14, -0x1.15a7fdc1cb9f1p-14, -0x1.092bf2b552884p-14, -0x1.fa247f2b81d8ep-15, -0x1.e2b13a09c3d7ap-15, -0x1.cbf99d5dd3273p-15, -0x1.b5f9464805c34p-15, -0x1.a0abe758ccd7fp-15, -0x1.8c0d482b3d6fap-15, -0x1.7819451a6ebcfp-15, -0x1.64cbcee8fb8ecp-15, -0x1.5220ea6dfe018p-15, -0x1.4014b03b8a4cep-15, -0x1.2ea34c524c7efp-15, -0x1.1dc8fdcb0e3acp-15, -0x1.0d82168ed27d8p-15, -0x1.fb95f603e66c1p-16, -0x1.dd4043677579bp-16, -0x1.bffc2633b0012p-16, -0x1.a3c2d275d68f2p-16, -0x1.888d9edaa35ecp-16, -0x1.6e560406acc5fp-16, -0x1.55159c1a688edp-16, -0x1.3cc62210f94e6p-16, -0x1.2561713adadeap-16, -0x1.0ee184b4266dfp-16, -0x1.f280eda633603p-17, -0x1.c8f1014ae2ad6p-17, -0x1.a107f2e4170ebp-17, -0x1.7abaac4789ba2p-17, -0x1.55fe51ab6d718p-17, -0x1.32c840a9277ffp-17, -0x1.110e0f2870904p-17, -0x1.e18b14dc549bcp-18, -0x1.a3c96c66a4069p-18, -0x1.68c39766d64eap-18, -0x1.306671592932bp-18, -0x1.f53e7a1abcb06p-19, -0x1.8eb7458e09f3ap-19, -0x1.2d135ce1db1dfp-19, -0x1.a05f37681c371p-20, -0x1.dfa678e7e15bcp-21, -0x1.20fdec5e25c18p-22, 0x1.5a779d05618edp-22, 0x1.da0ab1490eba6p-21, 0x1.7b35e0a1ed4cdp-20, 0x1.00b693a01e86ep-19, 0x1.3ff3bd9dc804dp-19, 0x1.7b6febefa0d31p-19, 0x1.b347f5d897b8dp-19, 0x1.e7980f08f257p-19, 0x1.0c3de55063324p-18, 0x1.23070f19fadc3p-18, 0x1.3834b24e3ecd2p-18, 0x1.4bd3b05f1d5bbp-18, 0x1.5df0a03e30f14p-18, 0x1.6e97cfad44102p-18, 0x1.7dd5448f5ed62p-18, 0x1.8bb4be5f4a35cp-18, 0x1.9841b7687cb1ap-18, 0x1.a387660ded03p-18, 0x1.ad90be203541dp-18, 0x1.b668720af748ep-18, 0x1.be18f4212ac09p-18, 0x1.c4ac77c92631p-18, 0x1.ca2cf2aff86dp-18, 0x1.cea41df4acc7cp-18, 0x1.d21b775d65d93p-18, 0x1.d49c4269ee37ap-18, 0x1.d62f896fafa08p-18, 0x1.d6de1ec2a3687p-18, 0x1.d6b09dc3a0d4cp-18, 0x1.d5af6beeb1823p-18, 0x1.d3e2b9e7e0f8ep-18, 0x1.d1528484a45b4p-18, 0x1.ce0695d41933ap-18, 0x1.ca068614200e3p-18, 0x1.c559bcaf4e41ap-18, 0x1.c007713968718p-18, 0x1.ba16ac62ef1c1p-18, 0x1.b38e48dd9f88bp-18, 0x1.ac74f45173dcfp-18, 0x1.a4d13038f49bdp-18, 0x1.9ca952d51c88ep-18, 0x1.940387faa4df6p-18, 0x1.8ae5d1f6b2ed8p-18, 0x1.81560a6b3b728p-18, 0x1.7759e31323328p-18, 0x1.6cf6e6a52d3cdp-18, 0x1.6232799707162p-18, 0x1.5711dae79a477p-18, 0x1.4b9a24e4a9fc5p-18, 0x1.3fd04df20d16ap-18, 0x1.33b9293f1cc74p-18, 0x1.275967904951fp-18, 0x1.1ab597e94205ap-18, 0x1.0dd2284ed919bp-18, 0x1.00b3667798007p-18, 0x1.e6bb00e79c38fp-19, 0x1.cba90ab8d0ab4p-19, 0x1.b038cbf8cf08dp-19, }}, 
      {{0x1.736c7b9623c8fp-2, 0x1.7360acc21f2cep-2, 0x1.734ebf64b2ae1p-2, 0x1.7338f47b616c4p-2, 0x1.7321e34b8f3d3p-2, 0x1.730c2aae1df2bp-2, 0x1.72fa36d2618dp-2, 0x1.72ee1c0292af9p-2, 0x1.72e98308c60d3p-2, 0x1.72eda2bb15fe8p-2, 0x1.72fb428bcd0e8p-2, 0x1.7312c2d6b68d8p-2, 0x1.7334288b08af8p-2, 0x1.735f2a8df1149p-2, 0x1.73933fb9e26a1p-2, 0x1.73cfacba544a4p-2, 0x1.7413913fb681ep-2, 0x1.745df4300bdd8p-2, 0x1.74adce961c8d2p-2, 0x1.75021528c8e4p-2, 0x1.7559c057ef722p-2, 0x1.75b3d2dd66137p-2, 0x1.760f5edeeb923p-2, 0x1.766b89b949c99p-2, 0x1.76c78e9543552p-2, 0x1.7722bfec1ab55p-2, 0x1.777c882437423p-2, 0x1.77d4696e82448p-2, 0x1.7829fd0b9072p-2, 0x1.787cf21c9bdcep-2, 0x1.78cd0c2085ff4p-2, 0x1.791a2138b7991p-2, 0x1.7964184d45d62p-2, 0x1.79aae72370c3ep-2, 0x1.79ee907587c7fp-2, 0x1.7a2f2217b1f0ap-2, 0x1.7a6cb331eba99p-2, 0x1.7aa762950c52fp-2, 0x1.7adf552e66f75p-2, 0x1.7b14b49bfe245p-2, 0x1.7b47ade1f206bp-2, 0x1.7b787040db61p-2, 0x1.7ba72c2c14b82p-2, 0x1.7bd4125e88a11p-2, 0x1.7bff530c45069p-2, 0x1.7c291d2efe212p-2, 0x1.7c519deb948d2p-2, 0x1.7c79000eb7302p-2, 0x1.7c9f6b9ec743bp-2, 0x1.7cc5058148783p-2, 0x1.7ce9ef321e59dp-2, 0x1.7d0e468b22e39p-2, 0x1.7d32259a86079p-2, 0x1.7d55a286a70bdp-2, 0x1.7d78cf7e1cfeap-2, 0x1.7d9bbab2b0b96p-2, 0x1.7dbe6e5e2ef86p-2, 0x1.7de0f0cff6699p-2, 0x1.7e034482445f4p-2, 0x1.7e25683645768p-2, 0x1.7e47571602694p-2, 0x1.7e6908db4a831p-2, 0x1.7e8a71fad087p-2, 0x1.7eab83d2b108cp-2, 0x1.7ecc2cdbaf3a6p-2, 0x1.7eec58dc7d16ep-2, 0x1.7f0bf11e70272p-2, 0x1.7f2adca3129d4p-2, 0x1.7f49005a0e99ep-2, 0x1.7f663f56faa78p-2, 0x1.7f827b069908cp-2, 0x1.7f9d936334869p-2, 0x1.7fb76727bd113p-2, 0x1.7fcfd40164de6p-2, 0x1.7fe6b6bf7dcf3p-2, 0x1.7ffbeb81680ep-2, 0x1.800f4de267ac1p-2, 0x1.8020b9233ef0cp-2, 0x1.8030085183ad6p-2, 0x1.803d166c8cd6fp-2, 0x1.8047be8804b6ep-2, 0x1.804fdbec0e19ep-2, 0x1.80554a330a20cp-2, 0x1.8057e5650388ap-2, 0x1.80578a10cbbb6p-2, 0x1.80541562d9ee3p-2, 0x1.804d653a032cep-2, 0x1.8043583a1ab67p-2, 0x1.8035cddc9741ap-2, 0x1.8024a67f52458p-2, 0x1.800fc3717f2ddp-2, 0x1.7ff706feed656p-2, 0x1.7fda5479b9b6dp-2, 0x1.7fb99042810cp-2, 0x1.7f949fcf3193p-2, 0x1.7f6b69b0966edp-2, 0x1.7f3dd596b14cfp-2, 0x1.7f0bcc53ffc8ep-2, 0x1.7ed537dfc1b97p-2, 0x1.7e9a0357518e5p-2, 0x1.7e5a1afead17ep-2, 0x1.7e156c4039b6cp-2, 0x1.7dcbe5abdc953p-2, 0x1.7d7d76f572c8fp-2, 0x1.7d2a10f2c0ae8p-2, 0x1.7cd1a598df859p-2, 0x1.7c7427f93d8b2p-2, 0x1.7c118c3e38ebbp-2, 0x1.7ba9c7a76410fp-2, 0x1.7b3cd0857ebb2p-2, 0x1.7aca9e3626888p-2, 0x1.7a53291f54084p-2, 0x1.79d66aaa9f816p-2, 0x1.79545d405db4ap-2, 0x1.78ccfc429578ep-2, 0x1.78404407da849p-2, 0x1.77ae31d6073a3p-2, 0x1.7716c3dce8626p-2, 0x1.7679f930d2e7dp-2, 0x1.75d7d1c52e957p-2, 0x1.75304e66f482fp-2, 0x1.748370b726e96p-2, 0x1.73d13b254501fp-2, 0x1.7319b0e9ba0e6p-2, 0x1.725cd6004cd22p-2, 0x1.719aaf22913e2p-2, 0x1.70d341c2593bcp-2, 0x1.700694042c80ep-2, 0x1.6f34acb9c76ddp-2, 0x1.6e5d935c97b7bp-2, 0x1.6d8150084bfcdp-2, 0x1.6c9feb75651bp-2, 0x1.6bb96ef3ce8f8p-2, 0x1.6acde46588df1p-2, 0x1.69dd56395782ap-2, 0x1.68e7cf657dc87p-2, 0x1.67ed5b628875dp-2, 0x1.66ee06262267ep-2, 0x1.65e9dc1df97a3p-2, 0x1.64e0ea2aadfb5p-2, 0x1.63d33d9ad49a9p-2, 0x1.62c0e42606d8bp-2, 0x1.61a9ebe801fc5p-2, 0x1.608e635bd9d14p-2, 0x1.5f6e59573746ep-2, 0x1.5e49dd05b1026p-2, 0x1.5d20fde42d9dp-2, 0x1.5bf3cbbc5da3p-2, 0x1.5ac256a0495c6p-2, 0x1.598caee5eedc2p-2, 0x1.5852e522f7cebp-2, 0x1.57150a2881c2p-2, 0x1.55d32efefd4b3p-2, 0x1.548d64e21fa62p-2, 0x1.5343bd3ceeb77p-2, 0x1.51f649a5df87fp-2, 0x1.50a51bdb0cf05p-2, 0x1.4f5045be84422p-2, 0x1.4df7d952aa923p-2, 0x1.4c9be8b6b5cd3p-2, 0x1.4b3c86234343fp-2, 0x1.49d9c3e6fe0d2p-2, 0x1.4873b463642fcp-2, 0x1.470a6a099f286p-2, 0x1.459df75776602p-2, 0x1.442e6ed458131p-2, 0x1.42bbe30e7bb77p-2, 0x1.414666981b44ap-2, 0x1.3fce0c04c2772p-2, 0x1.3e52e5e6b9c9dp-2, 0x1.3cd506cc861adp-2, 0x1.3b54813e7ddd9p-2, 0x1.39d167bc7a726p-2, 0x1.384bccbb9b861p-2, 0x1.36c3c2a423f46p-2, 0x1.35395bcf6a745p-2, 0x1.33acaa85e4a84p-2, 0x1.321dc0fd41929p-2, 0x1.308cb1569f4ecp-2, 0x1.2ef98d9cd2d31p-2, 0x1.2d6467c2c37c6p-2, 0x1.2bcd51a1dd78bp-2, 0x1.2a345cf895591p-2, 0x1.28999b6900bf5p-2, 0x1.26fd1e7781851p-2, 0x1.255ef78982ea7p-2, 0x1.23bf37e4477b9p-2, 0x1.221df0abcc82cp-2, 0x1.207b32e1b9cb5p-2, 0x1.1ed70f64644ep-2, 0x1.1d3196ede203ap-2, 0x1.1b8ada132998bp-2, 0x1.19e2e94345099p-2, 0x1.1839d4c6908fbp-2, 0x1.168facbe0811bp-2, 0x1.14e48122a3886p-2, 0x1.133861c4bd0fdp-2, 0x1.118b5e4b873efp-2, 0x1.0fdd86348e7d8p-2, 0x1.0e2ee8d34396ap-2, 0x1.0c7f955096911p-2, 0x1.0acf9aaa957cbp-2, 0x1.091f07b41c676p-2, 0x1.076deb148946dp-2, 0x1.05bc53477df53p-2, 0x1.040a4e9ca7754p-2, 0x1.0257eb378ee31p-2, 0x1.00a5370f74829p-2, 0x1.fde47fde5f48dp-3, 0x1.fa7e26ea2c09ep-3, 0x1.f7177e25d9b06p-3, 0x1.f3b0a01bbb961p-3, 0x1.f049a6fce3784p-3, 0x1.ece2aca12a43ep-3, 0x1.e97bca87371eap-3, 0x1.e61519d4a0d3dp-3, 0x1.e2aeb3560838p-3, 0x1.df48af7f496adp-3, 0x1.dbe3266baedb9p-3, 0x1.d87e2fde2a75fp-3, 0x1.d519e3419ce15p-3, 0x1.d1b657a91da1fp-3, 0x1.ce53a3d04f89fp-3, 0x1.caf1de1bb1a5fp-3, 0x1.c7911c9901c11p-3, 0x1.c43174ff9a838p-3, 0x1.c0d2fcb0da5c7p-3, 0x1.bd75c8b88fb31p-3, 0x1.ba19edcd6517ep-3, 0x1.b6bf8051547f2p-3, 0x1.b36694521e003p-3, 0x1.b00f3d89be94fp-3, 0x1.acb98f5eeb3ecp-3, 0x1.a9659ce58ecf7p-3, 0x1.a61378df4b369p-3, 0x1.a2c335bbf9eddp-3, 0x1.9f74e59a2f08cp-3, 0x1.9c289a47bee83p-3, 0x1.98de6542430c6p-3, 0x1.959657b7a42e5p-3, 0x1.92508286a1b56p-3, 0x1.8f0cf63f576a9p-3, 0x1.8bcbc323cdba7p-3, 0x1.888cf9287e86dp-3, 0x1.8550a7f4e3a62p-3, 0x1.8216dee3ff3a7p-3, 0x1.7edfad04ea307p-3, 0x1.7bab211b5e58bp-3, 0x1.787949a043248p-3, 0x1.754a34c236de2p-3, 0x1.721df0661fcb1p-3, 0x1.6ef48a27af3c5p-3, 0x1.6bce0f59f716cp-3, 0x1.68aa8d07eea56p-3, 0x1.658a0ff4ff55ep-3, 0x1.626ca49d9094cp-3, 0x1.5f5257379104ep-3, 0x1.5c3b33b3025b7p-3, 0x1.592745ba8378ep-3, 0x1.561698b3d8c04p-3, 0x1.530937c078d3ap-3, 0x1.4fff2dbe11667p-3, 0x1.4cf8854715bc8p-3, 0x1.49f548b340d8fp-3, 0x1.46f5821826a09p-3, 0x1.43f93b49b3652p-3, 0x1.41007ddab8a21p-3, 0x1.3e0b531d7634bp-3, 0x1.3b19c4241d6bdp-3, 0x1.382bd9c15ce39p-3, 0x1.35419c88e3952p-3, 0x1.325b14cfecb23p-3, 0x1.2f784aadc3964p-3, 0x1.2c9945fc4b3c2p-3, 0x1.29be0e5883f17p-3, 0x1.26e6ab23156fap-3, 0x1.24132380d3ae6p-3, 0x1.21437e5b43b5ep-3, 0x1.1e77c26125b7ap-3, 0x1.1baff606fba37p-3, 0x1.18ec1f878a74cp-3, 0x1.162c44e46a74p-3, 0x1.13706be685e0bp-3, 0x1.10b89a1ea3ebcp-3, 0x1.0e04d4e5ef4c4p-3, 0x1.0b55215e7db4ep-3, 0x1.08a98473d6688p-3, 0x1.060202db7d34dp-3, 0x1.035ea11573bfap-3, 0x1.00bf636cc806p-3, 0x1.fc489bf0325d1p-4, 0x1.f71ac9344182cp-4, 0x1.f1f556047983p-4, 0x1.ecd84959eac01p-4, 0x1.e7c3a9c911afdp-4, 0x1.e2b77d82e5c73p-4, 0x1.ddb3ca55f2f3ap-4, 0x1.d8b895af617d3p-4, 0x1.d3c5e49c184c2p-4, 0x1.cedbbbc9c84f2p-4, 0x1.c9fa1f880270bp-4, 0x1.c52113c951107p-4, 0x1.c0509c2446ee8p-4, 0x1.bb88bbd4a3338p-4, 0x1.b6c975bc55cdbp-4, 0x1.b212cc64a53b1p-4, 0x1.ad64c1ff40f99p-4, 0x1.a8bf5867593e3p-4, 0x1.a4229122b6ac7p-4, 0x1.9f8e6d62d916dp-4, 0x1.9b02ee06082cap-4, 0x1.968013987159bp-4, 0x1.9205de5541127p-4, 0x1.8d944e27bc4e1p-4, 0x1.892b62ac59ffdp-4, 0x1.84cb1b31df61p-4, 0x1.807376ba76c79p-4, 0x1.7c2473fccca3cp-4, 0x1.77de116528a03p-4, 0x1.73a04d1687fc5p-4, 0x1.6f6b24ebb8f58p-4, 0x1.6b3e9678738cap-4, 0x1.671a9f0a743a8p-4, 0x1.62ff3baa964b3p-4, 0x1.5eec691dec1bfp-4, 0x1.5ae223e6d9d02p-4, 0x1.56e068462dbcep-4, 0x1.52e7323c395b3p-4, 0x1.4ef67d89e8d25p-4, 0x1.4b0e45b1dbbd3p-4, 0x1.472e85f97b1f7p-4, 0x1.4357396a11496p-4, 0x1.3f885ad1deebdp-4, 0x1.3bc1e4c531673p-4, 0x1.3803d19f7676bp-4, 0x1.344e1b845062fp-4, 0x1.30a0bc60a9da6p-4, 0x1.2cfbadebc590ep-4, 0x1.295ee9a8529f3p-4, 0x1.25ca68e57b9bbp-4, 0x1.223e24bff3f01p-4, 0x1.1eba162308b49p-4, 0x1.1b3e35c9abe95p-4, 0x1.17ca7c3f80918p-4, 0x1.145ee1e1e646fp-4, 0x1.10fb5ee10067dp-4, 0x1.0d9feb40c09c8p-4, 0x1.0a4c7ed9eb61cp-4, 0x1.0701115b1dfb3p-4, 0x1.03bd9a49d21c8p-4, 0x1.00821103602a5p-4, 0x1.fa9cd97bffcbap-5, 0x1.f44549138d42fp-5, 0x1.edfd5ea34aeccp-5, 0x1.e7c507b8ca5f1p-5, 0x1.e19c319b3d61bp-5, 0x1.db82c94d6b4ebp-5, 0x1.d578bb8f98ba4p-5, 0x1.cf7df4e17190dp-5, 0x1.c9926183f1733p-5, 0x1.c3b5ed7b412a1p-5, 0x1.bde8849096ea6p-5, 0x1.b82a12540e28p-5, 0x1.b27a821e7e59bp-5, 0x1.acd9bf134a5a4p-5, 0x1.a747b4222daccp-5, 0x1.a1c44c0907a4ap-5, 0x1.9c4f71559ecfcp-5, 0x1.96e90e675ebffp-5, 0x1.91910d71162e2p-5, 0x1.8c47587aae6e4p-5, 0x1.870bd962dd422p-5, 0x1.81de79e0d1bfp-5, 0x1.7cbf2385df173p-5, 0x1.77adbfbf22762p-5, 0x1.72aa37d7206bp-5, 0x1.6db474f76361bp-5, 0x1.68cc602a0f8d5p-5, 0x1.63f1e25b75109p-5, 0x1.5f24e45b9d92fp-5, 0x1.5a654edfd4e94p-5, 0x1.55b30a84294c2p-5, 0x1.510dffccedab3p-5, 0x1.4c7617282d93p-5, 0x1.47eb38ef26b44p-5, 0x1.436d4d67b2f04p-5, 0x1.3efc3cc5b5e92p-5, 0x1.3a97ef2c80b91p-5, 0x1.36404cb031ca4p-5, 0x1.31f53d571075cp-5, 0x1.2db6a91ae0311p-5, 0x1.298477ea34c9fp-5, 0x1.255e91a9bcc78p-5, 0x1.2144de3584c2fp-5, 0x1.1d3745623cdbap-5, 0x1.1935aefe74ac3p-5, 0x1.154002d3cdbeep-5, 0x1.115628a83349ap-5, 0x1.0d78083f02c88p-5, 0x1.09a5895a3600cp-5, 0x1.05de93bb85a06p-5, 0x1.02230f2584d43p-5, 0x1.fce5c6b976ea5p-6, 0x1.f59bf05171a67p-6, 0x1.ee686aaa48112p-6, 0x1.e74b056581623p-6, 0x1.e0439030ee4d3p-6, 0x1.d951dac8a72dap-6, 0x1.d275b4f8fab84p-6, 0x1.cbaeeea061994p-6, 0x1.c4fd57b15538ap-6, 0x1.be60c03430586p-6, 0x1.b7d8f848f5a9cp-6, 0x1.b165d0291391ap-6, 0x1.ab07182924681p-6, 0x1.a4bca0ba96171p-6, 0x1.9e863a6d575a9p-6, 0x1.9863b5f16fe3cp-6, 0x1.9254e418987c9p-6, 0x1.8c5995d7c2fc1p-6, 0x1.86719c489a7dp-6, 0x1.809cc8aafea72p-6, 0x1.7adaec666eca1p-6, 0x1.752bd90b6f55fp-6, 0x1.6f8f6054ec841p-6, 0x1.6a05542983aaap-6, 0x1.648d869cd8861p-6, 0x1.5f27c9f0cfc5dp-6, 0x1.59d3f096ce856p-6, 0x1.5491cd30e3f59p-6, 0x1.4f613292f7f1fp-6, 0x1.4a41f3c3e6976p-6, 0x1.4533e3fe9a716p-6, 0x1.4036d6b31ab1ap-6, 0x1.3b4a9f8790f55p-6, 0x1.366f12594ad23p-6, 0x1.31a4033daa7f5p-6, 0x1.2ce9468323754p-6, 0x1.283eb0b20d88fp-6, 0x1.23a4168d96fd5p-6, 0x1.1f194d1492b18p-6, 0x1.1a9e298249d3dp-6, 0x1.1632814f43ba5p-6, 0x1.11d62a320aebbp-6, 0x1.0d88fa1fe57c6p-6, 0x1.094ac74d87cbap-6, 0x1.051b682fbcb18p-6, 0x1.00fab37c156b4p-6, 0x1.f9d10052f3b91p-7, 0x1.f1c94ae194d17p-7, 0x1.e9ddf59ad7f6ep-7, 0x1.e20eaffba98adp-7, 0x1.da5b2a08189d5p-7, 0x1.d2c3144c5879cp-7, 0x1.cb461fdda775fp-7, 0x1.c3e3fe5b3b62cp-7, 0x1.bc9c61ef0964ap-7, 0x1.b56efd4e9bdfcp-7, 0x1.ae5b83bbc3cc2p-7, 0x1.a761a9055984fp-7, 0x1.a0812187d4c7ep-7, 0x1.99b9a22deff68p-7, 0x1.930ae0713a73fp-7, 0x1.8c74925a98b77p-7, 0x1.85f66e82bbec9p-7, 0x1.7f902c12a36dfp-7, 0x1.794182c3ee65cp-7, 0x1.730a2ae1428acp-7, 0x1.6ce9dd469f298p-7, 0x1.66e05361a21a3p-7, 0x1.60ed4731c9e66p-7, 0x1.5b107348a8734p-7, 0x1.554992ca0ea28p-7, 0x1.4f98616c368b3p-7, 0x1.49fc9b77d9fe2p-7, 0x1.4475fdc84465ap-7, 0x1.3f0445cb5962cp-7, 0x1.39a73181a033ep-7, 0x1.345e7f7e3752p-7, 0x1.2f29eee6c3b13p-7, 0x1.2a093f735d0cdp-7, 0x1.24fc316e74b66p-7, 0x1.200285b4a91cp-7, 0x1.1b1bfdb4a07d6p-7, 0x1.16485b6ed2bc4p-7, 0x1.1187617549539p-7, 0x1.0cd8d2eb6fa19p-7, 0x1.083c7385b91d8p-7, 0x1.03b207895ec5ep-7, 0x1.fe72a7980a647p-8, 0x1.f5a43b66cce2cp-8, 0x1.ecf85669eb255p-8, 0x1.e46e85aada6cdp-8, 0x1.dc065750e8b75p-8, 0x1.d3bf5aa044c51p-8, 0x1.cb991ff914c0ep-8, 0x1.c39338d68086p-8, 0x1.bbad37cdc9f86p-8, 0x1.b3e6b08d1254bp-8, 0x1.ac3f37da7ea31p-8, 0x1.a4b66392e6823p-8, 0x1.9d4bcaa8dfd58p-8, 0x1.95ff0523609d4p-8, 0x1.8ecfac1cbb71ap-8, 0x1.87bd59c13227dp-8, 0x1.80c7a94dcc957p-8, 0x1.79ee370f00e1fp-8, 0x1.7330a05f656a6p-8, 0x1.6c8e83a6482f9p-8, 0x1.660780565b60dp-8, 0x1.5f9b36ec3b565p-8, 0x1.594948ed0cc0ep-8, 0x1.531158e4fd038p-8, 0x1.4cf30a65d12fbp-8, 0x1.46ee0205584c3p-8, 0x1.4101e55be926p-8, 0x1.3b2e5b02dd98dp-8, 0x1.35730a92f1b18p-8, 0x1.2fcf9ca2c377ep-8, 0x1.2a43bac52205dp-8, 0x1.24cf0f877cfd8p-8, 0x1.1f71467040936p-8, 0x1.1a2a0bfd257dap-8, 0x1.14f90da19720bp-8, 0x1.0fddf9c4ed41ep-8, 0x1.0ad87fc0d9cd6p-8, 0x1.05e84fdf8c048p-8, 0x1.010d1b5a2ce68p-8, 0x1.f88d28add9f52p-9, 0x1.ef28dbcee5db6p-9, 0x1.e5ecb80dffc2cp-9, 0x1.dcd827316e63p-9, 0x1.d3ea94cbdc37fp-9, 0x1.cb236e3872851p-9, 0x1.c28222979c1c4p-9, 0x1.ba0622cb43d8bp-9, 0x1.b1aee17351073p-9, 0x1.a97bd2ea0dd93p-9, 0x1.a16c6d4087a75p-9, 0x1.9980283ae0906p-9, 0x1.91b67d4cd843ap-9, 0x1.8a0ee795f908fp-9, 0x1.8288e3de2fbdfp-9, 0x1.7b23f091d7a72p-9, 0x1.73df8dbe7794ep-9, 0x1.6cbb3d0eb9708p-9, 0x1.65b681c715ed7p-9, 0x1.5ed0e0c20a931p-9, 0x1.5809e06c5b088p-9, 0x1.516108c1a9122p-9, 0x1.4ad5e3488cc5p-9, 0x1.4467fb0f2a43fp-9, 0x1.3e16dca75e375p-9, 0x1.37e216234f08dp-9, 0x1.31c937117ee62p-9, 0x1.2bcbd0799e4a1p-9, 0x1.25e974d86252cp-9, 0x1.2021b81c75b15p-9, 0x1.1a742fa260736p-9, 0x1.14e072315ccd1p-9, 0x1.0f6617f77b1f1p-9, 0x1.0a04ba861cadep-9, 0x1.04bbf4ce7abc2p-9, 0x1.ff16c63c1d5ccp-10, 0x1.f4e54635def93p-10, 0x1.eae2a78102a95p-10, 0x1.e10e2ab75867ep-10, 0x1.d767130f55005p-10, 0x1.cdeca6545fbb4p-10, 0x1.c49e2ce0c0a0fp-10, 0x1.bb7af195db01fp-10, 0x1.b28241d5d5eb1p-10, 0x1.a9b36d7ca8191p-10, 0x1.a10dc6d92cee4p-10, 0x1.9890a2a6546dcp-10, 0x1.903b5804a9e84p-10, 0x1.880d407330a62p-10, 0x1.8005b7c922dfep-10, 0x1.78241c2ef6f0bp-10, 0x1.7067ce17f4a5ep-10, 0x1.68d0303ba4476p-10, 0x1.615ca78f19985p-10, 0x1.5a0c9b3eb2cf2p-10, 0x1.52df74a777dacp-10, 0x1.4bd49f50d0591p-10, 0x1.44eb88e605c2ap-10, 0x1.3e23a12ff7214p-10, 0x1.377c5a0f0f334p-10, 0x1.30f5277473469p-10, 0x1.2a8d7f5c7d176p-10, 0x1.2444d9c806f0fp-10, 0x1.1e1ab0b6a9e04p-10, 0x1.180e802059c51p-10, 0x1.121fc5efbc497p-10, 0x1.0c4e01fbdb77cp-10, 0x1.0698b6024b27dp-10, 0x1.00ff65a1706d3p-10, 0x1.f7032ca4af47ep-11, 0x1.ec3d9ec656fdap-11, 0x1.e1ad33e2b2e2ap-11, 0x1.d75101c7a9e64p-11, 0x1.cd2821cabb9b6p-11, 0x1.c331b0be5d921p-11, 0x1.b96ccee5cd7fbp-11, 0x1.afd89feafe42bp-11, 0x1.a6744ad303d7p-11, 0x1.9d3ef9f3881bp-11, 0x1.9437dae7f7f7fp-11, 0x1.8b5e1e8688b02p-11, 0x1.82b0f8d5fa8cep-11, 0x1.7a2fa102fc4cp-11, 0x1.71d95155bef7dp-11, 0x1.69ad4727b32d5p-11, 0x1.61aac2d9333f2p-11, 0x1.59d107c79152cp-11, 0x1.521f5c43091edp-11, 0x1.4a950984830c1p-11, 0x1.43315ba4771efp-11, 0x1.3bf3a19029a99p-11, 0x1.34db2d00ffb2fp-11, 0x1.2de752726f5aap-11, 0x1.2717691862a1bp-11, 0x1.206acad67c0d9p-11, 0x1.19e0d43608d9cp-11, 0x1.1378e45d8b69ap-11, 0x1.0d325d06fe89ep-11, 0x1.070ca2776957dp-11, 0x1.01071b759400ep-11, 0x1.f6426282a2b3dp-12, 0x1.eab49f15bc9ddp-12, 0x1.df63c8d48f403p-12, 0x1.d44ec0ad1c30ep-12, 0x1.c9746c3b35aap-12, 0x1.bed3b5b77d5bap-12, 0x1.b46b8be645851p-12, 0x1.aa3ae2088fd5bp-12, 0x1.a040afca78143p-12, 0x1.967bf133f13eep-12, 0x1.8ceba698bd6a9p-12, 0x1.838ed48917859p-12, 0x1.7a6483c16c293p-12, 0x1.716bc11c472c4p-12, 0x1.68a39d81f9fd5p-12, 0x1.600b2dda5410dp-12, 0x1.57a18afddf01bp-12, 0x1.4f65d1a6e6749p-12, 0x1.475722634f989p-12, 0x1.3f74a18606d27p-12, 0x1.37bd77193a518p-12, 0x1.3030ced07fed8p-12, 0x1.28cdd7fa329adp-12, 0x1.2193c572c3525p-12, 0x1.1a81cd96dcaeap-12, 0x1.13972a3675adp-12, 0x1.0cd31886a186ap-12, 0x1.0634d9160f3cp-12, 0x1.ff775f7e597eap-13, 0x1.f2cdc736fd3a3p-13, 0x1.e66b7defb540fp-13, 0x1.da4f1e8ec004cp-13, 0x1.ce774a2eb1c36p-13, 0x1.c2e2a8078cd72p-13, 0x1.b78fe554bbfcfp-13, 0x1.ac7db53fb7dcap-13, 0x1.a1aad0c7a1713p-13, 0x1.9715f6aadfa77p-13, 0x1.8cbdeb4fd5808p-13, 0x1.82a178af80652p-13, 0x1.78bf6e3e5eebcp-13, 0x1.6f16a0d7accbep-13, 0x1.65a5eaa6eadebp-13, 0x1.5c6c2b1386422p-13, 0x1.536846ab7a468p-13, 0x1.4a99270ec8bafp-13, 0x1.41fdbadac6fdfp-13, 0x1.3994f59674c48p-13, 0x1.315dcf9e37f45p-13, 0x1.29574610a14e1p-13, 0x1.21805abb16f8cp-13, 0x1.19d814063b7f2p-13, 0x1.125d7ce3d481fp-13, 0x1.0b0fa4bb9dcb9p-13, 0x1.03ed9f591fcbdp-13, 0x1.f9ed09b4eb56ep-14, 0x1.ec52e3395bf6p-14, 0x1.df0b0c58e3852p-14, 0x1.d213ce65160adp-14, 0x1.c56b7ac927d96p-14, 0x1.b9106ae5cec41p-14, 0x1.ad00fff129c16p-14, 0x1.a13ba2d582bc8p-14, 0x1.95bec41141342p-14, 0x1.8a88db97446f2p-14, 0x1.7f9868ae6a056p-14, 0x1.74ebf1d3d1e3fp-14, 0x1.6a82049c0358ep-14, 0x1.60593593e1d7dp-14, 0x1.56702024512cbp-14, 0x1.4cc5667414702p-14, 0x1.4357b14b567bdp-14, 0x1.3a25aff749404p-14, 0x1.312e182de1622p-14, 0x1.286fa5f1a0139p-14, 0x1.1fe91b789aabp-14, 0x1.1799410ea965dp-14, 0x1.0f7ee4fd734e4p-14, 0x1.0798db710aaafp-14, 0x1.ffcbfcbd85bbcp-15, 0x1.f0ca5ad73e716p-15, 0x1.e22a9ba75d687p-15, 0x1.d3ea94a332091p-15, 0x1.c608260c9df6dp-15, 0x1.b8813ac188eefp-15, 0x1.ab53c80f57d44p-15, 0x1.9e7dcd82c4b5ep-15, 0x1.91fd54bae7f87p-15, 0x1.85d0713bcf489p-15, 0x1.79f5404432f39p-15, 0x1.6e69e89f77b1bp-15, 0x1.632c9a7d2097p-15, 0x1.583b8f4543c44p-15, 0x1.4d9509706e31ap-15, 0x1.4337545ba5cd7p-15, 0x1.3920c424eefbfp-15, 0x1.2f4fb580072d9p-15, 0x1.25c28d8fca881p-15, 0x1.1c77b9c1a6dcdp-15, 0x1.136dafa5f2be4p-15, 0x1.0aa2eccbd364bp-15, 0x1.0215f69bc8b27p-15, 0x1.f38ab4681624cp-16, 0x1.e35f588ad8f69p-16, 0x1.d3a711dffb496p-16, 0x1.c45f2741a4c3ap-16, 0x1.b584eddf95573p-16, 0x1.a715c8fca9405p-16, 0x1.990f29af1f2fp-16, 0x1.8b6e8e9e0536ep-16, 0x1.7e3183c2423f2p-16, 0x1.7155a228f670bp-16, 0x1.64d88fb4ff25dp-16, 0x1.58b7fee550cc1p-16, 0x1.4cf1ae932cdfp-16, 0x1.418369be454bap-16, 0x1.366b07516e9fep-16, 0x1.2ba669e77135fp-16, 0x1.21337f94f5805p-16, 0x1.171041b37d1b1p-16, 0x1.0d3ab4a8a11aep-16, 0x1.03b0e7b286248p-16, 0x1.f4e1e96993267p-17, 0x1.e2f200062cc32p-17, 0x1.d18e705e81e84p-17, 0x1.c0b3abb2b9787p-17, 0x1.b05e36f940002p-17, 0x1.a08aaa84579adp-17, 0x1.9135b19e6dcbdp-17, 0x1.825c0a305401p-17, 0x1.73fa8464dfb5fp-17, 0x1.660e02528f2f2p-17, 0x1.5893779f6a777p-17, 0x1.4b87e92cf7445p-17, 0x1.3ee86cc1ee432p-17, 0x1.32b228b426e0ep-17, 0x1.26e2539dbb48bp-17, 0x1.1b763406045c7p-17, 0x1.106b201255477p-17, 0x1.05be7d39c7a11p-17, 0x1.f6db7ff2dceb6p-18, 0x1.e2ecd70e63c42p-18, 0x1.cfac230bce51ep-18, 0x1.bd14a382d682ap-18, 0x1.ab21b3c7989dfp-18, 0x1.99ceca5f8bb7ep-18, 0x1.891778725d859p-18, 0x1.78f7694cac696p-18, 0x1.696a61d0bca88p-18, 0x1.5a6c3ff9ddf5ap-18, 0x1.4bf8fa58241f5p-18, 0x1.3e0c9f9483576p-18, 0x1.30a355f212f93p-18, 0x1.23b95ad5c675dp-18, 0x1.174b024e92a16p-18, 0x1.0b54b69d99ea6p-18, 0x1.ffa5ef8d18a79p-19, 0x1.e984b637cb40bp-19, 0x1.d43f159d7af2p-19, 0x1.bfce8b017e7ep-19, 0x1.ac2cbbb4cd19ep-19, 0x1.99537445c2cb5p-19, 0x1.873ca7abde112p-19, 0x1.75e26e7b6739dp-19, 0x1.653f061e71664p-19, 0x1.554cd0176bc72p-19, 0x1.46065137b129ep-19, 0x1.376630e59061dp-19, 0x1.29673862256d3p-19, 0x1.1c045214eb62ap-19, 0x1.0f3888d6eb38cp-19, 0x1.02ff0746b75bdp-19, 0x1.eea62e2e61857p-20, 0x1.d86040d2adf3bp-20, 0x1.c323524a3513ap-20, 0x1.aee6a8b915052p-20, 0x1.9ba1c340a264bp-20, 0x1.894c58d46f992p-20, 0x1.77de570f52fb3p-20, 0x1.674fe0ed472d3p-20, 0x1.57994db964711p-20, 0x1.48b327dd0f794p-20, 0x1.3a962bd15ca93p-20, 0x1.2d3b46f8792e6p-20, 0x1.209b96938e061p-20, 0x1.14b066aeb4d14p-20, 0x1.09733124b6f83p-20, 0x1.fdbb39234a6a5p-21, 0x1.e9d2f6af4f3afp-21, 0x1.d7219555e5c73p-21, 0x1.c59b6320423fap-21, 0x1.b534fffe7b47fp-21, 0x1.a5e35bcfad912p-21, 0x1.979bb4b2bd63dp-21, 0x1.8a53952896de2p-21, 0x1.7e00d269a238ap-21, 0x1.72998ab851ca4p-21, 0x1.6814239d9634p-21, 0x1.5e67485b33df1p-21, 0x1.5589e858a6d3fp-21, 0x1.4d733581e1b42p-21, 0x1.461aa2c76aeep-21, 0x1.3f77e29d7175p-21, 0x1.3982e57a34c59p-21, 0x1.3433d86a5406ep-21, 0x1.2f8323a678e51p-21, 0x1.2b696934bbb4dp-21, 0x1.27df8383329bbp-21, 0x1.24de8416c979ep-21, 0x1.225fb23ae5702p-21, 0x1.205c89b985307p-21, 0x1.1eceb99a60f33p-21, 0x1.1db022f60a15fp-21, 0x1.1cfad7aae19c9p-21, 0x1.1ca9193b95185p-21, 0x1.1cb557a9e5c7dp-21, 0x1.1d1a305201e83p-21, 0x1.1dd26cd267fc7p-21, 0x1.1ed901f2317cep-21, 0x1.20290e9279c84p-21, 0x1.21bdda9db931ep-21, 0x1.2392d60e5bfb2p-21, 0x1.25a397ee8f63fp-21, 0x1.27ebdd54168b6p-21, 0x1.2a67887437ac4p-21, 0x1.2d129fb304764p-21, 0x1.2fe94cb82b919p-21, 0x1.32e7db879221dp-21, 0x1.360ab9a936112p-21, 0x1.394e7545d5e5p-21, 0x1.3cafbc4966b08p-21, 0x1.402b5b9d55243p-21, 0x1.43be3e54762b7p-21, 0x1.47656ce407b44p-21, 0x1.4b1e0c59fc18dp-21, 0x1.4ee55da037f4bp-21, 0x1.52b8bcbf015ebp-21, 0x1.5695a023a3bcep-21, 0x1.5a7997eab8ff6p-21, 0x1.5e624d30263a3p-21, 0x1.624d816809f2p-21, 0x1.66390daac90edp-21, 0x1.6a22e21acb603p-21, 0x1.6e09053a3fep-21, 0x1.71e9935205345p-21, 0x1.75c2bdd485b7dp-21, 0x1.7992cac8e56a5p-21, 0x1.7d5814364517dp-21, 0x1.81110793e7ba5p-21, 0x1.84bc2539f4a79p-21, 0x1.8857ffda01881p-21, 0x1.8be33bf71af2fp-21, 0x1.8f5c8f6545bbdp-21, 0x1.92c2c0c7bbd27p-21, 0x1.9614a70db5e45p-21, 0x1.995128fc4c894p-21, 0x1.9c773cb882b6fp-21, 0x1.9f85e74a7dc15p-21, 0x1.a27c3c337684p-21, 0x1.a5595cfa227fcp-21, 0x1.a81c78b819ecp-21, 0x1.aac4cbbab6528p-21, 0x1.ad519f1461985p-21, 0x1.afc248333066p-21, 0x1.b216288709d56p-21, 0x1.b44cad18035cbp-21, 0x1.b6654e2ecb05bp-21, 0x1.b85f8ef1c4f59p-21, 0x1.ba3afd0dab5dfp-21, 0x1.bbf7305de2cb2p-21, 0x1.bd93ca9a3a564p-21, 0x1.bf1076fc91f71p-21, }}, 
      {{-0x1.421fb7ef03be6p-15, -0x1.48ca1aaf7bb2bp-13, -0x1.7d5395937344dp-12, -0x1.5f6ece35b6c9ep-11, -0x1.1d389e3d5d39cp-10, -0x1.aa5b424c77727p-10, -0x1.2c7398ec3a9dap-9, -0x1.94e298b4735efp-9, -0x1.073caf6856199p-8, -0x1.4c629f1ce79a6p-8, -0x1.9977802c85289p-8, -0x1.ede6edb62b829p-8, -0x1.247f59d42fcffp-7, -0x1.54fcef88499a4p-7, -0x1.88056ec5bf5d7p-7, -0x1.bd320b7dad0dfp-7, -0x1.f41f662abbe4dp-7, -0x1.163811aec704ep-6, -0x1.32e7612611ea9p-6, -0x1.4ff767ceb18cp-6, -0x1.6d46c8c655b88p-6, -0x1.8ab923b7fe73bp-6, -0x1.a83709692cedap-6, -0x1.c5adce69078cbp-6, -0x1.e30f43cc5999cp-6, -0x1.0028ae63ff4d3p-5, -0x1.0eb6e38cd39a2p-5, -0x1.1d30bdb795fbfp-5, -0x1.2b9625255ab9cp-5, -0x1.39e8349a5b898p-5, -0x1.482901b1256fep-5, -0x1.565b6826cb6c1p-5, -0x1.6482d90eec2f9p-5, -0x1.72a32e932986dp-5, -0x1.80c0849e28404p-5, -0x1.8edf1697507eep-5, -0x1.9d0322231d9e4p-5, -0x1.ab30ceb3e28e3p-5, -0x1.b96c1998a6c41p-5, -0x1.c7b8c6223d2b3p-5, -0x1.d61a51693f1fap-5, -0x1.e493e9393e71ep-5, -0x1.f32865a515118p-5, -0x1.00ed226660dddp-4, -0x1.0855d432c0bf6p-4, -0x1.0fcf2a4fd8e9bp-4, -0x1.1759d80978a65p-4, -0x1.1ef6623324308p-4, -0x1.26a51fbc141e9p-4, -0x1.2e663a6b93d9bp-4, -0x1.3639afb460312p-4, -0x1.3e1f519338bf4p-4, -0x1.4616c7719ade5p-4, -0x1.4e1f8f097f91dp-4, -0x1.5638fd4a3505ep-4, -0x1.5e623f40a0fb9p-4, -0x1.669a5b06edee4p-4, -0x1.6ee030c0688cbp-4, -0x1.77327ba6d19cap-4, -0x1.7f8fd32e26669p-4, -0x1.87f6ac43691a5p-4, -0x1.90655aaa1dbd7p-4, -0x1.98da127b463c9p-4, -0x1.a152e9c7704f1p-4, -0x1.a9cdda5c6ca3cp-4, -0x1.b248c3ae031e8p-4, -0x1.bac16ce012836p-4, -0x1.c33586ef72bfdp-4, -0x1.cba2aef64aed5p-4, -0x1.d4067087d643fp-4, -0x1.dc5e481ee6701p-4, -0x1.e4a7a59a63ad4p-4, -0x1.ecdfeec296eb9p-4, -0x1.f50481d1fc31cp-4, -0x1.fd12b7fca1cd9p-4, -0x1.0283f3f86b04ap-3, -0x1.0670b42649a41p-3, -0x1.0a4e4901935cep-3, -0x1.0e1b61577ad1bp-3, -0x1.11d6af65e3b3ep-3, -0x1.157ee9eb35895p-3, -0x1.1912cd276ac38p-3, -0x1.1c911bcd54462p-3, -0x1.1ff89fe30d005p-3, -0x1.23482b910ab32p-3, -0x1.267e99df381ebp-3, -0x1.299acf5fec9c2p-3, -0x1.2c9bbac8a097p-3, -0x1.2f8055786ebd4p-3, -0x1.3247a3ecb10e9p-3, -0x1.34f0b6240ab7cp-3, -0x1.377aa7f069b5ep-3, -0x1.39e4a13892434p-3, -0x1.3c2dd629e5bdfp-3, -0x1.3e55875b2bd2p-3, -0x1.405b01e12592dp-3, -0x1.423d9f55d56p-3, -0x1.43fcc5d34eaf5p-3, -0x1.4597e7e30244cp-3, -0x1.470e84627294fp-3, -0x1.4860265e396a1p-3, -0x1.498c64e446221p-3, -0x1.4a92e2ce474bcp-3, -0x1.4b734e851804ap-3, -0x1.4c2d61be0fa32p-3, -0x1.4cc0e13305045p-3, -0x1.4d2d9c55dc1ebp-3, -0x1.4d736d005068dp-3, -0x1.4d923720c11bfp-3, -0x1.4d89e864a8358p-3, -0x1.4d5a77e15a8cp-3, -0x1.4d03e5bbbc7cep-3, -0x1.4c863acf59275p-3, -0x1.4be188557fcf9p-3, -0x1.4b15e78cc2e4ap-3, -0x1.4a23796159f6fp-3, -0x1.490a6616b6aa8p-3, -0x1.47cadcf2ae483p-3, -0x1.466513ea7e4bfp-3, -0x1.44d94751f876bp-3, -0x1.4327b98cfdf9ap-3, -0x1.4150b2c38ad18p-3, -0x1.3f5480986d77ep-3, -0x1.3d3375e2ce1ap-3, -0x1.3aedea6a9df53p-3, -0x1.38843aa7f9688p-3, -0x1.35f6c78589ebfp-3, -0x1.3345f625eef78p-3, -0x1.30722fac1a7f8p-3, -0x1.2d7be106b37ffp-3, -0x1.2a637abe4ff7p-3, -0x1.272970c698c87p-3, -0x1.23ce3a5223a41p-3, -0x1.205251a8fe898p-3, -0x1.1cb63401c9b92p-3, -0x1.18fa615d40696p-3, -0x1.151f5c64179dcp-3, -0x1.1125aa4708e7fp-3, -0x1.0d0dd2a0eb2a5p-3, -0x1.08d85f5abd369p-3, -0x1.0485dc91691b3p-3, -0x1.0016d87d36738p-3, -0x1.f717c6b55706ep-4, -0x1.edcb1ea9b335cp-4, -0x1.e448e0e1977c6p-4, -0x1.da9238f42d664p-4, -0x1.d0a855e0a993ep-4, -0x1.c68c69eae5fe6p-4, -0x1.bc3faa795a512p-4, -0x1.b1c34ff44d675p-4, -0x1.a71895a5dba6ep-4, -0x1.9c40b99accf23p-4, -0x1.913cfc83eff2fp-4, -0x1.860ea197bffc1p-4, -0x1.7ab6ee744f882p-4, -0x1.6f372b012c081p-4, -0x1.6390a1512dd0dp-4, -0x1.57c49d840e822p-4, -0x1.4bd46da7a28bp-4, -0x1.3fc16198b2456p-4, -0x1.338ccae33b408p-4, -0x1.2737fca234fdap-4, -0x1.1ac44b5e9b8cap-4, -0x1.0e330cede1a24p-4, -0x1.0185984f9ad58p-4, -0x1.e97a8b14f2388p-5, -0x1.cfb6db1102652p-5, -0x1.b5c2d3e51ee2ap-5, -0x1.9ba12a16293c1p-5, -0x1.815493104ec44p-5, -0x1.66dfc4d9c11d6p-5, -0x1.4c4575c42ab54p-5, -0x1.31885c1ce0426p-5, -0x1.16ab2ddc04beep-5, -0x1.f76140a526698p-6, -0x1.c136cfaf23d66p-6, -0x1.8adc6ee8ce6adp-6, -0x1.5457812130bf4p-6, -0x1.1dad6539fcaa8p-6, -0x1.cdc6eaf9efdddp-7, -0x1.5ffe0de28a07ap-7, -0x1.e415a2c05179fp-8, -0x1.07ef8ce67fdefp-8, -0x1.5cf6f94f69869p-11, 0x1.618f02743a882p-9, 0x1.8d2ed165f22a5p-8, 0x1.34c139ba7ae7bp-7, 0x1.a2d6f88bd85dp-7, 0x1.08673f898a6ebp-6, 0x1.3f4edecaa5241p-6, 0x1.761d5df8bbbc2p-6, 0x1.accdcd6df1d5fp-6, 0x1.e35b4a8a4931ep-6, 0x1.0ce08025cbd26p-5, 0x1.27fd13f131ff2p-5, 0x1.430104a1b4eb4p-5, 0x1.5de9fddaaf785p-5, 0x1.78b5b32d8c399p-5, 0x1.9361e05cca685p-5, 0x1.adec499d01dbdp-5, 0x1.c852bbd3ca37dp-5, 0x1.e2930cd46d666p-5, 0x1.fcab1b9a563a8p-5, 0x1.0b4c68409b279p-4, 0x1.182d0ebd6ffbfp-4, 0x1.24f67f2153706p-4, 0x1.31a7bc47378ebp-4, 0x1.3e3fce1e976c9p-4, 0x1.4abdc1c18b035p-4, 0x1.5720a98991869p-4, 0x1.63679d231d7d4p-4, 0x1.6f91b99fe3d7cp-4, 0x1.7b9e2187eaab6p-4, 0x1.878bfce951f21p-4, 0x1.935a7966df479p-4, 0x1.9f08ca454ffacp-4, 0x1.aa962877619f7p-4, 0x1.b601d2a8b6f1ap-4, 0x1.c14b0d4766347p-4, 0x1.cc71228c6ef7ep-4, 0x1.d7736282f68e3p-4, 0x1.e251230e50a3cp-4, 0x1.ed09bfeeee5d9p-4, 0x1.f79c9ac617d86p-4, 0x1.01048d8c4ee2ep-3, 0x1.062757282e399p-3, 0x1.0b3663de59b56p-3, 0x1.10317048fd3c4p-3, 0x1.15183bf3ee9b6p-3, 0x1.19ea895b5ae08p-3, 0x1.1ea81dea05c06p-3, 0x1.2350c1f6efef8p-3, 0x1.27e440c2a4a3fp-3, 0x1.2c6268740163bp-3, 0x1.30cb0a1492831p-3, 0x1.351df98c7f0bfp-3, 0x1.395b0d9e0dbb4p-3, 0x1.3d821fe0c698dp-3, 0x1.41930cbc2235ep-3, 0x1.458db361f0cb2p-3, 0x1.4971f5c84b782p-3, 0x1.4d3fb8a33f24dp-3, 0x1.50f6e35e19447p-3, 0x1.5497601461e9bp-3, 0x1.58211b8a8b168p-3, 0x1.5b9405264e3e4p-3, 0x1.5ef00ee6c7cf1p-3, 0x1.62352d5c4a9b1p-3, 0x1.6563579feb1ffp-3, 0x1.687a874ad7cb1p-3, 0x1.6b7ab86d6bbf8p-3, 0x1.6e63e9860bf4ap-3, 0x1.71361b77d2317p-3, 0x1.73f15180fc371p-3, 0x1.7695913137bcfp-3, 0x1.7922e25fb702p-3, 0x1.7b994f211dc8ep-3, 0x1.7df8e3bd4ea9fp-3, 0x1.8041aea505608p-3, 0x1.8273c0675dbe6p-3, 0x1.848f2ba72f854p-3, 0x1.869405105c2dbp-3, 0x1.8882634cefd17p-3, 0x1.8a5a5efa3bedep-3, 0x1.8c1c129dd0b94p-3, 0x1.8dc79a9a6a27dp-3, 0x1.8f5d1524cb592p-3, 0x1.90dca238878c5p-3, 0x1.9246638cc7905p-3, 0x1.939a7c88f7737p-3, 0x1.94d912397de0ap-3, 0x1.96024b445e5fep-3, 0x1.97164fdddffcdp-3, 0x1.981549bd3149cp-3, 0x1.98ff6411071b7p-3, 0x1.99d4cb74432fdp-3, 0x1.9a95ade29e58ep-3, 0x1.9b423aad4f23ap-3, 0x1.9bdaa26fc4b98p-3, 0x1.9c5f17045d5c1p-3, 0x1.9ccfcb7931fd5p-3, 0x1.9d2cf404e8e1p-3, 0x1.9d76c5fb910a2p-3, 0x1.9dad77c396491p-3, 0x1.9dd140cab9bp-3, 0x1.9de2597b29b1cp-3, 0x1.9de0fb309c02ap-3, 0x1.9dcd602d8b8ap-3, 0x1.9da7c3908000fp-3, 0x1.9d70614971b61p-3, 0x1.9d27760f418d6p-3, 0x1.9ccd3f55518acp-3, 0x1.9c61fb412a8f1p-3, 0x1.9be5e8a046252p-3, 0x1.9b5946ddf1d11p-3, 0x1.9abc55f94e853p-3, 0x1.9a0f567b6a7adp-3, 0x1.9952896d81be4p-3, 0x1.9886304f52f6bp-3, 0x1.97aa8d0d9f476p-3, 0x1.96bfe1f8bf4d6p-3, 0x1.95c671bb64f94p-3, 0x1.94be7f5178adbp-3, 0x1.93a84dff1a6e2p-3, 0x1.92842147c63dp-3, 0x1.91523ce59d6b1p-3, 0x1.9012e4c0d5b9ep-3, 0x1.8ec65ce74666p-3, 0x1.8d6ce9842592bp-3, 0x1.8c06ced7e0184p-3, 0x1.8a9451301ff18p-3, 0x1.8915b4dff5d84p-3, 0x1.878b3e382c39p-3, 0x1.85f5317fb9d1cp-3, 0x1.8453d2ec66733p-3, 0x1.82a7669b912f9p-3, 0x1.80f0308b1fe05p-3, 0x1.7f2e7492939ep-3, 0x1.7d62765c4d985p-3, 0x1.7b8c795ef3994p-3, 0x1.79acc0d70164p-3, 0x1.77c38fc081a94p-3, 0x1.75d128d0f133ep-3, 0x1.73d5ce7146266p-3, 0x1.71d1c2b82798bp-3, 0x1.6fc5476444e0cp-3, 0x1.6db09dd6dc5b2p-3, 0x1.6b94070e67248p-3, 0x1.696fc3a16e2b2p-3, 0x1.674413b987b68p-3, 0x1.6511370e7d651p-3, 0x1.62d76ce1963a8p-3, 0x1.6096f3f9102dbp-3, 0x1.5e500a9bb8803p-3, 0x1.5c02ee8cb2b3bp-3, 0x1.59afdd075f2a6p-3, 0x1.575712bb70662p-3, 0x1.54f8cbc92375fp-3, 0x1.529543bd99d13p-3, 0x1.502cb58f600ebp-3, 0x1.4dbf5b9b18abdp-3, 0x1.4b4d6fa04ae48p-3, 0x1.48d72abe50547p-3, 0x1.465cc571767d9p-3, 0x1.43de779031055p-3, 0x1.415c784880b87p-3, 0x1.3ed6fe1d73304p-3, 0x1.3c4e3ee4c687cp-3, 0x1.39c26fc4b5873p-3, 0x1.3733c531dc71p-3, 0x1.34a272ed4806ep-3, 0x1.320eac02a0b51p-3, 0x1.2f78a2c673a54p-3, 0x1.2ce088d4a3672p-3, 0x1.2a468f0ef21aep-3, 0x1.27aae59bad083p-3, 0x1.250dbbe472998p-3, 0x1.226f40951c66cp-3, 0x1.1fcfa19ac1e1cp-3, 0x1.1d2f0c22dc6f1p-3, 0x1.1a8dac9a7ed8fp-3, 0x1.17ebaeadb538cp-3, 0x1.15493d46f211ep-3, 0x1.12a6828ea5a5p-3, 0x1.1003a7eadef12p-3, 0x1.0d60d5ff10c42p-3, 0x1.0abe34abf04e3p-3, 0x1.081beb0f654c7p-3, 0x1.057a1f8496597p-3, 0x1.02d8f7a40b3b4p-3, 0x1.00389843e994dp-3, 0x1.fb324af07bd01p-4, 0x1.f5f58526cdcb1p-4, 0x1.f0bb244d1d9f4p-4, 0x1.eb836c0469649p-4, 0x1.e64e9e6daa8bbp-4, 0x1.e11cfc2b393a8p-4, 0x1.dbeec4625f288p-4, 0x1.d6c434bd0863bp-4, 0x1.d19d896ba719p-4, 0x1.cc7afd271e674p-4, 0x1.c75cc932eac3fp-4, 0x1.c243255f56b0dp-4, 0x1.bd2e480bd6253p-4, 0x1.b81e66297e1dap-4, 0x1.b313b33d9bd5p-4, 0x1.ae0e6164611b2p-4, 0x1.a90ea153b054fp-4, 0x1.a414a25e04a2bp-4, 0x1.9f2092756d607p-4, 0x1.9a329e2e9ec27p-4, 0x1.954af0c41f4b9p-4, 0x1.9069b4198e3efp-4, 0x1.8b8f10bef0edep-4, 0x1.86bb2df41f834p-4, 0x1.81ee31ac41772p-4, 0x1.7d2840915a31bp-4, 0x1.78697e07e6bebp-4, 0x1.73b20c328e26ap-4, 0x1.6f020bf5dba2p-4, 0x1.6a599cfc0e6fep-4, 0x1.65b8ddb8eec6ep-4, 0x1.611feb6db4032p-4, 0x1.5c8ee22cf8066p-4, 0x1.5805dcdeb0c04p-4, 0x1.5384f54435257p-4, 0x1.4f0c43fc4bd4cp-4, 0x1.4a9be08746bfcp-4, 0x1.4633e14b1d3f3p-4, 0x1.41d45b979385p-4, 0x1.3d7d63aa67ddap-4, 0x1.392f0cb38185cp-4, 0x1.34e968d92aeffp-4, 0x1.30ac893c49667p-4, 0x1.2c787dfc9b5cbp-4, 0x1.284d563cfc073p-4, 0x1.242b2027a1535p-4, 0x1.2011e8f264c64p-4, 0x1.1c01bce30823fp-4, 0x1.17faa7537825fp-4, 0x1.13fcb2b6174a7p-4, 0x1.1007e899ff233p-4, 0x1.0c1c51af460a2p-4, 0x1.0839f5cb3df9ep-4, 0x1.0460dbecb9074p-4, 0x1.00910a4041304p-4, 0x1.f9950c48ad5a7p-5, 0x1.f21aa85b41c7p-5, 0x1.eab2f056477bbp-5, 0x1.e35dea54d5a17p-5, 0x1.dc1b9af766e11p-5, 0x1.d4ec056c1819p-5, 0x1.cdcf2b76e92f9p-5, 0x1.c6c50d79e5448p-5, 0x1.bfcdaa7d42ca4p-5, 0x1.b8e900377b2e4p-5, 0x1.b2170b1546008p-5, 0x1.ab57c6419a717p-5, 0x1.a4ab2bad836b8p-5, 0x1.9e11341806adap-5, 0x1.9789d715d9ee6p-5, 0x1.91150b191eafap-5, 0x1.8ab2c57900293p-5, 0x1.8462fa793f423p-5, 0x1.7e259d51b5648p-5, 0x1.77faa035b0f68p-5, 0x1.71e1f45b52889p-5, 0x1.6bdb8a02d37e5p-5, 0x1.65e7507da171p-5, 0x1.600536357fe6cp-5, 0x1.5a3528b38f4dp-5, 0x1.547714a72ac81p-5, 0x1.4ecae5eccf82ap-5, 0x1.49308794d58c1p-5, 0x1.43a7e3ea17d2fp-5, 0x1.3e30e47891378p-5, 0x1.38cb7213d2902p-5, 0x1.337774dd6e799p-5, 0x1.2e34d44b49b5ep-5, 0x1.2903772dcdfdp-5, 0x1.23e343b614019p-5, 0x1.1ed41f7be82a4p-5, 0x1.19d5ef83be679p-5, 0x1.14e898448d68ap-5, 0x1.100bfdad934b4p-5, 0x1.0b40032bffe8cp-5, 0x1.06848bb086dbcp-5, 0x1.01d979b4e373p-5, 0x1.fa7d5e8264235p-6, 0x1.f1681be28ee61p-6, 0x1.e872edf3b94eep-6, 0x1.df9d965b61061p-6, 0x1.d6e7d6051eba8p-6, 0x1.ce516d2c7867fp-6, 0x1.c5da1b66852c6p-6, 0x1.bd819fab8fb44p-6, 0x1.b547b8602d53p-6, 0x1.ad2c235e8eceap-6, 0x1.a52e9dff56bb1p-6, 0x1.9d4ee5225b6c8p-6, 0x1.958cb5374b5c6p-6, 0x1.8de7ca4600a14p-6, 0x1.865fdff6cf7a2p-6, 0x1.7ef4b19a7d97bp-6, 0x1.77a5fa3224491p-6, 0x1.70737476f467p-6, 0x1.695cdae1afa6dp-6, 0x1.6261e7b1f2148p-6, 0x1.5b8254f583fep-6, 0x1.54bddc8f3e184p-6, 0x1.4e14383df3f97p-6, 0x1.478521a31347bp-6, 0x1.4110524942e82p-6, 0x1.3ab583aa951b8p-6, 0x1.34746f36dd7dcp-6, 0x1.2e4cce59a2659p-6, 0x1.283e5a8005d1dp-6, 0x1.2248cd1e7dc94p-6, 0x1.1c6bdfb66335ap-6, 0x1.16a74bdb61c88p-6, 0x1.10facb38a88b3p-6, 0x1.0b66179625b09p-6, 0x1.05e8eadd5e7b4p-6, 0x1.0082ff1e65651p-6, 0x1.f6681d28b6eeap-7, 0x1.ebf7a75440285p-7, 0x1.e1b411fd6f226p-7, 0x1.d79cd2d2db1fbp-7, 0x1.cdb15ffc2f69bp-7, 0x1.c3f13022104d4p-7, 0x1.ba5bba75d5e04p-7, 0x1.b0f076b906089p-7, 0x1.a7aedd449638cp-7, 0x1.9e96670fc93f6p-7, 0x1.95a68db7239b4p-7, 0x1.8cdecb82995f8p-7, 0x1.843e9b6c02753p-7, 0x1.7bc5792526b86p-7, 0x1.7372e11d3a877p-7, 0x1.6b465086d9fc5p-7, 0x1.633f455d09a2ap-7, 0x1.5b5d3e687682ap-7, 0x1.539fbb44675c4p-7, 0x1.4c063c6349f56p-7, 0x1.44904313538c2p-7, 0x1.3d3d5182c1ddfp-7, 0x1.360ceac3dc915p-7, 0x1.2efe92d1009d7p-7, 0x1.2811ce903a672p-7, 0x1.214623d6c52p-7, 0x1.1a9b196c65d62p-7, 0x1.1410370eb0b36p-7, 0x1.0da50573e81p-7, 0x1.07590e4dbd66ap-7, 0x1.012bdc4c20c7ap-7, 0x1.f639f63f09a77p-8, 0x1.ea57eef70dd66p-8, 0x1.deb0be312ba0bp-8, 0x1.d343816d3094cp-8, 0x1.c80f583c5edebp-8, 0x1.bd136445884f3p-8, 0x1.b24ec9482d2f3p-8, 0x1.a7c0ad1f1c214p-8, 0x1.9d6837c31d8d7p-8, 0x1.9344934d6b8aap-8, 0x1.8954ebf99ba2ap-8, 0x1.7f98702790301p-8, 0x1.760e505cff565p-8, 0x1.6cb5bf46ad69cp-8, 0x1.638df1b9e6654p-8, 0x1.5a961eb4c1bfdp-8, 0x1.51cd7f5f6f20ap-8, 0x1.49334f0c3e41p-8, 0x1.40c6cb382ec15p-8, 0x1.3887338a7840fp-8, 0x1.3073c9d5201cap-8, 0x1.288bd213e2c58p-8, 0x1.20ce926c27168p-8, 0x1.193b532c16ad1p-8, 0x1.11d15ec9de39dp-8, 0x1.0a9001e273a85p-8, 0x1.03768b387af52p-8, 0x1.f9089765d12cep-9, 0x1.eb712cb6bcbc6p-9, 0x1.de2580b99aa4bp-9, 0x1.d12442025118ep-9, 0x1.c46c23600a334p-9, 0x1.b7fbdbd7e46ecp-9, 0x1.abd226a18c553p-9, 0x1.9fedc321b53d8p-9, 0x1.944d74e5e4efap-9, 0x1.88f0039eddbfep-9, 0x1.7dd43b1b74304p-9, 0x1.72f8eb42d985bp-9, 0x1.685ce80f2ddb5p-9, 0x1.5dff098705af6p-9, 0x1.53de2bb7c82c3p-9, 0x1.49f92eaef096ap-9, 0x1.404ef673dd9a4p-9, 0x1.36de6b00e90f2p-9, 0x1.2da6783cd431bp-9, 0x1.24a60df3614ebp-9, 0x1.1bdc1fcf14fc7p-9, 0x1.1347a550c0ffap-9, 0x1.0ae799c95f697p-9, 0x1.02bafc5185d7dp-9, 0x1.f5819f84fef82p-10, 0x1.e5f0355cf0e17p-10, 0x1.d6bfceb0aa5c2p-10, 0x1.c7ee875818131p-10, 0x1.b97a826d60e9cp-10, 0x1.ab61ea3c5edabp-10, 0x1.9da2f03274286p-10, 0x1.903bccce163f5p-10, 0x1.832abf8e270dep-10, 0x1.766e0ee101cc5p-10, 0x1.6a04081444ebbp-10, 0x1.5deaff42dac8bp-10, 0x1.52214f4496915p-10, 0x1.46a5599d22a6dp-10, 0x1.3b75866a5b815p-10, 0x1.3090445321ecp-10, 0x1.25f4087683f33p-10, 0x1.1b9f4e5918338p-10, 0x1.119097d51e7a7p-10, 0x1.07c66d07a2caap-10, 0x1.fc7eb87f6183cp-11, 0x1.e9f3f3d99665fp-11, 0x1.d7e9c11ae9458p-11, 0x1.c65d613960d7ep-11, 0x1.b54c210377221p-11, 0x1.a4b358fbc923ep-11, 0x1.94906d35657d9p-11, 0x1.84e0cd32524fbp-11, 0x1.75a1f3bf19192p-11, 0x1.66d166d137a5ap-11, 0x1.586cb7628d4c1p-11, 0x1.4a718150e6b08p-11, 0x1.3cdd6b389bd7cp-11, 0x1.2fae265475c2ap-11, 0x1.22e16e5a2b769p-11, 0x1.167509574b8fbp-11, 0x1.0a66c7914a9ddp-11, 0x1.fd6906c21d1e6p-12, 0x1.e6b84224a3d44p-12, 0x1.d0b71d834e98cp-12, 0x1.bb6188763921fp-12, 0x1.a6b385b0f142dp-12, 0x1.92a92ac1017a3p-12, 0x1.7f3e9fcb91c3cp-12, 0x1.6c701f4a64ef8p-12, 0x1.5a39f5cd3cc4cp-12, 0x1.489881b6a5cf4p-12, 0x1.378832fca99dep-12, 0x1.27058ae86fa41p-12, 0x1.170d1bd8d8901p-12, 0x1.079b88ffb2202p-12, 0x1.f15b0c4a52964p-13, 0x1.d47faed521a71p-13, 0x1.b89ea21585d23p-13, 0x1.9db1ae3d3675fp-13, 0x1.83b2babec355ap-13, 0x1.6a9bcdd59af34p-13, 0x1.52670c1003e95p-13, 0x1.3b0eb7d7bf179p-13, 0x1.248d30fba436bp-13, 0x1.0edcf43f7096cp-13, 0x1.f3f135c4450fcp-14, 0x1.cbb5b46a65a1p-14, 0x1.a4fd0647face4p-14, 0x1.7fbd038ce5333p-14, 0x1.5bebb9e44aebfp-14, 0x1.397f6b9b0fdap-14, 0x1.186e8ec7c0a5dp-14, 0x1.f15f98e2db1c8p-15, 0x1.b473ff786fae9p-15, 0x1.7a086a26884dfp-15, 0x1.420b52bef30abp-15, 0x1.0c6b926e89f23p-15, 0x1.b230c043eaf21p-16, 0x1.50029de508c76p-16, 0x1.e45932a65ace5p-17, 0x1.311e80730b68fp-17, 0x1.0c2f3dd41a7abp-18, -0x1.cf79fcf80ea06p-21, -0x1.70942e9b10788p-18, -0x1.4c1956917de4ep-17, -0x1.d89da5bf70f9fp-17, -0x1.2f070613ae79p-16, -0x1.6e502ac7d5cfap-16, -0x1.aa448bfe51977p-16, -0x1.e2fddc8d0c44fp-16, -0x1.0c4a9cf4906dp-15, -0x1.2591975a54c74p-15, -0x1.3d5fdac388e7p-15, -0x1.53c11db79632ep-15, -0x1.68c0d14d31161p-15, -0x1.7c6a226ab5b5fp-15, -0x1.8ec7fb07fef59p-15, -0x1.9fe503722d3adp-15, -0x1.afcba377a7939p-15, -0x1.be8603a741218p-15, -0x1.cc1e0e7bf3a21p-15, -0x1.d89d7187b97fdp-15, -0x1.e40d9e9e965e9p-15, -0x1.ee77ccf6cd0a2p-15, -0x1.f7e4fa4d1216dp-15, -0x1.002ef5f9db8b3p-14, -0x1.03f597fcd1506p-14, -0x1.074a8f185ba66p-14, -0x1.0a31eca1ebd8dp-14, -0x1.0cafa7def39bep-14, -0x1.0ec79e87a3428p-14, -0x1.107d954b73ddp-14, -0x1.11d5384eb1453p-14, -0x1.12d21ba621332p-14, -0x1.1377bbd640557p-14, -0x1.13c97e49bf528p-14, -0x1.13cab1cb64cd4p-14, -0x1.137e8efa95f5ep-14, -0x1.12e838c075b3cp-14, -0x1.120abcc0b3878p-14, -0x1.10e913cd04734p-14, -0x1.0f86224e77d4dp-14, -0x1.0de4b8b7df911p-14, -0x1.0c0793ec0d045p-14, -0x1.09f15daad7141p-14, -0x1.07a4acf56844p-14, -0x1.052406777d0bfp-14, -0x1.0271dce813723p-14, -0x1.ff2122dcf30bdp-15, -0x1.f904e801aa06dp-15, -0x1.f293878bef553p-15, -0x1.ebd15ee0602d2p-15, -0x1.e4c2ab36ed2e5p-15, -0x1.dd6b8a4c994fcp-15, -0x1.d5cffb154d572p-15, -0x1.cdf3de6b4a10fp-15, -0x1.c5daf7bbf0de1p-15, -0x1.bd88edab1f68bp-15, -0x1.b5014abfc226ep-15, -0x1.ac477dfef2ef3p-15, -0x1.a35edb92d45a3p-15, -0x1.9a4a9d6087e24p-15, -0x1.910de3a66dcp-15, -0x1.87abb591788c8p-15, -0x1.7e2701d279af2p-15, -0x1.74829f2f9d6ap-15, -0x1.6ac14d11eba51p-15, -0x1.60e5b414843cfp-15, -0x1.56f2668bb3cfcp-15, -0x1.4ce9e10a0b177p-15, -0x1.42ce8aeecf4cp-15, -0x1.38a2b6da1d76cp-15, -0x1.2e68a336186f5p-15, -0x1.24227ab1f1f3ep-15, -0x1.19d254bd61a4fp-15, -0x1.0f7a35fd4fcfep-15, -0x1.051c10c4783ccp-15, -0x1.f5738b168b7e3p-16, -0x1.e0aa46b822138p-16, -0x1.cbdfd07ee818fp-16, -0x1.b7178366591ep-16, -0x1.a2549a1ba24e6p-16, -0x1.8d9a2fd198b23p-16, -0x1.78eb4113231cfp-16, -0x1.644aac882b6f7p-16, -0x1.4fbb33ba90925p-16, -0x1.3b3f7bdb515d1p-16, -0x1.26da0e7ab66ep-16, -0x1.128d5a4892f12p-16, -0x1.fcb767884a301p-17, -0x1.d48eabdf62a9p-17, -0x1.aca4c5fdf95fep-17, -0x1.84fdca0edf1bep-17, -0x1.5d9d9d3302c51p-17, -0x1.3687f6e5fd08fp-17, -0x1.0fc0622a343b2p-17, -0x1.d2947da4ceb13p-18, -0x1.8651854cb067dp-18, -0x1.3abdf52940f7p-18, -0x1.dfbf2f61b48fbp-19, -0x1.4b77d46e4c5a6p-19, -0x1.71607c68d9f69p-20, -0x1.3b91fd7744d59p-22, 0x1.a0e3856d5296ap-21, 0x1.ec90d1219c9ccp-20, 0x1.82b41ee756272p-19, 0x1.06ba274f14574p-18, 0x1.4b40dfc668eb7p-18, 0x1.8eead999c449dp-18, 0x1.d1b4f0a09bdd3p-18, 0x1.09ce1cf05855p-17, 0x1.2a4f00fac2bcbp-17, 0x1.4a5be5982e37ep-17, 0x1.69f3a60248ca6p-17, 0x1.891536af6497p-17, 0x1.a7bfa4829f1a9p-17, 0x1.c5f2140a5afb9p-17, 0x1.e3abc0b59ce9ap-17, 0x1.0075fe0fc48a4p-16, 0x1.0ed916a5ef437p-16, 0x1.1cfee7f9fb6bbp-16, 0x1.2ae739ecd4a69p-16, 0x1.3891de0c09823p-16, 0x1.45feaf3a98063p-16, 0x1.532d91628c8b9p-16, 0x1.601e71233c48ap-16, 0x1.6cd1438387bb1p-16, 0x1.794605a1574d3p-16, 0x1.857cbc6d86c3ep-16, 0x1.9175745f71ae9p-16, 0x1.9d30412bdfcf4p-16, 0x1.a8ad3d868064bp-16, 0x1.b3ec8ad70966fp-16, 0x1.beee50fc3fdbp-16, 0x1.c9b2be0c27a55p-16, 0x1.d43a0612ec384p-16, 0x1.de8462d728d6dp-16, 0x1.e89213a00d247p-16, 0x1.f2635cf975d91p-16, 0x1.fbf8888063ba5p-16, 0x1.02a8f2527292ap-15, 0x1.0737e23dbe75dp-15, 0x1.0ba93fc332488p-15, 0x1.0ffd38c1f6a13p-15, 0x1.1433fd1ef04dbp-15, 0x1.184dbeabe65c7p-15, 0x1.1c4ab1120c703p-15, 0x1.202b09b9c1306p-15, 0x1.23eeffb5f96eep-15, 0x1.2796cbad11da6p-15, 0x1.2b22a7c7216acp-15, 0x1.2e92cf970d5e8p-15, 0x1.31e78007fbe9bp-15, 0x1.3520f74a74bfdp-15, 0x1.383f74c1b12c9p-15, 0x1.3b4338f259815p-15, 0x1.3e2c856fba286p-15, 0x1.40fb9ccd01aa1p-15, 0x1.43b0c28a0b773p-15, 0x1.464c3b061eb76p-15, 0x1.48ce4b6f056d8p-15, 0x1.4b3739b2d0837p-15, 0x1.4d874c709bacp-15, 0x1.4fbecaeb24ecbp-15, 0x1.51ddfcfb4415ep-15, 0x1.53e52b0263ac4p-15, 0x1.55d49ddd49161p-15, 0x1.57ac9ed86b424p-15, 0x1.596d77a439196p-15, 0x1.5b177248a776cp-15, 0x1.5caad91a8bf0cp-15, 0x1.5e27f6b0ceea8p-15, 0x1.5f8f15d95ccb6p-15, 0x1.60e0818fc7eb9p-15, 0x1.621c84f30c34p-15, 0x1.63436b3bf312dp-15, 0x1.64557fb4bbb19p-15, 0x1.65530daf89b88p-15, 0x1.663c607e3ff5ep-15, 0x1.6711c36a02076p-15, 0x1.67d381abffad5p-15, 0x1.6881e664a7311p-15, 0x1.691d3c95bce79p-15, 0x1.69a5cf1a11752p-15, 0x1.6a1be89f9726ep-15, 0x1.6a7fd3a0a42bp-15, 0x1.6ad1da5d3864p-15, 0x1.6b1246d5a111fp-15, 0x1.6b4162c43757fp-15, 0x1.6b5f7797c029fp-15, 0x1.6b6cce6eb94c1p-15, 0x1.6b69b011c29eep-15, 0x1.6b5664eeba1edp-15, 0x1.6b3335142898bp-15, 0x1.6b00682c61fc3p-15, 0x1.6abe457a4e761p-15, 0x1.6a6d13d454b7ap-15, 0x1.6a0d19a0e7facp-15, 0x1.699e9cd29fd8ep-15, 0x1.6921e2e4c7cp-15, 0x1.689730d81eaeap-15, 0x1.67fecb2f4f3d8p-15, 0x1.6758f5ec4c154p-15, 0x1.66a5f48d513dp-15, 0x1.65e60a0a15b08p-15, 0x1.651978d148fb6p-15, 0x1.644082c64c46dp-15, 0x1.635b693e6ebeap-15, 0x1.626a6cffb3c1dp-15, 0x1.616dce3dbd21ep-15, 0x1.6065cc98b4a2ap-15, 0x1.5f52a71b3ead2p-15, 0x1.5e349c38e1beap-15, 0x1.5d0be9cc6646ep-15, 0x1.5bd8cd16b8962p-15, 0x1.5a9b82bd51616p-15, 0x1.595446c962fcfp-15, 0x1.580354a661392p-15, 0x1.56a8e7211b84cp-15, 0x1.554538672429ep-15, 0x1.53d88205a5fcep-15, 0x1.5262fce924f2bp-15, 0x1.50e4e15c4c9afp-15, 0x1.4f5e67083d962p-15, 0x1.4dcfc4f34d49fp-15, 0x1.4c393180f777cp-15, 0x1.4a9ae271ee16dp-15, 0x1.48f50ce35bd1cp-15, 0x1.4747e54ee4626p-15, 0x1.45939f8b03534p-15, 0x1.43d86eca65e8p-15, 0x1.4216859c796ddp-15, 0x1.404e15ed4b2a2p-15, 0x1.3e7f5105d7fafp-15, 0x1.3caa678c6b73fp-15, 0x1.3acf8984b0718p-15, 0x1.38eee64febd2fp-15, 0x1.3708acadaf2e2p-15, }}, 
      {{-0x1.9b00b2270075ep-8, -0x1.9735ea1c91c95p-7, -0x1.2d307f12d12c6p-6, -0x1.8ac6015c039b8p-6, -0x1.e42a061353c99p-6, -0x1.1cc3d6b4a42c6p-5, -0x1.459e32fa723ecp-5, -0x1.6cdbb238ba3e1p-5, -0x1.92b1f645c077cp-5, -0x1.b74e60cfb3883p-5, -0x1.dad3294e5bf2cp-5, -0x1.fd56b19b77f7cp-5, -0x1.0f721df0a2396p-4, -0x1.1fbeb3d73462p-4, -0x1.2f8e0879318afp-4, -0x1.3eda281063f05p-4, -0x1.4d9b38fd2daa5p-4, -0x1.5bc865f76161ep-4, -0x1.6958adaef7e5ep-4, -0x1.764392514694cp-4, -0x1.8281a6076665dp-4, -0x1.8e0cf3b8d610bp-4, -0x1.98e1453b9518p-4, -0x1.a2fc499c5785bp-4, -0x1.ac5d9f463f071p-4, -0x1.b506c6872a775p-4, -0x1.bcfb0141ddf7p-4, -0x1.c43f249ea213fp-4, -0x1.cad96145e66f8p-4, -0x1.d0d1063a95daap-4, -0x1.d62e41d447992p-4, -0x1.daf9e3b54f864p-4, -0x1.df3d21f344adfp-4, -0x1.e301630b30c86p-4, -0x1.e6500dad999ebp-4, -0x1.e9325ef4d8cfdp-4, -0x1.ebb14734775e5p-4, -0x1.edd54d4217542p-4, -0x1.efa677dedf862p-4, -0x1.f12c3cc0c3242p-4, -0x1.f26d74a373aadp-4, -0x1.f37053bd6703fp-4, -0x1.f43a65f4b645bp-4, -0x1.f4d08e35c708p-4, -0x1.f537085943d09p-4, -0x1.f5716d15a599fp-4, -0x1.f582b788f4377p-4, -0x1.f56d4bf7e1776p-4, -0x1.f532ff6fbf98ap-4, -0x1.f4d520079bbc3p-4, -0x1.f4547d8a5cb73p-4, -0x1.f3b1725f1495cp-4, -0x1.f2ebec8edcfedp-4, -0x1.f20376cf240c6p-4, -0x1.f0f7417e19476p-4, -0x1.efc62b83521e1p-4, -0x1.ee6ecb0ac4133p-4, -0x1.ecef761275ad9p-4, -0x1.eb464ac5195fp-4, -0x1.e971379cc4b25p-4, -0x1.e76e0349ad032p-4, -0x1.e53a5458e9e29p-4, -0x1.e2d3b89750a54p-4, -0x1.e037ac2ca6cf6p-4, -0x1.dd63a06afdc48p-4, -0x1.da55024e45fp-4, -0x1.d70940a817c69p-4, -0x1.d37dd1f3dcfbbp-4, -0x1.cfb039cfa22eep-4, -0x1.cb9e0e1650f35p-4, -0x1.c744fb988d3c7p-4, -0x1.c2a2ca71c76a7p-4, -0x1.bdb561f7dafeep-4, -0x1.b87acc44294b6p-4, -0x1.b2f13955d9e6ep-4, -0x1.ad1701cd77724p-4, -0x1.a6eaa94317429p-4, -0x1.a06ae038b3e99p-4, -0x1.999685ab0e485p-4, -0x1.926ca844283f2p-4, -0x1.8aec8732d75d6p-4, -0x1.831592ab81614p-4, -0x1.7ae76c167a311p-4, -0x1.7261e5f0df6e6p-4, -0x1.698503651acddp-4, -0x1.6050f7a06548cp-4, -0x1.56c624eae10dp-4, -0x1.4ce51b87df885p-4, -0x1.42ae98640e0bcp-4, -0x1.382383972a876p-4, -0x1.2d44eebed6f78p-4, -0x1.221413380244cp-4, -0x1.1692503c331fp-4, -0x1.0ac128e7d263ap-4, -0x1.fd44845cae513p-5, -0x1.e46ec181e1b81p-5, -0x1.cb04cdd81a342p-5, -0x1.b10aa4df917c5p-5, -0x1.968474ae27df7p-5, -0x1.7b7699a1efc84p-5, -0x1.5fe59a1e67c93p-5, -0x1.43d62259e8e4cp-5, -0x1.274d004090813p-5, -0x1.0a4f1f70f7865p-5, -0x1.d9c30aad80024p-6, -0x1.9e129acc7a953p-6, -0x1.61974af835ee3p-6, -0x1.245b94c68677fp-6, -0x1.ccd4120ba9552p-7, -0x1.4f9a92d8567c8p-7, -0x1.a2400a6d5c541p-8, -0x1.45e733d92e808p-9, 0x1.7a15915ae28c9p-10, 0x1.62003ce807356p-8, 0x1.33a93171e5d46p-7, 0x1.b728c09801534p-7, 0x1.1db4e29a2c694p-6, 0x1.602bb1e24f7f2p-6, 0x1.a2ee7956e304ap-6, 0x1.e5f3002e23469p-6, 0x1.149796349d989p-5, 0x1.364c82aaf0d09p-5, 0x1.58135ae6ac115p-5, 0x1.79e7471a44113p-5, 0x1.9bc3832031cafp-5, 0x1.bda35f411e226p-5, 0x1.df8240dfc31d6p-5, 0x1.00add18614a16p-4, 0x1.11958b801bf38p-4, 0x1.22762243797c1p-4, 0x1.334d7528304b4p-4, 0x1.44196f19be53bp-4, 0x1.54d806afeb8cp-4, 0x1.65873e4032e9cp-4, 0x1.762523e87034dp-4, 0x1.86afd19389218p-4, 0x1.97256cf8b57a1p-4, 0x1.a7842795fcedep-4, 0x1.b7ca3ea67fe2fp-4, 0x1.c7f5fb151209bp-4, 0x1.d805b16bac0e3p-4, 0x1.e7f7c1c01b4f1p-4, 0x1.f7ca979e619b3p-4, 0x1.03be54f8a07d5p-3, 0x1.0b863d7489978p-3, 0x1.133c4bf0c2fc1p-3, 0x1.1adfcca322739p-3, 0x1.2270113b818e7p-3, 0x1.29ec70d5824d1p-3, 0x1.315447ea2c336p-3, 0x1.38a6f8418252fp-3, 0x1.3fe3e8e41bf82p-3, 0x1.470a860cd1933p-3, 0x1.4e1a411a8e924p-3, 0x1.551290824d742p-3, 0x1.5bf2efc14eca6p-3, 0x1.62badf4f86c43p-3, 0x1.6969e4925036fp-3, 0x1.6fff89cf5d38ep-3, 0x1.767b5e1fed394p-3, 0x1.7cdcf5644b395p-3, 0x1.8323e8378531ap-3, 0x1.894fd3e368f54p-3, 0x1.8f605a54b6bc1p-3, 0x1.9555220f8dbbbp-3, 0x1.9b2dd624083fcp-3, 0x1.a0ea2623057fbp-3, 0x1.a689c613123dap-3, 0x1.ac0c6e6576571p-3, 0x1.b171dbeb5771dp-3, 0x1.b6b9cfcaeb7ep-3, 0x1.bbe40f74b788ep-3, 0x1.c0f06498d132cp-3, 0x1.c5de9d1c183afp-3, 0x1.caae8b0d6ac4p-3, 0x1.cf60049ac47c1p-3, 0x1.d3f2e40648a88p-3, 0x1.d867079b2f2b1p-3, 0x1.dcbc51a28e577p-3, 0x1.e0f2a857f70bbp-3, 0x1.e509f5ddef5bcp-3, 0x1.e90228322faa7p-3, 0x1.ecdb3121ae802p-3, 0x1.f095063c7a3e7p-3, 0x1.f42fa0c9472e7p-3, 0x1.f7aafdb8ce0ecp-3, 0x1.fb071d98dc595p-3, 0x1.fe44048724524p-3, 0x1.00b0dd11e7c25p-2, 0x1.023024c1e0296p-2, 0x1.039fe09149374p-2, 0x1.0500196a28b7bp-2, 0x1.0650d9db7484bp-2, 0x1.07922e11a8544p-2, 0x1.08c423cf36945p-2, 0x1.09e6ca64d8bb4p-2, 0x1.0afa32a9bc68dp-2, 0x1.0bfe6ef3914dep-2, 0x1.0cf3930e76877p-2, 0x1.0dd9b434c7dfcp-2, 0x1.0eb0e906d1fd1p-2, 0x1.0f7949826604bp-2, 0x1.1032eefa557edp-2, 0x1.10ddf40dd5987p-2, 0x1.117a749fc9548p-2, 0x1.12088dcdf943bp-2, 0x1.12885de8345dbp-2, 0x1.12fa04676175dp-2, 0x1.135da1e480da9p-2, 0x1.13b3580f9f00dp-2, 0x1.13fb49a6bd11ap-2, 0x1.14359a6cad276p-2, 0x1.14626f1fea258p-2, 0x1.1481ed7167341p-2, 0x1.14943bfb5bb7bp-2, 0x1.149982381029ep-2, 0x1.1491e878a84e1p-2, 0x1.147d97dbf0eb8p-2, 0x1.145cba4534909p-2, 0x1.142f7a5312181p-2, 0x1.13f603565dbd4p-2, 0x1.13b081490ef06p-2, 0x1.135f20c535356p-2, 0x1.13020efbfe996p-2, 0x1.129979accd8d7p-2, 0x1.12258f1c5e965p-2, 0x1.11a67e0c02a7fp-2, 0x1.111c75b0ee2c9p-2, 0x1.1087a5ab9b662p-2, 0x1.0fe83dff49d65p-2, 0x1.0f3e6f0992527p-2, 0x1.0e8a697a173dp-2, 0x1.0dcc5e4a5236ep-2, 0x1.0d047eb57d152p-2, 0x1.0c32fc30992f5p-2, 0x1.0b580862988b8p-2, 0x1.0a73d51ca4819p-2, 0x1.0986945287fe6p-2, 0x1.089078133c85bp-2, 0x1.0791b28198303p-2, 0x1.068a75cd23af1p-2, 0x1.057af42b122d6p-2, 0x1.04635fcf6055ap-2, 0x1.0343eae6199abp-2, 0x1.021cc78cc3c48p-2, 0x1.00ee27cbf12fdp-2, 0x1.ff707b21fd327p-3, 0x1.fcf6754fe74cap-3, 0x1.fa6ea16b1ed3dp-3, 0x1.f7d96262fc7fcp-3, 0x1.f5371ac16cb96p-3, 0x1.f2882c9fffcf4p-3, 0x1.efccf99d47913p-3, 0x1.ed05e2d28f85dp-3, 0x1.ea3348c9dd41p-3, 0x1.e7558b74509abp-3, 0x1.e46d0a20c962bp-3, 0x1.e17a2372ec14cp-3, 0x1.de7d355a6eac4p-3, 0x1.db769d0abd6fp-3, 0x1.d866b6f2efc27p-3, 0x1.d54ddeb60dee6p-3, 0x1.d22c6f23a6eap-3, 0x1.cf02c230b473p-3, 0x1.cbd130f0d2b42p-3, 0x1.c898138fc1cedp-3, 0x1.c557c14b33ecp-3, 0x1.c210906cf17ffp-3, 0x1.bec2d6453a403p-3, 0x1.bb6ee7257e0e9p-3, 0x1.b815165b58befp-3, 0x1.b4b5b62bd7bf3p-3, 0x1.b15117cf0a842p-3, 0x1.ade78b6bd0888p-3, 0x1.aa796013fadc7p-3, 0x1.a706e3c0a19a7p-3, 0x1.a390634ecb2a2p-3, 0x1.a0162a7c48497p-3, 0x1.9c9883e4dd7e8p-3, 0x1.9917b8ff9ce93p-3, 0x1.9594121c8e5f1p-3, 0x1.920dd66284625p-3, 0x1.8e854bcd36968p-3, 0x1.8afab72b939fdp-3, 0x1.876e5c1e48a9ap-3, 0x1.83e07d1684be3p-3, 0x1.80515b54ec7e2p-3, 0x1.7cc136e8c7e71p-3, 0x1.79304eaf5f98dp-3, 0x1.759ee0538b5d8p-3, 0x1.720d284d7577fp-3, 0x1.6e7b61e28749cp-3, 0x1.6ae9c72589df2p-3, 0x1.675890f6ea8a9p-3, 0x1.63c7f70531a48p-3, 0x1.60382fcda0dfap-3, 0x1.5ca9709cf76fcp-3, 0x1.591bed90614b3p-3, 0x1.558fd99688b95p-3, 0x1.52056670cbf25p-3, 0x1.4e7cc4b499722p-3, 0x1.4af623cceb153p-3, 0x1.4771b1fbe1c0ap-3, 0x1.43ef9c5c8439bp-3, 0x1.40700ee492385p-3, 0x1.3cf334668374cp-3, 0x1.3979369392244p-3, 0x1.36023dfded0b7p-3, 0x1.328e721afa467p-3, 0x1.2f1df945b7f98p-3, 0x1.2bb0f8c12e995p-3, 0x1.284794baff58ap-3, 0x1.24e1f04e018a6p-3, 0x1.21802d84f7c3ap-3, 0x1.1e226d5d5694ap-3, 0x1.1ac8cfca1bf92p-3, 0x1.177373b6bb03p-3, 0x1.1422770a0f7p-3, 0x1.10d5f6a96ba2bp-3, 0x1.0d8e0e7ba85ep-3, 0x1.0a4ad96c4a7dbp-3, 0x1.070c716eb17b9p-3, 0x1.03d2ef814fa0ap-3, 0x1.009e6bb0ebe3ep-3, 0x1.faddfa37eac14p-4, 0x1.f48973eba8523p-4, 0x1.ee3f6f148b10dp-4, 0x1.e800148191f63p-4, 0x1.e1cb8b4001adfp-4, 0x1.dba1f8a25aacfp-4, 0x1.d583804733222p-4, 0x1.cf70442035d92p-4, 0x1.c9686479168e5p-4, 0x1.c36bfffe97daep-4, 0x1.bd7b33c58a171p-4, 0x1.b7961b51da121p-4, 0x1.b1bcd09d9379p-4, 0x1.abef6c1ff6985p-4, 0x1.a62e04d4757b7p-4, 0x1.a078b041cb70bp-4, 0x1.9acf8280fdadbp-4, 0x1.95328e445bc7ap-4, 0x1.8fa1e4de88c92p-4, 0x1.8a1d96496dc4dp-4, 0x1.84a5b12d32351p-4, 0x1.7f3a42e72919ep-4, 0x1.79db5790b6e02p-4, 0x1.7488fa062ce81p-4, 0x1.6f4333eda0a55p-4, 0x1.6a0a0dbdb2e9fp-4, 0x1.64dd8ec450dc9p-4, 0x1.5fbdbd2d67bc1p-4, 0x1.5aaa9e098abddp-4, 0x1.55a435548f997p-4, 0x1.50aa85fc1db4dp-4, 0x1.4bbd91e62dd5ep-4, 0x1.46dd59f7791d7p-4, 0x1.4209de19dedc8p-4, 0x1.3d431d42b92bap-4, 0x1.388915791e55bp-4, 0x1.33dbc3dc16794p-4, 0x1.2f3b24a8c0193p-4, 0x1.2aa733405f372p-4, 0x1.261fea2e62c0dp-4, 0x1.21a5432e523dcp-4, 0x1.1d373731ac018p-4, 0x1.18d5be65b24d7p-4, 0x1.1480d0392356ap-4, 0x1.10386361dfb37p-4, 0x1.0bfc6de281d5bp-4, 0x1.07cce50fdaf4p-4, 0x1.03a9bd9663fcep-4, 0x1.ff25d6ff27985p-5, 0x1.f710c46e5a92p-5, 0x1.ef142920d340dp-5, 0x1.e72fe9963f044p-5, 0x1.df63e93193a4p-5, 0x1.d7b00a4301f4cp-5, 0x1.d0142e11bef93p-5, 0x1.c89034e5a0531p-5, 0x1.c123fe1094776p-5, 0x1.b9cf67f7f103cp-5, 0x1.b292501d989dfp-5, 0x1.ab6c9328fcef2p-5, 0x1.a45e0ceff0125p-5, 0x1.9d66987f55494p-5, 0x1.96861023a4a89p-5, 0x1.8fbc4d714c48ap-5, 0x1.8909294ce2aaep-5, 0x1.826c7bf33a28fp-5, 0x1.7be61d013ff71p-5, 0x1.7575e37bc2dfp-5, 0x1.6f1ba5d706f78p-5, 0x1.68d739fe39b02p-5, 0x1.62a8755aba3d3p-5, 0x1.5c8f2cdb3d118p-5, 0x1.568b34facdeb9p-5, 0x1.509c61c7a0a05p-5, 0x1.4ac286e9cb61ep-5, 0x1.44fd77a9c96e5p-5, 0x1.3f4d06f6ee9ddp-5, 0x1.39b1076d9d5ddp-5, 0x1.34294b5d6cd71p-5, 0x1.2eb5a4cf258f8p-5, 0x1.2955e58a904e3p-5, 0x1.2409df1c2cb8ep-5, 0x1.1ed162dabf7aap-5, 0x1.19ac41ecc6bbfp-5, 0x1.149a4d4dbc49fp-5, 0x1.0f9b55d341ed7p-5, 0x1.0aaf2c322caf3p-5, 0x1.05d5a10364d52p-5, 0x1.010e84c8b2ep-5, 0x1.f8b34fe2bfb32p-6, 0x1.ef6db5bd7cd44p-6, 0x1.e64bdbd1217e5p-6, 0x1.dd4d62c29cd9bp-6, 0x1.d471eb349c54ap-6, 0x1.cbb915cfa4b34p-6, 0x1.c3228349e40d7p-6, 0x1.baadd46edafbcp-6, 0x1.b25aaa26b85d6p-6, 0x1.aa28a57d90858p-6, 0x1.a21767aa464dep-6, 0x1.9a26921558027p-6, 0x1.9255c65f54583p-6, 0x1.8aa4a66742041p-6, 0x1.8312d450aa6fcp-6, 0x1.7b9ff28990ba3p-6, 0x1.744ba3d022595p-6, 0x1.6d158b3846a9cp-6, 0x1.65fd4c30e6b6fp-6, 0x1.5f028a891baefp-6, 0x1.5824ea752456p-6, 0x1.516410932667ap-6, 0x1.4abfa1efd1b5bp-6, 0x1.4437440ac289cp-6, 0x1.3dca9cdad26f7p-6, 0x1.377952d21a2e2p-6, 0x1.31430ce1f8b02p-6, 0x1.2b27727ebdba8p-6, 0x1.25262ba354a54p-6, 0x1.1f3ee0d4b55fdp-6, 0x1.19713b252d589p-6, 0x1.13bce4378ad78p-6, 0x1.0e218642187dep-6, 0x1.089ecc117f71cp-6, 0x1.0334610b8929fp-6, 0x1.fbc3e26350763p-7, 0x1.f14e5246e081fp-7, 0x1.e7076c41f2beap-7, 0x1.dcee8c19f0efbp-7, 0x1.d3030edde001ep-7, 0x1.c94452ea29b96p-7, 0x1.bfb1b7ec43317p-7, 0x1.b64a9ee63b6e7p-7, 0x1.ad0e6a31d5205p-7, 0x1.a3fc7d839efcfp-7, 0x1.9b143dedb7a88p-7, 0x1.925511e25249dp-7, 0x1.89be61362e738p-7, 0x1.814f9522b762fp-7, 0x1.790818480010ap-7, 0x1.70e756ae90ce3p-7, 0x1.68ecbdc90d7d3p-7, 0x1.6117bc7592961p-7, 0x1.5967c2ff05859p-7, 0x1.51dc431e325e9p-7, 0x1.4a74affaa32ebp-7, 0x1.43307e2b82dc3p-7, 0x1.3c0f23b821058p-7, 0x1.35101818752bap-7, 0x1.2e32d43576f07p-7, 0x1.2776d26946e6dp-7, 0x1.20db8e7f22e48p-7, 0x1.1a6085b38a758p-7, 0x1.140536b3bb68fp-7, 0x1.0dc9219d999c9p-7, 0x1.07abc7ff18897p-7, 0x1.01acacd5a2fd3p-7, 0x1.f796a91b03f4fp-8, 0x1.ec0e8a01eb8bap-8, 0x1.e0c00aeecc9e4p-8, 0x1.d5aa3d4896889p-8, 0x1.cacc354c25779p-8, 0x1.c0250a0a0b852p-8, 0x1.b5b3d563d0c03p-8, 0x1.ab77b40911fddp-8, 0x1.a16fc574e7291p-8, 0x1.979b2bea7ab04p-8, 0x1.8df90c7200163p-8, 0x1.84888ed51d7dfp-8, 0x1.7b48dd9b9f3e4p-8, 0x1.723926077cf1p-8, 0x1.6958981148584p-8, 0x1.60a6666414dffp-8, 0x1.5821c6596fba9p-8, 0x1.4fc9eff53bd84p-8, 0x1.479e1de15edc7p-8, 0x1.3f9d8d695bc77p-8, 0x1.37c77e75bee6bp-8, 0x1.301b3387b9e6bp-8, 0x1.2897f1b42dcf5p-8, 0x1.213d009f31694p-8, 0x1.1a09aa76dc756p-8, 0x1.12fd3beea3918p-8, 0x1.0c17043a4a8ffp-8, 0x1.05565508a1e3dp-8, 0x1.fd7504fd2accp-9, 0x1.f085c663c5712p-9, 0x1.e3dda047b5d76p-9, 0x1.d77b49781b3d7p-9, 0x1.cb5d7d85ec323p-9, 0x1.bf82fcb8fd75fp-9, 0x1.b3ea8c057bb36p-9, 0x1.a892f50068747p-9, 0x1.9d7b05d4ed92fp-9, 0x1.92a1913957278p-9, 0x1.88056e635201bp-9, 0x1.7da578fd8066p-9, 0x1.7380911b97dfap-9, 0x1.69959b2f561ep-9, 0x1.5fe37ffd2ee39p-9, 0x1.56692c90b396ap-9, 0x1.4d25923169b8ap-9, 0x1.4417a6574e9c4p-9, 0x1.3b3e629f4d999p-9, 0x1.3298c4c00a223p-9, 0x1.2a25ce7e41211p-9, 0x1.21e485a14a703p-9, 0x1.19d3f3e7bc158p-9, 0x1.11f326fc2253ep-9, 0x1.0a41306962bafp-9, 0x1.02bd258f4cd01p-9, 0x1.f6cc3f2ecf076p-10, 0x1.e87676d29f809p-10, 0x1.da77333fb6e27p-10, 0x1.ccccbcfa2218fp-10, 0x1.bf7563bf9a68ap-10, 0x1.b26f7e6f561bdp-10, 0x1.a5b96af4a6629p-10, 0x1.99518e308dbc8p-10, 0x1.8d3653e3469fep-10, 0x1.81662e962e547p-10, 0x1.75df978612e38p-10, 0x1.6aa10e8cfd4c2p-10, 0x1.5fa91a0c95f76p-10, 0x1.54f646d866459p-10, 0x1.4a872820279ddp-10, 0x1.405a575ad9c68p-10, 0x1.366e743094fbep-10, 0x1.2cc22466492aep-10, 0x1.235413c81f049p-10, 0x1.1a22f415091p-10, 0x1.112d7ce94b057p-10, 0x1.08726baaf08efp-10, 0x1.ffe106e8828cap-11, 0x1.ef4d1a0069f6dp-11, 0x1.df26ad2bf547cp-11, 0x1.cf6b67ea5cbd5p-11, 0x1.c018fc83938b7p-11, 0x1.b12d27e12baf2p-11, 0x1.a2a5b167739fdp-11, 0x1.94806ace65643p-11, 0x1.86bb2ffc18498p-11, 0x1.7953e6dd9d818p-11, 0x1.6c487f4291a1p-11, 0x1.5f96f2b69343fp-11, 0x1.533d445d5fef1p-11, 0x1.473980cd4ec9p-11, 0x1.3b89bdebc4a1p-11, 0x1.302c1ac8bb12p-11, 0x1.251ebf7b859a5p-11, 0x1.1a5fdcff51579p-11, 0x1.0fedad10b621fp-11, 0x1.05c6720aacf3cp-11, 0x1.f7d0ed89d266fp-12, 0x1.e4a41ce37ec0bp-12, 0x1.d20328f9ca88dp-12, 0x1.bfead8d4573e7p-12, 0x1.ae58036a622d7p-12, 0x1.9d478f60c11fbp-12, 0x1.8cb672cc1691dp-12, 0x1.7ca1b2eedbe73p-12, 0x1.6d0663fdb5344p-12, 0x1.5de1a8defd68p-12, 0x1.4f30b2ef8fa15p-12, 0x1.40f0c1c64a756p-12, 0x1.331f22f73bd68p-12, 0x1.25b931d9cffffp-12, 0x1.18bc574e7dc66p-12, 0x1.0c260984dd31ep-12, 0x1.ffe7978618847p-13, 0x1.e8465c5bd8a5fp-13, 0x1.d1639b22dcb8p-13, 0x1.bb3aa653a8625p-13, 0x1.a5c6e8dcf156fp-13, 0x1.9103e5b67cca2p-13, 0x1.7ced3779ee3b9p-13, 0x1.697e8ffafc399p-13, 0x1.56b3b7dfe430fp-13, 0x1.44888e3cf6df4p-13, 0x1.32f908320226cp-13, 0x1.220130849bf1fp-13, 0x1.119d27438e758p-13, 0x1.01c92163414f9p-13, 0x1.e502d0c25d96fp-14, 0x1.c784b3ce1af9p-14, 0x1.ab10ceddcf453p-14, 0x1.8fa02bcd1f99ap-14, 0x1.752bfab27e01ep-14, 0x1.5bad912c57a27p-14, 0x1.431e69b330fbbp-14, 0x1.2b7822f067d78p-14, 0x1.14b47f141438p-14, 0x1.fd9ac6621f195p-15, 0x1.d379ad2ba566p-15, 0x1.aafa0461e449p-15, 0x1.84105fd5ae0a5p-15, 0x1.5eb19420b2faep-15, 0x1.3ad2b56a43d51p-15, 0x1.18691634f7b13p-15, 0x1.eed48c7d44cfcp-16, 0x1.af98229a18c03p-16, 0x1.7308fc2869bdcp-16, 0x1.39139a2a2c55ap-16, 0x1.01a4ef0f69fe3p-16, 0x1.9954b90c3730bp-17, 0x1.342362c055e49p-17, 0x1.a7249ddde69b9p-18, 0x1.ddfb0cd7cea38p-19, 0x1.fc6d31c35cbbdp-21, -0x1.9db51fbd21fdp-20, -0x1.0633fd4ee1424p-18, -0x1.9d05af0447517p-18, -0x1.16100ab8c103ap-17, -0x1.59dfba06245c6p-17, -0x1.9a0f503fc3d9p-17, -0x1.d6bb84f7f527ep-17, -0x1.0800300bc136p-16, -0x1.22fc9eaa53b65p-16, -0x1.3c6067d4fa7ccp-16, -0x1.5438925e3d52bp-16, -0x1.6a91d4134029ep-16, -0x1.7f789362a7e1bp-16, -0x1.92f8e8fb0b28cp-16, -0x1.a51ea157754cap-16, -0x1.b5f53e5cea09cp-16, -0x1.c587f8cc9922p-16, -0x1.d3e1c1d56c726p-16, -0x1.e10d448a1d365p-16, -0x1.ed14e753cdf0dp-16, -0x1.f802cd5ec19bfp-16, -0x1.00f06bff1a281p-15, -0x1.055c540915704p-15, -0x1.0949cfaf33a2cp-15, -0x1.0cbd70f1baed6p-15, -0x1.0fbbab935b5dap-15, -0x1.1248d5bd84fbfp-15, -0x1.146928a440295p-15, -0x1.1620c12372b86p-15, -0x1.1773a0564a975p-15, -0x1.1865ac3752683p-15, -0x1.18fab030e8578p-15, -0x1.19365db0e9539p-15, -0x1.191c4cbbb4baep-15, -0x1.18affc7880505p-15, -0x1.17f4d3ba6798p-15, -0x1.16ee218eb71e7p-15, -0x1.159f1dbd4320ep-15, -0x1.140ae94f6b6b9p-15, -0x1.12348f0f5a10cp-15, -0x1.101f0409f751dp-15, -0x1.0dcd2806b77f2p-15, -0x1.0b41c60638a29p-15, -0x1.087f94b63bab7p-15, -0x1.058936ea40bfbp-15, -0x1.02613c0cca7dap-15, -0x1.fe1441210f50ap-16, -0x1.f70c9cc3580e6p-16, -0x1.efb03a9d0fd6cp-16, -0x1.e803a6eb67c71p-16, -0x1.e00b4b5a5118cp-16, -0x1.d7cb6fd145e98p-16, -0x1.cf483b3eda00fp-16, -0x1.c685b45ad7e51p-16, -0x1.bd87c26bf5626p-16, -0x1.b4522dfd9d398p-16, -0x1.aae8a1a36eb8fp-16, -0x1.a14eaaa77176ap-16, -0x1.9787b9c1d3ca3p-16, -0x1.8d9723c4d117cp-16, -0x1.83802247fc761p-16, -0x1.7945d4532449ep-16, -0x1.6eeb3f014693ap-16, -0x1.64734e1f480c9p-16, -0x1.59e0d4cf00f4ap-16, -0x1.4f368e1d3614p-16, -0x1.44771d9cc55c9p-16, -0x1.39a50ff8d6779p-16, -0x1.2ec2db87fbfefp-16, -0x1.23d2e0d8defe8p-16, -0x1.18d76b416dedbp-16, -0x1.0dd2b1615ee98p-16, -0x1.02c6d5aed6298p-16, -0x1.ef6bcde665cb2p-17, -0x1.d943c1a12644bp-17, -0x1.c31958758c3d8p-17, -0x1.acf03fed5919fp-17, -0x1.96cc021c84a1ap-17, -0x1.80b00693ba9d5p-17, -0x1.6a9f93407b6b7p-17, -0x1.549dcd5533cf4p-17, -0x1.3eadba20557b4p-17, -0x1.28d23fe81590bp-17, -0x1.130e26bc0eab8p-17, -0x1.fac83285211d7p-18, -0x1.cfad4b0aedceep-18, -0x1.a4d07b701349ep-18, -0x1.7a3671e838a62p-18, -0x1.4fe3a7fd26426p-18, -0x1.25dc63f007c71p-18, -0x1.f849746874364p-19, -0x1.a5811d81cb1d6p-19, -0x1.53672cef3561p-19, -0x1.0202b0df14fc9p-19, -0x1.62b4bd0d9b385p-20, -0x1.85d2529f352c2p-21, -0x1.2575e050032adp-23, 0x1.dfbc6178d6efep-22, 0x1.12e57ff5e7c17p-20, 0x1.ac2a40b210191p-20, 0x1.21d9dad619791p-19, 0x1.6cbc658d8a296p-19, 0x1.b6b87ce306744p-19, 0x1.ffca2170e3b7cp-19, 0x1.23f6cafc41c78p-18, 0x1.478faeb78248ap-18, 0x1.6aae1c8029592p-18, 0x1.8d50930c518fap-18, 0x1.af75ae4bc721ap-18, 0x1.d11c268625f4dp-18, 0x1.f242cf64da74ap-18, 0x1.09744b91a6b4ep-17, 0x1.198642d8c9b32p-17, 0x1.2956ddf006148p-17, 0x1.38e5b949521b6p-17, 0x1.48327cfc283b1p-17, 0x1.573cdc61ea7ccp-17, 0x1.660495b7df42ep-17, 0x1.748971bf28ad1p-17, 0x1.82cb4363f8df9p-17, 0x1.90c9e763bf47fp-17, 0x1.9e8543f6f4419p-17, 0x1.abfd487952a47p-17, 0x1.b931ed1db9f52p-17, 0x1.c6233297af181p-17, 0x1.d2d121d132958p-17, 0x1.df3bcb9abc11p-17, 0x1.eb634863e9c69p-17, 0x1.f747b7f1dcd53p-17, 0x1.0174a08c593f7p-16, 0x1.072408bafef76p-16, 0x1.0cb22e97381fcp-16, 0x1.121f2f5705f43p-16, 0x1.176b2b31f95p-16, 0x1.1c964544aff78p-16, 0x1.21a0a371cacd9p-16, 0x1.268a6e442f801p-16, 0x1.2b53d0d349d07p-16, 0x1.2ffcf8a652196p-16, 0x1.3486159a56b74p-16, 0x1.38ef59c65abap-16, 0x1.3d38f9640bd98p-16, 0x1.41632ab4926abp-16, 0x1.456e25e9bb572p-16, 0x1.495a250e1df3fp-16, 0x1.4d2763edd4d81p-16, 0x1.50d62000de656p-16, 0x1.54669854d28b1p-16, 0x1.57d90d78f689p-16, 0x1.5b2dc16891f16p-16, 0x1.5e64f777a8e05p-16, 0x1.617ef44008586p-16, 0x1.647bfd8e3b907p-16, 0x1.675c5a4f0f359p-16, 0x1.6a20527e9f8cdp-16, 0x1.6cc82f1708e8cp-16, 0x1.6f5439ffdfb82p-16, 0x1.71c4bdfd5b7a4p-16, 0x1.741a06a1dd8bep-16, 0x1.7654603e47de2p-16, 0x1.787417d2e0e92p-16, 0x1.7a797b0223c67p-16, 0x1.7c64d801a36bp-16, 0x1.7e367d8dba223p-16, 0x1.7feebadc96e7cp-16, 0x1.818ddf9126b9fp-16, 0x1.83143baf129fap-16, 0x1.84821f8f56712p-16, 0x1.85d7dbd4840b4p-16, 0x1.8715c160ac0b1p-16, 0x1.883c21492f275p-16, 0x1.894b4ccdc21bfp-16, 0x1.8a43954e1cc14p-16, 0x1.8b254c4068165p-16, 0x1.8bf0c327fdb8cp-16, 0x1.8ca64b8c42055p-16, 0x1.8d4636f08e99ap-16, 0x1.8dd0d6cb49b47p-16, 0x1.8e467c7e34e09p-16, 0x1.8ea7794e46e31p-16, 0x1.8ef41e5d33d99p-16, 0x1.8f2cbca138bf7p-16, 0x1.8f51a4de974bbp-16, 0x1.8f6327a0d265cp-16, 0x1.8f6195346f301p-16, 0x1.8f4d3da0f9cf2p-16, 0x1.8f2670a2962c8p-16, 0x1.8eed7da4f6226p-16, 0x1.8ea2b3bd232bep-16, 0x1.8e4661a4fd792p-16, 0x1.8dd8d5b5d5de9p-16, 0x1.8d5a5de3e443bp-16, 0x1.8ccb47b92c82fp-16, 0x1.8c2be051b81efp-16, 0x1.8b7c745737349p-16, 0x1.8abd4ffcd6bf7p-16, 0x1.89eebefb44fcdp-16, 0x1.89110c8d4baefp-16, 0x1.8824836c87342p-16, 0x1.87296dcdb1868p-16, 0x1.8620155dca746p-16, 0x1.8508c33ef93a3p-16, 0x1.83e3c0058301ep-16, 0x1.82b153b5a8b0fp-16, 0x1.8171c5c096ebcp-16, 0x1.80255d022375fp-16, 0x1.7ecc5fbee616cp-16, 0x1.7d6713a1bdc52p-16, 0x1.7bf5bdb9dbdabp-16, 0x1.7a78a27904999p-16, 0x1.78f005b1e8eaap-16, 0x1.775c2a9619106p-16, 0x1.75bd53b519beep-16, 0x1.7413c2fa78accp-16, 0x1.725fb9acf0145p-16, 0x1.70a1786d1578ap-16, 0x1.6ed93f342d2acp-16, 0x1.6d074d5342432p-16, 0x1.6b2be172353dp-16, 0x1.6947398ef7f74p-16, 0x1.675992fd04cbbp-16, 0x1.65632a649a8fcp-16, 0x1.63643bc22b064p-16, 0x1.615d0265f9982p-16, 0x1.5f4db8f3879cap-16, 0x1.5d369961d0e0cp-16, 0x1.5b17dcfaa2513p-16, 0x1.58f1bc5a97d11p-16, 0x1.56c46f70fb143p-16, 0x1.54902d7fac908p-16, 0x1.52552d1b74ea9p-16, 0x1.5013a42bc9df7p-16, 0x1.4dcbc7eb45e2p-16, 0x1.4b7dcce7c09b3p-16, 0x1.4929e702907c5p-16, 0x1.46d04970ec062p-16, 0x1.447126bc63901p-16, 0x1.420cb0c30bcbap-16, 0x1.3fa318b86f28ep-16, 0x1.3d348f2590b8ap-16, 0x1.3ac143e9d4eb3p-16, 0x1.3849663b93d74p-16, 0x1.35cd24a8b1fd2p-16, 0x1.334cad1750d13p-16, 0x1.30c82cc69d89fp-16, 0x1.2e3fd04f82633p-16, 0x1.2bb3c3a5a1609p-16, 0x1.29243217e5dc1p-16, 0x1.26914651867d4p-16, 0x1.23fb2a5aebcfp-16, 0x1.2162079aa3cd6p-16, 0x1.1ec606d65befcp-16, 0x1.1c2750339c82cp-16, 0x1.19860b395abc7p-16, 0x1.16e25ed06644p-16, 0x1.143c7144a5868p-16, 0x1.119468468253ap-16, 0x1.0eea68eb7c249p-16, 0x1.0c3e97af7222p-16, 0x1.099118762ebcep-16, 0x1.06e20e8bd9881p-16, 0x1.04319ca6abe3dp-16, 0x1.017fe4e7ebc05p-16, 0x1.fd9a11ba19224p-17, 0x1.f83253025bdb2p-17, 0x1.f2c8ce7c14265p-17, 0x1.ed5dc3da32057p-17, 0x1.e7f171b270662p-17, }}, 
      {{0x1.8150bbaf4b0ebp-2, 0x1.81400159e5d42p-2, 0x1.8139e9e40828p-2, 0x1.814d67e88e598p-2, 0x1.8182612b6ed8ap-2, 0x1.81da3e5755075p-2, 0x1.8251e4f5bd5bfp-2, 0x1.82e3ce776273ep-2, 0x1.8389b45ad553cp-2, 0x1.843db0a195108p-2, 0x1.84fae0f4385ecp-2, 0x1.85bdaae48496cp-2, 0x1.8683c05c260ap-2, 0x1.874bfdb3c04dcp-2, 0x1.881634044932fp-2, 0x1.88e2ec2b0382p-2, 0x1.89b32a55ffaaap-2, 0x1.8a8836b52fde3p-2, 0x1.8b636dcb16552p-2, 0x1.8c461979f2fd5p-2, 0x1.8d31530a693d5p-2, 0x1.8e25edd78950bp-2, 0x1.8f2469ed3fc1ap-2, 0x1.902ceda93e848p-2, 0x1.913f454a99634p-2, 0x1.925ae74cbde39p-2, 0x1.937efc6b7e9f7p-2, 0x1.94aa6a3c92e25p-2, 0x1.95dbdf63e68f9p-2, 0x1.9711e08841af6p-2, 0x1.984ad551fcd6cp-2, 0x1.998514e2fc856p-2, 0x1.9abef15ba5bf2p-2, 0x1.9bf6c22237859p-2, 0x1.9d2aecbfc4c36p-2, 0x1.9e59ec3f35cf6p-2, 0x1.9f82570f0254bp-2, 0x1.a0a2e375e822ap-2, 0x1.a1ba6ab60c5f1p-2, 0x1.a2c7eb012e68fp-2, 0x1.a3ca88649b7e8p-2, 0x1.a4c18cd4d5ef5p-2, 0x1.a5ac67802dddfp-2, 0x1.a68aab8d4e486p-2, 0x1.a75c0e6781d0ep-2, 0x1.a82065b6a1144p-2, 0x1.a8d7a51c87cedp-2, 0x1.a981dbcddb4c2p-2, 0x1.aa1f3217fde5ep-2, 0x1.aaafe6e2831abp-2, 0x1.ab344d373e404p-2, 0x1.abacc9d946264p-2, 0x1.ac19d0f0faa7cp-2, 0x1.ac7be3d12c942p-2, 0x1.acd38ed80dac4p-2, 0x1.ad21676d5be74p-2, 0x1.ad660a1e633d6p-2, 0x1.ada218d7dc22bp-2, 0x1.add6393d2b8b6p-2, 0x1.ae03131c6c4e5p-2, 0x1.ae294efe66df4p-2, 0x1.ae4994d1abc02p-2, 0x1.ae648aaff6147p-2, 0x1.ae7ad3bd15428p-2, 0x1.ae8d0f1ea329fp-2, 0x1.ae9bd70be747ep-2, 0x1.aea7bff54e9e4p-2, 0x1.aeb157c2e8fbcp-2, 0x1.aeb925297395ep-2, 0x1.aebfa7156354ep-2, 0x1.aec5542b6fb85p-2, 0x1.aeca9a5e15fd4p-2, 0x1.aecfde9774df7p-2, 0x1.aed57c76e230ep-2, 0x1.aedbc62186d6ep-2, 0x1.aee30425351b2p-2, 0x1.aeeb756ca7162p-2, 0x1.aef54f443c1b4p-2, 0x1.af00bd6e38422p-2, 0x1.af0de24583e4p-2, 0x1.af1cd6edd3c5ap-2, 0x1.af2dab901b2d9p-2, 0x1.af4067a226825p-2, 0x1.af550a382f6a4p-2, 0x1.af6b8a5f3e098p-2, 0x1.af83d77f31244p-2, 0x1.af9dd9c33c5bcp-2, 0x1.afb97287c0d9ap-2, 0x1.afd67ccc64bd3p-2, 0x1.aff4cda95518p-2, 0x1.b01434c6b6076p-2, 0x1.b0347cd546aaap-2, 0x1.b0556c0752108p-2, 0x1.b076c48916edp-2, 0x1.b09844f7e492dp-2, 0x1.b0b9a8d731d66p-2, 0x1.b0daa9031228ep-2, 0x1.b0fafc1f70befp-2, 0x1.b11a57039e18ap-2, 0x1.b1386d21b3027p-2, 0x1.b154f0e97c186p-2, 0x1.b16f942694f3cp-2, 0x1.b18808597b295p-2, 0x1.b19dff0b6dfcbp-2, 0x1.b1b12a1cf254cp-2, 0x1.b1c13c0eedbd1p-2, 0x1.b1cde8464faa2p-2, 0x1.b1d6e34a4ac27p-2, 0x1.b1dbe2fd2a7c5p-2, 0x1.b1dc9ecfdf74dp-2, 0x1.b1d8cff05b1fdp-2, 0x1.b1d03172e2674p-2, 0x1.b1c2807681e2p-2, 0x1.b1af7c44d07f2p-2, 0x1.b196e66d39613p-2, 0x1.b17882dbff7dep-2, 0x1.b15417ed38237p-2, 0x1.b1296e7bf27d6p-2, 0x1.b0f851edd3c71p-2, 0x1.b0c0903b588f4p-2, 0x1.b081f9f502ba4p-2, 0x1.b03c6245ac90dp-2, 0x1.afef9ef2402e5p-2, 0x1.af9b88570968ap-2, 0x1.af3ff962e50a2p-2, 0x1.aedccf907a3b4p-2, 0x1.ae71eaddbcfe2p-2, 0x1.adff2dc1e93e4p-2, 0x1.ad847d2226d33p-2, 0x1.ad01c04507b9bp-2, 0x1.ac76e0c50b2b6p-2, 0x1.abe3ca824e7cep-2, 0x1.ab486b9393c78p-2, 0x1.aaa4b436bfcb4p-2, 0x1.a9f896c0f3fb5p-2, 0x1.a944078e5f88p-2, 0x1.a886fcf1e46e4p-2, 0x1.a7c16f24abd08p-2, 0x1.a6f35835bcf2fp-2, 0x1.a61cb3f9adba7p-2, 0x1.a53d7ffa8007p-2, 0x1.a455bb67b6088p-2, 0x1.a3656706b38a9p-2, 0x1.a26c852371ef2p-2, 0x1.a16b198192477p-2, 0x1.a061294dd9dc1p-2, 0x1.9f4ebb101760ap-2, 0x1.9e33d69d81fbdp-2, 0x1.9d10850b88754p-2, 0x1.9be4d0a31dbb9p-2, 0x1.9ab0c4d482529p-2, 0x1.99746e2b839e9p-2, 0x1.982fda443b9cfp-2, 0x1.96e317c046eaep-2, 0x1.958e363c734dep-2, 0x1.94314646e41a5p-2, 0x1.92cc5955a6c09p-2, 0x1.915f81bdb4dd3p-2, 0x1.8fead2aa62091p-2, 0x1.8e6e60152a6c3p-2, 0x1.8cea3ebde8399p-2, 0x1.8b5e84235e7e9p-2, 0x1.89cb467c1cc89p-2, 0x1.88309cafb3b7cp-2, 0x1.868e9e50376a1p-2, 0x1.84e56394021c5p-2, 0x1.8335054fc2004p-2, 0x1.817d9cf0b935fp-2, 0x1.7fbf44773d8a8p-2, 0x1.7dfa167165133p-2, 0x1.7c2e2df5e2484p-2, 0x1.7a5ba69f0b392p-2, 0x1.78829c8600dcap-2, 0x1.76a32c3dfc32dp-2, 0x1.74bd72cfb55a7p-2, 0x1.72d18db4e1f57p-2, 0x1.70df9ad3cc9eep-2, 0x1.6ee7b87afdf89p-2, 0x1.6cea055cf1287p-2, 0x1.6ae6a08bda5d6p-2, 0x1.68dda975729b9p-2, 0x1.66cf3fdece175p-2, 0x1.64bb83e03613bp-2, 0x1.62a295e1095bp-2, 0x1.608496939c45cp-2, 0x1.5e61a6f11a148p-2, 0x1.5c39e835679a2p-2, 0x1.5a0d7bdb0110dp-2, 0x1.57dc8396da214p-2, 0x1.55a7215437c1dp-2, 0x1.536d77308934dp-2, 0x1.512fa7773ca01p-2, 0x1.4eedd49d8dedfp-2, 0x1.4ca8213e5850cp-2, 0x1.4a5eb015db76bp-2, 0x1.4811a3fd87c65p-2, 0x1.45c11fe7bf2c4p-2, 0x1.436d46db99de4p-2, 0x1.41163bf0a565fp-2, 0x1.3ebc224aa6c08p-2, 0x1.3c5f1d155736cp-2, 0x1.39ff4f80283edp-2, 0x1.379cdcba0449bp-2, 0x1.3537e7ed13862p-2, 0x1.32d0943a84282p-2, 0x1.306704b659498p-2, 0x1.2dfb5c633aab6p-2, 0x1.2b8dbe2e4e953p-2, 0x1.291e4ceb1c801p-2, 0x1.26ad2b4f7498p-2, 0x1.243a7bef64df9p-2, 0x1.21c6613936af3p-2, 0x1.1f50fd7179656p-2, 0x1.1cda72af1a498p-2, 0x1.1a62e2d788be5p-2, 0x1.17ea6f9aec7d4p-2, 0x1.15713a7069e47p-2, 0x1.12f76492768a2p-2, 0x1.107d0efb42ed2p-2, 0x1.0e025a6132a85p-2, 0x1.0b8767336bf57p-2, 0x1.090c55967a89bp-2, 0x1.0691456104ebcp-2, 0x1.041656189d7e3p-2, 0x1.019ba6eea4b13p-2, 0x1.fe42ad7a896dap-3, 0x1.f94f08090ace8p-3, 0x1.f45c99cef26d8p-3, 0x1.ef6b9e52ff71cp-3, 0x1.ea7c50574891ep-3, 0x1.e58ee9d42d4bap-3, 0x1.e0a3a3f3777b4p-3, 0x1.dbbab70bb620ap-3, 0x1.d6d45a9bc6c26p-3, 0x1.d1f0c5469b823p-3, 0x1.cd102ccf36d9dp-3, 0x1.c832c614d5f61p-3, 0x1.c358c50f57c33p-3, 0x1.be825ccbdb642p-3, 0x1.b9afbf69928e9p-3, 0x1.b4e11e16ca713p-3, 0x1.b016a90e295fap-3, 0x1.ab508f94268d1p-3, 0x1.a68efff4b68d6p-3, 0x1.a1d2278129185p-3, 0x1.9d1a328e3e373p-3, 0x1.98674c72711a4p-3, 0x1.93b99f8478964p-3, 0x1.8f115519f0187p-3, 0x1.8a6e95864373bp-3, 0x1.85d18819bdddap-3, 0x1.813a5320d2f8ep-3, 0x1.7ca91be393daap-3, 0x1.781e06a553902p-3, 0x1.739936a47c04bp-3, 0x1.6f1ace1a8fc42p-3, 0x1.6aa2ee3c53522p-3, 0x1.6631b73a2d0bp-3, 0x1.61c74840a2ec4p-3, 0x1.5d63bf7908be7p-3, 0x1.59073a0a57961p-3, 0x1.54b1d41a27a2bp-3, 0x1.5063a8cdd1937p-3, 0x1.4c1cd24bba338p-3, 0x1.47dd69bcb5c6ep-3, 0x1.43a5874d9e6bdp-3, 0x1.3f754230fb323p-3, 0x1.3b4cb0a0d40f2p-3, 0x1.372be7e09cafap-3, 0x1.3312fc3f451ddp-3, 0x1.2f0201195dbfcp-3, 0x1.2af908db5da4cp-3, 0x1.26f825040254fp-3, 0x1.22ff6626c3db6p-3, 0x1.1f0edbee6a3ddp-3, 0x1.1b26951fad81cp-3, 0x1.17469f9bf55cdp-3, 0x1.136f08642c3e9p-3, 0x1.0f9fdb9b9eaadp-3, 0x1.0bd9248af4f7bp-3, 0x1.081aeda3395c1p-3, 0x1.04654080f157ap-3, 0x1.00b825ef452e4p-3, 0x1.fa274bd6605e5p-4, 0x1.f2ef8f4d91772p-4, 0x1.ebc9231914203p-4, 0x1.e4b412855a03fp-4, 0x1.ddb0675d1bdc1p-4, 0x1.d6be29f027122p-4, 0x1.cfdd611a4e8ebp-4, 0x1.c90e124a5b893p-4, 0x1.c250418911b15p-4, 0x1.bba3f1803fa93p-4, 0x1.b5092381ca382p-4, 0x1.ae7fd78edaadp-4, 0x1.a8080c5ef2dcdp-4, 0x1.a1a1bf671f09dp-4, 0x1.9b4cece120c0ap-4, 0x1.95098fd292d9ap-4, 0x1.8ed7a2141c9aep-4, 0x1.88b71c589ad32p-4, 0x1.82a7f63446abap-4, 0x1.7caa2623dae45p-4, 0x1.76bda193b09e7p-4, 0x1.70e25ce6d7942p-4, 0x1.6b184b7e27468p-4, 0x1.655f5fbf44088p-4, 0x1.5fb78b1ba057ep-4, 0x1.5a20be176bea3p-4, 0x1.549ae8507d19p-4, 0x1.4f25f88529f1ap-4, 0x1.49c1dc9b157b3p-4, 0x1.446e81a5ef178p-4, 0x1.3f2bd3ee1ee32p-4, 0x1.39f9bef7683c3p-4, 0x1.34d82d8774b61p-4, 0x1.2fc709ac53caep-4, 0x1.2ac63cc2e48f4p-4, 0x1.25d5af7d2ced7p-4, 0x1.20f549e8a1659p-4, 0x1.1c24f37454595p-4, 0x1.176492f712581p-4, 0x1.12b40eb56e3bcp-4, 0x1.0e134c67af8a6p-4, 0x1.0982313fb568bp-4, 0x1.0500a1eeb92d7p-4, 0x1.008e82ab04ff1p-4, 0x1.f8576e6b16f4cp-5, 0x1.efb045bedb29ep-5, 0x1.e727511ed016fp-5, 0x1.debc558e4fa9ap-5, 0x1.d66f175114003p-5, 0x1.ce3f59f586f16p-5, 0x1.c62ce05ed9fd3p-5, 0x1.be376ccefb0e6p-5, 0x1.b65ec0f05366ep-5, 0x1.aea29ddf4e9b2p-5, 0x1.a702c433c1e24p-5, 0x1.9f7ef40a135dcp-5, 0x1.9816ed0c3c6f7p-5, 0x1.90ca6e7a95e03p-5, 0x1.89993734753b4p-5, 0x1.828305c0988d4p-5, 0x1.7b87985565744p-5, 0x1.74a6ace0f4d11p-5, 0x1.6de00110f5a88p-5, 0x1.6733525a51099p-5, 0x1.60a05e00b76edp-5, 0x1.5a26e11de6599p-5, 0x1.53c698a8cbcbbp-5, 0x1.4d7f417c81ff7p-5, 0x1.4750985f0b162p-5, 0x1.413a5a07f0fb1p-5, 0x1.3b3c4326a9d09p-5, 0x1.35561068de748p-5, 0x1.2f877e8079139p-5, 0x1.29d04a298a385p-5, 0x1.2430303003fafp-5, 0x1.1ea6ed75509a6p-5, 0x1.19343ef5b1236p-5, 0x1.13d7e1cd7d7bap-5, 0x1.0e91933e37bd9p-5, 0x1.096110b3744d4p-5, 0x1.044617c79e0a6p-5, 0x1.fe80cc911fddep-6, 0x1.f49f74780ff49p-6, 0x1.eae7a3c7ed263p-6, 0x1.e158d78541bf9p-6, 0x1.d7f28d3d4a6dbp-6, 0x1.ceb4430db31f9p-6, 0x1.c59d77ac01921p-6, 0x1.bcadaa6cc3589p-6, 0x1.b3e45b4a6c606p-6, 0x1.ab410aec04e6cp-6, 0x1.a2c33aab6f49ap-6, 0x1.9a6a6c9b9a23dp-6, 0x1.9236238e43ef5p-6, 0x1.8a25e319a064dp-6, 0x1.82392f9db2902p-6, 0x1.7a6f8e4964bedp-6, 0x1.72c8851f6dc51p-6, 0x1.6b439afaefe32p-6, 0x1.63e05793f3147p-6, 0x1.5c9e43838aec9p-6, 0x1.557ce847dc15dp-6, 0x1.4e7bd047def68p-6, 0x1.479a86d6f1137p-6, 0x1.40d898383801dp-6, 0x1.3a3591a1c66b6p-6, 0x1.33b1013fa0b5p-6, 0x1.2d4a763676591p-6, 0x1.270180a64f4bdp-6, 0x1.20d5b1aceb43ap-6, 0x1.1ac69b6811862p-6, 0x1.14d3d0f792992p-6, 0x1.0efce67f4452dp-6, 0x1.09417128b9a7ap-6, 0x1.03a10724dcea3p-6, 0x1.fc367f5acdb82p-7, 0x1.f15f660c3f1edp-7, 0x1.e6bbf4fc280ccp-7, 0x1.dc4b60e10f20ep-7, 0x1.d20ce08bb803ep-7, 0x1.c7fface8aaa84p-7, 0x1.be2301014f945p-7, 0x1.b47619fcf878bp-7, 0x1.aaf8372195bdp-7, 0x1.a1a899d4352a2p-7, 0x1.988685994b192p-7, 0x1.8f914014a8991p-7, 0x1.86c8110964eaap-7, 0x1.7e2a42596fb96p-7, 0x1.75b7200500267p-7, 0x1.6d6df829c47d8p-7, 0x1.654e1b01fb65fp-7, 0x1.5d56dae3481d5p-7, 0x1.55878c3d529f6p-7, 0x1.4ddf859860c48p-7, 0x1.465e1f93a4153p-7, 0x1.3f02b4e363959p-7, 0x1.37cca24f190acp-7, 0x1.30bb46af47518p-7, 0x1.29ce02eb46feep-7, 0x1.230439f6db45dp-7, 0x1.1c5d50cfba0d9p-7, 0x1.15d8ae7ae6031p-7, 0x1.0f75bc01f92fp-7, 0x1.0933e4703aa14p-7, 0x1.031294cfb3f82p-7, 0x1.fa22784c31c3ep-8, 0x1.ee5e96e348fa4p-8, 0x1.e2d86b4b9a66ap-8, 0x1.d78edf4fe3eebp-8, 0x1.cc80e097d7dafp-8, 0x1.c1ad60a100424p-8, 0x1.b71354b7b4793p-8, 0x1.acb1b5ef9de9dp-8, 0x1.a287811c6f4e6p-8, 0x1.9893b6ca18c0fp-8, 0x1.8ed55b3543d98p-8, 0x1.854b764356c3cp-8, 0x1.7bf5137aa72e5p-8, 0x1.72d141fa5d922p-8, 0x1.69df147259093p-8, 0x1.611da11b00923p-8, 0x1.588c01aced7bfp-8, 0x1.502953588f578p-8, 0x1.47f4b6bdcec9fp-8, 0x1.3fed4fe37a9b5p-8, 0x1.3812462eb7061p-8, 0x1.3062c45a8733ap-8, 0x1.28ddf86ef08c1p-8, 0x1.218313b884c36p-8, 0x1.1a514abf8137dp-8, 0x1.1347d53f1a829p-8, 0x1.0c65ee1cbf058p-8, 0x1.05aad35f364a3p-8, 0x1.fe2b8c4bd0b2bp-9, 0x1.f14c153ffb535p-9, 0x1.e4b5d006ff3e4p-9, 0x1.d86751093c63bp-9, 0x1.cc5f32998544dp-9, 0x1.c09c14e38129p-9, 0x1.b51c9dd9fe8fdp-9, 0x1.a9df79256a3abp-9, 0x1.9ee3581215cc2p-9, 0x1.9426f17ebe94fp-9, 0x1.89a901cb037cep-9, 0x1.7f684ac5d0ca6p-9, 0x1.7563939c232b5p-9, 0x1.6b99a8c77f4eap-9, 0x1.62095bfcaebc3p-9, 0x1.58b1841a9210fp-9, 0x1.4f90fd18fc3cbp-9, 0x1.46a6a7f75cc67p-9, 0x1.3df16aac47dd6p-9, 0x1.35703013e2205p-9, 0x1.2d21e7df9d99cp-9, 0x1.250586853c66p-9, 0x1.1d1a052e258ap-9, 0x1.155e61a70a4abp-9, 0x1.0dd19e4f54e94p-9, 0x1.0672c20903753p-9, 0x1.fe81b05082a31p-10, 0x1.f075e0c6df408p-10, 0x1.e2c03d8671e08p-10, 0x1.d55ef7255aba2p-10, 0x1.c850469ed5019p-10, 0x1.bb926d3484209p-10, 0x1.af23b44f00668p-10, 0x1.a3026d5f9a78dp-10, 0x1.972cf1c19326ap-10, 0x1.8ba1a29c3e8c6p-10, 0x1.805ee8c4df29p-10, 0x1.756334a1537dbp-10, 0x1.6aacfe0a6abc1p-10, 0x1.603ac42f053dcp-10, 0x1.560b0d776685dp-10, 0x1.4c1c676888631p-10, 0x1.426d6687e68a7p-10, 0x1.38fca63f8dbf6p-10, 0x1.2fc8c8c2bf9bp-10, 0x1.26d076f217185p-10, 0x1.1e1260410b494p-10, 0x1.158d3a9a8d7c1p-10, 0x1.0d3fc2470a097p-10, 0x1.0528b9d21ac63p-10, 0x1.fa8dd3e0cabb3p-11, 0x1.eb3242cca255dp-11, 0x1.dc3c69dd0ef6ep-11, 0x1.cda9fe42096f7p-11, 0x1.bf78c0b49c0e9p-11, 0x1.b1a67d4617e5ap-11, 0x1.a4310b2fcb87p-11, 0x1.97164ca3a2d46p-11, 0x1.8a542e9c55fc9p-11, 0x1.7de8a8af91c6dp-11, 0x1.71d1bcdfeba0bp-11, 0x1.660d776ef7ac1p-11, 0x1.5a99eeb152403p-11, 0x1.4f7542e1d5f98p-11, 0x1.449d9df650971p-11, 0x1.3a11337441facp-11, 0x1.2fce40465b3d4p-11, 0x1.25d30a92a91e5p-11, 0x1.1c1de19157cf1p-11, 0x1.12ad1d63896bbp-11, 0x1.097f1eebaad0fp-11, 0x1.00924fa53b417p-11, 0x1.efca42fb9b6fap-12, 0x1.deec1d5cead09p-12, 0x1.ce87332bedaf2p-12, 0x1.be9899260f294p-12, 0x1.af1d73be76ab8p-12, 0x1.a012f6d5bb0cap-12, 0x1.917665717b165p-12, 0x1.834511765e993p-12, 0x1.757c5b6109496p-12, 0x1.6819b2034437fp-12, 0x1.5b1a923e5ed3dp-12, 0x1.4e7c86c1c1208p-12, 0x1.423d27c8e866fp-12, 0x1.365a1ada8fd7fp-12, 0x1.2ad11288e2e41p-12, 0x1.1f9fce336386ep-12, 0x1.14c419c88b371p-12, 0x1.0a3bcd8952ad6p-12, 0x1.0004cdcd1f002p-12, 0x1.ec3a158daa8fep-13, 0x1.d9050096e7a8bp-13, 0x1.c6666b2fa667ap-13, 0x1.b45a7a3373ed9p-13, 0x1.a2dd686f7c688p-13, 0x1.91eb86372ae76p-13, 0x1.818138f7273fap-13, 0x1.719afacefb351p-13, 0x1.62355a26610bdp-13, 0x1.534cf949d52f8p-13, 0x1.44de8e05330e9p-13, 0x1.36e6e141d960dp-13, 0x1.2962cea5334fap-13, 0x1.1c4f4431c855fp-13, 0x1.0fa941e9ae1bap-13, 0x1.036dd972255bp-13, 0x1.ef345b735c5b5p-14, 0x1.d856e53cbe019p-14, 0x1.c23dd92deb30fp-14, 0x1.ace3e0b8e590fp-14, 0x1.9843c52c3b478p-14, 0x1.84586f0c67c22p-14, 0x1.711ce570e2a6ap-14, 0x1.5e8c4d639793ap-14, 0x1.4ca1e9440926bp-14, 0x1.3b59182be4391p-14, 0x1.2aad5557ab5ebp-14, 0x1.1a9a3790ea352p-14, 0x1.0b1b709c2f87cp-14, 0x1.f859995153db7p-15, 0x1.db946385b281ep-15, 0x1.bfdf3e920bbc7p-15, 0x1.a5325ac92b8a5p-15, 0x1.8b8619041d044p-15, 0x1.72d3099fdf6ep-15, 0x1.5b11eb767fb37p-15, 0x1.443baae721a11p-15, 0x1.2e4960d7447d6p-15, 0x1.193451c32467bp-15, 0x1.04f5ecce50ad1p-15, 0x1.e30f95a961726p-16, 0x1.bdc75b0f97b76p-16, 0x1.9a06fd15c86b8p-16, 0x1.77c29d2994747p-16, 0x1.56eea929ab905p-16, 0x1.377fd9c0093c3p-16, 0x1.196b30b90f9acp-16, 0x1.f94beed4e0c64p-17, 0x1.c24b7a4294f9ep-17, 0x1.8dc0ab220197ep-17, 0x1.5b97aea683153p-17, 0x1.2bbd34d7f1151p-17, 0x1.fc3cdb40f4c7p-18, 0x1.a5520bebfcbdep-18, 0x1.52964a20d009fp-18, 0x1.03e6d332b700dp-18, 0x1.72439c3e56ae4p-19, 0x1.c899189408f62p-20, 0x1.76a12ceb707c2p-21, -0x1.0f3cf099d2069p-22, -0x1.353ff945f3d9fp-20, -0x1.0cbbfd2c42f2bp-19, -0x1.78753585b4f93p-19, -0x1.de03ae18571fap-19, -0x1.1ecef58264391p-18, -0x1.4bbc7a963b87p-18, -0x1.75e4317c2999ep-18, -0x1.9d5f307c69f3ap-18, -0x1.c245dd35c7f92p-18, -0x1.e4aff0ae1fea2p-18, -0x1.025a3dc0c2982p-17, -0x1.1134f4dd3e36fp-17, -0x1.1ef303643b95fp-17, -0x1.2b9f00a9cc1ccp-17, -0x1.37433770c62bdp-17, -0x1.41e9a7cc15944p-17, -0x1.4b9c08df6484p-17, -0x1.5463caa618e05p-17, -0x1.5c4a17a360c9cp-17, -0x1.6357d697b67c5p-17, -0x1.6995ac1e57264p-17, -0x1.6f0bfc4e6765ep-17, -0x1.73c2ec4c1772p-17, -0x1.77c263d3a5d91p-17, -0x1.7b120eba8c8e8p-17, -0x1.7db95e6a02344p-17, -0x1.7fbf8b52ab99bp-17, -0x1.812b964eb9f2fp-17, -0x1.82044a109564cp-17, -0x1.82503c728723dp-17, -0x1.8215cfcd5a484p-17, -0x1.815b34441f35p-17, -0x1.8026690723eb3p-17, -0x1.7e7d3d9160d3fp-17, -0x1.7c6552e0de981p-17, -0x1.79e41ca18395ap-17, -0x1.76fee2590e88dp-17, -0x1.73bac0896df4bp-17, -0x1.701ca9c7ae549p-17, -0x1.6c2967d9fa63cp-17, -0x1.67e59cbb35d58p-17, -0x1.6355c3aced397p-17, -0x1.5e7e323726ce9p-17, -0x1.59631926f929dp-17, -0x1.540885842006p-17, -0x1.4e72618289c8cp-17, -0x1.48a475702c6e4p-17, -0x1.42a2689b98aaep-17, -0x1.3c6fc236a4bedp-17, -0x1.360fea3176626p-17, -0x1.2f862a10cc824p-17, -0x1.28d5adc45968fp-17, -0x1.2201847235d51p-17, -0x1.1b0ca13c42ed6p-17, -0x1.13f9dc0b8da18p-17, -0x1.0ccbf24a00eeap-17, -0x1.0585879f86f45p-17, -0x1.fc524d51f38fep-18, -0x1.ed7283564fe19p-18, -0x1.de70667c26c3dp-18, -0x1.cf507df6d913ap-18, -0x1.c017244224a5fp-18, -0x1.b0c88868ecd7p-18, -0x1.a168af3f99a6ap-18, -0x1.91fb749ed27c4p-18, -0x1.82848c885bc5cp-18, -0x1.73078455978d4p-18, -0x1.6387c3ce6e7a6p-18, -0x1.54088e492308fp-18, -0x1.448d03b6a69d7p-18, -0x1.351821ac2a21bp-18, -0x1.25acc46e552c9p-18, -0x1.164da7e4fe15ep-18, -0x1.06fd6899ff28dp-18, -0x1.ef7d094f2cfaap-19, -0x1.d126b946b1755p-19, -0x1.b2fc690c7467bp-19, -0x1.9502691110fb6p-19, -0x1.773cd400c7343p-19, -0x1.59af905f58ea6p-19, -0x1.3c5e5236b55ecp-19, -0x1.1f4c9c9dd05dfp-19, -0x1.027dc34c35db1p-19, -0x1.cbe9d82452a7dp-20, -0x1.936a20a437406p-20, -0x1.5b81fcdc0106dp-20, -0x1.2436b6548b48cp-20, -0x1.db1a8c017767fp-21, -0x1.6f14adf0a208bp-21, -0x1.046491dd2ea99p-21, -0x1.3624cb160b803p-22, -0x1.992e4eed75bf6p-24, 0x1.9ad142e67d0c8p-24, 0x1.30cdb7b9559d8p-22, 0x1.f7f474978a988p-22, 0x1.5e0ea8101b447p-21, 0x1.be9effdf8eabfp-21, 0x1.0ed347638c973p-20, 0x1.3d9087fd51b15p-20, 0x1.6b8554881468bp-20, 0x1.98aff306a32a8p-20, 0x1.c50edaeb23775p-20, 0x1.f0a0b337c50f7p-20, 0x1.0db22866c4e8dp-19, 0x1.22ac5a561598dp-19, 0x1.373e852898689p-19, 0x1.4b68530c0e79cp-19, 0x1.5f2981d353148p-19, 0x1.7281e23845b83p-19, 0x1.85715718bbecbp-19, 0x1.97f7d4c090f57p-19, 0x1.aa1560398d6f8p-19, 0x1.bbca0e97870e6p-19, 0x1.cd1604565a87ap-19, 0x1.ddf974b140eefp-19, 0x1.ee74a107a8fd5p-19, 0x1.fe87d83db451p-19, 0x1.0719bb158099ep-18, 0x1.0ebbf182e6f85p-18, 0x1.162ac96bc77e4p-18, 0x1.1d6682791deeap-18, 0x1.246f61b67ed99p-18, 0x1.2b45b1512f6b2p-18, 0x1.31e9c05a0bc8bp-18, 0x1.385be286e3f24p-18, 0x1.3e9c6ffab892ap-18, 0x1.44abc50aac29bp-18, 0x1.4a8a42072e3a7p-18, 0x1.50384b05ef5edp-18, 0x1.55b647af5d894p-18, 0x1.5b04a30ba2512p-18, 0x1.6023cb50b9b26p-18, 0x1.651431b4fd09fp-18, 0x1.69d64a4218b7ap-18, 0x1.6e6a8ba6a9506p-18, 0x1.72d16f0d36857p-18, 0x1.770b6ff1e0463p-18, 0x1.7b190bfb2f2e1p-18, 0x1.7efac2d31f2bcp-18, 0x1.82b116017ed86p-18, 0x1.863c88c8432cfp-18, 0x1.899da00093f93p-18, 0x1.8cd4e1f869557p-18, 0x1.8fe2d653359b8p-18, 0x1.92c805e9a14b3p-18, 0x1.9584faab6c03cp-18, 0x1.981a3f8199de4p-18, 0x1.9a88603382a6bp-18, 0x1.9ccfe94a78821p-18, 0x1.9ef167f843303p-18, 0x1.a0ed69fd0bc42p-18, 0x1.a2c47d8facd9cp-18, 0x1.a47731464b6dcp-18, 0x1.a60613ff92d8dp-18, 0x1.a771b4ccb966ep-18, 0x1.a8baa2dd2dc81p-18, 0x1.a9e16d6a3b488p-18, 0x1.aae6a3a3247fp-18, 0x1.abcad49bb0045p-18, 0x1.ac8e8f39fcb37p-18, 0x1.ad3262251bedp-18, 0x1.adb6dbb52448fp-18, 0x1.ae1c89e34c59bp-18, 0x1.ae63fa3ae769p-18, 0x1.ae8db9ca8b21dp-18, 0x1.ae9a55179bbc6p-18, 0x1.ae8a580fd5acdp-18, 0x1.ae5e4dfd07a2dp-18, 0x1.ae16c179bc59p-18, 0x1.adb43c64ea7e5p-18, 0x1.ad3747d771cafp-18, 0x1.aca06c1980bc3p-18, 0x1.abf030997c8b5p-18, 0x1.ab271be1787e3p-18, 0x1.aa45b38eb1bb3p-18, 0x1.a94c7c49980ddp-18, 0x1.a83bf9bd2ce77p-18, 0x1.a714ae8f52c28p-18, 0x1.a5d71c5a19dffp-18, 0x1.a483c3a50133ap-18, 0x1.a31b23de5b0ebp-18, 0x1.a19dbb54f1c5dp-18, 0x1.a00c07330511ap-18, 0x1.9e668378d2fc5p-18, 0x1.9cadaaf779966p-18, 0x1.9ae1f74cab5d1p-18, 0x1.9903e0ddd8205p-18, 0x1.9713ded4c5fa6p-18, 0x1.9512671c0c4ep-18, 0x1.92ffee5b3e0f9p-18, 0x1.90dce7f3b9ca7p-18, 0x1.8ea9c5fe19e7bp-18, 0x1.8c66f947df2d6p-18, 0x1.8a14f150fc1d6p-18, 0x1.87b41c4974811p-18, 0x1.8544e70f95248p-18, 0x1.82c7bd2eecf8ap-18, 0x1.803d08de99456p-18, 0x1.7da532ffb3018p-18, 0x1.7b00a31cf1258p-18, 0x1.784fbf69c26p-18, 0x1.7592ecc1904b2p-18, 0x1.72ca8ea736cdbp-18, 0x1.6ff7074518483p-18, 0x1.6d18b76d44341p-18, 0x1.6a2ffe992dee5p-18, 0x1.673d3aea02519p-18, 0x1.6440c9290b70dp-18, 0x1.613b04c86fb04p-18, 0x1.5e2c47e3c8836p-18, 0x1.5b14eb412e31ap-18, 0x1.57f54651c9ae5p-18, 0x1.54cdaf332ab9cp-18, 0x1.519e7ab03d2a1p-18, 0x1.4e67fc430c498p-18, 0x1.4b2a8615f81c2p-18, 0x1.47e66904b95b3p-18, 0x1.449bf49ebf9bap-18, 0x1.414b7728da27cp-18, 0x1.3df53d9e5fb8cp-18, 0x1.3a9993b36690fp-18, 0x1.3738c3d6e0ea5p-18, 0x1.33d31734a1789p-18, 0x1.3068d5b72f7f8p-18, 0x1.2cfa460a4e7a1p-18, 0x1.2987ad9d249fbp-18, 0x1.261150a43ac9ep-18, 0x1.2297721c33f41p-18, 0x1.1f1a53cbfb894p-18, 0x1.1b9a36475a971p-18, 0x1.181758f1a65e7p-18, 0x1.1491fa0032134p-18, 0x1.110a567c88673p-18, 0x1.0d80aa47b0457p-18, 0x1.09f5301c829cep-18, 0x1.066821925cbp-18, 0x1.02d9b7200eebbp-18, 0x1.fe94503cd65ffp-19, 0x1.f77355967d356p-19, 0x1.f050e89847188p-19, 0x1.e92d7162f247ep-19, 0x1.e20955f1e9687p-19, 0x1.dae4fa215763ap-19, 0x1.d3c0bfb438f6dp-19, 0x1.cc9d065a349e1p-19, 0x1.c57a2bb4e1cd6p-19, 0x1.be588b5e6a0a6p-19, 0x1.b7387eef3ffbp-19, 0x1.b01a5e036a144p-19, 0x1.a8fe7e41966b3p-19, 0x1.a1e533606a007p-19, 0x1.9acecf2ca0258p-19, 0x1.93bba18ed2d6cp-19, 0x1.8cabf891781e5p-19, 0x1.85a020675edc7p-19, 0x1.7e986370fea68p-19, 0x1.77950a4292902p-19, 0x1.70965baa5bba6p-19, 0x1.699c9cb656a85p-19, 0x1.62a810ba5fd44p-19, 0x1.5bb8f955b1194p-19, 0x1.54cf9678f99a3p-19, 0x1.4dec266caa1e4p-19, 0x1.470ee5d6417a2p-19, 0x1.40380fbe4274ap-19, 0x1.3967dd9636ecep-19, 0x1.329e873e3837ap-19, 0x1.2bdc430b04b7fp-19, 0x1.252145cb484p-19, 0x1.1e6dc2cd94435p-19, 0x1.17c1ebe64a33ap-19, 0x1.111df174adb19p-19, 0x1.0a820268ca4c9p-19, 0x1.03ee4c48ee9e3p-19, 0x1.fac5f66f0ab6ap-20, 0x1.edc073efe1831p-20, 0x1.e0cc63e88c845p-20, 0x1.d3ea1687336f1p-20, 0x1.c719d95be5a01p-20, 0x1.ba5bf763d8f46p-20, 0x1.adb0b91671306p-20, 0x1.a118646cc9fd3p-20, 0x1.94933cece1009p-20, 0x1.882183b5d6f62p-20, 0x1.7bc37786e61a1p-20, 0x1.6f7954cc2a271p-20, 0x1.634355a7e50c6p-20, 0x1.5721b1fb843b7p-20, 0x1.4b149f737fc19p-20, 0x1.3f1c518f6e9f2p-20, 0x1.3338f9ab8523bp-20, 0x1.276ac70bb37dfp-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      43, 0x1.be147ae147ae1p+2, 0x1.6f76d34e4d083p+0, 0x1.36d92d23d735bp+1, -0x1.5148988e941d1p-9, 
      {{
        {0x1.3851eb851eb85p+2, 0x1.399999999999ap+2, 0x1.f9ed06b7cd315p-8, -0x1.e423b8e2074a1p-7, 0x1.5b77f710634acp-7, -0x1.bae620d161564p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.e6d62538c8855p-8, -0x1.d65fa881ffbc7p-7, 0x1.54d33bb1164fap-7, -0x1.b2108a5c89b8bp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.b979e40555c55p-8, -0x1.b51ae2cc4dc36p-7, 0x1.448c3680d125ap-7, -0x1.a71dfe223a93p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.8f5ca73ee3ff4p-8, -0x1.95718f9590f58p-7, 0x1.34ae49c5eef36p-7, -0x1.9c9a32c8b842bp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.6855ce98d0ab4p-8, -0x1.77596195077d8p-7, 0x1.25354e44ce70fp-7, -0x1.91f8ba4dad125p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.443dbe6f361c2p-8, -0x1.5ac8326cb1bb1p-7, 0x1.162260e1e4c05p-7, -0x1.875f3577d0653p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.22eddfc6eb7f6p-8, -0x1.3fb3d1510caf5p-7, 0x1.077535470022bp-7, -0x1.7cc38f2ee5cd2p-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.0440a04d84df3p-8, -0x1.26121041e09f6p-7, 0x1.f25bbfd0e23c8p-8, -0x1.72287b0d01195p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.d022e4b2a63d2p-9, -0x1.0dd8c07f4c317p-7, 0x1.d698b6964ef45p-8, -0x1.678d3fc1e077dp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.9c7999d2c7f9ep-9, -0x1.edfb66f9924b2p-8, 0x1.bba151ce2aeb7p-8, -0x1.5cf20ef4f4192p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.6d40574b0427cp-9, -0x1.c2ed75401cff6p-8, 0x1.a17590aeff034p-8, -0x1.5256db58468d2p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.42341dbc69afep-9, -0x1.9a734ea506518p-8, 0x1.8815736ec6852p-8, -0x1.47bba87c7172cp-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1b13f7198133dp-9, -0x1.747895f92240ap-8, 0x1.6f80f9ff0acfcp-8, -0x1.3d20756cf51e8p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.ef41ed4c9a10ep-10, -0x1.50e8ee0dcc54cp-8, 0x1.57b82463aba0cp-8, -0x1.3285426b4fd3ep-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.af3c71f09272fp-10, -0x1.2faff9b43bc9bp-8, 0x1.40baf29b9f3dcp-8, -0x1.27ea0f65ebc79p-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.75a1c7ecd711p-10, -0x1.10b95bbdb18c7p-8, 0x1.2a8964a72d8eep-8, -0x1.1d4edc6196e4ep-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.42004db246d9ep-10, -0x1.e7e16df6d7e9dp-9, 0x1.15237a86423d6p-8, -0x1.12b3a95cf10f3p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.13ea7454b42aap-10, -0x1.b2835c7d5427ap-9, 0x1.00893438e35c5p-8, -0x1.081876585c07fp-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.d5ed7f15c9929p-11, -0x1.812fc8b155741p-9, 0x1.d975237e1f513p-9, -0x1.fafa86a7a5a9p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.8d7f8b5d23d3ap-11, -0x1.53bdf83559a9fp-9, 0x1.b36f26318c7e4p-9, -0x1.e5c4209e68e13p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.4dc85f78d0546p-11, -0x1.2a0530abde918p-9, 0x1.8f00708c116d9p-9, -0x1.d08dba9540a8cp-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.160d72a80f2bcp-11, -0x1.03dcb7b761ddap-9, 0x1.6c29028dac937p-9, -0x1.bb57548c3a1c2p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.cb38c2e00e966p-12, -0x1.c237a5f4c2eecp-10, 0x1.4ae8dc365b6b2p-9, -0x1.a620ee82e216p-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.7795db378ce6cp-12, -0x1.8333902eb62f7p-10, 0x1.2b3ffd86241p-9, -0x1.90ea8879d8661p-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2fedfc78828cep-12, -0x1.4a5bb96198eabp-10, 0x1.0d2e667d00a22p-9, -0x1.7bb42270b4778p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.e61a7ea14ce67p-13, -0x1.175eacd266f1ep-10, 0x1.e1682e35e6327p-10, -0x1.667dbc6773f63p-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.7fa00df2fa61ap-13, -0x1.d3d5eb8c3758p-11, 0x1.aba21ebffb332p-10, -0x1.5147565e83145p-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.2a460270b2287p-13, -0x1.835e3f0365ca9p-11, 0x1.790a9e9834569p-10, -0x1.3c10f054abfffp-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.c80c9979685cp-14, -0x1.3cb36a944e8b7p-11, 0x1.49a1adbeb423cp-10, -0x1.26da8a4dad33bp-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.55f6e521b7bdp-14, -0x1.fe650991dccaap-12, 0x1.1d674c330d5c1p-10, -0x1.11a4243d962a2p-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.f5823afa7f0dfp-15, -0x1.9471485654461p-12, 0x1.e8b6f3ed3a789p-11, -0x1.f8db7c99d0c4ap-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.664544bc4838p-15, -0x1.3a45be8a78819p-12, 0x1.9cfc6e095b26cp-11, -0x1.ce6eafd20c17ap-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.f04ff71702081p-16, -0x1.dd39328075e05p-13, 0x1.579f06dd0c89ep-11, -0x1.a401e666258a5p-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.4b3b8f929858p-16, -0x1.60600b25fc3a9p-13, 0x1.189ebde753b56p-11, -0x1.7995106e02c9ap-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.a67198d4eb0fep-17, -0x1.f6e8c1eb6dfb5p-14, 0x1.bff72a140cfb8p-12, -0x1.4f28694c8e87dp-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.fcdf3f6a5b2p-18, -0x1.57d51dce671a2p-14, 0x1.5b6b0a7d156ccp-12, -0x1.24bb135de3c85p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.1cb5936f4cp-18, -0x1.bcdbb06cf71bp-15, 0x1.0399517a8448ep-12, -0x1.f4a093974621ap-12}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.2097f91ee5p-19, -0x1.0b37781925f7dp-15, 0x1.710276ae0d21fp-13, -0x1.9fb7fb29774cdp-12}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.fcd764a83ap-21, -0x1.211ca526e9593p-16, 0x1.e89689dcd2b05p-14, -0x1.4b165f2b7e486p-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.6ad783daac001p-22, -0x1.0ad077f985e5cp-17, 0x1.21ef83f5ed527p-14, -0x1.ead7ad67bdd18p-13}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.6855ce9b3p-24, -0x1.771159a8c2f57p-19, 0x1.1d5d9fe0cf286p-15, -0x1.473c076cdc442p-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.4dc85f8a8p-27, -0x1.2e387fe9c257ap-21, 0x1.6419a0e45f24ep-17, -0x1.0d991d12298a9p-14}, 
        {0x1.bcccccccccccdp+2, 0x1.be147ae147ae1p+2, 0x1.1cb59f7ffffffp-34, 0x1.1735a927abc9fp-26, 0x1.04a8bcdb04p-20, -0x1.ed343b2328b4bp-12}, 
      }}, 
      0x1.e507693abf9fap-6, -0x1.185001e3a2441p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.9622e3906f28ap-4, 0x1.a4e7814cec04cp-4, 0x1.bbfc741055812p-4, 0x1.d99ee2815804dp-4, 0x1.fbe9d3b19d315p-4, 0x1.1081305b515d1p-3, 0x1.2398c30b497b7p-3, 0x1.3678e162acde3p-3, 0x1.487a83249ad17p-3, 0x1.5912f520dfc71p-3, 0x1.67d2ddc3eb4cdp-3, 0x1.74644d8ebcd79p-3, 0x1.7e8850007db1ap-3, 0x1.86144924a12a2p-3, 0x1.8aef4d5670c99p-3, 0x1.8d0f92b89dc3fp-3, 0x1.8c780c3008e5ap-3, 0x1.89363a6ba31c9p-3, 0x1.836034e988ec9p-3, 0x1.7b12edbc731f1p-3, 0x1.7070aca5082eep-3, 0x1.639fbf1cce8bcp-3, 0x1.54c957b88adf5p-3, 0x1.4418986615bc5p-3, 0x1.31b9c1bf8613ep-3, 0x1.1dd982f254394p-3, 0x1.08a465ed009f1p-3, 0x1.e48ca7b6bd8dp-4, 0x1.b5d45ea25f698p-4, 0x1.85730198441d5p-4, 0x1.53b8674124859p-4, 0x1.20f0c230c3ac1p-4, 0x1.dac8a12f53c03p-5, 0x1.72ae41eb19f69p-5, 0x1.0a11d6cd9f4a5p-5, 0x1.42d3eb58af632p-6, 0x1.c922562494547p-8, -0x1.72d2ef7a4df69p-8, -0x1.296bee43ce187p-6, -0x1.f33606f77661bp-6, -0x1.5cbe4e7d41f91p-5, -0x1.bddca542f660dp-5, -0x1.0e5d3bccd95e1p-4, -0x1.3c91be2766619p-4, -0x1.6975275c2e234p-4, -0x1.94f3fef914f1ep-4, -0x1.befdd79ca0ba2p-4, -0x1.e78511b314efap-4, -0x1.073f5908e16f8p-3, -0x1.19f11084876fp-3, -0x1.2bd4809da6798p-3, -0x1.3ce77f6f0e987p-3, -0x1.4d28cc8ffd4f4p-3, -0x1.5c98010fee264p-3, -0x1.6b357392c8d77p-3, -0x1.79022a83c2cfcp-3, -0x1.85ffc83d64fa2p-3, -0x1.923079e392ec6p-3, -0x1.9d96e779286efp-3, -0x1.a83625d3caa49p-3, -0x1.b211ab717b62ap-3, -0x1.bb2d43bf8059ep-3, -0x1.c38d0621eb69fp-3, -0x1.cb35493ffcc3dp-3, -0x1.d22a9a162a727p-3, -0x1.d871b45ae972cp-3, -0x1.de0f79ef18fb6p-3, -0x1.e308ee0ef0263p-3, -0x1.e7632bee050d1p-3, -0x1.eb23617c668dp-3, -0x1.ee4ec728f170dp-3, -0x1.f0ea9b9abc956p-3, -0x1.f2fc1e1afbb07p-3, -0x1.f488899b91273p-3, -0x1.f59512887fe38p-3, -0x1.f626e17a683f3p-3, -0x1.f643109b95b1dp-3, -0x1.f5eea867613f7p-3, -0x1.f52e9cefae2e3p-3, -0x1.f407cb23938e2p-3, -0x1.f27ef74df7bap-3, -0x1.f098cb4a4a7bfp-3, -0x1.ee59d57ee1717p-3, -0x1.ebc6874d8a576p-3, -0x1.e8e335960471fp-3, -0x1.e5b416d5df766p-3, -0x1.e23d435670515p-3, -0x1.de82b4a78d814p-3, -0x1.da884593fd71ap-3, -0x1.d651b137fd06fp-3, -0x1.d1e2949a6be4ep-3, -0x1.cd3e6d46dea68p-3, -0x1.c8689a4a223c4p-3, -0x1.c3645c79fa2ap-3, -0x1.be34d6cffcea4p-3, -0x1.b8dd0ed51a6cdp-3, -0x1.b35fed96de99dp-3, -0x1.adc03fc4f0c37p-3, -0x1.a800b60df7021p-3, -0x1.a223e6f010ab1p-3, -0x1.9c2c4db5a7a08p-3, -0x1.961c4c7f3481fp-3, -0x1.8ff62c2936c1p-3, -0x1.89bc1d0c5780ep-3, -0x1.8370380b9ef0cp-3, -0x1.7d147eca386cdp-3, -0x1.76aadc669bb08p-3, -0x1.7035269037d37p-3, -0x1.69b51da006408p-3, -0x1.632c6dda432b1p-3, -0x1.5c9caf5dc99c8p-3, -0x1.560767737e088p-3, -0x1.4f6e08c1d4ec6p-3, -0x1.48d1f46149ee5p-3, -0x1.423479bf23458p-3, -0x1.3b96d7e9b3f1cp-3, -0x1.34fa3df76b9d5p-3, -0x1.2e5fcab2a125ep-3, -0x1.27c88f29ed198p-3, -0x1.21358d2df2fcap-3, -0x1.1aa7b8e66eeap-3, -0x1.141ff8fbe7a16p-3, -0x1.0d9f27a458f0bp-3, -0x1.07261217510cbp-3, -0x1.00b57a0ed828dp-3, -0x1.f49c2b798e135p-4, -0x1.e7e120b4604e1p-4, -0x1.db3b14fe9f06bp-4, -0x1.ceab35d4f10f6p-4, -0x1.c2329ca65948bp-4, -0x1.b5d250b900775p-4, -0x1.a98b476e708c8p-4, -0x1.9d5e653645364p-4, -0x1.914c7e1bce997p-4, -0x1.855656a86c929p-4, -0x1.797ca4a11d598p-4, -0x1.6dc00f776bcc5p-4, -0x1.622130d7e21a8p-4, -0x1.56a095b5b0b19p-4, -0x1.4b3ebeac7439ep-4, -0x1.3ffc2062dd1afp-4, -0x1.34d92468adcf3p-4, -0x1.29d6297d8a3abp-4, -0x1.1ef383e9e4d68p-4, -0x1.14317ef9c23efp-4, -0x1.09905bcc8a44ap-4, -0x1.fe20a6397275bp-5, -0x1.e9632aaae9954p-5, -0x1.d4e8950b7e74dp-5, -0x1.c0b1274f12e11p-5, -0x1.acbd13e2273e3p-5, -0x1.990c8045e89e1p-5, -0x1.859f84749013cp-5, -0x1.72762c89c17d1p-5, -0x1.5f90782c2c497p-5, -0x1.4cee5c9f393bbp-5, -0x1.3a8fc47093704p-5, -0x1.28748fcc30169p-5, -0x1.169c95e2014a3p-5, -0x1.0507a52943821p-5, -0x1.e76b06ebf818cp-6, -0x1.c54bdccb64035p-6, -0x1.a3b1394c90ab7p-6, -0x1.829a7bd2c13dfp-6, -0x1.6206f63b7a883p-6, -0x1.41f5ee589f66ap-6, -0x1.22669d4815518p-6, -0x1.0358336c9bf0cp-6, -0x1.c993acd9dcce3p-7, -0x1.8d7543feeef8fp-7, -0x1.525350a8dc1ffp-7, -0x1.182bebef1f6e6p-7, -0x1.bdfa3b75d6fd6p-8, -0x1.4d89c0e47d3a4p-8, -0x1.be047e9710a27p-9, -0x1.c97de6f35cb24p-10, -0x1.e74862ed72c57p-14, 0x1.8524add2f34acp-10, 0x1.90afc8e62007cp-9, 0x1.2d9392aebe207p-8, 0x1.9100c98c63e2ep-8, 0x1.f2a4256ea7eddp-8, 0x1.29412767a2244p-7, 0x1.584ffdcf2743cp-7, 0x1.8680f5da9df77p-7, 0x1.b3d671282b141p-7, 0x1.e052d23d94ebdp-7, 0x1.05fc3f2fc00cfp-6, 0x1.1b64ef35af555p-6, 0x1.3064aecd1d49bp-6, 0x1.44fcb356f422bp-6, 0x1.592e3130d0721p-6, 0x1.6cfa5c9232dd8p-6, 0x1.80626a2f98018p-6, 0x1.93678f16085ccp-6, 0x1.a60aff9178b84p-6, 0x1.b84dedd92efa5p-6, 0x1.ca318b2b13371p-6, 0x1.dbb706f58e7p-6, 0x1.ecdf911a9fb53p-6, 0x1.fdac58427217ep-6, 0x1.070f448f0951bp-5, 0x1.0f1ba6e1cbd54p-5, 0x1.16fbe6fed1d21p-5, 0x1.1eb098438b7c3p-5, 0x1.263a4d40cb97ap-5, 0x1.2d9997f9e74cdp-5, 0x1.34cf0906568c8p-5, 0x1.3bdb2f50a9c2cp-5, 0x1.42be989a64abep-5, 0x1.4979d1a1e4113p-5, 0x1.500d665344bcfp-5, 0x1.5679e1bd9bf7ap-5, 0x1.5cbfcd5f86d05p-5, 0x1.62dfb117401d8p-5, 0x1.68da132f5277cp-5, 0x1.6eaf78b978d63p-5, 0x1.746065e91e68fp-5, 0x1.79ed5dd7faba2p-5, 0x1.7f56e25a9c078p-5, 0x1.849d7376052bap-5, 0x1.89c18f76dc844p-5, 0x1.8ec3b33d917f2p-5, 0x1.93a45a799c3b7p-5, 0x1.9863ffeb6e4bcp-5, 0x1.9d031d1c70ea6p-5, 0x1.a18229f806282p-5, 0x1.a5e19cb0ca0bap-5, 0x1.aa21e9c56c932p-5, 0x1.ae43844ba30a3p-5, 0x1.b246de341d4dbp-5, 0x1.b62c688601f16p-5, 0x1.b9f492cb420cdp-5, 0x1.bd9fcb30fee42p-5, 0x1.c12e7e19c3cc4p-5, 0x1.c4a1162fadab9p-5, 0x1.c7f7fcdc8c3aap-5, 0x1.cb339a485035dp-5, 0x1.ce5455a14d8c9p-5, 0x1.d15a94d890009p-5, 0x1.d446bc7bc9c7cp-5, 0x1.d7192f76e1875p-5, 0x1.d9d24f1608c73p-5, 0x1.dc727b3e7ebdp-5, 0x1.defa12a615ba9p-5, 0x1.e16972fa5b34fp-5, 0x1.e3c0f8deb509ap-5, 0x1.e600ffb58b481p-5, 0x1.e829e176f27e8p-5, 0x1.ea3bf697454d8p-5, 0x1.ec379618bba79p-5, 0x1.ee1d15beeef93p-5, 0x1.efecca3f6000fp-5, 0x1.f1a7075b74e0fp-5, 0x1.f34c1fd098f91p-5, 0x1.f4dc652edca5ep-5, 0x1.f65827bbc3bd2p-5, 0x1.f7bfb65efe3e4p-5, 0x1.f9135eb37c54cp-5, 0x1.fa536d34dce3ep-5, 0x1.fb802d673ecabp-5, 0x1.fc99e9dcd8e4bp-5, 0x1.fda0ec5aea8aep-5, 0x1.fe957d88505b1p-5, 0x1.ff77e4fcdb253p-5, 0x1.0024348abaff4p-4, 0x1.0083a784118f3p-4, 0x1.00da6d7f2d85dp-4, 0x1.0128a8171bc9bp-4, 0x1.016e788cde63ap-4, 0x1.01abffac87f85p-4, 0x1.01e15dd845435p-4, 0x1.020eb30cba8bcp-4, 0x1.02341eb2bfb3cp-4, 0x1.0251bfc950e8ap-4, 0x1.0267b4b52b9ffp-4, 0x1.02761b7842416p-4, 0x1.027d11cf34084p-4, 0x1.027cb4e7b55ddp-4, 0x1.027521c0b323bp-4, 0x1.026674e5aeecep-4, 0x1.0250caa7f2b9dp-4, 0x1.02343eb8b76a6p-4, 0x1.0210ec809c409p-4, 0x1.01e6eef71c30ep-4, 0x1.01b660b8be939p-4, 0x1.017f5bff0469dp-4, 0x1.0141fad04dc4bp-4, 0x1.00fe56db16d46p-4, 0x1.00b489882c6dfp-4, 0x1.0064abf3e817bp-4, 0x1.000ed6e1ebd51p-4, 0x1.ff664592c8d6ap-5, 0x1.fea34f88b459bp-5, 0x1.fdd4fb334c296p-5, 0x1.fcfb7780295dap-5, 0x1.fc16f317b700ap-5, 0x1.fb279bfe03d33p-5, 0x1.fa2d9fca52491p-5, 0x1.f9292b9818dd6p-5, 0x1.f81a6c0e68662p-5, 0x1.f7018d4ed2cabp-5, 0x1.f5debaf33ae11p-5, 0x1.f4b2200c283c7p-5, 0x1.f37be73164432p-5, 0x1.f23c3a7f6ccf2p-5, 0x1.f0f343c3687e9p-5, 0x1.efa12c4bb4b43p-5, 0x1.ee461d1e26f98p-5, 0x1.ece23ee04b066p-5, 0x1.eb75b9da29203p-5, 0x1.ea00b5ee492fbp-5, 0x1.e8835a9adf3a1p-5, 0x1.e6fdceeaf80adp-5, 0x1.e570398fca29ap-5, 0x1.e3dac0dd66f7p-5, 0x1.e23d8accb8d8dp-5, 0x1.e098bd116d602p-5, 0x1.deec7d0ed089bp-5, 0x1.dd38efe0d2f24p-5, 0x1.db7e3a5dc9086p-5, 0x1.d9bc811174305p-5, 0x1.d7f3e83c6e49ap-5, 0x1.d62493ba11ee6p-5, 0x1.d44ea73d86ffp-5, 0x1.d27246016bf61p-5, 0x1.d08f930f86135p-5, 0x1.cea6b12c1925cp-5, 0x1.ccb7c2d4d791ep-5, 0x1.cac2ea50cc516p-5, 0x1.c8c849a8eefe5p-5, 0x1.c6c802ab51499p-5, 0x1.c4c236edee25fp-5, 0x1.c2b707c45a9a6p-5, 0x1.c0a6963fea591p-5, 0x1.be91033883fe4p-5, 0x1.bc766f393ce66p-5, 0x1.ba56fa950fd11p-5, 0x1.b832c563fbc45p-5, 0x1.b609ef860b83p-5, 0x1.b3dc989f1a93cp-5, 0x1.b1aae025c516dp-5, 0x1.af74e5547bcecp-5, 0x1.ad3ac734c9f2ep-5, 0x1.aafca49a6610bp-5, 0x1.a8ba9c212572bp-5, 0x1.a674cc2a1f967p-5, 0x1.a42b52d931b03p-5, 0x1.a1de4e1eef8dep-5, 0x1.9f8ddba6dc7d9p-5, 0x1.9d3a18ee2834cp-5, 0x1.9ae3233a9a88cp-5, 0x1.9889179bcf634p-5, 0x1.962c12ecb8612p-5, 0x1.93cc31d34f10fp-5, 0x1.916990c01fc86p-5, 0x1.8f044bedaa9c4p-5, 0x1.8c9c7f5f14c5cp-5, 0x1.8a3246deee701p-5, 0x1.87c5bdfe44ep-5, 0x1.855700140b28ep-5, 0x1.82e6283f9f747p-5, 0x1.8073516b3f67cp-5, 0x1.7dfe9642f7ba1p-5, 0x1.7b88113db1191p-5, 0x1.790fdc9577265p-5, 0x1.769612479d0edp-5, 0x1.741acc1539be5p-5, 0x1.719e2385428b8p-5, 0x1.6f2031e728c72p-5, 0x1.6ca110546d4c9p-5, 0x1.6a20d7b29fbc5p-5, 0x1.679fa0af5dea7p-5, 0x1.651d83bd1638bp-5, 0x1.629a990dcab67p-5, 0x1.6016f88e29bf7p-5, 0x1.5d92b9dfe4bd8p-5, 0x1.5b0df462aa66cp-5, 0x1.5888bf284f9b6p-5, 0x1.5603310aded72p-5, 0x1.537d60a611497p-5, 0x1.50f764804a763p-5, 0x1.4e7152d98f7b7p-5, 0x1.4beb41c42e706p-5, 0x1.49654721df0b4p-5, 0x1.46df788644c46p-5, 0x1.4459eb2d2d732p-5, 0x1.41d4b3f211dbp-5, 0x1.3f4fe750a31c4p-5, 0x1.3ccb996fa96f7p-5, 0x1.3a47de332a3e2p-5, 0x1.37c4c9521f447p-5, 0x1.35426e679ded3p-5, 0x1.32c0e0f7fc46p-5, 0x1.304034748e5c9p-5, 0x1.2dc07c114c2e8p-5, 0x1.2b41cac0775f9p-5, 0x1.28c43301b00cap-5, 0x1.2647c6d3ed2d5p-5, 0x1.23cc97ab238bcp-5, 0x1.2152b67dfcd11p-5, 0x1.1eda33e56c899p-5, 0x1.1c632047eb093p-5, 0x1.19ed8c04cab3bp-5, 0x1.17798792d8788p-5, 0x1.15072387464d1p-5, 0x1.1296708066bf3p-5, 0x1.10277ef7d1b0ap-5, 0x1.0dba5f05284b8p-5, 0x1.0b4f20219d4b6p-5, 0x1.08e5d0fe7d829p-5, 0x1.067e7f7a874e5p-5, 0x1.041938bad9087p-5, 0x1.01b6096868894p-5, 0x1.fea9fc012a93bp-6, 0x1.f9ec464efdfe4p-6, 0x1.f5330bca937a4p-6, 0x1.f07e6778d3d97p-6, 0x1.ebce751f81efbp-6, 0x1.e72350b844c6dp-6, 0x1.e27d15a6ef84ap-6, 0x1.dddbdddf8a854p-6, 0x1.d93fc1340272fp-6, 0x1.d4a8d4f84d269p-6, 0x1.d0172c1b3f782p-6, 0x1.cb8ad7b6d0e02p-6, 0x1.c703e7fde7772p-6, 0x1.c2826d5490acap-6, 0x1.be0679514091ap-6, 0x1.b9901f66fe6f1p-6, 0x1.b51f7509db2f8p-6, 0x1.b0b4913d34312p-6, 0x1.ac4f8b9e3bfc7p-6, 0x1.a7f07b1c5d46dp-6, 0x1.a39774ab1e71ap-6, 0x1.9f448a2ae13a7p-6, 0x1.9af7c9d73d26p-6, 0x1.96b13e5cc4b48p-6, 0x1.9270efa1980bdp-6, 0x1.8e36e40b4f137p-6, 0x1.8a03222735c2cp-6, 0x1.85d5b23db27b5p-6, 0x1.81ae9f832ff92p-6, 0x1.7d8df89ad52d8p-6, 0x1.7973cf4703caap-6, 0x1.75603754df616p-6, 0x1.7153450110d07p-6, 0x1.6d4d0af563d3bp-6, 0x1.694d991caa6c5p-6, 0x1.6554fa941695cp-6, 0x1.616335e2d3c26p-6, 0x1.5d784ce949667p-6, 0x1.59943e0707906p-6, 0x1.55b705d421c78p-6, 0x1.51e0a13808706p-6, 0x1.4e110f7893b7cp-6, 0x1.4a4853d013cd5p-6, 0x1.4686762ce89afp-6, 0x1.42cb82dfb5708p-6, 0x1.3f1789532395ep-6, 0x1.3b6a9a14f2029p-6, 0x1.37c4c4a347d75p-6, 0x1.34261578c5377p-6, 0x1.308e94a1a1481p-6, 0x1.2cfe4516c3fa8p-6, 0x1.297524b94c72p-6, 0x1.25f32d0f05d34p-6, 0x1.22785489aae31p-6, 0x1.1f049058b7025p-6, 0x1.1b97d6944adc5p-6, 0x1.1832206fd9386p-6, 0x1.14d36bf66ffa5p-6, 0x1.117bbcd211a86p-6, 0x1.0e2b1bd5470bfp-6, 0x1.0ae19541c39e6p-6, 0x1.079f3640d408ap-6, 0x1.04640a3b64dcep-6, 0x1.013018c2cc4fdp-6, 0x1.fc06c8ebc6d2cp-7, 0x1.f5bbd5c79a3c9p-7, 0x1.ef7f4a2a3f396p-7, 0x1.e9511097c6eacp-7, 0x1.e3310d7ca9acp-7, 0x1.dd1f20c40aab5p-7, 0x1.d71b2835b6d89p-7, 0x1.d12503260ab8p-7, 0x1.cb3c9733ab931p-7, 0x1.c561d4fdd7849p-7, 0x1.bf94bb25d5a92p-7, 0x1.b9d556276105dp-7, 0x1.b423bc8db39c1p-7, 0x1.ae8008698bcbfp-7, 0x1.a8ea502a9a0c5p-7, 0x1.a362a1078dfb5p-7, 0x1.9de8fcf5427c8p-7, 0x1.987d5be85a8f5p-7, 0x1.931faf0cd8241p-7, 0x1.8dcfe37431ae2p-7, 0x1.888de271474c6p-7, 0x1.83598f807911dp-7, 0x1.7e32c56e151d5p-7, 0x1.7919555a39633p-7, 0x1.740d0994b77f2p-7, 0x1.6f0dac6da8d36p-7, 0x1.6a1b110147f3fp-7, 0x1.65351ac856e64p-7, 0x1.605bc0e5ea591p-7, 0x1.5b8f0bb3c03e7p-7, 0x1.56cf0d58379e1p-7, 0x1.521bd850dad5dp-7, 0x1.4d7577d6ad326p-7, 0x1.48dbed2e2d011p-7, 0x1.444f32a3e170cp-7, 0x1.3fcf41fbf4991p-7, 0x1.3b5c1a29fad5ep-7, 0x1.36f5c043b33e8p-7, 0x1.329c3a008f0c3p-7, 0x1.2e4f839300e6ep-7, 0x1.2a0f864ce4244p-7, 0x1.25dc126b32c6ep-7, 0x1.21b4e52e4e0bep-7, 0x1.1d99b157e2d73p-7, 0x1.198a2e137b907p-7, 0x1.158622b2979e5p-7, 0x1.118d6cab42ba1p-7, 0x1.0d9ffdeb32faap-7, 0x1.09bdd4abf7abbp-7, 0x1.05e6f0758c1e8p-7, 0x1.021b49299ac0ep-7, 0x1.fcb59819810aep-8, 0x1.f54ac00f3b6ccp-8, 0x1.edf5de935e455p-8, 0x1.e6b6e3363da8ap-8, 0x1.df8de3e365d3dp-8, 0x1.d87b1678f729fp-8, 0x1.d17eb85a44eafp-8, 0x1.ca98ed0c71e6bp-8, 0x1.c3c9a309752c1p-8, 0x1.bd108bc38ec0bp-8, 0x1.b66d29d0744ddp-8, 0x1.afdeecf708853p-8, 0x1.a9654f1af66cap-8, 0x1.a2ffe8729a1f4p-8, 0x1.9cae778189446p-8, 0x1.9670dd1a82e62p-8, 0x1.90470e89b9419p-8, 0x1.8a3102877904p-8, 0x1.842e9fc4d8be8p-8, 0x1.7e3fb348bb453p-8, 0x1.7863f1e58f39p-8, 0x1.729b04fee5d93p-8, 0x1.6ce49fa7a2c3ap-8, 0x1.674094b5dc225p-8, 0x1.61aee2a53b878p-8, 0x1.5c2fabdbc79bdp-8, 0x1.56c31b4e2f85cp-8, 0x1.516941ea88efp-8, 0x1.4c21ff8e9969cp-8, 0x1.46ed041c8e172p-8, 0x1.41c9e50ebdce3p-8, 0x1.3cb83651a125p-8, 0x1.37b797515a731p-8, 0x1.32c7b4f6eba28p-8, 0x1.2de84c28642d9p-8, 0x1.291931d0e2372p-8, 0x1.245a588913edap-8, 0x1.1fabca7992603p-8, 0x1.1b0d97a5f47d6p-8, 0x1.167fc0ba3de79p-8, 0x1.120227ae6447ep-8, 0x1.0d948d31ade15p-8, 0x1.09369d5ace56p-8, 0x1.04e805eed09dap-8, 0x1.00a88bf096bd9p-8, 0x1.f8f02a9d1452ep-9, 0x1.f0ad457287f76p-9, 0x1.e888796a84eb8p-9, 0x1.e081b95a4439p-9, 0x1.d898bce8fdfe2p-9, 0x1.d0cd08ec9cd2ap-9, 0x1.c91e1759c766p-9, 0x1.c18b761d1c444p-9, 0x1.ba14b5e5aa358p-9, 0x1.b2b93c501bf77p-9, 0x1.ab783e3231348p-9, 0x1.a45102eccb8cfp-9, 0x1.9d4334f28735bp-9, 0x1.964eef2b4eedfp-9, 0x1.8f74796be794ap-9, 0x1.88b3ee2ff320dp-9, 0x1.820d0bbe1caadp-9, 0x1.7b7f4740eaeffp-9, 0x1.750a0516262e3p-9, 0x1.6eacc24d62fcap-9, 0x1.68671abb8713cp-9, 0x1.6238b67fa2dcfp-9, 0x1.5c21482701101p-9, 0x1.5620a42714ec6p-9, 0x1.5036c9771d85cp-9, 0x1.4a63d11b5e64fp-9, 0x1.44a7c12859a61p-9, 0x1.3f0267c8acbeap-9, 0x1.39736753b4b31p-9, 0x1.33fa6962ab4d6p-9, 0x1.2e972de2f8058p-9, 0x1.29494ab2296f9p-9, 0x1.240ff3c40949ep-9, 0x1.1eea4a18ea33fp-9, 0x1.19d80568e5801p-9, 0x1.14d9b1bb4313ap-9, 0x1.0ff027581944ap-9, 0x1.0b1bc353480e2p-9, 0x1.065c18b7c1d91p-9, 0x1.01b0469bac58ap-9, 0x1.fa2f098d96dfap-10, 0x1.f122b95c753f7p-10, 0x1.e83ae749c4d0dp-10, 0x1.df768105dfa1bp-10, 0x1.d6d404c0e0ea5p-10, 0x1.ce51ef8b606ebp-10, 0x1.c5ef442784e3dp-10, 0x1.bdabd683bb484p-10, 0x1.b5883d1fbb96bp-10, 0x1.ad8567abaea68p-10, 0x1.a5a3fd95a4d1cp-10, 0x1.9de3e9d068e1ep-10, 0x1.964488d2cb76cp-10, 0x1.8ec54fa44d332p-10, 0x1.8765f37d8eb0ep-10, 0x1.8025937964b8bp-10, 0x1.7902275c11d3bp-10, 0x1.71f9bde339d66p-10, 0x1.6b0c6999ab658p-10, 0x1.643c1dbedb37bp-10, 0x1.5d8a7c49839bfp-10, 0x1.56f754314e4c6p-10, 0x1.50814f80ec624p-10, 0x1.4a279466094ccp-10, 0x1.43ea54e9a1354p-10, 0x1.3dc9f54893963p-10, 0x1.37c621cf6e6e4p-10, 0x1.31ddbde1430abp-10, 0x1.2c0f573f7015bp-10, 0x1.26598d9520cc8p-10, 0x1.20bb47294f61bp-10, 0x1.1b33c561f8971p-10, 0x1.15c2a9779b7e9p-10, 0x1.1067eacdf2f15p-10, 0x1.0b23b1d4be6f2p-10, 0x1.05f609bdd6bap-10, 0x1.00de8cf7b05c7p-10, 0x1.f7b8f57292a17p-11, 0x1.eddec7bf20242p-11, 0x1.e42f565a6490bp-11, 0x1.daabb294b99c6p-11, 0x1.d152a27e0bdaap-11, 0x1.c821140765857p-11, 0x1.bf16189b7fa73p-11, 0x1.b633b81ff15c7p-11, 0x1.ad7aabbc0a4fcp-11, 0x1.a4e846e76f2d2p-11, 0x1.9c79d46e37dfep-11, 0x1.942fe36619b93p-11, 0x1.8c0cd3fc6ebcep-11, 0x1.8411bd6f65927p-11, 0x1.7c3dd857526cdp-11, 0x1.748f99997c65ep-11, 0x1.6d05772cf5e9fp-11, 0x1.659e1169e3a12p-11, 0x1.5e5834a71b45p-11, 0x1.5732e704808a6p-11, 0x1.502d76b55c28cp-11, 0x1.494780c388669p-11, 0x1.4280d456dabfap-11, 0x1.3bd9a16e15559p-11, 0x1.35522a1924cb2p-11, 0x1.2eea62040f90fp-11, 0x1.28a1499bd69fbp-11, 0x1.22750479b668ap-11, 0x1.1c64188854414p-11, 0x1.166ea7a832306p-11, 0x1.1095bd14a6547p-11, 0x1.0ad88fb57bffbp-11, 0x1.0534646190a14p-11, 0x1.ff51d9d546285p-12, 0x1.f46fff62aab85p-12, 0x1.e9c1ccb712699p-12, 0x1.df432efb048d3p-12, 0x1.d4f4f6e2b2c12p-12, 0x1.cad9973d1b205p-12, 0x1.c0f01f42e6b9dp-12, 0x1.b7363df87d643p-12, 0x1.adab0190dfe49p-12, 0x1.a44eb5f9d9325p-12, 0x1.9b219d54666ep-12, 0x1.92231d93c0d4dp-12, 0x1.8951bf9595068p-12, 0x1.80aba65ae1c0fp-12, 0x1.782f119b682f1p-12, 0x1.6fda92ac41fa8p-12, 0x1.67ad18d4ecac6p-12, 0x1.5fa5e58f5b42ap-12, 0x1.57c4a1f47e9aap-12, 0x1.500971138529bp-12, 0x1.4874aae186863p-12, 0x1.41060e608901bp-12, 0x1.39bc3c1583169p-12, 0x1.3295a9c1af064p-12, 0x1.2b92a5f66202p-12, 0x1.24b62d628d075p-12, 0x1.1e025e1279289p-12, 0x1.1772ce0988069p-12, 0x1.11023bb218a24p-12, 0x1.0ab0b95c1b74bp-12, 0x1.047c44bb5203bp-12, 0x1.fcc69c70f0006p-13, 0x1.f0d1bee4c889fp-13, 0x1.e51c5c70147b6p-13, 0x1.d9a39d859c67bp-13, 0x1.ce650e664c3a4p-13, 0x1.c35f1336791ep-13, 0x1.b8901eade28bap-13, 0x1.adf74a3c7e66ap-13, 0x1.a3951c5b7864fp-13, 0x1.996ae4fe60db2p-13, 0x1.8f7907d0602c4p-13, 0x1.85be12d1136bdp-13, 0x1.7c375ebfdedc7p-13, 0x1.72e23b84c2211p-13, 0x1.69bc9a2c2052ep-13, 0x1.60c518824c87bp-13, 0x1.57fad0a337d3ap-13, 0x1.4f5d3c9c6a90bp-13, 0x1.46ec390078814p-13, 0x1.3ea7d646fc85bp-13, 0x1.368fa81dd8ea6p-13, 0x1.2ea23e02a485p-13, 0x1.26ddd933bee0ep-13, 0x1.1f41c10c2c57dp-13, 0x1.17cf81a417d26p-13, 0x1.108a54cd42591p-13, 0x1.096f50aa92e29p-13, 0x1.0277c42f7b9ap-13, 0x1.f747dc5d60b9ap-14, 0x1.e9e7c76018c58p-14, 0x1.dcd76532a257p-14, 0x1.d0192179aea8ep-14, 0x1.c3a528e091eacp-14, 0x1.b774c76bd4d54p-14, 0x1.ab83554ba85a7p-14, 0x1.9fce3ec53fb49p-14, 0x1.94561f3a41eb3p-14, 0x1.891d7fad4b0bp-14, 0x1.7e25442e08b8cp-14, 0x1.736a7b8290f4dp-14, 0x1.68ea5a12cf842p-14, 0x1.5ea5586f5ad2ap-14, 0x1.549dc6884ecbep-14, 0x1.4ad3857049ebcp-14, 0x1.41437867cf6c6p-14, 0x1.37ea05c84b488p-14, 0x1.2ec4ba81d561fp-14, 0x1.25d242dc13856p-14, 0x1.1d11d99b3cef8p-14, 0x1.1482f1cafd58dp-14, 0x1.0c252fba69b36p-14, 0x1.03f8577d00514p-14, 0x1.f7f7c918e815cp-15, 0x1.e85d894a0bdc8p-15, 0x1.d91f0bea9a94cp-15, 0x1.ca38da4f351d4p-15, 0x1.bba9a716b1f33p-15, 0x1.ad77ecf929991p-15, 0x1.9fa21486ef78p-15, 0x1.9217a54c10598p-15, 0x1.84d633765bfb6p-15, 0x1.77e7a5a2fb0dap-15, 0x1.6b4e448c054d1p-15, 0x1.5f015a09ab9dcp-15, 0x1.52fdb89980226p-15, 0x1.47436653b793bp-15, 0x1.3bd2c79cc7a59p-15, 0x1.30ac5f6d1c7c7p-15, 0x1.25d015fd55c42p-15, 0x1.1b3b75593ae3ap-15, 0x1.10e87701fdeb2p-15, 0x1.06d1a1f502514p-15, 0x1.f9ef3d5fcb311p-16, 0x1.e6ba750f5c36cp-16, 0x1.d3ff6e6cd0499p-16, 0x1.c1b6a49694e78p-16, 0x1.afe56f99ea63dp-16, 0x1.9e91a39a46eadp-16, 0x1.8db59cac7102dp-16, 0x1.7d4825b58ba4ep-16, 0x1.6d43c319d5805p-16, 0x1.5da63a2c6ccf1p-16, 0x1.4e6e4a7189d92p-16, 0x1.3f9abb8970e45p-16, 0x1.312a6a1c74975p-16, }}, 
      {{0x1.92be1f4437795p-4, 0x1.97c223ad76238p-4, 0x1.9fca15211f408p-4, 0x1.aa7044295454dp-4, 0x1.b741955b128e9p-4, 0x1.c5c70b4edd878p-4, 0x1.d58c18205e8d6p-4, 0x1.e622983ca728dp-4, 0x1.f72525fcc9c51p-4, 0x1.041c2cef251d8p-3, 0x1.0c85a93d0fab6p-3, 0x1.14abddf54dbefp-3, 0x1.1c70bdd5f6f63p-3, 0x1.23bb12162998ep-3, 0x1.2a7621bf416a3p-3, 0x1.30915220a8196p-3, 0x1.35ffc0eb5f822p-3, 0x1.3ab7e29da7d22p-3, 0x1.3eb320dadea68p-3, 0x1.41ed8117f3fd3p-3, 0x1.44654ec8610ccp-3, 0x1.461ace3f7a49ep-3, 0x1.470ff45f221d1p-3, 0x1.474826b7597d7p-3, 0x1.46c800c947d7cp-3, 0x1.45951fb8e2207p-3, 0x1.43b5f44ede82bp-3, 0x1.413197fb38d4p-3, 0x1.3e0fa9979a01bp-3, 0x1.3a582befd6055p-3, 0x1.3613696ac89ecp-3, 0x1.3149dae058a25p-3, 0x1.2c0411c11926ap-3, 0x1.264aa4a8b0e4cp-3, 0x1.20261fa0d0d5bp-3, 0x1.199ef4f37d12cp-3, 0x1.12bd723e1782dp-3, 0x1.0b89b58ace9a6p-3, 0x1.040ba53cfe4d3p-3, 0x1.f895d2434861fp-4, 0x1.e89dca04345bfp-4, 0x1.d83d68bec24b1p-4, 0x1.c7824ea816e86p-4, 0x1.b67980bdce9d4p-4, 0x1.a52f66492734fp-4, 0x1.93afc79d998f2p-4, 0x1.8205ce4a404b9p-4, 0x1.703c05a0c8289p-4, 0x1.5e5c5f1313ce8p-4, 0x1.4c70322e7c04p-4, 0x1.3a8040fe56fbcp-4, 0x1.2894bd695f9a3p-4, 0x1.16b54ca30235bp-4, 0x1.04e90b1fdb47fp-4, 0x1.e66d22d3c962cp-5, 0x1.c347f43f717fcp-5, 0x1.a06dce9d50366p-5, 0x1.7de90e4e39c4dp-5, 0x1.5bc3302ba380fp-5, 0x1.3a04dca374393p-5, 0x1.18b5f3c826cap-5, 0x1.efbb3342c9f72p-6, 0x1.af047ba1067f4p-6, 0x1.6f53497b5bd8fp-6, 0x1.30b1dfa62af4p-6, 0x1.e6529b46ed924p-7, 0x1.6d830e9a12804p-7, 0x1.ee05cc90fb3d3p-8, 0x1.05bbff80caacfp-8, 0x1.11e5b852fb3a2p-11, -0x1.78cefe5480b2ap-9, -0x1.962364d6a5673p-8, -0x1.357665dacdccep-7, -0x1.9d5e2841739aep-7, -0x1.01634ebc44d41p-6, -0x1.32d74cd6f42e8p-6, -0x1.630b0846b7b77p-6, -0x1.91fefc3fd22c4p-6, -0x1.bfb421c23296p-6, -0x1.ec2be421c7068p-6, -0x1.0bb40b198c4f7p-5, -0x1.20b57590695f7p-5, -0x1.351b777305a6dp-5, -0x1.48e77ce365d49p-5, -0x1.5c1b17dbf18dbp-5, -0x1.6eb7f8f60a6c6p-5, -0x1.80bfede506fc5p-5, -0x1.9234de1ef4f05p-5, -0x1.a318c8a43dcabp-5, -0x1.b36dbe9a74762p-5, -0x1.c335e6ad30ea3p-5, -0x1.d273750e8b5b8p-5, -0x1.e128ac2adab4ap-5, -0x1.ef57da1b27dcap-5, -0x1.fd0356beefa08p-5, -0x1.0516c0f3c8d6bp-4, -0x1.0b6c60d3737fcp-4, -0x1.1183c0c2d9a63p-4, -0x1.175e17a09bc53p-4, -0x1.1cfc9dd1abac5p-4, -0x1.22608c027391ep-4, -0x1.278b1addce277p-4, -0x1.2c7d827db564bp-4, -0x1.3138f9f809b5dp-4, -0x1.35beb70c2f101p-4, -0x1.3a0fede547544p-4, -0x1.3e2dcfad39537p-4, -0x1.42198c89f7181p-4, -0x1.45d451030f29ep-4, -0x1.495f46fd17dabp-4, -0x1.4cbb951319006p-4, -0x1.4fea5e97014bdp-4, -0x1.52ecc33cfb7bp-4, -0x1.55c3df20087efp-4, -0x1.5870ca530d405p-4, -0x1.5af4990673c07p-4, -0x1.5d505bae805f3p-4, -0x1.5f851ce898cbp-4, -0x1.6193e58fb1428p-4, -0x1.637db86e87b31p-4, -0x1.6543945ec8aabp-4, -0x1.66e673b382861p-4, -0x1.68674c8d26213p-4, -0x1.69c7102108ec2p-4, -0x1.6b06ab6d341aap-4, -0x1.6c2706d51f254p-4, -0x1.6d2906376fb6dp-4, -0x1.6e0d88e09cb21p-4, -0x1.6ed569d607d0dp-4, -0x1.6f817fa2940bbp-4, -0x1.70129bd792a8fp-4, -0x1.70898be46a279p-4, -0x1.70e7195ee437bp-4, -0x1.712c08f513d15p-4, -0x1.71591aff7d525p-4, -0x1.716f0bcf03aep-4, -0x1.716e935f05f8fp-4, -0x1.71586589f2224p-4, -0x1.712d320e42528p-4, -0x1.70eda49d6504p-4, -0x1.709a64e774d53p-4, -0x1.703416ab6f3b6p-4, -0x1.6fbb59cc9435cp-4, -0x1.6f30ca3a12d7fp-4, -0x1.6e950089f3e1cp-4, -0x1.6de8910fe4339p-4, -0x1.6d2c0cdd04c5cp-4, -0x1.6c60018e317b7p-4, -0x1.6b84f83ae617dp-4, -0x1.6a9b7873e0ab5p-4, -0x1.69a404a420cb1p-4, -0x1.689f1cbb79d3p-4, -0x1.678d3d2d4edaap-4, -0x1.666edf7db887dp-4, -0x1.654479bbb88b4p-4, -0x1.640e7f1c6901p-4, -0x1.62cd5fce290eap-4, -0x1.6181890a891b1p-4, -0x1.602b65306f66ep-4, -0x1.5ecb5bcd11968p-4, -0x1.5d61d1ae12862p-4, -0x1.5bef28eedff8p-4, -0x1.5a73c10fef063p-4, -0x1.58eff6f567605p-4, -0x1.576424f13db26p-4, -0x1.55d0a326415fbp-4, -0x1.5435c6e9aae91p-4, -0x1.5293e37c9ff77p-4, -0x1.50eb49ad4d9b4p-4, -0x1.4f3c487f4446p-4, -0x1.4d872ba9654eap-4, -0x1.4bcc3e23992f8p-4, -0x1.4a0bc7ed14b14p-4, -0x1.48460f3cf437cp-4, -0x1.467b58476e79ap-4, -0x1.44abe550aab24p-4, -0x1.42d7f6b8f28a6p-4, -0x1.40ffcb064c401p-4, -0x1.3f239ee9149ffp-4, -0x1.3d43ad6283436p-4, -0x1.3b602fb3afe3ap-4, -0x1.39795d702ed73p-4, -0x1.378f6c8b74bb7p-4, -0x1.35a29163f7dc9p-4, -0x1.33b2fecb47838p-4, -0x1.31c0e61290ba9p-4, -0x1.2fcc770f5dec3p-4, -0x1.2dd5e029b93f5p-4, -0x1.2bdd4e6578d08p-4, -0x1.29e2ed6a4b9e7p-4, -0x1.27e6e78cb2603p-4, -0x1.25e965d6957cap-4, -0x1.23ea90100ebafp-4, -0x1.21ea8cc54774fp-4, -0x1.1fe98157417b6p-4, -0x1.1de791ee2dc22p-4, -0x1.1be4e1f61faf5p-4, -0x1.19e192848915p-4, -0x1.17ddc5866d0cdp-4, -0x1.15d99a4ec3e15p-4, -0x1.13d52fd5fe9edp-4, -0x1.11d0a3f7d6bap-4, -0x1.0fcc139a0f597p-4, -0x1.0dc79ab3b062cp-4, -0x1.0bc3545130bd9p-4, -0x1.09bf5a97a6f4bp-4, -0x1.07bbc6ebbe65dp-4, -0x1.05b8b1d86daecp-4, -0x1.03b632a4f11ap-4, -0x1.01b460937926ep-4, -0x1.ff66a33ec85c4p-5, -0x1.fb66361b0ab58p-5, -0x1.f767a308dac7ap-5, -0x1.f36b11f1a1758p-5, -0x1.ef70a91994e74p-5, -0x1.eb788da6ff75ep-5, -0x1.e782e36032696p-5, -0x1.e38fccc2ca56p-5, -0x1.df9f6b1fbc971p-5, -0x1.dbb1de83f5be8p-5, -0x1.d7c745da4ab7p-5, -0x1.d3dfbeec9c713p-5, -0x1.cffb6663203a8p-5, -0x1.cc1a57db7f283p-5, -0x1.c83cade77801ap-5, -0x1.c46282170f783p-5, -0x1.c08becfe03909p-5, -0x1.bcb9063ad9a66p-5, -0x1.b8e9e47f27565p-5, -0x1.b51e9d77bffcp-5, -0x1.b15746b6e6ddap-5, -0x1.ad93f2c09445dp-5, -0x1.a9d4b6916e1fep-5, -0x1.a619a3a6aa869p-5, -0x1.a262cbd5a406p-5, -0x1.9eb040283d842p-5, -0x1.9b02109a4084dp-5, -0x1.97584cb74c3a7p-5, -0x1.93b3033da6df2p-5, -0x1.90124245c3acdp-5, -0x1.8c76173fdac93p-5, -0x1.88de8ef8c293ep-5, -0x1.854bb5a03a63cp-5, -0x1.81bd96cc80231p-5, -0x1.7e343d7fae422p-5, -0x1.7aafb42da884p-5, -0x1.773004be808dbp-5, -0x1.73b53892bc7c3p-5, -0x1.703f5886a9a67p-5, -0x1.6cce6cf646aaap-5, -0x1.69627dc17d594p-5, -0x1.65fb92507fcfcp-5, -0x1.6299b1979a3ecp-5, -0x1.5f3ce21a21bfap-5, -0x1.5be529ed73b36p-5, -0x1.58928ec09a5d3p-5, -0x1.554515d62af51p-5, -0x1.51fcc40db0d73p-5, -0x1.4eb99de78e112p-5, -0x1.4b7ba7843b465p-5, -0x1.4842e49c024b2p-5, -0x1.450f58c99ccb2p-5, -0x1.41e106eeaf695p-5, -0x1.3eb7f1fc44d7p-5, -0x1.3b941c521647bp-5, -0x1.38758821e52afp-5, -0x1.355c37463aefbp-5, -0x1.32482b52beadfp-5, -0x1.2f396594e29cp-5, -0x1.2c2fe7165e6e9p-5, -0x1.292bb0a06a87dp-5, -0x1.262cc26c501aap-5, -0x1.23331e247921p-5, -0x1.203ec1571407cp-5, -0x1.1d4fade587594p-5, -0x1.1a65e2ad87017p-5, -0x1.17815f282626ap-5, -0x1.14a2227f57969p-5, -0x1.11c82bae8f996p-5, -0x1.0ef3797efd142p-5, -0x1.0c240a8b1f242p-5, -0x1.0959dd3bc295dp-5, -0x1.0694efd13c859p-5, -0x1.03d5405cc3cddp-5, -0x1.011accc640453p-5, -0x1.fccb25998bc73p-6, -0x1.f76b2013e154cp-6, -0x1.f21583dcbfd7ep-6, -0x1.ecca4b9155f3ep-6, -0x1.e789718717932p-6, -0x1.e252efc7be08ep-6, -0x1.dd26c01156d8fp-6, -0x1.d804dc2c028a8p-6, -0x1.d2ed3d22e7221p-6, -0x1.cddfdc20193c4p-6, -0x1.c8dcb1f92cb34p-6, -0x1.c3e3b73a9ad01p-6, -0x1.bef4e473d6f39p-6, -0x1.ba1031ea35903p-6, -0x1.b5359715f4455p-6, -0x1.b0650c815042ep-6, -0x1.ab9e895cf53f7p-6, -0x1.a6e2053106fb4p-6, -0x1.a22f7747a335cp-6, -0x1.9d86d6bb8c8dbp-6, -0x1.98e81a8054751p-6, -0x1.9453395a98ae5p-6, -0x1.8fc829f23c0afp-6, -0x1.8b46e2c3eab0ep-6, -0x1.86cf5a29be7f5p-6, -0x1.8261865b71b8bp-6, -0x1.7dfd5d6ebb31dp-6, -0x1.79a2d55878af1p-6, -0x1.7551e3eed25bep-6, -0x1.710a7ee76d2cfp-6, -0x1.6ccc9bdcd5237p-6, -0x1.6898304d1d751p-6, -0x1.646d3199aa5d2p-6, -0x1.604b950b7e61dp-6, -0x1.5c334fd2b3ec9p-6, -0x1.5824570901de2p-6, -0x1.541e9f802454ep-6, -0x1.50221f841bf95p-6, -0x1.4c2ec83ac5fdfp-6, -0x1.4844929829b02p-6, -0x1.446371112359fp-6, -0x1.408b58abf03c1p-6, -0x1.3cbc3dd49b8a1p-6, -0x1.38f61533dad95p-6, -0x1.3538d2f13fce9p-6, -0x1.31846b69136p-6, -0x1.2dd8d2dc61adp-6, -0x1.2a35fd77e25cp-6, -0x1.269bdf5ae1acap-6, -0x1.230a6c97a7348p-6, -0x1.1f81992ceb189p-6, -0x1.1c01591358adp-6, -0x1.1889a0328039fp-6, -0x1.151a6267a49bdp-6, -0x1.11b3937e79874p-6, -0x1.0e5527493f941p-6, -0x1.0aff1176ab441p-6, -0x1.07b145be3961p-6, -0x1.046bb7c6cc6fp-6, -0x1.012e5b2f39245p-6, -0x1.fbf2471b21b87p-7, -0x1.f59808df9eccfp-7, -0x1.ef4de2ba43146p-7, -0x1.e913bb9fc9bf1p-7, -0x1.e2e97a87b1e61p-7, -0x1.dccf065085275p-7, -0x1.d6c445cfeacfp-7, -0x1.d0c91fd070ac5p-7, -0x1.cadd7b1293a6ep-7, -0x1.c5013e4cee30ap-7, -0x1.bf34502d0b61p-7, -0x1.b976975777d83p-7, -0x1.b3c7fa690de35p-7, -0x1.ae285ff776f6ep-7, -0x1.a897ae9277d28p-7, -0x1.a315ccc716ee4p-7, -0x1.9da2a11b83fbfp-7, -0x1.983e120cfe491p-7, -0x1.92e80620a7504p-7, -0x1.8da063d12075ep-7, -0x1.88671198df7d9p-7, -0x1.833bf5f0a1a8bp-7, -0x1.7e1ef7503ed1dp-7, -0x1.790ffc234dc96p-7, -0x1.740eead8e30fp-7, -0x1.6f1baa2c330d9p-7, -0x1.6a36204e2643ep-7, -0x1.655e33d8313d2p-7, -0x1.6093cb51f195fp-7, -0x1.5bd6cd4283708p-7, -0x1.572720347122bp-7, -0x1.5284aab9bad13p-7, -0x1.4def535a6eaf9p-7, -0x1.496700b7d6cb7p-7, -0x1.44eb996cc8602p-7, -0x1.407d0270cb552p-7, -0x1.3c1b264d68da7p-7, -0x1.37c5e9d6aea15p-7, -0x1.337d3287ac932p-7, -0x1.2f40e831435bep-7, -0x1.2b10f1b42c97ep-7, -0x1.26ed35f2df2e9p-7, -0x1.22d59bd889fc1p-7, -0x1.1eca0a56484eep-7, -0x1.1aca68634ef0fp-7, -0x1.16d69cff2e721p-7, -0x1.12ee8f324e71p-7, -0x1.0f12260bfb89cp-7, -0x1.0b4148a4c8de2p-7, -0x1.077bded04141bp-7, -0x1.03c1cf54b4952p-7, -0x1.001302583e9cfp-7, -0x1.f8debe02146dfp-8, -0x1.f1ad9a030a583p-8, -0x1.ea9267da64637p-8, -0x1.e38cf69d4d636p-8, -0x1.dc9d157e84f91p-8, -0x1.d5c293dfa6f42p-8, -0x1.cefd415199617p-8, -0x1.c84ced9cd6953p-8, -0x1.c1b168d02c973p-8, -0x1.bb2a834bea54dp-8, -0x1.b4b80dbe9c7dbp-8, -0x1.ae59d91f8f8c1p-8, -0x1.a80fb660d5d88p-8, -0x1.a1d976a983ec4p-8, -0x1.9bb6eb624efe3p-8, -0x1.95a7e5dfb4822p-8, -0x1.8fac369f6c91ep-8, -0x1.89c3af3409453p-8, -0x1.83ee20ea5a85bp-8, -0x1.7e2b5d2ea464bp-8, -0x1.787b3635e8ae7p-8, -0x1.72dd7e5c4b294p-8, -0x1.6d52085251f76p-8, -0x1.67d8a77ef2f7ap-8, -0x1.62712f826db95p-8, -0x1.5d1b742ddb72fp-8, -0x1.57d749634c835p-8, -0x1.52a482fa1d69p-8, -0x1.4d82f4b0c922fp-8, -0x1.4872723045f12p-8, -0x1.4372cf2047817p-8, -0x1.3e83df48752b7p-8, -0x1.39a576b7c50ep-8, -0x1.34d769e9e14dfp-8, -0x1.30198de2b5013p-8, -0x1.2b6bb83b2e233p-8, -0x1.26cdbf1fb534ap-8, -0x1.223f792ca55dfp-8, -0x1.1dc0bd3e70acep-8, -0x1.1951628819255p-8, -0x1.14f1405a34789p-8, -0x1.10a02d8380ae6p-8, -0x1.0c5e012b31e07p-8, -0x1.082a9232727bap-8, -0x1.0405b77b4a724p-8, -0x1.ffde901a541bep-9, -0x1.f7ce367253c58p-9, -0x1.efda11837edd9p-9, -0x1.e801d1b3a6f4fp-9, -0x1.e04529f659ap-9, -0x1.d8a3c542e1c9dp-9, -0x1.d11d6746e9a63p-9, -0x1.c9b1b76e748b7p-9, -0x1.c2606f6b0c27cp-9, -0x1.bb2944efb13f3p-9, -0x1.b40bede6be995p-9, -0x1.ad08203f21ed6p-9, -0x1.a61d91d73d4fdp-9, -0x1.9f4bf884c56e9p-9, -0x1.98930a34317fdp-9, -0x1.91f27cfb07906p-9, -0x1.8b6a0768a98c3p-9, -0x1.84f960a0f450ep-9, -0x1.7ea0407f29a28p-9, -0x1.785e5fcd8ffd4p-9, -0x1.7233784b45466p-9, -0x1.6c1f450b58b2p-9, -0x1.662181dc830a2p-9, -0x1.6039ec09e80fcp-9, -0x1.5a6841ac73ceep-9, -0x1.54ac41ad52401p-9, -0x1.4f05ab4445806p-9, -0x1.49743d8c87662p-9, -0x1.43f7b7dcf6ac1p-9, -0x1.3e8fd96c43d73p-9, -0x1.393c6080e364cp-9, -0x1.33fd0c0a1dbd4p-9, -0x1.2ed19b1cf4b18p-9, -0x1.29b9ccf73c1c5p-9, -0x1.24b5611ee77aap-9, -0x1.1fc417b9699cp-9, -0x1.1ae5b1fb4a67ap-9, -0x1.1619f28b56b81p-9, -0x1.11609dbd6e335p-9, -0x1.0cb979928e8d2p-9, -0x1.08244d6ba51c6p-9, -0x1.03a0e19fe12b1p-9, -0x1.fe5dfe1983bd5p-10, -0x1.f59cdd2c1349cp-10, -0x1.ecfdf1eee714ep-10, -0x1.e480cd5882f61p-10, -0x1.dc24ffde3cd5dp-10, -0x1.d3ea197d8c36p-10, -0x1.cbcfa9ab53c6p-10, -0x1.c3d53ed5a80fp-10, -0x1.bbfa6942c3762p-10, -0x1.b43eb7551e247p-10, -0x1.aca1b9fadf9b5p-10, -0x1.a52304689546ep-10, -0x1.9dc22e4631365p-10, -0x1.967ed325f3cf4p-10, -0x1.8f589288f6db7p-10, -0x1.884f0eb13f614p-10, -0x1.8161eb11f0d5dp-10, -0x1.7a90caeba075fp-10, -0x1.73db5085fd70dp-10, -0x1.6d411d2dd1bf5p-10, -0x1.66c1d1c36f48ap-10, -0x1.605d0f6b1d5bbp-10, -0x1.5a1277f85a015p-10, -0x1.53e1ade1f58d6p-10, -0x1.4dca53dde71fdp-10, -0x1.47cc0c79a20e4p-10, -0x1.41e67a03132ecp-10, -0x1.3c193f60537a6p-10, -0x1.3664012927468p-10, -0x1.30c667119174fp-10, -0x1.2b401cf0b4bdfp-10, -0x1.25d0d2c1e9c93p-10, -0x1.20783b9437aa4p-10, -0x1.1b36082263d3fp-10, -0x1.1609fb7733f57p-10, -0x1.10f3a6b659248p-10, -0x1.0bf2d2f2db8adp-10, -0x1.070725cf200c1p-10, -0x1.02304df340e9p-10, -0x1.fadbf74d80375p-11, -0x1.f17fc3b9e47fep-11, -0x1.e84b6ba76eb89p-11, -0x1.df3e5c43c778bp-11, -0x1.d6580329269adp-11, -0x1.cd97cd4c2e84fp-11, -0x1.c4fd2861fd85dp-11, -0x1.bc87808aa0f74p-11, -0x1.b4364680034ecp-11, -0x1.ac08f0c7422aep-11, -0x1.a3fefc8af0022p-11, -0x1.9c17eccdde191p-11, -0x1.945347467f98bp-11, -0x1.8cb0905183aabp-11, -0x1.852f47d00755cp-11, -0x1.7dcee888231e1p-11, -0x1.768eea40e4481p-11, -0x1.6f6ec565e5a3ap-11, -0x1.686df6c05a013p-11, -0x1.618c00fb89a26p-11, -0x1.5ac86c744076cp-11, -0x1.5422c5d1ed208p-11, -0x1.4d9a9c4a289bep-11, -0x1.472f8044eecfcp-11, -0x1.40e102748c315p-11, -0x1.3aaeb332a58b7p-11, -0x1.3498221cec8d9p-11, -0x1.2e9cde4980967p-11, -0x1.28bc777131685p-11, -0x1.22f67fd97e989p-11, -0x1.1d4a8df4c07d3p-11, -0x1.17b83c754af7p-11, -0x1.123f2864628ddp-11, -0x1.0cdeee3703656p-11, -0x1.079727c7d2565p-11, -0x1.02676ca7e89ccp-11, -0x1.fa9ea940fd3aap-12, -0x1.f09cf5447e5afp-12, -0x1.e6c8fc5c3142bp-12, -0x1.dd22054f8358cp-12, -0x1.d3a75b683c839p-12, -0x1.ca584c837eacfp-12, -0x1.c13429e7282bap-12, -0x1.b83a4aa302dc2p-12, -0x1.af6a0cd12dfdap-12, -0x1.a6c2d3955c39ep-12, -0x1.9e44026083234p-12, -0x1.95ecf37f9be6cp-12, -0x1.8dbcff4542c87p-12, -0x1.85b36e6893821p-12, -0x1.7dcf8e404de4dp-12, -0x1.7610b343ca725p-12, -0x1.6e763bd7dd663p-12, -0x1.66ff9078afdf6p-12, -0x1.5fac1e65cbb11p-12, -0x1.587b52b0fbf88p-12, -0x1.516c98b068f3p-12, -0x1.4a7f5c52b1c38p-12, -0x1.43b30d6d6ada2p-12, -0x1.3d07206d66465p-12, -0x1.367b08ceec5fcp-12, -0x1.300e3b433ea9cp-12, -0x1.29c027e7fa783p-12, -0x1.2390447a8037dp-12, -0x1.1d7e0fb2a1076p-12, -0x1.178913dd3669bp-12, -0x1.11b0e1f7a4e4ap-12, -0x1.0bf51183c3483p-12, -0x1.065533ebeecp-12, -0x1.00d0cebb141a2p-12, -0x1.f6ce8f74fd654p-13, -0x1.ec3082b245c37p-13, -0x1.e1c67c0c2ba2ap-13, -0x1.d78f0866250b8p-13, -0x1.cd8975bcf1535p-13, -0x1.c3b4f1a78bc76p-13, -0x1.ba10bc898af09p-13, -0x1.b09c1b931c216p-13, -0x1.a7564c62ee22p-13, -0x1.9e3e81af754bfp-13, -0x1.9553ea09043e5p-13, -0x1.8c95b79546b28p-13, -0x1.84031f0b8571p-13, -0x1.7b9b511baa861p-13, -0x1.735d7af59bf45p-13, -0x1.6b48d19b0bd77p-13, -0x1.635c9baae6f32p-13, -0x1.5b9830502b81ep-13, -0x1.53faecaa19a0ep-13, -0x1.4c842a337e6f3p-13, -0x1.45333ceb873e5p-13, -0x1.3e077653561edp-13, -0x1.37002675bfd7ap-13, -0x1.301c99051c5adp-13, -0x1.295c13441ac45p-13, -0x1.22bdd7cdda707p-13, -0x1.1c413027e2fcp-13, -0x1.15e57704aee5ep-13, -0x1.0faa1dd752602p-13, -0x1.098eaaa5ffd89p-13, -0x1.0392ad6c9656ep-13, -0x1.fb6b601f6546dp-14, -0x1.efee537b3b4d8p-14, -0x1.e4ad012704332p-14, -0x1.d9a6316603b63p-14, -0x1.ced8c09b8d5f5p-14, -0x1.c443998253554p-14, -0x1.b9e5a68fc5f97p-14, -0x1.afbdda9630edcp-14, -0x1.a5cb454798e2dp-14, -0x1.9c0d0ef5c189ep-14, -0x1.92825b003bfedp-14, -0x1.892a33fb78208p-14, -0x1.8003948f9c318p-14, -0x1.770d7de851b17p-14, -0x1.6e47037d1590fp-14, -0x1.65af453ba5aacp-14, -0x1.5d4562dbcb7d5p-14, -0x1.55087362688ccp-14, -0x1.4cf7845c84c46p-14, -0x1.4511a087f5b3cp-14, -0x1.3d55dc2b8f2dfp-14, -0x1.35c3608961b88p-14, -0x1.2e596ff601126p-14, -0x1.271762a569b9p-14, -0x1.1ffc9b9d834f6p-14, -0x1.19087724ce2dbp-14, -0x1.123a39d77be91p-14, -0x1.0b911094219e2p-14, -0x1.050c2828ef3cbp-14, -0x1.fd5589fb952eap-15, -0x1.f0d8807756fep-15, -0x1.e49fee3b35be6p-15, -0x1.d8aa91cef375ep-15, -0x1.ccf7479212934p-15, -0x1.c184f6f2ca68p-15, -0x1.b6525859fea71p-15, -0x1.ab5e0733aa4d9p-15, -0x1.a0a6a1fcc4017p-15, -0x1.962aec2ef9924p-15, -0x1.8be9c648f02b5p-15, -0x1.81e216512e85p-15, -0x1.7812c1a007421p-15, -0x1.6e7ab048b3aa7p-15, -0x1.6518cb73d5befp-15, -0x1.5bebf903317f4p-15, -0x1.52f31d004f883p-15, -0x1.4a2d232083865p-15, -0x1.4198f78fa952bp-15, -0x1.3936737c79a64p-15, -0x1.31023efefc0a7p-15, -0x1.28fdccfa2c7c6p-15, -0x1.212784d1f3af8p-15, -0x1.197e87280cb8fp-15, -0x1.1201d8908699dp-15, -0x1.0ab0654796fe7p-15, -0x1.0389240ff6502p-15, -0x1.f916706a12f56p-16, -0x1.eb6bd9bd1b509p-16, -0x1.de11205d1919bp-16, -0x1.d104b8eadaf49p-16, -0x1.c44515ee2c70ap-16, -0x1.b7d0a82cad3dep-16, -0x1.aba5aa50e0bdep-16, -0x1.9fc2a2ee604ep-16, -0x1.9425edacdda4cp-16, -0x1.88ce31bf7520dp-16, -0x1.7dba121a6ce7cp-16, -0x1.72e823dc5297ap-16, -0x1.68570bc43ba7dp-16, -0x1.5e057da82e37ap-16, -0x1.53f2341c2eafp-16, -0x1.4a1bee5f9a9bbp-16, -0x1.40814e761a6c6p-16, -0x1.37212e8effe63p-16, -0x1.2dfa44e45b30ap-16, -0x1.250b16fc43f49p-16, -0x1.1c52b64fa43e7p-16, -0x1.13cfdd5af7ba2p-16, -0x1.0b816b8c6a61dp-16, -0x1.03664f3b0503ap-16, -0x1.f6fb3d3e6b7d9p-17, -0x1.e78c985eb183p-17, -0x1.d87e993512295p-17, -0x1.c9cea28eefb7ep-17, -0x1.bb7b14072063cp-17, -0x1.ad8190261328fp-17, -0x1.9fe142ad9a464p-17, -0x1.9297d0d16c86cp-17, -0x1.85a2d53f35f2cp-17, -0x1.7900609c0a4e7p-17, -0x1.6cae869866499p-17, -0x1.60ab7d8ec95fcp-17, -0x1.54f5cdc99330cp-17, -0x1.498be47d13694p-17, -0x1.3e6c07e833a46p-17, -0x1.33948b0e43368p-17, -0x1.2903da19d4831p-17, -0x1.1eb87434321cdp-17, -0x1.14b0e4db6e04ap-17, -0x1.0aebbde877b43p-17, -0x1.01679240bac85p-17, -0x1.f045dfef2d9e1p-18, -0x1.de38f712993aap-18, -0x1.cca56df731c45p-18, -0x1.bb885a1eeef9dp-18, -0x1.aadefb98d6dcbp-18, -0x1.9aa69db606b7ep-18, -0x1.8adca439c4e53p-18, -0x1.7b7e979189224p-18, -0x1.6c8a302c39ae7p-18, -0x1.5dfd4b4446b1cp-18, -0x1.4fd5b406174b3p-18, -0x1.4210fc1af8e99p-18, -0x1.34acb6c656a08p-18, -0x1.27a6c2da274eap-18, -0x1.1afd3a3f2daaap-18, -0x1.0eae37c0d8f9ap-18, -0x1.02b76afcde64bp-18, -0x1.ee2cb745c24f6p-19, -0x1.d79226fd06386p-19, -0x1.c19b4c2435ea7p-19, -0x1.ac44d4d87a99ap-19, -0x1.978b25fe3c72cp-19, -0x1.836a23c274b29p-19, -0x1.6fddec72b3f07p-19, -0x1.5ce2e842e69c8p-19, -0x1.4a75d93f00bedp-19, -0x1.388f9aed7813cp-19, -0x1.272fbf99baf9ap-19, -0x1.165f657e876e6p-19, -0x1.060857b8480fcp-19, -0x1.ec5fa9a515c93p-20, -0x1.cda5216dc1563p-20, -0x1.afdb080e94a4ap-20, -0x1.92fb56ec5136bp-20, -0x1.77000dfe1dfcp-20, -0x1.5be358959c126p-20, -0x1.419f9f40b4f6fp-20, -0x1.282f804c19fb7p-20, -0x1.0f8dc55522f34p-20, -0x1.ef6ace4133d62p-21, -0x1.c143398bf6fcp-21, -0x1.949bbace9723ep-21, -0x1.696b4beedc6b5p-21, -0x1.3fa884e3f0592p-21, -0x1.174a013a1b76bp-21, -0x1.e08ce6de300abp-22, -0x1.9529ae21a9f33p-22, -0x1.4c5ab7e2ce8e8p-22, -0x1.060f3131f29fep-22, -0x1.8466836e6132fp-23, -0x1.016dd58d5a07fp-23, -0x1.0635d650d48aap-24, -0x1.2a250a6c8506dp-28, 0x1.b042c3c99fe84p-25, 0x1.ba509ddd31f97p-24, 0x1.4a159ad819672p-23, 0x1.b2f42cc57bd02p-23, 0x1.0be6f6f0db0ep-22, 0x1.3c6a4789b399ap-22, 0x1.6b0d29dbd1d94p-22, 0x1.97dd3fc05585fp-22, 0x1.c2e7b41519e35p-22, 0x1.ec384280bf9c4p-22, 0x1.09ecf14f9b728p-21, 0x1.1cebfc7e9c8a5p-21, 0x1.2f1f1ee455585p-21, 0x1.408bf7f805373p-21, 0x1.5138038e6cc8fp-21, 0x1.6128c6e2e7801p-21, 0x1.7063c722608afp-21, 0x1.7eee630dda897p-21, 0x1.8ccc9976356efp-21, 0x1.9a03d6dd13df4p-21, 0x1.a69923fa100cbp-21, 0x1.b290fe7573cb3p-21, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.e5398d7367d69p-5, 0x1.d1ed1daa987adp-4, 0x1.493fb983cd215p-3, 0x1.9786b4948fa12p-3, 0x1.d32dc75362394p-3, 0x1.fcd9c43838e51p-3, 0x1.0af7478121adbp-2, 0x1.101c08567c164p-2, 0x1.0ed7b3a2c6c6p-2, 0x1.0829f4d736ac1p-2, 0x1.fa128e0b9be38p-3, 0x1.dcb7060620725p-3, 0x1.b9e36e2c84f94p-3, 0x1.930c7b6643bfap-3, 0x1.6978b5fb6382ap-3, 0x1.3e41baa3e5277p-3, 0x1.1256c64c8a5a2p-3, 0x1.cd0005fa69052p-4, 0x1.76c46d356b518p-4, 0x1.23051bb73388fp-4, 0x1.a52958f5e7e5cp-5, 0x1.0c2a1fa6c1678p-5, 0x1.eff0e81cf9736p-7, -0x1.571c525a3435bp-10, -0x1.0f166715b9907p-6, -0x1.f48920334c43ap-6, -0x1.62da2e3a0108p-5, -0x1.c1652e70eb4a7p-5, -0x1.0b0e0cb428ac4p-4, -0x1.30a699ec39aeep-4, -0x1.51acc98b68b51p-4, -0x1.6e586da70df75p-4, -0x1.86e6c97f3968cp-4, -0x1.9b98fd4a7633cp-4, -0x1.acb2ab826ce3dp-4, -0x1.ba78d0f374b3dp-4, -0x1.c530c9d9bfb35p-4, -0x1.cd1f7e408044cp-4, -0x1.d288b0fc98f07p-4, -0x1.d5ae6e58731f5p-4, -0x1.d6d094f43947cp-4, -0x1.d62c77b91ae2dp-4, -0x1.d3fc94d43836fp-4, -0x1.d0785ed5fd117p-4, -0x1.cbd4181994c63p-4, -0x1.c640b96185dbfp-4, -0x1.bfebe90d2ac03p-4, -0x1.b8fff8807577ap-4, -0x1.b1a3ee48fd45ap-4, -0x1.a9fb95241461fp-4, -0x1.a2279496c1aacp-4, -0x1.9a4588f00e8fcp-4, -0x1.9270267a3f1cbp-4, -0x1.8abf58c1eb0a6p-4, -0x1.83486bac98d49p-4, -0x1.7c1e2c57fbe2dp-4, -0x1.755111d1f9e8fp-4, -0x1.6eef62a8baf7dp-4, -0x1.69055cf606256p-4, -0x1.639d5ad3c8149p-4, -0x1.5ebff4da6ae42p-4, -0x1.5a7423c6264d5p-4, -0x1.56bf629435b8bp-4, -0x1.53a5cf3695518p-4, -0x1.512a497d565f9p-4, -0x1.4f4e8f715d9cap-4, -0x1.4e135778df1cep-4, -0x1.4d786a1279a7p-4, -0x1.4d7cba46f5de8p-4, -0x1.4e1e7dfc378dcp-4, -0x1.4f5b4456a1b53p-4, -0x1.51300ad3bcaefp-4, -0x1.53995023b4d43p-4, -0x1.56932546d8168p-4, -0x1.5a193dcc31cd6p-4, -0x1.5e26fe4ce6b99p-4, -0x1.62b78a6b62e53p-4, -0x1.67c5d1a8b219bp-4, -0x1.6d4c9b00e3c38p-4, -0x1.73468f5388568p-4, -0x1.79ae42d480c48p-4, -0x1.807e3d1d41f45p-4, -0x1.87b1005ff987cp-4, -0x1.8f410fa3705c3p-4, -0x1.9728f49dec446p-4, -0x1.9f6344777fad3p-4, -0x1.a7eaa4527789bp-4, -0x1.b0b9cd388a091p-4, -0x1.b9cb8f823f787p-4, -0x1.c31ad59d73ebp-4, -0x1.cca2a6dd57992p-4, -0x1.d65e292008b21p-4, -0x1.e048a2ab7ee4p-4, -0x1.ea5d7b5c858c3p-4, -0x1.f4983db916c27p-4, -0x1.fef49781818fep-4, -0x1.04b72d37c205bp-3, -0x1.0a00be2289b6fp-3, -0x1.0f550b69f75d8p-3, -0x1.14b2343f761afp-3, -0x1.1a1669a9cbc9fp-3, -0x1.1f7feeb15de0ep-3, -0x1.24ed180b95113p-3, -0x1.2a5c4bdac268p-3, -0x1.2fcc01894c88ap-3, -0x1.353ac15b9ba15p-3, -0x1.3aa72423c0801p-3, -0x1.400fd2f718f2ep-3, -0x1.457386b5004aep-3, -0x1.4ad107c54e7dcp-3, -0x1.50272d873e3e8p-3, -0x1.5574de13520ddp-3, -0x1.5ab90db856002p-3, -0x1.5ff2beb038ed3p-3, -0x1.6521008b9d50ep-3, -0x1.6a42eff3d61aep-3, -0x1.6f57b637355b7p-3, -0x1.745e88b5bbe5p-3, -0x1.7956a8e5b69cep-3, -0x1.7e3f6385e5f7ap-3, -0x1.8318106c81625p-3, -0x1.87e0121b9ba78p-3, -0x1.8c96d58287931p-3, -0x1.913bd155f1d66p-3, -0x1.95ce8607a65e2p-3, -0x1.9a4e7d3c4f7bbp-3, -0x1.9ebb4980e2da5p-3, -0x1.a31485f74ef93p-3, -0x1.a759d60a207d5p-3, -0x1.ab8ae4f90d904p-3, -0x1.afa765c0899c7p-3, -0x1.b3af129bddc77p-3, -0x1.b7a1accebbeebp-3, -0x1.bb7efc6452703p-3, -0x1.bf46cfd554799p-3, -0x1.c2f8fbcf860cep-3, -0x1.c6955af85b8b1p-3, -0x1.ca1bcd91dd19ep-3, -0x1.cd8c3953061b7p-3, -0x1.d0e689349aeb1p-3, -0x1.d42aad1c89d8cp-3, -0x1.d75899af61bb6p-3, -0x1.da70481d09c5ap-3, -0x1.dd71b5e915369p-3, -0x1.e05ce4c59d03ep-3, -0x1.e331da347611ap-3, -0x1.e5f09f9303ee9p-3, -0x1.e89941c89e1bap-3, -0x1.eb2bd10ea7ec6p-3, -0x1.eda860f4d33e4p-3, -0x1.f00f080868143p-3, -0x1.f25fdfbd731a8p-3, -0x1.f49b044163c58p-3, -0x1.f6c094754f5f2p-3, -0x1.f8d0b1951b9b8p-3, -0x1.facb7f30ef6cap-3, -0x1.fcb1231027abap-3, -0x1.fe81c50c40986p-3, -0x1.001ec774633dfp-2, -0x1.00f256172e87ep-2, -0x1.01bba5109c9bbp-2, -0x1.027acbd195672p-2, -0x1.032fe28609efbp-2, -0x1.03db01ffdbf61p-2, -0x1.047c43b847ebcp-2, -0x1.0513c1c95e218p-2, -0x1.05a196d358925p-2, -0x1.0625dde7a707dp-2, -0x1.06a0b292b8ab7p-2, -0x1.071230d19f1f7p-2, -0x1.077a74fe341d4p-2, -0x1.07d99bc7ec64ep-2, -0x1.082fc21bcedf2p-2, -0x1.087d05372691ap-2, -0x1.08c18295b952dp-2, -0x1.08fd57e3b8de1p-2, -0x1.0930a2ee5b89bp-2, -0x1.095b81a54b83cp-2, -0x1.097e121d4fa35p-2, -0x1.09987283c45a3p-2, -0x1.09aac110b8535p-2, -0x1.09b51bfcb018p-2, -0x1.09b7a183922b2p-2, -0x1.09b26fe756735p-2, -0x1.09a5a5660e7c2p-2, -0x1.0991602c673bep-2, -0x1.0975be4e60bfp-2, -0x1.0952ddc945bb3p-2, -0x1.0928dc88aee99p-2, -0x1.08f7d86006c2ep-2, -0x1.08bfeefe0de0fp-2, -0x1.08813de667169p-2, -0x1.083be27065551p-2, -0x1.07eff9ce54e22p-2, -0x1.079da10c68773p-2, -0x1.0744f508902f3p-2, -0x1.06e61266d9ce5p-2, -0x1.0681158e8c916p-2, -0x1.06161ab5f9467p-2, -0x1.05a53dde24ac2p-2, -0x1.052e9ad402c9p-2, -0x1.04b24d279672dp-2, -0x1.0430702467e25p-2, -0x1.03a91ed34fdb1p-2, -0x1.031c73fbf79ecp-2, -0x1.028a8a35f9c73p-2, -0x1.01f37bd13401fp-2, -0x1.015762dd57157p-2, -0x1.00b6592431d93p-2, -0x1.0010781f995b5p-2, -0x1.fecbb216a1ec6p-3, -0x1.fd6d29ce48641p-3, -0x1.fc0588de888ddp-3, -0x1.fa950038bdf6dp-3, -0x1.f91bc0348a73fp-3, -0x1.f799f891e342p-3, -0x1.f60fd888d66e4p-3, -0x1.f47d8ed10cc82p-3, -0x1.f2e349a4db5f7p-3, -0x1.f14136b4558bdp-3, -0x1.ef97831eb95a6p-3, -0x1.ede65b6b8befcp-3, -0x1.ec2deb91bd5c3p-3, -0x1.ea6e5f0a24e7bp-3, -0x1.e8a7e0cd963fdp-3, -0x1.e6da9b59d41aap-3, -0x1.e506b8a36c9f5p-3, -0x1.e32c620e94b0bp-3, -0x1.e14bc06f75556p-3, -0x1.df64fc1519c1p-3, -0x1.dd783cd49143ap-3, -0x1.db85aa0700f26p-3, -0x1.d98d6a96d7fe5p-3, -0x1.d78fa4e3d0a5ap-3, -0x1.d58c7ec89c702p-3, -0x1.d3841d9c79af2p-3, -0x1.d176a631192b3p-3, -0x1.cf643ce8cc04ep-3, -0x1.cd4d05bbe8b17p-3, -0x1.cb312420bdb72p-3, -0x1.c910bb2b9c07fp-3, -0x1.c6ebed6a874c3p-3, -0x1.c4c2dce888775p-3, -0x1.c295ab47c5887p-3, -0x1.c06479a97365cp-3, -0x1.be2f68d0205c6p-3, -0x1.bbf6991d374a3p-3, -0x1.b9ba2a7c9175ap-3, -0x1.b77a3c70c0096p-3, -0x1.b536ee09d091cp-3, -0x1.b2f05de247cf4p-3, -0x1.b0a6aa2d9559fp-3, -0x1.ae59f0baa7562p-3, -0x1.ac0a4ef828c5fp-3, -0x1.a9b7e1fb19814p-3, -0x1.a762c671daf6dp-3, -0x1.a50b18a78b8cfp-3, -0x1.a2b0f47e49aebp-3, -0x1.a05475715fb6p-3, -0x1.9df5b69e980f1p-3, -0x1.9b94d2c2bdc74p-3, -0x1.9931e44b2fc09p-3, -0x1.96cd054b6420ap-3, -0x1.94664f7da64f2p-3, -0x1.91fddc4519889p-3, -0x1.8f93c4a5620ep-3, -0x1.8d28214413106p-3, -0x1.8abb0a6f68156p-3, -0x1.884c981fdfbe8p-3, -0x1.85dce1ff91c0bp-3, -0x1.836bff688b511p-3, -0x1.80fa0764f4f7dp-3, -0x1.7e8710b67cc2bp-3, -0x1.7c1331bb8a321p-3, -0x1.799e8090c2d01p-3, -0x1.772912f2ee2bfp-3, -0x1.74b2fe53cd903p-3, -0x1.723c57dc91cf4p-3, -0x1.6fc53466578eep-3, -0x1.6d4da88800fcbp-3, -0x1.6ad5c88e612d1p-3, -0x1.685da88208019p-3, -0x1.65e55c17d6797p-3, -0x1.636cf6bf14363p-3, -0x1.60f48b9a208dbp-3, -0x1.5e7c2d8390476p-3, -0x1.5c03ef0dc40eap-3, -0x1.598be28b480e2p-3, -0x1.57141a0adbfd6p-3, -0x1.549ca7594c5b1p-3, -0x1.52259c0361a5fp-3, -0x1.4faf094db3c52p-3, -0x1.4d39003ead36ep-3, -0x1.4ac39190d9d24p-3, -0x1.484ecdc040f0ap-3, -0x1.45dac506942e8p-3, -0x1.4367875de7313p-3, -0x1.40f52481b403dp-3, -0x1.3e83abf2fe243p-3, -0x1.3c132cf50ee1bp-3, -0x1.39a3b68c3c395p-3, -0x1.37355782077c6p-3, -0x1.34c81e5dffa4ep-3, -0x1.325c196a8397ap-3, -0x1.2ff156b41be55p-3, -0x1.2d87e40a9c2ecp-3, -0x1.2b1fcf050d04ep-3, -0x1.28b924fe78fe2p-3, -0x1.2653f31adbd4dp-3, -0x1.23f046458b25p-3, -0x1.218e2b3125b61p-3, -0x1.1f2dae572baf3p-3, -0x1.1ccedbf757776p-3, -0x1.1a71c017e08f4p-3, -0x1.181666855da8bp-3, -0x1.15bcdad45b08p-3, -0x1.13652862c0847p-3, -0x1.110f5a57ff452p-3, -0x1.0ebb7ba63406fp-3, -0x1.0c69970ad545bp-3, -0x1.0a19b70eccbecp-3, -0x1.07cbe60614ec9p-3, -0x1.05802e1228ab7p-3, -0x1.03369916d2564p-3, -0x1.00ef30d011869p-3, -0x1.fd53fd7273a8ap-4, -0x1.f8ce184048aa7p-4, -0x1.f44cc438c9626p-4, -0x1.efd0132cbc048p-4, -0x1.eb581682bad76p-4, -0x1.e6e4df423bc01p-4, -0x1.e2767e1061bd2p-4, -0x1.de0d03306bbb9p-4, -0x1.d9a87e83eb1fcp-4, -0x1.d548ff89a1803p-4, -0x1.d0ee955fac8f5p-4, -0x1.cc994ec01a042p-4, -0x1.c8493a0661b2fp-4, -0x1.c3fe652e780f2p-4, -0x1.bfb8ddd6fd995p-4, -0x1.bb78b13fa4f9bp-4, -0x1.b73dec4ff996cp-4, -0x1.b3089b90ca408p-4, -0x1.aed8cb325dc3cp-4, -0x1.aaae870ae716bp-4, -0x1.a689da96a3416p-4, -0x1.a26ad0f7befa3p-4, -0x1.9e5174f6515eap-4, -0x1.9a3dd102e51a7p-4, -0x1.962fef33b66dep-4, -0x1.9227d94a06bfep-4, -0x1.8e2598b0dbbc5p-4, -0x1.8a29367e963c5p-4, -0x1.8632bb7562834p-4, -0x1.824230042bb86p-4, -0x1.7e579c47419efp-4, -0x1.7a730808bc55ap-4, -0x1.76947ac12b8e2p-4, -0x1.72bbfb98e0c2p-4, -0x1.6ee991663845cp-4, -0x1.6b1d42b07a0b7p-4, -0x1.675715b00b994p-4, -0x1.6397104f9cafbp-4, -0x1.5fdd382b9058bp-4, -0x1.5c2992947c07dp-4, -0x1.587c248e34d3fp-4, -0x1.54d4f2d0c50e1p-4, -0x1.513401c975314p-4, -0x1.4d99559bd4a5cp-4, -0x1.4a04f223b7669p-4, -0x1.4676daf875f04p-4, -0x1.42ef13682dfcap-4, -0x1.3f6d9e7e52bd8p-4, -0x1.3bf27f0031d13p-4, -0x1.387db76cead0fp-4, -0x1.350f49fd1787ep-4, -0x1.31a738a2e4c12p-4, -0x1.2e45850d1c62p-4, -0x1.2aea30a4796e3p-4, -0x1.27953c9329ccap-4, -0x1.2446a9c2bdcfep-4, -0x1.20fe78eab4d3cp-4, -0x1.1dbcaa7f96f85p-4, -0x1.1a813ebcf119fp-4, -0x1.174c35a640e78p-4, -0x1.141d8efeea121p-4, -0x1.10f54a4943b47p-4, -0x1.0dd366c594a9dp-4, -0x1.0ab7e3734ac2cp-4, -0x1.07a2bf14b903dp-4, -0x1.0493f834bc248p-4, -0x1.018b8d2ce1697p-4, -0x1.fd12f854fccbcp-5, -0x1.f71b8661d759cp-5, -0x1.f130c02da71bcp-5, -0x1.eb52a10ef5687p-5, -0x1.e58123e5ae112p-5, -0x1.dfbc4322e9fc3p-5, -0x1.da03f8b16a64cp-5, -0x1.d4583df99f0dcp-5, -0x1.ceb90beb44cfcp-5, -0x1.c9265b0dcb17dp-5, -0x1.c3a0239733a3bp-5, -0x1.be265d82a36dbp-5, -0x1.b8b900a0183fdp-5, -0x1.b35804989b3b8p-5, -0x1.ae0360e4f175fp-5, -0x1.a8bb0cb8ca3dap-5, -0x1.a37efee79f1d3p-5, -0x1.9e4f2dc110e74p-5, -0x1.992b8f0bf67afp-5, -0x1.9414180943827p-5, -0x1.8f08bd761c6f6p-5, -0x1.8a09738edc2f5p-5, -0x1.85162e7d31e3ep-5, -0x1.802ee24abded7p-5, -0x1.7b53830beede6p-5, -0x1.768404efac25bp-5, -0x1.71c05c2e61b7p-5, -0x1.6d087cea0d14cp-5, -0x1.685c5b02b4504p-5, -0x1.63bbe9e288284p-5, -0x1.5f271c5620248p-5, -0x1.5a9de47b00e3ep-5, -0x1.562033c7e8e59p-5, -0x1.51adfb31079dep-5, -0x1.4d472b6191403p-5, -0x1.48ebb4fe3a7b8p-5, -0x1.449b88e182ce9p-5, -0x1.405698430e2b1p-5, -0x1.3c1cd4bfbd51bp-5, -0x1.37ee303f354f6p-5, -0x1.33ca9cbb88026p-5, -0x1.2fb20bf6a9db7p-5, -0x1.2ba46f2fec8c7p-5, -0x1.27a1b6e62afdcp-5, -0x1.23a9d2b911993p-5, -0x1.1fbcb1715bf18p-5, -0x1.1bda41326a3ap-5, -0x1.18026fc447edcp-5, -0x1.14352af6eb80cp-5, -0x1.107260fd586d4p-5, -0x1.0cba00b1f3d16p-5, -0x1.090bf9b2e5a76p-5, -0x1.05683c4f15b7ep-5, -0x1.01ceb9476fb1ep-5, -0x1.fc7ec2e653a3fp-6, -0x1.f5744a9baac8ap-6, -0x1.ee7de96a62fc4p-6, -0x1.e79b7cf1e1ae3p-6, -0x1.e0cce0d0521e6p-6, -0x1.da11eea2c39f2p-6, -0x1.d36a7e8cc1c81p-6, -0x1.ccd6680006a67p-6, -0x1.c65582ab5a95cp-6, -0x1.bfe7a7633821bp-6, -0x1.b98cb0d235fadp-6, -0x1.b3447bc9df1ddp-6, -0x1.ad0ee718dcb38p-6, -0x1.a6ebd2f8207dap-6, -0x1.a0db202e0d2efp-6, -0x1.9adcaf1a4d618p-6, -0x1.94f05ee0ff2ebp-6, -0x1.8f160cd253f8fp-6, -0x1.894d942a869ep-6, -0x1.8396ce13b3a32p-6, -0x1.7df191fd56dffp-6, -0x1.785db62d14d3p-6, -0x1.72db108b0b037p-6, -0x1.6d697793113edp-6, -0x1.6808c34a6170ap-6, -0x1.62b8cdfbacbe6p-6, -0x1.5d79748353601p-6, -0x1.584a961cb0681p-6, -0x1.532c139ad775ep-6, -0x1.4e1dce4f70437p-6, -0x1.491fa6e91265p-6, -0x1.44317c95f27c5p-6, -0x1.3f532c93fb1aap-6, -0x1.3a84922c9a38fp-6, -0x1.35c586f3c3d8bp-6, -0x1.3115e319b3ca1p-6, -0x1.2c757db86ed82p-6, -0x1.27e42d27d7e0dp-6, -0x1.2361c77f26cedp-6, -0x1.1eee2362e90bfp-6, -0x1.1a89190b39c5p-6, -0x1.16328345f5623p-6, -0x1.11ea4016d96f2p-6, -0x1.0db030a724bdp-6, -0x1.0984386e8c823p-6, -0x1.05663bcca2b26p-6, -0x1.01561e7bfdef6p-6, -0x1.faa784fb121eep-7, -0x1.f2be0f538cb9fp-7, -0x1.eaef980df6f87p-7, -0x1.e33bd8ee008efp-7, -0x1.dba28a8d5a70dp-7, -0x1.d4236468caf4fp-7, -0x1.ccbe1be6d659p-7, -0x1.c572631a2aee5p-7, -0x1.be3fe8612443bp-7, -0x1.b72657b2ae825p-7, -0x1.b0255d977e97fp-7, -0x1.a93caaeca4e3cp-7, -0x1.a26bf80d27ae6p-7, -0x1.9bb3061d8817ap-7, -0x1.95119de6239a1p-7, -0x1.8e878ca0a4f5fp-7, -0x1.88149ffcacf67p-7, -0x1.81b8a302aa455p-7, -0x1.7b735d10d65bdp-7, -0x1.75449339ba532p-7, -0x1.6f2c0b0070acdp-7, -0x1.69298cade24f5p-7, -0x1.633ce394b40bcp-7, -0x1.5d65dba0e56c3p-7, -0x1.57a43d0a574afp-7, -0x1.51f7c86842a72p-7, -0x1.4c60346d1e728p-7, -0x1.46dd305725a26p-7, -0x1.416e67dc07e72p-7, -0x1.3c138949a0b7p-7, -0x1.36cc4a5aae6bbp-7, -0x1.31986a8e82a6bp-7, -0x1.2c77b24e5e747p-7, -0x1.2769ef6d7a40ap-7, -0x1.226ef094539a2p-7, -0x1.1d86819aa59d7p-7, -0x1.18b06a6bb6801p-7, -0x1.13ec70d7ff085p-7, -0x1.0f3a5ca3f06dcp-7, -0x1.0a99fbbce3186p-7, -0x1.060b24680355ep-7, -0x1.018db3cceb0acp-7, -0x1.fa4311ad173a7p-8, -0x1.f18cfab39478fp-8, -0x1.e8f8c145d2a3dp-8, -0x1.e085ec098fb2cp-8, -0x1.d833efd8bf9e6p-8, -0x1.d0023b66f6036p-8, -0x1.c7f043054770dp-8, -0x1.bffd88b4c3d59p-8, -0x1.b8299f26cd7f1p-8, -0x1.b07427e03eceep-8, -0x1.a8dccd6d4dd7p-8, -0x1.a1633b90d4a94p-8, -0x1.9a071832fe902p-8, -0x1.92c7ff8d94d8fp-8, -0x1.8ba584e08f7dep-8, -0x1.849f37ba3860fp-8, -0x1.7db4ac91b1bfap-8, -0x1.76e585a8a83e4p-8, -0x1.703177b1589f4p-8, -0x1.6998467f7115bp-8, -0x1.6319b9e5afda3p-8, -0x1.5cb58fd91cc8bp-8, -0x1.566b7365829e3p-8, -0x1.503afd5d24a42p-8, -0x1.4a23bd2647544p-8, -0x1.442542ad2ecb5p-8, -0x1.3e3f2385ac36dp-8, -0x1.3870fba4f082fp-8, -0x1.32ba6e571ab8ep-8, -0x1.2d1b295dcfc69p-8, -0x1.2792e7093fa85p-8, -0x1.22216b9e2a53ep-8, -0x1.1cc67e343c6bp-8, -0x1.1781e04d9f174p-8, -0x1.125347ea8698bp-8, -0x1.0d3a5e08f3c6ap-8, -0x1.0836c572c93c6p-8, -0x1.034820ff55d44p-8, -0x1.fcdc3cac7b341p-9, -0x1.f350f203d7acp-9, -0x1.e9edefa1df47dp-9, -0x1.e0b2caff9b0a5p-9, -0x1.d79f0f13b2c8p-9, -0x1.ceb230de1de8fp-9, -0x1.c5eb92cd2f8a4p-9, -0x1.bd4a94869e597p-9, -0x1.b4ce9ef8ba4dfp-9, -0x1.ac771d94f1766p-9, -0x1.a4436c987dea3p-9, -0x1.9c32d724070cp-9, -0x1.9444b191ea5c4p-9, -0x1.8c787858ac505p-9, -0x1.84cdd49cefa71p-9, -0x1.7d4481a512542p-9, -0x1.75dc2a0e1b4a5p-9, -0x1.6e9455b52f00fp-9, -0x1.676c7186909a8p-9, -0x1.6063e50b77bd2p-9, -0x1.597a21ecfd959p-9, -0x1.52aea6518456fp-9, -0x1.4c00f6b46bb25p-9, -0x1.45709dea02352p-9, -0x1.3efd3586e2fcep-9, -0x1.38a6695f46492p-9, -0x1.326bf0722cccbp-9, -0x1.2c4d7b2b1f33dp-9, -0x1.264aa51db78acp-9, -0x1.2062f9e8755dfp-9, -0x1.1a960902a06a4p-9, -0x1.14e36b7fb7524p-9, -0x1.0f4aab6f22a98p-9, -0x1.09cb2edd6dd1ep-9, -0x1.0464565a67bf4p-9, -0x1.fe2b7add48d8cp-10, -0x1.f3bea2a3bd821p-10, -0x1.e98239527850bp-10, -0x1.df75f7fbdff2fp-10, -0x1.d59900d69f088p-10, -0x1.cbea20f5c09a2p-10, -0x1.c2683a16aa0d3p-10, -0x1.b9126cbbfe096p-10, -0x1.afe7ef4858ed6p-10, -0x1.a6e7d686317f8p-10, -0x1.9e110f9b0924cp-10, -0x1.95628a48ff513p-10, -0x1.8cdb6be2935b5p-10, -0x1.847b2b6afaa82p-10, -0x1.7c418b6dde248p-10, -0x1.742e7177f70f1p-10, -0x1.6c41a89f44102p-10, -0x1.647ab5b4a8d81p-10, -0x1.5cd8e9382b957p-10, -0x1.555b9ed595fd6p-10, -0x1.4e024c42ddc4dp-10, -0x1.46cc30789dc8bp-10, -0x1.3fb81d99e3008p-10, -0x1.38c4f104df303p-10, -0x1.31f24b9400aa7p-10, -0x1.2b4083263efb7p-10, -0x1.24afcfd2dd026p-10, -0x1.1e3fbc637a7d3p-10, -0x1.17ef6808e6539p-10, -0x1.11be21e84b7b4p-10, -0x1.0bab9e44ad8cap-10, -0x1.05b7a5476ce57p-10, -0x1.ffc377e2f729ep-11, -0x1.f4523b9e65f9p-11, -0x1.e919cf95d3442p-11, -0x1.de187d9db7e0cp-11, -0x1.d34cc75a01657p-11, -0x1.c8b576215f786p-11, -0x1.be519ec09a395p-11, -0x1.b42099e8b4ea2p-11, -0x1.aa21e7ad21d15p-11, -0x1.a054f41e3d12bp-11, -0x1.96b8d84eb849p-11, -0x1.8d4c6a944b6a3p-11, -0x1.840ec053016fbp-11, -0x1.7aff8e3163b56p-11, -0x1.721ea7eef7f43p-11, -0x1.696b09d7187b8p-11, -0x1.60e3042c6b4f9p-11, -0x1.5885b5c9f2d6cp-11, -0x1.5053590f2b1abp-11, -0x1.484bacee884a3p-11, -0x1.406d2ea88b7d3p-11, -0x1.38b659daca074p-11, -0x1.3126e2f8a913dp-11, -0x1.29bf2e3649998p-11, -0x1.227f288237c05p-11, -0x1.1b660f343e623p-11, -0x1.1472d8bfb4p-11, -0x1.0da47db91c87bp-11, -0x1.06fa0824e78a2p-11, -0x1.0072941af0e8dp-11, -0x1.f41aaa3a08245p-12, -0x1.e79337621d3a3p-12, -0x1.db4dade4d3bd6p-12, -0x1.cf491c1606ebfp-12, -0x1.c384d228e9828p-12, -0x1.b800381288145p-12, -0x1.acba7d24bd59fp-12, -0x1.a1b21d436df6bp-12, -0x1.96e4f061587b2p-12, -0x1.8c511993295f1p-12, -0x1.81f5f3e204c32p-12, -0x1.77d39010ddff3p-12, -0x1.6de8a98cf6007p-12, -0x1.64328adfe2d65p-12, -0x1.5ab04ce2bf933p-12, -0x1.5162a3accb161p-12, -0x1.48485d25dcd9p-12, -0x1.3f5f47adc3465p-12, -0x1.36a70eaef12c7p-12, -0x1.2e2001cee4cafp-12, -0x1.25c92d905fa87p-12, -0x1.1da119a615118p-12, -0x1.15a6d2d142e2bp-12, -0x1.0dd9e095b3914p-12, -0x1.0639caafd9dd7p-12, -0x1.fd8b93272562p-13, -0x1.eef98ac5e904bp-13, -0x1.e0bb04c245d24p-13, -0x1.d2cdb051c3eeap-13, -0x1.c52f4c6879e77p-13, -0x1.b7de2b6fadf1cp-13, -0x1.aad8b0bc54c9dp-13, -0x1.9e1d9f50a676ap-13, -0x1.91ac1c1ba75a2p-13, -0x1.85837d2d7a1bp-13, -0x1.79a2a9a52447p-13, -0x1.6e07af87b7bb7p-13, -0x1.62b0787de5b2fp-13, -0x1.579c5eec568cbp-13, -0x1.4cccd0cbf70e1p-13, -0x1.4242a9872205p-13, -0x1.37f9be4096b8ep-13, -0x1.2ded2da44219dp-13, -0x1.241c2f7724305p-13, -0x1.1a84660e30ff1p-13, -0x1.1123d067696b8p-13, -0x1.07fc163c94a2bp-13, -0x1.fe1afa576ffedp-14, -0x1.ecac669f36a4p-14, -0x1.dba9159a68ddap-14, -0x1.cb0e6040256f2p-14, -0x1.bad9b8187b856p-14, -0x1.ab091af983acfp-14, -0x1.9b9bac34f84b9p-14, -0x1.8c9133519afd3p-14, -0x1.7de8c4bfebe38p-14, -0x1.6fa00ab8c1581p-14, -0x1.61b3c136fea86p-14, -0x1.5420a118ef755p-14, -0x1.46e3e5379270cp-14, -0x1.39fb53a319142p-14, -0x1.2d6518adaeff4p-14, -0x1.211fb2a6c27aep-14, -0x1.1529f75da0344p-14, -0x1.0982f1c0b7ea2p-14, -0x1.fc52a167bde78p-15, -0x1.e635e15316386p-15, -0x1.d0aadaffc40a9p-15, -0x1.bbae7df26a693p-15, -0x1.a7417e314ab6ep-15, -0x1.936770ccbb108p-15, -0x1.8019f5838f1f7p-15, -0x1.6d4c3a2e9498dp-15, -0x1.5afcd7179818ep-15, -0x1.492a2f35a0331p-15, -0x1.37d99fbbd60dap-15, -0x1.270be83de9b3p-15, -0x1.16b8d40891f5ep-15, -0x1.06d90a1cd3419p-15, -0x1.eece0c76aa9c5p-16, -0x1.d0be47ee6e98bp-16, -0x1.b3812d54d9eaap-16, -0x1.971871b74af86p-16, -0x1.7b82d58692c51p-16, -0x1.60b9059358ed6p-16, -0x1.46b389eb730efp-16, -0x1.2d70c9edbfac3p-16, -0x1.14f26956e19abp-16, -0x1.fa6bb0b8504fdp-17, -0x1.cc66b65e086acp-17, -0x1.9fc4ccc181fadp-17, -0x1.7478f4c906bd8p-17, -0x1.4a7a2e764c4bep-17, -0x1.21c17ee876ac4p-17, -0x1.f4918fa5a30cbp-18, -0x1.a81582adf8aacp-18, -0x1.5e059a962d3e8p-18, -0x1.1656e477d36f3p-18, -0x1.a1f503b6f106dp-19, -0x1.1bbdd164f76f1p-19, -0x1.33c14789bd634p-20, -0x1.c452bb88389a7p-23, 0x1.73c5d01906ebep-21, 0x1.a3b2e0d2aff49p-20, 0x1.42fcc808fadc2p-19, 0x1.b07d1151691dbp-19, 0x1.0d0c1c8fe6778p-18, 0x1.3fe2258896237p-18, 0x1.70e8a73c53317p-18, 0x1.a031fcec7a4b9p-18, 0x1.cdc2fd11f831dp-18, 0x1.f99eae120852p-18, 0x1.11e3dde36041dp-17, 0x1.262143fd69b56p-17, 0x1.398eeb9223384p-17, 0x1.4c3b86dbccd11p-17, 0x1.5e348fc509d2ep-17, 0x1.6f7aa22b2c7ecp-17, 0x1.8009cf44996fp-17, 0x1.8fe9afa530cc9p-17, 0x1.9f23f479c1128p-17, 0x1.adb4dd150d3bbp-17, 0x1.bb981f61a6ffep-17, 0x1.c8d55de7fab9p-17, 0x1.d577e6fd75621p-17, 0x1.e18719b29c998p-17, 0x1.ed06e697b35ffp-17, 0x1.f7fa325129cdfp-17, 0x1.0131e81582fbfp-16, 0x1.062334e972111p-16, }}, 
      {{0x1.5d435a175416ap-3, 0x1.9c58da910df58p-3, 0x1.e8ca3e4c0b4acp-3, 0x1.1a4da7f11344dp-2, 0x1.3bbc28bcb6d8cp-2, 0x1.5672fdc5e8c71p-2, 0x1.697b5e3944c83p-2, 0x1.74b2d14392867p-2, 0x1.787bdce77335ep-2, 0x1.75870ec04358fp-2, 0x1.6cadb31d7b752p-2, 0x1.5ed8f0a546b23p-2, 0x1.4cf174154528dp-2, 0x1.37d50dbb13c38p-2, 0x1.205070894a885p-2, 0x1.071bcdcd6cb04p-2, 0x1.d9b2d02e557d4p-3, 0x1.a42af4f0d8b56p-3, 0x1.6e8dffaeace28p-3, 0x1.39a20e9168adcp-3, 0x1.0608b442695a6p-3, 0x1.a8852770bdadp-4, 0x1.496622a18c871p-4, 0x1.de8fc6d5946c4p-5, 0x1.3523325cae6bap-5, 0x1.2e1219d6156a9p-6, 0x1.20f1e68dc77dfp-11, -0x1.04bf3db0ab041p-6, -0x1.fb803a7bdeaa9p-6, -0x1.6de03f5a54287p-5, -0x1.d31ed1b2ec57bp-5, -0x1.16f8432f0cdd3p-4, -0x1.3f6d3e97496e1p-4, -0x1.6336cc6c5bf15p-4, -0x1.82a1459f50a22p-4, -0x1.9dfb41e0cd8a6p-4, -0x1.b59435d491a9fp-4, -0x1.c9bb4fb9707cap-4, -0x1.dabe899be4157p-4, -0x1.e8e9eab7e748ep-4, -0x1.f486f083c74d7p-4, -0x1.fddc1a5d1017bp-4, -0x1.0296495ff68f7p-3, -0x1.055bf84cf5b7dp-3, -0x1.075d07980c551p-3, -0x1.08b57aa9cf6b3p-3, -0x1.097f6743a8a99p-3, -0x1.09d2f67c5d4e1p-3, -0x1.09c66c09c051cp-3, -0x1.096e31008fbd8p-3, -0x1.08dce2c0e4f86p-3, -0x1.08236224727b9p-3, -0x1.0750e7b8d4723p-3, -0x1.067316f399404p-3, -0x1.0596150d26235p-3, -0x1.04c49c5ee17e3p-3, -0x1.040812dd181a7p-3, -0x1.0368a00c8c434p-3, -0x1.02ed43a0c43efp-3, -0x1.029bea1bd6318p-3, -0x1.0279800b7bc56p-3, -0x1.028a05254b017p-3, -0x1.02d09fb2811c8p-3, -0x1.034fafb53158bp-3, -0x1.0408e0b4b1a19p-3, -0x1.04fd39db1934ap-3, -0x1.062d2ce067153p-3, -0x1.0798a47d77c41p-3, -0x1.093f12cdc5e26p-3, -0x1.0b1f7f695bdfap-3, -0x1.0d3894c6784bp-3, -0x1.0f88ac745f442p-3, -0x1.120dda1ce4a9fp-3, -0x1.14c5f5730afcfp-3, -0x1.17aea35a8160dp-3, -0x1.1ac55e86030c6p-3, -0x1.1e077fa2816cfp-3, -0x1.217245018f53ap-3, -0x1.2502d9aeeff16p-3, -0x1.28b65bcec26f7p-3, -0x1.2c89e23aca068p-3, -0x1.307a816d284e9p-3, -0x1.34854fc3d5effp-3, -0x1.38a7693ec0cfdp-3, -0x1.3cddf2c6ccd26p-3, -0x1.41261d1f5b742p-3, -0x1.457d277db5dfp-3, -0x1.49e061d8e2fb1p-3, -0x1.4e4d2ee85d0ap-3, -0x1.52c105d8cfe96p-3, -0x1.573973b1d213ep-3, -0x1.5bb41c7259b93p-3, -0x1.602ebbecc367cp-3, -0x1.64a7265c6c3cfp-3, -0x1.691b48cf52d7ep-3, -0x1.6d892957f35c7p-3, -0x1.71eee71ae4765p-3, -0x1.764aba3d255bdp-3, -0x1.7a9af3af902e6p-3, -0x1.7eddfce75db4dp-3, -0x1.83125781c0a9ep-3, -0x1.87369ccf0dbd9p-3, -0x1.8b497d5888472p-3, -0x1.8f49c04e575b5p-3, -0x1.933642ed9124cp-3, -0x1.970df7df4e63ap-3, -0x1.9acfe68737017p-3, -0x1.9e7b2a53016abp-3, -0x1.a20ef2018980ep-3, -0x1.a58a7ee66f25p-3, -0x1.a8ed242da1679p-3, -0x1.ac36461e9d32ep-3, -0x1.af65595de6f49p-3, -0x1.b279e2324d9c3p-3, -0x1.b57373cfca00ap-3, -0x1.b851af9cc1de1p-3, -0x1.bb1444859ecd5p-3, -0x1.bdbaee4f1456ap-3, -0x1.c04574e962771p-3, -0x1.c2b3abd420d4bp-3, -0x1.c505717869477p-3, -0x1.c73aae96af075p-3, -0x1.c95355ad5eac8p-3, -0x1.cb4f626ba55cap-3, -0x1.cd2ed92d4942ap-3, -0x1.cef1c66e9bcd5p-3, -0x1.d0983e51c351bp-3, -0x1.d2225c2bbfcbfp-3, -0x1.d3904203b04f5p-3, -0x1.d4e2182d6170bp-3, -0x1.d6180ce12bd5dp-3, -0x1.d73253cd390ap-3, -0x1.d83125bce2d9ep-3, -0x1.d914c0429228ap-3, -0x1.d9dd6553cdbe1p-3, -0x1.da8b5afdcd178p-3, -0x1.db1eeb1fc2031p-3, -0x1.db9863145e9e2p-3, -0x1.dbf8136dc2838p-3, -0x1.dc3e4fbe59765p-3, -0x1.dc6b6e50e85dbp-3, -0x1.dc7fc7e9f48b8p-3, -0x1.dc7bb79b219c6p-3, -0x1.dc5f9a8bcf0bep-3, -0x1.dc2bcfbbda0c5p-3, -0x1.dbe0b7e14f81dp-3, -0x1.db7eb53c7ff6ap-3, -0x1.db062b639b52dp-3, -0x1.da777f1e3ed83p-3, -0x1.d9d3164861e13p-3, -0x1.d91957a99a1c7p-3, -0x1.d84aaac9de8bap-3, -0x1.d76777dd187a3p-3, -0x1.d67027a953dd8p-3, -0x1.d565235ee4bep-3, -0x1.d446d478fdd4p-3, -0x1.d315a4b2aabe3p-3, -0x1.d1d1fdf004adap-3, -0x1.d07c4a178c8d7p-3, -0x1.cf14f2fbc5b7ap-3, -0x1.cd9c6256935d2p-3, -0x1.cc1301b6ad45dp-3, -0x1.ca793a5bcb3f3p-3, -0x1.c8cf7522bbc6dp-3, -0x1.c7161a85b090cp-3, -0x1.c54d92913295dp-3, -0x1.c37644c5456d5p-3, -0x1.c19097fd63b5ep-3, -0x1.bf9cf2723d0bcp-3, -0x1.bd9bb9b9f9c3ep-3, -0x1.bb8d52b17a25ap-3, -0x1.b972215eae82dp-3, -0x1.b74a88ed4acacp-3, -0x1.b516ebb661feap-3, -0x1.b2d7ab3929bc9p-3, -0x1.b08d27ffcf2d8p-3, -0x1.ae37c18db5332p-3, -0x1.abd7d664f042dp-3, -0x1.a96dc40ec931p-3, -0x1.a6f9e70fd71a4p-3, -0x1.a47c9acf9ccd8p-3, -0x1.a1f6398dcf89p-3, -0x1.9f671c6ba3335p-3, -0x1.9ccf9b743d513p-3, -0x1.9a300d9217e86p-3, -0x1.9788c87a28078p-3, -0x1.94da20a31f2b1p-3, -0x1.9224694ed2bb1p-3, -0x1.8f67f494b7bb1p-3, -0x1.8ca5135c75e31p-3, -0x1.89dc154cc502fp-3, -0x1.870d48c102e9cp-3, -0x1.8438facf7df6ap-3, -0x1.815f775638d7fp-3, -0x1.7e8108fd50837p-3, -0x1.7b9df92c323cap-3, -0x1.78b68ffada8a5p-3, -0x1.75cb143530973p-3, -0x1.72dbcb62cf63dp-3, -0x1.6fe8f9d4750c4p-3, -0x1.6cf2e29f995d1p-3, -0x1.69f9c7950818p-3, -0x1.66fde938e8427p-3, -0x1.63ff86c72c99ep-3, -0x1.60fede40601f9p-3, -0x1.5dfc2c7196df3p-3, -0x1.5af7acf36fbap-3, -0x1.57f19a2064c87p-3, -0x1.54ea2d0f2d30cp-3, -0x1.51e19d9ac8519p-3, -0x1.4ed8226bf97a5p-3, -0x1.4bcdf1036821p-3, -0x1.48c33db9d042cp-3, -0x1.45b83bb91356fp-3, -0x1.42ad1cf8289c1p-3, -0x1.3fa2123ed4d4ep-3, -0x1.3c974b309a141p-3, -0x1.398cf657417f4p-3, -0x1.36834125e401p-3, -0x1.337a57f60f542p-3, -0x1.30726602cfdbep-3, -0x1.2d6b9569d8309p-3, -0x1.2a660f3381bb6p-3, -0x1.2761fb5d5f458p-3, -0x1.245f80e1bfcb8p-3, -0x1.215ec5b868161p-3, -0x1.1e5feed3a70f6p-3, -0x1.1b63201e7e4a5p-3, -0x1.18687c8009b42p-3, -0x1.157025e3efe64p-3, -0x1.127a3d439942fp-3, -0x1.0f86e2acbabc5p-3, -0x1.0c963540f896ep-3, -0x1.09a853359820cp-3, -0x1.06bd59d1fd8b9p-3, -0x1.03d565735758bp-3, -0x1.00f0919472195p-3, -0x1.fc1df1aae8dcdp-4, -0x1.f6616a03c9facp-4, -0x1.f0abbe26889aap-4, -0x1.eafd1e5ee946dp-4, -0x1.e555b9527159ap-4, -0x1.dfb5bc0511802p-4, -0x1.da1d51e36133bp-4, -0x1.d48ca4d2dd854p-4, -0x1.cf03dd3ccd79ap-4, -0x1.c983221585883p-4, -0x1.c40a98df1937dp-4, -0x1.be9a65a8517a9p-4, -0x1.b932ab0f50381p-4, -0x1.b3d38a49034b7p-4, -0x1.ae7d232bc4441p-4, -0x1.a92f943ba01e9p-4, -0x1.a3eafab3d682ap-4, -0x1.9eaf728bf1576p-4, -0x1.997d167a581e8p-4, -0x1.9453fff53aa24p-4, -0x1.8f34473613913p-4, -0x1.8a1e03405bbb5p-4, -0x1.851149ea9cc43p-4, -0x1.800e2fe8bb913p-4, -0x1.7b14c8d3183e4p-4, -0x1.7625272dcbfbep-4, -0x1.713f5c69524b3p-4, -0x1.6c6378e72f74bp-4, -0x1.67918bfadadc6p-4, -0x1.62c9a3f02c945p-4, -0x1.5e0bce11f2de6p-4, -0x1.595816b221675p-4, -0x1.54ae893117686p-4, -0x1.500f3003ca069p-4, -0x1.4b7a14b7f78e9p-4, -0x1.46ef3ff5bc6d8p-4, -0x1.426eb9854379p-4, -0x1.3df8884dbd862p-4, -0x1.398cb25e9b56ap-4, -0x1.352b3cf3a5bd7p-4, -0x1.30d42c7bd8caap-4, -0x1.2c87849fe6a7cp-4, -0x1.284548467cc56p-4, -0x1.240d79987a14bp-4, -0x1.1fe01a035478p-4, -0x1.1bbd2a3c98342p-4, -0x1.17a4aa4469866p-4, -0x1.1396996a68db3p-4, -0x1.0f92f652ab3fp-4, -0x1.0b99befb32883p-4, -0x1.07aaf0c099f5ap-4, -0x1.03c68862d9ac5p-4, -0x1.ffd90411dc2f7p-5, -0x1.f839b2876ee2fp-5, -0x1.f0af122220578p-5, -0x1.e93917bbd7535p-5, -0x1.e1d7b715ddf9ap-5, -0x1.da8ae2df17c62p-5, -0x1.d3528cbda7246p-5, -0x1.cc2ea5573220cp-5, -0x1.c51f1c5962e9fp-5, -0x1.be23e0806d506p-5, -0x1.b73cdf9d007fdp-5, -0x1.b06a069cd5395p-5, -0x1.a9ab418b81489p-5, -0x1.a3007b9b4d2acp-5, -0x1.9c699f29f3adp-5, -0x1.95e695c7eccecp-5, -0x1.8f77483faec99p-5, -0x1.891b9e9c533bp-5, -0x1.82d38030d17d8p-5, -0x1.7c9ed39dcfa92p-5, -0x1.767d7ed7b6c7bp-5, -0x1.706f672be7f7ap-5, -0x1.6a74714593f7cp-5, -0x1.648c81328cb7bp-5, -0x1.5eb77a6871547p-5, -0x1.58f53fca7ebf8p-5, -0x1.5345b3af687c9p-5, -0x1.4da8b7e72d818p-5, -0x1.481e2dc0ca406p-5, -0x1.42a5f60f9f0c4p-5, -0x1.3d3ff130a1036p-5, -0x1.37ebff0f50912p-5, -0x1.32a9ff2a5474ep-5, -0x1.2d79d096ec2fp-5, -0x1.285b520886881p-5, -0x1.234e61ceaac3ap-5, -0x1.1e52dde138f5cp-5, -0x1.1968a3e0456bap-5, -0x1.148f911b086cep-5, -0x1.0fc782933be5fp-5, -0x1.0b105502e93e1p-5, -0x1.0669e4df950b6p-5, -0x1.01d40e5ee8871p-5, -0x1.fa9d5af54547cp-6, -0x1.f1b33be87a4a1p-6, -0x1.e8e976b140f86p-6, -0x1.e03fc2074458fp-6, -0x1.d7b5d44832202p-6, -0x1.cf4b637ef833cp-6, -0x1.c700256bac797p-6, -0x1.bed3cf8b39881p-6, -0x1.b6c6171dc9c48p-6, -0x1.aed6b12f05bd3p-6, -0x1.a705529c009c6p-6, -0x1.9f51b01a43013p-6, -0x1.97bb7e3df9974p-6, -0x1.9042717ff80dcp-6, -0x1.88e63e4369b97p-6, -0x1.81a698dbb2c48p-6, -0x1.7a8335922239p-6, -0x1.737bc8ac91e4p-6, -0x1.6c900672f9693p-6, -0x1.65bfa3358ec85p-6, -0x1.5f0a53524508ap-6, -0x1.586fcb39f186ap-6, -0x1.51efbf7547bcep-6, -0x1.4b89e4a9a533ap-6, -0x1.453def9dc095dp-6, -0x1.3f0b953e5db3ap-6, -0x1.38f28aa2f85eep-6, -0x1.32f28512e4cbap-6, -0x1.2d0b3a09e6048p-6, -0x1.273c5f3cefffbp-6, -0x1.2185aa9e59732p-6, -0x1.1be6d261b0108p-6, -0x1.165f8cfe8f6e9p-6, -0x1.10ef9133c992p-6, -0x1.0b96960aa32b8p-6, -0x1.065452da9858ap-6, -0x1.01287f4dec0fp-6, -0x1.f825a6ccec4f9p-7, -0x1.ee260f03cac6p-7, -0x1.e451a8be1f433p-7, -0x1.daa7e63e8e5e9p-7, -0x1.d1283a91470cdp-7, -0x1.c7d2198cfd22bp-7, -0x1.bea4f7d3bc708p-7, -0x1.b5a04ad4f44dp-7, -0x1.acc388d1e1b4cp-7, -0x1.a40e28e7201f6p-7, -0x1.9b7fa3168653dp-7, -0x1.93177055935c2p-7, -0x1.8ad50a90ca6d8p-7, -0x1.82b7ecbd778b1p-7, -0x1.7abf92d46e122p-7, -0x1.72eb79cc023f3p-7, -0x1.6b3b1f93cc175p-7, -0x1.63ae030c40f0cp-7, -0x1.5c43a4035d2b7p-7, -0x1.54fb8338196ecp-7, -0x1.4dd52265885f6p-7, -0x1.46d00453f62c7p-7, -0x1.3febacec4fbfcp-7, -0x1.3927a1480000fp-7, -0x1.328367b871e2bp-7, -0x1.2bfe87c65fc27p-7, -0x1.25988a1f0b88fp-7, -0x1.1f50f88b38e15p-7, -0x1.19275dd05bc2fp-7, -0x1.131b45a72b138p-7, -0x1.0d2c3cb6f0058p-7, -0x1.0759d0a0aeeccp-7, -0x1.01a390166af8ep-7, -0x1.f81215f4f294ap-8, -0x1.ed13a4fd26035p-8, -0x1.e24af2726a87p-8, -0x1.d7b72654bf019p-8, -0x1.cd576b5a931cbp-8, -0x1.c32aeeb24be9p-8, -0x1.b930dfb1012d8p-8, -0x1.af686f94f9294p-8, -0x1.a5d0d139d9b85p-8, -0x1.9c693903b129ep-8, -0x1.9330dd1a40c9ap-8, -0x1.8a26f5e97bbabp-8, -0x1.814abe08c5d71p-8, -0x1.789b73010a37bp-8, -0x1.70185579e992fp-8, -0x1.67c0a94c083bbp-8, -0x1.5f93b55fbc98p-8, -0x1.5790c352ec5f8p-8, -0x1.4fb71efbc9922p-8, -0x1.480615e8c1abfp-8, -0x1.407cf6f9d182cp-8, -0x1.391b122e33daap-8, -0x1.31dfb8b6c6c15p-8, -0x1.2aca3d4afbc79p-8, -0x1.23d9f4af92424p-8, -0x1.1d0e36501c844p-8, -0x1.16665cc6d0382p-8, -0x1.0fe1c62ffff51p-8, -0x1.097fd431f8a2bp-8, -0x1.033febb3968b5p-8, -0x1.fa42e89e5eab6p-9, -0x1.ee47af3db8af4p-9, -0x1.e28d011143723p-9, -0x1.d711b568ca7bfp-9, -0x1.cbd4a4869421ap-9, -0x1.c0d4a7c59126p-9, -0x1.b6109a734b513p-9, -0x1.ab875b19fe6b9p-9, -0x1.a137cd22cc5ffp-9, -0x1.9720da52d8f66p-9, -0x1.8d4173da3543cp-9, -0x1.839892b0e5922p-9, -0x1.7a25372645d64p-9, -0x1.70e667b8629c9p-9, -0x1.67db2f6e5fb51p-9, -0x1.5f029c1aebc9p-9, -0x1.565bbca79e233p-9, -0x1.4de5a0357fb6dp-9, -0x1.459f55876780dp-9, -0x1.3d87eb7006ccbp-9, -0x1.359e71d6d3374p-9, -0x1.2de1fb46e1fb8p-9, -0x1.26519ebe822edp-9, -0x1.1eec7965fb67p-9, -0x1.17b1afceb3c7cp-9, -0x1.10a06e6f101b6p-9, -0x1.09b7e93a8d90ap-9, -0x1.02f75a68240eap-9, -0x1.f8bc016347f27p-10, -0x1.ebd63ae031186p-10, -0x1.df3be5efff0cfp-10, -0x1.d2eb86ee4b189p-10, -0x1.c6e3a0f3a0a9bp-10, -0x1.bb22b602bed73p-10, -0x1.afa7485640c61p-10, -0x1.a46fdc843534dp-10, -0x1.997afc567ac47p-10, -0x1.8ec739ff6f24bp-10, -0x1.845333284a093p-10, -0x1.7a1d933e0e6b2p-10, -0x1.7025144fce23dp-10, -0x1.66687e04ba224p-10, -0x1.5ce6a2eace7f8p-10, -0x1.539e5cb425a3fp-10, -0x1.4a8e88571ad47p-10, -0x1.41b6030963ec2p-10, -0x1.3913a8ac8e4c6p-10, -0x1.30a653afd7b0fp-10, -0x1.286cddf0101fap-10, -0x1.206621f57cd33p-10, -0x1.1890fc2d7166bp-10, -0x1.10ec4c2719469p-10, -0x1.0976f6274cf28p-10, -0x1.022fe556f6dbap-10, -0x1.f62c1cdd0a653p-11, -0x1.e850e4708bc87p-11, -0x1.dacc3dfa0087ap-11, -0x1.cd9c601ee4fb6p-11, -0x1.c0bf9680d57abp-11, -0x1.b4343994f86c4p-11, -0x1.a7f8a5f555bcap-11, -0x1.9c0b359a7348dp-11, -0x1.906a3d58abdf4p-11, -0x1.85140e474bad3p-11, -0x1.7a06f99a2cab1p-11, -0x1.6f4154216634ap-11, -0x1.64c17773bd001p-11, -0x1.5a85c0768a765p-11, -0x1.508c8cea489cfp-11, -0x1.46d43a98fd94p-11, -0x1.3d5b2a1d4cd4dp-11, -0x1.341fc55f1ff75p-11, -0x1.2b2087ce4cb2bp-11, -0x1.225c053d8fe8dp-11, -0x1.19d0ec7af46c2p-11, -0x1.117e044c7c31ep-11, -0x1.096223b3ab16fp-11, -0x1.017c285785bf6p-11, -0x1.f395dda0c7f35p-12, -0x1.e49a9f804581p-12, -0x1.d604449faad1cp-12, -0x1.c7d08410620cap-12, -0x1.b9fd2862a189dp-12, -0x1.ac88122212d7ap-12, -0x1.9f6f2f1cc0f58p-12, -0x1.92b069cd3acf4p-12, -0x1.86499893ca1c4p-12, -0x1.7a3877595c16p-12, -0x1.6e7aabf58a862p-12, -0x1.630dd98febefp-12, -0x1.57efb6b0b5fe3p-12, -0x1.4d1e2098f725fp-12, -0x1.42972467c28d8p-12, -0x1.3858fbb202db8p-12, -0x1.2e61feb782d22p-12, -0x1.24b092535ea8dp-12, -0x1.1b431964d3b8dp-12, -0x1.1217efba672a7p-12, -0x1.092d705911c22p-12, -0x1.0082037a340c8p-12, -0x1.f0285b067f11fp-13, -0x1.dfc52d8d4fb8fp-13, -0x1.cfd80ce756961p-13, -0x1.c05ea17c61515p-13, -0x1.b1567e028bb42p-13, -0x1.a2bcf959cfb55p-13, -0x1.948f2408f5718p-13, -0x1.86c9dcd509c98p-13, -0x1.7969f847b7f41p-13, -0x1.6c6c68ae76ae5p-13, -0x1.5fce5938a5e56p-13, -0x1.538d37dea4eddp-13, -0x1.47a6aefe11b6fp-13, -0x1.3c189228509f6p-13, -0x1.30e0c4cdc091bp-13, -0x1.25fd23e7e20f1p-13, -0x1.1b6b7a66a879fp-13, -0x1.112983d0b1215p-13, -0x1.0734fc5bdce4p-13, -0x1.fb17744c83f4fp-14, -0x1.e8578cd828dcep-14, -0x1.d626d39b4a35ap-14, -0x1.c482428dd949fp-14, -0x1.b366f9a668352p-14, -0x1.a2d1edb658fafp-14, -0x1.92bfb45c10541p-14, -0x1.832c88993420dp-14, -0x1.74147e1650d9p-14, -0x1.6573bac7e6764p-14, -0x1.5746949babc4ap-14, -0x1.498994faf9419p-14, -0x1.3c397c43995f1p-14, -0x1.2f5350ec9e79fp-14, -0x1.22d469c1d8263p-14, -0x1.16ba5f9072583p-14, -0x1.0b02e75c20cbap-14, -0x1.ff574da983ffcp-15, -0x1.e9642bb3ee8f2p-15, -0x1.d426ffc2581f3p-15, -0x1.bf9a250bea777p-15, -0x1.abb8396d10b98p-15, -0x1.987c4aa15aa0bp-15, -0x1.85e1fd1aafe14p-15, -0x1.73e56e3122d11p-15, -0x1.6282e6c2edb52p-15, -0x1.51b68a2d11776p-15, -0x1.417c2759b1bd9p-15, -0x1.31cf4d28a54b7p-15, -0x1.22ab9495317b8p-15, -0x1.140cd792b0a1dp-15, -0x1.05ef112a0b978p-15, -0x1.f09c165ff6cc4p-16, -0x1.d64aa3fb83096p-16, -0x1.bce1509c28b5dp-16, -0x1.a4592129d370cp-16, -0x1.8cacc5933ca66p-16, -0x1.75d7af975463bp-16, -0x1.5fd4e0312995bp-16, -0x1.4a9e4fa842097p-16, -0x1.362d35feb1b1fp-16, -0x1.227ad104ece24p-16, -0x1.0f80f68073d46p-16, -0x1.fa74126a61b9bp-17, -0x1.d7416d410bdcfp-17, -0x1.b55fbd0f6ed02p-17, -0x1.94c56b42cbefap-17, -0x1.7569efcad0845p-17, -0x1.5745826d2ef9p-17, -0x1.3a503218ac909p-17, -0x1.1e8121c38f703p-17, -0x1.03cece30fef65p-17, -0x1.d460491197f93p-18, -0x1.a3399f3c0e509p-18, -0x1.7417a43bdd2d6p-18, -0x1.46e4a0ef4078bp-18, -0x1.1b8a69f5c5455p-18, -0x1.e3f2e7940c6b7p-19, -0x1.9456a8921af08p-19, -0x1.483a0a7370e77p-19, -0x1.ff1a68377a388p-20, -0x1.7460587794d0dp-20, -0x1.dfe93950b430cp-21, -0x1.c631b3e6825b2p-22, 0x1.c4aea44a67b9p-26, 0x1.e86f7b139bf4ap-22, 0x1.cf8dee9bbb62dp-21, 0x1.50532020bd17bp-20, 0x1.b3feae6c65e03p-20, 0x1.097ebaa12ef51p-19, 0x1.36b9cb14e90c9p-19, 0x1.61bb69b9fff5p-19, 0x1.8a8b02ae5bd8ap-19, 0x1.b1320aa82e913p-19, 0x1.d5bfdfc789bafp-19, 0x1.f848474078a9ep-19, 0x1.0c6ef77f8ea1bp-18, 0x1.1bc883ef661e5p-18, 0x1.2a3b05449df2dp-18, 0x1.37d523bb5669cp-18, 0x1.44a4db2b3df5p-18, 0x1.50afaf8e7de5ap-18, 0x1.5bf359eeb2376p-18, 0x1.666eceb9d8b91p-18, 0x1.702860937697fp-18, 0x1.792af3164efa6p-18, 0x1.817f519924c9ap-18, 0x1.8929da667a7d8p-18, 0x1.902ddd92462fdp-18, 0x1.96913bae72dc5p-18, 0x1.9c5c9c0961a37p-18, 0x1.a1999d55eda99p-18, 0x1.a6514b91668b2p-18, 0x1.aa8b728c1c3b4p-18, 0x1.ae4e729d87403p-18, 0x1.b19f4887bd5e7p-18, 0x1.b481b8a4a574dp-18, 0x1.b6f8c6070cbd6p-18, 0x1.b907a2381a566p-18, 0x1.bab2ac45ef4dcp-18, 0x1.bbff34ebd525ap-18, 0x1.bcf17e3348b7bp-18, 0x1.bd8b424ae493fp-18, 0x1.bdcdbb6abee6p-18, 0x1.bdbd803af313bp-18, 0x1.bd61d0ad45203p-18, 0x1.bcbea32afc57dp-18, 0x1.bbd3682216e53p-18, 0x1.baa1606954f06p-18, 0x1.b92ebff6f83ep-18, 0x1.b781b8c8f5049p-18, 0x1.b59b9eda6dec4p-18, 0x1.b37b12fc2f7fap-18, 0x1.b12098bcf089p-18, 0x1.ae8f6676c366ap-18, 0x1.abcbad71d6e7ep-18, 0x1.a8d96677033dbp-18, 0x1.a5bc1335604d6p-18, 0x1.a276ca7b4756bp-18, 0x1.9f0c3ad25f4b4p-18, 0x1.9b7ea84b24382p-18, 0x1.97cffdea935dbp-18, 0x1.9401b5601b2a7p-18, 0x1.9015251a23c6cp-18, 0x1.8c0b5dd941a4cp-18, 0x1.87e5c8725ed08p-18, 0x1.83a6c3e00c00dp-18, 0x1.7f518bee56789p-18, 0x1.7ae8ea6f9e785p-18, 0x1.766dea67762bp-18, 0x1.71e08474af755p-18, 0x1.6d426af8736d9p-18, 0x1.6897389800911p-18, 0x1.63e00cb739d9cp-18, 0x1.5f1bda0416267p-18, 0x1.5a4c31573053cp-18, 0x1.5573f693d492fp-18, 0x1.509380288d52dp-18, 0x1.4baa3363e7be9p-18, 0x1.46b927ccc0ce8p-18, 0x1.41c230c52ab15p-18, 0x1.3cc679f55218fp-18, 0x1.37c6927e1d3b4p-18, 0x1.32c30404c0d91p-18, 0x1.2dbcac1ac1c7ap-18, 0x1.28b4b2c1caa0bp-18, 0x1.23ac5b8fb761fp-18, 0x1.1ea4eaaabeeacp-18, 0x1.199ef52f53c35p-18, 0x1.149ba74dec539p-18, 0x1.0f9b87dcdfbdfp-18, 0x1.0a9f18c0f866bp-18, 0x1.05a6ac8099153p-18, 0x1.00b284397b188p-18, 0x1.f786126348c01p-19, 0x1.edb2039e5a4cdp-19, 0x1.e3ea6c5f54b87p-19, 0x1.da2fd1119c3e4p-19, 0x1.d080c782640f9p-19, 0x1.c6dcae7d3ae7fp-19, 0x1.bd46c2deb2794p-19, 0x1.b3c2d36b7ef35p-19, 0x1.aa51501228d4bp-19, 0x1.a0f3d9c16b9fcp-19, 0x1.97abb1144c001p-19, 0x1.8e7716e36d1d8p-19, 0x1.8555709b62aa3p-19, 0x1.7c47e0944185fp-19, 0x1.734f6f8463f79p-19, 0x1.6a6cd35d9569ep-19, 0x1.61a0a998d5ae3p-19, 0x1.58eb56b6e813ep-19, 0x1.504ce0cfbfd39p-19, 0x1.47c5255a4eebfp-19, 0x1.3f5441c791b02p-19, 0x1.36fabbfe7c953p-19, 0x1.2eb94ab1c0f4fp-19, 0x1.26909250b113ep-19, 0x1.1e8107b54235bp-19, 0x1.168af51145663p-19, 0x1.0eae8a2a034f7p-19, 0x1.06ebe60974877p-19, 0x1.fe863135ed6d2p-20, 0x1.ef68511524976p-20, 0x1.e07e5450d3dabp-20, 0x1.d1c8a37a52cdbp-20, 0x1.c347b7072450ep-20, 0x1.b4fbbb2d2160ep-20, 0x1.a6e43b76b2bc5p-20, 0x1.99004751d86eap-20, 0x1.8b508174927fbp-20, 0x1.7dd6904374417p-20, 0x1.70924225fbc61p-20, 0x1.63836dd577d7fp-20, 0x1.56a8ced42842p-20, 0x1.4a01e1c6f5e09p-20, 0x1.3d8f8ea923a03p-20, 0x1.3152838438118p-20, 0x1.254b00238802cp-20, 0x1.1978e51f1fb37p-20, 0x1.0ddbac7cad1ecp-20, 0x1.0272cae1c26fap-20, 0x1.ee7c1e8945a8fp-21, 0x1.d87a885a1c84ep-21, 0x1.c2e0c78d5ac88p-21, 0x1.adae261134d61p-21, 0x1.98e1d9e8c75bap-21, 0x1.847b71003fd28p-21, 0x1.707aa532ccc6p-21, 0x1.5cdf0e0bc945p-21, 0x1.49a81372a9811p-21, 0x1.36d5054359549p-21, 0x1.24652ed50a7a3p-21, 0x1.1257dfe172f9dp-21, 0x1.00ac709e958bep-21, 0x1.dec47db21263p-22, 0x1.bcf140f414bbbp-22, 0x1.9bddb528b1303p-22, 0x1.7b8849cb0ecf3p-22, 0x1.5bef54ff9e9dcp-22, 0x1.3d115a8459d1bp-22, 0x1.1eedaa89807efp-22, 0x1.0182bd702652bp-22, 0x1.c99ac38fb9b69p-23, 0x1.9197ab7b827c1p-23, 0x1.5afb6d2ab89d9p-23, 0x1.25c39ef63d4e7p-23, 0x1.e3d67facab468p-24, 0x1.7edcf9761147dp-24, 0x1.1c94bd339b11p-24, 0x1.79f04d4ecd967p-25, 0x1.800557b519016p-26, 0x1.6af50ce507706p-30, -0x1.483f9c6662561p-26, -0x1.4e79a0f62f038p-25, -0x1.f3cd060b460efp-25, -0x1.4a12e30ef1f74p-24, -0x1.97c4adafb9e94p-24, -0x1.e30478820236bp-24, -0x1.15ee6f19f1868p-23, -0x1.39283f4b5456ep-23, -0x1.5b3048aa79128p-23, -0x1.7c0ae900341b1p-23, -0x1.9bbe1ecbe60ebp-23, -0x1.ba4ed8ed64bcep-23, -0x1.d7c0cc9bce688p-23, -0x1.f41757f6152fep-23, -0x1.07aae0f9cbcb3p-22, -0x1.14bf980dd8cdbp-22, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.0207f4e1ca82cp-4, 0x1.02b7782ccd421p-4, 0x1.03de777e127d3p-4, 0x1.058069c2a68c1p-4, 0x1.07a1bc59fe983p-4, 0x1.0a4784b59af8bp-4, 0x1.0d77336cf88p-4, 0x1.11364d10a3165p-4, 0x1.158a2adebc8e9p-4, 0x1.1a77c447f3b53p-4, 0x1.2003818ea3c9fp-4, 0x1.26311769e5318p-4, 0x1.2d036b5494f85p-4, 0x1.347c7ffc1d77ep-4, 0x1.3c9d691878faep-4, 0x1.456645d7090bcp-4, 0x1.4ed640ee6dac1p-4, 0x1.58eb956acf893p-4, 0x1.63a397474294fp-4, 0x1.6efabef7ddd06p-4, 0x1.7aecb71e1e306p-4, 0x1.87746bbb52737p-4, 0x1.948c1a508cf38p-4, 0x1.a22d6276d663p-4, 0x1.b05156937c71fp-4, 0x1.bef08c62b2431p-4, 0x1.ce032d253976fp-4, 0x1.dd81054d2c96fp-4, 0x1.ed619391976a9p-4, 0x1.fd9c175986766p-4, 0x1.0713cf3aa5fd5p-3, 0x1.0f7d891091184p-3, 0x1.1806a1a775c1ap-3, 0x1.20aa7b1b3e7f2p-3, 0x1.2964769662d02p-3, 0x1.322ff96136b0ep-3, 0x1.3b08719579e86p-3, 0x1.43e95a76a86fap-3, 0x1.4cce406fbf60fp-3, 0x1.55b2c4b73d3bbp-3, 0x1.5e92a09a77d67p-3, 0x1.6769a8719c688p-3, 0x1.7033ce3e133abp-3, 0x1.78ed23f55eae9p-3, 0x1.8191dd7afec2cp-3, 0x1.8a1e524c4843dp-3, 0x1.928efee1807c6p-3, 0x1.9ae085c7f19d4p-3, 0x1.a30fb078ffa44p-3, 0x1.ab196ff286a31p-3, 0x1.b2fadd15000a3p-3, 0x1.bab138cc09a7p-3, 0x1.c239ec0616becp-3, 0x1.c992877ff86c1p-3, 0x1.d0b8c368eb469p-3, 0x1.d7aa7ee3c886ap-3, 0x1.de65bf69cbfaap-3, 0x1.e4e8b0131fed4p-3, 0x1.eb31a0c94a1f6p-3, 0x1.f13f05672e0cdp-3, 0x1.f70f74ca37482p-3, 0x1.fca1a7d7d367ap-3, 0x1.00fa3c3d194f5p-2, 0x1.0383704b79b72p-2, 0x1.05ebfc810443p-2, 0x1.08337c3774bd9p-2, 0x1.0a599930ee807p-2, 0x1.0c5e0b116d31bp-2, 0x1.0e4096d9a59fbp-2, 0x1.10010e63dff1fp-2, 0x1.119f4fe32f77p-2, 0x1.131b456567ef4p-2, 0x1.1474e4580044dp-2, 0x1.15ac2d101778p-2, 0x1.16c12a55b06b5p-2, 0x1.17b3f0f231c0fp-2, 0x1.18849f422a3afp-2, 0x1.19335cca49574p-2, 0x1.19c059cf80b8cp-2, 0x1.1a2bcef22c802p-2, 0x1.1a75fccc29f31p-2, 0x1.1a9f2b91b942dp-2, 0x1.1aa7aab5011aap-2, 0x1.1a8fd08c1a741p-2, 0x1.1a57f9f96e97ap-2, 0x1.1a008a1654d2ep-2, 0x1.1989e9dfbe2f1p-2, 0x1.18f487e4d76a3p-2, 0x1.1840d7f77d211p-2, 0x1.176f52de66058p-2, 0x1.16807608f0364p-2, 0x1.1574c344727f6p-2, 0x1.144cc0730451fp-2, 0x1.1308f743a987ep-2, 0x1.11a9f4ebda7c3p-2, 0x1.103049e253598p-2, 0x1.0e9c899b30575p-2, 0x1.0cef4a4548d37p-2, 0x1.0b292488cbe9dp-2, 0x1.094ab3471a975p-2, 0x1.0754935be831cp-2, 0x1.0547635f9c5fp-2, 0x1.0323c36b00a99p-2, 0x1.00ea54dc412bbp-2, 0x1.fd37743a896dep-3, 0x1.f8712cd6ce0f2p-3, 0x1.f3831b4133b0ap-3, 0x1.ee6e87fbfbfeep-3, 0x1.e934bbefed8d9p-3, 0x1.e3d7000786be3p-3, 0x1.de569ccd51fa4p-3, 0x1.d8b4da0d64eccp-3, 0x1.d2f2fe7a2fadcp-3, 0x1.cd124f54906f9p-3, 0x1.c71410174dfcbp-3, 0x1.c0f9822601d11p-3, 0x1.bac3e47f7c5e3p-3, 0x1.b4747373a6fd8p-3, 0x1.ae0c685cf98f9p-3, 0x1.a78cf95d7bdc7p-3, 0x1.a0f7591f5b828p-3, 0x1.9a4cb6991bb8bp-3, 0x1.938e3cd5599f7p-3, 0x1.8cbd12be243d3p-3, 0x1.85da5aebe3c1dp-3, 0x1.7ee73377c7446p-3, 0x1.77e4b5d1b7395p-3, 0x1.70d3f699ba285p-3, 0x1.69b6057cc2d5cp-3, 0x1.628bed14daadfp-3, 0x1.5b56b2cc989dcp-3, 0x1.541756c5d01c3p-3, 0x1.4cced3c36972p-3, 0x1.457e1f164e226p-3, 0x1.3e26288d5458ep-3, 0x1.36c7da680c54ap-3, 0x1.2f64194c6b6c9p-3, 0x1.27fbc43f1e222p-3, 0x1.208fb49e892d3p-3, 0x1.1920be20459ccp-3, 0x1.11afaed109f82p-3, 0x1.0a3d4f16e9829p-3, 0x1.02ca61b5be878p-3, 0x1.f6af47ab66bep-4, 0x1.e7cb9a1796c1bp-4, 0x1.d8eb1ec88a24bp-4, 0x1.ca0f2edd9ecdap-4, 0x1.bb391898b8d56p-4, 0x1.ac6a1f7d12dd2p-4, 0x1.9da37c70fa0f6p-4, 0x1.8ee65de237df4p-4, 0x1.8033e7ecee3d5p-4, 0x1.718d3484d3f52p-4, 0x1.62f353a070735p-4, 0x1.54674b664acf3p-4, 0x1.45ea185bc5ba3p-4, 0x1.377cad9580ed3p-4, 0x1.291ff4e91093ep-4, 0x1.1ad4cf1fe0502p-4, 0x1.0c9c142b12dd3p-4, 0x1.fced26b068e85p-5, 0x1.e0ca270d3fd96p-5, 0x1.c4d0a6bac9a3p-5, 0x1.a902130327af1p-5, 0x1.8d5fc9998effp-5, 0x1.71eb190793d6cp-5, 0x1.56a5411a74b3ep-5, 0x1.3b8f73502378ep-5, 0x1.20aad343d427dp-5, 0x1.05f87719dbb05p-5, 0x1.d6f2cfd567cb1p-6, 0x1.a25d4459d4661p-6, 0x1.6e322c3ba56dep-6, 0x1.3a735051b4382p-6, 0x1.0722629aa8d98p-6, 0x1.a881fe0a4c267p-7, 0x1.43a15868d5ccep-7, 0x1.bf4b7104dcdadp-8, 0x1.f2476bb477eabp-9, 0x1.a685614cc3a3p-11, -0x1.1b5191711f5fbp-9, -0x1.4e440c3b9dba6p-8, -0x1.067e62f30656p-7, -0x1.64e76f5dea4f1p-7, -0x1.c25b3f5bd8fb2p-7, -0x1.0f6c0295e59dbp-6, -0x1.3d2e080f5b8dap-6, -0x1.6a72e5b8cf37ap-6, -0x1.9739de98d0123p-6, -0x1.c3824294ffdc8p-6, -0x1.ef4b6dee10bbbp-6, -0x1.0d4a646069108p-5, -0x1.22aee34609089p-5, -0x1.37d2f2ddb17dbp-5, -0x1.4cb6579b65e17p-5, -0x1.6158dafba28f6p-5, -0x1.75ba4b4feaf07p-5, -0x1.89da7b8db95dp-5, -0x1.9db9431fb2211p-5, -0x1.b1567db914029p-5, -0x1.c4b20b2b615b2p-5, -0x1.d7cbcf3e221c8p-5, -0x1.eaa3b188c242fp-5, -0x1.fd399d4e7a6acp-5, -0x1.07c6c0ae19b3dp-4, -0x1.10cfa7f429cffp-4, -0x1.19b77f3a36b03p-4, -0x1.227e42d8584d8p-4, -0x1.2b23f0b09331fp-4, -0x1.33a888224845p-4, -0x1.3c0c09fe73798p-4, -0x1.444e787cb2821p-4, -0x1.4c6fd7310848bp-4, -0x1.54702b025160fp-4, -0x1.5c4f7a217212ap-4, -0x1.640dcc0120434p-4, -0x1.6bab294e4da1fp-4, -0x1.73279be926223p-4, -0x1.7a832ede9f6b1p-4, -0x1.81bdee628b56cp-4, -0x1.88d7e7ca29764p-4, -0x1.8fd129872e72ep-4, -0x1.96a9c32339634p-4, -0x1.9d61c53bb2ae2p-4, -0x1.a3f9417e0c632p-4, -0x1.aa704aa4602a2p-4, -0x1.b0c6f47250ee6p-4, -0x1.b6fd53b24da4dp-4, -0x1.bd137e3308253p-4, -0x1.c3098ac53b2d7p-4, -0x1.c8df91399c605p-4, -0x1.ce95aa5f08514p-4, -0x1.d42bf000e1953p-4, -0x1.d9a27ce58bf95p-4, -0x1.def96ccd1e422p-4, -0x1.e430dc701af5p-4, -0x1.e948e97e5de7bp-4, -0x1.ee41b29e080ep-4, -0x1.f31b576a85aa9p-4, -0x1.f7d5f873a292bp-4, -0x1.fc71b73caac27p-4, -0x1.00775b1dc031ap-3, -0x1.02a68c6be295bp-3, -0x1.04c681b4fd795p-3, -0x1.06d74d9d4dbd5p-3, -0x1.08d9034095784p-3, -0x1.0acbb631a536fp-3, -0x1.0caf7a79d486ep-3, -0x1.0e84649878be1p-3, -0x1.104a898254b9ap-3, -0x1.1201fea0fa895p-3, -0x1.13aad9d21fe97p-3, -0x1.15453166f2bcap-3, -0x1.16d11c23507f2p-3, -0x1.184eb13cfcd85p-3, -0x1.19be085ac7761p-3, -0x1.1b1f3993a131dp-3, -0x1.1c725d6da1605p-3, -0x1.1db78cdd02553p-3, -0x1.1eeee14308cb1p-3, -0x1.2018746cda944p-3, -0x1.2134609248fbap-3, -0x1.2242c054898dbp-3, -0x1.2343aebcde2bp-3, -0x1.2437473b2d45ep-3, -0x1.251da5a487a6bp-3, -0x1.25f6e631a01ddp-3, -0x1.26c3257d34413p-3, -0x1.2782808262b13p-3, -0x1.2835149aeee4ep-3, -0x1.28daff7d7ecdap-3, -0x1.29745f3bbc556p-3, -0x1.2a0152407276ep-3, -0x1.2a81f74d95395p-3, -0x1.2af66d7a3f1e5p-3, -0x1.2b5ed4309f9b6p-3, -0x1.2bbb4b2bd71adp-3, -0x1.2c0bf275cf77fp-3, -0x1.2c50ea64fe7dbp-3, -0x1.2c8a539a223dp-3, -0x1.2cb84efdef506p-3, -0x1.2cdafdbeb4912p-3, -0x1.2cf2814df35d8p-3, -0x1.2cfefb5dec6f6p-3, -0x1.2d008ddf2bd1bp-3, -0x1.2cf75afdfc34bp-3, -0x1.2ce3851fe30ebp-3, -0x1.2cc52ee1079f8p-3, -0x1.2c9c7b119ad5cp-3, -0x1.2c698cb332e3bp-3, -0x1.2c2c86f627b49p-3, -0x1.2be58d36e3f34p-3, -0x1.2b94c2fb31aadp-3, -0x1.2b3a4bef88a96p-3, -0x1.2ad64be450928p-3, -0x1.2a68e6cb29fbp-3, -0x1.29f240b42a52fp-3, -0x1.29727dcb1ed97p-3, -0x1.28e9c254c8869p-3, -0x1.285832ac1e1dcp-3, -0x1.27bdf33f84934p-3, -0x1.271b288e0f5c4p-3, -0x1.266ff724bfdd5p-3, -0x1.25bc839bc77d5p-3, -0x1.2500f293c8d62p-3, -0x1.243d68b31b89cp-3, -0x1.23720aa319c3ap-3, -0x1.229efd0d6954ep-3, -0x1.21c464994bd94p-3, -0x1.20e265e8f7a86p-3, -0x1.1ff92596ed41ep-3, -0x1.1f08c8335baep-3, -0x1.1e11724183fcap-3, -0x1.1d13483525907p-3, -0x1.1c0e6e6ff1737p-3, -0x1.1b03093f0676dp-3, -0x1.19f13cd870d85p-3, -0x1.18d92d58b4756p-3, -0x1.17bafec0618cp-3, -0x1.1696d4f1ac203p-3, -0x1.156cd3ae1416bp-3, -0x1.143d1e940e319p-3, -0x1.1307d91cbdc34p-3, -0x1.11cd2699b4898p-3, -0x1.108d2a32bed8fp-3, -0x1.0f4806e3b6d25p-3, -0x1.0dfddf7a65aa5p-3, -0x1.0caed6946dbd6p-3, -0x1.0b5b0e9d41d53p-3, -0x1.0a02a9cc2539dp-3, -0x1.08a5ca2237325p-3, -0x1.074491688e5acp-3, -0x1.05df212e5b033p-3, -0x1.04759ac714fe8p-3, -0x1.03081f48bbe9ap-3, -0x1.0196cf8a1bd92p-3, -0x1.0021cc21239d9p-3, -0x1.fd526ac2896bep-4, -0x1.fa5a56b3c0e5bp-4, -0x1.f75b9ba981135p-4, -0x1.f45678a9427dbp-4, -0x1.f14b2c277e2a8p-4, -0x1.ee39f404f171p-4, -0x1.eb230d8bf6eb2p-4, -0x1.e806b56df2c03p-4, -0x1.e4e527c0e3e1ep-4, -0x1.e1be9ffd0198fp-4, -0x1.de9358fa8188fp-4, -0x1.db638cef5db35p-4, -0x1.d82f756d5488dp-4, -0x1.d4f74b5fe8faap-4, -0x1.d1bb470a8073ep-4, -0x1.ce7ba006a5c47p-4, -0x1.cb388d424f90bp-4, -0x1.c7f244fe547e7p-4, -0x1.c4a8fccce82dcp-4, -0x1.c15ce99037dc4p-4, -0x1.be0e3f791fa97p-4, -0x1.babd3205ea693p-4, -0x1.b769f40140f6p-4, -0x1.b414b78115fe6p-4, -0x1.b0bdade5bc0afp-4, -0x1.ad6507d90d1c7p-4, -0x1.aa0af54d9cd72p-4, -0x1.a6afa57e13257p-4, -0x1.a35346ec8fa5bp-4, -0x1.9ff60762293dbp-4, -0x1.9c9813ee7bc1cp-4, -0x1.993998e751ed9p-4, -0x1.95dac1e85c089p-4, -0x1.927bb9d30255ap-4, -0x1.8f1caace46d09p-4, -0x1.8bbdbe46b883cp-4, -0x1.885f1cee7eca7p-4, -0x1.8500eebd72a5ep-4, -0x1.81a35af14ca7cp-4, -0x1.7e46880de3ecfp-4, -0x1.7aea9bdd7dcf1p-4, -0x1.778fbb713176ap-4, -0x1.74360b2158182p-4, -0x1.70ddae8e10b7ep-4, -0x1.6d86c89fd14cep-4, -0x1.6a317b88094ep-4, -0x1.66dde8c1d3e76p-4, -0x1.638c3112b59f4p-4, -0x1.603c748b69fd4p-4, -0x1.5ceed288c1064p-4, -0x1.59a369b48963cp-4, -0x1.565a580685ccfp-4, -0x1.5313bac56f1a5p-4, -0x1.4fcfae8806e33p-4, -0x1.4c8e4f3630c9ep-4, -0x1.494fb80a19ae8p-4, -0x1.461403916b8bcp-4, -0x1.42db4bae8b5adp-4, -0x1.3fa5a999de2e3p-4, -0x1.3c7335e31c8cp-4, -0x1.39440872ae0d1p-4, -0x1.3618388b0c056p-4, -0x1.32efdcca30509p-4, -0x1.2fcb0b2b0c08p-4, -0x1.2ca9d90705706p-4, -0x1.298c5b177dfe6p-4, -0x1.2672a5775e29ap-4, -0x1.235ccba4ae446p-4, -0x1.204ae0822d09bp-4, -0x1.1d3cf658f579bp-4, -0x1.1a331eda234dep-4, -0x1.172d6b2084445p-4, -0x1.142bebb24911ap-4, -0x1.112eb082bef13p-4, -0x1.0e35c8f40b51ep-4, -0x1.0b4143d8eee67p-4, -0x1.08512f7688e2dp-4, -0x1.05659986227e1p-4, -0x1.027e8f36fb55ap-4, -0x1.ff383a6035d56p-5, -0x1.f97c9f244222p-5, -0x1.f3ca63f23fbc2p-5, -0x1.ee219efce3722p-5, -0x1.e88265752477dp-5, -0x1.e2eccb8dfa1dep-5, -0x1.dd60e48014f76p-5, -0x1.d7dec28da0ca5p-5, -0x1.d266770605181p-5, -0x1.ccf81249a4f21p-5, -0x1.c793a3cda19eap-5, -0x1.c2393a1fa6bddp-5, -0x1.bce8e2e9a90fdp-5, -0x1.b7a2aaf5aa27dp-5, -0x1.b2669e31810c7p-5, -0x1.ad34c7b29b746p-5, -0x1.a80d31b9c287dp-5, -0x1.a2efe5b6d8984p-5, -0x1.9ddcec4c96249p-5, -0x1.98d44d5449531p-5, -0x1.93d60fe18bec2p-5, -0x1.8ee23a45f51b7p-5, -0x1.89f8d214d23b4p-5, -0x1.8519dc26d56bp-5, -0x1.80455c9db6c79p-5, -0x1.7b7b56e7e13fep-5, -0x1.76bbcdc412645p-5, -0x1.7206c344f2d3cp-5, -0x1.6d5c38d4abd6ap-5, -0x1.68bc2f3879d08p-5, -0x1.6426a6943422bp-5, -0x1.5f9b9e6dd3a75p-5, -0x1.5b1b15b0f05fcp-5, -0x1.56a50ab2381a5p-5, -0x1.52397b32dd59fp-5, -0x1.4dd864640043p-5, -0x1.4981c2ea12f4cp-5, -0x1.453592e030de8p-5, -0x1.40f3cfdb72e9dp-5, -0x1.3cbc74ee3a7f4p-5, -0x1.388f7cab703a4p-5, -0x1.346ce129c2f6ep-5, -0x1.30549c06e0311p-5, -0x1.2c46a66a92b39p-5, -0x1.2842f909e850ep-5, -0x1.24498c2a4b4bfp-5, -0x1.205a57a49131ep-5, -0x1.1c7552e8019cdp-5, -0x1.189a74fd55eccp-5, -0x1.14c9b489a9dfdp-5, -0x1.110307d16faebp-5, -0x1.0d4664bb4803dp-5, -0x1.0993c0d2e5e89p-5, -0x1.05eb114bd2543p-5, -0x1.024c4b043c653p-5, -0x1.fd6ec50f5fd6ap-6, -0x1.f658982392f66p-6, -0x1.ef55f721bfe7cp-6, -0x1.e866c9514c8d2p-6, -0x1.e18af5697531bp-6, -0x1.dac261967e813p-6, -0x1.d40cf37ea4a67p-6, -0x1.cd6a90471227ap-6, -0x1.c6db1c98bd6ccp-6, -0x1.c05e7ca538341p-6, -0x1.b9f4942b64481p-6, -0x1.b39d467c0c10cp-6, -0x1.ad58767e85b21p-6, -0x1.a72606b51405ap-6, -0x1.a105d94175513p-6, -0x1.9af7cfe91cd84p-6, -0x1.94fbcc1983a5ap-6, -0x1.8f11aeec497c5p-6, -0x1.8939592b5897dp-6, -0x1.8372ab54f0182p-6, -0x1.7dbd859f9518p-6, -0x1.7819c7fdf9e9bp-6, -0x1.72875222d036ap-6, -0x1.6d060384773ccp-6, -0x1.6795bb60ba3a3p-6, -0x1.623658c057f65p-6, -0x1.5ce7ba7a9a7a1p-6, -0x1.57a9bf38c0564p-6, -0x1.527c457955073p-6, -0x1.4d5f2b938cdc8p-6, -0x1.48524fba7c496p-6, -0x1.4355900046c3bp-6, -0x1.3e68ca593230dp-6, -0x1.398bdc9ebe8bbp-6, -0x1.34bea4929135dp-6, -0x1.3000ffe15aa6ep-6, -0x1.2b52cc25b3abp-6, -0x1.26b3e6eaddc68p-6, -0x1.22242daf736b2p-6, -0x1.1da37de817787p-6, -0x1.1931b501fb382p-6, -0x1.14ceb0656892fp-6, -0x1.107a4d7833a4ep-6, -0x1.0c3469a01ef25p-6, -0x1.07fce2452f6ddp-6, -0x1.03d394d3f26b9p-6, -0x1.ff70bd7f7eb6dp-7, -0x1.f7563b098ae06p-7, -0x1.ef575d546f13dp-7, -0x1.e773df88962bep-7, -0x1.dfab7cec6b0edp-7, -0x1.d7fdf0e84153p-7, -0x1.d06af70a015f9p-7, -0x1.c8f24b08dfcebp-7, -0x1.c193a8c8bef7p-7, -0x1.ba4ecc5dbee5fp-7, -0x1.b323720f7bb9fp-7, -0x1.ac11565c5b774p-7, -0x1.a51835fc984f4p-7, -0x1.9e37cde554c1dp-7, -0x1.976fdb4b760abp-7, -0x1.90c01ba674b4fp-7, -0x1.8a284cb33b413p-7, -0x1.83a82c769ca6ep-7, -0x1.7d3f79400e62bp-7, -0x1.76edf1ac0169fp-7, -0x1.70b354a649304p-7, -0x1.6a8f616c66878p-7, -0x1.6481d78fb389bp-7, -0x1.5e8a76f790eb2p-7, -0x1.58a8ffe364daap-7, -0x1.52dd32ec9b4aap-7, -0x1.4d26d10872274p-7, -0x1.47859b89d8f85p-7, -0x1.41f9542330914p-7, -0x1.3c81bce7d1e4cp-7, -0x1.371e984db4ef6p-7, -0x1.31cfa92f0189dp-7, -0x1.2c94b2cb6c03fp-7, -0x1.276d78c9a0cf2p-7, -0x1.2259bf387fe35p-7, -0x1.1d594a9060288p-7, -0x1.186bdfb444869p-7, -0x1.139143f2e5bf4p-7, -0x1.0ec93d07cf24bp-7, -0x1.0a13911c4efa6p-7, -0x1.057006c87675cp-7, -0x1.00de6513e3b36p-7, -0x1.f8bce6ed17a0ap-8, -0x1.efdff3b31aeacp-8, -0x1.e725812fadd1ap-8, -0x1.de8d20fdbdf8ap-8, -0x1.d616659e71a6bp-8, -0x1.cdc0e27a299a8p-8, -0x1.c58c2be19accdp-8, -0x1.bd77d70e83fd1p-8, -0x1.b5837a24b7bp-8, -0x1.adaeac32a2bb4p-8, -0x1.a5f9053219776p-8, -0x1.9e621e08d0804p-8, -0x1.96e99088d456p-8, -0x1.8f8ef770d2437p-8, -0x1.8851ee6c7f1b8p-8, -0x1.81321214b50f2p-8, -0x1.7a2effefaf598p-8, -0x1.734856711b238p-8, -0x1.6c7db4fa1f1d7p-8, -0x1.65cebbd9240b6p-8, -0x1.5f3b0c49caeb6p-8, -0x1.58c24874bf5c1p-8, -0x1.5264136f5680bp-8, -0x1.4c20113b41098p-8, -0x1.45f5e6c62ee05p-8, -0x1.3fe539e97f38bp-8, -0x1.39edb16985f18p-8, -0x1.340ef4f51fc6bp-8, -0x1.2e48ad250ec83p-8, -0x1.289a837b2a9f3p-8, -0x1.23042261dadadp-8, -0x1.1d85352b414c7p-8, -0x1.181d68107818p-8, -0x1.12cc683096106p-8, -0x1.0d91e390007c1p-8, -0x1.086d89174c8a3p-8, -0x1.035f0892529a3p-8, -0x1.fccc255e4d8c2p-9, -0x1.f304b1fa11f5p-9, -0x1.e9671bd69ffcdp-9, -0x1.dff2c990e6e0dp-9, -0x1.d6a723816680ep-9, -0x1.cd8393b9eb88ep-9, -0x1.c48786034b09cp-9, -0x1.bbb267da632cbp-9, -0x1.b303a86e11586p-9, -0x1.aa7ab89c87e53p-9, -0x1.a2170af0414d7p-9, -0x1.99d8139df2621p-9, -0x1.91bd48815df43p-9, -0x1.89c6211ab02abp-9, -0x1.81f2168b8c27cp-9, -0x1.7a40a3941f4ffp-9, -0x1.72b1449093b44p-9, -0x1.6b437775a53f2p-9, -0x1.63f6bbce21a19p-9, -0x1.5cca92b79915cp-9, -0x1.55be7edf71a5cp-9, -0x1.4ed2047feb3f5p-9, -0x1.4804a95cb450bp-9, -0x1.4155f4c02e099p-9, -0x1.3ac56f781a4cfp-9, -0x1.3452a3d24762ep-9, -0x1.2dfd1d99d0d8ap-9, -0x1.27c46a13b53dap-9, -0x1.21a817fbaede8p-9, -0x1.1ba7b780eab8cp-9, -0x1.15c2da42d8c41p-9, -0x1.0ff9134dbaedep-9, -0x1.0a49f717a92d3p-9, -0x1.04b51b7d38b32p-9, -0x1.fe742f7c5ddc5p-10, -0x1.f3b108f46ebb7p-10, -0x1.e91ff75b70b86p-10, -0x1.dec0315cd6392p-10, -0x1.d490f05005b62p-10, -0x1.ca91703269c33p-10, -0x1.c0c0ef9fb5badp-10, -0x1.b71eafcc72c07p-10, -0x1.ada9f47ec044cp-10, -0x1.a462040843685p-10, -0x1.9b46273f41922p-10, -0x1.9255a9787a6d7p-10, -0x1.898fd87fc226ap-10, -0x1.80f4049287acp-10, -0x1.7881805846624p-10, -0x1.7037a0dce61d9p-10, -0x1.6815bd89d6d9p-10, -0x1.601b301f6a59cp-10, -0x1.584754af03befp-10, -0x1.5099899439f9ap-10, -0x1.49112f6edc93ep-10, -0x1.41ada91bf221ap-10, -0x1.3a6e5bafa8c3p-10, -0x1.3352ae6f1cfebp-10, -0x1.2c5a0aca1d3b1p-10, -0x1.2583dc54d4729p-10, -0x1.1ecf90c1bbd64p-10, -0x1.183c97db01f47p-10, -0x1.11ca637d157adp-10, -0x1.0b78678fb12a1p-10, -0x1.05461a0047db7p-10, -0x1.fe65e5783047ap-11, -0x1.f27cd752cd1c6p-11, -0x1.e6d00144e719dp-11, -0x1.db5e5edd63bfdp-11, -0x1.d026ef7bc4427p-11, -0x1.c528b64264d97p-11, -0x1.ba62ba0c38004p-11, -0x1.afd4056169227p-11, -0x1.a57ba669cba85p-11, -0x1.9b58aee38c1c5p-11, -0x1.916a34174b489p-11, -0x1.87af4ecc98cedp-11, -0x1.7e271b3f5d1dcp-11, -0x1.74d0b91406cc2p-11, -0x1.6bab4b4dc1eb8p-11, -0x1.62b5f842adb86p-11, -0x1.59efe990f8a5cp-11, -0x1.51584c154a5abp-11, -0x1.48ee4fdde54fdp-11, -0x1.40b12823179d5p-11, -0x1.38a00b3a7476ep-11, -0x1.30ba328d9e169p-11, -0x1.28feda90811cap-11, -0x1.216d42b564de9p-11, -0x1.1a04ad655e01ep-11, -0x1.12c45ff42391ep-11, -0x1.0baba29751d5cp-11, -0x1.04b9c05c53f3dp-11, -0x1.fbdc0e3dab2c2p-12, -0x1.ee8f8efdcfffcp-12, -0x1.e18ca9b096d7bp-12, -0x1.d4d20a7005c7p-12, -0x1.c85e62a7fdc89p-12, -0x1.bc306902a470ap-12, -0x1.b046d957441ebp-12, -0x1.a4a07495ecd2ap-12, -0x1.993c00b89ebdp-12, -0x1.8e1848af4d42p-12, -0x1.83341c4f04132p-12, -0x1.788e5041d5256p-12, -0x1.6e25bdf4f895ep-12, -0x1.63f94386673fap-12, -0x1.5a07c3b82ba37p-12, -0x1.505025db2c5d4p-12, -0x1.46d155c17f0b9p-12, -0x1.3d8a43ad1c5e9p-12, -0x1.3479e4416120ep-12, -0x1.2b9f30711062fp-12, -0x1.22f9257104f5p-12, -0x1.1a86c4a6c1e2dp-12, -0x1.1247139b0d68cp-12, -0x1.0a391be874607p-12, -0x1.025beb2e9058ep-12, -0x1.f55d260694f22p-13, -0x1.e66051c4a43b1p-13, -0x1.d7bf8c4061e7ap-13, -0x1.c9790fb7cb5d1p-13, -0x1.bb8b1de0030d3p-13, -0x1.adf3ffccfce2ap-13, -0x1.a0b205d357fbcp-13, -0x1.93c3876e164a2p-13, -0x1.8726e3227d1ep-13, -0x1.7ada7e6a7e555p-13, -0x1.6edcc59395607p-13, -0x1.632c2baa6730cp-13, -0x1.57c72a5e713ap-13, -0x1.4cac41eacfcb7p-13, -0x1.41d9f8faf894ep-13, -0x1.374edc9572322p-13, -0x1.2d09800153f26p-13, -0x1.23087cae55584p-13, -0x1.194a721f60b7ap-13, -0x1.0fce05d10b95dp-13, -0x1.0691e323b17b8p-13, -0x1.fb2976892c5b2p-14, -0x1.e9aa8a2ebe88p-14, -0x1.d8a47a40ea7b8p-14, -0x1.c814cadcd7f57p-14, -0x1.b7f90b0ace6f1p-14, -0x1.a84ed49413e2dp-14, -0x1.9913cbd8b456ap-14, -0x1.8a459fa089f82p-14, -0x1.7be208fc1598dp-14, -0x1.6de6cb195f18cp-14, -0x1.6051b3189d9c6p-14, -0x1.532097e5c987p-14, -0x1.46515a15557ffp-14, -0x1.39e1e3bcfdb05p-14, -0x1.2dd0284a163b7p-14, -0x1.221a24639a1dep-14, -0x1.16bdddc0c8e95p-14, -0x1.0bb963040ab1ap-14, -0x1.010acb9f04d67p-14, -0x1.ed606f5003cb6p-15, -0x1.d94f9f734946fp-15, -0x1.c5df89a19833p-15, -0x1.b30ca057c65d4p-15, -0x1.a0d3664e4a99ap-15, -0x1.8f306e41b87adp-15, -0x1.7e205aacdd241p-15, -0x1.6d9fdd869db7p-15, -0x1.5dabb8054ffefp-15, -0x1.4e40ba6514535p-15, -0x1.3f5bc3a5a8218p-15, -0x1.30f9c152127b1p-15, -0x1.2317af447f89dp-15, -0x1.15b29767d3449p-15, -0x1.08c7918a38d17p-15, -0x1.f8a7862de3099p-16, -0x1.e0a8bdc7be3b4p-16, -0x1.c98d49f7bb30ap-16, -0x1.b34fc4d649cc3p-16, -0x1.9deae20cdee91p-16, -0x1.89596e603761dp-16, -0x1.75964f68a2ac8p-16, -0x1.629c83147e35ap-16, -0x1.50671f418eb15p-16, -0x1.3ef151668c562p-16, -0x1.2e365e2c4f815p-16, -0x1.1e31a10c37765p-16, -0x1.0ede8bef833c4p-16, -0x1.0038a6d7d846fp-16, -0x1.e4771f0b4afa4p-17, -0x1.c9c5f227cab2ep-17, -0x1.b055574764cep-17, -0x1.981d080558e1bp-17, -0x1.8114e6a9fd08p-17, -0x1.6b34fd89e99a2p-17, -0x1.56757e58282f5p-17, -0x1.42cec173789ffp-17, -0x1.303945484d9e5p-17, -0x1.1eadadbba0598p-17, -0x1.0e24c39de74fep-17, -0x1.fd2ee7bfeb9adp-18, -0x1.dffd9e1eb382p-18, -0x1.c4a81192f1c95p-18, -0x1.ab20ee3153adfp-18, -0x1.935b23d1e6f86p-18, -0x1.7d49e4f760106p-18, }}, 
      {{0x1.01e11d8ec1d49p-4, 0x1.021b7e0ffb679p-4, 0x1.027d4a1e20031p-4, 0x1.03073900e9f18p-4, 0x1.03ba3ab0a407cp-4, 0x1.04976b294edap-4, 0x1.05a00571c00e3p-4, 0x1.06d55713d9d89p-4, 0x1.0838b473838aap-4, 0x1.09cb6e3ff719cp-4, 0x1.0b8ec81d1f0d3p-4, 0x1.0d83f090c760ep-4, 0x1.0fabfa33c3aa2p-4, 0x1.1207d61ee8cfep-4, 0x1.14984f8542fd7p-4, 0x1.175e0867b5defp-4, 0x1.1a59774a5eb11p-4, 0x1.1d8ae5d14462ep-4, 0x1.20f27028833b4p-4, 0x1.2490051bc4678p-4, 0x1.286366c19d5fep-4, 0x1.2c6c2ba0f537p-4, 0x1.30a9c038a7e0ep-4, 0x1.351b68d41d33dp-4, 0x1.39c0439a2fc39p-4, 0x1.3e974ac65200ep-4, 0x1.439f56fe814a3p-4, 0x1.48d721bac444cp-4, 0x1.4e3d47b5200acp-4, 0x1.53d04b5a9ee7ep-4, 0x1.598e9737982bcp-4, 0x1.5f76805a9b397p-4, 0x1.658648aa6974cp-4, 0x1.6bbc212c34a09p-4, 0x1.72162c37f9d1dp-4, 0x1.78927f9959422p-4, 0x1.7f2f269b9504bp-4, 0x1.85ea23ffc9a4cp-4, 0x1.8cc173dc987cdp-4, 0x1.93b30d66b6daap-4, 0x1.9abce4a1f7822p-4, 0x1.a1dcebfa8ad4fp-4, 0x1.a91115c64e354p-4, 0x1.b05755ae2611fp-4, 0x1.b7ada1ff5ebd3p-4, 0x1.bf11f4e57095ap-4, 0x1.c6824d8c391bp-4, 0x1.cdfcb12b2ea09p-4, 0x1.d57f2bf9fd71fp-4, 0x1.dd07d20f2231ep-4, 0x1.e494c0291c41p-4, 0x1.ec241c6307c3fp-4, 0x1.f3b416d5563e5p-4, 0x1.fb42ea238df97p-4, 0x1.01676dfbf1a98p-3, 0x1.052b1eb6dacb5p-3, 0x1.08ebb5b5ea0b4p-3, 0x1.0ca86777bf241p-3, 0x1.10606ea49c2f4p-3, 0x1.14130c262e4d2p-3, 0x1.17bf87392b662p-3, 0x1.1b652d7953863p-3, 0x1.1f0352e837734p-3, 0x1.229951ef48718p-3, 0x1.26268b5d965c1p-3, 0x1.29aa6661b02e4p-3, 0x1.2d24507ffb6eap-3, 0x1.3093bd85fa1c5p-3, 0x1.33f8277ac1175p-3, 0x1.37510e8cfe028p-3, 0x1.3a9df8fee030bp-3, 0x1.3dde731015dd4p-3, 0x1.41120ee63f55p-3, 0x1.44386473f18fap-3, 0x1.4751115e9e6f6p-3, 0x1.4a5bb8e37b465p-3, 0x1.4d5803bba0915p-3, 0x1.50459fff8454bp-3, 0x1.53244109f24aep-3, 0x1.55f39f5aa5f48p-3, 0x1.58b378789ba64p-3, 0x1.5b638ed432f8ap-3, 0x1.5e03a9a936d44p-3, 0x1.609394e0e118p-3, 0x1.631320f3de3f7p-3, 0x1.658222cc70b39p-3, 0x1.67e073a8a5b31p-3, 0x1.6a2df0fcbe207p-3, 0x1.6c6a7c55c188bp-3, 0x1.6e95fb3c4a56ap-3, 0x1.70b057178a518p-3, 0x1.72b97d1092d71p-3, 0x1.74b15df5de2c7p-3, 0x1.7697ee1f20efep-3, 0x1.786d25516026ap-3, 0x1.7a30fea35675p-3, 0x1.7be378621fb4bp-3, 0x1.7d8493f63496ep-3, 0x1.7f1455c8b1ebp-3, 0x1.8092c528f3769p-3, 0x1.81ffec3276ed4p-3, 0x1.835bd7b315fdbp-3, 0x1.84a697118dc64p-3, 0x1.85e03c345abb5p-3, 0x1.8708db68e73c4p-3, 0x1.88208b4b105bcp-3, 0x1.892764acf9d32p-3, 0x1.8a1d827f4478dp-3, 0x1.8b0301b98f7c2p-3, 0x1.8bd801435fa8fp-3, 0x1.8c9ca1dd55d67p-3, 0x1.8d51060acd20ap-3, 0x1.8df551fbce745p-3, 0x1.8e89ab776942dp-3, 0x1.8f0e39c66c168p-3, 0x1.8f83259e7de8ep-3, 0x1.8fe8990d9f43fp-3, 0x1.903ebf66108b7p-3, 0x1.9085c52aa1d37p-3, 0x1.90bdd7fb645ap-3, 0x1.90e72682d563fp-3, 0x1.9101e0636574ep-3, 0x1.910e362577286p-3, 0x1.910c5925cbfe6p-3, 0x1.90fc7b845ab5p-3, 0x1.90ded0139fe6cp-3, 0x1.90b38a4855926p-3, 0x1.907ade29a78acp-3, 0x1.90350041d6badp-3, 0x1.8fe2258f497ccp-3, 0x1.8f8283761c5c3p-3, 0x1.8f164fb21d489p-3, 0x1.8e9dc0493d859p-3, 0x1.8e190b7e7b3cdp-3, 0x1.8d8867c537408p-3, 0x1.8cec0bb505f31p-3, 0x1.8c442dfdec602p-3, 0x1.8b91055d16b85p-3, 0x1.8ad2c891f6984p-3, 0x1.8a09ae53db937p-3, 0x1.8935ed47f38abp-3, 0x1.8857bbf7bc7a9p-3, 0x1.876f50c7e27aep-3, 0x1.867ce1ef874cp-3, 0x1.8580a56ff533fp-3, 0x1.847ad10cbd2b9p-3, 0x1.836b9a443167ap-3, 0x1.825336484cf3fp-3, 0x1.8131d9f7fdd32p-3, 0x1.8007b9d8c8d64p-3, 0x1.7ed50a10d0dap-3, 0x1.7d99fe613a602p-3, 0x1.7c56ca20e47a7p-3, 0x1.7b0ba03780b65p-3, 0x1.79b8b318f78ep-3, 0x1.785e34c12774p-3, 0x1.76fc56aff2272p-3, 0x1.759349e592278p-3, 0x1.74233edf47406p-3, 0x1.72ac659444295p-3, 0x1.712eed72e0c31p-3, 0x1.6fab055e1d418p-3, 0x1.6e20dbab56975p-3, 0x1.6c909e2048499p-3, 0x1.6afa79f1430a2p-3, 0x1.695e9bbfa0e4cp-3, 0x1.67bd2f9870d67p-3, 0x1.661660f3580c9p-3, 0x1.646a5ab1a8cc6p-3, 0x1.62b9471da5555p-3, 0x1.61034fe9f789fp-3, 0x1.5f489e31502e4p-3, 0x1.5d895a7633022p-3, 0x1.5bc5aca2ea70ap-3, 0x1.59fdbc099f5p-3, 0x1.5831af649ada3p-3, 0x1.5661acd6a0652p-3, 0x1.548dd9eb6eb01p-3, 0x1.52b65b985c75fp-3, 0x1.50db563d12061p-3, 0x1.4efceda459bbfp-3, 0x1.4d1b45050f4p-3, 0x1.4b367f031dbcfp-3, 0x1.494ebdb09877ep-3, 0x1.4764228ee17bdp-3, 0x1.4576ce8fed4bbp-3, 0x1.4386e2178776p-3, 0x1.41947cfcb0aa3p-3, 0x1.3f9fbe8b075cbp-3, 0x1.3da8c5843af8bp-3, 0x1.3bafb0218ee78p-3, 0x1.39b49c155f59fp-3, 0x1.37b7a68cb3439p-3, 0x1.35b8ec30d8033p-3, 0x1.33b88928fecdp-3, 0x1.31b6991bdf5cdp-3, 0x1.2fb3373161b09p-3, 0x1.2dae7e144d0b1p-3, 0x1.2ba887f3f0cd8p-3, 0x1.29a16e85d7dfdp-3, 0x1.27994b077a564p-3, 0x1.2590363fec73ap-3, 0x1.2386488191304p-3, 0x1.217b99abca1d4p-3, 0x1.1f70412ca200ep-3, 0x1.1d645602803ebp-3, 0x1.1b57eebdc9c6bp-3, 0x1.194b21828bb1cp-3, 0x1.173e040a1c30ep-3, 0x1.1530aba4b8d8fp-3, 0x1.13232d3b1ec66p-3, 0x1.11159d5023a19p-3, 0x1.0f08100242534p-3, 0x1.0cfa990d26d76p-3, 0x1.0aed4bcb33e81p-3, 0x1.08e03b3700bd6p-3, 0x1.06d379ecd5ec9p-3, 0x1.04c71a2c1b52bp-3, 0x1.02bb2dd8cb46bp-3, 0x1.00afc67cd433ep-3, 0x1.fd49ea92f62a5p-4, 0x1.f93596316f913p-4, 0x1.f522b0dd069f2p-4, 0x1.f1115af44fa37p-4, 0x1.ed01b42f0c22dp-4, 0x1.e8f3dba0a9705p-4, 0x1.e4e7efbaabebdp-4, 0x1.e0de0e4f1f87fp-4, 0x1.dcd65492e5209p-4, 0x1.d8d0df1ffa8a5p-4, 0x1.d4cdc9f7c6271p-4, 0x1.d0cd30853841p-4, 0x1.cccf2d9ef6f4fp-4, 0x1.c8d3db8974ff5p-4, 0x1.c4db53f8fa77p-4, 0x1.c0e5b013abc56p-4, 0x1.bcf308737478cp-4, 0x1.b9037527f216dp-4, 0x1.b5170db859a8p-4, 0x1.b12de9253d988p-4, 0x1.ad481dea5e26fp-4, 0x1.a965c2006679cp-4, 0x1.a586eade9d63ap-4, 0x1.a1abad7c8b99ep-4, 0x1.9dd41e53a8f46p-4, 0x1.9a005160e2f94p-4, 0x1.96305a263587dp-4, 0x1.92644bac29799p-4, 0x1.8e9c388357a98p-4, 0x1.8ad832c5db45p-4, 0x1.87184c18be7b3p-4, 0x1.835c95ad60d78p-4, 0x1.7fa52042d7a0bp-4, 0x1.7bf1fc2744e4fp-4, 0x1.78433939288bp-4, 0x1.7498e6e8abeeep-4, 0x1.70f31438e6757p-4, 0x1.6d51cfc11d328p-4, 0x1.69b527adfe29cp-4, 0x1.661d29c2d3d14p-4, 0x1.6289e35ab6785p-4, 0x1.5efb6169b6fe6p-4, 0x1.5b71b07e05ab4p-4, 0x1.57ecdcc114cefp-4, 0x1.546cf1f8b9446p-4, 0x1.50f1fb8843be1p-4, 0x1.4d7c047199316p-4, 0x1.4a0b175647bd8p-4, 0x1.469f3e789785dp-4, 0x1.433883bc98bcap-4, 0x1.3fd6f0a930f8fp-4, 0x1.3c7a8e692480cp-4, 0x1.392365cc1b87dp-4, 0x1.35d17f47a821dp-4, 0x1.3284e2f848569p-4, 0x1.2f3d98a269cadp-4, 0x1.2bfba7b366331p-4, 0x1.28bf1742820fcp-4, 0x1.2587ee11e94ccp-4, 0x1.2256328faaa62p-4, 0x1.1f29ead6b149bp-4, 0x1.1c031cafbe1f9p-4, 0x1.18e1cd925ec87p-4, 0x1.15c602a5e5503p-4, 0x1.12afc0c25d976p-4, 0x1.0f9f0c7183ca5p-4, 0x1.0c93e9efb8082p-4, 0x1.098e5d2cf58e8p-4, 0x1.068e69cdc2ae7p-4, 0x1.0394132c2770cp-4, 0x1.009f5c589ef3ep-4, 0x1.fb60903616244p-5, 0x1.f58db1e74df59p-5, 0x1.efc62237f2e11p-5, 0x1.ea09e50f8b3f3p-5, 0x1.e458fdcbfc7b7p-5, 0x1.deb36f436d1a9p-5, 0x1.d9193bc62775bp-5, 0x1.d38a65207f9f6p-5, 0x1.ce06ec9cb023ap-5, 0x1.c88ed304c47fcp-5, 0x1.c32218a473c5ep-5, 0x1.bdc0bd4b0573ep-5, 0x1.b86ac04d353cap-5, 0x1.b320208710215p-5, 0x1.ade0dc5ddab14p-5, 0x1.a8acf1c1ecbafp-5, 0x1.a3845e3094071p-5, 0x1.9e671eb5f5aacp-5, 0x1.99552feee9b92p-5, 0x1.944e8e0add49dp-5, 0x1.8f5334cdb154fp-5, 0x1.8a631f919718ap-5, 0x1.857e4948ed8cbp-5, 0x1.80a4ac801d13fp-5, 0x1.7bd6435f75fe3p-5, 0x1.771307ad0968dp-5, 0x1.725af2ce816b8p-5, 0x1.6dadfdcafcc9bp-5, 0x1.690c214ce3404p-5, 0x1.647555a3bf745p-5, 0x1.5fe992c60eae8p-5, 0x1.5b68d0531a6f9p-5, 0x1.56f30594c55aep-5, 0x1.528829815f2ap-5, 0x1.4e2832bd724b3p-5, 0x1.49d3179d8fbdbp-5, 0x1.4588ce281cafdp-5, 0x1.41494c171a22ap-5, 0x1.3d1486d9edf4fp-5, 0x1.38ea739724e5fp-5, 0x1.34cb072e34f0ep-5, 0x1.30b63639416bep-5, 0x1.2cabf50ed65a9p-5, 0x1.28ac37c3a7455p-5, 0x1.24b6f22c40583p-5, 0x1.20cc17dec6a28p-5, 0x1.1ceb9c34a33a2p-5, 0x1.1915724c3784ep-5, 0x1.15498d0a8b869p-5, 0x1.1187df1cf57fap-5, 0x1.0dd05afac4b68p-5, 0x1.0a22f2e6e3752p-5, 0x1.067f98f177f83p-5, 0x1.02e63ef981d9dp-5, 0x1.feadad5ce73adp-6, 0x1.f7a2a323943dap-6, 0x1.f0ab41f140463p-6, 0x1.e9c76c1a77277p-6, 0x1.e2f703a13573cp-6, 0x1.dc39ea37f21p-6, 0x1.d5900144ab4b6p-6, 0x1.cef929e3e6988p-6, 0x1.c87544eba4501p-6, 0x1.c20432ee4feebp-6, 0x1.bba5d43dacce4p-6, 0x1.b55a08eda989dp-6, 0x1.af20b0d74390fp-6, 0x1.a8f9ab9b48401p-6, 0x1.a2e4d8a52573bp-6, 0x1.9ce2172da012ep-6, 0x1.96f1463d84f7ep-6, 0x1.911244b057bcep-6, 0x1.8b44f136fa7eep-6, 0x1.85892a5a375edp-6, 0x1.7fdece7d5ae5cp-6, 0x1.7a45bbe0ba013p-6, 0x1.74bdd0a42c08bp-6, 0x1.6f46eac97fd69p-6, 0x1.69e0e836e706cp-6, 0x1.648ba6b956a74p-6, 0x1.5f470406dd5a7p-6, 0x1.5a12ddc0f1bcp-6, 0x1.54ef1176bbd8bp-6, 0x1.4fdb7ca74fdf2p-6, 0x1.4ad7fcc3da098p-6, 0x1.45e46f31c91efp-6, 0x1.4100b14cef1b3p-6, 0x1.3c2ca0699a184p-6, 0x1.376819d69a388p-6, 0x1.32b2fadf46dc6p-6, 0x1.2e0d20cd72f5p-6, 0x1.297668eb62be7p-6, 0x1.24eeb085afe34p-6, 0x1.2075d4ed21a8bp-6, 0x1.1c0bb37883b33p-6, 0x1.17b029866c9b8p-6, 0x1.1363147f004abp-6, 0x1.0f2451d5a65fbp-6, 0x1.0af3bf0ab823cp-6, 0x1.06d139ad206bp-6, 0x1.02bc9f5bf7f13p-6, 0x1.fd6b9b9031203p-7, 0x1.f579456b435dcp-7, 0x1.eda1f7fb006ccp-7, 0x1.e5e56f1db78fep-7, 0x1.de4366e10c20dp-7, 0x1.d6bb9b84bae19p-7, 0x1.cf4dc97d5b14ap-7, 0x1.c7f9ad76f82d4p-7, 0x1.c0bf0457ace8p-7, 0x1.b99d8b4223a5cp-7, 0x1.b294ff9803129p-7, 0x1.aba51efc4cb9ep-7, 0x1.a4cda755b8ca3p-7, 0x1.9e0e56d0e4cf1p-7, 0x1.9766ebe28add9p-7, 0x1.90d725499157ep-7, 0x1.8a5ec2112a2cbp-7, 0x1.83fd8192c23cbp-7, 0x1.7db32377f0bf7p-7, 0x1.777f67bc59feap-7, 0x1.71620eaf7482ap-7, 0x1.6b5ad8f6489e1p-7, 0x1.6569878d207e3p-7, 0x1.5f8ddbc925ef9p-7, 0x1.59c79759f648cp-7, 0x1.54167c4b26d9dp-7, 0x1.4e7a4d05ae9e3p-7, 0x1.48f2cc515427cp-7, 0x1.437fbd5601c83p-7, 0x1.3e20e39d0cc82p-7, 0x1.38d60312781d3p-7, 0x1.339ee00611442p-7, 0x1.2e7b3f2ca8d4ep-7, 0x1.296ae5a118d82p-7, 0x1.246d98e549d91p-7, 0x1.1f831ee334719p-7, 0x1.1aab3dedc7d1cp-7, 0x1.15e5bcc1cf02dp-7, 0x1.11326286c2e1fp-7, 0x1.0c90f6cf91d53p-7, 0x1.0801419b6b95p-7, 0x1.03830b5664da3p-7, 0x1.fe2c39b43fefcp-8, 0x1.f5747edce1eaep-8, 0x1.ecde7993c3fadp-8, 0x1.e469be2486f63p-8, 0x1.dc15e1ba42adp-8, 0x1.d3e27a607571ap-8, 0x1.cbcf1f03c9695p-8, 0x1.c3db6772d70bdp-8, 0x1.bc06ec5ecb7d9p-8, 0x1.b451475bff268p-8, 0x1.acba12e266d91p-8, 0x1.a540ea4e193dap-8, 0x1.9de569df9f53p-8, 0x1.96a72ebc48df9p-8, 0x1.8f85d6ee6474dp-8, 0x1.888101657382p-8, 0x1.81984df643615p-8, 0x1.7acb5d5aebef9p-8, 0x1.7419d132d6ddap-8, 0x1.6d834c02a7c39p-8, 0x1.6707713419818p-8, 0x1.60a5e515c9e52p-8, 0x1.5a5e4cdb003dbp-8, 0x1.54304e9b627ccp-8, 0x1.4e1b9152aa9f1p-8, 0x1.481fbce021411p-8, 0x1.423c7a063609dp-8, 0x1.3c71726a0a92fp-8, 0x1.36be5092df329p-8, 0x1.3122bfe96dc1bp-8, 0x1.2b9e6cb7561d9p-8, 0x1.2631042676f5ep-8, 0x1.20da34402a2cbp-8, 0x1.1b99abec8c786p-8, 0x1.166f1af1abf95p-8, 0x1.115a31f2a79b4p-8, 0x1.0c5aa26eda929p-8, 0x1.07701ec0f46c3p-8, 0x1.029a5a1e003b1p-8, 0x1.fbb21128da5abp-9, 0x1.f257be161b1fbp-9, 0x1.e9252680175efp-9, 0x1.e019b78faf61fp-9, 0x1.d734e0183a052p-9, 0x1.ce76109517386p-9, 0x1.c5dcbb2765f76p-9, 0x1.bd685393cc454p-9, 0x1.b5184f3feb473p-9, 0x1.acec252fedd47p-9, 0x1.a4e34e040c545p-9, 0x1.9cfd43f604c95p-9, 0x1.953982d68f7c3p-9, 0x1.8d97880abff26p-9, 0x1.8616d2895230dp-9, 0x1.7eb6e2d7df397p-9, 0x1.77773b083e01fp-9, 0x1.70575eb5b2e06p-9, 0x1.6956d302321b7p-9, 0x1.62751e93636e4p-9, 0x1.5bb1c98ff3cbep-9, 0x1.550c5d9c9df4p-9, 0x1.4e8465d93d295p-9, 0x1.48196eddefabep-9, 0x1.41cb06b831512p-9, 0x1.3b98bce7af2d9p-9, 0x1.3582225b7701cp-9, 0x1.2f86c96ec4b25p-9, 0x1.29a645e633f54p-9, 0x1.23e02cec8047bp-9, 0x1.1e34150f97a48p-9, 0x1.18a1963d8ae3ep-9, 0x1.132849c16796ap-9, 0x1.0dc7ca4034c82p-9, 0x1.087fb3b5ccd96p-9, 0x1.034fa371cde0ep-9, 0x1.fc6e7028d3e72p-10, 0x1.f26c2316a606fp-10, 0x1.e897a21d3dba1p-10, 0x1.def0323b3c62fp-10, 0x1.d5751af7944bcp-10, 0x1.cc25a65b3a1cp-10, 0x1.c30120eacf8cfp-10, 0x1.ba06d9a08d2a8p-10, 0x1.b13621e5e5263p-10, 0x1.a88e4d8d72b94p-10, 0x1.a00eb2cc626b5p-10, 0x1.97b6aa346715ep-10, 0x1.8f858eadadc7bp-10, 0x1.877abd704bac5p-10, 0x1.7f9595fe5dd89p-10, 0x1.77d57a1dbbe04p-10, 0x1.7039cdd1cf93bp-10, 0x1.68c1f7553c533p-10, 0x1.616d5f1432a62p-10, 0x1.5a3b6fa5d640dp-10, 0x1.532b95c6aca12p-10, 0x1.4c3d40521878dp-10, 0x1.456fe03c72b89p-10, 0x1.3ec2e88d1a99p-10, 0x1.3835ce5848d6fp-10, 0x1.31c808b9622a5p-10, 0x1.2b7910ccd3847p-10, 0x1.254861aa2c3bp-10, 0x1.1f35785e46d65p-10, 0x1.193fd3e57c013p-10, 0x1.1366f525bef4bp-10, 0x1.0daa5ee8f22fp-10, 0x1.080995d703df4p-10, 0x1.028420705b445p-10, 0x1.fa330e0feaa4ep-11, 0x1.ef92a77bffcabp-11, 0x1.e52624f3fece3p-11, 0x1.daeca1cafafa2p-11, 0x1.d0e53ccc8b4d2p-11, 0x1.c70f18321475ap-11, 0x1.bd695997cf3ffp-11, 0x1.b3f329f1f3f1fp-11, 0x1.aaabb582088e4p-11, 0x1.a1922bcc073bap-11, 0x1.98a5bf8bef2fap-11, 0x1.8fe5a6ab0487cp-11, 0x1.87511a35d7a62p-11, 0x1.7ee7565124aa3p-11, 0x1.76a79a30b5735p-11, 0x1.6e91280c1363cp-11, 0x1.66a3451512047p-11, 0x1.5edd396da102fp-11, 0x1.573e501dbfbcbp-11, 0x1.4fc5d709d00a8p-11, 0x1.48731ee91a5c9p-11, 0x1.41457b3b984a2p-11, 0x1.3a3c4240c6972p-11, 0x1.3356ccedbd004p-11, 0x1.2c9476e46608dp-11, 0x1.25f49e6978607p-11, 0x1.1f76a45c1a53bp-11, 0x1.1919ec2be63adp-11, 0x1.12dddbd0635afp-11, 0x1.0cc1dbbfdbbf7p-11, 0x1.06c556e6aa8c9p-11, 0x1.00e7ba9e2d17dp-11, 0x1.f650ed48ce0a7p-12, 0x1.eb0dfa2672d0ep-12, 0x1.e00584b00126fp-12, 0x1.d5367a55cf2e4p-12, 0x1.ca9fcd0d64695p-12, 0x1.c0407341512d6p-12, 0x1.b61767c0a1a5cp-12, 0x1.ac23a9ae85fbdp-12, 0x1.a2643c727b4c8p-12, 0x1.98d827a8d3311p-12, 0x1.8f7e7712917ebp-12, 0x1.86563a868c084p-12, 0x1.7d5e85e2066b4p-12, 0x1.749670f911f6dp-12, 0x1.6bfd17882bfa8p-12, 0x1.6391992514926p-12, 0x1.5b531930dee6dp-12, 0x1.5340bec8b91cp-12, 0x1.4b59b4b88c3bap-12, 0x1.439d296c76091p-12, 0x1.3c0a4ee29d5afp-12, 0x1.34a05a9dd59f7p-12, 0x1.2d5e8598009f7p-12, 0x1.26440c349616fp-12, 0x1.1f502e33831eap-12, 0x1.18822ea427c2ep-12, 0x1.11d953d7ffeedp-12, 0x1.0b54e75690278p-12, 0x1.04f435cfba3fap-12, 0x1.fd6d1e20c3a31p-13, 0x1.f1368beb67633p-13, 0x1.e54360c198cebp-13, 0x1.d9924e56a3b0ap-13, 0x1.ce220c360111cp-13, 0x1.c2f157ad17f7bp-13, 0x1.b7fef3b370ecep-13, 0x1.ad49a8d43ee7ep-13, 0x1.a2d045182e73fp-13, 0x1.98919beebdf5p-13, 0x1.8e8c8618ec313p-13, 0x1.84bfe1938a146p-13, 0x1.7b2a9181b8967p-13, 0x1.71cb7e187cf4p-13, 0x1.68a19488f76c3p-13, 0x1.5fabc6ecac853p-13, 0x1.56e90c31cf36ap-13, 0x1.4e58600673db6p-13, 0x1.45f8c2c5a5ec6p-13, 0x1.3dc9396404226p-13, 0x1.35c8cd5cbcf8ap-13, 0x1.2df68c9e680e3p-13, 0x1.2651897899fbp-13, 0x1.1ed8da8a31b06p-13, 0x1.178b9aae8037bp-13, 0x1.1068e8ebc8842p-13, 0x1.096fe8621956ep-13, 0x1.029fc039e5622p-13, 0x1.f7ef37258b854p-14, 0x1.eaed52e55beb9p-14, 0x1.de38396b2d6bp-14, 0x1.d1ce57fb70157p-14, 0x1.c5ae2345103f2p-14, 0x1.b9d61741f90d1p-14, 0x1.ae44b71994d21p-14, 0x1.a2f88d01231eep-14, 0x1.97f02a1d0655cp-14, 0x1.8d2a2664884aap-14, 0x1.82a520824c105p-14, 0x1.785fbdb8d7ac2p-14, 0x1.6e58a9c577b58p-14, 0x1.648e96c4a9df2p-14, 0x1.5b003d160e719p-14, 0x1.51ac5b407245ep-14, 0x1.4891b5d836ef9p-14, 0x1.3faf1764a68edp-14, 0x1.37035045c89edp-14, 0x1.2e8d369a84688p-14, 0x1.264ba6270f1dfp-14, 0x1.1e3d803d7f0a4p-14, 0x1.1661aba3b4bb3p-14, 0x1.0eb7147bfc9a1p-14, 0x1.073cac2db61aep-14, 0x1.ffe2d29b127dep-15, 0x1.f1a88f0d40726p-15, 0x1.e3c88f06b7866p-15, 0x1.d640ddaf783bcp-15, 0x1.c90f8fd73b26ap-15, 0x1.bc32c3c87f7dap-15, 0x1.afa8a11eb52e6p-15, 0x1.a36f589bfadcp-15, 0x1.9785240200bf2p-15, 0x1.8be845e7c3667p-15, 0x1.809709923042cp-15, 0x1.758fc2cd766a6p-15, 0x1.6ad0cdc43ba71p-15, 0x1.60588edc77b59p-15, 0x1.562572901e395p-15, 0x1.4c35ed4a4b0ccp-15, 0x1.42887b407f904p-15, 0x1.391ba04ffe2d5p-15, 0x1.2fede7dbd0441p-15, 0x1.26fde4a9441a4p-15, 0x1.1e4a30bf08914p-15, 0x1.15d16d4415b29p-15, 0x1.0d92425a58688p-15, 0x1.058b5f042438p-15, 0x1.fb76f20408706p-16, 0x1.ec429965fafdcp-16, 0x1.dd7739ef87fe6p-16, 0x1.cf1266249e9b1p-16, 0x1.c111bd169adcfp-16, 0x1.b372ea2089043p-16, 0x1.a633a4b7a517ap-16, 0x1.9951b02e14acfp-16, 0x1.8ccadb78aae9ep-16, 0x1.809d00fb51147p-16, 0x1.74c6065468d92p-16, 0x1.6943dc25cfd76p-16, 0x1.5e147de2f88a5p-16, 0x1.5335f19d382fdp-16, 0x1.48a647d1147d5p-16, 0x1.3e639b3359d8dp-16, 0x1.346c108304a31p-16, 0x1.2abdd659224p-16, 0x1.215724f7c67eep-16, 0x1.18363e203b72p-16, 0x1.0f596ce1c23cap-16, 0x1.06bf056df2de2p-16, 0x1.fccac9dfcf0a9p-17, 0x1.ec95e2bf44a2p-17, 0x1.dcdc32ac7f6cbp-17, 0x1.cd9aa7c92aa0cp-17, 0x1.bece40d7e8a79p-17, 0x1.b0740ceb59963p-17, 0x1.a2892b13a6a05p-17, 0x1.950aca14beae4p-17, 0x1.87f6281e124c4p-17, 0x1.7b4892772a1dep-17, 0x1.6eff6537b663bp-17, 0x1.63180b061d96ep-17, 0x1.578ffccaca286p-17, 0x1.4c64c169191d9p-17, 0x1.4193ed7ea755ep-17, 0x1.371b231d1c37dp-17, 0x1.2cf8118d7b837p-17, 0x1.2328750926d03p-17, 0x1.19aa167ca90ebp-17, 0x1.107acb4955b4fp-17, 0x1.07987508f8acdp-17, 0x1.fe02029860f5cp-18, 0x1.ed64d2cb7b467p-18, 0x1.dd556455e8b13p-18, 0x1.cdcfd7750b413p-18, 0x1.bed0628fcbd8ep-18, 0x1.b05351c73b06p-18, 0x1.a255067f4b9cp-18, 0x1.94d1f6f9449ccp-18, 0x1.87c6adf3f92c4p-18, 0x1.7b2fca3cb173cp-18, 0x1.6f09fe4772458p-18, 0x1.63520fcf51504p-18, 0x1.5804d777e413ap-18, 0x1.4d1f406b47cbep-18, 0x1.429e47f78a43bp-18, 0x1.387efd3d9e6ep-18, 0x1.2ebe80cd34ddcp-18, 0x1.255a044e986bp-18, 0x1.1c4eca25c1aefp-18, 0x1.139a252416b6ep-18, 0x1.0b39783dd7807p-18, 0x1.032a361d899d2p-18, 0x1.f6d3c1c16697bp-19, 0x1.e7ec1399ba0c2p-19, 0x1.d998a20687196p-19, 0x1.cbd4ca42e44b6p-19, 0x1.be9c061268643p-19, 0x1.b1e9eb17886afp-19, 0x1.a5ba2a3980766p-19, 0x1.9a088f3a9a44p-19, 0x1.8ed10016048d5p-19, 0x1.840f7c75961a9p-19, 0x1.79c01d26e22b3p-19, 0x1.6fdf139f86511p-19, 0x1.6668a97c09e04p-19, 0x1.5d593ffade6e4p-19, 0x1.54ad4f814c34ap-19, 0x1.4c6167171895dp-19, 0x1.44722bf910ef4p-19, 0x1.3cdc5933cea6ap-19, 0x1.359cbf08c453p-19, 0x1.2eb04294abdbap-19, 0x1.2813dd5b6e755p-19, 0x1.21c49cdbbddp-19, 0x1.1bbfa22a2315cp-19, 0x1.160221783c7a5p-19, 0x1.108961a8ce50bp-19, 0x1.0b52bbf15aed3p-19, 0x1.065b9b8dc648dp-19, 0x1.01a17d4c457d9p-19, 0x1.fa43de325bf32p-20, 0x1.f1b51f81ad592p-20, 0x1.e9921cff5e2bbp-20, 0x1.e1d65569bdd7bp-20, 0x1.da7d66fc8c211p-20, 0x1.d3830ec4e9c53p-20, 0x1.cce327fbfb823p-20, 0x1.c699ab59b956cp-20, 0x1.c0a2ae7c8e905p-20, 0x1.bafa634d5ae5ap-20, 0x1.b59d174858227p-20, 0x1.b08732e2c5d75p-20, 0x1.abb538f71dec7p-20, 0x1.a723c649e028bp-20, 0x1.a2cf90e8c1ac1p-20, 0x1.9eb567880cf0dp-20, 0x1.9ad230efd1b52p-20, 0x1.9722eb8ac1493p-20, 0x1.93a4ace3d217fp-20, 0x1.9054a126e42fbp-20, 0x1.8d300a6c1a1dep-20, 0x1.8a34405db65d2p-20, 0x1.875eafb9e13fdp-20, 0x1.84acd9d9cd229p-20, 0x1.821c5425ab2d4p-20, 0x1.7faac7b59a4dfp-20, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.e4b552ba6502ap-10, 0x1.e8a62b3426cf9p-9, 0x1.733e6d1f6dc19p-8, 0x1.f7751af05b497p-8, 0x1.411490d10b842p-7, 0x1.8a1bac2c4177dp-7, 0x1.d7161a312bc28p-7, 0x1.1412e9f072cc3p-6, 0x1.3ea692bc54ab8p-6, 0x1.6b39b93a451cap-6, 0x1.99b4f647ad3d1p-6, 0x1.c9f80df35f085p-6, 0x1.fbdc10738e114p-6, 0x1.179aa75648fcfp-5, 0x1.31ea8d6f840d3p-5, 0x1.4cc5a83039ce6p-5, 0x1.6813cff6a1972p-5, 0x1.83bd506efc009p-5, 0x1.9fab54fd3f3ep-5, 0x1.bbc83b4919b54p-5, 0x1.d7ffcee4248fap-5, 0x1.f43f7156ae7a9p-5, 0x1.083b18f6fa94p-4, 0x1.164a6c3f56145p-4, 0x1.2446f300af338p-4, 0x1.322ac6c56d80ep-4, 0x1.3ff0d3dba5b85p-4, 0x1.4d94d11a40bbep-4, 0x1.5b13365b36acap-4, 0x1.68693225fb116p-4, 0x1.75949ee1fb488p-4, 0x1.8293f7cd66f2dp-4, 0x1.8f664ddf7f4e4p-4, 0x1.9c0b3caee262p-4, 0x1.a882df6a71137p-4, 0x1.b4cdc5ed84b73p-4, 0x1.c0ece9f5592e5p-4, 0x1.cce1a47ca8382p-4, 0x1.d8ada342ddf46p-4, 0x1.e452de85975bap-4, 0x1.efd38ef476b8fp-4, 0x1.fb3223e89c211p-4, 0x1.03389cf5120a4p-3, 0x1.08c9c8c75baeap-3, 0x1.0e4e035e110dcp-3, 0x1.13c6c42ce263ep-3, 0x1.1935883d588adp-3, 0x1.1e9bce84a1044p-3, 0x1.23fb147db6b96p-3, 0x1.2954d30abfc02p-3, 0x1.2eaa7b9f88559p-3, 0x1.33fd75b61cc6bp-3, 0x1.394f1c8da81a2p-3, 0x1.3ea0bd32cc4b9p-3, 0x1.43f394cff7379p-3, 0x1.4948cf43619cep-3, 0x1.4ea185f7d551fp-3, 0x1.53febefcda073p-3, 0x1.59616c5a57adep-3, 0x1.5eca6b9b8c55ep-3, 0x1.643a858cdfc89p-3, 0x1.69b26e280f4f4p-3, 0x1.6f32c4a9f90fcp-3, 0x1.74bc13cd8330dp-3, 0x1.7a4ed226fed2p-3, 0x1.7feb629bafe4ep-3, 0x1.859214f137307p-3, 0x1.8b432670e76c9p-3, 0x1.90fec29b3de3ep-3, 0x1.96c503e80f006p-3, 0x1.9c95f4902daf3p-3, 0x1.a2718f5dab9dfp-3, 0x1.a857c0801a374p-3, 0x1.ae4866627c633p-3, 0x1.b4435280db0bp-3, 0x1.ba484a3bc9d8dp-3, 0x1.c05707a853e4dp-3, 0x1.c66f3a5b0f42p-3, 0x1.cc90882d5af6ep-3, 0x1.d2ba8dfbee1f1p-3, 0x1.d8ece05e20eb5p-3, 0x1.df270c55753bp-3, 0x1.e56897f512494p-3, 0x1.ebb1030113c2dp-3, 0x1.f1ffc7858e5c7p-3, 0x1.f8545a656fbcfp-3, 0x1.feae2be13f01ep-3, 0x1.0286540b08b73p-2, 0x1.05b79bba72b43p-2, 0x1.08ea9f9959e77p-2, 0x1.0c1f10d8ca733p-2, 0x1.0f549f71ae913p-2, 0x1.128afa52feb8ep-2, 0x1.15c1cf8d134b6p-2, 0x1.18f8cc7a3eec1p-2, 0x1.1c2f9de4e8ed6p-2, 0x1.1f65f02b535e8p-2, 0x1.229b6f61417f7p-2, 0x1.25cfc76fa15abp-2, 0x1.2902a4326cd9fp-2, 0x1.2c33b194deedap-2, 0x1.2f629bac2b643p-2, 0x1.328f0ed0ce8e6p-2, 0x1.35b8b7b6a1fd7p-2, 0x1.38df4383c2aaap-2, 0x1.3c025fe669861p-2, 0x1.3f21bb29ce9b7p-2, 0x1.423d044a215c3p-2, 0x1.4553eb07a9d91p-2, 0x1.48661ff928e8cp-2, 0x1.4b73549d73b68p-2, 0x1.4e7b3b6c666e9p-2, 0x1.517d87e722986p-2, 0x1.5479eea7b312p-2, 0x1.577025700b1e1p-2, 0x1.5a5fe3386d45bp-2, 0x1.5d48e03d3618ep-2, 0x1.602ad60c12b83p-2, 0x1.63057f909d6ffp-2, 0x1.65d899206378bp-2, 0x1.68a3e086544e9p-2, 0x1.6b67150d96383p-2, 0x1.6e21f78bc1508p-2, 0x1.70d44a6a7dfdcp-2, 0x1.737dd1b087b83p-2, 0x1.761e530a0df76p-2, 0x1.78b595d076cb2p-2, 0x1.7b4363117e49ep-2, 0x1.7dc78595b3b4bp-2, 0x1.8041c9e653007p-2, 0x1.82b1fe5278904p-2, 0x1.8517f2f3b1c5p-2, 0x1.877379b1e89fep-2, 0x1.89c46646aae7ep-2, 0x1.8c0a8e3fcfe71p-2, 0x1.8e45c9017a1bcp-2, 0x1.9075efc77b765p-2, 0x1.929adda619f0cp-2, 0x1.94b46f8a3aa9p-2, 0x1.96c28438f29b1p-2, 0x1.98c4fc4e85c8ep-2, 0x1.9abbba3ccea6p-2, 0x1.9ca6a24920b18p-2, 0x1.9e859a89989bp-2, 0x1.a0588ae1eff13p-2, 0x1.a21f5cffcaacp-2, 0x1.a3d9fc568df7bp-2, 0x1.a588561abd2c8p-2, 0x1.a72a593cebe6dp-2, 0x1.a8bff6643ea76p-2, 0x1.aa491fe88e36p-2, 0x1.abc5c9cc21e7bp-2, 0x1.ad35e9b51b2acp-2, 0x1.ae9976e684472p-2, 0x1.aff06a3916fcdp-2, 0x1.b13abe13b9407p-2, 0x1.b2786e63b6ac8p-2, 0x1.b3a97894c36a5p-2, 0x1.b4cddb88c035dp-2, 0x1.b5e5978f56ccep-2, 0x1.b6f0ae5d651c4p-2, 0x1.b7ef2304468f1p-2, 0x1.b8e0f9e8fa9fep-2, 0x1.b9c638bb34fb8p-2, 0x1.ba9ee66c53408p-2, 0x1.bb6b0b26466ep-2, 0x1.bc2ab0426cee5p-2, 0x1.bcdde04067ca5p-2, 0x1.bd84a6bced3ap-2, 0x1.be1f10689b34cp-2, 0x1.bead2afed09a6p-2, 0x1.bf2f053c90ea6p-2, 0x1.bfa4aed77218ep-2, 0x1.c00e38749e9e6p-2, 0x1.c06bb39fe83eap-2, 0x1.c0bd32c2f450dp-2, 0x1.c102c91c7fc83p-2, 0x1.c13c8ab7c124dp-2, 0x1.c16a8c63e8bc9p-2, 0x1.c18ce3abc2e25p-2, 0x1.c1a3a6cd7b087p-2, 0x1.c1aeecb287cb2p-2, 0x1.c1aecce7b9b89p-2, 0x1.c1a35f9576147p-2, 0x1.c18cbd781a11dp-2, 0x1.c16affd887645p-2, 0x1.c13e4084df6fcp-2, 0x1.c10699c96a027p-2, 0x1.c0c42669a95bep-2, 0x1.c07701999c62p-2, 0x1.c01f46f72f744p-2, 0x1.bfbd1283de10cp-2, 0x1.bf50809e8073ep-2, 0x1.bed9adfd4928fp-2, 0x1.be58b7a7f44c9p-2, 0x1.bdcdbaf221088p-2, 0x1.bd38d575de13ap-2, 0x1.bc9a250e606a5p-2, 0x1.bbf1c7d2ed0bcp-2, 0x1.bb3fdc11eabc6p-2, 0x1.ba84804c22d7ep-2, 0x1.b9bfd33030512p-2, 0x1.b8f1f3961565ap-2, 0x1.b81b007afe9e4p-2, 0x1.b73b18fd30e97p-2, 0x1.b6525c581bc5dp-2, 0x1.b560e9e09a7c2p-2, 0x1.b466e10153414p-2, 0x1.b364613745d7bp-2, 0x1.b2598a0e77a8cp-2, 0x1.b1467b1ec7731p-2, 0x1.b02b5408e3b73p-2, 0x1.af083473605eap-2, 0x1.addd3c07f072cp-2, 0x1.acaa8a70bd4bdp-2, 0x1.ab703f55dc182p-2, 0x1.aa2e7a5ae3efp-2, 0x1.a8e55b1c9b339p-2, 0x1.a795012ec4a11p-2, 0x1.a63d8c1a03368p-2, 0x1.a4df1b59dab8cp-2, 0x1.a379ce5ac3fe9p-2, 0x1.a20dc4785cf25p-2, 0x1.a09b1cfbaa2b2p-2, 0x1.9f21f71970b68p-2, 0x1.9da271f0a25aep-2, 0x1.9c1cac88dd337p-2, 0x1.9a90c5d0fe368p-2, 0x1.98fedc9dc31f8p-2, 0x1.97670fa87e618p-2, 0x1.95c97d8dd99d8p-2, 0x1.942644cca70c3p-2, 0x1.927d83c4c16bep-2, 0x1.90cf58b5f59abp-2, 0x1.8f1be1beff1aap-2, 0x1.8d633cdc87a9ap-2, 0x1.8ba587e838e1bp-2, 0x1.89e2e097d4721p-2, 0x1.881b647c5594ap-2, 0x1.864f31011ed3fp-2, 0x1.847e636b2a042p-2, 0x1.82a918d8472fcp-2, 0x1.80cf6e3e5db83p-2, 0x1.7ef1806ab4eefp-2, 0x1.7d0f6c01442a6p-2, 0x1.7b294d7c09e27p-2, 0x1.793f412a64912p-2, 0x1.77516330730bdp-2, 0x1.755fcf8678d2ap-2, 0x1.736aa1f847363p-2, 0x1.7171f624aa019p-2, 0x1.6f75e77cd7393p-2, 0x1.6d769143e25dfp-2, 0x1.6b740e8e34f72p-2, 0x1.696e7a41063c2p-2, 0x1.6765ef11d874ap-2, 0x1.655a8785f7ab9p-2, 0x1.634c5df1fa946p-2, 0x1.613b8c7946142p-2, 0x1.5f282d0d928cep-2, 0x1.5d12596e720a6p-2, 0x1.5afa2b28dad44p-2, 0x1.58dfbb96b0af1p-2, 0x1.56c323de504fap-2, 0x1.54a47cf21fa57p-2, 0x1.5283df901b108p-2, 0x1.50616441661c1p-2, 0x1.4e3d2359deddp-2, 0x1.4c1734f7affe6p-2, 0x1.49efb102e6524p-2, 0x1.47c6af2d07b54p-2, 0x1.459c46f0a9809p-2, 0x1.43708f910a109p-2, 0x1.4143a019ac0dep-2, 0x1.3f158f5df1b6p-2, 0x1.3ce673f8bba91p-2, 0x1.3ab6644c05f53p-2, 0x1.388576808b49bp-2, 0x1.3653c0856749cp-2, 0x1.3421580fb86dfp-2, 0x1.31ee529a49d0ap-2, 0x1.2fbac56537b35p-2, 0x1.2d86c5759b0d5p-2, 0x1.2b52679536dcdp-2, 0x1.291dc05223b5bp-2, 0x1.26e8e3fe80973p-2, 0x1.24b3e6b027469p-2, 0x1.227edc405f57ap-2, 0x1.2049d84b959bbp-2, 0x1.1e14ee3116a42p-2, 0x1.1be03112c9b5dp-2, 0x1.19abb3d4f103bp-2, 0x1.1777891deaca1p-2, 0x1.1543c355f50e3p-2, 0x1.131074a6f5528p-2, 0x1.10ddaefc42eeap-2, 0x1.0eab8402739a8p-2, 0x1.0c7a05272beeap-2, 0x1.0a494398f2f84p-2, 0x1.0819504707908p-2, 0x1.05ea3be13af9ep-2, 0x1.03bc16d7ce929p-2, 0x1.018ef15b51862p-2, 0x1.fec5b6b90db5dp-3, 0x1.fa6fc91896fe3p-3, 0x1.f61c38b70258ep-3, 0x1.f1cb23f5f9a17p-3, 0x1.ed7ca8b6ed70bp-3, 0x1.e930e45b0547dp-3, 0x1.e4e7f3c30b551p-3, 0x1.e0a1f34f680dcp-3, 0x1.dc5efee0230fap-3, 0x1.d81f31d4ea2a5p-3, 0x1.d3e2a70d22158p-3, 0x1.cfa978e7f8e9fp-3, 0x1.cb73c144878e4p-3, 0x1.c7419981f5c73p-3, 0x1.c3131a7faa98bp-3, 0x1.bee85c9d7840dp-3, 0x1.bac177bbe2961p-3, 0x1.b69e833c59f68p-3, 0x1.b27f960188afbp-3, 0x1.ae64c66fa8511p-3, 0x1.aa4e2a6cd61dp-3, 0x1.a63bd76174ac4p-3, 0x1.a22de238981ebp-3, 0x1.9e245f606ec7ep-3, 0x1.9a1f62cabc545p-3, 0x1.961effed540d4p-3, 0x1.922349c29f6dap-3, 0x1.8e2c52ca291bep-3, 0x1.8a3a2d092d2c3p-3, 0x1.864cea0b322d4p-3, 0x1.82649ae2ab019p-3, 0x1.7e8150299c3d5p-3, 0x1.7aa31a0245ea3p-3, 0x1.76ca0817db5dap-3, 0x1.72f6299f36aa1p-3, 0x1.6f278d579be47p-3, 0x1.6b5e418b7fef1p-3, 0x1.679a54114d82p-3, 0x1.63dbd24c3bcadp-3, 0x1.6022c92d242b7p-3, 0x1.5c6f45335b7d9p-3, 0x1.58c1526d97a6ap-3, 0x1.5518fc7ad1a72p-3, 0x1.51764e8b38601p-3, 0x1.4dd953611b6e7p-3, 0x1.4a421551e4f9ep-3, 0x1.46b09e470fff6p-3, 0x1.4324f7bf2cae7p-3, 0x1.3f9f2acee222cp-3, 0x1.3c1f4021f1e07p-3, 0x1.38a53ffc4c067p-3, 0x1.3531323b164f5p-3, 0x1.31c31e55c74d7p-3, 0x1.2e5b0b5f37f99p-3, 0x1.2af90006c4364p-3, 0x1.279d02996286dp-3, 0x1.24471902cb9c1p-3, 0x1.20f748ce9bb83p-3, 0x1.1dad97297b1ccp-3, 0x1.1a6a08e247595p-3, 0x1.172ca26b41e15p-3, 0x1.13f567db3dc0fp-3, 0x1.10c45ceed1b7dp-3, 0x1.0d9985098c15cp-3, 0x1.0a74e3372a1cbp-3, 0x1.07567a2ccbdd7p-3, 0x1.043e4c4a30e0dp-3, 0x1.012c5b9af22cap-3, 0x1.fc4153af7c16ep-4, 0x1.f63670cf2cefp-4, 0x1.f03810c21f0c8p-4, 0x1.ea4635171f2bp-4, 0x1.e460dec11ef25p-4, 0x1.de880e19b5513p-4, 0x1.d8bbc2e3ab293p-4, 0x1.d2fbfc4d749ffp-4, 0x1.cd48b8f3c14f8p-4, 0x1.c7a1f6e3fadf3p-4, 0x1.c207b39ece2a4p-4, 0x1.bc79ec1aaf1f9p-4, 0x1.b6f89cc6656d6p-4, 0x1.b183c18b85d2bp-4, 0x1.ac1b55d1008d5p-4, 0x1.a6bf547d9e301p-4, 0x1.a16fb7fa8544fp-4, 0x1.9c2c7a35bc6a8p-4, 0x1.96f594a49fc69p-4, 0x1.91cb004669793p-4, 0x1.8cacb5a6a3b75p-4, 0x1.879aacdfa4ed4p-4, 0x1.8294dd9d03423p-4, 0x1.7d9b3f1e0a91ap-4, 0x1.78adc838296cfp-4, 0x1.73cc6f595f577p-4, 0x1.6ef72a8aa5e8ap-4, 0x1.6a2def725696fp-4, 0x1.6570b3568d579p-4, 0x1.60bf6b1f87b9bp-4, 0x1.5c1a0b59ff14dp-4, 0x1.578088397e7dfp-4, 0x1.52f2d59ab5ec8p-4, 0x1.4e70e705c89efp-4, 0x1.49faafb094497p-4, 0x1.45902280f7087p-4, 0x1.4131320f0e4afp-4, 0x1.3cddd0a77344fp-4, 0x1.3895f04d70e0cp-4, 0x1.345982bd316afp-4, 0x1.3028796ded4c8p-4, 0x1.2c02c5940fbe7p-4, 0x1.27e8582355548p-4, 0x1.23d921d0eb0f7p-4, 0x1.1fd513157ed51p-4, 0x1.1bdc1c2f52e62p-4, 0x1.17ee2d24463e9p-4, 0x1.140b35c3d6fb1p-4, 0x1.103325a922479p-4, 0x1.0c65ec3cda19fp-4, 0x1.08a378b73795p-4, 0x1.04ebba21e7438p-4, 0x1.013e9f59ec2c6p-4, 0x1.fb382e2302a5cp-5, 0x1.f4081fa3e14fp-5, 0x1.ececeffacf065p-5, 0x1.e5e67ba17e56ap-5, 0x1.def49eca87287p-5, 0x1.d8173564e7414p-5, 0x1.d14e1b1f6eb4ap-5, 0x1.ca992b6c25a67p-5, 0x1.c3f84183a77e9p-5, 0x1.bd6b38686689dp-5, 0x1.b6f1eae9ea54p-5, 0x1.b08c33a7fe2c4p-5, 0x1.aa39ed15d359cp-5, 0x1.a3faf17d1a295p-5, 0x1.9dcf1b0102012p-5, 0x1.97b643a138654p-5, 0x1.91b0453cd7cdap-5, 0x1.8bbcf99544e3dp-5, 0x1.85dc3a5104b7cp-5, 0x1.800de0fe7ee64p-5, 0x1.7a51c716b85bcp-5, 0x1.74a7c5fffef69p-5, 0x1.6f0fb710887ddp-5, 0x1.698973910277fp-5, 0x1.6414d4bf1bab4p-5, 0x1.5eb1b3cff936fp-5, 0x1.595fe9f2a2e01p-5, 0x1.541f505260f1p-5, 0x1.4eefc0190dc99p-5, 0x1.49d112715d39fp-5, 0x1.44c320891354cp-5, 0x1.3fc5c3932fa4dp-5, 0x1.3ad8d4ca1159p-5, 0x1.35fc2d7185fa6p-5, 0x1.312fa6d8da984p-5, 0x1.2c731a5ccb879p-5, 0x1.27c661697c945p-5, 0x1.2329557c57832p-5, 0x1.1e9bd025e92b2p-5, 0x1.1a1dab0ba6fcbp-5, 0x1.15aebfe9b4e24p-5, 0x1.114ee8949d688p-5, 0x1.0cfdfefaf19f2p-5, 0x1.08bbdd26f2d48p-5, 0x1.04885d402192cp-5, 0x1.0063598cc6487p-5, 0x1.f89958e6df799p-6, 0x1.f08860f8c6e1cp-6, 0x1.e89380a612dc9p-6, 0x1.e0ba6d8e929ccp-6, 0x1.d8fcdd9db7ff1p-6, 0x1.d15a870d378f8p-6, 0x1.c9d3206770f7bp-6, 0x1.c2666089ef59dp-6, 0x1.bb13fea7b0acp-6, 0x1.b3dbb24b6fe41p-6, 0x1.acbd3359d51a9p-6, 0x1.a5b83a138d0bdp-6, 0x1.9ecc7f175f31cp-6, 0x1.97f9bb640f15ep-6, 0x1.913fa85a63a3fp-6, 0x1.8a9dffbed51d9p-6, 0x1.84147bbb76deep-6, 0x1.7da2d6e190e9fp-6, 0x1.7748cc2b3b8fp-6, 0x1.710616fcfb15p-6, 0x1.6ada73273a4edp-6, 0x1.64c59ce7be276p-6, 0x1.5ec750eaf5fe6p-6, 0x1.58df4c4d5963fp-6, 0x1.530d4c9ca8fa4p-6, 0x1.4d510fd9051eap-6, 0x1.47aa54762d62bp-6, 0x1.4218d95c8bf37p-6, 0x1.3c9c5dea2d4b7p-6, 0x1.3734a1f3c3285p-6, 0x1.31e165c5817fbp-6, 0x1.2ca26a24049a2p-6, 0x1.2777704d134b6p-6, 0x1.226039f8699b3p-6, 0x1.1d5c89586a1a1p-6, 0x1.186c211abce9dp-6, 0x1.138ec468f51bp-6, 0x1.0ec436e913901p-6, 0x1.0a0c3cbe15d67p-6, 0x1.05669a8866097p-6, 0x1.00d3156647309p-6, 0x1.f8a2e5e872573p-7, 0x1.efc2f29a960fcp-7, 0x1.e705de16cf678p-7, 0x1.de6b368f31b09p-7, 0x1.d5f28b346a959p-7, 0x1.cd9b6c3649353p-7, 0x1.c5656ac3c9649p-7, 0x1.bd50190b85aecp-7, 0x1.b55b0a3b92bccp-7, 0x1.ad85d281c44c3p-7, 0x1.a5d0070ba78ddp-7, 0x1.9e393e0651e39p-7, 0x1.96c10e9e5f783p-7, 0x1.8f6710ffaa105p-7, 0x1.882ade551a98fp-7, 0x1.810c10c824dc7p-7, 0x1.7a0a4380b536ap-7, 0x1.732512a4712dep-7, 0x1.6c5c1b5684c88p-7, 0x1.65aefbb6ce096p-7, 0x1.5f1d52e174ca9p-7, 0x1.58a6c0ee3800fp-7, 0x1.524ae6efa3126p-7, 0x1.4c0966f281195p-7, 0x1.45e1e3fce69a2p-7, 0x1.3fd4020d6f277p-7, 0x1.39df661a5dc07p-7, 0x1.3403b610a079p-7, 0x1.2e4098d2e88a9p-7, 0x1.2895b638a812fp-7, 0x1.2302b70d04496p-7, 0x1.1d87450dce08ap-7, 0x1.18230aea4b7b5p-7, 0x1.12d5b4423a13fp-7, 0x1.0d9eeda4737e1p-7, 0x1.087e648dddb68p-7, 0x1.0373c76813392p-7, 0x1.fcfd8b1060abbp-8, 0x1.f33e1e5b07108p-8, 0x1.e9a8ab006440cp-8, 0x1.e03c951fd2e43p-8, 0x1.d6f942a4d8d31p-8, 0x1.cdde1b44853c2p-8, 0x1.c4ea887a710f4p-8, 0x1.bc1df586185bp-8, 0x1.b377cf6792a8cp-8, 0x1.aaf784dd051e8p-8, 0x1.a29c865f440fp-8, 0x1.9a66461ef4e31p-8, 0x1.9254380175bfbp-8, 0x1.8a65d19daf376p-8, 0x1.829a8a390a4bp-8, 0x1.7af1dac455cefp-8, 0x1.736b3dd85a305p-8, 0x1.6c062fb2e5f9ep-8, 0x1.64c22e333567fp-8, 0x1.5d9eb8d71f4c7p-8, 0x1.569b50b753421p-8, 0x1.4fb77884972b9p-8, 0x1.48f2b483ec122p-8, 0x1.424c8a8b91187p-8, 0x1.3bc481ff8e3ddp-8, 0x1.355a23ce543d4p-8, 0x1.2f0cfa6d447fep-8, 0x1.28dc91d57aa47p-8, 0x1.22c877804c48p-8, 0x1.1cd03a63f6681p-8, 0x1.16f36af021f3ep-8, 0x1.11319b0a6b2fp-8, 0x1.0b8a5e0b21eeap-8, 0x1.05fd48b9a9dc2p-8, 0x1.0089f1491cdcap-8, 0x1.f65fdea9e753fp-9, 0x1.ebddb7bb275c9p-9, 0x1.e18ca28994071p-9, 0x1.d76bd694d7c59p-9, 0x1.cd7a8e12080ccp-9, 0x1.c3b805e41ee93p-9, 0x1.ba237d960c28dp-9, 0x1.b0bc3753270f2p-9, 0x1.a78177e108e3p-9, 0x1.9e728697fe133p-9, 0x1.958ead5d112e1p-9, 0x1.8cd5389aa75e6p-9, 0x1.84457739f484dp-9, 0x1.7bdeba9c61cdep-9, 0x1.73a056949d069p-9, 0x1.6b89a1600954dp-9, 0x1.6399f3a03f22ep-9, 0x1.5bd0a854436bfp-9, 0x1.542d1cd1dfafap-9, 0x1.4caeb0bf4b85dp-9, 0x1.4554c60c3381ap-9, 0x1.3e1ec0eb7d3a9p-9, 0x1.370c07cd0404bp-9, 0x1.301c03567bcbfp-9, 0x1.294e1e5de280fp-9, 0x1.22a1c5e25a82dp-9, 0x1.1c166906509c9p-9, 0x1.15ab7908da299p-9, 0x1.0f60693f8100ep-9, 0x1.0934af1035a8p-9, 0x1.0327c1ead0ee8p-9, 0x1.fa7236864c6fdp-10, 0x1.eed06d156c228p-10, 0x1.e369225587b69p-10, 0x1.d83b54fc6d13cp-10, 0x1.cd460796fbc86p-10, 0x1.c288407d5b9fep-10, 0x1.b80109c7507f7p-10, 0x1.adaf713feb017p-10, 0x1.a392885aa93b6p-10, 0x1.99a9642758e3dp-10, 0x1.8ff31d46cae21p-10, 0x1.866ecfdf3ff01p-10, 0x1.7d1b9b915355dp-10, 0x1.73f8a36c5e894p-10, 0x1.6b050de3b0792p-10, 0x1.624004c34d7fep-10, 0x1.59a8b5252b2fcp-10, 0x1.513e4f660248fp-10, 0x1.4900071b1ce3dp-10, 0x1.40ed13071783bp-10, 0x1.3904ad0f4d4cep-10, 0x1.314612320822ap-10, 0x1.29b0827b0a8ecp-10, 0x1.224340fa090ecp-10, 0x1.1afd93b84e955p-10, 0x1.13dec3ae9957p-10, 0x1.0ce61cbaee95bp-10, 0x1.0612ed971bb24p-10, 0x1.fec90f9c5eaa4p-11, 0x1.f1b47f66e45e3p-11, 0x1.e4e6d8b074a2p-11, 0x1.d85ecf05577bcp-11, 0x1.cc1b1b4869f75p-11, 0x1.c01a7ba0116dbp-11, 0x1.b45bb3649427ep-11, 0x1.a8dd8b0d0dc68p-11, 0x1.9d9ed01d9c6eep-11, 0x1.929e5514b1859p-11, 0x1.87daf15a7e636p-11, 0x1.7d53812e877d4p-11, 0x1.7306e5963f01cp-11, 0x1.68f4044c62782p-11, 0x1.5f19c7afbbdf4p-11, 0x1.55771eb1aba1ap-11, 0x1.4c0afcc6df2e1p-11, 0x1.42d459d570dc4p-11, 0x1.39d23225338fap-11, 0x1.310386501d6d8p-11, 0x1.28675b30fffa6p-11, 0x1.1ffcb9d5553efp-11, 0x1.17c2af6c7f00ep-11, 0x1.0fb84d3997f5ap-11, 0x1.07dca882e0b15p-11, 0x1.002eda83896b3p-11, 0x1.f15c00bae1728p-12, 0x1.e2b27611a5667p-12, 0x1.d45f5e8e06dd4p-12, 0x1.c6610b278a0ap-12, 0x1.b8b5d42e5a88ep-12, 0x1.ab5c192f7d6e7p-12, 0x1.9e5240d81f75cp-12, 0x1.9196b8dc4eadep-12, 0x1.8527f5da4cb52p-12, 0x1.79047340353b5p-12, 0x1.6d2ab332a4522p-12, 0x1.61993e70b43e4p-12, 0x1.564ea43d5cf04p-12, 0x1.4b497a4329c73p-12, 0x1.40885c7c20fc4p-12, 0x1.3609ed1b32de2p-12, 0x1.2bccd470164f4p-12, 0x1.21cfc0d2d6b02p-12, 0x1.1811668959f5p-12, 0x1.0e907fb194af8p-12, 0x1.054bcc29b82f7p-12, 0x1.f88422f26fd0ap-13, 0x1.e6e43574668b7p-13, 0x1.d5b57108ae31dp-13, 0x1.c4f581aa447b8p-13, 0x1.b4a21df776418p-13, 0x1.a4b90705b1272p-13, 0x1.9538083824efdp-13, 0x1.861cf713ec868p-13, 0x1.7765b31ae831p-13, 0x1.6910259f66b02p-13, 0x1.5b1a419d50e7dp-13, 0x1.4d8203943400dp-13, 0x1.4045715f17b1p-13, 0x1.33629a0d935e5p-13, 0x1.26d795c11403fp-13, 0x1.1aa285832c775p-13, 0x1.0ec19323f9badp-13, 0x1.0332f114216a6p-13, 0x1.efe9b48532a9p-14, 0x1.da0b23ef1c928p-14, 0x1.c4c6c76794109p-14, 0x1.b0194617f1467p-14, 0x1.9bff571310011p-14, 0x1.8875c10d113b9p-14, 0x1.75795a1ec4b9ap-14, 0x1.6307078380406p-14, 0x1.511bbd55e97efp-14, 0x1.3fb47e557061bp-14, 0x1.2ece5ba6d1664p-14, 0x1.1e6674941ff63p-14, 0x1.0e79f655ba46fp-14, 0x1.fe0c37a77577p-15, 0x1.e0105ad84aeb8p-15, 0x1.c2fb016fe08b5p-15, 0x1.a6c6f0af93f6p-15, 0x1.8b6f0768dd375p-15, 0x1.70ee3d988a28bp-15, 0x1.573fa3f6689e4p-15, 0x1.3e5e638edb29cp-15, 0x1.2645bd5220338p-15, 0x1.0ef109b3f39e5p-15, 0x1.f0b77082ecf0ep-16, 0x1.c5029e786ace1p-16, 0x1.9abad676eec96p-16, 0x1.71d77d8597142p-16, 0x1.4a5023ce7a27p-16, 0x1.241c83e22005dp-16, 0x1.fe6903eb9b4e6p-17, 0x1.b720565d07324p-17, 0x1.724f69d859da9p-17, 0x1.2fe6f8359e1f4p-17, 0x1.dfb011f90e353p-18, 0x1.6427e0272796cp-18, 0x1.da313153ce87cp-19, 0x1.e9983313b9dabp-20, 0x1.7e93d2a473df4p-23, -0x1.795b062113b4ap-20, -0x1.892d2ee8d560ap-19, -0x1.26e4dd9d3ce25p-18, -0x1.855b078a4b2aap-18, -0x1.e01204403b899p-18, -0x1.1b9120402c6cap-17, -0x1.4551d49a4e114p-17, -0x1.6d56d6d6ef52ep-17, -0x1.93aba0e130fe1p-17, -0x1.b85b701193ed3p-17, -0x1.db71463b9fc6ap-17, -0x1.fcf7eac8d9555p-17, -0x1.0e7cf5dd9c59ap-16, -0x1.1dc0cf5c7283ap-16, -0x1.2c4c91030795p-16, -0x1.3a252ec87c2a3p-16, -0x1.474f81f73ca88p-16, -0x1.53d049a5b4faap-16, -0x1.5fac2b2ff15f3p-16, -0x1.6ae7b2b0f38e8p-16, -0x1.758753792dee6p-16, -0x1.7f8f68815bca3p-16, -0x1.890434ddd4c2ep-16, -0x1.91e9e42694931p-16, -0x1.9a448af2b99bap-16, -0x1.a218273f371a2p-16, -0x1.a968a0d89af68p-16, -0x1.b039c9c2cd785p-16, -0x1.b68f5ea402d6bp-16, -0x1.bc6d072d00f4ap-16, -0x1.c1d65671cbaf2p-16, -0x1.c6cecb55aa679p-16, -0x1.cb59d0eb510d6p-16, -0x1.cf7abecff4835p-16, -0x1.d334d98b131a1p-16, -0x1.d68b52ea6e1a2p-16, -0x1.d9814a5b7dab5p-16, -0x1.dc19cd441d227p-16, -0x1.de57d75b514p-16, -0x1.e03e52fd1dd24p-16, -0x1.e1d01980eb112p-16, -0x1.e30ff38d585e6p-16, -0x1.e400996905859p-16, -0x1.e4a4b34675769p-16, -0x1.e4fed99635b86p-16, -0x1.e511955884288p-16, -0x1.e4df6063e089ep-16, -0x1.e46aa5b30af58p-16, -0x1.e3b5c1aa0edbep-16, -0x1.e2c30264a59edp-16, -0x1.e194a7fcc25c5p-16, -0x1.e02ce4cd7b771p-16, -0x1.de8dddb7ebccfp-16, -0x1.dcb9aa68d0b85p-16, -0x1.dab25598075f9p-16, }}, 
      {{0x1.643c99ef99cb7p-3, 0x1.64919f937bb5cp-3, 0x1.65278e4219b57p-3, 0x1.6606d9ebc7ca2p-3, 0x1.67375d968970ep-3, 0x1.68bf5a2464a34p-3, 0x1.6aa30482faf69p-3, 0x1.6ce46b6ce0229p-3, 0x1.6f838f2aca71ep-3, 0x1.727e941e081dp-3, 0x1.75d2027a2a0d9p-3, 0x1.79790b5fbf927p-3, 0x1.7d6dcec54a777p-3, 0x1.81a99f520ac8p-3, 0x1.86254238586b3p-3, 0x1.8ad929a91aa22p-3, 0x1.8fbda8e1ffef1p-3, 0x1.94cb213431f6ap-3, 0x1.99fa27b8b8448p-3, 0x1.9f43a3b8952d5p-3, 0x1.a4a0e614d8b39p-3, 0x1.aa0bba333d281p-3, 0x1.af7e711c5dafcp-3, 0x1.b4f3e79121039p-3, 0x1.ba6787e7248cp-3, 0x1.bfd54879da88dp-3, 0x1.c539a772b1184p-3, 0x1.ca91a4987b83fp-3, 0x1.cfdab9c04741dp-3, 0x1.d512d261dce44p-3, 0x1.da3842ba45c23p-3, 0x1.df49becfd85eap-3, 0x1.e4465196c508cp-3, 0x1.e92d546317858p-3, 0x1.edfe66c5ee499p-3, 0x1.f2b966e771ae3p-3, 0x1.f75e6a6566c96p-3, 0x1.fbedb7b713feep-3, 0x1.0033e009109c4p-2, 0x1.02668ce469851p-2, 0x1.048f3d8c09b89p-2, 0x1.06ae5aad8c123p-2, 0x1.08c4584d39029p-2, 0x1.0ad1b3b686bd8p-2, 0x1.0cd6f1914f27ap-2, 0x1.0ed49c1826136p-2, 0x1.10cb416cce971p-2, 0x1.12bb72087f101p-2, 0x1.14a5bf4638f1bp-2, 0x1.168aba05efcbep-2, 0x1.186af167c039bp-2, 0x1.1a46f19eb95e9p-2, 0x1.1c1f42db049d3p-2, 0x1.1df4684b68022p-2, 0x1.1fc6df362add6p-2, 0x1.21971e2976ed2p-2, 0x1.236594433cb39p-2, 0x1.2532a8909cb97p-2, 0x1.26feb984af7a7p-2, 0x1.28ca1c866d169p-2, 0x1.2a951d954e4f8p-2, 0x1.2c5fff041a153p-2, 0x1.2e2af9492bbf9p-2, 0x1.2ff63ae35c37ep-2, 0x1.31c1e85296039p-2, 0x1.338e1c22fd5c2p-2, 0x1.355ae70975d1cp-2, 0x1.372850104a93dp-2, 0x1.38f654d296e27p-2, 0x1.3ac4e9c5148a2p-2, 0x1.3c93fa8ae20c6p-2, 0x1.3e636a54d8b49p-2, 0x1.4033144a035a5p-2, 0x1.4202cbf7d3c8cp-2, 0x1.43d25dc8bbc6ep-2, 0x1.45a18f7fd8defp-2, 0x1.477020b86fa1dp-2, 0x1.493dcb6808b2dp-2, 0x1.4b0a44620e36bp-2, 0x1.4cd53bdbe5495p-2, 0x1.4e9e5df083823p-2, 0x1.50655322ac8bbp-2, 0x1.5229c0dd00bc2p-2, 0x1.53eb49ef319c3p-2, 0x1.55a98f07b5a95p-2, 0x1.57642f2974c19p-2, 0x1.591ac81cf130ep-2, 0x1.5accf6dc91e5fp-2, 0x1.5c7a57fbb3a5ap-2, 0x1.5e22880848f13p-2, 0x1.5fc523e6d367ep-2, 0x1.6161c9289bd06p-2, 0x1.62f8165c12ccp-2, 0x1.6487ab57547c8p-2, 0x1.6610297cd7e7bp-2, 0x1.679133fa5437p-2, 0x1.690a7001fe91cp-2, 0x1.6a7b84fe361ddp-2, 0x1.6be41cbfcef9dp-2, 0x1.6d43e3a726d8dp-2, 0x1.6e9a88c836b55p-2, 0x1.6fe7be09d580ap-2, 0x1.712b38406ce66p-2, 0x1.7264af4454095p-2, 0x1.7393de0414655p-2, 0x1.74b88292d587fp-2, 0x1.75d25e332f648p-2, 0x1.76e1355ea30a3p-2, 0x1.77e4cfc9f74dfp-2, 0x1.78dcf866b92ep-2, 0x1.79c97d621b4f2p-2, 0x1.7aaa30216f111p-2, 0x1.7b7ee53c730b8p-2, 0x1.7c477475a520dp-2, 0x1.7d03b8b0db70fp-2, 0x1.7db38fe847cc6p-2, 0x1.7e56db201adeep-2, 0x1.7eed7e58f8c38p-2, 0x1.7f7760815f1ebp-2, 0x1.7ff46b662d8e7p-2, 0x1.80648ba26f3a9p-2, 0x1.80c7b08e8bc81p-2, 0x1.811dcc2efa13bp-2, 0x1.8166d3229bd7p-2, 0x1.81a2bc90cda86p-2, 0x1.81d1821751283p-2, 0x1.81f31fb823d42p-2, 0x1.820793c74d7f1p-2, 0x1.820eded8c5a79p-2, 0x1.820903ae74844p-2, 0x1.81f60726646ffp-2, 0x1.81d5f02927adp-2, 0x1.81a8c798872a4p-2, 0x1.816e983e7abap-2, 0x1.81276ebc73885p-2, 0x1.80d3597b0129ep-2, 0x1.80726899d6fccp-2, 0x1.8004ade02bb1cp-2, 0x1.7f8a3cad8739dp-2, 0x1.7f0329eaeadccp-2, 0x1.7e6f8bfc6ac7ep-2, 0x1.7dcf7ab323f86p-2, 0x1.7d230f3f9fa91p-2, 0x1.7c6a64249781ap-2, 0x1.7ba5952a1b68ep-2, 0x1.7ad4bf511b9d7p-2, 0x1.79f800c74e499p-2, 0x1.790f78db6fafdp-2, 0x1.781b47f1df957p-2, 0x1.771b8f798b334p-2, 0x1.761071e12f8c9p-2, 0x1.74fa128ce76c9p-2, 0x1.73d895cc03b69p-2, 0x1.72ac20cf2852dp-2, 0x1.7174d99eaf793p-2, 0x1.7032e7114affbp-2, 0x1.6ee670c2e027p-2, 0x1.6d8f9f0b9d74fp-2, 0x1.6c2e9af745c69p-2, 0x1.6ac38e3caa711p-2, 0x1.694ea33557f6bp-2, 0x1.67d004d56a50ep-2, 0x1.6647dea38cc48p-2, 0x1.64b65cb11ff9dp-2, 0x1.631bab9281101p-2, 0x1.6177f8577370bp-2, 0x1.5fcb7083aabc6p-2, 0x1.5e164207706e5p-2, 0x1.5c589b386685dp-2, 0x1.5a92aaca5fbcfp-2, 0x1.58c49fc856181p-2, 0x1.56eea98d70d9dp-2, 0x1.5510f7be285f4p-2, 0x1.532bba41772dcp-2, 0x1.513f213a23a1fp-2, 0x1.4f4b5d001ba6ap-2, 0x1.4d509e19e122ap-2, 0x1.4b4f15360aa12p-2, 0x1.4946f324d5218p-2, 0x1.473868d1c62ccp-2, 0x1.4523a73d62261p-2, 0x1.4308df76f2e19p-2, 0x1.40e842965d9f2p-2, 0x1.3ec201b60e21dp-2, 0x1.3c964decf20d7p-2, 0x1.3a655848879d6p-2, 0x1.382f51c6fd12ap-2, 0x1.35f46b51668f2p-2, 0x1.33b4d5b604a84p-2, 0x1.3170c1a2a3294p-2, 0x1.2f285f9f06c9dp-2, 0x1.2cdbe007769a4p-2, 0x1.2a8b73075695dp-2, 0x1.28374893dd0a1p-2, 0x1.25df9066dca9p-2, 0x1.238479f9a6cc5p-2, 0x1.21263480096d7p-2, 0x1.1ec4eee3638cp-2, 0x1.1c60d7bdd3f73p-2, 0x1.19fa1d55843d8p-2, 0x1.1790ed980e6fep-2, 0x1.15257615ff0b1p-2, 0x1.12b7e3fe7295fp-2, 0x1.1048641ad127dp-2, 0x1.0dd722caaa7acp-2, 0x1.0b644bffa9bd7p-2, 0x1.08f00b39af381p-2, 0x1.067a8b8304542p-2, 0x1.0403f76cb1f2ep-2, 0x1.018c790af5fd3p-2, 0x1.fe2873e3af79fp-3, 0x1.f936c663c3311p-3, 0x1.f4443aa9eb446p-3, 0x1.ef5120b693799p-3, 0x1.ea5dc770feeaap-3, 0x1.e56a7ca1c35f1p-3, 0x1.e0778ced82378p-3, 0x1.db8543cfea5adp-3, 0x1.d693eb96fb3b4p-3, 0x1.d1a3cd5e88116p-3, 0x1.ccb5310c05db1p-3, 0x1.c7c85d4a97cecp-3, 0x1.c2dd9787614b9p-3, 0x1.bdf523ee163d7p-3, 0x1.b90f4565d8e8dp-3, 0x1.b42c3d8e4b9c4p-3, 0x1.af4c4cbced264p-3, 0x1.aa6fb1fab7434p-3, 0x1.a596ab01f7fb4p-3, 0x1.a0c1743c6a54p-3, 0x1.9bf048c198e67p-3, 0x1.972362556e316p-3, 0x1.925af9670fb09p-3, 0x1.8d97450fee9bdp-3, 0x1.88d87b131638cp-3, 0x1.841ecfdcb439fp-3, 0x1.7f6a7681d96a7p-3, 0x1.7abba0c073852p-3, 0x1.76127eff7f583p-3, 0x1.716f404f6deccp-3, 0x1.6cd2126ac2db4p-3, 0x1.683b21b6de9adp-3, 0x1.63aa994507449p-3, 0x1.5f20a2d391e24p-3, 0x1.5a9d66cf4e971p-3, 0x1.56210c550f2b1p-3, 0x1.51abb9336b2a5p-3, 0x1.4d3d91eca56fap-3, 0x1.48d6b9b8c2f26p-3, 0x1.44775287c300cp-3, 0x1.401f7d0406f96p-3, 0x1.3bcf5894d70cep-3, 0x1.3787036119215p-3, 0x1.33469a52194eap-3, 0x1.2f0e3916855e9p-3, 0x1.2addfa257d69p-3, 0x1.26b5f6c1c9629p-3, 0x1.229646fd282c8p-3, 0x1.1e7f01bbc1d48p-3, 0x1.1a703cb7a9a93p-3, 0x1.166a0c8489a6ap-3, 0x1.126c849354ebcp-3, 0x1.0e77b7362002dp-3, 0x1.0a8bb5a402d6fp-3, 0x1.06a88ffd1a53bp-3, 0x1.02ce554e92d11p-3, 0x1.fdfa272d963f8p-4, 0x1.f669af93060b5p-4, 0x1.eeeb5ba844b55p-4, 0x1.e77f4143fe893p-4, 0x1.e02574418131dp-4, 0x1.d8de068984016p-4, 0x1.d1a9081b08da7p-4, 0x1.ca8687145e85bp-4, 0x1.c3768fbc1879fp-4, 0x1.bc792c8a34611p-4, 0x1.b58e66312fc7ep-4, 0x1.aeb643a73f3afp-4, 0x1.a7f0ca2f7ad5p-4, 0x1.a13dfd631feap-4, 0x1.9a9ddf3ad0ef6p-4, 0x1.94107017d8bc7p-4, 0x1.8d95aecd69ebdp-4, 0x1.872d98a9e6814p-4, 0x1.80d8298020869p-4, 0x1.7a955bb095bb3p-4, 0x1.74652832a656cp-4, 0x1.6e47869dc51c7p-4, 0x1.683c6d329e1b5p-4, 0x1.6243d0e4333aap-4, 0x1.5c5da560ef73p-4, 0x1.5689dd1ba8437p-4, 0x1.50c8695496b44p-4, 0x1.4b193a223db4p-4, 0x1.457c3e7a4153fp-4, 0x1.3ff1643a296ebp-4, 0x1.3a78983017d1bp-4, 0x1.3511c62365c53p-4, 0x1.2fbcd8dd2d86dp-4, 0x1.2a79ba30bf5b7p-4, 0x1.2548530400d09p-4, 0x1.20288b57b3e43p-4, 0x1.1b1a4a4fa6123p-4, 0x1.161d763ac5861p-4, 0x1.1131f49b1ff46p-4, 0x1.0c57aa2dc5a94p-4, 0x1.078e7af28fbc4p-4, 0x1.02d64a33cfed6p-4, 0x1.fc5df51bc2bc1p-5, 0x1.f330dbed38871p-5, 0x1.ea250b895ec64p-5, 0x1.e13a456db74b6p-5, 0x1.d87049f627c03p-5, 0x1.cfc6d86af27ep-5, 0x1.c73daf0e7fe5fp-5, 0x1.bed48b2ae4858p-5, 0x1.b68b291f2b107p-5, 0x1.ae61446c64a72p-5, 0x1.a65697c272646p-5, 0x1.9e6add0c99165p-5, 0x1.969dcd7dd4edep-5, 0x1.8eef219ce61c6p-5, 0x1.875e9150311bp-5, 0x1.7febd3e94b906p-5, 0x1.7896a0305a69bp-5, 0x1.715eac6f2340bp-5, 0x1.6a43ae7bed8d6p-5, 0x1.63455bc419409p-5, 0x1.5c6369567fe3fp-5, 0x1.559d8bed94481p-5, 0x1.4ef377f93ea4cp-5, 0x1.4864e1a8833efp-5, 0x1.41f17cf2eb7b6p-5, 0x1.3b98fda1aa55ap-5, 0x1.355b175890fdp-5, 0x1.2f377d9eb9e8ep-5, 0x1.292de3e6fecbcp-5, 0x1.233dfd98390b5p-5, 0x1.1d677e15390a3p-5, 0x1.17aa18c492dddp-5, 0x1.1205811829944p-5, 0x1.0c796a948395dp-5, 0x1.070588d7e444fp-5, 0x1.01a98fa131318p-5, 0x1.f8ca65ad3a7cp-6, 0x1.ee704d18488adp-6, 0x1.e4443e1387cd7p-6, 0x1.da45a1a32e3a4p-6, 0x1.d073e14b3b816p-6, 0x1.c6ce671ad4af8p-6, 0x1.bd549db728e4cp-6, 0x1.b405f065e6282p-6, 0x1.aae1cb176b61cp-6, 0x1.a1e79a7071d0ep-6, 0x1.9916cbd37cce3p-6, 0x1.906ecd69d0855p-6, 0x1.87ef0e2c1659ap-6, 0x1.7f96fdeaa954ep-6, 0x1.77660d558cbc5p-6, 0x1.6f5bae0400d5ap-6, 0x1.6777527bd099fp-6, 0x1.5fb86e3835262p-6, 0x1.581e75b07ec41p-6, 0x1.50a8de5e6278bp-6, 0x1.49571ec3f53d4p-6, 0x1.4228ae715e098p-6, 0x1.3b1d060a466d2p-6, 0x1.34339f4ae8a41p-6, 0x1.2d6bf50ce8e49p-6, 0x1.26c5834be632ap-6, 0x1.203fc729bbaeap-6, 0x1.19da3ef28072dp-6, 0x1.13946a2054128p-6, 0x1.0d6dc95edcfcep-6, 0x1.0765de8e84ba8p-6, 0x1.017c2cc782e8fp-6, 0x1.f76070b9386c3p-7, 0x1.ec030dbb7280dp-7, 0x1.e0df3e347f12ep-7, 0x1.d5f4124648153p-7, 0x1.cb409c99bc3e6p-7, 0x1.c0c3f26229886p-7, 0x1.b67d2b604778p-7, 0x1.ac6b61e4d39d6p-7, 0x1.a28db2d2ccf93p-7, 0x1.98e33da1581f9p-7, 0x1.8f6b245d40d6dp-7, 0x1.86248baa3dcap-7, 0x1.7d0e9ac3ad1f6p-7, 0x1.74287b7d3d5afp-7, 0x1.6b715a42fb713p-7, 0x1.62e86619667b6p-7, 0x1.5a8cd09ce89bdp-7, 0x1.525dce01541aep-7, 0x1.4a5a9510d5301p-7, 0x1.42825f2ad7d3fp-7, 0x1.3ad468428278ap-7, 0x1.334feedd0a566p-7, 0x1.2bf4340fcc77bp-7, 0x1.24c07b7e117c7p-7, 0x1.1db40b56c6ceap-7, 0x1.16ce2c51ce918p-7, 0x1.100e29ad43be3p-7, 0x1.0973512a80544p-7, 0x1.02fcf30aec5e2p-7, 0x1.f954c41939187p-8, 0x1.ecf5e6cdc0b0dp-8, 0x1.e0dbfd8cf13fap-8, 0x1.d505bc93c6b11p-8, 0x1.c971dcfa74231p-8, 0x1.be1f1cac5c003p-8, 0x1.b30c3e5f668ap-8, 0x1.a838098b4fa9ep-8, 0x1.9da14a608309bp-8, 0x1.9346d1befab62p-8, 0x1.8927752cb161ap-8, 0x1.7f420ecbea6ffp-8, 0x1.75957d516d0dfp-8, 0x1.6c20a3fa60fedp-8, 0x1.62e26a8209ea2p-8, 0x1.59d9bd1782a9fp-8, 0x1.51058c530e336p-8, 0x1.4864cd2b896d6p-8, 0x1.3ff678eb7cc45p-8, 0x1.37b98d263f78ep-8, 0x1.2fad0bace49c6p-8, 0x1.27cffa831f0a2p-8, 0x1.202163d3fb71ap-8, 0x1.18a055e68783dp-8, 0x1.114be31282228p-8, 0x1.0a2321b4d4acep-8, 0x1.03252c2406625p-8, 0x1.f8a241498c942p-9, 0x1.eb4c42bc6a6bfp-9, 0x1.de46a89c6becp-9, 0x1.d18fc67bc567fp-9, 0x1.c525f76b48073p-9, 0x1.b9079de35def2p-9, 0x1.ad3323ac3d74fp-9, 0x1.a1a6f9c6aeac6p-9, 0x1.96619854512d3p-9, 0x1.8b617e8073a5fp-9, 0x1.80a5326868443p-9, 0x1.762b41044bf43p-9, 0x1.6bf23e0f7dafcp-9, 0x1.61f8c3f16d1p-9, 0x1.583d73a6669d6p-9, 0x1.4ebef4a86ad2ep-9, 0x1.457bf4d8361aep-9, 0x1.3c73286612c0dp-9, 0x1.33a349bb34cf2p-9, 0x1.2b0b19629aa45p-9, 0x1.22a95df2dde8ep-9, 0x1.1a7ce3f75330bp-9, 0x1.12847dd9ae785p-9, 0x1.0abf03cbe34dcp-9, 0x1.032b53b1d7608p-9, 0x1.f790a21715725p-10, 0x1.e929c9beb5eddp-10, 0x1.db1ffb47fbdbdp-10, 0x1.cd711e569da23p-10, 0x1.c01b25199495ep-10, 0x1.b31c0c20e6981p-10, 0x1.a671da337d35bp-10, 0x1.9a1aa025b0ebep-10, 0x1.8e1478affcf4dp-10, 0x1.825d8845f581ep-10, 0x1.76f3fcede5b8cp-10, 0x1.6bd60e1880d38p-10, 0x1.6101fc7940a52p-10, 0x1.567611defb489p-10, 0x1.4c30a10cbe9eap-10, 0x1.423005936a125p-10, 0x1.3872a3ab918cbp-10, 0x1.2ef6e80f4e647p-10, 0x1.25bb47d5eb6f3p-10, 0x1.1cbe404dcb55bp-10, 0x1.13fe56d8c3288p-10, 0x1.0b7a18c77c221p-10, 0x1.03301b35e5fd1p-10, 0x1.f63df5d089558p-11, 0x1.e68ab8502b3b2p-11, 0x1.d743d543a6e36p-11, 0x1.c866b2857cd8cp-11, 0x1.b9f0c42f34a2bp-11, 0x1.abdf8c570b8d1p-11, 0x1.9e309acf2972ep-11, 0x1.90e18ce413e1bp-11, 0x1.83f00d1dd19ccp-11, 0x1.7759d300777afp-11, 0x1.6b1ca2cf1b1c2p-11, 0x1.5f364d4e183acp-11, 0x1.53a4af8723d5cp-11, 0x1.4865b28de2a21p-11, 0x1.3d774b457ff6dp-11, 0x1.32d77a268de9p-11, 0x1.28844b06866f2p-11, 0x1.1e7bd4e048b8cp-11, 0x1.14bc399c27bcp-11, 0x1.0b43a5d9a547ep-11, 0x1.021050ba03756p-11, 0x1.f240f757ad268p-12, 0x1.e0e4e46cd39f1p-12, 0x1.d009138ec66cap-12, 0x1.bfaa430003d1p-12, 0x1.afc54407ccc72p-12, 0x1.a056fa9030844p-12, 0x1.915c5cc5bc29ep-12, 0x1.82d272ba4c8ep-12, 0x1.74b6560724aa6p-12, 0x1.6705317268ca3p-12, 0x1.59bc4094a6541p-12, 0x1.4cd8cf80d9bcbp-12, 0x1.40583a6d45e4bp-12, 0x1.3437ed5eb1c0cp-12, 0x1.287563d350705p-12, 0x1.1d0e2871e471cp-12, 0x1.11ffd4b80950dp-12, 0x1.074810a9bca2cp-12, 0x1.f9c9250782fd5p-13, 0x1.e5a63cdd041ebp-13, 0x1.d2230c65bf486p-13, 0x1.bf3b51deeb32cp-13, 0x1.aceae5a04e23ep-13, 0x1.9b2db98d11d6ep-13, 0x1.89ffd886528b5p-13, 0x1.795d65e0d9a08p-13, 0x1.69429cdf4e4e2p-13, 0x1.59abd02bbfba7p-13, 0x1.4a95695679bfbp-13, 0x1.3bfbe853f067ap-13, 0x1.2ddbe300c9c17p-13, 0x1.203204a5467d6p-13, 0x1.12fb0d7c84d19p-13, 0x1.0633d23dd6cbfp-13, 0x1.f3b277512e81p-14, 0x1.dbd08c24e8a37p-14, 0x1.c4bc01eb451c3p-14, 0x1.ae6f1d096d375p-14, 0x1.98e4467a5c391p-14, 0x1.84160afdbc648p-14, 0x1.6fff1a4900542p-14, 0x1.5c9a463c49d14p-14, 0x1.49e2821a091c2p-14, 0x1.37d2e1c604371p-14, 0x1.26669904882b7p-14, 0x1.1598fabe6290bp-14, 0x1.0565784aaf34fp-14, 0x1.eb8f4175e8eeap-15, 0x1.cd76405a0f64ap-15, 0x1.b0777e3510f28p-15, 0x1.948ac364a8989p-15, 0x1.79a80e60c8dd2p-15, 0x1.5fc7927d0fdc3p-15, 0x1.46e1b6a8094a1p-15, 0x1.2eef1437e8c7ap-15, 0x1.17e875b5a6f5cp-15, 0x1.01c6d5b80fe0bp-15, 0x1.d906bb785264bp-16, 0x1.b02eca0e0798bp-16, 0x1.88f8df212662p-16, 0x1.635859e06917fp-16, 0x1.3f40eeaaacaap-16, 0x1.1ca6a4fed90c7p-16, 0x1.f6fbaaebc0609p-17, 0x1.b7764fa28b2a4p-17, 0x1.7aa7221bfb69p-17, 0x1.4078a317c9e2dp-17, 0x1.08d5e661c1d52p-17, 0x1.a7551e8bbfe27p-18, 0x1.41c59a1b80df3p-18, 0x1.c1ad5e523adfp-19, 0x1.08c5af8da4d73p-19, 0x1.622c8efef29afp-21, -0x1.3d2539df526f9p-21, -0x1.ddf98421273f7p-20, -0x1.86d26fec6a80ap-19, -0x1.0b85dd60b8fb4p-18, -0x1.4ff41d88ca6c5p-18, -0x1.90d2e52a14726p-18, -0x1.ce40470af3e51p-18, -0x1.042cc0c9fbbb5p-17, -0x1.1f9d820e6aef3p-17, -0x1.39803a0fa803p-17, -0x1.51e25915b957ap-17, -0x1.68d0ef8c72439p-17, -0x1.7e58b05e85c9p-17, -0x1.9285f35e05b87p-17, -0x1.a564b79b49132p-17, -0x1.b700a59e571d7p-17, -0x1.c76511a12086cp-17, -0x1.d69cfdba88574p-17, -0x1.e4b31bfc367b9p-17, -0x1.f1b1d06ff7837p-17, -0x1.fda33327005bap-17, -0x1.0448891a12c85p-16, -0x1.094279cbfcf6p-16, -0x1.0dc40b8b85a7dp-16, -0x1.11d1bc0767e4p-16, -0x1.156fe79cbac1dp-16, -0x1.18a2ca3746981p-16, -0x1.1b6e802c305f4p-16, -0x1.1dd707086d0e9p-16, -0x1.1fe03e6b9557dp-16, -0x1.218de8c683c75p-16, -0x1.22e3ac2436d4p-16, -0x1.23e512eb91b7ep-16, -0x1.24958c91b591cp-16, -0x1.24f86e56df524p-16, -0x1.2510f3f824807p-16, -0x1.24e2405fb4f81p-16, -0x1.246f5e4d90132p-16, -0x1.23bb40f759201p-16, -0x1.22c8c4b0c816cp-16, -0x1.219aaf80b1edbp-16, -0x1.2033b1c1441bdp-16, -0x1.1e9666b0a4822p-16, -0x1.1cc55503f68acp-16, -0x1.1ac2ef7b0ea9bp-16, -0x1.18919563a3af9p-16, -0x1.1633932333cdcp-16, -0x1.13ab22bada33cp-16, -0x1.10fa6c430e75dp-16, -0x1.0e23866b78c94p-16, -0x1.0b2876f573a4fp-16, -0x1.080b332a335fp-16, -0x1.04cda04eb76b2p-16, -0x1.01719413f54e4p-16, -0x1.fbf1aa0a8f63cp-17, -0x1.f4ca35dfc4e15p-17, -0x1.ed701ea0ba7b3p-17, -0x1.e5e69b64f55b7p-17, -0x1.de30c8320f441p-17, -0x1.d651a6b7794c4p-17, -0x1.ce4c1f0ca1a9ap-17, -0x1.c62300632a3bfp-17, -0x1.bdd901bf9fa08p-17, -0x1.b570c29f03b5p-17, -0x1.aceccba3dc0bp-17, -0x1.a44f8f369b874p-17, -0x1.9b9b6a2deabc2p-17, -0x1.92d2a45fb8f48p-17, -0x1.89f7713f3a215p-17, -0x1.810bf072acb21p-17, -0x1.78122e608f6f6p-17, -0x1.6f0c24ba2c3a6p-17, -0x1.65fbbb05464d2p-17, -0x1.5ce2c7223f6ffp-17, -0x1.53c30dcc1a53bp-17, -0x1.4a9e4314147ffp-17, -0x1.41760ade63144p-17, -0x1.384bf95906e7bp-17, -0x1.2f219371ce3f5p-17, -0x1.25f84f435d093p-17, -0x1.1cd1948412414p-17, -0x1.13aebcf29d067p-17, -0x1.0a9114bac0ca5p-17, -0x1.0179dadd7089dp-17, -0x1.f0d4831e5351cp-18, -0x1.dec6dd410f4cep-18, -0x1.ccccf7a408d48p-18, -0x1.bae8ee6755f91p-18, -0x1.a91cc6f8f5564p-18, -0x1.976a70c48cd12p-18, -0x1.85d3c5d36892cp-18, -0x1.745a8b6db95e5p-18, -0x1.630072c3bd29ap-18, -0x1.51c719794b8a7p-18, -0x1.40b00a3eb14f1p-18, -0x1.2fbcbd7351a44p-18, -0x1.1eee999eb127dp-18, -0x1.0e46f3fd6bc64p-18, -0x1.fb8e2227202adp-19, -0x1.dae04a395809ap-19, -0x1.ba86a9325ac0ap-19, -0x1.9a836985f398cp-19, -0x1.7ad8980a52f5cp-19, -0x1.5b8824e27befep-19, -0x1.3c93e462dbbd5p-19, -0x1.1dfd8ffd230b3p-19, -0x1.ff8d8de78f6c2p-20, -0x1.c3e21e884dbefp-20, -0x1.88fbacccb9014p-20, -0x1.4edce42bc4116p-20, -0x1.1588422020307p-20, -0x1.ba002f2fc65c8p-21, -0x1.4a8d14f86d373p-21, -0x1.b9765b221c7edp-22, -0x1.c23881a9df2e6p-23, -0x1.8251b21fe6267p-27, 0x1.8b4147c495359p-23, 0x1.93f7cae019a44p-22, 0x1.2f76f64d440b3p-21, 0x1.933f4b98c5b02p-21, 0x1.f552eec34e042p-21, 0x1.2ad814a415221p-20, 0x1.5a2ac1330d39cp-20, 0x1.88a0deaeebefep-20, 0x1.b639ebaa7c1c9p-20, 0x1.e2f582973b0d9p-20, 0x1.0769ac7afbf94p-19, 0x1.1ce99f2d5df6dp-19, 0x1.31fa8db9e3f2ap-19, 0x1.469c78a271e91p-19, 0x1.5acf6c26ea035p-19, 0x1.6e937fdafd95ep-19, 0x1.81e8d62cefe75p-19, 0x1.94cf9c19814fp-19, 0x1.a74808c2235a5p-19, 0x1.b9525d0917e1dp-19, 0x1.caeee33ec7296p-19, 0x1.dc1deec8e01fbp-19, 0x1.ecdfdbc1fabacp-19, 0x1.fd350eadb53dcp-19, 0x1.068efa1190c7cp-18, 0x1.0e4d80431cef2p-18, 0x1.15d657dadac8ap-18, 0x1.1d29c25ba886cp-18, 0x1.244804bbeb184p-18, 0x1.2b316741a9152p-18, 0x1.31e6355def396p-18, 0x1.3866bd8e2bea7p-18, 0x1.3eb3513ac3f5fp-18, 0x1.44cc449eac9e6p-18, 0x1.4ab1ee99eb0ffp-18, 0x1.5064a89fcc5adp-18, 0x1.55e4ce9362603p-18, 0x1.5b32beaf2e966p-18, 0x1.604ed966bf8f3p-18, 0x1.6539815297317p-18, 0x1.69f31b0d4f65ep-18, 0x1.6e7c0d24c53b4p-18, 0x1.72d4bff6c8d79p-18, 0x1.76fd9da277043p-18, 0x1.7af711f1087f1p-18, 0x1.7ec18a3c4326ep-18, 0x1.825d7556095cbp-18, 0x1.85cb43778a72fp-18, 0x1.890b662a311fdp-18, 0x1.8c1e5036a6181p-18, 0x1.8f04759062fb5p-18, 0x1.91be4b47fe91p-18, 0x1.944c476fc419ep-18, 0x1.96aee1107b18ep-18, 0x1.98e6901a2c6ebp-18, 0x1.9af3cd49477bp-18, 0x1.9cd71220bf87ap-18, 0x1.9e90d8d6601c8p-18, 0x1.a0219c46e6fadp-18, 0x1.a189d7e0c1bf5p-18, 0x1.a2ca079ea6f47p-18, 0x1.a3e2a7ef9c34ap-18, 0x1.a4d435b2341aap-18, 0x1.a59f2e2877d06p-18, 0x1.a6440ee55905cp-18, 0x1.a6c355c0ca7aep-18, 0x1.a71d80cbd4378p-18, 0x1.a7530e45eb716p-18, 0x1.a7647c929e9c4p-18, 0x1.a7524a2fd42fap-18, 0x1.a71cf5aa970cp-18, 0x1.a6c4fd96edf68p-18, 0x1.a64ae07fb5cbfp-18, 0x1.a5af1ce47e717p-18, 0x1.a4f2312a60a76p-18, 0x1.a4149b9465a27p-18, 0x1.a316da3baf3bbp-18, 0x1.a1f96b093c4bfp-18, 0x1.a0bccbad9b8cp-18, 0x1.9f617993a2c09p-18, 0x1.9de7f1dde430cp-18, 0x1.9c50b15b08e7fp-18, 0x1.9a9c34866448ap-18, 0x1.98caf77f87cc2p-18, 0x1.96dd75faf1ecap-18, 0x1.94d42b41b232dp-18, 0x1.92af922a7addbp-18, 0x1.907025119c652p-18, 0x1.8e165dd570e7ap-18, 0x1.8ba2b5d10e05bp-18, 0x1.8915a5d7d3d09p-18, 0x1.866fa630d032ap-18, 0x1.83b12e8e603b1p-18, 0x1.80dab60826e9bp-18, 0x1.7decb31ae0824p-18, 0x1.7ae79ba1e49c9p-18, 0x1.77cbe4cf7b017p-18, 0x1.749a032f7939cp-18, 0x1.71526aa0b1991p-18, 0x1.6df58e4fe55f8p-18, 0x1.6a83e0b1030e8p-18, 0x1.66fdd37e29ebp-18, 0x1.6363d7b888817p-18, 0x1.5fb65da5c1ae6p-18, 0x1.5bf5d4c59ab3p-18, 0x1.5822abcf5cc92p-18, 0x1.543d50b1c38d8p-18, 0x1.5046309212f55p-18, 0x1.4c3db7c426b42p-18, 0x1.482451ccf7953p-18, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      40, 0x1.9eb851eb851ecp+2, 0x1.8342462b20431p+0, 0x1.9a533068ec1cep+0, -0x1.77feadc6dcc07p-10, 
      {{
        {0x1.21eb851eb851fp+2, 0x1.2333333333333p+2, 0x1.f3eb32efa9c42p-9, -0x1.04286957eaac8p-7, 0x1.898c70f9f0ce4p-8, -0x1.c1fbbe6d7247bp-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.df6b4dd43c981p-9, -0x1.f8b571ae510cep-8, 0x1.82cc8151e621dp-8, -0x1.c1fa6175e8551p-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.aedaa998f37f8p-9, -0x1.d2df620d3a504p-8, 0x1.71ecb743e09ebp-8, -0x1.c1f8c4fb8fd4ap-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.81fd07396c8dcp-9, -0x1.aeb94c4126d6cp-8, 0x1.610cfcada4d34p-8, -0x1.c1f6fa1351946p-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.58a73434e5588p-9, -0x1.8c432ea7d2d46p-8, 0x1.502d534ceb5dcp-8, -0x1.c1f5e7535b457p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.32adfe32f9111p-9, -0x1.6b7d07e116814p-8, 0x1.3f4db439cb24ep-8, -0x1.c1d81e94aedefp-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.0fe6336e2f0dap-9, -0x1.4c66c91d2ff57p-8, 0x1.2e6f331437c95p-8, -0x1.c1c8ce2414349p-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.e049489853eb3p-10, -0x1.2f005cb66ee6p-8, 0x1.1d9144f2dd6ddp-8, -0x1.c172f3a709bf2p-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.a67c480e37889p-10, -0x1.1349921d57032p-8, 0x1.0cb68f0300433p-8, -0x1.c227e0a27841p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.720f1162fb8f3p-10, -0x1.f2852de8c4d2dp-9, 0x1.f7aa206037819p-9, -0x1.bd6bae57c4981p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.42ab631c9fb6dp-10, -0x1.c1d2f872094a7p-9, 0x1.d6420ce66f29ap-9, -0x1.ad74e92afbf78p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.17fc13e71230ap-10, -0x1.9468a4d46f1eep-9, 0x1.b60c7b699c43fp-9, -0x1.9e68a823429fbp-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.e35d4f3309e0fp-11, -0x1.6a286d995d812p-9, 0x1.96f7d533c411ap-9, -0x1.8f1d263793083p-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.9ee71e68f71d3p-11, -0x1.42f531b3c1ce7p-9, 0x1.7908d8bc65d7p-9, -0x1.7fe2972b1fe1fp-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.61fc51dcf7927p-11, -0x1.1eb1a3a2add2ap-9, 0x1.5c3e409929d97p-9, -0x1.70a37d85c4493p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.2c0980681b007p-11, -0x1.fa81039cd93a7p-10, 0x1.409863fbee53fp-9, -0x1.61659b64c4d84p-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.f902369eeae02p-12, -0x1.bd090edc7f854p-10, 0x1.26172b8792c3ep-9, -0x1.522765cb42f94p-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.a5b6dc883e62fp-12, -0x1.84c0e128aafd7p-10, 0x1.0cba9d7eba8adp-9, -0x1.42e9468f6cb5dp-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.5d2d3ec669b77p-12, -0x1.516df23065da8p-10, 0x1.e9057067f1934p-10, -0x1.33ab21556831p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1e6d5e6bae9f5p-12, -0x1.22d5b9c229ffbp-10, 0x1.badef834bb8cp-10, -0x1.246cfdb67594ep-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d115e2c4aecccp-13, -0x1.f17b5f4809da4p-11, 0x1.8f01d22629e94p-10, -0x1.152ed9a962617p-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.754ac4d96dd3cp-13, -0x1.a5d6973c8be84p-11, 0x1.656dfe4cc18e1p-10, -0x1.05f0b5b9cc3c7p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.27cfa24a51295p-13, -0x1.62480af143241p-11, 0x1.3e237ca4161ebp-10, -0x1.ed652384a5d26p-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.ce2447f84185ap-14, -0x1.265aa9f5eb7a2p-11, 0x1.19224d2d567b2p-10, -0x1.cee8db99ed5f8p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.632eb9076b6b1p-14, -0x1.e332c7b4555d5p-12, 0x1.ecd4dfd062f4fp-11, -0x1.b06c93adf7befp-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.0bf7904bf465ep-14, -0x1.871e505b587d9p-12, 0x1.abf7c9a97dcbbp-11, -0x1.91f04bc2de884p-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.8bcd335fa6261p-15, -0x1.378dcd0035dedp-12, 0x1.6fad57e5dc6abp-11, -0x1.737403d570247p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.1d24e8fa409e4p-15, -0x1.e72e39847ac7cp-13, 0x1.37f58a85d8657p-11, -0x1.54f7bbf08ec85p-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.8f024d785cc29p-16, -0x1.74a03d81ad9e7p-13, 0x1.04d0618829603p-11, -0x1.367b73ebd0efdp-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.0d94f17454281p-16, -0x1.159d643620c73p-13, 0x1.ac7bb9e32dabfp-12, -0x1.17ff2c5dc1165p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.5d1c4724cb97ep-17, -0x1.90a2d7c51708cp-14, 0x1.587bf960a6f27p-12, -0x1.f305c62a96feap-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.acd65bf462ep-18, -0x1.15d0257bdde83p-14, 0x1.0da1820d76b2fp-12, -0x1.b60d407e61181p-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.ec7262fbe97p-19, -0x1.6e345c8e253e5p-15, 0x1.97d8a3f50378bp-13, -0x1.79148ab536f02p-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.02b48f2960cffp-19, -0x1.c361b73ad3684p-16, 0x1.26b8e0bea62fp-13, -0x1.3c1c887a1af26p-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.e1006748f3cp-21, -0x1.fb131d61eb12ap-17, 0x1.8fc7093409007p-14, -0x1.fe43d048fe6bap-13}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.75e262deaa801p-22, -0x1.f0f80c1bb2e3cp-18, 0x1.ed65623c4627bp-15, -0x1.846219552d911p-13}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.b55b85f91dfffp-24, -0x1.86ed9badecb0bp-19, 0x1.045db96f9138p-15, -0x1.0a3777b9247abp-13}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.33f55dfec0001p-26, -0x1.98816a1df102ap-21, 0x1.928b6001ed55ap-17, -0x1.2239ee0a3d6b4p-14}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.502b9513p-30, -0x1.5869d12581ddap-24, 0x1.b22edfad1ce12p-20, -0x1.4c1c0b439bf14p-17}, 
        {0x1.9cccccccccccdp+2, 0x1.9eb851eb851ecp+2, 0x1.5e784ceeb351ep-36, 0x1.f7456b8cef46p-28, 0x1.1d369146413b7p-23, -0x1.236f53664d62ap-14}, 
      }}, 
      0x1.86cd1e2711e12p-9, -0x1.2ecb81a5e6376p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.cf285fc32ed44p-6, 0x1.cd7187747892p-5, 0x1.57fa82d37055ep-4, 0x1.c6ce76a01ef05p-4, 0x1.19441a04c9f0ap-3, 0x1.4d48c7a66bdd8p-3, 0x1.7f3582187cd43p-3, 0x1.aed59664c39c5p-3, 0x1.dbfec8cfc0395p-3, 0x1.0348445e4e41fp-2, 0x1.173985953bb8cp-2, 0x1.29cb2eb6fa1cbp-2, 0x1.3af8bd89272f9p-2, 0x1.4ac0b70eab0f1p-2, 0x1.59243f389f719p-2, 0x1.6626b98a70463p-2, 0x1.71cd733456b0ep-2, 0x1.7c1f56ba358f4p-2, 0x1.8524a8a3e59d3p-2, 0x1.8ce6cc7924eccp-2, 0x1.937011338a9f4p-2, 0x1.98cb8439e48a2p-2, 0x1.9d04c9fd4e484p-2, 0x1.a027fb72563c4p-2, 0x1.a24187b652269p-2, 0x1.a35e194df88a5p-2, 0x1.a38a7e7f0a619p-2, 0x1.a2d3945757368p-2, 0x1.a146340382a09p-2, 0x1.9eef2229d8ea7p-2, 0x1.9bdb00129972ep-2, 0x1.98163e7eb610dp-2, 0x1.93ad121a1a977p-2, 0x1.8eab697958131p-2, 0x1.891ce48d080c8p-2, 0x1.830ccd735bdc6p-2, 0x1.7c86128bcbce1p-2, 0x1.759341a794a31p-2, 0x1.6e3e844f43f17p-2, 0x1.66919ce6a22edp-2, 0x1.5e95e4b4de0f8p-2, 0x1.56544ab216d9ap-2, 0x1.4dd552fe089cap-2, 0x1.452116f9545b6p-2, 0x1.3c3f46017550bp-2, 0x1.333726b5262b4p-2, 0x1.2a0f984973e9p-2, 0x1.20cf14dd3aed9p-2, 0x1.177bb42c642bbp-2, 0x1.0e1b2d06c3d69p-2, 0x1.04b2d9acc04aap-2, 0x1.f68f74fa5635dp-3, 0x1.e3bceeec3c36p-3, 0x1.d0f6ceed77c78p-3, 0x1.be451d7ab65acp-3, 0x1.abaf4cf942a9ap-3, 0x1.993c3d3284258p-3, 0x1.86f23f1b776fbp-3, 0x1.74d72536489fbp-3, 0x1.62f03b6f0145ap-3, 0x1.51425fc2db53ap-3, 0x1.3fd1f4da2b774p-3, 0x1.2ea2fbfae58d1p-3, 0x1.1db90823c73d3p-3, 0x1.0d17547c2b1a4p-3, 0x1.f981767805409p-4, 0x1.d96f8c8daaf1dp-4, 0x1.b9fd55e1bddfp-4, 0x1.9b2ea956238ap-4, 0x1.7d06c9d1d23fdp-4, 0x1.5f8872de443ffp-4, 0x1.42b5dd1484941p-4, 0x1.2690c61c3dd52p-4, 0x1.0b1a7681ae2edp-4, 0x1.e0a78ff321492p-5, 0x1.ac7a566b8c59p-5, 0x1.79ad5b5819434p-5, 0x1.483ffe88e42c4p-5, 0x1.1830f008a62afp-5, 0x1.d2fc76d66cbabp-6, 0x1.784aa63bb29edp-6, 0x1.20463759fed14p-6, 0x1.95cfdbd3a057cp-7, 0x1.e09e794c5471fp-8, 0x1.3fe219e5391b5p-9, -0x1.2d1f6c19fe9dfp-9, -0x1.c30dbb2b6425p-8, -0x1.72dab1d1208d2p-7, -0x1.ff5a9ea71c42cp-7, -0x1.438f6f505bc9dp-6, -0x1.85203f85ac13dp-6, -0x1.c46ca079c886ep-6, -0x1.00c0def004a55p-5, -0x1.1e3680612ecbfp-5, -0x1.3a9e0136c7be5p-5, -0x1.55fe4014f5819p-5, -0x1.705e27dcc983fp-5, -0x1.89c4aa4bd645dp-5, -0x1.a238baf7dca73p-5, -0x1.b9c14aa6da61dp-5, -0x1.d06542f75ac78p-5, -0x1.e62b8254f95dep-5, -0x1.fb1ad8416b372p-5, -0x1.079d00e7ecd29p-4, -0x1.1147d33d1c3dep-4, -0x1.1a912a9878492p-4, -0x1.237c40d1cb4cbp-4, -0x1.2c0c40f96e9acp-4, -0x1.3444463d40271p-4, -0x1.3c275aff4f9a6p-4, -0x1.43b878106ccddp-4, -0x1.4afa83f0d99c2p-4, -0x1.51f0524f805d8p-4, -0x1.589ca38bf41aep-4, -0x1.5f02244772e29p-4, -0x1.65236d2f9e35fp-4, -0x1.6b0302b2b968bp-4, -0x1.70a354d047a43p-4, -0x1.7606bf1a756c7p-4, -0x1.7b2f889607682p-4, -0x1.801fe3bdd7019p-4, -0x1.84d9eeb687a3dp-4, -0x1.895fb359ee54ap-4, -0x1.8db327634c8fdp-4, -0x1.91d62cd289fdp-4, -0x1.95ca9220070e4p-4, -0x1.9992128421301p-4, -0x1.9d2e567cd0545p-4, -0x1.a0a0f424111fp-4, -0x1.a3eb6f848525fp-4, -0x1.a70f3b2c222a2p-4, -0x1.aa0db89f77ee5p-4, -0x1.ace838b5c7808p-4, -0x1.af9ffc25648b9p-4, -0x1.b236340b5e12ep-4, -0x1.b4ac0254107a5p-4, -0x1.b7027a3a4fdcfp-4, -0x1.b93aa0d5c5c8dp-4, -0x1.bb556d9389c58p-4, -0x1.bd53caaf07433p-4, -0x1.bf3695bd43b02p-4, -0x1.c0fea02db44cdp-4, -0x1.c2acafc0fd78ap-4, -0x1.c4417f1248ad5p-4, -0x1.c5bdbe1c22fd2p-4, -0x1.c72212a4a56a1p-4, -0x1.c86f18bb31524p-4, -0x1.c9a56349d7be6p-4, -0x1.cac57c81c492cp-4, -0x1.cbcfe635364p-4, -0x1.ccc51a5c98112p-4, -0x1.cda58ba2dff85p-4, -0x1.ce71a5b97be4cp-4, -0x1.cf29cda110d99p-4, -0x1.cfce6229ee3e3p-4, -0x1.d05fbc7c9605dp-4, -0x1.d0de30607d9ap-4, -0x1.d14a0c6c1c119p-4, -0x1.d1a39a728072fp-4, -0x1.d1eb200e532dcp-4, -0x1.d220deebff974p-4, -0x1.d24514ded03c5p-4, -0x1.d257fc299a9dcp-4, -0x1.d259cc076e0c8p-4, -0x1.d24ab90a63997p-4, -0x1.d22af527244b7p-4, -0x1.d1faafcb6c529p-4, -0x1.d1ba164763d9fp-4, -0x1.d1695444c9a47p-4, -0x1.d10893ed4d3f3p-4, -0x1.d097fddd85c4dp-4, -0x1.d017b94b022d9p-4, -0x1.cf87ec703ea1cp-4, -0x1.cee8bce473c61p-4, -0x1.ce3a4fa1a499fp-4, -0x1.cd7cc8ee224e8p-4, -0x1.ccb04c820003cp-4, -0x1.cbd4fde78e36ep-4, -0x1.caeb00bf6f561p-4, -0x1.c9f278b78757fp-4, -0x1.c8eb896a6584ap-4, -0x1.c7d656776fa18p-4, -0x1.c6b303d37bd19p-4, -0x1.c581b6041ea38p-4, -0x1.c44292157be8ap-4, -0x1.c2f5bd7221599p-4, -0x1.c19b5de43a73bp-4, -0x1.c03399ced78efp-4, -0x1.bebe9866db3c4p-4, -0x1.bd3c81b648745p-4, -0x1.bbad7e754a105p-4, -0x1.ba11b7f0ea9fbp-4, -0x1.b8695823171dfp-4, -0x1.b6b489e4dc981p-4, -0x1.b4f37906d7f4cp-4, -0x1.b326523ab8083p-4, -0x1.b14d42eaec3e3p-4, -0x1.af68792cc4bd6p-4, -0x1.ad7823dad9524p-4, -0x1.ab7c72b919d01p-4, -0x1.a975967af2ceep-4, -0x1.a763c0a53ed8fp-4, -0x1.a547236928e0ap-4, -0x1.a31ff198f8b98p-4, -0x1.a0ee5ebc3216ap-4, -0x1.9eb29f282b062p-4, -0x1.9c6ce7fffdde9p-4, -0x1.9a1d6f18b7edbp-4, -0x1.97c46ad790fap-4, -0x1.95621222c07dp-4, -0x1.92f69c6afe1c3p-4, -0x1.908241bc5845dp-4, -0x1.8e053abfeb4afp-4, -0x1.8b7fc0a7b85a6p-4, -0x1.88f20d10a9adfp-4, -0x1.865c59ed4f2aep-4, -0x1.83bee1834daa5p-4, -0x1.8119de74d3d5cp-4, -0x1.7e6d8bc5c67ddp-4, -0x1.7bba24d1c41b8p-4, -0x1.78ffe5356ef23p-4, -0x1.763f08b6ab178p-4, -0x1.7377cb3718a8dp-4, -0x1.70aa68b354eb3p-4, -0x1.6dd71d474a074p-4, -0x1.6afe252cfc0d5p-4, -0x1.681fbcb0f425fp-4, -0x1.653c201f58143p-4, -0x1.62538bb14de51p-4, -0x1.5f663b81666b7p-4, -0x1.5c746b887895dp-4, -0x1.597e579e36152p-4, -0x1.56843b77210dap-4, -0x1.5386529c1d867p-4, -0x1.5084d85c4a4dep-4, -0x1.4d8007bd4ab2p-4, -0x1.4a781b6f31f8fp-4, -0x1.476d4dc6beb0ep-4, -0x1.445fd8bc3b3b1p-4, -0x1.414ff5eaa83a3p-4, -0x1.3e3dde8b3a595p-4, -0x1.3b29cb6bbc44cp-4, -0x1.3813f4e1a8f6fp-4, -0x1.34fc92be26519p-4, -0x1.31e3dc468276fp-4, -0x1.2eca0831b1adp-4, -0x1.2baf4ca8071d9p-4, -0x1.2893df4192d8ap-4, -0x1.2577f500e304ep-4, -0x1.225bc24a35153p-4, -0x1.1f3f7ad971e61p-4, -0x1.1c2351ba2f6aep-4, -0x1.190779438a769p-4, -0x1.15ec23171f8ddp-4, -0x1.12d1802096f82p-4, -0x1.0fb7c09393edfp-4, -0x1.0c9f13e75fc28p-4, -0x1.0987a8d0d0c2ap-4, -0x1.0671ad3be9796p-4, -0x1.035d4e470f0a6p-4, -0x1.004ab84095dbbp-4, -0x1.fa742d4bf210ap-5, -0x1.f45728468a644p-5, -0x1.ee3eb52345582p-5, -0x1.e82b25e9ca42fp-5, -0x1.e21ccaf0fc48bp-5, -0x1.dc13f2d8c2426p-5, -0x1.d610ea84f7417p-5, -0x1.d013fd1a81b4fp-5, -0x1.ca1d73fe5561ep-5, -0x1.c42d96d4d18ap-5, -0x1.be44ab8145126p-5, -0x1.b862f6242de99p-5, -0x1.b288b91961355p-5, -0x1.acb634f6976c4p-5, -0x1.a6eba88a446f6p-5, -0x1.a12950db40a26p-5, -0x1.9b6f6929798b9p-5, -0x1.95be2aef82942p-5, -0x1.9015cde41adfcp-5, -0x1.8a7687faefde7p-5, -0x1.84e08d64a5642p-5, -0x1.7f54108ecc28ep-5, -0x1.79d142249e056p-5, -0x1.7458511103dcap-5, -0x1.6ee96a825fa4dp-5, -0x1.6984b9efe45f2p-5, -0x1.642a691f8c09bp-5, -0x1.5edaa02b13c3p-5, -0x1.5995858257e79p-5, -0x1.545b3deabdd4dp-5, -0x1.4f2bec7cf7766p-5, -0x1.4a07b2a39122p-5, -0x1.44eeb01cf294dp-5, -0x1.3fe103026cf6bp-5, -0x1.3adec7d439be9p-5, -0x1.35e8198825ecfp-5, -0x1.30fd119700435p-5, -0x1.2c1dc8047cd97p-5, -0x1.274a535edb65p-5, -0x1.2282c8b6db881p-5, -0x1.1dc73b94282eap-5, -0x1.1917bdeca9a9ep-5, -0x1.1474602515979p-5, -0x1.0fdd311e6c3acp-5, -0x1.0b523e4f897b1p-5, -0x1.06d393e50ad57p-5, -0x1.02613cde41e44p-5, -0x1.fbf6863b3c2f2p-6, -0x1.f3435ecc5c37fp-6, -0x1.eaa9128c68099p-6, -0x1.e227adec380eep-6, -0x1.d9bf3a7180d26p-6, -0x1.d16fbe969b12ep-6, -0x1.c9393ddece61dp-6, -0x1.c11bb92493d32p-6, -0x1.b9172f12d43c2p-6, -0x1.b12b9ca8ece67p-6, -0x1.a958fda0e84aep-6, -0x1.a19f4c93e6688p-6, -0x1.99fe82cac8ad3p-6, -0x1.927697c3a9af9p-6, -0x1.8b07808f83feep-6, -0x1.83b12f3df175p-6, -0x1.7c73928ee502bp-6, -0x1.754e96124392ap-6, -0x1.6e4222bddc84ep-6, -0x1.674e1fdcad743p-6, -0x1.60727419cbabp-6, -0x1.59af0658dfbf6p-6, -0x1.5303be14a9299p-6, -0x1.4c708319bef8fp-6, -0x1.45f53ca2abea8p-6, -0x1.3f91d00c6a2fep-6, -0x1.39461f810f0bbp-6, -0x1.331209041c395p-6, -0x1.2cf5663a14095p-6, -0x1.26f00d159c8adp-6, -0x1.2101d15434f56p-6, -0x1.1b2a8673f0525p-6, -0x1.156a019eaea7ep-6, -0x1.0fc01afcaf902p-6, -0x1.0a2cadfe31c95p-6, -0x1.04af986d5f6f1p-6, -0x1.fe9170df4a12cp-7, -0x1.f3efd3e02ca14p-7, -0x1.e97a08474efd8p-7, -0x1.df2fafc25f439p-7, -0x1.d5105eb791d22p-7, -0x1.cb1b9eedcf574p-7, -0x1.c150f4fb1c379p-7, -0x1.b7afe73e8152fp-7, -0x1.ae3804a30212ep-7, -0x1.a4e8e955bb34bp-7, -0x1.9bc23ffbb4ce8p-7, -0x1.92c3bec9d9998p-7, -0x1.89ed21230bdf3p-7, -0x1.813e1ef267f9fp-7, -0x1.78b6640ed14d2p-7, -0x1.70558a033b9cap-7, -0x1.681b15eda8204p-7, -0x1.60067b589f7f1p-7, -0x1.581723a0096cfp-7, -0x1.504c783e88d79p-7, -0x1.48a5ed87a1359p-7, -0x1.41230b169887ep-7, -0x1.39c36fb1b6c26p-7, -0x1.3286cf743f0b3p-7, -0x1.2b6cec7cb83aap-7, -0x1.24758bc54990ap-7, -0x1.1da068d344264p-7, -0x1.16ed2b4a6575p-7, -0x1.105b610ade19ap-7, -0x1.09ea7e6db29b2p-7, -0x1.0399e4b5b4ba2p-7, -0x1.fad1da872cfddp-8, -0x1.eeadedd09ede4p-8, -0x1.e2c6e4393d3a1p-8, -0x1.d71bd2359cd4ep-8, -0x1.cbac03ad4f8cdp-8, -0x1.c076f2b741146p-8, -0x1.b57c338dc41fcp-8, -0x1.aabb5ad077ad2p-8, -0x1.a033e46c26ebbp-8, -0x1.95e52117b16b2p-8, -0x1.8bce2e82c19cdp-8, -0x1.81edfbaebc9d9p-8, -0x1.78435823e9a68p-8, -0x1.6ecd0a59ce7cp-8, -0x1.6589e81549e71p-8, -0x1.5c78eaeeec9b9p-8, -0x1.53993bebc57e2p-8, -0x1.4aea3329dbad5p-8, -0x1.426b4bc714a2dp-8, -0x1.3a1c0fc636846p-8, -0x1.31fc0224c628ep-8, -0x1.2a0a8cf075c55p-8, -0x1.2246f7d8905d4p-8, -0x1.1ab068cb29b49p-8, -0x1.1345ecb0facd6p-8, -0x1.0c0684cbe8c4dp-8, -0x1.04f135995440dp-8, -0x1.fc0a2967f44afp-9, -0x1.ee82a70f16996p-9, -0x1.e14a89c8fd0bdp-9, -0x1.d460b6f03b05bp-9, -0x1.c7c43fb892122p-9, -0x1.bb743e71f4cfep-9, -0x1.af6fad8212cb3p-9, -0x1.a3b54606168ep-9, -0x1.984373ec27342p-9, -0x1.8d1865d543faap-9, -0x1.82323312b8c9cp-9, -0x1.778f081d7e6acp-9, -0x1.6d2d47d99d385p-9, -0x1.630b970638cep-9, -0x1.5928d3191ec45p-9, -0x1.4f83ff68b1b51p-9, -0x1.461c356438364p-9, -0x1.3cf09e0a504b5p-9, -0x1.340070931a831p-9, -0x1.2b4aebaf8bb17p-9, -0x1.22cf40da219fbp-9, -0x1.1a8c736684d8bp-9, -0x1.1281392a6e333p-9, -0x1.0aabf08b21d3p-9, -0x1.030ab9c4c92c3p-9, -0x1.f73760bcc0d3bp-10, -0x1.e8ba5c884f2c8p-10, -0x1.da9bf0443fcf5p-10, -0x1.ccda767399704p-10, -0x1.bf74bc9f597a6p-10, -0x1.b2698547da623p-10, -0x1.a5b737255c93ap-10, -0x1.995be5a36c9f8p-10, -0x1.8d55a0172f5a3p-10, -0x1.81a2c83f8f449p-10, -0x1.76423225671d6p-10, -0x1.6b32f6780b444p-10, -0x1.60740f33eacc5p-10, -0x1.5603f4420e58fp-10, -0x1.4be06ee604917p-10, -0x1.4206be65a02f2p-10, -0x1.3873fc2d14a6bp-10, -0x1.2f258ade77ac3p-10, -0x1.26195673f85d8p-10, -0x1.1d4dc63ef43afp-10, -0x1.14c16e429d50dp-10, -0x1.0c72b5d7987cbp-10, -0x1.045fb49664652p-10, -0x1.f90cc909e4614p-11, -0x1.e9ca12b35ff6ep-11, -0x1.daf503d7a4151p-11, -0x1.cc8c942df31ddp-11, -0x1.be9060fa6bf07p-11, -0x1.b0ffed1b999f1p-11, -0x1.a3da2c1bd02cep-11, -0x1.971d81ff165bcp-11, -0x1.8ac7f91e27a0cp-11, -0x1.7ed742f636f9dp-11, -0x1.73485cc839e76p-11, -0x1.681728fa6ad51p-11, -0x1.5d3e79193e4fdp-11, -0x1.52b8b0965744cp-11, -0x1.4880b19b27474p-11, -0x1.3e929d3d3d3dp-11, -0x1.34ec1fbf561f3p-11, -0x1.2b8c3fc4078d9p-11, -0x1.2272c5103f21dp-11, -0x1.199f6a43136eep-11, -0x1.11114c755917bp-11, -0x1.08c70db19d0ddp-11, -0x1.00bf85b87539cp-11, -0x1.f1f481f8d5a2dp-12, -0x1.e2ee98aaf300fp-12, -0x1.d46d0d998b9e7p-12, -0x1.c66dff29babfep-12, -0x1.b8ed626ce8156p-12, -0x1.abe526edb7cffp-12, -0x1.9f4d953b7d9f8p-12, -0x1.931dc26009ec4p-12, -0x1.874c87f851499p-12, -0x1.7bd24d711e837p-12, -0x1.70aaef64cb05bp-12, -0x1.65d63fef88bc5p-12, -0x1.5b563d8ca3bb9p-12, -0x1.512c274e0f39ep-12, -0x1.4756bafb1ad5p-12, -0x1.3dd2b8e9216e5p-12, -0x1.349d0607e7215p-12, -0x1.2bb4b35b4f675p-12, -0x1.231acf636b0d8p-12, -0x1.1acfd762600c1p-12, -0x1.12d1a28a5f408p-12, -0x1.0b1be64d2b5b3p-12, -0x1.03aa175294c37p-12, -0x1.f8f0fdf1fe039p-13, -0x1.eb0808bebed3cp-13, -0x1.dd9324f5d7fdp-13, -0x1.d08c25e5814b3p-13, -0x1.c3ee198890d7ep-13, -0x1.b7b5f157dededp-13, -0x1.abe0fbc8aa8ccp-13, -0x1.a06af1e44793fp-13, -0x1.954eefaad9612p-13, -0x1.8a8a6a20df22dp-13, -0x1.801e1c217a706p-13, -0x1.760b8bce54c02p-13, -0x1.6c5184ccf2a9bp-13, -0x1.62ebdf9beb312p-13, -0x1.59d6a3836f406p-13, -0x1.510f15df664c3p-13, -0x1.48922493eb48fp-13, -0x1.405c2b869e629p-13, -0x1.386a0369a8ec3p-13, -0x1.30b8ffa65755cp-13, -0x1.2945e579c058p-13, -0x1.220c6f05742fbp-13, -0x1.1b0860b8c0b87p-13, -0x1.1437c97f063c3p-13, -0x1.0d9be8d02e5b1p-13, -0x1.0736b8d398904p-13, -0x1.01074b1784b16p-13, -0x1.f6124d6926febp-14, -0x1.ea6ec0c5ac2b7p-14, -0x1.df1ea70f7de96p-14, -0x1.d421a311e7f5bp-14, -0x1.c978b71fcb17ap-14, -0x1.bf202ee405a77p-14, -0x1.b50f88eca0a94p-14, -0x1.ab41f6e2e3c2p-14, -0x1.a1b952b6fdc41p-14, -0x1.987724ab2b3c4p-14, -0x1.8f794bb19dbd3p-14, -0x1.86bc8d0473403p-14, -0x1.7e3d55be5a434p-14, -0x1.75f5bf9d173d5p-14, -0x1.6dddf6b4949b1p-14, -0x1.65f250991cd24p-14, -0x1.5e3610898144ep-14, -0x1.56ab640e06e98p-14, -0x1.4f4e63511e2e8p-14, -0x1.481cc540273eep-14, -0x1.41192ee3a76c9p-14, -0x1.3a43aa8e26f07p-14, -0x1.339809e0f499ap-14, -0x1.2d112da6bc7c3p-14, -0x1.26a9a7d5e8869p-14, -0x1.205ee2779aff1p-14, -0x1.1a334d3facf96p-14, -0x1.14277d0a04218p-14, -0x1.0e37b4c3fe67cp-14, -0x1.0863930ca6bc4p-14, -0x1.02ae2c07d68e8p-14, -0x1.fa2f1f3e44921p-15, -0x1.ef395be4999c9p-15, -0x1.e471634776872p-15, -0x1.d9ce719aa5f8fp-15, -0x1.cf5307bdc1d71p-15, -0x1.c5046c3de582dp-15, -0x1.badd61b88ea26p-15, -0x1.b0db2926f5ba6p-15, -0x1.a701c5b7ef775p-15, -0x1.9d4f7a7f597a8p-15, -0x1.93bf279237da8p-15, -0x1.8a4e2a121ef7ep-15, -0x1.80fbe87f57012p-15, -0x1.77c8145096b77p-15, -0x1.6eb22ffc15bf7p-15, -0x1.65ba3c9bd2a39p-15, -0x1.5cdfcaa390a1ap-15, -0x1.541f53adca6cbp-15, -0x1.4b76a79a9cd45p-15, -0x1.42e72bc5ee091p-15, -0x1.3a6f57506c7dbp-15, -0x1.320fdf644708cp-15, -0x1.29cb1d9b93bcfp-15, -0x1.219c7bcb8d151p-15, -0x1.1980cc6d793e4p-15, -0x1.1179e084f5583p-15, -0x1.098571d7b829dp-15, -0x1.01a4586c0e4e7p-15, -0x1.f3b1fdd209a67p-16, -0x1.e4429f92dcedcp-16, -0x1.d4f6fc40c6252p-16, -0x1.c5ce8d7c28c71p-16, -0x1.b6c9785cd273bp-16, -0x1.a7e799f228539p-16, -0x1.992887092576cp-16, -0x1.8a8bb807e4b78p-16, -0x1.7c10ae98b0b8ep-16, -0x1.6db702abaa144p-16, -0x1.5f7e430d6a71ap-16, -0x1.5165f279b1209p-16, -0x1.436e8898e5809p-16, -0x1.3599fcbd008acp-16, -0x1.27e78ffd19b5fp-16, -0x1.1a5574466ba5ap-16, -0x1.0ce36c8ebdb5bp-16, -0x1.ff1c7de26f1e3p-17, -0x1.e4b346bcd3ad2p-17, -0x1.ca88272a1ec18p-17, -0x1.b09e5dd4758d9p-17, -0x1.96f6a4edb34d7p-17, -0x1.7d8cc252c4b6fp-17, -0x1.6460bec39fccap-17, -0x1.4b73da8b6c2e8p-17, -0x1.32c6d3f30dccap-17, -0x1.1a59fa3f40b9bp-17, -0x1.022d6f4b5ce8bp-17, -0x1.d482a59e04df9p-18, -0x1.a52bba5bfd102p-18, -0x1.7656cf2cdf985p-18, -0x1.4804aece2d43p-18, -0x1.1a35e5a066b41p-18, -0x1.d9d51ba5ce9b8p-19, -0x1.804534ea0fbc9p-19, -0x1.27bc768543f55p-19, -0x1.a0760be863153p-20, -0x1.e71b17d8e5376p-21, -0x1.238ca65e22eb7p-22, 0x1.7e7efe8ee11bap-22, 0x1.0608f443a45c9p-20, 0x1.aa5e43b3f78b4p-20, 0x1.2646d42ad710dp-19, 0x1.764ce25870c1ap-19, 0x1.c5346e59ba013p-19, 0x1.0982d1af588d8p-18, 0x1.2fe1c92940255p-18, 0x1.55b515c82ce3dp-18, 0x1.7afb2ac79c586p-18, 0x1.9fb33458f1814p-18, 0x1.c3dcb10c1b1bap-18, 0x1.e7773597e4c85p-18, 0x1.054126d785441p-17, 0x1.167eb81118ea2p-17, 0x1.27740876662f2p-17, 0x1.3820e9304872fp-17, 0x1.4885542202364p-17, 0x1.58a1521d668bcp-17, 0x1.6874c1e21bba3p-17, 0x1.77ff86383d97dp-17, 0x1.8741bfdb8cbp-17, 0x1.963890ea6a44p-17, 0x1.a4e26fc7b1db1p-17, 0x1.b348040406a75p-17, 0x1.c16542ec14e25p-17, 0x1.cf35773483dbp-17, 0x1.dcbd40c17b225p-17, 0x1.e9fcb588f538ap-17, 0x1.f6f0cca78433p-17, 0x1.01cd7466c71f1p-16, 0x1.07ff72670b2b9p-16, 0x1.0e0b97e520a34p-16, 0x1.13f2aec1adc43p-16, 0x1.19b5b52587a53p-16, 0x1.1f5471e0b7843p-16, 0x1.24cec741d6d16p-16, 0x1.2a24bce1eabb1p-16, 0x1.2f5663897adeap-16, 0x1.3463ce2793f97p-16, 0x1.394d17ba7f6f1p-16, 0x1.3e126a9eda8a7p-16, 0x1.42b3fc6d36bbp-16, 0x1.4731f89637224p-16, 0x1.4b8c7027d4b1dp-16, 0x1.4fc398011f4a9p-16, 0x1.53d7cba369f08p-16, 0x1.57c79d68fb032p-16, 0x1.5b95284377fc6p-16, 0x1.5f407a7c836d9p-16, 0x1.62c8330c88cedp-16, 0x1.662e2555bf7d5p-16, 0x1.69723353f5e4p-16, 0x1.6c946230f1d37p-16, 0x1.6f94e3464346p-16, 0x1.7273e321b9cb7p-16, 0x1.75318ffda0c9p-16, 0x1.77ce4ff4404afp-16, 0x1.7a4a94a52559ap-16, 0x1.7ca5dd47f6ef6p-16, 0x1.7ee132c366a3ap-16, 0x1.80fc25e5ab0d6p-16, 0x1.82f761b365f43p-16, 0x1.84d38ca118aabp-16, 0x1.8690a4d4cc4a8p-16, 0x1.882eda6517c27p-16, 0x1.89ae7a350f01ep-16, 0x1.8b0fdb6fb98c2p-16, 0x1.8c535511dcf28p-16, 0x1.8d792dcc840e2p-16, 0x1.8e819c807b636p-16, 0x1.8f6d17cf9482bp-16, 0x1.903c301cc20a5p-16, 0x1.90ee56b445fd9p-16, 0x1.9184acc8d375fp-16, 0x1.91fed29a27457p-16, 0x1.925e04823755ap-16, 0x1.92a2499eb7adbp-16, 0x1.92cbd7968d788p-16, 0x1.92db055865a26p-16, 0x1.92d02d68a382ap-16, 0x1.92abaaa0d7c9ep-16, 0x1.926dd8dade7afp-16, 0x1.9217153c54d6bp-16, 0x1.91a7bde22532ep-16, 0x1.91202fdeb90b8p-16, 0x1.9080c27a56ac8p-16, 0x1.8fc9c80bb5308p-16, 0x1.8efba1d29f498p-16, 0x1.8e16da63f95b1p-16, 0x1.8d1bd7f5a1cedp-16, 0x1.8c0a80e78eae3p-16, 0x1.8ae32d7041a7dp-16, 0x1.89a6bba59b7f3p-16, 0x1.885585cce2cacp-16, 0x1.86efc67605ff1p-16, 0x1.8575ce2a34191p-16, 0x1.83e7eec0c2895p-16, 0x1.8246a6b54a58fp-16, 0x1.809295a436d4ap-16, 0x1.7ecb88dd1fb26p-16, 0x1.7cf1c7f273314p-16, 0x1.7b064ec28347p-16, 0x1.79095b5047545p-16, 0x1.76fb28c6dc98fp-16, 0x1.74dc14b42d46dp-16, 0x1.72ac7f39bbb97p-16, 0x1.706cc74cfd9fcp-16, 0x1.6e1d4af79c923p-16, 0x1.6bbe67a2b5f35p-16, 0x1.69507a39af57fp-16, 0x1.66d3df2f00f2ap-16, 0x1.6448f2825b50bp-16, 0x1.61b00fda7931fp-16, 0x1.5f0992add31p-16, 0x1.5c55d649ef2c9p-16, 0x1.599535a491ab6p-16, 0x1.56c80b18afbbap-16, 0x1.53eeaff1844fp-16, 0x1.51097b45527ffp-16, 0x1.4e18c1bf06ec7p-16, 0x1.4b1cda7c672e2p-16, 0x1.481627aa6a6a1p-16, 0x1.45051e81255f9p-16, 0x1.41e9e4a876ebbp-16, 0x1.3ec49172e0b65p-16, 0x1.3b95e2b289c43p-16, 0x1.385e4c07e958bp-16, 0x1.351dc57fe384ap-16, }}, 
      {{0x1.915afd4e9392ap-6, 0x1.909bb486cd3ep-5, 0x1.2b88abcd24ae7p-4, 0x1.8dafb6d93a095p-4, 0x1.ee7204433ba4p-4, 0x1.26c2f5813e664p-3, 0x1.5554b5e423e8bp-3, 0x1.82d120686da41p-3, 0x1.af1edcd1769abp-3, 0x1.da283842bc6c6p-3, 0x1.01ed7921c1e88p-2, 0x1.161400b70e733p-2, 0x1.2981aa0a493fap-2, 0x1.3c31c7e80f154p-2, 0x1.4e20e8fd2c44p-2, 0x1.5f4cb934fcdbbp-2, 0x1.6fb3e4ab95eefp-2, 0x1.7f55fc77b678ep-2, 0x1.8e335d717c025p-2, 0x1.9c4d18fbafb9bp-2, 0x1.a9a4dfc83d649p-2, 0x1.b63cee7af8c52p-2, 0x1.c217fc1822aecp-2, 0x1.cd392a161533ap-2, 0x1.d7a3f5ec659b4p-2, 0x1.e15c2c0fbdcc4p-2, 0x1.ea65dc2234fdbp-2, 0x1.f2c54e4a413b3p-2, 0x1.fa7ef987dbb9bp-2, 0x1.00cbbd769012dp-1, 0x1.0409c6d3642c2p-1, 0x1.06fc01df31726p-1, 0x1.09a4dfc3c68f7p-1, 0x1.0c06d6d5a06fbp-1, 0x1.0e245fe468226p-1, 0x1.0ffff3ce49be6p-1, 0x1.119c0953840e3p-1, 0x1.12fb1324d856ap-1, 0x1.141f7e27d6a72p-1, 0x1.150bafedf64e7p-1, 0x1.15c20559ec88p-1, 0x1.1644d16ff4f5fp-1, 0x1.16965c4e1d5fcp-1, 0x1.16b8e24a4288fp-1, 0x1.16ae933156e83p-1, 0x1.167991a6b705dp-1, 0x1.161bf2a176af5p-1, 0x1.1597bd04bca6cp-1, 0x1.14eee94fa539bp-1, 0x1.14236165577e3p-1, 0x1.1337006bc9f66p-1, 0x1.122b92b7bca3fp-1, 0x1.1102d5d1a9406p-1, 0x1.0fbe78841c0b9p-1, 0x1.0e601af4760adp-1, 0x1.0ce94ed27e909p-1, 0x1.0b5b977d269dbp-1, 0x1.09b86a4924a1ep-1, 0x1.08012eb5ab3a8p-1, 0x1.06373eba9b90fp-1, 0x1.045be70d01f28p-1, 0x1.0270676a90d98p-1, 0x1.0075f2e5388d8p-1, 0x1.fcdb60588d86cp-2, 0x1.f8b173b381323p-2, 0x1.f4703d7c22292p-2, 0x1.f019c45abbb0dp-2, 0x1.ebaff89afb643p-2, 0x1.e734b4c40ade3p-2, 0x1.e2a9be324ac3cp-2, 0x1.de10c5ab5af9p-2, 0x1.d96b67f2c19b8p-2, 0x1.d4bb2e5acd0dap-2, 0x1.d0018f55f6df9p-2, 0x1.cb3fef07bbbcfp-2, 0x1.c6779fd5e381bp-2, 0x1.c1a9e2f98360ep-2, 0x1.bcd7e90f1bc8fp-2, 0x1.b802d2a478c71p-2, 0x1.b32bb0c390c2p-2, 0x1.ae53857a36725p-2, 0x1.a97b445ee71a7p-2, 0x1.a4a3d31357484p-2, 0x1.9fce09c5419fep-2, 0x1.9afab3ad98ad5p-2, 0x1.962a8f8dedfdap-2, 0x1.915e502b84d95p-2, 0x1.8c969cc7a38b2p-2, 0x1.87d4119500e7ap-2, 0x1.8317402a6a394p-2, 0x1.7e60aff30ff67p-2, 0x1.79b0de9cfd31ep-2, 0x1.75084085e6314p-2, 0x1.70674126521ebp-2, 0x1.6bce437aa835ep-2, 0x1.673da269948fep-2, 0x1.62b5b12725c98p-2, 0x1.5e36bb943e5c5p-2, 0x1.59c1069a4179cp-2, 0x1.5554d08329961p-2, 0x1.50f2514e8ec7cp-2, 0x1.4c99bb04157c9p-2, 0x1.484b3a03c2dcp-2, 0x1.4406f55475bcap-2, 0x1.3fcd0ef07a7e1p-2, 0x1.3b9da4101e138p-2, 0x1.3778cd71ae3a1p-2, 0x1.335e9f9ecab5ep-2, 0x1.2f4f2b2e7d7c1p-2, 0x1.2b4a7d04051e7p-2, 0x1.27509e8a8db93p-2, 0x1.236195edaaa5ep-2, 0x1.1f7d664f4463ap-2, 0x1.1ba40ffb2e9adp-2, 0x1.17d590987e6c9p-2, 0x1.1411e3595f7d1p-2, 0x1.105901290d1fcp-2, 0x1.0caae0d804c1cp-2, 0x1.09077746c8359p-2, 0x1.056eb78e76b99p-2, 0x1.01e093275fe71p-2, 0x1.fcb9f41b7acc8p-3, 0x1.f5c7b5c7edabap-3, 0x1.eeea46256902dp-3, 0x1.e8217dce594fap-3, 0x1.e16d335e6ae6p-3, 0x1.dacd3ba6dade2p-3, 0x1.d44169e05a211p-3, 0x1.cdc98fd9829bp-3, 0x1.c7657e2249e44p-3, 0x1.c1150435ce94cp-3, 0x1.bad7f0a1ba593p-3, 0x1.b4ae112acad5ap-3, 0x1.ae9732efe6752p-3, 0x1.a893228b35b0ap-3, 0x1.a2a1ac307f49p-3, 0x1.9cc29bc98f212p-3, 0x1.96f5bd1105d4fp-3, 0x1.913adbaaae1e5p-3, 0x1.8b91c3398867bp-3, 0x1.85fa3f7466b1ap-3, 0x1.80741c38bc6f4p-3, 0x1.7aff259b451c6p-3, 0x1.759b27f73f8c8p-3, 0x1.7047effc8a78bp-3, 0x1.6b054abc1671cp-3, 0x1.65d305b2fb7efp-3, 0x1.60b0eed4c8d29p-3, 0x1.5b9ed494b862ap-3, 0x1.569c85eda5d78p-3, 0x1.51a9d2693a4bp-3, 0x1.4cc68a268c2aep-3, 0x1.47f27ddfaf4fap-3, 0x1.432d7eee3d30dp-3, 0x1.3e775f4f77106p-3, 0x1.39cff1a7f4ebbp-3, 0x1.353709464e4d1p-3, 0x1.30ac7a24dca79p-3, 0x1.2c3018eb3e5e7p-3, 0x1.27c1baefc12b1p-3, 0x1.23613637d010bp-3, 0x1.1f0e61776b057p-3, 0x1.1ac914109f7c7p-3, 0x1.16912613233e6p-3, 0x1.1266703b49029p-3, 0x1.0e48cbefee07ap-3, 0x1.0a3813404f0abp-3, 0x1.063420e23d1fbp-3, 0x1.023cd0303baa8p-3, 0x1.fca3fa4d5ff14p-4, 0x1.f4e708c134374p-4, 0x1.ed428629462b6p-4, 0x1.e5b62e251b152p-4, 0x1.de41bd80acca8p-4, 0x1.d6e4f22d29b5ep-4, 0x1.cf9f8b394ed38p-4, 0x1.c87148cab2b25p-4, 0x1.c159ec17fa6e6p-4, 0x1.ba59376250ac5p-4, 0x1.b36eeded7cbd8p-4, 0x1.ac9ad3f7d14d2p-4, 0x1.a5dcaeb3461ecp-4, 0x1.9f34443f99af1p-4, 0x1.98a15ba3a6c2cp-4, 0x1.9223bcc58c6d6p-4, 0x1.8bbb3062f2f2cp-4, 0x1.85678009f95d4p-4, 0x1.7f287613afc8ap-4, 0x1.78fddd9dbff9dp-4, 0x1.72e782837937ep-4, 0x1.6ce53156826c1p-4, 0x1.66f6b7583dc3bp-4, 0x1.611be27422426p-4, 0x1.5b54813a65b92p-4, 0x1.55a062da2c4d2p-4, 0x1.4fff571b35a24p-4, 0x1.4a712e57a4c39p-4, 0x1.44f5b976933bcp-4, 0x1.3f8cc9e767fb8p-4, 0x1.3a36319d49295p-4, 0x1.34f1c30a17e74p-4, 0x1.2fbf5119155cfp-4, 0x1.2a9eaf29d4d05p-4, 0x1.258fb10bee05cp-4, 0x1.20922afb48544p-4, 0x1.1ba5f19c669a3p-4, 0x1.16cad9f85c1dcp-4, 0x1.1200b9789517dp-4, 0x1.0d4765e2e59dcp-4, 0x1.089eb55629ad6p-4, 0x1.04067e474357bp-4, 0x1.fefd2efd070dbp-5, 0x1.f60db0292c148p-5, 0x1.ed3e2ede4cc54p-5, 0x1.e48e5a7ccefd3p-5, 0x1.dbfde2f3f7754p-5, 0x1.d38c78bdc70fcp-5, 0x1.cb39ccdb0c37ep-5, 0x1.c30590cf7dc22p-5, 0x1.baef769d7f3e8p-5, 0x1.b2f730c1c7bc8p-5, 0x1.ab1c722f5a8a3p-5, 0x1.a35eee4c3d982p-5, 0x1.9bbe58eee1315p-5, 0x1.943a665bc7628p-5, 0x1.8cd2cb42fd497p-5, 0x1.85873cbd5bbf8p-5, 0x1.7e577049cf66dp-5, 0x1.77431bcb0d166p-5, 0x1.7049f585d3b69p-5, 0x1.696bb41f93ccbp-5, 0x1.62a80e9d321e3p-5, 0x1.5bfebc61ad79ap-5, 0x1.556f752cbb5a1p-5, 0x1.4ef9f119794c8p-5, 0x1.489de89d60d52p-5, 0x1.425b1487831b2p-5, 0x1.3c312e00038f6p-5, 0x1.361fee87b6d09p-5, 0x1.30270ff7cfa24p-5, 0x1.2a464c819076cp-5, 0x1.247d5eae08956p-5, 0x1.1ecc015dd6e23p-5, 0x1.1931efc90bf59p-5, 0x1.13aee57f36c7p-5, 0x1.0e429e67a45c1p-5, 0x1.08ecd6c1c468fp-5, 0x1.03ad4b259c5e2p-5, 0x1.fd0771086407fp-6, 0x1.f2dfb84fd4f4fp-6, 0x1.e8e2e769c0d92p-6, 0x1.df107a52ad87bp-6, 0x1.d567edbc43b7fp-6, 0x1.cbe8bf0f5d613p-6, 0x1.c2926c6ebf152p-6, 0x1.b96474b5fdd26p-6, 0x1.b05e577cb9258p-6, 0x1.a77f951921d93p-6, 0x1.9ec7ae9f80396p-6, 0x1.963625e464361p-6, 0x1.8dca7d7e7facp-6, 0x1.858438c895ca7p-6, 0x1.7d62dbe37ee04p-6, 0x1.7565ebb8170dap-6, 0x1.6d8cedf9188ccp-6, 0x1.65d76924cffb4p-6, 0x1.5e44e486d4dc2p-6, 0x1.56d4e839d51a3p-6, 0x1.4f86fd296d343p-6, 0x1.485aad1420145p-6, 0x1.414f828d423c5p-6, 0x1.3a6508fecd057p-6, 0x1.339accab2ad68p-6, 0x1.2cf05aaeee3d8p-6, 0x1.26654102917b9p-6, 0x1.1ff90e7c328bap-6, 0x1.19ab52d15145ap-6, 0x1.137b9e987919bp-6, 0x1.0d69834ad7175p-6, 0x1.07749345b8bbap-6, 0x1.019c61cbebc93p-6, 0x1.f7c1060e2f963p-7, 0x1.ec8118125c37bp-7, 0x1.e178259bbf1c3p-7, 0x1.d6a55c78529b8p-7, 0x1.cc07ec4f7d24p-7, 0x1.c19f06a4bd369p-7, 0x1.b769ded9c3049p-7, 0x1.ad67aa30359cbp-7, 0x1.a3979fcafda66p-7, 0x1.99f8f8af9b601p-7, 0x1.908aefc79fcc5p-7, 0x1.874cc1e29d7f5p-7, 0x1.7e3dadb86ddddp-7, 0x1.755cf3eb9c5c1p-7, 0x1.6ca9d70b87252p-7, 0x1.64239b95d847fp-7, 0x1.5bc987f730024p-7, 0x1.539ae48ae83c7p-7, 0x1.4b96fb9a7147ap-7, 0x1.43bd195c9f459p-7, 0x1.3c0c8bf5911b8p-7, 0x1.3484a37784ad5p-7, 0x1.2d24b1e47827p-7, 0x1.25ec0b3035d02p-7, 0x1.1eda05420ea9fp-7, 0x1.17edf7f594a1ep-7, 0x1.11273d19e2c3bp-7, 0x1.0a85306f69024p-7, 0x1.04072fa4d0a05p-7, 0x1.fb5934a7966bfp-8, 0x1.eee9a3fd833d8p-8, 0x1.e2be74203c917p-8, 0x1.d6d66fb681ecbp-8, 0x1.cb30653d34f1bp-8, 0x1.bfcb270badd34p-8, 0x1.b4a58b55c25eep-8, 0x1.a9be6c29877efp-8, 0x1.9f14a767f2c92p-8, 0x1.94a71eb99fc9bp-8, 0x1.8a74b781c528bp-8, 0x1.807c5ad2c4c2dp-8, 0x1.76bcf5673634ap-8, 0x1.6d3577a0c45f8p-8, 0x1.63e4d58ccac3p-8, 0x1.5aca06ebe7b9cp-8, 0x1.51e40738d8987p-8, 0x1.4931d5aa788eep-8, 0x1.40b2752df4ffcp-8, 0x1.3864ec58a6ebfp-8, 0x1.304845536db0dp-8, 0x1.285b8dc41700cp-8, 0x1.209dd6ba2aed5p-8, 0x1.190e34a3c847cp-8, 0x1.11abbf4d8e646p-8, 0x1.0a7591ec8219p-8, 0x1.036acb2e27182p-8, 0x1.f9151a90aedd6p-9, 0x1.eba7fc035097ep-9, 0x1.de8c8d59c1473p-9, 0x1.d1c1282ad40aep-9, 0x1.c5442cbe55228p-9, 0x1.b91401c04dca4p-9, 0x1.ad2f13fa11367p-9, 0x1.a193d6229844p-9, 0x1.9640c0d23f964p-9, 0x1.8b34529c5000bp-9, 0x1.806d10460daacp-9, 0x1.75e98508fb6efp-9, 0x1.6ba842ca774bbp-9, 0x1.61a7e2334164p-9, 0x1.57e70299691aep-9, 0x1.4e6449bb1f3bep-9, 0x1.451e6355e2b8p-9, 0x1.3c1400b0b63bep-9, 0x1.3343d834eb416p-9, 0x1.2aaca52e811afp-9, 0x1.224d27c3778cbp-9, 0x1.1a2425222427ep-9, 0x1.123067d702496p-9, 0x1.0a70c030619fbp-9, 0x1.02e40493059b1p-9, 0x1.f712234c99cd9p-10, 0x1.e8bd94904d648p-10, 0x1.dac82e8c7d45ap-10, 0x1.cd2fcdcfc853bp-10, 0x1.bff258bf6fab2p-10, 0x1.b30dbe87118c2p-10, 0x1.a67ff652b139p-10, 0x1.9a46ff00c923bp-10, 0x1.8e60df595230cp-10, 0x1.82cba6b2766a1p-10, 0x1.77856dcc9ae5p-10, 0x1.6c8c57a3cdfc9p-10, 0x1.61de91fc8d1f7p-10, 0x1.577a558c3e78p-10, 0x1.4d5de5b744cf5p-10, 0x1.43878ff5935fcp-10, 0x1.39f5aaf8d381bp-10, 0x1.30a695b5968b4p-10, 0x1.2798b67697bfcp-10, 0x1.1eca7a2585925p-10, 0x1.163a53f2b8558p-10, 0x1.0de6bd744b786p-10, 0x1.05ce373343b4ap-10, 0x1.fbde92ee86472p-11, 0x1.ec910a0b8529cp-11, 0x1.ddb1071f0112ep-11, 0x1.cf3bcf54e7ecap-11, 0x1.c12eb8d45e28fp-11, 0x1.b3872992c2ab7p-11, 0x1.a64296318ec63p-11, 0x1.995e8112c2bfp-11, 0x1.8cd87991c51e1p-11, 0x1.80ae1b3a62201p-11, 0x1.74dd0d025c025p-11, 0x1.696300c978c8p-11, 0x1.5e3db37e34491p-11, 0x1.536aee0ceeaf9p-11, 0x1.48e886c07adb8p-11, 0x1.3eb46265ac50bp-11, 0x1.34cc747dcbfd8p-11, 0x1.2b2ebe3de6679p-11, 0x1.21d94cc8501a5p-11, 0x1.18ca377673842p-11, 0x1.0fff9ee827f18p-11, 0x1.0777acffd7b6ep-11, 0x1.fe612aba86ddap-12, 0x1.ee512b81d1553p-12, 0x1.debbec1cc537p-12, 0x1.cf9e104c5357bp-12, 0x1.c0f44ff384f3fp-12, 0x1.b2bb7839ff3b5p-12, 0x1.a4f06d25b40b3p-12, 0x1.97902a9055f47p-12, 0x1.8a97c3751ceap-12, 0x1.7e045f7a13409p-12, 0x1.71d33797b6f4dp-12, 0x1.660193289250fp-12, 0x1.5a8cc63634a92p-12, 0x1.4f723100a2bd5p-12, 0x1.44af40337149fp-12, 0x1.3a416d5a95624p-12, 0x1.30263f885a7efp-12, 0x1.265b4c567a8c4p-12, 0x1.1cde394eaf3e3p-12, 0x1.13acbd8d2a16cp-12, 0x1.0ac4a33197009p-12, 0x1.0223c80da4125p-12, 0x1.f3903a09457c2p-13, 0x1.e35f4802cd901p-13, 0x1.d3b0da52cbe2ep-13, 0x1.c48128f9df9ep-13, 0x1.b5cc818793f9p-13, 0x1.a78f4726921eap-13, 0x1.99c5f2ada428p-13, 0x1.8c6d111a06c7p-13, 0x1.7f8141345813cp-13, 0x1.72ff32720b1e1p-13, 0x1.66e3a5d2748ecp-13, 0x1.5b2b6f1999ab8p-13, 0x1.4fd374a044885p-13, 0x1.44d8ae47827dap-13, 0x1.3a38265a67c02p-13, 0x1.2feefe67b122ep-13, 0x1.25fa76913bb87p-13, 0x1.1c57f26d4cbedp-13, 0x1.1304f6ce0817cp-13, 0x1.09ff20679edf1p-13, 0x1.014419025b8fdp-13, 0x1.f1a324df44846p-14, 0x1.e14a9372d4a81p-14, 0x1.d17a1c0f52e21p-14, 0x1.c22d8814edde3p-14, 0x1.b360c5735f2fep-14, 0x1.a50fd8bea2d17p-14, 0x1.9736d213ea88p-14, 0x1.89d1c8cbd706dp-14, 0x1.7cdcda53be695p-14, 0x1.705429910a211p-14, 0x1.6433e416a02dp-14, 0x1.58785437c8b6bp-14, 0x1.4d1dfbf4591cbp-14, 0x1.4221a717252f1p-14, 0x1.3780648b9b884p-14, 0x1.2d376a6d75702p-14, 0x1.2343faa416699p-14, 0x1.19a35b2fba934p-14, 0x1.1052e0621203ap-14, 0x1.074ff7573f22bp-14, 0x1.fd3049d9c276p-15, 0x1.ec51fcec5bfcap-15, 0x1.dc004b8a1cf68p-15, 0x1.cc368fb5119dcp-15, 0x1.bcf031ab99dbap-15, 0x1.ae289e153a144p-15, 0x1.9fdb477ddb07dp-15, 0x1.9203b47d51e45p-15, 0x1.849d8dc9091b5p-15, 0x1.77a4a3a298ff8p-15, 0x1.6b14f38a91c7cp-15, 0x1.5eeabbba67b66p-15, 0x1.5322940919cd1p-15, 0x1.47b96f26a2951p-15, 0x1.3cac71bfd924fp-15, 0x1.31f8bf271d9a7p-15, 0x1.279b636fb6ca4p-15, 0x1.1d916950b5ceap-15, 0x1.13d7f6bb70424p-15, 0x1.0a6c4fc30911ep-15, 0x1.014bc9f9fd44cp-15, 0x1.f0e79124dcb1ep-16, 0x1.dfc3851cdcca1p-16, 0x1.cf268d8b251ebp-16, 0x1.bf0bf04c74695p-16, 0x1.af6f0a3f341a8p-16, 0x1.a04b41ec656a4p-16, 0x1.919c0bfb7ff04p-16, 0x1.835d09da2bf6cp-16, 0x1.758a37e7af125p-16, 0x1.682004116d592p-16, 0x1.5b1b2b36cb5a4p-16, 0x1.4e7873b7c4448p-16, 0x1.423487a1bad09p-16, 0x1.364c10596251fp-16, 0x1.2abbe9e0873f8p-16, 0x1.1f8131115c988p-16, 0x1.149924dfd5eb7p-16, 0x1.0a01020216e2ep-16, 0x1.ff6c069d5a8aap-17, 0x1.eb6b00a94e156p-17, 0x1.d7f9f4a100826p-17, 0x1.c51419fe1e218p-17, 0x1.b2b4c22564e59p-17, 0x1.a0d753ca1a319p-17, 0x1.8f774b43095bep-17, 0x1.7e904a21133fep-17, 0x1.6e1e4043eb3edp-17, 0x1.5e1d817da5d8bp-17, 0x1.4e8aa31ddc82fp-17, 0x1.3f6250c6286a1p-17, 0x1.30a14763355bcp-17, 0x1.2244507fc9de2p-17, 0x1.144824743abb3p-17, 0x1.06a968f9b3876p-17, 0x1.f2c9cb968b535p-18, 0x1.d8ef910c20b76p-18, 0x1.bfbf601293298p-18, 0x1.a734be8050a35p-18, 0x1.8f4aee983fca1p-18, 0x1.77fd133377a42p-18, 0x1.61467b802bc98p-18, 0x1.4b22a691a5d71p-18, 0x1.358d49f541808p-18, 0x1.20825bc8ae158p-18, 0x1.0bfdf9d4c505bp-18, 0x1.eff8a373d7f54p-19, 0x1.c8f33a391cdddp-19, 0x1.a2e48d9797acfp-19, 0x1.7dc65791b4e07p-19, 0x1.5993045e868c3p-19, 0x1.3644f5ddbbb1dp-19, 0x1.13d68580df4ddp-19, 0x1.e48477a88b727p-20, 0x1.a304e16fe823fp-20, 0x1.6322937b7b97p-20, 0x1.24d26e674b82cp-20, 0x1.d014fdd299879p-21, 0x1.5984c5a768d6p-21, 0x1.cbcb7759e9979p-22, 0x1.d4a00230954fap-23, 0x1.ce7134bd18536p-27, -0x1.8fd3405df6ac8p-23, -0x1.98e1ff50e22dbp-22, -0x1.324894573fcd7p-21, -0x1.958ae1cbd109cp-21, -0x1.f6478081c726fp-21, -0x1.2a46452fc7e0ap-20, -0x1.5832810f4c123p-20, -0x1.84ed586f1dcbap-20, -0x1.b07c9283a06a8p-20, -0x1.dae6162238425p-20, -0x1.02179394b0db9p-19, -0x1.162e7453b558bp-19, -0x1.29ba2b8090d2fp-19, -0x1.3cbd094c7cc33p-19, -0x1.4f393f127480fp-19, -0x1.6130fea22df66p-19, -0x1.72a68d931440cp-19, -0x1.839c2eaa5195cp-19, -0x1.9413fd9211f19p-19, -0x1.a40ff2b166647p-19, -0x1.b391d67d59a18p-19, -0x1.c29b54fde7799p-19, -0x1.d12e4d4b72d6fp-19, -0x1.df4ca4a282d1ep-19, -0x1.ecf827cf8c1ebp-19, -0x1.fa32a1abf305fp-19, -0x1.037ece006f9bbp-18, -0x1.09ad3ef4ae5bfp-18, -0x1.0fa575d6aabc1p-18, -0x1.15683aef531ecp-18, -0x1.1af6461eadb11p-18, -0x1.205055760e38p-18, -0x1.25772065aec1p-18, -0x1.2a6b55bdabefbp-18, -0x1.2f2da145e2429p-18, -0x1.33beae4774732p-18, -0x1.381f2795b6885p-18, -0x1.3c4fb639574c5p-18, -0x1.4050ffa26acc5p-18, -0x1.4423a4eaa3ad1p-18, -0x1.47c84491de07cp-18, -0x1.4b3f7d4d035ffp-18, -0x1.4e89eac1bbff8p-18, -0x1.51a820b83ca75p-18, -0x1.549aba00ce83bp-18, -0x1.576259a244845p-18, -0x1.59ff98ec67b84p-18, -0x1.5c730de1787e1p-18, -0x1.5ebd42fc1f74bp-18, -0x1.60ded09c744dcp-18, -0x1.62d846dd044c1p-18, -0x1.64aa33979a5d1p-18, -0x1.66552721aa892p-18, -0x1.67d9ada5527c3p-18, -0x1.6938526668fd6p-18, -0x1.6a71a1a181d5bp-18, -0x1.6b86289488781p-18, -0x1.6c7674dc7835ap-18, -0x1.6d43135584204p-18, -0x1.6dec8ee696c45p-18, -0x1.6e736ff716f64p-18, -0x1.6ed83d4698b13p-18, -0x1.6f1b7df86f21ep-18, -0x1.6f3dbb1d03f36p-18, -0x1.6f3f7ecd0bb9ap-18, -0x1.6f215193dd05ep-18, -0x1.6ee3ba602c927p-18, -0x1.6e873eb860312p-18, -0x1.6e0c5fd9554a7p-18, -0x1.6d73a5079be46p-18, -0x1.6cbd96e2fd1d6p-18, -0x1.6beabf5e81ecdp-18, -0x1.6afba4242c014p-18, -0x1.69f0c92dea08ep-18, -0x1.68caada7bb8b6p-18, -0x1.6789d6d341d1ap-18, -0x1.662ec82e88af8p-18, -0x1.64ba02fd5a753p-18, -0x1.632c08c9a6335p-18, -0x1.61855b9ae990ep-18, -0x1.5fc67d9ce81fcp-18, -0x1.5deff09e76557p-18, -0x1.5c02358b76ebcp-18, -0x1.59fdcc21adbcdp-18, -0x1.57e3333aeaa61p-18, -0x1.55b2e9bea80f4p-18, -0x1.536d6f4f7e89p-18, -0x1.5113436aa5aep-18, -0x1.4ea4e34c3c953p-18, -0x1.4c22c9b8e894bp-18, -0x1.498d719e5c2d9p-18, -0x1.46e55493fd80cp-18, -0x1.442aeed1bcc6bp-18, -0x1.415ec52f7530fp-18, -0x1.3e814deadb968p-18, -0x1.3b92fc06a58adp-18, -0x1.38944a50ed3cbp-18, -0x1.3585b04a4fb24p-18, -0x1.3267a2be8411dp-18, -0x1.2f3a9a6d91c31p-18, -0x1.2bff10f5440cep-18, -0x1.28b57413150b9p-18, -0x1.255e38efb236cp-18, -0x1.21f9d4ad659aep-18, -0x1.1e88b9101f91bp-18, -0x1.1b0b5721bbc1ep-18, -0x1.17821efe60518p-18, -0x1.13ed7f6c85439p-18, -0x1.104de6022f183p-18, -0x1.0ca3bfd4240eap-18, -0x1.08ef7a142402p-18, -0x1.053181b676dd9p-18, -0x1.016a4215d18b1p-18, -0x1.fb34477519566p-19, -0x1.f3831b423d7dfp-19, -0x1.ebc1cf1302641p-19, -0x1.e3f12cf602d5p-19, -0x1.dc12086145917p-19, -0x1.d425289eb765fp-19, -0x1.cc2b4d67087a4p-19, -0x1.c42540d77fd28p-19, -0x1.bc13c4994713dp-19, -0x1.b3f798a39da1ap-19, -0x1.abd17a7a55e1fp-19, -0x1.a3a223af7222ap-19, -0x1.9b6a4ab757f44p-19, -0x1.932aa6573c59cp-19, -0x1.8ae3ed7308f47p-19, -0x1.8296d040e5652p-19, -0x1.7a44023723d43p-19, -0x1.71ec2d295c366p-19, -0x1.698ffd3ff83c8p-19, -0x1.61301be74bf15p-19, -0x1.58cd2cfca345bp-19, -0x1.5067d30a52f3bp-19, -0x1.4800af6c7325bp-19, -0x1.3f9861d927ecap-19, -0x1.372f8760ea5eap-19, -0x1.2ec6b8ff6015dp-19, -0x1.265e8b4959a4ap-19, -0x1.1df7925a3bb2bp-19, -0x1.159262f95e99ep-19, -0x1.0d2f8b19ef6eep-19, -0x1.04cf9acbdd716p-19, -0x1.f8e6338df5985p-20, -0x1.e83526a911536p-20, -0x1.d78d17f385781p-20, -0x1.c6ef0cbef133fp-20, -0x1.b65c06194f9a1p-20, -0x1.a5d500187e9d9p-20, -0x1.955af2131e291p-20, -0x1.84eeced8b4707p-20, -0x1.749184a5ddd41p-20, -0x1.6443fcf81d908p-20, -0x1.54071c22bf81dp-20, -0x1.43dbc06e95425p-20, -0x1.33c2c2251f1b1p-20, -0x1.23bcf62bd865p-20, -0x1.13cb2f3fdfcdbp-20, -0x1.03ee38bbe538p-20, -0x1.e84da67bc648dp-21, -0x1.c8eb8339c5b64p-21, -0x1.a9b7969734b96p-21, -0x1.8ab34f4872dc9p-21, -0x1.6be0108cd8c71p-21, -0x1.4d3f397edd03fp-21, -0x1.2ed213843b5fcp-21, -0x1.1099eaae13e1bp-21, -0x1.e5301601395bcp-22, -0x1.a99b50169408dp-22, -0x1.6e77e195d85f9p-22, -0x1.33c82ae70041ep-22, -0x1.f31ccb2bd9a14p-23, -0x1.7f997342b2bdfp-23, -0x1.0d0a8367e56d6p-23, -0x1.36e81e3844dacp-24, -0x1.56d0399b2b5e6p-26, 0x1.12ff17945304ap-25, 0x1.66ab5796d0e0ap-24, 0x1.20e41f91cf1efp-23, 0x1.8d67b7628b5c3p-23, 0x1.f8dd29fd75722p-23, 0x1.31a0a6fb166cep-22, 0x1.66488ca3fc956p-22, 0x1.9a64d070c7c14p-22, 0x1.cdf40c580335ep-22, 0x1.007a7512c664fp-21, 0x1.19b311d510b88p-21, 0x1.32a3417c8da9ep-21, 0x1.4b4a70e57d87dp-21, 0x1.63a8131b26271p-21, 0x1.7bbba04f88609p-21, 0x1.93849702b56e9p-21, 0x1.ab028401b40dcp-21, 0x1.c234fcd26a77p-21, 0x1.d91b90670294bp-21, 0x1.efb5d91bf7186p-21, 0x1.0301c02c73019p-20, }}, 
      {{-0x1.9e80da45acfafp-3, -0x1.7c54f408f6b54p-3, -0x1.45758e4d4931cp-3, -0x1.f8c01b67c9b05p-4, -0x1.47c6f7659f497p-4, -0x1.f7375967bfff8p-6, 0x1.7de78fb23132ap-6, 0x1.4aad46b77af9bp-4, 0x1.1f6b6043b7cbap-3, 0x1.9bbfbd1c6192ap-3, 0x1.0c2da162ac98bp-2, 0x1.49c434e6884f8p-2, 0x1.85e9174b79f23p-2, 0x1.c0001155ce4e5p-2, 0x1.f788cf33661c3p-2, 0x1.160e21e419cb9p-1, 0x1.2eb4ffc8f2561p-1, 0x1.459acb0eea09dp-1, 0x1.5aaa12a63668p-1, 0x1.6dd504c97802cp-1, 0x1.7f146242c36d4p-1, 0x1.8e668befdaabp-1, 0x1.9bceaa3886ccp-1, 0x1.a753ecd81bbcap-1, 0x1.b100e1156cf12p-1, 0x1.b8e2dc0ba148dp-1, 0x1.bf0976b8b1969p-1, 0x1.c38619ca94576p-1, 0x1.c66b977d3f3ebp-1, 0x1.c7cdd2285fd51p-1, 0x1.c7c16e4f11953p-1, 0x1.c65b8f0fe5da5p-1, 0x1.c3b19bcc35608p-1, 0x1.bfd90de3dea68p-1, 0x1.bae7457fbca7dp-1, 0x1.b4f1648eef5f8p-1, 0x1.ae0c2f414ab74p-1, 0x1.a64bf16a936a5p-1, 0x1.9dc4684ac3bddp-1, 0x1.9488b04f3812ep-1, 0x1.8aab36608e399p-1, 0x1.803dac6181a5cp-1, 0x1.7551008ba655p-1, 0x1.69f5575083a7fp-1, 0x1.5e3a077018a95p-1, 0x1.522d9813d03f3p-1, 0x1.45ddc0af280d9p-1, 0x1.39576a240171ap-1, 0x1.2ca6b172a1a2ap-1, 0x1.1fd6eb7a63cbep-1, 0x1.12f2a947fe21fp-1, 0x1.0603bdd513282p-1, 0x1.f22687447122dp-2, 0x1.d85346dff68f4p-2, 0x1.be9d3610d369dp-2, 0x1.a512884e450b5p-2, 0x1.8bc038c96cc74p-2, 0x1.72b2172205f0ep-2, 0x1.59f2d96a2f9edp-2, 0x1.418c271074902p-2, 0x1.2986ac3962456p-2, 0x1.11ea23383ad0ap-2, 0x1.f57acffb2d51p-3, 0x1.c80d018883b1bp-3, 0x1.9b9560ad72721p-3, 0x1.701cfd261039dp-3, 0x1.45ab91173243bp-3, 0x1.1c4792a2afc4ep-3, 0x1.e7ec9deb885c4p-4, 0x1.9977f8ead799cp-4, 0x1.4d37a1f37f9ep-4, 0x1.0330277ffb2cbp-4, 0x1.76c8c00d44056p-5, 0x1.d7562dd158ef4p-6, 0x1.941b9af232727p-7, -0x1.d26eda1b8f47cp-9, -0x1.35c7f53f7800cp-6, -0x1.143815cf31efap-5, -0x1.892d22aaae449p-5, -0x1.f9cee1bfb445fp-5, -0x1.331561370b1a9p-4, -0x1.6727db69e21fep-4, -0x1.9927051ac8b5p-4, -0x1.c91b9ccb6da1p-4, -0x1.f70ee75a1084ep-4, -0x1.11854f4fe8cc8p-3, -0x1.268c708ffa166p-3, -0x1.3aa2117001a11p-3, -0x1.4dcb8f96fdabfp-3, -0x1.600e65c4b3e05p-3, -0x1.717025b97a913p-3, -0x1.81f6729c3d113p-3, -0x1.91a6fbdbb975fp-3, -0x1.a087787106bc8p-3, -0x1.ae9da297dce63p-3, -0x1.bbef33db4ad77p-3, -0x1.c881e1779d3f9p-3, -0x1.d45b591646dep-3, -0x1.df813dc457f6p-3, -0x1.e9f925392b5bbp-3, -0x1.f3c89561bafa8p-3, -0x1.fcf5022213155p-3, -0x1.02c1e5b296aa5p-2, -0x1.06bd1db08606ap-2, -0x1.0a6ec2893c13ep-2, -0x1.0dd9617af329dp-2, -0x1.10ff7af3bb15fp-2, -0x1.13e38218f4d03p-2, -0x1.1687dc60f5288p-2, -0x1.18eee13f3c62ap-2, -0x1.1b1ad9df9985p-2, -0x1.1d0e00ee2d1d7p-2, -0x1.1eca8274c6ca9p-2, -0x1.20527bbedf94ap-2, -0x1.21a7fb4be3d8dp-2, -0x1.22cd00d733043p-2, -0x1.23c37d6015311p-2, -0x1.248d53406037ep-2, -0x1.252c56554eb81p-2, -0x1.25a24c234858fp-2, -0x1.25f0ec049f1c6p-2, -0x1.2619df66ffaa8p-2, -0x1.261ec200ad8bap-2, -0x1.2601220bf7ea7p-2, -0x1.25c280904ae93p-2, -0x1.256451a209d9bp-2, -0x1.24e7fca54f68fp-2, -0x1.244edc9e6b593p-2, -0x1.239a407a09dd1p-2, -0x1.22cb6b55495b2p-2, -0x1.21e394d2da4fp-2, -0x1.20e3e96a289b5p-2, -0x1.1fcd8ab2eb066p-2, -0x1.1ea18fba8c1dcp-2, -0x1.1d610557598d7p-2, -0x1.1c0cee757a7eap-2, -0x1.1aa644682a6f1p-2, -0x1.192df73c0a6fp-2, -0x1.17a4ee039a274p-2, -0x1.160c0722921e8p-2, -0x1.1464189b58c24p-2, -0x1.12adf058aa956p-2, -0x1.10ea54733e8d1p-2, -0x1.0f1a037985a07p-2, -0x1.0d3db4b5c5e44p-2, -0x1.0b56186d923f1p-2, -0x1.0963d822a346dp-2, -0x1.076796d6c3cf7p-2, -0x1.0561f147fdf49p-2, -0x1.03537e276e24fp-2, -0x1.013cce56b5308p-2, -0x1.fe3cda4d3d467p-3, -0x1.f9f1c11313ea8p-3, -0x1.f599528556bdap-3, -0x1.f134863dcbb7fp-3, -0x1.ecc44a57e9b95p-3, -0x1.e84983c86ce63p-3, -0x1.e3c50eae97a77p-3, -0x1.df37beb018b27p-3, -0x1.daa25f60d8e94p-3, -0x1.d605b493e383cp-3, -0x1.d1627a96ec699p-3, -0x1.ccb9667ceeabfp-3, -0x1.c80b26795731ep-3, -0x1.c358622e19d75p-3, -0x1.bea1bade39d76p-3, -0x1.b9e7cba08a817p-3, -0x1.b52b29a96c85p-3, -0x1.b06c6497340e8p-3, -0x1.abac06a57c61ep-3, -0x1.a6ea94d091fcbp-3, -0x1.a2288f054c064p-3, -0x1.9d6670622c6d9p-3, -0x1.98a4af7202712p-3, -0x1.93e3be4ffbe18p-3, -0x1.8f240ac23f10bp-3, -0x1.8a65fe61fb109p-3, -0x1.85a9fed1f9a7bp-3, -0x1.80f06dede0953p-3, -0x1.7c39a9e490916p-3, -0x1.77860d4a5ec03p-3, -0x1.72d5ef383a59fp-3, -0x1.6e29a3787d699p-3, -0x1.69817aae06c11p-3, -0x1.64ddc2693863p-3, -0x1.603ec534a3826p-3, -0x1.5ba4caaaa5409p-3, -0x1.571017977b85cp-3, -0x1.5280ee1a573e2p-3, -0x1.4df78db9c0d52p-3, -0x1.4974336e06b3cp-3, -0x1.44f719adcfbe6p-3, -0x1.408078846b833p-3, -0x1.3c1085ad51bddp-3, -0x1.37a774aa20b87p-3, -0x1.334576ce7007ep-3, -0x1.2eeabb46e3a96p-3, -0x1.2a976f24bda77p-3, -0x1.264bbd7166ae3p-3, -0x1.2207cf442fbaep-3, -0x1.1dcbcbd1dad2cp-3, -0x1.1997d8742cca4p-3, -0x1.156c18af4f9e6p-3, -0x1.1148ae3c0522ap-3, -0x1.0d2db917f763bp-3, -0x1.091b5796c9ac4p-3, -0x1.0511a66e0cae8p-3, -0x1.0110c0bb820adp-3, -0x1.fa318013eca43p-4, -0x1.f25378b2f75fap-4, -0x1.ea879857d21b4p-4, -0x1.e2ce092524b5fp-4, -0x1.db26f271db297p-4, -0x1.d39278d6340e3p-4, -0x1.cc10be35354abp-4, -0x1.c4a1e1c8a4a27p-4, -0x1.bd46003377b2p-4, -0x1.b5fd3397ed943p-4, -0x1.aec793ab9fcdbp-4, -0x1.a7a535c5f9746p-4, -0x1.a0962cea5683ap-4, -0x1.999a89d1dcd26p-4, -0x1.92b25af8d013ep-4, -0x1.8bddacaf6de94p-4, -0x1.851c892b7ecb3p-4, -0x1.7e6ef8978ad6dp-4, -0x1.77d5011ef66d2p-4, -0x1.714ea6f8694dap-4, -0x1.6adbec708643ep-4, -0x1.647cd1f610bfep-4, -0x1.5e3156276c78p-4, -0x1.57f975e089964p-4, -0x1.51d52c4847dabp-4, -0x1.4bc472dcd2bcap-4, -0x1.45c7417eb2768p-4, -0x1.3fdd8e7ac4d31p-4, -0x1.3a074e93fcce4p-4, -0x1.3444750e0931cp-4, -0x1.2e94f3b967e1ep-4, -0x1.28f8bb005e09bp-4, -0x1.236fb9f384ca8p-4, -0x1.1df9de54993p-4, -0x1.1897149f48579p-4, -0x1.1347481129898p-4, -0x1.0e0a62b2ae70bp-4, -0x1.08e04d61f9371p-4, -0x1.03c8efdf051b8p-4, -0x1.fd8861af0f35fp-5, -0x1.f3a3ebe2490e9p-5, -0x1.e9e447a338c0ap-5, -0x1.e0493c4c0c4b8p-5, -0x1.d6d28f55435d4p-5, -0x1.cd80046886bfep-5, -0x1.c4515d76164b9p-5, -0x1.bb465aca2fdp-5, -0x1.b25ebb1fb9d1ep-5, -0x1.a99a3bb04198dp-5, -0x1.a0f898421b6f4p-5, -0x1.98798b3674759p-5, -0x1.901ccd996d894p-5, -0x1.87e2173414afp-5, -0x1.7fc91e9ece04bp-5, -0x1.77d1995268781p-5, -0x1.6ffb3bb71d18bp-5, -0x1.6845b932050c8p-5, -0x1.60b0c432389dbp-5, -0x1.593c0e3eb56c5p-5, -0x1.51e74805581efp-5, -0x1.4ab2216a6275ep-5, -0x1.439c499792896p-5, -0x1.3ca56f09f439bp-5, -0x1.35cd3f9e51b8ap-5, -0x1.2f13689cd3145p-5, -0x1.287796c4ae4b7p-5, -0x1.21f976587f9p-5, -0x1.1b98b32b349bep-5, -0x1.1554f8ad27df8p-5, -0x1.0f2df1f8c1994p-5, -0x1.092349de47945p-5, -0x1.0334aaee96983p-5, -0x1.fac37f09e3bep-6, -0x1.ef5463a0b5d4bp-6, -0x1.e41b57ba082d7p-6, -0x1.d917af3c4e34dp-6, -0x1.ce48bdf0e2cf8p-6, -0x1.c3add799a409ep-6, -0x1.b9465006c87bep-6, -0x1.af117b2bcc74fp-6, -0x1.a50ead322a18cp-6, -0x1.9b3d3a88fd5a5p-6, -0x1.919c77f182f2bp-6, -0x1.882bba89a95a8p-6, -0x1.7eea57d6c92b3p-6, -0x1.75d7a5d2e1609p-6, -0x1.6cf2fafdd20f5p-6, -0x1.643bae729c9ap-6, -0x1.5bb117fe92977p-6, -0x1.53529036d7796p-6, -0x1.4b1f70886cadp-6, -0x1.4317134049f7p-6, -0x1.3b38d38bc0abbp-6, -0x1.33840d74adc81p-6, -0x1.2bf81ddf2ad88p-6, -0x1.2494628ea533dp-6, -0x1.1d583a35fe838p-6, -0x1.1643049259041p-6, -0x1.0f54228bc2d7bp-6, -0x1.088af65366ap-6, -0x1.01e6e376cfa32p-6, -0x1.f6ce9dc466875p-7, -0x1.ea173da2ee9fap-7, -0x1.dda6756bcfe1cp-7, -0x1.d17b16375b214p-7, -0x1.c593f33725208p-7, -0x1.b9efe1c5182ep-7, -0x1.ae8db9a3d1afep-7, -0x1.a36c5564379cfp-7, -0x1.988a92d59244dp-7, -0x1.8de7535d68fa3p-7, -0x1.83817c18e3a76p-7, -0x1.7957f5b7c6f37p-7, -0x1.6f69ac17cb396p-7, -0x1.65b58dbd11b47p-7, -0x1.5c3a8b53b9eap-7, -0x1.52f79768a2158p-7, -0x1.49eba679e5488p-7, -0x1.4115af6652816p-7, -0x1.3874ac2490202p-7, -0x1.30079a909a2aep-7, -0x1.27cd7d119a947p-7, -0x1.1fc55adfb58d3p-7, -0x1.17ee3fc9c5065p-7, -0x1.10473b7fede31p-7, -0x1.08cf608e66ddep-7, -0x1.0185c3518afd5p-7, -0x1.f4d2f269f6fbbp-8, -0x1.e6f33101b20bcp-8, -0x1.d96a71a633a35p-8, -0x1.cc36e863a4e53p-8, -0x1.bf56d0e752f08p-8, -0x1.b2c8713855b48p-8, -0x1.a68a1b8821072p-8, -0x1.9a9a2e7c55778p-8, -0x1.8ef713b79abb6p-8, -0x1.839f3ce393037p-8, -0x1.78911ff1f0356p-8, -0x1.6dcb33939c5f7p-8, -0x1.634bece91d52dp-8, -0x1.5911bf294b768p-8, -0x1.4f1b1d7d5986bp-8, -0x1.45667eb6277bdp-8, -0x1.3bf261f64d0bfp-8, -0x1.32bd5318b820dp-8, -0x1.29c5ed993dc99p-8, -0x1.210add1a20d49p-8, -0x1.188adb39e3f3p-8, -0x1.1044ab0f08627p-8, -0x1.083713716cb65p-8, -0x1.0060d9737096fp-8, -0x1.f18178f4acb17p-9, -0x1.e2aaea34e5ebdp-9, -0x1.d43b6e387b37p-9, -0x1.c6306c8dd2681p-9, -0x1.b887599e3d538p-9, -0x1.ab3dc39e5f917p-9, -0x1.9e515c3a361f9p-9, -0x1.91bffc61fb22cp-9, -0x1.8587a10b54a78p-9, -0x1.79a661807a732p-9, -0x1.6e1a617d19c62p-9, -0x1.62e1c274f7c71p-9, -0x1.57fa97a37f2d6p-9, -0x1.4d62dfdce6015p-9, -0x1.431886afe8848p-9, -0x1.39196c97e7102p-9, -0x1.2f6374435303cp-9, -0x1.25f491b06b7f5p-9, -0x1.1ccad769e9a2dp-9, -0x1.13e47e9b37fe9p-9, -0x1.0b3fe7fb54629p-9, -0x1.02db95623013cp-9, -0x1.f56c3b731f7eap-10, -0x1.e59c3cba6c9f7p-10, -0x1.d6445b0486778p-10, -0x1.c761a19c5eb65p-10, -0x1.b8f0f42fd1064p-10, -0x1.aaef1583617ddp-10, -0x1.9d58b93a25036p-10, -0x1.902a9c40c299fp-10, -0x1.83619e163c6f4p-10, -0x1.76fad4ef80c3cp-10, -0x1.6af397c23af2p-10, -0x1.5f497b9839da3p-10, -0x1.53fa44cdb8c7ap-10, -0x1.4903d0b42d1b1p-10, -0x1.3e63fe8190189p-10, -0x1.34189d34552d8p-10, -0x1.2a1f62f003b4p-10, -0x1.2075ef4627a2fp-10, -0x1.1719d5a7ceb74p-10, -0x1.0e08abbc506cep-10, -0x1.0540186350843p-10, -0x1.f97bc1fa01fa5p-11, -0x1.e8ffe5d790e15p-11, -0x1.d908cf90dc753p-11, -0x1.c993056db6abbp-11, -0x1.ba9b4b9a7a42bp-11, -0x1.ac1e81324bd25p-11, -0x1.9e1977d33cb26p-11, -0x1.9088d306ae73p-11, -0x1.8368fc989877p-11, -0x1.76b633b2e64d3p-11, -0x1.6a6cb11d35d05p-11, -0x1.5e88d1837b2dap-11, -0x1.530734debb2ccp-11, -0x1.47e4c8f2d1e2ap-11, -0x1.3d1ec0484ea7ap-11, -0x1.32b2802d5b75cp-11, -0x1.289d91ee69286p-11, -0x1.1edd9d0d3cc92p-11, -0x1.1570667a97baap-11, -0x1.0c53cabba2298p-11, -0x1.0385ab13bec21p-11, -0x1.f6079e89e143cp-12, -0x1.e59790e2ec6b2p-12, -0x1.d5b5cd7af26bcp-12, -0x1.c65c9b7f178d2p-12, -0x1.b78649d653952p-12, -0x1.a92da0d2de4a7p-12, -0x1.9b4e2d84010e9p-12, -0x1.8de43f11fde06p-12, -0x1.80ec99e89abe4p-12, -0x1.746411ac1f88ap-12, -0x1.684749924157p-12, -0x1.5c92bdb0f1138p-12, -0x1.514303f4c102bp-12, -0x1.46550fcdec46dp-12, -0x1.3bc646ffc28bep-12, -0x1.3194576fdac58p-12, -0x1.27bce3c2635f9p-12, -0x1.1e3d32f38c091p-12, -0x1.15120d8b71c69p-12, -0x1.0c37dab714771p-12, -0x1.03aaed43394e6p-12, -0x1.f6cfaf82b55ddp-13, -0x1.e6d73b437bc8dp-13, -0x1.d76757ca67381p-13, -0x1.c87b47ee63a39p-13, -0x1.ba0e3df5e1257p-13, -0x1.ac1b2d6f9c1a5p-13, -0x1.9e9d1195bf84cp-13, -0x1.918f7875de0e4p-13, -0x1.84eee950f9962p-13, -0x1.78b8d975e5004p-13, -0x1.6ceb3b385478dp-13, -0x1.6183f673d712dp-13, -0x1.568099cdd43f9p-13, -0x1.4bde5bab35df9p-13, -0x1.419a3d23b0e91p-13, -0x1.37b107f3b3904p-13, -0x1.2e1f1134c3a6fp-13, -0x1.24dffa3e145ap-13, -0x1.1beec206574a8p-13, -0x1.13463dbadd0e1p-13, -0x1.0ae1bf4a95592p-13, -0x1.02bd973987936p-13, -0x1.f5ae8023236e9p-14, -0x1.e65a5ccb2e52dp-14, -0x1.d77cb3fe8f2e8p-14, -0x1.c913590a7b53p-14, -0x1.bb1b4c7908d5cp-14, -0x1.ad90fe61cf704p-14, -0x1.a07141a85db7dp-14, -0x1.93b9e957d407bp-14, -0x1.876971b660fbdp-14, -0x1.7b7e14b81210dp-14, -0x1.6ff503f5519abp-14, -0x1.64ca29bbeeb32p-14, -0x1.59f856b5c2cfap-14, -0x1.4f79884d9599dp-14, -0x1.454732353bc97p-14, -0x1.3b5ad4948e1ccp-14, -0x1.31af09a3e545ap-14, -0x1.284096fc7cc2fp-14, -0x1.1f0e9e44bcbe1p-14, -0x1.16197cf179ff2p-14, -0x1.0d61195cf3406p-14, -0x1.04e3ee6455a62p-14, -0x1.f93ec73bd2cccp-15, -0x1.e9220a3fd05fdp-15, -0x1.d96f4517eb78ap-15, -0x1.ca26597e781c4p-15, -0x1.bb46899a250c1p-15, -0x1.accc34ef0728ep-15, -0x1.9eb17f87fb57ap-15, -0x1.90f069cb79383p-15, -0x1.8383f6518cc7ep-15, -0x1.7667e4db50131p-15, -0x1.6998105719062p-15, -0x1.5d1075f65ddb9p-15, -0x1.50cde36625dfcp-15, -0x1.44ce46b944108p-15, -0x1.390fd0a7e14edp-15, -0x1.2d8fe1d3ad9e3p-15, -0x1.224b8289aeb75p-15, -0x1.1740ebd37ecc1p-15, -0x1.0c700b30fab22p-15, -0x1.01d93e4125629p-15, -0x1.eef706f0cb90ap-16, -0x1.daa8d43403d3ap-16, -0x1.c6c36d79d766fp-16, -0x1.b343cf4f2fbf3p-16, -0x1.a026b14ad2d05p-16, -0x1.8d683388878b9p-16, -0x1.7b04e8993961cp-16, -0x1.68f9de0323232p-16, -0x1.5743a7e6fbf9cp-16, -0x1.45ddf55bb4438p-16, -0x1.34c4a39862559p-16, -0x1.23f5d8a4dc2c2p-16, -0x1.1372b7b34f9d2p-16, -0x1.033cf86f7b06dp-16, -0x1.e6a749fb3448ep-17, -0x1.c7657bcb23f58p-17, -0x1.a8ac07ebb820ap-17, -0x1.8a7655fa507a9p-17, -0x1.6cc3e8282a38ep-17, -0x1.4f9598faeb629p-17, -0x1.32e8807a9f182p-17, -0x1.16b5b4e555569p-17, -0x1.f5f2cdf78ad96p-18, -0x1.bf6ad3c13c9eap-18, -0x1.89d69b35588e4p-18, -0x1.5532fbcde4099p-18, -0x1.217acb47a5631p-18, -0x1.dd5098aee2839p-19, -0x1.7964718c48925p-19, -0x1.17197d2459dfdp-19, -0x1.6cccbed493d8cp-20, -0x1.5d5cbe76ddfa6p-21, 0x1.831f14e2a324p-25, 0x1.873f48785a445p-21, 0x1.77f12b4df9609p-20, 0x1.147e127d6dab3p-19, 0x1.6b5faaeb3c762p-19, 0x1.c0a8cb41d62d4p-19, 0x1.0a338c6b5a961p-18, 0x1.335473e4e070ap-18, 0x1.5bba45f6b3699p-18, 0x1.83611b7024a49p-18, 0x1.aa47b31582ae6p-18, 0x1.d072eb17e19a8p-18, 0x1.f5e2e937f9849p-18, 0x1.0d49818cf7361p-17, 0x1.1f4173fbe51c6p-17, 0x1.30db59ff27d1dp-17, 0x1.421a6d7b93ee2p-17, 0x1.530179ff77792p-17, 0x1.638f79aaab08fp-17, 0x1.73c29c7dd3be8p-17, 0x1.839c8de4f697ap-17, 0x1.931e1d6bcf9dap-17, 0x1.a246033bcc689p-17, 0x1.b114d9409d003p-17, 0x1.bf8c4175b48eap-17, 0x1.cdad146170cf2p-17, 0x1.db778fa77110ep-17, 0x1.e8ebe12b0f92ep-17, 0x1.f60a4b9dd3c13p-17, 0x1.016978f097b6dp-16, 0x1.07a30e17faa6p-16, 0x1.0db27fce43fa8p-16, 0x1.139837f8a2e4bp-16, 0x1.19541bdc99136p-16, 0x1.1ee682d1ab761p-16, 0x1.244f71b864a3fp-16, 0x1.298eb25373de1p-16, 0x1.2ea515a8d3742p-16, 0x1.3393383f8fa94p-16, 0x1.385900ad68bbbp-16, 0x1.3cf6ebc220298p-16, 0x1.416d0799ebdc8p-16, 0x1.45bb3080097e2p-16, 0x1.49e1e477e96cfp-16, 0x1.4de197ab73349p-16, 0x1.51ba8a9b5eb41p-16, 0x1.556cf4e055e61p-16, 0x1.58f9155d28b0fp-16, 0x1.5c5f31ffe85adp-16, 0x1.5f9f94b966f9p-16, 0x1.62ba88f8b7b9p-16, 0x1.65b05ac462889p-16, 0x1.688158b992703p-16, 0x1.6b2dd42a1408cp-16, 0x1.6db610535c03ap-16, 0x1.701a394bc6dbep-16, 0x1.725aaa23d122cp-16, 0x1.7477d1777cf7dp-16, 0x1.7672065217895p-16, 0x1.7849d2d98b15p-16, 0x1.79ff4e4fc0065p-16, 0x1.7b92e918c5a49p-16, 0x1.7d04e1a396b23p-16, 0x1.7e558c828de4ep-16, 0x1.7f856854f3038p-16, 0x1.8094d205f9eaap-16, 0x1.81841ddfd04ddp-16, 0x1.8253a5aa7e043p-16, 0x1.8303c803b69eep-16, 0x1.8394e63c1f9efp-16, 0x1.840762e015337p-16, 0x1.845ba0c212887p-16, 0x1.8492029ff6bb6p-16, 0x1.84aaebb680271p-16, 0x1.84a6c12ced6efp-16, 0x1.8485eafb166b4p-16, 0x1.8448d2af13adbp-16, 0x1.83efe1a2863fp-16, 0x1.837b8253634a7p-16, 0x1.82ec13f3157bep-16, 0x1.8241dc54c9b77p-16, 0x1.817d5ee98b55p-16, 0x1.809f17a073c68p-16, 0x1.7fa77c09da2c2p-16, 0x1.7e96e5fad23bcp-16, 0x1.7d6dc63ef0943p-16, 0x1.7c2c6ffa2b44dp-16, 0x1.7ad36417755ddp-16, 0x1.79631832bec55p-16, 0x1.77dbf26c16df3p-16, 0x1.763e5b2b5311bp-16, 0x1.748abe2bafd9fp-16, 0x1.72c188b398686p-16, 0x1.70e328760155fp-16, 0x1.6ef00aea88c58p-16, 0x1.6ce89cedf6b06p-16, 0x1.6acd4afcbf834p-16, 0x1.689e822915962p-16, 0x1.665cb0f678423p-16, 0x1.640846756f55cp-16, 0x1.61a1afc17cd31p-16, 0x1.5f295968e665ap-16, 0x1.5c9fb2304b5dfp-16, 0x1.5a05090d186d1p-16, 0x1.5759b81041605p-16, 0x1.549e8a6116e67p-16, 0x1.51d3c143341b8p-16, 0x1.4ef98f66c6eb8p-16, 0x1.4c1094904cc1dp-16, 0x1.49193c574c292p-16, 0x1.4613ca3f0d26cp-16, 0x1.4300b766d3f72p-16, 0x1.3fe09abc190d9p-16, 0x1.3cb395692d2e7p-16, 0x1.397a2083f0bedp-16, 0x1.3634b971d9119p-16, 0x1.32e3be9755999p-16, 0x1.2f879021e9f43p-16, 0x1.2c2090daa9dbap-16, 0x1.28af23444598ep-16, 0x1.2533a8e09e452p-16, 0x1.21ae82fe1a5c6p-16, 0x1.1e2013e35f8ccp-16, 0x1.1a88be8fe540cp-16, 0x1.16e8e3fd2b393p-16, 0x1.1340e05678da1p-16, 0x1.0f9112256af46p-16, 0x1.0bd9dcab331ddp-16, 0x1.081b6790978cap-16, 0x1.04564cde01c2bp-16, 0x1.008ae45454b9fp-16, 0x1.f97299c81cc1dp-17, 0x1.f1c434c3a9691p-17, 0x1.ea0b323dd2f8p-17, 0x1.e2482fd12bfdbp-17, 0x1.da7bd50d4ad7fp-17, 0x1.d2a6c4ebded06p-17, 0x1.cac9a05baeea5p-17, 0x1.c2e518fcb7156p-17, 0x1.baf9e1f18b7a3p-17, 0x1.b308587842098p-17, 0x1.ab115e8f0bf76p-17, 0x1.a315524238ecp-17, 0x1.9b14efef853d9p-17, 0x1.9310ef8434664p-17, 0x1.8b09cc0fbb33cp-17, 0x1.83000f08903aep-17, 0x1.7af4499bb786fp-17, 0x1.72e70eb3e2401p-17, 0x1.6ad8ef010b04ep-17, 0x1.62ca71bde1803p-17, 0x1.5abc131c2ab39p-17, 0x1.52ae66461ada5p-17, 0x1.4aa20bbbcc5acp-17, 0x1.429724b20b1c4p-17, 0x1.3a8e88056648ep-17, 0x1.32885da314bfbp-17, 0x1.2a858c950e57bp-17, 0x1.2286695ee52abp-17, 0x1.1a8b593f423p-17, 0x1.1294ced947d3p-17, 0x1.0aa33c302b3edp-17, 0x1.02b7110a3bc57p-17, 0x1.f5a17698c1871p-18, 0x1.e5e14e3fcc7adp-18, 0x1.d62e7d8f3fe2p-18, 0x1.c689d2d7ec958p-18, 0x1.b6f41087a0d13p-18, 0x1.a76dee3c4b0f1p-18, 0x1.97f830bf579cap-18, 0x1.8893c9d59d477p-18, 0x1.79417abb576adp-18, 0x1.6a01665abd291p-18, 0x1.5ad433b998121p-18, 0x1.4bbb266104819p-18, 0x1.3cb6e0004bf98p-18, 0x1.2dc7d806b5e7ap-18, 0x1.1eee9a7b47d3dp-18, 0x1.102bae8af9527p-18, 0x1.017fd1411f86ap-18, 0x1.e5d7d9c43faf3p-19, 0x1.c8dfa1916f4cbp-19, 0x1.ac17be6612ecep-19, 0x1.8f82e8193b0cdp-19, 0x1.7321cf0b3cfdp-19, 0x1.56f50c34d467p-19, 0x1.3afd90c6c093ep-19, 0x1.1f3c4eb9253efp-19, 0x1.03b22df9e8096p-19, 0x1.d0c01a54b412ap-20, 0x1.9a8d850c83a19p-20, 0x1.64ce38f111a67p-20, 0x1.2f83c38a7716p-20, 0x1.f55f46fe157c7p-21, 0x1.8ca69349b354ap-21, 0x1.24e034996690dp-21, 0x1.7c1db70480756p-22, 0x1.60d47a4ba5445p-23, -0x1.95510a78b19a5p-26, -0x1.c237062f79406p-23, -0x1.a6e4cb882f2a6p-22, -0x1.35567fb5d78cfp-21, -0x1.96380cc8ac9fap-21, -0x1.f6148e47a39b7p-21, -0x1.2a7451ad905cep-20, -0x1.595a7b6bf3077p-20, -0x1.87bd7e6cfc122p-20, -0x1.b599f3107fa2dp-20, -0x1.e2ee50fd1ac31p-20, -0x1.07de18937388ap-19, }}, 
      {{-0x1.a63d808b42683p-3, -0x1.9ab56255e6c82p-3, -0x1.87eecee6466d6p-3, -0x1.6e774fd1bc7aap-3, -0x1.4ef4d30ffe795p-3, -0x1.2a19c1cf3ebaep-3, -0x1.009c682d1558bp-3, -0x1.a661c6c8391ccp-4, -0x1.4509ee2f6668cp-4, -0x1.bcf4fe7d0689dp-5, -0x1.cf9b189604448p-6, -0x1.9a82fa0b71f41p-10, 0x1.a3e554b775786p-6, 0x1.b2b3ff2b18b6cp-5, 0x1.49e70217e6e81p-4, 0x1.b9e6da2587d2ap-4, 0x1.145b1767f51c3p-3, 0x1.4ae330927edf3p-3, 0x1.804e03bd52766p-3, 0x1.b466b1bc63fdp-3, 0x1.e7006f1fad974p-3, 0x1.0bfae497142ap-2, 0x1.2393fa198fa77p-2, 0x1.3a3f1244db367p-2, 0x1.4ff2797e52758p-2, 0x1.64a6e64a44746p-2, 0x1.785736d8c60cep-2, 0x1.8b0033f7f2b6ep-2, 0x1.9ca05924270bbp-2, 0x1.ad37a1692d028p-2, 0x1.bcc758be158cep-2, 0x1.cb51f1853c54dp-2, 0x1.d8dadde094738p-2, 0x1.e5666c9280c5p-2, 0x1.f0f9a926510a6p-2, 0x1.fb9a3f20c815p-2, 0x1.02a72ffcb35ebp-1, 0x1.070e55d1ae823p-1, 0x1.0b060db8c1144p-1, 0x1.0e91f7918ec13p-1, 0x1.11b5cdf62d446p-1, 0x1.14755ea7e23cap-1, 0x1.16d483d087244p-1, 0x1.18d71e0675afcp-1, 0x1.1a810f02b962p-1, 0x1.1bd634f9e373bp-1, 0x1.1cda6688f5749p-1, 0x1.1d916f2a03d3ap-1, 0x1.1dff0c2455c94p-1, 0x1.1e26e9ec00d61p-1, 0x1.1e0ca1e81e7ddp-1, 0x1.1db3b894fe783p-1, 0x1.1d1f9bf927e75p-1, 0x1.1c53a26684db9p-1, 0x1.1b53097bb29aep-1, 0x1.1a20f56517ad9p-1, 0x1.18c0704e7176dp-1, 0x1.17346a08f1684p-1, 0x1.157fb7d7d60dap-1, 0x1.13a51463d114dp-1, 0x1.11a71fcde30a8p-1, 0x1.0f885fdb43381p-1, 0x1.0d4b403b1e9bfp-1, 0x1.0af212dcb86b1p-1, 0x1.087f105a348b3p-1, 0x1.05f4586fee9a7p-1, 0x1.0353f28248c7cp-1, 0x1.009fce2d293p-1, 0x1.fbb387b790a6ep-2, 0x1.f6072ace8458fp-2, 0x1.f03ddd7281bdbp-2, 0x1.ea5acce526f2dp-2, 0x1.e460fd278081ep-2, 0x1.de534a4f15326p-2, 0x1.d83469dcddffcp-2, 0x1.d206ec1593ca5p-2, 0x1.cbcd3d59a03b1p-2, 0x1.c589a77aa9918p-2, 0x1.bf3e530cf065fp-2, 0x1.b8ed48b2d615cp-2, 0x1.b2987261c50edp-2, 0x1.ac419ca04effep-2, 0x1.a5ea77bdde297p-2, 0x1.9f94990419ec4p-2, 0x1.99417be1e34edp-2, 0x1.92f2830f360a7p-2, 0x1.8ca8f9a91319dp-2, 0x1.86661444babf5p-2, 0x1.802af1f9c8801p-2, 0x1.79f89d6389eb4p-2, 0x1.73d00d9a03684p-2, 0x1.6db227237c4e8p-2, 0x1.679fbcdf0663bp-2, 0x1.619990e816bd1p-2, 0x1.5ba05572f0af1p-2, 0x1.55b4ada11aaf7p-2, 0x1.4fd72e4d4d57ep-2, 0x1.4a085ece60f41p-2, 0x1.4448b9b128e4dp-2, 0x1.3e98ad69baa08p-2, 0x1.38f89cfcd9ea5p-2, 0x1.3368e0a25eacbp-2, 0x1.2de9c6618d659p-2, 0x1.287b92a7c2751p-2, 0x1.231e80d9b78e9p-2, 0x1.1dd2c3df5e05p-2, 0x1.189886a9bc5ebp-2, 0x1.136fecb2a79c5p-2, 0x1.0e591275e1e4p-2, 0x1.09540de389e45p-2, 0x1.0460eecc0d83fp-2, 0x1.feff7e8bdb6b8p-3, 0x1.f561081be0071p-3, 0x1.ebe679c4bcad6p-3, 0x1.e28fc9b39317p-3, 0x1.d95ce56c12914p-3, 0x1.d04db26708342p-3, 0x1.c7620eaa02ae7p-3, 0x1.be99d15860bcfp-3, 0x1.b5f4cb3d08c96p-3, 0x1.ad72c74ccfd8dp-3, 0x1.a5138b21c1edep-3, 0x1.9cd6d76e826ebp-3, 0x1.94bc686a2d3d5p-3, 0x1.8cc3f6356325ap-3, 0x1.84ed353846b26p-3, 0x1.7d37d67a2302cp-3, 0x1.75a387f3bf3a8p-3, 0x1.6e2ff4dc772ebp-3, 0x1.66dcc5f27d944p-3, 0x1.5fa9a1bf5da6dp-3, 0x1.58962cd8912cdp-3, 0x1.51a20a1c3e32dp-3, 0x1.4accdaeac8e6ap-3, 0x1.44163f5d1f2dp-3, 0x1.3d7dd677732fp-3, 0x1.37033e58c5a04p-3, 0x1.30a6146779cbep-3, 0x1.2a65f57a89db1p-3, 0x1.24427dff9805dp-3, 0x1.1e3b4a1e42b7ep-3, 0x1.184ff5d8b039p-3, 0x1.12801d2950181p-3, 0x1.0ccb5c1e33fa7p-3, 0x1.07314ef25ecf6p-3, 0x1.01b19224d4c0ap-3, 0x1.f897851b7edc9p-4, 0x1.edfefae3fcdc4p-4, 0x1.e398c12a4493fp-4, 0x1.d96414939cf48p-4, 0x1.cf603301a4cd2p-4, 0x1.c58c5bae474bdp-4, 0x1.bbe7cf4505ea3p-4, 0x1.b271cff9fdcf5p-4, 0x1.a929a19ee2b48p-4, 0x1.a00e89b641fc5p-4, 0x1.971fcf849ea02p-4, 0x1.8e5cbc1f66201p-4, 0x1.85c49a7aa0e05p-4, 0x1.7d56b77509819p-4, 0x1.751261e2850c4p-4, 0x1.6cf6ea94e0aa7p-4, 0x1.6503a46331d33p-4, 0x1.5d37e430979a9p-4, 0x1.559300f19fdafp-4, 0x1.4e1453b01ef67p-4, 0x1.46bb378e1d9e8p-4, 0x1.3f8709c8587a8p-4, 0x1.387729b7f4443p-4, 0x1.318af8d33ae53p-4, 0x1.2ac1daad59d8cp-4, 0x1.241b34f5b9493p-4, 0x1.1d966f771a007p-4, 0x1.1732f4163a7d4p-4, 0x1.10f02ecfb0508p-4, 0x1.0acd8db52163cp-4, 0x1.04ca80ea5cb41p-4, 0x1.fdccf544f0a83p-5, 0x1.f241de3912caap-5, 0x1.e6f2a93f6a957p-5, 0x1.dbde46edc8138p-5, 0x1.d103abd917a57p-5, 0x1.c661d08d31b94p-5, 0x1.bbf7b183e9b18p-5, 0x1.b1c44f1b2249ep-5, 0x1.a7c6ad8a57012p-5, 0x1.9dfdd4d8f843fp-5, 0x1.9468d0d46ab54p-5, 0x1.8b06b1060f41bp-5, 0x1.81d688a85c4d2p-5, 0x1.78d76e9bcc4c2p-5, 0x1.70087d5bfc38dp-5, 0x1.6768d2f51118dp-5, 0x1.5ef790f92541bp-5, 0x1.56b3dc756bb9fp-5, 0x1.4e9cdde6ff83p-5, 0x1.46b1c12fa3679p-5, 0x1.3ef1b58ac5586p-5, 0x1.375bed82d8563p-5, 0x1.2fef9ee6be8bap-5, 0x1.28ac02bef687dp-5, 0x1.2190554291f0ap-5, 0x1.1a9bd5cc49686p-5, 0x1.13cdc6cfeae05p-5, 0x1.0d256dd01173ep-5, 0x1.06a21353df06ap-5, 0x1.004302dc8f882p-5, 0x1.f40f15b6078c6p-6, 0x1.e7ddf94ae69ap-6, 0x1.dbf158dac18ep-6, 0x1.d047e26bb8f15p-6, 0x1.c4e04993195ccp-6, 0x1.b9b9476230a8cp-6, 0x1.aed19a5357309p-6, 0x1.a4280635890d1p-6, 0x1.99bb541a3a012p-6, 0x1.8f8a524278c58p-6, 0x1.8593d40cc72dep-6, 0x1.7bd6b1e3238ffp-6, 0x1.7251c928ff2a7p-6, 0x1.6903fc2933d85p-6, 0x1.5fec320423482p-6, 0x1.5709569e59cabp-6, 0x1.4e5a5a8fa5f12p-6, 0x1.45de33126bfbap-6, 0x1.3d93d9f2ef6e2p-6, 0x1.357a4d7e94e71p-6, 0x1.2d909073504bap-6, 0x1.25d5a9ef6c51fp-6, 0x1.1e48a561c5733p-6, 0x1.16e8927a31326p-6, 0x1.0fb4851a06769p-6, 0x1.08ab95449c0a2p-6, 0x1.01ccdf1000cedp-6, 0x1.f62f052bd8791p-7, 0x1.e91547c9ff9a4p-7, 0x1.dc4ad5e463d91p-7, 0x1.cfce0714b55fcp-7, 0x1.c39d3a87b3c36p-7, 0x1.b7b6d6e0d9cfep-7, 0x1.ac194a1e825dp-7, 0x1.a0c3097e7ae9ap-7, 0x1.95b29162ddfdap-7, 0x1.8ae6653709b1ep-7, 0x1.805d0f54e0ceep-7, 0x1.761520ea605dap-7, 0x1.6c0d31dfb279p-7, 0x1.6243e0bdb1b72p-7, 0x1.58b7d294c1036p-7, 0x1.4f67b2e3bb659p-7, 0x1.4652337f034fcp-7, 0x1.3d760c77b7c73p-7, 0x1.34d1fc03ef77ap-7, 0x1.2c64c6663d84cp-7, 0x1.242d35d52ceep-7, 0x1.1c2a1a672755ap-7, 0x1.145a49f98f90dp-7, 0x1.0cbca018865e1p-7, 0x1.054ffdea45003p-7, 0x1.fc26942fdfc78p-8, 0x1.ee0ae16f2233ep-8, 0x1.e04ac66cfb917p-8, 0x1.d2e43087e97ep-8, 0x1.c5d51777e66f4p-8, 0x1.b91b7d24447b8p-8, 0x1.acb56d79e4bcbp-8, 0x1.a0a0fe420c541p-8, 0x1.94dc4ef9caf39p-8, 0x1.896588a9fc7edp-8, 0x1.7e3addbfe96ccp-8, 0x1.735a89e64d56p-8, 0x1.68c2d1de9bb83p-8, 0x1.5e72035aa7cd4p-8, 0x1.546674d6cc753p-8, 0x1.4a9e85749ee45p-8, 0x1.41189cd6328e9p-8, 0x1.37d32af9e7d85p-8, 0x1.2ecca816a76c1p-8, 0x1.260394786a695p-8, 0x1.1d76785d0c512p-8, 0x1.1523e3d1735d8p-8, 0x1.0d0a6e8f33d92p-8, 0x1.0528b7dac2751p-8, 0x1.fafaccc46c55fp-9, 0x1.ec0e503988eccp-9, 0x1.dd8964551049p-9, 0x1.cf6981692de94p-9, 0x1.c1ac2d9ab46bdp-9, 0x1.b44efca215291p-9, 0x1.a74f8f8ce87b8p-9, 0x1.9aab948057355p-9, 0x1.8e60c67ca8d27p-9, 0x1.826ced223d54cp-9, 0x1.76cddc77f86cp-9, 0x1.6b8174b29cfe6p-9, 0x1.6085a1fcda968p-9, 0x1.55d85c3fa1bebp-9, 0x1.4b77a6ea6779fp-9, 0x1.416190bb82a15p-9, 0x1.37943388de435p-9, 0x1.2e0db409ae67ap-9, 0x1.24cc41a16be64p-9, 0x1.1bce162caa3f8p-9, 0x1.131175cf93a9fp-9, 0x1.0a94aec5b5c61p-9, 0x1.0256193268009p-9, 0x1.f4a82de203164p-10, 0x1.e51a26c91cd6p-10, 0x1.d5ff068dc82c8p-10, 0x1.c753c8ef38586p-10, 0x1.b9157b97a86b8p-10, 0x1.ab413dbefeb0dp-10, 0x1.9dd43fd206624p-10, 0x1.90cbc31e833c5p-10, 0x1.84251982f5b3ap-10, 0x1.77dda520410cep-10, 0x1.6bf2d80aad12bp-10, 0x1.606233f898b33p-10, 0x1.552949ed9dc2bp-10, 0x1.4a45b9e37f8b1p-10, 0x1.3fb53273171a9p-10, 0x1.3575707fba945p-10, 0x1.2b843ee89fbaap-10, 0x1.21df7640c1edfp-10, 0x1.1884fc8d7429dp-10, 0x1.0f72c509804fbp-10, 0x1.06a6cfe8bcaaap-10, 0x1.fc3e543185249p-11, 0x1.ebb3d9f8337ebp-11, 0x1.dbaa7c3d9431ep-11, 0x1.cc1e9dccb0a4ep-11, 0x1.bd0cb882d9eecp-11, 0x1.ae715cb708bc4p-11, 0x1.a04930b1deaf9p-11, 0x1.9290f03c48475p-11, 0x1.85456c4127714p-11, 0x1.78638a7ca8bc5p-11, 0x1.6be8452dcea41p-11, 0x1.5fd0aabd00d0ep-11, 0x1.5419dd4f5bf44p-11, 0x1.48c11242d2ccfp-11, 0x1.3dc391975e5ebp-11, 0x1.331eb54fc07dp-11, 0x1.28cfe8d9784e9p-11, 0x1.1ed4a889fac4cp-11, 0x1.152a813add947p-11, 0x1.0bcf100676dfep-11, 0x1.02c0021e3ccc3p-11, 0x1.f3f62956318b9p-12, 0x1.e2fc294ed71c3p-12, 0x1.d28dbd4307bbcp-12, 0x1.c2a6bcb97faa5p-12, 0x1.b3431ca0c9cf7p-12, 0x1.a45eee1b6e71p-12, 0x1.95f65d3cf6768p-12, 0x1.8805afe030f0bp-12, 0x1.7a8944bccd238p-12, 0x1.6d7d92d063557p-12, 0x1.60df2919eac97p-12, 0x1.54aaae93ac0e6p-12, 0x1.48dce246f0135p-12, 0x1.3d729b4a976ap-12, 0x1.3268c88846b13p-12, 0x1.27bc70349008dp-12, 0x1.1d6aaef632384p-12, 0x1.1370b6ce80f9p-12, 0x1.09cbcde6a017ep-12, 0x1.00794d6a902a5p-12, 0x1.eeed41364d34p-13, 0x1.dd828865a0289p-13, 0x1.ccad8c4c43d23p-13, 0x1.bc698b5f9b93ap-13, 0x1.acb1e707e92d2p-13, 0x1.9d8223fca2541p-13, 0x1.8ed5ea497f089p-13, 0x1.80a904d14490ap-13, 0x1.72f760487e01fp-13, 0x1.65bd09c1e39fap-13, 0x1.58f62cf1fad34p-13, 0x1.4c9f1253d2bb2p-13, 0x1.40b41d62fba97p-13, 0x1.3531cb1f007b2p-13, 0x1.2a14b1088ca09p-13, 0x1.1f597cb8d0d01p-13, 0x1.14fcf4066377dp-13, 0x1.0afbf57dc6008p-13, 0x1.015378cd4ec83p-13, 0x1.f0011d9eb50b2p-14, 0x1.de00c20d1b71ap-14, 0x1.cca06141d63e7p-14, 0x1.bbdaaa82e72f4p-14, 0x1.abaa77a69fc1ap-14, 0x1.9c0acb04f7511p-14, 0x1.8cf6cda7eb39dp-14, 0x1.7e69cd8a5a863p-14, 0x1.705f3beb18117p-14, 0x1.62d2ac013fa04p-14, 0x1.55bfd2739dc47p-14, 0x1.492285c297b6fp-14, 0x1.3cf6bf291d11ap-14, 0x1.31389b39c150bp-14, 0x1.25e4596e6069dp-14, 0x1.1af65a59a32p-14, 0x1.106b1cfd2ca52p-14, 0x1.063f3c310e0bp-14, 0x1.f8ded9c1a0e68p-15, 0x1.e5f0faa508ad5p-15, 0x1.d3aea9f9a40ap-15, 0x1.c211e8b50cfa9p-15, 0x1.b114e8e49be0fp-15, 0x1.a0b20c73755abp-15, 0x1.90e3e4a1c859ap-15, 0x1.81a532607f432p-15, 0x1.72f0e714433dbp-15, 0x1.64c224a4288d7p-15, 0x1.57143bccf3b1dp-15, 0x1.49e2a8b82255dp-15, 0x1.3d290eb3b4d97p-15, 0x1.30e3345064899p-15, 0x1.250d00b5e9f63p-15, 0x1.19a27a2d0aa25p-15, 0x1.0e9fc559ce80bp-15, 0x1.040124db60a53p-15, 0x1.f385f282cfc75p-16, 0x1.dfc382f220f66p-16, 0x1.ccb43738c877dp-16, 0x1.ba518bcf4cd22p-16, 0x1.a8953ee712d94p-16, 0x1.9779509b9b702p-16, 0x1.86f800eedfc8fp-16, 0x1.770bcb3de223fp-16, 0x1.67af602b05919p-16, 0x1.58dd9feea4a0fp-16, 0x1.4a9196b9bc5b9p-16, 0x1.3cc67b1b4266dp-16, 0x1.2f77acb0d2ce4p-16, 0x1.22a0b1cd58e39p-16, 0x1.163d34a32ccc5p-16, 0x1.0a49017d79731p-16, 0x1.fd800d4b50428p-17, 0x1.e73ca9111485bp-17, 0x1.d1c0395f73015p-17, 0x1.bd0360424ff71p-17, 0x1.a8feff442f0a3p-17, 0x1.95ac3f1e79d41p-17, 0x1.83049bd6b92adp-17, 0x1.7101ec6f99f11p-17, 0x1.5f9e5da96f4ecp-17, 0x1.4ed45ffc64e8cp-17, 0x1.3e9e92fa436aap-17, 0x1.2ef7bae9fe205p-17, 0x1.1fdac4d249b5bp-17, 0x1.1142d0d37f71dp-17, 0x1.032b3667fb497p-17, 0x1.eb1efb1bfdf18p-18, 0x1.d0d6a4d079264p-18, 0x1.b774f7c0f414bp-18, 0x1.9ef1b0619617dp-18, 0x1.8744b7f44903p-18, 0x1.706622e61a325p-18, 0x1.5a4e37c2bb8dp-18, 0x1.44f5895dc5d9bp-18, 0x1.30551dfeac4bp-18, 0x1.1c6688d822c99p-18, 0x1.0923de5390e08p-18, 0x1.ed0f1197becd8p-19, 0x1.c9183b9915c68p-19, 0x1.a6589ff3c376dp-19, 0x1.84c5f612b0e96p-19, 0x1.645660fe7608ep-19, 0x1.45006a1bd06b3p-19, 0x1.26baec0c22f93p-19, 0x1.097d07fb4515p-19, 0x1.da7c43821efb8p-20, 0x1.a3eba714f3357p-20, 0x1.6f37be2800a23p-20, 0x1.3c505cb037c75p-20, 0x1.0b25caaffafecp-20, 0x1.b751cc59aa85cp-21, 0x1.5b965afaa21d6p-21, 0x1.02fd9aecba1a3p-21, 0x1.5adb5c14a87c6p-22, 0x1.6b3c1c9896ef5p-23, 0x1.6189124a87013p-26, -0x1.07ba19c47db2ep-23, -0x1.186a92adadd87p-22, -0x1.a7b84ac4ae61ep-22, -0x1.18f705dd167dp-21, -0x1.5b98fff470312p-21, -0x1.9bd44c2dee89cp-21, -0x1.d9ba92c582da9p-21, -0x1.0aae82a7b2ed3p-20, -0x1.276621155e2c8p-20, -0x1.430c217a609c9p-20, -0x1.5da8389fb28ffp-20, -0x1.7741e8a39c363p-20, -0x1.8fe0916d9b94dp-20, -0x1.a78b6b2270729p-20, -0x1.be49611434ccp-20, -0x1.d420dcbe2bafdp-20, -0x1.e917b152e3367p-20, -0x1.fd334b9c9b7d7p-20, -0x1.083c8276f08aep-19, -0x1.117725ba6e98dp-19, -0x1.1a4c3fef074dfp-19, -0x1.22be5e1726579p-19, -0x1.2acfe2cd677fcp-19, -0x1.328317f0c59c2p-19, -0x1.39da43a613cb6p-19, -0x1.40d7a9311609ep-19, -0x1.477d78da07facp-19, -0x1.4dcdc92d9bd6ep-19, -0x1.53ca9f3e69657p-19, -0x1.5975f5484701ap-19, -0x1.5ed1bb6a6ab2ep-19, -0x1.63dfd7da11a87p-19, -0x1.68a22397f1e7fp-19, -0x1.6d1a60acf5aa7p-19, -0x1.714a3580134e6p-19, -0x1.753335e33426dp-19, -0x1.78d6ed5b3e65ap-19, -0x1.7c36e052b6ebbp-19, -0x1.7f548e541be06p-19, -0x1.82317a204b7f2p-19, -0x1.84cf297a49158p-19, -0x1.872f17cfbc432p-19, -0x1.8952a5d49177dp-19, -0x1.8b3b173f9324bp-19, -0x1.8ce9a636f57ecp-19, -0x1.8e5f94a4ec879p-19, -0x1.8f9e276f148dcp-19, -0x1.90a69c909b232p-19, -0x1.917a2a9a761ep-19, -0x1.921a00b95cf32p-19, -0x1.9287463446b8cp-19, -0x1.92c31d624eb3p-19, -0x1.92cea5da63126p-19, -0x1.92aafc53bc31ep-19, -0x1.9259364d05affp-19, -0x1.91da5b98aa298p-19, -0x1.912f6a3aabd8ap-19, -0x1.905960ad53911p-19, -0x1.8f593cffd119bp-19, -0x1.8e2ff9984ac3fp-19, -0x1.8cde925f6f3fdp-19, -0x1.8b6604ed6327dp-19, -0x1.89c74a199d45bp-19, -0x1.8803523114ff5p-19, -0x1.861b02692dbb7p-19, -0x1.840f379483adbp-19, -0x1.81e0d2261d3afp-19, -0x1.7f90b7edd5d7dp-19, -0x1.7d1fc78d0d03ep-19, -0x1.7a8ed6a4350ddp-19, -0x1.77debbe137989p-19, -0x1.751051bb37172p-19, -0x1.7224720e4e64ep-19, -0x1.6f1bf0ad36d7bp-19, -0x1.6bf796f6d7bb1p-19, -0x1.68b829e99aa2cp-19, -0x1.655e72ea83f17p-19, -0x1.61eb3acf8d85bp-19, -0x1.5e5f45817e38cp-19, -0x1.5abb550d69401p-19, -0x1.57002973e08b3p-19, -0x1.532e7f72349a7p-19, -0x1.4f47112987007p-19, -0x1.4b4a976f660bp-19, -0x1.4739caa02dc29p-19, -0x1.4315619e00612p-19, -0x1.3ede10418055cp-19, -0x1.3a94877d4b8fbp-19, -0x1.363974d146307p-19, -0x1.31cd832a3922ap-19, -0x1.2d515e3e1e5a9p-19, -0x1.28c5b0846c00dp-19, -0x1.242b21d0ca91dp-19, -0x1.1f82585c4d917p-19, -0x1.1acbf62f1e425p-19, -0x1.16089a5edb20ep-19, -0x1.1138e4e2ea134p-19, -0x1.0c5d73411b8e3p-19, -0x1.0776e017e07ecp-19, -0x1.0285c4e119bbep-19, -0x1.fb1571d08634ap-20, -0x1.f10ca238be9e4p-20, -0x1.e6f240f97bbeap-20, -0x1.dcc7708842879p-20, -0x1.d28d4fcea406ap-20, -0x1.c844f9f29ecfep-20, -0x1.bdef8602d2956p-20, -0x1.b38e06dd4206bp-20, -0x1.a9218b6812c7fp-20, -0x1.9eab1ef21aedbp-20, -0x1.942bc8afcf836p-20, -0x1.89a48b02651dep-20, -0x1.7f1665b1c3d6bp-20, -0x1.7482560afb59ep-20, -0x1.69e954389771ep-20, -0x1.5f4c542a7abbdp-20, -0x1.54ac445615287p-20, -0x1.4a0a1185b41f7p-20, -0x1.3f66a38868efp-20, -0x1.34c2de194ec6p-20, -0x1.2a1fa1824afafp-20, -0x1.1f7dc9a8084d2p-20, -0x1.14de2e81eaf5p-20, -0x1.0a41a45fb24e8p-20, -0x1.ff51f7d8b9d14p-21, -0x1.ea2a043345c68p-21, -0x1.d50cfff2072b4p-21, -0x1.bffc7503ffc24p-21, -0x1.aaf9e507f1575p-21, -0x1.9606c97ee80fdp-21, -0x1.8124946f80344p-21, -0x1.6c54b0e961bb2p-21, -0x1.579882cd5b252p-21, -0x1.42f166133041bp-21, -0x1.2e60aeacc1f34p-21, -0x1.19e7a8a5f6dd6p-21, -0x1.0587974727e2fp-21, -0x1.e2837082891e1p-22, -0x1.ba2e84e1c13bdp-22, -0x1.9212cbc72aff8p-22, -0x1.6a329402eefcbp-22, -0x1.42901cc811368p-22, -0x1.1b2d93c91797dp-22, -0x1.e81a3861fccbcp-23, -0x1.9a61934aeab94p-23, -0x1.4d35404e4b299p-23, -0x1.00992b9f625a1p-23, -0x1.69224cbd97d73p-24, -0x1.a4839aad9d245p-25, -0x1.e4c06e4c5c6bdp-27, 0x1.5f4fd61c7d2fcp-26, 0x1.d5f6f34a8e046p-25, 0x1.7cd7f4003c266p-24, 0x1.06b18795062f9p-23, 0x1.4e4b54046fde5p-23, 0x1.9536677ae9217p-23, 0x1.db6fe6f307af3p-23, 0x1.107a8a6fd53a1p-22, 0x1.32e1a656e28ep-22, 0x1.54ec023ffb935p-22, 0x1.7698636c7f567p-22, 0x1.97e5940d43061p-22, 0x1.b8d275c22b831p-22, 0x1.d95df908169fdp-22, 0x1.f9871360b19f8p-22, 0x1.0ca6642fba72p-21, 0x1.1c5714a565b37p-21, 0x1.2bd527880fbafp-21, 0x1.3b202e68920e3p-21, 0x1.4a37c58757792p-21, 0x1.591b8b1b63aaep-21, 0x1.67cb2282797d1p-21, 0x1.764635ad04c69p-21, 0x1.848c73e991c7bp-21, 0x1.929d91ef70d3ap-21, 0x1.a0794a0c04ef6p-21, 0x1.ae1f5bfe21087p-21, 0x1.bb8f8c7a80b45p-21, 0x1.c8c9a49bc836fp-21, 0x1.d5cd71e0072d2p-21, 0x1.e29ac6ebf5144p-21, 0x1.ef317c535488cp-21, 0x1.fb916fed9ee8bp-21, 0x1.03dd41a180e1fp-20, 0x1.09d64ea71024bp-20, 0x1.0fb3d308623cbp-20, 0x1.1575c6786ebb2p-20, 0x1.1b1c23c54b718p-20, 0x1.20a6e5c8b66a4p-20, 0x1.26160a7710ebcp-20, 0x1.2b6991c2bed53p-20, 0x1.30a17db5a54e5p-20, 0x1.35bdd2ae242f4p-20, 0x1.3abe972919eeap-20, 0x1.3fa3d3061db87p-20, 0x1.446d8f8096d99p-20, 0x1.491bd87d033edp-20, 0x1.4daeba8927b15p-20, 0x1.52264561182c6p-20, 0x1.5682898b9b5c4p-20, 0x1.5ac399531a5a9p-20, 0x1.5ee98950aad39p-20, 0x1.62f46f836e044p-20, 0x1.66e4633271fd3p-20, 0x1.6ab97cef5e786p-20, 0x1.6e73d6ce9ca09p-20, 0x1.72138cbe88c79p-20, 0x1.7598bca162136p-20, 0x1.7903854eeb2dfp-20, 0x1.7c540618ca935p-20, 0x1.7f8a60a727194p-20, 0x1.82a6b6cc684b2p-20, 0x1.85a92d214c8e1p-20, 0x1.8891e7d1cbc3ap-20, 0x1.8b610d5de7816p-20, 0x1.8e16c5450d4e4p-20, 0x1.90b3380d64ac8p-20, 0x1.93368f5185bf2p-20, 0x1.95a0f5ae093a6p-20, 0x1.97f296b0dfbb6p-20, 0x1.9a2b9ed41f5p-20, 0x1.9c4c3b7a14f61p-20, 0x1.9e549afa981a9p-20, 0x1.a044ecc1f567bp-20, 0x1.a21d614576474p-20, 0x1.a3de29761e597p-20, 0x1.a587765f9962fp-20, 0x1.a71979c7f15b1p-20, 0x1.a89466f552a99p-20, 0x1.a9f872c03145dp-20, 0x1.ab45d3f3c04acp-20, 0x1.ac7cbec053f94p-20, 0x1.ad9d6867bf303p-20, 0x1.aea808a44592cp-20, 0x1.af9cd5063a92fp-20, 0x1.b07c04533024dp-20, 0x1.b145ce762ee82p-20, 0x1.b1fa6d24d3b85p-20, 0x1.b29a19d5da59ap-20, 0x1.b3250d3b930b7p-20, 0x1.b39b816ad093p-20, 0x1.b3fdb0d9ce3f9p-20, 0x1.b44bd625f8194p-20, 0x1.b4862c3fccf2cp-20, 0x1.b4acee6afc62ap-20, 0x1.b4c05839ca2c3p-20, 0x1.b4c0a5864e04ap-20, 0x1.b4ae126b7d288p-20, 0x1.b488db3fe1fb1p-20, 0x1.b4513c8a87d68p-20, 0x1.b40772fb5d74fp-20, 0x1.b3abbb6cd524bp-20, 0x1.b33e52dab15dp-20, 0x1.b2bf765ac6d88p-20, 0x1.b22f6322418p-20, 0x1.b18e5687fac86p-20, 0x1.b0dc8e05a1ff9p-20, 0x1.b01a472adf8e1p-20, 0x1.af47bf6b7d954p-20, 0x1.ae653400604e1p-20, 0x1.ad72e206f4467p-20, 0x1.ac71076ae1c85p-20, 0x1.ab5fe244f4d93p-20, 0x1.aa3faf10ab94ep-20, 0x1.a910aabe02b6p-20, 0x1.a7d3131e67e94p-20, }}, 
      {{-0x1.d9e0ac0eb384cp-11, -0x1.d1671d84dff5fp-9, -0x1.fd94bdc34402ep-8, -0x1.b59c64df2eaf2p-7, -0x1.4845fe4738675p-6, -0x1.c387b2e53cedfp-6, -0x1.2432e27bf17b6p-5, -0x1.6978b7fe9312dp-5, -0x1.afc977a5b2933p-5, -0x1.f58b132562379p-5, -0x1.1cabe04a99dc4p-4, -0x1.3cfee4336cd83p-4, -0x1.5b3ec34cdda52p-4, -0x1.77031f62f304p-4, -0x1.8ff91f1e6b1a8p-4, -0x1.a5e15207f53f6p-4, -0x1.b88d8bf790785p-4, -0x1.c7decb814c2d5p-4, -0x1.d3c33becb20dcp-4, -0x1.dc345cdf3b269p-4, -0x1.e13552fac41a8p-4, -0x1.e2d1640eb5741p-4, -0x1.e11a9caa4934cp-4, -0x1.dc289e8cb396dp-4, -0x1.d41793f9b04e9p-4, -0x1.c907453177d0cp-4, -0x1.bb1a4cc0ec7ep-4, -0x1.aa7567cc3d612p-4, -0x1.973edf2612887p-4, -0x1.819e05cba4718p-4, -0x1.69baca4612041p-4, -0x1.4fbd57e1111afp-4, -0x1.33cdc55ae7c97p-4, -0x1.1613cf4f8d2e4p-4, -0x1.ed6d3b1f01aabp-5, -0x1.abb9225103afdp-5, -0x1.675635e124fcp-5, -0x1.208d338e72845p-5, -0x1.af48faa055752p-6, -0x1.19bfdd5b04aebp-6, -0x1.0202edc928ce1p-7, 0x1.a7552b4ce2ad4p-10, 0x1.705a75c191a4cp-7, 0x1.57b4b2e3b5b5ap-6, 0x1.f89fe8d23dec8p-6, 0x1.4d4463101778ap-5, 0x1.9e8771d319d03p-5, 0x1.efebba91af97dp-5, 0x1.20a34c253990dp-4, 0x1.49380c1a04024p-4, 0x1.71a172a4d5edep-4, 0x1.99ce1b0ad5f9cp-4, 0x1.c1addc6a95694p-4, 0x1.e931bb1f8e834p-4, 0x1.0825f1027f247p-3, 0x1.1b77c896fc75bp-3, 0x1.2e888a72d3cbep-3, 0x1.4152dc9ee2b34p-3, 0x1.53d1dd0523484p-3, 0x1.66011f0acb75p-3, 0x1.77dca0643af52p-3, 0x1.8960c93952151p-3, 0x1.9a8a5fee18a8fp-3, 0x1.ab5689e373d11p-3, 0x1.bbc2c012ba658p-3, 0x1.cbcccf290f87ep-3, 0x1.db72ce3885309p-3, 0x1.eab31d79aadefp-3, 0x1.f98c5f73b3851p-3, 0x1.03febb3ced2dfp-2, 0x1.0b02bfe9b057cp-2, 0x1.11d1e849ddc91p-2, 0x1.186bf8fd08a31p-2, 0x1.1ed0cf2d62af1p-2, 0x1.25005f0d149d1p-2, 0x1.2afab270dd697p-2, 0x1.30bfe77d382c4p-2, 0x1.36502f6384e39p-2, 0x1.3babcd2ba4812p-2, 0x1.40d31487ef3b6p-2, 0x1.45c668b0f4f1ap-2, 0x1.4a863b4852e0bp-2, 0x1.4f130b41f5c59p-2, 0x1.536d63d42377ep-2, 0x1.5795db6f521cap-2, 0x1.5b8d12be68a0fp-2, 0x1.5f53b3b129886p-2, 0x1.62ea7090d0d97p-2, 0x1.665203200f597p-2, 0x1.698b2bc5fadaap-2, 0x1.6c96b0c3f2bcfp-2, 0x1.6f755d763bee8p-2, 0x1.7228019e725d3p-2, 0x1.74af70b81a2dbp-2, 0x1.770c815663a88p-2, 0x1.79400c8be7c7dp-2, 0x1.7b4aed5bc4c8ep-2, 0x1.7d2e0033a8d7fp-2, 0x1.7eea226ef905p-2, 0x1.808031e2843ffp-2, 0x1.81f10c702cd33p-2, 0x1.833d8fa1af193p-2, 0x1.8466984b25843p-2, 0x1.856d023317755p-2, 0x1.8651a7c1dcb8fp-2, 0x1.871561b765f7p-2, 0x1.87b906e5fa6a5p-2, 0x1.883d6bf5c8de5p-2, 0x1.88a3632c563c8p-2, 0x1.88ebbc3af4a91p-2, 0x1.89174414a22efp-2, 0x1.8926c4c5c1f7ap-2, 0x1.891b055497a38p-2, 0x1.88f4c9a4efd4ap-2, 0x1.88b4d25d8801bp-2, 0x1.885bdcd5f20a7p-2, 0x1.87eaa30410713p-2, 0x1.8761db6c361edp-2, 0x1.86c2391909303p-2, 0x1.860c6b913f91bp-2, 0x1.85411ed08be16p-2, 0x1.8460fb485627p-2, 0x1.836ca5dd5b237p-2, 0x1.8264bfe7ef9adp-2, 0x1.8149e73c9f454p-2, 0x1.801cb630cef6p-2, 0x1.7eddc3a074b78p-2, 0x1.7d8da2fc50efep-2, 0x1.7c2ce45414beap-2, 0x1.7abc145f95243p-2, 0x1.793bbc8f80fc9p-2, 0x1.77ac631b89de2p-2, 0x1.760e8b0decf2bp-2, 0x1.7462b4545c679p-2, 0x1.72a95bd0b0213p-2, 0x1.70e2fb6695373p-2, 0x1.6f100a0c02d78p-2, 0x1.6d30fbdb2732bp-2, 0x1.6b464221d0f8cp-2, 0x1.69504b71aa9f1p-2, 0x1.674f83b2deb2ap-2, 0x1.65445434a0157p-2, 0x1.632f23bc5eb4bp-2, 0x1.61105698ad623p-2, 0x1.5ee84eb3b0efap-2, 0x1.5cb76ba0a5009p-2, 0x1.5a7e0aabd71bp-2, 0x1.583c86ef49258p-2, 0x1.55f33962393cdp-2, 0x1.53a278e3cdc4ep-2, 0x1.514a9a4bd42f7p-2, 0x1.4eebf07f13df9p-2, 0x1.4c86cc7c06099p-2, 0x1.4a1b7d6308e2dp-2, 0x1.47aa5085efd29p-2, 0x1.4533917c02c56p-2, 0x1.42b78a2d69ff7p-2, 0x1.403682d85fa42p-2, 0x1.3db0c21db815fp-2, 0x1.3b268d144ca27p-2, 0x1.38982755b7c84p-2, 0x1.3605d3010a587p-2, 0x1.336fd0c1c9781p-2, 0x1.30d65fe1adce9p-2, 0x1.2e39be5815ceap-2, 0x1.2b9a28cd3faap-2, 0x1.28f7da9b4c5cfp-2, 0x1.26530dda224p-2, 0x1.23abfb709f091p-2, 0x1.2102db1cbb96cp-2, 0x1.1e57e3721fc81p-2, 0x1.1bab49dcc7581p-2, 0x1.18fd42ae3a2a2p-2, 0x1.164e012b6bb6p-2, 0x1.139db7904111fp-2, 0x1.10ec970c6e4dep-2, 0x1.0e3acfc647bb3p-2, 0x1.0b8890e70853dp-2, 0x1.08d608a642d41p-2, 0x1.0623644b5e289p-2, 0x1.0370d0296ae7ep-2, 0x1.00be77a0b0066p-2, 0x1.fc190a51f435cp-3, 0x1.f6b644b7701ebp-3, 0x1.f154efeb116cap-3, 0x1.ebf55ba3ca548p-3, 0x1.e697d5d4d3b01p-3, 0x1.e13caabbecbbcp-3, 0x1.dbe424f3fe168p-3, 0x1.d68e8d7c143e8p-3, 0x1.d13c2bb13c958p-3, 0x1.cbed454856152p-3, 0x1.c6a21e53dc545p-3, 0x1.c15af95354f91p-3, 0x1.bc18173f413eap-3, 0x1.b6d9b7891c329p-3, 0x1.b1a0181429af7p-3, 0x1.ac6b7532d9dbep-3, 0x1.a73c09aefbea2p-3, 0x1.a2120ed7210d1p-3, 0x1.9cedbc865959ap-3, 0x1.97cf49223a006p-3, 0x1.92b6e994f37eap-3, 0x1.8da4d14c874f3p-3, 0x1.88993242a394dp-3, 0x1.83943d07b99a3p-3, 0x1.7e9620c961035p-3, 0x1.799f0b514d484p-3, 0x1.74af29012e2cdp-3, 0x1.6fc6a4d2132edp-3, 0x1.6ae5a85a52b1p-3, 0x1.660c5bd6e0c27p-3, 0x1.613ae6322124fp-3, 0x1.5c716d0539f2dp-3, 0x1.57b01496110d2p-3, 0x1.52f6ffd63383p-3, 0x1.4e4650665a4ap-3, 0x1.499e269dc81ffp-3, 0x1.44fea191bd6a8p-3, 0x1.4067df19a8753p-3, 0x1.3bd9fbcfb775bp-3, 0x1.375513104bcebp-3, 0x1.32d93efb69bd7p-3, 0x1.2e6698798448ap-3, 0x1.29fd374252cbcp-3, 0x1.259d31e2f5b4bp-3, 0x1.21469dc1b9afdp-3, 0x1.1cf98f1f9aaf3p-3, 0x1.18b619193954p-3, 0x1.147c4da9446a6p-3, 0x1.104c3dad27d24p-3, 0x1.0c25f8eb232a2p-3, 0x1.08098e182ad1cp-3, 0x1.03f70adc47a8ap-3, 0x1.ffdcf7aa9be3dp-4, 0x1.f7dfd9319919ep-4, 0x1.eff6cf6d469b5p-4, 0x1.e821ed7a5daa1p-4, 0x1.e061447daa45ep-4, 0x1.d8b4e3afcef43p-4, 0x1.d11cd8676b1dfp-4, 0x1.c9992e20af7aap-4, 0x1.c229ee82d4a48p-4, 0x1.bacf21658399bp-4, 0x1.b388ccd8339e6p-4, 0x1.ac56f52c06b6ep-4, 0x1.a5399cfefd2fp-4, 0x1.9e30c546cf67dp-4, 0x1.973c6d5a0aeb8p-4, 0x1.905c92f76a80cp-4, 0x1.8991324c14c5p-4, 0x1.82da45fa6be94p-4, 0x1.7c37c722575p-4, 0x1.75a9ad6b660c6p-4, 0x1.6f2fef0f887ecp-4, 0x1.68ca80e3ed04ep-4, 0x1.6279566254d21p-4, 0x1.5c3c61b1126e5p-4, 0x1.561393a99c955p-4, 0x1.4ffedbe04495p-4, 0x1.49fe28ac98e6dp-4, 0x1.441167329353dp-4, 0x1.3e38836bf7792p-4, 0x1.3873683157eecp-4, 0x1.32c1ff429181ap-4, 0x1.2d24314ecc29fp-4, 0x1.2799e5fc20868p-4, 0x1.222303ef2fccfp-4, 0x1.1cbf70d2feecbp-4, 0x1.176f116135723p-4, 0x1.1231c96a7591fp-4, 0x1.0d077bdeaffabp-4, 0x1.07f00ad5138e1p-4, 0x1.02eb5793c852ap-4, 0x1.fbf2852f113d7p-5, 0x1.f233573620702p-5, 0x1.e898e33d065cdp-5, 0x1.df22e5ddce5ddp-5, 0x1.d5d11a5b7a12bp-5, 0x1.cca33ab0f2f9p-5, 0x1.c398ff9f66223p-5, 0x1.bab220bbeb111p-5, 0x1.b1ee547cd1ec5p-5, 0x1.a94d5046fa23bp-5, 0x1.a0cec87b8ae42p-5, 0x1.987270860d5dp-5, 0x1.9037faeb07cafp-5, 0x1.881f19566ce1dp-5, 0x1.80277ca945d4fp-5, 0x1.7850d505c32c8p-5, 0x1.709ad1d998f8ep-5, 0x1.690521e758c3dp-5, 0x1.618f73500536bp-5, 0x1.5a39739e25424p-5, 0x1.5302cfd2fd8f5p-5, 0x1.4beb3475ba635p-5, 0x1.44f24da35b08p-5, 0x1.3e17c71d85d62p-5, 0x1.375b4c563a0c4p-5, 0x1.30bc88775cd61p-5, 0x1.2a3b266673d9bp-5, 0x1.23d6d0c6c3c3p-5, 0x1.1d8f31fce476ap-5, 0x1.1763f436a501bp-5, 0x1.1154c178d81c4p-5, 0x1.0b6143b234084p-5, 0x1.058924d08020cp-5, 0x1.ff981da73083dp-6, 0x1.f45357b3da4f6p-6, 0x1.e9434c47e1bebp-6, 0x1.de67501d5df49p-6, 0x1.d3beb812ba027p-6, 0x1.c948d917fee8ep-6, 0x1.bf05082b39c25p-6, 0x1.b4f29a6d45c0ap-6, 0x1.ab10e550456afp-6, 0x1.a15f3ed81545dp-6, 0x1.97dcfddd663e4p-6, 0x1.8e897a40ee6eep-6, 0x1.85640cff16d3p-6, 0x1.7c6c101d1e926p-6, 0x1.73a0de74e8af3p-6, 0x1.6b01d370a2d5dp-6, 0x1.628e4acec8169p-6, 0x1.5a45a087a0a55p-6, 0x1.522730e493ef8p-6, 0x1.4a3258cbceca2p-6, 0x1.426676315d5eep-6, 0x1.3ac2e89132ab7p-6, 0x1.3347114f3d33p-6, 0x1.2bf253de80f23p-6, 0x1.24c4159e7650fp-6, 0x1.1dbbbd7314ad6p-6, 0x1.16d8b3319af82p-6, 0x1.101a5f0cc80f6p-6, 0x1.0980292fa9328p-6, 0x1.030979ad03f4dp-6, 0x1.f96b71a7dc727p-7, 0x1.ed089fba4adb2p-7, 0x1.e0e95392b0ad7p-7, 0x1.d50c686b61c33p-7, 0x1.c970bfd227a3fp-7, 0x1.be1541d596bb6p-7, 0x1.b2f8dc2205fd5p-7, 0x1.a81a80360fb06p-7, 0x1.9d79211cee93p-7, 0x1.9313b14a0f8bfp-7, 0x1.88e9213617782p-7, 0x1.7ef85f343015bp-7, 0x1.754058a96df3cp-7, 0x1.6bbffc7071f07p-7, 0x1.62763ddc75c56p-7, 0x1.59621797b034ap-7, 0x1.50828d941fdefp-7, 0x1.47d6ad747ca53p-7, 0x1.3f5d8d30ba06p-7, 0x1.371648415ac27p-7, 0x1.2efffbdfc0c84p-7, 0x1.2719c357d878ep-7, 0x1.1f62b56a3808ap-7, 0x1.17d9e374e3ec5p-7, 0x1.107e5abc52034p-7, 0x1.094f279e6823cp-7, 0x1.024b59f675323p-7, 0x1.f6e4133e8fa3bp-8, 0x1.e984b3d8264d8p-8, 0x1.dc76f6562aad7p-8, 0x1.cfb9537b3402ep-8, 0x1.c34a55d03167p-8, 0x1.b728901e73ac9p-8, 0x1.ab529302bb44cp-8, 0x1.9fc6e4288d23fp-8, 0x1.9483f96999beap-8, 0x1.8988391f844cbp-8, 0x1.7ed1ffa8d2759p-8, 0x1.745fa8d571f34p-8, 0x1.6a2f9af8545f2p-8, 0x1.604050efa09f9p-8, 0x1.569060ab3d119p-8, 0x1.4d1e7c92fb21bp-8, 0x1.43e96f7873696p-8, 0x1.3af01421c4f34p-8, 0x1.32314a8f1ce38p-8, 0x1.29abed996daeep-8, 0x1.215ecb56df9b1p-8, 0x1.1948a1ecdebacp-8, 0x1.116821603cd5ap-8, 0x1.09bbf1d0e661fp-8, 0x1.0242bc994c98ep-8, 0x1.f5f66c5157de2p-9, 0x1.e7c84c74849bbp-9, 0x1.d9f8d8be15716p-9, 0x1.cc85ff6136899p-9, 0x1.bf6dd39e51a15p-9, 0x1.b2ae7d712a6cdp-9, 0x1.a64627e943ef7p-9, 0x1.9a32f2da21639p-9, 0x1.8e72eb59ed177p-9, 0x1.83040c25b0deep-9, 0x1.77e4446470b91p-9, 0x1.6d118211b23d4p-9, 0x1.6289bd90f68a1p-9, 0x1.584b046970aeap-9, 0x1.4e5381721d9d9p-9, 0x1.44a180e1ed222p-9, 0x1.3b336ebe481a4p-9, 0x1.3207cec1b8c9fp-9, 0x1.291d2ea7fcb4ap-9, 0x1.20721656971fcp-9, 0x1.1804fb4bffed9p-9, 0x1.0fd43c8646b57p-9, 0x1.07de290a01fa5p-9, 0x1.00210e9971ea9p-9, 0x1.f13694fc5b1d4p-10, 0x1.e296ab6afd616p-10, 0x1.d45f9151d947fp-10, 0x1.c68eae47d1a2bp-10, 0x1.b9219185b5c5ep-10, 0x1.ac15e54afcafp-10, 0x1.9f696946956d5p-10, 0x1.9319f0e545e7ap-10, 0x1.87255db0d08a4p-10, 0x1.7b898fadcc404p-10, 0x1.70444d430fa4p-10, 0x1.65532d1196862p-10, 0x1.5ab3903015541p-10, 0x1.5062b671ecfep-10, 0x1.465de9baa4129p-10, 0x1.3ca2af349800cp-10, 0x1.332ee686d970ap-10, 0x1.2a00c61ef1b5p-10, 0x1.2116b69fa4d7cp-10, 0x1.186f2366ab671p-10, 0x1.10085c94fdb63p-10, 0x1.07e09a3ff0cfp-10, 0x1.ffec32ef7454dp-11, 0x1.f08e776c3fcd7p-11, 0x1.e1a52493adea1p-11, 0x1.d32d9b84b107fp-11, 0x1.c525348e79745p-11, 0x1.b788f8ba1285dp-11, 0x1.aa5583821da0fp-11, 0x1.9d871f19793b5p-11, 0x1.911a0d9a41bfdp-11, 0x1.850ad87e6fcc2p-11, 0x1.79567c88ba5f1p-11, 0x1.6dfa5c56432f9p-11, 0x1.62f404b333402p-11, 0x1.5840eab828f6ep-11, 0x1.4dde528fed939p-11, 0x1.43c9742b8676bp-11, 0x1.39ffc5a81ff01p-11, 0x1.307f3569fc1bbp-11, 0x1.27462b0fc0ca1p-11, 0x1.1e5352369e498p-11, 0x1.15a5561c58086p-11, 0x1.0d3ab8576f97bp-11, 0x1.0511d14eb5d5cp-11, 0x1.fa51c7d019ac4p-12, 0x1.eafc3ce0c123bp-12, 0x1.dc1ef6241e73fp-12, 0x1.cdb53892e1a76p-12, 0x1.bfb9a0ab4015ap-12, 0x1.b226922a80592p-12, 0x1.a4f6d95613e1fp-12, 0x1.98262c3b04d95p-12, 0x1.8bb15c7239e23p-12, 0x1.7f9634dcebf4fp-12, 0x1.73d311a8b9c8fp-12, 0x1.6866546f3a222p-12, 0x1.5d4e0192e2e93p-12, 0x1.5287d63767598p-12, 0x1.4811bea025173p-12, 0x1.3dea2b9892068p-12, 0x1.340fef9bde9b4p-12, 0x1.2a81c9d949329p-12, 0x1.213df8a346686p-12, 0x1.18420a149f1dbp-12, 0x1.0f8ae797e07adp-12, 0x1.0714f65405603p-12, 0x1.fdb87e91d242cp-13, 0x1.edb98738a38d8p-13, 0x1.de262bf3a112ap-13, 0x1.cef9f97b7def4p-13, 0x1.c03335716b073p-13, 0x1.b1d1a7f078072p-13, 0x1.a3d4a52e43fe1p-13, 0x1.9639e21288216p-13, 0x1.88fdced12b5bdp-13, 0x1.7c1d0396aabc8p-13, 0x1.6f9598723e04dp-13, 0x1.6367048223bbap-13, 0x1.57906b0c18714p-13, 0x1.4c0f3a7656a7dp-13, 0x1.40df83cd1fbcep-13, 0x1.35fd388bc111ap-13, 0x1.2b64e149549e6p-13, 0x1.2113789acf34dp-13, 0x1.170605a314c56p-13, 0x1.0d399a70f489cp-13, 0x1.03abbea9f5815p-13, 0x1.f4b54dfb89482p-14, 0x1.e2896257f26bfp-14, 0x1.d0cf7782779fap-14, 0x1.bf82ed159adb8p-14, 0x1.aea0bd575cc9ap-14, 0x1.9e2820ad926f9p-14, 0x1.8e18ec04f17dcp-14, 0x1.7e7134660ba52p-14, 0x1.6f2d233c35217p-14, 0x1.60490fedb3c14p-14, 0x1.51c239b99b9b5p-14, 0x1.4395b37baeaafp-14, 0x1.35c0339ffea69p-14, 0x1.283ec73848f95p-14, 0x1.1b0ed208cd7cep-14, 0x1.0e2d5d14534dbp-14, 0x1.0196c38c27413p-14, 0x1.ea8ee48813001p-15, 0x1.d27ae8c5792f9p-15, 0x1.baf226eb7a9f5p-15, 0x1.a3f64f3251cf9p-15, 0x1.8d852868582cap-15, 0x1.7797a4b94ca51p-15, 0x1.622611550e372p-15, 0x1.4d2bc7dee8014p-15, 0x1.38a78f6af816cp-15, 0x1.2499647e7008ep-15, 0x1.10fe2f2a64ee8p-15, 0x1.fb9ec14e1718dp-16, 0x1.d611c2797c365p-16, 0x1.b156e18e78f0cp-16, 0x1.8d6f88ab286a1p-16, 0x1.6a57e531de03p-16, 0x1.480a63c055aa2p-16, 0x1.2680caeb5396p-16, 0x1.05b154f7c1314p-16, 0x1.cb1eb83c3c64fp-17, 0x1.8c2957060e6c7p-17, 0x1.4e8b6abab95e7p-17, 0x1.124a928bad261p-17, 0x1.aeb3be535a2c9p-18, 0x1.3b630b8ad89b2p-18, 0x1.95641e1cbc3ddp-19, 0x1.727f48b9ebfabp-20, -0x1.ddda1daaba422p-23, -0x1.e06c53eee23ebp-20, -0x1.be1205372b095p-19, -0x1.43cb57d4a5c92p-18, -0x1.a65345216ca81p-18, -0x1.034e9539cf104p-17, -0x1.3261e37d74fcep-17, -0x1.60657ead4c7e8p-17, -0x1.8d4df02f87a7fp-17, -0x1.b91a25bd65aa3p-17, -0x1.e3d56b93fca34p-17, -0x1.06c94b409b6c2p-16, -0x1.1b316ebf67092p-16, -0x1.2f20c4a3a7983p-16, -0x1.42923b4895bbbp-16, -0x1.558af3c191a64p-16, -0x1.680da85803d4ep-16, -0x1.7a168a21ed538p-16, -0x1.8ba7632d6c4bep-16, -0x1.9cc54edcca286p-16, -0x1.ad73049068507p-16, -0x1.bdb141bbb4f68p-16, -0x1.cd80837d7429bp-16, -0x1.dce1911e92e8cp-16, -0x1.ebd4b531fb176p-16, -0x1.fa5a843f862ap-16, -0x1.043b7e3ed62b3p-15, -0x1.0b1666496ad5ep-15, -0x1.11bd2e3ab699fp-15, -0x1.1830f4ca602f8p-15, -0x1.1e717128f8472p-15, -0x1.247d03c2ec9c9p-15, -0x1.2a56e19238396p-15, -0x1.3001714056a87p-15, -0x1.357b95a2eae2bp-15, -0x1.3ac71b7af35a8p-15, -0x1.3fe38fb55dd9ap-15, -0x1.44cf61705fa06p-15, -0x1.498c40eef02e3p-15, -0x1.4e1baf3c95898p-15, -0x1.527e16c8cee82p-15, -0x1.56b3a8a623cffp-15, -0x1.5abcb4a8545b9p-15, -0x1.5e99aa3ca7afcp-15, -0x1.624b08a6f3868p-15, -0x1.65d1503072f79p-15, -0x1.692cfbcc0a0cfp-15, -0x1.6c5e8e98c6766p-15, -0x1.6f6698d64797cp-15, -0x1.72453d3ecc291p-15, -0x1.74f9d2e9ac3bbp-15, -0x1.7784ee7600dcdp-15, -0x1.79e7c8ceb4184p-15, -0x1.7c22fdb159876p-15, -0x1.7e38c7d806706p-15, -0x1.80277fbcc17d4p-15, -0x1.81f0556d4c8aep-15, -0x1.8392e2ab85ef6p-15, -0x1.850f6cdd6b6bp-15, -0x1.86678bd9d988cp-15, -0x1.879bb15c1c64dp-15, -0x1.88abfe620fa09p-15, -0x1.8998ba96d7c71p-15, -0x1.8a624e7d50da8p-15, -0x1.8b0930f2d1b7dp-15, -0x1.8b8ddac921831p-15, -0x1.8bf0bef1df1f4p-15, -0x1.8c32483411823p-15, -0x1.8c52df6a1142fp-15, -0x1.8c52f85172334p-15, -0x1.8c3318df72a44p-15, -0x1.8bf3cd85e785fp-15, -0x1.8b9599b87ded5p-15, -0x1.8b1904eeadff4p-15, -0x1.8a7e2d4d5733cp-15, -0x1.89c453878fa9ep-15, -0x1.88ecd39d523fep-15, -0x1.87f8ba96dde73p-15, -0x1.86e8d1e714914p-15, -0x1.85bcf51cd7aedp-15, -0x1.8475c1c9c1557p-15, -0x1.8312e8b8e38d8p-15, -0x1.8195887837da1p-15, -0x1.7ffe59eb0cb12p-15, -0x1.7e4d9c43dc12fp-15, -0x1.7c83a204fc3a5p-15, -0x1.7aa0d6634ec04p-15, -0x1.78a5ae8b8cde1p-15, -0x1.7692a1a17f4b3p-15, -0x1.746824e2e37ecp-15, -0x1.7226aa35a7c93p-15, -0x1.6fcea2169896p-15, -0x1.6d6080fd4e6aep-15, -0x1.6adcc33ffbfb1p-15, -0x1.6843e78e514ap-15, -0x1.6596629c5d324p-15, -0x1.62d4a91b6ffe8p-15, -0x1.5fff3c22d1187p-15, -0x1.5d15f570c6f4dp-15, -0x1.5a18f684a4d17p-15, -0x1.570a9399f6a98p-15, -0x1.53ea6068ffbb2p-15, -0x1.50b7cbf3395f7p-15, -0x1.4d744964fed47p-15, -0x1.4a204c97cd273p-15, -0x1.46bba35e307cfp-15, -0x1.43470771918b9p-15, -0x1.3fc3a06b567c8p-15, -0x1.3c30c77bf9ce1p-15, -0x1.388f3862f45ffp-15, -0x1.34dfb66a2c104p-15, -0x1.312291e9f24cbp-15, -0x1.2d58261555679p-15, -0x1.2980da8a5c011p-15, -0x1.259d18da3c588p-15, -0x1.21ad49e93548ep-15, -0x1.1db1d7a062da8p-15, -0x1.19ab2f1c07d0bp-15, -0x1.1599bf6e47c8ep-15, -0x1.117df33b6c037p-15, -0x1.0d582be057ca7p-15, -0x1.0928d3e496912p-15, -0x1.04f05fee4b3a2p-15, -0x1.00aebc1617762p-15, -0x1.f8c9bd92f0f37p-16, -0x1.f02643a965df8p-16, -0x1.e772e1c91c743p-16, -0x1.deb151b6d289fp-16, -0x1.d5e2238ba0fedp-16, -0x1.cd05f8fee484ep-16, -0x1.c41d8b541b17ap-16, -0x1.bb298faf99d5ep-16, -0x1.b22abad009f24p-16, -0x1.a921dbd1adc57p-16, -0x1.a00fc0fd8081cp-16, -0x1.96f4ba9e4cdacp-16, -0x1.8dd1e0daf7fc3p-16, -0x1.84a78dbc5be1dp-16, -0x1.7b76a31e249aep-16, -0x1.723ff87ddf616p-16, -0x1.6904156516cf5p-16, -0x1.5fc3973f69867p-16, -0x1.567f25ba0a59fp-16, -0x1.4d376a205660cp-16, -0x1.43ed0b01d24b8p-16, -0x1.3aa0a5b698fb4p-16, -0x1.3152ce92d33c4p-16, -0x1.2804310226799p-16, -0x1.1eb5804f637dep-16, -0x1.1566f9b4b47f4p-16, -0x1.0c198587449e8p-16, -0x1.02cd6eb5e03abp-16, -0x1.f30746d6d882p-17, -0x1.e07925de1e8d1p-17, -0x1.cdf1798f76b49p-17, -0x1.bb7156df728a4p-17, -0x1.a8f9d0c40f78cp-17, -0x1.968bf57a89aadp-17, -0x1.8428cee8e5711p-17, -0x1.71d162cf837bbp-17, -0x1.5f86b29582ee1p-17, -0x1.4d49ba012e792p-17, -0x1.3b1b6c7204c43p-17, -0x1.28fcb61827af8p-17, -0x1.16ee889185cd1p-17, -0x1.04f1e9e436e17p-17, -0x1.e60f82f7401eap-18, -0x1.c2614baaa11bep-18, -0x1.9edae8bfeeb2fp-18, -0x1.7b7ea2a252866p-18, -0x1.584e15508b6aap-18, -0x1.354ab4864eaf1p-18, -0x1.127607895e7ap-18, -0x1.dfa3192299f38p-19, -0x1.9abdcf766167fp-19, -0x1.563fae9142a04p-19, -0x1.122a709f8e337p-19, -0x1.9d0173f0690ffp-20, -0x1.168d21ef8352ep-20, -0x1.21f9918349dccp-21, -0x1.8aa31ab2d7e8fp-25, 0x1.dd9343786d9eep-22, 0x1.f457daf5eaa9p-21, 0x1.7bfb5b4bd7c5cp-20, 0x1.fcce5c694fa66p-20, 0x1.3e502a9d90f9fp-19, 0x1.7db665ca75c05p-19, 0x1.bc97b325cb42bp-19, 0x1.faf1f654900e5p-19, 0x1.1c619179a57b7p-18, 0x1.3b049e1e07db9p-18, 0x1.59612a78ff6c1p-18, 0x1.777647b913ffp-18, 0x1.95430eeb5cd7bp-18, 0x1.b2c6a1386b14dp-18, 0x1.d0002885b13e9p-18, 0x1.eceed737fae8ap-18, 0x1.04c8f285e1c01p-17, 0x1.12f44531595a9p-17, 0x1.20f8fe671cefep-17, 0x1.2ed6d42bfe68dp-17, 0x1.3c8d80276909fp-17, 0x1.4a1c93eb9c5bcp-17, 0x1.5783baf9c1447p-17, 0x1.64c2c0c1631f7p-17, }}, 
      {{0x1.911a4afe25e8cp-3, 0x1.86beeaa1fa278p-2, 0x1.19fd1dd0d25a7p-1, 0x1.664f33e6a4d9dp-1, 0x1.a78d10229a675p-1, 0x1.dda1b9f551beap-1, 0x1.0478398f15f3ep+0, 0x1.15151ba2fec5cp+0, 0x1.21174cfeb727p+0, 0x1.28fa8da127489p+0, 0x1.2d3e852b815c2p+0, 0x1.2e612cdc12801p+0, 0x1.2cdb10bbdca26p+0, 0x1.291cedebb261ap+0, 0x1.238e514910c7ap+0, 0x1.1c8cefdcc4292p+0, 0x1.146c8369a6a64p+0, 0x1.0b7701f39e688p+0, 0x1.01ed11f42ec89p+0, 0x1.f00d489d7213cp-1, 0x1.dbe7464369869p-1, 0x1.c7b952c6efcd4p-1, 0x1.b3c7759490e73p-1, 0x1.a049ec67fc223p-1, 0x1.8d6e7dde6aca5p-1, 0x1.7b59b5660895ap-1, 0x1.6a2806cd5c156p-1, 0x1.59eed8b0d169dp-1, 0x1.4abd7632cd93ep-1, 0x1.3c9de8c5b2851p-1, 0x1.2f95bb1a81a6ep-1, 0x1.23a6a69e80261p-1, 0x1.18cf2d2ceeec5p-1, 0x1.0f0b20bf555ap-1, 0x1.06541aeb0dd64p-1, 0x1.fd43cbd6a0b5ep-2, 0x1.efd5b176b20fdp-2, 0x1.e4484f44113d4p-2, 0x1.da8454cf1448p-2, 0x1.d271329141978p-2, 0x1.cbf58341e3da1p-2, 0x1.c6f766621bb3p-2, 0x1.c35ccd91555a4p-2, 0x1.c10bbe26706a3p-2, 0x1.bfea88605cbcbp-2, 0x1.bfdff5598fc72p-2, 0x1.c0d36cd68b706p-2, 0x1.c2ad13f934ac8p-2, 0x1.c555e59224052p-2, 0x1.c8b7c50217d68p-2, 0x1.ccbd8c63a7e11p-2, 0x1.d153165248795p-2, 0x1.d66544750e93ap-2, 0x1.dbe202946687ap-2, 0x1.e1b847596130ap-2, 0x1.e7d812b87eb99p-2, 0x1.ee326a40694c3p-2, 0x1.f4b95493ead32p-2, 0x1.fb5fd24eb0702p-2, 0x1.010cebec31cdbp-1, 0x1.046e21ea1093cp-1, 0x1.07ce6bfed5788p-1, 0x1.0b291710e3821p-1, 0x1.0e79d82f378dcp-1, 0x1.11bcc6ca62baep-1, 0x1.14ee58a00168dp-1, 0x1.180b5c1aaf7a6p-1, 0x1.1b10f41400ba5p-1, 0x1.1dfc929fe5d7bp-1, 0x1.20cbf4ba01dbp-1, 0x1.237d1d90960ebp-1, 0x1.260e52451bdc5p-1, 0x1.287e15ab5afa9p-1, 0x1.2acb2447363bcp-1, 0x1.2cf4706f662e8p-1, 0x1.2ef91e9e24c81p-1, 0x1.30d881ed4a65p-1, 0x1.329218ba4b898p-1, 0x1.342589726f562p-1, 0x1.35929f823aaeep-1, 0x1.36d94869dd6ffp-1, 0x1.37f990f26b48bp-1, 0x1.38f3a286d4b41p-1, 0x1.39c7c0ad7b375p-1, 0x1.3a7646a42b9ccp-1, 0x1.3affa51d10b27p-1, 0x1.3b64601b1b83bp-1, 0x1.3ba50cef94e72p-1, 0x1.3bc2505424a27p-1, 0x1.3bbcdca540262p-1, 0x1.3b95703855ef2p-1, 0x1.3b4cd3cf3a56dp-1, 0x1.3ae3d92838cffp-1, 0x1.3a5b59a6a64a7p-1, 0x1.39b43516a30f8p-1, 0x1.38ef5086c02a9p-1, 0x1.380d95372dfe4p-1, 0x1.370fef9eb6decp-1, 0x1.35f74e80ad017p-1, 0x1.34c4a2165bf19p-1, 0x1.3378db4a4a22ep-1, 0x1.3214eb02a07dfp-1, 0x1.3099c17df91c8p-1, 0x1.2f084dbeb065p-1, 0x1.2d617d0450107p-1, 0x1.2ba63a543037dp-1, 0x1.29d76e0d2453ap-1, 0x1.27f5fd8728b4ep-1, 0x1.2602cabd9b837p-1, 0x1.23feb402d4decp-1, 0x1.21ea93bce797ap-1, 0x1.1fc7402a1e5b8p-1, 0x1.1d958b2eebcb7p-1, 0x1.1b56422a49356p-1, 0x1.190a2dd109683p-1, 0x1.16b21212576e3p-1, 0x1.144eae0030f74p-1, 0x1.11e0bbbdebfe8p-1, 0x1.0f68f07685a1ep-1, 0x1.0ce7fc54da09ep-1, 0x1.0a5e8a801988ep-1, 0x1.07cd411e8dca6p-1, 0x1.0534c158e32cp-1, 0x1.0295a75fe37cep-1, 0x1.ffe114ef51b6bp-2, 0x1.fa8bfa0562422p-2, 0x1.f52d191c91962p-2, 0x1.efc583c7bf738p-2, 0x1.ea56423430e7p-2, 0x1.e4e0534d04f97p-2, 0x1.df64ace6d2e31p-2, 0x1.d9e43beb02c1ap-2, 0x1.d45fe48301cd7p-2, 0x1.ced882494193dp-2, 0x1.c94ee87a881e3p-2, 0x1.c3c3e225bf454p-2, 0x1.be38325ed905cp-2, 0x1.b8ac9472abe2fp-2, 0x1.b321bc18ba3d7p-2, 0x1.ad9855a585152p-2, 0x1.a811063e9314ap-2, 0x1.a28c6c0c7eb7p-2, 0x1.9d0b1e6b3864fp-2, 0x1.978dae1ca69e5p-2, 0x1.9214a57aea38dp-2, 0x1.8ca088a641ff3p-2, 0x1.8731d5b3dc3fbp-2, 0x1.81c904dfebfb8p-2, 0x1.7c6688bbafb53p-2, 0x1.770ace56e5ecep-2, 0x1.71b63d6d3ed75p-2, 0x1.6c69389746ebfp-2, 0x1.67241d72ad3cbp-2, 0x1.61e744c7519bp-2, 0x1.5cb302b3e87a7p-2, 0x1.5787a6d8685bp-2, 0x1.52657c7ad514fp-2, 0x1.4d4ccaabd2d92p-2, 0x1.483dd468e623p-2, 0x1.4338d8c6b598bp-2, 0x1.3e3e1314fcf48p-2, 0x1.394dbaf9dfac3p-2, 0x1.34680491e062cp-2, 0x1.2f8d2093d04d7p-2, 0x1.2abd3c73387d5p-2, 0x1.25f8827ac681bp-2, 0x1.213f19e470fb6p-2, 0x1.1c9126f7b740ap-2, 0x1.17eecb2a3e9dap-2, 0x1.13582539d9cf4p-2, 0x1.0ecd514125cap-2, 0x1.0a4e68ce1ef52p-2, 0x1.05db82fd96204p-2, 0x1.0174b49616888p-2, 0x1.fa342039c5p-3, 0x1.f1974bce0c6a6p-3, 0x1.e9130859ac52cp-3, 0x1.e0a76e438933ap-3, 0x1.d8549216c87bcp-3, 0x1.d01a84a59c5c2p-3, 0x1.c7f95324fd58ep-3, 0x1.bff1074d26fe6p-3, 0x1.b801a78221825p-3, 0x1.b02b36fb4545dp-3, 0x1.a86db5e14eeeap-3, 0x1.a0c921662e379p-3, 0x1.993d73de955a4p-3, 0x1.91caa4e31ea65p-3, 0x1.8a70a971d49cep-3, 0x1.832f740a30ff2p-3, 0x1.7c06f4c276b2ap-3, 0x1.74f7195c228d1p-3, 0x1.6dffcd5cab27ap-3, 0x1.6720fa29bbbddp-3, 0x1.605a87239955ep-3, 0x1.59ac59ba0423dp-3, 0x1.5316557d35343p-3, 0x1.4c985c2fe155ap-3, 0x1.46324ddd1991bp-3, 0x1.3fe408f00a281p-3, 0x1.39ad6a48fd5dbp-3, 0x1.338e4d4dd0d11p-3, 0x1.2d868bf81d78p-3, 0x1.2795fee4e0e17p-3, 0x1.21bc7d672ac48p-3, 0x1.1bf9dd9ba594p-3, 0x1.164df479cb945p-3, 0x1.10b895e1c5d6dp-3, 0x1.0b3994a8b06e3p-3, 0x1.05d0c2a5ca5f9p-3, 0x1.007df0c17c2a3p-3, 0x1.f681de0b44042p-4, 0x1.ec33195800a7ep-4, 0x1.e20f305476e68p-4, 0x1.d815be7aa6831p-4, 0x1.ce465de78c0eep-4, 0x1.c4a0a77379d3p-4, 0x1.bb2432cbe228cp-4, 0x1.b1d0968c6c9ffp-4, 0x1.a8a568550fa45p-4, 0x1.9fa23cdd3227dp-4, 0x1.96c6a8059915ap-4, 0x1.8e123ceb142c5p-4, 0x1.85848dfaaca4p-4, 0x1.7d1d2d062d331p-4, 0x1.74dbab5784fc6p-4, 0x1.6cbf99c23766bp-4, 0x1.64c888b333498p-4, 0x1.5cf6083ff3516p-4, 0x1.5547a835c9d81p-4, 0x1.4dbcf82998671p-4, 0x1.46558787ac2bp-4, 0x1.3f10e5a31e349p-4, 0x1.37eea1c4430f3p-4, 0x1.30ee4b35e72fbp-4, 0x1.2a0f715173515p-4, 0x1.2351a38a949f1p-4, 0x1.1cb4717b0dadep-4, 0x1.16376aeef975fp-4, 0x1.0fda1ff12eaa5p-4, 0x1.099c20d717bcbp-4, 0x1.037cfe4b5f1b4p-4, 0x1.faf892ae9d2d1p-5, 0x1.ef3326d6e2f9dp-5, 0x1.e3a8dcd0a44e6p-5, 0x1.d858d94f936dp-5, 0x1.cd42420d482c7p-5, 0x1.c2643ddbcd81ep-5, 0x1.b7bdf4b640b37p-5, 0x1.ad4e8fcf22da7p-5, 0x1.a315399d2d594p-5, 0x1.99111de7f9a23p-5, 0x1.8f4169d4d6bbfp-5, 0x1.85a54bf5a3478p-5, 0x1.7c3bf457cffc3p-5, 0x1.7304948cc72e1p-5, 0x1.69fe5fb723c83p-5, 0x1.61288a957cadep-5, 0x1.58824b88db736p-5, 0x1.500ada9eb71abp-5, 0x1.47c1719a6976cp-5, 0x1.3fa54bfe6fc86p-5, 0x1.37b5a714ed5cp-5, 0x1.2ff1c1f718326p-5, 0x1.2858dd93b22fdp-5, 0x1.20ea3cb4f1afcp-5, 0x1.19a5240644184p-5, 0x1.1288da1a128a5p-5, 0x1.0b94a76f5f29fp-5, 0x1.04c7d6770745bp-5, 0x1.fc4367309e78fp-6, 0x1.ef431a695bdd7p-6, 0x1.e28d6755fcdb1p-6, 0x1.d620f2b4c5b39p-6, 0x1.c9fc654a38b68p-6, 0x1.be1e6be6ab714p-6, 0x1.b285b76b8ba78p-6, 0x1.a730fccfeb38ep-6, 0x1.9c1ef5241f975p-6, 0x1.914e5d9419512p-6, 0x1.86bdf768913f2p-6, 0x1.7c6c88074e2e9p-6, 0x1.7258d8f30cf46p-6, 0x1.6881b7cb60c2ap-6, 0x1.5ee5f64cff283p-6, 0x1.55846a5218babp-6, 0x1.4c5bedd2c7914p-6, 0x1.436b5ee4c4ad6p-6, 0x1.3ab19fb9d13f4p-6, 0x1.322d969c5739ap-6, 0x1.29de2dea434fcp-6, 0x1.21c2540ecdecp-6, 0x1.19d8fb7c3fed6p-6, 0x1.12211aa6fc7fcp-6, 0x1.0a99ac02604fcp-6, 0x1.0341adff7b084p-6, 0x1.f8304618c5d5ep-7, 0x1.ea382324e0af5p-7, 0x1.dc9907e321a76p-7, 0x1.cf5110ef60074p-7, 0x1.c25e62a8fe26ap-7, 0x1.b5bf2916e840bp-7, 0x1.a97197cd8c889p-7, 0x1.9d73e9dc44d3dp-7, 0x1.91c461c5405acp-7, 0x1.8661497efe4dcp-7, 0x1.7b48f27a9aaf9p-7, 0x1.7079b5a6c38p-7, 0x1.65f1f367ce1d8p-7, 0x1.5bb0137fc626cp-7, 0x1.51b284e6d4287p-7, 0x1.47f7bd9a21894p-7, 0x1.3e7e3a6bc40ebp-7, 0x1.35447edf160e1p-7, 0x1.2c491519cfdf7p-7, 0x1.238a8deb86d29p-7, 0x1.1b0780e56a3a6p-7, 0x1.12be8c75705c4p-7, 0x1.0aae55f4ff1p-7, 0x1.02d5899deb4fap-7, 0x1.f665b4bef1bd9p-8, 0x1.e78a032ee0482p-8, 0x1.d9157d7aa827bp-8, 0x1.cb05ae2776985p-8, 0x1.bd582ae916823p-8, 0x1.b00a948b45061p-8, 0x1.a31a973001cd5p-8, 0x1.9685eacb816e8p-8, 0x1.8a4a53afd107cp-8, 0x1.7e65a2f097e87p-8, 0x1.72d5b66e017c7p-8, 0x1.6798786cf7f8ep-8, 0x1.5cabdec44957p-8, 0x1.520de9c7c9657p-8, 0x1.47bca334055f5p-8, 0x1.3db61d625b436p-8, 0x1.33f872fe8ec1ap-8, 0x1.2a81c7553d98fp-8, 0x1.2150472644abfp-8, 0x1.186229bdb3559p-8, 0x1.0fb5b1fb817eap-8, 0x1.07492eefe6d33p-8, 0x1.fe35f792e3108p-9, 0x1.ee52fdff08484p-9, 0x1.dee651b479734p-9, 0x1.cfece3544a43fp-9, 0x1.c163b03fb9028p-9, 0x1.b347c0669503cp-9, 0x1.a59625d203ccp-9, 0x1.984bfe19ef885p-9, 0x1.8b66756bd3277p-9, 0x1.7ee2ca56ee772p-9, 0x1.72be514dea503p-9, 0x1.66f676d1642ep-9, 0x1.5b88bf84e0d83p-9, 0x1.5072c5f56bb18p-9, 0x1.45b2366779d05p-9, 0x1.3b44c9adcbbc7p-9, 0x1.3128403c854f1p-9, 0x1.275a5eafd619dp-9, 0x1.1dd8ecb829f6fp-9, 0x1.14a1b6babdb7p-9, 0x1.0bb291c9754b8p-9, 0x1.030960f2c3e9p-9, 0x1.f548350b99ffep-10, 0x1.e50197c01fae1p-10, 0x1.d53b3567533a4p-10, 0x1.c5f186acbfc45p-10, 0x1.b72128cc358ccp-10, 0x1.a8c6d16f1b083p-10, 0x1.9adf41eba1d8dp-10, 0x1.8d673ceece662p-10, 0x1.805b8114f1a67p-10, 0x1.73b8c9bd5a0f3p-10, 0x1.677bd5ccc0474p-10, 0x1.5ba1729716aedp-10, 0x1.5026882ba886cp-10, 0x1.450823ef1422bp-10, 0x1.3a437ed5fd356p-10, 0x1.2fd5fda73c7bep-10, 0x1.25bd2b339b1afp-10, 0x1.1bf6adf774df1p-10, 0x1.12803bb8778e7p-10, 0x1.09578e15d7f67p-10, 0x1.007a5a9ce19a3p-10, 0x1.efcc9feeac1afp-11, 0x1.df3231052337bp-11, 0x1.cf20c2ce975a2p-11, 0x1.bf93c8b1a66a4p-11, 0x1.b086e338eaf16p-11, 0x1.a1f5efcdf14dbp-11, 0x1.93dd102a14bbfp-11, 0x1.8638a77c8f162p-11, 0x1.79054df3cbb07p-11, 0x1.6c3fbe548ada2p-11, 0x1.5fe4c31d43017p-11, 0x1.53f127d545665p-11, 0x1.4861b1f821436p-11, 0x1.3d33226c31f22p-11, 0x1.32623d5a971a6p-11, 0x1.27ebd51d7c978p-11, 0x1.1dccd5a8a7bcp-11, 0x1.14024e829c07ep-11, 0x1.0a8979badc95cp-11, 0x1.015fbea7a422dp-11, 0x1.f1055e6fc7495p-12, 0x1.dfdffe491778ap-12, 0x1.cf4aebf02b542p-12, 0x1.bf41be8bef0a5p-12, 0x1.afbffc7417fc5p-12, 0x1.a0c112d183459p-12, 0x1.924061be60318p-12, 0x1.84395809c2b2ep-12, 0x1.76a792cdc8637p-12, 0x1.6986f411e9b8p-12, 0x1.5cd3a9365d5d9p-12, 0x1.508a22abe1f1fp-12, 0x1.44a7052de3e4p-12, 0x1.39271dad076f1p-12, 0x1.2e075c1b07e19p-12, 0x1.2344d2017cf33p-12, 0x1.18dcad68ff86dp-12, 0x1.0ecc2a682c015p-12, 0x1.05107cc56028ap-12, 0x1.f74d76287954dp-13, 0x1.e517b05f414c6p-13, 0x1.d37966f44d8d2p-13, 0x1.c26c7a56d8e6bp-13, 0x1.b1eb3f8eda8fbp-13, 0x1.a1f0b4c88e08ep-13, 0x1.92787b56fdd86p-13, 0x1.837e9b788de21p-13, 0x1.74ff3704e2553p-13, 0x1.66f659d59b179p-13, 0x1.596000822be58p-13, 0x1.4c3847ca9315ap-13, 0x1.3f7b9d917afcfp-13, 0x1.3326cf77098cep-13, 0x1.2736ebe7af544p-13, 0x1.1ba905ec0aaa5p-13, 0x1.1079fbd8bca28p-13, 0x1.05a65f6d86dbfp-13, 0x1.f655180ab1ddp-14, 0x1.e205bd36a2016p-14, 0x1.ce57e3788a9ep-14, 0x1.bb457dc1cf68ap-14, 0x1.a8c92cb08bd33p-14, 0x1.96ddecdc946c2p-14, 0x1.857ebc984b35cp-14, 0x1.74a67a58d4712p-14, 0x1.645018055e6p-14, 0x1.5476ff2d6031cp-14, 0x1.451759f566e9ap-14, 0x1.362e0a5fa3a4cp-14, 0x1.27b858f95d2b8p-14, 0x1.19b393ffd32bp-14, 0x1.0c1cd788d32b5p-14, 0x1.fde21da5ca36ep-15, 0x1.e45a1ba579f3p-15, 0x1.cb9b20e52def2p-15, 0x1.b39e2005554c3p-15, 0x1.9c5b2e5dc5a5bp-15, 0x1.85c99b63c4152p-15, 0x1.6fe095c529a68p-15, 0x1.5a980dd8f359fp-15, 0x1.45e963cb4d205p-15, 0x1.31cf9f6e099d3p-15, 0x1.1e472d156094p-15, 0x1.0b4d3be39763ap-15, 0x1.f1bdf08f99092p-16, 0x1.cdf21e22a4d28p-16, 0x1.ab2fb0e957abap-16, 0x1.896ff5e3feeffp-16, 0x1.68ada9fae854bp-16, 0x1.48e48578f2ad4p-16, 0x1.2a0fff6157aa7p-16, 0x1.0c2a41723c4dap-16, 0x1.de57a1662ccacp-17, 0x1.a617929b0d42ep-17, 0x1.6f807c907e1cbp-17, 0x1.3a7d3dd6aadaap-17, 0x1.06f9048644b33p-17, 0x1.a9c44200e3bd2p-18, 0x1.4859b6d89fbcdp-18, 0x1.d34fb5d8c6a5p-19, 0x1.1b55c757bb80ep-19, 0x1.a2e54dbf6e478p-21, -0x1.1283662b04027p-21, -0x1.d9be25678dd8ep-20, -0x1.9025c7e11af92p-19, -0x1.1745d3653c38cp-18, -0x1.640d8cd623a13p-18, -0x1.ae70ccedef8e2p-18, -0x1.f67dd6873f503p-18, -0x1.1e245c330575fp-17, -0x1.3ff2e2ad32e1p-17, -0x1.60b34772815cfp-17, -0x1.806d4f8bbd037p-17, -0x1.9f2891acb62d9p-17, -0x1.bcec68ed14544p-17, -0x1.d9bf0ab83c3dbp-17, -0x1.f5a51e204f281p-17, -0x1.085173aad75f2p-16, -0x1.155edd2da0d77p-16, -0x1.21fdb01704e1dp-16, -0x1.2e3005fac7f08p-16, -0x1.39f6d2ba6ac5cp-16, -0x1.4552b9ab2684fp-16, -0x1.504543dcea84ep-16, -0x1.5ad0ede69aa99p-16, -0x1.64f80e4dbc12p-16, -0x1.6ebc7acaffafp-16, -0x1.78201dcf185d3p-16, -0x1.812516513000ap-16, -0x1.89cd5fbf8b9bdp-16, -0x1.921ace4b7e863p-16, -0x1.9a0f60849c09bp-16, -0x1.a1ad62e588077p-16, -0x1.a8f710d44a50ep-16, -0x1.afeddb325568fp-16, -0x1.b69229736ab03p-16, -0x1.bce42d025cb34p-16, -0x1.c2e5013422b54p-16, -0x1.c896cd9d6f3fap-16, -0x1.cdfbd442cc0fcp-16, -0x1.d315b2c05c153p-16, -0x1.d7e55257a815bp-16, -0x1.dc6b553a442bap-16, -0x1.e0a8fcc0a9891p-16, -0x1.e4a045d32905fp-16, -0x1.e852ab40787c7p-16, -0x1.ebc0a37c80e51p-16, -0x1.eeeaa8ccecf6dp-16, -0x1.f1d1c75acb025p-16, -0x1.f4774037636b3p-16, -0x1.f6dc679abf85p-16, -0x1.f902e99c6c334p-16, -0x1.faecb00eeed64p-16, -0x1.fc9af544d34d4p-16, -0x1.fe0decc61107fp-16, -0x1.ff4601ab92572p-16, -0x1.0022427f6d39dp-15, -0x1.00854219e6a5cp-15, -0x1.00cc2cf1c7de6p-15, -0x1.00f76239d6e0fp-15, -0x1.01078c1346334p-15, -0x1.00fd6356da756p-15, -0x1.00d9a7c215a68p-15, -0x1.009ce87482618p-15, -0x1.00475607b9593p-15, -0x1.ffb281db560cbp-16, -0x1.fea69f1ed7d49p-16, -0x1.fd6bcfffec587p-16, -0x1.fc024b1489706p-16, -0x1.fa6abe9ef6a6p-16, -0x1.f8a6645fbe21bp-16, -0x1.f6b6c574472efp-16, -0x1.f49d50cd66f0cp-16, -0x1.f25a8684e0b3fp-16, -0x1.efeeb41c25732p-16, -0x1.ed5afe154d452p-16, -0x1.eaa052d2f42bdp-16, -0x1.e7bf1e1089153p-16, -0x1.e4b83f72ac701p-16, -0x1.e18cd5ee4a179p-16, -0x1.de3dce9d6493ap-16, -0x1.dacbef7bde575p-16, -0x1.d737f9b2e1fe1p-16, -0x1.d382b3eda7606p-16, -0x1.cfacdb4f3799ap-16, -0x1.cbb7319e9501fp-16, -0x1.c7a2b7f4abb28p-16, -0x1.c370558dd237p-16, -0x1.bf20a060b9f4fp-16, -0x1.bab476add3841p-16, -0x1.b62c80b2a25d9p-16, -0x1.b18933854b44fp-16, -0x1.accbb8dc400e1p-16, -0x1.a7f519c50d253p-16, -0x1.a305dc8f0ada5p-16, -0x1.9dfeefaccb922p-16, -0x1.98e0eed132dfp-16, -0x1.93ac4f88640f6p-16, -0x1.8e61f975d6ddbp-16, -0x1.8902cafbb00eap-16, -0x1.838f7b135d0fp-16, -0x1.7e08b7f8f1faap-16, -0x1.786f32dd4788bp-16, -0x1.72c39fd02c05dp-16, -0x1.6d06b3900d8e1p-16, -0x1.67392190e476ap-16, -0x1.615b9b1dc03p-16, -0x1.5b6ed10afb511p-16, -0x1.5573744a5be6bp-16, -0x1.4f6a25e8d4ceap-16, -0x1.49536ac411818p-16, -0x1.432fef5dd9afap-16, -0x1.3d00740ee725p-16, -0x1.36c5a3e95fddep-16, -0x1.30805de994ba2p-16, -0x1.2a30fcf898c9ep-16, -0x1.23d83923113aep-16, -0x1.1d7694cc63a9p-16, -0x1.170ca685947e4p-16, -0x1.109b2e607637dp-16, -0x1.0a22c4be3cde4p-16, -0x1.03a3f5cf8b66cp-16, -0x1.fa3ea1cb1b3bdp-17, -0x1.ed2acf6354d08p-17, -0x1.e00d97c81cfd1p-17, -0x1.d2e81b1901d61p-17, -0x1.c5bb7410aca57p-17, -0x1.b888b74b93851p-17, -0x1.ab50f4d5804f2p-17, -0x1.9e153b9ad5bd7p-17, -0x1.90d69b8c90574p-17, -0x1.839622aae6314p-17, -0x1.7654d8ae348bbp-17, -0x1.6913c2464bd67p-17, -0x1.5bd3c4bb4188fp-17, -0x1.4e95855283cfap-17, -0x1.415a324b06352p-17, -0x1.3422e436e209dp-17, -0x1.26f0a18228f65p-17, -0x1.19c426b18472cp-17, -0x1.0c9e615ebc219p-17, -0x1.fefff9c9f1be2p-18, -0x1.e4d406f31d4ep-18, -0x1.cababd78f73e7p-18, -0x1.b0b5a5e08577ep-18, -0x1.96c64b8bf3b4dp-18, -0x1.7cee3fcf84dfcp-18, -0x1.632f11e35358ap-18, -0x1.498a4a63e86fp-18, -0x1.300168ea29e8dp-18, -0x1.1695e2ce031fep-18, -0x1.fa92483c66b86p-19, -0x1.c839265dcaaabp-19, -0x1.962327a4b1577p-19, -0x1.64530902d3447p-19, -0x1.32cb6bc5dfe2fp-19, -0x1.018edfae31cc4p-19, -0x1.a13fec4757985p-20, -0x1.4000ac9be6d96p-20, -0x1.bec797beade1cp-21, -0x1.fdcc5f63b4311p-22, -0x1.01867db506fb6p-23, 0x1.f30d59d6b3861p-23, 0x1.387a4f1542672p-21, 0x1.f2bacb462ebd2p-21, 0x1.55c04e5914c0ap-20, 0x1.b16111b93a2f4p-20, 0x1.061cd3cfe5f99p-19, 0x1.3324df61aa54cp-19, 0x1.5fc66a0834566p-19, 0x1.8bff33a69cd92p-19, 0x1.b7cdbb916e3b1p-19, 0x1.e3307d763a01cp-19, 0x1.0712f7a783249p-18, 0x1.1c5649086e18ap-18, 0x1.31617adf6230cp-18, 0x1.4633dab94d31ep-18, 0x1.5accb8c28a7c5p-18, 0x1.6f2b684508178p-18, 0x1.834f46181ce3bp-18, 0x1.9737bf245ce7dp-18, 0x1.aae43f415f40fp-18, 0x1.be542b691aa49p-18, 0x1.d18779c36a11bp-18, 0x1.e47d15c4956aep-18, 0x1.f7348bc43f7d3p-18, 0x1.04d6f948257f6p-17, 0x1.0df42822ca574p-17, 0x1.16f1ac2a1a623p-17, 0x1.1fcf5e12e6da5p-17, 0x1.288d1255a5948p-17, 0x1.312aa145f6044p-17, 0x1.39a7e58d4b06dp-17, 0x1.4204b2e0188f1p-17, 0x1.4a40df4604617p-17, 0x1.525c6e24e7155p-17, 0x1.5a5720325a218p-17, 0x1.6230f97dc756cp-17, 0x1.69e9d15cb4e2fp-17, 0x1.718184b2a4b65p-17, 0x1.78f80ddf8d486p-17, 0x1.804d619922664p-17, 0x1.878172a31d026p-17, 0x1.8e943492f47f1p-17, 0x1.95859d6a0ec5ap-17, 0x1.9c55a87371998p-17, 0x1.a30456e0aeb41p-17, 0x1.a991a205216dcp-17, 0x1.affd7f2348c93p-17, 0x1.b6481800d4108p-17, 0x1.bc714e9bfd60ap-17, 0x1.c2794c8b036d7p-17, 0x1.c85fefb19ddb8p-17, 0x1.ce2552038e002p-17, 0x1.d3c987cb6175ep-17, 0x1.d94ca0f5505fap-17, 0x1.deaeaeaaa6507p-17, 0x1.e3efc3f8a8204p-17, 0x1.e90ff5b16f77ap-17, 0x1.ee0f5a585db19p-17, 0x1.f2ee0a2918531p-17, 0x1.f7ac1f713f3dcp-17, 0x1.fc49b75ebc057p-17, 0x1.006378cbf257bp-16, 0x1.0291f636cc5f4p-16, 0x1.04b0602f1333p-16, 0x1.06bec7c192913p-16, 0x1.08bd4a4b2d063p-16, 0x1.0aabfa35770a4p-16, 0x1.0c8adebb68789p-16, 0x1.0e5a0cf9813d4p-16, 0x1.10199d0bd7c47p-16, 0x1.11c9a5371d76ap-16, 0x1.136a3d630d511p-16, 0x1.14fb79fa78e4bp-16, 0x1.167d6c736310cp-16, 0x1.17f038d1da3c5p-16, 0x1.1953fa0d4543dp-16, 0x1.1aa8bb65a19a2p-16, 0x1.1bee991bedf2bp-16, 0x1.1d25b078c2f07p-16, 0x1.1e4e1c3058026p-16, 0x1.1f67f72ed1b6fp-16, 0x1.20735ced13922p-16, 0x1.2170696722909p-16, 0x1.225f391160f38p-16, 0x1.233fe8d07aebep-16, 0x1.241295f4f4d03p-16, 0x1.24d75e35c5c44p-16, 0x1.258e5fa951e33p-16, 0x1.2637b8bf3b244p-16, 0x1.26d3883d17007p-16, 0x1.2761ed3daf7ecp-16, 0x1.27e307306be1ep-16, 0x1.2856f5de09c89p-16, 0x1.28bdd976e338p-16, 0x1.2917d28a86f85p-16, 0x1.296501b4909a9p-16, 0x1.29a58722df502p-16, 0x1.29d9823c580ecp-16, 0x1.2a011759bccfbp-16, 0x1.2a1c6b0d98407p-16, 0x1.2a2b9962ca90ep-16, 0x1.2a2ec308ddb7ep-16, 0x1.2a260e9236f5dp-16, }}, 
      {{0x1.5cbaf50d56358p-3, 0x1.0239325b9b432p-2, 0x1.70cdf1b795857p-2, 0x1.ea69fd8d50b11p-2, 0x1.323a3d5580af9p-1, 0x1.6c02ab9722bc2p-1, 0x1.a06e0d97626c7p-1, 0x1.ce4f068c88038p-1, 0x1.f5239df376ad6p-1, 0x1.0a701f2d74251p+0, 0x1.16e44ce36444p+0, 0x1.20297f57acefdp+0, 0x1.2689c05c69cbfp+0, 0x1.2a5680f7e1513p+0, 0x1.2be352760e361p+0, 0x1.2b82457c35336p+0, 0x1.298182b64bcccp+0, 0x1.2629ca6c52febp+0, 0x1.21bd9c3396e59p+0, 0x1.1c78d71a8d0aap+0, 0x1.1690ae6282305p+0, 0x1.1033d7cfbe7b7p+0, 0x1.098adfa184e21p+0, 0x1.02b8937876cacp+0, 0x1.f7b4f3226aaeep-1, 0x1.ea1299a1b6661p-1, 0x1.dcb2f0dfaba0fp-1, 0x1.cfb71f95e8aa8p-1, 0x1.c339802e24d47p-1, 0x1.b74e752d62dabp-1, 0x1.ac052d238d2d7p-1, 0x1.a168558bdfadcp-1, 0x1.977ebcc1b8ee2p-1, 0x1.8e4be3af2d48dp-1, 0x1.85d080285d10ep-1, 0x1.7e0af107aecap-1, 0x1.76f7a52b6bd09p-1, 0x1.7091766ee1b61p-1, 0x1.6ad1f9ad9c39fp-1, 0x1.65b1c4d338667p-1, 0x1.6128abe978d71p-1, 0x1.5d2df606a8a72p-1, 0x1.59b88af065569p-1, 0x1.56bf1a3594137p-1, 0x1.54383c737c902p-1, 0x1.521a8f68b3344p-1, 0x1.505ccd6f5ea27p-1, 0x1.4ef5e0ec7e085p-1, 0x1.4ddcf41fa5ffap-1, 0x1.4d097dd4b6752p-1, 0x1.4c734b61a1475p-1, 0x1.4c12882475142p-1, 0x1.4bdfc3123a407p-1, 0x1.4bd3f261b2c91p-1, 0x1.4be875b722cdbp-1, 0x1.4c1717108baf4p-1, 0x1.4c5a0a6ccdd92p-1, 0x1.4cabecd621696p-1, 0x1.4d07c22fb02e6p-1, 0x1.4d68f30bfda36p-1, 0x1.4dcb492c7e544p-1, 0x1.4e2aec9699b97p-1, 0x1.4e845f407b12fp-1, 0x1.4ed479aebab28p-1, 0x1.4f18663e7852ap-1, 0x1.4f4d9d7c0d5e3p-1, 0x1.4f71e16a6bfdp-1, 0x1.4f8339affa5b3p-1, 0x1.4f7fef1c5eabep-1, 0x1.4f6687c77941bp-1, 0x1.4f35c2f107464p-1, 0x1.4eec9535cee0cp-1, 0x1.4e8a24ca220e2p-1, 0x1.4e0dc5e75dc67p-1, 0x1.4d76f75bc10c8p-1, 0x1.4cc55f436e5ebp-1, 0x1.4bf8c7e948671p-1, 0x1.4b111ccd7fc3fp-1, 0x1.4a0e67d1b4e11p-1, 0x1.48f0ce8783c3dp-1, 0x1.47b88fa23d476p-1, 0x1.46660089b09c7p-1, 0x1.44f98b0f40293p-1, 0x1.4373ab4403287p-1, 0x1.41d4ed6fafa1fp-1, 0x1.401dec27e0541p-1, 0x1.3e4f4e850bfa8p-1, 0x1.3c69c676506f9p-1, 0x1.3a6e0f306c648p-1, 0x1.385cebb9b3f1dp-1, 0x1.36372590e1809p-1, 0x1.33fd8b6e48571p-1, 0x1.31b0f01fd79e6p-1, 0x1.2f52297c43fe4p-1, 0x1.2ce20f6e0436cp-1, 0x1.2a617b12f547p-1, 0x1.27d145ee80d02p-1, 0x1.2532492e83473p-1, 0x1.22855cff99a94p-1, 0x1.1fcb57f16c727p-1, 0x1.1d050e6ace808p-1, 0x1.1a33522b8be23p-1, 0x1.1756f1dd88a0ap-1, 0x1.1470b8b356f1fp-1, 0x1.11816e1305c02p-1, 0x1.0e89d54d57042p-1, 0x1.0b8aad5ec093ep-1, 0x1.0884b0b9b7662p-1, 0x1.05789518fe16ep-1, 0x1.02670b59464e4p-1, 0x1.fea17eb2da689p-2, 0x1.f86cafc0e5483p-2, 0x1.f230ed14ff7fep-2, 0x1.ebef6f7602488p-2, 0x1.e5a9652820344p-2, 0x1.df5ff1e981e32p-2, 0x1.d9142ef6118a1p-2, 0x1.d2c72b1429969p-2, 0x1.cc79eaac21156p-2, 0x1.c62d67e36f4acp-2, 0x1.bfe292bd076aep-2, 0x1.b99a514129838p-2, 0x1.b3557fa5e432bp-2, 0x1.ad14f079cc651p-2, 0x1.a6d96cd45c799p-2, 0x1.a0a3b485d2881p-2, 0x1.9a747e481c427p-2, 0x1.944c77f4e72aap-2, 0x1.8e2c46bb0e7f6p-2, 0x1.88148754a4695p-2, 0x1.8205ce4174685p-2, 0x1.7c00a800f1fa6p-2, 0x1.7605994be4d9dp-2, 0x1.70151f5102a87p-2, 0x1.6a2faff1089f4p-2, 0x1.6455b9f978eaep-2, 0x1.5e87a5604667ap-2, 0x1.58c5d37f2401dp-2, 0x1.53109f4cd4272p-2, 0x1.4d685d95bd4d9p-2, 0x1.47cd5d345d0d3p-2, 0x1.423fe747cff73p-2, 0x1.3cc03f684d9dfp-2, 0x1.374ea3dbe9394p-2, 0x1.31eb4dca5b8fcp-2, 0x1.2c96716d9deaep-2, 0x1.27503e420e4b9p-2, 0x1.2218df379cd2bp-2, 0x1.1cf07ae02fccap-2, 0x1.17d7339af9533p-2, 0x1.12cd27c0fe292p-2, 0x1.0dd271d21d71fp-2, 0x1.08e7289e39fa2p-2, 0x1.040b5f6bdc19ap-2, 0x1.fe7e4c40c882p-3, 0x1.f50512d076a55p-3, 0x1.ebab25b734d45p-3, 0x1.e2709241071d7p-3, 0x1.d955601a2adf6p-3, 0x1.d0599197226f3p-3, 0x1.c77d23f6db553p-3, 0x1.bec00f9c3ca2cp-3, 0x1.b62248482dcap-3, 0x1.ada3bd57eb9b9p-3, 0x1.a5445a00968bap-3, 0x1.9d040581ec5d9p-3, 0x1.94e2a355c2953p-3, 0x1.8ce01363c8e5ep-3, 0x1.84fc323686885p-3, 0x1.7d36d929ed551p-3, 0x1.758fde93b223fp-3, 0x1.6e0715ec0eb91p-3, 0x1.669c4ff9fc194p-3, 0x1.5f4f5afe89eedp-3, 0x1.582002da41906p-3, 0x1.510e112de2ec3p-3, 0x1.4a194d7c1de55p-3, 0x1.43417d4e8d9p-3, 0x1.3c8664598cc28p-3, 0x1.35e7c49a69d8ep-3, 0x1.2f655e718ac6ap-3, 0x1.28fef0bde4af3p-3, 0x1.22b438fb6b7a7p-3, 0x1.1c84f3607a68p-3, 0x1.1670daf67356ep-3, 0x1.1077a9af14446p-3, 0x1.0a99187a3738ep-3, 0x1.04d4df5ded9fp-3, 0x1.fe556b1cb88a5p-4, 0x1.f334a3055221cp-4, 0x1.e846d20d7b643p-4, 0x1.dd8b629865ab1p-4, 0x1.d301bdf8d59bap-4, 0x1.c8a94c9756a65p-4, 0x1.be8176163d54ap-4, 0x1.b489a17067ca4p-4, 0x1.aac13513ecd0bp-4, 0x1.a12796fc89cb9p-4, 0x1.97bc2cd099a7p-4, 0x1.8e7e5bff050dcp-4, 0x1.856d89da61defp-4, 0x1.7c891baf952a9p-4, 0x1.73d076d9dd9a6p-4, 0x1.6b4300d781a31p-4, 0x1.62e01f6068b4fp-4, 0x1.5aa7387cd660bp-4, 0x1.5297b299b0635p-4, 0x1.4ab0f49989831p-4, 0x1.42f265e3f145ep-4, 0x1.3b5b6e750a8ebp-4, 0x1.33eb76ee2cebep-4, 0x1.2ca1e8a6d1e66p-4, 0x1.257e2dbbd8eefp-4, 0x1.1e7fb11c814d4p-4, 0x1.17a5de9621975p-4, 0x1.10f022df1425cp-4, 0x1.0a5deba2826cep-4, 0x1.03eea78c74c3fp-4, 0x1.fb438caa6861bp-5, 0x1.eeed71964d10fp-5, 0x1.e2d9e1b67a569p-5, 0x1.d707c331723a6p-5, 0x1.cb75fe8a0656fp-5, 0x1.c0237eaf70febp-5, 0x1.b50f310ced9afp-5, 0x1.aa380597bff0dp-5, 0x1.9f9ceedb6a427p-5, 0x1.953ce20492063p-5, 0x1.8b16d6eb085bbp-5, 0x1.8129c81b6ab69p-5, 0x1.7774b2e03b046p-5, 0x1.6df6974a81412p-5, 0x1.64ae7839db075p-5, 0x1.5b9b5b63de5ebp-5, 0x1.52bc495a7afecp-5, 0x1.4a104d9111894p-5, 0x1.41967660817a7p-5, 0x1.394dd50ac51a5p-5, 0x1.31357dbeb6981p-5, 0x1.294c879c09923p-5, 0x1.21920cb6e0585p-5, 0x1.1a052a1a3bbc9p-5, 0x1.12a4ffc8f2128p-5, 0x1.0b70b0bd92afp-5, 0x1.046762ea2855ap-5, 0x1.fb107e7108545p-6, 0x1.eda4e315bada9p-6, 0x1.e08a5178414d1p-6, 0x1.d3bf2d3e66d01p-6, 0x1.c741dff9dcc8dp-6, 0x1.bb10d9228115bp-6, 0x1.af2a8e107b75ep-6, 0x1.a38d79f724e68p-6, 0x1.98381de0fc82dp-6, 0x1.8d2900ab76648p-6, 0x1.825eaeff3bf2p-6, 0x1.77d7bb4907b03p-6, 0x1.6d92bdb0bf6c9p-6, 0x1.638e540efb305p-6, 0x1.59c921e435ef4p-6, 0x1.5041d050405b8p-6, 0x1.46f70e0976815p-6, 0x1.3de78f531218p-6, 0x1.35120df23ca56p-6, 0x1.2c7549222cbf3p-6, 0x1.24100587f0f7dp-6, 0x1.1be10d26899aep-6, 0x1.13e72f534327p-6, 0x1.0c2140aa23c7ep-6, 0x1.048e1b01f7b43p-6, 0x1.fa593abf28949p-7, 0x1.ebf757d0a106ep-7, 0x1.ddf45fa818386p-7, 0x1.d04e2ebe7a232p-7, 0x1.c302ab7a8e034p-7, 0x1.b60fc61623c26p-7, 0x1.a97378835ab72p-7, 0x1.9d2bc6514efe8p-7, 0x1.9136bc8fe5a65p-7, 0x1.859271b28ed97p-7, 0x1.7a3d05723d62dp-7, 0x1.6f34a0af2b85bp-7, 0x1.64777552c73e6p-7, 0x1.5a03be322e0fdp-7, 0x1.4fd7bef1737b5p-7, 0x1.45f1c3e73768p-7, 0x1.3c5022004eb23p-7, 0x1.32f136a332df8p-7, 0x1.29d3679287c66p-7, 0x1.20f522ce9bb8ep-7, 0x1.1854de75d6caep-7, 0x1.0ff118a4b56cep-7, 0x1.07c85756287fap-7, 0x1.ffb2508ad73fdp-8, 0x1.f04441a33d4e2p-8, 0x1.e143bbc6affcep-8, 0x1.d2ae07a61465p-8, 0x1.c4807c9dd7677p-8, 0x1.b6b8807dd9e4p-8, 0x1.a953874b9340bp-8, 0x1.9c4f12fefcap-8, 0x1.8fa8b33cfd6c3p-8, 0x1.835e051414684p-8, 0x1.776cb2bfd2757p-8, 0x1.6bd27375d6b33p-8, 0x1.608d0b3ba50ecp-8, 0x1.559a4ac176c7p-8, 0x1.4af80f3b2d8f5p-8, 0x1.40a442314db82p-8, 0x1.369cd9456b96bp-8, 0x1.2cdfd5ea4d305p-8, 0x1.236b4514ae4cp-8, 0x1.1a3d3eed25975p-8, 0x1.1153e68ceea5ap-8, 0x1.08ad69cc49d8ap-8, 0x1.004801243abfdp-8, 0x1.f043df3ce70b3p-9, 0x1.e07305924a22fp-9, 0x1.d11a2542b343ap-9, 0x1.c23602d277552p-9, 0x1.b3c376ca4ea63p-9, 0x1.a5bf6d04a15cp-9, 0x1.9826e3e5d685ep-9, 0x1.8af6eb9f1023ap-9, 0x1.7e2ca59d2768fp-9, 0x1.71c5443aad782p-9, 0x1.65be0ab724a69p-9, 0x1.5a144d6144f22p-9, 0x1.4ec571cf8d55p-9, 0x1.43ceeef9ab87dp-9, 0x1.392e4d0c50087p-9, 0x1.2ee124e373fcap-9, 0x1.24e51f3070cc2p-9, 0x1.1b37f36d83509p-9, 0x1.11d766d39eaefp-9, 0x1.08c14b8a66f72p-9, 0x1.ffe7007eca653p-10, 0x1.eed7e06d4473bp-10, 0x1.de512784c5895p-10, 0x1.ce4ee1e4d2cc5p-10, 0x1.becd386af8b36p-10, 0x1.afc8714eab2a6p-10, 0x1.a13cefaf77c99p-10, 0x1.932731f82a3b2p-10, 0x1.8583cf4b8355p-10, 0x1.784f747bd95d3p-10, 0x1.6b86e13a945c5p-10, 0x1.5f26e62973e3p-10, 0x1.532c644205739p-10, 0x1.47944db3e15b7p-10, 0x1.3c5ba7f14acb9p-10, 0x1.317f8e4c321c6p-10, 0x1.26fd34554824dp-10, 0x1.1cd1e7346413p-10, 0x1.12fb0d6d58b07p-10, 0x1.097624e9a63adp-10, 0x1.0040bf99ff908p-10, 0x1.eeb0fec1ec5f8p-11, 0x1.dd76246d8e2dp-11, 0x1.cccc5ee24cfccp-11, 0x1.bcaf2daa74fe4p-11, 0x1.ad1a2351b30edp-11, 0x1.9e08eaed448ccp-11, 0x1.8f774f8a72d11p-11, 0x1.816143777af97p-11, 0x1.73c2e55a5dd4bp-11, 0x1.6698818c37a24p-11, 0x1.59de8f1cd3db8p-11, 0x1.4d91a8fb3e88ap-11, 0x1.41ae84bec86afp-11, 0x1.3631e92a0fd5cp-11, 0x1.2b18a69661dap-11, 0x1.205f9300b78e4p-11, 0x1.16038a8c85791p-11, 0x1.0c017435b8bp-11, 0x1.02564966832fep-11, 0x1.f1fe3ce739d4ap-12, 0x1.dff25394cb0f8p-12, 0x1.ce838fdcedb8p-12, 0x1.bdacf65f80dbcp-12, 0x1.ad69ce4136969p-12, 0x1.9db591c7afdc1p-12, 0x1.8e8bdc5b2bcc1p-12, 0x1.7fe85a243e484p-12, 0x1.71c6bcd5a2f8fp-12, 0x1.6422b7c0d830fp-12, 0x1.56f8037c76f5ap-12, 0x1.4a4267b759488p-12, 0x1.3dfdc88e575afp-12, 0x1.3226340dd485fp-12, 0x1.26b7ec82fe7a9p-12, 0x1.1baf6cee394b9p-12, 0x1.110966504d602p-12, 0x1.06c2b67b4b6e1p-12, 0x1.f9b0b5c767a9bp-13, 0x1.e68ec62a97f6p-13, 0x1.d419cce88d909p-13, 0x1.c24bfeecfc991p-13, 0x1.b11f991f67e0bp-13, 0x1.a08eeaf40ce24p-13, 0x1.90946581da5f8p-13, 0x1.812aaaed6696bp-13, 0x1.724c9b4606c6cp-13, 0x1.63f55d23727ddp-13, 0x1.562060850b259p-13, 0x1.48c95a64db15ep-13, 0x1.3bec38285be5p-13, 0x1.2f850c2f4465ep-13, 0x1.238ff804db8dfp-13, 0x1.18091b269e8ap-13, 0x1.0cec8d03089abp-13, 0x1.023664dc9ae76p-13, 0x1.efc5987e5285ep-14, 0x1.dbdc2807875cep-14, 0x1.c8a98692d8c25p-14, 0x1.b62736efff01fp-14, 0x1.a44f24c1ca11dp-14, 0x1.931b900e34b38p-14, 0x1.8286fc7fc48bap-14, 0x1.728c29fcc2b8cp-14, 0x1.632612659bea7p-14, 0x1.544fe26068556p-14, 0x1.4604e5af1eba7p-14, 0x1.384068ef9ade3p-14, 0x1.2afd9d4d9a2b7p-14, 0x1.1e378f2dc5486p-14, 0x1.11e93ad97944bp-14, 0x1.060dbb846e71bp-14, 0x1.f5410249e7f98p-15, 0x1.df3ae4fd7658fp-15, 0x1.ca01d229ca092p-15, 0x1.b58f13ed17baep-15, 0x1.a1dc2730e1275p-15, 0x1.8ee27e14334f3p-15, 0x1.7c9b8885ab7c8p-15, 0x1.6b00f0d55ba3ep-15, 0x1.5a0cd986d5148p-15, 0x1.49b9ee537fa2p-15, 0x1.3a033a8fa84cap-15, 0x1.2ae3da93a44f8p-15, 0x1.1c56b197c03d2p-15, 0x1.0e564ae94e303p-15, 0x1.00dcf60a53c21p-15, 0x1.e7ca1b7162f11p-16, 0x1.ced287899592p-16, 0x1.b6c996d21591ep-16, 0x1.9fa69f56e4172p-16, 0x1.8961814c10e1ep-16, 0x1.73f23685b4f04p-16, 0x1.5f50a7f70e6b5p-16, 0x1.4b74ec4bb7a76p-16, 0x1.3857c2915e01dp-16, 0x1.25f2e9fcb616p-16, 0x1.144113d5eab75p-16, 0x1.033d7c028916dp-16, 0x1.e5c6dfad744f4p-17, 0x1.c65c11779f828p-17, 0x1.a8305b1dfe89ep-17, 0x1.8b396310ade9fp-17, 0x1.6f6ca4efeb703p-17, 0x1.54bf089c7b198p-17, 0x1.3b24784cf4fe4p-17, 0x1.2290021735f3ep-17, 0x1.0af4a7a8c0a49p-17, 0x1.e88cee043ba92p-18, 0x1.bcf6bea487da3p-18, 0x1.9316e16a25031p-18, 0x1.6ae1057a6ff85p-18, 0x1.444acebded792p-18, 0x1.1f49eaa29e8cep-18, 0x1.f7a5c054f5ed9p-19, 0x1.b3b2ffbe7d3fp-19, 0x1.72a4ec783e2f1p-19, 0x1.3468952076ea6p-19, 0x1.f1db244420a1fp-20, 0x1.8045eeb3b09f1p-20, 0x1.13e997d73d051p-20, 0x1.592d15f223047p-21, 0x1.285b427fc76f6p-22, -0x1.3d014f65598c1p-24, -0x1.b56cf88b3fdfep-22, -0x1.858d1026227e8p-21, -0x1.1445cdf3ae25cp-20, -0x1.61fe3078c929cp-20, -0x1.ac051decf1852p-20, -0x1.f267cb16f8613p-20, -0x1.1a9b1104a4eb4p-19, -0x1.3a4460042ab49p-19, -0x1.583f5181c1ba8p-19, -0x1.749ab438674f3p-19, -0x1.8f6123d406423p-19, -0x1.a89980204b21dp-19, -0x1.c04b7bd415dbbp-19, -0x1.d68327b981022p-19, -0x1.eb4fe7bb50c67p-19, -0x1.fec12b97a341cp-19, -0x1.08725463d32e7p-18, -0x1.10e3656a0ef92p-18, -0x1.18b9d6a849d43p-18, -0x1.1ffb83dbb94c9p-18, -0x1.26ad8c3a46dc7p-18, -0x1.2cd4173c2e0fcp-18, -0x1.3273083d3bbebp-18, -0x1.378edaa58f888p-18, -0x1.3c2c47cdef59ep-18, -0x1.404f13ca8c49p-18, -0x1.43f9a1d3b566ap-18, -0x1.472dee2b49949p-18, -0x1.49eef9d312b39p-18, -0x1.4c40d9352e247p-18, -0x1.4e276973e71bbp-18, -0x1.4fa5e72082724p-18, -0x1.50bf9ee09a363p-18, -0x1.5178142bb4e08p-18, -0x1.51d29b1019ee2p-18, -0x1.51d2533b3d5efp-18, -0x1.517a85a118e29p-18, -0x1.50cecc9d881bp-18, -0x1.4fd2a57ce8c8fp-18, -0x1.4e889b5fa5bc1p-18, -0x1.4cf20168fcdc7p-18, -0x1.4b0fe81b135ecp-18, -0x1.48e466dab3d44p-18, -0x1.4672c0420b8c8p-18, -0x1.43be4d3ff51c6p-18, -0x1.40c9a5f5dfa96p-18, -0x1.3d968ff65be2dp-18, -0x1.3a26784c9dcf3p-18, -0x1.367b790535f89p-18, -0x1.32987b64f6f84p-18, -0x1.2e7fd00f42d1fp-18, -0x1.2a329ac21b1eep-18, -0x1.25b1fdfc020c3p-18, -0x1.20ffbcac8a6dap-18, -0x1.1c1dd0f72e2dap-18, -0x1.170e456301dbap-18, -0x1.11d38154b6156p-18, -0x1.0c702a4129f4p-18, -0x1.06e61913b6077p-18, -0x1.0135fb484eca2p-18, -0x1.f6c1738d9721cp-19, -0x1.ead073c6ec88ep-19, -0x1.de9c1f7a83089p-19, -0x1.d226083060ef8p-19, -0x1.c57095b4ce11cp-19, -0x1.b87f72139bd38p-19, -0x1.ab567d2a7bd09p-19, -0x1.9df9aaed32d4ap-19, -0x1.906c0f32cddcep-19, -0x1.82af135bae582p-19, -0x1.74c4a5248ce03p-19, -0x1.66b025b6acbcep-19, -0x1.5873d192a8143p-19, -0x1.4a1092e6762d2p-19, -0x1.3b8854cd1cf37p-19, -0x1.2cde2e83af613p-19, -0x1.1e15dc93ba121p-19, -0x1.0f32d6c63ec26p-19, -0x1.0036809fd86acp-19, -0x1.e243942cd68fep-20, -0x1.c3eee2756ce3p-20, -0x1.a5736ae1833eap-20, -0x1.86d369036054cp-20, -0x1.681302b126c89p-20, -0x1.49375efb822aap-20, -0x1.2a44be3049e5dp-20, -0x1.0b3eaab3e274dp-20, -0x1.d8511adf74b94p-21, -0x1.9a0bb50847674p-21, -0x1.5bb3a1e11618ap-21, -0x1.1d4f6cfc5c468p-21, -0x1.bdcf48491e64cp-22, -0x1.4107bd9b09478p-22, -0x1.88a39db6f9c0ep-23, -0x1.1eeee34d854e9p-24, 0x1.a58077ec878d2p-25, 0x1.61d55175cbc91p-23, 0x1.2ce15a1482929p-22, 0x1.a883c763034d1p-22, 0x1.11e5347922d86p-21, 0x1.4f538256b87c8p-21, 0x1.8c887fd60951dp-21, 0x1.c9812b88b234ap-21, 0x1.031b6ddf60261p-20, 0x1.2151a60fef967p-20, 0x1.3f60c9ddee487p-20, 0x1.5d46919f5fab3p-20, 0x1.7b00b2115bcb6p-20, 0x1.988cdcdb7658ep-20, 0x1.b5e8c9705549cp-20, 0x1.d3123cf1a7834p-20, 0x1.f0070d5fbdc82p-20, 0x1.06628d474191cp-19, 0x1.14a525e11e519p-19, 0x1.22ca682814418p-19, 0x1.30d1a8840df14p-19, 0x1.3eb9ef0573e8p-19, 0x1.4c821f623a56cp-19, 0x1.5a294a06db1d4p-19, 0x1.67ae19d10f272p-19, 0x1.7510499946808p-19, 0x1.824edbdaae978p-19, 0x1.8f693f82aaabp-19, 0x1.9c5ebd704fa04p-19, 0x1.a92e50cd2459ap-19, 0x1.b5d7469be254bp-19, 0x1.c259061c15f72p-19, 0x1.ceb2f2b59fb08p-19, 0x1.dae46da3025fap-19, 0x1.e6ecdaa0e75a6p-19, 0x1.f2cba2fee8cd3p-19, 0x1.fe80379c7d51cp-19, 0x1.050508b7188a4p-18, 0x1.0ab457ef70525p-18, 0x1.104dcabd94b5ap-18, 0x1.15d122f912fe1p-18, 0x1.1b3e2476d508ap-18, 0x1.209496f7b689p-18, 0x1.25d4449218c9dp-18, 0x1.2afd073b306eep-18, 0x1.300ed76838ff4p-18, 0x1.35096d234b395p-18, 0x1.39ec8c932263fp-18, 0x1.3eb8041668d75p-18, 0x1.436bc3851e8f4p-18, 0x1.4807a4dff140cp-18, 0x1.4c8ba204b7734p-18, 0x1.50f78947eab9p-18, 0x1.554b386fffe4dp-18, 0x1.59869f0af0aa4p-18, 0x1.5da9ac854ca2fp-18, 0x1.61b44f6b7fa87p-18, 0x1.65a67737c4724p-18, 0x1.6980155662bb4p-18, 0x1.6d411da053e7p-18, 0x1.70e986957edbfp-18, 0x1.7479491a620e1p-18, 0x1.77f05fa805b1bp-18, 0x1.7b4ec59cd200ap-18, 0x1.7e9477dd6ebc8p-18, 0x1.81c1769be8063p-18, 0x1.84d5c42506801p-18, 0x1.87d162db1526dp-18, 0x1.8ab46e78f1cb3p-18, 0x1.8d7efba63bbaep-18, 0x1.9030ce08e0f86p-18, 0x1.92ca106241d72p-18, 0x1.954af81973549p-18, 0x1.97b36d2d66da4p-18, 0x1.9a037f4624726p-18, 0x1.9c3b5a74c8248p-18, 0x1.9e5b06e79005bp-18, 0x1.a0627cc50609fp-18, 0x1.a251ff8a823b1p-18, 0x1.a4299b6aa92b8p-18, 0x1.a5e95cb61e2c7p-18, 0x1.a79163696ac1ap-18, 0x1.a921cf0b4d7b9p-18, 0x1.aa9abe73cfa21p-18, 0x1.abfc5178cbfdbp-18, 0x1.ad46a953454e6p-18, 0x1.ae79e837b2427p-18, 0x1.af9630be06251p-18, 0x1.b09ba5fdfe1d5p-18, 0x1.b18a6ccd5fcd8p-18, 0x1.b262acfab9477p-18, 0x1.b3248dddbab11p-18, 0x1.b3d0354a9484p-18, 0x1.b465e5553f36fp-18, 0x1.b4e5ab7714089p-18, 0x1.b54fb49f487aap-18, 0x1.b5a448138d728p-18, 0x1.b5e378219e07ap-18, 0x1.b60d785bae40dp-18, 0x1.b6227b8c85ea3p-18, 0x1.b622b28b7b8cp-18, 0x1.b60e4f5170bcp-18, 0x1.b5e584684dba9p-18, 0x1.b5a8815ae68fdp-18, 0x1.b5577637b9806p-18, 0x1.b4f2a3e1da39bp-18, 0x1.b47a3192ece09p-18, 0x1.b3ee5fa5d4364p-18, 0x1.b34f5d19bd517p-18, 0x1.b29d5a9b1ce5cp-18, 0x1.b1d89392a1c9ep-18, 0x1.b10140d0afbcdp-18, 0x1.b01799f4e894ap-18, 0x1.af1bd67b0db15p-18, 0x1.ae0e2e5351cfbp-18, 0x1.aceedaef7f155p-18, 0x1.abbe177599f04p-18, 0x1.aa7c1b9f12741p-18, 0x1.a9291d2f0265fp-18, 0x1.a7c564e1476c6p-18, 0x1.a651204a4a808p-18, 0x1.a4cc96f2c3762p-18, 0x1.a337f40101e76p-18, 0x1.a19378351010cp-18, 0x1.9fdf61a7e29bbp-18, 0x1.9e1bec4ee52afp-18, 0x1.9c495408c083ap-18, 0x1.9a67d4d83a1e8p-18, 0x1.9877aad8d79f4p-18, 0x1.96791235d04e7p-18, 0x1.946c472ac21b4p-18, 0x1.92518626a2434p-18, 0x1.90290c116262fp-18, 0x1.8df316257e8bfp-18, 0x1.8bafe091a1bd8p-18, 0x1.895fa4d4380f2p-18, 0x1.87029f4e984f1p-18, 0x1.849914b2c8a1cp-18, 0x1.822341303c0eap-18, 0x1.7fa1584879a1bp-18, 0x1.7d1396f38e1a1p-18, 0x1.7a7a3bba44575p-18, 0x1.77d583340725ep-18, 0x1.7525aa902554p-18, 0x1.726aebe0bb044p-18, 0x1.6fa57e8197a0dp-18, 0x1.6cd5a680379b4p-18, 0x1.69fba0ca0683ep-18, 0x1.67179e7e9f3dep-18, 0x1.6429dc50bd0dbp-18, 0x1.6132971043cefp-18, 0x1.5e3209187a01p-18, 0x1.5b286c586fbd7p-18, 0x1.5815fa86d5222p-18, 0x1.54faed1d6ddddp-18, 0x1.51d77d50b966cp-18, 0x1.4eabe40b1e788p-18, 0x1.4b7859ea94b6p-18, 0x1.483d173e07ae7p-18, 0x1.44fa53fe0761dp-18, 0x1.41b047c94013dp-18, 0x1.3e5f29e3882e4p-18, 0x1.3b073135367ccp-18, 0x1.37a8944ae682fp-18, 0x1.344389597bbd1p-18, 0x1.30d84648b7dafp-18, 0x1.2d6700ad81195p-18, 0x1.29efed9020e72p-18, 0x1.2673411b33e31p-18, 0x1.22f12e5a2f3e2p-18, 0x1.1f69eb37d4ca7p-18, 0x1.1bddad3b86901p-18, 0x1.184ca35fd839fp-18, 0x1.14b6ff4ecb195p-18, 0x1.111cf63ed3804p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.004312b2cf23ap-6, -0x1.000b6a7f28b85p-5, -0x1.7f86521b2915ap-5, -0x1.fe5b99180180ap-5, -0x1.3e2ac7ffb1087p-4, -0x1.7c9fe2664dbbap-4, -0x1.ba73a039001cap-4, -0x1.f78d5ded4d248p-4, -0x1.19eab323c04a8p-3, -0x1.379a825818e99p-3, -0x1.54cb49e85c113p-3, -0x1.7172c46273fe8p-3, -0x1.8d873d9a9b5fdp-3, -0x1.a8ff95569c859p-3, -0x1.c3d340c06f8f6p-3, -0x1.ddfa4ac75cfa8p-3, -0x1.f76d53948569p-3, -0x1.0812c79a44709p-2, -0x1.140e61ca9a5ccp-2, -0x1.1fa6a2f95af99p-2, -0x1.2ad8fbe67d5bep-2, -0x1.35a321bd63fe4p-2, -0x1.40030c36c2324p-2, -0x1.49f6f39b12775p-2, -0x1.537d4eacc49e9p-2, -0x1.5c94d0804dc05p-2, -0x1.653c66476cf83p-2, -0x1.6d73351443faap-2, -0x1.75389798362f6p-2, -0x1.7c8c1be200912p-2, -0x1.836d811df89ffp-2, -0x1.89dcb55b07de9p-2, -0x1.8fd9d3568c3f7p-2, -0x1.95652050fdc55p-2, -0x1.9a7f09ecf25cep-2, -0x1.9f282419d0d25p-2, -0x1.a361270b4b0bdp-2, -0x1.a72aed3e7e837p-2, -0x1.aa86718d6e001p-2, -0x1.ad74cd5151e6cp-2, -0x1.aff7369412b3bp-2, -0x1.b20efe5127a8cp-2, -0x1.b3bd8ec5dbe4fp-2, -0x1.b50469d0f42c8p-2, -0x1.b5e5276182cecp-2, -0x1.b66173f4b31f7p-2, -0x1.b67b0f222a70ap-2, -0x1.b633ca36a93abp-2, -0x1.b58d86dc722e1p-2, -0x1.b48a35d106278p-2, -0x1.b32bd5a7b0a53p-2, -0x1.b174719865a17p-2, -0x1.af66205a6ce3bp-2, -0x1.ad03030a59e8bp-2, -0x1.aa4d441acce3cp-2, -0x1.a747164f8617cp-2, -0x1.a3f2b3c252971p-2, -0x1.a0525cf163955p-2, -0x1.9c6857d6a9605p-2, -0x1.9836ef07cb17p-2, -0x1.93c070de68dfcp-2, -0x1.8f072ea85269ep-2, -0x1.8a0d7bdf6767cp-2, -0x1.84d5ad68deb6p-2, -0x1.7f6218dbbbe52p-2, -0x1.79b513ce37c59p-2, -0x1.73d0f329f29f3p-2, -0x1.6db80a86c0933p-2, -0x1.676cab8beebdcp-2, -0x1.60f12557e16a9p-2, -0x1.5a47c3ede90fep-2, -0x1.5372cfaa3b268p-2, -0x1.4c748cbbf0f59p-2, -0x1.454f3aa4fcee8p-2, -0x1.3e0513bfffba8p-2, -0x1.36984ccbeb612p-2, -0x1.2f0b147d604d7p-2, -0x1.275f9315b7e1p-2, -0x1.1f97e9ffa5462p-2, -0x1.17b633715caa6p-2, -0x1.0fbc8214310e6p-2, -0x1.07ace0b18e45ep-2, -0x1.ff12a3ca83ed4p-3, -0x1.eea79fa9f7ae5p-3, -0x1.de1c97d9d12b9p-3, -0x1.cd755d42b9b56p-3, -0x1.bcb5ae6acc57bp-3, -0x1.abe1370c70ed8p-3, -0x1.9afb8fb69f933p-3, -0x1.8a083d765eb9dp-3, -0x1.790ab1893f2b3p-3, -0x1.6806491895c6dp-3, -0x1.56fe4cfd3aae2p-3, -0x1.45f5f18b7cf2p-3, -0x1.34f056671c23dp-3, -0x1.23f0865ef5fb7p-3, -0x1.12f97750253a2p-3, -0x1.020e0a1056d8ep-3, -0x1.e26214bdf251bp-4, -0x1.c0ca5dba3e228p-4, -0x1.9f5a321754b27p-4, -0x1.7e16aa9f3c0e6p-4, -0x1.5d04b5f863508p-4, -0x1.3c2918c4ece01p-4, -0x1.1b886dcc7bf23p-4, -0x1.f64e4c60144c2p-5, -0x1.b613134e6c6cbp-5, -0x1.76676d8d2513bp-5, -0x1.3753469cd74ddp-5, -0x1.f1bc720636b6bp-6, -0x1.761f1e0e3783cp-6, -0x1.f7b90df0fb104p-7, -0x1.06040a6816859p-7, -0x1.738ab80e98d2dp-11, 0x1.a9218fcb34c2ep-8, 0x1.bd41382374752p-7, 0x1.51615c5b724b3p-6, 0x1.c28042079c2ap-6, 0x1.18f9bdcd8cd7p-5, 0x1.4fd8e356a9d4dp-5, 0x1.85d936cfc8dadp-5, 0x1.baf6a2a3c9d83p-5, 0x1.ef2d5547595ffp-5, 0x1.113ce001aa3cbp-4, 0x1.2a6c4add4d475p-4, 0x1.432364d5e530ep-4, 0x1.5b60c717b9fa1p-4, 0x1.732329b99990fp-4, 0x1.8a69631919dbfp-4, 0x1.a1326735c03cdp-4, 0x1.b77d470b4b10bp-4, 0x1.cd492feb421dap-4, 0x1.e2956ad612e4cp-4, 0x1.f7615bd3ccb9dp-4, 0x1.05d640a65b56dp-3, 0x1.0fbb39b0f47ecp-3, 0x1.195f71a2ff91ap-3, 0x1.22c2cd4b0c883p-3, 0x1.2be53d59a2199p-3, 0x1.34c6be0e35181p-3, 0x1.3d6756e470ba4p-3, 0x1.45c71a41ea34p-3, 0x1.4de62524334f1p-3, 0x1.55c49ecf755a7p-3, 0x1.5d62b87d8d675p-3, 0x1.64c0ad0db8c77p-3, 0x1.6bdec0b4e445bp-3, 0x1.72bd40ae9a949p-3, 0x1.795c82eea7ef6p-3, 0x1.7fbce5d3712c6p-3, 0x1.85decfd9127abp-3, 0x1.8bc2af4d41661p-3, 0x1.9168fa03fe715p-3, 0x1.96d22d0d2297bp-3, 0x1.9bfecc6ac5307p-3, 0x1.a0ef62c88847ap-3, 0x1.a5a48133ce0f9p-3, 0x1.aa1ebed4dbd0dp-3, 0x1.ae5eb8a8f1628p-3, 0x1.b265113d5b528p-3, 0x1.b632706b8261bp-3, 0x1.b9c78315f5b09p-3, 0x1.bd24fae6867abp-3, 0x1.c04b8e0d6126p-3, 0x1.c33bf7013d285p-3, 0x1.c5f6f440922aep-3, 0x1.c87d4813ecd08p-3, 0x1.cacfb8514c3dfp-3, 0x1.ccef0e20a0264p-3, 0x1.cedc15c15ccb4p-3, 0x1.d0979e512ea03p-3, 0x1.d2227993cbcc2p-3, 0x1.d37d7bbbe0e7ap-3, 0x1.d4a97b352547bp-3, 0x1.d5a7506f8d278p-3, 0x1.d677d5aba4403p-3, 0x1.d71be6c807218p-3, 0x1.d794611005d87p-3, 0x1.d7e2230b6d426p-3, 0x1.d8060c4f70e22p-3, 0x1.d800fd50c0a82p-3, 0x1.d7d3d736c1e0cp-3, 0x1.d77f7bafec2abp-3, 0x1.d704ccc75340ap-3, 0x1.d664acbb495b8p-3, 0x1.d59ffdd533af6p-3, 0x1.d4b7a242769f5p-3, 0x1.d3ac7bee8c21dp-3, 0x1.d27f6c5e32bdp-3, 0x1.d131548bc5d22p-3, 0x1.cfc314c4abdd9p-3, 0x1.ce358c87e296fp-3, 0x1.cc899a65aab23p-3, 0x1.cac01be0444f3p-3, 0x1.c8d9ed4dc8676p-3, 0x1.c6d7e9bb0e835p-3, 0x1.c4baeacfae8d6p-3, 0x1.c283c8b3045e1p-3, 0x1.c03359f24e84ap-3, 0x1.bdca7367c8a0ap-3, 0x1.bb49e822d74bp-3, 0x1.b8b289512f904p-3, 0x1.b605262903a93p-3, 0x1.b3428bd42de8fp-3, 0x1.b06b855c4e6fep-3, 0x1.ad80db97e714cp-3, 0x1.aa835518684fep-3, 0x1.a773b61928211p-3, 0x1.a452c06f4f3fdp-3, 0x1.a121337aa150cp-3, 0x1.9ddfcc17337bap-3, 0x1.9a8f448ffc447p-3, 0x1.9730549245735p-3, 0x1.93c3b121ef566p-3, 0x1.904a0c8e8d45bp-3, 0x1.8cc416694f1b6p-3, 0x1.89327b7bb79dep-3, 0x1.8595e5bf19b53p-3, 0x1.81eefc54d7238p-3, 0x1.7e3e637f5fe0cp-3, 0x1.7a84bc9bee932p-3, 0x1.76c2a61cf08e5p-3, 0x1.72f8bb852f55ep-3, 0x1.6f27956398749p-3, 0x1.6b4fc94fb7013p-3, 0x1.6771e9e6cefd9p-3, 0x1.638e86c99627dp-3, 0x1.5fa62c9a8f869p-3, 0x1.5bb964fcf655p-3, 0x1.57c8b6943f596p-3, 0x1.53d4a50428b9bp-3, 0x1.4fddb0f153eabp-3, 0x1.4be45802638f2p-3, 0x1.47e914e19c67p-3, 0x1.43ec5f3f0407dp-3, 0x1.3feeabd2f4916p-3, 0x1.3bf06c6129c5cp-3, 0x1.37f20fbc3c147p-3, 0x1.33f401c985338p-3, 0x1.2ff6ab85738dp-3, 0x1.2bfa73083a087p-3, 0x1.27ffbb8ae5dd6p-3, 0x1.2406e56ccc5b8p-3, 0x1.20104e39526bap-3, 0x1.1c1c50ae05ddfp-3, 0x1.182b44c10eaebp-3, 0x1.143d7fa7ddddp-3, 0x1.105353de37bcep-3, 0x1.0c6d112d722e7p-3, 0x1.088b04b401ff9p-3, 0x1.04ad78ed398fcp-3, 0x1.00d4b5b94dd1dp-3, 0x1.fa0200cb13d9ep-4, 0x1.f265376979d58p-4, 0x1.ead38fcf9df68p-4, 0x1.e34d858d1c453p-4, 0x1.dbd38f513deecp-4, 0x1.d4661efd2667ap-4, 0x1.cd05a1b65179cp-4, 0x1.c5b27ff94ee62p-4, 0x1.be6d1dacb651bp-4, 0x1.b735da3458c45p-4, 0x1.b00d10849fe5dp-4, 0x1.a8f31736122c3p-4, 0x1.a1e840990f557p-4, 0x1.9aecdac99931dp-4, 0x1.94012fc34f45ap-4, 0x1.8d25857566324p-4, 0x1.865a1dd6cf529p-4, 0x1.7f9f36fa5de16p-4, 0x1.78f50b22f97e6p-4, 0x1.725bd0d7d89dap-4, 0x1.6bd3baf8bd6ddp-4, 0x1.655cf8d22f398p-4, 0x1.5ef7b631ae275p-4, 0x1.58a41b79df0fcp-4, 0x1.52624db6a88b5p-4, 0x1.4c326eb141c1dp-4, 0x1.46149d042b3afp-4, 0x1.4008f42f13749p-4, 0x1.3a0f8caa9f53p-4, 0x1.34287bfc171f9p-4, 0x1.2e53d4c8f3dccp-4, 0x1.2891a6ea4c95ep-4, 0x1.22e1ff8019493p-4, 0x1.1d44e9045518bp-4, 0x1.17ba6b5df2be6p-4, 0x1.12428bf3a889dp-4, 0x1.0cdd4dbe8bfcbp-4, 0x1.078ab15c80045p-4, 0x1.024ab5226e122p-4, 0x1.fa3aaa5ca4566p-5, 0x1.f00516f214e5ep-5, 0x1.e5f49fcfedb9p-5, 0x1.dc0930bcb908bp-5, 0x1.d242b19d24a8p-5, 0x1.c8a10695e0da7p-5, 0x1.bf24102d0b0e2p-5, 0x1.b5cbab6b21a9fp-5, 0x1.ac97b1fb77156p-5, 0x1.a387fa4c27247p-5, 0x1.9a9c57ad8ccbcp-5, 0x1.91d49a713f7fbp-5, 0x1.8930900883d6ep-5, 0x1.80b003223d82cp-5, 0x1.7852bbc85b3aep-5, 0x1.70187f7cbf10fp-5, 0x1.68011155a111cp-5, 0x1.600c321966917p-5, 0x1.5839a059fa742p-5, 0x1.5089188f94804p-5, 0x1.48fa5532fdcedp-5, 0x1.418d0ed74b4eep-5, 0x1.3a40fc4314584p-5, 0x1.3315d2891abf5p-5, 0x1.2c0b452070056p-5, 0x1.252105fc0f8f4p-5, 0x1.1e56c5a1efa3ap-5, 0x1.17ac3341968fbp-5, 0x1.1120fcca19e96p-5, 0x1.0ab4ceffa5235p-5, 0x1.0467559073bd2p-5, 0x1.fc7076529610cp-6, 0x1.f04e5312d34d1p-6, 0x1.e467932c0306bp-6, 0x1.d8bb86da4a248p-6, 0x1.cd497cf070b0ap-6, 0x1.c210c2fbccedep-6, 0x1.b710a5671d657p-6, 0x1.ac486f9c7cd96p-6, 0x1.a1b76c265f386p-6, 0x1.975ce4cf8e6dbp-6, 0x1.8d3822c240612p-6, 0x1.83486ea638c99p-6, 0x1.798d10bdf7858p-6, 0x1.7005510315f4bp-6, 0x1.66b07741a379bp-6, 0x1.5d8dcb32b69dp-6, 0x1.549c94960d88p-6, 0x1.4bdc1b4ae26d2p-6, 0x1.434ba767cf475p-6, 0x1.3aea8151f71f7p-6, 0x1.32b7f1d3503fbp-6, 0x1.2ab342301c003p-6, 0x1.22dbbc3b9fe06p-6, 0x1.1b30aa6c10728p-6, 0x1.13b157edb0351p-6, 0x1.0c5d10b539935p-6, 0x1.0533219181c15p-6, 0x1.fc65b078ec732p-7, 0x1.eeb706d693e15p-7, 0x1.e158e5bc0868p-7, 0x1.d449eedcaa1dap-7, 0x1.c788c63b77be7p-7, 0x1.bb1412462ea98p-7, 0x1.aeea7bef03fcp-7, 0x1.a30aaec52dae8p-7, 0x1.9773590c1b556p-7, 0x1.8c232bd1a2122p-7, 0x1.8118db02d3ef2p-7, 0x1.76531d7fbf29ep-7, 0x1.6bd0ad2e237f3p-7, 0x1.6190470af8e12p-7, 0x1.5790ab3aed96dp-7, 0x1.4dd09d19e4382p-7, 0x1.444ee349658e2p-7, 0x1.3b0a47be0d86ap-7, 0x1.320197cc09762p-7, 0x1.2933a432af677p-7, 0x1.209f41273929ap-7, 0x1.1843465e77c3ep-7, 0x1.101e8f15ca9b9p-7, 0x1.082ffa1b2fee7p-7, 0x1.007669d498b66p-7, 0x1.f1e1888ca863ep-8, 0x1.e33be631bbe06p-8, 0x1.d4f9c73baac2p-8, 0x1.c7190da88ca2bp-8, 0x1.b997a2d8a5069p-8, 0x1.ac737794055a8p-8, 0x1.9faa840f35008p-8, 0x1.933ac7ee66ef9p-8, 0x1.87224a47a0d47p-8, 0x1.7b5f19a39c87fp-8, 0x1.6fef4bfd9cb5fp-8, 0x1.64d0fec20cbd4p-8, 0x1.5a0256cc2dee1p-8, 0x1.4f818062cbad5p-8, 0x1.454caf33b8002p-8, 0x1.3b621e4ea5662p-8, 0x1.31c0101efe4fp-8, 0x1.2864ce64cd96cp-8, 0x1.1f4eaa2cfbdf6p-8, 0x1.167bfbc89a00dp-8, 0x1.0deb22c3782bbp-8, 0x1.059a85da0c007p-8, 0x1.fb1125dd1f4afp-9, 0x1.eb677dfb27b0bp-9, 0x1.dc350c23c155ep-9, 0x1.cd76d66f79b22p-9, 0x1.bf29f0df824c7p-9, 0x1.b14b7d41987cp-9, 0x1.a3d8ab13bf8eep-9, 0x1.96ceb7668c764p-9, 0x1.8a2aecbe56486p-9, 0x1.7deaa2f416424p-9, 0x1.720b3f14d9de8p-9, 0x1.668a334119e65p-9, 0x1.5b64fe8aed574p-9, 0x1.50992cd3677cep-9, 0x1.462456a7dc257p-9, 0x1.3c04211e1ea11p-9, 0x1.32363db049f8ap-9, 0x1.28b86a1853a99p-9, 0x1.1f88702ad7a92p-9, 0x1.16a425b1a28a4p-9, 0x1.0e096c45b3f7ap-9, 0x1.05b631294bdfap-9, 0x1.fb50da422bc51p-10, 0x1.ebbc489afa91ap-10, 0x1.dcaacc076572bp-10, 0x1.ce18994c8bb33p-10, 0x1.c001fafb94608p-10, 0x1.b263512313148p-10, 0x1.a53910ff10d9p-10, 0x1.987fc4a9de94ap-10, 0x1.8c340acc5518cp-10, 0x1.8052964e6f432p-10, 0x1.74d82e072ff9dp-10, 0x1.69c1ac6d49ceep-10, 0x1.5f0bff4784369p-10, 0x1.54b4275cf3b48p-10, 0x1.4ab73826788b6p-10, 0x1.4112577f43798p-10, 0x1.37c2bd55e1911p-10, 0x1.2ec5b35e0f597p-10, 0x1.261894c267e8ap-10, 0x1.1db8cdd6c701ap-10, 0x1.15a3dbca9ff0bp-10, 0x1.0dd74c5c563bap-10, 0x1.0650bd8c369f8p-10, 0x1.fe1bbaa24ddb6p-11, 0x1.f018d299f2467p-11, 0x1.e2945d0282e24p-11, 0x1.d58a1209efe3bp-11, 0x1.c8f5c775f2247p-11, 0x1.bcd37010fd53p-11, 0x1.b11f1b199b59dp-11, 0x1.a5d4f3b330bd5p-11, 0x1.9af140566313cp-11, 0x1.907062457f613p-11, 0x1.864ed4ff7e78ap-11, 0x1.7c892db74d088p-11, 0x1.731c1aca7881ap-11, 0x1.6a046339cb9cfp-11, 0x1.613ee62456933p-11, 0x1.58c89a427da2dp-11, 0x1.509e8d6404857p-11, 0x1.48bde3efe9c47p-11, 0x1.4123d863c6e0cp-11, 0x1.39cdbad73794dp-11, 0x1.32b8f07f50d8bp-11, 0x1.2be2f33453dc1p-11, 0x1.254950f92d7e3p-11, 0x1.1ee9ab84bad59p-11, 0x1.18c1b7cbacebap-11, 0x1.12cf3d8d6de8fp-11, 0x1.0d1016e1f3988p-11, 0x1.07822fc9ac8c3p-11, 0x1.022385bf507e2p-11, 0x1.f9e44e9519d69p-12, 0x1.efd8672976661p-12, 0x1.e61fb3ffd5fa3p-12, 0x1.dcb6b37de984fp-12, 0x1.d39a02ddd909bp-12, 0x1.cac65d68e3edap-12, 0x1.c2389badcb922p-12, 0x1.b9edb2c1ad78p-12, 0x1.b1e2b3801c2edp-12, 0x1.aa14c9d0dfb8dp-12, 0x1.a2813befcb28bp-12, 0x1.9b2569b80d0fap-12, 0x1.93fecbf2f960fp-12, 0x1.8d0af3a9a303p-12, 0x1.8647897a287adp-12, 0x1.7fb24ceffdc2p-12, 0x1.794913e147253p-12, 0x1.7309c9cb04983p-12, 0x1.6cf26f35215a2p-12, 0x1.670119161543fp-12, 0x1.6133f03c96edp-12, 0x1.5b8930b95251bp-12, 0x1.55ff294eb3049p-12, 0x1.50943ae175e1ep-12, 0x1.4b46d7ed46978p-12, 0x1.461583fafa274p-12, 0x1.40fed31b9da64p-12, 0x1.3c016965d7e9bp-12, 0x1.371bfa75b4a47p-12, 0x1.324d48ee62851p-12, 0x1.2d9426009badep-12, 0x1.28ef70f2a6a78p-12, 0x1.245e16ab12bc1p-12, 0x1.1fdf113e95f67p-12, 0x1.1b7167807d1afp-12, 0x1.17142c959c09fp-12, 0x1.12c67f8919b6dp-12, 0x1.0e878ae41f9c8p-12, 0x1.0a5684498629ap-12, 0x1.0632ac124a086p-12, 0x1.021b4cecc1c44p-12, 0x1.fc1f76fc6b56fp-13, 0x1.f41eac0f0120ep-13, 0x1.ec330814af3ffp-13, 0x1.e45b6be62f48cp-13, 0x1.dc96c9851541fp-13, 0x1.d4e423796100dp-13, 0x1.cd428c2d9f21dp-13, 0x1.c5b1255134108p-13, 0x1.be2f1f4022615p-13, 0x1.b6bbb86e661b1p-13, 0x1.af563cd654d13p-13, 0x1.a7fe056c9c312p-13, 0x1.a0b277966e1b8p-13, 0x1.997304a4d9b32p-13, 0x1.923f2952acefdp-13, 0x1.8b166d466ea28p-13, 0x1.83f8629867e6ap-13, 0x1.7ce4a55cd5542p-13, 0x1.75dadb306c781p-13, 0x1.6edab2c761b6bp-13, 0x1.67e3e381e5e5dp-13, 0x1.60f62d02c308bp-13, 0x1.5a1156c98c2ecp-13, 0x1.53352fcec3eb4p-13, 0x1.4c618e24fc6bcp-13, 0x1.45964e9cc0ed3p-13, 0x1.3ed35468f6164p-13, 0x1.381888c92e56p-13, 0x1.3165dab3e7be4p-13, 0x1.2abb3e868a8b2p-13, 0x1.2418adb710ce7p-13, 0x1.1d7e268697645p-13, 0x1.16ebabb7f8eeep-13, 0x1.10614449e1d43p-13, 0x1.09defb314cb87p-13, 0x1.0364df167d93fp-13, 0x1.f9e6042d35109p-14, 0x1.ed12f30a19b93p-14, 0x1.e050bb6476252p-14, 0x1.d39f935f7a543p-14, 0x1.c6ffb6353a773p-14, 0x1.ba7163cb3e8dbp-14, 0x1.adf4e04e4fb26p-14, 0x1.a18a73cfaaa0dp-14, 0x1.953269e562491p-14, 0x1.88ed115354e6cp-14, 0x1.7cbabbb19f3d4p-14, 0x1.709bbd1ac6ee2p-14, 0x1.64906bd93725bp-14, 0x1.5899201cc79c2p-14, 0x1.4cb633b07ed9dp-14, 0x1.40e801b79f239p-14, 0x1.352ee6678ff4fp-14, 0x1.298b3ec85752bp-14, 0x1.1dfd687809e16p-14, 0x1.1285c1709bdebp-14, 0x1.0724a7cf5ed97p-14, 0x1.f7b4f34186e27p-15, 0x1.e14f295c9de14p-15, 0x1.cb18aca0b0e8fp-15, 0x1.b512367d51d0dp-15, 0x1.9f3c7ecbbd899p-15, 0x1.89983b7dadfb5p-15, 0x1.7426204f936e2p-15, 0x1.5ee6de83c77fcp-15, 0x1.49db249d562dep-15, 0x1.35039e1dca3f9p-15, 0x1.2060f34956e8ap-15, 0x1.0bf3c8f03620cp-15, 0x1.ef79806e57da2p-16, 0x1.c778ecc9fde97p-16, 0x1.9fe70973dfb32p-16, 0x1.78c5007e3eca5p-16, 0x1.5213f34a2801bp-16, 0x1.2bd4fa36b4faep-16, 0x1.0609245fa5914p-16, 0x1.c162eebb8ce05p-17, 0x1.779dde2437ba3p-17, 0x1.2ec4faeef49adp-17, 0x1.cdb429c97c02ep-18, 0x1.3fbdce9897cefp-18, 0x1.675462c310ff9p-19, 0x1.4be3a945ff7d6p-21, -0x1.7b21b5d51976p-20, -0x1.ca4351468dea9p-19, -0x1.698c99a3a75fp-18, -0x1.ec06c8f9f1d02p-18, -0x1.3646f54fd0bcep-17, -0x1.758fef0860a7cp-17, -0x1.b3dd573862787p-17, -0x1.f12e4942fa128p-17, -0x1.16c0fb295379cp-16, -0x1.346bd2a6e253p-16, -0x1.51975964b21cap-16, -0x1.6e4348788f412p-16, -0x1.8a6f63b53ef7fp-16, -0x1.a61b799bf40e8p-16, -0x1.c147634722039p-16, -0x1.dbf304574ab32p-16, -0x1.f61e4ada1d2adp-16, -0x1.07e4979b4f85cp-15, -0x1.1479da070ae31p-15, -0x1.20cef30fed8afp-15, -0x1.2ce3ee1606d23p-15, -0x1.38b8db695e1efp-15, -0x1.444dd03b69da8p-15, -0x1.4fa2e689cb21fp-15, -0x1.5ab83d0dcb984p-15, -0x1.658df72d317fp-15, -0x1.70243ce2b97fbp-15, -0x1.7a7b3aad49314p-15, -0x1.8493217b02554p-15, -0x1.8e6c26936c413p-15, -0x1.98068383de1ap-15, -0x1.a1627608fb4d4p-15, -0x1.aa803ffac6f86p-15, -0x1.b36027365610cp-15, -0x1.bc0275867ae53p-15, -0x1.c467788d46a26p-15, -0x1.cc8f81aefd93fp-15, -0x1.d47ae5f97394ap-15, -0x1.dc29fe0cb61fp-15, -0x1.e39d2603f961ap-15, -0x1.ead4bd609bfep-15, -0x1.f1d126f0edf3cp-15, -0x1.f892c8b8ee828p-15, -0x1.ff1a0bdb6814p-15, -0x1.02b3ae4146aa5p-14, -0x1.05bd94e32ff62p-14, -0x1.08aaf2cba1bbfp-14, -0x1.0b7c0253b2328p-14, -0x1.0e30ff283efd2p-14, -0x1.10ca263fee39bp-14, -0x1.1347b5cefa9fep-14, -0x1.15a9ed3afb206p-14, -0x1.17f10d1107cb8p-14, -0x1.1a1d56f851893p-14, -0x1.1c2f0da795327p-14, -0x1.1e2674dab0b7ap-14, -0x1.2003d146e6536p-14, -0x1.21c7688f9392p-14, -0x1.2371813c577c1p-14, -0x1.250262ad1c519p-14, -0x1.267a550fce31ep-14, -0x1.27d9a1556a0c9p-14, -0x1.29209127d7f45p-14, -0x1.2a4f6edfd57a3p-14, -0x1.2b66857a04ccap-14, -0x1.2c66208d64206p-14, -0x1.2d4e8c416685bp-14, -0x1.2e201543cccaap-14, -0x1.2edb08bf4767p-14, -0x1.2f7fb4516b78dp-14, -0x1.300e66016009ep-14, -0x1.30876c3709413p-14, -0x1.30eb15b1dee9ap-14, -0x1.3139b17fbd345p-14, -0x1.31738ef43d7ep-14, -0x1.3198fda04df28p-14, -0x1.31aa4d493d37cp-14, -0x1.31a7cde0ba031p-14, -0x1.3191cf7c928cbp-14, -0x1.3168a24eb67c7p-14, -0x1.312c969d25058p-14, -0x1.30ddfcba7ec2bp-14, -0x1.307d24fe9db25p-14, -0x1.300a5fbed65ep-14, -0x1.2f85fd473ec25p-14, -0x1.2ef04dd340589p-14, -0x1.2e49a186616f5p-14, -0x1.2d9248665b6a3p-14, -0x1.2cca92543ee4cp-14, -0x1.2bf2cf0556151p-14, -0x1.2b0b4dfdf608dp-14, -0x1.2a145e8b2d221p-14, -0x1.290e4fbc06c0dp-14, -0x1.27f9705c6bcffp-14, -0x1.26d60eefb15bap-14, -0x1.25a479aae0896p-14, -0x1.2464fe6f1d5e9p-14, -0x1.2317eac4afa78p-14, -0x1.21bd8bd606d3fp-14, -0x1.20562e6b4dc25p-14, -0x1.1ee21ee4a4d94p-14, -0x1.1d61a936a98f3p-14, -0x1.1bd518e5580c2p-14, -0x1.1a3cb8fffbe9cp-14, -0x1.1898d41d05914p-14, -0x1.16e9b45665a09p-14, -0x1.152fa34508ee2p-14, -0x1.136ae9fd3336p-14, -0x1.119bd10be8b59p-14, -0x1.0fc2a072367c7p-14, -0x1.0ddf9fa23f70bp-14, -0x1.0bf3157c7f01ep-14, -0x1.09fd484ca6701p-14, -0x1.07fe7dc65fc69p-14, -0x1.05f6fb0246565p-14, -0x1.03e7047b9805p-14, -0x1.01cede0dfc962p-14, -0x1.ff5d95e47f467p-15, -0x1.fb0e1b794fa8dp-15, -0x1.f6afd0b4ac6ffp-15, -0x1.f243381ebd384p-15, -0x1.edc8d2ea4748ep-15, -0x1.e94120efec2a7p-15, -0x1.e4aca0aafb09fp-15, -0x1.e00bcf3643ea1p-15, -0x1.db5f2847f631p-15, -0x1.d6a72630df8b1p-15, -0x1.d1e441d7cc5f1p-15, -0x1.cd16f2b741384p-15, -0x1.c83faedc292f8p-15, -0x1.c35eeae36c065p-15, -0x1.be7519f79f47bp-15, -0x1.b982adcf1f883p-15, -0x1.b48816aa00938p-15, -0x1.af85c352cf9ecp-15, -0x1.aa7c211b44f72p-15, -0x1.a56b9bdb43d7dp-15, -0x1.a0549df1732d4p-15, -0x1.9b379040179e2p-15, -0x1.9614da2f9e396p-15, -0x1.90ece1abfab97p-15, -0x1.8bc00b24ec54bp-15, -0x1.868eb98d3118bp-15, -0x1.81594e5b883dep-15, -0x1.7c20298a558f4p-15, -0x1.76e3a99801f97p-15, -0x1.71a42b86bfbb6p-15, -0x1.6c620addcab29p-15, -0x1.671da1aafcf53p-15, -0x1.61d748816121p-15, -0x1.5c8f567b6f372p-15, -0x1.5746213b46f9bp-15, -0x1.51fbfceca90b6p-15, -0x1.4cb13c45bd74bp-15, -0x1.476630882f8bap-15, -0x1.421b29828210ap-15, }}, 
      {{-0x1.bbebf0c8a969p-7, -0x1.bbbbb72915cb7p-6, -0x1.4c909a81aa8cp-5, -0x1.bafb66e22d039p-5, -0x1.14835b99660b9p-4, -0x1.4b4dafe4efbe4p-4, -0x1.81d15311c275cp-4, -0x1.b803290d496c7p-4, -0x1.edd85e8545b9ep-4, -0x1.11a337b9878c7p-3, -0x1.2c2196560fd14p-3, -0x1.466260430c3bp-3, -0x1.6060d94f4dea2p-3, -0x1.7a18756c2e58bp-3, -0x1.9384d9cf820fdp-3, -0x1.aca1ddc1d3afdp-3, -0x1.c56b8b2154168p-3, -0x1.ddde1ea1c077bp-3, -0x1.f5f607d0cd8a5p-3, -0x1.06d7f47323876p-2, -0x1.12844b3335074p-2, -0x1.1dfe8b4e40c6p-2, -0x1.2945507992ac1p-2, -0x1.34574e97897c7p-2, -0x1.3f33514879955p-2, -0x1.49d83b71042c5p-2, -0x1.544506b79ec82p-2, -0x1.5e78c2fad9dfp-2, -0x1.687295c1cb49bp-2, -0x1.7231b9a7d298cp-2, -0x1.7bb57dc4d1385p-2, -0x1.84fd4512ccab9p-2, -0x1.8e0885d1d4948p-2, -0x1.96d6c8eaee0b2p-2, -0x1.9f67a952b5121p-2, -0x1.a7bad36c42a67p-2, -0x1.afd0046ce266ep-2, -0x1.b7a709c10c5d4p-2, -0x1.bf3fc07303ac9p-2, -0x1.c69a149379238p-2, -0x1.cdb600a472c9dp-2, -0x1.d4938d06c47fep-2, -0x1.db32cf6a4143ep-2, -0x1.e193ea40dcf92p-2, -0x1.e7b70c34d6709p-2, -0x1.ed9c6fa20e337p-2, -0x1.f3445a1290a94p-2, -0x1.f8af1bbe71107p-2, -0x1.fddd0f0eea4aap-2, -0x1.01674c126a38cp-1, -0x1.03c2123133a43p-1, -0x1.05ff14fc20d09p-1, -0x1.081e93bad755p-1, -0x1.0a20d1ae0e6a2p-1, -0x1.0c0615dad90c6p-1, -0x1.0dceaad77b80ap-1, -0x1.0f7ade99bc2d7p-1, -0x1.110b0246af20cp-1, -0x1.127f6a03ea00cp-1, -0x1.13d86cca1bca1p-1, -0x1.15166438fcb3dp-1, -0x1.1639ac6c8cc45p-1, -0x1.1742a3d39731ep-1, -0x1.1831ab077000dp-1, -0x1.190724a4e5ef7p-1, -0x1.19c375265bb5ap-1, -0x1.1a6702bf03c2ap-1, -0x1.1af2353734cb7p-1, -0x1.1b6575c9d090dp-1, -0x1.1bc12f02b368cp-1, -0x1.1c05cc9e2a906p-1, -0x1.1c33bb6965663p-1, -0x1.1c4b6923e0035p-1, -0x1.1c4d4461bff13p-1, -0x1.1c39bc6f1ded4p-1, -0x1.1c11413437ac2p-1, -0x1.1bd4431a864f2p-1, -0x1.1b8332f2b3d58p-1, -0x1.1b1e81db6bcb4p-1, -0x1.1aa6a12905ac6p-1, -0x1.1a1c024e00a08p-1, -0x1.197f16c4528abp-1, -0x1.18d04ff781d87p-1, -0x1.18101f2f8ced2p-1, -0x1.173ef57c949adp-1, -0x1.165d43a34d2d8p-1, -0x1.156b7a0a2fe06p-1, -0x1.146a08a767aeep-1, -0x1.13595eef7d75ap-1, -0x1.1239ebc4b6dbep-1, -0x1.110c1d672d132p-1, -0x1.0fd0616594646p-1, -0x1.0e87248eb1ae2p-1, -0x1.0d30d2e37bd9ap-1, -0x1.0bcdd789e5c1cp-1, -0x1.0a5e9cc04c5e4p-1, -0x1.08e38bd18700bp-1, -0x1.075d0d0996c69p-1, -0x1.05cb87aaf0329p-1, -0x1.042f61e45d2a1p-1, -0x1.028900c7739a2p-1, -0x1.00d8c83f9c258p-1, -0x1.fe3e36135066dp-2, -0x1.fab8b557dee75p-2, -0x1.f721cedded35dp-2, -0x1.f37a40ad2df7fp-2, -0x1.efc2c6374fbdbp-2, -0x1.ebfc184c42e6cp-2, -0x1.e826ed0f740ebp-2, -0x1.e443f7edeeb18p-2, -0x1.e053e99564f35p-2, -0x1.dc576fec0e786p-2, -0x1.d84f360963244p-2, -0x1.d43be42f9d851p-2, -0x1.d01e1fc6086ecp-2, -0x1.cbf68b540be79p-2, -0x1.c7c5c67cf48e4p-2, -0x1.c38c6dfc6d903p-2, -0x1.bf4b1ba3a7e7bp-2, -0x1.bb0266572849dp-2, -0x1.b6b2e20d34badp-2, -0x1.b25d1fccdcf1ep-2, -0x1.ae01adad95a1fp-2, -0x1.a9a116d763938p-2, -0x1.a53be3838d532p-2, -0x1.a0d298fdd0602p-2, -0x1.9c65b9a612d21p-2, -0x1.97f5c4f28e61dp-2, -0x1.938337726ab7p-2, -0x1.8f0e8ad0c8bd8p-2, -0x1.8a9835d83322dp-2, -0x1.8620ac7673facp-2, -0x1.81a85fc0c811fp-2, -0x1.7d2fbdf86d4abp-2, -0x1.78b7328f864bdp-2, -0x1.743f262e4e3b6p-2, -0x1.6fc7feb89ac1fp-2, -0x1.6b521f53a7105p-2, -0x1.66dde86c24d2ap-2, -0x1.626bb7bc89d5p-2, -0x1.5dfbe853a1d3dp-2, -0x1.598ed29b5583p-2, -0x1.5524cc5fa88f7p-2, -0x1.50be28d5ed484p-2, -0x1.4c5b38a425241p-2, -0x1.47fc49e88fe53p-2, -0x1.43a1a84162c31p-2, -0x1.3f4b9cd4a95bep-2, -0x1.3afa6e5847326p-2, -0x1.36ae611a1cca7p-2, -0x1.3267b708495dp-2, -0x1.2e26afb98c35cp-2, -0x1.29eb8875babd1p-2, -0x1.25b67c3e5236bp-2, -0x1.2187c3d71bf99p-2, -0x1.1d5f95cee5e25p-2, -0x1.193e26884a2b3p-2, -0x1.1523a8428788dp-2, -0x1.11104b2265984p-2, -0x1.0d043d3b21379p-2, -0x1.08ffaa9767d1ep-2, -0x1.0502bd4253fdep-2, -0x1.010d9d507439bp-2, -0x1.fa40e1d1a26bcp-3, -0x1.f276b89bf735ep-3, -0x1.eabd03ce2ad0dp-3, -0x1.e3140491bdb23p-3, -0x1.db7bf87d81473p-3, -0x1.d3f519a79d817p-3, -0x1.cc7f9eb79907cp-3, -0x1.c51bbaf850affp-3, -0x1.bdc99e69db9f5p-3, -0x1.b68975d369427p-3, -0x1.af5b6ad5023ep-3, -0x1.a83fa3f93df09p-3, -0x1.a13644c6d7689p-3, -0x1.9a3f6dd234474p-3, -0x1.935b3ccec6b25p-3, -0x1.8c89cca05ccc9p-3, -0x1.85cb356c47b89p-3, -0x1.7f1f8caa6adbp-3, -0x1.7886e536254abp-3, -0x1.72014f5f1b95fp-3, -0x1.6b8ed8f9d9f2ep-3, -0x1.652f8d7053407p-3, -0x1.5ee375d235cfp-3, -0x1.58aa98e51ebbbp-3, -0x1.5284fb349a48p-3, -0x1.4c729f2201014p-3, -0x1.467384f4264a6p-3, -0x1.4087aae6daea7p-3, -0x1.3aaf0d3a439f9p-3, -0x1.34e9a641fd8fcp-3, -0x1.2f376e7415dc7p-3, -0x1.29985c77d1b6ep-3, -0x1.240c653443701p-3, -0x1.1e937bdeb1cb2p-3, -0x1.192d9208c8c6cp-3, -0x1.13da97ae99246p-3, -0x1.0e9a7b4466ad4p-3, -0x1.096d29c443734p-3, -0x1.04528ebb6e605p-3, -0x1.fe9528af1460dp-4, -0x1.f4aa46e72db2bp-4, -0x1.eae447496c56ep-4, -0x1.e142f68d7adbep-4, -0x1.d7c61f1122a7p-4, -0x1.ce6d88f091836p-4, -0x1.c538fa1e40327p-4, -0x1.bc28367a550a5p-4, -0x1.b33affe9b76aep-4, -0x1.aa71166c9f41bp-4, -0x1.a1ca3834c2091p-4, -0x1.994621bb0dc8ep-4, -0x1.90e48dd501385p-4, -0x1.88a535c98a502p-4, -0x1.8087d16582b2cp-4, -0x1.788c170fba15p-4, -0x1.70b1bbdc98ae7p-4, -0x1.68f873a15389bp-4, -0x1.615ff106b8aecp-4, -0x1.59e7e59b8d874p-4, -0x1.529001e686dfcp-4, -0x1.4b57f577d56bfp-4, -0x1.443f6efa4b06dp-4, -0x1.3d461c4416ec1p-4, -0x1.366baa671b61fp-4, -0x1.2fafc5c0dd871p-4, -0x1.29121a0a0e35ep-4, -0x1.22925265af295p-4, -0x1.1c30196fd3805p-4, -0x1.15eb194bfe9e8p-4, -0x1.0fc2fbb31f20ep-4, -0x1.09b76a012aff4p-4, -0x1.03c80d4259b17p-4, -0x1.fbe91c80011f8p-5, -0x1.f0792b1a23393p-5, -0x1.e53f972477513p-5, -0x1.da3bb133628b1p-5, -0x1.cf6cc9b526ba9p-5, -0x1.c4d231080697bp-5, -0x1.ba6b378fb89dep-5, -0x1.b0372dca2c1c2p-5, -0x1.a6356463a5bc8p-5, -0x1.9c652c4a2c799p-5, -0x1.92c5d6c0567d6p-5, -0x1.8956b56f6f39dp-5, -0x1.80171a78fb4e4p-5, -0x1.770658879e18bp-5, -0x1.6e23c2df65855p-5, -0x1.656ead6d77899p-5, -0x1.5ce66cd72a713p-5, -0x1.548a56888ce8fp-5, -0x1.4c59c0c253eeap-5, -0x1.445402a73f2e6p-5, -0x1.3c787448f1b1cp-5, -0x1.34c66eb43cc36p-5, -0x1.2d3d4bfce46bap-5, -0x1.25dc6748e3267p-5, -0x1.1ea31cdb2623cp-5, -0x1.1790ca1dce62cp-5, -0x1.10a4cdabf4311p-5, -0x1.09de875aee1cep-5, -0x1.033d584323171p-5, -0x1.f9814590d30eap-6, -0x1.eccf9543df9dcp-6, -0x1.e06469c36d53fp-6, -0x1.d43e8ff74353ap-6, -0x1.c85cd79831001p-6, -0x1.bcbe133c8a235p-6, -0x1.b1611863cddc5p-6, -0x1.a644bf8193137p-6, -0x1.9b67e407ac617p-6, -0x1.90c9646f90c83p-6, -0x1.8668224311af6p-6, -0x1.7c4302245a9f2p-6, -0x1.7258ebd54493dp-6, -0x1.68a8ca3e03f41p-6, -0x1.5f318b732cefdp-6, -0x1.55f220bb1ba7ap-6, -0x1.4ce97e92c2384p-6, -0x1.44169cb1e02fap-6, -0x1.3b78760ea7a3dp-6, -0x1.330e08e0d09fdp-6, -0x1.2ad656a430b7dp-6, -0x1.22d0641ab8812p-6, -0x1.1afb394e09995p-6, -0x1.1355e190799b4p-6, -0x1.0bdf6b7dae57p-6, -0x1.0496e8fab3a25p-6, -0x1.faf6de6b6cc53p-7, -0x1.ed182d4a8341cp-7, -0x1.df8ff60e3233dp-7, -0x1.d25c76bd612b5p-7, -0x1.c57bf3e67ea57p-7, -0x1.b8ecb89aebb47p-7, -0x1.acad1669ba8c7p-7, -0x1.a0bb6559bd242p-7, -0x1.951603e2de487p-7, -0x1.89bb56e6f3943p-7, -0x1.7ea9c9a9e9565p-7, -0x1.73dfcdc95d81dp-7, -0x1.695bdb33af49dp-7, -0x1.5f1c701e84d1p-7, -0x1.552010fcd9389p-7, -0x1.4b6548748393dp-7, -0x1.41eaa7535dbbcp-7, -0x1.38aec483eb7cdp-7, -0x1.2fb03d0198a2fp-7, -0x1.26edb3cc9d175p-7, -0x1.1e65d1dd7c817p-7, -0x1.161746182fc6ep-7, -0x1.0e00c53efb818p-7, -0x1.062109e4eb67cp-7, -0x1.fceda8c029b0ep-8, -0x1.ee01d57700128p-8, -0x1.df7c3151c38d7p-8, -0x1.d15a5ee4273e4p-8, -0x1.c39a0bd48ba62p-8, -0x1.b638f0be1f8e4p-8, -0x1.a934d1127e07ep-8, -0x1.9c8b7afb018e2p-8, -0x1.903ac739e4342p-8, -0x1.8440990acf6ecp-8, -0x1.789ade03729eep-8, -0x1.6d478df39f2b2p-8, -0x1.6244aac55c276p-8, -0x1.5790405cb5df2p-8, -0x1.4d2864776abfdp-8, -0x1.430b368c7afdfp-8, -0x1.3936dfab85d76p-8, -0x1.2fa9925c25fddp-8, -0x1.26618a7d3ecdep-8, -0x1.1d5d0d2419f49p-8, -0x1.149a687bbda88p-8, -0x1.0c17f3a40d1fdp-8, -0x1.03d40e90e9064p-8, -0x1.f79a43d3041adp-9, -0x1.e8033dcf190dbp-9, -0x1.d8dffe6d4c306p-9, -0x1.ca2d89a770ad8p-9, -0x1.bbe8f3d90746cp-9, -0x1.ae0f617e6cd1ap-9, -0x1.a09e06f449713p-9, -0x1.9392283774583p-9, -0x1.86e918a4f710fp-9, -0x1.7aa03aba5f06p-9, -0x1.6eb4ffd6b7eccp-9, -0x1.6324e7fb5c87ap-9, -0x1.57ed818d9de49p-9, -0x1.4d0c6918ba8b6p-9, -0x1.427f491015d96p-9, -0x1.3843d9922802fp-9, -0x1.2e57e02bab719p-9, -0x1.24b92f9b7db68p-9, -0x1.1b65a796c0aabp-9, -0x1.125b348db5e4dp-9, -0x1.0997cf70f561ep-9, -0x1.01197d776c97p-9, -0x1.f1bc9fc958a69p-10, -0x1.e1c8c79fe8b06p-10, -0x1.d253c3d76393cp-10, -0x1.c359fc9b3b001p-10, -0x1.b4d7f06f08b2cp-10, -0x1.a6ca33c13ad8ep-10, -0x1.992d707eed0dep-10, -0x1.8bfe65a943895p-10, -0x1.7f39e6eb8012cp-10, -0x1.72dcdc32def3p-10, -0x1.66e441478b1e7p-10, -0x1.5b4d2566c25d4p-10, -0x1.5014aade5c1cap-10, -0x1.453806a99b43dp-10, -0x1.3ab4800f7ff6fp-10, -0x1.30877041ebe5dp-10, -0x1.26ae41fe9d3abp-10, -0x1.1d26713117193p-10, -0x1.13ed8a9611ee4p-10, -0x1.0b012b6052e9p-10, -0x1.025f00de8b966p-10, -0x1.f4099045ab5ccp-11, -0x1.e3e09b5689804p-11, -0x1.d43eda18019d6p-11, -0x1.c520213527053p-11, -0x1.b6806234e33f8p-11, -0x1.a85baad606591p-11, -0x1.9aae246d9a953p-11, -0x1.8d7413485e449p-11, -0x1.80a9d60df395ap-11, -0x1.744be5279f3fp-11, -0x1.6856d2289ae9bp-11, -0x1.5cc74739d6ef3p-11, -0x1.519a068780ed8p-11, -0x1.46cbe9b1e7abep-11, -0x1.3c59e13ffc33cp-11, -0x1.3240f414f1a06p-11, -0x1.287e3ee7f9d07p-11, -0x1.1f0ef3be944b1p-11, -0x1.15f0596966903p-11, -0x1.0d1fcb02f938ap-11, -0x1.049ab771b92ebp-11, -0x1.f8bd41d6b876cp-12, -0x1.e8d238f6970cp-12, -0x1.d96fa31653a9ep-12, -0x1.ca90f2db10f4cp-12, -0x1.bc31bdd58122ep-12, -0x1.ae4dbba10f47ap-12, -0x1.a0e0c50630912p-12, -0x1.93e6d32297fap-12, -0x1.875bfe93d860ep-12, -0x1.7b3c7ea842b34p-12, -0x1.6f84a892439b6p-12, -0x1.6430eea1616e6p-12, -0x1.593ddf7e0cedep-12, -0x1.4ea8256a96e4bp-12, -0x1.446c858770d58p-12, -0x1.3a87df1b7fcc6p-12, -0x1.30f72ae0d5893p-12, -0x1.27b77a5492105p-12, -0x1.1ec5f70ab3c88p-12, -0x1.161fe2064f4cbp-12, -0x1.0dc293145b04cp-12, -0x1.05ab782b1c8a7p-12, -0x1.fbb02998fb339p-13, -0x1.ec8c02d87b16fp-13, -0x1.dde5d5b2cd5bdp-13, -0x1.cfb92356b7675p-13, -0x1.c2019363efd36p-13, -0x1.b4baf2d27a4eep-13, -0x1.a7e132e060e53p-13, -0x1.9b706805d9fc8p-13, -0x1.8f64c8ef38e9dp-13, -0x1.83baad7e18995p-13, -0x1.786e8dcf39934p-13, -0x1.6d7d01470cab3p-13, -0x1.62e2bda46ef3bp-13, -0x1.589c96184617ap-13, -0x1.4ea77a63f49abp-13, -0x1.450075fbcc69dp-13, -0x1.3ba4af309bfacp-13, -0x1.3291665cbc886p-13, -0x1.29c3f5188bee1p-13, -0x1.2139cd71e338bp-13, -0x1.18f0792a43cadp-13, -0x1.10e598f8a43eap-13, -0x1.0916e3d0ecd7bp-13, -0x1.0182263042579p-13, -0x1.f44a82db0a5c3p-14, -0x1.e5fc561ddc9edp-14, -0x1.d815d846e16bfp-14, -0x1.ca9341423cd5dp-14, -0x1.bd70ed8da2d97p-14, -0x1.b0ab5d0841cp-14, -0x1.a43f31c63a39ep-14, -0x1.98292eeed026cp-14, -0x1.8c6637a283483p-14, -0x1.80f34de78af14p-14, -0x1.75cd919ee1b39p-14, -0x1.6af23f81f088cp-14, -0x1.605eb02363e94p-14, -0x1.561056fba41bbp-14, -0x1.4c04c179882e8p-14, -0x1.4239961b30fe3p-14, -0x1.38ac938c534ep-14, -0x1.2f5b8fcbb773bp-14, -0x1.264477579c437p-14, -0x1.1d654c5e78db1p-14, -0x1.14bc25f84aa33p-14, -0x1.0c472f63b7a82p-14, -0x1.0404a7496f2fdp-14, -0x1.f7e5be0afc4bbp-15, -0x1.e82073ec104eep-15, -0x1.d8b6599eb96eep-15, -0x1.c9a479eacce24p-15, -0x1.bae7ffb31ee24p-15, -0x1.ac7e34bfaeb66p-15, -0x1.9e64808a79e42p-15, -0x1.9098671b36764p-15, -0x1.831787ea1260dp-15, -0x1.75df9ccacc7dp-15, -0x1.68ee78e462213p-15, -0x1.5c4207ad2bfe4p-15, -0x1.4fd84bf0e087ep-15, -0x1.43af5ede02e1dp-15, -0x1.37c56f1c6b6cdp-15, -0x1.2c18bfeb8824bp-15, -0x1.20a7a84804d45p-15, -0x1.15709216b7d91p-15, -0x1.0a71f959e7035p-15, -0x1.ff54d6d45d753p-16, -0x1.ea310c7147158p-16, -0x1.d575ef2da9396p-16, -0x1.c120f90a653a2p-16, -0x1.ad2fc10cf849ap-16, -0x1.999ff9f6bb0f1p-16, -0x1.866f710511d03p-16, -0x1.739c0cbcf0ec6p-16, -0x1.6123cbc3d8938p-16, -0x1.4f04c3bf5bd3fp-16, -0x1.3d3d204199962p-16, -0x1.2bcb21c05e6a7p-16, -0x1.1aad1c965a006p-16, -0x1.09e1780c8bfa6p-16, -0x1.f2cd5adb4f307p-17, -0x1.d2768e430421dp-17, -0x1.b2bbbfa6f4e6bp-17, -0x1.939a433e638e5p-17, -0x1.750f8a8a18954p-17, -0x1.571922d549a0dp-17, -0x1.39b4b3bcb17efp-17, -0x1.1cdffdcb0bcep-17, -0x1.0098d91f140bfp-17, -0x1.c9ba68467e871p-18, -0x1.9356249ef5aaep-18, -0x1.5e0115fbf894cp-18, -0x1.29b7908b2126dp-18, -0x1.ecec17a2e1f44p-19, -0x1.887241368b3a7p-19, -0x1.25fb0de2fc464p-19, -0x1.8b0050f576dfcp-20, -0x1.9bedcbab8879ep-21, -0x1.4ce058993355cp-24, 0x1.410b88147ad9ep-21, 0x1.520f90a457691p-20, 0x1.ffda258149b3ap-20, 0x1.54f7fca134d04p-19, 0x1.a82d9ca0adf7bp-19, 0x1.f992e76d8204cp-19, 0x1.2496590fd6edp-18, 0x1.4b7fda464840ep-18, 0x1.718845c9f7297p-18, 0x1.96b1dd92011bcp-18, 0x1.bafed8229eeabp-18, 0x1.de7161796223ep-18, 0x1.0085cdfc45a19p-17, 0x1.1167d09e3a758p-17, 0x1.21dfc17086743p-17, 0x1.31eea5a5edfbep-17, 0x1.41957f2d7d168p-17, 0x1.50d54d085ee16p-17, 0x1.5faf0b99c7b61p-17, 0x1.6e23b4ef8cd1bp-17, 0x1.7c34410babefbp-17, 0x1.89e1a62390654p-17, 0x1.972cd8dec0ea2p-17, 0x1.a416cc8da600fp-17, 0x1.b0a07361a30b7p-17, 0x1.bccabe9a8d08bp-17, 0x1.c8969eb59dc99p-17, 0x1.d40503950fe31p-17, 0x1.df16dca8dadacp-17, 0x1.e9cd191221c34p-17, 0x1.f428a7c3652e6p-17, 0x1.fe2a779c2178p-17, 0x1.03e9bbc177947p-16, 0x1.08924b3f8b0edp-16, 0x1.0d0f61e4cd633p-16, 0x1.116177718ba1bp-16, 0x1.158903d161a27p-16, 0x1.19867f231dcbfp-16, 0x1.1d5a61be22d09p-16, 0x1.21052437abe17p-16, 0x1.24873f663493dp-16, 0x1.27e12c6547d1ap-16, 0x1.2b1364979178fp-16, 0x1.2e1e61a9921d1p-16, 0x1.31029d908bc36p-16, 0x1.33c0928bc0628p-16, 0x1.3658bb241b69fp-16, 0x1.38cb922b21615p-16, 0x1.3b1992b7e43eep-16, 0x1.3d433825d85d4p-16, 0x1.3f48fe11b333cp-16, 0x1.412b60564cf07p-16, 0x1.42eadb08cbc4p-16, 0x1.4487ea7499226p-16, 0x1.46030b16cd624p-16, 0x1.475cb999936fbp-16, 0x1.489572cfb2aebp-16, 0x1.49adb3ad3b52ep-16, 0x1.4aa5f9431d3aep-16, 0x1.4b7ec0b8b742dp-16, 0x1.4c388745eec73p-16, 0x1.4cd3ca2cf3917p-16, 0x1.4d5106b28ba08p-16, 0x1.4db0ba185a3abp-16, 0x1.4df36195b5578p-16, 0x1.4e197a5139fd3p-16, 0x1.4e238158cba84p-16, 0x1.4e11f39b4bf7cp-16, 0x1.4de54de08bab1p-16, 0x1.4d9e0cc2ea874p-16, 0x1.4d3caca741203p-16, 0x1.4cc1a9b595d51p-16, 0x1.4c2d7fd19ea47p-16, 0x1.4b80aa93fc2fdp-16, 0x1.4abba5431aad3p-16, 0x1.49deeacaf1e4cp-16, 0x1.48eaf5b639003p-16, 0x1.47e040270e8f3p-16, 0x1.46bf43cf5d883p-16, 0x1.458879eaf1e98p-16, 0x1.443c5b37323b1p-16, 0x1.42db5fed4d67bp-16, 0x1.4165ffbab27a4p-16, 0x1.3fdcb1baa161p-16, 0x1.3e3fec6f72e9fp-16, 0x1.3c9025bb853bbp-16, 0x1.3acdd2db39674p-16, 0x1.38f9685e3b649p-16, 0x1.37135a220210dp-16, 0x1.351c1b4ba184ap-16, 0x1.33141e4123a3p-16, 0x1.30fbd4a472047p-16, 0x1.2ed3af4d44678p-16, 0x1.2c9c1e43f7dfbp-16, 0x1.2a5590bbe16ebp-16, 0x1.2800750e4efecp-16, 0x1.259d38b5840a1p-16, 0x1.232c4847996fcp-16, 0x1.20ae0f71fc87ap-16, 0x1.1e22f8f46bcap-16, 0x1.1b8b6e9cc46e8p-16, 0x1.18e7d94252aap-16, 0x1.1638a0c20881bp-16, 0x1.137e2bfabf6d8p-16, 0x1.10b8e0c8c7ff1p-16, 0x1.0de924027da8ep-16, 0x1.0b0f59752e1ccp-16, 0x1.082be3e0a9aa9p-16, 0x1.053f24f54ad95p-16, 0x1.02497d5001fe7p-16, 0x1.fe9698f04c259p-17, 0x1.f889e1b891384p-17, 0x1.f26d8f9f5a509p-17, 0x1.ec425b0fb401ap-17, 0x1.e608fa3496ea5p-17, 0x1.dfc220f4eb5f5p-17, 0x1.d96e80eee477cp-17, 0x1.d30ec97400d5ap-17, 0x1.cca3a787d7ae9p-17, 0x1.c62dc5da1fbbfp-17, 0x1.bfadccc5767ffp-17, 0x1.b924624d02fcfp-17, 0x1.b2922a1910b1ep-17, 0x1.abf7c5758d5f9p-17, 0x1.a555d3509f4e1p-17, 0x1.9eacf03952a11p-17, 0x1.97fdb65da2619p-17, 0x1.9148bd8970c2dp-17, 0x1.8a8e9b2708d64p-17, 0x1.83cfe23cbfd24p-17, 0x1.7d0d236e16bdep-17, 0x1.7646ecfb1d5aep-17, 0x1.6f7dcac094bc5p-17, 0x1.68b2463879a03p-17, 0x1.61e4e67b51576p-17, 0x1.5b16303fa0dcep-17, 0x1.5446a5dc14ccp-17, 0x1.4d76c748a93e6p-17, 0x1.46a7121f70ad4p-17, 0x1.3fd8019edfa5p-17, 0x1.390a0eabb2704p-17, 0x1.323dafd36a5edp-17, 0x1.2b73594ce7415p-17, 0x1.24ab7cfbd20bcp-17, 0x1.1de68a73d6c2p-17, 0x1.1724eef9f013fp-17, 0x1.10671587b2015p-17, 0x1.09ad66cf23061p-17, 0x1.02f8493cf0064p-17, 0x1.f89041f89c89p-18, 0x1.eb3a9ff4d61f9p-18, 0x1.ddf06bd3890efp-18, 0x1.d0b2608b40678p-18, 0x1.c38134ae31c72p-18, 0x1.b65d9a6ec1ba7p-18, 0x1.a9483faa6b895p-18, 0x1.9c41cdf0b1947p-18, 0x1.8f4aea8da5b9ep-18, 0x1.82643690c5859p-18, 0x1.758e4ed5ed55fp-18, 0x1.68c9cc114390ap-18, 0x1.5c1742d51d3bbp-18, 0x1.4f77439d37a5cp-18, 0x1.42ea5ad8bd5c3p-18, 0x1.367110f3f00cep-18, 0x1.2a0bea60fa3b8p-18, 0x1.1dbb67a4c10c3p-18, 0x1.1180055f4264p-18, 0x1.055a3c55ece26p-18, 0x1.f29502fe1e4a6p-19, 0x1.daa28c19e533ep-19, 0x1.c2ddeeee47534p-19, 0x1.ab47ff0c7b99p-19, 0x1.93e188bee0d99p-19, 0x1.7cab511e08401p-19, 0x1.65a616266f93dp-19, 0x1.4ed28ece04b93p-19, 0x1.38316b1d72cf3p-19, 0x1.21c35446ac8e6p-19, 0x1.0b88ecb72f61cp-19, 0x1.eb05a069bb2f6p-20, 0x1.bf6327e28aed4p-20, 0x1.942b8d4244ac1p-20, 0x1.695fe129c3663p-20, 0x1.3f01279f2f431p-20, 0x1.151058369e18ep-20, 0x1.d71cbc8ff6a2p-21, 0x1.84f83234a26c6p-21, 0x1.33b4b82462eebp-21, 0x1.c6a7bb7240091p-22, 0x1.27ae3695e5964p-22, 0x1.14ff4a02bb751p-23, -0x1.0e162a520947cp-26, -0x1.54e4eb3493f44p-23, -0x1.4231544dd0f9p-22, -0x1.d81be9ac5068dp-22, -0x1.3618252e8b3edp-21, -0x1.7f365a0dde9a8p-21, -0x1.c767c67203195p-21, -0x1.0755d89679e93p-20, -0x1.2a80ba44610cdp-20, -0x1.4d343ef3a698ap-20, -0x1.6f7026b0b650bp-20, -0x1.91343ac1f590fp-20, -0x1.b2804d710a62p-20, -0x1.d35439e0bfa87p-20, -0x1.f3afe3e246c3cp-20, -0x1.09c99be5481e7p-19, -0x1.197f15235ca0ep-19, -0x1.28f85c16fca16p-19, -0x1.3835732c104fbp-19, -0x1.473660baaeccep-19, -0x1.55fb2ef10a8c9p-19, -0x1.6483ebbe15062p-19, -0x1.72d0a8bde6586p-19, -0x1.80e17b2380291p-19, -0x1.8eb67ba4b830fp-19, -0x1.9c4fc665b6fb3p-19, -0x1.a9ad7ae5fce8bp-19, -0x1.b6cfbbed5fb4ap-19, -0x1.c3b6af74442edp-19, -0x1.d0627e936c53bp-19, -0x1.dcd3557072896p-19, -0x1.e90963288ec07p-19, -0x1.f504d9be9639cp-19, -0x1.0062f70434bap-18, -0x1.06266bce6ab22p-18, -0x1.0bcce8605f426p-18, }}, 
      {{-0x1.678e16b77f3fbp-1, -0x1.67a4771cd3b9ep-1, -0x1.67c84b1be1f73p-1, -0x1.67f7763257767p-1, -0x1.682f2a6f58d1bp-1, -0x1.686c06042c0b9p-1, -0x1.68aa31e6f2eb2p-1, -0x1.68e57fd3e895ep-1, -0x1.691986907dcfcp-1, -0x1.6941bbc28e84bp-1, -0x1.69598afe36d69p-1, -0x1.695c69e5dced2p-1, -0x1.6945e95f981c5p-1, -0x1.6911c3fda3724p-1, -0x1.68bbe9c859aaap-1, -0x1.684089a2059bfp-1, -0x1.679c18817d262p-1, -0x1.66cb56c19bda6p-1, -0x1.65cb53c253d6dp-1, -0x1.649970151da9fp-1, -0x1.63335e6a8aedep-1, -0x1.619723724875cp-1, -0x1.5fc314da16e9p-1, -0x1.5db5d79384fe2p-1, -0x1.5b6e5d83a2026p-1, -0x1.58ebe2bb866dfp-1, -0x1.562dea54895e6p-1, -0x1.53343b07513f4p-1, -0x1.4ffedb919056ep-1, -0x1.4c8e0efb4d316p-1, -0x1.48e250c9eb714p-1, -0x1.44fc512cd7963p-1, -0x1.40dcf12daee91p-1, -0x1.3c853eebf9ee2p-1, -0x1.37f671eb00d71p-1, -0x1.3331e776fb1adp-1, -0x1.2e391f25b15e5p-1, -0x1.290db775bcaf7p-1, -0x1.23b16a8eb8c3p-1, -0x1.1e260b2414ec4p-1, -0x1.186d817b9aa35p-1, -0x1.1289c8984acb4p-1, -0x1.0c7ceb89caac3p-1, -0x1.064902e04a6b5p-1, -0x1.ffe0648915afep-2, -0x1.f2e94c66e4993p-2, -0x1.e5b123b8e9ae7p-2, -0x1.d83c5a43e5c3p-2, -0x1.ca8f65752d786p-2, -0x1.bcaebce55024bp-2, -0x1.ae9ed7186f3adp-2, -0x1.a064267a0c373p-2, -0x1.92031691ed41dp-2, -0x1.8380096fcabecp-2, -0x1.74df554b66de5p-2, -0x1.66254256b7b9ap-2, -0x1.575608bfd4e17p-2, -0x1.4875cee060511p-2, -0x1.3988a7982bf11p-2, -0x1.2a9290d0f1126p-2, -0x1.1b977228efbaap-2, -0x1.0c9b1bc26982p-2, -0x1.fb428a6beadfep-3, -0x1.dd5b194b6c4bdp-3, -0x1.bf86ebdf296afp-3, -0x1.a1ccd3f960496p-3, -0x1.84336c5884b07p-3, -0x1.66c117b095e11p-3, -0x1.497bffe4d4531p-3, -0x1.2c6a156eb1c06p-3, -0x1.0f910eef14377p-3, -0x1.e5ecd1ce26054p-4, -0x1.ad3ecb2af5cb5p-4, -0x1.752219ed1aee3p-4, -0x1.3da059c6f4578p-4, -0x1.06c2b29e9c3e8p-4, -0x1.a123b27c4e063p-5, -0x1.362c206c303bap-5, -0x1.995ca3b829288p-6, -0x1.92e426fe1252dp-7, 0x1.a5d20de0bd751p-13, 0x1.9984d6f73c4bdp-7, 0x1.92d9d88893553p-6, 0x1.2abd93d253cb5p-5, 0x1.8a489a1c01648p-5, 0x1.e804386f5c72cp-5, 0x1.21f3b7d09968bp-4, 0x1.4ef501ea49651p-4, 0x1.7b023c10c421p-4, 0x1.a618050fa4f1ep-4, 0x1.d03356aaeb3e4p-4, 0x1.f951834d6893cp-4, 0x1.10b819d73ce78p-3, 0x1.2446b23865872p-3, 0x1.3753b1ddcca2bp-3, 0x1.49de6767f838ep-3, 0x1.5be647cd9973cp-3, 0x1.6d6aed241879ap-3, 0x1.7e6c156800932p-3, 0x1.8ee9a145d179p-3, 0x1.9ee392e3ba9bbp-3, 0x1.ae5a0cacbb8a5p-3, 0x1.bd4d501d94c85p-3, 0x1.cbbdbc93effc3p-3, 0x1.d9abce2028242p-3, 0x1.e7181c59fbb3p-3, 0x1.f4035938824ep-3, 0x1.003727f6db8c5p-2, 0x1.062cf1e2e549p-2, 0x1.0be387854607cp-2, 0x1.115b70f58e7c5p-2, 0x1.169540b40dc02p-2, 0x1.1b91932240562p-2, 0x1.20510dfda83a6p-2, 0x1.24d45fdd238a7p-2, 0x1.291c3fb0d3ce3p-2, 0x1.2d296c449fffbp-2, 0x1.30fcabc5651b8p-2, 0x1.3496cb48d84e6p-2, 0x1.37f89e582d38cp-2, 0x1.3b22fe7d81295p-2, 0x1.3e16cad4148b1p-2, 0x1.40d4e79b583e6p-2, 0x1.435e3dccd1105p-2, 0x1.45b3bab4d697p-2, 0x1.47d64f8e297ddp-2, 0x1.49c6f12068bb8p-2, 0x1.4b8697615f193p-2, 0x1.4d163d1929ebfp-2, 0x1.4e76df89357b8p-2, 0x1.4fa97e160c72cp-2, 0x1.50af19f3f4a34p-2, 0x1.5188b5d657c86p-2, 0x1.523755a1e9577p-2, 0x1.52bbfe2191b76p-2, 0x1.5317b4be06af9p-2, 0x1.534b7f3818f85p-2, 0x1.53586365a393bp-2, 0x1.533f66f11968fp-2, 0x1.53018f1ba9391p-2, 0x1.529fe081e7a51p-2, 0x1.521b5ee2fed7cp-2, 0x1.51750cea51c8p-2, 0x1.50adebfb8c0c8p-2, 0x1.4fc6fc0111ef2p-2, 0x1.4ec13b3cc7131p-2, 0x1.4d9da61b1eed3p-2, 0x1.4c5d37086d611p-2, 0x1.4b00e648665cp-2, 0x1.4989a9cfca3afp-2, 0x1.47f87520273b4p-2, 0x1.464e3925ad537p-2, 0x1.448be41703bcbp-2, 0x1.42b26157128b5p-2, 0x1.40c29958b86b3p-2, 0x1.3ebd71845c3afp-2, 0x1.3ca3cc1f4d53bp-2, 0x1.3a768834ed36p-2, 0x1.38368181898b6p-2, 0x1.35e4905ee83dbp-2, 0x1.338189b26de51p-2, 0x1.310e3edcd8d4fp-2, 0x1.2e8b7dab80f22p-2, 0x1.2bfa104b11542p-2, 0x1.295abd3bb3c67p-2, 0x1.26ae4746974b3p-2, 0x1.23f56d74d3d2dp-2, 0x1.2130eb079215bp-2, 0x1.1e6177717720dp-2, 0x1.1b87c6513fc9cp-2, 0x1.18a4876d85e1ep-2, 0x1.15b866b1a0357p-2, 0x1.12c40c2b980e9p-2, 0x1.0fc81c0b20018p-2, 0x1.0cc536a18ce31p-2, 0x1.09bbf862bbcd6p-2, 0x1.06acf9e6e28ecp-2, 0x1.0398cfed3b8f3p-2, 0x1.00800b5f8774bp-2, 0x1.fac672acab239p-3, 0x1.f485c63c1f353p-3, 0x1.ee3f1c797275dp-3, 0x1.e7f378f0c0117p-3, 0x1.e1a3d7bc5f067p-3, 0x1.db512d943fc2p-3, 0x1.d4fc67de74ce9p-3, 0x1.cea66cc0d0956p-3, 0x1.c8501b33894p-3, 0x1.c1fa4b14d668cp-3, 0x1.bba5cd3d6ff93p-3, 0x1.b5536b95ed55fp-3, 0x1.af03e92ce8b1p-3, 0x1.a8b8024de13c6p-3, 0x1.a2706c98caa5ap-3, 0x1.9c2dd71a3d888p-3, 0x1.95f0ea643f2d1p-3, 0x1.8fba48a789b22p-3, 0x1.898a8dcd55851p-3, 0x1.83624f919613cp-3, 0x1.7d421d9d9037dp-3, 0x1.772a81a2d4e75p-3, 0x1.711bff7684e86p-3, 0x1.6b17152cdca4bp-3, 0x1.651c3b34fbcdfp-3, 0x1.5f2be474dba06p-3, 0x1.59467e656d9bcp-3, 0x1.536c712ee1d19p-3, 0x1.4d9e1fc4fd081p-3, 0x1.47dbe8037f945p-3, 0x1.422622ca99655p-3, 0x1.3c7d241b58c8ap-3, 0x1.36e13b34184d4p-3, 0x1.3152b2acd94d2p-3, 0x1.2bd1d09390633p-3, 0x1.265ed688577e8p-3, 0x1.20fa01d97cc5fp-3, 0x1.1ba38b9f71d14p-3, 0x1.165ba8d88e067p-3, 0x1.11228a84a095bp-3, 0x1.0bf85dc04f713p-3, 0x1.06dd4be0425f5p-3, 0x1.01d17a8c07ae1p-3, 0x1.f9aa17b18bc57p-4, 0x1.efd03cc73574p-4, 0x1.e6159ad7792b9p-4, 0x1.dc7a61d89d063p-4, 0x1.d2febb6bc8695p-4, 0x1.c9a2cb0f6f68bp-4, 0x1.c066ae5111c26p-4, 0x1.b74a7cfe58011p-4, 0x1.ae4e49556d593p-4, 0x1.a5722034c23a3p-4, 0x1.9cb60949f67e8p-4, 0x1.941a074025cd3p-4, 0x1.8b9e17ed5bc77p-4, 0x1.8342347f5a0b6p-4, 0x1.7b0651a79144bp-4, 0x1.72ea5fc656c9fp-4, 0x1.6aee4b1552e82p-4, 0x1.6311fbd125c04p-4, 0x1.5b5556623fb88p-4, 0x1.53b83b84f3238p-4, 0x1.4c3a8870b5f64p-4, 0x1.44dc16fe968bfp-4, 0x1.3d9cbdcee5928p-4, 0x1.367c506e119c7p-4, 0x1.2f7a9f78b4842p-4, 0x1.289778bed6261p-4, 0x1.21d2a7666146ap-4, 0x1.1b2bf40ccc391p-4, 0x1.14a324e7f7be8p-4, 0x1.0e37fde643c24p-4, 0x1.07ea40cddbb67p-4, 0x1.01b9ad5b38a0cp-4, 0x1.f74c02bdc50adp-5, 0x1.eb5df1b4ce503p-5, 0x1.dfa89c3921bep-5, 0x1.d42b73b9b9e09p-5, 0x1.c8e5e6ac64b6bp-5, 0x1.bdd760c1af4b8p-5, 0x1.b2ff4b1767f82p-5, 0x1.a85d0c69a33f5p-5, 0x1.9df0094257513p-5, 0x1.93b7a4278c74dp-5, 0x1.89b33dc830c42p-5, 0x1.7fe235278127fp-5, 0x1.7643e7c71e185p-5, 0x1.6cd7b1cfcc7b1p-5, 0x1.639cee38e1eccp-5, 0x1.5a92f6ee69d32p-5, 0x1.51b924f601cfbp-5, 0x1.490ed0927989ap-5, 0x1.409351663791cp-5, 0x1.3845fe94646dcp-5, 0x1.30262ee0ecaeap-5, 0x1.283338cf5417cp-5, 0x1.206c72c06c20dp-5, 0x1.18d1330edf678p-5, 0x1.1160d02ab15f7p-5, 0x1.0a1aa0b3a37b5p-5, 0x1.02fdfb928eee5p-5, 0x1.f81470236f352p-6, 0x1.ea7d5be8348f8p-6, 0x1.dd356b17859a8p-6, 0x1.d03b4f9e518ep-6, 0x1.c38dbcdb31a17p-6, 0x1.b72b67c5721c9p-6, 0x1.ab13071244a3cp-6, 0x1.9f435358389a3p-6, 0x1.93bb0730f6146p-6, 0x1.8878df5954b16p-6, 0x1.7d7b9acfd6171p-6, 0x1.72c1faf17dbd1p-6, 0x1.684ac39530f2bp-6, 0x1.5e14bb257e0d3p-6, 0x1.541eaab90ac7ap-6, 0x1.4a675e2988c11p-6, 0x1.40eda4293e2cdp-6, 0x1.37b04e5748b39p-6, 0x1.2eae315290acp-6, 0x1.25e624cb702f9p-6, 0x1.1d57039428c8cp-6, 0x1.14ffabb022cd7p-6, 0x1.0cdefe6207fe1p-6, 0x1.04f3e038c3f66p-6, 0x1.fa7a7236c566ep-7, 0x1.eb73e8a7fb775p-7, 0x1.dcd201330d4ffp-7, 0x1.ce92a03152e9ep-7, 0x1.c0b3b0f773e45p-7, 0x1.b33325e366b1bp-7, 0x1.a60ef868bfb44p-7, 0x1.9945291b2d1b5p-7, 0x1.8cd3bfb76e512p-7, 0x1.80b8cb2a9f90ap-7, 0x1.74f261980ae68p-7, 0x1.697ea05d78fbp-7, 0x1.5e5bac1637205p-7, 0x1.5387b09c98f1ap-7, 0x1.4900e10a42ea5p-7, 0x1.3ec577b73126ep-7, 0x1.34d3b6378b0f4p-7, 0x1.2b29e558673d3p-7, 0x1.21c6551b4afc8p-7, 0x1.18a75cb0c4ac8p-7, 0x1.0fcb5a71eda3cp-7, 0x1.0730b3d8fab69p-7, 0x1.fdabaaf1e3c9ap-8, 0x1.ed7265e8e4a64p-8, 0x1.ddb28de75f8bep-8, 0x1.ce692633388c1p-8, 0x1.bf933ff0a1123p-8, 0x1.b12dfa09ab7c8p-8, 0x1.a33681143fcfbp-8, 0x1.95aa0f371828p-8, 0x1.8885ec0d5d09ep-8, 0x1.7bc76c890b83cp-8, 0x1.6f6bf2d483231p-8, 0x1.6370ee32f1b62p-8, 0x1.57d3dadfd0152p-8, 0x1.4c9241ed8ee87p-8, 0x1.41a9b92381c78p-8, 0x1.3717e2dad0ac4p-8, 0x1.2cda6ddadd3a8p-8, 0x1.22ef15350d7eep-8, 0x1.1953a01fdfb9p-8, 0x1.1005e1d1836c5p-8, 0x1.0703b95a1a56cp-8, 0x1.fc9622fa2801bp-9, 0x1.ebb3c1155ce99p-9, 0x1.db5c5071646cp-9, 0x1.cb8beaf62e46fp-9, 0x1.bc3ec0b880b95p-9, 0x1.ad7117aa40739p-9, 0x1.9f1f4b4a1ae75p-9, 0x1.9145cc52d053cp-9, 0x1.83e1206a67dd6p-9, 0x1.76ede1d113253p-9, 0x1.6a68bf10115p-9, 0x1.5e4e7aa85ff34p-9, 0x1.529beac1a20d2p-9, 0x1.474df8d8cfd11p-9, 0x1.3c61a16efe196p-9, 0x1.31d3f3b8b295ap-9, 0x1.27a2114cf34adp-9, 0x1.1dc92dd4e510ep-9, 0x1.14468ebbb7c04p-9, 0x1.0b178adeb1559p-9, 0x1.02398a3dc7829p-9, 0x1.f3540b595a6d2p-10, 0x1.e2cd0d085ccedp-10, 0x1.d2d94ca83b4f7p-10, 0x1.c3741d2ba5f66p-10, 0x1.b498f0beab9b6p-10, 0x1.a643582da5d47p-10, 0x1.986f024dee007p-10, 0x1.8b17bb677380cp-10, 0x1.7e396c9fc21d2p-10, 0x1.71d01b6708b19p-10, 0x1.65d7e8e557068p-10, 0x1.5a4d116a73f19p-10, 0x1.4f2bebdec50dcp-10, 0x1.4470e935ac40cp-10, 0x1.3a1893e196b86p-10, 0x1.301f8f4982d4ep-10, 0x1.268297406014ap-10, 0x1.1d3e7f7dedcd7p-10, 0x1.145033198eed1p-10, 0x1.0bb4b4064c972p-10, 0x1.03691a91321b8p-10, 0x1.f6d529c1d3d4bp-11, 0x1.e76cccee7b516p-11, 0x1.d893cf68dcb6bp-11, 0x1.ca450ab89875p-11, 0x1.bc7b803a31f99p-11, 0x1.af325830339b4p-11, 0x1.a264e0d89092bp-11, 0x1.960e8d84d50b9p-11, 0x1.8a2af5b667abp-11, 0x1.7eb5d43e182fcp-11, 0x1.73ab065ff7d31p-11, 0x1.69068af9bb149p-11, 0x1.5ec481ade81b5p-11, 0x1.54e12a11e199bp-11, 0x1.4b58e2dfe44c9p-11, 0x1.4228292c3f1d5p-11, 0x1.394b979e4473cp-11, 0x1.30bfe5accb82bp-11, 0x1.2881e6deb78d8p-11, 0x1.208e8a0df48e7p-11, 0x1.18e2d8aee913ap-11, 0x1.117bf61ada75cp-11, 0x1.0a571ede60f13p-11, 0x1.0371a80a2d17ap-11, 0x1.f991fd11a1921p-12, 0x1.ecb54cebbf25p-12, 0x1.e04874f403d41p-12, 0x1.d446d65430889p-12, 0x1.c8abfcd1f6cd3p-12, 0x1.bd739d99987fep-12, 0x1.b299961099c53p-12, 0x1.a819eaab8b9dp-12, 0x1.9df0c5cca9ec4p-12, 0x1.941a76a8faf5p-12, 0x1.8a9370307bbb4p-12, 0x1.815847ffb06efp-12, 0x1.7865b555d62f2p-12, 0x1.6fb89011293ecp-12, 0x1.674dcfb0628acp-12, 0x1.5f228a5bccf0cp-12, 0x1.5733f3f19c241p-12, 0x1.4f7f5d190901bp-12, 0x1.4802325c5a826p-12, 0x1.40b9fb4534fdap-12, 0x1.39a4598131449p-12, 0x1.32bf080a11ad8p-12, 0x1.2c07da541d955p-12, 0x1.257cbb812b487p-12, 0x1.1f1bad98aa4c2p-12, 0x1.18e2c8c518c34p-12, 0x1.12d03a95044ccp-12, 0x1.0ce245428febp-12, 0x1.07173efef4a1ap-12, 0x1.016d914270158p-12, 0x1.f7c770414a77p-13, 0x1.ecf083447801ap-13, 0x1.e2539a448d0aap-13, 0x1.d7ee155f9df9ep-13, 0x1.cdbd74e9d7641p-13, 0x1.c3bf583fd16a5p-13, 0x1.b9f17ca385138p-13, 0x1.b051bc213f2e2p-13, 0x1.a6de0c7c953cbp-13, 0x1.9d947e244c66cp-13, 0x1.94733b2d5591p-13, 0x1.8b78865785bf3p-13, 0x1.82a2ba163e5edp-13, 0x1.79f047a18ae58p-13, 0x1.715fb61247ff8p-13, 0x1.68efa17c6372bp-13, 0x1.609eba171778fp-13, 0x1.586bc368dd427p-13, 0x1.5055937a6635ap-13, 0x1.485b120f2a9ffp-13, 0x1.407b37e47e55ep-13, 0x1.38b50df778b93p-13, 0x1.3107acce4a0b2p-13, 0x1.29723bc8ab4d8p-13, 0x1.21f3f07851fap-13, 0x1.1a8c0df9b2fd3p-13, 0x1.1339e4561d1b2p-13, 0x1.0bfccfe8f0766p-13, 0x1.04d438cc06438p-13, 0x1.fb7f248c1c5f1p-14, 0x1.ed7cb47fc2ccbp-14, 0x1.dfa0317f0a527p-14, 0x1.d1e8bec9208fap-14, 0x1.c45591d530dc8p-14, 0x1.b6e5f161b3d7bp-14, 0x1.a999348ac2fc3p-14, 0x1.9c6ec1e7c99afp-14, 0x1.8f660eb2f89aep-14, 0x1.827e9df7c00f8p-14, 0x1.75b7ffc8c8f71p-14, 0x1.6911d07c742fap-14, 0x1.5c8bb7f29998p-14, 0x1.502568e36f96p-14, 0x1.43dea02debdd3p-14, 0x1.37b724321177bp-14, 0x1.2baec43308773p-14, 0x1.1fc557bb1a3bdp-14, 0x1.13fabe096131ep-14, 0x1.084edd839e26cp-14, 0x1.f983465e5a1p-15, 0x1.e2a6045cd3f9p-15, 0x1.cc05e685589c4p-15, 0x1.b5a2e8ab18ae6p-15, 0x1.9f7d101188e51p-15, 0x1.89946a8be63bap-15, 0x1.73e90dad87558p-15, 0x1.5e7b160494683p-15, 0x1.494aa657bcc18p-15, 0x1.3457e6f4e44cp-15, 0x1.1fa304fed0e95p-15, 0x1.0b2c31cdfd27ep-15, 0x1.ede744a38db06p-16, 0x1.c5f31cf076b1fp-16, 0x1.9e7c614440767p-16, 0x1.77838a3dad554p-16, 0x1.51091356b84e7p-16, 0x1.2b0d79f0fe665p-16, 0x1.05913c7593facp-16, 0x1.c129b2f977699p-17, 0x1.78319e02d1622p-17, 0x1.303b33428f736p-17, 0x1.d28ecf987eebap-18, 0x1.46ae56a3e9e9dp-18, 0x1.79ad9b3e4cdb2p-19, 0x1.a84fb69e1d50dp-21, -0x1.42d9f5714d4ccp-20, -0x1.a8d1e4a7e1f04p-19, -0x1.560be147f6446p-18, -0x1.d59ddad4fbe72p-18, -0x1.298ec45b8b308p-17, -0x1.6744d790fa6p-17, -0x1.a3f0971c2c906p-17, -0x1.df9181a6adbc9p-17, -0x1.0d13927ec4263p-16, -0x1.29d88f4397b91p-16, -0x1.46178de39dc82p-16, -0x1.61d06d6215858p-16, -0x1.7d03153399581p-16, -0x1.97af75603fd74p-16, -0x1.b1d586ac9ddd1p-16, -0x1.cb754ab52285bp-16, -0x1.e48ecc07d087ap-16, -0x1.fd221e322801bp-16, -0x1.0a97aeea9bbcp-15, -0x1.165b5858fdbd5p-15, -0x1.21dc22d73a5d1p-15, -0x1.2d1a2a6a8746p-15, -0x1.38158faa2495bp-15, -0x1.42ce77bda54f2p-15, -0x1.4d450c598040cp-15, -0x1.57797bb6e6588p-15, -0x1.616bf88e5220fp-15, -0x1.6b1cba0f3ebcdp-15, -0x1.748bfbd4e9343p-15, -0x1.7db9fddbcf438p-15, -0x1.86a70471fba03p-15, -0x1.8f53582dfc8fdp-15, -0x1.97bf45ddfdeep-15, -0x1.9feb1e78c48a3p-15, -0x1.a7d7370b9afa1p-15, -0x1.af83e8a8f79c1p-15, -0x1.b6f1905801faap-15, -0x1.be208effcbddep-15, -0x1.c5114953d406fp-15, -0x1.cbc427bf42239p-15, -0x1.d239965155004p-15, -0x1.d87204a7552dcp-15, -0x1.de6de5d6932eep-15, -0x1.e42db053e7938p-15, -0x1.e9b1dde04f48dp-15, -0x1.eefaeb702ca7cp-15, -0x1.f40959144b97fp-15, -0x1.f8dda9e18abe2p-15, -0x1.fd7863d8d27c6p-15, -0x1.00ed07e82fab6p-14, -0x1.03019cad41e9dp-14, -0x1.04fa37569392ep-14, -0x1.06d720445e8bcp-14, -0x1.0898a110a5734p-14, -0x1.0a3f04829b6a3p-14, -0x1.0bca96828dec5p-14, -0x1.0d3ba40d25811p-14, -0x1.0e927b27610e3p-14, -0x1.0fcf6ad2b1969p-14, -0x1.10f2c300eba3fp-14, -0x1.11fcd487876dfp-14, -0x1.12edf113e7a6ep-14, -0x1.13c66b1fcddc8p-14, -0x1.148695e52d41ep-14, -0x1.152ec552fb1dfp-14, -0x1.15bf4e00723p-14, -0x1.163885222aa2cp-14, -0x1.169ac07eebeb8p-14, -0x1.16e656641e491p-14, -0x1.171b9d9b1b756p-14, -0x1.173aed5da10aap-14, -0x1.17449d4b24fdap-14, -0x1.1739055e5b73bp-14, -0x1.17187de2b16dap-14, -0x1.16e35f6953f95p-14, -0x1.169a02bf7a359p-14, -0x1.163cc0e431693p-14, -0x1.15cbf2ff053dep-14, -0x1.1547f255b7aa9p-14, -0x1.14b11842d1666p-14, -0x1.1407be2bede78p-14, -0x1.134c3d796c9b5p-14, -0x1.127eef8cd508cp-14, -0x1.11a02db8611f5p-14, -0x1.10b0513683bdfp-14, -0x1.0fafb320e2b64p-14, -0x1.0e9eac68bce25p-14, -0x1.0d7d95cebf648p-14, -0x1.0c4cc7dadd6cbp-14, -0x1.0b0c9ad4d5a65p-14, -0x1.09bd66bcb5abp-14, -0x1.085f8343f3b31p-14, -0x1.06f347c61d71fp-14, -0x1.05790b41c93e7p-14, -0x1.03f1245225934p-14, -0x1.025be92829cep-14, -0x1.00b9af8474f36p-14, -0x1.fe159962c5b51p-15, -0x1.fa9f2af9f8d44p-15, -0x1.f710bc6654fabp-15, -0x1.f36af5305682cp-15, -0x1.efae7bc6659e6p-15, -0x1.ebdbf5727ddd2p-15, -0x1.e7f406504c976p-15, -0x1.e3f75142864e7p-15, -0x1.dfe677eaa8784p-15, -0x1.dbc21aa0996c3p-15, -0x1.d78ad86822839p-15, -0x1.d3414eea86448p-15, -0x1.cee61a6d6833fp-15, -0x1.ca79d5cbadc69p-15, -0x1.c5fd1a6d7693ap-15, -0x1.c1708042b2a9bp-15, -0x1.bcd49dbb9c758p-15, -0x1.b82a07c1d6969p-15, -0x1.b37151b4151acp-15, -0x1.aeab0d5e562e8p-15, -0x1.a9d7caf61c2e2p-15, -0x1.a4f8191523afbp-15, -0x1.a00c84b3ba128p-15, -0x1.9b1599247a2f6p-15, -0x1.9613e011bd57ap-15, -0x1.9107e1772a4b7p-15, -0x1.8bf2239f9530bp-15, -0x1.86d32b213d3f1p-15, -0x1.81ab7adb28d93p-15, -0x1.7c7b93f0edc49p-15, -0x1.7743f5c91ceb2p-15, -0x1.72051e0b9540bp-15, -0x1.6cbf889d68cd9p-15, -0x1.6773afa0eabb9p-15, -0x1.62220b72f1225p-15, -0x1.5ccb12a901bc4p-15, -0x1.576f3a114c22dp-15, -0x1.520ef4b16d1d3p-15, -0x1.4caab3c455134p-15, -0x1.4742e6bb1d585p-15, -0x1.41d7fb3c95989p-15, -0x1.3c6a5d24560eep-15, -0x1.36fa76829b7d5p-15, -0x1.3188af9db1446p-15, -0x1.2c156ef1be95ap-15, -0x1.26a119301c659p-15, -0x1.212c1141f1c13p-15, -0x1.1bb6b8484ed39p-15, -0x1.16416d9c9ac91p-15, -0x1.10cc8ed2adb81p-15, -0x1.0b5877ba480d1p-15, -0x1.05e5825f0d228p-15, -0x1.0074070b92856p-15, -0x1.f608b89706783p-16, -0x1.eb2dadd81b535p-16, -0x1.e05793fdc30d5p-16, -0x1.d5870db8fc104p-16, -0x1.cabcba4c7b76ap-16, -0x1.bff935900c4b4p-16, -0x1.b53d17f7e279fp-16, -0x1.aa88f69951c61p-16, -0x1.9fdd632fa5e73p-16, -0x1.953aec2124709p-16, -0x1.8aa21c878a132p-16, -0x1.80137c331e342p-16, -0x1.758f8fb23906ep-16, -0x1.6b16d8593e61bp-16, -0x1.60a9d44602096p-16, -0x1.5648fe6842c97p-16, -0x1.4bf4ce88aa86dp-16, -0x1.41adb95014379p-16, -0x1.3774304d176bbp-16, -0x1.2d48a1fd4bb7dp-16, -0x1.232b79d32b6e1p-16, -0x1.191d203f7df23p-16, -0x1.0f1dfab528d33p-16, -0x1.052e6bb574c8bp-16, -0x1.f69da5ac1d60dp-17, -0x1.e2ff198e633afp-17, -0x1.cf81e6bd9cfa3p-17, -0x1.bc26bb3caca03p-17, -0x1.a8ee3f764960dp-17, -0x1.95d9164ff9c2p-17, -0x1.82e7dd38bdceep-17, -0x1.701b2c3a4793ap-17, -0x1.5d7396084c7d4p-17, -0x1.4af1a814a022fp-17, -0x1.3895ea9d20d15p-17, -0x1.2660e0bd9daf1p-17, -0x1.1453088285334p-17, -0x1.026cdaf96eac8p-17, -0x1.e15d987f5f1d9p-18, -0x1.be3297315b3c5p-18, -0x1.9b5986f0bd132p-18, -0x1.78d3333a84ccep-18, -0x1.56a05e34a37a5p-18, -0x1.34c1c0d7c0b45p-18, -0x1.13380b146ce07p-18, -0x1.e407c7d53f638p-19, -0x1.a24bd333b933fp-19, -0x1.613d637a0ccdap-19, -0x1.20dd92da08c9ap-19, -0x1.c25ad597d6053p-20, -0x1.445bc89e14739p-20, -0x1.8f7fa0d775016p-21, -0x1.32227af306a11p-22, 0x1.6a41d020cbd41p-23, 0x1.4b628c6978d44p-21, 0x1.1cb1306084986p-20, 0x1.9246c0e26b048p-20, 0x1.03386ea3472bap-19, 0x1.3c9743df9dff7p-19, 0x1.753f6f524c495p-19, 0x1.ad308df6a94dp-19, 0x1.e46a4a5ccfac3p-19, 0x1.0d762e2b43934p-18, 0x1.285b4464b55a8p-18, 0x1.42e450b54ba5cp-18, 0x1.5d11423712849p-18, 0x1.76e20e2b39c34p-18, 0x1.9056afd9d28a7p-18, 0x1.a96f286fc751dp-18, 0x1.c22b7edc2e17dp-18, 0x1.da8bbfb75659p-18, 0x1.f28ffd25aad97p-18, 0x1.051c2759f802fp-17, 0x1.10c2689b81a72p-17, 0x1.1c3ad358cb13cp-17, 0x1.27857b1bdbef6p-17, 0x1.32a275e8a27adp-17, 0x1.3d91dc2b7e8dbp-17, 0x1.4853c8ad08208p-17, 0x1.52e858849e67ap-17, 0x1.5d4fab074ab99p-17, }}, 
      {{-0x1.6789058608797p-1, -0x1.67908e1297646p-1, -0x1.679cd0a0dc996p-1, -0x1.67ad5f0250c8bp-1, -0x1.67c1a4dc7971bp-1, -0x1.67d8ec54da191p-1, -0x1.67f2630ee2839p-1, -0x1.680d1f3953d74p-1, -0x1.6828247c20a48p-1, -0x1.684268a6c60e8p-1, -0x1.685ad80a698ccp-1, -0x1.687059739531ap-1, -0x1.6881d1bdb52fap-1, -0x1.688e26ff0d6cap-1, -0x1.6894434f2b05ep-1, -0x1.6893172c07132p-1, -0x1.68899b8398ec6p-1, -0x1.6876d3686d804p-1, -0x1.6859cd7857f0cp-1, -0x1.6831a4fc6c0d2p-1, -0x1.67fd82c966ec2p-1, -0x1.67bc9de76121fp-1, -0x1.676e3c07520ccp-1, -0x1.6711b1cc8029p-1, -0x1.66a662ef83d89p-1, -0x1.662bc2400aa07p-1, -0x1.65a1518a14fb1p-1, -0x1.6506a162ed11bp-1, -0x1.645b50e1ac00cp-1, -0x1.639f0d46b7c47p-1, -0x1.62d191954165ep-1, -0x1.61f2a62174248p-1, -0x1.61022015afebap-1, -0x1.5fffe0f0e1edp-1, -0x1.5eebd5ffc8ba7p-1, -0x1.5dc5f7d2b5696p-1, -0x1.5c8e49b12370ap-1, -0x1.5b44d90c51377p-1, -0x1.59e9bcf1d9858p-1, -0x1.587d157f2403ep-1, -0x1.56ff0b56669f6p-1, -0x1.556fcf15cd1d5p-1, -0x1.53cf98d14ad2fp-1, -0x1.521ea78f7c512p-1, -0x1.505d40c9eb411p-1, -0x1.4e8baff0fe1f2p-1, -0x1.4caa45f3c1ff3p-1, -0x1.4ab958cbb93dfp-1, -0x1.48b9430cc9499p-1, -0x1.46aa63795bf5p-1, -0x1.448d1c9abc78fp-1, -0x1.4261d45db4509p-1, -0x1.4028f3b365f66p-1, -0x1.3de2e6365abbep-1, -0x1.3b9019d3b99d2p-1, -0x1.3930fe78981ep-1, -0x1.36c605c34ef92p-1, -0x1.344fa2b8bf80ap-1, -0x1.31ce497d7260bp-1, -0x1.2f426f1275282p-1, -0x1.2cac8915df801p-1, -0x1.2a0d0d86dff84p-1, -0x1.2764728d39f8cp-1, -0x1.24b32e4413dep-1, -0x1.21f9b687fbf47p-1, -0x1.1f3880c806338p-1, -0x1.1c7001d9e3b7p-1, -0x1.19a0add0de307p-1, -0x1.16caf7d7910e3p-1, -0x1.13ef520c4f69p-1, -0x1.110e2d6010e5dp-1, -0x1.0e27f977d2d99p-1, -0x1.0b3d24904dcep-1, -0x1.084e1b63e7a5dp-1, -0x1.055b4912c94fep-1, -0x1.0265170cfe86ap-1, -0x1.fed7d9fd1027dp-2, -0x1.f8e0617a9295cp-2, -0x1.f2e48c7175023p-2, -0x1.ece51ed69270bp-2, -0x1.e6e2d89aa61e8p-2, -0x1.e0de759348c48p-2, -0x1.dad8ad66d35b7p-2, -0x1.d4d2337afcb9ep-2, -0x1.cecbb6e60d8a7p-2, -0x1.c8c5e2628a801p-2, -0x1.c2c15c452ef41p-2, -0x1.bcbec67519972p-2, -0x1.b6bebe660aa81p-2, -0x1.b0c1dd1494e7fp-2, -0x1.aac8b70425253p-2, -0x1.a4d3dc3ec3c8p-2, -0x1.9ee3d856766c7p-2, -0x1.98f9326826b74p-2, -0x1.93146d1ff947ep-2, -0x1.8d3606bef43d3p-2, -0x1.875e7921edd1ep-2, -0x1.818e39c99d3ebp-2, -0x1.7bc5b9e3c748cp-2, -0x1.7605665566d25p-2, -0x1.704da7c5c9f37p-2, -0x1.6a9ee2aa89a7ap-2, -0x1.64f977544bcb8p-2, -0x1.5f5dc1fc477e8p-2, -0x1.59cc1ad26ee2fp-2, -0x1.5444d60c3a464p-2, -0x1.4ec843f4046c6p-2, -0x1.4956b0f8e5847p-2, -0x1.43f065bf062f4p-2, -0x1.3e95a7305d644p-2, -0x1.3946b68dc79f4p-2, -0x1.3403d18077c5ap-2, -0x1.2ecd322babc72p-2, -0x1.29a30f3ea2c5dp-2, -0x1.24859c06c9575p-2, -0x1.1f7508820ffe4p-2, -0x1.1a7181716938dp-2, -0x1.157b306b63b56p-2, -0x1.10923beed8516p-2, -0x1.0bb6c775a69bcp-2, -0x1.06e8f3877b74cp-2, -0x1.0228ddcc9429bp-2, -0x1.faed4241031f8p-3, -0x1.f1a4ab49bbdbdp-3, -0x1.e87821a7e6222p-3, -0x1.df67cb269d91dp-3, -0x1.d673c88c767ddp-3, -0x1.cd9c35c037303p-3, -0x1.c4e129ed4acf5p-3, -0x1.bc42b7a7f0888p-3, -0x1.b3c0ed110e5e2p-3, -0x1.ab5bd3f9b76fcp-3, -0x1.a313720648b45p-3, -0x1.9ae7c8d12cddp-3, -0x1.92d8d60d2c1cbp-3, -0x1.8ae693a755e66p-3, -0x1.8310f7e875ae9p-3, -0x1.7b57f5960ba68p-3, -0x1.73bb7c12d5c13p-3, -0x1.6c3b777ed2246p-3, -0x1.64d7d0d6c2ef2p-3, -0x1.5d906e1332759p-3, -0x1.56653246e9decp-3, -0x1.4f55fdbce8371p-3, -0x1.4862ae15ca228p-3, -0x1.418b1e64a3f15p-3, -0x1.3acf274b551f4p-3, -0x1.342e9f1649cfep-3, -0x1.2da959d7ab279p-3, -0x1.273f298203c92p-3, -0x1.20efde02508d3p-3, -0x1.1abb455981d9p-3, -0x1.14a12bb56d956p-3, -0x1.0ea15b892b9cap-3, -0x1.08bb9da4e2c84p-3, -0x1.02efb94d0be57p-3, -0x1.fa7ae8a233b3cp-4, -0x1.ef49264331212p-4, -0x1.e449b1cb7c90cp-4, -0x1.d97c0f20d2396p-4, -0x1.cedfbfe92db51p-4, -0x1.c47443b28e9a1p-4, -0x1.ba391819bfc05p-4, -0x1.b02db8eff1b34p-4, -0x1.a651a05f5b53fp-4, -0x1.9ca4470eb836ep-4, -0x1.93252443cfa81p-4, -0x1.89d3ae04e1824p-4, -0x1.80af59391ed7ap-4, -0x1.77b799c81706fp-4, -0x1.6eebe2b82a20bp-4, -0x1.664ba64c03119p-4, -0x1.5dd6561f18591p-4, -0x1.558b63413c9d2p-4, -0x1.4d6a3e513fa2ep-4, -0x1.45725796a38b7p-4, -0x1.3da31f1a6c227p-4, -0x1.35fc04bf0ae2p-4, -0x1.2e7c78576ad73p-4, -0x1.2723e9bd2450ap-4, -0x1.1ff1c8e5d6f02p-4, -0x1.18e585f7b2bd8p-4, -0x1.11fe915d32dddp-4, -0x1.0b3c5bd80cc02p-4, -0x1.049e56935a153p-4, -0x1.fc47e66a01d22p-5, -0x1.ef9947dcbc306p-5, -0x1.e32fb71869861p-5, -0x1.d70a1b0bd718bp-5, -0x1.cb275c182894ap-5, -0x1.bf86642c965e4p-5, -0x1.b4261ee0d314ep-5, -0x1.a905798e2aec5p-5, -0x1.9e23636760bd2p-5, -0x1.937ecd8f51f0ap-5, -0x1.8916ab2e6743dp-5, -0x1.7ee9f186e0747p-5, -0x1.74f79807fa243p-5, -0x1.6b3e985ffc045p-5, -0x1.61bdee8d33dd4p-5, -0x1.587498ede90dep-5, -0x1.4f61984f4991bp-5, -0x1.4683effb5ef9bp-5, -0x1.3ddaa5c60d752p-5, -0x1.3564c21926c42p-5, -0x1.2d214fff99df5p-5, -0x1.250f5d2fbfafdp-5, -0x1.1d2dfa14d3f6fp-5, -0x1.157c39d79b759p-5, -0x1.0df9326642943p-5, -0x1.06a3fc7b77b7p-5, -0x1.fef767498a394p-6, -0x1.f0feec9077be2p-6, -0x1.e35ccb52cf49ep-6, -0x1.d60f4bdb39ea4p-6, -0x1.c914bc3f3f6bfp-6, -0x1.bc6b7065635adp-6, -0x1.b011c209ff04p-6, -0x1.a40610c30d40ap-6, -0x1.9846c202c7ab1p-6, -0x1.8cd241194192cp-6, -0x1.81a6ff34f83dbp-6, -0x1.76c373626b777p-6, -0x1.6c261a8ac9af8p-6, -0x1.61cd7771ad8bp-6, -0x1.57b812b2085b1p-6, -0x1.4de47aba33d6ep-6, -0x1.445143c73ecdbp-6, -0x1.3afd07df72b3ap-6, -0x1.31e666cc2ee3fp-6, -0x1.290c061300f77p-6, -0x1.206c90ee2a089p-6, -0x1.1806b8447b15p-6, -0x1.0fd932a09ac8ep-6, -0x1.07e2bc27c15cdp-6, -0x1.0022168fe7042p-6, -0x1.f12c122aefd28p-7, -0x1.e27ac0e111988p-7, -0x1.d42ddd9345904p-7, -0x1.c643175c33273p-7, -0x1.b8b82808041ddp-7, -0x1.ab8ad3fb8f6a7p-7, -0x1.9eb8ea1ade0abp-7, -0x1.924043aefd183p-7, -0x1.861ec44b30d48p-7, -0x1.7a5259b1b5b64p-7, -0x1.6ed8fbb7d8932p-7, -0x1.63b0ac29ac462p-7, -0x1.58d776ad491d7p-7, -0x1.4e4b70a5a58b5p-7, -0x1.440ab91513c85p-7, -0x1.3a13787f5e59ep-7, -0x1.3063e0cbb66efp-7, -0x1.26fa2d263ee0ep-7, -0x1.1dd4a1e172547p-7, -0x1.14f18c5748797p-7, -0x1.0c4f42ca3fb5p-7, -0x1.03ec24462cac1p-7, -0x1.f78d3102041fp-8, -0x1.e7ba1f76e292bp-8, -0x1.d85c05431020fp-8, -0x1.c96fe4566ea85p-8, -0x1.baf2cef9b3bebp-8, -0x1.ace1e78f86938p-8, -0x1.9f3a60559d89bp-8, -0x1.91f97b25e7a42p-8, -0x1.851c8937f426cp-8, -0x1.78a0eae274654p-8, -0x1.6c840f5ce661cp-8, -0x1.60c374818f5c4p-8, -0x1.555ca68fb44e5p-8, -0x1.4a4d3fee1c6e4p-8, -0x1.3f92e8ede2824p-8, -0x1.352b578da9d81p-8, -0x1.2b144f3d3187cp-8, -0x1.214ba0a14691ep-8, -0x1.17cf29582d566p-8, -0x1.0e9cd3be80fb5p-8, -0x1.05b296b47af8fp-8, -0x1.fa1ceac784138p-9, -0x1.e95cfe0b6ef79p-9, -0x1.d9219d54aee1ap-9, -0x1.c96715ff20ec8p-9, -0x1.ba29cc324aa36p-9, -0x1.ab663a727aa23p-9, -0x1.9d18f132d906fp-9, -0x1.8f3e9668bdd5bp-9, -0x1.81d3e5203d8c8p-9, -0x1.74d5ad11e644ep-9, -0x1.6840d239bff8p-9, -0x1.5c124c6f9585fp-9, -0x1.504727007f2eep-9, -0x1.44dc8049a4eb8p-9, -0x1.39cf89547a83bp-9, -0x1.2f1d857412dd7p-9, -0x1.24c3c9e3ebe97p-9, -0x1.1abfbd681af73p-9, -0x1.110ed7ee91f35p-9, -0x1.07aea231f5774p-9, -0x1.fd396abb4c707p-10, -0x1.ebad756694c8fp-10, -0x1.dab4d66319407p-10, -0x1.ca4b1e787b55ap-10, -0x1.ba6bfc8b91d2dp-10, -0x1.ab133cf42817fp-10, -0x1.9c3cc8d5512b9p-10, -0x1.8de4a5788a3eap-10, -0x1.8006f3ab53b2p-10, -0x1.729fef1f9bcf1p-10, -0x1.65abedceb7a64p-10, -0x1.59275f5f2920cp-10, -0x1.4d0ecc8ceeb6bp-10, -0x1.415ed694710e5p-10, -0x1.3614369fffe1fp-10, -0x1.2b2bbd37ef0e7p-10, -0x1.20a251b53c277p-10, -0x1.1674f1b6ce92fp-10, -0x1.0ca0b09965523p-10, -0x1.0322b6f1a45f6p-10, -0x1.f3f08411a511p-11, -0x1.e23d46b84d949p-11, -0x1.d126803c85f8fp-11, -0x1.c0a721771af72p-11, -0x1.b0ba40c0eb336p-11, -0x1.a15b19047b87ep-11, -0x1.928508d46cd4ep-11, -0x1.843391863c3eep-11, -0x1.76625651d52f7p-11, -0x1.690d1b75e4a8dp-11, -0x1.5c2fc5602b974p-11, -0x1.4fc657da365c7p-11, -0x1.43ccf53ac8642p-11, -0x1.383fdd9b74e01p-11, -0x1.2d1b6e122852dp-11, -0x1.225c1fefb9aecp-11, -0x1.17fe880199f1bp-11, -0x1.0dff55d7f4affp-11, -0x1.045b53102001p-11, -0x1.f61ec544f8dap-12, -0x1.e43100693a821p-12, -0x1.d2e77ede7ae18p-12, -0x1.c23c96afe9462p-12, -0x1.b22acb5cbb329p-12, -0x1.a2accc9a2c66ap-12, -0x1.93bd751cd9dcp-12, -0x1.8557c9690720bp-12, -0x1.7776f6a9ef622p-12, -0x1.6a16519069c4fp-12, -0x1.5d315536cc42ep-12, -0x1.50c3a20d086a3p-12, -0x1.44c8fcca42fd1p-12, -0x1.393d4d65516c7p-12, -0x1.2e1c9e1358d4dp-12, -0x1.23631a4ccd157p-12, -0x1.190d0dd85cb79p-12, -0x1.0f16e3db4289ep-12, -0x1.057d25f00cf5p-12, -0x1.f878f685e1b12p-13, -0x1.e6a34f67a00c9p-13, -0x1.d57315fb38decp-13, -0x1.c4e23fc72a6fdp-13, -0x1.b4eaf6c5fe9cbp-13, -0x1.a58797d4c3c7fp-13, -0x1.96b2b12c8d8cdp-13, -0x1.886700e4b0218p-13, -0x1.7a9f737f79acp-13, -0x1.6d572280f8f24p-13, -0x1.6089530e4d2fdp-13, -0x1.5431749602926p-13, -0x1.484b1f8210e22p-13, -0x1.3cd213f21d0ddp-13, -0x1.31c2387e8f85fp-13, -0x1.2717990470fc8p-13, -0x1.1cce657970d0dp-13, -0x1.12e2f0c7b9472p-13, -0x1.0951afb18fbf3p-13, -0x1.001737bcc651p-13, -0x1.ee607c4b3776bp-14, -0x1.dd332db3baa1p-14, -0x1.cca066f3ae241p-14, -0x1.bca244c30460ap-14, -0x1.ad331b711fe25p-14, -0x1.9e4d75106467dp-14, -0x1.8fec0fb0959bp-14, -0x1.8209dba4dafd9p-14, -0x1.74a1f9d7e690ap-14, -0x1.67afba2adb8c3p-14, -0x1.5b2e99e1d02b4p-14, -0x1.4f1a421a9e0aap-14, -0x1.436e8650276f6p-14, -0x1.382762e72019ep-14, -0x1.2d40fbc77b48bp-14, -0x1.22b79afeb339p-14, -0x1.1887af6e6550dp-14, -0x1.0eadcb83b0b7ep-14, -0x1.0526a3f82ed31p-14, -0x1.f7de1d3da7edap-15, -0x1.e608026d37898p-15, -0x1.d4c520929e942p-15, -0x1.c40fdc2137764p-15, -0x1.b3e2d2cbc5275p-15, -0x1.a438d973edb72p-15, -0x1.950cfa28e1772p-15, -0x1.865a7236c97ep-15, -0x1.781cb0486ca83p-15, -0x1.6a4f5291902e4p-15, -0x1.5cee250ef97f9p-15, -0x1.4ff51fce7397bp-15, -0x1.4360654b32c68p-15, -0x1.372c40d2b0527p-15, -0x1.2b5524f9e15f1p-15, -0x1.1fd7aa1d0a661p-15, -0x1.14b08cf07b302p-15, -0x1.09dcad168b65bp-15, -0x1.feb21790e6b0fp-16, -0x1.ea4595075ee4dp-16, -0x1.d66e53913c952p-16, -0x1.c3270fc2de9c6p-16, -0x1.b06abf66ead7ep-16, -0x1.9e348f3554757p-16, -0x1.8c7fe0a41ae13p-16, -0x1.7b4847c14e46ep-16, -0x1.6a898928ef9d6p-16, -0x1.5a3f980680877p-16, -0x1.4a66942b889c4p-16, -0x1.3afac8374299cp-16, -0x1.2bf8a7d03f957p-16, -0x1.1d5ccde9f17dcp-16, -0x1.0f23fb1e36058p-16, -0x1.014b141714791p-16, -0x1.e79e4002861b8p-17, -0x1.cd5a8e2496a72p-17, -0x1.b3c5a23472076p-17, -0x1.9ada48436518p-17, -0x1.82938634096fap-17, -0x1.6aec9929a84d2p-17, -0x1.53e0f311a3f6ap-17, -0x1.3d6c384f41c79p-17, -0x1.278a3d6efa332p-17, -0x1.123704fb5cf58p-17, -0x1.fadd7abedf103p-18, -0x1.d25b7dc595acbp-18, -0x1.aae1136fe1e51p-18, -0x1.8467884888b65p-18, -0x1.5ee8715f6cfc6p-18, -0x1.3a5da8da7f41fp-18, -0x1.16c14ab78625dp-18, -0x1.e81b632936549p-19, -0x1.a47ae7600ba3fp-19, -0x1.6296bff3c87a1p-19, -0x1.2264f68ba1f2fp-19, -0x1.c7b7f684d6921p-20, -0x1.4de53f2375869p-20, -0x1.ae80457c06205p-21, -0x1.8edeb228c20f2p-22, 0x1.988e3599a1a5cp-25, 0x1.e90fa0ad45d36p-22, 0x1.c9aba3324909ap-21, 0x1.4c88baa6ca13dp-20, 0x1.b16aa9d245e6cp-20, 0x1.09c4933587594p-19, 0x1.39789fb75a38ep-19, 0x1.67d7c90423666p-19, 0x1.94e827eda0413p-19, 0x1.c0afa278a6788p-19, 0x1.eb33ee9ab628p-19, 0x1.0a3d4a8321467p-18, 0x1.1e4479d6deabbp-18, 0x1.31b22017a002dp-18, 0x1.4488c51bb8403p-18, 0x1.56caded2930b8p-18, 0x1.687ad2546bf67p-18, 0x1.799af4dd92dcp-18, 0x1.8a2d8cc2c4c97p-18, 0x1.9a34d2534902ep-18, 0x1.a9b2f0a9d3d14p-18, 0x1.b8aa068385d48p-18, 0x1.c71c26fdb2f8bp-18, 0x1.d50b5a4d10f81p-18, 0x1.e2799e6c0aa39p-18, 0x1.ef68e7b9a620fp-18, 0x1.fbdb2196502adp-18, 0x1.03e91778f1e01p-17, 0x1.09a7f56bbc244p-17, 0x1.0f2b147459b9fp-17, 0x1.14735aeb476afp-17, 0x1.1981abe8165c3p-17, 0x1.1e56e777bddf6p-17, 0x1.22f3eacd5cd52p-17, 0x1.2759906f47a59p-17, 0x1.2b88b062cd7eep-17, 0x1.2f822052fdb0bp-17, 0x1.3346b3b720efcp-17, 0x1.36d73bf352c2p-17, 0x1.3a3488791595ap-17, 0x1.3d5f66e367cbfp-17, 0x1.4058a313556cdp-17, 0x1.4321074681f28p-17, 0x1.45b95c30ef08bp-17, 0x1.4822690f59baep-17, 0x1.4a5cf3bacbe61p-17, 0x1.4c69c0b957099p-17, 0x1.4e49934dd172ep-17, 0x1.4ffd2d85092abp-17, 0x1.5185504290fdap-17, 0x1.52e2bb4a8bf26p-17, 0x1.54162d4bfe7c5p-17, 0x1.552063e95924bp-17, 0x1.56021bbe44ed4p-17, 0x1.56bc1066bc9b8p-17, 0x1.574efc83b48d9p-17, 0x1.57bb99be6fe39p-17, 0x1.5802a0cc237cp-17, 0x1.5824c96fc48f4p-17, 0x1.5822ca7baef2p-17, 0x1.57fd59d2e3939p-17, 0x1.57b52c671016cp-17, 0x1.574af63909517p-17, 0x1.56bf6a57c954fp-17, 0x1.56133adea3b42p-17, 0x1.554718f236f79p-17, 0x1.545bb4be93eaep-17, 0x1.5351bd7427dcap-17, 0x1.5229e142f0c18p-17, 0x1.50e4cd573221bp-17, 0x1.4f832dd5a3216p-17, 0x1.4e05add7bdd46p-17, 0x1.4c6cf76584515p-17, 0x1.4ab9b37195cc5p-17, 0x1.48ec89d39db8dp-17, 0x1.47062143e4bccp-17, 0x1.45071f5527a2bp-17, 0x1.42f0286f1cd2bp-17, 0x1.40c1dfca98fd2p-17, 0x1.3e7ce769d2f5bp-17, 0x1.3c21e013d9fdap-17, 0x1.39b1694e2fbfbp-17, 0x1.372c21584aff1p-17, 0x1.3492a525becf7p-17, 0x1.31e5905807df9p-17, 0x1.2f257d398e513p-17, 0x1.2c5304b83950ep-17, 0x1.296ebe5f326f5p-17, 0x1.2679405243fe6p-17, 0x1.23731f488f64ep-17, 0x1.205cee8814d7fp-17, 0x1.1d373fdf5d0d2p-17, 0x1.1a02a3a115d9ep-17, 0x1.16bfa89f8f8c9p-17, 0x1.136edc278441bp-17, 0x1.1010c9fcfac9cp-17, 0x1.0ca5fc558bdb9p-17, 0x1.092efbd585f91p-17, 0x1.05ac4f8b295b5p-17, 0x1.021e7cea8e7ffp-17, 0x1.fd0c0f936b492p-18, 0x1.f5c6e4bdbf4fp-18, 0x1.ee6e7a767e0c7p-18, 0x1.e703ce9267d68p-18, 0x1.df87db903bf6ap-18, 0x1.d7fb9894b801ap-18, 0x1.d05ff964c6d83p-18, 0x1.c8b5ee619e422p-18, 0x1.c0fe6483b3f21p-18, 0x1.b93a45576eb3bp-18, 0x1.b16a76f964e21p-18, 0x1.a98fdc12c868fp-18, 0x1.a1ab53d3e6c31p-18, 0x1.99bdb9f585292p-18, 0x1.91c7e6b5120fcp-18, 0x1.89caaed37bfd7p-18, 0x1.81c6e3922e3c4p-18, 0x1.79bd52b2a8ccdp-18, 0x1.71aec675b250fp-18, 0x1.699c059affd86p-18, 0x1.6185d3617bc8ap-18, 0x1.596cef880be0ap-18, 0x1.5152164d0b31bp-18, 0x1.49360070ef2d4p-18, 0x1.41196335a6cf8p-18, 0x1.38fcf05f8383ap-18, 0x1.30e1563820323p-18, 0x1.28c73f92e50f6p-18, 0x1.20af53cd2d5cap-18, 0x1.189a36d076003p-18, 0x1.10888916cbb49p-18, 0x1.087ae7ad0d834p-18, 0x1.0071ec369f9acp-18, 0x1.f0dc59e4f37fap-19, 0x1.e0e0797ed10dap-19, 0x1.d0f1563fc04fap-19, 0x1.c110087d38843p-19, 0x1.b13da1e916bfap-19, 0x1.a17b2d96395c9p-19, 0x1.91c9b0065373ep-19, 0x1.822a2735df903p-19, 0x1.729d8aaac3d3ap-19, 0x1.6324cb7ab5634p-19, 0x1.53c0d459f14d6p-19, 0x1.447289a754b57p-19, 0x1.353ac978fabcbp-19, 0x1.261a6bab461d3p-19, 0x1.171241ec342f3p-19, 0x1.082317d021081p-19, 0x1.f29b65b2dee39p-20, 0x1.d525a513fd96cp-20, 0x1.b7e660e4a2eccp-20, 0x1.9adf007aa2d8fp-20, 0x1.7e10df85df27dp-20, 0x1.617d4e2de3f4bp-20, 0x1.4525913967efep-20, 0x1.290ae2264fbf8p-20, 0x1.0d2e6f4b08888p-20, 0x1.e322b7f637008p-21, 0x1.ac6981473af0ap-21, 0x1.763355e44ba8ep-21, 0x1.40823be4d6ecap-21, 0x1.0b5824734a34fp-21, 0x1.ad6dd813f7e85p-22, 0x1.4540b56879116p-22, 0x1.bc589169699a4p-23, 0x1.e0cf480cb04cep-24, 0x1.35a6a2e453e73p-26, -0x1.4173f267a25c2p-24, -0x1.65df2c4cae7efp-23, -0x1.145abbb952fcbp-22, -0x1.749beb9579dbp-22, -0x1.d3b0c85487c8fp-22, -0x1.18cb8c2d81a7bp-21, -0x1.472662a6213b3p-21, -0x1.74e7edba73593p-21, -0x1.a20f449e1b66p-21, -0x1.ce9b8f3ad0949p-21, -0x1.fa8c05f83abbfp-21, -0x1.12eff8b57fdd6p-20, -0x1.284b55095a174p-20, -0x1.3d57cc07c3ef1p-20, -0x1.5215196b86b31p-20, -0x1.66830078f725bp-20, -0x1.7aa14bd581f35p-20, -0x1.8e6fcd618d5dfp-20, -0x1.a1ee5e1e625dep-20, -0x1.b51cde033a5eep-20, -0x1.c7fb33db1093dp-20, -0x1.da894d247d901p-20, -0x1.ecc71dead61b9p-20, -0x1.feb4a0a7372b2p-20, -0x1.0828eb0b216e7p-19, -0x1.10cf628d1dbp-19, -0x1.194dbd4da0471p-19, -0x1.21a404b0347dcp-19, -0x1.29d244f91edbcp-19, -0x1.31d88d3c1f30cp-19, -0x1.39b6ef4b29655p-19, -0x1.416d7fa675de2p-19, -0x1.48fc556a40b18p-19, -0x1.50638a407c8d2p-19, -0x1.57a33a50603e3p-19, -0x1.5ebb842e66fp-19, -0x1.65ac88cbe0962p-19, -0x1.6c766b67f18a9p-19, -0x1.73195180b42ecp-19, -0x1.799562c1f250ap-19, -0x1.7feac8f6729afp-19, -0x1.8619aff95bee4p-19, -0x1.8c2245a811346p-19, -0x1.9204b9d1dd75ap-19, -0x1.97c13e2b220e5p-19, -0x1.9d58063e8625dp-19, -0x1.a2c9475d89593p-19, -0x1.a81538943b23ap-19, -0x1.ad3c1299522cp-19, -0x1.b23e0fc163b41p-19, -0x1.b71b6bf2a7aebp-19, -0x1.bbd4649576aa7p-19, -0x1.c0693888d83e6p-19, -0x1.c4da281462e71p-19, -0x1.c92774dc9a073p-19, -0x1.cd5161d52a002p-19, -0x1.d15833342e09fp-19, -0x1.d53c2e673cdf5p-19, -0x1.d8fd9a060ee79p-19, -0x1.dc9cbdc703fep-19, -0x1.e019e2745a33p-19, -0x1.e37551df4fe65p-19, -0x1.e6af56d5a60cp-19, -0x1.e9c83d152fcdep-19, -0x1.ecc0514327bf6p-19, -0x1.ef97e0decdf5dp-19, -0x1.f24f3a3753376p-19, -0x1.f4e6ac631e9ecp-19, -0x1.f75e873368307p-19, -0x1.f9b71b2b2899ap-19, -0x1.fbf0b974a2f3ap-19, -0x1.fe0bb3d881797p-19, -0x1.00042e59b2876p-18, -0x1.00f38375bfddcp-18, -0x1.01d402f542b4cp-18, -0x1.02a5d6c8e9919p-18, -0x1.03692918d5be1p-18, -0x1.041e2441294d1p-18, -0x1.04c4f2cce7142p-18, -0x1.055dbf71fa5e3p-18, -0x1.05e8b50d1ea0dp-18, -0x1.0665fe9e011fdp-18, -0x1.06d5c7434f8bap-18, -0x1.07383a369195fp-18, -0x1.078d82c872132p-18, -0x1.07d5cc5d6eb6ap-18, -0x1.08114269a261ep-18, -0x1.0840106dd1b03p-18, -0x1.086261f36722dp-18, -0x1.087862897df26p-18, -0x1.08823dc12e117p-18, -0x1.08801f2a83ae8p-18, -0x1.0872325201a33p-18, -0x1.0858a2bc8fcap-18, -0x1.08339be4ac25ep-18, -0x1.08034937eb02dp-18, -0x1.07c7d613a7d9fp-18, -0x1.07816dc26d868p-18, -0x1.07303b7908956p-18, -0x1.06d46a544514ep-18, -0x1.066e2556914bdp-18, -0x1.05fd9764b9db6p-18, -0x1.0582eb43d88e3p-18, -0x1.04fe4b96c5c64p-18, -0x1.046fe2dc4abdep-18, -0x1.03d7db6c4ae71p-18, -0x1.03365f7603b88p-18, -0x1.028b98fd5406cp-18, -0x1.01d7b1d976509p-18, -0x1.011ad3b2209b2p-18, -0x1.005527fef985p-18, -0x1.ff0db00968c4cp-19, -0x1.fd6019a6584c6p-19, -0x1.fba1de8782e54p-19, -0x1.f9d34fefdf6eep-19, -0x1.f7f4beae7a508p-19, -0x1.f6067b1be6095p-19, -0x1.f408d516eaa3cp-19, -0x1.f1fc1c022ec41p-19, -0x1.efe09ec1491b3p-19, -0x1.edb6abb4fbfb6p-19, -0x1.eb7e90b99c0ebp-19, -0x1.e9389b22f3b8fp-19, -0x1.e6e517bc5f57p-19, -0x1.e48452c47fa0ep-19, -0x1.e21697eb98e19p-19, -0x1.df9c32507806dp-19, }}, 
      {{-0x1.49b80f0351d26p-15, -0x1.4b12da71c4f48p-13, -0x1.76f41c20ad7cdp-12, -0x1.5052b7fa5305bp-11, -0x1.09b500372cbd4p-10, -0x1.83a3ecae75b18p-10, -0x1.0bb226d7a4914p-9, -0x1.634153bd000cdp-9, -0x1.c94f5428ce263p-9, -0x1.1f583960ea362p-8, -0x1.621c68f7b700dp-8, -0x1.ad5c2e34fb976p-8, -0x1.00bdd09652032p-7, -0x1.2f6cbfbb9dfebp-7, -0x1.62e6f7dfe9b9bp-7, -0x1.9b54c0d061ebfp-7, -0x1.d8da3262d91a2p-7, -0x1.0dcb747e761b5p-6, -0x1.31d2e82d46882p-6, -0x1.588e80f4d3e4fp-6, -0x1.8206da173a73p-6, -0x1.ae421c6745573p-6, -0x1.dd4403895692ap-6, -0x1.0786f43982b3dp-5, -0x1.21cf68240fe6ep-5, -0x1.3d79bf67579e8p-5, -0x1.5a8345e653bbbp-5, -0x1.78e83d5c6ea4bp-5, -0x1.98a3ea1e9d3f6p-5, -0x1.b9b0a08d09ef3p-5, -0x1.dc07d304fa97ap-5, -0x1.ffa2202924aap-5, -0x1.123bb0ae2567dp-4, -0x1.253f5ca7557b7p-4, -0x1.38d751416ee6ap-4, -0x1.4cfe7ed91a079p-4, -0x1.61af8ffdd8f0fp-4, -0x1.76e4f065b275ep-4, -0x1.8c98d3b528ee3p-4, -0x1.a2c53c14aad9ep-4, -0x1.b964008db968fp-4, -0x1.d06ed32b01ef5p-4, -0x1.e7df46d7654f1p-4, -0x1.ffaed4f90f655p-4, -0x1.0beb71631ecebp-3, -0x1.182863292b8d7p-3, -0x1.248ae5a942914p-3, -0x1.310f9bccd8ae9p-3, -0x1.3db327a63c3b1p-3, -0x1.4a722c66fa019p-3, -0x1.574950337bafep-3, -0x1.64353dd4c713dp-3, -0x1.7132a6497f8c9p-3, -0x1.7e3e423768fc8p-3, -0x1.8b54d33ecb314p-3, -0x1.9873253121ecbp-3, -0x1.a5960f2ca0f96p-3, -0x1.b2ba749e0cb01p-3, -0x1.bfdd462a6f3bcp-3, -0x1.ccfb828240fd7p-3, -0x1.da12371f684d6p-3, -0x1.e71e80ef9f10fp-3, -0x1.f41d8cec9b58cp-3, -0x1.00864c51a5f5dp-2, -0x1.06f47955bfe52p-2, -0x1.0d57fd8888a2p-2, -0x1.13af91d7e8326p-2, -0x1.19f9f8418d8d8p-2, -0x1.2035fbf5150bcp-2, -0x1.26627170f7977p-2, -0x1.2c7e369aa4b19p-2, -0x1.328832d22a4p-2, -0x1.387f5701bbf25p-2, -0x1.3e629da965e35p-2, -0x1.44310ae72c6ebp-2, -0x1.49e9ac7bd9e31p-2, -0x1.4f8b99ccaca29p-2, -0x1.5515f3e218477p-2, -0x1.5a87e563c00ebp-2, -0x1.5fe0a291da096p-2, -0x1.651f693c103p-2, -0x1.6a4380b608403p-2, -0x1.6f4c39c9ab043p-2, -0x1.7438eea74091ep-2, -0x1.790902d37d37p-2, -0x1.7dbbe3138ee64p-2, -0x1.82510557466bdp-2, -0x1.86c7e8a168b7fp-2, -0x1.8b2014ee3a496p-2, -0x1.8f591b185ce6bp-2, -0x1.937294bc0a362p-2, -0x1.976c2418be8c6p-2, -0x1.9b4573f166dcep-2, -0x1.9efe376b204ebp-2, -0x1.a29629ea9c5fp-2, -0x1.a60d0ef03c7aep-2, -0x1.a962b1f2f2428p-2, -0x1.ac96e639fdf71p-2, -0x1.afa986b59531ap-2, -0x1.b29a75d68a133p-2, -0x1.b5699d650648p-2, -0x1.b816ee5667f0bp-2, -0x1.baa260a2566f6p-2, -0x1.bd0bf31725156p-2, -0x1.bf53ab2d8f219p-2, -0x1.c17994dbea15fp-2, -0x1.c37dc268d730ap-2, -0x1.c5604c3d8edb7p-2, -0x1.c72150b7d425fp-2, -0x1.c8c0f3fba332cp-2, -0x1.ca3f5fc4afb47p-2, -0x1.cb9cc337bcb68p-2, -0x1.ccd952b3ec0b4p-2, -0x1.cdf547a404eddp-2, -0x1.cef0e04fd4267p-2, -0x1.cfcc5fada3ee8p-2, -0x1.d0880d33e97cap-2, -0x1.d12434ab2838dp-2, -0x1.d1a1260026be1p-2, -0x1.d1ff351674585p-2, -0x1.d23eb99b572eap-2, -0x1.d2600ed9270efp-2, -0x1.d263938b235f6p-2, -0x1.d249a9b1cb3dbp-2, -0x1.d212b667c6518p-2, -0x1.d1bf21b762457p-2, -0x1.d14f5670af052p-2, -0x1.d0c3c200436dcp-2, -0x1.d01cd446aae0cp-2, -0x1.cf5aff708bfeep-2, -0x1.ce7eb7cf82638p-2, -0x1.cd8873b3bcf7ep-2, -0x1.cc78ab4658824p-2, -0x1.cb4fd86484f5dp-2, -0x1.ca0e767b72de6p-2, -0x1.c8b502651062dp-2, -0x1.c743fa458f456p-2, -0x1.c5bbdd69c497ap-2, -0x1.c41d2c26532e6p-2, -0x1.c26867b7af59cp-2, -0x1.c09e1222f4d61p-2, -0x1.bebeae179049cp-2, -0x1.bccabed1c205fp-2, -0x1.bac2c7fdee9b6p-2, -0x1.b8a74d9ccb566p-2, -0x1.b678d3e8565bfp-2, -0x1.b437df39a4856p-2, -0x1.b1e4f3ef8024bp-2, -0x1.af809655d3da5p-2, -0x1.ad0b4a8de41ffp-2, -0x1.aa8594775404bp-2, -0x1.a7eff799f2755p-2, -0x1.a54af7104d6efp-2, -0x1.a297157309c8ap-2, -0x1.9fd4d4c4fdd2fp-2, -0x1.9d04b66006e1cp-2, -0x1.9a273ae29f089p-2, -0x1.973ce21e2b1d1p-2, -0x1.94462b05fd7d1p-2, -0x1.9143939f0cb55p-2, -0x1.8e3598f05bd6dp-2, -0x1.8b1cb6f40d70bp-2, -0x1.87f9688923d33p-2, -0x1.84cc2765e55e2p-2, -0x1.81956c0ae5bcep-2, -0x1.7e55adb6af391p-2, -0x1.7b0d625a0c23fp-2, -0x1.77bcfe8ce4e77p-2, -0x1.7464f583bb196p-2, -0x1.7105b905b3efap-2, -0x1.6d9fb963375afp-2, -0x1.6a33656d17798p-2, -0x1.66c12a6c47d9bp-2, -0x1.6349741a17cd1p-2, -0x1.5fccac98f3c07p-2, -0x1.5c4b3c6da5ae5p-2, -0x1.58c58a79143b5p-2, -0x1.553bfbf27cf7fp-2, -0x1.51aef46226b3p-2, -0x1.4e1ed59c8859p-2, -0x1.4a8bffbde14b2p-2, -0x1.46f6d126432edp-2, -0x1.435fa6760469dp-2, -0x1.3fc6da8a9fb01p-2, -0x1.3c2cc67bf6f79p-2, -0x1.3891c199fc74cp-2, -0x1.34f6216abbe7ep-2, -0x1.315a39a8c198ap-2, -0x1.2dbe5c41de1ddp-2, -0x1.2a22d95641aaap-2, -0x1.2687ff37ef51bp-2, -0x1.22ee1a6a82f74p-2, -0x1.1f5575a348a08p-2, -0x1.1bbe59c9a27c9p-2, -0x1.18290df7bc54ep-2, -0x1.1495d77b85cd2p-2, -0x1.1104f9d7f7d8p-2, -0x1.0d76b6c69ad21p-2, -0x1.09eb4e3953dd1p-2, -0x1.0662fe5c6d9a4p-2, -0x1.02de0398e2dd8p-2, -0x1.feb9312dc7bep-3, -0x1.f7bdec81268eap-3, -0x1.f0caa789f7f07p-3, -0x1.e9dfcd367738p-3, -0x1.e2fdc50bc153ap-3, -0x1.dc24f32cf2773p-3, -0x1.d555b8629e614p-3, -0x1.ce907222a5dd9p-3, -0x1.c7d57a985ef63p-3, -0x1.c12528ad10b51p-3, -0x1.ba7fd010bc4d2p-3, -0x1.b3e5c1432e643p-3, -0x1.ad57499d579ccp-3, -0x1.a6d4b35ae8dap-3, -0x1.a05e45a42b54fp-3, -0x1.99f444981561fp-3, -0x1.9396f15698641p-3, -0x1.8d468a0b1f204p-3, -0x1.870349f740d7fp-3, -0x1.80cd697da13fep-3, -0x1.7aa51e2cf72a7p-3, -0x1.748a9acb3e4c1p-3, -0x1.6e7e0f610df16p-3, -0x1.687fa9450a184p-3, -0x1.628f93277c1e7p-3, -0x1.5cadf51dfb453p-3, -0x1.56daf4af39454p-3, -0x1.5116b4dedc14cp-3, -0x1.4b6156396b06dp-3, -0x1.45baf6e051e8cp-3, -0x1.4023b295eb28ep-3, -0x1.3a9ba2c9980fep-3, -0x1.3522dea3df228p-3, -0x1.2fb97b129511fp-3, -0x1.2a5f8ad5068c9p-3, -0x1.25151e88212ep-3, -0x1.1fda44b2a0d4fp-3, -0x1.1aaf09d138935p-3, -0x1.15937862b3b34p-3, -0x1.108798f414194p-3, -0x1.0b8b722ca6f8cp-3, -0x1.069f08da09b3cp-3, -0x1.01c25ffc2c16ep-3, -0x1.f9eaf1a27af28p-4, -0x1.f070a5c3124acp-4, -0x1.e715d8168ce4cp-4, -0x1.ddda811ca3fb7p-4, -0x1.d4be962fa7175p-4, -0x1.cbc2099b9bd34p-4, -0x1.c2e4cab52fe4cp-4, -0x1.ba26c5f0749a6p-4, -0x1.b187e4f775694p-4, -0x1.a9080ec07f4fep-4, -0x1.a0a727a446cc6p-4, -0x1.98651173c7743p-4, -0x1.9041ab8deca8bp-4, -0x1.883cd2f4f3933p-4, -0x1.8056626393f43p-4, -0x1.788e3261e3cfep-4, -0x1.70e41959f67ep-4, -0x1.6957ebac371e4p-4, -0x1.61e97bc37a374p-4, -0x1.5a989a28cb9b3p-4, -0x1.53651596ebe6ap-4, -0x1.4c4ebb0d89bd6p-4, -0x1.455555e429eep-4, -0x1.3e78afdcc60c1p-4, -0x1.37b891361c675p-4, -0x1.3114c0bdb15ffp-4, -0x1.2a8d03e180af6p-4, -0x1.24211ec15f869p-4, -0x1.1dd0d4400fafap-4, -0x1.179be613fe3ep-4, -0x1.118214d7b5039p-4, -0x1.0b832019f6868p-4, -0x1.059ec66d8afa4p-4, -0x1.ffa98af172f53p-5, -0x1.f449b408df4d9p-5, -0x1.e91d80162e28fp-5, -0x1.de24658e2f195p-5, -0x1.d35dd9820e9c2p-5, -0x1.c8c94fbb1795ap-5, -0x1.be663ad5c5955p-5, -0x1.b4340c5c45702p-5, -0x1.aa3234e03943fp-5, -0x1.a0602413f8303p-5, -0x1.96bd48e317192p-5, -0x1.8d49118a59119p-5, -0x1.8402ebaefefa4p-5, -0x1.7aea44757b42cp-5, -0x1.71fe889783778p-5, -0x1.693f24798adf1p-5, -0x1.60ab843fa02afp-5, -0x1.584313e1b1672p-5, -0x1.50053f3f3953p-5, -0x1.47f1723250dbfp-5, -0x1.400718a239d6ap-5, -0x1.38459e9544b49p-5, -0x1.30ac704231947p-5, -0x1.293afa20fbc9fp-5, -0x1.21f0a8fb16e61p-5, -0x1.1acce9fb26c0dp-5, -0x1.13cf2abc20378p-5, -0x1.0cf6d957f40cfp-5, -0x1.064364759bcfcp-5, -0x1.ff6876ad6d05bp-6, -0x1.f2919bc9381dep-6, -0x1.e6011979d32efp-6, -0x1.d9b5d27b38558p-6, -0x1.cdaeab2148acbp-6, -0x1.c1ea896e059e5p-6, -0x1.b6685526df2aep-6, -0x1.ab26f7e9123c6p-6, -0x1.a0255d3d23afp-6, -0x1.956272a96c185p-6, -0x1.8add27c3d3444p-6, -0x1.80946e42a596cp-6, -0x1.76873a0ca194fp-6, -0x1.6cb4814825a7ep-6, -0x1.631b3c6993ea6p-6, -0x1.59ba6640f3bf4p-6, -0x1.5090fc06c971dp-6, -0x1.479dfd682765fp-6, -0x1.3ee06c9214fd7p-6, -0x1.36574e3c296b9p-6, -0x1.2e01a9b2877fdp-6, -0x1.25de88df1b723p-6, -0x1.1decf8522e644p-6, -0x1.162c074a5daa9p-6, -0x1.0e9ac7bbea9b9p-6, -0x1.07384e576c0a3p-6, -0x1.0003b28fe9ddep-6, -0x1.f1f81d40ada2ap-7, -0x1.e440ff210e9d1p-7, -0x1.d6e04a7335b4p-7, -0x1.c9d444938e525p-7, -0x1.bd1b388f80023p-7, -0x1.b0b3772af63e6p-7, -0x1.a49b56e524a4p-7, -0x1.98d133fc2aa14p-7, -0x1.8d53706fe6d97p-7, -0x1.82207403e95aap-7, -0x1.7736ac406e214p-7, -0x1.6c948c729b04ap-7, -0x1.62388dabf2fa3p-7, -0x1.58212ec0d1a6p-7, -0x1.4e4cf446721b6p-7, -0x1.44ba688ff1644p-7, -0x1.3b681baad336bp-7, -0x1.3254a35acd08dp-7, -0x1.297e9b14d4b1ap-7, -0x1.20e4a3f9af642p-7, -0x1.188564cfc33b7p-7, -0x1.105f89fc829a3p-7, -0x1.0871c57d25a54p-7, -0x1.00bacedef0c34p-7, -0x1.f272c66dd9eddp-8, -0x1.e3d88a3273407p-8, -0x1.d5a4791f8d9d8p-8, -0x1.c7d42e2179a62p-8, -0x1.ba654ee8db78p-8, -0x1.ad558bd5bcccdp-8, -0x1.a0a29fe1eee6p-8, -0x1.944a508aa2a73p-8, -0x1.884a6db96b81ep-8, -0x1.7ca0d1ac7de93p-8, -0x1.714b60de4cc46p-8, -0x1.664809eccf0fbp-8, -0x1.5b94c5801aa22p-8, -0x1.512f96306dfd7p-8, -0x1.4716886bd120cp-8, -0x1.3d47b25b4d5dbp-8, -0x1.33c133c7c1893p-8, -0x1.2a8135fe3078dp-8, -0x1.2185ebb3f7db4p-8, -0x1.18cd90ea68988p-8, -0x1.10566ad26713ap-8, -0x1.081ec7afa2b6fp-8, -0x1.0024febb6a6c3p-8, -0x1.f0cee00f1e4e8p-9, -0x1.e1c908c1ba579p-9, -0x1.d3355a6357adfp-9, -0x1.c510c8c8126a3p-9, -0x1.b7585887ee152p-9, -0x1.aa091ec2f637ap-9, -0x1.9d2040e528df4p-9, -0x1.909af46a972e2p-9, -0x1.84767ea2ed5b7p-9, -0x1.78b034757effp-9, -0x1.6d457a24f8baap-9, -0x1.6233c31362f36p-9, -0x1.57789185ed603p-9, -0x1.4d1176692e9p-9, -0x1.42fc1115152fdp-9, -0x1.39360f1194c71p-9, -0x1.2fbd2bdae89e8p-9, -0x1.268f30a6921d5p-9, -0x1.1da9f4286d1afp-9, -0x1.150b5a57e1765p-9, -0x1.0cb15435cf043p-9, -0x1.0499df92208a2p-9, -0x1.f9860da4d2022p-10, -0x1.ea55c1713f9a8p-10, -0x1.db9f2053d9748p-10, -0x1.cd5e87ecd3f14p-10, -0x1.bf906d41d9babp-10, -0x1.b2315c4edbe3ap-10, -0x1.a53df79809039p-10, -0x1.98b2f7bbe3d9dp-10, -0x1.8c8d2b0744d44p-10, -0x1.80c97509d76ffp-10, -0x1.7564ce2b960dap-10, -0x1.6a5c4343c5b4dp-10, -0x1.5facf530b13e1p-10, -0x1.5554187080373p-10, -0x1.4b4ef4bb19be5p-10, -0x1.419ae49dc0b79p-10, -0x1.38355516f8112p-10, -0x1.2f1bc5342722ep-10, -0x1.264bc5b0686bdp-10, -0x1.1dc2f89425385p-10, -0x1.157f10d66622ep-10, -0x1.0d7dd1ff43cefp-10, -0x1.05bd0fcb2f407p-10, -0x1.fc755b9fc2d9dp-11, -0x1.ede93e44aa25fp-11, -0x1.dfd1cbfc82ce6p-11, -0x1.d22b26dcd2321p-11, -0x1.c4f18ded097eap-11, -0x1.b8215c7cc961dp-11, -0x1.abb7097c38b54p-11, -0x1.9faf26d7d465bp-11, -0x1.940660d5f22d5p-11, -0x1.88b97d768a4b7p-11, -0x1.7dc55bd6cca9cp-11, -0x1.7326f395fa7d4p-11, -0x1.68db543dc13edp-11, -0x1.5edfa4ac251c1p-11, -0x1.55312280d99bbp-11, -0x1.4bcd218be171ep-11, -0x1.42b10b4073cd9p-11, -0x1.39da5e28fc79cp-11, -0x1.3146ad5df3532p-11, -0x1.28f39ffed353cp-11, -0x1.20def0ae55b62p-11, -0x1.19066d1028132p-11, -0x1.1167f549b8346p-11, -0x1.0a017b8578e1dp-11, -0x1.02d1037788e4bp-11, -0x1.f7a943cbcea23p-12, -0x1.ea14f8636800ap-12, -0x1.dce18fc915ea6p-12, -0x1.d00b947cd0df9p-12, -0x1.c38faf8d1f238p-12, -0x1.b76aa7bdff381p-12, -0x1.ab9960b2245f2p-12, -0x1.a018da1b0d432p-12, -0x1.94e62eed026c4p-12, -0x1.89fe949502c0bp-12, -0x1.7f5f5a3624a59p-12, -0x1.7505e7e8d734fp-12, -0x1.6aefbdffa587dp-12, -0x1.611a744f5fa4cp-12, -0x1.5783b97bd2516p-12, -0x1.4e295247962b2p-12, -0x1.450918e8c9f59p-12, -0x1.3c20fc610343fp-12, -0x1.336effd9cc379p-12, -0x1.2af13a04a3b62p-12, -0x1.22a5d47dd4813p-12, -0x1.1a8b0b33f4686p-12, -0x1.129f2bd2d295cp-12, -0x1.0ae09531edb98p-12, -0x1.034db6c5dac2bp-12, -0x1.f7ca202f0dafbp-13, -0x1.e94a6074963c6p-13, -0x1.db196a9375df5p-13, -0x1.cd3497d095604p-13, -0x1.bf995d8497beap-13, -0x1.b2454c27df927p-13, -0x1.a5360e63f4b9fp-13, -0x1.9869682bc4a16p-13, -0x1.8bdd35d8e611bp-13, -0x1.7f8f6b4f5bb93p-13, -0x1.737e1328f3dd8p-13, -0x1.67a74de47b221p-13, -0x1.5c095118dab5bp-13, -0x1.50a266b305831p-13, -0x1.4570ec3288cd6p-13, -0x1.3a7351f13a2c3p-13, -0x1.2fa81a6c2d64dp-13, -0x1.250dd99514c88p-13, -0x1.1aa334258542cp-13, -0x1.1066def8d08dep-13, -0x1.06579e6a2960ep-13, -0x1.f8e88b6f9d7e6p-14, -0x1.e5776cd507ebep-14, -0x1.d259bf852dabep-14, -0x1.bf8d7c4d6d664p-14, -0x1.ad10b53348628p-14, -0x1.9ae194667b956p-14, -0x1.88fe5b3ac2734p-14, -0x1.7765612b83a0fp-14, -0x1.661512e565694p-14, -0x1.550bf15880f5ap-14, -0x1.444890d1d10cbp-14, -0x1.33c9981aaddeap-14, -0x1.238dbfa2ce27cp-14, -0x1.1393d0b02d635p-14, -0x1.03daa4952d2b7p-14, -0x1.e8c247d5d7b7cp-15, -0x1.ca4c8bad5a199p-15, -0x1.ac521ea399d45p-15, -0x1.8ed124f89cfc6p-15, -0x1.71c7dbe01f6e4p-15, -0x1.553498407e597p-15, -0x1.3915c5744ffb4p-15, -0x1.1d69e4153d52ap-15, -0x1.022f88d90a63ap-15, -0x1.cecab6e880b4bp-16, -0x1.9a142b181e39bp-16, -0x1.6639035d6c79ep-16, -0x1.3336f4ab1f73fp-16, -0x1.010bd1e6a1f4ep-16, -0x1.9f6b14263b6e6p-17, -0x1.3e644d1d83fc3p-17, -0x1.bdff258133432p-18, -0x1.0272ae801d57ep-18, -0x1.2871bea2d60cbp-20, 0x1.ac283272da0fbp-20, 0x1.1d06f1896d71dp-18, 0x1.cbe02581971eap-18, 0x1.3bcda79bf30e9p-17, 0x1.901eed6c8a1d9p-17, 0x1.e2e67f5d1f1dep-17, 0x1.1a136ff865fffp-16, 0x1.41f13da0f4da9p-16, 0x1.690dd48668ebep-16, 0x1.8f6a575bb6b9dp-16, 0x1.b507e09638d0cp-16, 0x1.d9e783513d481p-16, 0x1.fe0a4c2fbc065p-16, 0x1.10b8a115c9942p-15, 0x1.220eb3acd6e3cp-15, 0x1.3307dcd26994ep-15, 0x1.43a499c259fbbp-15, 0x1.53e5664f7b5aap-15, 0x1.63cabd353cf2p-15, 0x1.7355185e34b72p-15, 0x1.8284f12fd337dp-15, 0x1.915ac0ca96dc4p-15, 0x1.9fd7004883489p-15, 0x1.adfa28f7ac9f2p-15, 0x1.bbc4b48fe200cp-15, 0x1.c9371d6772e85p-15, 0x1.d651de9f4306bp-15, 0x1.e31574524bc7ep-15, 0x1.ef825bbc04391p-15, 0x1.fb99136152e44p-15, 0x1.03ad0d98f5666p-14, 0x1.0962fa53f7b6ep-14, 0x1.0eee9171914ep-14, 0x1.14501562dd977p-14, 0x1.1987c985d0ad8p-14, 0x1.1e95f22ffa4a7p-14, 0x1.237ad4b7ee7ccp-14, 0x1.2836b77e76559p-14, 0x1.2cc9e1f514c32p-14, 0x1.31349ca53f341p-14, 0x1.35773133e9846p-14, 0x1.3991ea67ef1ap-14, 0x1.3d85142c9a269p-14, 0x1.4150fb94e9af6p-14, 0x1.44f5eedd15c2dp-14, 0x1.48743d6b5d605p-14, 0x1.4bcc37d0759e1p-14, 0x1.4efe2fc76e47bp-14, 0x1.520a7834968p-14, 0x1.54f1652360aeep-14, 0x1.57b34bc51623bp-14, 0x1.5a50826db5712p-14, 0x1.5cc9608fda2b6p-14, 0x1.5f1e3eb9e0fb1p-14, 0x1.614f769048ce2p-14, 0x1.635d62ca4a67cp-14, 0x1.65485f2bf297p-14, 0x1.6710c880f0ee8p-14, 0x1.68b6fc9663cc4p-14, 0x1.6a3b5a347ac49p-14, 0x1.6b9e4117a7614p-14, 0x1.6ce011ea6055cp-14, 0x1.6e012e3cac587p-14, 0x1.6f01f87e483d5p-14, 0x1.6fe2d3f5fb67ap-14, 0x1.70a424ba182dp-14, 0x1.71464fa8c0c5bp-14, 0x1.71c9ba5eb8993p-14, 0x1.722ecb2fc65ddp-14, 0x1.7275e91ddcc45p-14, 0x1.729f7bd045a93p-14, 0x1.72abeb8b83666p-14, 0x1.729ba127a09a2p-14, 0x1.726f0607ff18ep-14, 0x1.72268412102fep-14, 0x1.71c285a44f054p-14, 0x1.7143758cffe0ep-14, 0x1.70a9bf012978p-14, 0x1.6ff5cd93e6d94p-14, 0x1.6f280d2c8c827p-14, 0x1.6e40e9fe2588dp-14, 0x1.6d40d07e5dc29p-14, 0x1.6c282d5bfe0c7p-14, 0x1.6af76d765b658p-14, 0x1.69aefdd439873p-14, 0x1.684f4b9abb5cep-14, 0x1.66d8c404aa212p-14, 0x1.654bd459c325cp-14, 0x1.63a8e9e54c998p-14, 0x1.61f071ef28bc2p-14, 0x1.6022d9b1843ccp-14, 0x1.5e408e5123a17p-14, 0x1.5c49fcd54637dp-14, 0x1.5a3f921eeeffdp-14, 0x1.5821bae1466e9p-14, 0x1.55f0e3990fd7fp-14, 0x1.53ad788551a0fp-14, 0x1.5157e59f4c2f9p-14, 0x1.4ef09693003f3p-14, 0x1.4c77f6b76c6ep-14, 0x1.49ee71079a22dp-14, 0x1.4754701ade87p-14, 0x1.44aa5e1e3795ep-14, 0x1.41f0a4cd165bcp-14, 0x1.3f27ad6af8bb1p-14, 0x1.3c4fe0bc6d7e8p-14, 0x1.3969a7007f48p-14, 0x1.367567ead9c44p-14, 0x1.33738a9d14e56p-14, 0x1.306475a0e1d55p-14, 0x1.2d488ee21cb53p-14, 0x1.2a203ba96bc5fp-14, 0x1.26ebe095d2555p-14, 0x1.23abe1985c22bp-14, 0x1.2060a1ee13602p-14, 0x1.1d0a841b034b9p-14, 0x1.19a9e9e59daecp-14, 0x1.163f34518853ap-14, 0x1.12cac39b098acp-14, 0x1.0f4cf732d3447p-14, 0x1.0bc62db999342p-14, 0x1.0836c4fb90404p-14, 0x1.049f19ecd87f4p-14, 0x1.00ff88a532282p-14, 0x1.fab0d8b91a0f4p-15, 0x1.f3543ecf2ade3p-15, 0x1.ebe9f667c12a5p-15, 0x1.e472b08a047fp-15, 0x1.dcef1c6266e99p-15, 0x1.d55fe73cc8bcp-15, 0x1.cdc5bc7f0ba3ep-15, 0x1.c62145a34c679p-15, 0x1.be732a331faf5p-15, 0x1.b6bc0fc2d2687p-15, 0x1.aefc99ec04117p-15, 0x1.a7356a4a85cdfp-15, 0x1.9f672077bca88p-15, 0x1.97925a06b3498p-15, 0x1.8fb7b280e4266p-15, 0x1.87d7c362ee122p-15, 0x1.7ff324196b64fp-15, 0x1.780a69ff0e1dfp-15, 0x1.701e28591acfp-15, 0x1.682ef05573739p-15, 0x1.603d5108cddf8p-15, 0x1.5849d76ca1678p-15, 0x1.50550e5e1c43fp-15, 0x1.485f7e9bddb36p-15, 0x1.4069aec5bf934p-15, 0x1.3874235bbca15p-15, 0x1.307f5ebd1625cp-15, 0x1.288be1281efcep-15, 0x1.209a28ba5ee63p-15, 0x1.18aab16eaea64p-15, 0x1.10bdf51f3b998p-15, 0x1.08d46b857271fp-15, 0x1.00ee8a39b38eap-15, 0x1.f219896956d52p-16, 0x1.e25f18a1435d1p-16, 0x1.d2aea09350c6dp-16, 0x1.c308fb7de01dep-16, 0x1.b36eff6917b9ep-16, 0x1.a3e17e2940878p-16, 0x1.94614562e43c3p-16, 0x1.84ef1e8ce066cp-16, 0x1.758bcef60be8ep-16, 0x1.663817c92654cp-16, 0x1.56f4b61123866p-16, 0x1.47c262bd81536p-16, 0x1.38a1d2a8b60f3p-16, 0x1.2993b69c4c956p-16, 0x1.1a98bb557fdeep-16, 0x1.0bb1898d84625p-16, 0x1.f9bd8bfb84c3ap-17, 0x1.dc4222cd04cf3p-17, 0x1.bef2112d192f2p-17, 0x1.a1ce88e0e3da9p-17, 0x1.84d8b3e3d114bp-17, 0x1.6811b4751ff4p-17, 0x1.4b7aa5277a167p-17, 0x1.2f1498ef504bbp-17, 0x1.12e09b31e85e4p-17, 0x1.edbf5fa9f63d3p-18, 0x1.b625a69a60a6dp-18, 0x1.7ef5f565080a1p-18, 0x1.4832279d718bcp-18, 0x1.11dc0a5986067p-18, 0x1.b7eab8a95865fp-19, 0x1.4cff9c25e42f3p-19, 0x1.c5f4080a08574p-20, 0x1.e7746518dce1p-21, 0x1.1abe94a2715edp-23, -0x1.565a677fd2d43p-21, -0x1.77cf324cfb8a9p-20, -0x1.2144583a2a1e1p-19, -0x1.85aa3543da40fp-19, -0x1.e916a88cc92b6p-19, -0x1.25c3a21db94ecp-18, -0x1.567cda01f3acp-18, -0x1.86b5de6cf61bap-18, -0x1.b66d9e54a82b2p-18, -0x1.e5a31501960fap-18, -0x1.0a2aa4f40ac4p-17, -0x1.2141a83d66fbap-17, -0x1.38162406d9ea9p-17, -0x1.4ea7add39febap-17, -0x1.64f5e0ee9098dp-17, -0x1.7b005e5524572p-17, -0x1.90c6cca31d74ep-17, -0x1.a648d7feb9539p-17, -0x1.bb8632053c12ap-17, -0x1.d07e91b5a33ddp-17, -0x1.e531b35b76bf4p-17, -0x1.f99f587eea44p-17, -0x1.06e3a3e68ff2fp-16, -0x1.10d4a682e1f66p-16, -0x1.1aa29c72a3376p-16, -0x1.244d7089b55p-16, -0x1.2dd5100666df4p-16, -0x1.37396a8840b17p-16, }}, 
      {{-0x1.1866651120ca1p-6, -0x1.179e78d19f104p-5, -0x1.a185d9a0b79bp-5, -0x1.14a0924dfe19cp-4, -0x1.57200b06ebea5p-4, -0x1.9805f54d1212ep-4, -0x1.d7239cebf1b3ap-4, -0x1.0a2b2ccc4b4e8p-3, -0x1.27c34b16088dfp-3, -0x1.44535408900bp-3, -0x1.5fd8c9309db3cp-3, -0x1.7a54e3bb77074p-3, -0x1.93cbfab3f8163p-3, -0x1.ac44f2a4bacb7p-3, -0x1.c3c8b8ef36779p-3, -0x1.da61cc00d0405p-3, -0x1.f01bd0c1c19b8p-3, -0x1.02819a8712cebp-2, -0x1.0c926f56af56bp-2, -0x1.1646f3012f9fdp-2, -0x1.1fa5adc710faep-2, -0x1.28b50ba6ef272p-2, -0x1.317b487d6c094p-2, -0x1.39fe601b37a26p-2, -0x1.424401db94a5dp-2, -0x1.4a51874ca2074p-2, -0x1.522bed827fe45p-2, -0x1.59d7d0b6cfe31p-2, -0x1.615969de8a3ecp-2, -0x1.68b48de8828acp-2, -0x1.6fecae5efe674p-2, -0x1.7704db2e75cbbp-2, -0x1.7dffc55aa9db5p-2, -0x1.84dfc271efd17p-2, -0x1.8ba6d094a27b6p-2, -0x1.92569aec3552ep-2, -0x1.98f07e7274d6fp-2, -0x1.9f758eee031e5p-2, -0x1.a5e69c0d30345p-2, -0x1.ac44368be9657p-2, -0x1.b28eb554ad8dep-2, -0x1.b8c63a8f4c5b5p-2, -0x1.beeab892a374cp-2, -0x1.c4fbf6b0c2823p-2, -0x1.caf995d6b5356p-2, -0x1.d0e314fad3d3ep-2, -0x1.d6b7d555d786ep-2, -0x1.dc771e642c5eep-2, -0x1.e22021ade40fdp-2, -0x1.e7b1fe549bae3p-2, -0x1.ed2bc46740a13p-2, -0x1.f28c77fc4c15fp-2, -0x1.f7d314136e51cp-2, -0x1.fcfe8d4013d8cp-2, -0x1.0106ea0f34a74p-1, -0x1.037febca66333p-1, -0x1.05e9c371dc9c2p-1, -0x1.0843e9c32e677p-1, -0x1.0a8dd9730d5b2p-1, -0x1.0cc70ff1a1be9p-1, -0x1.0eef0e1aab207p-1, -0x1.110558d288e71p-1, -0x1.130979914c0f7p-1, -0x1.14fafedcf0332p-1, -0x1.16d97cb3caf85p-1, -0x1.18a48ce83ff6p-1, -0x1.1a5bcf6eb85bdp-1, -0x1.1bfeea9ed6694p-1, -0x1.1d8d8b68cdcd9p-1, -0x1.1f07657fc5322p-1, -0x1.206c337a15243p-1, -0x1.21bbb6e82e04ep-1, -0x1.22f5b862e9259p-1, -0x1.241a0791f5a6ap-1, -0x1.25287b2b11746p-1, -0x1.2620f0eaaa841p-1, -0x1.27034d8684018p-1, -0x1.27cf7c9aed7c2p-1, -0x1.288570930eb2cp-1, -0x1.2925228cc7f94p-1, -0x1.29ae92389bfd6p-1, -0x1.2a21c5b60fc44p-1, -0x1.2a7ec96ce6b1ep-1, -0x1.2ac5afe39ab25p-1, -0x1.2af691936a3e6p-1, -0x1.2b118cba4cb65p-1, -0x1.2b16c52b1bcd9p-1, -0x1.2b06641c3945ep-1, -0x1.2ae097f4f282ap-1, -0x1.2aa59419e1107p-1, -0x1.2a5590b87e39cp-1, -0x1.29f0ca922264fp-1, -0x1.297782c69ca6fp-1, -0x1.28e9fe9e92b33p-1, -0x1.28488755d0be3p-1, -0x1.279369e5aeecep-1, -0x1.26caf6cfb1eb7p-1, -0x1.25ef81e881b7ap-1, -0x1.25016223595d7p-1, -0x1.2400f15e04fabp-1, -0x1.22ee8c2d89f6cp-1, -0x1.21ca91ab8da9fp-1, -0x1.209563448d5d8p-1, -0x1.1f4f6486fb6f5p-1, -0x1.1df8faf34e219p-1, -0x1.1c928dcd12ffdp-1, -0x1.1b1c85ed0de3bp-1, -0x1.19974d9471aacp-1, -0x1.180350413ba2dp-1, -0x1.1660fa83b8b58p-1, -0x1.14b0b9d53c3dep-1, -0x1.12f2fc700d96ep-1, -0x1.1128312890582p-1, -0x1.0f50c747ac16cp-1, -0x1.0d6d2e6674fd9p-1, -0x1.0b7dd64b184eap-1, -0x1.09832ec70b467p-1, -0x1.077da7967f022p-1, -0x1.056db04117e05p-1, -0x1.0353b7fbe5fp-1, -0x1.01302d8c9f505p-1, -0x1.fe06fe5c2b5b6p-2, -0x1.f99c34ebd304dp-2, -0x1.f520d876e57b6p-2, -0x1.f095c0ffbc521p-2, -0x1.ebfbc4aef2c6fp-2, -0x1.e753b7a854bd7p-2, -0x1.e29e6be21a2d8p-2, -0x1.dddcb0fe61d76p-2, -0x1.d90f5426e511ap-2, -0x1.d4371fead6a1p-2, -0x1.cf54dc1edfd6bp-2, -0x1.ca694dbf34ed5p-2, -0x1.c57536d3ab873p-2, -0x1.c0795655d18c2p-2, -0x1.bb766818edf87p-2, -0x1.b66d24b3e5752p-2, -0x1.b15e416cf03fbp-2, -0x1.ac4a702717457p-2, -0x1.a7325f516d71dp-2, -0x1.a216b9d7f014fp-2, -0x1.9cf8271607c8cp-2, -0x1.97d74aca9d83ep-2, -0x1.92b4c50dacfcbp-2, -0x1.8d913247545bap-2, -0x1.886d2b2846d94p-2, -0x1.834944a3a0162p-2, -0x1.7e260fea04d1ap-2, -0x1.79041a6605905p-2, -0x1.73e3edb9b7c36p-2, -0x1.6ec60fbd759b1p-2, -0x1.69ab027fbdeb8p-2, -0x1.6493444621ab8p-2, -0x1.5f7f4f8f3640ep-2, -0x1.5a6f9b15819bfp-2, -0x1.556499d3519eep-2, -0x1.505ebb0776e6p-2, -0x1.4b5e6a3ad31bap-2, -0x1.46640f46b590ep-2, -0x1.41700e5bf8e99p-2, -0x1.3c82c80ad4387p-2, -0x1.379c994b5ab6p-2, -0x1.32bddb869dc0cp-2, -0x1.2de6e4a065479p-2, -0x1.291807017aa83p-2, -0x1.245191a2770e5p-2, -0x1.1f93d0170f9b6p-2, -0x1.1adf0a99d5aap-2, -0x1.1633861863b36p-2, -0x1.1191843fed99dp-2, -0x1.0cf9438a2bfd7p-2, -0x1.086aff4a9d542p-2, -0x1.03e6efbc1387cp-2, -0x1.feda941d0a9efp-3, -0x1.f5fc80ea405fdp-3, -0x1.ed340469258d5p-3, -0x1.e48177630c49ap-3, -0x1.dbe52cfe8b90bp-3, -0x1.d35f72dd14a7cp-3, -0x1.caf09138cc47bp-3, -0x1.c298cb0292663p-3, -0x1.ba585e00397eap-3, -0x1.b22f82ead83ep-3, -0x1.aa1e6d8d39174p-3, -0x1.a2254ce248154p-3, -0x1.9a444b3394e7ep-3, -0x1.927b8e37c2783p-3, -0x1.8acb3730f2f81p-3, -0x1.8333630b16098p-3, -0x1.7bb42a7a262fep-3, -0x1.744da21834feap-3, -0x1.6cffda835ce5p-3, -0x1.65cae07b7648p-3, -0x1.5eaebcff9edf3p-3, -0x1.57ab756b7f191p-3, -0x1.50c10b9455715p-3, -0x1.49ef7de5b621dp-3, -0x1.4336c77e06376p-3, -0x1.3c96e04a9eb0ap-3, -0x1.360fbd23a85d9p-3, -0x1.2fa14fe799a02p-3, -0x1.294b879659942p-3, -0x1.230e506c089cfp-3, -0x1.1ce993fb6ad54p-3, -0x1.16dd3947e72edp-3, -0x1.10e924df28741p-3, -0x1.0b0d38f252182p-3, -0x1.0549556ece1d8p-3, -0x1.ff3ab02d4f83p-4, -0x1.f4123931090a1p-4, -0x1.e918f94e3d16fp-4, -0x1.de4ea020baacfp-4, -0x1.d3b2d9a7e4f6bp-4, -0x1.c9454e730b835p-4, -0x1.bf05a3cce4d99p-4, -0x1.b4f37be618084p-4, -0x1.ab0e75fedc3c4p-4, -0x1.a1562e8fb566bp-4, -0x1.97ca3f713ba67p-4, -0x1.8e6a40030ad6ap-4, -0x1.8535c551b4425p-4, -0x1.7c2c623bcf56ep-4, -0x1.734da796243b9p-4, -0x1.6a99244ee7dc2p-4, -0x1.620e659013f4cp-4, -0x1.59acf6e0d903p-4, -0x1.51746246290d7p-4, -0x1.4964306262ff6p-4, -0x1.417be8941871p-4, -0x1.39bb1113f8f08p-4, -0x1.32212f11d9d3ap-4, -0x1.2aadc6d0e8fedp-4, -0x1.23605bc301d61p-4, -0x1.1c3870a32d7cbp-4, -0x1.1535878f5163p-4, -0x1.0e57222107606p-4, -0x1.079cc185ab7e7p-4, -0x1.0105e6959cd0ep-4, -0x1.f52423d56965p-5, -0x1.e88187ebf198fp-5, -0x1.dc22fa2913afcp-5, -0x1.d0077b47a596p-5, -0x1.c42e0c29f7941p-5, -0x1.b895adff480c4p-5, -0x1.ad3d6267c4605p-5, -0x1.a2242b9730afp-5, -0x1.97490c7624d1p-5, -0x1.8cab08c1f4c06p-5, -0x1.8249252b4c81fp-5, -0x1.7822677378871p-5, -0x1.6e35d68870b2ap-5, -0x1.64827a9fa05ffp-5, -0x1.5b075d4f8195fp-5, -0x1.51c389a7fb91bp-5, -0x1.48b60c49a3f89p-5, -0x1.3fddf37bd76fap-5, -0x1.373a4f41bad5ep-5, -0x1.2eca316e23b93p-5, -0x1.268cadb679f72p-5, -0x1.1e80d9c489be8p-5, -0x1.16a5cd475e386p-5, -0x1.0efaa2031cc07p-5, -0x1.077e73dfec49ap-5, -0x1.003060f7f4e5ap-5, -0x1.f21f1348f0f99p-6, -0x1.e43621140b89fp-6, -0x1.d6a43547b3bfep-6, -0x1.c9679e9cd1c5fp-6, -0x1.bc7eb0a23a3bp-6, -0x1.afe7c3ce9ba54p-6, -0x1.a3a13590e5596p-6, -0x1.97a9685f47804p-6, -0x1.8bfec3c4b93b7p-6, -0x1.809fb46d26af1p-6, -0x1.758aac304dfbp-6, -0x1.6abe221b4bd6dp-6, -0x1.60389278fe856p-6, -0x1.55f87ed9191f5p-6, -0x1.4bfc6e162e477p-6, -0x1.4242ec5a83d7bp-6, -0x1.38ca8b23e71dbp-6, -0x1.2f91e1466bd68p-6, -0x1.26978aee36fcap-6, -0x1.1dda29a045eccp-6, -0x1.1558643a5e364p-6, -0x1.0d10e6f200cc5p-6, -0x1.050263529fec6p-6, -0x1.fa572075e643cp-7, -0x1.eb1653b309b39p-7, -0x1.dc3fe35110994p-7, -0x1.cdd15cd1e5a31p-7, -0x1.bfc85839d194dp-7, -0x1.b2227803062b1p-7, -0x1.a4dd690fedbe5p-7, -0x1.97f6e29c410d9p-7, -0x1.8b6ca62d15db4p-7, -0x1.7f3c7f7fc1c4dp-7, -0x1.73644477c8384p-7, -0x1.67e1d50bc844cp-7, -0x1.5cb31b318aa69p-7, -0x1.51d60ac93444cp-7, -0x1.4748a187a720dp-7, -0x1.3d08e6e01b919p-7, -0x1.3314ebecffb73p-7, -0x1.296acb584299cp-7, -0x1.2008a942d49e1p-7, -0x1.16ecb32bc8469p-7, -0x1.0e151fd6b92e8p-7, -0x1.05802f31c0e21p-7, -0x1.fa58547600ef8p-8, -0x1.ea2ec5cb5942p-8, -0x1.da8067fd87c0fp-8, -0x1.cb4a0222b61e4p-8, -0x1.bc886c953edcp-8, -0x1.ae3890bb1b212p-8, -0x1.a05768ccbd0fcp-8, -0x1.92e1ff9b81f6fp-8, -0x1.85d57057dd4cap-8, -0x1.792ee656ee329p-8, -0x1.6ceb9cd7e7a85p-8, -0x1.6108dec946ec6p-8, -0x1.5584068dc3c68p-8, -0x1.4a5a7dc14e9c5p-8, -0x1.3f89bcfda8ea2p-8, -0x1.350f4b9f3a878p-8, -0x1.2ae8bf89b6cap-8, -0x1.2113bcecdea66p-8, -0x1.178df60958355p-8, -0x1.0e552af5a8902p-8, -0x1.056729634671dp-8, -0x1.f98398c7b844p-9, -0x1.e8c5f85d89886p-9, -0x1.d8915bcdb9effp-9, -0x1.c8e1c6c0d90c6p-9, -0x1.b9b355cf39966p-9, -0x1.ab023e0e38e41p-9, -0x1.9ccacc9e1afe8p-9, -0x1.8f09663921672p-9, -0x1.81ba86c2facf5p-9, -0x1.74dac0d9623e8p-9, -0x1.6866bd65737cep-9, -0x1.5c5b3b2e28bb4p-9, -0x1.50b50e6b874edp-9, -0x1.4571205ae2852p-9, -0x1.3a8c6ed455c8cp-9, -0x1.30040be128f52p-9, -0x1.25d51d534c73fp-9, -0x1.1bfcdc5e36e2fp-9, -0x1.1278953050965p-9, -0x1.0945a68e3c7d7p-9, -0x1.0061816ed76c7p-9, -0x1.ef93513139bep-10, -0x1.def760806e70fp-10, -0x1.ceea7b50bf11ap-10, -0x1.bf680d85ffc68p-10, -0x1.b06ba3a6c478p-10, -0x1.a1f0ea23c88b6p-10, -0x1.93f3aca1ad97bp-10, -0x1.866fd5458cef3p-10, -0x1.79616c03b67a2p-10, -0x1.6cc495f19917dp-10, -0x1.60959499cf4fap-10, -0x1.54d0c552d0ac2p-10, -0x1.4972a098c4bafp-10, -0x1.3e77b96954144p-10, -0x1.33dcbca29b06dp-10, -0x1.299e70648301bp-10, -0x1.1fb9b374b0e4dp-10, -0x1.162b7ca534227p-10, -0x1.0cf0da3dda8a7p-10, -0x1.0406f167e468cp-10, -0x1.f6d5fb38f6f6p-11, -0x1.e634a02b8aa94p-11, -0x1.d6249e855054cp-11, -0x1.c6a0ec7984015p-11, -0x1.b7a4a8826848bp-11, -0x1.a92b1857960bep-11, -0x1.9b2fa7e97c0bep-11, -0x1.8dade86261f06p-11, -0x1.80a18f2aec329p-11, -0x1.740674f4f3c03p-11, -0x1.67d894cabaf67p-11, -0x1.5c140b22d1056p-11, -0x1.50b514f8c174dp-11, -0x1.45b80eea70b7fp-11, -0x1.3b19745a4ecafp-11, -0x1.30d5de9619d2fp-11, -0x1.26ea040259bb9p-11, -0x1.1d52b749db7fbp-11, -0x1.140ce6923e9bbp-11, -0x1.0b159ab48bd9ap-11, -0x1.0269f67a364b5p-11, -0x1.f40e6bbce04c8p-12, -0x1.e3d55aa790f58p-12, -0x1.d423921bd444ep-12, -0x1.c4f4189eda891p-12, -0x1.b6422177dbc06p-12, -0x1.a8090b5bc335ap-12, -0x1.9a445f213412cp-12, -0x1.8cefce7ba3ffbp-12, -0x1.800732bf54055p-12, -0x1.73868bab2c57ap-12, -0x1.6769fe3ba5adbp-12, -0x1.5badd38456b51p-12, -0x1.504e77906f7d2p-12, -0x1.4548784a7050dp-12, -0x1.3a98846aeae6fp-12, -0x1.303b6a6dc741cp-12, -0x1.262e178f797bp-12, -0x1.1c6d96ced30eap-12, -0x1.12f70ff6b78ebp-12, -0x1.09c7c6adc0dbcp-12, -0x1.00dd198c6aa5dp-12, -0x1.f06902716c32ap-13, -0x1.df971f123efb8p-13, -0x1.cf3fdd5668f35p-13, -0x1.bf5ec0a4406ep-13, -0x1.afef79d49a246p-13, -0x1.a0ede5a3c70f1p-13, -0x1.92560b2ea754dp-13, -0x1.84241a7b36775p-13, -0x1.76546b08c312bp-13, -0x1.68e37a6d2fc6fp-13, -0x1.5bcdeafc3313fp-13, -0x1.4f10827558975p-13, -0x1.42a828bf1643cp-13, -0x1.3691e6a97c0d7p-13, -0x1.2acae4baf5728p-13, -0x1.1f506a04e003fp-13, -0x1.141fdb029c475p-13, -0x1.0936b87f9c529p-13, -0x1.fd253d0c8e6dfp-14, -0x1.e86286b1a8527p-14, -0x1.d420ecddfa1b3p-14, -0x1.c05c3efc20ad6p-14, -0x1.ad107b0ee66a4p-14, -0x1.9a39cbdf45511p-14, -0x1.87d48737a5185p-14, -0x1.75dd2c2cdd12dp-14, -0x1.64506177041ddp-14, -0x1.532af3d44ada3p-14, -0x1.4269d47d4e26fp-14, -0x1.320a17a5017acp-14, -0x1.2208f303f2f7p-14, -0x1.1263bc6f38487p-14, -0x1.0317e87e784ddp-14, -0x1.e8461275c194bp-15, -0x1.cb0599b40ac7ap-15, -0x1.ae69f90d6e6bp-15, -0x1.926ef65ea5afp-15, -0x1.771088c3758eep-15, -0x1.5c4ad662af365p-15, -0x1.421a324f9ba05p-15, -0x1.287b1a7aaff03p-15, -0x1.0f6a35b6a9f73p-15, -0x1.edc8a3a77ccf2p-16, -0x1.bdccc3892c78ap-16, -0x1.8edaf7b315aeap-16, -0x1.60edb027b3a73p-16, -0x1.33ff9cef55d78p-16, -0x1.080baaf9cd7c2p-16, -0x1.ba1a022723d2p-17, -0x1.65fdf9f5246d5p-17, -0x1.13ba611c25c05p-17, -0x1.868d7c746a677p-18, -0x1.d26bd68c5133dp-19, -0x1.3d7a22d6398f8p-20, 0x1.1c1e2562e463bp-20, 0x1.b4151460b5c23p-19, 0x1.69b82332103e6p-18, 0x1.f61d703934818p-18, 0x1.3fa383d68b83bp-17, 0x1.82a081172ba46p-17, 0x1.c40b8104d7dfep-17, 0x1.01f50e9088645p-16, 0x1.2120dd4e23a09p-16, 0x1.3f8bc6d10f72ep-16, 0x1.5d384e3513b51p-16, 0x1.7a28e1139cd99p-16, 0x1.965fd8e8bcba7p-16, 0x1.b1df7c6ad0461p-16, 0x1.ccaa00cff1351p-16, 0x1.e6c18b0476ef7p-16, 0x1.00141869a497p-15, 0x1.0c6ffcff397eap-15, 0x1.187570a56f3d8p-15, 0x1.24256aba1066bp-15, 0x1.2f80dd13a821bp-15, 0x1.3a88b470fd4b6p-15, 0x1.453dd8e3c1bb7p-15, 0x1.4fa12e373ac04p-15, 0x1.59b3944fdb7bdp-15, 0x1.6375e7859bc62p-15, 0x1.6ce900f93b244p-15, 0x1.760db6e419006p-15, 0x1.7ee4dce59774cp-15, 0x1.876f4448b60f3p-15, 0x1.8fadbc44d9265p-15, 0x1.97a1123df3051p-15, 0x1.9f4a11fe2558fp-15, 0x1.a6a985eb28af1p-15, 0x1.adc0373946cddp-15, 0x1.b48eee193d891p-15, 0x1.bb1671e4b2744p-15, 0x1.c157894408256p-15, 0x1.c752fa5442f5cp-15, 0x1.cd098ac991c1p-15, 0x1.d27c000e3f8c2p-15, 0x1.d7ab1f5cbaafap-15, 0x1.dc97adda0bb2ap-15, 0x1.e14270ad11493p-15, 0x1.e5ac2d12bf6eap-15, 0x1.e9d5a86fb026dp-15, 0x1.edbfa861e25ccp-15, 0x1.f16af2cd6e91p-15, 0x1.f4d84dea18beep-15, 0x1.f808804a1bd52p-15, 0x1.fafc50e61b796p-15, 0x1.fdb487227c0b9p-15, 0x1.0018f56ab9344p-14, 0x1.013aa224c3277p-14, 0x1.023fae20850f6p-14, 0x1.03287dfb25becp-14, 0x1.03f5768dc6107p-14, 0x1.04a6fcec9f8b5p-14, 0x1.053d766606055p-14, 0x1.05b9488122a8bp-14, 0x1.061ad8fb0bc6fp-14, 0x1.06628dc40a9c3p-14, 0x1.0690ccfc8c675p-14, 0x1.06a5fcf235ea1p-14, 0x1.06a2841b63c05p-14, 0x1.0686c9132c6bp-14, 0x1.065332952cac3p-14, 0x1.060827787311ep-14, 0x1.05a60eaa94eecp-14, 0x1.052d4f2a1eacfp-14, 0x1.049e500194c85p-14, 0x1.03f97841c43e2p-14, 0x1.033f2efbf5fcp-14, 0x1.026fdb3bcb7acp-14, 0x1.018be401150a8p-14, 0x1.0093b039c6918p-14, 0x1.ff0f4d772583bp-15, 0x1.fcd05c7b3a059p-15, 0x1.fa6b5aa436a1ep-15, 0x1.f7e114bfb3b71p-15, 0x1.f5325736c2a0ep-15, 0x1.f25fee01d1719p-15, 0x1.ef6aa49a011aep-15, 0x1.ec5345eddd5cp-15, 0x1.e91a9c531aae5p-15, 0x1.e5c1717a690fp-15, 0x1.e2488e61cb66cp-15, 0x1.deb0bb47d4164p-15, 0x1.dafabf9ea94e1p-15, 0x1.d72761ffd43e1p-15, 0x1.d337681f7443fp-15, 0x1.cf2b96bfba846p-15, 0x1.cb04b1a534aecp-15, 0x1.c6c37b8a25ffdp-15, 0x1.c268b61374df6p-15, 0x1.bdf521c41fa0fp-15, 0x1.b9697df20c95ap-15, 0x1.b4c688bb8092fp-15, 0x1.b00cfefb7c71ep-15, 0x1.ab3d9c3f63dcfp-15, 0x1.a6591abc0143ap-15, 0x1.a1603343ab7a5p-15, 0x1.9c539d3c14294p-15, 0x1.97340e94ae46ap-15, 0x1.92023bbd0908bp-15, 0x1.8cbed79bbbadfp-15, 0x1.876a938574385p-15, 0x1.82061f34d2707p-15, 0x1.7c9228c17b4fbp-15, 0x1.770f5c97fb949p-15, 0x1.717e65723a186p-15, 0x1.6bdfec5045a81p-15, 0x1.663498707d7ep-15, 0x1.607d0f4937ffcp-15, 0x1.5ab9f481c983dp-15, 0x1.54ebe9ec60622p-15, 0x1.4f138f802b3c4p-15, 0x1.49318352e2303p-15, 0x1.434661940fe0fp-15, 0x1.3d52c4877446cp-15, 0x1.3757447fe1a1cp-15, 0x1.315477dbf786fp-15, 0x1.2b4af30045322p-15, 0x1.253b4853d3efbp-15, 0x1.1f26083c819a8p-15, 0x1.190bc11b6197p-15, 0x1.12ecff494fe22p-15, 0x1.0cca4d144e3fbp-15, 0x1.06a432bc6859ep-15, 0x1.007b3671ca1fbp-15, 0x1.f49fb8a457722p-16, 0x1.e8454ccddc095p-16, 0x1.dbe829470f964p-16, 0x1.cf8949c7c404dp-16, 0x1.c329a5d67fb8ep-16, 0x1.b6ca30c70a74fp-16, 0x1.aa6bd9b8d6f32p-16, 0x1.9e0f8b954b57bp-16, 0x1.91b62d0f8338dp-16, 0x1.8560a0a4df03cp-16, 0x1.790fc49c0b637p-16, 0x1.6cc4730755e3bp-16, 0x1.607f81c3fc669p-16, 0x1.5441c27d7d429p-16, 0x1.480c02aebb17fp-16, 0x1.3bdf0ba3d2a18p-16, 0x1.2fbba27e1146cp-16, 0x1.23a28835f346bp-16, 0x1.1794799e71adp-16, 0x1.0b922f69c07d2p-16, 0x1.ff38bc59d4f41p-17, 0x1.e7676cc823e07p-17, 0x1.cfb1c8efdd1b8p-17, 0x1.b81921835b3bfp-17, 0x1.a09ebf22afcffp-17, 0x1.8943e2668aep-17, 0x1.7209c3eac918p-17, 0x1.5af1945bd2835p-17, 0x1.43fc7c84e2e5ap-17, 0x1.2d2b9d5a8698ap-17, 0x1.1680100b1f07cp-17, 0x1.fff5cc1978b5dp-18, 0x1.d33a525822088p-18, 0x1.a6cfb7324967ap-18, 0x1.7ab7eff8c91c5p-18, 0x1.4ef4e3030ebd3p-18, 0x1.238867d561dcap-18, 0x1.f0e88e89f27bap-19, 0x1.9b7477232dd64p-19, 0x1.46b7e1252b803p-19, 0x1.e56c0f5e641c6p-20, 0x1.3ee41326e4ba8p-20, 0x1.33bba695b4acep-21, -0x1.341c3d5cda8cdp-25, -0x1.5724ea0af7833p-21, -0x1.4bf184c1aad49p-20, -0x1.eab8e5719c6e9p-20, -0x1.43f1d02c7e73cp-19, -0x1.91b6798fee4p-19, -0x1.dea827914ddd3p-19, -0x1.156256326d24fp-18, -0x1.3b04f9bfcc167p-18, -0x1.603b009a24adbp-18, -0x1.850379359d788p-18, -0x1.a95d7e271a26ap-18, -0x1.cd4835f713c54p-18, -0x1.f0c2d2f8fad5cp-18, -0x1.09e6499119d3p-17, -0x1.1b325fef58615p-17, -0x1.2c4556f2297a9p-17, -0x1.3d1ede84848ddp-17, -0x1.4dbeac0dd5c6p-17, -0x1.5e247a58e45fbp-17, -0x1.6e5009800e0e2p-17, -0x1.7e411ed953d43p-17, -0x1.8df784ddc6aacp-17, -0x1.9d730b15d4e9ep-17, -0x1.acb386044676bp-17, -0x1.bbb8cf0f0292p-17, -0x1.ca82c46976257p-17, -0x1.d911490199a3bp-17, -0x1.e76444680141ap-17, -0x1.f57ba2ba8b51bp-17, -0x1.01abaa484a967p-16, -0x1.087ba77282a2p-16, -0x1.0f2dc5806c2abp-16, -0x1.15c20332da33ap-16, -0x1.1c38615d29816p-16, -0x1.2290e2da1c8fep-16, -0x1.28cb8c816d1e6p-16, -0x1.2ee8651db4eb5p-16, -0x1.34e775625e5dcp-16, -0x1.3ac8c7e0bfe4bp-16, -0x1.408c68fe8ce31p-16, -0x1.463266eb93e9p-16, -0x1.4bbad196e2b82p-16, -0x1.5125baa61a2b4p-16, -0x1.5673356aaabb2p-16, -0x1.5ba356d7efab5p-16, -0x1.60b63579b7be3p-16, -0x1.65abe96ac1a8fp-16, -0x1.6a848c4acf536p-16, -0x1.6f4039353acbfp-16, -0x1.73df0cb700e1dp-16, -0x1.786124c6aba68p-16, -0x1.7cc6a0b9abc5p-16, -0x1.810fa13b91c06p-16, -0x1.853c4845801f2p-16, -0x1.894cb9144c5bdp-16, -0x1.8d411820519f6p-16, -0x1.91198b145c2cfp-16, -0x1.94d638c4e4c9ep-16, -0x1.9877492742c79p-16, -0x1.9bfce5493de37p-16, -0x1.9f673748cc1b8p-16, -0x1.a2b66a4b31b49p-16, -0x1.a5eaaa7573339p-16, -0x1.a90424e3917ddp-16, -0x1.ac0307a1167c1p-16, -0x1.aee781a073d0ep-16, -0x1.b1b1c2b3d5611p-16, -0x1.b461fb8466196p-16, -0x1.b6f85d8c31668p-16, -0x1.b9751b0cea997p-16, -0x1.bbd867098b5c3p-16, -0x1.be22753e7d9c4p-16, -0x1.c0537a1aa1f42p-16, -0x1.c26baab84d6f9p-16, -0x1.c46b3cd5a24c9p-16, -0x1.c65266ce647aep-16, -0x1.c8215f94af51p-16, -0x1.c9d85eaa0bd07p-16, -0x1.cb779c194ae8cp-16, -0x1.ccff506f74d22p-16, -0x1.ce6fb4b605505p-16, -0x1.cfc9026be46b3p-16, -0x1.d10b738027479p-16, -0x1.d237424ab82bap-16, -0x1.d34ca9873e40dp-16, -0x1.d44be44ea66a5p-16, -0x1.d5352e11ca2c9p-16, -0x1.d608c2936bce9p-16, -0x1.d6c6dde281be7p-16, -0x1.d76fbc54e3f54p-16, -0x1.d8039a81df6aap-16, -0x1.d882b53ccd21dp-16, -0x1.d8ed49900e194p-16, -0x1.d94394b7b966cp-16, -0x1.d985d41c9dea4p-16, -0x1.d9b4454f599eep-16, -0x1.d9cf26035924p-16, -0x1.d9d6b40a41339p-16, -0x1.d9cb2d4f65104p-16, -0x1.d9accfd2ef21ep-16, -0x1.d97bd9a5d354p-16, -0x1.d93888e517668p-16, -0x1.d8e31bb5c775fp-16, -0x1.d87bd04063c48p-16, -0x1.d802e4ad32369p-16, -0x1.d778972004bcdp-16, -0x1.d6dd25b49c1c6p-16, -0x1.d630ce7a2591ep-16, -0x1.d573cf7017603p-16, }}, 
      {{-0x1.9020d2be760f5p-1, -0x1.90354d84a7571p-1, -0x1.9051daeeefc9p-1, -0x1.90701cf64ba7bp-1, -0x1.90894a1978ae2p-1, -0x1.9096d85481b84p-1, -0x1.9092e5f611e75p-1, -0x1.907873be4d53cp-1, -0x1.90437e8ecfd44p-1, -0x1.8ff1031cc4c09p-1, -0x1.8f7ef33a6d254p-1, -0x1.8eec222e51b6bp-1, -0x1.8e382bfc684a9p-1, -0x1.8d635a5cef36bp-1, -0x1.8c6e8942ec948p-1, -0x1.8b5b0c34ee92fp-1, -0x1.8a2a9546ee1bcp-1, -0x1.88df1e30bd63ap-1, -0x1.877ad3c0eb1fbp-1, -0x1.860003c238de2p-1, -0x1.84710d4cfbd14p-1, -0x1.82d0536a94088p-1, -0x1.812031e4f963fp-1, -0x1.7f62f41541de2p-1, -0x1.7d9acd8092893p-1, -0x1.7bc9d41204641p-1, -0x1.79f1fbc0f7a08p-1, -0x1.781513755c6a6p-1, -0x1.7634c2fe67713p-1, -0x1.745289f36694p-1, -0x1.726fbf5a061aep-1, -0x1.708d91f0dcb77p-1, -0x1.6ead0900a9168p-1, -0x1.6ccf059a0416fp-1, -0x1.6af4442880bafp-1, -0x1.691d5e4729c8ep-1, -0x1.674accc5042ecp-1, -0x1.657ce9cab9301p-1, -0x1.63b3f314ca006p-1, -0x1.61f00c37a6005p-1, -0x1.603140e4d0c7fp-1, -0x1.5e778729c8661p-1, -0x1.5cc2c1a2c66d8p-1, -0x1.5b12c19ca4534p-1, -0x1.5967492234d57p-1, -0x1.57c00cf24a993p-1, -0x1.561cb65c66c8cp-1, -0x1.547ce502ab3b9p-1, -0x1.52e030804173cp-1, -0x1.514629f3ce34ap-1, -0x1.4fae5d6df769bp-1, -0x1.4e18534445611p-1, -0x1.4c839148ed9eap-1, -0x1.4aef9be848cd5p-1, -0x1.495bf72cd4c2cp-1, -0x1.47c827aacbc9dp-1, -0x1.4633b3546566ap-1, -0x1.449e2237ea1aep-1, -0x1.4306ff28c8f87p-1, -0x1.416dd854e1c6ap-1, -0x1.3fd23fc73aaa6p-1, -0x1.3e33cbd94db4dp-1, -0x1.3c9217941ced9p-1, -0x1.3aecc3022d954p-1, -0x1.3943737386bbcp-1, -0x1.3795d3b4c1dedp-1, -0x1.35e3943a32ce8p-1, -0x1.342c6b401f1d2p-1, -0x1.327014e0f2282p-1, -0x1.30ae53224f592p-1, -0x1.2ee6edf9d4a07p-1, -0x1.2d19b34a5902dp-1, -0x1.2b4676da5d4e5p-1, -0x1.296d1244688fap-1, -0x1.278d64e1eb883p-1, -0x1.25a753b14f307p-1, -0x1.23bac937b5f54p-1, -0x1.21c7b55efc341p-1, -0x1.1fce0d5070788p-1, -0x1.1dcdcb4cb795ap-1, -0x1.1bc6ee8148cep-1, -0x1.19b97adbe2214p-1, -0x1.17a578dc5317ep-1, -0x1.158af564ec1c2p-1, -0x1.136a0189e5104p-1, -0x1.1142b25ffd19dp-1, -0x1.0f1520ca95628p-1, -0x1.0ce16949814d3p-1, -0x1.0aa7abc6c03cap-1, -0x1.08680b645347dp-1, -0x1.0622ae4a586b4p-1, -0x1.03d7bd7591ebep-1, -0x1.01876486802ep-1, -0x1.fe63a322552e8p-2, -0x1.f9ae69db6975p-2, -0x1.f4ef8213ae3a6p-2, -0x1.f0275476aa304p-2, -0x1.eb564d26fa7bap-2, -0x1.e67cdb679254fp-2, -0x1.e19b714752fcfp-2, -0x1.dcb2834f1042ap-2, -0x1.d7c2883219c99p-2, -0x1.d2cbf8815794fp-2, -0x1.cdcf4e6103f4ap-2, -0x1.c8cd054110059p-2, -0x1.c3c599983569dp-2, -0x1.beb988a1ba7e3p-2, -0x1.b9a9501dede5dp-2, -0x1.b4956e15509d6p-2, -0x1.af7e609e75a19p-2, -0x1.aa64a5a68833cp-2, -0x1.a548babc7e041p-2, -0x1.a02b1cdee1762p-2, -0x1.9b0c484c3633fp-2, -0x1.95ecb855e4b4bp-2, -0x1.90cce735aa135p-2, -0x1.8bad4de57638ep-2, -0x1.868e63f9b7777p-2, -0x1.81709f7df9a4fp-2, -0x1.7c5474d3d4bebp-2, -0x1.773a56941589dp-2, -0x1.7222b57216134p-2, -0x1.6d0e002131622p-2, -0x1.67fca33c47dp-2, -0x1.62ef092f411ccp-2, -0x1.5de59a227b87cp-2, -0x1.58e0bbe81b9ep-2, -0x1.53e0d1eb272ffp-2, -0x1.4ee63d205f8fep-2, -0x1.49f15bf8c74d1p-2, -0x1.45028a55c94fap-2, -0x1.401a217ee59e3p-2, -0x1.3b387818e521p-2, -0x1.365de21e71a22p-2, -0x1.318ab0da127ccp-2, -0x1.2cbf32e174785p-2, -0x1.27fbb411f3232p-2, -0x1.23407d8e52149p-2, -0x1.1e8dd5bd9874fp-2, -0x1.19e4004b0198ap-2, -0x1.15433e26f2d9fp-2, -0x1.10abcd88e9f05p-2, -0x1.0c1de9f258557p-2, -0x1.0799cc3259b04p-2, -0x1.031faa6a3eaccp-2, -0x1.fd5f7025b7f6bp-3, -0x1.f4944c0524efdp-3, -0x1.ebde44e80bd7cp-3, -0x1.e33db21aea705p-3, -0x1.dab2e5d154761p-3, -0x1.d23e2d36eea7ap-3, -0x1.c9dfd0816c686p-3, -0x1.c1981303856f1p-3, -0x1.b9673340bdaf7p-3, -0x1.b14d6b020849p-3, -0x1.a94aef6b189f9p-3, -0x1.a15ff11063601p-3, -0x1.998c9c0db42c6p-3, -0x1.91d1181d52a7bp-3, -0x1.8a2d88af9738cp-3, -0x1.82a20d02f4c94p-3, -0x1.7b2ec03c59994p-3, -0x1.73d3b97fe3a3dp-3, -0x1.6c910c09d538ep-3, -0x1.6566c747c3a56p-3, -0x1.5e54f6f1f0142p-3, -0x1.575ba324bf379p-3, -0x1.507ad07a46f1bp-3, -0x1.49b28023ef55p-3, -0x1.4302b00408373p-3, -0x1.3c6b5ac76409ep-3, -0x1.35ec77fee11cbp-3, -0x1.2f85fc38d4153p-3, -0x1.2937d91a5fee9p-3, -0x1.2301fd789e799p-3, -0x1.1ce455719f84cp-3, -0x1.16deca8535e1ap-3, -0x1.10f143ad8c1e2p-3, -0x1.0b1ba5777745dp-3, -0x1.055dd21a8a4e2p-3, -0x1.ff6f5321bd7bfp-4, -0x1.f452135d2522ap-4, -0x1.e9639c71e194cp-4, -0x1.dea3a1fa9e7c9p-4, -0x1.d411d3cf0e747p-4, -0x1.c9adde303a77ep-4, -0x1.bf7769f40fd0cp-4, -0x1.b56e1cb021f36p-4, -0x1.ab9198e3b8e93p-4, -0x1.a1e17e2107599p-4, -0x1.985d693598b97p-4, -0x1.8f04f451e8547p-4, -0x1.85d7b7302e32fp-4, -0x1.7cd5473a4da34p-4, -0x1.73fd37aeeeb7dp-4, -0x1.6b4f19c5bcecdp-4, -0x1.62ca7cd2cbd6p-4, -0x1.5a6eee691eaa9p-4, -0x1.523bfa7c54f81p-4, -0x1.4a312b8178caap-4, -0x1.424e0a8ef1a29p-4, -0x1.3a921f7b9acf1p-4, -0x1.32fcf0fcfe953p-4, -0x1.2b8e04c4b67f2p-4, -0x1.2444df9cf0ffp-4, -0x1.1d21058420ccp-4, -0x1.1621f9c7d4ebcp-4, -0x1.0f473f1eb967p-4, -0x1.089057c1c976cp-4, -0x1.01fcc584aca67p-4, -0x1.f71813da90224p-5, -0x1.ea7b4c9501202p-5, -0x1.de2237946c95ap-5, -0x1.d20bd71cee679p-5, -0x1.c6372d83d9527p-5, -0x1.baa33d5712aa2p-5, -0x1.af4f0982ef4b1p-5, -0x1.a43995769812dp-5, -0x1.9961e547017b8p-5, -0x1.8ec6fdd0765adp-5, -0x1.8467e4d6bd81ep-5, -0x1.7a43a123e5809p-5, -0x1.70593aa5b95c4p-5, -0x1.66a7ba89e435ep-5, -0x1.5d2e2b58cdb8dp-5, -0x1.53eb990f338c3p-5, -0x1.4adf113689f95p-5, -0x1.4207a2fc28b61p-5, -0x1.39645f474593fp-5, -0x1.30f458cdd6c3ep-5, -0x1.28b6a428440e3p-5, -0x1.20aa57e412f84p-5, -0x1.18ce8c9575ec5p-5, -0x1.11225ce7d75e7p-5, -0x1.09a4e5ad6255cp-5, -0x1.025545ed8d484p-5, -0x1.f6653de564625p-6, -0x1.e87828ad72505p-6, -0x1.dae1981db6ebp-6, -0x1.cd9fdced0c58dp-6, -0x1.c0b14cb2ca2dap-6, -0x1.b41441f92d4f6p-6, -0x1.a7c71c4e31908p-6, -0x1.9bc84052ddb51p-6, -0x1.901617c9007abp-6, -0x1.84af119f97a1fp-6, -0x1.7991a1fdb8dep-6, -0x1.6ebc424c2796cp-6, -0x1.642d713da373bp-6, -0x1.59e3b2d5ecdfbp-6, -0x1.4fdd906f98261p-6, -0x1.461998c0a8d3fp-6, -0x1.3c965fde29706p-6, -0x1.33527f3e88a82p-6, -0x1.2a4c95bb0d8e1p-6, -0x1.2183479033c9bp-6, -0x1.18f53e5d26983p-6, -0x1.10a129223a408p-6, -0x1.0885bc3e9cfa2p-6, -0x1.00a1b16d19fbep-6, -0x1.f1e78f803d16p-7, -0x1.e2f58739dab05p-7, -0x1.d46add6c410efp-7, -0x1.c645300ae27d9p-7, -0x1.b8822789b5144p-7, -0x1.ab1f76ce211a3p-7, -0x1.9e1adb1ed4864p-7, -0x1.91721c126681dp-7, -0x1.85230b7cd62f6p-7, -0x1.792b855c1fd16p-7, -0x1.6d896fc3c7f2cp-7, -0x1.623abac78b028p-7, -0x1.573d6065234f5p-7, -0x1.4c8f646d472a7p-7, -0x1.422ed46bf1c57p-7, -0x1.3819c78fdeba2p-7, -0x1.2e4e5e917d7a2p-7, -0x1.24cac3992d5d7p-7, -0x1.1b8d2a24fa0acp-7, -0x1.1293ceedc6118p-7, -0x1.09dcf7cc04a5dp-7, -0x1.0166f39c0624fp-7, -0x1.f2603443a60e3p-8, -0x1.e26d97d94ecbdp-8, -0x1.d2f2e47457e1ap-8, -0x1.c3ecfdb2bac9ep-8, -0x1.b558d81a55f48p-8, -0x1.a73378ddc83cep-8, -0x1.9979f5a0daf09p-8, -0x1.8c29743cac396p-8, -0x1.7f3f2a8387e63p-8, -0x1.72b85e0494033p-8, -0x1.669263cf3a741p-8, -0x1.5acaa036a6d29p-8, -0x1.4f5e8694f84d7p-8, -0x1.444b990eb4d4cp-8, -0x1.398f68562260cp-8, -0x1.2f27936e9c002p-8, -0x1.2511c7702eacfp-8, -0x1.1b4bbf4b474c9p-8, -0x1.11d3438cab8fdp-8, -0x1.08a62a219c7acp-8, -0x1.ff84ac385d602p-9, -0x1.ee4b6ef0020f2p-9, -0x1.dd9c95be982d5p-9, -0x1.cd7432e072ffcp-9, -0x1.bdce710592ce9p-9, -0x1.aea792ddbf2e1p-9, -0x1.9ffbf2a5d4167p-9, -0x1.91c801b5e7286p-9, -0x1.840848106262fp-9, -0x1.76b963f23fa53p-9, -0x1.69d809640d28ep-9, -0x1.5d6101cc2dcd8p-9, -0x1.51512b821c589p-9, -0x1.45a57962e6957p-9, -0x1.3a5af266c03ebp-9, -0x1.2f6eb1381545ep-9, -0x1.24dde3cb4f1fcp-9, -0x1.1aa5caf80e2c9p-9, -0x1.10c3ba13d58cap-9, -0x1.0735168da5152p-9, -0x1.fbeeaf16aa221p-10, -0x1.ea100b0faf629p-10, -0x1.d8c973e5b5c9ap-10, -0x1.c8163da3d8bf6p-10, -0x1.b7f1dcc5803b5p-10, -0x1.a857e57dda82dp-10, -0x1.99440b026c48dp-10, -0x1.8ab21ed7b31afp-10, -0x1.7c9e10209aa18p-10, -0x1.6f03eaf103c0fp-10, -0x1.61dfd7a2d43fdp-10, -0x1.552e1a2da6964p-10, -0x1.48eb1181d28cep-10, -0x1.3d1336e58b88ap-10, -0x1.31a31d54a2615p-10, -0x1.269770e3b9ec3p-10, -0x1.1becf6256f6d1p-10, -0x1.11a08992b58f5p-10, -0x1.07af1ef5d2e86p-10, -0x1.fc2b81b03f6eep-11, -0x1.e9a31fe3e17a8p-11, -0x1.d7bf853b34c02p-11, -0x1.c67b489a02561p-11, -0x1.b5d12a03764fbp-11, -0x1.a5bc118fbc34cp-11, -0x1.96370e6738591p-11, -0x1.873d55c13cb09p-11, -0x1.78ca41e995504p-11, -0x1.6ad9514a0463dp-11, -0x1.5d6625791fc9ep-11, -0x1.506c824de7745p-11, -0x1.43e84cf8bd358p-11, -0x1.37d58b20cf10bp-11, -0x1.2c30620593ab9p-11, -0x1.20f515a5e73a6p-11, -0x1.162007eb7145fp-11, -0x1.0badb7dab0bebp-11, -0x1.019ac0c7581e9p-11, -0x1.efc7b31bbb69dp-12, -0x1.dd0ba7a0d6204p-12, -0x1.cafb36709bff4p-12, -0x1.b9906978debaep-12, -0x1.a8c57bd648748p-12, -0x1.9894d87161325p-12, -0x1.88f918a38ceb3p-12, -0x1.79ed02e43424ep-12, -0x1.6b6b897d37c3bp-12, -0x1.5d6fc94773f2fp-12, -0x1.4ff5086f2183cp-12, -0x1.42f6b53f868a9p-12, -0x1.367064f640172p-12, -0x1.2a5dd29e35b1ap-12, -0x1.1ebaddf139f52p-12, -0x1.13838a408e532p-12, -0x1.08b3fd646337ap-12, -0x1.fc90fd64426fbp-13, -0x1.e87aebf49fb82p-13, -0x1.d51ed51657713p-13, -0x1.c2760476716bfp-13, -0x1.b07a00f428f4p-13, -0x1.9f248acd1a634p-13, -0x1.8e6f99d6540b7p-13, -0x1.7e555bc0d590cp-13, -0x1.6ed0326ad87b5p-13, -0x1.5fdab23bdfb0bp-13, -0x1.516fa08bf1cf8p-13, -0x1.4389f215af2acp-13, -0x1.3624c973c34b1p-13, -0x1.293b75a7ece5cp-13, -0x1.1cc970ac56bdep-13, -0x1.10ca5e0f14646p-13, -0x1.053a09986dfbcp-13, -0x1.f428cbf34d6fcp-14, -0x1.deab170a81369p-14, -0x1.c9f36de3aebf2p-14, -0x1.b5fa90488d1dep-14, -0x1.a2b982068ced1p-14, -0x1.902988a60abd2p-14, -0x1.7e442934dda5p-14, -0x1.6d03261ee934cp-14, -0x1.5c607d1826952p-14, -0x1.4c566515c5bddp-14, -0x1.3cdf4c57f5c6ap-14, -0x1.2df5d67f90377p-14, -0x1.1f94dab508b74p-14, -0x1.11b761dab617dp-14, -0x1.0458a4d16d9c3p-14, -0x1.eee8158d1631p-15, -0x1.d60a4f212e093p-15, -0x1.be0f7431874b9p-15, -0x1.a6ef55a5f6c26p-15, -0x1.90a2147ace91ap-15, -0x1.7b201ee429cfep-15, -0x1.66622d78b9e5fp-15, -0x1.5261408093bdp-15, -0x1.3f169d56b4c0cp-15, -0x1.2c7bcbdcb2d75p-15, -0x1.1a8a9403fbf5p-15, -0x1.093cfb7176edap-15, -0x1.f11a8655625ecp-16, -0x1.d0ebcabd25493p-16, -0x1.b1e3267dc8efcp-16, -0x1.93f665cc5a173p-16, -0x1.771bbaafa67c1p-16, -0x1.5b49b91bdf59fp-16, -0x1.4077532c4bb31p-16, -0x1.269bd57f4c933p-16, -0x1.0daee3bb0fcfp-16, -0x1.eb50ea40a9d71p-17, -0x1.bd01a28ca4b7bp-17, -0x1.906119eada1a4p-17, -0x1.65610e21de59fp-17, -0x1.3bf3cb5887d07p-17, -0x1.140c265fea2dap-17, -0x1.db3aee6d93a02p-18, -0x1.9137278c54e45p-18, -0x1.49f595872edd5p-18, -0x1.055fbd9443224p-18, -0x1.86c006508bfe8p-19, -0x1.07c33dc5b2df7p-19, -0x1.1b425712d2f0fp-20, -0x1.833616fdbbb45p-23, 0x1.62ac5d2482caap-21, 0x1.8a3b9b361be6ap-20, 0x1.2d46f7cf8e23bp-19, 0x1.9147821b9efd9p-19, 0x1.f13f1c74ae407p-19, 0x1.26a6241946261p-18, 0x1.52c6327baa515p-18, 0x1.7d0dde88de366p-18, 0x1.a58ac8b51e76fp-18, 0x1.cc4a128431cc5p-18, 0x1.f1586410301d5p-18, 0x1.0a60f8a1c8341p-17, 0x1.1b493f7ee3188p-17, 0x1.2b6ab3fca464fp-17, 0x1.3acad0aa4b14fp-17, 0x1.496edf9e15912p-17, 0x1.575bfc8ded24fp-17, 0x1.649716e361fb2p-17, 0x1.7124f3b3596d3p-17, 0x1.7d0a2fa49ec96p-17, 0x1.884b40bf3cc9dp-17, 0x1.92ec7822393ap-17, 0x1.9cf203b6ef00cp-17, 0x1.a65fefc39a93p-17, 0x1.af3a286adddd7p-17, 0x1.b7847b25145aep-17, 0x1.bf429820c999p-17, 0x1.c6781399c6226p-17, 0x1.cd286717b3929p-17, 0x1.d356f2a90af22p-17, 0x1.d906fe07b6abbp-17, 0x1.de3bb9ad38cf9p-17, 0x1.e2f83fe72c226p-17, 0x1.e73f95d4a65c2p-17, 0x1.eb14ac5c4a58ap-17, 0x1.ee7a610e5fa27p-17, 0x1.f1737f059e865p-17, 0x1.f402bfb93691fp-17, 0x1.f62acbc42cf8bp-17, 0x1.f7ee3ba581f9p-17, 0x1.f94f987296f6ep-17, 0x1.fa515c87aeeafp-17, 0x1.faf5f41f6a578p-17, 0x1.fb3fbdf70090cp-17, 0x1.fb310be2ba1e2p-17, 0x1.facc2350e920bp-17, 0x1.fa133dd196866p-17, 0x1.f90889919a443p-17, 0x1.f7ae29d2ee848p-17, 0x1.f6063759cd7fbp-17, 0x1.f412c0d52a61bp-17, 0x1.f1d5cb46916cap-17, 0x1.ef51525f5026fp-17, 0x1.ec8748d096b6ap-17, 0x1.e97998a92334dp-17, 0x1.e62a23a146fe4p-17, 0x1.e29ac3625b3dfp-17, 0x1.decd49cd3943bp-17, 0x1.dac3813b9a9d4p-17, 0x1.d67f2cc092993p-17, 0x1.d202085e59ecdp-17, 0x1.cd4dc93c8c33cp-17, 0x1.c8641ddeba76ap-17, 0x1.c346ae5331b2fp-17, 0x1.bdf71c59866c6p-17, 0x1.b8770391ff7f2p-17, 0x1.b2c7f9a3c2935p-17, 0x1.aceb8e5f5d94dp-17, 0x1.a6e34bde8b1e6p-17, 0x1.a0b0b6a64cf95p-17, 0x1.9a554dc4a565bp-17, 0x1.93d28aedd754p-17, 0x1.8d29e28d0a70ap-17, 0x1.865cc3e44c169p-17, 0x1.7f6c991ef9519p-17, 0x1.785ac7659b405p-17, 0x1.7128aeefc82d9p-17, 0x1.69d7ab1826dbdp-17, 0x1.6269126a47c0fp-17, 0x1.5ade36afbe95bp-17, 0x1.533864fd98213p-17, 0x1.4b78e5c1c6a5ep-17, 0x1.43a0fcd334cd5p-17, 0x1.3bb1e975be1a5p-17, 0x1.33ace6656180bp-17, 0x1.2b9329e086341p-17, 0x1.2365e5aed71efp-17, 0x1.1b264728a71e5p-17, 0x1.12d5773f29cf3p-17, 0x1.0a749a828217ap-17, 0x1.0204d1271b3ebp-17, 0x1.f30e6e144b554p-18, 0x1.e1f9c76b54416p-18, 0x1.d0cdd4ce6ed18p-18, 0x1.bf8cb42d48ceep-18, 0x1.ae387aed8278bp-18, 0x1.9cd335f3199d7p-18, 0x1.8b5ee9a952f25p-18, 0x1.79dd9205844ffp-18, 0x1.685122916af04p-18, 0x1.56bb86731c52p-18, 0x1.451ea06f8d02fp-18, 0x1.337c4af45fbp-18, 0x1.21d6581a0149ap-18, 0x1.102e91aa45cb5p-18, 0x1.fd0d7247195d4p-19, 0x1.d9c10f943e525p-19, 0x1.b67b5d4a1490cp-19, 0x1.933fad0eb0408p-19, 0x1.7011402ae4396p-19, 0x1.4cf347964a9e7p-19, 0x1.29e8e400ef091p-19, 0x1.06f525f024b14p-19, 0x1.c8361b81cae1dp-20, 0x1.82bb1770a1d51p-20, 0x1.3d7f00301c2a6p-20, 0x1.f10eeca1db48ep-21, 0x1.67b3f526b6d46p-21, 0x1.bdefb841bda78p-22, 0x1.5b9493493c0dfp-23, -0x1.83cf61ee4f0bep-24, -0x1.6e36a2036e029p-22, -0x1.3cf54177cfee5p-21, -0x1.c1fe337cbb5a4p-21, -0x1.23166d2e80f4bp-20, -0x1.64bc1332ea8cp-20, -0x1.a5eba25444542p-20, -0x1.e6a0cf4d4f5bbp-20, -0x1.136bb66792aa3p-19, -0x1.3345b5ac17939p-19, -0x1.52dc6c80ba694p-19, -0x1.722df09f8a003p-19, -0x1.9138665315655p-19, -0x1.affa005eb80aap-19, -0x1.ce70ffe1b7839p-19, -0x1.ec9bb438f3351p-19, -0x1.053c3d7088443p-18, -0x1.1402dfacdcc2p-18, -0x1.22a0fd7f2c3cbp-18, -0x1.3115da7466fefp-18, -0x1.3f60c0ec5edc4p-18, -0x1.4d81020441f49p-18, -0x1.5b75f587846bp-18, -0x1.693ef9e0a1c2p-18, -0x1.76db74043d5a7p-18, -0x1.844acf5f45adbp-18, -0x1.918c7dc587a6p-18, -0x1.9e9ff76094fap-18, -0x1.ab84ba9cf626ap-18, -0x1.b83a4c17949d8p-18, -0x1.c4c0368a054c1p-18, -0x1.d1160ab90296bp-18, -0x1.dd3b5f5ca3c52p-18, -0x1.e92fd11129524p-18, -0x1.f4f30242c9c84p-18, -0x1.00424d8c84f04p-17, -0x1.05f224b0e31fp-17, -0x1.0b88e03fe644cp-17, -0x1.11065caa7636cp-17, -0x1.166a79159327dp-17, -0x1.1bb51751a6f7fp-17, -0x1.20e61bcf9af47p-17, -0x1.25fd6d972959dp-17, -0x1.2afaf63c473dcp-17, -0x1.2fdea1d3d28bcp-17, -0x1.34a85eeaa63a4p-17, -0x1.39581e799c0fbp-17, -0x1.3dedd3db20c64p-17, -0x1.426974c2a0985p-17, -0x1.46caf92fb6c25p-17, -0x1.4b125b64f939dp-17, -0x1.4f3f97dcbf05cp-17, -0x1.5352ad3ff374p-17, -0x1.574b9c5998e7ap-17, -0x1.5b2a680d62d7fp-17, -0x1.5eef154cba456p-17, -0x1.6299ab0d0f607p-17, -0x1.662a323d32e0bp-17, -0x1.69a0b5ba54912p-17, -0x1.6cfd4245efa6ap-17, -0x1.703fe67c38cadp-17, -0x1.7368b2c83a65bp-17, -0x1.7677b95a8945cp-17, -0x1.796d0e1fab764p-17, -0x1.7c48c6b48c72p-17, -0x1.7f0afa5cef806p-17, -0x1.81b3c1f97bc0cp-17, -0x1.844337fdeacc3p-17, -0x1.86b97866a1755p-17, -0x1.8916a0af54971p-17, -0x1.8b5acfc84b5c9p-17, -0x1.8d86260d78cb6p-17, -0x1.8f98c53ce1283p-17, -0x1.9192d06c41211p-17, -0x1.93746bffafb93p-17, -0x1.953dbda123e96p-17, -0x1.96eeec360bef5p-17, -0x1.98881fd5edc8fp-17, -0x1.9a0981c264725p-17, -0x1.9b733c5cdf8eep-17, -0x1.9cc57b1dbe64ap-17, -0x1.9e006a8b65132p-17, -0x1.9f2438317b95bp-17, -0x1.a031129914cc6p-17, -0x1.a127293ebd68ep-17, -0x1.a206ac8aa0155p-17, -0x1.a2cfcdc79376fp-17, -0x1.a382bf1ae94d9p-17, -0x1.a41fb37c7fdecp-17, -0x1.a4a6deadcd15fp-17, -0x1.a5187532b3eebp-17, -0x1.a574ac4983232p-17, -0x1.a5bbb9e2b01ebp-17, -0x1.a5edd49866b4ap-17, -0x1.a60b33a924807p-17, -0x1.a6140eedbc4b7p-17, -0x1.a6089ed2c157dp-17, -0x1.a5e91c51b4b3ap-17, -0x1.a5b5c0e80642bp-17, -0x1.a56ec693c1066p-17, -0x1.a51467c8fe655p-17, -0x1.a4a6df6c3c5f2p-17, -0x1.a42668cb9213cp-17, -0x1.a3933f97c8e9dp-17, -0x1.a2ed9fddeec25p-17, -0x1.a235c6008d629p-17, -0x1.a16beeb1e6b6dp-17, -0x1.a09056ee4823bp-17, -0x1.9fa33bf42496bp-17, -0x1.9ea4db3f4cfc7p-17, -0x1.9d95728289a9ep-17, -0x1.9c753fa323869p-17, -0x1.9b4480b0512d5p-17, -0x1.9a0373e06aabp-17, -0x1.98b257891c0f5p-17, -0x1.97516a1bb1256p-17, -0x1.95e0ea212ebbep-17, -0x1.94611631b890ap-17, -0x1.92d22cf189f98p-17, -0x1.91346d0b8b813p-17, -0x1.8f88152c5d3f8p-17, -0x1.8dcd63fd6f9b2p-17, -0x1.8c049820d1a11p-17, -0x1.8a2df02cbe825p-17, -0x1.8849aaa7b3f9ap-17, -0x1.865806024278bp-17, -0x1.84594093f5f67p-17, -0x1.824d98978c0a1p-17, -0x1.80354c270a512p-17, -0x1.7e10993617853p-17, -0x1.7bdfbd8f8fc99p-17, -0x1.79a2f6d158c6ap-17, -0x1.775a826821982p-17, -0x1.75069d8f166b8p-17, -0x1.72a7854884eap-17, -0x1.703d765b73688p-17, -0x1.6dc8ad51422e2p-17, -0x1.6b496671924b6p-17, -0x1.68bfddbf32bcp-17, -0x1.662c4ef5db9dfp-17, -0x1.638ef58665bd3p-17, -0x1.60e80c95bba42p-17, -0x1.5e37cef807fb3p-17, -0x1.5b7e772e46f5p-17, -0x1.58bc3f6415b2ap-17, -0x1.55f1616e80bdap-17, -0x1.531e16c7cc9b9p-17, -0x1.5042988d1150bp-17, -0x1.4d5f1f7c9fa5cp-17, -0x1.4a73e3f35d663p-17, -0x1.47811deba8071p-17, -0x1.448704fbc08dep-17, -0x1.4185d05208027p-17, -0x1.3e7db6b36ea66p-17, -0x1.3b6eee7a2fd78p-17, -0x1.3859ad93ddb18p-17, -0x1.353e297f9451dp-17, -0x1.321c974cc3d96p-17, -0x1.2ef52b993241fp-17, -0x1.2bc81a90f395ap-17, -0x1.289597eb38a81p-17, -0x1.255dd6e964c19p-17, -0x1.22210a550fbdep-17, -0x1.1edf6481b7424p-17, -0x1.1b991748c874cp-17, -0x1.184e540944542p-17, -0x1.14ff4ba634fccp-17, -0x1.11ac2e86aac66p-17, -0x1.0e552c93f82dap-17, -0x1.0afa753b237b6p-17, -0x1.079c3769c65aep-17, -0x1.043aa18d5f9cfp-17, -0x1.00d5e19305d4ap-17, -0x1.fadc49cdc410dp-18, -0x1.f40730e6dc4cep-18, -0x1.ed2cd142889ccp-18, -0x1.e64d82ac1ce1fp-18, -0x1.df699bea5cfccp-18, -0x1.d88172bd6be5fp-18, -0x1.d1955bdd9e7adp-18, -0x1.caa5aafa5aaefp-18, -0x1.c3b2b2b93593p-18, -0x1.bcbcc4ba7d7a2p-18, -0x1.b5c43193902dp-18, -0x1.aec948cf4ec8ap-18, -0x1.a7cc58ee829fap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      46, 0x1.4p+2, 0x1.ef88d0d4ebb39p+0, 0x1.e7fa87ac41405p+1, -0x1.c0d77be46b524p-5, 
      {{
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.81cbafc0f36aep-3, -0x1.e1fd950686155p-2, 0x1.d27d7586d9ca8p-2, -0x1.96cb4bb9ecf19p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.53e753b0a8385p-3, -0x1.b41ab288e844ep-2, 0x1.c33c3c497a818p-2, -0x1.c1045e698510ep-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.2a85743e7ec41p-3, -0x1.87d29a1f846dcp-2, 0x1.b265abf25250ep-2, -0x1.e4ea35546d86bp-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.057b1047bbd8ep-3, -0x1.5d4acb44b933ap-2, 0x1.a0367d258e356p-2, -0x1.0540f5d8eda09p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c933272d3e835p-4, -0x1.34a68c79c8085p-2, 0x1.8c9e6ab5492fep-2, -0x1.17d2b004f80dep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.8f5dadc4c78f3p-4, -0x1.0e09bcb478aeep-2, 0x1.77a1d0b4e9c83p-2, -0x1.2a73fe826af9p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.5d0a3f9e7e681p-4, -0x1.d33024232da73p-3, 0x1.613f8404bb5c2p-2, -0x1.3d111cbceac96p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.31c641dcc49dep-4, -0x1.8eea9b3ab057dp-3, 0x1.4977d51029c04p-2, -0x1.4faf67b1cf5a3p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.0d17f37bf1bf5p-4, -0x1.4f8a5afe8cbf1p-3, 0x1.304aad493a32ep-2, -0x1.624d30001540cp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.dcfcdaa4a6b52p-5, -0x1.1556e104628cp-3, 0x1.15b8167c6bce2p-2, -0x1.74ebd62e6ba81p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.aae3442059f69p-5, -0x1.c12f5721f0105p-4, 0x1.f380000b7aa94p-3, -0x1.878787832402cp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.82c4bc7f7059ap-5, -0x1.632869cbd95a8p-4, 0x1.b8c545516875ep-3, -0x1.9a2e2e5e48749p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.6374908a48ef9p-5, -0x1.11280d44a963bp-4, 0x1.7b3e57f677317p-3, -0x1.acabf3f944d6p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.4bb7c0bd2ec92p-5, -0x1.9779c3ca600b3p-5, 0x1.3af159c446776p-3, -0x1.bfc2490e93527p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3a45014858f35p-5, -0x1.26ee69c16c1e5p-5, 0x1.ef8ed0d0fa568p-4, -0x1.d09f417aaf696p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.2dc4ba0fea77fp-5, -0x1.a3844b97e505dp-6, 0x1.642bd6c5c5b62p-4, -0x1.e9c91d1139336p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.24d106abf26p-5, -0x1.326f776da8bb7p-6, 0x1.a2789c1acf81cp-5, -0x1.cb8a6d677bd9fp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1df8d6f72c2e8p-5, -0x1.f4a0949555012p-7, 0x1.1d7e4e863d99ep-6, -0x1.75e31bd4ce846p-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.17e255314576p-5, -0x1.e86521d175f27p-7, -0x1.4657a5bf0e0f2p-7, -0x1.2888f166ef801p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.116d4c212360bp-5, -0x1.164e86668a0b9p-6, -0x1.0381ad7a53366p-5, -0x1.b1e8e21d9c68ep-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.09b647a3a3331p-5, -0x1.5739afe12c2e9p-6, -0x1.85adf15002237p-5, -0x1.13f84275c752cp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.001694ab9a4bcp-5, -0x1.ad70b92d07117p-6, -0x1.d8786ba68abbfp-5, -0x1.d66b2a0335b84p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.e8488283ac463p-6, -0x1.07bb34a16b873p-5, -0x1.fbc0753395299p-5, 0x1.423d6a408f751p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.cb64390a38979p-6, -0x1.39e6f9e956562p-5, -0x1.efaaf46ac2fb9p-5, 0x1.8f529ae864c58p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a99f6d5454e5ap-6, -0x1.68795f4578703p-5, -0x1.b3c4f6c7e7116p-5, 0x1.61894c3f682cfp-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.8392c1f76cbdcp-6, -0x1.8ebf7d34ab6c6p-5, -0x1.49b55fe8149cep-5, 0x1.07f85415844abp-3}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5a505bb4dbe28p-6, -0x1.a7ccbc98083c5p-5, -0x1.56a727b65747cp-6, 0x1.1aa8744fe8364p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2f5c25aa04094p-6, -0x1.b073e17d78d56p-5, -0x1.bb4e11a050c25p-13, 0x1.d1aa1e1c5fa89p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0456bf613c103p-6, -0x1.a9a40f3ecf1c4p-5, 0x1.13ef75edc58f7p-6, 0x1.828a7f3d825b2p-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b550d5c57e69p-7, -0x1.960bc4e15b986p-5, 0x1.fbdc28ac46fcep-6, 0x1.2de9f46e75a2fp-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.66f2a1c985a74p-7, -0x1.781fcfd1f78fdp-5, 0x1.588110ddad2fp-5, 0x1.b58bdb7720562p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1f630196eccd3p-7, -0x1.52646a914e525p-5, 0x1.9a22d82f8ba21p-5, 0x1.0e6185107fa66p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.bfe3c2a40e17bp-8, -0x1.2759cce93a482p-5, 0x1.c2b178f2052e2p-5, 0x1.9f1d29d38f8cdp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.52ddf4f637ap-8, -0x1.f30198d60ed49p-6, 0x1.d24290e9f429ap-5, -0x1.00c45947d524p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f0a74fb99b082p-9, -0x1.96b7948218b61p-6, 0x1.c8a19a5da8f82p-5, -0x1.c681f46db176p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5fc707905f27bp-9, -0x1.3eccb6d406f84p-6, 0x1.a68b0e6f0875ep-5, -0x1.9894ab7862c6bp-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.e0af2f8298403p-10, -0x1.e0d6e7e8367aep-7, 0x1.69418e502cd84p-5, -0x1.d4021c3d4de17p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3b6081dc01a4p-10, -0x1.5e60963a9f333p-7, 0x1.230e0a13c7906p-5, -0x1.9589ea754dc53p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.89c6cedb36b04p-11, -0x1.ec3e37956b195p-8, 0x1.cc72b4379166p-6, -0x1.6953ac3ab6eedp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.cda63342bf799p-12, -0x1.49be50dedfbf2p-8, 0x1.600ccd59274ffp-6, -0x1.383bba6b83806p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.f25f9dcd71347p-13, -0x1.9f5098f3f781ap-9, 0x1.0261489f4ca9ep-6, -0x1.0868a361599edp-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.e0af2f8298432p-14, -0x1.e0ae03a4422f5p-10, 0x1.661d626a96c1ep-7, -0x1.b0c7a9af4c59fp-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.89c6cedb36b6p-15, -0x1.ec3e3661a57dp-11, 0x1.c88fc56bffb5p-8, -0x1.4fc2130e1e2c5p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.f25f9dcd7151ep-17, -0x1.9f26bf2782e4fp-12, 0x1.fe36a72d74d02p-9, -0x1.e61fa34641139p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.89c6cedb374ffp-19, -0x1.ee99d45007683p-14, 0x1.b51424069b7f8p-10, -0x1.0c1869da5212bp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.89c6cedb3ffffp-23, -0x1.a52c2b47b804p-17, 0x1.cd74fa68e40ffp-12, -0x1.66caff9737f61p-7}, 
      }}, 
      0x1.519e1aeaa2852p-3, -0x1.042fb1aaabdc7p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.763122ab4b2dep-2, -0x1.74d40932b4fefp-2, -0x1.72937fd774b31p-2, -0x1.6f7710f7960eep-2, -0x1.6b889f7c1e535p-2, -0x1.66d3ed6521c2ep-2, -0x1.6166256207e0dp-2, -0x1.5b4d6e2a8ee8cp-2, -0x1.54988b05aef52p-2, -0x1.4d568ad98cf41p-2, -0x1.45968583f3b68p-2, -0x1.3d6766879a374p-2, -0x1.34d7c3abc30b3p-2, -0x1.2bf5bd25ae7b9p-2, -0x1.22cee6d957b74p-2, -0x1.197037cd4d777p-2, -0x1.0fe5ff4966122p-2, -0x1.063bde9967aa9p-2, -0x1.f8f98c889ccacp-3, -0x1.e565ec569ce25p-3, -0x1.d1cfffa6ff42ap-3, -0x1.be49945debe98p-3, -0x1.aae32cb39bdd2p-3, -0x1.97ac09ca757d9p-3, -0x1.84b2379a7d3a2p-3, -0x1.7202927581786p-3, -0x1.5fa8e198df2a5p-3, -0x1.4dafcc8fc926dp-3, -0x1.3c20f74c16715p-3, -0x1.2b0504ee24f5dp-3, -0x1.1a63a3eab3992p-3, -0x1.0a43979639accp-3, -0x1.f55584b3447dap-4, -0x1.d73c5dddb980bp-4, -0x1.ba4434fb2272ap-4, -0x1.9e73fab448056p-4, -0x1.83d12a3175123p-4, -0x1.6a5fdb581e36fp-4, -0x1.5222d5b939c73p-4, -0x1.3b1ba35e4fa9ep-4, -0x1.254aa39b87a4bp-4, -0x1.10af1dbd979d4p-4, -0x1.fa8ea74338dc5p-5, -0x1.d6212832c31cfp-5, -0x1.b40e9a1c9504cp-5, -0x1.944e3aaa7849p-5, -0x1.76d5cc50311b3p-5, -0x1.5b99b85b6eaa8p-5, -0x1.428d3034f0e2ep-5, -0x1.2ba24d932f753p-5, -0x1.16ca31a72ce2dp-5, -0x1.03f5235146fb8p-5, -0x1.e62557b77f4e6p-6, -0x1.c82365f5aac1cp-6, -0x1.adc1325ec3f4p-6, -0x1.96daa228e1db6p-6, -0x1.834aeea9d7b3bp-6, -0x1.72ecd29aee07fp-6, -0x1.659ab4b5c5ca4p-6, -0x1.5b2ecf96d11aep-6, -0x1.538356f77da4fp-6, -0x1.4e7299e611206p-6, -0x1.4bd722ddb71f1p-6, -0x1.4b8bd45cc4ae8p-6, -0x1.4d6c03aaa2c1bp-6, -0x1.515390548b957p-6, -0x1.571ef9d61e259p-6, -0x1.5eab714e195b9p-6, -0x1.67d6ed23eca34p-6, -0x1.72802f8cc90a7p-6, -0x1.7e86e1057d576p-6, -0x1.8bcb846ab49fp-6, -0x1.9a2f97fc20911p-6, -0x1.a9958b4cc93a1p-6, -0x1.b9e0bb946fcfbp-6, -0x1.caf5a591e2792p-6, -0x1.dcb9935d0066fp-6, -0x1.ef12fee4cae07p-6, -0x1.00f4a521f6b86p-5, -0x1.0a9262b459e89p-5, -0x1.14577799a245bp-5, -0x1.1e3901b09ac44p-5, -0x1.282cae143165ap-5, -0x1.32289f5da9e89p-5, -0x1.3c236515859ebp-5, -0x1.461410616bddp-5, -0x1.4ff21a42b73b5p-5, -0x1.59b5710af66c9p-5, -0x1.63566d848bec6p-5, -0x1.6ccdd32e8166ep-5, -0x1.7614d1ec33264p-5, -0x1.7f24fab396f99p-5, -0x1.87f846718023fp-5, -0x1.908910021966p-5, -0x1.98d210800a499p-5, -0x1.a0ce61333affap-5, -0x1.a879779d42797p-5, -0x1.afcf245c0be8cp-5, -0x1.b6cb9277bfe57p-5, -0x1.bd6b45c430e18p-5, -0x1.c3ab19c0df95dp-5, -0x1.c988405683532p-5, -0x1.cf004052271f5p-5, -0x1.d410f3c014e2ep-5, -0x1.d8b8861906648p-5, -0x1.dcf57237eb3a2p-5, -0x1.e0c68030f8133p-5, -0x1.e42ac30f71033p-5, -0x1.e72196742a6d2p-5, -0x1.e9aa9c2148ad3p-5, -0x1.ebc5b9864132ep-5, -0x1.ed731510c1a05p-5, -0x1.eeb3137f3b02cp-5, -0x1.ef86552c4cbc6p-5, -0x1.efedb32009f99p-5, -0x1.efea3c1bc5685p-5, -0x1.ef7d3196a172fp-5, -0x1.eea804ac1e7d6p-5, -0x1.ed6c5304b3304p-5, -0x1.ebcbe3c6b45d7p-5, -0x1.e9c8a4946fff8p-5, -0x1.e764a69a664bfp-5, -0x1.e4a21bb847fb8p-5, -0x1.e18353c8a7b4ap-5, -0x1.de0aba05b7535p-5, -0x1.da3ad28b0842ap-5, -0x1.d61637f70a053p-5, -0x1.d19f99289097bp-5, -0x1.ccd9b711c75ddp-5, -0x1.c7c762a2637ecp-5, -0x1.c26b7ac4b56c7p-5, -0x1.bcc8ea6c3d9bep-5, -0x1.b6e2a6b3c263fp-5, -0x1.b0bbad068b4f9p-5, -0x1.aa57015df1437p-5, -0x1.a3b7ac8c0f73p-5, -0x1.9ce0ba90171c6p-5, -0x1.95d539069cb16p-5, -0x1.8e9835a6536e5p-5, -0x1.872cbcc146692p-5, -0x1.7f95d7f480ab4p-5, -0x1.77d68cdb037bp-5, -0x1.6ff1dbcd776afp-5, -0x1.67eabecb1eb4cp-5, -0x1.5fc4286710a0bp-5, -0x1.578102c0c65b5p-5, -0x1.4f242ea717acfp-5, -0x1.46b082beebe86p-5, -0x1.3e28caaa27b89p-5, -0x1.358fc659be99ap-5, -0x1.2ce82969113f6p-5, -0x1.24349a6ba73b2p-5, -0x1.1b77b26084d53p-5, -0x1.12b3fc3d238eep-5, -0x1.09ebf4611aab2p-5, -0x1.0122081d734dcp-5, -0x1.f0b12acbdf272p-6, -0x1.df23d4e4407d7p-6, -0x1.cda08aaaa582ep-6, -0x1.bc2ba789a892ep-6, -0x1.aac965d537aa9p-6, -0x1.997dde351d679p-6, -0x1.884d073aa053cp-6, -0x1.773ab54dac869p-6, -0x1.664a9a7a44045p-6, -0x1.55804615f347cp-6, -0x1.44df24b65dfaap-6, -0x1.346a8060362ap-6, -0x1.2425807a41766p-6, -0x1.141329b1c1765p-6, -0x1.04365e38313c8p-6, -0x1.e923bc490fd4ap-7, -0x1.ca508f08f20f4p-7, -0x1.abf82d984f1b6p-7, -0x1.8e1f4c59df36ep-7, -0x1.70ca5f9fe6bp-7, -0x1.53fd994d7355fp-7, -0x1.37bcea7e265bfp-7, -0x1.1c0c048b0452ap-7, -0x1.00ee5a3981fe6p-7, -0x1.ccce40dab4358p-8, -0x1.98f29e5462d3ap-8, -0x1.664f44a2f716ap-8, -0x1.34e9367919d0fp-8, -0x1.04c503ad010d1p-8, -0x1.abcd964b71f7bp-9, -0x1.50a4795281968p-9, -0x1.f02a7048bad28p-10, -0x1.444b0e9ef5128p-10, -0x1.3b69346c34beap-11, 0x1.c85a2f092d399p-17, 0x1.3efc5ac080c5ap-11, 0x1.360e9ee4ea171p-10, 0x1.c73e4c0763efbp-10, 0x1.2985713beb28bp-9, 0x1.6cb9b75b9c25bp-9, 0x1.ad3c28e252079p-9, 0x1.eb0d9baa56499p-9, 0x1.1317c3648e9e6p-8, 0x1.2f51fe6d922a4p-8, 0x1.4a36d2aff61e6p-8, 0x1.63c7db9b13dc4p-8, 0x1.7c06fab2d2ee5p-8, 0x1.92f6559729e55p-8, 0x1.a8985318e70c1p-8, 0x1.bcef979455ed5p-8, 0x1.cfff02197d926p-8, 0x1.e1c9ab03cee96p-8, 0x1.f252e2c4bb2dap-8, 0x1.00cf17b4051b6p-7, 0x1.07d7a44e710d9p-7, 0x1.0e450a23acc12p-7, 0x1.1419527e92ca4p-7, 0x1.19569cd27daf1p-7, 0x1.1dff1e05f8ae5p-7, 0x1.22151eae9e6c2p-7, 0x1.259af8ef3ed57p-7, 0x1.2893172ffd512p-7, 0x1.2afff3fa8f532p-7, 0x1.2ce41a0d04f04p-7, 0x1.2e42236e85cebp-7, 0x1.2f1cb75a4734fp-7, 0x1.2f768821e0602p-7, 0x1.2f52524109b4cp-7, 0x1.2eb2dcabb775ep-7, 0x1.2d9af91bd510fp-7, 0x1.2c0d831e5cadbp-7, 0x1.2a0d5de3d7af1p-7, 0x1.279d7218cf076p-7, 0x1.24c0ad129ac63p-7, 0x1.217a015912144p-7, 0x1.1dcc674987815p-7, 0x1.19badc7581479p-7, 0x1.15486194b8ef6p-7, 0x1.1077f83c1a27ap-7, 0x1.0b4ca1c55b9dcp-7, 0x1.05c95fc1c64e2p-7, 0x1.ffe269eef44dap-8, 0x1.f38e4ae24c8cep-8, 0x1.e69c69faa5ba1p-8, 0x1.d912c9bf2709p-8, 0x1.caf7644c30d72p-8, 0x1.bc502b0e8fefdp-8, 0x1.ad2308cae4a32p-8, 0x1.9d75e35873b98p-8, 0x1.8d4e9ac66c123p-8, 0x1.7cb305cd5692fp-8, 0x1.6ba8eda37b4dp-8, 0x1.5a360bb9b9ec2p-8, 0x1.48600a5914934p-8, 0x1.362c86e78e86ep-8, 0x1.23a1136ed7e55p-8, 0x1.10c335a6b2552p-8, 0x1.fb30c76bae4e7p-9, 0x1.d44c0124ab4f8p-9, 0x1.ace2b43be5e2ap-9, 0x1.84ff538b81c8fp-9, 0x1.5cac2d4b0c434p-9, 0x1.33f36e6dd9f63p-9, 0x1.0adf22018c5fcp-9, 0x1.c2f258c659b95p-10, 0x1.6f968a0fed44bp-10, 0x1.1bbde4d93c797p-10, 0x1.8ef6287828676p-11, 0x1.cb81a06199f09p-12, 0x1.dffdcb0b3e44cp-14, -0x1.b8a7148116f96p-13, -0x1.1898ff05e47bbp-11, -0x1.c32c04faad89ep-11, -0x1.36e0db070f2b2p-10, -0x1.8c1ce361f1d77p-10, -0x1.e13a5dad2e2f8p-10, -0x1.1b14f69fd4833p-9, -0x1.456e4862da404p-9, -0x1.6fa1d06d081f9p-9, -0x1.99a869f578e11p-9, -0x1.c37b228789351p-9, -0x1.ed133cee5e20cp-9, -0x1.0b35190c0d55dp-8, -0x1.1fbcd7d35666cp-8, -0x1.341dca945fc7cp-8, -0x1.4854f8c83789p-8, -0x1.5c5f811a9ce82p-8, -0x1.703a99ded34f6p-8, -0x1.83e3921ea6426p-8, -0x1.9757d29c53838p-8, -0x1.aa94de3548f07p-8, -0x1.bd98517200ep-8, -0x1.d05fe17c980b9p-8, -0x1.e2e95afb18d6p-8, -0x1.f532a14a4f83ep-8, -0x1.039cd72d6de2bp-7, -0x1.0c7e498d97075p-7, -0x1.153cbc09ba9f7p-7, -0x1.1dd74ee3683a2p-7, -0x1.264d2e4a53c2dp-7, -0x1.2e9d920be7787p-7, -0x1.36c7bd1d9e3edp-7, -0x1.3ecafd2b19678p-7, -0x1.46a6aa4a36419p-7, -0x1.4e5a26e3a091ep-7, -0x1.55e4dfc49d67bp-7, -0x1.5d464c3c12309p-7, -0x1.647dee219436cp-7, -0x1.6b8b51b300928p-7, -0x1.726e0d49977f5p-7, -0x1.7925c0f836323p-7, -0x1.7fb2162adcd44p-7, -0x1.8612bf5ce8f25p-7, -0x1.8c4777efcc1a5p-7, -0x1.9250041e9af78p-7, -0x1.982c30fd90111p-7, -0x1.9ddbd46fcc711p-7, -0x1.a35ecd0394ab6p-7, -0x1.a8b501b1c648ep-7, -0x1.adde618a1c0d4p-7, -0x1.b2dae35be5133p-7, -0x1.b7aa856a59b06p-7, -0x1.bc4d4d369ad12p-7, -0x1.c0c34760da988p-7, -0x1.c50c8798cc198p-7, -0x1.c929288defe03p-7, -0x1.cd194bd14ab79p-7, -0x1.d0dd19a0f34e4p-7, -0x1.d474c098516cbp-7, -0x1.d7e07558b07a1p-7, -0x1.db207239fec44p-7, -0x1.de34f70f8e39p-7, -0x1.e11e49083fb23p-7, -0x1.e3dcb2a61de63p-7, -0x1.e67083bf84f46p-7, -0x1.e8da117504d34p-7, -0x1.eb19b607bf43bp-7, -0x1.ed2fd085dd58cp-7, -0x1.ef1cc4534eb15p-7, -0x1.f0e0f8a76afbp-7, -0x1.f27cd821be22bp-7, -0x1.f3f0d0955dadep-7, -0x1.f53d531ba7e0bp-7, -0x1.f662d4669ccf2p-7, -0x1.f761cd321036cp-7, -0x1.f83aba9fed776p-7, -0x1.f8ee1e4800262p-7, -0x1.f97c7dcefa3a3p-7, -0x1.f9e661f090656p-7, -0x1.fa2c551f5a4ebp-7, -0x1.fa4ee23cce24fp-7, -0x1.fa4e93de2a3e5p-7, -0x1.fa2bf42209caap-7, -0x1.f9e78d30e1fdep-7, -0x1.f981eabd81dc9p-7, -0x1.f8fb9c520ebffp-7, -0x1.f855374993efep-7, -0x1.f78f579cc5b8bp-7, -0x1.f6aa9f594f0adp-7, -0x1.f5a7b49d4e62ep-7, -0x1.f4873e393272p-7, -0x1.f349dfb5565ccp-7, -0x1.f1f035c26b0dp-7, -0x1.f07ad44a0d9b4p-7, -0x1.eeea46ff7c3aep-7, -0x1.ed3f14b2097ddp-7, -0x1.eb79c4dd91038p-7, -0x1.e99ae63550744p-7, -0x1.e7a314657f4dcp-7, -0x1.e592fb373047dp-7, -0x1.e36b55b56d4aap-7, -0x1.e12ce8deb86e6p-7, -0x1.ded87a9f2bb8ep-7, -0x1.dc6ec6f87f63ap-7, -0x1.d9f076083556cp-7, -0x1.d75e15c38f2aap-7, -0x1.d4b819a3ba816p-7, -0x1.d1fee12e72d58p-7, -0x1.cf32c48f4ec4p-7, -0x1.cc5424be3b96cp-7, -0x1.c9637b6f8d341p-7, -0x1.c66166a0a3d04p-7, -0x1.c34eac364839cp-7, -0x1.c02c33bf2700fp-7, -0x1.bcfaf6b7dd09ap-7, -0x1.b9bbea21c969bp-7, -0x1.b66fe63ca2785p-7, -0x1.b317922cf7f56p-7, -0x1.afb358f4500ap-7, -0x1.ac436b5657277p-7, -0x1.a8c7cf72a2fep-7, -0x1.a5407b9f321dbp-7, -0x1.a1ad773244f82p-7, -0x1.9e0efa1b13f3p-7, -0x1.9a6583e163188p-7, -0x1.96b1e408f8461p-7, -0x1.92f530b57a9bcp-7, -0x1.8f30ac3dc5fdp-7, -0x1.8b659e5b12259p-7, -0x1.879528d691e76p-7, -0x1.83c0212e57ff4p-7, -0x1.7fe6f81258476p-7, -0x1.7c09b4dd56a5dp-7, -0x1.782806e7b0711p-7, -0x1.744169d405632p-7, -0x1.705555e0606cap-7, -0x1.6c6372b01e574p-7, -0x1.686bc2548d30cp-7, -0x1.646ebb9607137p-7, -0x1.606d4d6ede81dp-7, -0x1.5c68c9ed324fap-7, -0x1.5862bbac17852p-7, -0x1.545cadda3af5bp-7, -0x1.5057f22963c8p-7, -0x1.4c5570ec3e46fp-7, -0x1.48558d91e5da9p-7, -0x1.44582505fc31fp-7, -0x1.405ca5a06059fp-7, -0x1.3c623b029d7f9p-7, -0x1.386804d53cea4p-7, -0x1.346d4e298be44p-7, -0x1.3071bbe37cc16p-7, -0x1.2c756a5de7ceap-7, -0x1.2878f5301294bp-7, -0x1.247d6791dc208p-7, -0x1.20841821155b7p-7, -0x1.1c8e7703344d7p-7, -0x1.189dd86aa5733p-7, -0x1.14b346550ab96p-7, -0x1.10cf627305a3p-7, -0x1.0cf25d0c6d3aap-7, -0x1.091c00bd10684p-7, -0x1.054bceb8e6bbap-7, -0x1.018124dd47a0dp-7, -0x1.fb76cc0a41838p-8, -0x1.f3f43a46c839bp-8, -0x1.ec7a28cd4e518p-8, -0x1.e508b7bb9f989p-8, -0x1.dda07ec043174p-8, -0x1.d64261d8a28fcp-8, -0x1.ceef6152689e8p-8, -0x1.c7a87715149e4p-8, -0x1.c06e89b903a94p-8, -0x1.b942704c60b9bp-8, -0x1.b224f838f2902p-8, -0x1.ab16e001a378cp-8, -0x1.a418c59e57a8cp-8, -0x1.9d2b1677f06a7p-8, -0x1.964e15496594dp-8, -0x1.8f81feef84c96p-8, -0x1.88c73e52385bcp-8, -0x1.821e8a3ed8cddp-8, -0x1.7b88c92f85d1cp-8, -0x1.7506b36e33922p-8, -0x1.6e985531ba1bcp-8, -0x1.683caff764631p-8, -0x1.61f1b95e028c5p-8, -0x1.5bb4d1e574486p-8, -0x1.5583943e1684p-8, -0x1.4f5ca9386465cp-8, -0x1.49403bf1f31a7p-8, -0x1.432fd0b29da8ep-8, -0x1.3d2d94e9c6767p-8, -0x1.373b9219d1887p-8, -0x1.315b438746a8ap-8, -0x1.2b8dcad843a33p-8, -0x1.25d48ae4583e2p-8, -0x1.2031a0ad2e00fp-8, -0x1.1aa7c4b56396ep-8, -0x1.153980195c7a5p-8, -0x1.0fe808c12b0f9p-8, -0x1.0ab24ae6ca8a6p-8, -0x1.0594981b3afbbp-8, -0x1.00893aaf44a47p-8, -0x1.f713bd836a7c3p-9, -0x1.ed22d4ee836edp-9, -0x1.e33b20476e58dp-9, -0x1.d95ea897c3p-9, -0x1.cf94510278a52p-9, -0x1.c5e41552e54c3p-9, -0x1.bc5393219098p-9, -0x1.b2e502cbf1257p-9, -0x1.a9990000d2395p-9, -0x1.a0717a5a24f77p-9, -0x1.9773854d79365p-9, -0x1.8ea6c7eec3791p-9, -0x1.8612ed84c82f2p-9, -0x1.7dbc8e6d5f88cp-9, -0x1.75a313f54cc0bp-9, -0x1.6dc04019201b2p-9, -0x1.66091af068ddap-9, -0x1.5e6feacc60a86p-9, -0x1.56e739aa2d584p-9, -0x1.4f659c7611486p-9, -0x1.47e8c1f81f70bp-9, -0x1.4075ade66e611p-9, -0x1.39155c908d83fp-9, -0x1.31cfb957ea273p-9, -0x1.2aa853155cdd7p-9, -0x1.239ecd38253fdp-9, -0x1.1cb2037de3c5ep-9, -0x1.15e332f9a8134p-9, -0x1.0f37234e255cep-9, -0x1.08b4b85a08dbfp-9, -0x1.0261c5431e12dp-9, -0x1.f880a5f29d4bep-10, -0x1.ec9c98ebdca97p-10, -0x1.e10e66e48068bp-10, -0x1.d5cb789a3ead5p-10, -0x1.cac7f77582d6ep-10, -0x1.bff5dd8e34ed5p-10, -0x1.b5463cd735446p-10, -0x1.aaadc6426bbdp-10, -0x1.a02952ccd4603p-10, -0x1.95be402f0ed7bp-10, -0x1.8b7642687ef75p-10, -0x1.815a2427292a7p-10, -0x1.776eb93e71905p-10, -0x1.6db4c03fb943p-10, -0x1.642b67aec3fc9p-10, -0x1.5ad4bc9b976a1p-10, -0x1.51b80dbe28a9fp-10, -0x1.48ddb07600d6dp-10, -0x1.4047a3b206bf9p-10, -0x1.37efc68b561fdp-10, -0x1.2fccf99c78b7ep-10, -0x1.27d8ec07cbf89p-10, -0x1.20124af050f9dp-10, -0x1.187b8bf992a47p-10, -0x1.1117d3983fccap-10, -0x1.09e77725eff41p-10, -0x1.02e5cd01c69b4p-10, -0x1.f812f7e5fa816p-11, -0x1.ea8ebd6270eaep-11, -0x1.dd2f01a6a1fcap-11, -0x1.cff54ee5983b7p-11, -0x1.c2f5b9d9d882fp-11, -0x1.b6456c440cb4fp-11, -0x1.a9e849193648bp-11, -0x1.9dd7a42dd5031p-11, -0x1.92174470bdb63p-11, -0x1.86b53040291f8p-11, -0x1.7bb43420bdf29p-11, -0x1.710472a2d72eap-11, -0x1.6691edf4b122fp-11, -0x1.5c51596db2d86p-11, -0x1.524072d9cd7d8p-11, -0x1.4861d4984285fp-11, -0x1.3ebbabd6d423bp-11, -0x1.3558da8275b93p-11, -0x1.2c47dbee2826ep-11, -0x1.2394473280286p-11, -0x1.1b3c4d311a005p-11, -0x1.1329f3d1bfb71p-11, -0x1.0b3bc500aed6cp-11, -0x1.035b5eb0a2589p-11, -0x1.f71e392c1e483p-12, -0x1.e7e3587e8fa3ep-12, -0x1.d92344b7bbdfcp-12, -0x1.cace893e790ap-12, -0x1.bcdcec99298d5p-12, -0x1.af67981201358p-12, -0x1.a27bc758b201bp-12, -0x1.95fda76118556p-12, -0x1.89c939e58832ap-12, -0x1.7dcf05a8cc502p-12, -0x1.721083f292dc9p-12, -0x1.66935e86ebb6cp-12, -0x1.5b5a86e191bc6p-12, -0x1.50669e5d327f9p-12, -0x1.45bb4b3992181p-12, -0x1.3b646eaa066f3p-12, -0x1.31751ad4a3cf3p-12, -0x1.27fedd5fa6702p-12, -0x1.1f013fab92796p-12, -0x1.16594680619e8p-12, -0x1.0ddbbc9f1fed2p-12, -0x1.0582916cf5c48p-12, -0x1.faac14c431eeep-13, -0x1.eab6acd1c8844p-13, -0x1.db3c53a3f9decp-13, -0x1.cc3efbfc30716p-13, -0x1.bdc80e4778d56p-13, -0x1.affa6d3e78df3p-13, -0x1.a2bb95d8b52b5p-13, -0x1.95d5b1fcba442p-13, -0x1.89359e3f50175p-13, -0x1.7ce1433004cdcp-13, -0x1.70e1a3b10faabp-13, -0x1.653b6faa2cfb5p-13, -0x1.59ef08061b9a4p-13, -0x1.4ef9d638e9c29p-13, -0x1.44588c939ae7bp-13, -0x1.3a0ae731792e6p-13, -0x1.30161b95f12ebp-13, -0x1.268251513a269p-13, -0x1.1d59e6feeba65p-13, -0x1.14a95241db9d1p-13, -0x1.0c59bbe47682cp-13, -0x1.0441402564da6p-13, -0x1.f90e92fc8ec41p-14, -0x1.ea1bc2c15e53dp-14, -0x1.db2f98db56612p-14, -0x1.cce1919dae0cp-14, -0x1.bf1b8a34fd0cfp-14, -0x1.b1e0b3f5d8f5cp-14, -0x1.a558fa11d0c83p-14, -0x1.993d523acc3dap-14, -0x1.8d6a89d9b0df6p-14, -0x1.81eac11c244b4p-14, -0x1.76caa984d74f4p-14, -0x1.6c0e5b6e8696bp-14, -0x1.61b4795a49c53p-14, -0x1.57ba166e37fc4p-14, -0x1.4e1c601f8626dp-14, -0x1.44d860bac85ccp-14, -0x1.3bea60fe9a1dfp-14, -0x1.334e6db15c095p-14, -0x1.2b015dfdd0d6dp-14, -0x1.22fe1fdab8ebep-14, -0x1.1b3f250d9ee36p-14, -0x1.13df7c3c38e25p-14, -0x1.0d027c5ae2498p-14, -0x1.065baeba7f871p-14, -0x1.ffda8556c73fcp-15, -0x1.f39e5d577792cp-15, -0x1.e7bb8fafdde21p-15, -0x1.dc6d3b392f1acp-15, -0x1.d131cab7e04ffp-15, -0x1.c683565a43676p-15, -0x1.bc7ceb9a5909ep-15, -0x1.b2bbb52f1751fp-15, -0x1.a93a0b89e05b3p-15, -0x1.a00aed0eb9174p-15, -0x1.97360f5aa99ebp-15, -0x1.8eba678fad7bep-15, -0x1.86939cc2c3ae2p-15, -0x1.7ebd0c87fd18fp-15, -0x1.77332b982b6a6p-15, -0x1.6ff39a4e8ba6p-15, -0x1.68fc0465f9bb1p-15, -0x1.62489f53883f8p-15, -0x1.5bd3f0c02ec49p-15, -0x1.5598c694c278bp-15, -0x1.4f92546db761cp-15, -0x1.49b5c9f68bf91p-15, -0x1.44045b6ec59d6p-15, -0x1.3ec2be21fcda6p-15, -0x1.39e07e4c2ee19p-15, -0x1.34d70a7472045p-15, -0x1.2fcbfdb8f4b5ep-15, -0x1.2b73f3a0cee5fp-15, -0x1.2746cf1185ff8p-15, -0x1.22d80d34dd985p-15, -0x1.1e9c7aafa7846p-15, -0x1.1aad639b56962p-15, -0x1.16ce7dd5d2fb9p-15, -0x1.130196a35cb09p-15, -0x1.0f4fbad58aec4p-15, -0x1.0bbad7e0ebccp-15, -0x1.0841b84fe9d14p-15, -0x1.04e25e80c0465p-15, -0x1.019ac8fdc7997p-15, -0x1.fcd277446d8aep-16, -0x1.f698cf6392c09p-16, -0x1.f086c6a625d87p-16, -0x1.ea9a9517c716ep-16, -0x1.e4d16a59f586fp-16, -0x1.df271fe7053e7p-16, -0x1.d9978ea48953ep-16, -0x1.d420ef9ab40bap-16, -0x1.cec29a16e4eb9p-16, -0x1.c9742b4c9a81ep-16, -0x1.c4353cb31c3ddp-16, -0x1.bf424d0a5a139p-16, -0x1.ba54bceb19da2p-16, -0x1.b537b5013a568p-16, -0x1.b05a54d95f039p-16, -0x1.aba76402b5c22p-16, -0x1.a6ff10489a67dp-16, -0x1.a227b63dd6397p-16, -0x1.9d84783cdaa57p-16, -0x1.98ed1179d7e95p-16, -0x1.9450beee2ee3p-16, -0x1.8fb97789f0cfp-16, -0x1.8b29e3d00a06dp-16, -0x1.86a1622fee966p-16, -0x1.821ec7e13d7dfp-16, -0x1.7da0fb1ac57fdp-16, -0x1.792706124cf86p-16, -0x1.74b01861e1f07p-16, -0x1.703b8edfb9c15p-16, -0x1.6bc8f9927802ep-16, -0x1.675803ae0e30ep-16, -0x1.62e8365cb8804p-16, -0x1.5e78cb7fd7dd4p-16, -0x1.5a08ca74e98b2p-16, -0x1.55977afd90d3ep-16, -0x1.512533455adfcp-16, -0x1.4cb32f423acffp-16, -0x1.483f6681580e9p-16, -0x1.43c43fe9adf59p-16, -0x1.3f5132e649df7p-16, -0x1.3ad60fc9e2f0fp-16, -0x1.365f7baac144ep-16, -0x1.31e91f5554e3fp-16, -0x1.2d65c7befcb72p-16, -0x1.28e279376431p-16, -0x1.245e191b0a353p-16, -0x1.1fdb51f1feedep-16, -0x1.1b56b6d814c7p-16, -0x1.16cb7a307ff5bp-16, -0x1.123d7a42eab7cp-16, -0x1.0dad987f47f3p-16, -0x1.091bd572b89c7p-16, -0x1.048827f3830d7p-16, -0x1.ffe52beedc8a8p-17, -0x1.f6b663222fa44p-17, -0x1.ed842a75b483ap-17, -0x1.e44ec4b31c012p-17, -0x1.db16849fd007p-17, -0x1.d1dbcf45bcfb6p-17, -0x1.c89f12ad67888p-17, -0x1.bf60af62fcfc1p-17, -0x1.b620eae943b26p-17, -0x1.acdff95edf89p-17, -0x1.a39e1b163ae5cp-17, -0x1.9a5bf2906582bp-17, -0x1.911adb5ee67b8p-17, -0x1.87db9bf852e35p-17, -0x1.7e9b6e41827c4p-17, -0x1.755990a062345p-17, -0x1.6c1e7cbb9ac27p-17, -0x1.62eac14478ad8p-17, -0x1.59b7374e74d3fp-17, -0x1.50860b69d6e8fp-17, -0x1.475867461ecdbp-17, -0x1.3e2c489f2fa17p-17, -0x1.35085ffea9d94p-17, -0x1.2bef0d7de0dcdp-17, -0x1.22d9b42f83b81p-17, -0x1.19c97d46d17b1p-17, -0x1.10c0ca1dfe0eap-17, -0x1.07c04072d8c82p-17, -0x1.fd909e6890e6cp-18, -0x1.ebb2d9be1d08cp-18, -0x1.d9e82c89a9c26p-18, -0x1.c83195c29c105p-18, -0x1.b69015eb79f16p-18, -0x1.a504ad2ea2af2p-18, -0x1.93905b5439795p-18, -0x1.823421237461p-18, -0x1.70f0fff15b407p-18, -0x1.5fc7f3600c84bp-18, -0x1.4eb9ea13e7006p-18, -0x1.3dc7c5e7d9f86p-18, -0x1.2cf25fb66370dp-18, -0x1.1c3a907a788dbp-18, -0x1.0ba15e6e25e64p-18, -0x1.f65035f2e41cbp-19, -0x1.d59f6779ac603p-19, -0x1.b52ec722b3034p-19, -0x1.94fc333ab69c4p-19, -0x1.7519c2cc36ec6p-19, -0x1.557f667ccb2dep-19, -0x1.362890c58f9e4p-19, -0x1.171c26201f936p-19, -0x1.f0b8e934fb499p-20, -0x1.b3d3b69b76723p-20, -0x1.7783d7fc67449p-20, -0x1.3bd605492d484p-20, -0x1.00d874135887ap-20, -0x1.8ced96a0bd124p-21, -0x1.197488a8136e2p-21, -0x1.4e9e863643aep-22, -0x1.b40f98a7270afp-24, 0x1.c77bb0aeb3768p-24, 0x1.4e0204b67e35fp-22, 0x1.13aed0fdea13dp-21, 0x1.7ef5233be3b5dp-21, 0x1.e8d0618a81795p-21, 0x1.289e8ed5cfc55p-20, 0x1.5c1c0907b2725p-20, 0x1.8edf0f4bc014ep-20, 0x1.c0e6238424e1dp-20, 0x1.f22fde32ae1c2p-20, 0x1.115d7abb9be51p-19, 0x1.29431e1e8fa98p-19, 0x1.40c84f3039f8fp-19, 0x1.57ec90adb5bep-19, 0x1.6eaf67aa1a3a9p-19, 0x1.85103b36ee1fep-19, 0x1.9b0e71d73c919p-19, 0x1.b0a9dadcf94d2p-19, 0x1.c5e3a293d54acp-19, 0x1.daba7305105a8p-19, 0x1.ef2a0d2d625abp-19, 0x1.019c0d5bd5c2fp-18, 0x1.0b71486c5c1adp-18, 0x1.15146c7e626e5p-18, 0x1.1e856427cdf67p-18, 0x1.27c4255b6f738p-18, 0x1.30d0c47424183p-18, 0x1.39abd21ed2c75p-18, 0x1.42548a339c834p-18, 0x1.4aca41474f50dp-18, 0x1.530ea7571efeap-18, 0x1.5b21246218301p-18, 0x1.6301b9d16ca3fp-18, 0x1.6ab08685c24ebp-18, 0x1.722daaecd07c4p-18, 0x1.797949b7162dap-18, 0x1.809388bee7debp-18, 0x1.877c914d3afa3p-18, 0x1.8e349029bb826p-18, 0x1.94bbb594a8ec2p-18, 0x1.9b12352760636p-18, 0x1.a13845990baa2p-18, 0x1.a72e209a0d10ep-18, 0x1.acf403212c372p-18, 0x1.b28a2de29ae0cp-18, 0x1.b7f0e515c5ca6p-18, 0x1.bd286ff63a0bep-18, 0x1.c23118fd3d3bap-18, 0x1.c70b2d80abcbbp-18, 0x1.cbb6f929f0b9p-18, 0x1.d034c540c55a6p-18, 0x1.d484e5ce8f556p-18, 0x1.d8a7c6e4bded3p-18, 0x1.dc9e18d2a0b0ep-18, 0x1.e06722f064aa4p-18, 0x1.e40423d32a4f7p-18, 0x1.e7756eeb74787p-18, 0x1.eabb3c6594853p-18, 0x1.edd5f2e339d01p-18, 0x1.f0c5f883e885fp-18, 0x1.f38bb0bc5eb86p-18, 0x1.f62784adaf31bp-18, 0x1.f899e454b222cp-18, 0x1.fae369f295c5fp-18, 0x1.fd043c8bf4014p-18, 0x1.fefcab0d6a8dbp-18, 0x1.0066cafc8446bp-17, 0x1.013b9d4466ebep-17, 0x1.01fd054391e8p-17, 0x1.02ab3e4e907dfp-17, 0x1.034683d1bbb52p-17, 0x1.03cf118fbc08ap-17, 0x1.044523bb4eb56p-17, 0x1.04a8f6fa656c6p-17, 0x1.04fac86312e05p-17, 0x1.053ad5767014ap-17, 0x1.05695c1563b76p-17, 0x1.05869a59579c4p-17, }}, 
      {{-0x1.764650714934bp-2, -0x1.752808cc8a32cp-2, -0x1.734de2293f585p-2, -0x1.70bc2867ec49cp-2, -0x1.6d78928d1c319p-2, -0x1.698a0a0cf5258p-2, -0x1.64f8717dc7e6fp-2, -0x1.5fcc6ddb3f9dcp-2, -0x1.5a0f3434719fdp-2, -0x1.53ca5cd08aa0ep-2, -0x1.4d07bc10adc86p-2, -0x1.45d1411f13376p-2, -0x1.3e30d9f73f3cfp-2, -0x1.36305c5bfbab6p-2, -0x1.2dd97320358ep-2, -0x1.25358f349569fp-2, -0x1.1c4ddbfeab859p-2, -0x1.132b36854be32p-2, -0x1.09d6270a42615p-2, -0x1.0056dcab4104dp-2, -0x1.ed6a5549c798cp-3, -0x1.d9f10dc2ac6a4p-3, -0x1.c650131a55b5bp-3, -0x1.b294daf21c8edp-3, -0x1.9ecc22468229cp-3, -0x1.8b01efa47a0ebp-3, -0x1.774198f7b9563p-3, -0x1.6395c3cf9d76ep-3, -0x1.50086d3ecfb82p-3, -0x1.3ca2ec5edf737p-3, -0x1.296df7cdd441ap-3, -0x1.1671a9ce7a1cp-3, -0x1.03b585b1b946fp-3, -0x1.e280f6d138efp-4, -0x1.be31dd309f2d8p-4, -0x1.9a896f1e3b511p-4, -0x1.779256adcf8c1p-4, -0x1.55563dc95c497p-4, -0x1.33ddd7f2751a8p-4, -0x1.1330eab6de15dp-4, -0x1.e6acb185dd7eep-5, -0x1.a8a8528eb6bc5p-5, -0x1.6c5f24caaa5bep-5, -0x1.31da02951976dp-5, -0x1.f24091773a088p-6, -0x1.846fcdcd7c4a6p-6, -0x1.1a4ae60b48f0fp-6, -0x1.67b0e37f0006dp-7, -0x1.44726fc4d9a2dp-8, 0x1.bcd7ab30e1b59p-11, 0x1.a4c79aa36ce9dp-8, 0x1.818e66f87b955p-7, 0x1.14aae225b80f7p-6, 0x1.64e2f6be70dap-6, 0x1.b1771ed54661dp-6, 0x1.fa7091ffcfc75p-6, 0x1.1fecfa23d094dp-5, 0x1.40df9ca4f53f9p-5, 0x1.6016c439f217dp-5, 0x1.7d9990d03e6dp-5, 0x1.996fa1c9331fp-5, 0x1.b3a1095b5cea5p-5, 0x1.cc36408ee682bp-5, 0x1.e3381bbf80337p-5, 0x1.f8afbfb48768fp-5, 0x1.06534b9f414a9p-4, 0x1.0f9324a5a8084p-4, 0x1.181c57ddf8401p-4, 0x1.1ff3e71fe2accp-4, 0x1.271ee51575adbp-4, 0x1.2da2715ec858fp-4, 0x1.3383b500f7fe3p-4, 0x1.38c7df3731d7ep-4, 0x1.3d742222888b3p-4, 0x1.418dafff391b2p-4, 0x1.4519b83fd0e4fp-4, 0x1.481d64fe6e713p-4, 0x1.4a9dd964da486p-4, 0x1.4ca02f2d729cp-4, 0x1.4e297571aecbcp-4, 0x1.4f3eae870b1fcp-4, 0x1.4fe4ce3d2631ap-4, 0x1.5020b87e18c88p-4, 0x1.4ff73fb2b22c3p-4, 0x1.4f6d240e25b87p-4, 0x1.4e8712af9de21p-4, 0x1.4d49a4df1c6f3p-4, 0x1.4bb95f3deaac8p-4, 0x1.49dab0bbac73bp-4, 0x1.47b1f1ab2103cp-4, 0x1.454362ceb0bfap-4, 0x1.42932cbd0fb68p-4, 0x1.3fa55f8f1b47ep-4, 0x1.3c7df292c772fp-4, 0x1.3920c444c713fp-4, 0x1.35919a2fbcdabp-4, 0x1.31d420bae1498p-4, 0x1.2debeae5bd393p-4, 0x1.29dc71f651338p-4, 0x1.25a9152b48cf2p-4, 0x1.21551982cbe05p-4, 0x1.1ce3a99f1f542p-4, 0x1.1857d5cf5e2a2p-4, 0x1.13b49435a7d9cp-4, 0x1.0efcc1026648dp-4, 0x1.0a331ebb7cd66p-4, 0x1.055a568371f14p-4, 0x1.0074f8593098cp-4, 0x1.f70af69cc8f7fp-5, 0x1.ed1c7b6b83384p-5, 0x1.e3230a91c1c79p-5, 0x1.d922fea8044dbp-5, 0x1.cf2081c8347c4p-5, 0x1.c51f8dfb81fb5p-5, 0x1.bb23edce4a127p-5, 0x1.b1313cfc8f795p-5, 0x1.a74ae93c16043p-5, 0x1.9d74331ef5d63p-5, 0x1.93b02f091034ep-5, 0x1.8a01c631032d9p-5, 0x1.806bb7a5fa67dp-5, 0x1.76f09955393eep-5, 0x1.6d92d90bd6f4dp-5, 0x1.6454bd72b95fp-5, 0x1.5b386704c86cdp-5, 0x1.523fd1003b013p-5, 0x1.496cd2551dc71p-5, 0x1.40c11e935fee9p-5, 0x1.383e46daa67fep-5, 0x1.2fe5bacdeea29p-5, 0x1.27b8c98c0771ap-5, 0x1.1fb8a2adb0d44p-5, 0x1.17e65748d89b8p-5, 0x1.1042daf7e8064p-5, 0x1.08cf04e48bc9dp-5, 0x1.018b90d395edap-5, 0x1.f4f24060840f4p-6, 0x1.e730762c0635dp-6, 0x1.d9d2a2ac1aaf9p-6, 0x1.ccd976f3bf90bp-6, 0x1.c045777dae646p-6, 0x1.b416fe168e2a2p-6, 0x1.a84e3bbc0093p-6, 0x1.9ceb3a7144f9bp-6, 0x1.91eddf03a5b54p-6, 0x1.8755eac376c9p-6, 0x1.7d22fd36f9b0cp-6, 0x1.735495bf2d978p-6, 0x1.69ea1531b0fdfp-6, 0x1.60e2bf705c04ep-6, 0x1.583dbcf606e54p-6, 0x1.4ffa1c568de33p-6, 0x1.4816d3bd97e49p-6, 0x1.4092c266a9702p-6, 0x1.396cb2053a535p-6, 0x1.32a35827aa338p-6, 0x1.2c35579814777p-6, 0x1.262141ad09494p-6, 0x1.2065978cbf0c1p-6, 0x1.1b00cb6f5a312p-6, 0x1.15f141d768688p-6, 0x1.113552b6d369bp-6, 0x1.0ccb4a8bcdacap-6, 0x1.08b16b7c4811cp-6, 0x1.04e5ee61db7bap-6, 0x1.016703c3d7412p-6, 0x1.fc65a99c2123bp-7, 0x1.f68f08889830ep-7, 0x1.f1465ec86c063p-7, 0x1.ec87dd7177adp-7, 0x1.e84fadd9d1fep-7, 0x1.e499f33515097p-7, 0x1.e162cc0de8275p-7, 0x1.dea653a6f2d71p-7, 0x1.dc60a36b7232cp-7, 0x1.da8dd42f217c5p-7, 0x1.d929ff85c4f8ap-7, 0x1.d83140dc34592p-7, 0x1.d79fb69e2d4a7p-7, 0x1.d77183579a1d3p-7, 0x1.d7a2cebf77026p-7, 0x1.d82fc6987902ep-7, 0x1.d9149faf7e1f7p-7, 0x1.da4d96bcb8934p-7, 0x1.dbd6f1397d0b7p-7, 0x1.ddacfe1782adfp-7, 0x1.dfcc1689b6812p-7, 0x1.e2309eadbfd35p-7, 0x1.e4d7063f7963cp-7, 0x1.e7bbc91f5e846p-7, 0x1.eadb6fe7b8376p-7, 0x1.ee32907495ca1p-7, 0x1.f1bdce60d4c1fp-7, 0x1.f579db7cfae65p-7, 0x1.f963782748659p-7, 0x1.fd7773a7d4663p-7, 0x1.00d9565001128p-6, 0x1.030908a6bb648p-6, 0x1.05494fe877005p-6, 0x1.0798b331c8e28p-6, 0x1.09f5c1c7509a5p-6, 0x1.0c5f1330d1f11p-6, 0x1.0ed34758e235cp-6, 0x1.115106920193ep-6, 0x1.13d701a1a5c9fp-6, 0x1.1663f1cd9bb66p-6, 0x1.18f698ebdeb16p-6, 0x1.1b8dc16bca624p-6, 0x1.1e283e51a3f61p-6, 0x1.20c4eb36eddc5p-6, 0x1.2362ac43e4be3p-6, 0x1.26006e3336e0fp-6, 0x1.289d2653ba8bcp-6, 0x1.2b37d27de904cp-6, 0x1.2dcf7901b4996p-6, 0x1.30632896307e7p-6, 0x1.32f1f84eeb6e4p-6, 0x1.357b0799f93a2p-6, 0x1.37fd7e31d33e3p-6, 0x1.3a788c024d813p-6, 0x1.3ceb690ccd20fp-6, 0x1.3f5555521827bp-6, 0x1.41b598c4e6a0fp-6, 0x1.440b833c5c74cp-6, 0x1.46566c5c725c4p-6, 0x1.4895b3723aa5bp-6, 0x1.4ac8bf5028c9bp-6, 0x1.4ceefe358799cp-6, 0x1.4f07e5ba6a716p-6, 0x1.5112f2bcd8f43p-6, 0x1.530fa943c3302p-6, 0x1.54fd94570897ap-6, 0x1.56dc45d69fea8p-6, 0x1.58ab565ac3363p-6, 0x1.5a6a651dd9011p-6, 0x1.5c1917e71ef8ep-6, 0x1.5db71aeb955acp-6, 0x1.5f4420a51db5cp-6, 0x1.60bfe1a74f81ap-6, 0x1.622a1c78d89bbp-6, 0x1.6382957835e2p-6, 0x1.64c916c587f6p-6, 0x1.65fd7026f3e17p-6, 0x1.671f76e2abc23p-6, 0x1.682f0592286c5p-6, 0x1.692bfbf78468ap-6, 0x1.6a163edbdc733p-6, 0x1.6aedb7f607ab6p-6, 0x1.6bb255d211471p-6, 0x1.6c640bb2017fap-6, 0x1.6d02d166dcf2cp-6, 0x1.6d8ea324cd864p-6, 0x1.6e07815a97043p-6, 0x1.6e6d70920fcf4p-6, 0x1.6ec07957521b8p-6, 0x1.6f00a82033852p-6, 0x1.6f2e0d2df8517p-6, 0x1.6f48bc67be9e3p-6, 0x1.6f50cd31a2c57p-6, 0x1.6f465a46c267ap-6, 0x1.6f29819a41ddp-6, 0x1.6efa643e8a189p-6, 0x1.6eb9264e01d4ep-6, 0x1.6e65eecffaf6p-6, 0x1.6e00e7982a657p-6, 0x1.6d8a3d226b5bcp-6, 0x1.6d021e6ea525dp-6, 0x1.6c68bce1d79f5p-6, 0x1.6bbe4c2d1b295p-6, 0x1.6b030237f2ae7p-6, 0x1.6a371709ba5d2p-6, 0x1.695ac4af4cb2bp-6, 0x1.686e471c88b33p-6, 0x1.6771dc0c4ca83p-6, 0x1.6665c2e271283p-6, 0x1.654a3c9219d52p-6, 0x1.641f8b88557dp-6, 0x1.62e5f398c58c6p-6, 0x1.619db9e94bb1ep-6, 0x1.604724dad069bp-6, 0x1.5ee27bef63e24p-6, 0x1.5d7007afb54abp-6, 0x1.5bf01191eaaccp-6, 0x1.5a62e3e3aeaf5p-6, 0x1.58c8c9b7adf4dp-6, 0x1.57220ed4e9d5cp-6, 0x1.556effa5d0b31p-6, 0x1.53afe925a1ff6p-6, 0x1.51e518cbdeaa2p-6, 0x1.500edc76eb5c2p-6, 0x1.4e2d82576408dp-6, 0x1.4c4158dda5432p-6, 0x1.4a4aaea9d31cbp-6, 0x1.4849d27dd7dc6p-6, 0x1.463f132ff0256p-6, 0x1.442abf9cbb458p-6, 0x1.420d269800c75p-6, 0x1.3fe696dc88ep-6, 0x1.3db75efc00d38p-6, 0x1.3b7fcd4fd5a36p-6, 0x1.39402febdaf35p-6, 0x1.36f8d492abd8cp-6, 0x1.34aa08ab3fe0cp-6, 0x1.32541936e83cp-6, 0x1.2ff752c6f2d79p-6, 0x1.2d940171902bbp-6, 0x1.2b2a70c62f1dfp-6, 0x1.28baebc1f3a0dp-6, 0x1.2645bcc4e6654p-6, 0x1.23cb2d887b3e9p-6, 0x1.214b87176fa03p-6, 0x1.1ec711c6e9fdcp-6, 0x1.1c3e15300d468p-6, 0x1.19b0d8298c608p-6, 0x1.171fa0c0bb761p-6, 0x1.148ab4320f984p-6, 0x1.11f256e150fa8p-6, 0x1.0f56cc51f8ceap-6, 0x1.0cb857205158ap-6, 0x1.0a1738fbbd8f4p-6, 0x1.0773b2a266357p-6, 0x1.04ce03de109c7p-6, 0x1.02266b819ce12p-6, 0x1.fefa4ecd230d9p-7, 0x1.f9a4e8d43343fp-7, 0x1.f44d1cd26b11ap-7, 0x1.eef36078431c5p-7, 0x1.e99827629141ep-7, 0x1.e43be311019d1p-7, 0x1.dedf02de6f752p-7, 0x1.d981f3fc7f57p-7, 0x1.d4252172b13cdp-7, 0x1.cec8f4205b359p-7, 0x1.c96dd2c019011p-7, 0x1.c41421ea7dad2p-7, 0x1.bebc4416923f5p-7, 0x1.b9669996ddb9ap-7, 0x1.b413809354c4cp-7, 0x1.aec35501ab95ep-7, 0x1.a976709e54ef8p-7, 0x1.a42d2ae8bcac7p-7, 0x1.9ee7d92485d06p-7, 0x1.99a6ce5fd7623p-7, 0x1.946a5b7d78956p-7, 0x1.8f32cf3fadc33p-7, 0x1.8a007650f6246p-7, 0x1.84d39b47befb4p-7, 0x1.7fac86a42124fp-7, 0x1.7a8b7ec8c82dfp-7, 0x1.7570c7f321087p-7, 0x1.705ca436a8269p-7, 0x1.6b4f537dc93ffp-7, 0x1.66491392c1a36p-7, 0x1.614a2030401d3p-7, 0x1.5c52b3150984ap-7, 0x1.57630414f14cap-7, 0x1.527b492268f09p-7, 0x1.4d9bb64d9bf58p-7, 0x1.48c47db9f2a5p-7, 0x1.43f5cf8e817dcp-7, 0x1.3f2fd9e8b5dd6p-7, 0x1.3a72c8d8aa283p-7, 0x1.35bec66c8875ep-7, 0x1.3113facb62a32p-7, 0x1.2c728c5a5ae88p-7, 0x1.27da9fe2aba64p-7, 0x1.234c58ad1829dp-7, 0x1.1ec7d8897dee2p-7, 0x1.1a4d3fbe9197ep-7, 0x1.15dcace59d766p-7, 0x1.11763cbd6690dp-7, 0x1.0d1a0a046332ep-7, 0x1.08c82d6a3cf1dp-7, 0x1.0480bda39b5d2p-7, 0x1.0043cfa19c43ep-7, 0x1.f822edc6c79afp-8, 0x1.efd38b9ca8649p-8, 0x1.e7999be8fff4p-8, 0x1.df754065b499ap-8, 0x1.d76699335f56p-8, 0x1.cf6dc440fd5fcp-8, 0x1.c78adc6d60d1ap-8, 0x1.bfbdf89f130bfp-8, 0x1.b8072b19dd1b4p-8, 0x1.b066814f3a355p-8, 0x1.a8dc044990e1fp-8, 0x1.a167b9a9b7824p-8, 0x1.9a09a50596f7cp-8, 0x1.92c1c958fe03cp-8, 0x1.8b902a2e4c939p-8, 0x1.8474cc2e6a1d3p-8, 0x1.7d6fb4e4de05cp-8, 0x1.7680e9b1d4931p-8, 0x1.6fa86e18fee47p-8, 0x1.68e641cdff21ap-8, 0x1.623a5efed5e26p-8, 0x1.5ba4b95b427f1p-8, 0x1.55253e2fc8981p-8, 0x1.4ebbd5a2dc53fp-8, 0x1.486864d27d495p-8, 0x1.422ad0548d94ep-8, 0x1.3c02fe8830e31p-8, 0x1.35f0d93c8f00fp-8, 0x1.2ff44e5e51cbcp-8, 0x1.2a0d4f8d56c8bp-8, 0x1.243bd0a336401p-8, 0x1.1e7fc557b64ecp-8, 0x1.18d91e5db36b3p-8, 0x1.1347c689a39ap-8, 0x1.0dcba0bb43712p-8, 0x1.08648738f297ep-8, 0x1.03124cd56d009p-8, 0x1.fba97f516df4ep-9, 0x1.f157592f9ca46p-9, 0x1.e72dc54c9615ep-9, 0x1.dd2c6a7cc22a4p-9, 0x1.d352fa4117e2p-9, 0x1.c9a130665cb11p-9, 0x1.c016d1474e553p-9, 0x1.b6b3a74286903p-9, 0x1.ad777f4d9a5bdp-9, 0x1.a4622442e40c5p-9, 0x1.9b73590ae68e4p-9, 0x1.92aad2dd0f1c9p-9, 0x1.8a0835b9a73ep-9, 0x1.818b150d159c1p-9, 0x1.7932f8e67f996p-9, 0x1.70ff6602bbec1p-9, 0x1.68efe5766bc79p-9, 0x1.610409046101p-9, 0x1.593b6b208526ep-9, 0x1.5195ac0da2a4dp-9, 0x1.4a126ee3a2653p-9, 0x1.42b158bbca8dp-9, 0x1.3b72122ff2b5p-9, 0x1.34544939c92a5p-9, 0x1.2d57b0d09e264p-9, 0x1.267bfcfe488e7p-9, 0x1.1fc0dcacf2e4dp-9, 0x1.1925f46dfd902p-9, 0x1.12aadd60ad3b7p-9, 0x1.0c4f291223dfbp-9, 0x1.0612681fce898p-9, 0x1.ffe85f57b48b7p-10, 0x1.f3e834f7c8f56p-10, 0x1.e8238aacb3d91p-10, 0x1.dc99923af754fp-10, 0x1.d1496d0fb28b7p-10, 0x1.c6322cefc1d85p-10, 0x1.bb52de94ecaadp-10, 0x1.b0aa98c8718cap-10, 0x1.a63887684aa84p-10, 0x1.9bfbec4535b78p-10, 0x1.91f416cf2c1e6p-10, 0x1.88205a0adc338p-10, 0x1.7e8008def90aep-10, 0x1.75127aa39b333p-10, 0x1.6bd7121a6765ep-10, 0x1.62cd3e66ded68p-10, 0x1.59f472821c523p-10, 0x1.514c1742fd142p-10, 0x1.48d37f632f7a3p-10, 0x1.4089e1ffb3866p-10, 0x1.386e5ba8ed4a5p-10, 0x1.307ff4f34bca5p-10, 0x1.28bdae318bac1p-10, 0x1.21268dff1effcp-10, 0x1.19b9abf3f1b95p-10, 0x1.127630d258961p-10, 0x1.0b5b4dac0effep-10, 0x1.046835a15ef82p-10, 0x1.fb384cae364aap-11, 0x1.edecfc15bc657p-11, 0x1.e0ed9be316bcp-11, 0x1.d439a9c8c49b2p-11, 0x1.c7d0bdf706dc9p-11, 0x1.bbb23a4149682p-11, 0x1.afdd1d23051c7p-11, 0x1.a4500cde2e47dp-11, 0x1.990981d2b3ce9p-11, 0x1.8e07e90f9b419p-11, 0x1.8349afe8bdd9ep-11, 0x1.78cd452049bf4p-11, 0x1.6e911de9748a8p-11, 0x1.6493baba143bcp-11, 0x1.5ad39d32a4284p-11, 0x1.514f2e6b353a5p-11, 0x1.4804b0a2d2bbap-11, 0x1.3ef26050ece2ep-11, 0x1.3616c765e4ebbp-11, 0x1.2d710d9f98db5p-11, 0x1.2500fc42c5c73p-11, 0x1.1cc69f7c5d1bdp-11, 0x1.14c1c4b0c983ep-11, 0x1.0cf1b41859e73p-11, 0x1.055549526eafep-11, 0x1.fbd674e705b18p-12, 0x1.ed6492fb34058p-12, 0x1.df529c577e01fp-12, 0x1.d19e6345b7e59p-12, 0x1.c445dc9b0eddcp-12, 0x1.b7471a7baf521p-12, 0x1.aaa02e18209c6p-12, 0x1.9e4ef4f499395p-12, 0x1.9250e859606fdp-12, 0x1.86a30fa50bcd7p-12, 0x1.7b423e4dc3a91p-12, 0x1.702bacf4d21aep-12, 0x1.655da4b4bb585p-12, 0x1.5ad7a5c2d35d3p-12, 0x1.5099ba9c6e78ap-12, 0x1.46a377aef199dp-12, 0x1.3cf38cf5d0a5ep-12, 0x1.33882e771b937p-12, 0x1.2a5fac849cdfcp-12, 0x1.21788b47ea8adp-12, 0x1.18d138a5abd53p-12, 0x1.1067f31d99914p-12, 0x1.083b094e3d536p-12, 0x1.00491d69a4e26p-12, 0x1.f1224403d72eep-13, 0x1.e22421fea061cp-13, 0x1.d3952c86008cfp-13, 0x1.c571deb6aaf47p-13, 0x1.b7b6249bad332p-13, 0x1.aa5df064cffe6p-13, 0x1.9d65cb85376e3p-13, 0x1.90cb3d3f825ebp-13, 0x1.848cc379141e4p-13, 0x1.78a91c10c1277p-13, 0x1.6d1e4f5a9b9e4p-13, 0x1.61e99686abcfbp-13, 0x1.570864c77e934p-13, 0x1.4c7935c7b46e4p-13, 0x1.423afa46e151p-13, 0x1.384bff05a9a0dp-13, 0x1.2ea9be6371da8p-13, 0x1.2551835f1cb45p-13, 0x1.1c40f64cbacc3p-13, 0x1.137652d5e2d3dp-13, 0x1.0af055861e25cp-13, 0x1.02add374c0c57p-13, 0x1.f55a634a7a7p-14, 0x1.e5d862a63271fp-14, 0x1.d6d09f767b1e3p-14, 0x1.c83ee5c3a77ecp-14, 0x1.ba208d7558fd3p-14, 0x1.ac73d8eb0e009p-14, 0x1.9f36742782eadp-14, 0x1.92645375717a9p-14, 0x1.85f7f8de85a2bp-14, 0x1.79ec1dfb28ec9p-14, 0x1.6e3da52a43826p-14, 0x1.62ebf2333ea46p-14, 0x1.57f6b99e87016p-14, 0x1.4d5bd1d68c9f4p-14, 0x1.4317b3159f552p-14, 0x1.392722dd5ad6ep-14, 0x1.2f8785bd27a47p-14, 0x1.2636704ffce07p-14, 0x1.1d31b3b5e3d5ap-14, 0x1.1477702c23f2ap-14, 0x1.0c05d5e3aba54p-14, 0x1.03dad381a7e7ap-14, 0x1.f7e7e1bac13fp-15, 0x1.e89d0fe01a1bcp-15, 0x1.d9d0ccef3edecp-15, 0x1.cb80c29d0846p-15, 0x1.bdac1a2fc82b8p-15, 0x1.b05112d6ad4b1p-15, 0x1.a36ac049ea6a9p-15, 0x1.96f0f3d214536p-15, 0x1.8adb9464cf6ep-15, 0x1.7f26ad526d363p-15, 0x1.73d1ad24ed17bp-15, 0x1.68dc3742feed5p-15, 0x1.5e4406c12d9a6p-15, 0x1.5404acd6b5738p-15, 0x1.4a1a244f44a19p-15, 0x1.4082326625b1cp-15, 0x1.373aaf921d026p-15, 0x1.2e412caa78cacp-15, 0x1.25935668d5c8cp-15, 0x1.1d2ebf844691dp-15, 0x1.1510c41cf84bep-15, 0x1.0d36b7544cafcp-15, 0x1.059e12e7b52bap-15, 0x1.fc890ca5ddb5p-16, 0x1.ee501603e0535p-16, 0x1.e08e361cc2d3dp-16, 0x1.d341747267109p-16, 0x1.c667a3a0389e3p-16, 0x1.b9fc9862166f6p-16, 0x1.adfa3dd2fd724p-16, 0x1.a259941507d4bp-16, 0x1.9715006012a58p-16, 0x1.8c2b565e107bdp-16, 0x1.819a42225389ep-16, 0x1.775d9c62b417cp-16, 0x1.6d733d44e987dp-16, 0x1.63d67426d2d4ep-16, 0x1.5a846498c9c0ap-16, 0x1.517bc7d45e9c4p-16, 0x1.48ba1016d7faep-16, 0x1.403cfd54fe3d2p-16, 0x1.380287eb80dd8p-16, 0x1.300843e811d43p-16, 0x1.284b647eac172p-16, 0x1.20c914de4fbd3p-16, 0x1.197ed259872d5p-16, 0x1.126a924b3673cp-16, 0x1.0b8aa821e20bdp-16, 0x1.04dd8f50ff30ep-16, 0x1.fcc38d5f19193p-17, 0x1.f02b8e666ddd8p-17, 0x1.e3ef921c4e964p-17, 0x1.d80abe30dc2bep-17, 0x1.cc78e0923a8b2p-17, 0x1.c1383de6d876cp-17, 0x1.b644cd951a1a3p-17, 0x1.ab9b2f99a1d17p-17, 0x1.a138f82c54748p-17, 0x1.971a4f8be8eacp-17, 0x1.8d3c896a7b239p-17, 0x1.839afb000ae14p-17, 0x1.7a3566f33b108p-17, 0x1.710a9672e4669p-17, 0x1.681797d7ba0c2p-17, 0x1.5f5aaf35fc6p-17, 0x1.56d250c1b2a56p-17, 0x1.4e7c9a27f3048p-17, 0x1.465764f61362bp-17, 0x1.3e6078b5874cp-17, 0x1.3695c3a45bfcfp-17, 0x1.2ef588174947fp-17, 0x1.277e639c4cb5dp-17, 0x1.202f23ca9c26ep-17, 0x1.190685ab6d3c1p-17, 0x1.1203195ef5622p-17, 0x1.0b236cd272cc8p-17, 0x1.0466377eef07fp-17, 0x1.fb940bed62ab8p-18, 0x1.ee9ad3e7ac07dp-18, 0x1.e1e0d3aee122dp-18, 0x1.d56433c9ce066p-18, 0x1.c91ef4e4b29ffp-18, 0x1.bd0fe29944104p-18, 0x1.b139e42033a5ap-18, 0x1.a596eac146389p-18, 0x1.9a222a63b9ba3p-18, 0x1.8eddac53ee4cfp-18, 0x1.83c90dbf08364p-18, 0x1.78e1824f6d7bep-18, 0x1.6e25f67044d5ap-18, 0x1.63958686ca35dp-18, 0x1.592f1740e9a9p-18, 0x1.4ef171a7a0254p-18, 0x1.44db581689786p-18, 0x1.3aeb960230472p-18, 0x1.3121121910a1ap-18, 0x1.277ae00a74da5p-18, 0x1.1df84294a1f46p-18, 0x1.14988f2fee24bp-18, 0x1.0b5b03d026bdep-18, 0x1.023ebcd6c2fd4p-18, 0x1.f285bc33d4cc7p-19, 0x1.e0cd9c1909cf5p-19, 0x1.cf546d0d53423p-19, 0x1.be1929da60217p-19, 0x1.ad1a6565de9e8p-19, 0x1.9c581717835bdp-19, 0x1.8bcf78554a09ap-19, 0x1.7b7ef0ce86d42p-19, 0x1.6b68cebbdf9b8p-19, 0x1.5b8b56d612567p-19, 0x1.4be4908446235p-19, 0x1.3c723d9ab51a5p-19, 0x1.2d36c62ecba8ap-19, 0x1.1e309fc5abd65p-19, 0x1.0f5ee367635b9p-19, 0x1.00c169c572086p-19, 0x1.e4afb36de99e4p-20, 0x1.c8438a0eac85cp-20, 0x1.ac3d78a35520bp-20, 0x1.909ca959948e6p-20, 0x1.756053c51752fp-20, 0x1.5a87c20fd3781p-20, 0x1.40125af756e2fp-20, 0x1.25ffa9e1699c2p-20, 0x1.0c4f513496d2fp-20, 0x1.e601c66cdf95fp-21, 0x1.b427929195f83p-21, 0x1.830ebb22bc62cp-21, 0x1.52b643b435fa2p-21, 0x1.231df05634921p-21, 0x1.e88c723b2dec9p-22, 0x1.8c5d6d55b962dp-22, 0x1.31aa7caf51cc8p-22, 0x1.b0e72b116ed4ep-23, 0x1.01691eb60ec97p-23, 0x1.538a0449cf58ep-25, -0x1.52b89a165cbffp-25, -0x1.f6a501b15f9b1p-24, -0x1.9f08e891777bcp-23, -0x1.1fe9df42013c3p-22, -0x1.6ed966537dd9bp-22, -0x1.bc546cb02617bp-22, -0x1.042e637b2edbfp-21, -0x1.29793477aa468p-21, -0x1.4e0afed0c4a6fp-21, -0x1.71e4368f21c4ap-21, -0x1.950556c16e2ap-21, -0x1.b76eddb4f5ebbp-21, -0x1.d9214c0283f57p-21, -0x1.fa1d24aa2592p-21, -0x1.0d31768f96beep-20, -0x1.1cf9955f0745p-20, -0x1.2c67302694d8bp-20, -0x1.3b7a89b3150fdp-20, -0x1.4a33ed8e31f12p-20, -0x1.5893b36c16c1bp-20, -0x1.669a39dda6dddp-20, -0x1.7447dde786fc8p-20, -0x1.819cef71a302ep-20, -0x1.8e99a83170994p-20, -0x1.9b3e529b5750dp-20, -0x1.a78b801f316d2p-20, -0x1.b381bd2049ce3p-20, -0x1.bf2142d3e7a8ap-20, -0x1.ca6a74bd6ca05p-20, -0x1.d55de2ab4d0ep-20, -0x1.dffbe9b6b9495p-20, -0x1.ea450dd6a14f6p-20, -0x1.f439ec67323ecp-20, -0x1.fddad83cc63f2p-20, -0x1.0394221f1d552p-19, -0x1.081174e712c54p-19, -0x1.0c65a78f38dadp-19, -0x1.1090faf09fbep-19, -0x1.1493b80e0203ap-19, -0x1.186e2a99b08b2p-19, -0x1.1c20a0164efc8p-19, -0x1.1fab67c6732eep-19, -0x1.230ed2946b04bp-19, -0x1.264b3305799dap-19, -0x1.2960dd3861cb1p-19, -0x1.2c5026d8528e1p-19, -0x1.2f1966efd8bp-19, -0x1.31bcf5dab68d4p-19, -0x1.343b2dbb18dd7p-19, -0x1.36946aff77059p-19, -0x1.38c90c272dc9ep-19, -0x1.3ad9712c32dadp-19, -0x1.3cc5fafdd67f4p-19, -0x1.3e8f0a04a2a9cp-19, -0x1.4034fd4c358ddp-19, -0x1.41b83816624edp-19, -0x1.431925863c167p-19, -0x1.44583117c9687p-19, -0x1.4575b4811c421p-19, -0x1.4672209c3a3efp-19, -0x1.474de3f1c9ce5p-19, -0x1.480962fda0f3bp-19, -0x1.48a5088a4e2c9p-19, -0x1.4921434d762b7p-19, -0x1.497e8580a94afp-19, -0x1.49bd38b6de46fp-19, -0x1.49ddc6835edddp-19, -0x1.49e0a8e86ad42p-19, -0x1.49c64d49c4594p-19, -0x1.498f23aabd3aep-19, -0x1.493b9dcec7942p-19, -0x1.48cc2e09e6db5p-19, -0x1.48414728349a2p-19, -0x1.479b5c62b8109p-19, -0x1.46dae15106a89p-19, -0x1.460049d9bcafep-19, -0x1.450c0a2a258eap-19, -0x1.43fe96a7995c2p-19, -0x1.42d863def230dp-19, -0x1.4199e67548e5dp-19, -0x1.4043933b02843p-19, -0x1.3ed5df46ee963p-19, -0x1.3d513fda9f0fap-19, -0x1.3bb62a341cd96p-19, -0x1.3a05137edd0f4p-19, -0x1.383e70a491439p-19, -0x1.3662b5bf38064p-19, -0x1.347256a17878fp-19, -0x1.326dc83e118d8p-19, -0x1.30558080c05b7p-19, -0x1.2e29f26e434b3p-19, -0x1.2beb8e2e700dep-19, -0x1.299acbfa23b2bp-19, -0x1.27381d2618551p-19, -0x1.24c3f3a7e9e0fp-19, -0x1.223ec0fee3dbap-19, -0x1.1fa8f69683d1ap-19, -0x1.1d030605243d7p-19, -0x1.1a4d60e19532ep-19, -0x1.17887585324dp-19, -0x1.14b4b1de601dp-19, -0x1.11d2877bdd413p-19, -0x1.0ee2632341e1ep-19, -0x1.0be4b1f80e4c2p-19, -0x1.08d9e0962607p-19, -0x1.05c25ae1fe1bbp-19, -0x1.029e8bf0d889ep-19, -0x1.feddbc297293dp-20, -0x1.f867759e45e3ap-20, -0x1.f1db15950b7fep-20, -0x1.eb396baaba85cp-20, -0x1.e48345b96955fp-20, -0x1.ddb96fc85e8b8p-20, -0x1.d6dcb400265ap-20, -0x1.cfeddab3313f3p-20, -0x1.c8edaa6c9870ap-20, -0x1.c1dce7ded8678p-20, -0x1.babc55bd508d4p-20, -0x1.b38cb4bb3c5dfp-20, -0x1.ac4ec37340321p-20, -0x1.a5033e2feaf23p-20, -0x1.9daadecab0de9p-20, -0x1.96465daad7871p-20, -0x1.8ed671969bf36p-20, -0x1.875bcfc1cb41cp-20, -0x1.7fd72662d98e7p-20, -0x1.784928317d556p-20, -0x1.70b282842ab05p-20, -0x1.6913e00ed135cp-20, -0x1.616de9e5187dep-20, -0x1.59c146a13f7bdp-20, -0x1.520e9a608911fp-20, -0x1.4a568752fb051p-20, -0x1.4299ad9612a48p-20, -0x1.3ad8ab5510639p-20, -0x1.33141aae5d5b2p-20, -0x1.2b4c93ffef545p-20, -0x1.2382af5c3b5d7p-20, -0x1.1bb7002dd8265p-20, -0x1.13ea183cde4a9p-20, -0x1.0c1c8705c2a9dp-20, -0x1.044ed9a67f9ebp-20, -0x1.f90335c15da9dp-21, -0x1.e96aa62e42cb4p-21, -0x1.d9d5109e83933p-21, -0x1.ca437c64476a8p-21, -0x1.bab6ec1e4f2f5p-21, -0x1.ab305d8e86199p-21, -0x1.9bb0c62549114p-21, }}, 
      {{-0x1.7685f8b34d12dp-2, -0x1.7625efb18f55bp-2, -0x1.75867c170dd19p-2, -0x1.74a8800e13f1ep-2, -0x1.738d2c338e563p-2, -0x1.7235f6619a0acp-2, -0x1.70a490162b5a1p-2, -0x1.6edadcfbbcb66p-2, -0x1.6cdae9d5ceb99p-2, -0x1.6aa6e42f66e35p-2, -0x1.68411296d9313p-2, -0x1.65abcde74f016p-2, -0x1.62e97b252b896p-2, -0x1.5ffc863cfb94bp-2, -0x1.5ce75d6faa337p-2, -0x1.59ac6d6482848p-2, -0x1.564e1dd88e48fp-2, -0x1.52cecec7b9619p-2, -0x1.4f30d6169f25dp-2, -0x1.4b767dac3ca57p-2, -0x1.47a201eb877dep-2, -0x1.43b5908172014p-2, -0x1.3fb34778cd573p-2, -0x1.3b9d3488b11f4p-2, -0x1.37755497533b7p-2, -0x1.333d93665abp-2, -0x1.2ef7cb6a12478p-2, -0x1.2aa5c5a58dd94p-2, -0x1.264939bcdf567p-2, -0x1.21e3cdfe87f46p-2, -0x1.1d77179088b0fp-2, -0x1.19049a97f4577p-2, -0x1.148dca80a01c8p-2, -0x1.10140a22960a3p-2, -0x1.0b98ac4e457f9p-2, -0x1.071cf3a75e9d8p-2, -0x1.02a2135d46573p-2, -0x1.fc525ea757066p-3, -0x1.f366b8fe9c224p-3, -0x1.ea8342532906fp-3, -0x1.e1a9eaefd9156p-3, -0x1.d8dc8730bfe71p-3, -0x1.d01cd080aae14p-3, -0x1.c76c65d20aa83p-3, -0x1.becccca174875p-3, -0x1.b63f717b0864bp-3, -0x1.adc5a8f394584p-3, -0x1.a560b00d3f771p-3, -0x1.9d11ad5abe78ep-3, -0x1.94d9b17f1e263p-3, -0x1.8cb9b7f236206p-3, -0x1.84b2a7fbc39c1p-3, -0x1.7cc554f0b2171p-3, -0x1.74f27f788b8a6p-3, -0x1.6d3ad5f490368p-3, -0x1.659ef550ee0c5p-3, -0x1.5e1f69b6af3e9p-3, -0x1.56bcaf4105f65p-3, -0x1.4f7732a8cc433p-3, -0x1.484f52027db4fp-3, -0x1.41455d583149ap-3, -0x1.3a599759864dfp-3, -0x1.338c35ffed1fbp-3, -0x1.2cdd632fb7be9p-3, -0x1.264d3d53e429ap-3, -0x1.1fdbd7fac4667p-3, -0x1.19893c740740bp-3, -0x1.13556a4dc76e7p-3, -0x1.0d4057f70bcddp-3, -0x1.0749f3380b7aep-3, -0x1.017221bd3b999p-3, -0x1.f771833492524p-4, -0x1.ec3b53900114dp-4, -0x1.e1415533744b4p-4, -0x1.d6831c54c7dfep-4, -0x1.cc003174b9a77p-4, -0x1.c1b812841fb85p-4, -0x1.b7aa331b41296p-4, -0x1.add5fddda19d3p-4, -0x1.a43ad4eb51037p-4, -0x1.9ad8128f976a8p-4, -0x1.91ad09d5249c6p-4, -0x1.88b90710a9fa4p-4, -0x1.7ffb507192bfdp-4, -0x1.7773269ba4397p-4, -0x1.6f1fc53feec2ap-4, -0x1.670063ab09332p-4, -0x1.5f14353e9fddap-4, -0x1.575a69d681deap-4, -0x1.4fd22e1aabe56p-4, -0x1.487aabe3d8c84p-4, -0x1.41530a91c9bd7p-4, -0x1.3a5a6f4bc1749p-4, -0x1.338ffda4e0063p-4, -0x1.2cf2d7df56b3ap-4, -0x1.26821f5728a93p-4, -0x1.203cf4d72415p-4, -0x1.1a2278df8ed6p-4, -0x1.1431cbe143fc8p-4, -0x1.0e6a0e71c8077p-4, -0x1.08ca617d3f772p-4, -0x1.0351e67a2ef33p-4, -0x1.fbff7f4185986p-5, -0x1.f1a6204b36114p-5, -0x1.e795f8ec76bcep-5, -0x1.ddcd54e8819b7p-5, -0x1.d44a835987657p-5, -0x1.cb0bd7138662ep-5, -0x1.c20fa6f7a184ep-5, -0x1.b9544e3640a78p-5, -0x1.b0d82ca2b5c7p-5, -0x1.a899a6be9c27cp-5, -0x1.a09725e8db80bp-5, -0x1.98cf18a43bdc2p-5, -0x1.913ff2a43ac26p-5, -0x1.89e82cf99c1bbp-5, -0x1.82c6463c72fa7p-5, -0x1.7bd8c2b5d5995p-5, -0x1.751e2c89087c1p-5, -0x1.6e9513dae841cp-5, -0x1.683c0ef627c38p-5, -0x1.6211ba6affd5ep-5, -0x1.5c14b9299904fp-5, -0x1.5643b496bc959p-5, -0x1.509d5c9ac45c6p-5, -0x1.4b2067ab57e76p-5, -0x1.45cb92d0a8509p-5, -0x1.409da1a7020bep-5, -0x1.3b955e5d93c31p-5, -0x1.36b199b3570ap-5, -0x1.31f12af29edbdp-5, -0x1.2d52efebe70bp-5, -0x1.28d5ccf017a9p-5, -0x1.2478acca6a226p-5, -0x1.203a80b9cce09p-5, -0x1.1c1a406976fafp-5, -0x1.1816e9e8442c5p-5, -0x1.142f81a26365fp-5, -0x1.1063125a11e8dp-5, -0x1.0cb0ad0d789c9p-5, -0x1.091768f50146p-5, -0x1.059663762e545p-5, -0x1.022cc00e30cdp-5, -0x1.fdb350811c8a6p-6, -0x1.f73897085b519p-6, -0x1.f0e7be5dab711p-6, -0x1.eabf3cbf317b4p-6, -0x1.e4bd93d0b9e57p-6, -0x1.dee1506d80872p-6, -0x1.d9290a79098bcp-6, -0x1.d39364af355cap-6, -0x1.ce1f0c73dc362p-6, -0x1.c8cab9a232d97p-6, -0x1.c3952e5c02e98p-6, -0x1.be7d36d8bd481p-6, -0x1.b981a9348f435p-6, -0x1.b4a1653f9064ap-6, -0x1.afdb544ccd0fcp-6, -0x1.ab2e6901533f5p-6, -0x1.a6999f234d52fp-6, -0x1.a21bfb69173d5p-6, -0x1.9db48b483136dp-6, -0x1.996264c42f9f1p-6, -0x1.9524a63dd7e8bp-6, -0x1.90fa764226ffap-6, -0x1.8ce3035959183p-6, -0x1.88dd83d629151p-6, -0x1.84e935a54ff73p-6, -0x1.81055e1d2bb4ap-6, -0x1.7d3149cd9319bp-6, -0x1.796c4c5032e17p-6, -0x1.75b5c01955103p-6, -0x1.720d0648f0c8fp-6, -0x1.6e71867c1e0eep-6, -0x1.6ae2ae9f6b69cp-6, -0x1.675ff2c34131p-6, -0x1.63e8ccef288d6p-6, -0x1.607cbcf15359dp-6, -0x1.5d1b4835e302ap-6, -0x1.59c3f99f541ffp-6, -0x1.5676615aa0502p-6, -0x1.533214b57f50dp-6, -0x1.4ff6adf5f658dp-6, -0x1.4cc3cc32f7112p-6, -0x1.4999132d61c6fp-6, -0x1.46762b29c64fcp-6, -0x1.435ac0ca86be4p-6, -0x1.404684eb73f82p-6, -0x1.3d392c7d888e5p-6, -0x1.3a327063c0935p-6, -0x1.37320d5016093p-6, -0x1.3437c3a1c80aep-6, -0x1.3143574462c5dp-6, -0x1.2e548f8f0a4c1p-6, -0x1.2b6b3724ca78bp-6, -0x1.28871bd5a63b3p-6, -0x1.25a80e7fda413p-6, -0x1.22cde2f2d98a8p-6, -0x1.1ff86fd20182fp-6, -0x1.1d278e783bf4p-6, -0x1.1a5b1adc9e4b1p-6, -0x1.1792f377f1caap-6, -0x1.14cef929b4a09p-6, -0x1.120f0f1f36025p-6, -0x1.0f531aba73a7fp-6, -0x1.0c9b0379f3339p-6, -0x1.09e6b2e14acfap-6, -0x1.073614624d0f9p-6, -0x1.0489154703b23p-6, -0x1.01dfa49b32c39p-6, -0x1.fe73662fd59e7p-7, -0x1.f92e661e7c81dp-7, -0x1.f3f030b0b99dep-7, -0x1.eeb8b078a71b3p-7, -0x1.e987d2c66e895p-7, -0x1.e45d87841aef9p-7, -0x1.df39c11380431p-7, -0x1.da1c742b7f9b8p-7, -0x1.d50597b74e80fp-7, -0x1.cff524b6fc4adp-7, -0x1.caeb162013a51p-7, -0x1.c5e768bfe6841p-7, -0x1.c0ea1b1f12889p-7, -0x1.bbf32d65d00d7p-7, -0x1.b702a1410bde5p-7, -0x1.b21879c8f0421p-7, -0x1.ad34bb67c3de2p-7, -0x1.a8576bbfd9599p-7, -0x1.a38091951ba4cp-7, -0x1.9eb034b81d489p-7, -0x1.99e65df09f31cp-7, -0x1.952316e7e3692p-7, -0x1.90666a145a033p-7, -0x1.8bb062a683aeep-7, -0x1.87010c76cd5f1p-7, -0x1.825873f422e9ep-7, -0x1.7db6a6133734ep-7, -0x1.791bb03de9ef6p-7, -0x1.7487a042c3d19p-7, -0x1.6ffa84468136dp-7, -0x1.6b746ab623d45p-7, -0x1.66f56239685b9p-7, -0x1.627d79a5ca425p-7, -0x1.5e0cbff1f9898p-7, -0x1.59a34429aed02p-7, -0x1.554115622f511p-7, -0x1.50e642af98baep-7, -0x1.4c92db1ae3fc8p-7, -0x1.4846ed9889eafp-7, -0x1.440288ff8da7fp-7, -0x1.3fc5bc001fdfep-7, -0x1.3b90951b2c7f1p-7, -0x1.3763229abc36ap-7, -0x1.333d728aa2013p-7, -0x1.2f1f92b1c44efp-7, -0x1.2b09908bd2d85p-7, -0x1.26fb79434383p-7, -0x1.22f559ab7ac3fp-7, -0x1.1ef73e3b49dadp-7, -0x1.1b013307d6774p-7, -0x1.171343c0105eep-7, -0x1.132d7ba89a573p-7, -0x1.0f4fe59824ea9p-7, -0x1.0b7a8bf4115ffp-7, -0x1.07ad78acef673p-7, -0x1.03e8b53b1e848p-7, -0x1.002c4a9c2ee34p-7, -0x1.f8f082a0f8007p-8, -0x1.f19942b2169c3p-8, -0x1.ea52e46ba83f2p-8, -0x1.e31d75c86f1dep-8, -0x1.dbf903bb42b4cp-8, -0x1.d4e59a2c741f1p-8, -0x1.cde343f79c444p-8, -0x1.c6f20ae9dd6c6p-8, -0x1.c011f7c0bd643p-8, -0x1.b94312299f399p-8, -0x1.b28560c192418p-8, -0x1.abd8e915ad92bp-8, -0x1.a53dafa38956cp-8, -0x1.9eb3b7d991d2ap-8, -0x1.983b04176b9b9p-8, -0x1.91d395af3fbafp-8, -0x1.8b7d6ce752216p-8, -0x1.853888fbe9728p-8, -0x1.7f04e82175dddp-8, -0x1.78e287870cb0ap-8, -0x1.72d163590c286p-8, -0x1.6cd176c3cb5f7p-8, -0x1.66e2bbf60ed59p-8, -0x1.61052c239184ep-8, -0x1.5b38bf887044fp-8, -0x1.557d6d6d1ed2p-8, -0x1.4fd32c2a16bdep-8, -0x1.4a39f12b87393p-8, -0x1.44b1b0f525833p-8, -0x1.3f3a5f262701ep-8, -0x1.39d3ee7d6502fp-8, -0x1.347e50dd4a71cp-8, -0x1.2f39775021886p-8, -0x1.2a05520c57172p-8, -0x1.24e1d0790111bp-8, -0x1.1fcee132ab7a6p-8, -0x1.1acc721017cafp-8, -0x1.15da7026ed2a1p-8, -0x1.10f8c7d068591p-8, -0x1.0c2764adef7b6p-8, -0x1.076631adc48cfp-8, -0x1.02b5190fa73c8p-8, -0x1.fc2808d36b169p-9, -0x1.f305b95aa41b5p-9, -0x1.ea03145882adfp-9, -0x1.e11fe93b85c94p-9, -0x1.d85c0647468f4p-9, -0x1.cfb7389e70b39p-9, -0x1.c7314c4c5981ap-9, -0x1.beca0c4e4f64ap-9, -0x1.b681429cb6345p-9, -0x1.ae56b83444297p-9, -0x1.a64a351f6488fp-9, -0x1.9e5b808000c4bp-9, -0x1.968a60994e1d2p-9, -0x1.8ed69ada129afp-9, -0x1.873ff3e6ed69cp-9, -0x1.7fc62fa462f6bp-9, -0x1.7869114025264p-9, -0x1.71285b39c41b8p-9, -0x1.6a03cf6ab46cep-9, -0x1.62fb2f0e0f899p-9, -0x1.5c0e3ac873a67p-9, -0x1.553cb2b042ce1p-9, -0x1.4e865656a788ap-9, -0x1.47eae4d121c0ap-9, -0x1.416a1cc36d295p-9, -0x1.3b03bc692f59cp-9, -0x1.34b7819f09f7ep-9, -0x1.2e8529ea6661p-9, -0x1.286c728059629p-9, -0x1.226d184b8f407p-9, -0x1.1c86d7f211732p-9, -0x1.16b96ddb724b5p-9, -0x1.11049638051bap-9, -0x1.0b680d092fdcap-9, -0x1.05e38e2ab633ap-9, -0x1.0076d55bf6f67p-9, -0x1.f6433c90e0f3ep-10, -0x1.ebc7491d182b3p-10, -0x1.e17947895c199p-10, -0x1.d758aef964cb1p-10, -0x1.cd64f68d917c6p-10, -0x1.c39d95698a764p-10, -0x1.ba0202be1f92ap-10, -0x1.b091b5d8c5a7bp-10, -0x1.a74c263723283p-10, -0x1.9e30cb9c8d49p-10, -0x1.953f1e2659a96p-10, -0x1.8c76965b42f94p-10, -0x1.83d6ad3317ebcp-10, -0x1.7b5edc164ce0dp-10, -0x1.730e9cd761eafp-10, -0x1.6ae569aabec54p-10, -0x1.62e2bd2219222p-10, -0x1.5b061230a486dp-10, -0x1.534ee43b7d475p-10, -0x1.4bbcaf35a37ffp-10, -0x1.444eefc29b4b3p-10, -0x1.3d0523583cacdp-10, -0x1.35dec857f35c8p-10, -0x1.2edb5e18ec1aep-10, -0x1.27fa64e098695p-10, -0x1.213b5dcb2ffb8p-10, -0x1.1a9dcaab5c39dp-10, -0x1.14212deb13c1fp-10, -0x1.0dc50a789de48p-10, -0x1.0788e3c7a43dp-10, -0x1.016c3dea351fcp-10, -0x1.f6dd3b7c145b3p-11, -0x1.eb1f1249de2fbp-11, -0x1.df9d0e76065aep-11, -0x1.d45640fa72847p-11, -0x1.c949bdab28ff5p-11, -0x1.be769b12e9bfp-11, -0x1.b3dbf21bab2f2p-11, -0x1.a978dd98e49dfp-11, -0x1.9f4c79d30e7f7p-11, -0x1.9555e4340711bp-11, -0x1.8b943b2d14856p-11, -0x1.82069e613aad7p-11, -0x1.78ac2f0d71deep-11, -0x1.6f84109864ba3p-11, -0x1.668d69281bab2p-11, -0x1.5dc7621953873p-11, -0x1.553128398fb5ep-11, -0x1.4cc9ebb46f6b6p-11, -0x1.4490dfb7a4675p-11, -0x1.3c8539e50b1e2p-11, -0x1.34a631b6e7675p-11, -0x1.2cf2fffe9982p-11, -0x1.256ade9d75ec8p-11, -0x1.1e0d0887fca5ep-11, -0x1.16d8ba11a0a98p-11, -0x1.0fcd316de27f9p-11, -0x1.08e9af4acea08p-11, -0x1.022d7762fdbbp-11, -0x1.f72fa1ce682dfp-12, -0x1.ea500d4bd8335p-12, -0x1.ddbacdc699f5ep-12, -0x1.d16e85cb92791p-12, -0x1.c569dca0f932ap-12, -0x1.b9ab7cebcc87fp-12, -0x1.ae3213a4ddef4p-12, -0x1.a2fc4fa89905ap-12, -0x1.9808e1f9f181p-12, -0x1.8d567e977e717p-12, -0x1.82e3dd9a6c77cp-12, -0x1.78afbc4fbdb82p-12, -0x1.6eb8de137a008p-12, -0x1.64fe0cd6abff9p-12, -0x1.5b7e194e0eabdp-12, -0x1.5237dac66be2bp-12, -0x1.492a2e9480455p-12, -0x1.4053f719b9e98p-12, -0x1.37b41a75c2d02p-12, -0x1.2f49812be93a7p-12, -0x1.271315279e66fp-12, -0x1.1f0fc18072fd2p-12, -0x1.173e732277e78p-12, -0x1.0f9e1a2333f17p-12, -0x1.082dab46d8106p-12, -0x1.00ec212d4e647p-12, -0x1.f3b0f9b22a068p-13, -0x1.e5e38b2f4446dp-13, -0x1.d86e112a7d5d9p-13, -0x1.cb4eb0d462ed5p-13, -0x1.be83997a35fcp-13, -0x1.b20b03b25e42ep-13, -0x1.a5e32ffbb3b63p-13, -0x1.9a0a64ab72ddcp-13, -0x1.8e7eeb99716bdp-13, -0x1.833f1077fa412p-13, -0x1.784920b41007fp-13, -0x1.6d9b6d22f0964p-13, -0x1.63344ce5cefd6p-13, -0x1.59122058d71b5p-13, -0x1.4f3352ee2c989p-13, -0x1.45965b76e4bd3p-13, -0x1.3c39bb345a1abp-13, -0x1.331bfc916c7d5p-13, -0x1.2a3bb252d053p-13, -0x1.21977779d1b03p-13, -0x1.192def5d4583dp-13, -0x1.10fdc52a5242cp-13, -0x1.0905aa58c9f3p-13, -0x1.014454705d7a5p-13, -0x1.f370f6603de02p-14, -0x1.e4c1b04cb502p-14, -0x1.d6784ff6d6a7bp-14, -0x1.c892595b13ac2p-14, -0x1.bb0d5ef3835d9p-14, -0x1.ade7031409ba5p-14, -0x1.a11cf6ca2f8eep-14, -0x1.94acf7af04ddp-14, -0x1.8894ce68349ffp-14, -0x1.7cd24edd09918p-14, -0x1.71635a208c16ep-14, -0x1.6645e11efe73bp-14, -0x1.5b77e65f88f0ep-14, -0x1.50f77d073cacap-14, -0x1.46c2c46574c83p-14, -0x1.3cd7e19822cfbp-14, -0x1.3334facbd0846p-14, -0x1.29d83758eedc2p-14, -0x1.20bfc5094add1p-14, -0x1.17e9df259f4d6p-14, -0x1.0f54d2708a0e5p-14, -0x1.06fefb570858dp-14, -0x1.fdcd7f7cc0494p-15, -0x1.ee15116c01f77p-15, -0x1.ded17fab7abf4p-15, -0x1.cfffa26387fa3p-15, -0x1.c19c604ee3183p-15, -0x1.b3a4b909b04bbp-15, -0x1.a615cc644f78dp-15, -0x1.98ecdc70f3319p-15, -0x1.8c2748ed43d1p-15, -0x1.7fc2844b84c1fp-15, -0x1.73bc05fcf3407p-15, -0x1.681140fbd54e4p-15, -0x1.5cbfa54e17537p-15, -0x1.51c4ad5232e47p-15, -0x1.471def19698bap-15, -0x1.3cc925f461b66p-15, -0x1.32c42d55e5a7p-15, -0x1.290cf0dec224ap-15, -0x1.1fa15c687f2b6p-15, -0x1.167f54b710a1cp-15, -0x1.0da4ba0bfdbcap-15, -0x1.050f70b71b063p-15, -0x1.f97ad6d3be766p-16, -0x1.e95968574629ep-16, -0x1.d9b6e1ce16efep-16, -0x1.ca8fc26915b9ep-16, -0x1.bbe0abb0e03cp-16, -0x1.ada64b9af7e71p-16, -0x1.9fdd4bd680689p-16, -0x1.92824dc8d4ccdp-16, -0x1.8591f5d04211p-16, -0x1.7909025867856p-16, -0x1.6ce46347a6ed7p-16, -0x1.612141897a6fap-16, -0x1.55bcef304032p-16, -0x1.4ab4cbfb9729ap-16, -0x1.400633893beabp-16, -0x1.35ae7df49e6e3p-16, -0x1.2bab08da485c2p-16, -0x1.21f93c507f0b6p-16, -0x1.18968ca07bf26p-16, -0x1.0f80810694572p-16, -0x1.06b4bfbf503e7p-16, -0x1.fc622a8687a3bp-17, -0x1.ebe6db3e2237fp-17, -0x1.dbf3834785851p-17, -0x1.cc8407c27c8fbp-17, -0x1.bd9434ac607f1p-17, -0x1.af1fd0f83f959p-17, -0x1.a122c45ecb4acp-17, -0x1.939938a391c41p-17, -0x1.867fa68a7a664p-17, -0x1.79d2c752ae8a9p-17, -0x1.6d8f6fb08c8adp-17, -0x1.61b26b4913dabp-17, -0x1.5638753c107dcp-17, -0x1.4b1e517f8a1b2p-17, -0x1.4060e90588d91p-17, -0x1.35fd4bb81c876p-17, -0x1.2bf09f4e1101ep-17, -0x1.22381629cd2d5p-17, -0x1.18d0f74609c05p-17, -0x1.0fb8aacb109ecp-17, -0x1.06ecbe06b0609p-17, -0x1.fcd5b394f9c14p-18, -0x1.ec615cb8d2845p-18, -0x1.dc77c0b78503p-18, -0x1.cd140a0f206f4p-18, -0x1.be3168986c529p-18, -0x1.afcb4e3c96fc5p-18, -0x1.a1dd9a9fd30f9p-18, -0x1.94649518e9d5bp-18, -0x1.875cb8deec3e8p-18, -0x1.7ac2799f90c57p-18, -0x1.6e922a4de9d64p-18, -0x1.62c811cf5e7cep-18, -0x1.5760968ea84cep-18, -0x1.4c585b5325288p-18, -0x1.41ac36d1a36eep-18, -0x1.37591a947dfd4p-18, -0x1.2d5c0d63282bep-18, -0x1.23b236b2b97a1p-18, -0x1.1a58e1aca23fap-18, -0x1.114d740e111f3p-18, -0x1.088d63dd21783p-18, -0x1.0016301a89baap-18, -0x1.efcab7a35c00ep-19, -0x1.dff0d7afc9d8cp-19, -0x1.d099d2e4903b5p-19, -0x1.c1c0daf87cf44p-19, -0x1.b361692f548dep-19, -0x1.a57762d789739p-19, -0x1.97ff129f969cep-19, -0x1.8af4ec7a644b5p-19, -0x1.7e554a89dd659p-19, -0x1.721c5afa0a33bp-19, -0x1.66464d90489a9p-19, -0x1.5acf91da21f34p-19, -0x1.4fb4e0e4a4793p-19, -0x1.44f31a9b80999p-19, -0x1.3a8728c7bbecbp-19, -0x1.306e05168a36fp-19, -0x1.26a4d8c8d23c4p-19, -0x1.1d290864855ecp-19, -0x1.13f81f75ca7e6p-19, -0x1.0b0fb8717d3ebp-19, -0x1.026d6cfa3ee32p-19, -0x1.f41da0d800e2ap-20, -0x1.e3e2ec76a3e93p-20, -0x1.d425ffd408323p-20, -0x1.c4e25421733b6p-20, -0x1.b613a57b224afp-20, -0x1.a7b5f5f046454p-20, -0x1.99c58e001a118p-20, -0x1.8c3ef34673501p-20, -0x1.7f1ec8849e9d4p-20, -0x1.7261a70dd5c39p-20, -0x1.66041b13661bap-20, -0x1.5a02c14781f34p-20, -0x1.4e5a6840bf193p-20, -0x1.43081fa8a0d42p-20, -0x1.380918f1e2006p-20, -0x1.2d5a8d70e4b04p-20, -0x1.22f9c13390312p-20, -0x1.18e411680da5ap-20, -0x1.0f1714b596042p-20, -0x1.059095f34f19p-20, -0x1.f89cf8aa0446fp-21, -0x1.e69d7c32b557p-21, -0x1.d51ea6451a67bp-21, -0x1.c41c5b5611d57p-21, -0x1.b3927d22dae25p-21, -0x1.a37d05e36aa3p-21, -0x1.93d826f58770fp-21, -0x1.84a059df41bb5p-21, -0x1.75d25cbedafc1p-21, -0x1.676b20eebe234p-21, -0x1.5967b63c68b21p-21, -0x1.4bc53b4de17a5p-21, -0x1.3e80d3ece2a26p-21, -0x1.3197a3f9e62edp-21, -0x1.2506e9c7cc168p-21, -0x1.18cc22e4f392cp-21, -0x1.0ce4ea0757a35p-21, -0x1.014edf0d364a7p-21, -0x1.ec0f7658a8f97p-22, -0x1.d61a910ae01b7p-22, -0x1.c0babb637357ap-22, -0x1.abebd0ad55d7cp-22, -0x1.97aa0a745a2d4p-22, -0x1.83f1d9b0e7ce5p-22, -0x1.70bfd368c00d7p-22, -0x1.5e10b0f37545cp-22, -0x1.4be13d9f5e671p-22, -0x1.3a2e4a18a7d9fp-22, -0x1.28f4ab47a3702p-22, -0x1.183143ed36768p-22, -0x1.07e115267f901p-22, -0x1.f0029b19815a4p-23, -0x1.d11e9b3a8b8f3p-23, -0x1.b3113be52ba5bp-23, -0x1.95d5bc86bd437p-23, -0x1.796772af21dfap-23, -0x1.5dc1c9a5ce1a8p-23, -0x1.42e04c1095d62p-23, -0x1.28be9b8fdb08cp-23, -0x1.0f587a1fe6dccp-23, -0x1.ed53fd7aaa86dp-24, -0x1.bd5ed2d5cef9p-24, -0x1.8ec9d89916167p-24, -0x1.618dd37180594p-24, -0x1.35a3e49a5a273p-24, -0x1.0b04f746b6ea9p-24, -0x1.c3549584fce67p-25, -0x1.731b672f5e79ep-25, -0x1.25525dc1e4d8p-25, -0x1.b3db5d4f5072ap-26, -0x1.21c40a49e488ep-26, -0x1.28915dd2056c2p-27, -0x1.6a737ddc2aae5p-31, 0x1.e4c242b9cec7ep-28, 0x1.f2b1cbe53ad33p-27, 0x1.753a079eaf918p-26, 0x1.ece80594a0304p-26, 0x1.303b18ed385afp-25, 0x1.67fb8c013c31p-25, 0x1.9dbe585da9a79p-25, 0x1.d18c590e05174p-25, 0x1.01b72a06c8835p-24, 0x1.19b670e4dc4cp-24, 0x1.30c82ab7da36ap-24, 0x1.46f0634f4f63p-24, 0x1.5c331d1f19ea3p-24, 0x1.709457b9352d9p-24, 0x1.8417fab37cc68p-24, 0x1.96c1d476eaf9p-24, 0x1.a8958ed253e1fp-24, 0x1.b996c11e24f73p-24, 0x1.c9c91907aff57p-24, 0x1.d930359995913p-24, 0x1.e7cf9d9cb33aap-24, 0x1.f5aaaf4cdb984p-24, 0x1.016267be84b0cp-23, 0x1.0790aa45a7931p-23, 0x1.0d61c32e568afp-23, 0x1.12d7520a6a3c2p-23, 0x1.17f2f2970191ep-23, 0x1.1cb63cc432036p-23, 0x1.2122c4836bea9p-23, 0x1.253a199b8600ap-23, 0x1.28fdc7686558dp-23, 0x1.2c6f545016829p-23, 0x1.2f9041385cbb2p-23, 0x1.32620a406b7cfp-23, 0x1.34e628f738125p-23, 0x1.371e15b8fabfdp-23, 0x1.390b4619e0718p-23, 0x1.3aaf2a66ba9a9p-23, 0x1.3c0b2cd40893p-23, 0x1.3d20b327d2012p-23, 0x1.3df123a21dcddp-23, 0x1.3e7de738fc631p-23, 0x1.3ec8628e05231p-23, 0x1.3ed1f417314afp-23, 0x1.3e9bf23b24ccbp-23, 0x1.3e27b3b4820cbp-23, 0x1.3d7691734c477p-23, 0x1.3c89e06e79ffdp-23, 0x1.3b62f1e2ac1efp-23, 0x1.3a0313821909bp-23, 0x1.386b90e25b5ecp-23, 0x1.369db373872d5p-23, 0x1.349ac1b90100cp-23, 0x1.3263ffd2996b3p-23, 0x1.2ffaafad317fp-23, 0x1.2d6010eb7f942p-23, 0x1.2a9560cff10d4p-23, 0x1.279bda235bd92p-23, 0x1.2474b52f24923p-23, 0x1.212127c1e9d7dp-23, 0x1.1da265142ad85p-23, 0x1.19f99db3ba4dfp-23, 0x1.1627ff999c291p-23, 0x1.122eb6867d58cp-23, 0x1.0e0eec2991f78p-23, 0x1.09c9c7bd5fd1p-23, 0x1.05606d8fb97c4p-23, 0x1.00d3fec45aa7ep-23, 0x1.f84b32a0c1724p-24, 0x1.eeacb1faaf87p-24, 0x1.e4ceb0d4ed49ap-24, 0x1.dab35f37ca5f5p-24, 0x1.d05ce5c0989f5p-24, 0x1.c5cd674c99583p-24, 0x1.bb0701c2cef37p-24, 0x1.b00bcdcd54155p-24, 0x1.a4dddbd0c4c77p-24, 0x1.997f3947ee82p-24, 0x1.8df1f1c05376fp-24, 0x1.823806f599ca2p-24, 0x1.765374b845a74p-24, 0x1.6a46318776ad4p-24, 0x1.5e122e50c85bdp-24, 0x1.51b956181e277p-24, 0x1.453d8e1e6f336p-24, 0x1.38a0b5d85422ap-24, 0x1.2be4a6be0ce21p-24, 0x1.1f0b34534db3bp-24, 0x1.12162bfcdf057p-24, 0x1.050755088f02bp-24, 0x1.efc0e1503c621p-25, 0x1.d54673cb00215p-25, 0x1.baa2cb223f78ep-25, 0x1.9fd944b515f1ep-25, 0x1.84ed31db6fa6ap-25, 0x1.69e1d7ba5727bp-25, 0x1.4eba6f0f61434p-25, 0x1.337a23ee0626cp-25, 0x1.1824155c9bdbp-25, 0x1.f976aaf4eaa94p-26, 0x1.c285d4bc53ba2p-26, 0x1.8b7b9d35a81b6p-26, 0x1.545ddfccfc5bbp-26, 0x1.1d325c6811286p-26, 0x1.cbfd760aeae36p-27, 0x1.5d9113e614802p-27, 0x1.de55082e0cb0cp-28, 0x1.01a8c018604ccp-28, 0x1.2994b9681e238p-31, -0x1.6df1bf7818b3dp-29, -0x1.92c565a020c0cp-28, -0x1.370f90c896af5p-27, -0x1.a4794cdc8027dp-27, -0x1.08cb2f41725bep-26, -0x1.3f2eb78c7497dp-26, -0x1.7562acdf8a994p-26, -0x1.ab6295af6f49ap-26, -0x1.e12a1131b9c2bp-26, -0x1.0b5a6bafe16eep-25, -0x1.25ff5c6679381p-25, -0x1.4081cf5d56d54p-25, -0x1.5adfc58dc27bap-25, -0x1.75174c650fac9p-25, -0x1.8f267dadb7343p-25, -0x1.a90b7f2dcda62p-25, -0x1.c2c481eb7b58p-25, -0x1.dc4fc208c9d83p-25, -0x1.f5ab877ef6d27p-25, -0x1.076b136c873e8p-24, -0x1.13e70091d93fbp-24, -0x1.2048c1bce0911p-24, -0x1.2c8f93568ad01p-24, -0x1.38bab760b55eap-24, -0x1.44c97527ac66p-24, -0x1.50bb19485b994p-24, -0x1.5c8ef5eaf375ap-24, -0x1.684462d4e9cf4p-24, -0x1.73dabd48070b4p-24, -0x1.7f51683b3a261p-24, -0x1.8aa7cc20a80aep-24, -0x1.95dd56d592055p-24, -0x1.a0f17b760a5bap-24, -0x1.abe3b248731ap-24, -0x1.b6b378c224126p-24, -0x1.c1605187c424fp-24, -0x1.cbe9c452d9b12p-24, -0x1.d64f5dc525b8bp-24, -0x1.e090af8be814p-24, -0x1.eaad502d6930ep-24, -0x1.f4a4db08dab69p-24, -0x1.fe76f06d77154p-24, -0x1.04119a89f46ccp-23, -0x1.08d4a944a6f77p-23, -0x1.0d847b7eebf52p-23, -0x1.1220ea960a675p-23, -0x1.16a9d227c4cbdp-23, -0x1.1b1f1009a4bf6p-23, -0x1.1f80844038c9ap-23, -0x1.23ce10f202201p-23, -0x1.28079a5c09c2fp-23, -0x1.2c2d06c646905p-23, -0x1.303e3e7b85b27p-23, -0x1.343b2bceb3b0fp-23, -0x1.3823bb2ea5eb1p-23, -0x1.3bf7db31045ap-23, -0x1.3fb77cacf778cp-23, -0x1.436292748d39dp-23, -0x1.46f9110a908f7p-23, -0x1.4a7aee5f524cp-23, -0x1.4de821d691c4ap-23, -0x1.5140a47e8583fp-23, -0x1.54847136367e2p-23, -0x1.57b384c67aa14p-23, -0x1.5acdddc6c4e03p-23, -0x1.5dd37c99d4a61p-23, -0x1.60c4632f9b826p-23, -0x1.63a095216f5f3p-23, -0x1.66681789f8452p-23, -0x1.691af0f6d1276p-23, -0x1.6bb92980b5b1bp-23, -0x1.6e42caafba241p-23, -0x1.70b7df7409bc5p-23, -0x1.7318741fef526p-23, -0x1.75649663264e2p-23, -0x1.779c553fbe2adp-23, -0x1.79bfc1024725ep-23, -0x1.7bceeb3b379a2p-23, -0x1.7dc9e6b68b908p-23, -0x1.7fb0c7767d87p-23, -0x1.8183a2acd780fp-23, -0x1.83428eb62cee2p-23, -0x1.84eda318a026ep-23, -0x1.8684f8403bb1dp-23, -0x1.8808a244491c9p-23, }}, 
      {{0x1.43c3858f15f0fp-6, 0x1.3e9ef4aed4314p-5, 0x1.d18fcfefd849p-5, 0x1.2b68777ac7396p-4, 0x1.65af67b268a01p-4, 0x1.968affc208f11p-4, 0x1.bd519065b05b2p-4, 0x1.d9b517043e618p-4, 0x1.ebb4fc573294p-4, 0x1.f38f8ef4986c2p-4, 0x1.f1b43aed4bbefp-4, 0x1.e6b724f320386p-4, 0x1.d3464adf463c1p-4, 0x1.b8208f03e692cp-4, 0x1.960e1f5d9fc9fp-4, 0x1.6dda9295c2d31p-4, 0x1.40503dee5eb5p-4, 0x1.0e3494b4d52e7p-4, 0x1.b08af79011878p-5, 0x1.3e6eb142916b2p-5, 0x1.8ecefb75d4e38p-6, 0x1.32c517b0f785cp-7, -0x1.8480760a43cb3p-8, -0x1.5ea16bc997acbp-6, -0x1.2e9c9f58e115ep-5, -0x1.ad96c1170e615p-5, -0x1.15bc06b2f9af4p-4, -0x1.53c7380286a95p-4, -0x1.909dc31df3a9p-4, -0x1.cbf9b6dc5ac2ep-4, -0x1.02cee1e73c00ap-3, -0x1.1eaa517b5584ep-3, -0x1.397840a51f6c1p-3, -0x1.5325396aa61f4p-3, -0x1.6ba0f6112b9c8p-3, -0x1.82de227ee9e97p-3, -0x1.98d2207299e01p-3, -0x1.ad74d008ff13dp-3, -0x1.c0c05b7e45571p-3, -0x1.d2b1063f6cc8ap-3, -0x1.e344feff2fad9p-3, -0x1.f27c34acb5092p-3, -0x1.002c16ffbd9c9p-2, -0x1.066df1b54196p-2, -0x1.0c05cda440f66p-2, -0x1.10f66405e602fp-2, -0x1.1542f42c08cc3p-2, -0x1.18ef3469dd599p-2, -0x1.1bff43db0a0ffp-2, -0x1.1e779cef95272p-2, -0x1.205d08bf78b35p-2, -0x1.21b49320a6e46p-2, -0x1.22837f6b3cbebp-2, -0x1.22cf3e02a3a29p-2, -0x1.229d62823b642p-2, -0x1.21f39a9d4ca48p-2, -0x1.20d7a5a54760ep-2, -0x1.1f4f4cb44096ep-2, -0x1.1d605b777d6e5p-2, -0x1.1b10999450b84p-2, -0x1.1865c4a2e7f06p-2, -0x1.15658ab8653b7p-2, -0x1.12158580d8651p-2, -0x1.0e7b35d7c9282p-2, -0x1.0a9bffece05e9p-2, -0x1.067d27d410a6ep-2, -0x1.0223ce98d8169p-2, -0x1.fb29df739cee8p-3, -0x1.f1aabdecec7bdp-3, -0x1.e7d38da6535b4p-3, -0x1.ddad4d87368ap-3, -0x1.d340a5aeeb29ep-3, -0x1.c895e457f64ep-3, -0x1.bdb4fe1f07111p-3, -0x1.b2a58df6dd7b2p-3, -0x1.a76ed26f343fep-3, -0x1.9c17b3a6284f2p-3, -0x1.90a6bd89e74c4p-3, -0x1.8522262c7f21ap-3, -0x1.798fce7472008p-3, -0x1.6df53f7005c16p-3, -0x1.6257b4188fc7cp-3, -0x1.56bc140b13269p-3, -0x1.4b26f9c6f4c2bp-3, -0x1.3f9cb54ac1999p-3, -0x1.34214be8c3216p-3, -0x1.28b87e1bee688p-3, -0x1.1d65c7376ac0fp-3, -0x1.122c627f36488p-3, -0x1.070f4c2b38737p-3, -0x1.f82287c29dfbep-4, -0x1.e269a1b84eef2p-4, -0x1.ccf884a75fbcap-4, -0x1.b7d365b236229p-4, -0x1.a2fe15fbb8d2p-4, -0x1.8e7c057148caap-4, -0x1.7a50481799ca5p-4, -0x1.667d99f104f5fp-4, -0x1.530662956bf65p-4, -0x1.3fecb8fe33a9ep-4, -0x1.2d3266dbadcebp-4, -0x1.1ad8ec00c224ep-4, -0x1.08e1818feb7e2p-4, -0x1.ee9a3a5ff27e7p-5, -0x1.cc38e8abd19a2p-5, -0x1.aa9ffecea3fa5p-5, -0x1.89cff9e56369ep-5, -0x1.69c8e9edc65b7p-5, -0x1.4a8a780f7c93cp-5, -0x1.2c13ecf218e1bp-5, -0x1.0e64371e9b6f9p-5, -0x1.e2f3e2194e99ep-6, -0x1.aaa6ce57c3f32p-6, -0x1.73dd3bdc7d595p-6, -0x1.3e92af02ae237p-6, -0x1.0ac232d642b78p-6, -0x1.b0ccc8a344cebp-7, -0x1.4ef2fa3892db4p-7, -0x1.dfd5774509761p-8, -0x1.274e60cffdd76p-8, -0x1.d0d790475ac53p-10, 0x1.cc7dd9c8c275fp-11, 0x1.c43e0a14b407bp-9, 0x1.85952aadceb38p-8, 0x1.1207f37a277e7p-7, 0x1.5ed6b05162b78p-7, 0x1.a9460712b21efp-7, 0x1.f1654d95047abp-7, 0x1.1ba1f42e946fep-6, 0x1.3d789fc883133p-6, 0x1.5e3e5a406c9a7p-6, 0x1.7dfacc0fbd457p-6, 0x1.9cb5913d81a93p-6, 0x1.ba76356144a72p-6, 0x1.d7442feecd8e7p-6, 0x1.f326e0da25287p-6, 0x1.0712c6c6b988bp-5, 0x1.1423af1495a04p-5, 0x1.20c9ad73dd7e6p-5, 0x1.2d0834e272b53p-5, 0x1.38e2a6408d173p-5, 0x1.445c4f609401ap-5, 0x1.4f786a2b386c3p-5, 0x1.5a3a1bf17145dp-5, 0x1.64a474ce5a6d8p-5, 0x1.6eba6f1dd9c98p-5, 0x1.787eef1e29c3ap-5, 0x1.81f4c2999b178p-5, 0x1.8b1ea09fe7424p-5, 0x1.93ff2971e2b94p-5, 0x1.9c98e674c3317p-5, 0x1.a4ee4a209f3e5p-5, 0x1.ad01b01d748ebp-5, 0x1.b4d55d76e135dp-5, 0x1.bc6b80bd783b3p-5, 0x1.c3c6324212d3fp-5, 0x1.cae77474f5d27p-5, 0x1.d1d1343334ea6p-5, 0x1.d8854914a851ep-5, 0x1.df0575e386e6fp-5, 0x1.e5536912547c6p-5, 0x1.eb70bd17eef01p-5, 0x1.f15ef8e671b41p-5, 0x1.f71f907fb8481p-5, 0x1.fcb3e56f7e5a6p-5, 0x1.010ea39c4feb6p-4, 0x1.03ae79f39befp-4, 0x1.063a0c5650391p-4, 0x1.08b1e92d9c66ap-4, 0x1.0b1696f1b9a54p-4, 0x1.0d68947926d73p-4, 0x1.0fa8594bef7dfp-4, 0x1.11d655d295bc6p-4, 0x1.13f2f3a2fd45ep-4, 0x1.15fe95f3fc25dp-4, 0x1.17f99993421afp-4, 0x1.19e45579fb9bbp-4, 0x1.1bbf1ae8fd945p-4, 0x1.1d8a35b7a2319p-4, 0x1.1f45eca0e2414p-4, 0x1.20f2818666fe8p-4, 0x1.229031a421675p-4, 0x1.241f35e3bdd59p-4, 0x1.259fc31a2858ap-4, 0x1.27120a43a48bep-4, 0x1.287638bbc47dap-4, 0x1.29cc78849a02cp-4, 0x1.2b14f07c60742p-4, 0x1.2c4fc49764086p-4, 0x1.2d7d1610027f9p-4, 0x1.2e9d03a340ef7p-4, 0x1.2fafa9c743dbep-4, 0x1.30b522d747932p-4, 0x1.31ad87411c9f1p-4, 0x1.3298edb334a5ep-4, 0x1.33776b4e9d35bp-4, 0x1.344913d624e33p-4, 0x1.350df9cb4641ap-4, 0x1.35c62e9232754p-4, 0x1.3671c29c09d76p-4, 0x1.3710c591f513ap-4, 0x1.37a34674f5487p-4, 0x1.382953b7adabfp-4, 0x1.38a2fb53adf5p-4, 0x1.39104aec6f6b3p-4, 0x1.39714ff5000edp-4, 0x1.39c617cb6de11p-4, 0x1.3a0eafc6ebb72p-4, 0x1.3a4b2543511a6p-4, 0x1.3a7b85b9d9c1ap-4, 0x1.3a9fdedfcafacp-4, 0x1.3ab83ec116659p-4, 0x1.3ac4b3cbc977fp-4, 0x1.3ac54cd133751p-4, 0x1.3aba190d494a6p-4, 0x1.3aa3283cdb882p-4, 0x1.3a808ab90afc8p-4, 0x1.3a5251880e6d2p-4, 0x1.3a188e5a9fc37p-4, 0x1.39d35382a355dp-4, 0x1.3982b3f72ba41p-4, 0x1.3926c36a54896p-4, 0x1.38bf966236c7fp-4, 0x1.384d4240d4978p-4, 0x1.37cfdd36c21f1p-4, 0x1.37477e316a527p-4, 0x1.36b43cdad15f6p-4, 0x1.361631aef9d47p-4, 0x1.356d761386c21p-4, 0x1.34ba245bd8cbbp-4, 0x1.33fc57b509336p-4, 0x1.33342c0c4607cp-4, 0x1.3261be07b3f1p-4, 0x1.31852b182953bp-4, 0x1.309e9191e2e22p-4, 0x1.2fae10b32703bp-4, 0x1.2eb3c88fd4dc4p-4, 0x1.2dafd9f13dcb3p-4, 0x1.2ca266440bfd4p-4, 0x1.2b8b8fa0fdafcp-4, 0x1.2a6b78e5495c9p-4, 0x1.294245c15b9a1p-4, 0x1.28101aad04b8dp-4, 0x1.26d51cc6d33ecp-4, 0x1.259171b5890e4p-4, 0x1.24453fa07a7d6p-4, 0x1.22f0ad401ffcep-4, 0x1.2193e1f40f324p-4, 0x1.202f05c797c15p-4, 0x1.1ec2415ca7db8p-4, 0x1.1d4dbdc8e668dp-4, 0x1.1bd1a47b25964p-4, 0x1.1a4e1f384b028p-4, 0x1.18c3582c49e44p-4, 0x1.173179fc9711fp-4, 0x1.1598afc932a62p-4, 0x1.13f92516f86e5p-4, 0x1.125305ae90247p-4, 0x1.10a67d82fade9p-4, 0x1.0ef3b8ac8cb81p-4, 0x1.0d3ae3762aa7dp-4, 0x1.0b7c2a6deb1b9p-4, 0x1.09b7ba68a9a4p-4, 0x1.07edc071fe59p-4, 0x1.061e69af847ep-4, 0x1.0449e34674ff5p-4, 0x1.02705a505a776p-4, 0x1.0091fbe11dffcp-4, 0x1.fd5dea2abbf43p-5, 0x1.f98ee63676e47p-5, 0x1.f5b746586fadep-5, 0x1.f1d764f1847dbp-5, 0x1.edef9c1db9e4bp-5, 0x1.ea00458f7ca66p-5, 0x1.e609ba86f320ap-5, 0x1.e20c53e1dcbc9p-5, 0x1.de086a32200aap-5, 0x1.d9fe55c69df26p-5, 0x1.d5ee6e9b60ae1p-5, 0x1.d1d90c35748b4p-5, 0x1.cdbe8579dbc02p-5, 0x1.c99f30911c4ffp-5, 0x1.c57b62e0c843fp-5, 0x1.c1537117c4b08p-5, 0x1.bd27af4015617p-5, 0x1.b8f870c71cf81p-5, 0x1.b4c6087397a03p-5, 0x1.b090c84b3ad4dp-5, 0x1.ac5901725557ep-5, 0x1.a81f041264335p-5, 0x1.a3e31f5011a68p-5, 0x1.9fa5a150ef48ap-5, 0x1.9b66d7493a198p-5, 0x1.97270d86c1afp-5, 0x1.92e68f7058a75p-5, 0x1.8ea5a777c1c82p-5, 0x1.8a649f02e341ep-5, 0x1.8623be5505365p-5, 0x1.81e34c8047365p-5, 0x1.7da38f631cbcap-5, 0x1.7964cbafe35adp-5, 0x1.752744f84ff45p-5, 0x1.70eb3db532a8ep-5, 0x1.6cb0f7455d00ep-5, 0x1.6878b1e314d2cp-5, 0x1.6442ac93e5a76p-5, 0x1.600f2518d8274p-5, 0x1.5bde57e4b0b77p-5, 0x1.57b0801ac2a61p-5, 0x1.5385d7955b46ap-5, 0x1.4f5e96efae418p-5, 0x1.4b3af58e2c372p-5, 0x1.471b29a139fdep-5, 0x1.42ff6820d495ep-5, 0x1.3ee7e4c2e4e25p-5, 0x1.3ad4d1f00d8b1p-5, 0x1.36c660bb47af2p-5, 0x1.32bcc0df395f4p-5, 0x1.2eb820c1f02b7p-5, 0x1.2ab8ad7d4361cp-5, 0x1.26be92e8a492cp-5, 0x1.22c9fba0aeb53p-5, 0x1.1edb110a12857p-5, 0x1.1af1fb4f56331p-5, 0x1.170ee159f9543p-5, 0x1.1331e8cad266fp-5, 0x1.0f5b35f4e7c1fp-5, 0x1.0b8aebdd12b14p-5, 0x1.07c12c3f3f27p-5, 0x1.03fe17982290dp-5, 0x1.0041cd30bf3c4p-5, 0x1.f918d650adf8dp-6, 0x1.f1bc1cf3b12fbp-6, 0x1.ea6da5f69a218p-6, 0x1.e32da6afc4cddp-6, 0x1.dbfc520ef3064p-6, 0x1.d4d9d88f9ee24p-6, 0x1.cdc668369a0e8p-6, 0x1.c6c22c9fa6f11p-6, 0x1.bfcd4f1ac4904p-6, 0x1.b8e7f6d2ee743p-6, 0x1.b21248f477e8p-6, 0x1.ab4c68c754a2ap-6, 0x1.a49677b3969a1p-6, 0x1.9df09529d7abep-6, 0x1.975ade73d7734p-6, 0x1.90d56e86ff5e4p-6, 0x1.8a605deeb4b26p-6, 0x1.83fbc2ca91436p-6, 0x1.7da7b0e598aefp-6, 0x1.776439feae443p-6, 0x1.71316e3e8ffbdp-6, 0x1.6b0f5ca196bb4p-6, 0x1.64fe132c78348p-6, 0x1.5efd9eeba3a47p-6, 0x1.590e0bb643b3fp-6, 0x1.532f63b554aa8p-6, 0x1.4d61aecc2f407p-6, 0x1.47a4f20d74dap-6, 0x1.41f92f705460bp-6, 0x1.3c5e65ec93dfdp-6, 0x1.36d49209874d7p-6, 0x1.315baecbfa189p-6, 0x1.2bf3b6cf3dcafp-6, 0x1.269ca540ba1abp-6, 0x1.215676723b61fp-6, 0x1.1c2127c9a01fcp-6, 0x1.16fcb6fad1371p-6, 0x1.11e920a9f57bcp-6, 0x1.0ce65ec35e34fp-6, 0x1.07f466f6a169dp-6, 0x1.031329c7f95e2p-6, 0x1.fc852521a9a77p-7, 0x1.f3051125e7327p-7, 0x1.e9a5e1f6ce9d5p-7, 0x1.e06762dd0bbedp-7, 0x1.d749650a4d1b8p-7, 0x1.ce4bc32bab277p-7, 0x1.c56e6281056fap-7, 0x1.bcb130eb34ce6p-7, 0x1.b414201a7833p-7, 0x1.ab971ec5d662bp-7, 0x1.a33a116be66e2p-7, 0x1.9afccc60d42d6p-7, 0x1.92df10c5202e9p-7, 0x1.8ae08d6c5162p-7, 0x1.8300e3da0778dp-7, 0x1.7b3fb0820afe5p-7, 0x1.739c94a18117ep-7, 0x1.6c173f8960c86p-7, 0x1.64af752c9c90cp-7, 0x1.5d65103ec1271p-7, 0x1.5637ff14d2a2bp-7, 0x1.4f283b9f59bfap-7, 0x1.4835bffabb434p-7, 0x1.416079f67d648p-7, 0x1.3aa840568eb4fp-7, 0x1.340ccc5088be9p-7, 0x1.2d8db8ea3e0f1p-7, 0x1.272a8898188b9p-7, 0x1.20e2b01c1fd7bp-7, 0x1.1ab5a484289d8p-7, 0x1.14a2e97b918aap-7, 0x1.0eaa1d0c03f6bp-7, 0x1.08cafe5bd8228p-7, 0x1.03056de25458fp-7, 0x1.fab2cd917f97bp-8, 0x1.ef8de5266f75p-8, 0x1.e49c32e4c4c4ep-8, 0x1.d9dda4eb44c57p-8, 0x1.cf51edede517ep-8, 0x1.c4f877d17112bp-8, 0x1.bad064a818d6ap-8, 0x1.b0d89d6c92a88p-8, 0x1.a70feb076b008p-8, 0x1.9d751473b0353p-8, 0x1.9406fc62fd83dp-8, 0x1.8ac4b94668845p-8, 0x1.81ada3c0c180ap-8, 0x1.78c1591764aep-8, 0x1.6fffb13323ebfp-8, 0x1.6768aa0e9e555p-8, 0x1.5efc4ca0ff729p-8, 0x1.56ba90ca326dfp-8, 0x1.4ea345f51293ap-8, 0x1.46b604e00e7e5p-8, 0x1.3ef22ca17ad51p-8, 0x1.3756ea57f96ecp-8, 0x1.2fe348e63ce68p-8, 0x1.2896451068cfbp-8, 0x1.216ee2262efd8p-8, 0x1.1a6c3b9dccce2p-8, 0x1.138d907b3c221p-8, 0x1.0cd24669fec84p-8, 0x1.0639e46b07a1fp-8, 0x1.ff880f10d0b51p-9, 0x1.f2e0abe6f9ccbp-9, 0x1.e67cea1696202p-9, 0x1.da5c0964e89c7p-9, 0x1.ce7d3e610325ep-9, 0x1.c2dfb4f62eep-9, 0x1.b7828f8773ee8p-9, 0x1.ac64e1453d80ep-9, 0x1.a185a92285131p-9, 0x1.96e3d5d118109p-9, 0x1.8c7e56a485ee2p-9, 0x1.825432b320202p-9, 0x1.78649674161a8p-9, 0x1.6eaec89f9638bp-9, 0x1.653203470ed3bp-9, 0x1.5bed3f90e442cp-9, 0x1.52df0ebf839d5p-9, 0x1.4a059a3f2fcddp-9, 0x1.415ed4f67d1aep-9, 0x1.38e8d01005b7dp-9, 0x1.30a2104e021c9p-9, 0x1.2889bb3c1701p-9, 0x1.209f844ba7a8fp-9, 0x1.18e3642310b18p-9, 0x1.11554563e4557p-9, 0x1.09f4d9f429a31p-9, 0x1.02c1affa69902p-9, 0x1.f776de37cd732p-10, 0x1.e9c40f8e6a4a7p-10, 0x1.dc6b4d2ca3bc4p-10, 0x1.cf6cc9d01346ep-10, 0x1.c2c7b170d1cd2p-10, 0x1.b67971c99ec13p-10, 0x1.aa7d87fbbc978p-10, 0x1.9ecdfef8a217ep-10, 0x1.93648b62f49afp-10, 0x1.883befaeb28d1p-10, 0x1.7d511e4839eafp-10, 0x1.72a38be2aaf38p-10, 0x1.6834766c57578p-10, 0x1.5e057c1827cfap-10, 0x1.5417583d00191p-10, 0x1.4a69891b30253p-10, 0x1.40faf95a5713bp-10, 0x1.37cb0ef9af9dp-10, 0x1.2eda4d78a02bap-10, 0x1.262a1d5987e1p-10, 0x1.1dbbe0cbc5d93p-10, 0x1.158fdd43ea404p-10, 0x1.0da482f22efd8p-10, 0x1.05f64dd640364p-10, 0x1.fd00532f1167p-11, 0x1.ee786440dadabp-11, 0x1.e0498d2575952p-11, 0x1.d26b97310e4cap-11, 0x1.c4db3bcbe3a77p-11, 0x1.b79a189ab65b2p-11, 0x1.aaac5291863ddp-11, 0x1.9e153fdc598bdp-11, 0x1.91d550d21f3bbp-11, 0x1.85ea6e632c622p-11, 0x1.7a520c9d7db6dp-11, 0x1.6f0b2ed951118p-11, 0x1.6417188a51877p-11, 0x1.59785a6055f8cp-11, 0x1.4f30d016085d6p-11, 0x1.453feefc94d7cp-11, 0x1.3ba2975830e8dp-11, 0x1.32542b3b61f44p-11, 0x1.294f98c7e714ap-11, 0x1.208f87e1f39f2p-11, 0x1.180e2500bf36dp-11, 0x1.0fc58f7349ce9p-11, 0x1.07b12ddbf272fp-11, 0x1.ff9ddda7dcd14p-12, 0x1.f03e8a33278a1p-12, 0x1.e147ae96edf8dp-12, 0x1.d2bbe8daaea2ap-12, 0x1.c49b7a1f6405ep-12, 0x1.b6e455e66a6e5p-12, 0x1.a993a222c72ddp-12, 0x1.9ca82b341e0afp-12, 0x1.9023aa30677f3p-12, 0x1.84086d34045dfp-12, 0x1.7855492c411dbp-12, 0x1.6d049f3d5884cp-12, 0x1.620f39b9b924bp-12, 0x1.576f86260f06bp-12, 0x1.4d22bf9ed33aap-12, 0x1.43282e6ad1258p-12, 0x1.397f6c42a903cp-12, 0x1.30269254a53a5p-12, 0x1.271932dc8f212p-12, 0x1.1e50ae433255fp-12, 0x1.15c5d4719f981p-12, 0x1.0d735f31c0667p-12, 0x1.05586bdcd6ec5p-12, 0x1.faf0fb065a2dep-13, 0x1.ebae6dd0b9957p-13, 0x1.dce8133ea7fc9p-13, 0x1.ce97bcbfc1277p-13, 0x1.c0bc376d5bf57p-13, 0x1.b3595e72f2027p-13, 0x1.a66de8ec4a15fp-13, 0x1.99efb32cfa49bp-13, 0x1.8dd29eff0e3fbp-13, 0x1.820ec7e7f7ebp-13, 0x1.76a0c4eeb6cd4p-13, 0x1.6b87af60032dap-13, 0x1.60c45e5966b53p-13, 0x1.5659a65cfde63p-13, 0x1.4c4ba7c91ae3p-13, 0x1.429ceb76b9a99p-13, 0x1.3949f7577e2dap-13, 0x1.3046cb3c8ba97p-13, 0x1.27833e5b35dfdp-13, 0x1.1ef4a971b5fb2p-13, 0x1.169c6d90ac71ap-13, 0x1.0e83e8991cfe7p-13, 0x1.06af77c6d5928p-13, 0x1.fe34c7f1d6d02p-14, 0x1.ef82647a6e46cp-14, 0x1.e14e957b318efp-14, 0x1.d39bff679ac35p-14, 0x1.c65ca35504a4ep-14, 0x1.b97f0bf002eeap-14, 0x1.acfa2f891e60fp-14, 0x1.a0cc0d42f831bp-14, 0x1.94f47b8e18484p-14, 0x1.89726428f8256p-14, 0x1.7e43ef5dbef19p-14, 0x1.73687bcb4e6d1p-14, 0x1.68e25f8e17888p-14, 0x1.5eb655d0dfdc2p-14, 0x1.54e852d0a1e9dp-14, 0x1.4b75923df0f08p-14, 0x1.424ec7bb99ec3p-14, 0x1.3962801351e07p-14, 0x1.30ad89edb8c7dp-14, 0x1.283141d1513fdp-14, 0x1.1fed93dbfc209p-14, 0x1.17e567b46b4bdp-14, 0x1.1017697c4a8bbp-14, 0x1.08833200f19e5p-14, 0x1.012d87fe0f377p-14, 0x1.f42169616be26p-15, 0x1.e644150f31859p-15, 0x1.d8b9bd8fdc599p-15, 0x1.cb81eeb09ac28p-15, 0x1.be9d70e126e84p-15, 0x1.b20ba6ea589d7p-15, 0x1.a5ca8a33ce19dp-15, 0x1.99d729c73bf11p-15, 0x1.8e2e76328503fp-15, 0x1.82ce73ac468c9p-15, 0x1.77b6e4be0bf47p-15, 0x1.6ce86cee3908p-15, 0x1.626474ebd3b87p-15, 0x1.582d1980f2edap-15, 0x1.4e394b6c8896cp-15, 0x1.447a48f2a8ca3p-15, 0x1.3afaa01271b05p-15, 0x1.31b036cc9d778p-15, 0x1.2887ed63e6731p-15, 0x1.1f96ecf6d68f8p-15, 0x1.16d823052733cp-15, 0x1.0e4af50a3ce4ep-15, 0x1.05f47e04b9c7ep-15, 0x1.fb9281be29e43p-16, 0x1.eb85eee925e5bp-16, 0x1.dbc4371feffe4p-16, 0x1.cc4f3e6365b57p-16, 0x1.bd268801ddf32p-16, 0x1.ae48175ed38a9p-16, 0x1.9fb18a34f9c42p-16, 0x1.9160912869022p-16, 0x1.8352e401ec4ffp-16, 0x1.75861eb7df863p-16, 0x1.67f7eb8544327p-16, 0x1.5aa644f4493e1p-16, 0x1.4d8eb15c61949p-16, 0x1.40aeaf824064bp-16, 0x1.340c8baa7b49dp-16, 0x1.27b07e4733468p-16, 0x1.1b850407740fep-16, 0x1.0f89df0d4cb9ep-16, 0x1.03c4c4d61a546p-16, 0x1.f05794d7bcb92p-17, 0x1.d98b7a0ba9f9ap-17, 0x1.c3022163c8e02p-17, 0x1.acda5cde9034ep-17, 0x1.971a23447ef5cp-17, 0x1.81a6a400845e4p-17, 0x1.6c7d73cde56fcp-17, 0x1.57a2abcc0a322p-17, 0x1.431784f873167p-17, 0x1.2edafc6d29dadp-17, 0x1.1aeb3d1211429p-17, 0x1.07466adb01926p-17, 0x1.e7d606ef25c33p-18, 0x1.c1afd21397b3p-18, 0x1.9c1831995d84p-18, 0x1.770c80adef797p-18, 0x1.52894276ad6ebp-18, 0x1.2e8b1540079e6p-18, 0x1.0b0ecd9b1ec5fp-18, 0x1.d01c51f46725dp-19, 0x1.8b125daf610bap-19, 0x1.4747bee994745p-19, 0x1.04ac5eb2507c7p-19, 0x1.8560651d6afbep-20, 0x1.02f274615b05p-20, 0x1.073032e1d06bap-21, 0x1.8aa4b1727c403p-26, -0x1.d91799a2c603dp-22, -0x1.e173e0299a265p-21, -0x1.68f95b67a754ep-20, -0x1.df878a162bf5ep-20, -0x1.2a2fd1a1bbcd9p-19, -0x1.63b67551046cdp-19, -0x1.9c55276e84a14p-19, -0x1.d40cdca143294p-19, -0x1.056fbb20bd2e1p-18, -0x1.206773b36178ep-18, -0x1.3aee6abfc3ed2p-18, -0x1.550529e8ccba9p-18, -0x1.6eabec2f61ee3p-18, -0x1.87e2d78b7f239p-18, -0x1.a0aa638d61ba3p-18, -0x1.b9038b3146901p-18, -0x1.d0ef6d6b8cd85p-18, -0x1.e86e75abccbcdp-18, -0x1.ff8094c75c137p-18, -0x1.0b141d1da9aa5p-17, -0x1.1632bc70e9acp-17, -0x1.21117cad0bed1p-17, -0x1.2bbc2f923d666p-17, -0x1.363ce23aa828dp-17, -0x1.407ef080f3788p-17, -0x1.4a85a116e5c06p-17, -0x1.545741cdda255p-17, -0x1.5dfefabac6e87p-17, -0x1.67696d5565742p-17, -0x1.709e4de959af1p-17, -0x1.79a0c91bcdb59p-17, -0x1.826ee12fe7703p-17, -0x1.8b08075d38a6ap-17, -0x1.936c54ac241e9p-17, -0x1.9b9c01ce98181p-17, -0x1.a397497839b2cp-17, -0x1.ab5e647db7697p-17, -0x1.b2f188a15bc4bp-17, -0x1.ba50e4decbf74p-17, -0x1.c17c9d5df28b6p-17, -0x1.c874cfff75a75p-17, -0x1.cf39a6520a4b3p-17, -0x1.d5cb666b01731p-17, -0x1.dc2a6e58429fep-17, -0x1.e257147001dd2p-17, -0x1.e85167548e09ep-17, -0x1.ee19270c2120fp-17, -0x1.f3aef7841c721p-17, -0x1.f914bd3abe222p-17, -0x1.fe463ef88f6e6p-17, -0x1.01a43674dcfa8p-16, -0x1.040bc04217851p-16, -0x1.065a7a246e116p-16, -0x1.0892cb4453e7cp-16, -0x1.0ab2a67ca37a6p-16, -0x1.0cba5df01be59p-16, -0x1.0ea99fcfb0606p-16, -0x1.1081298b9bd1cp-16, -0x1.1241f790b180fp-16, -0x1.13eb8a9021d12p-16, -0x1.157de875edea9p-16, -0x1.16f93f9c2e43bp-16, -0x1.185dc1d7262f8p-16, -0x1.19aba02391104p-16, -0x1.1ae30b1348926p-16, -0x1.1c04335a1716dp-16, -0x1.1d0f49efe20cap-16, -0x1.1e047f90436dfp-16, -0x1.1ee40416063f3p-16, -0x1.1fae075e6418cp-16, -0x1.2062bc4aeb3eap-16, -0x1.21025af15ef24p-16, -0x1.218d1f8c0dc7dp-16, -0x1.2203469dc57aep-16, -0x1.22650182e5e0cp-16, -0x1.22b268c0b833cp-16, -0x1.22eba590c9261p-16, -0x1.23115c22a1b99p-16, -0x1.2323fbe03898bp-16, -0x1.2322b04ac2779p-16, -0x1.230da069f578dp-16, -0x1.22e616d284153p-16, -0x1.22ac1ad168669p-16, -0x1.225fd4097eb4dp-16, -0x1.2201e0055e21p-16, -0x1.21918f0237cf5p-16, -0x1.210ed7c38053fp-16, -0x1.207b0aed2df77p-16, -0x1.1fd64f045d943p-16, -0x1.1f209c1e3284ap-16, -0x1.1e5a2d3897becp-16, -0x1.1d8345dbab3afp-16, -0x1.1c9c28b4547d5p-16, -0x1.1ba517b6521cbp-16, -0x1.1a9e54991f283p-16, -0x1.1988211297a19p-16, -0x1.1862bef068558p-16, -0x1.172e70092e9d8p-16, -0x1.15eb7608ebbebp-16, -0x1.149a1269e5dbbp-16, -0x1.133a8702c51cdp-16, -0x1.11cd16bbceb1p-16, -0x1.105205853323cp-16, -0x1.0ec997ecb2ae8p-16, -0x1.0d341237e9e6dp-16, -0x1.0b91b3fc63d4ap-16, -0x1.09e2b4e66f58cp-16, -0x1.0827557fb2b58p-16, -0x1.065fffe0984f5p-16, -0x1.048d26a0ced54p-16, -0x1.02ae40f22d186p-16, -0x1.00c40672e932bp-16, -0x1.fd9e0d44743e7p-17, -0x1.f99e806c4c0eep-17, -0x1.f589d496de4a3p-17, -0x1.f160a84e63554p-17, -0x1.ed23e05140f65p-17, -0x1.e8d37f06ae04fp-17, -0x1.e46f7241696bp-17, -0x1.dff9604aa7993p-17, -0x1.db717397a62cp-17, -0x1.d6d80e15e9c7ep-17, -0x1.d22db232c0764p-17, -0x1.cd72e225ac9aep-17, -0x1.c8a81e499d012p-17, -0x1.c3cde5bbdfc8ap-17, -0x1.bee4b6a45248fp-17, -0x1.b9ed0e502e64ep-17, -0x1.b4e769387855ep-17, -0x1.afd442f817afap-17, -0x1.aab416305ffedp-17, -0x1.a5875c7b9f507p-17, -0x1.a04e8ea58dbe6p-17, -0x1.9b0a24fe0cecfp-17, -0x1.95ba974678dbdp-17, -0x1.90605c7b78d07p-17, -0x1.8afbeada0eedbp-17, -0x1.858db6cee27c3p-17, -0x1.80162fd17647dp-17, -0x1.7a95c369fbec5p-17, -0x1.750ce76411de5p-17, -0x1.6f7c314580546p-17, -0x1.69e3f54a2ef7cp-17, -0x1.64443fb0b3539p-17, -0x1.5e9e0e00b932dp-17, -0x1.58f19daa5d5a8p-17, -0x1.533f4e6f055cfp-17, -0x1.4d87884c6c5f5p-17, -0x1.47cab34793ed4p-17, -0x1.42093aef149cfp-17, -0x1.3c439f72da898p-17, -0x1.367a20da7b95fp-17, -0x1.30ad01ae8aa82p-17, -0x1.2adcf07bb4afep-17, -0x1.250a2f576f77fp-17, -0x1.1f351a52add63p-17, -0x1.195e10e18a343p-17, -0x1.138570c633b76p-17, -0x1.0dab96335b0a8p-17, -0x1.07d0dbf820655p-17, -0x1.01f59b8fcd67fp-17, -0x1.f8345a4dfc6b2p-18, -0x1.ec7dcf39468ddp-18, -0x1.e0c841004101p-18, -0x1.d514581480062p-18, -0x1.c962ba3572249p-18, -0x1.bdb40a8fad416p-18, -0x1.b208e9e09ef2fp-18, -0x1.a661f666fe99ep-18, -0x1.9abfcbc56e99fp-18, -0x1.8f2303173f51dp-18, -0x1.838c32d812aa8p-18, -0x1.77fbed95ea18ap-18, -0x1.6c72c1f373c0fp-18, -0x1.60f13e5e3468bp-18, -0x1.5577f4c3ecd2dp-18, -0x1.4a0786640308dp-18, -0x1.3ea02c62d8c62p-18, -0x1.3342aa2fbc01p-18, -0x1.27ef7cd28701dp-18, -0x1.1ca717c570219p-18, -0x1.1169f7f6bbe97p-18, -0x1.0638971b892efp-18, -0x1.f626d671a52c4p-19, -0x1.dff5d1676918dp-19, -0x1.c9df05421c2dcp-19, -0x1.b3e3667434d6bp-19, -0x1.9e03acc20d204p-19, -0x1.88409d3ac1134p-19, -0x1.729b3c9e012bdp-19, -0x1.5d143c4bfb0bcp-19, -0x1.47ac6124c63bap-19, -0x1.32646cdffdccp-19, -0x1.1d3d1be0972cdp-19, -0x1.083725838fb73p-19, -0x1.e6a678884eb62p-20, -0x1.bd241ba77ac01p-20, -0x1.93e886503d4d9p-20, -0x1.6af50100f4e6dp-20, -0x1.424acaeff6d57p-20, -0x1.19eb1b042f535p-20, }}, 
      {{0x1.1924c0dd2e121p-6, 0x1.16e4aa53f15bfp-5, 0x1.9cdd101e5d731p-5, 0x1.0e5011103b513p-4, 0x1.4a4e44fa16e42p-4, 0x1.81c74b0979d5dp-4, 0x1.b43f3f415641bp-4, 0x1.e15db1fa9783ap-4, 0x1.04751bae78aafp-3, 0x1.156441e333fd2p-3, 0x1.237a357f77f7cp-3, 0x1.2ebefe531b0ebp-3, 0x1.3742f1110bd59p-3, 0x1.3d1d098b37554p-3, 0x1.406974f62660fp-3, 0x1.41484be3d34f8p-3, 0x1.3fdc79f4aefe3p-3, 0x1.3c4acefa58f0ap-3, 0x1.36b935b47759bp-3, 0x1.2f4e0ca21e5f5p-3, 0x1.262f9d755f7d6p-3, 0x1.1b83af88b4fd6p-3, 0x1.0f6f31a12782cp-3, 0x1.0215f783c5ed5p-3, 0x1.e73510741f064p-4, 0x1.c83bf437f8d25p-4, 0x1.a77fb5b124a6cp-4, 0x1.853c3fbe4c66dp-4, 0x1.61aa3f25b484ap-4, 0x1.3cff1f115b8f7p-4, 0x1.176d0ff0fceeep-4, 0x1.e2462a16e2e27p-5, 0x1.949a2ff661c83p-5, 0x1.4627feb767288p-5, 0x1.ee772713aedc2p-6, 0x1.50369fe0e63d5p-6, 0x1.6420dafe3dfc5p-7, 0x1.47c4c1fe7c07cp-10, -0x1.102fb3a033b45p-7, -0x1.2347759df15b5p-6, -0x1.bcb6dd0049808p-6, -0x1.2a096c3f6eff4p-5, -0x1.748818a246916p-5, -0x1.bdb5a21b530adp-5, -0x1.02b9e578234d4p-4, -0x1.25d3daee26a83p-4, -0x1.481cd9bfc2921p-4, -0x1.698a894af794ap-4, -0x1.8a13f849650ebp-4, -0x1.a9b1868c0949cp-4, -0x1.c85ccf51a703ep-4, -0x1.e610944f6c945p-4, -0x1.0164550d887ffp-3, -0x1.0f40f250b195dp-3, -0x1.1c9d0287b16b2p-3, -0x1.2977d41aea0e8p-3, -0x1.35d11ae48d61fp-3, -0x1.41a8e83042e54p-3, -0x1.4cffa31d08a8cp-3, -0x1.57d60156d3b49p-3, -0x1.622d003634ec3p-3, -0x1.6c05de3180e9cp-3, -0x1.756214a782786p-3, -0x1.7e43520048102p-3, -0x1.86ab7423ad557p-3, -0x1.8e9c8342b4f01p-3, -0x1.9618acedb9f79p-3, -0x1.9d223f7c35ef9p-3, -0x1.a3bba5afff0b8p-3, -0x1.a9e762ace8c55p-3, -0x1.afa80e36e609cp-3, -0x1.b5005139c5806p-3, -0x1.b9f2e295b6ba5p-3, -0x1.be828415f66c8p-3, -0x1.c2b1ffa73689dp-3, -0x1.c68424b9a33e5p-3, -0x1.c9fbc5e29779cp-3, -0x1.cd1bb6df0d1dfp-3, -0x1.cfe6ca94ca5c1p-3, -0x1.d25fd16e895dbp-3, -0x1.d48997a46454dp-3, -0x1.d666e3b049bdep-3, -0x1.d7fa74f197822p-3, -0x1.d94702707bd99p-3, -0x1.da4f39ef49df5p-3, -0x1.db15bf0fe99eap-3, -0x1.db9d2a9443b2ep-3, -0x1.dbe809a127fb6p-3, -0x1.dbf8dd02674abp-3, -0x1.dbd21883e9bdbp-3, -0x1.db762259da8e5p-3, -0x1.dae752b6d097bp-3, -0x1.da27f387f6734p-3, -0x1.d93a4040e3c3p-3, -0x1.d82065c63a816p-3, -0x1.d6dc8257c7693p-3, -0x1.d570a5764e0fap-3, -0x1.d3decfcb497cap-3, -0x1.d228f30f8ee47p-3, -0x1.d050f1fa813eep-3, -0x1.ce58a03efb635p-3, -0x1.cc41c29a71d5ap-3, -0x1.ca0e0ef481fc4p-3, -0x1.c7bf2c8e28d64p-3, -0x1.c556b43ba4e14p-3, -0x1.c2d630a23c988p-3, -0x1.c03f1e7664d43p-3, -0x1.bd92ecb7b7ba8p-3, -0x1.bad2fce8e68c5p-3, -0x1.b800a3438cca7p-3, -0x1.b51d26ea0b579p-3, -0x1.b229c21c53aa5p-3, -0x1.af27a26ee977ep-3, -0x1.ac17e905f08c2p-3, -0x1.a8fbaad888a63p-3, -0x1.a5d3f0f9de5c7p-3, -0x1.a2a1b8e7fab5fp-3, -0x1.9f65f4df669dbp-3, -0x1.9c218c31425ffp-3, -0x1.98d55b9a2bdd2p-3, -0x1.95823598b344dp-3, -0x1.9228e2c1f06d3p-3, -0x1.8eca221354f5bp-3, -0x1.8b66a9417314ep-3, -0x1.87ff2503e50b2p-3, -0x1.8494395ec956fp-3, -0x1.812681ea587cap-3, -0x1.7db692195f925p-3, -0x1.7a44f57f5765fp-3, -0x1.76d2301684702p-3, -0x1.735ebe864807dp-3, -0x1.6feb1669f90cep-3, -0x1.6c77a698229a9p-3, -0x1.6904d769bf362p-3, -0x1.65930b012d9e3p-3, -0x1.62229d90687d5p-3, -0x1.5eb3e59df8a7p-3, -0x1.5b4734484d6fbp-3, -0x1.57dcd586d782fp-3, -0x1.54751069185bbp-3, -0x1.51102752fd7b8p-3, -0x1.4dae58368bc7fp-3, -0x1.4a4fdccb13578p-3, -0x1.46f4eac21507fp-3, -0x1.439db3f9937dcp-3, -0x1.404a66ac480f1p-3, -0x1.3cfb2da027cbep-3, -0x1.39b03052ea59p-3, -0x1.36699324eefb4p-3, -0x1.33277783155a3p-3, -0x1.2fe9fc0f15dfdp-3, -0x1.2cb13cc649de8p-3, -0x1.297d5327c1287p-3, -0x1.264e565922e8p-3, -0x1.23245b49f10e2p-3, -0x1.1fff74d5c7631p-3, -0x1.1cdfb3e5b25fcp-3, -0x1.19c5278fd29f2p-3, -0x1.16afdd35828f3p-3, -0x1.139fe0a0a1fdbp-3, -0x1.10953c1f65a6ap-3, -0x1.0d8ff89e4e69dp-3, -0x1.0a901dc0fd58ep-3, -0x1.0795b1fa0c34cp-3, -0x1.04a0baa136073p-3, -0x1.01b13c07ecep-3, -0x1.fd8e731a38ee8p-4, -0x1.f7c56b5fd7ed9p-4, -0x1.f2076441f26f5p-4, -0x1.ec545fa4c9119p-4, -0x1.e6ac5e0e9f714p-4, -0x1.e10f5ec4cf6b9p-4, -0x1.db7d5fe69edd2p-4, -0x1.d5f65e863fac3p-4, -0x1.d07a56c016414p-4, -0x1.cb0943d348fap-4, -0x1.c5a32034713c1p-4, -0x1.c047e5a1c8861p-4, -0x1.baf78d35ee9f2p-4, -0x1.b5b20f7947223p-4, -0x1.b07764715fe6ep-4, -0x1.ab4783b096bf4p-4, -0x1.a62264630309fp-4, -0x1.a107fd5c5e5adp-4, -0x1.9bf84523b164ap-4, -0x1.96f331fe7dffap-4, -0x1.91f8b9f9c260fp-4, -0x1.8d08d2f4ca1ccp-4, -0x1.882372a8df98cp-4, -0x1.83488eb18769ep-4, -0x1.7e781c927c9c3p-4, -0x1.79b211be6c076p-4, -0x1.74f6639d499a4p-4, -0x1.704507906f893p-4, -0x1.6b9df2f733e0dp-4, -0x1.67011b330ff8ap-4, -0x1.626e75aa085a5p-4, -0x1.5de5f7caf6551p-4, -0x1.5967970f12ef8p-4, -0x1.54f348fbafc3cp-4, -0x1.5089032412de2p-4, -0x1.4c28bb2b878eep-4, -0x1.47d266c509182p-4, -0x1.4385fbb4ec95dp-4, -0x1.3f436fd0a09aap-4, -0x1.3b0ab8feba61ap-4, -0x1.36dbcd372b492p-4, -0x1.32b6a2834dd7ap-4, -0x1.2e9b2efdd58c1p-4, -0x1.2a8968d0acfbap-4, -0x1.26814634b898cp-4, -0x1.2282bd714ee3cp-4, -0x1.1e8dc4db922b7p-4, -0x1.1aa252d578269p-4, -0x1.16c05dcc1360ep-4, -0x1.12e7dc35cbf23p-4, -0x1.0f18c491993a9p-4, -0x1.0b530d65c7291p-4, -0x1.0796ad3f215e5p-4, -0x1.03e39aaf96d8dp-4, -0x1.0039cc4bce2fap-4, -0x1.f932715298ae6p-5, -0x1.f203acbafc541p-5, -0x1.eae737fa3b8c6p-5, -0x1.e3dd003608fc7p-5, -0x1.dce4f28c9367cp-5, -0x1.d5fefc0fedd39p-5, -0x1.cf2b09c1e94fbp-5, -0x1.c869089375937p-5, -0x1.c1b8e563cb6c7p-5, -0x1.bb1a8cfe1ad4dp-5, -0x1.b48dec1588f95p-5, -0x1.ae12ef40ce31bp-5, -0x1.a7a982f751054p-5, -0x1.a15193903c8adp-5, -0x1.9b0b0d4240b9ep-5, -0x1.94d5dc2262c65p-5, -0x1.8eb1ec20a0848p-5, -0x1.889f290390d81p-5, -0x1.829d7e661440dp-5, -0x1.7cacd7b6a927dp-5, -0x1.76cd2037aeb9p-5, -0x1.70fe42ff23719p-5, -0x1.6b402af4b2362p-5, -0x1.6592c2ce9b60fp-5, -0x1.5ff5f50f04e6cp-5, -0x1.5a69ac02fe6bep-5, -0x1.54edd1c312ed5p-5, -0x1.4f8250343dfd7p-5, -0x1.4a271107d3d6ep-5, -0x1.44dbfdb98d0a4p-5, -0x1.3fa0ff8d45d21p-5, -0x1.3a75ff8dbd312p-5, -0x1.355ae68ca7984p-5, -0x1.304f9d23f298bp-5, -0x1.2b540bb70e917p-5, -0x1.26681a73350dbp-5, -0x1.218bb14e7aec1p-5, -0x1.1cbeb8067a60ep-5, -0x1.1801161fad98p-5, -0x1.1352b2e61412ep-5, -0x1.0eb3756ed7d0cp-5, -0x1.0a23449a1dbd8p-5, -0x1.05a207141d691p-5, -0x1.012fa3550bebp-5, -0x1.f997ff4104422p-6, -0x1.f0ee040ad1423p-6, -0x1.e86120bd99e14p-6, -0x1.dff120ab3089ap-6, -0x1.d79dcec565f45p-6, -0x1.cf66f5a194eb6p-6, -0x1.c74c5f7aac6c5p-6, -0x1.bf4dd631d1816p-6, -0x1.b76b234ed6e22p-6, -0x1.afa41001af16ep-6, -0x1.a7f865257bad6p-6, -0x1.a067eb44de027p-6, -0x1.98f26a9e7eef8p-6, -0x1.9197ab28da954p-6, -0x1.8a577494d24eap-6, -0x1.83318e4f3a45cp-6, -0x1.7c25bf8241bdep-6, -0x1.7533cf17d6947p-6, -0x1.6e5b83bd46d35p-6, -0x1.679ca3e7be84p-6, -0x1.60f6f5d8e52d8p-6, -0x1.5a6a3fa2f652dp-6, -0x1.53f6472bde05cp-6, -0x1.4d9ad22f91261p-6, -0x1.4757a6423ccfap-6, -0x1.412c88d2e930cp-6, -0x1.3b193f2ef0e38p-6, -0x1.351d8e864188dp-6, -0x1.2f393befe4dd9p-6, -0x1.296c0c6e4642dp-6, -0x1.23b5c4f2d39b8p-6, -0x1.1e162a60ee3ecp-6, -0x1.188d0190855c2p-6, -0x1.131a0f50ad8f6p-6, -0x1.0dbd186ab9eecp-6, -0x1.0875e1a5db80cp-6, -0x1.03442fcb3a6efp-6, -0x1.fc4f8f5461feap-7, -0x1.f240dc385a5f6p-7, -0x1.e85bd0102045p-7, -0x1.de9ff4ca08a67p-7, -0x1.d50cd47a261bbp-7, -0x1.cba1f95f8e89ap-7, -0x1.c25eedea2519bp-7, -0x1.b9433cc14997ap-7, -0x1.b04e70cb1053cp-7, -0x1.a7801533b7f1ep-7, -0x1.9ed7b574bb4b7p-7, -0x1.9654dd5b2552fp-7, -0x1.8df7190d177dap-7, -0x1.85bdf50e9a9f7p-7, -0x1.7da8fe4642be1p-7, -0x1.75b7c201d8859p-7, -0x1.6de9cdfb9abb2p-7, -0x1.663eb05ff5e8dp-7, -0x1.5eb5f7d39d25p-7, -0x1.574f3379af842p-7, -0x1.5009f2f9b8f36p-7, -0x1.48e5c6850a304p-7, -0x1.41e23edb94c39p-7, -0x1.3afeed4fe7e9fp-7, -0x1.343b63cae54a2p-7, -0x1.2d9734cf2061bp-7, -0x1.2711f37c7955bp-7, -0x1.20ab339412ae3p-7, -0x1.1a62897cb8c8fp-7, -0x1.14378a47c93a6p-7, -0x1.0e29cbb6350fbp-7, -0x1.0838e43d559c3p-7, -0x1.02646b0b432c7p-7, -0x1.f957f014b37dp-8, -0x1.ee1e47c796317p-8, -0x1.e31b100346dedp-8, -0x1.d84d7d20ab239p-8, -0x1.cdb4c50121acap-8, -0x1.c3501f1336a39p-8, -0x1.b91ec4591be19p-8, -0x1.af1fef7094ae8p-8, -0x1.a552dc9baef99p-8, -0x1.9bb6c9c8e32b2p-8, -0x1.924af6999b8a8p-8, -0x1.890ea465f3828p-8, -0x1.8001163dfcbbap-8, -0x1.772190e8cf934p-8, -0x1.6e6f5ae39e633p-8, -0x1.65e9bc625b93bp-8, -0x1.5d8fff52325cbp-8, -0x1.55616f5f73ec9p-8, -0x1.4d5d59fde87b9p-8, -0x1.45830e71ca624p-8, -0x1.3dd1ddd6ae9b7p-8, -0x1.36491b22c8bf5p-8, -0x1.2ee81b2574168p-8, -0x1.27ae3481b5a27p-8, -0x1.209abfa6ab916p-8, -0x1.19ad16c933b97p-8, -0x1.12e495e18a343p-8, -0x1.0c409aaefda87p-8, -0x1.05c084c17b0e8p-8, -0x1.fec76b0d74143p-9, -0x1.f25320ae0e109p-9, -0x1.e622f4fa97f8ap-9, -0x1.da35b66da2157p-9, -0x1.ce8a375360fa6p-9, -0x1.c31f4da72c45bp-9, -0x1.b7f3d2eb10cadp-9, -0x1.ad06a4059e23p-9, -0x1.a256a131e3d6ep-9, -0x1.97e2ae0920994p-9, -0x1.8da9b1a5eab95p-9, -0x1.83aa96d9305a7p-9, -0x1.79e44c61ab5d3p-9, -0x1.7055c51488108p-9, -0x1.66fdf7e72670cp-9, -0x1.5ddbdfd1d39a3p-9, -0x1.54ee7b8dd9bb1p-9, -0x1.4c34cd3cab268p-9, -0x1.43adda0eb8f62p-9, -0x1.3b58aa029493fp-9, -0x1.333447d100967p-9, -0x1.2b3fc10f0709cp-9, -0x1.237a2680b8ae9p-9, -0x1.1be28c899b7aep-9, -0x1.14780b9e178ffp-9, -0x1.0d39c09745cfdp-9, -0x1.0626cccee896bp-9, -0x1.fe7cabebc4567p-10, -0x1.f0ff0b4bce58ep-10, -0x1.e3d3118440ec1p-10, -0x1.d6f71d9041beep-10, -0x1.ca699279300ffp-10, -0x1.be28d6b5aefe5p-10, -0x1.b2335441fd649p-10, -0x1.a687797267084p-10, -0x1.9b23ba4d738f4p-10, -0x1.90069217b73d3p-10, -0x1.852e84af88995p-10, -0x1.7a9a1f6bbda17p-10, -0x1.7047f94fad8e7p-10, -0x1.6636b28a00a5p-10, -0x1.5c64f34f402b1p-10, -0x1.52d16a36dcad5p-10, -0x1.497aca59d280bp-10, -0x1.405fc98e793c6p-10, -0x1.377f1f2d7281dp-10, -0x1.2ed783c0f6d9cp-10, -0x1.2667b1c78b8b7p-10, -0x1.1e2e675effbacp-10, -0x1.162a685aee66ap-10, -0x1.0e5a80286b40cp-10, -0x1.06bd8302ecc2cp-10, -0x1.fea49c9d9324bp-11, -0x1.f02f90824295ep-11, -0x1.e219be3beb2e9p-11, -0x1.d461107f82e73p-11, -0x1.c7037dd6ee4fap-11, -0x1.b9ff05b8a8fa8p-11, -0x1.ad51ad2987031p-11, -0x1.a0f97b954c116p-11, -0x1.94f478ff6182p-11, -0x1.8940ae85dabadp-11, -0x1.7ddc2957b103fp-11, -0x1.72c4ff1638127p-11, -0x1.67f951dc7ba3dp-11, -0x1.5d77525a88a9dp-11, -0x1.533d3f8b7f5d2p-11, -0x1.494964daf2262p-11, -0x1.3f9a184201a16p-11, -0x1.362db98c6a724p-11, -0x1.2d02b2d8f5d19p-11, -0x1.2417794fc8ce1p-11, -0x1.1b6a8cb4e00a5p-11, -0x1.12fa753b0348p-11, -0x1.0ac5c046142ap-11, -0x1.02cafdc683f2ep-11, -0x1.f6117f70e6ff5p-12, -0x1.e6fb38377e96p-12, -0x1.d8506060d2f63p-12, -0x1.ca0e45f120a02p-12, -0x1.bc324af97320fp-12, -0x1.aeb9e17563098p-12, -0x1.a1a2852956a33p-12, -0x1.94e9b7599e727p-12, -0x1.888cff246fc66p-12, -0x1.7c89ee9c1ecbbp-12, -0x1.70de29da63c34p-12, -0x1.65876bee8dec5p-12, -0x1.5a8386e1e0691p-12, -0x1.4fd05f68a51eap-12, -0x1.456be7dc818ap-12, -0x1.3b541e3f1cae1p-12, -0x1.31870e11e89c8p-12, -0x1.2802d335c160fp-12, -0x1.1ec599eb6b8e4p-12, -0x1.15cd9a6d19b2dp-12, -0x1.0d19122638e51p-12, -0x1.04a63e0acd25ep-12, -0x1.f8e6b045d8bf7p-13, -0x1.e8fd306f7831fp-13, -0x1.d98c6de36346p-13, -0x1.ca90e61f3ea5bp-13, -0x1.bc072f464fa08p-13, -0x1.adec01179e61dp-13, -0x1.a03c34edb349fp-13, -0x1.92f4be343bf34p-13, -0x1.8612a50866d16p-13, -0x1.79930cd691722p-13, -0x1.6d7345a6650c8p-13, -0x1.61b0d99f2bf04p-13, -0x1.564986b1d6245p-13, -0x1.4b3b2279705ep-13, -0x1.4083789a080cfp-13, -0x1.362038e13f745p-13, -0x1.2c0efcb60f57bp-13, -0x1.224d58e386405p-13, -0x1.18d8eb822c66cp-13, -0x1.0faf6000b8b55p-13, -0x1.06ce6ed0294fep-13, -0x1.fc67bd99ff2f1p-14, -0x1.ebbb0e13ef0dep-14, -0x1.db9296b909a23p-14, -0x1.cbea26d6a96dep-14, -0x1.bcbd8c861984p-14, -0x1.ae08ae916215ep-14, -0x1.9fc7c949d747dp-14, -0x1.91f7a5fec9753p-14, -0x1.849597ee24705p-14, -0x1.779f31ce7ede3p-14, -0x1.6b11e52e4e549p-14, -0x1.5eead10fb78f4p-14, -0x1.5326d784555cdp-14, -0x1.47c2d40a17902p-14, -0x1.3cbbbf8a69ccbp-14, -0x1.320eb528ef368p-14, -0x1.27b8ec08cc5d5p-14, -0x1.1db7b500c24d8p-14, -0x1.1408785e05abp-14, -0x1.0aa8ac56578fdp-14, -0x1.0195c50760bbap-14, -0x1.f19a4ab2de74cp-15, -0x1.e09837b139e05p-15, -0x1.d01ff15a696ddp-15, -0x1.c02c807af740fp-15, -0x1.b0b9c1f5dedfap-15, -0x1.a1c47714fc5b9p-15, -0x1.9349cd1027873p-15, -0x1.8546b4434bf57p-15, -0x1.77b79ba4c0d43p-15, -0x1.6a98b88192dacp-15, -0x1.5de66b41a93fcp-15, -0x1.519d4f37dbb45p-15, -0x1.45ba09f53f242p-15, -0x1.3a393845b23c9p-15, -0x1.2f1792a51e25ep-15, -0x1.245214a168df1p-15, -0x1.19e5fa3bfbb18p-15, -0x1.0fd09560869bap-15, -0x1.060f1da18e48dp-15, -0x1.f93d3d9b4b798p-16, -0x1.e6f81e73ebb0fp-16, -0x1.d548f34813837p-16, -0x1.c42a4c0e70bebp-16, -0x1.b3976be351bb3p-16, -0x1.a38c40a60b6ap-16, -0x1.9404f79f7f2a1p-16, -0x1.84fd7374bb3e3p-16, -0x1.76714008657c5p-16, -0x1.685c25d52a9a7p-16, -0x1.5aba99706504ep-16, -0x1.4d8967aeb3454p-16, -0x1.40c519ef1081bp-16, -0x1.3469dd2bab83ep-16, -0x1.2873dc6fb0703p-16, -0x1.1cdf8c27f2d8ap-16, -0x1.11a9c3605ded4p-16, -0x1.06cfafaa6be1ep-16, -0x1.f89d3ea9f5ab5p-17, -0x1.e4477b77fcf1p-17, -0x1.d097f783deabep-17, -0x1.bd887f8fcbdbp-17, -0x1.ab136d29d7d08p-17, -0x1.9933f484984a4p-17, -0x1.87e5d022c2377p-17, -0x1.77248c4dd5463p-17, -0x1.66eb051b65f0fp-17, -0x1.573390a48f947p-17, -0x1.47f8ce15913c6p-17, -0x1.3936879126221p-17, -0x1.2ae9ce045e2aap-17, -0x1.1d0fedbcc3975p-17, -0x1.0fa5676282236p-17, -0x1.02a629cadd57ap-17, -0x1.ec1cbc1c0503bp-18, -0x1.d3b5223c40e42p-18, -0x1.bc0efb5a8c715p-18, -0x1.a52421cd98024p-18, -0x1.8eeee68053e2dp-18, -0x1.7969d550cde7bp-18, -0x1.648f6a1544acdp-18, -0x1.5059f1704e257p-18, -0x1.3cc3bc75e3bf4p-18, -0x1.29c7a5cbbc71dp-18, -0x1.17617d994f4fep-18, -0x1.058dbdbfa3342p-18, -0x1.e8911cdfbdffbp-19, -0x1.c719dedcfa8d7p-19, -0x1.a6a979d83afc3p-19, -0x1.87341acf422b6p-19, -0x1.68b19511d0d1ap-19, -0x1.4b1c94d926abbp-19, -0x1.2e7017d63df6ep-19, -0x1.12a5d64ddab0ep-19, -0x1.ef6be2b5c9f86p-20, -0x1.bb31f321e7a73p-20, -0x1.889231b3531a3p-20, -0x1.57815a611a9cp-20, -0x1.27f402010026dp-20, -0x1.f3be92fdc577ep-21, -0x1.9a711d6086deap-21, -0x1.43ea6975b5e3fp-21, -0x1.e02b60fe0c5c5p-22, -0x1.3dbe23427258ap-22, -0x1.40ced7bdf9194p-23, -0x1.00843e606c175p-27, 0x1.171614ee22f19p-23, 0x1.1a61a23086e2p-22, 0x1.a49b39729576cp-22, 0x1.152c1fc6abc4bp-21, 0x1.55dea65c70b44p-21, 0x1.947834d21bf0ep-21, 0x1.d10987e1df2c8p-21, 0x1.05ce7d9d081ccp-20, 0x1.221f1b9fab486p-20, 0x1.3d7d76f1e0a63p-20, 0x1.57eee3eddbb33p-20, 0x1.717a5e0a5c16ap-20, 0x1.8a257e5a869f1p-20, 0x1.a1f4abbb3b996p-20, 0x1.b8ed1334db778p-20, 0x1.cf138f10c30e5p-20, 0x1.e46cb03335edcp-20, 0x1.f8fd274bd2aeap-20, 0x1.0664e2c5031a9p-19, 0x1.0feba3aec2fb4p-19, 0x1.19150fc60f531p-19, 0x1.21e331593c26fp-19, 0x1.2a57ec24dcd02p-19, 0x1.32750d4fee9dbp-19, 0x1.3a3c55d5befc2p-19, 0x1.41af7db10e6bfp-19, 0x1.48d047dd8758fp-19, 0x1.4fa0a21163462p-19, 0x1.56225744017bdp-19, 0x1.5c56cb4fe4599p-19, 0x1.623fb67389776p-19, 0x1.67deaebc12afcp-19, 0x1.6d351d7b29b1ep-19, 0x1.72449d22829bep-19, 0x1.770e976aed0d1p-19, 0x1.7b94bcda6230cp-19, 0x1.7fd80daf67c5ep-19, 0x1.83d9aa9107815p-19, 0x1.879af194e75d2p-19, 0x1.8b1d0d5208701p-19, 0x1.8e611ccc4ce03p-19, 0x1.91684893ffbap-19, 0x1.9433c0badf1dbp-19, 0x1.96c4b5bd11d2ap-19, 0x1.991c4fd690bf1p-19, 0x1.9b3ba7a38b74ep-19, 0x1.9d23c4680dd61p-19, 0x1.9ed5a23b659ddp-19, 0x1.a0523c39c91eap-19, 0x1.a19a920f6554cp-19, 0x1.a2afa2c28dbf8p-19, 0x1.a392662be43fdp-19, 0x1.a443d8ccfeefcp-19, 0x1.a4c4f3e4f7a0cp-19, 0x1.a51674a86f2cbp-19, 0x1.a5393a29695efp-19, 0x1.a52e7646f465ep-19, 0x1.a4f6fd24cbc48p-19, 0x1.a4934dfb20d54p-19, 0x1.a4049a67beca3p-19, 0x1.a34bfa824aba8p-19, 0x1.a269fa7e8fa93p-19, 0x1.a15f55d240d04p-19, 0x1.a02cf75f5a0afp-19, 0x1.9ed3a5a134ca7p-19, 0x1.9d542221e25b6p-19, 0x1.9baf323be6b75p-19, 0x1.99e59d508dc0fp-19, 0x1.97f82b70c4fccp-19, 0x1.95e7a402ab14ep-19, 0x1.93b4cbbffcb6cp-19, 0x1.91606277ce5d6p-19, 0x1.8eeb2236b2855p-19, 0x1.8c55c19b83e9fp-19, 0x1.89a0f858b5bb1p-19, 0x1.86cd813020201p-19, 0x1.83dc16c4f9141p-19, 0x1.80cd6db0fb1c4p-19, 0x1.7da23333980bbp-19, 0x1.7a5b17210b8a4p-19, 0x1.76f8cd83047efp-19, 0x1.737bf7fd76846p-19, 0x1.6fe55a92b86f5p-19, 0x1.6c35abf1ae88fp-19, 0x1.686d6c5890df5p-19, 0x1.648d5193e4b5cp-19, 0x1.6096160bf8f7ep-19, 0x1.5c88770d6128ap-19, 0x1.5864ee548a275p-19, 0x1.542c2d5a3514p-19, 0x1.4fdedb8cb112ap-19, 0x1.4b7d94b24f1fep-19, 0x1.4708f679e513p-19, 0x1.42819f0458ce6p-19, 0x1.3de82be1f06fap-19, 0x1.393d39c658869p-19, 0x1.3481645ac18abp-19, 0x1.2fb545ef0e003p-19, 0x1.2ad976e7d3a2cp-19, 0x1.25ee8d2779113p-19, 0x1.20f51c56df09cp-19, 0x1.1bedb7868d438p-19, 0x1.16d8f289e8a49p-19, 0x1.11b76126ad436p-19, 0x1.0c8994c3fa736p-19, 0x1.075019d205153p-19, 0x1.020b775fdf5bbp-19, 0x1.f9786e931a2b3p-20, 0x1.eec5d9104a0a5p-20, 0x1.e4003c2d7a8cbp-20, 0x1.d928b81ec76c3p-20, 0x1.ce403c53d7c3ep-20, 0x1.c347cfec3c382p-20, 0x1.b840924d2a24ep-20, 0x1.ad2b7c9ee5782p-20, 0x1.a209918189a18p-20, 0x1.96dbc87873aafp-20, 0x1.8ba31fa58a529p-20, 0x1.806094e66f336p-20, 0x1.7515170710199p-20, 0x1.69c1964eb1653p-20, 0x1.5e67016b95702p-20, 0x1.530644557b181p-20, 0x1.47a0481098dp-20, 0x1.3c35f28e6dcbfp-20, 0x1.30c8269fdaef6p-20, 0x1.2557c3e667985p-20, 0x1.19e5a694d3e07p-20, 0x1.0e72a71adc5e9p-20, 0x1.02ff9a6851eap-20, 0x1.ef1aa61ec79fbp-21, 0x1.d83943e42280ap-21, 0x1.c15caaff1be9ap-21, 0x1.aa8670b1f3bfp-21, 0x1.93b81ef7f2a0bp-21, 0x1.7cf3312b22fap-21, 0x1.66391f55e3678p-21, 0x1.4f8b7052592c7p-21, 0x1.38eba3cf8a3efp-21, 0x1.225b178e83502p-21, 0x1.0bdb2cd8e992ap-21, 0x1.eada97d70081ep-22, 0x1.be258b6acd6f8p-22, 0x1.9199e2a5fff5cp-22, 0x1.653a4c509f291p-22, 0x1.3909324f11de7p-22, 0x1.0d0906e26aa4p-22, 0x1.c278bbe9c1f04p-23, 0x1.6b4b3083d2948p-23, 0x1.148e07f41e84p-23, 0x1.7c8bacfbdb11p-24, 0x1.a1dc65f3e469ep-25, 0x1.326351ceddce3p-27, -0x1.06a22eecdf6c5p-25, -0x1.2be1ef560deddp-24, -0x1.d35ded9d5caa8p-24, -0x1.3cde8a97b8779p-23, -0x1.8f7bcdccf1022p-23, -0x1.e182f4f8ee809p-23, -0x1.19782735e33d3p-22, -0x1.41e02031b2aebp-22, -0x1.69f7a36b4aef4p-22, -0x1.91bcf9f188ba9p-22, -0x1.b92e78d83899bp-22, -0x1.e04a82020fba2p-22, -0x1.0387c357cd6c6p-21, -0x1.16be0475a95e6p-21, -0x1.29c748c00a6d7p-21, -0x1.3ca2d472d0a0ep-21, -0x1.4f4ff23219291p-21, -0x1.61ce0360818b7p-21, -0x1.741c5ba0b13a5p-21, -0x1.863a570faabeep-21, -0x1.982761cbc379ep-21, -0x1.a9e2e799fee78p-21, -0x1.bb6c58aac5eadp-21, -0x1.ccc327196e60bp-21, -0x1.dde6d38253a93p-21, -0x1.eed6e49a3a8ap-21, -0x1.ff92d7f5a2d5dp-21, -0x1.080d1e5b24d94p-20, -0x1.103652b178cf5p-20, -0x1.1844d44e12485p-20, -0x1.2038710f76f55p-20, -0x1.2810f96059f9bp-20, -0x1.2fce402f7dc69p-20, -0x1.37701aeb2fb9bp-20, -0x1.3ef6617a70d3bp-20, -0x1.4660ee3502d02p-20, -0x1.4daf9ddb2ee93p-20, -0x1.54e24f932dc2dp-20, -0x1.5bf8e4e0fadcfp-20, -0x1.62f34191e5c5bp-20, -0x1.69d14ba3bbbc7p-20, -0x1.7092eb44c7b23p-20, -0x1.77380adc54277p-20, -0x1.7dc09705ed25fp-20, -0x1.842c7e9a24fd6p-20, -0x1.8a7bb2e07041fp-20, -0x1.90ae2741e80a9p-20, -0x1.96c3d09cf5663p-20, -0x1.9cbca54fe3445p-20, -0x1.a2989ee8bf041p-20, -0x1.a857ba06f6d89p-20, -0x1.adf9f18089914p-20, -0x1.b37f44f83b661p-20, -0x1.b8e7b5774ace3p-20, -0x1.be3345de673a5p-20, -0x1.c361fab0e7b0cp-20, -0x1.c873d9eed848ap-20, -0x1.cd68eb1c83009p-20, -0x1.d24138944626bp-20, -0x1.d6fcce4b599b4p-20, -0x1.db9bb812625e4p-20, -0x1.e01e051505127p-20, -0x1.e483c5a3b94f8p-20, -0x1.e8cd0b893d2a5p-20, -0x1.ecf9ea14d78fap-20, -0x1.f10a7618312bcp-20, -0x1.f4fec5d9cabbbp-20, -0x1.f8d6f10f5abf3p-20, -0x1.fc9310d5a2127p-20, -0x1.00199fd4746dcp-19, -0x1.01dbccadcd594p-19, -0x1.03901d885d1ep-19, -0x1.0536a19ab02b7p-19, -0x1.06cf68ba62fap-19, -0x1.085a83571ffe7p-19, -0x1.09d8027785e08p-19, -0x1.0b47f7b731f5dp-19, -0x1.0caa7541b1868p-19, -0x1.0dff8dd039455p-19, -0x1.0f4754a5c81adp-19, -0x1.1081dd924b4efp-19, -0x1.11af3cdad71cp-19, -0x1.12cf873ce8d28p-19, -0x1.13e2d1e8e43f3p-19, -0x1.14e932eab4578p-19, -0x1.15e2c035c5e73p-19, -0x1.16cf906eb2cf8p-19, -0x1.17afbaac7081p-19, -0x1.18835663d1095p-19, -0x1.194a7b70d350ep-19, -0x1.1a054217c47d6p-19, -0x1.1ab3c2f57b909p-19, -0x1.1b5616fd606ddp-19, -0x1.1bec57771173p-19, -0x1.1c769e1dcf67dp-19, -0x1.1cf504f515a1dp-19, -0x1.1d67a62bffd09p-19, -0x1.1dce9c66ae93p-19, -0x1.1e2a028624e0bp-19, -0x1.1e79f3b05e1bep-19, -0x1.1ebe8b4eed461p-19, -0x1.1ef7e50b72cdbp-19, -0x1.1f261ccd834bap-19, -0x1.1f494eb6f6b1p-19, -0x1.1f619720dd7bp-19, -0x1.1f6f12981c8cap-19, -0x1.1f71dde2e8dcep-19, -0x1.1f6a16c0835e9p-19, }}, 
      {{-0x1.1bb1f3b9d18dcp+1, -0x1.14948393a02d4p+1, -0x1.096ea575a095fp+1, -0x1.f615040680c7ap+0, -0x1.d4785ad949e8ep+0, -0x1.af9ce99eef726p+0, -0x1.88f034ade23f3p+0, -0x1.61ad1cba0ccabp+0, -0x1.3ad875b65c3b5p+0, -0x1.15422c7b9a4dp+0, -0x1.e3124d3d6d068p-1, -0x1.a0416a81b852p-1, -0x1.62ad035ac47a4p-1, -0x1.2ab19ae187d77p-1, -0x1.f0f023b8c1f2ap-2, -0x1.980099254cc35p-2, -0x1.4a54ba610ad45p-2, -0x1.077c923a7bf43p-2, -0x1.9dca7f07d9585p-3, -0x1.3fc791b08cd27p-3, -0x1.e6f7c4e2ae732p-4, -0x1.6ec56eefd3c3ap-4, -0x1.13e4edaad3b01p-4, -0x1.a6961ccec4f71p-5, -0x1.5404390731adfp-5, -0x1.2a67868bf520fp-5, -0x1.245ff5e059881p-5, -0x1.3ce3070c51a3ep-5, -0x1.6f40fedcc812cp-5, -0x1.b72713460d8dbp-5, -0x1.084faaf717935p-4, -0x1.3c0774ba92715p-4, -0x1.75197dd18d7b1p-4, -0x1.b20e70d66a616p-4, -0x1.f196d2a2c2ad6p-4, -0x1.19444de847e68p-3, -0x1.39ee5fc160b5cp-3, -0x1.5a565693bebb6p-3, -0x1.7a17edd695befp-3, -0x1.98dcb34c2ac72p-3, -0x1.b65ae1d55a921p-3, -0x1.d2544a33cb0d1p-3, -0x1.ec954b3b30bb6p-3, -0x1.0279ecd0913dep-2, -0x1.0da74bd2d7b0bp-2, -0x1.17c5fe06aa917p-2, -0x1.20ccc408e877fp-2, -0x1.28b585bd4cae4p-2, -0x1.2f7cfb2e1e918p-2, -0x1.35225bcaca8aap-2, -0x1.39a713bc51879p-2, -0x1.3d0e7ef520f56p-2, -0x1.3f5da99c729cfp-2, -0x1.409b159bf0d15p-2, -0x1.40ce84ea167a8p-2, -0x1.4000c85921c64p-2, -0x1.3e3b929df7922p-2, -0x1.3b894f4ea14f3p-2, -0x1.37f4fd986241cp-2, -0x1.338a0e72e3707p-2, -0x1.2e54461509dd7p-2, -0x1.285fa07856e28p-2, -0x1.21b838b5de978p-2, -0x1.1a6a330a6aa2ep-2, -0x1.1281a954b79d5p-2, -0x1.0a0a99dc263e8p-2, -0x1.0110d83d49bb8p-2, -0x1.ef4000a3d2032p-3, -0x1.db86d5ca29e39p-3, -0x1.c70c486f2d8cp-3, -0x1.b1e5c775bc3a4p-3, -0x1.9c280b7f55731p-3, -0x1.85e70b566a788p-3, -0x1.6f35f43855273p-3, -0x1.582723fd9166fp-3, -0x1.40cc22f56ff3cp-3, -0x1.2935a517b79cep-3, -0x1.1173841e32c75p-3, -0x1.f32986cfeeeafp-4, -0x1.c34f220846b17p-4, -0x1.937288e874313p-4, -0x1.63acd23ee4fep-4, -0x1.34157863c5e9bp-4, -0x1.04c2699528a58p-4, -0x1.ab90285b5f5f4p-5, -0x1.4e72d702149cdp-5, -0x1.e49fec93f9457p-6, -0x1.2e8fbb49b7fbfp-6, -0x1.ebc2358565a8bp-8, 0x1.b039932c98f57p-9, 0x1.c84bdb94f241dp-7, 0x1.8f3e9e8340ffcp-6, 0x1.1b9453681bc25p-5, 0x1.6ddfcb4d82c4dp-5, 0x1.be717b14da839p-5, 0x1.069d86859bdbap-4, 0x1.2d17fb8938eacp-4, 0x1.52a2b1514d20dp-4, 0x1.77390ab7c0a8ap-4, 0x1.9ad72d1f9acfp-4, 0x1.bd79f57afe595p-4, 0x1.df1eedc75b0e6p-4, 0x1.ffc4432c500bep-4, 0x1.0fb45e38717f4p-3, 0x1.1f05d86d886c4p-3, 0x1.2dd67fbb485b6p-3, 0x1.3c2683396330ap-3, 0x1.49f64d5c2d794p-3, 0x1.57467fde129efp-3, 0x1.6417efae59dccp-3, 0x1.706ba0fb1645dp-3, 0x1.7c42c362ea59cp-3, 0x1.879eae3c46e9ep-3, 0x1.9280dd01f545cp-3, 0x1.9ceaebf44c0f4p-3, 0x1.a6de94ddb67p-3, 0x1.b05dabfc92e78p-3, 0x1.b96a1d20d8edep-3, 0x1.c205e8f0ecc64p-3, 0x1.ca33224c53853p-3, 0x1.d1f3ebd7a88eap-3, 0x1.d94a75af9b712p-3, 0x1.e038fb36aadf1p-3, 0x1.e6c1c1016d24bp-3, 0x1.ece712e90cfe1p-3, 0x1.f2ab423c2c54bp-3, 0x1.f810a40a2a63p-3, 0x1.fd198f8ff8fccp-3, 0x1.00e42e639b888p-2, 0x1.030fb1889cc1dp-2, 0x1.05107bfe2c52p-2, 0x1.06e7b71424748p-2, 0x1.08968a23c295ap-2, 0x1.0a1e1a1b08103p-2, 0x1.0b7f8913bd46dp-2, 0x1.0cbbf5f6543a3p-2, 0x1.0dd47c26796c4p-2, 0x1.0eca333916cf2p-2, 0x1.0f9e2eb1a7642p-2, 0x1.10517dc759c45p-2, 0x1.10e52b33881e7p-2, 0x1.115a3d04f74dbp-2, 0x1.11b1b47822f72p-2, 0x1.11ec8dd837fc1p-2, 0x1.120bc0644948bp-2, 0x1.12103e3820397p-2, 0x1.11faf43c9c24ap-2, 0x1.11ccca1b6a305p-2, 0x1.1186a23519736p-2, 0x1.1129599e95c3fp-2, 0x1.10b5c821cfb89p-2, 0x1.102cc03e3134fp-2, 0x1.0f8f0f2f3f7f6p-2, 0x1.0edd7cf81ade1p-2, 0x1.0e18cc6d361fdp-2, 0x1.0d41bb40baebbp-2, 0x1.0c5902151572p-2, 0x1.0b5f548ea273fp-2, 0x1.0a5561642ba0ep-2, 0x1.093bd274c1065p-2, 0x1.08134cdf97b4dp-2, 0x1.06dc71184dafap-2, 0x1.0597dafcdb8cbp-2, 0x1.044621f08ac02p-2, 0x1.02e7d8f51e8c5p-2, 0x1.017d8ec0b0151p-2, 0x1.0007cdd70188bp-2, 0x1.fd0e394c0f71p-3, 0x1.f9f7fb3da767ep-3, 0x1.f6cdde989200fp-3, 0x1.f390d8db6f11fp-3, 0x1.f041d8258253ep-3, 0x1.ece1c3689d78bp-3, 0x1.e9717a96812b3p-3, 0x1.e5f1d6cc0f82p-3, 0x1.e263aa99517ccp-3, 0x1.dec7c21eca7b8p-3, 0x1.db1ee33f9a9ffp-3, 0x1.d769cdd1c9b5bp-3, 0x1.d3a93bd0070fap-3, 0x1.cfdde1848160ap-3, 0x1.cc086db2f364bp-3, 0x1.c82989c13ffacp-3, 0x1.c441d9e666e28p-3, 0x1.c051fd533f9fdp-3, 0x1.bc5a8e57872fap-3, 0x1.b85c2285ec033p-3, 0x1.b4574add8debfp-3, 0x1.b04c93edf6bc8p-3, 0x1.ac3c85f90f76dp-3, 0x1.a827a51314a99p-3, 0x1.a40e71454d21cp-3, 0x1.9ff166af32257p-3, 0x1.9bd0fda273c97p-3, 0x1.97adaabf65f32p-3, 0x1.9387df13647d8p-3, 0x1.8f6008354baa7p-3, 0x1.8b36905f960bdp-3, 0x1.870bde85caa2fp-3, 0x1.82e0566cab915p-3, 0x1.7eb458c5a7893p-3, 0x1.7a8843482116ap-3, 0x1.765c70c3136acp-3, 0x1.7231392de32a8p-3, 0x1.6e06f1bc444p-3, 0x1.69ddecf6d8412p-3, 0x1.65b67ad16c255p-3, 0x1.6190e8b969454p-3, 0x1.5d6d81a06b6e8p-3, 0x1.594c8e0a54a58p-3, 0x1.552e5423688ddp-3, 0x1.511317d61361p-3, 0x1.4cfb1ad86c8ddp-3, 0x1.48e69cb24ac03p-3, 0x1.44d5dac4e3bb3p-3, 0x1.40c9105b22e3fp-3, 0x1.3cc076bf7ac68p-3, 0x1.38bc454c454ddp-3, 0x1.34bcb1720e54p-3, 0x1.30c1eeb93573p-3, 0x1.2ccc2ec923703p-3, 0x1.28dba179a362p-3, 0x1.24f074e72be69p-3, 0x1.210ad57f72828p-3, 0x1.1d2aee03388b4p-3, 0x1.1950e78528007p-3, 0x1.157ce970503f8p-3, 0x1.11af1998c7534p-3, 0x1.0de79c4f076ddp-3, 0x1.0a26946b0649ep-3, 0x1.066c234c6bb39p-3, 0x1.02b868d75cdbfp-3, 0x1.fe1706f0bc9c1p-4, 0x1.f6cb2065aece3p-4, 0x1.ef8d556730a05p-4, 0x1.e85ddaba5f93bp-4, 0x1.e13ce2931bbc8p-4, 0x1.da2a9c8b9e792p-4, 0x1.d32735a40818cp-4, 0x1.cc32d8563333cp-4, 0x1.c54dacb7580c1p-4, 0x1.be77d895bc5fcp-4, 0x1.b7b17f848a8b9p-4, 0x1.b0fac2d6f07f4p-4, 0x1.aa53c1991f18cp-4, 0x1.a3bc9896ae371p-4, 0x1.9d35627278bbbp-4, 0x1.96be37c59a719p-4, 0x1.90572f3653207p-4, 0x1.8a005d7e67cf6p-4, 0x1.83b9d5657e461p-4, 0x1.7d83a7bcb3a1bp-4, 0x1.775de366da83cp-4, 0x1.7148956e9eebcp-4, 0x1.6b43c9218bfddp-4, 0x1.654f8823f0c59p-4, 0x1.5f6bda7771d95p-4, 0x1.5998c677cc957p-4, 0x1.53d650d7ad57dp-4, 0x1.4e247ca6b357bp-4, 0x1.48834b62cc6fp-4, 0x1.42f2bd0f23f7dp-4, 0x1.3d72d04785339p-4, 0x1.3803824a2c293p-4, 0x1.32a4cef88c42dp-4, 0x1.2d56b0d54468ap-4, 0x1.28192106b6eebp-4, 0x1.22ec17620af85p-4, 0x1.1dcf8a7ccd378p-4, 0x1.18c36fbf663e3p-4, 0x1.13c7bb7283416p-4, 0x1.0edc60c5301bep-4, 0x1.0a0151cdcf881p-4, 0x1.05367f8ad67b4p-4, 0x1.007bd9e7d54d7p-4, 0x1.f7a29f90b777cp-5, 0x1.ee6d9e2d84caep-5, 0x1.e55889a570ee3p-5, 0x1.dc633a3813327p-5, 0x1.d38d8670e6ac3p-5, 0x1.cad7432c3f4dbp-5, 0x1.c240439bdc7c4p-5, 0x1.b9c85950e58f5p-5, 0x1.b16f544d7abacp-5, 0x1.a935031bbacaap-5, 0x1.a11932e54e388p-5, 0x1.991baf86b7fb6p-5, 0x1.913c439c60e0bp-5, 0x1.897ab88a7ce41p-5, 0x1.81d6d68356a11p-5, 0x1.7a50648fae0dap-5, 0x1.72e7289b793bfp-5, 0x1.6b9ae786b1a4bp-5, 0x1.646b6537f3488p-5, 0x1.5d5864adc7efcp-5, 0x1.5661a80c91956p-5, 0x1.4f86f0a8b0c4fp-5, 0x1.48c7ff0e41216p-5, 0x1.42249308952f5p-5, 0x1.3b9c6bab4a428p-5, 0x1.352f475ddd207p-5, 0x1.2edce3e956d89p-5, 0x1.28a4fe869688fp-5, 0x1.228753eb89668p-5, 0x1.1c83a05633b1p-5, 0x1.16999f9588d09p-5, 0x1.10c90d10e5b73p-5, 0x1.0b11a3cf51e8cp-5, 0x1.05731e7f95608p-5, 0x1.ffda6f0348e97p-6, 0x1.f4ff51e278d9p-6, 0x1.ea545961bd75bp-6, 0x1.dfd8f8e8773cfp-6, 0x1.d58ca39285c93p-6, 0x1.cb6ecc3f63494p-6, 0x1.c17ee59f22d4ep-6, 0x1.b7bc623ebb50bp-6, 0x1.ae26b49516a64p-6, 0x1.a4bd4f11ac752p-6, 0x1.9b7fa42cb37f1p-6, 0x1.926d26783a977p-6, 0x1.898548b0ce2b8p-6, 0x1.80c77dcc46518p-6, 0x1.78333905df02cp-6, 0x1.6fc7ede852283p-6, 0x1.67851056ab253p-6, 0x1.5f6a149578acep-6, 0x1.57766f559dc4fp-6, 0x1.4fa995c126957p-6, 0x1.4802fd89a4797p-6, 0x1.40821cf6a4182p-6, 0x1.39266af28cc35p-6, 0x1.31ef5f143f5f1p-6, 0x1.2adc71a4c86cap-6, 0x1.23ed1ba20718cp-6, 0x1.1d20d6c05f68ep-6, 0x1.16771d6e5a64fp-6, 0x1.0fef6adcb601ep-6, 0x1.09893b0be7c0fp-6, 0x1.03440ade16197p-6, 0x1.fa3eb055080c6p-7, 0x1.ee35439c893fbp-7, 0x1.e26acf6bd030ap-7, 0x1.d6de55ba71c14p-7, 0x1.cb8eda88299ap-7, 0x1.c07b63b719b84p-7, 0x1.b5a2f8ec8818ap-7, 0x1.ab04a389cfa58p-7, 0x1.a09f6eba6234ap-7, 0x1.967267984f207p-7, 0x1.8c7c9d743e0a6p-7, 0x1.82bd223960ee6p-7, 0x1.79330abec6065p-7, 0x1.6fdd6ee5e1c1dp-7, 0x1.66bb6987c45ddp-7, 0x1.5dcc1830f4131p-7, 0x1.550e9ab1b73a9p-7, 0x1.4c82129e48774p-7, 0x1.4425a2e65537fp-7, 0x1.3bf86fa991b4dp-7, 0x1.33f99e62909b9p-7, 0x1.2c28566a81645p-7, 0x1.2483c1be49f1fp-7, 0x1.1d0b0dd722b09p-7, 0x1.15bd6c5c1973cp-7, 0x1.0e9a1374ddefap-7, 0x1.07a03d98f7452p-7, 0x1.00cf28d686a71p-7, 0x1.f44c2b62b89f8p-8, 0x1.e7488bb7fc1c1p-8, 0x1.da91f63dab6eep-8, 0x1.ce26ed7f55e54p-8, 0x1.c205f3445c104p-8, 0x1.b62d8a5ea379bp-8, 0x1.aa9c39bb6ce2ep-8, 0x1.9f50900e920b9p-8, 0x1.94492735e5244p-8, 0x1.8984a66f088ddp-8, 0x1.7f01c2aff0759p-8, 0x1.74bf3cda246eep-8, 0x1.6abbde05589p-8, 0x1.60f6729cbad0ep-8, 0x1.576dc5667fb63p-8, 0x1.4e209ba940bp-8, 0x1.450db3749c2bp-8, 0x1.3c33c49fe354bp-8, 0x1.33918473f3414p-8, 0x1.2b25ab5258ff3p-8, 0x1.22eefb293f817p-8, 0x1.1aec454415192p-8, 0x1.131c6e18ca219p-8, 0x1.0b7e6e1384764p-8, 0x1.04114f023e335p-8, 0x1.f9a84d000b2acp-9, 0x1.eb8c1ce79afe5p-9, 0x1.ddcc3a6bce0e2p-9, 0x1.d066be2d27c9ap-9, 0x1.c359a58041dbp-9, 0x1.b6a2d2a85821fp-9, 0x1.aa4014a2fcddbp-9, 0x1.9e2f34fb24918p-9, 0x1.926e08d2c9297p-9, 0x1.86fa81af254f2p-9, 0x1.7bd2baa0a0aa3p-9, 0x1.70f4ff1181456p-9, 0x1.665fc9b79a5ecp-9, 0x1.5c11bba7a88efp-9, 0x1.52098d2434339p-9, 0x1.4845fb219b442p-9, 0x1.3ec5b54a4d71dp-9, 0x1.358750454dbep-9, 0x1.2c893f0c032d3p-9, 0x1.23c9d4792106cp-9, 0x1.1b474c5fafca5p-9, 0x1.12ffd9f57bae2p-9, 0x1.0af1b887678fp-9, 0x1.031b3b53ed6eap-9, 0x1.f6f5b3abe9afcp-10, 0x1.e81e6d0c66134p-10, 0x1.d9ae3e1426802p-10, 0x1.cba30bc11a0d3p-10, 0x1.bdfaed98b77f3p-10, 0x1.b0b41090fe246p-10, 0x1.a3cc99e254741p-10, 0x1.97428f81386d1p-10, 0x1.8b13ca7f7d841p-10, 0x1.7f3df518a7a7ep-10, 0x1.73be9381413acp-10, 0x1.6893148c0e9adp-10, 0x1.5db8e63f3d895p-10, 0x1.532d8a53dbc1p-10, 0x1.48eea6e8f175ep-10, 0x1.3efa1056e264ap-10, 0x1.354dca63aba4dp-10, 0x1.2be80156a287ap-10, 0x1.22c6fdff58ccbp-10, 0x1.19e91963c14edp-10, 0x1.114cb44fd4f9p-10, 0x1.08f0346fb059dp-10, 0x1.00d20559a4a4p-10, 0x1.f1e133dfbe6a6p-11, 0x1.e294d63e79a96p-11, 0x1.d3bbe7dde4953p-11, 0x1.c5535c51d526p-11, 0x1.b75827de4565p-11, 0x1.a9c74f96f6b9ap-11, 0x1.9c9dfed704ca1p-11, 0x1.8fd99243a46a7p-11, 0x1.83778a63d9d04p-11, 0x1.777564919358ep-11, 0x1.6bd069a6629adp-11, 0x1.60858c2af0433p-11, 0x1.55916d29f12cfp-11, 0x1.4af08ec9c843p-11, 0x1.409fa51c41d34p-11, 0x1.369be32c3b261p-11, 0x1.2ce31f579bb5dp-11, 0x1.2373bbb5159fep-11, 0x1.1a4c5f6d63a47p-11, 0x1.116baa815d887p-11, 0x1.08d0116f4d6c8p-11, 0x1.0077f27c1d1c5p-11, 0x1.f0c39927cdb59p-12, 0x1.e118cdb9b8fddp-12, 0x1.d1ed850725f5fp-12, 0x1.c33fa811b2b5dp-12, 0x1.b50c47fcb46f2p-12, 0x1.a74f0a3cbd3e3p-12, 0x1.9a020a33fc159p-12, 0x1.8d1e4f070c6bbp-12, 0x1.809cbfac0048fp-12, 0x1.74774a34f145ep-12, 0x1.68a9caa99018ep-12, 0x1.5d323f767ccecp-12, 0x1.5210223b712ffp-12, 0x1.474338eb04113p-12, 0x1.3cca91c08b926p-12, 0x1.32a443a668898p-12, 0x1.28cdfe2c9bc3fp-12, 0x1.1f45e20d24f54p-12, 0x1.160afad0d68cdp-12, 0x1.0d1d098c6e1a4p-12, 0x1.047bc88c41081p-12, 0x1.f84c2e7f75c77p-13, 0x1.e832ef0793a4bp-13, 0x1.d8a4069a90acep-13, 0x1.c99582d3712f1p-13, 0x1.bafc724b0af4ap-13, 0x1.acce7c137692cp-13, 0x1.9f03b5d9010c3p-13, 0x1.9197fba909c12p-13, 0x1.848ad2c5eb3fcp-13, 0x1.77dd9b3d7e0b1p-13, 0x1.6b91197638f8ap-13, 0x1.5fa3f9ba07283p-13, 0x1.54132325d54fdp-13, 0x1.48db3d55390c7p-13, 0x1.3dfa1e3c65845p-13, 0x1.336f3c3cfff42p-13, 0x1.293af495a6d94p-13, 0x1.1f5d1c3727c9ep-13, 0x1.15d3dc38c141bp-13, 0x1.0c9ba88d621a1p-13, 0x1.03b0134827587p-13, 0x1.f6190fe6b0075p-14, 0x1.e558c7d15a84bp-14, 0x1.d5158fb66b47fp-14, 0x1.c545b3462004ep-14, 0x1.b5e144d9020f5p-14, 0x1.a6e3c0511e7e5p-14, 0x1.984c039b0ca93p-14, 0x1.8a1a964e94eb2p-14, 0x1.7c4fa2d7737e1p-14, 0x1.6ee9d68de1acdp-14, 0x1.61e664ca22789p-14, 0x1.55420469890bdp-14, 0x1.48fa8dadee66ep-14, 0x1.3d0fbfe969ffep-14, 0x1.3181ab563df16p-14, 0x1.264e2623fab06p-14, 0x1.1b7054f9630c4p-14, 0x1.10e28eadb32p-14, 0x1.06a05794a3052p-14, 0x1.f94e0f542737cp-15, 0x1.e5ea907cbb7e4p-15, 0x1.d313ffe662b91p-15, 0x1.c0c66b3539faap-15, 0x1.aefae35e31cdfp-15, 0x1.9da7e3ddb1bap-15, 0x1.8cc348aa2f0cep-15, 0x1.7c455775dcb46p-15, 0x1.6c2bc54d86101p-15, 0x1.5c79953a71c73p-15, 0x1.4d31ce93c0a3ap-15, 0x1.3e527485ba9e2p-15, 0x1.2fd6be54ae442p-15, 0x1.21bcf135c6642p-15, 0x1.14061d260a253p-15, 0x1.06b045040b7a9p-15, 0x1.f3693289b3644p-16, 0x1.da16fba34c862p-16, 0x1.c15fbe03e6a85p-16, 0x1.a93e60e3af772p-16, 0x1.91b0789f5899fp-16, 0x1.7ab56b6c773e3p-16, 0x1.644ec85141fd1p-16, 0x1.4e7f826c8e09ep-16, 0x1.3948e146d6dc8p-16, 0x1.24a5ef3f40037p-16, 0x1.1088f89a94a56p-16, 0x1.f9c01dacf5f06p-17, 0x1.d33e2c250ab8p-17, 0x1.ad8d761cc1f03p-17, 0x1.88bfeb4b15a81p-17, 0x1.64dc5a4980aebp-17, 0x1.41d7048115b35p-17, 0x1.1fa7ab8d7f8bep-17, 0x1.fca78423911b3p-18, 0x1.bbb768bd4b9e8p-18, 0x1.7c5f95f1f1ac4p-18, 0x1.3e7ba1a6c3574p-18, 0x1.01f86011a5148p-18, 0x1.8da0755e11bbfp-19, 0x1.1a01ec2413a9cp-19, 0x1.5219efa2b5f74p-20, 0x1.d5b3a355f9f9ap-22, -0x1.88429fe02e6ccp-22, -0x1.3456341b389d8p-20, -0x1.00a4bf0c9b5e3p-19, -0x1.646b174e11e1ep-19, -0x1.c58c1c67fab6ap-19, -0x1.1220e6aca1d54p-18, -0x1.4066c1d6c528dp-18, -0x1.6d9f3ff570b9fp-18, -0x1.99c941ae325e8p-18, -0x1.c4e5d8d306612p-18, -0x1.eef1c1510b0ap-18, -0x1.0bf82f3236529p-17, -0x1.1ff17a6d89b1ep-17, -0x1.3361a723b9f17p-17, -0x1.464ea028b2795p-17, -0x1.58c1f926f34ebp-17, -0x1.6abffa07104dep-17, -0x1.7c49421e1dc46p-17, -0x1.8d5e01d4cf454p-17, -0x1.9dff0540200c3p-17, -0x1.ae2dac0ed7849p-17, -0x1.bdebb2ec4a978p-17, -0x1.cd3ae325be9cfp-17, -0x1.dc1c9a640861ap-17, -0x1.ea91858f8a04cp-17, -0x1.f899f63343aa6p-17, -0x1.031afa8b01e3p-16, -0x1.09b2a68cb3791p-16, -0x1.101600e4893e8p-16, -0x1.164814bd40f4p-16, -0x1.1c47272c66d11p-16, -0x1.221580e0b59b4p-16, -0x1.27b70ca140b13p-16, -0x1.2d2803fc484bep-16, -0x1.32698a50500cp-16, -0x1.377c0b6ed1b3fp-16, -0x1.3c5efabd59b1fp-16, -0x1.4114bf322fc2bp-16, -0x1.459ebac9be496p-16, -0x1.49fd1a560a8d3p-16, -0x1.4e2ffb9a0f1d3p-16, -0x1.5237b61df0236p-16, -0x1.5614c4be9ccf8p-16, -0x1.59c7abb22dd59p-16, -0x1.5d50edad8f949p-16, -0x1.60b10d19ab444p-16, -0x1.63e88f90c182ep-16, -0x1.66f7faa780313p-16, -0x1.69dfce1dc5935p-16, -0x1.6ca093bde17a9p-16, -0x1.6f3ad64431a5fp-16, -0x1.71ae64bb9e57dp-16, -0x1.73fae56d3b623p-16, -0x1.7622792feb23cp-16, -0x1.7825795c474a7p-16, -0x1.7a03cb4b8b50ep-16, -0x1.7bbea3092d88ap-16, -0x1.7d55c20448f71p-16, -0x1.7ecaf21e1e837p-16, -0x1.801d5054c9c1ep-16, -0x1.814d0025f5ec1p-16, -0x1.825b7348b7cacp-16, -0x1.83491e9a2dfb8p-16, -0x1.841636ac6b2dcp-16, -0x1.84c30f503c682p-16, -0x1.85501412de80ep-16, -0x1.85bdb97f726d7p-16, -0x1.860c74f3d30e2p-16, -0x1.863cb8c349136p-16, -0x1.864ef3c7193a4p-16, -0x1.864394477cf87p-16, -0x1.861b0c399ac5cp-16, -0x1.85d5d263dbaf7p-16, -0x1.85745d8e9f007p-16, -0x1.84f723cf21d75p-16, -0x1.845eaadfe24c6p-16, -0x1.83ab59cf8dde7p-16, -0x1.82dce617df7d7p-16, -0x1.81f3df63831d2p-16, -0x1.80f2120ea8d75p-16, -0x1.7fd788879402p-16, -0x1.7ea2c64a1620dp-16, -0x1.7d55a0c637324p-16, -0x1.7bf1a8d8257e3p-16, -0x1.7a760d28b5b1cp-16, -0x1.78e2f1bb81788p-16, -0x1.7739620bb13cp-16, -0x1.7579c1fbd530ap-16, -0x1.73a461c14f567p-16, -0x1.71b9a4db0449bp-16, -0x1.6fb9f7690da5dp-16, -0x1.6da5c7d4faa88p-16, -0x1.6b7d84a84f424p-16, -0x1.69419b90225dfp-16, -0x1.66f2789df2857p-16, -0x1.6490861f3052cp-16, -0x1.621c2dc63a678p-16, -0x1.5f95dac039766p-16, -0x1.5cfdfaab8609cp-16, -0x1.5a54fb836acf4p-16, -0x1.579b4722a7caap-16, -0x1.54d144799c099p-16, -0x1.51f7674a1df56p-16, -0x1.4f0e16ecacdffp-16, -0x1.4c154aa03626p-16, -0x1.490de39ee278ap-16, -0x1.45f8af8cffbe8p-16, -0x1.42d53bad08948p-16, -0x1.3fa40e9af9dabp-16, -0x1.3c65ccf702be8p-16, -0x1.391b534b2bfa3p-16, -0x1.35c4331766bfdp-16, -0x1.326120a519c8dp-16, -0x1.2ef2a1184fac3p-16, -0x1.2b78ff15272f5p-16, -0x1.27f493e5b039ep-16, -0x1.2465bf7577b6ap-16, -0x1.20cce26b61376p-16, -0x1.1d2a5ccf3acbp-16, -0x1.197e8dcf95e44p-16, -0x1.15c9d3a9f0cb3p-16, -0x1.120c8b6ff8313p-16, -0x1.0e4710c6bdb25p-16, -0x1.0a79be2085949p-16, -0x1.06a4edb1e622ep-16, -0x1.02c8fa55d8576p-16, -0x1.fdcc7e80c411cp-17, -0x1.f5fa2c6175dddp-17, -0x1.ee1ba7e7c5e4bp-17, -0x1.e631903191a29p-17, -0x1.de3c9b1da6ed5p-17, -0x1.d63d9f7bc9eaap-17, -0x1.ce34caccfbed3p-17, -0x1.c623434224136p-17, -0x1.be093c6d435fbp-17, -0x1.b5e777223bb2bp-17, -0x1.adbf119d054cep-17, -0x1.a590322d7c74fp-17, -0x1.9d5b7dcf9a53bp-17, -0x1.952170349a189p-17, -0x1.8ce2c289cd0c7p-17, -0x1.84a0407a6cf07p-17, -0x1.7c5a55b7219cbp-17, -0x1.74118ac4b9523p-17, -0x1.6bc67018634bdp-17, -0x1.637994fcdefb7p-17, -0x1.5b2b865d17c61p-17, -0x1.52dccec948c92p-17, -0x1.4a8df6932bb13p-17, -0x1.423f83d21cfbap-17, -0x1.39f1fa324c2abp-17, -0x1.31a5dabb537b1p-17, -0x1.295ba41e49a44p-17, -0x1.2113d3bfa1495p-17, -0x1.18cee67ccbeccp-17, -0x1.108d5848bde6dp-17, -0x1.084fa2ca6dfc9p-17, -0x1.0016395b44121p-17, -0x1.efc308ad8b382p-18, -0x1.df63df1843eabp-18, -0x1.cf101dac08418p-18, -0x1.bec8c3c85b9dbp-18, -0x1.ae8deed47a88fp-18, -0x1.9e60636e51d2dp-18, -0x1.8e41a727def24p-18, -0x1.7e325c737b52bp-18, -0x1.6e333be2f74dp-18, -0x1.5e455312032cfp-18, -0x1.4e68b2bc05822p-18, -0x1.3e9dd20bc0e42p-18, -0x1.2ee638aeb300bp-18, -0x1.1f428a1d5fb4ep-18, -0x1.0fb33a1756e67p-18, -0x1.0038ecd53f3fap-18, -0x1.e1a8936c0b06cp-19, -0x1.c30be6c28e026p-19, -0x1.a49d0f8653739p-19, -0x1.865d40d4282e8p-19, -0x1.684da57db3c91p-19, -0x1.4a6f60445671p-19, -0x1.2cc38bceec549p-19, -0x1.0f4b3a4c4c1abp-19, -0x1.e40eeb01460d1p-20, -0x1.a9f2804578bedp-20, -0x1.70432f20f1a76p-20, -0x1.3702e7b10cf45p-20, -0x1.fc671b751040fp-21, -0x1.8bade97695daep-21, -0x1.1bdd98559de4dp-21, -0x1.59f244631e867p-22, -0x1.f81da4786986p-24, 0x1.6ff14d0dc2062p-24, 0x1.340f8194351d9p-22, 0x1.051d3dc35496dp-21, 0x1.6f37b4dd513d8p-21, 0x1.d851bc17167d8p-21, 0x1.20358bf66e4d1p-20, 0x1.53c0d811f1581p-20, 0x1.86c950c453d16p-20, 0x1.b94ce2b1ad611p-20, 0x1.eb4ba1db62ffap-20, 0x1.0e62ff58fcaf2p-19, 0x1.26dc12b079223p-19, 0x1.3f10faacb48eap-19, 0x1.57016b4e3c927p-19, 0x1.6eacf4b4435d5p-19, 0x1.86132c3a8f893p-19, 0x1.9d33aea1139f5p-19, 0x1.b40e1f369303cp-19, 0x1.caa227602f13p-19, 0x1.e0ef765ae1b2ap-19, 0x1.f6f5c1174a22fp-19, 0x1.065a6114beb2ap-18, 0x1.11161cea46479p-18, 0x1.1badf6ff91adfp-18, 0x1.2621d4e03fd6bp-18, 0x1.30719e650422ep-18, 0x1.3a9d3db1e7585p-18, 0x1.44a49f52634d7p-18, 0x1.4e87b2272909ap-18, 0x1.5846681f3d4d8p-18, 0x1.61e0b87b0eae4p-18, 0x1.6b569d83cf0bp-18, 0x1.74a80d02567d6p-18, 0x1.7dd4e71d34cccp-18, 0x1.86dd3d11b1595p-18, 0x1.8fc15605fef1p-18, 0x1.9880ca8ab1e33p-18, 0x1.a11bc08eeb706p-18, 0x1.a9924642a0596p-18, 0x1.b1e46510d60bbp-18, 0x1.ba12277f9f5c4p-18, 0x1.c21b968f539abp-18, 0x1.ca00ad28761cdp-18, 0x1.d1c1966c3e3eap-18, 0x1.d95e7c77e6113p-18, 0x1.e0d73b2101bap-18, 0x1.e82bfebb0ab44p-18, 0x1.ef5ce150a4e73p-18, 0x1.f669fb3e726adp-18, 0x1.fd5366dfe28fbp-18, 0x1.020ca03414e52p-17, 0x1.055dd2dcf93cap-17, 0x1.089d5b283b6f1p-17, 0x1.0bcb4998b8b3dp-17, 0x1.0ee7af70fa058p-17, 0x1.11f29eaed718bp-17, 0x1.14ec2a0917a22p-17, 0x1.17d464ebb3197p-17, 0x1.1aab636e48222p-17, 0x1.1d713a48d0023p-17, 0x1.2025fed22104p-17, 0x1.22c9c7006f03cp-17, 0x1.255ca9613a684p-17, 0x1.27debd192025ap-17, 0x1.2a501a15d0d3ap-17, 0x1.2cb0d909ed499p-17, 0x1.2f0112cdb7766p-17, 0x1.3140dfc2fbd88p-17, 0x1.337055e8f8c9ap-17, 0x1.358f9c272e4bcp-17, 0x1.379ec31878108p-17, 0x1.399de6c473da7p-17, 0x1.3b8d24c5f738fp-17, 0x1.3d6c99358b066p-17, 0x1.3f3c60b0bd179p-17, 0x1.40fc98670f479p-17, 0x1.42ad5dc7663c7p-17, 0x1.444ece7409036p-17, 0x1.45e10700b6f49p-17, 0x1.4764287eb5dd7p-17, 0x1.48d852d1618fbp-17, 0x1.4a3da160e4c31p-17, 0x1.4b94357ba89c9p-17, 0x1.4cdc2ef8b3a73p-17, 0x1.4e15add989861p-17, 0x1.4f40d26d24f99p-17, 0x1.505dbd47c5fcep-17, 0x1.516c8f3d3f78ep-17, 0x1.526d695d2da89p-17, 0x1.53606cef7c54ep-17, 0x1.5445bb71a3834p-17, 0x1.551d7692e4c54p-17, 0x1.55e7c024c5f72p-17, }}, 
      {{-0x1.1d5427c5d5d19p+1, -0x1.1ae93a9b3d57bp+1, -0x1.17093fc3df06bp+1, -0x1.11e292d8d0288p+1, -0x1.0ba8792c365a6p+1, -0x1.048ee422da1d7p+1, -0x1.f98f7c6057444p+0, -0x1.e9028ca698862p+0, -0x1.d7ca4d8afbe58p+0, -0x1.c6301a830ec1dp+0, -0x1.b47337e74e956p+0, -0x1.a2c92ad9a1bfp+0, -0x1.915e5bb4487efp+0, -0x1.8056e31567274p+0, -0x1.6fcf6adaffc93p+0, -0x1.5fde11f259392p+0, -0x1.509348ccf638cp+0, -0x1.41fa9f50abf7ep+0, -0x1.341b81386289fp+0, -0x1.26f9e009a9e8ep+0, -0x1.1a96cab867f33p+0, -0x1.0ef0f3894a3d9p+0, -0x1.04052514fe3a1p+0, -0x1.f39d4f2cb863ep-1, -0x1.e08f2fbd65569p-1, -0x1.ced262b879383p-1, -0x1.be58193fd8381p-1, -0x1.af10a7637667bp-1, -0x1.a0ebdb12367c8p-1, -0x1.93d9438b2fb1ep-1, -0x1.87c86b871005bp-1, -0x1.7ca907f8af2dep-1, -0x1.726b1d227ea21p-1, -0x1.68ff1b76c9083p-1, -0x1.6055f5a82591dp-1, -0x1.586130e54a4b8p-1, -0x1.5112f07302dd3p-1, -0x1.4a5dfd477cc6dp-1, -0x1.4435ca790767cp-1, -0x1.3e8e77104ca4ap-1, -0x1.395ccdcaa298dp-1, -0x1.34964327beb03p-1, -0x1.3030f230ddfbfp-1, -0x1.2c239834f6bebp-1, -0x1.28658fc678f71p-1, -0x1.24eecb20c5886p-1, -0x1.21b7ce2ba287fp-1, -0x1.1eb9a832721c5p-1, -0x1.1beded7b4cc0dp-1, -0x1.194eb0c40b41ep-1, -0x1.16d67cc289946p-1, -0x1.14804db5d5178p-1, -0x1.12478b093824fp-1, -0x1.10280126455e8p-1, -0x1.0e1ddb678da52p-1, -0x1.0c259e3fd727bp-1, -0x1.0a3c2193cccdcp-1, -0x1.085e8b4a8c8dfp-1, -0x1.068a4a1681f2dp-1, -0x1.04bd1078e86e1p-1, -0x1.02f4cffe1e03bp-1, -0x1.012fb4b50a65cp-1, -0x1.fed841bf7d465p-2, -0x1.fb5151ba3e76ep-2, -0x1.f7c81e95a398ep-2, -0x1.f43a82bce9876p-2, -0x1.f0a6a6e832025p-2, -0x1.ed0afb9cdeeecp-2, -0x1.e966331359e53p-2, -0x1.e5b73b7acf593p-2, -0x1.e1fd399e698bdp-2, -0x1.de3783e5f0a92p-2, -0x1.da659dabca1c1p-2, -0x1.d68732ddae8c9p-2, -0x1.d29c13e7fa61ap-2, -0x1.cea431e702f1ap-2, -0x1.ca9f9b29df46p-2, -0x1.c68e77f81d76bp-2, -0x1.c271079f2b448p-2, -0x1.be479db4bcea3p-2, -0x1.ba129f81bbccbp-2, -0x1.b5d2819d83289p-2, -0x1.b187c5bd51876p-2, -0x1.ad32f8b4f7735p-2, -0x1.a8d4b0b50dc4fp-2, -0x1.a46d8bb1f86c6p-2, -0x1.9ffe2deeaa716p-2, -0x1.9b8740a061a14p-2, -0x1.970970a6821c9p-2, -0x1.92856d5c94336p-2, -0x1.8dfbe788be37bp-2, -0x1.896d906d7096fp-2, -0x1.84db18fc17e07p-2, -0x1.80453128303bbp-2, -0x1.7bac874f5c8fdp-2, -0x1.7711c7b27d88cp-2, -0x1.72759bf917e0dp-2, -0x1.6dd8aabd979e7p-2, -0x1.693b97225b28fp-2, -0x1.649f00720bd74p-2, -0x1.600381cd90ddap-2, -0x1.5b69b1e9554abp-2, -0x1.56d222da07561p-2, -0x1.523d61ef5c7ddp-2, -0x1.4dabf79a84bf9p-2, -0x1.491e675d501d3p-2, -0x1.44952fbf173bap-2, -0x1.4010ca4552119p-2, -0x1.3b91ab6e7daf7p-2, -0x1.371842aea4b89p-2, -0x1.32a4fa6e918f3p-2, -0x1.2e38380c98332p-2, -0x1.29d25be19221ap-2, -0x1.2573c14a891cdp-2, -0x1.211cbeb5fc395p-2, -0x1.1ccda5b6388a2p-2, -0x1.1886c317e590ep-2, -0x1.14485efc417f3p-2, -0x1.1012bcf62c1c7p-2, -0x1.0be61c2928cefp-2, -0x1.07c2b769a0d18p-2, -0x1.03a8c55da5d6bp-2, -0x1.ff30f13b4ef24p-3, -0x1.f723ffa9af7ffp-3, -0x1.ef2b0bc238d14p-3, -0x1.e74663e5014abp-3, -0x1.df764f5471d08p-3, -0x1.d7bb0e72db03ap-3, -0x1.d014dafff01b1p-3, -0x1.c883e8562f446p-3, -0x1.c10863a885d4ep-3, -0x1.b9a274403ad88p-3, -0x1.b2523bbb04bb2p-3, -0x1.ab17d64900287p-3, -0x1.a3f35aea5fabcp-3, -0x1.9ce4dbac83248p-3, -0x1.95ec65e6172d6p-3, -0x1.8f0a027222f4bp-3, -0x1.883db5e98dc64p-3, -0x1.818780da53ba9p-3, -0x1.7ae75ffdef349p-3, -0x1.745d4c6d58028p-3, -0x1.6de93bd2cb258p-3, -0x1.678b2099f52e7p-3, -0x1.6142ea1e1f4ffp-3, -0x1.5b1084d667f06p-3, -0x1.54f3da807bba2p-3, -0x1.4eecd2497e3c3p-3, -0x1.48fb50f54ef85p-3, -0x1.431f3904962ep-3, -0x1.3d586ad94a38cp-3, -0x1.37a6c4d9b0242p-3, -0x1.320a23923e613p-3, -0x1.2c8261d657eebp-3, -0x1.270f58df6cbabp-3, -0x1.21b0e06afb434p-3, -0x1.1c66ced78c179p-3, -0x1.1730f9404add9p-3, -0x1.120f33972b449p-3, -0x1.0d0150be32f1ap-3, -0x1.0807229f9151fp-3, -0x1.03207a444a62dp-3, -0x1.fc9a4fd373db9p-4, -0x1.f319f62ca6fcep-4, -0x1.e9bf855a499c9p-4, -0x1.e08a9a0015a35p-4, -0x1.d77acfc22c991p-4, -0x1.ce8fc1666d9dbp-4, -0x1.c5c908f3818fp-4, -0x1.bd263fcdc9585p-4, -0x1.b4a6fed30dd6bp-4, -0x1.ac4ade75066e8p-4, -0x1.a41176d1c8d34p-4, -0x1.9bfa5fca7f3f8p-4, -0x1.940531198544ep-4, -0x1.8c318266ddb22p-4, -0x1.847eeb5bcafc4p-4, -0x1.7ced03b42c166p-4, -0x1.757b634f9b2f1p-4, -0x1.6e29a241cf50bp-4, -0x1.66f758e1814f9p-4, -0x1.5fe41fd5c34fcp-4, -0x1.58ef902350608p-4, -0x1.52194338e4376p-4, -0x1.4b60d2faa107cp-4, -0x1.44c5d9cc34ff1p-4, -0x1.3e47f29ad4205p-4, -0x1.37e6b8e64cb8dp-4, -0x1.31a1c8c9cae84p-4, -0x1.2b78bf0332498p-4, -0x1.256b38fa4cdc4p-4, -0x1.1f78d4c78004p-4, -0x1.19a13139ff85ep-4, -0x1.13e3eddd76133p-4, -0x1.0e40aafeb1bafp-4, -0x1.08b709b0237fcp-4, -0x1.0346abcea13ffp-4, -0x1.fbde680a13d66p-5, -0x1.f1608b9f5a0dep-5, -0x1.e7130afe2bf5cp-5, -0x1.dcf5307583cd4p-5, -0x1.d30648076d035p-5, -0x1.c9459f6e579b3p-5, -0x1.bfb2861fc4289p-5, -0x1.b64c4d4f10843p-5, -0x1.ad1247f0496d5p-5, -0x1.a403cabb22dfbp-5, -0x1.9b202c2d461dfp-5, -0x1.9266c48b2f5bp-5, -0x1.89d6ede1386cep-5, -0x1.81700403daf1dp-5, -0x1.79316490c6f9cp-5, -0x1.711a6eefd733fp-5, -0x1.692a8452e1154p-5, -0x1.616107b4b12f3p-5, -0x1.59bd5dd7fd527p-5, -0x1.523eed46b5b14p-5, -0x1.4ae51e52280e9p-5, -0x1.43af5b122a2c6p-5, -0x1.3c9d0f6312d37p-5, -0x1.35ada8e388a2ap-5, -0x1.2ee096f29b753p-5, -0x1.28354aae89223p-5, -0x1.21ab36f39b375p-5, -0x1.1b41d05a443e2p-5, -0x1.14f88d343a0bfp-5, -0x1.0ecee58965d9fp-5, -0x1.08c45315a398bp-5, -0x1.02d85146b0c43p-5, -0x1.fa14ba74e65bp-6, -0x1.eeb3eb7902d6ep-6, -0x1.e38d36859873ap-6, -0x1.d89f9fd4283fep-6, -0x1.cdea2ee5e181fp-6, -0x1.c36bee7efbc85p-6, -0x1.b923eca267881p-6, -0x1.af113a8c2ad93p-6, -0x1.a532ecaa742c4p-6, -0x1.9b881a964c976p-6, -0x1.920fdf0c642d2p-6, -0x1.88c957e76be8ep-6, -0x1.7fb3a61b306ap-6, -0x1.76cdedaf36b9ep-6, -0x1.6e1755b7f500cp-6, -0x1.658f084f23b74p-6, -0x1.5d34328c152d8p-6, -0x1.5506047d08491p-6, -0x1.4d03b1218108dp-6, -0x1.452c6e64c4ec4p-6, -0x1.3d7f7517a335ep-6, -0x1.35fc00e973ebfp-6, -0x1.2ea15060468f5p-6, -0x1.276ea4d13e8f3p-6, -0x1.20634259e282bp-6, -0x1.197e6fda3d154p-6, -0x1.12bf76ef0ed69p-6, -0x1.0c25a3eb72999p-6, -0x1.05b045d1a5923p-6, -0x1.febd5c96d43d9p-7, -0x1.f2606345103e3p-7, -0x1.e6484d73fd3fap-7, -0x1.da73ce0fb026ep-7, -0x1.cee19d1e3f3b3p-7, -0x1.c39077b31a5fap-7, -0x1.b87f1fe149d22p-7, -0x1.adac5caced843p-7, -0x1.a316f9fc4bdcp-7, -0x1.98bdc889d3ef8p-7, -0x1.8e9f9dd737d0ep-7, -0x1.84bb54212e556p-7, -0x1.7b0fca531ceeep-7, -0x1.719be3fa0bf89p-7, -0x1.685e8936d32afp-7, -0x1.5f56a6afd13f6p-7, -0x1.56832d82f8057p-7, -0x1.4de3133865349p-7, -0x1.457551b5cb65p-7, -0x1.3d38e73237c6ep-7, -0x1.352cd629a8d85p-7, -0x1.2d502550240cfp-7, -0x1.25a1df846404p-7, -0x1.1e2113c266f04p-7, -0x1.16ccd5160a5e8p-7, -0x1.0fa43a8e071bfp-7, -0x1.08a65f2f9aeb9p-7, -0x1.01d261ea6456ap-7, -0x1.f64ecb18ae3a9p-8, -0x1.e949216ac1273p-8, -0x1.dc921b95850dep-8, -0x1.d02815d477cb1p-8, -0x1.c40973ba9575ap-8, -0x1.b834a01978904p-8, -0x1.aca80ce93ac1bp-8, -0x1.a1623330dfc17p-8, -0x1.966192eef4e78p-8, -0x1.8ba4b302105cep-8, -0x1.812a2111101fbp-8, -0x1.76f071730c2eep-8, -0x1.6cf63f174e0f7p-8, -0x1.633a2b6d9ebb4p-8, -0x1.59bade4f19b33p-8, -0x1.507705e76abebp-8, -0x1.476d569e637dep-8, -0x1.3e9c8b01b42a6p-8, -0x1.360363aec0c66p-8, -0x1.2da0a73c42c8cp-8, -0x1.25732223e6489p-8, -0x1.1d79a6abfe853p-8, -0x1.15b30cd1684fcp-8, -0x1.0e1e3231e4a58p-8, -0x1.06b9f9f6d3d59p-8, -0x1.ff0a998087efep-9, -0x1.f0fe312085545p-9, -0x1.e34ca16c738cbp-9, -0x1.d5f3db74a4067p-9, -0x1.c8f1da918451p-9, -0x1.bc44a43a6f305p-9, -0x1.afea47dccb5f6p-9, -0x1.a3e0deb3aa1d7p-9, -0x1.98268ba02641bp-9, -0x1.8cb97b02a1ad7p-9, -0x1.8197e294c855ep-9, -0x1.76c0014439605p-9, -0x1.6c301f0cf9a34p-9, -0x1.61e68cd43fa96p-9, -0x1.57e1a442f8366p-9, -0x1.4e1fc7a062704p-9, -0x1.449f61acce5fep-9, -0x1.3b5ee57cc0364p-9, -0x1.325cce54e73c8p-9, -0x1.29979f86e50f6p-9, -0x1.210de44f25e1ep-9, -0x1.18be2fb38c6b9p-9, -0x1.10a71c626d36dp-9, -0x1.08c74c91df813p-9, -0x1.011d69deb7f95p-9, -0x1.f3504a565636dp-10, -0x1.e4cc6cfab0f19p-10, -0x1.d6acb9bbaf5f5p-10, -0x1.c8eebc6dc846fp-10, -0x1.bb900e68dde9p-10, -0x1.ae8e564b08d95p-10, -0x1.a1e747bd9a4dp-10, -0x1.9598a33bb4dbbp-10, -0x1.89a035d9e4d4fp-10, -0x1.7dfbd90d65446p-10, -0x1.72a972724dbd5p-10, -0x1.67a6f390b30ecp-10, -0x1.5cf259a0c742ep-10, -0x1.5289ad4fdbed5p-10, -0x1.486b028771246p-10, -0x1.3e9478367e2ebp-10, -0x1.3504381d9a883p-10, -0x1.2bb8769df1d88p-10, -0x1.22af72899a92ep-10, -0x1.19e774f331aecp-10, -0x1.115ed0fbe46f5p-10, -0x1.0913e39f7b013p-10, -0x1.0105137efa3fap-10, -0x1.f261a1564762ep-11, -0x1.e32b28e235b54p-11, -0x1.d463c255a6c77p-11, -0x1.c6088427cd75dp-11, -0x1.b81696455deabp-11, -0x1.aa8b31c6f3019p-11, -0x1.9d63a0a5efe89p-11, -0x1.909d3d6af3b0cp-11, -0x1.843572d1f413bp-11, -0x1.7829bb650b2b5p-11, -0x1.6c77a1116c2b1p-11, -0x1.611cbcbde1b5dp-11, -0x1.5616b5eb3ddd3p-11, -0x1.4b6342653436p-11, -0x1.41002606d376fp-11, -0x1.36eb328ef1613p-11, -0x1.2d22477ddf35ap-11, -0x1.23a351ef7fff9p-11, -0x1.1a6c4c6741dc7p-11, -0x1.117b3e84a58a8p-11, -0x1.08ce3c9e05d2bp-11, -0x1.006367474a8ap-11, -0x1.f071d5a166dc7p-12, -0x1.e099fd9d7fbf8p-12, -0x1.d13bcb7714d5cp-12, -0x1.c253d97927701p-12, -0x1.b3ded71eb2198p-12, -0x1.a5d9892873332p-12, -0x1.9840c9ced85e2p-12, -0x1.8b1188e4d64fep-12, -0x1.7e48cbc49f134p-12, -0x1.71e3ace78c7c1p-12, -0x1.65df5b1fc6117p-12, -0x1.5a39187df84b4p-12, -0x1.4eee3905b503ep-12, -0x1.43fc21625a92bp-12, -0x1.396045d6a1e66p-12, -0x1.2f182996b5125p-12, -0x1.25215ea50836ep-12, -0x1.1b7986281c1a4p-12, -0x1.121e510d5b223p-12, -0x1.090d80bafe2d5p-12, -0x1.0044e7904428fp-12, -0x1.ef84d20eb2cefp-13, -0x1.df07f2c73e1c6p-13, -0x1.cf0f39dc6ac6dp-13, -0x1.bf96cda788bf9p-13, -0x1.b09aef8298e8fp-13, -0x1.a217f8d661861p-13, -0x1.940a58709d1e6p-13, -0x1.866e90a56778p-13, -0x1.794136a8a5676p-13, -0x1.6c7ef33ea3262p-13, -0x1.602484796a3f3p-13, -0x1.542ebfd87401bp-13, -0x1.489a940606a1cp-13, -0x1.3d6509a49d3fdp-13, -0x1.328b430caaf4ep-13, -0x1.280a7b3e10aa3p-13, -0x1.1de00468f7a38p-13, -0x1.1409464da4bd7p-13, -0x1.0a83bc71fc84p-13, -0x1.014cf40ef322dp-13, -0x1.f0c5138b589fbp-14, -0x1.df844f0504012p-14, -0x1.ced3066b88e8ap-14, -0x1.beacbdd26865dp-14, -0x1.af0d146a19c1ep-14, -0x1.9fefc8d5f996ep-14, -0x1.9150bcde01f56p-14, -0x1.832bf6c58f6dep-14, -0x1.757d9fed7bb62p-14, -0x1.684201de81f63p-14, -0x1.5b75838b9b04dp-14, -0x1.4f14a816077ddp-14, -0x1.431c0f07b306ep-14, -0x1.378874c0f644ap-14, -0x1.2c56b191550e3p-14, -0x1.2183b6d85dc9dp-14, -0x1.170c8b019cf89p-14, -0x1.0cee4636e5535p-14, -0x1.03261165a6e22p-14, -0x1.f3624fb76d179p-15, -0x1.e119b4379d75bp-15, -0x1.cf6d1f984786ep-15, -0x1.be578e808751p-15, -0x1.add42554bdef8p-15, -0x1.9dde28e597e5fp-15, -0x1.8e70f972e131bp-15, -0x1.7f8812c16768dp-15, -0x1.711f112651c09p-15, -0x1.6331b87651348p-15, -0x1.55bbf88c15713p-15, -0x1.48b9eca8db156p-15, -0x1.3c27d66fc9e19p-15, -0x1.30021835ebcadp-15, -0x1.2445324f55b3bp-15, -0x1.18edc3ef906bcp-15, -0x1.0df88cc1f57bep-15, -0x1.03626b920d136p-15, -0x1.f250b1ccc315ep-16, -0x1.de8ebfabdf8c5p-16, -0x1.cb7930de79735p-16, -0x1.b90a4ab6859f3p-16, -0x1.a73c68ace6359p-16, -0x1.960a018d36961p-16, -0x1.856db078fb991p-16, -0x1.75623ff7f77f9p-16, -0x1.65e2b1d45c658p-16, -0x1.56ea3e9b14d82p-16, -0x1.48744e3646f57p-16, -0x1.3a7c72b0a174cp-16, -0x1.2cfe6dcfddf95p-16, -0x1.1ff63f9217e58p-16, -0x1.13602ff285f69p-16, -0x1.0738c601c89b7p-16, -0x1.f6f95833db31ep-17, -0x1.e0512239eea79p-17, -0x1.ca72335a4f4d3p-17, -0x1.b555cd273efadp-17, -0x1.a0f54a042fcfbp-17, -0x1.8d4a33d965aa1p-17, -0x1.7a4e47fc2ed04p-17, -0x1.67fb73ff0d53cp-17, -0x1.564bd6e7d3cdp-17, -0x1.4539c4285851dp-17, -0x1.34bfbe06d222p-17, -0x1.24d866b409455p-17, -0x1.157e790c20c8p-17, -0x1.06acde5bdbcefp-17, -0x1.f0bdc02e7ba87p-18, -0x1.d520a5191ce99p-18, -0x1.ba7b19eb15606p-18, -0x1.a0c64eb7f102bp-18, -0x1.87fb546695fb1p-18, -0x1.7012d1a2e9e9bp-18, -0x1.59052d8726c51p-18, -0x1.42caea65b490ap-18, -0x1.2d5cdcac20b91p-18, -0x1.18b42d5cf5b1bp-18, -0x1.04ca4c27ca478p-18, -0x1.e331d31949742p-19, -0x1.be33e4b66a52fp-19, -0x1.9a8f01e3a39ddp-19, -0x1.78378b4ac7bacp-19, -0x1.5721e1a1fdc2cp-19, -0x1.37425c8666556p-19, -0x1.188d8afc3c7p-19, -0x1.f5f190f437bcfp-20, -0x1.bcf5b12acadadp-20, -0x1.8617eb8c9a677p-20, -0x1.514a27ef9e75p-20, -0x1.1e7dc72050344p-20, -0x1.db45cd2d6ba2fp-21, -0x1.7d528892961e6p-21, -0x1.2302cbd8dde5p-21, -0x1.9872e3220f92ap-22, -0x1.e367ce84977eap-23, -0x1.463fddd10b8cep-24, 0x1.20be54aefaf5ep-24, 0x1.b77b603863de5p-23, 0x1.6949c265c4b47p-22, 0x1.f10192226012bp-22, 0x1.3989aad497cecp-21, 0x1.77d731d8d8337p-21, 0x1.b3811a905ee11p-21, 0x1.ec9e56f5cace5p-21, 0x1.11a22349d9e2cp-20, 0x1.2bc318b32fa34p-20, 0x1.44bab2cd9f4a5p-20, 0x1.5c9129e79d9p-20, 0x1.734efb05d383ep-20, 0x1.88fcf1417ad4p-20, 0x1.9da36139ce2e6p-20, 0x1.b149a1225120cp-20, 0x1.c3f684d680bd4p-20, 0x1.d5b129d302b78p-20, 0x1.e6810e7c54eb4p-20, 0x1.f66d9a2adc08cp-20, 0x1.02bee0190f8f8p-19, 0x1.09dbf17fe0357p-19, 0x1.1090f2813853dp-19, 0x1.16e0b6825f00ep-19, 0x1.1cce1d3b41b5bp-19, 0x1.225c20d636dcfp-19, 0x1.278db864762e1p-19, 0x1.2c65a75983f11p-19, 0x1.30e6682b605acp-19, 0x1.351248f32077ap-19, 0x1.38eba2c6840b2p-19, 0x1.3c74fdaf1f6fdp-19, 0x1.3fb1003333d4p-19, 0x1.42a230cf30577p-19, 0x1.454ab4e33c7bp-19, 0x1.47ac4d28687fcp-19, 0x1.49c8a8dd349bcp-19, 0x1.4ba1b0d7b6323p-19, 0x1.4d3971da70899p-19, 0x1.4e91e1bf164d7p-19, 0x1.4facd5e8c22b1p-19, 0x1.508c12c8e94fap-19, 0x1.51314a4161b5cp-19, 0x1.519e198c02eccp-19, 0x1.51d411b5cfc9ap-19, 0x1.51d4c1e4de695p-19, 0x1.51a1bbbced55cp-19, 0x1.513c8ce875c3ap-19, 0x1.50a6add570529p-19, 0x1.4fe173a7a6518p-19, 0x1.4eee1a766ae4dp-19, 0x1.4dcde6c7c2719p-19, 0x1.4c824188bb8a2p-19, 0x1.4b0cb5bfb9a87p-19, 0x1.496ec1fcc4606p-19, 0x1.47a9a4a628141p-19, 0x1.45be6abd337cfp-19, 0x1.43ae1b2818c19p-19, 0x1.4179d0dce6c3fp-19, 0x1.3f22bd329953cp-19, 0x1.3caa06f062918p-19, 0x1.3a10b9d1f9999p-19, 0x1.3757dc8b83947p-19, 0x1.3480747a4b7b5p-19, 0x1.318b805545235p-19, 0x1.2e79fab99e6a1p-19, 0x1.2b4cdbcd6f703p-19, 0x1.280517aee0841p-19, 0x1.24a39cdcf7011p-19, 0x1.212953e766b23p-19, 0x1.1d971ec79256dp-19, 0x1.19edd6d27d2dfp-19, 0x1.162e4ca863724p-19, 0x1.12594ee73812dp-19, 0x1.0e6fb2c5fd2b9p-19, 0x1.0a7252feee904p-19, 0x1.06620ac709431p-19, 0x1.023faab62bf17p-19, 0x1.fc17d54b2581ep-20, 0x1.f38f0b289419cp-20, 0x1.eae6783f98428p-20, 0x1.e21f8453c0de3p-20, 0x1.d93ba96944adfp-20, 0x1.d03c4b02684cep-20, 0x1.c722b941aedeep-20, 0x1.bdf04aeb7cb3ep-20, 0x1.b4a64e85e589ep-20, 0x1.ab460b130f5cp-20, 0x1.a1d0c5816bed6p-20, 0x1.9847c098b3ffap-20, 0x1.8eac3a3be8d62p-20, 0x1.84ff68c40cf56p-20, 0x1.7b427a0e2e465p-20, 0x1.717694706e3ddp-20, 0x1.679cd86be251dp-20, 0x1.5db661c20c9edp-20, 0x1.53c447bc3c8f1p-20, 0x1.49c79ef6c7f44p-20, 0x1.3fc17c539ddfbp-20, 0x1.35b2ed8c5c5abp-20, 0x1.2b9cf2be65f1fp-20, 0x1.2180907e6b9dp-20, 0x1.175ec459e2a8p-20, 0x1.0d3884345a542p-20, 0x1.030ec7182422fp-20, 0x1.f1c4f69149be1p-21, 0x1.dd6924419dd8cp-21, 0x1.c90bd1b194ad3p-21, 0x1.b4aeb86da1cc4p-21, 0x1.a053961f1bc26p-21, 0x1.8bfc179d29b03p-21, 0x1.77a9e078c4025p-21, 0x1.635e8edb877a1p-21, 0x1.4f1bbb2467f29p-21, 0x1.3ae2f697bea98p-21, 0x1.26b5c9d36efbp-21, 0x1.1295b37efc0b1p-21, 0x1.fd085006214c9p-22, 0x1.d50525686765fp-22, 0x1.ad24af68b0f2cp-22, 0x1.8569a9f5c867p-22, 0x1.5dd6c2d93b3dap-22, 0x1.366e975695e1ep-22, 0x1.0f33b86bc8fd9p-22, 0x1.d051503b8d9e1p-23, 0x1.829f8a9c0c065p-23, 0x1.3556dabba7607p-23, 0x1.d0f836cf468abp-24, 0x1.382793230ab3dp-24, 0x1.40882b6a97c27p-25, 0x1.2ada533de3c79p-29, -0x1.192ef72ed9613p-25, -0x1.217f15f864ae2p-24, -0x1.b5582f1bfa224p-24, -0x1.240d74e7740ddp-23, -0x1.6cdfe881345ap-23, -0x1.b51fd4fce69d1p-23, -0x1.fcc9b3935d0e4p-23, -0x1.21ed0aa6e91c3p-22, -0x1.4526d1d3eca21p-22, -0x1.681090b26d878p-22, -0x1.8aa8b5df25e85p-22, -0x1.acedbdf1b49eep-22, -0x1.cede33bd75075p-22, -0x1.f078af49e4329p-22, -0x1.08ddea09ec8bbp-21, -0x1.1953281c0f801p-21, -0x1.299b6ecef249cp-21, -0x1.39b6220992ab6p-21, -0x1.49a2acca9052dp-21, -0x1.59607f28d8e83p-21, -0x1.68ef0ded4726fp-21, -0x1.784dd6cfe2bdcp-21, -0x1.877c56996d8f3p-21, -0x1.967a121b987bcp-21, -0x1.a5469db222a48p-21, -0x1.b3e188c45ef97p-21, -0x1.c24a6702fda6dp-21, -0x1.d080d088c95c1p-21, -0x1.de846fba7eac1p-21, -0x1.ec54e93561feap-21, -0x1.f9f1e86540951p-21, -0x1.03ad8ff658fd9p-20, -0x1.0a48236c065a9p-20, -0x1.10c88c6750126p-20, -0x1.172eab1afe9b5p-20, -0x1.1d7a6215b222fp-20, -0x1.23ab964036034p-20, -0x1.29c22edb63b22p-20, -0x1.2fbe1587ee763p-20, -0x1.359f3650dacaap-20, -0x1.3b657f98cdbf2p-20, -0x1.4110e1df6d63fp-20, -0x1.46a14f8e3e847p-20, -0x1.4c16bd0b2728cp-20, -0x1.517120fd48736p-20, -0x1.56b074983ff26p-20, -0x1.5bd4b397246bep-20, -0x1.60dddb263b639p-20, -0x1.65cbe911c7e65p-20, -0x1.6a9ede5e19f84p-20, -0x1.6f56bcad3c628p-20, -0x1.73f38a68b6f68p-20, -0x1.78754e34b2411p-20, -0x1.7cdc0eb42c33bp-20, -0x1.8127d66e4726cp-20, -0x1.8558b0e87dd7cp-20, -0x1.896eabeed4429p-20, -0x1.8d69d650fab01p-20, -0x1.914a40431725ep-20, -0x1.950ffc6de3391p-20, -0x1.98bb1eb89bb71p-20, -0x1.9c4bbc748b17dp-20, -0x1.9fc1ec6724a56p-20, -0x1.a31dc6c69bb96p-20, -0x1.a65f653596b25p-20, -0x1.a986e2bbabe12p-20, -0x1.ac945bbc59edbp-20, -0x1.af87edf4b4ee2p-20, -0x1.b261b87bd2c73p-20, -0x1.b521dbb26fc2dp-20, -0x1.b7c8791fa6936p-20, -0x1.ba55b356b804cp-20, -0x1.bcc9ae0305c1ap-20, -0x1.bf248e02e5207p-20, -0x1.c1667991b2e26p-20, -0x1.c38f98679b5dep-20, -0x1.c5a0131ecbf8ep-20, -0x1.c7981243605f3p-20, -0x1.c977bf628be9fp-20, -0x1.cb3f4656ba202p-20, -0x1.cceed36b4d439p-20, -0x1.ce8693355b25dp-20, -0x1.d006b4059fe43p-20, -0x1.d16f64408ba47p-20, -0x1.d2c0d2b971c7dp-20, -0x1.d3fb309fc4e2p-20, -0x1.d51eaf5c05e35p-20, -0x1.d62b7fb8bb8e1p-20, -0x1.d721d43ffdfb4p-20, -0x1.d801e05b316b5p-20, -0x1.d8cbd7da59be1p-20, -0x1.d97fef21d8abdp-20, -0x1.da1e5b2c3c17fp-20, -0x1.daa751854c281p-20, -0x1.db1b08463f5aep-20, -0x1.db79b60f902e4p-20, -0x1.dbc392020ec6cp-20, -0x1.dbf8d3b8e950cp-20, -0x1.dc19b3469518fp-20, -0x1.dc26692e7863p-20, -0x1.dc1f2e56dd4c7p-20, -0x1.dc043bf842398p-20, -0x1.dbd5cb9a8256bp-20, -0x1.db941719d0baap-20, -0x1.db3f58aac0433p-20, -0x1.dad7caf03a61fp-20, -0x1.da5da905e40d8p-20, -0x1.d9d12e12daba2p-20, -0x1.d93294fb540efp-20, -0x1.d88218e4286dcp-20, -0x1.d7bff6807c99p-20, -0x1.d6ec691c88f0ap-20, -0x1.d607ac65159edp-20, -0x1.d511fd0346c29p-20, -0x1.d40b973fb1d7cp-20, -0x1.d2f4b7627dac4p-20, -0x1.d1cd99737f074p-20, -0x1.d0967a52055eep-20, -0x1.cf4f97021db1bp-20, -0x1.cdf92b3fd4916p-20, -0x1.cc9373e0237f5p-20, -0x1.cb1ead8e2c321p-20, -0x1.c99b14d62ff1fp-20, -0x1.c808e639ca85ap-20, -0x1.c6685e2cf1328p-20, -0x1.c4b9b912a91acp-20, -0x1.c2fd3339bec27p-20, -0x1.c13308d8ffe98p-20, -0x1.bf5b760bd3f02p-20, -0x1.bd76b6cf7106ep-20, -0x1.bb8506ffdea49p-20, -0x1.b986a25413b4dp-20, -0x1.b77bc4579bd23p-20, -0x1.b564a863ebcc6p-20, -0x1.b341899f61b5p-20, -0x1.b112a2fe48487p-20, -0x1.aed82f3fe738dp-20, -0x1.ac9268ee96c7fp-20, -0x1.aa418a696e8f1p-20, -0x1.a7e5cdd3b0705p-20, -0x1.a57f6cf0c6fb7p-20, -0x1.a30ea12504cffp-20, -0x1.a093a3cf6408ep-20, -0x1.9e0eae41e4092p-20, -0x1.9b7ff8baeea0cp-20, -0x1.98e7bbc6daa03p-20, -0x1.96462f88ef7d7p-20, -0x1.939b8bd2d8976p-20, -0x1.90e8081984573p-20, -0x1.8e2bdb6ce4098p-20, -0x1.8b673c793b5e2p-20, -0x1.889a61ce361f2p-20, -0x1.85c5819bfbc68p-20, -0x1.82e8d154c6cccp-20, -0x1.8004866a45026p-20, -0x1.7d18d5d580e9p-20, -0x1.7a25f42976a77p-20, -0x1.772c15955231ap-20, -0x1.742b6de49e8d7p-20, -0x1.7124307bf66d2p-20, -0x1.6e169057fc2a6p-20, -0x1.6b02c00c847cp-20, -0x1.67e8f1c2c138bp-20, -0x1.64c957386521dp-20, -0x1.61a421bedd95ep-20, -0x1.5e79823a2231bp-20, -0x1.5b49a91f270e1p-20, -0x1.5814c672bed36p-20, -0x1.54db09c8cfcf4p-20, -0x1.519ca24370d4ep-20, -0x1.4e59be90ea7dfp-20, -0x1.4b128ceae9f2cp-20, -0x1.47c73b155c126p-20, -0x1.4477f660fc4eep-20, -0x1.4124eba59216ep-20, -0x1.3dce4746337fcp-20, -0x1.3a74352f21a23p-20, -0x1.3716e0fbe378bp-20, -0x1.33b6759b8d796p-20, -0x1.30531d9b9311fp-20, -0x1.2ced031165cap-20, -0x1.29844f94dd553p-20, -0x1.26192c44e8eb4p-20, -0x1.22abc1c8f5d75p-20, -0x1.1f3c384c3297dp-20, -0x1.1bcab77e2023bp-20, -0x1.18576693322b8p-20, -0x1.14e26c500ba3ap-20, -0x1.116beefad03e4p-20, -0x1.0df41453c515dp-20, -0x1.0a7b01ade270ep-20, -0x1.0700dbdd516ddp-20, -0x1.0385c73baf5dfp-20, -0x1.0009e7a827051p-20, -0x1.f91ac10f2061bp-21, -0x1.f220a98910c99p-21, -0x1.eb25cd9e9a129p-21, -0x1.e42a713c909dcp-21, -0x1.dd2ed75bbc365p-21, -0x1.d63342076ecacp-21, -0x1.cf37f2ee5d61p-21, }}, 
      {{-0x1.05e84988090c3p-11, -0x1.e4fedbd5533cdp-10, -0x1.e540fb89c8d84p-9, -0x1.713324ffb91b9p-8, -0x1.d9bbcbfdc779dp-8, -0x1.0a28dc36d3b75p-7, -0x1.06e16cb77a4c7p-7, -0x1.b80551067831fp-8, -0x1.0a15492cfc30fp-8, 0x1.0414ac5ee9b95p-17, 0x1.684851ae45cb4p-8, 0x1.9544cb4f5c0dp-7, 0x1.5081542603f8bp-6, 0x1.e9e458b498d8fp-6, 0x1.4a5544846be1bp-5, 0x1.a73dc9b91a798p-5, 0x1.05385ed4ca9cbp-4, 0x1.395761340586ap-4, 0x1.6f5e3137e9962p-4, 0x1.a6b43a0927729p-4, 0x1.dec86ed067933p-4, 0x1.0b897de679d15p-3, 0x1.278b315def8c9p-3, 0x1.43300e91c6465p-3, 0x1.5e446e96e7969p-3, 0x1.789a41d5f4767p-3, 0x1.9208ee8eb0e71p-3, 0x1.aa6d1c3b9340cp-3, 0x1.c1a8703dfe71dp-3, 0x1.d7a142788fb63p-3, 0x1.ec424ccda20eap-3, 0x1.ff7a58cb9bed2p-3, 0x1.089df6cabd897p-2, 0x1.10be7fd41ef15p-2, 0x1.181b51b94c531p-2, 0x1.1eb261cb29e75p-2, 0x1.2482ed83d8a85p-2, 0x1.298d59b392958p-2, 0x1.2dd313c27b29fp-2, 0x1.3156750274e7dp-2, 0x1.341aa7fe61528p-2, 0x1.36238fb1a7fd6p-2, 0x1.3775b08d397d4p-2, 0x1.38161b2f970bep-2, 0x1.380a58b4d99d4p-2, 0x1.37585883b7ff9p-2, 0x1.36065f7f4360bp-2, 0x1.341af884b53a5p-2, 0x1.319ce622444a6p-2, 0x1.2e9315718626ap-2, 0x1.2b04920566c29p-2, 0x1.26f87adc2fd3p-2, 0x1.2275f844cc9e5p-2, 0x1.1d8432ae1efbcp-2, 0x1.182a4a4fa3366p-2, 0x1.126f4fa294d4cp-2, 0x1.0c5a3c9f2b1e6p-2, 0x1.05f1eeb3c22b5p-2, 0x1.fe7a42d846cf3p-3, 0x1.f084d37b4f176p-3, 0x1.e21063e262c83p-3, 0x1.d3296c3a94e69p-3, 0x1.c3dc025e1846fp-3, 0x1.b433d4dad2453p-3, 0x1.a43c26fe5ef5ap-3, 0x1.93ffcdaa370eap-3, 0x1.83892d0e17153p-3, 0x1.72e237192f1c2p-3, 0x1.62146a7e93ee6p-3, 0x1.5128d2c89c892p-3, 0x1.402808178e19p-3, 0x1.2f1a30e34bb91p-3, 0x1.1e07023d0ebcdp-3, 0x1.0cf5c24bf780dp-3, 0x1.f7da951e057afp-4, 0x1.d5e811061b37ep-4, 0x1.b4200774b9154p-4, 0x1.928db90d6a057p-4, 0x1.713ba4b34821fp-4, 0x1.50338cd93784ep-4, 0x1.2f7e789501f6cp-4, 0x1.0f24c4858d059p-4, 0x1.de5c4035df11bp-5, 0x1.9f4333b153269p-5, 0x1.610b4cf29c1a1p-5, 0x1.23c04927ffad2p-5, 0x1.ced99f52b2d4ap-6, 0x1.5834efca46586p-6, 0x1.c74776dcbf06cp-7, 0x1.c4d551e6eb92cp-8, 0x1.ee7f8a93d2c91p-15, -0x1.b42aa28daea13p-8, -0x1.b18c54e137e48p-7, -0x1.42328e7ab10aap-6, -0x1.a94889847e93ap-6, -0x1.0701161fd60e4p-5, -0x1.382d6626a827ap-5, -0x1.68277909f939ap-5, -0x1.96ee23da3f49p-5, -0x1.c480c3ed98d6dp-5, -0x1.f0df37370166cp-5, -0x1.0e04ea66ba1c6p-4, -0x1.2300b2f06ef53p-4, -0x1.37638f7ab232fp-4, -0x1.4b2e4c94d6c94p-4, -0x1.5e61e5e044a1ap-4, -0x1.70ff82dfc9f7ap-4, -0x1.830873c6bc54p-4, -0x1.947e2e6695125p-4, -0x1.a5624b2c1cc5dp-4, -0x1.b5b68225c5fd5p-4, -0x1.c57ca8312ea5fp-4, -0x1.d4b6ac43e4c6ap-4, -0x1.e36694c533a28p-4, -0x1.f18e7d1017ca8p-4, -0x1.ff30931715e51p-4, -0x1.06278a8c96138p-3, -0x1.0c7627bab1703p-3, -0x1.12854d504e7ep-3, -0x1.18562c95ec45ep-3, -0x1.1de9faef42c32p-3, -0x1.2341f0f84d2d4p-3, -0x1.285f49ad80beap-3, -0x1.2d43419c3aa0cp-3, -0x1.31ef162181d0bp-3, -0x1.366404b81cf3fp-3, -0x1.3aa34a516a3b4p-3, -0x1.3eae22ba673f5p-3, -0x1.4285c810b149ap-3, -0x1.462b7245d36dep-3, -0x1.49a056acd807dp-3, -0x1.4ce5a79460664p-3, -0x1.4ffc93ee3f159p-3, -0x1.52e64700c9b37p-3, -0x1.55a3e820af4f8p-3, -0x1.58369a7322175p-3, -0x1.5a9f7cb83f30fp-3, -0x1.5cdfa91ce60f2p-3, -0x1.5ef8350feeabp-3, -0x1.60ea311cc216dp-3, -0x1.62b6a8cd2c00ep-3, -0x1.645ea28d6b7a6p-3, -0x1.65e31f93d3e5dp-3, -0x1.67451bcee7147p-3, -0x1.68858dd58efdp-3, -0x1.69a566db6ff0dp-3, -0x1.6aa592abdffb5p-3, -0x1.6b86f7a5bb098p-3, -0x1.6c4a76bac02f8p-3, -0x1.6cf0eb772532ap-3, -0x1.6d7b2c09de65p-3, -0x1.6dea094d60c55p-3, -0x1.6e3e4ed846d2dp-3, -0x1.6e78c31092c2ep-3, -0x1.6e9a273c9efa8p-3, -0x1.6ea3379943234p-3, -0x1.6e94ab74654ecp-3, -0x1.6e6f3543f76e1p-3, -0x1.6e3382be2faf6p-3, -0x1.6de23cf7d6a56p-3, -0x1.6d7c088053878p-3, -0x1.6d018579d1358p-3, -0x1.6c734fb62ba6p-3, -0x1.6bd1fed6c1f62p-3, -0x1.6b1e2666b23a8p-3, -0x1.6a5855f3e4f88p-3, -0x1.6981192d963c8p-3, -0x1.6898f80243e0bp-3, -0x1.67a076b80bbdap-3, -0x1.6698160660058p-3, -0x1.65805334491b5p-3, -0x1.6459a8343a687p-3, -0x1.63248bba7cefp-3, -0x1.61e17157026e9p-3, -0x1.6090c9940e252p-3, -0x1.5f33020c12a48p-3, -0x1.5dc885837ded8p-3, -0x1.5c51bbff3bc24p-3, -0x1.5acf0adf918ep-3, -0x1.5940d4f83b7e1p-3, -0x1.57a77aa54de4cp-3, -0x1.560359e0d900dp-3, -0x1.5454ce5b95771p-3, -0x1.529c31922e613p-3, -0x1.50d9dadffeb1bp-3, -0x1.4f0e1f928c964p-3, -0x1.4d3952ff20eebp-3, -0x1.4b5bc69590201p-3, -0x1.4975c9f0836dap-3, -0x1.4787aae5b43f2p-3, -0x1.4591b59876801p-3, -0x1.4394348abff78p-3, -0x1.418f70aa95cbap-3, -0x1.3f83b15eccbc9p-3, -0x1.3d713c95ce94fp-3, -0x1.3b5856d50dc4bp-3, -0x1.3939434590d4cp-3, -0x1.371443bd0c7d2p-3, -0x1.34e998c809211p-3, -0x1.32b981b688a6fp-3, -0x1.30843ca8707f3p-3, -0x1.2e4a069669ac8p-3, -0x1.2c0b1b584afe9p-3, -0x1.29c7b5ac3b23dp-3, -0x1.27800f409c183p-3, -0x1.253460be34262p-3, -0x1.22e4e1cf5e0b3p-3, -0x1.2091c9242ea84p-3, -0x1.1e3b4c768adc8p-3, -0x1.1be1a090d9e15p-3, -0x1.1984f9564fc96p-3, -0x1.172589c9dc8e3p-3, -0x1.14c38411ad433p-3, -0x1.125f1978718acp-3, -0x1.0ff87a6ff5735p-3, -0x1.0d8fd696f4676p-3, -0x1.0b255cc05d8d3p-3, -0x1.08b93af82eaa1p-3, -0x1.064b9e83f9d5cp-3, -0x1.03dcb3e183e03p-3, -0x1.016ca6c81e011p-3, -0x1.fdf7445cee0afp-4, -0x1.f913a0a387143p-4, -0x1.f42eb57222e27p-4, -0x1.ef48d46663edp-4, -0x1.ea624da607694p-4, -0x1.e57b6fdfc83b2p-4, -0x1.e0948857c1118p-4, -0x1.dbade2f683a5p-4, -0x1.d6c7ca4e94931p-4, -0x1.d1e28794e1812p-4, -0x1.ccfe62956deb6p-4, -0x1.c81ba1b18b818p-4, -0x1.c33a89ebdb818p-4, -0x1.be5b5ef90c2cep-4, -0x1.b97e634741382p-4, -0x1.b4a3d7f690f7cp-4, -0x1.afcbfccab9336p-4, -0x1.aaf710247f42cp-4, -0x1.a6254f0a53642p-4, -0x1.a156f53a1d1cdp-4, -0x1.9c8c3d35b97b5p-4, -0x1.97c5604081c5ep-4, -0x1.93029651007aep-4, -0x1.8e44160440bdfp-4, -0x1.898a149e98204p-4, -0x1.84d4c61a7da92p-4, -0x1.80245d3a3c59cp-4, -0x1.7b790b8f3bc5dp-4, -0x1.76d3017254f6dp-4, -0x1.72326df49acefp-4, -0x1.6d977ed5deaa9p-4, -0x1.6902608987917p-4, -0x1.64733e46fe925p-4, -0x1.5fea421a43675p-4, -0x1.5b6794e97c053p-4, -0x1.56eb5e6d053cdp-4, -0x1.5275c5217b786p-4, -0x1.4e06ee3f6e7ap-4, -0x1.499efdc000f5dp-4, -0x1.453e166c4601ap-4, -0x1.40e459edad438p-4, -0x1.3c91e8d59d2acp-4, -0x1.3846e298dec51p-4, -0x1.34036583f2106p-4, -0x1.2fc78eb1fbfc9p-4, -0x1.2b937a0dda9e2p-4, -0x1.2767425dfe128p-4, -0x1.234301548a448p-4, -0x1.1f26cf9af189bp-4, -0x1.1b12c4d39456bp-4, -0x1.1706f7929af4bp-4, -0x1.13037d54934adp-4, -0x1.0f086a7a84009p-4, -0x1.0b15d24f6a758p-4, -0x1.072bc7153915dp-4, -0x1.034a5a131663bp-4, -0x1.fee3373c734eap-5, -0x1.f7433634d4f46p-5, -0x1.efb4cde84b248p-5, -0x1.e8381933d6e88p-5, -0x1.e0cd30f4ec002p-5, -0x1.d9742c14f2de3p-5, -0x1.d22d1fa083851p-5, -0x1.caf81ee0d4654p-5, -0x1.c3d53b6d2cab1p-5, -0x1.bcc4852f65f0ep-5, -0x1.b5c60a5d94226p-5, -0x1.aed9d7709dd29p-5, -0x1.a7fff720a428ep-5, -0x1.a138726c82306p-5, -0x1.9a8350abb0165p-5, -0x1.93e097a4b73ccp-5, -0x1.8d504ba0619dp-5, -0x1.86d26f74213d1p-5, -0x1.80670482d7ae1p-5, -0x1.7a0e0ab7ec352p-5, -0x1.73c7808317811p-5, -0x1.6d9362da61d6dp-5, -0x1.6771ad44b02c1p-5, -0x1.616259eaf070cp-5, -0x1.5b6561ab2021ep-5, -0x1.557abc27db824p-5, -0x1.4fa25fd11a466p-5, -0x1.49dc41e62116p-5, -0x1.44285673868acp-5, -0x1.3e869051eb9ecp-5, -0x1.38f6e12924ea5p-5, -0x1.337939796353cp-5, -0x1.2e0d88a9685d6p-5, -0x1.28b3bd1692fa6p-5, -0x1.236bc4232e3ffp-5, -0x1.1e358a4046228p-5, -0x1.1910faf24ecd7p-5, -0x1.13fe00d20ef6dp-5, -0x1.0efc858c97c82p-5, -0x1.0a0c71e5522b7p-5, -0x1.052dadbbeb3dep-5, -0x1.006020167c6f6p-5, -0x1.f7475e5cd8936p-6, -0x1.edf080fb94b78p-6, -0x1.e4bb71957b056p-6, -0x1.dba7f85f025c5p-6, -0x1.d2b5dc3d38427p-6, -0x1.c9e4e2c8e96dbp-6, -0x1.c134d0506eaecp-6, -0x1.b8a567dcaa21cp-6, -0x1.b0366b3b99908p-6, -0x1.a7e79b118b879p-6, -0x1.9fb8b6ef12fc4p-6, -0x1.97a97d6874d3cp-6, -0x1.8fb9ac2aeb9dp-6, -0x1.87e9000c7e367p-6, -0x1.80373514ecad5p-6, -0x1.78a40680bf722p-6, -0x1.712f2ec132f05p-6, -0x1.69d8677d3a837p-6, -0x1.629f6997b6183p-6, -0x1.5b83ed3cc2d5fp-6, -0x1.5485a9f645c7p-6, -0x1.4da456c4c6961p-6, -0x1.46dfaa3822306p-6, -0x1.40375a82ede0dp-6, -0x1.39ab1d84964a9p-6, -0x1.333aa8c8e38f3p-6, -0x1.2ce5b17f35f42p-6, -0x1.26abec6da5cffp-6, -0x1.208d0de78aa24p-6, -0x1.1a88c9d032521p-6, -0x1.149ed3aee78a8p-6, -0x1.0eceded175ef2p-6, -0x1.09189e760c317p-6, -0x1.037bc5f5e984dp-6, -0x1.fbf011cbc0423p-7, -0x1.f11a36412396p-7, -0x1.e6756169809b3p-7, -0x1.dc00fb781912dp-7, -0x1.d1bc6c4aee945p-7, -0x1.c7a71b08f82b4p-7, -0x1.bdc06dee9b042p-7, -0x1.b407ca658d776p-7, -0x1.aa7c957216644p-7, -0x1.a11e3467ccdc8p-7, -0x1.97ec0dbf746edp-7, -0x1.8ee589d8416a2p-7, -0x1.860a136bca677p-7, -0x1.7d59178a04e71p-7, -0x1.74d2050e79529p-7, -0x1.6c744ba4b5bbfp-7, -0x1.643f5a94a0b95p-7, -0x1.5c329fa77cc54p-7, -0x1.544d867ab7b76p-7, -0x1.4c8f78821815fp-7, -0x1.44f7ddd30d53ep-7, -0x1.3d861e9fa34adp-7, -0x1.3639a5150f425p-7, -0x1.2f11df2e52e6fp-7, -0x1.280e40024e854p-7, -0x1.212e4028e4ccp-7, -0x1.1a715d04306cfp-7, -0x1.13d716fe534f6p-7, -0x1.0d5eef11723ep-7, -0x1.070864273007cp-7, -0x1.00d2f0f3d896cp-7, -0x1.f57c15c481716p-8, -0x1.e99244dca252ep-8, -0x1.dde749f2f3f2ep-8, -0x1.d279ff949f446p-8, -0x1.c7494735686bcp-8, -0x1.bc540fd8ebb1fp-8, -0x1.b1995ab6e28f3p-8, -0x1.a7183ca611c68p-8, -0x1.9ccfdbbf5d2e6p-8, -0x1.92bf6980e4465p-8, -0x1.88e61a892e345p-8, -0x1.7f431da534b55p-8, -0x1.75d5942be4c91p-8, -0x1.6c9c8d7068ac9p-8, -0x1.639706706ab87p-8, -0x1.5ac3edf7c7954p-8, -0x1.52222c7926b0dp-8, -0x1.49b0ae0cc50f7p-8, -0x1.416e6c93bfad2p-8, -0x1.395a77f0d8908p-8, -0x1.3173faa08bafap-8, -0x1.29ba39a51ef3bp-8, -0x1.222c8f9faa0ffp-8, -0x1.1aca63eb17793p-8, -0x1.13931f7226e41p-8, -0x1.0c86218a645eep-8, -0x1.05a2b72fd670ep-8, -0x1.fdd02cf0ceee9p-9, -0x1.f0aabe3c82a9bp-9, -0x1.e3d33fb3c6618p-9, -0x1.d747be90f17b6p-9, -0x1.cb064d0b7a1ddp-9, -0x1.bf0d16fc2c5bep-9, -0x1.b35a726523021p-9, -0x1.a7ece92256e56p-9, -0x1.9cc33a25a19cdp-9, -0x1.91dc5205a1309p-9, -0x1.87373c40c72a1p-9, -0x1.7cd3101bee9dep-9, -0x1.72aedd01b0dcap-9, -0x1.68c99a5e657a5p-9, -0x1.5f221e0467423p-9, -0x1.55b71a7388825p-9, -0x1.4c8724823f917p-9, -0x1.4390be7afdf21p-9, -0x1.3ad26614abdfep-9, -0x1.324aa2a1b9688p-9, -0x1.29f8110837412p-9, -0x1.21d96b6e8958ap-9, -0x1.19ed8b3ab6d69p-9, -0x1.1233654e91339p-9, -0x1.0aaa0220bdbb9p-9, -0x1.035074a41bc63p-9, -0x1.f84ba61edf892p-10, -0x1.ea52667a04568p-10, -0x1.dcb3547ffe427p-10, -0x1.cf6c9a549774cp-10, -0x1.c27c61cf1fcf8p-10, -0x1.b5e0d1428a1a4p-10, -0x1.a99808a3956c2p-10, -0x1.9da024667bcb6p-10, -0x1.91f7489b0c5f7p-10, -0x1.869bb003cb851p-10, -0x1.7b8bb4fae694bp-10, -0x1.70c5ca46970a3p-10, -0x1.664861e540ddcp-10, -0x1.5c11cb2b263f8p-10, -0x1.52201972c101ep-10, -0x1.487123fe2d179p-10, -0x1.3f02a595c8fbbp-10, -0x1.35d272f0df163p-10, -0x1.2cdeb15c3e0b4p-10, -0x1.2425f376b3bacp-10, -0x1.1ba72cb065397p-10, -0x1.1361823ee051ap-10, -0x1.0b54155fe754dp-10, -0x1.037de7aff1506p-10, -0x1.f7bbd0cdfb30cp-11, -0x1.e8e636cc82fp-11, -0x1.da796eae09342p-11, -0x1.cc743b08ea725p-11, -0x1.bed54e68894cdp-11, -0x1.b19abccd14cadp-11, -0x1.a4c187f2fd243p-11, -0x1.984580eaf2479p-11, -0x1.8c219a105e497p-11, -0x1.80509c113615dp-11, -0x1.74ce071cecc08p-11, -0x1.6996c896c1806p-11, -0x1.5ea96c753e5d6p-11, -0x1.5405a625599d3p-11, -0x1.49ab6bbe9d869p-11, -0x1.3f9a2a6236efep-11, -0x1.35d08ddb43404p-11, -0x1.2c4ceb5c2bc4ep-11, -0x1.230deb4b3dff5p-11, -0x1.1a12ee4200cap-11, -0x1.115be90ee14dfp-11, -0x1.08e8d1633eb73p-11, -0x1.00b8f056b94cp-11, -0x1.f194e041c8ce8p-12, -0x1.e23494683cca4p-12, -0x1.d3490eb6d6b92p-12, -0x1.c4c9731137d23p-12, -0x1.b6ad4f0de1014p-12, -0x1.a8ee276852721p-12, -0x1.9b889e191bb13p-12, -0x1.8e7c63b207f54p-12, -0x1.81cabd19ee6cap-12, -0x1.7574746d90c82p-12, -0x1.6978920093bd9p-12, -0x1.5dd499226f69bp-12, -0x1.5285ceda9e7bp-12, -0x1.478a7536edfaep-12, -0x1.3ce23569e1a8ep-12, -0x1.328d8a522feep-12, -0x1.288c875ef7d32p-12, -0x1.1eddd16800b1bp-12, -0x1.157e8281ac67fp-12, -0x1.0c6ad366061p-12, -0x1.039ebdbd554c4p-12, -0x1.f62c33a999a4cp-13, -0x1.e59902af6451bp-13, -0x1.d57b28560ae01p-13, -0x1.c5cb8b251486bp-13, -0x1.b68633bb82ee7p-13, -0x1.a7aa3d48b3868p-13, -0x1.9938386f3566ep-13, -0x1.8b304ebb43182p-13, -0x1.7d914606fa781p-13, -0x1.70588fe34a511p-13, -0x1.638330a2dfe8ep-13, -0x1.570f320d67d2dp-13, -0x1.4afc62c0c864cp-13, -0x1.3f4af361488b3p-13, -0x1.33f910326bdc1p-13, -0x1.29024c244011fp-13, -0x1.1e6152a992415p-13, -0x1.1411d099a3e37p-13, -0x1.0a1123668ab83p-13, -0x1.005de540619fdp-13, -0x1.ededccfb2dd71p-14, -0x1.dbb43a6b4f2b4p-14, -0x1.ca081e1b73d5ep-14, -0x1.b8e00eb5a0e14p-14, -0x1.a8321a7ca5f1cp-14, -0x1.97f6a41ac7a3p-14, -0x1.882b3405d6ac8p-14, -0x1.78d2716547e89p-14, -0x1.69ef3002b4d5ep-14, -0x1.5b7f749db5829p-14, -0x1.4d7e5d3088b1bp-14, -0x1.3fe9efbc5088ep-14, -0x1.32c32b9ea0a78p-14, -0x1.260827abe05a4p-14, -0x1.19b1e8575c877p-14, -0x1.0db856ee36094p-14, -0x1.0215d86c54391p-14, -0x1.ed8ee9f976b45p-15, -0x1.d79762eea1f5ep-15, -0x1.c2443668153b2p-15, -0x1.ad96d367d57d4p-15, -0x1.99922878807bap-15, -0x1.86375492a95ffp-15, -0x1.7380a0d057f51p-15, -0x1.615eb3d0ea035p-15, -0x1.4fbda5786846cp-15, -0x1.3e8ffe413078p-15, -0x1.2dd5f859e14b7p-15, -0x1.1d98d4fdbb589p-15, -0x1.0ddc399d0d1dbp-15, -0x1.fd332479add15p-16, -0x1.df9752bbe840bp-16, -0x1.c2ea3908ab761p-16, -0x1.a72c92bb59b7ap-16, -0x1.8c4c6bc79070ap-16, -0x1.7233f3399c80bp-16, -0x1.58d6ec0526f2ap-16, -0x1.40311df6306dp-16, -0x1.284077595a093p-16, -0x1.1101eeba378d5p-16, -0x1.f4e3689718f7fp-17, -0x1.c91ac8ce37a2fp-17, -0x1.9eabea463929cp-17, -0x1.759e11858bdfap-17, -0x1.4df6c52d6dcb6p-17, -0x1.27ac9a26cf88ap-17, -0x1.029a629c8cd4ap-17, -0x1.bd2d17461e2acp-18, -0x1.772f13ccc523bp-18, -0x1.333ba4f5299e1p-18, -0x1.e29a7aa6ec8f8p-19, -0x1.62d8022f41651p-19, -0x1.ce346d4148d33p-20, -0x1.bd4d15277635p-21, 0x1.16e744afe60fdp-25, 0x1.d0b49cb91d056p-21, 0x1.c10fd83f43e59p-20, 0x1.499d66d50e5b3p-19, 0x1.af77ae928ec8bp-19, 0x1.090d92b44a02p-18, 0x1.38c90da3bba7dp-18, 0x1.66f6713d5e242p-18, 0x1.939fce4f636a6p-18, 0x1.becf5b08db0b8p-18, 0x1.e88cda5aee693p-18, 0x1.086e1b960ee99p-17, 0x1.1bdfb8fecb00ep-17, 0x1.2e9b6b1d42b7cp-17, 0x1.40a08ecf0e31fp-17, 0x1.51fa94ea83cbap-17, 0x1.62bb01e3a0868p-17, 0x1.72d7fe5a7d7b4p-17, 0x1.825dc4aea3427p-17, 0x1.91621e6fa144p-17, 0x1.9fcfdede17cd2p-17, 0x1.adae01e687ab9p-17, 0x1.bafe88ffa1f93p-17, 0x1.c7bd449db09b7p-17, 0x1.d3f7c7f86ce8fp-17, 0x1.dfb61a98ffacp-17, 0x1.eaf90b194fed8p-17, 0x1.f5c0dfe3e10dep-17, 0x1.00078e30247f9p-16, 0x1.04f3055df9a7dp-16, 0x1.09a413e903a5fp-16, 0x1.0e1bf25c0d933p-16, 0x1.125bd6670c981p-16, 0x1.1664fb1ef609cp-16, 0x1.1a3894f09cf28p-16, 0x1.1dd7c07d7af0cp-16, 0x1.2143b6c09baf2p-16, 0x1.247dafea6b775p-16, 0x1.27849c48704fp-16, 0x1.2a56f898810b3p-16, 0x1.2cfae9fd68497p-16, 0x1.2f71142cec5f2p-16, 0x1.31b8886351d16p-16, 0x1.33d44c26b595ep-16, 0x1.35c342a2b9527p-16, 0x1.378a6a4d1450ep-16, 0x1.3926610115fc2p-16, 0x1.3a96eeade2511p-16, 0x1.3be002af0b788p-16, 0x1.3d0276384fc63p-16, 0x1.3dfe4e0e04349p-16, 0x1.3ed3ea5f1a6e4p-16, 0x1.3f83f2035ca62p-16, 0x1.400f2503777a4p-16, 0x1.4076436bf42a1p-16, 0x1.40ba01c674417p-16, 0x1.40db08405c7cap-16, 0x1.40d9fbb329855p-16, 0x1.40b78a0228806p-16, 0x1.40746c768e2e2p-16, 0x1.4011588e601cp-16, 0x1.3f8eff47b9e71p-16, 0x1.3eee4042f11d7p-16, 0x1.3e2f9904a6021p-16, 0x1.3d51680c1e872p-16, 0x1.3c54b197c3d3fp-16, 0x1.3b3e2e109b55ep-16, 0x1.3a0d344578ebap-16, 0x1.38bc91d3e714p-16, 0x1.37510c2c33491p-16, 0x1.35ce907d338bap-16, 0x1.3431e9f53bd4p-16, 0x1.327ac4be23da3p-16, 0x1.30ab8069d2628p-16, 0x1.2ec484fa6f75cp-16, 0x1.2cc5feef9191cp-16, 0x1.2ab053ba7ff09p-16, 0x1.288401a623159p-16, 0x1.26418ce457f5bp-16, 0x1.23e9794ad1b4ap-16, 0x1.217c47b31875dp-16, 0x1.1efa743b1a9c6p-16, 0x1.1c6476209606ap-16, 0x1.19bac2f16b53fp-16, 0x1.16fdd3f43132dp-16, 0x1.142e287e77e98p-16, 0x1.114c408e9caecp-16, 0x1.0e58916408a32p-16, 0x1.0b53893f5984ep-16, 0x1.083db806840d2p-16, 0x1.05178b85102e1p-16, 0x1.01e050277732p-16, 0x1.fd33679bcf28fp-17, 0x1.f68a550bc9c61p-17, 0x1.efc1f0cf649cfp-17, 0x1.e8dbc2ca9ad7bp-17, 0x1.e1d9e5d9a2c0ap-17, 0x1.dabf74a71861cp-17, 0x1.d3893fd05c549p-17, 0x1.cc39a96e90c26p-17, 0x1.c4d222c3d685cp-17, 0x1.bd530acd7004fp-17, 0x1.b5bd0a37f7b1bp-17, 0x1.ae10ea576d549p-17, 0x1.a64f790fc47e1p-17, 0x1.9e7982b4850d6p-17, 0x1.968fd1390aebap-17, 0x1.8e932bf1df77cp-17, 0x1.868456e093391p-17, 0x1.7e6411f203836p-17, 0x1.763319ea888cdp-17, 0x1.6df22be520c17p-17, 0x1.65a20885a4a87p-17, 0x1.5d4372f114746p-17, 0x1.54d72a933dap-17, 0x1.4c5ddec8e1f88p-17, 0x1.43d82df4f1188p-17, 0x1.3b46e0ebc1ed3p-17, 0x1.32aafb588f6bbp-17, 0x1.2a0450a571edcp-17, 0x1.215476f8cb4d5p-17, 0x1.189b559a71538p-17, 0x1.0fd9d39c9f73cp-17, 0x1.071176372fff3p-17, 0x1.fc841fe4445dep-18, 0x1.ead8af9e2ef75p-18, 0x1.d92188ecc0cf9p-18, 0x1.c760624b1ad1cp-18, 0x1.b5971d8ed612ep-18, 0x1.a3c67859ea574p-18, 0x1.91ef90e92529cp-18, 0x1.80139fb3aee6dp-18, 0x1.6e33db6af27fbp-18, 0x1.5c5175ad8cb1cp-18, 0x1.4a6d9b590e295p-18, 0x1.388974f521871p-18, 0x1.26a626ca2f65fp-18, 0x1.14c4d084d66edp-18, 0x1.02e68cbe54f46p-18, 0x1.e218e34e7fc32p-19, 0x1.be6f268661b3fp-19, 0x1.9ad209fa70aefp-19, 0x1.7743b1aedbb9ep-19, 0x1.53c6391f6e07fp-19, 0x1.305ba286afc78p-19, 0x1.0d05c306712b1p-19, 0x1.d38cffb7075p-20, 0x1.8d40d26641222p-20, 0x1.472b6f98d6487p-20, 0x1.014d88266d767p-20, 0x1.77553b24c35d9p-21, 0x1.d925aee17cea7p-22, 0x1.89677bacf7d34p-23, -0x1.3a78bef6a7d15p-24, -0x1.60bddadeb45a4p-22, -0x1.38d42beae1ff1p-21, -0x1.c0a9bd2c90823p-21, -0x1.23e96eeeb37d8p-20, -0x1.6724d3d5205d2p-20, -0x1.aa04b1273c739p-20, -0x1.ec85fa22fef32p-20, -0x1.1752cd047bc5ap-19, -0x1.38304799a8bd2p-19, -0x1.58d9f54a74031p-19, -0x1.794e671bb6f7ap-19, -0x1.998c363b66719p-19, -0x1.b99203ce48117p-19, -0x1.d95e78fae2b4p-19, -0x1.f8f0472351f53p-19, -0x1.0c2313eec676cp-18, -0x1.1baf6e0c2b785p-18, -0x1.2b1c9587bc92dp-18, -0x1.3a69f125695cp-18, -0x1.4996eb12ae233p-18, -0x1.58a2f1852571ep-18, -0x1.678d79d15265dp-18, -0x1.765602a1d5ad6p-18, -0x1.84fc0809a4d74p-18, -0x1.937eec757224fp-18, -0x1.a1de102ed4ec2p-18, -0x1.b0198830842b2p-18, -0x1.be308b0619b18p-18, -0x1.cc226f7ebb397p-18, -0x1.d9eef5a6c5054p-18, -0x1.e795b93cd7b7dp-18, -0x1.f516489de5e35p-18, -0x1.01380e759d6cp-17, -0x1.07d180f07b2eap-17, -0x1.0e5766e1993acp-17, -0x1.14c960040f63p-17, -0x1.1b2750250850dp-17, -0x1.217112f8ffc68p-17, -0x1.27a6801b63e18p-17, -0x1.2dc770c38d458p-17, -0x1.33d3c0091b049p-17, -0x1.39cb4ac2a49fbp-17, -0x1.3fadef73fe1cp-17, -0x1.457b8e451855fp-17, -0x1.4b3408fbcf735p-17, -0x1.50d742f6ee2bcp-17, -0x1.5665212f217b9p-17, -0x1.5bdd8a3415c2cp-17, -0x1.6140661dc1793p-17, -0x1.668d9e78219c5p-17, -0x1.6bc51e41b6038p-17, -0x1.70e6d1eef4cdcp-17, -0x1.75f2a764d3054p-17, -0x1.7ae88e2346c3p-17, -0x1.7fc877c996936p-17, -0x1.8492578ae25d3p-17, -0x1.89462067bc7cp-17, -0x1.8de3c125f5e83p-17, -0x1.926b34f5455dfp-17, -0x1.96dc8479cd42cp-17, -0x1.9b37902aa5e8ep-17, -0x1.9f7c5a8b021f4p-17, -0x1.a3aae15521433p-17, -0x1.a7c321f162952p-17, -0x1.abc51ad7ac69ap-17, -0x1.afb0caf0f3bc7p-17, -0x1.b3862eaa19c93p-17, -0x1.b7454e5fb3eafp-17, -0x1.baee32fe2e5bep-17, -0x1.be80d4035e9fbp-17, -0x1.c1fd3c58c72fdp-17, -0x1.c5637368a9945p-17, -0x1.c8b380f2376fp-17, -0x1.cbed6de113372p-17, -0x1.cf11444388f1dp-17, -0x1.d21f0f3e0a83dp-17, -0x1.d516db0360d0cp-17, -0x1.d7f8b4cf161b9p-17, -0x1.dac4aae067df6p-17, -0x1.dd7acc752e91p-17, -0x1.e01b29c6d3666p-17, -0x1.e2a5d4061044cp-17, -0x1.e51add53085fep-17, -0x1.e77a58b64ea3dp-17, -0x1.e9c45a1ccb1b8p-17, -0x1.ebf8f655f3895p-17, -0x1.ee18430d9d044p-17, -0x1.f02256c922bf5p-17, -0x1.f21748fe79517p-17, -0x1.f3f732106c04ep-17, -0x1.f5c22af9bc98p-17, -0x1.f7784cf95922dp-17, -0x1.f919b0911bc54p-17, -0x1.faa67783bf02ap-17, -0x1.fc1eb87d71adcp-17, -0x1.fd8290909a71bp-17, -0x1.fed21e15f61b8p-17, -0x1.0006bf888ebe9p-16, -0x1.009a691e667b2p-16, -0x1.01241b883dc2p-16, -0x1.01a3e6c81d2cdp-16, -0x1.0219db20c9dbbp-16, -0x1.028608b9d6ba8p-16, -0x1.02e8812dccd9dp-16, -0x1.034155fd2e201p-16, -0x1.0390977f90561p-16, -0x1.03d657f334d94p-16, -0x1.0412a955a0806p-16, -0x1.04459dda8f259p-16, -0x1.046f47f61b7cdp-16, -0x1.048fba59016eep-16, -0x1.04a707ee79bd5p-16, -0x1.04b543d98cbe3p-16, -0x1.04ba81734dd67p-16, -0x1.04b6d44901566p-16, -0x1.04aa501a447f2p-16, -0x1.049508da79676p-16, }}, 
      {{0x1.28e4bf248bbep-3, 0x1.14215113a4304p-2, 0x1.74c8ec5c4921fp-2, 0x1.b381657eeace2p-2, 0x1.d1b1930f6499dp-2, 0x1.d318da18151d5p-2, 0x1.bc8eac4ffbca9p-2, 0x1.9338c3bcef7b7p-2, 0x1.5c100812d101ap-2, 0x1.1b99f606a5a11p-2, 0x1.ab8a2b18b1ce8p-3, 0x1.1bb8cb1309ed4p-3, 0x1.1a26928eb4298p-4, 0x1.e043270da16e2p-10, -0x1.f494fc593ccd6p-5, -0x1.e6d94307d8d96p-4, -0x1.5da8a48c20d6cp-3, -0x1.bb0e1f466953p-3, -0x1.05aa1b91ac518p-2, -0x1.274c43bccdb4ep-2, -0x1.42a389f67a6b6p-2, -0x1.5802ece540f88p-2, -0x1.67d1db6c81fc9p-2, -0x1.7285290c34a62p-2, -0x1.7899586f0a389p-2, -0x1.7a8e1171dbcb2p-2, -0x1.78e298924938ep-2, -0x1.7413201f4efa4p-2, -0x1.6c96ce0792e15p-2, -0x1.62de55da5676ep-2, -0x1.57530a46eca2fp-2, -0x1.4a564dd348b0cp-2, -0x1.3c414e3d795cp-2, -0x1.2d64f97c3c08ep-2, -0x1.1e0a1e44ffe8cp-2, -0x1.0e71acb668142p-2, -0x1.fdaa1ba1c0e3dp-3, -0x1.decd14ee31b25p-3, -0x1.c0a378389a81dp-3, -0x1.a3780546ed6b3p-3, -0x1.8789f7f664c24p-3, -0x1.6d0df5d23418fp-3, -0x1.542ef63c5ae6p-3, -0x1.3d0f228bbac93p-3, -0x1.27c8ac4d51a07p-3, -0x1.146e988c9d7b6p-3, -0x1.030d7f77890f2p-3, -0x1.e7588034c5016p-4, -0x1.cc99504baa284p-4, -0x1.b5d81fdd4999ep-4, -0x1.a307d5d99fd7ap-4, -0x1.94149a3895288p-4, -0x1.88e4cb68f3d22p-4, -0x1.8159df55f679ap-4, -0x1.7d5131160bafep-4, -0x1.7ca4bc42c11b6p-4, -0x1.7f2bc7085e778p-4, -0x1.84bb7bf42190ep-4, -0x1.8d27748901497p-4, -0x1.9842359434906p-4, -0x1.a5dd9e3a3bbe2p-4, -0x1.b5cb4aa597ab8p-4, -0x1.c7dceb366e406p-4, -0x1.dbe49116cc7dbp-4, -0x1.f1b4f0f7b61e1p-4, -0x1.0490ce690cedcp-3, -0x1.10ff9aa4cb202p-3, -0x1.1e11c9b3bf5f6p-3, -0x1.2bb2f5b8cfa94p-3, -0x1.39cf7482d8099p-3, -0x1.4854632f2a16p-3, -0x1.572fae7a5a4e6p-3, -0x1.665019bcce2e1p-3, -0x1.75a542c43246cp-3, -0x1.851fa3fdf1af6p-3, -0x1.94b096572090ap-3, -0x1.a44a4e16990fbp-3, -0x1.b3dfdbffa255bp-3, -0x1.c36527e123e52p-3, -0x1.d2ceecd8ef2fcp-3, -0x1.e212b6d4f76c2p-3, -0x1.f126d86a4cdc9p-3, -0x1.0001346a2ad69p-2, -0x1.074e9d950ab29p-2, -0x1.0e77eb8672b77p-2, -0x1.1579b9da04b2fp-2, -0x1.1c50f7252c353p-2, -0x1.22fae210817cp-2, -0x1.297504ecd9915p-2, -0x1.2fbd32116a76ap-2, -0x1.35d1803ba0f77p-2, -0x1.3bb0464ae604p-2, -0x1.4158184f45b6dp-2, -0x1.46c7c3d0078a3p-2, -0x1.4bfe4c5cd9282p-2, -0x1.50fae893be4e6p-2, -0x1.55bcfecc07b99p-2, -0x1.5a442208d69bp-2, -0x1.5e900f092b60fp-2, -0x1.62a0a96864fc6p-2, -0x1.6675f8ebd2dddp-2, -0x1.6a1026f3939cap-2, -0x1.6d6f7c138ca89p-2, -0x1.70945dcb20499p-2, -0x1.737f4c5927ba5p-2, -0x1.7630e0aa5c893p-2, -0x1.78a9ca5763c16p-2, -0x1.7aeacdb37126dp-2, -0x1.7cf4c1ecf3f4bp-2, -0x1.7ec88f3af7f63p-2, -0x1.80672d1b9cec3p-2, -0x1.81d1a0a86994cp-2, -0x1.8308fafd4a7eep-2, -0x1.840e57b4ef994p-2, -0x1.84e2db7ebe71cp-2, -0x1.8587b2ca989d7p-2, -0x1.85fe108900738p-2, -0x1.86472d022f5fcp-2, -0x1.866444c10fd2cp-2, -0x1.8656978e4a736p-2, -0x1.861f677cbd9c9p-2, -0x1.85bff806fd84fp-2, -0x1.85398d3a90329p-2, -0x1.848d6af0c8a58p-2, -0x1.83bcd417225cep-2, -0x1.82c90a05c62c1p-2, -0x1.81b34be2dc0b4p-2, -0x1.807cd613ee076p-2, -0x1.7f26e1bdd623cp-2, -0x1.7db2a451b7ac5p-2, -0x1.7c214f25e454ep-2, -0x1.7a740f1b633b6p-2, -0x1.78ac0c4f7daa5p-2, -0x1.76ca69d6f632bp-2, -0x1.74d04582be933p-2, -0x1.72beb7ad9d0bp-2, -0x1.7096d311815d6p-2, -0x1.6e59a4a429328p-2, -0x1.6c0833793a9dp-2, -0x1.69a380a9f9b3bp-2, -0x1.672c87435a53dp-2, -0x1.64a43c37a27bdp-2, -0x1.620b8e53e8025p-2, -0x1.5f63663b1df2bp-2, -0x1.5caca66404c94p-2, -0x1.59e82b1a22802p-2, -0x1.5716ca83b3673p-2, -0x1.543954a9b7818p-2, -0x1.5150938230324p-2, -0x1.4e5d4aff35b8ep-2, -0x1.4b60391fe4257p-2, -0x1.485a1601b6b1bp-2, -0x1.454b93f5fab6bp-2, -0x1.42355f99c6127p-2, -0x1.3f181fecff2ccp-2, -0x1.3bf4766b7fbffp-2, -0x1.38caff29556eep-2, -0x1.359c50ee04972p-2, -0x1.3268fd4f747e9p-2, -0x1.2f3190cfdd9a5p-2, -0x1.2bf692fbef3fep-2, -0x1.28b88686bd1bfp-2, -0x1.2577e966e0866p-2, -0x1.223534f5c7117p-2, -0x1.1ef0de0d26fd8p-2, -0x1.1bab5522bd2ffp-2, -0x1.18650665fc958p-2, -0x1.151e59de9262cp-2, -0x1.11d7b38863d06p-2, -0x1.0e91736ea1de1p-2, -0x1.0b4bf5c8c3822p-2, -0x1.080793175f4d1p-2, -0x1.04c4a03e9aafap-2, -0x1.01836ea005eb8p-2, -0x1.fc88986b302cep-3, -0x1.f60f075af01fap-3, -0x1.ef9ab903ca879p-3, -0x1.e92c36233d4efp-3, -0x1.e2c4017229cb6p-3, -0x1.dc6297d66fa98p-3, -0x1.d608709097cffp-3, -0x1.cfb5fd6827551p-3, -0x1.c96baad8c12ap-3, -0x1.c329e03f2f24ep-3, -0x1.bcf1000330357p-3, -0x1.b6c167bf7a90cp-3, -0x1.b09b7069eb9a8p-3, -0x1.aa7f6e7baf01dp-3, -0x1.a46db216ac575p-3, -0x1.9e6687294924dp-3, -0x1.986a359208b78p-3, -0x1.927901431186ap-3, -0x1.8c932a639aeb5p-3, -0x1.86b8ed6f02f44p-3, -0x1.80ea8353e3577p-3, -0x1.7b282193b4027p-3, -0x1.7571fa60f1accp-3, -0x1.6fc83cba95705p-3, -0x1.6a2b1485f5207p-3, -0x1.649aaaa9b7d24p-3, -0x1.5f172529983a1p-3, -0x1.59a0a740352c8p-3, -0x1.5437517570c16p-3, -0x1.4edb41b3d222ap-3, -0x1.498c935f67bf2p-3, -0x1.444b5f6e22d76p-3, -0x1.3f17bc7e86ac1p-3, -0x1.39f1beea90fb3p-3, -0x1.34d978d8ba4eap-3, -0x1.2fcefa4e7cd6fp-3, -0x1.2ad251458ea4dp-3, -0x1.25e389c0b87ep-3, -0x1.2102addcdc54p-3, -0x1.1c2fc5de8c1eep-3, -0x1.176ad83fe2b08p-3, -0x1.12b3e9c1c1961p-3, -0x1.0e0afd7f23229p-3, -0x1.097014fe1657ep-3, -0x1.04e3303c17563p-3, -0x1.00644db7e770fp-3, -0x1.f7e6d4faff2a6p-4, -0x1.ef21046c3821p-4, -0x1.e6771e731b97bp-4, -0x1.dde9153844262p-4, -0x1.d576d86f26a67p-4, -0x1.cd20556451111p-4, -0x1.c4e57711bc7f9p-4, -0x1.bcc6263be9394p-4, -0x1.b4c249912f755p-4, -0x1.acd9c5c1bcc9fp-4, -0x1.a50c7d8d57e2fp-4, -0x1.9d5a51cd59222p-4, -0x1.95c32184773dfp-4, -0x1.8e46c9f7c7782p-4, -0x1.86e526cb43f4bp-4, -0x1.7f9e1218802f6p-4, -0x1.7871647b4309cp-4, -0x1.715ef5187821dp-4, -0x1.6a6699a87823bp-4, -0x1.6388268a2749p-4, -0x1.5cc36edc12968p-4, -0x1.5618449353a4p-4, -0x1.4f867889e4c1fp-4, -0x1.490dda8519746p-4, -0x1.42ae393b1453p-4, -0x1.3c67625e5f036p-4, -0x1.363922b1288ffp-4, -0x1.3023461b32b8bp-4, -0x1.2a2597bb5361fp-4, -0x1.243fe1f1050fap-4, -0x1.1e71ee608f0bbp-4, -0x1.18bb85f7fd509p-4, -0x1.131c70fa067b1p-4, -0x1.0d94770ee8628p-4, -0x1.08235f56b9d24p-4, -0x1.02c8f077a2029p-4, -0x1.fb09e14b37444p-5, -0x1.f0ae4b4bc39cdp-5, -0x1.e67ea9a5cf591p-5, -0x1.dc7a86499176ap-5, -0x1.d2a16a7d41c07p-5, -0x1.c8f2defb31d56p-5, -0x1.bf6e6c0adbf8bp-5, -0x1.b613999026ffbp-5, -0x1.ace1ef128cf66p-5, -0x1.a3d8f3c2bebcdp-5, -0x1.9af82e856c97dp-5, -0x1.923f2605c76a8p-5, -0x1.89ad60cce3552p-5, -0x1.814265580ddf2p-5, -0x1.78fdba290d761p-5, -0x1.70dee5cf35b59p-5, -0x1.68e56eec5c268p-5, -0x1.6110dc3ab157bp-5, -0x1.5960b49744786p-5, -0x1.51d47f11a0a44p-5, -0x1.4a6bc2fdcb39fp-5, -0x1.432608046a05p-5, -0x1.3c02d62e4594bp-5, -0x1.3501b5eaee0c1p-5, -0x1.2e223014dcc63p-5, -0x1.2763cdf65b5d4p-5, -0x1.20c61951900fdp-5, -0x1.1a489c6bdbdabp-5, -0x1.13eae21ae0308p-5, -0x1.0dac75d066a5cp-5, -0x1.078ce3a353cb8p-5, -0x1.018bb8553934ep-5, -0x1.f75102ab9400cp-6, -0x1.ebc5998c9216bp-6, -0x1.e07452fd2920cp-6, -0x1.d55c4e28c8094p-6, -0x1.ca7cabc7f3b67p-6, -0x1.bfd48e3191f04p-6, -0x1.b563196910a9ep-6, -0x1.ab2773282818bp-6, -0x1.a120c2e4d31d2p-6, -0x1.974e31d5b474cp-6, -0x1.8daeeaf740f52p-6, -0x1.84421b1345899p-6, -0x1.7b06f0cae195fp-6, -0x1.71fc9ca1aa4e1p-6, -0x1.692251082c342p-6, -0x1.6077426406454p-6, -0x1.57faa71541f13p-6, -0x1.4fabb7793b9afp-6, -0x1.4789adecc3403p-6, -0x1.3f93c6ceaf1fcp-6, -0x1.37c94083c0dap-6, -0x1.30295b7c18da3p-6, -0x1.28b35a3959acp-6, -0x1.21668154762b8p-6, -0x1.1a421782127edp-6, -0x1.1345659500ec4p-6, -0x1.0c6fb67ef32e7p-6, -0x1.05c057503f58ap-6, -0x1.fe6d2e6f4102ap-7, -0x1.f1a38f0582c5ap-7, -0x1.e522773f9f23ap-7, -0x1.d8e8923f99653p-7, -0x1.ccf48f7239ce3p-7, -0x1.c1452292ceda3p-7, -0x1.b5d903ac806a3p-7, -0x1.aaaeef18551c8p-7, -0x1.9fc5a578ff113p-7, -0x1.951bebb556e8ep-7, -0x1.8ab08af38ae8p-7, -0x1.80825095f451cp-7, -0x1.76900e3a298e9p-7, -0x1.6cd899b9a43edp-7, -0x1.635acd2a8be3dp-7, -0x1.5a1586df08c48p-7, -0x1.5107a96197cd5p-7, -0x1.48301b6d90882p-7, -0x1.3f8dc7e4e06aep-7, -0x1.371f9dc47267ap-7, -0x1.2ee49019e42ep-7, -0x1.26db95fcd9792p-7, -0x1.1f03aa8caa928p-7, -0x1.175bccf21b8fap-7, -0x1.0fe3006287882p-7, -0x1.08984c2147774p-7, -0x1.017abb7b96a49p-7, -0x1.f512bb798f5c7p-8, -0x1.e7868c35ec83ap-8, -0x1.da4f173dc38fp-8, -0x1.cd6a92162427fp-8, -0x1.c0d7399062e69p-8, -0x1.b49351b97d5bbp-8, -0x1.a89d25e5e0619p-8, -0x1.9cf308d1c4c3p-8, -0x1.919354c8962b7p-8, -0x1.867c6bc63895bp-8, -0x1.7bacb78104a6fp-8, -0x1.7122a94bd1c56p-8, -0x1.66dcb9cb630e1p-8, -0x1.5cd9688aac218p-8, -0x1.53173b83b02bcp-8, -0x1.4994beb9a534ap-8, -0x1.405084003c84ep-8, -0x1.3749230335babp-8, -0x1.2e7d39905824ep-8, -0x1.25eb6c12f12f9p-8, -0x1.1d92661ec3498p-8, -0x1.1570dade9553bp-8, -0x1.0d85853cf770cp-8, -0x1.05cf27abd7b19p-8, -0x1.fc99170e5cc8cp-9, -0x1.edf900566aed8p-9, -0x1.dfbbb3dd25b4cp-9, -0x1.d1dee27dadafdp-9, -0x1.c46044380cf93p-9, -0x1.b73d9839cbd5dp-9, -0x1.aa74a60b882b1p-9, -0x1.9e033faae8815p-9, -0x1.91e74414f2d5bp-9, -0x1.861ea1998b72dp-9, -0x1.7aa7575061ef7p-9, -0x1.6f7f752f2b7a8p-9, -0x1.64a51a8e6cf3ep-9, -0x1.5a16734be121p-9, -0x1.4fd1b414f1232p-9, -0x1.45d516a701d92p-9, -0x1.3c1ed6e558052p-9, -0x1.32ad31818e915p-9, -0x1.297e649e74537p-9, -0x1.2090b261553a2p-9, -0x1.17e264f00a2e3p-9, -0x1.0f71d2fbc2efp-9, -0x1.073d63cda14dcp-9, -0x1.fe8723af4f703p-10, -0x1.ef05d62ce68f6p-10, -0x1.dff41e094294bp-10, -0x1.d14f54d54da1ep-10, -0x1.c314e3ac67866p-10, -0x1.b54237bb9b359p-10, -0x1.a7d4b8db78918p-10, -0x1.9ac9c45553dcep-10, -0x1.8e1ead0912d71p-10, -0x1.81d0c0f8453aap-10, -0x1.75dd53108bd64p-10, -0x1.6a41c7279ed04p-10, -0x1.5efb9daf6031bp-10, -0x1.54087cb7f081ep-10, -0x1.4966345c273edp-10, -0x1.3f12bd937c2dcp-10, -0x1.350c3377f81ecp-10, -0x1.2b50c8316217ep-10, -0x1.21deb7ab14d2ep-10, -0x1.18b43ac618879p-10, -0x1.0fcf7dab2ac4bp-10, -0x1.072e9b2a9302dp-10, -0x1.fd9f3bd847ffp-11, -0x1.ed610dc41bbdep-11, -0x1.dd9eaec7a0e05p-11, -0x1.ce54398efdd09p-11, -0x1.bf7df68a17775p-11, -0x1.b1186c86ca847p-11, -0x1.a320696e144a6p-11, -0x1.959301c92fbfcp-11, -0x1.886d873b8b9cbp-11, -0x1.7bad77c3fddc7p-11, -0x1.6f50690bf53bbp-11, -0x1.6353f3de1e43p-11, -0x1.57b5a3c42966p-11, -0x1.4c72edb15fba9p-11, -0x1.41892ed9058c8p-11, -0x1.36f5b2efe0f64p-11, -0x1.2cb5bfb688e03p-11, -0x1.22c6a30c786bcp-11, -0x1.1925c0c939deap-11, -0x1.0fd09ddf4f807p-11, -0x1.06c4e6c32762p-11, -0x1.fc00dfe713d01p-12, -0x1.eb0261f3097c8p-12, -0x1.da8a77dafab9cp-12, -0x1.ca95695173f8ap-12, -0x1.bb1f950929f84p-12, -0x1.ac256bb78de4ep-12, -0x1.9da370ad32ad2p-12, -0x1.8f963b54957bp-12, -0x1.81fa759471cfp-12, -0x1.74ccd6d11410bp-12, -0x1.680a1fa89429ep-12, -0x1.5baf1bf884f3dp-12, -0x1.4fb8ad36ce4f8p-12, -0x1.4423d83589fb9p-12, -0x1.38edcc167d7p-12, -0x1.2e13d962a3667p-12, -0x1.2393587f58f5cp-12, -0x1.19698982c7651p-12, -0x1.0f937e1bf8559p-12, -0x1.060e1c7c29c3ep-12, -0x1.f9ac7f8c38b9dp-13, -0x1.e7d1d7c17f1bdp-13, -0x1.d686fd6e96262p-13, -0x1.c5c78e3f94f73p-13, -0x1.b58fea3cc5593p-13, -0x1.a5dcd7e2dfebbp-13, -0x1.96ab214bb965dp-13, -0x1.87f764ced387ap-13, -0x1.79be2fc42b47cp-13, -0x1.6bfc44610c084p-13, -0x1.5eaecbef19b92p-13, -0x1.51d34440ed5b8p-13, -0x1.4567253e74842p-13, -0x1.396767a7fc1fbp-13, -0x1.2dd027c0e69f3p-13, -0x1.229c9336b94c2p-13, -0x1.17c73535596a2p-13, -0x1.0d4a91d2acf7bp-13, -0x1.0321e0915f96ep-13, -0x1.f2933955388aep-14, -0x1.df7f4791719ap-14, -0x1.cd0594b17ae46p-14, -0x1.bb2436b8a8c6p-14, -0x1.a9d868c6ac777p-14, -0x1.991e3b9633c9p-14, -0x1.88f14ac1a0d76p-14, -0x1.794dcc0d2992dp-14, -0x1.6a3126ac13efp-14, -0x1.5b99af548aaf9p-14, -0x1.4d85bc480bdd1p-14, -0x1.3ff29cf0d4abap-14, -0x1.32dbf8104b5bdp-14, -0x1.263bc0d6f3a28p-14, -0x1.1a0aa31463732p-14, -0x1.0e40bd73bf219p-14, -0x1.02d69f7ad478dp-14, -0x1.ef8cd5f8ed79ap-15, -0x1.da19483645c86p-15, -0x1.c550336384641p-15, -0x1.b131886e14d0dp-15, -0x1.9dbc812edd9aep-15, -0x1.8aedcf72c5fa7p-15, -0x1.78c006d44283bp-15, -0x1.672d7c7cddff3p-15, -0x1.563205ca34075p-15, -0x1.45cb80b5cab86p-15, -0x1.35f8ef6759583p-15, -0x1.26b8b8fdbc276p-15, -0x1.180747a6a56d2p-15, -0x1.09defda0db87ap-15, -0x1.f8726b9acd0bdp-16, -0x1.de1e4f5dba9e6p-16, -0x1.c4b40e5b35896p-16, -0x1.ac259f8acf348p-16, -0x1.94652d2568913p-16, -0x1.7d672b7008ea2p-16, -0x1.672447be6ff69p-16, -0x1.519950d728b18p-16, -0x1.3cc51a106ce2ap-16, -0x1.28a60a76235ap-16, -0x1.1538ca28c5b79p-16, -0x1.02784dce1d85ap-16, -0x1.e0be0e0e5d466p-17, -0x1.bdd199f719c97p-17, -0x1.9c2787fd2dc68p-17, -0x1.7bbcf9757e3abp-17, -0x1.5c89e3a34bf02p-17, -0x1.3e7ff3c0d2221p-17, -0x1.218f0808d54f9p-17, -0x1.05a9dfc91e612p-17, -0x1.d58f412f7ef9bp-18, -0x1.a1c5398182023p-18, -0x1.6feb8bd0233c4p-18, -0x1.3ff423f6e4e82p-18, -0x1.11ca1f224f91fp-18, -0x1.caa5a12ea9cbcp-19, -0x1.74e4c15e0cc28p-19, -0x1.2225a30feacb7p-19, -0x1.a4ab8dd4da65dp-20, -0x1.0af6c543d9ba4p-20, -0x1.dce70dea1a29fp-22, 0x1.6acb84bcae7fap-24, 0x1.3def1d22d10f3p-21, 0x1.21c524f41c4fap-20, 0x1.9f199b80f0eb3p-20, 0x1.0b8a5fca6f163p-19, 0x1.4501470b5ddeep-19, 0x1.7c1b07b33a18ap-19, 0x1.b0f541748c32fp-19, 0x1.e3a1c1e497beep-19, 0x1.0a15fad43ddecp-18, 0x1.214d78134f55bp-18, 0x1.37786327e0cd1p-18, 0x1.4c9629e9fee15p-18, 0x1.60a82026a5aa7p-18, 0x1.73b6b220b7fc7p-18, 0x1.85d42e3a66aap-18, 0x1.97178592bdbp-18, 0x1.a790dbba32618p-18, 0x1.b741c7db22041p-18, 0x1.c6228181cd7fp-18, 0x1.d4317ffc8d763p-18, 0x1.e177ad584bcfap-18, 0x1.edfbff5409657p-18, 0x1.f9bda47e8f42bp-18, 0x1.025f438f0eeafp-17, 0x1.0784d06cbbfdep-17, 0x1.0c55a65e01863p-17, 0x1.10d57f61c7895p-17, 0x1.150625e85ea2cp-17, 0x1.18e8e69406556p-17, 0x1.1c7f4c29ac1abp-17, 0x1.1fcb11f0b3467p-17, 0x1.22cd9f81f5dcdp-17, 0x1.2587955140324p-17, 0x1.27f8f54528621p-17, 0x1.2a21f5695c3e8p-17, 0x1.2c0478887e05fp-17, 0x1.2da56cb87c0abp-17, 0x1.2f0a36ee0a1dp-17, 0x1.3034b6bea8e5dp-17, 0x1.3125975718664p-17, 0x1.31ddd223e6021p-17, 0x1.325dbf3af1565p-17, 0x1.32a6a4b14d486p-17, 0x1.32b97ef6c297bp-17, 0x1.3296382bce66ep-17, 0x1.323f31e1d8695p-17, 0x1.31b7cf4c05be2p-17, 0x1.3101fc569aec3p-17, 0x1.301ea01c56db2p-17, 0x1.2f0e8041028aap-17, 0x1.2dd28a812d0cep-17, 0x1.2c6bd28c7a89dp-17, 0x1.2adb82de5ac5ep-17, 0x1.2922c68b5fbc6p-17, 0x1.2742a8981eb6ap-17, 0x1.253c01e02055fp-17, 0x1.230f90dedf73ep-17, 0x1.20bdfe59443fep-17, 0x1.1e47e02fb470dp-17, 0x1.1baeeec09097dp-17, 0x1.18f56e51985c4p-17, 0x1.161b0cfc8fb7cp-17, 0x1.13219c3304679p-17, 0x1.100bc92fda8c3p-17, 0x1.0cd8257135b77p-17, 0x1.0987e3e54b9f7p-17, 0x1.061bcebc4b3f5p-17, 0x1.0294277cf42c5p-17, 0x1.fde584c0dd584p-18, 0x1.f671ce3403fcep-18, 0x1.eece6c5ce8cf5p-18, 0x1.e6fc8b3162595p-18, 0x1.defd8f48eebc3p-18, 0x1.d6d2fe36c507p-18, 0x1.ce7e633885dc9p-18, 0x1.c60143f5cd037p-18, 0x1.bd5d21b77950fp-18, 0x1.b4937cbe9930ep-18, 0x1.aba5d08778fc1p-18, 0x1.a2958dc0eb81dp-18, 0x1.99642b29a0b7dp-18, 0x1.90131bce39873p-18, 0x1.86a30c6c502b7p-18, 0x1.7d147fb70bea7p-18, 0x1.736a825f318e8p-18, 0x1.69a645bf11c6fp-18, 0x1.5fc87c534de26p-18, 0x1.55d32794708adp-18, 0x1.4bc6d6592e71bp-18, 0x1.41a61dd1c7915p-18, 0x1.3770d6ebd7312p-18, 0x1.2d27e231c3a96p-18, 0x1.22cd6f4e34c11p-18, 0x1.1862aa3a59a1p-18, 0x1.0de879a848729p-18, 0x1.035fdf9b3e15ap-18, 0x1.f193e3a8975c2p-19, 0x1.dc4f95fdedf46p-19, 0x1.c6f5053ed13bdp-19, 0x1.b18652cafffcap-19, 0x1.9c0591ce93249p-19, 0x1.8674cd0d3b478p-19, 0x1.70d60ec499f5ap-19, 0x1.5b2b6238f0c99p-19, 0x1.4576ca26e99c9p-19, 0x1.2fba4003b89bfp-19, 0x1.19f7d3afbae67p-19, 0x1.0431522be0c27p-19, 0x1.dcce64bd06a6bp-20, 0x1.b1370fbc57592p-20, 0x1.85a554138548p-20, 0x1.5a1b2c4c9e2bfp-20, 0x1.2e94ee1d0c5c6p-20, 0x1.031b3283cab29p-20, 0x1.af6aeef4cfaebp-21, 0x1.58c4c6d984f6dp-21, 0x1.024836ac15173p-21, 0x1.58003173e8f2p-22, 0x1.57c95924b5acap-23, 0x1.215c87718589bp-32, -0x1.5592e1f06e374p-23, -0x1.5545057f02f6dp-22, -0x1.ff1ed4e91aa7bp-22, -0x1.5425c0d938b9p-21, -0x1.a85ff7d745696p-21, -0x1.fc38a6a0dfc5bp-21, -0x1.27d54515a777cp-20, -0x1.51583e4d35ff3p-20, -0x1.7aa2b37c540a8p-20, -0x1.a3b21d9c484acp-20, -0x1.cc840179bc922p-20, -0x1.f515fec29594ep-20, -0x1.0eb2e56831a9cp-19, -0x1.22b87d632cad9p-19, -0x1.369aadb4fe635p-19, -0x1.4a591f75ff6b2p-19, -0x1.5df1f4bb1da4fp-19, -0x1.71637c6f078eep-19, -0x1.84ae1efa50809p-19, -0x1.97d0a8ea6111dp-19, -0x1.aac9be7e764fdp-19, -0x1.bd97acc94f8p-19, -0x1.d03ae75b0ccf5p-19, -0x1.e2b208142165p-19, -0x1.f4fbfbde3b973p-19, -0x1.038c0aa3adbap-18, -0x1.0c82c9f357088p-18, -0x1.1561d8bff2948p-18, -0x1.1e28d5d8010b6p-18, -0x1.26d7630899f17p-18, -0x1.2f6d2544c6263p-18, -0x1.37e9c4afb0f41p-18, -0x1.404cecbe7f1dbp-18, -0x1.48964c6078e8ap-18, -0x1.50c595c4e552ap-18, -0x1.58da7d9205b45p-18, -0x1.60d4ba2f4a598p-18, -0x1.68b403fe457c3p-18, -0x1.707816bc1634dp-18, -0x1.7820b428a667bp-18, -0x1.7fada41f5021dp-18, -0x1.871ea7a9f1057p-18, -0x1.8e73755b2c311p-18, -0x1.95ac0721159b9p-18, -0x1.9cc7f8d967fb5p-18, -0x1.a3c74595692a1p-18, -0x1.aaa9b420b1543p-18, -0x1.b16ee9fe4c9b9p-18, -0x1.b816ec9339282p-18, -0x1.bea192f715ac4p-18, -0x1.c50ec5b0d1796p-18, -0x1.cb5e57b951a7p-18, -0x1.d19016bbc8579p-18, -0x1.d7a3f66d7ee4ep-18, -0x1.dd99e137eb3bp-18, -0x1.e371c01b7feefp-18, -0x1.e92b7e1998f32p-18, -0x1.eec708a163407p-18, -0x1.f4444f850936bp-18, -0x1.f9a344e577f9dp-18, -0x1.fee3dd280a114p-18, -0x1.020307800408ep-17, -0x1.0484e9bd72b23p-17, -0x1.06f792ecb34c6p-17, -0x1.095b0192b79bdp-17, -0x1.0baf34f074fc5p-17, -0x1.0df42d123f1e7p-17, -0x1.1029eb0cb67bap-17, -0x1.125071b4f3e85p-17, -0x1.1467c67551d03p-17, -0x1.166feea070e2fp-17, -0x1.1868e8c3b6c8dp-17, -0x1.1a52b7b3a82fbp-17, -0x1.1c2d735822618p-17, -0x1.1df924c25125ap-17, -0x1.1fb5c40c9c52ep-17, -0x1.21635e75617ccp-17, -0x1.2301ffa251129p-17, -0x1.2491abf6afb77p-17, -0x1.26127f1cd0d7dp-17, -0x1.27848be71a72ep-17, -0x1.28e7ccf0cb56ap-17, -0x1.2a3c51d2f0ef6p-17, -0x1.2b822ed3ce40bp-17, -0x1.2cb9743369fffp-17, -0x1.2de2323fbe0f1p-17, -0x1.2efc7a06eb265p-17, -0x1.30085d54755e2p-17, -0x1.3105eea517b18p-17, -0x1.31f5411e3f3d8p-17, -0x1.32d66888183f4p-17, -0x1.33a9794a6f1a1p-17, -0x1.346e886df4504p-17, -0x1.3525ab97e7fa4p-17, -0x1.35cef8f79769dp-17, -0x1.366a872f91131p-17, -0x1.36f86d523b116p-17, -0x1.3778c2e8db956p-17, -0x1.37eba006ebfp-17, -0x1.38511db6f6dd1p-17, -0x1.38a95647f43f1p-17, -0x1.38f4639ac337ep-17, -0x1.39325be32103dp-17, -0x1.396354f20ba04p-17, -0x1.39877dc2b33a5p-17, -0x1.399ee61b8c224p-17, -0x1.39a9a22968a5ep-17, -0x1.39a7d4be5d66p-17, -0x1.39999b7c24a2bp-17, -0x1.397f11e06d72cp-17, -0x1.39584fe97f80ep-17, -0x1.392579b04f0c7p-17, -0x1.38e6b55bbe5c1p-17, -0x1.389c11366ced1p-17, -0x1.3845b04504fd8p-17, -0x1.37e3b2f0ef144p-17, -0x1.37763810b8026p-17, -0x1.36fd5eb2703a6p-17, -0x1.367946316e713p-17, -0x1.35ea0e2b22c9bp-17, -0x1.354fd677cc64dp-17, -0x1.34aabf254e1ddp-17, -0x1.33fae873a3e95p-17, -0x1.334072d28b2b4p-17, -0x1.327b7edf9286ep-17, -0x1.31ac2d63bc961p-17, -0x1.30d29f4ce5709p-17, -0x1.2feef5a5448cfp-17, -0x1.2f015191a2772p-17, -0x1.2e09d451eb865p-17, -0x1.2d089f3de7abbp-17, -0x1.2bfdd3d3be99cp-17, -0x1.2ae993e7dfaedp-17, -0x1.29cc0170f107ap-17, -0x1.28a53de0a7169p-17, -0x1.277568aa7faecp-17, -0x1.263ca5555ff14p-17, -0x1.24fb1bdc5414cp-17, -0x1.23b0e51fb488dp-17, -0x1.225e25f3c0189p-17, -0x1.210300f897c3bp-17, -0x1.1f9f983a9f17ep-17, -0x1.1e340db1b3ea8p-17, -0x1.1cc083069bbd1p-17, -0x1.1b4518801001dp-17, -0x1.19c1f250151fp-17, -0x1.1837346159a2bp-17, -0x1.16a4fbc19efadp-17, -0x1.150b6c265ceeap-17, -0x1.136aa781f356dp-17, -0x1.11c2cf6c8c98ap-17, -0x1.10140573c09ddp-17, -0x1.0e5e6b15f12d1p-17, -0x1.0ca221bddf2fep-17, -0x1.0adf4abff6393p-17, -0x1.091607587e583p-17, -0x1.074678a99b552p-17, -0x1.0570bfb9f013dp-17, -0x1.0394fd73923c7p-17, -0x1.01b352a2858d5p-17, -0x1.ff97bfe470798p-18, -0x1.fbbd8bd6d2457p-18, -0x1.f7d849e68809bp-18, -0x1.f3e83a95438aep-18, -0x1.efed9e17e2939p-18, -0x1.ebe8b45645732p-18, -0x1.e7d9bcfa3ea7ep-18, -0x1.e3c0f76d48086p-18, -0x1.df9ea2a19f88ep-18, -0x1.db72fcdda5096p-18, -0x1.d73e4315ecf59p-18, -0x1.d300b764e2763p-18, -0x1.ceba93e3ae93cp-18, -0x1.ca6c15f9267b3p-18, -0x1.c6157b0ab67bdp-18, -0x1.c1b6ff73a0f24p-18, -0x1.bd50df32d4c36p-18, -0x1.b8e355eef2a1bp-18, -0x1.b46e9ed9b7bf7p-18, -0x1.aff2f4aafa512p-18, -0x1.ab709135c78e3p-18, -0x1.a6e7af42013d4p-18, -0x1.a25888a687209p-18, -0x1.9dc3552fa08aep-18, -0x1.99284e15afeb1p-18, -0x1.9487ab8752e83p-18, -0x1.8fe1a534f7be1p-18, -0x1.8b36725c899c6p-18, -0x1.868649c64e81cp-18, -0x1.81d161c328c38p-18, -0x1.7d17f02abdc7dp-18, -0x1.785a2a5ad8a57p-18, -0x1.73984536d6db3p-18, -0x1.6ed275267e919p-18, -0x1.6a08ee1a56057p-18, }}, 
      {{-0x1.a071bd6021e6cp+1, -0x1.8a101e02c3b54p+1, -0x1.6e471e1c193fp+1, -0x1.517eaae5cf955p+1, -0x1.363ebb987f513p+1, -0x1.1dd7ede032c86p+1, -0x1.08d4a397dd3fap+1, -0x1.ee8990094bfdep+0, -0x1.d1e0e14fdf893p+0, -0x1.baf2de7af8ecep+0, -0x1.a8e277b3342f4p+0, -0x1.9acdb828d25cbp+0, -0x1.8fde9dc8e6a4p+0, -0x1.875474d27a9e5p+0, -0x1.808836d42b866p+0, -0x1.7aeda7a55df52p+0, -0x1.76126bbc953aap+0, -0x1.719bf1d9c7c02p+0, -0x1.6d44c473ab5bep+0, -0x1.68d9a571c61e1p+0, -0x1.6436b224fcd5bp+0, -0x1.5f44b39c63c93p+0, -0x1.59f6aea1e22b8p+0, -0x1.5447bc06bc69dp+0, -0x1.4e392b43f88dfp+0, -0x1.47d0ed3693b38p+0, -0x1.4118420e51b61p+0, -0x1.3a1aa3f4fea58p+0, -0x1.32e4e745ac10bp+0, -0x1.2b8489156bb8cp+0, -0x1.240725256a9f3p+0, -0x1.1c7a0ce457233p+0, -0x1.14e9f9d0e186ap+0, -0x1.0d62d6422576p+0, -0x1.05ef9849c8929p+0, -0x1.fd34560c778d4p-1, -0x1.eed6c6a18ebecp-1, -0x1.e0d5fa6be5982p-1, -0x1.d33f4035f2152p-1, -0x1.c61dcfac6a441p-1, -0x1.b97ae2ab20901p-1, -0x1.ad5dd36ae53d3p-1, -0x1.a1cc3dcdcb733p-1, -0x1.96ca2269955a3p-1, -0x1.8c5a0a414023fp-1, -0x1.827d2a5f54e0bp-1, -0x1.793386b6fc445p-1, -0x1.707c13da9af13p-1, -0x1.6854d73772641p-1, -0x1.60bb059ea489ep-1, -0x1.59ab1ff83d452p-1, -0x1.53210e0c20435p-1, -0x1.4d18375896591p-1, -0x1.478b99f7f4da8p-1, -0x1.4275df9d3ccb3p-1, -0x1.3dd170b56753fp-1, -0x1.399885bec0545p-1, -0x1.35c536ea6fd1cp-1, -0x1.32518a1e9bf43p-1, -0x1.2f377f702a45p-1, -0x1.2c711c2c304ecp-1, -0x1.29f874889d61fp-1, -0x1.27c7b414397e5p-1, -0x1.25d924fdda00dp-1, -0x1.24273649dab38p-1, -0x1.22ac810ce65acp-1, -0x1.2163ccbf37393p-1, -0x1.204812bc0c75fp-1, -0x1.1f54810319995p-1, -0x1.1e847c46ba89p-1, -0x1.1dd3a1719345p-1, -0x1.1d3dc68762b84p-1, -0x1.1cbefb30ecda1p-1, -0x1.1c5388b01f96bp-1, -0x1.1bf7f17976d14p-1, -0x1.1ba8f0b270427p-1, -0x1.1b6378d7c4358p-1, -0x1.1b24b30ffc175p-1, -0x1.1ae9fd66a0bb1p-1, -0x1.1ab0e9485709dp-1, -0x1.1a773a31a3753p-1, -0x1.1a3ae311f4a16p-1, -0x1.19fa05132e95dp-1, -0x1.19b2ed43c57bcp-1, -0x1.19641287a4ef4p-1, -0x1.190c13fbf82b1p-1, -0x1.18a9b69021119p-1, -0x1.183be34a2e44bp-1, -0x1.17c1a50ce637cp-1, -0x1.173a26a43a53bp-1, -0x1.16a4b0dddb91dp-1, -0x1.1600a87560dbdp-1, -0x1.154d8c7ede2a4p-1, -0x1.148af4995a1e1p-1, -0x1.13b88f4405bb7p-1, -0x1.12d620616ff3bp-1, -0x1.11e37fa0f2234p-1, -0x1.10e097057433ep-1, -0x1.0fcd617aa938ap-1, -0x1.0ea9e9761c22ap-1, -0x1.0d7647aef1cc4p-1, -0x1.0c32a1e941732p-1, -0x1.0adf29d787808p-1, -0x1.097c1c0e7ae3bp-1, -0x1.0809bf092921ep-1, -0x1.0688623c30adep-1, -0x1.04f85d331d6ffp-1, -0x1.035a0eb70c3fcp-1, -0x1.01addbfede8ap-1, -0x1.ffe85fcd84c82p-2, -0x1.fc5af4609bcf4p-2, -0x1.f8b45d9a5808dp-2, -0x1.f4f58a6713bd2p-2, -0x1.f11f6f7a4c416p-2, -0x1.ed33062549e5fp-2, -0x1.e9314b4401346p-2, -0x1.e51b3e3e9d453p-2, -0x1.e0f1e020ea1dbp-2, -0x1.dcb632c53215p-2, -0x1.d869380f3431cp-2, -0x1.d40bf13734d1p-2, -0x1.cf9f5e245d677p-2, -0x1.cb247cd3b8dcfp-2, -0x1.c69c48cb1b462p-2, -0x1.c207ba98cc0b2p-2, -0x1.bd67c75ee6a58p-2, -0x1.b8bd60696227bp-2, -0x1.b40972cf597d3p-2, -0x1.af4ce71fc7d8p-2, -0x1.aa88a118ccae3p-2, -0x1.a5bd7f689456fp-2, -0x1.a0ec5b78300bfp-2, -0x1.9c16093ff35p-2, -0x1.973b57239773ap-2, -0x1.925d0dd5fcc1p-2, -0x1.8d7bf043f1233p-2, -0x1.8898bb84edcep-2, -0x1.83b426d18e534p-2, -0x1.7ecee37e5f8c2p-2, -0x1.79e99cfac8c3p-2, -0x1.7504f8d4930f1p-2, -0x1.702196be2dbd1p-2, -0x1.6b4010977a1bap-2, -0x1.6660fa7a6dce4p-2, -0x1.6184e2c9a306bp-2, -0x1.5cac5240a01bap-2, -0x1.57d7cc075d08bp-2, -0x1.5307cdc728561p-2, -0x1.4e3ccfc07b40cp-2, -0x1.497744e3c6bfep-2, -0x1.44b79aeb8127bp-2, -0x1.3ffe3a75ff76bp-2, -0x1.3b4b87218fa89p-2, -0x1.369fdfaa4bb8bp-2, -0x1.31fb9e06fa4efp-2, -0x1.2d5f1786b0803p-2, -0x1.28ca9cf080ae9p-2, -0x1.243e7aa26bdc3p-2, -0x1.1fbaf8af6a54ep-2, -0x1.1b405aff14d7bp-2, -0x1.16cee16da2308p-2, -0x1.1266c7e9fae18p-2, -0x1.0e084693dd824p-2, -0x1.09b391db6fb87p-2, -0x1.0568da9f9d86p-2, -0x1.01284e4aa2711p-2, -0x1.f9e42ddeaa214p-3, -0x1.f18cb6ce3dffep-3, -0x1.e94a7edc32c9dp-3, -0x1.e11dc77b8b512p-3, -0x1.d906cc5154e45p-3, -0x1.d105c36c306e1p-3, -0x1.c91add77c4d95p-3, -0x1.c14645ee01256p-3, -0x1.b988234a07542p-3, -0x1.b1e0973aba1aep-3, -0x1.aa4fbed1b8a9ep-3, -0x1.a2d5b2b006f42p-3, -0x1.9b728733e1e9fp-3, -0x1.94264ca66ec27p-3, -0x1.8cf10f66391bep-3, -0x1.85d2d80f56947p-3, -0x1.7ecbaba3fbdafp-3, -0x1.77db8bb511bfap-3, -0x1.7102768868b33p-3, -0x1.6a40673c8ffbp-3, -0x1.639555ec6aed6p-3, -0x1.5d0137d2bd613p-3, -0x1.5683ff6c156cap-3, -0x1.501d9c968cbe8p-3, -0x1.49cdfcb0d768p-3, -0x1.43950ab952a6bp-3, -0x1.3d72af6bc2ca4p-3, -0x1.3766d15d12ee3p-3, -0x1.317155162c7bcp-3, -0x1.2b921d2effee1p-3, -0x1.25c90a68e594cp-3, -0x1.2015fbc6e5c71p-3, -0x1.1a78cea4583c9p-3, -0x1.14f15ecbabdccp-3, -0x1.0f7f868dc95dep-3, -0x1.0a231ed84c94dp-3, -0x1.04dbff4939e5ep-3, -0x1.ff53fc826f6e3p-4, -0x1.f519e1ed20e04p-4, -0x1.eb095712af407p-4, -0x1.e122022ce993cp-4, -0x1.d763878fb1017p-4, -0x1.cdcd89c5a286ap-4, -0x1.c45fa9ae84c7ep-4, -0x1.bb1986a154ff2p-4, -0x1.b1fabe8df3275p-4, -0x1.a902ee1937e9bp-4, -0x1.a031b0b36b805p-4, -0x1.9786a0aed5673p-4, -0x1.8f01575ab62bfp-4, -0x1.86a16d2115564p-4, -0x1.7e6679a121a35p-4, -0x1.765013c2bc97dp-4, -0x1.6e5dd1c647d28p-4, -0x1.668f495721dfap-4, -0x1.5ee40fa373fafp-4, -0x1.575bb9756abeap-4, -0x1.4ff5db478852fp-4, -0x1.48b2095220b88p-4, -0x1.418fd796528cfp-4, -0x1.3a8ed9ecba8a2p-4, -0x1.33aea419a14b3p-4, -0x1.2ceec9e2317a5p-4, -0x1.264edf1cccf38p-4, -0x1.1fce77bab22fp-4, -0x1.196d27cf133d4p-4, -0x1.132a839986622p-4, -0x1.0d061f95f55b7p-4, -0x1.06ff908e84d8cp-4, -0x1.01166ba9cb9a3p-4, -0x1.f6948ce5785b6p-5, -0x1.eb356db9bae48p-5, -0x1.e00ea6945d8b1p-5, -0x1.d51f652c12c55p-5, -0x1.ca66d846ff947p-5, -0x1.bfe42fd4f836cp-5, -0x1.b5969cffa1649p-5, -0x1.ab7d5230d7e7dp-5, -0x1.a197831705f9p-5, -0x1.97e464afc6844p-5, -0x1.8e632d5b0d29p-5, -0x1.851314f1ba507p-5, -0x1.7bf354d787eccp-5, -0x1.73032803e3587p-5, -0x1.6a41cb03e9c08p-5, -0x1.61ae7bfc34008p-5, -0x1.59487ab08083fp-5, -0x1.510f0891fa947p-5, -0x1.490168cfbf289p-5, -0x1.411ee0636a47dp-5, -0x1.3966b6168b82p-5, -0x1.31d832828ad8p-5, -0x1.2a72a0100b752p-5, -0x1.23354afa4faf6p-5, -0x1.1c1f8157e9bc1p-5, -0x1.15309325e6c52p-5, -0x1.0e67d25101ccfp-5, -0x1.07c492b9d6901p-5, -0x1.01462a344114cp-5, -0x1.f5d7e109c695dp-6, -0x1.e96a7ec0f1fdcp-6, -0x1.dd42e4ddcd677p-6, -0x1.d15fcea287fb4p-6, -0x1.c5bffb5042a4ep-6, -0x1.ba622e2e66ebbp-6, -0x1.af452e8a7f8adp-6, -0x1.a467c7b283964p-6, -0x1.99c8c8ee33c72p-6, -0x1.8f67057bf9bp-6, -0x1.85415492c6f2cp-6, -0x1.7b56916764c6fp-6, -0x1.71a59b314421dp-6, -0x1.682d552b90268p-6, -0x1.5eeca6913d0f7p-6, -0x1.55e27a9590f78p-6, -0x1.4d0dc05c09616p-6, -0x1.446d6af24f1aep-6, -0x1.3c00714d43e28p-6, -0x1.33c5ce487cp-6, -0x1.2bbc80a5b4584p-6, -0x1.23e38b0a50a9ap-6, -0x1.1c39f3f9c2d75p-6, -0x1.14bec5cd5b53fp-6, -0x1.0d710eab0f8f1p-6, -0x1.064fe07cee30cp-6, -0x1.feb4a1d4a0235p-7, -0x1.f11ef2a56038cp-7, -0x1.e3dced929d1a5p-7, -0x1.d6ecd42040192p-7, -0x1.ca4cef227926dp-7, -0x1.bdfb8ead0160bp-7, -0x1.b1f709fff965bp-7, -0x1.a63dbf7436b66p-7, -0x1.9ace1468bb729p-7, -0x1.8fa675322484fp-7, -0x1.84c5550be135p-7, -0x1.7a292e09f1d43p-7, -0x1.6fd08109be33ep-7, -0x1.65b9d5a126ee2p-7, -0x1.5be3ba0b96663p-7, -0x1.524cc315f1459p-7, -0x1.48f38c0a21a47p-7, -0x1.3fd6b69b413adp-7, -0x1.36f4ead2fa2cfp-7, -0x1.2e4cd6ffd3b84p-7, -0x1.25dd2fa3f878ep-7, -0x1.1da4af63ad736p-7, -0x1.15a216f2d4601p-7, -0x1.0dd42d014e6f7p-7, -0x1.0639be2696eep-7, -0x1.fda3399a5091bp-8, -0x1.ef35423c81d3fp-8, -0x1.e12751dc9dfd3p-8, -0x1.d3772f54246ddp-8, -0x1.c622ac88abe1ep-8, -0x1.b927a64738185p-8, -0x1.ac84041ed5b48p-8, -0x1.a035b8396be1dp-8, -0x1.943abf3399a55p-8, -0x1.88911ff3dc822p-8, -0x1.7d36eb826cf29p-8, -0x1.722a3ce279e1dp-8, -0x1.676938ed28798p-8, -0x1.5cf20e2df1876p-8, -0x1.52c2f4bf7f3c8p-8, -0x1.48da2e27dd41dp-8, -0x1.3f36053318d22p-8, -0x1.35d4cdcb95642p-8, -0x1.2cb4e4d11608fp-8, -0x1.23d4afef95883p-8, -0x1.1b329d77eb8a5p-8, -0x1.12cd243be03f4p-8, -0x1.0aa2c36e02616p-8, -0x1.02b20284c0139p-8, -0x1.f5f2e23d3db3fp-9, -0x1.e6ef4dca090f9p-9, -0x1.d85686d5835cfp-9, -0x1.ca25dc09bfc19p-9, -0x1.bc5aab3c6e785p-9, -0x1.aef26110151ccp-9, -0x1.a1ea78975af34p-9, -0x1.95407b0414788p-9, -0x1.88f1ff6914482p-9, -0x1.7cfcaa921488ep-9, -0x1.715e2eec57544p-9, -0x1.66144c75e599p-9, -0x1.5b1cd0a5ba6a9p-9, -0x1.5075963f12bc8p-9, -0x1.461c8505e7fe9p-9, -0x1.3c0f9152d96eap-9, -0x1.324cbb8febddcp-9, -0x1.28d20fafcb355p-9, -0x1.1f9da4b635cf3p-9, -0x1.16ad9c66510fbp-9, -0x1.0e0023245d12cp-9, -0x1.0593700a777b2p-9, -0x1.facb8a43429acp-10, -0x1.eaeadf47d4343p-10, -0x1.db81904c21449p-10, -0x1.cc8c65142e508p-10, -0x1.be083b50068bp-10, -0x1.aff205585aaap-10, -0x1.a246c87fcd85fp-10, -0x1.95039b447b388p-10, -0x1.8825a3bfcdbb6p-10, -0x1.7baa16ad023c2p-10, -0x1.6f8e373ff7ee5p-10, -0x1.63cf57d4de1e1p-10, -0x1.586adb490f2p-10, -0x1.4d5e369e0a0bfp-10, -0x1.42a6f269ba37bp-10, -0x1.3842ab9b7e67bp-10, -0x1.2e2f133ccf58ep-10, -0x1.2469ed0f19c9cp-10, -0x1.1af10d3025b9p-10, -0x1.11c2552eb498bp-10, -0x1.08dbb1269ce98p-10, -0x1.003b158492e22p-10, -0x1.efbcfbe9929f1p-11, -0x1.df87db7f12c19p-11, -0x1.cfd2e3064bb6dp-11, -0x1.c09a43cfff7bfp-11, -0x1.b1da4d55a1134p-11, -0x1.a38f727fd7807p-11, -0x1.95b64cbef27b5p-11, -0x1.884b9c053bc65p-11, -0x1.7b4c435b861a4p-11, -0x1.6eb5428929606p-11, -0x1.6283adf8bee47p-11, -0x1.56b4a678039bbp-11, -0x1.4b455289c2495p-11, -0x1.4032dab33921p-11, -0x1.357a698aa1f98p-11, -0x1.2b192f774632cp-11, -0x1.210c6948c20cp-11, -0x1.17516831ddaa5p-11, -0x1.0de59972eb0c7p-11, -0x1.04c68c12b1bd4p-11, -0x1.f7e3e6d0b2aa7p-12, -0x1.e6cb4baa73f95p-12, -0x1.d63f2f91a6661p-12, -0x1.c63ba7d8af552p-12, -0x1.b6bce3e2533c8p-12, -0x1.a7bf1ba8ddc71p-12, -0x1.993e82af17b1bp-12, -0x1.8b3741d6bcdbp-12, -0x1.7da578ffa3cf9p-12, -0x1.708547924cf0cp-12, -0x1.63d2d9baeabeap-12, -0x1.578a7768c1635p-12, -0x1.4ba89228a15cbp-12, -0x1.4029cf6cd1107p-12, -0x1.350b0d92daa4bp-12, -0x1.2a4962deb4ad6p-12, -0x1.1fe216a326eb1p-12, -0x1.15d295dc30f4fp-12, -0x1.0c1865684bb2ap-12, -0x1.02b114877f6c5p-12, -0x1.f334645886494p-13, -0x1.e1a28dd91cb48p-13, -0x1.d0a7a875847d3p-13, -0x1.c03eb0b64d11ep-13, -0x1.b062ab5684768p-13, -0x1.a10eb6e01625fp-13, -0x1.923e1cc351782p-13, -0x1.83ec5ebe4dbf2p-13, -0x1.76153e0fe3e11p-13, -0x1.68b4bb28f93d7p-13, -0x1.5bc70e7c4af0dp-13, -0x1.4f489d3430f26p-13, -0x1.4335eddea6b3p-13, -0x1.378ba098c241fp-13, -0x1.2c466c065c729p-13, -0x1.21631da2aff54p-13, -0x1.16de9a597a792p-13, -0x1.0cb5dcf2849cbp-13, -0x1.02e5f252ac02dp-13, -0x1.f2d7eca11f3a3p-14, -0x1.e08a2942d1113p-14, -0x1.cedd1e0e8a348p-14, -0x1.bdcb8b09b60d1p-14, -0x1.ad50744882602p-14, -0x1.9d67159b0b33dp-14, -0x1.8e0ac1e205631p-14, -0x1.7f36bae987eb7p-14, -0x1.70e61691fd069p-14, -0x1.6313c35d9755ap-14, -0x1.55bab13f1ebb9p-14, -0x1.48d6117339516p-14, -0x1.3c619203f3609p-14, -0x1.305977fcae36ap-14, -0x1.24ba8a06ca07p-14, -0x1.1981d6ad794a5p-14, -0x1.0eac777fb89b1p-14, -0x1.04377473d1de1p-14, -0x1.f43fa90131844p-15, -0x1.e0c58f88878f6p-15, -0x1.cdfb8a0f7bd02p-15, -0x1.bbdcfb025b55dp-15, -0x1.aa654ba020fbap-15, -0x1.998f5b05bf0bep-15, -0x1.8955109660191p-15, -0x1.79af4921f508ap-15, -0x1.6a9633c165624p-15, -0x1.5c020b6af8691p-15, -0x1.4debf32ee4b43p-15, -0x1.404e9e25ccc45p-15, -0x1.33266f7ccf028p-15, -0x1.2670f71fa3f6ep-15, -0x1.1a2c0cc56d633p-15, -0x1.0e550f16473ecp-15, -0x1.02e8b6d24cceep-15, -0x1.efc705344ba74p-16, -0x1.da84aac2e5a1bp-16, -0x1.c60599a2556acp-16, -0x1.b2462ef30b74ep-16, -0x1.9f42d54f252c4p-16, -0x1.8cf6d4313fe5p-16, -0x1.7b5b99eed8d66p-16, -0x1.6a68b497c374fp-16, -0x1.5a14518b26757p-16, -0x1.4a541375fee45p-16, -0x1.3b1e33d634033p-16, -0x1.2c6acbabdad6dp-16, -0x1.1e34bd62bff0bp-16, -0x1.107994cfb5e04p-16, -0x1.033838edac6adp-16, -0x1.ecde5df14e35fp-17, -0x1.d4372794aa25p-17, -0x1.bc72b5d9d3236p-17, -0x1.a588bf9ce8e87p-17, -0x1.8f72c23595a31p-17, -0x1.7a2c95a7bbe9ep-17, -0x1.65b36577364f4p-17, -0x1.5203b822d038p-17, -0x1.3f17e708effd8p-17, -0x1.2ce81aac916bbp-17, -0x1.1b6b6f48414c9p-17, -0x1.0a98f34da5f6fp-17, -0x1.f4cf8e5848317p-18, -0x1.d59dbd6331346p-18, -0x1.b78ab3574f607p-18, -0x1.9a8755095073cp-18, -0x1.7e894baa14c52p-18, -0x1.638ae5b1cf2bap-18, -0x1.4988beecbdc8fp-18, -0x1.307f0e8c80833p-18, -0x1.186831c423e9p-18, -0x1.013cb840a352fp-18, -0x1.d5e9675dd648cp-19, -0x1.ab139f0662a41p-19, -0x1.81f090f9c9aefp-19, -0x1.5a79b111effaap-19, -0x1.34a2e7614e92cp-19, -0x1.105975867a44bp-19, -0x1.db11bc00092e3p-20, -0x1.983fddbafa83ep-20, -0x1.5824af4d67ee2p-20, -0x1.1aae9d4e2eff7p-20, -0x1.bf9b3aba9b576p-21, -0x1.4edb25f98dedep-21, -0x1.c5cd144bc1b55p-22, -0x1.edebb0b271da2p-23, -0x1.853a70801a6f4p-25, 0x1.1b1c14abebbfbp-23, 0x1.43e24a2be8499p-22, 0x1.f2581c01bae2dp-22, 0x1.4c78c6f0477b7p-21, 0x1.9bf0cb3b60056p-21, 0x1.e7badc4c4a841p-21, 0x1.17f722a8982afp-20, 0x1.3a4a2f2db0d1bp-20, 0x1.5ae28a80f22d3p-20, 0x1.79d79e59df378p-20, 0x1.974268ada228cp-20, 0x1.b33577dc771abp-20, 0x1.cdbd1319935eap-20, 0x1.e6e21e176f08ep-20, 0x1.feab28fa089cp-20, 0x1.0a8e0c3507dabp-19, 0x1.151b86fcfda95p-19, 0x1.1f00085b5e904p-19, 0x1.284137e809462p-19, 0x1.30e9cfec82706p-19, 0x1.3906e734c9bb5p-19, 0x1.40a204a9eb2bdp-19, 0x1.47bd164d38a88p-19, 0x1.4e552861eae2p-19, 0x1.546a87b3e5acfp-19, 0x1.5a02de6037dc7p-19, 0x1.5f22c0ca2235bp-19, 0x1.63cac26418fc2p-19, 0x1.67fce43390849p-19, 0x1.6bbfbd485d311p-19, 0x1.6f1a848f3cf5p-19, 0x1.7211e5609a805p-19, 0x1.74a88e0b83d14p-19, 0x1.76e0a9cf2b508p-19, 0x1.78bc9f286d885p-19, 0x1.7a3f016380c09p-19, 0x1.7b6a0a5b721dcp-19, 0x1.7c3f256a64b8p-19, 0x1.7cbf18fd7ed74p-19, 0x1.7ceadc7dbe034p-19, 0x1.7cc511fe42e8ap-19, 0x1.7c53617eac185p-19, 0x1.7b9be4400720dp-19, 0x1.7aa12aaab9916p-19, 0x1.796486576b3cdp-19, 0x1.77e79070692acp-19, 0x1.762b4508d4544p-19, 0x1.7431852f9eb9fp-19, 0x1.71fbe1527ce61p-19, 0x1.6f8adf2415d96p-19, 0x1.6ce173153cf5fp-19, 0x1.6a038562f753dp-19, 0x1.66f384bb787e3p-19, 0x1.63b2dbd262505p-19, 0x1.6042d230da2b8p-19, 0x1.5ca4d3f163599p-19, 0x1.58da6f1a67604p-19, 0x1.54e5449ea5961p-19, 0x1.50c6f2bcaf0c6p-19, 0x1.4c80f51a7935cp-19, 0x1.4814931351dcfp-19, 0x1.4382f7214844ep-19, 0x1.3ecd3434a63f2p-19, 0x1.39f448a62db2cp-19, 0x1.34fa48f93328fp-19, 0x1.2fe1ccbb60b1bp-19, 0x1.2aaae77714b59p-19, 0x1.2557be77e020bp-19, 0x1.1feb4745c516dp-19, 0x1.1a6478d739b43p-19, 0x1.14c4d23159791p-19, 0x1.0f0d6d514d57ap-19, 0x1.093edfe097133p-19, 0x1.035b3ded758d9p-19, 0x1.fac8202dd581bp-20, 0x1.eeb478da1da79p-20, 0x1.e27d3a407e6edp-20, 0x1.d6244abdc322bp-20, 0x1.c9abab847a9a8p-20, 0x1.bd155e48c1c4fp-20, 0x1.b0635a7ced0f4p-20, 0x1.a3978ea07166ap-20, 0x1.96b3e3a86c62fp-20, 0x1.89ba39a754eedp-20, 0x1.7cac6220a23c9p-20, 0x1.6f8c2fe7449ep-20, 0x1.625b6e0aff00ep-20, 0x1.551b2861060abp-20, 0x1.47cc3e8e48b53p-20, 0x1.3a71f02643f1ap-20, 0x1.2d0db873ef925p-20, 0x1.1fa099ae9bb24p-20, 0x1.122ccde8b1bfcp-20, 0x1.04b32a963f757p-20, 0x1.ee6cd2b86397bp-21, 0x1.d36d61ff3e7a3p-21, 0x1.b86a387b3bbb2p-21, 0x1.9d67f2d0f692p-21, 0x1.82694099e4272p-21, 0x1.67704a7851387p-21, 0x1.4c7f659ce953ap-21, 0x1.3199053aafd08p-21, 0x1.16bf9ed224756p-21, 0x1.f7eb3688daf27p-22, 0x1.c27aa03858f65p-22, 0x1.8d31fe4bc6a44p-22, 0x1.5815b7e7fb82bp-22, 0x1.232a26a690325p-22, 0x1.dce733ce93247p-23, 0x1.73ec8b23c88dbp-23, 0x1.0b6c8122a9152p-23, 0x1.46defa34d21cfp-24, 0x1.dfe6d6a46f208p-26, -0x1.5747fe57a1de4p-26, -0x1.2273c5d551b9fp-24, -0x1.edcae7e7804dcp-24, -0x1.5be7a57e15f0fp-23, -0x1.c046bf1579ad4p-23, -0x1.11f965ecdd982p-22, -0x1.436eff9159b3cp-22, -0x1.7485502d7ac31p-22, -0x1.a53a5658e171bp-22, -0x1.d58929b39c02fp-22, -0x1.02b7927fcf157p-21, -0x1.1a74fc301b637p-21, -0x1.31fb949198cep-21, -0x1.494a1a9bb34f7p-21, -0x1.605f53ee8ea6ap-21, -0x1.773a103a4d4d2p-21, -0x1.8dd92a963a16p-21, -0x1.a43b8a6efcbc5p-21, -0x1.ba602388ee68p-21, -0x1.d045f3ff26eb6p-21, -0x1.e5ec010f1b6d5p-21, -0x1.fb5155a35947bp-21, -0x1.083a82b462609p-20, -0x1.12ab199dcbf6bp-20, -0x1.1cfa0774234dp-20, -0x1.2726deef491b4p-20, -0x1.313140777fc1bp-20, -0x1.3b1921fdf8a9ap-20, -0x1.44ddd2735f708p-20, -0x1.4e7eb585105f3p-20, -0x1.57fc182b01344p-20, -0x1.61559740c91adp-20, -0x1.6a8abf54750c6p-20, -0x1.739afa8c89c6ap-20, -0x1.7c869e248824cp-20, -0x1.854d3717c5eb7p-20, -0x1.8dee778bd58c9p-20, -0x1.966a3d83c624dp-20, -0x1.9ec06017bdde5p-20, -0x1.a6f0b51992cecp-20, -0x1.aefb151c15eb5p-20, -0x1.b6df5c4b6e896p-20, -0x1.be9d6a8414932p-20, -0x1.c635234d3d364p-20, -0x1.cda66deb9959dp-20, -0x1.d4f1357699b69p-20, -0x1.dc15689f0e9e5p-20, -0x1.e312f90412cdep-20, -0x1.e9e9da98b71c4p-20, -0x1.f09a03c49a2c1p-20, -0x1.f7236e72cb7fp-20, -0x1.fd861a22e54a5p-20, -0x1.01e105fb8954bp-19, -0x1.04eba23929e52p-19, -0x1.07e2de45384f4p-19, -0x1.0ac6d18dee2c9p-19, -0x1.0d976eb2cfcfap-19, -0x1.1054ce2fbd6b4p-19, -0x1.12fef41cfbe3cp-19, -0x1.1595d7d8e81f2p-19, -0x1.181996d20eb5bp-19, -0x1.1a8a3c621da8p-19, -0x1.1ce7dad894dcbp-19, -0x1.1f327c6f572fdp-19, -0x1.216a29c2a3af2p-19, -0x1.238efa24f71c3p-19, -0x1.25a101810fd13p-19, -0x1.27a0536873a11p-19, -0x1.298d045dd06f4p-19, -0x1.2b6729f8f773cp-19, -0x1.2d2edadf05feep-19, -0x1.2ee42eb6e3c21p-19, -0x1.30873e21371e3p-19, -0x1.321822b8df598p-19, -0x1.3396f71395746p-19, -0x1.3503d6b01eaap-19, -0x1.365eddcd6b5e8p-19, -0x1.37a82949cb8c4p-19, -0x1.38dfd6aad4fdp-19, -0x1.3a0604453fcc3p-19, -0x1.3b1ad1bd6467ap-19, -0x1.3c1e609a7087cp-19, -0x1.3d10d25d28223p-19, -0x1.3df243c05b4ap-19, -0x1.3ec2d48c3557p-19, -0x1.3f82b37d540f4p-19, -0x1.403204ccbf60ep-19, -0x1.40d0e0a485378p-19, -0x1.415f6e1d49f97p-19, -0x1.41ddd3337241cp-19, -0x1.424c30d322763p-19, -0x1.42aab81210cbcp-19, -0x1.42f99395bcb65p-19, -0x1.4338dd5c43d6ep-19, -0x1.4368bde7b6d58p-19, -0x1.438960c73fe7ap-19, -0x1.439aeeb085455p-19, -0x1.439d904dc4cd1p-19, -0x1.43916eb441d08p-19, -0x1.4376b35fb77a2p-19, -0x1.434d88282320ap-19, -0x1.43161739aec8dp-19, -0x1.42d08b0ed93afp-19, -0x1.427d0e6c0e742p-19, -0x1.421bcc5ec640dp-19, -0x1.41acf038afbb1p-19, -0x1.4130a582136e3p-19, -0x1.40a717e950bb5p-19, -0x1.4010733ed1f23p-19, -0x1.3f6ce37820ebp-19, -0x1.3ebc94ba8ed6p-19, -0x1.3dffb39e7e086p-19, -0x1.3d366d5f0c81dp-19, -0x1.3c60eec3ff0e2p-19, -0x1.3b7f6211aee26p-19, -0x1.3a91f11ec2ea6p-19, -0x1.3998d5851f328p-19, -0x1.389434e4780eep-19, -0x1.37843772b35e8p-19, -0x1.36690e7716a97p-19, -0x1.3542e7b747395p-19, -0x1.3411ef6a2a189p-19, -0x1.32d64f69a72f8p-19, -0x1.319038e19e39dp-19, -0x1.303fdde8aefbep-19, -0x1.2ee561ba4a1c1p-19, -0x1.2d80f41d590c7p-19, -0x1.2c12c2fa0ad7ep-19, -0x1.2a9afb064209ep-19, -0x1.2919c8dcc9c7fp-19, -0x1.278f59097d8d4p-19, -0x1.25fbd801a663fp-19, -0x1.245f721eb2842p-19, -0x1.22ba539a23169p-19, -0x1.210ca88acd7fep-19, -0x1.1f569ce30ffp-19, -0x1.1d985c6eaa49ap-19, -0x1.1bd212d0c775cp-19, -0x1.1a03eb7f5c2f7p-19, -0x1.182e11bdfdc48p-19, -0x1.1650b09c2e477p-19, -0x1.146bf2f555113p-19, -0x1.1280036e45392p-19, -0x1.108d0c7ccfa4dp-19, -0x1.0e933882786ebp-19, -0x1.0c92b1ae8eec4p-19, -0x1.0a8ba19f9ae7dp-19, -0x1.087e308eb1f18p-19, -0x1.066a88b9d4336p-19, -0x1.0450d69a250a6p-19, -0x1.02313de1acfedp-19, -0x1.000be8b5297ep-19, -0x1.fbc1ff688f4aep-20, -0x1.f76155c5dc575p-20, -0x1.f2f623e324e5ap-20, -0x1.ee80b83b6fb26p-20, -0x1.ea015f3879391p-20, -0x1.e57868ffef622p-20, -0x1.e0e624c487f86p-20, -0x1.dc4ad9c6fd128p-20, -0x1.d7a6d5e8f0eb4p-20, -0x1.d2fa64904ecc8p-20, -0x1.ce45d03182e41p-20, -0x1.c98962a4ff171p-20, -0x1.c4c56521c10e7p-20, -0x1.bffa2038a453dp-20, -0x1.bb27dbd197823p-20, -0x1.b64edf2a0d5cbp-20, -0x1.b16f70d2c6b89p-20, -0x1.ac89d6af33637p-20, -0x1.a79e55f458d2bp-20, -0x1.a2ad33274b4c6p-20, -0x1.9db6b21b1a687p-20, -0x1.98bb15ef1af3fp-20, -0x1.93baa10e8bdcdp-20, -0x1.8eb5952fe2569p-20, -0x1.89ac33532bf46p-20, -0x1.849ebbc2df569p-20, -0x1.7f8d6e1b4ccb4p-20, -0x1.7a788949e4af5p-20, -0x1.75604b730bcdfp-20, -0x1.7044f1d9ec309p-20, -0x1.6b26b8912f654p-20, -0x1.6605dd959d1e5p-20, -0x1.60e29a80f3efdp-20, -0x1.5bbd29f58d2dcp-20, -0x1.5695c60917d2ap-20, -0x1.516ca7c6e1d87p-20, -0x1.4c420783755d3p-20, -0x1.47161cdf26572p-20, -0x1.41e91eb9a4852p-20, -0x1.3cbb4330af63ap-20, -0x1.378cbf70f84f9p-20, -0x1.325dc88dc467dp-20, -0x1.2d2e92a0f127ap-20, -0x1.27ff5056c0b8p-20, -0x1.22d03474cde66p-20, -0x1.1da170c39f13ap-20, -0x1.1873364e82a18p-20, -0x1.1345b568f0b02p-20, -0x1.0e191dae6bfd4p-20, -0x1.08ed9e02647ddp-20, -0x1.03c364906d357p-20, -0x1.fd353d9a425d8p-21, -0x1.f2e6f2eda74bfp-21, -0x1.e89c412c19cb1p-21, -0x1.de557eff77431p-21, }}, 
      {{0x1.fe96c268243b1p-1, 0x1.fe302cc42a3f5p-1, 0x1.fd856cbc45263p-1, 0x1.fc96d7c872dd9p-1, 0x1.fb64e46e3d8a4p-1, 0x1.f9f0293238fd7p-1, 0x1.f8395b5392b24p-1, 0x1.f6414d5d415aep-1, 0x1.f408ed9782782p-1, 0x1.f1914463195a9p-1, 0x1.eedb72868803p-1, 0x1.ebe8af7442f89p-1, 0x1.e8ba478fbc407p-1, 0x1.e5519a7626bb4p-1, 0x1.e1b0194ee4cc4p-1, 0x1.ddd74526c3648p-1, 0x1.d9c8ad5872698p-1, 0x1.d585ee0404f5p-1, 0x1.d110ae96be3abp-1, 0x1.cc6aa063fbfbap-1, 0x1.c7957d4faf8f1p-1, 0x1.c293068a89203p-1, 0x1.bd65035fbc486p-1, 0x1.b80d40141816dp-1, 0x1.b28d8cd603418p-1, 0x1.ace7bcbdda88p-1, 0x1.a71da4de19fe8p-1, 0x1.a1311b62ab38dp-1, 0x1.9b23f6beb0fe9p-1, 0x1.94f80ce81e2f7p-1, 0x1.8eaf32a069e7ep-1, 0x1.884b3ac9adacbp-1, 0x1.81cdf5c780fe8p-1, 0x1.7b3930eae6ce9p-1, 0x1.748eb5e8a2d9ap-1, 0x1.6dd04a59550ebp-1, 0x1.66ffaf42bd1efp-1, 0x1.601ea0a98cb7cp-1, 0x1.592ed52b39082p-1, 0x1.5231fd9f3ed2ap-1, 0x1.4b29c4bf5911ep-1, 0x1.4417ced62c2dfp-1, 0x1.3cfdb973f60c8p-1, 0x1.35dd1b28d7e46p-1, 0x1.2eb78344586a5p-1, 0x1.278e7999c5b67p-1, 0x1.20637e49289bfp-1, 0x1.1938098c7d5a1p-1, 0x1.120d8b88f72a8p-1, 0x1.0ae56c241232p-1, 0x1.03c10adc44552p-1, 0x1.f9437d4a4730fp-2, 0x1.eb11ab8db40e6p-2, 0x1.dcef2b8197468p-2, 0x1.cede765ea1ce2p-2, 0x1.c0e1f368e1eabp-2, 0x1.b2fbf7c70ee76p-2, 0x1.a52ec65f8b94cp-2, 0x1.977c8fbb06f2p-2, 0x1.89e771ec9991ep-2, 0x1.7c71787f560fdp-2, 0x1.6f1c9c6927a27p-2, 0x1.61eac402fb47ap-2, 0x1.54ddc306105a4p-2, 0x1.47f75a8e62ef8p-2, 0x1.3b393922198e7p-2, 0x1.2ea4fabddafbdp-2, 0x1.223c28e5f0662p-2, 0x1.16003abc2026ep-2, 0x1.09f2951a17c1cp-2, 0x1.fc2915609900cp-3, 0x1.e4ceb8525469dp-3, 0x1.cdd870a0d9062p-3, 0x1.b748787cfd3f5p-3, 0x1.a120e70f5c22dp-3, 0x1.8b63b0de2515fp-3, 0x1.7612a839dfdep-3, 0x1.612f7db0df801p-3, 0x1.4cbbc088f5225p-3, 0x1.38b8df3f0a193p-3, 0x1.2528280c3f7ccp-3, 0x1.120ac97029b8p-3, 0x1.fec3a57fa1fe8p-4, 0x1.da5c697214f39p-4, 0x1.b6e184339d4dp-4, 0x1.9454607656ae4p-4, 0x1.72b62f5edeb79p-4, 0x1.5207e9c67b9c1p-4, 0x1.324a518247a63p-4, 0x1.137df2aebfd21p-4, 0x1.eb4649fe1395ep-5, 0x1.b1741a1e9f972p-5, 0x1.79853b732ecc1p-5, 0x1.437932d8f71aap-5, 0x1.0f4f270682b94p-5, 0x1.ba0bc67ae9644p-6, 0x1.5937b3f9eb292p-6, 0x1.f83c9ecf7ad43p-7, 0x1.457655c68e19cp-7, 0x1.3424dcaaaca6ep-8, -0x1.3f4dc3159e458p-12, -0x1.4d79870b865c3p-8, -0x1.3c4238cf848a3p-7, -0x1.ca998d2f64967p-7, -0x1.28e946e834a35p-6, -0x1.68ff05be043d7p-6, -0x1.a596e830286ccp-6, -0x1.deba4af859eb9p-6, -0x1.0a397eb8d5d48p-5, -0x1.23659e52fa7dbp-5, -0x1.3ae6d7356cbc4p-5, -0x1.50c2ae47665fbp-5, -0x1.64fed80b4ca77p-5, -0x1.77a13645fadedp-5, -0x1.88afd5aeb53c7p-5, -0x1.9830eba7f3df4p-5, -0x1.a62ad401361bfp-5, -0x1.b2a40ec1e525ep-5, -0x1.bda33dfd7c9b2p-5, -0x1.c72f23b104eaap-5, -0x1.cf4e9fa9ead76p-5, -0x1.d608ad764dc6fp-5, -0x1.db64625ed2948p-5, -0x1.df68eb69fc50fp-5, -0x1.e21d8b691d956p-5, -0x1.e389990ed7267p-5, -0x1.e3b47d0f3a6bcp-5, -0x1.e2a5b0498cecbp-5, -0x1.e064b9fb9868ap-5, -0x1.dcf92dfeabc96p-5, -0x1.d86aab0e252c8p-5, -0x1.d2c0d9179d4b8p-5, -0x1.cc036794a7f2p-5, -0x1.c43a0bee19523p-5, -0x1.bb6c7fe8e662ap-5, -0x1.b1a2801c771bp-5, -0x1.a6e3ca7283e43p-5, -0x1.9b381cb067044p-5, -0x1.8ea73309e3132p-5, -0x1.8138c6bd46e65p-5, -0x1.72f48cb9062bcp-5, -0x1.63e2344a978e4p-5, -0x1.540965d6b597bp-5, -0x1.4371c19adae8cp-5, -0x1.3222de78099b7p-5, -0x1.202448c6b938fp-5, -0x1.0d7d8134027b9p-5, -0x1.f46bf74fb85b8p-6, -0x1.ccaa3c68f141bp-6, -0x1.a3c4801d52b1cp-6, -0x1.79c9511e8ad0ap-6, -0x1.4ec71c7af7edep-6, -0x1.22cc2bc43077p-6, -0x1.ebcd468e2d1aap-7, -0x1.904900ab4f9a1p-7, -0x1.33272f444da67p-7, -0x1.a9064eaebe6fap-8, -0x1.d1df99df40f63p-9, -0x1.3200febbe6228p-11, 0x1.3da85851499cap-9, 0x1.661949f8bcda8p-8, 0x1.17ae186a6617p-7, 0x1.7d35508303f87p-7, 0x1.e389942d3f8afp-7, 0x1.254949971af0ap-6, 0x1.591c34124ea5fp-6, 0x1.8d31cd325bfep-6, 0x1.c17e8fda8bba6p-6, 0x1.f5f72ef6314eap-6, 0x1.15484b1c322fap-5, 0x1.2f9ff5665235p-5, 0x1.49fd45fc53ab1p-5, 0x1.645b09d7d245ap-5, 0x1.7eb42b8b96ba1p-5, 0x1.9903b37ee9bbp-5, 0x1.b344c822010c4p-5, 0x1.cd72ae1b8763ep-5, 0x1.e788c86f72d0ap-5, 0x1.00c14c4f9f60ep-4, 0x1.0daddf61db301p-4, 0x1.1a87fcd02dc47p-4, 0x1.274d935851e12p-4, 0x1.33fca1178cf9bp-4, 0x1.4093338b4ab61p-4, 0x1.4d0f678eccf86p-4, 0x1.596f69560c8a7p-4, 0x1.65b17465d2b84p-4, 0x1.71d3d389222e2p-4, 0x1.7dd4e0c3fe961p-4, 0x1.89b30543ae935p-4, 0x1.956cb94c7aec4p-4, 0x1.a100842509d8dp-4, 0x1.ac6cfbff69fd7p-4, 0x1.b7b0c5dfd22acp-4, 0x1.c2ca958137241p-4, 0x1.cdb92d37cce14p-4, 0x1.d87b5dd166a1fp-4, 0x1.e3100673fc042p-4, 0x1.ed76147a3e00ap-4, 0x1.f7ac834e52ad5p-4, 0x1.00d92e2170fe4p-3, 0x1.05c35b3538dc2p-3, 0x1.0a945b3692eaep-3, 0x1.0f4bc72e7c3c9p-3, 0x1.13e93ec4458ccp-3, 0x1.186c6826431a2p-3, 0x1.1cd4eff1de2bdp-3, 0x1.2122891afa2ffp-3, 0x1.2554ecd2d5073p-3, 0x1.296bda6e4e439p-3, 0x1.2d67174badfbp-3, 0x1.31466eb7f3f9p-3, 0x1.3509b1d3abcb7p-3, 0x1.38b0b77760eebp-3, 0x1.3c3b5c17a6c88p-3, 0x1.3fa981a8cdf4p-3, 0x1.42fb0f8242793p-3, 0x1.462ff241a567bp-3, 0x1.49481bad9e518p-3, 0x1.4c438298771d4p-3, 0x1.4f2222c2806e7p-3, 0x1.51e3fcbc4d972p-3, 0x1.548915c8cab72p-3, 0x1.571177bf3411ap-3, 0x1.597d30ecfa093p-3, 0x1.5bcc53f78f1e2p-3, 0x1.5dfef7be30a56p-3, 0x1.6015373bacdcap-3, 0x1.620f31682ac03p-3, 0x1.63ed091af484ap-3, 0x1.65aee4ec629bep-3, 0x1.6754ef17c092ap-3, 0x1.68df555d6876p-3, 0x1.6a4e48e4e5439p-3, 0x1.6ba1fe1f4da44p-3, 0x1.6cdaaca9b5861p-3, 0x1.6df88f2fdf0b2p-3, 0x1.6efbe34f130d5p-3, 0x1.6fe4e97932cedp-3, 0x1.70b3e4d80c848p-3, 0x1.71691b30e4a6ep-3, 0x1.7204d4c84caafp-3, 0x1.72875c4639f13p-3, 0x1.72f0fe9a6afdcp-3, 0x1.73420ae120405p-3, 0x1.737ad24818977p-3, 0x1.739ba7f3f4bd2p-3, 0x1.73a4e0e5e2d52p-3, 0x1.7396d3e1af221p-3, 0x1.7371d9542cb13p-3, 0x1.73364b39ffa8ap-3, 0x1.72e48506cafb6p-3, 0x1.727ce38cba79p-3, 0x1.71ffc4e4839c8p-3, 0x1.716d8855bbadep-3, 0x1.70c68e3fa3c1ep-3, 0x1.700b38025e46cp-3, 0x1.6f3be7e88d3e5p-3, 0x1.6e5901116493p-3, 0x1.6d62e75b27bd7p-3, 0x1.6c59ff4e18e1bp-3, 0x1.6b3eae07db278p-3, 0x1.6a11592744c85p-3, 0x1.68d266b8a8bddp-3, 0x1.67823d228adedp-3, 0x1.66214312d469p-3, 0x1.64afdf6c7136fp-3, 0x1.632e79356b9fap-3, 0x1.619d77857487cp-3, 0x1.5ffd4174e85ap-3, 0x1.5e4e3e0c3f4fbp-3, 0x1.5c90d433fd445p-3, 0x1.5ac56aa50e9b7p-3, 0x1.58ec67d999426p-3, 0x1.570631fe45525p-3, 0x1.55132ee3f8edp-3, 0x1.5313c3f1fe886p-3, 0x1.51085618aac4fp-3, 0x1.4ef149c4668b2p-3, 0x1.4ccf02d131a9dp-3, 0x1.4aa1e47e9449ep-3, 0x1.486a5163f82dp-3, 0x1.4628ab657b4efp-3, 0x1.43dd53a92268p-3, 0x1.4188aa8c822e2p-3, 0x1.3f2b0f9accdcfp-3, 0x1.3cc4e183486a5p-3, 0x1.3a567e1030ebbp-3, 0x1.37e0421dfadc4p-3, 0x1.3562899306db5p-3, 0x1.32ddaf57a8fabp-3, 0x1.30520d4ea0a44p-3, 0x1.2dbffc4de8755p-3, 0x1.2b27d417ec231p-3, 0x1.2889eb5518f87p-3, 0x1.25e6978dc9cedp-3, 0x1.233e2d249205dp-3, 0x1.2090ff50dc0bdp-3, 0x1.1ddf6019e6e53p-3, 0x1.1b29a05214a0ap-3, 0x1.18700f928d3cbp-3, 0x1.15b2fc373a641p-3, 0x1.12f2b35b07c68p-3, 0x1.102f80d484331p-3, 0x1.0d69af32c126ap-3, 0x1.0aa187ba85e9bp-3, 0x1.07d75263cd73ap-3, 0x1.050b55d787266p-3, 0x1.023dd76da796ap-3, 0x1.fede3656ec08cp-4, 0x1.f93ec7844065fp-4, 0x1.f39de51b277adp-4, 0x1.edfc0f271f6d8p-4, 0x1.e859c305fe986p-4, 0x1.e2b77b6707ce2p-4, 0x1.dd15b04a8d1c5p-4, 0x1.d774d701f3505p-4, 0x1.d1d5623030a14p-4, 0x1.cc37c1cab324fp-4, 0x1.c69c631aa644dp-4, 0x1.c103b0beae104p-4, 0x1.bb6e12acfe0a5p-4, 0x1.b5dbee35bd5efp-4, 0x1.b04da605ed46cp-4, 0x1.aac39a2a77e14p-4, 0x1.a53e2813bf7b6p-4, 0x1.9fbdaa99645f1p-4, 0x1.9a4279fe6298ep-4, 0x1.94ccebf57adc1p-4, 0x1.8f5d53a5e32cfp-4, 0x1.89f401b04412bp-4, 0x1.84914433ec246p-4, 0x1.7f3566d44cf2cp-4, 0x1.79e0b2beb6ec5p-4, 0x1.74936eb046de3p-4, 0x1.6f4ddefc0cfaep-4, 0x1.6a1045917715cp-4, 0x1.64dae202d4602p-4, 0x1.5fadf18c21474p-4, 0x1.5a89af19ecd48p-4, 0x1.556e535075a5p-4, 0x1.505c1492e9b67p-4, 0x1.4b53270acbd97p-4, 0x1.4653bcaf7e6f6p-4, 0x1.415e054decf25p-4, 0x1.3c722e905309cp-4, 0x1.3790640628ec2p-4, 0x1.32b8cf2c1a7adp-4, 0x1.2deb97742323p-4, 0x1.2928e24dbfbbfp-4, 0x1.2470d32e26ba5p-4, 0x1.1fc38b98a6eafp-4, 0x1.1b212b270497cp-4, 0x1.1689cf91ee6cap-4, 0x1.11fd94b97afb7p-4, 0x1.0d7c94adb208fp-4, 0x1.0906e7b71ea5ep-4, 0x1.049ca45f6ac7ap-4, 0x1.003ddf79f7b6dp-4, 0x1.f7d558590d592p-5, 0x1.ef4637efb4cd5p-5, 0x1.e6ce7d80bbabcp-5, 0x1.de6e45ad8f9cap-5, 0x1.d625aa01814eep-5, 0x1.cdf4c102fc5e2p-5, 0x1.c5db9e44c154fp-5, 0x1.bdda52770e71bp-5, 0x1.b5f0eb78bc1aep-5, 0x1.ae1f7468421acp-5, 0x1.a665f5b4b468ep-5, 0x1.9ec4752ea3749p-5, 0x1.973af618e2651p-5, 0x1.8fc979393fa1dp-5, 0x1.886ffce90f42ap-5, 0x1.812e7d25afdf2p-5, 0x1.7a04f3a0d8209p-5, 0x1.72f357d0d7a96p-5, 0x1.6bf99f00a38fbp-5, 0x1.6517bc5fd302ep-5, 0x1.5e4da1125f125p-5, 0x1.579b3c4052455p-5, 0x1.51007b253fe7p-5, 0x1.4a7d491f976f4p-5, 0x1.44118fbfce0cep-5, 0x1.3dbd36d75a187p-5, 0x1.3780248786109p-5, 0x1.315a3d5009e31p-5, 0x1.2b4b641d891dbp-5, 0x1.25537a57cac11p-5, 0x1.1f725fefcef28p-5, 0x1.19a7f36db4d3fp-5, 0x1.13f411fe5eea7p-5, 0x1.0e569780fa51p-5, 0x1.08cf5e943a45bp-5, 0x1.035e40a379533p-5, 0x1.fc062be71538cp-6, 0x1.f17b6b5eec16ap-6, 0x1.e71bebe9be01cp-6, 0x1.dce757c0981c4p-6, 0x1.d2dd5732639d9p-6, 0x1.c8fd90bb82802p-6, 0x1.bf47a91d14377p-6, 0x1.b5bb4373c7b3ep-6, 0x1.ac58014e2e07fp-6, 0x1.a31d82c2ba047p-6, 0x1.9a0b66854bb92p-6, 0x1.912149fc2bb3bp-6, 0x1.885ec954df8bp-6, 0x1.7fc37f984bad7p-6, 0x1.774f06be838efp-6, 0x1.6f00f7c23da7ep-6, 0x1.66d8eab3bd87fp-6, 0x1.5ed676cb653e7p-6, 0x1.56f9327bcaea1p-6, 0x1.4f40b3837e0f6p-6, 0x1.47ac8efe3eca9p-6, 0x1.403c5975e2acdp-6, 0x1.38efa6f2d7147p-6, 0x1.31c60b0c1831dp-6, 0x1.2abf18f6e3c91p-6, 0x1.23da6395f9416p-6, 0x1.1d177d88691c7p-6, 0x1.1675f93806d77p-6, 0x1.0ff568e783897p-6, 0x1.09955ec00b40ep-6, 0x1.03556cde8b1ebp-6, 0x1.fa6a4ac143303p-7, 0x1.ee6834e241e3cp-7, 0x1.e2a3bca8505c1p-7, 0x1.d71c06e6075cp-7, 0x1.cbd038cf03984p-7, 0x1.c0bf780e10405p-7, 0x1.b5e8eada992a2p-7, 0x1.ab4bb80d4b4a2p-7, 0x1.a0e707342ca84p-7, 0x1.96ba00a5d8c74p-7, 0x1.8cc3cd943fcabp-7, 0x1.8303981e93ea1p-7, 0x1.79788b62a7569p-7, 0x1.7021d38da8478p-7, 0x1.66fe9dec24a95p-7, 0x1.5e0e18f985487p-7, 0x1.554f746ee4527p-7, 0x1.4cc1e1514366bp-7, 0x1.446491ff3651dp-7, 0x1.3c36ba3deb18dp-7, 0x1.34378f45b942ap-7, 0x1.2c6647ce04bacp-7, 0x1.24c21c18a0a1cp-7, 0x1.1d4a45fca440dp-7, 0x1.15fe00f0d9cfcp-7, 0x1.0edc8a155fe62p-7, 0x1.07e5203d0e8aap-7, 0x1.011703f65888ep-7, 0x1.f4e2ef26d63d3p-8, 0x1.e7e77e64565c5p-8, 0x1.db3a4186fae82p-8, 0x1.ced9c8248531bp-8, 0x1.c2c4a593a0c01p-8, 0x1.b6f970f7da534p-8, 0x1.ab76c54cec541p-8, 0x1.a03b41712e066p-8, 0x1.9545882f0be19p-8, 0x1.8a944045f3bbbp-8, 0x1.802614726567fp-8, 0x1.75f9b37506d97p-8, 0x1.6c0dd01975d88p-8, 0x1.6261213bf22b7p-8, 0x1.58f261ce9186bp-8, 0x1.4fc050dda3c36p-8, 0x1.46c9b193c333dp-8, 0x1.3e0d4b3cb0798p-8, 0x1.3589e9483abd2p-8, 0x1.2d3e5b4bf710ap-8, 0x1.2529750495dd2p-8, 0x1.1d4a0e57195a5p-8, 0x1.159f03509bdabp-8, 0x1.0e2734266cc9ap-8, 0x1.06e185352512ep-8, 0x1.ff99bdfeb56d8p-9, 0x1.f1d05c57e5f47p-9, 0x1.e464c707b92f8p-9, 0x1.d754e7deec1e3p-9, 0x1.ca9eb0e6d0b13p-9, 0x1.be401c5a28c41p-9, 0x1.b2372c9db9082p-9, 0x1.a681ec3761121p-9, 0x1.9b1e6dc479a17p-9, 0x1.900acbf05c007p-9, 0x1.85452968fe7f9p-9, 0x1.7acbb0d44d874p-9, 0x1.709c94c32c8f9p-9, 0x1.66b60fa595119p-9, 0x1.5d1663bcd9c82p-9, 0x1.53bbdb0e259c1p-9, 0x1.4aa4c753d815dp-9, 0x1.41cf81eeeda0cp-9, 0x1.393a6bd7752d4p-9, 0x1.30e3ed8ceb5d4p-9, 0x1.28ca770615e6bp-9, 0x1.20ec7fa028905p-9, 0x1.1948860de48e2p-9, 0x1.11dd104609592p-9, 0x1.0aa8ab71e08d4p-9, 0x1.03a9ebdaa6bbbp-9, 0x1.f9bed9af7b8c4p-10, 0x1.ec8fa177a0e5bp-10, 0x1.dfc38183467fbp-10, 0x1.d357d9f26ecd8p-10, 0x1.c74a18682fe9fp-10, 0x1.bb97b7e3cac14p-10, 0x1.b03e4098eb2edp-10, 0x1.a53b47c7ac6fp-10, 0x1.9a8c6f9407d21p-10, 0x1.902f66ddbe285p-10, 0x1.8621e916b17c7p-10, 0x1.7c61be1a34402p-10, 0x1.72ecba03c3d9fp-10, 0x1.69c0bd0498d6fp-10, 0x1.60dbb33bb57dep-10, 0x1.583b948a6faaep-10, 0x1.4fde646b86903p-10, 0x1.47c231c901b79p-10, 0x1.3fe516d1bdd26p-10, 0x1.384538cfd757bp-10, 0x1.30e0c7fe76615p-10, 0x1.29b5ff5fb34e9p-10, 0x1.22c324932c2a4p-10, 0x1.1c0687ab7af72p-10, 0x1.157e8304aa6f2p-10, 0x1.0f297b1a76f92p-10, 0x1.0905de5eed111p-10, 0x1.031225109c474p-10, 0x1.fa99a2228bf85p-11, 0x1.ef68db7a682fdp-11, 0x1.e48f1f83c39d2p-11, 0x1.da09a9eb7e6f8p-11, 0x1.cfd5c85d30a3dp-11, 0x1.c5f0da365b142p-11, 0x1.bc585032407f2p-11, 0x1.b309ac1ccb9bbp-11, 0x1.aa02808324b85p-11, 0x1.a1407064fdfabp-11, 0x1.98c12ee6a1b97p-11, 0x1.90827f046dda6p-11, 0x1.888233459df98p-11, 0x1.80be2d7077fe8p-11, 0x1.79345e3efdc77p-11, 0x1.71e2c513db2c9p-11, 0x1.6ac76fb214609p-11, 0x1.63e079f120498p-11, 0x1.5d2c0d7760b31p-11, 0x1.56a861708946p-11, 0x1.5053ba4793194p-11, 0x1.4a2c695f7047fp-11, 0x1.4430cccf584a8p-11, 0x1.3e5f4f1c1e5a8p-11, 0x1.38b666f5b825dp-11, 0x1.333496f3cf489p-11, 0x1.2dd86d53b9442p-11, 0x1.28a083b697c44p-11, 0x1.238b7ee166437p-11, 0x1.1e980e7cb1368p-11, 0x1.19c4ecd5d28ebp-11, 0x1.1510dea133375p-11, 0x1.107ab2bc22bdfp-11, 0x1.0c0141f1bd40fp-11, 0x1.07a36ebe11425p-11, 0x1.03602514c337cp-11, 0x1.fe6cb44c4aedfp-12, 0x1.f64a184e34cd1p-12, 0x1.ee5684306a833p-12, 0x1.e690171e105a7p-12, 0x1.def500fe31d06p-12, 0x1.d783820a40261p-12, 0x1.d039ea634c3a1p-12, 0x1.c91699ab6e712p-12, 0x1.c217fe9ee3687p-12, 0x1.bb3c96b0991c8p-12, 0x1.b482eda6802a3p-12, 0x1.ade99d3a2aa3dp-12, 0x1.a76f4cb70d2b2p-12, 0x1.a112b0a050236p-12, 0x1.9ad28a50c44aap-12, 0x1.94ada7a470098p-12, 0x1.8ea2e29d3be9bp-12, 0x1.88b1210d6354p-12, 0x1.82d75441f1eb4p-12, 0x1.7d1478adcb9c5p-12, 0x1.77679598b70dap-12, 0x1.71cfbccde5737p-12, 0x1.6c4c0a4d00a8cp-12, 0x1.66dba3fd474d4p-12, 0x1.617db960c0c1bp-12, 0x1.5c31834a19a2fp-12, 0x1.56f64393a9f4fp-12, 0x1.51cb44d873419p-12, 0x1.4cafda2d5c6a9p-12, 0x1.47a35edd05c3ap-12, 0x1.42a5362542425p-12, 0x1.3db4caf4832b2p-12, 0x1.38d18fa9e989fp-12, 0x1.33fafdd71d9fep-12, 0x1.2f30960200f0fp-12, 0x1.2a71df69aa7d7p-12, 0x1.25be67caba8c2p-12, 0x1.2115c3265b73fp-12, 0x1.1c778b8a8226dp-12, 0x1.17e360dadb3a2p-12, 0x1.1358e89aef20dp-12, 0x1.0ed7cdbb12ecap-12, 0x1.0a5fc064b5201p-12, 0x1.05f075c831ddap-12, 0x1.0189a7ed86fa4p-12, 0x1.fa562b07dc469p-13, 0x1.f1a90369c0864p-13, 0x1.e90b67ebb7b23p-13, 0x1.e07cefbb6913cp-13, 0x1.d7fd39f1ed667p-13, 0x1.cf8bed4156de6p-13, 0x1.c728b7a449013p-13, 0x1.bed34e0e6a78ap-13, 0x1.b68b6c2018f5cp-13, 0x1.ae50d3dbb180dp-13, 0x1.a6234d5c651a3p-13, 0x1.9e02a690449d3p-13, 0x1.95eeb2f311e5p-13, 0x1.8de74b4bbc973p-13, 0x1.85ec4d6c48d2ap-13, 0x1.7dfd9bf1ef847p-13, 0x1.761b1e0740256p-13, 0x1.6e44bf2b40969p-13, 0x1.667a6ef5650c9p-13, 0x1.5ebc20dedd775p-13, 0x1.5709cc0ca3acp-13, 0x1.4f636b1a758b8p-13, 0x1.47c8fbe89a54cp-13, 0x1.403a7f69950d6p-13, 0x1.38b7f973499e3p-13, 0x1.3141709097083p-13, 0x1.29d6edd505eccp-13, 0x1.22787cb112e8bp-13, 0x1.1b262ac94eea9p-13, 0x1.13e007ccc8b03p-13, 0x1.0ca6254efa15fp-13, 0x1.057896a1a6163p-13, 0x1.fcaee1623a25ap-14, 0x1.ee8593c295c4bp-14, 0x1.e07573d7d1638p-14, 0x1.d27eb37e0555dp-14, 0x1.c4a186bdf2a2ap-14, 0x1.b6de239019c12p-14, 0x1.a934c1a1974b8p-14, 0x1.9ba59a1d540a6p-14, 0x1.8e30e777d6bd5p-14, 0x1.80d6e53a13bdep-14, 0x1.7397cfcfccb46p-14, 0x1.6673e45a81f8ep-14, 0x1.596b60815b2d5p-14, 0x1.4c7e82488925ep-14, 0x1.3fad87e6d6de1p-14, 0x1.32f8af9d3899p-14, 0x1.26603792ca45bp-14, 0x1.19e45daecb37ap-14, 0x1.0d855f772767dp-14, 0x1.014379ef10332p-14, 0x1.ea3dd2f137ccp-15, 0x1.d22fd36fb3a2bp-15, 0x1.ba5d6aeb9f59bp-15, 0x1.a2c70d0af45f3p-15, 0x1.8b6d2b573939cp-15, 0x1.7450350d4dabep-15, 0x1.5d7096eea8da9p-15, 0x1.46cebb1ae46f6p-15, 0x1.306b08e66d6bep-15, 0x1.1a45e4b53ab1cp-15, 0x1.045fafd8019c6p-15, 0x1.dd7190d40603p-16, 0x1.b2a31269f27f3p-16, 0x1.8854932862041p-16, 0x1.5e86bab7b95edp-16, 0x1.353a29853afep-16, 0x1.0c6f788d0540ap-16, 0x1.c84e727519769p-17, 0x1.78c3ea7ecf6aap-17, 0x1.2a405cedf21ddp-17, 0x1.b9897b165a83ap-18, 0x1.20a3dff1ce79dp-18, 0x1.13a31e6a9de64p-19, -0x1.5d7e2a6bacffdp-23, -0x1.3b267a0349e26p-19, -0x1.2e23109a07227p-18, -0x1.bc9a4a6508592p-18, -0x1.247bf5331f245p-17, -0x1.699d893063ddep-17, -0x1.adb182fc8a08cp-17, -0x1.f0b7954b68bc6p-17, -0x1.1957c1e1d53dfp-16, -0x1.39cc91780c3efp-16, -0x1.59ba2c1b6d8fbp-16, -0x1.79208ce3230f6p-16, -0x1.97ffb7443828p-16, -0x1.b657b6ffb2f0fp-16, -0x1.d428a01e3c563p-16, -0x1.f1728ed93dcf9p-16, -0x1.071ad3c9f4fa3p-15, -0x1.15390b6169d28p-15, -0x1.2314086e39144p-15, -0x1.30abe9214a518p-15, -0x1.3e00cf96d271p-15, -0x1.4b12e1c99b66p-15, -0x1.57e24989b4294p-15, -0x1.646f346e184f3p-15, -0x1.70b9d3c885574p-15, -0x1.7cc25c9646d6fp-15, -0x1.88890774af5bfp-15, -0x1.940e108ef9b68p-15, -0x1.9f51b79298c8cp-15, -0x1.aa543f9f42f0bp-15, -0x1.b515ef373d946p-15, -0x1.bf97102f0b97dp-15, -0x1.c9d7ef9ed98p-15, -0x1.d3d8ddd0c3431p-15, -0x1.dd9a2e317819ap-15, -0x1.e71c373c2ee99p-15, -0x1.f05f526d7e4d6p-15, -0x1.f963dc302f4bap-15, -0x1.011519e574d59p-14, -0x1.05595da840a64p-14, -0x1.097eebc66bd33p-14, -0x1.0d85f7fa515e1p-14, -0x1.116eb74a3ee27p-14, -0x1.15395ffc83b8ep-14, -0x1.18e62991c052p-14, -0x1.1c754cbad59dp-14, -0x1.1fe7034fb42b8p-14, -0x1.233b884600d16p-14, -0x1.267317a903a77p-14, -0x1.298dee904405bp-14, -0x1.2c8c4b15e6b4p-14, -0x1.2f6e6c4dc2c5p-14, -0x1.3234923d3acc1p-14, -0x1.34defdd1d1d1ap-14, -0x1.376df0d92b727p-14, -0x1.39e1adf6f582bp-14, -0x1.3c3a789cc5689p-14, -0x1.3e7895019e47p-14, -0x1.409c481907779p-14, -0x1.42a5d78a0b0eep-14, -0x1.449589a7c47a7p-14, -0x1.466ba567cc341p-14, -0x1.4828725af9e51p-14, -0x1.49cc38a427d48p-14, -0x1.4b5740efab8eap-14, -0x1.4cc9d46c875cdp-14, -0x1.4e243cc43b8e5p-14, -0x1.4f66c4119d2d4p-14, -0x1.5091b4d9dd7cbp-14, -0x1.51a55a048792cp-14, -0x1.52a1fed4b56a6p-14, -0x1.5387eee0404e4p-14, -0x1.5457760964868p-14, -0x1.5510e076d7fcbp-14, -0x1.55b47a8c9957fp-14, -0x1.564290e4f6c27p-14, -0x1.56bb704903abap-14, -0x1.571f65aa95fdbp-14, -0x1.576ebe1d1ec5dp-14, -0x1.57a9c6ce96acfp-14, -0x1.57d0cd0211c73p-14, -0x1.57e41e084024cp-14, -0x1.57e4073952b5fp-14, -0x1.57d0d5ee9d59cp-14, -0x1.57aad77db75ebp-14, -0x1.5772593105438p-14, -0x1.5727a842429e4p-14, -0x1.56cb11d5cbaffp-14, -0x1.565ce2f3f9e98p-14, -0x1.55dd688388893p-14, -0x1.554cef44d1073p-14, -0x1.54abc3cc55b55p-14, -0x1.53fa327d65c49p-14, -0x1.5338878584926p-14, -0x1.52670ed771a91p-14, -0x1.51861426485a2p-14, -0x1.5095e2e0a96efp-14, -0x1.4f96c62c7d9c8p-14, -0x1.4e8908e2bbbfdp-14, -0x1.4d6cf58ab7204p-14, -0x1.4c42d655a4754p-14, -0x1.4b0af51b2be15p-14, -0x1.49c59b5596389p-14, -0x1.4873121d2b79ep-14, -0x1.4713a224d0ad1p-14, -0x1.45a793b666b42p-14, -0x1.442f2eaf9eecep-14, -0x1.42aaba7e9b0a2p-14, -0x1.411a7e1dfcfe5p-14, -0x1.3f7ec011fd2f1p-14, -0x1.3dd7c6659957cp-14, -0x1.3c25d6a743e0fp-14, -0x1.3a6935e666e32p-14, -0x1.38a228b074f37p-14, -0x1.36d0f30e685dep-14, -0x1.34f5d881bba06p-14, -0x1.33111c0255a1dp-14, -0x1.3122fffbdbe3p-14, -0x1.2f2bc64bfb1fcp-14, -0x1.2d2bb03fabfd4p-14, -0x1.2b22fe91752edp-14, -0x1.2911f16741282p-14, -0x1.26f8c85098837p-14, -0x1.24d7c24504efp-14, -0x1.22af1da1fb978p-14, -0x1.207f1829750c1p-14, -0x1.1e47ef0015726p-14, -0x1.1c09deac26f4ep-14, -0x1.19c5231450474p-14, -0x1.1779f77d9f20ep-14, -0x1.1528968aee36ep-14, -0x1.12d13a3bbdfadp-14, -0x1.10741beabaa97p-14, -0x1.0e11744cedaa6p-14, -0x1.0ba97b7177ab3p-14, -0x1.093c68bfb228cp-14, -0x1.06ca72f750c3p-14, -0x1.0453d02f4c2d1p-14, -0x1.01d8b5d51d75cp-14, -0x1.feb2b1599b676p-15, -0x1.f9abd99fa96b5p-15, -0x1.f49d4b5a5f0e5p-15, -0x1.ef876c112f286p-15, -0x1.ea6a9ff5308e6p-15, -0x1.e54749e0ada93p-15, -0x1.e01dcb561247fp-15, -0x1.daee8480a24a7p-15, -0x1.d5b9d4338c8f4p-15, -0x1.d08017ea754dbp-15, -0x1.cb41abc9b8609p-15, -0x1.c5feea9e6df58p-15, -0x1.c0b82dde52c54p-15, -0x1.bb6dcda9a5d1cp-15, -0x1.b62020ca0e4b2p-15, -0x1.b0cf7cb376418p-15, -0x1.ab7c35863f938p-15, -0x1.a6269e0ec23a1p-15, -0x1.a0cf07c62e2f1p-15, -0x1.9b75c2d479bdep-15, -0x1.961b1e1080238p-15, -0x1.90bf6701a773cp-15, }}, 
      {{0x1.fe9cfab0793c4p-1, 0x1.fe49063a7d1d7p-1, 0x1.fdbd395ee4358p-1, 0x1.fcf9c3bcf6e3ep-1, 0x1.fbfee7873b6c5p-1, 0x1.faccf911088dep-1, 0x1.f9645e43995e6p-1, 0x1.f7c58dfeeaa02p-1, 0x1.f5f10f6a7501ep-1, 0x1.f3e779397ee1ap-1, 0x1.f1a970e65f309p-1, 0x1.ef37a9e7a2db3p-1, 0x1.ec92e4e19fd67p-1, 0x1.e9bbeed6aa884p-1, 0x1.e6b3a057c9a19p-1, 0x1.e37adcb775561p-1, 0x1.e012913fb0dbdp-1, 0x1.dc7bb46c8451bp-1, 0x1.d8b7452baf369p-1, 0x1.d4c64a2234da7p-1, 0x1.d0a9d0f839881p-1, 0x1.cc62edab8ac8bp-1, 0x1.c7f2b9e902418p-1, 0x1.c35a546ce497ep-1, 0x1.be9ae06a4132ap-1, 0x1.b9b584f94bcedp-1, 0x1.b4ab6c8c9666p-1, 0x1.af7dc46d0cd53p-1, 0x1.aa2dbc3c86b97p-1, 0x1.a4bc857ec0abfp-1, 0x1.9f2b5328876d6p-1, 0x1.997b5934df917p-1, 0x1.93adcc3feda12p-1, 0x1.8dc3e12764367p-1, 0x1.87beccb03b974p-1, 0x1.819fc33178c25p-1, 0x1.7b67f843c57a5p-1, 0x1.75189e759ed05p-1, 0x1.6eb2e703e28b1p-1, 0x1.683801967da0fp-1, 0x1.61a91c010af19p-1, 0x1.5b07620726e0fp-1, 0x1.5453fd2447729p-1, 0x1.4d901456e812bp-1, 0x1.46bccbeed8e5dp-1, 0x1.3fdb455e8337fp-1, 0x1.38ec9f0efd383p-1, 0x1.31f1f436c2209p-1, 0x1.2aec5cb2ea7fep-1, 0x1.23dcece2c1e84p-1, 0x1.1cc4b5859be0cp-1, 0x1.15a4c39ac7575p-1, 0x1.0e7e20438861ep-1, 0x1.0751d0a6ff049p-1, 0x1.0020d5d7e294dp-1, 0x1.f1d85977fe1p-2, 0x1.e3699beac2f9p-2, 0x1.d4f75b9a453c2p-2, 0x1.c683783f7daf2p-2, 0x1.b80fc895e2a7bp-2, 0x1.a99e1a3a029eep-2, 0x1.9b30318af9c8bp-2, 0x1.8cc7c98e9c5cfp-2, 0x1.7e6693d854b05p-2, 0x1.700e38729816dp-2, 0x1.61c055cae78fcp-2, 0x1.537e80a04db9bp-2, 0x1.454a43f446b24p-2, 0x1.372520fe0c9cep-2, 0x1.29108f2033b2p-2, 0x1.1b0dfbe08c2bcp-2, 0x1.0d1ecae23f809p-2, 0x1.fe88abc42c058p-3, 0x1.e2ffd969bd7a3p-3, 0x1.c7a5aa8fcf07fp-3, 0x1.ac7c9746f0125p-3, 0x1.918703de90105p-3, 0x1.76c740f1afd33p-3, 0x1.5c3f8b775436cp-3, 0x1.41f20cd68abc8p-3, 0x1.27e0dafde4cb1p-3, 0x1.0e0df87e54778p-3, 0x1.e8f6a9528bcc3p-4, 0x1.b6559763a4263p-4, 0x1.843c4da1e27cap-4, 0x1.52ae38d917193p-4, 0x1.21aea0828f2cep-4, 0x1.e2814e3bcc5fcp-5, 0x1.82ce951dab5a7p-5, 0x1.244ac8ff70ba7p-5, 0x1.8df6ab2220553p-6, 0x1.ab957ed06f2c8p-7, 0x1.00dc65a1d81adp-9, -0x1.261b7256adfdfp-7, -0x1.43a866a31ece6p-6, -0x1.f1ac56748202fp-6, -0x1.4e88f3e1a02eap-5, -0x1.a2e8fe0bfcbeap-5, -0x1.f5f2faac40229p-5, -0x1.23d1ecedb0377p-4, -0x1.4bfc64e5d5b21p-4, -0x1.73779adc12204p-4, -0x1.9a426268424cfp-4, -0x1.c05bac9115f47p-4, -0x1.e5c2873f29739p-4, -0x1.053b0e5782343p-3, -0x1.173ad971050dbp-3, -0x1.28e055875286cp-3, -0x1.3a2b4087e22e3p-3, -0x1.4b1b6569e472dp-3, -0x1.5bb09be58fdcep-3, -0x1.6beac82b4e9e1p-3, -0x1.7bc9da9add2ccp-3, -0x1.8b4dcf7a6b82cp-3, -0x1.9a76aeadcd509p-3, -0x1.a9448b6dcd5fap-3, -0x1.b7b783ffacef3p-3, -0x1.c5cfc16cd6f79p-3, -0x1.d38d773ae4594p-3, -0x1.e0f0e323e123dp-3, -0x1.edfa4ccf01923p-3, -0x1.faaa0589a46f7p-3, -0x1.038034006e07bp-2, -0x1.097eebfdaea85p-2, -0x1.0f516109fc5bbp-2, -0x1.14f7cdba4d0edp-2, -0x1.1a7270c8e77b5p-2, -0x1.1fc18cf378177p-2, -0x1.24e568d96f07bp-2, -0x1.29de4edab1a0ep-2, -0x1.2eac8cf69f7ap-2, -0x1.335074ab6a9d8p-2, -0x1.37ca5ad5d0ed6p-2, -0x1.3c1a979125923p-2, -0x1.40418617c1549p-2, -0x1.443f84a3cd1f3p-2, -0x1.4814f4506cd28p-2, -0x1.4bc238fb51729p-2, -0x1.4f47b926a902dp-2, -0x1.52a5dddb79b2p-2, -0x1.55dd128c5ffa6p-2, -0x1.58edc4f8b8124p-2, -0x1.5bd865102c13ap-2, -0x1.5e9d64d6b168ap-2, -0x1.613d3848eee52p-2, -0x1.63b855410d4e8p-2, -0x1.660f335bf87aap-2, -0x1.68424bdf0a6d5p-2, -0x1.6a52199e270c4p-2, -0x1.6c3f18e243942p-2, -0x1.6e09c75061b85p-2, -0x1.6fb2a3d0f531bp-2, -0x1.713a2e77be4a8p-2, -0x1.72a0e86c0fb9dp-2, -0x1.73e753d1890b8p-2, -0x1.750df3b1419f5p-2, -0x1.76154be35fd91p-2, -0x1.76fde0f929b3ap-2, -0x1.77c838277e005p-2, -0x1.7874d731c3846p-2, -0x1.79044455498edp-2, -0x1.7977063516f25p-2, -0x1.79cda3c62d1a9p-2, -0x1.7a08a43c38348p-2, -0x1.7a288ef6b2909p-2, -0x1.7a2deb6e79eep-2, -0x1.7a194123cec4ap-2, -0x1.79eb178ccb2e8p-2, -0x1.79a3f60442eedp-2, -0x1.794463b914f19p-2, -0x1.78cce79ded614p-2, -0x1.783e08596ff94p-2, -0x1.77984c36d754bp-2, -0x1.76dc3916fab6fp-2, -0x1.760a5461c389fp-2, -0x1.752322f80f7e2p-2, -0x1.74272925fa76p-2, -0x1.7316ea959512dp-2, -0x1.71f2ea4204cf8p-2, -0x1.70bbaa6b0cc74p-2, -0x1.6f71ac88fc85fp-2, -0x1.6e1571410bea1p-2, -0x1.6ca7785a1444p-2, -0x1.6b2840b1b768fp-2, -0x1.69984831e7878p-2, -0x1.67f80bc6d10fbp-2, -0x1.6648075529c2fp-2, -0x1.6488b5b0e1d7ap-2, -0x1.62ba909431782p-2, -0x1.60de109709a7cp-2, -0x1.5ef3ad26e1831p-2, -0x1.5cfbdc7ee2801p-2, -0x1.5af713a06bc3p-2, -0x1.58e5c64bf7162p-2, -0x1.56c866fa51e2p-2, -0x1.549f66d631309p-2, -0x1.526b35b61be2dp-2, -0x1.502c4216aa3a2p-2, -0x1.4de2f9151b941p-2, -0x1.4b8fc66a3d139p-2, -0x1.49331465a44a9p-2, -0x1.46cd4be937bbdp-2, -0x1.445ed4650a0cp-2, -0x1.41e813d37ea54p-2, -0x1.3f696eb5bfb79p-2, -0x1.3ce3481079b6dp-2, -0x1.3a560168e5218p-2, -0x1.37c1fac216357p-2, -0x1.3527929a9221cp-2, -0x1.328725ea2c596p-2, -0x1.2fe11020264ecp-2, -0x1.2d35ab218f65ep-2, -0x1.2a854f47ead3ep-2, -0x1.27d053600f8c9p-2, -0x1.25170ca949475p-2, -0x1.2259ced4b6354p-2, -0x1.1f98ec04dd74p-2, -0x1.1cd4b4cd7ffe1p-2, -0x1.1a0d7833a48b3p-2, -0x1.174383add4418p-2, -0x1.1477232493375p-2, -0x1.11a8a0f307934p-2, -0x1.0ed845e7d3b0ep-2, -0x1.0c065946242b2p-2, -0x1.093320c6eb32fp-2, -0x1.065ee09a47009p-2, -0x1.0389db691ad7fp-2, -0x1.00b45256ce50dp-2, -0x1.fbbd0a066f712p-3, -0x1.f61163195eb5ep-3, -0x1.f0662924921c2p-3, -0x1.eabbd26c647eep-3, -0x1.e512d240700d6p-3, -0x1.df6b9900d55f9p-3, -0x1.d9c69423cb8c4p-3, -0x1.d4242e3b72385p-3, -0x1.ce84cefbdcd1fp-3, -0x1.c8e8db415a7e1p-3, -0x1.c350b516f812dp-3, -0x1.bdbcbbbd37babp-3, -0x1.b82d4bb0f8f81p-3, -0x1.b2a2beb295702p-3, -0x1.ad1d6bcd2b726p-3, -0x1.a79da75e163e2p-3, -0x1.a223c31c8a582p-3, -0x1.9cb00e21607ecp-3, -0x1.9742d4ef04aecp-3, -0x1.91dc6179822e5p-3, -0x1.8c7cfb2ebc755p-3, -0x1.8724e6feb6277p-3, -0x1.81d467640a325p-3, -0x1.7c8bbc6c686ffp-3, -0x1.774b23c13f257p-3, -0x1.7212d8b06e2ebp-3, -0x1.6ce314351108ep-3, -0x1.67bc0d0065028p-3, -0x1.629df782b20f4p-3, -0x1.5d8905f44b5b5p-3, -0x1.587d685e9ed33p-3, -0x1.537b4ca54bb48p-3, -0x1.4e82de8f410a1p-3, -0x1.499447cfedbebp-3, -0x1.44afb0106d2c2p-3, -0x1.3fd53cf8bff9fp-3, -0x1.3b051239041b4p-3, -0x1.363f5192b2143p-3, -0x1.31841ae1d87bep-3, -0x1.2cd38c265860dp-3, -0x1.282dc18d1f08bp-3, -0x1.2392d5795d0d3p-3, -0x1.1f02e08db66fap-3, -0x1.1a7df9b57008p-3, -0x1.1604362d950adp-3, -0x1.1195a98e11ff8p-3, -0x1.0d3265d2c7ccfp-3, -0x1.08da7b6497bc7p-3, -0x1.048df9225c22ap-3, -0x1.004cec69de64ap-3, -0x1.f82ec2416e00ap-4, -0x1.efdac37a49903p-4, -0x1.e79dee9da34cap-4, -0x1.df78530f129bbp-4, -0x1.d769fd87bae3p-4, -0x1.cf72f827760f9p-4, -0x1.c7934a85d321dp-4, -0x1.bfcaf9c2f34d1p-4, -0x1.b81a08984062ep-4, -0x1.b0807768f1fc6p-4, -0x1.a8fe4452767dep-4, -0x1.a1936b3ca20cap-4, -0x1.9a3fe5e9bddap-4, -0x1.9303ac065faa6p-4, -0x1.8bdeb3391be33p-4, -0x1.84d0ef32005bep-4, -0x1.7dda51b9e4f62p-4, -0x1.76facac188aa4p-4, -0x1.703248707d524p-4, -0x1.6980b733df075p-4, -0x1.62e601ccddc26p-4, -0x1.5c62115f0c94dp-4, -0x1.55f4cd7e83aaap-4, -0x1.4f9e1c3dc64f6p-4, -0x1.495de23b7adc2p-4, -0x1.433402afe8699p-4, -0x1.3d205f7a3f627p-4, -0x1.3722d92dae2f3p-4, -0x1.313b4f1e3dc42p-4, -0x1.2b699f6d77788p-4, -0x1.25ada716d4554p-4, -0x1.200741fbf5acfp-4, -0x1.1a764af0a6498p-4, -0x1.14fa9bc6a5112p-4, -0x1.0f940d5936ab2p-4, -0x1.0a42779884a7ap-4, -0x1.0505b194be609p-4, -0x1.ffbb2312145b3p-5, -0x1.f593d9cc731a3p-5, -0x1.eb9530ba97611p-5, -0x1.e1becfd36c505p-5, -0x1.d8105db6ee0bp-5, -0x1.ce897fc1e4c87p-5, -0x1.c529da21321f2p-5, -0x1.bbf10fe4b9553p-5, -0x1.b2dec311cc8bap-5, -0x1.a9f294b543019p-5, -0x1.a12c24f51979ep-5, -0x1.988b1321ada58p-5, -0x1.900efdc69547bp-5, -0x1.87b782bb035aep-5, -0x1.7f843f31d64dap-5, -0x1.7774cfc9327dfp-5, -0x1.6f88d099c139fp-5, -0x1.67bfdd458a119p-5, -0x1.6019910665c5bp-5, -0x1.589586bc1561cp-5, -0x1.513358f9f50fbp-5, -0x1.49f2a21450461p-5, -0x1.42d2fc2d55e86p-5, -0x1.3bd40141b5da2p-5, -0x1.34f54b34daa4fp-5, -0x1.2e3673dcc74a8p-5, -0x1.2797150da4295p-5, -0x1.2116c8a4eea49p-5, -0x1.1ab52894480a9p-5, -0x1.1471ceebff84bp-5, -0x1.0e4c55e53a914p-5, -0x1.084457ebcceb7p-5, -0x1.02596fa7bdc3cp-5, -0x1.f916700cf8ccdp-6, -0x1.edb298878a063p-6, -0x1.e2868fe469c49p-6, -0x1.d7918e0728bb3p-6, -0x1.ccd2cba19d06p-6, -0x1.c249824343ff7p-6, -0x1.b7f4ec68180d9p-6, -0x1.add44586ca374p-6, -0x1.a3e6ca1e6b77bp-6, -0x1.9a2bb7c39112bp-6, -0x1.90a24d2cf336p-6, -0x1.8749ca3f80458p-6, -0x1.7e217019e203p-6, -0x1.7528811fa0e56p-6, -0x1.6c5e41039784p-6, -0x1.63c1f4d21c1f5p-6, -0x1.5b52e2fa90c19p-6, -0x1.531053588869cp-6, -0x1.4af98f3c78cf6p-6, -0x1.430de173e88e8p-6, -0x1.3b4c965143424p-6, -0x1.33b4fbb342a8cp-6, -0x1.2c46610bd2c81p-6, -0x1.25001766a7434p-6, -0x1.1de1716f563dep-6, -0x1.16e9c3773282ep-6, -0x1.1018637a907c4p-6, -0x1.096ca925e0f2cp-6, -0x1.02e5edda4781dp-6, -0x1.f9071963dc658p-7, -0x1.ec89c507fb381p-7, -0x1.e0529bd06d6cap-7, -0x1.d4605e74859bdp-7, -0x1.c8b1d139515b2p-7, -0x1.bd45bbf702186p-7, -0x1.b21aea1da6094p-7, -0x1.a7302ab9545dbp-7, -0x1.9c845075c4441p-7, -0x1.921631a1545fap-7, -0x1.87e4a82fa0404p-7, -0x1.7dee91bb6e5f1p-7, -0x1.7432cf8849aa8p-7, -0x1.6ab04683614c2p-7, -0x1.6165df443022ap-7, -0x1.5852860c83cbbp-7, -0x1.4f752ac82dd36p-7, -0x1.46ccc10c2e58fp-7, -0x1.3e58401584103p-7, -0x1.3616a2c79f60cp-7, -0x1.2e06e7aa5aa73p-7, -0x1.262810e7a9001p-7, -0x1.1e792448d1f2ep-7, -0x1.16f92b337fefbp-7, -0x1.0fa732a636f22p-7, -0x1.08824b34b673dp-7, -0x1.01898903ff9cp-7, -0x1.f578078be0633p-8, -0x1.e831ad6955c4bp-8, -0x1.db3e411b7fdadp-8, -0x1.ce9c071a309a4p-8, -0x1.c2494acf09f43p-8, -0x1.b6445e8a3d38ap-8, -0x1.aa8b9b76fa40fp-8, -0x1.9f1d618f2e1dbp-8, -0x1.93f8178f1b7cfp-8, -0x1.891a2ae84ef6bp-8, -0x1.7e820fb467b91p-8, -0x1.742e40a761419p-8, -0x1.6a1d3f01903f4p-8, -0x1.604d92815eb7cp-8, -0x1.56bdc954acb0ep-8, -0x1.4d6c7809d0076p-8, -0x1.44583980912c2p-8, -0x1.3b7faedaa6f77p-8, -0x1.32e17f6c1c401p-8, -0x1.2a7c58ab5ba72p-8, -0x1.224eee2143d64p-8, -0x1.1a57f958b261ap-8, -0x1.129639ce56708p-8, -0x1.0b0874dfcef9p-8, -0x1.03ad75bb2e506p-8, -0x1.f9081a9bdb3c7p-9, -0x1.eb1624683014fp-9, -0x1.dd82c14e170cap-9, -0x1.d04bb4d8c3a99p-9, -0x1.c36ecd8951c39p-9, -0x1.b6e9e4b3ff065p-9, -0x1.aabade5d76778p-9, -0x1.9edfa917b8e8fp-9, -0x1.93563ddf95878p-9, -0x1.881c9ff8f4acfp-9, -0x1.7d30dccc74767p-9, -0x1.72910bc3c6ba3p-9, -0x1.683b4e26eb1ap-9, -0x1.5e2dcef911d3bp-9, -0x1.5466c2d572bfbp-9, -0x1.4ae467cc78304p-9, -0x1.41a50540a492cp-9, -0x1.38a6ebc3d7345p-9, -0x1.2fe874f4be101p-9, -0x1.2768035bd946p-9, -0x1.1f24024929b5ep-9, -0x1.171ae5b1f6adep-9, -0x1.0f4b2a0e482a9p-9, -0x1.07b354372a0f9p-9, -0x1.0051f1449e4f9p-9, -0x1.f24b2cd7d5af9p-10, -0x1.e459c1bc76b71p-10, -0x1.d6cceb4e6e9cdp-10, -0x1.c9a203180006p-10, -0x1.bcd671d4d4ec7p-10, -0x1.b067af3052aeep-10, -0x1.a45341856e0f4p-10, -0x1.9896bd9e1f7dap-10, -0x1.8d2fc673a0ecfp-10, -0x1.821c0cef5248bp-10, -0x1.77594fac412d2p-10, -0x1.6ce55ab8b9a0ap-10, -0x1.62be0758ef26cp-10, -0x1.58e13bca33b01p-10, -0x1.4f4ceb06354bap-10, -0x1.45ff1487c7093p-10, -0x1.3cf5c40f33a32p-10, -0x1.342f116804d4fp-10, -0x1.2ba9202f23a35p-10, -0x1.23621f995f1a1p-10, -0x1.1b584a3ac8f5p-10, -0x1.1389e5cf3dc69p-10, -0x1.0bf543022c97p-10, -0x1.0498bd38b8a4dp-10, -0x1.fae574b6ad421p-11, -0x1.ed035540901dbp-11, -0x1.df8810aeafb77p-11, -0x1.d270af6ac6597p-11, -0x1.c5ba4d430836p-11, -0x1.b9621903c6fc2p-11, -0x1.ad655413fa7d7p-11, -0x1.a1c152129abecp-11, -0x1.967378757c718p-11, -0x1.8b793e28abfap-11, -0x1.80d02b30f02e7p-11, -0x1.7675d84ddb25p-11, -0x1.6c67ee9e26469p-11, -0x1.62a4274514f1p-11, -0x1.59284b11f10e2p-11, -0x1.4ff232270dd7cp-11, -0x1.46ffc3a47d0a4p-11, -0x1.3e4ef552654a9p-11, -0x1.35ddcb4d52863p-11, -0x1.2daa57b3df4dcp-11, -0x1.25b2ba55620a7p-11, -0x1.1df5206278b6p-11, -0x1.166fc41dcb4a1p-11, -0x1.0f20ec8fea6cap-11, -0x1.0806ed3a8452fp-11, -0x1.012025ce88648p-11, -0x1.f4d603c3c9b97p-12, -0x1.e7cbf1505b15cp-12, -0x1.db1f1957d3c34p-12, -0x1.cecc97103ebeap-12, -0x1.c2d19b4994f98p-12, -0x1.b72b6be73ee27p-12, -0x1.abd7635c0693p-12, -0x1.a0d2f028e72d2p-12, -0x1.961b945e0ceb9p-12, -0x1.8baee51dc33dfp-12, -0x1.818a8a237fd58p-12, -0x1.77ac3d4a11eb5p-12, -0x1.6e11ca1790da7p-12, -0x1.64b90d49cf947p-12, -0x1.5b9ff463f0c51p-12, -0x1.52c47d4138211p-12, -0x1.4a24b5a745bdbp-12, -0x1.41bebadb8668bp-12, -0x1.3990b93b804a7p-12, -0x1.3198ebd5710b1p-12, -0x1.29d59c054782dp-12, -0x1.22452112423efp-12, -0x1.1ae5dfcdf7aa8p-12, -0x1.13b64a3758edep-12, -0x1.0cb4df1e30342p-12, -0x1.05e029c89da63p-12, -0x1.fe6d83362febdp-13, -0x1.f16e9385331d4p-13, -0x1.e4c0e1c042afep-13, -0x1.d861e16a8445cp-13, -0x1.cc4f1ba931faap-13, -0x1.c0862ea3113dcp-13, -0x1.b504cce959678p-13, -0x1.a9c8bcdc90475p-13, -0x1.9ecfd81da199ap-13, -0x1.94180afa376aap-13, -0x1.899f53e235a54p-13, -0x1.7f63c2dd887f8p-13, -0x1.756379055564ep-13, -0x1.6b9ca801a84cp-13, -0x1.620d91892275p-13, -0x1.58b486e381d6fp-13, -0x1.4f8fe870a15d8p-13, -0x1.469e253109f93p-13, -0x1.3dddba526446cp-13, -0x1.354d32bdbe973p-13, -0x1.2ceb26a8eab2bp-13, -0x1.24b63b2b8e442p-13, -0x1.1cad21d57cee7p-13, -0x1.14ce9849393adp-13, -0x1.0d1967d6e61eep-13, -0x1.058c651ccb3fbp-13, -0x1.fc4cdf5042878p-14, -0x1.edcce33120314p-14, -0x1.df96be8ced2e9p-14, -0x1.d1a86dd813e0cp-14, -0x1.c400009fb72afp-14, -0x1.b69b98e3ad12ep-14, -0x1.a9796a76a70c7p-14, -0x1.9c97ba6005edep-14, -0x1.8ff4de45c3919p-14, -0x1.838f3bd5967c5p-14, -0x1.77654836d0be8p-14, -0x1.6b75877c3c213p-14, -0x1.5fbe8c1e24db7p-14, -0x1.543ef673d9c0fp-14, -0x1.48f57434969cap-14, -0x1.3de0bffa2ebf4p-14, -0x1.32ffa0c7b5b02p-14, -0x1.2850e994991ep-14, -0x1.1dd378d9a3e77p-14, -0x1.1386382199d9dp-14, -0x1.09681b9f631e9p-14, -0x1.fef043866aa8ep-15, -0x1.eb6aa5af0003dp-15, -0x1.d83d813c0716fp-15, -0x1.c5670be0df87fp-15, -0x1.b2e58cca2097ep-15, -0x1.a0b75bebeb80ep-15, -0x1.8edae150a4de1p-15, -0x1.7d4e947547e65p-15, -0x1.6c10fba6710a1p-15, -0x1.5b20ab63170cap-15, -0x1.4a7c45c50b18cp-15, -0x1.3a2279edb4385p-15, -0x1.2a1203781ae21p-15, -0x1.1a49a9f180968p-15, -0x1.0ac8405263ef8p-15, -0x1.f71949003ccffp-16, -0x1.d92b7d9f152dep-16, -0x1.bbc5031d0b7b5p-16, -0x1.9ee3d11fcb59dp-16, -0x1.8285f1795d15p-16, -0x1.66a97f51b828bp-16, -0x1.4b4ca655f57d5p-16, -0x1.306da1f263634p-16, -0x1.160abc9484894p-16, -0x1.f8449dd66c805p-17, -0x1.c5657e6fa1133p-17, -0x1.9375014b4c83ap-17, -0x1.6270253e5453bp-17, -0x1.3254006324f52p-17, -0x1.031dbee64ad2dp-17, -0x1.a99543cac33b3p-18, -0x1.4eaffca3300eap-18, -0x1.eb0cef779f277p-19, -0x1.3c275013d2256p-19, -0x1.214a88105f9c5p-20, 0x1.782cc50c713ddp-23, 0x1.78b47994c8874p-20, 0x1.5dea30e586ee7p-19, 0x1.fc3b96fd74beap-19, 0x1.4bab95bb1d2c8p-18, 0x1.97a2bdeaf6e6ep-18, 0x1.e20774b6278c7p-18, 0x1.156eeb1177508p-17, 0x1.3914f56d4779fp-17, 0x1.5bf7d4af3abf3p-17, 0x1.7e197ba537018p-17, 0x1.9f7bd530d84c2p-17, 0x1.c020c4dd4f088p-17, 0x1.e00a2758bff24p-17, 0x1.ff39d2f2f3c6p-17, 0x1.0ed8cc0a45d2dp-16, 0x1.1db9a0d7862b8p-16, 0x1.2c404ad0c75a9p-16, 0x1.3a6daa947046cp-16, 0x1.48429e98a3f5p-16, 0x1.55c0035bd6acap-16, 0x1.62e6b38ebdd38p-16, 0x1.6fb78838fd092p-16, 0x1.7c3358e2e502ep-16, 0x1.885afbb3ef629p-16, 0x1.942f459754c25p-16, 0x1.9fb10a586efe2p-16, 0x1.aae11cc1c2fe7p-16, 0x1.b5c04eb3550c1p-16, 0x1.c04f71400ae84p-16, 0x1.ca8f54c12b3a4p-16, 0x1.d480c8eea6b08p-16, 0x1.de249cf101073p-16, 0x1.e77b9f72a87fdp-16, 0x1.f0869eb1d7b31p-16, 0x1.f946688e7c7d4p-16, 0x1.00dde54bd068dp-15, 0x1.04f3c90cd1e6p-15, 0x1.08e54612ff3d8p-15, 0x1.0cb2c2d0685d1p-15, 0x1.105ca5a2b61a6p-15, 0x1.13e354d8926cap-15, 0x1.174736b331dc3p-15, 0x1.1a88b16a4c3dap-15, 0x1.1da82b2e02012p-15, 0x1.20a60a2828bdap-15, 0x1.2382b47e0bc05p-15, 0x1.263e90517141cp-15, 0x1.28da03c01ca84p-15, 0x1.2b5574e53f1b6p-15, 0x1.2db149d7e0637p-15, 0x1.2fede8abb99b9p-15, 0x1.320bb76f6e265p-15, 0x1.340b1c2b72a7bp-15, 0x1.35ec7ce09d867p-15, 0x1.37b03f8718b4fp-15, 0x1.3956ca0af1de7p-15, 0x1.3ae0824b990f2p-15, 0x1.3c4dce18f0c83p-15, 0x1.3d9f133093c33p-15, 0x1.3ed4b73abe791p-15, 0x1.3fef1fc83a448p-15, 0x1.40eeb24e610cp-15, 0x1.41d3d4245048ep-15, 0x1.429eea7fdece6p-15, 0x1.43505a7190995p-15, 0x1.43e888e17474p-15, 0x1.4467da8b4c5fcp-15, 0x1.44ceb3fb0319p-15, 0x1.451d798821715p-15, 0x1.45548f52ff2c8p-15, 0x1.4574593fc9065p-15, 0x1.457d3af35a5fap-15, 0x1.456f97cee283p-15, 0x1.454bd2eb5158ep-15, 0x1.45124f162645cp-15, 0x1.44c36ecc31028p-15, 0x1.445f9436c614ap-15, 0x1.43e7212692beep-15, 0x1.435a770fe1e23p-15, 0x1.42b9f706efff5p-15, 0x1.420601bb8ap-15, 0x1.413ef774507cp-15, 0x1.4065380b863acp-15, 0x1.3f7922ea950b7p-15, 0x1.3e7b1706845d7p-15, 0x1.3d6b72db779bfp-15, 0x1.3c4a94694e35bp-15, 0x1.3b18d92f523fbp-15, 0x1.39d69e294fbe6p-15, 0x1.38843fca68965p-15, 0x1.372219fab62f4p-15, 0x1.35b0881324c3dp-15, 0x1.342fe4da21d25p-15, 0x1.32a08a7f9f6bp-15, 0x1.3102d29a542edp-15, 0x1.2f571624173f5p-15, 0x1.2d9dad763a044p-15, 0x1.2bd6f046c0f66p-15, 0x1.2a0335a561afep-15, 0x1.2822d3f844d21p-15, 0x1.263620f9236ep-15, 0x1.243d71b20df57p-15, 0x1.22391a7b94f93p-15, 0x1.20296ef95c37fp-15, 0x1.1e0ec21769bfep-15, 0x1.1be96607cdb0bp-15, 0x1.19b9ac40580bep-15, 0x1.177fe577e88dfp-15, 0x1.153c61a489bcp-15, 0x1.12ef6ff905ea5p-15, 0x1.10995ee2c05abp-15, 0x1.0e3a7c07e8117p-15, 0x1.0bd314453ef07p-15, 0x1.096373ac949aap-15, 0x1.06ebe582c67bdp-15, 0x1.046cb43ead3eap-15, 0x1.01e62986edfe3p-15, 0x1.feb11c614e7bap-16, 0x1.f988547c7e0e1p-16, 0x1.f45289bacaed7p-16, 0x1.ef1048cd88ca5p-16, 0x1.e9c21cb88fb1ep-16, 0x1.e4688ed0ba8bap-16, 0x1.df0426b95c6b6p-16, 0x1.d9956a630212ap-16, 0x1.d41cde0a13bd7p-16, 0x1.ce9b04344c9dcp-16, 0x1.c9105db01b9bep-16, 0x1.c37d6993f43d3p-16, 0x1.bde2a53cefb85p-16, 0x1.b8408c4d988d3p-16, 0x1.b29798ad54a38p-16, 0x1.ace8428861b0fp-16, 0x1.a733004f55adep-16, 0x1.a17846b652e96p-16, 0x1.9bb888b55d107p-16, 0x1.95f4378863fcap-16, 0x1.902bc2af2570ep-16, 0x1.8a5f97edaf85dp-16, 0x1.8490234d9c46ap-16, 0x1.7ebdcf1df4de6p-16, 0x1.78e903f3495f5p-16, 0x1.731228a97c7d1p-16, 0x1.6d39a26412d06p-16, 0x1.675fd4900c41dp-16, 0x1.618520e41c3e9p-16, 0x1.5ba9e7627f88ep-16, 0x1.55ce865a602f5p-16, 0x1.4ff35a695b615p-16, 0x1.4a18be7d4de24p-16, 0x1.443f0bd5d9ddfp-16, 0x1.3e669a05d5aedp-16, 0x1.388fbef59f0ffp-16, 0x1.32bacee5edd9fp-16, 0x1.2ce81c70ef329p-16, 0x1.2717f88c74b78p-16, 0x1.214ab28c97ac7p-16, 0x1.1b80982679b4p-16, 0x1.15b9f5723bc64p-16, 0x1.0ff714ecc08cep-16, 0x1.0a383f7bdf7c4p-16, 0x1.047dbc704b377p-16, 0x1.fd8fa31124d5p-17, 0x1.f22d85e6ee9f9p-17, 0x1.e6d5a6a6810c9p-17, 0x1.db888781a7bafp-17, 0x1.d046a79d1394ap-17, 0x1.c5108316f3d6ep-17, 0x1.b9e6930c4c481p-17, 0x1.aec94da05ae45p-17, 0x1.a3b926028847cp-17, 0x1.98b68c74c59fcp-17, 0x1.8dc1ee5334a2cp-17, 0x1.82dbb61a43361p-17, 0x1.78044b6e0cc7fp-17, 0x1.6d3c13211bb13p-17, 0x1.62836f3a1190dp-17, 0x1.57dabefd2967p-17, 0x1.4d425ef250c87p-17, 0x1.42baa8ece1459p-17, 0x1.3843f4116bf05p-17, 0x1.2dde94dee67p-17, 0x1.238add35a9ecbp-17, 0x1.19491c5edc7acp-17, 0x1.0f199f128c2dbp-17, 0x1.04fcaf81a7161p-17, 0x1.f5e52ab7f9a47p-18, 0x1.e1f72bb0f5eb7p-18, 0x1.ce2fe77961f35p-18, 0x1.ba8fdec9de325p-18, 0x1.a7178d95a6c5ep-18, 0x1.93c76b1df1dfbp-18, 0x1.809fe9fd50ebp-18, 0x1.6da1783a19fadp-18, 0x1.5acc7f56d3ebp-18, 0x1.4821645ef8502p-18, 0x1.35a087f7bdd8ep-18, 0x1.234a466f537c6p-18, 0x1.111ef7cdbab56p-18, 0x1.fe3ddfc952931p-19, 0x1.da94fcbc6383fp-19, 0x1.b743dd9708c7bp-19, 0x1.944b116b3bcc2p-19, 0x1.71ab1f5a09cdep-19, 0x1.4f6486b403305p-19, 0x1.2d77bf148e436p-19, 0x1.0be53884604d6p-19, 0x1.d55ab72b6b7f8p-20, 0x1.93a1130c06714p-20, 0x1.529e38b512bf8p-20, 0x1.1252cdfd9e97fp-20, 0x1.a57ed59414af4p-21, 0x1.27c93289f079ep-21, 0x1.570b586475fadp-22, 0x1.85a90b5b69124p-24, -0x1.229ea3b914cb8p-23, -0x1.81200f3d812fcp-22, -0x1.370368812ebe8p-21, -0x1.ac01520d5f665p-21, -0x1.0fc4b176dcf7fp-20, -0x1.48cda8c3a7e0ap-20, -0x1.811b75c6c42ep-20, -0x1.b8ae0abf0f599p-20, -0x1.ef85651e523eep-20, -0x1.12d0c6a97466ep-19, -0x1.2d814b445fc21p-19, -0x1.47d44f37b064cp-19, -0x1.61c9e685bf1f5p-19, -0x1.7b622a3e003a2p-19, -0x1.949d38627f0efp-19, -0x1.ad7b33c9db8acp-19, -0x1.c5fc4408f3bp-19, -0x1.de20955430b32p-19, -0x1.f5e85866223b1p-19, -0x1.06a9e133f6485p-18, -0x1.1231866b246d6p-18, -0x1.1d8b3ab2879dap-18, }}, 
      {{0x1.feafa4d12fa01p-1, 0x1.fe93a7109a336p-1, 0x1.fe65068860276p-1, 0x1.fe23ccc4aaf18p-1, 0x1.fdd00711c56f4p-1, 0x1.fd69c66b60a3bp-1, 0x1.fcf11f6808c14p-1, 0x1.fc662a21573a5p-1, 0x1.fbc9021965cb8p-1, 0x1.fb19c61e027a1p-1, 0x1.fa58982a18db5p-1, 0x1.f9859d45bc2c9p-1, 0x1.f8a0fd652f40ep-1, 0x1.f7aae34740e8fp-1, 0x1.f6a37c5341708p-1, 0x1.f58af876d9fbcp-1, 0x1.f4618a03f2d87p-1, 0x1.f327658ee17f6p-1, 0x1.f1dcc1cd00239p-1, 0x1.f081d773d1fep-1, 0x1.ef16e118d23e4p-1, 0x1.ed9c1b11fdadfp-1, 0x1.ec11c3573017dp-1, 0x1.ea7819645bd3cp-1, 0x1.e8cf5e1ca951ep-1, 0x1.e717d3ae84951p-1, 0x1.e551bd789c20dp-1, 0x1.e37d5fefd2ad7p-1, 0x1.e19b00862563fp-1, 0x1.dfaae59284df9p-1, 0x1.ddad56399cffep-1, 0x1.dba29a57883e9p-1, 0x1.d98afa6a6c1e4p-1, 0x1.d766bf7df5e5cp-1, 0x1.d5363317b5052p-1, 0x1.d2f99f244c1a5p-1, 0x1.d0b14de5711cp-1, 0x1.ce5d89e0b72abp-1, 0x1.cbfe9dcf1ba7bp-1, 0x1.c994d48d4ea7dp-1, 0x1.c720790caf473p-1, 0x1.c4a1d644f820fp-1, 0x1.c219372691963p-1, 0x1.bf86e68d84634p-1, 0x1.bceb2f3506ccap-1, 0x1.ba465bab9d925p-1, 0x1.b798b647c8f6ap-1, 0x1.b4e2891d3a54dp-1, 0x1.b2241df288994p-1, 0x1.af5dbe37647d5p-1, 0x1.ac8fb2fb3e037p-1, 0x1.a9ba44e45eef9p-1, 0x1.a6ddbc276f767p-1, 0x1.a3fa607f62f08p-1, 0x1.a1107925c7109p-1, 0x1.9e204ccb72fbap-1, 0x1.9b2a219190c15p-1, 0x1.982e3d02fd088p-1, 0x1.952ce40dfcb7p-1, 0x1.92265afe4152fp-1, 0x1.8f1ae5773badp-1, 0x1.8c0ac66eb8dedp-1, 0x1.88f64027c7698p-1, 0x1.85dd942de27abp-1, 0x1.82c103505f2a2p-1, 0x1.7fa0cd9e1c584p-1, 0x1.7c7d326170906p-1, 0x1.7956701c5545p-1, 0x1.762cc484ce853p-1, 0x1.73006c818b6e3p-1, 0x1.6fd1a426bee87p-1, 0x1.6ca0a6b33078p-1, 0x1.696dae8d8081ap-1, 0x1.6638f541a270ap-1, 0x1.6302b37e888efp-1, 0x1.5fcb2114011fbp-1, 0x1.5c9274f0c5d4dp-1, 0x1.5958e520b7789p-1, 0x1.561ea6cb49f74p-1, 0x1.52e3ee321c64cp-1, 0x1.4fa8eeafbd347p-1, 0x1.4c6ddab698aaap-1, 0x1.4932e3d011f68p-1, 0x1.45f83a9bc3a96p-1, 0x1.42be0ecee8dc5p-1, 0x1.3f848f33ed099p-1, 0x1.3c4be9aa1ff6ap-1, 0x1.39144b258fa8fp-1, 0x1.35dddfaf051ap-1, 0x1.32a8d2642370cp-1, 0x1.2f754d77a8a86p-1, 0x1.2c437a31ce1ap-1, 0x1.291380f0c959ap-1, 0x1.25e589296a197p-1, 0x1.22b9b967d70fep-1, 0x1.1f903750645ebp-1, 0x1.1c6927a088c43p-1, 0x1.1944ae2fe9aacp-1, 0x1.1622edf18325dp-1, 0x1.130408f4e65d3p-1, 0x1.0fe820678ff02p-1, 0x1.0ccf54965537bp-1, 0x1.09b9c4eee58b1p-1, 0x1.06a7900161826p-1, 0x1.0398d38204b19p-1, 0x1.008dac4ae2147p-1, 0x1.fb0c6cbb6577ap-2, 0x1.f50519cb690e3p-2, 0x1.ef059473339b8p-2, 0x1.e90e0fbb0d545p-2, 0x1.e31ebd0a3d15ap-2, 0x1.dd37cc2b3ad5fp-2, 0x1.d7596b4ffe3c4p-2, 0x1.d183c71661729p-2, 0x1.cbb70a8ca08e4p-2, 0x1.c5f35f35e69b1p-2, 0x1.c038ed0ef3b78p-2, 0x1.ba87da92d1b5p-2, 0x1.b4e04cbf9c11cp-2, 0x1.af42671b56e69p-2, 0x1.a9ae4bb8d1b54p-2, 0x1.a4241b3c9aec8p-2, 0x1.9ea3f4e1fc384p-2, 0x1.992df68004741p-2, 0x1.93c23c8e97c6p-2, 0x1.8e60e22b8a473p-2, 0x1.890a011fc3e95p-2, 0x1.83bdb1e4668ecp-2, 0x1.7e7c0ba7feb0ep-2, 0x1.79452453b4772p-2, 0x1.7419109082f61p-2, 0x1.6ef7e3cc7282dp-2, 0x1.69e1b03fd3771p-2, 0x1.64d686f27cea3p-2, 0x1.5fd677c108565p-2, 0x1.5ae1916211a37p-2, 0x1.55f7e16b733d3p-2, 0x1.5119745780d69p-2, 0x1.4c46558a40dc5p-2, 0x1.477e8f56a4248p-2, 0x1.42c22b03b8c81p-2, 0x1.3e1130d1d896p-2, 0x1.396ba7ffd554p-2, 0x1.34d196d01e66p-2, 0x1.3043028de0be2p-2, 0x1.2bbfef9222669p-2, 0x1.27486148d691fp-2, 0x1.22dc5a35eb124p-2, 0x1.1e7bdbfa4ec68p-2, 0x1.1a26e758efad6p-2, 0x1.15dd7c3bb25efp-2, 0x1.119f99b85fd92p-2, 0x1.0d6d3e158af16p-2, 0x1.094666cf6d6aep-2, 0x1.052b109cba0ep-2, 0x1.011b37736826fp-2, 0x1.fa2dad1ae1e38p-3, 0x1.f23bd0db0a367p-3, 0x1.ea60cdc7720b7p-3, 0x1.e29c962447b8cp-3, 0x1.daef1ae2e9111p-3, 0x1.d3584baaf9133p-3, 0x1.cbd816e357b22p-3, 0x1.c46e69bb0fef8p-3, 0x1.bd1b30321e617p-3, 0x1.b5de55222b67ep-3, 0x1.aeb7c24727791p-3, 0x1.a7a76047d0908p-3, 0x1.a0ad16be1e1adp-3, 0x1.99c8cc3f97c58p-3, 0x1.92fa6665875d3p-3, 0x1.8c41c9d5201e1p-3, 0x1.859eda4781f31p-3, 0x1.7f117a91a2529p-3, 0x1.78998cac24645p-3, 0x1.7236f1bb07cf9p-3, 0x1.6be98a154b392p-3, 0x1.65b1354c6b924p-3, 0x1.5f8dd233c9e4fp-3, 0x1.597f3ee7f5dcp-3, 0x1.538558d5dfa9bp-3, 0x1.4d9ffcc1ece8p-3, 0x1.47cf06ceef902p-3, 0x1.421252850613fp-3, 0x1.3c69bad85cadap-3, 0x1.36d51a2fd52d4p-3, 0x1.31544a6b91bfbp-3, 0x1.2be724eb638f6p-3, 0x1.268d829521a56p-3, 0x1.21473bdadd7c7p-3, 0x1.1c1428c105fc9p-3, 0x1.16f420e4611edp-3, 0x1.11e6fb7ff85fbp-3, 0x1.0cec8f72e1211p-3, 0x1.0804b345e9c77p-3, 0x1.032f3d3131bbp-3, 0x1.fcd806433ab0ap-4, 0x1.f375b57c6edp-4, 0x1.ea3732dae0917p-4, 0x1.e11c28b48ff93p-4, 0x1.d82440f2b49d8p-4, 0x1.cf4f251b9a20cp-4, 0x1.c69c7e5c5ec41p-4, 0x1.be0bf5925bc65p-4, 0x1.b59d335475218p-4, 0x1.ad4fdffc2d788p-4, 0x1.a523a3ae75688p-4, 0x1.9d18266465be1p-4, 0x1.952d0ff3ac429p-4, 0x1.8d620816d22f8p-4, 0x1.85b6b6754d815p-4, 0x1.7e2ac2ab60269p-4, 0x1.76bdd451c6474p-4, 0x1.6f6f93053295ep-4, 0x1.683fa66d995edp-4, 0x1.612db6454d527p-4, 0x1.5a396a5feae0cp-4, 0x1.53626ab11360fp-4, 0x1.4ca85f52fcc55p-4, 0x1.460af08ccdeffp-4, 0x1.3f89c6d8d1ddfp-4, 0x1.39248aea7a171p-4, 0x1.32dae5b43603ap-4, 0x1.2cac806d1cdf2p-4, 0x1.269904966c375p-4, 0x1.20a01c00dc5fp-4, 0x1.1ac170d1c5bbfp-4, 0x1.14fcad8822b7fp-4, 0x1.0f517d0161d87p-4, 0x1.09bf8a7e109afp-4, 0x1.044681a65ff7cp-4, 0x1.fdcc1d1cfb954p-5, 0x1.f33bbb7591866p-5, 0x1.e8db3847b97f7p-5, 0x1.dea9ee74ee186p-5, 0x1.d4a739d67592dp-5, 0x1.cad277449096dp-5, 0x1.c12b049d6aa7cp-5, 0x1.b7b040cbc1114p-5, 0x1.ae618bcd3f963p-5, 0x1.a53e46b89aa08p-5, 0x1.9c45d3c3625ep-5, 0x1.9377964797971p-5, 0x1.8ad2f2c8f9185p-5, 0x1.82574efa132f8p-5, 0x1.7a0411c10e116p-5, 0x1.71d8a33c3eacfp-5, 0x1.69d46cc67c085p-5, 0x1.61f6d8fb32d25p-5, 0x1.5a3f53ba44e16p-5, 0x1.52ad4a2babd3fp-5, 0x1.4b402ac2de1e1p-5, 0x1.43f765420876bp-5, 0x1.3cd26abd0578fp-5, 0x1.35d0ad9c24b77p-5, 0x1.2ef1a19ec033dp-5, 0x1.2834bbdd9a98cp-5, 0x1.219972cd0df44p-5, 0x1.1b1f3e3f09e42p-5, 0x1.14c59764e1e87p-5, 0x1.0e8bf8d0ebdc7p-5, 0x1.0871de77f6531p-5, 0x1.0276c5b2891eap-5, 0x1.f9345a7c0d101p-6, 0x1.edb72a7b33026p-6, 0x1.e274fe75fdcd6p-6, 0x1.d76cdc4e46f36p-6, 0x1.cc9dccb545143p-6, 0x1.c206db2c2824ep-6, 0x1.b7a716047ca83p-6, 0x1.ad7d8e6045038p-6, 0x1.a3895831c07f7p-6, 0x1.99c98a3b0051cp-6, 0x1.903d3e0d2f3fdp-6, 0x1.86e390079f8cfp-6, 0x1.7dbb9f5691d64p-6, 0x1.74c48df1cee59p-6, 0x1.6bfd809af7a1p-6, 0x1.63659edbab75cp-6, 0x1.5afc130368655p-6, 0x1.52c00a254511dp-6, 0x1.4ab0b4156e471p-6, 0x1.42cd43667a4a3p-6, 0x1.3b14ed6680595p-6, 0x1.3386ea1c18f29p-6, 0x1.2c22744312cf7p-6, 0x1.24e6c9491a81dp-6, 0x1.1dd3294a29c5p-6, 0x1.16e6d70ccdfe8p-6, 0x1.102117fe507d2p-6, 0x1.0981342eba1ffp-6, 0x1.0306764caaa87p-6, 0x1.f960574233104p-7, 0x1.ecfb4815d8eadp-7, 0x1.e0dc63f4fe73p-7, 0x1.d50254d9f03f7p-7, 0x1.c96bc9cf23adbp-7, 0x1.be1776e597f9fp-7, 0x1.b304152ad90bfp-7, 0x1.a830629f0d861p-7, 0x1.9d9b222aaac1fp-7, 0x1.93431b9413b0cp-7, 0x1.89271b75094ap-7, 0x1.7f45f32ff4fa9p-7, 0x1.759e78e5060a9p-7, 0x1.6c2f876745293p-7, 0x1.62f7fe316a0bbp-7, 0x1.59f6c15ab3dd3p-7, 0x1.512ab98b7f88ep-7, 0x1.4892d3f1f1b82p-7, 0x1.402e02365ecf4p-7, 0x1.37fb3a6fbb7ffp-7, 0x1.2ff97717ed8d6p-7, 0x1.2827b7000ad42p-7, 0x1.2084fd448c5c9p-7, 0x1.191051416ed87p-7, 0x1.11c8be864a679p-7, 0x1.0aad54ca5f197p-7, 0x1.03bd27e094a0fp-7, 0x1.f9ee9f56ee6dfp-8, 0x1.ecb5d0225d27cp-8, 0x1.dfce21dec974p-8, 0x1.d335dc1e8a797p-8, 0x1.c6eb4e32a185cp-8, 0x1.baeccf12b92c5p-8, 0x1.af38bd44e23fp-8, 0x1.a3cd7ec57907fp-8, 0x1.98a980ef0f4b7p-8, 0x1.8dcb386241767p-8, 0x1.833120edcbb18p-8, 0x1.78d9bd766db1fp-8, 0x1.6ec397df16516p-8, 0x1.64ed40f1081c6p-8, 0x1.5b55504402619p-8, 0x1.51fa64269d7b6p-8, 0x1.48db2186bfdebp-8, 0x1.3ff633d9faacep-8, 0x1.374a4d0642983p-8, 0x1.2ed6254aa00f1p-8, 0x1.26987b2807a6cp-8, 0x1.1e90134a4abbcp-8, 0x1.16bbb8713abc2p-8, 0x1.0f1a3b59d7fc6p-8, 0x1.07aa72a7bb182p-8, 0x1.006b3ace8d861p-8, 0x1.f2b6ebf79234dp-9, 0x1.e4f41800e18fep-9, 0x1.d78bd4763f953p-9, 0x1.ca7c0704548bcp-9, 0x1.bdc2a01bce87p-9, 0x1.b15d9ac676dfp-9, 0x1.a54afc7c6df01p-9, 0x1.9988d4f9dad26p-9, 0x1.8e153e14fa353p-9, 0x1.82ee5b94904dbp-9, 0x1.78125b06b1788p-9, 0x1.6d7f7397dc7b1p-9, 0x1.6333e5ea936fap-9, 0x1.592dfbef52b3bp-9, 0x1.4f6c08bcdb286p-9, 0x1.45ec6868f18ap-9, 0x1.3cad7fe18e5f2p-9, 0x1.33adbcc64a23fp-9, 0x1.2aeb954266857p-9, 0x1.226587e7254cdp-9, 0x1.1a1a1b86837f4p-9, 0x1.1207df0e7a792p-9, 0x1.0a2d69648497p-9, 0x1.028959419ff89p-9, 0x1.f634aa1dbadffp-10, 0x1.e7be158432341p-10, 0x1.d9ac5f76ad8f8p-10, 0x1.cbfd0144ae86dp-10, 0x1.bead8289e9bd4p-10, 0x1.b1bb78eac574ap-10, 0x1.a52487d2cc03cp-10, 0x1.98e6603323ed6p-10, 0x1.8cfec04250bb8p-10, 0x1.816b733caa3ebp-10, 0x1.762a5125b97d8p-10, 0x1.6b393e8a4f697p-10, 0x1.60962c438142bp-10, 0x1.563f173a94cd8p-10, 0x1.4c32082da76d4p-10, 0x1.426d13752b2bbp-10, 0x1.38ee58ca39ab9p-10, 0x1.2fb4030db405bp-10, 0x1.26bc48105a583p-10, 0x1.1e05685b80f64p-10, 0x1.158daefac64c8p-10, 0x1.0d5371464fe09p-10, 0x1.05550eae37a6p-10, 0x1.fb21e10cdcd51p-11, 0x1.ec0b13a754e67p-11, 0x1.dd62ae31d415ap-11, 0x1.cf25bc4bc90edp-11, 0x1.c1515bcc685f1p-11, 0x1.b3e2bc628be2cp-11, 0x1.a6d71f36357cbp-11, 0x1.9a2bd68b3001ap-11, 0x1.8dde456609254p-11, 0x1.81ebdf316b8ddp-11, 0x1.76522765e1729p-11, 0x1.6b0eb132cdfa8p-11, 0x1.601f1f288c03p-11, 0x1.558122e42ed64p-11, 0x1.4b327cbce2902p-11, 0x1.4130fb7296666p-11, 0x1.377a7bddcccd6p-11, 0x1.2e0ce8a13a5bp-11, 0x1.24e639dc6baccp-11, 0x1.1c0474dfdf4c7p-11, 0x1.1365abe2b6b5ep-11, 0x1.0b07fdb94ed7fp-11, 0x1.02e9958d6fefap-11, 0x1.f611552f72a1fp-12, 0x1.e6c6ffb4b2334p-12, 0x1.d7f0c7b9bde2p-12, 0x1.c98b60d353054p-12, 0x1.bb9394983f116p-12, 0x1.ae0642210f3d5p-12, 0x1.a0e05d8985aaap-12, 0x1.941eef750328dp-12, 0x1.87bf149485d83p-12, 0x1.7bbdfd301b67ap-12, 0x1.7018ecb132403p-12, 0x1.64cd3930aca8fp-12, 0x1.59d84b05b26bp-12, 0x1.4f379c5821c07p-12, 0x1.44e8b8b3cfe06p-12, 0x1.3ae93c9f16df3p-12, 0x1.3136d532b5c68p-12, 0x1.27cf3fb4081b1p-12, 0x1.1eb049317d65fp-12, 0x1.15d7ce2088c9bp-12, 0x1.0d43b9fe3ae3dp-12, 0x1.04f206f10e6p-12, 0x1.f9c17adb507f5p-13, 0x1.ea1be7b806a15p-13, 0x1.daef9c805d8c5p-13, 0x1.cc38fbc6d4154p-13, 0x1.bdf481ffc91efp-13, 0x1.b01ec4dc52e86p-13, 0x1.a2b472a7e26dep-13, 0x1.95b251aa4cafcp-13, 0x1.89153f8c21f2cp-13, 0x1.7cda30bf5c7cdp-13, 0x1.70fe2feb28dacp-13, 0x1.657e5d59f79dfp-13, 0x1.5a57ee6bd0125p-13, 0x1.4f882d0b82d75p-13, 0x1.450c77264cacap-13, 0x1.3ae23e277ddd6p-13, 0x1.310706761af9bp-13, 0x1.277866f5cfd74p-13, 0x1.1e34088b1e557p-13, 0x1.1537a5a190576p-13, 0x1.0c8109b53951ep-13, 0x1.040e10df2458ap-13, 0x1.f7b94ec62b7cbp-14, 0x1.e7d59283cdb1p-14, 0x1.d86d03998d17cp-14, 0x1.c97bd67780d5ep-14, 0x1.bafe5c8cfa2b1p-14, 0x1.acf1037f73e76p-14, 0x1.9f50546532bb7p-14, 0x1.9218f305560cbp-14, 0x1.85479d1ca3e46p-14, 0x1.78d929a5ba3f6p-14, 0x1.6cca88275611dp-14, 0x1.6118c0048cc07p-14, 0x1.55c0efd3e56d6p-14, 0x1.4ac04cb853f9dp-14, 0x1.401421bfa3d1cp-14, 0x1.35b9cf44294aap-14, 0x1.2baeca530900bp-14, 0x1.21f09c14cefbp-14, 0x1.187ce13c21a37p-14, 0x1.0f514975c8ad3p-14, 0x1.066b96dd44f01p-14, 0x1.fb933aeaeb0fbp-15, 0x1.ead2854695f37p-15, 0x1.da90f95bcb464p-15, 0x1.cacaa47ec7f5bp-15, 0x1.bb7bb3d5c2676p-15, 0x1.aca0736a17684p-15, 0x1.9e354d3f0e876p-15, 0x1.9036c86f0b28dp-15, 0x1.82a1884ee4c57p-15, 0x1.75724b976cd53p-15, 0x1.68a5eb924700fp-15, 0x1.5c395b4f61e4dp-15, 0x1.5029a6debdf1dp-15, 0x1.4473f28d09edbp-15, 0x1.39157a29afe6dp-15, 0x1.2e0b904eeac5ap-15, 0x1.23539dafb7067p-15, 0x1.18eb206a618e5p-15, 0x1.0ecfab604c48ep-15, 0x1.04fee5914362cp-15, 0x1.f6ed12f80e6f3p-16, 0x1.e468c907a6f2fp-16, 0x1.d26cacb2097bdp-16, 0x1.c0f4a0cde12bap-16, 0x1.affcaa88ae331p-16, 0x1.9f80f052aa5cbp-16, 0x1.8f7db8d3028p-16, 0x1.7fef69de5f8c4p-16, 0x1.70d2877abdbcbp-16, 0x1.6223b2e94077p-16, 0x1.53dfa9b4fc8a6p-16, 0x1.460344c8edbc3p-16, 0x1.388b778f8861ap-16, 0x1.2b754f146bb9ap-16, 0x1.1ebdf1312d83p-16, 0x1.12629bbbcd447p-16, 0x1.0660a3bf4f6bbp-16, 0x1.f56ae97195de1p-17, 0x1.debd1fb0d25c4p-17, 0x1.c8b31694eb1b7p-17, 0x1.b3482309f75ffp-17, 0x1.9e77c133d8b9p-17, 0x1.8a3d9321098c2p-17, 0x1.76955f824e8b9p-17, 0x1.637b1072d6e6p-17, 0x1.50eab245d9958p-17, 0x1.3ee0725a88445p-17, 0x1.2d589dff4f194p-17, 0x1.1c4fa15c62b3bp-17, 0x1.0bc206624b1p-17, 0x1.f758e78c086d6p-18, 0x1.d817580a8e947p-18, 0x1.b9b918e46de72p-18, 0x1.9c38188432f93p-18, 0x1.7f8e7754878bdp-18, 0x1.63b685fe99d28p-18, 0x1.48aac3c0fcfbbp-18, 0x1.2e65dcc6cfc36p-18, 0x1.14e2a899f98fp-18, 0x1.f838513653abp-19, 0x1.c81b0d151a4f2p-19, 0x1.99642631b08e6p-19, 0x1.6c0a8904ba378p-19, 0x1.40056a80f988fp-19, 0x1.154c4571562efp-19, 0x1.d7adaffb54aa1p-20, 0x1.873a42912e27ep-20, 0x1.392ebe292a16p-20, 0x1.daf82e48d5ae5p-21, 0x1.48276c7bca106p-21, 0x1.739dd1ce6b0b4p-22, 0x1.7e996f5aae588p-24, -0x1.5799a67dabb08p-23, -0x1.aeef73c14b317p-22, -0x1.54f9dd4dc6dcp-21, -0x1.ce8533c1b9733p-21, -0x1.2218b4826ba62p-20, -0x1.5b0abdd543c0dp-20, -0x1.9223e19cce81ap-20, -0x1.c76efb22c65e9p-20, -0x1.faf69826664cep-20, -0x1.16627dde3fed6p-19, -0x1.2e72107b8206cp-19, -0x1.45aedeca7d425p-19, -0x1.5c1da237a4a9cp-19, -0x1.71c2f402c7fc2p-19, -0x1.86a34e61d4ddbp-19, -0x1.9ac30dab4dd5cp-19, -0x1.ae267161a7389p-19, -0x1.c0d19d4930361p-19, -0x1.d2c89a64482f2p-19, -0x1.e40f57edc9c1ap-19, -0x1.f4a9ac4303f05p-19, -0x1.024daae4818c8p-18, -0x1.09f3fde72903ap-18, -0x1.114997aee1a59p-18, -0x1.185036016fcffp-18, -0x1.1f098c4d79b0fp-18, -0x1.257744022f2bp-18, -0x1.2b9afced2268bp-18, -0x1.31764d90c1f8cp-18, -0x1.370ac373f267fp-18, -0x1.3c59e374b8b42p-18, -0x1.41652a1528374p-18, -0x1.462e0bc47c96p-18, -0x1.4ab5f52509c1cp-18, -0x1.4efe4b506ef2dp-18, -0x1.53086c18e52c8p-18, -0x1.56d5ae4665079p-18, -0x1.5a6761d33d868p-18, -0x1.5dbed0221cd67p-18, -0x1.60dd3c37aac01p-18, -0x1.63c3e2ee6ce7dp-18, -0x1.6673fb28a7b29p-18, -0x1.68eeb5ffd7818p-18, -0x1.6b353ef3f32aap-18, -0x1.6d48bc161ed1dp-18, -0x1.6f2a4e32c648fp-18, -0x1.70db10fa98a5bp-18, -0x1.725c1b27b39b1p-18, -0x1.73ae7ea216a53p-18, -0x1.74d348a5374cbp-18, -0x1.75cb81e022187p-18, -0x1.76982e93e43aep-18, -0x1.773a4eb5d67ep-18, -0x1.77b2de0a1da14p-18, -0x1.7802d44091cc8p-18, -0x1.782b250f21d1cp-18, -0x1.782cc04b4c196p-18, -0x1.780892029d5fdp-18, -0x1.77bf82913a812p-18, -0x1.775276b98df53p-18, -0x1.76c24fb840babp-18, -0x1.760feb588849cp-18, -0x1.753c240805d7ep-18, -0x1.7447d0e8fc2e7p-18, -0x1.7333c5e2b44d4p-18, -0x1.7200d3b41d529p-18, -0x1.70afc80108eaep-18, -0x1.6f416d6428f2ep-18, -0x1.6db68b7ca41a2p-18, -0x1.6c0fe6fb1819cp-18, -0x1.6a4e41afe513cp-18, -0x1.68725a96bbf89p-18, -0x1.667cede4a9569p-18, -0x1.646eb5114bf04p-18, -0x1.624866e2974dep-18, -0x1.600ab777d530bp-18, -0x1.5db6585374ed1p-18, -0x1.5b4bf8638f4d6p-18, -0x1.58cc440d0b797p-18, -0x1.5637e532c20e1p-18, -0x1.538f833e7fd29p-18, -0x1.50d3c329b3667p-18, -0x1.4e054783754e4p-18, -0x1.4b24b079af8dcp-18, -0x1.48329bdee1aeap-18, -0x1.452fa531e4f78p-18, -0x1.421c65a3afdfp-18, -0x1.3ef9741ec5855p-18, -0x1.3bc7654bfc606p-18, -0x1.3886cb9936f83p-18, -0x1.3538373ea4c8ap-18, -0x1.31dc364483b0fp-18, -0x1.2e735488326d8p-18, -0x1.2afe1bc142355p-18, -0x1.277d1386ea56p-18, -0x1.23f0c153e1f3ep-18, -0x1.2059a88bd7aefp-18, -0x1.1cb84a807e1p-18, -0x1.190d26749406cp-18, -0x1.1558b9a227c32p-18, -0x1.119b7f3c7370ep-18, -0x1.0dd5f076196fep-18, -0x1.0a0884843bcf4p-18, -0x1.0633b0a2d3245p-18, -0x1.0257e8181f5f9p-18, -0x1.fceb3872b934ap-19, -0x1.f51a78dc4385fp-19, -0x1.ed3e6c68e6496p-19, -0x1.e557ea47d815ap-19, -0x1.dd67c5e3f593cp-19, -0x1.d56eceeafe3dcp-19, -0x1.cd6dd1551f831p-19, -0x1.c565956b5e8b9p-19, -0x1.bd56dfce6c9f2p-19, -0x1.b542717eee377p-19, -0x1.ad2907e59890bp-19, -0x1.a50b5cd6d09c8p-19, -0x1.9cea269d4be6cp-19, -0x1.94c618005a103p-19, -0x1.8c9fe04a80249p-19, -0x1.84782b4f7a06p-19, -0x1.7c4fa175950bap-19, -0x1.7426e7bb0db5fp-19, -0x1.6bfe9fbdf1df5p-19, -0x1.63d767c35287p-19, -0x1.5bb1dabd96847p-19, -0x1.538e90544a458p-19, -0x1.4b6e1ceb3714fp-19, -0x1.435111aa71adcp-19, -0x1.3b37fc8491438p-19, -0x1.3323683e797c8p-19, -0x1.2b13dc76030ap-19, -0x1.2309ddaa12e18p-19, -0x1.1b05ed41a8dd8p-19, -0x1.13088992a64f3p-19, -0x1.0b122dea2ddaap-19, -0x1.03235293064ddp-19, -0x1.f678d9bd2e91ap-20, -0x1.e6bbde55f4734p-20, -0x1.d71091d5e985ep-20, -0x1.c777cd5d324fep-20, -0x1.b7f264543fc83p-20, -0x1.a8812479028d2p-20, -0x1.9924d5f086d0ap-20, -0x1.89de3b56e488bp-20, -0x1.7aae11ccebb44p-20, -0x1.6b9511078da79p-20, -0x1.5c93eb603f603p-20, -0x1.4dab4de3a2475p-20, -0x1.3edbe0640465ap-20, -0x1.302645845698dp-20, -0x1.218b1acadf825p-20, -0x1.130af8b23e1c7p-20, -0x1.04a672b68d259p-20, -0x1.ecbc2eca317dfp-21, -0x1.d064e0dc2de21p-21, -0x1.b44805654ae5ep-21, -0x1.98669caa14332p-21, -0x1.7cc19d9104587p-21, -0x1.6159f5c328b2fp-21, -0x1.463089cb042b3p-21, -0x1.2b4635337317ep-21, -0x1.109bcaa6e0c29p-21, -0x1.ec642828effeep-22, -0x1.b813a597dd8fp-22, -0x1.84477f36c007ap-22, -0x1.510115e2a522p-22, -0x1.1e41b9f3de311p-22, -0x1.d8155702363efp-23, -0x1.74ba35387f46ap-23, -0x1.12744f235ea5dp-23, -0x1.628b8c964b167p-24, -0x1.44c276b4940f9p-25, 0x1.b928baee75d0fp-28, 0x1.ae9873e39adf8p-25, 0x1.90c87b10dc14p-24, 0x1.240219ee610cap-23, 0x1.7e7e40bb8376ap-23, 0x1.d7d75c303769dp-23, 0x1.180618df718e6p-22, 0x1.438dd0ca24bep-22, 0x1.6e82530d8db39p-22, 0x1.98e329c45e4a6p-22, 0x1.c2afebaf518dbp-22, 0x1.ebe83bfd6240ep-22, 0x1.0a45e50794a9p-21, 0x1.1e4d289d865fcp-21, 0x1.3209cc4a4a898p-21, 0x1.457bb956e195bp-21, 0x1.58a2deaf796afp-21, 0x1.6b7f30c7f41eep-21, 0x1.7e10a97f2e2a8p-21, 0x1.9057480371feap-21, 0x1.a25310b49027cp-21, 0x1.b4040d087bb27p-21, 0x1.c56a4b7076373p-21, 0x1.d685df3c8818dp-21, 0x1.e756e081e69e4p-21, 0x1.f7dd6bfea5d63p-21, 0x1.040cd17fde3b5p-20, 0x1.0c05d5a1603afp-20, 0x1.13d9d76f231p-20, 0x1.1b88ee142c8c6p-20, 0x1.231332ce3aedbp-20, 0x1.2a78c0e14495dp-20, 0x1.31b9b589d8af3p-20, 0x1.38d62ff0d28c2p-20, 0x1.3fce511fcfdddp-20, 0x1.46a23bf41a508p-20, 0x1.4d521512372d1p-20, 0x1.53de02da2d23bp-20, 0x1.5a462d5bcb3dfp-20, 0x1.608abe4b1703fp-20, 0x1.66abe0f3b611dp-20, 0x1.6ca9c22d2aa96p-20, 0x1.7284904ffc9d3p-20, 0x1.783c7b2af6fc1p-20, 0x1.7dd1b3f803bd7p-20, 0x1.83446d50864cap-20, 0x1.8894db228ed43p-20, 0x1.8dc332a7158e4p-20, 0x1.92cfaa55c780ap-20, 0x1.97ba79dc59f64p-20, 0x1.9c83da12c7108p-20, 0x1.a12c04f1ffd7dp-20, 0x1.a5b3358969509p-20, 0x1.aa19a7f55cf8p-20, 0x1.ae5f9954af121p-20, 0x1.b28547beb4f14p-20, 0x1.b68af23b3c263p-20, 0x1.ba70d8b897b24p-20, 0x1.be373c0282845p-20, 0x1.c1de5db8adcb2p-20, 0x1.c566804634b71p-20, 0x1.c8cfe6d8a3db3p-20, 0x1.cc1ad557269acp-20, 0x1.cf479059fe5fap-20, 0x1.d2565d22ba5b1p-20, 0x1.d54781935844p-20, 0x1.d81b4426ba59bp-20, 0x1.dad1ebe75161fp-20, 0x1.dd6bc06812a5p-20, 0x1.dfe909bd266e6p-20, 0x1.e24a1073ff84cp-20, 0x1.e48f1d8bd4a22p-20, 0x1.e6b87a6e9c337p-20, 0x1.e8c670e9735dbp-20, 0x1.eab94b25e94bp-20, 0x1.ec9153a278a26p-20, 0x1.ee4ed52c6c2b5p-20, 0x1.eff21ad8e3c64p-20, 0x1.f17b6ffecdd0cp-20, 0x1.f2eb202f200d5p-20, 0x1.f441772fe2453p-20, 0x1.f57ec0f50c0e7p-20, 0x1.f6a3499af4fp-20, 0x1.f7af5d6033416p-20, 0x1.f8a3489fef7c8p-20, 0x1.f97f57cc896adp-20, 0x1.fa43d769999b4p-20, 0x1.faf11406503b7p-20, 0x1.fb875a38aa625p-20, 0x1.fc06f697ad2bfp-20, 0x1.fc7035b6ad75dp-20, 0x1.fcc364208aee2p-20, 0x1.fd00ce5248917p-20, 0x1.fd28c0b616265p-20, 0x1.fd3b879f07cf4p-20, 0x1.fd396f451c036p-20, 0x1.fd22c3c03296ep-20, 0x1.fcf7d102d7f42p-20, 0x1.fcb8e2d71e102p-20, 0x1.fc6644dadae13p-20, 0x1.fc00427b1f60ep-20, 0x1.fb8726efb7c76p-20, 0x1.fafb3d3836135p-20, 0x1.fa5cd0185fc56p-20, 0x1.f9ac2a137100dp-20, 0x1.f8e9956941979p-20, 0x1.f8155c137a3abp-20, 0x1.f72fc7c177dc2p-20, 0x1.f63921d4cbdd2p-20, 0x1.f531b35eac0aap-20, 0x1.f419c51d1e94bp-20, 0x1.f2f19f7794c1p-20, 0x1.f1b98a7b81009p-20, 0x1.f071cddac92ddp-20, 0x1.ef1ab0e8356f4p-20, 0x1.edb47a952e9adp-20, 0x1.ec3f716f2995ap-20, 0x1.eabbdb9d32fcap-20, 0x1.e929fedd8f8dap-20, 0x1.e78a20836f02cp-20, 0x1.e5dc857478e1cp-20, 0x1.e421722747f38p-20, 0x1.e2592aa12094ap-20, 0x1.e083f27366763p-20, 0x1.dea20cba9a5c7p-20, }}, 
      {{0x1.4238b658fbe45p-7, 0x1.4265717ebf03cp-6, 0x1.e4062104588f6p-6, 0x1.4312dbe95e2c2p-5, 0x1.9473436998ea2p-5, 0x1.e63262e31e01bp-5, 0x1.1c2d7235aac0cp-4, 0x1.4579e062d8099p-4, 0x1.6f001071749d8p-4, 0x1.98bfada000d9bp-4, 0x1.c2b6840cc2c67p-4, 0x1.ece093e6a046ap-4, 0x1.0b9c15d19b963p-3, 0x1.20db03b5d3cdp-3, 0x1.3628ba19070b1p-3, 0x1.4b803a8e9f0bdp-3, 0x1.60dbf517446e6p-3, 0x1.7635db9b3bf56p-3, 0x1.8b87752cb7977p-3, 0x1.a0c9f0c62b209p-3, 0x1.b5f6374a1ee3fp-3, 0x1.cb04fc98e0171p-3, 0x1.dfeecf9d7eb6bp-3, 0x1.f4ac293e44bc3p-3, 0x1.049abd12e274dp-2, 0x1.0ec19bb07ce8bp-2, 0x1.18c6f2ea3ee9ap-2, 0x1.22a71247b0573p-2, 0x1.2c5e5b02b5685p-2, 0x1.35e9441e75823p-2, 0x1.3f445dfee989fp-2, 0x1.486c558874da3p-2, 0x1.515df6cf2fc05p-2, 0x1.5a162f5da7ddp-2, 0x1.6292101accafep-2, 0x1.6aceced69d9bap-2, 0x1.72c9c784f975bp-2, 0x1.7a807d2daf11ap-2, 0x1.81f09a989f0a7p-2, 0x1.8917f2bc6f73fp-2, 0x1.8ff480f5fc59ap-2, 0x1.9684690e578afp-2, 0x1.9cc5f714ccf73p-2, 0x1.a2b79f120a376p-2, 0x1.a857fc992873ap-2, 0x1.ada5d23b04b3dp-2, 0x1.b2a008dff1764p-2, 0x1.b745af0b7d402p-2, 0x1.bb95f80db1013p-2, 0x1.bf903b24dbbe3p-2, 0x1.c333f292ac13ap-2, 0x1.c680baa714669p-2, 0x1.c97650c32e794p-2, 0x1.cc1492560d2b6p-2, 0x1.ce5b7bd52e0bap-2, 0x1.d04b27b20e325p-2, 0x1.d1e3cd4e19562p-2, 0x1.d325bfee15d11p-2, 0x1.d4116dadf2b93p-2, 0x1.d4a75e75b7cdbp-2, 0x1.d4e832f042bf7p-2, 0x1.d4d4a3844a559p-2, 0x1.d46d7f501b8adp-2, 0x1.d3b3ab285852fp-2, 0x1.d2a8209a041fp-2, 0x1.d14becf007778p-2, 0x1.cfa0303c4cfabp-2, 0x1.cda61c649d20cp-2, 0x1.cb5ef4333774cp-2, 0x1.c8cc0a6b4b1f5p-2, 0x1.c5eec0e140b02p-2, 0x1.c2c88796ec051p-2, 0x1.bf5adbdb9c31dp-2, 0x1.bba747701314p-2, 0x1.b7af5fae6575ap-2, 0x1.b374c4b5c580ap-2, 0x1.aef9209a3a25fp-2, 0x1.aa3e2698526cfp-2, 0x1.a545924cccc0bp-2, 0x1.a01126f049898p-2, 0x1.9aa2ae9709f55p-2, 0x1.94fbf974cb331p-2, 0x1.8f1edd24c7cf7p-2, 0x1.890d33f5f2fcfp-2, 0x1.82c8dc3b714b9p-2, 0x1.7c53b7a16cb9ap-2, 0x1.75afaa8647a08p-2, 0x1.6ede9b5840874p-2, 0x1.67e271f79d48p-2, 0x1.60bd171d5eda9p-2, 0x1.597073c697b6ep-2, 0x1.51fe70a46934dp-2, 0x1.4a68f590b66d9p-2, 0x1.42b1e907972c1p-2, 0x1.3adb2fa58e71ap-2, 0x1.32e6abaa90deep-2, 0x1.2ad63c81dbe2ep-2, 0x1.22abbe4ea0534p-2, 0x1.1a69097d80dep-2, 0x1.120ff25ae6889p-2, 0x1.09a248ae218e6p-2, 0x1.0121d759562fp-2, 0x1.f120c7fc54d8cp-3, 0x1.dfdf5d4e5c421p-3, 0x1.ce82e2ebdeb6p-3, 0x1.bd0ec0ab5ff96p-3, 0x1.ab86516556f99p-3, 0x1.99ece26bb8febp-3, 0x1.8845b30a65c71p-3, 0x1.7693f41043497p-3, 0x1.64dac760e6d01p-3, 0x1.531d3f8e9dafdp-3, 0x1.415e5f7c9ff2ap-3, 0x1.2fa11a094722cp-3, 0x1.1de851c00e484p-3, 0x1.0c36d89328137p-3, 0x1.f51edf38f3e5fp-4, 0x1.d1e98dcb80897p-4, 0x1.aed2fa6f4db69p-4, 0x1.8be03fdf42a89p-4, 0x1.691655b8774c4p-4, 0x1.467a103f83a47p-4, 0x1.24102031dd61cp-4, 0x1.01dd12a2ed4b3p-4, 0x1.bfcaa1c8be6ecp-5, 0x1.7c5a40f27ceb6p-5, 0x1.39714626d89a4p-5, 0x1.ee2f5a6c0dfd4p-6, 0x1.6aaa54fcec24ep-6, 0x1.d0c4ac82b5456p-7, 0x1.9d96aa24229c4p-8, -0x1.83def225d6491p-10, -0x1.2cf68864eaf5ep-7, -0x1.1345adab9c5fcp-6, -0x1.8e910f202c13p-6, -0x1.0428eac87b562p-5, -0x1.403e7b1a37b3cp-5, -0x1.7b83f69304531p-5, -0x1.b5f45dff8123cp-5, -0x1.ef8af42d1649cp-5, -0x1.14219e90f3393p-4, -0x1.300c7ea5bb592p-4, -0x1.4b841c525b1cp-4, -0x1.668698e9f3d3bp-4, -0x1.811234a08cc92p-4, -0x1.9b254e12ce18ap-4, -0x1.b4be61ca8ba1p-4, -0x1.cddc09c062b23p-4, -0x1.e67cfcda972afp-4, -0x1.fea00e698882bp-4, -0x1.0b2216d0f124p-3, -0x1.16b4328a66586p-3, -0x1.2205ed132d671p-3, -0x1.2d16e64125c06p-3, -0x1.37e6cac7bd34ep-3, -0x1.427553f108574p-3, -0x1.4cc247565368ep-3, -0x1.56cd769850c14p-3, -0x1.6096bf16e20eep-3, -0x1.6a1e09a8a4e5ep-3, -0x1.73634a524b695p-3, -0x1.7c667ffdd70c8p-3, -0x1.8527b431c7e49p-3, -0x1.8da6fac84cdbdp-3, -0x1.95e471a68ac32p-3, -0x1.9de0407407745p-3, -0x1.a59a985242b14p-3, -0x1.ad13b39498057p-3, -0x1.b44bd57865435p-3, -0x1.bb4349dd90014p-3, -0x1.c1fa64ff72004p-3, -0x1.c871832e37ec8p-3, -0x1.cea90888ba615p-3, -0x1.d4a160b6e1073p-3, -0x1.da5afea494303p-3, -0x1.dfd65c3d504dfp-3, -0x1.e513fa285355dp-3, -0x1.ea145f857cb52p-3, -0x1.eed819aae1969p-3, -0x1.f35fbbe3157a3p-3, -0x1.f7abdf2c3fbfbp-3, -0x1.fbbd21f7f5589p-3, -0x1.ff9427ebe04dap-3, -0x1.0198ccd19e81dp-2, -0x1.034b12389c571p-2, -0x1.04e13d1215d49p-2, -0x1.065ba864d99f3p-2, -0x1.07bab139e0da8p-2, -0x1.08feb67f48a9p-2, -0x1.0a2818ebc7421p-2, -0x1.0b373ae29adafp-2, -0x1.0c2c8057f3452p-2, -0x1.0d084eb5dd49fp-2, -0x1.0dcb0cc1a8bb7p-2, -0x1.0e752281d0b36p-2, -0x1.0f06f9246671dp-2, -0x1.0f80fae5fc373p-2, -0x1.0fe392f914802p-2, -0x1.102f2d6e14c16p-2, -0x1.1064371bbd66ep-2, -0x1.10831d8825531p-2, -0x1.108c4ed23cd3ep-2, -0x1.1080399bd336dp-2, -0x1.105f4cf42676bp-2, -0x1.1029f842f3557p-2, -0x1.0fe0ab340f8eep-2, -0x1.0f83d5a3886d9p-2, -0x1.0f13e78a46a22p-2, -0x1.0e9150eb375d7p-2, -0x1.0dfc81c0f9cc7p-2, -0x1.0d55e9ec11d66p-2, -0x1.0c9df9219e5c1p-2, -0x1.0bd51eda90538p-2, -0x1.0afbca436a3aap-2, -0x1.0a126a2c79cdfp-2, -0x1.09196cfa9702p-2, -0x1.0811409862882p-2, -0x1.06fa5268021b7p-2, -0x1.05d50f355b786p-2, -0x1.04a1e328cbcacp-2, -0x1.036139ba587ebp-2, -0x1.02137da5607e1p-2, -0x1.00b918dcbf56ap-2, -0x1.fea4e8fed8ccep-3, -0x1.fbbff19b1e0a7p-3, -0x1.f8c41a3c12da8p-3, -0x1.f5b22fa8e8762p-3, -0x1.f28afcaf188d1p-3, -0x1.ef4f4a10292fcp-3, -0x1.ebffde704759p-3, -0x1.e89d7e45bb9c7p-3, -0x1.e528ebc938f99p-3, -0x1.e1a2e6e7016d6p-3, -0x1.de0c2d30d22ffp-3, -0x1.da6579d0aa17p-3, -0x1.d6af857c4b533p-3, -0x1.d2eb06698b01dp-3, -0x1.cf18b04362427p-3, -0x1.cb39341fbd4a8p-3, -0x1.c74d4075ffad4p-3, -0x1.c35581164b072p-3, -0x1.bf529f216cca6p-3, -0x1.bb45410184c32p-3, -0x1.b72e0a634e554p-3, -0x1.b30d9c301d2cp-3, -0x1.aee4948871337p-3, -0x1.aab38ebf3456ap-3, -0x1.a67b23558f87fp-3, -0x1.a23be7f75b7adp-3, -0x1.9df66f781fdc8p-3, -0x1.99ab49d0aab8ap-3, -0x1.955b041d33b9fp-3, -0x1.9106289bffd6dp-3, -0x1.8cad3eac953fap-3, -0x1.8850cacf6991p-3, -0x1.83f14ea61315ep-3, -0x1.7f8f48f3ec62fp-3, -0x1.7b2b359f35baep-3, -0x1.76c58db2a5473p-3, -0x1.725ec75f63828p-3, -0x1.6df755ff78393p-3, -0x1.698faa18976b6p-3, -0x1.6528315f5c222p-3, -0x1.60c156bad7b5cp-3, -0x1.5c5b824888df8p-3, -0x1.57f719609e70fp-3, -0x1.53947e9aa0f4ep-3, -0x1.4f3411d25ba5fp-3, -0x1.4ad6302d25452p-3, -0x1.467b341f67645p-3, -0x1.4223757275bc7p-3, -0x1.3dcf494aa4d88p-3, -0x1.397f022da8e0ep-3, -0x1.3532f0092cb2dp-3, -0x1.30eb6039a76b7p-3, -0x1.2ca89d916b1f4p-3, -0x1.286af05fe6965p-3, -0x1.24329e791a0cep-3, -0x1.1fffeb3d3ef86p-3, -0x1.1bd317a096803p-3, -0x1.17ac62336857cp-3, -0x1.138c072a21428p-3, -0x1.0f724065a1182p-3, -0x1.0b5f457b9de4ep-3, -0x1.07534bbf30615p-3, -0x1.034e86497748bp-3, -0x1.fea24c04b4b44p-4, -0x1.f6b6b352c3291p-4, -0x1.eeda9bbd431e2p-4, -0x1.e70e5a5782a77p-4, -0x1.df52401a10496p-4, -0x1.d7a699f50602cp-4, -0x1.d00bb0e26269ep-4, -0x1.c881c9f884f9p-4, -0x1.c109267cac1dp-4, -0x1.b9a203f588603p-4, -0x1.b24c9c3de8365p-4, -0x1.ab0925974b27dp-4, -0x1.a3d7d2bc9bb08p-4, -0x1.9cb8d2f4ccf8ap-4, -0x1.95ac52258592ep-4, -0x1.8eb278e5bdbcap-4, -0x1.87cb6c90530fcp-4, -0x1.80f74f56941d7p-4, -0x1.7a364052b7462p-4, -0x1.73885b9a4351bp-4, -0x1.6cedba5062649p-4, -0x1.666672b81b453p-4, -0x1.5ff2984673c2dp-4, -0x1.59923bb475348p-4, -0x1.53456b1113c3bp-4, -0x1.4d0c31d2f3693p-4, -0x1.46e698ea0b22fp-4, -0x1.40d4a6d12581ep-4, -0x1.3ad65f9f35f0ep-4, -0x1.34ebc5188c07ap-4, -0x1.2f14d6bfd59b9p-4, -0x1.295191e6fc398p-4, -0x1.23a1f1bfd26aep-4, -0x1.1e05ef6c8f5f6p-4, -0x1.187d82102111cp-4, -0x1.13089ede4897bp-4, -0x1.0da7392b85b6fp-4, -0x1.0859427cce0d2p-4, -0x1.031eaa971161p-4, -0x1.fbeebf1d0ed38p-5, -0x1.f1c69bab8a967p-5, -0x1.e7c4c09941839p-5, -0x1.dde9009dac854p-5, -0x1.d4332b84f0cbap-5, -0x1.caa30e4c4f186p-5, -0x1.c138733e178aap-5, -0x1.b7f3220d33ddbp-5, -0x1.aed2dff02e6aap-5, -0x1.a5d76fbbcf42ap-5, -0x1.9d0091fd38284p-5, -0x1.944e0513915abp-5, -0x1.8bbf8549364e3p-5, -0x1.8354ccec7281fp-5, -0x1.7b0d9467bd357p-5, -0x1.72e992597e8bdp-5, -0x1.6ae87bab6146dp-5, -0x1.630a03a927413p-5, -0x1.5b4ddc16ff3e6p-5, -0x1.53b3b5476fc4ap-5, -0x1.4c3b3e30bcf7ep-5, -0x1.44e42481dd295p-5, -0x1.3dae14b6f56cbp-5, -0x1.3698ba2d57dd7p-5, -0x1.2fa3bf371c354p-5, -0x1.28cecd2e2b4b8p-5, -0x1.22198c86eca3dp-5, -0x1.1b83a4e26ea32p-5, -0x1.150cbd2020fe3p-5, -0x1.0eb47b6f2053bp-5, -0x1.087a855f0a7fcp-5, -0x1.025e7ff0641aap-5, -0x1.f8c01f491ac1bp-6, -0x1.ecfdb11a962d7p-6, -0x1.e174fcb7b8bd1p-6, -0x1.d62548df57289p-6, -0x1.cb0ddbc91c6fap-6, -0x1.c02dfb412ed6p-6, -0x1.b584ecc31a658p-6, -0x1.ab11f593d8253p-6, -0x1.a0d45adb0e2cp-6, -0x1.96cb61bb8aab5p-6, -0x1.8cf64f6aedfa5p-6, -0x1.83546948953a7p-6, -0x1.79e4f4f3cf6eap-6, -0x1.70a738613ec35p-6, -0x1.679a79ef85b18p-6, -0x1.5ebe007b44359p-6, -0x1.5611137254372p-6, -0x1.4d92fae653341p-6, -0x1.4542ff9e8ac68p-6, -0x1.3d206b290fe9bp-6, -0x1.352a87eb4f2ccp-6, -0x1.2d60a131f70c8p-6, -0x1.25c2034020155p-6, -0x1.1e4dfb5df0b9ep-6, -0x1.1703d7e694c2fp-6, -0x1.0fe2e855a0f8ap-6, -0x1.08ea7d53da93cp-6, -0x1.0219e8c36d056p-6, -0x1.f6e0fb971688ap-7, -0x1.e9db21c6faa72p-7, -0x1.dd20efba6dbafp-7, -0x1.d0b113de90e04p-7, -0x1.c48a3f7cc046cp-7, -0x1.b8ab26cc89164p-7, -0x1.ad1281047d68p-7, -0x1.a1bf086a4d125p-7, -0x1.96af7a61b57e6p-7, -0x1.8be2977a95f24p-7, -0x1.8157237e1ba2bp-7, -0x1.770be57b1d7a4p-7, -0x1.6cffa7d1721bap-7, -0x1.6331383ca409bp-7, -0x1.599f67dda00b1p-7, -0x1.50490b43c5ecdp-7, -0x1.472cfa750757fp-7, -0x1.3e4a10f573dc6p-7, -0x1.359f2dcdec1c6p-7, -0x1.2d2b33921cbd8p-7, -0x1.24ed0865e3771p-7, -0x1.1ce39601d9d88p-7, -0x1.150dc9b77d42bp-7, -0x1.0d6a94747d295p-7, -0x1.05f8eac56d3fep-7, -0x1.fd6f89b02b662p-8, -0x1.ef4c3cf9e2cdep-8, -0x1.e185ee508e50ep-8, -0x1.d41aa3e54fd64p-8, -0x1.c7086b31e4e43p-8, -0x1.ba4d58f79e99cp-8, -0x1.ade7893d527aep-8, -0x1.a1d51f4ca2a24p-8, -0x1.961445adf6b64p-8, -0x1.8aa32e23e4785p-8, -0x1.7f8011a5d153fp-8, -0x1.74a930596a204p-8, -0x1.6a1cd18bb304cp-8, -0x1.5fd943a93166ep-8, -0x1.55dcdc3564832p-8, -0x1.4c25f7c186c8dp-8, -0x1.42b2f9e2c591dp-8, -0x1.39824d27be3bcp-8, -0x1.3092630d5607bp-8, -0x1.27e1b3f34882dp-8, -0x1.1f6ebf0fd3a06p-8, -0x1.17380a6301083p-8, -0x1.0f3c22a991f1p-8, -0x1.07799b4f42a96p-8, -0x1.ffde1cc16ffd1p-9, -0x1.f13638f9fae86p-9, -0x1.e2f8d98d322e4p-9, -0x1.d52359a89ebe1p-9, -0x1.c7b32142d39dfp-9, -0x1.baa5a4fbbf7fp-9, -0x1.adf865fbdea75p-9, -0x1.a1a8f1d35bf78p-9, -0x1.95b4e2584972p-9, -0x1.8a19dd84751cdp-9, -0x1.7ed59552d5be8p-9, -0x1.73e5c79c66edbp-9, -0x1.69483df4dff86p-9, -0x1.5efacd86d7ddfp-9, -0x1.54fb56efa52aap-9, -0x1.4b47c61ad00ccp-9, -0x1.41de121dd72b1p-9, -0x1.38bc3d12a7367p-9, -0x1.2fe053f3063ep-9, -0x1.27486e732b576p-9, -0x1.1ef2aedc1e8c1p-9, -0x1.16dd41e67759ep-9, -0x1.0f065e947f434p-9, -0x1.076c460ca571p-9, -0x1.000d4373c789fp-9, -0x1.f1cf578e727d5p-10, -0x1.e3f3bb6e79f68p-10, -0x1.d684830260143p-10, -0x1.c97e919383f1p-10, -0x1.bcdedceed851cp-10, -0x1.b0a26d19f12f5p-10, -0x1.a4c65c07b06d4p-10, -0x1.9947d54df584cp-10, -0x1.8e2415db478f3p-10, -0x1.83586bac72ed9p-10, -0x1.78e2358304bdap-10, -0x1.6ebee29bfc59ep-10, -0x1.64ebf2667858ep-10, -0x1.5b66f43bae901p-10, -0x1.522d87167da18p-10, -0x1.493d594b69802p-10, -0x1.40942842b7c28p-10, -0x1.382fc03046ff1p-10, -0x1.300dfbceae145p-10, -0x1.282cc41933546p-10, -0x1.208a1006c7c56p-10, -0x1.1923e44611ba2p-10, -0x1.11f852f97beadp-10, -0x1.0b057b7446635p-10, -0x1.044989f7e79acp-10, -0x1.fb856ee4b264ap-11, -0x1.eede927a836e5p-11, -0x1.e29b21bab375p-11, -0x1.d6b7d784e76fp-11, -0x1.cb318612450f7p-11, -0x1.c0051677acbd4p-11, -0x1.b52f882bdf2abp-11, -0x1.aaadf08c79e9cp-11, -0x1.a07d7a674bf0ep-11, -0x1.969b65827c283p-11, -0x1.8d0506288d67dp-11, -0x1.83b7c4b40dcaep-11, -0x1.7ab11d1e06266p-11, -0x1.71ee9e8d1635dp-11, -0x1.696deae6fdd48p-11, -0x1.612cb66316eep-11, -0x1.5928c71e6dc35p-11, -0x1.515ff4b1c3a1cp-11, -0x1.49d027c8bee3cp-11, -0x1.427759bb314bcp-11, -0x1.3b539426bb993p-11, -0x1.3462f08bea1f7p-11, -0x1.2da397eb7df34p-11, -0x1.2713c2651e9b2p-11, -0x1.20b1b6d8eeca7p-11, -0x1.1a7bca895fefcp-11, -0x1.147060bf66a5cp-11, -0x1.0e8dea6fa0164p-11, -0x1.08d2e5e1a968dp-11, -0x1.033dde583eb4cp-11, -0x1.fb9ad777e8821p-12, -0x1.f100648bf033ep-12, -0x1.e6a9c45bac6d6p-12, -0x1.dc946eb0187b1p-12, -0x1.d2bdf20ad7896p-12, -0x1.c923f30bcc19dp-12, -0x1.bfc42bd502b92p-12, -0x1.b69c6b74eacd3p-12, -0x1.adaa955247d61p-12, -0x1.a4eca09a6565fp-12, -0x1.9c6097b36ba43p-12, -0x1.940497b0c32f9p-12, -0x1.8bd6cfc9e7663p-12, -0x1.83d580d55611fp-12, -0x1.7bfefcc4b72e4p-12, -0x1.7451a624838b4p-12, -0x1.6ccbef9e34691p-12, -0x1.656c5b7dc80ecp-12, -0x1.5e317b3864ce3p-12, -0x1.5719eef6ef8b2p-12, -0x1.5024652298db6p-12, -0x1.494f99f3ea916p-12, -0x1.429a570503861p-12, -0x1.3c0372e478ab8p-12, -0x1.3589d0ae14f94p-12, -0x1.2f2c5fa1912e8p-12, -0x1.28ea1abf6a612p-12, -0x1.22c2086631b2ep-12, -0x1.1cb339f268254p-12, -0x1.16bccb60fc2a8p-12, -0x1.10dde2f3b0c15p-12, -0x1.0b15b0d7f4501p-12, -0x1.05636ecfa1f1p-12, -0x1.ff8cbfb867b0cp-13, -0x1.f47b9fd7a29d8p-13, -0x1.e99227123e916p-13, -0x1.decf0f15fedc9p-13, -0x1.d43121931502bp-13, -0x1.c9b737a466154p-13, -0x1.bf60393f0cd66p-13, -0x1.b52b1ca3a485ap-13, -0x1.ab16e5d4dac0ep-13, -0x1.a122a6111e88dp-13, -0x1.974d7b4ebe91dp-13, -0x1.8d968fbe3f268p-13, -0x1.83fd194d8aeb8p-13, -0x1.7a80592fa3a74p-13, -0x1.711f9b680dce4p-13, -0x1.67da3658efcf3p-13, -0x1.5eaf8a5441001p-13, -0x1.559f0131b79d4p-13, -0x1.4ca80de514753p-13, -0x1.43ca2c1a73b6p-13, -0x1.3b04dfd27619ap-13, -0x1.3257b504ed4cfp-13, -0x1.29c23f42a6428p-13, -0x1.2144195df31a5p-13, -0x1.18dce511c0231p-13, -0x1.108c4aaeec23cp-13, -0x1.0851f8ca250d8p-13, -0x1.002da3ed91739p-13, -0x1.f03e0c97c836bp-14, -0x1.e04bbeedb9b0fp-14, -0x1.d083e82e876dcp-14, -0x1.c0e61b505e6fbp-14, -0x1.b171f46843446p-14, -0x1.a22718292437ap-14, -0x1.93053365f4206p-14, -0x1.840bfa9c4327cp-14, -0x1.753b297aef671p-14, -0x1.6692827685dd6p-14, -0x1.5811ce5ac1b4cp-14, -0x1.49b8dbe310d2fp-14, -0x1.3b877f56140b8p-14, -0x1.2d7d922459483p-14, -0x1.1f9af28ba648ep-14, -0x1.11df833d4807p-14, -0x1.044b2b077d6ebp-14, -0x1.edbba909131abp-15, -0x1.d32edb90e2e99p-15, -0x1.b8efd02c3dc9bp-15, -0x1.9efe6f2b71f7ap-15, -0x1.855aa61c73d94p-15, -0x1.6c046745d22b1p-15, -0x1.52fba9238c3e5p-15, -0x1.3a4065ed975afp-15, -0x1.21d29b214f5e9p-15, -0x1.09b2490ec6264p-15, -0x1.e3bee4df0d538p-16, -0x1.b4b437fe72de5p-16, -0x1.86449832c107ep-16, -0x1.587014b7cf384p-16, -0x1.2b36be9cf99fap-16, -0x1.fd31503a65dc4p-17, -0x1.a52bc7fae7fabp-17, -0x1.4e5d09ed14c58p-17, -0x1.f18a749d543f7p-18, -0x1.48c8f61e92a42p-18, -0x1.44ebab4635869p-19, 0x1.6eb8027f2bbd2p-26, 0x1.45c910980d409p-19, 0x1.41eb7c9619489p-18, 0x1.de8383ccdcdd2p-18, 0x1.3c564dea0d104p-17, 0x1.88336975b4d13p-17, 0x1.d2d92481dfcbp-17, 0x1.0e23cc37d3005p-16, 0x1.323f744cedb1p-16, 0x1.55bfa16d8b271p-16, 0x1.78a47000513aep-16, 0x1.9aee0220fc7d1p-16, 0x1.bc9c7fceb937dp-16, 0x1.ddb0171d24a8dp-16, 0x1.fe28fc5c94728p-16, 0x1.0f03b51ea73a4p-15, 0x1.1ea5d0f8f4983p-15, 0x1.2dfaf5a82fa39p-15, 0x1.3d034a71e9df6p-15, 0x1.4bbefa0492a64p-15, 0x1.5a2e327f26b2ap-15, 0x1.6851257794301p-15, 0x1.76280802636b2p-15, 0x1.83b312b4d454ep-15, 0x1.90f281a9d87cep-15, 0x1.9de6948253336p-15, 0x1.aa8f8e64b5bcp-15, 0x1.b6edb5fbe13c9p-15, 0x1.c301557565757p-15, 0x1.cecaba7c4dda5p-15, 0x1.da4a363625665p-15, 0x1.e5801d3c3a458p-15, 0x1.f06cc794b418fp-15, 0x1.fb1090ab27cdfp-15, 0x1.02b5eba3631fcp-14, 0x1.07bf7ec0c12e6p-14, 0x1.0ca5345f2ed8dp-14, 0x1.116740ceb44b4p-14, 0x1.1605d9f7d9143p-14, 0x1.1a813755f26b3p-14, 0x1.1ed991f01c73cp-14, 0x1.230f245237772p-14, 0x1.27222a860fcfbp-14, 0x1.2b12e20c030bcp-14, 0x1.2ee189d329a99p-14, 0x1.328e6231c6b9dp-14, 0x1.3619acdca8ed9p-14, 0x1.3983acdf29fd5p-14, 0x1.3ccca693208dap-14, 0x1.3ff4df9784449p-14, 0x1.42fc9ec88721bp-14, 0x1.45e42c365e259p-14, 0x1.48abd11c3fa81p-14, 0x1.4b53d7d778333p-14, 0x1.4ddc8bde12619p-14, 0x1.504639b572aa6p-14, 0x1.52912ee9a69a8p-14, 0x1.54bdba03bee04p-14, 0x1.56cc2a804204cp-14, 0x1.58bcd0c6115c3p-14, 0x1.5a8ffe1cca17ep-14, 0x1.5c4604a3589b2p-14, 0x1.5ddf37467ea9cp-14, 0x1.5f5be9b785b8fp-14, 0x1.60bc706302013p-14, 0x1.6201206719fbep-14, 0x1.632a4f8a5da26p-14, 0x1.643854325e71fp-14, 0x1.652b855a2c3bdp-14, 0x1.66043a89cc2ep-14, 0x1.66c2cbcc50c25p-14, 0x1.676791a7732ebp-14, 0x1.67f2e512081adp-14, 0x1.68651f6b67e2fp-14, 0x1.68be9a72979fcp-14, 0x1.68ffb03cfce88p-14, 0x1.6928bb2e42eccp-14, 0x1.693a15efc4e13p-14, 0x1.69341b67d03f9p-14, 0x1.691726b163541p-14, 0x1.68e393140e324p-14, 0x1.6899bbfb86ecfp-14, 0x1.6839fcefe18ddp-14, 0x1.67c4b18d75b9ap-14, 0x1.673a357d198a3p-14, 0x1.669ae46cb8a39p-14, 0x1.65e71a07aa132p-14, 0x1.651f31eefd898p-14, 0x1.644387b2a56f1p-14, 0x1.635476c9e852fp-14, 0x1.62525a8c7fd5p-14, 0x1.613d8e2be1b64p-14, 0x1.60166cac65f77p-14, 0x1.5edd50de7bbcbp-14, 0x1.5d9295586800ep-14, 0x1.5c3694700e5f6p-14, 0x1.5ac9a8344d6b5p-14, 0x1.594c2a6739819p-14, 0x1.57be74782fca8p-14, 0x1.5620df7e23c8p-14, 0x1.5473c431c3febp-14, 0x1.52b77ae80801dp-14, 0x1.50ec5b8d4795ep-14, 0x1.4f12bd9f4c6f9p-14, 0x1.4d2af82895797p-14, 0x1.4b3561bb9c703p-14, 0x1.4932506d93da2p-14, 0x1.472219d242848p-14, 0x1.450512f71a4aap-14, 0x1.42db905f317acp-14, 0x1.40a5e5fe8c0dbp-14, 0x1.3e6467365f43fp-14, 0x1.3c1766d10098dp-14, 0x1.39bf36fe0a91bp-14, 0x1.375c294e8ba45p-14, 0x1.34ee8eb1d6b3dp-14, 0x1.3276b771940f5p-14, 0x1.2ff4f32eb9066p-14, 0x1.2d6990de6a3b9p-14, 0x1.2ad4dec673238p-14, 0x1.28372a7afce9ap-14, 0x1.2590c0db61cecp-14, 0x1.22e1ee0f8493ap-14, 0x1.202afd852080cp-14, 0x1.1d6c39edb8db8p-14, 0x1.1aa5ed3c12e6ep-14, 0x1.17d860a1bae1cp-14, 0x1.1503dc8d37944p-14, 0x1.1228a8a816f3ap-14, 0x1.0f470bd4f86ecp-14, 0x1.0c5f4c2d90065p-14, 0x1.0971af0160c75p-14, 0x1.067e78d3ee011p-14, 0x1.0385ed5b90691p-14, 0x1.00884f7fa3b6fp-14, 0x1.fb0bc2af6876bp-15, 0x1.f4fdc8547d293p-15, 0x1.eee730d6c9dffp-15, 0x1.e8c87b78dde96p-15, 0x1.e2a225d59ac42p-15, 0x1.dc74abddff30fp-15, 0x1.d64087d871402p-15, 0x1.d006325f6d174p-15, 0x1.c9c622608ae6cp-15, 0x1.c380cd1bb46eap-15, 0x1.bd36a62267d7bp-15, 0x1.b6e81f572a77dp-15, 0x1.b095a8ed197e3p-15, 0x1.aa3fb168663f4p-15, 0x1.a3e6a59d808edp-15, 0x1.9d8af0b1a0048p-15, 0x1.972cfc1a9807cp-15, 0x1.90cd2f9ffd71dp-15, 0x1.8a6bf15b3abb3p-15, 0x1.8409a5b85905ep-15, 0x1.7da6af766c33cp-15, 0x1.77436fa91edaep-15, 0x1.70e045b991a6fp-15, 0x1.6a7d8f677c4c9p-15, 0x1.641ba8c9f6939p-15, 0x1.5dbaec51f32aep-15, 0x1.575bb2caf9912p-15, 0x1.50fe535cea3dfp-15, 0x1.4aa3238e0f894p-15, 0x1.444a77447223dp-15, 0x1.3df4a0c833da7p-15, 0x1.37a1f0c5a1edfp-15, 0x1.3152b64f350b6p-15, 0x1.2b073edf7cbabp-15, 0x1.24bfd65bae5fcp-15, 0x1.1e7cc71634f39p-15, 0x1.183e59d0ee988p-15, 0x1.1204d5bfbcaffp-15, 0x1.0bd0808b3e17p-15, 0x1.05a19e5386259p-15, 0x1.fef0e365c14adp-16, 0x1.f2aa777ffcef1p-16, 0x1.e6707823a188ap-16, 0x1.da4361848e5e5p-16, 0x1.ce23ace21aa2dp-16, 0x1.c211d08ccb81ap-16, 0x1.b60e3fedf70adp-16, 0x1.aa196b8ce7f89p-16, 0x1.9e33c11608fep-16, 0x1.925dab60cb1acp-16, 0x1.8697927738adp-16, 0x1.7ae1db9b83dbfp-16, 0x1.6f3ce94f8cb19p-16, 0x1.63a91b5b83801p-16, 0x1.5826ced5952c7p-16, 0x1.4cb65e2763429p-16, 0x1.4158211675af6p-16, 0x1.360c6cca8f548p-16, 0x1.2ad393d53368ep-16, 0x1.1fade639a6ca6p-16, 0x1.149bb172e1208p-16, 0x1.099d407b4f7d3p-16, 0x1.fd65b7a830564p-17, 0x1.e7b99318f3bc5p-17, 0x1.d2369a94ba442p-17, 0x1.bcdd50a1cdcc2p-17, 0x1.a7ae330ead62cp-17, 0x1.92a9bb01ac78ap-17, 0x1.7dd05d095eb7ep-17, 0x1.6922892b7336ep-17, 0x1.54a0aaf2db871p-17, 0x1.404b297e90ffbp-17, 0x1.2c226792140a1p-17, 0x1.1826c3a4316c7p-17, 0x1.045897ee24d3ap-17, 0x1.e17074f359b71p-18, 0x1.ba8bfa639d0a1p-18, 0x1.94045be1a8fc1p-18, 0x1.6dda2d1f30de2p-18, 0x1.480df9ea330ffp-18, 0x1.22a0464c7a434p-18, 0x1.fb231d4936aap-19, 0x1.b1c48f8f77da5p-19, 0x1.6925be3e8ee7bp-19, 0x1.2147758d70fb9p-19, 0x1.b454e6a60c504p-20, 0x1.279ece755455ep-20, 0x1.38dbcc28a5249p-21, 0x1.2c355ad33a4e9p-24, -0x1.d57f5611f5166p-22, -0x1.f7f5517a69132p-21, -0x1.810c4b38e0415p-20, -0x1.0249fee239dbbp-19, -0x1.43488d254431ep-19, -0x1.838189afebe06p-19, -0x1.c2f4b9e848b9dp-19, -0x1.00d0f78dabc99p-18, -0x1.1fc4832045e4ap-18, -0x1.3e54f3e050046p-18, -0x1.5c8243a38a0aap-18, -0x1.7a4c71c2fb1dp-18, -0x1.97b382fd3af4dp-18, }}, 
      {{0x1.1706d04db7108p-7, 0x1.171a4051cad2fp-6, 0x1.a2d76db028b1p-6, 0x1.176664a3052e7p-5, 0x1.5d855755d2367p-5, 0x1.a3cfcf1d5326ap-5, 0x1.ea4bf9c66e3b9p-5, 0x1.187f6be5c8207p-4, 0x1.3bf61530cac3ep-4, 0x1.5f8b34bf2a8aap-4, 0x1.833f60613f30dp-4, 0x1.a712891b35575p-4, 0x1.cb03feed85e53p-4, 0x1.ef1276938b4b3p-4, 0x1.099e08683022fp-3, 0x1.1bbf31772fbe3p-3, 0x1.2deb401089d4cp-3, 0x1.402081c1ff351p-3, 0x1.525d0d3d57abcp-3, 0x1.649ec79fbbf4p-3, 0x1.76e369bb3d54ep-3, 0x1.89288550febfep-3, 0x1.9b6b8a2ddbda3p-3, 0x1.ada9cb1e3ba01p-3, 0x1.bfe082b068a87p-3, 0x1.d20cd7bee6e6p-3, 0x1.e42be1be1fe73p-3, 0x1.f63aacca6e7bap-3, 0x1.041b1eba67a68p-2, 0x1.0d0dca26cb9b1p-2, 0x1.15f3d896bc9d8p-2, 0x1.1ecbcb1eee0c6p-2, 0x1.27942560ff089p-2, 0x1.304b6ed17059ep-2, 0x1.38f033e025004p-2, 0x1.41810704a8564p-2, 0x1.49fc81af976a5p-2, 0x1.52614522873f2p-2, 0x1.5aadfb2fd6be8p-2, 0x1.62e156e3d25edp-2, 0x1.6afa151897d78p-2, 0x1.72f6fcf615559p-2, 0x1.7ad6e05f84e9ep-2, 0x1.82989c4fb12p-2, 0x1.8a3b19254fab8p-2, 0x1.91bd4ae0a0c27p-2, 0x1.991e315389349p-2, 0x1.a05cd84540483p-2, 0x1.a778578aa19ap-2, 0x1.ae6fd31422f78p-2, 0x1.b5427af261da5p-2, 0x1.bbef8b5228d2p-2, 0x1.c2764c70c45cap-2, 0x1.c8d612896ae54p-2, 0x1.cf0e3dbc6e6d5p-2, 0x1.d51e39f0e3663p-2, 0x1.db057eb15e247p-2, 0x1.e0c38f044a6c3p-2, 0x1.e657f94072a06p-2, 0x1.ebc256de1d7d9p-2, 0x1.f1024c453ed87p-2, 0x1.f617889917bb8p-2, 0x1.fb01c581a00c9p-2, 0x1.ffc0c6f310cf3p-2, 0x1.022a2d79e87e8p-1, 0x1.045e2cb08732ap-1, 0x1.067c51d91c56ap-1, 0x1.0884925dcb96cp-1, 0x1.0a76e838130b7p-1, 0x1.0c5351d173a5ep-1, 0x1.0e19d1e3e697ep-1, 0x1.0fca6f5a2f54ap-1, 0x1.116535301aa7fp-1, 0x1.12ea3252b7a4fp-1, 0x1.1459798097d6fp-1, 0x1.15b3212a1d85p-1, 0x1.16f74351e8becp-1, 0x1.1825fd6d6413ap-1, 0x1.193f704580213p-1, 0x1.1a43bfd79ed94p-1, 0x1.1b331336bb413p-1, 0x1.1c0d946ccec3bp-1, 0x1.1cd3705c7ce18p-1, 0x1.1d84d6a30853ap-1, 0x1.1e21f97a998bfp-1, 0x1.1eab0d9cd691ep-1, 0x1.1f204a25d692ap-1, 0x1.1f81e8776e811p-1, 0x1.1fd0241ce11a6p-1, 0x1.200b3aaef16f4p-1, 0x1.20336bb85c8f7p-1, 0x1.2048f89abf663p-1, 0x1.204c2473e9a96p-1, 0x1.203d3403a2083p-1, 0x1.201c6d91dd949p-1, 0x1.1fea18d56e94ep-1, 0x1.1fa67edb2a14bp-1, 0x1.1f51e9ed8c1fdp-1, 0x1.1eeca57cd47e8p-1, 0x1.1e76fe07a6ba3p-1, 0x1.1df1410428ccp-1, 0x1.1d5bbcc9a4db1p-1, 0x1.1cb6c07aae7b2p-1, 0x1.1c029befcdd73p-1, 0x1.1b3f9fa2b0c74p-1, 0x1.1a6e1c99e242bp-1, 0x1.198e645509f15p-1, 0x1.18a0c8b9b52c4p-1, 0x1.17a59c00a6239p-1, 0x1.169d30a3adfd9p-1, 0x1.1587d94c0ea48p-1, 0x1.1465e8c165239p-1, 0x1.1337b1d91c5a9p-1, 0x1.11fd876668086p-1, 0x1.10b7bc2ac5892p-1, 0x1.0f66a2c7047a9p-1, 0x1.0e0a8dacd2e06p-1, 0x1.0ca3cf10cf35p-1, 0x1.0b32b8dd1d514p-1, 0x1.09b79ca47b5p-1, 0x1.0832cb95d8d87p-1, 0x1.06a496706c69ep-1, 0x1.050d4d78451e4p-1, 0x1.036d406b591b9p-1, 0x1.01c4be770bdedp-1, 0x1.0014162e2de91p-1, 0x1.fcb72afee1821p-2, 0x1.f93713589e90fp-2, 0x1.f5a87e80cdc21p-2, 0x1.f20c0412816f1p-2, 0x1.ee623a1d10b37p-2, 0x1.eaabb51557433p-2, 0x1.e6e907c7ca1e7p-2, 0x1.e31ac34b57058p-2, 0x1.df4176f50cea5p-2, 0x1.db5db04c85e58p-2, 0x1.d76ffb0112af3p-2, 0x1.d378e0df9c9c6p-2, 0x1.cf78e9c93fe3fp-2, 0x1.cb709baa932b9p-2, 0x1.c7607a739daf4p-2, 0x1.c349081072565p-2, 0x1.bf2ac4626d113p-2, 0x1.bb062d3a10bfap-2, 0x1.b6dbbe51778adp-2, 0x1.b2abf1475f60dp-2, 0x1.ae773d9ac089bp-2, 0x1.aa3e18a6f2bb7p-2, 0x1.a600f5a0568fbp-2, 0x1.a1c0459182ea7p-2, 0x1.9d7c7758f17afp-2, 0x1.9935f7a7226d2p-2, 0x1.94ed30fd389bep-2, 0x1.90a28bac0498bp-2, 0x1.8c566dd37f68fp-2, 0x1.88093b62adef4p-2, 0x1.83bb5617e9edcp-2, 0x1.7f6d1d818caacp-2, 0x1.7b1eeefef7438p-2, 0x1.76d125c1f608bp-2, 0x1.72841ad07a7fbp-2, 0x1.6e382506a8122p-2, 0x1.69ed99192fe81p-2, 0x1.65a4c997fb7bdp-2, 0x1.615e06f11d1bp-2, 0x1.5d199f7407378p-2, 0x1.58d7df5508c43p-2, 0x1.549910b104814p-2, 0x1.505d7b916a40dp-2, 0x1.4c2565f064f27p-2, 0x1.47f113bd41dbp-2, 0x1.43c0c6e10c94p-2, 0x1.3f94bf435afa9p-2, 0x1.3b6d3acf46dc5p-2, 0x1.374a757897234p-2, 0x1.332ca9410f46p-2, 0x1.2f140e3de72d3p-2, 0x1.2b00da9d687cp-2, 0x1.26f342acadb54p-2, 0x1.22eb78dd825dbp-2, 0x1.1ee9adcc5fb3ap-2, 0x1.1aee1046874f5p-2, 0x1.16f8cd503745ap-2, 0x1.130a102af60a2p-2, 0x1.0f22025bf36dbp-2, 0x1.0b40cbb2800b7p-2, 0x1.0766924e964cfp-2, 0x1.03937aa772628p-2, 0x1.ff8f4f2477a6bp-3, 0x1.f806749176bbdp-3, 0x1.f08ca4e037aeap-3, 0x1.e9221c3f6c126p-3, 0x1.e1c713cfcb985p-3, 0x1.da7bc1b1c8d29p-3, 0x1.d3405913578eap-3, 0x1.cc150a3db6b4dp-3, 0x1.c4fa02a344b58p-3, 0x1.bdef6ced54d7dp-3, 0x1.b6f5710a08eep-3, 0x1.b00c343a26a44p-3, 0x1.a933d91eee919p-3, 0x1.a26c7fc7e617p-3, 0x1.9bb645c0a8485p-3, 0x1.9511461e98ecap-3, 0x1.8e7d998e9f69cp-3, 0x1.87fb5662cad08p-3, 0x1.818a909fe6141p-3, 0x1.7b2b5a0b01b31p-3, 0x1.74ddc236e5a1p-3, 0x1.6ea1d6916ef44p-3, 0x1.6877a270e0628p-3, 0x1.625f2f210dcbap-3, 0x1.5c5883f07e179p-3, 0x1.5663a63d69e5p-3, 0x1.50809982a1973p-3, 0x1.4aaf5f6459e1p-3, 0x1.44eff7bcd6e4p-3, 0x1.3f4260a8feadap-3, 0x1.39a69694c5e2p-3, 0x1.341c944780416p-3, 0x1.2ea452f00fbfdp-3, 0x1.293dca30ef8d8p-3, 0x1.23e8f02c1db16p-3, 0x1.1ea5b98ee094p-3, 0x1.1974199d695adp-3, 0x1.1454023e4eae8p-3, 0x1.0f456405e1aeap-3, 0x1.0a482e4161785p-3, 0x1.055c4f0203933p-3, 0x1.0081b327d1447p-3, 0x1.f7708cd8cdf3cp-4, 0x1.edffe6db0beeep-4, 0x1.e4b1476ef08f4p-4, 0x1.db847f9eb10bap-4, 0x1.d2795e7a40f86p-4, 0x1.c98fb12b40036p-4, 0x1.c0c743087393fp-4, 0x1.b81fdda8fbcf2p-4, 0x1.af9948f739719p-4, 0x1.a7334b43582eap-4, 0x1.9eeda9557f574p-4, 0x1.96c8267fb5fap-4, 0x1.8ec284af72383p-4, 0x1.86dc847ece87ep-4, 0x1.7f15e5456c749p-4, 0x1.776e652903cfbp-4, 0x1.6fe5c12d9accp-4, 0x1.687bb5456bf17p-4, 0x1.612ffc6075564p-4, 0x1.5a02507bb6372p-4, 0x1.52f26ab0181e5p-4, 0x1.4c00034101aa2p-4, 0x1.452ad1aa9d539p-4, 0x1.3e728cafc5f5dp-4, 0x1.37d6ea67a6a1ep-4, 0x1.3157a04b062dfp-4, 0x1.2af46341447bcp-4, 0x1.24ace7ad04022p-4, 0x1.1e80e17886752p-4, 0x1.18700421b8af4p-4, 0x1.127a02c5f132dp-4, 0x1.0c9e902d61c9fp-4, 0x1.06dd5ed636d29p-4, 0x1.013620ff73833p-4, 0x1.f7511166f5f35p-5, 0x1.ec688fa4a3baep-5, 0x1.e1b220372a213p-5, 0x1.d72d26705404ap-5, 0x1.ccd9058746036p-5, 0x1.c2b520aabe43fp-5, 0x1.b8c0db12c6715p-5, 0x1.aefb9811d955fp-5, 0x1.a564bb258267dp-5, 0x1.9bfba80672012p-5, 0x1.92bfc2b811861p-5, 0x1.89b06f978df8dp-5, 0x1.80cd136a692abp-5, 0x1.7815136c84856p-5, 0x1.6f87d55db2181p-5, 0x1.6724bf8ec916p-5, 0x1.5eeb38ee40993p-5, 0x1.56daa914542c5p-5, 0x1.4ef2784eb5fb7p-5, 0x1.47320fabc1a65p-5, 0x1.3f98d905517c4p-5, 0x1.38263f0b0e04p-5, 0x1.30d9ad4c647f8p-5, 0x1.29b2904205758p-5, 0x1.22b05556ffa83p-5, 0x1.1bd26af16f086p-5, 0x1.1518407acf793p-5, 0x1.0e814667e3ea1p-5, 0x1.080cee404033fp-5, 0x1.01baaaa573423p-5, 0x1.f713deb3afbb5p-6, 0x1.eaf4628e047f6p-6, 0x1.df15cd07bb8c5p-6, 0x1.d3770cb4e1df3p-6, 0x1.c817129a8d216p-6, 0x1.bcf4d2391b013p-6, 0x1.b20f4195c206dp-6, 0x1.a765594384c99p-6, 0x1.9cf6146b964bp-6, 0x1.92c070d51353dp-6, 0x1.88c36eec3ff6ep-6, 0x1.7efe11c921d37p-6, 0x1.756f5f359e7d2p-6, 0x1.6c165fb30bbfep-6, 0x1.62f21e7f375f1p-6, 0x1.5a01a998f5cc8p-6, 0x1.514411c435b9ap-6, 0x1.48b86a8d8bd9bp-6, 0x1.405dca4d5e3b5p-6, 0x1.38334a2a87d33p-6, 0x1.3038061c9e6ebp-6, 0x1.286b1cedbeea4p-6, 0x1.20cbb03bf9b42p-6, 0x1.1958e47a5945bp-6, 0x1.1211e0f180785p-6, 0x1.0af5cfbff1976p-6, 0x1.0403ddd9f5bfcp-6, 0x1.fa7676124915ap-7, 0x1.ed3633d75761bp-7, 0x1.e0455fe64958p-7, 0x1.d3a26ac66b28fp-7, 0x1.c74bca9fab9b6p-7, 0x1.bb3ffb3697424p-7, 0x1.af7d7de7cf673p-7, 0x1.a402d9a2e083ap-7, 0x1.98ce9ae4ac5cdp-7, 0x1.8ddf53b141c0dp-7, 0x1.83339b8d47e61p-7, 0x1.78ca0f76f22a2p-7, 0x1.6ea151de6cb4dp-7, 0x1.64b80a9e085e3p-7, 0x1.5b0ce6f1e0e12p-7, 0x1.519e996f16afap-7, 0x1.486bd9fad34c9p-7, 0x1.3f7365c0d1a74p-7, 0x1.36b3ff299d492p-7, 0x1.2e2c6dd07e556p-7, 0x1.25db7e791f2afp-7, 0x1.1dc00304e4c25p-7, 0x1.15d8d267f5228p-7, 0x1.0e24c89e1746ap-7, 0x1.06a2c69f47b74p-7, 0x1.fea364a806cb3p-8, 0x1.f060ed12fe341p-8, 0x1.e27c05cb1b149p-8, 0x1.d4f297b4c8717p-8, 0x1.c7c295346fdefp-8, 0x1.bae9fa1545d09p-8, 0x1.ae66cb6fe0262p-8, 0x1.a23717906f8d5p-8, 0x1.9658f5dce9f8ep-8, 0x1.8aca86bac7989p-8, 0x1.7f89f3749b3a3p-8, 0x1.74956e1f7b18ep-8, 0x1.69eb31805eb1dp-8, 0x1.5f8980f121f68p-8, 0x1.556ea84587ef6p-8, 0x1.4b98fbb032637p-8, 0x1.4206d7a74e10fp-8, 0x1.38b6a0c95f449p-8, 0x1.2fa6c3c1f75bep-8, 0x1.26d5b52e436fep-8, 0x1.1e41f181c027p-8, 0x1.15e9fceab92ccp-8, 0x1.0dcc6336fd037p-8, 0x1.05e7b7b87d22bp-8, 0x1.fc752a53ebedap-9, 0x1.ed873b2755b96p-9, 0x1.df02f46041facp-9, 0x1.d0e5b6a23daf5p-9, 0x1.c32cf088d3485p-9, 0x1.b5d61e720aa83p-9, 0x1.a8deca4853f18p-9, 0x1.9c448b4d48d24p-9, 0x1.900505e4724f8p-9, 0x1.841deb5e3c2a8p-9, 0x1.788cf9c360bedp-9, 0x1.6d4ffba08038cp-9, 0x1.6264c7d226b2fp-9, 0x1.57c941512b46p-9, 0x1.4d7b56ff41c26p-9, 0x1.4379037418971p-9, 0x1.39c04ccab384bp-9, 0x1.304f446f62d0dp-9, 0x1.272406edd0fd5p-9, 0x1.1e3cbbbfdfaadp-9, 0x1.1597951c8089dp-9, 0x1.0d32cfc76e5a1p-9, 0x1.050cb2e1044fbp-9, 0x1.fa471f6d9f9ddp-10, 0x1.eaeb83289e612p-10, 0x1.dc035b28d5ba5p-10, 0x1.cd8b84e69f97p-10, 0x1.bf80f0c17d0eep-10, 0x1.b1e0a1a5ec509p-10, 0x1.a4a7acb3cfcc8p-10, 0x1.97d338e690fa7p-10, 0x1.8b607ebd5d046p-10, 0x1.7f4cc7e5296eap-10, 0x1.73956ee3a4101p-10, 0x1.6837dec2b688ap-10, 0x1.5d3192bd8645ep-10, 0x1.528015ee70baap-10, 0x1.482102fe126dap-10, 0x1.3e1203d350fd2p-10, 0x1.3450d14454f36p-10, 0x1.2adb32c8fcc88p-10, 0x1.21aefe2de903ap-10, 0x1.18ca1748fd081p-10, 0x1.102a6faea96c3p-10, 0x1.07ce066874f0fp-10, 0x1.ff65cf5928829p-11, 0x1.efae592cb7554p-11, 0x1.e071f5c047a2ep-11, 0x1.d1ad093bc66efp-11, 0x1.c35c0ff1ee26fp-11, 0x1.b57b9dda4c1e7p-11, 0x1.a8085e0cc106p-11, 0x1.9aff123f9db79p-11, 0x1.8e5c92476f3acp-11, 0x1.821dcb9953fb5p-11, 0x1.763fc0cec5e4dp-11, 0x1.6abf892c3fa81p-11, 0x1.5f9a5028eb427p-11, 0x1.54cd54f954377p-11, 0x1.4a55ea1b521cap-11, 0x1.403174e493c2ap-11, 0x1.365d6d1296089p-11, 0x1.2cd75c5cf7f8p-11, 0x1.239cde09a100ap-11, 0x1.1aab9e82afa3fp-11, 0x1.12015aee8fd25p-11, 0x1.099be0c9c694bp-11, 0x1.01790d82effc4p-11, 0x1.f32d9c2fb1988p-12, 0x1.e3e63d6b0eaedp-12, 0x1.d51814b1fe133p-12, 0x1.c6bf54e54341fp-12, 0x1.b8d84d15e946ep-12, 0x1.ab5f67d264d6fp-12, 0x1.9e512a775c02fp-12, 0x1.91aa34839bb6dp-12, 0x1.85673eefbbd3ap-12, 0x1.79851b89429a5p-12, 0x1.6e00b4507af05p-12, 0x1.62d70ada0e6a1p-12, 0x1.580537b404866p-12, 0x1.4d8869cd01ed9p-12, 0x1.435de5e023a0fp-12, 0x1.398305e28feb4p-12, 0x1.2ff53874d24a3p-12, 0x1.26b2005758892p-12, 0x1.1db6f3e144228p-12, 0x1.1501bc7acc0f3p-12, 0x1.0c90161a5ae4fp-12, 0x1.045fcec3e8ea2p-12, 0x1.f8dd8c18b5911p-13, 0x1.e975d93d24cc1p-13, 0x1.da84878727bc6p-13, 0x1.cc05b9dac1e17p-13, 0x1.bdf5b289401dap-13, 0x1.b050d27095596p-13, 0x1.a3139820e3029p-13, 0x1.963a9f073950ap-13, 0x1.89c29e9bd2588p-13, 0x1.7da86996ee159p-13, 0x1.71e8ed28a14p-13, 0x1.66813036f7a1cp-13, 0x1.5b6e529fb375cp-13, 0x1.50ad8c7edb29p-13, 0x1.463c2d7970a95p-13, 0x1.3c179c0df2629p-13, 0x1.323d54e63703ep-13, 0x1.28aaea30aa12ep-13, 0x1.1f5e02fba6bbcp-13, 0x1.16545a9512b2ap-13, 0x1.0d8bbfef5313cp-13, 0x1.05021508709c7p-13, 0x1.f96a9cac96411p-14, 0x1.e946e46af3173p-14, 0x1.d99530b928933p-14, 0x1.ca51d2a68feb7p-14, 0x1.bb793bd874d34p-14, 0x1.ad07fd8505dd2p-14, 0x1.9efac7778bb35p-14, 0x1.914e671789eep-14, 0x1.83ffc6785e9c9p-14, 0x1.770beb6f3a582p-14, 0x1.6a6ff6afdc9a7p-14, 0x1.5e2922eca1755p-14, 0x1.5234c400fa80ap-14, 0x1.4690461e9735dp-14, 0x1.3b392d00b75bap-14, 0x1.302d1325b646ap-14, 0x1.2569a90e01ee6p-14, 0x1.1aecb4800ba09p-14, 0x1.10b40fd15effap-14, 0x1.06bda93642e6ap-14, 0x1.fa0f0429667fep-15, 0x1.e71f5cbac5612p-15, 0x1.d4a8a7cf5f93fp-15, 0x1.c2a753a9ae07ep-15, 0x1.b117efed687afp-15, 0x1.9ff72c7272dedp-15, 0x1.8f41d8269f194p-15, 0x1.7ef4dff4d6a19p-15, 0x1.6f0d4db47ac2ap-15, 0x1.5f88471ff7bc3p-15, 0x1.50630cd622f04p-15, 0x1.419af96007f95p-15, 0x1.332d804208a08p-15, 0x1.25182d0fbb07dp-15, 0x1.1758a28bff205p-15, 0x1.09ec99cdf6542p-15, 0x1.f9a3c2d2adab3p-16, 0x1.e00cb947a90efp-16, 0x1.c7100557c6d26p-16, 0x1.aea9bbaf8b19ap-16, 0x1.96d615d8217a2p-16, 0x1.7f9170c986481p-16, 0x1.68d84b91cceefp-16, 0x1.52a746006075bp-16, 0x1.3cfb1f5d11637p-16, 0x1.27d0b52cc33a7p-16, 0x1.1325020063a78p-16, 0x1.fdea38954bea3p-17, 0x1.d67c6a85cb7dfp-17, 0x1.affb2fa76ea24p-17, 0x1.8a614f1e33cbep-17, 0x1.65a9bf578707ap-17, 0x1.41cfa41ae0cabp-17, 0x1.1ece4ca74d2dbp-17, 0x1.f94263d4b8bddp-18, 0x1.b687e9723ab5bp-18, 0x1.7564b854d0736p-18, 0x1.35d0a7e4d0d9ap-18, 0x1.ef87ab5bc9935p-19, 0x1.766d44af9687ap-19, 0x1.00435d7528abdp-19, 0x1.19f76477ebe3bp-20, 0x1.c8874fc40d43bp-23, -0x1.448ee028a65eap-21, -0x1.782b8e989e3adp-20, -0x1.245a44b736accp-19, -0x1.89fd5a4796d53p-19, -0x1.ed0ad47fecf59p-19, -0x1.26c713563b53bp-18, -0x1.55c9377626a9cp-18, -0x1.83913d1382414p-18, -0x1.b02463e4a184bp-18, -0x1.db87c6b308772p-18, -0x1.02e02e8b31cfbp-17, -0x1.17697e888b474p-17, -0x1.2b622e5c1eb5bp-17, -0x1.3ecc89d82b879p-17, -0x1.51aace5245417p-17, -0x1.63ff2b5626d78p-17, -0x1.75cbc3514c725p-17, -0x1.8712ac3421a0cp-17, -0x1.97d5f010a1d58p-17, -0x1.a8178daa6d3e6p-17, -0x1.b7d9790a6817bp-17, -0x1.c71d9c02e77a5p-17, -0x1.d5e5d6b502b79p-17, -0x1.e4340007d626ap-17, -0x1.f209e62204f73p-17, -0x1.ff694ed61bb08p-17, -0x1.0629fc080804fp-16, -0x1.0c65cc1c1d9ffp-16, -0x1.1268ef49523a6p-16, -0x1.183439ce56ba9p-16, -0x1.1dc87cb163685p-16, -0x1.232685e8e216p-16, -0x1.284f20837bec3p-16, -0x1.2d4314cbf6fdfp-16, -0x1.3203286bcc001p-16, -0x1.36901e8cf801ap-16, -0x1.3aeab7f7c1f3ep-16, -0x1.3f13b3301645cp-16, -0x1.430bcc924e0efp-16, -0x1.46d3be6c00615p-16, -0x1.4a6c4114839e9p-16, -0x1.4dd60b0427a97p-16, -0x1.5111d0e94c73cp-16, -0x1.542045bc6f609p-16, -0x1.57021ad3233a3p-16, -0x1.59b7fff0925fap-16, -0x1.5c42a35677d79p-16, -0x1.5ea2b1d3c5e9p-16, -0x1.60d8d6d351bfdp-16, -0x1.62e5bc680f0c3p-16, -0x1.64ca0b59b3656p-16, -0x1.66866b2ef8c99p-16, -0x1.681b8237cf8bp-16, -0x1.6989f59707542p-16, -0x1.6ad2694a54135p-16, -0x1.6bf580312c2fbp-16, -0x1.6cf3dc156073dp-16, -0x1.6dce1dafe508ap-16, -0x1.6e84e4ae637a6p-16, -0x1.6f18cfb8fd054p-16, -0x1.6f8a7c75ab45dp-16, -0x1.6fda878c9530fp-16, -0x1.70098caabf39dp-16, -0x1.701826852c9ap-16, -0x1.7006eeda7f16fp-16, -0x1.6fd67e74f69ep-16, -0x1.6f876d2c3fe09p-16, -0x1.6f1a51e5fb133p-16, -0x1.6e8fc296505e4p-16, -0x1.6de85440ad60bp-16, -0x1.6d249af73cffcp-16, -0x1.6c4529da8e0cdp-16, -0x1.6b4a931984dc6p-16, -0x1.6a3567ef926d6p-16, -0x1.690638a4ba2d3p-16, -0x1.67bd948b7ee6fp-16, -0x1.665c09ff88e33p-16, -0x1.64e2266442a9ap-16, -0x1.63507622753bdp-16, -0x1.61a784a749005p-16, -0x1.5fe7dc614aab1p-16, -0x1.5e1206be77e1ep-16, -0x1.5c268c2a0d2fap-16, -0x1.5a25f40a3da12p-16, -0x1.5810c4bd17415p-16, -0x1.55e7839705e9ap-16, -0x1.53aab4df5f1cdp-16, -0x1.515adbce25e36p-16, -0x1.4ef87a897c83ap-16, -0x1.4c84122281101p-16, -0x1.49fe229311446p-16, -0x1.47672abaf0942p-16, -0x1.44bfa85d50386p-16, -0x1.4208181dd6427p-16, -0x1.3f40f57e49b13p-16, -0x1.3c6abadbb2035p-16, -0x1.3985e16bdaf29p-16, -0x1.3692e13ad6059p-16, -0x1.339231288861cp-16, -0x1.308446e622469p-16, -0x1.2d6996f3bb488p-16, -0x1.2a42949e2d3d2p-16, -0x1.270fb1fc76185p-16, -0x1.23d15fedea087p-16, -0x1.20880e1806753p-16, -0x1.1d342ae452af4p-16, -0x1.19d6237e8fe2dp-16, -0x1.166e63d299c7dp-16, -0x1.12fd568ac05f4p-16, -0x1.0f83650e254c4p-16, -0x1.0c00f77ee6bb7p-16, -0x1.087674b8c5827p-16, -0x1.04e4424ff7347p-16, -0x1.014ac48f69897p-16, -0x1.fb54bcef966c1p-17, -0x1.f406e37c9686ap-17, -0x1.ecacbd96c94dfp-17, -0x1.e5470974d5f0cp-17, -0x1.ddd682b0a7be5p-17, -0x1.d65be245fd36fp-17, -0x1.ced7de90d315ap-17, -0x1.c74b2b4cf104ep-17, -0x1.bfb6799528819p-17, -0x1.b81a77e17ab77p-17, -0x1.b077d207bfadbp-17, -0x1.a8cf313b8c559p-17, -0x1.a1213c0d2ad01p-17, -0x1.996e9669b17c5p-17, -0x1.91b7e19c59f63p-17, -0x1.89fdbc4e1ac42p-17, -0x1.8240c28638e57p-17, -0x1.7a818dabc72aep-17, -0x1.72c0b485ff90dp-17, -0x1.6afecb3df2269p-17, -0x1.633c635fe05fep-17, -0x1.5b7a0bdcab222p-17, -0x1.53b8510bf0a44p-17, -0x1.4bf7bcadfd322p-17, -0x1.4438d5ecb3a23p-17, -0x1.3c7c215f8e22bp-17, -0x1.34c2210cfa43ap-17, -0x1.2d0b546d237cdp-17, -0x1.2558386ca8a9p-17, -0x1.1da9476f2be46p-17, -0x1.15fef9533fc08p-17, -0x1.0e59c374e8b98p-17, -0x1.06ba18b0ffc65p-17, -0x1.fe40d2d25a319p-18, -0x1.ef1a470eddb56p-18, -0x1.e0016501d6ad8p-18, -0x1.d0f6feb505cc7p-18, -0x1.c1fbe15abcd11p-18, -0x1.b310d553c772dp-18, -0x1.a4369e390a4f2p-18, -0x1.956dfae44635dp-18, -0x1.86b7a57880164p-18, -0x1.7814536c0f2f2p-18, -0x1.6984b5911569dp-18, -0x1.5b09781edbb32p-18, -0x1.4ca342bdb363bp-18, -0x1.3e52b88e69c23p-18, -0x1.301878347398ep-18, -0x1.21f51be1f81f4p-18, -0x1.13e9396130c87p-18, -0x1.05f5621ebb784p-18, -0x1.f03446687c94ap-19, -0x1.d4b00ae7d1fe1p-19, -0x1.b95f1ae6b2a5ap-19, -0x1.9e42772c41967p-19, -0x1.835b183297cf9p-19, -0x1.68a9ee401fca3p-19, -0x1.4e2fe17d1055bp-19, -0x1.33edd207dedb1p-19, -0x1.19e4980f873c7p-19, -0x1.001503e97a8fap-19, -0x1.ccffbc5779d13p-20, -0x1.9a4bcf8365636p-20, -0x1.680fb40eb79f1p-20, -0x1.364ccdb9ef09bp-20, -0x1.05047187ad7c1p-20, -0x1.a86fcbd02926cp-21, -0x1.47d0c5d8af981p-21, -0x1.d05c49dba029p-22, -0x1.131441bf93a4ep-22, -0x1.5f36af1f0298fp-24, 0x1.85cdd83d5892ep-24, 0x1.18ab576cbedf4p-22, 0x1.cdd660d1b5fe5p-22, 0x1.40789769c1c03p-21, 0x1.98fc48aea056ap-21, 0x1.f074c56d03061p-21, 0x1.237053e0aaeb6p-20, 0x1.4e1f5120fdf9p-20, 0x1.7846bfcf1ceffp-20, 0x1.a1e6111f40f8dp-20, 0x1.cafcc1ee03f6fp-20, 0x1.f38a5a8ff0dcap-20, 0x1.0dc73750443f2p-19, 0x1.21844e69e697ep-19, 0x1.34fc4760e6c51p-19, 0x1.482efc5a7ab1ap-19, 0x1.5b1c4cbd7ee35p-19, 0x1.6dc41d1b8612dp-19, 0x1.80265716967c2p-19, 0x1.9242e94a189b5p-19, 0x1.a419c7337b8bbp-19, 0x1.b5aae919426bfp-19, 0x1.c6f64bf25d469p-19, 0x1.d7fbf15009ebap-19, 0x1.e8bbdf46b31c2p-19, 0x1.f93620564cdb2p-19, 0x1.04b561a99fda5p-18, 0x1.0caceda751cf6p-18, 0x1.1481bfbfe0474p-18, 0x1.1c33e5971276ep-18, 0x1.23c36ecd40152p-18, 0x1.2b306cf40667bp-18, 0x1.327af3837c6b8p-18, 0x1.39a317ceb449bp-18, 0x1.40a8f0f9c2325p-18, 0x1.478c97edce8fbp-18, 0x1.4e4e274e5dc85p-18, 0x1.54edbb6f68aeep-18, 0x1.5b6b724af94bcp-18, 0x1.61c76b7646cf6p-18, 0x1.6801c816db51cp-18, 0x1.6e1aaad8daaap-18, 0x1.741237e5a65f7p-18, 0x1.79e894d85fb1ap-18, 0x1.7f9de8b4dbaa2p-18, 0x1.85325bddc19a2p-18, 0x1.8aa6180a8dec3p-18, 0x1.8ff9483e27185p-18, 0x1.952c18bd2cd76p-18, 0x1.9a3eb704a7e56p-18, 0x1.9f3151c054e1fp-18, 0x1.a40418c25cf4cp-18, 0x1.a8b73cf9cecc6p-18, 0x1.ad4af0699b9efp-18, 0x1.b1bf661fa4e31p-18, 0x1.b614d22c2f7d7p-18, 0x1.ba4b699938f4cp-18, 0x1.be636261e4dbcp-18, 0x1.c25cf36a09ef8p-18, 0x1.c63854767515bp-18, 0x1.c9f5be2406a5dp-18, 0x1.cd9569dfdb2cbp-18, 0x1.d11791df13576p-18, 0x1.d47c7117a7a26p-18, 0x1.d7c4433847e78p-18, 0x1.daef44a0d441dp-18, 0x1.ddfdb25aa7d44p-18, 0x1.e0efca11a6fb4p-18, 0x1.e3c5ca0c8731bp-18, 0x1.e67ff1260ba9fp-18, 0x1.e91e7ec58f342p-18, 0x1.eba1b2d877077p-18, 0x1.ee09cdcb00f75p-18, 0x1.f05710822e248p-18, 0x1.f289bc545f553p-18, 0x1.f4a2130368dd5p-18, 0x1.f6a056b5da761p-18, 0x1.f884c9f0b2044p-18, 0x1.fa4faf91a925dp-18, 0x1.fc014ac8ad75cp-18, 0x1.fd99df124d84dp-18, 0x1.ff19b031a8ba3p-18, 0x1.0040811536f43p-17, 0x1.00e80c9ddc7bfp-17, 0x1.01839ced35b5p-17, 0x1.02135455c80b9p-17, 0x1.0297553fae713p-17, 0x1.030fc225d193dp-17, 0x1.037cbd9360362p-17, 0x1.03de6a215f2b3p-17, 0x1.0434ea74438cap-17, 0x1.048061397aeep-17, 0x1.04c0f124f2684p-17, 0x1.04f6bceee161bp-17, 0x1.0521e751a4c37p-17, 0x1.0542930757757p-17, 0x1.0558e2c7be01fp-17, 0x1.0564f94642f05p-17, 0x1.0566f92fbe619p-17, 0x1.055f052878e75p-17, 0x1.054d3fca28bc6p-17, 0x1.0531cba23755dp-17, 0x1.050ccb2faf549p-17, 0x1.04de60e15621fp-17, 0x1.04a6af13f9241p-17, 0x1.0465d810c52d9p-17, 0x1.041bfe0b8d35cp-17, 0x1.03c94320e5afdp-17, 0x1.036dc954ba3c9p-17, 0x1.0309b29097d81p-17, 0x1.029d20a2374dbp-17, 0x1.02283539fc6e7p-17, 0x1.01ab11e97ceafp-17, 0x1.0125d8220eab3p-17, 0x1.0098a933746adp-17, 0x1.0003a64a5b7e7p-17, 0x1.fecde0de7bcd7p-18, 0x1.fd85510a0cd7bp-18, 0x1.fc2dde8f9be1ap-18, 0x1.fac7ca979da3fp-18, }}, 
      {{0x1.fc483263381afp-1, 0x1.fb69523791396p-1, 0x1.f9fab0042ad9ap-1, 0x1.f8030e3f6109ap-1, 0x1.f58b1c110b259p-1, 0x1.f29cedd83bd5ap-1, 0x1.ef437d35f1393p-1, 0x1.eb8a3776dab06p-1, 0x1.e77c9d4e5bf3cp-1, 0x1.e325f46f8d92fp-1, 0x1.de910a2be51b8p-1, 0x1.d9c805807d4b2p-1, 0x1.d4d446a5d1be1p-1, 0x1.cfbe52216c3dp-1, 0x1.ca8dc56aaafe9p-1, 0x1.c549535a30ff7p-1, 0x1.bff6c6cbbf072p-1, 0x1.ba9b0a0d7233dp-1, 0x1.b53a31e9b81a7p-1, 0x1.afd78b4885d8ap-1, 0x1.aa75aa8f4f449p-1, 0x1.a5167c0d99cb3p-1, 0x1.9fbb54e5a54b4p-1, 0x1.9a6503fddc1f6p-1, 0x1.9513e2a0c3ec2p-1, 0x1.8fc7e4867a191p-1, 0x1.8a80a714b58a4p-1, 0x1.853d7fb1404bdp-1, 0x1.7ffd890f3eaa4p-1, 0x1.7abfaf69abc1p-1, 0x1.7582bba59df0bp-1, 0x1.70455d5d5b572p-1, 0x1.6b0633da47188p-1, 0x1.65c3d60788232p-1, 0x1.607cd96a13e2ap-1, 0x1.5b2fd82cb739cp-1, 0x1.55db764ffce59p-1, 0x1.507e660e81aa1p-1, 0x1.4b176b867da2dp-1, 0x1.45a55fb92e5c5p-1, 0x1.402732f061d2ap-1, 0x1.3a9bee99cd92bp-1, 0x1.3502b6a70ebe2p-1, 0x1.2f5aca805ccecp-1, 0x1.29a385970587ep-1, 0x1.23dc5fa3d120fp-1, 0x1.1e04ec9c792b4p-1, 0x1.181cdc6a6438cp-1, 0x1.1223fa6bea598p-1, 0x1.0c1a2cc884067p-1, 0x1.05ff739f65a3dp-1, 0x1.ffa7d02e94eaep-2, 0x1.f32f76aac5706p-2, 0x1.e6966ac17411dp-2, 0x1.d9dd67ed78693p-2, 0x1.cd0552a9eaad3p-2, 0x1.c00f35f73753fp-2, 0x1.b2fc40d801b8ap-2, 0x1.a5cdc3cb23718p-2, 0x1.98852e476b5eap-2, 0x1.8b240c3cf7cd3p-2, 0x1.7dac039f838cap-2, 0x1.701ed1fc605ddp-2, 0x1.627e4a1e76a1p-2, 0x1.54cc51c21f884p-2, 0x1.470adf5a6b59p-2, 0x1.393bf7e8fe5d7p-2, 0x1.2b61ace97acfbp-2, 0x1.1d7e1a5122643p-2, 0x1.0f9364a335268p-2, 0x1.01a3b71a51d3ep-2, 0x1.e76283ce19d5cp-3, 0x1.cb7c710780658p-3, 0x1.af99a03afa5acp-3, 0x1.93be7c23fe899p-3, 0x1.77ef6d04a882bp-3, 0x1.5c30d5f3e5d0ep-3, 0x1.40871253bd216p-3, 0x1.24f6736edd1e1p-3, 0x1.09833e3c91cafp-3, 0x1.dc6352944ef38p-4, 0x1.a60bb59181439p-4, 0x1.7007cd7d30487p-4, 0x1.3a5f9ab526546p-4, 0x1.051af2d244f1bp-4, 0x1.a082fba52d527p-5, 0x1.37b5670318ep-5, 0x1.9fb76470c4901p-6, 0x1.a40ff978e7dc6p-7, 0x1.9dffabfabebccp-12, -0x1.85bc1e5c72889p-7, -0x1.89e08d9ec9159p-6, -0x1.273b64f67122dp-5, -0x1.8844813a66d2ap-5, -0x1.e800353b80f8bp-5, -0x1.2331cb4fe005cp-4, -0x1.51b21c2a5c32ep-4, -0x1.7f7c15c1b8898p-4, -0x1.ac8b001d171dbp-4, -0x1.d8da62e7e9a7cp-4, -0x1.023302c1244b2p-3, -0x1.1794f778de55fp-3, -0x1.2c9132da1e963p-3, -0x1.4125f7bb79eeep-3, -0x1.5551a85954faap-3, -0x1.6912c6179c3efp-3, -0x1.7c67f137df4bbp-3, -0x1.8f4fe8847dd11p-3, -0x1.a1c988f1ad765p-3, -0x1.b3d3cd350b016p-3, -0x1.c56dcd546417fp-3, -0x1.d696be2c66e17p-3, -0x1.e74df0efd9649p-3, -0x1.f792d29ff6f34p-3, -0x1.03b275bf46ca5p-2, -0x1.0b61ef3d35d6fp-2, -0x1.12d7b44b5553cp-2, -0x1.1a13b026b1a54p-2, -0x1.2115da77230d6p-2, -0x1.27de36fccceebp-2, -0x1.2e6cd53c0a327p-2, -0x1.34c1d02800703p-2, -0x1.3add4dcc0f7d9p-2, -0x1.40bf7ef45542ap-2, -0x1.46689ed56f28bp-2, -0x1.4bd8f2b3afaddp-2, -0x1.5110c989f1e51p-2, -0x1.56107bb037beap-2, -0x1.5ad86a8232c3cp-2, -0x1.5f690005ec0c4p-2, -0x1.63c2ae92a019ap-2, -0x1.67e5f077fa92bp-2, -0x1.6bd347a5cf57cp-2, -0x1.6f8b3d54691fp-2, -0x1.730e61ad94be1p-2, -0x1.765d4b7679d73p-2, -0x1.797897ba5adcep-2, -0x1.7c60e97659726p-2, -0x1.7f16e9464beb1p-2, -0x1.819b4512be4b4p-2, -0x1.83eeafc02bfcap-2, -0x1.8611e0df86009p-2, -0x1.880594601261fp-2, -0x1.89ca8a42b60cdp-2, -0x1.8b61864eb2487p-2, -0x1.8ccb4fc7e062ap-2, -0x1.8e08b1267b606p-2, -0x1.8f1a77d079e7fp-2, -0x1.900173d486762p-2, -0x1.90be77a6948e1p-2, -0x1.915257de21d6ep-2, -0x1.91bdeaf622b6ap-2, -0x1.9202090e9ed11p-2, -0x1.921f8bb0015e9p-2, -0x1.92174d9020702p-2, -0x1.91ea2a58fb90ep-2, -0x1.9198fe7131c4cp-2, -0x1.9124a6c62fc61p-2, -0x1.908e009818b3fp-2, -0x1.8fd5e947630bp-2, -0x1.8efd3e242cfaap-2, -0x1.8e04dc3f3edbap-2, -0x1.8ceda03cc422ep-2, -0x1.8bb86628abdc9p-2, -0x1.8a66094cb515p-2, -0x1.88f764081d82cp-2, -0x1.876d4fa8f353p-2, -0x1.85c8a446ff8a2p-2, -0x1.840a38a048f8p-2, -0x1.8232e1f726848p-2, -0x1.804373f1db1bdp-2, -0x1.7e3cc07bb8972p-2, -0x1.7c1f97a7bff5p-2, -0x1.79ecc794b929ap-2, -0x1.77a51c52bb0cdp-2, -0x1.75495fca1effep-2, -0x1.72da59a3d77fbp-2, -0x1.7058cf332147ep-2, -0x1.6dc583608a2fdp-2, -0x1.6b21369643a53p-2, -0x1.686ca6adbb7bfp-2, -0x1.65a88ede740a9p-2, -0x1.62d5a7ae0fb2ep-2, -0x1.5ff4a6e18cc32p-2, -0x1.5d063f6fa872cp-2, -0x1.5a0b21745dfc9p-2, -0x1.5703fa2582468p-2, -0x1.53f173c8692ddp-2, -0x1.50d435a8978b6p-2, -0x1.4dace40f6fe8fp-2, -0x1.4a7c203cdebcdp-2, -0x1.47428860efbdep-2, -0x1.4400b79651982p-2, -0x1.40b745ddb7babp-2, -0x1.3d66c81a195e8p-2, -0x1.3a0fd00dc0949p-2, -0x1.36b2ec5825656p-2, -0x1.3350a8748ca72p-2, -0x1.2fe98cb964d33p-2, -0x1.2c7e1e58579d6p-2, -0x1.290edf5f09449p-2, -0x1.259c4eb882887p-2, -0x1.2226e82f38f38p-2, -0x1.1eaf246fb3b6dp-2, -0x1.1b35790bc28a2p-2, -0x1.17ba587e429ap-2, -0x1.143e322f6bcd8p-2, -0x1.10c172799e77ap-2, -0x1.0d4482aea8a98p-2, -0x1.09c7c91d8638cp-2, -0x1.064ba91889e3cp-2, -0x1.02d082fbf4d9p-2, -0x1.fead6869db5ep-3, -0x1.f7bd2e91b03c1p-3, -0x1.f0d107ba0b21cp-3, -0x1.e9e99d7d6fe7cp-3, -0x1.e30793d6ea005p-3, -0x1.dc2b8933426d7p-3, -0x1.d5561682c5182p-3, -0x1.ce87cf4b7ea8bp-3, -0x1.c7c141bbf9ea5p-3, -0x1.c102f6be64fa1p-3, -0x1.ba4d720c20e47p-3, -0x1.b3a13241acbdbp-3, -0x1.acfeb0f2e44a5p-3, -0x1.a66662bf8eb3p-3, -0x1.9fd8b7683477cp-3, -0x1.995619e32ccdfp-3, -0x1.92def071ec154p-3, -0x1.8c739cb67ac2dp-3, -0x1.86147bc91847ep-3, -0x1.7fc1e64e03cadp-3, -0x1.797c308b5f436p-3, -0x1.7343aa7f2b388p-3, -0x1.6d189ff550908p-3, -0x1.66fb589dbcda8p-3, -0x1.60ec18227bf3bp-3, -0x1.5aeb1e3ddc3b7p-3, -0x1.54f8a6d08757bp-3, -0x1.4f14e9f79a184p-3, -0x1.49401c22a73d9p-3, -0x1.437a6e29b1743p-3, -0x1.3dc40d630bcd7p-3, -0x1.381d23b91d318p-3, -0x1.3285d7c01158ep-3, -0x1.2cfe4ccb5eab6p-3, -0x1.2786a3032e37bp-3, -0x1.221ef7799a532p-3, -0x1.1cc7643fc5a46p-3, -0x1.1780007abe488p-3, -0x1.1248e0783c069p-3, -0x1.0d2215c321d1fp-3, -0x1.080baf37ceeb3p-3, -0x1.0305b9183b3abp-3, -0x1.fc207a3fa3652p-4, -0x1.f256852e39e69p-4, -0x1.e8ad9cce5257ap-4, -0x1.df25c6595d1f7p-4, -0x1.d5bf0295f3a8dp-4, -0x1.cc794dfd256c9p-4, -0x1.c354a0df3bc2dp-4, -0x1.ba50ef87f9c46p-4, -0x1.b16e2a6244ep-4, -0x1.a8ac3e1b4d046p-4, -0x1.a00b13c521034p-4, -0x1.978a90f8ae4d9p-4, -0x1.8f2a97f72c8ecp-4, -0x1.86eb07cafd99fp-4, -0x1.7ecbbc67f097fp-4, -0x1.76cc8ecaf222fp-4, -0x1.6eed55192571cp-4, -0x1.672de2be64cf5p-4, -0x1.5f8e088b2c02bp-4, -0x1.580d94d1e94ffp-4, -0x1.50ac5383b6796p-4, -0x1.496a0e4c790e3p-4, -0x1.42468cae6bc77p-4, -0x1.3b41941d0df75p-4, -0x1.345ae8177dc96p-4, -0x1.2d924a42391b9p-4, -0x1.26e77a8048fbap-4, -0x1.205a370bd741dp-4, -0x1.19ea3c8e3065bp-4, -0x1.139746372dad4p-4, -0x1.0d610dd410296p-4, -0x1.07474be5c791bp-4, -0x1.0149b7b6a7a38p-4, -0x1.f6d00edf1fc68p-5, -0x1.eb43e05908545p-5, -0x1.dfee4c216f864p-5, -0x1.d4ceb8b415795p-5, -0x1.c9e48ae806edcp-5, -0x1.bf2f26146e1d3p-5, -0x1.b4adec3469683p-5, -0x1.aa603e09c1da5p-5, -0x1.a0457b3eacccbp-5, -0x1.965d02868112dp-5, -0x1.8ca631bd68252p-5, -0x1.832066071d392p-5, -0x1.79cafbecab81cp-5, -0x1.70a54f793840fp-5, -0x1.67aebc55df017p-5, -0x1.5ee69de49b0a6p-5, -0x1.564c4f5a4ab79p-5, -0x1.4ddf2bd7ce1fcp-5, -0x1.459e8e823b0c2p-5, -0x1.3d89d29a42c1fp-5, -0x1.35a05392ad783p-5, -0x1.2de16d2608538p-5, -0x1.264c7b6b82085p-5, -0x1.1ee0daeaf78dap-5, -0x1.179de8b034bd5p-5, -0x1.1083025d70fa7p-5, -0x1.098f863d104f3p-5, -0x1.02c2d35298797p-5, -0x1.f83892d5f8bfbp-6, -0x1.eb36925842e27p-6, -0x1.de7e684786549p-6, -0x1.d20ed9ab4385p-6, -0x1.c5e6ad91fb84fp-6, -0x1.ba04ad2b005bdp-6, -0x1.ae67a3dee14a9p-6, -0x1.a30e5f66b523dp-6, -0x1.97f7afe210c21p-6, -0x1.8d2267ebf1639p-6, -0x1.828d5cae6bc52p-6, -0x1.783765f543e02p-6, -0x1.6e1f5e3f72388p-6, -0x1.644422cf9280fp-6, -0x1.5aa493bb50b3ap-6, -0x1.513f93f9d3e8cp-6, -0x1.481409712855bp-6, -0x1.3f20dd02cba22p-6, -0x1.3664fa972bb9fp-6, -0x1.2ddf5128641c5p-6, -0x1.258ed2cc07afcp-6, -0x1.1d7274bc155fep-6, -0x1.15892f5f2378fp-6, -0x1.0dd1fe4fbef2p-6, -0x1.064be062fbd4fp-6, -0x1.fdebaf5ca46b1p-7, -0x1.ef9dd3198f6f8p-7, -0x1.e1ac3d46b796ep-7, -0x1.d41505c98f01dp-7, -0x1.c6d64b294abcp-7, -0x1.b9ee3293ddd13p-7, -0x1.ad5ae7e1b380cp-7, -0x1.a11a9d9867e3ep-7, -0x1.952b8cec20bc1p-7, -0x1.898bf5c022a23p-7, -0x1.7e3a1ea60d65cp-7, -0x1.733454dc54cd6p-7, -0x1.6878ec4b9602fp-7, -0x1.5e063f8317142p-7, -0x1.53daafb46c4e4p-7, -0x1.49f4a4ae2e599p-7, -0x1.40528cd5e53e4p-7, -0x1.36f2dd2130c65p-7, -0x1.2dd4110e3a9dfp-7, -0x1.24f4aa9b59b52p-7, -0x1.1c53323e1baa7p-7, -0x1.13ee36d9a91fcp-7, -0x1.0bc44db46e2c8p-7, -0x1.03d4126d5b829p-7, -0x1.f8384de0e91e6p-8, -0x1.e93666d5c0b3p-8, -0x1.da9fcc7d02f9ap-8, -0x1.cc71e7ea08fd4p-8, -0x1.beaa2e650f171p-8, -0x1.b146214fbe87dp-8, -0x1.a4434e08b89d9p-8, -0x1.979f4dce8558cp-8, -0x1.8b57c5a1c9fc2p-8, -0x1.7f6a6626e1fbfp-8, -0x1.73d4eb86aeacbp-8, -0x1.68951d4f2cf5p-8, -0x1.5da8ce531786bp-8, -0x1.530ddc89608ecp-8, -0x1.48c230ec3d577p-8, -0x1.3ec3bf5770d24p-8, -0x1.351086669c9bcp-8, -0x1.2ba68f5305423p-8, -0x1.2283edd11c00bp-8, -0x1.19a6bfedc33b6p-8, -0x1.110d2deb51f73p-8, -0x1.08b56a1e6f10fp-8, -0x1.009db0ca9f544p-8, -0x1.f1888ffdf837ap-9, -0x1.e24efee4c3f95p-9, -0x1.d38b60bfc840dp-9, -0x1.c53a7ac60f36cp-9, -0x1.b75924a7d85efp-9, -0x1.a9e448472bfa9p-9, -0x1.9cd8e1703c51p-9, -0x1.9033fd91ced9ap-9, -0x1.83f2bb75ded1bp-9, -0x1.78124afa8b419p-9, -0x1.6c8feccad0174p-9, -0x1.6168f217e8b34p-9, -0x1.569abc528b9ddp-9, -0x1.4c22bce4e3f2fp-9, -0x1.41fe74ec58b41p-9, -0x1.382b74f441aa2p-9, -0x1.2ea75cb0a1595p-9, -0x1.256fdab949eap-9, -0x1.1c82ac45b7e75p-9, -0x1.13dd9ce8f96p-9, -0x1.0b7e864ea7bfcp-9, -0x1.03634ff7ed7acp-9, -0x1.f713ddf224894p-10, -0x1.e7e0cb7017da7p-10, -0x1.d929875645e1dp-10, -0x1.caea4a30fcd0ep-10, -0x1.bd1f65ac45a09p-10, -0x1.afc544158595ep-10, -0x1.a2d867ddedd0cp-10, -0x1.96556b1e802d9p-10, -0x1.8a38ff1dacda9p-10, -0x1.7e7febd5ad13ep-10, -0x1.73270f7cb6c04p-10, -0x1.682b5e0ed0a33p-10, -0x1.5d89e0d84e512p-10, -0x1.533fb60272b4ap-10, -0x1.494a10214b935p-10, -0x1.3fa635c2f55c9p-10, -0x1.365181005b866p-10, -0x1.2d495f0fa160bp-10, -0x1.248b4fd7f452dp-10, -0x1.1c14e586a01acp-10, -0x1.13e3c4264cfep-10, -0x1.0bf5a1370d249p-10, -0x1.0448434852d16p-10, -0x1.f9b30328f7a34p-11, -0x1.eb4e873b39929p-11, -0x1.dd5f01984761cp-11, -0x1.cfe0801d65f8fp-11, -0x1.c2cf2ef7cd80ep-11, -0x1.b62757ea8f624p-11, -0x1.a9e56197c5fd6p-11, -0x1.9e05cecd1923fp-11, -0x1.92853dd2cb8a8p-11, -0x1.876067be2facap-11, -0x1.7c941fc700db5p-11, -0x1.721d529fb5a11p-11, -0x1.67f905d0c64d6p-11, -0x1.5e245716d1967p-11, -0x1.549c7bc4201e6p-11, -0x1.4b5ec0248915bp-11, -0x1.426886e4a4a3cp-11, -0x1.39b7487b80cp-11, -0x1.31489297dba9ap-11, -0x1.291a078f19c0bp-11, -0x1.21295dd02f1afp-11, -0x1.19745f58dae55p-11, -0x1.11f8e92d27f6p-11, -0x1.0ab4ead2ba98fp-11, -0x1.03a665cdacb3dp-11, -0x1.f996da41e1538p-12, -0x1.ec4449a2349edp-12, -0x1.df5182d2ad89cp-12, -0x1.d2bb0f07595d2p-12, -0x1.c67d96a6e42a7p-12, -0x1.ba95e0642ee62p-12, -0x1.af00d05d9512ap-12, -0x1.a3bb67412221p-12, -0x1.98c2c17495659p-12, -0x1.8e1416438ab5p-12, -0x1.83acb711b84a9p-12, -0x1.798a0e91efcdbp-12, -0x1.6fa9a001342ep-12, -0x1.6609066788845p-12, -0x1.5ca5f3dbcbe04p-12, -0x1.537e30cd6753cp-12, -0x1.4a8f9b5103837p-12, -0x1.41d8267219a8dp-12, -0x1.3955d9897bf23p-12, -0x1.3106cf963790ap-12, -0x1.28e9369c415cp-12, -0x1.20fb4f06216d9p-12, -0x1.193b6b0aa7672p-12, -0x1.11a7ee171296dp-12, -0x1.0a3f4c3c84478p-12, -0x1.030009a134ef3p-12, -0x1.f7d173eb05821p-13, -0x1.e9efffd85149dp-13, -0x1.dc59196de3333p-13, -0x1.cf0a3f0be3d02p-13, -0x1.c2010a14bd759p-13, -0x1.b53b2dfa80e41p-13, -0x1.a8b67751a789ap-13, -0x1.9c70caeb56193p-13, -0x1.906824f428294p-13, -0x1.849a981bd6087p-13, -0x1.79064cbfe698ap-13, -0x1.6da9801f557e7p-13, -0x1.62828391f2478p-13, -0x1.578fbbc61dddbp-13, -0x1.4ccfa003d476ep-13, -0x1.4240b975d4f82p-13, -0x1.37e1a277fd692p-13, -0x1.2db105ea52a9bp-13, -0x1.23ad9e892232p-13, -0x1.19d6364bcdc9cp-13, -0x1.1029a5c626123p-13, -0x1.06a6d38fe2831p-13, -0x1.fa996761b65cep-14, -0x1.e8348e230e2d4p-14, -0x1.d61d35df224e8p-14, -0x1.c45190afe86c7p-14, -0x1.b2cfe7482b103p-14, -0x1.a19697f83a719p-14, -0x1.90a415b8c981ap-14, -0x1.7ff6e73fc7619p-14, -0x1.6f8da61b4e8e5p-14, -0x1.5f66fdd54758cp-14, -0x1.4f81ab1d8b9e4p-14, -0x1.3fdc7afc48b63p-14, -0x1.30764a0b0bb22p-14, -0x1.214e03b354784p-14, -0x1.1262a1771f57ep-14, -0x1.03b32a3bc455fp-14, -0x1.ea7d633b49f38p-15, -0x1.ce08ae968383ep-15, -0x1.b2068cc5c8bb2p-15, -0x1.967569b27aa7cp-15, -0x1.7b53c5c80c3a6p-15, -0x1.60a034d4668b6p-15, -0x1.46595cf5dcdc2p-15, -0x1.2c7df5914ddebp-15, -0x1.130cc651fa9d4p-15, -0x1.f4094c6a15635p-16, -0x1.c2c8f53d1c888p-16, -0x1.92566cecced7bp-16, -0x1.62afb2a10cdc4p-16, -0x1.33d2dd36c64ffp-16, -0x1.05be19b28a392p-16, -0x1.b0df53825b09dp-17, -0x1.57cbc492e6b1ep-17, -0x1.003e5422c7544p-17, -0x1.5467e19fb4d37p-18, -0x1.56a69f600a124p-19, -0x1.4e515412bb81ap-24, 0x1.3bd76d872ca45p-19, 0x1.3e20ee532bb5dp-18, 0x1.db6b7fcfa3b04p-18, 0x1.3ae83123b9a4p-17, 0x1.86aa34959e5bdp-17, 0x1.d0fe23eff1efap-17, 0x1.0cf32547f67e6p-16, 0x1.30b2738e6310ep-16, 0x1.53be1689cc26p-16, 0x1.76172319ad79ep-16, 0x1.97bea9f115205p-16, 0x1.b8b5b8390d78fp-16, 0x1.d8fd582fb875cp-16, 0x1.f89691bc5b046p-16, 0x1.0bc1357bc2047p-15, 0x1.1ae0f458dd3ddp-15, 0x1.29ab07749b07bp-15, 0x1.381ff0a008168p-15, 0x1.464031b338c2p-15, 0x1.540c4cbfb794ap-15, 0x1.6184c43e75744p-15, 0x1.6eaa1b3bc55a5p-15, 0x1.7b7cd57ec4641p-15, 0x1.87fd77ae5745bp-15, 0x1.942c877417ea5p-15, 0x1.a00a8b9b06411p-15, 0x1.ab980c2bdc79ap-15, 0x1.b6d59286f7eacp-15, 0x1.c1c3a97b8536fp-15, 0x1.cc62dd5d3ac85p-15, 0x1.d6b3bc16b6931p-15, 0x1.e0b6d53a1131ep-15, 0x1.ea6cba0f08eaap-15, 0x1.f3d5fd9f699eep-15, 0x1.fcf334c1ddf81p-15, 0x1.02e27b11663fdp-14, 0x1.0725ed258b6bap-14, 0x1.0b443dd2b14d5p-14, 0x1.0f3dbb40cc864p-14, 0x1.1312b48c0544p-14, 0x1.16c379c458507p-14, 0x1.1a505bee956f3p-14, 0x1.1db9ad027d1e7p-14, 0x1.20ffbfe9880a5p-14, 0x1.2422e87cf6c1p-14, 0x1.27237b82e985fp-14, 0x1.2a01ceabff6ebp-14, 0x1.2cbe388ef80dcp-14, 0x1.2f5910a56b9d8p-14, 0x1.31d2af46de5a9p-14, 0x1.342b6da3f4d56p-14, 0x1.3663a5c16d89ap-14, 0x1.387bb272d4626p-14, 0x1.3a73ef544563cp-14, 0x1.3c4cb8c48e449p-14, 0x1.3e066bde95f09p-14, 0x1.3fa16672e503p-14, 0x1.411e070088b2fp-14, 0x1.427cacae6efcbp-14, 0x1.43bdb743e7046p-14, 0x1.44e187211e972p-14, 0x1.45e87d378a3bcp-14, 0x1.46d2fb022ed23p-14, 0x1.47a1627dda154p-14, 0x1.4854162150201p-14, 0x1.48eb78d4e95f8p-14, 0x1.4967edeb02066p-14, 0x1.49c9d91761696p-14, 0x1.4a119e66e855ep-14, 0x1.4a3fa237ba16p-14, 0x1.4a544930dabe7p-14, 0x1.4a4ff839d5f47p-14, 0x1.4a3314727af4ap-14, 0x1.49fe032a6dbb2p-14, 0x1.49b129d93f746p-14, 0x1.494cee15d3544p-14, 0x1.48d1b58eb52dap-14, 0x1.483fe6019dfd9p-14, 0x1.4797e5335f259p-14, 0x1.46da18e80e515p-14, 0x1.4606e6dae5b38p-14, 0x1.451eb4b67a309p-14, 0x1.4421e80cf3566p-14, 0x1.4310e6507791ep-14, 0x1.41ec14cb60baap-14, 0x1.40b3d8990d58p-14, 0x1.3f68969e046bfp-14, 0x1.3e0ab3813100ep-14, 0x1.3c9a93a443befp-14, 0x1.3b189b1d2e6dp-14, 0x1.39852daeaa45dp-14, 0x1.37e0aec1be485p-14, 0x1.362b815f1c47ap-14, 0x1.346608282e898p-14, 0x1.3290a55142334p-14, 0x1.30abba9adf4e8p-14, 0x1.2eb7a94bd830dp-14, 0x1.2cb4d22b49932p-14, 0x1.2aa3957ab2fb8p-14, 0x1.288452f000eafp-14, 0x1.265769b096216p-14, 0x1.241d384b4c3f7p-14, 0x1.21d61cb386968p-14, 0x1.1f82743c13f8cp-14, 0x1.1d229b91eab46p-14, 0x1.1ab6eeb79fe94p-14, 0x1.183fc90096fcdp-14, 0x1.15bd850ca2022p-14, 0x1.13307cc363fafp-14, 0x1.1099095055c52p-14, 0x1.0df7831e748efp-14, 0x1.0b4c41d47f834p-14, 0x1.08979c511f4c7p-14, 0x1.05d9e8a71f3fap-14, 0x1.03137c19fcff5p-14, 0x1.0044ab1af0a28p-14, 0x1.fadb9289ff017p-15, 0x1.f51e52b534d0bp-15, 0x1.ef523a849b5d5p-15, 0x1.e977ec079309bp-15, 0x1.e390078bd4ef3p-15, 0x1.dd9b2b96c26b1p-15, 0x1.d799f4e2202b9p-15, 0x1.d18cfe5630386p-15, 0x1.cb74e106caacbp-15, 0x1.c552342e7cf4ap-15, 0x1.bf258d2ae6198p-15, 0x1.b8ef7f79dde46p-15, 0x1.b2b09cb5a5358p-15, 0x1.ac69749260618p-15, 0x1.a61a94db0170ep-15, 0x1.9fc4896ebf9b7p-15, 0x1.9967dc3f967eap-15, 0x1.9305154ef379dp-15, 0x1.8c9cbaad25345p-15, 0x1.862f50776fd2bp-15, 0x1.7fbd58d6165c8p-15, 0x1.794753fc6e8d4p-15, 0x1.72cdc0268fcbbp-15, 0x1.6c511999ba90bp-15, 0x1.65d1daa380979p-15, 0x1.5f507b98c060dp-15, 0x1.58cd72d70d1fep-15, 0x1.524934c2f4a81p-15, 0x1.4bc433c9b3035p-15, 0x1.453ee060f8146p-15, 0x1.3eb9a9073c419p-15, 0x1.3834fa4533314p-15, 0x1.31b13eae9cc1bp-15, 0x1.2b2edee28ff95p-15, 0x1.24ae418e33d3p-15, 0x1.1e2fcb6d15b6p-15, 0x1.17b3df4aeb75dp-15, 0x1.113ade0552143p-15, 0x1.0ac5268e60b89p-15, 0x1.045315ed36a3fp-15, 0x1.fbca0e8316e1ep-16, 0x1.eef6a78adaf26p-16, 0x1.e22ca59e5353bp-16, 0x1.d56cb3a932387p-16, 0x1.c8b778db3fcp-16, 0x1.bc0d98ac3979ep-16, 0x1.af6fb2e45c9ffp-16, 0x1.a2de639ff3745p-16, 0x1.965a43568ef95p-16, 0x1.89e3e6e101724p-16, 0x1.7d7bdf80df718p-16, 0x1.7122bae55fe27p-16, 0x1.64d903340b034p-16, 0x1.589f3f0eced69p-16, 0x1.4c75f19c30bc7p-16, 0x1.405d9a8d1cb6dp-16, 0x1.3456b625b35ffp-16, 0x1.2861bd45a8e88p-16, 0x1.1c7f256dcd05ep-16, 0x1.10af60c9a41c8p-16, 0x1.04f2de3836a6cp-16, 0x1.f29412a3cc7afp-17, 0x1.db6a94e5ab203p-17, 0x1.c46a0d84488c3p-17, 0x1.ad934077529c8p-17, 0x1.96e6eb6d29185p-17, 0x1.8065c5e0c0e31p-17, 0x1.6a10812873a81p-17, 0x1.53e7c88819282p-17, 0x1.3dec41429d3d6p-17, 0x1.281e8aae9cec2p-17, 0x1.127f3e449bda4p-17, 0x1.fa1ddf67c192fp-18, 0x1.cf9c59e907049p-18, 0x1.a57afcaf3e9eep-18, 0x1.7bbacd3ab9eap-18, 0x1.525cc60a57506p-18, 0x1.2961d6c19e23fp-18, 0x1.00cae44d015dcp-18, 0x1.b13192184fa3fp-19, 0x1.6198a9e74fb6fp-19, 0x1.12cc9b6165922p-19, 0x1.899dbb47dd7fep-20, 0x1.de834f6e9b4a3p-21, 0x1.5a1e6c84d0384p-22, -0x1.0237c8ca744fap-22, -0x1.abf95c22c833cp-21, -0x1.69c26bd80407p-20, -0x1.fbdd23d254864p-20, -0x1.4625795855276p-19, -0x1.8d850c7326ba7p-19, -0x1.d40c7d0b6dcc9p-19, -0x1.0cdd8723075b3p-18, -0x1.2f480a238ff09p-18, -0x1.514579f4ec5cdp-18, -0x1.72d5913f329e6p-18, -0x1.93f812bd09cafp-18, -0x1.b4acc91782b1dp-18, -0x1.d4f386bff29d3p-18, -0x1.f4cc25cd2be29p-18, -0x1.0a1b43ebe9f32p-17, -0x1.19994aeb0e29ap-17, -0x1.28e01ffbeb201p-17, -0x1.37efbec05c14bp-17, -0x1.46c82653d36a6p-17, -0x1.55695939126p-17, -0x1.63d35d4a2999p-17, -0x1.72063ba486d3bp-17, -0x1.80020099c3d1p-17, -0x1.8dc6bb9da5d13p-17, -0x1.9b547f35beb4cp-17, -0x1.a8ab60e79bbd9p-17, -0x1.b5cb7928907b9p-17, -0x1.c2b4e34d88edcp-17, -0x1.cf67bd7ada326p-17, -0x1.dbe42892644fcp-17, -0x1.e82a4824b5902p-17, -0x1.f43a426091b21p-17, -0x1.000a200183e2fp-16, -0x1.05dc3624254c3p-16, -0x1.0b937a6dbaee2p-16, -0x1.113004e3bca89p-16, -0x1.16b1eeb3d82a6p-16, -0x1.1c19522c6a1fdp-16, -0x1.21664ab5229c2p-16, -0x1.2698f4c731e6ap-16, -0x1.2bb16de691e78p-16, -0x1.30afd49aa07b8p-16, -0x1.359448668c62p-16, -0x1.3a5ee9c2b72ap-16, -0x1.3f0fda156c58bp-16, -0x1.43a73bac9e20fp-16, -0x1.482531b61e7p-16, -0x1.4c89e0394b12dp-16, -0x1.50d56c10c10fcp-16, -0x1.5507fae3b3c47p-16, -0x1.5921b31ed8a68p-16, -0x1.5d22bbeeace44p-16, -0x1.610b3d388a378p-16, -0x1.64db5f950fd56p-16, -0x1.68934c498684dp-16, -0x1.6c332d42263f3p-16, -0x1.6fbb2d0beaafep-16, -0x1.732b76ce97423p-16, -0x1.76843646da2cp-16, -0x1.79c597c11d207p-16, -0x1.7cefc81342c09p-16, -0x1.8002f4977ae88p-16, -0x1.82ff4b26bda2dp-16, -0x1.85e4fa1305fa6p-16, -0x1.88b4302276435p-16, -0x1.8b6d1c8a1106ep-16, -0x1.8e0feee88058p-16, -0x1.909cd740ffbfp-16, -0x1.931405f64ca0cp-16, -0x1.9575abc5c6edep-16, -0x1.97c1f9c2e901dp-16, -0x1.99f921529fce2p-16, -0x1.9c1b5425f4a3bp-16, -0x1.9e28c435eeff5p-16, -0x1.a021a3bf2d8e7p-16, -0x1.a206253d5e0e7p-16, -0x1.a3d67b66f4959p-16, -0x1.a592d928d2483p-16, -0x1.a73b71a22c30ep-16, -0x1.a8d0782072cf9p-16, -0x1.aa52201b285edp-16, -0x1.abc09d3011e2fp-16, -0x1.ad1c231f5d6aep-16, -0x1.ae64e5c7d6015p-16, -0x1.af9b1922f16d8p-16, -0x1.b0bef14167953p-16, -0x1.b1d0a247bf0f8p-16, -0x1.b2d0606a5803bp-16, -0x1.b3be5fea52161p-16, -0x1.b49ad511fce0bp-16, -0x1.b565f43200e3ap-16, -0x1.b61ff19d8454cp-16, -0x1.b6c901a76d483p-16, -0x1.b761589f5b121p-16, -0x1.b7e92ace5a7b1p-16, -0x1.b860ac73ee439p-16, -0x1.b8c811c34fdbbp-16, -0x1.b91f8ee0d1406p-16, -0x1.b96757debf4e3p-16, -0x1.b99fa0bb06a1ap-16, -0x1.b9c89d5c2e6ap-16, -0x1.b9e2818f1b8d9p-16, -0x1.b9ed810458962p-16, -0x1.b9e9cf4de5153p-16, -0x1.b9d79fdcbf232p-16, -0x1.b9b725fe453c5p-16, }}, 
      {{0x1.fc7a0a5161afbp-1, 0x1.fc2f800532c5fp-1, 0x1.fbb43ed18d956p-1, 0x1.fb09ac0487799p-1, 0x1.fa319cb455cd6p-1, 0x1.f92e3f6363793p-1, 0x1.f80205e0c147ap-1, 0x1.f6af909b5c6e3p-1, 0x1.f5399c117f77dp-1, 0x1.f3a2f0a8a639ap-1, 0x1.f1ee54fd64ba3p-1, 0x1.f01e8295bf779p-1, 0x1.ee361cca8424p-1, 0x1.ec37a9b0d97c6p-1, 0x1.ea258cc8b9eabp-1, 0x1.e8020334e271p-1, 0x1.e5cf21434997ap-1, 0x1.e38ed111373fp-1, 0x1.e142d21aeb289p-1, 0x1.deecb98bd5a49p-1, 0x1.dc8df3297705ep-1, 0x1.da27c2b7cf716p-1, 0x1.d7bb45bacb1bp-1, 0x1.d549757c3ab68p-1, 0x1.d2d329419b745p-1, 0x1.d05918a04d406p-1, 0x1.cddbdde1be91ep-1, 0x1.cb5bf86bb081p-1, 0x1.c8d9cf22f635ep-1, 0x1.c655b2c100a9dp-1, 0x1.c3cfe0163c6d8p-1, 0x1.c1488234afcbdp-1, 0x1.bebfb47f832f2p-1, 0x1.bc35849d20822p-1, 0x1.b9a9f44a74285p-1, 0x1.b71cfb0e8b2dcp-1, 0x1.b48e87ce61d23p-1, 0x1.b1fe824129af6p-1, 0x1.af6ccc45b1767p-1, 0x1.acd94319dbc2dp-1, 0x1.aa43c075527f3p-1, 0x1.a7ac1b88c4ac7p-1, 0x1.a51229e31ee0bp-1, 0x1.a275c03e3d57bp-1, 0x1.9fd6b334a053cp-1, 0x1.9d34d7e1abfebp-1, 0x1.9a90046dfd6a9p-1, 0x1.97e810894eb58p-1, 0x1.953cd5d362c9bp-1, 0x1.928e30355777dp-1, 0x1.8fdbfe2cb72b4p-1, 0x1.8d2621098c98bp-1, 0x1.8a6c7d20a7a53p-1, 0x1.87aef9f332b85p-1, 0x1.84ed824ca7d3bp-1, 0x1.822804581bbcp-1, 0x1.7f5e71adc8125p-1, 0x1.7c90bf59abe05p-1, 0x1.79bee5dc08477p-1, 0x1.76e8e12470b98p-1, 0x1.740eb08813375p-1, 0x1.713056b3d40e7p-1, 0x1.6e4dd99ac9991p-1, 0x1.6b67426194086p-1, 0x1.687c9d4708a01p-1, 0x1.658df98a97f69p-1, 0x1.629b6950cce79p-1, 0x1.5fa501863d487p-1, 0x1.5caad9c1383bep-1, 0x1.59ad0c227618cp-1, 0x1.56abb5350c845p-1, 0x1.53a6f3cddadf2p-1, 0x1.509ee8eaa2e93p-1, 0x1.4d93b790fb229p-1, 0x1.4a8584ad3f32p-1, 0x1.477476f1a6fedp-1, 0x1.4460b6b59c069p-1, 0x1.414a6dd56fe5p-1, 0x1.3e31c792864f1p-1, 0x1.3b16f0740ab12p-1, 0x1.37fa16283f833p-1, 0x1.34db67667d18dp-1, 0x1.31bb13d1e6bd9p-1, 0x1.2e994bdce4d99p-1, 0x1.2b7640ad6c093p-1, 0x1.285224021a9c3p-1, 0x1.252d28182f90ep-1, 0x1.22077f926284cp-1, 0x1.1ee15d609fe76p-1, 0x1.1bbaf4a8a8ff3p-1, 0x1.189478af9d774p-1, 0x1.156e1cc46bd2ep-1, 0x1.1248142b29e08p-1, 0x1.0f22920954bbp-1, 0x1.0bfdc952f546p-1, 0x1.08d9ecb8a87bp-1, 0x1.05b72e9688ad2p-1, 0x1.0295c0e3f3ccbp-1, 0x1.feebaa4858f1cp-2, 0x1.f8af38afa4424p-2, 0x1.f2768dde55711p-2, 0x1.ec42097a778dcp-2, 0x1.e61209d758eecp-2, 0x1.dfe6ebdedab15p-2, 0x1.d9c10afc402dp-2, 0x1.d3a0c108758d6p-2, 0x1.cd866637c457bp-2, 0x1.c7725108e7c7dp-2, 0x1.c164d63579fbfp-2, 0x1.bb5e48a3b0b2dp-2, 0x1.b55ef9595bf9p-2, 0x1.af67377019955p-2, 0x1.a977500abcc1fp-2, 0x1.a38f8e4bd5f8cp-2, 0x1.9db03b4d51951p-2, 0x1.97d99e1929c73p-2, 0x1.920bfba319d0cp-2, 0x1.8c4796c34b108p-2, 0x1.868cb031f4d37p-2, 0x1.80db8683df16dp-2, 0x1.7b345627c5964p-2, 0x1.7597596488af1p-2, 0x1.7004c8582cf7dp-2, 0x1.6a7cd8f79785fp-2, 0x1.64ffbf0f0208fp-2, 0x1.5f8dac431fb3cp-2, 0x1.5a26d012e46f4p-2, 0x1.54cb57d9e9802p-2, 0x1.4f7b6ed36ac94p-2, 0x1.4a373e1dccd63p-2, 0x1.44feecbea9796p-2, 0x1.3fd29fa759c32p-2, 0x1.3ab279b9f7284p-2, 0x1.359e9bcec8691p-2, 0x1.309724ba1a397p-2, 0x1.2b9c315275254p-2, 0x1.26addc773193dp-2, 0x1.21cc3f175a844p-2, 0x1.1cf77038e67e1p-2, 0x1.182f85002ef51p-2, 0x1.137490b7b1201p-2, 0x1.0ec6a4d8094e1p-2, 0x1.0a25d11022915p-2, 0x1.0592234d9f27p-2, 0x1.010ba7c56721ep-2, 0x1.f924d1f8c7e2p-3, 0x1.f04cdfa0bc6a2p-3, 0x1.e78f8701fae5p-3, 0x1.deecd371baa17p-3, 0x1.d664cd2d8345ep-3, 0x1.cdf7796db106cp-3, 0x1.c5a4da781c0cfp-3, 0x1.bd6cefb2d79b9p-3, 0x1.b54fb5b701ecbp-3, 0x1.ad4d2663a3015p-3, 0x1.a56538f08b724p-3, 0x1.9d97e2013502ap-3, 0x1.95e513b79ecd2p-3, 0x1.8e4cbdc717d9p-3, 0x1.86cecd86ff216p-3, 0x1.7f6b2e056e802p-3, 0x1.7821c819c34a9p-3, 0x1.70f282771637fp-3, 0x1.69dd41be84a95p-3, 0x1.62e1e8915c094p-3, 0x1.5c0057a31bd4p-3, 0x1.55386dcb465e1p-3, 0x1.4e8a081703dc9p-3, 0x1.47f501da98922p-3, 0x1.417934c29d693p-3, 0x1.3b1678e5066a5p-3, 0x1.34cca4d1ed632p-3, 0x1.2e9b8da4219dbp-3, 0x1.2883071178433p-3, 0x1.2282e37ae0eep-3, 0x1.1c9af3fc313a5p-3, 0x1.16cb087bb5673p-3, 0x1.1112efb979b89p-3, 0x1.0b72775e4bb82p-3, 0x1.05e96c0a7d026p-3, 0x1.007799645608bp-3, 0x1.f639944c86ab9p-4, 0x1.ebb190597ff12p-4, 0x1.e156b907de057p-4, 0x1.d7289ee9db8e8p-4, 0x1.cd26d125bbf16p-4, 0x1.c350dd8f4a05ap-4, 0x1.b9a650c0b4ef6p-4, 0x1.b026b632f397p-4, 0x1.a6d19855712b6p-4, 0x1.9da680a542031p-4, 0x1.94a4f7c3ad7f5p-4, 0x1.8bcc858c3619fp-4, 0x1.831cb12a00212p-4, 0x1.7a95012cacc56p-4, 0x1.7234fb9ca1065p-4, 0x1.69fc260ebd3f5p-4, 0x1.61ea05b781cfep-4, 0x1.59fe1f7da97c6p-4, 0x1.5237f80c32534p-4, 0x1.4a9713e3dd2c5p-4, 0x1.431af76c214ccp-4, 0x1.3bc3270398c29p-4, 0x1.348f270fe24c4p-4, 0x1.2d7e7c0d01125p-4, 0x1.2690aa9c36ad2p-4, 0x1.1fc5379259ee1p-4, 0x1.191ba805b067p-4, 0x1.1293815b4595fp-4, 0x1.0c2c4953c9085p-4, 0x1.05e58617f0776p-4, 0x1.ff7d7c88bf9cp-5, 0x1.f36ef1ea3e5e4p-5, 0x1.e79e7ba12d6fbp-5, 0x1.dc0b2a243a051p-5, 0x1.d0b40f2822681p-5, 0x1.c5983db318046p-5, 0x1.bab6ca2f3bb42p-5, 0x1.b00eca7c5612p-5, 0x1.a59f5600b2224p-5, 0x1.9b6785b938944p-5, 0x1.91667448ba054p-5, 0x1.879b3e067fd7dp-5, 0x1.7e05010c1a788p-5, 0x1.74a2dd4275dd5p-5, 0x1.6b73f46e39dfep-5, 0x1.62776a3b78353p-5, 0x1.59ac6448b2eb5p-5, 0x1.51120a312e0dcp-5, 0x1.48a78596accfap-5, 0x1.406c022a81406p-5, 0x1.385eadb607dfdp-5, 0x1.307eb82288bd8p-5, 0x1.28cb538084766p-5, 0x1.2143b40e725a8p-5, 0x1.19e7103ef33dap-5, 0x1.12b4a0be7b69cp-5, 0x1.0baba07877ecdp-5, 0x1.04cb4c9bfa833p-5, 0x1.fc25c93fbd823p-6, 0x1.ef03548d0181dp-6, 0x1.e22dc341edd45p-6, 0x1.d5a3a223c9f72p-6, 0x1.c963829fb1055p-6, 0x1.bd6bface7a5c4p-6, 0x1.b1bba577e38d8p-6, 0x1.a6512214e464ap-6, 0x1.9b2b14d14b43bp-6, 0x1.9048268ca55a9p-6, 0x1.85a704da6a484p-6, 0x1.7b4662018e53fp-6, 0x1.7124f4fb553fbp-6, 0x1.67417971a88d4p-6, 0x1.5d9aafbcb6197p-6, 0x1.542f5ce0100d4p-6, 0x1.4afe4a8734d09p-6, 0x1.420647019bd6fp-6, 0x1.3946253e300edp-6, 0x1.30bcbcc6622b7p-6, 0x1.2868e9b8b1b68p-6, 0x1.20498cc2d5ba4p-6, 0x1.185d8b1b6baeap-6, 0x1.10a3ce7b43e22p-6, 0x1.091b45164ee38p-6, 0x1.01c2e19429cf3p-6, 0x1.f5333610a3e5ep-7, 0x1.e73cd9d406981p-7, 0x1.d9a0ae17933abp-7, 0x1.cc5cbb25856b1p-7, 0x1.bf6f11db377e2p-7, 0x1.b2d5cb969063cp-7, 0x1.a68f0a22f9e94p-7, 0x1.9a98f7a5d6ea5p-7, 0x1.8ef1c68a915bep-7, 0x1.8397b16e3bf97p-7, 0x1.7888fb0ace9d6p-7, 0x1.6dc3ee220f9p-7, 0x1.6346dd6826fdep-7, 0x1.5910236de0cc5p-7, 0x1.4f1e228aa6a84p-7, 0x1.456f44c63e2p-7, 0x1.3c01fbc24888fp-7, 0x1.32d4c0a3932eep-7, 0x1.29e613fb21b5bp-7, 0x1.21347daf34ad9p-7, 0x1.18be8ce3fa4e7p-7, 0x1.1082d7e44a08bp-7, 0x1.087ffc0a28eb9p-7, 0x1.00b49da744e4ep-7, 0x1.f23ecfda9efd5p-8, 0x1.e37e19acb4098p-8, 0x1.d5248a1a3bedp-8, 0x1.c72f9faa78a51p-8, 0x1.b99ce5e708b02p-8, 0x1.ac69f52c694e5p-8, 0x1.9f94727a7ef2dp-8, 0x1.931a0f453a6bap-8, 0x1.86f889454e13fp-8, 0x1.7b2daa48fa642p-8, 0x1.6fb7480508626p-8, 0x1.649343e5ec54p-8, 0x1.59bf8ae10644ap-8, 0x1.4f3a1546354e6p-8, 0x1.4500e6917c0ddp-8, 0x1.3b120d3d08299p-8, 0x1.316ba2935eba4p-8, 0x1.280bca81e5dcdp-8, 0x1.1ef0b36ba9a96p-8, 0x1.161895fc6ffa1p-8, 0x1.0d81b4fc25fc5p-8, 0x1.052a5d22a473fp-8, 0x1.fa21c9d77c9a4p-9, 0x1.ea6758d774495p-9, 0x1.db223a484b34dp-9, 0x1.cc4f53b2189p-9, 0x1.bdeb9ccd1194bp-9, 0x1.aff41f2d90b41p-9, 0x1.a265f5f0f2b48p-9, 0x1.953e4d6b33359p-9, 0x1.887a62d56a626p-9, 0x1.7c1783fd3203cp-9, 0x1.70130ef4dc8cbp-9, 0x1.646a71c4b9ce4p-9, 0x1.591b2a1ceaa8fp-9, 0x1.4e22c50885f2bp-9, 0x1.437edea15eee5p-9, 0x1.392d21c4d969bp-9, 0x1.2f2b47c9a9bc7p-9, 0x1.2577183678357p-9, 0x1.1c0e6879910e9p-9, 0x1.12ef1ba16a4dp-9, 0x1.0a1722162c95dp-9, 0x1.0184795446d9bp-9, 0x1.f26a574f742c4p-10, 0x1.e24e9fd156123p-10, 0x1.d2b212715d96bp-10, 0x1.c3910d82393fcp-10, 0x1.b4e806e4d4143p-10, 0x1.a6b38b88cde31p-10, 0x1.98f03eeef6152p-10, 0x1.8b9adaad941cp-10, 0x1.7eb02df6ce90fp-10, 0x1.722d1d20dc912p-10, 0x1.660ea12fe532p-10, 0x1.5a51c76235f01p-10, 0x1.4ef3b0be1412p-10, 0x1.43f191a15728fp-10, 0x1.3948b1531fffep-10, 0x1.2ef6699735c0ep-10, 0x1.24f8264365a3fp-10, 0x1.1b4b64d68d552p-10, 0x1.11edb41195e02p-10, 0x1.08dcb3921712dp-10, 0x1.0016136eddff7p-10, 0x1.ef2f27aca4018p-11, 0x1.debe095ccbe46p-11, 0x1.ced48a6cb33bcp-11, 0x1.bf6e875470ea9p-11, 0x1.b087f9d056a01p-11, 0x1.a21cf82e88f08p-11, 0x1.9429b4a0164aep-11, 0x1.86aa7c8da5cb3p-11, 0x1.799bb7eee4d5ep-11, 0x1.6cf9e8a5ab2f9p-11, 0x1.60c1a9dc30f59p-11, 0x1.54efaf662e9b8p-11, 0x1.4980c52589bd2p-11, 0x1.3e71ce71a0123p-11, 0x1.33bfc5820b9f3p-11, 0x1.2967badc3284fp-11, 0x1.1f66d4c3c4a9dp-11, 0x1.15ba4eae4f517p-11, 0x1.0c5f78b986eefp-11, 0x1.0353b724bdde1p-11, 0x1.f52903991e5e3p-12, 0x1.e43ec7543a83ap-12, 0x1.d3e3f4a88edbp-12, 0x1.c413eb083b597p-12, 0x1.b4ca2d379c54ap-12, 0x1.a602605fedb1ep-12, 0x1.97b84b27cb212p-12, 0x1.89e7d4d0513e2p-12, 0x1.7c8d04574d07p-12, 0x1.6fa3ff9e9113bp-12, 0x1.63290a979f96bp-12, 0x1.571886749b723p-12, 0x1.4b6ef0dd722aap-12, 0x1.4028e32a3a02ep-12, 0x1.354311a133e48p-12, 0x1.2aba4aba1869cp-12, 0x1.208b76652752dp-12, 0x1.16b39556eb3e9p-12, 0x1.0d2fc057dfc86p-12, 0x1.03fd279889b4bp-12, 0x1.f63224127d3e5p-13, 0x1.e501b96c6a928p-13, 0x1.d463f44f2057bp-13, 0x1.c453e389d9832p-13, 0x1.b4ccbe7a1cd0bp-13, 0x1.a5c9e3e1ac456p-13, 0x1.9746d8c4d71cbp-13, 0x1.893f474eca8a1p-13, 0x1.7baefdbd898a2p-13, 0x1.6e91ed54ded5ap-13, 0x1.61e429573d70ep-13, 0x1.55a1e605e8d25p-13, 0x1.49c777a7501abp-13, 0x1.3e515193f757ap-13, 0x1.333c05494e7cep-13, 0x1.288441825dc26p-13, 0x1.1e26d1570f5c6p-13, 0x1.14209b60bcae6p-13, 0x1.0a6ea0e4c8ba7p-13, 0x1.010dfd04669ffp-13, 0x1.eff7c7e4cc442p-14, 0x1.de6b445b61af6p-14, 0x1.cd713782f8a57p-14, 0x1.bd0497153cdc2p-14, 0x1.ad208502cc43ap-14, 0x1.9dc04e1195493p-14, 0x1.8edf688508d05p-14, 0x1.807972ce65727p-14, 0x1.728a324771054p-14, 0x1.650d91f559a2ap-14, 0x1.57ffa154ebf1p-14, 0x1.4b5c932e8d4f2p-14, 0x1.3f20bc73a2d8fp-14, 0x1.33489322de31ep-14, 0x1.27d0ad35b4afcp-14, 0x1.1cb5bf949b52ep-14, 0x1.11f49d13b054ap-14, 0x1.078a357646847p-14, 0x1.fae728f3a006ap-15, 0x1.e75bc1cfd0781p-15, 0x1.d46cb75eddb9cp-15, 0x1.c214be072b261p-15, 0x1.b04ebb057442ep-15, 0x1.9f15c2c62708cp-15, 0x1.8e65174967594p-15, 0x1.7e38269701a35p-15, 0x1.6e8a893aafe95p-15, 0x1.5f5800ce16ddcp-15, 0x1.509c768dab3b2p-15, 0x1.4253f9f8524e2p-15, 0x1.347abf792c23p-15, 0x1.270d1f1cf3f3fp-15, 0x1.1a079350e6a84p-15, 0x1.0d66b7aba2b06p-15, 0x1.012747bfda551p-15, 0x1.ea8c3bf0f1467p-16, 0x1.d38064fb7a08ep-16, 0x1.bd253445b52b9p-16, 0x1.a7750abae8c84p-16, 0x1.926a7e88859b8p-16, 0x1.7e00592d1efffp-16, 0x1.6a3195989b64ap-16, 0x1.56f95e5901aa4p-16, 0x1.44530bd870933p-16, 0x1.323a22aa2ded3p-16, 0x1.20aa51e355b65p-16, 0x1.0f9f718532de9p-16, 0x1.fe2b01e5aeec1p-17, 0x1.de114ae753536p-17, 0x1.beea5186f4023p-17, 0x1.a0aeef5f2f92ap-17, 0x1.8358417b36f8dp-17, 0x1.66dfa5c028f77p-17, 0x1.4b3eb86e499bfp-17, 0x1.306f51b3d4cabp-17, 0x1.166b835780b9ap-17, 0x1.fa5b2cef87eddp-18, 0x1.c96012bcc6a8p-18, 0x1.99db1ace48e7fp-18, 0x1.6bc209f236238p-18, 0x1.3f0b0329425a6p-18, 0x1.13ac83e4a1dfep-18, 0x1.d33ac0bd7c284p-19, 0x1.81a98044125b4p-19, 0x1.3294354f0baeap-19, 0x1.cbd4d058e044p-20, 0x1.3738689eb17d3p-20, 0x1.4e69091ac22abp-21, 0x1.bab83e0150037p-24, -0x1.adfcd8e97f8a5p-22, -0x1.dcce9baf8e384p-21, -0x1.6d2778aeca4dcp-20, -0x1.e7d987fdcdfb7p-20, -0x1.2f4b391188f17p-19, -0x1.68bb2dda94a68p-19, -0x1.a0485034c8b15p-19, -0x1.d5fdedc6982abp-19, -0x1.04f37c0a204f6p-18, -0x1.1e0704346afd7p-18, -0x1.363eb1cd76e25p-18, -0x1.4d9f7ed0a4a87p-18, -0x1.642e3e83e9beap-18, -0x1.79ef9f22e67cp-18, -0x1.8ee82b75dd4cep-18, -0x1.a31c4c57d8dd4p-18, -0x1.b6904a2ac22f1p-18, -0x1.c9484e42da03dp-18, -0x1.db48643911d5ep-18, -0x1.ec947b350ababp-18, -0x1.fd3067276eba9p-18, -0x1.068ff0fd0e478p-17, -0x1.0e334656856d8p-17, -0x1.1583f835785b2p-17, -0x1.1c83bfc8df5a2p-17, -0x1.23344b568011cp-17, -0x1.29973eb217d47p-17, -0x1.2fae33b175137p-17, -0x1.357aba9977878p-17, -0x1.3afe5a8702b87p-17, -0x1.403a91d250aa2p-17, -0x1.4530d66dc7379p-17, -0x1.49e29641b88b2p-17, -0x1.4e51378090cefp-17, -0x1.527e18fa0d6dp-17, -0x1.566a926938c28p-17, -0x1.5a17f4bf47b75p-17, -0x1.5d878a69c4d57p-17, -0x1.60ba979604067p-17, -0x1.63b25a70e39e7p-17, -0x1.66700b63355ccp-17, -0x1.68f4dd4b723ap-17, -0x1.6b41fdb33c8ecp-17, -0x1.6d589505300b6p-17, -0x1.6f39c6bbbdde7p-17, -0x1.70e6b1912351fp-17, -0x1.72606faa27047p-17, -0x1.73a816c0cd7dcp-17, -0x1.74beb84a99cedp-17, -0x1.75a5619ce9f8ap-17, -0x1.765d1c1208e8p-17, -0x1.76e6ed282d717p-17, -0x1.7743d6a2042c4p-17, -0x1.7774d6a34e441p-17, -0x1.777ae7cca2595p-17, -0x1.775701556ea0ap-17, -0x1.770a1724395e4p-17, -0x1.769519e531091p-17, -0x1.75f8f72082c82p-17, -0x1.7536994dcabefp-17, -0x1.744ee7e760521p-17, -0x1.7342c77b705f7p-17, -0x1.721319be4a6dbp-17, -0x1.70c0bd975bf7bp-17, -0x1.6f4c8f3127885p-17, -0x1.6db768065fba7p-17, -0x1.6c021eee118d9p-17, -0x1.6a2d8828660bfp-17, -0x1.683a756815fc8p-17, -0x1.6629b5dd899ap-17, -0x1.63fc163fc91fbp-17, -0x1.61b260d569032p-17, -0x1.5f4d5d7c0de43p-17, -0x1.5ccdd1b0bbb1p-17, -0x1.5a348095445cp-17, -0x1.57822af8b6b49p-17, -0x1.54b78f5b1871bp-17, -0x1.51d569f43039bp-17, -0x1.4edc74b8233bbp-17, -0x1.4bcd675bd7d8p-17, -0x1.48a8f7591e0f7p-17, -0x1.456fd7f3157c2p-17, -0x1.4222ba38dc75ap-17, -0x1.3ec24d09f80e6p-17, -0x1.3b4f3d180a0acp-17, -0x1.37ca34eb26477p-17, -0x1.3433dce21d3b1p-17, -0x1.308cdb373e2b4p-17, -0x1.2cd5d401233d6p-17, -0x1.290f6934b58a5p-17, -0x1.253a3aa784c87p-17, -0x1.2156e61181ba5p-17, -0x1.1d66070e039bbp-17, -0x1.1968371dd7978p-17, -0x1.155e0da894761p-17, -0x1.11481ffddab14p-17, -0x1.0d270156c35f7p-17, -0x1.08fb42d6e7a4fp-17, -0x1.04c5738e03365p-17, -0x1.00862078fef5dp-17, -0x1.f87ba906225bcp-18, -0x1.efda310e153cap-18, -0x1.e728e6a0d81a1p-18, -0x1.de68d3394099fp-18, -0x1.d59afc37e887bp-18, -0x1.ccc062e78b024p-18, -0x1.c3da047cd8adp-18, -0x1.bae8da1bd6416p-18, -0x1.b1edd8d8959a5p-18, -0x1.a8e9f1bb839bdp-18, -0x1.9fde11c2fa91cp-18, -0x1.96cb21e76fcefp-18, -0x1.8db2071e3996dp-18, -0x1.8493a25c2577dp-18, -0x1.7b70d099e7ebfp-18, -0x1.724a6ad778236p-18, -0x1.6921461f4b3d5p-18, -0x1.5ff6338b059fbp-18, -0x1.56ca00477548ep-18, -0x1.4d9d759782ab3p-18, -0x1.447158d9e1f7ap-18, -0x1.3b466b8d1e275p-18, -0x1.321d6b537b166p-18, -0x1.28f711f917382p-18, -0x1.1fd41577a7f01p-18, -0x1.16b527fcf0e08p-18, -0x1.0d9af7ef5e7d9p-18, -0x1.04862ff331513p-18, -0x1.f6eeede1631b7p-19, -0x1.e4dee033d72d6p-19, -0x1.d2dd75e024a4p-19, -0x1.c0ebe693fbea4p-19, -0x1.af0b62b4db6e4p-19, -0x1.9d3d136ceb391p-19, -0x1.8b821ab759b37p-19, -0x1.79db936f2013bp-19, -0x1.684a915d4d29ep-19, -0x1.56d021443de07p-19, -0x1.456d48f0b089ep-19, -0x1.34230746b9d4ep-19, -0x1.22f2545073e67p-19, -0x1.11dc214db2965p-19, -0x1.00e158c3f9f6fp-19, -0x1.e005bd17e7adap-20, -0x1.be831fc6db59p-20, -0x1.9d3c86f95b6b5p-20, -0x1.7c33931ece467p-20, -0x1.5b69d7cd96801p-20, -0x1.3ae0dbebcde72p-20, -0x1.1a9a19c9a87b5p-20, -0x1.f52dfe8e9b641p-21, -0x1.b5b1dbf093719p-21, -0x1.76c276823f509p-21, -0x1.3862610072395p-21, -0x1.f5282cbedb37ep-22, -0x1.7ab3f41f467b9p-22, -0x1.016cb092d15cbp-22, -0x1.12ad99530ac4cp-23, -0x1.2768596bf9765p-26, 0x1.8cc0508e3d012p-24, 0x1.af32386b86bd4p-23, 0x1.4ac0d9e9bebc2p-22, 0x1.bca3bf88df39ep-22, 0x1.169f34e528ad8p-21, 0x1.4e46cf9c1ec05p-21, 0x1.854727cf967e7p-21, 0x1.bb9ec9b7cd259p-21, 0x1.f14c5595aa6ddp-21, 0x1.13273fb27d5e3p-20, 0x1.2d52074a049e1p-20, 0x1.4725eedb32c87p-20, 0x1.60a26d19e8799p-20, 0x1.79c7020334641p-20, 0x1.929336b339ce1p-20, 0x1.ab069d3dc633p-20, 0x1.c320d08d76b37p-20, 0x1.dae17438dbbaap-20, 0x1.f248345ce18ecp-20, 0x1.04aa62be4a6dcp-19, 0x1.100372294018ep-19, 0x1.1b2f2ad928aafp-19, 0x1.262d732fdcf6bp-19, 0x1.30fe3575c1de7p-19, 0x1.3ba15fc549f61p-19, 0x1.4616e3f9ce081p-19, 0x1.505eb79ce23a1p-19, 0x1.5a78d3d328e89p-19, 0x1.646535498f018p-19, 0x1.6e23dc240286dp-19, 0x1.77b4cbec0cd24p-19, 0x1.81180b7cb50f2p-19, 0x1.8a4da4f155de3p-19, 0x1.9355a594bfa4ap-19, 0x1.9c301dce6025ap-19, 0x1.a4dd2110cb7afp-19, 0x1.ad5cc5c8fe186p-19, 0x1.b5af254b805cap-19, 0x1.bdd45bc4830f2p-19, 0x1.c5cc8825710b7p-19, 0x1.cd97cc149da4fp-19, 0x1.d5364bddb54e7p-19, 0x1.dca82e5e12cbcp-19, 0x1.e3ed9cf73582bp-19, 0x1.eb06c37c5a115p-19, 0x1.f1f3d023277d3p-19, 0x1.f8b4f373d4eaep-19, 0x1.ff4a6037e0207p-19, 0x1.02da25b5b6fe2p-18, 0x1.05f97616c7134p-18, 0x1.09033dd7fdf36p-18, 0x1.0bf79a93f6f4fp-18, 0x1.0ed6aae015dd7p-18, 0x1.11a08e4488283p-18, 0x1.145565349546ap-18, 0x1.16f551082066bp-18, 0x1.198073f3d3ce9p-18, 0x1.1bf6f1020d9f5p-18, 0x1.1e58ec0c1a69dp-18, 0x1.20a689b2f9977p-18, 0x1.22dfef5859736p-18, 0x1.250543188a374p-18, 0x1.2716abc27f9bcp-18, 0x1.291450d252dbcp-18, 0x1.2afe5a6a85a53p-18, 0x1.2cd4f14d59cabp-18, 0x1.2e983ed673088p-18, 0x1.30486cf4e1fd7p-18, 0x1.31e5a624ccdafp-18, 0x1.3370156978594p-18, 0x1.34e7e6470f3ebp-18, 0x1.364d44bd2b976p-18, 0x1.37a05d40d18a5p-18, 0x1.38e15cb66f5e6p-18, 0x1.3a10706c935f6p-18, 0x1.3b2dc616b9f8cp-18, 0x1.3c398bc726d1bp-18, 0x1.3d33efea37341p-18, 0x1.3e1d2140b63b9p-18, 0x1.3ef54edaf8794p-18, 0x1.3fbca81360d88p-18, 0x1.40735c8a3c82cp-18, 0x1.41199c1ff836dp-18, 0x1.41af96f0bd574p-18, 0x1.42357d4fd2273p-18, 0x1.42ab7fc2cd5a1p-18, 0x1.4311cefcec39fp-18, 0x1.43689bdaf8582p-18, 0x1.43b0175eb95eap-18, 0x1.43e872aa95004p-18, 0x1.4411defdc02cep-18, 0x1.442c8dafae4b7p-18, 0x1.4438b02c49591p-18, 0x1.443677efdf61dp-18, 0x1.442616838ff25p-18, 0x1.4407bd7927fb9p-18, 0x1.43db9e67a9c9p-18, 0x1.43a1eae79b9b6p-18, 0x1.435ad48f943bbp-18, 0x1.43068cf0aabb4p-18, 0x1.42a545930e8e3p-18, 0x1.42372ff2e8dbdp-18, 0x1.41bc7d7d17c2dp-18, 0x1.41355f8bef61ap-18, 0x1.40a2076422a51p-18, 0x1.4002a6320449dp-18, 0x1.3f576d0647078p-18, 0x1.3ea08cd369cdep-18, 0x1.3dde366ae090bp-18, 0x1.3d109a7a489a6p-18, 0x1.3c37e988c20d9p-18, 0x1.3b5453f497ccbp-18, 0x1.3a6609f08d2a2p-18, 0x1.396d3b817e51p-18, 0x1.386a187c0065p-18, 0x1.375cd08240c08p-18, 0x1.36459301ac48ap-18, 0x1.35248f30be3e2p-18, 0x1.33f9f40ce8b53p-18, 0x1.32c5f0589d552p-18, 0x1.3188b299520fap-18, 0x1.30426915866afp-18, 0x1.2ef341d319cadp-18, 0x1.2d9b6a955fb7bp-18, 0x1.2c3b10db472c1p-18, 0x1.2ad261ddeed58p-18, 0x1.29618a8ef01f7p-18, 0x1.27e8b796c0b98p-18, 0x1.266815533f104p-18, 0x1.24dfcfd66316bp-18, 0x1.235012e4a7017p-18, 0x1.21b909f3b1259p-18, 0x1.201ae029270eep-18, 0x1.1e75c0597c8d9p-18, 0x1.1cc9d50697d1p-18, 0x1.1b17485ec5a3cp-18, 0x1.195e443bc875dp-18, 0x1.179ef221ad2d8p-18, 0x1.15d97b3dcd395p-18, 0x1.140e0865cdbfbp-18, 0x1.123cc216c7729p-18, 0x1.1065d07473dd8p-18, 0x1.0e895b4874a3dp-18, 0x1.0ca78a017ac12p-18, 0x1.0ac083b283673p-18, 0x1.08d46f12201a4p-18, 0x1.06e37279dda3dp-18, 0x1.04edb3e5d2cc8p-18, 0x1.02f358f3ddcddp-18, 0x1.00f486e31db7bp-18, 0x1.fde2c52738841p-19, 0x1.f9d4210bca586p-19, 0x1.f5bd69b4d408dp-19, 0x1.f19ee6a267833p-19, 0x1.ed78de92fa099p-19, 0x1.e94b978307f61p-19, 0x1.e51756aca0dc9p-19, 0x1.e0dc6086b7b8bp-19, 0x1.dc9af8c48466ep-19, 0x1.d853625575ceep-19, 0x1.d405df64c20e2p-19, 0x1.cfb2b15943e13p-19, 0x1.cb5a18d5242c4p-19, 0x1.c6fc55b5e863cp-19, 0x1.c299a71461d54p-19, 0x1.be324b44b6e07p-19, 0x1.b9c67fd65ae5p-19, 0x1.b5568193cf6d4p-19, 0x1.b0e28c834d152p-19, 0x1.ac6adbe679c0ep-19, 0x1.a7efaa3b2926ap-19, 0x1.a371313b9d5ebp-19, 0x1.9eefa9de790ep-19, 0x1.9a6b4c5729774p-19, 0x1.95e45016a4b6ep-19, 0x1.915aebcbb7018p-19, 0x1.8ccf55634c6dbp-19, 0x1.8841c20923a79p-19, 0x1.83b26628c1c91p-19, 0x1.7f21756dc02bep-19, 0x1.7a8f22c483ba8p-19, 0x1.75fba05aa66dcp-19, 0x1.71671fa003ee9p-19, 0x1.6cd1d14714aacp-19, 0x1.683be5463d54ap-19, 0x1.63a58ad8c3e26p-19, 0x1.5f0ef07f154e3p-19, 0x1.5a7843ffab989p-19, 0x1.55e1b26846391p-19, 0x1.514b680ee574cp-19, 0x1.4cb590928ef1p-19, 0x1.482056dc3fd04p-19, 0x1.438be51fe4932p-19, 0x1.3ef864dde8016p-19, 0x1.3a65fee410867p-19, 0x1.35d4db4e22c14p-19, 0x1.314521875c403p-19, 0x1.2cb6f84b5b3e1p-19, 0x1.282a85a736cacp-19, 0x1.239feefb3b3f1p-19, 0x1.1f1758fb93239p-19, 0x1.1a90e7b1bd505p-19, 0x1.160cbe7da0792p-19, 0x1.118b00169177cp-19, 0x1.0d0bce8cf259p-19, 0x1.088f4b4b44c22p-19, 0x1.041597177a045p-19, 0x1.ff3da428ad93cp-20, }}, 
      {{-0x1.5374cb4ad69edp-15, -0x1.541aae80e0c39p-13, -0x1.7fbd2c53c2359p-12, -0x1.56586a696a9fp-11, -0x1.0c88307899c42p-10, -0x1.843fc1da0ef0dp-10, -0x1.093697b1cb309p-9, -0x1.5b7da6fcff98fp-9, -0x1.b8ce04ab120afp-9, -0x1.10709ccc87574p-8, -0x1.49a7fb6892ee5p-8, -0x1.87c8fc50d7829p-8, -0x1.ca7f7c30b6abp-8, -0x1.08b41cae1b895p-7, -0x1.2e0903beb8f4dp-7, -0x1.54ff9ec072ba5p-7, -0x1.7d53a5571d3edp-7, -0x1.a6bc3162e13dp-7, -0x1.d0ec99cdcb89fp-7, -0x1.fb954c8440631p-7, -0x1.1332518b22ffp-6, -0x1.2883d73b79fa4p-6, -0x1.3d957b95f35c1p-6, -0x1.523d980066474p-6, -0x1.6652ecfdecf62p-6, -0x1.79acec6f09f1p-6, -0x1.8c23fbf8483b5p-6, -0x1.9d91af9f2342cp-6, -0x1.add0fcd1f924p-6, -0x1.bcbe662b3d92bp-6, -0x1.ca382053ad81dp-6, -0x1.d61e30742ac5bp-6, -0x1.e05284af1cad7p-6, -0x1.e8b9071c6009cp-6, -0x1.ef37abc277032p-6, -0x1.f3b67a0500ab8p-6, -0x1.f61f91fbfb58cp-6, -0x1.f65f2e21cb9edp-6, -0x1.f463a1bfb7b24p-6, -0x1.f01d5479b4734p-6, -0x1.e97ebb53d0f5fp-6, -0x1.e07c4f849855cp-6, -0x1.d50c83615d8f4p-6, -0x1.c727b5ab0053ep-6, -0x1.b6c8237bb4b84p-6, -0x1.a3e9d910b8938p-6, -0x1.8e8aa1a564d61p-6, -0x1.76a9f69017e48p-6, -0x1.5c48edcc938d1p-6, -0x1.3f6a281b0dd9ap-6, -0x1.2011bed707153p-6, -0x1.fc8a634a166c9p-7, -0x1.b416a825aea8p-7, -0x1.66d876846d917p-7, -0x1.14e25766fa993p-7, -0x1.7c921d08009c5p-8, -0x1.8c8ddb0fc9e62p-9, -0x1.c52fad150b3c4p-14, 0x1.819e59ba79827p-9, 0x1.912c31451d311p-8, 0x1.34e3453ef4b71p-7, 0x1.a52fc9ed48be7p-7, 0x1.0cad816b210b1p-6, 0x1.48a18c4358a35p-6, 0x1.86628e712122p-6, 0x1.c5de9390b8827p-6, 0x1.03819bb697456p-5, 0x1.24ded98526ac6p-5, 0x1.46fd749a730cp-5, 0x1.69d3b94d52f52p-5, 0x1.8d57d4b585ecbp-5, 0x1.b17fda41a062ap-5, 0x1.d641c91370307p-5, 0x1.fb939123e2e75p-5, 0x1.10b58c17ccdacp-4, 0x1.23df1f36a03e1p-4, 0x1.374171876bddp-4, 0x1.4ad774478f3c9p-4, 0x1.5e9c1c6616fddp-4, 0x1.728a64783ddbep-4, 0x1.869d4e95a9dcdp-4, 0x1.9acfe61ce9a73p-4, 0x1.af1d4160c80a4p-4, 0x1.c380833ee3db5p-4, 0x1.d7f4dca021dc7p-4, 0x1.ec758de36c6e8p-4, 0x1.007ef4199ad93p-3, 0x1.0ac4a76323727p-3, 0x1.15099c061fbddp-3, 0x1.1f4b9763277dfp-3, 0x1.29886986498c8p-3, 0x1.33bdeda043971p-3, 0x1.3dea0a768c6b9p-3, 0x1.480ab2ca54e61p-3, 0x1.521de5b6d06b8p-3, 0x1.5c21af06f1cd6p-3, 0x1.66142782d786cp-3, 0x1.6ff3753532151p-3, 0x1.79bdcba8cb228p-3, 0x1.83716c1e7e6cbp-3, 0x1.8d0ca5bbd5ab8p-3, 0x1.968dd5b284282p-3, 0x1.9ff367610f6c9p-3, 0x1.a93bd46ccbc05p-3, 0x1.b265a4d581c2ep-3, 0x1.bb6f6f02ef49cp-3, 0x1.c457d7cc6658fp-3, 0x1.cd1d927ac7cb5p-3, 0x1.d5bf60c51c81ep-3, 0x1.de3c12c803a53p-3, 0x1.e69286f840bcp-3, 0x1.eec1aa109ad9ap-3, 0x1.f6c876fb5342bp-3, 0x1.fea5f6b76a108p-3, 0x1.032ca01cf7a4p-2, 0x1.06f0bc25cefb3p-2, 0x1.0a9ee8b17a2b9p-2, 0x1.0e36c5bd849d7p-2, 0x1.11b7f9f3a7878p-2, 0x1.15223292417d5p-2, 0x1.1875235378b37p-2, 0x1.1bb086532b29cp-2, 0x1.1ed41bf3b7b8fp-2, 0x1.21dfaac1c87b2p-2, 0x1.24d2ff57283b8p-2, 0x1.27adec3cc1b6dp-2, 0x1.2a7049cbdc76cp-2, 0x1.2d19f60eab13cp-2, 0x1.2faad4a041ba8p-2, 0x1.3222ce8c0298ap-2, 0x1.3481d22c9da7bp-2, 0x1.36c7d30aa98ddp-2, 0x1.38f4c9baece3ep-2, 0x1.3b08b3bc6907bp-2, 0x1.3d0393563179p-2, 0x1.3ee56f75231c2p-2, 0x1.40ae5389834b1p-2, 0x1.425e4f649bd39p-2, 0x1.43f5771656135p-2, 0x1.4573e2caeba1p-2, 0x1.46d9aea8ae456p-2, 0x1.4826faadf717dp-2, 0x1.495bea8f4278p-2, 0x1.4a78a59586f6p-2, 0x1.4b7d567cc87b5p-2, 0x1.4c6a2b52f719dp-2, 0x1.4d3f5557190fp-2, 0x1.4dfd08d8ccbd8p-2, 0x1.4ea37d1825407p-2, 0x1.4f32ec25e982p-2, 0x1.4fab92c43799fp-2, 0x1.500db04794cc6p-2, 0x1.505986786c5e4p-2, 0x1.508f597501a4p-2, 0x1.50af6f93d85eep-2, 0x1.50ba114697ceep-2, 0x1.50af88fd695bp-2, 0x1.5090230ad5e25p-2, 0x1.505c2d88253cep-2, 0x1.5013f83a405bp-2, 0x1.4fb7d4771674bp-2, 0x1.4f48150b8b716p-2, 0x1.4ec50e21e87dbp-2, 0x1.4e2f1528d8eep-2, 0x1.4d8680baedb53p-2, 0x1.4ccba886a7702p-2, 0x1.4bfee5370fd15p-2, 0x1.4b20905cd4cacp-2, 0x1.4a310457f3f93p-2, 0x1.49309c41e91f4p-2, 0x1.481fb3d86aaf2p-2, 0x1.46fea768ac785p-2, 0x1.45cdd3bb28086p-2, 0x1.448d95fff0e7bp-2, 0x1.433e4bbb8b04bp-2, 0x1.41e052b448245p-2, 0x1.407408e02cc7dp-2, 0x1.3ef9cc53542dbp-2, 0x1.3d71fb2ed9245p-2, 0x1.3bdcf390402ap-2, 0x1.3a3b138163bc4p-2, 0x1.388cb8e8dbcb7p-2, 0x1.36d2417ae4499p-2, 0x1.350c0aaac495bp-2, 0x1.333a719ca940dp-2, 0x1.315dd3180071dp-2, 0x1.2f768b7a47514p-2, 0x1.2d84f6aa51b8ep-2, 0x1.2b89700c08326p-2, 0x1.2984527494ca4p-2, 0x1.2775f81f0712dp-2, 0x1.255ebaa164c8ep-2, 0x1.233ef2e22cd2p-2, 0x1.2116f90e42765p-2, 0x1.1ee7248f4af3cp-2, 0x1.1cafcc026d95cp-2, 0x1.1a71452f8312p-2, 0x1.182be500a687ep-2, 0x1.15dfff7a2c898p-2, 0x1.138de7b3009d6p-2, 0x1.1135efcd5dcbp-2, 0x1.0ed868efef62ap-2, 0x1.0c75a33f47886p-2, 0x1.0a0dedd7b8b44p-2, 0x1.07a196c785657p-2, 0x1.0530eb096d12ep-2, 0x1.02bc367f8b5a4p-2, 0x1.0043c3ee90e71p-2, 0x1.fb8fb9f29d309p-3, 0x1.f691943924e77p-3, 0x1.f18da556adafp-3, 0x1.ec84799678e02p-3, 0x1.e7769ae2ab16bp-3, 0x1.e26490be74db3p-3, 0x1.dd4ee040cd51p-3, 0x1.d8360c0fbfc92p-3, 0x1.d31a945c436e9p-3, 0x1.cdfcf6de9decfp-3, 0x1.c8ddaed347646p-3, 0x1.c3bd34f854117p-3, 0x1.be9bff8b5d7f5p-3, 0x1.b97a8247e279dp-3, 0x1.b4592e66268a5p-3, 0x1.af38729a7be3ap-3, 0x1.aa18bb150953ep-3, 0x1.a4fa7181f8023p-3, 0x1.9fddfd0a0f1f2p-3, 0x1.9ac3c253b4bdap-3, 0x1.95ac238454b44p-3, 0x1.909780422bc53p-3, 0x1.8b8635b66abc2p-3, 0x1.86789e8fba4e1p-3, 0x1.816f1305144bap-3, 0x1.7c69e8d8f3069p-3, 0x1.7769735cd0c36p-3, 0x1.726e0374f9d94p-3, 0x1.6d77e79ca44f5p-3, 0x1.68876bea5a293p-3, 0x1.639cda149ea22p-3, 0x1.5eb87976e0d02p-3, 0x1.59da8f16a692ep-3, 0x1.55035da8fc1e5p-3, 0x1.50332598192d3p-3, 0x1.4b6a25093f60fp-3, 0x1.46a897e2d0ec1p-3, 0x1.41eeb7d2979e4p-3, 0x1.3d3cbc543b7p-3, 0x1.3892dab7e96eep-3, 0x1.33f1462923204p-3, 0x1.2f582fb5b73b9p-3, 0x1.2ac7c654e49d2p-3, 0x1.264036ee979c5p-3, 0x1.21c1ac62d6005p-3, 0x1.1d4c4f913c8cbp-3, 0x1.18e04760a4226p-3, 0x1.147db8c6db1ccp-3, 0x1.1024c6d07ad3cp-3, 0x1.0bd592a8d23aap-3, 0x1.07903ba1e4b9cp-3, 0x1.0354df3c7a9ffp-3, 0x1.fe4732608b9e4p-4, 0x1.f5f906e8202bdp-4, 0x1.edbf6c8bed756p-4, 0x1.e59a906769f61p-4, 0x1.dd8a9c45e5e19p-4, 0x1.d58fb6b33e0b2p-4, 0x1.cdaa030c908e6p-4, 0x1.c5d9a191014dap-4, 0x1.be1eaf728579fp-4, 0x1.b67946e6a64e9p-4, 0x1.aee97f374c992p-4, 0x1.a76f6cd37aa9ap-4, 0x1.a00b216010d0ap-4, 0x1.98bcabc8785b9p-4, 0x1.9184184f48ef8p-4, 0x1.8a61709edca6bp-4, 0x1.8354bbd9d4859p-4, 0x1.7c5dfeab85b77p-4, 0x1.757d3b5853cafp-4, 0x1.6eb271cdef5p-4, 0x1.67fd9fb37b4d7p-4, 0x1.615ec07995dd2p-4, 0x1.5ad5cd6a42df6p-4, 0x1.5462bdb8b2f8dp-4, 0x1.4e058690edb57p-4, 0x1.47be1b2750bfdp-4, 0x1.418c6cc7f0a83p-4, 0x1.3b706ae5cdb15p-4, 0x1.356a0329e134fp-4, 0x1.2f79218201dd7p-4, 0x1.299db02f9b8b6p-4, 0x1.23d797d63b99p-4, 0x1.1e26bf89eeda2p-4, 0x1.188b0cdd71845p-4, 0x1.130463f02da7ap-4, 0x1.0d92a77c0b366p-4, 0x1.0835b8e30bfap-4, 0x1.02ed783cb9436p-4, 0x1.fb7388c6aec06p-5, 0x1.f134f601d9d18p-5, 0x1.e71ef1381f4a4p-5, 0x1.dd31314901c9dp-5, 0x1.d36b6aff21ae3p-5, 0x1.c9cd5128970bap-5, 0x1.c05694aeeae27p-5, 0x1.b706e4ae8e264p-5, 0x1.adddee8df6588p-5, 0x1.a4db5e1440c04p-5, 0x1.9bfedd7f67276p-5, 0x1.9348159a0893bp-5, 0x1.8ab6add0c1c2fp-5, 0x1.824a4c47123f7p-5, 0x1.7a0295ebd78dp-5, 0x1.71df2e8d52773p-5, 0x1.69dfb8ecc3e15p-5, 0x1.6203d6d191409p-5, 0x1.5a4b291c025ap-5, 0x1.52b54fd78b989p-5, 0x1.4b41ea4cadc77p-5, 0x1.43f0971262647p-5, 0x1.3cc0f41f21ea1p-5, 0x1.35b29ed973e0ep-5, 0x1.2ec5342821p-5, 0x1.27f85081e9743p-5, 0x1.214b8ffce114p-5, 0x1.1abe8e5d528c5p-5, 0x1.1450e72449e16p-5, 0x1.0e02359da7aa6p-5, 0x1.07d214edd92c1p-5, 0x1.01c0201f25d79p-5, 0x1.f797e45d2d808p-6, 0x1.ebea4c30fcbc3p-6, 0x1.e076adc93d001p-6, 0x1.d53c3f63c528dp-6, 0x1.ca3a37839641dp-6, 0x1.bf6fcd06db21ep-6, 0x1.b4dc373c2c24ep-6, 0x1.aa7eadf734915p-6, 0x1.a05669a47bbcap-6, 0x1.9662a35ca00acp-6, 0x1.8ca294f6c68f9p-6, 0x1.8315791a698bap-6, 0x1.79ba8b507bea2p-6, 0x1.70910813dc1e7p-6, 0x1.67982ce12a158p-6, 0x1.5ecf3845fc024p-6, 0x1.563569ef5f05bp-6, 0x1.4dca02b7e19ep-6, 0x1.458c44b4d90ddp-6, 0x1.3d7b73432aeap-6, 0x1.3596d31380c5p-6, 0x1.2dddaa35dab4ap-6, 0x1.264f4024a6b37p-6, 0x1.1eeaddcf36287p-6, 0x1.17afcda3c878fp-6, 0x1.109d5b98f529fp-6, 0x1.09b2d5369cf84p-6, 0x1.02ef899e5cfb6p-6, 0x1.f8a59327117e6p-7, 0x1.ebb7cf05337aep-7, 0x1.df146f1078a62p-7, 0x1.d2ba1eefb6763p-7, 0x1.c6a78dc369a25p-7, 0x1.badb6e31257a4p-7, 0x1.af54766e1834ep-7, 0x1.a4116048aca8cp-7, 0x1.9910e93181ba1p-7, 0x1.8e51d2436e4ep-7, 0x1.83d2e04aeea85p-7, 0x1.7992dbccc2e5bp-7, 0x1.6f90910bcb3edp-7, 0x1.65cad00e3cd12p-7, 0x1.5c406ca227e3fp-7, 0x1.52f03e615c53ep-7, 0x1.49d920b495a1ap-7, 0x1.40f9f2d62e3eep-7, 0x1.385197d402257p-7, 0x1.2fdef690f562ep-7, 0x1.27a0f9c5d9c7dp-7, 0x1.1f969001a757p-7, 0x1.17beaba960442p-7, 0x1.101842f74d538p-7, 0x1.08a24ff9d9423p-7, 0x1.015bd091df4d5p-7, 0x1.f4878ce11b8eap-8, 0x1.e6b26e29b4ad7p-8, 0x1.d9365790ec8ccp-8, 0x1.cc1163390e9bbp-8, 0x1.bf41b2cb87233p-8, 0x1.b2c56f70c3bc9p-8, 0x1.a69ac9c706f8ep-8, 0x1.9abff9d8c7389p-8, 0x1.8f333f1244d22p-8, 0x1.83f2e0369e75cp-8, 0x1.78fd2b540a04dp-8, 0x1.6e5075b7c94aap-8, 0x1.63eb1be160fedp-8, 0x1.59cb81754aa49p-8, 0x1.4ff0112f55a0ep-8, 0x1.46573cd43b1f5p-8, 0x1.3cff7d23281c8p-8, 0x1.33e751c665b24p-8, 0x1.2b0d414409d5ep-8, 0x1.226fd8ee120f7p-8, 0x1.1a0dacd207b0fp-8, 0x1.11e557a88dd0ap-8, 0x1.09f57ac469008p-8, 0x1.023cbe0166166p-8, 0x1.f5739f65dab68p-9, 0x1.e6d6c9244b67p-9, 0x1.d8a06f58800f3p-9, 0x1.cace14a04f29cp-9, 0x1.bd5d47f875f06p-9, 0x1.b04ba4978a168p-9, 0x1.a396d1c89a74p-9, 0x1.973c82c596d3cp-9, 0x1.8b3a76912d461p-9, 0x1.7f8e77d0e950bp-9, 0x1.74365ca6a0a9fp-9, 0x1.69300689fd3a4p-9, 0x1.5e796221f7ea8p-9, 0x1.5410671dcd768p-9, 0x1.49f3180e4f031p-9, 0x1.401f823edc016p-9, 0x1.3693bd8e7568ap-9, 0x1.2d4dec48af279p-9, 0x1.244c3afebdbcep-9, 0x1.1b8ce0607e2dap-9, 0x1.130e1d1577cbp-9, 0x1.0ace3b9627266p-9, 0x1.02cb90052ce09p-9, 0x1.f608f0113ebe6p-10, 0x1.e6eeb5471d39ep-10, 0x1.d845501f495f4p-10, 0x1.ca09b32db5246p-10, 0x1.bc38e2db11633p-10, 0x1.aecff518f6d53p-10, 0x1.a1cc1116b9118p-10, 0x1.952a6ef653706p-10, 0x1.88e857824a40dp-10, 0x1.7d0323e36fd8p-10, 0x1.71783d57e3c18p-10, 0x1.66451ce9f1488p-10, 0x1.5b674b27ea34cp-10, 0x1.50dc5fdc5a79bp-10, 0x1.46a201c6df26bp-10, 0x1.3cb5e655c5c11p-10, 0x1.3315d16022f5bp-10, 0x1.29bf94e0a6719p-10, 0x1.20b110b0e973dp-10, 0x1.17e83245e8dcbp-10, 0x1.0f62f46c34ed3p-10, 0x1.071f5f062ff2dp-10, 0x1.fe370d93c51b6p-11, 0x1.eeab1a00017cp-11, 0x1.df973e87af902p-11, 0x1.d0f7ee86cf1bep-11, 0x1.c2c9b501dadc7p-11, 0x1.b509342987617p-11, 0x1.a7b324dfde41cp-11, 0x1.9ac4563ff077p-11, 0x1.8e39ad26177d6p-11, 0x1.821023ba1b7c8p-11, 0x1.7644c8fafc46ep-11, 0x1.6ad4c04c769fdp-11, 0x1.5fbd410583e91p-11, 0x1.54fb960144614p-11, 0x1.4a8d1d3124dcfp-11, 0x1.406f473059321p-11, 0x1.369f96d9509e5p-11, 0x1.2d1ba0dc97317p-11, 0x1.23e10b594c50ep-11, 0x1.1aed8d776b94fp-11, 0x1.123eef038403ap-11, 0x1.09d3080b85643p-11, 0x1.01a7c07ef2521p-11, 0x1.f3761f9b66f4ap-12, 0x1.e415f916e98ecp-12, 0x1.d52b382530fabp-12, 0x1.c6b22452d2e4bp-12, 0x1.b8a721529fa02p-12, 0x1.ab06ae4daef42p-12, 0x1.9dcd653736144p-12, 0x1.90f7fa22e9456p-12, 0x1.84833a9e8e767p-12, 0x1.786c0d100e111p-12, 0x1.6caf7013cf73cp-12, 0x1.614a79df7d926p-12, 0x1.563a57a958abfp-12, 0x1.4b7c4d0ed4c1cp-12, 0x1.410db3816ebabp-12, 0x1.36ebf9b3e5f45p-12, 0x1.2d14a30c922p-12, 0x1.2385471828d07p-12, 0x1.1a3b9101ae2f3p-12, 0x1.11353f0b7dd2ap-12, 0x1.0870220b7e38dp-12, 0x1.ffd439d3751b5p-13, 0x1.ef42484556169p-13, 0x1.df267a9588a0bp-13, 0x1.cf7cfd2b16ddap-13, 0x1.c0421cbe4d93bp-13, 0x1.b17245700ea94p-13, 0x1.a30a01e784a37p-13, 0x1.9505fa71af06p-13, 0x1.8762f42a36cc6p-13, 0x1.7a1dd0263dfdap-13, 0x1.6d338aa3407cp-13, 0x1.60a13a3d7443ap-13, 0x1.54640f28bb2fap-13, 0x1.4879526f03755p-13, 0x1.3cde6531360c1p-13, 0x1.3190bfef62c3p-13, 0x1.268df1d2dbbcap-13, 0x1.1bd39ffee7f68p-13, 0x1.115f84e2a0dafp-13, 0x1.072f6f91ed14ap-13, 0x1.fa828643af229p-14, 0x1.e725ec0c0bb39p-14, 0x1.d44522ee14d9ap-14, 0x1.c1dc61af418ebp-14, 0x1.afe80242dc871p-14, 0x1.9e6480a79ffedp-14, 0x1.8d4e79cc2fbb6p-14, 0x1.7ca2aa7d5ea81p-14, 0x1.6c5dee5958a0dp-14, 0x1.5c7d3ec9b70d9p-14, 0x1.4cfdb2052ae73p-14, 0x1.3ddc7a17e3131p-14, 0x1.2f16e3f201f69p-14, 0x1.20aa567c17463p-14, 0x1.129451b5008dap-14, 0x1.04d26dd1322fap-14, 0x1.eec4b4c8253dap-15, 0x1.d483bb187508bp-15, 0x1.badda64e34131p-15, 0x1.a1ce581721051p-15, 0x1.8951da8c1c25ap-15, 0x1.71645ec107e8dp-15, 0x1.5a023b5184f83p-15, 0x1.4327eb02ab916p-15, 0x1.2cd20b6ada6a8p-15, 0x1.16fd5ba135d7bp-15, 0x1.01a6bafc1650cp-15, 0x1.d9964fa91c41p-16, 0x1.b0cf7cae90d06p-16, 0x1.88f36eb6cbc59p-16, 0x1.61fcce8a434p-16, 0x1.3be679dd39db6p-16, 0x1.16ab813b02e12p-16, 0x1.e48e4bdf1987cp-17, 0x1.9d69b033004bcp-17, 0x1.57e06974cb7fp-17, 0x1.13ea07bd1c973p-17, 0x1.a2fcdb4a57701p-18, 0x1.212b9999906f3p-18, 0x1.44a28a2f0d32p-19, 0x1.32fb4a0d8f253p-21, -0x1.4adf8efac52a2p-20, -0x1.92040e6f59722p-19, -0x1.3c8be7c918948p-18, -0x1.ad61f3038d41ap-18, -0x1.0dc8116e66847p-17, -0x1.4391017f5166ep-17, -0x1.78115ae02f8e9p-17, -0x1.ab4e7c97aa16p-17, -0x1.dd4d95d30610cp-17, -0x1.0709d41f71bddp-16, -0x1.1ed2c5147634ep-16, -0x1.3603f455e01a5p-16, -0x1.4c9fa4d221c03p-16, -0x1.62a806dd7854ep-16, -0x1.781f391aadc0ap-16, -0x1.8d074966b24b2p-16, -0x1.a16235b57cec6p-16, -0x1.b531ece88fd4fp-16, -0x1.c8784f9c3afd3p-16, -0x1.db3730ee6e074p-16, -0x1.ed705739cc9abp-16, -0x1.ff257cca67b12p-16, -0x1.082c28468c5fbp-15, -0x1.10853b5a8b277p-15, -0x1.189ec4abfe8f5p-15, -0x1.20798c8686478p-15, -0x1.281656bbfcb81p-15, -0x1.2f75e2ec6666dp-15, -0x1.3698ecc767526p-15, -0x1.3d802c4baef61p-15, -0x1.442c560395e47p-15, -0x1.4a9e1b3eef7d6p-15, -0x1.50d62a493fdc7p-15, -0x1.56d52e9e9e639p-15, -0x1.5c9bd11bd9056p-15, -0x1.622ab82ff8a42p-15, -0x1.67828806f3201p-15, -0x1.6ca3e2b5950c4p-15, -0x1.718f6860b91b1p-15, -0x1.7645b762ecbd6p-15, -0x1.7ac76c71699fp-15, -0x1.7f1522bcf6b2cp-15, -0x1.832f74116ea61p-15, -0x1.8716f8f5ffe03p-15, -0x1.8acc48c69ff55p-15, -0x1.8e4ff9d02c014p-15, -0x1.91a2a1691fab9p-15, -0x1.94c4d40818529p-15, -0x1.97b7255a53e3p-15, -0x1.9a7a2856f7b5p-15, -0x1.9d0e6f52c26b2p-15, -0x1.9f748c102829cp-15, -0x1.a1ad0fcfd8baep-15, -0x1.a3b88b5fe8f04p-15, -0x1.a5978f2949835p-15, -0x1.a74aab3b6542ap-15, -0x1.a8d26f58abf4ap-15, -0x1.aa2f6aff70e09p-15, -0x1.ab622d73e1493p-15, -0x1.ac6b45c814276p-15, -0x1.ad4b42e258f99p-15, -0x1.ae02b385d0677p-15, -0x1.ae92265571cbcp-15, -0x1.aefa29da3c78bp-15, -0x1.af3b4c86d9fb2p-15, -0x1.af561cba55762p-15, -0x1.af4b28c3f223cp-15, -0x1.af1afee345a2ap-15, -0x1.aec62d4af5cd1p-15, -0x1.ae4d42207eb72p-15, -0x1.adb0cb7c5f5c2p-15, -0x1.acf157695bbf2p-15, -0x1.ac0f73e511b77p-15, -0x1.ab0baedc587aap-15, -0x1.a9e6962b0132fp-15, -0x1.a8a0b799468dfp-15, -0x1.a73aa0d8284f3p-15, -0x1.a5b4df7f9b9fcp-15, -0x1.a410010a59098p-15, -0x1.a24c92d2f75ap-15, -0x1.a06b220f26fb2p-15, -0x1.9e6c3bcb96448p-15, -0x1.9c506ce7b5605p-15, -0x1.9a1842110b947p-15, -0x1.97c447bd91c87p-15, -0x1.95550a27841bap-15, -0x1.92cb154769e98p-15, -0x1.9026f4ce92e68p-15, -0x1.8d6934222c47bp-15, -0x1.8a925e545e3b1p-15, -0x1.87a2fe1f471e4p-15, -0x1.849b9dded61ep-15, -0x1.817cc78aeb5e4p-15, -0x1.7e4704b0d31fep-15, -0x1.7afade6d94bf7p-15, -0x1.7798dd674bfc9p-15, -0x1.742189c72adedp-15, -0x1.70956b3319f7p-15, -0x1.6cf508c784396p-15, -0x1.6940e9114a1c5p-15, -0x1.657992078c5dcp-15, -0x1.619f8904a4bbfp-15, -0x1.5db352c0dd6fep-15, -0x1.59b5734bb929cp-15, -0x1.55a66e061e083p-15, -0x1.5186c59c6475bp-15, -0x1.4d56fbffcce66p-15, -0x1.49179260d4f6ep-15, -0x1.44c909296430fp-15, -0x1.406bdff73b776p-15, -0x1.3c00959579896p-15, -0x1.3787a7f7d827fp-15, -0x1.33019434e294ep-15, -0x1.2e6ed6803b336p-15, -0x1.29cfea254833ep-15, -0x1.252549828f58fp-15, -0x1.206f6e042730ap-15, -0x1.1baed01e8bbddp-15, -0x1.16e3e74a17c87p-15, -0x1.120f29fdf4e95p-15, -0x1.0d310dabb828bp-15, -0x1.084a06bacbd14p-15, -0x1.035a8883fac39p-15, -0x1.fcc60a9a79491p-16, -0x1.f2c7dc8c08f03p-16, -0x1.e8bb6703ce598p-16, -0x1.dea187ec62b52p-16, -0x1.d47b1aeb9729ap-16, -0x1.ca48f95a50ec8p-16, -0x1.c00bfa3e98d7bp-16, -0x1.b5c4f2439db29p-16, -0x1.ab74b3b4f3246p-16, -0x1.a11c0e77da69p-16, -0x1.96bbd00566cc1p-16, -0x1.8c54c364f2204p-16, -0x1.81e7b12703105p-16, -0x1.77755f5f92073p-16, -0x1.6cfe91a1ff293p-16, -0x1.628408fcfcc63p-16, -0x1.580683f536f96p-16, -0x1.4d86be8233d2bp-16, -0x1.4305720ab05afp-16, -0x1.38835560cbdf7p-16, -0x1.2e011cbf28f57p-16, -0x1.237f79c617db1p-16, -0x1.18ff1b791a32fp-16, -0x1.0e80ae3cb491dp-16, -0x1.0404dbd3d05bap-16, -0x1.f31896baf0d7fp-17, -0x1.de2f42a941c2ep-17, -0x1.c94eff1c61bfep-17, -0x1.b4790a6f55b35p-17, -0x1.9fae9dac25a0ap-17, -0x1.8af0ec8b8ed7dp-17, -0x1.764125739babcp-17, -0x1.61a0717740019p-17, -0x1.4d0ff4573b001p-17, -0x1.3890cc834fef4p-17, -0x1.24241319cf785p-17, -0x1.0fcadbe80a818p-17, -0x1.f70c6adb8f3fep-18, -0x1.ceae51bd077fp-18, -0x1.a67d744cc7392p-18, -0x1.7e7bcfd462eb8p-18, -0x1.56ab5718e519dp-18, -0x1.2f0df25fc892cp-18, -0x1.07a57f794b825p-18, -0x1.c0e7a38f765bp-19, -0x1.72f5649a9d3e4p-19, -0x1.2577bf648656dp-19, -0x1.b0e4394a7f102p-20, -0x1.17cfa1211cc2ap-20, -0x1.fee0d75ce9f0cp-22, 0x1.75bb1aa23f99ep-24, 0x1.5acbcdbf3efcep-21, 0x1.426063777adc8p-20, 0x1.d645491e3fac7p-20, 0x1.3487709b853fap-19, 0x1.7d5bce541abeap-19, 0x1.c59d09c834b2dp-19, 0x1.06a441408e08fp-18, 0x1.2a2dd5b086088p-18, 0x1.4d6a053f53f51p-18, 0x1.70579c807cea1p-18, 0x1.92f5717e729c7p-18, 0x1.b54263a70154fp-18, 0x1.d73d5bb552834p-18, 0x1.f8e54b9fbbcd6p-18, 0x1.0d1c974139e18p-17, 0x1.1d9c04472cfa4p-17, 0x1.2df07377f0039p-17, 0x1.3e196fde1b19dp-17, 0x1.4e1688ee0304p-17, 0x1.5de75279000d7p-17, 0x1.6d8b64a2f1039p-17, 0x1.7d025bd8078e2p-17, 0x1.8c4bd8c0a5591p-17, 0x1.9b6780360c3b2p-17, 0x1.aa54fb3713425p-17, 0x1.b913f6db8a85ap-17, 0x1.c7a424486feeep-17, 0x1.d60538a4b2b02p-17, 0x1.e436ed0d2cf75p-17, 0x1.f238fe87539afp-17, 0x1.000596fb4a9a8p-16, 0x1.06d6a007af6bap-16, 0x1.0d8f7ea56f7d8p-16, 0x1.143018ecb466p-16, 0x1.1ab856cb949acp-16, 0x1.212821ffcdffbp-16, 0x1.277f6610ce47fp-16, 0x1.2dbe1048fc631p-16, 0x1.33e40faf5638fp-16, 0x1.39f15500d34f2p-16, 0x1.3fe5d2ab15c76p-16, 0x1.45c17cc4d74dfp-16, 0x1.4b8449088bae2p-16, 0x1.512e2ecdccd68p-16, 0x1.56bf270279096p-16, 0x1.5c372c24d0dc7p-16, 0x1.61963a3cfc744p-16, 0x1.66dc4ed654f1cp-16, 0x1.6c0968f93f6d8p-16, 0x1.711d8925706f5p-16, 0x1.7618b14b0008cp-16, 0x1.7afae4c4407dbp-16, 0x1.7fc4284f19b57p-16, 0x1.8474820700508p-16, 0x1.890bf95f0314ap-16, 0x1.8d8a971aeee2p-16, 0x1.91f065495884fp-16, 0x1.963d6f3dc5843p-16, 0x1.9a71c18a2e7aap-16, 0x1.9e8d69f89aaa4p-16, 0x1.a2907784eeb73p-16, 0x1.a67afa574a108p-16, 0x1.aa4d03bdd71c4p-16, 0x1.ae06a626ab3e9p-16, 0x1.b1a7f519d4fe8p-16, 0x1.b53105333b542p-16, 0x1.b8a1ec1cb3badp-16, 0x1.bbfac08864a45p-16, 0x1.bf3b9a2a87f4bp-16, 0x1.c26491b409448p-16, 0x1.c575c0cc37114p-16, 0x1.c86f420b6bcebp-16, 0x1.cb5130f54ae1fp-16, 0x1.ce1ba9f318fe5p-16, 0x1.d0ceca4dd460ep-16, 0x1.d36ab028d7653p-16, 0x1.d5ef7a7ca42d4p-16, 0x1.d85d4910e45cdp-16, 0x1.dab43c7777c49p-16, 0x1.dcf47606f17efp-16, 0x1.df1e17d4c9639p-16, 0x1.e13144b0bcd82p-16, 0x1.e32e201f43473p-16, 0x1.e514ce5447c42p-16, 0x1.e6e5742e89239p-16, 0x1.e8a03731ec942p-16, 0x1.ea453d82b6cd6p-16, 0x1.ebd4ade0a3608p-16, 0x1.ed4eafa1d5d89p-16, 0x1.eeb36aae43302p-16, 0x1.f003077a88487p-16, 0x1.f13daf0338b6p-16, 0x1.f2638ac88a818p-16, 0x1.f374c4c9331bp-16, 0x1.f471877e0340ap-16, 0x1.f559fdd5a9ce8p-16, 0x1.f62e532fb6e29p-16, 0x1.f6eeb3587955dp-16, 0x1.f79b4a8442ba4p-16, 0x1.f834454beb47ep-16, 0x1.f8b9d0a7dceddp-16, 0x1.f92c19ebed314p-16, 0x1.f98b4ec320b5cp-16, 0x1.f9d79d2c2d015p-16, 0x1.fa1133752ab9cp-16, 0x1.fa384037008b8p-16, 0x1.fa4cf25241296p-16, 0x1.fa4f78eb00d8fp-16, 0x1.fa4003650e6f1p-16, 0x1.fa1ec15ffee72p-16, 0x1.f9ebe2b3e2503p-16, 0x1.f9a7976d5809ep-16, 0x1.f9520fca26263p-16, 0x1.f8eb7c355422dp-16, 0x1.f8740d442fd1bp-16, 0x1.f7ebf3b27fd9ep-16, 0x1.f753605f3c3eep-16, 0x1.f6aa8449a494ap-16, }}, 
      {{0x1.73e033aab80d8p-8, 0x1.762ea225bded5p-7, 0x1.1b565baf8bccfp-6, 0x1.7e67119c30d76p-6, 0x1.e4aee40882917p-6, 0x1.2725c8d12937ep-5, 0x1.5d8eadabbd7d1p-5, 0x1.9569ba233f6a9p-5, 0x1.ce7c5be1732f8p-5, 0x1.043fe1ae74bdep-4, 0x1.21930e3934ddp-4, 0x1.3f0f7985ff7e1p-4, 0x1.5c8d605de15aep-4, 0x1.79e6d7ccff1ddp-4, 0x1.96f8d36542c27p-4, 0x1.b3a3dc3f971b8p-4, 0x1.cfcc84f4b9e2ep-4, 0x1.eb5ba6409fffdp-4, 0x1.031f37857395ep-3, 0x1.103328b0753d3p-3, 0x1.1ce46a58a3f1fp-3, 0x1.292faa3191bd4p-3, 0x1.351358610c6cap-3, 0x1.408f7b983e8f3p-3, 0x1.4ba582d3e20f8p-3, 0x1.56581660a1994p-3, 0x1.60aae9684966p-3, 0x1.6aa28d0060ef5p-3, 0x1.74444572eb7abp-3, 0x1.7d95e24454c16p-3, 0x1.869d994d68de5p-3, 0x1.8f61e51c15943p-3, 0x1.97e966b09edabp-3, 0x1.a03aca96165b7p-3, 0x1.a85cb14303285p-3, 0x1.b0559aa1e64d5p-3, 0x1.b82bd4976b864p-3, 0x1.bfe56c5594441p-3, 0x1.c7882246c2a64p-3, 0x1.cf196059966d1p-3, 0x1.d69e3275c2b98p-3, 0x1.de1b40e2cdbep-3, 0x1.e594cc6b39fc2p-3, 0x1.ed0eac08e7c0ep-3, 0x1.f48c4bea509e1p-3, 0x1.fc10ada35ff13p-3, 0x1.01cf34aff9c72p-2, 0x1.059bd7f8c558ep-2, 0x1.096f26ca7b555p-2, 0x1.0d49d6a823bep-2, 0x1.112c6e662aa8fp-2, 0x1.151748482e533p-2, 0x1.190a94447be04p-2, 0x1.1d065a633c6e5p-2, 0x1.210a7d3088048p-2, 0x1.2516bc39bfd24p-2, 0x1.292ab68f904dep-2, 0x1.2d45ed46f0b78p-2, 0x1.3167c5f452509p-2, 0x1.358f8d1ce2613p-2, 0x1.39bc789a848ep-2, 0x1.3deda9efb120bp-2, 0x1.42223088f9c36p-2, 0x1.46590bea5fd96p-2, 0x1.4a912dc718376p-2, 0x1.4ec97c02b306ep-2, 0x1.5300d29aeb99fp-2, 0x1.573605799edf4p-2, 0x1.5b67e22eb493bp-2, 0x1.5f953191e5318p-2, 0x1.63bcb94c7d9b1p-2, 0x1.67dd3d4b5cc0ap-2, 0x1.6bf581198c049p-2, 0x1.70044923e677ap-2, 0x1.74085be656d63p-2, 0x1.780083034b089p-2, 0x1.7beb8c45fd4p-2, 0x1.7fc84a904932ep-2, 0x1.839596b4bf27fp-2, 0x1.8752503db8863p-2, 0x1.8afd5e2226318p-2, 0x1.8e95af68e3e3ep-2, 0x1.921a3bbb4bde9p-2, 0x1.958a03e7ceaaap-2, 0x1.98e41255537fp-2, 0x1.9c277b681843ap-2, 0x1.9f535dd8d6379p-2, 0x1.a266e2fed651cp-2, 0x1.a5613f0db4ab8p-2, 0x1.a841b1477d9acp-2, 0x1.ab078423cc0cp-2, 0x1.adb20d6c95135p-2, 0x1.b040ae514059ep-2, 0x1.b2b2d370a2f14p-2, 0x1.b507f4da80987p-2, 0x1.b73f9609144efp-2, 0x1.b95945d33c57fp-2, 0x1.bb549e57c6247p-2, 0x1.bd3144e26048p-2, 0x1.beeee9caafd08p-2, 0x1.c08d484dfcac2p-2, 0x1.c20c2663ee0f8p-2, 0x1.c36b548ebdc69p-2, 0x1.c4aaada750d3ap-2, 0x1.c5ca16a5953dap-2, 0x1.c6c97e65855f2p-2, 0x1.c7a8dd692f43cp-2, 0x1.c86835980f3fdp-2, 0x1.c90791fc16272p-2, 0x1.c987067ca6ca1p-2, 0x1.c9e6af97d115ep-2, 0x1.ca26b21a175fbp-2, 0x1.ca473ad4f8588p-2, 0x1.ca487e548084p-2, 0x1.ca2ab8941c5e6p-2, 0x1.c9ee2cb2e29c1p-2, 0x1.c99324a786031p-2, 0x1.c919f0f427992p-2, 0x1.c882e85a2efb3p-2, 0x1.c7ce678e53855p-2, 0x1.c6fcd0ed0329p-2, 0x1.c60e8c2f469b4p-2, 0x1.c504062044b86p-2, 0x1.c3ddb05385a92p-2, 0x1.c29c00dc15e3bp-2, 0x1.c13f72049b829p-2, 0x1.bfc882087d297p-2, 0x1.be37b2ce3006dp-2, 0x1.bc8d89a2ba933p-2, 0x1.baca8ef687c42p-2, 0x1.b8ef4e1b930d3p-2, 0x1.b6fc5505008a3p-2, 0x1.b4f234082afe2p-2, 0x1.b2d17d9f3317ap-2, 0x1.b09ac62d2121p-2, 0x1.ae4ea3c39282ep-2, 0x1.abedadea0918p-2, 0x1.a9787d66db701p-2, 0x1.a6efac09c7c3ep-2, 0x1.a453d47833b96p-2, 0x1.a1a591fb16c38p-2, 0x1.9ee5804e91517p-2, 0x1.9c143b7331ae4p-2, 0x1.99325f80e8c3fp-2, 0x1.9640887ba6d76p-2, 0x1.933f5229a664ep-2, 0x1.902f57eb5da41p-2, 0x1.8d11349511dc1p-2, 0x1.89e5824a0f2c1p-2, 0x1.86acda597a394p-2, 0x1.8367d51cba006p-2, 0x1.801709d771701p-2, 0x1.7cbb0e99093b9p-2, 0x1.7954781fba81cp-2, 0x1.75e3d9bd1b9a5p-2, 0x1.7269c53c271e6p-2, 0x1.6ee6cac8ae383p-2, 0x1.6b5b78d83b819p-2, 0x1.67c85c1453f7ap-2, 0x1.642dff4614422p-2, 0x1.608ceb431f4eep-2, 0x1.5ce5a6dbd7a99p-2, 0x1.5938b6cadcf57p-2, 0x1.55869da5bf073p-2, 0x1.51cfdbcee70e5p-2, 0x1.4e14ef68a6f94p-2, 0x1.4a56544969cd7p-2, 0x1.469483f0fc26ap-2, 0x1.42cff57ee412cp-2, 0x1.3f091da9c1b0bp-2, 0x1.3b406eb7aa0eep-2, 0x1.377658777d9b3p-2, 0x1.33ab483b273b4p-2, 0x1.2fdfa8d2c47dp-2, 0x1.2c13e288a7ec8p-2, 0x1.28485b1e33cb3p-2, 0x1.247d75c97dc5cp-2, 0x1.20b39333bba6bp-2, 0x1.1ceb11786931ep-2, 0x1.19244c2525d68p-2, 0x1.155f9c3a3f38ep-2, 0x1.119d582be26cp-2, 0x1.0dddd3e3eb7f6p-2, 0x1.0a2160c44b767p-2, 0x1.06684daa0206cp-2, 0x1.02b2e6f09d08ep-2, 0x1.fe02ecec7b3aap-3, 0x1.f6a887402c861p-3, 0x1.ef5726bec583dp-3, 0x1.e80f506d9344ep-3, 0x1.e0d1848059d5ep-3, 0x1.d99e3e65af525p-3, 0x1.d275f4d41b1edp-3, 0x1.cb5919d7db62ap-3, 0x1.c4481ae154448p-3, 0x1.bd4360d413cf8p-3, 0x1.b64b50166618cp-3, 0x1.af6048a168f0bp-3, 0x1.a882a611a0e1dp-3, 0x1.a1b2bfb7f437ep-3, 0x1.9af0e8ab169e8p-3, 0x1.943d6fd94d971p-3, 0x1.8d98a01a887e1p-3, 0x1.8702c042c89cbp-3, 0x1.807c1334cdd5cp-3, 0x1.7a04d7f4fc7fbp-3, 0x1.739d49bc78e66p-3, 0x1.6d45a00c78753p-3, 0x1.66fe0ec1aaa06p-3, 0x1.60c6c627d3113p-3, 0x1.5a9ff30d6f40bp-3, 0x1.5489bed774b44p-3, 0x1.4e844f952374bp-3, 0x1.488fc813d25d4p-3, 0x1.42ac47f2ca5efp-3, 0x1.3cd9ebb716541p-3, 0x1.3718ccdf5030ap-3, 0x1.316901f75f3e7p-3, 0x1.2bca9eac25a2dp-3, 0x1.263db3df19a96p-3, 0x1.20c24fb9bf64p-3, 0x1.1b587dc110b35p-3, 0x1.160046e8b7921p-3, 0x1.10b9b1a62a781p-3, 0x1.0b84c203a4adp-3, 0x1.066179b2e7306p-3, 0x1.014fd81fd916bp-3, 0x1.f89fb505e0f73p-4, 0x1.eec2f7e6cf1ccp-4, 0x1.e5096af2827c3p-4, 0x1.db72fc3e20a58p-4, 0x1.d1ff9607137fp-4, 0x1.c8af1ed5ad7e9p-4, 0x1.bf81799f58035p-4, 0x1.b67685e8468b9p-4, 0x1.ad8e1fe4a0b1ap-4, 0x1.a4c820992bbcbp-4, 0x1.9c245dfb7041p-4, 0x1.93a2ab1157689p-4, 0x1.8b42d81035574p-4, 0x1.8304b27b50d91p-4, 0x1.7ae80541d8584p-4, 0x1.72ec98dc498f6p-4, 0x1.6b12336947925p-4, 0x1.635898c9dd97p-4, 0x1.5bbf8abd35e3ap-4, 0x1.5446c8fbb7aecp-4, 0x1.4cee115194eb7p-4, 0x1.45b51fb8c53p-4, 0x1.3e9bae726ca9bp-4, 0x1.37a1761fb0b23p-4, 0x1.30c62dd9f574ap-4, 0x1.2a098b4a9178ep-4, 0x1.236b42c1e5d86p-4, 0x1.1ceb074dea3d5p-4, 0x1.16888ad026834p-4, 0x1.10437e131e8ddp-4, 0x1.0a1b90df29fdep-4, 0x1.0410720ec4723p-4, 0x1.fc439f449677bp-5, 0x1.f09eada66a66ep-5, 0x1.e531684d743dep-5, 0x1.d9fb26ffe86efp-5, 0x1.cefb4062f79d4p-5, 0x1.c4310a1cf6fc3p-5, 0x1.b99bd8f679694p-5, 0x1.af3b00fa70d2ap-5, 0x1.a50dd59540b34p-5, 0x1.9b13a9b2d8277p-5, 0x1.914bcfdbd0ca2p-5, 0x1.87b59a5193c37p-5, 0x1.7e505b298d1f1p-5, 0x1.751b64676f887p-5, 0x1.6c16081689d3ap-5, 0x1.633f986236c54p-5, 0x1.5a9767ad65576p-5, 0x1.521cc8a94625p-5, 0x1.49cf0e6b16f45p-5, 0x1.41ad8c811bd8ap-5, 0x1.39b79706be8afp-5, 0x1.31ec82b7e155ep-5, 0x1.2a4ba503664a6p-5, 0x1.22d4541cf0b79p-5, 0x1.1b85e70ddb9f8p-5, 0x1.145fb5c57bacbp-5, 0x1.0d6119289b111p-5, 0x1.06896b204795bp-5, 0x1.ffb00d4fd098ap-6, 0x1.f2988fb54f1c5p-6, 0x1.e5cb180061269p-6, 0x1.d946633186323p-6, 0x1.cd0930d15e141p-6, 0x1.c11243064612cp-6, 0x1.b5605ea8e0be5p-6, 0x1.a9f24b57503b7p-6, 0x1.9ec6d38766902p-6, 0x1.93dcc497aadf2p-6, 0x1.8932eedf47469p-6, 0x1.7ec825bceedc4p-6, 0x1.749b3fa4bd305p-6, 0x1.6aab162d100a5p-6, 0x1.60f6861a6f14fp-6, 0x1.577c6f6a86653p-6, 0x1.4e3bb55e267dcp-6, 0x1.45333e827e97p-6, 0x1.3c61f4b95991ep-6, 0x1.33c6c540a8e37p-6, 0x1.2b60a0b925dffp-6, 0x1.232e7b2c39f46p-6, 0x1.1b2f4c1123f3ep-6, 0x1.13620e5167d83p-6, 0x1.0bc5c04c7e66ep-6, 0x1.045963dae02c6p-6, 0x1.fa37fca0dbd5p-7, 0x1.ec1930fc593e4p-7, 0x1.de547d66da212p-7, 0x1.d0e8017caa0bap-7, 0x1.c3d1e3d7d2411p-7, 0x1.b710520efd6fdp-7, 0x1.aaa180b348f7p-7, 0x1.9e83ab4d37ceap-7, 0x1.92b514588d5ecp-7, 0x1.8734053f61e55p-7, 0x1.7bfece5425d4cp-7, 0x1.7113c6cafdb85p-7, 0x1.66714cb2303f2p-7, 0x1.5c15c4e9debadp-7, 0x1.51ff9b1af9fdcp-7, 0x1.482d41ad8a1dbp-7, 0x1.3e9d31be43c28p-7, 0x1.354deb138b165p-7, 0x1.2c3df411c2b52p-7, 0x1.236bd9af2f165p-7, 0x1.1ad62f671f105p-7, 0x1.127b8f2cc0c25p-7, 0x1.0a5a995d5e37cp-7, 0x1.0271f4b229742p-7, 0x1.f5809c6356a8p-8, 0x1.e688b2416fb1fp-8, 0x1.d7f99de61db8cp-8, 0x1.c9d0de77311bp-8, 0x1.bc0bff38c415ep-8, 0x1.aea8976c75f87p-8, 0x1.a1a44a30098f1p-8, 0x1.94fcc65bb477p-8, 0x1.88afc65fd2817p-8, 0x1.7cbb102218bcbp-8, 0x1.711c74da9c4c3p-8, 0x1.65d1d0f02f85dp-8, 0x1.5ad90bd4c979ap-8, 0x1.503017e153814p-8, 0x1.45d4f231700f1p-8, 0x1.3bc5a27ee2e8cp-8, 0x1.32003afcdbd53p-8, 0x1.2882d833325ep-8, 0x1.1f4ba0d9566a7p-8, 0x1.1658c5b1404a3p-8, 0x1.0da881624d53dp-8, 0x1.0539185423d4fp-8, 0x1.fa11b112da23bp-9, 0x1.ea2c32f56f9abp-9, 0x1.dabe77e2a54dep-9, 0x1.cbc553c44f326p-9, 0x1.bd3dac91a7691p-9, 0x1.af247a056cd08p-9, 0x1.a176c55446d54p-9, 0x1.9431a8e394c7dp-9, 0x1.875250005958fp-9, 0x1.7ad5f696ac10ap-9, 0x1.6eb9e8e98838fp-9, 0x1.62fb834adf562p-9, 0x1.579831d43dfcep-9, 0x1.4c8d701fe5308p-9, 0x1.41d8c902680c4p-9, 0x1.3777d6449c2cfp-9, 0x1.2d68405e78cc8p-9, 0x1.23a7be320fc1dp-9, 0x1.1a3414c77ad32p-9, 0x1.110b17095bf64p-9, 0x1.082aa581a62fdp-9, 0x1.ff215c2eedd45p-10, 0x1.ee76579abb458p-10, 0x1.de504d00c17cfp-10, 0x1.ceab654f67641p-10, 0x1.bf83e22a2d3a4p-10, 0x1.b0d61d6bf39b8p-10, 0x1.a29e88aa7b86ap-10, 0x1.94d9acbbf6701p-10, 0x1.8784293d3093dp-10, 0x1.7a9ab419fbbdcp-10, 0x1.6e1a1916cc501p-10, 0x1.61ff395bd2d82p-10, 0x1.56470b01e2211p-10, 0x1.4aee98a0aa6cbp-10, 0x1.3ff300de76dacp-10, 0x1.35517601ac0dp-10, 0x1.2b073d83e63f6p-10, 0x1.2111afa66023ep-10, 0x1.176e37084da5p-10, 0x1.0e1a503e61048p-10, 0x1.0513896c5ead4p-10, 0x1.f8af03bf8691ep-11, 0x1.e7c7d3590b6a8p-11, 0x1.d76d02964544ap-11, 0x1.c79a327038278p-11, 0x1.b84b232ad9904p-11, 0x1.a97bb39a2e412p-11, 0x1.9b27e06ba041ep-11, 0x1.8d4bc371a3be3p-11, 0x1.7fe392f2548dcp-11, 0x1.72eba0fa0162cp-11, 0x1.66605aaff074p-11, 0x1.5a3e47aeaae5ap-11, 0x1.4e82095f135e4p-11, 0x1.43285a56ca623p-11, 0x1.382e0db908836p-11, 0x1.2d900e9ad03fbp-11, 0x1.234b5f6a314dap-11, 0x1.195d1957dbe79p-11, 0x1.0fc26bc42572bp-11, 0x1.06789baeeb3b2p-11, 0x1.fafa0653321c7p-12, 0x1.e99a219989113p-12, 0x1.d8cc8e60498edp-12, 0x1.c88c78cacdaadp-12, 0x1.b8d532eb24fcbp-12, 0x1.a9a233c28d61bp-12, 0x1.9aef16471027fp-12, 0x1.8cb7986df0c22p-12, 0x1.7ef79a3c45184p-12, 0x1.71ab1cdb86c15p-12, 0x1.64ce41b3d2741p-12, 0x1.585d498aeea4dp-12, 0x1.4c5493a8091a6p-12, 0x1.40b09cfca49f6p-12, 0x1.356dff51b2818p-12, 0x1.2a89707a3a4d3p-12, 0x1.1fffc189d42b5p-12, 0x1.15cdde0fc50abp-12, 0x1.0bf0cb571c109p-12, 0x1.0265a7aa92p-12, 0x1.f253533a4f696p-13, 0x1.e0743eadf8404p-13, 0x1.cf28dbcc9fc44p-13, 0x1.be6c2128b7ec9p-13, 0x1.ae39307d10da1p-13, 0x1.9e8b556782dfap-13, 0x1.8f5e042a9bac4p-13, 0x1.80acd877e0512p-13, 0x1.72739440d4434p-13, 0x1.64ae1e90777fp-13, 0x1.5758826a4565fp-13, 0x1.4a6eedb29defdp-13, 0x1.3dedb01cdd853p-13, 0x1.31d13a202184bp-13, 0x1.26161bf476677p-13, 0x1.1ab90494704c4p-13, 0x1.0fb6c0c6f463cp-13, 0x1.050c3a2f189acp-13, 0x1.f56cecc2a6b68p-14, 0x1.e1652c0099edcp-14, 0x1.cdfba7bdbfa73p-14, 0x1.bb2b084f9ebb4p-14, 0x1.a8ee27176ee5p-14, 0x1.97400ce99b5a7p-14, 0x1.861bf07ebb129p-14, 0x1.757d34f0ed60ep-14, 0x1.655f68442715dp-14, 0x1.55be41f7ca6cp-14, 0x1.4695a1a20cba3p-14, 0x1.37e18d9726a2cp-14, 0x1.299e31984039bp-14, 0x1.1bc7dd8ddcb87p-14, 0x1.0e5b0449c42f9p-14, 0x1.01543a52fdd1fp-14, 0x1.e9606977fa27bp-15, 0x1.d0d78ffb9861p-15, 0x1.b907cdbfcd5cep-15, 0x1.a1eb42cb329a5p-15, 0x1.8b7c47887e713p-15, 0x1.75b56ac4fa97dp-15, 0x1.60916fbc062b7p-15, 0x1.4c0b4c3237ffp-15, 0x1.381e269ef73c4p-15, 0x1.24c554650026ap-15, 0x1.11fc58198daa1p-15, 0x1.ff7dbfb04ec28p-16, 0x1.dc118746915bbp-16, 0x1.b9ac07a9a19b5p-16, 0x1.98458f2f9cfc5p-16, 0x1.77d6b6e1eff8fp-16, 0x1.58585fa1c297bp-16, 0x1.39c3af6a42ff4p-16, 0x1.1c120ea26b36p-16, 0x1.fe7a4b1bead7fp-17, 0x1.c67db3990fc9fp-17, 0x1.902297e22e916p-17, 0x1.5b5daa56610f2p-17, 0x1.28240a113da8ap-17, 0x1.ecd67d2647d83p-18, 0x1.8c52670ee0588p-18, 0x1.2ea8696d053d2p-18, 0x1.a78ba8802c25p-19, 0x1.ee62a169a1c58p-20, 0x1.307c809f83d77p-21, -0x1.67313ded12bf6p-21, -0x1.f5625a4291e9dp-20, -0x1.96ae7d79c76c6p-19, -0x1.16f113c1b21bcp-18, -0x1.6034805e7547bp-18, -0x1.a72f6c71a468p-18, -0x1.ebef429eb4597p-18, -0x1.17407addf071ap-17, -0x1.3778830878016p-17, -0x1.56a5c32db9843p-17, -0x1.74ce1058134efp-17, -0x1.91f70d8b80ce1p-17, -0x1.ae262e07feeeep-17, -0x1.c960b76d228d3p-17, -0x1.e3abc3cd093ffp-17, -0x1.fd0c43aa28101p-17, -0x1.0ac37fef20febp-16, -0x1.16904db68b05cp-16, -0x1.21eecaa3d26fep-16, -0x1.2ce124fd6bb77p-16, -0x1.37697aa516f3p-16, -0x1.4189d9e0e8cf4p-16, -0x1.4b44421538334p-16, -0x1.549aa47caee08p-16, -0x1.5d8ee4d461759p-16, -0x1.6622da046148ap-16, -0x1.6e584ebbcd752p-16, -0x1.76310209e7614p-16, -0x1.7daea7efde6a5p-16, -0x1.84d2e9e9da92fp-16, -0x1.8b9f67750b61cp-16, -0x1.9215b68cae6c3p-16, -0x1.98376422776a5p-16, -0x1.9e05f4908befcp-16, -0x1.a382e407f8fb8p-16, -0x1.a8afa6f6ef01dp-16, -0x1.ad8daa6d03657p-16, -0x1.b21e5477bb907p-16, -0x1.b663047c5e87cp-16, -0x1.ba5d138c10732p-16, -0x1.be0dd4b5bd89p-16, -0x1.c176954fea70ap-16, -0x1.c4989d4200c6ap-16, -0x1.c7752f484289ap-16, -0x1.ca0d89335b96dp-16, -0x1.cc62e4277f236p-16, -0x1.ce7674d3785d2p-16, -0x1.d0496ba862effp-16, -0x1.d1dcf50bc31cbp-16, -0x1.d3323987f78e8p-16, -0x1.d44a5df93c157p-16, -0x1.d52683b8564dbp-16, -0x1.d5c7c8c1a8a82p-16, -0x1.d62f47db0f9abp-16, -0x1.d65e18b592331p-16, -0x1.d655500ed1cf4p-16, -0x1.d615ffcf0e56cp-16, -0x1.d5a13724e9fcep-16, -0x1.d4f8029f88332p-16, -0x1.d41b6c470d8d5p-16, -0x1.d30c7bb207045p-16, -0x1.d1cc361bd04dfp-16, -0x1.d05b9e758449cp-16, -0x1.cebbb57940a09p-16, -0x1.cced79b7a09aap-16, -0x1.caf1e7a85aaf5p-16, -0x1.c8c9f9b6be6f6p-16, -0x1.c676a84cd43c5p-16, -0x1.c3f8e9df2937ap-16, -0x1.c151b2f5982d5p-16, -0x1.be81f633733fbp-16, -0x1.bb8aa45f78407p-16, -0x1.b86cac6a4a03ap-16, -0x1.b528fb737dceap-16, -0x1.b1c07ccefba53p-16, -0x1.ae341a081298ap-16, -0x1.aa84bae577ffcp-16, -0x1.a6b3456b339dfp-16, -0x1.a2c09ddcff154p-16, -0x1.9eada6bf4ce94p-16, -0x1.9a7b40d7bc81ep-16, -0x1.962a4b2d62f3p-16, -0x1.91bba307d48c6p-16, -0x1.8d3023f052c5ap-16, -0x1.8888a7ae220d7p-16, -0x1.83c60647692aap-16, -0x1.7ee915fd4e1ebp-16, -0x1.79f2ab4b0bf59p-16, -0x1.74e398e2c6af3p-16, -0x1.6fbcafab7eaaep-16, -0x1.6a7ebebdc705ap-16, -0x1.652a93604dda1p-16, -0x1.5fc0f90515c3ap-16, -0x1.5a42b9460048p-16, -0x1.54b09be0be0cbp-16, -0x1.4f0b66b3e452bp-16, -0x1.4953ddbafc282p-16, -0x1.438ac30a39b0bp-16, -0x1.3db0d6cb1abc6p-16, -0x1.37c6d7384d9eep-16, -0x1.31cd8099469a1p-16, -0x1.2bc58d3fbffefp-16, -0x1.25afb58238bb8p-16, -0x1.1f8cafb9b60dep-16, -0x1.195d303cd0bebp-16, -0x1.1321e95c21474p-16, -0x1.0cdb8b5ef1dc3p-16, -0x1.068ac47fa5889p-16, -0x1.003040e7d2e6bp-16, -0x1.f399555a1a74dp-17, -0x1.e6c1539aef004p-17, -0x1.d9d9c8597a2bfp-17, -0x1.cce3fb2179247p-17, -0x1.bfe12f3dfb9b7p-17, -0x1.b2d2a3b3f9648p-17, -0x1.a5b9933b1f394p-17, -0x1.9897343b1252ep-17, -0x1.8b6cb8c4d19fp-17, -0x1.7e3b4e8ec09e6p-17, -0x1.71041ef0ebe8fp-17, -0x1.63c84ee0ea418p-17, -0x1.5688feee0cecep-17, -0x1.49474b3f13fe5p-17, -0x1.3c044b8e1296cp-17, -0x1.2ec1132775dccp-17, -0x1.217eb0e59e268p-17, -0x1.143e2f32496cep-17, -0x1.0700940186b9bp-17, -0x1.f38dc1a5a2f8bp-18, -0x1.d924255ff8858p-18, -0x1.bec644555d17fp-18, -0x1.a47606bee4a3p-18, -0x1.8a354be86631cp-18, -0x1.7005ea313fe68p-18, -0x1.55e9af0febd6ep-18, -0x1.3be25f136d3c6p-18, -0x1.21f1b5e49c7e6p-18, -0x1.0819664eeccd3p-18, -0x1.dcb6347ead20fp-19, -0x1.a970e598a39c9p-19, -0x1.76661077407eep-19, -0x1.4398d40e25a9ap-19, -0x1.110c3dcbb22fap-19, -0x1.bd8693480cc13p-20, -0x1.5981c4483aa6cp-20, -0x1.ec1f820696456p-21, -0x1.266c32c3b4e29p-21, -0x1.87d1d739cc9a9p-23, 0x1.84f478ed7f139p-23, 0x1.231e36c84d3cbp-21, 0x1.e3a4c50c30a5p-21, 0x1.51637ec7f7f69p-20, 0x1.b03dabdc69036p-20, 0x1.072e2363671ccp-19, 0x1.35dd66c7bf09dp-19, 0x1.642a6f8960affp-19, 0x1.92131d6a42fb1p-19, 0x1.bf9560541f2cep-19, 0x1.ecaf3846bc26dp-19, 0x1.0caf5a97d7aa6p-18, 0x1.22d0fb68f3946p-18, 0x1.38bb964de06edp-18, 0x1.4e6e4ac55283p-18, 0x1.63e8400468fa6p-18, 0x1.7928a4e28a013p-18, 0x1.8e2eafc8d861ep-18, 0x1.a2f99e9f6f95bp-18, 0x1.b788b6bc35a93p-18, 0x1.cbdb44ce335c4p-18, 0x1.dff09cc90273ep-18, 0x1.f3c819d5931f9p-18, 0x1.03b08f1d397afp-17, 0x1.0d5d89a459b4dp-17, 0x1.16eab4a4e3a2p-17, 0x1.2057cbb37dc51p-17, 0x1.29a48dcc42615p-17, 0x1.32d0bd46f7011p-17, 0x1.3bdc1fcce377ep-17, 0x1.44c67e4f7948fp-17, 0x1.4d8fa4fae04fp-17, 0x1.5637632df58fcp-17, 0x1.5ebd8b6d858c8p-17, 0x1.6721f35a3dc8bp-17, 0x1.6f6473a5f6472p-17, 0x1.7784e807de66p-17, 0x1.7f832f315763ep-17, 0x1.875f2ac4344c8p-17, 0x1.8f18bf45895a9p-17, 0x1.96afd413d7b7p-17, 0x1.9e24535bbb514p-17, 0x1.a5762a0c97463p-17, 0x1.aca547cc48f58p-17, 0x1.b3b19eee07e5ep-17, 0x1.ba9b24651572ap-17, 0x1.c161cfba21a9dp-17, 0x1.c8059b00eb418p-17, 0x1.ce8682cb9f16dp-17, 0x1.d4e4861fd3d86p-17, 0x1.db1fa66cbb89bp-17, 0x1.e137e77d83ecdp-17, 0x1.e72d4f6fe7235p-17, 0x1.ecffe6a89e702p-17, 0x1.f2afb7c83cbc7p-17, 0x1.f83ccf9f2e0e4p-17, 0x1.fda73d2450cf9p-17, 0x1.017788b4259b4p-16, 0x1.040a2fc5daca4p-16, 0x1.068b9e599cc08p-16, 0x1.08fbdffedb32bp-16, 0x1.0b5b013c58aep-16, 0x1.0da90f8a70f18p-16, 0x1.0fe6194e831c9p-16, 0x1.12122dd55140ap-16, 0x1.142d5d4d36ep-16, 0x1.1637b8c1b2189p-16, 0x1.18315215761b3p-16, 0x1.1a1a3bfdb09abp-16, 0x1.1bf289fc63999p-16, 0x1.1dba505c11e37p-16, 0x1.1f71a429cbc0fp-16, 0x1.21189b308ce68p-16, 0x1.22af4bf458dp-16, 0x1.2435cdad1a96p-16, 0x1.25ac384179f32p-16, 0x1.2712a4428d81cp-16, 0x1.28692ae69c4cdp-16, 0x1.29afe60452abep-16, 0x1.2ae6f00e781adp-16, 0x1.2c0e640e9c9ddp-16, 0x1.2d265da0ce991p-16, 0x1.2e2ef8ef06702p-16, 0x1.2f2852aca70bp-16, 0x1.30128811aac51p-16, 0x1.30edb6d678409p-16, 0x1.31b9fd2f7c241p-16, 0x1.327779c8d2b27p-16, 0x1.33264bc1c56d7p-16, 0x1.33c692a8a6664p-16, 0x1.34586e76dc8cap-16, 0x1.34dbff8c6ab0bp-16, 0x1.355166ac1fd97p-16, 0x1.35b8c4f73bd1cp-16, 0x1.36123be9d419p-16, 0x1.365ded568ec66p-16, 0x1.369bfb62f910ap-16, 0x1.36cc8883c6c6ep-16, 0x1.36efb778c4afap-16, 0x1.3705ab4946d7dp-16, 0x1.370e8740b3b53p-16, 0x1.370a6eea9a8c4p-16, 0x1.36f9860f40033p-16, 0x1.36dbf0b017f8dp-16, 0x1.36b1d30484881p-16, 0x1.367b517647f1ap-16, 0x1.3638909e2c90dp-16, 0x1.35e9b540d18fcp-16, 0x1.358ee44b4472ep-16, 0x1.352842d00f603p-16, 0x1.34b5f603ef7cep-16, 0x1.3438233aed4b4p-16, 0x1.33aeefe537101p-16, 0x1.331a818c1ba4dp-16, 0x1.327afdcf46246p-16, 0x1.31d08a61e3f98p-16, 0x1.311b4d07b26d5p-16, 0x1.305b6b925fcc4p-16, 0x1.2f910bdedbf7ep-16, 0x1.2ebc53d2991f1p-16, 0x1.2ddd6958e3844p-16, 0x1.2cf4726089408p-16, 0x1.2c0194d94bfacp-16, 0x1.2b04f6b1437dcp-16, 0x1.29febdd29836dp-16, 0x1.28ef102159ce9p-16, 0x1.27d61378f0e0fp-16, 0x1.26b3eda9f424fp-16, 0x1.2588c477dde03p-16, 0x1.2454bd9708b0ep-16, 0x1.2317feaa87978p-16, 0x1.21d2ad422b664p-16, 0x1.2084eed871da1p-16, 0x1.1f2ee8d083d56p-16, 0x1.1dd0c07444e5bp-16, 0x1.1c6a9af27d733p-16, 0x1.1afc9d5d38d19p-16, 0x1.1986eca7b22f6p-16, 0x1.1809ada4a7d7dp-16, 0x1.16850504d27c6p-16, 0x1.14f9175546dfbp-16, 0x1.136608fd9253fp-16, 0x1.11cbfe3e624bbp-16, 0x1.102b1b2fdd5f1p-16, 0x1.0e8383c0496bbp-16, 0x1.0cd55bb29fb0ap-16, 0x1.0b20c69d16d39p-16, 0x1.0965e7e7b9deep-16, 0x1.07a4e2cb29c2ep-16, 0x1.05ddda4f4c1bp-16, 0x1.0410f14a160d6p-16, 0x1.023e4a5e4f3d3p-16, 0x1.006607fa701eap-16, 0x1.fd1098af3fff7p-17, 0x1.f94a72f0e5de4p-17, 0x1.f579e24fcf8a4p-17, 0x1.f19f29f0a6dfbp-17, 0x1.edba8c851a33ep-17, 0x1.e9cc4c498ee6ep-17, 0x1.e5d4ab03c6121p-17, 0x1.e1d3ea010b0a5p-17, 0x1.ddca4a143252fp-17, 0x1.d9b80b9404a74p-17, 0x1.d59d6e59e68bp-17, 0x1.d17ab1c0504c1p-17, 0x1.cd5014a124decp-17, 0x1.c91dd55467d78p-17, 0x1.c4e431af38921p-17, 0x1.c0a3670280f65p-17, 0x1.bc5bb2198e9fbp-17, 0x1.b80d4f38ce9aep-17, 0x1.b3b87a1d165eep-17, 0x1.af5d6dfa1eb0dp-17, 0x1.aafc657a2bbadp-17, 0x1.a6959abd1f41bp-17, 0x1.a2294757105b5p-17, 0x1.9db7a44fa4422p-17, 0x1.9940ea218ca11p-17, 0x1.94c550b9b80ccp-17, 0x1.90450f76b65ecp-17, 0x1.8bc05d27f3456p-17, 0x1.8737700d1a9ebp-17, 0x1.82aa7dd5eeadap-17, 0x1.7e19bba1dee55p-17, 0x1.79855dff0bb5ep-17, 0x1.74ed98ea496e2p-17, 0x1.70529fce9d168p-17, 0x1.6bb4a584ebbcbp-17, 0x1.6713dc54215cep-17, 0x1.627075f093ccp-17, 0x1.5dcaa37c1b377p-17, 0x1.59229585bd1ddp-17, 0x1.54787c09741aep-17, 0x1.4fcc867072321p-17, 0x1.4b1ee390ef606p-17, 0x1.466fc1ae364acp-17, 0x1.41bf4e78c7687p-17, }}, 
      {{0x1.fb7f1297fd5c2p-1, 0x1.faf1c153e5869p-1, 0x1.fa11f4bb5d8c7p-1, 0x1.f8ec1adcd700dp-1, 0x1.f78c868ee690fp-1, 0x1.f5fe3b965f17dp-1, 0x1.f44a662de4bafp-1, 0x1.f2783b04aa92dp-1, 0x1.f08d135bb9c2bp-1, 0x1.ee8ca86d4af92p-1, 0x1.ec795bd921547p-1, 0x1.ea5481eb9d334p-1, 0x1.e81ea74c145c8p-1, 0x1.e5d7ceb1f9ef7p-1, 0x1.e37fa535f0d94p-1, 0x1.e115ad094a663p-1, 0x1.de995f141a938p-1, 0x1.dc0a445bea21cp-1, 0x1.d96808412e1fep-1, 0x1.d6b284ac16504p-1, 0x1.d3e9c9377ed4cp-1, 0x1.d10e1e53a6f2bp-1, 0x1.ce20053f94ec9p-1, 0x1.cb20359b4b125p-1, 0x1.c80f99388871ep-1, 0x1.c4ef46b4f9d2ap-1, 0x1.c1c07b50373dap-1, 0x1.be84945a19b0cp-1, 0x1.bb3d0882c201p-1, 0x1.b7eb6145334c3p-1, 0x1.b4913497570fcp-1, 0x1.b1301efe79e81p-1, 0x1.adc9be1d963d3p-1, 0x1.aa5fabcac3122p-1, 0x1.a6f379b2bd0cdp-1, 0x1.a386ad8c6c664p-1, 0x1.a01abdda5a6a5p-1, 0x1.9cb10f351bc0fp-1, 0x1.994af217854c8p-1, 0x1.95e9a12408b6dp-1, 0x1.928e3fd9a177ep-1, 0x1.8f39d9ae36159p-1, 0x1.8bed61842480cp-1, 0x1.88a9b170cdb26p-1, 0x1.856f8aca3b41bp-1, 0x1.823f96726c785p-1, 0x1.7f1a65576a32cp-1, 0x1.7c00711fd583cp-1, 0x1.78f21cfc55a6ap-1, 0x1.75efb696ef61dp-1, 0x1.72f97719fe25p-1, 0x1.700f84492977ep-1, 0x1.6d31f1a75a312p-1, 0x1.6a60c1a54052ep-1, 0x1.679be6d48e68p-1, 0x1.64e3451c952a5p-1, 0x1.6236b2ed5a977p-1, 0x1.5f95fa6ebfe3dp-1, 0x1.5d00daa9a8125p-1, 0x1.5a7708a96a75fp-1, 0x1.57f830942ff4bp-1, 0x1.5583f6b91f966p-1, 0x1.5319f8937bd62p-1, 0x1.50b9cdc20ce12p-1, 0x1.4e6308f262ffap-1, 0x1.4c1538bfa34ebp-1, 0x1.49cfe884b76e6p-1, 0x1.4792a121daddp-1, 0x1.455ce9b591a74p-1, 0x1.432e484931542p-1, 0x1.4106427138154p-1, 0x1.3ee45de1b4a3dp-1, 0x1.3cc820f718bcbp-1, 0x1.3ab11333ce679p-1, 0x1.389ebdb2f9d15p-1, 0x1.3690ab90d2268p-1, 0x1.34866a48fc167p-1, 0x1.327f8a0b5d2ep-1, 0x1.307b9e07d7f85p-1, 0x1.2e7a3cb163e82p-1, 0x1.2c7afff8f676cp-1, 0x1.2a7d8580add8p-1, 0x1.28816ec7ac876p-1, 0x1.2686614f16efdp-1, 0x1.248c06b89bd91p-1, 0x1.22920cdef1294p-1, 0x1.209825e8ab3b4p-1, 0x1.1e9e0855d034bp-1, 0x1.1ca36f0887046p-1, 0x1.1aa819493bc06p-1, 0x1.18abcac6923c5p-1, 0x1.16ae4b917bb89p-1, 0x1.14af6815bd132p-1, 0x1.12aef10f35bcfp-1, 0x1.10acbb7c2d2a3p-1, 0x1.0ea8a08cef159p-1, 0x1.0ca27d90f73ep-1, 0x1.0a9a33e1eb4abp-1, 0x1.088fa8cc9edep-1, 0x1.0682c57859ea3p-1, 0x1.047376cc93dc2p-1, 0x1.0261ad555ace1p-1, 0x1.004d5d268e8fcp-1, 0x1.fc6cfb7c4742dp-2, 0x1.f83a13cb1dcdp-2, 0x1.f401ff2511cbfp-2, 0x1.efc4bf8e8c21p-2, 0x1.eb825ce49661p-2, 0x1.e73ae49bf05f1p-2, 0x1.e2ee697fd6fd5p-2, 0x1.de9d0370a9916p-2, 0x1.da46cf22a464ap-2, 0x1.d5ebeddcde7fp-2, 0x1.d18c8538b1702p-2, 0x1.cd28bee1b5bf3p-2, 0x1.c8c0c85675e0dp-2, 0x1.c454d2a9f528p-2, 0x1.bfe512462f359p-2, 0x1.bb71beaf9fb93p-2, 0x1.b6fb1249f4d3fp-2, 0x1.b2814a1df86b3p-2, 0x1.ae04a5a0c9ef7p-2, 0x1.a985667c73244p-2, 0x1.a503d059eb43cp-2, 0x1.a08028ac8ff7ep-2, 0x1.9bfab67f238d4p-2, 0x1.9773c24253e59p-2, 0x1.92eb959cd5978p-2, 0x1.8e627b3d15705p-2, 0x1.89d8beac867e9p-2, 0x1.854eac248ca67p-2, 0x1.80c490650ac88p-2, 0x1.7c3ab88c8bb05p-2, 0x1.77b171f20f762p-2, 0x1.73290a0072568p-2, 0x1.6ea1ce1371d59p-2, 0x1.6a1c0b5646f16p-2, 0x1.65980ea3d3a1dp-2, 0x1.6116246862534p-2, 0x1.5c969884e9ba5p-2, 0x1.5819b633d4905p-2, 0x1.539fc7ef48d1ap-2, 0x1.4f291758df8afp-2, 0x1.4ab5ed22cef72p-2, 0x1.464690fa76373p-2, 0x1.41db49744aa52p-2, 0x1.3d745bf918adcp-2, 0x1.39120cb4920ap-2, 0x1.34b49e8521dd6p-2, 0x1.305c52ecf8a69p-2, 0x1.2c096a044dcfap-2, 0x1.27bc226cc859dp-2, 0x1.2374b946079c4p-2, 0x1.1f336a2343b92p-2, 0x1.1af86f01fa5bap-2, 0x1.16c400419e105p-2, 0x1.1296549c4442fp-2, 0x1.0e6fa1203fda2p-2, 0x1.0a50192aa8e0cp-2, 0x1.0637ee62bfa5ep-2, 0x1.022750b6275dcp-2, 0x1.fc3cdcabe1934p-3, 0x1.f43ae768c7803p-3, 0x1.ec49170717151p-3, 0x1.e467bd68e1159p-3, 0x1.dc9728ee039acp-3, 0x1.d4d7a47538fep-3, 0x1.cd29775e6a76ep-3, 0x1.c58ce58e1a701p-3, 0x1.be022f71ed9cfp-3, 0x1.b6899206386c5p-3, 0x1.af2346dc880ccp-3, 0x1.a7cf842313a8bp-3, 0x1.a08e7cad0a6ap-3, 0x1.99605ffbb033bp-3, 0x1.92455a483cbfep-3, 0x1.8b3d948e72945p-3, 0x1.84493497d60e2p-3, 0x1.7d685d078b8d3p-3, 0x1.769b2d66bd15dp-3, 0x1.6fe1c2318bcd7p-3, 0x1.693c34e478371p-3, 0x1.62aa9c0a3f6c8p-3, 0x1.5c2d0b4a1594ap-3, 0x1.55c3937644a02p-3, 0x1.4f6e429b1b11fp-3, 0x1.492d240e2206bp-3, 0x1.4300407d98bap-3, 0x1.3ce79e0023f0ep-3, 0x1.36e34024adc56p-3, 0x1.30f3280276b42p-3, 0x1.2b1754493bc63p-3, 0x1.254fc1517d46ep-3, 0x1.1f9c692cdd38dp-3, 0x1.19fd43b683f3fp-3, 0x1.147246a38f511p-3, 0x1.0efb659381d62p-3, 0x1.09989220b1e1ap-3, 0x1.0449bbf0a8206p-3, 0x1.fe1da188f1771p-4, 0x1.f3cf791200c31p-4, 0x1.e9a8d2ce24b4fp-4, 0x1.dfa97fa70a5f5p-4, 0x1.d5d14d3e44993p-4, 0x1.cc20060ce4e0ep-4, 0x1.c2957182c6d72p-4, 0x1.b931542583c4bp-4, 0x1.aff36faf16f52p-4, 0x1.a6db832c16c22p-4, 0x1.9de94b199223cp-4, 0x1.951c81827ff35p-4, 0x1.8c74de1cbf2c9p-4, 0x1.83f21665af096p-4, 0x1.7b93ddbe44efp-4, 0x1.7359e586b24b5p-4, 0x1.6b43dd3989519p-4, 0x1.6351728667fa3p-4, 0x1.5b82516c1cf5bp-4, 0x1.53d624524c5f5p-4, 0x1.4c4c94228e907p-4, 0x1.44e5486107aa4p-4, 0x1.3d9fe74475bb2p-4, 0x1.367c15cdb95d4p-4, 0x1.2f7977decfa92p-4, 0x1.2897b05143fe6p-4, 0x1.21d6610c15c39p-4, 0x1.1b352b1910884p-4, 0x1.14b3aeb99c84bp-4, 0x1.0e518b7afd6eap-4, 0x1.080e604a0c504p-4, 0x1.01e9cb865fb42p-4, 0x1.f7c6d629dfc21p-5, 0x1.ebf5b8e4554d7p-5, 0x1.e05f798707dbfp-5, 0x1.d50351d0f4802p-5, 0x1.c9e07b162b8fap-5, 0x1.bef62e5fc2e4ap-5, 0x1.b443a48abe20dp-5, 0x1.a9c81665f3a13p-5, 0x1.9f82bcceeaf88p-5, 0x1.9572d0cdb9dc7p-5, 0x1.8b978bafe906bp-5, 0x1.81f027225c1bbp-5, 0x1.787bdd4a46cc1p-5, 0x1.6f39e8dd27188p-5, 0x1.66298537de0ddp-5, 0x1.5d49ee74d4529p-5, 0x1.549a6181383ffp-5, 0x1.4c1a1c3161217p-5, 0x1.43c85d5449e3ap-5, 0x1.3ba464c63ac37p-5, 0x1.33ad73828fb34p-5, 0x1.2be2cbb4c2299p-5, 0x1.2443b0c88d886p-5, 0x1.1ccf67795a72fp-5, 0x1.158535e0df1fcp-5, 0x1.0e64638502ba8p-5, 0x1.076c3964fd24fp-5, 0x1.009c0205c9f76p-5, 0x1.f3e612fbbb036p-6, 0x1.e6e13b006afa5p-6, 0x1.da281acd6be64p-6, 0x1.cdb95477c2f44p-6, 0x1.c1938d87f0178p-6, 0x1.b5b56f0add742p-6, 0x1.aa1da5a1a3052p-6, 0x1.9ecae190263a4p-6, 0x1.93bbd6ca8dd0dp-6, 0x1.88ef3d01a5586p-6, 0x1.7e63cfae2c2b7p-6, 0x1.74184e1b1bd16p-6, 0x1.6a0b7b6ef10dp-6, 0x1.603c1eb3f9b36p-6, 0x1.56a902dfb28dfp-6, 0x1.4d50f6d93f211p-6, 0x1.4432cd7ef93b5p-6, 0x1.3b4d5dab35db9p-6, 0x1.329f82382617ep-6, 0x1.2a281a02fd8aap-6, 0x1.21e607ee4bf97p-6, 0x1.19d832e39a663p-6, 0x1.11fd85d45d1fdp-6, 0x1.0a54efba2d76bp-6, 0x1.02dd63965b41fp-6, 0x1.f72bb0e1d6a4cp-7, 0x1.e8fa92adcbf4ap-7, 0x1.db256ab045635p-7, 0x1.cdaa3f090421ep-7, 0x1.c0871dd134b5cp-7, 0x1.b3ba1d13cef1ap-7, 0x1.a7415ac4f4611p-7, 0x1.9b1afcb86eeeep-7, 0x1.8f4530973aa9p-7, 0x1.83be2bd454561p-7, 0x1.78842ba098ca4p-7, 0x1.6d9574ddfb599p-7, 0x1.62f054120283dp-7, 0x1.58931d5782693p-7, 0x1.4e7c2c4fc4e0ap-7, 0x1.44a9e41313821p-7, 0x1.3b1aaf20a7b8fp-7, 0x1.31ccff4e10eadp-7, 0x1.28bf4db624655p-7, 0x1.1ff01aa75de34p-7, 0x1.175ded91edbcap-7, 0x1.0f0754f534b8ap-7, 0x1.06eae64d0a1ccp-7, 0x1.fe0e7bfd093cap-8, 0x1.eeb5fe88f1313p-8, 0x1.dfc9a837683b3p-8, 0x1.d146da5dd5546p-8, 0x1.c32b0384ba08cp-8, 0x1.b5739f3e9b76bp-8, 0x1.a81e35fe89ea1p-8, 0x1.9b285cee39d9fp-8, 0x1.8e8fb5c3d205dp-8, 0x1.8251ee976e6c7p-8, 0x1.766cc1b87c21fp-8, 0x1.6addf582cfe81p-8, 0x1.5fa35c338282ap-8, 0x1.54bad3bdd7bddp-8, 0x1.4a22459fe61ffp-8, 0x1.3fd7a6b75a785p-8, 0x1.35d8f715f630cp-8, 0x1.2c2441d65565p-8, 0x1.22b79cf08e229p-8, 0x1.1991290eedc6ep-8, 0x1.10af1162d08a5p-8, 0x1.080f8b799218fp-8, 0x1.ff61ae234614bp-9, 0x1.ef227bdf8ee3fp-9, 0x1.df5e2768f6defp-9, 0x1.d0116b63561fap-9, 0x1.c1391580e2ffep-9, 0x1.b2d2062e911d4p-9, 0x1.a4d93040b62a8p-9, 0x1.974b98a04e11cp-9, 0x1.8a2655f8efdb1p-9, 0x1.7d669067368a9p-9, 0x1.71098127ee76fp-9, 0x1.650c7247d73e1p-9, 0x1.596cbe5444a78p-9, 0x1.4e27d00c5274dp-9, 0x1.433b2212c4759p-9, 0x1.38a43ea0ebd03p-9, 0x1.2e60bf3a2efcbp-9, 0x1.246e4c604af4dp-9, 0x1.1aca9d489fcbp-9, 0x1.11737792057dcp-9, 0x1.0866aefbdc0aap-9, 0x1.ff444a3b3e799p-10, 0x1.ee47923f290a9p-10, 0x1.ddd32ee862f14p-10, 0x1.cde3332503c26p-10, 0x1.be73cb6308c7bp-10, 0x1.af813d088776p-10, 0x1.a107e5ede80e8p-10, 0x1.93043bd9f13e9p-10, 0x1.8572cbffd8898p-10, 0x1.78503a7ed3c14p-10, 0x1.6b9941e3d6b08p-10, 0x1.5f4ab2ad0d807p-10, 0x1.536172cf24bc1p-10, 0x1.47da7d3cb4847p-10, 0x1.3cb2e16f46b83p-10, 0x1.31e7c2f24a40ap-10, 0x1.277658efffe5ap-10, 0x1.1d5bedc023dcfp-10, 0x1.1395de788c5ffp-10, 0x1.0a219a7f9ca15p-10, 0x1.00fca32078fe6p-10, 0x1.f049164254f1fp-11, 0x1.df2decb52b565p-11, 0x1.cea332a48705ep-11, 0x1.bea471ab8bec8p-11, 0x1.af2d533097382p-11, 0x1.a0399fa31183dp-11, 0x1.91c53dbd83552p-11, 0x1.83cc31cb02dbep-11, 0x1.764a9cef88571p-11, 0x1.693cbc7478692p-11, 0x1.5c9ee9183831ep-11, 0x1.506d966132fd2p-11, 0x1.44a551f43d075p-11, 0x1.3942c2ee2d11ap-11, 0x1.2e42a940e9906p-11, 0x1.23a1dd136aaefp-11, 0x1.195d4e258b5a4p-11, 0x1.0f720336287e4p-11, 0x1.05dd196d0b769p-11, 0x1.f937878f74077p-12, 0x1.e75695125cf1fp-12, 0x1.d6121559bcba7p-12, 0x1.c564eab8fd6afp-12, 0x1.b54a1ed152a57p-12, 0x1.a5bce18928019p-12, 0x1.96b8880963e81p-12, 0x1.88388bbfb202dp-12, 0x1.7a3889670d5aap-12, 0x1.6cb44014e3b26p-12, 0x1.5fa7904c8ffb6p-12, 0x1.530e7b172e86ep-12, 0x1.46e5212184502p-12, 0x1.3b27c1de9d3c2p-12, 0x1.2fd2baaf14426p-12, 0x1.24e2860e1fdbfp-12, 0x1.1a53bac2a3f93p-12, 0x1.10230b15fc164p-12, 0x1.064d440edf18ep-12, 0x1.f99e99616b63ap-13, 0x1.e74c4a80613ap-13, 0x1.d59dcd17845c2p-13, 0x1.c48d827189d62p-13, 0x1.b415fa29a8866p-13, 0x1.a431f0d74b7b9p-13, 0x1.94dc4ec0f1cb6p-13, 0x1.86102698327adp-13, 0x1.77c8b43dcd3f8p-13, 0x1.6a015b8c9a5bfp-13, 0x1.5cb5a72d40e17p-13, 0x1.4fe14771588ffp-13, 0x1.43801134d37eep-13, 0x1.378dfcc81a5abp-13, 0x1.2c0724e0706aep-13, 0x1.20e7c58fa74aep-13, 0x1.162c3b426e2f7p-13, 0x1.0bd101c5670f7p-13, 0x1.01d2b350de8e5p-13, 0x1.f05c0f350e771p-14, 0x1.ddbfa5dc8e875p-14, 0x1.cbca0a98a709ep-14, 0x1.ba75531bba5d4p-14, 0x1.a9bbc91ea43cap-14, 0x1.9997e8c0ca6bep-14, 0x1.8a045ef3f6154p-14, 0x1.7afc07f2119d4p-14, 0x1.6c79edbf7d3d9p-14, 0x1.5e7946b636452p-14, 0x1.50f5741b99a77p-14, 0x1.43ea00c104827p-14, 0x1.37529fad5e594p-14, 0x1.2b2b2ad0a4c59p-14, 0x1.1f6fa1c107801p-14, 0x1.141c2881172f2p-14, 0x1.092d064e184bfp-14, 0x1.fd3d48effecf3p-15, 0x1.e8db1a83b94abp-15, 0x1.d52cd593fc3f6p-15, 0x1.c22c0bf613653p-15, 0x1.afd28b085667p-15, 0x1.9e1a59b39bf02p-15, 0x1.8cfdb679208e5p-15, 0x1.7c7715927aa1p-15, 0x1.6c811f1dae2ap-15, 0x1.5d16ad5718699p-15, 0x1.4e32cae37a935p-15, 0x1.3fd0b1238c61dp-15, 0x1.31ebc6972c6c2p-15, 0x1.247f9d4cd6309p-15, 0x1.1787f15bc14e9p-15, 0x1.0b00a76c52ae5p-15, 0x1.fdcb9695b5eefp-16, 0x1.e6671d0abb5f7p-16, 0x1.cfcc8e29f0a92p-16, 0x1.b9f4dc24fcdbap-16, 0x1.a4d93ce82cc63p-16, 0x1.907327ac5ea49p-16, 0x1.7cbc529d98fb3p-16, 0x1.69aeb0930191fp-16, 0x1.57446ed8ab709p-16, 0x1.4577f30ec7cb9p-16, 0x1.3443d91753be7p-16, 0x1.23a2f118241c8p-16, 0x1.13903d8adc816p-16, 0x1.0406f15e9daf1p-16, 0x1.ea04dc56fecfap-17, 0x1.ccfc84df6697ap-17, 0x1.b0ec4fc44ef29p-17, 0x1.95cc039e79ac1p-17, 0x1.7b93b709b02e1p-17, 0x1.623bcd9b6e5e1p-17, 0x1.49bcf4f0ae4f7p-17, 0x1.321021d5ddff6p-17, 0x1.1b2e8d87b6abfp-17, 0x1.0511b30d92915p-17, 0x1.df6699561d24cp-18, 0x1.b61aa2d18f53bp-18, 0x1.8e33e56233d92p-18, 0x1.67a7340d72eaep-18, 0x1.4269cd980713dp-18, 0x1.1e7158426b8c7p-18, 0x1.f767bb4c47f6bp-19, 0x1.b44f8d8438a0ep-19, 0x1.7387b043dbbcfp-19, 0x1.34fe5c6a823c8p-19, 0x1.f144e6f863ba4p-20, 0x1.7cc6f19a7bdf2p-20, 0x1.0c6315ca9d3ffp-20, 0x1.3ff574b2fd9c4p-21, 0x1.bb831d6f9d35cp-23, -0x1.6ac2c070f4ba2p-23, -0x1.1cf5b870a306p-21, -0x1.d823210775a79p-21, -0x1.4635eb7fb2f38p-20, -0x1.9d007ca224f7ep-20, -0x1.f088f5f12ea65p-20, -0x1.20731aa55a744p-19, -0x1.471726ad735efp-19, -0x1.6c3b471049b6dp-19, -0x1.8fe9c69753f3dp-19, -0x1.b22c96cb903a3p-19, -0x1.d30d53bf5f274p-19, -0x1.f29547b30a0ccp-19, -0x1.0866b74992409p-18, -0x1.16df3ca8127d4p-18, -0x1.24b8688da401p-18, -0x1.31f64d387d053p-18, -0x1.3e9cdc0b1d38dp-18, -0x1.4aafe6f1dba68p-18, -0x1.563321c0ccec3p-18, -0x1.612a237f6aad7p-18, -0x1.6b9867a650c7fp-18, -0x1.75814f4e1991ap-18, -0x1.7ee822535a5cp-18, -0x1.87d0106dd96a4p-18, -0x1.903c3238099dfp-18, -0x1.982f8a3294c0dp-18, -0x1.9fad05b14d504p-18, -0x1.a6b77dc7f75b2p-18, -0x1.ad51b8255d868p-18, -0x1.b37e67ea75446p-18, -0x1.b9402e7089adbp-18, -0x1.be999c0bbd097p-18, -0x1.c38d30c3d5c77p-18, -0x1.c81d5d0112712p-18, -0x1.cc4c82360a7p-18, -0x1.d01cf37d7cb5dp-18, -0x1.d390f6315de0bp-18, -0x1.d6aac27b09519p-18, -0x1.d96c83de1d7d5p-18, -0x1.dbd859b903ba4p-18, -0x1.ddf057c357e03p-18, -0x1.dfb686817bfeep-18, -0x1.e12ce3b629968p-18, -0x1.e25562cbb644dp-18, -0x1.e331ed3c065a1p-18, -0x1.e3c462eccebb2p-18, -0x1.e40e9a8cc8e1cp-18, -0x1.e41261e93c02ap-18, -0x1.e3d17e3eca7b5p-18, -0x1.e34dac8987127p-18, -0x1.e288a1cb3c987p-18, -0x1.e1840b52ad1f6p-18, -0x1.e0418efbd222ap-18, -0x1.dec2cb6ebf0efp-18, -0x1.dd095859be44ep-18, -0x1.db16c6a9e6fb2p-18, -0x1.d8eca0bd980d4p-18, -0x1.d68c6a9737643p-18, -0x1.d3f7a20a0be85p-18, -0x1.d12fbee77287dp-18, -0x1.ce3633282303p-18, -0x1.cb0c6b1289561p-18, -0x1.c7b3cd5f4b573p-18, -0x1.c42dbb5ca6079p-18, -0x1.c07b910ced72bp-18, -0x1.bc9ea54842029p-18, -0x1.b89849d5a927ap-18, -0x1.b469cb890f8ccp-18, -0x1.b0147258bb4dep-18, -0x1.ab998178a1561p-18, -0x1.a6fa376f2575fp-18, -0x1.a237ce296eacep-18, -0x1.9d537b10673cp-18, -0x1.984e6f1a04b23p-18, -0x1.9329d6da3cac5p-18, -0x1.8de6da93b94e5p-18, -0x1.88869e46e7c47p-18, -0x1.830a41bf9e7b1p-18, -0x1.7d72e0a34f6a4p-18, -0x1.77c1927c1e009p-18, -0x1.71f76ac5c68bap-18, -0x1.6c1578f816792p-18, -0x1.661cc89163ba8p-18, -0x1.600e61206e479p-18, -0x1.59eb464cdf64dp-18, -0x1.53b477e005271p-18, -0x1.4d6af1cc27b23p-18, -0x1.470fac36d687ep-18, -0x1.40a39b7ca9c74p-18, -0x1.3a27b03b7b4e8p-18, -0x1.339cd7562c973p-18, -0x1.2d03f9fc9b58dp-18, -0x1.265dfdb07af1bp-18, -0x1.1fabc44c14a12p-18, -0x1.18ee2c07131adp-18, -0x1.12260f7b6698bp-18, -0x1.0b5445ab3d58p-18, -0x1.0479a205a88c2p-18, -0x1.fb2de8d5f038p-19, -0x1.ed5a126525198p-19, -0x1.df79525d8cca4p-19, -0x1.d18d3362e9c94p-19, -0x1.c397392180f33p-19, -0x1.b598e056624f9p-19, -0x1.a7939ed777a3ap-19, -0x1.9988e39f821a3p-19, -0x1.8b7a16d33f79ep-19, -0x1.7d6899cdc1b9fp-19, -0x1.6f55c7270ef51p-19, -0x1.6142f2bd35b34p-19, -0x1.533169be38392p-19, -0x1.452272b16b2f6p-19, -0x1.37174d7fbb8d4p-19, -0x1.2911337d436fcp-19, -0x1.1b115772db7b6p-19, -0x1.0d18e5a80bef4p-19, -0x1.fe5207d8a3ddbp-20, -0x1.e285a344d4eb1p-20, -0x1.c6cecf93c9beep-20, -0x1.ab2fb2106f8e1p-20, -0x1.8faa636b1c66bp-20, -0x1.7440efca9c254p-20, -0x1.58f556e3c89dp-20, -0x1.3dc98c0fedeb5p-20, -0x1.22bf7663a6b21p-20, -0x1.07d8f0c48db7ap-20, -0x1.da2f94060610ap-21, -0x1.a4fb89dde2b44p-21, -0x1.701930e80c482p-21, -0x1.3b8bdf57d3c11p-21, -0x1.0756d4012f8a2p-21, -0x1.a6fa6cf1468d4p-22, -0x1.40042ea2776b9p-22, -0x1.b3a1c144ae5a6p-23, -0x1.d19924dc545e4p-24, -0x1.f9403d9026dbcp-27, 0x1.4ffa2040fa37ap-24, 0x1.6ddc2707100a6p-23, 0x1.18ff8aaa64962p-22, 0x1.7a2e02d0b6225p-22, 0x1.da74bbe55b90ep-22, 0x1.1ce78ff76f8b5p-21, 0x1.4c1c6159556p-21, 0x1.7ad6b09821ed3p-21, 0x1.a9147094c3149p-21, 0x1.d6d3a85a07fdfp-21, 0x1.0209396c6ad9ep-20, 0x1.18677f58f471cp-20, 0x1.2e83c6fa28eddp-20, 0x1.445d3af0ea295p-20, 0x1.59f30f5642e6bp-20, 0x1.6f44819f33ad8p-20, 0x1.8450d87b1d745p-20, 0x1.991763b38879ap-20, 0x1.ad977c0f68ap-20, 0x1.c1d083309f348p-20, 0x1.d5c1e371c0baap-20, 0x1.e96b0fcc278d8p-20, 0x1.fccb83b10aa24p-20, 0x1.07f161760140fp-19, 0x1.11582cc2e2ccep-19, 0x1.1a99edce331f5p-19, 0x1.23b672a4c88e7p-19, 0x1.2cad8d3eb0813p-19, 0x1.357f1370f4c76p-19, 0x1.3e2adedb19ab4p-19, 0x1.46b0ccd873747p-19, 0x1.4f10be6f9b262p-19, 0x1.574a9841311ccp-19, 0x1.5f5e42784db64p-19, 0x1.674ba8ba0a3dp-19, 0x1.6f12ba16008cfp-19, 0x1.76b368f583de1p-19, 0x1.7e2dab0aac046p-19, 0x1.85817942611c5p-19, 0x1.8caecfb287b3ap-19, 0x1.93b5ad8a3cfc2p-19, 0x1.9a961503500c3p-19, 0x1.a1500b5046d4ep-19, 0x1.a7e3988e6094ap-19, 0x1.ae50c7b4cea2p-19, 0x1.b497a68584c4ep-19, 0x1.bab8457e5ee09p-19, 0x1.c0b2b7c7a5e37p-19, 0x1.c68713275880ap-19, 0x1.cc356fefbba6ep-19, 0x1.d1bde8f1597e5p-19, 0x1.d7209b6bdd491p-19, 0x1.dc5da6fed1ddep-19, 0x1.e1752d9a67a0ap-19, 0x1.e6675372442e5p-19, 0x1.eb343eecdb6f3p-19, 0x1.efdc189645061p-19, 0x1.f45f0b11acebp-19, 0x1.f8bd430b179c8p-19, 0x1.fcf6ef28860f1p-19, 0x1.00861ffecbe05p-18, 0x1.027eb3fdfdfa6p-18, 0x1.04654db32bed6p-18, 0x1.063a0821cdfb4p-18, 0x1.07fcff2815c2cp-18, 0x1.09ae4f7873c51p-18, 0x1.0b4e1693c3ce5p-18, 0x1.0cdc72c199766p-18, 0x1.0e59830a9654ep-18, 0x1.0fc56731eaap-18, 0x1.11203faf38a94p-18, 0x1.126a2da7c7603p-18, 0x1.13a352e948a56p-18, 0x1.14cbd1e2e77cp-18, 0x1.15e3cd9ff9525p-18, 0x1.16eb69c193ab5p-18, 0x1.17e2ca7942972p-18, 0x1.18ca148302174p-18, 0x1.19a16d1f45ebbp-18, 0x1.1a68fa0e13c5fp-18, 0x1.1b20e18933ba2p-18, 0x1.1bc94a3e5d851p-18, 0x1.1c625b4a9b172p-18, 0x1.1cec3c348520fp-18, 0x1.1d6714e752521p-18, 0x1.1dd30dad61b7fp-18, 0x1.1e304f2bed69cp-18, 0x1.1e7f025d4b67ep-18, 0x1.1ebf508c657b3p-18, 0x1.1ef1635049948p-18, 0x1.1f1564870e62ap-18, 0x1.1f2b7e511d5ddp-18, 0x1.1f33db0d228eap-18, 0x1.1f2ea55322b76p-18, 0x1.1f1c07f027a8ep-18, 0x1.1efc2de27e6f5p-18, 0x1.1ecf4254c1f47p-18, 0x1.1e95709a03d82p-18, 0x1.1e4ee429dc7f5p-18, 0x1.1dfbc89c5c01fp-18, 0x1.1d9c49a5e453ep-18, 0x1.1d3093139c7a5p-18, 0x1.1cb8d0c7a93efp-18, 0x1.1c352eb583dcap-18, 0x1.1ba5d8de26038p-18, 0x1.1b0afb4c8d32fp-18, 0x1.1a64c212813bap-18, 0x1.19b3594506042p-18, 0x1.18f6ecf939f77p-18, 0x1.182fa940c5c54p-18, 0x1.175dba2702953p-18, 0x1.16814bada64e5p-18, 0x1.159a89c9e859bp-18, 0x1.14a9a0618d9b1p-18, 0x1.13aebb47e8985p-18, 0x1.12aa063b2b32bp-18, 0x1.119bace1baae8p-18, 0x1.1083dac74091dp-18, 0x1.0f62bb5a2b0fcp-18, 0x1.0e3879e918fbcp-18, 0x1.0d0541a0a447dp-18, 0x1.0bc93d88c4bf2p-18, 0x1.0a849882693a7p-18, 0x1.09377d45482b7p-18, 0x1.07e2165d8d483p-18, 0x1.06848e29da38cp-18, 0x1.051f0ed900f16p-18, 0x1.03b1c2682944fp-18, 0x1.023cd2a0dd644p-18, 0x1.00c06916e076ep-18, 0x1.fe795e4d06e62p-19, 0x1.fb639be5a45d4p-19, 0x1.f83fdcc7768p-19, 0x1.f50e7249124e4p-19, 0x1.f1cfad44a634cp-19, 0x1.ee83de1436c93p-19, 0x1.eb2b548ee7008p-19, 0x1.e7c660062707ap-19, 0x1.e4554f42d4b36p-19, 0x1.e0d8708235e41p-19, 0x1.dd50117385e8bp-19, 0x1.d9bc7f35f068fp-19, 0x1.d61e06558c5ccp-19, 0x1.d274f2c937d55p-19, 0x1.cec18feff3ccfp-19, 0x1.cb04288f3ab96p-19, 0x1.c73d06d0cfa67p-19, 0x1.c36c74410c22bp-19, 0x1.bf92b9ccc2f3dp-19, 0x1.bbb01fbf58fa2p-19, 0x1.b7c4edc11ceaap-19, 0x1.b3d16ad5bf507p-19, 0x1.afd5dd5b0cd9ap-19, 0x1.abd28b06f7aaap-19, 0x1.a7c7b8e665d82p-19, 0x1.a3b5ab5c50955p-19, 0x1.9f9ca6206d351p-19, 0x1.9b7cec3d80daep-19, 0x1.9756c010c1602p-19, 0x1.932a6348a058bp-19, 0x1.8ef816e423e67p-19, 0x1.8ac01b321eb0dp-19, 0x1.8682afd02873fp-19, 0x1.824013a9eab8ep-19, 0x1.7df884f8877fp-19, 0x1.79ac414211c41p-19, 0x1.755b855900dc5p-19, 0x1.71068d5ba336ap-19, 0x1.6cad94b3cecfbp-19, 0x1.6850d616f3105p-19, 0x1.63f08b8558d7ap-19, 0x1.5f8cee49e3a58p-19, 0x1.5b2636f9f1524p-19, 0x1.56bc9d7574932p-19, 0x1.525058e6774f5p-19, 0x1.4de19fc1ccc01p-19, 0x1.4970a7c6ce922p-19, 0x1.44fda5ff39bc1p-19, 0x1.4088cebf55b0dp-19, 0x1.3c1255a6581a5p-19, 0x1.379a6d9eb33f8p-19, 0x1.332148de0b104p-19, 0x1.2ea718e5984c5p-19, 0x1.2a2c0e82eac79p-19, 0x1.25b059d025f16p-19, 0x1.21342a34546acp-19, 0x1.1cb7ae63b0a8dp-19, 0x1.183b14607ad27p-19, 0x1.13be897b25b76p-19, 0x1.0f423a53844d1p-19, 0x1.0ac652d95cae7p-19, 0x1.064afe4c8e276p-19, 0x1.01d0673dec42fp-19, 0x1.faad6f207c55bp-20, 0x1.f1bc30f189efbp-20, 0x1.e8cd65005a77p-20, 0x1.dfe15b068a52ep-20, 0x1.d6f861675e967p-20, 0x1.ce12c5322dd0fp-20, 0x1.c530d2244b32fp-20, 0x1.bc52d2aa09f63p-20, 0x1.b3790fe1070d2p-20, 0x1.aaa3d199e750dp-20, 0x1.a1d35e5a417f1p-20, 0x1.9907fb5f94d9bp-20, 0x1.9041eca060282p-20, 0x1.878174ced4513p-20, 0x1.7ec6d55a95feep-20, 0x1.76124e72c3476p-20, 0x1.6d641f08a0837p-20, 0x1.64bc84d1b5064p-20, 0x1.5c1bbc4a10305p-20, 0x1.538200b698e23p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      56, 0x1.8cccccccccccdp+2, 0x1.aca05a01c28aap+1, 0x1.148d7c5c4e744p+3, 0x1.1f4b967927abbp-6, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.4f7b1c521822p-4, -0x1.b9726149c0642p-3, 0x1.718fdeacad6fp-2, -0x1.8b85771a4cae1p-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.26d5864b8967ap-4, -0x1.75779ba8e3f97p-3, 0x1.363bd99beebbp-2, -0x1.592f4ac228647p-2}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.046ac754f1229p-4, -0x1.3c9925bd41a26p-3, 0x1.0274c19868ac2p-2, -0x1.2e64b1f81860dp-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.ce619c37ba8a9p-5, -0x1.0d7162f8418bdp-3, 0x1.aa31b433306eap-3, -0x1.0190366140863p-2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.9c7f40f492757p-5, -0x1.cd5fb802cab33p-4, 0x1.5cecd71603792p-3, -0x1.aaaf64dee92f6p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.71a2b6ed3bcdap-5, -0x1.8dfd38bf2c396p-4, 0x1.1cec218e2d4bfp-3, -0x1.5172656c82bb6p-3}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.4c8466876349bp-5, -0x1.5a10fdcc0b866p-4, 0x1.d49c57e2335f1p-4, -0x1.f45aa9d67580ap-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.2c20e68190923p-5, -0x1.2ef53caeb6a13p-4, 0x1.898ebe686e8cp-4, -0x1.37a9006891c61p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0fb8fbf3263fbp-5, -0x1.09f08cd841262p-4, 0x1.5acefe58bf14dp-4, -0x1.b25f43defa53ap-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ed9de370ef85fp-6, -0x1.d1c67f025a1e1p-5, 0x1.3a3b0c74d2b4cp-4, -0x1.b1d5ddb1611dp-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.c212b42f74d1ap-6, -0x1.962ed9b35b95dp-5, 0x1.19b168a11e9f8p-4, -0x1.9513241cc781dp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9c2ba0cbecafp-6, -0x1.60e1e9868cb76p-5, 0x1.f69ff23dec1e6p-5, -0x1.7fe06fb2dcd42p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.7b4ca0e638f44p-6, -0x1.317fc2c7757b2p-5, 0x1.bd0b14afe4986p-5, -0x1.68a6fa053c99cp-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.5ee26d140cfd7p-6, -0x1.07b31ae7d4326p-5, 0x1.86f208c8b51b1p-5, -0x1.51f8843bc8549p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.46627ee0edae9p-6, -0x1.c6479c7017d16p-6, 0x1.543ff4f2f0a84p-5, -0x1.3b24d025506f4p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.314b10ce3173p-6, -0x1.86f4f8cf6cbadp-6, 0x1.24fa6f53be307p-5, -0x1.245b155ec4203p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1f231e53003e4p-6, -0x1.50bf2195db8dfp-6, 0x1.f23ff1d7db246p-6, -0x1.0d8eb3a584ff2p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0f7a63dc538a4p-6, -0x1.22f7098927a2bp-6, 0x1.a161ef26333eap-6, -0x1.ed85e8ce55474p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.01e95eccf6591p-6, -0x1.f9db375faf432p-7, 0x1.575aa5d40cda8p-6, -0x1.bfeea45fde11p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ec229afb0a67ep-7, -0x1.bbe78bdfac2efp-7, 0x1.142a0d2c11f1dp-6, -0x1.925532c2a6ee4p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d7385e78dc56bp-7, -0x1.8ab4e4e175563p-7, 0x1.afa0f1842500dp-7, -0x1.64c43bd23364ep-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.c479889be1b05p-7, -0x1.64e52ee809726p-7, 0x1.449945f848c96p-7, -0x1.3713875d7153ap-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b35d1bd83cb2dp-7, -0x1.4919fd23cf636p-7, 0x1.ce8d3ab880c7bp-8, -0x1.09d94e4d17f57p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a36b9c8db2ad2p-7, -0x1.35f62fdbbdcap-7, 0x1.2f0ad88a3f34fp-8, -0x1.b5c9ca5ede6a9p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.943f1107abfd6p-7, -0x1.2a17cc4f23fa3p-7, 0x1.57696adb92915p-9, -0x1.6ef08f21f8752p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.8582ae30fff23p-7, -0x1.24427ca196043p-7, 0x1.ecfded83291e2p-11, -0x1.3f26eafbb682p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.76ef434db7af5p-7, -0x1.239278bfc62b1p-7, -0x1.10f9133f59b07p-11, -0x1.0be8e673c2e32p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.6847a5b4d102fp-7, -0x1.27499d7a51786p-7, -0x1.c9fa6af763811p-10, -0x1.b32fb3702f565p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.59585d840a4b8p-7, -0x1.2ea4ec9b975f1p-7, -0x1.678b84ea265ap-9, -0x1.4e0e9c59ced45p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.49f7a59fe27b9p-7, -0x1.38e2b4ff38c92p-7, -0x1.cbc31a384acc8p-9, -0x1.d21f184e23cb5p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.3a056bb399151p-7, -0x1.4540ec420e3e6p-7, -0x1.08d7155534e2dp-8, -0x1.080ebc09c0f4ep-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.296b50312e2dbp-7, -0x1.52fd9fead073p-7, -0x1.1ca4fd09235b8p-8, -0x1.f01a0bcd5f50bp-12}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.181ca651626b2p-7, -0x1.6156d7177fd1fp-7, -0x1.214ba1f243737p-8, 0x1.18130811a0d77p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.06167413b705ap-7, -0x1.6f8a9a9f1dae3p-7, -0x1.16caeb3e6705p-8, 0x1.5615ff75e595p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.e6bee47cdb8dap-8, -0x1.7cd6f2dd60003p-7, -0x1.fa45bcf7eb9a3p-9, 0x1.10112c231420fp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.c01018bd12132p-8, -0x1.8879e8622955fp-7, -0x1.a8a6fc86ff28bp-9, 0x1.7517c2cf96cbp-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9854c18f97773p-8, -0x1.91b18367f53afp-7, -0x1.38b97548b852bp-9, 0x1.da1cc1b9049f2p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.6fd4812972b6ap-8, -0x1.97bbcd4aae9ecp-7, -0x1.54fb43226de07p-10, 0x1.1f93dab529129p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.46ea5f4d2bf22p-8, -0x1.99d6cb35e9ecfp-7, 0x1.072407574050ep-16, 0x1.520e36df9d1edp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.1e04c94acc6d6p-8, -0x1.974091f5264e3p-7, 0x1.99c7385ce657ep-10, 0x1.84b20f5ef2c7p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.eb4b23ffbd1e2p-9, -0x1.8f36fc048e675p-7, 0x1.b61b3f0104da2p-9, 0x1.b6bb1438ecee3p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.9cc3e3aedbc6dp-9, -0x1.80f8bd7db42fap-7, 0x1.5eac2591964d9p-8, 0x1.eb05eb5379b5ap-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.51c50d940e2f5p-9, -0x1.6bc15e53e0e11p-7, 0x1.f1fab8f76e038p-8, 0x1.0b7226888a96ap-6}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.0bc6a8bb6ffa8p-9, -0x1.4ed83d76194ccp-7, 0x1.493934d7e0951p-7, 0x1.31195900e8992p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.98cf0e983e1fbp-10, -0x1.29588a0abccb1p-7, 0x1.a4c0cf8b598f5p-7, 0x1.db1f5de4f099dp-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.2ac2ba9944813p-10, -0x1.f76a0bba02c78p-8, 0x1.ec0584074a748p-7, 0x1.fa1de3f918a2p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.a016ec4d48752p-11, -0x1.931cabaa7fa33p-8, 0x1.ff003c93d4fa6p-7, -0x1.6a6fc3009d31cp-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.12ec1edb073dp-11, -0x1.2fa14d2c4bfb8p-8, 0x1.e3d1745a2f96ep-7, -0x1.09f17b39de526p-6}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.5784be912dd57p-12, -0x1.adb0828f0807fp-9, 0x1.94090295a0182p-7, -0x1.45296c2e07586p-6}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.92ba7fe9f3dd1p-13, -0x1.1f95ca9362093p-9, 0x1.327c95549de42p-7, -0x1.0db75a0f1c8fap-6}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.b2c4012fbdffcp-14, -0x1.6a58cc55869d9p-10, 0x1.c324c16cf76fbp-8, -0x1.cec0c3a65ebc9p-7}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.a3558aa038721p-15, -0x1.a34f29e2b90dfp-11, 0x1.38515387db048p-8, -0x1.7929369cf375cp-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.5784be912dd9p-16, -0x1.ad6dc6bfd33c8p-12, 0x1.8e56b97e57298p-9, -0x1.2501e813d138ep-7}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.b2c4012fbe17p-18, -0x1.6a28bfa04c3e8p-13, 0x1.bd118fb1b3435p-10, -0x1.a80678363616bp-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.5784be912e382p-20, -0x1.af7b3fafcb1bfp-15, 0x1.7d4e8f2258d41p-11, -0x1.d3c71d81b0a62p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.5784be91318p-24, -0x1.6f63ea8583e2p-18, 0x1.928f8f5221afep-13, -0x1.391089b14efe4p-8}, 
      }}, 
      0x1.26a28fbb66086p-4, -0x1.c628c101d3258p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, 0x1.e681a9b8cb8e1p-7, -0x1.5d031055b8994p-4, -0x1.711947cfa26a2p-8, 0x1.15cb790fb6567p-3, 0x1.15cb790fb6567p-3, 0x1.15cb790fb6567p-3, 0, 0, 1}, 
    {{
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{-0x1.d39a1eb055cdep-2, -0x1.c0808b7012a16p-2, -0x1.a34eff0f81933p-2, -0x1.7ed9bcaca436p-2, -0x1.55e12731d7621p-2, -0x1.2ad385dda7a8cp-2, -0x1.ff6de635e9d3ep-3, -0x1.ac46320bc0076p-3, -0x1.5e872758553bdp-3, -0x1.17c29ccce01f8p-3, -0x1.b1c2ee569a221p-4, -0x1.448bcdb1b421fp-4, -0x1.cfb1378d3221ap-5, -0x1.36245937c8279p-5, -0x1.75015166b1edbp-6, -0x1.697116741b65cp-7, -0x1.3083f8c4f837p-9, 0x1.e4985731863c7p-9, 0x1.e35875557751dp-8, 0x1.287a673cd0693p-7, 0x1.2821ae95282b1p-7, 0x1.f5262d0cdcfeep-8, 0x1.520905fec2428p-8, 0x1.df01d423f496dp-10, -0x1.150be0e2aa4a2p-9, -0x1.a7459aa2bf0bfp-8, -0x1.694d54e6295cap-7, -0x1.008c8c9ecafddp-6, -0x1.4b4d6a29356b7p-6, -0x1.930cdcef500a2p-6, -0x1.d64186bbe4cb6p-6, -0x1.09d75e2ff9e3cp-5, -0x1.252f17dbad814p-5, -0x1.3cccd277c4329p-5, -0x1.50725ac769c24p-5, -0x1.5ffb509c4c56dp-5, -0x1.6b5a175a4f6a3p-5, -0x1.7294d26b41579p-5, -0x1.75c27428eac8ep-5, -0x1.7507e7e0b0edap-5, -0x1.709560a7ab4b7p-5, -0x1.68a3d6a3bbe14p-5, -0x1.5d72bb4b46e69p-5, -0x1.4f45eb306d59fp-5, -0x1.3e63e174b8a7ep-5, -0x1.2b142e6db313ep-5, -0x1.159e309a9fb62p-5, -0x1.fc9018dd367cp-6, -0x1.caabbc7f6e37ep-6, -0x1.96123f640d185p-6, -0x1.5f4074470c20cp-6, -0x1.26ac7e82d6d3ep-6, -0x1.d98af491f0949p-7, -0x1.63e6bf3c2ee08p-7, -0x1.da5bd36787043p-8, -0x1.d84ff15d75446p-9, 0x1.82d90c7a55aa3p-16, 0x1.dae7a97ef2d98p-9, 0x1.d6946ec2fe4dcp-8, 0x1.5df343797d489p-7, 0x1.ce4226383249fp-7, 0x1.1de799f6fecb3p-6, 0x1.531ef59b07b3dp-6, 0x1.869e199168e56p-6, 0x1.b8410ee9bd86p-6, 0x1.e7e8a8df142b7p-6, 0x1.0abd2848424fdp-5, 0x1.206fe4609006fp-5, 0x1.35037987b8a65p-5, 0x1.4870cb37c76f6p-5, 0x1.5ab2910ed20b3p-5, 0x1.6bc537b969271p-5, 0x1.7ba6c0b9b3b4p-5, 0x1.8a56a1cc043a4p-5, 0x1.97d5a452bf0abp-5, 0x1.a425c5456dcf9p-5, 0x1.af4a15e8f00d2p-5, 0x1.b9469d865d8e7p-5, 0x1.c2203c4c0d38ap-5, 0x1.c9dc8f7ea81f3p-5, 0x1.d081d73e10055p-5, 0x1.d616de07a479fp-5, 0x1.daa2e2402a6f6p-5, 0x1.de2d81d3c1258p-5, 0x1.e0bea81f22e4p-5, 0x1.e25e7dd49b3dfp-5, 0x1.e3155b209b1c5p-5, 0x1.e2ebbb85a5f6fp-5, 0x1.e1ea3366b58edp-5, 0x1.e01967050463cp-5, 0x1.dd8202b1bdf41p-5, 0x1.da2cb408a6efp-5, 0x1.d62224097e08bp-5, 0x1.d16af1e82a20bp-5, 0x1.cc0fae73f3aeap-5, 0x1.c618d7fd74c4cp-5, 0x1.bf8ed68d575eap-5, 0x1.b879f87e3c823p-5, 0x1.b0e26f2992064p-5, 0x1.a8d04bdc7892ap-5, 0x1.a04b7cc569ff3p-5, 0x1.975bca12e6525p-5, 0x1.8e08d308b69d6p-5, 0x1.845a0b3417685p-5, 0x1.7a56b7b3988d8p-5, 0x1.7005ec89cb47cp-5, 0x1.656e8a3084afp-5, 0x1.5a973b2b0e1fp-5, 0x1.4f8671fd2a477p-5, 0x1.4442672f06f96p-5, 0x1.38d117b327145p-5, 0x1.2d38438c9c46p-5, 0x1.217d6cb1c1a79p-5, 0x1.15a5d662d15f3p-5, 0x1.09b684ab2f72fp-5, 0x1.fb6878a958634p-6, 0x1.e34706447e5dfp-6, 0x1.cb1140a3b58c5p-6, 0x1.b2cf3b0620ce5p-6, 0x1.9a888fa193bbfp-6, 0x1.824462734d7ddp-6, 0x1.6a09649ba7c0bp-6, 0x1.51ddd80a1e71fp-6, 0x1.39c793a59b147p-6, 0x1.21cc07c8c0124p-6, 0x1.09f042e97276fp-6, 0x1.e471ed241c6fbp-7, 0x1.b554f8f46af85p-7, 0x1.8691b737b0a54p-7, 0x1.582f9aef07a8p-7, 0x1.2a35868627ee7p-7, 0x1.f953aba4eb946p-8, 0x1.9f24d0837bd22p-8, 0x1.45e95501f2cefp-8, 0x1.db567ddad4a89p-9, 0x1.2ce7a57896adbp-9, 0x1.012e90edf8a09p-10, -0x1.4c55ab9249771p-12, -0x1.a2df2ca908356p-10, -0x1.7709a70259cd6p-9, -0x1.0d26149cdd848p-8, -0x1.5d959e8c3b64fp-8, -0x1.accde630bd396p-8, -0x1.fac9be056b113p-8, -0x1.23c22771a3227p-7, -0x1.497c883e89ae8p-7, -0x1.6e91e287f7c99p-7, -0x1.93003b0f3a4b7p-7, -0x1.b6c5b7ccdcd41p-7, -0x1.d9e09e92bb265p-7, -0x1.fc4f55063e397p-7, -0x1.0f082fd9c9974p-6, -0x1.1f9130742830fp-6, -0x1.2fc20cab1d7c8p-6, -0x1.3f9a3467852f3p-6, -0x1.4f1926bd75476p-6, -0x1.5e3e71ece6ef3p-6, -0x1.6d09b43e11971p-6, -0x1.7b7a9c49f6adcp-6, -0x1.8990e87e6ef3fp-6, -0x1.974c6771a6e1p-6, -0x1.a4acf8ed3ac2fp-6, -0x1.b1b28df0aea78p-6, -0x1.be5d27eb1a9bbp-6, -0x1.caacd90dd6c6p-6, -0x1.d6a1c562920d6p-6, -0x1.e23c2291a49fap-6, -0x1.ed7c369b73197p-6, -0x1.f86257ca424fap-6, -0x1.017776e890c01p-5, -0x1.069138d0c9023p-5, -0x1.0b7eb5cbd185ep-5, -0x1.1040394970d26p-5, -0x1.14d6167c05b7bp-5, -0x1.1940a88c08a69p-5, -0x1.1d80519e56f64p-5, -0x1.219579c017f44p-5, -0x1.25808f03a537ep-5, -0x1.2942061f5cfe2p-5, -0x1.2cda59f12eb67p-5, -0x1.304a09f987385p-5, -0x1.339199896ad69p-5, -0x1.36b19057feac5p-5, -0x1.39aa7b0215783p-5, -0x1.3c7cea044bca1p-5, -0x1.3f296ffd852acp-5, -0x1.41b0a127971cdp-5, -0x1.4413143dd252bp-5, -0x1.465162f529904p-5, -0x1.486c28bde73c4p-5, -0x1.4a6400e9f05d4p-5, -0x1.4c39863afa0d2p-5, -0x1.4ded53fe982e5p-5, -0x1.4f8006c568b08p-5, -0x1.50f23b4baa16cp-5, -0x1.52448c87144d5p-5, -0x1.537792f4befe8p-5, -0x1.548be5b7996a8p-5, -0x1.55821bce91eb8p-5, -0x1.565acb981361cp-5, -0x1.571688f33fbcep-5, -0x1.57b5e3fc67f8ap-5, -0x1.583969b75be26p-5, -0x1.58a1a5b2ba732p-5, -0x1.58ef22972d8e5p-5, -0x1.592268e74658bp-5, -0x1.593bfd3c4c33dp-5, -0x1.593c5fe1bce03p-5, -0x1.59240e343be98p-5, -0x1.58f38436355p-5, -0x1.58ab3caa5bac7p-5, -0x1.584bafa662545p-5, -0x1.57d5511c6aeb6p-5, -0x1.574890e61831bp-5, -0x1.56a5dc5074b54p-5, -0x1.55ed9f9c4b913p-5, -0x1.5520460ffce4fp-5, -0x1.543e38af0875fp-5, -0x1.5347dce6e318fp-5, -0x1.523d948ae867ep-5, -0x1.511fbf3868187p-5, -0x1.4feebbdd85a26p-5, -0x1.4eaae919e32d5p-5, -0x1.4d54a45223d0dp-5, -0x1.4bec4865ba889p-5, -0x1.4a722d413f2fep-5, -0x1.48e6a8c7d333p-5, -0x1.474a104fe5665p-5, -0x1.459cb97cb692p-5, -0x1.43def9eb35034p-5, -0x1.4211261b6b743p-5, -0x1.4033908addf17p-5, -0x1.3e4689d0d8129p-5, -0x1.3c4a61b30a19dp-5, -0x1.3a3f6850ea5dap-5, -0x1.3825ee8dbd534p-5, -0x1.35fe458f1b101p-5, -0x1.33c8bdc3f7daap-5, -0x1.3185a637ce0f1p-5, -0x1.2f354cbfe4e8cp-5, -0x1.2cd7fee3ee0f2p-5, -0x1.2a6e0ac6b78a9p-5, -0x1.27f7bf7276f6cp-5, -0x1.25756c6f1156fp-5, -0x1.22e760f347882p-5, -0x1.204deb3c0f82bp-5, -0x1.1da9588569d74p-5, -0x1.1af9f5a6ce124p-5, -0x1.18400fd1c6e24p-5, -0x1.157bf4eeea362p-5, -0x1.12adf37068948p-5, -0x1.0fd659bdc9f7bp-5, -0x1.0cf5758bc88ap-5, -0x1.0a0b9387a550dp-5, -0x1.0718ff8d4cp-5, -0x1.041e0531fcd7ep-5, -0x1.011af035733bfp-5, -0x1.fc20193265b6dp-6, -0x1.f5fb4cbae24a5p-6, -0x1.efc81207587dp-6, -0x1.e986fe216d4adp-6, -0x1.e338a3aa05edcp-6, -0x1.dcdd933264011p-6, -0x1.d6765bf95d3d2p-6, -0x1.d0038c729dd04p-6, -0x1.c985b255ca2b9p-6, -0x1.c2fd5a414a60ap-6, -0x1.bc6b0f1243d4p-6, -0x1.b5cf592b8db47p-6, -0x1.af2abe07690a3p-6, -0x1.a87dc051d826cp-6, -0x1.a1c8e05b9009bp-6, -0x1.9b0c9c78ba988p-6, -0x1.944971172c69ap-6, -0x1.8d7fd89b017f3p-6, -0x1.86b04b1326f1cp-6, -0x1.7fdb3dd07eacp-6, -0x1.790123036954ep-6, -0x1.7222699a47e14p-6, -0x1.6b3f7d71c8c62p-6, -0x1.6458c79d02654p-6, -0x1.5d6eae8818541p-6, -0x1.568195f4f3dcp-6, -0x1.4f91deed116ecp-6, -0x1.489fe7aacac87p-6, -0x1.41ac0b6fa1e34p-6, -0x1.3ab6a253c607ep-6, -0x1.33c001357dc0ap-6, -0x1.2cc879d9f6c42p-6, -0x1.25d05b1bea20cp-6, -0x1.1ed7f10146b32p-6, -0x1.17df84bea1769p-6, -0x1.10e75cc1c94efp-6, -0x1.09efbcc3e5bep-6, -0x1.02f8e5cd8a749p-6, -0x1.f8062c46d6e0ap-7, -0x1.ea1d1265aa904p-7, -0x1.dc36ef3a53c49p-7, -0x1.ce542ebf9c6f8p-7, -0x1.c07537f24ce35p-7, -0x1.b29a6cfdc4722p-7, -0x1.a4c42b6a49285p-7, -0x1.96f2cc63b5027p-7, -0x1.8926a4fbe1d44p-7, -0x1.7b600640e61dfp-7, -0x1.6d9f3d239b458p-7, -0x1.5fe49261a016ep-7, -0x1.52304aabe6af5p-7, -0x1.4482a703e98cp-7, -0x1.36dbe51ba6316p-7, -0x1.293c3f9e2dac5p-7, -0x1.1ba3ee7122107p-7, -0x1.0e1326fca838cp-7, -0x1.008a1c6b1fd17p-7, -0x1.e611ff8b7eec7p-8, -0x1.cb1fffd245ee4p-8, -0x1.b03e92e6ce5e9p-8, -0x1.956e0dbc44ea4p-8, -0x1.7aaec1a40c06bp-8, -0x1.6000fd1b5973dp-8, -0x1.45650c6e0754bp-8, -0x1.2adb3a25b7f58p-8, -0x1.1063cf698c30cp-8, -0x1.ebfe28b92463fp-9, -0x1.b75aa0d126a83p-9, -0x1.82dd94b672f02p-9, -0x1.4e8790b18769p-9, -0x1.1a591fadea089p-9, -0x1.cca5977493e91p-10, -0x1.64ea3e3685f6fp-10, -0x1.fb0295d878dccp-11, -0x1.2cd7b28b7ccb4p-11, -0x1.7d58524a10a1p-13, 0x1.b5ffd76dab618p-13, 0x1.39a810b1690ap-11, 0x1.028fe82de8241p-10, 0x1.67f25c62c1fb2p-10, 0x1.ccfa1eb2b18cfp-10, 0x1.18d2f07309cbap-9, 0x1.4afa265d34d43p-9, 0x1.7cf2017e46c1dp-9, 0x1.aeb9cd17d403ap-9, 0x1.e050cebb711d9p-9, 0x1.08db2302f0018p-8, 0x1.2174b642607a7p-8, 0x1.39f4bacef001dp-8, 0x1.525ac734966bdp-8, 0x1.6aa66ec748a19p-8, 0x1.82d741a12dd37p-8, 0x1.9aecccba12c56p-8, 0x1.b2e69a0b4424dp-8, 0x1.cac430a743fadp-8, 0x1.e28514b033c5cp-8, 0x1.fa28c738fb216p-8, 0x1.08d76317cdabep-7, 0x1.148b462f6b37cp-7, 0x1.202fc8c0a239ep-7, 0x1.2bc4a52b5fff2p-7, 0x1.3749945b44b69p-7, 0x1.42be4dced4925p-7, 0x1.4e2287a11e252p-7, 0x1.5975f699c5ce9p-7, 0x1.64b84e44de805p-7, 0x1.6fe9410c6ab22p-7, 0x1.7b08804bb84fdp-7, 0x1.8615bc5800e4ep-7, 0x1.9110a4847570ep-7, 0x1.9bf8e72b8fe74p-7, 0x1.a6ce31bf2929ep-7, 0x1.b19030dcf0b17p-7, 0x1.bc3e9063373e5p-7, 0x1.c6d8fb84351a4p-7, 0x1.d15f1cd790ce6p-7, 0x1.dbd09e6c55082p-7, 0x1.e62d29de0749ep-7, 0x1.f074686e193f6p-7, 0x1.faa6031ff52b8p-7, 0x1.0260d1697dfcap-6, 0x1.0763782b08ee1p-6, 0x1.0c5aca3ae10a5p-6, 0x1.11469c0598cbbp-6, 0x1.1626c2077081bp-6, 0x1.1afb10d74f6ffp-6, 0x1.1fc35d32272ebp-6, 0x1.247f7c05da7dep-6, 0x1.292f427b89487p-6, 0x1.2dd286012a9f4p-6, 0x1.32691c533deccp-6, 0x1.36f2db86f044cp-6, 0x1.3b6f9a158ff3bp-6, 0x1.3fdf2ee8bd59dp-6, 0x1.44417165b1714p-6, 0x1.48963976ae44ep-6, 0x1.4cdd5f9279acp-6, 0x1.5116bcc382e07p-6, 0x1.55422ab01a858p-6, 0x1.595f83a369612p-6, 0x1.5d6ea296bda36p-6, 0x1.616f633a80378p-6, 0x1.6561a1fe937e8p-6, 0x1.69453c1a10e4ap-6, 0x1.6d1a0f92930f2p-6, 0x1.70dffb432d01p-6, 0x1.7496dee3a4cdfp-6, 0x1.783e9b101b5f3p-6, 0x1.7bd7115118d92p-6, 0x1.7f602422dfeefp-6, 0x1.82d9b6fb8db3ap-6, 0x1.8643ae50323cap-6, 0x1.899def9988dd6p-6, 0x1.8ce86159009abp-6, 0x1.9022eb1deed72p-6, 0x1.934d758a84c6ep-6, 0x1.9667ea587b003p-6, 0x1.9972345d353c2p-6, 0x1.9c6c3f8d925abp-6, 0x1.9f55f9017af4cp-6, 0x1.a22f4ef71e4dcp-6, 0x1.a4f830d6180cbp-6, 0x1.a7b08f32cabbcp-6, 0x1.aa585bd17a3eap-6, 0x1.acef89a9615c7p-6, 0x1.af760ce6c6708p-6, 0x1.b1ebdaec63b4p-6, 0x1.b450ea53b8defp-6, 0x1.b6a532edae695p-6, 0x1.b8e8adc317b9cp-6, 0x1.bb1b5515b566ap-6, 0x1.bd3d2460dcaffp-6, 0x1.bf4e185a281fbp-6, 0x1.c14e2ef1b13ddp-6, 0x1.c33d6751e16a3p-6, 0x1.c51bc1debc4fap-6, 0x1.c6e94034b09a1p-6, 0x1.c8a5e526fd021p-6, 0x1.ca51b4bdde75dp-6, 0x1.cbecb434f037dp-6, 0x1.cd76e9f94f799p-6, 0x1.cef05da8347a3p-6, 0x1.d059180cd292cp-6, 0x1.d1b1231e4000fp-6, 0x1.d2f889fcea49bp-6, 0x1.d42f58efe27f6p-6, 0x1.d5559d6209de2p-6, 0x1.d66b65dee5bd7p-6, 0x1.d770c20f0d793p-6, 0x1.d865c2b461777p-6, 0x1.d94a79a5cf7aap-6, 0x1.da1ef9cb650fep-6, 0x1.dae3571a0c239p-6, 0x1.db97a68f78242p-6, 0x1.dc3bfe2e39244p-6, 0x1.dcd074f9a8496p-6, 0x1.dd5522f1d70aep-6, 0x1.ddca210f7984p-6, 0x1.de2f893f4e973p-6, 0x1.de85765d72414p-6, 0x1.decc0430021c7p-6, 0x1.df034f618126dp-6, 0x1.df2b757b4345fp-6, 0x1.df4494dfc2f9ep-6, 0x1.df4eccc548b17p-6, 0x1.df4a3d30c2abfp-6, 0x1.df3706f0b9b4fp-6, 0x1.df154b98582bep-6, 0x1.dee52d7a6cd2cp-6, 0x1.dea6cfa4376d7p-6, 0x1.de5a55d80d457p-6, 0x1.ddffe487ad74ap-6, 0x1.dd97a0ce55db3p-6, 0x1.dd21b06aa29bp-6, 0x1.dc9e39b878206p-6, 0x1.dc0d63aada2bcp-6, 0x1.db6f55c621da6p-6, 0x1.dac4381a3c20bp-6, 0x1.da0c333d2a6a8p-6, 0x1.d9477045b0443p-6, 0x1.d87618c5e2c1ap-6, 0x1.d79856c5ea8fcp-6, 0x1.d6ae54bea65bap-6, 0x1.d5b83d9427393p-6, 0x1.d4b63c9011994p-6, 0x1.d3a87d5bbccd5p-6, 0x1.d28f2bfa62bb6p-6, 0x1.d16a74c325587p-6, 0x1.d03a845b3752bp-6, 0x1.ceff87b035499p-6, 0x1.cdb9abf2ba219p-6, 0x1.cc691e91146b4p-6, 0x1.cb0e0d32487dep-6, 0x1.c9a8a5b126f9cp-6, 0x1.c8391617818d9p-6, 0x1.c6bf8c994882p-6, 0x1.c53c378fb9dep-6, 0x1.c3af457451354p-6, 0x1.c218e4dbafb96p-6, 0x1.c0794470741bfp-6, 0x1.bed092edfebc3p-6, 0x1.bd1eff1b59b85p-6, 0x1.bb64b7c6491aep-6, 0x1.b9a1ebbea707bp-6, 0x1.b7d6c9d1dedf2p-6, 0x1.b60380c6b7e5cp-6, 0x1.b4283f593c118p-6, 0x1.b2453436dcc3dp-6, 0x1.b05a8dfa8c413p-6, 0x1.ae687b28c20cap-6, 0x1.ac6f2a2bae68cp-6, 0x1.aa6ec94f31543p-6, 0x1.a86786bcc4dbcp-6, 0x1.a659907774171p-6, 0x1.a4451457cf54ap-6, 0x1.a22a40080eb75p-6, 0x1.a009410048881p-6, 0x1.9de24482e2a38p-6, 0x1.9bb57799563c5p-6, 0x1.99830710f722dp-6, 0x1.974b1f7818a31p-6, 0x1.950ded1b3ad54p-6, 0x1.92cb9c024dbe1p-6, 0x1.908457ee06bbp-6, 0x1.8e384c553a27ep-6, 0x1.8be7a4620acbp-6, 0x1.89928aef4d54cp-6, 0x1.87392a85ab212p-6, 0x1.84dbad58f2b78p-6, 0x1.827a3d456e9fp-6, 0x1.801503cd52039p-6, 0x1.7dac2a16596dep-6, 0x1.7b3fd8e7a25e1p-6, 0x1.78d038a7a3f9dp-6, 0x1.765d715a540ecp-6, 0x1.73e7aa9f791edp-6, 0x1.716f0bb1383c5p-6, 0x1.6ef3bb6272586p-6, 0x1.6c75e01d71157p-6, 0x1.69f59fe257c9cp-6, 0x1.67732045cccdp-6, 0x1.64ee866f54aaap-6, 0x1.6267f717e9237p-6, 0x1.5fdf96888000fp-6, 0x1.5d5588988759ap-6, 0x1.5ac9f0acaa50bp-6, 0x1.583cf1b5843dcp-6, 0x1.55aeae2e9db8p-6, 0x1.531f481d89fffp-6, 0x1.508ee11121f6ap-6, 0x1.4dfd9a20eb6bp-6, 0x1.4b6b93ec9636cp-6, 0x1.48d8ee9ba177ap-6, 0x1.4645c9dcefe5fp-6, 0x1.43b244e672ae7p-6, 0x1.411e7e74c41e5p-6, 0x1.3e8a94cad1c8fp-6, 0x1.3bf6a5b1686c9p-6, 0x1.3962ce76cd353p-6, 0x1.36cf2bee5867bp-6, 0x1.343bda7012ddfp-6, 0x1.31a8f5d86ef3fp-6, 0x1.2f1699881c32fp-6, 0x1.2c84e063ddcdp-6, 0x1.29f3e4d4a06d4p-6, 0x1.2763c0c7a2544p-6, 0x1.24d48daeb3612p-6, 0x1.224664808982bp-6, 0x1.1fb95db93f617p-6, 0x1.1d2d915aafda5p-6, 0x1.1aa316ed11827p-6, 0x1.181a057f54f29p-6, 0x1.159273a7a7a9ap-6, 0x1.130c7783dfb7p-6, 0x1.108826b9e6b02p-6, 0x1.0e05967819646p-6, 0x1.0b84db75bbf8ap-6, 0x1.090609f354adfp-6, 0x1.068935bb41c42p-6, 0x1.040e722220ebp-6, 0x1.0195d20794fecp-6, 0x1.fe3ecfada150ap-7, 0x1.f9568b0f01632p-7, 0x1.f472f93d3b6fap-7, 0x1.ef943c5eab97dp-7, 0x1.eaba75b80f532p-7, 0x1.e5e5c5aeaa4fp-7, 0x1.e1164bca1f4f8p-7, 0x1.dc4c26b69ab12p-7, 0x1.d7877446c3361p-7, 0x1.d2c85175a2627p-7, 0x1.ce0eda688e406p-7, 0x1.c95b2a7105116p-7, 0x1.c4ad5c0e6cd9dp-7, 0x1.c00588efdb5e4p-7, 0x1.bb63c9f60420cp-7, 0x1.b6c8373501c61p-7, 0x1.b232e7f654f69p-7, 0x1.ada3f2baebb03p-7, 0x1.a91b6d3d51693p-7, 0x1.a4996c73e90cdp-7, 0x1.a01e04935b0a8p-7, 0x1.9ba94910f822ep-7, 0x1.973b4ca5385a9p-7, 0x1.92d4214e5d1bfp-7, 0x1.8e73d852ddde5p-7, 0x1.8a1a8243ff05ap-7, 0x1.85c82f005675fp-7, 0x1.817cedb62cf8ap-7, 0x1.7d38cce5e97acp-7, 0x1.78fbda645d55ap-7, 0x1.74c6235d16381p-7, 0x1.7097b454a6364p-7, 0x1.6c70992abbff4p-7, 0x1.6850dd1c89e2dp-7, 0x1.64388ac6eeeabp-7, 0x1.6027ac28ce653p-7, 0x1.5c1e4aa560667p-7, 0x1.581c6f06a578ep-7, 0x1.5422217fd073ap-7, 0x1.502f69afd4e86p-7, 0x1.4c444ea3d8035p-7, 0x1.4860d6d9f30b9p-7, 0x1.448508439263ap-7, 0x1.40b0e8482088cp-7, 0x1.3ce47bc790487p-7, 0x1.391fc71cc0f54p-7, 0x1.3562ce20065bbp-7, 0x1.31ad942979d38p-7, 0x1.2e001c1349109p-7, 0x1.2a5a683bf5548p-7, 0x1.26bc7a8890fp-7, 0x1.23265466e6abdp-7, 0x1.1f97f6cfb9427p-7, 0x1.1c116248cb1e5p-7, 0x1.189296e739698p-7, 0x1.151b9451b1ad2p-7, 0x1.11ac59c2b975p-7, 0x1.0e44e60b1892p-7, 0x1.0ae53794371e4p-7, 0x1.078d4c62b21cp-7, 0x1.043d2218ceba4p-7, 0x1.00f4b5f9105c3p-7, 0x1.fb6809d1994fep-8, 0x1.f4f616e5828cdp-8, 0x1.ee938b92f3491p-8, 0x1.e8405f93959b2p-8, 0x1.e1fc89fa45ep-8, 0x1.dbc8013754524p-8, 0x1.d5a2bb1c904dep-8, 0x1.cf8cace0fc0a1p-8, 0x1.c985cb241eef4p-8, 0x1.c38e09f11ec99p-8, 0x1.bda55cc0fdfep-8, 0x1.b7cbb67d801a6p-8, 0x1.b2010982d714bp-8, 0x1.ac4547a218f46p-8, 0x1.a6986222abc4ap-8, 0x1.a0fa49c4e0acbp-8, 0x1.9b6aeec3d2ba1p-8, 0x1.95ea40d8163d3p-8, 0x1.90782f3ae8c84p-8, 0x1.8b14a8a991981p-8, 0x1.85bf9b69c6ea7p-8, 0x1.8078f54ebf978p-8, 0x1.7b40a3bec1ed4p-8, 0x1.761693b9dbc6ep-8, 0x1.70fab1e1074b9p-8, 0x1.6becea7dfd57dp-8, 0x1.66ed298b81382p-8, 0x1.61fb5abdf1a1dp-8, 0x1.5d17698b725e6p-8, 0x1.5841413482e58p-8, 0x1.5378cccaf80a7p-8, 0x1.4ebdf738ba8d4p-8, 0x1.4a10ab44a6e23p-8, 0x1.4570d39627963p-8, 0x1.40de5ab6809bp-8, 0x1.3c592b102ae57p-8, 0x1.37e12eebec34ep-8, 0x1.3376506bc57a1p-8, 0x1.2f187983afb29p-8, 0x1.2ac793f09c515p-8, 0x1.2683892e3946cp-8, 0x1.224c426b9485ap-8, 0x1.1e21a8802253ep-8, 0x1.1a03a3e100688p-8, 0x1.15f21c97e4084p-8, 0x1.11ecfa3c8f3fp-8, 0x1.0df423f116ac8p-8, 0x1.0a078062b9f8cp-8, 0x1.0626f5ce6af0fp-8, 0x1.02526a0b4f061p-8, 0x1.fd138532e53dap-9, 0x1.f599c96c61f89p-9, 0x1.ee376aea1a8fdp-9, 0x1.e6ec33b856bdp-9, 0x1.dfb7ee083e55ap-9, 0x1.d89a64723b0fcp-9, 0x1.d193623815095p-9, 0x1.caa2b3842dd83p-9, 0x1.c3c825a1728c9p-9, 0x1.bd038728d96ffp-9, 0x1.b654a820e2475p-9, 0x1.afbb5a0c178abp-9, 0x1.a9376fe490dap-9, 0x1.a2c8be031fd8ep-9, 0x1.9c6f19f104f57p-9, 0x1.962a5a2624825p-9, 0x1.8ffa55b43f4d7p-9, 0x1.89dee3e3a0fddp-9, 0x1.83d7dbc3ee83p-9, 0x1.7de513b79b6c7p-9, 0x1.780660feb38dcp-9, 0x1.723b9747d9d8p-9, 0x1.6c84884d2841ap-9, 0x1.66e10384579ffp-9, 0x1.6150d5e631247p-9, 0x1.5bd3c9d3aa9cbp-9, 0x1.5669a71accb29p-9, 0x1.5112331ed0d1cp-9, 0x1.4bcd3122d5b12p-9, 0x1.469a62b6a874cp-9, 0x1.41798841f1c87p-9, 0x1.3c6a61a9685ccp-9, 0x1.376caf067d4c7p-9, 0x1.3280316b358efp-9, 0x1.2da4aba7aa321p-9, 0x1.28d9e30810cbfp-9, 0x1.241fa0026af51p-9, 0x1.1f75aec906927p-9, 0x1.1adbdfba97551p-9, 0x1.165207a7d2e89p-9, 0x1.11d7ffe9ce269p-9, 0x1.0d6da646102fdp-9, 0x1.0912dc9e4fe04p-9, 0x1.04c78870123ap-9, 0x1.008b9225704aep-9, 0x1.f8bdc8810359cp-10, 0x1.f082d4d0816f7p-10, 0x1.e86620c56dbc2p-10, 0x1.e067820e46ccfp-10, 0x1.d886ca6a74fe2p-10, 0x1.d0c3c5bb8ce01p-10, 0x1.c91e38523cb1ap-10, 0x1.c195dd88f2c15p-10, 0x1.ba2a66c4ae76bp-10, 0x1.b2db7ae53aa72p-10, 0x1.aba8b62f944abp-10, 0x1.a491aab6d9548p-10, 0x1.9d95e1419b5fp-10, 0x1.96b4daa1897dbp-10, 0x1.8fee1172acfffp-10, 0x1.8940fc2dba73ep-10, 0x1.82ad0f76b6a1p-10, 0x1.7c31c08f6cd76p-10, 0x1.75ce87d097fd9p-10, 0x1.6f82e30d550cdp-10, 0x1.694e57c8709cep-10, 0x1.6330751db722ap-10, 0x1.5d28d54eaebd5p-10, 0x1.57371ede14781p-10, 0x1.515b05306b844p-10, 0x1.4b9448aa25854p-10, 0x1.45e2b64bc280dp-10, 0x1.404626d0f61cbp-10, 0x1.3abe7d5dcea99p-10, 0x1.354ba5c9e2815p-10, 0x1.2fed929a21604p-10, 0x1.2aa43ac1cfbc7p-10, 0x1.256f974095584p-10, 0x1.204fa0b611efdp-10, 0x1.1b444d03d037p-10, 0x1.164d8d13d174fp-10, 0x1.116b4adc820f9p-10, 0x1.0c9d67b33aa9fp-10, 0x1.07e3bb024ce16p-10, 0x1.033e116dcd2f3p-10, 0x1.fd5858ea5baa9p-11, 0x1.f45b8524de5f4p-11, 0x1.eb84ffb432268p-11, 0x1.e2d40e2451754p-11, 0x1.da47e668b1cbcp-11, 0x1.d1dfb28e1eac2p-11, 0x1.c99a94ec2429fp-11, 0x1.c177ac9cc1956p-11, 0x1.b9761a005ce8p-11, 0x1.b19503131ea28p-11, 0x1.a9d3975959dep-11, 0x1.a2311335025a3p-11, 0x1.9aacc27890f5ap-11, 0x1.9346021ec5bc1p-11, 0x1.8bfc411731738p-11, 0x1.84cf002d5fe13p-11, 0x1.7dbdd11c92ddfp-11, 0x1.76c854f6c9216p-11, 0x1.6fee3a114067ep-11, 0x1.692f39acefbap-11, 0x1.628b159b646ffp-11, 0x1.5c01960facac3p-11, 0x1.559287c26a93p-11, 0x1.4f3dba7b8d4f5p-11, 0x1.4902fffcc31afp-11, 0x1.42e22b3349ee4p-11, 0x1.3cdb0f9062fe8p-11, 0x1.36ed80576f03fp-11, 0x1.31194fc559f66p-11, 0x1.2b5e4df27e4ebp-11, 0x1.25bc4772f6eb3p-11, 0x1.203303c5ee5f4p-11, 0x1.1ac243b464a8p-11, 0x1.1569bfd69079bp-11, 0x1.1029276c5fd61p-11, 0x1.0b001fbce9453p-11, 0x1.05ee441c4cfp-11, 0x1.00f326b5794f6p-11, 0x1.f81ca430c29b8p-12, 0x1.ee7e971626101p-12, 0x1.e50b2bffc5f95p-12, 0x1.dbc16b157e0abp-12, 0x1.d2a0662a2ffe6p-12, 0x1.c9a73ffc6b2f2p-12, 0x1.c0d532952c1efp-12, 0x1.b82993e2867c6p-12, 0x1.afa3d7dc8b4cbp-12, 0x1.a7438f90e79ep-12, 0x1.9f0864e2eb02fp-12, 0x1.96f2132b374cp-12, 0x1.8f005d5eed60fp-12, 0x1.873302d81294bp-12, 0x1.7f89b415ad3a1p-12, 0x1.780408e6c41f7p-12, 0x1.70a17958f392cp-12, 0x1.69615a5d1999bp-12, 0x1.6242dea1f9213p-12, 0x1.5b451b984913fp-12, 0x1.546711ffd1e15p-12, 0x1.4da7b8f9c6706p-12, 0x1.47060a54611ffp-12, 0x1.40810eb1a86f6p-12, 0x1.3a17e83fcd627p-12, 0x1.33c9dafa6072ep-12, 0x1.2d9651b5929fdp-12, 0x1.277cdf96b283cp-12, 0x1.217d3de53a9c5p-12, 0x1.1b974681309f8p-12, 0x1.15caeb7d57b35p-12, 0x1.10182ca99198ep-12, 0x1.0a7f0bff92568p-12, 0x1.04ff8222ffdafp-12, 0x1.ff32e87fcad2fp-13, 0x1.f4995933ebb8ap-13, 0x1.ea31ae03d190cp-13, 0x1.dffb03f9e47dep-13, 0x1.d5f449b210ae3p-13, 0x1.cc1c543dc489ep-13, 0x1.c271f9fc78d27p-13, 0x1.b8f42f5bc1ebp-13, 0x1.afa220c34e5e8p-13, 0x1.a67b452bd4b9p-13, 0x1.9d7f65eca5dd2p-13, 0x1.94ae9a15eb794p-13, 0x1.8c0935b89d5e2p-13, 0x1.838faf6e0b87bp-13, 0x1.7b42801a858d8p-13, 0x1.732201adca3e1p-13, 0x1.6b2e51c5a8f3dp-13, 0x1.63673c2db150fp-13, 0x1.5bcc2fa0f96b7p-13, 0x1.545c3d2d8f5ddp-13, 0x1.4d1620af27086p-13, 0x1.45f84f6e45acfp-13, 0x1.3f01097d363d1p-13, 0x1.382e6afd1aab2p-13, 0x1.317e7ba13dcecp-13, 0x1.2aef3c70968c7p-13, 0x1.247eb4fd3555cp-13, 0x1.1e2b01ef55f5p-13, 0x1.17f2665afddb4p-13, 0x1.11d3601c8e7f3p-13, 0x1.0bccbd9d6a82bp-13, 0x1.05ddb18e0a1f8p-13, 0x1.0005dfef9f956p-13, 0x1.f48abf661fcp-14, 0x1.e9395b3d14b41p-14, 0x1.de191fb45bb58p-14, 0x1.d32bda32e57dp-14, 0x1.c8733b30b8659p-14, 0x1.bdf07cfa0b02cp-14, 0x1.b3a420c2f7cd2p-14, 0x1.a98dcf920b1edp-14, 0x1.9fac64e711492p-14, 0x1.95fe1f895dc2ap-14, 0x1.8c80ec9eb897bp-14, 0x1.8332bc5a696b1p-14, 0x1.7a11cf50eb9e6p-14, 0x1.711cef25f40dbp-14, 0x1.68538b00f304bp-14, 0x1.5fb5b5b430111p-14, 0x1.574407e556b34p-14, 0x1.4eff6c0ae4a11p-14, 0x1.46e8dd3b1cb29p-14, 0x1.3f0124aa8bdfep-14, 0x1.3748a2d1ea7b6p-14, 0x1.2fbf2f18c48c1p-14, 0x1.286413733696fp-14, 0x1.2136222451683p-14, 0x1.1a33dd9fb7c72p-14, 0x1.135ba75ba9e84p-14, 0x1.0cabeac578ed3p-14, 0x1.06233c5c64607p-14, 0x1.ff80d1766d839p-15, 0x1.f304e5529e416p-15, 0x1.e6d103b2bba9fp-15, 0x1.dae38bb8d182ep-15, 0x1.cf3aa59dc8b52p-15, 0x1.c3d3fdf1f6634p-15, 0x1.b8ac9437181b4p-15, 0x1.adc0ae0222c1bp-15, 0x1.a30bfb2923a62p-15, 0x1.9889eda38b50dp-15, 0x1.8e363a6be629cp-15, 0x1.840d6ae2ad9afp-15, 0x1.7a0d5cb4ec9fcp-15, 0x1.70358c859cf8ep-15, 0x1.668710ad552f9p-15, 0x1.5d043c9ae56f4p-15, 0x1.53affeba7daep-15, 0x1.4a8d21a266672p-15, 0x1.419da381ca722p-15, 0x1.38e24eee6cca2p-15, 0x1.305aa7dd4d47dp-15, 0x1.280522cda10b6p-15, 0x1.1fdf8877d8395p-15, 0x1.17e766a167701p-15, 0x1.101a7af28af52p-15, 0x1.0877116c7d4ffp-15, 0x1.00fc50290ee73p-15, 0x1.f354bd1176c76p-16, 0x1.e5049b80510dp-16, 0x1.d70b6b31a55afp-16, 0x1.c96c32770328ep-16, 0x1.bc2890886dd64p-16, 0x1.af3fee8ff5abcp-16, 0x1.a2af638b11a06p-16, 0x1.96723f33fe61cp-16, 0x1.8a82f31e26b4bp-16, 0x1.7edc01b4601bap-16, 0x1.7378b273100abp-16, 0x1.68557109cf06dp-16, 0x1.5d6fdd53a151fp-16, 0x1.52c6a3c092c9ap-16, 0x1.485939cef7da9p-16, }}, 
      {{-0x1.d80a311060db5p-2, -0x1.d1831e586ad7ap-2, -0x1.c7340d2b0de8cp-2, -0x1.b9c6dac845a35p-2, -0x1.a9ee3e888a4c5p-2, -0x1.9854e7db4dbb2p-2, -0x1.85958c0db49p-2, -0x1.7237528c8cbdp-2, -0x1.5eac7aa8a6f2fp-2, -0x1.4b526e2227b37p-2, -0x1.3872e4e46e09ep-2, -0x1.2645ca34b4d06p-2, -0x1.14f38f6e3a512p-2, -0x1.04979ecb65026p-2, -0x1.ea856823ebe8dp-3, -0x1.cdf9f299da7cdp-3, -0x1.b38fb37a1ee8p-3, -0x1.9b3f1379c016cp-3, -0x1.84f8936b41225p-3, -0x1.70a6db0545578p-3, -0x1.5e30644f30ee1p-3, -0x1.4d78d56ccdaadp-3, -0x1.3e62176d0b8cep-3, -0x1.30cd35d0ebc7ap-3, -0x1.249b10224813ep-3, -0x1.19ace5365c4b8p-3, -0x1.0fe4be7c75415p-3, -0x1.0725c0cf340f2p-3, -0x1.fea8cf02cb283p-4, -0x1.f0ad5b7106a7p-4, -0x1.e42853153e9b4p-4, -0x1.d8ec3781d43e5p-4, -0x1.ceceed2edc74cp-4, -0x1.c5a9baafc255cp-4, -0x1.bd593c8ef022p-4, -0x1.b5bd501a9b42cp-4, -0x1.aeb8f6f2385f1p-4, -0x1.a83234cc723bfp-4, -0x1.a211e8b18ff45p-4, -0x1.9c43a2c0288b8p-4, -0x1.96b577788a035p-4, -0x1.9157d178beb51p-4, -0x1.8c1d4281e5888p-4, -0x1.86fa548f6a126p-4, -0x1.81e55bb50f776p-4, -0x1.7cd6495e1488dp-4, -0x1.77c6816c0f6a2p-4, -0x1.72b0b1a0f9299p-4, -0x1.6d90aba73eebbp-4, -0x1.686341dcfb7b2p-4, -0x1.632626ed59914p-4, -0x1.5dd7d04a059cp-4, -0x1.58775b95b6857p-4, -0x1.530476c2849a5p-4, -0x1.4d7f4a96d9632p-4, -0x1.47e8676e4edaap-4, -0x1.4240b45b85bc5p-4, -0x1.3c89606929903p-4, -0x1.36c3d591d86p-4, -0x1.30f1acec0282fp-4, -0x1.2b14a42f62eb5p-4, -0x1.252e949737461p-4, -0x1.1f416b3b89b92p-4, -0x1.194f2254230f2p-4, -0x1.1359bb374874fp-4, -0x1.0d6338cbc5bdbp-4, -0x1.076d9aab838f1p-4, -0x1.017ad9015e804p-4, -0x1.f719c261f3689p-5, -0x1.eb4b263b22bf8p-5, -0x1.df8d7dc385a11p-5, -0x1.d3e445a91bb5ap-5, -0x1.c852d3a11c8efp-5, -0x1.bcdc538a42b3ap-5, -0x1.b183c53bbeae7p-5, -0x1.a64bfb0d576dap-5, -0x1.9b37990e0dfd3p-5, -0x1.904914ccc35f8p-5, -0x1.8582b58e2c2d7p-5, -0x1.7ae694cf4fcc1p-5, -0x1.70769efdbf17bp-5, -0x1.6634945ac3ce9p-5, -0x1.5c220a06b3ed8p-5, -0x1.52406b354053bp-5, -0x1.4890fa8a48ce8p-5, -0x1.3f14d39bb401p-5, -0x1.35ccec8fdbe1ap-5, -0x1.2cba17cec825ap-5, -0x1.23dd05bb2c96cp-5, -0x1.1b36466949385p-5, -0x1.12c64b4c73ffp-5, -0x1.0a8d68d77a55ap-5, -0x1.028bd80d64a15p-5, -0x1.f58370091d619p-6, -0x1.e65e1eb6bad58p-6, -0x1.d7a79b4630ba3p-6, -0x1.c95f997fdfa41p-6, -0x1.bb85a47ee589ap-6, -0x1.ae19214d41a9dp-6, -0x1.a119516b88874p-6, -0x1.948555447a4ebp-6, -0x1.885c2e8bd9198p-6, -0x1.7c9cc2869aeb1p-6, -0x1.7145dc3e5c3efp-6, -0x1.66562e9eb1338p-6, -0x1.5bcc567e01dep-6, -0x1.51a6dc9447e84p-6, -0x1.47e4375e26ee2p-6, -0x1.3e82ccf1fd3c2p-6, -0x1.3580f4c1aa12bp-6, -0x1.2cdcf950945b4p-6, -0x1.249519d7c6b9bp-6, -0x1.1ca78bdbac09cp-6, -0x1.15127cb21594ep-6, -0x1.0dd412f672177p-6, -0x1.06ea6fed6e051p-6, -0x1.0053b0d632f1fp-6, -0x1.f41be05141882p-7, -0x1.e82e8d82a3549p-7, -0x1.dcdb99f0e3253p-7, -0x1.d21f374db00dep-7, -0x1.c7f59a2cfc19ap-7, -0x1.be5afbbd86df1p-7, -0x1.b54b9b5eba5bbp-7, -0x1.acc3c00defc1bp-7, -0x1.a4bfb9aec14d5p-7, -0x1.9d3be232ad432p-7, -0x1.96349e9c6396ap-7, -0x1.8fa65fe2d8206p-7, -0x1.898da3b6d9143p-7, -0x1.83e6f52baf69cp-7, -0x1.7eaeed413f285p-7, -0x1.79e2335a58ebep-7, -0x1.757d7d98349d6p-7, -0x1.717d911e037dep-7, -0x1.6ddf4246613e5p-7, -0x1.6a9f74c4249ddp-7, -0x1.67bb1baf0027bp-7, -0x1.652f3987f4c42p-7, -0x1.62f8e03085eb8p-7, -0x1.611530cfd7963p-7, -0x1.5f815bb5435fdp-7, -0x1.5e3aa0353e701p-7, -0x1.5d3e4c765aac2p-7, -0x1.5c89bd3dcc0dcp-7, -0x1.5c1a5dbe95bdbp-7, -0x1.5beda75cb9b29p-7, -0x1.5c01216d9d5cap-7, -0x1.5c52610130451p-7, -0x1.5cdf08a6b8089p-7, -0x1.5da4c82a565d4p-7, -0x1.5ea15c5ad3c9cp-7, -0x1.5fd28ed6b8c2dp-7, -0x1.613635d05ba73p-7, -0x1.62ca33d2f5e9ap-7, -0x1.648c779497e4cp-7, -0x1.667afbc91a02ep-7, -0x1.6893c6ecedccp-7, -0x1.6ad4eb1606538p-7, -0x1.6d3c85d1aa915p-7, -0x1.6fc8bffee79b2p-7, -0x1.7277cda13fa69p-7, -0x1.7547edbc561a4p-7, -0x1.78376a3a91ed1p-7, -0x1.7b4497cee1168p-7, -0x1.7e6dd5cdb5d31p-7, -0x1.81b18e0d95dd5p-7, -0x1.850e34d37e52ep-7, -0x1.888248ba95b34p-7, -0x1.8c0c5290390c9p-7, -0x1.8faae53356fdfp-7, -0x1.935c9d812103fp-7, -0x1.97202241f3a88p-7, -0x1.9af42406e54edp-7, -0x1.9ed75d02ceba2p-7, -0x1.a2c890f08f21dp-7, -0x1.a6c68d01e3c6ap-7, -0x1.aad027c19a91ap-7, -0x1.aee440e616ddap-7, -0x1.b301c1290b09ep-7, -0x1.b7279a317288p-7, -0x1.bb54c67cf11b2p-7, -0x1.bf88493457ea2p-7, -0x1.c3c12df3fa6bbp-7, -0x1.c7fe88a3b6c89p-7, -0x1.cc3f75612f3f6p-7, -0x1.d08318617877fp-7, -0x1.d4c89db98a957p-7, -0x1.d90f391f4ec4fp-7, -0x1.dd5625c0c0d0dp-7, -0x1.e19ca62d4755ap-7, -0x1.e5e204335eb45p-7, -0x1.ea2590a1f6d8ep-7, -0x1.ee66a303c91dep-7, -0x1.f2a499737adabp-7, -0x1.f6ded8850ab5p-7, -0x1.fb14cb2582e4bp-7, -0x1.ff45e25d7ffp-7, -0x1.01b8ca846d37p-6, -0x1.03cbafd1f5e2ep-6, -0x1.05db621a2c1efp-6, -0x1.07e7a5189ae5fp-6, -0x1.09f03f28318f1p-6, -0x1.0bf4f91fa29bap-6, -0x1.0df59e338d304p-6, -0x1.0ff1fbe768a6dp-6, -0x1.11e9e20615c94p-6, -0x1.13dd22924bb98p-6, -0x1.15cb91a97f69bp-6, -0x1.17b505632fd6fp-6, -0x1.199955bb120e3p-6, -0x1.1b785c88c9aa3p-6, -0x1.1d51f57a3b028p-6, -0x1.1f25fe03ea004p-6, -0x1.20f45545dad5ep-6, -0x1.22bcdbf00f7dep-6, -0x1.247f7432a3027p-6, -0x1.263c01b973c64p-6, -0x1.27f269a98b3c8p-6, -0x1.29a2929548897p-6, -0x1.2b4c64664c7d5p-6, -0x1.2cefc84684624p-6, -0x1.2e8ca892a6a84p-6, -0x1.3022f0d795b02p-6, -0x1.31b28dd2b3891p-6, -0x1.333b6d6bc5a4p-6, -0x1.34bd7ea532969p-6, -0x1.3638b18858a0fp-6, -0x1.37acf717c1df4p-6, -0x1.391a414b0c7f5p-6, -0x1.3a8083106dc7ap-6, -0x1.3bdfb04c5317fp-6, -0x1.3d37bdd14c5dfp-6, -0x1.3e88a15163516p-6, -0x1.3fd25150489bbp-6, -0x1.4114c51bfb97ap-6, -0x1.424ff4cd22fb4p-6, -0x1.4383d949f4a4p-6, -0x1.44b06c46472e7p-6, -0x1.45d5a83d072fbp-6, -0x1.46f38865549afp-6, -0x1.480a08a92d08bp-6, -0x1.491925a137c67p-6, -0x1.4a20dc95fa0ep-6, -0x1.4b212b82f0c7cp-6, -0x1.4c1a11170289fp-6, -0x1.4d0b8cafe4eb7p-6, -0x1.4df59e517c584p-6, -0x1.4ed8469d7ca28p-6, -0x1.4fb386ce72daep-6, -0x1.508760b6c3c3cp-6, -0x1.5153d6c196d95p-6, -0x1.5218ebf2e5ccdp-6, -0x1.52d6a3e418defp-6, -0x1.538d02bd32ea1p-6, -0x1.543c0d2cc4fcfp-6, -0x1.54e3c86192b97p-6, -0x1.55843a0751de3p-6, -0x1.561d6845c20f5p-6, -0x1.56af59c0a248p-6, -0x1.573a15969ae5bp-6, -0x1.57bda35db8efep-6, -0x1.583a0b1e080d5p-6, -0x1.58af554b9966fp-6, -0x1.591d8ac258dddp-6, -0x1.5984b4c39521dp-6, -0x1.59e4dcf50cebdp-6, -0x1.5a3e0d603537bp-6, -0x1.5a905070f6467p-6, -0x1.5adbb0f2cdabbp-6, -0x1.5b203a0c258dep-6, -0x1.5b5df7392bd3fp-6, -0x1.5b94f44720f39p-6, -0x1.5bc53d50a84bep-6, -0x1.5beedebac2177p-6, -0x1.5c11e53225c53p-6, -0x1.5c2e5da851badp-6, -0x1.5c4455503e33cp-6, -0x1.5c53d999bcf2ep-6, -0x1.5c5cf82c5d1a9p-6, -0x1.5c5fbee20306p-6, -0x1.5c5c3bc247463p-6, -0x1.5c527cfe4ea89p-6, -0x1.5c4290ed3ba49p-6, -0x1.5c2c8608ceefp-6, -0x1.5c106aea881f8p-6, -0x1.5bee4e4892439p-6, -0x1.5bc63ef2798dfp-6, -0x1.5b984bcd69663p-6, -0x1.5b6483d08a21ep-6, -0x1.5b2af601c35f3p-6, -0x1.5aebb17307971p-6, -0x1.5aa6c53fd692ep-6, -0x1.5a5c408b269edp-6, -0x1.5a0c327d8f2dep-6, -0x1.59b6aa43b9286p-6, -0x1.595bb70caf8f6p-6, -0x1.58fb6807b00e2p-6, -0x1.5895cc61ef95ap-6, -0x1.582af3443e98ap-6, -0x1.57baebd11e935p-6, -0x1.5745c522eb476p-6, -0x1.56cb8e4a2455dp-6, -0x1.564c564bd954ap-6, -0x1.55c82c205b8e4p-6, -0x1.553f1eb1ee58dp-6, -0x1.54b13cdb82b02p-6, -0x1.541e9566d52e9p-6, -0x1.5387370ac0197p-6, -0x1.52eb30695ac29p-6, -0x1.524a900e9bcc9p-6, -0x1.51a5646efb6f7p-6, -0x1.50fbbbe65896ep-6, -0x1.504da4b6f268p-6, -0x1.4f9b2d0892563p-6, -0x1.4ee462e80c109p-6, -0x1.4e295446ac8c4p-6, -0x1.4d6a0ef9a63e7p-6, -0x1.4ca6a0b945be8p-6, -0x1.4bdf172065bd7p-6, -0x1.4b137fabfe6fp-6, -0x1.4a43e7bb236cep-6, -0x1.49705c8ef7c09p-6, -0x1.4898eb4adf256p-6, -0x1.47bda0f4b3836p-6, -0x1.46de8a753eac4p-6, -0x1.45fbb498ce219p-6, -0x1.45152c0fd7be6p-6, -0x1.442afd6f85c02p-6, -0x1.433d35321c1b2p-6, -0x1.424bdfb77b5d7p-6, -0x1.41570945cdca5p-6, -0x1.405ebe0a41d44p-6, -0x1.3f630a19e4f6p-6, -0x1.3e63f97276194p-6, -0x1.3d6197fb1bd85p-6, -0x1.3c5bf1856a437p-6, -0x1.3b5311ce3d058p-6, -0x1.3a47047eb29b7p-6, -0x1.3937d52d13d7ap-6, -0x1.38258f5d8a231p-6, -0x1.37103e82bf3a3p-6, -0x1.35f7edfea66e1p-6, -0x1.34dca9231f319p-6, -0x1.33be7b32e9fb7p-6, -0x1.329d6f623cc0bp-6, -0x1.317990d79c657p-6, -0x1.3052eaac7d2d1p-6, -0x1.2f2987ee016ddp-6, -0x1.2dfd739dc385fp-6, -0x1.2cceb8b2867bbp-6, -0x1.2b9d6218f618ep-6, -0x1.2a697ab4345b9p-6, -0x1.29330d5e5ba4fp-6, -0x1.27fa24e9073dp-6, -0x1.26becc1de4487p-6, -0x1.25810dbf5c137p-6, -0x1.2440f48909958p-6, -0x1.22fe8b3067f59p-6, -0x1.21b9dc6541b85p-6, -0x1.2072f2d23f99bp-6, -0x1.1f29d91d6ef46p-6, -0x1.1dde99e8d36b7p-6, -0x1.1c913fd2ea816p-6, -0x1.1b41d5772e7bp-6, -0x1.19f0656e6da1p-6, -0x1.189cfa4f266f1p-6, -0x1.17479eadef04ep-6, -0x1.15f05d1dce84bp-6, -0x1.1497403093a08p-6, -0x1.133c52773b57bp-6, -0x1.11df9e8236a0ep-6, -0x1.10812ee1b44d2p-6, -0x1.0f210e25c87p-6, -0x1.0dbf46dece2fbp-6, -0x1.0c5be39d83eaap-6, -0x1.0af6eef34707ep-6, -0x1.099073723d7b6p-6, -0x1.08287bad648d4p-6, -0x1.06bf12389b67dp-6, -0x1.055441a89cc25p-6, -0x1.03e81492fee0ep-6, -0x1.027a958e2ea79p-6, -0x1.010bcf31650c4p-6, -0x1.ff3798291749bp-7, -0x1.fc552da039fa1p-7, -0x1.f97073fa02cdcp-7, -0x1.f6898068ad5ecp-7, -0x1.f3a0681e73dfp-7, -0x1.f0b5404d2f644p-7, -0x1.edc81e25c58aap-7, -0x1.ead916d7b945bp-7, -0x1.e7e83f90711a5p-7, -0x1.e4f5ad7a7d58fp-7, -0x1.e20175bce3f86p-7, -0x1.df0bad7a4d7afp-7, -0x1.dc1469d0306abp-7, -0x1.d91bbfd6162b5p-7, -0x1.d621c49ca617fp-7, -0x1.d3268d2cd3d05p-7, -0x1.d02a2e86d80acp-7, -0x1.cd2cbda159406p-7, -0x1.ca2e4f685d75ap-7, -0x1.c72ef8bc4e4e9p-7, -0x1.c42ece71015cap-7, -0x1.c12de54cbf034p-7, -0x1.be2c520727963p-7, -0x1.bb2a294820e96p-7, -0x1.b8277fa6caeap-7, -0x1.b52469a84ccffp-7, -0x1.b220fbbecc87bp-7, -0x1.af1d4a485c41fp-7, -0x1.ac19698dd9f0ap-7, -0x1.a9156dc1d5cd9p-7, -0x1.a6116aff8f653p-7, -0x1.a30d7549bff74p-7, -0x1.a009a08980fd5p-7, -0x1.9d06008d3581cp-7, -0x1.9a02a90770a61p-7, -0x1.96ffad8dd24f5p-7, -0x1.93fd21980431p-7, -0x1.90fb187ea8c58p-7, -0x1.8df9a57a3acacp-7, -0x1.8af8dba21e017p-7, -0x1.87f8cdeb6af5dp-7, -0x1.84f98f27f47cap-7, -0x1.81fb320528983p-7, -0x1.7efdc90b25706p-7, -0x1.7c01669b8ef59p-7, -0x1.79061cf0b4bbfp-7, -0x1.760bfe1c7cbafp-7, -0x1.73131c0772a3dp-7, -0x1.701b886fe27abp-7, -0x1.6d2554e8d000ap-7, -0x1.6a3092d929396p-7, -0x1.673d537abdd56p-7, -0x1.644ba7d98132dp-7, -0x1.615ba0d288d0ep-7, -0x1.5e6d4f134e50ep-7, -0x1.5b80c318c73fp-7, -0x1.58960d2ea171ep-7, -0x1.55ad3d6e6fefbp-7, -0x1.52c663bee1accp-7, -0x1.4fe18fd30ecf2p-7, -0x1.4cfed129c75a6p-7, -0x1.4a1e370cd9696p-7, -0x1.473fd090699p-7, -0x1.4463ac9246bc3p-7, -0x1.4189d9b94f41ep-7, -0x1.3eb26674d47f5p-7, -0x1.3bdd60fbfa6c1p-7, -0x1.390ad74d38cafp-7, -0x1.363ad72dc643fp-7, -0x1.336d6e2929111p-7, -0x1.30a2a990b7585p-7, -0x1.2dda967b2ebe8p-7, -0x1.2b1541c44a915p-7, -0x1.2852b80c635fep-7, -0x1.259305b7fb6edp-7, -0x1.22d636ef8d525p-7, -0x1.201c579f1429cp-7, -0x1.1d657375d39bdp-7, -0x1.1ab195e60d3fcp-7, -0x1.1800ca24d0571p-7, -0x1.15531b29b8ec8p-7, -0x1.12a893aecfbd5p-7, -0x1.10013e305d304p-7, -0x1.0d5d24ecd06c5p-7, -0x1.0abc51e4aa846p-7, -0x1.081eceda60c57p-7, -0x1.0584a55255f4fp-7, -0x1.02edde92d4f7dp-7, -0x1.005a83a407d0bp-7, -0x1.fb953aa0141eep-8, -0x1.f67c6845ce423p-8, -0x1.f16aa0d55c4f7p-8, -0x1.ec5ff46f381e7p-8, -0x1.e75c72b83f8bep-8, -0x1.e2602ada3dd5ep-8, -0x1.dd6b2b841303ep-8, -0x1.d87d82ea30501p-8, -0x1.d3973ec71520fp-8, -0x1.ceb86c5b7bcaap-8, -0x1.c9e1186f42e68p-8, -0x1.c5114f519c0cap-8, -0x1.c0491cd9b1e62p-8, -0x1.bb888c675980fp-8, -0x1.b6cfa8e39e7cfp-8, -0x1.b21e7cc1885c2p-8, -0x1.ad7511feb86aep-8, -0x1.a8d372244aee4p-8, -0x1.a439a647a9aeap-8, -0x1.9fa7b70b42a5cp-8, -0x1.9b1dac9f88b2ap-8, -0x1.969b8ec3c3e46p-8, -0x1.922164c703d41p-8, -0x1.8daf3589074bap-8, -0x1.8945077b4a359p-8, -0x1.84e2e0a1c39b7p-8, -0x1.8088c694349abp-8, -0x1.7c36be7efa175p-8, -0x1.77eccd243e6acp-8, -0x1.73aaf6dcf8afap-8, -0x1.6f713f9a2f0c3p-8, -0x1.6b3faae5ffd83p-8, -0x1.67163be4e6b7cp-8, -0x1.62f4f556d734cp-8, -0x1.5edbd99877b7bp-8, -0x1.5acaeaa464a9ap-8, -0x1.56c22a14513f3p-8, -0x1.52c19922542cep-8, -0x1.4ec938aa1294p-8, -0x1.4ad9092a11c7ep-8, -0x1.46f10ac4fd88ap-8, -0x1.43113d42db621p-8, -0x1.3f39a0127ad6ep-8, -0x1.3b6a324aaa703p-8, -0x1.37a2f2ab9b3ddp-8, -0x1.33e3dfa0449f9p-8, -0x1.302cf73faf00bp-8, -0x1.2c7e374e5487dp-8, -0x1.28d79d3f82e7fp-8, -0x1.25392636af654p-8, -0x1.21a2cf08e2804p-8, -0x1.1e14943dff082p-8, -0x1.1a8e721227dc5p-8, -0x1.171064771eec3p-8, -0x1.139a6715a3a6ap-8, -0x1.102c754ebd25ep-8, -0x1.0cc68a3d38257p-8, -0x1.0968a0b6fe207p-8, -0x1.0612b34e70a88p-8, -0x1.02c4bc53d7e1p-8, -0x1.fefd6bad95014p-9, -0x1.f881334f016d2p-9, -0x1.f214c2b092ce1p-9, -0x1.ebb80c7daf6f1p-9, -0x1.e56b02eb6e55fp-9, -0x1.df2d97bb1ea79p-9, -0x1.d8ffbc3cf794ep-9, -0x1.d2e16152f4c0cp-9, -0x1.ccd277733bdd6p-9, -0x1.c6d2eeab09f5bp-9, -0x1.c0e2b6a11369dp-9, -0x1.bb01be985241dp-9, -0x1.b52ff572a2f6ep-9, -0x1.af6d49b360abcp-9, -0x1.a9b9a982187a7p-9, -0x1.a41502ace8501p-9, -0x1.9e7f42ab846b8p-9, -0x1.98f856a14017ap-9, -0x1.93802b60183adp-9, -0x1.8e16ad6acc64bp-9, -0x1.88bbc8f7b623p-9, -0x1.836f69f2cafaep-9, -0x1.7e317c007d4f8p-9, -0x1.7901ea7fbdcb3p-9, -0x1.73e0a08c9e597p-9, -0x1.6ecd89026503bp-9, -0x1.69c88e7e387d5p-9, -0x1.64d19b61260d9p-9, -0x1.5fe899d26f885p-9, -0x1.5b0d73c224263p-9, -0x1.564012eb0657cp-9, -0x1.518060d4f0432p-9, -0x1.4cce46d7251dp-9, -0x1.4829ae1a408e8p-9, -0x1.43927f9aa7949p-9, -0x1.3f08a42a5a9fbp-9, -0x1.3a8c047353dfcp-9, -0x1.361c88f950619p-9, -0x1.31ba1a1bf3cf4p-9, -0x1.2d64a018b8653p-9, -0x1.291c030cf0ebbp-9, -0x1.24e02af782a11p-9, -0x1.20b0ffbb116bbp-9, -0x1.1c8e691f91cc1p-9, -0x1.18784ed4711dep-9, -0x1.146e98721a97bp-9, -0x1.10712d7bfc148p-9, -0x1.0c7ff5624f316p-9, -0x1.089ad783b7122p-9, -0x1.04c1bb2f0c4f7p-9, -0x1.00f487a52a053p-9, -0x1.fa664834c07c1p-10, -0x1.f2faef70a72bep-10, -0x1.eba6d33e87798p-10, -0x1.e469c1d00339dp-10, -0x1.dd43894a07885p-10, -0x1.d633f7c87e883p-10, -0x1.cf3adb60b9837p-10, -0x1.c858022470c74p-10, -0x1.c18b3a24b29e4p-10, -0x1.bad451747b983p-10, -0x1.b433162b7639dp-10, -0x1.ada7566886e28p-10, -0x1.a730e054d02a1p-10, -0x1.a0cf8225b2098p-10, -0x1.9a830a1fdbbbep-10, -0x1.944b46996b8d4p-10, -0x1.8e2805fc8722fp-10, -0x1.881916c9a9742p-10, -0x1.821e479a01a5ep-10, -0x1.7c37672180d71p-10, -0x1.766444314e609p-10, -0x1.70a4adb998d4bp-10, -0x1.6af872cbdf76bp-10, -0x1.655f629cb0164p-10, -0x1.5fd94c85a7583p-10, -0x1.5a66000788a43p-10, -0x1.55054ccba30d9p-10, -0x1.4fb702a5e9417p-10, -0x1.4a7af196933bap-10, -0x1.4550e9cbdb021p-10, -0x1.4038bba38c566p-10, -0x1.3b3237ace6988p-10, -0x1.363d2ea9e1093p-10, -0x1.315971911d8fep-10, -0x1.2c86d18ee72edp-10, -0x1.27c520075bf46p-10, -0x1.23142e97584b5p-10, -0x1.1e73cf15e9668p-10, -0x1.19e3d395e293dp-10, -0x1.15640e66cbedp-10, -0x1.10f452165ca52p-10, -0x1.0c9471716ad9ap-10, -0x1.08443f8526d2cp-10, -0x1.04038fa00ca1ep-10, -0x1.ffa46aa5a4112p-11, -0x1.f76008e2fb9d1p-11, -0x1.ef39a2288b914p-11, -0x1.e730df3068423p-11, -0x1.df4569407f284p-11, -0x1.d776ea2c1166cp-11, -0x1.cfc50c554e4c9p-11, -0x1.c82f7aaeec082p-11, -0x1.c0b5e0bda51b5p-11, -0x1.b957ea9a05c1p-11, -0x1.b21544f1a238ap-11, -0x1.aaed9d08a4e4ep-11, -0x1.a3e0a0bb585c4p-11, -0x1.9cedfe7f79a15p-11, -0x1.9615656527f41p-11, -0x1.8f5685186fc8cp-11, -0x1.88b10de22535p-11, -0x1.8224b0a8a6b73p-11, -0x1.7bb11ef0a4b96p-11, -0x1.75560ade000b4p-11, -0x1.6f132733d60b2p-11, -0x1.68e827556a62bp-11, -0x1.62d4bf4587261p-11, -0x1.5cd8a3a7ca8b9p-11, -0x1.56f389bfccb85p-11, -0x1.512527722d115p-11, -0x1.4b6d3343a4373p-11, -0x1.45cb645a6af66p-11, -0x1.403f727d97ec1p-11, -0x1.3ac91615d505p-11, -0x1.3568082de458ap-11, -0x1.301c0272ff2fdp-11, -0x1.2ae4bf35736b8p-11, -0x1.25c1f96983cbfp-11, -0x1.20b36ca79c2fp-11, -0x1.1bb8d52d615a7p-11, -0x1.16d1efdde574p-11, -0x1.11fe7a422cdc3p-11, -0x1.0d3e32896b6e2p-11, -0x1.0890d788fe31bp-11, -0x1.03f628bbcbb4p-11, -0x1.fedbcc8507f67p-12, -0x1.f5efa1c3a9dddp-12, -0x1.ed2754044ae05p-12, -0x1.e482675b7a4bfp-12, -0x1.dc00611f53533p-12, -0x1.d3a0c7e3d774bp-12, -0x1.cb6323779658cp-12, -0x1.c346fce090ae4p-12, -0x1.bb4bde5976e7p-12, -0x1.b371534e85539p-12, -0x1.abb6e85bdccc6p-12, -0x1.a41c2b4c1b4eap-12, -0x1.9ca0ab16eb977p-12, -0x1.9543f7e20d802p-12, -0x1.8e05a3015b66p-12, -0x1.86e53ef874348p-12, -0x1.7fe25f7cc729ep-12, -0x1.78fc9977691e2p-12, -0x1.723383089b7b1p-12, -0x1.6b86b388cc0aep-12, -0x1.64f5c38c73c25p-12, -0x1.5e804ce4514d2p-12, -0x1.5825ea9f299cep-12, -0x1.51e63909e2ee4p-12, -0x1.4bc0d5adcff01p-12, -0x1.45b55f4f1d972p-12, -0x1.3fc375e9464aap-12, -0x1.39eabaaa1352p-12, -0x1.342acfec15596p-12, -0x1.2e8359300c7eep-12, -0x1.28f3fb1524e2p-12, -0x1.237c5b516a258p-12, -0x1.1e1c20a8e590ep-12, -0x1.18d2f2e5f68c8p-12, -0x1.13a07ad1629b2p-12, -0x1.0e84622b714b1p-12, -0x1.097e53a5ccf4ep-12, -0x1.048dfadeb0bf5p-12, -0x1.ff6608bbca4f8p-13, -0x1.f5da3b24e245bp-13, -0x1.ec77e9a5b252cp-13, -0x1.e33e72bcf14b1p-13, -0x1.da2d36c0d94a2p-13, -0x1.d14397e6f9ffdp-13, -0x1.c880fa4fc5c07p-13, -0x1.bfe4c410e0a0dp-13, -0x1.b76e5d44602eap-13, -0x1.af1d3012c97bdp-13, -0x1.a6f0a8c19e7f4p-13, -0x1.9ee835bd70d7bp-13, -0x1.970347a2a0fc2p-13, -0x1.8f41514403b1bp-13, -0x1.87a1c7adbf3b5p-13, -0x1.8024222435edbp-13, -0x1.78c7da1f750cdp-13, -0x1.718c6b4354fc5p-13, -0x1.6a71534fbfee6p-13, -0x1.6376121196328p-13, -0x1.5c9a294c7aaaep-13, -0x1.55dd1ca2fd52p-13, -0x1.4f3e717bcf58dp-13, -0x1.48bdaee5c2525p-13, -0x1.425a5d7c7e378p-13, -0x1.3c14074b9cb15p-13, -0x1.35ea37b7962cbp-13, -0x1.2fdc7b650a4bep-13, -0x1.29ea60286e5c5p-13, -0x1.241374f6e088ep-13, -0x1.1e5749ddf8c65p-13, -0x1.18b56fff03737p-13, -0x1.132d798fb3b05p-13, -0x1.0dbef9dedfbd5p-13, -0x1.0869855e4bae9p-13, -0x1.032cb1acb6c7ep-13, -0x1.fc102b4c7177dp-14, -0x1.f1f692ea9d2p-14, -0x1.e80bcd4a80f29p-14, -0x1.de4f106c34b28p-14, -0x1.d4bf9565647edp-14, -0x1.cb5c98899bde4p-14, -0x1.c225599403e31p-14, -0x1.b9191bcd6dc0ep-14, -0x1.b037262a271a1p-14, -0x1.a77ec364305cdp-14, -0x1.9eef420708563p-14, -0x1.9687f46f2d036p-14, -0x1.8e4830be0d29ap-14, -0x1.862f50bb3ab6ep-14, -0x1.7e3cb1aa32a84p-14, -0x1.766fb412481afp-14, -0x1.6ec7bb7cc3f01p-14, -0x1.67442e2e63fe6p-14, -0x1.5fe474dd7063p-14, -0x1.58a7fa6aa89a6p-14, -0x1.518e2ba167f96p-14, -0x1.4a9677016e1ffp-14, -0x1.43c04c92a82a2p-14, -0x1.3d0b1dc3ea94ap-14, -0x1.36765d566c994p-14, -0x1.30017f500124ep-14, -0x1.29abf8f5b829ep-14, -0x1.237540c829722p-14, -0x1.1d5cce84732a7p-14, -0x1.17621b255f569p-14, -0x1.1184a0e69dc75p-14, -0x1.0bc3db4a06aep-14, -0x1.061f47241dc01p-14, -0x1.009662ac22b96p-14, -0x1.f6515b3108141p-15, -0x1.ebab528351984p-15, -0x1.e139b1a239ca7p-15, -0x1.d6fb82e5bfca4p-15, -0x1.ccefd51aa89d7p-15, -0x1.c315bbe81dc7ep-15, -0x1.b96c50280e4c5p-15, -0x1.aff2b028529a5p-15, -0x1.a6a7ffc588a6ap-15, -0x1.9d8b6865455fp-15, -0x1.949c18c6fc592p-15, -0x1.8bd944b713902p-15, -0x1.834224a708a9cp-15, -0x1.7ad5f5391ecd3p-15, -0x1.7293f6caf5f8ep-15, -0x1.6a7b6d0e0158ap-15, -0x1.628b9eb558412p-15, -0x1.5ac3d5419b9b4p-15, -0x1.53235cee62cf9p-15, -0x1.4ba984baa989ep-15, -0x1.44559e8564d01p-15, -0x1.3d26ff34650b3p-15, -0x1.361cfed3f3e5dp-15, -0x1.2f36f8a18d554p-15, -0x1.28744aff28656p-15, -0x1.21d4573e37dbbp-15, -0x1.1b568150ec1a9p-15, -0x1.14fa2f5f510f7p-15, -0x1.0ebec9546e69cp-15, -0x1.08a3b875e7edfp-15, -0x1.02a8670c6f38fp-15, -0x1.f998806e3e1d6p-16, -0x1.ee1d5fcf4ebc3p-16, -0x1.e2de461cf1c93p-16, -0x1.d7da0fd1007d3p-16, -0x1.cd0f9cd86c1fp-16, -0x1.c27dd179ec18p-16, -0x1.b82397388af2fp-16, -0x1.adffdd858ac27p-16, -0x1.a4119a3ecb4f8p-16, -0x1.9a57c9d6fd5dfp-16, -0x1.90d16f3014071p-16, -0x1.877d932ae8c65p-16, -0x1.7e5b43e72e94p-16, -0x1.756993d7953bfp-16, -0x1.6ca798b30eee2p-16, -0x1.64146a6b5c2b6p-16, -0x1.5baf224836634p-16, -0x1.5376da490fbbap-16, -0x1.4b6aacf95d3dcp-16, -0x1.4389b5be6cecap-16, -0x1.3bd311a780d47p-16, -0x1.3445e0b54286p-16, -0x1.2ce14766a7e63p-16, -0x1.25a4705ad5534p-16, -0x1.1e8e8dcce1bfap-16, -0x1.179edaa225c4p-16, -0x1.10d49ae537beep-16, -0x1.0a2f1b92be51ep-16, -0x1.03adb1bcefe73p-16, -0x1.fa9f72476fe26p-17, -0x1.ee2924fb9c22ep-17, -0x1.e1f74361ddacdp-17, -0x1.d608988c9a63dp-17, -0x1.ca5bf0897b1a4p-17, -0x1.bef01738ffb6dp-17, -0x1.b3c3d836c1de1p-17, -0x1.a8d5ffafe9a11p-17, -0x1.9e255bc07a148p-17, -0x1.93b0bdf3b77d8p-17, -0x1.8976fc94d1f73p-17, -0x1.7f76f3901c2b7p-17, -0x1.75af84e033428p-17, -0x1.6c1f9897adaaap-17, -0x1.62c61cbb1cc2fp-17, -0x1.59a20511ca62cp-17, -0x1.50b24af48dd49p-17, -0x1.47f5ed1360485p-17, -0x1.3f6bef02d0443p-17, -0x1.37135876fb7d6p-17, -0x1.2eeb340663ea3p-17, -0x1.26f28d8bf129p-17, -0x1.1f28705eee4c5p-17, -0x1.178be5a70c694p-17, -0x1.101bf33ab0c5p-17, -0x1.08d79b435bda2p-17, -0x1.01bddcec3e0e8p-17, -0x1.f59b6c2fb1f45p-18, -0x1.e80c4bee44f64p-18, -0x1.dacc6058fe998p-18, -0x1.cdd9c011b5ab3p-18, -0x1.c13296bd9c21cp-18, -0x1.b4d528e9bbb6dp-18, -0x1.a8bfd59826a93p-18, -0x1.9cf11528dd28bp-18, -0x1.9167760b2d598p-18, -0x1.862197f46d2a5p-18, -0x1.7b1e26c1f3556p-18, -0x1.705bd6216e89ap-18, -0x1.65d95ef1bcb26p-18, -0x1.5b957ebeefbc6p-18, -0x1.518ef917a86c9p-18, -0x1.47c49a111f0ccp-18, -0x1.3e3538c9c4625p-18, -0x1.34dfb8c7108dbp-18, -0x1.2bc3095b8206p-18, -0x1.22de22e884e22p-18, -0x1.1a300273de021p-18, -0x1.11b7a4cb931f5p-18, -0x1.097402a591bc1p-18, -0x1.01640ef1a2a9bp-18, -0x1.f30d6ffe648cbp-19, -0x1.e3b5d627f93eap-19, -0x1.d4bf327ddd003p-19, -0x1.c6277786a7d2bp-19, -0x1.b7ecad367d09dp-19, -0x1.aa0cf082a0708p-19, -0x1.9c866dd151fc9p-19, -0x1.8f57585016f18p-19, -0x1.827de0e582fd8p-19, -0x1.75f82f71d1136p-19, -0x1.69c45fe977adap-19, -0x1.5de083a7a9d8ap-19, -0x1.524aa63387a98p-19, -0x1.4700d40875f14p-19, -0x1.3c0121e27a194p-19, -0x1.3149b32c81b62p-19, -0x1.26d8beaad45f5p-19, -0x1.1cac910ab7262p-19, -0x1.12c38d527a6cep-19, -0x1.091c2b6f3faeep-19, -0x1.ff69ea5b1b914p-20, -0x1.ed19039c682b4p-20, -0x1.db42e0e6076b3p-20, -0x1.c9e4c372e6abbp-20, -0x1.b8fbe2bb863d4p-20, -0x1.a885624961638p-20, -0x1.987e4dd0e802p-20, -0x1.88e39ef20397bp-20, -0x1.79b24e3666c25p-20, -0x1.6ae76ddbc13dcp-20, -0x1.5c80490b2a9b5p-20, -0x1.4e7a7f056bbb1p-20, -0x1.40d411429a28p-20, -0x1.338b5e18c89d8p-20, -0x1.269f06ee5f69dp-20, -0x1.1a0dc77155c07p-20, -0x1.0dd648daf4694p-20, -0x1.01f6fe3ea632bp-20, -0x1.ecdc289a2ea9dp-21, -0x1.d672f203f1d8bp-21, -0x1.c0adee7d59923p-21, -0x1.ab88b78f1a5f7p-21, -0x1.96ff2c8e9f68dp-21, -0x1.830d97069d6fep-21, -0x1.6fb0a94e169e5p-21, -0x1.5ce55ea5cb678p-21, -0x1.4aa8cd86e9ffp-21, -0x1.38f7fe13a04cdp-21, -0x1.27cfcf605a3f5p-21, -0x1.172cee3617092p-21, -0x1.070bd9f887691p-21, -0x1.eed1e60a81efbp-22, -0x1.d0811e0736cdbp-22, -0x1.b31e200d25298p-22, -0x1.96a1f7b8dfb38p-22, -0x1.7b0620de0386bp-22, -0x1.6044a47d699e1p-22, -0x1.4658256f971d4p-22, -0x1.2d3bdac85e602p-22, -0x1.14eb784f351a1p-22, -0x1.fac610ac25adcp-23, -0x1.cd3d78e607d87p-23, }}, 
      std::vector<double>(950, 0.0), 
      {{0x1.13e50769f8bffp-5, 0x1.e9b6b1c7010ebp-5, 0x1.35e41515e6552p-4, 0x1.4d482773f1223p-4, 0x1.408db103be239p-4, 0x1.177d92da04307p-4, 0x1.b4b34a265f7f7p-5, 0x1.21a85264938f1p-5, 0x1.0624bac1a435ap-6, -0x1.c672f2c57533bp-9, -0x1.695891b440012p-6, -0x1.3ffc3a68d77d3p-5, -0x1.ba9b6f7040066p-5, -0x1.113c70ad17f0cp-4, -0x1.3b6ab2dbad142p-4, -0x1.5bf90fc9ff5b9p-4, -0x1.7364a0302d07dp-4, -0x1.82690ee3210bap-4, -0x1.89e85a22b7b19p-4, -0x1.8ad7f3d278d27p-4, -0x1.8632a650935e5p-4, -0x1.7cee7b4c00c1ep-4, -0x1.6ff5d61517287p-4, -0x1.6022ff4b63f77p-4, -0x1.4e3d7bb347c54p-4, -0x1.3af8aa50229bep-4, -0x1.26f3479c826aap-4, -0x1.12b79099f733p-4, -0x1.fd77ad560cb08p-5, -0x1.d6c6c96ab3c45p-5, -0x1.b1ff3fdcc3081p-5, -0x1.8fa2a8ccbdaadp-5, -0x1.701440b704703p-5, -0x1.539be59afc567p-5, -0x1.3a6925292622dp-5, -0x1.249647ef83978p-5, -0x1.122b47699e317p-5, -0x1.03209f7badab7p-5, -0x1.eec3de3e21b3ep-6, -0x1.dda0bf4064b9p-6, -0x1.d2899ad9b266p-6, -0x1.cd23618faf452p-6, -0x1.cd098f1603d3bp-6, -0x1.d1d1069c2b764p-6, -0x1.db0a81a360d97p-6, -0x1.e8449cbc2270fp-6, -0x1.f90d8dff940f7p-6, -0x1.067a48ad1b5dep-5, -0x1.11c58a9d610a4p-5, -0x1.1e32d8c2cde4ap-5, -0x1.2b8e782564dep-5, -0x1.39a6f75319c0cp-5, -0x1.484d6fa11bb64p-5, -0x1.5755b4ba5240ap-5, -0x1.66967c5f6907p-5, -0x1.75e970a40f4d5p-5, -0x1.852b468235eap-5, -0x1.943bb7f30ac44p-5, -0x1.a2fd8de1d5dabp-5, -0x1.b15683eac0507p-5, -0x1.bf2f455e4169ap-5, -0x1.cc73440c05742p-5, -0x1.d910aa2875b1cp-5, -0x1.e4f82db704b3fp-5, -0x1.f01cf449e2334p-5, -0x1.fa7466b548a6ep-5, -0x1.01fb054b85a56p-4, -0x1.064dacac3beb2p-4, -0x1.0a2fcc3ac581ap-4, -0x1.0d9fd9b7150bp-4, -0x1.109d0b1d27535p-4, -0x1.132744988e1f7p-4, -0x1.153f071ec6627p-4, -0x1.16e55ffa242a9p-4, -0x1.181bd96de197fp-4, -0x1.18e46c8960231p-4, -0x1.19417426e1a41p-4, -0x1.1935a0fc438e3p-4, -0x1.18c3eea1b01f5p-4, -0x1.17ef996f69097p-4, -0x1.16bc1523341d2p-4, -0x1.152d043d95994p-4, -0x1.134630145c571p-4, -0x1.110b81906c48cp-4, -0x1.0e80fa8b70935p-4, -0x1.0baaafcb43336p-4, -0x1.088cc3737fa02p-4, -0x1.052b5ff224a3ap-4, -0x1.018ab34793e3ap-4, -0x1.fb5dd5415a884p-5, -0x1.f3385c6e953c9p-5, -0x1.eaad3aea0f103p-5, -0x1.e1c496a3db274p-5, -0x1.d88675eb5c797p-5, -0x1.cefab92503084p-5, -0x1.c5291511c041bp-5, -0x1.bb190d8f03bb2p-5, -0x1.b0d1f0e81d782p-5, -0x1.a65ad3a73b78fp-5, -0x1.9bba8cf84fb8ep-5, -0x1.90f7b384cbeb2p-5, -0x1.86189ae1c3431p-5, -0x1.7b235176df2aep-5, -0x1.701d9ee92c58cp-5, -0x1.650d03098ce37p-5, -0x1.59f6b53020291p-5, -0x1.4edfa4230207dp-5, -0x1.43cc7656bd2c1p-5, -0x1.38c18ab347c4dp-5, -0x1.2dc2f9a8284e4p-5, -0x1.22d496a801535p-5, -0x1.17f9f1f7b28eep-5, -0x1.0d365ab7c68edp-5, -0x1.028ce13dbc38ap-5, -0x1.f000b31f5fd4p-6, -0x1.db26bc1aa2092p-6, -0x1.c690a47545374p-6, -0x1.b242cb22bf13cp-6, -0x1.9e412cd152dccp-6, -0x1.8a8f69af662a3p-6, -0x1.7730cb1ae86e1p-6, -0x1.6428494e6722bp-6, -0x1.517890cdab187p-6, -0x1.3f2407a775a59p-6, -0x1.2d2cd2910ee9ep-6, -0x1.1b94d99c68d1fp-6, -0x1.0a5dccc1864b2p-6, -0x1.f312504bba9a7p-7, -0x1.d2306fd975ef1p-7, -0x1.b21837cf54538p-7, -0x1.92cb95e201183p-7, -0x1.744c2b9988febp-7, -0x1.569b54034430fp-7, -0x1.39ba28a005085p-7, -0x1.1da98568babb5p-7, -0x1.026a0cfda630ap-7, -0x1.cff85838ec663p-8, -0x1.9cc0384bfbe9fp-8, -0x1.6b2bcc1873f65p-8, -0x1.3b3ac98578da8p-8, -0x1.0cec8d3e7b732p-8, -0x1.c0803d135dc18p-9, -0x1.6a68661a248c4p-9, -0x1.178e605c6cf4ep-9, -0x1.8fdcb50412fb2p-10, -0x1.ee0fb753aa705p-11, -0x1.925103573e199p-12, 0x1.3c4993258dd41p-13, 0x1.5ab9569cb07dfp-11, 0x1.2cf365a94e3d9p-10, 0x1.a65bab66fefe1p-10, 0x1.0cd2658264b9ap-9, 0x1.436f84b811939p-9, 0x1.770dcf889647ep-9, 0x1.a7b659ffb5893p-9, 0x1.d572a7a0f6b3dp-9, 0x1.0026527de951dp-8, 0x1.14275385ac223p-8, 0x1.26c1b31e1da34p-8, 0x1.37faf9b732e7cp-8, 0x1.47d8d9255233ap-8, 0x1.56612c698d2a8p-8, 0x1.6399f400d7d6cp-8, 0x1.6f894f60adeeap-8, 0x1.7a357a363cb44p-8, 0x1.83a4cc959f1fap-8, 0x1.8bddb70c75c5ep-8, 0x1.92e6bb2dbed99p-8, 0x1.98c66842e43e4p-8, 0x1.9d835c5a93d39p-8, 0x1.a124419c041a4p-8, 0x1.a3afc6482afe7p-8, 0x1.a52c97c02da85p-8, 0x1.a5a1642963154p-8, 0x1.a514dac506411p-8, 0x1.a38da50be2bc3p-8, 0x1.a1125f1103efdp-8, 0x1.9da9979f5de72p-8, 0x1.9959d42c0133ap-8, 0x1.94298e64b94e6p-8, 0x1.8e1f2b4b7915fp-8, 0x1.8740f688dc2f9p-8, 0x1.7f9526b9aa01fp-8, 0x1.7721e1de18482p-8, 0x1.6ded38cc2d88bp-8, 0x1.63fd1e10ff0b8p-8, 0x1.595763f85a882p-8, 0x1.4e01c3881cd51p-8, 0x1.4201e177bf8d9p-8, 0x1.355d4916311f6p-8, 0x1.2819633e12ebep-8, 0x1.1a3b75546ebabp-8, 0x1.0bc8a9ae7dfa9p-8, 0x1.f98c2c427486p-9, 0x1.da71704196e8bp-9, 0x1.ba4ad711d8afcp-9, 0x1.9921d078a5b2p-9, 0x1.76ff948f26eb9p-9, 0x1.53ed35d5a4737p-9, 0x1.2ff3a037983fp-9, 0x1.0b1b87b5fd5d3p-9, 0x1.cadab9fe2c41fp-10, 0x1.7de2aed5128c3p-10, 0x1.2f5f149faf29fp-10, 0x1.bebfbb0f9f028p-11, 0x1.1be963cf20a02p-11, 0x1.d9666fa0faaf6p-13, -0x1.8e903cdfe0b85p-14, -0x1.b8f925e185c22p-12, -0x1.89896687ad913p-11, -0x1.1c6e14e6b9c9dp-10, -0x1.752c81097b8ap-10, -0x1.cef26707e1e92p-10, -0x1.14d948a9c781ep-9, -0x1.42b001c765749p-9, -0x1.70f6ec7dcf4f7p-9, -0x1.9fa7a09fe1489p-9, -0x1.cebbcd45abf55p-9, -0x1.fe2d46e52affep-9, -0x1.16fb0407d1835p-8, -0x1.2f0811baed611p-8, -0x1.473ada2232c69p-8, -0x1.5f906d2dcd088p-8, -0x1.7805e217a8aeap-8, -0x1.90985e646560cp-8, -0x1.a945189d890b9p-8, -0x1.c2095438044bp-8, -0x1.dae25a782b329p-8, -0x1.f3cd768535246p-8, -0x1.0663fbb9cfa1fp-7, -0x1.12e79b1ccd213p-7, -0x1.1f704d6109bddp-7, -0x1.2bfccdfd5c0a5p-7, -0x1.388bdd8176438p-7, -0x1.451c3eef9d86fp-7, -0x1.51acb6f3cf624p-7, -0x1.5e3c0d62da09ep-7, -0x1.6ac90fdda6addp-7, -0x1.775293bae4135p-7, -0x1.83d775d2bfda3p-7, -0x1.9056987f27973p-7, -0x1.9ccee19951473p-7, -0x1.a93f39f31b83ap-7, -0x1.b5a68e880d427p-7, -0x1.c203d29ae926fp-7, -0x1.ce56016eb286fp-7, -0x1.da9c1e741a8e3p-7, -0x1.e6d533ea4b81dp-7, -0x1.f300512de0a55p-7, -0x1.ff1c89f1757bdp-7, -0x1.05947b5f4f65cp-6, -0x1.0b925b30df57ep-6, -0x1.118777bcec146p-6, -0x1.1773689d533dp-6, -0x1.1d55c97231353p-6, -0x1.232e393ad2879p-6, -0x1.28fc59cdab1cp-6, -0x1.2ebfcfb984798p-6, -0x1.3478428cae932p-6, -0x1.3a255d59d4c5fp-6, -0x1.3fc6cf3880a4bp-6, -0x1.455c4b726d11ep-6, -0x1.4ae5893f7eb05p-6, -0x1.5062434aaaa7p-6, -0x1.55d23757c975ap-6, -0x1.5b35262c6cfb3p-6, -0x1.608ad3b0bd0b2p-6, -0x1.65d30732cda9p-6, -0x1.6b0d8baeeeefdp-6, -0x1.703a2fee77c72p-6, -0x1.7558c65ef9c23p-6, -0x1.7a6924be1ea87p-6, -0x1.7f6b23d48604bp-6, -0x1.845e9f577ebacp-6, -0x1.894375e3d5c3bp-6, -0x1.8e19890517ea2p-6, -0x1.92e0bd46369d9p-6, -0x1.9798fa3f58ae9p-6, -0x1.9c422a86f235ap-6, -0x1.a0dc3b80827f2p-6, -0x1.a5671d25c1b38p-6, -0x1.a9e2c1e6c89f7p-6, -0x1.ae4f1e99ce63ep-6, -0x1.b2ac2a676f814p-6, -0x1.b6f9deb1d481ap-6, -0x1.bb38370270147p-6, -0x1.bf6730ff3a026p-6, -0x1.c386cc58dd2bep-6, -0x1.c7970aa927831p-6, -0x1.cb97ef5143229p-6, -0x1.cf897f661761bp-6, -0x1.d36bc1a18c5c5p-6, -0x1.d73ebe47a341fp-6, -0x1.db027f00481d8p-6, -0x1.deb70eb613701p-6, -0x1.e25c7985871abp-6, -0x1.e5f2ccb494e6cp-6, -0x1.e97a16a23c8bap-6, -0x1.ecf266acd8e8ap-6, -0x1.f05bcd1a6b6b3p-6, -0x1.f3b65b062ff23p-6, -0x1.f7022248a55ap-6, -0x1.fa3f3555510fbp-6, -0x1.fd6da71829f93p-6, -0x1.0046c5705a37ap-5, -0x1.01cf7a2f29a63p-5, -0x1.0350fbd097b8p-5, -0x1.04cb54874bed2p-5, -0x1.063e8ea455f61p-5, -0x1.07aab489ec862p-5, -0x1.090fd0a09492ap-5, -0x1.0a6ded4c802aap-5, -0x1.0bc514e20fa47p-5, -0x1.0d15519bee73cp-5, -0x1.0e5ead96b60f4p-5, -0x1.0fa132d2ff76ep-5, -0x1.10dceb39219fdp-5, -0x1.1211e097f2af5p-5, -0x1.13401c9bf79b3p-5, -0x1.1467a8c4033f8p-5, -0x1.15888e58719b8p-5, -0x1.16a2d665ffb34p-5, -0x1.17b689b9f0a41p-5, -0x1.18c3b0ded6adcp-5, -0x1.19ca541ad5698p-5, -0x1.1aca7b7143136p-5, -0x1.1bc42ea71b1b3p-5, -0x1.1cb775470e8b6p-5, -0x1.1da456a1526cfp-5, -0x1.1e8ad9c6ad244p-5, -0x1.1f6b0582dfd81p-5, -0x1.2044e059f5e32p-5, -0x1.211870888c9a6p-5, -0x1.21e5bc0520d98p-5, -0x1.22acc880f35b9p-5, -0x1.236d9b68eb516p-5, -0x1.242839e7ea676p-5, -0x1.24dca8eb1848dp-5, -0x1.258aed274741ep-5, -0x1.26330b1cdfb57p-5, -0x1.26d50718808dbp-5, -0x1.2770e531c12aep-5, -0x1.2806a94aef3e4p-5, -0x1.28965712e154ep-5, -0x1.291ff208309f5p-5, -0x1.29a37d7c4067ap-5, -0x1.2a20fc95e57adp-5, -0x1.2a98725403b7dp-5, -0x1.2b09e190fb8ecp-5, -0x1.2b754d079a88p-5, -0x1.2bdab758b1dcap-5, -0x1.2c3a230fd88cp-5, -0x1.2c9392a5f8bbp-5, -0x1.2ce7088265a96p-5, -0x1.2d3486fc5b8ddp-5, -0x1.2d7c105dd408bp-5, -0x1.2dbda6e7540aep-5, -0x1.2df94cd3aa421p-5, -0x1.2e2f045b6780ap-5, -0x1.2e5ecfb7ed3d8p-5, -0x1.2e88b1269b64fp-5, -0x1.2eacaaec9ef3dp-5, -0x1.2ecabf5ba3295p-5, -0x1.2ee2f0d679ed1p-5, -0x1.2ef541d4f2825p-5, -0x1.2f01b4e62954ap-5, -0x1.2f084cb229f5dp-5, -0x1.2f090bfc10d36p-5, -0x1.2f03f5a4cb40ap-5, -0x1.2ef90cae51f1dp-5, -0x1.2ee8543ec3cccp-5, -0x1.2ed1cfa322141p-5, -0x1.2eb58251b7c7p-5, -0x1.2e936fec5ee0ap-5, -0x1.2e6b9c4314c0bp-5, -0x1.2e3e0b56d7c3dp-5, -0x1.2e0ac15ccebeep-5, -0x1.2dd1c2c10367bp-5, -0x1.2d9314282ee54p-5, -0x1.2d4eba70d3a3ap-5, -0x1.2d04bab43c69ep-5, -0x1.2cb51a47de4ecp-5, -0x1.2c5fdebf0b3f5p-5, -0x1.2c050dec8be51p-5, -0x1.2ba4ade42252dp-5, -0x1.2b3ec4fba9d3fp-5, -0x1.2ad359cc15a8p-5, -0x1.2a627332360b8p-5, -0x1.29ec184faafd7p-5, -0x1.2970508bf384ap-5, -0x1.28ef2395a34f5p-5, -0x1.2868996350319p-5, -0x1.27dcba33f82e4p-5, -0x1.274b8e8ed46ddp-5, -0x1.26b51f4323c36p-5, -0x1.2619756814dc2p-5, -0x1.25789a5cd5baap-5, -0x1.24d297c8bfb1dp-5, -0x1.2427779b4a062p-5, -0x1.2377440bea9d5p-5, -0x1.22c20799a7ddap-5, -0x1.2207cd0a9e972p-5, -0x1.21489f6b5e0dep-5, -0x1.20848a0e4d2a8p-5, -0x1.1fbb988b36b83p-5, -0x1.1eedd6bed32dp-5, -0x1.1e1b50ca3976p-5, -0x1.1d441311f22d3p-5, -0x1.1c682a3ce1a48p-5, -0x1.1b87a3330108fp-5, -0x1.1aa28b1c3b0efp-5, -0x1.19b8ef5f56b1ap-5, -0x1.18cadda0c6809p-5, -0x1.17d863c177393p-5, -0x1.16e18fdd7f0ffp-5, -0x1.15e6704abd241p-5, -0x1.14e713976e0b5p-5, -0x1.13e38888b6839p-5, -0x1.12dbde19325d5p-5, -0x1.11d02377841a3p-5, -0x1.10c06804ee0b9p-5, -0x1.0facbb53e3b3bp-5, -0x1.0e952d266a988p-5, -0x1.0d79cd6c5408ep-5, -0x1.0c5aac4146adbp-5, -0x1.0b37d9eae54f3p-5, -0x1.0a1166d6f75c3p-5, -0x1.08e76399c03d7p-5, -0x1.07b9e0ec494ap-5, -0x1.0688efaabf155p-5, -0x1.0554a0d2b34c5p-5, -0x1.041d0581556bfp-5, -0x1.02e22ef1976ap-5, -0x1.01a42e7a30f0fp-5, -0x1.0063158bad2a4p-5, -0x1.fe3deb5ccde11p-6, -0x1.fbafc101419bbp-6, -0x1.f91bcf695835cp-6, -0x1.f6823a1e49c1p-6, -0x1.f3e324ca470a4p-6, -0x1.f13eb334edd7cp-6, -0x1.ee95093f7d1e2p-6, -0x1.ebe64ae140cd4p-6, -0x1.e9329c23e0c27p-6, -0x1.e67a211fb6c4ep-6, -0x1.e3bcfdf7fa48fp-6, -0x1.e0fb56d6f33d1p-6, -0x1.de354fea2ef2ep-6, -0x1.db6b0d5ed296ep-6, -0x1.d89cb35e09cd4p-6, -0x1.d5ca66098a6b8p-6, -0x1.d2f4497864e55p-6, -0x1.d01a81b3b9487p-6, -0x1.cd3d32b397d8bp-6, -0x1.ca5c805befbfbp-6, -0x1.c7788e794de2p-6, -0x1.c49180bdb2edbp-6, -0x1.c1a77abd2d984p-6, -0x1.beba9fea60747p-6, -0x1.bbcb139353c79p-6, -0x1.b8d8f8de1f432p-6, -0x1.b5e472c60e2e8p-6, -0x1.b2eda418d6918p-6, -0x1.aff4af73fcb38p-6, -0x1.acf9b74243f92p-6, -0x1.a9fcddb95e636p-6, -0x1.a6fe44d7522b3p-6, -0x1.a3fe0e60136f7p-6, -0x1.a0fc5bdaf3ab2p-6, -0x1.9df94e9005e83p-6, -0x1.9af507858e359p-6, -0x1.97efa77d7baacp-6, -0x1.94e94ef2fe91bp-6, -0x1.91e21e1860b58p-6, -0x1.8eda34d4f3825p-6, -0x1.8bd1b2c322083p-6, -0x1.88c8b72ec0eaap-6, -0x1.85bf61134e20dp-6, -0x1.82b5cf1a554d7p-6, -0x1.7fac1f99ca3cbp-6, -0x1.7ca270926d3b7p-6, -0x1.7998dfae2c9f2p-6, -0x1.768f8a3e604c9p-6, -0x1.73868d3a43e0bp-6, -0x1.707e053d4f116p-6, -0x1.6d760e85b2a6cp-6, -0x1.6a6ec4f316e51p-6, -0x1.676844055aabp-6, -0x1.6462a6db9401cp-6, -0x1.615e083319d22p-6, -0x1.5e5a8266bd749p-6, -0x1.5b582f6e0e19ep-6, -0x1.585728dc7905fp-6, -0x1.555787e0b3acep-6, -0x1.52596543d7003p-6, -0x1.4f5cd9689b1acp-6, -0x1.4c61fc4a87aa3p-6, -0x1.4968e57d429aap-6, -0x1.4671ac2bc789ap-6, -0x1.437c6717eca13p-6, -0x1.40892c99edc78p-6, -0x1.3d9812a02c962p-6, -0x1.3aa92eaeeccc1p-6, -0x1.37bc95e05d73cp-6, -0x1.34d25ce4825e3p-6, -0x1.31ea980140199p-6, -0x1.2f055b124d2a5p-6, -0x1.2c22b989450acp-6, -0x1.2942c66d903e8p-6, -0x1.2665945c60cd8p-6, -0x1.238b3588a64dap-6, -0x1.20b3bbbb0b123p-6, -0x1.1ddf3852050f7p-6, -0x1.1b0dbc420aa11p-6, -0x1.183f5815c480ep-6, -0x1.15741bee7808p-6, -0x1.12ac178474f5fp-6, -0x1.0fe75a2799bb3p-6, -0x1.0d25f2bffa3f6p-6, -0x1.0a67efce60a81p-6, -0x1.07ad5f6cf14dbp-6, -0x1.04f64f4fcbe1p-6, -0x1.0242ccc582573p-6, -0x1.ff25c96f9313dp-7, -0x1.f9cd4757a964cp-7, -0x1.f47c2b8615ec3p-7, -0x1.ef328d7702481p-7, -0x1.e9f083e15febcp-7, -0x1.e4b624b81c56fp-7, -0x1.df83852bf4555p-7, -0x1.da58b9acf86e2p-7, -0x1.d535d5ec6e36ap-7, -0x1.d01aecded36b7p-7, -0x1.cb0810bdcebe5p-7, -0x1.c5fd530a23741p-7, -0x1.c0fac48dd4dd1p-7, -0x1.bc00755defba6p-7, -0x1.b70e74dc97318p-7, -0x1.b224d1baaf3b5p-7, -0x1.ad4399f9bf5f3p-7, -0x1.a86adaedc75aap-7, -0x1.a39aa13ef90bdp-7, -0x1.9ed2f8ebbb8bp-7, -0x1.9a13ed4a78c8ep-7, -0x1.955d890be9d7p-7, -0x1.90afd63d118f8p-7, -0x1.8c0ade49b3161p-7, -0x1.876ea9fe9f887p-7, -0x1.82db418bf4345p-7, -0x1.7e50ac87d06cep-7, -0x1.79cef1f0779acp-7, -0x1.7556182ed7382p-7, -0x1.70e62518b2ba9p-7, -0x1.6c7f1df2f6e4bp-7, -0x1.68210773c98a6p-7, -0x1.63cbe5c4cecf7p-7, -0x1.5f7fbc851183ap-7, -0x1.5b3c8ecb5aad9p-7, -0x1.57025f2814453p-7, -0x1.52d12fa7c8267p-7, -0x1.4ea901d517e8ep-7, -0x1.4a89d6bb39012p-7, -0x1.4673aee850f12p-7, -0x1.42668a6fe8f83p-7, -0x1.3e6268ed41f51p-7, -0x1.3a67498603567p-7, -0x1.36752aec64344p-7, -0x1.328c0b61db843p-7, -0x1.2eabe8b929f4fp-7, -0x1.2ad4c058e957ep-7, -0x1.27068f3d84305p-7, -0x1.234151fb78f9ep-7, -0x1.1f8504c17d34cp-7, -0x1.1bd1a35a7b499p-7, -0x1.1827292fa5ae7p-7, -0x1.1485914aa45dp-7, -0x1.10ecd65784c78p-7, -0x1.0d5cf2a710d3fp-7, -0x1.09d5e030c0ed9p-7, -0x1.065798951c6d7p-7, -0x1.02e2151fe5847p-7, -0x1.feea9d9490c27p-8, -0x1.f8227c7a47106p-8, -0x1.f16bb7a67544fp-8, -0x1.eac63f36b7949p-8, -0x1.e43202b4ef819p-8, -0x1.ddaef11b700e7p-8, -0x1.d73cf8d8f4bdbp-8, -0x1.d0dc07d455dbep-8, -0x1.ca8c0b708e222p-8, -0x1.c44cf09024692p-8, -0x1.be1ea398e7449p-8, -0x1.b80110776caa5p-8, -0x1.b1f422a2c4444p-8, -0x1.abf7c51feafccp-8, -0x1.a60be28568347p-8, -0x1.a03064ff12a71p-8, -0x1.9a6536517b87p-8, -0x1.94aa3fdddd533p-8, -0x1.8eff6aa59c0e5p-8, -0x1.89649f4df1175p-8, -0x1.83d9c6237e3c9p-8, -0x1.7e5ec71dfe5dp-8, -0x1.78f389e35a61ep-8, -0x1.7397f5cb5ea8bp-8, -0x1.6e4bf1e2b38f3p-8, -0x1.690f64ee24ce9p-8, -0x1.63e2356d8d5d3p-8, -0x1.5ec4499ec85ffp-8, -0x1.59b587809e741p-8, -0x1.54b5d4d583668p-8, -0x1.4fc51726679fbp-8, -0x1.4ae333c5739a5p-8, -0x1.46100fd0bae93p-8, -0x1.414b90350e7abp-8, -0x1.3c9599b0b5cf7p-8, -0x1.37ee10d60e941p-8, -0x1.3354da0e8fde7p-8, -0x1.2ec9d99d159e7p-8, -0x1.2a4cf3a1067a7p-8, -0x1.25de0c18a5b92p-8, -0x1.217d06e3ae59bp-8, -0x1.1d29c7c607c9ep-8, -0x1.18e43269df3bcp-8, -0x1.14ac2a624f20cp-8, -0x1.1081932d56b8ap-8, -0x1.0c645036334cdp-8, -0x1.085444d7572efp-8, -0x1.0451545c719b7p-8, -0x1.005b62046b117p-8, -0x1.f8e4a206c355ep-9, -0x1.f12c0908ac28cp-9, -0x1.e98cbf5684b48p-9, -0x1.e2068b2df7973p-9, -0x1.da9932c5d427bp-9, -0x1.d3447c52718bbp-9, -0x1.cc082e08f071ep-9, -0x1.c4e40e238442dp-9, -0x1.bdd7e2e4fe0a6p-9, -0x1.b6e3729ce26dcp-9, -0x1.b00683aad74fp-9, -0x1.a940dc82bf644p-9, -0x1.a29243afbb353p-9, -0x1.9bfa7fd7d5cb3p-9, -0x1.957957bf32281p-9, -0x1.8f0e924ac2846p-9, -0x1.88b9f68318526p-9, -0x1.827b4b96b9889p-9, -0x1.7c5258dc6b39cp-9, -0x1.763ee5d528dbbp-9, -0x1.7040ba2d6018p-9, -0x1.6a579dbf0c1a7p-9, -0x1.6483589291addp-9, -0x1.5ec3b2e07bf74p-9, -0x1.59187511f60edp-9, -0x1.538167c2cd88ep-9, -0x1.4dfe53c240806p-9, -0x1.488f021488c78p-9, -0x1.43333bf4dba09p-9, -0x1.3deacad70db3cp-9, -0x1.38b5786a13b27p-9, -0x1.33930e9adc7c5p-9, -0x1.2e835796f1494p-9, -0x1.29861dd05e05bp-9, -0x1.249b2c01345aap-9, -0x1.1fc24d2fa7451p-9, -0x1.1afb4cb22e8e8p-9, -0x1.1645f6340dea2p-9, -0x1.11a215b90f285p-9, -0x1.0d0f77a1f59f7p-9, -0x1.088de8af8cac3p-9, -0x1.041d3605eb1c8p-9, -0x1.ff7a5a5c95dfep-10, -0x1.f6db3830e3434p-10, -0x1.ee5ca2353226bp-10, -0x1.e5fe35e0f0d63p-10, -0x1.ddbf9171c70cfp-10, -0x1.d5a053e4ee78dp-10, -0x1.cda01cee04f9bp-10, -0x1.c5be8cebc6f3p-10, -0x1.bdfb44dc4a62fp-10, -0x1.b655e64f5ed94p-10, -0x1.aece1359de5e5p-10, -0x1.a7636e898c384p-10, -0x1.a0159ad9f583dp-10, -0x1.98e43bad850a3p-10, -0x1.91cef4c80aa23p-10, -0x1.8ad56a4fa9e12p-10, -0x1.83f740d064746p-10, -0x1.7d341d46e095ap-10, -0x1.768ba52ee2612p-10, -0x1.6ffd7e97ea0dcp-10, -0x1.6989503e4c4f6p-10, -0x1.632ec1a77f818p-10, -0x1.5ced7b42064fp-10, -0x1.56c52686556d7p-10, -0x1.50b56e16d288dp-10, -0x1.4abdfddead53dp-10, -0x1.44de832beb1bcp-10, -0x1.3f16acc437aafp-10, -0x1.39662af1d36e5p-10, -0x1.33ccaf87d794ap-10, -0x1.2e49eddc124cep-10, -0x1.28dd9ab7883adp-10, -0x1.23876c3a67797p-10, -0x1.1e4719b7cfd1fp-10, -0x1.191c5b8716ebcp-10, -0x1.1406eacebf127p-10, -0x1.0f06814962feep-10, -0x1.0a1ad9090faebp-10, -0x1.0543ac3a755c4p-10, -0x1.0080b4ec2e509p-10, -0x1.f7a359b8bf75ap-11, -0x1.ee6c9aa24847fp-11, -0x1.e55c9df98183dp-11, -0x1.dc72d3e26b4bcp-11, -0x1.d3aeab486ad1cp-11, -0x1.cb0f9209554c9p-11, -0x1.c294f54273d37p-11, -0x1.ba3e41bfbdd3bp-11, -0x1.b20ae48737ee7p-11, -0x1.a9fa4b7e1f24ep-11, -0x1.a20be61cbee3fp-11, -0x1.9a3f262f4c2dbp-11, -0x1.92938093498d4p-11, -0x1.8b086ded4abaep-11, -0x1.839d6b4c309cp-11, -0x1.7c51faaf4cfc4p-11, -0x1.7525a3697dce4p-11, -0x1.6e17f25925d2ap-11, -0x1.672879f11537ap-11, -0x1.6056d21036726p-11, -0x1.59a297a5f6075p-11, -0x1.530b6c290b239p-11, -0x1.4c90f4e1a1f4dp-11, -0x1.4632da1153afp-11, -0x1.3ff0c5ffed5b2p-11, -0x1.39ca63f865e97p-11, -0x1.33bf5f411c2cdp-11, -0x1.2dcf621bde943p-11, -0x1.27fa14d97e63fp-11, -0x1.223f1d0d3fa0ep-11, -0x1.1c9e1ce664e79p-11, -0x1.1716b2bec9386p-11, -0x1.11a878de66d7dp-11, -0x1.0c53057a52ffbp-11, -0x1.0715eaf02ace1p-11, -0x1.01f0b83c39acp-11, -0x1.f9c5f347ccbfep-12, -0x1.efd8731fb5ae4p-12, -0x1.e6180315a5ebep-12, -0x1.dc83b6b3b9057p-12, -0x1.d31aa444b72adp-12, -0x1.c9dbe720c763dp-12, -0x1.c0c6a1dd8c51dp-12, -0x1.b7da004ecebccp-12, -0x1.af1539389b8cep-12, -0x1.a6778fa7c147ep-12, -0x1.9e0053dbf9adcp-12, -0x1.95aee3be890b6p-12, -0x1.8d82aadcfde72p-12, -0x1.857b21ecc4654p-12, -0x1.7d97cddbcfb54p-12, -0x1.75d83e7a64b3p-12, -0x1.6e3c0ccff8c0ep-12, -0x1.66c2d92750e5fp-12, -0x1.5f6c48edccd96p-12, -0x1.58380478189cbp-12, -0x1.5125b4c42ac82p-12, -0x1.4a35014e53d81p-12, -0x1.43658e0e05b3fp-12, -0x1.3cb6f9b1a327fp-12, -0x1.3628dc2562ee9p-12, -0x1.2fbac579ba2c4p-12, -0x1.296c3d3065c46p-12, -0x1.233cc1fd1b3e9p-12, -0x1.1d2bc9f67ab1p-12, -0x1.1738c33abb987p-12, -0x1.116314fc48f53p-12, -0x1.0baa20eae3a2ep-12, -0x1.060d44e5e69a4p-12, -0x1.008bdce165c17p-12, -0x1.f64a89cb63df3p-13, -0x1.ebb1b61b0f216p-13, -0x1.e14c02d570bbep-13, -0x1.d7183f6d925f4p-13, -0x1.cd1549789ea86p-13, -0x1.c3420eced0a17p-13, -0x1.b99d8ee643b7ep-13, -0x1.b026db5ca9ea7p-13, -0x1.a6dd17b68aef9p-13, -0x1.9dbf7866f5b34p-13, -0x1.94cd4143358dep-13, -0x1.8c05c390f1e46p-13, -0x1.83685bdb66713p-13, -0x1.7af46fcd27475p-13, -0x1.72a96c33c19a4p-13, -0x1.6a86c350df619p-13, -0x1.628beb86c8e18p-13, -0x1.5ab85e5caaa96p-13, -0x1.530b97c287e5ep-13, -0x1.4b85157b30faap-13, -0x1.4424567e5230cp-13, -0x1.3ce8da400a486p-13, -0x1.35d21fbd25e42p-13, -0x1.2edfa456ad7f3p-13, -0x1.2810e2870c08p-13, -0x1.2165508afc60ap-13, -0x1.1adc5f30e4891p-13, -0x1.147578eec4545p-13, -0x1.0e30016b78cf7p-13, -0x1.080b55926bc94p-13, -0x1.0206cc4ae9a24p-13, -0x1.f8436f9e5afbfp-14, -0x1.ecb6cf4597205p-14, -0x1.e1665615cc25p-14, -0x1.d650a7d336dbcp-14, -0x1.cb74738becfe6p-14, -0x1.c0d0797393a58p-14, -0x1.b6638ffa2874p-14, -0x1.ac2ca75c6daf7p-14, -0x1.a22acb2be9704p-14, -0x1.985d2145fd874p-14, -0x1.8ec2e62073d3fp-14, -0x1.855b6693d2322p-14, -0x1.7c25f7b36fa34p-14, -0x1.7321eda0c978fp-14, -0x1.6a4e92709c6a6p-14, -0x1.61ab1e4a9eeb1p-14, -0x1.5936b1db97101p-14, -0x1.50f053d1007f9p-14, -0x1.48d6f1bbadcbp-14, -0x1.40e96448a50dep-14, -0x1.39267642b8491p-14, -0x1.318ced8610abfp-14, -0x1.2a1b94d66776cp-14, -0x1.22d1458040395p-14, -0x1.1bacefbd5d451p-14, -0x1.14ada10e7bc3fp-14, -0x1.0dd287f8636e4p-14, -0x1.071af4e4026fcp-14, -0x1.008658153e7bep-14, -0x1.f4287a07b435dp-15, -0x1.e78886fea6b51p-15, -0x1.db2c2e92e08bdp-15, -0x1.cf12cdd1b059ap-15, -0x1.c33bb55196c66p-15, -0x1.b7a6198f5fef8p-15, -0x1.ac5107aafbab5p-15, -0x1.a13b6057c6176p-15, -0x1.9663da1bb4f78p-15, -0x1.8bc90b1c5ea72p-15, -0x1.81697980399fap-15, -0x1.7743b02729d1cp-15, -0x1.6d5654907b658p-15, -0x1.63a03a52d9001p-15, -0x1.5a2070c398eadp-15, -0x1.50d6484233768p-15, -0x1.47c14e0cd186dp-15, -0x1.3ee13f07375f7p-15, -0x1.3635f352bb00fp-15, -0x1.2dbf45d387a67p-15, -0x1.257cfb3cd488bp-15, -0x1.1d6eac51571p-15, -0x1.1593b64204501p-15, -0x1.0deb32dcc27edp-15, -0x1.0673f8b5e91fcp-15, -0x1.fe59441e9d682p-16, -0x1.f027306e38e4dp-16, -0x1.e24e419c0147cp-16, -0x1.d4cad5bdf9a94p-16, -0x1.c799351bb48f2p-16, -0x1.bab5a6c58bdb6p-16, -0x1.ae1c842c831f5p-16, -0x1.a1ca4e6c67589p-16, -0x1.95bbc751157a5p-16, -0x1.89ee0e52ad311p-16, -0x1.7e5ebf15e6bfep-16, -0x1.730c0c6e86d78p-16, -0x1.67f4d1486bbcfp-16, -0x1.5d1890de2140fp-16, -0x1.527761d6c021ap-16, -0x1.4811c3c6e1394p-16, -0x1.3de863bba4549p-16, -0x1.33fbd8e2d81b5p-16, -0x1.2a4c659bcd64ap-16, -0x1.20d9c93c747f7p-16, -0x1.17a32bbcb11fbp-16, -0x1.0ea72700d050fp-16, -0x1.05e3eabdf95b5p-16, -0x1.faaee476f26d5p-17, -0x1.e9ff800e340e7p-17, -0x1.d9b6278096ecep-17, -0x1.c9d021a9645afp-17, -0x1.ba4ba261065e8p-17, -0x1.ab27c5717718fp-17, -0x1.9c6462e7b0fap-17, -0x1.8e01c55b8a2fp-17, -0x1.80004ef4523ap-17, -0x1.72601dc3f1557p-17, -0x1.6520c1493b4f3p-17, -0x1.58410fb6a5477p-17, -0x1.4bbf21ed20adep-17, -0x1.3f987319840aep-17, -0x1.33ca187b78cbap-17, -0x1.285101d1b735dp-17, -0x1.1d2a33b4f2afdp-17, -0x1.1252f137ef96ep-17, -0x1.07c8cf6c23f7ap-17, -0x1.fb1363fb4587ap-18, -0x1.e7276708a551ep-18, -0x1.d3c9fd1a249bdp-18, -0x1.c0f73df505647p-18, -0x1.aeaaaaa58aa02p-18, -0x1.9cdeeebee53c5p-18, -0x1.8b8dd2203fefcp-18, -0x1.7ab06aa94658ep-18, -0x1.6a3f9020309a7p-18, -0x1.5a34836d3489ep-18, -0x1.4a89a8b2831d6p-18, -0x1.3b3b285fdacdap-18, -0x1.2c4749d0cdeb8p-18, -0x1.1dae66867b449p-18, -0x1.0f726e0e0594p-18, -0x1.01961315a677dp-18, -0x1.e837ad976011fp-19, -0x1.ce0a670b0c4fdp-19, -0x1.b4a439777f5d1p-19, -0x1.9c01d555c236fp-19, -0x1.841d471ae5266p-19, -0x1.6ceef7ed892d5p-19, -0x1.566eccf08a10ap-19, -0x1.40953516bff03p-19, -0x1.2b5c1589994e2p-19, -0x1.16bf843d40844p-19, -0x1.02be24273370ep-19, -0x1.deb1c6c877d26p-20, -0x1.b923fbcdcf8ep-20, -0x1.94d6f3571a58dp-20, -0x1.71cb4019c2017p-20, -0x1.4ffc0b48cbf12p-20, -0x1.2f5ee1c7851bep-20, -0x1.0fe519226989p-20, -0x1.e2fc263d4dac8p-21, -0x1.a8330b377d413p-21, -0x1.6f52560b2eda7p-21, -0x1.38433ead2fd78p-21, -0x1.02f4f8cd0b29fp-21, -0x1.9eb7c84296df3p-22, -0x1.3ae079e156ccbp-22, }}, 
      {{-0x1.60d99b8f83689p-1, -0x1.46cf9acd7fdb6p-1, -0x1.289317e5e1245p-1, -0x1.0b79d2e5dd3dap-1, -0x1.e3fd86519a448p-2, -0x1.b9e8e0470fefep-2, -0x1.988e705673f88p-2, -0x1.7ee5fcd0dc27dp-2, -0x1.6b8feed7da9a3p-2, -0x1.5d22526b4c392p-2, -0x1.5250e2d87f643p-2, -0x1.49fef93afdfc5p-2, -0x1.4344b54d9649bp-2, -0x1.3d6d2b5559904p-2, -0x1.37f1295ba6269p-2, -0x1.3270a8dcbdecep-2, -0x1.2cac1687581a1p-2, -0x1.267e02526d6d2p-2, -0x1.1fd576bc22927p-2, -0x1.18b10a274954ep-2, -0x1.111aa8b82dc16p-2, -0x1.09240c0c1c327p-2, -0x1.00e3d2ace3f8cp-2, -0x1.f0e650527b119p-3, -0x1.dfd7dd43ab51cp-3, -0x1.ceceb54c3efe3p-3, -0x1.bdf9e47efa6eep-3, -0x1.ad83c03aa72bp-3, -0x1.9d91184f0552fp-3, -0x1.8e40d6e24f0bfp-3, -0x1.7fabf5479d319p-3, -0x1.71e5aee794743p-3, -0x1.64fbdec2ce142p-3, -0x1.58f777a43815bp-3, -0x1.4ddd0a8c7a52p-3, -0x1.43ad5201645e8p-3, -0x1.3a65bb9f2dc94p-3, -0x1.3200eb7fb3348p-3, -0x1.2a7736c749b7fp-3, -0x1.23bf13f0beb7ep-3, -0x1.1dcd805a2eba3p-3, -0x1.18965b2beaacp-3, -0x1.140cb60cd84f7p-3, -0x1.10231c44a307bp-3, -0x1.0ccbd0fdfe421p-3, -0x1.09f905564abe3p-3, -0x1.079d06d91aaf3p-3, -0x1.05aa670743ac6p-3, -0x1.04141c6dea967p-3, -0x1.02cd9dd3039eap-3, -0x1.01caf7df76d66p-3, -0x1.0100ddbf6cb04p-3, -0x1.0064b57e5e8a8p-3, -0x1.ffd93fda4c3c7p-4, -0x1.ff1efb2edea02p-4, -0x1.fe89de63245a9p-4, -0x1.fe0aaaf178ec1p-4, -0x1.fd93987170874p-4, -0x1.fd184deaca666p-4, -0x1.fc8dcf4e9b9cdp-4, -0x1.fbea720e124c3p-4, -0x1.fb25c6c8c20e7p-4, -0x1.fa388ba84f4e4p-4, -0x1.f91c96548650ep-4, -0x1.f7ccc3817878p-4, -0x1.f644e25c54748p-4, -0x1.f481a29505a09p-4, -0x1.f280827b57884p-4, -0x1.f03fbe458d38ep-4, -0x1.edbe406f1ea15p-4, -0x1.eafb92a5d0289p-4, -0x1.e7f7cf699922dp-4, -0x1.e4b3943d766f8p-4, -0x1.e12ff4873d5a7p-4, -0x1.dd6e6d2abf44bp-4, -0x1.d970d8de48b4bp-4, -0x1.d5396527ce2e3p-4, -0x1.d0ca87e78b09p-4, -0x1.cc26f55af0ae1p-4, -0x1.c7519688889e5p-4, -0x1.c24d8015792e2p-4, -0x1.bd1de989f40b4p-4, -0x1.b7c625116f52ap-4, -0x1.b24997bf99f52p-4, -0x1.acabb2611156ep-4, -0x1.a6efead8453b6p-4, -0x1.a119b605d4cb5p-4, -0x1.9b2c8236d3bcep-4, -0x1.952bb215ea595p-4, -0x1.8f1a981bbc2c2p-4, -0x1.88fc727d6a4bap-4, -0x1.82d46798eeb9fp-4, -0x1.7ca582dde29a7p-4, -0x1.7672b234870ep-4, -0x1.703ec3dcafa0ap-4, -0x1.6a0c64c4b2b31p-4, -0x1.63de1f4d32824p-4, -0x1.5db65a76f5f5cp-4, -0x1.5797596bd0a9fp-4, -0x1.51833b5ff9d4ap-4, -0x1.4b7bfbba90729p-4, -0x1.4583728344896p-4, -0x1.3f9b5507137f2p-4, -0x1.39c536ad59069p-4, -0x1.340289f8bbbb6p-4, -0x1.2e54a1a5d41f9p-4, -0x1.28bcb1eaf2808p-4, -0x1.233bd1c82c18cp-4, -0x1.1dd2fc6c4ad02p-4, -0x1.188312a16bc9dp-4, -0x1.134cdc3f90603p-4, -0x1.0e3109a2f0034p-4, -0x1.09303519c0ca1p-4, -0x1.044ae44f76dcfp-4, -0x1.ff03135632d93p-5, -0x1.f5a90b3cad71ap-5, -0x1.ec884fd2fe427p-5, -0x1.e3a161923f551p-5, -0x1.daf4a42815a96p-5, -0x1.d282608f2641dp-5, -0x1.ca4ac6f6cc587p-5, -0x1.c24df0932f08ap-5, -0x1.ba8be13e82991p-5, -0x1.b30488f49bfbp-5, -0x1.abb7c53cae687p-5, -0x1.a4a5625f9184cp-5, -0x1.9dcd1c8bd18f9p-5, -0x1.972ea0e832e5fp-5, -0x1.90c98e765a515p-5, -0x1.8a9d76f7dcb5ep-5, -0x1.84a9dfbe9601bp-5, -0x1.7eee42545189p-5, -0x1.796a0d36bd011p-5, -0x1.741ca47ca3db6p-5, -0x1.6f0562569161dp-5, -0x1.6a2397b1d3d71p-5, -0x1.65768cc79feeep-5, -0x1.60fd81851834fp-5, -0x1.5cb7ae1f6a8b6p-5, -0x1.58a4439e56252p-5, -0x1.54c26c35f62cep-5, -0x1.51114bce52eecp-5, -0x1.4d900097048b5p-5, -0x1.4a3da35d517ebp-5, -0x1.471948013a57fp-5, -0x1.4421fe160d079p-5, -0x1.4156d1450203dp-5, -0x1.3eb6c9a82b514p-5, -0x1.3c40ec6b1260ap-5, -0x1.39f43c4aa2daep-5, -0x1.37cfb9db1d039p-5, -0x1.35d2640b3c0e4p-5, -0x1.33fb38c4e9727p-5, -0x1.3249353aa51c4p-5, -0x1.30bb5631a50f2p-5, -0x1.2f5098a0085e6p-5, -0x1.2e07fa2bb963cp-5, -0x1.2ce0794f39a8fp-5, -0x1.2bd915ae733c1p-5, -0x1.2af0d0b8bdc8fp-5, -0x1.2a26adfe72257p-5, -0x1.2979b3335fc47p-5, -0x1.28e8e8821bb79p-5, -0x1.28735927b5c35p-5, -0x1.281813a949211p-5, -0x1.27d629b01a353p-5, -0x1.27acb045f1c7p-5, -0x1.279ac06c7d6b7p-5, -0x1.279f7749d093p-5, -0x1.27b9f5da6aaecp-5, -0x1.27e960f838e36p-5, -0x1.282ce1ea230edp-5, -0x1.2883a6ac32858p-5, -0x1.28ece18b0150bp-5, -0x1.2967c8d42f93bp-5, -0x1.29f3973b6fcd6p-5, -0x1.2a8f8c5bbdc81p-5, -0x1.2b3aec7bb511p-5, -0x1.2bf4ffe9404a8p-5, -0x1.2cbd12ebeb462p-5, -0x1.2d92765dd8c27p-5, -0x1.2e747fea974e9p-5, -0x1.2f6289730b1ap-5, -0x1.305bf06421244p-5, -0x1.316015e5216d8p-5, -0x1.326e5f80d18ep-5, -0x1.3386372f6ebecp-5, -0x1.34a70a892452fp-5, -0x1.35d04a1fd7f66p-5, -0x1.370169c8f646dp-5, -0x1.3839e151ddb4ep-5, -0x1.39792c82c5f5dp-5, -0x1.3abeca43e6881p-5, -0x1.3c0a3be5d1b1cp-5, -0x1.3d5b055d4e978p-5, -0x1.3eb0ae06ead6ep-5, -0x1.400ac0d885158p-5, -0x1.4168cba1c24d6p-5, -0x1.42ca5e308fa83p-5, -0x1.442f0a4c98b4ep-5, -0x1.45966474949a2p-5, -0x1.47000464229bep-5, -0x1.486b84ad0bad8p-5, -0x1.49d881cbeda6fp-5, -0x1.4b4699b874859p-5, -0x1.4cb56c5a4ab1bp-5, -0x1.4e249c4ef8fd6p-5, -0x1.4f93cf18852eap-5, -0x1.5102ac779ea53p-5, -0x1.5270dda2123afp-5, -0x1.53de0d22afe6bp-5, -0x1.5549e77490a12p-5, -0x1.56b41bb0fb6c4p-5, -0x1.581c5b98ffa7ep-5, -0x1.59825af086c4ap-5, -0x1.5ae5ced5fd09bp-5, -0x1.5c466db7a0f16p-5, -0x1.5da3efe540509p-5, -0x1.5efe103028bedp-5, -0x1.60548c018f582p-5, -0x1.61a722d5f5187p-5, -0x1.62f595a37a283p-5, -0x1.643fa6b7cc5b8p-5, -0x1.65851a221da5p-5, -0x1.66c5b648ad626p-5, -0x1.68014427ef94cp-5, -0x1.69378f06501b1p-5, -0x1.6a6863e8982b9p-5, -0x1.6b9391445919bp-5, -0x1.6cb8e728a13eap-5, -0x1.6dd837b463a95p-5, -0x1.6ef1577b028bp-5, -0x1.70041d84d59edp-5, -0x1.711062ee72916p-5, -0x1.7216027d6b78cp-5, -0x1.7314d87d5ef67p-5, -0x1.740cc2f52aadbp-5, -0x1.74fda2070e618p-5, -0x1.75e758337086p-5, -0x1.76c9ca48f1161p-5, -0x1.77a4df0f1f8fep-5, -0x1.78787ef0ed638p-5, -0x1.794493e021cdap-5, -0x1.7a090979719bep-5, -0x1.7ac5cd49d22c6p-5, -0x1.7b7acf0328a77p-5, -0x1.7c280075b0179p-5, -0x1.7ccd554f5a6cbp-5, -0x1.7d6ac2d02614dp-5, -0x1.7e003fa1ad554p-5, -0x1.7e8dc3de5615ap-5, -0x1.7f13493908bfcp-5, -0x1.7f90cb283a3c4p-5, -0x1.800646f25d8a8p-5, -0x1.8073bb8b81ad3p-5, -0x1.80d9295823581p-5, -0x1.813691fa9ad89p-5, -0x1.818bf83f139cep-5, -0x1.81d96023826e6p-5, -0x1.821eceeeecf9cp-5, -0x1.825c4b46293d4p-5, -0x1.8291dd29b6e63p-5, -0x1.82bf8dd63ad62p-5, -0x1.82e5679842579p-5, -0x1.830375ab029c2p-5, -0x1.8319c4296236dp-5, -0x1.8328600c32e0fp-5, -0x1.832f572f0a144p-5, -0x1.832eb855156b9p-5, -0x1.8326932416c28p-5, -0x1.8316f80fa796bp-5, -0x1.82fff83cfdcf9p-5, -0x1.82e1a56d12d58p-5, -0x1.82bc11f0eb0c2p-5, -0x1.828f50a161aa9p-5, -0x1.825b74d625b13p-5, -0x1.8220925cc005dp-5, -0x1.81debd6f98dafp-5, -0x1.81960aa9ca5a4p-5, -0x1.81468ef7575d7p-5, -0x1.80f05f883da32p-5, -0x1.809391ca8d959p-5, -0x1.80303b66419c5p-5, -0x1.7fc67233a36ddp-5, -0x1.7f564c2c27178p-5, -0x1.7edfdf5b725bfp-5, -0x1.7e6341d4790a6p-5, -0x1.7de089a9bbe47p-5, -0x1.7d57cce6e2c92p-5, -0x1.7cc9218dab641p-5, -0x1.7c349d96a3a7dp-5, -0x1.7b9a56f0754e8p-5, -0x1.7afa63780c795p-5, -0x1.7a54d8ea8528dp-5, -0x1.79a9ccd741e09p-5, -0x1.78f95497eaddap-5, -0x1.7843854e3e4e6p-5, -0x1.778873e3d0a33p-5, -0x1.76c83509e30a1p-5, -0x1.7602dd39ea303p-5, -0x1.753880b58a631p-5, -0x1.74693382b1086p-5, -0x1.739509630338fp-5, -0x1.72bc15ca674f5p-5, -0x1.71de6bd9b7d7dp-5, -0x1.70fc1e5f9a8aep-5, -0x1.70153fdc7cff8p-5, -0x1.6f29e2851b5bep-5, -0x1.6e3a18421bb49p-5, -0x1.6d45f2ae72bebp-5, -0x1.6c4d8315ac5b9p-5, -0x1.6b50da7162723p-5, -0x1.6a500965da57ep-5, -0x1.694b203f9dca4p-5, -0x1.68422ef466519p-5, -0x1.67354527c005ap-5, -0x1.662472310d388p-5, -0x1.650fc51f4a2ap-5, -0x1.63f74cb9227ep-5, -0x1.62db177b4d7c8p-5, -0x1.61bb3397d2e36p-5, -0x1.6097aef6b63f6p-5, -0x1.5f709737593abp-5, -0x1.5e45f9b240c99p-5, -0x1.5d17e37baafcp-5, -0x1.5be66167a4513p-5, -0x1.5ab1800f5d936p-5, -0x1.59794bd62acb7p-5, -0x1.583dd0ec75f55p-5, -0x1.56ff1b505c45fp-5, -0x1.55bd36cdee8fp-5, -0x1.54782f00aa115p-5, -0x1.53300f562acebp-5, -0x1.51e4e311519c8p-5, -0x1.5096b54d05f04p-5, -0x1.4f4590feecc3dp-5, -0x1.4df180fa7af41p-5, -0x1.4c9a8ff4d02d1p-5, -0x1.4b40c888e04c3p-5, -0x1.49e4353af0004p-5, -0x1.4884e07a8050ap-5, -0x1.4722d4a35192p-5, -0x1.45be1bfebc34dp-5, -0x1.4456c0c5cef67p-5, -0x1.42eccd23e4585p-5, -0x1.41804b39056d2p-5, -0x1.4011451c02c28p-5, -0x1.3e9fc4dc66f11p-5, -0x1.3d2bd484a0c3fp-5, -0x1.3bb57e1cabafbp-5, -0x1.3a3ccbacef875p-5, -0x1.38c1c740a50b1p-5, -0x1.37447ae7361bp-5, -0x1.35c4f0b4f452p-5, -0x1.344332c3d2cbep-5, -0x1.32bf4b34a7bb4p-5, -0x1.31394430b7885p-5, -0x1.2fb127eb24241p-5, -0x1.2e2700a22e9e1p-5, -0x1.2c9ad8a02af83p-5, -0x1.2b0cba3c75091p-5, -0x1.297cafdc82ecp-5, -0x1.27eac3f548b7bp-5, -0x1.2657010c86becp-5, -0x1.24c171b9a9afbp-5, -0x1.232a20a606befp-5, -0x1.2191188cbf273p-5, -0x1.1ff6643acef07p-5, -0x1.1e5a0e8f4adc9p-5, -0x1.1cbc227bc7d87p-5, -0x1.1b1cab04a755fp-5, -0x1.197bb3413a207p-5, -0x1.17d9465badb79p-5, -0x1.16356f90e59afp-5, -0x1.14903a3067f07p-5, -0x1.12e9b19c5bc1ap-5, -0x1.1141e1499dbe2p-5, -0x1.0f98d4bfa2537p-5, -0x1.0dee9797f2164p-5, -0x1.0c43357d6c773p-5, -0x1.0a96ba2b66956p-5, -0x1.08e9316d030f7p-5, -0x1.073aa71c9ab9p-5, -0x1.058b27231f544p-5, -0x1.03dabd7774cbfp-5, -0x1.0229761da797fp-5, -0x1.00775d2611e4bp-5, -0x1.fd88fd58d6881p-6, -0x1.fa21cdaddc5c7p-6, -0x1.f6b943ab123fcp-6, -0x1.f34f77c227e0fp-6, -0x1.efe48274f8059p-6, -0x1.ec787c5369ff7p-6, -0x1.e90b7df8efe8bp-6, -0x1.e59da00a0c9e8p-6, -0x1.e22efb3204a7dp-6, -0x1.debfa820a0b44p-6, -0x1.db4fbf8830d7fp-6, -0x1.d7df5a1b5a4c4p-6, -0x1.d46e908af1278p-6, -0x1.d0fd7b83a943ep-6, -0x1.cd8c33abb426bp-6, -0x1.ca1ad1a0680d1p-6, -0x1.c6a96df3e0a45p-6, -0x1.c338212ad974dp-6, -0x1.bfc703ba900bap-6, -0x1.bc562e06a6d77p-6, -0x1.b8e5b85ed6c41p-6, -0x1.b575bafc8b04ep-6, -0x1.b2064e0078a6fp-6, -0x1.ae9789704bf33p-6, -0x1.ab29853476e39p-6, -0x1.a7bc591603d0fp-6, -0x1.a4501cbc676dp-6, -0x1.a0e4e7ab59116p-6, -0x1.9d7ad140bb3ep-6, -0x1.9a11f0b281fb1p-6, -0x1.96aa5d0ca8b67p-6, -0x1.93442d2f53c15p-6, -0x1.8fdf77ccda961p-6, -0x1.8c7c5368057bap-6, -0x1.891ad65249c17p-6, -0x1.85bb16a9e59c1p-6, -0x1.825d2a57fd6aap-6, -0x1.7f01270ea32b8p-6, -0x1.7ba72246fe4fcp-6, -0x1.784f313f8d97cp-6, -0x1.74f968faa13b8p-6, -0x1.71a5de3cd7e34p-6, -0x1.6e54a58bb9e2ep-6, -0x1.6b05d32c5a15bp-6, -0x1.67b97b21f1cdbp-6, -0x1.646fb12c80476p-6, -0x1.612888c75e276p-6, -0x1.5de41527dfbeap-6, -0x1.5aa2693bff0c8p-6, -0x1.576397a9229acp-6, -0x1.5427b2cb0788ap-6, -0x1.50eeccb2bde1bp-6, -0x1.4db8f725bac53p-6, -0x1.4a86439cf7ec5p-6, -0x1.4756c3440ef6ep-6, -0x1.442a86f864346p-6, -0x1.41019f4860e6fp-6, -0x1.3ddc1c72ad873p-6, -0x1.3aba0e655bd88p-6, -0x1.379b84bd2ff34p-6, -0x1.34808ec4eef0fp-6, -0x1.31693b74b6bd7p-6, -0x1.2e5599718676cp-6, -0x1.2b45b70cc99cfp-6, -0x1.2839a2440c12ap-6, -0x1.253168c0ba141p-6, -0x1.222d17d7e5ceep-6, -0x1.1f2cbc8a1e91fp-6, -0x1.1c306383431p-6, -0x1.1938191a4c98ap-6, -0x1.1643e9511f3eep-6, -0x1.1353dfd44596ep-6, -0x1.106807fadf1e8p-6, -0x1.0d806cc67d0e1p-6, -0x1.0a9d18e331d39p-6, -0x1.07be16a7b87a9p-6, -0x1.04e37015aa277p-6, -0x1.020d2ed9bf887p-6, -0x1.fe76b8985faabp-7, -0x1.f8dc02e1ea22ep-7, -0x1.f34a4df04ad33p-7, -0x1.edc1aa7c748ep-7, -0x1.e8422898c2776p-7, -0x1.e2cbd7b17c501p-7, -0x1.dd5ec68d95dcbp-7, -0x1.d7fb034f57c83p-7, -0x1.d2a09b75764d3p-7, -0x1.cd4f9bdbff0e2p-7, -0x1.c80810bda6a21p-7, -0x1.c2ca05b5107f7p-7, -0x1.bd9585be3745cp-7, -0x1.b86a9b37d507ap-7, -0x1.b3494fe4cb941p-7, -0x1.ae31aced969aap-7, -0x1.a923bae19a9fbp-7, -0x1.a41f81b87f335p-7, -0x1.9f2508d3946a8p-7, -0x1.9a3456ff24a43p-7, -0x1.954d7273f0873p-7, -0x1.907060d8cb5e5p-7, -0x1.8b9d27442f033p-7, -0x1.86d3ca3e22d1cp-7, -0x1.82144dc1fc9c5p-7, -0x1.7d5eb54059eaep-7, -0x1.78b303a11aa2ap-7, -0x1.74113b4537164p-7, -0x1.6f795e08b7dd4p-7, -0x1.6aeb6d4484da2p-7, -0x1.666769d03441bp-7, -0x1.61ed5403ce5f5p-7, -0x1.5d7d2bb9ac168p-7, -0x1.5916f0502c951p-7, -0x1.54baa0abb162ap-7, -0x1.50683b388283bp-7, -0x1.4c1fbdecf089cp-7, -0x1.47e1264b4dd23p-7, -0x1.43ac716440041p-7, -0x1.3f819bd8be606p-7, -0x1.3b60a1dc5701p-7, -0x1.37497f373e0cap-7, -0x1.333c2f4860275p-7, -0x1.2f38ad0769c49p-7, -0x1.2b3ef306c47bcp-7, -0x1.274efb757db3ap-7, -0x1.2368c021426a3p-7, -0x1.1f8c3a7851b2bp-7, -0x1.1bb9638b80832p-7, -0x1.17f034103f7a8p-7, -0x1.1430a462b33a1p-7, -0x1.107aac87d1ac6p-7, -0x1.0cce442f8a6a5p-7, -0x1.092b62b6ea572p-7, -0x1.0591ff2a3d44p-7, -0x1.020210471c03bp-7, -0x1.fcf718fd09d0cp-8, -0x1.f5fcd3ed94a1cp-8, -0x1.ef153d1b23a24p-8, -0x1.e8403fb34ee3dp-8, -0x1.e17dc659e4964p-8, -0x1.dacdbb2c78728p-8, -0x1.d43007c6498e7p-8, -0x1.cda49543dd09ep-8, -0x1.c72b4c46f9d72p-8, -0x1.c0c414fa66df4p-8, -0x1.ba6ed715db881p-8, -0x1.b42b79e1ee8a8p-8, -0x1.adf9e43bdbf81p-8, -0x1.a7d9fc9965b6p-8, -0x1.a1cba90c7f0d8p-8, -0x1.9bcecf470b5fdp-8, -0x1.95e3549e4087bp-8, -0x1.90091e0e3643bp-8, -0x1.8a40103d0ca36p-8, -0x1.84880f7e5f93ep-8, -0x1.7ee0ffd667abep-8, -0x1.794ac4fd4337cp-8, -0x1.73c5426209caap-8, -0x1.6e505b2e32d88p-8, -0x1.68ebf248b050fp-8, -0x1.6397ea594ba72p-8, -0x1.5e5425cbde8abp-8, -0x1.592086d367513p-8, -0x1.53fcef6d73c89p-8, -0x1.4ee94164fe2dep-8, -0x1.49e55e55a08c6p-8, -0x1.44f127ae56662p-8, -0x1.400c7eb47fa9ap-8, -0x1.3b374486592b8p-8, -0x1.36715a1df69a1p-8, -0x1.31baa0537d526p-8, -0x1.2d12f7dff9747p-8, -0x1.287a415fa8335p-8, -0x1.23f05d54b0c39p-8, -0x1.1f752c296bdacp-8, -0x1.1b088e32f21d4p-8, -0x1.16aa63b3a9b44p-8, -0x1.125a8cddaf4bap-8, -0x1.0e18e9d541e0fp-8, -0x1.09e55ab339448p-8, -0x1.05bfbf87468f4p-8, -0x1.01a7f85a553f6p-8, -0x1.fb3bca6139e9bp-9, -0x1.f342cc17b88bep-9, -0x1.eb64b5da83572p-9, -0x1.e3a147aee6c6fp-9, -0x1.dbf841a0cdd18p-9, -0x1.d46963c665966p-9, -0x1.ccf46e43b14a1p-9, -0x1.c599214e21819p-9, -0x1.be573d2fd43d6p-9, -0x1.b72e824b4e8cp-9, -0x1.b01eb11e9acd9p-9, -0x1.a9278a46e871ap-9, -0x1.a248ce83ce41ep-9, -0x1.9b823eba85eb7p-9, -0x1.94d39bf952e11p-9, -0x1.8e3ca77a7d273p-9, -0x1.87bd22a774184p-9, -0x1.8154cf1b9ef84p-9, -0x1.7b036ea73689ap-9, -0x1.74c8c351fcdc2p-9, -0x1.6ea48f5d7b81ep-9, -0x1.68969547c4f01p-9, -0x1.629e97cd7ca91p-9, -0x1.5cbc59ec2775ep-9, -0x1.56ef9ee44fb63p-9, -0x1.51382a3b9ddep-9, -0x1.4b95bfbee5217p-9, -0x1.460823841369bp-9, -0x1.408f19ec68c98p-9, -0x1.3b2a67a61c931p-9, -0x1.35d9d1ae9c1dfp-9, -0x1.309d1d5441e09p-9, -0x1.2b7410383632ep-9, -0x1.265e705033eaep-9, -0x1.215c03e8532a5p-9, -0x1.1c6c91a45e84bp-9, -0x1.178fe081bd53bp-9, -0x1.12c5b7d87dfd4p-9, -0x1.0e0ddf5ce9068p-9, -0x1.09681f20a9301p-9, -0x1.04d43f93f1e26p-9, -0x1.005209868c44dp-9, -0x1.f7c28c51e04e2p-10, -0x1.ef037e1a69e4ep-10, -0x1.e6667c4ff332ep-10, -0x1.ddeb1ba2af92ep-10, -0x1.d590f18b728c8p-10, -0x1.cd57944d9bd97p-10, -0x1.c53e9af85064ep-10, -0x1.bd459d68b9a1ap-10, -0x1.b56c344ab9aefp-10, -0x1.adb1f91b4d953p-10, -0x1.a6168629512e1p-10, -0x1.9e997696bee62p-10, -0x1.973a665a65b62p-10, -0x1.8ff8f2403492cp-10, -0x1.88d4b7eab2797p-10, -0x1.81cd55d36de71p-10, -0x1.7ae26b4bd6249p-10, -0x1.7413987d9c1acp-10, -0x1.6d607e6b2e2b9p-10, -0x1.66c8bef02b099p-10, -0x1.604bfcc194627p-10, -0x1.59e9db6df0a5cp-10, -0x1.53a1ff5da3f73p-10, -0x1.4d740dd31c17bp-10, -0x1.475facead0654p-10, -0x1.4164839bd3189p-10, -0x1.3b8239b76e312p-10, -0x1.35b877e9abb0dp-10, -0x1.3006e7b9535b7p-10, -0x1.2a6d3388049c1p-10, -0x1.24eb069237a57p-10, -0x1.1f800cef683a6p-10, -0x1.1a2bf391ae18fp-10, -0x1.14ee6845c95ccp-10, -0x1.0fc719b2bae9cp-10, -0x1.0ab5b759344fp-10, -0x1.05b9f1933391cp-10, -0x1.00d37992f800dp-10, -0x1.f80402c4fbd25p-11, -0x1.ee8a77c4a0908p-11, -0x1.e539b9901ba35p-11, -0x1.dc11313b54a32p-11, -0x1.d310497f5ce8cp-11, -0x1.ca366eb878b9ap-11, -0x1.c1830ee21f9cdp-11, -0x1.b8f599956707fp-11, -0x1.b08d80055e5a5p-11, -0x1.a84a34fce8f91p-11, -0x1.a02b2cdcde39bp-11, -0x1.982fdd998644ep-11, -0x1.9057beb954072p-11, -0x1.88a24954430f6p-11, -0x1.810ef812411bfp-11, -0x1.799d472bae017p-11, -0x1.724cb46941525p-11, -0x1.6b1cbf244d3fap-11, -0x1.640ce8477bf95p-11, -0x1.5d1cb24fcf091p-11, -0x1.564ba14c3dd15p-11, -0x1.4f993adf3cb0bp-11, -0x1.4905063d831b5p-11, -0x1.428e8c2dda109p-11, -0x1.3c355706d5ca8p-11, -0x1.35f8f2acbfd6ep-11, -0x1.2fd8ec8d05818p-11, -0x1.29d4d3996b3f3p-11, -0x1.23ec384160eap-11, -0x1.1e1eac6a8ae0ap-11, -0x1.186bc367d111fp-11, -0x1.12d311ef7ad72p-11, -0x1.0d542e112e343p-11, -0x1.07eeaf2aca237p-11, -0x1.02a22dde24c2ap-11, -0x1.fadc880e16f46p-12, -0x1.f0a51963cb72cp-12, -0x1.e69d4829a240cp-12, -0x1.dcc44f12cad9cp-12, -0x1.d3196b14e2a13p-12, -0x1.c99bdb64b103ep-12, -0x1.c04ae17c805e5p-12, -0x1.b725c124d1044p-12, -0x1.ae2bc0848736cp-12, -0x1.a55c28355183dp-12, -0x1.9cb6435aecc91p-12, -0x1.94395fbe8ccfbp-12, -0x1.8be4cdead0f7bp-12, -0x1.83b7e1462ac55p-12, -0x1.7bb1f02c10d5fp-12, -0x1.73d25400ce60bp-12, -0x1.6c18693f6e765p-12, -0x1.64838f7f86236p-12, -0x1.5d1329717c609p-12, -0x1.55c69cd042f3fp-12, -0x1.4e9d52497b8f3p-12, -0x1.4796b558a145ep-12, -0x1.40b2341a5a4f9p-12, -0x1.39ef3f1522688p-12, -0x1.334d48fc6cd08p-12, -0x1.2ccbc66dd078p-12, -0x1.266a2dadac9e2p-12, -0x1.2027f66449bb9p-12, -0x1.1a04995feea41p-12, -0x1.13ff905df6fd4p-12, -0x1.0e1855dffd6dep-12, -0x1.084e650cd992ap-12, -0x1.02a139a27b8c6p-12, -0x1.fa209fef1af81p-13, -0x1.ef364a1f5364p-13, -0x1.e4826d7fd6d36p-13, -0x1.da0407c9879a5p-13, -0x1.cfba1949e81ffp-13, -0x1.c5a3a582261c6p-13, -0x1.bbbfb3d21a7c9p-13, -0x1.b20d502f426bfp-13, -0x1.a88b8bd607014p-13, -0x1.9f397df0693fap-13, -0x1.96164429c852bp-13, -0x1.8d210322fb83ep-13, -0x1.8458e6c348b18p-13, -0x1.7bbd225cf663fp-13, -0x1.734cf0a3d05d2p-13, -0x1.6b079373647ap-13, -0x1.62ec536209997p-13, -0x1.5afa7f2b53694p-13, -0x1.53316aed87cb1p-13, -0x1.4b906f49e5a6bp-13, -0x1.4416e86c2c133p-13, -0x1.3cc435062b0cap-13, -0x1.3597b54925b7dp-13, -0x1.2e90c9e9a7c9dp-13, -0x1.27aed339c81fp-13, -0x1.20f130650198ap-13, -0x1.1a573ed11fc32p-13, -0x1.13e059b61c3acp-13, -0x1.0d8bd9e9119d8p-13, -0x1.075915dff9022p-13, -0x1.014761eff7044p-13, -0x1.f6ac218558f2p-14, -0x1.eb08e7f657925p-14, -0x1.dfa3ba0e37781p-14, -0x1.d47b3c1ef20f2p-14, -0x1.c98e15fd8e1f3p-14, -0x1.bedaf522d20cfp-14, -0x1.b4608ec5bda1cp-14, -0x1.aa1da1d45287fp-14, -0x1.a010f8bce896ep-14, -0x1.96396ae508869p-14, -0x1.8c95ddcbb6e99p-14, -0x1.832545bf875a6p-14, -0x1.79e6a628fe6bdp-14, -0x1.70d911602c869p-14, -0x1.67fba814e0e3dp-14, -0x1.5f4d984df7301p-14, -0x1.56ce1c0d28a93p-14, -0x1.4e7c77a945986p-14, -0x1.4657f7e8632d5p-14, -0x1.3e5feff863665p-14, -0x1.3693b75474424p-14, -0x1.2ef2a7adcf643p-14, -0x1.277c1aed12d42p-14, -0x1.202f695c4a64ep-14, -0x1.190be811788f3p-14, -0x1.1210e7a0158f7p-14, -0x1.0b3db326d5551p-14, -0x1.04918fba5609fp-14, -0x1.fc177878d6905p-15, -0x1.ef56e32c3a0eap-15, -0x1.e2dfc6b455916p-15, -0x1.d6b08183356aap-15, -0x1.cac76bf00cf11p-15, -0x1.bf22db4973e54p-15, -0x1.b3c12538b5deap-15, -0x1.a8a0a349815cep-15, -0x1.9dbfb664f824fp-15, -0x1.931cca15b06f5p-15, -0x1.88b65764e1a5p-15, -0x1.7e8ae73474af5p-15, -0x1.749913f4066dp-15, -0x1.6adf8aa58ed4cp-15, -0x1.615d0b265e92ap-15, -0x1.581067c8eff65p-15, -0x1.4ef8844dbe25p-15, -0x1.4614545f1d50bp-15, -0x1.3d62d9babf2c6p-15, -0x1.34e3222ba150fp-15, -0x1.2c9445910b778p-15, -0x1.2475640de728cp-15, -0x1.1c85a47fc9eeap-15, -0x1.14c4334a6ea3ap-15, -0x1.0d3041725c9p-15, -0x1.05c903efed233p-15, -0x1.fd1b665164befp-16, -0x1.eefb14c025194p-16, -0x1.e12f8e31321p-16, -0x1.d3b75081b3fabp-16, -0x1.c690da778a3fap-16, -0x1.b9baa9970e524p-16, -0x1.ad3337e2fd958p-16, -0x1.a0f8f9e929abfp-16, -0x1.950a5d42e906cp-16, -0x1.8965c7de393d4p-16, -0x1.7e09982825163p-16, -0x1.72f4264ee61f5p-16, -0x1.6823c6821121ep-16, -0x1.5d96cc3b98db8p-16, -0x1.534b8e533ac62p-16, -0x1.49406bae5a9a5p-16, -0x1.3f73d02c7f066p-16, -0x1.35e43958906edp-16, -0x1.2c903a71fcba6p-16, -0x1.23767f2054c14p-16, -0x1.1a95cc7e624f8p-16, -0x1.11ed00014526fp-16, -0x1.097b0c39a232dp-16, -0x1.013ef391449a5p-16, -0x1.f26f83023c6c2p-17, -0x1.e2c90613c5425p-17, -0x1.d3887e9cef394p-17, -0x1.c4abe27ec6743p-17, -0x1.b6310677a5a41p-17, -0x1.a8159a5c00483p-17, -0x1.9a572acf49b27p-17, -0x1.8cf32859352aap-17, -0x1.7fe6f2d910737p-17, -0x1.732fe7f760b2cp-17, -0x1.66cb72dc321c1p-17, -0x1.5ab71b66a982ep-17, -0x1.4ef093441c062p-17, -0x1.4375bfa850a91p-17, -0x1.3844bec2c1f84p-17, -0x1.2d5be8a25af8ep-17, -0x1.22b9cb72ce26fp-17, -0x1.185d23a983b21p-17, -0x1.0e44d0c6ccb35p-17, -0x1.046fc7d4e119ep-17, -0x1.f5ba099b5539cp-18, -0x1.e316f8f3ad1dfp-18, -0x1.d0f420ab427dp-18, -0x1.bf4f0c0302adbp-18, -0x1.ae250748fffcdp-18, -0x1.9d7323f85ccep-18, -0x1.8d36487277f4cp-18, -0x1.7d6b49a5c34acp-18, -0x1.6e0f0afdd6c73p-18, -0x1.5f1e9fb4bb38ep-18, -0x1.509768002407fp-18, -0x1.42772508d94e7p-18, -0x1.34bbffee82af2p-18, -0x1.27648263c8a4ep-18, -0x1.1a6f81bf90818p-18, -0x1.0ddbff77fdc69p-18, -0x1.01a903f03a33cp-18, -0x1.ebaaf1fbdc7b1p-19, -0x1.d4c0136addb26p-19, -0x1.be8e177526dc2p-19, -0x1.a910e8ec907efp-19, -0x1.9443b485e2d8fp-19, -0x1.8020ff288b2f5p-19, -0x1.6ca2c92cbb053p-19, -0x1.59c2b6c4f287bp-19, -0x1.477a37884529dp-19, -0x1.35c2a957e250cp-19, -0x1.249576f1a30b9p-19, -0x1.13ec34b0f6aa4p-19, -0x1.03c0bf7804ccap-19, -0x1.e81ac12002becp-20, -0x1.c999ed7ab9e99p-20, -0x1.abf641a5cae9ap-20, -0x1.8f28c4fdff00cp-20, -0x1.732c73e05ddf5p-20, -0x1.57fe3a32319d7p-20, -0x1.3d9cb185ec351p-20, -0x1.2407a2516585p-20, -0x1.0b3f56e7a15bcp-20, -0x1.e687b4d776a15p-21, -0x1.b8288e847a0b8p-21, -0x1.8b5c8eb96d4d3p-21, -0x1.601bbeb1c9f2ap-21, -0x1.365b1b7dba795p-21, -0x1.0e0d68c0d333cp-21, -0x1.ce48c8af20f1fp-22, -0x1.83242dcc0e607p-22, -0x1.3a93fdbfe03dap-22, -0x1.e9078f27feaaep-23, -0x1.61c8de4f8875cp-23, -0x1.beb009fc96177p-24, -0x1.86a5ce98e3f1p-25, 0x1.74955478e5582p-27, 0x1.170b7af4b2c86p-24, 0x1.f6280d6214062p-24, 0x1.660274c47a43cp-23, 0x1.cc670f724a0d5p-23, 0x1.172fdb9e5307p-22, 0x1.46085b24d0868p-22, 0x1.72d12842f9cc2p-22, 0x1.9d9effa034ce2p-22, 0x1.c685fc06672f1p-22, 0x1.ed98b8835cfbfp-22, 0x1.0973f60f00f29p-21, 0x1.1b4140abab52fp-21, 0x1.2c3b0c6a63261p-21, 0x1.3c67edb062ae9p-21, 0x1.4bceb84efb77bp-21, 0x1.5a76f4289e005p-21, 0x1.68692d24eb0e2p-21, 0x1.75af02b965847p-21, 0x1.8252e41e3b2ffp-21, 0x1.8e5f77c4351f5p-21, 0x1.99dec280be3ecp-21, 0x1.a4d9398a9abbdp-21, 0x1.af54f7c797429p-21, 0x1.b955503d3e523p-21, 0x1.c2dae62eb532ep-21, 0x1.cbe45304823edp-21, 0x1.d46f38a35ef11p-21, 0x1.dc797aedf010fp-21, 0x1.e4024dc288969p-21, 0x1.eb0ad3a0327f8p-21, 0x1.f19632c8efef2p-21, 0x1.f7a93449384bp-21, 0x1.fd499ee92a3edp-21, 0x1.013ec037fe0d4p-20, 0x1.03a541bd1c824p-20, 0x1.05daadd7b8202p-20, 0x1.07e0a98cc638ep-20, 0x1.09b80a1e192ffp-20, 0x1.0b60ebfcf2c63p-20, 0x1.0cdb03a71c3bep-20, 0x1.0e2616cb5dc6p-20, 0x1.0f42744cacacbp-20, 0x1.10313e6d03d94p-20, 0x1.10f46fa679e8fp-20, 0x1.118ea1593890dp-20, 0x1.1202b1b91c594p-20, 0x1.12536ab9743fcp-20, 0x1.12834155bda87p-20, 0x1.129435ae6d279p-20, 0x1.1287d077fcb11p-20, 0x1.125f340259c76p-20, 0x1.121b365871d2cp-20, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{0x1.ffea12fa59d6dp-1, 0x1.ffa8d2d1541acp-1, 0x1.ff3db7e063193p-1, 0x1.feaaf6c3a6ab5p-1, 0x1.fdf34c2f8c439p-1, 0x1.fd19ca562f3b7p-1, 0x1.fc21a8486fb86p-1, 0x1.fb0e16a747b68p-1, 0x1.f9e21cf1919d7p-1, 0x1.f8a0810b65e91p-1, 0x1.f74bb8c97eca2p-1, 0x1.f5e5e403977f8p-1, 0x1.f470cd1253a3ap-1, 0x1.f2eded881f748p-1, 0x1.f15e7539421fdp-1, 0x1.efc3521a8ab27p-1, 0x1.ee1d37fd2d0cap-1, 0x1.ec6ca7a26e667p-1, 0x1.eab1f4fcf54a5p-1, 0x1.e8ed4cb30c343p-1, 0x1.e71eb915b8b74p-1, 0x1.e54626c986522p-1, 0x1.e3636956039a1p-1, 0x1.e1763fbf7f451p-1, 0x1.df7e5939ae601p-1, 0x1.dd7b59ee38553p-1, 0x1.db6cdfc2bd77dp-1, 0x1.d952870000e9bp-1, 0x1.d72beeb7b5085p-1, 0x1.d4f8bcc73ff96p-1, 0x1.d2b8a15a755acp-1, 0x1.d06b59d87196cp-1, 0x1.ce10b32d26b5bp-1, 0x1.cba88b6aaf835p-1, 0x1.c932d2c56a78cp-1, 0x1.c6af8bf486c21p-1, 0x1.c41ecc05f02ccp-1, 0x1.c180b9b820d9fp-1, 0x1.bed58c6e998b7p-1, 0x1.bc1d8ad68c92dp-1, 0x1.b95909510c432p-1, 0x1.b6886836de875p-1, 0x1.b3ac1208632ccp-1, 0x1.b0c47999b73ap-1, 0x1.add21848ed0c5p-1, 0x1.aad56c498ebbap-1, 0x1.a7cef70e4f6ccp-1, 0x1.a4bf3bd7578e8p-1, 0x1.a1a6be697fa74p-1, 0x1.9e8601f0e1355p-1, 0x1.9b5d880f70a1ep-1, 0x1.982dd016e4b2dp-1, 0x1.94f7566c13cb3p-1, 0x1.91ba9410f5798p-1, 0x1.8e77fe51d21ffp-1, 0x1.8b300691ae0a2p-1, 0x1.87e31a31bbbcfp-1, 0x1.8491a28f7ccbfp-1, 0x1.813c051551584p-1, 0x1.7de2a3594a295p-1, 0x1.7a85db466baebp-1, 0x1.7726074ccd266p-1, 0x1.73c37e9573e4dp-1, 0x1.705e95372bb9bp-1, 0x1.6cf79c6a0e374p-1, 0x1.698ee2b7dda8dp-1, 0x1.6624b427c1662p-1, 0x1.62b95a645eef8p-1, 0x1.5f4d1cdb9c603p-1, 0x1.5be040d7c2559p-1, 0x1.58730991eec6ep-1, 0x1.5505b83e0ee5bp-1, 0x1.51988c10d4242p-1, 0x1.4e2bc24030ab7p-1, 0x1.4abf95ff17b95p-1, 0x1.47544075475b7p-1, 0x1.43e9f8b3fabddp-1, 0x1.4080f3a853178p-1, 0x1.3d19640c59459p-1, 0x1.39b37a576111bp-1, 0x1.364f64ae90182p-1, 0x1.32ed4ed6398bap-1, 0x1.2f8d6224a9a69p-1, 0x1.2c2fc576dde8fp-1, 0x1.28d49d27ac8a8p-1, 0x1.257c0b0999245p-1, 0x1.22262e63ac1bcp-1, 0x1.1ed323f16e047p-1, 0x1.1b8305e61d2e8p-1, 0x1.1835ebf329085p-1, 0x1.14ebeb51de70bp-1, 0x1.11a516d02cc81p-1, 0x1.0e617ee05c9d2p-1, 0x1.0b2131ab84467p-1, 0x1.07e43b267e298p-1, 0x1.04aaa52920782p-1, 0x1.017477876f5d2p-1, 0x1.fc837058fbe63p-2, 0x1.f624d66d71f0bp-2, 0x1.efcd262a8a899p-2, 0x1.e97c614c6f06cp-2, 0x1.e33286aa9a719p-2, 0x1.dcef9275da845p-2, 0x1.d6b37e7657406p-2, 0x1.d07e424922737p-2, 0x1.ca4fd39ce3db5p-2, 0x1.c428266d40b73p-2, 0x1.be072d3c8dbcap-2, 0x1.b7ecd94b994fap-2, 0x1.b1d91acf22aafp-2, 0x1.abcbe122e0138p-2, 0x1.a5c51af9ccd4dp-2, 0x1.9fc4b68b9772cp-2, 0x1.99caa1bf18505p-2, 0x1.93d6ca51ab697p-2, 0x1.8de91dfb67d8ap-2, 0x1.88018a90223ecp-2, 0x1.821ffe1d3e037p-2, 0x1.7c44670450806p-2, 0x1.766eb4129a7f2p-2, 0x1.709ed49570394p-2, 0x1.6ad4b86b94b09p-2, 0x1.65105013b147dp-2, 0x1.5f518cb7f428bp-2, 0x1.59986036ff3f8p-2, 0x1.53e4bd2a41c05p-2, 0x1.4e3696e9d9ab4p-2, 0x1.488de18e3ae44p-2, 0x1.42ea91ef96967p-2, 0x1.3d4c9da35916ap-2, 0x1.37b3faf7c710fp-2, 0x1.3220a0ede4ab5p-2, 0x1.2c928731e6d1bp-2, 0x1.2709a61235466p-2, 0x1.2185f6754362ep-2, 0x1.1c0771ce574a6p-2, 0x1.168e12116954cp-2, 0x1.1119d1a647ae1p-2, 0x1.0baaab5b1eb59p-2, 0x1.06409a5689bc2p-2, 0x1.00db9a0957ad3p-2, 0x1.f6f74c402fb79p-3, 0x1.ec4174e93a473p-3, 0x1.e195a5ff18f16p-3, 0x1.d6f3d7943b359p-3, 0x1.cc5c01c02c8ddp-3, 0x1.c1ce1c84695cbp-3, 0x1.b74a1fb217acdp-3, 0x1.acd002d0dc0d7p-3, 0x1.a25fbd06fbce5p-3, 0x1.97f94502e3797p-3, 0x1.8d9c90e630541p-3, 0x1.834996327450fp-3, 0x1.790049b79e773p-3, 0x1.6ec09f844fdd2p-3, 0x1.648a8ad7ff50ap-3, 0x1.5a5dfe172234ap-3, 0x1.503aeac14112ap-3, 0x1.46214169194cap-3, 0x1.3c10f1aebf9eap-3, 0x1.3209ea3bcb5b6p-3, 0x1.280c18c17a8d8p-3, 0x1.1e1769f8e177bp-3, 0x1.142bc9a50161bp-3, 0x1.0a492296ca388p-3, 0x1.006f5eb2fe34cp-3, 0x1.ed3ccdf3a8b13p-4, 0x1.d9ac4720b8d14p-4, 0x1.c62cf7970cef1p-4, 0x1.b2beac796e4c6p-4, 0x1.9f61317fbdd52p-4, 0x1.8c145115c00ffp-4, 0x1.78d7d47ca7afdp-4, 0x1.65ab83eeca4dap-4, 0x1.528f26c5b08adp-4, 0x1.3f8283a1ecf65p-4, 0x1.2c856094c2ac3p-4, 0x1.1997834b38783p-4, 0x1.06b8b13a94c88p-4, 0x1.e7d15f9ba8fd1p-5, 0x1.c24e8927eb1d6p-5, 0x1.9ce86ade0ada7p-5, 0x1.779e918708329p-5, 0x1.52708b4ffe8ddp-5, 0x1.2d5de8299bcdfp-5, 0x1.08663a27190fap-5, 0x1.c7122bb90beb6p-6, 0x1.7d8c25783e23ep-6, 0x1.343996e4585f6p-6, 0x1.d63378fc499edp-7, 0x1.4457b53e56182p-7, 0x1.65bcf893c6d4p-8, 0x1.0e33d17ef7ddep-10, -0x1.bbc6459fef82p-9, -0x1.fe95a413568e5p-8, -0x1.8f465d4c987e5p-7, -0x1.0f7298dcbae1ap-6, -0x1.57141adf17586p-6, -0x1.9e881b58a296fp-6, -0x1.e5cef3f2b3571p-6, -0x1.16747872fa8f8p-5, -0x1.39eb284a3a3edp-5, -0x1.5d4ba195fc8e3p-5, -0x1.8095f52878417p-5, -0x1.a3ca2c68cf79cp-5, -0x1.c6e849314d055p-5, -0x1.e9f045b19f6fcp-5, -0x1.06710a2af6837p-4, -0x1.17decfd8c7024p-4, -0x1.2941653758fbbp-4, -0x1.3a98b7a102df6p-4, -0x1.4be4b071395bap-4, -0x1.5d2535028d7fep-4, -0x1.6e5a26aeb09afp-4, -0x1.7f8362d0742ap-4, -0x1.90a0c2c7a9578p-4, -0x1.a1b21bfef9053p-4, -0x1.b2b73ff37783p-4, -0x1.c3affc3e0f0a6p-4, -0x1.d49c1a9e971f1p-4, -0x1.e57b610882519p-4, -0x1.f64d91b122621p-4, -0x1.0389358fc1628p-3, -0x1.0be4d41ed260fp-3, -0x1.143980357a5b2p-3, -0x1.1c8713c829fb9p-3, -0x1.24cd671a88f9dp-3, -0x1.2d0c50ca9728ap-3, -0x1.3543a5dc579ccp-3, -0x1.3d7339c5f0d1ap-3, -0x1.459ade7c4b771p-3, -0x1.4dba64801e51bp-3, -0x1.55d19aeb60246p-3, -0x1.5de04f7f0b673p-3, -0x1.65e64eb143a12p-3, -0x1.6de363bbb5b19p-3, -0x1.75d758aa449fap-3, -0x1.7dc1f669edd48p-3, -0x1.85a304d7db128p-3, -0x1.8d7a4ad0a22a2p-3, -0x1.95478e3fa6fcbp-3, -0x1.9d0a942e97e29p-3, -0x1.a4c320d4fd6b4p-3, -0x1.ac70f7a7d911ap-3, -0x1.b413db6949373p-3, -0x1.bbab8e3833478p-3, -0x1.c337d19fdc448p-3, -0x1.cab866a784d68p-3, -0x1.d22d0de1f1227p-3, -0x1.d995877cd2b6bp-3, -0x1.e0f1935025472p-3, -0x1.e840f0ed6595ep-3, -0x1.ef835fae9f04dp-3, -0x1.f6b89ec565cd6p-3, -0x1.fde06d498d7cep-3, -0x1.027d4523e2f7ap-2, -0x1.06035a67fceabp-2, -0x1.09825601bd8c8p-2, -0x1.0cfa17917efeep-2, -0x1.106a7ece28b46p-2, -0x1.13d36b8bee8d6p-2, -0x1.1734bdc2f12b7p-2, -0x1.1a8e5595bdb96p-2, -0x1.1de01357a9a2ep-2, -0x1.2129d79311b58p-2, -0x1.246b830f6db7ap-2, -0x1.27a4f6d74bcedp-2, -0x1.2ad6143e19c2dp-2, -0x1.2dfebce5d8434p-2, -0x1.311ed2c49c7a6p-2, -0x1.34363829f3b81p-2, -0x1.3744cfc41ce3ep-2, -0x1.3a4a7ca51d6e2p-2, -0x1.3d472247b4641p-2, -0x1.403aa4941e73ep-2, -0x1.4324e7e4b8f5cp-2, -0x1.4605d10a7f919p-2, -0x1.48dd455161dfcp-2, -0x1.4bab2a847022cp-2, -0x1.4e6f66f1e30f8p-2, -0x1.5129e16f01b79p-2, -0x1.53da815bda982p-2, -0x1.56812ea6dacbp-2, -0x1.591dd1d03fd53p-2, -0x1.5bb053ed61e13p-2, -0x1.5e389eabdc8bcp-2, -0x1.60b69c548c971p-2, -0x1.632a37ce71079p-2, -0x1.65935ca162e96p-2, -0x1.67f1f6f8a975dp-2, -0x1.6a45f3a56bebp-2, -0x1.6c8f40210186p-2, -0x1.6ecdca8f19e7dp-2, -0x1.710181bfccd93p-2, -0x1.732a5531785c6p-2, -0x1.7548351292de2p-2, -0x1.775b124343c9ep-2, -0x1.7962de56f2008p-2, -0x1.7b5f8b95a1edap-2, -0x1.7d510cfd3d2f5p-2, -0x1.7f375642b46b1p-2, -0x1.81125bd309625p-2, -0x1.82e212d43020ep-2, -0x1.84a67125dcd11p-2, -0x1.865f6d623022bp-2, -0x1.880cfede4245bp-2, -0x1.89af1daa97e71p-2, -0x1.8b45c2937712cp-2, -0x1.8cd0e72120d0dp-2, -0x1.8e508597ef7e4p-2, -0x1.8fc498f85c14p-2, -0x1.912d1cfee586p-2, -0x1.928a0e23e0d2cp-2, -0x1.93db699b2e3f3p-2, -0x1.95212d53d894bp-2, -0x1.965b57f79282p-2, -0x1.9789e8ea2c81dp-2, -0x1.98ace048dec6cp-2, -0x1.99c43ee990836p-2, -0x1.9ad00659f5dafp-2, -0x1.9bd038dea5068p-2, -0x1.9cc4d97211f76p-2, -0x1.9dadebc36dd48p-2, -0x1.9e8b743579452p-2, -0x1.9f5d77dd4443fp-2, -0x1.a023fc80d0799p-2, -0x1.a0df0895a7b7cp-2, -0x1.a18ea33f5c066p-2, -0x1.a232d44df8bc2p-2, -0x1.a2cba43c5bd7dp-2, -0x1.a3591c2e85ac1p-2, -0x1.a3db45efcbf56p-2, -0x1.a4522bf10c0e4p-2, -0x1.a4bdd946bc985p-2, -0x1.a51e59a6fa4ebp-2, -0x1.a573b967825f4p-2, -0x1.a5be057b9abc8p-2, -0x1.a5fd4b71f4465p-2, -0x1.a631997275336p-2, -0x1.a65afe3bfce19p-2, -0x1.a67989221a74bp-2, -0x1.a68d4a0ab32f5p-2, -0x1.a696516b9e3dbp-2, -0x1.a694b0483e4d4p-2, -0x1.a688782efcccp-2, -0x1.a671bb36cd11dp-2, -0x1.a6508bfc9f44dp-2, -0x1.a624fda0c3d8p-2, -0x1.a5ef23c44f7bap-2, -0x1.a5af128670f9ap-2, -0x1.a564de81beb7cp-2, -0x1.a5109cc97e10bp-2, -0x1.a4b262e6e566ap-2, -0x1.a44a46d654181p-2, -0x1.a3d85f04860e8p-2, -0x1.a35cc24bc0443p-2, -0x1.a2d787f0fa356p-2, -0x1.a248c7a1027bp-2, -0x1.a1b0996d9a9ap-2, -0x1.a10f15ca93b32p-2, -0x1.a064558ae73e8p-2, -0x1.9fb071ddca0e2p-2, -0x1.9ef3844bbd1edp-2, -0x1.9e2da6b39f493p-2, -0x1.9d5ef347ba8d9p-2, -0x1.9c87848ad07e4p-2, -0x1.9ba7754d24065p-2, -0x1.9abee0a986b55p-2, -0x1.99cde2026529bp-2, -0x1.98d494fecea45p-2, -0x1.97d315878335fp-2, -0x1.96c97fc4025bcp-2, -0x1.95b7f01798bc2p-2, -0x1.949e831e6fa5p-2, -0x1.937d55aaa1d15p-2, -0x1.925484c14fbe1p-2, -0x1.91242d97b9b76p-2, -0x1.8fec6d905892cp-2, -0x1.8ead623801694p-2, -0x1.8d672943055bdp-2, -0x1.8c19e08a5a93ap-2, -0x1.8ac5a608cb6b9p-2, -0x1.896a97d823661p-2, -0x1.8808d42e6a35fp-2, -0x1.86a0795b1c23fp-2, -0x1.8531a5c472497p-2, -0x1.83bc77e4a5134p-2, -0x1.82410e473feb9p-2, -0x1.80bf87867402ep-2, -0x1.7f38024877695p-2, -0x1.7daa9d3ce6cb7p-2, -0x1.7c17771a330fp-2, -0x1.7a7eae9b1203cp-2, -0x1.78e0627bfd983p-2, -0x1.773cb178b14b2p-2, -0x1.7593ba49baf81p-2, -0x1.73e59ba20c841p-2, -0x1.7232742c9889dp-2, -0x1.707a6289fb561p-2, -0x1.6ebd854e24549p-2, -0x1.6cfbfafe1428ep-2, -0x1.6b35e20d9b37dp-2, -0x1.696b58dd26435p-2, -0x1.679c7db793626p-2, -0x1.65c96ed00f535p-2, -0x1.63f24a4001c28p-2, -0x1.62172e04fdf73p-2, -0x1.603837febfd06p-2, -0x1.5e5585ed33c1p-2, -0x1.5c6f356e8a3aap-2, -0x1.5a8563fd5303ep-2, -0x1.58982eeea1ca4p-2, -0x1.56a7b37042fa4p-2, -0x1.54b40e86f8f2bp-2, -0x1.52bd5d0cbd9dfp-2, -0x1.50c3bbaf1a087p-2, -0x1.4ec746ed7fb9cp-2, -0x1.4cc81b17b1e2dp-2, -0x1.4ac6544c3595bp-2, -0x1.48c20e76d2431p-2, -0x1.46bb654f169dcp-2, -0x1.44b27456eea4fp-2, -0x1.42a756d93da41p-2, -0x1.409a27e88bfd4p-2, -0x1.3e8b025db645p-2, -0x1.3c7a00d6afb89p-2, -0x1.3a673db546764p-2, -0x1.3852d31dfe23cp-2, -0x1.363cdaf6e9b3bp-2, -0x1.34256ee695e1p-2, -0x1.320ca852fdc8ap-2, -0x1.2ff2a0608bd2fp-2, -0x1.2dd76ff11e228p-2, -0x1.2bbb2fa3208f6p-2, -0x1.299df7d0a38e9p-2, -0x1.277fe08e8bba4p-2, -0x1.256101abbf273p-2, -0x1.234172b064c25p-2, -0x1.21214add2b287p-2, -0x1.1f00a12a98ba1p-2, -0x1.1cdf8c48647b5p-2, -0x1.1abe229ce08b7p-2, -0x1.189c7a445f54ep-2, -0x1.167aa910b2401p-2, -0x1.1458c488a865bp-2, -0x1.1236e1e7967ep-2, -0x1.1015161ceea49p-2, -0x1.0df375cbda4fcp-2, -0x1.0bd2154adf465p-2, -0x1.09b108a38f23ap-2, -0x1.079063923ec65p-2, -0x1.05703985c4c83p-2, -0x1.03509d9f4284ap-2, -0x1.0131a2b1f3472p-2, -0x1.fe26b6860b2e8p-3, -0x1.f9ebb312f9bffp-3, -0x1.f5b25edc2e18bp-3, -0x1.f17add167eab7p-3, -0x1.ed45505a092dap-3, -0x1.e911daa231b62p-3, -0x1.e4e09d4dafefp-3, -0x1.e0b1b91eaa5a4p-3, -0x1.dc854e3adec7dp-3, -0x1.d85b7c2bdc63ap-3, -0x1.d43461df43ebap-3, -0x1.d0101da71d027p-3, -0x1.cbeecd3a31a9ep-3, -0x1.c7d08db47edap-3, -0x1.c3b57b97a355fp-3, -0x1.bf9db2cb6d49bp-3, -0x1.bb894e9e5d5a3p-3, -0x1.b77869c64f876p-3, -0x1.b36b1e6110b58p-3, -0x1.af6185f51e6dcp-3, -0x1.ab5bb97255e94p-3, -0x1.a759d132be60ap-3, -0x1.a35be4fb56dffp-3, -0x1.9f620bfcef8a3p-3, -0x1.9b6c5cd509e64p-3, -0x1.977aed8ec3b9ep-3, -0x1.938dd3a3cb91bp-3, -0x1.8fa523fd5b719p-3, -0x1.8bc0f2f53e132p-3, -0x1.87e15456db2d8p-3, -0x1.84065b604742p-3, -0x1.80301ac3633ep-3, -0x1.7c5ea4a6fddf3p-3, -0x1.78920aa7f6d9ep-3, -0x1.74ca5dda771c6p-3, -0x1.7107aecb1e833p-3, -0x1.6d4a0d8040825p-3, -0x1.6991897b29996p-3, -0x1.65de31b963e76p-3, -0x1.623014b601e63p-3, -0x1.5e87406aef4eap-3, -0x1.5ae3c2524580fp-3, -0x1.5745a767aa7bcp-3, -0x1.53acfc29a9aa7p-3, -0x1.5019cc9b19049p-3, -0x1.4c8c244480dp-3, -0x1.49040e357d3bcp-3, -0x1.4581950636d89p-3, -0x1.4204c2d8c5f61p-3, -0x1.3e8da15ab224dp-3, -0x1.3b1c39c65c9ccp-3, -0x1.37b094e47ede7p-3, -0x1.344abb0da40d1p-3, -0x1.30eab42b9ec46p-3, -0x1.2d9087bb11665p-3, -0x1.2a3c3ccce775fp-3, -0x1.26edda07d275bp-3, -0x1.23a565a9d69c1p-3, -0x1.2062e589c7b26p-3, -0x1.1d265f18cc1bep-3, -0x1.19efd763e6e65p-3, -0x1.16bf5315790f2p-3, -0x1.1394d676c72ddp-3, -0x1.107065718547p-3, -0x1.0d52039151e92p-3, -0x1.0a39b4054bac7p-3, -0x1.072779a187e97p-3, -0x1.041b56e0a04e6p-3, -0x1.01154de536c7cp-3, -0x1.fc2ac0f6ed89dp-4, -0x1.f637203535c5bp-4, -0x1.f04fbbccdfe71p-4, -0x1.ea749561a3b95p-4, -0x1.e4a5adf65f005p-4, -0x1.dee305f012babp-4, -0x1.d92c9d18d95b5p-4, -0x1.d38272a2d97d9p-4, -0x1.cde4852b486edp-4, -0x1.c852d2bd4ed04p-4, -0x1.c2cd58d4f0bd3p-4, -0x1.bd5414620403dp-4, -0x1.b7e701cb016d1p-4, -0x1.b2861ceffe7abp-4, -0x1.ad31612d660d3p-4, -0x1.a7e8c95ef92bcp-4, -0x1.a2ac4fe270cbcp-4, -0x1.9d7bee9a6d009p-4, -0x1.98579ef12f917p-4, -0x1.933f59db60699p-4, -0x1.8e3317dac1249p-4, -0x1.8932d100ec644p-4, -0x1.843e7cf203351p-4, -0x1.7f5612e757a1bp-4, -0x1.7a7989b21394bp-4, -0x1.75a8d7bdcbacep-4, -0x1.70e3f3132b38cp-4, -0x1.6c2ad15a6e697p-4, -0x1.677d67de02856p-4, -0x1.62dbab8cf55f9p-4, -0x1.5e4590fd8fbc6p-4, -0x1.59bb0c6fa4f12p-4, -0x1.553c11cf2fec4p-4, -0x1.50c894b692a61p-4, -0x1.4c60887114051p-4, -0x1.4803dffd2d34cp-4, -0x1.43b28e0eed26cp-4, -0x1.3f6c851232e93p-4, -0x1.3b31b72cf8e16p-4, -0x1.370216419cadap-4, -0x1.32dd93f10cd22p-4, -0x1.2ec4219cfe7bfp-4, -0x1.2ab5b06a0f0a4p-4, -0x1.26b23141ee085p-4, -0x1.22b994d5701c3p-4, -0x1.1ecbcb9ea6889p-4, -0x1.1ae8c5e2e4083p-4, -0x1.171073b4c63c8p-4, -0x1.1342c4f6329f5p-4, -0x1.0f7fa95a42e9ep-4, -0x1.0bc7106738b3ap-4, -0x1.0818e97863de6p-4, -0x1.047523c00145ap-4, -0x1.00dbae49085c8p-4, -0x1.fa98eff210e9fp-5, -0x1.f38edf23c8243p-5, -0x1.ec990767376c8p-5, -0x1.e5b745bc04b27p-5, -0x1.dee976e4d0bd4p-5, -0x1.d82f776ab0a1dp-5, -0x1.d18923a04b64p-5, -0x1.caf657a52dc6cp-5, -0x1.c476ef68e13e1p-5, -0x1.be0ac6ae0ed73p-5, -0x1.b7b1b90d9de84p-5, -0x1.b16ba1f984a35p-5, -0x1.ab385cbfe612p-5, -0x1.a517c48dd983p-5, -0x1.9f09b4724118ap-5, -0x1.990e07609a022p-5, -0x1.93249833aaee8p-5, -0x1.8d4d41b0338cap-5, -0x1.8787de877a9fap-5, -0x1.81d44959f9fa8p-5, -0x1.7c325cb9b7191p-5, -0x1.76a1f32cdd847p-5, -0x1.7122e7300fae2p-5, -0x1.6bb51338c367fp-5, -0x1.665851b791b0fp-5, -0x1.610c7d1a7e10ep-5, -0x1.5bd16fcf043fbp-5, -0x1.56a704447cb4dp-5, -0x1.518d14edf588p-5, -0x1.4c837c4468354p-5, -0x1.478a14c8b0654p-5, -0x1.42a0b905814e6p-5, -0x1.3dc743913e955p-5, -0x1.38fd8f0fed1abp-5, -0x1.3443763500f37p-5, -0x1.2f98d3c50f3cp-5, -0x1.2afd8297a20bap-5, -0x1.26715d98d0983p-5, -0x1.21f43fcafdb35p-5, -0x1.1d860448428acp-5, -0x1.1926864435f19p-5, -0x1.14d5a10d2908cp-5, -0x1.1093300de670fp-5, -0x1.0c5f0ecef21dap-5, -0x1.083918f7e49a9p-5, -0x1.04212a50f8facp-5, -0x1.00171ec4156edp-5, -0x1.f835a4bc83437p-6, -0x1.f05842a195808p-6, -0x1.e895cfe4f5b5ep-6, -0x1.e0ee0581770acp-6, -0x1.d9609cc16b4a9p-6, -0x1.d1ed4f40d68bfp-6, -0x1.ca93d6ef71964p-6, -0x1.c353ee12b29cp-6, -0x1.bc2d4f47bd547p-6, -0x1.b51fb5855260dp-6, -0x1.ae2adc1d822d7p-6, -0x1.a74e7ebfadeeap-6, -0x1.a08a5979d5e12p-6, -0x1.99de28ba79e85p-6, -0x1.9349a9521be19p-6, -0x1.8ccc9874a7396p-6, -0x1.8666b3baf1d69p-6, -0x1.8017b9242950bp-6, -0x1.79df6716fb30cp-6, -0x1.73bd7c62fa6a9p-6, -0x1.6db1b841c8511p-6, -0x1.67bbda5824365p-6, -0x1.61dba2b72a308p-6, -0x1.5c10d1dd22b07p-6, -0x1.565b28b6c6e81p-6, -0x1.50ba68a013e56p-6, -0x1.4b2e5364e99b6p-6, -0x1.45b6ab42478a7p-6, -0x1.405332e6c7e5cp-6, -0x1.3b03ad73aafap-6, -0x1.35c7de7d1fa83p-6, -0x1.309f8a0b50e8cp-6, -0x1.2b8a749aab75cp-6, -0x1.2688631c913bdp-6, -0x1.21991af7f9169p-6, -0x1.1cbc6209af8e1p-6, -0x1.17f1fea4d634bp-6, -0x1.1339b7937fdf4p-6, -0x1.0e935416a6cafp-6, -0x1.09fe9be6c76dp-6, -0x1.057b57341b8ecp-6, -0x1.01094ea6b5bf5p-6, -0x1.f95096bda750ap-7, -0x1.f0b02dea4e7a2p-7, -0x1.e830f6f51575bp-7, -0x1.dfd286f155e7ap-7, -0x1.d79473e34dce8p-7, -0x1.cf7654c0b8ea9p-7, -0x1.c777c170645f8p-7, -0x1.bf9852cabcd9bp-7, -0x1.b7d7a29917989p-7, -0x1.b0354b95e6816p-7, -0x1.a8b0e96c4e919p-7, -0x1.a14a18b80d216p-7, -0x1.9a0077050e56p-7, -0x1.92d3a2ceeba78p-7, -0x1.8bc33b80dafcfp-7, -0x1.84cee174be036p-7, -0x1.7df635f2fc2ep-7, -0x1.7738db31de0cap-7, -0x1.70967454b1be6p-7, -0x1.6a0ea56b8d058p-7, -0x1.63a113720c653p-7, -0x1.5d4d644f629d4p-7, -0x1.57133ed49ebf6p-7, -0x1.50f24abcb6093p-7, -0x1.4aea30ab0c1f7p-7, -0x1.44fa9a2ae0f83p-7, -0x1.3f2331ae7b36dp-7, -0x1.3963a28dc80c3p-7, -0x1.33bb9905b4dc9p-7, -0x1.2e2ac237378dp-7, -0x1.28b0cc25f9817p-7, -0x1.234d65b77cc3fp-7, -0x1.1e003eb1e6897p-7, -0x1.18c907baed09ap-7, -0x1.13a77256ab297p-7, -0x1.0e9b30e66cf83p-7, -0x1.09a3f6a7508bdp-7, -0x1.04c177b17e27bp-7, -0x1.ffe6d1ecababp-8, -0x1.f673007f5591cp-8, -0x1.ed26e85c257dbp-8, -0x1.e401f86fdb2e4p-8, -0x1.db03a14f6c7fap-8, -0x1.d22b5535db796p-8, -0x1.c9788801482d2p-8, -0x1.c0eaaf3053158p-8, -0x1.b88141ded0a94p-8, -0x1.b03bb8c3bd883p-8, -0x1.a8198e2da4a67p-8, -0x1.a01a3e00597d8p-8, -0x1.983d45b19051ep-8, -0x1.908224466258dp-8, -0x1.88e85a4fe3bdcp-8, -0x1.816f69e8ad21p-8, -0x1.7a16d6b15c80dp-8, -0x1.72de25ce419f8p-8, -0x1.6bc4dde34584bp-8, -0x1.64ca87120a035p-8, -0x1.5deeaaf656161p-8, -0x1.5730d4a2b9f76p-8, -0x1.5090909e1ed1fp-8, -0x1.4a0d6ce020895p-8, -0x1.43a6f8ce6d907p-8, -0x1.3d5cc5393df8ap-8, -0x1.372e64585ff6dp-8, -0x1.311b69c89a428p-8, -0x1.2b236a8758c35p-8, -0x1.2545fcf11a9edp-8, -0x1.1f82b8bd06b0bp-8, -0x1.19d936fa66671p-8, -0x1.1449120d49926p-8, -0x1.0ed1e5abb9c2ap-8, -0x1.09734eda54857p-8, -0x1.042cebe8ff89cp-8, -0x1.fdfcb8dfda85fp-9, -0x1.f3ce829a90ef3p-9, -0x1.e9ce7940c3f87p-9, -0x1.dffbe39002f6dp-9, -0x1.d6560abdef146p-9, -0x1.ccdc3a712b1ddp-9, -0x1.c38dc0bb99b52p-9, -0x1.ba69ee14f866ep-9, -0x1.b17015535e51p-9, -0x1.a89f8ba60832ap-9, -0x1.9ff7a88ef62d6p-9, -0x1.9777c5dc81a55p-9, -0x1.8f1f3fa39db43p-9, -0x1.86ed7439f6f53p-9, -0x1.7ee1c42eacb85p-9, -0x1.76fb924681fa6p-9, -0x1.6f3a43738b315p-9, -0x1.679d3ed0be44p-9, -0x1.6023ed9af2ab2p-9, -0x1.58cdbb2bee3e4p-9, -0x1.519a14f3de5ddp-9, -0x1.4a886a73cd50ep-9, -0x1.43982d3765be8p-9, -0x1.3cc8d0cef5c3ep-9, -0x1.3619cacb1b12p-9, -0x1.2f8a92b5283efp-9, -0x1.291aa20a61fccp-9, -0x1.22c974363f8c6p-9, -0x1.1c96868c953bcp-9, -0x1.1681584467c72p-9, -0x1.10896a7140eb9p-9, -0x1.0aae3fff21e28p-9, -0x1.04ef5dabb23cep-9, -0x1.fe98940401a93p-10, -0x1.f3891aa6fb797p-10, -0x1.e8af6368ae457p-10, -0x1.de0a85e95835p-10, -0x1.d3999d382186ap-10, -0x1.c95bc7c7d2605p-10, -0x1.bf502764b53dap-10, -0x1.b575e12a02056p-10, -0x1.abcc1d774c803p-10, -0x1.a25207e67f8b8p-10, -0x1.9906cf4168d64p-10, -0x1.8fe9a57891e11p-10, -0x1.86f9bf97d5288p-10, -0x1.7e3655bd8ef78p-10, -0x1.759ea30fccd0ep-10, -0x1.6d31e5b367bd6p-10, -0x1.64ef5ec19368ap-10, -0x1.5cd6523f341b5p-10, -0x1.54e6071251b2bp-10, -0x1.4d1dc6f88c6c6p-10, -0x1.457cde7fc024fp-10, -0x1.3e029cf9d238dp-10, -0x1.36ae5475840ccp-10, -0x1.2f7f59b4d154dp-10, -0x1.2875042384673p-10, -0x1.218eadce9417fp-10, -0x1.1acbb35bea4a2p-10, -0x1.142b73ffc182dp-10, -0x1.0dad5176abf02p-10, -0x1.0750aff9a297fp-10, -0x1.0114f6392835dp-10, -0x1.f5f31aa34ee66p-11, -0x1.e9fbc188ba629p-11, -0x1.de42bce0f722ep-11, -0x1.d2c6ed0fabf47p-11, -0x1.c787371306c2fp-11, -0x1.bc828470799b1p-11, -0x1.b1b7c3280b91cp-11, -0x1.a725e59fa2013p-11, -0x1.9ccbe298f3da1p-11, -0x1.92a8b51d58a2p-11, -0x1.88bb5c728505bp-11, -0x1.7f02dc085bed2p-11, -0x1.757e3b6b6f8bep-11, -0x1.6c2c8637368e9p-11, -0x1.630ccc03a3fd3p-11, -0x1.5a1e205d15346p-11, -0x1.515f9aae86295p-11, -0x1.48d0563a02aa8p-11, -0x1.406f72063fd5bp-11, -0x1.383c10d2ea534p-11, -0x1.3035590b3c578p-11, -0x1.285a74b60c794p-11, -0x1.20aa916b0cde8p-11, -0x1.1924e045c692bp-11, -0x1.11c895d5129e5p-11, -0x1.0a94ea1200c43p-11, -0x1.0389185273971p-11, -0x1.f948be73ca848p-12, -0x1.ebcc015f6b355p-12, -0x1.de9a83a4283bfp-12, -0x1.d1b2d5d351cbfp-12, -0x1.c5138eba4e2e5p-12, -0x1.b8bb4b4d2f12ap-12, -0x1.aca8ae8d0d902p-12, -0x1.a0da6172672b9p-12, -0x1.954f12d3211f8p-12, -0x1.8a0577527244bp-12, -0x1.7efc494318ad4p-12, -0x1.74324896d20f5p-12, -0x1.69a63ac385fa7p-12, -0x1.5f56eab465999p-12, -0x1.554328af219ddp-12, -0x1.4b69ca407f2cp-12, -0x1.41c9aa296cb08p-12, -0x1.3861a846b019p-12, -0x1.2f30a981cb965p-12, -0x1.263597ba1e7bbp-12, -0x1.1d6f61afc4dedp-12, -0x1.14dcfaf3851b3p-12, -0x1.0c7d5bd25d491p-12, -0x1.044f8141e86e1p-12, -0x1.f8a4d99b4a9d5p-13, -0x1.e90a490da20d9p-13, -0x1.d9cd65df9aa5bp-13, -0x1.caec4dd3ac565p-13, -0x1.bc65274d9f9f3p-13, -0x1.ae3621262f7b6p-13, -0x1.a05d72920aa9fp-13, -0x1.92d95af8f150dp-13, -0x1.85a821d624a0bp-13, -0x1.78c81698b525ep-13, -0x1.6c37908378d39p-13, -0x1.5ff4ee8896a7dp-13, -0x1.53fe972df4a11p-13, -0x1.4852f86f27fdfp-13, -0x1.3cf0879704df9p-13, -0x1.31d5c12baecefp-13, -0x1.270128c7e952ep-13, -0x1.1c714902d2c51p-13, -0x1.1224b34f7d977p-13, -0x1.0819ffe2ae418p-13, -0x1.fc9f9b28548b2p-14, -0x1.e989838a1ae06p-14, -0x1.d6ef1087fe1d8p-14, -0x1.c4cda65f6f688p-14, -0x1.b322b5bcb929cp-14, -0x1.a1ebbb83c0d7bp-14, -0x1.912640a45576ep-14, -0x1.80cfd9d3841ap-14, -0x1.70e627728e2dep-14, -0x1.6166d54a03373p-14, -0x1.524f9a5ccbc8ep-14, -0x1.439e38c0a2a5dp-14, -0x1.35507d631c53ap-14, -0x1.27643fdfd4f7bp-14, -0x1.19d7625374467p-14, -0x1.0ca7d12b9ec2fp-14, -0x1.ffa705f41142ep-15, -0x1.e6b0f098eccb2p-15, -0x1.ce6976f62e5e8p-15, -0x1.b6ccc1027242p-15, -0x1.9fd709a895745p-15, -0x1.89849e6900d18p-15, -0x1.73d1df145bc6bp-15, -0x1.5ebb3d75a7f1dp-15, -0x1.4a3d3d02442a2p-15, -0x1.3654728f7ab56p-15, -0x1.22fd83fb8eb0bp-15, -0x1.103527e9d8da6p-15, -0x1.fbf04af77aa0fp-16, -0x1.d886a80443646p-16, -0x1.b6273559682c6p-16, -0x1.94cbe09d26ff8p-16, -0x1.746eb62c938c4p-16, -0x1.5509e08f611bfp-16, -0x1.3697a7dd3eda4p-16, -0x1.191271603d146p-16, -0x1.f8e97db8dc1dfp-17, -0x1.c1725c81a452bp-17, -0x1.8bb4f20b69968p-17, -0x1.57a6e7756fc06p-17, -0x1.253e1b11927cep-17, -0x1.e8e13f037e2a7p-18, -0x1.8a6975406bfd5p-18, -0x1.2f01c998a9df5p-18, -0x1.ad2f1f28c589bp-19, -0x1.0230f80fbe994p-19, -0x1.739518b55567bp-21, 0x1.0b5c4a4f9cf56p-21, 0x1.ba4cec56c60fcp-20, 0x1.722a9464a73acp-19, 0x1.01023595889acp-18, 0x1.466a25573084p-18, 0x1.895cebd564e8dp-18, 0x1.c9ea07bc50033p-18, 0x1.041052a51fe5ep-17, 0x1.2207cffa4804bp-17, 0x1.3ee2c1dbc79e7p-17, 0x1.5aa8476b61c4ap-17, 0x1.755f5974f5a3cp-17, 0x1.8f0ecb63e57e8p-17, 0x1.a7bd4bafb21a1p-17, 0x1.bf7164c53079bp-17, 0x1.d6317d9dfbbd8p-17, 0x1.ec03da59b70d2p-17, 0x1.00774e84b4296p-16, 0x1.0a7be315547a9p-16, 0x1.14129ab3a0717p-16, 0x1.1d3e5519c4b0fp-16, 0x1.2601e2273d785p-16, 0x1.2e60023be997bp-16, 0x1.365b66803d36p-16, 0x1.3df6b1264a009p-16, 0x1.453475c354f08p-16, 0x1.4c17398739107p-16, 0x1.52a1738ce7f58p-16, }}, 
      {{0x1.fff8af70a36c4p-1, 0x1.ffe2d91a65c5ep-1, 0x1.ffbeca771c679p-1, 0x1.ff8cfa43b3e23p-1, 0x1.ff4dffa180767p-1, 0x1.ff02898b84403p-1, 0x1.feab5680581d4p-1, 0x1.fe492ca3acb4p-1, 0x1.fddcd2c347c45p-1, 0x1.fd670a9580ce7p-1, 0x1.fce88c5868d26p-1, 0x1.fc6203cb54931p-1, 0x1.fbd40e5bfad63p-1, 0x1.fb3f3a4e8bb88p-1, 0x1.faa406a2df1c1p-1, 0x1.fa02e37c8ae17p-1, 0x1.f95c32dca3af1p-1, 0x1.f8b04987488fdp-1, 0x1.f7ff6ffa83c19p-1, 0x1.f749e3664108ap-1, 0x1.f68fd69d012d1p-1, 0x1.f5d172faaecabp-1, 0x1.f50ed942619f2p-1, 0x1.f4482275764c9p-1, 0x1.f37d60a69dac2p-1, 0x1.f2ae9fcae91d2p-1, 0x1.f1dbe689b7324p-1, 0x1.f105370b4952fp-1, 0x1.f02a8fc4a1974p-1, 0x1.ef4bec3e9839p-1, 0x1.ee6945d582dd6p-1, 0x1.ed82946ebac84p-1, 0x1.ec97cf215d546p-1, 0x1.eba8ecd005e47p-1, 0x1.eab5e4b1bb327p-1, 0x1.e9beaec8d5f89p-1, 0x1.e8c3444750417p-1, 0x1.e7c39fe06c71ap-1, 0x1.e6bfbe0830b83p-1, 0x1.e5b79d21a2a43p-1, 0x1.e4ab3d9d061fep-1, 0x1.e39aa2079ce87p-1, 0x1.e285cf0ea27f3p-1, 0x1.e16ccb7739851p-1, 0x1.e04fa00d25b6ap-1, 0x1.df2e578a02332p-1, 0x1.de08fe76ac869p-1, 0x1.dcdfa30868cdep-1, 0x1.dbb254fb27631p-1, 0x1.da81256a2d1dap-1, 0x1.d94c26a8356fdp-1, 0x1.d8136c17ee3bcp-1, 0x1.d6d70a059c16ap-1, 0x1.d5971582737dcp-1, 0x1.d453a44221097p-1, 0x1.d30ccc7ad1527p-1, 0x1.d1c2a4c7edf8bp-1, 0x1.d075440fa6729p-1, 0x1.cf24c16b4efa3p-1, 0x1.cdd134127dd8fp-1, 0x1.cc7ab348d4d09p-1, 0x1.cb21564e42bc9p-1, 0x1.c9c5345193331p-1, 0x1.c86664651368cp-1, 0x1.c704fd7511a1ep-1, 0x1.c5a1163ffa0d9p-1, 0x1.c43ac54fd969p-1, 0x1.c2d220f510a4p-1, 0x1.c1673f41f9c1p-1, 0x1.bffa3607573cfp-1, 0x1.be8b1ad1623c1p-1, 0x1.bd1a02e5478bp-1, 0x1.bba7033efd77fp-1, 0x1.ba32308f4f8afp-1, 0x1.b8bb9f3a0c55p-1, 0x1.b743635441fa2p-1, 0x1.b5c990a27d5f6p-1, 0x1.b44e3a97052b3p-1, 0x1.b2d17450047fdp-1, 0x1.b1535095aa7edp-1, 0x1.afd3e1d83c2a1p-1, 0x1.ae533a2e1983ep-1, 0x1.acd16b51be819p-1, 0x1.ab4e869fc079p-1, 0x1.a9ca9d14d4924p-1, 0x1.a845bf4bde95p-1, 0x1.a6bffd7c1a894p-1, 0x1.a53967775b044p-1, 0x1.a3b20ca86f425p-1, 0x1.a229fc11b065fp-1, 0x1.a0a1444bbd8ccp-1, 0x1.9f17f3846e364p-1, 0x1.9d8e177dfa51fp-1, 0x1.9c03bd8e60f9bp-1, 0x1.9a78f29f0e48fp-1, 0x1.98edc32cbec62p-1, 0x1.97623b47a9636p-1, 0x1.95d66693e54e9p-1, 0x1.944a504a16591p-1, 0x1.92be033854be9p-1, 0x1.913189c3555a4p-1, 0x1.8fa4ede7cc228p-1, 0x1.8e18393c05d66p-1, 0x1.8c8b74f1b78b9p-1, 0x1.8afea9d7ffb68p-1, 0x1.8971e05d91a3ap-1, 0x1.87e520930cb31p-1, 0x1.8658722d74911p-1, 0x1.84cbdc88cc2c5p-1, 0x1.833f66aac9bebp-1, 0x1.81b31745a2cd8p-1, 0x1.8026f4baeadb1p-1, 0x1.7e9b051e7df86p-1, 0x1.7d0f4e3979dap-1, 0x1.7b83d58d36441p-1, 0x1.79f8a0564723ap-1, 0x1.786db38f77659p-1, 0x1.76e313f4c19b7p-1, 0x1.7558c60640446p-1, 0x1.73cece0b126ebp-1, 0x1.7245301435226p-1, 0x1.70bbefff48908p-1, 0x1.6f33117947a04p-1, 0x1.6daa980129462p-1, 0x1.6c2286ea6a8c3p-1, 0x1.6a9ae15f85b06p-1, 0x1.6913aa644b22fp-1, 0x1.678ce4d825a0bp-1, 0x1.6606937840d56p-1, 0x1.6480b8e197ce4p-1, 0x1.62fb5792e4db1p-1, 0x1.617671ee785dbp-1, 0x1.5ff20a3bf292dp-1, 0x1.5e6e22a9e16d1p-1, 0x1.5ceabd4f42f37p-1, 0x1.5b67dc2ceec62p-1, 0x1.59e5812ee0da3p-1, 0x1.5863ae2d6e37dp-1, 0x1.56e264ee5c794p-1, 0x1.5561a725e4d65p-1, 0x1.53e176779c239p-1, 0x1.5261d47744d3fp-1, 0x1.50e2c2a98d687p-1, 0x1.4f644284b4b46p-1, 0x1.4de6557124042p-1, 0x1.4c68fcc9e9996p-1, 0x1.4aec39dd2f6acp-1, 0x1.49700dec97b7ap-1, 0x1.47f47a2d90601p-1, 0x1.46797fc994a51p-1, 0x1.44ff1fde66fe3p-1, 0x1.43855b7e398fcp-1, 0x1.420c33afd435cp-1, 0x1.4093a96ea7a5dp-1, 0x1.3f1bbdaae3ddp-1, 0x1.3da471497f299p-1, 0x1.3c2dc5243b394p-1, 0x1.3ab7ba09a5522p-1, 0x1.394250bd12cd9p-1, 0x1.37cd89f69b285p-1, 0x1.365966630f6fp-1, 0x1.34e5e6a3f1aa9p-1, 0x1.33730b4f6cbdap-1, 0x1.3200d4f04bd09p-1, 0x1.308f4405f380cp-1, 0x1.2f1e59045ecc1p-1, 0x1.2dae14541bfd1p-1, 0x1.2c3e76524f4e7p-1, 0x1.2acf7f50b8daep-1, 0x1.29612f95bc172p-1, 0x1.27f3875c71317p-1, 0x1.268686d4b670cp-1, 0x1.251a2e2349b6ep-1, 0x1.23ae7d61e668bp-1, 0x1.2243749f69463p-1, 0x1.20d913dffa6adp-1, 0x1.1f6f5b1d3de6dp-1, 0x1.1e064a4686c37p-1, 0x1.1c9de14115e75p-1, 0x1.1b361fe859a4p-1, 0x1.19cf060e37607p-1, 0x1.1868937b565d9p-1, 0x1.1702c7ef765a3p-1, 0x1.159da321c5c72p-1, 0x1.143924c1408dcp-1, 0x1.12d54c75148f6p-1, 0x1.117219dd088edp-1, 0x1.100f8c91e97b6p-1, 0x1.0eada425fc213p-1, 0x1.0d4c602572262p-1, 0x1.0bebc016e36cbp-1, 0x1.0a8bc37bca1a8p-1, 0x1.092c69d103ad4p-1, 0x1.07cdb28f512edp-1, 0x1.066f9d2bdfc46p-1, 0x1.05122918cbbe6p-1, 0x1.03b555c5ad1ccp-1, 0x1.025922a01f3d5p-1, 0x1.00fd8f144dd08p-1, 0x1.ff45351affa7ep-2, 0x1.fc9088ed490f7p-2, 0x1.f9dd1875c055cp-2, 0x1.f72ae28c2f3dcp-2, 0x1.f479e60af967cp-2, 0x1.f1ca21d02f31ep-2, 0x1.ef1b94bea2cc2p-2, 0x1.ec6e3dbef7238p-2, 0x1.e9c21bc0abb97p-2, 0x1.e7172dbb2567p-2, 0x1.e46d72aeb1d8ep-2, 0x1.e1c4e9a581cf4p-2, 0x1.df1d91b4a9f63p-2, 0x1.dc7769fd0a3c1p-2, 0x1.d9d271ac441bep-2, 0x1.d72ea7fd97d63p-2, 0x1.d48c0c3ac8b32p-2, 0x1.d1ea9dbcec286p-2, 0x1.cf4a5bed3eb6cp-2, 0x1.ccab4645e5de4p-2, 0x1.ca0d5c52af6eep-2, 0x1.c7709db1c6bb9p-2, 0x1.c4d50a1462537p-2, 0x1.c23aa13f64184p-2, 0x1.bfa1630bf5d0bp-2, 0x1.bd094f681b9ccp-2, 0x1.ba72665738575p-2, 0x1.b7dca7f290355p-2, 0x1.b5481469b8ec6p-2, 0x1.b2b4ac030aba4p-2, 0x1.b0226f1bfe832p-2, 0x1.ad915e29878a1p-2, 0x1.ab0179b864cep-2, 0x1.a872c26d64c4cp-2, 0x1.a5e53905a35e2p-2, 0x1.a358de56bde9ap-2, 0x1.a0cdb34efbfd2p-2, 0x1.9e43b8f57466bp-2, 0x1.9bbaf06a2329cp-2, 0x1.99335ae5faa69p-2, 0x1.96acf9baeb844p-2, 0x1.9427ce53e4b18p-2, 0x1.91a3da34c9464p-2, 0x1.8f211efa62716p-2, 0x1.8c9f9e5a45151p-2, 0x1.8a1f5a22ae97ap-2, 0x1.87a0543a65a9ap-2, 0x1.85228ea0834cp-2, 0x1.82a60b6c44a28p-2, 0x1.802accccc8198p-2, 0x1.7db0d508cf633p-2, 0x1.7b38267e7523ap-2, 0x1.78c0c3a2dea7fp-2, 0x1.764aaf01e4d16p-2, 0x1.73d5eb3dbc1f4p-2, 0x1.71627b0e96203p-2, 0x1.6ef0614238553p-2, 0x1.6c7fa0bb97eaep-2, 0x1.6a103c7267605p-2, 0x1.67a23772a6608p-2, 0x1.653594dc29b15p-2, 0x1.62ca57e222411p-2, 0x1.606083ca9af85p-2, 0x1.5df81bedfc426p-2, 0x1.5b9123b681f47p-2, 0x1.592b9e9fb4b8dp-2, 0x1.56c79035e0667p-2, 0x1.5464fc1583bf3p-2, 0x1.5203e5eac2618p-2, 0x1.4fa45170cf3f8p-2, 0x1.4d4642715dafbp-2, 0x1.4ae9bcc40317fp-2, 0x1.488ec44da71d4p-2, 0x1.46355cffe31bdp-2, 0x1.43dd8ad86b4dp-2, 0x1.418751e071c4ap-2, 0x1.3f32b62c096e6p-2, 0x1.3cdfbbd9889a6p-2, 0x1.3a8e6710e8764p-2, 0x1.383ebc03280ap-2, 0x1.35f0bee9ade4p-2, 0x1.33a47405a6b06p-2, 0x1.3159df9f64b19p-2, 0x1.2f110605c2bdap-2, 0x1.2cc9eb8d8427cp-2, 0x1.2a849490b4a95p-2, 0x1.2841056e0a7e1p-2, 0x1.25ff428849619p-2, 0x1.23bf5045a3ca3p-2, 0x1.2181330f1e572p-2, 0x1.1f44ef4ff7337p-2, 0x1.1d0a8975058fp-2, 0x1.1ad205ec279a8p-2, 0x1.189b6923a351ep-2, 0x1.1666b7899407dp-2, 0x1.1433f58b52aa2p-2, 0x1.12032794e11aap-2, 0x1.0fd452105a5dep-2, 0x1.0da779655d836p-2, 0x1.0b7ca1f880e89p-2, 0x1.0953d02ac3496p-2, 0x1.072d085901a6cp-2, 0x1.05084edb68c7ap-2, 0x1.02e5a804f3eb3p-2, 0x1.00c51822e00c7p-2, 0x1.fd4d46f8560a7p-3, 0x1.f9149ca224813p-3, 0x1.f4e039b51f566p-3, 0x1.f0b02693bdfd3p-3, 0x1.ec846b9000d21p-3, 0x1.e85d10ea81da5p-3, 0x1.e43a1ed181fep-3, 0x1.e01b9d6001b1cp-3, 0x1.dc01949cdfc8bp-3, 0x1.d7ec0c79f3e08p-3, 0x1.d3db0cd335ff1p-3, 0x1.cfce9d6de9b4fp-3, 0x1.cbc6c5f7c93fep-3, 0x1.c7c38e063cfd9p-3, 0x1.c3c4fd15911c9p-3, 0x1.bfcb1a883175p-3, 0x1.bbd5eda5f4554p-3, 0x1.b7e57d9b59ep-3, 0x1.b3f9d178dd011p-3, 0x1.b012f03242a07p-3, 0x1.ac30e09df5257p-3, 0x1.a853a9745c757p-3, 0x1.a47b514f42431p-3, 0x1.a0a7dea9357bfp-3, 0x1.9cd957dcfbc9ep-3, 0x1.990fc324fdcc5p-3, 0x1.954b269aba5bcp-3, 0x1.918b88364e07dp-3, 0x1.8dd0edcde4987p-3, 0x1.8a1b5d154bfb5p-3, 0x1.866adb9d72f68p-3, 0x1.82bf6ed40400cp-3, 0x1.7f191c02f2e82p-3, 0x1.7b77e8501b2efp-3, 0x1.77dbd8bcdae41p-3, 0x1.7444f225be31bp-3, 0x1.70b33942213f3p-3, 0x1.6d26b2a3e106bp-3, 0x1.699f62b711721p-3, 0x1.661d4dc1b0d46p-3, 0x1.62a077e36975ep-3, 0x1.5f28e5154dd94p-3, 0x1.5bb69929a779bp-3, 0x1.584997cbbafa7p-3, 0x1.54e1e47f9a698p-3, 0x1.517f82a1fe8bcp-3, 0x1.4e227568183e5p-3, 0x1.4acabfdf76f4ap-3, 0x1.477864ede4a78p-3, 0x1.442b6751519aap-3, 0x1.40e3c99fc021p-3, 0x1.3da18e472dbe6p-3, 0x1.3a64b78d94e9bp-3, 0x1.372d4790d38a9p-3, 0x1.33fb4046bacf2p-3, 0x1.30cea37d00373p-3, 0x1.2da772d94e4b6p-3, 0x1.2a85afd9465fp-3, 0x1.27695bd28f845p-3, 0x1.245277f2ec8ap-3, 0x1.21410540492cdp-3, 0x1.1e350498d71ecp-3, 0x1.1b2e76b32788dp-3, 0x1.182d5c1e4ffdp-3, 0x1.1531b5420be2fp-3, 0x1.123b825edec6p-3, 0x1.0f4ac38e46787p-3, 0x1.0c5f78c2e46aep-3, 0x1.0979a1c8afcfdp-3, 0x1.06993e452980dp-3, 0x1.03be4db7944a6p-3, 0x1.00e8cf79335f8p-3, 0x1.fc31857afe416p-4, 0x1.f69c4d24e1824p-4, 0x1.f111f3c171a07p-4, 0x1.eb9276d827551p-4, 0x1.e61dd3a713604p-4, 0x1.e0b4072375d4p-4, 0x1.db550dfa66f69p-4, 0x1.d600e4916ccb6p-4, 0x1.d0b7870723f53p-4, 0x1.cb78f133efa27p-4, 0x1.c6451eaaa5f46p-4, 0x1.c11c0ab948b6dp-4, 0x1.bbfdb069b0053p-4, 0x1.b6ea0a825d658p-4, 0x1.b1e1138724ab2p-4, 0x1.ace2c5ba00d46p-4, 0x1.a7ef1b1bd7503p-4, 0x1.a3060d6d408b6p-4, 0x1.9e27962f57871p-4, 0x1.9953aea497281p-4, 0x1.948a4fd198bcap-4, 0x1.8fcb727e06ef4p-4, 0x1.8b170f356518bp-4, 0x1.866d1e47f3986p-4, 0x1.81cd97cb942d3p-4, 0x1.7d38739ca4ce6p-4, 0x1.78ada95eeffabp-4, 0x1.742d307e86afep-4, 0x1.6fb70030b46bbp-4, 0x1.6b4b0f74e438bp-4, 0x1.66e955158f684p-4, 0x1.6291c7a92c793p-4, 0x1.5e445d931c96bp-4, 0x1.5a010d04a4b2fp-4, 0x1.55c7cbfdd3485p-4, 0x1.5198904e7f6f9p-4, 0x1.4d734f9739891p-4, 0x1.4957ff4a3ad7cp-4, 0x1.454694ac68764p-4, 0x1.413f04d63f6d1p-4, 0x1.3d4144b4d1d97p-4, 0x1.394d490ab6886p-4, 0x1.3563067111059p-4, 0x1.318271587a5a3p-4, 0x1.2dab7e09fe069p-4, 0x1.29de20a819cc9p-4, 0x1.261a4d2fa8036p-4, 0x1.225ff778e4a92p-4, 0x1.1eaf133861eafp-4, 0x1.1b0793fff819dp-4, 0x1.17696d3fc2fe9p-4, 0x1.13d492471b4fp-4, 0x1.1048f64583783p-4, 0x1.0cc68c4ba1c7bp-4, 0x1.094d474c3499ap-4, 0x1.05dd1a1cfec8ep-4, 0x1.0275f777c55d2p-4, 0x1.fe2fa3f66a3dcp-5, 0x1.f7853857b05afp-5, 0x1.f0ec90ea00a69p-5, 0x1.ea6592536bd9p-5, 0x1.e3f0210b53f15p-5, 0x1.dd8c215c1add5p-5, 0x1.d7397765242aep-5, 0x1.d0f8071c7e68cp-5, 0x1.cac7b450bdc9dp-5, 0x1.c4a862aab6697p-5, 0x1.be99f5af4d14cp-5, 0x1.b89c50c138f2ap-5, 0x1.b2af5722abd66p-5, 0x1.acd2ebf71a972p-5, 0x1.a706f244f0ff4p-5, 0x1.a14b4cf731ad3p-5, 0x1.9b9fdedf33dcep-5, 0x1.96048ab64077fp-5, 0x1.9079331f395aep-5, 0x1.8afdbaa830c3cp-5, 0x1.859203cc0f2fp-5, 0x1.8035f0f415aa5p-5, 0x1.7ae96479840afp-5, 0x1.75ac40a70f4a7p-5, 0x1.707e67ba7cd4dp-5, 0x1.6b5fbbe60ad22p-5, 0x1.66501f520c28ep-5, 0x1.614f741e4639ap-5, 0x1.5c5d9c636fad1p-5, 0x1.577a7a349a268p-5, 0x1.52a5efa0a13c6p-5, 0x1.4ddfdeb381dfp-5, 0x1.49282977c680dp-5, 0x1.447eb1f7d3947p-5, 0x1.3fe35a3f41c3ap-5, 0x1.3b56045c2d97dp-5, 0x1.36d692607b2c8p-5, 0x1.3264e6631b49ap-5, 0x1.2e00e2814c9f6p-5, 0x1.29aa68dfcde0cp-5, 0x1.25615bac1df13p-5, 0x1.21259d1d9d75cp-5, 0x1.1cf70f76b87e1p-5, 0x1.18d5950610e14p-5, 0x1.14c110279432ep-5, 0x1.10b963459d546p-5, 0x1.0cbe70d9fba28p-5, 0x1.08d01b6f0944cp-5, 0x1.04ee45a0b30efp-5, 0x1.0118d21d6d638p-5, 0x1.fa9f474e9cc2dp-6, 0x1.f3253a29cbd7dp-6, 0x1.ebc342a47f237p-6, 0x1.e47926c3ac0d6p-6, 0x1.dd46acbad5a3bp-6, 0x1.d62b9aedf2268p-6, 0x1.cf27b7f308cc7p-6, 0x1.c83aca93efe5dp-6, 0x1.c16499cff968bp-6, 0x1.baa4ecdd84bebp-6, 0x1.b3fb8b2b91fbcp-6, 0x1.ad683c6344e52p-6, 0x1.a6eac86963c01p-6, 0x1.a082f75fc53c3p-6, 0x1.9a3091a6d64bbp-6, 0x1.93f35fdeb7d58p-6, 0x1.8dcb2ae8e4ebdp-6, 0x1.87b7bbe933a4cp-6, 0x1.81b8dc474efb6p-6, 0x1.7bce55afb9c5p-6, 0x1.75f7f21534de4p-6, 0x1.70357bb1ad03dp-6, 0x1.6a86bd077a4bep-6, 0x1.64eb80e268bc2p-6, 0x1.5f639258b218fp-6, 0x1.59eebccc13262p-6, 0x1.548ccbeab5fafp-6, 0x1.4f3d8bb01aed7p-6, 0x1.4a00c86600165p-6, 0x1.44d64ea5476b9p-6, 0x1.3fbdeb56c0b62p-6, 0x1.3ab76bb3f16a7p-6, 0x1.35c29d47dd35dp-6, 0x1.30df4defba233p-6, 0x1.2c0d4bdba7905p-6, 0x1.274c658f5710cp-6, 0x1.229c69e2ae46bp-6, 0x1.1dfd2802604a4p-6, 0x1.196e6f7075799p-6, 0x1.14f01004e9cd2p-6, 0x1.1081d9ee230fbp-6, 0x1.0c239db16cb7fp-6, 0x1.07d52c2b7475cp-6, 0x1.03965690a5ad2p-6, 0x1.fecddcdb5a19cp-7, 0x1.f68d8b4f6755dp-7, 0x1.ee6b5cf9aa78bp-7, 0x1.e666f708bed4ep-7, 0x1.de7fff5e4b1f9p-7, 0x1.d6b61c8f8e2d5p-7, 0x1.cf08f5e5ccb89p-7, 0x1.c778335ec6319p-7, 0x1.c0037dad04f6ap-7, 0x1.b8aa7e3866d86p-7, 0x1.b16cdf1e3d781p-7, 0x1.aa4a4b31ab2abp-7, 0x1.a3426dfba0287p-7, 0x1.9c54f3bb4f5cap-7, 0x1.958189660b366p-7, 0x1.8ec7dca79a19fp-7, 0x1.88279be1f16acp-7, 0x1.81a0762d70a74p-7, 0x1.7b321b58ba00fp-7, 0x1.74dc3be8a8829p-7, 0x1.6e9e8918398b1p-7, 0x1.6878b4d82feb1p-7, 0x1.626a71cf39e44p-7, 0x1.5c7373594f508p-7, 0x1.56936d87d6393p-7, 0x1.50ca1520f1832p-7, 0x1.4b171f9f98db4p-7, 0x1.457a4332b6446p-7, 0x1.3ff336bd54409p-7, 0x1.3a81b1d5ac98p-7, 0x1.35256cc516791p-7, 0x1.2fde2087386e4p-7, 0x1.2aab86c9df21cp-7, 0x1.258d59ec2baabp-7, 0x1.208354fdfad99p-7, 0x1.1b8d33bf9d29cp-7, 0x1.16aab2a0eb4d5p-7, 0x1.11db8ec0b807dp-7, 0x1.0d1f85ec41c13p-7, 0x1.0876569e49e23p-7, 0x1.03dfbffe9c7fbp-7, 0x1.feb703c23300ep-8, 0x1.f5d2b98a54d0ap-8, 0x1.ed1223a9981cbp-8, 0x1.e474c5c7c7831p-8, 0x1.dbfa24deaefb2p-8, 0x1.d3a1c7389a365p-8, 0x1.cb6b346e6bfcap-8, 0x1.c355f5663cebfp-8, 0x1.bb61945108b69p-8, 0x1.b38d9ca983c62p-8, 0x1.abd99b31ae047p-8, 0x1.a4451df16268p-8, 0x1.9ccfb4344e81cp-8, 0x1.9578ee87e5416p-8, 0x1.8e405eb99e01ap-8, 0x1.872597d4f16edp-8, 0x1.80282e2134165p-8, 0x1.7947b71fce217p-8, 0x1.7283c989e7bb4p-8, 0x1.6bdbfd4ec75b6p-8, 0x1.654feb911e307p-8, 0x1.5edf2ea598cccp-8, 0x1.5889621042edcp-8, 0x1.524e22828cd42p-8, 0x1.4c2d0dd93f711p-8, 0x1.4625c31a313d7p-8, 0x1.4037e27226233p-8, 0x1.3a630d3274918p-8, 0x1.34a6e5cf3555ep-8, 0x1.2f030fdc7f235p-8, 0x1.2977300cb0e0cp-8, 0x1.2402ec2dd5b84p-8, 0x1.1ea5eb27974b9p-8, 0x1.195fd4f8e3a0cp-8, 0x1.143052b5c601bp-8, 0x1.0f170e84db5e6p-8, 0x1.0a13b39d7ec5bp-8, 0x1.0525ee44ff92fp-8, 0x1.004d6bccbf438p-8, 0x1.f713b51f5d261p-9, 0x1.edb5d3e00897fp-9, 0x1.e48094aa285c5p-9, 0x1.db735a519db81p-9, 0x1.d28d89ab3e754p-9, 0x1.c9ce898802e6ep-9, 0x1.c135c2b08bbe5p-9, 0x1.b8c29fe059a09p-9, 0x1.b0748dc1a13c3p-9, 0x1.a84afae7f1106p-9, 0x1.a04557cc893dfp-9, 0x1.986316c892f7dp-9, 0x1.90a3ac11ea0b6p-9, 0x1.89068db58c0c6p-9, 0x1.818b339317f96p-9, 0x1.7a311758eca08p-9, 0x1.72f7b47eb2414p-9, 0x1.6bde88418e557p-9, 0x1.64e5119f2abcfp-9, 0x1.5e0ad15161dafp-9, 0x1.574f49c9b0b76p-9, 0x1.50b1ff2c932bdp-9, 0x1.4a32774d63cb9p-9, 0x1.43d039a9b6f02p-9, 0x1.3d8acf64a7231p-9, 0x1.3761c342c1f8ap-9, 0x1.3154a1a58a848p-9, 0x1.2b62f886f47cep-9, 0x1.258c577546634p-9, 0x1.1fd04f8e5b3b8p-9, 0x1.1a2e737bb87f2p-9, 0x1.14a6576df34c1p-9, 0x1.0f3791187a57ep-9, 0x1.09e1b7ad5b629p-9, 0x1.04a463d91d7d1p-9, 0x1.fefe5f7c6f572p-10, 0x1.f4e36de261f5ep-10, 0x1.eaf72ce8a8fe7p-10, 0x1.e138d966eb4c4p-10, 0x1.d7a7b2ffce672p-10, 0x1.ce42fc18c9774p-10, 0x1.c509f9d1c8eefp-10, 0x1.bbfbf3fdd409bp-10, 0x1.b3183519512e1p-10, 0x1.aa5e0a441a781p-10, 0x1.a1ccc337d89f7p-10, 0x1.9963b241aecc8p-10, 0x1.91222c3875f84p-10, 0x1.8907887719853p-10, 0x1.811320d333735p-10, 0x1.79445196040ffp-10, 0x1.719a79752cd8cp-10, 0x1.6a14f98a7eeeap-10, 0x1.62b3354cbdda7p-10, 0x1.5b749288a4bf7p-10, 0x1.545879589c092p-10, 0x1.4d5e541e33b56p-10, 0x1.46858f7a7e844p-10, 0x1.3fcd9a46e6c05p-10, 0x1.3935e58e2a6f6p-10, 0x1.32bde48572887p-10, 0x1.2c650c845ad23p-10, 0x1.262ad4ffa1ccep-10, 0x1.200eb780832d5p-10, 0x1.1a102f9f309b4p-10, 0x1.142ebafb273fep-10, 0x1.0e69d9353fceep-10, 0x1.08c10be868494p-10, 0x1.0333d6a33ccacp-10, 0x1.fb837dc2ec3d9p-11, 0x1.f0d4980b65b55p-11, 0x1.e65a0ea5448fap-11, 0x1.dc12f7c9dd30bp-11, 0x1.d1fe6d5a1b18fp-11, 0x1.c81b8cd0e8bd3p-11, 0x1.be6977384b1f2p-11, 0x1.b4e7511c54cecp-11, 0x1.ab94427eef4a4p-11, 0x1.a26f76cca178ap-11, 0x1.99781ccf5f50bp-11, 0x1.90ad66a4dd8aap-11, 0x1.880e89b037972p-11, 0x1.7f9abe9154af8p-11, 0x1.775141171ff0fp-11, 0x1.6f31503581888p-11, 0x1.673a2dfa6a15ap-11, 0x1.5f6b1f81a08bp-11, 0x1.57c36ceaf3e07p-11, 0x1.5042614f434d9p-11, 0x1.48e74ab541d74p-11, 0x1.41b17a073b776p-11, 0x1.3aa04308dc4c4p-11, 0x1.33b2fc4c6c2a7p-11, 0x1.2ce8ff2944fcfp-11, 0x1.2641a7b0cb02fp-11, 0x1.1fbc54a502efdp-11, 0x1.1958676eba611p-11, 0x1.1315441385186p-11, 0x1.0cf2512c5be36p-11, 0x1.06eef7dba95f9p-11, 0x1.010aa3c4806dap-11, 0x1.f6898600fe99bp-12, 0x1.eb398c2e2fb11p-12, 0x1.e0243fe8f3bf6p-12, 0x1.d5488bc11022dp-12, 0x1.caa55eeb203acp-12, 0x1.c039ad3095615p-12, 0x1.b6046edc66de5p-12, 0x1.ac04a0ac3d5e6p-12, 0x1.a23943bcf40f4p-12, 0x1.98a15d7bf5a16p-12, 0x1.8f3bf795b1bd7p-12, 0x1.86081fe55acabp-12, 0x1.7d04e8651124cp-12, 0x1.7431671e25bcap-12, 0x1.6b8cb6184e0f9p-12, 0x1.6315f34b0127ep-12, 0x1.5acc408f52455p-12, 0x1.52aec38d81fd6p-12, 0x1.4abca5b163358p-12, 0x1.42f51419a76b1p-12, 0x1.3b573f8a4ad28p-12, 0x1.33e25c5d871p-12, 0x1.2c95a275a6371p-12, 0x1.25704d304d643p-12, 0x1.1e719b5623fep-12, 0x1.1798cf108833ep-12, 0x1.10e52dd8982b7p-12, 0x1.0a56006c80b72p-12, 0x1.03ea92c0eff54p-12, 0x1.fb4467ea50a5bp-13, 0x1.eef86c8b0e799p-13, 0x1.e2efddfe29423p-13, 0x1.d7296ce5afc88p-13, 0x1.cba3cfd6a827dp-13, 0x1.c05dc33a8a0f1p-13, 0x1.b556093c4d46dp-13, 0x1.aa8b69b07a186p-13, 0x1.9ffcb1fc3bb42p-13, 0x1.95a8b4fe5ac83p-13, 0x1.8b8e4afb5c6f5p-13, 0x1.81ac518460591p-13, 0x1.7801ab62957c4p-13, 0x1.6e8d408249013p-13, 0x1.654dfddac604fp-13, 0x1.5c42d55c95779p-13, 0x1.536abddb74004p-13, 0x1.4ac4b2f84613fp-13, 0x1.424fb51063572p-13, 0x1.3a0ac926874c2p-13, 0x1.31f4f8d109fdp-13, 0x1.2a0d5225cb92bp-13, 0x1.2252e7a74cc37p-13, 0x1.1ac4d032a5bc2p-13, 0x1.136226ec92d8bp-13, 0x1.0c2a0b2e6ca6p-13, 0x1.051ba074ba9ddp-13, 0x1.fc6c1c9d72283p-14, 0x1.eef10097f8b85p-14, 0x1.e1c44bd4b629bp-14, 0x1.d4e4650d0bd05p-14, 0x1.c84fba9497d48p-14, 0x1.bc04c23afdd1p-14, 0x1.b001f927fa794p-14, 0x1.a445e3be89b24p-14, 0x1.98cf0d7c0ce8dp-14, 0x1.8d9c08da916dap-14, 0x1.82ab6f2f41079p-14, 0x1.77fbe091e8b9bp-14, 0x1.6d8c03b95baccp-14, 0x1.635a85e33706ap-14, 0x1.59661ab32d2efp-14, 0x1.4fad7c1bd6c8dp-14, 0x1.462f6a3d4ae77p-14, 0x1.3ceaab4e051bap-14, 0x1.33de0b7d9ebep-14, 0x1.2b085cda5cf12p-14, 0x1.22687739ae056p-14, 0x1.19fd381b1394bp-14, 0x1.11c582918e68fp-14, 0x1.09c03f27e7274p-14, 0x1.01ec5bcaba8a7p-14, 0x1.f491975e51c5dp-15, 0x1.e5a90e76d8513p-15, 0x1.d71d17dd71a6p-15, 0x1.c8ebb896c3b61p-15, 0x1.bb12ff7f829c7p-15, 0x1.ad91051da33d6p-15, 0x1.a063eb77eceb7p-15, 0x1.9389dde9699bep-15, 0x1.870110f4f11f5p-15, 0x1.7ac7c21eaf94ap-15, 0x1.6edc37c2b4025p-15, 0x1.633cc0e70142cp-15, 0x1.57e7b51c87d38p-15, 0x1.4cdb744f4dd89p-15, 0x1.421666a7a067bp-15, 0x1.3796fc5eb71p-15, 0x1.2d5bad98a88b9p-15, 0x1.2362fa476cd11p-15, 0x1.19ab69fced471p-15, 0x1.10338bce0be0cp-15, 0x1.06f9f62bea834p-15, 0x1.fbfa8d8dd1897p-16, 0x1.ea7844caa3bb9p-16, 0x1.d96a69918e5e4p-16, 0x1.c8ce61119943cp-16, 0x1.b8a19deeb99b7p-16, 0x1.a8e19ff5b2b0ap-16, 0x1.998bf3ec3f01ap-16, 0x1.8a9e334ae7e4fp-16, 0x1.7c1603fecbc3bp-16, 0x1.6df1183aef58cp-16, 0x1.602d2e2f16a4fp-16, 0x1.52c80fd98e84p-16, 0x1.45bf92c85b952p-16, 0x1.391197e5e0c37p-16, 0x1.2cbc0b43be66cp-16, 0x1.20bce3dc91497p-16, 0x1.1512236a86a99p-16, 0x1.09b9d63092ee7p-16, 0x1.fd642582c2d8cp-17, 0x1.e7f1f3ad7b604p-17, 0x1.d3196c37baee5p-17, 0x1.bed6f7f40b8e7p-17, 0x1.ab2712e27f61cp-17, 0x1.98064bc7a4ba2p-17, 0x1.857143d33edfdp-17, 0x1.7364ae486b73cp-17, 0x1.61dd50270d852p-17, 0x1.50d7ffcf9a61ep-17, 0x1.4051a4b4b6fd3p-17, 0x1.304736fcad16ap-17, 0x1.20b5bf40347d4p-17, 0x1.119a56286f99ap-17, 0x1.02f2242b20a4fp-17, 0x1.e974c2665489ap-18, 0x1.cde0a8bc9cf82p-18, 0x1.b322a75ad0c7fp-18, 0x1.9935876b1afbep-18, 0x1.80142ebaaa563p-18, 0x1.67b99f24492d2p-18, 0x1.5020f6115be0bp-18, 0x1.39456be2852dfp-18, 0x1.232253656f99cp-18, 0x1.0db3195db4243p-18, 0x1.f1e687f41d5ecp-19, 0x1.c9bce4b5614e1p-19, 0x1.a2e0b80573d63p-19, 0x1.7d49a0e85703fp-19, 0x1.58ef6d5238283p-19, 0x1.35ca193002e98p-19, 0x1.13d1cd9e18043p-19, 0x1.e5fdbfaf8f687p-20, 0x1.a693a112624d2p-20, 0x1.695695853e90cp-20, 0x1.2e38466d5dffcp-20, 0x1.ea555d8f35dcdp-21, 0x1.7c403300e3014p-21, 0x1.12163f9cec317p-21, 0x1.577a9ec691247p-22, 0x1.246f132f61e74p-23, -0x1.5e76a97d3175cp-25, -0x1.c592e1f9645fep-23, -0x1.92e822c450a45p-22, -0x1.1e2cd7106e898p-21, -0x1.6fa5e3a51650dp-21, -0x1.bdf58c204a839p-21, -0x1.0498d1b03b5f9p-20, -0x1.28b7be54a8807p-20, -0x1.4b61f6fae1b35p-20, -0x1.6ca1a98faa8d5p-20, -0x1.8c80c80634d12p-20, -0x1.ab09098fad953p-20, -0x1.c843ebd767d06p-20, -0x1.e43ab44bf4ef9p-20, -0x1.fef6711896da4p-20, -0x1.0c3ffd3d0a85ep-19, -0x1.186ff9e76c9f7p-19, -0x1.240f664c35b48p-19, -0x1.2f2260dbd071bp-19, -0x1.39acef342e5d4p-19, -0x1.43b2fea2e733cp-19, -0x1.4d3864ae534b8p-19, -0x1.5640df92ba2ffp-19, -0x1.5ed016bd63f0cp-19, -0x1.66e99b4a2eecep-19, -0x1.6e90e8849c35ep-19, -0x1.75c9644c9e8f3p-19, -0x1.7c965f9b9df6dp-19, -0x1.82fb16ecd97c8p-19, -0x1.88fab2b0819f9p-19, -0x1.8e9847b8f21d1p-19, -0x1.93d6d7a15ff8ap-19, -0x1.98b95143f8e31p-19, -0x1.9d429117ec3adp-19, -0x1.a175619140a3bp-19, -0x1.a5547b8f7d9d4p-19, -0x1.a8e286bc70702p-19, -0x1.ac2219e73f22ap-19, -0x1.af15bb65637b8p-19, -0x1.b1bfe16ae9edep-19, -0x1.b422f268f9ff3p-19, -0x1.b6414561ebe62p-19, -0x1.b81d224916a41p-19, -0x1.b9b8c245b73ebp-19, -0x1.bb165015b579p-19, -0x1.bc37e85e7a303p-19, -0x1.bd1f99f138882p-19, -0x1.bdcf661f7c989p-19, -0x1.be49410c48b26p-19, -0x1.be8f11f06eaf6p-19, -0x1.bea2b3658a5cap-19, -0x1.be85f3b149b66p-19, -0x1.be3a950b2c34p-19, -0x1.bdc24ddc5d7a8p-19, -0x1.bd1ec90868f91p-19, -0x1.bc51a633d0cd4p-19, -0x1.bb5c79f8eeca8p-19, -0x1.ba40ce350fa4ep-19, -0x1.b9002239fc81p-19, -0x1.b79beb153f5b8p-19, -0x1.b61593cadd225p-19, -0x1.b46e7d8c8ed3cp-19, -0x1.b2a7fff0f56e5p-19, -0x1.b0c36934e1896p-19, -0x1.aec1fe6702185p-19, -0x1.aca4fba8a1165p-19, -0x1.aa6d945a4a29fp-19, -0x1.a81cf355da1bfp-19, -0x1.a5b43b1d5661p-19, -0x1.a334860b941c2p-19, -0x1.a09ee68c855e7p-19, -0x1.9df4674218b28p-19, -0x1.9b360b3963596p-19, -0x1.9864ce187cea4p-19, -0x1.9581a448cafbfp-19, -0x1.928d7b20f9cbdp-19, -0x1.8f8939159b2e6p-19, -0x1.8c75bdded6355p-19, -0x1.8953e2a36be4p-19, -0x1.86247a1e2114cp-19, -0x1.82e850c7a541p-19, }}, 
      std::vector<double>(950, 0.0), 
      {{0x1.6c462775c3d56p-8, 0x1.6cc70ea3e209dp-7, 0x1.1223919a5fa89p-6, 0x1.6e678dfaa0137p-6, 0x1.cb2f883e23b46p-6, 0x1.1434a21230fa4p-5, 0x1.42fa28d7f605ap-5, 0x1.71d32efe838e5p-5, 0x1.a0a7bf6a3bfdep-5, 0x1.cf5f1260dc1ddp-5, 0x1.fde134a279156p-5, 0x1.160c23824fefp-4, 0x1.2cf8a959828a5p-4, 0x1.43ae5e0374d6bp-4, 0x1.5a2732e447662p-4, 0x1.705ecc9a1ea53p-4, 0x1.865262f6f170bp-4, 0x1.9c0094f42ef1fp-4, 0x1.b16936c0ce6bp-4, 0x1.c68d1e436b4d7p-4, 0x1.db6df0f2280cfp-4, 0x1.f00df4c596006p-4, 0x1.0237f2a1b2555p-3, 0x1.0c4b668be2d05p-3, 0x1.1642f22fb9282p-3, 0x1.202039c81f93bp-3, 0x1.29e4dd67ddc51p-3, 0x1.33926ebadd0e9p-3, 0x1.3d2a68b7a14f6p-3, 0x1.46ae2918a1cc2p-3, 0x1.501eeb741c6bap-3, 0x1.597dc5c8b4cd3p-3, 0x1.62cba6556b9d6p-3, 0x1.6c095294171fap-3, 0x1.7537672e914a6p-3, 0x1.7e5658c7ee945p-3, 0x1.87667574b3415p-3, 0x1.9067e6bed0f4p-3, 0x1.995ab414541d9p-3, 0x1.a23ec5823d7c4p-3, 0x1.ab13e69fb81abp-3, 0x1.b3d9c991049cap-3, 0x1.bc900a0ca4b0ap-3, 0x1.c5363050c3bd6p-3, 0x1.cdcbb3fa5248bp-3, 0x1.d64ffeb2a4f71p-3, 0x1.dec26eababa4fp-3, 0x1.e72258e5e2305p-3, 0x1.ef6f0b3dc71f5p-3, 0x1.f7a7ce40fed79p-3, 0x1.ffcbe6cd53b55p-3, 0x1.03ed4bbe8d2f6p-2, 0x1.07e990f2ebed4p-2, 0x1.0bda63d74b27ep-2, 0x1.0fbf65c1df027p-2, 0x1.139838f72aafep-2, 0x1.1764810a253cep-2, 0x1.1b23e3337200fp-2, 0x1.1ed606a2034a3p-2, 0x1.227a94c70b0cep-2, 0x1.2611399ec6badp-2, 0x1.2999a3f74ddp-2, 0x1.2d1385b629deap-2, 0x1.307e941d1a9e6p-2, 0x1.33da880e2e763p-2, 0x1.37271e4ef02a5p-2, 0x1.3a6417ca57e25p-2, 0x1.3d9139d0e6786p-2, 0x1.40ae4e563c07cp-2, 0x1.43bb242b7021ap-2, 0x1.46b78f35638b8p-2, 0x1.49a3689e41a81p-2, 0x1.4c7e8f0183d27p-2, 0x1.4f48e691c9d31p-2, 0x1.52025937fa41p-2, 0x1.54aad6ab38e73p-2, 0x1.574254815e4b8p-2, 0x1.59c8ce37b64ap-2, 0x1.5c3e4533efc6p-2, 0x1.5ea2c0bd3ec47p-2, 0x1.60f64dedd5df1p-2, 0x1.6338ff9cec498p-2, 0x1.656aee41a386dp-2, 0x1.678c37cf3035p-2, 0x1.699cff8aba0a9p-2, 0x1.6b9d6ddb75342p-2, 0x1.6d8db01583925p-2, 0x1.6f6df8402da77p-2, 0x1.713e7cd80f57ap-2, 0x1.72ff788dd1885p-2, 0x1.74b12a020697ap-2, 0x1.7653d37ecbf6bp-2, 0x1.77e7baafb699p-2, 0x1.796d2858a498cp-2, 0x1.7ae4680bf63e1p-2, 0x1.7c4dc7e0ad847p-2, 0x1.7da99828ef42ap-2, 0x1.7ef82b2952275p-2, 0x1.8039d4d162737p-2, 0x1.816eea75b49bbp-2, 0x1.8297c28bdde65p-2, 0x1.83b4b46898819p-2, 0x1.84c618005268bp-2, 0x1.85cc45aa64a95p-2, 0x1.86c795e71a9f2p-2, 0x1.87b86128b3cdep-2, 0x1.889eff9f7dd29p-2, 0x1.897bc9091d49ap-2, 0x1.8a4f14831741fp-2, 0x1.8b193860a2467p-2, 0x1.8bda8a03c5963p-2, 0x1.8c935db9c4ca3p-2, 0x1.8d44069ac9639p-2, 0x1.8decd66ccc76bp-2, 0x1.8e8e1d899fe67p-2, 0x1.8f282ac811e97p-2, 0x1.8fbb4b6806c8p-2, 0x1.9047cb01796edp-2, 0x1.90cdf37639ef4p-2, 0x1.914e0ce65622ap-2, 0x1.91c85da701c79p-2, 0x1.923d2a3bdd1c5p-2, 0x1.92acb552796c1p-2, 0x1.93173fbff002dp-2, 0x1.937d08806b6e1p-2, 0x1.93de4cb8738a7p-2, 0x1.943b47b7dee63p-2, 0x1.949432fe4021dp-2, 0x1.94e946409fce2p-2, 0x1.953ab77070506p-2, 0x1.9588bac37ce68p-2, 0x1.95d382bcc8cep-2, 0x1.961b40362bf8cp-2, 0x1.9660226a8b02bp-2, 0x1.96a25700977d8p-2, 0x1.96e20a15e9f55p-2, 0x1.971f664a5ecefp-2, 0x1.975a94cba1542p-2, 0x1.9793bd60bce7bp-2, 0x1.97cb0675a8827p-2, 0x1.98009526b0c31p-2, 0x1.98348d4bad372p-2, 0x1.98671182f097bp-2, 0x1.9898433be02e8p-2, 0x1.98c842c12a08fp-2, 0x1.98f72f4280765p-2, 0x1.992526dde6b15p-2, 0x1.995246a86b863p-2, 0x1.997eaab660778p-2, 0x1.99aa6e22fa09ap-2, 0x1.99d5ab175c472p-2, 0x1.9a007ad10ffaap-2, 0x1.9a2af5a7dfbcap-2, 0x1.9a55331317fe4p-2, 0x1.9a7f49ae36d2ep-2, 0x1.9aa94f3d046eap-2, 0x1.9ad358af1bd4p-2, 0x1.9afd7a22e9686p-2, 0x1.9b27c6e822f37p-2, 0x1.9b525181c4eadp-2, 0x1.9b7d2ba791f45p-2, 0x1.9ba8664727891p-2, 0x1.9bd41184aa5cdp-2, 0x1.9c003cbb1192ep-2, 0x1.9c2cf67c1bbf2p-2, 0x1.9c5a4c8ffd18cp-2, 0x1.9c884bf4bfd38p-2, 0x1.9cb700dd7337dp-2, 0x1.9ce676b125834p-2, 0x1.9d16b809b38fdp-2, 0x1.9d47ceb280bc4p-2, 0x1.9d79c3a7100a6p-2, 0x1.9dac9f119a9a2p-2, 0x1.9de06849956e4p-2, 0x1.9e1525d244d32p-2, 0x1.9e4add59550ccp-2, 0x1.9e8193b5857dap-2, 0x1.9eb94ce56f826p-2, 0x1.9ef20c0e6ba6ep-2, 0x1.9f2bd37b9bcbdp-2, 0x1.9f66a49d1f158p-2, 0x1.9fa280077aa0bp-2, 0x1.9fdf65733309p-2, 0x1.a01d53bc9dca8p-2, 0x1.a05c48e3f3ba9p-2, 0x1.a09c420d9d8e6p-2, 0x1.a0dd3b82c7a13p-2, 0x1.a11f30b2350fap-2, 0x1.a1621c315b642p-2, 0x1.a1a5f7bdc826bp-2, 0x1.a1eabc3ec783bp-2, 0x1.a23061c75b6f1p-2, 0x1.a276df9876117p-2, 0x1.a2be2c237e183p-2, 0x1.a3063d0d1ce98p-2, 0x1.a34f07304f403p-2, 0x1.a3987ea1c0fddp-2, 0x1.a3e296b3668e2p-2, 0x1.a42d41f85edcfp-2, 0x1.a478724910aacp-2, 0x1.a4c418c787a7ap-2, 0x1.a51025e40dce6p-2, 0x1.a55c8961fa681p-2, 0x1.a5a9325cbc6f1p-2, 0x1.a5f60f4d12af5p-2, 0x1.a6430e0e76eb6p-2, 0x1.a6901be4b5dd3p-2, 0x1.a6dd2581b01e1p-2, 0x1.a72a170b42331p-2, 0x1.a776dc2150a9ep-2, 0x1.a7c35fe3f21d9p-2, 0x1.a80f8cf9b8e5ep-2, 0x1.a85b4d9614161p-2, 0x1.a8a68b7fc75a1p-2, 0x1.a8f1301775bd5p-2, 0x1.a93b245e3c468p-2, 0x1.a98450fc58e41p-2, 0x1.a9cc9e47db05cp-2, 0x1.aa13f44b5b3f5p-2, 0x1.aa5a3accb43d4p-2, 0x1.aa9f5953c1007p-2, 0x1.aae33731124e1p-2, 0x1.ab25bb84a7a46p-2, 0x1.ab66cd449778ap-2, 0x1.aba65343b6948p-2, 0x1.abe434382c895p-2, 0x1.ac2056c200399p-2, 0x1.ac5aa17189fe1p-2, 0x1.ac92facddfa3dp-2, 0x1.acc9495b23d29p-2, 0x1.acfd73a0be959p-2, 0x1.ad2f602f82fa6p-2, 0x1.ad5ef5a7b8fabp-2, 0x1.ad8c1abf090d6p-2, 0x1.adb6b6465149bp-2, 0x1.addeaf2f58acbp-2, 0x1.ae03ec926395ap-2, 0x1.ae2655b3acfd9p-2, 0x1.ae45d208b738ep-2, 0x1.ae62493d81e4ap-2, 0x1.ae7ba3399a018p-2, 0x1.ae91c8250911cp-2, 0x1.aea4a06d1d13dp-2, 0x1.aeb414c90f0edp-2, 0x1.aec00e3e851f1p-2, 0x1.aec87625ed5d9p-2, 0x1.aecd362eb6799p-2, 0x1.aece38635f6b8p-2, 0x1.aecb672d64d96p-2, 0x1.aec4ad590594fp-2, 0x1.aeb9f618e309p-2, 0x1.aeab2d097e073p-2, 0x1.ae983e348729ep-2, 0x1.ae8116141310ap-2, 0x1.ae65a195a0df6p-2, 0x1.ae45ce1d01831p-2, 0x1.ae21898714be7p-2, 0x1.adf8c22c67ddap-2, 0x1.adcb66e3a9502p-2, 0x1.ad996703fecb4p-2, 0x1.ad62b26731a44p-2, 0x1.ad27396bbd42bp-2, 0x1.ace6ecf6b911cp-2, 0x1.aca1be759df07p-2, 0x1.ac579fdfedb9ap-2, 0x1.ac0883b8b5dadp-2, 0x1.abb45d0ff3921p-2, 0x1.ab5b1f83d72f8p-2, 0x1.aafcbf41e73bep-2, 0x1.aa99310804657p-2, 0x1.aa306a254e328p-2, 0x1.a9c2607aeb8eap-2, 0x1.a94f0a7cb48e6p-2, 0x1.a8d65f31bdda4p-2, 0x1.a8585634ca977p-2, 0x1.a7d4e7b49ff81p-2, 0x1.a74c0c743ed89p-2, 0x1.a6bdbdcb01a77p-2, 0x1.a629f5a4a1acap-2, 0x1.a590ae81209b7p-2, 0x1.a4f1e3749c26cp-2, 0x1.a44d902705e07p-2, 0x1.a3a3b0d3c66ccp-2, 0x1.a2f4424947a45p-2, 0x1.a23f41e867d74p-2, 0x1.a184ada3d864dp-2, 0x1.a0c483ff66c59p-2, 0x1.9ffec40f2d65fp-2, 0x1.9f336d76b58cp-2, 0x1.9e628068010d5p-2, 0x1.9d8bfda281fcp-2, 0x1.9cafe672004c4p-2, 0x1.9bce3cad6e526p-2, 0x1.9ae702b5a8959p-2, 0x1.99fa3b7425ccbp-2, 0x1.9907ea599939cp-2, 0x1.9810135c80589p-2, 0x1.9712baf7a43e2p-2, 0x1.960fe6288ab0dp-2, 0x1.95079a6dda80bp-2, 0x1.93f9ddc5add6bp-2, 0x1.92e6b6abdc296p-2, 0x1.91ce2c1835ad7p-2, 0x1.90b0457caf624p-2, 0x1.8f8d0ac387a3fp-2, 0x1.8e64844d5d1b5p-2, 0x1.8d36baef3aaf2p-2, 0x1.8c03b7f098e71p-2, 0x1.8acb850957641p-2, 0x1.898e2c5faa78fp-2, 0x1.884bb885fff6ep-2, 0x1.87043478ddd2p-2, 0x1.85b7ab9cb6a83p-2, 0x1.846629bbb50b6p-2, 0x1.830fbb03857a6p-2, 0x1.81b46c0313989p-2, 0x1.805449a84450fp-2, 0x1.7eef613da9d1dp-2, 0x1.7d85c06831cfep-2, 0x1.7c177524ce123p-2, 0x1.7aa48dc61c1d2p-2, 0x1.792d18f202beep-2, 0x1.77b1259f51d02p-2, 0x1.7630c3135aea3p-2, 0x1.74ac00df8aff1p-2, 0x1.7322eedefc067p-2, 0x1.71959d340b10ep-2, 0x1.70041c45e7514p-2, 0x1.6e6e7cbe251bfp-2, 0x1.6cd4cf864abd5p-2, 0x1.6b3725c560d54p-2, 0x1.699590dd81608p-2, 0x1.67f0226965e18p-2, 0x1.6646ec39f9ee7p-2, 0x1.649a0053e726fp-2, 0x1.62e970ed2d094p-2, 0x1.6135506ab1be7p-2, 0x1.5f7db15dd82d8p-2, 0x1.5dc2a68218b19p-2, 0x1.5c0442ba9ce52p-2, 0x1.5a42990fde80ap-2, 0x1.587dbcad46396p-2, 0x1.56b5c0ded1a9dp-2, 0x1.54eab90ebe811p-2, 0x1.531cb8c334d0ep-2, 0x1.514bd39bf9b74p-2, 0x1.4f781d50258c6p-2, 0x1.4da1a9abdf582p-2, 0x1.4bc88c8e1edfdp-2, 0x1.49ecd9e66f252p-2, 0x1.480ea5b2bcc45p-2, 0x1.462e03fd28b94p-2, 0x1.444b08d9dc751p-2, 0x1.4265c864ed597p-2, 0x1.407e56c03e713p-2, 0x1.3e94c8116d97cp-2, 0x1.3ca9307fc73a5p-2, 0x1.3abba4323d9d1p-2, 0x1.38cc374d6ea43p-2, 0x1.36dafdf1aa0d6p-2, 0x1.34e80c3903894p-2, 0x1.32f376356a1bbp-2, 0x1.30fd4feecbcd6p-2, 0x1.2f05ad613ce0fp-2, 0x1.2d0ca27b2845ap-2, 0x1.2b12431b8a974p-2, 0x1.2916a3103498cp-2, 0x1.2719d614167a2p-2, 0x1.251befcd92284p-2, 0x1.231d03ccd9ecep-2, 0x1.211d258a53748p-2, 0x1.1f1c68650a394p-2, 0x1.1d1adfa1225dfp-2, 0x1.1b189e665d918p-2, 0x1.1915b7bea2961p-2, 0x1.17123e94926a4p-2, 0x1.150e45b22329dp-2, 0x1.1309dfbf48914p-2, 0x1.11051f409e43p-2, 0x1.0f00169626488p-2, 0x1.0cfad7fa0873dp-2, 0x1.0af5757f5c4fdp-2, 0x1.08f001110274ep-2, 0x1.06ea8c707e4e4p-2, 0x1.04e52934e1063p-2, 0x1.02dfe8c9b9b97p-2, 0x1.00dadc6e0f579p-2, 0x1.fdac2a66ca237p-3, 0x1.f9a347f990eb5p-3, 0x1.f59b32fbcee89p-3, 0x1.f1940c745bc36p-3, 0x1.ed8df507e2f15p-3, 0x1.e9890cf7472c3p-3, 0x1.e585741e131a7p-3, 0x1.e18349f1061cbp-3, 0x1.dd82ad7cb1d2bp-3, 0x1.d983bd641dc7fp-3, 0x1.d58697df89e98p-3, 0x1.d18b5abb3f0f4p-3, 0x1.cd92235669317p-3, 0x1.c99b0ea211493p-3, 0x1.c5a639201730fp-3, 0x1.c1b3bee24b2f3p-3, 0x1.bdc3bb898da9ap-3, 0x1.b9d64a4505b6ep-3, 0x1.b5eb85d1623e9p-3, 0x1.b20388782f545p-3, 0x1.ae1e6c0f3c493p-3, 0x1.aa3c49f808c6bp-3, 0x1.a65d3b1f50b31p-3, 0x1.a28157fc91ed5p-3, 0x1.9ea8b891b5382p-3, 0x1.9ad3746abc6c7p-3, 0x1.9701a29d78963p-3, 0x1.933359c95c36cp-3, 0x1.8f68b01753b06p-3, 0x1.8ba1bb39a67c5p-3, 0x1.87de906bed7e3p-3, 0x1.841f4473184adp-3, 0x1.8063eb9d718e8p-3, 0x1.7cac99c2c23bdp-3, 0x1.78f962446f73fp-3, 0x1.754a580db2d21p-3, 0x1.719f8d93d3985p-3, 0x1.6df914d674f88p-3, 0x1.6a56ff5fe53e7p-3, 0x1.66b95e457e91cp-3, 0x1.6320422813271p-3, 0x1.5f8bbb345dd6cp-3, 0x1.5bfbd9238289cp-3, 0x1.5870ab3b95aebp-3, 0x1.54ea40502b9abp-3, 0x1.5168a6c2f7beap-3, 0x1.4debec846bdcep-3, 0x1.4a741f146551bp-3, 0x1.47014b82e4e9ep-3, 0x1.43937e70c5d84p-3, 0x1.402ac4108b89ap-3, 0x1.3cc728272085p-3, 0x1.3968b60cb95bfp-3, 0x1.360f78ada6036p-3, 0x1.32bb7a8b36867p-3, 0x1.2f6cc5bc9fb96p-3, 0x1.2c2363efefc14p-3, 0x1.28df5e6b00da1p-3, 0x1.25a0be0c7081fp-3, 0x1.22678b4ca2143p-3, 0x1.1f33ce3ec86dcp-3, 0x1.1c058e91e7a6ep-3, 0x1.18dcd391eb07dp-3, 0x1.15b9a428b7795p-3, 0x1.129c06df441ccp-3, 0x1.0f8401deb74a9p-3, 0x1.0c719af18634p-3, 0x1.0964d78498eb1p-3, 0x1.065dbca873b14p-3, 0x1.035c4f125f652p-3, 0x1.0060931d9d5f5p-3, 0x1.fad519991dfe9p-4, 0x1.f4f47f93e6699p-4, 0x1.ef1f5ed42a2c9p-4, 0x1.e955bd581112dp-4, 0x1.e397a075c6ce6p-4, 0x1.dde50cddf0c4dp-4, 0x1.d83e069e2ae5ap-4, 0x1.d2a291238b8ap-4, 0x1.cd12af3d1e889p-4, 0x1.c78e631e6753p-4, 0x1.c215ae61ef63ep-4, 0x1.bca8920bc699ap-4, 0x1.b7470e8c07164p-4, 0x1.b1f123c16c794p-4, 0x1.aca6d0fbcef34p-4, 0x1.a76814feb539p-4, 0x1.a234ee03df6c2p-4, 0x1.9d0d59bdce801p-4, 0x1.97f1555a4575dp-4, 0x1.92e0dd84e3edbp-4, 0x1.8ddbee699f1eap-4, 0x1.88e283b7482c8p-4, 0x1.83f498a21879ap-4, 0x1.7f1227e62a9e3p-4, 0x1.7a3b2bca00919p-4, 0x1.756f9e21018ecp-4, 0x1.70af784def2d4p-4, 0x1.6bfab3456209fp-4, 0x1.6751479044818p-4, 0x1.62b32d4e34f5fp-4, 0x1.5e205c380764dp-4, 0x1.5998cba22076fp-4, 0x1.551c727ee3084p-4, 0x1.50ab47611679ap-4, 0x1.4c45407e42ceap-4, 0x1.47ea53b10837fp-4, 0x1.439a767b79f5ep-4, 0x1.3f559e096b27cp-4, 0x1.3b1bbf32bb9b9p-4, 0x1.36ecce7daa988p-4, 0x1.32c8c021064d6p-4, 0x1.2eaf88067e148p-4, 0x1.2aa119ccc4561p-4, 0x1.269d68c9d9ef9p-4, 0x1.22a4680d21a96p-4, 0x1.1eb60a61a1c3fp-4, 0x1.1ad242500deddp-4, 0x1.16f90220f1f1dp-4, 0x1.132a3bdec71c6p-4, 0x1.0f65e157fc42p-4, 0x1.0babe42106eb3p-4, 0x1.07fc3596674f8p-4, 0x1.0456c6de9e3cfp-4, 0x1.00bb88ec2c259p-4, 0x1.fa54d8ff02722p-5, 0x1.f346c451c8b0cp-5, 0x1.ec4cb494b959bp-5, 0x1.e5668a3310d91p-5, 0x1.de942542f1174p-5, 0x1.d7d56589068f9p-5, 0x1.d12a2a7c0c54ap-5, 0x1.ca9253486a1ddp-5, 0x1.c40dbed39954fp-5, 0x1.bd9c4bbf9aad9p-5, 0x1.b73dd86e54299p-5, 0x1.b0f24304e0561p-5, 0x1.aab9696ed2faep-5, 0x1.a49329617774ap-5, 0x1.9e7f605ee5e3dp-5, 0x1.987debb93cf3ep-5, 0x1.928ea8959327bp-5, 0x1.8cb173ef0afa6p-5, 0x1.86e62a99b7811p-5, 0x1.812ca94593581p-5, 0x1.7b84cc8157e5ep-5, 0x1.75ee70bd33e53p-5, 0x1.7069724da51e2p-5, 0x1.6af5ad6e0ddd9p-5, 0x1.6592fe437fe7bp-5, 0x1.604140df27024p-5, 0x1.5b00514100e73p-5, 0x1.55d00b5a298cdp-5, 0x1.50b04b0f725fap-5, 0x1.4ba0ec3bb7569p-5, 0x1.46a1cab23b106p-5, 0x1.41b2c240deb4p-5, 0x1.3cd3aeb27ca6p-5, 0x1.38046bd0ff559p-5, 0x1.3344d567991d4p-5, 0x1.2e94c744db0ffp-5, 0x1.29f41d3ca9ffbp-5, 0x1.2562b32a66887p-5, 0x1.20e064f2b7841p-5, 0x1.1c6d0e8595954p-5, 0x1.18088be00e381p-5, 0x1.13b2b90e31beap-5, 0x1.0f6b722caa0cep-5, 0x1.0b32936ab7b63p-5, 0x1.0707f90b99395p-5, 0x1.02eb7f686765ap-5, 0x1.fdba05e30d95ap-6, 0x1.f5b8c060b3cb3p-6, 0x1.edd2e7914d31fp-6, 0x1.e60834f4250c3p-6, 0x1.de586243424cap-6, 0x1.d6c32976122a3p-6, 0x1.cf4844c42667bp-6, 0x1.c7e76ea7cce7ap-6, 0x1.c0a061e09bfd9p-6, 0x1.b972d975ed285p-6, 0x1.b25e90b931cb8p-6, 0x1.ab63434856b14p-6, 0x1.a480ad0fed22ep-6, 0x1.9db68a4d61614p-6, 0x1.970497910c84cp-6, 0x1.906a91c0357abp-6, 0x1.89e836170c60ap-6, 0x1.837d422a8ea81p-6, 0x1.7d2973ea3d7b7p-6, 0x1.76ec89a20782ep-6, 0x1.70c641fbc8668p-6, 0x1.6ab65c010bde8p-6, 0x1.64bc971c8b19ap-6, 0x1.5ed8b31b97d71p-6, 0x1.590a702fbb93ap-6, 0x1.53518eefd974ep-6, 0x1.4dadd059b09c7p-6, 0x1.481ef5d2f0b47p-6, 0x1.42a4c12a84ab2p-6, 0x1.3d3ef499c79e2p-6, 0x1.37ed52c55b7a8p-6, 0x1.32af9ebe70e77p-6, 0x1.2d859c039c7e8p-6, 0x1.286f0e81c6c02p-6, 0x1.236bba95122f2p-6, 0x1.1e7b6509a97eap-6, 0x1.199dd31c8602bp-6, 0x1.14d2ca7c18932p-6, 0x1.101a11491e0eap-6, 0x1.0b736e1703fbap-6, 0x1.06dea7ecb499dp-6, 0x1.025b864506c56p-6, 0x1.fbd3a21e77d8ap-7, 0x1.f312a15ee8554p-7, 0x1.ea739bfe6259ap-7, 0x1.e1f6249ae613cp-7, 0x1.d999cebec684cp-7, 0x1.d15e2ee0a10ecp-7, 0x1.c942da644444bp-7, 0x1.c147679afd517p-7, 0x1.b96b6dc3f3733p-7, 0x1.b1ae850c55044p-7, 0x1.aa10468fbfa08p-7, 0x1.a2904c5856aap-7, 0x1.9b2e315eb806ap-7, 0x1.93e9918a2bf9fp-7, 0x1.8cc209b081f6p-7, 0x1.85b73796163c6p-7, 0x1.7ec8b9ed576d3p-7, 0x1.77f6305713ef1p-7, 0x1.713f3b617f6bbp-7, 0x1.6aa37c8898248p-7, 0x1.64229635526f7p-7, 0x1.5dbc2bbd1b754p-7, 0x1.576fe161d3903p-7, 0x1.513d5c50ac60bp-7, 0x1.4b2442a209d76p-7, 0x1.45243b589924ep-7, 0x1.3f3cee60d15c2p-7, 0x1.396e04901e5ebp-7, 0x1.33b727a426868p-7, 0x1.2e1802420deb7p-7, 0x1.28903ff58a82fp-7, 0x1.231f8d300382p-7, 0x1.1dc59747a9d9ep-7, 0x1.18820c7695a1ep-7, 0x1.13549bd99c26p-7, 0x1.0e3cf56faba9cp-7, 0x1.093aca1842536p-7, 0x1.044dcb92a8dbdp-7, 0x1.feeb58f989a16p-8, 0x1.f56440a3dfcf3p-8, 0x1.ec05b6d3854e3p-8, 0x1.e2cf25ee16804p-8, 0x1.d9bffa0cb68dp-8, 0x1.d0d7a0f9eac91p-8, 0x1.c8158a2f02fedp-8, 0x1.bf7926d14c832p-8, 0x1.b701e9afcb8eap-8, 0x1.aeaf474015187p-8, 0x1.a680b59c3c41cp-8, 0x1.9e75ac7fc6ee4p-8, 0x1.968da54479446p-8, 0x1.8ec81ae03c9f5p-8, 0x1.872489e1c4373p-8, 0x1.7fa2706e3aa76p-8, 0x1.78414e3d8fe52p-8, 0x1.7100a4985e811p-8, 0x1.69dff6544f924p-8, 0x1.62dec7d164e04p-8, 0x1.5bfc9ef731e19p-8, 0x1.553903316a273p-8, 0x1.4e937d6cf72c2p-8, 0x1.480b981556336p-8, 0x1.41a0df10bae55p-8, 0x1.3b52dfbd97aecp-8, 0x1.352128ef597d7p-8, 0x1.2f0b4aeb1d4c2p-8, 0x1.2910d764ac0c5p-8, 0x1.2331617ba2795p-8, 0x1.1d6c7db77fb9ap-8, 0x1.17c1c2056f0b4p-8, 0x1.1230c5b45f1edp-8, 0x1.0cb921725152ap-8, 0x1.075a6f48bf961p-8, 0x1.02144a99ef4d6p-8, 0x1.f9cca03a89d28p-9, 0x1.efa03bb8c6901p-9, 0x1.e5a2a65f9219p-9, 0x1.dbd321779c706p-9, 0x1.d230f0dac5718p-9, 0x1.c8bb5aed63e02p-9, 0x1.bf71a898a5f1cp-9, 0x1.b653254367c66p-9, 0x1.ad5f1ecc5de71p-9, 0x1.a494e583cd7cep-9, 0x1.9bf3cc248be22p-9, 0x1.937b27ceb0cc8p-9, 0x1.8b2a500012238p-9, 0x1.83009e8f78c51p-9, 0x1.7afd6fa4c1298p-9, 0x1.732021b3ef817p-9, 0x1.6b68157615f23p-9, 0x1.63d4ade37d635p-9, 0x1.5c65502db5884p-9, 0x1.551963b8b096ap-9, 0x1.4df0521531e35p-9, 0x1.46e986fac9a6bp-9, 0x1.400470412e108p-9, 0x1.39407ddab4964p-9, 0x1.329d21cdf9d7p-9, 0x1.2c19d030148b7p-9, 0x1.25b5ff1e8337fp-9, 0x1.1f7126b949b81p-9, 0x1.194ac11c9ad2ep-9, 0x1.13424a5bfeecdp-9, 0x1.0d57407b3da48p-9, 0x1.078923699b095p-9, 0x1.01d774fb51559p-9, 0x1.f88371c8d9829p-10, 0x1.ed8ee964fb1p-10, 0x1.e2d05f8edc346p-10, 0x1.d846e6a74ed4fp-10, 0x1.cdf194a14842ep-10, 0x1.c3cf82f5ee293p-10, 0x1.b9dfce9ad78e8p-10, 0x1.b02197f5fb5ccp-10, 0x1.a69402d38aedbp-10, 0x1.9d36365aa47acp-10, 0x1.94075d032a491p-10, 0x1.8b06a48a60d54p-10, 0x1.82333de95a9d4p-10, 0x1.798c5d497b474p-10, 0x1.711139fb68467p-10, 0x1.68c10e6ab6161p-10, 0x1.609b181609fcdp-10, 0x1.589e978391f13p-10, 0x1.50cad036eca86p-10, 0x1.491f08a804d7bp-10, 0x1.419a8a386c86bp-10, 0x1.3a3ca12a34effp-10, 0x1.33049c95abc72p-10, 0x1.2bf1ce5ff64d6p-10, 0x1.25038b3238016p-10, 0x1.1e392a6e8addcp-10, 0x1.17920628b49b4p-10, 0x1.110d7b1b34531p-10, 0x1.0aaae89ecfa46p-10, 0x1.0469b0a159215p-10, 0x1.fc926f39fe62p-11, 0x1.f091c91e37e34p-11, 0x1.e4d041de40061p-11, 0x1.d94cb14c2980ap-11, 0x1.ce05f40e37d45p-11, 0x1.c2faeb889fd35p-11, 0x1.b82a7dd125feap-11, 0x1.ad93959d22f19p-11, 0x1.a335222fc62d8p-11, 0x1.990e174a50d95p-11, 0x1.8f1d6d1d0144fp-11, 0x1.856220351a42bp-11, 0x1.7bdb316e4c513p-11, 0x1.7287a5e2b3c86p-11, 0x1.696686dadfce2p-11, 0x1.6076e1beb838ep-11, 0x1.57b7c806e7da3p-11, 0x1.4f284f2bdd912p-11, 0x1.46c7909a126a8p-11, 0x1.3e94a9a0265e5p-11, 0x1.368ebb626fd0fp-11, 0x1.2eb4eacb1b868p-11, 0x1.2706607d8739ep-11, 0x1.1f8248c719fbbp-11, 0x1.1827d391f2f95p-11, 0x1.10f63456aab29p-11, 0x1.09eca20e61df2p-11, 0x1.030a57279f1aep-11, 0x1.f89d22ec88948p-12, 0x1.eb71244fcc223p-12, 0x1.de8f3b6d6c8afp-12, 0x1.d1f5f7b96f959p-12, 0x1.c5a3ef0ee75bep-12, 0x1.b997bd9457b18p-12, 0x1.add005a74481cp-12, 0x1.a24b6fc04b1a3p-12, 0x1.9708aa5e34af5p-12, 0x1.8c0669ea4ce67p-12, 0x1.814368a58fe2ap-12, 0x1.76be668ddc221p-12, 0x1.6c76294934bfap-12, 0x1.62697c0e7d702p-12, 0x1.58972f8f72a6ap-12, 0x1.4efe19e2f423ap-12, 0x1.459d166e8c822p-12, 0x1.3c7305d1e0828p-12, 0x1.337ecdd0de93dp-12, 0x1.2abf594041bd6p-12, 0x1.223397ef7e0d8p-12, 0x1.19da7e9570ffdp-12, 0x1.11b306bb875efp-12, 0x1.09bc2eaaf4536p-12, 0x1.01f4f958810e8p-12, 0x1.f4b8dca487801p-13, 0x1.e5e333570f263p-13, 0x1.d76717d3d087cp-13, 0x1.c942b3eb3c6b9p-13, 0x1.bb743a06caf57p-13, 0x1.adf9e50a79822p-13, 0x1.a0d1f82fdf65bp-13, 0x1.93fabee2cefbfp-13, 0x1.87728c9f534c7p-13, 0x1.7b37bcd1636eap-13, 0x1.6f48b2af17e7cp-13, 0x1.63a3d91e55ae2p-13, 0x1.5847a28be496dp-13, 0x1.4d3288d4f3bbep-13, 0x1.42630d1efa93bp-13, 0x1.37d7b7bc50552p-13, 0x1.2d8f1810c5293p-13, 0x1.2387c46b95c84p-13, 0x1.19c059f082e3ap-13, 0x1.10377c769edadp-13, 0x1.06ebd66f172c7p-13, 0x1.fbb83185a8daep-14, 0x1.ea0df5798b7d4p-14, 0x1.d8d673d14ccd3p-14, 0x1.c80f33f8f7d3ap-14, 0x1.b7b5c97413fbbp-14, 0x1.a7c7d3ab63309p-14, 0x1.9842fdbc26e4ap-14, 0x1.8924fe3aaa4b3p-14, 0x1.7a6b970f40b9p-14, 0x1.6c14953285329p-14, 0x1.5e1dd08bfbffp-14, 0x1.50852bb6e2628p-14, 0x1.434893d7c3e63p-14, 0x1.3666006e09be2p-14, 0x1.29db732030303p-14, 0x1.1da6f793e2c1bp-14, 0x1.11c6a34268cdp-14, 0x1.06389543d5568p-14, 0x1.f5f5ec58c0cd8p-15, 0x1.e017efc142013p-15, 0x1.cad3aaca2494cp-15, 0x1.b625a57551749p-15, 0x1.a20a796965b27p-15, 0x1.8e7ed1a09891p-15, 0x1.7b7f6a1736ea7p-15, 0x1.69090f83206e8p-15, 0x1.57189f02751dcp-15, 0x1.45ab05d326b48p-15, 0x1.34bd41023ee93p-15, 0x1.244c5d31c0f89p-15, 0x1.1455763f87e39p-15, 0x1.04d5b70a9a07dp-15, 0x1.eb94b2465908p-16, 0x1.ce61492926f4ap-16, 0x1.b20bdf2af4d67p-16, 0x1.968f3c91fde1ap-16, 0x1.7be64503462f2p-16, 0x1.620bf6f063b31p-16, 0x1.48fb6b3061611p-16, 0x1.30afd4769eep-16, 0x1.19247ed1c89ddp-16, 0x1.0254cf42262f6p-16, 0x1.d878867f8e21fp-17, 0x1.adace080a092ep-17, 0x1.843e068c3d855p-17, 0x1.5c2380f548058p-17, 0x1.3555056617042p-17, 0x1.0fca7607d381ep-17, 0x1.d6f7c1907fa9ep-18, 0x1.90c2fcc1cfd63p-18, 0x1.4ce763602db46p-18, 0x1.0b560d9f7f19bp-18, 0x1.9800c95aa78efp-19, 0x1.1db0426b4044dp-19, 0x1.4f3d2784308b3p-20, 0x1.ad831b776ecd6p-22, -0x1.c1a89320da676p-22, -0x1.4457fc6a03addp-20, -0x1.084e008154b9dp-19, -0x1.6ab42bdff6fb8p-19, -0x1.c977084036caap-19, -0x1.12574aa058fd1p-18, -0x1.3e3926842335cp-18, -0x1.686c9359bd5f8p-18, -0x1.90fccc7f543f8p-18, -0x1.b7f4ce4f7f53ep-18, -0x1.dd5f575f58898p-18, -0x1.00a374e22dcfp-17, -0x1.11dae6185115cp-17, -0x1.225b059393d9p-17, -0x1.3228bcff23c4dp-17, -0x1.4148da26ee40cp-17, -0x1.4fc00f50b8d38p-17, -0x1.5d92f3ed0220dp-17, -0x1.6ac60517c10e9p-17, -0x1.775da60aff295p-17, -0x1.835e20b949588p-17, -0x1.8ecba645e91c4p-17, -0x1.99aa4f7f1a846p-17, -0x1.a3fe1d5f4feb3p-17, -0x1.adcaf988eb985p-17, -0x1.b714b6b385f3ep-17, -0x1.bfdf11300beafp-17, -0x1.c82daf54420ep-17, -0x1.d00421e988abcp-17, -0x1.d765e4a8f1afbp-17, -0x1.de565e9aac288p-17, -0x1.e4d8e2870032dp-17, -0x1.eaf0af60c8ebdp-17, -0x1.f0a0f0a8ae2f7p-17, -0x1.f5ecbedc8cfd9p-17, -0x1.fad71fd4b546ap-17, -0x1.ff63071fc9849p-17, -0x1.01c9ab3466afep-16, -0x1.03b56eef6d4a7p-16, -0x1.05762e423a1d7p-16, -0x1.070d404627311p-16, -0x1.087bf3da72176p-16, -0x1.09c38fd3ea7a7p-16, -0x1.0ae5531dca83p-16, -0x1.0be274f13da5bp-16, -0x1.0cbc24f26ad1ap-16, -0x1.0d738b60d3898p-16, -0x1.0e09c93cb5db5p-16, -0x1.0e7ff86eae165p-16, -0x1.0ed72beb66f98p-16, -0x1.0f106fde87ecfp-16, -0x1.0f2cc9c8c57acp-16, -0x1.0f2d38aa92489p-16, -0x1.0f12b523851ep-16, -0x1.0ede319886104p-16, -0x1.0e909a52672bbp-16, -0x1.0e2ad5a0131fdp-16, -0x1.0dadc3fc4f0e2p-16, -0x1.0d1a402674cc2p-16, -0x1.0c711f487d791p-16, -0x1.0bb3310faa751p-16, -0x1.0ae13fd1bb64ap-16, -0x1.09fc10a68d981p-16, -0x1.0904638792a4p-16, -0x1.07faf369523ddp-16, -0x1.06e0765c309e7p-16, -0x1.05b59da23b5e5p-16, -0x1.047b15d1461edp-16, -0x1.033186e5ade5ep-16, -0x1.01d9946281b2ap-16, -0x1.0073dd690b399p-16, -0x1.fe01f99f681dep-17, -0x1.fb03127d0985cp-17, -0x1.f7ec2a8545bcfp-17, -0x1.f4be5ed29456bp-17, -0x1.f17ac4ad8c15dp-17, -0x1.ee2269b35d326p-17, -0x1.eab65408d682bp-17, -0x1.e737828499cc2p-17, -0x1.e3a6ecd562275p-17, -0x1.e00583b3081c3p-17, -0x1.dc54310069b0cp-17, -0x1.d893d7f7c0ec5p-17, }}, 
      {{0x1.fff1ac14a9216p-1, 0x1.ffc8069906508p-1, 0x1.ff861ace084cap-1, 0x1.ff2f535f730c2p-1, 0x1.fec6bb597fe68p-1, 0x1.fe4eb6b62df55p-1, 0x1.fdc8ffa76474ep-1, 0x1.fd36c20d0f1b8p-1, 0x1.fc98be4cb820ep-1, 0x1.fbef68e56cd6cp-1, 0x1.fb3b03721bcd1p-1, 0x1.fa7baf5ad060dp-1, 0x1.f9b17ba8fcfa5p-1, 0x1.f8dc6f770acfdp-1, 0x1.f7fc9207fa231p-1, 0x1.f711f11f27cc7p-1, 0x1.f61ca5db7df34p-1, 0x1.f51cd82c26f4bp-1, 0x1.f412c0e7259a5p-1, 0x1.f2feaa9021892p-1, 0x1.f1e0f0ec02392p-1, 0x1.f0b9ff8d1c095p-1, 0x1.ef8a4f8f15d4ep-1, 0x1.ee5264bf7f0aep-1, 0x1.ed12ca704afc2p-1, 0x1.ebcc102ce1d2dp-1, 0x1.ea7ec682aced3p-1, 0x1.e92b7c043f97ep-1, 0x1.e7d2baa3cb23p-1, 0x1.e67505775f044p-1, 0x1.e512d6f04024ep-1, 0x1.e3ac9f86c893fp-1, 0x1.e242c4d60ee39p-1, 0x1.e0d5a11debb97p-1, 0x1.df65831eec49bp-1, 0x1.ddf2ae41ff303p-1, 0x1.dc7d5afd283f6p-1, 0x1.db05b766d1f8bp-1, 0x1.d98be7ea64ef1p-1, 0x1.d810081242828p-1, 0x1.d6922b5d09c91p-1, 0x1.d5125e15d868ap-1, 0x1.d390a62925816p-1, 0x1.d20d03f172a4ep-1, 0x1.d08772f8adc98p-1, 0x1.ceffeaac5c0b8p-1, 0x1.cd765f03c324p-1, 0x1.cbeac11814e37p-1, 0x1.ca5cffaf38977p-1, 0x1.c8cd07ba3d8b6p-1, 0x1.c73ac4c8b189ep-1, 0x1.c5a621722eadcp-1, 0x1.c40f07b7712f6p-1, 0x1.c275615c1fcdbp-1, 0x1.c0d9183a55162p-1, 0x1.bf3a1690b60dep-1, 0x1.bd98474bbdccfp-1, 0x1.bbf3964aaa3c6p-1, 0x1.ba4bf0a046704p-1, 0x1.b8a144cfac916p-1, 0x1.b6f38304f4ff8p-1, 0x1.b5429d49ad4adp-1, 0x1.b38e87b4e4a8dp-1, 0x1.b1d738969019bp-1, 0x1.b01ca89e0678cp-1, 0x1.ae5ed2fb5479ep-1, 0x1.ac9db57b37c2bp-1, 0x1.aad9509d96764p-1, 0x1.a911a7a65469cp-1, 0x1.a746c0a880123p-1, 0x1.a578a48bdb214p-1, 0x1.a3a75f0cd4242p-1, 0x1.a1d2feb71ab64p-1, 0x1.9ffb94db01f39p-1, 0x1.9e21357df8327p-1, 0x1.9c43f746601b2p-1, 0x1.9a63f3632891fp-1, 0x1.9881456f82e4ap-1, 0x1.969c0b5321388p-1, 0x1.94b4651f66fffp-1, 0x1.92ca74e9fceedp-1, 0x1.90de5ea533be3p-1, 0x1.8ef047f6a6c6ep-1, 0x1.8d00580c8595p-1, 0x1.8b0eb771f463p-1, 0x1.891b8fe2dcc3bp-1, 0x1.87270c1f944cp-1, 0x1.853157c0ad047p-1, 0x1.833a9f0b44852p-1, 0x1.81430ec618c25p-1, 0x1.7f4ad40fa991ep-1, 0x1.7d521c35a0beep-1, 0x1.7b59148db814ep-1, 0x1.795fea5049d07p-1, 0x1.7766ca74b5e33p-1, 0x1.756de18fb9859p-1, 0x1.73755bb3d3777p-1, 0x1.717d6453cf1c7p-1, 0x1.6f8626277a683p-1, 0x1.6d8fcb129a9d7p-1, 0x1.6b9a7c0e1c94ap-1, 0x1.69a66113839c7p-1, 0x1.67b3a10a9105cp-1, 0x1.65c261b91a3ccp-1, 0x1.63d2c7b506d64p-1, 0x1.61e4f6585f0a5p-1, 0x1.5ff90fb760457p-1, 0x1.5e0f349880498p-1, 0x1.5c27846e46755p-1, 0x1.5a421d52e9d38p-1, 0x1.585f1c0591db4p-1, 0x1.567e9be9292bdp-1, 0x1.54a0b7049ce1dp-1, 0x1.52c586047644ep-1, 0x1.50ed203dacb7ap-1, 0x1.4f179bb19631p-1, 0x1.4d450d12d96ecp-1, 0x1.4b7587cb49b11p-1, 0x1.49a91e028acb7p-1, 0x1.47dfe0a5694ecp-1, 0x1.4619df6dcc316p-1, 0x1.445728eb2245ap-1, 0x1.4297ca8b3ddb5p-1, 0x1.40dbd0a37e3a9p-1, 0x1.3f23467a3954p-1, 0x1.3d6e36504e58bp-1, 0x1.3bbca96ace86cp-1, 0x1.3a0ea81cb0855p-1, 0x1.386439d074228p-1, 0x1.36bd6511b63cep-1, 0x1.351a2f96995a7p-1, 0x1.337a9e490477cp-1, 0x1.31deb54fa55ddp-1, 0x1.30467816af752p-1, 0x1.2eb1e958535a2p-1, 0x1.2d210b24e4dabp-1, 0x1.2b93deeaab6a7p-1, 0x1.2a0a657d594ep-1, 0x1.28849f1d26a3ap-1, 0x1.27028b7d8e4cbp-1, 0x1.258429cbaba07p-1, 0x1.240978b438adap-1, 0x1.229276692d457p-1, 0x1.211f20a700c87p-1, 0x1.1faf74b99203cp-1, 0x1.1e436f80b2b15p-1, 0x1.1cdb0d74619c2p-1, 0x1.1b764aa8ae57ap-1, 0x1.1a1522d150e18p-1, 0x1.18b79144f67edp-1, 0x1.175d910048e46p-1, 0x1.16071ca8b39dfp-1, 0x1.14b42e8eeddep-1, 0x1.1364c0b14c022p-1, 0x1.1218ccbddf2c2p-1, 0x1.10d04c1466e5ap-1, 0x1.0f8b37c81a4d3p-1, 0x1.0e4988a14c1a2p-1, 0x1.0d0b371ef1606p-1, 0x1.0bd03b780bf6cp-1, 0x1.0a988d9cfedfbp-1, 0x1.09642538d26bfp-1, 0x1.0832f9b266fe2p-1, 0x1.0705022da16dep-1, 0x1.05da358c8d852p-1, 0x1.04b28a707f64dp-1, 0x1.038df73b3478p-1, 0x1.026c720ff5817p-1, 0x1.014df0d4c1038p-1, 0x1.00326933792d9p-1, 0x1.fe33a1363fb73p-2, 0x1.fc0838823501ap-2, 0x1.f9e282450a7d3p-2, 0x1.f7c2680b28fdcp-2, 0x1.f5a7d2f609426p-2, 0x1.f392abbf367f7p-2, 0x1.f182dabb7487cp-2, 0x1.ef7847de053p-2, 0x1.ed72dabc13f5ap-2, 0x1.eb727a904859p-2, 0x1.e9770e3e737cfp-2, 0x1.e7807c576d458p-2, 0x1.e58eab1d07e4fp-2, 0x1.e3a180862c4f7p-2, 0x1.e1b8e24315e92p-2, 0x1.dfd4b5c1ab3a8p-2, 0x1.ddf4e031f33b9p-2, 0x1.dc19468aa9681p-2, 0x1.da41cd8de6f06p-2, 0x1.d86e59cde41a4p-2, 0x1.d69ecfb1d080dp-2, 0x1.d4d3137ab8f6ap-2, 0x1.d30b094884465p-2, 0x1.d146951ef68c5p-2, 0x1.cf859aeac313bp-2, 0x1.cdc7fe86a5ad9p-2, 0x1.cc0da3c084d3cp-2, 0x1.ca566e5e9198bp-2, 0x1.c8a242246dbfep-2, 0x1.c6f102d84cff6p-2, 0x1.c542944815607p-2, 0x1.c396da4e76638p-2, 0x1.c1edb8d7f9fc4p-2, 0x1.c04713e8085bep-2, 0x1.bea2cf9de12cdp-2, 0x1.bd00d03985dacp-2, 0x1.bb60fa2091623p-2, 0x1.b9c331e2fe16fp-2, 0x1.b8275c3fd7a0dp-2, 0x1.b68d5e29d68ap-2, 0x1.b4f51ccbe2bbdp-2, 0x1.b35e7d8d80defp-2, 0x1.b1c966171cfd4p-2, 0x1.b035bc5645bf3p-2, 0x1.aea36681bd7p-2, 0x1.ad124b1d796acp-2, 0x1.ab8250fe75fcfp-2, 0x1.a9f35f4e77cffp-2, 0x1.a8655d8fa158p-2, 0x1.a6d8339fee501p-2, 0x1.a54bc9bc88f23p-2, 0x1.a3c00885045c6p-2, 0x1.a234d8fe6937cp-2, 0x1.a0aa2496278bbp-2, 0x1.9f1fd524e6432p-2, 0x1.9d95d4f128791p-2, 0x1.9c0c0eb1d54dfp-2, 0x1.9a826d9099e96p-2, 0x1.98f8dd2c2af16p-2, 0x1.976f499a5c38ap-2, 0x1.95e59f6a203cdp-2, 0x1.945bcba55743dp-2, 0x1.92d1bbd288ebep-2, 0x1.91475df671c17p-2, 0x1.8fbca095743d9p-2, 0x1.8e3172b4e8588p-2, 0x1.8ca5c3dc470b7p-2, 0x1.8b19841637e9dp-2, 0x1.898ca3f17bfcfp-2, 0x1.87ff1481bd59fp-2, 0x1.8670c7603d4bap-2, 0x1.84e1aeac609eep-2, 0x1.8351bd0c2742bp-2, 0x1.81c0e5ac7da5cp-2, 0x1.802f1c4175e2ep-2, 0x1.7e9c550665a94p-2, 0x1.7d0884bde78e1p-2, 0x1.7b73a0b1c34cep-2, 0x1.79dd9eb2b73e3p-2, 0x1.78467518334b1p-2, 0x1.76ae1abfed9cfp-2, 0x1.7514870d6cbfdp-2, 0x1.7379b1e970c79p-2, 0x1.71dd93c14ca06p-2, 0x1.70402586272efp-2, 0x1.6ea160ac2520fp-2, 0x1.6d013f29843a4p-2, 0x1.6b5fbb759e012p-2, 0x1.69bcd087da249p-2, 0x1.681879d68c36fp-2, 0x1.6672b355c3c63p-2, 0x1.64cb79760757ep-2, 0x1.6322c92303857p-2, 0x1.61789fc225dcdp-2, 0x1.5fccfb312be1ap-2, 0x1.5e1fd9c4a5bd9p-2, 0x1.5c713a4663641p-2, 0x1.5ac11bf3ddc08p-2, 0x1.590f7e7c8f2dfp-2, 0x1.575c62003f2e2p-2, 0x1.55a7c70d44025p-2, 0x1.53f1ae9ebccaap-2, 0x1.523a1a1ab99cfp-2, 0x1.50810b50632b3p-2, 0x1.4ec684761375cp-2, 0x1.4d0a882767e4bp-2, 0x1.4b4d19634c581p-2, 0x1.498e3b89fac84p-2, 0x1.47cdf25afa765p-2, 0x1.460c41f3148dbp-2, 0x1.44492eca429dfp-2, 0x1.4284bdb197cd7p-2, 0x1.40bef3d12a0bap-2, 0x1.3ef7d6a5eda1ap-2, 0x1.3d2f6bff96ea8p-2, 0x1.3b65b9fe6fbbap-2, 0x1.399ac7112e8ebp-2, 0x1.37ce99f2ca983p-2, 0x1.360139a84be84p-2, 0x1.3432ad7e9b1b1p-2, 0x1.3262fd084ed64p-2, 0x1.3092301b77f48p-2, 0x1.2ec04ecf7054bp-2, 0x1.2ced617aa14ep-2, 0x1.2b1970b055227p-2, 0x1.2944853e7ec4ap-2, 0x1.276ea82b8ada1p-2, 0x1.2597e2b42be69p-2, 0x1.23c03e4927592p-2, 0x1.21e7c48d2bd53p-2, 0x1.200e7f52a0e31p-2, 0x1.1e3478997e8a8p-2, 0x1.1c59ba8d25cf8p-2, 0x1.1a7e4f823d93cp-2, 0x1.18a241f48d46p-2, 0x1.16c59c84e5a43p-2, 0x1.14e869f70203p-2, 0x1.130ab52f76574p-2, 0x1.112c89319b0cp-2, 0x1.0f4df11d8447bp-2, 0x1.0d6ef82df68e7p-2, 0x1.0b8fa9b665f1ep-2, 0x1.09b01120fa17dp-2, 0x1.07d039ec93927p-2, 0x1.05f02faadca82p-2, 0x1.040ffdfe5cbeap-2, 0x1.022fb098925f2p-2, 0x1.004f53381210bp-2, 0x1.fcdde34d60633p-3, 0x1.f91d2f6f58454p-3, 0x1.f55ca28bcea39p-3, 0x1.f19c54643b2e4p-3, 0x1.eddc5cc252e33p-3, 0x1.ea1cd3749cd7cp-3, 0x1.e65dd04b1272p-3, 0x1.e29f6b13ce962p-3, 0x1.dee1bb97d574dp-3, 0x1.db24d997dc597p-3, 0x1.d768dcc932045p-3, 0x1.d3addcd2a7e5cp-3, 0x1.cff3f1499237ep-3, 0x1.cc3b31aedd34fp-3, 0x1.c883b56c29571p-3, 0x1.c4cd93d0fd951p-3, 0x1.c118e41006d16p-3, 0x1.bd65bd3c6e27fp-3, 0x1.b9b4364738e82p-3, 0x1.b60465fcbb087p-3, 0x1.b25663021f971p-3, 0x1.aeaa43d2ff3d9p-3, 0x1.ab001ebf03f66p-3, 0x1.a75809e7a3a0ap-3, 0x1.a3b21b3de603bp-3, 0x1.a00e68804535bp-3, 0x1.9c6d07389268ap-3, 0x1.98ce0cb9f6dc6p-3, 0x1.95318e1eff5f6p-3, 0x1.9197a047bc0aap-3, 0x1.8e0057d7f194ap-3, 0x1.8a6bc9355370cp-3, 0x1.86da0885dcb7ap-3, 0x1.834b29ae30191p-3, 0x1.7fbf405004ff7p-3, 0x1.7c365fc8b53f1p-3, 0x1.78b09b2fc740cp-3, 0x1.752e05559a7a4p-3, 0x1.71aeb0c2168a2p-3, 0x1.6e32afb36e8f7p-3, 0x1.6aba141cfd219p-3, 0x1.6744efa61f677p-3, 0x1.63d353a930ba4p-3, 0x1.60655132880a8p-3, 0x1.5cfaf8ff8fa89p-3, 0x1.59945b7de3356p-3, 0x1.563188ca8390cp-3, 0x1.52d290b112b21p-3, 0x1.4f7782ab23bc6p-3, 0x1.4c206ddf9a06bp-3, 0x1.48cd61220f2dp-3, 0x1.457e6af24e3eap-3, 0x1.4233997bd979bp-3, 0x1.3eecfa957e1a7p-3, 0x1.3baa9bc0f55b8p-3, 0x1.386c8a2a91c71p-3, 0x1.3532d2a8f9b9cp-3, 0x1.31fd81bcf1ba6p-3, 0x1.2ecca3912ddbdp-3, 0x1.2ba043fa3130fp-3, 0x1.28786e763991bp-3, 0x1.25552e2d3972cp-3, 0x1.22368df0d7e5ap-3, 0x1.1f1c983c7ce92p-3, 0x1.1c0757357113bp-3, 0x1.18f6d4aaf8d85p-3, 0x1.15eb1a1685c84p-3, 0x1.12e4309bedfd9p-3, 0x1.0fe22109aef4cp-3, 0x1.0ce4f3d933eb4p-3, 0x1.09ecb12f3078bp-3, 0x1.06f960dbfc0ap-3, 0x1.040b0a5bf2a2dp-3, 0x1.0121b4d7ec7e5p-3, 0x1.fc7ace4b5d4cp-4, 0x1.f6bc4f90ddc58p-4, 0x1.f107f9e2a8527p-4, 0x1.eb5dd9001f4dfp-4, 0x1.e5bdf806cdb7dp-4, 0x1.e0286173b02d8p-4, 0x1.da9d1f247c218p-4, 0x1.d51c3a58e38d1p-4, 0x1.cfa5bbb414731p-4, 0x1.ca39ab3e039b8p-4, 0x1.c4d8106501327p-4, 0x1.bf80f1ff2bf99p-4, 0x1.ba34564c096c6p-4, 0x1.b4f242f6189bdp-4, 0x1.afbabd14731e5p-4, 0x1.aa8dc92c831aep-4, 0x1.a56b6b33ab423p-4, 0x1.a053a691157bp-4, 0x1.9b467e1f5e5ffp-4, 0x1.9643f42e7a165p-4, 0x1.914c0a857cd2fp-4, 0x1.8c5ec26474419p-4, 0x1.877c1c864d97bp-4, 0x1.82a41922b9e4ap-4, 0x1.7dd6b7f01910bp-4, 0x1.7913f825688ebp-4, 0x1.745bd87c42f09p-4, 0x1.6fae5732ce6b6p-4, 0x1.6b0b720dc0d23p-4, 0x1.6673265a60ecep-4, 0x1.61e570f08b54p-4, 0x1.5d624e34b53p-4, 0x1.58e9ba1a00904p-4, 0x1.547bb0243cb3fp-4, 0x1.50182b69fe3f7p-4, 0x1.4bbf2696a7f76p-4, 0x1.47709bec807f6p-4, 0x1.432c8546bf7adp-4, 0x1.3ef2dc1ba50e3p-4, 0x1.3ac3997e861e9p-4, 0x1.369eb621e784bp-4, 0x1.32842a5989114p-4, 0x1.2e73ee1c79029p-4, 0x1.2a6df90729f09p-4, 0x1.2672425d79113p-4, 0x1.2280c10ccc3c2p-4, 0x1.1e996bae0afd3p-4, 0x1.1abc3887be879p-4, 0x1.16e91d900e1ffp-4, 0x1.1320106eca205p-4, 0x1.0f61067f70d42p-4, 0x1.0babf4d32fa1fp-4, 0x1.0800d032e9a98p-4, 0x1.045f8d2127569p-4, 0x1.00c81fdc178a8p-4, 0x1.fa74f8bf18c0cp-5, 0x1.f36d2ccdb8a5ap-5, 0x1.ec78c2ddbda53p-5, 0x1.e597a16fa6cf3p-5, 0x1.dec9ae8e8d0fep-5, 0x1.d80ecfd3ef54ep-5, 0x1.d166ea6b6c664p-5, 0x1.cad1e3166fbb5p-5, 0x1.c44f9e2febad8p-5, 0x1.bddfffafebe9ep-5, 0x1.b782eb2f3a87ap-5, 0x1.b13843eae2fe6p-5, 0x1.aaffecc7c05e2p-5, 0x1.a4d9c855f17e8p-5, 0x1.9ec5b8d44c1f3p-5, 0x1.98c3a033c0336p-5, 0x1.92d3601ab69aap-5, 0x1.8cf4d9e859544p-5, 0x1.8727eeb7e5e7ep-5, 0x1.816c7f63d8bf2p-5, 0x1.7bc26c8927469p-5, 0x1.7629968a5c812p-5, 0x1.70a1dd92b9d39p-5, 0x1.6b2b2199388p-5, 0x1.65c5426393ed4p-5, 0x1.60701f893a3edp-5, 0x1.5b2b98763c92ap-5, 0x1.55f78c6e2373ap-5, 0x1.50d3da8ece8dfp-5, 0x1.4bc061d328688p-5, 0x1.46bd0115f5906p-5, 0x1.41c99714798b4p-5, 0x1.3ce6027113b2p-5, 0x1.381221b5e4238p-5, 0x1.334dd35748f4fp-5, 0x1.2e98f5b668c0fp-5, 0x1.29f36723a16adp-5, 0x1.255d05e0e8755p-5, 0x1.20d5b02430fap-5, 0x1.1c5d4419bded1p-5, 0x1.17f39fe651319p-5, 0x1.1398a1a97d831p-5, 0x1.0f4c277fc06d8p-5, 0x1.0b0e0f84a7e1fp-5, 0x1.06de37d4ea121p-5, 0x1.02bc7e9072096p-5, 0x1.fd5183b8a041fp-6, 0x1.f545bfc97490ep-6, 0x1.ed556dbdd23e5p-6, 0x1.e5804a15ead0bp-6, 0x1.ddc6116b655bcp-6, 0x1.d6268074c443p-6, 0x1.cea1540906179p-6, 0x1.c7364922cc04fp-6, 0x1.bfe51ce3e376ep-6, 0x1.b8ad8c983656dp-6, 0x1.b18f55b92a78bp-6, 0x1.aa8a35f06d417p-6, 0x1.a39deb1b0b4dp-6, 0x1.9cca334c52992p-6, 0x1.960eccd0809e1p-6, 0x1.8f6b762f8df4ep-6, 0x1.88dfee2fce5cdp-6, 0x1.826bf3d871169p-6, 0x1.7c0f467407946p-6, 0x1.75c9a592e9af7p-6, 0x1.6f9ad10d81f05p-6, 0x1.69828906a02c6p-6, 0x1.63808ded8c1abp-6, 0x1.5d94a0803359ep-6, 0x1.57be81cd38803p-6, 0x1.51fdf335cb47fp-6, 0x1.4c52b66fb79f9p-6, 0x1.46bc8d871c0f3p-6, 0x1.413b3ae031b5ep-6, 0x1.3bce81390904cp-6, 0x1.367623ab1c415p-6, 0x1.3131e5ace9113p-6, 0x1.2c018b1374e9ap-6, 0x1.26e4d813aa172p-6, 0x1.21db9143d8a7dp-6, 0x1.1ce57b9ce93a6p-6, 0x1.18025c7bb02bcp-6, 0x1.1331f9a2146fp-6, 0x1.0e74193845e1p-6, 0x1.09c881cdd1212p-6, 0x1.052efa5a90ee2p-6, 0x1.00a74a3fc637fp-6, 0x1.f8627291cb32ap-7, 0x1.ef991f5949b6bp-7, 0x1.e6f22c1b28b92p-7, 0x1.de6d2af646dcbp-7, 0x1.d609aee42e825p-7, 0x1.cdc74bbad5551p-7, 0x1.c5a5962db2f2bp-7, 0x1.bda423cefc2c6p-7, 0x1.b5c28b108e0edp-7, 0x1.ae00634524e9fp-7, 0x1.a65d44a10803bp-7, 0x1.9ed8c83b0854cp-7, 0x1.9772880d2f0b8p-7, 0x1.902a1ef53c36bp-7, 0x1.88ff28b57f814p-7, 0x1.81f141f506a3fp-7, 0x1.7b0008404d518p-7, 0x1.742b1a0961cdfp-7, 0x1.6d7216a86500dp-7, 0x1.66d49e5b5662ap-7, 0x1.60525246c821ap-7, 0x1.59ead47555359p-7, 0x1.539dc7d819004p-7, 0x1.4d6ad0464f99ep-7, 0x1.4751927d78b83p-7, 0x1.4151b420ef415p-7, 0x1.3b6adbb9b6a1p-7, 0x1.359cb0b647b28p-7, 0x1.2fe6db6a198c1p-7, 0x1.2a49050d4a3dp-7, 0x1.24c2d7bc181e4p-7, 0x1.1f53fe766a55ep-7, 0x1.19fc251f3a1c5p-7, 0x1.14baf87bf26f7p-7, 0x1.0f902633d34a6p-7, 0x1.0a7b5ccf30467p-7, 0x1.057c4bb6bae94p-7, 0x1.0092a332b236bp-7, 0x1.f77c28d418697p-8, 0x1.edfca2c3435ffp-8, 0x1.e4a619f67ecdcp-8, 0x1.db77f5e94f739p-8, 0x1.d2719fcd67323p-8, 0x1.c99282885cb35p-8, 0x1.c0da0ab1c4bddp-8, 0x1.b847a690f7a8ep-8, 0x1.afdac61aaff77p-8, 0x1.a792daef2c1e8p-8, 0x1.9f6f585750268p-8, 0x1.976fb342b9a6dp-8, 0x1.8f936244ea218p-8, 0x1.87d9dd9303744p-8, 0x1.80429f015ae9cp-8, 0x1.78cd22006e622p-8, 0x1.7178e39aba61ap-8, 0x1.6a456271cc372p-8, 0x1.63321ebb9768ap-8, 0x1.5c3e9a3fb64b2p-8, 0x1.556a5854a73a5p-8, 0x1.4eb4dddcf3dafp-8, 0x1.481db1443b185p-8, 0x1.41a45a7c96e38p-8, 0x1.3b4862fb482d4p-8, 0x1.350955b620066p-8, 0x1.2ee6bf20627c6p-8, 0x1.28e02d27c23bbp-8, 0x1.22f52f315c79ap-8, 0x1.1d255616e397dp-8, 0x1.1770342314cbp-8, 0x1.11d55d0f46aaep-8, 0x1.0c5465ffbde9fp-8, 0x1.06ece580f2266p-8, 0x1.019e73845218ep-8, 0x1.f8d152ba46211p-9, 0x1.ee96437a73bfp-9, 0x1.e48af1641c42fp-9, 0x1.daae9742e9b12p-9, 0x1.d100728cbfa58p-9, 0x1.c77fc35bafc7ap-9, 0x1.be2bcc675e1ffp-9, 0x1.b503d2fefa0c8p-9, 0x1.ac071f0235604p-9, 0x1.a334fadbe249p-9, 0x1.9a8cb37a514fdp-9, 0x1.920d984a29caep-9, 0x1.89b6fb2f5d0c2p-9, 0x1.8188307e983a2p-9, 0x1.79808ef7c3cf9p-9, 0x1.719f6fbe9c27bp-9, 0x1.69e42e551d49dp-9, 0x1.624e2894c187cp-9, 0x1.5adcbea86a1e7p-9, 0x1.538f5305eb843p-9, 0x1.4c654a67ce117p-9, 0x1.455e0bc71d4c5p-9, 0x1.3e79005501297p-9, 0x1.37b5937490287p-9, 0x1.311332b48f6c2p-9, 0x1.2a914dc95f4cbp-9, 0x1.242f56868955dp-9, 0x1.1decc0d93ab58p-9, 0x1.17c902c152706p-9, 0x1.11c3944bd1ae4p-9, 0x1.0bdbef8cb5282p-9, 0x1.06119098de59p-9, 0x1.0063f58006411p-9, 0x1.f5a53c8e01523p-10, 0x1.eaba19c2f094ap-10, 0x1.e0058a58900c9p-10, 0x1.d58699cf2362cp-10, 0x1.cb3c5761704e7p-10, 0x1.c125d5f9cc381p-10, 0x1.b7422c25a9ed2p-10, 0x1.ad90740b50259p-10, 0x1.a40fcb5dd8eedp-10, 0x1.9abf5351563eep-10, 0x1.919e30909dddfp-10, 0x1.88ab8b316a983p-10, 0x1.7fe68eaa1ce59p-10, 0x1.774e69c5988dcp-10, 0x1.6ee24e9986cap-10, 0x1.66a1727a903cap-10, 0x1.5e8b0df217f6ap-10, 0x1.569e5cb3ddb94p-10, 0x1.4eda9d92cdab6p-10, 0x1.473f1276b6df1p-10, 0x1.3fcb005297953p-10, 0x1.387daf1910a06p-10, 0x1.315669b327e13p-10, 0x1.2a547df5ef07fp-10, 0x1.23773c982c97p-10, 0x1.1cbdf928a0452p-10, 0x1.16280a04950f8p-10, 0x1.0fb4c84ceb7b8p-10, 0x1.09638fddd8468p-10, 0x1.0333bf443ce7ap-10, 0x1.fa496f699f6dfp-11, 0x1.ee6bba04312efp-11, 0x1.e2cd2b27cb5bcp-11, 0x1.d76c94ba9c044p-11, 0x1.cc48cda822172p-11, 0x1.c160b1ce6e589p-11, 0x1.b6b321ecc908ap-11, 0x1.ac3f0391c9391p-11, 0x1.a20341093a5f9p-11, 0x1.97fec94be6447p-11, 0x1.8e308fed38d4p-11, 0x1.84978d0af3894p-11, 0x1.7b32bd3c81973p-11, 0x1.7201218158348p-11, 0x1.6901bf31efa1fp-11, 0x1.60339fedca834p-11, 0x1.5795d18d824acp-11, 0x1.4f27661083965p-11, 0x1.46e7738f3d0eep-11, 0x1.3ed5142a54b8bp-11, 0x1.36ef65fbcaa27p-11, 0x1.2f358b08191ap-11, 0x1.27a6a92e2c17fp-11, 0x1.2041ea194d3ddp-11, 0x1.19067b32a024bp-11, 0x1.11f38d91cd799p-11, 0x1.0b0855ef6c2f8p-11, 0x1.04440c966d23fp-11, 0x1.fb4bdaacb05bp-12, 0x1.ee5a6eeab844bp-12, 0x1.e1b25b4573adcp-12, 0x1.d5522bd1540fep-12, 0x1.c9387340f4febp-12, 0x1.bd63cac751c2cp-12, 0x1.b1d2d200b67bp-12, 0x1.a6842ed6f8075p-12, 0x1.9b768d69bf6ecp-12, 0x1.90a89ff3e6f91p-12, 0x1.86191eb4249bcp-12, 0x1.7bc6c7d3fc665p-12, 0x1.71b05f5033fdap-12, 0x1.67d4aedfe2c1dp-12, 0x1.5e3285deb768cp-12, 0x1.54c8b9345359dp-12, 0x1.4b96233e6c40cp-12, 0x1.4299a3b9a5c4ep-12, 0x1.39d21fabf876cp-12, 0x1.313e814dcb7aap-12, 0x1.28ddb7f5a2ep-12, 0x1.20aeb80158d22p-12, 0x1.18b07ac2da271p-12, 0x1.10e1fe68b8074p-12, 0x1.094245ecb45bdp-12, 0x1.01d058fdbbbfbp-12, 0x1.f51687d7d7532p-13, 0x1.e6e42f2bda1c8p-13, 0x1.d907d2a941d65p-13, 0x1.cb7fa5d1953f1p-13, 0x1.be49e4cf1575bp-13, 0x1.b164d450267c7p-13, 0x1.a4cec1646e632p-13, 0x1.988601547a04ep-13, 0x1.8c88f183b8172p-13, 0x1.80d5f748f2796p-13, 0x1.756b7fcd88e71p-13, 0x1.6a47ffeb25a67p-13, 0x1.5f69f40aed6b8p-13, 0x1.54cfe003c5f13p-13, 0x1.4a784ef8e020cp-13, 0x1.4061d33a6df7bp-13, 0x1.368b0628ef5bbp-13, 0x1.2cf2880f6cdfcp-13, 0x1.2397000a8bf8p-13, 0x1.1a771be8cb468p-13, 0x1.1191900b47d0dp-13, 0x1.08e5174947fa7p-13, 0x1.007072d4afc83p-13, 0x1.f064d4368bf9bp-14, 0x1.e05395589a317p-14, 0x1.d0aad038f3069p-14, 0x1.c16837d4b7cc5p-14, 0x1.b2898ac7e255ap-14, 0x1.a40c931a29199p-14, 0x1.95ef2606197a4p-14, 0x1.882f23ce2d261p-14, 0x1.7aca77826b53fp-14, 0x1.6dbf16d443404p-14, 0x1.610b01e1f011ep-14, 0x1.54ac430a82b7ap-14, 0x1.48a0eebc076d3p-14, 0x1.3ce7234656533p-14, 0x1.317d08ac1be7bp-14, 0x1.2660d0751a391p-14, 0x1.1b90b5872ee78p-14, 0x1.110afbf3e352ep-14, 0x1.06cdf0d14b84bp-14, 0x1.f9afd41eb7c17p-15, 0x1.e64e8c9c86a51p-15, 0x1.d374d96cd88f4p-15, 0x1.c11f999a434e6p-15, 0x1.af4bbca3fb93dp-15, 0x1.9df6422757d08p-15, 0x1.8d1c399b19de4p-15, 0x1.7cbac1fa6ab92p-15, 0x1.6ccf0985f763ep-15, 0x1.5d564d7287bp-15, 0x1.4e4dd9a601418p-15, 0x1.3fb3086fb567fp-15, 0x1.3183424341f01p-15, 0x1.23bbfd759ef5ap-15, 0x1.165abdf7cfc9ep-15, 0x1.095d151747bc2p-15, 0x1.f98142776f31fp-16, 0x1.e1061b547ed7ap-16, 0x1.c94424871682fp-16, 0x1.b236e69162982p-16, 0x1.9bda0239a267cp-16, 0x1.8629301802ab3p-16, 0x1.7120401de4bbfp-16, 0x1.5cbb192839fc1p-16, 0x1.48f5b88950b04p-16, 0x1.35cc3198d7e33p-16, 0x1.233aad53c4c5bp-16, 0x1.113d69df298d1p-16, 0x1.ffa1745720d4cp-17, 0x1.dde20b148e737p-17, 0x1.bd358e8cd772dp-17, 0x1.9d951c8454437p-17, 0x1.7ef9f9305dac3p-17, 0x1.615d8e63d55cbp-17, 0x1.44b96af05cf0ap-17, 0x1.290741c4a6289p-17, 0x1.0e40e96213418p-17, 0x1.e8c0b6075b4e2p-18, 0x1.b6bf63fbffd58p-18, 0x1.86725640dab38p-18, 0x1.57ce47d1e5f5bp-18, 0x1.2ac833f863276p-18, 0x1.feaaa9c0370d4p-19, 0x1.aad644edb963dp-19, 0x1.59fea1f86c88p-19, 0x1.0c0fa00ab6872p-19, 0x1.81eb24685ad37p-20, 0x1.e274f5987eaacp-21, 0x1.979eaf4b9ca6ap-22, -0x1.01902cb30a982p-23, -0x1.426d00a7cc707p-21, -0x1.1d48da287fc33p-20, -0x1.948b5ae6ff968p-20, -0x1.038fc0edd33b9p-19, -0x1.3a93046882f15p-19, -0x1.6f5f746c552cdp-19, -0x1.a204aef1ea79bp-19, -0x1.d291f552201dcp-19, -0x1.008b172cb8f0ep-18, -0x1.16cff3fd25c17p-18, -0x1.2c1eac8bb5ad9p-18, -0x1.407e31ce705a5p-18, -0x1.53f54afd8b6c6p-18, -0x1.668a96741aa6ep-18, -0x1.78448aa5c01c2p-18, -0x1.892976dc4d613p-18, -0x1.993f840e3e937p-18, -0x1.a88cb5aeb6478p-18, -0x1.b716ea7b2f351p-18, -0x1.c4e3dd38a98c5p-18, -0x1.d1f9257f9f50bp-18, -0x1.de5c38733ef5ep-18, -0x1.ea12698af982ap-18, -0x1.f520eb2b2e073p-18, -0x1.ff8ccf7cb3dcap-18, -0x1.04ad84825d989p-17, -0x1.094835b3ef7b1p-17, -0x1.0d98d5fa947c1p-17, -0x1.11a1b133bcc0dp-17, -0x1.156504c051b53p-17, -0x1.18e4ffd0d5bbcp-17, -0x1.1c23c3bd5a9bdp-17, -0x1.1f23644659d8bp-17, -0x1.21e5e7e6fc235p-17, -0x1.246d4822d253bp-17, -0x1.26bb71c6ae09fp-17, -0x1.28d24531711b5p-17, -0x1.2ab3969da9c8fp-17, -0x1.2c612e64dfdd3p-17, -0x1.2ddcc93d2f0d6p-17, -0x1.2f281880f2b6p-17, -0x1.3044c26f77dccp-17, -0x1.3134626556f94p-17, -0x1.31f889239378bp-17, -0x1.3292bd02ac243p-17, -0x1.33047a356314bp-17, -0x1.334f3300c1bc8p-17, -0x1.33744ff311e58p-17, -0x1.3375301c662bcp-17, -0x1.335329492a94dp-17, -0x1.330f8833bf45ap-17, -0x1.32ab90b6cf251p-17, -0x1.32287e09bfec5p-17, -0x1.318782e85a335p-17, -0x1.30c9c9ccd36ep-17, -0x1.2ff0751a76aebp-17, -0x1.2efc9f50d70fdp-17, -0x1.2def5b37fcb56p-17, -0x1.2cc9b40fc5644p-17, -0x1.2b8cadb9f8d4cp-17, -0x1.2a3944e6d5f8dp-17, -0x1.28d06f41bcf0fp-17, -0x1.27531b990a66ep-17, -0x1.25c232085ab69p-17, -0x1.241e941c90264p-17, -0x1.22691d04a2fbep-17, -0x1.20a2a1ab98cd3p-17, -0x1.1ecbf0e7b5882p-17, -0x1.1ce5d39d15eb9p-17, -0x1.1af10cdde6aa3p-17, -0x1.18ee5a12d4c93p-17, -0x1.16de731bd3b99p-17, -0x1.14c20a70f831cp-17, -0x1.1299cd44ab9b9p-17, -0x1.106663a46b679p-17, -0x1.0e2870964c6efp-17, -0x1.0be0923b4ff5dp-17, -0x1.098f61ec1d007p-17, -0x1.07357455c4e68p-17, -0x1.04d3599a1e581p-17, -0x1.02699d68f2576p-17, -0x1.fff18e3aa5924p-18, -0x1.fb02b3b1f217ap-18, -0x1.f607a93b75237p-18, -0x1.f10164d475256p-18, -0x1.ebf0d4a490b97p-18, -0x1.e6d6df2b95172p-18, -0x1.e1b46375a1ba9p-18, -0x1.dc8a394fd9dccp-18, -0x1.d75931700706ap-18, -0x1.d22215a44429dp-18, -0x1.cce5a90077d48p-18, -0x1.c7a4a80db4a35p-18, -0x1.c25fc8eb0fc87p-18, -0x1.bd17bb84a770ap-18, -0x1.b7cd29b0bd84ap-18, -0x1.b280b75f48879p-18, -0x1.ad3302bef9c1cp-18, -0x1.a7e4a46362c96p-18, -0x1.a2962f67ea7c6p-18, -0x1.9d4831999f083p-18, -0x1.97fb33949a743p-18, -0x1.92afb8eca97a8p-18, -0x1.8d66404bffdc8p-18, -0x1.881f439751571p-18, -0x1.82db380ba4dbcp-18, -0x1.7d9a8e5ddde5ep-18, -0x1.785db2df2a75cp-18, -0x1.73250d94b5bd4p-18, -0x1.6df1025a62e0bp-18, -0x1.68c1f0fa93d07p-18, -0x1.63983550fbf5dp-18, -0x1.5e742761b20aep-18, -0x1.59561b774daffp-18, -0x1.543e62399bdfep-18, -0x1.4f2d48cc10667p-18, -0x1.4a2318e211cdbp-18, -0x1.452018dd5fe07p-18, -0x1.40248bdff7118p-18, -0x1.3b30b1e818d81p-18, -0x1.3644c7e62c4a3p-18, -0x1.316107d1313ddp-18, -0x1.2c85a8c0259bdp-18, -0x1.27b2defb7eff7p-18, -0x1.22e8dc151144ap-18, -0x1.1e27cefc713aap-18, -0x1.196fe40f709f4p-18, -0x1.14c1453087ec5p-18, -0x1.101c19d9af07bp-18, -0x1.0b80872cab209p-18, -0x1.06eeb008527e1p-18, -0x1.0266b516cf83p-18, -0x1.fbd169c282cbbp-19, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
    }}, 
    {
      33, 0x1.20a3d70a3d70ap+3, 0x1.dd048a89bfaa2p+0, 0x1.1374026f7b758p+3, -0x1.69b66c19df7a1p-10, 
      {{
        {0x1.da3d70a3d70a4p+2, 0x1.dcccccccccccdp+2, 0x1.0f47c65577317p-8, -0x1.50feb07e1c9d6p-7, 0x1.39f8449a2e84p-7, -0x1.019c82d8e5367p-8}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.ea9e34b49d1aap-9, -0x1.387edd4a28308p-7, 0x1.2a835b78b01f7p-7, -0x1.f31209408b8d6p-9}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.af0aa804639c7p-9, -0x1.1b947b8516d6cp-7, 0x1.17cc47ecaae3dp-7, -0x1.e2e0f98f5abb3p-9}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.791030c4eb869p-9, -0x1.00816face4292p-7, 0x1.05b0a4f74ab01p-7, -0x1.d2bd6745be55bp-9}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.485218122664ap-9, -0x1.ce6c69f1dd9e3p-8, 0x1.e85fe22fc0b37p-8, -0x1.c29637a5d92fbp-9}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.1c76c0d724347p-9, -0x1.9f4696bc1cc27p-8, 0x1.c6949e035068fp-8, -0x1.b26ffff7744c4p-9}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.ea4f4f9c26d38p-10, -0x1.73726317e8acep-8, 0x1.a5ff6ad0c149cp-8, -0x1.a24985d95e6fap-9}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.a422c70081d16p-10, -0x1.4ad0cd12e3761p-8, 0x1.86a04d93a7018p-8, -0x1.92231d8884675p-9}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.65c7488c30132p-10, -0x1.2542d28bfec72p-8, 0x1.687744f636ad1p-8, -0x1.81fcb07283956p-9}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.2ea2688e452fbp-10, -0x1.02a9716eaeec9p-8, 0x1.4b84515406686p-8, -0x1.71d644a3be6bdp-9}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.fc3fdde823474p-11, -0x1.c5cb4f461c125p-9, 0x1.2fc772948b531p-8, -0x1.61afd87d4b63ep-9}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.a763ae9245a98p-11, -0x1.8bb0e6243873dp-9, 0x1.1540a8be58deep-8, -0x1.51896c6e501f5p-9}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.5da0a16e86181p-11, -0x1.56c5a34937ebap-9, 0x1.f7dfe79f58ec7p-9, -0x1.4163005915e81p-9}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.1df37c0cf2f3ep-11, -0x1.26cb8286c0783p-9, 0x1.c7aaa791fc08fp-9, -0x1.313c94457ab65p-9}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.cecad67428da5p-12, -0x1.f708ff5cde75cp-10, 0x1.99e191545cd51p-9, -0x1.211628317cfb1p-9}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.721805fdd8f7ap-12, -0x1.a9652d23c75d2p-10, 0x1.6e84a4e68a15p-9, -0x1.10efbc1d8eb01p-9}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.24127d41edd5p-12, -0x1.642f86057969cp-10, 0x1.4593e248817bap-9, -0x1.00c95009b3d45p-9}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.c62e0288a528bp-13, -0x1.26ec01a532d9dp-10, 0x1.1f0f497a401b3p-9, -0x1.e145c7eae6382p-10}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.5b364b03cbfacp-13, -0x1.e23d2f4c616d2p-11, 0x1.f5edb4f7aa798p-10, -0x1.c0f8efc5a4674p-10}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.045a97e0f4d59p-13, -0x1.84967f57697c3p-11, 0x1.b2952a9a05055p-10, -0x1.a0ac1793e2ebap-10}, 
        {0x1.0cccccccccccdp+3, 0x1.0e66666666666p+3, 0x1.7dd293fb5747p-14, -0x1.33ebe2b1ddccep-11, 0x1.7414f3dd6fc77p-10, -0x1.805f3f91263ep-10}, 
        {0x1.0e66666666666p+3, 0x1.1p+3, 0x1.10c4be52c70e8p-14, -0x1.de8a914545cedp-12, 0x1.3a6d10badd3f6p-10, -0x1.601266dec341fp-10}, 
        {0x1.1p+3, 0x1.119999999999ap+3, 0x1.79ddc895db2ap-15, -0x1.6b5540dd5eae2p-12, 0x1.059d814ca65b2p-10, -0x1.3fc590bbd3a2bp-10}, 
        {0x1.119999999999ap+3, 0x1.1333333333333p+3, 0x1.f85dd52937b81p-16, -0x1.0c47b2c4583ddp-12, 0x1.ab4c8a60f39d8p-11, -0x1.1f78b10ad557ep-10}, 
        {0x1.1333333333333p+3, 0x1.14ccccccccccdp+3, 0x1.41a06a6ce6401p-16, -0x1.7ee38ab9994a4p-13, 0x1.550ebbaa806b9p-11, -0x1.fe57ea05576bdp-11}, 
        {0x1.14ccccccccccdp+3, 0x1.1666666666666p+3, 0x1.836dbb5e82601p-17, -0x1.05c6afa3a36bp-13, 0x1.08818bc34ce7p-11, -0x1.bdbd67ca5fa7bp-11}, 
        {0x1.1666666666666p+3, 0x1.18p+3, 0x1.b1868ce006001p-18, -0x1.52b11989194efp-14, 0x1.8b4a453049ebap-12, -0x1.7d26c6e842aa8p-11}, 
        {0x1.18p+3, 0x1.199999999999ap+3, 0x1.b770b6f0cdfffp-19, -0x1.96e3c1ab47258p-15, 0x1.18f1d65102b6cp-12, -0x1.3c81aacd4b535p-11}, 
        {0x1.199999999999ap+3, 0x1.1b33333333333p+3, 0x1.8367c07b648p-20, -0x1.b83abbd302694p-16, 0x1.73fc4626d8386p-13, -0x1.f825347bebc4ap-12}, 
        {0x1.1b33333333333p+3, 0x1.1cccccccccccdp+3, 0x1.143fb54782p-21, -0x1.9646eb0aba869p-17, 0x1.b97bd33689688p-14, -0x1.75b3ad6c3dba9p-12}, 
        {0x1.1cccccccccccdp+3, 0x1.1e66666666666p+3, 0x1.12572525ccp-23, -0x1.1d8e99f22772cp-18, 0x1.b2866feb2f1d3p-15, -0x1.f2474e225e08ap-13}, 
        {0x1.1e66666666666p+3, 0x1.2p+3, 0x1.fc3fdde73fffep-27, -0x1.cc30adc91499cp-21, 0x1.0f1db546ba3ep-16, -0x1.9a840f3536564p-14}, 
        {0x1.2p+3, 0x1.20a3d70a3d70ap+3, 0x1.b1868d3ffffffp-34, 0x1.a926b8ee33b5fp-26, 0x1.8ce78f399ap-20, -0x1.777ff11b6d025p-11}, 
      }}, 
      0x1.71469378c78cdp-5, -0x1.aad4a2be8ce75p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{-0x1.a9c991444ecaep-2, -0x1.9abbe4f4870cap-2, -0x1.8d7b939e928d7p-2, -0x1.899f59993ffacp-2, -0x1.92de6f3d6c819p-2, -0x1.a99180e13cd0dp-2, -0x1.cbc1967bab94cp-2, -0x1.f62f7fe5b2f48p-2, -0x1.129156d63014ap-1, -0x1.2a7c1acebe67fp-1, -0x1.413d2d394c8dfp-1, -0x1.5586bde22b5c8p-1, -0x1.665f8bfa6b82p-1, -0x1.7320b62be001dp-1, -0x1.7b6dd9a080635p-1, -0x1.7f2a52dcd7aeap-1, -0x1.7e6d82c7bd695p-1, -0x1.79773cf1eeb1ap-1, -0x1.70a50fee20055p-1, -0x1.6468bdcf07949p-1, -0x1.55400fa3bdb3ep-1, -0x1.43ae0cc339687p-1, -0x1.303588408d701p-1, -0x1.1b54e8603b9dbp-1, -0x1.0583050d6f428p-1, -0x1.de59f266a2977p-2, -0x1.b16981be9db69p-2, -0x1.84e102ed2aa52p-2, -0x1.5954b09c6e7d3p-2, -0x1.2f4125fcad752p-2, -0x1.070c6b2b895fep-2, -0x1.c20edc04716abp-3, -0x1.7adf80385e932p-3, -0x1.38e2fd2795ebap-3, -0x1.f8a51d99bcc96p-4, -0x1.8a989811e4ab4p-4, -0x1.27adc62f8ee5p-4, -0x1.9f9474db95abdp-5, -0x1.05648374ca73fp-5, -0x1.003b6ff234852p-6, -0x1.dccb244e1fc2dp-10, 0x1.3cf540d4f83fdp-7, 0x1.36c4b82fc09fep-6, 0x1.ad5f524d8448ap-6, 0x1.02573fb1afd4dp-5, 0x1.1f90b4cd12abp-5, 0x1.2f9467990f459p-5, 0x1.33978ed2d09cp-5, 0x1.2cc8f2e33a6fep-5, 0x1.1c4e55ae56c26p-5, 0x1.03426aff5e118p-5, 0x1.c566a609f6767p-6, 0x1.7742f239932c3p-6, 0x1.1dfd8cb873514p-6, 0x1.76b8dff30029ep-7, 0x1.441da32bb43c6p-8, -0x1.f77f8442afc1bp-10, -0x1.296bf9f1ae629p-7, -0x1.0d6414a4ad185p-6, -0x1.8850115a4bffdp-6, -0x1.02317c4cf4c4fp-5, -0x1.4050022c18acep-5, -0x1.7e1199c6a9b2bp-5, -0x1.bb10177ec1da9p-5, -0x1.f6f05e354bb2bp-5, -0x1.18b0e9943a92cp-4, -0x1.350ece88389e3p-4, -0x1.507302d36d38fp-4, -0x1.6ac2ebda010c2p-4, -0x1.83e7dbe276c81p-4, -0x1.9bcec847af79cp-4, -0x1.b267ffde297f6p-4, -0x1.c7a6e4e294c0fp-4, -0x1.db81aad2f5122p-4, -0x1.edf118a2c63d9p-4, -0x1.fef04d44e4558p-4, -0x1.073e4479d892dp-3, -0x1.0e4a7bfbf4815p-3, -0x1.149d415195873p-3, -0x1.1a37cf7e5918cp-3, -0x1.1f1c131f7d2dcp-3, -0x1.234c96a4891e3p-3, -0x1.26cc6f8820027p-3, -0x1.299f2d72b55e8p-3, -0x1.2bc8cacfc9fe6p-3, -0x1.2d4d9d1cf03e3p-3, -0x1.2e3248e3d925fp-3, -0x1.2e7bb40572adcp-3, -0x1.2e2efb0ebc4cbp-3, -0x1.2d5167243770bp-3, -0x1.2be8638efd03ep-3, -0x1.29f975963cea5p-3, -0x1.278a3505955ep-3, -0x1.24a04406942ecp-3, -0x1.2141498064377p-3, -0x1.1d72eabd5ec8dp-3, -0x1.193ac6aebea17p-3, -0x1.149e7091004b2p-3, -0x1.0fa36c6c04b12p-3, -0x1.0a4f2ae564ad2p-3, -0x1.04a706a2f127dp-3, -0x1.fd6081644ee69p-4, -0x1.f0dffd144761cp-4, -0x1.e3d69004bf601p-4, -0x1.d64e0ab7acb32p-4, -0x1.c84ffbdf17f57p-4, -0x1.b9e5ad665323fp-4, -0x1.ab1822f2425e6p-4, -0x1.9bf0186885a21p-4, -0x1.8c76011b4cbcfp-4, -0x1.7cb205794f745p-4, -0x1.6cac0597716cbp-4, -0x1.5c6b963fc9102p-4, -0x1.4bf8027f7794ep-4, -0x1.3b584cc84d102p-4, -0x1.2a932db0751ffp-4, -0x1.19af15cb7d25fp-4, -0x1.08b22fc52e6a2p-4, -0x1.ef44beb578e05p-5, -0x1.cd0a8835eabf5p-5, -0x1.aac0764d02105p-5, -0x1.8870bcb049b3p-5, -0x1.6625112be6e83p-5, -0x1.43e6ad74fe6e8p-5, -0x1.21be4e2854d88p-5, -0x1.ff68773a7abe5p-6, -0x1.bba09c0c5ca18p-6, -0x1.7833d2500a556p-6, -0x1.35300df6d9381p-6, -0x1.e544f35f381e1p-7, -0x1.612eda875d17bp-7, -0x1.bc69f98326246p-8, -0x1.71b48015d175ep-9, 0x1.20a332a353d23p-10, 0x1.46795fac011c1p-8, 0x1.20fa0b9108d25p-7, 0x1.9d3c07002edb8p-7, 0x1.0bf9beec81962p-6, 0x1.48893396bda41p-6, 0x1.8445e3674e835p-6, 0x1.bf29de53f518bp-6, 0x1.f92fbddba9777p-6, 0x1.1929473a30fedp-5, 0x1.3546e7320b342p-5, 0x1.50eebca8c9e9dp-5, 0x1.6c1efcaca7889p-5, 0x1.86d60a7399aebp-5, 0x1.a11279da763cfp-5, 0x1.bad314197f45p-5, 0x1.d416cebbd0752p-5, 0x1.ecdcc3d7c0785p-5, 0x1.02921bcb4ca9fp-4, 0x1.0e764c530037fp-4, 0x1.1a1abd4a5759cp-4, 0x1.257f472f62147p-4, 0x1.30a3d3006fef8p-4, 0x1.3b885b94402dcp-4, 0x1.462cea7dfbe68p-4, 0x1.5091951cfc802p-4, 0x1.5ab67de4bc96fp-4, 0x1.649bd49201d5p-4, 0x1.6e41d5f8748c9p-4, 0x1.77a8c8798c131p-4, 0x1.80d0fb44628ecp-4, 0x1.89bac80e7613ep-4, 0x1.9266935b1fd05p-4, 0x1.9ad4c96f0029ep-4, 0x1.a305dd1d0f113p-4, 0x1.aafa484a68c3fp-4, 0x1.b2b28cfc5ff85p-4, 0x1.ba2f3455de061p-4, 0x1.c170cc5a44118p-4, 0x1.c877e7938dbe4p-4, 0x1.cf451da93d24ep-4, 0x1.d5d90bff99322p-4, 0x1.dc345483ecce9p-4, 0x1.e2579c1207f1fp-4, 0x1.e8438a3713131p-4, 0x1.edf8ca316fa8ep-4, 0x1.f3780a69bd981p-4, 0x1.f8c1fc6e53dfdp-4, 0x1.fdd7535d9d723p-4, 0x1.015c61c09323ep-3, 0x1.03b3816d1293ep-3, 0x1.05f164cb70318p-3, 0x1.081668ce63751p-3, 0x1.0a22eaa12a4aap-3, 0x1.0c17478d7e834p-3, 0x1.0df3dd0b4b679p-3, 0x1.0fb908f915627p-3, 0x1.116729a0f2cc6p-3, 0x1.12fe9d381d011p-3, 0x1.147fc1b498f29p-3, 0x1.15eaf4c2218a6p-3, 0x1.174093d762c4dp-3, 0x1.1880fc679ba5bp-3, 0x1.19ac8bb3937d5p-3, 0x1.1ac39e8eae5e3p-3, 0x1.1bc6912159a23p-3, 0x1.1cb5bf05bbc6fp-3, 0x1.1d91836111b3ap-3, 0x1.1e5a38f6188d2p-3, 0x1.1f1039f79f841p-3, 0x1.1fb3dfe2fc572p-3, 0x1.2045836c1d973p-3, 0x1.20c57c7ef7b11p-3, 0x1.2134225b75e92p-3, 0x1.2191cb9ab8a3dp-3, 0x1.21dece15b115cp-3, 0x1.221b7ed1f7aedp-3, 0x1.224831fd9a19ap-3, 0x1.22653ad7ae0e1p-3, 0x1.2272ebbbb99f5p-3, 0x1.22719643f5d0dp-3, 0x1.22618b47c2c3fp-3, 0x1.22431ab21fe1p-3, 0x1.22169378b41p-3, 0x1.21dc43aa2372fp-3, 0x1.2194785d2a5c7p-3, 0x1.213f7dd53ed31p-3, 0x1.20dd9f70fc7cdp-3, 0x1.206f27a6f99f2p-3, 0x1.1ff4600f1c238p-3, 0x1.1f6d91515bb6ap-3, 0x1.1edb032113c14p-3, 0x1.1e3cfc42856b5p-3, 0x1.1d93c29503413p-3, 0x1.1cdf9b1e09758p-3, 0x1.1c20ca0c8425dp-3, 0x1.1b5792a89799p-3, 0x1.1a843747ffa63p-3, 0x1.19a6f953f0b8p-3, 0x1.18c01950e563ep-3, 0x1.17cfd6e9cbc8cp-3, 0x1.16d670fccdb49p-3, 0x1.15d42595b7c23p-3, 0x1.14c931db1eeeap-3, 0x1.13b5d21130ff9p-3, 0x1.129a41a91aec2p-3, 0x1.1176bb37e6dc6p-3, 0x1.104b7880ef0d7p-3, 0x1.0f18b27ff7df4p-3, 0x1.0ddea1694cdabp-3, 0x1.0c9d7ca6b55cep-3, 0x1.0b557ac2ae787p-3, 0x1.0a06d18c46903p-3, 0x1.08b1b600e1632p-3, 0x1.07565c6101af9p-3, 0x1.05f4f829780e1p-3, 0x1.048dbc18a058bp-3, 0x1.0320da2f29572p-3, 0x1.01ae83b30a165p-3, 0x1.0036e92e64096p-3, 0x1.fd7474ddb44d5p-4, 0x1.fa714d152f8ccp-4, 0x1.f764b7c595aa3p-4, 0x1.f44f104856934p-4, 0x1.f130b09d9dca1p-4, 0x1.ee09f16d7bb3cp-4, 0x1.eadb2a054c9cdp-4, 0x1.e7a4b050db433p-4, 0x1.e466d8ed5f515p-4, 0x1.e121f7266cc1bp-4, 0x1.ddd65cf21ffc1p-4, 0x1.da845afdd2a17p-4, 0x1.d72c40b759b1cp-4, 0x1.d3ce5c4ae430cp-4, 0x1.d06afaa389a4dp-4, 0x1.cd026772359f7p-4, 0x1.c994ed2ea34f1p-4, 0x1.c622d5134884ep-4, 0x1.c2ac67228cf41p-4, 0x1.bf31ea303b5cap-4, 0x1.bbb3a3e24855ep-4, 0x1.b831d8b0de9fp-4, 0x1.b4accbed61865p-4, 0x1.b124bfc6a18d4p-4, 0x1.ad99f54587304p-4, 0x1.aa0cac5140812p-4, 0x1.a67d23af28868p-4, 0x1.a2eb990a1a8f2p-4, 0x1.9f5848f4dd70dp-4, 0x1.9bc36ee8da8fp-4, 0x1.982d454b84f3ep-4, 0x1.949605712d687p-4, 0x1.90fde79dc58d9p-4, 0x1.8d652309b4c3cp-4, 0x1.89cbeddee5d15p-4, 0x1.86327d3b3ba07p-4, 0x1.8299053717465p-4, 0x1.7effb8e666ee8p-4, 0x1.7b66ca5ba2c34p-4, 0x1.77ce6aa3cdc45p-4, 0x1.7436c9d8a8b74p-4, 0x1.70a0170fd77e7p-4, 0x1.6d0a8067ddd88p-4, 0x1.697633080ed6ep-4, 0x1.65e35b2282116p-4, 0x1.625223f32248dp-4, 0x1.5ec2b7c3ceb14p-4, 0x1.5b353ff1a4aa2p-4, 0x1.57a9e4ebcf0bdp-4, 0x1.5420ce32fdfdep-4, 0x1.509a225f2118dp-4, 0x1.4d160723960f7p-4, 0x1.4994a14eb13b4p-4, 0x1.461614ca9e165p-4, 0x1.429a84a107d73p-4, 0x1.3f2212fe05fcdp-4, 0x1.3bace1304fadp-4, 0x1.383b0fa856a7dp-4, 0x1.34ccbdfc8b66ep-4, 0x1.31620af04c84ap-4, 0x1.2dfb1472cd6fdp-4, 0x1.2a97f79fc0022p-4, 0x1.2738d0bec7f0ap-4, 0x1.23ddbb4a7fd63p-4, 0x1.2086d1f15bf71p-4, 0x1.1d342e98c75afp-4, 0x1.19e5ea5d1424bp-4, 0x1.169c1d905a2e4p-4, 0x1.1356dfc2ebc08p-4, 0x1.101647c5e45b5p-4, 0x1.0cda6ba57028ap-4, 0x1.09a360aedc529p-4, 0x1.06713b75e73d2p-4, 0x1.03440fd5e4077p-4, 0x1.001bf0f23df55p-4, 0x1.f9f1e26e00d8p-5, 0x1.f3b644b886c7cp-5, 0x1.ed852acccfd8dp-5, 0x1.e75eb5653d0d1p-5, 0x1.e14303d32592bp-5, 0x1.db32341dea4dcp-5, 0x1.d52c62f190356p-5, 0x1.cf31abb09f598p-5, 0x1.c9422877ae4abp-5, 0x1.c35df21f5888ep-5, 0x1.bd85203f6b45ep-5, 0x1.b7b7c93423adap-5, 0x1.b1f60223d9336p-5, 0x1.ac3fdf0454211p-5, 0x1.a695729df5129p-5, 0x1.a0f6ce8f19a97p-5, 0x1.9b640351d8cb7p-5, 0x1.95dd2040af414p-5, 0x1.9062339abb647p-5, 0x1.8af34a8889c27p-5, 0x1.8590712026921p-5, 0x1.8039b269b0a2fp-5, 0x1.7aef18637e2c7p-5, 0x1.75b0ac089981bp-5, 0x1.707e755608801p-5, 0x1.6b587b4ed42a1p-5, 0x1.663ec3fea9615p-5, 0x1.6131547db80afp-5, 0x1.5c3030f6c6ea5p-5, 0x1.573b5cabfcbf8p-5, 0x1.5252d9fa37425p-5, 0x1.4d76aa5d88f57p-5, 0x1.48a6ce76202d7p-5, 0x1.43e3460ddd4f4p-5, 0x1.3f2c101deda1cp-5, 0x1.3a812acfdaed8p-5, 0x1.35e2938cf9fcfp-5, 0x1.315046ec10712p-5, 0x1.2cca40d02bc71p-5, 0x1.28507c5be2584p-5, 0x1.23e2f3fa7d187p-5, 0x1.1f81a1636190bp-5, 0x1.1b2c7d9dc8339p-5, 0x1.16e38105034d5p-5, 0x1.12a6a34d2114cp-5, 0x1.0e75db880b573p-5, 0x1.0a51202ad04f9p-5, 0x1.063867124b0c8p-5, 0x1.022ba586ba741p-5, 0x1.fc55a0821bf3p-6, 0x1.f46bb6df3bb14p-6, 0x1.ec9975666147p-6, 0x1.e4dec247e3894p-6, 0x1.dd3b82b68e942p-6, 0x1.d5af9ae9c255ep-6, 0x1.ce3aee25e2e0ep-6, 0x1.c6dd5eca6a98ap-6, 0x1.bf96ce5e08c0cp-6, 0x1.b8671d9801c42p-6, 0x1.b14e2c6395aabp-6, 0x1.aa4bd9de77719p-6, 0x1.a3600455ea2b7p-6, 0x1.9c8a8945b9d31p-6, 0x1.95cb455abdc26p-6, 0x1.8f22147a2881dp-6, 0x1.888ed1d2eed3bp-6, 0x1.821157de595e1p-6, 0x1.7ba980a91562p-6, 0x1.755725b093adap-6, 0x1.6f1a201de6c7cp-6, 0x1.68f248bbda24ep-6, 0x1.62df77f2bf9fp-6, 0x1.5ce185b75cdbep-6, 0x1.56f849778d1dep-6, 0x1.51239a0d96adp-6, 0x1.4b634db3e42b9p-6, 0x1.45b73a1780e2bp-6, 0x1.401f3466021edp-6, 0x1.3a9b117593359p-6, 0x1.352aa5e8f17e8p-6, 0x1.2fcdc64821c5bp-6, 0x1.2a84470a0e7f2p-6, 0x1.254dfc87e21c9p-6, 0x1.202abada00aabp-6, 0x1.1b1a55a9a2fb2p-6, 0x1.161ca0216282bp-6, 0x1.11316cdf375bcp-6, 0x1.0c588de8c128cp-6, 0x1.0791d4ec77babp-6, 0x1.02dd139540cb9p-6, 0x1.fc74381a051bbp-7, 0x1.f3518278ce395p-7, 0x1.ea51adecb30b4p-7, 0x1.e17463e3057fbp-7, 0x1.d8b94ef63171p-7, 0x1.d02019d725ecbp-7, 0x1.c7a86e120807ap-7, 0x1.bf51f2afe658dp-7, 0x1.b71c4b630fa21p-7, 0x1.af071826e0917p-7, 0x1.a711f5c506856p-7, 0x1.9f3c7f1c6be98p-7, 0x1.97864f0b6059dp-7, 0x1.8fef028fa3dc8p-7, 0x1.88763aaa3b215p-7, 0x1.811b9d9ef2babp-7, 0x1.79ded741fdd72p-7, 0x1.72bf98311ee9bp-7, 0x1.6bbd94110eff4p-7, 0x1.64d87f24cedfap-7, 0x1.5e100bbc4b041p-7, 0x1.5763e8076d7a8p-7, 0x1.50d3bccb1bdaep-7, 0x1.4a5f2d471fe08p-7, 0x1.4405d85cad455p-7, 0x1.3dc75ac5289edp-7, 0x1.37a351c67fcbfp-7, 0x1.31995dd7e30cep-7, 0x1.2ba924bc30a26p-7, 0x1.25d25267c8ac5p-7, 0x1.2014988870b24p-7, 0x1.1a6faccd5583cp-7, 0x1.14e34645ead56p-7, 0x1.0f6f1a6dee107p-7, 0x1.0a12da9a033fbp-7, 0x1.04ce3267719cdp-7, 0x1.ff418f57f91c4p-8, 0x1.f51477e55791ep-8, 0x1.eb145ed78fdeap-8, 0x1.e1408954d7a63p-8, 0x1.d79848e838297p-8, 0x1.ce1b01a1f2d96p-8, 0x1.c4c82d334bebfp-8, 0x1.bb9f5a1075c2ap-8, 0x1.b2a0266434134p-8, 0x1.a9ca377393a7fp-8, 0x1.a11d2ed961bp-8, 0x1.98989f87b85edp-8, 0x1.903c04a6491f4p-8, 0x1.8806bc20ffb91p-8, 0x1.7ff806282c10dp-8, 0x1.780f0a1de1585p-8, 0x1.704adf4b7d888p-8, 0x1.68aa9b98a2313p-8, 0x1.612d5fd879c47p-8, 0x1.59d267a72d87cp-8, 0x1.529912490811ap-8, 0x1.4b80e8742bc7ap-8, 0x1.44899bc038dd4p-8, 0x1.3db2ff94b3e66p-8, 0x1.36fcfd0257312p-8, 0x1.306783732251ap-8, 0x1.29f278ae881aap-8, 0x1.239daaa8188dcp-8, 0x1.1d68c5166b029p-8, 0x1.17534c978981fp-8, 0x1.115c9f85e1c03p-8, 0x1.0b83fa2790092p-8, 0x1.05c8823d23584p-8, 0x1.002954ea5f3fp-8, 0x1.f54b270a05fe9p-9, 0x1.ea78e5dfa39aap-9, 0x1.dfda8d24fe24dp-9, 0x1.d56f0c9ea4d0fp-9, 0x1.cb359f5d03f4ep-9, 0x1.c12dc373deb44p-9, 0x1.b7572911a27aap-9, 0x1.adb19c6208d41p-9, 0x1.a43cee273d5c1p-9, 0x1.9af8de8d13704p-9, 0x1.91e50c507ae6fp-9, 0x1.8900eab3aa62ep-9, 0x1.804bbdbdd1e52p-9, 0x1.77c49df1dd972p-9, 0x1.6f6a82216011ep-9, 0x1.673c4d6da55d5p-9, 0x1.5f38de2c8d6b3p-9, 0x1.575f1bdd9a91p-9, 0x1.4fae00abca188p-9, 0x1.48249bdad06cdp-9, 0x1.40c2132850f0ap-9, 0x1.3985a487199f5p-9, 0x1.326ea5ace65d1p-9, 0x1.2b7c84588cb26p-9, 0x1.24aec54f9d1eap-9, 0x1.1e04ff60f8e6cp-9, 0x1.177ed25993a9cp-9, 0x1.111bdabd6662ep-9, 0x1.0adba81bf7e5p-9, 0x1.04bdb2dc7c6cdp-9, 0x1.fd82b6d3d327ap-10, 0x1.f1cbddcd7b207p-10, 0x1.e6556f8fb2fdbp-10, 0x1.db1df5d34d634p-10, 0x1.d0241064a8f97p-10, 0x1.c566610e08bd6p-10, 0x1.bae37cdb5e876p-10, 0x1.b099e0e3f5fa6p-10, 0x1.a687f3bb5d003p-10, 0x1.9cac21e194ec9p-10, 0x1.9305059cc7e99p-10, 0x1.89918b11cab73p-10, 0x1.8050fad42f569p-10, 0x1.7742e375cbe1dp-10, 0x1.6e66ebc8019b8p-10, 0x1.65bca51ea2526p-10, 0x1.5d437573a74b8p-10, 0x1.54faa3ce6fd68p-10, 0x1.4ce17d9a58a2bp-10, 0x1.44f77d7e4a38dp-10, 0x1.3d3c5b5ea0f9ep-10, 0x1.35aff7f9c3865p-10, 0x1.2e5225e11772p-10, 0x1.27225f3a01c5cp-10, 0x1.201f80e1f26cep-10, 0x1.1947a66add00fp-10, 0x1.12983e976893ep-10, 0x1.0c0e5f1359f57p-10, 0x1.05a746f4dda58p-10, 0x1.fec1c697c20cfp-11, 0x1.f27443187555bp-11, 0x1.e665d6343db46p-11, 0x1.da9795d433ff9p-11, 0x1.cf0acdfa74d8bp-11, 0x1.c3c019ecea687p-11, 0x1.b8b7073d8f1bap-11, 0x1.adee55bcfba69p-11, 0x1.a36497d33a349p-11, 0x1.9918d7174ed94p-11, 0x1.8f0af55316024p-11, 0x1.853bacbad8766p-11, 0x1.7bac3740208fp-11, 0x1.725dbb1ad4232p-11, 0x1.6950a3075b8fap-11, 0x1.608409741a7a7p-11, 0x1.57f5607caee84p-11, 0x1.4fa0834f5e794p-11, 0x1.47804ba4014ebp-11, 0x1.3f8f90c959dfdp-11, 0x1.37ca33f7bd72ap-11, 0x1.302dc12a6d3dep-11, 0x1.28b959d80d4ap-11, 0x1.216ce8f790cd4p-11, 0x1.1a485a3c3130ep-11, 0x1.134b233c3a227p-11, 0x1.0c745b762fb65p-11, 0x1.05c35424c72d9p-11, 0x1.fe700e1c58f8fp-12, 0x1.f1a6562663eecp-12, 0x1.e52bcd1bef532p-12, 0x1.d9028bfef6ce1p-12, 0x1.cd2b72d3989dap-12, 0x1.c1a5c71707bd4p-12, 0x1.b66fa4266dd3p-12, 0x1.ab870069e3576p-12, 0x1.a0e9c8eaaa05ep-12, 0x1.96963a5d11e37p-12, 0x1.8c898d7ce0c01p-12, 0x1.82bffd5f6ece2p-12, 0x1.7935161d433e6p-12, 0x1.6fe4d61fa176ap-12, 0x1.66ccb3438bcc3p-12, 0x1.5debdb4524403p-12, 0x1.55427e517a34p-12, 0x1.4cd090dad39cp-12, 0x1.4494c7344411cp-12, 0x1.3c8c4d7682cddp-12, 0x1.34b3537a549e9p-12, 0x1.2d0619c6ea69fp-12, 0x1.25825fb0a6181p-12, 0x1.1e287a0abc2b5p-12, 0x1.16fad0db923c4p-12, 0x1.0ffc1de461f73p-12, 0x1.092db1fe13c46p-12, 0x1.028ecf6067f7bp-12, 0x1.f83a68f5e469bp-13, 0x1.ebac6d2d65401p-13, 0x1.df6fba33bf16ap-13, 0x1.d382745e2efcdp-13, 0x1.c7e42ec33cfa4p-13, 0x1.bc950edc7e0cfp-13, 0x1.b19420c2a87bcp-13, 0x1.a6deb8e020518p-13, 0x1.9c6fbb9336c9dp-13, 0x1.9240e25918ae1p-13, 0x1.884d72c570f2p-13, 0x1.7e946a505c8f5p-13, 0x1.7518094d23b15p-13, 0x1.6bdad6346674ep-13, 0x1.62dce85862f41p-13, 0x1.5a1bb87bc9066p-13, 0x1.5194f34976adp-13, 0x1.4948a58fb1971p-13, 0x1.41376ad326be5p-13, 0x1.395f2dd9f8f8ap-13, 0x1.31ba9e7056f7ep-13, 0x1.2a43a38544618p-13, 0x1.22f5db782d1f3p-13, 0x1.1bd0055d7ceabp-13, 0x1.14d2339ed3f1dp-13, 0x1.0dfe1736415e2p-13, 0x1.07554e8aac122p-13, 0x1.00d917953cdcbp-13, 0x1.f513d18770d4fp-14, 0x1.e8cf7c660ea49p-14, 0x1.dce579fd9e4ccp-14, 0x1.d154e7256145ap-14, 0x1.c616b0030f3fbp-14, 0x1.bb1c6a2b99176p-14, 0x1.b05945a80236fp-14, 0x1.a5cc707410d85p-14, 0x1.9b7ed54d3f7e1p-14, 0x1.917612d77b56p-14, 0x1.87ad2263c27e3p-14, 0x1.7e1c01106fe51p-14, 0x1.74c2fc821c276p-14, 0x1.6ba9501caa504p-14, 0x1.62d32cfebe05ep-14, 0x1.5a3e2cce50b2ap-14, 0x1.51e5a149a57bbp-14, 0x1.49c5a4e537c88p-14, 0x1.41dbe8905b2d4p-14, 0x1.3a254e7291fe1p-14, 0x1.329ba8bd9b052p-14, 0x1.2b37102126e88p-14, 0x1.23f1b39e35b59p-14, 0x1.1ccc7bcdcd4bbp-14, 0x1.15cf13d30c81p-14, 0x1.0f022de8d4cc9p-14, 0x1.0868148667b4ap-14, 0x1.01fdb57fb27dp-14, 0x1.f77fb9dd3a5c7p-15, 0x1.eb5d1f0d960ccp-15, 0x1.df8b54f51b658p-15, 0x1.d3f4bd6b9c26cp-15, 0x1.c88ed40b81cdfp-15, 0x1.bd6751df8bb51p-15, 0x1.b289e59694852p-15, 0x1.a7ea6334d079ap-15, 0x1.9d78c836dcbc3p-15, 0x1.933af3e36f7b5p-15, 0x1.894032312d017p-15, 0x1.7f8a643234fbdp-15, 0x1.760fde71f0936p-15, 0x1.6cc76e67f8e2dp-15, 0x1.63ad016db2f88p-15, 0x1.5ac0ceeaa04f2p-15, 0x1.5205961b1f6ddp-15, 0x1.497efaecae654p-15, 0x1.41301aa3dd8d4p-15, 0x1.3919d05d643c5p-15, 0x1.3137cf5fe06p-15, 0x1.297e12287f363p-15, 0x1.21def5191e595p-15, 0x1.1a56ff089245fp-15, 0x1.12f3ca374efaep-15, 0x1.0bc2dd98028adp-15, 0x1.04bee8fda0199p-15, 0x1.fbbbc5b34b0fap-16, 0x1.ee46ef90dc436p-16, 0x1.e12fbc3022ac6p-16, 0x1.d463bb99ccb7cp-16, 0x1.c7c98a32e9584p-16, 0x1.bb67302667884p-16, 0x1.af45872f00296p-16, 0x1.a3517bb32eee5p-16, 0x1.9783773162599p-16, 0x1.8bf48cd00b464p-16, 0x1.80afe7c8052b2p-16, 0x1.75a88cde58f95p-16, 0x1.6ad221e0129cp-16, 0x1.6028d5768f026p-16, 0x1.55ac9160d6166p-16, 0x1.4b5dcf257efb4p-16, 0x1.413c396d33a2bp-16, 0x1.3746e718db862p-16, 0x1.2d7dc40a9c826p-16, 0x1.23e1e4f841e03p-16, 0x1.1a73aeb6162b2p-16, 0x1.11372d58086e8p-16, 0x1.082a9c7b8a12dp-16, 0x1.fe9e40420df09p-17, 0x1.ed3613daf0f99p-17, 0x1.dbfdb3632c4c3p-17, 0x1.cb02a2f8c21a5p-17, 0x1.ba573a95b398fp-17, 0x1.a9eba5feee2b4p-17, 0x1.99b1883429a54p-17, 0x1.89c5fb1e66548p-17, 0x1.7a4472e3b670dp-17, 0x1.6b1c147084139p-17, 0x1.5c257dd1c3904p-17, 0x1.4d58ad70b955dp-17, 0x1.3ebc24b2acfa7p-17, 0x1.3043e37e8137p-17, 0x1.2206a5047e665p-17, 0x1.1418b702bc67ap-17, 0x1.066add726bca6p-17, 0x1.f1dd033fe145dp-18, 0x1.d741e62f2154dp-18, 0x1.bd0731e3b211ap-18, 0x1.a32f2894eff1dp-18, 0x1.89ba34010a916p-18, 0x1.70a71fad78657p-18, 0x1.57f3578886199p-18, 0x1.3f9c7621cff5dp-18, 0x1.27a21a8710ceap-18, 0x1.1002707d2cdd9p-18, 0x1.f172ed0fff523p-19, 0x1.c38c931f9b5b3p-19, 0x1.96547e8a6cc6ap-19, 0x1.69cf28b35752p-19, 0x1.3e25b5f07656dp-19, 0x1.132d8f72c1f05p-19, 0x1.d19c412d33224p-20, 0x1.7dce1171d2c2ep-20, 0x1.2aec1d72e5b05p-20, 0x1.b22c9cbc75153p-21, 0x1.117d757a9761dp-21, 0x1.cdc3b32dcb4f3p-23, -0x1.425c510b95ebbp-24, -0x1.82a256f46d11p-22, -0x1.57e3901729f23p-21, -0x1.ecd250ea3a25cp-21, -0x1.401a2c5d6889ap-20, -0x1.88d12ac668a8bp-20, -0x1.d02b1b78ad285p-20, -0x1.0b2c5f6c17a6p-19, -0x1.2dc5015d202d2p-19, -0x1.4fe2e6ed76731p-19, -0x1.7185e83bdae8cp-19, -0x1.92abbaee190f4p-19, -0x1.b3533972c5537p-19, -0x1.d384b309dff8bp-19, -0x1.f3152f71da755p-19, -0x1.092e121983eecp-18, -0x1.188c020036052p-18, -0x1.27aeb6b1ad142p-18, -0x1.3695437502976p-18, -0x1.4542e5b80fc57p-18, -0x1.53b5e58f8454dp-18, -0x1.61ee8079cc294p-18, -0x1.6ff069ca11364p-18, -0x1.7dc14b5d3406p-18, -0x1.8b4e802713756p-18, -0x1.989af3cac6644p-18, -0x1.a5b1354dd5443p-18, -0x1.b29ea61e6216bp-18, -0x1.bf5e62aea28f6p-18, -0x1.cbdb34cb53bdap-18, -0x1.d82213a44282ap-18, -0x1.e4378c419ce4dp-18, -0x1.f01a4a512c354p-18, -0x1.fbc976fa3a9abp-18, -0x1.03a1d653f799ap-17, -0x1.09431bc2cc28bp-17, -0x1.0ecc025c4d406p-17, -0x1.143f36812fd94p-17, -0x1.1998eff6a839p-17, -0x1.1ed7c1b60f84dp-17, -0x1.23fe46b7e1a65p-17, -0x1.290d2474d2a7dp-17, -0x1.2e04216dc981bp-17, -0x1.32e3272b10eebp-17, -0x1.37aa491775379p-17, -0x1.3c59af41f54bdp-17, -0x1.40f1878d1139bp-17, -0x1.4571feb54d152p-17, -0x1.49db457906296p-17, -0x1.4e2d6e0e0553ap-17, -0x1.52689e592e5fcp-17, -0x1.568d053e2e13dp-17, -0x1.5a9b582eb4dbap-17, -0x1.5e9504485bd96p-17, -0x1.62756089b943ep-17, -0x1.66429f13711edp-17, -0x1.69f81c13837a3p-17, -0x1.6d9947c5e4c7bp-17, -0x1.712369bd275f6p-17, -0x1.74966b23bbf71p-17, -0x1.77f62cbdbb57bp-17, -0x1.7b4238e14c85p-17, -0x1.7e7872c307b88p-17, -0x1.8196fea50c936p-17, -0x1.84a3b1d6a6727p-17, -0x1.879b0df3b8224p-17, -0x1.8a7e7afabff01p-17, -0x1.8d4ecb162f9cep-17, -0x1.900a02550870fp-17, -0x1.92b064e2dfd75p-17, -0x1.9544402851581p-17, -0x1.97c35940de096p-17, -0x1.9a2e505849fd8p-17, -0x1.9c87df7264bb6p-17, -0x1.9ece98418431p-17, -0x1.a0ffe9284a579p-17, -0x1.a31ea5301324ap-17, -0x1.a52bfed136306p-17, -0x1.a7265985fd088p-17, -0x1.a90d07ca12c3bp-17, -0x1.aae49f5648068p-17, -0x1.aca71505b2013p-17, -0x1.ae592e8e61a74p-17, -0x1.aff294e977ec1p-17, -0x1.b184a4277f4c7p-17, -0x1.b300d6d3af8e1p-17, -0x1.b46a80b1b7c37p-17, -0x1.b5c3be93c114ep-17, -0x1.b70d7fb81c126p-17, -0x1.b844d0bf4623bp-17, -0x1.b96b54ce3e882p-17, -0x1.ba80e1aed1a81p-17, -0x1.bb845283c1bcp-17, -0x1.bc78790fd0db8p-17, -0x1.bd60a0de034aap-17, -0x1.be350c7ad2059p-17, -0x1.befa1a37b715cp-17, -0x1.bfaf72358b273p-17, -0x1.c0558dba2affbp-17, -0x1.c0eb36fc7dfffp-17, -0x1.c17200a88743bp-17, -0x1.c1e9a7ad77dffp-17, -0x1.c252337812acdp-17, -0x1.c2abf92e2e64bp-17, -0x1.c2f722b58c8fap-17, -0x1.c333c6984e797p-17, -0x1.c36208e12b6b3p-17, -0x1.c3822a3efc10ap-17, -0x1.c3944eee65463p-17, -0x1.c39840701e29bp-17, -0x1.c38ee3b383a4ep-17, -0x1.c3779027305c2p-17, -0x1.c3532396dd804p-17, -0x1.c3213aa944f46p-17, -0x1.c2e32706baffep-17, -0x1.c296ae7849abcp-17, -0x1.c23ca8ffd6f48p-17, -0x1.c1d77cbc1ab8bp-17, -0x1.c165ab0b87f3cp-17, -0x1.c0e6e28b95817p-17, -0x1.c05bd6f6830e1p-17, -0x1.bfc4fe09ac9e4p-17, -0x1.bf22797270fa6p-17, -0x1.be7476b0d9944p-17, -0x1.bdbafb7d00e1p-17, -0x1.bcf559f0e8dcfp-17, -0x1.bc23b961992adp-17, -0x1.bb45bf3daa81ep-17, -0x1.ba60864301c8p-17, -0x1.b96f9bd7bdde1p-17, -0x1.b873ece4d261p-17, -0x1.b76d19bf73f7fp-17, -0x1.b65ab42a262c7p-17, -0x1.b53ea60ccc42fp-17, -0x1.b418c9cc405f6p-17, -0x1.b2e91b9e49be9p-17, -0x1.b1af20b1d4fa3p-17, -0x1.b06c0551f483ap-17, -0x1.af21442ad06acp-17, -0x1.adcc519837643p-17, -0x1.ac6c1722a7bc2p-17, -0x1.ab04292c85689p-17, -0x1.a99282176ac7cp-17, -0x1.a81653896fd4cp-17, -0x1.a693f02963521p-17, -0x1.a509feab5abf5p-17, -0x1.a3773661da4a8p-17, -0x1.a1dbd091539ebp-17, -0x1.a038505a6b8bfp-17, -0x1.9e8cfac452d2fp-17, -0x1.9cd93709386eap-17, -0x1.9b1c9f5aa5093p-17, -0x1.995d0c866dea2p-17, -0x1.9792e3a1c5519p-17, -0x1.95c21f855e7cbp-17, -0x1.93eaa6bce6005p-17, -0x1.920bc4ec29217p-17, -0x1.90261440156a4p-17, -0x1.8e39c4603b63dp-17, -0x1.8c46f6a5bc71p-17, -0x1.8a4dc57e127cfp-17, -0x1.884e0fa4df1cbp-17, -0x1.86498fcc700c5p-17, -0x1.843cf491f0904p-17, -0x1.822bf84a394ddp-17, -0x1.8014fe7c4b629p-17, -0x1.7df854d2005fcp-17, -0x1.7bd642786135ep-17, -0x1.79af331818be6p-17, -0x1.778153b786c54p-17, -0x1.754f579abc55ep-17, -0x1.731ba795ce389p-17, -0x1.70e6ef521878dp-17, -0x1.6e9b7463bb1b3p-17, -0x1.6c57138cd275p-17, -0x1.6a0f2b0703ca9p-17, -0x1.67c1c0a8adb9dp-17, -0x1.656ef1fe2d7bfp-17, -0x1.63101d25ad04ap-17, -0x1.60c309e89ac99p-17, -0x1.5e64d79a543e3p-17, -0x1.5c001ce34e48bp-17, -0x1.599a7ee2ec7afp-17, -0x1.5731453d024eap-17, -0x1.54c55f6ad6f3bp-17, -0x1.5254a0d3bc83ep-17, -0x1.4fe33f1fd371bp-17, -0x1.4d6d529736b75p-17, -0x1.4af46f621d173p-17, -0x1.48785db919f2fp-17, -0x1.45f9f3f7054a7p-17, -0x1.4378a8527c144p-17, -0x1.40f4fd5a92d48p-17, -0x1.3e6fd8bfe325dp-17, -0x1.3be6ef53b22b8p-17, -0x1.395ce924ed2b2p-17, -0x1.36cfe6f51dff5p-17, -0x1.34407a4c5b146p-17, -0x1.31afeaf12659cp-17, -0x1.2f1d4d70b3e83p-17, -0x1.2c8876246ae3ap-17, -0x1.29f205dafc523p-17, }}, 
      {{-0x1.ae4e0871242dbp-2, -0x1.a868792a414e4p-2, -0x1.a1769704c2544p-2, -0x1.9bbb9ba3f3a08p-2, -0x1.98cd53faa7cbfp-2, -0x1.99865bda0c2bfp-2, -0x1.9e23693b176c5p-2, -0x1.a66cec93ef733p-2, -0x1.b1df48fae07efp-2, -0x1.bfcc61d94ec9bp-2, -0x1.cf753f5b544efp-2, -0x1.e01c4dd59f4acp-2, -0x1.f1116bd9f54c3p-2, -0x1.00dc90793d3cap-1, -0x1.08c81e432465dp-1, -0x1.1016749821655p-1, -0x1.169f044006bb4p-1, -0x1.1c44bbbfb94b5p-1, -0x1.20f4d8c77d1a5p-1, -0x1.24a592b11d62dp-1, -0x1.2754baadd33d1p-1, -0x1.290664af429d2p-1, -0x1.29c3a5aaa0c3ep-1, -0x1.29996ea3036d7p-1, -0x1.28978846b832fp-1, -0x1.26cfb10ee30eep-1, -0x1.2454dc639a395p-1, -0x1.213a926410061p-1, -0x1.1d946c32488c5p-1, -0x1.1975abae9b23dp-1, -0x1.14f0ea1a5d98dp-1, -0x1.1017dafe0acb8p-1, -0x1.0afb20deb0723p-1, -0x1.05aa3002c617dp-1, -0x1.00333d384bd3fp-1, -0x1.f5466d07f1603p-2, -0x1.ea0b872630ee9p-2, -0x1.deca97eb7dcc5p-2, -0x1.d396043c1e227p-2, -0x1.c87de41be9b3ep-2, -0x1.bd9023c682958p-2, -0x1.b2d8a81d50951p-2, -0x1.a861759bf71d4p-2, -0x1.9e32d75360df5p-2, -0x1.94538541f0a53p-2, -0x1.8ac8ca612c4aap-2, -0x1.8196a9e668065p-2, -0x1.78c002250a879p-2, -0x1.7046ad50ae315p-2, -0x1.682ba067604fp-2, -0x1.606f0837f882bp-2, -0x1.591063dde04b8p-2, -0x1.520e9d4bebbb6p-2, -0x1.4b681f0a2dbefp-2, -0x1.451ae89f9ab7bp-2, -0x1.3f24a0c6f2767p-2, -0x1.3982a59e5131ap-2, -0x1.34321b584b2c5p-2, -0x1.2f2ff8fa0d4d1p-2, -0x1.2a7913ba15ddbp-2, -0x1.260a2900bb828p-2, -0x1.21dfe79080faep-2, -0x1.1df6f70b15cd3p-2, -0x1.1a4bfece9db32p-2, -0x1.16dbaaf83f716p-2, -0x1.13a2b21dfa7c9p-2, -0x1.109dd874a32p-2, -0x1.0dc9f3c7b1befp-2, -0x1.0b23ee35ca03fp-2, -0x1.08a8c846c264cp-2, -0x1.06559b1f1ad34p-2, -0x1.042799c25a1fbp-2, -0x1.021c1226da735p-2, -0x1.00306df7ee51dp-2, -0x1.fcc465f4b281ap-3, -0x1.f95e066d44bccp-3, -0x1.f6293a537d738p-3, -0x1.f321b6cbf3658p-3, -0x1.f04368bdb529p-3, -0x1.ed8a73d25c594p-3, -0x1.eaf331e37dda5p-3, -0x1.e87a314a6da2dp-3, -0x1.e61c3347189e7p-3, -0x1.e3d62b6588908p-3, -0x1.e1a53d2cba7c6p-3, -0x1.df86baa102993p-3, -0x1.dd7822be3bc3bp-3, -0x1.db771f683766dp-3, -0x1.d981840a5379cp-3, -0x1.d7954bb1b97e6p-3, -0x1.d5b0973eb397ep-3, -0x1.d3d1ab46ba682p-3, -0x1.d1f6ef563fa62p-3, -0x1.d01eeb5c1d3aap-3, -0x1.ce48467599786p-3, -0x1.cc71c525e00fdp-3, -0x1.ca9a47f76dc2dp-3, -0x1.c8c0c9b7c343dp-3, -0x1.c6e45e17b3eb8p-3, -0x1.c504305ebc96bp-3, -0x1.c31f8212ce25cp-3, -0x1.c135a97a1f6d2p-3, -0x1.bf460fff1fd1bp-3, -0x1.bd5031f5a6226p-3, -0x1.bb539c82e9251p-3, -0x1.b94fed0785854p-3, -0x1.b744cfadd5f17p-3, -0x1.b531feaabe9b2p-3, -0x1.b317413b7936fp-3, -0x1.b0f46aa8ab95cp-3, -0x1.aec9595638505p-3, -0x1.ac95f64190909p-3, -0x1.aa5a3395095fcp-3, -0x1.a8160cc5b936bp-3, -0x1.a5c9852eb8cc4p-3, -0x1.a374a7c40d0c1p-3, -0x1.a11785e08489ep-3, -0x1.9eb23781c5515p-3, -0x1.9c44da6938437p-3, -0x1.99cf913e34a24p-3, -0x1.9752836c1570cp-3, -0x1.94cddc9ae1a3bp-3, -0x1.9241cc2a40c77p-3, -0x1.8fae84d82b50ep-3, -0x1.8d143c62ca98bp-3, -0x1.8a732b0ae4e5bp-3, -0x1.87cb8b980e8c3p-3, -0x1.851d9a8e8bcafp-3, -0x1.8269963e49404p-3, -0x1.7fafbe65451d9p-3, -0x1.7cf053bc137c8p-3, -0x1.7a2b985f8ba21p-3, -0x1.7761cec1bc041p-3, -0x1.74933a15a2099p-3, -0x1.71c01d78f028fp-3, -0x1.6ee8bcb35e8ep-3, -0x1.6c0d5b7716b91p-3, -0x1.692e3d1161b77p-3, -0x1.664ba4dade6b5p-3, -0x1.6365d59ed79fbp-3, -0x1.607d11b65e646p-3, -0x1.5d919ae7dfd2p-3, -0x1.5aa3b2465a0c1p-3, -0x1.57b39826a05afp-3, -0x1.54c18c023571dp-3, -0x1.51cdcc66844d4p-3, -0x1.4ed896e03559p-3, -0x1.4be2282f6095dp-3, -0x1.48eabbc0984d8p-3, -0x1.45f28bfec867dp-3, -0x1.42f9d23f48aeap-3, -0x1.4000c699bf5d9p-3, -0x1.3d079fefb911bp-3, -0x1.3a0e93dd5154fp-3, -0x1.3715d709d002dp-3, -0x1.341d9c9990295p-3, -0x1.31261677eb118p-3, -0x1.2e2f752eb76ap-3, -0x1.2b39e845be958p-3, -0x1.28459db2db06bp-3, -0x1.2552c275a5971p-3, -0x1.2261821696e65p-3, -0x1.1f7206b8c92cep-3, -0x1.1c8479730cfbbp-3, -0x1.199902064e3efp-3, -0x1.16afc6efaee72p-3, -0x1.13c8ed7ae2aap-3, -0x1.10e499b54f1cfp-3, -0x1.0e02ee6be0ac8p-3, -0x1.0b240d458b098p-3, -0x1.084816b874a1ep-3, -0x1.056f2a1441efdp-3, -0x1.0299657d711f8p-3, -0x1.ff8dcbf8a346ap-4, -0x1.f9ef8efb4ddc1p-4, -0x1.f4584980a5b4dp-4, -0x1.eec82f4a46f3p-4, -0x1.e93f71c698c2ep-4, -0x1.e3be3ff12d6e4p-4, -0x1.de44c75e46fbdp-4, -0x1.d8d33366d5876p-4, -0x1.d369ad5647f84p-4, -0x1.ce085c8a2a2b1p-4, -0x1.c8af66f0f7534p-4, -0x1.c35ef06440ff4p-4, -0x1.be171ae2471bdp-4, -0x1.b8d80685da508p-4, -0x1.b3a1d20c5072bp-4, -0x1.ae749a855cfeep-4, -0x1.a9507b6005394p-4, -0x1.a4358e5aa7c11p-4, -0x1.9f23ebcd850cdp-4, -0x1.9a1baa87cc079p-4, -0x1.951cdfe29b024p-4, -0x1.90279fb920de7p-4, -0x1.8b3bfcdbf39b1p-4, -0x1.865a089032ef1p-4, -0x1.8181d29c647d3p-4, -0x1.7cb369d7dcf6p-4, -0x1.77eedbc44645fp-4, -0x1.733434b82b9c3p-4, -0x1.6e837fd42f448p-4, -0x1.69dcc73e23948p-4, -0x1.654013e67e341p-4, -0x1.60ad6daed6e7bp-4, -0x1.5c24db86f9c34p-4, -0x1.57a6635dd045bp-4, -0x1.53320a30a8f81p-4, -0x1.4ec7d410a4af4p-4, -0x1.4a67c4253cb5p-4, -0x1.4611dcb54685fp-4, -0x1.41c61f35c31c9p-4, -0x1.3d848c4b7714ap-4, -0x1.394d23d34f60fp-4, -0x1.351fe4e8cf651p-4, -0x1.30fccdf37c5c2p-4, -0x1.2ce3dc9aa6dd7p-4, -0x1.28d50dbb91b95p-4, -0x1.24d05dc991384p-4, -0x1.20d5c84a0288cp-4, -0x1.1ce5487c8adf6p-4, -0x1.18fed916b1f6p-4, -0x1.152273dd2e593p-4, -0x1.1150120f7c9cdp-4, -0x1.0d87ac9fa9c09p-4, -0x1.09c93bfc5588fp-4, -0x1.0614b80250cdap-4, -0x1.026a180870bd2p-4, -0x1.fd92a5f04f9e5p-5, -0x1.f664beaec0f9ep-5, -0x1.ef4a6690f80b7p-5, -0x1.e8438911f340cp-5, -0x1.e15010e05f3d3p-5, -0x1.da6fe7e4bd599p-5, -0x1.d3a2f74ffa1c7p-5, -0x1.cce927a015a02p-5, -0x1.c64260c388f4dp-5, -0x1.bfae8a145e658p-5, -0x1.b92d8a2a40639p-5, -0x1.b2bf473332cc5p-5, -0x1.ac63a6c7718f3p-5, -0x1.a61a8dfa27cdap-5, -0x1.9fe3e16b5481fp-5, -0x1.99bf84f39b5ep-5, -0x1.93ad5c9177bep-5, -0x1.8dad4b6ac3627p-5, -0x1.87bf346235895p-5, -0x1.81e2f9bdf8545p-5, -0x1.7c187dbec92aep-5, -0x1.765fa22c35487p-5, -0x1.70b848773366dp-5, -0x1.6b2251bcc2017p-5, -0x1.659d9ece179e3p-5, -0x1.602a103f637e2p-5, -0x1.5ac78669147a8p-5, -0x1.5575e167aa932p-5, -0x1.5035011b70902p-5, -0x1.4b04c52a8f4a7p-5, -0x1.45e50d1d89a22p-5, -0x1.40d5b82de1c8ep-5, -0x1.3bd6a580aef2dp-5, -0x1.36e7b4147f55ap-5, -0x1.3208c2ba4c416p-5, -0x1.2d39b00e29433p-5, -0x1.287a5ab12e7d2p-5, -0x1.23caa16627467p-5, -0x1.1f2a629205506p-5, -0x1.1a997c48a5fb3p-5, -0x1.1617cccab467fp-5, -0x1.11a532670ef79p-5, -0x1.0d418b4cd8acdp-5, -0x1.08ecb5a177064p-5, -0x1.04a68f82ccaefp-5, -0x1.006ef7043262p-5, -0x1.f88b9464dcac7p-6, -0x1.f055ce19efb68p-6, -0x1.e83c574a5955p-6, -0x1.e03eec76483d8p-6, -0x1.d85d49a258e0fp-6, -0x1.d0972b15e484p-6, -0x1.c8ec4d552f8a5p-6, -0x1.c15c6cca48aebp-6, -0x1.b9e746017848bp-6, -0x1.b28c959e932d5p-6, -0x1.ab4c185877eefp-6, -0x1.a4258b30c69bap-6, -0x1.9d18ab4c1d327p-6, -0x1.962535f6112b9p-6, -0x1.8f4ae8a69c8c8p-6, -0x1.88898107f53e2p-6, -0x1.81e0bcfbecc23p-6, -0x1.7b505a810394dp-6, -0x1.74d817ff8b59p-6, -0x1.6e77b3c15c9dap-6, -0x1.682eec9fa721dp-6, -0x1.61fd819de5941p-6, -0x1.5be3320847dfap-6, -0x1.55dfbd670e35bp-6, -0x1.4ff2e3849f04ap-6, -0x1.4a1c6473ccc84p-6, -0x1.445c009596db8p-6, -0x1.3eb178a1644f3p-6, -0x1.391c8da2b368fp-6, -0x1.339d00eca7574p-6, -0x1.2e32941b815e9p-6, -0x1.28dd0923b10e8p-6, -0x1.239c225426df2p-6, -0x1.1e6fa24ef7b7fp-6, -0x1.19574c0792d5ap-6, -0x1.1452e2c9be904p-6, -0x1.0f622a4fd5303p-6, -0x1.0a84e6b81d7p-6, -0x1.05badc5265147p-6, -0x1.0103cfe0419e6p-6, -0x1.f8bf0d6e53115p-7, -0x1.ef9b8ca27e664p-7, -0x1.e69ca8c1c7afbp-7, -0x1.ddc1ee3bf9cd2p-7, -0x1.d50aeb37a7d67p-7, -0x1.cc772eb9be2a2p-7, -0x1.c4064713125dbp-7, -0x1.bbb7c3dbf04f4p-7, -0x1.b38b36436e919p-7, -0x1.ab802f15b8d1bp-7, -0x1.a396405ba7c0ep-7, -0x1.9bccfdab6ce5cp-7, -0x1.9423fb2f77a45p-7, -0x1.8c9acda51294ep-7, -0x1.85310aa568454p-7, -0x1.7de648b2e08cbp-7, -0x1.76ba1f5f43816p-7, -0x1.6fac26a9eb9d3p-7, -0x1.68bbf7db45ff4p-7, -0x1.61e92cb667b7ap-7, -0x1.5b33602479226p-7, -0x1.549a2ddea13abp-7, -0x1.4e1d3278232cdp-7, -0x1.47bc0b6828de9p-7, -0x1.4176570c59635p-7, -0x1.3b4bb4a391e73p-7, -0x1.353bc44858a88p-7, -0x1.2f4626eb18c5bp-7, -0x1.296a7e61aedbcp-7, -0x1.23a86d714c9c4p-7, -0x1.1dff97b2e3dc9p-7, -0x1.186fa1ad69316p-7, -0x1.12f830ce1daadp-7, -0x1.0d98eb6088c42p-7, -0x1.0851789745749p-7, -0x1.0321808cc6cbdp-7, -0x1.fc1158852392cp-8, -0x1.f20d4b2ef8cafp-8, -0x1.e8362e7ff16b6p-8, -0x1.de8b598cbe77cp-8, -0x1.d50c2518e22adp-8, -0x1.cbb7eb98eebbbp-8, -0x1.c28e099dc9f08p-8, -0x1.b98ddd83f0f9bp-8, -0x1.b0b6c71dad3b8p-8, -0x1.a808285aaf39dp-8, -0x1.9f8164e1bbf83p-8, -0x1.9721e1e0e923ap-8, -0x1.8ee9062a36853p-8, -0x1.86d63a68958b2p-8, -0x1.7ee8e89c9ea44p-8, -0x1.77207d17e4842p-8, -0x1.6f7c655c1870cp-8, -0x1.67fc10e0a6a16p-8, -0x1.609ef0d3d390ap-8, -0x1.596478126d294p-8, -0x1.524c1b1f037a5p-8, -0x1.4b55501ebc612p-8, -0x1.447f8edc2193ep-8, -0x1.3dca50caf39a3p-8, -0x1.37351106ce75dp-8, -0x1.30bf4c396936p-8, -0x1.2a688066b3719p-8, -0x1.24302d6372cc1p-8, -0x1.1e15d56434ad7p-8, -0x1.1818fb77e24bbp-8, -0x1.123923c59208dp-8, -0x1.0c75d4bbfa51fp-8, -0x1.06ce965ce9aeep-8, -0x1.0142f2062fbc6p-8, -0x1.f7a4e5432fcafp-9, -0x1.ecf9494e5e64dp-9, -0x1.e2822c1a3c859p-9, -0x1.d83eac94964eep-9, -0x1.ce2deccab0d8p-9, -0x1.c44f11ea360e1p-9, -0x1.baa1440d35303p-9, -0x1.b123ae0001cabp-9, -0x1.a7d57d4098e77p-9, -0x1.9eb5e21611899p-9, -0x1.95c41061c75ap-9, -0x1.8cff3e0b2372p-9, -0x1.8466a4a9a768p-9, -0x1.7bf9800024e27p-9, -0x1.73b70e7f6ae5p-9, -0x1.6b9e916288d8dp-9, -0x1.63af4cea562aep-9, -0x1.5be8884c57ac2p-9, -0x1.54498d303a3c6p-9, -0x1.4cd1a7e161fe8p-9, -0x1.45802719843b3p-9, -0x1.3e545c1662737p-9, -0x1.374d9a518085ap-9, -0x1.306b38053e59dp-9, -0x1.29ac8e0f4ee6bp-9, -0x1.2310f800428f5p-9, -0x1.1c97d4197a77dp-9, -0x1.16408285b2259p-9, -0x1.100a643d12367p-9, -0x1.09f4df0ca2ed6p-9, -0x1.03ff5da655cadp-9, -0x1.fc52936a9b31ep-10, -0x1.f0e41bebc1d14p-10, -0x1.e5b22bd9be1f8p-10, -0x1.dabba7d1fc3c3p-10, -0x1.cfff78886206ap-10, -0x1.c57c88997cba9p-10, -0x1.bb31c684f2908p-10, -0x1.b11e2513288ap-10, -0x1.a7409b1d1793bp-10, -0x1.9d9823276ce14p-10, -0x1.9423bc875b37bp-10, -0x1.8ae26af936fcbp-10, -0x1.81d3367ed7d5fp-10, -0x1.78f52a9518d9ap-10, -0x1.704756970d7b1p-10, -0x1.67c8ce6614eeep-10, -0x1.5f78aa96c07afp-10, -0x1.575607cb9887p-10, -0x1.4f6005f9f872ap-10, -0x1.4795c83666e2ap-10, -0x1.3ff674efcdffdp-10, -0x1.388136481156bp-10, -0x1.31353a4eae169p-10, -0x1.2a11b2da41b27p-10, -0x1.2315d500876c4p-10, -0x1.1c40d89b103b6p-10, -0x1.1591f806abd55p-10, -0x1.0f0870a945b1bp-10, -0x1.08a385466a38dp-10, -0x1.02627cd4dfeb6p-10, -0x1.f88940714dd24p-11, -0x1.ec9279888bd88p-11, -0x1.e0df467e1411bp-11, -0x1.d56e4d51925c2p-11, -0x1.ca3e38fb313bbp-11, -0x1.bf4db9d1701p-11, -0x1.b49b85836554fp-11, -0x1.aa2656f5a8e11p-11, -0x1.9fecee687e754p-11, -0x1.95ee11a97f9fbp-11, -0x1.8c288cc37b581p-11, -0x1.829b3294a1da4p-11, -0x1.7944dd5927b72p-11, -0x1.70246df6c3bf1p-11, -0x1.6738cc3e0d42p-11, -0x1.5e80e5d790483p-11, -0x1.55fbac8fedaf5p-11, -0x1.4da81540005a9p-11, -0x1.4585174868eb8p-11, -0x1.3d91ac91c767ap-11, -0x1.35ccd1e9669b4p-11, -0x1.2e3587a51a746p-11, -0x1.26cad2423001bp-11, -0x1.1f8bbbb769478p-11, -0x1.1877576b1b13cp-11, -0x1.118cb03b61949p-11, -0x1.0acaee5a72ea2p-11, -0x1.043128821db59p-11, -0x1.fb7d282cad68p-12, -0x1.eee4c436e3958p-12, -0x1.e2978c5479c7bp-12, -0x1.d693f217e8683p-12, -0x1.cad86b1cf10dap-12, -0x1.bf636f4733b9dp-12, -0x1.b433787f7a19dp-12, -0x1.a94702d0d5e1dp-12, -0x1.9e9c89a63edd3p-12, -0x1.94327fe4f5facp-12, -0x1.8a076d6050b49p-12, -0x1.801a13d31dacfp-12, -0x1.7668eceb94bb6p-12, -0x1.6cf29533f49b9p-12, -0x1.63b5f3467688bp-12, -0x1.5ab19ae31280cp-12, -0x1.51e446a810977p-12, -0x1.494cd64aeea3ep-12, -0x1.40ea25ad73acdp-12, -0x1.38bb1248c15f6p-12, -0x1.30be7d10701cdp-12, -0x1.28f348dfc5e9p-12, -0x1.21585a3fc402dp-12, -0x1.19ec980ef813bp-12, -0x1.12aeebb75c032p-12, -0x1.0b9e465b4cd19p-12, -0x1.04b99dc10c8f5p-12, -0x1.fbffe245804a1p-13, -0x1.eee08e618861ep-13, -0x1.e2135b1a6abeap-13, -0x1.d5966b5625fe1p-13, -0x1.c967cf36240d7p-13, -0x1.bd85b51c7ba12p-13, -0x1.b1ee907c117cdp-13, -0x1.a6a0a1e72fdc3p-13, -0x1.9b9a0a55a6bf3p-13, -0x1.90d9370859643p-13, -0x1.865c9e9f6cf62p-13, -0x1.7c22aa8b4db3ap-13, -0x1.7229cc8fe8fe8p-13, -0x1.68707da26e452p-13, -0x1.5ef53320a23cp-13, -0x1.55b6888cbc3efp-13, -0x1.4cb2fb0006a64p-13, -0x1.43e92e1ca2af7p-13, -0x1.3b57f7ed0a6b2p-13, -0x1.32fd9d3eb2509p-13, -0x1.2ad95fee15203p-13, -0x1.22e96b899393p-13, -0x1.1b2cb0febb4e6p-13, -0x1.13a1eeb68a455p-13, -0x1.0c47eea167385p-13, -0x1.051d81fd4123cp-13, -0x1.fc431d669794bp-14, -0x1.eea5f6c06ce9ep-14, -0x1.e16171542cec5p-14, -0x1.d4737abacc8b8p-14, -0x1.c7da0ccda6ab4p-14, -0x1.bb932c270f49p-14, -0x1.af9ce71e08391p-14, -0x1.a3f554f56f6ccp-14, -0x1.989a955a4a43dp-14, -0x1.8d8ad0b8ca2fcp-14, -0x1.82c438d09ee8ep-14, -0x1.784506d05d604p-14, -0x1.6e0b7554135e3p-14, -0x1.6415b851ff926p-14, -0x1.5a61f85476ff8p-14, -0x1.50ee5b7fd2e2dp-14, -0x1.47b91d882784p-14, -0x1.3ec09cc62c625p-14, -0x1.360348d83b246p-14, -0x1.2d7f9af8f8b18p-14, -0x1.25341c32edd76p-14, -0x1.1d1f77d5a5c28p-14, -0x1.154077654353dp-14, -0x1.0d95f2bc3d3fap-14, -0x1.061ec6e1e3454p-14, -0x1.fdb3a0a39c2fap-15, -0x1.ef8bcaf42ccf4p-15, -0x1.e1c3abd0e4818p-15, -0x1.d458dea509a9ap-15, -0x1.c74908ba41cd2p-15, -0x1.ba91e094782bdp-15, -0x1.ae312c12ce3f8p-15, -0x1.a224b98241c2p-15, -0x1.966a59a5ea651p-15, -0x1.8affdca67c435p-15, -0x1.7fe30f743b225p-15, -0x1.7511b7f7b4f89p-15, -0x1.6a8992781b72ap-15, -0x1.604856ae6ada8p-15, -0x1.564bcafa8aa7p-15, -0x1.4c91e2cbd1792p-15, -0x1.4318d8a75365bp-15, -0x1.39df3a9576992p-15, -0x1.30e42f89b76a9p-15, -0x1.2825c80d45122p-15, -0x1.1fa2c257f8cbap-15, -0x1.175a4b01ec7afp-15, -0x1.0f4a73eca7b91p-15, -0x1.0771aee0f1a37p-15, -0x1.ff9d1c884e9ddp-16, -0x1.f0bf8cf98cd47p-16, -0x1.e24851c0300bcp-16, -0x1.d435154c57ce6p-16, -0x1.c6833a21d904ep-16, -0x1.b92ff27f38d1fp-16, -0x1.ac37c340dec0fp-16, -0x1.9f9b5d24ceeb6p-16, -0x1.935367154ec3p-16, -0x1.876285216c093p-16, -0x1.7bc2b3f385184p-16, -0x1.70720595b38ecp-16, -0x1.656ddfac53bbap-16, -0x1.5ab4582830a0bp-16, -0x1.5043ec8a572d8p-16, -0x1.461b1c5208a28p-16, -0x1.3c384a14edc58p-16, -0x1.3299ba1eb6b38p-16, -0x1.293d42d121c49p-16, -0x1.201ffa5fbe4dap-16, -0x1.1741496ba10bp-16, -0x1.0ea020d9cbf72p-16, -0x1.0639169628fe4p-16, -0x1.fc1636735b2bp-17, -0x1.ec2a9d16fe1bep-17, -0x1.dcacc47987e0fp-17, -0x1.cd9a313143a71p-17, -0x1.bef08ba166ed6p-17, -0x1.b0ad4a164601p-17, -0x1.a2ca2b0f090fdp-17, -0x1.9546a656678edp-17, -0x1.8822f7d32ebecp-17, -0x1.7b5886d45226bp-17, -0x1.6ee8a84a3480cp-17, -0x1.62c9e5638e17bp-17, -0x1.56fe0e5a0151p-17, -0x1.4b835c8d53b87p-17, -0x1.40578166ec7a5p-17, -0x1.35779257dedeap-17, -0x1.2ae16ef62d03fp-17, -0x1.2095577bbba7bp-17, -0x1.168f2ed12a79bp-17, -0x1.0cce9b45d9cd1p-17, -0x1.0352314b87339p-17, -0x1.f42bff5b9c0dap-18, -0x1.e23182a18e6cep-18, -0x1.d0b1b4b6dcc54p-18, -0x1.bfa8b9ee7f2bep-18, -0x1.af12844fe5ff6p-18, -0x1.9eec3e76faec1p-18, -0x1.8f30abadaf68ap-18, -0x1.7fea16797d6c4p-18, -0x1.7105beb12ee79p-18, -0x1.62881f9db9426p-18, -0x1.546d419db88ecp-18, -0x1.46b2df56a8ee7p-18, -0x1.39567bb4097ddp-18, -0x1.2c55987d22096p-18, -0x1.1fad705ef513p-18, -0x1.135b1d614523ap-18, -0x1.075c4c94a6645p-18, -0x1.f75e81aa5ea04p-19, -0x1.e0a3372b7ef06p-19, -0x1.ca802ae9974b7p-19, -0x1.b4f0596734f28p-19, -0x1.9ff26dbeb4e7bp-19, -0x1.8b862c32d6316p-19, -0x1.77a8680488d33p-19, -0x1.64530db1e6e37p-19, -0x1.5180b2fbc996ep-19, -0x1.3f2e4ed04a96cp-19, -0x1.2d598dafa49b7p-19, -0x1.1c03729ba9712p-19, -0x1.0b1de7659b655p-19, -0x1.f54f5ddc3dffp-20, -0x1.d549ade65b0bbp-20, -0x1.b61dd4413a1p-20, -0x1.97c9c775cb85ap-20, -0x1.7a46163285b3p-20, -0x1.5d8a1772a7d15p-20, -0x1.418d270620315p-20, -0x1.2659ceafe0915p-20, -0x1.0bcefca141efdp-20, -0x1.e419e290717ep-21, -0x1.b1f81bd45b11fp-21, -0x1.812c835b8f2dp-21, -0x1.51b01eb607e84p-21, -0x1.2378106c1121ep-21, -0x1.ecfa4eebcbf1bp-22, -0x1.9572fc58567bep-22, -0x1.404ae237857ap-22, -0x1.dadec80f2bb64p-23, -0x1.39a46b2e1e8d1p-23, -0x1.39ae44af276d1p-24, -0x1.1bca8bec5a906p-29, 0x1.1f5a2c96493afp-24, 0x1.1fa721d9eb6acp-23, 0x1.abb3dbc29bc2dp-23, 0x1.19ff21aaf4258p-22, 0x1.5c422f5682944p-22, 0x1.9c9b15f9d334bp-22, 0x1.db1fcc7f3e7ccp-22, 0x1.0bf26a29eba13p-21, 0x1.296ff4b973887p-21, 0x1.460b09e31188ep-21, 0x1.61edbbace361cp-21, 0x1.7cbc2399837f2p-21, 0x1.96f7a58ffb4c2p-21, 0x1.b0af123e8191ep-21, 0x1.c953d4ed93c85p-21, 0x1.e15088b40d17bp-21, 0x1.f894c2966583p-21, 0x1.07927d62aed61p-20, 0x1.1282f8c1e2463p-20, 0x1.1d33512439d8dp-20, 0x1.277a2944fc1b7p-20, 0x1.31615d0c941f4p-20, 0x1.3b093bd33a031p-20, 0x1.44621162dcbf6p-20, 0x1.4d6d9f1e6140dp-20, 0x1.562b8bcfa9313p-20, 0x1.5e9e9a4c9897ep-20, 0x1.66ced3b422cc6p-20, 0x1.6ebcbe42dcc2ap-20, 0x1.766516d51d5b7p-20, 0x1.7dc968cbca545p-20, 0x1.84e928209e653p-20, 0x1.8bc6f1eca13dfp-20, 0x1.9268f82639a1dp-20, 0x1.98cf0a6da1a8ap-20, 0x1.9ef56d8c49b1p-20, 0x1.a4e8a787a987ap-20, 0x1.aa893ea487a54p-20, 0x1.afffc59e9979ap-20, 0x1.b5398391add8dp-20, 0x1.ba36e42301a94p-20, 0x1.bf2827e6b39e9p-20, 0x1.c3bcedb2e296ap-20, 0x1.c82ba30a0590bp-20, 0x1.cc566ffcce8a9p-20, 0x1.d05e348c19926p-20, 0x1.d439821ec1b5fp-20, 0x1.d7dc1045a8cf1p-20, 0x1.db527e8b304b3p-20, 0x1.de9cd6bb06759p-20, 0x1.e1ba94f120f9dp-20, 0x1.e4ab9966b9544p-20, 0x1.e7718fad4cd15p-20, 0x1.ea0e0d79c7053p-20, 0x1.ec81d65a259e3p-20, 0x1.eecd202ca7e75p-20, 0x1.f0efe0c0993fap-20, 0x1.f2ea5de3cee43p-20, 0x1.f4bda3cba20bdp-20, 0x1.f66adc9fc961bp-20, 0x1.f7f2ec7de43d3p-20, 0x1.f95796d3dbc68p-20, 0x1.fa9c4b5dfb6eep-20, 0x1.fbc15d1f9d419p-20, 0x1.fcbe8a20689a2p-20, 0x1.fd933e5cad37ep-20, 0x1.fe4a96fb979bep-20, 0x1.fee3af18e922ep-20, 0x1.ff55a6afbb052p-20, 0x1.ffae7d1b9eb75p-20, 0x1.ffd7c0f3e05cap-20, 0x1.0007de7a49779p-19, 0x1.000124f2ec851p-19, 0x1.ffe52fe4c178ap-20, 0x1.ffa8f8281822dp-20, 0x1.ff50b4ff9ddcap-20, 0x1.feddf359174a8p-20, 0x1.fe4f9654b4c94p-20, 0x1.fdaac0922acecp-20, 0x1.fcf302dfc8b06p-20, 0x1.fc1648c874ba2p-20, 0x1.fb1f384f5d194p-20, 0x1.fa11447d89945p-20, 0x1.f8ee626df6a61p-20, 0x1.f7b0f4ec1599ep-20, 0x1.f65f158d0e39dp-20, 0x1.f4f310e497d08p-20, 0x1.f36e83259ca3dp-20, 0x1.f1d6da1f9dcb1p-20, 0x1.f02b340bde486p-20, 0x1.ee69e2152778ep-20, 0x1.ec9eb66476b56p-20, 0x1.ea884b014557bp-20, 0x1.e8a7ad2e386acp-20, 0x1.e6987869f8dcp-20, 0x1.e47c2304d0ffbp-20, 0x1.e2441175afcedp-20, 0x1.dffc936e4a9cbp-20, 0x1.dda1dd0ba260fp-20, 0x1.db3018be05e1cp-20, 0x1.d8af32b92cc0ep-20, 0x1.d62e7693965b2p-20, 0x1.d38f09af791e8p-20, 0x1.d0e0293632a79p-20, 0x1.ce1d675af4351p-20, 0x1.cb4ff41361df6p-20, 0x1.c87cd6c31da5ep-20, 0x1.c58db3c84151fp-20, 0x1.c293f1b4674bap-20, 0x1.bf8f3ccac9721p-20, 0x1.bc7a274b177bbp-20, 0x1.b952aaaa191c8p-20, 0x1.b61d17bf8916cp-20, 0x1.b2dd559106e7cp-20, 0x1.af93c1ddb49a2p-20, 0x1.ac3f44b88a9bdp-20, 0x1.a8defc0aac4e7p-20, 0x1.a572e99d4073ap-20, 0x1.a1fbd41f68c73p-20, 0x1.9e7a6f8cb2e5bp-20, 0x1.9aeec1ef22509p-20, 0x1.97585ff69046dp-20, 0x1.93b70fcb2a55cp-20, 0x1.900b0d34733e5p-20, 0x1.8c54d47787ce4p-20, 0x1.8894ee134951fp-20, 0x1.84cc443bc663fp-20, 0x1.80fa0462bff23p-20, 0x1.7d1e7235b0731p-20, 0x1.79396c0427b0dp-20, 0x1.754f527f7f933p-20, 0x1.716acc1f6982ep-20, 0x1.6d61d8f41dda1p-20, 0x1.696fb94fb72f4p-20, 0x1.65643c6a49187p-20, 0x1.615baad50ae6ep-20, 0x1.5d475a26ce964p-20, 0x1.59214f9d9959dp-20, 0x1.54fdcb8529bfbp-20, 0x1.50e4e70d2b1c5p-20, 0x1.4cc1e1cf5d7e6p-20, 0x1.487864b7a04d3p-20, 0x1.4448552ccd9a3p-20, 0x1.400a75f58c9eep-20, 0x1.3bc9ecc84e31ep-20, 0x1.378c39c7a3477p-20, 0x1.3345b9c5d4521p-20, 0x1.2ef5b3c42f13ep-20, 0x1.2aa77b2331ba2p-20, 0x1.26500df4da97dp-20, 0x1.21f09d1d40274p-20, 0x1.1d98b8fdbc41ep-20, 0x1.1942a55b4520cp-20, 0x1.14e006d36031p-20, 0x1.107b1ff556e19p-20, 0x1.0c179f64841e9p-20, 0x1.07ae042145ca5p-20, 0x1.033fa05e6a7ddp-20, 0x1.fdb0716eda6d6p-21, 0x1.f4cc94757ccc9p-21, 0x1.ebf898bf08bcep-21, 0x1.e2cfc52cd039ep-21, 0x1.da1f437ec1904p-21, 0x1.d1397024f5329p-21, 0x1.c84ba952d8f94p-21, 0x1.bf614aba92beap-21, 0x1.b67f8f79a3b28p-21, 0x1.ad945d928118fp-21, 0x1.a4a8fd7af0bfep-21, 0x1.9bbb7a6706671p-21, 0x1.92c3613a50333p-21, 0x1.89cd48c0e9457p-21, 0x1.81033827c716dp-21, 0x1.781a88bdef9p-21, 0x1.6f369dbde9c28p-21, 0x1.6652f781681abp-21, 0x1.5d79e310ebd8dp-21, 0x1.5490c336464d8p-21, 0x1.4bb11af842cadp-21, 0x1.42d4109dc7da7p-21, 0x1.39f84aea7bc4fp-21, 0x1.3121a6aa7dbebp-21, 0x1.28508237da7a3p-21, 0x1.1f83a8dfd8fa9p-21, 0x1.16bb2a1742f1dp-21, 0x1.0df98c98f7b7ep-21, 0x1.053dc477454bfp-21, 0x1.f8fd3ea05b70ep-22, 0x1.e7a60266779e1p-22, 0x1.d6448811db1c5p-22, 0x1.c4fd8dca610a2p-22, 0x1.b3b7eff78c5e9p-22, 0x1.a2a244ee83768p-22, 0x1.9162e2e94c403p-22, 0x1.8014f38dc6fa3p-22, 0x1.6f0e8a8082b46p-22, 0x1.5e13238dfdebep-22, 0x1.4d1436dd22847p-22, 0x1.3c22f905f45dp-22, 0x1.2b47e653bc6d1p-22, 0x1.1a81bb818fa76p-22, 0x1.09cfe45f2c40bp-22, 0x1.f260b311026e8p-23, 0x1.d13139d850d4ep-23, 0x1.b00f80d63a2f8p-23, 0x1.8eff04b9b064dp-23, 0x1.6e515d3fbc7a1p-23, 0x1.4dc0b63264638p-23, 0x1.2d6242dea985ap-23, 0x1.0d22723387124p-23, 0x1.d9b37e3aa391ap-24, 0x1.99824266aa12cp-24, 0x1.59d459b6bcca4p-24, 0x1.1a640bb447ed7p-24, 0x1.b6161803d7e8bp-25, 0x1.388647c0a27dbp-25, 0x1.7935ea525f24cp-26, 0x1.0300d106ad836p-27, -0x1.ddb5606497661p-28, -0x1.6d5102d8f6296p-26, -0x1.317184ffb0ddbp-25, -0x1.ac2ac86964755p-25, -0x1.126a4bd9fa3f4p-24, -0x1.4e33615d3e46cp-24, -0x1.89d5c1c870998p-24, -0x1.c53f9705dc163p-24, -0x1.002131a56dad6p-23, -0x1.1d67f72d9d737p-23, -0x1.3aa426f2135d4p-23, -0x1.5788eeead1cecp-23, -0x1.74092ba570eb5p-23, -0x1.90d32ca590a51p-23, -0x1.ad3421adb66bbp-23, -0x1.c94b851a9002dp-23, -0x1.e551086619907p-23, -0x1.0092dcbc3da69p-22, -0x1.0e62f14cbfcf2p-22, -0x1.1c18acb8a6593p-22, -0x1.29b45853c2164p-22, -0x1.3738af9f58458p-22, -0x1.449496ffddc03p-22, -0x1.51eca68346679p-22, -0x1.5f1a9638986bap-22, -0x1.6c30f0e6d9ce2p-22, -0x1.792e34c642cd3p-22, -0x1.8611ea149cdf8p-22, -0x1.92db6105f43ddp-22, -0x1.9f95c9b934d87p-22, -0x1.ac44c2001cf4p-22, -0x1.b88728fe7e694p-22, -0x1.c49b802047af4p-22, -0x1.d165559e1679bp-22, -0x1.dd8e9454b60c1p-22, -0x1.e98e53e62dbcfp-22, -0x1.f57c6b45f589p-22, -0x1.00aef022c3808p-21, -0x1.06c7ac43e9b2cp-21, -0x1.0c36a7004cb2ep-21, -0x1.11fd965c61fcp-21, -0x1.17cfd87cd4e2dp-21, -0x1.1d798067e2cbap-21, -0x1.2316605a8b326p-21, -0x1.28a1e8cf54819p-21, -0x1.2e23e127f5f2bp-21, -0x1.33919316d10ddp-21, -0x1.39009b13dae1dp-21, -0x1.3e521404b281ap-21, -0x1.43a01c45a5652p-21, -0x1.48d75e5232ea9p-21, -0x1.4e0288cd07c9bp-21, -0x1.5326a403e0b63p-21, -0x1.58361438e813bp-21, -0x1.5d3c03ed92431p-21, -0x1.622cc99d26c8ep-21, -0x1.671424adc59f4p-21, -0x1.6bf0ed9b24d11p-21, -0x1.70bd6b8eaafb2p-21, -0x1.757e476daeb4p-21, -0x1.7a343730613dbp-21, -0x1.7edbb9dc85c74p-21, }}, 
      std::vector<double>(950, 0.0), 
      {{-0x1.a24cebb1e7715p-9, -0x1.9c57cda11d42p-7, -0x1.7eafb7ffb2d73p-6, -0x1.debe93b11e41fp-6, -0x1.ae7c4182c2b27p-6, -0x1.b99d9acf3934dp-7, 0x1.070c0443f2c3fp-7, 0x1.252b4d807d8b8p-5, 0x1.11a3a68a333a3p-4, 0x1.91cc4cf31506p-4, 0x1.041ebb46fb5b2p-3, 0x1.3625fb61c86a4p-3, 0x1.5bd9290cedc07p-3, 0x1.73400398ce7f3p-3, 0x1.7b6d7abf1caaap-3, 0x1.7455421985a9ep-3, 0x1.5e9e0080bffa4p-3, 0x1.3b74d50cb263fp-3, 0x1.0c64cb6d5af3cp-3, 0x1.a6670dcf446e3p-4, 0x1.238733c5e21b2p-4, 0x1.27f217c4aed24p-5, -0x1.23fa8b3cc3342p-10, -0x1.452f0ae7a75dp-5, -0x1.42ec76f0b1bdp-4, -0x1.e2b4c2bfca8abp-4, -0x1.3fba3289988b5p-3, -0x1.8b87a73a9108bp-3, -0x1.d3e3e09294fe6p-3, -0x1.0c0e802716357p-2, -0x1.2bd586756a1bp-2, -0x1.49161da7d7131p-2, -0x1.63b0733d4d9afp-2, -0x1.7b93b1972307dp-2, -0x1.90bbf05f4d776p-2, -0x1.a3303db94269p-2, -0x1.b300c41dc0904p-2, -0x1.c04516d4f3a89p-2, -0x1.cb1aa81b18a83p-2, -0x1.d3a3692dc3dbcp-2, -0x1.da04914f897abp-2, -0x1.de658d427b4fep-2, -0x1.e0ef156ed8c53p-2, -0x1.e1ca652e86a0bp-2, -0x1.e12091b72cf84p-2, -0x1.df1a008d7a535p-2, -0x1.dbddf8a827bb2p-2, -0x1.d7924a96f7caap-2, -0x1.d25b0c7afb638p-2, -0x1.cc5a6935ad8ebp-2, -0x1.c5b07f900ae2dp-2, -0x1.be7b4e753c82ep-2, -0x1.b6d6aa7da559p-2, -0x1.aedc3e5810bp-2, -0x1.a6a3914a31f9cp-2, -0x1.9e42146706671p-2, -0x1.95cb349740625p-2, -0x1.8d506ed32b8cfp-2, -0x1.84e166da0dbbap-2, -0x1.7c8c00e9ca6e6p-2, -0x1.745c7b5ac8c1p-2, -0x1.6c5d8a5222d99p-2, -0x1.649871b900688p-2, -0x1.5d1520ae89cb3p-2, -0x1.55da4a1e45a54p-2, -0x1.4eed7e4ada72fp-2, -0x1.4853425db7d8bp-2, -0x1.420f276cfa41ap-2, -0x1.3c23e0ec7c692p-2, -0x1.3693593dc849p-2, -0x1.315ec558c88f3p-2, -0x1.2c86b762aeda7p-2, -0x1.280b2f9fd9a1fp-2, -0x1.23ebac43025f7p-2, -0x1.20273846a06ep-2, -0x1.1cbc790658e4cp-2, -0x1.19a9bac2f3d52p-2, -0x1.16ecfc6fb1dcdp-2, -0x1.1483fa6e5d124p-2, -0x1.126c387e6d294p-2, -0x1.10a30ac628c9fp-2, -0x1.0f259e292c5f6p-2, -0x1.0df0ffed751eap-2, -0x1.0d0224728fc86p-2, -0x1.0c55ed602630cp-2, -0x1.0be92f6f92d1dp-2, -0x1.0bb8b72bceb21p-2, -0x1.0bc14dbd42bdp-2, -0x1.0bffbcc67edbdp-2, -0x1.0c70d1e8ab029p-2, -0x1.0d116224de979p-2, -0x1.0dde4c96ebdf9p-2, -0x1.0ed47cc3ccf94p-2, -0x1.0ff0ed059ecedp-2, -0x1.1130a837d5845p-2, -0x1.1290cb6419c78p-2, -0x1.140e870509987p-2, -0x1.15a72043a226fp-2, -0x1.1757f1c622dbfp-2, -0x1.191e6c753ccebp-2, -0x1.1af817f482d59p-2, -0x1.1ce2932d89583p-2, -0x1.1edb9482bb3fcp-2, -0x1.20e0e9e2831bap-2, -0x1.22f078d8cf607p-2, -0x1.25083e811ddffp-2, -0x1.27264f59402bp-2, -0x1.2948d709a2815p-2, -0x1.2b6e180df111fp-2, -0x1.2d946b4799e9dp-2, -0x1.2fba3fdd736dcp-2, -0x1.31de1a499ced3p-2, -0x1.33fe945279971p-2, -0x1.361a5c4bb6084p-2, -0x1.3830346318abcp-2, -0x1.3a3ef268d72d5p-2, -0x1.3c457f0a184b1p-2, -0x1.3e42d4ff5f2eep-2, -0x1.403600df86ca7p-2, -0x1.421e203712426p-2, -0x1.43fa60d35fe3ap-2, -0x1.45ca00a22ff35p-2, -0x1.478c4c866a967p-2, -0x1.49409fdfca246p-2, -0x1.4ae664623c698p-2, -0x1.4c7d10f342a85p-2, -0x1.4e04290a2369bp-2, -0x1.4f7b3cdbc47fdp-2, -0x1.50e1e81d2f205p-2, -0x1.5237d1553b274p-2, -0x1.537caa2280dbdp-2, -0x1.54b02e3927935p-2, -0x1.55d2227efcc4bp-2, -0x1.56e25536dec6ep-2, -0x1.57e09dbb55256p-2, -0x1.58ccdb08931d1p-2, -0x1.59a6f3d6e19afp-2, -0x1.5a6ed6d9606b8p-2, -0x1.5b24796fb19aep-2, -0x1.5bc7d728fa97p-2, -0x1.5c58f21ee3519p-2, -0x1.5cd7d29af7dfep-2, -0x1.5d4485ed6a5bcp-2, -0x1.5d9f1e5aabb38p-2, -0x1.5de7b3912da27p-2, -0x1.5e1e61e00a066p-2, -0x1.5e434950331e7p-2, -0x1.5e568dde67794p-2, -0x1.5e5857db96842p-2, -0x1.5e48d2fb2b1b6p-2, -0x1.5e282d9c517aap-2, -0x1.5df699482b492p-2, -0x1.5db44abb541eap-2, -0x1.5d61793aab75ep-2, -0x1.5cfe5dec2a5cfp-2, -0x1.5c8b3431a7377p-2, -0x1.5c0839decc024p-2, -0x1.5b75ae99bc3edp-2, -0x1.5ad3d342bbf4p-2, -0x1.5a22ea38c0b96p-2, -0x1.596337757ae2fp-2, -0x1.58950063641d6p-2, -0x1.57b88b360be6p-2, -0x1.56ce1ece4e243p-2, -0x1.55d6031679d81p-2, -0x1.54d080ff50531p-2, -0x1.53bde1ef91904p-2, -0x1.529e6f86e28d9p-2, -0x1.517273c53588cp-2, -0x1.503a393b4002p-2, -0x1.4ef60ad39d22p-2, -0x1.4da633678d99dp-2, -0x1.4c4afdb03e82ep-2, -0x1.4ae4b46f389cep-2, -0x1.4973a2899c166p-2, -0x1.47f812cbdd85bp-2, -0x1.46724f97dc76bp-2, -0x1.44e2a2e65da63p-2, -0x1.4349567a5d4abp-2, -0x1.41a6b3ce746f8p-2, -0x1.3ffb0403e8ec1p-2, -0x1.3e468fa075ffap-2, -0x1.3c899e84ea8bbp-2, -0x1.3ac4780929035p-2, -0x1.38f76312612c4p-2, -0x1.3722a5f90b47p-2, -0x1.354686543f2bp-2, -0x1.336348f07e7b4p-2, -0x1.317931dce3b6p-2, -0x1.2f888480e373fp-2, -0x1.2d91839cf3885p-2, -0x1.2b94711e33349p-2, -0x1.29918e0ff07c2p-2, -0x1.27891a9d6af0ep-2, -0x1.257b561fb7f62p-2, -0x1.23687f29fe28fp-2, -0x1.2150d37eac48bp-2, -0x1.1f348ff94f4b1p-2, -0x1.1d13f07bd103ap-2, -0x1.1aef2ffcaa3e7p-2, -0x1.18c68892eab41p-2, -0x1.169a337c8aa3ap-2, -0x1.146a6912e7b1p-2, -0x1.123760ba294d7p-2, -0x1.100150df87981p-2, -0x1.0dc86efb35bf6p-2, -0x1.0b8cef9db835ap-2, -0x1.094f0674729ccp-2, -0x1.070ee64287065p-2, -0x1.04ccc0d87abe3p-2, -0x1.0288c7132136ap-2, -0x1.004328da5d9d2p-2, -0x1.fbf82a508c7b8p-3, -0x1.f76774279234bp-3, -0x1.f2d489a215d3bp-3, -0x1.ee3fc34e2a606p-3, -0x1.e9a977dbbd558p-3, -0x1.e511fc25f8d78p-3, -0x1.e079a32b8f9ebp-3, -0x1.dbe0be32d461ep-3, -0x1.d7479cc31d782p-3, -0x1.d2ae8ca07955cp-3, -0x1.ce15d9cfcef58p-3, -0x1.c97dce9115768p-3, -0x1.c4e6b363de135p-3, -0x1.c050cf0f1d537p-3, -0x1.bbbc66abd55a3p-3, -0x1.b729bdaec585p-3, -0x1.b29915eab5ffap-3, -0x1.ae0aaf8aa06e2p-3, -0x1.a97ec9100d3b8p-3, -0x1.a4f59f5911a32p-3, -0x1.a06f6da8e6b7p-3, -0x1.9bec6db39d52ap-3, -0x1.976cd7a8afc8ep-3, -0x1.92f0e232a587bp-3, -0x1.8e78c26fe0505p-3, -0x1.8a04abf771d39p-3, -0x1.8594d0e508d14p-3, -0x1.812961d71fc85p-3, -0x1.7cc28dfab630ap-3, -0x1.786083152dd6fp-3, -0x1.74036d88a0edfp-3, -0x1.6fab784be79a4p-3, -0x1.6b58ccfff9c18p-3, -0x1.670b93d5fa78fp-3, -0x1.62c3f3b88f7abp-3, -0x1.5e82123b14bcfp-3, -0x1.5a4613a6d0c89p-3, -0x1.56101aff295d9p-3, -0x1.51e04a0873b6dp-3, -0x1.4db6c14aafd44p-3, -0x1.4993a01378945p-3, -0x1.4577047ab45e8p-3, -0x1.41610b68c7135p-3, -0x1.3d51d09b9f124p-3, -0x1.39496eabed5aap-3, -0x1.3547ff1513aecp-3, -0x1.314d9a38926dcp-3, -0x1.2d5a57626cb74p-3, -0x1.296e4cc97cdd1p-3, -0x1.25898f97c266ep-3, -0x1.21ac33ee6b9cep-3, -0x1.1dd64ce8cbc0ep-3, -0x1.1a07eca30ba7dp-3, -0x1.16412440a58c2p-3, -0x1.128203f006cd4p-3, -0x1.0eca9aee190ddp-3, -0x1.0b1af78b3233p-3, -0x1.0773272f0fdc9p-3, -0x1.03d3365c1f6b4p-3, -0x1.003b30b452bc4p-3, -0x1.f95641fd526bep-4, -0x1.f2462256e882cp-4, -0x1.eb4614b15c79ap-4, -0x1.e45629ae9f45bp-4, -0x1.dd76705de6da9p-4, -0x1.d6a6f640bb30ep-4, -0x1.cfe7c75683852p-4, -0x1.c938ee2339952p-4, -0x1.c29a73b783bdcp-4, -0x1.bc0c5fbaf3fa6p-4, -0x1.b58eb8724c4c6p-4, -0x1.af2182c88b9ffp-4, -0x1.a8c4c25826aaap-4, -0x1.a2787970d12eap-4, -0x1.9c3ca9208ca15p-4, -0x1.961151395f4f6p-4, -0x1.8ff670591956p-4, -0x1.89ec03f29bc1cp-4, -0x1.83f20854db4fcp-4, -0x1.7e0878af6aebdp-4, -0x1.782f4f2302f5fp-4, -0x1.726684ba9f0ccp-4, -0x1.6cae1181742a1p-4, -0x1.6705ec7f21ad4p-4, -0x1.616e0bc3462aep-4, -0x1.5be6646b8dd31p-4, -0x1.566eeaa96f36ep-4, -0x1.510791c9b49e1p-4, -0x1.4bb04c3c1c0edp-4, -0x1.46690b989a82ep-4, -0x1.4131c0a502b01p-4, -0x1.3c0a5b5cf493ap-4, -0x1.36f2caf8f3e7dp-4, -0x1.31eafdf389bf5p-4, -0x1.2cf2e20e9465cp-4, -0x1.280a645a08af8p-4, -0x1.2331713a5f324p-4, -0x1.1e67f46de5338p-4, -0x1.19add9111e56p-4, -0x1.150309a54e256p-4, -0x1.106770187b28ap-4, -0x1.0bdaf5c97899cp-4, -0x1.075d838ba6ee4p-4, -0x1.02ef01ae201cbp-4, -0x1.fd1eaffca9a3fp-5, -0x1.f47cdb9d7e4dfp-5, -0x1.ebf8540029a05p-5, -0x1.e390e60a2bccap-5, -0x1.db465dbcda628p-5, -0x1.d318864f39701p-5, -0x1.cb072a3ce7791p-5, -0x1.c3121337afcf8p-5, -0x1.bb390a41f55d6p-5, -0x1.b37bd7be239b2p-5, -0x1.abda436f2798fp-5, -0x1.a454147f24497p-5, -0x1.9ce911878ade2p-5, -0x1.95990098de57cp-5, -0x1.8e63a74b34771p-5, -0x1.8748cab755d07p-5, -0x1.80482f95914cdp-5, -0x1.79619a29ef808p-5, -0x1.7294ce5f1bc4bp-5, -0x1.6be18fc71cef7p-5, -0x1.6547a1a430416p-5, -0x1.5ec6c6eef14e4p-5, -0x1.585ec25cb2733p-5, -0x1.520f56669c72p-5, -0x1.4bd84550b3a8cp-5, -0x1.45b951309f5cfp-5, -0x1.3fb23bf385a46p-5, -0x1.39c2c76386e67p-5, -0x1.33eab52e79e4ap-5, -0x1.2e29c6eb80eb2p-5, -0x1.287fbe21ac849p-5, -0x1.22ec5c4c783eap-5, -0x1.1d6f62e171cc9p-5, -0x1.180893554e7f7p-5, -0x1.12b7af21c3aa1p-5, -0x1.0d7c77cab3ac5p-5, -0x1.0856aee3c0531p-5, -0x1.03461614ac857p-5, -0x1.fc94de3a296bep-6, -0x1.f2c6f7b131f1p-6, -0x1.e921fc8859c57p-6, -0x1.dfa571048b019p-6, -0x1.d650d9bc51d9cp-6, -0x1.cd23bba09f458p-6, -0x1.c41d9c0578a61p-6, -0x1.bb3e00aa8bfc2p-6, -0x1.b2846fc1c6a4ep-6, -0x1.a9f06ffa0a36ap-6, -0x1.a181887583bf2p-6, -0x1.993740f2507c4p-6, -0x1.911121aab9586p-6, -0x1.890eb37360b2ap-6, -0x1.812f7fb8e5e7cp-6, -0x1.79731085e35b9p-6, -0x1.71d8f088a6d8dp-6, -0x1.6a60ab188a3d4p-6, -0x1.6309cc3b7a972p-6, -0x1.5bd3e0ab7f42bp-6, -0x1.54be75dc35115p-6, -0x1.4dc919fef6f76p-6, -0x1.46f35c0591c5fp-6, -0x1.403ccbaa0ae5cp-6, -0x1.39a4f975fb68dp-6, -0x1.332b76b800793p-6, -0x1.2ccfd58b918f5p-6, -0x1.2691a8e62bdp-6, -0x1.20708495cacc5p-6, -0x1.1a6bfd4282c18p-6, -0x1.1483a8739b589p-6, -0x1.0eb71c95003ecp-6, -0x1.0905f0fa13d5fp-6, -0x1.036fbdde8cddcp-6, -0x1.fbe838cb23816p-7, -0x1.f1254d31bcdf4p-7, -0x1.e695eed070b26p-7, -0x1.dc39555457689p-7, -0x1.d20eba3cbf0c9p-7, -0x1.c81558dee9b1fp-7, -0x1.be4c6e899f2c2p-7, -0x1.b4b33a583bc4bp-7, -0x1.ab48fd88eae78p-7, -0x1.a20cfb521b76ep-7, -0x1.98fe78f619157p-7, -0x1.901cbdb830962p-7, -0x1.876712d21960dp-7, -0x1.7edcc365086d3p-7, -0x1.767d1c6823eaep-7, -0x1.6e476cb802a5ep-7, -0x1.663b0504c4342p-7, -0x1.5e5737f19de25p-7, -0x1.569b5a1679e12p-7, -0x1.4f06c2160b493p-7, -0x1.4798c8aa18b77p-7, -0x1.4050c8a0684f8p-7, -0x1.392e1eccc2633p-7, -0x1.323029e746d2dp-7, -0x1.2b564a6211ee7p-7, -0x1.249fe291871ccp-7, -0x1.1e0c56a4bad16p-7, -0x1.179b0c5533cd9p-7, -0x1.114b6b24b8219p-7, -0x1.0b1cdc873c593p-7, -0x1.050ecc74c5711p-7, -0x1.fe41529cd0793p-8, -0x1.f2a3c7c5ba12fp-8, -0x1.e743ded8cc038p-8, -0x1.dc2082b918347p-8, -0x1.d138a213e6146p-8, -0x1.c68b2e8517dfcp-8, -0x1.bc171bfda0e62p-8, -0x1.b1db6024503eep-8, -0x1.a7d6f240f384p-8, -0x1.9e08cb754b39cp-8, -0x1.946fe7820c5dfp-8, -0x1.8b0b45d0626bbp-8, -0x1.81d9ea91f762fp-8, -0x1.78dadfb46720cp-8, -0x1.700d35737481cp-8, -0x1.677002648b954p-8, -0x1.5f0262edff796p-8, -0x1.56c3783bfb2e4p-8, -0x1.4eb266e7bd2a7p-8, -0x1.46ce5594b5a5ep-8, -0x1.3f166bcd53ec7p-8, -0x1.3789d15f55c7ap-8, -0x1.3027ae5b9f3e5p-8, -0x1.28ef2bbfb251bp-8, -0x1.21df74b63de4ap-8, -0x1.1af7b7f03920fp-8, -0x1.143728e139815p-8, -0x1.0d9d00d22d907p-8, -0x1.07287f2865094p-8, -0x1.00d8e8f10c6p-8, -0x1.f55b0fb279614p-9, -0x1.e94b5171bcacdp-9, -0x1.dd813402ac8c6p-9, -0x1.d1fb54de5277ep-9, -0x1.c6b850a64f93dp-9, -0x1.bbb6c33ffa6dap-9, -0x1.b0f549b3bfd2ap-9, -0x1.a67285543e54cp-9, -0x1.9c2d1fb21fd58p-9, -0x1.9223ce6edfbb1p-9, -0x1.88555629189ddp-9, -0x1.7ec08bb8d4b1p-9, -0x1.7564534ee90c2p-9, -0x1.6c3f9d74b9f94p-9, -0x1.6351624c49785p-9, -0x1.5a989bd780eb5p-9, -0x1.5214404a73e17p-9, -0x1.49c33d793bb8fp-9, -0x1.41a476461b841p-9, -0x1.39b6c2af3de82p-9, -0x1.31f8f2c9ac8b9p-9, -0x1.2a69d22f86076p-9, -0x1.230831f2cca4cp-9, -0x1.1bd2ebc873416p-9, -0x1.14c8ecf4238dcp-9, -0x1.0de9384682a64p-9, -0x1.0732e93060d4cp-9, -0x1.00a53355b281dp-9, -0x1.f47ebd0e6ae2p-10, -0x1.e80180ceea72dp-10, -0x1.dbd169469c90ap-10, -0x1.cfed29ea37554p-10, -0x1.c453641238f68p-10, -0x1.b9029c3fe2b14p-10, -0x1.adf937c4b3095p-10, -0x1.a335809681b4fp-10, -0x1.98b59fc37cee8p-10, -0x1.8e77b138aa51fp-10, -0x1.8479d488f471fp-10, -0x1.7aba2d77c5946p-10, -0x1.7136fbe87d575p-10, -0x1.67eea5f095787p-10, -0x1.5edfba19d3635p-10, -0x1.5608f0a7e3113p-10, -0x1.4d69279206f7dp-10, -0x1.44ff5a133456fp-10, -0x1.3cca95d340334p-10, -0x1.34c9ef697d5c4p-10, -0x1.2cfc77c260463p-10, -0x1.256134d3718e9p-10, -0x1.1df71baca8bf5p-10, -0x1.16bd0faa1fb8bp-10, -0x1.0fb1e3cd90e26p-10, -0x1.08d45f80840dbp-10, -0x1.0223453c94e42p-10, -0x1.f73ab1d260f8dp-11, -0x1.ea82cfe9f0937p-11, -0x1.de1c9da4558aap-11, -0x1.d205ec8c27f58p-11, -0x1.c63ca98bcbc51p-11, -0x1.babee5f3b89c3p-11, -0x1.af8ad32409329p-11, -0x1.a49ec0d4c535bp-11, -0x1.99f91ce90554cp-11, -0x1.8f986e1f2b184p-11, -0x1.857b49e388a3ep-11, -0x1.7ba04d5299529p-11, -0x1.72060821d8d01p-11, -0x1.68aaffc9a990bp-11, -0x1.5f8daf984036fp-11, -0x1.56ac771c0b7afp-11, -0x1.4e05cde1adf86p-11, -0x1.4598158126a61p-11, -0x1.3d61cbf95b0aap-11, -0x1.35616faec8f68p-11, -0x1.2d957f0415cc7p-11, -0x1.25fc722a50264p-11, -0x1.1e94c12e6e94ap-11, -0x1.175cedf8b9a45p-11, -0x1.1053985a69a21p-11, -0x1.09778c63795bp-11, -0x1.02c7c57f9cdb9p-11, -0x1.f886c5683960ep-12, -0x1.ebd3226a1721p-12, -0x1.df72efed140c8p-12, -0x1.d3645d212383fp-12, -0x1.c7a586d845509p-12, -0x1.bc3498fea99d3p-12, -0x1.b10ff009f310ap-12, -0x1.a636255843612p-12, -0x1.9ba5fb816274dp-12, -0x1.915e2d27a8b42p-12, -0x1.875d2c9cccb71p-12, -0x1.7da0ea0c670b5p-12, -0x1.7426b7b0ac0f5p-12, -0x1.6aeb5dbecf509p-12, -0x1.61eb664a9cacep-12, -0x1.59238d090eae1p-12, -0x1.50912f840719p-12, -0x1.48328f09e1718p-12, -0x1.4006c7dbae279p-12, -0x1.380d810e302d9p-12, -0x1.30467a1a448c8p-12, -0x1.28b12b590ee04p-12, -0x1.214ca1b2eb397p-12, -0x1.1a179b49fb7e8p-12, -0x1.1310ca6e98035p-12, -0x1.0c37188470a5dp-12, -0x1.0589cc21bd54ep-12, -0x1.fe110f2d86761p-13, -0x1.f16647ca367dp-13, -0x1.e512e93a3e48dp-13, -0x1.d916081e36486p-13, -0x1.cd6daf276d906p-13, -0x1.c2169a0b61457p-13, -0x1.b70c474cffc6ap-13, -0x1.ac49758b752f7p-13, -0x1.a1c8f4867a5ap-13, -0x1.97867cb92af8ap-13, -0x1.8d7f2c615710cp-13, -0x1.83b175a07dc31p-13, -0x1.7a1c5a96064aep-13, -0x1.70beed09b9104p-13, -0x1.6797ee69dd266p-13, -0x1.5ea5cb6d71ae6p-13, -0x1.55e72f338ebcap-13, -0x1.4d5b54cd4c771p-13, -0x1.4502140d3b028p-13, -0x1.3cdba038a94ecp-13, -0x1.34e818b732fbep-13, -0x1.2d2721c352e8cp-13, -0x1.2597c14cc9973p-13, -0x1.1e38859292f89p-13, -0x1.170825fdb1885p-13, -0x1.1005056e8da9bp-13, -0x1.092e1a7b3918dp-13, -0x1.02819c2ad074fp-13, -0x1.f7fb2e03e1aebp-14, -0x1.eb3f98af593d5p-14, -0x1.decc63d8e4837p-14, -0x1.d29ea510091c8p-14, -0x1.c6b4cb8e43066p-14, -0x1.bb0e17edf0ff7p-14, -0x1.afa9a8992284dp-14, -0x1.a485ac825b0b4p-14, -0x1.999f2421696acp-14, -0x1.8ef2860b32784p-14, -0x1.847c5468b0f37p-14, -0x1.7a3a0b9705b01p-14, -0x1.702b49423c1e2p-14, -0x1.665139c62c0e1p-14, -0x1.5cad3bc59b75dp-14, -0x1.533fa61a5e7dep-14, -0x1.4a07545ae962p-14, -0x1.41020daeb18ccp-14, -0x1.382d2bb841e96p-14, -0x1.2f86d60d011f2p-14, -0x1.270e04d5bd75ep-14, -0x1.1ec1e851baa07p-14, -0x1.16a24302b555ep-14, -0x1.0eadf25241b89p-14, -0x1.06e3b413983f3p-14, -0x1.fe827104e9ba5p-15, -0x1.ef87880563d36p-15, -0x1.e0d261ddc7321p-15, -0x1.d261944b28a6dp-15, -0x1.c43654519938ap-15, -0x1.b65180f4b46e4p-15, -0x1.a8b2986ee13d1p-15, -0x1.9b572a7a6e775p-15, -0x1.8e3cc332b6dd9p-15, -0x1.8162f97acb2eap-15, -0x1.74c9bca4de07ap-15, -0x1.686f0762e3567p-15, -0x1.5c4e94d59640ep-15, -0x1.5063a7cf7519ap-15, -0x1.44aa9bc65ed79p-15, -0x1.3922aba34836cp-15, -0x1.2dcae52744f1ep-15, -0x1.22a46e0aa87b5p-15, -0x1.17b00178100a1p-15, -0x1.0cee29665a836p-15, -0x1.025ede067a2fcp-15, -0x1.f00376eba8d06p-16, -0x1.dbaceebdd8d3cp-16, -0x1.c7b8c56ccc541p-16, -0x1.b4216dd13f5f2p-16, -0x1.a0dc76b5a1f61p-16, -0x1.8de0b44c1c05ep-16, -0x1.7b2d3c5ee868fp-16, -0x1.68c7ae3236a73p-16, -0x1.56b34e08ba30dp-16, -0x1.44ec326e3dcaap-16, -0x1.336c9041c0e64p-16, -0x1.2234440231d53p-16, -0x1.1147c1bfda905p-16, -0x1.00a9680f9bd8cp-16, -0x1.e0ae6e1671d6cp-17, -0x1.c09be5827ec2ep-17, -0x1.a114c53935e81p-17, -0x1.8215a64ae0e7ap-17, -0x1.639a82875405fp-17, -0x1.459a73a0547c1p-17, -0x1.280aba51684dap-17, -0x1.0ae34c2f41b38p-17, -0x1.dc49e175bd13p-18, -0x1.a3b23e4cb0a08p-18, -0x1.6c16e605d34e3p-18, -0x1.3579c6f7a10b8p-18, -0x1.ffab27a17eb31p-19, -0x1.963e7fb0057c7p-19, -0x1.2eac1a8aaedf2p-19, -0x1.91bb6c9a4d33ap-20, -0x1.926ad248c9389p-21, -0x1.c7aaf8401730cp-27, 0x1.7de500b0cead8p-21, 0x1.7e18981b93cdp-20, 0x1.1d120d9267844p-19, 0x1.79b35b2efb1efp-19, 0x1.d4e1bdb945344p-19, 0x1.173bd2ef37aa1p-18, 0x1.4338f61024e7ap-18, 0x1.6e74e5b0e0733p-18, 0x1.98fb7aeef9089p-18, 0x1.c2d21a3bdf463p-18, 0x1.ebf8c8d458964p-18, 0x1.0a36382959393p-17, 0x1.1e149364993e4p-17, 0x1.3195d1a134979p-17, 0x1.44b98e9688885p-17, 0x1.5782a041d17efp-17, 0x1.69f9560ed7957p-17, 0x1.7c22adf84032dp-17, 0x1.8e05475b2977fp-17, 0x1.9f997176885b6p-17, 0x1.b0d28228f269dp-17, 0x1.c1b74b019d7d5p-17, 0x1.d24d5522c0032p-17, 0x1.e29283d1b1a24p-17, 0x1.f2821628fcdp-17, 0x1.011169555937cp-16, 0x1.08bd3010d9695p-16, 0x1.1043d0264ac9p-16, 0x1.17a4dd83c2b6cp-16, 0x1.1ee2c80f7eecfp-16, 0x1.25feb52403df8p-16, 0x1.2cf516bf5349ep-16, 0x1.33c47a82ed406p-16, 0x1.3a6eece17dc1bp-16, 0x1.40f64b48d46f6p-16, 0x1.475b2f25b3aaap-16, 0x1.4d9db10c25effp-16, 0x1.53bdd7bd27811p-16, 0x1.59bbd4891e265p-16, 0x1.5f97f32b45acep-16, 0x1.655251ad8ac17p-16, 0x1.6aeade9c96587p-16, 0x1.7061f4d0c854bp-16, 0x1.75b64864739bep-16, 0x1.7ae92d2f13972p-16, 0x1.7ffa2d31a58b1p-16, 0x1.84eabc7655b27p-16, 0x1.89be530e55ad6p-16, 0x1.8e71e636f0f05p-16, 0x1.9305d796ac512p-16, 0x1.977a99fcf8626p-16, 0x1.9bd23f89f436ep-16, 0x1.a00a87c438849p-16, 0x1.a4215ccaaeb6ap-16, 0x1.a8185b71d6e37p-16, 0x1.abf259cb06193p-16, 0x1.afb002ebd397dp-16, 0x1.b351058e3bd3bp-16, 0x1.b6d64eab104cbp-16, 0x1.ba3e886ed12c4p-16, 0x1.bd88915a75541p-16, 0x1.c0b5944ab1c3ap-16, 0x1.c3c6a8fa57b28p-16, 0x1.c6bc2301d0dbp-16, 0x1.c99618d699d4cp-16, 0x1.cc54a7a9f0a46p-16, 0x1.cef7fa45f1b4ap-16, 0x1.d1804a1f37be9p-16, 0x1.d3eddfa5ffd49p-16, 0x1.d640fb78f57bep-16, 0x1.d879b94ae83b6p-16, 0x1.da985462c6c69p-16, 0x1.dc9d36726d528p-16, 0x1.de889256ecd19p-16, 0x1.e05a7595c8fbcp-16, 0x1.e213502310a87p-16, 0x1.e3b1d8d2125p-16, 0x1.e538d1736bcfcp-16, 0x1.e6a650c708769p-16, 0x1.e7fcac03be06cp-16, 0x1.e93b9d852118cp-16, 0x1.ea6325f5f9e62p-16, 0x1.eb729e5aeb989p-16, 0x1.ec6a82d3683eap-16, 0x1.ed4b84d588e3fp-16, 0x1.ee159c10e4abp-16, 0x1.eec8a53759705p-16, 0x1.ef65da494976cp-16, 0x1.efed9b36a67aap-16, 0x1.f05feae672ea5p-16, 0x1.f0bc05d8b58f8p-16, 0x1.f1029270b3a6bp-16, 0x1.f134115af6eb6p-16, 0x1.f150c840a103ap-16, 0x1.f158f8c574a37p-16, 0x1.f14ccd9ce592cp-16, 0x1.f12c71cf6281cp-16, 0x1.f0f8978ee3537p-16, 0x1.f0aee47897866p-16, 0x1.f054a6a1fdc82p-16, 0x1.efe605bc1ca5ep-16, 0x1.ef649f0b5d97p-16, 0x1.eed029cc6b69ep-16, 0x1.ee29462b638a8p-16, 0x1.ed70264d4cc84p-16, 0x1.eca4da859dffbp-16, 0x1.ebc7c91b162d2p-16, 0x1.ead9c29aee329p-16, 0x1.e9d991cb2a673p-16, 0x1.e8c812af43aaep-16, 0x1.e7a593db4cd8p-16, 0x1.e672eda29ae69p-16, 0x1.e53069790e46bp-16, 0x1.e3dcf9c8c55dap-16, 0x1.e2799c7e3e45bp-16, 0x1.e106a11b75cf3p-16, 0x1.df842331eb7cdp-16, 0x1.ddf24d62f62e9p-16, 0x1.dc515cabc2a9dp-16, 0x1.daa185a847004p-16, 0x1.d8e3298442ab4p-16, 0x1.d7169890d88cp-16, 0x1.d53bdaa78aee3p-16, 0x1.d3531785ffd28p-16, 0x1.d15ca4fd76246p-16, 0x1.cf58c22c23626p-16, 0x1.cd47a296b8f45p-16, 0x1.cb2979bccddadp-16, 0x1.c8fe7d658e18cp-16, 0x1.c6c6e59130ed6p-16, 0x1.c482eafa98bf6p-16, 0x1.c232c69d2b8f9p-16, 0x1.bfd6b63b6b8e3p-16, 0x1.bd6ee6a813987p-16, 0x1.bafb9096d673ap-16, 0x1.b87ce57e3fdf8p-16, 0x1.b5f33a8112ff5p-16, 0x1.b35f23024acb3p-16, 0x1.b0bf2e481fd3dp-16, 0x1.ae16383a207eap-16, 0x1.ab623f2fdf1dfp-16, 0x1.a8a481003a444p-16, 0x1.a5dcccc49e36ap-16, 0x1.a30b26b5dbde7p-16, 0x1.a03065cc53d97p-16, 0x1.9d4cfc7adbc7bp-16, 0x1.9a606283bb8d5p-16, 0x1.9769c54cb8754p-16, 0x1.946bc7f8d579fp-16, 0x1.916514e0b33cdp-16, 0x1.8e5631674af81p-16, 0x1.8b3f7334302f4p-16, 0x1.8820cccfef29dp-16, 0x1.84fa6c41c8608p-16, 0x1.81ccbeb6982f6p-16, 0x1.7e97b857e38bbp-16, 0x1.7b5b94312750ep-16, 0x1.7818d09e90059p-16, 0x1.74cf79d1b8a17p-16, 0x1.717f6dd42d537p-16, 0x1.6e291a3dace5ep-16, 0x1.6accc8bcf5305p-16, 0x1.676a7c7a7c2e8p-16, 0x1.640233706ef64p-16, 0x1.6094dbef054b4p-16, 0x1.5d21b95b50144p-16, 0x1.59a9cc53e8a04p-16, 0x1.562b000071cccp-16, 0x1.52aa08d55a284p-16, 0x1.4f233d39e3533p-16, 0x1.4b97be0d2f392p-16, 0x1.4808069b25beap-16, 0x1.447462a2c337ep-16, 0x1.40dc7c39e33aep-16, 0x1.3d40bbb5fd6bbp-16, 0x1.39a13b99d56ccp-16, 0x1.35fdea713c064p-16, 0x1.325751717a24fp-16, 0x1.2eae7bc17f1fcp-16, 0x1.2b01d3e83f9ebp-16, 0x1.27525cc04ab12p-16, 0x1.23a0205757339p-16, 0x1.1feb784900dbep-16, 0x1.1c340480e783ap-16, 0x1.187a6deb6f4dbp-16, 0x1.14beb28ae9f04p-16, 0x1.1100ea7e15585p-16, 0x1.0d4149ece2e47p-16, 0x1.097ff72e0d0ffp-16, 0x1.05bd131aa47a2p-16, 0x1.01f8c27292c7p-16, 0x1.fc6662e0e80acp-17, 0x1.f4d8eb213c997p-17, 0x1.ed48f653703a5p-17, 0x1.e5b7dfeae057fp-17, 0x1.de24d09468a37p-17, 0x1.d690d61e335a4p-17, 0x1.cefb980b7d3a7p-17, 0x1.c7667339d312p-17, 0x1.bfcfc4b623352p-17, 0x1.b8382f6429e07p-17, 0x1.b0a1b6a977849p-17, 0x1.a90b701e10a13p-17, 0x1.a1755ce174d6cp-17, 0x1.99dff71d2637fp-17, 0x1.924b923c95225p-17, 0x1.8ab8673267514p-17, 0x1.8326b34cfcb7p-17, 0x1.7b96a80e27b3ep-17, 0x1.74085463b21dap-17, 0x1.6c7bf2d702acbp-17, 0x1.64f1632779b56p-17, 0x1.5d6a3f2548664p-17, 0x1.55e57a60cb45p-17, 0x1.4e63abea3f092p-17, 0x1.46e4de406e666p-17, 0x1.3f691c356c772p-17, 0x1.37f0e914945a3p-17, 0x1.307c7e1b540dbp-17, 0x1.290be8ddc7e8p-17, 0x1.219f3981bfc04p-17, 0x1.1a36ef42b803ap-17, 0x1.12d3751d82cc8p-17, 0x1.0b743bf7f2eb2p-17, 0x1.041976d15cbf4p-17, 0x1.f9879dd6c465ap-18, 0x1.eae632ef3e4c1p-18, 0x1.dc4ec9395e0fp-18, 0x1.cdc34fc983662p-18, 0x1.bf43575f21c68p-18, 0x1.b0ce90109325bp-18, 0x1.a2656145ffd4ap-18, 0x1.940857e9bd56fp-18, 0x1.85b7cc041331bp-18, 0x1.77730bf5297cbp-18, 0x1.693bbc2dd4739p-18, 0x1.5b13f7079b7a7p-18, 0x1.4cf6af5fd57efp-18, 0x1.3ee87711dd648p-18, 0x1.30e8e16b066f2p-18, 0x1.22f6e845e5461p-18, 0x1.15137ce9997cdp-18, 0x1.073ef289dc5c6p-18, 0x1.f2f30df4a2271p-19, 0x1.d786e348e9849p-19, 0x1.bc3983275c8f5p-19, 0x1.a10d819ca5ee3p-19, 0x1.85fec172fe163p-19, 0x1.6b12711e64eecp-19, 0x1.5046b15d5e916p-19, 0x1.359c240b0deb8p-19, 0x1.1b1357594a658p-19, 0x1.00acf3006c975p-19, 0x1.ccce628b68067p-20, 0x1.9887a01429463p-20, 0x1.64973fce8c14p-20, 0x1.30f5fe447cc05p-20, 0x1.fad4ff83b83e2p-21, 0x1.948c4afe01b7cp-21, 0x1.2eda835f0febfp-21, 0x1.93729a3355967p-22, 0x1.949e87603732ap-23, 0x1.f7a56bbca8716p-30, -0x1.88388bcdeaeffp-23, -0x1.89afe1f9a931fp-22, -0x1.271c9b068ac11p-21, -0x1.88aed2ee7314dp-21, -0x1.e9a5bc217f14ep-21, -0x1.24fe98250b4c1p-20, -0x1.54dda72aaed94p-20, -0x1.84697f5445029p-20, -0x1.b3abce489c3e6p-20, -0x1.e297bac4a6474p-20, -0x1.089ba49120dadp-19, -0x1.1fc0a23ddd5ecp-19, -0x1.36bcfd9b0f8dp-19, -0x1.4d91d73aa9f8ep-19, -0x1.643c86f707296p-19, -0x1.7abe7250ae4eep-19, -0x1.9115dde426525p-19, -0x1.a7442c3671d7cp-19, -0x1.bd4902c3bf165p-19, -0x1.d3237accb76bfp-19, -0x1.e8d4145980596p-19, -0x1.fe5ac5cfd1f8fp-19, -0x1.09db7f0bb5c07p-18, }}, 
      {{-0x1.9668ebb88c3b2p-1, -0x1.78831874946a6p-1, -0x1.75f730fedd412p-1, -0x1.8d2c2e1693766p-1, -0x1.b3f14018df59dp-1, -0x1.dfe08be3ef7efp-1, -0x1.049399d14b613p+0, -0x1.157a631378aebp+0, -0x1.2182d7cd4bd45p+0, -0x1.2877f3b735bcep+0, -0x1.2abc660b56246p+0, -0x1.29068c5729e18p+0, -0x1.242f62cca8b0dp+0, -0x1.1d1202555157cp+0, -0x1.1477fd464e622p+0, -0x1.0b0f02a13a514p+0, -0x1.0164cb69f4cc7p+0, -0x1.efce18dffce8p-1, -0x1.ddcb9776e1c4dp-1, -0x1.cd2df557f2f05p-1, -0x1.be352b64ed298p-1, -0x1.b0fd9f2ec4e08p-1, -0x1.a587ff85858e9p-1, -0x1.9bc057418f47cp-1, -0x1.938430782270dp-1, -0x1.8ca7bd2e05283p-1, -0x1.86fa0bdc27bccp-1, -0x1.824859d1fe1bdp-1, -0x1.7e609b62a5358p-1, -0x1.7b13551749ffcp-1, -0x1.7834e10d9e31dp-1, -0x1.759e3b1587f18p-1, -0x1.732d6c1d96434p-1, -0x1.70c5aa27c6003p-1, -0x1.6e4f400cf376cp-1, -0x1.6bb74d5e920d8p-1, -0x1.68ef6ae94f239p-1, -0x1.65ed3e6562dd4p-1, -0x1.62aa05cfe0f8p-1, -0x1.5f22207cbf5c9p-1, -0x1.5b549941161bcp-1, -0x1.5742b5eea421ep-1, -0x1.52ef8eb91282cp-1, -0x1.4e5fad960a07p-1, -0x1.4998b6bc0890ap-1, -0x1.44a11b9ee9dap-1, -0x1.3f7fd811c6a62p-1, -0x1.3a3c3840445e8p-1, -0x1.34dda7841bffcp-1, -0x1.2f6b87d3f13c3p-1, -0x1.29ed10f019327p-1, -0x1.246935fdb947dp-1, -0x1.1ee69107f7148p-1, -0x1.196b53a487a5cp-1, -0x1.13fd3c56de64bp-1, -0x1.0ea18fb29a75ap-1, -0x1.095d148a08a55p-1, -0x1.0434129f9a02bp-1, -0x1.fe54a6e491f05p-2, -0x1.f48649e2de22ap-2, -0x1.eb02bb4120aabp-2, -0x1.e1cec3d278ae5p-2, -0x1.d8ee53f2aed08p-2, -0x1.d064904de9b18p-2, -0x1.c833dedcb3cddp-2, -0x1.c05df4cdcc0c4p-2, -0x1.b8e3e3fba4709p-2, -0x1.b1c628f48d91ep-2, -0x1.ab04b88a5c028p-2, -0x1.a49f0d05c218p-2, -0x1.9e9432fa66171p-2, -0x1.98e2d5469667cp-2, -0x1.9389487791197p-2, -0x1.8e85957f81a8bp-2, -0x1.89d583a768c9dp-2, -0x1.8576a1e44e899p-2, -0x1.81664f9975ddfp-2, -0x1.7da1c499af57bp-2, -0x1.7a2618ab5885ap-2, -0x1.76f04a6483befp-2, -0x1.73fd4584f5b07p-2, -0x1.7149e8a551939p-2, -0x1.6ed30a59ff591p-2, -0x1.6c957dfbf9969p-2, -0x1.6a8e17d5dc165p-2, -0x1.68b9b0c32167ap-2, -0x1.671529b3fdf35p-2, -0x1.659d6e66d4cbbp-2, -0x1.644f781f5579cp-2, -0x1.63284fe239373p-2, -0x1.622510502e87fp-2, -0x1.6142e7483c2bep-2, -0x1.607f177f0aee2p-2, -0x1.5fd6f96365dc7p-2, -0x1.5f47fc45f6407p-2, -0x1.5ecfa6ec333c2p-2, -0x1.5e6b984c0a175p-2, -0x1.5e1987b9fccdcp-2, -0x1.5dd74557d4df8p-2, -0x1.5da2ba079f5adp-2, -0x1.5d79e794f63eep-2, -0x1.5d5ae86383ab9p-2, -0x1.5d43ef4267abfp-2, -0x1.5d3347489d429p-2, -0x1.5d27532df268p-2, -0x1.5d1e8d2833008p-2, -0x1.5d17861adc4ep-2, -0x1.5d10e5470b672p-2, -0x1.5d0967a6a7474p-2, -0x1.5cffdf3675e49p-2, -0x1.5cf33279253c6p-2, -0x1.5ce25bb30f148p-2, -0x1.5ccc683005a1ep-2, -0x1.5cb077cefdb8fp-2, -0x1.5c8dbbf95da94p-2, -0x1.5c63774420fc6p-2, -0x1.5c30fc7e6d5a4p-2, -0x1.5bf5ae08605fbp-2, -0x1.5bb0fd6869dddp-2, -0x1.5b626a43318fbp-2, -0x1.5b0981bde33c6p-2, -0x1.5aa5de267c722p-2, -0x1.5a3725f633339p-2, -0x1.59bd0b306a3d4p-2, -0x1.59374b2751d05p-2, -0x1.58a5ad799245ap-2, -0x1.580803906d75bp-2, -0x1.575e285d67aaap-2, -0x1.56a7ff8797bdcp-2, -0x1.55e574c24c783p-2, -0x1.55167bbb0d9ebp-2, -0x1.543b0f7f251b9p-2, -0x1.5353318ac4244p-2, -0x1.525ee9f3b45edp-2, -0x1.515e46d3ef642p-2, -0x1.50515b9f989a1p-2, -0x1.4f3840da484c2p-2, -0x1.4e13140beb0dbp-2, -0x1.4ce1f722a0593p-2, -0x1.4ba50fc177143p-2, -0x1.4a5c878cff36ap-2, -0x1.49088bcc09436p-2, -0x1.47a94c9fa3c92p-2, -0x1.463efcf1f773cp-2, -0x1.44c9d2917451ap-2, -0x1.434a05b4aa769p-2, -0x1.41bfd06516b5ap-2, -0x1.402b6ea07828cp-2, -0x1.3e8d1e51d9a96p-2, -0x1.3ce51ede4e003p-2, -0x1.3b33b0bf7b3b7p-2, -0x1.3979158ac74e8p-2, -0x1.37b590199d176p-2, -0x1.35e964093b775p-2, -0x1.3414d5645462cp-2, -0x1.323828b83ddecp-2, -0x1.3053a33857bd3p-2, -0x1.2e678a5773cc4p-2, -0x1.2c742386c1993p-2, -0x1.2a79b420239f1p-2, -0x1.287881ba53265p-2, -0x1.2670d1d21d412p-2, -0x1.2462e974c6e36p-2, -0x1.224f0d4d7bb7dp-2, -0x1.203581b66f6b1p-2, -0x1.1e168abb320b8p-2, -0x1.1bf26bd373077p-2, -0x1.19c967bbb515ap-2, -0x1.179bc07987b03p-2, -0x1.1569b79113caap-2, -0x1.13338dd48ef08p-2, -0x1.10f98331e17a3p-2, -0x1.0ebbd6aa8250cp-2, -0x1.0c7ac6666ed02p-2, -0x1.0a368fc8d6115p-2, -0x1.07ef6f47ea53p-2, -0x1.05a5a058fd5b6p-2, -0x1.03595d6133917p-2, -0x1.010adfbe810c2p-2, -0x1.fd74bfeae83f3p-3, -0x1.f8d02afe3790ap-3, -0x1.f4286d682dc68p-3, -0x1.ef7df19c28429p-3, -0x1.ead12000add68p-3, -0x1.e6225eeb071bbp-3, -0x1.e172129986c76p-3, -0x1.dcc09cfb9e069p-3, -0x1.d80e5dc3e4aebp-3, -0x1.d35bb27121bb9p-3, -0x1.cea8f66c8a83p-3, -0x1.c9f682f5f03d5p-3, -0x1.c544af2d57e3dp-3, -0x1.c093cfe895926p-3, -0x1.bbe437c9e6993p-3, -0x1.b73637481a8f5p-3, -0x1.b28a1ce31bab6p-3, -0x1.ade034f952ba9p-3, -0x1.a938c9b895296p-3, -0x1.a494233aa2bbep-3, -0x1.9ff2877a4e62ep-3, -0x1.9b543a6e255d2p-3, -0x1.96b97e0f01e8bp-3, -0x1.92229269c7cdbp-3, -0x1.8d8fb5791f481p-3, -0x1.89012339ad877p-3, -0x1.847715bc53691p-3, -0x1.7ff1c52960623p-3, -0x1.7b7167d3d83adp-3, -0x1.76f6323a776abp-3, -0x1.728057031db36p-3, -0x1.6e1006ff05681p-3, -0x1.69a57136c76cp-3, -0x1.6540c2f8a8217p-3, -0x1.60e227e02227ep-3, -0x1.5c89c9dff5dafp-3, -0x1.5837d145b5142p-3, -0x1.53ec64b97947ap-3, -0x1.4fa7a93e614d5p-3, -0x1.4b69c25997196p-3, -0x1.4732d1ef5efd8p-3, -0x1.4302f8781dca2p-3, -0x1.3eda54fe00e9cp-3, -0x1.3ab905058786cp-3, -0x1.369f24a5cf245p-3, -0x1.328cce977372ap-3, -0x1.2e821c3263462p-3, -0x1.2a7f257b46307p-3, -0x1.2684012d887a7p-3, -0x1.2290c4c05af96p-3, -0x1.1ea5846b083e9p-3, -0x1.1ac2532b00b47p-3, -0x1.16e742c9c54e2p-3, -0x1.131463e53125ep-3, -0x1.0f49c5fa0f908p-3, -0x1.0b87776cc67d3p-3, -0x1.07cd858b4a13dp-3, -0x1.041bfc96ea3b5p-3, -0x1.0072e7c9c0626p-3, -0x1.f9a4a29fe367dp-4, -0x1.f27484c45f08ep-4, -0x1.eb558685be024p-4, -0x1.e447b68dba23ap-4, -0x1.dd4b21b9ac256p-4, -0x1.d65fd31e3fe07p-4, -0x1.cf85d41490e56p-4, -0x1.c8bd2c567c39ap-4, -0x1.c205e1e6eccbep-4, -0x1.bb5ff932590a3p-4, -0x1.b4cb7525e9b0bp-4, -0x1.ae48572e3ee2fp-4, -0x1.a7d69f44ed84cp-4, -0x1.a1764bf6e6d1ap-4, -0x1.9b275a6f5e7b8p-4, -0x1.94e9c6850c065p-4, -0x1.8ebd8ac362f2cp-4, -0x1.88a2a07463c9ap-4, -0x1.8298ffa928c07p-4, -0x1.7ca09f44c30cdp-4, -0x1.76b975110dacfp-4, -0x1.70e375aef4233p-4, -0x1.6b1e94b5bea57p-4, -0x1.656ac4b2517a9p-4, -0x1.5fc7f72e5f689p-4, -0x1.5a361cba29281p-4, -0x1.54b524fa4fb57p-4, -0x1.4f44feb5cd289p-4, -0x1.49e597ccfc66p-4, -0x1.4496dd40eee94p-4, -0x1.3f58bb4b55711p-4, -0x1.3a2b1d628e49fp-4, -0x1.350dee3ac62b4p-4, -0x1.300117cf0a355p-4, -0x1.2b0483691edc2p-4, -0x1.261819a8957b4p-4, -0x1.213bc289d106ap-4, -0x1.1c6f656a0eb3ep-4, -0x1.17b2e9132da14p-4, -0x1.130633c8225cep-4, -0x1.0e692b3504fa8p-4, -0x1.09dbb488230efp-4, -0x1.055db476748a1p-4, -0x1.00ef0f382511ep-4, -0x1.f91f513085cb4p-5, -0x1.f07ec7ebc4092p-5, -0x1.e7fc488c5d2b1p-5, -0x1.df979847f1ea6p-5, -0x1.d7507b99a174fp-5, -0x1.cf26b65034ef7p-5, -0x1.c71a0b98dc69cp-5, -0x1.bf2a3e075bfd7p-5, -0x1.b7570fa190f4ep-5, -0x1.afa041edd214ap-5, -0x1.a80595e96e9b4p-5, -0x1.a086cc2f1ef95p-5, -0x1.9923a4e24ee22p-5, -0x1.91dbdfcc9d9f3p-5, -0x1.8aaf3c5b73dffp-5, -0x1.839d79aa2a71p-5, -0x1.7ca6568c96fd5p-5, -0x1.75c9919562c1ep-5, -0x1.6f06e91bd7557p-5, -0x1.685e1b45d478bp-5, -0x1.61cee60ebbf85p-5, -0x1.5b59074bda643p-5, -0x1.54fc3cb36a2acp-5, -0x1.4eb843e3b2d9dp-5, -0x1.488cda6c739a2p-5, -0x1.4279bdd07e232p-5, -0x1.3c7eab8c975b6p-5, -0x1.369b611c5b8ecp-5, -0x1.30cf9c0740a1fp-5, -0x1.2b1b19e3ce16dp-5, -0x1.257d984cb2b4ep-5, -0x1.1ff6d4f9da634p-5, -0x1.1a868dc8c0926p-5, -0x1.152c80a9f4a43p-5, -0x1.0fe86bad24129p-5, -0x1.0aba0d130d838p-5, -0x1.05a123591eebfp-5, -0x1.009d6d2d1480fp-5, -0x1.f75d52b920d12p-6, -0x1.eda92df1a4e14p-6, -0x1.e41deab77b63cp-6, -0x1.dabb081ed0db9p-6, -0x1.d18005d23cfaep-6, -0x1.c86c64216b66dp-6, -0x1.bf7fa3ec7435bp-6, -0x1.b6b946abbd67cp-6, -0x1.ae18ce7ea0da7p-6, -0x1.a59dbe2f1868cp-6, -0x1.9d479944695d3p-6, -0x1.9515e3decb961p-6, -0x1.8d0822fb01e5ep-6, -0x1.851ddc39d1561p-6, -0x1.7d5696146ffdep-6, -0x1.75b1d7c8ff6b3p-6, -0x1.6e2f2961744cdp-6, -0x1.66ce13ba0e38cp-6, -0x1.5f8e2086e303p-6, -0x1.586eda57cf1fbp-6, -0x1.516fcc9a6f96bp-6, -0x1.4a90839a07461p-6, -0x1.43d08c882ff17p-6, -0x1.3d2f7583b1bc4p-6, -0x1.36accd8f99cf4p-6, -0x1.304824a07f0b1p-6, -0x1.2a010b9c04c6ep-6, -0x1.23d714577f315p-6, -0x1.1dc9d19e45174p-6, -0x1.17d8d733df528p-6, -0x1.1203b9d5e0f65p-6, -0x1.0c4a0f3c3ddd2p-6, -0x1.06ab6e1a0a0fap-6, -0x1.01276e1f3c211p-6, -0x1.f77b4ff3fde8bp-7, -0x1.ecdb6aaef058dp-7, -0x1.e26e61ded2f38p-7, -0x1.d8336cf98eebfp-7, -0x1.ce29c56c07983p-7, -0x1.c450a6bfc5c62p-7, -0x1.baa74e8a7292p-7, -0x1.b12cfc662243p-7, -0x1.a7e0f1f6fde3ap-7, -0x1.9ec272f4a5a53p-7, -0x1.95d0c51666538p-7, -0x1.8d0b303c9edcdp-7, -0x1.8470fe41b6d25p-7, -0x1.7c017b18bd7bep-7, -0x1.73bbf4c2fede9p-7, -0x1.6b9fbb4f5f12cp-7, -0x1.63ac20d9bb3bbp-7, -0x1.5be0798a59fa1p-7, -0x1.543c1b959b33ap-7, -0x1.4cbe5f3b42863p-7, -0x1.45669ec50ae8bp-7, -0x1.3e3436824e48p-7, -0x1.372684bf98053p-7, -0x1.303ce9d4e5b84p-7, -0x1.2976c839ad44ep-7, -0x1.22d3844e01c92p-7, -0x1.1c52845bbc4a1p-7, -0x1.15f330c47dbddp-7, -0x1.0fb4f3e58ca9bp-7, -0x1.09973a0c208d5p-7, -0x1.0399717c44c2ep-7, -0x1.fb7614e16ed9fp-8, -0x1.eff6ee2cf9547p-8, -0x1.e4b45714018f1p-8, -0x1.d9ad3ba57c0fdp-8, -0x1.cee08bb656ecp-8, -0x1.c44d3ad7c7bc4p-8, -0x1.b9f24055f6768p-8, -0x1.afce9726e9d7fp-8, -0x1.a5e13ddb3fbc5p-8, -0x1.9c2936c512db8p-8, -0x1.92a587d62fa77p-8, -0x1.89553ad1d74a8p-8, -0x1.80375d11168aap-8, -0x1.774aff91334d1p-8, -0x1.6e8f36eac69bfp-8, -0x1.66031b45d326cp-8, -0x1.5da5c840baaa6p-8, -0x1.55765cc37967fp-8, -0x1.4d73fb13c17a8p-8, -0x1.459dc8b2d8baap-8, -0x1.3df2ee7a9dfedp-8, -0x1.36729888d1462p-8, -0x1.2f1bf66185348p-8, -0x1.27ee3ae968874p-8, -0x1.20e89c5bfd3cep-8, -0x1.1a0a543a7d64bp-8, -0x1.13529f1ac3437p-8, -0x1.0cc0bc69c995dp-8, -0x1.0653eec380594p-8, -0x1.000b7be5217fep-8, -0x1.f3cd580e4bfdfp-9, -0x1.e7c9945793df3p-9, -0x1.dc0a486e33157p-9, -0x1.d08e177ba27abp-9, -0x1.c553ab4641fddp-9, -0x1.ba59b405c026cp-9, -0x1.af9ee878ce679p-9, -0x1.a5220594793b6p-9, -0x1.9ae1cddf36669p-9, -0x1.90dd08a5541f6p-9, -0x1.87128160f4e39p-9, -0x1.7d8107289d654p-9, -0x1.74276c95487d5p-9, -0x1.6b0487e6ce3e5p-9, -0x1.621733a3d4fe3p-9, -0x1.595e4f6d98cbep-9, -0x1.50d8c0e8e88b5p-9, -0x1.4885748349dc2p-9, -0x1.40635de4aeaddp-9, -0x1.387177ee4db35p-9, -0x1.30aec43e373dap-9, -0x1.291a4a4694ec4p-9, -0x1.21b3161fefe02p-9, -0x1.1a78374c1e1afp-9, -0x1.1368bfaaad9ecp-9, -0x1.0c83c2d9a9396p-9, -0x1.05c856217d772p-9, -0x1.fe6b22029bb36p-10, -0x1.f1951cd65a181p-10, -0x1.e50cdb6ede987p-10, -0x1.d8d0a6da0f351p-10, -0x1.ccded4f20a0bdp-10, -0x1.c135c8bab25bfp-10, -0x1.b5d3f16a7890bp-10, -0x1.aab7c8ba64de7p-10, -0x1.9fdfd069cff19p-10, -0x1.954a8f84c02f5p-10, -0x1.8af69021ed12p-10, -0x1.80e25e22fedbbp-10, -0x1.770c8736b4073p-10, -0x1.6d739c33c1013p-10, -0x1.641633a1a70bep-10, -0x1.5af2ece2b01aep-10, -0x1.520873247eefap-10, -0x1.49557fd754044p-10, -0x1.40d8db9cd968p-10, -0x1.38915d6e6010ap-10, -0x1.307de8257c898p-10, -0x1.289d66aece309p-10, -0x1.20eec7736b608p-10, -0x1.1970f7c0823c6p-10, -0x1.1222e019fad1ep-10, -0x1.0b03621f4063ep-10, -0x1.0411588d00bd1p-10, -0x1.fa9732e23f07fp-11, -0x1.ed61f3feb4184p-11, -0x1.e080a88a587b2p-11, -0x1.d3f118cc9b479p-11, -0x1.c7b12cb201b6p-11, -0x1.bbbef2ad1837p-11, -0x1.b018a34daeca9p-11, -0x1.a4bc9fd549d5cp-11, -0x1.99a96be1addc9p-11, -0x1.8edda34509cadp-11, -0x1.8457eda653bb5p-11, -0x1.7a16f1db387cap-11, -0x1.70194ab3facdbp-11, -0x1.665d7e9a06fb5p-11, -0x1.5ce1fdff505fap-11, -0x1.53a526bbad548p-11, -0x1.4aa53f73287b5p-11, -0x1.41e0876ce61a7p-11, -0x1.395543b0fe0f2p-11, -0x1.3101bec69263bp-11, -0x1.28e45bb152198p-11, -0x1.20fb9da7e5e2p-11, -0x1.19462972f8b8cp-11, -0x1.11c2c6127e148p-11, -0x1.0a70593ea0d5bp-11, -0x1.034de09dfcf9ap-11, -0x1.f8b4d2ae9c9bbp-12, -0x1.eb2a0e710058p-12, -0x1.ddf999049d9e1p-12, -0x1.d121898f1e657p-12, -0x1.c49fe033b9123p-12, -0x1.b8728600dc284p-12, -0x1.ac974ed5b4b0ap-12, -0x1.a10c00b2a44edp-12, -0x1.95ce5dad8b6cp-12, -0x1.8adc2c3fdfb22p-12, -0x1.8033469a8004ep-12, -0x1.75d1a4b23b495p-12, -0x1.6bb54ffe707dfp-12, -0x1.61dc66424b45p-12, -0x1.58452719e353cp-12, -0x1.4eedec5d6756p-12, -0x1.45d5268b9416ep-12, -0x1.3cf95e6b4918cp-12, -0x1.345931e26b6cbp-12, -0x1.2bf34b42c5b21p-12, -0x1.23c65c91b1648p-12, -0x1.1bd110e6793fcp-12, -0x1.14120cfa13a8cp-12, -0x1.0c87eae7bbfa5p-12, -0x1.05314eac49ce6p-12, -0x1.fc1964f076fc5p-13, -0x1.ee31a02e7f3ebp-13, -0x1.e0a88916b3c51p-13, -0x1.d37b80395720dp-13, -0x1.c6a7ecce77b6p-13, -0x1.ba2b2ecb7bcccp-13, -0x1.ae02a76d180c6p-13, -0x1.a22bc915b64f6p-13, -0x1.96a4330761e1dp-13, -0x1.8b69c6af22224p-13, -0x1.807aac5f986bp-13, -0x1.75d5429b9471ep-13, -0x1.6b77ff44a1953p-13, -0x1.616152014187fp-13, -0x1.578f96daa88dfp-13, -0x1.4e011ef7e6bb5p-13, -0x1.44b448b7168fep-13, -0x1.3ba797afbfcf5p-13, -0x1.32d9bd5973a5bp-13, -0x1.2a498aeccaab2p-13, -0x1.21f5ceeaf7943p-13, -0x1.19dd2780b1963p-13, -0x1.11fdd83941d63p-13, -0x1.0a55b5ff6a773p-13, -0x1.02e2380b8553fp-13, -0x1.f7415c3f4c334p-14, -0x1.e91d1ce3ffd4cp-14, -0x1.db5384ef116fcp-14, -0x1.cde1abeffe614p-14, -0x1.c0c5e45079db1p-14, -0x1.b3ff495966387p-14, -0x1.a78d1b6dcbb1dp-14, -0x1.9b6e38302faap-14, -0x1.8fa0e73be5ebfp-14, -0x1.842302f6a1aadp-14, -0x1.78f2576d3e42dp-14, -0x1.6e0d00d18e7c1p-14, -0x1.6371a0ed36149p-14, -0x1.591f5c65aec34p-14, -0x1.4f15a5e1a0f18p-14, -0x1.4553e925710c5p-14, -0x1.3bd92c6917f0fp-14, -0x1.32a3be84d0d91p-14, -0x1.29b1093be3deap-14, -0x1.20fd9f61a9dbdp-14, -0x1.1885943b5fbep-14, -0x1.10450baa4e70ep-14, -0x1.0838ce601cdf4p-14, -0x1.005e9ecf37cdap-14, -0x1.f16a4d6b01e26p-15, -0x1.e2770e3d4b57p-15, -0x1.d3e1c4f327f47p-15, -0x1.c5a83a4b73819p-15, -0x1.b7c7e53571e9dp-15, -0x1.aa3e88c04ea83p-15, -0x1.9d0aabc3d30ddp-15, -0x1.902ba96db71dbp-15, -0x1.83a1583626359p-15, -0x1.776b756592e12p-15, -0x1.6b891c3c8d75cp-15, -0x1.5ff893870611ap-15, -0x1.54b74e3efb04p-15, -0x1.49c3d51238d42p-15, -0x1.3f1a9a0978d54p-15, -0x1.34bae11eb432ep-15, -0x1.2aa12f77a7fefp-15, -0x1.20cabe73b5274p-15, -0x1.17343babf15cbp-15, -0x1.0ddaa4007938cp-15, -0x1.04bbbccad3599p-15, -0x1.f7ac597200e1bp-16, -0x1.e652483e72d7cp-16, -0x1.d567801817abap-16, -0x1.c4e8fcb55672ep-16, -0x1.b4d21c09b3e0ap-16, -0x1.a51dd2f865e7cp-16, -0x1.95c71c1d79023p-16, -0x1.86c9f671a5021p-16, -0x1.7825729647b04p-16, -0x1.69daac932bf15p-16, -0x1.5beaf05095cd7p-16, -0x1.4e562e9ee18fp-16, -0x1.411a695f2ce69p-16, -0x1.34343c4a6334ep-16, -0x1.279fb2999fbacp-16, -0x1.1b59f30da51ddp-16, -0x1.0f613955e64ccp-16, -0x1.03b401297cacp-16, -0x1.f0a32c8615a0fp-17, -0x1.da7014ccee5d9p-17, -0x1.c4cac10b093a6p-17, -0x1.afac7d819024bp-17, -0x1.9b0d94da71d0dp-17, -0x1.86e802092e8fp-17, -0x1.7339442a4a155p-17, -0x1.6001a725ea6bcp-17, -0x1.4d41dec2ae51ep-17, -0x1.3af8756049aefp-17, -0x1.2921c6547c0c3p-17, -0x1.17ba4b6aa08d7p-17, -0x1.06c070be526d8p-17, -0x1.ec66cb720702dp-18, -0x1.cc20375cfe4dp-18, -0x1.aca15fb80ebd6p-18, -0x1.8ddcf4cb9d3a1p-18, -0x1.6fcaa329c2d65p-18, -0x1.525fdb4a8bf61p-18, -0x1.35a2677cc86f5p-18, -0x1.198f598767783p-18, -0x1.fc505d6f7f056p-19, -0x1.c6da0070afd56p-19, -0x1.92b9644ed7d2fp-19, -0x1.5fea8db282337p-19, -0x1.2e69eda64ac41p-19, -0x1.fc63fbfc3b384p-20, -0x1.9e661f91abcf7p-20, -0x1.42a341088e562p-20, -0x1.d1d5197287d3cp-21, -0x1.2266d85f9c61ep-21, -0x1.dcacbeaa92496p-23, 0x1.7e21f92284ad9p-24, 0x1.a527861b5095bp-22, 0x1.71831042b18a6p-21, 0x1.064daacda8609p-20, 0x1.51dc3bbeaa865p-20, 0x1.9b650f599b747p-20, 0x1.e2f52cc5a079dp-20, 0x1.1450666f4d52dp-19, 0x1.363c34663fba1p-19, 0x1.5743f36a224d2p-19, 0x1.776ef63532732p-19, 0x1.96c9108ca99c9p-19, 0x1.b560e2c10a515p-19, 0x1.d341852e97d1bp-19, 0x1.f06b45add07dcp-19, 0x1.066a30b772b85p-18, 0x1.1437aa72b376dp-18, 0x1.219f8903691f4p-18, 0x1.2ea2955707be2p-18, 0x1.3b4583831f289p-18, 0x1.4789316452119p-18, 0x1.537177b16392dp-18, 0x1.5f07604b656a4p-18, 0x1.6a4f9d0baca4cp-18, 0x1.7545c095df87bp-18, 0x1.7fe64f1c97ddfp-18, 0x1.8a36b49666b64p-18, 0x1.943d8f07f21c3p-18, 0x1.9df94c5c43f0dp-18, 0x1.a764fb0d11131p-18, 0x1.b080ab3331151p-18, 0x1.b950b3f3f6ae4p-18, 0x1.c1d956da14cf2p-18, 0x1.ca1cb72f69435p-18, 0x1.d21b28742cda5p-18, 0x1.d9d4054d148c2p-18, 0x1.e146f106d899ap-18, 0x1.e873b6a39518bp-18, 0x1.ef5a546601844p-18, 0x1.f5fcc4ffecb55p-18, 0x1.fc60bfdd963ep-18, 0x1.0144e512822dcp-17, 0x1.043dea800dd58p-17, 0x1.071986fed465cp-17, 0x1.09d44e8825423p-17, 0x1.0c7079249c09fp-17, 0x1.0eefd307a8eaap-17, 0x1.1151fe235d9d6p-17, 0x1.1395d1d226cf9p-17, 0x1.15bec1241ba1p-17, 0x1.17cbf5781483ep-17, 0x1.19bddf0c1d5ecp-17, 0x1.1b96593d4af7ap-17, 0x1.1d55e2f6578b7p-17, 0x1.1efd674bd03fep-17, 0x1.208b2ad6fb4b6p-17, 0x1.21fe88d0b3253p-17, 0x1.2358b24404592p-17, 0x1.249b0c8e042abp-17, 0x1.25c63f22fdf97p-17, 0x1.26da48db96024p-17, 0x1.27d76094f02e8p-17, 0x1.28be01e2377ebp-17, 0x1.298e8312fd051p-17, 0x1.2a490b1be9503p-17, 0x1.2aeda97a27324p-17, 0x1.2b7bc9a266793p-17, 0x1.2bf60e71c7ceap-17, 0x1.2c5a284222802p-17, 0x1.2ca92093eff29p-17, 0x1.2ce3e6c4db0fep-17, 0x1.2d0caa8f6e1eap-17, 0x1.2d21a8525986bp-17, 0x1.2d235eeeef5adp-17, 0x1.2d123556ffe1ep-17, 0x1.2cefa864449e5p-17, 0x1.2cba3ab4524abp-17, 0x1.2c7147cbf45dp-17, 0x1.2c15b65c7887ep-17, 0x1.2ba94382b0764p-17, 0x1.2b2c71c45657dp-17, 0x1.2a9f37bbbc417p-17, 0x1.2a023f9788ee8p-17, 0x1.2954eee9702dp-17, 0x1.2896c49c5d0e6p-17, 0x1.27c8853718627p-17, 0x1.26eae9b6c6a5p-17, 0x1.25fe406fba13ap-17, 0x1.2502ba7dff312p-17, 0x1.23f88b8422fa6p-17, 0x1.22dfea3b61d3p-17, 0x1.21b917224168dp-17, 0x1.208460c4e7bb9p-17, 0x1.1f42080d36646p-17, 0x1.1df21c2c97a31p-17, 0x1.1c94d83f218f8p-17, 0x1.1b2ab813b396ep-17, 0x1.19b3ed8e9b776p-17, 0x1.183078c80cb4p-17, 0x1.16a0d99561b8dp-17, 0x1.15042fba6cb21p-17, 0x1.135cd53431341p-17, 0x1.11a8db321a2abp-17, 0x1.0fea45dc75cafp-17, 0x1.0e20d7d160f55p-17, 0x1.0c4caf32ae073p-17, 0x1.0a6d88830924bp-17, 0x1.0883c95d8c231p-17, 0x1.068fc2522fbccp-17, 0x1.049162830e7p-17, 0x1.028929349d23dp-17, 0x1.0077c5de1231ep-17, 0x1.fcbacd3ab57d9p-18, 0x1.f8736c14cfe06p-18, 0x1.f41972f77562ep-18, 0x1.efae049372deep-18, 0x1.eb315064ed42cp-18, 0x1.e6a3daf1f94a3p-18, 0x1.e2066b34418b1p-18, 0x1.dd59379d66f55p-18, 0x1.d89c685ba6ddp-18, 0x1.d3d18794c229cp-18, 0x1.cef31e953f92ap-18, 0x1.ca0d4136ee786p-18, 0x1.c5163992e7442p-18, 0x1.c01238444649p-18, 0x1.bb005768a32fep-18, 0x1.b5e184db2c555p-18, 0x1.b0b6ab5d19c99p-18, 0x1.ab7faf3a66c05p-18, 0x1.a63cd146e920bp-18, 0x1.a0f0f753a6bdcp-18, 0x1.9b9689cf09d5fp-18, 0x1.96313040041b9p-18, 0x1.90c31f8f36943p-18, 0x1.8b4c82ddef175p-18, 0x1.85c92eeed14a4p-18, 0x1.803dfc4e5fe14p-18, 0x1.7aa9c3604018p-18, 0x1.750d0bd7783cep-18, 0x1.6f68019bc551p-18, 0x1.69bae297d03f1p-18, 0x1.640605d476556p-18, 0x1.5e49b83d0bf42p-18, 0x1.58868c676297cp-18, 0x1.52bcf55e68326p-18, 0x1.4cecef009a5ep-18, 0x1.4716a47e6e3d1p-18, 0x1.413a8d9c766b6p-18, 0x1.3b59048b9b1f4p-18, 0x1.3572518bf1a91p-18, 0x1.2f86ba1aa01b8p-18, 0x1.2996857faad7fp-18, 0x1.23a2001adbd63p-18, 0x1.1da9811216652p-18, 0x1.17ad4a2d10463p-18, 0x1.11acd1f60a7efp-18, 0x1.0ba98dfb233eap-18, 0x1.05a32b2a0e81ap-18, 0x1.ff355598b903fp-19, 0x1.f31f4ee0f391dp-19, 0x1.e705255867be4p-19, 0x1.dae59fe621516p-19, 0x1.cec4e0c15a644p-19, 0x1.c2a02eca80588p-19, 0x1.b679e3b3ac57cp-19, 0x1.aa514dfd30109p-19, 0x1.9e2673bfa5549p-19, 0x1.91fba5e046277p-19, 0x1.85d1d638da6c9p-19, 0x1.79a7a88d17b53p-19, 0x1.6d7b347a85d7ap-19, 0x1.6152884c316bp-19, 0x1.552a8b2d8963ep-19, 0x1.4904a0c3e6786p-19, 0x1.3ce1a774b631dp-19, 0x1.30c0cbb08ecadp-19, 0x1.24a27c6f7f17ep-19, 0x1.188863ae53722p-19, 0x1.0c71afb9189d2p-19, 0x1.005ef10ab44ecp-19, 0x1.e8a48c83e87c9p-20, 0x1.d09683a77b798p-20, 0x1.b89220c6015c9p-20, 0x1.a09aea2660ceap-20, 0x1.88aea0f8c0ab6p-20, 0x1.70ceb6cfe0401p-20, 0x1.58fd20d8ceb41p-20, 0x1.413aacafef61bp-20, 0x1.2988156a2aec3p-20, 0x1.11e7b75d28cp-20, 0x1.f49d8fe78dcbdp-21, 0x1.c5a9392b7f3e4p-21, 0x1.96cd74e753a6cp-21, 0x1.681c92b6fb287p-21, 0x1.398e8473d841fp-21, 0x1.0b219c513151bp-21, 0x1.b9c83622950efp-22, 0x1.5da1257f2f927p-22, 0x1.01cdf44ccd8b4p-22, 0x1.4c81ef7fbbf0dp-23, 0x1.2cb4d14593a4bp-24, -0x1.ef36354c39f57p-27, -0x1.a760c12de72fp-24, -0x1.87a0e61934cdbp-23, -0x1.1d64b7b99747ap-22, -0x1.768dc0ce2a77ap-22, -0x1.cf58cd0371428p-22, -0x1.13daa2062234p-21, -0x1.3fd3239535726p-21, -0x1.6b95d340b976cp-21, -0x1.9720b0f9d0869p-21, -0x1.c2725b7018aap-21, -0x1.ed89d3d9b9c59p-21, -0x1.0c33019253464p-20, -0x1.2182b6f42a50cp-20, -0x1.36b4c63f4d31fp-20, -0x1.4bcc41546bda2p-20, -0x1.60bfc7b6a2ed6p-20, -0x1.75979f6f381dap-20, -0x1.8a4c519dc2852p-20, -0x1.9ee18f7137db3p-20, -0x1.b359ca8328afap-20, -0x1.c7b0b2ef7bd87p-20, -0x1.dbe5e42d26f44p-20, -0x1.eff9ddd8612cfp-20, -0x1.01f6217092c1ep-19, -0x1.0bde75185d43cp-19, -0x1.15b5b9b2b3088p-19, -0x1.1f7bc4640335dp-19, -0x1.293070974c537p-19, -0x1.32d38d79d0b17p-19, -0x1.3c64fe91db728p-19, -0x1.45e4c1d5a971bp-19, -0x1.4f52c4f029c57p-19, -0x1.58aef7ce6d33fp-19, -0x1.61f901869ebd7p-19, -0x1.6b30fe4753f09p-19, -0x1.7456d96346015p-19, -0x1.7d68c61e7ececp-19, -0x1.866983a9f213p-19, -0x1.8f5850e486cd1p-19, -0x1.98338b0a1502fp-19, -0x1.a0fce3bd62534p-19, -0x1.a9b2e7ae9baaap-19, -0x1.b255ac22dbb2ap-19, -0x1.bae5320f28445p-19, -0x1.c360bdb3e33fp-19, -0x1.cbcc6a580fa53p-19, -0x1.d42312cdad1bdp-19, -0x1.dc66d4ed1d5c2p-19, -0x1.e4983709f42b5p-19, -0x1.ecb54a187d7b3p-19, -0x1.f4be9004d5794p-19, -0x1.fcb49acc1b40ap-19, -0x1.024baece890ebp-18, -0x1.063359ef5b889p-18, -0x1.0a1149687bb05p-18, -0x1.0de5c5d44a0c9p-18, -0x1.11b18d0fe1aeap-18, -0x1.157079036c8e3p-18, -0x1.1927724d838fbp-18, -0x1.1cd45e34fe2c6p-18, -0x1.207752083ceb8p-18, -0x1.2410a0da6ea7p-18, -0x1.27a01ad80f2f9p-18, -0x1.2b25ba2da5787p-18, -0x1.2ea17e9d6286p-18, -0x1.32136a763fep-18, -0x1.357b956e6220dp-18, -0x1.38d96cd965a48p-18, -0x1.3c2e2c3f363bep-18, -0x1.3f788cb721a8p-18, -0x1.42b92ebdcd4c6p-18, -0x1.45f006368db12p-18, -0x1.491d111b35fe9p-18, -0x1.4c40532914f73p-18, -0x1.4f59ddfadc2adp-18, -0x1.526998ff5a55ep-18, -0x1.556f5007e1795p-18, -0x1.5868f020f0d7ap-18, -0x1.5b5e475d936a3p-18, -0x1.5e470117f40a5p-18, -0x1.6125df6b5c992p-18, -0x1.63fb0b339e9afp-18, -0x1.66c686dfd15d1p-18, -0x1.698a7a1a9da1bp-18, -0x1.6c40544c89f96p-18, -0x1.6eef5c96239b5p-18, -0x1.7194644ee145p-18, -0x1.74301c30b8db3p-18, -0x1.76c21c0333af3p-18, -0x1.794aa408e100dp-18, -0x1.7bc90d944246ep-18, -0x1.7e3eee97154a3p-18, -0x1.80abd74762679p-18, -0x1.830e1d1b13d1dp-18, -0x1.8567e3577a4dcp-18, -0x1.87b7beed03656p-18, -0x1.89fe557d83c2ap-18, -0x1.8c3bf7137c49ap-18, -0x1.8e6fe7181b12bp-18, -0x1.909b1e46365cp-18, -0x1.92bcc44fc72cep-18, -0x1.94d59e66a1235p-18, -0x1.96e587715eebap-18, -0x1.98ec1a9c9ad52p-18, -0x1.9ae9b7ecd66aep-18, -0x1.9cde74e8ea1c1p-18, -0x1.9eca39e2f1bf2p-18, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{0x1.e0caa659d82e3p-1, 0x1.e098f5c4218fbp-1, 0x1.e047645a9fc9fp-1, 0x1.dfd6d87b69f9dp-1, 0x1.df4775fe5d2c4p-1, 0x1.de985af433732p-1, 0x1.ddc7a2037c0b2p-1, 0x1.dcd293031e915p-1, 0x1.dbb5eb64e1f36p-1, 0x1.da6e2d72784e1p-1, 0x1.d8f7eb2844a02p-1, 0x1.d750062cb139p-1, 0x1.d573e1cdc74b1p-1, 0x1.d3618642a1c14p-1, 0x1.d117b5ec96009p-1, 0x1.ce95f634f0a91p-1, 0x1.cbdc8e144441bp-1, 0x1.c8ec7c71fa115p-1, 0x1.c5c76878a59e3p-1, 0x1.c26f8dc9c1f15p-1, 0x1.bee7a638dc233p-1, 0x1.bb32d26d63523p-1, 0x1.b75482827f437p-1, 0x1.b3505f79be7a5p-1, 0x1.af2a361abb503p-1, 0x1.aae5e3a7cf5fep-1, 0x1.a68744a6cef65p-1, 0x1.a21225dbf23bp-1, 0x1.9d8a377ba2017p-1, 0x1.98f30284f57f3p-1, 0x1.944fe029169fcp-1, 0x1.8fa3f31aa5135p-1, 0x1.8af2229a904afp-1, 0x1.863d17150090cp-1, 0x1.818738202852fp-1, 0x1.7cd2abaf87f6p-1, 0x1.7821565014b5bp-1, 0x1.7374dc443cee2p-1, 0x1.6ecea359d174dp-1, 0x1.6a2fd557225ecp-1, 0x1.659962dffe71dp-1, 0x1.610c06b69de5p-1, 0x1.5c88493fba25fp-1, 0x1.580e84342edcdp-1, 0x1.539ee66d5ab1ep-1, 0x1.4f3977bc2867bp-1, 0x1.4ade1cbd11052p-1, 0x1.468c9a9da239dp-1, 0x1.42449aca152e8p-1, 0x1.3e05ae7b44bfep-1, 0x1.39cf521ee84bbp-1, 0x1.35a0f09565407p-1, 0x1.3179e641b47b6p-1, 0x1.2d5983e8f9a87p-1, 0x1.293f11604b298p-1, 0x1.2529d007f54fdp-1, 0x1.2118fd14359c7p-1, 0x1.1d0bd3a3f2d96p-1, 0x1.19018ea67435dp-1, 0x1.14f96a9177aep-1, 0x1.10f2a6e95e02cp-1, 0x1.0cec879d54376p-1, 0x1.08e656399e5c3p-1, 0x1.04df62f23f9ddp-1, 0x1.00d7058853c04p-1, 0x1.f9993c18ff1a9p-2, 0x1.f17f2b01b46fep-2, 0x1.e95ebcb965a3p-2, 0x1.e136e9e91a019p-2, 0x1.d906bf913bd89p-2, 0x1.d0cd5f780befep-2, 0x1.c88a006dcebf2p-2, 0x1.c03bee6ad5f93p-2, 0x1.b7e28a8b49448p-2, 0x1.af7d4aec5c2f8p-2, 0x1.a70bba6e74c87p-2, 0x1.9e8d785f7e8ebp-2, 0x1.9602381076d51p-2, 0x1.8d69c05909949p-2, 0x1.84c3eb0bd88d6p-2, 0x1.7c10a45dda973p-2, 0x1.734fea430533fp-2, 0x1.6a81cbc2475cap-2, 0x1.61a66842ae52bp-2, 0x1.58bdeed35878fp-2, 0x1.4fc89d6fbe124p-2, 0x1.46c6c041a13a7p-2, 0x1.3db8b0e1d9d72p-2, 0x1.349ed59914572p-2, 0x1.2b79a0a169b4fp-2, 0x1.22498f69a9904p-2, 0x1.190f29db0c008p-2, 0x1.0fcb01a1eb392p-2, 0x1.067db17a064b1p-2, 0x1.fa4fb8fd8befap-3, 0x1.e7945affb46fcp-3, 0x1.d4caacb50c745p-3, 0x1.c1f41eafa56a4p-3, 0x1.af122d1fb07b9p-3, 0x1.9c265ea48a873p-3, 0x1.8932432872674p-3, 0x1.763772c700655p-3, 0x1.63378cbe6dcf6p-3, 0x1.5034366bb1f5ap-3, 0x1.3d2f1a514f9f6p-3, 0x1.2a29e728d133ep-3, 0x1.17264efebb4dp-3, 0x1.04260658ce1d3p-3, 0x1.e25586ccc8cf9p-4, 0x1.bc6c7a7574c54p-4, 0x1.96945621a07e6p-4, 0x1.70d0873169c9cp-4, 0x1.4b24789be52b1p-4, 0x1.259391ad9ebfp-4, 0x1.002134d8473cdp-4, 0x1.b5a17d25ecf96p-5, 0x1.6b4b0894dec83p-5, 0x1.2145a6c1ba1aap-5, 0x1.af2fc0f1d9169p-6, 0x1.1c905591f7f3ap-6, 0x1.157395609a16dp-7, -0x1.91d395b03d487p-12, -0x1.2ccd2a06add2bp-7, -0x1.2597dc6d68d18p-6, -0x1.b3cf2dd0f653ep-6, -0x1.208065766e04ep-5, -0x1.6690981b1bfaap-5, -0x1.ac128b711bea4p-5, -0x1.f100bb63d8a3fp-5, -0x1.1aaae206a8be8p-4, -0x1.3c863140ab12ap-4, -0x1.5e0fbac39544bp-4, -0x1.7f44ff212751dp-4, -0x1.a02390657ac84p-4, -0x1.c0a9125b838c8p-4, -0x1.e0d33aca18e08p-4, -0x1.004fe8d4e7503p-3, -0x1.100658aa0167p-3, -0x1.1f8be355ad70fp-3, -0x1.2edf889eebe13p-3, -0x1.3e0051b083eb5p-3, -0x1.4ced512421edap-3, -0x1.5ba5a30ac27c1p-3, -0x1.6a286cf261401p-3, -0x1.7874dde925bacp-3, -0x1.868a2e7e16b5ap-3, -0x1.9467a0bf740c7p-3, -0x1.a20c8036d83cp-3, -0x1.af7821e32299p-3, -0x1.bca9e4305c5p-3, -0x1.c9a12eed9ad4p-3, -0x1.d65d734100456p-3, -0x1.e2de2b99e8c76p-3, -0x1.ef22dba154977p-3, -0x1.fb2b1028b67c8p-3, -0x1.037b2f8b8c3dcp-2, -0x1.094233aa64ea6p-2, -0x1.0eea685ac9631p-2, -0x1.1473a5f0c2e91p-2, -0x1.19ddc91e3ebf5p-2, -0x1.1f28b2e62eb5ap-2, -0x1.2454488f0e73cp-2, -0x1.29607394d7a1ap-2, -0x1.2e4d219a6cd77p-2, -0x1.331a445a809cdp-2, -0x1.37c7d19800d22p-2, -0x1.3c55c30e0fc0cp-2, -0x1.40c4165f8ad15p-2, -0x1.4512cd06300fep-2, -0x1.4941ec415cc68p-2, -0x1.4d517d047420dp-2, -0x1.51418be4f2408p-2, -0x1.5512290830978p-2, -0x1.58c36810e0cffp-2, -0x1.5c55600c470d5p-2, -0x1.5fc82b5f35494p-2, -0x1.631be7b2cfb6dp-2, -0x1.6650b5e120c43p-2, -0x1.6966b9e17f5ffp-2, -0x1.6c5e1ab4cda88p-2, -0x1.6f370251969f8p-2, -0x1.71f19d900ca39p-2, -0x1.748e1c15efb96p-2, -0x1.770cb04261cc6p-2, -0x1.796d8f19aa399p-2, -0x1.7bb0f030ef3c3p-2, -0x1.7dd70d99e8516p-2, -0x1.7fe023ce910c4p-2, -0x1.81cc719cd9b6ep-2, -0x1.839c38126362dp-2, -0x1.854fba6841b16p-2, -0x1.86e73deecf147p-2, -0x1.886309f98f223p-2, -0x1.89c367cb26056p-2, -0x1.8b08a2816eb6bp-2, -0x1.8c330701a3aecp-2, -0x1.8d42e3e4b241fp-2, -0x1.8e388963a5bb5p-2, -0x1.8f1449444349ap-2, -0x1.8fd676c5c444ap-2, -0x1.907f668dc4585p-2, -0x1.910f6e9557b5ap-2, -0x1.9186e61654b86p-2, -0x1.91e62578d486ap-2, -0x1.922d8640e16ddp-2, -0x1.925d62fc65053p-2, -0x1.927617314c68bp-2, -0x1.9277ff4bea06fp-2, -0x1.9263788d94909p-2, -0x1.9238e0fb868e9p-2, -0x1.91f8974e01b3fp-2, -0x1.91a2fadfb427p-2, -0x1.91386b9d60a51p-2, -0x1.90b949f5d2bbdp-2, -0x1.9025f6ca164d1p-2, -0x1.8f7ed35df7335p-2, -0x1.8ec44148d1d2dp-2, -0x1.8df6a266a6f4cp-2, -0x1.8d1658c981e15p-2, -0x1.8c23c6ab29adep-2, -0x1.8b1f4e5f2063fp-2, -0x1.8a095244f000fp-2, -0x1.88e234bac8d29p-2, -0x1.87aa58106e8ccp-2, -0x1.86621e7a748a7p-2, -0x1.8509ea05cd2d2p-2, -0x1.83a21c8ba9486p-2, -0x1.822b17a5a727ap-2, -0x1.80a53ca255951p-2, -0x1.7f10ec7a075c5p-2, -0x1.7d6e87c3f4a59p-2, -0x1.7bbe6eabb4b72p-2, -0x1.7a0100e7019aap-2, -0x1.78369dabd1848p-2, -0x1.765fa3a6bef5dp-2, -0x1.747c70f1c38c5p-2, -0x1.728d630b3e78cp-2, -0x1.7092d6cd4da34p-2, -0x1.6e8d2865782dap-2, -0x1.6c7cb34c9f538p-2, -0x1.6a61d23f46d02p-2, -0x1.683cdf362483ep-2, -0x1.660e335efed2fp-2, -0x1.63d62715d4e78p-2, -0x1.619511de56ff4p-2, -0x1.5f4b4a5da273cp-2, -0x1.5cf926544b9acp-2, -0x1.5a9efa98af57cp-2, -0x1.583d1b118a298p-2, -0x1.55d3dab0d98c2p-2, -0x1.53638b6efe726p-2, -0x1.50ec7e462a82cp-2, -0x1.4e6f032e0a06ap-2, -0x1.4beb6917b6db1p-2, -0x1.4961fde9e812cp-2, -0x1.46d30e7d64723p-2, -0x1.443ee699b35f5p-2, -0x1.41a5d0f20bd44p-2, -0x1.3f0817228003ap-2, -0x1.3c6601ad67e17p-2, -0x1.39bfd7f8ff90fp-2, -0x1.3715e04d475b4p-2, -0x1.34685fd21557cp-2, -0x1.31b79a8d62751p-2, -0x1.2f03d361c9a46p-2, -0x1.2c4d4c0d3e6fep-2, -0x1.29944527f4d2cp-2, -0x1.26d8fe237dd81p-2, -0x1.241bb54a0fc48p-2, -0x1.215ca7be05391p-2, -0x1.1e9c117984ccdp-2, -0x1.1bda2d4e5825dp-2, -0x1.191734e5edbbap-2, -0x1.165360c187e64p-2, -0x1.138ee83a92a17p-2, -0x1.10ca018321553p-2, -0x1.0e04e1a695f6p-2, -0x1.0b3fbc8a6d16dp-2, -0x1.087ac4ef2b674p-2, -0x1.05b62c71748a2p-2, -0x1.02f2238b3e816p-2, -0x1.002ed9952a0c6p-2, -0x1.fad8f98ff0196p-3, -0x1.f556747c3eed3p-3, -0x1.efd67beb0253bp-3, -0x1.ea5965a26b7a7p-3, -0x1.e4df8536f0a19p-3, -0x1.df692c0f5b0c5p-3, -0x1.d9f6a968fe49p-3, -0x1.d4884a5c26e31p-3, -0x1.cf1e59e0b5102p-3, -0x1.c9b920d2e51adp-3, -0x1.c458e5f83afc4p-3, -0x1.befdee049f37fp-3, -0x1.b9a87b9f9c435p-3, -0x1.b458cf69bffd7p-3, -0x1.af0f280222f9cp-3, -0x1.a9cbc20c06a94p-3, -0x1.a48ed834a3038p-3, -0x1.9f58a338fc1a2p-3, -0x1.9a2959ebe2c69p-3, -0x1.9501313c06eebp-3, -0x1.8fe05c3a226b2p-3, -0x1.8ac70c1f39eacp-3, -0x1.85b57052f2f2bp-3, -0x1.80abb671f8d2p-3, -0x1.7baa0a547a36dp-3, -0x1.76b09614ab297p-3, -0x1.71bf82155fa7dp-3, -0x1.6cd6f508aaa7bp-3, -0x1.67f713f68ebp-3, -0x1.63200243b2d7fp-3, -0x1.5e51e1b824175p-3, -0x1.598cd2861bdcdp-3, -0x1.54d0f350cccddp-3, -0x1.501e613334cc2p-3, -0x1.4b7537c6f0bf1p-3, -0x1.46d5912b1683ep-3, -0x1.423f860b0c3b9p-3, -0x1.3db32da55dd58p-3, -0x1.39309dd29a852p-3, -0x1.34b7eb0c2424dp-3, -0x1.304928730a07cp-3, -0x1.2be467d6cf90fp-3, -0x1.2789b9bc3c773p-3, -0x1.23392d641e14bp-3, -0x1.1ef2d0d206f4cp-3, -0x1.1ab6b0d30676bp-3, -0x1.1684d904542p-3, -0x1.125d53d9f84b1p-3, -0x1.0e402aa567a4cp-3, -0x1.0a2d659c13398p-3, -0x1.06250bddf41ddp-3, -0x1.0227237bff55ep-3, -0x1.fc6762fd353d8p-4, -0x1.f49573d7f9f95p-4, -0x1.ecd87f9d042e5p-4, -0x1.e5308a75e7d1p-4, -0x1.dd9d96ad8063dp-4, -0x1.d61fa4bc4a48p-4, -0x1.ceb6b35493982p-4, -0x1.c762bf6e90dcfp-4, -0x1.c023c4545ae37p-4, -0x1.b8f9bbadb2853p-4, -0x1.b1e49d8bbf297p-4, -0x1.aae460749f892p-4, -0x1.a3f8f96eccb51p-4, -0x1.9d225c0c69c28p-4, -0x1.96607a7666c8bp-4, -0x1.8fb3457781bd1p-4, -0x1.891aac871fe78p-4, -0x1.82969dd406f83p-4, -0x1.7c27064ee724bp-4, -0x1.75cbd1b4c6d59p-4, -0x1.6f84ea9947466p-4, -0x1.69523a70bd57bp-4, -0x1.6333a99a278bap-4, -0x1.5d291f68f9431p-4, -0x1.5732822ec3d9ap-4, -0x1.514fb744b25e4p-4, -0x1.4b80a314dec55p-4, -0x1.45c5292385807p-4, -0x1.401d2c1803c8dp-4, -0x1.3a888dc5bd1aep-4, -0x1.35072f34cf435p-4, -0x1.2f98f0aaa0f39p-4, -0x1.2a3db1b249a1cp-4, -0x1.24f55124cd9b2p-4, -0x1.1fbfad31368d5p-4, -0x1.1a9ca36485b56p-4, -0x1.158c10b17824bp-4, -0x1.108dd17828e4bp-4, -0x1.0ba1c18d88b53p-4, -0x1.06c7bc42b5991p-4, -0x1.01ff9c6c1dc8ap-4, -0x1.fa9278d11b6b4p-5, -0x1.f148ec5010194p-5, -0x1.e8224664ff423p-5, -0x1.df1e395cddbe1p-5, -0x1.d63c76ce7bf3cp-5, -0x1.cd7cafa71f8d7p-5, -0x1.c4de9436c3ce1p-5, -0x1.bc61d43c17c1bp-5, -0x1.b4061ef0360f6p-5, -0x1.abcb23120c925p-5, -0x1.a3b08ef1849eap-5, -0x1.9bb6107a59fecp-5, -0x1.93db553ec163bp-5, -0x1.8c200a81ae6dp-5, -0x1.8483dd40ee0fdp-5, -0x1.7d067a3eebd91p-5, -0x1.75a78e0c3d211p-5, -0x1.6e66c510eb283p-5, -0x1.6743cb9579a5ap-5, -0x1.603e4dcbaad6ap-5, -0x1.5955f7d707636p-5, -0x1.528a75d52bdbdp-5, -0x1.4bdb73e5ce13bp-5, -0x1.45489e32940d9p-5, -0x1.3ed1a0f69b069p-5, -0x1.38762885df32fp-5, -0x1.3235e15449c11p-5, -0x1.2c1077fc9f8cbp-5, -0x1.260599472fc94p-5, -0x1.2014f23042485p-5, -0x1.1a3e2fee5ad3fp-5, -0x1.1480fff83cd99p-5, -0x1.0edd100acb31ep-5, -0x1.09520e2ea189ep-5, -0x1.03dfa8bd7f5aep-5, -0x1.fd0b1ccf1a78bp-6, -0x1.f286dc70c0d5cp-6, -0x1.e831ef37b58a9p-6, -0x1.de0bb4c5a6655p-6, -0x1.d4138d8f2bd87p-6, -0x1.ca48dae469261p-6, -0x1.c0aafef949541p-6, -0x1.b7395ced7d7e5p-6, -0x1.adf358d40bfaep-6, -0x1.a4d857ba94e6bp-6, -0x1.9be7bfb053d88p-6, -0x1.9320f7ccb0fcdp-6, -0x1.8a836835a3c09p-6, -0x1.820e7a25aebe7p-6, -0x1.79c197f1ab1e5p-6, -0x1.719c2d0e24122p-6, -0x1.699da61499b12p-6, -0x1.61c570c851d48p-6, -0x1.5a12fc1aff6edp-6, -0x1.5285b8311b13fp-6, -0x1.4b1d166606059p-6, -0x1.43d8894fd05cep-6, -0x1.3cb784c2e8afdp-6, -0x1.35b97dd56f87p-6, -0x1.2eddeae25a466p-6, -0x1.2824438c5f321p-6, -0x1.218c00c0a16a5p-6, -0x1.1b149cb93363p-6, -0x1.14bd92ff4922ap-6, -0x1.0e86606d5d22cp-6, -0x1.086e8330f6e4dp-6, -0x1.02757acc6645p-6, -0x1.f935903073adbp-7, -0x1.edbbda890c382p-7, -0x1.e27cdbb41a223p-7, -0x1.d7779d7645bfep-7, -0x1.ccab2c4904c72p-7, -0x1.c216975bd9c94p-7, -0x1.b7b8f0952b871p-7, -0x1.ad914c92e290ep-7, -0x1.a39ec2aae0e77p-7, -0x1.99e06ceacc809p-7, -0x1.90556818083dcp-7, -0x1.86fcd3af1a852p-7, -0x1.7dd5d1e2db8e1p-7, -0x1.74df879b8788ep-7, -0x1.6c191c7561975p-7, -0x1.6381babf40406p-7, -0x1.5b188f78dd602p-7, -0x1.52dcca50c3931p-7, -0x1.4acd9da2457b6p-7, -0x1.42ea3e73137edp-7, -0x1.3b31e470a552cp-7, -0x1.33a3c9ed84929p-7, -0x1.2c3f2bde66c7dp-7, -0x1.250349d6fcb6dp-7, -0x1.1def6606be274p-7, -0x1.1702c5358349dp-7, -0x1.103caebfd416ep-7, -0x1.099c6c934b193p-7, -0x1.03214b2aa3c78p-7, -0x1.f995331371148p-8, -0x1.ed2f5272e5ee8p-8, -0x1.e10f9c86f60e8p-8, -0x1.d534be5b7dc83p-8, -0x1.c99d69ec88ebp-8, -0x1.be48561c5aa02p-8, -0x1.b3343eaaaa576p-8, -0x1.a85fe42acf1c8p-8, -0x1.9dca0bf9e39a8p-8, -0x1.937180352192ap-8, -0x1.89550faf8df74p-8, -0x1.7f738de7f2ff4p-8, -0x1.75cbd2fe4c5b6p-8, -0x1.6c5cbba9533b2p-8, -0x1.6325292c0a513p-8, -0x1.5a24014ad597cp-8, -0x1.51582e4077a04p-8, -0x1.48c09eb3899b4p-8, -0x1.405c45ab0b71bp-8, -0x1.382a1a838e657p-8, -0x1.302918e3b9575p-8, -0x1.285840b15d2bcp-8, -0x1.20b69605bdac9p-8, -0x1.1943212287cefp-8, -0x1.11fcee662aa15p-8, -0x1.0ae30e4076defp-8, -0x1.03f49527120b6p-8, -0x1.fa613713f330dp-9, -0x1.ed2c7b8fdbaeep-9, -0x1.e04938458e7cdp-9, -0x1.d3b5b5682fe88p-9, -0x1.c77042c29f173p-9, -0x1.bb7737a0dc95cp-9, -0x1.afc8f2b809bf9p-9, -0x1.a463da100318fp-9, -0x1.99465aec0b698p-9, -0x1.8e6ee9b33a092p-9, -0x1.83dc01d9f0a38p-9, -0x1.798c25caa277bp-9, -0x1.6f7ddecee1f62p-9, -0x1.65afbcf86dceap-9, -0x1.5c20570a7b5abp-9, -0x1.52ce4a62c16bp-9, -0x1.49b83ae34ede7p-9, -0x1.40dcd2db4e816p-9, -0x1.383ac2f1116efp-9, -0x1.2fd0c20bc4719p-9, -0x1.279d8d3c8e84bp-9, -0x1.1f9fe7a95b2d3p-9, -0x1.17d69a762694ep-9, -0x1.104074af7ac31p-9, -0x1.08dc4b34a9489p-9, -0x1.01a8f8a1ff497p-9, -0x1.f54aba7736316p-10, -0x1.e7a0bdb00fafp-10, -0x1.da51d195e4d3ep-10, -0x1.cd5bd7a0e4f3cp-10, -0x1.c0bcbbeffe115p-10, -0x1.b472751f79061p-10, -0x1.a87b04200521p-10, -0x1.9cd4740e80ec6p-10, -0x1.917cda0b21f1bp-10, -0x1.8672551168484p-10, -0x1.7bb30dd0e26ep-10, -0x1.713d368565837p-10, -0x1.670f0ad10002ep-10, -0x1.5d26cf93dfcb6p-10, -0x1.5382d2c8331d1p-10, -0x1.4a216b5a70985p-10, -0x1.4100f904f4ac3p-10, -0x1.381fe42ae65e4p-10, -0x1.2f7c9db317929p-10, -0x1.27159ee3f92bp-10, -0x1.1ee9693fcbf3dp-10, -0x1.16f68660e8147p-10, -0x1.0f3b87d6c7484p-10, -0x1.07b70703331eap-10, -0x1.0067a4f7c077ep-10, -0x1.f29814a8ff012p-11, -0x1.e4c5ce4a76587p-11, -0x1.d755e58324fb9p-11, -0x1.ca45d756c68b2p-11, -0x1.bd932eddaf68ep-11, -0x1.b13b8503a6fdp-11, -0x1.a53c804a91afap-11, -0x1.9993d48a455a9p-11, -0x1.8e3f42b3ea8eep-11, -0x1.833c9894cd497p-11, -0x1.7889b09aae433p-11, -0x1.6e247197f567ap-11, -0x1.640ace8995c46p-11, -0x1.5a3ac65d524bfp-11, -0x1.50b263b870effp-11, -0x1.476fbcc099ec2p-11, -0x1.3e70f2e2f442dp-11, -0x1.35b4329f2d9fcp-11, -0x1.2d37b34ff1619p-11, -0x1.24f9b6f756bf8p-11, -0x1.1cf88a093dfdp-11, -0x1.15328338cfb3fp-11, -0x1.0da60344b3228p-11, -0x1.065174c5b679p-11, -0x1.fe6697f9ce876p-12, -0x1.f0940d46b24c9p-12, -0x1.e328577360f05p-12, -0x1.d62096b330e38p-12, -0x1.c979fd0d4ad11p-12, -0x1.bd31ce020eba5p-12, -0x1.b1455e302b29fp-12, -0x1.a5b212fcbf12ep-12, -0x1.9a75623ab3b96p-12, -0x1.8f8cd1d70bbap-12, -0x1.84f5f781151e8p-12, -0x1.7aae785a597c9p-12, -0x1.70b408a1f63p-12, -0x1.67046b65c0f8p-12, -0x1.5d9d7232b221dp-12, -0x1.547cfcc6105a9p-12, -0x1.4ba0f8c16412fp-12, -0x1.4307615f48e9ep-12, -0x1.3aae3f2888f33p-12, -0x1.3293a7abaef23p-12, -0x1.2ab5bd3515c82p-12, -0x1.2312ae889790bp-12, -0x1.1ba8b69be207p-12, -0x1.14761c5334cf9p-12, -0x1.0d79323d6802ap-12, -0x1.06b05652b794dp-12, -0x1.0019f1b49d6a1p-12, -0x1.f368f0dbaa96p-13, -0x1.e6fcd267a7e4fp-13, -0x1.daec9a5518292p-13, -0x1.cf356f4dabd4cp-13, -0x1.c3d48be9dba89p-13, -0x1.b8c73e3ac1a04p-13, -0x1.ae0ae75935595p-13, -0x1.a39cfaf66f634p-13, -0x1.997afeee6b51cp-13, -0x1.8fa28ada92c41p-13, -0x1.861147aaaacdfp-13, -0x1.7cc4ef3ba4f1fp-13, -0x1.73bb4bf1bcfbdp-13, -0x1.6af238561f2d9p-13, -0x1.62679eb367e37p-13, -0x1.5a1978b736f5p-13, -0x1.5205cf12611a9p-13, -0x1.4a2ab91ea7744p-13, -0x1.42865c8222e5p-13, -0x1.3b16ecd7fbeap-13, -0x1.33daab5914ef1p-13, -0x1.2ccfe685fab2bp-13, -0x1.25f4f9d4f8cfep-13, -0x1.1f484d5e796e4p-13, -0x1.18c8558d2fec7p-13, -0x1.127392cfdf2b2p-13, -0x1.0c48914c2e0fep-13, -0x1.0645e892bcaf6p-13, -0x1.006a3b55d9681p-13, -0x1.f5686e4216eap-14, -0x1.ea452820fdc17p-14, -0x1.df68291c55afap-14, -0x1.d4cf0a173eca9p-14, -0x1.ca7777806027cp-14, -0x1.c05f30d031ebp-14, -0x1.b684080958f59p-14, -0x1.ace3e13a4fd8bp-14, -0x1.a37cb2039f1dfp-14, -0x1.9a4c812136d74p-14, -0x1.915165f42f95ep-14, -0x1.88898811a1a42p-14, -0x1.7ff31ed0c4dc9p-14, -0x1.778c70df1c4c8p-14, -0x1.6f53d3d422d6fp-14, -0x1.6747abc9003e8p-14, -0x1.5f666af197b42p-14, -0x1.57ae913903281p-14, -0x1.501eabde4eeacp-14, -0x1.48b55517ae44bp-14, -0x1.417133b17efp-14, -0x1.3a50fab460d19p-14, -0x1.3353690b99b7ep-14, -0x1.2c77492dd51f2p-14, -0x1.25bb70c839ad8p-14, -0x1.1f1ec06ae4171p-14, -0x1.18a023370561dp-14, -0x1.123e8e8ef25c7p-14, -0x1.0bf901ca79d0bp-14, -0x1.05ce85e90cce8p-14, -0x1.ff7c5a922eb0ap-15, -0x1.f38e26be5191p-15, -0x1.e7d0b8dfb024cp-15, -0x1.dc426a9572f1ep-15, -0x1.d0e1a60d4709ep-15, -0x1.c5ace58387a3ep-15, -0x1.baa2b2bf7dc11p-15, -0x1.afc1a699cdc77p-15, -0x1.a5086882a4fadp-15, -0x1.9a75ae09296b6p-15, -0x1.90083a6a038afp-15, -0x1.85bede1cdb589p-15, -0x1.7b987668ef329p-15, -0x1.7193ecf6c5e91p-15, -0x1.67b0376aac3fdp-15, -0x1.5dec56fdec055p-15, -0x1.5447581bbb0aep-15, -0x1.4ac0520086ad1p-15, -0x1.4156665cb4961p-15, -0x1.3808c0f7f456ap-15, -0x1.2ed6975905aa4p-15, -0x1.25bf286eaed15p-15, -0x1.1cc1bc3c6daep-15, -0x1.13dda3862ed75p-15, -0x1.0b123781a7a02p-15, -0x1.025ed988e8d9p-15, -0x1.f385e5992095ep-16, -0x1.e27be818aed65p-16, -0x1.d19eaa9e16315p-16, -0x1.c0ed2b38200edp-16, -0x1.b066757169558p-16, -0x1.a009a1cb8e70ap-16, -0x1.8fd5d53d7a0e2p-16, -0x1.7fca40bd2b7cdp-16, -0x1.6fe620c007306p-16, -0x1.6028bcc900807p-16, -0x1.509166f693207p-16, -0x1.411f7b963f7bp-16, -0x1.31d260b3e1a4ap-16, -0x1.22a985b5cb65bp-16, -0x1.13a462f766206p-16, -0x1.04c2796420603p-16, -0x1.ec06a437199ebp-17, -0x1.ceccfc2a907fap-17, -0x1.b1d72b8883cbep-17, -0x1.95247187d3ad6p-17, -0x1.78b41b02bad96p-17, -0x1.5c8581d63b25ep-17, -0x1.40980c440312fp-17, -0x1.24eb2c59fe923p-17, -0x1.097e5f5da0678p-17, -0x1.dca25a8001fdap-18, -0x1.a6c6501eb1459p-18, -0x1.7167d6e73694ep-18, -0x1.3c863851a5001p-18, -0x1.0820cf0e317b4p-18, -0x1.a86e0c1ebb89dp-19, -0x1.4190af364a83dp-19, -0x1.b75131b274be2p-20, -0x1.dad3d7135b0a5p-21, -0x1.2b50c36a3bbc5p-23, 0x1.415f166c35436p-21, 0x1.64e4160e9eb39p-20, 0x1.139a3a6a62532p-19, 0x1.73d0b6a9cb53ep-19, 0x1.d315d06d3476dp-19, 0x1.18b4e3c434708p-18, 0x1.47666626e163p-18, 0x1.759f8059c4a4fp-18, 0x1.a3603cbfd0d53p-18, 0x1.d0a89fc23d749p-18, 0x1.fd78a84faec54p-18, 0x1.14e82832b7f1ap-17, 0x1.2ad7c6cbc0683p-17, 0x1.408b28be8e588p-17, 0x1.5602451adb5a2p-17, 0x1.6b3d116b64e1ep-17, 0x1.803b81eddfb89p-17, 0x1.94fd89c0dcaedp-17, 0x1.a9831b1c72625p-17, 0x1.bdcc2781eeae1p-17, 0x1.d1d89fe6b7eb6p-17, 0x1.e5a874ddd5c38p-17, 0x1.f93b96c4bf504p-17, 0x1.0648faf7aab1bp-16, 0x1.0fd5c1629f10ep-16, 0x1.194416f5ecf5cp-16, 0x1.2293f432cf497p-16, 0x1.2bc551da51226p-16, 0x1.34d828fb48de4p-16, 0x1.3dcc730205bd5p-16, 0x1.46a229c766e4cp-16, 0x1.4f59479b5bd66p-16, 0x1.57f1c7521962p-16, 0x1.606ba4514e96bp-16, 0x1.68c6da9a87af8p-16, 0x1.710366d44ee78p-16, 0x1.79214653617abp-16, 0x1.812077259a0aep-16, 0x1.8900f819eabc3p-16, 0x1.90c2c8c8501d4p-16, 0x1.9865e998766efp-16, 0x1.9fea5bc82d337p-16, 0x1.a7502173539a6p-16, 0x1.ae973d976ff52p-16, 0x1.b5bfb41b8db97p-16, 0x1.bcc989d1f22c7p-16, 0x1.c3b4c47e99507p-16, 0x1.ca816adab64a2p-16, 0x1.d12f849846826p-16, 0x1.d7bf1a644f3a7p-16, 0x1.de3035ea1ba6p-16, 0x1.e482e1d5b5963p-16, 0x1.eab729d6155c4p-16, 0x1.f0cd1a9d40c6p-16, 0x1.f6c4c1e32456bp-16, 0x1.fc9e2e65de37bp-16, 0x1.012cb7f520529p-15, 0x1.03fb4b9e74c18p-15, 0x1.06badb189be06p-15, 0x1.096b6fd1465c9p-15, 0x1.0c0d13b916713p-15, 0x1.0e9fd14345d46p-15, 0x1.1123b36629f12p-15, 0x1.1398c59977ab6p-15, 0x1.15ff13d650582p-15, 0x1.1856aa965f1e7p-15, 0x1.1a9f96d255a86p-15, 0x1.1cd9e6019bcadp-15, 0x1.1f05a618c3343p-15, 0x1.2122e589192d4p-15, 0x1.2331b33e2c213p-15, 0x1.25321e9d344bcp-15, 0x1.27243783eb90fp-15, 0x1.29080e4708609p-15, 0x1.2addb3aff6681p-15, 0x1.2ca538fc41699p-15, 0x1.2e5eafdae0666p-15, 0x1.300a2a6b54714p-15, 0x1.31a7bb3b92bb9p-15, 0x1.33377546515b5p-15, 0x1.34b96bf1298d1p-15, 0x1.362db30a9989p-15, 0x1.37945ec7fb891p-15, 0x1.38ed83c423fb5p-15, 0x1.3a3936fcba012p-15, 0x1.3b778dd0b5ed6p-15, 0x1.3ca89dfe056c5p-15, 0x1.3dcc7d9f27068p-15, 0x1.3ee34329bc136p-15, 0x1.3fed056c3cbbap-15, 0x1.40e9db8bc0e18p-15, 0x1.41d9dd01b64cbp-15, 0x1.42bd2199be78p-15, 0x1.4393c16f978a6p-15, 0x1.445dd4ed2e626p-15, 0x1.451b74c82cc41p-15, 0x1.45ccb9ff7583bp-15, 0x1.4671bdd95d1e1p-15, 0x1.470a99e1654cp-15, 0x1.479767e60eec6p-15, 0x1.481841f681c6ap-15, 0x1.488d4260964d2p-15, 0x1.48f683ae70674p-15, 0x1.495420a43aa8cp-15, 0x1.49a6343e10bb6p-15, 0x1.49ecd9add1a55p-15, 0x1.4a282c58f9fc8p-15, 0x1.4a5847d6a5bb8p-15, 0x1.4a7d47ecee287p-15, 0x1.4a97488f2ce03p-15, 0x1.4aa665dbf6d31p-15, 0x1.4aaabc1a95e98p-15, 0x1.4aa467b93da61p-15, 0x1.4a93854aac6bep-15, 0x1.4a78318481a26p-15, 0x1.4a52893cd7c7p-15, 0x1.4a22a9687574fp-15, 0x1.49e8af18e7017p-15, 0x1.49a4b77a2f9cdp-15, 0x1.4956dfd0c5636p-15, 0x1.48ff4577ee59fp-15, 0x1.489e05dfd331ap-15, 0x1.48333e8b3a232p-15, 0x1.47bf0d0e0fdf2p-15, 0x1.47418f0b282d3p-15, 0x1.46bae232b5913p-15, 0x1.462b24404cedcp-15, 0x1.459272f931911p-15, 0x1.44f0ec2a8f3e9p-15, 0x1.4446ada7b156dp-15, 0x1.4393d54848c46p-15, 0x1.42d880e6d1418p-15, 0x1.4214ce5ebe695p-15, 0x1.4148db8b078a5p-15, 0x1.4074c6444facp-15, 0x1.3f98ac5f74fc4p-15, 0x1.3eb4abac1fdf8p-15, 0x1.3dc8e1f2ccb35p-15, 0x1.3cd56cf3b9fc6p-15, 0x1.3bda6a65617d5p-15, 0x1.3ad7f7f2b3b0ep-15, 0x1.39ce3339df6b6p-15, 0x1.38bd39cac4d11p-15, 0x1.37a52925dcac3p-15, 0x1.36861eba8250cp-15, 0x1.356037e5ee0acp-15, 0x1.343391f1bc9dfp-15, 0x1.33004a12c2cb2p-15, 0x1.31c67d67c2ed7p-15, 0x1.308648f821279p-15, 0x1.2f3fc9b2b62ffp-15, 0x1.2df31c6cc6813p-15, 0x1.2ca05de0a1a14p-15, 0x1.2b47aaacbe6dbp-15, 0x1.29e91f5285fb1p-15, 0x1.2884d83554237p-15, 0x1.271af1995dc77p-15, 0x1.25ab87a29c76ep-15, 0x1.2436b6540ace3p-15, 0x1.22bc998e8382cp-15, 0x1.213d4d0fbc2d5p-15, 0x1.1fb8ec71842d2p-15, 0x1.1e2f9328c92c6p-15, 0x1.1ca15c84e0d24p-15, 0x1.1b0e63ae87278p-15, 0x1.1976c3a710813p-15, 0x1.17da9747a6399p-15, 0x1.1639f94097f3p-15, 0x1.1495041874a61p-15, 0x1.12ebd22b69f15p-15, 0x1.113e7daa9fcebp-15, 0x1.0f8d209b42dc2p-15, 0x1.0dd7d4d6580afp-15, 0x1.0c1eb407b9efap-15, 0x1.0a61d7ad6ce6fp-15, 0x1.08a159176346ap-15, 0x1.06dd5166aa98ep-15, 0x1.0515d98cecca2p-15, 0x1.034b0a4bedbc5p-15, 0x1.017cfc3526094p-15, 0x1.ff578f5231304p-16, 0x1.fbaf09adf7925p-16, 0x1.f800977804dd7p-16, 0x1.f44c684684721p-16, 0x1.f092ab4aba7bap-16, 0x1.ecd38f4f687ddp-16, 0x1.e90f42b8c285cp-16, 0x1.e545f383ce797p-16, 0x1.e177cf4503bb5p-16, 0x1.dda503282c2e4p-16, 0x1.d9cdbbf015aa8p-16, 0x1.d5f225f53764dp-16, 0x1.d2126d2607ae3p-16, 0x1.ce2ebd05c61abp-16, 0x1.ca4740ac6190fp-16, 0x1.c65c22c63c7afp-16, 0x1.c26d8d932b877p-16, 0x1.be7baae718838p-16, 0x1.ba86a428ca581p-16, 0x1.b68ea251edafcp-16, 0x1.b293cdeeadebap-16, 0x1.ae964f1d82b2fp-16, 0x1.aa964d8f2976ap-16, 0x1.a693f08692b53p-16, 0x1.a28f5ed8470e4p-16, 0x1.9e88beea9e06p-16, 0x1.9a8036b54f0d8p-16, 0x1.9675ebc1ab279p-16, 0x1.926a032aefc7p-16, 0x1.8e5ca19d8b74cp-16, 0x1.8a4deb575040ep-16, 0x1.863e0427b32b6p-16, 0x1.822d0f6fade0fp-16, 0x1.7e1b3022147a2p-16, 0x1.7a0888c3457ffp-16, 0x1.75f53b6961679p-16, 0x1.71e169bce919p-16, 0x1.6dcd34f835bf5p-16, 0x1.69b8bde868bbbp-16, 0x1.65a424ecc1976p-16, 0x1.618f89f793bb4p-16, 0x1.5d7b0c8e1d5ccp-16, 0x1.5966cbc8deaedp-16, 0x1.5552e65480774p-16, 0x1.513f7a70d4411p-16, 0x1.4d2ca5f2454b5p-16, 0x1.491a8641aa6bap-16, 0x1.4509385ce1b3p-16, 0x1.40f8d8d72f8b7p-16, 0x1.3ce983d92a8b2p-16, }}, 
      {{0x1.e0d5cbf269505p-1, 0x1.e0c5272eea574p-1, 0x1.e0a9b29a15461p-1, 0x1.e083b177446f3p-1, 0x1.e0534da590601p-1, 0x1.e01885a840a5dp-1, 0x1.dfd325b27d3c6p-1, 0x1.df82c95a8877ep-1, 0x1.df26e3136f5b7p-1, 0x1.debec6dd7a94ep-1, 0x1.de49b633ccdep-1, 0x1.ddc6ebd415566p-1, 0x1.dd35a67b4c667p-1, 0x1.dc9532139fb8ep-1, 0x1.dbe4ef16d1196p-1, 0x1.db24581a20c7ap-1, 0x1.da53059a086ecp-1, 0x1.d970b0308ec52p-1, 0x1.d87d316c0e2a8p-1, 0x1.d7788380a463ep-1, 0x1.d662c00e217abp-1, 0x1.d53c1e30e8b23p-1, 0x1.d404f00ef16cdp-1, 0x1.d2bda00bf7eccp-1, 0x1.d166adc965b9fp-1, 0x1.d000ab103d694p-1, 0x1.ce8c38bd5cbebp-1, 0x1.cd0a03c32379dp-1, 0x1.cb7ac24edd547p-1, 0x1.c9df311c470a4p-1, 0x1.c83810fe33047p-1, 0x1.c68624a084b8ep-1, 0x1.c4ca2e857f964p-1, 0x1.c304ef3ea5f85p-1, 0x1.c13723e000958p-1, 0x1.bf6184aba6acp-1, 0x1.bd84c3f2a1696p-1, 0x1.bba18d27c0e2ep-1, 0x1.b9b88420adf3ep-1, 0x1.b7ca44815237fp-1, 0x1.b5d7614dac781p-1, 0x1.b3e0649e2cf2fp-1, 0x1.b1e5cf72cf494p-1, 0x1.afe819a158ac2p-1, 0x1.ade7b1db4c71fp-1, 0x1.abe4fdc860332p-1, 0x1.a9e05a3278c4bp-1, 0x1.a7da1b406f7efp-1, 0x1.a5d28cbd1e953p-1, 0x1.a3c9f2686f497p-1, 0x1.a1c08850575dcp-1, 0x1.9fb6832ff4715p-1, 0x1.9dac10d31a768p-1, 0x1.9ba1587ce71d5p-1, 0x1.99967b500faf9p-1, 0x1.978b94b7cecb4p-1, 0x1.9580bad077f45p-1, 0x1.9375fecee2482p-1, 0x1.916b6d65f3952p-1, 0x1.8f610f29b4549p-1, 0x1.8d56e8ef75c5bp-1, 0x1.8b4cfc2a9e328p-1, 0x1.89434745d293dp-1, 0x1.8739c5f83b647p-1, 0x1.85307196badafp-1, 0x1.83274160f8642p-1, 0x1.811e2aca29d76p-1, 0x1.7f1521bd9c269p-1, 0x1.7d0c18def9ffbp-1, 0x1.7b0301c65bcf4p-1, 0x1.78f9cd383679p-1, 0x1.76f06b593e528p-1, 0x1.74e6cbde5b2f8p-1, 0x1.72dcde38d0e68p-1, 0x1.70d291beba36bp-1, 0x1.6ec7d5d003cb8p-1, 0x1.6cbc99f807ea9p-1, 0x1.6ab0ce0bf5ac9p-1, 0x1.68a4624630d64p-1, 0x1.6697475ecd0ffp-1, 0x1.64896ea153fabp-1, 0x1.627ac9fffa6dp-1, 0x1.606b4c2471eaap-1, 0x1.5e5ae87e7915bp-1, 0x1.5c49935053c98p-1, 0x1.5a3741b95006ap-1, 0x1.5823e9be7bc22p-1, 0x1.560f8251ab427p-1, 0x1.53fa0356f5a3p-1, 0x1.51e365a8c1e3ep-1, 0x1.4fcba31a86997p-1, 0x1.4db2b67a55bf8p-1, 0x1.4b989b91509ccp-1, 0x1.497d4f231e1a2p-1, 0x1.4760ceec78aa5p-1, 0x1.454319a0edb42p-1, 0x1.43242ee7dfdf9p-1, 0x1.41040f58e20a2p-1, 0x1.3ee2bc777eacfp-1, 0x1.3cc038ae7806p-1, 0x1.3a9c874a95af6p-1, 0x1.3877ac750c2d9p-1, 0x1.3651ad2d8c88p-1, 0x1.342a8f4407225p-1, 0x1.3202595230223p-1, 0x1.2fd912b4ce2dp-1, 0x1.2daec384dcb9cp-1, 0x1.2b8374908e104p-1, 0x1.29572f542fcfap-1, 0x1.2729fdf300825p-1, 0x1.24fbeb2ff5cbcp-1, 0x1.22cd02667f12bp-1, 0x1.209d4f8347116p-1, 0x1.1e6cdefcfa03fp-1, 0x1.1c3bbdcd162cdp-1, 0x1.1a09f968c9528p-1, 0x1.17d79fb9df647p-1, 0x1.15a4bf17c55adp-1, 0x1.13716640a446fp-1, 0x1.113da45294cc7p-1, 0x1.0f0988c4f04a1p-1, 0x1.0cd52361be60dp-1, 0x1.0aa0843f43e7ap-1, 0x1.086bbbb9b189ep-1, 0x1.0636da6cf594bp-1, 0x1.0401f12eb0832p-1, 0x1.01cd11084f5d3p-1, 0x1.ff30966290583p-2, 0x1.fac76212fe3b7p-2, 0x1.f65ea8279dadbp-2, 0x1.f1f68be171259p-2, 0x1.ed8f30b2742c5p-2, 0x1.e928ba339195dp-2, 0x1.e4c34c1aeb879p-2, 0x1.e05f0a3269dd2p-2, 0x1.dbfc184e99ea5p-2, 0x1.d79a9a45d57cap-2, 0x1.d33ab3e7b825ep-2, 0x1.cedc88f4dd18p-2, 0x1.ca803d16e754dp-2, 0x1.c625f3d8d1fe6p-2, 0x1.c1cdd09f88c8p-2, 0x1.bd77f6a2c5e4ep-2, 0x1.b92488e639d92p-2, 0x1.b4d3aa32f14eep-2, 0x1.b0857d1105af2p-2, 0x1.ac3a23c18a6bfp-2, 0x1.a7f1c038c0a95p-2, 0x1.a3ac74188564bp-2, 0x1.9f6a60ab03c75p-2, 0x1.9b2ba6dda1f76p-2, 0x1.96f0673c2d3e9p-2, 0x1.92b8c1ec3cb8ep-2, 0x1.8e84d6a8d5fcap-2, 0x1.8a54c4be40d17p-2, 0x1.8628ab061bfe4p-2, 0x1.8200a7e3a126cp-2, 0x1.7ddcd94023278p-2, 0x1.79bd5c87bdb34p-2, 0x1.75a24ea638667p-2, 0x1.718bcc041bfd2p-2, 0x1.6d79f083f7799p-2, 0x1.696cd77fd459bp-2, 0x1.65649bc6db2dep-2, 0x1.6161579b2186dp-2, 0x1.5d6324afa6f29p-2, 0x1.596a1c267ae0cp-2, 0x1.5576568f0e10bp-2, 0x1.5187ebe4a9d2dp-2, 0x1.4d9ef38d11f2cp-2, 0x1.49bb84574a41cp-2, 0x1.45ddb47a83452p-2, 0x1.420599952a84fp-2, 0x1.3e3348ac1e79fp-2, 0x1.3a66d62a05ab5p-2, 0x1.36a055dec2d2ep-2, 0x1.32dfdaff0f44fp-2, 0x1.2f25782431ee2p-2, 0x1.2b713f4bd2e81p-2, 0x1.27c341d7ef994p-2, 0x1.241b908ee8c81p-2, 0x1.207a3b9bae959p-2, 0x1.1cdf528e04a95p-2, 0x1.194ae45ae1a1p-2, 0x1.15bcff5ce8738p-2, 0x1.1235b154f67f6p-2, 0x1.0eb5076acbfcep-2, 0x1.0b3b0e2dc8ab1p-2, 0x1.07c7d195bfcc1p-2, 0x1.045b5d03de29dp-2, 0x1.00f5bb43a7da6p-2, 0x1.fb2ded1809f0ap-3, 0x1.f47e3100c7d0cp-3, 0x1.eddc5463d5256p-3, 0x1.e7486841750b7p-3, 0x1.e0c27c7a8739p-3, 0x1.da4a9fd34f97fp-3, 0x1.d3e0dff65843ep-3, 0x1.cd8549776c295p-3, 0x1.c737e7d6b6963p-3, 0x1.c0f8c583ef1afp-3, 0x1.bac7ebe1a7b9cp-3, 0x1.b4a56348ad8e6p-3, 0x1.ae91330b7a2cap-3, 0x1.a88b6179c2058p-3, 0x1.a293f3e40ffe2p-3, 0x1.9caaee9f729ebp-3, 0x1.96d055093bb94p-3, 0x1.9104298acf05ap-3, 0x1.8b466d9d7d0d2p-3, 0x1.859721ce6eccep-3, 0x1.7ff645c29943p-3, 0x1.7a63d83abfef5p-3, 0x1.74dfd7177c9bdp-3, 0x1.6f6a3f5d57db1p-3, 0x1.6a030d38dee3p-3, 0x1.64aa3c02cbe12p-3, 0x1.5f5fc6442baa4p-3, 0x1.5a23a5ba8df97p-3, 0x1.54f5d35c35addp-3, 0x1.4fd6475c52b67p-3, 0x1.4ac4f92f3b1c5p-3, 0x1.45c1df8ea24a1p-3, 0x1.40ccf07ddae23p-3, 0x1.3be6214e0e06dp-3, 0x1.370d66a27e10dp-3, 0x1.3242b474beb8ep-3, 0x1.2d85fe18efe3fp-3, 0x1.28d73641f4eb5p-3, 0x1.24364f05abe44p-3, 0x1.1fa339e11a59bp-3, 0x1.1b1de7bca10f6p-3, 0x1.16a648f01d4c6p-3, 0x1.123c4d4712f0ep-3, 0x1.0ddfe404c3329p-3, 0x1.0990fbe848ap-3, 0x1.054f8330a6d31p-3, 0x1.011b67a0d077p-3, 0x1.f9e92d0757172p-4, 0x1.f1b5f96012b02p-4, 0x1.e99d0d192ce74p-4, 0x1.e19e40278787dp-4, 0x1.d9b969af4656fp-4, 0x1.d1ee600b7de1fp-4, 0x1.ca3cf8d5bf1d9p-4, 0x1.c2a508eda143p-4, 0x1.bb26648024f8ap-4, 0x1.b3c0df0f1233fp-4, 0x1.ac744b782be2fp-4, 0x1.a5407bfc63955p-4, 0x1.9e254246e12a8p-4, 0x1.97226f73f9f6cp-4, 0x1.9037d4181d2cep-4, 0x1.896540468e243p-4, 0x1.82aa8398184a4p-4, 0x1.7c076d31a3f01p-4, 0x1.757bcbcab21dp-4, 0x1.6f076db3bd1cdp-4, 0x1.68aa20dc7fe55p-4, 0x1.6263b2da23195p-4, 0x1.5c33f0ed4ef3p-4, 0x1.561aa80825158p-4, 0x1.5017a4d4183c8p-4, 0x1.4a2ab3b7b1fb1p-4, 0x1.4453a0dc3793bp-4, 0x1.3e923833357c4p-4, 0x1.38e6457bec9f3p-4, 0x1.334f9448aa802p-4, 0x1.2dcdf003ff134p-4, 0x1.286123f5dbb51p-4, 0x1.2308fb4895a36p-4, 0x1.1dc5410dcb6e2p-4, 0x1.1895c04331c88p-4, 0x1.137a43d74351cp-4, 0x1.0e7296add5fbfp-4, 0x1.097e83a4944bap-4, 0x1.049dd5975d9dbp-4, 0x1.ffa0aec9137e8p-5, 0x1.f62ba7e226bc4p-5, 0x1.ecdc2c594bf23p-5, 0x1.e3b1d22b27c6fp-5, 0x1.daac2f795eddp-5, 0x1.d1cada921c857p-5, 0x1.c90d69f758007p-5, 0x1.c0737465f95f8p-5, 0x1.b7fc90dcb6fb4p-5, 0x1.afa856a2d17c1p-5, 0x1.a7765d4e96e3p-5, 0x1.9f663ccbb3431p-5, 0x1.97778d6150ebap-5, 0x1.8fa9e7b80f692p-5, 0x1.87fce4dfc12bbp-5, 0x1.80701e54fe9b2p-5, 0x1.79032e068842ep-5, 0x1.71b5ae5a82fe9p-5, 0x1.6a873a3379098p-5, 0x1.63776cf538ee8p-5, 0x1.5c85e2898989cp-5, 0x1.55b23764a3fd7p-5, 0x1.4efc088995055p-5, 0x1.4862f38e681afp-5, 0x1.41e696a02c403p-5, 0x1.3b869086d215cp-5, 0x1.354280a8dc8eap-5, 0x1.2f1a070eebfdbp-5, 0x1.290cc467264dfp-5, 0x1.231a5a0870159p-5, 0x1.1d4269f58bf97p-5, 0x1.178496e00495ap-5, 0x1.11e0842b030c4p-5, 0x1.0c55d5edf5602p-5, 0x1.06e430f717f5ep-5, 0x1.018b3acddb311p-5, 0x1.f895336a4b11fp-6, 0x1.ee43e95af0d13p-6, 0x1.e421e6eddd6a8p-6, 0x1.da2e7d2644b39p-6, 0x1.d068fe8ddc91ap-6, 0x1.c6d0bf38225cap-6, 0x1.bd6514c56fb48p-6, 0x1.b4255665c9acap-6, 0x1.ab10dcdb77ab5p-6, 0x1.a227027d72e13p-6, 0x1.99672339809bcp-6, 0x1.90d09c963bb3bp-6, 0x1.8862cdb4c8222p-6, 0x1.801d17526ea9p-6, 0x1.77fedbc9f9da5p-6, 0x1.70077f14e0753p-6, 0x1.683666cc4f646p-6, 0x1.608afa29ef7a9p-6, 0x1.5904a208982f5p-6, 0x1.51a2c8e4c73fp-6, 0x1.4a64dadcea8e5p-6, 0x1.434a45b190b83p-6, 0x1.3c5278c56b2ap-6, 0x1.357ce51d1b797p-6, 0x1.2ec8fd5ef1f2fp-6, 0x1.283635d27b9a8p-6, 0x1.21c4045fecfd1p-6, 0x1.1b71e08f6bef3p-6, 0x1.153f43883c721p-6, 0x1.0f2ba80fc35f7p-6, 0x1.09368a8874adbp-6, 0x1.035f68f09d1c6p-6, 0x1.fb4b85c227e77p-7, 0x1.f01233179059fp-7, 0x1.e511df74796d8p-7, 0x1.da499397c74e8p-7, 0x1.cfb85b68c46a4p-7, 0x1.c55d45f37c587p-7, 0x1.bb376564e1491p-7, 0x1.b145cf06c8a23p-7, 0x1.a7879b3bb65bep-7, 0x1.9dfbe57a8f066p-7, 0x1.94a1cc4a14561p-7, 0x1.8b78713c37761p-7, 0x1.827ef8e949948p-7, 0x1.79b48aeb23fcap-7, 0x1.711851d7fd282p-7, 0x1.68a97b3d49131p-7, 0x1.6067379a6c85dp-7, 0x1.5850ba5b44bebp-7, 0x1.506539d2a97a9p-7, 0x1.48a3ef34d16ebp-7, 0x1.410c16918daadp-7, 0x1.399ceece8422cp-7, 0x1.3255b9a13f4b8p-7, 0x1.2b35bb8934fe1p-7, 0x1.243c3bc9be93cp-7, 0x1.1d688463efef7p-7, 0x1.16b9e2106a2a1p-7, 0x1.102fa4390be8p-7, 0x1.09c91cf2bd1ffp-7, 0x1.0385a0f6eb82p-7, 0x1.fac90f3a8003cp-8, 0x1.eeca55aa215f4p-8, 0x1.e30dce3dd4224p-8, 0x1.d792370c04c5cp-8, 0x1.cc5653334d4f9p-8, 0x1.c158eacd3b2d2p-8, 0x1.b698cae1042b8p-8, 0x1.ac14c5564548dp-8, 0x1.a1cbb0e7a4d06p-8, 0x1.97bc69156a9c2p-8, 0x1.8de5ce181a975p-8, 0x1.8446c4d303fe2p-8, 0x1.7ade36c6d957ap-8, 0x1.71ab120431eafp-8, 0x1.68ac491e29e29p-8, 0x1.5fe0d31ccd84ep-8, 0x1.5747ab6fcb137p-8, 0x1.4edfd1e0ee0edp-8, 0x1.46a84a86ca54p-8, 0x1.3ea01db7449b6p-8, 0x1.36c657fa49f8bp-8, 0x1.2f1a09fc70d6ap-8, 0x1.279a4881b38fbp-8, 0x1.20462c5839624p-8, 0x1.191cd24b096f5p-8, 0x1.121d5b150ecadp-8, 0x1.0b46eb53ce034p-8, 0x1.0498ab7a75dc2p-8, 0x1.fc238f89d82f7p-9, 0x1.ef62e055985bap-9, 0x1.e2edb0a518945p-9, 0x1.d6c26f097d726p-9, 0x1.cadf913ebb7cap-9, 0x1.bf43941236b6dp-9, 0x1.b3ecfb49abef8p-9, 0x1.a8da518a3d84fp-9, 0x1.9e0a283f946e6p-9, 0x1.937b17835a37bp-9, 0x1.892bbe04a5799p-9, 0x1.7f1ac0efbe24bp-9, 0x1.7546cbd60db4dp-9, 0x1.6bae909615962p-9, 0x1.6250c743c89e1p-9, 0x1.592c2e11052b5p-9, 0x1.503f8936289acp-9, 0x1.4789a2dafa8e6p-9, 0x1.3f094affb33a2p-9, 0x1.36bd576641ddp-9, 0x1.2ea4a37baed0fp-9, 0x1.26be1041ea3fep-9, 0x1.1f0884397e23ap-9, 0x1.1782eb4bdcc58p-9, 0x1.102c36b57301ap-9, 0x1.09035cf05eebfp-9, 0x1.0207599f026ddp-9, 0x1.f66e5aee357dcp-10, 0x1.e923bc599936dp-10, 0x1.dc2cecbc3b627p-10, 0x1.cf880afd17c55p-10, 0x1.c3333f859fc49p-10, 0x1.b72cbc1a14693p-10, 0x1.ab72bbb1cc1ecp-10, 0x1.a00382508fabdp-10, 0x1.94dd5cdf8c343p-10, 0x1.89fea107bf885p-10, 0x1.7f65ad0be77b9p-10, 0x1.7510e7a37af0dp-10, 0x1.6afebfd5e8b5p-10, 0x1.612dacd62529fp-10, 0x1.579c2ddf017acp-10, 0x1.4e48ca0f70cbep-10, 0x1.45321047bf7d6p-10, 0x1.3c56970729001p-10, 0x1.33b4fc496c8a9p-10, 0x1.2b4be5654f5f2p-10, 0x1.2319feeb82257p-10, 0x1.1b1dfc859968ap-10, 0x1.135698d5f5e63p-10, 0x1.0bc29557b27dfp-10, 0x1.0460ba3f2b981p-10, 0x1.fa5facb620b4ap-11, 0x1.ec5d7deb3e6cbp-11, 0x1.deb89f6d1afbcp-11, 0x1.d16ed50a8b51cp-11, 0x1.c47deed6cceb6p-11, 0x1.b7e3c8f015cb3p-11, 0x1.ab9e4b46434bep-11, 0x1.9fab6962b51dp-11, 0x1.94092230dd4b1p-11, 0x1.88b57fc7c7c0cp-11, 0x1.7dae97343e818p-11, 0x1.72f28843c88b2p-11, 0x1.687f7d50a02f7p-11, 0x1.5e53ab0e12244p-11, 0x1.546d50563a0d9p-11, 0x1.4acab5f7bc8ddp-11, 0x1.416a2e850806p-11, 0x1.384a1623e6a02p-11, 0x1.2f68d25dfc569p-11, 0x1.26c4d1f1c6e97p-11, 0x1.1e5c8ca4fb4e9p-11, 0x1.162e83168694ep-11, 0x1.0e393e9291fe1p-11, 0x1.067b50e64cff9p-11, 0x1.fde6a8693fbfdp-12, 0x1.ef3fd5980452ap-12, 0x1.e0ff7df8a8874p-12, 0x1.d32305dc5d415p-12, 0x1.c5a7e0f41dd0ap-12, 0x1.b88b9201717a3p-12, 0x1.abcbaa8883475p-12, 0x1.9f65ca831be95p-12, 0x1.9357a014b671p-12, 0x1.879ee740cd605p-12, 0x1.7c3969a18328dp-12, 0x1.7124fe1fc2b6bp-12, 0x1.665f88acfab69p-12, 0x1.5be6f9fe0217dp-12, 0x1.51b94f46466bp-12, 0x1.47d491f5a8997p-12, 0x1.3e36d776599cep-12, 0x1.34de40ec4d708p-12, 0x1.2bc8faf62be9dp-12, 0x1.22f53d6ea2d8ep-12, 0x1.1a614b2f6d747p-12, 0x1.120b71d4fba7ep-12, 0x1.09f209841fbd6p-12, 0x1.021374af6183p-12, 0x1.f4dc3fbdc8a02p-13, 0x1.e60102efb466p-13, 0x1.d792330c5e0cap-13, 0x1.c98ce30dfb78ap-13, 0x1.bbee386644135p-13, 0x1.aeb36a97faedcp-13, 0x1.a1d9c2d11769bp-13, 0x1.955e9b86e1c98p-13, 0x1.893f601427adap-13, 0x1.7d798c59999c9p-13, 0x1.720aac5f019dbp-13, 0x1.66f05bf7e1ba1p-13, 0x1.5c284667cfd58p-13, 0x1.51b0260a7cfb6p-13, 0x1.4785c3fcb377ap-13, 0x1.3da6f7c5ed27ep-13, 0x1.3411a705e0e9fp-13, 0x1.2ac3c521a8749p-13, 0x1.21bb52f349c7p-13, 0x1.18f65e7b55d28p-13, 0x1.10730292d6677p-13, 0x1.082f66a06079ep-13, 0x1.0029be4d7eab9p-13, 0x1.f0c0927b04a53p-14, 0x1.e1a2a58dc13dcp-14, 0x1.d2f6635a211aap-14, 0x1.c4b88fb793dfdp-14, 0x1.b6e604484ae42p-14, 0x1.a97baff6bee4dp-14, 0x1.9c769674a255dp-14, 0x1.8fd3cfbbe241dp-14, 0x1.839087948423cp-14, 0x1.77a9fd1a5236p-14, 0x1.6c1d8248d6bfap-14, 0x1.60e87b848f172p-14, 0x1.56085f2c5e4b8p-14, 0x1.4b7ab52821887p-14, 0x1.413d167d9f2e4p-14, 0x1.374d2ce5b2ccfp-14, 0x1.2da8b263b260fp-14, 0x1.244d70dfbb8dfp-14, 0x1.1b3941c33be8ap-14, 0x1.126a0d96f80eap-14, 0x1.09ddcba3c4279p-14, 0x1.019281954b801p-14, 0x1.f30c863cf3cc4p-15, 0x1.e36e63402b40bp-15, 0x1.d446f7a254574p-15, 0x1.c592bad35e368p-15, 0x1.b74e3d9d31c46p-15, 0x1.a97629818c83p-15, 0x1.9c07401738376p-15, 0x1.8efe5a7132eb4p-15, 0x1.8258688340007p-15, 0x1.7612708d325cap-15, 0x1.6a298e88a8676p-15, 0x1.5e9af39a7b3abp-15, 0x1.5363e586b5fb6p-15, 0x1.4881be279e9fdp-15, 0x1.3df1eae967fc4p-15, 0x1.33b1ec46e56a2p-15, 0x1.29bf554bd5803p-15, 0x1.2017cb16c057ep-15, 0x1.16b904606f68ep-15, 0x1.0da0c9047db26p-15, 0x1.04ccf18e14255p-15, 0x1.f876cd8b18909p-16, 0x1.e7d4428613e6ep-16, 0x1.d7ae5203a0ccfp-16, 0x1.c80129ed98353p-16, 0x1.b8c915542317cp-16, 0x1.aa027ba4215b7p-16, 0x1.9ba9dfe1da2e7p-16, 0x1.8dbbdfea3e326p-16, 0x1.803533b76599p-16, 0x1.7312acaa09adp-16, 0x1.665134d78daf1p-16, 0x1.59edce5b4d031p-16, 0x1.4de592ae07e4dp-16, 0x1.4235b201827ddp-16, 0x1.36db729b9044p-16, 0x1.2bd4303b40b15p-16, 0x1.211d5b7da4f2p-16, 0x1.16b4794883d2bp-16, 0x1.0c972238bf143p-16, 0x1.02c3021227856p-16, 0x1.f26bae6af205fp-17, 0x1.dfdae433643a7p-17, 0x1.cdcf698d6a165p-17, 0x1.bc4524a967841p-17, 0x1.ab381cdcab21bp-17, 0x1.9aa479ae2b331p-17, 0x1.8a8681e58027dp-17, 0x1.7ada9aa3f43b6p-17, 0x1.6b9d4680e83f3p-17, 0x1.5ccb24aec5806p-17, 0x1.4e60f02256548p-17, 0x1.405b7ec3845cfp-17, 0x1.32b7c09e6025ap-17, 0x1.2572bf1dd7f9ep-17, 0x1.18899c48d6d12p-17, 0x1.0bf992087b206p-17, 0x1.ff7fe2d84e4c2p-18, 0x1.e7b443f335a7fp-18, 0x1.d08b41ff1a51dp-18, 0x1.ba0001d76d537p-18, 0x1.a40dd1489101ep-18, 0x1.8eb025d4edcdbp-18, 0x1.79e29b76a4f01p-18, 0x1.65a0f37367ee3p-18, 0x1.51e713329329cp-18, 0x1.3eb1031dcdab8p-18, 0x1.2bfaed8b9f7aap-18, 0x1.19c11daaf496ep-18, 0x1.07fffe7ef0fc7p-18, 0x1.ed6833b4c8c3bp-19, 0x1.cbb42ed2e92afp-19, 0x1.aadd7772a8b3ep-19, 0x1.8addce9be25cbp-19, 0x1.6baf2b7cc3362p-19, 0x1.4d4bb99f94b25p-19, 0x1.2fadd73ec8da5p-19, 0x1.12d013a1dad1cp-19, 0x1.ed5a5af8f587dp-20, 0x1.b68022c83b21bp-20, 0x1.8107b09e9db78p-20, 0x1.4ce78c3d36cc8p-20, 0x1.1a169047c56b2p-20, 0x1.d117cf3a42b72p-21, 0x1.707e15243727cp-21, 0x1.124f78b60079fp-21, 0x1.6cf822205d1c1p-22, 0x1.73d204682128p-23, 0x1.6a7cab651df3cp-27, -0x1.3dc7b7bfb31d5p-23, -0x1.44d9ed2ed3faap-22, -0x1.e6a907469bf22p-22, -0x1.42357c19b3496p-21, -0x1.8f1c55dc390dap-21, -0x1.da15198554397p-21, -0x1.1195b32fb4c6bp-20, -0x1.35353b0c81081p-20, -0x1.57ee902d6c3f2p-20, -0x1.79c6ef257c61ap-20, -0x1.9ac36702226abp-20, -0x1.bae8dae1a1fddp-20, -0x1.da3c039388aap-20, -0x1.f8c1712b2a827p-20, -0x1.0b3ec639f226ep-19, -0x1.19ba4c35bffe8p-19, -0x1.27d559d1b2b1ap-19, -0x1.3591eccefa513p-19, -0x1.42f1f212c2562p-19, -0x1.4ff74645df09ap-19, -0x1.5ca3b66f7d7dcp-19, -0x1.68f90092d110cp-19, -0x1.74f8d43ee5f8ep-19, -0x1.80a4d31ba0ef6p-19, -0x1.8bfe9178bd05ep-19, -0x1.970796cb539bbp-19, -0x1.a1c15e3699f1cp-19, -0x1.ac2d5701f9a6fp-19, -0x1.b64ce515c23b9p-19, -0x1.c0216169bcbfbp-19, -0x1.c9ac1a77cb685p-19, -0x1.d2ee54aa997cfp-19, -0x1.dbe94abfb03e2p-19, -0x1.e49e2e2ef474ep-19, -0x1.ed0e278d166dfp-19, -0x1.f53a56ea124ddp-19, -0x1.fd23d425a1ebcp-19, -0x1.0265d7a5813cfp-18, -0x1.06197872300b2p-18, -0x1.09ad4d25dd925p-18, -0x1.0d21d2fb82573p-18, -0x1.107783e25df15p-18, -0x1.13aed6a186393p-18, -0x1.16c83efb22ep-18, -0x1.19c42dcc4f8b7p-18, -0x1.1ca3112f0fb59p-18, -0x1.1f655499001f8p-18, -0x1.220b60f7adddcp-18, -0x1.24959ccf4cb0fp-18, -0x1.27046c54d5ae2p-18, -0x1.29583187d04c3p-18, -0x1.2b914c4dc3b74p-18, -0x1.2db01a87de5ap-18, -0x1.2fb4f82c1a565p-18, -0x1.31a03f5b8fb06p-18, -0x1.33724876a4909p-18, -0x1.352b6a3277b21p-18, -0x1.36cbf9ad12a9p-18, -0x1.38544a7f3dba1p-18, -0x1.39c4aece7fca6p-18, -0x1.3b1d77600203ep-18, -0x1.3c5ef3a7666bep-18, -0x1.3d8971d714e2dp-18, -0x1.3e9d3eefb72c7p-18, -0x1.3f9aa6ce7c875p-18, -0x1.4081f439bd0f7p-18, -0x1.415370f0675d1p-18, -0x1.420f65b3b2c26p-18, -0x1.42b61a54e65eap-18, -0x1.4347d5c0d2c2ep-18, -0x1.43c4de09be68ap-18, -0x1.442d7871e5bb1p-18, -0x1.4481e97576408p-18, -0x1.44c274d3c60eap-18, -0x1.44ef5d980410cp-18, -0x1.4508e6215a34bp-18, -0x1.450f502b8000fp-18, -0x1.4502dcd601b3cp-18, -0x1.44e3ccaaaa4f5p-18, -0x1.44b25fa45bc0fp-18, -0x1.446ed5366b545p-18, -0x1.44196c50e2ec9p-18, -0x1.43b263679fc8dp-18, -0x1.4339f87711fc2p-18, -0x1.42b06908ee0f5p-18, -0x1.4215f238418cep-18, -0x1.416ad0b7eb76fp-18, -0x1.40af40d45fef4p-18, -0x1.3fe37e77f8237p-18, -0x1.3f07c52f73cc5p-18, -0x1.3e1c502c7067ap-18, -0x1.3d215a485123fp-18, -0x1.3c171e07bc649p-18, -0x1.3afdd59cac5e8p-18, -0x1.39d5bae8950a7p-18, -0x1.389f077fb41dbp-18, -0x1.3759f4a99d688p-18, -0x1.3606bb6416a76p-18, -0x1.34a59463edf46p-18, -0x1.3336b8176efc3p-18, -0x1.31ba5ea6c46a3p-18, -0x1.3030bff5e5a55p-18, -0x1.2e9a13a4cc6cap-18, -0x1.2cf6911148a3ap-18, -0x1.2b466f56fee11p-18, -0x1.2989e55006ac4p-18, -0x1.27c1299636d14p-18, -0x1.25ec72831c71bp-18, -0x1.240bf630215a2p-18, -0x1.221fea76c9fa9p-18, -0x1.202884f160521p-18, -0x1.1e25fafa2c3p-18, -0x1.1c1881ac09a98p-18, -0x1.1a004de23afafp-18, -0x1.17dd9437e640ap-18, -0x1.15b0890805e62p-18, -0x1.1379606d5fb6dp-18, -0x1.11384e41e452ap-18, -0x1.0eed861e0647p-18, -0x1.0c993b58662eap-18, -0x1.0a3ba105b064fp-18, -0x1.07d4e9f7ce5ccp-18, -0x1.056548bd2c6e2p-18, -0x1.02ecefa001f1fp-18, -0x1.006c10a6016b1p-18, -0x1.fbc5bb1f35bd5p-19, -0x1.f6a30fad7bd1ap-19, -0x1.f170815e0307p-19, -0x1.ec2e72085fd69p-19, -0x1.e6dd42f2e4f8dp-19, -0x1.e17d54d24b323p-19, -0x1.dc0f07c734564p-19, -0x1.d692bb5c5aa6fp-19, -0x1.d108ce852763dp-19, -0x1.cb719f9cc2678p-19, -0x1.c5cd8c635936fp-19, -0x1.c01cf1fc774e9p-19, -0x1.ba602cedc8811p-19, -0x1.b497991d8604dp-19, -0x1.aec391d0523dcp-19, -0x1.a8e471a7d50f8p-19, -0x1.a2fa92a14d3cep-19, -0x1.9d064e1430c39p-19, -0x1.9707fcaf9e002p-19, -0x1.90fff678c794ap-19, -0x1.8aee92ca0af12p-19, -0x1.84d42850c1bcep-19, -0x1.7eb10d0c76ebcp-19, -0x1.7885964d33845p-19, -0x1.725218b169f96p-19, -0x1.6c16e824d83d4p-19, -0x1.65d457dee25d4p-19, -0x1.5f8aba61e906fp-19, -0x1.593a61791ef9fp-19, -0x1.52e39e375af75p-19, -0x1.4c86c0f661981p-19, -0x1.46241955c19ccp-19, -0x1.3fbbf638ddd49p-19, -0x1.394ea5c5edbe3p-19, -0x1.32dc7564be2b9p-19, -0x1.2c65b1be134fp-19, -0x1.25eaa6bab0d9ep-19, -0x1.1f6b9f821e16cp-19, -0x1.18e8e67943f65p-19, -0x1.1262c54200affp-19, -0x1.0bd984ba5dfe9p-19, -0x1.054d6cfbb57f3p-19, -0x1.fd7d8ab2f07f1p-20, -0x1.f05ba8c21f3acp-20, -0x1.e335bfb2090cep-20, -0x1.d60c5980d8f29p-20, -0x1.c8dffe9cfdbfdp-20, -0x1.bbb135e271c28p-20, -0x1.ae80849b49b88p-20, -0x1.a14e6e7d78f6ap-20, -0x1.941b75ab9fc79p-20, -0x1.86e81ab432acbp-20, -0x1.79b4dc8ff4adap-20, -0x1.6c8238a0fd295p-20, -0x1.5f50aab36dff8p-20, -0x1.5220acfcfdf77p-20, -0x1.44f2b81b1ee61p-20, -0x1.37c743149b947p-20, -0x1.2a9ec359fd346p-20, -0x1.1d79acc48a46bp-20, -0x1.10587196d0f4fp-20, -0x1.033b827b5174ep-20, -0x1.ec469d0cb2ff9p-21, -0x1.d2208669abd1cp-21, -0x1.b80598dc7c712p-21, -0x1.9df6a90b62e3cp-21, -0x1.83f48871b6859p-21, -0x1.6a000560ac7d5p-21, -0x1.5019eb034fp-21, -0x1.3643015fdf435p-21, -0x1.1c7c0d58e0bccp-21, -0x1.02c5d0adc2d77p-21, -0x1.d24213fa91b0cp-22, -0x1.9f1ce998d70ffp-22, -0x1.6c1d930a3ce65p-22, -0x1.39457aefc0e2dp-22, -0x1.069605beed72fp-22, -0x1.a821238820268p-23, -0x1.436cee526e35bp-23, -0x1.be24200af18e1p-24, -0x1.ec4c8277e0ccbp-25, -0x1.772abfed71edap-27, 0x1.2f33381836203p-25, 0x1.5d51b3464b1eap-24, 0x1.111f0ef83a36ap-23, 0x1.732d1209c1798p-23, 0x1.d4d092b12c5bep-23, 0x1.1b03a6450ef86p-22, 0x1.4b67837241fbp-22, 0x1.7b92ca5894552p-22, 0x1.ab846a39966dep-22, 0x1.db3b581513471p-22, 0x1.055b47531b75cp-21, 0x1.1cfa872ccc15ep-21, 0x1.347aeea09c631p-21, 0x1.4bdc038314409p-21, 0x1.631d4e72cba77p-21, 0x1.7a3e5ad39c05fp-21, 0x1.913eb6c8987c4p-21, 0x1.a81df330df702p-21, 0x1.bedba3a009694p-21, 0x1.d5775e5c449c4p-21, 0x1.ebf0bc54505bbp-21, 0x1.0123ac8f2d29cp-20, 0x1.0c3d6978951f8p-20, 0x1.1745654faa1a2p-20, 0x1.223b71c719c89p-20, 0x1.2d1f61db30fbdp-20, 0x1.37f109cdad64ap-20, 0x1.42b03f238ccbfp-20, 0x1.4d5cd8a1bdadp-20, 0x1.57f6ae48e128p-20, 0x1.627d99548f151p-20, 0x1.6cf174380d896p-20, 0x1.77521a9ae0024p-20, 0x1.819f6955fa47p-20, 0x1.8bd93e70f0fccp-20, 0x1.95ff791f259dap-20, 0x1.a011f9bcf396bp-20, 0x1.aa10a1cc7db56p-20, 0x1.b3fb53f26236ep-20, 0x1.bdd1f3f1eb694p-20, 0x1.c79466ac1a18bp-20, 0x1.d142921bb5e86p-20, 0x1.dadc5d523d56p-20, 0x1.e461b0750becfp-20, 0x1.edd274ba10a47p-20, 0x1.f72e94655e249p-20, 0x1.003afd62427abp-19, 0x1.04d44a16616f7p-19, 0x1.096326fc37b7bp-19, 0x1.0de78b4165e2ap-19, 0x1.12616e92eee1cp-19, 0x1.16d0c91b76656p-19, 0x1.1b359381b441ep-19, 0x1.1f8fc6e6eab66p-19, 0x1.23df5ce599cefp-19, 0x1.28244f8f348dfp-19, 0x1.2c5e996b3d38ap-19, 0x1.308e3575dd0d3p-19, 0x1.34b31f1e94c2fp-19, 0x1.38cd5245f6506p-19, 0x1.3cdccb3c9e0dap-19, 0x1.40e186c1a210ap-19, 0x1.44db8200a0b07p-19, 0x1.48caba908dd85p-19, 0x1.4caf2e728214ep-19, 0x1.5088dc102d65cp-19, 0x1.5457c239a77f1p-19, 0x1.581be024a8e8bp-19, 0x1.5bd5356ab2dfp-19, 0x1.5f83c207e2696p-19, 0x1.632786594813cp-19, 0x1.66c0831b4bc32p-19, 0x1.6a4eb96837bd5p-19, 0x1.6dd22ab6c84d4p-19, 0x1.714ad8d8e85dep-19, 0x1.74b8c5fa61fa3p-19, 0x1.781bf49f4a33cp-19, 0x1.7b7467a26a27ep-19, 0x1.7ec2223417d92p-19, 0x1.820527d8054a7p-19, 0x1.853d7c64e4432p-19, 0x1.886b2402886bcp-19, 0x1.8b8e2328b5c87p-19, 0x1.8ea67e9d41ae9p-19, 0x1.91b43b732a749p-19, 0x1.94b75f090d256p-19, 0x1.97afef07e0f45p-19, 0x1.9a9df161ad80bp-19, 0x1.9d816c4fc36e6p-19, 0x1.a05a6651ee9ap-19, 0x1.a328e62c9dfap-19, 0x1.a5ecf2e85aff2p-19, 0x1.a8a693cfdb8e2p-19, 0x1.ab55d06ed1a06p-19, 0x1.adfab090b1abap-19, 0x1.b0953c3faa9d6p-19, 0x1.b3257bc308881p-19, 0x1.b5ab779e1b534p-19, 0x1.b827388eea1d2p-19, 0x1.ba98c78cec608p-19, 0x1.bd002dc7e2ce7p-19, 0x1.bf5d74a6f1e04p-19, 0x1.c1b0a5c6f4f46p-19, 0x1.c3f9caf973fafp-19, 0x1.c638ee43715c7p-19, 0x1.c86e19dc3d0fbp-19, }}, 
      std::vector<double>(950, 0.0), 
      {{0x1.efc5a944abcbp-8, 0x1.efc0398060b81p-7, 0x1.73bd2d8fdf475p-6, 0x1.ef789d29c4148p-6, 0x1.35881fcf4c0d4p-5, 0x1.734c26c5bd31ep-5, 0x1.b11e4d8a8acfdp-5, 0x1.ef1e2ca9a6cabp-5, 0x1.16b8b5955f61ep-4, 0x1.361fd34ec7a79p-4, 0x1.55d74c1bc8853p-4, 0x1.75ef6f22a58ddp-4, 0x1.9674cb5a772bp-4, 0x1.b76f686122577p-4, 0x1.d8e26263233e3p-4, 0x1.facbdaa14f9fdp-4, 0x1.0e9295e8cfb1p-3, 0x1.1ff1a8c58e791p-3, 0x1.317bb99789005p-3, 0x1.4327c258b59dep-3, 0x1.54eb78ec6546p-3, 0x1.66bba565381b9p-3, 0x1.788c756849b1bp-3, 0x1.8a51ca16527bep-3, 0x1.9bff7eb45537bp-3, 0x1.ad89a6fc265a9p-3, 0x1.bee4c48b2154dp-3, 0x1.d005f354f4c9ap-3, 0x1.e0e30d555a688p-3, 0x1.f172c5f9163c9p-3, 0x1.00d65ef074d6p-2, 0x1.08c4c7ddae045p-2, 0x1.10816b7ff1835p-2, 0x1.180998acc4fd5p-2, 0x1.1f5b1dc5d18abp-2, 0x1.26744548eaea5p-2, 0x1.2d53d0d814faap-2, 0x1.33f8f30c3c87cp-2, 0x1.3a63485d391b8p-2, 0x1.4092cf613692cp-2, 0x1.4687e09d6be2dp-2, 0x1.4c432619f559bp-2, 0x1.51c592e332923p-2, 0x1.57105a9c0e485p-2, 0x1.5c24e93e434f3p-2, 0x1.6104db20037a8p-2, 0x1.65b1f551528ebp-2, 0x1.6a2e1e5efb3d6p-2, 0x1.6e7b57852a98cp-2, 0x1.729bb65863e8bp-2, 0x1.76915ee8bf1dcp-2, 0x1.7a5e7e60f639fp-2, 0x1.7e054620d7b1bp-2, 0x1.8187e7511a51cp-2, 0x1.84e88eed463c7p-2, 0x1.8829623f5d5e9p-2, 0x1.8b4c7bc8317e5p-2, 0x1.8e53e88ec3224p-2, 0x1.9141a5d09e85ep-2, 0x1.94179f0cec7a6p-2, 0x1.96d7ac63dc5f5p-2, 0x1.99839143f267fp-2, 0x1.9c1cfb5eeebcfp-2, 0x1.9ea581e01794ep-2, 0x1.a11ea4dddf6e7p-2, 0x1.a389cd012bca9p-2, 0x1.a5e84b5cb2093p-2, 0x1.a83b596f3246cp-2, 0x1.aa84194ba9e9p-2, 0x1.acc395e2d90f8p-2, 0x1.aefac369d35aep-2, 0x1.b12a7fd99a6ap-2, 0x1.b353938416a25p-2, 0x1.b576b1bb06904p-2, 0x1.b7947985cd3b2p-2, 0x1.b9ad76634db3fp-2, 0x1.bbc2211543adep-2, 0x1.bdd2e072c6144p-2, 0x1.bfe00a3fe83dap-2, 0x1.c1e9e40899e9ep-2, 0x1.c3f0a3fd1da16p-2, 0x1.c5f471ceab7fep-2, 0x1.c7f5678aef867p-2, 0x1.c9f392754a6d1p-2, 0x1.cbeef3dcdf88bp-2, 0x1.cde781ee9f4fdp-2, 0x1.cfdd288294022p-2, 0x1.d1cfc9e3e427ep-2, 0x1.d3bf3f930b5dap-2, 0x1.d5ab5b01e7586p-2, 0x1.d793e6494bbb3p-2, 0x1.d978a4d7e1ce1p-2, 0x1.db59541a2cf29p-2, 0x1.dd35ac1b95ed9p-2, 0x1.df0d60207277fp-2, 0x1.e0e01f3908a5ep-2, 0x1.e2ad94cd928aap-2, 0x1.e475692355e3p-2, 0x1.e63741daeb7cp-2, 0x1.e7f2c267cf674p-2, 0x1.e9a78c816354bp-2, 0x1.eb55408d87923p-2, 0x1.ecfb7e04fd454p-2, 0x1.ee99e3d1b7412p-2, 0x1.f03010a757ec7p-2, 0x1.f1bda35600477p-2, 0x1.f3423b17b0487p-2, 0x1.f4bd77d8680eep-2, 0x1.f62efa793cf04p-2, 0x1.f796650e9aac2p-2, 0x1.f8f35b19e51b7p-2, 0x1.fa4581beab9f3p-2, 0x1.fb8c7ff3a1513p-2, 0x1.fcc7feaf90816p-2, 0x1.fdf7a91276cbap-2, 0x1.ff1b2c8af5c18p-2, 0x1.00191c7c272p-1, 0x1.009e4064881d3p-1, 0x1.011cdc8b5265cp-1, 0x1.0194ccdef339ep-1, 0x1.0205eeba735f8p-1, 0x1.027020ef066ccp-1, 0x1.02d343cc59e5cp-1, 0x1.032f3927b277bp-1, 0x1.0383e461ed16dp-1, 0x1.03d12a6c6fa71p-1, 0x1.0416f1cd1e839p-1, 0x1.045522a15f085p-1, 0x1.048ba6a03a3fap-1, 0x1.04ba691bad557p-1, 0x1.04e1570130d4bp-1, 0x1.05005ed986f4ap-1, 0x1.051770c7daa33p-1, 0x1.05267e883abb3p-1, 0x1.052d7b6d7db7dp-1, 0x1.052c5c5e939c1p-1, 0x1.052317d354ca7p-1, 0x1.0511a5d0d384fp-1, 0x1.04f7ffe539f97p-1, 0x1.04d621233be55p-1, 0x1.04ac061d249b1p-1, 0x1.0479acdf88ac1p-1, 0x1.043f14eba2b0ap-1, 0x1.03fc3f315e7a8p-1, 0x1.03b12e091e21p-1, 0x1.035de52d3ae26p-1, 0x1.030269b348aa4p-1, 0x1.029ec20522661p-1, 0x1.0232f5d9c31d4p-1, 0x1.01bf0e2df06a6p-1, 0x1.0143153cbc7e4p-1, 0x1.00bf1677e2888p-1, 0x1.00331e80017b2p-1, 0x1.ff3e763977124p-2, 0x1.fe06f66970cd4p-2, 0x1.fcbfdd8b2d32cp-2, 0x1.fb694db78cb7cp-2, 0x1.fa036b14acda5p-2, 0x1.f88e5bc56b53dp-2, 0x1.f70a47d8cee71p-2, 0x1.f57759396d8b9p-2, 0x1.f3d5bb9cc01f4p-2, 0x1.f2259c7277db6p-2, 0x1.f0672ad3d6dccp-2, 0x1.ee9a9773075b1p-2, 0x1.ecc0148a84065p-2, 0x1.ead7d5cc8af32p-2, 0x1.e8e21052a4c1ep-2, 0x1.e6defa8d3cecap-2, 0x1.e4cecc3358df1p-2, 0x1.e2b1be3267ae8p-2, 0x1.e0880a9e325e8p-2, 0x1.de51eca0ef53fp-2, 0x1.dc0fa06b79686p-2, 0x1.d9c16325b2876p-2, 0x1.d76772df0c8fcp-2, 0x1.d5020e7f4305bp-2, 0x1.d29175b740c05p-2, 0x1.d015e8f23a5dcp-2, 0x1.cd8fa946fb4b4p-2, 0x1.cafef86965d17p-2, 0x1.c864189c2e81p-2, 0x1.c5bf4ca2cb83bp-2, 0x1.c310d7b3a4957p-2, 0x1.c058fd6a7a66dp-2, 0x1.bd9801bb0d54ep-2, 0x1.bace28e401b38p-2, 0x1.b7fbb762059fep-2, 0x1.b520f1e336981p-2, 0x1.b23e1d3ac89aep-2, 0x1.af537e54f2c4cp-2, 0x1.ac615a2b1c939p-2, 0x1.a967f5b851888p-2, 0x1.a66795edf9668p-2, 0x1.a3607fa8d5ed5p-2, 0x1.a052f7a646f33p-2, 0x1.9d3f4279d62f3p-2, 0x1.9a25a483072e1p-2, 0x1.970661e372ed6p-2, 0x1.93e1be7527a1cp-2, 0x1.90b7fdc14fbc9p-2, 0x1.8d8962f72345ep-2, 0x1.8a5630e320047p-2, 0x1.871ea9e687241p-2, 0x1.83e30fef252eap-2, 0x1.80a3a46f60d4fp-2, 0x1.7d60a8569085cp-2, 0x1.7a1a5c0994a1cp-2, 0x1.76d0ff5bbce3ap-2, 0x1.7384d187eedfep-2, 0x1.7036112a16d82p-2, 0x1.6ce4fc38d9359p-2, 0x1.6991cfff8d049p-2, 0x1.663cc9187717ep-2, 0x1.62e6236749c77p-2, 0x1.5f8e1a13e788ap-2, 0x1.5c34e78567f03p-2, 0x1.58dac55d5c794p-2, 0x1.557fec7357b5bp-2, 0x1.522494d0b3627p-2, 0x1.4ec8f5ac939eap-2, 0x1.4b6d45682c1a4p-2, 0x1.4811b98b3e01bp-2, 0x1.44b686c0d37b5p-2, 0x1.415be0d437d71p-2, 0x1.3e01faae2809p-2, 0x1.3aa906523c50ap-2, 0x1.375134dc8b0d7p-2, 0x1.33fab67f82fd4p-2, 0x1.30a5ba81f79dfp-2, 0x1.2d526f3d687e3p-2, 0x1.2a01021c764bep-2, 0x1.26b19f998fbd2p-2, 0x1.2364733dcc36dp-2, 0x1.2019a79ff7b4dp-2, 0x1.1cd16663cff54p-2, 0x1.198bd8396e7eap-2, 0x1.164924dcdd506p-2, 0x1.13097315dc643p-2, 0x1.0fcce8b7cacf4p-2, 0x1.0c93aaa1c1968p-2, 0x1.095ddcbecf0dep-2, 0x1.062ba2065f852p-2, 0x1.02fd1c7cc7d19p-2, 0x1.ffa4da67ea73bp-3, 0x1.f9576898882c2p-3, 0x1.f31221eae990dp-3, 0x1.ecd542df88abp-3, 0x1.e6a1061a46abp-3, 0x1.e075a4651d857p-3, 0x1.da5354b309dbcp-3, 0x1.d43a4c232c4f5p-3, 0x1.ce2abe0425c35p-3, 0x1.c824dbd7a6a33p-3, 0x1.c228d55634b26p-3, 0x1.bc36d8731a337p-3, 0x1.b64f116089d59p-3, 0x1.b071aa93ef7f3p-3, 0x1.aa9eccca6527fp-3, 0x1.a4d69f0d5651ep-3, 0x1.9f1946b749552p-3, 0x1.9966e778ca187p-3, 0x1.93bfa35d75556p-3, 0x1.8e239ad12d343p-3, 0x1.8892eca563e48p-3, 0x1.830db61685006p-3, 0x1.7d9412d17a33p-3, 0x1.78261cf94b245p-3, 0x1.72c3ed2cd2811p-3, 0x1.6d6d9a8c857bap-3, 0x1.68233ac057724p-3, 0x1.62e4e1fda742cp-3, 0x1.5db2a30d437c7p-3, 0x1.588c8f517ae31p-3, 0x1.5372b6cc38608p-3, 0x1.4e6528252ecc5p-3, 0x1.4963f0b00e5fcp-3, 0x1.446f1c72c2f5ep-3, 0x1.3f86b62bb873cp-3, 0x1.3aaac75825593p-3, 0x1.35db583a60c06p-3, 0x1.31186fe034d95p-3, 0x1.2c62142935caap-3, 0x1.27b849cd1c178p-3, 0x1.231b14621fe6bp-3, 0x1.1e8a76634c5eap-3, 0x1.1a067136dbcddp-3, 0x1.158f053485c01p-3, 0x1.112431abd4fe3p-3, 0x1.0cc5f4ea6b155p-3, 0x1.08744c424a063p-3, 0x1.042f34100fe19p-3, 0x1.ffed4f825bfe1p-4, 0x1.f79543b427c57p-4, 0x1.ef5637f8af005p-4, 0x1.e7301dd99607cp-4, 0x1.df22e5331c6e9p-4, 0x1.d72e7c4025657p-4, 0x1.cf52cfa620751p-4, 0x1.c78fca80e424dp-4, 0x1.bfe5566e61edep-4, 0x1.b8535b9a4dddcp-4, 0x1.b0d9c0c99171ep-4, 0x1.a9786b65bcb11p-4, 0x1.a22f3f8839b22p-4, 0x1.9afe20057c9e1p-4, 0x1.93e4ee77fe36fp-4, 0x1.8ce38b4b1c55cp-4, 0x1.85f9d5c5d81a1p-4, 0x1.7f27ac156efb7p-4, 0x1.786ceb57d0d7ep-4, 0x1.71c96fa5efd68p-4, 0x1.6b3d141dedce6p-4, 0x1.64c7b2ed1fa2p-4, 0x1.5e692559f14abp-4, 0x1.582143cd99af5p-4, 0x1.51efe5ddb00cdp-4, 0x1.4bd4e25596441p-4, 0x1.45d00f3fba57cp-4, 0x1.3fe141eeb352ep-4, 0x1.3a084f063233dp-4, 0x1.34450a83ca8eep-4, 0x1.2e9747c79a4a1p-4, 0x1.28fed99cb9efcp-4, 0x1.237b9241956d7p-4, 0x1.1e0d43700bd36p-4, 0x1.18b3be6573a2cp-4, 0x1.136ed3ea6d252p-4, 0x1.0e3e545a8fd2ap-4, 0x1.09220fabef41ep-4, 0x1.0419d57674a42p-4, 0x1.fe4ae9f624822p-5, 0x1.f4897a55a07efp-5, 0x1.eaeef95b4fa28p-5, 0x1.e17b03d287f81p-5, 0x1.d82d360f234e2p-5, 0x1.cf052bfa4b3aep-5, 0x1.c602811f0b123p-5, 0x1.bd24d0b67ea43p-5, 0x1.b46bb5b3bfe3dp-5, 0x1.abd6cacf81dfp-5, 0x1.a365aa9362874p-5, 0x1.9b17ef64edaacp-5, 0x1.92ed339054a18p-5, 0x1.8ae51152de8e6p-5, 0x1.82ff22e5107eep-5, 0x1.7b3b0284800cp-5, 0x1.73984a7d73aa1p-5, 0x1.6c16953425622p-5, 0x1.64b57d2dcce55p-5, 0x1.5d749d1964502p-5, 0x1.56538fd81cb58p-5, 0x1.4f51f0859de2ap-5, 0x1.486f5a7ff31a6p-5, 0x1.41ab696f4904ap-5, 0x1.3b05b94d5a574p-5, 0x1.347de66ca271p-5, 0x1.2e138d7f4f91ap-5, 0x1.27c64b9dfe884p-5, 0x1.2195be4e2b711p-5, 0x1.1b818388718a5p-5, 0x1.158939be8cc34p-5, 0x1.0fac7fe11b416p-5, 0x1.09eaf565301a9p-5, 0x1.04443a49a76dep-5, 0x1.fd6fde3883af4p-6, 0x1.f28b69fd22e58p-6, 0x1.e7da5b55496bbp-6, 0x1.dd5bf6ef17533p-6, 0x1.d30f82bb429efp-6, 0x1.c8f445f54a5cfp-6, 0x1.bf09892b446afp-6, 0x1.b54e96454ad39p-6, 0x1.abc2b88c99a71p-6, 0x1.a2653cb230fabp-6, 0x1.993570d5470e8p-6, 0x1.9032a489313abp-6, 0x1.875c28db1f2p-6, 0x1.7eb1505779a91p-6, 0x1.76316f0ed2dcdp-6, 0x1.6ddbda9aace1p-6, 0x1.65afea21cfb0ep-6, 0x1.5dacf65c71cb9p-6, 0x1.55d25997fad88p-6, 0x1.4e1f6fba8c98fp-6, 0x1.469396463fd99p-6, 0x1.3f2e2c5c1834ep-6, 0x1.37ee92bec03eap-6, 0x1.30d42bd4f1f21p-6, 0x1.29de5babb4e73p-6, 0x1.230c87f841c1dp-6, 0x1.1c5e1819c8126p-6, 0x1.15d2751ade5d6p-6, 0x1.0f6909b2d277fp-6, 0x1.09214246a1eeep-6, 0x1.02fa8ce9de054p-6, 0x1.f9e8b2be8767p-7, 0x1.ee1c323252dbbp-7, 0x1.e28e7e7386ccap-7, 0x1.d73e81263bd72p-7, 0x1.cc2b274e25b58p-7, 0x1.c153614dc18bfp-7, 0x1.b6b622e57e94ep-7, 0x1.ac52633284484p-7, 0x1.a2271cacefffdp-7, 0x1.98334d2605f01p-7, 0x1.8e75f5c5f45b3p-7, 0x1.84ee1b095d102p-7, 0x1.7b9ac4be99f33p-7, 0x1.727afe0293c0dp-7, 0x1.698dd53da57a5p-7, 0x1.60d25c1ff8b74p-7, 0x1.5847a79dcb727p-7, 0x1.4feccfeb70e05p-7, 0x1.47c0f07923d42p-7, 0x1.3fc327ee9c10ep-7, 0x1.37f29826609bbp-7, 0x1.304e662913ba1p-7, 0x1.28d5ba286470ap-7, 0x1.2187bf79e6d11p-7, 0x1.1a63a491cf929p-7, 0x1.13689afd66c29p-7, 0x1.0c95d75d70545p-7, 0x1.05ea91605d3c3p-7, 0x1.fecc0778d2878p-8, 0x1.f20ed8530f371p-8, 0x1.e59c16b68b6d4p-8, 0x1.d97249f4ea058p-8, 0x1.cd8fff3d9db6ap-8, 0x1.c1f3c990f15b2p-8, 0x1.b69c41b2e0a86p-8, 0x1.ab88061daec02p-8, 0x1.a0b5baf46fcf4p-8, 0x1.962409f55d31ap-8, 0x1.8bd1a26bf26acp-8, 0x1.81bd392317a12p-8, 0x1.77e58856f63fep-8, 0x1.6e494fa6e5cddp-8, 0x1.64e75406fbe0bp-8, 0x1.5bbe5fb1d895ep-8, 0x1.52cd421a06f3fp-8, 0x1.4a12cfdb9b396p-8, 0x1.418de2ad82eb8p-8, 0x1.393d5952e18f6p-8, 0x1.3120178c6b22fp-8, 0x1.293506098d536p-8, 0x1.217b1259be6bep-8, 0x1.19f12eddb9affp-8, 0x1.129652b8a0b0cp-8, 0x1.0b6979c12634p-8, 0x1.0469a472e0833p-8, 0x1.fb2bafbe75cdfp-9, 0x1.edda3b3dd91afp-9, 0x1.e0dd07860bc72p-9, 0x1.d432398c69a21p-9, 0x1.c7d7fefc3440ap-9, 0x1.bbcc8e18f37d5p-9, 0x1.b00e25a166a62p-9, 0x1.a49b0cb230fc7p-9, 0x1.997192a897a87p-9, 0x1.8e900f05c6c83p-9, 0x1.83f4e151c05dp-9, 0x1.799e70fea03a7p-9, 0x1.6f8b2d4bf9da3p-9, 0x1.65b98d2a780ep-9, 0x1.5c280f1f608b5p-9, 0x1.52d539288a4eap-9, 0x1.49bf98a065728p-9, 0x1.40e5c2220035dp-9, 0x1.3846516d94ce4p-9, 0x1.2fdfe94ceb519p-9, 0x1.27b1337823c4p-9, 0x1.1fb8e07ab5a28p-9, 0x1.17f5a79890124p-9, 0x1.106646b3310fdp-9, 0x1.0909822fd3d64p-9, 0x1.01de24dc6d081p-9, 0x1.f5c5ffac9e9e7p-10, 0x1.e82dd4e02a2d1p-10, 0x1.daf184300b18bp-10, 0x1.ce0ed47e04e2cp-10, 0x1.c183987e88ba7p-10, 0x1.b54dae8751a1cp-10, 0x1.a96b005dd92a5p-10, 0x1.9dd98306a9ff7p-10, 0x1.929736959b801p-10, 0x1.87a225fda6e3dp-10, 0x1.7cf866e187091p-10, 0x1.72981965b42afp-10, 0x1.687f68016904p-10, 0x1.5eac87517c519p-10, 0x1.551db5eabd5cep-10, 0x1.4bd13c2dc6511p-10, 0x1.42c56c1a34517p-10, 0x1.39f8a123a1ebep-10, 0x1.316940062491ep-10, 0x1.2915b69bc4046p-10, 0x1.20fc7bb277bb8p-10, 0x1.191c0ee294e4bp-10, 0x1.1172f8659673dp-10, 0x1.09ffc8edad9d2p-10, 0x1.02c1197e02ap-10, 0x1.f76b168593515p-11, 0x1.e9b78ed59c1d9p-11, 0x1.dc64fe0093fdfp-11, 0x1.cf70d5873c741p-11, 0x1.c2d8960b7ecfdp-11, 0x1.b699cf05e55c8p-11, 0x1.aab21e7db7a4cp-11, 0x1.9f1f30c0c03e4p-11, 0x1.93dec01cec235p-11, 0x1.88ee9499e8ec2p-11, 0x1.7e4c83b4f468p-11, 0x1.73f6701cbd52ep-11, 0x1.69ea496f37b88p-11, 0x1.60260bf6fd5f4p-11, 0x1.56a7c06b2f0fbp-11, 0x1.4d6d7baff4d69p-11, 0x1.44755e964edc7p-11, 0x1.3bbd959fdeecdp-11, 0x1.334458c0c298fp-11, 0x1.2b07eb2430a3ep-11, 0x1.23069af15d975p-11, 0x1.1b3ec111147d2p-11, 0x1.13aec0f509d9fp-11, 0x1.0c55085f643fp-11, 0x1.05300f2b41107p-11, 0x1.fc7cae2d0caa3p-12, 0x1.eefcd71856d8ep-12, 0x1.e1ddc2decc31ep-12, 0x1.d51cadd0284a4p-12, 0x1.c8b6e66025a58p-12, 0x1.bca9ccc19a778p-12, 0x1.b0f2d2846178ap-12, 0x1.a58f7a346b83cp-12, 0x1.9a7d56faa606fp-12, 0x1.8fba0c405e439p-12, 0x1.85434d51812c7p-12, 0x1.7b16dd053b5e7p-12, 0x1.71328d62c3c3bp-12, 0x1.67943f4c001c7p-12, 0x1.5e39e227b556ap-12, 0x1.5521738d131f8p-12, 0x1.4c48fef19a7d9p-12, 0x1.43ae9d584fe19p-12, 0x1.3b50750263772p-12, 0x1.332cb920e39f4p-12, 0x1.2b41a988883efp-12, 0x1.238d92667c0e7p-12, 0x1.1c0ecbf73c094p-12, 0x1.14c3ba3ce3999p-12, 0x1.0daaccb9c4178p-12, 0x1.06c27e29d6333p-12, 0x1.0009543f28143p-12, 0x1.f2fbbebc21dbp-13, 0x1.e63d74b952ac9p-13, 0x1.d9d51483bacdfp-13, 0x1.cdbffc0c3df14p-13, 0x1.c1fb9cac5dd67p-13, 0x1.b6857aabf2acbp-13, 0x1.ab5b2cca62c43p-13, 0x1.a07a5bca8a66cp-13, 0x1.95e0c200987ccp-13, 0x1.8b8c2ae18eef2p-13, 0x1.817a7297a0bacp-13, 0x1.77a9859473958p-13, 0x1.6e17602a75d32p-13, 0x1.64c20e2359cdep-13, 0x1.5ba7aa5dc9965p-13, 0x1.52c65e683c8d1p-13, 0x1.4a1c6222c8ea1p-13, 0x1.41a7fb5e9b95ep-13, 0x1.39677d828a0dep-13, 0x1.3159493038007p-13, 0x1.297bcbeb5957dp-13, 0x1.21cd7fc29ab4fp-13, 0x1.1a4ceafb3e915p-13, 0x1.12f89fbd7fa38p-13, 0x1.0bcf3bc383e2bp-13, 0x1.04cf6809e8788p-13, 0x1.fbefb1045f28fp-14, 0x1.ee8e978c5de9ap-14, 0x1.e179159e9f6d5p-14, 0x1.d4acd156c6b62p-14, 0x1.c827847053eefp-14, 0x1.bbe6fbb793583p-14, 0x1.afe916841e2aap-14, 0x1.a42bc633fbcdap-14, 0x1.98ad0da984232p-14, 0x1.8d6b00cc90dccp-14, 0x1.8263c41089cfcp-14, 0x1.77958bf949d8ep-14, 0x1.6cfe9ca6d83abp-14, 0x1.629d4961175abp-14, 0x1.586ff427c5668p-14, 0x1.4e750d441a0a3p-14, 0x1.44ab12ddf6345p-14, 0x1.3b109092dd3bfp-14, 0x1.31a41f0fd915ep-14, 0x1.286463ae56629p-14, 0x1.1f501012b2738p-14, 0x1.1665e1cc4f539p-14, 0x1.0da4a1fa93eb2p-14, 0x1.050b24f0cd87dp-14, 0x1.f93093bf611ffp-15, 0x1.e895f4fbbf6d5p-15, 0x1.d844556aa6717p-15, 0x1.c839b0a2c476ap-15, 0x1.b874155f26635p-15, 0x1.a8f1a4e21c0f6p-15, 0x1.99b09260659d4p-15, 0x1.8aaf226bec73fp-15, 0x1.7bebaa654301dp-15, 0x1.6d648fef786a9p-15, 0x1.5f184867013c9p-15, 0x1.5105585f0e4e5p-15, 0x1.432a531e33116p-15, 0x1.3585da22eef2ep-15, 0x1.28169ca766212p-15, 0x1.1adb572c0015fp-15, 0x1.0dd2d301ee5a9p-15, 0x1.00fbe5db2e9ccp-15, 0x1.e8aae2babcda9p-16, 0x1.cfbcc56aa8da8p-16, 0x1.b72b64600292bp-16, 0x1.9ef4c5ac2daa6p-16, 0x1.87170412d49c8p-16, 0x1.6f904e4ad3b35p-16, 0x1.585ee646b7cdep-16, 0x1.4181208129a16p-16, 0x1.2af56345f33e4p-16, 0x1.14ba2614728b7p-16, 0x1.fd9be1decbe2dp-17, 0x1.d25eb782c86ap-17, 0x1.a7ba1b841541ap-17, 0x1.7dab79b69b8a5p-17, 0x1.54305a33a2de2p-17, 0x1.2b46603aa74b4p-17, 0x1.02eb491be54abp-17, 0x1.b639d65ebe54bp-18, 0x1.67b269a0cd1cbp-18, 0x1.1a3c56b76ff3ep-18, 0x1.9ba7a91943001p-19, 0x1.04ea88942cd8ap-19, 0x1.c0e97ccd04ceep-21, -0x1.137b9185be408p-22, -0x1.66328136b3989p-20, -0x1.41c91a2912914p-19, -0x1.ce84c92c0e2dap-19, -0x1.2ca8eba859819p-18, -0x1.711ac8436e39cp-18, -0x1.b49a82ea8c228p-18, -0x1.f72a881792381p-18, -0x1.1c6694c435a7ep-17, -0x1.3cc24fc483e4cp-17, -0x1.5ca9851f1286ap-17, -0x1.7c1d39695e966p-17, -0x1.9b1e664c1cc09p-17, -0x1.b9adfb1dd84cfp-17, -0x1.d7ccdd6376059p-17, -0x1.f57be95983598p-17, -0x1.095df93dc68c2p-16, -0x1.17c6e1fae426ap-16, -0x1.25f91093cd1e6p-16, -0x1.33f4e307ecdedp-16, -0x1.41bab3e1b9bffp-16, -0x1.4f4ada690833dp-16, -0x1.5ca5aad81a5a5p-16, -0x1.69cb768e2efd1p-16, -0x1.76bc8c3da314ap-16, -0x1.8379381affa66p-16, -0x1.9001c407dd2f4p-16, -0x1.9c5677c0795dbp-16, -0x1.a87799012b0d9p-16, -0x1.b4656bad9fd49p-16, -0x1.c02031f8a106ep-16, -0x1.cba82c867fa38p-16, -0x1.d6fd9a8f206a4p-16, -0x1.e220ba00cf8b8p-16, -0x1.ed11c79d65803p-16, -0x1.f7d0ff19c92a1p-16, -0x1.012f4d9cb0005p-15, -0x1.065d6af5a6108p-15, -0x1.0b72f4325465bp-15, -0x1.1070059b85b1ep-15, -0x1.1554bb35fe224p-15, -0x1.1a2130cc6aa5p-15, -0x1.1ed581fab707dp-15, -0x1.2371ca38792e3p-15, -0x1.27f624e221637p-15, -0x1.2c62ad426284dp-15, -0x1.30b77e9bd938ap-15, -0x1.34f4b42f6a97fp-15, -0x1.391a6945a8beap-15, -0x1.3d28b935d4ab1p-15, -0x1.411fbf6c9cbddp-15, -0x1.44ff977204226p-15, -0x1.48c85cf1136c3p-15, -0x1.4c7a2bbc3feddp-15, -0x1.50151fd2ed87bp-15, -0x1.539955677d55dp-15, -0x1.5706e8e2afd1ep-15, -0x1.5a5df6e81473ap-15, -0x1.5d9e9c5b69459p-15, -0x1.60c8f662543fp-15, -0x1.63dd2268fdc4ap-15, -0x1.66db3e251f344p-15, -0x1.69c36798be927p-15, -0x1.6c95bd142cb5dp-15, -0x1.6f525d3949dd6p-15, -0x1.71f966fc7b684p-15, -0x1.748af9a775342p-15, -0x1.770734da178d9p-15, -0x1.796e388c932f3p-15, -0x1.7bc0250fd8f25p-15, -0x1.7dfd1b0e63eep-15, -0x1.80253b8dc39ecp-15, -0x1.8238a7ef143c8p-15, -0x1.843781ee59b7ep-15, -0x1.8621eba419033p-15, -0x1.87f80784901d4p-15, -0x1.89b9f85ff06eep-15, -0x1.8b67e161a5f71p-15, -0x1.8d01e61126759p-15, -0x1.8e882a4fe5328p-15, -0x1.8ffad2595e29ep-15, -0x1.915a02c2da3cdp-15, -0x1.92a5e079c2731p-15, -0x1.93de90c29b7e7p-15, -0x1.95043938b6772p-15, -0x1.9616ffcc49bfep-15, -0x1.97170ac129856p-15, -0x1.980480ae214a7p-15, -0x1.98df887a58a71p-15, -0x1.99a8495c8d7c2p-15, -0x1.9a5eead956a27p-15, -0x1.9b0394c1a4361p-15, -0x1.9b966f304d0bap-15, -0x1.9c17a288ee192p-15, -0x1.9c875775c9b4cp-15, -0x1.9ce5b6e60cc98p-15, -0x1.9d32ea0b51d9ep-15, -0x1.9d6f1a57ecb11p-15, -0x1.9d9a717d32795p-15, -0x1.9db51968d464dp-15, -0x1.9dbf3c433689ap-15, -0x1.9db9046cbc7d6p-15, -0x1.9da29c7c24845p-15, -0x1.9d7c2f3bbb505p-15, -0x1.9d45e7a79eb09p-15, -0x1.9cfff0eb816dcp-15, -0x1.9caa765fdc848p-15, -0x1.9c45a3880077dp-15, -0x1.9bd1a4100a2e4p-15, -0x1.9b4ea3ca1c74ap-15, -0x1.9abcceac1f2cp-15, -0x1.9a1c50cd5d523p-15, -0x1.996d5664b0a17p-15, -0x1.98b00bc5c2a4ep-15, -0x1.97e49d5ebdd91p-15, -0x1.970b37b60c214p-15, -0x1.96240767cde69p-15, -0x1.952f3923f5ddep-15, -0x1.942cf9ab8be8ep-15, -0x1.931d75cece9fep-15, -0x1.9200da6a8abc2p-15, -0x1.90d75465d7c01p-15, -0x1.8fa110b0151d8p-15, -0x1.8e5e3c3e97bb9p-15, -0x1.8d0f040a3f59dp-15, -0x1.8bb3950d74cadp-15, -0x1.8a4c1c4206ad1p-15, -0x1.88d8c69eb3feap-15, -0x1.8759c114ff784p-15, -0x1.85cf388f76eb7p-15, -0x1.843959ef606c5p-15, -0x1.8298520a63297p-15, -0x1.80ec4da8b13e7p-15, -0x1.7f357983466c9p-15, -0x1.7d74024194305p-15, -0x1.7ba81477797fdp-15, -0x1.79d1dca326p-15, -0x1.77f1872b93d3ap-15, -0x1.7607405e64b03p-15, -0x1.7413346e2f5c7p-15, -0x1.72158f7091bbap-15, -0x1.700e7d5c410c3p-15, -0x1.6dfe2a073ee59p-15, -0x1.6be4c1251f824p-15, -0x1.69c26e45a56c2p-15, -0x1.67975cd29084bp-15, -0x1.6563b80e1439fp-15, -0x1.6327ab1171658p-15, -0x1.60e360cb66619p-15, -0x1.5e9703fe3530dp-15, -0x1.5c42bf3e6c34p-15, -0x1.59e6bcf11e0abp-15, -0x1.5783274aa428fp-15, -0x1.5518284d43e25p-15, -0x1.52a5e9c79cb14p-15, -0x1.502c95532ea26p-15, -0x1.4dac545329e29p-15, -0x1.4b254ff30c397p-15, -0x1.4897b1255ddb4p-15, -0x1.4603a0a2681bcp-15, -0x1.436946e716a3cp-15, -0x1.40c8cc33d1165p-15, -0x1.3e22588b2d706p-15, -0x1.3b7613b0eec9dp-15, -0x1.38c42528b8116p-15, -0x1.360cb43545e3dp-15, -0x1.334fe7d70ee82p-15, -0x1.308de6cbaa53ep-15, -0x1.2dc6d78ccc269p-15, -0x1.2afae04f13a3ap-15, -0x1.282a270122371p-15, -0x1.2554d14af9b09p-15, -0x1.227b048d0f31ap-15, -0x1.1f9ce5df4b03ap-15, -0x1.1cba9a105d748p-15, -0x1.19d445a52b7b6p-15, -0x1.16ea0cd814177p-15, -0x1.13fc13980c3fcp-15, -0x1.110a7d87c9f5bp-15, -0x1.0e156dfd7d4a3p-15, -0x1.0b1d0801ce0aep-15, -0x1.08216e4fa7dfcp-15, -0x1.0522c353cd7d3p-15, -0x1.0221292bd0e87p-15, -0x1.fe39834b53ce9p-16, -0x1.f82b5c7ee25eep-16, -0x1.f218204dd24a6p-16, -0x1.ec001071fe121p-16, -0x1.e5e36e0291cefp-16, -0x1.dfc2797337581p-16, -0x1.d99d729428ff4p-16, -0x1.d374989152e86p-16, -0x1.cd4829f0fa99ep-16, -0x1.c7186493befcdp-16, -0x1.c0e585b3ca475p-16, -0x1.baafc9e461938p-16, -0x1.b4776d12026abp-16, -0x1.ae3caa8177247p-16, -0x1.a7ffbccfd4bd8p-16, -0x1.a1c0ddf1ea016p-16, -0x1.9b804733ce695p-16, -0x1.953e313937234p-16, -0x1.8efad3fceb474p-16, -0x1.88b666d0ab578p-16, -0x1.8271205d7896bp-16, -0x1.7c2b36a31071fp-16, -0x1.75e4def843b16p-16, -0x1.6f9e4e0aac402p-16, -0x1.6957b7df3050fp-16, -0x1.63114fd17b9f8p-16, -0x1.5ccb48943409cp-16, -0x1.5685d4318b1f1p-16, -0x1.5041240ba01f2p-16, -0x1.49fd68dc44e44p-16, -0x1.43bad2b5573ccp-16, -0x1.3d7991011bb65p-16, -0x1.3739d2824e307p-16, -0x1.30fbc5551b2e7p-16, -0x1.2abf96eeb6a2dp-16, -0x1.2485741ea3cc5p-16, -0x1.1e4d890e53eecp-16, -0x1.1818014247463p-16, -0x1.11e5079a207bep-16, -0x1.0bb4c651b506dp-16, -0x1.058767011e76ep-16, -0x1.feba253a401dfp-17, -0x1.f26be2efdcbc9p-17, -0x1.e6245683fd8dep-17, -0x1.d9e3ce161b90ap-17, -0x1.cdaa96840a1bfp-17, -0x1.c178fb6bf95d8p-17, -0x1.b54f472de184cp-17, -0x1.a92dc2ed0da38p-17, -0x1.9d14b691b949cp-17, -0x1.910468ca68f57p-17, -0x1.84fd1f0d77d48p-17, -0x1.78ff1d9a61caap-17, -0x1.6d0aa77c3c1c2p-17, -0x1.611ffe8bdbf2ap-17, -0x1.553f636fed6c6p-17, -0x1.4969159f5a1ddp-17, -0x1.3d9d5363c633ep-17, -0x1.31dc59da8ff8p-17, -0x1.262664f6de692p-17, -0x1.1a7baf8340dc3p-17, -0x1.0edc732505284p-17, -0x1.0348e85cd1905p-17, -0x1.ef828d1083e28p-18, -0x1.d88b87ca5fe59p-18, -0x1.c1ad2b2539dbp-18, -0x1.aae7df267e18ap-18, -0x1.943c099f00a91p-18, -0x1.7daa0e2ee72fdp-18, -0x1.67324e4984acdp-18, -0x1.50d5293ba58f3p-18, -0x1.3a92fc2e75e6ap-18, -0x1.246c222b0d06ap-18, -0x1.0e60f41dfdc65p-18, -0x1.f0e391bc20c75p-19, -0x1.c53dea5e4c3a1p-19, -0x1.99d1978e61272p-19, -0x1.6e9f3aa81e5ebp-19, -0x1.43a770fc08158p-19, -0x1.18ead3d7ff176p-19, -0x1.dcd3f120d4cbap-20, -0x1.884ae11e26905p-20, -0x1.343b92a949491p-20, -0x1.c14e3216b19f9p-21, -0x1.1b1cffcef10f4p-21, -0x1.d7965a4dac4e4p-23, 0x1.72b0844f38bbp-24, 0x1.a32816985663p-22, 0x1.73d27e326a252p-21, 0x1.0a87ce27ca4f8p-20, 0x1.5aa4d3964f277p-20, 0x1.aa3f774f774acp-20, 0x1.f956e84fff401p-20, 0x1.23f52e4a425e2p-19, 0x1.4afc88800220bp-19, 0x1.71c124aa433c3p-19, 0x1.9842a80e82d39p-19, 0x1.be80bb4d7503bp-19, 0x1.e47b0a566948ep-19, 0x1.0518a230d384cp-18, 0x1.17d18df252c5bp-18, 0x1.2a682345c469ep-18, 0x1.3cdc3e96cda9cp-18, 0x1.4f2dbde1db613p-18, 0x1.615c80b0203f4p-18, 0x1.73686811bb217p-18, 0x1.8551569b13c07p-18, 0x1.9717305ef865cp-18, 0x1.a8b9dae9df9acp-18, 0x1.ba393d3d25cf9p-18, 0x1.cb953fcb79a59p-18, 0x1.dccdcc73ddecp-18, 0x1.ede2ce7c8f5d6p-18, 0x1.fed4328e5cca7p-18, 0x1.07d0f358271f4p-17, 0x1.1025ed21b29bbp-17, 0x1.1868feff9cd33p-17, 0x1.209a21f5ecb1cp-17, 0x1.28b94fae1c977p-17, 0x1.30c682760cd9cp-17, 0x1.38c1b53d5d69ep-17, }}, 
      {{0x1.d521df10b9723p-1, 0x1.d50b40ad47689p-1, 0x1.d4e8f3d59093dp-1, 0x1.d4b9dd7d9d92ap-1, 0x1.d479d23fd72ddp-1, 0x1.d4232eeab2524p-1, 0x1.d3b052364d7c9p-1, 0x1.d31c9e1b09d6bp-1, 0x1.d264fb77f2d7fp-1, 0x1.d187fb75d10f4p-1, 0x1.d085b888b6d4p-1, 0x1.cf5f941b1e22cp-1, 0x1.ce17e60113d4p-1, 0x1.ccb1ab6fe76cbp-1, 0x1.cb303d80c36f2p-1, 0x1.c997134308337p-1, 0x1.c7e990c2adfep-1, 0x1.c62ae2c7ea264p-1, 0x1.c45de6287bdffp-1, 0x1.c285190cf1ac5p-1, 0x1.c0a29462feeaap-1, 0x1.beb80bbc92819p-1, 0x1.bcc6d1fe17d76p-1, 0x1.bacfe16fd11ccp-1, 0x1.b8d3e5fdb4fc8p-1, 0x1.b6d348a91b0f1p-1, 0x1.b4ce3b640ec11p-1, 0x1.b2c4c4bd99b14p-1, 0x1.b0b6caef96092p-1, 0x1.aea41e017485ap-1, 0x1.ac8c80d013122p-1, 0x1.aa6fb0e19fbebp-1, 0x1.a84d6cfe5f672p-1, 0x1.a6257a9485945p-1, 0x1.a3f7a9f6f3ef4p-1, 0x1.a1c3d98d41b95p-1, 0x1.9f89f80f74307p-1, 0x1.9d4a05e9f3012p-1, 0x1.9b0415e6c7308p-1, 0x1.98b84d38bb81bp-1, 0x1.9666e3038ab97p-1, 0x1.94101f7a71c53p-1, 0x1.91b45aac3d684p-1, 0x1.8f53fb1182ae2p-1, 0x1.8cef73ef437fap-1, 0x1.8a87439dd0a25p-1, 0x1.881bf1c172233p-1, 0x1.85ae0d802dc32p-1, 0x1.833e2bbe0af86p-1, 0x1.80cce56767d69p-1, 0x1.7e5ad5cf4f7d2p-1, 0x1.7be8992662d46p-1, 0x1.7976cb0d9c806p-1, 0x1.77060547329bp-1, 0x1.7496de86ee59cp-1, 0x1.7229e9628d663p-1, 0x1.6fbfb36226f8cp-1, 0x1.6d58c430051dcp-1, 0x1.6af59ce70239bp-1, 0x1.6896b77e22ee7p-1, 0x1.663c864fed86dp-1, 0x1.63e773bbcfaddp-1, 0x1.6197e1dfc7bb3p-1, 0x1.5f4e2a6877e8fp-1, 0x1.5d0a9e75bb7bcp-1, 0x1.5acd8691e0758p-1, 0x1.589722b9a7c0fp-1, 0x1.5667aa73403dap-1, 0x1.543f4cf281ca6p-1, 0x1.521e3148bc97ep-1, 0x1.5004769e90f16p-1, 0x1.4df23476530cp-1, 0x1.4be77af59c579p-1, 0x1.49e45334c513ap-1, 0x1.47e8bf931793cp-1, 0x1.45f4bc0ead658p-1, 0x1.44083e9ef5b8ap-1, 0x1.422337910992bp-1, 0x1.404591e4fab2ap-1, 0x1.3e6f33ab6c584p-1, 0x1.3c9ffe62ce955p-1, 0x1.3ad7cf53b39b2p-1, 0x1.39167febbece6p-1, 0x1.375be616c21b9p-1, 0x1.35a7d495b0095p-1, 0x1.33fa1b53120e9p-1, 0x1.325287b4c642p-1, 0x1.30b0e4eacb366p-1, 0x1.2f14fc3af6d42p-1, 0x1.2d7e954971b52p-1, 0x1.2bed765de6bcbp-1, 0x1.2a6164a55358ep-1, 0x1.28da24707478fp-1, 0x1.2757796eca805p-1, 0x1.25d926e63dab6p-1, 0x1.245eefe7674b3p-1, 0x1.22e8977e8e5ccp-1, 0x1.2175e0e168da5p-1, 0x1.20068f99b35e1p-1, 0x1.1e9a67acb70f7p-1, 0x1.1d312dbfd4b8ep-1, 0x1.1bcaa73a2e178p-1, 0x1.1a669a6389531p-1, 0x1.1904ce808ac34p-1, 0x1.17a50bec5f9dfp-1, 0x1.16471c2ff9014p-1, 0x1.14eaca16f0a29p-1, 0x1.138fe1c2388ffp-1, 0x1.123630b8af4dap-1, 0x1.10dd85f5b6376p-1, 0x1.0f85b1f5e4519p-1, 0x1.0e2e86c1f452dp-1, 0x1.0cd7d7f80453fp-1, 0x1.0b817ad343bd7p-1, 0x1.0a2b463226c0ep-1, 0x1.08d5129b39c26p-1, 0x1.077eba40a7628p-1, 0x1.062819028ed91p-1, 0x1.04d10c7037291p-1, 0x1.037973c83b1cp-1, 0x1.02212ff7bd2fcp-1, 0x1.00c82398b77b2p-1, 0x1.fedc65def23ffp-2, 0x1.fc2687cec2b02p-2, 0x1.f96e7c1dd36b3p-2, 0x1.f6b41526175cp-2, 0x1.f3f7287427619p-2, 0x1.f1378ebbd3685p-2, 0x1.ee7523cbc4b3dp-2, 0x1.ebafc6803b74ap-2, 0x1.e8e758b50a6b3p-2, 0x1.e61bbf36db239p-2, 0x1.e34ce1b3d59fep-2, 0x1.e07aaaabbb45bp-2, 0x1.dda5075f83922p-2, 0x1.dacbe7c08ecfap-2, 0x1.d7ef3e5f7dc1cp-2, 0x1.d50f005ab712ep-2, 0x1.d22b254cac8bp-2, 0x1.cf43a739ee243p-2, 0x1.cc58827f0bdc6p-2, 0x1.c969b5be5f56fp-2, 0x1.c67741cdb9584p-2, 0x1.c38129a408a8fp-2, 0x1.c0877246f5f9ap-2, 0x1.bd8a22b88822ap-2, 0x1.ba8943e4d04dbp-2, 0x1.b784e08fa97a1p-2, 0x1.b47d05428e6e9p-2, 0x1.b171c03a8b60bp-2, 0x1.ae63215654fdep-2, 0x1.ab513a048466ap-2, 0x1.a83c1d3201573p-2, 0x1.a523df38999d5p-2, 0x1.a20895cdcd548p-2, 0x1.9eea57f1d2fd8p-2, 0x1.9bc93dded5a38p-2, 0x1.98a560f86ed1bp-2, 0x1.957edbbb6281p-2, 0x1.9255c9ad9b3c7p-2, 0x1.8f2a474e6bc23p-2, 0x1.8bfc720717743p-2, 0x1.88cc681ba1974p-2, 0x1.859a489be7c75p-2, 0x1.8266335504fdp-2, 0x1.7f3048c3042ddp-2, 0x1.7bf8aa02ddb0fp-2, 0x1.78bf78c4c43e9p-2, 0x1.7584d73ec0387p-2, 0x1.7248e81f9d304p-2, 0x1.6f0bce8222a3ep-2, 0x1.6bcdade0a27b9p-2, 0x1.688eaa08d7944p-2, 0x1.654ee71013032p-2, 0x1.620e8947beacp-2, 0x1.5ecdb5322cce6p-2, 0x1.5b8c8f77bd562p-2, 0x1.584b3cdc52c6bp-2, 0x1.5509e23515dfbp-2, 0x1.51c8a45e8f054p-2, 0x1.4e87a8330bbd7p-2, 0x1.4b47128155fc5p-2, 0x1.48070803bb0a6p-2, 0x1.44c7ad5760434p-2, 0x1.418926f3e76f9p-2, 0x1.3e4b99236248ep-2, 0x1.3b0f27fa8dad9p-2, 0x1.37d3f7515f83fp-2, 0x1.349a2abbdb6c5p-2, 0x1.3161e58333f93p-2, 0x1.2e2b4a9f34ea8p-2, 0x1.2af67caff7bb3p-2, 0x1.27c39df7de8e7p-2, 0x1.2492d055d4993p-2, 0x1.2164353fd78e2p-2, 0x1.1e37edbdc3022p-2, 0x1.1b0e1a645ffbcp-2, 0x1.17e6db50ba008p-2, 0x1.14c25023af109p-2, 0x1.11a097fdc7538p-2, 0x1.0e81d17b45f0bp-2, 0x1.0b661ab079ae2p-2, 0x1.084d91264c029p-2, 0x1.053851d708028p-2, 0x1.0226792b5e6fcp-2, 0x1.fe3045ef42655p-3, 0x1.f81ad4f26ab9ep-3, 0x1.f20cd4a87bd0cp-3, 0x1.ec067922f597cp-3, 0x1.e607f538b0e2bp-3, 0x1.e0117a826eee6p-3, 0x1.da233957c0d92p-3, 0x1.d43d60cc5443ap-3, 0x1.ce601ead9a8adp-3, 0x1.c88b9f80ce206p-3, 0x1.c2c00e8147ee2p-3, 0x1.bcfd959f32d87p-3, 0x1.b7445d7e8d88dp-3, 0x1.b1948d767c448p-3, 0x1.abee4b90e82aap-3, 0x1.a651bc8a6cbb5p-3, 0x1.a0bf03d289fb2p-3, 0x1.9b36438c1dd5dp-3, 0x1.95b79c8e213bep-3, 0x1.90432e64a8fb7p-3, 0x1.8ad917521ee4p-3, 0x1.85797450bdc46p-3, 0x1.8024611445b3dp-3, 0x1.7ad9f80be4412p-3, 0x1.759a526455ce1p-3, 0x1.7065880a382dp-3, 0x1.6b3bafac92059p-3, 0x1.661cdebf7d683p-3, 0x1.6109297f11b69p-3, 0x1.5c00a2f260e69p-3, 0x1.57035ceeb2574p-3, 0x1.5211681ad3a37p-3, 0x1.4d2ad3f298f47p-3, 0x1.484faeca75f51p-3, 0x1.438005d33c983p-3, 0x1.3ebbe51dfc6a5p-3, 0x1.3a03579ff299fp-3, 0x1.35566736a438ap-3, 0x1.30b51cac04cc2p-3, 0x1.2c1f7fbabac7fp-3, 0x1.27959712759ecp-3, 0x1.2317685c58ef9p-3, 0x1.1ea4f83f7869cp-3, 0x1.1a3e4a6567ec1p-3, 0x1.15e3617ed5507p-3, 0x1.11943f4832eebp-3, 0x1.0d50e48e6aea9p-3, 0x1.09195133a5dbep-3, 0x1.04ed84340a6d7p-3, 0x1.00cd7baa967dbp-3, 0x1.f97269abe5f1ep-4, 0x1.f161583aa0fd9p-4, 0x1.e967ba2a929dfp-4, 0x1.e18585098d75ap-4, 0x1.d9baacd3c0dcfp-4, 0x1.d20723fd9aa36p-4, 0x1.ca6adb7d805b1p-4, 0x1.c2e5c2d59f82bp-4, 0x1.bb77c81db4e3fp-4, 0x1.b420d80ccb259p-4, 0x1.ace0de02eb4b4p-4, 0x1.a5b7c412cd351p-4, 0x1.9ea5730b7849bp-4, 0x1.97a9d281d559ep-4, 0x1.90c4c8da3324bp-4, 0x1.89f63b51bc9c9p-4, 0x1.833e0e07da3c3p-4, 0x1.7c9c2407840e2p-4, 0x1.76105f507c4e2p-4, 0x1.6f9aa0e077be8p-4, 0x1.693ac8bc2c4f2p-4, 0x1.62f0b5f84c967p-4, 0x1.5cbc46c267257p-4, 0x1.569d5869af29bp-4, 0x1.5093c767a862cp-4, 0x1.4a9f6f68ba491p-4, 0x1.44c02b54a62e5p-4, 0x1.3ef5d556e3275p-4, 0x1.394046e6d5e58p-4, 0x1.339f58cff6f8ap-4, 0x1.2e12e339cacc7p-4, 0x1.289abdafc9a3ap-4, 0x1.2336bf291f49dp-4, 0x1.1de6be104d915p-4, 0x1.18aa904aad648p-4, 0x1.13820b3fd1ee9p-4, 0x1.0e6d03e0c8c24p-4, 0x1.096b4eaf380cep-4, 0x1.047cbfc45d4bap-4, 0x1.ff4255afd636cp-5, 0x1.f5b0c68d81028p-5, 0x1.ec4478330875bp-5, 0x1.e2fd101636398p-5, 0x1.d9da331df4c12p-5, 0x1.d0db85aeb97e5p-5, 0x1.c800abb6a153cp-5, 0x1.bf4948b94fcecp-5, 0x1.b6b4ffdb8802dp-5, 0x1.ae4373ee7b281p-5, 0x1.a5f4477ae1be5p-5, 0x1.9dc71ccbc0997p-5, 0x1.95bb95f8f7644p-5, 0x1.8dd154f187b6dp-5, 0x1.8607fb8595747p-5, 0x1.7e5f2b702c676p-5, 0x1.76d68660bfd8bp-5, 0x1.6f6dae0469101p-5, 0x1.6824440ee7e7ap-5, 0x1.60f9ea435e696p-5, 0x1.59ee427cd47b1p-5, 0x1.5300eeb672012p-5, 0x1.4c31911384ef2p-5, 0x1.457fcbe743702p-5, 0x1.3eeb41bc55c36p-5, 0x1.3873955c1df3ep-5, 0x1.321869d5c8526p-5, 0x1.2bd962851eb6bp-5, 0x1.25b6231929173p-5, 0x1.1fae4f9a854adp-5, 0x1.19c18c7198cb8p-5, 0x1.13ef7e6c7b665p-5, 0x1.0e37cac4b6a45p-5, 0x1.089a1724c6edp-5, 0x1.031609ad6c1adp-5, 0x1.fb5691f58d617p-6, 0x1.f0b2f852749cap-6, 0x1.e64095b44c8a3p-6, 0x1.dbfeba70d9d72p-6, 0x1.d1ecb7f9751acp-6, 0x1.c809e0e368dccp-6, 0x1.be5588efcd6d2p-6, 0x1.b4cf05130f965p-6, 0x1.ab75ab7c287f1p-6, 0x1.a248d39b7308ap-6, 0x1.9947d6292b535p-6, 0x1.90720d2b991cep-6, 0x1.87c6d3fcec041p-6, 0x1.7f458750bfd55p-6, 0x1.76ed85394c668p-6, 0x1.6ebe2d2c561dap-6, 0x1.66b6e007ccd7p-6, 0x1.5ed700160bcbcp-6, 0x1.571df111f7b18p-6, 0x1.4f8b182aae5f6p-6, 0x1.481ddc070ad26p-6, 0x1.40d5a4c8dde61p-6, 0x1.39b1dc0fdf466p-6, 0x1.32b1ecfc66caap-6, 0x1.2bd54431d9d09p-6, 0x1.251b4fd8f5682p-6, 0x1.1e837fa1bd051p-6, 0x1.180d44c544981p-6, 0x1.11b812073883bp-6, 0x1.0b835bb7393adp-6, 0x1.056e97b1f3527p-6, 0x1.fef27ac41d849p-7, 0x1.f3458b81d426dp-7, 0x1.e7d556ae3bedcp-7, 0x1.dca0d479b2e99p-7, 0x1.d1a7003424f42p-7, 0x1.c6e6d84cfc36p-7, 0x1.bc5f5e52d527p-7, 0x1.b20f96f2ca68ep-7, 0x1.a7f689f7814dfp-7, 0x1.9e134247e3564p-7, 0x1.9464cde5860bap-7, 0x1.8aea3dead4f22p-7, 0x1.81a2a688dffcap-7, 0x1.788d1f0514e5dp-7, 0x1.6fa8c1b672d59p-7, 0x1.66f4ac02cc197p-7, 0x1.5e6ffe5b83919p-7, 0x1.5619dc3a447cfp-7, 0x1.4df16c1d727eep-7, 0x1.45f5d78455623p-7, 0x1.3e264aeb274edp-7, 0x1.3681f5c6e0d9bp-7, 0x1.2f080a80e569bp-7, 0x1.27b7be727a8edp-7, 0x1.209049e0109e9p-7, 0x1.1990e7f46b5e9p-7, 0x1.12b8d6bb96785p-7, 0x1.0c07571dce62ap-7, 0x1.057bacda213c1p-7, 0x1.fe2a3d022baep-8, 0x1.f1a5eade17adap-8, 0x1.e568fb8d3e144p-8, 0x1.d9720cd5b34d7p-8, 0x1.cdbfc1f2b7166p-8, 0x1.c250c3889fed7p-8, 0x1.b723bf98cf82fp-8, 0x1.ac3769755b72cp-8, 0x1.a18a79b488f4ep-8, 0x1.971bae24440cap-8, 0x1.8ce9c9bd34c4p-8, 0x1.82f394960bdaap-8, 0x1.7937dbd645402p-8, 0x1.6fb571a930ecdp-8, 0x1.666b2d30bc65dp-8, 0x1.5d57ea780635cp-8, 0x1.547a8a660b92ep-8, 0x1.4bd1f2b028244p-8, 0x1.435d0dcc9e37bp-8, 0x1.3b1acae4fe9a4p-8, 0x1.330a1dc86dd09p-8, 0x1.2b29fede1f5bp-8, 0x1.23796b1787829p-8, 0x1.1bf763e2b09cdp-8, 0x1.14a2ef1c75daap-8, 0x1.0d7b1702cb099p-8, 0x1.067eea26fe23ep-8, 0x1.ff5af6bfcb799p-9, 0x1.f20bc378797bap-9, 0x1.e50e70e9af28bp-9, 0x1.d8613dbde2983p-9, 0x1.cc0270bd1e5c4p-9, 0x1.bff058b18e33bp-9, 0x1.b4294c4c653ebp-9, 0x1.a8abaa0aa80d4p-9, 0x1.9d75d81a39abcp-9, 0x1.9286443ed2ba8p-9, 0x1.87db63b74fc7dp-9, 0x1.7d73b322dc326p-9, 0x1.734db6666f3c7p-9, 0x1.6967f8925bb31p-9, 0x1.5fc10bc80aedfp-9, 0x1.5657891fc3a1dp-9, 0x1.4d2a108ebef3p-9, 0x1.443748cd4d4acp-9, 0x1.3b7ddf3d2445bp-9, 0x1.32fc87cff2ffbp-9, 0x1.2ab1fcee06b42p-9, 0x1.229cff5d433e9p-9, 0x1.1abc56280998p-9, 0x1.130ece84ae71cp-9, 0x1.0b933bbcc4e7p-9, 0x1.04487714eb395p-9, 0x1.fa5abf6934badp-10, 0x1.ec81b51c7a0dcp-10, 0x1.df03a48f0a60fp-10, 0x1.d1de6e43b833bp-10, 0x1.c50ffdc65e50ap-10, 0x1.b896497ddee4p-10, 0x1.ac6f527e5addap-10, 0x1.a099245c0932fp-10, 0x1.9511d4febca5bp-10, 0x1.89d78475325eap-10, 0x1.7ee85cc9c8d21p-10, 0x1.744291d6e353cp-10, 0x1.69e4611c20353p-10, 0x1.5fcc11941f021p-10, 0x1.55f7f38a69a35p-10, 0x1.4c6660723fd12p-10, 0x1.4315babda3d17p-10, 0x1.3a046db4bba86p-10, 0x1.3130ed4e28db1p-10, 0x1.2899b60766f39p-10, 0x1.203d4cbdd1c77p-10, 0x1.181a3e882d385p-10, 0x1.102f2090b6515p-10, 0x1.087a8fef75b13p-10, 0x1.00fb31855839fp-10, 0x1.f35f63af4f95dp-11, 0x1.e52d89d7b14aap-11, 0x1.d75e4c48319e2p-11, 0x1.c9ef30382fbbcp-11, 0x1.bcddc90cdd0cdp-11, 0x1.b027b81516469p-11, 0x1.a3caac45fde6p-11, 0x1.97c461f82bbdfp-11, 0x1.8c12a2a753792p-11, 0x1.80b344b0599cfp-11, 0x1.75a42b12e2e99p-11, 0x1.6ae3453226591p-11, 0x1.606e8e97159eap-11, 0x1.56440eb406edcp-11, 0x1.4c61d8a8762d4p-11, 0x1.42c60b064f19fp-11, 0x1.396ecf97863a2p-11, 0x1.305a5b24f325cp-11, 0x1.2786ed3e66485p-11, 0x1.1ef2d002d96f8p-11, 0x1.169c57e9bcf9bp-11, 0x1.0e81e38dec5bap-11, 0x1.06a1db782c6d6p-11, 0x1.fdf563d74e269p-12, 0x1.ef15c564c8d87p-12, 0x1.e0a1e5d6e6e4dp-12, 0x1.d296e1b1b83a3p-12, 0x1.c4f1e75f1447cp-12, 0x1.b7b036ce3d855p-12, 0x1.aacf2115eb467p-12, 0x1.9e4c0817d1e87p-12, 0x1.92245e25cdd63p-12, 0x1.8655a5a83bd5fp-12, 0x1.7add70c6357adp-12, 0x1.6fb9610fb3863p-12, 0x1.64e7272818516p-12, 0x1.5a648273a403ap-12, 0x1.502f40c46cee6p-12, 0x1.46453e0b106c9p-12, 0x1.3ca464078261ap-12, 0x1.334aa9fad05dfp-12, 0x1.2a36145bc9271p-12, 0x1.2164b48be099ap-12, 0x1.18d4a88e0122dp-12, 0x1.10841abe044ffp-12, 0x1.0871418a6e13ep-12, 0x1.009a5f2e9ef1fp-12, 0x1.f1fb82de91bdep-13, 0x1.e33382ad906c8p-13, 0x1.d4d985e8552ap-13, 0x1.c6ea6a3625aa9p-13, 0x1.b9632246f037ap-13, 0x1.ac40b55a4cd42p-13, 0x1.9f803ec3eb0dap-13, 0x1.931eed75721dp-13, 0x1.871a0389bcb5fp-13, 0x1.7b6ed5d1acdbcp-13, 0x1.701acb64df68bp-13, 0x1.651b5d33398dfp-13, 0x1.5a6e1598c8cd9p-13, 0x1.50108ff48671ep-13, 0x1.4600784084358p-13, 0x1.3c3b8aac17a07p-13, 0x1.32bf9338a5553p-13, 0x1.298a6d58c7d93p-13, 0x1.209a0390234dap-13, 0x1.17ec4f161ad89p-13, 0x1.0f7f577a3666ep-13, 0x1.0751324a39acdp-13, 0x1.fec005765db64p-14, 0x1.ef53f2a34d554p-14, 0x1.e05aa71fd1a3bp-14, 0x1.d1d0b742b638ap-14, 0x1.c3b2d0164ef56p-14, 0x1.b5fdb6ba1536cp-14, 0x1.a8ae47c70aca7p-14, 0x1.9bc176b92ed4dp-14, 0x1.8f344d5b64e46p-14, 0x1.8303eb36c55cp-14, 0x1.772d85048ee21p-14, 0x1.6bae6423f60f7p-14, 0x1.6083e612596e1p-14, 0x1.55ab7be79a274p-14, 0x1.4b22a9d211fa7p-14, 0x1.40e7069a58143p-14, 0x1.36f63b25a303p-14, 0x1.2d4e01fd92e6ap-14, 0x1.23ec26d86f737p-14, 0x1.1ace8626ec189p-14, 0x1.11f30ca234bdcp-14, 0x1.0957b6dccae79p-14, 0x1.00fa90d76a5c1p-14, 0x1.f1b36b2d621d5p-15, 0x1.e1e69d77af24ep-15, 0x1.d28b284041179p-15, 0x1.c39d96e4cba5fp-15, 0x1.b51a8fac9640fp-15, 0x1.a6fed30fb755fp-15, 0x1.99473afb7145dp-15, 0x1.8bf0ba231a3f8p-15, 0x1.7ef85b4cd94a9p-15, 0x1.725b40aaf4b02p-15, 0x1.6616a331257fep-15, 0x1.5a27d1f5c1763p-15, 0x1.4e8c318fa4fabp-15, 0x1.43413b7d4e85ap-15, 0x1.38447d8d0108p-15, 0x1.2d9399495c13ep-15, 0x1.232c4368c15a7p-15, 0x1.190c4341e019p-15, 0x1.0f31724197e06p-15, 0x1.0599bb66185aap-15, 0x1.f8863578ef22bp-16, 0x1.e65739c3b3ca8p-16, 0x1.d4a2bd0dda6e8p-16, 0x1.c36517f310035p-16, 0x1.b29ac1561d53p-16, 0x1.a2404d83631aap-16, 0x1.92526d4b32f8p-16, 0x1.82cded2b19e17p-16, 0x1.73afb47954bcfp-16, 0x1.64f4c49520adcp-16, 0x1.569a381d2c142p-16, 0x1.489d422dc2f8fp-16, 0x1.3afb2d9ea0ae1p-16, 0x1.2db15c4b71763p-16, 0x1.20bd465c8302bp-16, 0x1.141c7997ccbaep-16, 0x1.07cc98b3eaa71p-16, 0x1.f796b5643af25p-17, 0x1.e02d1475dfd99p-17, 0x1.c95809ffb4e92p-17, 0x1.b313764488a4dp-17, 0x1.9d5b5d3aefb35p-17, 0x1.882be56607a82p-17, 0x1.738156bf7c604p-17, 0x1.5f58199e779e7p-17, 0x1.4bacb5af5a2adp-17, 0x1.387bd0eb6d74ep-17, 0x1.25c22e9dde093p-17, 0x1.137cae6d002ffp-17, 0x1.01a84b6b5facep-17, 0x1.e0843659bd6c6p-18, 0x1.be8e99cfc7717p-18, 0x1.9d6a512d3eef7p-18, 0x1.7d121c4529e6fp-18, 0x1.5d80e92c6af02p-18, 0x1.3eb1d2a1e985bp-18, 0x1.20a01e8edbaaap-18, 0x1.03473c846f686p-18, 0x1.cd4588a2479b7p-19, 0x1.955ce92f8fcc1p-19, 0x1.5ecc62eba7fedp-19, 0x1.298c066492446p-19, 0x1.eb2853db71996p-20, 0x1.85bace54ba8dp-20, 0x1.22c1314079bdp-20, 0x1.845b5d8a5edebp-21, 0x1.8fcbc6c8e45fap-22, 0x1.00832234bffap-25, -0x1.46ad30458f917p-22, -0x1.524e857e981b6p-21, -0x1.fcf6d01239ed4p-21, -0x1.51b2f512ff19p-20, -0x1.a2d8c287f2792p-20, -0x1.f1f74c75b995fp-20, -0x1.1f8c5ada46f2dp-19, -0x1.452365a0141c6p-19, -0x1.69c583cbcb4cfp-19, -0x1.8d774aeba0cb4p-19, -0x1.b03d2a6b002eap-19, -0x1.d21b6d0cb97ebp-19, -0x1.f3163a59d8ffep-19, -0x1.0998cc021a567p-18, -0x1.1938b5a351158p-18, -0x1.286cbd10f33ecp-18, -0x1.3736b656ebff1p-18, -0x1.45986723a7215p-18, -0x1.5393875e1eab9p-18, -0x1.6129c1b7b88edp-18, -0x1.6e5cb435d173cp-18, -0x1.7b2df0b7f6fa4p-18, -0x1.879efd7d632a5p-18, -0x1.93b155a064854p-18, -0x1.9f66698e2fc94p-18, -0x1.aabf9f7e577ep-18, -0x1.b5be53e08e61ep-18, -0x1.c063d9c89efa1p-18, -0x1.cab17b5a4e629p-18, -0x1.d4a87a2be0cp-18, -0x1.de4a0fa3d7996p-18, -0x1.e7976d5cccfecp-18, -0x1.f091bd77ebd5fp-18, -0x1.f93a22f600e47p-18, -0x1.00c8dd069fd02p-17, -0x1.04cccc398180ap-17, -0x1.08a966d7593b8p-17, -0x1.0c5f31aee9958p-17, -0x1.0feeaebfc10cap-17, -0x1.13585d5a02585p-17, -0x1.169cba4011178p-17, -0x1.19bc3fc5948cp-17, -0x1.1cb765ed0178p-17, -0x1.1f8ea284bb5c4p-17, -0x1.22426941a66a9p-17, -0x1.24d32bdb1e96ap-17, -0x1.27415a22aad64p-17, -0x1.298d621bc8e0dp-17, -0x1.2bb7b0143b5bbp-17, -0x1.2dc0aeb94df29p-17, -0x1.2fa8c72c6c362p-17, -0x1.317061187e59p-17, -0x1.3317e2c3633e3p-17, -0x1.349fb1212a4b7p-17, -0x1.36082fe473b9p-17, -0x1.3751c1905d0dp-17, -0x1.387cc7875de4fp-17, -0x1.3989a2198029dp-17, -0x1.3a78b094b4b3bp-17, -0x1.3b4a515018542p-17, -0x1.3bfee1b9d8064p-17, -0x1.3c96be62df2d5p-17, -0x1.3d12430a7d2e9p-17, -0x1.3d71caa8e5552p-17, -0x1.3db5af7aa54bcp-17, -0x1.3dde4b082ba4ap-17, -0x1.3debf630bb777p-17, -0x1.3ddf09322175fp-17, -0x1.3db7dbb10232bp-17, -0x1.3d76c4bf9b5e1p-17, -0x1.3d1c1ae685c5ep-17, -0x1.3ca83429c2314p-17, -0x1.3c1b660f456fbp-17, -0x1.3b7605a5ae7d6p-17, -0x1.3ab8678874227p-17, -0x1.39e2dfe49f15cp-17, -0x1.38f5c27f65c18p-17, -0x1.37f162b7f4f6cp-17, -0x1.36d6138cc2645p-17, -0x1.35a4279ebad72p-17, -0x1.345bf13517382p-17, -0x1.32fdc23f3ee6dp-17, -0x1.3189ec58b1c18p-17, -0x1.3000c0c9fafb2p-17, -0x1.2e62908c3d2cfp-17, -0x1.2cafac4a197fbp-17, -0x1.2ae8646252b4cp-17, -0x1.290d08e8777e3p-17, -0x1.271de9a622495p-17, -0x1.251b561ca3f8ap-17, -0x1.23059d8594948p-17, -0x1.20dd0ed287c72p-17, -0x1.1ea1f8af04b07p-17, -0x1.1c54a98030949p-17, -0x1.19f56f64f7806p-17, -0x1.17849835a17f1p-17, -0x1.1502718510cf1p-17, -0x1.126f489eb7c11p-17, -0x1.0fcb6a870b004p-17, -0x1.0d1723fbe400fp-17, -0x1.0a52c172b5b4bp-17, -0x1.077e8f181638fp-17, -0x1.049ad8cfb407ep-17, -0x1.01a7ea3283786p-17, -0x1.fd4c1d1c07efdp-18, -0x1.f72b21c82ecd4p-18, -0x1.f0ed77d137beap-18, -0x1.ea93b401f4986p-18, -0x1.e41e6a860b30dp-18, -0x1.dd8e2ee72f2ccp-18, -0x1.d6e39409937adp-18, -0x1.d01f2c2aa29b7p-18, -0x1.c94188dd7877ap-18, -0x1.c24b3b089b002p-18, -0x1.bb3cd2e1ebaf1p-18, -0x1.b416dfebd660cp-18, -0x1.acd9f0f391fe7p-18, -0x1.a586940cd655ep-18, -0x1.9e1d568fca9e9p-18, -0x1.969ec514a9bcap-18, -0x1.8f0b6b717e9eep-18, -0x1.8763d4b61f437p-18, -0x1.7fa88b29de226p-18, -0x1.77da184861b11p-18, -0x1.6ff904bdd8788p-18, -0x1.6805d8645dd48p-18, -0x1.60011a413b88ep-18, -0x1.57eb5080e7a7cp-18, -0x1.4fc5007403dbbp-18, -0x1.478eae8bde731p-18, -0x1.3f48de5924513p-18, -0x1.36f41287bdaeep-18, -0x1.2e90ccdbc2badp-18, -0x1.261f8e2e8c2e6p-18, -0x1.1da0d66bea832p-18, -0x1.1515248fa9d25p-18, -0x1.0c7cf6a207a3p-18, -0x1.03d8c9b5f62ccp-18, -0x1.f65233cbc51f5p-19, -0x1.e4dcc4a1eb19p-19, -0x1.d3523a31c6653p-19, -0x1.c1b386be3f8ccp-19, -0x1.b0019a848e315p-19, -0x1.9e3d63b85bd84p-19, -0x1.8c67ce80013a8p-19, -0x1.7a81c4ed1a404p-19, -0x1.688c2efa433d4p-19, -0x1.5687f286a66dfp-19, -0x1.4475f351b9e12p-19, -0x1.325712f6dd19bp-19, -0x1.202c30ea06334p-19, -0x1.0df62a75224e6p-19, -0x1.f76bb567ce289p-20, -0x1.d2d835209c8f4p-20, -0x1.ae33817a86089p-20, -0x1.897f436d2b47cp-20, -0x1.64bd1f797ffdfp-20, -0x1.3feeb5a6fc94fp-20, -0x1.1b15a17c7f6a4p-20, -0x1.ec66f3f400e5ap-21, -0x1.a293a32a5d28ap-21, -0x1.58b46c6964da1p-21, -0x1.0ecc625ce3fbdp-21, -0x1.89bd1cfff644dp-22, -0x1.ebb7c466c1e0ep-23, -0x1.87ec09dfb25b8p-24, 0x1.8efd342fafafep-25, 0x1.8b5c9f5bdd72fp-23, 0x1.596b427499175p-22, 0x1.ed10daed64771p-22, 0x1.404cc3e46f959p-21, 0x1.89ffe52baec79p-21, 0x1.d39f1b4a4cf9dp-21, 0x1.0e93dccacf02ep-20, 0x1.334b8e5d8e509p-20, 0x1.57f5555fb834ap-20, 0x1.7c8fe98013099p-20, 0x1.a11a0719e26e3p-20, 0x1.c5926f332a3f2p-20, 0x1.e9f7e77ada801p-20, 0x1.07249d250104ep-19, 0x1.19429b51001bap-19, 0x1.2b555815ca8bap-19, 0x1.3d5c3f99f5fap-19, 0x1.4f56c056a549p-19, 0x1.61444b13ccd2p-19, 0x1.732452e85b53cp-19, 0x1.84f64d393e084p-19, 0x1.96b9b1b842247p-19, 0x1.a86dfa61e1a4cp-19, 0x1.ba12a37afa314p-19, 0x1.cba72b90655a8p-19, 0x1.dd2b13746647fp-19, 0x1.ee9dde3bffc44p-19, 0x1.ffff113d10964p-19, 0x1.08a71a062094bp-18, 0x1.1145683deb9bcp-18, 0x1.19da394c3861bp-18, 0x1.22655453b3acdp-18, 0x1.2ae68191351edp-18, 0x1.335d8a5a8ffc2p-18, 0x1.3bca391e137d2p-18, 0x1.442c5960d0f1fp-18, 0x1.4c83b7bc8e07ap-18, 0x1.54d021df1f56p-18, 0x1.5d11668842b82p-18, 0x1.654755885e7f4p-18, 0x1.6d71bfbf0abffp-18, 0x1.75907718f52d1p-18, 0x1.7da34e8e302bdp-18, 0x1.85aa1a20edb43p-18, 0x1.8da4aedbb1483p-18, 0x1.9592e2cfb8f8dp-18, 0x1.9d748d133b785p-18, 0x1.a54985be920d5p-18, 0x1.ad11a5eb87991p-18, 0x1.b4ccc7b2db9a8p-18, 0x1.bc7ac62aa11c7p-18, 0x1.c41b7d6476ba9p-18, 0x1.cbaeca6b511f8p-18, 0x1.d3348b41804f1p-18, 0x1.daac9edec55ecp-18, 0x1.e216e52e54de9p-18, 0x1.e9733f0cc6cedp-18, 0x1.f0c18e45906a3p-18, 0x1.f801b591cd6f1p-18, 0x1.ff33989595e1ep-18, 0x1.032b8def1c0b5p-17, 0x1.06b6127017edfp-17, 0x1.0a394cfa4834ep-17, 0x1.0db5312b6be7fp-17, 0x1.1129b311845bp-17, 0x1.1496c729a07c7p-17, 0x1.17fc625f1a90bp-17, 0x1.1b5a7a0a2c97dp-17, 0x1.1eb103eec6fe4p-17, 0x1.21fff63bc4d5bp-17, 0x1.254747897b9ddp-17, 0x1.2886eed8e51cep-17, 0x1.2bbee3924e6ebp-17, 0x1.2eef1d84239c6p-17, 0x1.321794e1eda53p-17, 0x1.3538424358059p-17, 0x1.38511ea2cd2efp-17, 0x1.3b62235c95226p-17, 0x1.3e6b4a2da988fp-17, 0x1.416c8d321b686p-17, 0x1.4465e6e479a71p-17, 0x1.4757521c782e7p-17, 0x1.4a40ca0de0422p-17, 0x1.4d224a476294cp-17, 0x1.4ffbceb1570e2p-17, 0x1.52cd538cb3559p-17, 0x1.5596d571fa716p-17, 0x1.5858515013e6p-17, 0x1.5b11c46afe3abp-17, 0x1.5dc32c5aa4a7ep-17, 0x1.606c870a23bdbp-17, 0x1.630dd2b6301a7p-17, 0x1.65a70dec32b6dp-17, 0x1.6838378956c9p-17, 0x1.6ac14eb8e6649p-17, 0x1.6d4252f3b499p-17, 0x1.6fbb43feb3b79p-17, 0x1.722c21e9bb26ep-17, 0x1.7494ed0ecc09ep-17, 0x1.76f5a6109edf5p-17, 0x1.794e4dd9be5d2p-17, 0x1.7b9ee59b72bd1p-17, 0x1.7de76ecc694dp-17, 0x1.8027eb27df24fp-17, 0x1.82605cac8c732p-17, 0x1.8490c59b2f3a3p-17, 0x1.86b92875de60ep-17, 0x1.88d987feddef7p-17, 0x1.8af1e73794731p-17, 0x1.8d02495f86243p-17, 0x1.8f0ab1f329247p-17, 0x1.910b24aabe0ebp-17, 0x1.9303a57972076p-17, 0x1.94f4388c6f81p-17, 0x1.96dce24991547p-17, 0x1.98bda74eae9bdp-17, 0x1.9a968c7045253p-17, 0x1.9c6796b895becp-17, 0x1.9e30cb66c928bp-17, 0x1.9ff22fedc5c3ap-17, 0x1.a1abc9f3363fp-17, 0x1.a35d9f4e9d3fcp-17, 0x1.a507b608564abp-17, 0x1.a6aa14588e098p-17, 0x1.a844c0a644a64p-17, 0x1.a9d7c1869100ep-17, 0x1.ab631dbba75d8p-17, 0x1.ace6dc339f389p-17, 0x1.ae630407cd8b4p-17, 0x1.afd79c7ba1aedp-17, 0x1.b144acfbe15d4p-17, 0x1.b2aa3d1dd6491p-17, 0x1.b408549e37f87p-17, 0x1.b55efb603b199p-17, 0x1.b6ae396d05b79p-17, 0x1.b7f616f25c8f2p-17, 0x1.b9369c41fec39p-17, 0x1.ba6fd1d108c95p-17, 0x1.bba1c0368c1bep-17, 0x1.bccc702b21b7p-17, 0x1.bdefea88021p-17, 0x1.bf0c38462725ep-17, 0x1.c021627d6a3e9p-17, 0x1.c12f7263c88d6p-17, 0x1.c236714c7f7f2p-17, 0x1.c33668a75a067p-17, 0x1.c42f61fff995p-17, 0x1.c52166fce11c6p-17, 0x1.c60c815ec25a8p-17, 0x1.c6f0baffa88edp-17, 0x1.c7ce1dd2514e5p-17, 0x1.c8a4b3e189a98p-17, 0x1.c974874f31f92p-17, 0x1.ca3da25390edbp-17, 0x1.cb000f3cc3722p-17, 0x1.cbbbd86dd0529p-17, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
    }}, 
    {
      39, 0x1.a7ae147ae147bp+2, 0x1.96596a2fef17ap+0, 0x1.0e8aa80c1a7ebp+1, -0x1.29ae573ebea21p-10, 
      {{
        {0x1.2eb851eb851ecp+2, 0x1.3p+2, 0x1.be85ab4e264d4p-9, -0x1.d882978baac84p-8, 0x1.770212de5e378p-8, -0x1.0843a18b8af81p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.abeb6d09a0625p-9, -0x1.c9ab1999f2841p-8, 0x1.6f1486579f2b1p-8, -0x1.026f41fa65b51p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.7ff4b569b5e88p-9, -0x1.a5edf1dac39fp-8, 0x1.5bb294980abdap-8, -0x1.f66bd53b6556bp-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.5778540d9942p-9, -0x1.841a0c83d4d14p-8, 0x1.48db56329d574p-8, -0x1.e88b516c08babp-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.32460b1d92e77p-9, -0x1.6421d102032d9p-8, 0x1.36894ff1c3698p-8, -0x1.da83a33e82fbfp-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.102ef4c3a6469p-9, -0x1.45f7da1e97e1fp-8, 0x1.24bdf9d29e803p-8, -0x1.cc86739f965a9p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.e20b0657237c9p-10, -0x1.298eb4dfc027ap-8, 0x1.1378ef163c101p-8, -0x1.be86742452e06p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a93b01059d431p-10, -0x1.0ed8f1fbacdd5p-8, 0x1.02ba4abb45c15p-8, -0x1.b087358be79b1p-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.75981df1226e5p-10, -0x1.eb924257387cbp-9, 0x1.e5040b0c0d571p-9, -0x1.a287c34475db8p-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.46cf517b91709p-10, -0x1.bca3a4d926f3cp-9, 0x1.c5a042cd514c9p-9, -0x1.94885ed63cf7cp-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.1c90400a3ea5fp-10, -0x1.90cb2b52dd21bp-9, 0x1.a7493bb073208p-9, -0x1.8688f6b21bdc8p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.ed1a7c0be89d5p-11, -0x1.67edf5a3ce863p-9, 0x1.89fef5fcb109bp-9, -0x1.78898f8c7e2fep-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.a8f69fb5e5254p-11, -0x1.41f123a8d30dep-9, 0x1.6dc1719ef45fdp-9, -0x1.6a8a2822a9724p-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.6c2453f1df004p-11, -0x1.1eb9d53f757ep-9, 0x1.5290ae9c5adddp-9, -0x1.5c8ac0cb25339p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.361861a62e184p-11, -0x1.fc5a548a2168p-10, 0x1.386cacf384dfep-9, -0x1.4e8b596eb168fp-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.064cf1c01626bp-11, -0x1.c060852e18cdcp-10, 0x1.1f556ca4d12b5p-9, -0x1.408bf2138f411p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.b8831a678d5fdp-12, -0x1.89507c2599a51p-10, 0x1.074aedb0266dp-9, -0x1.328c8ab81afeap-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6ef639f8b60ebp-12, -0x1.56f4792b6e52bp-10, 0x1.e09a602b159a3p-10, -0x1.248d235cb99efp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.2f07d437b498fp-12, -0x1.2916bbfa60c14p-10, 0x1.b4b867a9f9c2bp-10, -0x1.168dbc0145554p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.efae766cddaf1p-13, -0x1.ff03089a75b6cp-11, 0x1.8aeff1dcfc284p-10, -0x1.088e54a5efdf5p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.911d0229448bap-13, -0x1.b3fe23bd8d482p-11, 0x1.6340fec4182d4p-10, -0x1.f51dda94f5595p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.40c4efffc7e23p-13, -0x1.70b348d39c352p-11, 0x1.3dab8e5f5293cp-10, -0x1.d91f0bde360bbp-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fa4ac8ce821a4p-14, -0x1.34b6f75236569p-11, 0x1.1a2fa0aea81f9p-10, -0x1.bd203d2778275p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.89a607e4712e8p-14, -0x1.ff3b5d5ddfb5ep-12, 0x1.f19a6b64316cfp-11, -0x1.a1216e70204aep-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.2cefe69dcc8fp-14, -0x1.a1f7dcbeb795cp-12, 0x1.b3089ad35fc72p-11, -0x1.85229fbbae193p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.c34f5d1cc451fp-15, -0x1.50cc6bb22333bp-12, 0x1.78a9cfaa6c106p-11, -0x1.6923d0fc09081p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.4aef5302bc98p-15, -0x1.0ae209233190bp-12, 0x1.427e09eb044f6p-11, -0x1.4d2502659d655p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.d8d485e52f761p-16, -0x1.9ec367fac9f86p-13, 0x1.1085498ef9806p-11, -0x1.31263336bf2d8p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.478182c050141p-16, -0x1.3ae8d65529589p-13, 0x1.c57f1d5a53405p-12, -0x1.1527663fcfeffp-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.b5258cb7f2a8p-17, -0x1.d10cb66b4d388p-14, 0x1.7259b1e0c8108p-12, -0x1.f25122024bc06p-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.16c2f6b5875p-17, -0x1.4bdbe89bb2ab2p-14, 0x1.279a532d3cb4p-12, -0x1.ba53b554a87f4p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.4fcb34f302fp-18, -0x1.c5c67ff472164p-15, 0x1.ca81eff446dcp-13, -0x1.825561f62f075p-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.77bf42fbe24p-19, -0x1.258d68692f9b6p-15, 0x1.569b85c4058d6p-13, -0x1.4a5a6b8cb83cdp-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.7cdf9fdfb5cp-20, -0x1.60a93f83e1862p-16, 0x1.e700cb00695d6p-14, -0x1.1252e7ff223dep-12}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.4fc606179bp-21, -0x1.7d8eb825f1d6cp-17, 0x1.4268a634219c2p-14, -0x1.b4f4781a0074p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.dedcf6dcb8001p-23, -0x1.60214ffeb8413p-18, 0x1.7ea50458a95a1p-15, -0x1.43e57da3bc99ep-13}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.db8e10c6a0001p-25, -0x1.eeff9634ab5bap-20, 0x1.789d0b8670638p-16, -0x1.afdebc7ad7762p-14}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.b8831a668p-28, -0x1.8edba1e73e67ap-22, 0x1.d5f7368c89433p-18, -0x1.63cdd4a66e242p-15}, 
        {0x1.a666666666666p+2, 0x1.a7ae147ae147bp+2, 0x1.77bf42bffffffp-35, 0x1.707d2763dff6p-27, 0x1.5801baf35cp-21, -0x1.457469a20372p-12}, 
      }}, 
      0x1.400f67667ea04p-6, -0x1.71f1c511923bbp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.638ed5faba9dep-3, -0x1.a3541f6cef88p-4, -0x1.1f439aa47fdf7p-8, 0x1.a3666f7c47876p-4, 0x1.a10d991f379efp-3, 0x1.28a0465c6767cp-2, 0x1.6b9b09df37b8p-2, 0x1.9766e83b687c5p-2, 0x1.ac7537b4bc938p-2, 0x1.acdc6109a7613p-2, 0x1.9ba760951bd0dp-2, 0x1.7c50fab2ac59ap-2, 0x1.5264f4c2cecbdp-2, 0x1.2140566ab1cadp-2, 0x1.d7d3bc60fb2fdp-3, 0x1.69f9668723fdbp-3, 0x1.fa8184d2ad7e8p-4, 0x1.2a28228b8efa8p-4, 0x1.a0395d9373539p-6, -0x1.20976364e2166p-6, -0x1.c83baf24b428bp-5, -0x1.6a9e23b3d0e63p-4, -0x1.db53384f55dacp-4, -0x1.1b50e50a4c59ap-3, -0x1.3ebdcc8e475c4p-3, -0x1.589cc005da087p-3, -0x1.69bd7d4b13ac4p-3, -0x1.7305839dab50ep-3, -0x1.75650ed709f9ap-3, -0x1.71ce502131d7cp-3, -0x1.692eb02ff683ep-3, -0x1.5c69c964a8a2cp-3, -0x1.4c55d4b117473p-3, -0x1.39b949afa364fp-3, -0x1.25497409f213bp-3, -0x1.0fa9ca5bcc4b4p-3, -0x1.f2d7b40d2afefp-4, -0x1.c61f431ef43fcp-4, -0x1.9a0876bead46dp-4, -0x1.6f517f1642b16p-4, -0x1.469a93ae93e2bp-4, -0x1.206829982d381p-4, -0x1.fa4a7842255c6p-5, -0x1.ba4b2e953ac4p-5, -0x1.81502d501a3a3p-5, -0x1.4fb1a0d9ecd6cp-5, -0x1.25a64d815d006p-5, -0x1.03477838de39ep-5, -0x1.d1292229a584ep-6, -0x1.aaed3cd80f21ap-6, -0x1.9386cfd9a0ddbp-6, -0x1.8a80c6a4b49d9p-6, -0x1.8f4ac6c020b4cp-6, -0x1.a13e17341b8e4p-6, -0x1.bfa215c6cac7bp-6, -0x1.e9b03e6000e1cp-6, -0x1.0f4be588c8bd4p-5, -0x1.2ec078676de5ap-5, -0x1.52c7dfa27170bp-5, -0x1.7af35471bb907p-5, -0x1.a6d45cc108002p-5, -0x1.d5fdc0f882d5p-5, -0x1.04022f622da8fp-4, -0x1.1e3fedbf22206p-4, -0x1.39859d07da746p-4, -0x1.55a2a99e5a3bap-4, -0x1.72689c42b0a3bp-4, -0x1.8fab3dc222368p-4, -0x1.ad40b4a962e9fp-4, -0x1.cb0195a3d2865p-4, -0x1.e8c8f1f8249fdp-4, -0x1.033a2c72a3baep-3, -0x1.11f1ecbf27ee8p-3, -0x1.207cfc0ee468fp-3, -0x1.2ecdd2969a941p-3, -0x1.3cd81682d0d4ep-3, -0x1.4a9091fa97906p-3, -0x1.57ed2b5518085p-3, -0x1.64e4d6b9184c5p-3, -0x1.716f8e4572c73p-3, -0x1.7d864271d7128p-3, -0x1.8922d03f00b1bp-3, -0x1.943ff25a268fp-3, -0x1.9ed93530e245cp-3, -0x1.a8eae9c9cd97p-3, -0x1.b27218d592f9bp-3, -0x1.bb6c76d512bc3p-3, -0x1.c3d857bca997bp-3, -0x1.cbb4a3c80c3adp-3, -0x1.d300cc2ed758ap-3, -0x1.d9bcc09fcc7cfp-3, -0x1.dfe8e4d81dc42p-3, -0x1.e58606e089c2ap-3, -0x1.ea955574fd779p-3, -0x1.ef18570b113ap-3, -0x1.f310e11999728p-3, -0x1.f6810fea9998bp-3, -0x1.f96b3ed972014p-3, -0x1.fbd200fb53fcp-3, -0x1.fdb81a4477af2p-3, -0x1.ff207918d5cbep-3, -0x1.0007182293d33p-2, -0x1.004238b6ae5f4p-2, -0x1.004343eb4e4c3p-2, -0x1.000be9cd5a60ap-2, -0x1.ff3bc5389ef67p-3, -0x1.fdf5d983301c8p-3, -0x1.fc4995dd5864dp-3, -0x1.fa3a84da69c18p-3, -0x1.f7cc331cbec65p-3, -0x1.f5022c897d763p-3, -0x1.f1dff9c14e108p-3, -0x1.ee691ddbf0d2fp-3, -0x1.eaa1145ef087ep-3, -0x1.e68b4f7155aa7p-3, -0x1.e22b364f59244p-3, -0x1.dd8423d5cefd5p-3, -0x1.d8996555cfb59p-3, -0x1.d36e3990ce398p-3, -0x1.ce05cfc015427p-3, -0x1.c86346e07f1e7p-3, -0x1.c289ad126de29p-3, -0x1.bc7bff0e749eep-3, -0x1.b63d27be2edc3p-3, -0x1.afcfffe85dd3dp-3, -0x1.a9374e02d4ep-3, -0x1.a275c5fa18dbp-3, -0x1.9b8e091680b21p-3, -0x1.9482a61395613p-3, -0x1.8d5619104d6c2p-3, -0x1.860acb98163dap-3, -0x1.7ea314e42acdep-3, -0x1.772139f4f0e98p-3, -0x1.6f876db80c248p-3, -0x1.67d7d158193p-3, -0x1.60147473f5e2dp-3, -0x1.583f5564c424fp-3, -0x1.505a6196ed17fp-3, -0x1.486775c4e268bp-3, -0x1.40685e51b535ap-3, -0x1.385ed7bb4d268p-3, -0x1.304c8ed399854p-3, -0x1.2833210c7369ap-3, -0x1.20141d0004746p-3, -0x1.17f102c5857e3p-3, -0x1.0fcb4421e960ep-3, -0x1.07a444fe63f83p-3, -0x1.fefab7c36df51p-4, -0x1.eeafa44f8445p-4, -0x1.de69c8a29e75ap-4, -0x1.ce2b84fef0d04p-4, -0x1.bdf7218a2a487p-4, -0x1.adcecec4812ffp-4, -0x1.9db4a65f7d59ep-4, -0x1.8daaac0420c17p-4, -0x1.7db2cdb5fe6a6p-4, -0x1.6dcee469525a1p-4, -0x1.5e00b4f143d01p-4, -0x1.4e49f0915d1d9p-4, -0x1.3eac35362db85p-4, -0x1.2f290e186db9ep-4, -0x1.1fc1f4ae3e0e9p-4, -0x1.1078512237462p-4, -0x1.014d7a6dccf9ep-4, -0x1.e4856dd3aa50dp-5, -0x1.c6b27a734dfc9p-5, -0x1.a924698165862p-5, -0x1.8bdd6b5850494p-5, -0x1.6edf92b4def28p-5, -0x1.522cd66a8a1edp-5, -0x1.35c71272c6fe4p-5, -0x1.19b007e6fa82ep-5, -0x1.fbd2bb57e1654p-6, -0x1.c4e942cc283b7p-6, -0x1.8ea692898014fp-6, -0x1.590d67dabbae7p-6, -0x1.242050fe8bc39p-6, -0x1.dfc35e56056b3p-7, -0x1.78a7731a0345dp-7, -0x1.12f0fd0a4c97fp-7, -0x1.5d478ca6009fap-8, -0x1.2f0d1dd55b964p-9, 0x1.5ad538995280ap-11, 0x1.d6ac982d13daap-9, 0x1.a86724503596dp-8, 0x1.3144422918e9dp-7, 0x1.8cdb26ed10be7p-7, 0x1.e6f672954b336p-7, 0x1.1fca4a153233ap-6, 0x1.4b5a1bc8098a7p-6, 0x1.762a23992d84ep-6, 0x1.a039f54983728p-6, 0x1.c98940a8885d9p-6, 0x1.f217cf7c31d87p-6, 0x1.0cf2c2acd812ep-5, 0x1.20793041e365ap-5, 0x1.339f3cd36dc3bp-5, 0x1.466500e4f33c2p-5, 0x1.58caa00cda692p-5, 0x1.6ad048a35049bp-5, 0x1.7c76341bf5b5p-5, 0x1.8dbca72cc91afp-5, 0x1.9ea3f12aae39p-5, 0x1.af2c6af655107p-5, 0x1.bf5676518d983p-5, 0x1.cf227df07c1dfp-5, 0x1.de90f5ca6de84p-5, 0x1.eda25af36229cp-5, 0x1.fc5732d3e40efp-5, 0x1.05580520a6d5cp-4, 0x1.0c56ba95fc3d7p-4, 0x1.132807524f11fp-4, 0x1.19cc3c9663b62p-4, 0x1.2043af33e0aaep-4, 0x1.268eb731a944fp-4, 0x1.2cadaf6eb4a6ap-4, 0x1.32a0f57aa1a41p-4, 0x1.3868e9a242be6p-4, 0x1.3e05ef017869ep-4, 0x1.43786b68fa83ep-4, 0x1.48c0c712a0055p-4, 0x1.4ddf6c4fb3c13p-4, 0x1.52d4c75dc24b6p-4, 0x1.57a14666fe6cap-4, 0x1.5c4559904c72ep-4, 0x1.60c172ee225eep-4, 0x1.6516065085117p-4, 0x1.694388fdd0911p-4, 0x1.6d4a717df32c6p-4, 0x1.712b3789069c2p-4, 0x1.74e6540e37255p-4, 0x1.787c4136f7ec5p-4, 0x1.7bed7a4dd3f2ap-4, 0x1.7f3a7b8c04fd3p-4, 0x1.8263c1e3f0319p-4, 0x1.8569cadeea2f6p-4, 0x1.884d1493232bap-4, 0x1.8b0e1da692f5ep-4, 0x1.8dad654c548c6p-4, 0x1.902b6b2ddc5dfp-4, 0x1.9288af42b9126p-4, 0x1.94c5b1a8098f3p-4, 0x1.96e2f285cb753p-4, 0x1.98e0f20467e24p-4, 0x1.9ac0304bd7032p-4, 0x1.9c812d80f95e9p-4, 0x1.9e2469b6adcd2p-4, 0x1.9faa64d1ab2fbp-4, 0x1.a1139e69a4d6dp-4, 0x1.a26095b2040a2p-4, 0x1.a391c96d647e2p-4, 0x1.a4a7b7e948d1bp-4, 0x1.a5a2defc4be15p-4, 0x1.a683bbff61398p-4, 0x1.a74acbbdfa927p-4, 0x1.a7f88a604d29bp-4, 0x1.a88d735750ac8p-4, 0x1.a90a014ef7fbep-4, 0x1.a96eae26cfc64p-4, 0x1.a9bbf2eeedea9p-4, 0x1.a9f247e612f6ep-4, 0x1.aa1224744c349p-4, 0x1.aa1bff1fc3a7p-4, 0x1.aa104d7e61846p-4, 0x1.a9ef8428cbc4cp-4, 0x1.a9ba16b12f059p-4, 0x1.a970779dcb79fp-4, 0x1.a9131866baee3p-4, 0x1.a8a26975721ddp-4, 0x1.a81eda2308e59p-4, 0x1.a788d8b2a2426p-4, 0x1.a6e0d248d0048p-4, 0x1.a62732e2edb66p-4, 0x1.a55c65508d0a9p-4, 0x1.a480d32f467dfp-4, 0x1.a394e4e93d5aap-4, 0x1.a29901b57eb6fp-4, 0x1.a18d8f99257d3p-4, 0x1.a072f3667e85p-4, 0x1.9f4990b9480a7p-4, 0x1.9e11c9f17fb6p-4, 0x1.9ccc002f10104p-4, 0x1.9b78934f5026cp-4, 0x1.9a17e1ec6e035p-4, 0x1.98aa495e240c7p-4, 0x1.973025bb84b41p-4, 0x1.95a9d1dc92413p-4, 0x1.9417a75a46336p-4, 0x1.9279fe8ce18c3p-4, 0x1.90d12e89f3092p-4, 0x1.8f1d8d23da3bap-4, 0x1.8d5f6eeb0d85p-4, 0x1.8b9727302e135p-4, 0x1.89c50805f6ec9p-4, 0x1.87e9624295903p-4, 0x1.8604858062821p-4, 0x1.8416c01e1ad0dp-4, 0x1.82205f3f0c988p-4, 0x1.8021aecc46a64p-4, 0x1.7e1af977b3763p-4, 0x1.7c0c88c09ef13p-4, 0x1.79f6a4f7f816p-4, 0x1.77d995429e4fcp-4, 0x1.75b59f993ba32p-4, 0x1.738b08c6d5e27p-4, 0x1.715a1467c20bap-4, 0x1.6f2304ea98fd3p-4, 0x1.6ce61b93e748bp-4, 0x1.6aa39884ab7b5p-4, 0x1.685bbac1d897cp-4, 0x1.660ec03b224e1p-4, 0x1.63bce5ce23c2ap-4, 0x1.61666745837a7p-4, 0x1.5f0b7f54fd844p-4, 0x1.5cac67955c0aep-4, 0x1.5a495883729dcp-4, 0x1.57e289840897fp-4, 0x1.557830ec572bp-4, 0x1.530a840d0a688p-4, 0x1.5099b73c84d39p-4, 0x1.4e25fddd6c711p-4, 0x1.4baf8a5f9e9b7p-4, 0x1.49368e3beb894p-4, 0x1.46bb39ed3ce37p-4, 0x1.443dbceb0527bp-4, 0x1.41be45a895e4cp-4, 0x1.3f3d019ae73b3p-4, 0x1.3cba1d43e3511p-4, 0x1.3a35c43feb3bp-4, 0x1.37b021518ba36p-4, 0x1.35295e681e15ap-4, 0x1.32a1a49ffd6afp-4, 0x1.30191c3d3e01ap-4, 0x1.2d8feca3e9ffbp-4, 0x1.2b063c5194cddp-4, 0x1.287c30dbb102ap-4, 0x1.25f1eef432733p-4, 0x1.23679a73bb13p-4, 0x1.20dd566684b39p-4, 0x1.1e5345185a1a3p-4, 0x1.1bc9881c4db98p-4, 0x1.1940404ec379dp-4, 0x1.16b78dd24f396p-4, 0x1.142f9009b8b1ep-4, 0x1.11a865923d1d7p-4, 0x1.0f222c40ca6c9p-4, 0x1.0c9d0123d0f0cp-4, 0x1.0a190089927f9p-4, 0x1.0796460969bedp-4, 0x1.0514ec8d89115p-4, 0x1.02950e5ada79dp-4, 0x1.0016c5155f2cbp-4, 0x1.fb34538188138p-5, 0x1.f63ea97c5c9efp-5, 0x1.f14cbb922898fp-5, 0x1.ec5eb7e9e22e9p-5, 0x1.e774cb5af033cp-5, 0x1.e28f2172f2585p-5, 0x1.ddade47f63945p-5, 0x1.d8d13d9a96067p-5, 0x1.d3f954b6f8123p-5, 0x1.cf2650a841488p-5, 0x1.ca585728f1c8p-5, 0x1.c58f8cdc1f26ep-5, 0x1.c0cc154d2aeap-5, 0x1.bc0e12ef09cd7p-5, 0x1.b755a71cbc729p-5, 0x1.b2a2f21c2378cp-5, 0x1.adf613232a6bdp-5, 0x1.a94f285ea15acp-5, 0x1.a4ae4ef9acab7p-5, 0x1.a013a324a3448p-5, 0x1.9b7f401a7f25dp-5, 0x1.96f14024c71bfp-5, 0x1.9269bc9e22cefp-5, 0x1.8de8cdf446a31p-5, 0x1.896e8ba9f23f4p-5, 0x1.84fb0c598af16p-5, 0x1.808e65b893622p-5, 0x1.7c28ac9c0746ep-5, 0x1.77c9f4fd1b00ep-5, 0x1.737251fe50bb3p-5, 0x1.6f21d5eff74c6p-5, 0x1.6ad892548fc28p-5, 0x1.669697e5f1a2cp-5, 0x1.625bf69713f4fp-5, 0x1.5e28bd8c971a6p-5, 0x1.59fcfb34be5ep-5, 0x1.55d8bd36ae469p-5, 0x1.51bc1081ae67cp-5, 0x1.4da7014d59f02p-5, 0x1.49999b16f89a6p-5, 0x1.4593e8acaad04p-5, 0x1.4195f42f9dac1p-5, 0x1.3d9fc71703a89p-5, 0x1.39b16a3371f0dp-5, 0x1.35cae5b217b0ep-5, 0x1.31ec411f9f32bp-5, 0x1.2e15836afba09p-5, 0x1.2a46b2e81c0b3p-5, 0x1.267fd5529a8fbp-5, 0x1.22c0efd08b82ep-5, 0x1.1f0a06f556d0ep-5, 0x1.1b5b1ec4b0523p-5, 0x1.17b43ab5a2134p-5, 0x1.14155db59ad47p-5, 0x1.107e8a2b898eep-5, 0x1.0cefc1fac9797p-5, 0x1.09690686210dep-5, 0x1.05ea58b2907f8p-5, 0x1.0273b8ea11116p-5, 0x1.fe0a4e3c6d083p-6, 0x1.f73d45957b06dp-6, 0x1.f08055f0147e9p-6, 0x1.e9d37c7b40a9ep-6, 0x1.e336b58931378p-6, 0x1.dca9fc9428f77p-6, 0x1.d62d4c435e4e8p-6, 0x1.cfc09e70018ddp-6, 0x1.c963ec2a0dceep-6, 0x1.c3172dbd46d92p-6, 0x1.bcda5ab639d7ep-6, 0x1.b6ad69e72b10ap-6, 0x1.b090516d3eb56p-6, 0x1.aa8306b570748p-6, 0x1.a4857e81a3aa5p-6, 0x1.9e97aced6d33bp-6, 0x1.98b98572a9e27p-6, 0x1.92eafaedcddfp-6, 0x1.8d2bffa1aceebp-6, 0x1.877c853b3a482p-6, 0x1.81dc7cd4ef091p-6, 0x1.7c4bd6fa3160fp-6, 0x1.76ca83aafffdp-6, 0x1.7158725fc9c99p-6, 0x1.6bf5920df0b24p-6, 0x1.66a1d12c7da47p-6, 0x1.615d1db97e287p-6, 0x1.5c27653f63627p-6, 0x1.570094da2d01ap-6, 0x1.51e8993c731bdp-6, 0x1.4cdf5eb3a5603p-6, 0x1.47e4d12aad38fp-6, 0x1.42f8dc2c90a18p-6, 0x1.3e1b6ae539ff8p-6, 0x1.394c68223e932p-6, 0x1.348bbe537189ap-6, 0x1.2fd9578c177fbp-6, 0x1.2b351d855f1f6p-6, 0x1.269ef9a27782p-6, 0x1.2216d4f6ad305p-6, 0x1.1d9c984d0b926p-6, 0x1.19302c3140a91p-6, 0x1.14d178f857f76p-6, 0x1.108066c85bf22p-6, 0x1.0c3cdd9d75ac7p-6, 0x1.0806c54b7d3dbp-6, 0x1.03de057bd4e0fp-6, 0x1.ff850b4f152b9p-7, 0x1.f7685a1e679bap-7, 0x1.ef65c564ec224p-7, 0x1.e77d1a92e4bb1p-7, 0x1.dfae268596666p-7, 0x1.d7f8b58fafa1p-7, 0x1.d05c939009844p-7, 0x1.c8d98c1578d2p-7, 0x1.c16f6a8be6a6fp-7, 0x1.ba1dfa6b166cap-7, 0x1.b2e5075f5b75fp-7, 0x1.abc45d636e402p-7, 0x1.a4bbc8c48659dp-7, 0x1.9dcb160d7d65fp-7, 0x1.96f211da18eep-7, 0x1.903088989ad34p-7, 0x1.89864643bfcbdp-7, 0x1.82f31622f9d65p-7, 0x1.7c76c29e67272p-7, 0x1.76111532e8605p-7, 0x1.6fc1d68ce67c5p-7, 0x1.6988cecb10558p-7, 0x1.6365c5e1adb12p-7, 0x1.5d58841173a8p-7, 0x1.5760d25e9592fp-7, 0x1.517e7af3a4ae3p-7, 0x1.4bb1495c2c1f8p-7, 0x1.45f90a88b5c07p-7, 0x1.40558c956f8a4p-7, 0x1.3ac69e57f0062p-7, 0x1.354c0ec1db02bp-7, 0x1.2fe5ac3502d12p-7, 0x1.2a9344062b6d2p-7, 0x1.2554a18ea364dp-7, 0x1.20298e8103f06p-7, 0x1.1b11d2c09e187p-7, 0x1.160d3504f2dd4p-7, 0x1.111b7b3d4e73cp-7, 0x1.0c3c6bcf33d93p-7, 0x1.076fce7b1587cp-7, 0x1.02b56d3d9e6b6p-7, 0x1.fc1a29e1326c9p-8, 0x1.f2ed2b0de7f86p-8, 0x1.e9e3839e58aa8p-8, 0x1.e0fcdd74eb4dep-8, 0x1.d838e477c7459p-8, 0x1.cf9743cd603aep-8, 0x1.c717a3040c521p-8, 0x1.beb9a39db0c1fp-8, 0x1.b67cdf7097b09p-8, 0x1.ae60e8316c5dcp-8, 0x1.a665484f8f101p-8, 0x1.9e898519e08f6p-8, 0x1.96cd21f0b111bp-8, 0x1.8f2fa4205188bp-8, 0x1.87b096e253ca2p-8, 0x1.804f8ef53344dp-8, 0x1.790c2d3e5b12fp-8, 0x1.71e61fff97733p-8, 0x1.6add22522da6fp-8, 0x1.63f0f9d19d8ddp-8, 0x1.5d217290d0f04p-8, 0x1.566e5c8cf89bap-8, 0x1.4fd77abe5c668p-8, 0x1.495c93599c5d5p-8, 0x1.42fd566976163p-8, 0x1.3cb965d7fd61p-8, 0x1.369052e472c71p-8, 0x1.3081a006dc1eap-8, 0x1.2a8cc4ce3c0fbp-8, 0x1.24b13341e3ee6p-8, 0x1.1eee5e1991f81p-8, 0x1.1943bf0d4e04fp-8, 0x1.13b0dc814d4bdp-8, 0x1.0e354de9f7282p-8, 0x1.08d0be6991a87p-8, 0x1.0382ed5897e3bp-8, 0x1.fc97594497fe7p-9, 0x1.f255ba34cdf0cp-9, 0x1.e840d258614c7p-9, 0x1.de587cf082aaep-9, 0x1.d49c8e3bf42a9p-9, 0x1.cb0cc70681849p-9, 0x1.c1a8cacf1b883p-9, 0x1.b87019d563464p-9, 0x1.af620fd1b3b63p-9, 0x1.a67de7586279fp-9, 0x1.9dc2c11a4d1edp-9, 0x1.952fad90a2d3p-9, 0x1.8cc3b75fb8eedp-9, 0x1.847dece9e16f8p-9, 0x1.7c5d68195723bp-9, 0x1.7461541157a04p-9, 0x1.6c88f0f867f8fp-9, 0x1.64d3963e36efbp-9, 0x1.5d40b39d0a219p-9, 0x1.55cfd0c9808b3p-9, 0x1.4e808b8254ff5p-9, 0x1.475293aa09106p-9, 0x1.4045a55ba1a51p-9, 0x1.3959817221836p-9, 0x1.328de5978ce62p-9, 0x1.2be28564574f4p-9, 0x1.25570624e148cp-9, 0x1.1eeafe5a8a5bcp-9, 0x1.189df9063bf62p-9, 0x1.126f7b8548e48p-9, 0x1.0c5f0bbbd5d9ap-9, 0x1.066c33f7b7defp-9, 0x1.009682b089a08p-9, 0x1.f5bb0be41fb3dp-10, 0x1.ea81887a72056p-10, 0x1.df7f6c40e43bep-10, 0x1.d4b387d21d649p-10, 0x1.ca1c92dd6d7d7p-10, 0x1.bfb93ee867b04p-10, 0x1.b5884f80194c4p-10, 0x1.ab88af2f22625p-10, 0x1.a1b979862c708p-10, 0x1.9819f69d4eb3ep-10, 0x1.8ea98a4ff64e4p-10, 0x1.85679e7098b57p-10, 0x1.7c53910ede315p-10, 0x1.736cadd5a38bfp-10, 0x1.6ab23490c3fbdp-10, 0x1.62236963ba6bep-10, 0x1.59bfa936c7d25p-10, 0x1.51867627922f5p-10, 0x1.49777a6228985p-10, 0x1.419282d3095aep-10, 0x1.39d76249dfa8fp-10, 0x1.3245d142737efp-10, 0x1.2add4beb7eb1dp-10, 0x1.239cf76eeaca1p-10, 0x1.1c839c244d2e8p-10, 0x1.158fba26288f9p-10, 0x1.0ebfb63442fffp-10, 0x1.08121345c9ba3p-10, 0x1.0185a6c15586ap-10, 0x1.f6336a6a939a4p-11, 0x1.e99bd959e30aap-11, 0x1.dd447cd6399dcp-11, 0x1.d12d4e830ac06p-11, 0x1.c555fb3511e8p-11, 0x1.b9bdb3a3eb00fp-11, 0x1.ae634227eefd6p-11, 0x1.a34555faa7418p-11, 0x1.9862de4fcdc4fp-11, 0x1.8dbb4d71c3ce2p-11, 0x1.834eaacbfbbe7p-11, 0x1.791d6f6a3a13ap-11, 0x1.6f2839745f892p-11, 0x1.656f6d610d243p-11, 0x1.5bf2debf8b11fp-11, 0x1.52b195b51d6acp-11, 0x1.49a9bafcb974fp-11, 0x1.40d8a8d6e1199p-11, 0x1.383b1b1e6adb6p-11, 0x1.2fcd7b2734b72p-11, 0x1.278c44639d1eap-11, 0x1.1f74760cc87c4p-11, 0x1.1783f83cd8f72p-11, 0x1.0fb9d3e48f90fp-11, 0x1.0816250da3f53p-11, 0x1.0099c418a95fbp-11, 0x1.f28b7b5c8334dp-12, 0x1.e435905882cc1p-12, 0x1.d631d652cde6p-12, 0x1.c87ef200a2d7fp-12, 0x1.bb1aa807584f9p-12, 0x1.ae02b5f35a1c3p-12, 0x1.a135a78835b71p-12, 0x1.94b36b78ad6fcp-12, 0x1.887d7761b8bb1p-12, 0x1.7c96548b2b6bbp-12, 0x1.71009cc4b8af1p-12, 0x1.65bdceec4eb3fp-12, 0x1.5acd637cc6e27p-12, 0x1.502cbecdb5d36p-12, 0x1.45d7b7abe1939p-12, 0x1.3bc975d481f24p-12, 0x1.31fd24b20ee3bp-12, 0x1.286e40d7743c6p-12, 0x1.1f18927db983bp-12, 0x1.15f81ec3aace8p-12, 0x1.0d094ffe2c974p-12, 0x1.0449539c6f76dp-12, 0x1.f76cde39e107dp-13, 0x1.e6a025d7a3fap-13, 0x1.d62d559108be8p-13, 0x1.c6169635c0cd9p-13, 0x1.b65e927aa4524p-13, 0x1.a7078473dec3cp-13, 0x1.98125059b986cp-13, 0x1.897df92b82f3ap-13, 0x1.7b47be8faf5cap-13, 0x1.6d6c38326d433p-13, 0x1.5fe959e88a6c5p-13, 0x1.52c039b6b673dp-13, 0x1.45f4e58981bdcp-13, 0x1.398be46b6e11p-13, 0x1.2d8720cf2936dp-13, 0x1.21e4759e206ffp-13, 0x1.169e7bed0be63p-13, 0x1.0bae841d3a3adp-13, 0x1.010e5d51a4c05p-13, 0x1.ed7292a083296p-14, 0x1.d958540862dd9p-14, 0x1.c5ca518f7869bp-14, 0x1.b2c60e497d3dep-14, 0x1.a048952f17837p-14, 0x1.8e4d3e05a0bb6p-14, 0x1.7ccdc3ab57d91p-14, 0x1.6bc3db583b3f1p-14, 0x1.5b2b1c4227349p-14, 0x1.4b0032a4d77e5p-14, 0x1.3b3ee2b742ebbp-14, 0x1.2be0dd1ed3cb5p-14, 0x1.1ce0bff899a1ap-14, 0x1.0e3f5eb30b775p-14, 0x1.0003ffe4df7a2p-14, 0x1.e46c9fdfbe216p-15, 0x1.c9af15045590ep-15, 0x1.afc48731d016p-15, 0x1.96a303f4f3e28p-15, 0x1.7e4e2b670a621p-15, 0x1.66d29ed4b2518p-15, 0x1.50358fc64a9c6p-15, 0x1.3a6b82772826fp-15, 0x1.255dfccbf55b7p-15, 0x1.10f73a3cb546ep-15, 0x1.fa5314b4d2295p-16, 0x1.d3e0070a032cdp-16, 0x1.ae96f0f49ec55p-16, 0x1.8a7dbbf29b2b9p-16, 0x1.6799596885ab8p-16, 0x1.45eaf0c5d4925p-16, 0x1.256ecf30c9687p-16, 0x1.061c7d03ed085p-16, 0x1.cfcf620ed3c77p-17, 0x1.95839142323e9p-17, 0x1.5d37539b64a73p-17, 0x1.26d23f368bdeep-17, 0x1.e4983554afd99p-18, 0x1.7f60769ac4b5dp-18, 0x1.1e0d9a9a0135fp-18, 0x1.80a6dd341eee6p-19, 0x1.95eb5626009fep-20, 0x1.9eaab73648bb7p-23, -0x1.23dba2c5bbd7ep-20, -0x1.36bda144b8ab8p-19, -0x1.d356bea3281cfp-19, -0x1.343068add7dfbp-18, -0x1.7ba7d0b9aa413p-18, -0x1.c058ba0bf02c7p-18, -0x1.0109ebf6ce07cp-17, -0x1.20641548790e6p-17, -0x1.3e5c72680063ap-17, -0x1.5b1f8a87e818dp-17, -0x1.76c8d61254e44p-17, -0x1.91605e4b53bcep-17, -0x1.aae450c23191dp-17, -0x1.c350fdb275045p-17, -0x1.daa32837e0f5ap-17, -0x1.f0d609db782bdp-17, -0x1.02f063f510b6fp-16, -0x1.0cdbbe34d8f1p-16, -0x1.1628de48cba3ep-16, -0x1.1eda990d494ap-16, -0x1.27007b728575p-16, -0x1.2eb897255b775p-16, -0x1.3624a18837946p-16, -0x1.3d4f81043216fp-16, -0x1.4422c46e6e2ffp-16, -0x1.4a7b148776fcep-16, -0x1.504f93b9e209ap-16, -0x1.55b6a56fed0dcp-16, -0x1.5abf9de7e7716p-16, -0x1.5f5ff3eca4dacp-16, -0x1.63954fc4e5c2fp-16, -0x1.6772e77c09c5cp-16, -0x1.6afdca9857542p-16, -0x1.6e2f6c3949b3ep-16, -0x1.711c4243bc886p-16, -0x1.73e1505247494p-16, -0x1.7673177e197bap-16, -0x1.78b09180db1f6p-16, -0x1.7a92edf74129p-16, -0x1.7c2a5fc40e611p-16, -0x1.7d859c348a08fp-16, -0x1.7eaa825bb5b08p-16, -0x1.7f9a3752ba05bp-16, -0x1.80552cb460217p-16, -0x1.80dc3b9abe4aep-16, -0x1.812fb89a12b95p-16, -0x1.814e11f110fb9p-16, -0x1.81337d06dccd9p-16, -0x1.80dab703ff6fbp-16, -0x1.8041d0d4a43c6p-16, -0x1.7f69ba8b2bf49p-16, -0x1.7e61fc153b69cp-16, -0x1.7d44b66accf4cp-16, -0x1.7c1b0a2d026f1p-16, -0x1.7ace9179d5fa4p-16, -0x1.79506ca693838p-16, -0x1.77b343357241bp-16, -0x1.7603d4eec404fp-16, -0x1.742fc10d17cbcp-16, -0x1.7229cb2c270a7p-16, -0x1.6ffcb335913ap-16, -0x1.6db7c01fdcfe5p-16, -0x1.6b5e8a9fc9b83p-16, -0x1.68e75d5ecb6adp-16, -0x1.664a88d52713fp-16, -0x1.639504993c609p-16, -0x1.60d45e285b52cp-16, -0x1.5e0501ce77b57p-16, -0x1.5b2bf9f3742b5p-16, -0x1.5848db3ec7ee8p-16, -0x1.5549ac97fcad4p-16, -0x1.522c3ee2da81ep-16, -0x1.4efc5a00e6fcdp-16, -0x1.4bc1174c38a57p-16, -0x1.487ba38cefac9p-16, -0x1.452b8d9d45508p-16, -0x1.41d08f9aeb94cp-16, -0x1.3e6a85a0f2c22p-16, -0x1.3af92d58aa922p-16, -0x1.377c5e6c17727p-16, -0x1.33f3e8b0bedd3p-16, -0x1.305dd9045fdbbp-16, -0x1.2cb7fce016712p-16, -0x1.290955c766c8fp-16, -0x1.255bd4ef4e045p-16, -0x1.21aadec9ebc06p-16, -0x1.1df713f6fdf34p-16, -0x1.1a46b1d43965fp-16, -0x1.168e7b4ed9142p-16, -0x1.12c8d00e724cep-16, -0x1.0efd946a01ea8p-16, -0x1.0b326ddb93ce6p-16, -0x1.0768312bd2c83p-16, -0x1.039e573323f62p-16, -0x1.ffa8fcadcb00bp-17, -0x1.f81503cb074ebp-17, -0x1.f080e1e3865ccp-17, -0x1.e8ed8cf7b19dp-17, -0x1.e15cd7b0e834p-17, -0x1.d9cf52dabbd63p-17, -0x1.d240672fe9a1dp-17, -0x1.caa9d05fa92dbp-17, -0x1.c3144e475a876p-17, -0x1.bb8d81a6f66b6p-17, -0x1.b416c960dc0b7p-17, -0x1.aca81e0125d82p-17, -0x1.a5374f53c716bp-17, -0x1.9dca2a6662d06p-17, -0x1.96663bd3d1987p-17, -0x1.8f0f41b16bf88p-17, -0x1.87c20ceec079dp-17, -0x1.807f562b7d039p-17, -0x1.7947846ee7f74p-17, -0x1.721afc87c78c2p-17, -0x1.6af75c71fd6bp-17, -0x1.63d86212e3851p-17, -0x1.5cc34f90afc6p-17, -0x1.55bf8cb783cc2p-17, -0x1.4ecdf019c471ep-17, -0x1.47eae935663e8p-17, -0x1.410f402960507p-17, -0x1.3a3f18610c9dbp-17, -0x1.337e38fb89812p-17, -0x1.2cccdf9e4e8ep-17, -0x1.262a809b65d5dp-17, -0x1.1f96fa6fde17ap-17, -0x1.191159172f936p-17, -0x1.129bee89ac7e4p-17, -0x1.0c34f911d5c12p-17, -0x1.05dd9e4fc2b85p-17, -0x1.ff2bc24a64663p-18, -0x1.f2bbe11bc73dcp-18, -0x1.e66bf307fb99ep-18, -0x1.da3c42638209cp-18, -0x1.ce2d071f7c854p-18, -0x1.c23e69b9f702cp-18, -0x1.b67094b1a893fp-18, -0x1.aac3cf500d2acp-18, -0x1.9f388411f0594p-18, -0x1.93cef726a14bap-18, -0x1.88868be513c38p-18, -0x1.7d5ead30c3103p-18, -0x1.72592cfdd3e8dp-18, }}, 
      {{-0x1.87a940eb6fad9p-3, -0x1.54314a89046d3p-3, -0x1.082b47ed82b33p-3, -0x1.5a0b06828066bp-4, -0x1.2d4562b2a9e6ep-5, 0x1.5fd57a0a68acp-7, 0x1.c6ed8e1f1faa5p-5, 0x1.88caa0796fffep-4, 0x1.0bddd077a2193p-3, 0x1.47242f2b8100ep-3, 0x1.760ec6b9873acp-3, 0x1.990e903454c13p-3, 0x1.b0fd28f2918dep-3, 0x1.bef4fba8476d8p-3, 0x1.c432848aa8d08p-3, 0x1.c1fd5fb2427f6p-3, 0x1.b997c65878f25p-3, 0x1.ac33372dd26a2p-3, 0x1.9ae92bff75188p-3, 0x1.86b6e92594b7ep-3, 0x1.707b9d7888c91p-3, 0x1.58f8306e33a7bp-3, 0x1.40d03df734e2ep-3, 0x1.288bdbe1d275ap-3, 0x1.1099dbdf3ab64p-3, 0x1.f2a4a040c5b83p-4, 0x1.c5f24f67240b3p-4, 0x1.9b81881338965p-4, 0x1.7398e3697848fp-4, 0x1.4e656ef8f4724p-4, 0x1.2bfee5554e238p-4, 0x1.0c6b79a21f481p-4, 0x1.df466afcdb80bp-5, 0x1.ab25d5f65cae1p-5, 0x1.7c3d8179a2b5bp-5, 0x1.5248bfe212a0ep-5, 0x1.2cf9996aa38a3p-5, 0x1.0bfbe4bf4f7c1p-5, 0x1.ddefadfafcf2ep-6, 0x1.ab283b1c89436p-6, 0x1.7eef22cc6497dp-6, 0x1.589523c692a52p-6, 0x1.37702abfad012p-6, 0x1.1adcf22b9aeaep-6, 0x1.0240379e4608cp-6, 0x1.da0f2e047d7ap-7, 0x1.b55437f7bf9fp-7, 0x1.95512b6823581p-7, 0x1.791b7272cfab8p-7, 0x1.5fdc35d67242ap-7, 0x1.48d0109e3e474p-7, 0x1.33468dfe6d28ep-7, 0x1.1ea1813a7cad1p-7, 0x1.0a543eba2a7cdp-7, 0x1.ebc57d981d95p-8, 0x1.c1c1664c3485fp-8, 0x1.95e1212e11768p-8, 0x1.67852b4f8e095p-8, 0x1.36279da0cc39bp-8, 0x1.015a39bcd3acfp-8, 0x1.918904f150a2ap-9, 0x1.1843b4361ed0bp-9, 0x1.2cfefa2d1a246p-10, 0x1.7f04010eeee9bp-14, -0x1.0ef240be56bdep-10, -0x1.23e09d5f71a62p-9, -0x1.c9333f3be696dp-9, -0x1.3ba8a28c65878p-8, -0x1.97046ca16c6f4p-8, -0x1.f68c3940f7719p-8, -0x1.2d0c40b02f68fp-7, -0x1.60bdfeab9f232p-7, -0x1.96424948b3ec9p-7, -0x1.cd7e19112c8ebp-7, -0x1.032a690cfcbd8p-6, -0x1.205450f24be6dp-6, -0x1.3e2d690615f88p-6, -0x1.5ca6098e322bep-6, -0x1.7bae5d520abd8p-6, -0x1.9b36805d3c4d3p-6, -0x1.bb2e96f8bba17p-6, -0x1.db86e5780e4f3p-6, -0x1.fc2fe44e3cb81p-6, -0x1.0e8d2902eccd6p-5, -0x1.1f1ba18233318p-5, -0x1.2fbc176e451a8p-5, -0x1.40677db5ea15cp-5, -0x1.511702db03097p-5, -0x1.61c4146e32cd3p-5, -0x1.726861b5d8b4p-5, -0x1.82fddda4c4506p-5, -0x1.937ec043a98a1p-5, -0x1.a3e5879bce486p-5, -0x1.b42cf84177cbdp-5, -0x1.c4501d8de0a19p-5, -0x1.d44a4975ff168p-5, -0x1.e4171412f8caep-5, -0x1.f3b25aca02eb6p-5, -0x1.018c1fc2aa555p-4, -0x1.0922938de66d6p-4, -0x1.109adc085c66fp-4, -0x1.17f36c6a7e47p-4, -0x1.1f2ad6ee5f051p-4, -0x1.263fcbe4f754cp-4, -0x1.2d3118b11ef61p-4, -0x1.33fda6bbd679cp-4, -0x1.3aa47a66d0c6fp-4, -0x1.4124b1fb778dbp-4, -0x1.477d84a00f305p-4, -0x1.4dae4131c15fep-4, -0x1.53b64d6098d3cp-4, -0x1.5995247c83036p-4, -0x1.5f4a56839df78p-4, -0x1.64d5871aa2d28p-4, -0x1.6a366c8fc6c17p-4, -0x1.6f6ccee14975cp-4, -0x1.747886cb693eap-4, -0x1.79597cdb92404p-4, -0x1.7e0fa889a6724p-4, -0x1.829b0f59e86ep-4, -0x1.86fbc403949d7p-4, -0x1.8b31e5a1a5011p-4, -0x1.8f3d9ee8895aep-4, -0x1.931f2566277eap-4, -0x1.96d6b8c7bcd13p-4, -0x1.9a64a227840d8p-4, -0x1.9dc93363c449p-4, -0x1.a104c67c7b755p-4, -0x1.a417bcf6db783p-4, -0x1.a7027f4b26cd5p-4, -0x1.a9c57c58c350ep-4, -0x1.ac6128e01105ep-4, -0x1.aed5fefe98c1ap-4, -0x1.b1247dc3313bcp-4, -0x1.b34d28acff015p-4, -0x1.b55087477edc8p-4, -0x1.b72f24c2b8d59p-4, -0x1.b8e98f8fdadc5p-4, -0x1.ba8059062ce4fp-4, -0x1.bbf4150d7b99p-4, -0x1.bd4559c99abfbp-4, -0x1.be74bf4dee6a9p-4, -0x1.bf82df5647874p-4, -0x1.c07055002f45cp-4, -0x1.c13dbc8a12a07p-4, -0x1.c1ebb3195cf19p-4, -0x1.c27ad680dff03p-4, -0x1.c2ebc509adf5dp-4, -0x1.c33f1d42f86cep-4, -0x1.c3757dd50260fp-4, -0x1.c38f855148d0cp-4, -0x1.c38dd20adbfdp-4, -0x1.c37101f37d9d8p-4, -0x1.c339b27886ca1p-4, -0x1.c2e880605012fp-4, -0x1.c27e07ab8b63p-4, -0x1.c1fae378af68cp-4, -0x1.c15fade7d558cp-4, -0x1.c0ad000210d9fp-4, -0x1.bfe371a558113p-4, -0x1.bf039970d1b5bp-4, -0x1.be0e0cb0392b2p-4, -0x1.bd035f499a816p-4, -0x1.bbe423ab5d9d9p-4, -0x1.bab0eac3a4a61p-4, -0x1.b96a43eb52dfdp-4, -0x1.b810bcdca7d48p-4, -0x1.b6a4e1a90ae1bp-4, -0x1.b5273cb021842p-4, -0x1.b3985695b8cf4p-4, -0x1.b1f8b6389aa13p-4, -0x1.b048e0a0380ap-4, -0x1.ae895935bd5ep-4, -0x1.acbaa141c5aap-4, -0x1.aadd3862a5e42p-4, -0x1.a8f19c4a79b31p-4, -0x1.a6f848c98e67cp-4, -0x1.a4f1b7cc15a6ep-4, -0x1.a2de61569d2bep-4, -0x1.a0bebb837e986p-4, -0x1.9e933a82cf9f7p-4, -0x1.9c5c509b00599p-4, -0x1.9a1a6e27f14bp-4, -0x1.97ce01999986dp-4, -0x1.95777774557f6p-4, -0x1.93173a532f426p-4, -0x1.90adb2ea05d02p-4, -0x1.8e3b4806202d5p-4, -0x1.8bc05e8e71782p-4, -0x1.893d5985bf30dp-4, -0x1.86b29a0e7d06bp-4, -0x1.84207f6e35f1fp-4, -0x1.8187670f50ac2p-4, -0x1.7ee7ac829939ap-4, -0x1.7c41a982715ep-4, -0x1.7995b5f79e7a3p-4, -0x1.76e427fdccd44p-4, -0x1.742d53e689281p-4, -0x1.71718c3b9e2d4p-4, -0x1.6eb121c2b24a9p-4, -0x1.6bec6382f9463p-4, -0x1.69239ec8ad349p-4, -0x1.66571f2cbad05p-4, -0x1.63872e94bb253p-4, -0x1.60b41537f526ep-4, -0x1.5dde19a462464p-4, -0x1.5b0580c47cce4p-4, -0x1.582a8de47b2fp-4, -0x1.554d82b5b7283p-4, -0x1.526e9f5bda07bp-4, -0x1.4f8e2250cf5bbp-4, -0x1.4cac48a162a97p-4, -0x1.49c94dc15415fp-4, -0x1.46e56ba892b4cp-4, -0x1.4400dad29a81fp-4, -0x1.411bd242e503ap-4, -0x1.3e368789e897dp-4, -0x1.3b512ecae7dfap-4, -0x1.386bfac1e838cp-4, -0x1.35871cc910bebp-4, -0x1.32a2c4dd4e77fp-4, -0x1.2fbf21a2da9b1p-4, -0x1.2cdc606a4794fp-4, -0x1.29faad362c0a4p-4, -0x1.271a32c101363p-4, -0x1.243b1a82a088bp-4, -0x1.215d8cb534b3dp-4, -0x1.1e81b059cdd6ep-4, -0x1.1ba7ab3d44795p-4, -0x1.18cfa1fd9c10dp-4, -0x1.15f9b80fb20ddp-4, -0x1.13260fc4c95f6p-4, -0x1.1054ca4fac0e8p-4, -0x1.0d8607c96839ap-4, -0x1.0ab9e735fe1bcp-4, -0x1.07f08689373ddp-4, -0x1.052a02abbddeap-4, -0x1.0266778050ad1p-4, -0x1.ff4bffd1a430cp-5, -0x1.f9d16b970519ep-5, -0x1.f45d6430e1662p-5, -0x1.eef0199d51874p-5, -0x1.e989ba01b43bp-5, -0x1.e42a71b2c2ae3p-5, -0x1.ded26b3c26aa3p-5, -0x1.d981cf69173bfp-5, -0x1.d438c54f2ea3bp-5, -0x1.cef7725972eedp-5, -0x1.c9bdfa5491608p-5, -0x1.c48c7f76f99e9p-5, -0x1.bf6322661a91bp-5, -0x1.ba42023e1d2a4p-5, -0x1.b5293c9af361p-5, -0x1.b018eda2561e4p-5, -0x1.ab11300cff274p-5, -0x1.a6121d2ef8037p-5, -0x1.a11bccff8a965p-5, -0x1.9c2e5621456d3p-5, -0x1.9749cdea206c2p-5, -0x1.926e486ba2e26p-5, -0x1.8d9bd87adfc0ep-5, -0x1.88d28fb82e42bp-5, -0x1.84127e96bad35p-5, -0x1.7f5bb463e43c6p-5, -0x1.7aae3f4eab1f1p-5, -0x1.760a2c6f140f1p-5, -0x1.716f87cd8357dp-5, -0x1.6cde5c69f6471p-5, -0x1.6856b4431ab01p-5, -0x1.63d8985d35e18p-5, -0x1.5f6410c8dbc0fp-5, -0x1.5af924a984d41p-5, -0x1.5697da3c0b4e6p-5, -0x1.524036dd32ad2p-5, -0x1.4df23f0ff6542p-5, -0x1.49adf683884b3p-5, -0x1.45736019689dcp-5, -0x1.41427deb77729p-5, -0x1.3d1b5151d4d35p-5, -0x1.38fddae8714a6p-5, -0x1.34ea1a94a3c74p-5, -0x1.30e00f8a9a91ap-5, -0x1.2cdfb852a74abp-5, -0x1.28e912ce7199bp-5, -0x1.24fc1c3e0fce9p-5, -0x1.2118d14521479p-5, -0x1.1d3f2defd798bp-5, -0x1.196f2db7f2551p-5, -0x1.15a8cb899802ap-5, -0x1.11ec01c805e3cp-5, -0x1.0e38ca521040fp-5, -0x1.0a8f1e8687411p-5, -0x1.06eef7488a29ep-5, -0x1.03584d03d4ff7p-5, -0x1.ff962f621e634p-6, -0x1.f88e9db4332bbp-6, -0x1.f199d33c8c6b8p-6, -0x1.eab7bd6cc2a5ap-6, -0x1.e3e848f1173bep-6, -0x1.dd2b61b7fb215p-6, -0x1.d680f2f8322fep-6, -0x1.cfe8e738cbd9bp-6, -0x1.c9632857de7ep-6, -0x1.c2ef9f90c08eep-6, -0x1.bc8e358392141p-6, -0x1.b63ed23be22f6p-6, -0x1.b0015d370c25cp-6, -0x1.a9d5bd6a97392p-6, -0x1.a3bbd9496a094p-6, -0x1.9db396c9be0eep-6, -0x1.97bcdb69db5c2p-6, -0x1.91d78c360676ep-6, -0x1.8c038dcda2d5bp-6, -0x1.8640c468b5c4ap-6, -0x1.808f13dd542d9p-6, -0x1.7aee5fa4de6a6p-6, -0x1.755e8ae0ed46dp-6, -0x1.6fdf785febf9bp-6, -0x1.6a710aa17a868p-6, -0x1.651323daa47e1p-6, -0x1.5fc5a5fa116a3p-6, -0x1.5a8872ac47848p-6, -0x1.555b6b5feb9d6p-6, -0x1.503e714a1299fp-6, -0x1.4b31656a68b9ap-6, -0x1.4634288f3cb63p-6, -0x1.41469b59561c7p-6, -0x1.3c689e3f940ep-6, -0x1.379a1192573c3p-6, -0x1.32dad57ec52edp-6, -0x1.2e2aca11faa7bp-6, -0x1.2989cf3c320fbp-6, -0x1.24f7c4d3e87b4p-6, -0x1.20748a98f6b91p-6, -0x1.1c000037a3566p-6, -0x1.179a054b9c035p-6, -0x1.13427962dd5e8p-6, -0x1.0ef93c006fd52p-6, -0x1.0abe2c9f02bacp-6, -0x1.06912ab364335p-6, -0x1.027215aed04b6p-6, -0x1.fcc19a0247d7dp-7, -0x1.f4ba60361e31dp-7, -0x1.ecce3ce0804e8p-7, -0x1.e4fceef2f67c7p-7, -0x1.dd46356d75fd9p-7, -0x1.d5a9cf6297145p-7, -0x1.ce277bfbcb0fdp-7, -0x1.c6befa7d58a4bp-7, -0x1.bf700a4a29d4ap-7, -0x1.b83a6ae73a21ap-7, -0x1.b11ddbfebfccp-7, -0x1.aa1a1d632f0ffp-7, -0x1.a32eef1211c27p-7, -0x1.9c5c1136cb3a3p-7, -0x1.95a1442ef18b5p-7, -0x1.8efe488c04a15p-7, -0x1.8872df161ba32p-7, -0x1.81fec8d0e1708p-7, -0x1.7ba1c6fb5f26fp-7, -0x1.755b9b157a197p-7, -0x1.6f2c06e0cc8cdp-7, -0x1.6912cc62e98e4p-7, -0x1.630fade78fe6dp-7, -0x1.5d226e02c6898p-7, -0x1.574acf92db745p-7, -0x1.518895c27be5ap-7, -0x1.4bdb840ab4a52p-7, -0x1.46435e34f715bp-7, -0x1.40bfe85cf281fp-7, -0x1.3b50e6f26587fp-7, -0x1.35f61ebab7a48p-7, -0x1.30af54d2802bap-7, -0x1.2b7c4eaee3076p-7, -0x1.265cd21ef1d4bp-7, -0x1.2150a54cee50ep-7, -0x1.1c578ebf8fe09p-7, -0x1.1771555b3dd3ap-7, -0x1.129dc06331e11p-7, -0x1.0ddc977a798f7p-7, -0x1.092da2a4d2bddp-7, -0x1.0490aa4667aa5p-7, -0x1.000577232e80ep-7, -0x1.f717a4c70f62cp-8, -0x1.ee470b8a719a5p-8, -0x1.e598b6f7f6184p-8, -0x1.dd0c3a49feaa2p-8, -0x1.d4a12c0b1bfa8p-8, -0x1.cc5721fc45b4p-8, -0x1.c42db39e50b52p-8, -0x1.bc24797acc4fp-8, -0x1.b43b0bde07fabp-8, -0x1.ac710456d646bp-8, -0x1.a4c5fd6465e01p-8, -0x1.9d3992561e9ecp-8, -0x1.95cb5f4d8d429p-8, -0x1.8e7b01412833dp-8, -0x1.874815fe07bdap-8, -0x1.80323c289a7aep-8, -0x1.7939133d2a313p-8, -0x1.725c3b90467efp-8, -0x1.6b9b564f01a7ap-8, -0x1.64f6057f3d238p-8, -0x1.5e6bebffcfe79p-8, -0x1.57fcad88abd5p-8, -0x1.51a7eeaaf04d1p-8, -0x1.4b6d54d0f7b3fp-8, -0x1.454c863e3cb33p-8, -0x1.3f452a0f55b8bp-8, -0x1.3956e839b902dp-8, -0x1.3381698b89ad6p-8, -0x1.2dc457ab5b2dcp-8, -0x1.281f5d17d62p-8, -0x1.22922527692edp-8, -0x1.1d1c5c07e8878p-8, -0x1.17bdaebe20a3fp-8, -0x1.1275cb254d366p-8, -0x1.0d445fee956e7p-8, -0x1.08291ca09d5abp-8, -0x1.0323b19635d38p-8, -0x1.fc679ffbe03adp-9, -0x1.f2b253b45255ap-9, -0x1.e926e3fe09a58p-9, -0x1.dfc4b824ea444p-9, -0x1.d68b3917063c6p-9, -0x1.cd79d16363f95p-9, -0x1.c48fed38971d9p-9, -0x1.bbccfa634906p-9, -0x1.b330684c5025fp-9, -0x1.aab9a7f674a23p-9, -0x1.a2682bfbc8d5fp-9, -0x1.9a3b688ac62bap-9, -0x1.9232d3636a85cp-9, -0x1.8a4de3d480708p-9, -0x1.828c12b9617c7p-9, -0x1.7aecda7872ef1p-9, -0x1.736fb701fa45ep-9, -0x1.6c1425cf6640ap-9, -0x1.64d9a5e24e2cep-9, -0x1.5dbfb7c597c24p-9, -0x1.56c5dd88a0a4dp-9, -0x1.4feb9abca97dfp-9, -0x1.49307473d8a8ap-9, -0x1.4293f1379a292p-9, -0x1.3c159906c63cp-9, -0x1.35b4f54f598d5p-9, -0x1.2f7190e9e129p-9, -0x1.294af8171dde8p-9, -0x1.2340b87f17411p-9, -0x1.1d526131ce1bbp-9, -0x1.177f82a8ec39ap-9, -0x1.11c7aec997a63p-9, -0x1.0c2a78e5681ebp-9, -0x1.06a775b971a06p-9, -0x1.013e3b6af01ap-9, -0x1.f7dcc3029aa55p-10, -0x1.ed6f01bbee7cep-10, -0x1.e33267664a957p-10, -0x1.d9262af5030a3p-10, -0x1.cf4985db0f77ap-10, -0x1.c59bb40138d8ep-10, -0x1.bc1bf3c2dbbe4p-10, -0x1.b2c985f0bb20cp-10, -0x1.a9a3addb18533p-10, -0x1.a0a9b15f2ba38p-10, -0x1.97dad8f25fe75p-10, -0x1.8f366fa6ff50cp-10, -0x1.86bbc328edc32p-10, -0x1.7e6a23b3e0d28p-10, -0x1.7640e404cb67fp-10, -0x1.6e3f5945e62bbp-10, -0x1.6664daf58d00bp-10, -0x1.5eb0c2cb0913p-10, -0x1.57226c9eabd44p-10, -0x1.4fb9365a7b38dp-10, -0x1.48747ff717f58p-10, -0x1.4153ab833e485p-10, -0x1.3a561d3223292p-10, -0x1.337b3b6be606dp-10, -0x1.2cc26edca45d3p-10, -0x1.262b227f22e35p-10, -0x1.1fb4c3a08df02p-10, -0x1.195ec1d9868e4p-10, -0x1.13288effecb3ep-10, -0x1.0d119f1314b5ep-10, -0x1.0719681ecefa7p-10, -0x1.013f62214923fp-10, -0x1.f7060dd3181f3p-11, -0x1.ebc7a3b69b9ccp-11, -0x1.e0c2805571143p-11, -0x1.d5f5aa5de5516p-11, -0x1.cb6018ef199bep-11, -0x1.c100d44d8d833p-11, -0x1.b6d6e54d8e96cp-11, -0x1.ace160ac4ddf5p-11, -0x1.a31f5235d6808p-11, -0x1.998fcf514d6fep-11, -0x1.9031f1346bap-11, -0x1.8704d4648fdacp-11, -0x1.7e0798cd21cfcp-11, -0x1.753961b1d1d76p-11, -0x1.6c99559cfad13p-11, -0x1.64269e5432938p-11, -0x1.5be068d5ecdc9p-11, -0x1.53c5e55d1ad64p-11, -0x1.4bd6476947792p-11, -0x1.4410c5c69e505p-11, -0x1.3c749a92c591ap-11, -0x1.3501033b12f92p-11, -0x1.2db54071c026cp-11, -0x1.26909618faa8fp-11, -0x1.1f924b24d475cp-11, -0x1.18b9a9770680fp-11, -0x1.1205fdba4b0f3p-11, -0x1.0b7697433442cp-11, -0x1.050ac7fcbb2dep-11, -0x1.fd83c8c601b36p-12, -0x1.f1368711f0dd9p-12, -0x1.e52c7e15ac106p-12, -0x1.d964612c01d8bp-12, -0x1.cddd712c5216dp-12, -0x1.c2950fd3db724p-12, -0x1.b78b5f09ddb95p-12, -0x1.acbeba4eee3b6p-12, -0x1.a22df6b74b80ap-12, -0x1.97d7ed26be2d7p-12, -0x1.8dbb7b2738065p-12, -0x1.83d7830642e86p-12, -0x1.7a2aebe9c8e43p-12, -0x1.70b4a1e7629bap-12, -0x1.677396106f085p-12, -0x1.5e66be6e223a2p-12, -0x1.558d15efe76f3p-12, -0x1.4ce59c5540e6cp-12, -0x1.446f5620842a7p-12, -0x1.3c294c96735f6p-12, -0x1.34128dc5d4943p-12, -0x1.2c2a2c84d892p-12, -0x1.246f404afb1ccp-12, -0x1.1ce0e4d3ed0d4p-12, -0x1.157e3988fd817p-12, -0x1.0e4660c5863a8p-12, -0x1.07387f24c48fap-12, -0x1.0053bb0d14c95p-12, -0x1.f32e794d4cdbep-13, -0x1.e6045c9409a52p-13, -0x1.d9277a93938d8p-13, -0x1.cc9635e2122d2p-13, -0x1.c04efab52a93dp-13, -0x1.b4503fe9216d1p-13, -0x1.a898872bfdd3cp-13, -0x1.9d265c5b71274p-13, -0x1.91f854702f6fdp-13, -0x1.870d0c6c76037p-13, -0x1.7c6328aa4b26cp-13, -0x1.71f954b5e327ep-13, -0x1.67ce4389b25ccp-13, -0x1.5de0afd294fb1p-13, -0x1.542f5bbe647bep-13, -0x1.4ab910085f2a7p-13, -0x1.417c9a3e2a18cp-13, -0x1.3878caa0f5f2bp-13, -0x1.2fac724849729p-13, -0x1.271662322833ep-13, -0x1.1eb56ba98fc58p-13, -0x1.168861f8cdef4p-13, -0x1.0e8e1ce181698p-13, -0x1.06c57b17cf233p-13, -0x1.fe5ac7fe2fb3ep-14, -0x1.ef89908da0c9ap-14, -0x1.e11542d36db4bp-14, -0x1.d2fbe145aa779p-14, -0x1.c53b7ad4ac794p-14, -0x1.b7d229d6d29a6p-14, -0x1.aabe12a54e531p-14, -0x1.9dfd63ef2eabfp-14, -0x1.918e56ecfc008p-14, -0x1.856f2f4fea28ap-14, -0x1.799e3a76e695bp-14, -0x1.6e19cdf5cddddp-14, -0x1.62e045bb17566p-14, -0x1.57f002206f2c8p-14, -0x1.4d4765419bf3p-14, -0x1.42e4cc4e31339p-14, -0x1.38c6c03a2938p-14, -0x1.2eebaa1245bb6p-14, -0x1.2551b8e46f61dp-14, -0x1.1bf7a71b08e5dp-14, -0x1.12dbf54fdc6bdp-14, -0x1.09fd1af4427c5p-14, -0x1.0159b2dafd876p-14, -0x1.f1e0b7d257573p-15, -0x1.e17f76bafaa74p-15, -0x1.d18cfcdede43ap-15, -0x1.c206ba6b3f957p-15, -0x1.b2ea3d29bc9a6p-15, -0x1.a43536094a25p-15, -0x1.95e578642f29p-15, -0x1.87f8f106d1731p-15, -0x1.7a6d96fd6ec53p-15, -0x1.6d415b8b87d18p-15, -0x1.60721faf93615p-15, -0x1.53fdb3760a2eep-15, -0x1.47e1def492f0ep-15, -0x1.3c1c7060c144dp-15, -0x1.30ab488448659p-15, -0x1.258c6044a98f2p-15, -0x1.1abdc5d17ee2p-15, -0x1.103d942e670ep-15, -0x1.0609e9e0dacb9p-15, -0x1.f841c5d974c51p-16, -0x1.e501300c1dce6p-16, -0x1.d24e4271af886p-16, -0x1.c02533f20b0cp-16, -0x1.ae8248afed545p-16, -0x1.9d61d7b3ce45fp-16, -0x1.8cc054d4548fap-16, -0x1.7c9a63208fddfp-16, -0x1.6ceced31749abp-16, -0x1.5db538690e588p-16, -0x1.4ef0e4dd0744dp-16, -0x1.409dd29f3edebp-16, -0x1.32b9f28851f94p-16, -0x1.2543149944ec8p-16, -0x1.1836c8c9d68d6p-16, -0x1.0b925e7b713cep-16, -0x1.fea5fffa05cd6p-17, -0x1.e6ebb4ec57883p-17, -0x1.cff07e3d2904ep-17, -0x1.b9af642d7b4aap-17, -0x1.a423ce60bcb79p-17, -0x1.8f4967e255605p-17, -0x1.7b1bf9434c13p-17, -0x1.6796e1e027b2cp-17, -0x1.54b708d2dbd9dp-17, -0x1.42769088b8d2fp-17, -0x1.30d12839ca8aep-17, -0x1.1fc1d7f502976p-17, -0x1.0f43dcd9aa222p-17, -0x1.fea54c681f273p-18, -0x1.dfd3d35acf6d2p-18, -0x1.c20b3d0c2258bp-18, -0x1.a543f2f29f7a5p-18, -0x1.8976f3972af2dp-18, -0x1.6e9e04f67be46p-18, -0x1.54b3ca524f536p-18, -0x1.3bb38acdd4563p-18, -0x1.2398ad32d8f46p-18, -0x1.0c5e2bdf9b64dp-18, -0x1.ebfca52184167p-19, -0x1.c0e5d4dfec5f9p-19, -0x1.976b60e632d6dp-19, -0x1.6f8183b1c7bf1p-19, -0x1.491d742f22d86p-19, -0x1.243504546e36cp-19, -0x1.00be19bacccp-19, -0x1.bd5cdd3b48e8cp-20, -0x1.7bf74f7631c6ep-20, -0x1.3d370ec2697ccp-20, -0x1.01081e490381p-20, -0x1.8eae0ff6742d1p-21, -0x1.20215d4feb24dp-21, -0x1.6c87fd4d2b61ap-22, -0x1.43bd82ac5b721p-23, 0x1.0035d5ad744c5p-25, 0x1.b2ea2439b28d9p-23, 0x1.8ab542377d684p-22, 0x1.1a058d7ffdf58p-21, 0x1.6adaca754261p-21, 0x1.b7f8476cbf2fep-21, 0x1.00bdd90ec8935p-20, 0x1.23c2fa95181e1p-20, 0x1.4509b1b923161p-20, 0x1.64b091689ba2bp-20, 0x1.82c112a0194e8p-20, 0x1.9f3a9c75a7bfdp-20, 0x1.ba35844613f79p-20, 0x1.d3be3cb365344p-20, 0x1.ebdfbd746b25cp-20, 0x1.01512ef5b23c4p-19, 0x1.0c06ce9cd96eep-19, 0x1.161534c4f9575p-19, 0x1.1f81e32c52ed3p-19, 0x1.2852ef51fd716p-19, 0x1.308e77f9c842ep-19, 0x1.383a6986f815fp-19, 0x1.3f5c62769b723p-19, 0x1.45f985d46dee5p-19, 0x1.4c16537a74ebep-19, 0x1.51b6af4194cf6p-19, 0x1.56de1ea713f5fp-19, 0x1.5b90256186e63p-19, 0x1.5fd09daff557cp-19, 0x1.63a3e99a303afp-19, 0x1.670ee4c6eac9p-19, 0x1.6a1692b2ad224p-19, 0x1.6cbf9d708a565p-19, 0x1.6f0dd3cac2fb2p-19, 0x1.7103f05834f04p-19, 0x1.72a3ef86c85bcp-19, 0x1.73efe8f912c17p-19, 0x1.74eade9e1748ap-19, 0x1.7598db174b36dp-19, 0x1.75fe5ae307ee1p-19, 0x1.761f985f0737cp-19, 0x1.760011acab272p-19, 0x1.75a22c2605498p-19, 0x1.7507311965ff3p-19, 0x1.74301aeb96d75p-19, 0x1.731ec0ae9039fp-19, 0x1.71d63454309a2p-19, 0x1.7059f4dcfe6cp-19, 0x1.6eacf0cef615ep-19, 0x1.6cd162779b638p-19, 0x1.6ac94752c1ad8p-19, 0x1.6896a056f1141p-19, 0x1.663b5b6ec427fp-19, 0x1.63b93d0ea7dcep-19, 0x1.6111eed18dde3p-19, 0x1.5e4720630ab7ep-19, 0x1.5b5a9faf52bb4p-19, 0x1.584e575124969p-19, 0x1.55243319af93dp-19, 0x1.51ddfefbe80f3p-19, 0x1.4e7d5df9f5b43p-19, 0x1.4b03e266ac9a5p-19, 0x1.47732c00c44c8p-19, 0x1.43cce92bdd049p-19, 0x1.4012c59efda8ap-19, 0x1.3c49a6ffefc2cp-19, 0x1.3869305bffa61p-19, 0x1.3479871cd3e91p-19, 0x1.307af4b6d9c8ap-19, 0x1.2c6d7614b139p-19, 0x1.2852b6cdc0288p-19, 0x1.242c96f34a40fp-19, 0x1.1ffc92629d359p-19, 0x1.1bc3bc0bb62c7p-19, 0x1.1782db0954843p-19, 0x1.133a6b2f0fed2p-19, 0x1.0eeb0ae6bf00fp-19, 0x1.0a95ed051aa53p-19, 0x1.063c680651cbfp-19, 0x1.01df3ea4af557p-19, 0x1.fafd9eec1a45dp-20, 0x1.f2374f45c31e8p-20, 0x1.e96d0e63b4f41p-20, 0x1.e0a04d247a139p-20, 0x1.d7d254323d2e9p-20, 0x1.cf0467641a137p-20, 0x1.c637dfc8fe1bcp-20, 0x1.bd6e2312cac22p-20, 0x1.b4a885c2a26bep-20, 0x1.abe8d7a245c0ap-20, 0x1.a33106106332ep-20, 0x1.9a75418789f21p-20, 0x1.91cff391eef15p-20, 0x1.892b0d07924b8p-20, 0x1.8092a200bd929p-20, 0x1.7806b63aae3ddp-20, 0x1.6f8787bb844f6p-20, 0x1.6714d913d086p-20, 0x1.5eaeb5c9dbfeap-20, 0x1.56561abb93c08p-20, 0x1.4e0c2c3c32956p-20, 0x1.45d17ba7cb1f4p-20, 0x1.3da67840e3c16p-20, 0x1.358be322fa19cp-20, 0x1.2d82abf5574d7p-20, 0x1.258b8cbf02065p-20, 0x1.1da6b873590eep-20, 0x1.15d4243d03451p-20, 0x1.0e143855a8dddp-20, 0x1.0667997eebf24p-20, 0x1.fd9d69828adf8p-21, 0x1.ee944410507f3p-21, 0x1.dfb47de8a2b69p-21, 0x1.d0fde06c28a4dp-21, 0x1.c270cc2b1d0c9p-21, 0x1.b40e2b7d5257fp-21, 0x1.a5d6a62a4dc68p-21, 0x1.97ca999fe19e6p-21, 0x1.89ea4c1e59c3cp-21, 0x1.7c35fb1f585fdp-21, 0x1.6eadd12310fb3p-21, 0x1.6151e675f0d56p-21, 0x1.542265d55ad37p-21, 0x1.471fbdafa0254p-21, 0x1.3a4a8dbe94a42p-21, 0x1.2da3508e53d07p-21, 0x1.212a466933c79p-21, 0x1.14df66b0012a9p-21, 0x1.08c254881e8dbp-21, 0x1.f9a6507849be9p-22, 0x1.e2246ffc1871dp-22, 0x1.cafe6e6c6e9e5p-22, 0x1.b433ce44953c1p-22, 0x1.9dc4d2b25e46p-22, 0x1.87b1a90b4ca92p-22, 0x1.71fa446bac061p-22, 0x1.5c9e802193363p-22, 0x1.479e1f08a4c9bp-22, 0x1.32f8bd0ed9b4dp-22, 0x1.1eadd7612bd0ap-22, 0x1.0abcf39084939p-22, 0x1.ee4b6ce82f9e1p-23, 0x1.c7cf72dfea92dp-23, 0x1.a204a160be1a5p-23, 0x1.7ce994c8dc26cp-23, 0x1.587e5f39c59a5p-23, 0x1.34c36114fa80fp-23, 0x1.11b79f8ef0b31p-23, 0x1.deb22ff7615ddp-24, 0x1.9b4b3084b736cp-24, 0x1.593f12bf1e6ep-24, 0x1.1811daadb9e3cp-24, 0x1.b20fcd78fd00ap-25, 0x1.35c589a9c1c7ep-25, 0x1.7825f8a94c049p-26, 0x1.13bedfcf079c3p-27, -0x1.7d4e254b64398p-28, -0x1.437efd24902c4p-26, -0x1.1158b288c3f89p-25, -0x1.7e7aa50a096b6p-25, -0x1.e9299a8bac675p-25, -0x1.28b53221be3cap-24, -0x1.5b9c6b07f8863p-24, -0x1.8d691f5185f95p-24, -0x1.bdf4634201fa6p-24, -0x1.ed616f6e6737p-24, -0x1.0dcd0f3726f62p-23, -0x1.245557cff04f6p-23, -0x1.3a484eacf762ep-23, -0x1.4fe306a1f4553p-23, -0x1.64a8f357720ecp-23, -0x1.790e87f30229bp-23, -0x1.8cdda00298c4ep-23, -0x1.a02580d4352d5p-23, -0x1.b2e85d66ab9b2p-23, -0x1.c527669ad4331p-23, -0x1.d6e4110fb7223p-23, -0x1.e81ffbf79b21ap-23, -0x1.f8dcd96b12c7bp-23, -0x1.048e306b14848p-22, -0x1.0c7022c33087p-22, -0x1.141519c6e70f6p-22, -0x1.1b7deab0346bfp-22, -0x1.22ab70082d1bap-22, -0x1.299e863f33694p-22, -0x1.3057fb1109037p-22, }}, 
      std::vector<double>(850, 0.0), 
      {{-0x1.9ecbbaa922d6bp-6, -0x1.3b8e90a3c6b4dp-4, -0x1.3e26091f07feep-3, -0x1.fe17d701fbaf1p-3, -0x1.618fc3e24afe4p-2, -0x1.bbb64cf2275e9p-2, -0x1.0318530c9d3f6p-1, -0x1.1e9503f98b555p-1, -0x1.2fcd904507813p-1, -0x1.373f094d2ebabp-1, -0x1.360a71150cd55p-1, -0x1.2da9d3403a15fp-1, -0x1.1fb845b28d21p-1, -0x1.0dcac092a9a8cp-1, -0x1.f2ad799654da5p-2, -0x1.c746f037acd61p-2, -0x1.9b863546bb797p-2, -0x1.7122d32739debp-2, -0x1.496c5e2a98c82p-2, -0x1.2553cc7796abp-2, -0x1.057739d5e491fp-2, -0x1.d45d29cfa32d4p-3, -0x1.a73067c84b45ap-3, -0x1.83495c06f5ffap-3, -0x1.684333ef7f544p-3, -0x1.5585ff629216ap-3, -0x1.4a56d7ccca083p-3, -0x1.45e555d14b125p-3, -0x1.4756868eca9c7p-3, -0x1.4dcd929aa11cep-3, -0x1.5872690191f3dp-3, -0x1.6676afb47fd81p-3, -0x1.77193f5a8a9a6p-3, -0x1.89a86e34b484fp-3, -0x1.9d8364769f1ecp-3, -0x1.b21aaea9aa6e2p-3, -0x1.c6f03b025259ap-3, -0x1.db96e7370150cp-3, -0x1.efb1bf556b124p-3, -0x1.0179830f693cap-2, -0x1.0a8d8d887fe17p-2, -0x1.12fba6c442b62p-2, -0x1.1ab0546feb1dep-2, -0x1.219d61810c31fp-2, -0x1.27b949c7bac66p-2, -0x1.2cfeac136b235p-2, -0x1.316bc4383819p-2, -0x1.3501edd3c275ap-2, -0x1.37c53022898b8p-2, -0x1.39bbd31028dfbp-2, -0x1.3aedfd5127566p-2, -0x1.3b655b68f884bp-2, -0x1.3b2ccf2294967p-2, -0x1.3a50272bab3bdp-2, -0x1.38dbde618e0e9p-2, -0x1.36dce24d7137dp-2, -0x1.3460607cfb054p-2, -0x1.31739a24b812dp-2, -0x1.2e23bdb054651p-2, -0x1.2a7dc5ce90891p-2, -0x1.268e5d75029cbp-2, -0x1.2261c89e7a335p-2, -0x1.1e03d100b06bfp-2, -0x1.197fb6c0b1ef1p-2, -0x1.14e02465e30aap-2, -0x1.102f2633dc571p-2, -0x1.0b7623dc87967p-2, -0x1.06bddd502291cp-2, -0x1.020e68ad9c183p-2, -0x1.fade6654c8503p-3, -0x1.f1ce04481d668p-3, -0x1.e8f7edf5b22b1p-3, -0x1.e067254784863p-3, -0x1.d825773e3c518p-3, -0x1.d03b872da81a6p-3, -0x1.c8b0dc19da1ffp-3, -0x1.c18befe85c404p-3, -0x1.bad23b7176ef5p-3, -0x1.b488485adcb13p-3, -0x1.aeb1bcb7af62ap-3, -0x1.a9516cc85cfd3p-3, -0x1.a46967780fc6bp-3, -0x1.9ffb06a1d48cp-3, -0x1.9c06fc85b34bp-3, -0x1.988d61d05a3ccp-3, -0x1.958dc32b3adddp-3, -0x1.93072d878188cp-3, -0x1.90f83a8f6d6cbp-3, -0x1.8f5f1bcc1d3fep-3, -0x1.8e39a5a93f309p-3, -0x1.8d8559944d5eap-3, -0x1.8d3f6fc37f032p-3, -0x1.8d64e04433efep-3, -0x1.8df26babd2ef4p-3, -0x1.8ee4a31f40c35p-3, -0x1.9037efecc8cd9p-3, -0x1.91e89a96893a5p-3, -0x1.93f2d15b04197p-3, -0x1.9652ae47ba98bp-3, -0x1.99043cc78d5bfp-3, -0x1.9c037ebf54927p-3, -0x1.9f4c713dea8c9p-3, -0x1.a2db10b6d277ap-3, -0x1.a6ab5cdfb9c5fp-3, -0x1.aab95c2836329p-3, -0x1.af011ed4ecf14p-3, -0x1.b37ec1c43e18fp-3, -0x1.b82e70e62af3p-3, -0x1.bd0c695dba5dap-3, -0x1.c214fb5e3e0bep-3, -0x1.c7448bd0caeaep-3, -0x1.cc9795a4aab75p-3, -0x1.d20aaaf86555cp-3, -0x1.d79a7608a105p-3, -0x1.dd43b9eda6faap-3, -0x1.e3035325791ffp-3, -0x1.e8d63807dd1d8p-3, -0x1.eeb979059c342p-3, -0x1.f4aa40c552c36p-3, -0x1.faa5d437650e5p-3, -0x1.0054c93dbd347p-2, -0x1.03597a5987f3bp-2, -0x1.065fc6e3f8184p-2, -0x1.0966850e44dfdp-2, -0x1.0c6c9796040f5p-2, -0x1.0f70ed8a7cdc2p-2, -0x1.12728216d8cd4p-2, -0x1.15705c42bf61p-2, -0x1.18698ea453d79p-2, -0x1.1b5d371fb2888p-2, -0x1.1e4a7ea170266p-2, -0x1.213098c881d07p-2, -0x1.240ec39bbeb42p-2, -0x1.26e44741def54p-2, -0x1.29b075ac2e0f2p-2, -0x1.2c72aa49b8f77p-2, -0x1.2f2a49b8ea455p-2, -0x1.31d6c1778ce35p-2, -0x1.3477879b6befep-2, -0x1.370c1a837f9f4p-2, -0x1.39940086082f4p-2, -0x1.3c0ec7b112ae8p-2, -0x1.3e7c0586fa617p-2, -0x1.40db56abdc257p-2, -0x1.432c5ea380794p-2, -0x1.456ec79c306a9p-2, -0x1.47a242289fc0ap-2, -0x1.49c684f92cf3fp-2, -0x1.4bdb4ca881b33p-2, -0x1.4de05b85ecab7p-2, -0x1.4fd579559e9fp-2, -0x1.51ba731b2f47p-2, -0x1.538f1aeb66243p-2, -0x1.555347b5aabd6p-2, -0x1.5706d51112a7cp-2, -0x1.58a9a314f15f2p-2, -0x1.5a3b962c4d04cp-2, -0x1.5bbc96e14a96fp-2, -0x1.5d2c91b583bbdp-2, -0x1.5e8b77055674bp-2, -0x1.5fd93adeeca8p-2, -0x1.6115d4d157bb1p-2, -0x1.62413fcb5c065p-2, -0x1.635b7a06370c5p-2, -0x1.646484e445fcbp-2, -0x1.655c64c4227cdp-2, -0x1.664320e2765ep-2, -0x1.6718c348ea983p-2, -0x1.67dd58b495ad9p-2, -0x1.6890f06fc5f84p-2, -0x1.69339c3418aaap-2, -0x1.69c5701bf7a8fp-2, -0x1.6a46828d39ed1p-2, -0x1.6ab6ec1eea593p-2, -0x1.6b16c7762b6dfp-2, -0x1.6b663139528e6p-2, -0x1.6ba548035fa06p-2, -0x1.6bd42c4ba09e5p-2, -0x1.6bf30047b4ccep-2, -0x1.6c01e7d87d18fp-2, -0x1.6c010881a6ef5p-2, -0x1.6bf0895be6c33p-2, -0x1.6bd092faa0f87p-2, -0x1.6ba14f524952ep-2, -0x1.6b62e9ac59b06p-2, -0x1.6b158ea1a1675p-2, -0x1.6ab96c0b9d4d2p-2, -0x1.6a4eb0eb3b6bdp-2, -0x1.69d58d52ac404p-2, -0x1.694e325c1139ep-2, -0x1.68b8d22570fd5p-2, -0x1.68159fc3a9511p-2, -0x1.6764cf2b8029dp-2, -0x1.66a6951d2a833p-2, -0x1.65db271ae4e28p-2, -0x1.6502bb6597f5dp-2, -0x1.641d88f383ff9p-2, -0x1.632bc75cfaab8p-2, -0x1.622daec856efap-2, -0x1.612377deb54ap-2, -0x1.600d5bc819458p-2, -0x1.5eeb942597052p-2, -0x1.5dbe5b03e46edp-2, -0x1.5c85eac899243p-2, -0x1.5b427e241ac05p-2, -0x1.59f4500b3eed1p-2, -0x1.589b9bb3c1d47p-2, -0x1.57389c8c44327p-2, -0x1.55cb8e2e20b47p-2, -0x1.5454ac4e07523p-2, -0x1.52d432b283581p-2, -0x1.514a5d2dbb645p-2, -0x1.4fb7679acf9f6p-2, -0x1.4e1b8dd50ed01p-2, -0x1.4c770bab877e2p-2, -0x1.4aca1cd4a6b6ap-2, -0x1.4914fce5dfea2p-2, -0x1.4757e74f43f2cp-2, -0x1.45931757af63fp-2, -0x1.43c6c8160a8cfp-2, -0x1.41f3346712d51p-2, -0x1.401896e2eaeb7p-2, -0x1.3e3729d597129p-2, -0x1.3c4f273ab5928p-2, -0x1.3a60c8ba3fee7p-2, -0x1.386c47a3c2eacp-2, -0x1.3671dce6fa126p-2, -0x1.3471c10b068d4p-2, -0x1.326c2c2779eb5p-2, -0x1.306155dfe690cp-2, -0x1.2e517560ffeb4p-2, -0x1.2c3cc15d75299p-2, -0x1.2a237009875fcp-2, -0x1.2805b714cc288p-2, -0x1.25e3cba3ee83ep-2, -0x1.23bde24be206dp-2, -0x1.21942f0edcccdp-2, -0x1.1f66e55a507fcp-2, -0x1.1d363804a1d7bp-2, -0x1.1b025949b3475p-2, -0x1.18cb7ac67aafbp-2, -0x1.1691cd74be384p-2, -0x1.145581a7d665fp-2, -0x1.1216c70a93c89p-2, -0x1.0fd5cc9ddcf04p-2, -0x1.0d92c0b74b81p-2, -0x1.0b4dd0ff342edp-2, -0x1.09072a6deda68p-2, -0x1.06bef94937917p-2, -0x1.04756922282e4p-2, -0x1.022aa4d3c8838p-2, -0x1.ffbdad04af649p-3, -0x1.fb244f356d7fbp-3, -0x1.f68981a36c0b9p-3, -0x1.f1ed9446003cbp-3, -0x1.ed50d59fb6f2cp-3, -0x1.e8b392bc36007p-3, -0x1.e416172f02264p-3, -0x1.df78ad1309346p-3, -0x1.dadb9d0ac2967p-3, -0x1.d63f2e40a6127p-3, -0x1.d1a3a66784a08p-3, -0x1.cd0949baa5715p-3, -0x1.c8705afda9c8ap-3, -0x1.c3d91b7cc0e2dp-3, -0x1.bf43cb0d3c9c4p-3, -0x1.bab0a80e96afdp-3, -0x1.b61fef6bf3bep-3, -0x1.b191dc9e16eb7p-3, -0x1.ad06a9ad87a1dp-3, -0x1.a87e8f348b56fp-3, -0x1.a3f9c460e463fp-3, -0x1.9f787ef58b957p-3, -0x1.9afaf34c8500dp-3, -0x1.9681545905c58p-3, -0x1.920bd3a9fa904p-3, -0x1.8d9aa16d1f413p-3, -0x1.892dec726da6bp-3, -0x1.84c5e22f8a759p-3, -0x1.8062aec2deb1cp-3, -0x1.7c047cf66f1dcp-3, -0x1.77ab7642aca17p-3, -0x1.7357c2d1718c6p-3, -0x1.6f098981550c3p-3, -0x1.6ac0efe969116p-3, -0x1.667e1a5d510bdp-3, -0x1.62412bf17d981p-3, -0x1.5e0a467f3d13ap-3, -0x1.59d98aa87d06ap-3, -0x1.55af17db5eb12p-3, -0x1.518b0c55ea623p-3, -0x1.4d6d8529fa38fp-3, -0x1.49569e4174f15p-3, -0x1.45467262b0456p-3, -0x1.413d1b34e081p-3, -0x1.3d3ab1447ca5bp-3, -0x1.393f4c07722ddp-3, -0x1.354b01e144947p-3, -0x1.315de8272dbeap-3, -0x1.2d7813248300ap-3, -0x1.2999961f3f149p-3, -0x1.25c2835ccc475p-3, -0x1.21f2ec2698fd7p-3, -0x1.1e2ae0ce5ed06p-3, -0x1.1a6a70b241351p-3, -0x1.16b1aa40ce3abp-3, -0x1.13009afd1b6f5p-3, -0x1.0f574f8338f78p-3, -0x1.0bb5d38cf4b23p-3, -0x1.081c31f6e65ep-3, -0x1.048a74c5623c3p-3, -0x1.0100a529200e9p-3, -0x1.fafd9706a022cp-4, -0x1.f409ded26b617p-4, -0x1.ed262f4f4528bp-4, -0x1.e652948d5af5bp-4, -0x1.df8f191be65d7p-4, -0x1.d8dbc612cbf45p-4, -0x1.d238a31d161d5p-4, -0x1.cba5b68353b3p-4, -0x1.c523053520111p-4, -0x1.beb092d13d327p-4, -0x1.b84e61ac3a9dcp-4, -0x1.b1fc72d639619p-4, -0x1.abbac620c52c9p-4, -0x1.a5895a25b000dp-4, -0x1.9f682c4f649d8p-4, -0x1.995738e2a3a97p-4, -0x1.93567b08cea7fp-4, -0x1.8d65ecd9e8b0dp-4, -0x1.878587654da7fp-4, -0x1.81b542b8c33eap-4, -0x1.7bf515e6071a2p-4, -0x1.7644f7078f81p-4, -0x1.70a4db457207bp-4, -0x1.6b14b6db44c0ap-4, -0x1.65947d1f6dddep-4, -0x1.6024208bb94f2p-4, -0x1.5ac392c68e491p-4, -0x1.5572c4abe766fp-4, -0x1.5031a65543f8dp-4, -0x1.4b002720229afp-4, -0x1.45de35b32fa9p-4, -0x1.40cbc002a7731p-4, -0x1.3bc8b3549b6adp-4, -0x1.36d4fc45d7ef8p-4, -0x1.31f086cfb4402p-4, -0x1.2d1b3e4edfc1fp-4, -0x1.28550d8ab7435p-4, -0x1.239ddebc9ba76p-4, -0x1.1ef59b96c662cp-4, -0x1.1a5c2d4a2e301p-4, -0x1.15d17c8b8b1dep-4, -0x1.11557197a4b52p-4, -0x1.0ce7f4375da02p-4, -0x1.0888ebc3fba8ap-4, -0x1.04383f2bc2ec5p-4, -0x1.ffeba9ee3491fp-5, -0x1.f783269c42288p-5, -0x1.ef36bffc52c2dp-5, -0x1.e70640fe6109dp-5, -0x1.def173f16258p-5, -0x1.d6f8228c1ed6bp-5, -0x1.cf1a15f51b0e4p-5, -0x1.c75716ca0b3ecp-5, -0x1.bfaeed27362e9p-5, -0x1.b82160af21284p-5, -0x1.b0ae38929a9ep-5, -0x1.a9553b992e002p-5, -0x1.a2163029a1c81p-5, -0x1.9af0dc5238a4ap-5, -0x1.93e505d070d21p-5, -0x1.8cf27218305f9p-5, -0x1.8618e65a3cf6p-5, -0x1.7f58278a65291p-5, -0x1.78affa656693dp-5, -0x1.72202376df383p-5, -0x1.6ba8671f75c17p-5, -0x1.6548899b2af15p-5, -0x1.5f004f07bf74cp-5, -0x1.58cf7b6b2a9cfp-5, -0x1.52b5d2b9ad2b1p-5, -0x1.4cb318dbbd0ecp-5, -0x1.46c711b360e28p-5, -0x1.40f181222f03cp-5, -0x1.3b322b0d536bep-5, -0x1.3588d35c5d954p-5, -0x1.2ff53e095bbd1p-5, -0x1.2a772f1a65ed2p-5, -0x1.250e6aacc1ad5p-5, -0x1.1fbab4f7728dep-5, -0x1.1a7bd24c5aaaap-5, -0x1.1551872095e08p-5, -0x1.103b980ffe85dp-5, -0x1.0b39c9e0d8228p-5, -0x1.064be187bae57p-5, -0x1.0171a42b0610dp-5, -0x1.f955ae4c9fe0ap-6, -0x1.efee801ac6ebap-6, -0x1.e6ad495e75569p-6, -0x1.dd919631b5113p-6, -0x1.d49af3303a636p-6, -0x1.cbc8ed7d15f74p-6, -0x1.c31b12c851136p-6, -0x1.ba90f1547e92p-6, -0x1.b22a17fc3a416p-6, -0x1.a9e6163780273p-6, -0x1.a1c47c20a795ap-6, -0x1.99c4da794e11p-6, -0x1.91e6c2aeaaea5p-6, -0x1.8a29c6ddcba11p-6, -0x1.828d79d755203p-6, -0x1.7b116f230ecb3p-6, -0x1.73b53b032c1b1p-6, -0x1.6c78727786be8p-6, -0x1.655aab40952dcp-6, -0x1.5e5b7be27221p-6, -0x1.577a7ba7c2f46p-6, -0x1.50b742a49bef4p-6, -0x1.4a1169b922668p-6, -0x1.43888a9450a5p-6, -0x1.3d1c3fb688929p-6, -0x1.36cc2473d351dp-6, -0x1.3097d4f62fa4dp-6, -0x1.2a7eee3f9cc42p-6, -0x1.24810e2c009e4p-6, -0x1.1e9dd372c163ap-6, -0x1.18d4dda8282efp-6, -0x1.1325cd3ea8f04p-6, -0x1.0d904387d47ecp-6, -0x1.0813e2b54508ep-6, -0x1.02b04dd968be1p-6, -0x1.faca51d07890fp-7, -0x1.f064317031f75p-7, -0x1.e62d8604cf21bp-7, -0x1.dc259cc936bcbp-7, -0x1.d24bc4c1c5efcp-7, -0x1.c89f4ebe50a59p-7, -0x1.bf1f8d5b4918ap-7, -0x1.b5cbd5039a1c8p-7, -0x1.aca37bf0bf0a7p-7, -0x1.a3a5da2af0caep-7, -0x1.9ad2498928a5ap-7, -0x1.922825af40582p-7, -0x1.89a6cc0c8e043p-7, -0x1.814d9bd9e3e78p-7, -0x1.791bf6175a979p-7, -0x1.71113d8abd175p-7, -0x1.692cd6be8479cp-7, -0x1.616e28017124bp-7, -0x1.59d499673d8ddp-7, -0x1.525f94c98671cp-7, -0x1.4b0e85c9591dbp-7, -0x1.43e0d9d02c668p-7, -0x1.3cd60010233a1p-7, -0x1.35ed6982d8208p-7, -0x1.2f2688e64138fp-7, -0x1.2880d2b7de855p-7, -0x1.21fbbd2e1ed02p-7, -0x1.1b96c030e6355p-7, -0x1.155155526ce85p-7, -0x1.0f2af7c8fb5c3p-7, -0x1.0923246b140e9p-7, -0x1.033959aeb9319p-7, -0x1.fada2f5853a6p-8, -0x1.ef7bc04614ce4p-8, -0x1.e4566d028fe19p-8, -0x1.d9693fd3771b5p-8, -0x1.ceb34671b47edp-8, -0x1.c433920b50836p-8, -0x1.b9e9373a9052dp-8, -0x1.afd34df1667ccp-8, -0x1.a5f0f15a607aap-8, -0x1.9c413fb28ac3ep-8, -0x1.92c35a2128678p-8, -0x1.89766494d9b3p-8, -0x1.805985aa6f435p-8, -0x1.776be6a470691p-8, -0x1.6eacb373986d3p-8, -0x1.661b1ad0ff6b5p-8, -0x1.5db64e657eb9p-8, -0x1.557d82f7d73f2p-8, -0x1.4d6ff09831c0ep-8, -0x1.458cd2bffbb86p-8, -0x1.3dd3685e6c7eap-8, -0x1.3642f3ca2b33ep-8, -0x1.2edaba98e4927p-8, -0x1.279a055e10fe1p-8, -0x1.20801f58e96abp-8, -0x1.198c562109a52p-8, -0x1.12bdf97c843f7p-8, -0x1.0c145abb6fc2cp-8, -0x1.058ecd222043ap-8, -0x1.fe594b6da76b6p-9, -0x1.f1da7746a1ea8p-9, -0x1.e59fd066200d7p-9, -0x1.d9a80f03ec2f3p-9, -0x1.cdf1f19659e06p-9, -0x1.c27c3d792cadbp-9, -0x1.b745bf56a31e8p-9, -0x1.ac4d4b31b57d5p-9, -0x1.a191bc048451p-9, -0x1.9711f2f5bea86p-9, -0x1.8cccd63c18e1ap-9, -0x1.82c14fd3945efp-9, -0x1.78ee4c37d182bp-9, -0x1.6f52b9563eda5p-9, -0x1.65ed85e72c264p-9, -0x1.5cbda14daac79p-9, -0x1.53c1fc09f6e8bp-9, -0x1.4af988b4f3028p-9, -0x1.42633d65b154ep-9, -0x1.39fe155272692p-9, -0x1.31c912738ba8dp-9, -0x1.29c33eeabf04ap-9, -0x1.21ebadf5fc201p-9, -0x1.1a417c3f6cd2fp-9, -0x1.12c3cf6ea2bbcp-9, -0x1.0b71d4f8fc20ep-9, -0x1.044ac03b1f33cp-9, -0x1.fa9b94209b4bep-10, -0x1.ecf44c7ec6087p-10, -0x1.df9e2196621b2p-10, -0x1.d2977a2ae81bap-10, -0x1.c5deb8cefc7d4p-10, -0x1.b97238e016065p-10, -0x1.ad5050412e649p-10, -0x1.a17752b7d47dap-10, -0x1.95e596691343ep-10, -0x1.8a9978e8e6e8ep-10, -0x1.7f91643d239d3p-10, -0x1.74cbd33f7ae5bp-10, -0x1.6a4754df591abp-10, -0x1.60028de5802f9p-10, -0x1.55fc3903afe6ep-10, -0x1.4c33252575784p-10, -0x1.42a6322a8dac6p-10, -0x1.39544c6046eb8p-10, -0x1.303c6736b686fp-10, -0x1.275d77cfacef8p-10, -0x1.1eb6700fcd4c9p-10, -0x1.16463ad04b02dp-10, -0x1.0e0bb9b09ff85p-10, -0x1.0605c4c62e8f8p-10, -0x1.fc665839a7629p-11, -0x1.ed2575519a251p-11, -0x1.de4674216d14cp-11, -0x1.cfc6ed4f47eep-11, -0x1.c1a48604391dp-11, -0x1.b3dcf5a38401cp-11, -0x1.a66e09e6c9cc7p-11, -0x1.9955a9900c60ep-11, -0x1.8c91d5f90a1a2p-11, -0x1.8020abaa818a9p-11, -0x1.740061dcfc685p-11, -0x1.682f48a6d8ee5p-11, -0x1.5cabc59467a31p-11, -0x1.51744eb6fb721p-11, -0x1.468764978d25cp-11, -0x1.3be38bf942a9fp-11, -0x1.3187489bac602p-11, -0x1.27711a2560806p-11, -0x1.1d9f7bef27b0dp-11, -0x1.1410e796062a6p-11, -0x1.0ac3d94a2f26fp-11, -0x1.01b6d41e2f7afp-11, -0x1.f1d0c8e2c8a8dp-12, -0x1.e0ae3e82fb34dp-12, -0x1.d0033cd577166p-12, -0x1.bfccf6bee8f2p-12, -0x1.b008958b9bdc6p-12, -0x1.a0b336e9b7e92p-12, -0x1.91c9f3ab7e003p-12, -0x1.8349eed1e85c9p-12, -0x1.7530671eb1504p-12, -0x1.677ac5abde909p-12, -0x1.5a26a3a531501p-12, -0x1.4d31c5442b6c1p-12, -0x1.409a0c4327626p-12, -0x1.345d67718ae7cp-12, -0x1.2879c609498b6p-12, -0x1.1ced138110a8dp-12, -0x1.11b53ccfbd784p-12, -0x1.06d03c16d0209p-12, -0x1.f8784fc226516p-13, -0x1.e3ee724acb8e1p-13, -0x1.cfff9647f609dp-13, -0x1.bca8b54ee8915p-13, -0x1.a9e6d773665e3p-13, -0x1.97b6e7069fb03p-13, -0x1.861583d56e922p-13, -0x1.74fedf3fa896ep-13, -0x1.646eb8ca0d62p-13, -0x1.54607fd29df1cp-13, -0x1.44cf95c16efd3p-13, -0x1.35b79f3065fbbp-13, -0x1.2714ca54c58b6p-13, -0x1.18e3f239928afp-13, -0x1.0b22917590fedp-13, -0x1.fb9d11f80db7cp-14, -0x1.e1cba338a8666p-14, -0x1.c8cc70aab07p-14, -0x1.b09a815ba72dfp-14, -0x1.99306cd165c62p-14, -0x1.8288c4880a35ap-14, -0x1.6c9e8ea5fcbfbp-14, -0x1.576d9c8c655fdp-14, -0x1.42f29d6a7282bp-14, -0x1.2f2ae8fe0f89p-14, -0x1.1c14152ff2a1fp-14, -0x1.09ab75ec02104p-14, -0x1.efdb53f06bb84p-15, -0x1.cdac9facdad9p-15, -0x1.acbfdd7edbb27p-15, -0x1.8d08216299d04p-15, -0x1.6e770b36cf738p-15, -0x1.50fd95e3e1bd1p-15, -0x1.348d254e4235fp-15, -0x1.1918b0e25f9ap-15, -0x1.fd2b8bb30cf4p-16, -0x1.c9fa1ac72868p-16, -0x1.98943743164c2p-16, -0x1.68f509380732cp-16, -0x1.3b18f0ea03a9cp-16, -0x1.0efac08f74c0bp-16, -0x1.c92400920b706p-17, -0x1.77a5ae2a5ea6ap-17, -0x1.295ee146d2f5ep-17, -0x1.bc6892b75ae68p-18, -0x1.2c1e3eab7908p-18, -0x1.43801226976bap-19, -0x1.d3f33e94ca7a8p-22, 0x1.859f3c15b98c2p-20, 0x1.b46f7fea516c8p-19, 0x1.4d3dc9034b25p-18, 0x1.ba9b0aedbf96dp-18, 0x1.1141f77b35979p-17, 0x1.429d8653b3843p-17, 0x1.7184328056305p-17, 0x1.9e1958bbaecaap-17, 0x1.c87e54e5f7868p-17, 0x1.f0d2b817328a8p-17, 0x1.0b9a50696a6c9p-16, 0x1.1de000b0fcbfcp-16, 0x1.2f46724c54356p-16, 0x1.3fd6eda9a7927p-16, 0x1.4f97cb371c022p-16, 0x1.5e8cd4b65d082p-16, 0x1.6cb7fad541fbap-16, 0x1.7a1a4f0f78b5fp-16, 0x1.86b53e59048f5p-16, 0x1.928bc39747f28p-16, 0x1.9da31e2111d55p-16, 0x1.a802a09f5997p-16, 0x1.b1b241ee716b3p-16, 0x1.bab82b0056accp-16, 0x1.c316b3201c1ap-16, 0x1.caccb5f07da01p-16, 0x1.d1d88e9e26069p-16, 0x1.d83b9db8e271dp-16, 0x1.ddfbd6deb45bp-16, 0x1.e322bcd59ffa9p-16, 0x1.e7bb16c4f6294p-16, 0x1.ebcee911d2538p-16, 0x1.ef6662329dfc4p-16, 0x1.f287a9cf177b2p-16, 0x1.f5374ab178579p-16, 0x1.f77902a55d9ebp-16, 0x1.f950be86c271bp-16, 0x1.fac357cbc9c13p-16, 0x1.fbd692790c43dp-16, 0x1.fc904490d4ec9p-16, 0x1.fcf52079c824dp-16, 0x1.fd098168b0de3p-16, 0x1.fcd1ede7a355bp-16, 0x1.fc53a41aa4c52p-16, 0x1.fb933ab702332p-16, 0x1.fa91b4e92dadep-16, 0x1.f94cceac2a224p-16, 0x1.f7c258aebb9e5p-16, 0x1.f5f3a7d17a6ep-16, 0x1.f3e55dd693621p-16, 0x1.f19b8f0ef3dadp-16, 0x1.ef16a6e9950cap-16, 0x1.ec54ddf94091fp-16, 0x1.e956828d47c3p-16, 0x1.e6202764612b6p-16, 0x1.e2b901387f79ep-16, 0x1.df27e45497b67p-16, 0x1.db71791af29ffp-16, 0x1.d79823a05ee41p-16, 0x1.d39cd2474b1f5p-16, 0x1.cf7fe5bb964ebp-16, 0x1.cb41d2a198531p-16, 0x1.c6e372f3cd34bp-16, 0x1.c2662084c5a4ep-16, 0x1.bdcbb129f11a2p-16, 0x1.b91660d19ca3ep-16, 0x1.b448b2562a3fap-16, 0x1.af6542122bd7bp-16, 0x1.aa6e61304e35p-16, 0x1.a5656f3cd003ep-16, 0x1.a04a9f290cd88p-16, 0x1.9b1e49a13fbffp-16, 0x1.95e36167b0ab8p-16, 0x1.909fbacf3ad63p-16, 0x1.8b57c7e6600ddp-16, 0x1.8609f31e8e036p-16, 0x1.80b041420af7ap-16, 0x1.7b473819867ccp-16, 0x1.75d1b7fd9962bp-16, 0x1.705531c0f0423p-16, 0x1.6ad3f95a5c6cdp-16, 0x1.654d691dbb7b1p-16, 0x1.5fc1c38f29a26p-16, 0x1.5a3361aca6242p-16, 0x1.54a4f97397b0fp-16, 0x1.4f183d321af24p-16, 0x1.498dd58cfac0cp-16, 0x1.4405eb76d82cfp-16, 0x1.3e8092c90e22dp-16, 0x1.38fde858cc379p-16, 0x1.337df9be90427p-16, 0x1.2e00a5e0a0924p-16, 0x1.2885a780e6494p-16, 0x1.230cdfd24d09bp-16, 0x1.1d96d05925e8fp-16, 0x1.18251e082b6d5p-16, 0x1.12babb8ef2067p-16, 0x1.0d5afe9eec359p-16, 0x1.0806e3a4f24d2p-16, 0x1.02bcb3f6dcb86p-16, 0x1.faf2c1347e119p-17, 0x1.f07869b896397p-17, 0x1.e60e909bf96a3p-17, 0x1.dbb8117486ec2p-17, 0x1.d17336b2c3013p-17, 0x1.c73fd77226aedp-17, 0x1.bd2187484d22bp-17, 0x1.b31959b09ac17p-17, 0x1.a9268736e5c81p-17, 0x1.9f4cafaa77b13p-17, 0x1.95905512eb0ffp-17, 0x1.8bef4ad25a0b8p-17, 0x1.826478f9680b8p-17, 0x1.78ef27a3a8318p-17, 0x1.6f91ef70aeae2p-17, 0x1.664eed6111d79p-17, 0x1.5d26dbb72cee3p-17, 0x1.5419ca499a0eep-17, 0x1.4b27b6d4de61fp-17, 0x1.4250b2041d1f1p-17, 0x1.3994bf08ca10ap-17, 0x1.30f3aa4a8cbfp-17, 0x1.286cfb675124fp-17, 0x1.1fffac741e625p-17, 0x1.17ac1b673926p-17, 0x1.0f71b034aabffp-17, 0x1.075271dc61e0fp-17, 0x1.fea2aa3fb7805p-18, 0x1.eedea617ed487p-18, 0x1.df535997ff669p-18, 0x1.cffcff8b6b055p-18, 0x1.c0dfa74beab9ap-18, 0x1.b1fdf0f23cb19p-18, 0x1.a353284ebacbep-18, 0x1.94dbd3f946c69p-18, 0x1.869a124d9e7b5p-18, 0x1.7890e43190672p-18, 0x1.6ac07cda493e3p-18, 0x1.5d266d61d322ep-18, 0x1.4fc14e2fbd8f3p-18, 0x1.4293c3a0fa9fp-18, 0x1.359fb268460ddp-18, 0x1.28e396a924aebp-18, 0x1.1c5f44acd7d8bp-18, 0x1.1011b5a8cd20ap-18, 0x1.03f848b82ed32p-18, 0x1.f025e9dcbdb1bp-19, 0x1.d8c5aad6946c5p-19, 0x1.c1d0140900f28p-19, 0x1.ab44232bbb877p-19, 0x1.9520bdda6a551p-19, 0x1.7f64f96a12b5p-19, 0x1.6a1009fdd4cdfp-19, 0x1.55212c384cb24p-19, 0x1.4097998890c07p-19, 0x1.2c728333e241bp-19, 0x1.18b10ec8f17d2p-19, 0x1.05525959994cap-19, 0x1.e4ab0f6fb1b8bp-20, 0x1.bf737da0ab848p-20, 0x1.9afc1723cd128p-20, 0x1.77430821faf19p-20, 0x1.54469350f9facp-20, 0x1.3204cd685b5a3p-20, 0x1.107bdcbc2b817p-20, 0x1.df54090df2965p-21, 0x1.9f1aca40bedp-21, 0x1.6047d4a7facfep-21, 0x1.22d6b6fb49b98p-21, 0x1.cd85eadbd1423p-22, 0x1.5810ba0fec332p-22, 0x1.ca8c9f2ca4c3cp-23, 0x1.d47c4656be67dp-24, 0x1.e47c563dd1bc8p-28, -0x1.8da8585f46533p-24, -0x1.97ae3445ce617p-23, -0x1.31af43886b3f4p-22, -0x1.9500da8c05ba7p-22, -0x1.f5edad0c902f3p-22, -0x1.2a4491573d927p-21, -0x1.5866995d44af3p-21, -0x1.855002b81c5cfp-21, -0x1.b1087f080302fp-21, -0x1.dba2b08ff2afep-21, -0x1.028c4ace90a86p-20, -0x1.16bc8e159d12fp-20, -0x1.2a6191f1c2837p-20, -0x1.3d7d55cfc4378p-20, -0x1.5011c07247f3bp-20, -0x1.621d3243b4ed1p-20, -0x1.739bae721e487p-20, -0x1.84955f4de0457p-20, -0x1.951534894eac2p-20, -0x1.a51dbd99181f3p-20, -0x1.b4ab7b357410cp-20, -0x1.c3b91abdc1d0cp-20, -0x1.d249b983159c8p-20, -0x1.e066bb4c80496p-20, -0x1.ee107c39e75e1p-20, -0x1.fb483f8f91f5ep-20, -0x1.04079ca9e275fp-19, -0x1.0a34b533ca87dp-19, -0x1.1029cb95ad4f1p-19, -0x1.15ea0c26e2ffep-19, -0x1.1b7541332be0fp-19, -0x1.20cca1843640fp-19, -0x1.25f124ce7c594p-19, -0x1.2ae3bffaf3ad8p-19, -0x1.2fa567f1bec54p-19, -0x1.343707b4ae552p-19, -0x1.389974ecbb26dp-19, -0x1.3ccd71804561cp-19, -0x1.40d3c8a9fc226p-19, -0x1.44ad78b5b5948p-19, -0x1.485b96ca1b85ap-19, -0x1.4bde39f13a8cdp-19, -0x1.4f34b324da401p-19, -0x1.52626aac5f9a3p-19, }}, 
      {{-0x1.719cb818efc6ep-3, -0x1.996b6818a3bd6p-6, 0x1.d071c858a0673p-4, 0x1.a844e7d104d72p-3, 0x1.052838c918aa6p-2, 0x1.10756198b8d02p-2, 0x1.01e8f6517ab58p-2, 0x1.c8b6aff6955eap-3, 0x1.809ad9db36b2cp-3, 0x1.37725e4568d72p-3, 0x1.e98149a3b93d3p-4, 0x1.7912669c1426cp-4, 0x1.20858ab19605cp-4, 0x1.beaacbedad657p-5, 0x1.65b92d46fcc0cp-5, 0x1.2eaadacfa6697p-5, 0x1.1121f92a48b92p-5, 0x1.04e568cb99fcap-5, 0x1.027b6abed4a0cp-5, 0x1.037f3de05b771p-5, 0x1.02c55543d956cp-5, 0x1.f8bbac27d8504p-6, 0x1.db02c1982f4bdp-6, 0x1.a8e2154c96115p-6, 0x1.609fd6eae0d13p-6, 0x1.01f56f6da665ap-6, 0x1.1b81a5741f123p-7, 0x1.6eefa39fdee7p-12, -0x1.2789ee808dcbcp-7, -0x1.3c08fbbacbd9fp-6, -0x1.f022e5f7e1e5cp-6, -0x1.568ae173505edp-5, -0x1.b7f93c8ce2bep-5, -0x1.0d7b7b44b874ap-4, -0x1.3f1c38516332dp-4, -0x1.7048a37939525p-4, -0x1.a07bb7e97c38bp-4, -0x1.cf424e9396477p-4, -0x1.fc3b21908fd73p-4, -0x1.138b263f2d2b2p-3, -0x1.27ca36cd8deb7p-3, -0x1.3ac2c2a275acbp-3, -0x1.4c63d61b83f1ep-3, -0x1.5ca2da18bd4ffp-3, -0x1.6b7ae0edd36adp-3, -0x1.78ebf588cc43p-3, -0x1.84fa70ba63e6fp-3, -0x1.8fae575db8ea6p-3, -0x1.9912c316726dp-3, -0x1.a13556af1bca1p-3, -0x1.a825be819a9fp-3, -0x1.adf53d044f6bfp-3, -0x1.b2b6432af8a43p-3, -0x1.b67c142fe267bp-3, -0x1.b95a742c30a27p-3, -0x1.bb6560cb2c9bp-3, -0x1.bcb0d3759d31bp-3, -0x1.bd508c2fd1728p-3, -0x1.bd57e482ffb6ap-3, -0x1.bcd9a9babe674p-3, -0x1.bbe7fdb84f615p-3, -0x1.ba943dc7ca00cp-3, -0x1.b8eeeea083e74p-3, -0x1.b707ad4d1c6e1p-3, -0x1.b4ed2438eaebdp-3, -0x1.b2ad045ea3f7cp-3, -0x1.b05401780b773p-3, -0x1.adedd1b95a561p-3, -0x1.ab852f0571b8fp-3, -0x1.a923db44e42c8p-3, -0x1.a6d2a5184e73bp-3, -0x1.a4996f79607e2p-3, -0x1.a27f39512fbffp-3, -0x1.a08a27918f23fp-3, -0x1.9ebf8f1b904a9p-3, -0x1.9d23ffa6d72eep-3, -0x1.9bbb4f8524d55p-3, -0x1.9a88a59dd7d5dp-3, -0x1.998e86392523cp-3, -0x1.98cedc7348bbbp-3, -0x1.984b06c7faa1p-3, -0x1.9803e0d49a3f2p-3, -0x1.97f9cef6d75e1p-3, -0x1.982cc865da953p-3, -0x1.989c616c40a5fp-3, -0x1.9947d53f3d3cbp-3, -0x1.9a2e0ef55041p-3, -0x1.9b4db26522a8dp-3, -0x1.9ca5242173bd4p-3, -0x1.9e3291403cefcp-3, -0x1.9ff3f67c96a18p-3, -0x1.a1e7270f25fedp-3, -0x1.a409d3071861dp-3, -0x1.a6598d4fad659p-3, -0x1.a8d3d148d47a8p-3, -0x1.ab7607ff48e51p-3, -0x1.ae3d8d0286d07p-3, -0x1.b127b2d6280f7p-3, -0x1.b431c7006e6bcp-3, -0x1.b75915c3cd4d8p-3, -0x1.ba9aed723b02cp-3, -0x1.bdf4a17606bc1p-3, -0x1.c1638d07622b6p-3, -0x1.c4e5158fefa7cp-3, -0x1.c876acd1ee10bp-3, -0x1.cc15d2c6fe723p-3, -0x1.cfc0173c4e6e1p-3, -0x1.d3731b435fd2bp-3, -0x1.d72c925dd284p-3, -0x1.daea4379db895p-3, -0x1.deaa09cc8cdecp-3, -0x1.e269d56dac23cp-3, -0x1.e627abd3c7ef7p-3, -0x1.e9e1a8315377dp-3, -0x1.ed95fba63a73dp-3, -0x1.f142ed4f02e7cp-3, -0x1.f4e6da4a08cacp-3, -0x1.f8803592bbf7p-3, -0x1.fc0d87c4bc9b4p-3, -0x1.ff8d6eddd1e2cp-3, -0x1.017f4eef8041p-2, -0x1.032fee2ea015cp-2, -0x1.04d80307abe8fp-2, -0x1.06770527c72b6p-2, -0x1.080c75c6c844fp-2, -0x1.0997df5b74c19p-2, -0x1.0b18d554b80bcp-2, -0x1.0c8ef3cc1d3d5p-2, -0x1.0df9df2f244c2p-2, -0x1.0f5943f38e7cbp-2, -0x1.10acd649adfa1p-2, -0x1.11f451c3fb4a7p-2, -0x1.132f7907469f3p-2, -0x1.145e157eb912ep-2, -0x1.157ff708ae8e6p-2, -0x1.1694f3a87e5b8p-2, -0x1.179ce7398bd07p-2, -0x1.1897b323a1b6p-2, -0x1.19853e14ced11p-2, -0x1.1a6573b790664p-2, -0x1.1b3844696ea7p-2, -0x1.1bfda4fe34675p-2, -0x1.1cb58e818c0d4p-2, -0x1.1d5ffdf0c459cp-2, -0x1.1dfcf3fff98a4p-2, -0x1.1e8c74e8a3543p-2, -0x1.1f0e882f3687dp-2, -0x1.1f8338691dc87p-2, -0x1.1fea930f6e191p-2, -0x1.2044a8522c1b6p-2, -0x1.20918ae6af623p-2, -0x1.20d14fdc648f5p-2, -0x1.21040e770a6b7p-2, -0x1.2129e005c23bep-2, -0x1.2142dfbd21504p-2, -0x1.214f2a985f5abp-2, -0x1.214edf388f672p-2, -0x1.21421dc079ed9p-2, -0x1.212907b8b512ep-2, -0x1.2103bffa8d2d4p-2, -0x1.20d26a94a7ff9p-2, -0x1.20952cabf8932p-2, -0x1.204c2c6650a76p-2, -0x1.1ff790dc620c1p-2, -0x1.1f97820580d9ap-2, -0x1.1f2c289d6962dp-2, -0x1.1eb5ae12945fap-2, -0x1.1e343c7c99579p-2, -0x1.1da7fe8e6edf7p-2, -0x1.1d111f81defa2p-2, -0x1.1c6fcb07be9c2p-2, -0x1.1bc42d40a637bp-2, -0x1.1b0e72b552533p-2, -0x1.1a4ec84552be9p-2, -0x1.19855b1a93cadp-2, -0x1.18b258a209341p-2, -0x1.17d5ee87d79b9p-2, -0x1.16f04aacc50cdp-2, -0x1.16019b1898e67p-2, -0x1.150a0df28a12dp-2, -0x1.1409d17faecf1p-2, -0x1.1301141ebbb63p-2, -0x1.11f0043ce5c75p-2, -0x1.10d6d04b14e7dp-2, -0x1.0fb5a6baa0b3p-2, -0x1.0e8cb5fdc111p-2, -0x1.0d5c2c8316484p-2, -0x1.0c2438ab465f2p-2, -0x1.0ae508c0314efp-2, -0x1.099ecaf35166bp-2, -0x1.0851ad5f2702dp-2, -0x1.06fdde03a5515p-2, -0x1.05a38abcfcf7ap-2, -0x1.0442e13ba9f9fp-2, -0x1.02dc0f02aa555p-2, -0x1.016f416923c5ap-2, -0x1.fff94b31627dfp-3, -0x1.fd08d10c0853fp-3, -0x1.fa0d6dd1f38b6p-3, -0x1.f7077a730b689p-3, -0x1.f3f74f618a98bp-3, -0x1.f0dd4491f11f5p-3, -0x1.edb9b1722fbd5p-3, -0x1.ea8cecdac579bp-3, -0x1.e7574d04d513bp-3, -0x1.e4192788d33ep-3, -0x1.e0d2d1605ef87p-3, -0x1.dd849ee2e46c7p-3, -0x1.da2ee3bb2aea2p-3, -0x1.d6d1f2dbe2edep-3, -0x1.d36e1e784f47ap-3, -0x1.d003b805a411ep-3, -0x1.cc93103a28272p-3, -0x1.c91c7709a1757p-3, -0x1.c5a03b9bc50abp-3, -0x1.c21eac42f1e4dp-3, -0x1.be9816775c36dp-3, -0x1.bb0cc6d68fa02p-3, -0x1.b77d09238c337p-3, -0x1.b3e928435c21cp-3, -0x1.b0516e35b172bp-3, -0x1.acb6240d2ae5bp-3, -0x1.a91791eacf41ep-3, -0x1.a575fefd2c288p-3, -0x1.a1d1b1807943dp-3, -0x1.9e2aeebcddd5bp-3, -0x1.9a81fb01a305dp-3, -0x1.96d7199f02d3ap-3, -0x1.932a8ce1a447ap-3, -0x1.8f7c9610e80b7p-3, -0x1.8bcd756f1d307p-3, -0x1.881d6a39650a1p-3, -0x1.846cb2a5a8b0fp-3, -0x1.80bb8bdeb2a7bp-3, -0x1.7d0a320035257p-3, -0x1.7958e0146f8dcp-3, -0x1.75a7d013bc171p-3, -0x1.71f73ae53df49p-3, -0x1.6e47585f19a18p-3, -0x1.6a985f455701bp-3, -0x1.66ea85478ec3ep-3, -0x1.633dfefec9066p-3, -0x1.5f92ffec8549fp-3, -0x1.5be9ba7b0b5e8p-3, -0x1.58425ffe869f3p-3, -0x1.549d20b5fc3cbp-3, -0x1.50fa2bcb862c2p-3, -0x1.4d59af539609ap-3, -0x1.49bbd84c5eae6p-3, -0x1.4620d29de1627p-3, -0x1.4288c91ad532fp-3, -0x1.3ef3e58231e4p-3, -0x1.3b625080d0dffp-3, -0x1.37d431b2d79dap-3, -0x1.3449afa4a43dbp-3, -0x1.30c2efd38d4bcp-3, -0x1.2d4016aed727ep-3, -0x1.29c1479922d25p-3, -0x1.2646a4ea4aab5p-3, -0x1.22d04ff18915ap-3, -0x1.1f5e68f7c870bp-3, -0x1.1bf10f41d52abp-3, -0x1.188861125e905p-3, -0x1.15247babd54eep-3, -0x1.11c57b5270aap-3, -0x1.0e6b7b4e68785p-3, -0x1.0b1695ee6bd18p-3, -0x1.07c6e48a58d3ap-3, -0x1.047c7f862af1ap-3, -0x1.01377e54f2efp-3, -0x1.fbefeef75c9eap-4, -0x1.f57c0127e91b9p-4, -0x1.ef135c9d3e1a5p-4, -0x1.e8b628ed037cbp-4, -0x1.e2648be69171p-4, -0x1.dc1ea9992342cp-4, -0x1.d5e4a45a79p-4, -0x1.cfb69ccdc301ep-4, -0x1.c994b1ea82e6cp-4, -0x1.c37f0102ec209p-4, -0x1.bd75a5ca0a74bp-4, -0x1.b778ba59dfb09p-4, -0x1.b1885739b4623p-4, -0x1.aba49364b436cp-4, -0x1.a5cd8450e5d38p-4, -0x1.a0033df670166p-4, -0x1.9a45d2d6ca3adp-4, -0x1.94955403d4987p-4, -0x1.8ef1d1267d18dp-4, -0x1.895b5885575d1p-4, -0x1.83d1f70b4e0b6p-4, -0x1.7e55b84e92092p-4, -0x1.78e6a697bdc8p-4, -0x1.7384cae8f865bp-4, -0x1.6e302d0504bdbp-4, -0x1.68e8d3761fed1p-4, -0x1.63aec394b624cp-4, -0x1.5e82018e0800dp-4, -0x1.5962906aec053p-4, -0x1.54507216dcfb4p-4, -0x1.4f4ba7672e7c6p-4, -0x1.4a54302247d1ap-4, -0x1.456a0b0677bc4p-4, -0x1.408d35d044205p-4, -0x1.3bbdad4077e41p-4, -0x1.36fb6d220d457p-4, -0x1.3246705062c75p-4, -0x1.2d9eb0bde3e08p-4, -0x1.2904277b207eep-4, -0x1.2476ccbe1951fp-4, -0x1.1ff697e94ad0bp-4, -0x1.1b837f921af93p-4, -0x1.171d79866c64cp-4, -0x1.12c47ad194cap-4, -0x1.0e7877c130224p-4, -0x1.0a3963ea57e91p-4, -0x1.0607322fa504cp-4, -0x1.01e1d4c7ed917p-4, -0x1.fb927a8ae6871p-5, -0x1.f37ab939c655dp-5, -0x1.eb7c465734914p-5, -0x1.e3970179b3faap-5, -0x1.dbcac91bfb778p-5, -0x1.d4177aa447fd6p-5, -0x1.cc7cf26bee2bdp-5, -0x1.c4fb0bc860db8p-5, -0x1.bd91a116498d2p-5, -0x1.b6408bc649dffp-5, -0x1.af07a46a6c3f8p-5, -0x1.a7e6c2c2d8554p-5, -0x1.a0ddbdc8a356ep-5, -0x1.99ec6bb64c4eep-5, -0x1.9312a20e28a13p-5, -0x1.8c50359fd1d32p-5, -0x1.85a4fa8de49bp-5, -0x1.7f10c4552297p-5, -0x1.789365d57e7dcp-5, -0x1.722cb15cd0fabp-5, -0x1.6bdc78b23613ap-5, -0x1.65a28d20f9f6dp-5, -0x1.5f7ebf81fd212p-5, -0x1.5970e04311e5ap-5, -0x1.5378bf6c91f83p-5, -0x1.4d962ca5e8eb5p-5, -0x1.47c8f73a07cf6p-5, -0x1.4210ee1cb2424p-5, -0x1.3c6ddff10d14dp-5, -0x1.36df9b117d4d4p-5, -0x1.3165ed982d956p-5, -0x1.2c00a5678974dp-5, -0x1.26af9031fe116p-5, -0x1.21727b8065ff1p-5, -0x1.1c4934b747892p-5, -0x1.1733891b0c269p-5, -0x1.123145d3e7b6ap-5, -0x1.0d4237f1f1b3ep-5, -0x1.08662c71c8528p-5, -0x1.039cf041e49a1p-5, -0x1.fdcca090dd206p-6, -0x1.f48432d24d016p-6, -0x1.eb60311637e98p-6, -0x1.e260353b5ab56p-6, -0x1.d983d939eed8bp-6, -0x1.d0cab72b2ef3fp-6, -0x1.c834695025291p-6, -0x1.bfc08a18482d9p-6, -0x1.b76eb42856fe3p-6, -0x1.af3e82619e1f7p-6, -0x1.a72f8fe9cdd4p-6, -0x1.9f417832e083p-6, -0x1.9773d702d6e4cp-6, -0x1.8fc6487ae3ee8p-6, -0x1.8838691dfb1e1p-6, -0x1.80c9d5d6811b8p-6, -0x1.797a2bfb8ffd7p-6, -0x1.72490955d41b5p-6, -0x1.6b360c245b81ap-6, -0x1.6440d32188952p-6, -0x1.5d68fd882731p-6, -0x1.56ae2b1883e15p-6, -0x1.500ffc1da4e4fp-6, -0x1.498e1172237b5p-6, -0x1.43280c84e6f06p-6, -0x1.3cdd8f5d05838p-6, -0x1.36ae3c9b62e0bp-6, -0x1.3099b77f3a9dfp-6, -0x1.2a9fa3f51ed93p-6, -0x1.24bfa680d4041p-6, -0x1.1ef96457451bdp-6, -0x1.194c8352ee523p-6, -0x1.13b8a9fa9e036p-6, -0x1.0e3d7f8c89fa9p-6, -0x1.08daabf7e455cp-6, -0x1.038fd7e1784f4p-6, -0x1.fcb9594d98e3fp-7, -0x1.f281a8c0d5517p-7, -0x1.e877f3c72bep-7, -0x1.de9b918832b92p-7, -0x1.d4ebdaab5b298p-7, -0x1.cb68295aad179p-7, -0x1.c20fd94552a16p-7, -0x1.b8e247a1da8aap-7, -0x1.afded330a4e3dp-7, -0x1.a704dc3e0c236p-7, -0x1.9e53c4a4802bdp-7, -0x1.95caefce852c9p-7, -0x1.8d69c2b88579p-7, -0x1.852fa3f242441p-7, -0x1.7d1bfba04b65p-7, -0x1.752e337ccb695p-7, -0x1.6d65b6d871348p-7, -0x1.65c1f29acce2dp-7, -0x1.5e4255428ae5cp-7, -0x1.56e64ee5756c2p-7, -0x1.4fad5130637eap-7, -0x1.4896cf66e5f6cp-7, -0x1.41a23e62facb4p-7, -0x1.3acf1494969p-7, -0x1.341cca012fa5ap-7, -0x1.2d8ad842fbde5p-7, -0x1.2718ba885b4eep-7, -0x1.20c5ed92ff6e8p-7, -0x1.1a91efb6e88dfp-7, -0x1.147c40d963728p-7, -0x1.0e84626fd6ab5p-7, -0x1.08a9d77e7beabp-7, -0x1.02ec2496d6a96p-7, -0x1.fa959fac07543p-8, -0x1.ef8ac1c5e120cp-8, -0x1.e4b6c1d885a4dp-8, -0x1.da18b54c8387fp-8, -0x1.cfafb4912897fp-8, -0x1.c57adb17e4b77p-8, -0x1.bb79474fe757fp-8, -0x1.b1aa1aa1683b1p-8, -0x1.a80c7969bf5dcp-8, -0x1.9e9f8af6c9971p-8, -0x1.9562798329e3ep-8, -0x1.8c547231c5f28p-8, -0x1.8374a509b4f5dp-8, -0x1.7ac244f12e9b8p-8, -0x1.723c87a865beep-8, -0x1.69e2a5c3a00b6p-8, -0x1.61b3daa4aede5p-8, -0x1.59af6473ea9fap-8, -0x1.51d484191e9efp-8, -0x1.4a227d3426f8cp-8, -0x1.42989616375e6p-8, -0x1.3b3617bbaee28p-8, -0x1.33fa4dc6a3939p-8, -0x1.2ce4867a99933p-8, -0x1.25f412b877426p-8, -0x1.1f2845fb5db42p-8, -0x1.18807654e5788p-8, -0x1.11fbfc68d493ep-8, -0x1.0b9a336779af3p-8, -0x1.055a79062cb76p-8, -0x1.fe785aec81464p-9, -0x1.f27d66b44fc38p-9, -0x1.e6c2df7391006p-9, -0x1.db4793ee539fbp-9, -0x1.d00a5787e38ffp-9, -0x1.c50a0232c0738p-9, -0x1.ba4570668fd1cp-9, -0x1.afbb831cdf4d9p-9, -0x1.a56b1fd300e67p-9, -0x1.9b53308fac1f9p-9, -0x1.9172a3e85e698p-9, -0x1.87c86d033b544p-9, -0x1.7e538391e3e14p-9, -0x1.7512e3c1f6474p-9, -0x1.6c058e2287a4ep-9, -0x1.632a877f9a97p-9, -0x1.5a80d8b6d61d2p-9, -0x1.52078e89dfe29p-9, -0x1.49bdb975e5f6bp-9, -0x1.41a26d9400b51p-9, -0x1.39b4c289c5ad1p-9, -0x1.31f3d389f6b62p-9, -0x1.2a5ebf665925cp-9, -0x1.22f4a8ae73da6p-9, -0x1.1bb4b5d4fdc3ap-9, -0x1.149e11536577cp-9, -0x1.0dafe9c2a8489p-9, -0x1.06e971e22879cp-9, -0x1.0049e085e80dfp-9, -0x1.f3a0e0d806064p-10, -0x1.e6f8bff75f4cdp-10, -0x1.da99e1eda54f5p-10, -0x1.ce82d0440b734p-10, -0x1.c2b219899ad7fp-10, -0x1.b7265222f279p-10, -0x1.abde129f11c44p-10, -0x1.a0d7f883f7186p-10, -0x1.9612a6113d954p-10, -0x1.8b8cc3da8fb7cp-10, -0x1.81450087fcd31p-10, -0x1.773a11cf63f99p-10, -0x1.6d6ab50eaf0b4p-10, -0x1.63d5afa1ce0e2p-10, -0x1.5a79cee616be8p-10, -0x1.5155e7dc9fe6p-10, -0x1.4868d66cfc414p-10, -0x1.3fb17c5d51c01p-10, -0x1.372ec01f9f026p-10, -0x1.2edf8ba2d33dbp-10, -0x1.26c2cb557ca7ap-10, -0x1.1ed76d84a5bddp-10, -0x1.171c6233ecdb2p-10, -0x1.0f909b79403cep-10, -0x1.08330e53cb9d5p-10, -0x1.0102b3e22771ap-10, -0x1.f3fd159bc1f92p-11, -0x1.e64b3171b3cecp-11, -0x1.d8edd6eb1d489p-11, -0x1.cbe333af00065p-11, -0x1.bf2987e692b6ep-11, -0x1.b2bf256ba6483p-11, -0x1.a6a26da1c381ep-11, -0x1.9ad1ce0839881p-11, -0x1.8f4bc047089fep-11, -0x1.840eb3eabe199p-11, -0x1.79192cb7d6387p-11, -0x1.6e699e24b5845p-11, -0x1.63fe7a4f10d1p-11, -0x1.59d62e8d43c7ep-11, -0x1.4fef24f936554p-11, -0x1.4647c75d2c267p-11, -0x1.3cde831a2d3a6p-11, -0x1.33b1cd89408d3p-11, -0x1.2ac0284b94ebfp-11, -0x1.22082507b6c46p-11, -0x1.19886825c516fp-11, -0x1.113faa3b33124p-11, -0x1.092cb7fa5cdd2p-11, -0x1.014e70a0da064p-11, -0x1.f347861649627p-12, -0x1.e4575374b2614p-12, -0x1.d5ca4c754b665p-12, -0x1.c79e78e2c8ad4p-12, -0x1.b9d1dcc71fdc8p-12, -0x1.ac6271f4197e6p-12, -0x1.9f4e245b74506p-12, -0x1.9292d19c3d0dp-12, -0x1.862e4ba9c08b4p-12, -0x1.7a1e5de4c1f5fp-12, -0x1.6e60d39f5c84ep-12, -0x1.62f37ee6c9905p-12, -0x1.57d43e949f7b7p-12, -0x1.4d0103143ffabp-12, -0x1.4277d1b868edap-12, -0x1.3836c6cea4b67p-12, -0x1.2e3c16b2b862p-12, -0x1.24860e0eb46a1p-12, -0x1.1b13113879033p-12, -0x1.11e19a80dc649p-12, -0x1.08f037407a0f6p-12, -0x1.003d83acc6bf7p-12, -0x1.ef904b9a2ed56p-13, -0x1.df1d909e4fb43p-13, -0x1.cf202c65d9864p-13, -0x1.bf9570819dc18p-13, -0x1.b07aa9c16087fp-13, -0x1.a1cd24795e9bap-13, -0x1.938a33ab90149p-13, -0x1.85af3837392ecp-13, -0x1.7839a4f327958p-13, -0x1.6b26fdae5d24cp-13, -0x1.5e74d11d188a5p-13, -0x1.5220b024bbc54p-13, -0x1.4628267ec18a5p-13, -0x1.3a88b8a50c127p-13, -0x1.2f3fe9093908dp-13, -0x1.244b43a94a747p-13, -0x1.19a86c3607b6dp-13, -0x1.0f5529b437d51p-13, -0x1.054f6b374f975p-13, -0x1.f72a8806ace3dp-14, -0x1.e449c19fb53eep-14, -0x1.d1f8f54ed4d44p-14, -0x1.c034995a850cp-14, -0x1.aef921337e012p-14, -0x1.9e4305a42b68bp-14, -0x1.8e0ed807e4842p-14, -0x1.7e5952ab24762p-14, -0x1.6f1f6e3696ef4p-14, -0x1.605e6725ce94p-14, -0x1.52139c538a289p-14, -0x1.443c869e7ab51p-14, -0x1.36d68f4df31p-14, -0x1.29dee54190d1p-14, -0x1.1d52660817fa7p-14, -0x1.112d9a521a784p-14, -0x1.056ccf5fae026p-14, -0x1.f418932bf2699p-15, -0x1.de110559b158p-15, -0x1.c8bcbf630fba1p-15, -0x1.b416984029245p-15, -0x1.a01a5fae210cap-15, -0x1.8cc486d25a60bp-15, -0x1.7a11a81f4bbf5p-15, -0x1.67fe1f9491819p-15, -0x1.5685dce15e11cp-15, -0x1.45a47da5456a6p-15, -0x1.35559d02779fbp-15, -0x1.2595303813b4ap-15, -0x1.165fc7c63f256p-15, -0x1.07b29d1a715b6p-15, -0x1.f316d4546c71cp-16, -0x1.d7d032c92edf2p-16, -0x1.bd8ccbba15a5ep-16, -0x1.a4470bbb39744p-16, -0x1.8bf7e8654287fp-16, -0x1.7496c1c634bc6p-16, -0x1.5e198d27bfe67p-16, -0x1.48753bd5a660bp-16, -0x1.339e558f6e40ap-16, -0x1.1f89bea6f59bdp-16, -0x1.0c2d90ebaf8a7p-16, -0x1.f303aac0135e4p-17, -0x1.cf01c51672e6p-17, -0x1.ac4e68e49ff9cp-17, -0x1.8ae57b460013fp-17, -0x1.6ac3c342c3494p-17, -0x1.4be4e3fd225aap-17, -0x1.2e421cc6d31f7p-17, -0x1.11d23d9f481cdp-17, -0x1.ed155f054b7a2p-18, -0x1.b8c20abc149d5p-18, -0x1.8698fb1d6f373p-18, -0x1.568e0b3f44ce6p-18, -0x1.289ad6353eaabp-18, -0x1.f979e9a9c6441p-19, -0x1.a5e482c9e04ccp-19, -0x1.5669b10c23983p-19, -0x1.0aef64811f06cp-19, -0x1.869bc91817489p-20, -0x1.fd4e205aa08cep-21, -0x1.f65858487676ep-22, -0x1.805e5cc12f25fp-27, 0x1.c5eafbe99b667p-22, 0x1.c070ac47c5014p-21, 0x1.498f34aecbdf9p-20, 0x1.adcfc080141a4p-20, 0x1.069f6ed50b0f4p-19, 0x1.3408dd5e3effap-19, 0x1.5f367e9f89f7bp-19, 0x1.88339a5c8b20ep-19, 0x1.af06864eae98bp-19, 0x1.d3b3609b5e4a6p-19, 0x1.f63f5e367d9c8p-19, 0x1.0b59f94066d53p-18, 0x1.1a90549347531p-18, 0x1.28cd4d5d0f0dfp-18, 0x1.361c468b14ea9p-18, 0x1.428629088b5e3p-18, 0x1.4e0ea6d8c341bp-18, 0x1.58b4b2d032e9ep-18, 0x1.6276949f7e306p-18, 0x1.6b56b579774c5p-18, 0x1.735db537a4259p-18, 0x1.7a98fbb3633a5p-18, 0x1.8117922b25dc6p-18, 0x1.86e763123c555p-18, 0x1.8c13ce4b899d9p-18, 0x1.90a5736877e63p-18, 0x1.94a2c9ad3a7dfp-18, 0x1.98113912b13ccp-18, 0x1.9af6652134ee4p-18, 0x1.9d591dbeae6aep-18, 0x1.9f414daaf31fdp-18, 0x1.a0b6c1339b8c3p-18, 0x1.a1c06571d0525p-18, 0x1.a2633c9056c3ep-18, 0x1.a2a563437cd7bp-18, 0x1.a28e83d81e896p-18, 0x1.a22469b34b35bp-18, 0x1.a168b88b61d6ap-18, 0x1.a058b36cd663fp-18, 0x1.9ef1a8775bb86p-18, 0x1.9d3577bc1d479p-18, 0x1.9b2a5605ec234p-18, 0x1.98d5cb6f271a9p-18, 0x1.9638a1131eb6dp-18, 0x1.9350bbdeba062p-18, 0x1.901ea5fab6e06p-18, 0x1.8ca86353e32ep-18, 0x1.88f7560d5a201p-18, 0x1.85145d1295deap-18, 0x1.81058689f1934p-18, 0x1.7ccdf44526319p-18, 0x1.786ee810c411p-18, 0x1.73e8ee481daf9p-18, 0x1.6f3cad19b741p-18, 0x1.6a6b4d5dd2105p-18, 0x1.65769df2b15ebp-18, 0x1.60610f8c782a6p-18, 0x1.5b2d96be806b2p-18, 0x1.55df7ec28395cp-18, 0x1.507a284d86061p-18, 0x1.4b008566ce7c8p-18, 0x1.45744a919e706p-18, 0x1.3fd5ad8e7d55bp-18, 0x1.3a25121a7483bp-18, 0x1.346617e247bcep-18, 0x1.2e9ff2e5a21d9p-18, 0x1.28d826568e521p-18, 0x1.230cc84b4773dp-18, 0x1.1d36864cc89d5p-18, 0x1.1751278ab121bp-18, 0x1.11604500e865dp-18, 0x1.0b6a964d888fdp-18, 0x1.0572f29bb168fp-18, 0x1.fef0fd6f1620cp-19, 0x1.f2f6ef5155f89p-19, 0x1.e6fd57c9b71d5p-19, 0x1.db0ac1ce3964p-19, 0x1.cf2344f3d19fap-19, 0x1.c34872ec2cea3p-19, 0x1.b77aa5434049p-19, 0x1.abb9ff0ee45f2p-19, 0x1.a006b5777f3a1p-19, 0x1.9460d6e60a747p-19, 0x1.88c803446fcb8p-19, 0x1.7d3b89bcf01dbp-19, 0x1.71bb1ca21e6e7p-19, 0x1.6647f04a68727p-19, 0x1.5ae5e8bff93fp-19, 0x1.4f9bedf6662bcp-19, 0x1.4471b3de8960ap-19, 0x1.396952ab5547ap-19, 0x1.2e7e9f46697ffp-19, 0x1.23aa6ca8c6e9ep-19, 0x1.18eb1a40b3922p-19, 0x1.0e45726bc6e1fp-19, 0x1.03bca230b45b6p-19, 0x1.f29d2f2a66185p-20, 0x1.ddf61cda42e97p-20, 0x1.c98c0d3a7fdc6p-20, 0x1.b5614868edba1p-20, 0x1.a173c9f062418p-20, 0x1.8dcb70e3e3624p-20, 0x1.7a72215412356p-20, 0x1.6762ba44b161p-20, 0x1.54918ba8e7e06p-20, 0x1.41fcc142230a7p-20, 0x1.2fa9fcd4a7ad6p-20, 0x1.1d9dc73fea6eap-20, 0x1.0bd9874e975d6p-20, 0x1.f4ba40b8ae7f5p-21, 0x1.d25092123a048p-21, 0x1.b075bf1da087ep-21, 0x1.8f2945a0894ebp-21, 0x1.6e697643960c9p-21, 0x1.4e335645ab4b6p-21, 0x1.2e869ee1ad093p-21, 0x1.0f5b2d0fd8a8dp-21, 0x1.e16d99f0472d6p-22, 0x1.a53ba281ba23fp-22, 0x1.6a3995e68a3c8p-22, 0x1.306e89fe85acbp-22, 0x1.ef83ef540fa8bp-23, 0x1.80463a5824eabp-23, 0x1.13440091cc807p-23, 0x1.5120d0c209483p-24, 0x1.00086157fc5ddp-25, -0x1.3429520227131p-26, -0x1.15eb77139c598p-24, -0x1.da72b62e14374p-24, -0x1.4d50c9d450c7dp-23, -0x1.ab51f91f76bc1p-23, -0x1.03a545660942dp-22, -0x1.3093d41c40bfcp-22, -0x1.5c6e342ceb2f4p-22, -0x1.873b909f47d6ap-22, -0x1.b0fdb4e68c389p-22, -0x1.d9b9da2d91e66p-22, -0x1.00bdd15e282f1p-21, -0x1.142228b8c1719p-21, -0x1.27084c6ee89f9p-21, -0x1.39708c19471f2p-21, -0x1.4b5c78e77b0d1p-21, -0x1.5ccdbbb3a1535p-21, -0x1.6dc5ccfc921aap-21, -0x1.7e4605840bf7fp-21, -0x1.8e4fb44b6994cp-21, -0x1.9de42a0cf526ap-21, -0x1.ad04be1d9e779p-21, -0x1.bbb2d1d557b6ep-21, -0x1.c9efcd5c3485ap-21, -0x1.d7bd108390f59p-21, -0x1.e51bfa9dcb79fp-21, -0x1.f20e00f6341bcp-21, -0x1.fe949016659aep-21, -0x1.055885131e6c7p-20, -0x1.0b3272a28e02bp-20, -0x1.10d8c703ac69ep-20, -0x1.164c3154b2a87p-20, -0x1.1b8d675578121p-20, -0x1.209d28f57ab55p-20, -0x1.257c3cd7067acp-20, -0x1.2a2b6a0d27d59p-20, -0x1.2eab6fd5fbdd1p-20, -0x1.32fd020e26867p-20, -0x1.3720d4cb7b931p-20, -0x1.3b17ae3c52a62p-20, -0x1.3ee25357034a7p-20, -0x1.42812f77a0097p-20, -0x1.45f4479315beap-20, -0x1.493ca03231ab1p-20, -0x1.4c5c35e61f54fp-20, -0x1.4f544cb10ac6ep-20, -0x1.5224e3a02a015p-20, -0x1.54ccfce000f17p-20, -0x1.574da6d997eb6p-20, -0x1.59a925eb6a25p-20, -0x1.5bded85c9e756p-20, -0x1.5df0cf025213cp-20, -0x1.5fdf188affa46p-20, -0x1.61aa5f0eb4ab6p-20, -0x1.6353445117064p-20, -0x1.64d9c45c07d7cp-20, -0x1.663d8240ad659p-20, -0x1.6780589e56825p-20, -0x1.68a478bce4fb4p-20, -0x1.69aa85067d08fp-20, -0x1.6a922424ba7f6p-20, -0x1.6b5ae29725533p-20, -0x1.6c0593215bdc8p-20, -0x1.6c9405ae31d13p-20, -0x1.6d0689ab0817ep-20, -0x1.6d5dbe89ad7a9p-20, -0x1.6d9a42569b5bcp-20, -0x1.6dbb9131bcd24p-20, -0x1.6dc47aa3a8a34p-20, -0x1.6db37093d8cfep-20, -0x1.6d89fc0223221p-20, -0x1.6d488f180efa6p-20, -0x1.6cefb9e8a688fp-20, -0x1.6c800d46c9d6p-20, -0x1.6bfa18ce05c17p-20, -0x1.6b5e690b4914cp-20, -0x1.6aad85e0258fdp-20, -0x1.69e7f2bb5076ap-20, -0x1.690e324eba58bp-20, -0x1.6820cc0e0be93p-20, -0x1.672049dd076ap-20, -0x1.660d18fe6ddacp-20, -0x1.64e78fabc0dccp-20, -0x1.63b078593b7c2p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.6f06186950a16p-2, 0x1.6eed2c6fbd92cp-2, 0x1.6ecfbb4257d09p-2, 0x1.6ebc74d740b9cp-2, 0x1.6ec2fdf9ecf68p-2, 0x1.6ef19db02ebecp-2, 0x1.6f53c836f174ap-2, 0x1.6ff16fe09c063p-2, 0x1.70cee764917c1p-2, 0x1.71ed20b61de1dp-2, 0x1.734a1eb105f23p-2, 0x1.74e17d2a9a35ep-2, 0x1.76acfde7349aap-2, 0x1.78a510799805ap-2, 0x1.7ac14f9e96cebp-2, 0x1.7cf8f129f4cf3p-2, 0x1.7f4326f0a9efdp-2, 0x1.81976fe55fa15p-2, 0x1.83edd92f50f54p-2, 0x1.863f2f87dd067p-2, 0x1.888521a84e222p-2, 0x1.8aba55019abe6p-2, 0x1.8cda6e524aeadp-2, 0x1.8ee20fec395cfp-2, 0x1.90cecf9a34ed7p-2, 0x1.929f2615cfefep-2, 0x1.945259e4a7adep-2, 0x1.95e867480db95p-2, 0x1.9761e6b10fd98p-2, 0x1.98bff2eb66b8fp-2, 0x1.9a040ff15cae7p-2, 0x1.9b30131d2a82p-2, 0x1.9c460d34a72e2p-2, 0x1.9d48369c07cefp-2, 0x1.9e38ddd4ba605p-2, 0x1.9f1a584e1a6ffp-2, 0x1.9feef57642c88p-2, 0x1.a0b8f3e8ec139p-2, 0x1.a17a788fd4aaep-2, 0x1.a2358782a292ap-2, 0x1.a2ebfe7282e48p-2, 0x1.a39f906ecb3dp-2, 0x1.a451c2d2e1a32p-2, 0x1.a503eb31e78b7p-2, 0x1.a5b72e1963c42p-2, 0x1.a66c7e89325e6p-2, 0x1.a7249e03c68dcp-2, 0x1.a7e01d1e4ba08p-2, 0x1.a89f5c7c1f29fp-2, 0x1.a9628e249207cp-2, 0x1.aa29b724aa5bep-2, 0x1.aaf4b170f4156p-2, 0x1.abc32dfd45fa7p-2, 0x1.ac94b701b1996p-2, 0x1.ad68b264fb336p-2, 0x1.ae3e6445a69ccp-2, 0x1.af14f19b3c7bcp-2, 0x1.afeb62e9d316ep-2, 0x1.b0c0a70233be9p-2, 0x1.b19395c92a337p-2, 0x1.b262f300d69e6p-2, 0x1.b32d710efde04p-2, 0x1.b3f1b3bb99ec5p-2, 0x1.b4ae52e32f9b2p-2, 0x1.b561dd18b7841p-2, 0x1.b60ada333626fp-2, 0x1.b6a7cdc385b5ap-2, 0x1.b737396f2b54ap-2, 0x1.b7b79f2d800dcp-2, 0x1.b8278364df3c9p-2, 0x1.b8856ee5eec0dp-2, 0x1.b8cff0c397e33p-2, 0x1.b905a0069068dp-2, 0x1.b9251d3bdc8a9p-2, 0x1.b92d13ddf32c4p-2, 0x1.b91c3b98a54fep-2, 0x1.b8f159681ef7ep-2, 0x1.b8ab4093c0ca7p-2, 0x1.b848d385bf827p-2, 0x1.b7c90480b9f79p-2, 0x1.b72ad634aa6c8p-2, 0x1.b66d5c34b9aep-2, 0x1.b58fbb4faa0f6p-2, 0x1.b49129cc991b8p-2, 0x1.b370ef8dfa71dp-2, 0x1.b22e661cac12dp-2, 0x1.b0c8f89d190d5p-2, 0x1.af4023b04c213p-2, 0x1.ad937542e7b93p-2, 0x1.abc28c4bd6be6p-2, 0x1.a9cd187c8dbddp-2, 0x1.a7b2d9e4a160ap-2, 0x1.a573a08a5558p-2, 0x1.a30f4bf9ceca2p-2, 0x1.a085cacc5ec4cp-2, 0x1.9dd71a295693ep-2, 0x1.9b034541b915p-2, 0x1.980a64c8030b5p-2, 0x1.94ec9e6525408p-2, 0x1.91aa242bc1906p-2, 0x1.8e43340a8ddp-2, 0x1.8ab8173ebf809p-2, 0x1.870921c735108p-2, 0x1.8336b1d90ad49p-2, 0x1.7f412f562e2d5p-2, 0x1.7b290b466fb5dp-2, 0x1.76eebf537e79fp-2, 0x1.7292cd48265c9p-2, 0x1.6e15be9320d94p-2, 0x1.697823cdaf192p-2, 0x1.64ba94462796p-2, 0x1.5fddad8ea1f27p-2, 0x1.5ae2130fc9d4ep-2, 0x1.55c86d9fec1dfp-2, 0x1.50916b1e3e7b7p-2, 0x1.4b3dbe1255e74p-2, 0x1.45ce1d4fc57a8p-2, 0x1.4043439dcd63fp-2, 0x1.3a9def6305c67p-2, 0x1.34dee254e08e2p-2, 0x1.2f06e12aebce2p-2, 0x1.2916b355a7caap-2, 0x1.230f22b8d4899p-2, 0x1.1cf0fb6905a7ep-2, 0x1.16bd0b6c5e8acp-2, 0x1.1074227e453b8p-2, 0x1.0a1711d5eb609p-2, 0x1.03a6abef7cf42p-2, 0x1.fa4788afa5b53p-3, 0x1.ed1e5ef504684p-3, 0x1.dfd384e437fb7p-3, 0x1.d268a5b5061e9p-3, 0x1.c4df6d4a53b05p-3, 0x1.b73987de41f5bp-3, 0x1.a978a1b1a3ae6p-3, 0x1.9b9e66be8abp-3, 0x1.8dac826dc2ee7p-3, 0x1.7fa49f4ef9da8p-3, 0x1.718866d36e066p-3, 0x1.6359810aed016p-3, 0x1.5519946305e98p-3, 0x1.46ca45683f70bp-3, 0x1.386d368937d2ep-3, 0x1.2a0407db8c6f9p-3, 0x1.1b9056e26dc1fp-3, 0x1.0d13be56d1a4dp-3, 0x1.fd1fabe236d82p-4, 0x1.e00c64688fccep-4, 0x1.c2f0c874d2c4p-4, 0x1.a5cff305038cep-4, 0x1.88acf77f52001p-4, 0x1.6b8ae152e9d4ap-4, 0x1.4e6cb39b3a5e4p-4, 0x1.315568c5b98c1p-4, 0x1.1447f23a05226p-4, 0x1.ee8e7008f5433p-5, 0x1.b4ac31065e545p-5, 0x1.7aeed02aab38ap-5, 0x1.415be19a2e5abp-5, 0x1.07f8e447a6b9ap-5, 0x1.9d9682c3a711cp-6, 0x1.2bb0978bd53d2p-6, 0x1.7494fddd12e0dp-7, 0x1.25ba08e0934cdp-8, -0x1.36ca280a04f9dp-9, -0x1.2d05db9ed122dp-7, -0x1.0584c0d287b8bp-6, -0x1.73d539153db7bp-6, -0x1.e16b04dd495c5p-6, -0x1.271e83389f3c3p-5, -0x1.5d212a6975134p-5, -0x1.92b91e37281ebp-5, -0x1.c7e21fde987c2p-5, -0x1.fc980bef71bcdp-5, -0x1.186b6d492771fp-4, -0x1.324d4fe4835ap-4, -0x1.4befc5d482c82p-4, -0x1.6550f547ec0f1p-4, -0x1.7e6f12a8e406ap-4, -0x1.974860b1411c5p-4, -0x1.afdb307bfedc4p-4, -0x1.c825e193b4382p-4, -0x1.e026e1fe263a1p-4, -0x1.f7dcae44fc6bbp-4, -0x1.07a2e8bdbf6b8p-3, -0x1.133072a0ce0a5p-3, -0x1.1e9648e1fe52fp-3, -0x1.29d3c6dcb6beap-3, -0x1.34e84f2eb83ap-3, -0x1.3fd34bb41ba3ep-3, -0x1.4a942d81edb1ep-3, -0x1.552a6cdf8b88dp-3, -0x1.5f95893ea7678p-3, -0x1.69d509321f9d1p-3, -0x1.73e87a6392addp-3, -0x1.7dcf7187c4e2ap-3, -0x1.87898a51e2b18p-3, -0x1.9116676598151p-3, -0x1.9a75b2481e3fbp-3, -0x1.a3a71b502d313p-3, -0x1.acaa5994f1bbap-3, -0x1.b57f2adbfe49p-3, -0x1.be2553865288ep-3, -0x1.c69c9e7c7057ep-3, -0x1.cee4dd1995a18p-3, -0x1.d6fde7161979dp-3, -0x1.dee79a71034dap-3, -0x1.e6a1db58dc292p-3, -0x1.ee2c9413c3c21p-3, -0x1.f587b4e6dc9f5p-3, -0x1.fcb333fd08548p-3, -0x1.01d786a68a9f3p-2, -0x1.053da13fa5a3bp-2, -0x1.088bed693e52ep-2, -0x1.0bc2718045cfbp-2, -0x1.0ee1369142ef2p-2, -0x1.11e8484a2645cp-2, -0x1.14d7b4ebedd38p-2, -0x1.17af8d3c1cb57p-2, -0x1.1a6fe476074c6p-2, -0x1.1d18d03bffb92p-2, -0x1.1faa68885eb95p-2, -0x1.2224c79e73e2ep-2, -0x1.248809fb5c5d7p-2, -0x1.26d44e46c9c63p-2, -0x1.2909b543b62adp-2, -0x1.2b2861c1108a2p-2, -0x1.2d30788a5ec6ap-2, -0x1.2f2220585c84ep-2, -0x1.30fd81c19b5bap-2, -0x1.32c2c72b23e55p-2, -0x1.34721cb921dp-2, -0x1.360bb03f93723p-2, -0x1.378fb1330cb9fp-2, -0x1.38fe509986dc3p-2, -0x1.3a57c0fb45218p-2, -0x1.3b9c3653cad8fp-2, -0x1.3ccbe602f166ap-2, -0x1.3de706be12fd8p-2, -0x1.3eedd08156c65p-2, -0x1.3fe07c811b5f4p-2, -0x1.40bf451b85dc6p-2, -0x1.418a65ca3234ep-2, -0x1.42421b140d086p-2, -0x1.42e6a27f55d97p-2, -0x1.43783a83c86dbp-2, -0x1.43f7227cf76f4p-2, -0x1.44639a9ccff54p-2, -0x1.44bde3de4f3p-2, -0x1.45063ff86a37cp-2, -0x1.453cf15124eb1p-2, -0x1.45623af0de047p-2, -0x1.45766075cf85fp-2, -0x1.4579a607c53dep-2, -0x1.456c504c09638p-2, -0x1.454ea459889e9p-2, -0x1.4520e7ad301c1p-2, -0x1.44e3601e814cp-2, -0x1.449653d464f2dp-2, -0x1.443a093a35a68p-2, -0x1.43cec6f501b4dp-2, -0x1.4354d3d91135ep-2, -0x1.42cc76df9f22bp-2, -0x1.4235f71cd3f3fp-2, -0x1.41919bb5f9dd7p-2, -0x1.40dfabd7edbbdp-2, -0x1.40206eadcfc74p-2, -0x1.3f542b57ed026p-2, -0x1.3e7b28e2e6ac5p-2, -0x1.3d95ae3f1745bp-2, -0x1.3ca4023834469p-2, -0x1.3ba66b6d29015p-2, -0x1.3a9d3048329cdp-2, -0x1.398896f732276p-2, -0x1.3868e56440a1bp-2, -0x1.373e612e77d0fp-2, -0x1.36094fa2fad69p-2, -0x1.34c9f5b637f46p-2, -0x1.338097fd614aap-2, -0x1.322d7aa824ebp-2, -0x1.30d0e17a97f03p-2, -0x1.2f6b0fc75dd5ep-2, -0x1.2dfc486a05793p-2, -0x1.2c84cdc19f459p-2, -0x1.2b04e1ab87b8p-2, -0x1.297cc57e67fa9p-2, -0x1.27ecba056ecbdp-2, -0x1.2654ff7bbaa81p-2, -0x1.24b5d587f6868p-2, -0x1.230f7b382f527p-2, -0x1.21622efdd6b18p-2, -0x1.1fae2ea9f70bap-2, -0x1.1df3b7699ccaap-2, -0x1.1c3305c26961ap-2, -0x1.1a6c558f5b1b9p-2, -0x1.189fe1fdbe411p-2, -0x1.16cde58a4f801p-2, -0x1.14f699fe873aep-2, -0x1.131a386e15a82p-2, -0x1.1138f9348222bp-2, -0x1.0f5313f2fecebp-2, -0x1.0d68bf8e5946dp-2, -0x1.0b7a322d1d6b8p-2, -0x1.0987a135daf2p-2, -0x1.0791414d9216ep-2, -0x1.0597465645b38p-2, -0x1.0399e36db2b51p-2, -0x1.01994aec2a52ap-2, -0x1.ff2b5cc720a67p-3, -0x1.fb1e7d3cf825fp-3, -0x1.f70c573eeedfcp-3, -0x1.f2f54940c550ep-3, -0x1.eed9b023e7debp-3, -0x1.eab9e736aff72p-3, -0x1.e6964833de5d1p-3, -0x1.e26f2b424f82cp-3, -0x1.de44e6f4ead3fp-3, -0x1.da17d04ac421fp-3, -0x1.d5e83aaf771f2p-3, -0x1.d1b677fbadf2dp-3, -0x1.cd82d875e47fap-3, -0x1.c94daad3541fap-3, -0x1.c5173c391183bp-3, -0x1.c0dfd83d52285p-3, -0x1.bca7c8e8e3ed4p-3, -0x1.b86f56b8cfc74p-3, -0x1.b436c8a01a5a1p-3, -0x1.affe6409b411ap-3, -0x1.abc66cda8fef9p-3, -0x1.a78f2573d9223p-3, -0x1.a358ceb54d8c6p-3, -0x1.9f23a7ffb7177p-3, -0x1.9aefef378d7bp-3, -0x1.96bde0c7a99c4p-3, -0x1.928db7a42245p-3, -0x1.8e5fad4d3d15ep-3, -0x1.8a33f9d27d602p-3, -0x1.860ad3d5cba14p-3, -0x1.81e4708eb4bdfp-3, -0x1.7dc103cdc3a06p-3, -0x1.79a0bfffe9cb1p-3, -0x1.7583d6320411p-3, -0x1.716a76146c7f9p-3, -0x1.6d54cdfea5cafp-3, -0x1.69430af30ea4cp-3, -0x1.653558a2af76ap-3, -0x1.612be17110e7cp-3, -0x1.5d26ce781f952p-3, -0x1.5926478c24e52p-3, -0x1.552a733fc6045p-3, -0x1.513376e80909ap-3, -0x1.4d4176a07640fp-3, -0x1.4954954f2d24bp-3, -0x1.456cf4a911f9p-3, -0x1.418ab535fd28ap-3, -0x1.3dadf654f1abdp-3, -0x1.39d6d64059972p-3, -0x1.360572124b761p-3, -0x1.3239e5c8cd028p-3, -0x1.2e744c4a23ee7p-3, -0x1.2ab4bf691ec3cp-3, -0x1.26fb57e96af51p-3, -0x1.23482d83e5a7ep-3, -0x1.1f9b56eaec7edp-3, -0x1.1bf4e9ceb8f17p-3, -0x1.1854fae1b0359p-3, -0x1.14bb9ddcb86efp-3, -0x1.1128e5838b3bcp-3, -0x1.0d9ce3a9059d9p-3, -0x1.0a17a9337c47ep-3, -0x1.06994620fd766p-3, -0x1.0321c98ba45a6p-3, -0x1.ff62835ba9915p-4, -0x1.f88f77cd0831ap-4, -0x1.f1ca897ad64c2p-4, -0x1.eb13cfce8e88p-4, -0x1.e46b60940a6c1p-4, -0x1.ddd15001d84d2p-4, -0x1.d745b0c18bf5cp-4, -0x1.d0c893f7fbf3cp-4, -0x1.ca5a094d6644bp-4, -0x1.c3fa1ef59a49bp-4, -0x1.bda8e1b803108p-4, -0x1.b7665cf7afda3p-4, -0x1.b1329abb3972ep-4, -0x1.ab0da3b4ab0ep-4, -0x1.a4f77f494b783p-4, -0x1.9ef0339959f88p-4, -0x1.98f7c587b6f6dp-4, -0x1.930e38c179a1bp-4, -0x1.8d338fc574decp-4, -0x1.8767cbeba4d47p-4, -0x1.81aaed6c89fb5p-4, -0x1.7bfcf3687210fp-4, -0x1.765ddbeea72dep-4, -0x1.70cda4048dcb8p-4, -0x1.6b4c47acad80dp-4, -0x1.65d9c1eda14a8p-4, -0x1.60760cd8f55acp-4, -0x1.5b212191ea85ap-4, -0x1.55daf8542ab93p-4, -0x1.50a3887a5dcb1p-4, -0x1.4b7ac884aecb8p-4, -0x1.4660ae1f39977p-4, -0x1.41552e285e085p-4, -0x1.3c583cb6fe8e1p-4, -0x1.3769cd20a8cb7p-4, -0x1.3289d1ffa7275p-4, -0x1.2db83d38f772bp-4, -0x1.28f500022dae4p-4, -0x1.24400ae741b32p-4, -0x1.1f994dd03ec71p-4, -0x1.1b00b806e32dap-4, -0x1.1676383c24486p-4, -0x1.11f9bc8d9baafp-4, -0x1.0d8b328ae04e4p-4, -0x1.092a873ac371p-4, -0x1.04d7a7207b2c1p-4, -0x1.00927e40b385p-4, -0x1.f8b5f04d1143bp-5, -0x1.f061ffd0d6586p-5, -0x1.e8290059da43bp-5, -0x1.e00ac65eef8cbp-5, -0x1.d8072589d8f13p-5, -0x1.d01df0c05cf8fp-5, -0x1.c84efa2d2684bp-5, -0x1.c09a134887cf3p-5, -0x1.b8ff0ce0ff817p-5, -0x1.b17db723a4cbcp-5, -0x1.aa15e1a453761p-5, -0x1.a2c75b65c2d36p-5, -0x1.9b91f2e15f233p-5, -0x1.9475760f02edfp-5, -0x1.8d71b26c87915p-5, -0x1.8686750521059p-5, -0x1.7fb38a78a15c3p-5, -0x1.78f8bf02806e2p-5, -0x1.7255de80cec79p-5, -0x1.6bcab47aeb019p-5, -0x1.65570c2828ae7p-5, -0x1.5efab07634124p-5, -0x1.58b56c0f68d74p-5, -0x1.52870960f2385p-5, -0x1.4c6f52a0c9bf4p-5, -0x1.466e11d393e1dp-5, -0x1.408310d24f957p-5, -0x1.3aae194fe9bd5p-5, -0x1.34eef4deaf2bcp-5, -0x1.2f456cf58a90ap-5, -0x1.29b14af52da5dp-5, -0x1.2432582d1b653p-5, -0x1.1ec85de079f2ep-5, -0x1.1973254ae1b78p-5, -0x1.143277a4f15dbp-5, -0x1.0f061e28ca3d6p-5, -0x1.09ede216747f7p-5, -0x1.04e98cb81097ap-5, -0x1.fff1cecc0098bp-6, -0x1.f6377715c1e65p-6, -0x1.eca3a54eccb91p-6, -0x1.e335ecac4ea5ep-6, -0x1.d9ede09e78b8ep-6, -0x1.d0cb14d78d1efp-6, -0x1.c7cd1d52bda96p-6, -0x1.bef38e5acf35cp-6, -0x1.b63dfc906faddp-6, -0x1.adabfcf07ea86p-6, -0x1.a53d24d9ff7d3p-6, -0x1.9cf10a13dce67p-6, -0x1.94c742d28c446p-6, -0x1.8cbf65bd67b18p-6, -0x1.84d909f3df469p-6, -0x1.7d13c71282428p-6, -0x1.756f3537d09a9p-6, -0x1.6deaed08c848fp-6, -0x1.668687b589d3fp-6, -0x1.5f419efd690fp-6, -0x1.581bcd3336dbp-6, -0x1.5114ad411dd5p-6, -0x1.4a2bdaac6446cp-6, -0x1.4360f1991d343p-6, -0x1.3cb38ecd8b4ccp-6, -0x1.36234fb5810c6p-6, -0x1.2fafd2657590ap-6, -0x1.2958b59d87d6bp-6, -0x1.231d98cc6fad8p-6, -0x1.1cfe1c12213fcp-6, -0x1.16f9e04254787p-6, -0x1.111086e71d4aep-6, -0x1.0b41b24311fb5p-6, -0x1.058d055397673p-6, -0x1.ffe447a5a9467p-7, -0x1.f4e164737a3d4p-7, -0x1.ea10ab8382cedp-7, -0x1.df7168cd2ce72p-7, -0x1.d502e9cf785ap-7, -0x1.cac47d93e9049p-7, -0x1.c0b574b1494ddp-7, -0x1.b6d5214e1dd72p-7, -0x1.ad22d722ed8bbp-7, -0x1.a39deb7c4622p-7, -0x1.9a45b53ccbe06p-7, -0x1.91198cdeaff8fp-7, -0x1.8818cc756a749p-7, -0x1.7f42cfaec869bp-7, -0x1.7696f3d449044p-7, -0x1.6e1497cc12673p-7, -0x1.65bb1c198de52p-7, -0x1.5d89e2de3c831p-7, -0x1.55804fda1db62p-7, -0x1.4d9dc86c080d3p-7, -0x1.45e1b391c8b7ap-7, -0x1.3e4b79e83bba2p-7, -0x1.36da85ab1d7d2p-7, -0x1.2f8e42b4f2741p-7, -0x1.28661e7e6a311p-7, -0x1.2161881e059aap-7, -0x1.1a7ff04784f9dp-7, -0x1.13c0c94ade1fcp-7, -0x1.0d238713bc778p-7, -0x1.06a79f283f285p-7, -0x1.004c88a800d2bp-7, -0x1.f4237895cdbbdp-8, -0x1.e7ed68bf788e9p-8, -0x1.dbf5d995d00d1p-8, -0x1.d03bc609cb534p-8, -0x1.c4be2c315599cp-8, -0x1.b97c0d441895dp-8, -0x1.ae746d97e6053p-8, -0x1.a3a6549cf0d08p-8, -0x1.9910ccda1758bp-8, -0x1.8eb2e3e909bd9p-8, -0x1.848baa71f95bbp-8, -0x1.7a9a34275a4ep-8, -0x1.70dd97c19d0dfp-8, -0x1.6754eefa7975p-8, -0x1.5dff5688ab755p-8, -0x1.54dbee1a90276p-8, -0x1.4be9d8521ba6ep-8, -0x1.43283abf15dc5p-8, -0x1.3a963dda7b2b3p-8, -0x1.32330d0149e9dp-8, -0x1.29fdd66f193d9p-8, -0x1.21f5cb38c904fp-8, -0x1.1a1a1f4733b98p-8, -0x1.126a09519139cp-8, -0x1.0ae4c2d7f017cp-8, -0x1.0389881d8a985p-8, -0x1.f8af3045ff182p-9, -0x1.ea9c6941973c8p-9, -0x1.dcd9440212da9p-9, -0x1.cf644eb3fdaaap-9, -0x1.c23c1ccfcdc5cp-9, -0x1.b55f470e5f7aep-9, -0x1.a8cc6b5c40049p-9, -0x1.9c822cce8d92dp-9, -0x1.907f3395c3572p-9, -0x1.84c22cf22aa75p-9, -0x1.7949cb2749baep-9, -0x1.6e14c56fb18c8p-9, -0x1.6321d7f06425fp-9, -0x1.586fc3ac78486p-9, -0x1.4dfd4e78bbf4fp-9, -0x1.43c942eefaa2p-9, -0x1.39d27061ded04p-9, -0x1.3017aacfdd0ddp-9, -0x1.2697cad73bd2fp-9, -0x1.1d51ada8ee316p-9, -0x1.144434fc906f9p-9, -0x1.0b6e4703647e4p-9, -0x1.02cece5c1f4a4p-9, -0x1.f4c9740c2fb91p-10, -0x1.e45dfaa9ea4aap-10, -0x1.d4591fc7fa65dp-10, -0x1.c4b8db13925bbp-10, -0x1.b57b2c972ec13p-10, -0x1.a69e1ca2280f9p-10, -0x1.981fbbaf9ec27p-10, -0x1.89fe224dd92ddp-10, -0x1.7c3771057209fp-10, -0x1.6ec9d0413b241p-10, -0x1.61b370350695fp-10, -0x1.54f288c658a0ap-10, -0x1.48855972dd932p-10, -0x1.3c6a29399e404p-10, -0x1.309f46818c694p-10, -0x1.252307029b0e2p-10, -0x1.19f3c7ade02b6p-10, -0x1.0f0fec952bfb7p-10, -0x1.0475e0d42d363p-10, -0x1.f4482cf1daa86p-11, -0x1.e0320cd8a2334p-11, -0x1.cca660b601a63p-11, -0x1.b9a2353d7b91p-11, -0x1.a722a44e7b823p-11, -0x1.9524d4c70d15ap-11, -0x1.83a5fa57a62f6p-11, -0x1.72a35554ef59ep-11, -0x1.621a328c89fa9p-11, -0x1.5207eb1918b2cp-11, -0x1.4269e435c358dp-11, -0x1.333d8f13507d9p-11, -0x1.248068adc3cd3p-11, -0x1.162ff99fad573p-11, -0x1.0849d5fa86452p-11, -0x1.f5973a3519becp-12, -0x1.db65f2fc34f62p-12, -0x1.c1fb413965662p-12, -0x1.a952a57beb9dp-12, -0x1.9167b5a034763p-12, -0x1.7a361c82b0509p-12, -0x1.63b999aec0ab2p-12, -0x1.4dee010ff4a0cp-12, -0x1.38cf3aa489332p-12, -0x1.2459422fc1809p-12, -0x1.108826ee392e7p-12, -0x1.fab01690eba1ep-13, -0x1.d58a491672013p-13, -0x1.b197753172778p-13, -0x1.8ed04f47a1706p-13, -0x1.6d2dafca027cep-13, -0x1.4ca892a3ab827p-13, -0x1.2d3a16b287c22p-13, -0x1.0edb7d327ee36p-13, -0x1.e30c526ffdb1dp-14, -0x1.aa673e470aab5p-14, -0x1.73bb0838f5561p-14, -0x1.3efb3b0f9337ap-14, -0x1.0c1ba10bab4dep-14, -0x1.b62085b67ea8ep-15, -0x1.579acd29f258p-15, -0x1.f91e3ae84d85dp-16, -0x1.49cde4de67faap-16, -0x1.4230f365c6518p-17, 0x1.2d3f3ba56f724p-24, 0x1.3a5b38b61290ep-17, 0x1.331215e466749p-16, 0x1.c303496a37fcep-16, 0x1.26947ec8a4988p-15, 0x1.68d512dbcc146p-15, 0x1.a85672c115493p-15, 0x1.e52b4a346eecbp-15, 0x1.0fb2f04fd6faep-14, 0x1.2b8c0d6523c6p-14, 0x1.4629be494bf14p-14, 0x1.5f94954f7bbc4p-14, 0x1.77d4f5fd75d7dp-14, 0x1.8ef315e63f242p-14, 0x1.a4f6fd6b306f7p-14, 0x1.b9e88892038f4p-14, 0x1.cdcf67cb347cdp-14, 0x1.e0b320b791a83p-14, 0x1.f29b0eead3018p-14, 0x1.01c732553882ap-13, 0x1.09ca15d7ed568p-13, 0x1.1159a2f0226bfp-13, 0x1.1879370440f6cp-13, 0x1.1f2c1c480c418p-13, 0x1.25758a15a97ebp-13, 0x1.2b58a5485f26ap-13, 0x1.30d8809284272p-13, 0x1.35f81cd0cd54cp-13, 0x1.3aba696417ca9p-13, 0x1.3f22448055dcfp-13, 0x1.43327b7fdf3f5p-13, 0x1.46edcb3513855p-13, 0x1.4a56e039c3621p-13, 0x1.4d70573bac82p-13, 0x1.503cbd4d6366p-13, 0x1.52be902ef6c01p-13, 0x1.54f83e9ae2326p-13, 0x1.56ec288e39e01p-13, 0x1.589c9f939d903p-13, 0x1.5a0be707a32d8p-13, 0x1.5b3c346241326p-13, 0x1.5c2faf794e443p-13, 0x1.5ce872c7103cdp-13, 0x1.5d688babc246p-13, 0x1.5db1faaf97419p-13, 0x1.5dc6b3c5beb33p-13, 0x1.5da89e88f4d7ep-13, 0x1.5d59967d3797bp-13, 0x1.5cdb6b4c67bacp-13, 0x1.5c2fe102c6163p-13, 0x1.5b58b04c5a02fp-13, 0x1.5a5786adcc199p-13, 0x1.592e06c0a0b8p-13, 0x1.57ddc86916078p-13, 0x1.5668591186568p-13, 0x1.54cf3bdebab37p-13, 0x1.5313e9e7fccc6p-13, 0x1.5137d26af9d9cp-13, 0x1.4f3c5b00552cfp-13, 0x1.4d22dfcfdfc5bp-13, 0x1.4aecb3c2b3798p-13, 0x1.489b20b3cacb1p-13, 0x1.462f67a2fd3f9p-13, 0x1.43aac0e2a1b51p-13, 0x1.410e5c48a707bp-13, 0x1.3e5b615b7f8f9p-13, 0x1.3b92ef8086056p-13, 0x1.38b61e27f881fp-13, 0x1.35c5fcfa5f625p-13, 0x1.32c39400f43f2p-13, 0x1.2fafe3d33d0e6p-13, 0x1.2c8be5bdc5764p-13, 0x1.29588bed4708p-13, 0x1.2616c194da90cp-13, 0x1.22c76b175fc57p-13, 0x1.1f6b662c27a9ep-13, 0x1.1c038a068c5dcp-13, 0x1.1890a779f7958p-13, 0x1.1513891fcbdbdp-13, 0x1.118cf37a1691ep-13, 0x1.0dfda5177994fp-13, 0x1.0a6656b5e80d6p-13, 0x1.06c7bb63f672ap-13, 0x1.032280a2c2c86p-13, 0x1.feee9d0d99ad7p-14, 0x1.f78d8fadfed4fp-14, 0x1.f023145b8465cp-14, 0x1.e8b05c2c0e00cp-14, 0x1.e1368e576a004p-14, 0x1.d9b6c86deca4bp-14, 0x1.d2321e96e9434p-14, 0x1.caa99bc766aadp-14, 0x1.c31e41fb12312p-14, 0x1.bb910a6b10ea9p-14, 0x1.b402e5c3cf463p-14, 0x1.ac74bc5a06e73p-14, 0x1.a4e76e5e739fep-14, 0x1.9d5bd40fb9fe8p-14, 0x1.95d2bdeec45b4p-14, 0x1.8e4cf4ec007b3p-14, 0x1.86cb3a999e626p-14, 0x1.7f4e4959d9d72p-14, 0x1.77d6d48d2dbbdp-14, 0x1.706588be33513p-14, 0x1.68fb0bce7056cp-14, 0x1.6197fd227c322p-14, 0x1.5a3cf5cb31619p-14, 0x1.52ea88ad8f81bp-14, 0x1.4ba142af6566ap-14, 0x1.4461aadb5651ap-14, 0x1.3d2c42896b106p-14, 0x1.360185851cc03p-14, 0x1.2ee1ea32a1286p-14, 0x1.27cde1b2d17ep-14, 0x1.20c5d807eb21cp-14, 0x1.19ca3437cb449p-14, 0x1.12db586edfc69p-14, 0x1.0bf9a22126869p-14, 0x1.05256a2b70ca4p-14, 0x1.fcbe09e5d24e4p-15, 0x1.ef4d850bfcee1p-15, 0x1.e1f9dd719c1dfp-15, 0x1.d4c3a28b188e9p-15, 0x1.c7ab5bd0e5276p-15, 0x1.bab188fbc232ap-15, 0x1.add6a23a3b306p-15, 0x1.a11b1869866fap-15, 0x1.947f554af41bcp-15, 0x1.8803bbb90cf2p-15, 0x1.7ba8a7db6e25ep-15, 0x1.6f6e6f5696ebap-15, 0x1.63556181985fbp-15, 0x1.575dc7928260cp-15, 0x1.4b87e4cf03de8p-15, 0x1.3fd3f6ba4059cp-15, 0x1.344235415d86fp-15, 0x1.28d2d2e902b1fp-15, 0x1.1d85fcf5b347bp-15, 0x1.125bdb9871ba8p-15, 0x1.07549214c33f7p-15, 0x1.f8e07dd7fa4abp-16, 0x1.e35df803b3978p-16, 0x1.ce21bd874ed43p-16, 0x1.b92bf09b66132p-16, 0x1.a47cab1df5ba5p-16, 0x1.9013fedbc6933p-16, 0x1.7bf1f5d1f1326p-16, 0x1.68169275bbb65p-16, 0x1.5481cff4614f2p-16, 0x1.4133a273e3aa8p-16, 0x1.2e2bf751f6b56p-16, 0x1.1b6ab561f6a54p-16, 0x1.08efbd28942e3p-16, 0x1.ed75d22aec9b3p-17, 0x1.c9981b789ad0fp-17, 0x1.a645f41d0fa5p-17, 0x1.837eef1cc38b9p-17, 0x1.6142950a47361p-17, 0x1.3f906470b62bbp-17, 0x1.1e67d22ef7484p-17, 0x1.fb9093c94b18fp-18, 0x1.bb625c930357fp-18, 0x1.7c43b318577a8p-18, 0x1.3e333b5c50e01p-18, 0x1.012f89b6e8f37p-18, 0x1.8a6e46fca9471p-19, 0x1.1490ff660458p-19, 0x1.41881e58c30c2p-20, 0x1.782175d85418fp-22, -0x1.02c80a3db1238p-21, -0x1.5cc3fa370fa06p-20, -0x1.1a0f4ffe4ad1ap-19, -0x1.83bd9fe0d13dbp-19, -0x1.eb70a5db5d17p-19, -0x1.2896173f013d2p-18, -0x1.5a7a0c5e0f19dp-18, -0x1.8b662a7afbdffp-18, -0x1.bb5c71fa414a3p-18, -0x1.ea5eeb099dca8p-18, -0x1.0c37d28efe564p-17, -0x1.22c85b4458994p-17, -0x1.38e21e044fdf2p-17, -0x1.4e862c2e752e3p-17, -0x1.63b599f15ae8ap-17, -0x1.78717e14503d3p-17, -0x1.8cbaf1cb5c5bp-17, -0x1.a0931080f7b84p-17, -0x1.b3faf7aecbc92p-17, -0x1.c6f3c6ad20bd4p-17, -0x1.d97e9e890e10bp-17, -0x1.eb9ca1d921adp-17, -0x1.fd4ef4965e2bdp-17, -0x1.074b5df9e35c3p-16, -0x1.0fba8f1c7c064p-16, -0x1.17f5a14d681d5p-16, -0x1.1ffd288ce0222p-16, -0x1.27d1b9302bab2p-16, -0x1.2f73e7cf3257p-16, -0x1.36e4493536acdp-16, -0x1.3e23725165c06p-16, -0x1.4531f826f161dp-16, -0x1.4c106fbeb52dbp-16, -0x1.52bf6e190902ap-16, -0x1.593f881ffed47p-16, -0x1.5f91529a940d3p-16, -0x1.65b5621f71147p-16, -0x1.6bac4b091068p-16, -0x1.7176a1691bf15p-16, -0x1.7714f8fe0e6bap-16, -0x1.7c87e52711b55p-16, -0x1.81cff8da82786p-16, -0x1.86edc69aabb38p-16, -0x1.8be1e06cd34b9p-16, -0x1.90acd7cf857fcp-16, -0x1.954f3db107475p-16, -0x1.99c9a2675c34ap-16, }}, 
      {{0x1.6f0c7a0d85076p-2, 0x1.6f038296a086p-2, 0x1.6ef7175688725p-2, 0x1.6eea7733e502bp-2, 0x1.6ee15c7b4effbp-2, 0x1.6edf8a51eadb7p-2, 0x1.6ee8772ccd31dp-2, 0x1.6eff15a4f18f2p-2, 0x1.6f25b737186b1p-2, 0x1.6f5e029feec6p-2, 0x1.6fa8f7c3edc93p-2, 0x1.7006fc32f41a2p-2, 0x1.7077eca2709fdp-2, 0x1.70fb30d82276ap-2, 0x1.718fd05806371p-2, 0x1.723486be1d9b8p-2, 0x1.72e7d70f544e7p-2, 0x1.73a81d8ca1175p-2, 0x1.74739fbe0e5f2p-2, 0x1.75489a8991248p-2, 0x1.76254e410ef4fp-2, 0x1.770808a63c505p-2, 0x1.77ef2cf31e9dfp-2, 0x1.78d93a034f8c5p-2, 0x1.79c4cec47984ap-2, 0x1.7ab0ad1bd2ea6p-2, 0x1.7b9bbb72d4ea9p-2, 0x1.7c85051f1d978p-2, 0x1.7d6bb9d8de8d6p-2, 0x1.7e4f2c70dbbfbp-2, 0x1.7f2ed0f316d4fp-2, 0x1.800a3a5eb120fp-2, 0x1.80e118163e70ap-2, 0x1.81b33326783f6p-2, 0x1.82806b7bfd5f1p-2, 0x1.8348b51be90fcp-2, 0x1.840c156e8e6dfp-2, 0x1.84caa0a7bfa34p-2, 0x1.85847754ad55ep-2, 0x1.8639c4149839dp-2, 0x1.86eab97f5357cp-2, 0x1.8797903abe963p-2, 0x1.8840853f0e6b6p-2, 0x1.88e5d848acda9p-2, 0x1.8987ca75d1b67p-2, 0x1.8a269d0d741aep-2, 0x1.8ac2906cf97fbp-2, 0x1.8b5be319e4e62p-2, 0x1.8bf2d0f4c3ce6p-2, 0x1.8c87928ab1751p-2, 0x1.8d1a5c82d216p-2, 0x1.8dab5f2566646p-2, 0x1.8e3ac5fa29e25p-2, 0x1.8ec8b77be70c5p-2, 0x1.8f5554df48029p-2, 0x1.8fe0b9eb2073dp-2, 0x1.906afce07c7ebp-2, 0x1.90f42e70f2d61p-2, 0x1.917c59c1c846ep-2, 0x1.9203847a8f562p-2, 0x1.9289aede074e1p-2, 0x1.930ed3ec11dcbp-2, 0x1.9392e98ba011fp-2, 0x1.9415e0bb9b9c7p-2, 0x1.9497a5c9c311fp-2, 0x1.9518208ea3133p-2, 0x1.959734adbc9a3p-2, 0x1.9614c1d919222p-2, 0x1.9690a41781e8dp-2, 0x1.970ab40caace8p-2, 0x1.9782c742a4ddp-2, 0x1.97f8b074004a9p-2, 0x1.986c3fd60c64ap-2, 0x1.98dd4362b8ebcp-2, 0x1.994b87219a36bp-2, 0x1.99b6d56fae09bp-2, 0x1.9a1ef74580cf1p-2, 0x1.9a83b47b5c8fap-2, 0x1.9ae4d40b42c35p-2, 0x1.9b421c50686bap-2, 0x1.9b9b53440ea32p-2, 0x1.9bf03eb781faep-2, 0x1.9c40a48b29c75p-2, 0x1.9c8c4ae28ac55p-2, 0x1.9cd2f8552a2f1p-2, 0x1.9d14741c52923p-2, 0x1.9d50863da93fbp-2, 0x1.9d86f7b2a3babp-2, 0x1.9db7928cdfca1p-2, 0x1.9de222176a0bap-2, 0x1.9e0672f50aca1p-2, 0x1.9e24533ba3a2bp-2, 0x1.9e3b928cbfd93p-2, 0x1.9e4c022b6ab32p-2, 0x1.9e55750f68711p-2, 0x1.9e57bff5f272p-2, 0x1.9e52b9701468p-2, 0x1.9e4639eec8875p-2, 0x1.9e321bccf1781p-2, 0x1.9e163b5759a11p-2, 0x1.9df276d2cea9p-2, 0x1.9dc6ae807dafep-2, 0x1.9d92c4a0b2ffp-2, 0x1.9d569d74140e4p-2, 0x1.9d121f3b770ddp-2, 0x1.9cc53236764dp-2, 0x1.9c6fc0a0d3b99p-2, 0x1.9c11b6aed249ep-2, 0x1.9bab028892f4ap-2, 0x1.9b3b94449783dp-2, 0x1.9ac35de17bf95p-2, 0x1.9a42533efeb62p-2, 0x1.99b86a166b9ebp-2, 0x1.992599f27b637p-2, 0x1.9889dc26be3d8p-2, 0x1.97e52bc698b76p-2, 0x1.9737859beea85p-2, 0x1.9680e81d7db33p-2, 0x1.95c1536500cc6p-2, 0x1.94f8c9251a923p-2, 0x1.94274c9f214d2p-2, 0x1.934ce298c831p-2, 0x1.92699151b93a2p-2, 0x1.917d60791e537p-2, 0x1.908859232cafdp-2, 0x1.8f8a85bead801p-2, 0x1.8e83f20a8f039p-2, 0x1.8d74ab0b856ecp-2, 0x1.8c5cbf01b973ap-2, 0x1.8b3c3d5e8da8cp-2, 0x1.8a1336ba7de37p-2, 0x1.88e1bccb1651bp-2, 0x1.87a7e2590ce1cp-2, 0x1.8665bb36757e6p-2, 0x1.851b5c351cfe4p-2, 0x1.83c8db1d00aa7p-2, 0x1.826e4ea2effd1p-2, 0x1.810bce5f4e0a7p-2, 0x1.7fa172c4fa0fp-2, 0x1.7e2f55185e406p-2, 0x1.7cb58f66a15dp-2, 0x1.7b343c7d00b23p-2, 0x1.79ab77e04f845p-2, 0x1.781b5dc499356p-2, 0x1.76840b04ecc36p-2, 0x1.74e59d1b4861ap-2, 0x1.73403218ad88p-2, 0x1.7193e89d57c18p-2, 0x1.6fe0dfd113954p-2, 0x1.6e27375bbe568p-2, 0x1.6c670f5de3dd3p-2, 0x1.6aa088697fdd9p-2, 0x1.68d3c37ae03cdp-2, 0x1.6700e1f1a9b2fp-2, 0x1.65280589f9e51p-2, 0x1.63495055ad8f1p-2, 0x1.6164e4b5c2635p-2, 0x1.5f7ae553d9759p-2, 0x1.5d8b751bdb837p-2, 0x1.5b96b735b4fccp-2, 0x1.599cceff361cp-2, 0x1.579de0060dd34p-2, 0x1.559a0e01e3118p-2, 0x1.53917cce894c9p-2, 0x1.518450665677ep-2, 0x1.4f72acdc904a9p-2, 0x1.4d5cb657f9a0ap-2, 0x1.4b42910d7ab03p-2, 0x1.4924613ae6b5cp-2, 0x1.47024b21dc755p-2, 0x1.44dc7302c4a2ep-2, 0x1.42b2fd17e80b1p-2, 0x1.40860d90a809ep-2, 0x1.3e55c88ccc8e4p-2, 0x1.3c225217f2a92p-2, 0x1.39ebce2512dcbp-2, 0x1.37b2608a26a53p-2, 0x1.35762cfbe7f4ep-2, 0x1.33375709aa31ep-2, 0x1.30f6021953bfcp-2, 0x1.2eb251636fb9fp-2, 0x1.2c6c67ef5a817p-2, 0x1.2a24688f8bc2ap-2, 0x1.27da75ddfd117p-2, 0x1.258eb238a7637p-2, 0x1.23413fbe20a63p-2, 0x1.20f2404a53476p-2, 0x1.1ea1d5734dedfp-2, 0x1.1c502086342f1p-2, 0x1.19fd428444603p-2, 0x1.17a95c1ffdf3cp-2, 0x1.15548dba5cf31p-2, 0x1.12fef76036031p-2, 0x1.10a8b8c7a8d83p-2, 0x1.0e51f14dae5e5p-2, 0x1.0bfabff3c2967p-2, 0x1.09a3435da7f6ep-2, 0x1.074b99cf41a95p-2, 0x1.04f3e12a8d741p-2, 0x1.029c36edb16d8p-2, 0x1.0044b83128087p-2, 0x1.fbdb034bffd59p-3, 0x1.f72d5f28751b6p-3, 0x1.f280bbb27aacep-3, 0x1.edd54fccc04dbp-3, 0x1.e92b517f22f53p-3, 0x1.e482f5f421042p-3, 0x1.dfdc717687a6dp-3, 0x1.db37f76f4285bp-3, 0x1.d695ba63603c4p-3, 0x1.d1f5ebf241ea5p-3, 0x1.cd58bcd3f5de7p-3, 0x1.c8be5cd7be3c1p-3, 0x1.c426fae2c1d9ap-3, 0x1.bf92c4eee595ap-3, 0x1.bb01e809d3684p-3, 0x1.b674905422e2bp-3, 0x1.b1eae900ae8ap-3, 0x1.ad651c540b802p-3, 0x1.a8e353a42c473p-3, 0x1.a465b7581fa9ap-3, 0x1.9fec6ee7fe42p-3, 0x1.9b77a0dcf3464p-3, 0x1.970772d16a459p-3, 0x1.929c09715c8fcp-3, 0x1.8e35887ac4703p-3, 0x1.89d412be29092p-3, 0x1.8577ca1f4c7dap-3, 0x1.8120cf95f8031p-3, 0x1.7ccf432ee4fap-3, 0x1.7883440cbea7cp-3, 0x1.743cf069447c1p-3, 0x1.6ffc659684f71p-3, 0x1.6bc1c0002bea5p-3, 0x1.678d1b2cf3e7bp-3, 0x1.635e91c025c46p-3, 0x1.5f363d7b3440fp-3, 0x1.5b14373f6ccdep-3, 0x1.56f8970fb9066p-3, 0x1.52e374127d32bp-3, 0x1.4ed4e49380769p-3, 0x1.4accfe05eda17p-3, 0x1.46cbd50663d38p-3, 0x1.42d17d5d17d96p-3, 0x1.3ede0a00055cdp-3, 0x1.3af18d1530cc1p-3, 0x1.370c17f4f4b05p-3, 0x1.332dbb2c617d5p-3, 0x1.2f56867fa54b1p-3, 0x1.2b8688ec83655p-3, 0x1.27bdd0acd5877p-3, 0x1.23fc6b3916c6p-3, 0x1.2042654afc8aap-3, 0x1.1c8fcae015b83p-3, 0x1.18e4a73c6ff7bp-3, 0x1.154104ed4bf8cp-3, 0x1.11a4edcbd455cp-3, 0x1.0e106affdaa06p-3, 0x1.0a8385029d39dp-3, 0x1.06fe43a18eed5p-3, 0x1.0380ae0129192p-3, 0x1.000aca9fbcf5cp-3, 0x1.f9393eb0944ap-4, 0x1.f26c62cab18a5p-4, 0x1.ebaf0ac7ac4fdp-4, 0x1.e5013eabea1c1p-4, 0x1.de63054c12fa3p-4, 0x1.d7d46452e0094p-4, 0x1.d1556046d3279p-4, 0x1.cae5fc90073f5p-4, 0x1.c4863b7de9b45p-4, 0x1.be361e4d03a72p-4, 0x1.b7f5a52cb363p-4, 0x1.b1c4cf44f059dp-4, 0x1.aba39abbfd886p-4, 0x1.a59204bc1f5fep-4, 0x1.9f9009794e29dp-4, 0x1.999da436d6d54p-4, 0x1.93bacf4d05707p-4, 0x1.8de7842eb7e29p-4, 0x1.8823bb6ef5661p-4, 0x1.826f6cc6743d5p-4, 0x1.7cca8f191cf22p-4, 0x1.7735187b7d918p-4, 0x1.71aefe383909dp-4, 0x1.6c3834d56496ap-4, 0x1.66d0b019e0c6ep-4, 0x1.61786312a1729p-4, 0x1.5c2f4017ec5d4p-4, 0x1.56f538d289121p-4, 0x1.51ca3e40e76c3p-4, 0x1.4cae40bc33a74p-4, 0x1.47a12ffd61a31p-4, 0x1.42a2fb2223cp-4, 0x1.3db390b1dcfb2p-4, 0x1.38d2dea278a67p-4, 0x1.3400d25d3d62p-4, 0x1.2f3d58c38c606p-4, 0x1.2a885e338dab9p-4, 0x1.25e1ce8cd5601p-4, 0x1.21499534f128ap-4, 0x1.1cbf9d1be9c32p-4, 0x1.1843d0c0b3a22p-4, 0x1.13d61a358f055p-4, 0x1.0f76632455117p-4, 0x1.0b2494d2bb0edp-4, 0x1.06e098267b171p-4, 0x1.02aa55a9774efp-4, 0x1.fd036b1b824ecp-5, 0x1.f4cd3f63310d7p-5, 0x1.ecb1f746a7cccp-5, 0x1.e4b1614a75155p-5, 0x1.dccb4b629cbcap-5, 0x1.d4ff82f9fffa9p-5, 0x1.cd4dd4f9b0098p-5, 0x1.c5b60dd01632bp-5, 0x1.be37f977fac8cp-5, 0x1.b6d3637f6d2b1p-5, 0x1.af88170e8461fp-5, 0x1.a855deee05b06p-5, 0x1.a13c858de3bf1p-5, 0x1.9a3bd50b9988bp-5, 0x1.935397386e687p-5, 0x1.8c83959f89402p-5, 0x1.85cb998bf4236p-5, 0x1.7f2b6c0e6e664p-5, 0x1.78a2d60329ea2p-5, 0x1.7231a017626a7p-5, 0x1.6bd792ced24e8p-5, 0x1.659476891150cp-5, 0x1.5f681386c2985p-5, 0x1.595231eeb5733p-5, 0x1.535299d2db7eap-5, 0x1.4d69133520e68p-5, 0x1.4795660c27cb5p-5, 0x1.41d75a47ea532p-5, 0x1.3c2eb7d62fb08p-5, 0x1.369b46a6f3cbdp-5, 0x1.311cceb0a837bp-5, 0x1.2bb317f45bd0cp-5, 0x1.265dea81c14a7p-5, 0x1.211d0e7b1e836p-5, 0x1.1bf04c1919b8p-5, 0x1.16d76bae7199ep-5, 0x1.11d235ab93f97p-5, 0x1.0ce072a21e9f7p-5, 0x1.0801eb483f13fp-5, 0x1.0336687bffbeep-5, 0x1.fcfb668cea097p-6, 0x1.f3af29bda0b3p-6, 0x1.ea87ad5ac594ap-6, 0x1.e184849cf52b1p-6, 0x1.d8a5432a60732p-6, 0x1.cfe97d1c30d7dp-6, 0x1.c750c703c404cp-6, 0x1.bedab5efaeb85p-6, 0x1.b686df70982e6p-6, 0x1.ae54d99de22c3p-6, 0x1.a6443b1a30ad5p-6, 0x1.9e549b17b9fa1p-6, 0x1.9685915c70bd4p-6, 0x1.8ed6b64606b27p-6, 0x1.8747a2cdbd5d9p-6, 0x1.7fd7f08c1cb9ep-6, 0x1.788739bc70345p-6, 0x1.7155194028e8dp-6, 0x1.6a412aa21b482p-6, 0x1.634b0a198ce3dp-6, 0x1.5c72548d2343cp-6, 0x1.55b6a795b25d5p-6, 0x1.4f17a180e01d6p-6, 0x1.4894e153ac813p-6, 0x1.422e06ccca892p-6, 0x1.3be2b266f4f2dp-6, 0x1.35b2855af9104p-6, 0x1.2f9d21a1cac49p-6, 0x1.29a229f65cb09p-6, 0x1.23c141d768303p-6, 0x1.1dfa0d8910c03p-6, 0x1.184c321673bp-6, 0x1.12b755530fb73p-6, 0x1.0d3b1ddc16bacp-6, 0x1.07d73319abde3p-6, 0x1.028b3d3ff75bap-6, 0x1.faadcaa05ccc7p-7, 0x1.f073aa32f9939p-7, 0x1.e6676e73a4c99p-7, 0x1.dc886e3d47efap-7, 0x1.d2d6020b0d53p-7, 0x1.c94f83f98bd24p-7, 0x1.bff44fc795bf6p-7, 0x1.b6c3c2d718a6p-7, 0x1.adbd3c2da466bp-7, 0x1.a4e01c74e16f4p-7, 0x1.9c2bc5fad1781p-7, 0x1.939f9cb204fecp-7, 0x1.8b3b063181f16p-7, 0x1.82fd69b4ad299p-7, 0x1.7ae6301afe6d1p-7, 0x1.72f4c3e788cd2p-7, 0x1.6b2891408ce06p-7, 0x1.638105eea5a72p-7, 0x1.5bfd915c1b707p-7, 0x1.549da493fa3ap-7, 0x1.4d60b240ff401p-7, 0x1.46462eac7dd3ap-7, 0x1.3f4d8fbd255dfp-7, 0x1.38764cf5afe3bp-7, 0x1.31bfdf736aacp-7, 0x1.2b29c1ecb6e24p-7, 0x1.24b370af64c7cp-7, 0x1.1e5c699f0186cp-7, 0x1.18242c331079fp-7, 0x1.120a397523601p-7, 0x1.0c0e13feedeb7p-7, 0x1.062f3ff83f901p-7, 0x1.006d4314e26fbp-7, 0x1.f58f4924e5a24p-8, 0x1.ea7bda6c56a94p-8, 0x1.df9f4e951bab1p-8, 0x1.d4f8bd3a133dep-8, 0x1.ca8740f7295bfp-8, 0x1.c049f76461fp-8, 0x1.b6400110ba90fp-8, 0x1.ac68817d21ea4p-8, 0x1.a2c29f1711b13p-8, 0x1.994d8333609d8p-8, 0x1.90085a08abacbp-8, 0x1.86f252a9f4e01p-8, 0x1.7e0a9f00f0a27p-8, 0x1.755073c874f48p-8, 0x1.6cc30886a7943p-8, 0x1.6461978748012p-8, 0x1.5c2b5dd5c7679p-8, 0x1.541f9b3758a94p-8, 0x1.4c3d92251071ep-8, 0x1.448487c5c09cfp-8, 0x1.3cf3c3e813c97p-8, 0x1.358a90fc3c8edp-8, 0x1.2e483c0e0bff9p-8, 0x1.272c14be9aacdp-8, 0x1.20356d3e2454dp-8, 0x1.19639a45cbec4p-8, 0x1.12b5f31152251p-8, 0x1.0c2bd158e2c1ap-8, 0x1.05c4914aa4d3ep-8, 0x1.feff2308fc6c8p-9, 0x1.f2b8661ba2c84p-9, 0x1.e6b3b2a1f7f9ep-9, 0x1.daefd42a308a5p-9, 0x1.cf6b9aef4b342p-9, 0x1.c425dbcc3942cp-9, 0x1.b91d702f456ebp-9, 0x1.ae51360d49bf7p-9, 0x1.a3c00fd4f4a0cp-9, 0x1.9968e46236803p-9, 0x1.8f4a9ef16abc5p-9, 0x1.85642f12d4756p-9, 0x1.7bb4889de5e33p-9, 0x1.723aa3a4a6a0bp-9, 0x1.68f57c672dac3p-9, 0x1.5fe413470b14p-9, 0x1.57056cbacdc8ep-9, 0x1.4e589141872fdp-9, 0x1.45dc8d5661d84p-9, 0x1.3d90716454e78p-9, 0x1.357351b9ba3ebp-9, 0x1.2d84467c1bcbbp-9, 0x1.25c26b9bf2375p-9, 0x1.1e2ce0c8987e3p-9, 0x1.16c2c9641550ep-9, 0x1.0f834c772ad2ap-9, 0x1.086d94a559f55p-9, 0x1.0180d0210caddp-9, 0x1.f578613f56a72p-10, 0x1.e83dd69c0e037p-10, 0x1.db507188e5cfep-10, 0x1.ceaea9f6d5cf8p-10, 0x1.c256fe7fe3269p-10, 0x1.b647f45027c72p-10, 0x1.aa80170f5eb93p-10, 0x1.9efdf8ca12ef5p-10, 0x1.93c031db8a22p-10, 0x1.88c560d755987p-10, 0x1.7e0c2a7354a8ep-10, 0x1.73933971ef83dp-10, 0x1.69593e8c73c72p-10, 0x1.5f5cf05d596b4p-10, 0x1.559d0b4b2f738p-10, 0x1.4c18517359548p-10, 0x1.42cd8a951b2a5p-10, 0x1.39bb83fcedfep-10, 0x1.30e1106fe96f5p-10, 0x1.283d08174aa3dp-10, 0x1.1fce486c5d2afp-10, 0x1.1793b4245e408p-10, 0x1.0f8c331cadbedp-10, 0x1.07b6b2477789cp-10, 0x1.00122397e27aap-10, 0x1.f13afbde47b47p-11, 0x1.e2af7a1259ecbp-11, 0x1.d47fc2d481facp-11, 0x1.c6a9e0979cbf8p-11, 0x1.b92be71504a3ep-11, 0x1.ac03f3272e191p-11, 0x1.9f302aa60f3c5p-11, 0x1.92aebc4374913p-11, 0x1.867ddf67674c3p-11, 0x1.7a9bd40d7b18ep-11, 0x1.6f06e2a242621p-11, 0x1.63bd5be100138p-11, 0x1.58bd98b224ebp-11, 0x1.4e05fa09e58f2p-11, 0x1.4394e8c72b2b6p-11, 0x1.3968d59341e06p-11, 0x1.2f8038c14dc78p-11, 0x1.25d9922ed2afep-11, 0x1.1c7369243c4d7p-11, 0x1.134c4c35a0f4fp-11, 0x1.0a62d12473421p-11, 0x1.01b594c11062fp-11, 0x1.f2867599b6416p-12, 0x1.e214dbb9ae115p-12, 0x1.d213be78d7c8p-12, 0x1.c2808da16da5ep-12, 0x1.b358c5f892962p-12, 0x1.a499f1057ea7dp-12, 0x1.9641a4db780cap-12, 0x1.884d83e230e9bp-12, 0x1.7abb3ca06cd3bp-12, 0x1.6d888986a4097p-12, 0x1.60b330bb06de4p-12, 0x1.543903e5e2dd6p-12, 0x1.4817dffdd5f0fp-12, 0x1.3c4dad1685ffbp-12, 0x1.30d85e2e2157ap-12, 0x1.25b5f0fda3f6dp-12, 0x1.1ae46dc76f2f4p-12, 0x1.1061e728e44fp-12, 0x1.062c79ea62c0cp-12, 0x1.f88499a43767bp-13, 0x1.e54320ec17969p-13, 0x1.d290fe1ed8cbdp-13, 0x1.c06ab89bb3622p-13, 0x1.aeccea598d681p-13, 0x1.9db43f8f39c4ep-13, 0x1.8d1d76602c93dp-13, 0x1.7d055e88dd884p-13, 0x1.6d68d90bdadcp-13, 0x1.5e44d7e24b58cp-13, 0x1.4f965dab1db4dp-13, 0x1.415a7d5d66309p-13, 0x1.338e59fa750cp-13, 0x1.262f26430bebdp-13, 0x1.193a246a1da4fp-13, 0x1.0caca5ce6e08ep-13, 0x1.00840aae3afa8p-13, 0x1.e97b83c5edb86p-14, 0x1.d2ae913194419p-14, 0x1.bc9c5415cf7fbp-14, 0x1.a73ffe7cb018ap-14, 0x1.9294dd7dd5641p-14, 0x1.7e9658bbe7f3dp-14, 0x1.6b3ff1e1c1f7p-14, 0x1.588d44229620cp-14, 0x1.467a03bd11d3ap-14, 0x1.3501fd7e0610bp-14, 0x1.2421164909d2bp-14, 0x1.13d34a9e2124p-14, 0x1.0414ae26ba911p-14, 0x1.e9c2d67f31abap-15, 0x1.cc6b8511410f3p-15, 0x1.b01c14e7e1664p-15, 0x1.94cd5daff0be5p-15, 0x1.7a786106e9efdp-15, 0x1.611649a699b36p-15, 0x1.48a06a90e72afp-15, 0x1.31103e46998ccp-15, 0x1.1a5f65f8ed0f2p-15, 0x1.0487a8c566bbp-15, 0x1.df05e5e386867p-16, 0x1.b696aa558335p-16, 0x1.8fb60794fe55ap-16, 0x1.6a58ac373823dp-16, 0x1.46738b4b505f5p-16, 0x1.23fbdaef8d47ap-16, 0x1.02e712f4ba83ap-16, 0x1.c655d710bf835p-17, 0x1.897ab7ac2d4a7p-17, 0x1.4f29318d184e6p-17, 0x1.174e275fc368bp-17, 0x1.c3ade45e98bc1p-18, 0x1.5d62bdd1faf65p-18, 0x1.f72eafd764078p-19, 0x1.3c521b57b2d72p-19, 0x1.13d84e3ada598p-20, -0x1.0228cfa6e056cp-22, -0x1.8503e887faaeep-20, -0x1.5d091c214f047p-19, -0x1.f017b69b7da8bp-19, -0x1.3df4b0ff8cf43p-18, -0x1.805c1f18bfbe1p-18, -0x1.bf5e7a68396fbp-18, -0x1.fb1760c298fc2p-18, -0x1.19d0de6320ea2p-17, -0x1.348be4f523853p-17, -0x1.4dc98c19f02p-17, -0x1.659647f9a64dep-17, -0x1.7bfe3abb2ebe9p-17, -0x1.910d36527ad16p-17, -0x1.a4cebe3d43541p-17, -0x1.b74e0942586bfp-17, -0x1.c8960324460a3p-17, -0x1.d8b14e4c3c3bep-17, -0x1.e7aa4569222c6p-17, -0x1.f58afd08ba2edp-17, -0x1.012ea2996c0fbp-16, -0x1.071555716cc08p-16, -0x1.0c7e3ccfd3ed8p-16, -0x1.116dde71446dfp-16, -0x1.15e8a0cac49ecp-16, -0x1.19f2cbc137afap-16, -0x1.1d9089554d4cp-16, -0x1.20c5e65aef61p-16, -0x1.2396d31da0ddfp-16, -0x1.2607240d3d9cbp-16, -0x1.281a92608409ep-16, -0x1.29d4bcb7d7ba6p-16, -0x1.2b3927ba4df41p-16, -0x1.2c4b3eb1c3c6cp-16, -0x1.2d0e5421736b6p-16, -0x1.2d85a25d282a3p-16, -0x1.2db44c19119f2p-16, -0x1.2d9d5cf8accf2p-16, -0x1.2d43ca1d6304cp-16, -0x1.2caa72a9d231ep-16, -0x1.2bd4204fa93ebp-16, -0x1.2ac387cd5a134p-16, -0x1.297b497111fddp-16, -0x1.27fdf19672f17p-16, -0x1.264df9234f202p-16, -0x1.246dc5fdd65c6p-16, -0x1.225fab85ff6bcp-16, -0x1.2025eb07b1256p-16, -0x1.1dc2b42c86aedp-16, -0x1.1b38256b9b521p-16, -0x1.18884c746727fp-16, -0x1.15b5269ca9956p-16, -0x1.12c0a1446650cp-16, -0x1.0fac9a3d4f572p-16, -0x1.0c7ae031b4631p-16, -0x1.092d3301273d5p-16, -0x1.05c544241f678p-16, -0x1.0244b70533a5fp-16, -0x1.fd5a42c287821p-17, -0x1.f600173990eap-17, -0x1.ee7de23c6312p-17, -0x1.e6d68145440e2p-17, -0x1.df0cb920299acp-17, -0x1.d72336937bf66p-17, -0x1.cf1c8efe5ebfcp-17, -0x1.c6fb40f1757fcp-17, -0x1.bec1b4ce66b33p-17, -0x1.b6723d591af3dp-17, -0x1.ae0f184b04629p-17, -0x1.a59a6ee3c7ef4p-17, -0x1.9d1656742172p-17, -0x1.9484d0e36777cp-17, -0x1.8be7cd3d94f64p-17, -0x1.8341282b8e11p-17, -0x1.7a92ac7a24af5p-17, -0x1.71de13938d568p-17, -0x1.692505fbc44bbp-17, -0x1.60691bc3581b6p-17, -0x1.57abdd0068468p-17, -0x1.4eeec23d78109p-17, -0x1.463334ea27d5ap-17, -0x1.3d7a8fc64707ap-17, -0x1.34c61f4ba55e3p-17, -0x1.2c172217adfbap-17, -0x1.236ec94d2c332p-17, -0x1.1ace38fa2592ap-17, -0x1.1236887615c3p-17, -0x1.09a8c2bff5f2p-17, -0x1.0125e6dcb55e7p-17, -0x1.f15dd058a192bp-18, -0x1.e0895d8d64e1fp-18, -0x1.cfd02f950be05p-18, -0x1.bf33eb6f60d6cp-18, -0x1.aeb621755916fp-18, -0x1.9e584dff5f2afp-18, -0x1.8e1bd9fd84a91p-18, -0x1.7e021b8c3bfefp-18, -0x1.6e0c568d2c421p-18, -0x1.5e3bbd32b0a41p-18, -0x1.4e91708b67c1dp-18, -0x1.3f0e810e698b4p-18, -0x1.2fb3ef1deeaaep-18, -0x1.2082ab8a7dab4p-18, -0x1.117b9811a9584p-18, -0x1.029f87d92d02bp-18, -0x1.e7de7fce23202p-19, -0x1.cad6ef3325b07p-19, -0x1.ae29b229042ecp-19, -0x1.91d8036e330dcp-19, -0x1.75e30504e05ap-19, -0x1.5a4bc111d25a4p-19, -0x1.3f132aa2297f1p-19, -0x1.243a1e796e00ep-19, -0x1.09c163d46eca1p-19, -0x1.df535a4d7c1eap-20, -0x1.abe731a64c2fcp-20, -0x1.793f63ca306a6p-20, -0x1.475ce17537e55p-20, -0x1.1640776c796a3p-20, -0x1.cbd59f7e9d65ap-21, -0x1.6cb8e6274cf9ep-21, -0x1.0f2b93bcb9e6ap-21, -0x1.665c767297a04p-22, -0x1.6304cfb5eb586p-23, 0x1.b6428c6cf4f52p-33, 0x1.5d9e9902f11ddp-23, 0x1.5a47c10064e86p-22, 0x1.015093ff351e1p-21, 0x1.53ee72b490355p-21, 0x1.a4fe5d73ac23cp-21, 0x1.f4816213d5294p-21, 0x1.213c5cbdc7453p-20, 0x1.4772e2f0d962ep-20, 0x1.6ce5088112fadp-20, 0x1.9193a532d2d2dp-20, 0x1.b57fa2e32d261p-20, 0x1.d8a9fca999acbp-20, 0x1.fb13be224ed36p-20, 0x1.0e5f014ddc7a9p-19, 0x1.1ed4fa2faa3fbp-19, 0x1.2eec65fce6a7ep-19, 0x1.3ea5e7c447fa8p-19, 0x1.4e022906bd73ap-19, 0x1.5d01d9621e524p-19, 0x1.6ba5ae3ed952ap-19, 0x1.79ee628730ed3p-19, 0x1.87dcb652b428p-19, 0x1.95716ea0b57aap-19, 0x1.a2ad550f504a3p-19, 0x1.af913794b40b3p-19, 0x1.bc1de83ce8d0ep-19, 0x1.c8543ce925a77p-19, 0x1.d4350f0e07476p-19, 0x1.dfc13b781699cp-19, 0x1.eaf9a210c56a1p-19, 0x1.f5df25a383e1p-19, 0x1.003955d374fc2p-18, 0x1.055a8e0430fa2p-18, 0x1.0a53b079cf4e7p-18, 0x1.0f2533538b482p-18, 0x1.13cf8d9eb722bp-18, 0x1.18533741ac19ap-18, 0x1.1cb0a8e33bd04p-18, 0x1.20e85bd5cc7e8p-18, 0x1.24faca0211f68p-18, 0x1.28e86dd2eddp-18, 0x1.2cb1c22138855p-18, 0x1.305742214d10bp-18, 0x1.33d96950be0b9p-18, 0x1.3738b363cdb29p-18, 0x1.3a759c35b881ap-18, 0x1.3d909fb7c30c3p-18, 0x1.408a39e19f1dep-18, 0x1.4362e6a26df0bp-18, 0x1.461b21d1cd0dap-18, 0x1.48b367228b29fp-18, 0x1.4b2c321419555p-18, 0x1.4d85fde723c7bp-18, 0x1.4fc1458f25123p-18, 0x1.51de83a916bedp-18, 0x1.53de326dbaabp-18, 0x1.55c0cba817c58p-18, 0x1.5786c8aa4c377p-18, 0x1.5930a24405cf6p-18, 0x1.5abed0b8ce53p-18, 0x1.5c31cbb6a6ca3p-18, 0x1.5d8a0a4d8d692p-18, 0x1.5ec802e72effcp-18, 0x1.5fec2b3ea3f13p-18, 0x1.60f6f858deb75p-18, 0x1.61e8de7e4da7fp-18, 0x1.62c25132b62fap-18, 0x1.6383c32fe78aap-18, 0x1.642da65eae725p-18, 0x1.64c06bd186afbp-18, 0x1.653c83becaaebp-18, 0x1.65a25d7baf242p-18, 0x1.65f267773f8fep-18, 0x1.662d0f352f837p-18, 0x1.6652c14a52be2p-18, 0x1.6663e9584f456p-18, 0x1.6660f20999da4p-18, 0x1.664a450dcf87fp-18, 0x1.66204b1691305p-18, 0x1.65e36bd428e8cp-18, 0x1.65940df35bac7p-18, 0x1.653297199d292p-18, 0x1.64bf6be362488p-18, 0x1.643aefe1ef6d3p-18, 0x1.63a58598fa4d1p-18, 0x1.62ff8e7d39defp-18, 0x1.62496af232939p-18, 0x1.61837a4943111p-18, 0x1.60ae1abffe3b3p-18, 0x1.5fc9a97f539a6p-18, 0x1.5ed6829a2d1fap-18, 0x1.5dd5010d3b8ccp-18, 0x1.5cc57ebdd964cp-18, 0x1.5ba85479cf8c2p-18, 0x1.5a7dd9f67bf53p-18, 0x1.594665d1020c6p-18, 0x1.58024d8e5a48ap-18, 0x1.56b1e59ae12f3p-18, 0x1.5555814ac6decp-18, 0x1.53ed72da094c2p-18, 0x1.527a0b6d4e72bp-18, 0x1.50fb9b11ef925p-18, 0x1.4f7270bec180fp-18, 0x1.4ddeda5486cebp-18, 0x1.4c41249f08cbdp-18, 0x1.4a999b55f3be3p-18, 0x1.48e8891dc991cp-18, 0x1.472e378867df8p-18, 0x1.456aef169dc1bp-18, 0x1.439ef7397debbp-18, 0x1.41ca96536ab82p-18, 0x1.3fee11b96a8f3p-18, 0x1.3e09adb484f2cp-18, 0x1.3c1dad834ccacp-18, 0x1.3a2a535bbcd73p-18, 0x1.382fe06c3dfa6p-18, 0x1.362e94dd73d06p-18, 0x1.3426afd433a55p-18, 0x1.32186f7303ce2p-18, 0x1.300410dc00bfdp-18, 0x1.2de9d032c95bep-18, 0x1.2bc9e89e2e6b7p-18, 0x1.29a4944a123c7p-18, 0x1.277a0c69ac8d4p-18, 0x1.254a893928bcap-18, 0x1.2316420015ce7p-18, 0x1.20dd6d13387d3p-18, 0x1.1ea03fd6ae936p-18, 0x1.1c5eeebfe393bp-18, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.08367bf6b0fb2p-7, 0x1.07fde31ea2cc6p-6, 0x1.8b39e5253dabfp-6, 0x1.0692d27394af5p-5, 0x1.467afd84a77adp-5, 0x1.84f00014006cfp-5, 0x1.c19a65b773473p-5, 0x1.fc393dd3b53e7p-5, 0x1.1a52c0adeac94p-4, 0x1.3568cfe469d28p-4, 0x1.4f635061b92d7p-4, 0x1.685004fabaf6p-4, 0x1.8043afa0d432fp-4, 0x1.9757e17ccdcb3p-4, 0x1.ada8ffcec0295p-4, 0x1.c3548ea2df3b3p-4, 0x1.d877c6adaa6b6p-4, 0x1.ed2e75300ddefp-4, 0x1.00c910b816f5fp-3, 0x1.0adcb8d3c2c6p-3, 0x1.14dbe43573894p-3, 0x1.1ece898e1bc04p-3, 0x1.28bae0e02af86p-3, 0x1.32a5704a882p-3, 0x1.3c9125fd8a05p-3, 0x1.467f7bdb1794p-3, 0x1.5070a192553b2p-3, 0x1.5a63aa692aa48p-3, 0x1.6456bc53a1eb1p-3, 0x1.6e473e6b8019fp-3, 0x1.7832054ac8502p-3, 0x1.82137c34dae06p-3, 0x1.8be7ca5792f3bp-3, 0x1.95aaf3be047a4p-3, 0x1.9f58f5cfefe62p-3, 0x1.a8eddf6c54c3cp-3, 0x1.b265e4d335abap-3, 0x1.bbbd6fac7db9cp-3, 0x1.c4f12b89c0a66p-3, 0x1.cdfe0f480de7dp-3, 0x1.d6e163b86653dp-3, 0x1.df98c7f1dd3a1p-3, 0x1.e82233a9ff521p-3, 0x1.f07bf7e77e6a6p-3, 0x1.f8a4be59c67a9p-3, 0x1.004dc3cb3427fp-2, 0x1.042fd43a07e89p-2, 0x1.07f863590373dp-2, 0x1.0ba76a89cba64p-2, 0x1.0f3d0787fc28bp-2, 0x1.12b97a18df76dp-2, 0x1.161d219dfcc6cp-2, 0x1.19687a93c1001p-2, 0x1.1c9c1c03e14b7p-2, 0x1.1fb8b4f201207p-2, 0x1.22bf09c815eap-2, 0x1.25aff1c766aa5p-2, 0x1.288c54825e743p-2, 0x1.2b552763052d1p-2, 0x1.2e0b6b417ded4p-2, 0x1.30b02a0db43bbp-2, 0x1.3344748ef9279p-2, 0x1.35c9603c1ead4p-2, 0x1.3840052e48c03p-2, 0x1.3aa97c306c6d8p-2, 0x1.3d06dced2581ap-2, 0x1.3f593c3c3cd11p-2, 0x1.41a1aa90f274ep-2, 0x1.43e13289c2811p-2, 0x1.4618d7a21bd3ep-2, 0x1.484995062a6bep-2, 0x1.4a745c888c5ep-2, 0x1.4c9a15b986fb7p-2, 0x1.4ebb9d1f0e709p-2, 0x1.50d9c38cb48ecp-2, 0x1.52f54d9a5c0d4p-2, 0x1.550ef33867b72p-2, 0x1.57275f5fe6e52p-2, 0x1.593f2fdd2e29fp-2, 0x1.5b56f5331e3a6p-2, 0x1.5d6f32955e2e9p-2, 0x1.5f885df7ac5dfp-2, 0x1.61a2e0306c29fp-2, 0x1.63bf152c985d1p-2, 0x1.65dd4c3338fa8p-2, 0x1.67fdc83693f84p-2, 0x1.6a20c0314dbccp-2, 0x1.6c465f8dc7ba1p-2, 0x1.6e6ec69618423p-2, 0x1.709a0aeb16c9ep-2, 0x1.72c83800f6f13p-2, 0x1.74f94fa02956bp-2, 0x1.772d4a692ab92p-2, 0x1.7964185a254afp-2, 0x1.7b9da1555074ap-2, 0x1.7dd9c5a7168ap-2, 0x1.80185e8b29606p-2, 0x1.82593eafc04dap-2, 0x1.849c32b658e0cp-2, 0x1.86e101b15ff4p-2, 0x1.89276d9e504fp-2, 0x1.8b6f33dbd39efp-2, 0x1.8db80d9b9b6fap-2, 0x1.9001b04fa610ep-2, 0x1.924bce12c2fcp-2, 0x1.9496160c31c7p-2, 0x1.96e034ce461a9p-2, 0x1.9929d4b007dd1p-2, 0x1.9b729e21d3183p-2, 0x1.9dba37fcff137p-2, 0x1.a00047cea777p-2, 0x1.a244721dac22ep-2, 0x1.a4865aac10309p-2, 0x1.a6c5a4b3d7ca1p-2, 0x1.a901f31f97692p-2, 0x1.ab3ae8bedb343p-2, 0x1.ad7028769ec3p-2, 0x1.afa1556e0379bp-2, 0x1.b1ce1337779d5p-2, 0x1.b3f605f68a634p-2, 0x1.b618d28296c2p-2, 0x1.b8361e867ff4dp-2, 0x1.ba4d909db2433p-2, 0x1.bc5ed06e9328ep-2, 0x1.be6986c29d8d5p-2, 0x1.c06d5d9c47f49p-2, 0x1.c26a004af078ap-2, 0x1.c45f1b7cf29c8p-2, 0x1.c64c5d5008d58p-2, 0x1.c83175602e21dp-2, 0x1.ca0e14d515392p-2, 0x1.cbe1ee6e5eadep-2, 0x1.cdacb68eac591p-2, 0x1.cf6e2345a79dp-2, 0x1.d125ec591fe0ep-2, 0x1.d2d3cb4d4fc8dp-2, 0x1.d4777b6c631dcp-2, 0x1.d610b9cd50bep-2, 0x1.d79f455a1a9ffp-2, 0x1.d922ded57fc59p-2, 0x1.da9b48e03700ap-2, 0x1.dc0847fdb3d85p-2, 0x1.dd69a2988809dp-2, 0x1.debf210667cb9p-2, 0x1.e0088d8bd99f9p-2, 0x1.e145b45f961a1p-2, 0x1.e27663ada22bp-2, 0x1.e39a6b9a1ff51p-2, 0x1.e4b19e43e282ap-2, 0x1.e5bbcfc6bf11cp-2, 0x1.e6b8d63da6147p-2, 0x1.e7a889c47a38ap-2, 0x1.e88ac479b005ap-2, 0x1.e95f627fb1a98p-2, 0x1.ea2641fe03e1fp-2, 0x1.eadf43223147ep-2, 0x1.eb8a482075d5dp-2, 0x1.ec2735342cdb1p-2, 0x1.ecb5f09ff971fp-2, 0x1.ed3662adb2452p-2, 0x1.eda875ae07662p-2, 0x1.ee0c15f7df22cp-2, 0x1.ee6131e76f1f3p-2, 0x1.eea7b9dd095a7p-2, 0x1.eedfa03b9fbfap-2, 0x1.ef08d966fb314p-2, 0x1.ef235bc1a3da7p-2, 0x1.ef2f1faa7ba82p-2, 0x1.ef2c1f7a07d51p-2, 0x1.ef1a577f66e6ap-2, 0x1.eef9c5fcfd362p-2, 0x1.eeca6b24c51f1p-2, 0x1.ee8c491452357p-2, 0x1.ee3f63d08400cp-2, 0x1.ede3c140e04fap-2, 0x1.ed79692a9f436p-2, 0x1.ed00652b68309p-2, 0x1.ec78c0b3b84c4p-2, 0x1.ebe28900fdb3cp-2, 0x1.eb3dcd17642b7p-2, 0x1.ea8a9dbb51d1fp-2, 0x1.e9c90d6a9c238p-2, 0x1.e8f930556f951p-2, 0x1.e81b1c56f3752p-2, 0x1.e72ee8eda5ab2p-2, 0x1.e634af3372bc5p-2, 0x1.e52c89d58d9adp-2, 0x1.e416950c0ac27p-2, 0x1.e2f2ee913aafcp-2, 0x1.e1c1b598d3144p-2, 0x1.e0830ac6d9972p-2, 0x1.df3710265ff7ap-2, 0x1.dddde9200eecdp-2, 0x1.dc77ba7083b95p-2, 0x1.db04aa1e8466ep-2, 0x1.d984df710c6d5p-2, 0x1.d7f882e534d83p-2, 0x1.d65fbe240046fp-2, 0x1.d4babbf801fb5p-2, 0x1.d309a842f4a22p-2, 0x1.d14caff331715p-2, 0x1.cf8400f91c477p-2, 0x1.cdafca3c780b4p-2, 0x1.cbd03b91b4724p-2, 0x1.c9e585af2fe7dp-2, 0x1.c7efda2270373p-2, 0x1.c5ef6b455b366p-2, 0x1.c3e46c336fe08p-2, 0x1.c1cf10befdafp-2, 0x1.bfaf8d66659efp-2, 0x1.bd86174962b0bp-2, 0x1.bb52e41e5b338p-2, 0x1.b9162a27c4fa1p-2, 0x1.b6d02029941dbp-2, 0x1.b480fd5ec02f6p-2, 0x1.b228f96ee0b7ep-2, 0x1.afc84c63de641p-2, 0x1.ad5f2e9fbfe5fp-2, 0x1.aaedd8d2928b4p-2, 0x1.a87483f074b0fp-2, 0x1.a5f36927bb0b6p-2, 0x1.a36ac1d73ca1fp-2, 0x1.a0dac784c2dafp-2, 0x1.9e43b3d39e798p-2, 0x1.9ba5c07b64a1p-2, 0x1.9901273ed610cp-2, 0x1.965621e2eed69p-2, 0x1.93a4ea26251p-2, 0x1.90edb9b7d173fp-2, 0x1.8e30ca2fc9ff3p-2, 0x1.8b6e5506290cfp-2, 0x1.88a6938b46218p-2, 0x1.85d9bedfe1494p-2, 0x1.83080fed7fb9cp-2, 0x1.8031bf5ef8d33p-2, 0x1.7d5705993c4efp-2, 0x1.7a781ab4469c5p-2, 0x1.779536744ca7p-2, 0x1.74ae90431cd57p-2, 0x1.71c45f29b3ec9p-2, 0x1.6ed6d9ca08ed3p-2, 0x1.6be636590d483p-2, 0x1.68f2aa98e2491p-2, 0x1.65fc6bd346cd1p-2, 0x1.6303aed437fe2p-2, 0x1.6008a7e4c907bp-2, 0x1.5d0b8ac62eb12p-2, 0x1.5a0c8aad0343ep-2, 0x1.570bda3cba61ap-2, 0x1.5409ab83511b7p-2, 0x1.51062ff528b23p-2, 0x1.4e0198691e78dp-2, 0x1.4afc1514d0225p-2, 0x1.47f5d58914d69p-2, 0x1.44ef08aeab7e5p-2, 0x1.41e7dcc3165c3p-2, 0x1.3ee07f55aa1abp-2, 0x1.3bd91d44ccca3p-2, 0x1.38d1e2bb637e1p-2, 0x1.35cafb2e727d1p-2, 0x1.32c4915ae658ep-2, 0x1.2fbecf438c857p-2, 0x1.2cb9de2f3be05p-2, 0x1.29b5e6a7237bbp-2, 0x1.26b3107547971p-2, 0x1.23b182a3270e8p-2, 0x1.20b163788c53fp-2, 0x1.1db2d87a82e9dp-2, 0x1.1ab6066a78d86p-2, 0x1.17bb114582715p-2, 0x1.14c21c43c4c71p-2, 0x1.11cb49d806d82p-2, 0x1.0ed6bbaf63463p-2, 0x1.0be492b11ccb8p-2, 0x1.08f4eefe98836p-2, 0x1.0607eff37295ep-2, 0x1.031db425b8b62p-2, 0x1.003659663e93fp-2, 0x1.faa3f98228547p-3, 0x1.f4e174fc2ce23p-3, 0x1.ef255c4336a99p-3, 0x1.e96fe4da78eacp-3, 0x1.e3c142c170aa3p-3, 0x1.de19a875d92fcp-3, 0x1.d87946f5d9b2dp-3, 0x1.d2e04dc251cfdp-3, 0x1.cd4eeae167151p-3, 0x1.c7c54ae1288cap-3, 0x1.c24398da6d35ep-3, 0x1.bcc9fe73cce23p-3, 0x1.b758a3e4c7b01p-3, 0x1.b1efaff90c4f9p-3, 0x1.ac8f4813e0951p-3, 0x1.a7379033ae1c2p-3, 0x1.a1e8aaf5abf13p-3, 0x1.9ca2b999a0dcap-3, 0x1.9765dc05ca9f4p-3, 0x1.923230cada4aep-3, 0x1.8d07d52805b79p-3, 0x1.87e6e50f37c22p-3, 0x1.82cf7b295140ap-3, 0x1.7dc1b0da7d519p-3, 0x1.78bd9e46a0eefp-3, 0x1.73c35a55cd251p-3, 0x1.6ed2fab8d0131p-3, 0x1.69ec93edcc135p-3, 0x1.65103944df99ep-3, 0x1.603dfce4d7a22p-3, 0x1.5b75efcff10f6p-3, 0x1.56b821e89d931p-3, 0x1.5204a1f655c3dp-3, 0x1.4d5b7daa74015p-3, 0x1.48bcc1a513bd1p-3, 0x1.44287979f3675p-3, 0x1.3f9eafb562ac6p-3, 0x1.3b1f6de128c72p-3, 0x1.36aabc897b8a4p-3, 0x1.3240a341ea18cp-3, 0x1.2de128aa514b7p-3, 0x1.298c5273cd72dp-3, 0x1.25422565aa571p-3, 0x1.2102a5624fb27p-3, 0x1.1ccdd56c31317p-3, 0x1.18a3b7aab4c51p-3, 0x1.14844d6f16523p-3, 0x1.106f97394a7f4p-3, 0x1.0c6594bcd6132p-3, 0x1.086644e5a4723p-3, 0x1.0471a5dcd38ep-3, 0x1.0087b50d7c4f8p-3, 0x1.f950de52d9dd7p-4, 0x1.f1a7a05bc4d2dp-4, 0x1.ea13a6d06ed65p-4, 0x1.e294e6f5033cap-4, 0x1.db2b54c05fbb6p-4, 0x1.d3d6e2e5382c2p-4, 0x1.cc9782db155d4p-4, 0x1.c56d24e74e9c9p-4, 0x1.be57b825e8dd9p-4, 0x1.b7572a9252b13p-4, 0x1.b06b6910203d1p-4, 0x1.a9945f738ee7fp-4, 0x1.a2d1f88a09055p-4, 0x1.9c241e2282cdap-4, 0x1.958ab915c0fecp-4, 0x1.8f05b14e85a04p-4, 0x1.8894edd19802fp-4, 0x1.823854c5c1ab9p-4, 0x1.7befcb7b9f9cp-4, 0x1.75bb36755b55fp-4, 0x1.6f9a796e510a8p-4, 0x1.698d7762864a4p-4, 0x1.639412961518dp-4, 0x1.5dae2c9c6c137p-4, 0x1.57dba65f7b984p-4, 0x1.521c6026bd1a1p-4, 0x1.4c70399e1fe48p-4, 0x1.46d711dcd526bp-4, 0x1.4150c76c046b9p-4, 0x1.3bdd384d595e7p-4, 0x1.367c42017866bp-4, 0x1.312dc18e5399dp-4, 0x1.2bf1938561f1cp-4, 0x1.26c79409b7336p-4, 0x1.21af9ed600088p-4, 0x1.1ca98f425b45dp-4, 0x1.17b5404a1b9d1p-4, 0x1.12d28c91653f1p-4, 0x1.0e014e6ab2565p-4, 0x1.09415fdc3640ap-4, 0x1.04929aa526661p-4, 0x1.ffe9b085c616fp-5, 0x1.f6cfe3ec06951p-5, 0x1.edd7818e90d28p-5, 0x1.e5003b18d8252p-5, 0x1.dc49c1d9b71e9p-5, 0x1.d3b3c6cc99a41p-5, 0x1.cb3dfaa2826f3p-5, 0x1.c2e80dcacca66p-5, 0x1.bab1b07bb5842p-5, 0x1.b29a92bab94f4p-5, 0x1.aaa26464ab02bp-5, 0x1.a2c8d535aae28p-5, 0x1.9b0d94d0d43c4p-5, 0x1.937052c7c0ee8p-5, 0x1.8bf0bea1da462p-5, 0x1.848e87e36ebf6p-5, 0x1.7d495e14a16cfp-5, 0x1.7620f0c818fc9p-5, 0x1.6f14efa18e01fp-5, 0x1.68250a5c13981p-5, 0x1.6150f0d0497ddp-5, 0x1.5a9852fa471ffp-5, 0x1.53fae0ff6da7dp-5, 0x1.4d784b33f3ac3p-5, 0x1.4710422061664p-5, 0x1.40c27686c19b9p-5, 0x1.3a8e9967bf886p-5, 0x1.34745c078de61p-5, 0x1.2e736ff29f80ap-5, 0x1.288b870249475p-5, 0x1.22bc53611e591p-5, 0x1.1d05878f3be16p-5, 0x1.1766d6666b71p-5, 0x1.11dff31e0b48bp-5, 0x1.0c70914ee3fdfp-5, 0x1.071864f6d3e7p-5, 0x1.01d7227c4ff4fp-5, 0x1.f958fd639236p-6, 0x1.ef305db1c5d66p-6, 0x1.e533d14b2ae07p-6, 0x1.db62c48244b14p-6, 0x1.d1bca499d926ep-6, 0x1.c840dfca5c4c7p-6, 0x1.beeee547246eep-6, 0x1.b5c625435aa37p-6, 0x1.acc610f69c7e6p-6, 0x1.a3ee1aa185dcdp-6, 0x1.9b3db591e2b81p-6, 0x1.92b45626ac333p-6, 0x1.8a5171d3def34p-6, 0x1.82147f2604c55p-6, 0x1.79fcf5c59b142p-6, 0x1.720a4e7a2f7b3p-6, 0x1.6a3c032d60342p-6, 0x1.62918eed9f4b3p-6, 0x1.5b0a6df0c816dp-6, 0x1.53a61d967dcb9p-6, 0x1.4c641c6a66e11p-6, 0x1.4543ea263518ap-6, 0x1.3e4507b388ebcp-6, 0x1.3766f72d9a939p-6, 0x1.30a93be2ca6e7p-6, 0x1.2a0b5a5602404p-6, 0x1.238cd83fe530ep-6, 0x1.1d2d3c8ff31f7p-6, 0x1.16ec0f6d637b6p-6, 0x1.10c8da3803a1bp-6, 0x1.0ac32788c7d2ep-6, 0x1.04da833261c9ap-6, 0x1.fe1cf48327873p-7, 0x1.f2bd35fb05ad3p-7, 0x1.e794e9cf9f23p-7, 0x1.dca3317938a2fp-7, 0x1.d1e730e4f4844p-7, 0x1.c7600e7460bbcp-7, 0x1.bd0cf2fcd2323p-7, 0x1.b2ed09c6a1242p-7, 0x1.a8ff808c1110dp-7, 0x1.9f4387780d07ap-7, 0x1.95b85124de551p-7, 0x1.8c5d129a631cdp-7, 0x1.8331034c779eep-7, 0x1.7a335d18e0d2p-7, 0x1.71635c453ca03p-7, 0x1.68c03f7cc519p-7, 0x1.604947cdd44fdp-7, 0x1.57fdb8a764008p-7, 0x1.4fdcd7d654e91p-7, 0x1.47e5ed8286492p-7, 0x1.4018442c0061bp-7, 0x1.387328a7c0cd3p-7, 0x1.30f5ea1c8e95bp-7, 0x1.299fd9ff9e94ap-7, 0x1.22704c1131e9ep-7, 0x1.1b669659015c5p-7, 0x1.148211229d53bp-7, 0x1.0dc216f9b459bp-7, 0x1.072604a63377p-7, 0x1.00ad3928747f4p-7, 0x1.f4ae2b6a55d72p-8, 0x1.e845fb62a9dbep-8, 0x1.dc20ad5c3c0b8p-8, 0x1.d03d10c95ce0bp-8, 0x1.c499f9637f42bp-8, 0x1.b9363f2313eb2p-8, 0x1.ae10be360a4c4p-8, 0x1.a32856f785aefp-8, 0x1.987bede688e19p-8, 0x1.8e0a6b9cda7b4p-8, 0x1.83d2bcc5f1d84p-8, 0x1.79d3d21595d6ep-8, 0x1.700ca03ea584bp-8, 0x1.667c1fe974255p-8, 0x1.5d214daa76024p-8, 0x1.53fb29f8a8d44p-8, 0x1.4b08b92403c67p-8, 0x1.4249034ba7dc8p-8, 0x1.39bb14546bd36p-8, 0x1.315dfbdee3271p-8, 0x1.2930cd3dd63fp-8, 0x1.21329f6c4a948p-8, 0x1.19628d03ccfd9p-8, 0x1.11bfb4328c66ep-8, 0x1.0a4936b1a1068p-8, 0x1.02fe39baff655p-8, 0x1.f7bbcbff78626p-9, 0x1.e9cecf3c8ab9bp-9, 0x1.dc33dc30c0d71p-9, 0x1.cee95892b12ddp-9, 0x1.c1edb0b84ea6ap-9, 0x1.b53f57838eaa2p-9, 0x1.a8dcc64e366ecp-9, 0x1.9cc47cd6f10a2p-9, 0x1.90f5012d15fd7p-9, 0x1.856cdf9db494ep-9, 0x1.7a2aaaa00356ap-9, 0x1.6f2cfac1cee1cp-9, 0x1.64726e947b2b8p-9, 0x1.59f9aa9998a61p-9, 0x1.4fc1592fd6da8p-9, 0x1.45c82a7fe7cfep-9, 0x1.3c0cd46984187p-9, 0x1.328e1270a33a6p-9, 0x1.294aa5aabf5a2p-9, 0x1.204154abd5e76p-9, 0x1.1770eb743a44dp-9, 0x1.0ed83b5df3e84p-9, 0x1.06761b0a42326p-9, 0x1.fc92cc9f383f4p-10, 0x1.eca1fc4ed215fp-10, 0x1.dd17913850ae1p-10, 0x1.cdf1616ebf574p-10, 0x1.bf2d4cdff935cp-10, 0x1.b0c93d3142e4p-10, 0x1.a2c3259cb21ecp-10, 0x1.951902cdda8a8p-10, 0x1.87c8dac04396ap-10, 0x1.7ad0bc9c61d2cp-10, 0x1.6e2ec09627d77p-10, 0x1.61e107cb43ddap-10, 0x1.55e5bc22249f5p-10, 0x1.4a3b1028d00e8p-10, 0x1.3edf3ef3e053ap-10, 0x1.33d08bfe96e5dp-10, 0x1.290d430a6525cp-10, 0x1.1e93b7ff6dcc4p-10, 0x1.146246cc805cfp-10, 0x1.0a775348b64ecp-10, 0x1.00d14913a5aap-10, 0x1.eedd36eeebf8fp-11, 0x1.dc9b8a94a9459p-11, 0x1.cada91a10f324p-11, 0x1.b9975f3d22975p-11, 0x1.a8cf14f8ca318p-11, 0x1.987ee28fb1696p-11, 0x1.88a405b086966p-11, 0x1.793bc9c3c429bp-11, 0x1.6a4387b394003p-11, 0x1.5bb8a5b4fb037p-11, 0x1.4d98970f90cc8p-11, 0x1.3fe0dbe8ae07ep-11, 0x1.328f010cbc923p-11, 0x1.25a09fbb1fdcp-11, 0x1.19135d70874e3p-11, 0x1.0ce4ebb50112ap-11, 0x1.011307e6b88ecp-11, 0x1.eb36f61287f2cp-12, 0x1.d4f833254eb16p-12, 0x1.bf6586756991ap-12, 0x1.aa7ac593da2a8p-12, 0x1.9633dbd33c194p-12, 0x1.828cc9e91b22cp-12, 0x1.6f81a59012317p-12, 0x1.5d0e992b9aab3p-12, 0x1.4b2fe36cd8e1cp-12, 0x1.39e1d6f80e3ecp-12, 0x1.2920da0c82639p-12, 0x1.18e9662c2f09ep-12, 0x1.093807c637f6ap-12, 0x1.f412bbc0fe163p-13, 0x1.d6b433885c957p-13, 0x1.ba4dfd55e957dp-13, 0x1.9ed9c2d96c66ep-13, 0x1.8451505e06c15p-13, 0x1.6aae942b72c57p-13, 0x1.51eb9de908c5ap-13, 0x1.3a029e0361bf5p-13, 0x1.22ede5137d611p-13, 0x1.0ca7e347d4c2ap-13, 0x1.ee564fa5d6454p-14, 0x1.c4e4c0ac8fd13p-14, 0x1.9cf0b0ab1b104p-14, 0x1.766ff14d0c851p-14, 0x1.51588dd0c450cp-14, 0x1.2da0c9ed73fbfp-14, 0x1.0b3f20c9f5de3p-14, 0x1.d45487e6339edp-15, 0x1.94b2349c9b92p-15, 0x1.57857e3d54191p-15, 0x1.1cbd0204b1223p-15, 0x1.c88f83e62341ep-16, 0x1.5c2a45b12ba81p-16, 0x1.e853a9ef9a6a3p-17, 0x1.20dcf6c3811dbp-17, 0x1.86c9e87075584p-19, -0x1.55a158335a06dp-19, -0x1.04ae9d413a15ep-17, -0x1.ac5a1f7772f3cp-17, -0x1.2651a3f85e61cp-16, -0x1.72e0980d5f9fdp-16, -0x1.bbf4d31531d12p-16, -0x1.00d44ce749959p-15, -0x1.220ac8f896031p-15, -0x1.41aa629d36e1ap-15, -0x1.5fbf5250a9253p-15, -0x1.7c5585b3ca1d4p-15, -0x1.9778a1081f434p-15, -0x1.b13400b1a6da2p-15, -0x1.c992baad8ef6cp-15, -0x1.e09f9ffcb764fp-15, -0x1.f6653e0fe4f95p-15, -0x1.0576f013efba9p-14, -0x1.0f21c85b414dap-14, -0x1.18380d58a5734p-14, -0x1.20be8571da9b7p-14, -0x1.28b9d89dff928p-14, -0x1.302e91049505p-14, -0x1.37211ba3bf376p-14, -0x1.3d95c8e651964p-14, -0x1.4390cd41c3453p-14, -0x1.491641ce7b24ep-14, -0x1.4e2a24d7ec976p-14, -0x1.52d05a7429cb7p-14, -0x1.570cad0f41cafp-14, -0x1.5ae2cdfb5b16p-14, -0x1.5e5655f761ef5p-14, -0x1.616ac5bacdd19p-14, -0x1.6423867775d2p-14, -0x1.6683ea5eeb2cap-14, -0x1.688f2d21827a4p-14, -0x1.6a48746dfb6e9p-14, -0x1.6bb2d06b8206dp-14, -0x1.6cd13c3430b4dp-14, -0x1.6da69e4d49f87p-14, -0x1.6e35c9186b6a6p-14, -0x1.6e817b4c37ecfp-14, -0x1.6e8c606010a72p-14, -0x1.6e5910fce04c5p-14, -0x1.6dea1368f0ea2p-14, -0x1.6d41dbf291451p-14, -0x1.6c62cd578941p-14, -0x1.6b4f392d985c6p-14, -0x1.6a09604417399p-14, -0x1.6893730804da4p-14, -0x1.66ef91e4ca673p-14, -0x1.651fcda0fb3ecp-14, -0x1.632627be7b78cp-14, -0x1.610492d138d83p-14, -0x1.5ebcf2db8316ep-14, -0x1.5c511da47e676p-14, -0x1.59c2db0e5408bp-14, -0x1.5713e56947556p-14, -0x1.5445e9c608fd3p-14, -0x1.515a8847639ccp-14, -0x1.4e53547060303p-14, -0x1.4b31d57257f84p-14, -0x1.47f78678e1a78p-14, -0x1.44a5d6f2d605cp-14, -0x1.413e2add5f5bep-14, -0x1.3dc1db0a175b8p-14, -0x1.3a3235639b6ap-14, -0x1.36907d3548531p-14, -0x1.32ddeb6b28015p-14, -0x1.2f1baed55aed5p-14, -0x1.2b4aec6783c56p-14, -0x1.276cbf78db575p-14, -0x1.23823a001f10dp-14, -0x1.1f8c64d1a57b3p-14, -0x1.1b8c3fd96fe4bp-14, -0x1.1782c2554ddf8p-14, -0x1.1370db0cf488cp-14, -0x1.0f57708aa339p-14, -0x1.0b37614fbf42fp-14, -0x1.0711840b9ab83p-14, -0x1.02e6a7cd7d01fp-14, -0x1.fd6f2872a70a9p-15, -0x1.f50a13707d58p-15, -0x1.ec9f83519ef78p-15, -0x1.e430dd20eed8p-15, -0x1.dbbf788f41859p-15, -0x1.d34ca052206e8p-15, -0x1.cad9927b59346p-15, -0x1.c26780cf21751p-15, -0x1.b9f7911bff193p-15, -0x1.b18add8a679f4p-15, -0x1.a92274f1b1497p-15, -0x1.a0bf5b23dcfbfp-15, -0x1.9862893efa695p-15, -0x1.900cedf65e9cfp-15, -0x1.87bf6ddf287a2p-15, -0x1.7f7ae3b6df43ep-15, -0x1.774020ab93bbp-15, -0x1.6f0feca121e3cp-15, -0x1.66eb06750f305p-15, -0x1.5ed2243ee6792p-15, -0x1.56c5f394340eap-15, -0x1.4ec719c3fe69fp-15, -0x1.46d63417a37c6p-15, -0x1.3ef3d80cdc7a5p-15, -0x1.37209391a46e8p-15, -0x1.2f5ced3d1c25ep-15, -0x1.27a9648929186p-15, -0x1.20067205e30ddp-15, -0x1.1874879307122p-15, -0x1.10f410909bbb4p-15, -0x1.09857214af7a5p-15, -0x1.02290b1abc95ap-15, -0x1.f5be696cd52bp-16, -0x1.e7508480c2e0bp-16, -0x1.d909030dcd37bp-16, -0x1.cae875f1b6f9bp-16, -0x1.bcef63a69f0e4p-16, -0x1.af1e4895fea9cp-16, -0x1.a175976d51579p-16, -0x1.93f5b9713959ep-16, -0x1.869f0ec98abdbp-16, -0x1.7971eed17785p-16, -0x1.6c6ea863092cfp-16, -0x1.5f95821e4f52ap-16, -0x1.52e6bab4d093bp-16, -0x1.4662892b7c358p-16, -0x1.3a091d22e41f8p-16, -0x1.2dda9f14c83ffp-16, -0x1.21d73099d5b29p-16, -0x1.15feeca53623cp-16, -0x1.0a51e7c366abep-16, -0x1.fda060aa55aa9p-17, -0x1.e6f39d95ada4p-17, -0x1.d09d8bb777405p-17, -0x1.ba9e257c23ff7p-17, -0x1.a4f55ab83250bp-17, -0x1.8fa311127c48ap-17, -0x1.7aa72467858ccp-17, -0x1.6601672e5cc43p-17, -0x1.51b1a2d7e8da9p-17, -0x1.3db7982d4930ep-17, -0x1.2a12ffa9b8eb2p-17, -0x1.16c389d380feep-17, -0x1.03c8df93ec2dfp-17, -0x1.e2454511945ebp-18, -0x1.bda0daa7d52c8p-18, -0x1.99a3a7e05177cp-18, -0x1.764cc7f0dc4cdp-18, -0x1.539b49ebbc738p-18, -0x1.318e314d07c23p-18, -0x1.10247689adeb9p-18, -0x1.deba0f2d51c97p-19, -0x1.9e6d90de0cdd1p-19, -0x1.5f612727db37dp-19, -0x1.219275147305ep-19, -0x1.c9fe194a0dfb8p-20, -0x1.5348df87d7113p-20, -0x1.be004484440a7p-21, -0x1.b47aa8d6aed17p-22, 0x1.306d788fd8bc6p-27, 0x1.be0f6382838aep-22, 0x1.b49fa63640f94p-21, 0x1.42ca636009aaap-20, 0x1.a8f9384389038p-20, 0x1.067109db5b3c8p-19, 0x1.374564d15b848p-19, 0x1.66fc9f48a49cp-19, 0x1.9599b32ec07cfp-19, 0x1.c31fa17eea17p-19, 0x1.ef91719aaeb66p-19, 0x1.0d79185e7d3a2p-18, 0x1.22a278b242fb1p-18, 0x1.3746656457baep-18, 0x1.4b666c27bd779p-18, 0x1.5f041c84d5f82p-18, 0x1.7221079bd383dp-18, 0x1.84bebfe3de868p-18, 0x1.96ded8f3bb01cp-18, 0x1.a882e74600abap-18, 0x1.b9ac80037024bp-18, 0x1.ca5d38ce02a9fp-18, 0x1.da96a78be7e86p-18, 0x1.ea5a6238b63bfp-18, 0x1.f9a9feb3ee622p-18, 0x1.0443894b36c2cp-17, 0x1.0b79998117b7cp-17, 0x1.1277fa3d93f28p-17, 0x1.193f755efabfep-17, 0x1.1fd0d44c31dacp-17, 0x1.262cdfe265eecp-17, 0x1.2c54606270739p-17, 0x1.32481d608071dp-17, 0x1.3808ddb32758fp-17, 0x1.3d9767631b8fep-17, 0x1.42f47f9cd4dfbp-17, 0x1.4820eaa1d872fp-17, 0x1.4d1d6bba5d091p-17, 0x1.51eac5291e533p-17, 0x1.5689b81d2e42ep-17, 0x1.5afb04a787292p-17, 0x1.5f3f69aefa2cp-17, 0x1.6357a4e5280eep-17, 0x1.674472bc08a8p-17, 0x1.6b068e5c10dcp-17, 0x1.6e9eb19b396bfp-17, 0x1.720d94f4a72bep-17, 0x1.7553ef7e91956p-17, 0x1.787276e3c2403p-17, 0x1.7b69df5bc31f2p-17, 0x1.7e3adba3f353bp-17, 0x1.80e61cf8a3355p-17, 0x1.836c530ef5c95p-17, 0x1.85ce2c0f4c949p-17, 0x1.880c548faf1ap-17, 0x1.8a27778eb29cbp-17, 0x1.8c203e6ea87f6p-17, 0x1.8df750f1fe2adp-17, 0x1.8fad5536ac471p-17, 0x1.9142efb2729a9p-17, 0x1.92b8c32f78c9bp-17, 0x1.940f70c98c2d1p-17, 0x1.954797eb7beabp-17, 0x1.9661d64c429f3p-17, 0x1.975ec7ece70cfp-17, 0x1.983f0716938f9p-17, 0x1.99032c590f8e4p-17, 0x1.99abce894a39bp-17, 0x1.9a3982c029061p-17, 0x1.9aacdc595342bp-17, 0x1.9b066cf2eb7c8p-17, 0x1.9b46c46cd2b35p-17, 0x1.9b6e70e87196ap-17, 0x1.9b7dfec85f2b4p-17, 0x1.9b75f8b06f34fp-17, 0x1.9b56e786849edp-17, 0x1.9b215272b6f3cp-17, 0x1.9ad5bedfdcb7ep-17, 0x1.9a74b07c9605ep-17, 0x1.99fea93be26fep-17, 0x1.99742956a0586p-17, 0x1.98d5af4c81f1p-17, 0x1.9823b7e574139p-17, 0x1.975ebe33810acp-17, 0x1.96873b945891p-17, 0x1.959da7b2bafbap-17, 0x1.94a27888c6a97p-17, 0x1.93962261d0b56p-17, 0x1.927917dc9e378p-17, 0x1.914bc9ed9c15ep-17, 0x1.900ea7e0f2ccfp-17, 0x1.8ec21f5d57037p-17, 0x1.8d669c665cbc2p-17, 0x1.8bfc895f0fb52p-17, 0x1.8a844f0cc3fb1p-17, }}, 
      {{0x1.1c4d191b5aa5p-2, 0x1.1c4fe8ad11901p-2, 0x1.1c691d2aeedfp-2, 0x1.1ca6ac3a4d207p-2, 0x1.1d0fbad35565cp-2, 0x1.1da51ff9fef16p-2, 0x1.1e634758e4307p-2, 0x1.1f44358eb8bfp-2, 0x1.2041297cc63e8p-2, 0x1.2153b893f8588p-2, 0x1.22767251f3eap-2, 0x1.23a5277bd6d06p-2, 0x1.24dcf2d51767dp-2, 0x1.261c1bf325286p-2, 0x1.2761e62e555acp-2, 0x1.28ae57c2098c8p-2, 0x1.2a0200a84416ep-2, 0x1.2b5dc59bd2771p-2, 0x1.2cc2b1a456ff8p-2, 0x1.2e31cf4a7849cp-2, 0x1.2fac09c937127p-2, 0x1.313216121e0f1p-2, 0x1.32c463269ba39p-2, 0x1.3463111063221p-2, 0x1.360ded9d81ec6p-2, 0x1.37c475ef01f72p-2, 0x1.3985dbe0a6ecdp-2, 0x1.3b510e5420ea6p-2, 0x1.3d24c3780ee3ap-2, 0x1.3eff84392ca57p-2, 0x1.40dfb827bb637p-2, 0x1.42c3b13a0b1dbp-2, 0x1.44a9b6f4e98c8p-2, 0x1.469010a1af35p-2, 0x1.48750e563cb89p-2, 0x1.4a5710ac85ac7p-2, 0x1.4c348f1c9ae8cp-2, 0x1.4e0c1cfd61065p-2, 0x1.4fdc6d3d45997p-2, 0x1.51a454ed9f20dp-2, 0x1.5362ccc17575p-2, 0x1.5516f1a38de15p-2, 0x1.56c004888632fp-2, 0x1.585d69a0c7df6p-2, 0x1.59eea70bfa268p-2, 0x1.5b73632c6dc41p-2, 0x1.5ceb62b5635f2p-2, 0x1.5e56868b48f84p-2, 0x1.5fb4c9891a8e3p-2, 0x1.61063e3a97976p-2, 0x1.624b0c9784c39p-2, 0x1.63836fc95cab9p-2, 0x1.64afb40236082p-2, 0x1.65d0346982e6cp-2, 0x1.66e55921a6206p-2, 0x1.67ef9567ea03ap-2, 0x1.68ef65cf6e9b8p-2, 0x1.69e54e96e3285p-2, 0x1.6ad1da18664cbp-2, 0x1.6bb5975294026p-2, 0x1.6c911889b117bp-2, 0x1.6d64f1ffc997p-2, 0x1.6e31b8c2c3e1ep-2, 0x1.6ef8018f5e6b2p-2, 0x1.6fb85fc852272p-2, 0x1.70736480e9548p-2, 0x1.71299d9a77b97p-2, 0x1.71db94f44f9d4p-2, 0x1.7289cfade05ffp-2, 0x1.7334cd7abee93p-2, 0x1.73dd080863993p-2, 0x1.7482f27578589p-2, 0x1.7526f8da8201bp-2, 0x1.75c97fe3b6f4p-2, 0x1.766ae47bbea6fp-2, 0x1.770b7b8715a02p-2, 0x1.77ab91afa92bp-2, 0x1.784b6b4045aa6p-2, 0x1.78eb440f442dcp-2, 0x1.798b4f77e2337p-2, 0x1.7a2bb86190966p-2, 0x1.7acca1547742cp-2, 0x1.7b6e249a5be9ap-2, 0x1.7c10546b05ac7p-2, 0x1.7cb33b23358b5p-2, 0x1.7d56db8536b19p-2, 0x1.7dfb31020c60ap-2, 0x1.7ea0300a3a6edp-2, 0x1.7f45c665262ecp-2, 0x1.7febdb8e0e065p-2, 0x1.809251159c936p-2, 0x1.813903071d908p-2, 0x1.81dfc8506a7e8p-2, 0x1.8286732ba82dep-2, 0x1.832cd189fcc55p-2, 0x1.83d2ad7e75485p-2, 0x1.8477cda85bbdp-2, 0x1.851bf59c4ee74p-2, 0x1.85bee64b7db49p-2, 0x1.86605e6877696p-2, 0x1.87001ac90ed15p-2, 0x1.879dd6c4e12dfp-2, 0x1.88394c902173p-2, 0x1.88d23592535fbp-2, 0x1.89684ab8b870fp-2, 0x1.89fb44c430aa9p-2, 0x1.8a8adc9273811p-2, 0x1.8b16cb6277fe1p-2, 0x1.8b9ecb140585cp-2, 0x1.8c2296626401cp-2, 0x1.8ca1e91a3047p-2, 0x1.8d1c804a6097ep-2, 0x1.8d921a70909p-2, 0x1.8e0277a0b0a13p-2, 0x1.8e6d59a837091p-2, 0x1.8ed2842d022efp-2, 0x1.8f31bcc80dd81p-2, 0x1.8f8acb1c353f2p-2, 0x1.8fdd78e92fcdp-2, 0x1.9029921afa952p-2, 0x1.906ee4d5ee5cbp-2, 0x1.90ad417fb0c91p-2, 0x1.90e47ac53f2afp-2, 0x1.9114659e465a7p-2, 0x1.913cd94e0688fp-2, 0x1.915daf61f2879p-2, 0x1.9176c3ae4501ep-2, 0x1.9187f448c154p-2, 0x1.91912181ccd8cp-2, 0x1.91922ddc18fabp-2, 0x1.918afe0309231p-2, 0x1.917b78bffddccp-2, 0x1.916386eeb74f5p-2, 0x1.91431370ecfa3p-2, 0x1.911a0b214aa01p-2, 0x1.90e85cc5e9b1cp-2, 0x1.90adf902702p-2, 0x1.906ad249ec52ep-2, 0x1.901edcd08ed3cp-2, 0x1.8fca0e7d525f7p-2, 0x1.8f6c5edbb0b98p-2, 0x1.8f05c70d71e2ep-2, 0x1.8e9641bcabb15p-2, 0x1.8e1dcb0dfcc7p-2, 0x1.8d9c60931480ap-2, 0x1.8d12013d8fc5fp-2, 0x1.8c7ead5237ed8p-2, 0x1.8be2665ca81a5p-2, 0x1.8b3d2f23601bep-2, 0x1.8a8f0b9c4c4b7p-2, 0x1.89d800e1c3477p-2, 0x1.89181527fadeap-2, 0x1.884f4fb2f820ap-2, 0x1.877db8ccf8d11p-2, 0x1.86a359bd52b9p-2, 0x1.85c03cbfcf6f4p-2, 0x1.84d46cfc73e14p-2, 0x1.83dff67fc1af8p-2, 0x1.82e2e6335db19p-2, 0x1.81dd49d7238c4p-2, 0x1.80cf2ffa9d8e9p-2, 0x1.7fb8a7f6d798dp-2, 0x1.7e99c1e88fb1p-2, 0x1.7d728eaab7f4ep-2, 0x1.7c431fd148266p-2, 0x1.7b0b87a458aacp-2, 0x1.79cbd91b7e309p-2, 0x1.788427d9651acp-2, 0x1.77348827a142ap-2, 0x1.75dd0ef2b20f7p-2, 0x1.747dd1c6336a5p-2, 0x1.7316e6c931713p-2, 0x1.71a864baa34d7p-2, 0x1.703262edff1d1p-2, 0x1.6eb4f947e60bbp-2, 0x1.6d30403ae6691p-2, 0x1.6ba450c449a01p-2, 0x1.6a114468f0b08p-2, 0x1.68773532342ep-2, 0x1.66d63daacbb8ep-2, 0x1.652e78dbb3b49p-2, 0x1.6380024910cb2p-2, 0x1.61caf5ef0f0afp-2, 0x1.600f703eb919bp-2, 0x1.5e4d8e1ac7ed5p-2, 0x1.5c856cd460ed8p-2, 0x1.5ab72a27cd7bfp-2, 0x1.58e2e4391f93dp-2, 0x1.5708b990c855dp-2, 0x1.5528c9181e4ecp-2, 0x1.53433215cf124p-2, 0x1.5158142a44143p-2, 0x1.4f678f4beee1ap-2, 0x1.4d71c3c387b6bp-2, 0x1.4b76d22838bb2p-2, 0x1.4976db5bb4224p-2, 0x1.477200863ca8ap-2, 0x1.456863129c09bp-2, 0x1.435a24aa03e84p-2, 0x1.4147672fe5eb5p-2, 0x1.3f304cbdb881p-2, 0x1.3d14f79eaee04p-2, 0x1.3af58a4b652a9p-2, 0x1.38d227657e7b2p-2, 0x1.36aaf1b33ccd4p-2, 0x1.34800c1b09ef3p-2, 0x1.3251999efdd12p-2, 0x1.301fbd585c79p-2, 0x1.2dea9a730dce1p-2, 0x1.2bb2542915d56p-2, 0x1.29770dbe05e43p-2, 0x1.2738ea7a7238cp-2, 0x1.24f80da7640e6p-2, 0x1.22b49a89d32b1p-2, 0x1.206eb45e1dab9p-2, 0x1.1e267e538c8fcp-2, 0x1.1bdc1b87d7662p-2, 0x1.198faf02b599fp-2, 0x1.17415bb17a4fp-2, 0x1.14f14462b5f53p-2, 0x1.129f8bc1e9741p-2, 0x1.104c545344c5p-2, 0x1.0df7c06f76b53p-2, 0x1.0ba1f23f89d8ep-2, 0x1.094b0bb8d548fp-2, 0x1.06f32e99004a7p-2, 0x1.049a7c62178d2p-2, 0x1.02411656b8d8cp-2, 0x1.ffce3aeca5e98p-3, 0x1.fb1964f2faa09p-3, 0x1.f663eb9ccc30bp-3, 0x1.f1ae0f2ab2be6p-3, 0x1.ecf80f3abf26bp-3, 0x1.e8422ac1f038bp-3, 0x1.e38ca005d3e97p-3, 0x1.ded7ac9668beap-3, 0x1.da238d482c152p-3, 0x1.d5707e2e6356ep-3, 0x1.d0beba959d7bfp-3, 0x1.cc0e7cfe705bcp-3, 0x1.c75fff1868225p-3, 0x1.c2b379bd36197p-3, 0x1.be0924ec16dcep-3, 0x1.b96137c577e38p-3, 0x1.b4bbe886cf2b1p-3, 0x1.b0196c86b3fc3p-3, 0x1.ab79f831329ccp-3, 0x1.a6ddbf045307p-3, 0x1.a244f38ce51dap-3, 0x1.9dafc7637f039p-3, 0x1.991e6b29b3beep-3, 0x1.94910e878e77cp-3, 0x1.9007e02937f07p-3, 0x1.8b830dbcdc32dp-3, 0x1.8702c3f0cc0ecp-3, 0x1.82872e71c70e4p-3, 0x1.7e1077e98bc87p-3, 0x1.799ec9fd95103p-3, 0x1.75324d4e0b093p-3, 0x1.70cb2974ec878p-3, 0x1.6c698505662d4p-3, 0x1.680d858b5f302p-3, 0x1.63b74f8b359e6p-3, 0x1.5f670681ab04ep-3, 0x1.5b1ccce3f8aa5p-3, 0x1.56d8c4201f9a9p-3, 0x1.529b0c9d569a2p-3, 0x1.4e63c5bcab1e3p-3, 0x1.4a330dd9cc7cfp-3, 0x1.4609024bfa4dbp-3, 0x1.41e5bf672085cp-3, 0x1.3dc9607d16c4fp-3, 0x1.39b3ffdf04935p-3, 0x1.35a5b6deed342p-3, 0x1.319e9dd154fb7p-3, 0x1.2d9ecc0f15414p-3, 0x1.29a657f745722p-3, 0x1.25b556f1458bcp-3, 0x1.21cbdd6eecaa7p-3, 0x1.1de9feeecbd16p-3, 0x1.1a0fcdfe8dba2p-3, 0x1.163d5c3d748c1p-3, 0x1.1272ba5eebceep-3, 0x1.0eaff82d35a22p-3, 0x1.0af5248c298bbp-3, 0x1.07424d7c0b068p-3, 0x1.0397801c760eep-3, 0x1.ffe9915eb5454p-4, 0x1.f8b4653818f8cp-4, 0x1.f18f90e4c0017p-4, 0x1.ea7b27dbb88f1p-4, 0x1.e3773bf1ef672p-4, 0x1.dc83dd60bc6dep-4, 0x1.d5a11acc95e34p-4, 0x1.cecf014bd6f9dp-4, 0x1.c80d9c6d8bb4ep-4, 0x1.c15cf640637a3p-4, 0x1.babd1759aaad7p-4, 0x1.b42e06dc4d179p-4, 0x1.adafca7ff0ee8p-4, 0x1.a742669817251p-4, 0x1.a0e5de1b3f3e7p-4, 0x1.9a9a32aa22012p-4, 0x1.945f6496db732p-4, 0x1.8e3572ec32916p-4, 0x1.881c5b74cf6f5p-4, 0x1.82141ac27b8adp-4, 0x1.7c1cac35635b6p-4, 0x1.76360a0350507p-4, 0x1.70602d3ee5facp-4, 0x1.6a9b0dded669cp-4, 0x1.64e6a2c513b82p-4, 0x1.5f42e1c5fb43bp-4, 0x1.59afbfaf74c13p-4, 0x1.542d30500fe81p-4, 0x1.4ebb267e0f4b5p-4, 0x1.4959941e7061fp-4, 0x1.44086a2be1167p-4, 0x1.3ec798bdab223p-4, 0x1.39970f0e94267p-4, 0x1.3476bb83a98adp-4, 0x1.2f668bb2ffb01p-4, 0x1.2a666c6a63f26p-4, 0x1.257649b5f744ep-4, 0x1.20960ee6bdb89p-4, 0x1.1bc5a69914da9p-4, 0x1.1704fabb1f84bp-4, 0x1.1253f493160f2p-4, 0x1.0db27cc586d9dp-4, 0x1.09207b5b834eep-4, 0x1.049dd7c8b3092p-4, 0x1.002a78f15724dp-4, 0x1.f78c8a606a932p-5, 0x1.eee244b8d373p-5, 0x1.e655eb9e536f5p-5, 0x1.dde748d2d3ec8p-5, 0x1.d5962532d8126p-5, 0x1.cd6248c079704p-5, 0x1.c54b7aae2496ep-5, 0x1.bd518169300d9p-5, 0x1.b57422a440f62p-5, 0x1.adb323617fd7fp-5, 0x1.a60e47fc9a0bbp-5, 0x1.9e85543497e0fp-5, 0x1.97180b357eb08p-5, 0x1.8fc62fa1c7a83p-5, 0x1.888f839b9741bp-5, 0x1.8173c8cddc186p-5, 0x1.7a72c0752544p-5, 0x1.738c2b68530ep-5, 0x1.6cbfca211fe4ap-5, 0x1.660d5cc461876p-5, 0x1.5f74a32a33aeap-5, 0x1.58f55ce5dd092p-5, 0x1.528f494d975fep-5, 0x1.4c4227821a81p-5, 0x1.460db675fc982p-5, 0x1.3ff1b4f4e144dp-5, 0x1.39ede1aa83654p-5, 0x1.3401fb29841ecp-5, 0x1.2e2dbff212244p-5, 0x1.2870ee7865021p-5, 0x1.22cb452b088f6p-5, 0x1.1d3c8278fc0b1p-5, 0x1.17c464d7a867ep-5, 0x1.1262aac8a4a28p-5, 0x1.0d1712df5742bp-5, 0x1.07e15bc664238p-5, 0x1.02c14444f81a9p-5, 0x1.fb6d1687cc5c8p-6, 0x1.f181dfa53d973p-6, 0x1.e7c06257f54ecp-6, 0x1.de281d75bff2dp-6, 0x1.d4b8903d8a79dp-6, 0x1.cb713a5fffbc1p-6, 0x1.c2519c07fdb3p-6, 0x1.b95935e29a20ep-6, 0x1.b0878926fae41p-6, 0x1.a7dc179dd9d86p-6, 0x1.9f5663a8ba9d1p-6, 0x1.96f5f048e8c2ep-6, 0x1.8eba41261c9cp-6, 0x1.86a2da94f8a46p-6, 0x1.7eaf419d27e9dp-6, 0x1.76defbff4b32bp-6, 0x1.6f31903aa2967p-6, 0x1.67a6859273884p-6, 0x1.603d64133c37cp-6, 0x1.58f5b49799896p-6, 0x1.51cf00cd092bbp-6, 0x1.4ac8d338519a1p-6, 0x1.43e2b739d5b79p-6, 0x1.3d1c391191db9p-6, 0x1.3674e5e2fd6d7p-6, 0x1.2fec4bb8953d9p-6, 0x1.2981f9875e218p-6, 0x1.23357f3207dc4p-6, 0x1.1d066d8bff22ep-6, 0x1.16f4565c44859p-6, 0x1.10fecc60061f9p-6, 0x1.0b25634d2e053p-6, 0x1.0567afd495371p-6, 0x1.ff8a8f4861e83p-7, 0x1.f47b82d21c2a7p-7, 0x1.e9a169a217584p-7, 0x1.defb75190f1dap-7, 0x1.d488d89fb072p-7, 0x1.ca48c9a9442bdp-7, 0x1.c03a7fb616065p-7, 0x1.b65d34556f495p-7, 0x1.acb023278a677p-7, 0x1.a33289df07f25p-7, 0x1.99e3a8423ef77p-7, 0x1.90c2c02c3ff56p-7, 0x1.87cf158da68e4p-7, 0x1.7f07ee6d2a7ddp-7, 0x1.766c92e7dc1dap-7, 0x1.6dfc4d31543edp-7, 0x1.65b669938e2a7p-7, 0x1.5d9a366e8d8eep-7, 0x1.55a70437e13e6p-7, 0x1.4ddc2579e800cp-7, 0x1.4638eed2e446dp-7, 0x1.3ebcb6f3e3ad2p-7, 0x1.3766d69f7c6a4p-7, 0x1.3036a8a85b968p-7, 0x1.292b89efb23e1p-7, 0x1.2244d96364198p-7, 0x1.1b81f7fc2c48ap-7, 0x1.14e248bb86a9p-7, 0x1.0e6530a986e0fp-7, 0x1.080a16d278abp-7, 0x1.01d0644471c6bp-7, 0x1.f76f08197c1b4p-8, 0x1.eb7dc66a3dd6ap-8, 0x1.dfcbe1821fcbdp-8, 0x1.d4583b5586c0ep-8, 0x1.c921b9c069831p-8, 0x1.be27467fd8fb9p-8, 0x1.b367cf2bc2d0fp-8, 0x1.a8e2453029d41p-8, 0x1.9e959dc67df31p-8, 0x1.9480d1ee93113p-8, 0x1.8aa2de6789832p-8, 0x1.80fac3a8986d6p-8, 0x1.778785d99b9e3p-8, 0x1.6e482ccb9354ep-8, 0x1.653bc3f11295p-8, 0x1.5c615a5666d3ap-8, 0x1.53b80299badb9p-8, 0x1.4b3ed2e343d31p-8, 0x1.42f4e4dcfa02dp-8, 0x1.3ad955aab0bf2p-8, 0x1.32eb45e1b4718p-8, 0x1.2b29d98089d7ap-8, 0x1.239437e69c184p-8, 0x1.1c298bcbb8bcap-8, 0x1.14e90337adb99p-8, 0x1.0dd1cf79b3addp-8, 0x1.06e3251fcbbddp-8, 0x1.001c3bee43ff4p-8, 0x1.f2f89dade3bb6p-9, 0x1.e60537e11adb5p-9, 0x1.d95cc8dbebe7p-9, 0x1.ccfdd92b08693p-9, 0x1.c0e6f77073c33p-9, 0x1.b516b852177ccp-9, 0x1.a98bb668389cbp-9, 0x1.9e44922bca1b6p-9, 0x1.933ff1e51f07ep-9, 0x1.887c819a2af69p-9, 0x1.7df8f2fd095ep-9, 0x1.73b3fd5a9035dp-9, 0x1.69ac5d88da243p-9, 0x1.5fe0d5d58dadbp-9, 0x1.56502df510d53p-9, 0x1.4cf932f06f78p-9, 0x1.43dab714b4a54p-9, 0x1.3af391e159362p-9, 0x1.32429ff717b9ep-9, 0x1.29c6c306f54dap-9, 0x1.217ee1c11b29ap-9, 0x1.1969e7c409217p-9, 0x1.1186c58b82552p-9, 0x1.09d4705fe448fp-9, 0x1.0251e245830d8p-9, 0x1.f5fc33d8076fcp-10, 0x1.e7b0353b73543p-10, 0x1.d9bdd85f14ceep-10, 0x1.cc2335e0b660ap-10, 0x1.bede6f3244df4p-10, 0x1.b1edae7942acdp-10, 0x1.a54f266f41444p-10, 0x1.99011241dcabfp-10, 0x1.8d01b573ae9bbp-10, 0x1.814f5bbcbcc6bp-10, 0x1.75e858ebc2b33p-10, 0x1.6acb08c7a539ep-10, 0x1.5ff5cef0d2e22p-10, 0x1.556716c32377dp-10, 0x1.4b1d5337eecc6p-10, 0x1.4116fec8c6b9ap-10, 0x1.37529b518961fp-10, 0x1.2dceb1f3f9005p-10, 0x1.2489d2fa3fdffp-10, 0x1.1b8295baff847p-10, 0x1.12b7987cf05bdp-10, 0x1.0a27805ab0b95p-10, 0x1.01d0f9277675dp-10, 0x1.f3656aa6f342ep-11, 0x1.e396dba1f6494p-11, 0x1.d433c3f2c9e18p-11, 0x1.c539aee5aa12bp-11, 0x1.b6a6342bd1e87p-11, 0x1.a876f7a7fe16dp-11, 0x1.9aa9a93a64ae3p-11, 0x1.8d3c048ed038fp-11, 0x1.802bd0ea73775p-11, 0x1.7376e0f9cd186p-11, 0x1.671b12a0b1563p-11, 0x1.5b164ec953fe1p-11, 0x1.4f668934f6a87p-11, 0x1.4409c04c8a8ddp-11, 0x1.38fdfcf2279b1p-11, 0x1.2e4152532d4e6p-11, 0x1.23d1ddbb09168p-11, 0x1.19adc66603e65p-11, 0x1.0fd33d55abdcfp-11, 0x1.06407d249d266p-11, 0x1.f9e793b72d8dap-12, 0x1.e7d6e18e08fa6p-12, 0x1.d64b909aaa3abp-12, 0x1.c5425f8ab27c5p-12, 0x1.b4b81e9abd37ap-12, 0x1.a4a9af46890c2p-12, 0x1.951403f8fd0ap-12, 0x1.85f41fbec9696p-12, 0x1.774715f7cc1bdp-12, 0x1.690a0a0d21113p-12, 0x1.5b3a2f23fd09p-12, 0x1.4dd4c7d533a39p-12, 0x1.40d725e408696p-12, 0x1.343ea9f63dc53p-12, 0x1.2808c34d443a3p-12, 0x1.1c32ef81452e6p-12, 0x1.10baba3bd9098p-12, 0x1.059dbcf4c8a64p-12, 0x1.f5b33d5e7ce6ep-13, 0x1.e0d827706ce06p-13, 0x1.cca5bacd2e978p-13, 0x1.b91793b49f8a7p-13, 0x1.a629677e44649p-13, 0x1.93d7041c2b64cp-13, 0x1.821c4fa32a8f6p-13, 0x1.70f547d13696ap-13, 0x1.605e019b28145p-13, 0x1.5052a8b5910e6p-13, 0x1.40cf7f259f53fp-13, 0x1.31d0dccfdc1dep-13, 0x1.23532f0ab05b4p-13, 0x1.1552f83168e46p-13, 0x1.07cccf39f770dp-13, 0x1.f57abe9876baep-14, 0x1.dc42ceb514678p-14, 0x1.c3eb7379ff863p-14, 0x1.ac6e7799f11e3p-14, 0x1.95c5cb075461bp-14, 0x1.7feb82327a4ep-14, 0x1.6ad9d54d45bc4p-14, 0x1.568b1f901ace1p-14, 0x1.42f9de831f88bp-14, 0x1.3020b149ef854p-14, 0x1.1dfa57f374db9p-14, 0x1.0c81b2cb599dbp-14, 0x1.f763835ffafafp-15, 0x1.d70b46d42b55ep-15, 0x1.b7f12a1113c47p-15, 0x1.9a0be27c32d73p-15, 0x1.7d525f84c4d6ap-15, 0x1.61bbc969ea76dp-15, 0x1.473f800b832c6p-15, 0x1.2dd519b81e6ddp-15, 0x1.1574620a31b8fp-15, 0x1.fc2ab1801077cp-16, 0x1.cf6061492116cp-16, 0x1.a47a9ce0c3e97p-16, 0x1.7b6a8f77a8356p-16, 0x1.5421c3e2373afp-16, 0x1.2e92227e4c263p-16, 0x1.0aadef3393219p-16, 0x1.d0cf8ee4701fbp-17, 0x1.8f65407aa2b6fp-17, 0x1.5103887ae03c3p-17, 0x1.1591a3c8c266cp-17, 0x1.b9eee63924adep-18, 0x1.4e3aeed009cf5p-18, 0x1.cfb3392c21eadp-19, 0x1.0d3cba2abfafcp-19, 0x1.52ee4ae864bd5p-21, -0x1.68930598ccd6p-21, -0x1.ff6d14435620dp-20, -0x1.9c49dfdf5b463p-19, -0x1.18165c0d3a8a2p-18, -0x1.5dd5790adffaep-18, -0x1.9f873153ca0cap-18, -0x1.dd4f7039a7f28p-18, -0x1.0ba893e25b8acp-17, -0x1.26d72b3097425p-17, -0x1.40440643ddaf9p-17, -0x1.57ff39269f1d5p-17, -0x1.6e1866594e6a8p-17, -0x1.829ec17dc236bp-17, -0x1.95a111ec6f8eap-17, -0x1.a72db5416beffp-17, -0x1.b752a1d6df1a9p-17, -0x1.c61d6934890bdp-17, -0x1.d39b3a77bcd58p-17, -0x1.dfd8e49f28b9ap-17, -0x1.eae2d8e793065p-17, -0x1.f4c52cf79fcdbp-17, -0x1.fd8b9d1ced5ddp-17, -0x1.02a0c73a7eeefp-16, -0x1.05f9087e2a0f5p-16, -0x1.08d3f0d6d4561p-16, -0x1.0b36b63e521aap-16, -0x1.0d26672bbccc6p-16, -0x1.0ea7eb8781ecdp-16, -0x1.0fc005a22b8e9p-16, -0x1.1073531dd376p-16, -0x1.10c64dd98319ap-16, -0x1.10bd4cd3aa4a4p-16, -0x1.105c8508c4094p-16, -0x1.0fa80a4cfff37p-16, -0x1.0ea3d02183f7fp-16, -0x1.0d53aa860bcc1p-16, -0x1.0bbb4ec0eb9abp-16, -0x1.09de542d77214p-16, -0x1.07c034f9712b1p-16, -0x1.05644ee633a63p-16, -0x1.02cde403a503ap-16, -0x1.00001b661bd53p-16, -0x1.f9fc03b2f38abp-17, -0x1.f3951521b61dap-17, -0x1.ecd11f9e4ae9fp-17, -0x1.e5b5a71f94ca4p-17, -0x1.de48005495525p-17, -0x1.d68d51de690e1p-17, -0x1.ce8a959236a88p-17, -0x1.c644999d3c70ap-17, -0x1.bdc001b92ce27p-17, -0x1.b501484bafb81p-17, -0x1.ac0cbf8496137p-17, -0x1.a2e6927276ee9p-17, -0x1.9992c61197a8ap-17, -0x1.90153a57249f2p-17, -0x1.8671ab34a38bcp-17, -0x1.7cabb19635243p-17, -0x1.72c6c458311e4p-17, -0x1.68c63938459a8p-17, -0x1.5ead45c577c53p-17, -0x1.547f004460752p-17, -0x1.4a3e608cc17e7p-17, -0x1.3fee40ecf1c8cp-17, -0x1.35915efa89347p-17, -0x1.2b2a5c65b18e9p-17, -0x1.20bbbfc67afe6p-17, -0x1.1647f564aa64ap-17, -0x1.0bd14ff77e0d6p-17, -0x1.015a096936832p-17, -0x1.edc887183daa6p-18, -0x1.d8e411a2eebap-18, -0x1.c40a99f1d76b2p-18, -0x1.af3fdb80e33a2p-18, -0x1.9a87670ef349bp-18, -0x1.85e4a3ef35f8cp-18, -0x1.715ad140ce346p-18, -0x1.5ced072edcaa7p-18, -0x1.489e381bb9e88p-18, -0x1.347131c8b5461p-18, -0x1.20689e7f0fb5p-18, -0x1.0c87061f97e05p-18, -0x1.f19d9e7ac2ca3p-19, -0x1.ca84804d0aaa3p-19, -0x1.a3c6ffd490a9ep-19, -0x1.7d692eb167094p-19, -0x1.576ee3f08fb82p-19, -0x1.31dbbdf6db97cp-19, -0x1.0cb3244a25fdp-19, -0x1.cff092dd1080ep-20, -0x1.875c592bbafcap-20, -0x1.3faf36bcb255cp-20, -0x1.f1dccdcc03b7p-21, -0x1.663d90ac07be5p-21, -0x1.b91380f0f2633p-22, -0x1.5326eab7703ecp-23, 0x1.87d652251ba0fp-24, 0x1.697971f7e36f4p-22, 0x1.367597aff3ff5p-21, 0x1.b61f829064ae7p-21, 0x1.19da9343b5ff3p-20, 0x1.5798ddfa7cabp-20, 0x1.944880d8ab6f2p-20, 0x1.cfe79c03bbd11p-20, 0x1.053a4705444a8p-19, 0x1.21f6f8bea03a8p-19, 0x1.3e294d5f71dc6p-19, 0x1.59d0cade3a5e8p-19, 0x1.74ed11ef68113p-19, 0x1.8f7ddcf20e12cp-19, 0x1.a982fef6c8302p-19, 0x1.c2fc62bb8bbc2p-19, 0x1.dbea09bfb1f82p-19, 0x1.f44c0b5133444p-19, 0x1.061149d4ed495p-18, 0x1.11b6f18720211p-18, 0x1.1d172679f476ap-18, 0x1.28321b9971d16p-18, 0x1.33080c9978357p-18, 0x1.3d993d94390c4p-18, 0x1.47e5faaab4d8fp-18, 0x1.51ee97a43f07ep-18, 0x1.5bb36f975fd18p-18, 0x1.6534e48f923d6p-18, 0x1.6e735f396da28p-18, 0x1.776f4e8de4d2fp-18, 0x1.802927847e005p-18, 0x1.88a164c3bb70cp-18, 0x1.90d88656c4822p-18, 0x1.98cf1163cc554p-18, 0x1.a0858fe633abp-18, 0x1.a7fc90698a6c3p-18, 0x1.af34a5c7f1052p-18, 0x1.b62e66e763e65p-18, 0x1.bcea6e7f9f155p-18, 0x1.c3695adb5672ep-18, 0x1.c9abcd9e8843bp-18, 0x1.cfb26b8db4ddfp-18, 0x1.d57ddc593a733p-18, 0x1.db0eca67b81cp-18, 0x1.e065e2a1c38fap-18, 0x1.e583d442cf4f8p-18, 0x1.ea6950aa47e01p-18, 0x1.ef170b2b878dep-18, 0x1.f38db8e30506bp-18, 0x1.f7ce108ad9e8ep-18, 0x1.fbd8ca526a51p-18, 0x1.ffae9fb65f206p-18, 0x1.01a825ace11c6p-17, 0x1.035f4470eab22p-17, 0x1.04fd0a6928eecp-17, 0x1.0681d6351b8c4p-17, 0x1.07ee06c232269p-17, 0x1.0941fb3b6851fp-17, 0x1.0a7e12f9ff53ap-17, 0x1.0ba2ad768f309p-17, 0x1.0cb02a3b9534cp-17, 0x1.0da6e8d74b741p-17, 0x1.0e8748ceed316p-17, 0x1.0f51a991c71a1p-17, 0x1.10066a6d87e01p-17, 0x1.10a5ea82d163dp-17, 0x1.113088ba0b96p-17, 0x1.11a6a3b8954fbp-17, 0x1.120899d710edap-17, 0x1.1256c91764f8cp-17, 0x1.12918f1b3e5e5p-17, 0x1.12b9491bc399cp-17, 0x1.12ce53e0f5709p-17, 0x1.12d10bb94bc5ep-17, 0x1.12c1cc7266697p-17, 0x1.12a0f15192f49p-17, 0x1.126ed50cc513ep-17, 0x1.122bd1c3c0f8ap-17, 0x1.11d840fa98509p-17, 0x1.11747b92e5b82p-17, 0x1.1100d9c64841cp-17, 0x1.107db3217e3bep-17, 0x1.0feb5e7ecb3ecp-17, 0x1.0f4a32016e511p-17, 0x1.0e9a83110d62ep-17, 0x1.0ddca655e04f2p-17, 0x1.0d10efb41d7dcp-17, 0x1.0c37b2487326dp-17, 0x1.0b514064e2702p-17, 0x1.0a5deb8d1d2a2p-17, 0x1.095e0473733afp-17, 0x1.0851daf64f93ep-17, 0x1.0739be1da8c19p-17, 0x1.0615fc1877f8ep-17, 0x1.04e6e23a495bcp-17, 0x1.03acbcf9a21c1p-17, 0x1.0267d7ee1a183p-17, 0x1.01187dce9a811p-17, 0x1.ff7df0e00f726p-18, 0x1.fcb7218761aabp-18, 0x1.f9dd1dacf0523p-18, 0x1.f6f0739fe4e99p-18, 0x1.f3f1afe285d6ep-18, 0x1.f0e15d28c8eb6p-18, 0x1.edc0045774e05p-18, 0x1.ea8e2c839cc09p-18, 0x1.e74c5af1c3b3dp-18, 0x1.e3fb131545622p-18, 0x1.e09ad69020eb8p-18, 0x1.dd2c2533f1125p-18, 0x1.d9af7d01b69efp-18, 0x1.d6255a29edfdcp-18, 0x1.d28e370e202dp-18, 0x1.ceea8c4191fb1p-18, 0x1.cb3ad08a35d9bp-18, 0x1.c77f78e1c6e9p-18, 0x1.c3b8f877af362p-18, 0x1.bfe7c0b2d6a0fp-18, 0x1.bc0c4132fde39p-18, 0x1.b826e7d2b53fp-18, 0x1.b43820a9789fep-18, 0x1.b040560e18b85p-18, 0x1.ac3ff098df36cp-18, 0x1.a8375726668e2p-18, 0x1.a426eed9a43bdp-18, 0x1.a00f1b1ef1d97p-18, 0x1.9bf03dae8251ap-18, 0x1.97cab68fe5715p-18, 0x1.939ee41cbbf24p-18, 0x1.8f6d2303395ebp-18, 0x1.8b35ce4a3eaa9p-18, 0x1.86f93f54813f9p-18, 0x1.82b7cde31414fp-18, 0x1.7e71d0194dd4p-18, 0x1.7a279a806002dp-18, 0x1.75d9800ad5aecp-18, 0x1.7187d217de361p-18, 0x1.6d32e0775fceep-18, 0x1.68daf96d82037p-18, 0x1.648069b615e1bp-18, 0x1.60237c88cd671p-18, 0x1.5bc47b9cc3f89p-18, 0x1.5763af2c88d7bp-18, 0x1.53015dfa2debp-18, 0x1.4e9dcd5314cefp-18, 0x1.4a3941136ca33p-18, 0x1.45d3fbaaf1cc1p-18, 0x1.416e3e208721ep-18, 0x1.3d084816336dbp-18, 0x1.38a257cd59b34p-18, 0x1.343caa2a96f94p-18, 0x1.2fd77ab9f9ff6p-18, 0x1.2b7303b31af5fp-18, 0x1.270f7dfd5615ep-18, 0x1.22ad21337c725p-18, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      46, 0x1.e8f5c28f5c28fp+2, 0x1.4f5ee49195c24p+0, 0x1.4344f78ae3f72p+1, -0x1.72327b9ae9ffp-9, 
      {{
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.15a50201d0314p-7, -0x1.e4f82a501cdbap-7, 0x1.3daa41bf9890dp-7, -0x1.6ebb0ded3920bp-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.fc5b8af157a5cp-8, -0x1.c5e3f8677a58ap-7, 0x1.2fe9a46d199f7p-7, -0x1.6592641313ac2p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.d0773b971744bp-8, -0x1.a82b70ca0b2e7p-7, 0x1.2280f3df95af6p-7, -0x1.5dc8f726e3415p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.a77abca6b4bdbp-8, -0x1.8bc6712f70291p-7, 0x1.1563043486c36p-7, -0x1.55a16d0f89e95p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.81447b509b9d6p-8, -0x1.70ad52bab1d2ap-7, 0x1.08935cea57fdep-7, -0x1.4d931ab6ebcdep-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.5db3ab43cd7d8p-8, -0x1.56d84d7ce21b4p-7, 0x1.f82217d3c4b2dp-8, -0x1.457e068e7dd8cp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3ca846ade2049p-8, -0x1.3e3fa26385a02p-7, 0x1.dfb8a422ae756p-8, -0x1.3d6ac1e6867p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.1e030e3b06e84p-8, -0x1.26db8ffc4cd5cp-7, 0x1.c7ea3bfe312d1p-8, -0x1.3557010ca031ap-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.01a58915ffe9cp-8, -0x1.10a45577c6326p-7, 0x1.b0b6e8b6d85cap-8, -0x1.2d436179e723dp-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.cee409d04db03p-9, -0x1.f72463b5b895cp-8, 0x1.9a1ea7cdb3d3ap-8, -0x1.252fb8fc763f1p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.9e972bb2d71f7p-9, -0x1.cf3ac86c5668p-8, 0x1.842179edf7c24p-8, -0x1.1d1c12e2afe3bp-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.722c2d20a7f3ep-9, -0x1.a97c572e59cecp-8, 0x1.6ebf5ee9c42a7p-8, -0x1.15086c2501edap-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.496c5063f81cep-9, -0x1.85d98e1864994p-8, 0x1.59f856cd64057p-8, -0x1.0cf4c5933a278p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.242264c42ba28p-9, -0x1.6442eb46a56p-8, 0x1.45cc61958c75cp-8, -0x1.04e11ef5be2b8p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.021ac685d2a8p-9, -0x1.44a8ecd569a49p-8, 0x1.323b7f431e329p-8, -0x1.f99af0b6a2614p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.c646bdd552d57p-10, -0x1.26fc10e0f69bbp-8, 0x1.1f45afd5de823p-8, -0x1.e973a38048679p-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8e17486330866p-10, -0x1.0b2cd58593b1p-8, 0x1.0ceaf34ddbcadp-8, -0x1.d94c564a380fep-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.5b49332d674a5p-10, -0x1.e25771bf0f79cp-9, 0x1.f656935626949p-9, -0x1.c925091429bf4p-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.2d819ea6783c3p-10, -0x1.b1d2721633747p-9, 0x1.d40d65db09d98p-9, -0x1.b8fdbbde1152ap-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.0468c53b3cac7p-10, -0x1.84aba84921414p-9, 0x1.b2fa5e2a6226cp-9, -0x1.a8d66ea7f681dp-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.bf53f6a5cc41dp-11, -0x1.5ac4109066c3fp-9, 0x1.931d7c442fa9ep-9, -0x1.98af2171f319ep-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.7de75e9dfca9p-11, -0x1.33fca72491f2cp-9, 0x1.7476c02870a1p-9, -0x1.8887d43bc875bp-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.43eed316ce6f8p-11, -0x1.1036683e30b7bp-9, 0x1.570629d727fecp-9, -0x1.78608705be39fp-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.10d398bcb5e09p-11, -0x1.dea4a02ba1e73p-10, 0x1.3acbb95053543p-9, -0x1.683939cfaeab7p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.c80a5061af62ep-12, -0x1.a262b5c80144bp-10, 0x1.1fc76e93f3076p-9, -0x1.5811ec9979fe8p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.79f25c1212036p-12, -0x1.6b6909c29b2dep-10, 0x1.05f949a209e13p-9, -0x1.47ea9f639cf98p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.3657159f9ebdap-12, -0x1.3979948c8ba85p-10, 0x1.dac294f5229c3p-10, -0x1.37c3522d40857p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.f8794c1182eb7p-13, -0x1.0c564e96ee70bp-10, 0x1.abfee23b25bb9p-10, -0x1.279c04f7891acp-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.95673c6a8de4p-13, -0x1.c78260a5bf128p-11, 0x1.7fa77b16045e2p-10, -0x1.1774b7c0fb135p-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.41b1edecb96f2p-13, -0x1.7ef86462f52a8p-11, 0x1.55bc5f85deb52p-10, -0x1.074d6a8b6da83p-10}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.f758441a4502ep-14, -0x1.3e929947b712p-11, 0x1.2e3d8f8a8e425p-10, -0x1.ee4c3aa94aa72p-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.8382d4274ef61p-14, -0x1.05d4f0363bd0bp-11, 0x1.092b0b2442422p-10, -0x1.cdfda0404a6dp-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.24ec4e35d12ap-14, -0x1.a886b4217cf7p-12, 0x1.cd09a4a546272p-11, -0x1.adaf05c9d226cp-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.b19e28411e4p-15, -0x1.52c38f72d2169p-12, 0x1.8c95ca2d66a19p-11, -0x1.8d606b82ee07cp-11}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.392e4ecf9fc3fp-15, -0x1.096854254deeep-12, 0x1.50fa86d9c2ed7p-11, -0x1.6d11d08c4c945p-11}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.b788a4c576e01p-16, -0x1.96f9c7f7b6984p-13, 0x1.1a37dac4b771p-11, -0x1.4cc3382511d5dp-11}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.29fd69221897fp-16, -0x1.301241812dbf6p-13, 0x1.d09b8b17e986bp-12, -0x1.2c74962f40186p-11}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.837cd8f0d0efep-17, -0x1.b853b08afcdp-14, 0x1.7678913cefe61p-12, -0x1.0c2617e482a9ep-11}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.de56bc86df3ffp-18, -0x1.32a0a0d75d03bp-14, 0x1.2606bd452f19ep-12, -0x1.d7ae28f99423bp-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.144ec03593p-18, -0x1.9655acb98de1p-15, 0x1.be8c6e3f7e9p-13, -0x1.971403ba085abp-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.247b6606d9p-19, -0x1.f847a589d63c1p-16, 0x1.446cd387af422p-13, -0x1.566b62767305fp-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.126615793affep-20, -0x1.1dd483028b052p-16, 0x1.bb660595197d5p-14, -0x1.15f8cfb1b97e5p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.af2220c533fffp-22, -0x1.1ba799ccf0bb1p-17, 0x1.149d88f743cbep-14, -0x1.a978fdeddbbdep-13}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.fc5b8af1cfffcp-24, -0x1.c5ad2acc2041fp-19, 0x1.29f2799303c06p-15, -0x1.2ce22f296ea8cp-13}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.5b49332d80001p-26, -0x1.e58a4d95b860ap-21, 0x1.d5ab0eb56bd5ap-17, -0x1.34af2311a368bp-14}, 
        {0x1.e666666666666p+2, 0x1.e8f5c28f5c28fp+2, 0x1.b19e283ffffffp-31, -0x1.e686c32758411p-25, 0x1.8cfd2c1a9fp-19, -0x1.163fe224b6872p-13}, 
      }}, 
      0x1.94b0a80268e47p-9, -0x1.aaebe0ae4127dp-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.ab762d6cef25p-7, 0x1.dee8bd30638fbp-9, 0x1.a5c62f5f5679dp-6, 0x1.88900cc02dd94p-5, 0x1.0ce9b0fbf46d7p-4, 0x1.3596699470233p-4, 0x1.358d3bec38f2bp-4, 0x1.0882b4813a84cp-4, 0x1.5b9d427e428ep-5, 0x1.3c6f610c03ad2p-7, -0x1.0c544b104f25p-5, -0x1.55fb7921bf195p-4, -0x1.20e74cd71f6a1p-3, -0x1.a1a1bec1be902p-3, -0x1.1501b11473022p-2, -0x1.5b83d3c98f29ap-2, -0x1.a2f20dd1b1c74p-2, -0x1.ea0abdf51ad55p-2, -0x1.17d9a68df9763p-1, -0x1.397ca37170e86p-1, -0x1.5988dced66053p-1, -0x1.77abb17db47ep-1, -0x1.93a4079697564p-1, -0x1.ad40c35f4ceb5p-1, -0x1.c45f1feac8016p-1, -0x1.d8e9041859a2bp-1, -0x1.ead363332fbccp-1, -0x1.fa1cb31c7d197p-1, -0x1.0365bfb50901p+0, -0x1.08768da187374p+0, -0x1.0c4a397709a65p+0, -0x1.0eec7e667076p+0, -0x1.106ae3bd652d2p+0, -0x1.10d451bfa17c5p+0, -0x1.1038b3bdc836cp+0, -0x1.0ea8a647541a7p+0, -0x1.0c35307da3b9dp+0, -0x1.08ef8774f06c3p+0, -0x1.04e8db0d73fe7p+0, -0x1.00322acd69046p+0, -0x1.f5b84439de70dp-1, -0x1.e9edf57e4b28ap-1, -0x1.dd24ca041bb05p-1, -0x1.cf7aea13de3a7p-1, -0x1.c10d28f4bec96p-1, -0x1.b1f6effdede7p-1, -0x1.a25230450a591p-1, -0x1.92375a3b3f3fcp-1, -0x1.81bd5a138e3ffp-1, -0x1.70f9984d1caaap-1, -0x1.5ffffe23f3e3fp-1, -0x1.4ee2fc7e93ebp-1, -0x1.3db395ade1718p-1, -0x1.2c8168d4b21a9p-1, -0x1.1b5abee1f4b8bp-1, -0x1.0a4c98f146a75p-1, -0x1.f2c57d98753e7p-2, -0x1.d14f9e8d7699fp-2, -0x1.b04a9de2fb971p-2, -0x1.8fc7731e9b227p-2, -0x1.6fd5209ccf731p-2, -0x1.5080d69482eedp-2, -0x1.31d60e6b3d0b5p-2, -0x1.13deabdc5c475p-2, -0x1.ed462e277f122p-3, -0x1.b454b5e3e10fp-3, -0x1.7cf47b7ff71dcp-3, -0x1.472eb80af2f85p-3, -0x1.130a7f51c5427p-3, -0x1.c119dd4707e13p-4, -0x1.5f72aedd63d3ap-4, -0x1.0122d06a3ec0cp-4, -0x1.4c5549bb3100fp-5, -0x1.3a1f77ab69595p-6, 0x1.72906bdeb6941p-10, 0x1.5b4a97b2e31d5p-6, 0x1.49345c6dccc8ep-5, 0x1.de56ee15b285bp-5, 0x1.3692a4f62f676p-4, 0x1.7add34d972946p-4, 0x1.bc19cef56e49ap-4, 0x1.fa581d6d32a52p-4, 0x1.1ad452a9b0b0fp-3, 0x1.370e51be08a8ep-3, 0x1.51e2f5bbd0a8dp-3, 0x1.6b5b65065cce4p-3, 0x1.8380f4c303686p-3, 0x1.9a5d1c89e5499p-3, 0x1.aff96aec2e76fp-3, 0x1.c45f7b74ef796p-3, 0x1.d798ed4296ecep-3, 0x1.e9af5ae79afb1p-3, 0x1.faac52f30f193p-3, 0x1.054ca89f6b5f9p-2, 0x1.0cbfdc9c5d45fp-2, 0x1.13b4684f3d367p-2, 0x1.1a2edd78a82c4p-2, 0x1.2033bac17ff34p-2, 0x1.25c769fbc33d6p-2, 0x1.2aee3ebbeaa8p-2, 0x1.2fac75088b618p-2, 0x1.340630588228cp-2, 0x1.37ff7ab2cc3abp-2, 0x1.3b9c44138976ep-2, 0x1.3ee061d9659a5p-2, 0x1.41cf8e7156e84p-2, 0x1.446d690cb949bp-2, 0x1.46bd75821317dp-2, 0x1.48c31c70297b2p-2, 0x1.4a81ab03131e9p-2, 0x1.4bfc5369d92bdp-2, 0x1.4d362d075de4cp-2, 0x1.4e3234854c9abp-2, 0x1.4ef34c810557p-2, 0x1.4f7c3dd25022ep-2, 0x1.4fcfb7debe116p-2, 0x1.4ff05156c680ep-2, 0x1.4fe088a816638p-2, 0x1.4fa2c4750994bp-2, 0x1.4f3954256d3a7p-2, 0x1.4ea670b409ffdp-2, 0x1.4dec3d0e4c67ap-2, 0x1.4d0cc6c876262p-2, 0x1.4c0a06bb40d84p-2, 0x1.4ae5e19bd24bdp-2, 0x1.49a228b2082b3p-2, 0x1.48409a5168eb1p-2, 0x1.46c2e299dfb6fp-2, 0x1.452a9bfd323a5p-2, 0x1.43794fd76e4b4p-2, 0x1.41b07724c9656p-2, 0x1.3fd17af34a94p-2, 0x1.3dddb501175e1p-2, 0x1.3bd670554f64p-2, 0x1.39bce9c20c64fp-2, 0x1.37925060150e9p-2, 0x1.3557c63a662a9p-2, 0x1.330e60a6aec19p-2, 0x1.30b728d2a8985p-2, 0x1.2e531c43f0b07p-2, 0x1.2be32d4ab43e3p-2, 0x1.2968436d3ff29p-2, 0x1.26e33bd1a4732p-2, 0x1.2454e9c59ca8bp-2, 0x1.21be170d9cad5p-2, 0x1.1f1f8441d9a8ep-2, 0x1.1c79e93ea3b9p-2, 0x1.19cdf588904f9p-2, 0x1.171c508dfdb59p-2, 0x1.14659a0cb5724p-2, 0x1.11aa6a5381d61p-2, 0x1.0eeb52b0f739p-2, 0x1.0c28ddac91486p-2, 0x1.09638f425c2p-2, 0x1.069be537af73fp-2, 0x1.03d2576684003p-2, 0x1.010757fb6decap-2, 0x1.fc76a741c99a1p-3, 0x1.f6dd63977a2fap-3, 0x1.f143a9cf57da8p-3, 0x1.ebaa354bd64c8p-3, 0x1.e611b84111452p-3, 0x1.e07adbfd7306ep-3, 0x1.dae6416dc17c6p-3, 0x1.d554817b348fep-3, 0x1.cfc62d680cfffp-3, 0x1.ca3bceffeab7cp-3, 0x1.c4b5e8f60b9ccp-3, 0x1.bf34f740f6a71p-3, 0x1.b9b96f6601b2p-3, 0x1.b443c0abde4b6p-3, 0x1.aed45468ba426p-3, 0x1.a96b8e3bbfea7p-3, 0x1.a409cc432cea5p-3, 0x1.9eaf677eb416ap-3, 0x1.995cb3e62d817p-3, 0x1.94120091adc1fp-3, 0x1.8ecf980853cbap-3, 0x1.8995c068649cp-3, 0x1.8464bb99e0d66p-3, 0x1.7f3cc7802f849p-3, 0x1.7a1e1e188b077p-3, 0x1.7508f5a3961f3p-3, 0x1.6ffd80bc3eff3p-3, 0x1.6afbeeb64479fp-3, 0x1.66046b9b36fc6p-3, 0x1.6117204907cc7p-3, 0x1.5c3432962b01dp-3, 0x1.575bc5720fd4dp-3, 0x1.528df91153e97p-3, 0x1.4dcaeb057d039p-3, 0x1.4912b65a75d52p-3, 0x1.446573a217b89p-3, 0x1.3fc3391728a21p-3, 0x1.3b2c1ab8db83cp-3, 0x1.36a02a647afc6p-3, 0x1.321f77f0e7f98p-3, 0x1.2daa113a61046p-3, 0x1.29400237155bbp-3, 0x1.24e1550c85005p-3, 0x1.208e1229ad926p-3, 0x1.1c464053abc2ep-3, 0x1.1809e4bea8033p-3, 0x1.13d90320b5559p-3, 0x1.0fb39db2b51eep-3, 0x1.0b99b54d1de0bp-3, 0x1.078b49709f713p-3, 0x1.0388585bb368ap-3, 0x1.ff21be397f6a5p-4, 0x1.f749b33167b51p-4, 0x1.ef88852ff1591p-4, 0x1.e7de27a62a8adp-4, 0x1.e04a8bf84cb15p-4, 0x1.d8cda1a82b93p-4, 0x1.d167566939f02p-4, 0x1.ca1796220ac7bp-4, 0x1.c2de4b23abd8fp-4, 0x1.bbbb5e1e9e17bp-4, 0x1.b4aeb63a8afap-4, 0x1.adb83931dd7e1p-4, 0x1.a6d7cb65da1e7p-4, 0x1.a00d4fec6992cp-4, 0x1.9958a8ab324ap-4, 0x1.92b9b65bd4187p-4, 0x1.8c305892475d6p-4, 0x1.85bc6ddf5d852p-4, 0x1.7f5dd3d2e075ap-4, 0x1.791467127ec7fp-4, 0x1.72e00363ff2a7p-4, 0x1.6cc083bc32db3p-4, 0x1.66b5c24987281p-4, 0x1.60bf987d11f91p-4, 0x1.5adddf145f299p-4, 0x1.55106e3076f8bp-4, 0x1.4f571d52cd996p-4, 0x1.49b1c36c17c49p-4, 0x1.442036f598b1bp-4, 0x1.3ea24de86b92fp-4, 0x1.3937ddca1d49bp-4, 0x1.33e0bbb72139fp-4, 0x1.2e9cbc68b70d7p-4, 0x1.296bb442c5a34p-4, 0x1.244d775a73626p-4, 0x1.1f41d97c80f97p-4, 0x1.1a48ae3556d2bp-4, 0x1.1561c8dd5a85ep-4, 0x1.108cfc9261143p-4, 0x1.0bca1c43ed7b4p-4, 0x1.0718fac0d21e9p-4, 0x1.02796ab4a6923p-4, 0x1.fbd67d659c306p-5, 0x1.f2dc927705ca5p-5, 0x1.ea04b98090adap-5, 0x1.e14e975011cdcp-5, 0x1.d8b9d0a6eac3dp-5, 0x1.d0460a45b988ep-5, 0x1.c7f2e8f5498e8p-5, 0x1.bfc0118b93666p-5, 0x1.b7ad2906186afp-5, 0x1.afb9d48457c36p-5, 0x1.a7e5b94071357p-5, 0x1.a0307cb4fdde5p-5, 0x1.9899c48ce2fefp-5, 0x1.912136b132e71p-5, 0x1.89c67953123bfp-5, 0x1.828932f288c2bp-5, 0x1.7b690a63e9e24p-5, 0x1.7465a6d30b3f3p-5, 0x1.6d7eafc63d6bbp-5, 0x1.66b3cd22a902p-5, 0x1.6004a73333d77p-5, 0x1.5970e6b136f92p-5, 0x1.52f834c9a5bb6p-5, 0x1.4c9a3b2977945p-5, 0x1.4656a3fe8b0c3p-5, 0x1.402d19e47aed5p-5, 0x1.3a1d47f8d7a56p-5, 0x1.3426d9d4e00cdp-5, 0x1.2e497b8df3cp-5, 0x1.2884d9c7684b8p-5, 0x1.22d8a1bf5f0a3p-5, 0x1.1d448157a71cdp-5, 0x1.17c82716420eep-5, 0x1.1263421c81859p-5, 0x1.0d15821854fb9p-5, 0x1.07de9738e5acbp-5, 0x1.02be322e7366bp-5, 0x1.fb68086bc87dp-6, 0x1.f17f7e637364p-6, 0x1.e7c22b87ba3a3p-6, 0x1.de2f76c27be2fp-6, 0x1.d4c6c8aab49b4p-6, 0x1.cb878b3935623p-6, 0x1.c2712999df6f7p-6, 0x1.b9830fee50eecp-6, 0x1.b0bcab18bd178p-6, 0x1.a81d68df9b723p-6, 0x1.9fa4b83fe4c3ep-6, 0x1.975209ddd66d3p-6, 0x1.8f24d065661a4p-6, 0x1.871c80b22cb5fp-6, 0x1.7f3891a3f826dp-6, 0x1.77787ba5fb8adp-6, 0x1.6fdbb811b4a9fp-6, 0x1.6861c0aa2e312p-6, 0x1.610a0f69a9c56p-6, 0x1.59d41ec25d434p-6, 0x1.52bf6a4511766p-6, 0x1.4bcb6f79ed398p-6, 0x1.44f7ae9a6e241p-6, 0x1.3e43aaf2f3976p-6, 0x1.37aeea8455317p-6, 0x1.3138f53576b01p-6, 0x1.2ae153c90ae32p-6, 0x1.24a78eb566c21p-6, 0x1.1e8b2d9ce0c7fp-6, 0x1.188bb77d86da6p-6, 0x1.12a8b39ff0c36p-6, 0x1.0ce1ab03a1b44p-6, 0x1.073629d376e2p-6, 0x1.01a5c05dba9c2p-6, 0x1.f8600659d3dbcp-7, 0x1.eda914450a8abp-7, 0x1.e325dd9398cbep-7, 0x1.d8d594ca014f3p-7, 0x1.ceb768af95e93p-7, 0x1.c4ca830ad36aep-7, 0x1.bb0e09bcaa3fep-7, 0x1.b1812229de73bp-7, 0x1.a822f5dc4f1fep-7, 0x1.9ef2b707168c2p-7, 0x1.95efa385ce742p-7, 0x1.8d19052a410dfp-7, 0x1.846e2efbecfb6p-7, 0x1.7bee787296f62p-7, 0x1.73993783d97bep-7, 0x1.6b6dbb89da618p-7, 0x1.636b4abddf9aep-7, 0x1.5b912308c9b34p-7, 0x1.53de7e125e652p-7, 0x1.4c529775aa63dp-7, 0x1.44ecb3623d732p-7, 0x1.3dac23d05c19cp-7, 0x1.36904ac365ae9p-7, 0x1.2f9898cc6f269p-7, 0x1.28c487f7f44d9p-7, 0x1.22139463974d3p-7, 0x1.1b853485e7672p-7, 0x1.1518d36fb5092p-7, 0x1.0ecdcec09d7ap-7, 0x1.08a378e324e5p-7, 0x1.02991edb2bd48p-7, 0x1.f95c200b5ca4p-8, 0x1.edc34baf428e3p-8, 0x1.e26693a4ebebfp-8, 0x1.d744f09fe8adap-8, 0x1.cc5d7e8dc23a5p-8, 0x1.c1af71c6d4d46p-8, 0x1.b73a069e83972p-8, 0x1.acfc6f0424a44p-8, 0x1.a2f5c3b1ac4p-8, 0x1.9924fd8816edfp-8, 0x1.8f88f85d9e062p-8, 0x1.86207d7c29c47p-8, 0x1.7cea522139446p-8, 0x1.73e5467d86468p-8, 0x1.6b1042ee59312p-8, 0x1.626a51e67949p-8, 0x1.59f2a4ac454d2p-8, 0x1.51a8909c7ec4fp-8, 0x1.498b83ba25438p-8, 0x1.419af27499631p-8, 0x1.39d644167e13ap-8, 0x1.323cc4a3ca029p-8, 0x1.2acda08e8afefp-8, 0x1.2387e999baa9dp-8, 0x1.1c6aa09332f9dp-8, 0x1.1574bf3bb0e32p-8, 0x1.0ea540f966164p-8, 0x1.07fb2c3994b84p-8, 0x1.01759e34af75ap-8, 0x1.f627ae07c5ae2p-9, 0x1.e9aa8040689b2p-9, 0x1.dd72ce7734891p-9, 0x1.d17fda712b4bp-9, 0x1.c5d0e03f0477ep-9, 0x1.ba64f348bfce9p-9, 0x1.af3af2903d827p-9, 0x1.a4519193c7e32p-9, 0x1.99a766a8e8495p-9, 0x1.8f3af06e75d5bp-9, 0x1.850a914f5248fp-9, 0x1.7b148edf9392p-9, 0x1.71572544c3823p-9, 0x1.67d0b0b05db1bp-9, 0x1.5e7fdad81e37ap-9, 0x1.5563b14e6cb65p-9, 0x1.4c7b956ae2f2ep-9, 0x1.43c70d92a2049p-9, 0x1.3b45946507892p-9, 0x1.32f67edfd27f3p-9, 0x1.2ad900ddb9e3ap-9, 0x1.22ec40109f916p-9, 0x1.1b2f5d3fb817ep-9, 0x1.13a1655bf3efap-9, 0x1.0c41329d5777dp-9, 0x1.050d59608a1a9p-9, 0x1.fc087646a9ca5p-10, 0x1.ee4880dd1b265p-10, 0x1.e0d83762c9b6fp-10, 0x1.d3b5d9d6aabf4p-10, 0x1.c6e0639a2cde7p-10, 0x1.ba57217cff493p-10, 0x1.ae19482db1e53p-10, 0x1.a225c9797c6fp-10, 0x1.967b6dc211df7p-10, 0x1.8b190a2db63b5p-10, 0x1.7ffda0dee46cp-10, 0x1.7528484573b03p-10, 0x1.6a97da81c660fp-10, 0x1.604a9d7c4f707p-10, 0x1.563e2bdb91373p-10, 0x1.4c6fc4773cc5bp-10, 0x1.42dcdb4d2db36p-10, 0x1.39839239cadfbp-10, 0x1.3062d1fabec99p-10, 0x1.2779fe256dbe4p-10, 0x1.1ec880be58d12p-10, 0x1.164d7d0f6572dp-10, 0x1.0e07ceb5eed07p-10, 0x1.05f63ea366027p-10, 0x1.fc2f8336cfe04p-11, 0x1.ecd735a586967p-11, 0x1.dde291a9efafp-11, 0x1.cf507a0b9136ap-11, 0x1.c11f0b0ee467ap-11, 0x1.b34b494c50528p-11, 0x1.a5d174c28faacp-11, 0x1.98add77d4ea76p-11, 0x1.8bdd8917a0f11p-11, 0x1.7f5eb9c5ecccbp-11, 0x1.733078c155556p-11, 0x1.67521f60c8d33p-11, 0x1.5bc2a89596341p-11, 0x1.50804cac70e97p-11, 0x1.458895a2d6425p-11, 0x1.3ad8e5f9ea0eap-11, 0x1.306f1d3b128bp-11, 0x1.2649d7eb3c8fap-11, 0x1.1c682a1b8ffe7p-11, 0x1.12c938d3ea556p-11, 0x1.096bf654c265dp-11, 0x1.004ef2274ec63p-11, 0x1.eee099f98c956p-12, 0x1.dd9be6f2a57ebp-12, 0x1.cccbdd6293cb2p-12, 0x1.bc6d2f4c2dd56p-12, 0x1.ac7db8cd718e3p-12, 0x1.9cfcec99cdb46p-12, 0x1.8deaf01e9e9f6p-12, 0x1.7f468e9f21fe2p-12, 0x1.710c0327b2ac1p-12, 0x1.63360fdfa66c7p-12, 0x1.55c023ce6291cp-12, 0x1.48a6fca1e7621p-12, 0x1.3be7c0d8508b2p-12, 0x1.2f7fbf440c579p-12, 0x1.236d408af72b3p-12, 0x1.17afd7be48f75p-12, 0x1.0c476c677685ep-12, 0x1.0132fe835b7d6p-12, 0x1.ece0b7f7ac4cdp-13, 0x1.d7f8fabb5ffa4p-13, 0x1.c3a7ab5f15357p-13, 0x1.afe73e7396878p-13, 0x1.9cb79fb62c0efp-13, 0x1.8a1c831930a3cp-13, 0x1.78160654c983dp-13, 0x1.669d9025b837dp-13, 0x1.55ab1b7ebaac6p-13, 0x1.453a2c3e43fc7p-13, 0x1.35476b3d6c896p-13, 0x1.25ccd46e142adp-13, 0x1.16c2ccdfe58eap-13, 0x1.0823d7e4968e7p-13, 0x1.f3dd6f244f1e4p-14, 0x1.d84aec0613687p-14, 0x1.bd94480bf46bcp-14, 0x1.a3b80b1d3dde6p-14, 0x1.8aaf6448a1ab3p-14, 0x1.7270d19c61d5bp-14, 0x1.5af007974eeb9p-14, 0x1.4423b1fa65987p-14, 0x1.2e0f6cb9aa68cp-14, 0x1.18bb1b1797895p-14, 0x1.042101957ebc8p-14, 0x1.e0649ae8bf901p-15, 0x1.b9d13380b9b01p-15, 0x1.948ae666a9ad8p-15, 0x1.708d4656a9f3ap-15, 0x1.4dc883cf5240bp-15, 0x1.2c29498e14db1p-15, 0x1.0b9d7460bd3b8p-15, 0x1.d830777227028p-16, 0x1.9b2d14b5773ep-16, 0x1.603b31cf8888fp-16, 0x1.2763990f3c619p-16, 0x1.e13b8053f8334p-17, 0x1.77accc897a6f2p-17, 0x1.11f299aabec46p-17, 0x1.5fa2a47a95004p-18, 0x1.4492177585549p-19, -0x1.3d7165df36523p-22, -0x1.8574aaf0beb56p-19, -0x1.6b1ce9a5008cap-18, -0x1.06b3ecad0ee1dp-17, -0x1.54ba1fc6f77b7p-17, -0x1.9fa6a0105007dp-17, -0x1.e79ac976909afp-17, -0x1.1656908bee001p-16, -0x1.3774db08c326cp-16, -0x1.5731399671a12p-16, -0x1.759be33b7803cp-16, -0x1.92c901cd5368cp-16, -0x1.aec79a3852c8fp-16, -0x1.c99abee4ef5b2p-16, -0x1.e33ff5d22cfcdp-16, -0x1.fbbb9217ee22fp-16, -0x1.098b0dc1dfa5cp-15, -0x1.14aa733b0118cp-15, -0x1.1f42bcb9d6c98p-15, -0x1.29583295cbc7bp-15, -0x1.32e88ebfd0043p-15, -0x1.3bffbadad5961p-15, -0x1.44a74976c84e3p-15, -0x1.4cda7d816b6fcp-15, -0x1.549bbd7ae6aa8p-15, -0x1.5bf2728d0e86ap-15, -0x1.62e28aa5d9ed4p-15, -0x1.696d7a1c0690cp-15, -0x1.6f9439a9f6622p-15, -0x1.7557ce32a35dcp-15, -0x1.7ab99b36aa7e3p-15, -0x1.7fbc6be6029c4p-15, -0x1.8465dc0151f36p-15, -0x1.88bd7168d85f5p-15, -0x1.8cc7a92d60a9ep-15, -0x1.9083e6bd7e84dp-15, -0x1.93f215e32c36fp-15, -0x1.9713fc8846732p-15, -0x1.99e8fdd751084p-15, -0x1.9c7501aa0e733p-15, -0x1.9ebc2942e180bp-15, -0x1.a0c24ba22d7f4p-15, -0x1.a28c8c339a753p-15, -0x1.a41798969c60bp-15, -0x1.a565d082c7a78p-15, -0x1.a67bd29a0fe2ap-15, -0x1.a75b8e0f5b12fp-15, -0x1.a8061e7edbbcep-15, -0x1.a87cd2ccf89f6p-15, -0x1.a8c12da77172dp-15, -0x1.a8d4b799aab6ep-15, -0x1.a8b8cdf97b65fp-15, -0x1.a86e7ed8744abp-15, -0x1.a7f6a7e476adcp-15, -0x1.a752b9aed4136p-15, -0x1.a686068eae298p-15, -0x1.a594896cec887p-15, -0x1.a47ef71b9aa1ap-15, -0x1.a344fc1d876b6p-15, -0x1.a1e7c95709818p-15, -0x1.a06667669be9cp-15, -0x1.9ec36af429738p-15, -0x1.9d023799799a4p-15, -0x1.9b24ddce38e95p-15, -0x1.9929dcde9e6dp-15, -0x1.9712cb9d1ef74p-15, -0x1.94e1fe38bba09p-15, -0x1.929848522ef2ap-15, -0x1.90365ccd5ef0fp-15, -0x1.8dbd1e206105ap-15, -0x1.8b2d8394101efp-15, -0x1.8888856e8c97ap-15, -0x1.85cf1762d747cp-15, -0x1.830229febe8dfp-15, -0x1.8022a91d8b3fdp-15, -0x1.7d3171624c035p-15, -0x1.7a2f3f8e8a486p-15, -0x1.771c978d3dde9p-15, -0x1.73f9ef31ceb3dp-15, -0x1.70c8a6c3ad5b7p-15, -0x1.6d8a5203164d5p-15, -0x1.6a3f51428a3d4p-15, -0x1.66e85bac88c11p-15, -0x1.6384c156696f4p-15, -0x1.6015d4b670c71p-15, -0x1.5c9d6e0727ef7p-15, -0x1.591b2e03bac8ep-15, -0x1.558faaca7c122p-15, -0x1.51fc020957d22p-15, -0x1.4e60a38470b5cp-15, -0x1.4abdec0cd3baap-15, -0x1.471462f5255ddp-15, -0x1.43649e339b147p-15, -0x1.3faf0c93c1852p-15, -0x1.3bf4334c22e73p-15, -0x1.38349b32a431fp-15, -0x1.3470b61c85efep-15, -0x1.30a8f517cdf1cp-15, -0x1.2cddcb4b05362p-15, -0x1.290faabd28db2p-15, -0x1.253f021e49773p-15, -0x1.216c391a3e40dp-15, -0x1.1d979b2014a1cp-15, -0x1.19c1467b753f4p-15, -0x1.15e9b78d098a3p-15, -0x1.1211b3f769d98p-15, -0x1.0e39a11528e0ap-15, -0x1.0a6141228cc9p-15, -0x1.0689064e61137p-15, -0x1.02b1869a7ec9cp-15, -0x1.fdb59950bd64ap-16, -0x1.f60aa543da513p-16, -0x1.ee62b487eaa3ep-16, -0x1.e6be2df9f14b7p-16, -0x1.df1d96287b153p-16, -0x1.d7816ed5f1b6dp-16, -0x1.cfea340d1d7f7p-16, -0x1.c8585ddd62f5cp-16, -0x1.c0cc6039e78fcp-16, -0x1.b946aa3326233p-16, -0x1.b1c7a587b9a9ep-16, -0x1.aa4fb744f4feap-16, -0x1.a2df4147a48d5p-16, -0x1.9b76a31b88737p-16, -0x1.94163b5a57ec2p-16, -0x1.8cbe68378bff1p-16, -0x1.856f8343f15f6p-16, -0x1.7e29df372c3p-16, -0x1.76edc7d54f924p-16, -0x1.6fbb5d6be2506p-16, -0x1.6892d5a14da4fp-16, -0x1.6174efd40106ap-16, -0x1.5a61ca389a1bfp-16, -0x1.5359545cc208fp-16, -0x1.4c5c0064addc2p-16, -0x1.456a09ef5cf19p-16, -0x1.3e83b90444eb4p-16, -0x1.37a934a3be2c7p-16, -0x1.30daab029d774p-16, -0x1.2a184c8c5e4c6p-16, -0x1.23624809212bp-16, -0x1.1cb8c9ebcc35bp-16, -0x1.161bfc5581814p-16, -0x1.0f8c074357658p-16, -0x1.0909109c92479p-16, -0x1.02933c15048a4p-16, -0x1.f85556c3898f5p-17, -0x1.eb9efd46acad8p-17, -0x1.df03ad313bd9p-17, -0x1.d2839d5cc7b4bp-17, -0x1.c61ed02e0a1bp-17, -0x1.b9d5fedf0a73ep-17, -0x1.ada8b71e8e142p-17, -0x1.a197846fb409ap-17, -0x1.95a27876a39a5p-17, -0x1.89c9b84882e56p-17, -0x1.7e0d6511eeac9p-17, -0x1.726d92d63270fp-17, -0x1.66ea6b81259d2p-17, -0x1.5b84063381bep-17, -0x1.503a7cdd175a4p-17, -0x1.450de1c1215b2p-17, -0x1.39fe421c05a55p-17, -0x1.2f0ba9f2d53a7p-17, -0x1.243635b49e98cp-17, -0x1.197de518aa1aap-17, -0x1.0ee2c26870017p-17, -0x1.0464d6a5ed265p-17, -0x1.f4084c177d80dp-18, -0x1.df81664dd11c9p-18, -0x1.cb34fccd9b8a4p-18, -0x1.b723077f3efbfp-18, -0x1.a34b7aaadc16cp-18, -0x1.8fae63a92725cp-18, -0x1.7c4bac87dfb36p-18, -0x1.692335d079aa9p-18, -0x1.5634f67b5b395p-18, -0x1.4380d80cda42fp-18, -0x1.3106be2766856p-18, -0x1.1ec68b08ab524p-18, -0x1.0cc01d205279dp-18, -0x1.f5e69cb6c9df5p-19, -0x1.d2bff799eb04fp-19, -0x1.b00c10011798ap-19, -0x1.8dca8a0d86707p-19, -0x1.6bfa9b8434f1dp-19, -0x1.4a9c019c6ab8ap-19, -0x1.29af0ae460d52p-19, }}, 
      {{-0x1.1a6a0d0a1e65dp-6, -0x1.723825d9b0e1ep-7, -0x1.61a2a3e1bf96fp-9, 0x1.dac92f5071863p-8, 0x1.1af7da9f1f1abp-6, 0x1.aeeb8e59fae4fp-6, 0x1.124684fcd237ep-5, 0x1.38d0102805bcbp-5, 0x1.47b1b48fbbdbbp-5, 0x1.3d0d8ace09b17p-5, 0x1.1846afc70430cp-5, 0x1.b381128a1f8f2p-6, 0x1.0546aba15cbfcp-6, 0x1.4a7ede19a26c4p-9, -0x1.b853044ef39c8p-7, -0x1.0336aa629e40cp-5, -0x1.a840941e3a8dap-5, -0x1.2d55ea5fcc7c7p-4, -0x1.8bfd4cf46334dp-4, -0x1.eee2cbb52ee1dp-4, -0x1.2a71783d6266bp-3, -0x1.5e76e63ed7f93p-3, -0x1.930486c5816d6p-3, -0x1.c7a88a9722302p-3, -0x1.fbfca45887405p-3, -0x1.17d2f360c97d1p-2, -0x1.312a36096262cp-2, -0x1.49e16b537e728p-2, -0x1.61dadb8867937p-2, -0x1.78fd7175f3262p-2, -0x1.8f3461044e60cp-2, -0x1.a46ecccd1d963p-2, -0x1.b89f6c7f747a1p-2, -0x1.cbbc35fd8df93p-2, -0x1.ddbe09a170cc1p-2, -0x1.eea0627ce6405p-2, -0x1.fe610bba9855p-2, -0x1.067fed75e1e96p-1, -0x1.0d3f3779ebd62p-1, -0x1.136ff9eefa456p-1, -0x1.191475ef050b4p-1, -0x1.1e2f7e7655c47p-1, -0x1.22c4617c9c237p-1, -0x1.26d6d34ccfa42p-1, -0x1.2a6adbc597e0dp-1, -0x1.2d84c580201dp-1, -0x1.30290ece46b25p-1, -0x1.325c5c63d1e4bp-1, -0x1.34236d848165fp-1, -0x1.3583117982ffep-1, -0x1.36801e89dd10fp-1, -0x1.371f6a0713aefp-1, -0x1.3765c142cfd56p-1, -0x1.3757e3b81e4d7p-1, -0x1.36fa7df1dbe5p-1, -0x1.36522543985aap-1, -0x1.35635440b62dap-1, -0x1.343267c4e419fp-1, -0x1.32c39ca08cdfep-1, -0x1.311b0db63b8adp-1, -0x1.2f3cb28f4c69fp-1, -0x1.2d2c5e50ef765p-1, -0x1.2aedbf0e0b009p-1, -0x1.28845d6652879p-1, -0x1.25f39c5cd3febp-1, -0x1.233eb9722f38dp-1, -0x1.2068cceeb3f5cp-1, -0x1.1d74ca54b752bp-1, -0x1.1a6580f3de38ep-1, -0x1.173d9c9fe1fbap-1, -0x1.13ffa67cdf742p-1, -0x1.10ae05e2ef726p-1, -0x1.0d4b0146677d3p-1, -0x1.09d8bf3b099c1p-1, -0x1.0659477e97828p-1, -0x1.02ce8407500b7p-1, -0x1.fe74841c9b3b2p-2, -0x1.f73c664f3d338p-2, -0x1.eff7dcbde2dap-2, -0x1.e8a9e2906c169p-2, -0x1.e1554221d10a5p-2, -0x1.d9fc972277757p-2, -0x1.d2a250b064629p-2, -0x1.cb48b3629648ap-2, -0x1.c3f1db4d409eep-2, -0x1.bc9fbdf041cdp-2, -0x1.b5542c202a002p-2, -0x1.ae10d3e37961dp-2, -0x1.a6d7423bc96e1p-2, -0x1.9fa8e4dc6a285p-2, -0x1.98870bddcf79bp-2, -0x1.9172eb4ed0a57p-2, -0x1.8a6d9ccc43044p-2, -0x1.837820f6acc3dp-2, -0x1.7c9360e6362b2p-2, -0x1.75c02f7dabd0bp-2, -0x1.6eff4ac3d903cp-2, -0x1.68515d23cd7ffp-2, -0x1.61b6fe9325536p-2, -0x1.5b30b5bf7a501p-2, -0x1.54bef91fd0b74p-2, -0x1.4e622ffd616fbp-2, -0x1.481ab37214f6dp-2, -0x1.41e8cf4b727eep-2, -0x1.3bccc2fad4fa7p-2, -0x1.35c6c263f23a5p-2, -0x1.2fd6f6a93fce7p-2, -0x1.29fd7eed1dc74p-2, -0x1.243a71056fe38p-2, -0x1.1e8dda2bee462p-2, -0x1.18f7bfa335741p-2, -0x1.13781f37046d6p-2, -0x1.0e0eeff24f9dp-2, -0x1.08bc229061fbap-2, -0x1.037fa1fcfccffp-2, -0x1.fcb2a7ab4b28fp-3, -0x1.f29231a89066fp-3, -0x1.e89d9a7633c2cp-3, -0x1.ded4926f4975cp-3, -0x1.d536c298f7425p-3, -0x1.cbc3cd1cde4b6p-3, -0x1.c27b4e1ec2f1bp-3, -0x1.b95cdc3f3cc4dp-3, -0x1.b06809349d1fcp-3, -0x1.a79c624cd064dp-3, -0x1.9ef970e017439p-3, -0x1.967ebade888d8p-3, -0x1.8e2bc327073dep-3, -0x1.860009f5dd19ap-3, -0x1.7dfb0d475afd6p-3, -0x1.761c492ba5a81p-3, -0x1.6e63380b01b96p-3, -0x1.66cf530a24c47p-3, -0x1.5f60123e0956ep-3, -0x1.5814ecf24b9c4p-3, -0x1.50ed59f0ad8e4p-3, -0x1.49e8cf9a87956p-3, -0x1.4306c4398ca15p-3, -0x1.3c46ae235e84p-3, -0x1.35a803e2afbfp-3, -0x1.2f2a3c5e8eb9bp-3, -0x1.28cccf0223511p-3, -0x1.228f33e3b571dp-3, -0x1.1c70e3dca9a6p-3, -0x1.16715892fccdap-3, -0x1.10900cb86dfa5p-3, -0x1.0acc7c05697ep-3, -0x1.052623565e249p-3, -0x1.ff39017823f89p-4, -0x1.f45e2713fe341p-4, -0x1.e9bab8f1e6d8p-4, -0x1.df4dbb205b4bfp-4, -0x1.d51634950ab3p-4, -0x1.cb132f43aa0b8p-4, -0x1.c143b8178209cp-4, -0x1.b7a6df103bfa6p-4, -0x1.ae3bb74837c24p-4, -0x1.a501570f0d2ccp-4, -0x1.9bf6d7c3b92edp-4, -0x1.931b562a67485p-4, -0x1.8a6df2450b365p-4, -0x1.81edcf2d62ef2p-4, -0x1.799a136b7f6adp-4, -0x1.7171e8c5679c3p-4, -0x1.69747c44ebba9p-4, -0x1.61a0fe38f0dfp-4, -0x1.59f6a23d2167dp-4, -0x1.52749f29de077p-4, -0x1.4b1a2f1407efap-4, -0x1.43e68f473cd5p-4, -0x1.3cd9005c8e358p-4, -0x1.35f0c60827b98p-4, -0x1.2f2d271a6c5f7p-4, -0x1.288d6da2872d5p-4, -0x1.2210e6be0232cp-4, -0x1.1bb6e29f09b66p-4, -0x1.157eb47cda85fp-4, -0x1.0f67b2b1e39bcp-4, -0x1.0971365f3b404p-4, -0x1.039a9bc09df7ep-4, -0x1.fbc683dd40328p-5, -0x1.f09515bb2799dp-5, -0x1.e59fb6aa67a4fp-5, -0x1.dae53610c821ep-5, -0x1.d064689108ceap-5, -0x1.c61c284f78cffp-5, -0x1.bc0b54edce5dbp-5, -0x1.b230d348503fcp-5, -0x1.a88b8d73c609fp-5, -0x1.9f1a72a883325p-5, -0x1.95dc7730382cdp-5, -0x1.8cd0944eae687p-5, -0x1.83f5c83aa36d1p-5, -0x1.7b4b15f35c254p-5, -0x1.72cf854060f63p-5, -0x1.6a822297bea95p-5, -0x1.6261fefe29fbp-5, -0x1.5a6e301043bc6p-5, -0x1.52a5cfe06f659p-5, -0x1.4b07fcea27701p-5, -0x1.4393d9b7bc773p-5, -0x1.3c488d608bbb3p-5, -0x1.35254304a2782p-5, -0x1.2e2929d3046a6p-5, -0x1.2753750cc2c09p-5, -0x1.20a35bde60d15p-5, -0x1.1a181959b4a47p-5, -0x1.13b0ec6108e82p-5, -0x1.0d6d1792545bdp-5, -0x1.074be13d9a8e9p-5, -0x1.014c934f957f6p-5, -0x1.f6dcf677d155ap-6, -0x1.eb61d3f3e459bp-6, -0x1.e02667cc47ddcp-6, -0x1.d529616765b3ep-6, -0x1.ca69770738717p-6, -0x1.bfe5651599fa4p-6, -0x1.b59bee6e7c787p-6, -0x1.ab8bdc48ad636p-6, -0x1.a1b3fde93d3f6p-6, -0x1.9813289715c3ap-6, -0x1.8ea83789d92cbp-6, -0x1.85720bb410bdfp-6, -0x1.7c6f8bbd7e3b5p-6, -0x1.739fa3e47247cp-6, -0x1.6b014601181d8p-6, -0x1.629368fe09b07p-6, -0x1.5a55095572596p-6, -0x1.5245288a647b5p-6, -0x1.4a62cd3969effp-6, -0x1.42ad02f9182dp-6, -0x1.3b22da4576d5bp-6, -0x1.33c368683af19p-6, -0x1.2c8dc747008d3p-6, -0x1.2581157b168c8p-6, -0x1.1e9c763c0792cp-6, -0x1.17df10fa367f6p-6, -0x1.114811948f8e6p-6, -0x1.0ad6a83eb533ep-6, -0x1.048a095048a8p-6, -0x1.fcc2da8416818p-7, -0x1.f0b82115533b6p-7, -0x1.e4f2672b2b919p-7, -0x1.d9703568fad21p-7, -0x1.ce301c0bdc7bfp-7, -0x1.c330b2a66e812p-7, -0x1.b870983988d4ep-7, -0x1.adee72f304536p-7, -0x1.a3a8efea653aep-7, -0x1.999ec32e8b886p-7, -0x1.8fcea78d4cb5ap-7, -0x1.86375e7409fb8p-7, -0x1.7cd7afcf77b26p-7, -0x1.73ae69eb8ab1fp-7, -0x1.6aba6168a2619p-7, -0x1.61fa70c508c18p-7, -0x1.596d78a0aa758p-7, -0x1.51125fc28db38p-7, -0x1.48e81267633d5p-7, -0x1.40ed8274e723bp-7, -0x1.3921a78a4eb72p-7, -0x1.31837e978de5fp-7, -0x1.2a1209ed96df5p-7, -0x1.22cc5114ed397p-7, -0x1.1bb160b72eb4ep-7, -0x1.14c04a7f02048p-7, -0x1.0df8250458ebap-7, -0x1.07580bb6d199bp-7, -0x1.00df1ec164022p-7, -0x1.f51905e5b6915p-8, -0x1.e8bec34c21a7ap-8, -0x1.dcadd153a4756p-8, -0x1.d0e4946acace6p-8, -0x1.c561796ea7315p-8, -0x1.ba22f582cc3f3p-8, -0x1.af27866f9f0fap-8, -0x1.a46db1c87393fp-8, -0x1.99f404f9018fep-8, -0x1.8fb91556151bbp-8, -0x1.85bb7fc65fedcp-8, -0x1.7bf9e89dda8bdp-8, -0x1.7272fb78061a8p-8, -0x1.69256b0d24741p-8, -0x1.600ff10ccc284p-8, -0x1.57314e15d8fe1p-8, -0x1.4e88498c74e5ap-8, -0x1.4613b14da81c5p-8, -0x1.3dd259c2df9b5p-8, -0x1.35c31dbef0d75p-8, -0x1.2de4de6eecd57p-8, -0x1.263682b21bfa5p-8, -0x1.1eb6f73cf5c9cp-8, -0x1.17652f5332593p-8, -0x1.1040235d9b0c3p-8, -0x1.0946d152bbc81p-8, -0x1.02783cd14d63ap-8, -0x1.f7a6ddbf5474ep-9, -0x1.eaaeebba2441ap-9, -0x1.de06caaf83f18p-9, -0x1.d1acabe107d05p-9, -0x1.c59eca68fd315p-9, -0x1.b9db6af47dc01p-9, -0x1.ae60db95457e7p-9, -0x1.a32d739f104e4p-9, -0x1.983f938a6958ap-9, -0x1.8d95a4d97bdd7p-9, -0x1.832e19efc4e4dp-9, -0x1.79076dea8b179p-9, -0x1.6f20247431dbap-9, -0x1.6576c99a942e6p-9, -0x1.5c09f0d5048d6p-9, -0x1.52d835f31cc38p-9, -0x1.49e03cace9174p-9, -0x1.4120af5abac4p-9, -0x1.389840119bce9p-9, -0x1.3045a84b9f637p-9, -0x1.2827a8ad5e4e6p-9, -0x1.203d08edf5d07p-9, -0x1.188497d7dabbap-9, -0x1.10fd2b040a2e5p-9, -0x1.09a59e9b1571bp-9, -0x1.027cd5229a82dp-9, -0x1.f7036e899a6aap-10, -0x1.e96667583d866p-10, -0x1.dc207dbd12147p-10, -0x1.cf2fa661f732bp-10, -0x1.c291e1361d004p-10, -0x1.b64539caaad25p-10, -0x1.aa47c72b13965p-10, -0x1.9e97ab24bc99ap-10, -0x1.93331314e5eafp-10, -0x1.881837097db07p-10, -0x1.7d45586977763p-10, -0x1.72b8c44961202p-10, -0x1.6870d018d8014p-10, -0x1.5e6bd9f040a2cp-10, -0x1.54a8493232ab4p-10, -0x1.4b248dd6fe718p-10, -0x1.41df20839fee1p-10, -0x1.38d682bb07911p-10, -0x1.30093f0b7a2b2p-10, -0x1.2775e9228be3cp-10, -0x1.1f1b1db591e79p-10, -0x1.16f78236e95e3p-10, -0x1.0f09c4572a983p-10, -0x1.07509965f91ccp-10, -0x1.ff957b481674bp-11, -0x1.f0ede76e615efp-11, -0x1.e2a808ad7646cp-11, -0x1.d4c17cb679f6ap-11, -0x1.c737ee34b9232p-11, -0x1.ba091599c4c16p-11, -0x1.ad32ba308282ap-11, -0x1.a0b2b2d3a01c6p-11, -0x1.9486e5f62f586p-11, -0x1.88ad47fa4e7fap-11, -0x1.7d23d99d3c944p-11, -0x1.71e8aa89dfaap-11, -0x1.66f9d2e00bceap-11, -0x1.5c55721afe698p-11, -0x1.51f9b06b8b9d6p-11, -0x1.47e4bdc8f8938p-11, -0x1.3e14d31af24c9p-11, -0x1.34883405c1c4bp-11, -0x1.2b3d303fd25b8p-11, -0x1.2232247304283p-11, -0x1.19657a941f5e6p-11, -0x1.10d5a8fb62b95p-11, -0x1.08813137bcfd7p-11, -0x1.00669e9fe5e57p-11, -0x1.f10908f405d11p-12, -0x1.e1b2f896f6b2dp-12, -0x1.d2c84865af401p-12, -0x1.c4463baf18418p-12, -0x1.b62a22500e1f6p-12, -0x1.a871590370c32p-12, -0x1.9b194e7bed136p-12, -0x1.8e1f871d196c8p-12, -0x1.81819d185b3d5p-12, -0x1.753d3f15e9b2bp-12, -0x1.69502e83f799dp-12, -0x1.5db83e3a86d5bp-12, -0x1.52734c51d9076p-12, -0x1.477f44d2392ffp-12, -0x1.3cda218bd4abep-12, -0x1.3281dc7ad124p-12, -0x1.287475137a988p-12, -0x1.1eaff1b9abf19p-12, -0x1.1532626a09afdp-12, -0x1.0bf9e540a1721p-12, -0x1.0304a91dafe2fp-12, -0x1.f4a1db2b639f5p-13, -0x1.e3ba019da824cp-13, -0x1.d34e7a8b0c324p-13, -0x1.c35c11e43ca36p-13, -0x1.b3dfaa60d6394p-13, -0x1.a4d640d003253p-13, -0x1.963cdfc5b7521p-13, -0x1.8810a6053f2f1p-13, -0x1.7a4eb4b5388dep-13, -0x1.6cf436bca80d8p-13, -0x1.5ffe60a0b4fd9p-13, -0x1.536a77b6b1939p-13, -0x1.4735d7c4e2527p-13, -0x1.3b5df403c8fcfp-13, -0x1.2fe05378b3969p-13, -0x1.24ba8c375b9bbp-13, -0x1.19ea41baba9ebp-13, -0x1.0f6d275cc93edp-13, -0x1.054104166dacap-13, -0x1.f6c768b4739adp-14, -0x1.e3a644d5b956p-14, -0x1.d11a8030c69c5p-14, -0x1.bf2026bd9a575p-14, -0x1.adb348f7b9e0cp-14, -0x1.9cd005c5b7467p-14, -0x1.8c729bea97521p-14, -0x1.7c9764ddb47fcp-14, -0x1.6d3ad5542cc0cp-14, -0x1.5e596f8c8be23p-14, -0x1.4fefc5778c461p-14, -0x1.41fa7eab0dabp-14, -0x1.34764dca0ab04p-14, -0x1.276009aa40e09p-14, -0x1.1ab4acbec8866p-14, -0x1.0e714c0d887abp-14, -0x1.0293091e6a2afp-14, -0x1.ee2e1a8dfb6a2p-15, -0x1.d7f524636c4bap-15, -0x1.c275db424224cp-15, -0x1.adab280ecaf42p-15, -0x1.9990201d963c1p-15, -0x1.861ff0223258bp-15, -0x1.7355d18171fa6p-15, -0x1.612d07f735a58p-15, -0x1.4fa0e4948502bp-15, -0x1.3eacc99ff7ef4p-15, -0x1.2e4c3857d09a6p-15, -0x1.1e7ae80a8ea47p-15, -0x1.0f34cd595ab4p-15, -0x1.0076028dda1adp-15, -0x1.e4753deb4d05fp-16, -0x1.c8fd6961573a6p-16, -0x1.ae7cc1f2f1bd2p-16, -0x1.94ebca7783ed1p-16, -0x1.7c43e7f0876c1p-16, -0x1.647ebbe84494ap-16, -0x1.4d95e170f2bcep-16, -0x1.3782fc3a28157p-16, -0x1.223fa7fca4d49p-16, -0x1.0dc5978288b83p-16, -0x1.f41d604cb4397p-17, -0x1.ce2a1783530abp-17, -0x1.a9a5ec45bc03ep-17, -0x1.8685f5d2df5ecp-17, -0x1.64bfd5e734f1p-17, -0x1.44496e11b25eap-17, -0x1.251874609583dp-17, -0x1.07226fa7243ddp-17, -0x1.d4ba4e73d2767p-18, -0x1.9d7e1d50c56d2p-18, -0x1.687e94c54a8bbp-18, -0x1.35aad807985ecp-18, -0x1.04f263ddf6cc2p-18, -0x1.ac8973fd22a85p-19, -0x1.53227781e2073p-19, -0x1.fb1dee117facap-20, -0x1.575f46674ae31p-20, -0x1.759c1d2c64456p-21, -0x1.298dba677243fp-23, 0x1.a6abf54c0515dp-22, 0x1.e3fe662850391p-21, 0x1.74004acf11394p-20, 0x1.efe2cc35a4c98p-20, 0x1.32ed9dc1a9aa6p-19, 0x1.6b0e6c2e33b23p-19, 0x1.a06bc14f99f76p-19, 0x1.d31bfd7e8dd78p-19, 0x1.019af9980ab6ep-18, 0x1.186835dd25043p-18, 0x1.2dffb5e7b728p-18, 0x1.426be49818d7fp-18, 0x1.55b747c7a4626p-18, 0x1.67ec2776b8f66p-18, 0x1.791462f14f415p-18, 0x1.8938fd2cdecbdp-18, 0x1.98620cd4fb8a6p-18, 0x1.a69753913a583p-18, 0x1.b3e0fe7606edap-18, 0x1.c047b5a85a437p-18, 0x1.cbd4076ddacb5p-18, 0x1.d68e1b2cf2a2p-18, 0x1.e07da293b07b3p-18, 0x1.e9a98d3f87f11p-18, 0x1.f2184b3a8e146p-18, 0x1.f9d09611f16abp-18, 0x1.006cbded603d9p-17, 0x1.039cdd0ec40cdp-17, 0x1.067bc49ff078ap-17, 0x1.090c7455afa54p-17, 0x1.0b51ea90621ffp-17, 0x1.0d4f26df55da6p-17, 0x1.0f071bbc6207cp-17, 0x1.107c8e724e3aep-17, 0x1.11b1f093d292bp-17, 0x1.12a97393cc0e7p-17, 0x1.1365554ef310fp-17, 0x1.13e8158c61f15p-17, 0x1.1434500599ce2p-17, 0x1.144c72d5a3512p-17, 0x1.1432b3913987cp-17, 0x1.13e90ef6602f6p-17, 0x1.13714d67a3826p-17, 0x1.12cd516985e4cp-17, 0x1.11ff28066bd15p-17, 0x1.1108d216470d8p-17, 0x1.0fec484eb2e48p-17, 0x1.0eab0c587ad26p-17, 0x1.0d46aa49d12a5p-17, 0x1.0bc0dd5a98517p-17, 0x1.0a1b4718ddaf2p-17, 0x1.085766a0ab4bfp-17, 0x1.0676c35750d13p-17, 0x1.047aef5f031bdp-17, 0x1.02652eaf07dacp-17, 0x1.0036bf6168028p-17, 0x1.fbe1d46339e43p-18, 0x1.f72a1700c3a15p-18, 0x1.f248ebd57dc61p-18, 0x1.ed40a5d9a5dedp-18, 0x1.e81364393f339p-18, 0x1.e2c32f2ca9f8bp-18, 0x1.dd52110c4e706p-18, 0x1.d7c248ff108c4p-18, 0x1.d215f779c33e4p-18, 0x1.cc4ef23a2c1b1p-18, 0x1.c66f0ccca618fp-18, 0x1.c0781589ab7fbp-18, 0x1.ba6bbcf0e719cp-18, 0x1.b44b9a22b8212p-18, 0x1.ae1935e84b5dcp-18, 0x1.a7d61714cc069p-18, 0x1.a183c19929906p-18, 0x1.9b23b4e80c02ap-18, 0x1.94b768e9aa81cp-18, 0x1.8e404358e0e1cp-18, 0x1.87bf8cd106693p-18, 0x1.81367b9660687p-18, 0x1.7aa646e9065e8p-18, 0x1.741013d3cc3bbp-18, 0x1.6d74e2e59d1fep-18, 0x1.66d5c249ec52bp-18, 0x1.6033c8cd51ad4p-18, 0x1.598ff9d505faap-18, 0x1.52eb3847ef0a2p-18, 0x1.4c468554cce0dp-18, 0x1.45a2e8522a6d3p-18, 0x1.3f00dee3d5555p-18, 0x1.38614c5abf402p-18, 0x1.31c50c5b61c26p-18, 0x1.2b2cd26c176aep-18, 0x1.24994a44e507cp-18, 0x1.1e0b1baffe867p-18, 0x1.1782e9bddf912p-18, 0x1.110152e40c91ep-18, 0x1.0a86f3084d682p-18, 0x1.0414650f846dp-18, 0x1.fb547e39dbfc8p-19, 0x1.ee92131a4ff5fp-19, 0x1.e1e26e50b5a91p-19, 0x1.d5466c413f1c8p-19, 0x1.c8bed8764855ap-19, 0x1.bc4ceb9c4b20ep-19, 0x1.aff11447d07cfp-19, 0x1.a3ac619e216fdp-19, 0x1.977f8b038c3eap-19, 0x1.8b6b25816e83fp-19, 0x1.7f6fd42b8c1aep-19, 0x1.738e3b1663bc9p-19, 0x1.67c6f23ca1e36p-19, 0x1.5c1a8bbb88565p-19, 0x1.508990dfaaebp-19, 0x1.45147d0d3a138p-19, 0x1.39bbbc71e029ap-19, 0x1.2e7faff755867p-19, 0x1.2360b406fda3bp-19, 0x1.185f25019e714p-19, 0x1.0d7b5e7448c27p-19, 0x1.02b5b7de5d50bp-19, 0x1.f01d05c6f4d04p-20, 0x1.db0c12ad7ae51p-20, 0x1.c6391a33ce7fap-20, 0x1.b1a487ff93226p-20, 0x1.9d4ebedb50c78p-20, 0x1.8938286fabc14p-20, 0x1.7560daa01d356p-20, 0x1.61c8f35f09831p-20, 0x1.4e71763fe50fep-20, 0x1.3b5a1c573a086p-20, 0x1.2882853303002p-20, 0x1.15ed3741790bap-20, 0x1.039b5230d92fep-20, 0x1.e30cef0a3e426p-21, 0x1.bf61dd9071a82p-21, 0x1.9c415095fd84dp-21, 0x1.799aebb47deeap-21, 0x1.57727161c83adp-21, 0x1.35d1b2b991e15p-21, 0x1.14b4565950426p-21, 0x1.e82f0368c7a3p-22, 0x1.a7f5e65fb67d8p-22, 0x1.68bd72f83f91bp-22, 0x1.2a85554fdc7fp-22, 0x1.da99ca8dc7789p-23, 0x1.6226ce967fc6cp-23, 0x1.d7600f190b34p-24, 0x1.dccdb58eaebe6p-25, 0x1.2bc61c622cb5cp-29, -0x1.af7cfc430db72p-25, -0x1.b4f4ddba072b9p-24, -0x1.4724bd20c28b8p-23, -0x1.b1e03bac5773ap-23, -0x1.0d57d0003d836p-22, -0x1.40cc0cdf072ep-22, -0x1.734b4cbd6c304p-22, -0x1.a4da142d4f1f5p-22, -0x1.d5794010a9b88p-22, -0x1.0295320673bd9p-21, -0x1.19f75b74fac42p-21, -0x1.30e36df4341c8p-21, -0x1.4759bc9e2179fp-21, -0x1.5d5b0ab4b5ec5p-21, -0x1.72e8cd8014726p-21, -0x1.8804eb100cfe6p-21, -0x1.9cb114bbe29bfp-21, -0x1.b0ee4f900c354p-21, -0x1.c4bccbe274a4dp-21, -0x1.d81c4ec2f7b6dp-21, -0x1.eb0d7c4e734ecp-21, -0x1.fd9244562d396p-21, -0x1.07d5d2250174ep-20, -0x1.10ad2e6536475p-20, -0x1.19507b647d9d1p-20, -0x1.21bfd52efc0d2p-20, -0x1.29fb5d1930e8dp-20, -0x1.320387d87c458p-20, -0x1.39d8d7f93f551p-20, -0x1.417bd4b77c242p-20, -0x1.48ed073a136d5p-20, -0x1.502cfa7777966p-20, -0x1.573c38f77981p-20, -0x1.5e1b4c71b309ap-20, -0x1.64cabdd5ef88dp-20, -0x1.6b4b1578902bfp-20, -0x1.719cdb1e4bee6p-20, -0x1.77c095c5c975bp-20, -0x1.7db6cba7c644ap-20, -0x1.83800759bc0c8p-20, -0x1.891cd41547dfp-20, -0x1.8e8db40e14aebp-20, -0x1.93d2be8e59e5ep-20, -0x1.98eca82c6134ep-20, -0x1.9ddffcf11399dp-20, -0x1.a2a23aebbf8e6p-20, -0x1.a7410616a091ep-20, -0x1.abb52fac9f2fp-20, -0x1.b000ff1ecb443p-20, -0x1.b4250830e6326p-20, -0x1.b821cbc55817p-20, -0x1.bbf7cc38aaa7dp-20, -0x1.bfa78c76ca518p-20, -0x1.c3318f5403471p-20, -0x1.c69656f69bb12p-20, -0x1.c9d66445ec6e4p-20, -0x1.ccf237d15af5bp-20, -0x1.cfea846fbfe8ep-20, -0x1.d2bf55904672ap-20, -0x1.d5718c07290c8p-20, -0x1.d801987251da7p-20, -0x1.da6fe2b9d2bdfp-20, -0x1.dcbce8c2b695ap-20, -0x1.dee9255016fa2p-20, -0x1.e0f515995f5bep-20, -0x1.e2e1567c37d3ap-20, -0x1.e4ae85b6e0abdp-20, -0x1.e65c97ef63d55p-20, -0x1.e7ec3f2fb2522p-20, -0x1.e95e4b1ea7106p-20, -0x1.eab2eb500f008p-20, -0x1.ebea8c4a16da2p-20, -0x1.ed05b157a6276p-20, -0x1.ee04d6ebf9eefp-20, -0x1.eee8736ee08a6p-20, -0x1.efb0fa2cbec9bp-20, -0x1.f05edcde83dcdp-20, -0x1.f0f28c63afe69p-20, -0x1.f16c790759a9ep-20, -0x1.f1cd11484a1c8p-20, -0x1.f214c1f71e99dp-20, -0x1.f2440275ba0f6p-20, }}, 
      std::vector<double>(700, 0.0), 
      {{0x1.3c0985e558b37p-8, 0x1.db71baf6a70bap-9, -0x1.ab6e48038616dp-9, -0x1.9d94ea249d271p-7, -0x1.52bfa0226ad8cp-6, -0x1.8be1be5c8ca96p-6, -0x1.53ee4076121fbp-6, -0x1.298fc19504221p-7, 0x1.72913bb980efap-7, 0x1.4933c58f468e3p-5, 0x1.3a8af5b35823p-4, 0x1.eb9a195adae9p-4, 0x1.5931564753771p-3, 0x1.c4904460dd044p-3, 0x1.1a834aebccd63p-2, 0x1.53e8d9571d98bp-2, 0x1.8d336175a737dp-2, 0x1.c540886b39de8p-2, 0x1.fb14cc1775fd6p-2, 0x1.16ee5b7858975p-1, 0x1.2e7619d44a565p-1, 0x1.43de49759d874p-1, 0x1.56f4dc765c02dp-1, 0x1.6797671ef8be7p-1, 0x1.75b15b88b6d8p-1, 0x1.813a4211a427ep-1, 0x1.8a340018fc76cp-1, 0x1.90a937d84bd15p-1, 0x1.94abc901dc366p-1, 0x1.9653746ec62f4p-1, 0x1.95bca3cbd307cp-1, 0x1.93075524a1e82p-1, 0x1.8e5627508e86dp-1, 0x1.87cd855dd62a6p-1, 0x1.7f92ef8bed667p-1, 0x1.75cc5eeeb98a5p-1, 0x1.6a9fc0fe3353ep-1, 0x1.5e3288e98a261p-1, 0x1.50a954f38512ep-1, 0x1.4227a5315a3d8p-1, 0x1.32cfa1723bfd6p-1, 0x1.22c1ec1bf520fp-1, 0x1.121d809508acfp-1, 0x1.00ff9bca97703p-1, 0x1.df075ab4bab73p-2, 0x1.bb86a0454a44bp-2, 0x1.97ac91da0838bp-2, 0x1.73a514c0c39ccp-2, 0x1.4f987a30cb272p-2, 0x1.2bab968d9d887p-2, 0x1.07ffde9b2db5ap-2, 0x1.c9671105a684ep-3, 0x1.83c36235e5941p-3, 0x1.3f4504cdfd939p-3, 0x1.f82d7334c2e2p-4, 0x1.74bc022b62633p-4, 0x1.e8edb7a1cb85p-5, 0x1.de57d917cf4dbp-6, -0x1.b74c8e556c2d5p-12, -0x1.dd25c9d37cb57p-6, -0x1.d200b613481d9p-5, -0x1.56c29b33a53f7p-4, -0x1.c07cfb526f995p-4, -0x1.1310f0ab3e3f6p-3, -0x1.43d46cfea26e8p-3, -0x1.72870a5abaa65p-3, -0x1.9f28fbca617ecp-3, -0x1.c9bc56bc9479ep-3, -0x1.f244e2797db3p-3, -0x1.0c63f3d7b7c6cp-2, -0x1.1ea602befb40cp-2, -0x1.2fec84256c6b1p-2, -0x1.403be23cf443p-2, -0x1.4f98f9bf0e9f1p-2, -0x1.5e0909ecbe37fp-2, -0x1.6b91a5ba8e54ep-2, -0x1.7838a63167c1ap-2, -0x1.84041e09428dfp-2, -0x1.8efa4e165046p-2, -0x1.99219ae594e6bp-2, -0x1.a280832c1f6e4p-2, -0x1.ab1d972799bfp-2, -0x1.b2ff70be302fcp-2, -0x1.ba2cac7e67735p-2, -0x1.c0abe33d54879p-2, -0x1.c683a4821025ap-2, -0x1.cbba717fe0539p-2, -0x1.d056b8aeab5d2p-2, -0x1.d45ed1e43d8dp-2, -0x1.d7d8fb0593741p-2, -0x1.dacb550db2e65p-2, -0x1.dd3be1a4353aep-2, -0x1.df3080f966845p-2, -0x1.e0aeeffded929p-2, -0x1.e1bcc70408985p-2, -0x1.e25f788ea5f55p-2, -0x1.e29c506e199d9p-2, -0x1.e278731d908b5p-2, -0x1.e1f8dd4a03ab5p-2, -0x1.e122639f45042p-2, -0x1.dff9b2a66c9c4p-2, -0x1.de834ede61536p-2, -0x1.dcc394eeaf24ep-2, -0x1.dabeba047dddap-2, -0x1.d878cc361ee89p-2, -0x1.d5f5b317e58afp-2, -0x1.d339304916444p-2, -0x1.d046e02d8cf9bp-2, -0x1.cd223aaf351f9p-2, -0x1.c9ce93f462262p-2, -0x1.c64f1d4625678p-2, -0x1.c2a6e5f621762p-2, -0x1.bed8dc238cb65p-2, -0x1.bae7cdc630b9ep-2, -0x1.b6d6699065b78p-2, -0x1.b2a73fd19c0fcp-2, -0x1.ae5cc37d3d733p-2, -0x1.a9f94b172b12ap-2, -0x1.a57f1198f066bp-2, -0x1.a0f03761a1266p-2, -0x1.9c4ec33aaa38fp-2, -0x1.979ca3221af2ep-2, -0x1.92dbad3e9481dp-2, -0x1.8e0da0c47bd2fp-2, -0x1.893426cbfb28cp-2, -0x1.8450d32e4ffb4p-2, -0x1.7f6525567b5c3p-2, -0x1.7a7289153ad22p-2, -0x1.757a5761b7139p-2, -0x1.707dd7208af4ep-2, -0x1.6b7e3de414756p-2, -0x1.667cb0a3ea9bap-2, -0x1.617a44675d6e1p-2, -0x1.5c77fefa68601p-2, -0x1.5776d79078ee3p-2, -0x1.5277b76114e2fp-2, -0x1.4d7b7a4c2e885p-2, -0x1.4882ef661805bp-2, -0x1.438ed98b61cdp-2, -0x1.3e9fefecbf751p-2, -0x1.39b6de92f9295p-2, -0x1.34d446dd5b166p-2, -0x1.2ff8bffdc7aa7p-2, -0x1.2b24d7716f565p-2, -0x1.265911746f678p-2, -0x1.2195e9641519ap-2, -0x1.1cdbd231ab17dp-2, -0x1.182b36c739d4ap-2, -0x1.13847a617046dp-2, -0x1.0ee7f8edfca9cp-2, -0x1.0a560761d6ff6p-2, -0x1.05cef4169b2b5p-2, -0x1.0153071405271p-2, -0x1.f9c504b3512b6p-3, -0x1.f0fb445c6e397p-3, -0x1.e8493ad264805p-3, -0x1.dfaf4b6975f69p-3, -0x1.d72dcf9093abep-3, -0x1.cec5175ad6f45p-3, -0x1.c67569edf7f74p-3, -0x1.be3f05fe5794fp-3, -0x1.b62222379b1aep-3, -0x1.ae1eed95ce35ep-3, -0x1.a6358fd68414bp-3, -0x1.9e6629d9879dp-3, -0x1.96b0d5fa84d2cp-3, -0x1.8f15a85d7c26ep-3, -0x1.8794af43f29eap-3, -0x1.802df362693a5p-3, -0x1.78e1782d9ef93p-3, -0x1.71af3c1aedb11p-3, -0x1.6a9738e73b59p-3, -0x1.639963d7dc948p-3, -0x1.5cb5adf8bbf3dp-3, -0x1.55ec04628e21bp-3, -0x1.4f3c506b9fdb6p-3, -0x1.48a677db23638p-3, -0x1.422a5d1deda1p-3, -0x1.3bc7df8415ea9p-3, -0x1.357edb66931b9p-3, -0x1.2f4f2a5b291d5p-3, -0x1.2938a35aafcp-3, -0x1.233b1aeaefe39p-3, -0x1.1d5663438531ap-3, -0x1.178a4c82a4eap-3, -0x1.11d6a4c7d85dbp-3, -0x1.0c3b38548a5a4p-3, -0x1.06b7d1ae5dfa6p-3, -0x1.014c39bf7693ap-3, -0x1.f7f06ff1191e4p-4, -0x1.ed7724da952bdp-4, -0x1.e32c1bdf7e032p-4, -0x1.d90edc4df82d1p-4, -0x1.cf1eeb551bb4ap-4, -0x1.c55bcc37257c5p-4, -0x1.bbc5007a1e82ap-4, -0x1.b25a08166a96fp-4, -0x1.a91a619ade016p-4, -0x1.a0058a5548e6ep-4, -0x1.971afe75da8ebp-4, -0x1.8e5a39411038p-4, -0x1.85c2b5243a20ep-4, -0x1.7d53ebe29329fp-4, -0x1.750d56b28586fp-4, -0x1.6cee6e54d8698p-4, -0x1.64f6ab3731becp-4, -0x1.5d25858d428e2p-4, -0x1.557a756e5911p-4, -0x1.4df4f2f012e95p-4, -0x1.4694763b2da0dp-4, -0x1.3f5877a1471d4p-4, -0x1.38406fb1a743bp-4, -0x1.314bd74d9eff1p-4, -0x1.2a7a27bfc648p-4, -0x1.23cadacd5d083p-4, -0x1.1d3d6ac353759p-4, -0x1.16d1528f27747p-4, -0x1.10860dc627e84p-4, -0x1.0a5b18b4e064p-4, -0x1.044ff06f9b826p-4, -0x1.fcc825bfb1b6ep-5, -0x1.f12dfd9f7c951p-5, -0x1.e5d067ef9e5p-5, -0x1.daae660dd9165p-5, -0x1.cfc6fb5577deep-5, -0x1.c5192d379344p-5, -0x1.baa4034eb994ep-5, -0x1.b066876a65ea8p-5, -0x1.a65fc5a37bae4p-5, -0x1.9c8ecc6887a3ep-5, -0x1.92f2ac8a956ddp-5, -0x1.898a7947cb14ep-5, -0x1.8055485590cdfp-5, -0x1.775231f051758p-5, -0x1.6e8050de2f56fp-5, -0x1.65dec279551d3p-5, -0x1.5d6ca6bf915c3p-5, -0x1.5529204f951ebp-5, -0x1.4d135470213ap-5, -0x1.452a6b1671c43p-5, -0x1.3d6d8ee95235cp-5, -0x1.35dbed47cc6d4p-5, -0x1.2e74b64bb398ep-5, -0x1.27371ccb87a51p-5, -0x1.2022565ca9982p-5, -0x1.19359b570ebc2p-5, -0x1.127026cfb1698p-5, -0x1.0bd1369ba6369p-5, -0x1.05580b537ccc9p-5, -0x1.fe07d09db8ef9p-6, -0x1.f1a8274bd28d3p-6, -0x1.e58fac5ebf188p-6, -0x1.d9bcf6fc1f4e7p-6, -0x1.ce2ea3bba99p-6, -0x1.c2e354a0f9e26p-6, -0x1.b7d9b1184bd74p-6, -0x1.ad1065ee9156ap-6, -0x1.a28625487e019p-6, -0x1.9839a6a4e45e2p-6, -0x1.8e29a6cca4158p-6, -0x1.8454e7c213332p-6, -0x1.7aba30c4d3157p-6, -0x1.71584e3de8533p-6, -0x1.682e11b933793p-6, -0x1.5f3a51dd03893p-6, -0x1.567bea5f1b72bp-6, -0x1.4df1bbf8ff2e1p-6, -0x1.459aac5a7d136p-6, -0x1.3d75a61b49587p-6, -0x1.358198adec085p-6, -0x1.2dbd78549539ep-6, -0x1.26283e172b1f3p-6, -0x1.1ec0e7b77c63p-6, -0x1.178677a86f6f1p-6, -0x1.1077f4fe4fa9fp-6, -0x1.09946b5439829p-6, -0x1.02daeac5391cp-6, -0x1.f8950fb0fb49p-7, -0x1.ebc4b6e561228p-7, -0x1.df4305a13e1dfp-7, -0x1.d30e3f00d8c32p-7, -0x1.c724aeafa1023p-7, -0x1.bb84a8c916ae6p-7, -0x1.b02c89ac5575bp-7, -0x1.a51ab5c76fdb3p-7, -0x1.9a4d99674ad56p-7, -0x1.8fc3a89638009p-7, -0x1.857b5f0cb9c92p-7, -0x1.7b734031711fap-7, -0x1.71a9d71fe62c3p-7, -0x1.681db6a29df8bp-7, -0x1.5ecd7919c108cp-7, -0x1.55b7c03113a45p-7, -0x1.4cdb349bb2777p-7, -0x1.443685cdca8d5p-7, -0x1.3bc869bc35ff2p-7, -0x1.338f9cd3e752ep-7, -0x1.2b8ae213077efp-7, -0x1.23b9033578299p-7, -0x1.1c18d0d7b3578p-7, -0x1.14a9227636859p-7, -0x1.0d68d6373fde8p-7, -0x1.0656d08295c7bp-7, -0x1.fee3f7030bf7ep-8, -0x1.f1728d5ba8b27p-8, -0x1.e4574d2a992dep-8, -0x1.d79029cb124dep-8, -0x1.cb1b21760a1e6p-8, -0x1.bef63e1dc7d8fp-8, -0x1.b31f9629f08ecp-8, -0x1.a7954cbe6b41fp-8, -0x1.9c55911ee0984p-8, -0x1.915e9d8187092p-8, -0x1.86aeb5929ffa4p-8, -0x1.7c4424da51b33p-8, -0x1.721d3de1cffe7p-8, -0x1.68385a3c2e6f2p-8, -0x1.5e93db7a08ec8p-8, -0x1.552e2cb45f45p-8, -0x1.4c05c42405647p-8, -0x1.431924247130dp-8, -0x1.3a66db2a1649p-8, -0x1.31ed828a610cap-8, -0x1.29abbc5583683p-8, -0x1.21a030dd4a5e9p-8, -0x1.19c98cb669f9ap-8, -0x1.12267fb87a603p-8, -0x1.0ab5bda1dbeebp-8, -0x1.0375ffd3afff2p-8, -0x1.f8cc0fceb8b85p-9, -0x1.eb094455bba91p-9, -0x1.dda14e70c7948p-9, -0x1.d091f7eed9898p-9, -0x1.c3d91fd10118ap-9, -0x1.b774b48becb3ap-9, -0x1.ab62ad003c8fep-9, -0x1.9fa1027748332p-9, -0x1.942dad94cbf09p-9, -0x1.8906a71217c57p-9, -0x1.7e29ec1f0557p-9, -0x1.7395852061d23p-9, -0x1.69478cd76f2cfp-9, -0x1.5f3e35df9c378p-9, -0x1.5577ccdb59ac6p-9, -0x1.4bf2b6791511ap-9, -0x1.42ad69944f647p-9, -0x1.39a666d7fe63ap-9, -0x1.30dc302888708p-9, -0x1.284d424a3c032p-9, -0x1.1ff8129ec7f9ap-9, -0x1.17db1188ad853p-9, -0x1.0ff4b09ff73cdp-9, -0x1.08436ae60e15cp-9, -0x1.00c5ccd52fbaep-9, -0x1.f2f4f4b65da6dp-10, -0x1.e4c062e535f9cp-10, -0x1.d6eb90cfcd1bfp-10, -0x1.c9744f8888129p-10, -0x1.bc58831414b41p-10, -0x1.af960ee0e89ap-10, -0x1.a32ac6657fa7fp-10, -0x1.9714666dd8da6p-10, -0x1.8b50984144887p-10, -0x1.7fdcfcb05bf15p-10, -0x1.74b73b032f3p-10, -0x1.69dd10163c814p-10, -0x1.5f4c5b4597f54p-10, -0x1.5503278ca25bcp-10, -0x1.4affaf4ccaf45p-10, -0x1.414058ab2aaecp-10, -0x1.37c3a97fa4039p-10, -0x1.2e8834e076032p-10, -0x1.258c87a5babcep-10, -0x1.1ccf1a8abefa6p-10, -0x1.144e4e6cd3131p-10, -0x1.0c08716252eafp-10, -0x1.03fbc8b908821p-10, -0x1.f84d35cf1953ap-11, -0x1.e90e6fb447333p-11, -0x1.da3802e0627b5p-11, -0x1.cbc6ebd67730ap-11, -0x1.bdb8751ddb5fdp-11, -0x1.b00a422326b05p-11, -0x1.a2ba447a3bdb7p-11, -0x1.95c69b11affa2p-11, -0x1.892d6880bfb9bp-11, -0x1.7cecb2294350fp-11, -0x1.710255b05d45dp-11, -0x1.656c12061df33p-11, -0x1.5a2795ac767ddp-11, -0x1.4f32847707e8cp-11, -0x1.448a737637e6bp-11, -0x1.3a2ce7a5c068ap-11, -0x1.3017666db257p-11, -0x1.26479a24b554ap-11, -0x1.1cbb7a472e7c8p-11, -0x1.1371602c6540dp-11, -0x1.0a67f5b3c5739p-11, -0x1.019e0e4cd7d45p-11, -0x1.f224eef14be8p-12, -0x1.e187c833e0773p-12, -0x1.d161df703e14p-12, -0x1.c1b05ffa100bfp-12, -0x1.b2707ab6dcaccp-12, -0x1.a39f4c1f34cb1p-12, -0x1.9539a56ec92a5p-12, -0x1.873be9df33dd8p-12, -0x1.79a22e5af96e4p-12, -0x1.6c689d3fc2d1fp-12, -0x1.5f8be9df358b9p-12, -0x1.53098de25f2f4p-12, -0x1.46dfad7789d43p-12, -0x1.3b0cbb9e9374cp-12, -0x1.2f8f1f4c609f2p-12, -0x1.24650f4fa681ap-12, -0x1.198ca89febf9cp-12, -0x1.0f041ca8e93fbp-12, -0x1.04c9cc1c89302p-12, -0x1.f5b8629f7c19ap-13, -0x1.e27335f6773dp-13, -0x1.cfbfc52aa8542p-13, -0x1.bd98b2cad80b2p-13, -0x1.abf81371bc53cp-13, -0x1.9ad86021f1bb1p-13, -0x1.8a353ccc2932cp-13, -0x1.7a0b9fe8feb93p-13, -0x1.6a59537d00d31p-13, -0x1.5b1c35a46349fp-13, -0x1.4c51bc1687b33p-13, -0x1.3df6f5bc5e975p-13, -0x1.3008e346fda02p-13, -0x1.2284dc3b4cea4p-13, -0x1.1568c3b1cbe57p-13, -0x1.08b2e4bcbe009p-13, -0x1.f8c2f42b6b07fp-14, -0x1.e0e4482c3964ap-14, -0x1.c9c3557759179p-14, -0x1.b3588597313f3p-14, -0x1.9d9c65b4751ep-14, -0x1.8888d8766022cp-14, -0x1.74198642ac571p-14, -0x1.604b793acdb31p-14, -0x1.4d1c344b74b44p-14, -0x1.3a88b08145614p-14, -0x1.288cc8e8a3c7bp-14, -0x1.1723632968676p-14, -0x1.064741db3cf2ap-14, -0x1.ebe800c30a8b7p-15, -0x1.cc4cdb763e2a5p-15, -0x1.adb82cdc6b17fp-15, -0x1.90253cd829745p-15, -0x1.738eb3fdd46dfp-15, -0x1.57ee1b615a28fp-15, -0x1.3d3bc9ea5c45cp-15, -0x1.236f9c3571bd3p-15, -0x1.0a81e1c8c2219p-15, -0x1.e4d7d3171e53ap-16, -0x1.b651782c5e58dp-16, -0x1.896b64ded2fa5p-16, -0x1.5e225bc8065fbp-16, -0x1.346f4abf352b3p-16, -0x1.0c43d5a675599p-16, -0x1.cb1b215d303e7p-17, -0x1.807893cfe67c9p-17, -0x1.3887bc6bdc895p-17, -0x1.e6661622216adp-18, -0x1.60cbd4a3bfa61p-18, -0x1.c044d332a55b3p-19, -0x1.91680f8dafc35p-20, 0x1.29960193b0d6p-22, 0x1.099a95a85711bp-19, 0x1.e4c86f4370277p-19, 0x1.5b893dab71da5p-18, 0x1.c06cd097fd1cfp-18, 0x1.109b63765672cp-17, 0x1.3ef884605534dp-17, 0x1.6b48504cd4684p-17, 0x1.958ef34228163p-17, 0x1.bde2c9310d806p-17, 0x1.e45de1579e521p-17, 0x1.0488364e0cadbp-16, 0x1.1603a23d41158p-16, 0x1.26ab29b90e172p-16, 0x1.368ace65ad159p-16, 0x1.45aba3961370dp-16, 0x1.54110b2e0f069p-16, 0x1.61ba149d79973p-16, 0x1.6ea5cb93ccb3p-16, 0x1.7ad6dec31063dp-16, 0x1.865367f293f66p-16, 0x1.9123291243a6dp-16, 0x1.9b4f9ade7b2adp-16, 0x1.a4e04deacbf44p-16, 0x1.add49034fdfa1p-16, 0x1.b628e9ff80a41p-16, 0x1.bde27dc068f67p-16, 0x1.c50c2462233c6p-16, 0x1.cbab4ade4ddc2p-16, 0x1.d1c04c409afb6p-16, 0x1.d74debc992f28p-16, 0x1.dc5a86728a0c9p-16, 0x1.e0ed811682723p-16, 0x1.e50dc1cdbaf06p-16, 0x1.e8c06f6c6fe53p-16, 0x1.ec07ad0e33f12p-16, 0x1.eee3177094d65p-16, 0x1.f1528e5bcbae7p-16, 0x1.f3588c4b610b6p-16, 0x1.f4f923becfdd9p-16, 0x1.f63881f8f4423p-16, 0x1.f71c2c88d496ep-16, 0x1.f7a7f420cfd5p-16, 0x1.f7da0c31a75c1p-16, 0x1.f7b36f5b94d83p-16, 0x1.f73c088269d84p-16, 0x1.f678a81a9f9b5p-16, 0x1.f568d5f9dbed8p-16, 0x1.f40df0918e557p-16, 0x1.f26b6160c7732p-16, 0x1.f083cb1cd3a4ep-16, 0x1.ee59076f7268p-16, 0x1.ebed513943db9p-16, 0x1.e943d27230746p-16, 0x1.e66059ffceba9p-16, 0x1.e345d663e7429p-16, 0x1.dff58f03e8e78p-16, 0x1.dc7003133a4e7p-16, 0x1.d8b6a1cb79f9ep-16, 0x1.d4cb72d974c67p-16, 0x1.d0b009341a1a3p-16, 0x1.cc670036b2847p-16, 0x1.c7f24e0fd7dadp-16, 0x1.c3522e3d6f806p-16, 0x1.be8a8b610f79ep-16, 0x1.b99ea4f66c92fp-16, 0x1.b48df05805914p-16, 0x1.af59c41f30b1dp-16, 0x1.aa04c8decf405p-16, 0x1.a490bb3e50dedp-16, 0x1.9efeae661f5dcp-16, 0x1.994f918aa67a2p-16, 0x1.938454894c46bp-16, 0x1.8d9dfd695d152p-16, 0x1.879deaebe025ep-16, 0x1.81862ab7ee939p-16, 0x1.7b59386951addp-16, 0x1.7518c353d8237p-16, 0x1.6ec538dded5f3p-16, 0x1.685f2d73d0dddp-16, 0x1.61e7ad45be67fp-16, 0x1.5b5f2df8c999ap-16, 0x1.54c72734ad574p-16, 0x1.4e212284763d1p-16, 0x1.476e91954013bp-16, 0x1.40b126e1c6cefp-16, 0x1.39e8a2fa251acp-16, 0x1.33161282c81fdp-16, 0x1.2c3b02904214dp-16, 0x1.2558621f4b3c6p-16, 0x1.1e6eecf81dd04p-16, 0x1.177f672faac98p-16, 0x1.108a9d6ae115ep-16, 0x1.09915a3cc23ecp-16, 0x1.02945b8183e72p-16, 0x1.f7289752e017p-17, 0x1.e923932ab4ef2p-17, 0x1.db1b2335ae8dap-17, 0x1.cd117e7cc7e13p-17, 0x1.bf090d646990cp-17, 0x1.b102d7d3e9d54p-17, 0x1.a2ff88cc53ba3p-17, 0x1.9500579b1568fp-17, 0x1.8705c37fb7351p-17, 0x1.791169a9ae9e6p-17, 0x1.6b25530d1db9p-17, 0x1.5d42f37c47f2ep-17, 0x1.4f6a67bda5da3p-17, 0x1.419cec91009cep-17, 0x1.33dc013039aa6p-17, 0x1.2628935cba7f9p-17, 0x1.18837f81cdda4p-17, 0x1.0aedae102257bp-17, 0x1.fad013c4f5f1p-18, 0x1.dfe6f261b195p-18, 0x1.c521b70e3e308p-18, 0x1.aa8213cb029f2p-18, 0x1.9009ac272918bp-18, 0x1.75ba0f962f46ep-18, 0x1.5b94b10a31f5bp-18, 0x1.419ada56f69efp-18, 0x1.27cdc9b006c71p-18, 0x1.0e2f3d15cb902p-18, 0x1.e981ee4888597p-19, 0x1.b70809408578cp-19, 0x1.84f33dcb0b28bp-19, 0x1.534482d1ac7c7p-19, 0x1.21fec3c1ec98dp-19, 0x1.e24ab33ee7692p-20, 0x1.8172af8057c27p-20, 0x1.21795dfca7f52p-20, 0x1.84c7fa14b89c9p-21, 0x1.90d8abb67d657p-22, 0x1.bc706de9ee79bp-26, -0x1.5595cf4f6acc5p-22, -0x1.6195e6f1016bp-21, -0x1.0b3d7a5c5151fp-20, -0x1.64b9b09ddf313p-20, -0x1.bd3bb959ff63dp-20, -0x1.0a60b500c59a9p-19, -0x1.35a4477b39c03p-19, -0x1.606765e869c24p-19, -0x1.8aa8ee61ef6p-19, -0x1.b467d40e10e71p-19, -0x1.dda31e3abe911p-19, -0x1.032cf55d9108bp-18, -0x1.1745b65299068p-18, -0x1.2b1b60cef480cp-18, -0x1.3ead876823a5ap-18, -0x1.51fbd8adf514ep-18, -0x1.65060ec0a8f57p-18, -0x1.77cbd9a75bc07p-18, -0x1.8a4cf508d8155p-18, -0x1.9c8928abb4bf5p-18, -0x1.ae804b2a93fcap-18, -0x1.c0320af211c49p-18, -0x1.d19e61c3653a2p-18, -0x1.e2c51ff81b772p-18, -0x1.f3a626590446dp-18, -0x1.0220ae7d2c505p-17, -0x1.0a4b571694199p-17, -0x1.125304504169ep-17, -0x1.1a37b1b08ee5p-17, -0x1.21f9602922da1p-17, -0x1.2998150da56ap-17, -0x1.3113d764c4dffp-17, -0x1.386caecca490dp-17, -0x1.3fa2a1c853c8dp-17, -0x1.46b5b60afb5e8p-17, -0x1.4da5f8273dfb2p-17, -0x1.54737c1b8613fp-17, -0x1.5b1e54ac35e8bp-17, -0x1.61a68c8ac8e27p-17, -0x1.680c3754b4121p-17, -0x1.6e4f8790a8d24p-17, -0x1.74708e03c117p-17, -0x1.7a6f4cf1028dap-17, -0x1.804bf017578fp-17, -0x1.860698b535508p-17, -0x1.8b9f6d17ad495p-17, -0x1.91168aee60129p-17, -0x1.966c14c4d783ep-17, -0x1.9ba030541c8cap-17, -0x1.a0b3051d97694p-17, -0x1.a5a4bc1349329p-17, -0x1.aa757f805806dp-17, -0x1.af257afd9d2d5p-17, -0x1.b3b4db59cf401p-17, -0x1.b823cf27b9fdap-17, -0x1.bc728647a9dccp-17, -0x1.c0a130e9a20a3p-17, -0x1.c4aff2a77d98ap-17, -0x1.c89f04a06f8ap-17, -0x1.cc6f1eefb259cp-17, -0x1.d01f0ea5e547bp-17, -0x1.d3b0b6741ccp-17, -0x1.d723543d34cafp-17, -0x1.da7759876541ep-17, -0x1.ddad00e5e7ac8p-17, -0x1.e0c4846dd6015p-17, -0x1.e3be09af296ccp-17, -0x1.e699e8b7e9bbbp-17, -0x1.e95865817debbp-17, -0x1.ebf98a4e8e293p-17, -0x1.ee7dbbe5072dfp-17, -0x1.f0e54415eb1c2p-17, -0x1.f330599485a38p-17, -0x1.f55f2bf8ddb8dp-17, -0x1.f772068ea2041p-17, -0x1.f969295e32e37p-17, -0x1.fb44d43081cfp-17, -0x1.fd0549a2843adp-17, -0x1.feaacc7c82b5cp-17, -0x1.001acffa9b29ap-16, -0x1.00d3042d8c605p-16, -0x1.017e25294f30ep-16, -0x1.021c5386f536dp-16, -0x1.02adb2294689fp-16, -0x1.033264869ce49p-16, -0x1.03aa8c9548105p-16, -0x1.04164d190c1e4p-16, -0x1.0475c91b3a8ep-16, -0x1.04c923aa5c193p-16, -0x1.0510801d8b5d2p-16, -0x1.054c0217c7dabp-16, -0x1.057bcca7cee5bp-16, -0x1.05a00209320d2p-16, -0x1.05b8c62e4f9edp-16, -0x1.05c642a5e3cf8p-16, -0x1.05c89861ff663p-16, -0x1.05bfe28cc711cp-16, }}, 
      {{-0x1.42209a48db218p-2, -0x1.95c2d98927c25p-3, -0x1.aeb70b03a4768p-4, -0x1.fea241484fc75p-5, -0x1.2bd40d28c91a6p-4, -0x1.0b1c6b0f54712p-3, -0x1.c7b74652495acp-3, -0x1.597f6755b9355p-2, -0x1.db4f797fc1aeap-2, -0x1.300acb150c94bp-1, -0x1.705db89efd016p-1, -0x1.ac1558b9471d5p-1, -0x1.e184f5088dc3fp-1, -0x1.07db72ba06efap+0, -0x1.1b22c8141f1fcp+0, -0x1.2a9bfec9a4771p+0, -0x1.3671ada431a91p+0, -0x1.3ee8e1144ba91p+0, -0x1.445700cf5bf0cp+0, -0x1.4719f64eaa75dp+0, -0x1.4792436a43c27p+0, -0x1.461eb5df2f7c1p+0, -0x1.43196a12f3255p+0, -0x1.3ed5d766f1296p+0, -0x1.399fa9841ae23p+0, -0x1.33ba347eb8ec1p+0, -0x1.2d605a68af76bp+0, -0x1.26c4c11a5f572p+0, -0x1.20123e47de045p+0, -0x1.196c662538e61p+0, -0x1.12f02d7312196p+0, -0x1.0cb4943d8a287p+0, -0x1.06cb517ad8536p+0, -0x1.01417a24562bbp+0, -0x1.f8403f8484f7fp-1, -0x1.eed9c807ac7a6p-1, -0x1.e65500c39e73fp-1, -0x1.deb281de847cap-1, -0x1.d7eee4a3719a6p-1, -0x1.d20386cc549ebp-1, -0x1.cce736b032862p-1, -0x1.c88ec9b8ecb5dp-1, -0x1.c4ed9f0fb1403p-1, -0x1.c1f60fe642162p-1, -0x1.bf99cefa118a5p-1, -0x1.bdca395dd0a85p-1, -0x1.bc7899bcd36c6p-1, -0x1.bb965ff5fd65cp-1, -0x1.bb154e45237e3p-1, -0x1.bae79d47af37p-1, -0x1.bb0018103bda2p-1, -0x1.bb523180bdbafp-1, -0x1.bbd2136c416ffp-1, -0x1.bc74a90e9ac2bp-1, -0x1.bd2fa51bdcd57p-1, -0x1.bdf9844d78789p-1, -0x1.bec98d14502abp-1, -0x1.bf97cca679fb4p-1, -0x1.c05d12b2f6a67p-1, -0x1.c112eaa40bd81p-1, -0x1.c1b394cd00558p-1, -0x1.c239fd9047228p-1, -0x1.c2a1b505a503cp-1, -0x1.c2e6e53aceebfp-1, -0x1.c30649193b953p-1, -0x1.c2fd22697623dp-1, -0x1.c2c930b3275dbp-1, -0x1.c268a7932ebfcp-1, -0x1.c1da25c1f5321p-1, -0x1.c11cac412a2c8p-1, -0x1.c02f95d6fe3e6p-1, -0x1.bf128eeabe606p-1, -0x1.bdc58dce00f28p-1, -0x1.bc48cb7896ffep-1, -0x1.ba9cbc930846dp-1, -0x1.b8c20b026e4dep-1, -0x1.b6b98fba31a06p-1, -0x1.b4844d1586a51p-1, -0x1.b2236984f57bdp-1, -0x1.af982a97bc021p-1, -0x1.ace3f064e442cp-1, -0x1.aa08314b931f8p-1, -0x1.a7067610458bap-1, -0x1.a3e05640fc37p-1, -0x1.a09774f6788a3p-1, -0x1.9d2d7dbfd02ddp-1, -0x1.99a4220e267b4p-1, -0x1.95fd16a6bf38ep-1, -0x1.923a1175fd942p-1, -0x1.8e5cc79884405p-1, -0x1.8a66eb83ea4b1p-1, -0x1.865a2b99301dbp-1, -0x1.823830a12dfa8p-1, -0x1.7e029ca1fadc5p-1, -0x1.79bb09d256f17p-1, -0x1.756309b171ac7p-1, -0x1.70fc243753bb1p-1, -0x1.6c87d7344a0b3p-1, -0x1.680795bd75898p-1, -0x1.637cc7c528934p-1, -0x1.5ee8c9b7abd86p-1, -0x1.5a4cec3c84debp-1, -0x1.55aa73f87f5a3p-1, -0x1.5102998725b31p-1, -0x1.4c56894fa9d77p-1, -0x1.47a763931951p-1, -0x1.42f63c6f1d2d8p-1, -0x1.3e441bfa229cep-1, -0x1.3991fe5c550acp-1, -0x1.34e0d4010feaep-1, -0x1.303181b4cfdbap-1, -0x1.2b84e0f157733p-1, -0x1.26dbc00e447c2p-1, -0x1.2236e27f51d1bp-1, -0x1.1d97011cb2a05p-1, -0x1.18fcca6ac9d2cp-1, -0x1.1468e2e2823e3p-1, -0x1.0fdbe53ece00ep-1, -0x1.0b5662caddb69p-1, -0x1.06d8e3a668ba4p-1, -0x1.0263e72d4363cp-1, -0x1.fbefc8550b8c4p-2, -0x1.f32a926c1f25bp-2, -0x1.ea78fa063a68ap-2, -0x1.e1dbbd5580e9ap-2, -0x1.d9538bebdfa08p-2, -0x1.d0e10762f2935p-2, -0x1.c884c3e3c4e1bp-2, -0x1.c03f48ba19a95p-2, -0x1.b81110f4638dep-2, -0x1.affa8bb965068p-2, -0x1.a7fc1d2adadfbp-2, -0x1.a0161e9408bccp-2, -0x1.9848df1527e19p-2, -0x1.9094a415e589ap-2, -0x1.88f9a9c308056p-2, -0x1.81782378e960ap-2, -0x1.7a103c3f7ce2cp-2, -0x1.72c2173269752p-2, -0x1.6b8dcfeaca40ep-2, -0x1.64737ae47d158p-2, -0x1.5d7325df2f69dp-2, -0x1.568cd849c9961p-2, -0x1.4fc0936efe0ap-2, -0x1.490e5319f10f5p-2, -0x1.42760da2d5d4ep-2, -0x1.3bf7b4606fe33p-2, -0x1.359333ec84ed8p-2, -0x1.2f4874733aeap-2, -0x1.291759ef2814dp-2, -0x1.22ffc4789e8f5p-2, -0x1.1d01907d9dbc4p-2, -0x1.171c9700ac0fbp-2, -0x1.1150add6eaf62p-2, -0x1.0b9da7dcdf62dp-2, -0x1.0603552ee013cp-2, -0x1.008183575c95ep-2, -0x1.f62ffb00d7c02p-3, -0x1.eb8d195b67e1ap-3, -0x1.e119efbaf10d9p-3, -0x1.d6d6084928ef4p-3, -0x1.ccc0e9eab1049p-3, -0x1.c2da1863da6fbp-3, -0x1.b92114a9427aep-3, -0x1.af955d25f6f06p-3, -0x1.a6366df684d3fp-3, -0x1.9d03c13378f48p-3, -0x1.93fccf1c99686p-3, -0x1.8b210e546077ap-3, -0x1.826ff4215261dp-3, -0x1.79e8f497dc48dp-3, -0x1.718b82c14d99dp-3, -0x1.695710ce01776p-3, -0x1.614b1044dd90bp-3, -0x1.5966f229821bcp-3, -0x1.51aa271d14d33p-3, -0x1.4a141f961f687p-3, -0x1.42a44bb610824p-3, -0x1.3b5a1bf465791p-3, -0x1.343500b6087a4p-3, -0x1.2d346ab0ee2a7p-3, -0x1.2657caf17e266p-3, -0x1.1f9e92f15bb3cp-3, -0x1.190834bdd6d29p-3, -0x1.129422fc02f98p-3, -0x1.0c41d10293065p-3, -0x1.0610b2f7e8f19p-3, -0x1.00003dd5a0af3p-3, -0x1.f41fcef9af458p-4, -0x1.e87e4d94c6ba6p-4, -0x1.dd1ae7416dc68p-4, -0x1.d1f48df1f577cp-4, -0x1.c70a35e33971ep-4, -0x1.bc5ad595734edp-4, -0x1.b1e566074b1a6p-4, -0x1.a7a8e2b6dbafbp-4, -0x1.9da449b4360eep-4, -0x1.93d69bb68cfcep-4, -0x1.8a3edc4232dacp-4, -0x1.80dc1145eb447p-4, -0x1.77ad43f29c03p-4, -0x1.6eb180023dfefp-4, -0x1.65e7d432cdac2p-4, -0x1.5d4f521edfcebp-4, -0x1.54e70e5a10128p-4, -0x1.4cae20737f1cdp-4, -0x1.44a3a2f3f5f97p-4, -0x1.3cc6b368e5083p-4, -0x1.3516726bd862cp-4, -0x1.2d92039fb2052p-4, -0x1.26388db50a6c7p-4, -0x1.1f093a69a56f9p-4, -0x1.1803368795fe3p-4, -0x1.1125b1f2bbd36p-4, -0x1.0a6fdf940e0dep-4, -0x1.03e0f569630ecp-4, -0x1.faf058f9457a4p-5, -0x1.ee6981bf2856ep-5, -0x1.e22be35efb82dp-5, -0x1.d636021885d52p-5, -0x1.ca8668324b8dep-5, -0x1.bf1ba5ec80e07p-5, -0x1.b3f4517ea942ep-5, -0x1.a90f0708180a2p-5, -0x1.9e6a68873f5bp-5, -0x1.94051daa8ade3p-5, -0x1.89ddd4537f0cfp-5, -0x1.7ff33faa22761p-5, -0x1.764418caea287p-5, -0x1.6ccf1e67e36d2p-5, -0x1.639314cc2c895p-5, -0x1.5a8ec5cd2a8dcp-5, -0x1.51c100b8f1bcdp-5, -0x1.49289a53f12b1p-5, -0x1.40c46cbb6d245p-5, -0x1.3893575f487c8p-5, -0x1.30943ef37520dp-5, -0x1.28c60d5a89aa1p-5, -0x1.2127b19d5c4ccp-5, -0x1.19b81fd454051p-5, -0x1.1276511fa88adp-5, -0x1.0b61438c44712p-5, -0x1.0477fa0b86165p-5, -0x1.fb72f8c669239p-6, -0x1.ee49ae2fb5bbfp-6, -0x1.e17236d0f5dacp-6, -0x1.d4eabe552362bp-6, -0x1.c8b179857108cp-6, -0x1.bcc4a63c925d9p-6, -0x1.b1228b27a4c4cp-6, -0x1.a5c977b3704fp-6, -0x1.9ab7c3e9c7604p-6, -0x1.8febd04fd91b9p-6, -0x1.856405c49f40dp-6, -0x1.7b1ed543d84fep-6, -0x1.711ab8276f12fp-6, -0x1.67562f95fff5ep-6, -0x1.5dcfc454ab136p-6, -0x1.5486073a6c56fp-6, -0x1.4b7790953c544p-6, -0x1.42a3000cab0b9p-6, -0x1.3a06fcc3cfa37p-6, -0x1.31a235057bcaep-6, -0x1.29735e32343d4p-6, -0x1.217934a9d65f5p-6, -0x1.19b27b9fe93ecp-6, -0x1.121dfd036f3c1p-6, -0x1.0aba8965db726p-6, -0x1.0386f7d4fab87p-6, -0x1.f9044b7c53d17p-7, -0x1.eb55eda580c09p-7, -0x1.de00a9d95780bp-7, -0x1.d1025fd8fd981p-7, -0x1.c458fb55b8b14p-7, -0x1.b80273b357c92p-7, -0x1.abfccb9284ea9p-7, -0x1.a04610e89b8eep-7, -0x1.94dc5ca2ff505p-7, -0x1.89bdd26bf75fep-7, -0x1.7ee8a086cf669p-7, -0x1.745affa04c8abp-7, -0x1.6a13329fc44efp-7, -0x1.600f8671de253p-7, -0x1.564e51ceaa25p-7, -0x1.4ccdf50305977p-7, -0x1.438cd9b5909a4p-7, -0x1.3a8972ac64febp-7, -0x1.31c23baf9283dp-7, -0x1.2935b96a50308p-7, -0x1.20e279166c39ep-7, -0x1.18c710f0b86ap-7, -0x1.10e21f997f1e9p-7, -0x1.09324b3bf8e65p-7, -0x1.01b642950716fp-7, -0x1.f4d97805554b8p-8, -0x1.e6a8ea8d025aep-8, -0x1.d8d86708385e6p-8, -0x1.cb6586678a32fp-8, -0x1.be4df027544fp-8, -0x1.b18f5a3f998d2p-8, -0x1.a52788e94c689p-8, -0x1.99144e34b621cp-8, -0x1.8d53897ab9a9dp-8, -0x1.81e326bba82fcp-8, -0x1.76c11e0f12786p-8, -0x1.6beb7345a4fbp-8, -0x1.616035ca3da6p-8, -0x1.571d80c05607fp-8, -0x1.4d217b2e25fedp-8, -0x1.436a581b3f6b5p-8, -0x1.39f656ce07bcfp-8, -0x1.30c3c1ce5892p-8, -0x1.27d0ee5f6f311p-8, -0x1.1f1c3c362c51ep-8, -0x1.16a413fc728b4p-8, -0x1.0e66e722be643p-8, -0x1.06632fc69deacp-8, -0x1.fd2ee1e37e953p-9, -0x1.ee046e5331d4dp-9, -0x1.df4431e5489b1p-9, -0x1.d0eb6e298e577p-9, -0x1.c2f778d9747fep-9, -0x1.b565ba758745ep-9, -0x1.a833ac3505c73p-9, -0x1.9b5ed5b6cd0c7p-9, -0x1.8ee4cb0d91464p-9, -0x1.82c32bfb6238ap-9, -0x1.76f7a4155d996p-9, -0x1.6b7fec0ecc2p-9, -0x1.6059cc74fb28fp-9, -0x1.55831e640202dp-9, -0x1.4af9ccba02fc6p-9, -0x1.40bbd4faf9a1ep-9, -0x1.36c743cecc41ap-9, -0x1.2d1a33b6bd492p-9, -0x1.23b2c9bc5a19dp-9, -0x1.1a8f32762e09ep-9, -0x1.11ada0fa87dep-9, -0x1.090c4f1a9ee36p-9, -0x1.00a97f14c9585p-9, -0x1.f106fc62dcb92p-10, -0x1.e1314ef3790f2p-10, -0x1.d1cecb69ec7c3p-10, -0x1.c2dc68015e91ep-10, -0x1.b4573984e9c79p-10, -0x1.a63c6e173d29ep-10, -0x1.9889461df5d4ep-10, -0x1.8b3b0d2ef0d68p-10, -0x1.7e4f14e51c4fep-10, -0x1.71c2b30f08d97p-10, -0x1.659343952b42p-10, -0x1.59be2d411297dp-10, -0x1.4e40e80cc5105p-10, -0x1.4319033410bc8p-10, -0x1.3844293d47f9ap-10, -0x1.2dc0224056ff9p-10, -0x1.238ad23d12e6dp-10, -0x1.19a231e20c89dp-10, -0x1.100449e63bb5ap-10, -0x1.06af2aaa914a4p-10, -0x1.fb41ca9b9c29cp-11, -0x1.e9af133a6186dp-11, -0x1.d8a24ea18e2edp-11, -0x1.c817a47ef8e6bp-11, -0x1.b80b4fb11ec1p-11, -0x1.a879a98c26354p-11, -0x1.995f33bd76ed4p-11, -0x1.8ab89e45a2369p-11, -0x1.7c82ca0457eefp-11, -0x1.6ebac59b3b4e7p-11, -0x1.615dc36fbd242p-11, -0x1.54690aac23a6cp-11, -0x1.47d9e8bd48831p-11, -0x1.3bada84ee5b1ap-11, -0x1.2fe189a4671c8p-11, -0x1.2472caf6f03c8p-11, -0x1.195eaeaba592p-11, -0x1.0ea28184200c2p-11, -0x1.043ba1397377ep-11, -0x1.f44f058289b3ap-12, -0x1.e0c773f3d9177p-12, -0x1.cddc0245ae6d9p-12, -0x1.bb887c8144af5p-12, -0x1.a9c8f87a12d08p-12, -0x1.9899b95e3a096p-12, -0x1.87f7198e7ef4dp-12, -0x1.77dd6b58d8612p-12, -0x1.6848f2252b185p-12, -0x1.5935e9a27dd85p-12, -0x1.4aa08fc4d9f4ap-12, -0x1.3c85284fc4504p-12, -0x1.2edff9c961e47p-12, -0x1.21ad4d1957d4p-12, -0x1.14e97a66f5a83p-12, -0x1.08910413af21dp-12, -0x1.f941675d79509p-13, -0x1.e22b4987885efp-13, -0x1.cbda78acd5573p-13, -0x1.b64a069aa86d8p-13, -0x1.a175181101aabp-13, -0x1.8d56bb8e769d7p-13, -0x1.79e9f312c064fp-13, -0x1.6729cbc7c68d9p-13, -0x1.55116924bb0c2p-13, -0x1.439bf1e5f506ap-13, -0x1.32c46a214b662p-13, -0x1.22859d2442d33p-13, -0x1.12da367c4821dp-13, -0x1.03bd0932f0547p-13, -0x1.ea52be1e61952p-14, -0x1.ce363dcac3703p-14, -0x1.b31d721ff771fp-14, -0x1.9901cc3c4f3cp-14, -0x1.7fdcb27c5993ap-14, -0x1.67a76e20f8751p-14, -0x1.505b44ba144ep-14, -0x1.39f1ab8da287p-14, -0x1.24647119f4eadp-14, -0x1.0fad9838ef425p-14, -0x1.f78e24af6828fp-15, -0x1.d1548eed4aa03p-15, -0x1.ac9fdf05c5c85p-15, -0x1.8961425f54f3ap-15, -0x1.678a9e6049a72p-15, -0x1.470fa5d0a52cp-15, -0x1.27e608d03353fp-15, -0x1.0a04c0107e7bfp-15, -0x1.dac60d9913198p-16, -0x1.a3ef64be8cad2p-16, -0x1.6f72651359f9cp-16, -0x1.3d3c0a3b15f6dp-16, -0x1.0d3a75c0dcfdap-16, -0x1.bebaf9a4c7a07p-17, -0x1.672c9933c248ap-17, -0x1.13ac5baafb79cp-17, -0x1.8834949dba8dfp-18, -0x1.e14ac041e7da2p-19, -0x1.817c10e16c7fbp-20, 0x1.47449b0251a43p-21, 0x1.56e6bc1cacf2p-19, 0x1.2778f5dcde654p-18, 0x1.9d28d8cb9031p-18, 0x1.0657977bea7a1p-17, 0x1.3b1cecc9fa39cp-17, 0x1.6cfda2a3df554p-17, 0x1.9c158ed46d7bap-17, 0x1.c8804bd991076p-17, 0x1.f256b6559a8d8p-17, 0x1.0cd7327e391f1p-16, 0x1.1f4d53404c35ap-16, 0x1.30970b3e5a0a2p-16, 0x1.40bdd35ff270ep-16, 0x1.4fcba7d5c9b41p-16, 0x1.5dcb19b12e0ccp-16, 0x1.6ac6dce166555p-16, 0x1.76c93213d6371p-16, 0x1.81db8ab53c1fdp-16, 0x1.8c061151ab0a2p-16, 0x1.954f50da0683ep-16, 0x1.9dbd0df71f1b4p-16, 0x1.a556222fdddbep-16, 0x1.ac2387cf2109p-16, 0x1.b22f52c82bfcfp-16, 0x1.b782c231a25fep-16, 0x1.bc25b2a53a20fp-16, 0x1.c01f842aeb6bcp-16, 0x1.c3771d1a16d9bp-16, 0x1.c632b1aa68f24p-16, 0x1.c856f48f4dfdep-16, 0x1.c9e82da7f3d83p-16, 0x1.caebae2778f2cp-16, 0x1.cb6747e974f78p-16, 0x1.cb6176327cb75p-16, 0x1.cae0fd453676bp-16, 0x1.c9ebd72a7c273p-16, 0x1.c8859f22bb10fp-16, 0x1.c6b04fe0e3b8bp-16, 0x1.c46f4ef3c7b8cp-16, 0x1.c1c88d973db0ap-16, 0x1.bec2682b046ap-16, 0x1.bb61df2e4632ep-16, 0x1.b7ab3391f8fd7p-16, 0x1.b3a39a83452bap-16, 0x1.af50d7d5c1819p-16, 0x1.aab7b8db0065bp-16, 0x1.a5db46a0b841p-16, 0x1.a0bd30fcfcbbep-16, 0x1.9b5f16c9191bbp-16, 0x1.95c39a90ca713p-16, 0x1.8fee50fb50255p-16, 0x1.89e33af8d6783p-16, 0x1.83a6c8956fe05p-16, 0x1.7d3cc6cd37763p-16, 0x1.76a6830c84812p-16, 0x1.6fe46da7e83bap-16, 0x1.68f970618f602p-16, 0x1.61ea12eadcacap-16, 0x1.5ab9384b0813p-16, 0x1.5368398393a6ep-16, 0x1.4bf915a6d454bp-16, 0x1.446ecc93d1ef8p-16, 0x1.3ccc9e8d079d3p-16, 0x1.35159a9ca958cp-16, 0x1.2d4c43c9a71edp-16, 0x1.25722dc204c1p-16, 0x1.1d8820e3595f3p-16, 0x1.158eeea25a05bp-16, 0x1.0d88236e5e63fp-16, 0x1.0575bb3d93c63p-16, 0x1.fab360e94e282p-17, 0x1.ea6cb0947009cp-17, 0x1.da1af9624b2afp-17, 0x1.c9be6aa002dbdp-17, 0x1.b958c2fb37559p-17, 0x1.a8efd8bc91389p-17, 0x1.988795b6e9acfp-17, 0x1.88207f7f35e9ap-17, 0x1.77bc779a406e9p-17, 0x1.675e8b73e13abp-17, 0x1.5708ee479aee3p-17, 0x1.46bd484deaa99p-17, 0x1.367e198d6efe6p-17, 0x1.264d96bddf7f8p-17, 0x1.162ed52456314p-17, 0x1.06240d554d45p-17, 0x1.ec5d089bb3434p-18, 0x1.cc9dee9b3dc12p-18, 0x1.ad0d5c043d92dp-18, 0x1.8dae90b5c1659p-18, 0x1.6e841e7585c04p-18, 0x1.4f91ae23c766ap-18, 0x1.30da11a4ac32dp-18, 0x1.125dec9c0cd75p-18, 0x1.e844d4a03372p-19, 0x1.ac57c62de162dp-19, 0x1.70f37e14dc0a2p-19, 0x1.361b5b4a0aa25p-19, 0x1.f7ac69d31df5cp-20, 0x1.8450f7f2bc386p-20, 0x1.12296bcd1f419p-20, 0x1.42734464abda5p-21, 0x1.8c2aee51892f4p-23, -0x1.e77b2f9c100abp-23, -0x1.543e00afd9a76p-21, -0x1.16001c4f7e0e5p-20, -0x1.80871c5eb4dd3p-20, -0x1.e9acf7c0d9b27p-20, -0x1.28b8e66a1a284p-19, -0x1.5bea71defe454p-19, -0x1.8e69721c1d08p-19, -0x1.c0362a2e9721fp-19, -0x1.f14e498fadb33p-19, -0x1.10d7859060fe8p-18, -0x1.28aae9ff0c5fap-18, -0x1.401f9977e7fcp-18, -0x1.57372306f35a8p-18, -0x1.6df12a05168a1p-18, -0x1.844bef67dde09p-18, -0x1.9a471731d4cefp-18, -0x1.afe2a79e8335dp-18, -0x1.c51e872960e06p-18, -0x1.d9fa959c04acap-18, -0x1.ee76bed2a3e83p-18, -0x1.0149854aa4459p-17, -0x1.0b27d2ecc397ep-17, -0x1.14d668a05180ep-17, -0x1.1e5549c784549p-17, -0x1.27a421276368p-17, -0x1.30c2858b07eaap-17, -0x1.39b0b6731c865p-17, -0x1.426f04739899cp-17, -0x1.4afd9ecad7b69p-17, -0x1.535d2fdc9580ep-17, -0x1.5b8d67257d596p-17, -0x1.638e20d57a6d3p-17, -0x1.6b5f597ab04b1p-17, -0x1.7301cbdd714acp-17, -0x1.7a759c4b14bdbp-17, -0x1.81baba7ca7759p-17, -0x1.88d167148cd92p-17, -0x1.8fb9f0da17496p-17, -0x1.9674a02fdc553p-17, -0x1.9d01b9f547005p-17, -0x1.a36182cdd9918p-17, -0x1.a99440d94962bp-17, -0x1.af9a3c9450b85p-17, -0x1.b573c1e00947ep-17, -0x1.bb2121d3ab09cp-17, -0x1.c0a2b537c7cd2p-17, -0x1.c5f8e0e61e977p-17, -0x1.cb240aaf0af89p-17, -0x1.d02464f712805p-17, -0x1.d4fa1edd5e9b9p-17, -0x1.d9a5aa4d9a234p-17, -0x1.de2761d3d0664p-17, -0x1.e27fe4b95773cp-17, -0x1.e6af6ac5f0829p-17, -0x1.eab62c33acd11p-17, -0x1.ee94bb5f113dp-17, -0x1.f24b70b6aa1fbp-17, -0x1.f5daae39067b9p-17, -0x1.f942e91d7fb67p-17, -0x1.fc84577e61dfcp-17, -0x1.ff9f769aaff19p-17, -0x1.014a7104242d8p-16, -0x1.02b25e7a8f177p-16, -0x1.0407c0e18c7abp-16, -0x1.054ae2c4e674p-16, -0x1.067bf0f12aeecp-16, -0x1.079b1bcb88c5ap-16, -0x1.08a899819c9fap-16, -0x1.09a4a134e79abp-16, -0x1.0a8f69ffcdef4p-16, -0x1.0b692b49591e7p-16, -0x1.0c321e4cd7d6p-16, -0x1.0cea7d97e558bp-16, -0x1.0d927c39d9864p-16, -0x1.0e2a4cdbfc294p-16, -0x1.0eb22ab54368dp-16, -0x1.0f2a5321c5241p-16, -0x1.0f92fbc44f86cp-16, -0x1.0fec57be4555p-16, -0x1.10369ca6dcad1p-16, -0x1.1071f835ff27ep-16, -0x1.109ec767a1804p-16, -0x1.10bd1956f5286p-16, -0x1.10cd33f865bd6p-16, -0x1.10cf5516ba7d1p-16, -0x1.10c3b1b573dbbp-16, -0x1.10aa7c30ace39p-16, -0x1.1083e7dea9ceap-16, -0x1.10502ac5a94a4p-16, -0x1.100f7e06a7e94p-16, -0x1.0fc21c57f80fdp-16, -0x1.0f683f31d772fp-16, -0x1.0f021d9c55e74p-16, -0x1.0e8feaea225bap-16, -0x1.0e11d76f0cfe4p-16, -0x1.0d8816373b1bfp-16, -0x1.0cf2dbbd97369p-16, -0x1.0c526590ff165p-16, -0x1.0ba6e53803472p-16, -0x1.0af07c4ed091bp-16, -0x1.0a2f7eeb52733p-16, -0x1.09641b2a9ee65p-16, -0x1.088e68c764cf6p-16, -0x1.07aea90414404p-16, -0x1.06c510cd2c68fp-16, -0x1.05d1d7ac1395p-16, -0x1.04d52a79d70b4p-16, -0x1.03cf3922a1edcp-16, -0x1.02c034cd18465p-16, -0x1.01a84e7a0de75p-16, -0x1.0087b6bbb0cbfp-16, -0x1.febd3b4cce8eap-17, -0x1.fc5a656d580ecp-17, -0x1.f9e7499c7de4dp-17, -0x1.f76446acc3cc7p-17, -0x1.f4d1ba419a361p-17, -0x1.f22ffe12ab8b1p-17, -0x1.ef7f7ac0a763p-17, -0x1.ecc0865b3b093p-17, -0x1.e9f2feda08eddp-17, -0x1.e7188e04b9ce2p-17, -0x1.e42ffd26f63p-17, -0x1.e13a9029aedfdp-17, -0x1.de3866d9550b2p-17, -0x1.db29d37d6b3f6p-17, -0x1.d80f2c2f74794p-17, -0x1.d4e8a633ec646p-17, -0x1.d1b6be1bcb541p-17, -0x1.ce79d02e0a6bbp-17, -0x1.cb31e46fc949ep-17, -0x1.c7df86022a4cp-17, -0x1.c483137a75c4fp-17, -0x1.c11cb34109511p-17, -0x1.bdacde9bf426fp-17, -0x1.ba33ba475323cp-17, -0x1.b6b1980846503p-17, -0x1.b326cb145fa8p-17, -0x1.af939cba4ea2fp-17, -0x1.abf856967861ep-17, -0x1.a8554171d61f2p-17, -0x1.a4aaa145af23cp-17, -0x1.a0f8b8d67c55ap-17, -0x1.9d3fde9f31974p-17, -0x1.9980500e2a09fp-17, -0x1.95ba461344ec3p-17, -0x1.91ee0cd2dd64ap-17, -0x1.8e1be84252934p-17, -0x1.8a4418b5e33dep-17, -0x1.8666de53f3fb7p-17, -0x1.82847931578d4p-17, -0x1.7e9d28ea5c869p-17, -0x1.7ab12b0b3705ap-17, -0x1.76c0bade42ae9p-17, -0x1.72cc15c5dcfb8p-17, -0x1.6ed381f96ba45p-17, -0x1.6ad7354a6dbe8p-17, -0x1.66d75a53470fdp-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.215c44cf82786p-1, 0x1.216e921d87c9fp-1, 0x1.218e7c27c296dp-1, 0x1.21bda6b9ab9e4p-1, 0x1.21fdace9f4b13p-1, 0x1.224fc49aff7dap-1, 0x1.22b47a76f06e9p-1, 0x1.232b87ce6d765p-1, 0x1.23b3bfc722b4p-1, 0x1.244b0f8f908a6p-1, 0x1.24ee8cea5a08dp-1, 0x1.259a8eb3f6e01p-1, 0x1.264acba57e79ep-1, 0x1.26fa7c4cde346p-1, 0x1.27a47de13e4bep-1, 0x1.28437434dfe36p-1, 0x1.28d1e988828d9p-1, 0x1.294a6b6f8e09bp-1, 0x1.29a7a449d1c47p-1, 0x1.29e4711a51e82p-1, 0x1.29fbf3b4efd24p-1, 0x1.29e9a1616eac3p-1, 0x1.29a94e2bbdce4p-1, 0x1.29373529c2fadp-1, 0x1.288ffe07fd68fp-1, 0x1.27b0c031fc8f4p-1, 0x1.269703eb21acbp-1, 0x1.2540c1a8cafb2p-1, 0x1.23ac5ff9a8687p-1, 0x1.21d8b03f789abp-1, 0x1.1fc4ea7954675p-1, 0x1.1d70a855609e1p-1, 0x1.1adbdfb9affc7p-1, 0x1.1806dced5a102p-1, 0x1.14f23c84996ep-1, 0x1.119ee52d1f1bap-1, 0x1.0e0e0172c4cc5p-1, 0x1.0a40f9905b858p-1, 0x1.06396d5c7f415p-1, 0x1.01f92e5f0bf2bp-1, 0x1.fb04743209ecp-2, 0x1.f1ad690cb6a63p-2, 0x1.e7f1c5be0ed66p-2, 0x1.ddd64d368bfe2p-2, 0x1.d35ff17ac95b6p-2, 0x1.c893cac4e89d5p-2, 0x1.bd770f348758dp-2, 0x1.b20f0b0ca6e89p-2, 0x1.a661197da6034p-2, 0x1.9a729df87cf46p-2, 0x1.8e48fe07b9f0fp-2, 0x1.81e99baa12918p-2, 0x1.7559d029fb34p-2, 0x1.689ee76d5d812p-2, 0x1.5bbe1bb841d61p-2, 0x1.4ebc91dd2016fp-2, 0x1.419f55d56e17fp-2, 0x1.346b57bcf3461p-2, 0x1.2725692a6d2e3p-2, 0x1.19d23ae019be7p-2, 0x1.0c765acecb802p-2, 0x1.fe2c64cc85d57p-3, 0x1.e36c0a5b5393fp-3, 0x1.c8b3df3e55766p-3, 0x1.ae0bcc8399033p-3, 0x1.937b69f9b2199p-3, 0x1.7909fd409541bp-3, 0x1.5ebe793bcf7a2p-3, 0x1.449f7dddbe89cp-3, 0x1.2ab35843e6424p-3, 0x1.1100031cc65c4p-3, 0x1.ef164ea00a5e3p-4, 0x1.bcb439c468398p-4, 0x1.8ae3d81b68509p-4, 0x1.59ae9d158a115p-4, 0x1.291d62021e1a5p-4, 0x1.f270d27599814p-5, 0x1.940ec31b5f014p-5, 0x1.3722d3b9aa60ep-5, 0x1.b77453aaf1a7cp-6, 0x1.03c1b52f8259bp-6, 0x1.4d0f976285317p-8, -0x1.67c40186e93a3p-8, -0x1.03cad287ea963p-6, -0x1.aa394394b3fe2p-6, -0x1.2696e9a67be08p-5, -0x1.764dde8797adap-5, -0x1.c43bf3557bca8p-5, -0x1.082e33d3e1fd2p-4, -0x1.2d559fa782537p-4, -0x1.51929cfadfefcp-4, -0x1.74e3e56f1e2afp-4, -0x1.97488860def7fp-4, -0x1.b8bfe6ea7dc6fp-4, -0x1.d949affa9eb46p-4, -0x1.f8e5dc806315p-4, -0x1.0bca55d74e439p-3, -0x1.1aab4fab669f8p-3, -0x1.29163c2e6be4dp-3, -0x1.370b99a1fb7d4p-3, -0x1.448c026ab3c8ap-3, -0x1.51982b708b229p-3, -0x1.5e30e28c41bd9p-3, -0x1.6a570d01f71d7p-3, -0x1.760ba608d35d4p-3, -0x1.814fbd5fc6028p-3, -0x1.8c2475ef2e62bp-3, -0x1.968b047751759p-3, -0x1.a084ae4b7118cp-3, -0x1.aa12c8194f1d3p-3, -0x1.b336b4bce9fb2p-3, -0x1.bbf1e4202867bp-3, -0x1.c445d22649946p-3, -0x1.cc3405a2b874cp-3, -0x1.d3be0f5b16f0fp-3, -0x1.dae5891422e62p-3, -0x1.e1ac14a933dedp-3, -0x1.e8135b2e05dbdp-3, -0x1.ee1d0c1a7f61ep-3, -0x1.f3cadc802aa9dp-3, -0x1.f91e8649148c4p-3, -0x1.fe19c77fc3c08p-3, -0x1.015f30cffdf45p-2, -0x1.03870c7801432p-2, -0x1.058559f1102e9p-2, -0x1.075afd3f05d86p-2, -0x1.0908dae902db9p-2, -0x1.0a8fd7b5a5af4p-2, -0x1.0bf0d86adb1c7p-2, -0x1.0d2cc19115128p-2, -0x1.0e447739d3a0fp-2, -0x1.0f38dcc9587ffp-2, -0x1.100ad4c36d68cp-2, -0x1.10bb409b1618dp-2, -0x1.114b008519c4ep-2, -0x1.11baf34d44c21p-2, -0x1.120bf62e432adp-2, -0x1.123ee4ac00b5bp-2, -0x1.125498706e131p-2, -0x1.124de92a9806fp-2, -0x1.122bac6ff339p-2, -0x1.11eeb59fcb92ap-2, -0x1.1197d5c8b9b43p-2, -0x1.1127db900eacp-2, -0x1.109f931b20625p-2, -0x1.0fffc5fa5cc71p-2, -0x1.0f493b1617e21p-2, -0x1.0e7cb69cfec78p-2, -0x1.0d9af9f419e47p-2, -0x1.0ca4c3a856478p-2, -0x1.0b9acf61771d5p-2, -0x1.0a7dd5d66f5f5p-2, -0x1.094e8cc3055dep-2, -0x1.080da6debbbe6p-2, -0x1.06bbd3d4e9806p-2, -0x1.0559c03dfae08p-2, -0x1.03e81599c2e97p-2, -0x1.02677a4adc60bp-2, -0x1.00d8919306454p-2, -0x1.fe77f720db98ep-3, -0x1.fb24aa77c7551p-3, -0x1.f7b870cfcd533p-3, -0x1.f4347780fd6fdp-3, -0x1.f099e597b759ep-3, -0x1.ece9dbd763394p-3, -0x1.e92574be81618p-3, -0x1.e54dc48c13b47p-3, -0x1.e163d946375cap-3, -0x1.dd68bac1f5eap-3, -0x1.d95d6aac263b1p-3, -0x1.d542e4935b6ffp-3, -0x1.d11a1df2d131ap-3, -0x1.cce4063e3bcbp-3, -0x1.c8a186ee7eb67p-3, -0x1.c453838f25909p-3, -0x1.bffad9ccaca1bp-3, -0x1.bb9861837086ep-3, -0x1.b72ceccf514c3p-3, -0x1.b2b9481bea2e5p-3, -0x1.ae3e3a355e033p-3, -0x1.a9bc8459a6b31p-3, -0x1.a534e24a6198ap-3, -0x1.a0a80a5f0ffcfp-3, -0x1.9c16ad97b4d1p-3, -0x1.978177afddb68p-3, -0x1.92e90f31f5ebfp-3, -0x1.8e4e158aebe82p-3, -0x1.89b1271e18ed9p-3, -0x1.8512db59646e7p-3, -0x1.8073c4c998b27p-3, -0x1.7bd4712eefc84p-3, -0x1.77356991badaap-3, -0x1.729732572d955p-3, -0x1.6dfa4b564772bp-3, -0x1.695f2fecc8784p-3, -0x1.64c65714394d9p-3, -0x1.60303376fb3d3p-3, -0x1.5b9d33855673fp-3, -0x1.570dc18a8f49p-3, -0x1.528243c1e74b5p-3, -0x1.4dfb1c6ba477p-3, -0x1.4978a9e1f6fep-3, -0x1.44fb46add8e88p-3, -0x1.4083499bd0ae5p-3, -0x1.3c1105d097aa9p-3, -0x1.37a4cadda62c3p-3, -0x1.333ee4d59b758p-3, -0x1.2edf9c60828d2p-3, -0x1.2a8736cfeb13cp-3, -0x1.2635f632deea6p-3, -0x1.21ec1969a6972p-3, -0x1.1da9dc395e299p-3, -0x1.196f775f5c626p-3, -0x1.153d20a462703p-3, -0x1.11130aef9a6aap-3, -0x1.0cf166595bbf2p-3, -0x1.08d8603db671dp-3, -0x1.04c8234ec9966p-3, -0x1.00c0d7a6d8b2ep-3, -0x1.f98545b44c658p-4, -0x1.f19b50111d09ap-4, -0x1.e9c40fddd257ep-4, -0x1.e1ffc1f04c28cp-4, -0x1.da4e9e9c4c9a6p-4, -0x1.d2b0d9d4bff5fp-4, -0x1.cb26a34c5d74cp-4, -0x1.c3b02695e581p-4, -0x1.bc4d8b43bfe06p-4, -0x1.b4fef50723ffap-4, -0x1.adc483ceabb67p-4, -0x1.a69e53e46ca7ep-4, -0x1.9f8c7e0b7c1a7p-4, -0x1.988f179cf209cp-4, -0x1.91a632a462791p-4, -0x1.8ad1ddfbce421p-4, -0x1.8412256709159p-4, -0x1.7d6711ae9ad7fp-4, -0x1.76d0a8ba184c1p-4, -0x1.704eeda9f3676p-4, -0x1.69e1e0f0c7883p-4, -0x1.6389806c1cfacp-4, -0x1.5d45c77caa4fcp-4, -0x1.5716af1e0f4b5p-4, -0x1.50fc2dfe0e59bp-4, -0x1.4af6389341047p-4, -0x1.4504c1334f533p-4, -0x1.3f27b828a2871p-4, -0x1.395f0bc79bfd6p-4, -0x1.33aaa8834d3a6p-4, -0x1.2e0a7901b2862p-4, -0x1.287e662f73f95p-4, -0x1.230657532c18ep-4, -0x1.1da23220364ap-4, -0x1.1851dac904c4dp-4, -0x1.1315341103d31p-4, -0x1.0dec1f5e07044p-4, -0x1.08d67cc943adcp-4, -0x1.03d42b2fdb2e7p-4, -0x1.fdca1085f14d5p-5, -0x1.f411e12ef30dp-5, -0x1.ea7f7f6a667bbp-5, -0x1.e112a04b8e8ep-5, -0x1.d7caf706235f8p-5, -0x1.cea8350a5debcp-5, -0x1.c5aa0a203ebedp-5, -0x1.bcd0248202f3ap-5, -0x1.b41a30f5de5cfp-5, -0x1.ab87dae6ef993p-5, -0x1.a318cc7d76801p-5, -0x1.9accaeb654aa2p-5, -0x1.92a32979cf448p-5, -0x1.8a9be3b1a58c2p-5, -0x1.82b6835e759a4p-5, -0x1.7af2adac6d664p-5, -0x1.735007075afcap-5, -0x1.6bce332e115dp-5, -0x1.646cd5452f5d8p-5, -0x1.5d2b8fe941309p-5, -0x1.560a054048293p-5, -0x1.4f07d70aaada3p-5, -0x1.4824a6b38f52ep-5, -0x1.416015609f789p-5, -0x1.3ab9c401431abp-5, -0x1.3431535d485c4p-5, -0x1.2dc66423082ccp-5, -0x1.277896f4feb86p-5, -0x1.21478c76e74a8p-5, -0x1.1b32e55a554ddp-5, -0x1.153a426acefc2p-5, -0x1.0f5d44996df78p-5, -0x1.099b8d080b139p-5, -0x1.03f4bd13f81f2p-5, -0x1.fcd0ecc07dc5cp-6, -0x1.f1ecb5befbec8p-6, -0x1.e73c19ba9861ep-6, -0x1.dcbe5e0e7f27cp-6, -0x1.d272c8eb16b14p-6, -0x1.c858a1665e582p-6, -0x1.be6f2f8ba3ef8p-6, -0x1.b4b5bc6a72e69p-6, -0x1.ab2b9224cc74ep-6, -0x1.a1cffbfcad0bp-6, -0x1.98a24660de51fp-6, -0x1.8fa1bef925e94p-6, -0x1.86cdb4b1cec75p-6, -0x1.7e2577c68bd3bp-6, -0x1.75a859ccd4199p-6, -0x1.6d55adbd87511p-6, -0x1.652cc7fe1ac7bp-6, -0x1.5d2cfe692d95dp-6, -0x1.5555a8568f632p-6, -0x1.4da61ea2d0f2dp-6, -0x1.461dbbb63ecd2p-6, -0x1.3ebbdb8b6e229p-6, -0x1.377fdbb543fbap-6, -0x1.30691b649172bp-6, -0x1.2976fb6d32ac2p-6, -0x1.22a8de4ad254p-6, -0x1.1bfe28252a38bp-6, -0x1.15763ed3ed581p-6, -0x1.0f1089e244da1p-6, -0x1.08cc7291f2f9p-6, -0x1.02a963de1f5c3p-6, -0x1.f94d94fb6b583p-7, -0x1.ed8829caffc8bp-7, -0x1.e2016693cbbefp-7, -0x1.d6b82f40ae119p-7, -0x1.cbab6b40e972ep-7, -0x1.c0da0589d4818p-7, -0x1.b642ec97eda0ap-7, -0x1.abe5126f7cd11p-7, -0x1.a1bf6c9c96821p-7, -0x1.97d0f432bd45dp-7, -0x1.8e18a5cbeb872p-7, -0x1.8495818741c45p-7, -0x1.7b468b0738f0bp-7, -0x1.722ac96f58fcdp-7, -0x1.69414761a7982p-7, -0x1.608912fb96ep-7, -0x1.58013dd2b1e9cp-7, -0x1.4fa8dcf0d1abep-7, -0x1.477f08d01c904p-7, -0x1.3f82dd5696b43p-7, -0x1.37b379d16a84cp-7, -0x1.301000eff8c8dp-7, -0x1.289798be8cc31p-7, -0x1.21496aa0dc665p-7, -0x1.1a24a34c4cddp-7, -0x1.132872c1d835ap-7, -0x1.0c540c47ecb9dp-7, -0x1.05a6a663edd6p-7, -0x1.fe3ef5a734cf2p-8, -0x1.f17b8d0c6cc5ap-8, -0x1.e501932b2b951p-8, -0x1.d8cf8e7de4a15p-8, -0x1.cce40bb72d7c8p-8, -0x1.c13d9db2e1c4bp-8, -0x1.b5dadd66f8796p-8, -0x1.aaba69d4238e1p-8, -0x1.9fdae7f622ed3p-8, -0x1.953b02b4001e2p-8, -0x1.8ad96acffe33fp-8, -0x1.80b4d6d757a17p-8, -0x1.76cc0311faa5dp-8, -0x1.6d1db171f3873p-8, -0x1.63a8a982dfd05p-8, -0x1.5a6bb8592e9acp-8, -0x1.5165b081410b8p-8, -0x1.489569ee8064ap-8, -0x1.3ff9c1ea74a7bp-8, -0x1.37919b03a063bp-8, -0x1.2f5bdcfc722fbp-8, -0x1.275774ba1ec87p-8, -0x1.1f835433928b2p-8, -0x1.17de7260308dap-8, -0x1.1067cb26b2a52p-8, -0x1.091e5f4bfe734p-8, -0x1.02013461f90a5p-8, -0x1.f61ea96d1cb8ap-9, -0x1.e88f9e84e0a6bp-9, -0x1.db536f305425bp-9, -0x1.ce684ba64adcdp-9, -0x1.c1cc6d0d7c561p-9, -0x1.b57e155ac5873p-9, -0x1.a97b8f2f9ac3bp-9, -0x1.9dc32db8a2377p-9, -0x1.92534c8c873d4p-9, -0x1.872a4f8af51cfp-9, -0x1.7c46a2bba8de5p-9, -0x1.71a6ba2de9019p-9, -0x1.674911d815fbap-9, -0x1.5d2c2d77714ebp-9, -0x1.534e987028c05p-9, -0x1.49aee5adaabe4p-9, -0x1.404baf8337903p-9, -0x1.3723978ca9b45p-9, -0x1.2e35468f906d3p-9, -0x1.257f6c5c868b6p-9, -0x1.1d00bfb0d4a72p-9, -0x1.14b7fe1855c7p-9, -0x1.0ca3ebcfc9cdap-9, -0x1.04c353a72d881p-9, -0x1.fa2a0dc958d7ap-10, -0x1.eb2fba4f7259dp-10, -0x1.dc9568990c0ecp-10, -0x1.ce58e09f51e3bp-10, -0x1.c077f6647752ap-10, -0x1.b2f089bc5f0f7p-10, -0x1.a5c08616520c3p-10, -0x1.98e5e246afbc8p-10, -0x1.8c5ea051d8787p-10, -0x1.8028cd3771f2dp-10, -0x1.744280be96fedp-10, -0x1.68a9dd4257464p-10, -0x1.5d5d0f7f54fabp-10, -0x1.525a4e617128ep-10, -0x1.479fdad2a5ca9p-10, -0x1.3d2bff8a8e5bbp-10, -0x1.32fd10de32dd1p-10, -0x1.29116c90b0a4fp-10, -0x1.1f6779a4de424p-10, -0x1.15fda82ef2c11p-10, -0x1.0cd2712765ef1p-10, -0x1.03e4563e8691bp-10, -0x1.f663c35ffa7ep-11, -0x1.e5734c2f79962p-11, -0x1.d4f47c8e91735p-11, -0x1.c4e49a3789c6cp-11, -0x1.b540faa8de52dp-11, -0x1.a60702d403194p-11, -0x1.973426cd0bf6fp-11, -0x1.88c5e97b8fbaap-11, -0x1.7ab9dc4dbd0ep-11, -0x1.6d0d9eeb416f1p-11, -0x1.5fbedeea411cbp-11, -0x1.52cb5785a3419p-11, -0x1.4630d154364c2p-11, -0x1.39ed2201849e3p-11, -0x1.2dfe2c074e4c1p-11, -0x1.2261de68d32dp-11, -0x1.1716346e490eep-11, -0x1.0c193562e9848p-11, -0x1.0168f4532af03p-11, -0x1.ee071f98c5f0ap-12, -0x1.d9ce633a919f6p-12, -0x1.c6241d308785ep-12, -0x1.b304ccac5d483p-12, -0x1.a06d05f50ea78p-12, -0x1.8e5971f20a743p-12, -0x1.7cc6cdb692d79p-12, -0x1.6bb1ea112a57bp-12, -0x1.5b17ab1bbe021p-12, -0x1.4af507cfaa538p-12, -0x1.3b47099a153e3p-12, -0x1.2c0acbf2a337dp-12, -0x1.1d3d7bf5247cdp-12, -0x1.0edc57fbac29cp-12, -0x1.00e4af3bd7615p-12, -0x1.e6a7c2ce2d213p-13, -0x1.cc4ebc9223524p-13, -0x1.b2b94ad779a48p-13, -0x1.99e28b7636461p-13, -0x1.81c5ba57e0385p-13, -0x1.6a5e30c78fb6ap-13, -0x1.53a764c5a1f51p-13, -0x1.3d9ce85e9dd36p-13, -0x1.283a6905c6b68p-13, -0x1.137baef29afbep-13, -0x1.feb9390699e1ap-14, -0x1.d7b25b4149f55p-14, -0x1.b1daee4b7c11p-14, -0x1.8d2b4c9459169p-14, -0x1.699c00227b579p-14, -0x1.4725c174cc45ap-14, -0x1.25c1766953734p-14, -0x1.0568313121aa1p-14, -0x1.cc265e7a9f7e9p-15, -0x1.8f77b078ffe3ap-15, -0x1.54b77a3054486p-15, -0x1.1bd92df68ae2ap-15, -0x1.c9a1196fcec4p-16, -0x1.5f23482d75687p-16, -0x1.f04332521d196p-17, -0x1.290a9f14e8365p-17, -0x1.a1c1e8d07e137p-19, 0x1.46da0962d8bd2p-19, 0x1.05948cd5734bp-17, 0x1.b352d27b6e8efp-17, 0x1.2d8cbee659f4ep-16, 0x1.7e87de754efdap-16, 0x1.ccade3d3e5bddp-16, 0x1.0c08b96563f4dp-15, 0x1.30625cf59874dp-15, 0x1.536cbab634357p-15, 0x1.753078fd232c9p-15, 0x1.95b607bb2c6bp-15, 0x1.b505a1cf1d599p-15, 0x1.d3274e50786dp-15, 0x1.f022e1d90a1b3p-15, 0x1.05ffffe311643p-14, 0x1.13630db5af2cep-14, 0x1.203e3ca2689bdp-14, 0x1.2c95180ff8965p-14, 0x1.386b151e5cbd3p-14, 0x1.43c3933361c3ep-14, 0x1.4ea1dc84f5428p-14, 0x1.590926a1adf7ap-14, 0x1.62fc92f3b53abp-14, 0x1.6c7f2f3fd3cdp-14, 0x1.7593f623a84b9p-14, 0x1.7e3dcf8f853d6p-14, 0x1.867f913e7ceb7p-14, 0x1.8e5bff2a1c09bp-14, 0x1.95d5cbfcdc83p-14, 0x1.9cef99802c9bcp-14, 0x1.a3abf90a12ff4p-14, 0x1.aa0d6be38a226p-14, 0x1.b01663b17f2fcp-14, 0x1.b5c942d9c3af8p-14, 0x1.bb285ce4192f7p-14, 0x1.c035f6d946511p-14, 0x1.c4f447a0e060fp-14, 0x1.c965785b104e4p-14, 0x1.cd8ba4b9c21dfp-14, 0x1.d168db562469p-14, 0x1.d4ff1e05cf95fp-14, 0x1.d850622cb4029p-14, 0x1.db5e910cbeb67p-14, 0x1.de2b8812ba1dbp-14, 0x1.e0b919231758fp-14, 0x1.e3090ae43d71bp-14, 0x1.e51d19062c028p-14, 0x1.e6f6f48904d97p-14, 0x1.e898440144ed4p-14, 0x1.ea02a3daf483ap-14, 0x1.eb37a69a152c6p-14, 0x1.ec38d51949c73p-14, 0x1.ed07aec9140d8p-14, 0x1.eda5a9eb558c5p-14, 0x1.ee1433ce5d534p-14, 0x1.ee54b1057453p-14, 0x1.ee687da003405p-14, 0x1.ee50ed603fc35p-14, 0x1.ee0f4befefaa4p-14, 0x1.eda4dd136457cp-14, 0x1.ed12dcdbdd12p-14, 0x1.ec5a7fd8afdebp-14, 0x1.eb7cf345ed747p-14, 0x1.ea7b5d3b17301p-14, 0x1.e956dcd6adfe2p-14, 0x1.e8108a6c2b297p-14, 0x1.e6a977ad95105p-14, 0x1.e522afd5a05d1p-14, 0x1.e37d37cf92959p-14, 0x1.e1ba0e5eaa2b7p-14, 0x1.dfda2c449527ap-14, 0x1.ddde8466df063p-14, 0x1.dbc803f328b93p-14, 0x1.d99792824ed99p-14, 0x1.d74e123bcb4b5p-14, 0x1.d4ec5ff6a961bp-14, 0x1.d273535a8a3a5p-14, 0x1.cfe3befe65083p-14, 0x1.cd3e708874358p-14, 0x1.ca8430cc4ff2dp-14, 0x1.c7b5c3e8750ebp-14, 0x1.c4d3e962701f7p-14, 0x1.c1df5c42c7d34p-14, 0x1.bed8d3302f806p-14, 0x1.bbc1008a01f7p-14, 0x1.b898928178103p-14, 0x1.b5603332cb6c2p-14, 0x1.b21888bddeb0cp-14, 0x1.aec2355deb626p-14, 0x1.ab5dd780ce74ep-14, 0x1.a7ec09dd07989p-14, 0x1.a46d63879d81bp-14, 0x1.a0e278097bfb4p-14, 0x1.9d4bd774ecd09p-14, 0x1.99aa0e78952adp-14, 0x1.95fda673ecb1ep-14, 0x1.9247258a7e1b8p-14, 0x1.8e870eb6496e1p-14, 0x1.8abde1da615a2p-14, 0x1.86ec1bd349326p-14, 0x1.83123689a41a7p-14, 0x1.7f30a9025085dp-14, 0x1.7b47e76f165a3p-14, 0x1.7758633ef81ccp-14, 0x1.73628b2d18f4dp-14, 0x1.6f66cb4fcad98p-14, 0x1.6b658d2812ed5p-14, 0x1.675f37af6c62dp-14, 0x1.63542f65a0a4p-14, 0x1.5f44d65efcca3p-14, 0x1.5b318c5126e6ap-14, 0x1.571aaea0d6ffep-14, 0x1.5300986dde734p-14, 0x1.4ee3a29f7e3dap-14, 0x1.4ac423f05eb0bp-14, 0x1.46a270fa8785p-14, 0x1.427edc42aa42bp-14, 0x1.3e59b64367713p-14, 0x1.3a334d78a6831p-14, 0x1.360bee694441cp-14, 0x1.31e3e3b2194c9p-14, 0x1.2dbb760ff0089p-14, 0x1.2992ec6902695p-14, 0x1.256a8bd6fd917p-14, 0x1.214297b00bc5dp-14, 0x1.1d1b519092579p-14, 0x1.18f4f9640dd54p-14, 0x1.14cfcd6d054f3p-14, 0x1.10ac0a4ea6072p-14, 0x1.0c89eb143d77ep-14, 0x1.0869a939bee05p-14, 0x1.044b7cb3c88bbp-14, 0x1.002f9bf74155fp-14, 0x1.f82c780260648p-15, 0x1.efff20bbef5fep-15, 0x1.e7d79661402e6p-15, 0x1.dfb63a73c3dc5p-15, 0x1.d79b6bbe82226p-15, 0x1.cf878662e240cp-15, 0x1.c77ae3e643045p-15, 0x1.bf75db4025135p-15, 0x1.b778c0e4d3bf7p-15, 0x1.af83e6d381454p-15, 0x1.a7979ca201cc1p-15, 0x1.9fb42f8822f57p-15, 0x1.97d9ea6b5bb26p-15, 0x1.900915eb1e38dp-15, 0x1.8841f86b42259p-15, 0x1.8084d61ecfe4bp-15, 0x1.78d1f113db0ap-15, 0x1.7129893c4d093p-15, 0x1.698bdc798811fp-15, 0x1.61f926a64fd9ep-15, 0x1.5a71a1a001232p-15, 0x1.52f5855007973p-15, 0x1.4b8507b72c54ep-15, 0x1.44205cf4cd7ebp-15, 0x1.3cc7b750b1668p-15, 0x1.357b4744d33cep-15, 0x1.2e3b3b85a53ccp-15, 0x1.2707c109ddbeap-15, 0x1.1fe10313e18c4p-15, 0x1.18c72b3a60d74p-15, 0x1.11ba616edc136p-15, 0x1.0abacc07a42b8p-15, 0x1.03c88fc699ba2p-15, 0x1.f9c79fc0c1424p-16, 0x1.ec195c0af9161p-16, 0x1.de8694d1c9cebp-16, 0x1.d10f878d5a284p-16, 0x1.c3b46ed866297p-16, 0x1.b675827ed300bp-16, 0x1.a952f7890cb35p-16, 0x1.9c4d004a85cddp-16, 0x1.8f63cc71713eep-16, 0x1.82978911ac044p-16, 0x1.75e860b1b36abp-16, 0x1.69567b5863a1p-16, 0x1.5ce1fe99a196dp-16, 0x1.508b0da05a78dp-16, 0x1.4451c93df85fcp-16, 0x1.38364ff5619a9p-16, 0x1.2c38be03cdd92p-16, 0x1.20592d6fc2852p-16, 0x1.1497b6142f974p-16, 0x1.08f46da9bba78p-16, 0x1.fadecfa53dfb3p-17, 0x1.e4116c4e07e16p-17, 0x1.cd80d07bb2607p-17, 0x1.b72d176c48ap-17, 0x1.a116588a00f8bp-17, 0x1.8b3ca77acf2e3p-17, 0x1.75a014358f2a5p-17, 0x1.6040ab151067ap-17, 0x1.4b1e74edca291p-17, 0x1.3639771db67b1p-17, 0x1.2191b3a0265ecp-17, 0x1.0d27292412cddp-17, 0x1.f1f3a634df7a1p-18, 0x1.ca13538ecd83ap-18, 0x1.a2ad44affa53bp-18, 0x1.7bc15de365343p-18, 0x1.554f7d832b3abp-18, 0x1.2f577c24fa9e9p-18, 0x1.09d92cb25ebbap-18, 0x1.c9a8b91e3c325p-19, 0x1.8091a7644df07p-19, 0x1.386ca99dfb413p-19, 0x1.e27275d03762ap-20, 0x1.55ed9888de16bp-20, 0x1.969313ae4387dp-21, 0x1.0a1413bd18dfcp-22, -0x1.118536b4efaa9p-22, -0x1.92d5af82712e7p-21, -0x1.4c9914daf9bap-20, }}, 
      {{0x1.21584d4387adcp-1, 0x1.215e530658354p-1, 0x1.2168a8a7b65d8p-1, 0x1.2177acff5bc04p-1, 0x1.218bc7d2a0b66p-1, 0x1.21a558ed89c08p-1, 0x1.21c4aa342daddp-1, 0x1.21e9e547ae2bfp-1, 0x1.22150cb89b98p-1, 0x1.2245f869f8e44p-1, 0x1.227c54a150a7bp-1, 0x1.22b7a336b7306p-1, 0x1.22f73e5e5f559p-1, 0x1.233a5c944333ep-1, 0x1.23801544511e1p-1, 0x1.23c765dbaf678p-1, 0x1.240f37009efd4p-1, 0x1.245661bd972c1p-1, 0x1.249bb47932f5p-1, 0x1.24ddf79f7859p-1, 0x1.251bf1ea0b99ep-1, 0x1.25546c3c2e434p-1, 0x1.2586350d2d5bdp-1, 0x1.25b02360673cp-1, 0x1.25d1194d6457p-1, 0x1.25e8061cf98f5p-1, 0x1.25f3e80214d9bp-1, 0x1.25f3cd75e36eap-1, 0x1.25e6d63fa1f8dp-1, 0x1.25cc34308be9fp-1, 0x1.25a32b9c5fc66p-1, 0x1.256b13969562bp-1, 0x1.252355fc05269p-1, 0x1.24cb6f5032ad7p-1, 0x1.2462ee74e373p-1, 0x1.23e974420e18dp-1, 0x1.235eb30397f9p-1, 0x1.22c26de1ca6b7p-1, 0x1.22147838d1a24p-1, 0x1.2154b4e31eef2p-1, 0x1.2083157a06f6cp-1, 0x1.1f9f998f877e2p-1, 0x1.1eaa4de3bca5p-1, 0x1.1da34b9832224p-1, 0x1.1c8ab762e8da3p-1, 0x1.1b60c0c2a6cp-1, 0x1.1a25a135df7b1p-1, 0x1.18d99b7555e29p-1, 0x1.177cfab358262p-1, 0x1.161011e05b3b5p-1, 0x1.14933af588754p-1, 0x1.1306d645b719ap-1, 0x1.116b49d529b0ap-1, 0x1.0fc100b8564f8p-1, 0x1.0e086a79de977p-1, 0x1.0c41fa87d9456p-1, 0x1.0a6e27a872d2ap-1, 0x1.088d6b75e40d1p-1, 0x1.06a041e1b022dp-1, 0x1.04a728bf129a2p-1, 0x1.02a29f547a772p-1, 0x1.009325f3eeef3p-1, 0x1.fcf27b345e879p-2, 0x1.f8aacf28b5f2bp-2, 0x1.f4504a57e1dccp-2, 0x1.efe3eeb1d4ca7p-2, 0x1.eb66bcf3760b6p-2, 0x1.e6d9b421ec941p-2, 0x1.e23dd110c5d86p-2, 0x1.dd940df274b73p-2, 0x1.d8dd61f2b68cep-2, 0x1.d41ac0da5f534p-2, 0x1.cf4d1abc152dep-2, 0x1.ca755ba986d67p-2, 0x1.c5946b70a4d8bp-2, 0x1.c0ab2d606de71p-2, 0x1.bbba8014db7f2p-2, 0x1.b6c33d49854f3p-2, 0x1.b1c639b291602p-2, 0x1.acc444db89a71p-2, 0x1.a7be290bb790ep-2, 0x1.a2b4ab2fa290fp-2, 0x1.9da88ac75db42p-2, 0x1.989a81d946f9p-2, 0x1.938b44e8e782fp-2, 0x1.8e7b82f1a88ffp-2, 0x1.896be5650b653p-2, 0x1.845d102c21c7bp-2, 0x1.7f4fa1ac0114bp-2, 0x1.7a4432ccee001p-2, 0x1.753b570405296p-2, 0x1.70359c5f29fdfp-2, 0x1.6b338b92fd039p-2, 0x1.6635a80ab1f73p-2, 0x1.613c6ff989eefp-2, 0x1.5c485c6dcec0bp-2, 0x1.5759e1651e6bep-2, 0x1.52716de1e2e5dp-2, 0x1.4d8f6c01cd627p-2, 0x1.48b441153963ep-2, 0x1.43e04db74ffbcp-2, 0x1.3f13ede6d540dp-2, 0x1.3a4f791f7a97p-2, 0x1.35934273a978bp-2, 0x1.30df98a6a0ef7p-2, 0x1.2c34c646dc7edp-2, 0x1.279311c8a699dp-2, 0x1.22fabda0cc85p-2, 0x1.1e6c085f5be5ep-2, 0x1.19e72cca6051ep-2, 0x1.156c61f88d134p-2, 0x1.10fbdb6bcc8a3p-2, 0x1.0c95c92ba5556p-2, 0x1.083a57df6b24ap-2, 0x1.03e9b0e83269p-2, 0x1.ff47f4f505dc2p-3, 0x1.f6d2af6f695ffp-3, 0x1.ee73d18e04bb3p-3, 0x1.e62b95dc79b72p-3, 0x1.ddfa31543c0a8p-3, 0x1.d5dfd38c7c61dp-3, 0x1.cddca6e937802p-3, 0x1.c5f0d0c976aaep-3, 0x1.be1c71b4b0a9ep-3, 0x1.b65fa5874b5bap-3, 0x1.aeba839e3a594p-3, 0x1.a72d1f01b2bf1p-3, 0x1.9fb7868ef5dcfp-3, 0x1.9859c52131ec8p-3, 0x1.9113e1b972a52p-3, 0x1.89e5dfa5a8b75p-3, 0x1.82cfbea6c0451p-3, 0x1.7bd17b15cb9d6p-3, 0x1.74eb0e08423c3p-3, 0x1.6e1c6d7355cfep-3, 0x1.67658c4e5d453p-3, 0x1.60c65ab4579bcp-3, 0x1.5a3ec6048f4e9p-3, 0x1.53ceb90253c2dp-3, 0x1.4d761bf3d5ee8p-3, 0x1.4734d4c02f402p-3, 0x1.410ac70c81307p-3, 0x1.3af7d4584a849p-3, 0x1.34fbdc18e34c5p-3, 0x1.2f16bbd42869cp-3, 0x1.29484f3a620f7p-3, 0x1.2390703f57243p-3, 0x1.1deef732a469ep-3, 0x1.1863bad74dbb2p-3, 0x1.12ee907a93ed5p-3, 0x1.0d8f4c0a1119dp-3, 0x1.0845c0291d109p-3, 0x1.0311be4581deap-3, 0x1.fbe62d5704563p-4, 0x1.f1d3313266598p-4, 0x1.e7ea24a264463p-4, 0x1.de2aa2596e2a2p-4, 0x1.d494435a09aacp-4, 0x1.cb269f188c43dp-4, 0x1.c1e14b9b90119p-4, 0x1.b8c3dd9b52a5cp-4, 0x1.afcde89fefd56p-4, 0x1.a6feff1e787e4p-4, 0x1.9e56b295016adp-4, 0x1.95d493a5ac9d4p-4, 0x1.8d7832309ae38p-4, 0x1.85411d6cf181dp-4, 0x1.7d2ee400e06dap-4, 0x1.75411418bc44p-4, 0x1.6d773b7d2b76dp-4, 0x1.65d0e7a8705b9p-4, 0x1.5e4da5dad8e93p-4, 0x1.56ed032e52e83p-4, 0x1.4fae8ca933b7fp-4, 0x1.4891cf503211bp-4, 0x1.419658379b4b6p-4, 0x1.3abbb493c905ap-4, 0x1.340171c8dc8cdp-4, 0x1.2d671d79c66f8p-4, 0x1.26ec45969dce6p-4, 0x1.2090786a4ef73p-4, 0x1.1a5344a7a3ed3p-4, 0x1.14343975adbc9p-4, 0x1.0e32e67b92d0ap-4, 0x1.084edbebc767cp-4, 0x1.0287aa8eb37bcp-4, 0x1.f9b9c7999b07ap-5, 0x1.ee9c33705691cp-5, 0x1.e3b5be2b200aep-5, 0x1.d9058ec9f26e7p-5, 0x1.ce8acdd363c25p-5, 0x1.c444a563d9e37p-5, 0x1.ba32413bd6c0cp-5, 0x1.b052cecd6a175p-5, 0x1.a6a57d48c6edap-5, 0x1.9d297da809d24p-5, 0x1.93de02ba395e3p-5, 0x1.8ac2412d7f925p-5, 0x1.81d56f98a96f3p-5, 0x1.7916c683f429dp-5, 0x1.70858071274a1p-5, 0x1.6820d9e30d4a6p-5, 0x1.5fe811644353fp-5, 0x1.57da678d73739p-5, 0x1.4ff71f0af4b1bp-5, 0x1.483d7ca1dd069p-5, 0x1.40acc73486369p-5, 0x1.394447c68ebe1p-5, 0x1.320349805a50cp-5, 0x1.2ae919b2168p-5, 0x1.23f507d64aeabp-5, 0x1.1d266593f38fdp-5, 0x1.167c86c033551p-5, 0x1.0ff6c15f9a2fep-5, 0x1.09946da70ae6p-5, 0x1.0354e5fc3a6bfp-5, 0x1.fa6f0debb9dc5p-6, 0x1.ee775eb6e598ap-6, 0x1.e2c180498e3e3p-6, 0x1.d74c38f235b52p-6, 0x1.cc16535c0c1aep-6, 0x1.c11e9e8c198d9p-6, 0x1.b663eddde7e57p-6, 0x1.abe518ff9b783p-6, 0x1.a1a0fbed99dd4p-6, 0x1.979676edae837p-6, 0x1.8dc46e89c66cdp-6, 0x1.8429cb8a3c085p-6, 0x1.7ac57aefb8c9p-6, 0x1.71966decc198p-6, 0x1.689b99ded9b96p-6, 0x1.5fd3f8475b18fp-6, 0x1.573e86c3f809dp-6, 0x1.4eda4706ee362p-6, 0x1.46a63ecefaed3p-6, 0x1.3ea177defbb51p-6, 0x1.36cafff561d2bp-6, 0x1.2f21e8c35e0bbp-6, 0x1.27a547e3d854ep-6, 0x1.205436d239c3dp-6, 0x1.192dd2e0fe352p-6, 0x1.12313d301ff25p-6, 0x1.0b5d9aa359d3bp-6, 0x1.04b213d843624p-6, 0x1.fc5baa3894fd3p-7, 0x1.efa01cc51d8b1p-7, 0x1.e32fe673446f1p-7, 0x1.d70975825a0b7p-7, 0x1.cb2b3f3f00f8p-7, 0x1.bf93bfee23fbep-7, 0x1.b4417ab7cba8dp-7, 0x1.a932f991d6686p-7, 0x1.9e66cd2a9b6dp-7, 0x1.93db8cd3717d5p-7, 0x1.898fd66b2eb59p-7, 0x1.7f824e488ef45p-7, 0x1.75b19f24a6f1cp-7, 0x1.6c1c7a0539c8bp-7, 0x1.62c196271f63p-7, 0x1.599fb0e8aae67p-7, 0x1.50b58db412893p-7, 0x1.4801f5e9e2a96p-7, 0x1.3f83b8cb74b0bp-7, 0x1.3739ab6589b7dp-7, 0x1.2f22a87ae15cep-7, 0x1.273d906eea5bp-7, 0x1.1f8949308ffc4p-7, 0x1.1804be251e0fcp-7, 0x1.10aee01337079p-7, 0x1.0986a50df2e71p-7, 0x1.028b086017ceap-7, 0x1.f77614eee974p-8, 0x1.ea2b61a0b54a4p-8, 0x1.dd340bc2837c1p-8, 0x1.d08e320d1b19cp-8, 0x1.c437fcdcf7398p-8, 0x1.b82f9e0a74397p-8, 0x1.ac7350c25a2ccp-8, 0x1.a101595eab1e8p-8, 0x1.95d8053fd6615p-8, 0x1.8af5aaa642d8dp-8, 0x1.8058a88c45e93p-8, 0x1.75ff66805df4ep-8, 0x1.6be8547fd6f78p-8, 0x1.6211ead1de07dp-8, 0x1.587aa9e2e94afp-8, 0x1.4f211a208d1ddp-8, 0x1.4603cbd5af8a1p-8, 0x1.3d21570725001p-8, 0x1.34785b50b5c72p-8, 0x1.2c077fc28f3afp-8, 0x1.23cd72bf19ce4p-8, 0x1.1bc8e9d93461fp-8, 0x1.13f8a1b2e7cccp-8, 0x1.0c5b5ddc71a4fp-8, 0x1.04efe8b3c6aa7p-8, 0x1.fb6a268921845p-9, 0x1.ed536a50de2dep-9, 0x1.df9958cf879edp-9, 0x1.d239bab5b4dc1p-9, 0x1.c532651721078p-9, 0x1.b881392eae19dp-9, 0x1.ac2424233e17ep-9, 0x1.a0191ecd6c566p-9, 0x1.945e2d7e22d9fp-9, 0x1.88f15fc5faf15p-9, 0x1.7dd0d03d852efp-9, 0x1.72faa44e4616dp-9, 0x1.686d0bfc9bddp-9, 0x1.5e2641b2653aep-9, 0x1.54248a0a88529p-9, 0x1.4a66339d51beap-9, 0x1.40e996cd8cd7ap-9, 0x1.37ad159664625p-9, 0x1.2eaf1b5a210bfp-9, 0x1.25ee1cb1a23cp-9, 0x1.1d68973cb0c32p-9, 0x1.151d11731c32dp-9, 0x1.0d0a1a767ae6fp-9, 0x1.052e49e4c2cbbp-9, 0x1.fb107f575998bp-10, 0x1.ec2d47b977085p-10, 0x1.ddb04d0471028p-10, 0x1.cf96fee95be25p-10, 0x1.c1dedc6276945p-10, 0x1.b48573612fd03p-10, 0x1.a788607da11f1p-10, 0x1.9ae54ea76daacp-10, 0x1.8e99f6d8377fap-10, 0x1.82a41fc72d28bp-10, 0x1.77019d9df9f35p-10, 0x1.6bb051af3bc37p-10, 0x1.60ae2a2e37887p-10, 0x1.55f921e7c3519p-10, 0x1.4b8f3ffcdd5a6p-10, 0x1.416e979e1120ep-10, 0x1.379547c84b87p-10, 0x1.2e017b03197e5p-10, 0x1.24b1671fe2e75p-10, 0x1.1ba34cfa89396p-10, 0x1.12d5783b38698p-10, 0x1.0a463f195c8cep-10, 0x1.01f4021fa6f01p-10, 0x1.f3ba57e2a39d7p-11, 0x1.e40062212393ep-11, 0x1.d4b71f4c295d1p-11, 0x1.c5db9e933d8cep-11, 0x1.b76b0197d1307p-11, 0x1.a9627c0237b4ep-11, 0x1.9bbf5319a59f6p-11, 0x1.8e7edd5dce0d8p-11, 0x1.819e822292bb2p-11, 0x1.751bb92def8afp-11, 0x1.68f40a57ad24cp-11, 0x1.5d250d2b26542p-11, 0x1.51ac688aaa289p-11, 0x1.4687d25519d01p-11, 0x1.3bb50f0d2d8fep-11, 0x1.3131f182b1767p-11, 0x1.26fc5a7d70999p-11, 0x1.1d12386a19db3p-11, 0x1.1371870871f31p-11, 0x1.0a184f1b83804p-11, 0x1.0104a61b92d0ep-11, 0x1.f0695bd2db95ep-12, 0x1.df4d29072643bp-12, 0x1.ceb1277a0b3b1p-12, 0x1.be91e1eabc78cp-12, 0x1.aeebf9a53045p-12, 0x1.9fbc25f8c58bep-12, 0x1.90ff33b1968ebp-12, 0x1.82b20494e1108p-12, 0x1.74d18ee0702d3p-12, 0x1.675adccccb0dcp-12, 0x1.5a4b0c11d610bp-12, 0x1.4d9f4d6e4fc7ap-12, 0x1.4154e431f58d2p-12, 0x1.356925ca272ap-12, 0x1.29d979518322bp-12, 0x1.1ea35721560b3p-12, 0x1.13c4486616c6fp-12, 0x1.0939e6b6042c6p-12, 0x1.fe03b75450fd2p-13, 0x1.ea33c0f3346d8p-13, 0x1.d6ff7b2df351dp-13, 0x1.c46294a0c5d2p-13, 0x1.b258d8e2a5604p-13, 0x1.a0de2fcded005p-13, 0x1.8fee9ccc68a9p-13, 0x1.7f863e28665f9p-13, 0x1.6fa14c6093653p-13, 0x1.603c19810bc1cp-13, 0x1.5153107f148d7p-13, 0x1.42e2b49a07b0ap-13, 0x1.34e7a0bec7421p-13, 0x1.275e86ef43edap-13, 0x1.1a442fadcc87dp-13, 0x1.0d95796b4f88p-13, 0x1.014f57f985366p-13, 0x1.eadda7ff9232bp-14, 0x1.d3e214e84be4p-14, 0x1.bda6582d9ca2cp-14, 0x1.a824f9e239331p-14, 0x1.9358a7aef3755p-14, 0x1.7f3c33dd76d56p-14, 0x1.6bca946693e54p-14, 0x1.58fee2094c6b2p-14, 0x1.46d457645fd84p-14, 0x1.35465018b8cf6p-14, 0x1.245047ee0835fp-14, 0x1.13edd9ff0f43cp-14, 0x1.041abfe95fe17p-14, 0x1.e9a5a2083d155p-15, 0x1.cc240331ba07fp-15, 0x1.afa8c448ad5c4p-15, 0x1.942c3d3294b8bp-15, 0x1.79a6fb53006b3p-15, 0x1.6011c026491abp-15, 0x1.47657fe44f132p-15, 0x1.2f9b602b1a764p-15, 0x1.18acb6b521869p-15, 0x1.029308137d3b1p-15, 0x1.da900ce7e9db3p-16, 0x1.b18b20d794bb7p-16, 0x1.8a0b5f97f43cap-16, 0x1.640530f98b29cp-16, 0x1.3f6d4ec1e48a7p-16, 0x1.1c38c27dd8654p-16, 0x1.f4b9c6c64f4bfp-17, 0x1.b39ea884f0a5fp-17, 0x1.750c030336463p-17, 0x1.38ee3e4c371b4p-17, 0x1.fe649bb533b28p-18, 0x1.8f8b59b2a3b29p-18, 0x1.252cb50b19243p-18, 0x1.7e4b5a991784dp-19, 0x1.7550f09b195c3p-20, -0x1.a2c4f4457172ap-28, -0x1.68c5034838c96p-20, -0x1.604964047d4ap-19, -0x1.026163ec29231p-18, -0x1.5104db6964e3ap-18, -0x1.9c2bc8fbfef91p-18, -0x1.e3f20e838f298p-18, -0x1.1439626f4bcc9p-17, -0x1.34e420aeaf19p-17, -0x1.54060d83d479p-17, -0x1.71ab97e6fff1ap-17, -0x1.8de0d4c6f63f6p-17, -0x1.a8b1817eb4ce6p-17, -0x1.c229063808f3bp-17, -0x1.da52783fd2697p-17, -0x1.f1389c44d8c43p-17, -0x1.0372f448337f5p-16, -0x1.0db243954306cp-16, -0x1.175f2bf728d1p-16, -0x1.207e7949d0f96p-16, -0x1.2914d455163a4p-16, -0x1.3126c3c151e36p-16, -0x1.38b8ad0ad158cp-16, -0x1.3fced5692c0c2p-16, -0x1.466d62b380d44p-16, -0x1.4c985c3d02a75p-16, -0x1.5253abad43d29p-16, -0x1.57a31dd1b1668p-16, -0x1.5c8a6367b254dp-16, -0x1.610d11e5d69afp-16, -0x1.652ea43aba8e5p-16, -0x1.68f27b8a10055p-16, -0x1.6c5bdfe3b93f1p-16, -0x1.6f6e00f4d1835p-16, -0x1.722bf6b5fcf61p-16, -0x1.7498c212ea10cp-16, -0x1.76b74d8e4dab3p-16, -0x1.788a6de21ae2ap-16, -0x1.7a14e29858364p-16, -0x1.7b5956a42432fp-16, -0x1.7c5a60f310b63p-16, -0x1.7d1a84fd17585p-16, -0x1.7d9c334f0af3ep-16, -0x1.7de1ca108ebcbp-16, -0x1.7ded95887eddp-16, -0x1.7dc1d09c6b57ap-16, -0x1.7d60a54d6c223p-16, -0x1.7ccc2d2fab48dp-16, -0x1.7c0671e0d9a5fp-16, -0x1.7b116d790dfa7p-16, -0x1.79ef0afb3ad24p-16, -0x1.78a126c160034p-16, -0x1.77298ee4e0fcfp-16, -0x1.758a03a4bea88p-16, -0x1.73c437c8c7c93p-16, -0x1.71d9d10301f5p-16, -0x1.6fcc684cc077cp-16, -0x1.6d9d8a41fd2d3p-16, -0x1.6b4eb77ab6119p-16, -0x1.68e164e10b46ep-16, -0x1.6656fc03c37cdp-16, -0x1.63b0db69ffb49p-16, -0x1.60f056e162c3ep-16, -0x1.5e16b7cb81191p-16, -0x1.5b253d6860ef2p-16, -0x1.581d1d203ad54p-16, -0x1.54ff82c964125p-16, -0x1.51cd90ed934b5p-16, -0x1.4e88610c96e2fp-16, -0x1.4b3103ddf027fp-16, -0x1.47c8818ff187cp-16, -0x1.444fda0450a0dp-16, -0x1.40c8050d5289ap-16, -0x1.3d31f2a6b5dc8p-16, -0x1.398e8b2eeee86p-16, -0x1.35deaf9da4998p-16, -0x1.322339b930766p-16, -0x1.2e5cfc4a57edp-16, -0x1.2a8cc34f50c39p-16, -0x1.26b3542bc78fdp-16, -0x1.22d16dd90248cp-16, -0x1.1ee7c914aa68dp-16, -0x1.1af7188cfa5ebp-16, -0x1.1700090ce3c8bp-16, -0x1.130341a65c45ap-16, -0x1.0f0163dc49b71p-16, -0x1.0afb0bc9b0abdp-16, -0x1.06f0d0491259ap-16, -0x1.02e3431abe893p-16, -0x1.fda5e21410508p-17, -0x1.f580c41fd2d5ep-17, -0x1.ed5832ee4a37p-17, -0x1.e52d2bfaeaf22p-17, -0x1.dd00a3e969343p-17, -0x1.d4d386c4d9ec9p-17, -0x1.cca6b83eff1ccp-17, -0x1.c47b13ed2cc95p-17, -0x1.bc516d81b62a2p-17, -0x1.b42a91054c722p-17, -0x1.ac07430ea77a6p-17, -0x1.a3e840f916d7dp-17, -0x1.9bce4118df739p-17, -0x1.93b9f2ee29a4ep-17, -0x1.8babff5708b54p-17, -0x1.83a508c0002a7p-17, -0x1.7ba5ab50ed488p-17, -0x1.73ae7d1c24127p-17, -0x1.6bc00e4af9ae6p-17, -0x1.63dae94883109p-17, -0x1.5bff92eb674c3p-17, -0x1.542e8a9e5c579p-17, -0x1.4c684a881b305p-17, -0x1.44ad47b1368f5p-17, -0x1.3cfdf22ae3264p-17, -0x1.355ab53272c4fp-17, -0x1.2dc3f7560106p-17, -0x1.263a1a95fe1f3p-17, -0x1.1ebd7c86433bbp-17, -0x1.174e766e14ep-17, -0x1.0fed5d6a004e9p-17, -0x1.089a8288f03b6p-17, -0x1.015632eaa5522p-17, -0x1.f4416fb988479p-18, -0x1.e5f4adee40c2dp-18, -0x1.d7c6a46ed2d65p-18, -0x1.c9b7d037d8813p-18, -0x1.bbc8a77ba8eaep-18, -0x1.adf999d6189bcp-18, -0x1.a04b107d57d7p-18, -0x1.92bd6e720b846p-18, -0x1.855110ab2aeeep-18, -0x1.78064e469cb09p-18, -0x1.6add78b57da59p-18, -0x1.5dd6dbe66e505p-18, -0x1.50f2be6e335a8p-18, -0x1.443161b2576d4p-18, -0x1.3793020f95093p-18, -0x1.2b17d7010943bp-18, -0x1.1ec013456d404p-18, -0x1.128be505b5ee7p-18, -0x1.067b75f5ebb85p-18, -0x1.f51dd6f68590bp-19, -0x1.dd8ccd947e81ep-19, -0x1.c6440a0f2e954p-19, -0x1.af43bed25eba8p-19, -0x1.988c16ae1ea87p-19, -0x1.821d3510120f9p-19, -0x1.6bf7363ae922cp-19, -0x1.561a2f8572ae1p-19, -0x1.40862f8e094cbp-19, -0x1.2b3b3e72b0cfdp-19, -0x1.16395e06a4c9ap-19, -0x1.01808a070c9d9p-19, -0x1.da21709add0e3p-20, -0x1.b1d3b1fe7f35fp-20, -0x1.8a17ad7d9217ap-20, -0x1.62ed2da93f61p-20, -0x1.3c53f2bf3542ep-20, -0x1.164bb305e809dp-20, -0x1.e1a8364778e7ap-21, -0x1.97d99cd6fa5dap-21, -0x1.4f2ace5d7c8dfp-21, -0x1.079aee205980ep-21, -0x1.82521d2e24a2bp-22, -0x1.ef50c83207b3dp-23, -0x1.bcda591f6fe88p-24, 0x1.70584f91639d4p-26, 0x1.361c86d603289p-23, 0x1.1ce616c367bd2p-22, 0x1.9c8f8ba977fd9p-22, 0x1.0d06a465a03abp-21, 0x1.4ab106e45563fp-21, 0x1.87485924ef6bdp-21, 0x1.c2ce127ede708p-21, 0x1.fd43b562306c4p-21, 0x1.1b55677603fd9p-20, 0x1.37827b35832bep-20, 0x1.5329e683462ccp-20, 0x1.6e4c7ea2bb718p-20, 0x1.88eb1d5b6fe65p-20, 0x1.a306a0c191ccdp-20, 0x1.bc9feb007818dp-20, 0x1.d5b7e2385254cp-20, 0x1.ee4f7048f7796p-20, 0x1.0333c154d7bf3p-19, 0x1.0f00851e6250ap-19, 0x1.1a8e7d91c1196p-19, 0x1.25de264b47228p-19, 0x1.30effc5c9ae2cp-19, 0x1.3bc47e3c2e71ep-19, 0x1.465c2bb1f2b0bp-19, 0x1.50b785c2c79f1p-19, 0x1.5ad70ea0bd2b5p-19, 0x1.64bb499763331p-19, 0x1.6e64bafda42fep-19, 0x1.77d3e81ffffe3p-19, 0x1.8109573360b89p-19, 0x1.8a058f45a832ep-19, 0x1.92c9182ddc08bp-19, 0x1.9b547a7daf01ap-19, 0x1.a3a83f729a0d7p-19, 0x1.abc4f0e71d993p-19, 0x1.b3ab1945f2137p-19, 0x1.bb5b43797e65p-19, 0x1.c2d5fae3c2728p-19, 0x1.ca1bcb4e8eb25p-19, 0x1.d12d40de6ef05p-19, 0x1.d80ae808e6c4fp-19, 0x1.deb54d8635328p-19, 0x1.e52cfe48eddf5p-19, 0x1.eb72876f8279ap-19, 0x1.f1867639d23fp-19, 0x1.f769580194778p-19, 0x1.fd1bba2d600b2p-19, 0x1.014f15141dc17p-18, 0x1.03f89aabf96e7p-18, 0x1.068ab4895262bp-18, 0x1.0905a94b51efap-18, 0x1.0b69bf805ecd9p-18, 0x1.0db73da23ab72p-18, 0x1.0fee6a11c0e5fp-18, 0x1.120f8b12da764p-18, 0x1.141ae6c7df815p-18, 0x1.1610c32f0f75ep-18, 0x1.17f1661dc3372p-18, 0x1.19bd153d714d5p-18, 0x1.1b7416078935cp-18, 0x1.1d16adc28116p-18, 0x1.1ea5217ed4bc8p-18, 0x1.201fb61335adep-18, 0x1.2186b01a2784ap-18, 0x1.22da53eef2435p-18, 0x1.241ae5a9d2f51p-18, 0x1.2548a91e42afbp-18, 0x1.2663e1d847b95p-18, 0x1.276cd318b36b6p-18, 0x1.2863bfd41b0b2p-18, 0x1.2948eaaf29464p-18, 0x1.2a1c95fcde49ep-18, 0x1.2adf03bc30bf5p-18, 0x1.2b9075962b4c6p-18, 0x1.2c312cdb1078fp-18, 0x1.2cc16a80918c2p-18, 0x1.2d416f2083f37p-18, 0x1.2db17af65b9f2p-18, 0x1.2e11cddd7657ap-18, 0x1.2e62a74f39877p-18, 0x1.2ea44661daa7ap-18, 0x1.2ed6e9c656211p-18, 0x1.2efacfc661da7p-18, 0x1.2f103644be36ep-18, 0x1.2f175aba2d4d7p-18, 0x1.2f107a3430185p-18, 0x1.2efbd154a2269p-18, 0x1.2ed99c4f5e0e4p-18, 0x1.2eaa16e9f3596p-18, 0x1.2e6d7c7a09332p-18, 0x1.2e2407e48f74ep-18, 0x1.2dcdf39c86c8ep-18, 0x1.2d6b79a18f70ep-18, 0x1.2cfcd3808f01ap-18, 0x1.2c823a518f0e5p-18, 0x1.2bfbe6b6ddc72p-18, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.cd4d6423e96p-9, -0x1.cd2872f950c34p-8, -0x1.59c87e291e20fp-7, -0x1.cd0c7c715ac53p-7, -0x1.2041a4be82e63p-6, -0x1.5a225772543abp-6, -0x1.9426fef5a4568p-6, -0x1.ce3bd91690dfcp-6, -0x1.041c08ea30614p-5, -0x1.20eeabf2e321p-5, -0x1.3d6c99cf656fdp-5, -0x1.5963cf3c2c7ep-5, -0x1.749b3219cb169p-5, -0x1.8ed474f8696adp-5, -0x1.a7ce069ffcb1bp-5, -0x1.bf44f0e0d0b58p-5, -0x1.d4f692e5c53dfp-5, -0x1.e8a22a9241f8ap-5, -0x1.fa0a2631d865ap-5, -0x1.047a9e090a194p-4, -0x1.0a97a46094a6cp-4, -0x1.0f44fb6b7b93bp-4, -0x1.126e9a4aec38ap-4, -0x1.1403be417960fp-4, -0x1.13f6fb3becb92p-4, -0x1.123e3b5fc97cep-4, -0x1.0ed2b053eae97p-4, -0x1.09b0b8cfa58ffp-4, -0x1.02d7bcc8b8137p-4, -0x1.f49404bb4e276p-5, -0x1.e018fab99e756p-5, -0x1.c84d36170b5fdp-5, -0x1.ad44172c0068bp-5, -0x1.8f1514b3973cp-5, -0x1.6ddb4c143f703p-5, -0x1.49b512ff8d8f3p-5, -0x1.22c38bbb5e507p-5, -0x1.f2547a3e40817p-6, -0x1.9a1d5e23ec126p-6, -0x1.3d30184236846p-6, -0x1.b7bb22623bb61p-7, -0x1.d9e27b0e813e7p-8, -0x1.aaad33335dbb4p-11, 0x1.7cdc8598bcc2dp-8, 0x1.9dafa784c6b9dp-7, 0x1.4137b48a351f3p-6, 0x1.b6026c2a7f456p-6, 0x1.167252b230fb6p-5, 0x1.52c631ee192d3p-5, 0x1.8fd4a8612b34ap-5, 0x1.cd767f0f75787p-5, 0x1.05c2c8534e426p-4, 0x1.24ee714d7677cp-4, 0x1.442c5d358473p-4, 0x1.636b57a850b12p-4, 0x1.829adc518c9bbp-4, 0x1.a1ab1c9779dc5p-4, 0x1.c08d03e141b48p-4, 0x1.df323a96f0391p-4, 0x1.fd8d27f8706a7p-4, 0x1.0dc87973dc4bdp-3, 0x1.1c98c0e04efcep-3, 0x1.2b31bcaba2987p-3, 0x1.398e1d9a59d69p-3, 0x1.47a8f193c6cbfp-3, 0x1.557da21ea75cap-3, 0x1.6307f29bac289p-3, 0x1.7043fe46a0a1fp-3, 0x1.7d2e360679859p-3, 0x1.89c35e13cd699p-3, 0x1.96008b7c9da4ep-3, 0x1.a1e3218bd8e82p-3, 0x1.ad68cf1a563d7p-3, 0x1.b88f8bce968d4p-3, 0x1.c35595502081bp-3, 0x1.cdb96c72b4382p-3, 0x1.d7b9d25d5a24bp-3, 0x1.e155c5b0b1527p-3, 0x1.ea8c7fafb6148p-3, 0x1.f35d716dac9c2p-3, 0x1.fbc84103bd00ep-3, 0x1.01e6636826edbp-2, 0x1.05b5856108f8dp-2, 0x1.0951a0d82de8dp-2, 0x1.0cbae5610c7a7p-2, 0x1.0ff196725424bp-2, 0x1.12f60a29c2f76p-2, 0x1.15c8a818c4331p-2, 0x1.1869e81a385a6p-2, 0x1.1ada513196af3p-2, 0x1.1d1a78739f133p-2, 0x1.1f2afff8bd4a1p-2, 0x1.210c95d92515dp-2, 0x1.22bff332b9367p-2, 0x1.2445db38b1ddp-2, 0x1.259f1a4cf1dbep-2, 0x1.26cc8522fb2fdp-2, 0x1.27cef7ec5fb1cp-2, 0x1.28a7558e8971dp-2, 0x1.295686e1b86bep-2, 0x1.29dd79f8fa374p-2, 0x1.2a3d2172f9633p-2, 0x1.2a7673d36287p-2, 0x1.2a8a6ae4b0687p-2, 0x1.2a7a03221c5dbp-2, 0x1.2a463b2983dc7p-2, 0x1.29f01334f78fcp-2, 0x1.29788c9bc405dp-2, 0x1.28e0a95aaee7ap-2, 0x1.28296ba32b286p-2, 0x1.2753d571493ddp-2, 0x1.2660e828240c9p-2, 0x1.2551a4348b33p-2, 0x1.242708b5b49a7p-2, 0x1.22e2132bb2754p-2, 0x1.2183bf2b7a33ep-2, 0x1.200d06183bcb9p-2, 0x1.1e7edee1d9cd6p-2, 0x1.1cda3dc840c71p-2, 0x1.1b20142373b43p-2, 0x1.1951503010ce4p-2, 0x1.176edce01c28ap-2, 0x1.1579a1afe8826p-2, 0x1.1372827edcc64p-2, 0x1.115a5f6bfaf49p-2, 0x1.0f3214b5ebc58p-2, 0x1.0cfa7a9e6b63ep-2, 0x1.0ab46550ec262p-2, 0x1.0860a4cc434bdp-2, 0x1.060004cf3b3d3p-2, 0x1.03934cc7e266fp-2, 0x1.011b3fc57625ep-2, 0x1.fd3138d980d76p-3, 0x1.f81839dd9a908p-3, 0x1.f2ecee039a7bbp-3, 0x1.edb0b7b8212b7p-3, 0x1.e864f061eae3fp-3, 0x1.e30ae85f53a58p-3, 0x1.dda3e7075f0eep-3, 0x1.d8312aadf0864p-3, 0x1.d2b3e8ab21303p-3, 0x1.cd2d4d6562c91p-3, 0x1.c79e7c5e51772p-3, 0x1.c2089042089bfp-3, 0x1.bc6c9af8c41a7p-3, 0x1.b6cba5baa3dacp-3, 0x1.b126b1257d4e9p-3, 0x1.ab7eb554765bdp-3, 0x1.a5d4a1f95f1eap-3, 0x1.a0295e77977e3p-3, 0x1.9a7dca0067f37p-3, 0x1.94d2bbb0a7af6p-3, 0x1.8f2902af93fa6p-3, 0x1.8981664ebf4b1p-3, 0x1.83dca62af1604p-3, 0x1.7e3b7a4df2363p-3, 0x1.789e93510cd24p-3, 0x1.73069a8046607p-3, 0x1.6d7431fe2e5e8p-3, 0x1.67e7f4e826676p-3, 0x1.6262777b24426p-3, 0x1.5ce44738c23bfp-3, 0x1.576deb0c9ce5dp-3, 0x1.51ffe371e59e1p-3, 0x1.4c9aaa991ae9p-3, 0x1.473eb48dd343fp-3, 0x1.41ec6f5c9b516p-3, 0x1.3ca44338bee9ap-3, 0x1.376692a20c02bp-3, 0x1.3233ba8a7269p-3, 0x1.2d0c127b777d4p-3, 0x1.27efecbb77cefp-3, 0x1.22df9672ac059p-3, 0x1.1ddb57cfe4c79p-3, 0x1.18e3742cf2309p-3, 0x1.13f82a32bcfdfp-3, 0x1.0f19b3fcf70f9p-3, 0x1.0a48473d6963ep-3, 0x1.0584155ed6c45p-3, 0x1.00cd4ba76b372p-3, 0x1.f84826b567a19p-4, 0x1.ef1123b6333adp-4, 0x1.e5f5d195b83cfp-4, 0x1.dcf66c5913332p-4, 0x1.d4132905da9bdp-4, 0x1.cb4c35e0e39cep-4, 0x1.c2a1baabf284bp-4, 0x1.ba13d8e23cb5dp-4, 0x1.b1a2abf3dba6dp-4, 0x1.a94e497fffb52p-4, 0x1.a116c18e0b401p-4, 0x1.98fc1ec57337cp-4, 0x1.90fe66a47d39ep-4, 0x1.891d99b5c050ep-4, 0x1.8159b3c47e819p-4, 0x1.79b2ac0fc77d2p-4, 0x1.7228757c6dcc8p-4, 0x1.6abafec5c7f0ep-4, 0x1.636a32ad43fdp-4, 0x1.5c35f828cb5cep-4, 0x1.551e328ff9439p-4, 0x1.4e22c1c82714fp-4, 0x1.4743826f4e194p-4, 0x1.40804e05c5829p-4, 0x1.39d8fb16d831ap-4, 0x1.334d5d603cc86p-4, 0x1.2cdd45f86fafcp-4, 0x1.26888373ef6b5p-4, 0x1.204ee20965c82p-4, 0x1.1a302bb4bb9e9p-4, 0x1.142c28591c99ap-4, 0x1.0e429de1f0798p-4, 0x1.08735062cc468p-4, 0x1.02be02365fae2p-4, 0x1.fa44e838c964bp-5, 0x1.ef40caad24091p-5, 0x1.e46f27893482bp-5, 0x1.d9cf77fe6c93ep-5, 0x1.cf6132e48bfb2p-5, 0x1.c523ccec09ba1p-5, 0x1.bb16b8ceb82efp-5, 0x1.b139677eabbfbp-5, 0x1.a78b48536c2dp-5, 0x1.9e0bc93577f1bp-5, 0x1.94ba56c828751p-5, 0x1.8b965c91f9e0bp-5, 0x1.829f452347239p-5, 0x1.79d47a3b7d4ccp-5, 0x1.713564ecd233dp-5, 0x1.68c16dbe8b1acp-5, 0x1.6077fccdd2ed6p-5, 0x1.585879ed364b2p-5, 0x1.50624cc2c2e2ap-5, 0x1.4894dce4d9416p-5, 0x1.40ef91f5bc595p-5, 0x1.3971d3bdda83dp-5, 0x1.321b0a44ecdbap-5, 0x1.2aea9de9e63e6p-5, 0x1.23dff779bbd03p-5, 0x1.1cfa804519a6ap-5, 0x1.1639a234fd9ffp-5, 0x1.0f9cc7de4ddd3p-5, 0x1.09235c9469d09p-5, 0x1.02cccc7ac1232p-5, 0x1.f931092aecd7dp-6, 0x1.ed0be5b2384ccp-6, 0x1.e1290c7310121p-6, 0x1.d5875d6f959e4p-6, 0x1.ca25badeb0234p-6, 0x1.bf030944b4a25p-6, 0x1.b41e2f8a86bf4p-6, 0x1.a9761713319fdp-6, 0x1.9f09abd018814p-6, 0x1.94d7dc53b7fadp-6, 0x1.8adf99e3108ddp-6, 0x1.811fd885c241bp-6, 0x1.77978f14eae29p-6, 0x1.6e45b748ca67fp-6, 0x1.65294dc54083p-6, 0x1.5c41522529a9bp-6, 0x1.538cc704adeaep-6, 0x1.4b0ab20a7be9dp-6, 0x1.42ba1bf00fab7p-6, 0x1.3a9a10890265cp-6, 0x1.32a99ec96f465p-6, 0x1.2ae7d8cb716a4p-6, 0x1.2353d3d3d9fdp-6, 0x1.1beca8560a15dp-6, 0x1.14b171f708f5bp-6, 0x1.0da14f8fe1e75p-6, 0x1.06bb632f4dfa1p-6, 0x1.fffda43561435p-7, 0x1.f2d5899cd145fp-7, 0x1.e5fccdfb20155p-7, 0x1.d971cf223e702p-7, 0x1.cd32f14cff4d2p-7, 0x1.c13e9f1b488b4p-7, 0x1.b593498d1ee65p-7, 0x1.aa2f67fcdbffep-7, 0x1.9f11781864437p-7, 0x1.9437fdd9992acp-7, 0x1.89a1837df15ddp-7, 0x1.7f4c997d4a618p-7, 0x1.7537d67fff18bp-7, 0x1.6b61d75453fa2p-7, 0x1.61c93ee353b9p-7, 0x1.586cb624e9b5bp-7, 0x1.4f4aec138d3fep-7, 0x1.4662959f5034dp-7, 0x1.3db26da07fb26p-7, 0x1.353934c9cb7a4p-7, 0x1.2cf5b199fdb9bp-7, 0x1.24e6b04d4089cp-7, 0x1.1d0b02ce24874p-7, 0x1.156180a629e0ap-7, 0x1.0de906ee23d02p-7, 0x1.06a0783e3fc3p-7, 0x1.ff0d793b6efffp-8, 0x1.f13582e4cedddp-8, 0x1.e3b6f2e035b4bp-8, 0x1.d68fb90f78a58p-8, 0x1.c9bdcfac9cad2p-8, 0x1.bd3f3b276a814p-8, 0x1.b1120a02e71fbp-8, 0x1.a53454b27eadfp-8, 0x1.99a43d771452dp-8, 0x1.8e5ff03c000cep-8, 0x1.8365a273afa59p-8, 0x1.78b392f46da43p-8, 0x1.6e4809d503614p-8, 0x1.64215849602bp-8, 0x1.5a3dd87f5e402p-8, 0x1.509bed7b58385p-8, 0x1.473a02f4f6b8ep-8, 0x1.3e168d33f9a7fp-8, 0x1.353008ed38437p-8, 0x1.2c84fb1faac96p-8, 0x1.2413f0f1cbaa9p-8, 0x1.1bdb7f8ed8167p-8, 0x1.13da4404602f6p-8, 0x1.0c0ee32023ce1p-8, 0x1.0478094df8d7dp-8, 0x1.fa28d4ec5c8b2p-9, 0x1.ebc583b7f32a8p-9, 0x1.ddc3a3f83cfebp-9, 0x1.d020c8d811e6fp-9, 0x1.c2da93720705fp-9, 0x1.b5eeb28faa313p-9, 0x1.a95ae26981d89p-9, 0x1.9d1cec67519bdp-9, 0x1.9132a6e10a038p-9, 0x1.8599f4e0a539dp-9, 0x1.7a50c5e4796cp-9, 0x1.6f5515a23a3f2p-9, 0x1.64a4ebcb03fbdp-9, 0x1.5a3e5bcfba9a9p-9, 0x1.501f84a60c11dp-9, 0x1.4646908ea181ep-9, 0x1.3cb1b4db974f3p-9, 0x1.335f31b80013cp-9, 0x1.2a4d51f014633p-9, 0x1.217a6aba3b4bbp-9, 0x1.18e4db8081bd7p-9, 0x1.108b0dab19f8p-9, 0x1.086b746b94bdep-9, 0x1.00848c88cd8cap-9, 0x1.f1a9b85777e7ap-10, 0x1.e2b5e55a300ebp-10, 0x1.d42ad0c6ac26ap-10, 0x1.c605bce3c9c44p-10, 0x1.b843fd31c3556p-10, 0x1.aae2f60b731e3p-10, 0x1.9de01c48ea3c5p-10, 0x1.9138f4e3e1aabp-10, 0x1.84eb149d7769ep-10, 0x1.78f41fa51063ap-10, 0x1.6d51c9414038ep-10, 0x1.6201d37a06359p-10, 0x1.57020ec4770ebp-10, 0x1.4c5059afd5abbp-10, 0x1.41eaa09497f4ep-10, 0x1.37cedd443bebdp-10, 0x1.2dfb16ba9951fp-10, 0x1.246d60d120743p-10, 0x1.1b23dbf304467p-10, 0x1.121cb4d31cb97p-10, 0x1.095624230f92fp-10, 0x1.00ce6e4bf089ep-10, 0x1.f107c6500746ep-11, 0x1.e0e9bb7be7cd1p-11, 0x1.d13f87facc5fbp-11, 0x1.c2060cf9a6a53p-11, 0x1.b33a40715cba1p-11, 0x1.a4d92ca7fcd27p-11, 0x1.96dfefb42fbd9p-11, 0x1.894bbb02fb695p-11, 0x1.7c19d2e018b93p-11, 0x1.6f478e009c49ep-11, 0x1.62d25510e7ce7p-11, 0x1.56b7a2437d818p-11, 0x1.4af500e34b78fp-11, 0x1.3f880ce848536p-11, 0x1.346e728da3de5p-11, 0x1.29a5edea82483p-11, 0x1.1f2c4a8cd1f35p-11, 0x1.14ff63169af19p-11, 0x1.0b1d20dd47936p-11, 0x1.01837b8ae79f2p-11, 0x1.f060f18363087p-12, 0x1.de445783318f2p-12, 0x1.ccad6a1f665efp-12, 0x1.bb98843f04977p-12, 0x1.ab0219fc63223p-12, 0x1.9ae6b8005a795p-12, 0x1.8b4302e04b1c7p-12, 0x1.7c13b67fb0d97p-12, 0x1.6d55a5768c929p-12, 0x1.5f05b879e4984p-12, 0x1.5120edc87f3a2p-12, 0x1.43a4589a709fp-12, 0x1.368d2094dcf95p-12, 0x1.29d8814074ca6p-12, 0x1.1d83c9833d922p-12, 0x1.118c5b1d9ac33p-12, 0x1.05efaa2b071e3p-12, 0x1.f5567949151ddp-13, 0x1.df7953cea9439p-13, 0x1.ca43347a188d4p-13, 0x1.b5af8cd177effp-13, 0x1.a1b9ee6a5ac12p-13, 0x1.8e5e0a0cb8931p-13, 0x1.7b97aedb6c1bfp-13, 0x1.6962c9835cfaep-13, 0x1.57bb636cb5b4fp-13, 0x1.469da1f517ef5p-13, 0x1.3605c5a9cdf5ep-13, 0x1.25f0298b428e4p-13, 0x1.1659425466e4fp-13, 0x1.073d9dc53204p-13, 0x1.f133c3e42acc6p-14, 0x1.d4d59934967ccp-14, 0x1.b95a64fd6b854p-14, 0x1.9ebbfd806bc52p-14, 0x1.84f46481dfdbap-14, 0x1.6bfdc61061c67p-14, 0x1.53d27759e6596p-14, 0x1.3c6cf587395eap-14, 0x1.25c7e49cabb84p-14, 0x1.0fde0e63922b4p-14, 0x1.f554c2bc717ebp-15, 0x1.cc4fdf79eb9d4p-15, 0x1.a4a3dcbc688a7p-15, 0x1.7e4767ac332f2p-15, 0x1.59316ef02bca6p-15, 0x1.355920d9abd76p-15, 0x1.12b5e99621704p-15, 0x1.e27ee2d82155p-16, 0x1.a1db3617372aep-16, 0x1.637103c665bf5p-16, 0x1.2730f1097257dp-16, 0x1.da181c400dd29p-17, 0x1.69e7a6bc2d581p-17, 0x1.fb6878ca56cc8p-18, 0x1.2ac4b9206a8e8p-18, 0x1.86ba2b04d0e53p-20, -0x1.80388d3c7efp-20, -0x1.1aa3f9de7237ap-18, -0x1.ce4443ec08e87p-18, -0x1.3d8f7c4aaedf4p-17, -0x1.90b16278e4774p-17, -0x1.e09e8ac30d7cdp-17, -0x1.16b687dd24e3ap-16, -0x1.3b993a57d930bp-16, -0x1.5f01d5083ec4p-16, -0x1.80fa88d2cb008p-16, -0x1.a18d414ee7ffcp-16, -0x1.c0c3a6c93007bp-16, -0x1.dea72035710b5p-16, -0x1.fb40d50166f6dp-16, -0x1.0b4cd77ca3fap-15, -0x1.185d2e012aa52p-15, -0x1.24d5a7eb90d16p-15, -0x1.30ba62d7a8118p-15, -0x1.3c0f60f09ca91p-15, -0x1.46d889b9f63d1p-15, -0x1.5119aad069cccp-15, -0x1.5ad678ab6255ap-15, -0x1.64128f53e1017p-15, -0x1.6cd1731515b9p-15, -0x1.7516912bdeb11p-15, -0x1.7ce5406d9a116p-15, -0x1.8440c1ed6c6p-15, -0x1.8b2c4197a66bbp-15, -0x1.91aad6cdf2741p-15, -0x1.97bf84fbb3857p-15, -0x1.9d6d3c23031fp-15, -0x1.a2b6d96da5c75p-15, -0x1.a79f27b2d5769p-15, -0x1.ac28dffc55b3p-15, -0x1.b056aa046d4d2p-15, -0x1.b42b1cb2aa9fdp-15, -0x1.b7a8be94cb8aap-15, -0x1.bad206523aad3p-15, -0x1.bda95b1e92f44p-15, -0x1.c0311525f2f71p-15, -0x1.c26b7df87d34p-15, -0x1.c45ad0ee1e51cp-15, -0x1.c6013b8de3447p-15, -0x1.c760ddeecaf42p-15, -0x1.c87bcb13b0a4ep-15, -0x1.c9540946f80afp-15, -0x1.c9eb9272b27cbp-15, -0x1.ca445476e948cp-15, -0x1.ca60317aef828p-15, -0x1.ca41003e73ad6p-15, -0x1.c9e88c680433cp-15, -0x1.c95896d0924b3p-15, -0x1.c892d5c97baf8p-15, -0x1.c798f566dcb92p-15, -0x1.c66c97c3acdbfp-15, -0x1.c50f5543080ddp-15, -0x1.c382bcd109908p-15, -0x1.c1c85421f7d49p-15, -0x1.bfe197eec14a7p-15, -0x1.bdcffc2eea329p-15, -0x1.bb94ec5179e76p-15, -0x1.b931cb7527658p-15, -0x1.b6a7f49e2bca6p-15, -0x1.b3f8bae7bfdbp-15, -0x1.b12569b831e96p-15, -0x1.ae2f44f1b1603p-15, -0x1.ab178920c9fdap-15, -0x1.a7df6ba99acc4p-15, -0x1.a4881af5317f5p-15, -0x1.a112be9c7b8e1p-15, -0x1.9d8077930c6f1p-15, -0x1.99d2604c4c675p-15, -0x1.96098ce56f9b1p-15, -0x1.92270b4b0f822p-15, -0x1.8e2be35dd9738p-15, -0x1.8a19171591e3ap-15, -0x1.85efa2a549298p-15, -0x1.81b07c9c7dc0dp-15, -0x1.7d5c9606a204fp-15, -0x1.78f4da8b44693p-15, -0x1.747a308d44234p-15, -0x1.6fed794a4c73p-15, -0x1.6b4f90f53979ep-15, -0x1.66a14ed318af1p-15, -0x1.61e38556a5a88p-15, -0x1.5d17023aea644p-15, -0x1.583c8e9ca733fp-15, -0x1.5354ef13958bdp-15, -0x1.4e60e3cb7cb39p-15, -0x1.4961289af73c5p-15, -0x1.4456751a0e4e7p-15, -0x1.3f417cb847044p-15, -0x1.3a22eed379e2cp-15, -0x1.34fb76cd93d2ap-15, -0x1.2fcbbc1fbf723p-15, -0x1.2a94626ed6443p-15, -0x1.2556099ebde39p-15, -0x1.20114de4cf7fcp-15, -0x1.1ac6c7db02fc4p-15, -0x1.15770c91b3369p-15, -0x1.1022ada122e41p-15, -0x1.0aca393ad127ep-15, -0x1.056e3a38eef9cp-15, -0x1.000f382f27f1fp-15, -0x1.f55b6ef2e1bfap-16, -0x1.ea94729c1a8d6p-16, -0x1.dfca779442ebp-16, -0x1.d4fe74032ba29p-16, -0x1.ca31581900087p-16, -0x1.bf640e2a5d545p-16, -0x1.b4977acab8e99p-16, -0x1.a9cc7cea01d7cp-16, -0x1.9f03edeb42491p-16, -0x1.943ea1bfdc858p-16, -0x1.897d66ffb7f9ep-16, -0x1.7ec10700a5ecdp-16, -0x1.740a45ee51fep-16, -0x1.6959e2e205f93p-16, -0x1.5eb097fa501d5p-16, -0x1.540f1a6fe9637p-16, -0x1.49761aab9c4bcp-16, -0x1.3ee6445bbb421p-16, -0x1.34603e8752f15p-16, -0x1.29e4aba48e729p-16, -0x1.1f7429ad36889p-16, -0x1.150f52307f446p-16, -0x1.0ab6ba66fc2f4p-16, -0x1.006af345c37c7p-16, -0x1.ec59131fda462p-17, -0x1.d7f80bd25d308p-17, -0x1.c3b3d9d11f839p-17, -0x1.af8d7e551861ap-17, -0x1.9b85f2c0b365ap-17, -0x1.879e28c4c008ap-17, -0x1.73d70a7ecc52cp-17, -0x1.60317a9a34bdep-17, -0x1.4cae5470a6b77p-17, -0x1.394e6c2dbe383p-17, -0x1.26128eea1bb91p-17, -0x1.12fb82c84933bp-17, -0x1.000a07174203bp-17, -0x1.da7da8d87d18ap-18, -0x1.b53539803341p-18, -0x1.903c171c422d6p-18, -0x1.6b938be505449p-18, -0x1.473cd5855729ep-18, -0x1.233925531ef97p-18, -0x1.ff13410bedf86p-19, -0x1.b85ec0cfa87cp-19, -0x1.7256e51ae82afp-19, -0x1.2cfdb2149ab8cp-19, -0x1.d0aa2aac4a763p-20, -0x1.48bdcc6dc1b72p-20, -0x1.847398f79fd4ap-21, -0x1.e90c17fb869bbp-23, 0x1.1a1f880d93b52p-22, 0x1.917ebbe4505c3p-21, 0x1.498214dcd4503p-20, 0x1.c8cd5298dcb2dp-20, 0x1.234f451ef9614p-19, 0x1.6179aaad0edc2p-19, 0x1.9ee4b9a4239ecp-19, 0x1.db8f64439e04ep-19, 0x1.0bbc577e2e07cp-18, 0x1.294fd810f6885p-18, 0x1.4681c7c256fcfp-18, 0x1.6351c3168705dp-18, 0x1.7fbf6f050e6ap-18, 0x1.9bca78c9253bap-18, 0x1.b77295c04fcbap-18, 0x1.d2b7833de3d5cp-18, 0x1.ed9906682e544p-18, 0x1.040b76036971p-17, 0x1.111884316c4eap-17, 0x1.1df39b8fcdb89p-17, 0x1.2a9cad8b1a4ccp-17, 0x1.3713af189a5bcp-17, 0x1.435898a287f91p-17, 0x1.4f6b65f6a8612p-17, 0x1.5b4c16337572cp-17, 0x1.66faabb4d08dp-17, 0x1.72772c0621afdp-17, 0x1.7dc19fce859f3p-17, 0x1.88da12bf8183fp-17, 0x1.93c093855b13ep-17, 0x1.9e7533b5c1d24p-17, 0x1.a8f807bfd3a1fp-17, 0x1.b34926d831f94p-17, 0x1.bd68aaed1b4a4p-17, 0x1.c756b09361089p-17, 0x1.d11356f8ed8b6p-17, 0x1.da9ebfd4e6e2fp-17, 0x1.e3f90f5721dc1p-17, 0x1.ed226c197379fp-17, 0x1.f61aff10d5c2ep-17, 0x1.fee2f37cb0f8dp-17, 0x1.03bd3b6d762dap-16, 0x1.07f0dc6c61d84p-16, 0x1.0c0c75a151069p-16, 0x1.101020fc0464fp-16, 0x1.13fbf96e4f59cp-16, 0x1.17d01ae5add3bp-16, 0x1.1b8ca24397ffbp-16, 0x1.1f31ad571988bp-16, 0x1.22bf5ad6ce70ep-16, 0x1.2635ca59849a3p-16, 0x1.29951c50654cbp-16, 0x1.2cdd72009a273p-16, 0x1.300eed7c705bap-16, 0x1.3329b19de2c41p-16, 0x1.362de1ff722eap-16, 0x1.391ba2f72e44fp-16, 0x1.3bf3198ff4e29p-16, 0x1.3eb46b84a91aap-16, 0x1.415fbf38eeb0ap-16, 0x1.43f53bb46a7bfp-16, 0x1.4675089d5240dp-16, 0x1.48df4e31a07f7p-16, 0x1.4b34354344128p-16, 0x1.4d73e7317523ep-16, 0x1.4f9e8de3f084fp-16, 0x1.51b453c5afe13p-16, 0x1.53b563bfd0c85p-16, 0x1.55a1e93478d55p-16, 0x1.577a0ff969da7p-16, 0x1.593e0454161ep-16, 0x1.5aedf2f3e5fb1p-16, 0x1.5c8a08ed2ec54p-16, 0x1.5e1273b5c3ae9p-16, 0x1.5f87611f17609p-16, 0x1.60e8ff52f53c5p-16, 0x1.62377ccd0525bp-16, 0x1.63730858e3ae7p-16, 0x1.649bd10b7aa59p-16, 0x1.65b2063fd6714p-16, 0x1.66b5d79430bb9p-16, 0x1.67a774e353d08p-16, 0x1.68870e421724ap-16, 0x1.6954d3fb6aec4p-16, 0x1.6a10f68bd3951p-16, 0x1.6abba69da37b9p-16, 0x1.6b551505706edp-16, 0x1.6bdd72bf167p-16, 0x1.6c54f0e8e83bdp-16, 0x1.6cbbc0c00d06bp-16, 0x1.6d12139e1a8ebp-16, 0x1.6d581af4d398dp-16, 0x1.6d8e084b7e46bp-16, 0x1.6db40d3a25eadp-16, 0x1.6dca5b67e7162p-16, 0x1.6dd12486e3677p-16, 0x1.6dc89a507f93ap-16, 0x1.6db0ee853770fp-16, 0x1.6d8a52e683c1dp-16, 0x1.6d54f93488739p-16, }}, 
      {{0x1.569f6ad95b8d8p-1, 0x1.56bc02fc52492p-1, 0x1.56f31c2573b23p-1, 0x1.5748dae2f5a55p-1, 0x1.57bdc50e3a34ap-1, 0x1.584ed4054523p-1, 0x1.58f63372116cdp-1, 0x1.59ac3535e7653p-1, 0x1.5a683d42e4dbfp-1, 0x1.5b2188c893e7dp-1, 0x1.5bcfc6d494fcp-1, 0x1.5c6b82db1d39dp-1, 0x1.5cee66b2fefbp-1, 0x1.5d535b82dd9c8p-1, 0x1.5d969149e7e1dp-1, 0x1.5db573f6d434bp-1, 0x1.5dae93eb5c83dp-1, 0x1.5d8186a49a0e1p-1, 0x1.5d2ec32fbc67cp-1, 0x1.5cb77d2697bbep-1, 0x1.5c1d802c81339p-1, 0x1.5b630d47c3fe4p-1, 0x1.5a8abaf9e0519p-1, 0x1.5997589b72de6p-1, 0x1.588bd53abc744p-1, 0x1.576b2a08adb55p-1, 0x1.5638483c25347p-1, 0x1.54f60a3a67cb3p-1, 0x1.53a727c41f3ccp-1, 0x1.524e2cdd2b14fp-1, 0x1.50ed7321a3a32p-1, 0x1.4f871d3a24611p-1, 0x1.4e1d1423cb6e6p-1, 0x1.4cb106047bf74p-1, 0x1.4b4466492c94bp-1, 0x1.49d86ed1f285p-1, 0x1.486e21f5a7478p-1, 0x1.47064d2d30d1p-1, 0x1.45a18c3c7c473p-1, 0x1.44404cb4e5e32p-1, 0x1.42e2d1b2160f1p-1, 0x1.418937b73a3cep-1, 0x1.40337896da69p-1, 0x1.3ee16f5382a6p-1, 0x1.3d92dbeae45dfp-1, 0x1.3c47670023ca3p-1, 0x1.3afea55ca3bcap-1, 0x1.39b81b40e233dp-1, 0x1.38733f80e9d51p-1, 0x1.372f7e6972caep-1, 0x1.35ec3c6c2ceb6p-1, 0x1.34a8d892c300ep-1, 0x1.3364aeb912922p-1, 0x1.321f198fc56dfp-1, 0x1.30d7746912a34p-1, 0x1.2f8d1cd1cd4fap-1, 0x1.2e3f73f94756fp-1, 0x1.2ceddfeab8c0dp-1, 0x1.2b97cc9b0aa44p-1, 0x1.2a3caccdef1b7p-1, 0x1.28dbfad53ce75p-1, 0x1.2775392d78756p-1, 0x1.2607f2fa6af1fp-1, 0x1.2493bc668ecaep-1, 0x1.231832e800d3ap-1, 0x1.2194fd6d85217p-1, 0x1.2009cc7610262p-1, 0x1.1e765a151c183p-1, 0x1.1cda69e5f773bp-1, 0x1.1b35c8f00c82ap-1, 0x1.19884d7e05b53p-1, 0x1.17d1d6e988939p-1, 0x1.16124d5d255bdp-1, 0x1.1449a18df1ca9p-1, 0x1.1277cc6e2d5cfp-1, 0x1.109cceda27f68p-1, 0x1.0eb8b1408b369p-1, 0x1.0ccb83470bbbbp-1, 0x1.0ad55b6c6d67cp-1, 0x1.08d656a8ae695p-1, 0x1.06ce980c150eap-1, 0x1.04be485dcc203p-1, 0x1.02a595ba9ee5bp-1, 0x1.0084b3346040dp-1, 0x1.fcb7b0e4d0cacp-2, 0x1.f85682a72c136p-2, 0x1.f3e65b2447853p-2, 0x1.ef67c0d347236p-2, 0x1.eadb407eb0205p-2, 0x1.e6416c9a503edp-2, 0x1.e19adc9ea7378p-2, 0x1.dce82c6a1ab2bp-2, 0x1.d829fba8334bp-2, 0x1.d360ed3efcfc2p-2, 0x1.ce8da6c2b99bcp-2, 0x1.c9b0cfefe63fp-2, 0x1.c4cb122ba9f8ep-2, 0x1.bfdd180aa283dp-2, 0x1.bae78cde0bc14p-2, 0x1.b5eb1c4730785p-2, 0x1.b0e871d112bb3p-2, 0x1.abe038902935ap-2, 0x1.a6d31ac81eeafp-2, 0x1.a1c1c1976735bp-2, 0x1.9cacd4a887b0bp-2, 0x1.9794f9e8eb9dcp-2, 0x1.927ad54519a4fp-2, 0x1.8d5f086a1d4fp-2, 0x1.8842328bf52a6p-2, 0x1.8324f030de071p-2, 0x1.7e07db01413adp-2, 0x1.78eb899c22bep-2, 0x1.73d08f6fd2e1bp-2, 0x1.6eb77c96c06ep-2, 0x1.69a0ddb82f5a1p-2, 0x1.648d3becb15ddp-2, 0x1.5f7d1ca628838p-2, 0x1.5a71019b2c93dp-2, 0x1.556968b5a0c95p-2, 0x1.5066cc04570bep-2, 0x1.4b69a1af8a2bdp-2, 0x1.46725bf01052cp-2, 0x1.4181690917edp-2, 0x1.3c9733444857bp-2, 0x1.37b420f01ebedp-2, 0x1.32d8946069b2ap-2, 0x1.2e04ebf0b3f5fp-2, 0x1.2939820888873p-2, 0x1.2476ad2166fd1p-2, 0x1.1fbcbfce4b30cp-2, 0x1.1b0c08c4a8fabp-2, 0x1.1664d2e6c4431p-2, 0x1.11c7654f3dd05p-2, 0x1.0d34035dc812dp-2, 0x1.08aaecc4defbap-2, 0x1.042c5d98730a3p-2, 0x1.ff711cbad6d3cp-3, 0x1.f69f6833d5caep-3, 0x1.ede400cc88abp-3, 0x1.e53f42fd0cb45p-3, 0x1.dcb184a920994p-3, 0x1.d43b154540467p-3, 0x1.cbdc3dfc7f8a2p-3, 0x1.c39541d7166afp-3, 0x1.bb665de17bfcdp-3, 0x1.b34fc953ed67ep-3, 0x1.ab51b5ba50694p-3, 0x1.a36c4f1c54486p-3, 0x1.9b9fbc25b51ap-3, 0x1.93ec1e4e96c2ep-3, 0x1.8c519203dffadp-3, 0x1.84d02ecf73e2ap-3, 0x1.7d680780575f3p-3, 0x1.76192a5292b93p-3, 0x1.6ee3a116d145p-3, 0x1.67c77159b645bp-3, 0x1.60c49c8ac59f4p-3, 0x1.59db2022eae5bp-3, 0x1.530af5ca87ea9p-3, 0x1.4c54137f04a05p-3, 0x1.45b66bb7d5c62p-3, 0x1.3f31ed8af513ep-3, 0x1.38c684d0c2fdp-3, 0x1.32741a47485bfp-3, 0x1.2c3a93b4d8076p-3, 0x1.2619d40a08662p-3, 0x1.2011bb82fdf75p-3, 0x1.1a2227c808938p-3, 0x1.144af40d8efe4p-3, 0x1.0e8bf9333ffep-3, 0x1.08e50de291c5fp-3, 0x1.035606ac80bcbp-3, 0x1.fbbd6c4d35a5dp-4, 0x1.f0fdda0e946e6p-4, 0x1.e66cf482d0671p-4, 0x1.dc0a563e2254ep-4, 0x1.d1d596b77a72p-4, 0x1.c7ce4a7b42047p-4, 0x1.bdf4035c9bafep-4, 0x1.b44650a5406abp-4, 0x1.aac4bf43e5bccp-4, 0x1.a16ed9f9328ddp-4, 0x1.9844298356394p-4, 0x1.8f4434c835681p-4, 0x1.866e80fe33075p-4, 0x1.7dc291d3a36d8p-4, 0x1.753fe994e5d06p-4, 0x1.6ce609512b413p-4, 0x1.64b470fdf2c0bp-4, 0x1.5caa9f993cb37p-4, 0x1.54c8134a7f0a1p-4, 0x1.4d0c49825c668p-4, 0x1.4576bf1925a2p-4, 0x1.3e06f06c2e526p-4, 0x1.36bc5979f6986p-4, 0x1.2f9675fd31c75p-4, 0x1.2894c186b257dp-4, 0x1.21b6b7963ed79p-4, 0x1.1afbd3b257939p-4, 0x1.1463917ef3ac3p-4, 0x1.0ded6cd33a261p-4, 0x1.0798e1ce40a4cp-4, 0x1.01656cead462p-4, 0x1.f6a51624a49e4p-5, 0x1.eabf735d2fbeap-5, 0x1.df18ed7621c4cp-5, 0x1.d3b081a9d3fddp-5, 0x1.c8852e94d5ef5p-5, 0x1.bd95f45307fb3p-5, 0x1.b2e1d49b1ffdap-5, 0x1.a867d2d8a6501p-5, 0x1.9e26f44478eb8p-5, 0x1.941e3ffbe0453p-5, 0x1.8a4cbf163c3c4p-5, 0x1.80b17cb95c175p-5, 0x1.774b862c89a9ep-5, 0x1.6e19eaea4f5f8p-5, 0x1.651bbcb109018p-5, 0x1.5c500f9249c56p-5, 0x1.53b5fa011a752p-5, 0x1.4b4c94df2581p-5, 0x1.4312fb88d209dp-5, 0x1.3b084be05b41cp-5, 0x1.332ba657ed4a3p-5, 0x1.2b7c2dfad2765p-5, 0x1.23f90875b52bcp-5, 0x1.1ca15e1e06362p-5, 0x1.157459f88bc6ap-5, 0x1.0e7129bf1f1a9p-5, 0x1.0796fde5ad31cp-5, 0x1.00e5099e70057p-5, 0x1.f4b505baf32c2p-6, 0x1.e7ed44b72035dp-6, 0x1.db714730be665p-6, 0x1.cf3f89b8244b7p-6, 0x1.c3568e709b609p-6, 0x1.b7b4dd113db84p-6, 0x1.ac5902e4bdb06p-6, 0x1.a14192c81e078p-6, 0x1.966d25287ab06p-6, 0x1.8bda57ffd5baap-6, 0x1.8187ced10d9b1p-6, 0x1.777432a2f2462p-6, 0x1.6d9e31fa9812dp-6, 0x1.640480d4d8eap-6, 0x1.5aa5d89f30ccep-6, 0x1.5180f82fe4198p-6, 0x1.4894a3bd7ad0cp-6, 0x1.3fdfa4d5b358p-6, 0x1.3760ca53d79bp-6, 0x1.2f16e8568b117p-6, 0x1.2700d8351cecp-6, 0x1.1f1d787464bcbp-6, 0x1.176bacbb26caap-6, 0x1.0fea5dc61a1b3p-6, 0x1.0898795b87bd2p-6, 0x1.0174f23e94ef1p-6, 0x1.f4fd80446395ep-7, 0x1.e769bf3799aafp-7, 0x1.da2ca42b54bd1p-7, 0x1.cd443b822081bp-7, 0x1.c0ae9b10551e4p-7, 0x1.b469e1ff7dfdfp-7, 0x1.a87438b16ace2p-7, 0x1.9ccbd0a2e397ep-7, 0x1.916ee44e0ca1p-7, 0x1.865bb70ca0143p-7, 0x1.7b9094f9d608cp-7, 0x1.710bd2d42c2bcp-7, 0x1.66cbcddefef77p-7, 0x1.5cceebc4082d4p-7, 0x1.53139a74cb044p-7, 0x1.4998500bdff8bp-7, 0x1.405b8aae44b0cp-7, 0x1.375bd06ca34aep-7, 0x1.2e97af2499ad1p-7, 0x1.260dbc6215177p-7, 0x1.1dbc9540acbafp-7, 0x1.15a2de4d1b8ebp-7, 0x1.0dbf4366c8a3dp-7, 0x1.061077a17849fp-7, 0x1.fd2a6a4e38e44p-8, 0x1.ee987a33865f4p-8, 0x1.e068aeeb63f44p-8, 0x1.d298a5e76bb5bp-8, 0x1.c52609d74535ap-8, 0x1.b80e926e06679p-8, 0x1.ab50042808315p-8, 0x1.9ee8301128322p-8, 0x1.92d4f38b9626dp-8, 0x1.871438171f1f6p-8, 0x1.7ba3f318f63e3p-8, 0x1.708225a3fe61ep-8, 0x1.65acdc41bc697p-8, 0x1.5b222ebbb3de3p-8, 0x1.50e03fe58b76cp-8, 0x1.46e53d67aaa2ap-8, 0x1.3d2f5f8a638a8p-8, 0x1.33bce901d56e7p-8, 0x1.2a8c26ba60d1dp-8, 0x1.219b6fa5d1345p-8, 0x1.18e924891fa27p-8, 0x1.1073afcac5633p-8, 0x1.08398541cee55p-8, 0x1.003922059596ap-8, 0x1.f0e2187c2be6ep-9, 0x1.e1bfa5ea246efp-9, 0x1.d3081bcf54de7p-9, 0x1.c4b8bab18ac7cp-9, 0x1.b6ced3c82fff2p-9, 0x1.a947c8a3b9cbdp-9, 0x1.9c210ad695c68p-9, 0x1.8f581b9f25803p-9, 0x1.82ea8b933ce71p-9, 0x1.76d5fa4cec403p-9, 0x1.6b1816189fd67p-9, 0x1.5fae9ba49cb16p-9, 0x1.549755b1faf9bp-9, 0x1.49d01cc68cce8p-9, 0x1.3f56d6e0594d1p-9, 0x1.3529772a5fcbdp-9, 0x1.2b45fdb29144bp-9, 0x1.21aa77214d9eep-9, 0x1.1854fc71eaaf2p-9, 0x1.0f43b2ac899c3p-9, 0x1.0674caa141697p-9, 0x1.fbcd0148ed5cfp-10, 0x1.eb2e3898f945bp-10, 0x1.db09e0611fa03p-10, 0x1.cb5cb351a0b03p-10, 0x1.bc23811ee3b5dp-10, 0x1.ad5b2e0685857p-10, 0x1.9f00b25684aeep-10, 0x1.911119f6befd4p-10, 0x1.838983f51ee46p-10, 0x1.76672213a88fcp-10, 0x1.69a7385882b9dp-10, 0x1.5d471ca0ee7c7p-10, 0x1.51443635cc934p-10, 0x1.459bfd62a6a15p-10, 0x1.3a4bfb0ec2e2p-10, 0x1.2f51c8586d0d3p-10, 0x1.24ab0e31e6927p-10, 0x1.1a558500c0f27p-10, 0x1.104ef43f22fcep-10, 0x1.0695321ef8f2dp-10, 0x1.fa4c465e64affp-11, 0x1.e7ff74061fd8dp-11, 0x1.d63fedb5749adp-11, 0x1.c509ce9cb67efp-11, 0x1.b4594bf57911p-11, 0x1.a42ab45f5f954p-11, 0x1.947a6f40aaa84p-11, 0x1.8544fc2a6b03fp-11, 0x1.7686f23fe0b87p-11, 0x1.683cffa0d3b93p-11, 0x1.5a63e8d7ea49p-11, 0x1.4cf8884bdbe8p-11, 0x1.3ff7cdb3f8907p-11, 0x1.335ebd8face34p-11, 0x1.272a70a192edep-11, 0x1.1b58136ce27a2p-11, 0x1.0fe4e5b5ecb68p-11, 0x1.04ce3a0604f2p-11, 0x1.f422ea63539c7p-12, 0x1.df581bc3ea797p-12, 0x1.cb3718413d603p-12, 0x1.b7bb11cd35f8cp-12, 0x1.a4df5b5ae6b1ep-12, 0x1.929f6806525c6p-12, 0x1.80f6ca415012fp-12, 0x1.6fe133055561cp-12, 0x1.5f5a710a4381fp-12, 0x1.4f5e70025df02p-12, 0x1.3fe937da48c94p-12, 0x1.30f6ebfdcd6e3p-12, 0x1.2283caa11e467p-12, 0x1.148c2c0e7b011p-12, 0x1.070c81f8c74p-12, 0x1.f402ada21535fp-13, 0x1.dace9a4299c4dp-13, 0x1.c2763dd62b73ep-13, 0x1.aaf33a13a54bcp-13, 0x1.943f5d31bf145p-13, 0x1.7e54a0bb175aep-13, 0x1.692d286a08903p-13, 0x1.54c3410b9433cp-13, 0x1.41115f6930b3fp-13, 0x1.2e121f3941459p-13, 0x1.1bc0421774bfp-13, 0x1.0a16ae8283da4p-13, 0x1.f220ddc1ea995p-14, 0x1.d1516117808b5p-14, 0x1.b1b585c0a87b3p-14, 0x1.93442caee43f2p-14, 0x1.75f47745361d7p-14, 0x1.59bdc59e06196p-14, 0x1.3e97b4dceebe1p-14, 0x1.247a1d8a5528ep-14, 0x1.0b5d11fa8f099p-14, 0x1.e671b98120f52p-15, 0x1.b80bfe508ca07p-15, 0x1.8b7a5f7b750e6p-15, 0x1.60aeb1b96456cp-15, 0x1.379b2e94c8a08p-15, 0x1.103271aec48aep-15, 0x1.d4ceec2ffc025p-16, 0x1.8c5b276fcb131p-16, 0x1.46f0f99640b3fp-16, 0x1.047876d8c4a55p-16, 0x1.89b4bcc5e2a3dp-17, 0x1.10002b5d9111p-17, 0x1.374e9002d6036p-18, 0x1.63fadf88f0558p-20, -0x1.ed08eb1b8c70dp-20, -0x1.45c4fd917d96p-18, -0x1.036c016473f36p-17, -0x1.5f63c499ba965p-17, -0x1.b6eed5c398aap-17, -0x1.05189bdd40a01p-16, -0x1.2ca6f50a8238fp-16, -0x1.5233782711684p-16, -0x1.75ceac54a3912p-16, -0x1.9788a172fd1ebp-16, -0x1.b770f36d7e87cp-16, -0x1.d596cd6545975p-16, -0x1.f208ecca77812p-16, -0x1.066ad22fd8907p-15, -0x1.13056f95b2ecap-15, -0x1.1edb11a6ed434p-15, -0x1.29f24a65bf265p-15, -0x1.34517c20077cp-15, -0x1.3dfedabc9bdb1p-15, -0x1.47006d055fec6p-15, -0x1.4f5c0de450ee5p-15, -0x1.57176d981d53ep-15, -0x1.5e3812e23c38bp-15, -0x1.64c35c2a10598p-15, -0x1.6abe809a1b5aep-15, -0x1.702e9134522aep-15, -0x1.751879e11cf9ap-15, -0x1.798102728b429p-15, -0x1.7d6ccfa36bcb9p-15, -0x1.80e0640f5ecd8p-15, -0x1.83e02123df651p-15, -0x1.8670480917d02p-15, -0x1.8894fa8687f98p-15, -0x1.8a523bdf96299p-15, -0x1.8babf1a9aeadcp-15, -0x1.8ca5e49fc6715p-15, -0x1.8d43c16c0a6b4p-15, -0x1.8d89196e4b899p-15, -0x1.8d79637b3e95dp-15, -0x1.8d17fc986f39ap-15, -0x1.8c6828b1b7e29p-15, -0x1.8b6d13494d764p-15, -0x1.8a29d024df103p-15, -0x1.88a15bf3e9ecp-15, -0x1.86d69cf0579ebp-15, -0x1.84cc637f5c72p-15, -0x1.82856ac87d88ap-15, -0x1.8004594c08561p-15, -0x1.7d4bc173ea603p-15, -0x1.7a5e22204f6bbp-15, -0x1.773de730bba83p-15, -0x1.73ed6a09850a4p-15, -0x1.706ef215b4d44p-15, -0x1.6cc4b544b26c1p-15, -0x1.68f0d884e7edcp-15, -0x1.64f57039d3734p-15, -0x1.60d480b08984ap-15, -0x1.5c8ffe90a57bbp-15, -0x1.5829cf494cb3ap-15, -0x1.53a3c97b78ec9p-15, -0x1.4effb561cf6bdp-15, -0x1.4a3f4d33f8a1ep-15, -0x1.45643d8a12791p-15, -0x1.407025ba7f547p-15, -0x1.3b649837ccd59p-15, -0x1.36431ae8bacb1p-15, -0x1.310d278076012p-15, -0x1.2bc42bd357b6ep-15, -0x1.26698a2a0607ap-15, -0x1.20fe9991c6a1ap-15, -0x1.1b84a62a2ab4ep-15, -0x1.15fcf1723141p-15, -0x1.1068b28ff0959p-15, -0x1.0ac9169a56da4p-15, -0x1.051f40def3a85p-15, -0x1.fed8964b2d984p-16, -0x1.f3628be3e3286p-16, -0x1.e7de7188c0a0bp-16, -0x1.dc4e44b0c4d79p-16, -0x1.d0b3f1c36a194p-16, -0x1.c511548dda374p-16, -0x1.b96838b8762edp-16, -0x1.adba5a35e30a5p-16, -0x1.a20965ad4f3ap-16, -0x1.9656f8e76fff5p-16, -0x1.8aa4a335d7ee6p-16, -0x1.7ef3e5d60ecep-16, -0x1.73463453010cfp-16, -0x1.679cf4e4da3fbp-16, -0x1.5bf980cda800cp-16, -0x1.505d24b2f6ea6p-16, -0x1.44c920f4c3bdp-16, -0x1.393eaa04bdf25p-16, -0x1.2dbee8b87159dp-16, -0x1.224afa985207fp-16, -0x1.16e3f23082b46p-16, -0x1.0b8ad75c2756ap-16, -0x1.0040a790e5281p-16, -0x1.ea0cac4b91046p-17, -0x1.d3b999361cdfap-17, -0x1.bd89d5bdeaa2dp-17, -0x1.a77f0f2326ed4p-17, -0x1.919ae086b638cp-17, -0x1.7bded36dd018ep-17, -0x1.664c603d9c0b8p-17, -0x1.50e4eeb036b1dp-17, -0x1.3ba9d64d4c54fp-17, -0x1.269c5edb25f77p-17, -0x1.11bdc0ce1d8b8p-17, -0x1.fa1e4b677098ap-18, -0x1.d12351392201fp-18, -0x1.a88cad07704cp-18, -0x1.805c5d6b6a844p-18, -0x1.5894465cc751p-18, -0x1.313631f2a8935p-18, -0x1.0a43d11f137dbp-18, -0x1.c77d78bf170f1p-19, -0x1.7b50e8dc4a912p-19, -0x1.3004c5e60b67p-19, -0x1.cb376c900eb67p-20, -0x1.383069b641832p-20, -0x1.4df24862f72c5p-21, -0x1.795eaa47a79c3p-24, 0x1.d7d510e43056p-22, 0x1.01a4b744a8bb4p-20, 0x1.8b7508bc75b33p-20, 0x1.09b18e08331dep-19, 0x1.4cb60ddd191cp-19, 0x1.8ec6bb9d62b41p-19, 0x1.cfe270831bfa7p-19, 0x1.0804131f8afc2p-18, 0x1.279b7b06f5a19p-18, 0x1.46b70bddc14c7p-18, 0x1.6556705f8f9adp-18, 0x1.837961ac930fbp-18, 0x1.a11fa6d9e0a35p-18, 0x1.be49147e6ec25p-18, 0x1.daf58c4d4bd63p-18, 0x1.f724fcadb737ep-18, 0x1.096bb02a41ef6p-17, 0x1.17065ef19856dp-17, 0x1.246293c4bede1p-17, 0x1.31805d5173a8bp-17, 0x1.3e5fcfae75af8p-17, 0x1.4b01042ff05cdp-17, 0x1.57641939bfeb2p-17, 0x1.63893216707aap-17, 0x1.6f7076ce0943ep-17, 0x1.7b1a13fca4ec6p-17, 0x1.86863aaa6302p-17, 0x1.91b520253b87bp-17, 0x1.9ca6fddc82da9p-17, 0x1.a75c113a3173cp-17, 0x1.b1d49b8089ffap-17, 0x1.bc10e1a7b9b19p-17, 0x1.c6112c3919de1p-17, 0x1.cfd5c7305f1cfp-17, 0x1.d95f01da83a32p-17, 0x1.e2ad2eb4ff6f1p-17, 0x1.ebc0a34fc29eap-17, 0x1.f499b82f8d728p-17, 0x1.fd38c8af5a86cp-17, 0x1.02cf1971b4c4fp-16, 0x1.06e52bbef19eap-16, 0x1.0adeccd9e209bp-16, 0x1.0ebc2f90c9765p-16, 0x1.127d87d89d787p-16, 0x1.16230ac0b0ef9p-16, 0x1.19acee65f9956p-16, 0x1.1d1b69e6a2a5bp-16, 0x1.206eb55761e34p-16, 0x1.23a709b6ba438p-16, 0x1.26c4a0e251abfp-16, 0x1.29c7b58c0b98ap-16, 0x1.2cb0832f4aab9p-16, 0x1.2f7f460640a65p-16, 0x1.32343affd5b4fp-16, 0x1.34cf9fb5defcep-16, 0x1.3751b263d3fep-16, 0x1.39bab1dcc21d8p-16, 0x1.3c0add8247ecbp-16, 0x1.3e42753c1f1b7p-16, 0x1.4061b96e9d3f4p-16, 0x1.4268eaf290a4p-16, 0x1.44584b0d4e1cp-16, 0x1.46301b68157bp-16, 0x1.47f09e082f406p-16, 0x1.499a1547bdaedp-16, 0x1.4b2cc3ce0a056p-16, 0x1.4ca8ec8814043p-16, 0x1.4e0ed2a175bfep-16, 0x1.4f5eb97d8ecadp-16, 0x1.5098e4b1425e2p-16, 0x1.51bd97fbcc0b4p-16, 0x1.52cd17407991bp-16, 0x1.53c7a680d8003p-16, 0x1.54ad89d6a224dp-16, 0x1.557f056d2109p-16, 0x1.563c5d7cc385ap-16, 0x1.56e5d6446d73ep-16, 0x1.577bb4048d8d1p-16, 0x1.57fe3af9a77fep-16, 0x1.586daf57b1267p-16, 0x1.58ca5544ee085p-16, 0x1.591470d4d381fp-16, 0x1.594c4603894a2p-16, 0x1.597218b18f6edp-16, 0x1.59862c9f3b401p-16, 0x1.5988c56844152p-16, 0x1.597a267f83f2ep-16, 0x1.595a932bcce6p-16, 0x1.592a4e83273dp-16, 0x1.58e99b6706eabp-16, 0x1.5898bc817f456p-16, 0x1.5837f440b74cp-16, 0x1.57c784d3da621p-16, 0x1.5747b027a371cp-16, 0x1.56b8b7e38ff27p-16, 0x1.561add66b6b41p-16, 0x1.556e61c46cf1fp-16, 0x1.54b385c18b5d4p-16, 0x1.53ea89d168ef7p-16, 0x1.5313ae1396dap-16, 0x1.522f3250e3fe8p-16, 0x1.513d55f89fcfcp-16, 0x1.503e581efedefp-16, 0x1.4f32777a5c4bdp-16, 0x1.4e19f2605cf16p-16, 0x1.4cf506c4e8633p-16, 0x1.4bc3f2373e691p-16, 0x1.4a86f1e00ad7fp-16, 0x1.493e427f7235fp-16, 0x1.47ea206b50cefp-16, 0x1.468ac78e38bd7p-16, 0x1.45207364c9b16p-16, 0x1.43ab5efc5fb5p-16, 0x1.422bc4f1884d1p-16, 0x1.40a1df6e69e7bp-16, 0x1.3f0de829827bbp-16, 0x1.3d70186420fb9p-16, 0x1.3bc8a8e954f4ap-16, 0x1.3a17d20cfde2bp-16, 0x1.385dcbaa329f6p-16, 0x1.369acd21f6a37p-16, 0x1.34cf0d5b22f7ap-16, 0x1.32fac2c07b7eap-16, 0x1.311e2340232a2p-16, 0x1.2f39644a94f87p-16, 0x1.2d4cbad1c26a1p-16, 0x1.2b585b499f4c4p-16, 0x1.295c79a5f5708p-16, 0x1.2759495a1d55ep-16, 0x1.254efd58aee5dp-16, 0x1.233dc812af0b9p-16, 0x1.2125db7715ed6p-16, 0x1.1f0768f27a9d5p-16, 0x1.1ce2a16e95b8ap-16, 0x1.1ab7b552a13d4p-16, 0x1.1886d481e1d73p-16, 0x1.16502e5bea9c3p-16, 0x1.1413f1bc7a75ap-16, 0x1.11d24cfb932efp-16, 0x1.0f8b6dec62994p-16, 0x1.0d3f81ddfde4bp-16, 0x1.0aeeb59a8dc6dp-16, 0x1.0899356832e71p-16, 0x1.063f2d0924dacp-16, 0x1.03e0c7bab8d34p-16, 0x1.017e30362091ep-16, 0x1.fe2f21600267bp-17, 0x1.f95a25b23d628p-17, 0x1.f47dbfbc290dfp-17, 0x1.ef9a40cfc4736p-17, 0x1.eaaff9380ee08p-17, 0x1.e5bf383a92c76p-17, 0x1.e0c84c1603386p-17, 0x1.dbcb8203b9ca1p-17, 0x1.d6c92638c417fp-17, 0x1.d1c183e716b99p-17, 0x1.ccb4e53c93f0dp-17, 0x1.c7a39364d02f8p-17, 0x1.c28dd68a1f964p-17, 0x1.bd73f5d621beep-17, 0x1.b85637747b415p-17, 0x1.b334e091a70eep-17, 0x1.ae10355c9e256p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      38, 0x1.3666666666666p+2, 0x1.5f7c99b764b51p+3, 0x1.dac690eb18071p+4, 0x1.53222288873dp-5, 
      {{
        {0x1.7eb851eb851ecp+1, 0x1.8p+1, 0x1.55dc652e6e1c4p-4, -0x1.d91e47fe50eb4p-2, 0x1.44cb65bb4bf63p+1, -0x1.143f256b7342bp+3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.43f0af012cd3fp-4, -0x1.a7cd99f851583p-2, 0x1.23a5198faec6p+1, -0x1.b0cbb616aa4aep+2}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.030c7c519bdep-4, -0x1.e4d869f1767c6p-3, 0x1.439cc5de90f9bp+0, -0x1.2b8053b98ff6dp+2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.ba39b68c005edp-5, -0x1.29d5f438bea78p-3, 0x1.1fd2c0de752f8p-1, -0x1.5879f2d50b09dp+1}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.876a58464f7abp-5, -0x1.c016553a5569p-4, 0x1.448cbcadba432p-3, -0x1.2093a7713da23p-1}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.5d46685800ff2p-5, -0x1.907decbd1a419p-4, 0x1.2eceb06d2a8e8p-4, 0x1.c4745e279f217p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.36cbe3198c657p-5, -0x1.7083b3101e0b4p-4, 0x1.50bdd11689b0ep-4, -0x1.b90ce1a249467p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1392d5279cf39p-5, -0x1.507e86ae26f33p-4, 0x1.2fa9a690c4322p-4, -0x1.807f6f583c47p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.e6d63b8d9bbf2p-6, -0x1.32d951e999d7cp-4, 0x1.213e78ca41ef6p-4, -0x1.f30e17da33f3bp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.ac4c1047924dcp-6, -0x1.16dc381e43aadp-4, 0x1.0e878b1879965p-4, -0x1.c195a223291c1p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.772c96a68f198p-6, -0x1.f94cee4e2a5ebp-5, 0x1.fb57106e50172p-5, -0x1.bc10a8e1e82b7p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.472014a42137fp-6, -0x1.c83b53b20fb65p-5, 0x1.da0903c3c514p-5, -0x1.aac4dc02688d4p-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1bd1a809f54afp-6, -0x1.9a6db9439d098p-5, 0x1.ba070cdd306fep-5, -0x1.9ca0e1262701ep-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.e9de8ce3ab029p-7, -0x1.6fc5f1245b89ep-5, 0x1.9b149593ed82ep-5, -0x1.8da471db341edp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.a4537a8b53319p-7, -0x1.4828052bd3a9ep-5, 0x1.7d41d9d6b000bp-5, -0x1.7ee20247b3791p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6669637eedb61p-7, -0x1.237767136d4bbp-5, 0x1.608a80114f576p-5, -0x1.701008452e0a5p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.2f8d41d2c0402p-7, -0x1.0197b157134b8p-5, 0x1.44efb2a5b8b06p-5, -0x1.6142384747596p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.fe637e769731dp-8, -0x1.c4d8e70d8a81fp-6, 0x1.2a7121a060235p-5, -0x1.52734aa5df39fp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a99e6a1a97494p-8, -0x1.8bb2803f5997ep-6, 0x1.110ee26d88fedp-5, -0x1.43a4a98de2625p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.5fc7587b6ec79p-8, -0x1.578351ac6d551p-6, 0x1.f191de9f633bep-6, -0x1.34d5f3f3caa23p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.1fe5bac381ddep-8, -0x1.28127f29325e4p-6, 0x1.c33e93a13809bp-6, -0x1.260743d885aa5p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.d218c2bb55f36p-9, -0x1.fa4e58da847e7p-7, 0x1.9723e30d8a639p-6, -0x1.17389244553fcp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.74b2f7ea756e9p-9, -0x1.ad10fa6fdfdb5p-7, 0x1.6d41cd1ce4009p-6, -0x1.0869e114c4ae7p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.25ed32ebefd75p-9, -0x1.67fb2a8cf7c46p-7, 0x1.459851c02ce69p-6, -0x1.f3365f976c3d3p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.c862a0307e832p-10, -0x1.2a9b30ad6dacfp-7, 0x1.202770fb37fbp-6, -0x1.d598fd081a7c3p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5bffd4919457ep-10, -0x1.e8fea8990d09ap-8, 0x1.f9de559b9f307p-7, -0x1.b7fb9aa03a27fp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.03e0b5afc70ap-10, -0x1.8a6bb9cbb0a23p-8, 0x1.b7defe69fcddcp-7, -0x1.9a5e37985424cp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.7ac2e6832a76p-11, -0x1.389a23e82329ep-8, 0x1.7a50dc7989d88p-7, -0x1.7cc0d6e8ca9b4p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.0c1773feacc5p-11, -0x1.e54cebd4b91cp-9, 0x1.4133ef7038417p-7, -0x1.5f236d7743661p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.6e5ace8cebc8p-12, -0x1.6f5a7d6b69be2p-9, 0x1.0c88389e548aep-7, -0x1.418624b6e504bp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.df38374a5f902p-13, -0x1.0d961b12d909ap-9, 0x1.b89b6638fdfb2p-8, -0x1.23e861f214786p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.2876bc7b5b97fp-13, -0x1.7c71c13706084p-10, 0x1.6108e2705e3ddp-8, -0x1.064c668eca43ep-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.54dc6555456p-14, -0x1.fdefcf587cc9ap-11, 0x1.12585d4587f68p-8, -0x1.d1538f5413d43p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.621e1f9347ep-15, -0x1.3e61550211359p-11, 0x1.9917a92509faap-9, -0x1.963fded2aa4a8p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.3cbc922a69bffp-16, -0x1.663c851e80c69p-12, 0x1.1f37b3190a15bp-9, -0x1.5a734032e143ep-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.bbe1fec7fbp-18, -0x1.54129eedf448bp-13, 0x1.6e90a6138d034p-10, -0x1.2158ccc68cf93p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.8553984d5ffffp-20, -0x1.d10e4b9405e0ep-15, 0x1.81e9f005a4105p-11, -0x1.bc5d35513664ep-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9731e0b49c6d5p-24, -0x1.e71ba3f63c8c4p-18, 0x1.dd2e7353a7534p-13, -0x1.f43d6580698e8p-9}, 
      }}, 
      0x1.273f3e232ce14p-5, -0x1.4096e6321b70fp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.4a631f84b36afp+0, -0x1.424c29a36e698p+0, -0x1.37693d1637e3fp+0, -0x1.2a1187d9bb9fcp+0, -0x1.1aa153aee1473p+0, -0x1.09756761c6af7p+0, -0x1.edcfa6961e9a6p-1, -0x1.c69b90e869b96p-1, -0x1.9dec6aa4f1c24p-1, -0x1.7451ea9dd9514p-1, -0x1.4a4cda02da9dp-1, -0x1.204eec8428ce6p-1, -0x1.ed7618c2523fep-2, -0x1.9bcbefc8055e5p-2, -0x1.4c2e2f85e5f51p-2, -0x1.fe25e2159816fp-3, -0x1.69b36020a6d53p-3, -0x1.b735ed452e93ap-4, -0x1.5138fafbd741ap-5, 0x1.5f0be06bc0c55p-6, 0x1.497e67a18d27ap-4, 0x1.162e6029ec95p-3, 0x1.802777e25ead7p-3, 0x1.e2b4bd30c4d4bp-3, 0x1.1ef7ac0c40182p-2, 0x1.48fe6160d7c4ap-2, 0x1.6f864140ec58p-2, 0x1.92ab12767fdcep-2, 0x1.b28bc09ec046ap-2, 0x1.cf499b1410255p-2, 0x1.e907b09a0ee9ap-2, 0x1.ffea416c03b06p-2, 0x1.0a0b217be768dp-1, 0x1.12d87c26a12b9p-1, 0x1.1a6fcb0aa8142p-1, 0x1.20e37a8e48205p-1, 0x1.2645a876375c1p-1, 0x1.2aa80810fd625p-1, 0x1.2e1bcc3e1a798p-1, 0x1.30b19576acadap-1, 0x1.3279640c7ea7cp-1, 0x1.33828e2efcc92p-1, 0x1.33dbb8f1ad617p-1, 0x1.3392d42b47c27p-1, 0x1.32b5189f9344fp-1, 0x1.314f082881639p-1, 0x1.2f6c6f766ab91p-1, 0x1.2d186933eb1d7p-1, 0x1.2a5d625f9c72ap-1, 0x1.27451f5c2dd3fp-1, 0x1.23d8c1bf08247p-1, 0x1.2020cebd90e61p-1, 0x1.1c2535d868c74p-1, 0x1.17ed57d875f2bp-1, 0x1.13800dea39aaap-1, 0x1.0ee3b0a8e3cd1p-1, 0x1.0a1e1f5958d9ep-1, 0x1.0534c6ee0e107p-1, 0x1.002ca8b407edfp-1, 0x1.f614c27e7454cp-2, 0x1.eba45d62d2353p-2, 0x1.e10fedd335a3cp-2, 0x1.d65e9b61f0963p-2, 0x1.cb96f47090fd7p-2, 0x1.c0bef8d5b4dcdp-2, 0x1.b5dc247b3469ap-2, 0x1.aaf3790208103p-2, 0x1.a00986480b3fdp-2, 0x1.952273d3b0de1p-2, 0x1.8a42082b3f8dp-2, 0x1.7f6bb0d1023abp-2, 0x1.74a288f1ccf31p-2, 0x1.69e95febee5aep-2, 0x1.5f42bf8bcad1dp-2, 0x1.54b0f1f9dcc24p-2, 0x1.4a3606374aap-2, 0x1.3fd3d570714c2p-2, 0x1.358c078ab23d4p-2, 0x1.2b6016c893de8p-2, 0x1.2151541c5654fp-2, 0x1.1760ea76a6955p-2, 0x1.0d8fe1961438cp-2, 0x1.03df2190977b7p-2, 0x1.f49eea3481cd4p-3, 0x1.e1c3180c760ep-3, 0x1.cf2bfdbee46fdp-3, 0x1.bcda9b61b6cebp-3, 0x1.aacfcb00190a1p-3, 0x1.990c41de8092cp-3, 0x1.87908df492af8p-3, 0x1.765d2474fab63p-3, 0x1.65725a08b6bd3p-3, 0x1.54d06a03a58b6p-3, 0x1.447777a127792p-3, 0x1.34678f9d9d64cp-3, 0x1.24a0ace65c6a2p-3, 0x1.1522b34a7cad3p-3, 0x1.05ed7bd78e60bp-3, 0x1.ee01995bd21d6p-4, 0x1.d0b8bd15190ffp-4, 0x1.b3ffbc21ace15p-4, 0x1.97d5d747a3866p-4, 0x1.7c3a3aeca0c7p-4, 0x1.612bffb6e5664p-4, 0x1.46aa2d8e73daap-4, 0x1.2cb3bbddfe75p-4, 0x1.134792afded47p-4, 0x1.f4c91df3afb74p-5, 0x1.c4130023f4babp-5, 0x1.946a55b1cc5c6p-5, 0x1.65cc9a8d7a912p-5, 0x1.3837264133eddp-5, 0x1.0ba75c78f7659p-5, 0x1.c034fdf2b03c8p-6, 0x1.6b1b937a9c62cp-6, 0x1.17fcd741161cep-6, 0x1.8da63302a146dp-7, 0x1.de6240279af58p-8, 0x1.523b4ffaca4ddp-9, -0x1.0931f09ef9a17p-9, -0x1.aad94138f4606p-8, -0x1.64dd86b8e899dp-7, -0x1.f0ab29c36f568p-7, -0x1.3c70c6f7cf98p-6, -0x1.7ec667f8b5d48p-6, -0x1.bf5c717b3df2ap-6, -0x1.fe38fdc6d30b9p-6, -0x1.1db10c67fe79bp-5, -0x1.3b6ee657e6485p-5, -0x1.5859137fa913dp-5, -0x1.747298445dd69p-5, -0x1.8fbe76d5365a9p-5, -0x1.aa3fb14aef495p-5, -0x1.c3f945f36ac3bp-5, -0x1.dcee30a31c7a7p-5, -0x1.f521699242cfp-5, -0x1.064af41126b67p-4, -0x1.11a74d692ee6fp-4, -0x1.1ca738dafb251p-4, -0x1.274c2ac93e8d2p-4, -0x1.319795ac332bfp-4, -0x1.3b8ae9a9179f1p-4, -0x1.4527943ad5d4dp-4, -0x1.4e6f01a7ddd0dp-4, -0x1.57629943034f9p-4, -0x1.6003c197f2d79p-4, -0x1.6853dd9630d1ap-4, -0x1.70544e27b21ap-4, -0x1.78067059adf22p-4, -0x1.7f6b9e86b5ea8p-4, -0x1.868531272b9aep-4, -0x1.8d547bfa6b3f9p-4, -0x1.93dad0ed9901dp-4, -0x1.9a197d0e16716p-4, -0x1.a011cfdb27c19p-4, -0x1.a5c50d5a157e2p-4, -0x1.ab347c1f8669cp-4, -0x1.b0615e04ea33ep-4, -0x1.b54cf2289b3d1p-4, -0x1.b9f8738bc592ap-4, -0x1.be651ac97df6ep-4, -0x1.c2941d223815fp-4, -0x1.c686aca69bbb3p-4, -0x1.ca3df7e65ab01p-4, -0x1.cdbb2a2c1d1e8p-4, -0x1.d0ff6d8bf9107p-4, -0x1.d40be3c71876fp-4, -0x1.d6e1b22e07decp-4, -0x1.d981f6463c72ep-4, -0x1.dbedcbcc75b3p-4, -0x1.de264d6740acap-4, -0x1.e02c8ac6e39a5p-4, -0x1.e2019bfd39393p-4, -0x1.e3a68e269c3e4p-4, -0x1.e51c6d2fd7a58p-4, -0x1.e664427ed9692p-4, -0x1.e77f144cf5ac4p-4, -0x1.e86de515e7378p-4, -0x1.e931b5258f0bbp-4, -0x1.e9cb80fb0bf93p-4, -0x1.ea3c42a200cdap-4, -0x1.ea84f0e7013ccp-4, -0x1.eaa6819cff9a1p-4, -0x1.eaa1e3e98c1d6p-4, -0x1.ea780665e1fd5p-4, -0x1.ea29d46c9a692p-4, -0x1.e9b836b366405p-4, -0x1.e92412bb345a1p-4, -0x1.e86e4b5158462p-4, -0x1.e797c083b32abp-4, -0x1.e6a14ee58ef78p-4, -0x1.e58bd12f34e6fp-4, -0x1.e4581eb110dbdp-4, -0x1.e3070c9e0c4bep-4, -0x1.e1996cd99f98bp-4, -0x1.e0100de920d9ep-4, -0x1.de6bbe41f301cp-4, -0x1.dcad45ecdb89p-4, -0x1.dad56ce9d962fp-4, -0x1.d8e4f7dbf287ap-4, -0x1.d6dca872904b3p-4, -0x1.d4bd3db590282p-4, -0x1.d287747b239fap-4, -0x1.d03c0690a1d05p-4, -0x1.cddbab6606853p-4, -0x1.cb6717e8fb5fcp-4, -0x1.c8defdac77536p-4, -0x1.c6440cb8ead3dp-4, -0x1.c396f1d1baf31p-4, -0x1.c0d8575cd1c55p-4, -0x1.be08e556201e3p-4, -0x1.bb2940ede3b81p-4, -0x1.b83a0cfd1aebep-4, -0x1.b53be9b957c0cp-4, -0x1.b22f74dbd2d6fp-4, -0x1.af15499c8de12p-4, -0x1.abee00becadcep-4, -0x1.a8ba30691d419p-4, -0x1.a57a6c7b2b49bp-4, -0x1.a22f4616db4d5p-4, -0x1.9ed94c305975dp-4, -0x1.9b790b27e9ebcp-4, -0x1.980f0cd2c06cfp-4, -0x1.949bd8cc8f0eap-4, -0x1.911ff41c21291p-4, -0x1.8d9be16c3dfa5p-4, -0x1.8a1020ff722a7p-4, -0x1.867d30df5792p-4, -0x1.82e38c608f8ep-4, -0x1.7f43acb9fe1f1p-4, -0x1.7b9e08b5738f2p-4, -0x1.77f314c2f5832p-4, -0x1.744343066fdfbp-4, -0x1.708f0322ad11fp-4, -0x1.6cd6c30ad1338p-4, -0x1.691aed66c0968p-4, -0x1.655beb75cbf16p-4, -0x1.619a23d218d1ap-4, -0x1.5dd5fae4ad5b5p-4, -0x1.5a0fd2dde699p-4, -0x1.56480bb3c59b5p-4, -0x1.527f032fe3905p-4, -0x1.4eb514e26a764p-4, -0x1.4aea9a320c4dp-4, -0x1.471fea64032adp-4, -0x1.43555a946fcd1p-4, -0x1.3f8b3dc20870bp-4, -0x1.3bc1e4d2b1095p-4, -0x1.37f99ea092369p-4, -0x1.3432b7dd1d3c2p-4, -0x1.306d7b4dbac92p-4, -0x1.2caa3197ef33fp-4, -0x1.28e9215484c2fp-4, -0x1.252a8f5756c22p-4, -0x1.216ebe1fd7d7bp-4, -0x1.1db5eee97b339p-4, -0x1.1a00601c48f7bp-4, -0x1.164e4ed214d8p-4, -0x1.129ff61a3fd3fp-4, -0x1.0ef58f31dbf8cp-4, -0x1.0b4f516d725dcp-4, -0x1.07ad72621bf8cp-4, -0x1.041025d092826p-4, -0x1.00779db89c5dcp-4, -0x1.f9c814af0b0a8p-5, -0x1.f2ab347eb7452p-5, -0x1.eb98f461e44e2p-5, -0x1.e491aac1e6a57p-5, -0x1.dd95aa999a233p-5, -0x1.d6a543a6a13bbp-5, -0x1.cfc0c2767816p-5, -0x1.c8e8705ec3474p-5, -0x1.c21c93ca9479dp-5, -0x1.bb5d6fc82eefdp-5, -0x1.b4ab449cca95p-5, -0x1.ae064f8b91dedp-5, -0x1.a76ecaee0ec37p-5, -0x1.a0e4ee3d81db6p-5, -0x1.9a68ee24fea01p-5, -0x1.93fafc893ed1ap-5, -0x1.8d9b489591508p-5, -0x1.8749fee1423edp-5, -0x1.8107496a74fe9p-5, -0x1.7ad34f7e2e80cp-5, -0x1.74ae360592894p-5, -0x1.6e981f5837907p-5, -0x1.68912b6df3779p-5, -0x1.629977df9987fp-5, -0x1.5cb12022aff27p-5, -0x1.56d83d2ff77ccp-5, -0x1.510ee602fd4a1p-5, -0x1.4b552f694ac5dp-5, -0x1.45ab2b9fc4477p-5, -0x1.4010eb1b51e73p-5, -0x1.3a867c3fb734p-5, -0x1.350bebb1836bbp-5, -0x1.2fa14449dc675p-5, -0x1.2a468f03ddb78p-5, -0x1.24fbd2724b5p-5, -0x1.1fc113c94232ep-5, -0x1.1a9655bd29052p-5, -0x1.157b99d52fa5ap-5, -0x1.1070e0205e31ep-5, -0x1.0b76277cf227cp-5, -0x1.068b6d61882f6p-5, -0x1.01b0ad7a995adp-5, -0x1.f9cbc300e3508p-6, -0x1.f056026f7b99cp-6, -0x1.e70005909020bp-6, -0x1.ddc9b6dfb7dadp-6, -0x1.d4b2ffad8a236p-6, -0x1.cbbbc8a85825ap-6, -0x1.c2e3f7d459d38p-6, -0x1.ba2b709cc621p-6, -0x1.b19211b160c49p-6, -0x1.a917b54ca75b1p-6, -0x1.a0bc32899c035p-6, -0x1.987f5f8cb88a6p-6, -0x1.9061134978089p-6, -0x1.8861262ed3447p-6, -0x1.807f7082d3003p-6, -0x1.78bbc82aa3d11p-6, -0x1.7115fdee38e54p-6, -0x1.698ddcb44c49p-6, -0x1.62232a0244c67p-6, -0x1.5ad5aad9ccefp-6, -0x1.53a525b44624bp-6, -0x1.4c9165b5520e2p-6, -0x1.459a39b5b1263p-6, -0x1.3ebf714cecbd8p-6, -0x1.3800d7d3ef75cp-6, -0x1.315e3094b4d92p-6, -0x1.2ad73671e0a78p-6, -0x1.246b9e710dea2p-6, -0x1.1e1b1d31cf7ddp-6, -0x1.17e56cbf8f1c7p-6, -0x1.11ca5041e47adp-6, -0x1.0bc992a7a5861p-6, -0x1.05e30169b519dp-6, -0x1.00166696ae89cp-6, -0x1.f4c70422bf34fp-7, -0x1.e9940f4382deap-7, -0x1.de93437bbe923p-7, -0x1.d3c3f0e6f454fp-7, -0x1.c92571fff83dbp-7, -0x1.beb739d1070b1p-7, -0x1.b478d6c74beeap-7, -0x1.aa69e2eacc73ap-7, -0x1.a089faaf8da98p-7, -0x1.96d8a72c149edp-7, -0x1.8d55540e1aa09p-7, -0x1.83ff4f446d4bp-7, -0x1.7ad5d3e9edc7cp-7, -0x1.71d81f379a7d1p-7, -0x1.69058182c8353p-7, -0x1.605d6f91596d8p-7, -0x1.57df82cdba7a1p-7, -0x1.4f8b6c42ed289p-7, -0x1.4760dec311164p-7, -0x1.3f5f78dbadbe4p-7, -0x1.3786b7468e0ep-7, -0x1.2fd5f26c380e4p-7, -0x1.284c65e6f5aa7p-7, -0x1.20e93e6166dcdp-7, -0x1.19abb1568fd0ep-7, -0x1.12930bac3b354p-7, -0x1.0b9ec294a3ca9p-7, -0x1.04ce700838138p-7, -0x1.fc43867161a4ap-8, -0x1.ef30d51ba0f47p-8, -0x1.e2640503fd8a8p-8, -0x1.d5dc21483e38bp-8, -0x1.c9980f93bfc25p-8, -0x1.bd9698d274198p-8, -0x1.b1d6708720487p-8, -0x1.a65642074c627p-8, -0x1.9b14cecea5152p-8, -0x1.9011071719087p-8, -0x1.854a1bf5c9682p-8, -0x1.7abf6637f64d3p-8, -0x1.707036d69c165p-8, -0x1.665baf4e4fffcp-8, -0x1.5c80bf02e1f98p-8, -0x1.52de43b90a31dp-8, -0x1.49731099ca7a1p-8, -0x1.403e169ca8351p-8, -0x1.373e1f3ace8a7p-8, -0x1.2e71e3df34e77p-8, -0x1.25d827f42145ap-8, -0x1.1d6ff1c02e893p-8, -0x1.1538ad0f9d262p-8, -0x1.0d320e2869d0bp-8, -0x1.055bd0a8af584p-8, -0x1.fb6aea6a76028p-9, -0x1.ec7c7775e029p-9, -0x1.ddea9f49c7745p-9, -0x1.cfb3cc047bf7bp-9, -0x1.c1d6757f858a7p-9, -0x1.b450a88496754p-9, -0x1.a71fae9ed721fp-9, -0x1.9a402fcb75926p-9, -0x1.8daef95318472p-9, -0x1.8169abd711a3p-9, -0x1.756f085acc487p-9, -0x1.69be9712a106bp-9, -0x1.5e5805405fab6p-9, -0x1.533ab28563b01p-9, -0x1.4865b49fc6c4fp-9, -0x1.3dd82cb6fcab3p-9, -0x1.33918d0c93514p-9, -0x1.29916613ab6c4p-9, -0x1.1fd6c1021c873p-9, -0x1.165f96feaed59p-9, -0x1.0d28f2c69c275p-9, -0x1.042fa75795c0ap-9, -0x1.f6e206073281dp-10, -0x1.e5d68fa1b6146p-10, -0x1.d53b22a100e81p-10, -0x1.c50ef3dbc037fp-10, -0x1.b55157a167089p-10, -0x1.a6012c0c7d875p-10, -0x1.971cf102f903ep-10, -0x1.88a36f9d114f6p-10, -0x1.7a942374cfd23p-10, -0x1.6cee93c18df72p-10, -0x1.5fb0f49c56a3cp-10, -0x1.52d7661319666p-10, -0x1.465cbb801b04p-10, -0x1.3a3b9f2c1ac7ep-10, -0x1.2e6f5825cca0ep-10, -0x1.22f458c2729d3p-10, -0x1.17c906b38b655p-10, -0x1.0cedb80cbdadp-10, -0x1.02631eec3ec33p-10, -0x1.f051c154941dbp-11, -0x1.dc7a715e3bb84p-11, -0x1.c93d12eb1ad77p-11, -0x1.b697bc104b609p-11, -0x1.a489f56733434p-11, -0x1.931384f880f3p-11, -0x1.8233225fd8ba8p-11, -0x1.71e5457138786p-11, -0x1.622403726023fp-11, -0x1.52e6eda8ddf8fp-11, -0x1.4422c3298d164p-11, -0x1.35cc855e20177p-11, -0x1.27df7128ab8ccp-11, -0x1.1a5d675ed0a7ap-11, -0x1.0d489c6c15e89p-11, -0x1.009fc4ae7c525p-11, -0x1.e8c198aa87c9bp-12, -0x1.d11620b89873dp-12, -0x1.ba3aa10681c4cp-12, -0x1.a4275374dcd4ep-12, -0x1.8ed4fa5c9e3e2p-12, -0x1.7a4205422069dp-12, -0x1.66712745cb526p-12, -0x1.536459bfc8cdp-12, -0x1.411a3d68dbba3p-12, -0x1.2f8b2c4bf076ap-12, -0x1.1ea5a8fa19027p-12, -0x1.0e5901de9b5a4p-12, -0x1.fd484bec969a5p-13, -0x1.df15cd0aa7014p-13, -0x1.c20763bfd3a8ap-13, -0x1.a60210c01e8f2p-13, -0x1.8afecab93aa28p-13, -0x1.7101ec4c84ddp-13, -0x1.5806691b63066p-13, -0x1.40009fc29b2c7p-13, -0x1.28e8972f652e5p-13, -0x1.12bcdda86975cp-13, -0x1.faff69e61b38bp-14, -0x1.d260a20894b66p-14, -0x1.ab9326c777115p-14, -0x1.8694c7bf665a1p-14, -0x1.635b1ad5b20f2p-14, -0x1.41b8db9c50d52p-14, -0x1.2195c901b67acp-14, -0x1.030a87d1f4a9fp-14, -0x1.cc13b6bee7461p-15, -0x1.94c4ff0a2f8dcp-15, -0x1.60246daaad73fp-15, -0x1.2e56605f191f1p-15, -0x1.fe6bfcc1cf9d5p-16, -0x1.a4e8229ea161bp-16, -0x1.4fa3dba8d12e7p-16, -0x1.fcb27cc67b478p-17, -0x1.62279241f79ddp-17, -0x1.a021c55d2a3f5p-18, -0x1.1ad54b35d91e2p-19, 0x1.d1b94ea0dd89ep-20, 0x1.66cba2d3b0fbfp-18, 0x1.24ce2fde2aca1p-17, 0x1.8e3de270486d1p-17, 0x1.f0696be9ba6dcp-17, 0x1.25c354b8ccea7p-16, 0x1.4fd2fd94c801dp-16, 0x1.7719bb121b51p-16, 0x1.9ba4cc5c07aabp-16, 0x1.bd15e551a7063p-16, 0x1.db918d42bf7fep-16, 0x1.f74ebe55f2cc9p-16, 0x1.082ae2fc725a5p-15, 0x1.1354a0e4b2ad8p-15, 0x1.1d35b6ceae663p-15, 0x1.25f17e783bf1dp-15, 0x1.2daedada79c88p-15, 0x1.347dff2c3154ap-15, 0x1.3a528e2f92759p-15, 0x1.3f28c5c4c97b1p-15, 0x1.43129139fc518p-15, 0x1.4608eccd265efp-15, 0x1.47f32f6314e0bp-15, 0x1.48f84e631714fp-15, 0x1.4927dba2728c6p-15, 0x1.48aa8bef3705fp-15, 0x1.478ffe5a4c793p-15, 0x1.45b3a4f03570bp-15, 0x1.4331cbfca8004p-15, 0x1.401fdeb6a0faep-15, 0x1.3c83967a07adep-15, 0x1.3859b3ff26245p-15, 0x1.33a1a4f49737fp-15, 0x1.2e595a6fd295ep-15, 0x1.28807efae8ce7p-15, 0x1.221ac5079205dp-15, 0x1.1b3a3fd9bace4p-15, 0x1.13fef58b83e43p-15, 0x1.0c7e6c321e5e6p-15, 0x1.04add72502863p-15, 0x1.f90e0ceeeb37cp-16, 0x1.e80ee16804e83p-16, 0x1.d6390e82ea275p-16, 0x1.c3c614a313622p-16, 0x1.b0e2d92d60c76p-16, 0x1.9daba914ee828p-16, 0x1.89ec65bce28edp-16, 0x1.75becbf774c1bp-16, 0x1.61488a3162287p-16, 0x1.4c89abe2cd8a3p-16, 0x1.3780c2a22db06p-16, 0x1.22328da655cacp-16, 0x1.0ca477a264a93p-16, 0x1.edbb5236058d9p-17, 0x1.c1c8c74bef34ep-17, 0x1.9577974e567e9p-17, 0x1.68bda3b1c5968p-17, 0x1.3ba2a669d1029p-17, 0x1.0e355e4e4800cp-17, 0x1.c1996994a9482p-18, 0x1.66e138aab1cbbp-18, 0x1.0c11b6bc0727dp-18, 0x1.62e55405b0247p-19, 0x1.59038eb556efp-20, -0x1.423c5761d986cp-24, -0x1.7eab2dd751edp-20, -0x1.73fc7d54f4649p-19, -0x1.1436a29af3ca9p-18, -0x1.6debe149c8e13p-18, -0x1.c7120465c85d2p-18, -0x1.0fe0b733f546p-17, -0x1.3bf0de6d392c6p-17, -0x1.67b59f2409f44p-17, -0x1.9327d14d89288p-17, -0x1.be415a88e7056p-17, -0x1.e8fbb8771985dp-17, -0x1.09a85eda33749p-16, -0x1.1e9d8b8b8596p-16, -0x1.335af5ff00e31p-16, -0x1.47e43fa4553d3p-16, -0x1.5c3d4f7085b99p-16, -0x1.705a34fb270ap-16, -0x1.8433c8ce22102p-16, -0x1.97be3d3356f16p-16, -0x1.ab085b0fd833bp-16, -0x1.be1861ff31b8cp-16, -0x1.d0e81f2ef5c01p-16, -0x1.e3664359db91p-16, -0x1.f599a8220fb71p-16, -0x1.03c49d8c3c7f7p-15, -0x1.0c95b93bd1092p-15, -0x1.15403d0d763c9p-15, -0x1.1dc5013b1139bp-15, -0x1.26246c566b2e9p-15, -0x1.2e5a5a37062e3p-15, -0x1.366a1cb8f6d7bp-15, -0x1.3e523cbe05a75p-15, -0x1.461252032b1aep-15, -0x1.4da937e1b9c83p-15, -0x1.5519d29f5f3b4p-15, -0x1.5c6096eda051ep-15, -0x1.637de3602d864p-15, -0x1.6a73aab1210efp-15, -0x1.71414d53f9099p-15, -0x1.77e650996da81p-15, -0x1.7e608fddd8625p-15, -0x1.84b24be29fc2cp-15, -0x1.8adb9a5e27095p-15, -0x1.90dbd253af2bp-15, -0x1.96b339d496886p-15, -0x1.9c61f94c3d70cp-15, -0x1.a1e829d67f9b9p-15, -0x1.a745ebd6276a7p-15, -0x1.ac7b63ce1ee7bp-15, -0x1.b1890ccfa07b4p-15, -0x1.b66e745b1b5afp-15, -0x1.bb2beaafb41fep-15, -0x1.bfc22737b6969p-15, -0x1.c431229229ac8p-15, -0x1.c8791fd186853p-15, -0x1.cc9a6518731ebp-15, -0x1.d095300706d1ep-15, -0x1.d46978a7ce2aap-15, -0x1.d818ae27bba32p-15, -0x1.dba213ce14d65p-15, -0x1.df06791071c0bp-15, -0x1.e244e6e389b0dp-15, -0x1.e55f2423b3b9ap-15, -0x1.e85651be1dcf7p-15, -0x1.eb280e34d0f9ap-15, -0x1.edd6abc0665afp-15, -0x1.f062096705805p-15, -0x1.f2cc72412f643p-15, -0x1.f513d1f2d8355p-15, -0x1.f73978df3bdf1p-15, -0x1.f93d7cfbb0976p-15, -0x1.fb1fa383ec7a9p-15, -0x1.fce12ed90f71p-15, -0x1.fe82b35dbda3fp-15, -0x1.00023fa2f946p-14, -0x1.00b2e76dc688bp-14, -0x1.01551a369756bp-14, -0x1.01e77b717045ep-14, -0x1.026ad0e688e5p-14, -0x1.02df40ca29a31p-14, -0x1.034511ef8a95p-14, -0x1.039c79ea4eb76p-14, -0x1.03e56093f6351p-14, -0x1.04212d6ef6ff5p-14, -0x1.044eafe59d916p-14, -0x1.046e9f256c572p-14, -0x1.04814a6904cedp-14, -0x1.0486911db6ba7p-14, -0x1.047f38a78ce7p-14, -0x1.046b51e93264ap-14, -0x1.044b175939727p-14, -0x1.041e5a75e3bffp-14, -0x1.03e5e27f759fap-14, -0x1.03a1925fbab9p-14, -0x1.0351b00c2bf9dp-14, -0x1.02f68b31ba8bep-14, -0x1.0290263b1085ap-14, -0x1.021ef858b8fd9p-14, -0x1.01a2c033ce041p-14, -0x1.011dc62cb0c75p-14, -0x1.008c6699bcb23p-14, -0x1.ffe2d7d5d04c6p-15, -0x1.fe99ce85fa9p-15, -0x1.fd3d8ec958a4ep-15, -0x1.fbce54b9f2471p-15, -0x1.fa4d0dfbfc789p-15, -0x1.f8b980652d205p-15, -0x1.f714608415adfp-15, -0x1.f55e7eb5a302ep-15, -0x1.f3975b41f4ee3p-15, -0x1.f1bf81483a716p-15, -0x1.efd7e96dd713p-15, -0x1.ede0d0b75e59ep-15, -0x1.ebda7e2ca332dp-15, -0x1.e9c54e6110842p-15, -0x1.e7a1a537bb744p-15, -0x1.e56fe0dd879dap-15, -0x1.e3306354eabaap-15, -0x1.e0e38e6fed5f5p-15, -0x1.de89ba2699d8cp-15, -0x1.dc22cb85cec41p-15, -0x1.d9b0c19b4a276p-15, -0x1.d731e2cdbf2c8p-15, -0x1.d4a7b04c15215p-15, -0x1.d2124035ff42ep-15, -0x1.cf71ed4e76319p-15, -0x1.ccc7107cb9a77p-15, -0x1.ca116d0d61b9ap-15, -0x1.c7530cc0cfff6p-15, -0x1.c48a71da5f925p-15, -0x1.c1b887d938788p-15, -0x1.bedc4d3832a6cp-15, -0x1.bbfa979c5b86cp-15, -0x1.b90f19829bd5p-15, -0x1.b61ac8e42ed35p-15, -0x1.b31ff40c7ccep-15, -0x1.b01ec0feb47a1p-15, -0x1.ad132f1ec0cc3p-15, -0x1.aa02ff67910a1p-15, -0x1.a6eafa9e872d2p-15, -0x1.a3cd89f841f18p-15, -0x1.a0a9f5ea972e6p-15, -0x1.9d80ba920342bp-15, -0x1.9a5200065044ap-15, -0x1.971de1cc674c9p-15, -0x1.93e4e563f37e1p-15, -0x1.90a5cef6044dep-15, -0x1.8d653be792088p-15, -0x1.8a1ef68301c13p-15, -0x1.86d4bb7d45ddep-15, -0x1.8386c1bc518a4p-15, -0x1.80354df377f7bp-15, -0x1.7ce09bfbde87p-15, -0x1.7988e09281ce4p-15, -0x1.762e57a59e74bp-15, -0x1.72d0a18805b9p-15, -0x1.6f71b9fe93b16p-15, -0x1.6c0ffaf148508p-15, -0x1.68ac4b44a7719p-15, -0x1.6546ea6717c86p-15, -0x1.61dff9af77bc4p-15, -0x1.5e75fdeddf99ep-15, -0x1.5b0e0615cfbfdp-15, -0x1.57a37ae7f107ap-15, -0x1.5438271b77aedp-15, -0x1.50cc3ad26ab3bp-15, -0x1.4d60e02d66f56p-15, -0x1.49f328c8e4fbdp-15, -0x1.468652a0b51a4p-15, -0x1.43199848c87ecp-15, -0x1.3fad1c698796fp-15, -0x1.3c4248e9382cfp-15, -0x1.38d56f7b2a745p-15, -0x1.3568ae91ff475p-15, -0x1.320071d2e517bp-15, -0x1.2e97672c4268cp-15, -0x1.2b2f813e98e26p-15, -0x1.27c8cc7067d3ep-15, -0x1.246348a6e413cp-15, -0x1.20ffd59f070c5p-15, -0x1.1d9a7f7672d57p-15, -0x1.1a3d9bb7097b3p-15, -0x1.16deee35abab8p-15, -0x1.138289f112558p-15, -0x1.102848d3356dfp-15, -0x1.0cd1990e30f2bp-15, -0x1.097b4af81da02p-15, -0x1.0628a1ed7307ep-15, -0x1.02d85fdf9b26ep-15, -0x1.ff19611fed58cp-16, -0x1.f8800e917f433p-16, -0x1.f1f00b8682526p-16, -0x1.eb6666d836632p-16, -0x1.e4e2df94486bcp-16, -0x1.de682bdcee15cp-16, -0x1.d7ef3cc843f17p-16, -0x1.d17ef740b064ep-16, -0x1.cb165f103c2f5p-16, -0x1.c4b4b749b10fbp-16, -0x1.be5a24492f86fp-16, -0x1.b806f69acfa54p-16, -0x1.b1bb43a7027a4p-16, -0x1.ab7756f5be88bp-16, -0x1.a53b3b94224b9p-16, -0x1.9f08f2e149e09p-16, -0x1.98daeb1bde5ccp-16, -0x1.92b717c4906cap-16, -0x1.8c9b007c2c22p-16, -0x1.86884cc933035p-16, -0x1.807dc102ea374p-16, -0x1.7a7bebdbe3f81p-16, -0x1.7483f071981c5p-16, -0x1.6e92a9db96376p-16, -0x1.68ab729c7a277p-16, -0x1.62cd5c202da1ep-16, -0x1.5cf88200253afp-16, -0x1.572c3b3caf19fp-16, -0x1.516a5e81d92edp-16, -0x1.4bb1987b402b2p-16, -0x1.4602002ab9498p-16, -0x1.405c2de0fe51fp-16, -0x1.3abff55c4cf29p-16, -0x1.353105887f03ep-16, -0x1.2fa492eb0f5d7p-16, -0x1.2a25f136c04d7p-16, -0x1.24b0b11c773b1p-16, -0x1.1f45c444e57b4p-16, -0x1.19e4b84a5579cp-16, -0x1.148db33ad019ep-16, -0x1.0f4082f2cf55cp-16, -0x1.09fe045b63fdap-16, -0x1.04c44dcb566c6p-16, -0x1.ff2da55d5c6f8p-17, -0x1.f4e574059e74p-17, -0x1.eaad861b75aeap-17, -0x1.e0927efeb8469p-17, -0x1.d6881beb63c96p-17, -0x1.cc9337ba47539p-17, -0x1.c2b0d05d5d03p-17, -0x1.b8e4b98d002fbp-17, -0x1.af34ffbac1539p-17, -0x1.a58c67fa1b1d9p-17, -0x1.9bfc978e75561p-17, -0x1.928318fa74f4p-17, -0x1.8920f416f9de7p-17, -0x1.7fd0c2c8befd3p-17, -0x1.76969c512ab27p-17, -0x1.6d718aa131fe2p-17, -0x1.6461367c367bfp-17, -0x1.5b6603017f89ap-17, -0x1.527db604d7c9bp-17, -0x1.49b571ccd54eep-17, -0x1.40f189a5967e6p-17, -0x1.3849b67822284p-17, -0x1.2fb76da0fb6e4p-17, -0x1.2738e37831bc1p-17, -0x1.1ecfa863c9b77p-17, -0x1.167b2c478a86ap-17, -0x1.0e3b8acd6f87fp-17, -0x1.06108ced4e627p-17, -0x1.fbf48384cb4b4p-18, -0x1.ebf15e3932ba1p-18, -0x1.dc16571a359dap-18, -0x1.cc6648009688fp-18, -0x1.bcde3992315fdp-18, -0x1.ad7d79acc2326p-18, -0x1.9e46a1c48fa84p-18, -0x1.8f2efb15be5fp-18, -0x1.80532c2f0e006p-18, -0x1.718fe0d6a8a55p-18, -0x1.630040e7f296p-18, -0x1.54930585108c2p-18, -0x1.464dad1c006d3p-18, -0x1.3835c41581b2fp-18, -0x1.2a3c00bcf877ep-18, -0x1.1c6b57f7df93fp-18, -0x1.0ec61a03f7ed5p-18, -0x1.0145c01a2c546p-18, -0x1.e7d9ffbf520bbp-19, -0x1.cd76275f3ee09p-19, -0x1.b35fa688e1232p-19, -0x1.9995b109e28fbp-19, -0x1.800c2da009afp-19, -0x1.66eb79655f70cp-19, -0x1.4e03f790c67aep-19, -0x1.35777d32fc7eep-19, -0x1.1d1c93647c6e8p-19, -0x1.05198cd269c01p-19, -0x1.dab2b311709adp-20, -0x1.abde6a56ffc0ap-20, -0x1.7d96bbdc9a0c6p-20, -0x1.4fdc3a357bc72p-20, -0x1.22ac9036acfc6p-20, -0x1.ec41d66125f7bp-21, -0x1.94335db1a1488p-21, -0x1.3d4aef19d5948p-21, -0x1.ce75d80887a3p-22, -0x1.257996b18b642p-22, -0x1.f9106c19a8b44p-24, 0x1.3337e15120352p-25, 0x1.93765eddd9c0dp-23, 0x1.6aad7c4ed9be2p-22, 0x1.048708cd80dfp-21, 0x1.52c59830d388dp-21, 0x1.9ff425bda1794p-21, 0x1.ec139529fb4a8p-21, 0x1.1b9773679dfcap-20, 0x1.409d18df4fefep-20, 0x1.651bcc04cc6b2p-20, 0x1.891e472446a44p-20, 0x1.aca54f9e28e8ap-20, 0x1.cf9a48f6238ccp-20, 0x1.f218c2824235ep-20, 0x1.0a0bc1b5986c1p-19, 0x1.1ac784ee8ffcfp-19, 0x1.2b4fe2ae36193p-19, 0x1.3b948ad6bfcap-19, 0x1.4b9b412680e23p-19, 0x1.5b64f64b362e3p-19, 0x1.6af3e228cfed2p-19, 0x1.7a41f7a47960dp-19, 0x1.8956c06bcdf38p-19, 0x1.982fee2c2bfd3p-19, 0x1.a6e5125cb777dp-19, 0x1.b5330d3733febp-19, 0x1.c35bfc31faf0fp-19, 0x1.d1597358f836bp-19, 0x1.df07c1f620167p-19, 0x1.ec865969e47afp-19, 0x1.f9ceb6e8a2bp-19, 0x1.0356cbdcfc111p-18, 0x1.09dcfa1a272c4p-18, 0x1.102e95b62abefp-18, 0x1.1664e743697fcp-18, 0x1.1c7c328e4d807p-18, 0x1.227b9c4bf7529p-18, 0x1.2868c86626daep-18, 0x1.2e35acdf43ea7p-18, 0x1.33e46bf38117p-18, 0x1.3981b31e49179p-18, 0x1.3f0168c9f1fdcp-18, 0x1.44699e70d2558p-18, 0x1.49b56a0f8068ep-18, 0x1.4eeae67db2439p-18, 0x1.540789da811e7p-18, 0x1.590a6ed3a90a8p-18, 0x1.5dfe4b98fdbfdp-18, 0x1.62d05b9d5b36p-18, 0x1.6789fd9d58629p-18, 0x1.6c2f95c6b97dcp-18, 0x1.70bc7fdb90409p-18, 0x1.7538f5c838ed2p-18, 0x1.79998034974dap-18, 0x1.7de19983c96a2p-18, 0x1.821633cfe2a4cp-18, 0x1.8634a672fea32p-18, 0x1.8a3d6db5a1ceep-18, 0x1.8e309982005c3p-18, 0x1.920e347f32ec1p-18, 0x1.95d7cdf8d8a19p-18, 0x1.998eaaeb83634p-18, 0x1.9d2a632f47912p-18, 0x1.a0b9545ff49ecp-18, 0x1.a42baed350db9p-18, 0x1.a78cbb3a0a58fp-18, 0x1.aadcd5f70811cp-18, 0x1.ae17aa8fd95f1p-18, 0x1.b13f818213a02p-18, 0x1.b453da256b26cp-18, 0x1.b7556d2db44fdp-18, 0x1.ba3fe96d81b15p-18, 0x1.bd2309bdb1d82p-18, 0x1.bfe9ff2954142p-18, 0x1.c2a1be4d3aeb1p-18, 0x1.c5467e1536d38p-18, 0x1.c7db3d94f52f9p-18, 0x1.ca57c922e0f4ap-18, 0x1.cccf345178e36p-18, 0x1.cf2c0e414abc3p-18, 0x1.d179c7f2eedcbp-18, 0x1.d3bbce642a2e3p-18, 0x1.d5e970187f4e3p-18, 0x1.d806af30ee44ap-18, 0x1.da183e06cf9fbp-18, 0x1.dc10c50955f5ap-18, 0x1.ddfde8079efd9p-18, 0x1.dfdb7db089395p-18, 0x1.e1a84579320afp-18, 0x1.e368e6f133f2ap-18, 0x1.e51868bebbdfap-18, 0x1.e6b9f509cca1bp-18, 0x1.e85b4aa72ed1fp-18, 0x1.e9d0ff14a19b8p-18, 0x1.eb44f3b8daf9bp-18, 0x1.ecac729913777p-18, 0x1.ee0bded41b81fp-18, 0x1.ef5053c4d5609p-18, 0x1.f08ec0ed64d89p-18, 0x1.f1be748950853p-18, 0x1.f2e2f099a8e89p-18, 0x1.f3f8af7cfdafdp-18, 0x1.f501c70181f09p-18, 0x1.f5fd83aa7ae6fp-18, 0x1.f6ebc0fcd5ea2p-18, 0x1.f7cfe77afe6f3p-18, 0x1.f8a534abe4fa5p-18, 0x1.f97196d746a06p-18, 0x1.fa303efc9b78bp-18, 0x1.fae34bbb7257cp-18, 0x1.fb8a910229c28p-18, 0x1.fc2645d6fb047p-18, 0x1.fcb72f54fdc8fp-18, 0x1.fd3c341965366p-18, 0x1.fdb63259c1e02p-18, 0x1.fe2543d93e3c8p-18, 0x1.fe8a3002b0a5p-18, 0x1.fee4997366c5cp-18, 0x1.ff343393af701p-18, 0x1.ff79642c008dfp-18, 0x1.ffb4b46c6a3cp-18, 0x1.ffe498cff3d61p-18, 0x1.000699262d82bp-17, 0x1.00158df045f87p-17, 0x1.001f1d7abee72p-17, 0x1.002529b29a219p-17, 0x1.0026be5101711p-17, 0x1.0021d1659885bp-17, 0x1.001944d11f1cdp-17, 0x1.000c1a14599dp-17, 0x1.fff60948af4dfp-18, 0x1.ffcbd69a6deddp-18, 0x1.ff993ceb9f92dp-18, 0x1.ff5c3f0933c7dp-18, 0x1.ff16845a160f5p-18, 0x1.fecc4df56b66fp-18, 0x1.fe77dbfcf147cp-18, 0x1.fe1c0c9582faep-18, 0x1.fdb853abceeb3p-18, 0x1.fd4ce9e0e966ep-18, 0x1.fcda289d058a9p-18, 0x1.fc60094bc7862p-18, 0x1.fbdeadffa4082p-18, 0x1.fb535908f78e1p-18, }}, 
      {{-0x1.4ed33b1999efdp+0, -0x1.4c1113e1e9f7ap+0, -0x1.484d0976ae20dp+0, -0x1.439b0821297fcp+0, -0x1.3e10e263d20efp+0, -0x1.37c55043ece47p+0, -0x1.30cf3335e82adp+0, -0x1.29450be2d0c38p+0, -0x1.213c95ebf0c4ap+0, -0x1.18ca8321847d4p+0, -0x1.10024b844bb9bp+0, -0x1.06f6106024e83p+0, -0x1.fb6d198049634p-1, -0x1.e8a620b25d2b8p-1, -0x1.d5b3051cd6fdp-1, -0x1.c2acd6f01d26fp-1, -0x1.afaa02cd7d592p-1, -0x1.9cbe7318e1e25p-1, -0x1.89fbb59b2dcddp-1, -0x1.777123ce18087p-1, -0x1.652c0c55be1d4p-1, -0x1.5337dcb7839dbp-1, -0x1.419e4a57cf873p-1, -0x1.30677a1c58aabp-1, -0x1.1f9a2627878bdp-1, -0x1.0f3bc1559481cp-1, -0x1.fea130b25c819p-2, -0x1.dfb7e0899e7a5p-2, -0x1.c1c045c9e8d2ap-2, -0x1.a4bd716c4b01cp-2, -0x1.88b101c9479d7p-2, -0x1.6d9b4e8fd7538p-2, -0x1.537b91627501cp-2, -0x1.3a500aa012f74p-2, -0x1.2216232971081p-2, -0x1.0aca8aeb10446p-2, -0x1.e8d2a8ff2e8d4p-3, -0x1.bddc1c673b32ap-3, -0x1.94a7b0bd93dfbp-3, -0x1.6d2af3550803fp-3, -0x1.475ae1eaa5827p-3, -0x1.232c0acc69478p-3, -0x1.0092a958a24cep-3, -0x1.bf057e2b11bbbp-4, -0x1.7fe0534fc7a7p-4, -0x1.439d6ef3d119cp-4, -0x1.0a246bb2e4762p-4, -0x1.a6ba0c469b5a5p-5, -0x1.3e5e5f915c63dp-5, -0x1.b60ca2ad983bap-6, -0x1.f20c7d89dbf67p-7, -0x1.15371e4d9aa83p-8, 0x1.95da8b500bf0cp-8, 0x1.079ecdc0f9431p-6, 0x1.a18052792e558p-6, 0x1.19b73ed6ab28dp-5, 0x1.5edd1e9805e0ep-5, 0x1.a0590a8843d7ap-5, 0x1.de510a735fa9fp-5, 0x1.0c74f5e963b43p-4, 0x1.2823a07bae61cp-4, 0x1.4245b1965c7f5p-4, 0x1.5aebbb46be9afp-4, 0x1.7225b6ec0c6e8p-4, 0x1.880306ea10601p-4, 0x1.9c927b8492cf5p-4, 0x1.afe254f0f55ddp-4, 0x1.c20046ba3df9ap-4, 0x1.d2f97c8820acdp-4, 0x1.e2da9d2161582p-4, 0x1.f1afcf3d6e4eep-4, 0x1.ff84bcd6e74f2p-4, 0x1.06324bb04c009p-3, 0x1.0c2d0e7114c75p-3, 0x1.11b7cd86db8c3p-3, 0x1.16d779b2d95cdp-3, 0x1.1b90cfe4eb03dp-3, 0x1.1fe85aecc46a3p-3, 0x1.23e2758dcdf4ap-3, 0x1.27834c852121fp-3, 0x1.2acee01ceb8e7p-3, 0x1.2dc905ffe409cp-3, 0x1.30756b1b7ef5bp-3, 0x1.32d7950e08a4fp-3, 0x1.34f2e43d085a6p-3, 0x1.36ca94df7bee6p-3, 0x1.3861c09a79d98p-3, 0x1.39bb601ac3832p-3, 0x1.3ada4db55da84p-3, 0x1.3bc1414b74785p-3, 0x1.3c72db76cf34ep-3, 0x1.3cf19d68be593p-3, 0x1.3d3fee9db5a24p-3, 0x1.3d601d293b6c6p-3, 0x1.3d545e8c350d7p-3, 0x1.3d1ed24709d63p-3, 0x1.3cc17d34724a8p-3, 0x1.3c3e552239eb5p-3, 0x1.3b9737172ed57p-3, 0x1.3acded82caf61p-3, 0x1.39e43033a416cp-3, 0x1.38dba4e1e5001p-3, 0x1.37b5e013bd6b4p-3, 0x1.367465c526b16p-3, 0x1.3518aa194ca9p-3, 0x1.33a4123febf85p-3, 0x1.3217f493cc372p-3, 0x1.307599c904ec5p-3, 0x1.2ebe3cfee6f54p-3, 0x1.2cf30cb3ce7a3p-3, 0x1.2b152b9ecb8acp-3, 0x1.2925ae8efd7cbp-3, 0x1.2725a24a23965p-3, 0x1.2516064a27ae1p-3, 0x1.22f7d0c2d4c2ap-3, 0x1.20cbeda03dca4p-3, 0x1.1e933f33ed86bp-3, 0x1.1c4e9e724a7ffp-3, 0x1.19fedc147037cp-3, 0x1.17a4bf8f14e88p-3, 0x1.154108f9d3b5cp-3, 0x1.12d4702c3c3d2p-3, 0x1.105fa58134b0bp-3, 0x1.0de3523d8f748p-3, 0x1.0b601819b2bc6p-3, 0x1.08d693f1385bdp-3, 0x1.06475a9be6a8ap-3, 0x1.03b2fa566258cp-3, 0x1.0119fce2e67d3p-3, 0x1.fcf9cb4eccaedp-4, 0x1.f7b865367c29p-4, 0x1.f270b8d929e78p-4, 0x1.ed23ad80914b4p-4, 0x1.e7d220d1f3089p-4, 0x1.e27ce6e4d7af8p-4, 0x1.dd24cb4b759b3p-4, 0x1.d7ca8fad463ap-4, 0x1.d26eef37f7528p-4, 0x1.cd129b264a83bp-4, 0x1.c7b63e43107cfp-4, 0x1.c25a7b69e418p-4, 0x1.bcffee5595c14p-4, 0x1.b7a72bf36feb9p-4, 0x1.b250c1dd115b6p-4, 0x1.acfd38ba0cf3ep-4, 0x1.a7ad11d3abeb9p-4, 0x1.a260c895e539ap-4, 0x1.9d18d31f125d5p-4, 0x1.97d5a1df64cf1p-4, 0x1.9297a0585b6a5p-4, 0x1.8d5f337a39ec4p-4, 0x1.882cbd7446896p-4, 0x1.83009a3b4c8b5p-4, 0x1.7ddb21fb69d7cp-4, 0x1.78bca72d6904bp-4, 0x1.73a579cd0dcbep-4, 0x1.6e95e4accf066p-4, 0x1.698e2f0021b63p-4, 0x1.648e9bb909abcp-4, 0x1.5f976b36c5dd5p-4, 0x1.5aa8d8e4fec7ep-4, 0x1.55c31e194c6b6p-4, 0x1.50e66fbefb085p-4, 0x1.4c1300aa53152p-4, 0x1.4749008df5468p-4, 0x1.42889a7aa25c5p-4, 0x1.3dd1f95e42f81p-4, 0x1.392543481803cp-4, 0x1.34829cbdfb8b6p-4, 0x1.2fea276f8d8f2p-4, 0x1.2b5c028d1de81p-4, 0x1.26d84b565bfep-4, 0x1.225f1c2d82d4bp-4, 0x1.1df08ddab979p-4, 0x1.198cb6a490b0dp-4, 0x1.1533ab0b56ed1p-4, 0x1.10e57d6e0c0cep-4, 0x1.0ca23e3a4eaedp-4, 0x1.0869fd61ecb8bp-4, 0x1.043cc6ba1ef7bp-4, 0x1.001aa68a8c8dfp-4, 0x1.f8074c13acafbp-5, 0x1.efef9b9697361p-5, 0x1.e7ee48b3cbbc3p-5, 0x1.e0035ebf359a2p-5, 0x1.d82ee58c0920ap-5, 0x1.d070e26bc6171p-5, 0x1.c8c957fe20b85p-5, 0x1.c138479674dc6p-5, 0x1.b9bdad064d293p-5, 0x1.b259861952b7dp-5, 0x1.ab0bcb0b2a2f1p-5, 0x1.a3d4749659b84p-5, 0x1.9cb3772d09871p-5, 0x1.95a8c680be56cp-5, 0x1.8eb4554e8f3cdp-5, 0x1.87d6106c7ef88p-5, 0x1.810de96b8a7d7p-5, 0x1.7a5bcabdc05ddp-5, 0x1.73bfa0812dc48p-5, 0x1.6d39546e5fdc9p-5, 0x1.66c8cc75b59e3p-5, 0x1.606df115ee8aep-5, 0x1.5a28a74d0834ap-5, 0x1.53f8d2edba351p-5, 0x1.4dde568fb9913p-5, 0x1.47d915707a99ep-5, 0x1.41e8edf175e4ap-5, 0x1.3c0dc0ebd1dcfp-5, 0x1.36476cc63cef2p-5, 0x1.3095cebe468bep-5, 0x1.2af8c3cdee34bp-5, 0x1.257027a60337ep-5, 0x1.1ffbd54e91a5ap-5, 0x1.1a9ba6fe31fadp-5, 0x1.154f7632e2d09p-5, 0x1.10171b998343fp-5, 0x1.0af26f9da81bdp-5, 0x1.05e14a00d6bd4p-5, 0x1.00e38031c383dp-5, 0x1.f7f1d42188553p-6, 0x1.ee42ba564c4bfp-6, 0x1.e4b95cd90c859p-6, 0x1.db556672ee23dp-6, 0x1.d2167faf326b5p-6, 0x1.c8fc512e4cc2cp-6, 0x1.c0068290153bbp-6, 0x1.b734b849cb674p-6, 0x1.ae869bb038168p-6, 0x1.a5fbd134c2651p-6, 0x1.9d93fe1a720b6p-6, 0x1.954ec709e301p-6, 0x1.8d2bd02a647cap-6, 0x1.852abdd43e9a1p-6, 0x1.7d4b346d30d2ap-6, 0x1.758cd4d87b9bp-6, 0x1.6def44486e23cp-6, 0x1.667225c6cd4a7p-6, 0x1.5f151b8514fb6p-6, 0x1.57d7c8afac8a6p-6, 0x1.50b9cf6a0844fp-6, 0x1.49bad225cc27dp-6, 0x1.42da74dc489c7p-6, 0x1.3c185acfcb3ddp-6, 0x1.357424b3a7b63p-6, 0x1.2eed7689c087fp-6, 0x1.2883f3727719p-6, 0x1.22373ee3c2d2ap-6, 0x1.1c06fb76a69cp-6, 0x1.15f2ce2412fc9p-6, 0x1.0ffa598f99b87p-6, 0x1.0a1d439447f73p-6, 0x1.045b30d64aa41p-6, 0x1.fd678980783a2p-7, 0x1.f24d4a4f6536bp-7, 0x1.e766f1b396ccp-7, 0x1.dcb3c9adf2fb8p-7, 0x1.d233202c5820ap-7, 0x1.c7e442e69a17dp-7, 0x1.bdc6823f9ad92p-7, 0x1.b3d92c0516a4cp-7, 0x1.aa1b92f6cf46dp-7, 0x1.a08d088c0914cp-7, 0x1.972ce014fe426p-7, 0x1.8dfa6d09635f5p-7, 0x1.84f508bcdb84p-7, 0x1.7c1c032becbeap-7, 0x1.736eb946befb3p-7, 0x1.6aec82df06325p-7, 0x1.6294ba0e343dap-7, 0x1.5a66bacb77d7bp-7, 0x1.5261e31430124p-7, 0x1.4a858dbcdf85fp-7, 0x1.42d11e121dc29p-7, 0x1.3b43f3fd738a5p-7, 0x1.33dd71eaa85cfp-7, 0x1.2c9cfbb6b1086p-7, 0x1.2581f6b8d00a9p-7, 0x1.1e8bc9f08f95ep-7, 0x1.17b9dccf765f8p-7, 0x1.110b99056f301p-7, 0x1.0a806a4cb65ffp-7, 0x1.0417bebebc45cp-7, 0x1.fba202592b39fp-8, 0x1.ef574696f90b2p-8, 0x1.e34e2c1ef0e71p-8, 0x1.d78598d733d75p-8, 0x1.cbfc72c81b3e1p-8, 0x1.c0b1aa0abd42ap-8, 0x1.b5a426485afd4p-8, 0x1.aad2da08c500bp-8, 0x1.a03cc7e73df4dp-8, 0x1.95e0d81f4ab78p-8, 0x1.8bbe08b1a5a35p-8, 0x1.81d35e3acb6bcp-8, 0x1.781fd156bf179p-8, 0x1.6ea26d0b48d79p-8, 0x1.655a3d291648cp-8, 0x1.5c4639a1c764bp-8, 0x1.53658631f43c1p-8, 0x1.4ab7241661f79p-8, 0x1.423a2dfa826e9p-8, 0x1.39edb940360acp-8, 0x1.31d0e15d381f8p-8, 0x1.29e2c29b9ef3fp-8, 0x1.22227dbcaf689p-8, 0x1.1a8f3609c591fp-8, 0x1.132811a2297d5p-8, 0x1.0bec3a32e4f69p-8, 0x1.04dada56b03b9p-8, 0x1.fbe61a56daac3p-9, 0x1.ee68887aa3f35p-9, 0x1.e13aec8352fbfp-9, 0x1.d45be17e8a00cp-9, 0x1.c7c9de626640bp-9, 0x1.bb835f433cb1ep-9, 0x1.af86e574263a9p-9, 0x1.a3d2f5778d546p-9, 0x1.98661da296e64p-9, 0x1.8d3ef77b7ae4p-9, 0x1.825c1227cc4a5p-9, 0x1.77bc11aca914bp-9, 0x1.6d5d9ad6091eap-9, 0x1.633f6282292b4p-9, 0x1.595ff84567e2dp-9, 0x1.4fbe2e1b7cc0bp-9, 0x1.4658aff15bbbdp-9, 0x1.3d2e3e26837c1p-9, 0x1.343d982d16f83p-9, 0x1.2b858e693a462p-9, 0x1.2304f19a59891p-9, 0x1.1aba901e8f575p-9, 0x1.12a547c746e87p-9, 0x1.0ac3f617918bbp-9, 0x1.03157cf7cc211p-9, 0x1.f7317c69af91ep-10, 0x1.e89957da87895p-10, 0x1.da60727db67e7p-10, 0x1.cc849f2ae6f57p-10, 0x1.bf03e4a37d7a2p-10, 0x1.b1dc4269dda89p-10, 0x1.a50bc38784339p-10, 0x1.98907b8acc0afp-10, 0x1.8c6888fd62fcp-10, 0x1.8091f6b471c47p-10, 0x1.750ad22a6817p-10, 0x1.69d208cdeb0fap-10, 0x1.5ee4ed1bd529dp-10, 0x1.544225c762f4dp-10, 0x1.49e7f5630f669p-10, 0x1.3fd4b1af1fb2fp-10, 0x1.3606bbbc1fcd2p-10, 0x1.2c7c6f48cae23p-10, 0x1.2334610493fd7p-10, 0x1.1a2cec7da85ccp-10, 0x1.116494a70b006p-10, 0x1.08d9e03c48963p-10, 0x1.008b5745f771p-10, 0x1.f0ef0dfb050dp-11, 0x1.e13a07836b224p-11, 0x1.d1f4d581a7318p-11, 0x1.c31cc91257837p-11, 0x1.b4af53f92dcbfp-11, 0x1.a6a9b301496c4p-11, 0x1.9909ca76660afp-11, 0x1.8bcceb890b57p-11, 0x1.7ef0c49ec20b9p-11, 0x1.7272f4210457cp-11, 0x1.665117b7a9bfp-11, 0x1.5a88dddc73a5fp-11, 0x1.4f17faf74ea22p-11, 0x1.43fc2d76fc05ap-11, 0x1.393362aa59d73p-11, 0x1.2ebb959c293e3p-11, 0x1.2492b9f588a91p-11, 0x1.1ab6c93920cb3p-11, 0x1.11261797beeefp-11, 0x1.07de8cc45c596p-11, 0x1.fdbca25059ecep-12, 0x1.ec47128ec288p-12, 0x1.db58af57482aap-12, 0x1.caedd63405c9fp-12, 0x1.bb02fa1418225p-12, 0x1.ab9601e88dbe9p-12, 0x1.9c9fb1cb82ep-12, 0x1.8e2143978625cp-12, 0x1.8015fe5d08acfp-12, 0x1.727b0a8d0c2b9p-12, 0x1.654d73927754bp-12, 0x1.588a27d8dd881p-12, 0x1.4c2e7e9927c8dp-12, 0x1.40376b84a3234p-12, 0x1.34a26cc462f1p-12, 0x1.296c92d3a64bdp-12, 0x1.1e93098c50447p-12, 0x1.141404b544645p-12, 0x1.09ec41c397ff6p-12, 0x1.0019902f1cd85p-12, 0x1.ed33681e80da2p-13, 0x1.dad553bee6d11p-13, 0x1.c9132f17227dcp-13, 0x1.b7e8df3fabf49p-13, 0x1.a751d81383ce1p-13, 0x1.974a38576a039p-13, 0x1.87ce006a1a707p-13, 0x1.78d94d418f2a3p-13, 0x1.6a683b166a082p-13, 0x1.5c7720211843dp-13, 0x1.4f0220d7a5393p-13, 0x1.4205b26d81096p-13, 0x1.357e595797748p-13, 0x1.296896cd90a63p-13, 0x1.1dc0c77653232p-13, 0x1.12839a98cd902p-13, 0x1.07ae07fc1a764p-13, 0x1.fa77c6f19eb69p-14, 0x1.e65630ddcc52p-14, 0x1.d2f201699e762p-14, 0x1.c0450c956dae4p-14, 0x1.ae4a11fd80461p-14, 0x1.9cfbfedbb1538p-14, 0x1.8c558c7ef6f22p-14, 0x1.7c515c050e035p-14, 0x1.6cea117367a4p-14, 0x1.5e1a74c2d0e3bp-14, 0x1.4fddbb1e2109bp-14, 0x1.422e116b1cb43p-14, 0x1.3507c6e08e4e9p-14, 0x1.2865e727dbd7p-14, 0x1.1c4464eaa36bcp-14, 0x1.109f3fbe94de8p-14, 0x1.05721cdeca79ep-14, 0x1.f574d6269b01bp-15, 0x1.e0e780140f4d4p-15, 0x1.cd38bb8cea455p-15, 0x1.ba5a9551b5cf7p-15, 0x1.a84cafc1bb5bfp-15, 0x1.97050665e9239p-15, 0x1.867bd75839e6dp-15, 0x1.76aa8c0cfc575p-15, 0x1.678a220a37bd3p-15, 0x1.5914ec7b6864dp-15, 0x1.4b44957e940f8p-15, 0x1.3e12beca7da22p-15, 0x1.317a4948dc3ep-15, 0x1.2574fa464377ap-15, 0x1.19fd7870bfdd7p-15, 0x1.0f0f098936c8p-15, 0x1.04a5e2170f2bbp-15, 0x1.f57c210cd1944p-16, 0x1.e2a7b56b46a06p-16, 0x1.d0bf741e0eb3fp-16, 0x1.bfc081108a457p-16, 0x1.af9bf858b3187p-16, 0x1.a04bb516081fap-16, 0x1.91c7573c15925p-16, 0x1.8406d47e536dfp-16, 0x1.770470734cc2p-16, 0x1.6ab86e987ddb4p-16, 0x1.5f19e3a146108p-16, 0x1.54216967d6fa5p-16, 0x1.49c71892bcd07p-16, 0x1.400534cd252d5p-16, 0x1.36d8da3865cc1p-16, 0x1.2e33b483554eap-16, 0x1.2618a1dfbe9dbp-16, 0x1.1e7f23bfc2a76p-16, 0x1.1761b7e04117p-16, 0x1.10bac790a367dp-16, 0x1.0a849c076f103p-16, 0x1.04ba0c7a4ea37p-16, 0x1.feaa20c5b0deep-17, 0x1.f4a96a992449dp-17, 0x1.eb6cf69ddf155p-17, 0x1.e2e1b031f888fp-17, 0x1.db026df5809bcp-17, 0x1.d3c504f1f163ep-17, 0x1.cd21ee0743783p-17, 0x1.c711ea98932cbp-17, 0x1.c18de38fb2a28p-17, 0x1.bc91663b9381bp-17, 0x1.b81406fe0e3c6p-17, 0x1.b40db5af26a48p-17, 0x1.b07596e951df1p-17, 0x1.ad48be5deacf3p-17, 0x1.aa7cb86bb02ecp-17, 0x1.a819f29ad5d0ep-17, 0x1.a60900aed26a3p-17, 0x1.a44c1a5ead01p-17, 0x1.a2deb4261d43ap-17, 0x1.a1bd6160c5cb4p-17, 0x1.a0ecc850bca0cp-17, 0x1.a048d60674277p-17, 0x1.9feb238a6541p-17, 0x1.9fc5b81c90fa4p-17, 0x1.9fd723e505dcp-17, 0x1.a013697f446fep-17, 0x1.a082cbb33e227p-17, 0x1.a11ac0740221bp-17, 0x1.a1d7830b712f2p-17, 0x1.a2b6eeb536df8p-17, 0x1.a3b5e25a10145p-17, 0x1.a4d1a1df38ef9p-17, 0x1.a607653d78ff2p-17, 0x1.a7550c9f805bp-17, 0x1.a8b662fc5c937p-17, 0x1.aa29a1f254505p-17, 0x1.ababd4484d30bp-17, 0x1.ad3a64a94b6c6p-17, 0x1.aed6537be1fa6p-17, 0x1.b077629682531p-17, 0x1.b2207681ba889p-17, 0x1.b3ce16b4a1719p-17, 0x1.b57f41457bc06p-17, 0x1.b7324fbec5b5ep-17, 0x1.b8e565ade153cp-17, 0x1.ba96554b2306bp-17, 0x1.bc438e262d779p-17, 0x1.bdee578625636p-17, 0x1.bf8a868ebcd8dp-17, 0x1.c129a249d1b05p-17, 0x1.c2bd204d30955p-17, 0x1.c4482cb75867ep-17, 0x1.c5c50168c07dp-17, 0x1.c73b96df17266p-17, 0x1.c8a54d58da337p-17, 0x1.ca005a605b53dp-17, 0x1.cb4c24399a7fp-17, 0x1.cc8d0f420d5dap-17, 0x1.cdbc3eb828de6p-17, 0x1.cedb22e987fc7p-17, 0x1.cfe9c9cbd0051p-17, 0x1.d0e759dc2d577p-17, 0x1.d1d39427ec663p-17, 0x1.d2addbd252995p-17, 0x1.d3755dbe2fb7ap-17, 0x1.d429f076cf6f6p-17, 0x1.d4c8250567aeap-17, 0x1.d55870dee8d58p-17, 0x1.d5d344775203cp-17, 0x1.d6392faa75273p-17, 0x1.d68b984c874bcp-17, 0x1.d6c875c31c8f8p-17, 0x1.d6f1cf33ab138p-17, 0x1.d706a556b1fa1p-17, 0x1.d706f5ebafc7dp-17, 0x1.d6f268324da46p-17, 0x1.d6ce8326b309dp-17, 0x1.d68c2c5d4e3a1p-17, 0x1.d639997c3353p-17, 0x1.d5d25589a5f3fp-17, 0x1.d55634fafc897p-17, 0x1.d4c5d4d9189fdp-17, 0x1.d4213ccf80765p-17, 0x1.d36cf5d92825cp-17, 0x1.d29acfe4905a2p-17, 0x1.d1b91b2b7953dp-17, 0x1.d0c344dab256ap-17, 0x1.cfbb970b0f353p-17, 0x1.ce9f41ee6b281p-17, 0x1.cd6b827104c3p-17, 0x1.cc2a098afda56p-17, 0x1.cad380ef7345dp-17, 0x1.c96a8413ec21ap-17, 0x1.c7eeefbe52065p-17, 0x1.c6619ba14eba1p-17, 0x1.c4c20035e6a3ap-17, 0x1.c31077515238ap-17, 0x1.c14dd40be5fb4p-17, 0x1.bf78fed525721p-17, 0x1.bd9535d0a8d6bp-17, 0x1.bba0a8159025cp-17, 0x1.b99adbff41745p-17, 0x1.b78ea7a57141p-17, 0x1.b5604fe013c28p-17, 0x1.b32bf2b821edp-17, 0x1.b0e8845598ecbp-17, 0x1.ae965e026ep-17, 0x1.ac38971b01cc7p-17, 0x1.a9c6f7c56a9d9p-17, 0x1.a74bb706278fap-17, 0x1.a4c21d9866eabp-17, 0x1.a2298488c7662p-17, 0x1.9f85ee192a84cp-17, 0x1.9cd934c2c0c54p-17, 0x1.9a196d339ac05p-17, 0x1.97513013bdb6cp-17, 0x1.947d9229254e8p-17, 0x1.919ea7117345ap-17, 0x1.8eb22c8c8747p-17, 0x1.8bc142cf41d25p-17, 0x1.88c32c5a2a074p-17, 0x1.85b9e2a03b1bbp-17, 0x1.82a9ee1a31dfbp-17, 0x1.7f8edaadf3b48p-17, 0x1.7c6cbe57e7d8cp-17, 0x1.793fd88a1e14fp-17, 0x1.760ad2f7ce107p-17, 0x1.72ce9c00ae542p-17, 0x1.6f8ac43fc73b6p-17, 0x1.6c3f9ed6a6058p-17, 0x1.68ed7d650247p-17, 0x1.6594aa168f17p-17, 0x1.6235736eaab1bp-17, 0x1.5ed0212bb2ce5p-17, 0x1.5b66558926933p-17, 0x1.57f57a9e91cdep-17, 0x1.547eb1468885cp-17, 0x1.5104041383072p-17, 0x1.4d84a7a8c9deep-17, 0x1.4a00e51068b29p-17, 0x1.4679163ec7ce1p-17, 0x1.42ed7d8ee0e7cp-17, 0x1.3f5d3e43e3126p-17, 0x1.3bcbe53149d37p-17, 0x1.38366089fd2fdp-17, 0x1.349e1c20c99bfp-17, 0x1.3101d01a6ea85p-17, 0x1.2d65e4caaa80fp-17, 0x1.29c748d287243p-17, 0x1.26258e9492787p-17, 0x1.2282ab46f2ac2p-17, 0x1.1edd4b8ce0428p-17, 0x1.1b3ad6aac5a7ep-17, 0x1.1795ee9ea772ap-17, 0x1.13f149e6aeedbp-17, 0x1.104a7288ed612p-17, 0x1.0ca1ea46cc6afp-17, 0x1.08fb177b3cf2dp-17, 0x1.05546e0f5c89bp-17, 0x1.01ae30b540b4bp-17, 0x1.fc092fde01f6dp-18, 0x1.f4c79ade40c8bp-18, 0x1.ed7fdf27f524cp-18, 0x1.e63acd2e7a521p-18, 0x1.def7e5a1dfe52p-18, 0x1.d7b8768097126p-18, 0x1.d07c551531f03p-18, 0x1.c93f95c22a078p-18, 0x1.c213eff892486p-18, 0x1.bae04950939d2p-18, 0x1.b3b563c9cf4bap-18, 0x1.ac8f856c78e7bp-18, 0x1.a56f06358f078p-18, 0x1.9e5423edc0a83p-18, 0x1.973f41ab18393p-18, 0x1.9031f2a3655a5p-18, 0x1.89275f81595e9p-18, 0x1.822746627bc52p-18, 0x1.7b2cffaf91de7p-18, 0x1.7439c8040d339p-18, 0x1.6d4fa976f073fp-18, 0x1.666b399a048f6p-18, 0x1.5f8f7d5907a61p-18, 0x1.58b8bb68cd10dp-18, 0x1.51f8edebb3382p-18, 0x1.4b31500ffdeafp-18, 0x1.4475b9f926f0ap-18, 0x1.3dc537d4c745cp-18, 0x1.371e30b0e297cp-18, 0x1.307f7503663f3p-18, 0x1.29ed37e8c5c98p-18, 0x1.2362a76c03f62p-18, 0x1.1ce2a319da8ep-18, 0x1.166e8c3a938ffp-18, 0x1.100137558d4b1p-18, 0x1.09a0124f98769p-18, 0x1.0349f3bba25a8p-18, 0x1.f9fb9e4717229p-19, 0x1.ed79ef73a4c2ap-19, 0x1.e10e55ab7cf79p-19, 0x1.d4b917f75413bp-19, 0x1.c87a202ad33fdp-19, 0x1.bc51ff1918328p-19, 0x1.b04118864b082p-19, 0x1.a4473b79cb1cdp-19, 0x1.985a9edd0a511p-19, 0x1.8c9c8d3cf1373p-19, 0x1.80e675ed2fdf5p-19, 0x1.754b922625289p-19, 0x1.69c89b6a537fdp-19, 0x1.5e5dd94d9192cp-19, 0x1.530b8a0075b58p-19, 0x1.47ceaa4a109b2p-19, 0x1.3cb0a0903cfddp-19, 0x1.31a798d4b31cfp-19, 0x1.26b6822a25d39p-19, 0x1.1bd893a78d26dp-19, 0x1.112474f54e01cp-19, 0x1.0680523b3c433p-19, 0x1.f7e455d19456ep-20, 0x1.e307cb30014cbp-20, 0x1.ce86f7cb2a0f5p-20, 0x1.b9d807176b3bfp-20, 0x1.a5957feac74f9p-20, 0x1.9173224f3021p-20, 0x1.7d90faf4b1013p-20, 0x1.69dfb3cd2ae47p-20, 0x1.56637181c212cp-20, 0x1.431b3ca808153p-20, 0x1.2fffd01ff7126p-20, 0x1.1d1a0a0276e95p-20, 0x1.0a5e38965d4aap-20, 0x1.efdb04227e11ep-21, 0x1.cb475b74e75d6p-21, 0x1.a719d2a0df70cp-21, 0x1.835204f915226p-21, 0x1.5ff0b7b9b6cdbp-21, 0x1.3cf6c604b1414p-21, 0x1.1a62a021fbe12p-21, 0x1.f0689ca5fffe3p-22, 0x1.acc34890cf482p-22, 0x1.6a1200a9886f5p-22, 0x1.2814c47649087p-22, 0x1.cdc555c2b9a2ap-23, 0x1.4cf7d42355de2p-23, 0x1.9b79a8f08a20dp-24, 0x1.3e532f2957fe3p-25, -0x1.60971d4055808p-26, -0x1.4d46cd99d517p-24, -0x1.1fa336449c48ep-23, -0x1.9718f4eea024bp-23, -0x1.0657bd927a049p-22, -0x1.40b343a4e0f88p-22, -0x1.7a229e864b7cdp-22, -0x1.b2cde15fc9569p-22, -0x1.eab662de3483ap-22, -0x1.10d328872ae2ep-21, -0x1.2c227082ec85bp-21, -0x1.477338ac88b1dp-21, -0x1.616cdff92079cp-21, -0x1.7b825e93a8ec3p-21, -0x1.9539a68d450bcp-21, -0x1.ae95089631ee7p-21, -0x1.c79d091a00f9bp-21, -0x1.e03188bd1518p-21, -0x1.f8f5f2e4df557p-21, -0x1.082e4712cd933p-20, -0x1.13f7a74e083adp-20, -0x1.1f9450f9c2ddp-20, -0x1.2b0507f080198p-20, -0x1.3631688de89ecp-20, -0x1.41514501c6a0ap-20, -0x1.4c3357484ff32p-20, -0x1.56ed391c7b1b7p-20, -0x1.616e919b34157p-20, -0x1.6bdea5ee0edf5p-20, -0x1.761a967dc87ecp-20, -0x1.8026807457ce1p-20, -0x1.8a0a14c5cf042p-20, -0x1.93a1a49e31f7fp-20, -0x1.9d528682f0793p-20, -0x1.a6ba4c6afc879p-20, -0x1.aff5ec099feccp-20, -0x1.b908f9e6c50ccp-20, -0x1.c1f418abec941p-20, -0x1.cab7232273d72p-20, -0x1.d3522beff0d5p-20, -0x1.dbc4f53f2c45ap-20, -0x1.e4112b36abefep-20, -0x1.ec2e0399365cep-20, -0x1.f434219fd0f89p-20, -0x1.fc0bcf0a9b482p-20, -0x1.01df6cc3891d3p-19, -0x1.05a54343b25dap-19, -0x1.095895bf54d11p-19, -0x1.0cf95947ac3e9p-19, -0x1.10855ddaae727p-19, -0x1.14042042f548fp-19, -0x1.176e6571ec88ap-19, -0x1.1ac6a27dd8db2p-19, -0x1.1e0cb7e032bd3p-19, -0x1.21432e901961dp-19, -0x1.246628df50d9ap-19, -0x1.27782ad072184p-19, -0x1.2a7a057ddb6c4p-19, -0x1.2d6a667c4b84dp-19, -0x1.304a4feff85f4p-19, -0x1.330cd93cae885p-19, -0x1.35d97378d8f85p-19, -0x1.3886c78e054c1p-19, -0x1.3b25efd9b1461p-19, -0x1.3db42a224c819p-19, -0x1.4032d6e7b5f6fp-19, -0x1.42a22603da273p-19, -0x1.450248fe09259p-19, -0x1.47527d2eecb76p-19, -0x1.4996e5a09abe9p-19, -0x1.4bc6a40b19068p-19, -0x1.4dea2a0afde18p-19, -0x1.5002b271562c2p-19, -0x1.52061bb9c5a8bp-19, -0x1.53fe129957181p-19, -0x1.55e6a9ec83073p-19, -0x1.57c4c5966ecaep-19, -0x1.5992bb16dd596p-19, -0x1.5b4ecf3d21fc6p-19, -0x1.5d037a0cdd53cp-19, -0x1.5eac796de28eap-19, -0x1.60463cd3c2203p-19, -0x1.61cf8bd271a8cp-19, -0x1.634f1295d883p-19, -0x1.64c0e29d12802p-19, -0x1.66260d4939f0dp-19, -0x1.677ed5278dbep-19, -0x1.68cb284a6f05fp-19, -0x1.6a0c323e3f396p-19, -0x1.6b3b95286b672p-19, -0x1.6c68662692a52p-19, -0x1.6d8525ea6a2d2p-19, -0x1.6e95b4cc181e1p-19, -0x1.6f9bf61e6892cp-19, -0x1.709686439202fp-19, -0x1.7185df01999abp-19, -0x1.726a2ab7042f6p-19, -0x1.7343a28a0a2acp-19, -0x1.741266861529ep-19, -0x1.74d6901012c17p-19, -0x1.758e71de6051fp-19, -0x1.763fcd4d05d44p-19, -0x1.76e4af4f65496p-19, -0x1.7780b90708ef5p-19, -0x1.78124083735c5p-19, -0x1.78a4d8264b2b7p-19, -0x1.7917fea0a33aap-19, -0x1.798d2de68a68cp-19, -0x1.79f7f2ec98417p-19, -0x1.7a5a1f54d4444p-19, -0x1.7ab326c9fc122p-19, -0x1.7b005643f454fp-19, -0x1.7b49e92f6be1dp-19, -0x1.7b88e7180665ep-19, -0x1.7bbe954b77a93p-19, -0x1.7bec2c9f38839p-19, -0x1.7c114577e4b7cp-19, -0x1.7c2e2f1dfbe63p-19, -0x1.7c4307b5f77e6p-19, -0x1.7c510f67482b9p-19, -0x1.7c55ed6bbdad6p-19, -0x1.7c51696513966p-19, -0x1.7c47ea4f7b9e3p-19, -0x1.7c35861a658d4p-19, -0x1.7c1cfeea65beep-19, -0x1.7bfc86651e44bp-19, -0x1.7bd5a979364fcp-19, -0x1.7ba6ca8e14454p-19, -0x1.7b70dc2ba251ep-19, -0x1.7b350f16261fap-19, -0x1.7af35c88edd99p-19, -0x1.7aa7bfd07b56ap-19, -0x1.7a57da59bcc9ap-19, -0x1.7a011c8f05425p-19, -0x1.79a63146b3a0fp-19, -0x1.79419576dc99ep-19, -0x1.78d85d9a9f4c9p-19, -0x1.786785253d9cap-19, -0x1.77f50a46eeadfp-19, -0x1.777b2bcc41cfdp-19, -0x1.76fa0543233e9p-19, -0x1.767452817532bp-19, -0x1.75e90dc8aac86p-19, -0x1.755873dd79271p-19, -0x1.74c34ec369ccfp-19, -0x1.7427a89ab59cep-19, -0x1.73862ced7d1fbp-19, -0x1.72e240772147bp-19, -0x1.7239180dcc003p-19, -0x1.7189632885c1ep-19, -0x1.70d5d7078370bp-19, -0x1.701dfbaf9666fp-19, -0x1.6f608fd369c68p-19, -0x1.6ea031520449ap-19, -0x1.6ddacaf3de21bp-19, -0x1.6d111afdb567bp-19, -0x1.6c438ead2a817p-19, -0x1.6b712cd500adep-19, -0x1.6a9b36a5a0bb2p-19, -0x1.69c135ff10d54p-19, -0x1.68e341dd9d212p-19, -0x1.680b78a19e3e5p-19, -0x1.671c76c5478eap-19, -0x1.663288144f63bp-19, -0x1.654759a36e7d1p-19, -0x1.6457304d13c6p-19, -0x1.6363a6240b454p-19, -0x1.626d13371b4ccp-19, -0x1.616754e341453p-19, -0x1.6076426462fb8p-19, -0x1.5f7625343dcdp-19, -0x1.5e72c58285b7ep-19, -0x1.5d6b0ff4dab2bp-19, -0x1.5c637af711e6dp-19, -0x1.5b580a32adbfp-19, -0x1.5a497068064a3p-19, -0x1.593636c6a2f96p-19, -0x1.582438ad056d7p-19, -0x1.570dbeda12c73p-19, -0x1.55f4da589cd4ap-19, -0x1.54d97442b31ecp-19, -0x1.53bbcf3042221p-19, -0x1.529bd4c2be429p-19, -0x1.5179ad24e877dp-19, -0x1.50571958629cap-19, -0x1.4f2f170fd9018p-19, -0x1.4e0633e662d6ep-19, -0x1.4cdb8f93235eap-19, -0x1.4bae6068b9117p-19, -0x1.4a8242e3f48cp-19, -0x1.4950a1c0ce18bp-19, -0x1.481e9a50a0e94p-19, -0x1.46eaefa918982p-19, -0x1.45b58a9e85f63p-19, -0x1.447ea9ebbb1d5p-19, -0x1.434616ecc25a6p-19, -0x1.420c0fb16e809p-19, -0x1.40d0a5dff4913p-19, -0x1.3f93fe56ab9dap-19, -0x1.3e55b1048bf21p-19, -0x1.3d178924d63fbp-19, -0x1.3bd570c41da15p-19, -0x1.3a931218ef8d9p-19, -0x1.395047d0c9eaap-19, -0x1.380bfee02574fp-19, -0x1.36c758e6fd58ap-19, -0x1.358069d1e3f9p-19, -0x1.343930c96632bp-19, -0x1.32ea37e362a3p-19, -0x1.31a7c8bb51204p-19, -0x1.305dbefa2e3dp-19, -0x1.2f130a4515d49p-19, -0x1.2dc76debde606p-19, -0x1.2c7b11f1a440ap-19, -0x1.2b2ca75b2fa6bp-19, -0x1.29e0da3d60fd4p-19, -0x1.28928416c42eap-19, -0x1.2742e49166d5cp-19, -0x1.25f489e3f7382p-19, -0x1.24a4af733d615p-19, -0x1.23548ec635b7p-19, -0x1.2204819628d28p-19, -0x1.20b2ce04bfcb9p-19, -0x1.1f6167e24a6d8p-19, -0x1.1e0fbf8577f0ep-19, -0x1.1cbcc67a350afp-19, -0x1.1b6bc0de9a839p-19, -0x1.1a1915d9dcd94p-19, -0x1.18c6797181f68p-19, -0x1.1778326736667p-19, -0x1.1622526144321p-19, -0x1.14cdde6fde3c3p-19, -0x1.137ae6cb56b91p-19, -0x1.122982a4f0bc8p-19, -0x1.10d4c2b46f705p-19, -0x1.0f81b043312d4p-19, -0x1.0e2e461b81ffp-19, -0x1.0cdbffa2c9f1ep-19, -0x1.0b898ecd224fcp-19, -0x1.0a371df03c343p-19, -0x1.08e4053ecfac3p-19, -0x1.07919aa6a4dc8p-19, -0x1.063fb73ec30b7p-19, -0x1.04ed639f84436p-19, -0x1.039c5dd8a3e36p-19, -0x1.024b1b2cd9d16p-19, -0x1.00fa3a9c83532p-19, -0x1.ff53369d02c04p-20, -0x1.fcb2aafe3f991p-20, -0x1.fa13213984166p-20, -0x1.f77440a956436p-20, -0x1.f4d61054d1837p-20, -0x1.f238c83f674c1p-20, -0x1.ef9cbefd1b81ep-20, -0x1.ed01d7a89fadcp-20, -0x1.ea67a062f421fp-20, -0x1.e7ce5816c42f5p-20, -0x1.e536665edbe39p-20, -0x1.e29f38b52eb6ap-20, -0x1.e009ce185778ep-20, -0x1.dd7553dc33279p-20, -0x1.dae1d2e3d033p-20, -0x1.d850221d2765fp-20, -0x1.d5bfcd01ab97dp-20, -0x1.d33001f0a6408p-20, -0x1.d0a1f706dfdf6p-20, -0x1.ce15b4fb78252p-20, -0x1.cb8a6748d56bap-20, -0x1.c900d44ce1a56p-20, -0x1.c679b8c55c012p-20, -0x1.c3f2149efa2b5p-20, -0x1.c16d3930753e5p-20, -0x1.bee9c449f736dp-20, -0x1.bc67fa68c1bafp-20, -0x1.b9e7f6fbcb44dp-20, -0x1.b7698412fdd07p-20, -0x1.b4ec8a6892bb4p-20, -0x1.b2718dad42cf3p-20, -0x1.aff848c6e9399p-20, -0x1.ad80c45aaa0d6p-20, -0x1.ab0ac5bdf87e2p-20, }}, 
      std::vector<double>(999, 0.0), 
      {{0x1.eca72f8f27723p-3, 0x1.62ecb968f2bffp-2, 0x1.c1c719343e113p-2, 0x1.08d886d061c68p-1, 0x1.2937197dfd576p-1, 0x1.42358930fef51p-1, 0x1.54424d4bcc361p-1, 0x1.5fef340c8734p-1, 0x1.65e20f829f3b2p-1, 0x1.66c98a6d4ce04p-1, 0x1.635520decace9p-1, 0x1.5c2f78a7037cdp-1, 0x1.51fa8508cc7b4p-1, 0x1.454d091100828p-1, 0x1.36b11c762cb7p-1, 0x1.26a3776910589p-1, 0x1.15934ce5c30b7p-1, 0x1.03e28db51c2ap-1, 0x1.e3cceb43f0372p-2, 0x1.bfd092ab893e8p-2, 0x1.9c4c6783272b3p-2, 0x1.79a866a1830fap-2, 0x1.583a1b1c7bb43p-2, 0x1.3846811574559p-2, 0x1.1a03d95dbc499p-2, 0x1.fb36cd84cf96cp-3, 0x1.c6561aae52d33p-3, 0x1.958da815a4f36p-3, 0x1.68f486ef70662p-3, 0x1.409345182d11p-3, 0x1.1c66290e77954p-3, 0x1.f8be5fa86e86cp-4, 0x1.c0cf93aa75f22p-4, 0x1.90c4e2c650011p-4, 0x1.6858125702b6bp-4, 0x1.473a2688be76dp-4, 0x1.2d15865ad5f9cp-4, 0x1.198fd2be2ca32p-4, 0x1.0c4b864a04b62p-4, 0x1.04e950538fcebp-4, 0x1.030945316bfabp-4, 0x1.064bd6824fa26p-4, 0x1.0e52a63c9cc02p-4, 0x1.1ac131d11fa49p-4, 0x1.2b3d5d28623ffp-4, 0x1.3f6fe07f543efp-4, 0x1.57049e3d21c8bp-4, 0x1.71aadfeb64e1p-4, 0x1.8f158657313cep-4, 0x1.aefb21efef27fp-4, 0x1.d11605dfca7e9p-4, 0x1.f52449559922ep-4, 0x1.0d73e070a0798p-3, 0x1.2112fa4c35624p-3, 0x1.3554045316e67p-3, 0x1.4a1d5298159d4p-3, 0x1.5f56ecc2743bap-3, 0x1.74ea7f64279bep-3, 0x1.8ac347c0db685p-3, 0x1.a0ce0571f9d9fp-3, 0x1.b6f8e677b0884p-3, 0x1.cd3374b91da1ap-3, 0x1.e36e84c773231p-3, 0x1.f99c230e4bb4ap-3, 0x1.07d7c077f58acp-2, 0x1.12ce72d77f5bep-2, 0x1.1dacce124aa1p-2, 0x1.286df0ce7d442p-2, 0x1.330d6c61bd887p-2, 0x1.3d873c2aa04bfp-2, 0x1.47d7bf220cf09p-2, 0x1.51fbb0daf8e05p-2, 0x1.5bf022bb35d17p-2, 0x1.65b276a8a72c6p-2, 0x1.6f40591f48331p-2, 0x1.7897bb4e291efp-2, 0x1.81b6ce6f37daep-2, 0x1.8a9bff6e8df93p-2, 0x1.9345f16253019p-2, 0x1.9bb37ac004789p-2, 0x1.a3e3a0d21debep-2, 0x1.abd593c8f08c3p-2, 0x1.b388ac2e62108p-2, 0x1.bafc66fba2474p-2, 0x1.c23062993d0c8p-2, 0x1.c92460dca3f2cp-2, 0x1.cfd8397fffceep-2, 0x1.d64be388caf2fp-2, 0x1.dc7f6f7cd4f7ap-2, 0x1.e272fb57f9563p-2, 0x1.e826c64da9532p-2, 0x1.ed9b1a719d53p-2, 0x1.f2d0550326601p-2, 0x1.f7c6e30052c01p-2, 0x1.fc7f3f6cf4045p-2, 0x1.007cfabafd0f4p-1, 0x1.029bc9d91ae5bp-1, 0x1.049c5fd723da5p-1, 0x1.067f109fe0d24p-1, 0x1.08443576cc3f1p-1, 0x1.09ec2bffae48cp-1, 0x1.0b77554fe9af8p-1, 0x1.0ce6160185ee4p-1, 0x1.0e38d55e0c2f6p-1, 0x1.0f6ffe775b164p-1, 0x1.108bfd53ebc7cp-1, 0x1.118d40cca062fp-1, 0x1.127439e25333ep-1, 0x1.13415adacb385p-1, 0x1.13f5177e698cap-1, 0x1.148fe637105cp-1, 0x1.1512396e93b8cp-1, 0x1.157c8c00bc375p-1, 0x1.15cf543a371cbp-1, 0x1.160b0ab2eed34p-1, 0x1.1630280c39a8ep-1, 0x1.163f25abe2e6dp-1, 0x1.16387c8a6b393p-1, 0x1.161ca642ebf31p-1, 0x1.15ec1be1988dap-1, 0x1.15a756e451481p-1, 0x1.154ed03073623p-1, 0x1.14e3006a526c9p-1, 0x1.14645fd7e9dffp-1, 0x1.13d3655ca0d3ap-1, 0x1.13308acffe833p-1, 0x1.127c44d49179ap-1, 0x1.11b7096f0654cp-1, 0x1.10e14e4c70fp-1, 0x1.0ffb87b9b80e9p-1, 0x1.0f06294cc5195p-1, 0x1.0e01a5e9a0faap-1, 0x1.0cee6f312f8ecp-1, 0x1.0bccf5f435708p-1, 0x1.0a9da9e251075p-1, 0x1.0960f9d03d7p-1, 0x1.08175306ea0b6p-1, 0x1.06c12270a63a4p-1, 0x1.055ed2e8e212ep-1, 0x1.03f0cea6fd6dp-1, 0x1.02777e892584bp-1, 0x1.00f34a1eff108p-1, 0x1.fec92f9403f4bp-2, 0x1.fb97986a7a9adp-2, 0x1.f85296f90e37p-2, 0x1.f4faef7658af2p-2, 0x1.f19163d62a29cp-2, 0x1.ee16b33b5fa8fp-2, 0x1.ea8b9a122504p-2, 0x1.e6f0d2242e487p-2, 0x1.e347116496905p-2, 0x1.df8f0c66675a8p-2, 0x1.dbc973d10282dp-2, 0x1.d7f6f6226db25p-2, 0x1.d4183d5d06f2ap-2, 0x1.d02df2ae72cf9p-2, 0x1.cc38bb0dbfad2p-2, 0x1.c83938dd6c5d9p-2, 0x1.c4300b1265c43p-2, 0x1.c01dce56eda2cp-2, 0x1.bc031c0a983aep-2, 0x1.b7e08a8f9d45ep-2, 0x1.b3b6ad4646138p-2, 0x1.af8614c558b9p-2, 0x1.ab4f4ed13a3c7p-2, 0x1.a712e539d0c5p-2, 0x1.a2d160b4cb534p-2, 0x1.9e8b45266b98cp-2, 0x1.9a4114a9b696ap-2, 0x1.95f34e0e2705dp-2, 0x1.91a26cc312c3p-2, 0x1.8d4eeb9960e2p-2, 0x1.88f93f0a78301p-2, 0x1.84a1db275e44bp-2, 0x1.80493068141f6p-2, 0x1.7befac934f726p-2, 0x1.7795ba8488771p-2, 0x1.733bc29fc13e4p-2, 0x1.6ee22a8c2c186p-2, 0x1.6a8954951e073p-2, 0x1.6631a1262c99dp-2, 0x1.61db6d9f17ecdp-2, 0x1.5d87145469e01p-2, 0x1.5934edebe0abcp-2, 0x1.54e54fcf7a0dbp-2, 0x1.50988cfff41c5p-2, 0x1.4c4ef602a1e6ep-2, 0x1.4808d8f424e3ep-2, 0x1.43c6816201266p-2, 0x1.3f883802cc36bp-2, 0x1.3b4e441576916p-2, 0x1.3718e987ebe0fp-2, 0x1.32e86ad4faf8cp-2, 0x1.2ebd076a48605p-2, 0x1.2a96fcc5c6e83p-2, 0x1.267685da1f6f4p-2, 0x1.225bdc81e5eafp-2, 0x1.1e4736dc0ba88p-2, 0x1.1a38c9ab1eda3p-2, 0x1.1630c7d5fed36p-2, 0x1.122f61ec60318p-2, 0x1.0e34c6293658cp-2, 0x1.0a4121491a319p-2, 0x1.06549df5b7699p-2, 0x1.026f64ca931bfp-2, 0x1.fd2336cae8712p-3, 0x1.f576d471ed924p-3, 0x1.edd9e19c97b6bp-3, 0x1.e64ca35281c9p-3, 0x1.decf58eedcd06p-3, 0x1.d7623de1750abp-3, 0x1.d0058ab75ab5ep-3, 0x1.c8b97476e24f5p-3, 0x1.c17e2cfeb2f81p-3, 0x1.ba53e3052035ep-3, 0x1.b33ac22d40fdep-3, 0x1.ac32f2fb4108ap-3, 0x1.a53c9b5f4d2f3p-3, 0x1.9e57ddfdc83cap-3, 0x1.9784da8f81cp-3, 0x1.90c3aea539939p-3, 0x1.8a14749cba735p-3, 0x1.837744bf32de6p-3, 0x1.7cec33c16292ep-3, 0x1.767355141fa8bp-3, 0x1.700cb9285af97p-3, 0x1.69b86df4e350dp-3, 0x1.63767ed1f60c2p-3, 0x1.5d46f616391abp-3, 0x1.5729dad1bc188p-3, 0x1.511f324e03fecp-3, 0x1.4b26ffbf55ee8p-3, 0x1.45414446c531ep-3, 0x1.3f6dff7e5a7fdp-3, 0x1.39ad2e527b297p-3, 0x1.33fecca8d5927p-3, 0x1.2e62d42f42209p-3, 0x1.28d93d014fb01p-3, 0x1.2361fd876b646p-3, 0x1.1dfd0a9911a6p-3, 0x1.18aa5768047ffp-3, 0x1.1369d5a2e002ap-3, 0x1.0e3b75ca6a15cp-3, 0x1.091f26e6dc3f2p-3, 0x1.0414d623f7b71p-3, 0x1.fe38dfdd91833p-4, 0x1.f46bbe940aa1dp-4, 0x1.eac21c0f825c2p-4, 0x1.e13bc917e0f8p-4, 0x1.d7d8957f4bcbfp-4, 0x1.ce984d0526978p-4, 0x1.c57abbf3d14c5p-4, 0x1.bc7faae038f0ap-4, 0x1.b3a6dff0a180ap-4, 0x1.aaf02103baf35p-4, 0x1.a25b30cb929cap-4, 0x1.99e7d1f5c55bdp-4, 0x1.9195c485c620ap-4, 0x1.8964c752c86d3p-4, 0x1.8154979ba77ap-4, 0x1.7964f1ad74374p-4, 0x1.71959029ffdc3p-4, 0x1.69e62cbe0d2fap-4, 0x1.62567fe168266p-4, 0x1.5ae640f4dc14bp-4, 0x1.539526b46d3c9p-4, 0x1.4c62e621135b8p-4, 0x1.454f3449df925p-4, 0x1.3e59c4e899b4p-4, 0x1.37824b1605ad3p-4, 0x1.30c8793e35b98p-4, 0x1.2a2c0193da9bp-4, 0x1.23ac940106317p-4, 0x1.1d49e289ca2dap-4, 0x1.17039cfbe7932p-4, 0x1.10d9731e3ca8bp-4, 0x1.0acb146122441p-4, 0x1.04d82fe391716p-4, 0x1.fe00e906538b7p-5, 0x1.f2872171f5373p-5, 0x1.e742660aee54fp-5, 0x1.dc3213689f1e5p-5, 0x1.d155861605562p-5, 0x1.c6ac19c2b2e5ap-5, 0x1.bc352af004312p-5, 0x1.b1f015c977793p-5, 0x1.a7dc36a5159cap-5, 0x1.9df8e992b9a26p-5, 0x1.94458c4e92a99p-5, 0x1.8ac179dff83b8p-5, 0x1.816c115c870d7p-5, 0x1.7844b03d7161cp-5, 0x1.6f4ab4700e089p-5, 0x1.667d7bf3dd154p-5, 0x1.5ddc6879c4feap-5, 0x1.5566d754192efp-5, 0x1.4d1c2b0e65863p-5, 0x1.44fbc5e44f1abp-5, 0x1.3d0506b39f71bp-5, 0x1.353753f3e7a51p-5, 0x1.2d920f7370f0fp-5, 0x1.26149f32cc0bbp-5, 0x1.1ebe68094b05cp-5, 0x1.178ed1b065b2ap-5, 0x1.108543f502f7fp-5, 0x1.09a127d7691ddp-5, 0x1.02e1e752685e1p-5, 0x1.f88dda5cb0b8bp-6, 0x1.eb9f4a7f697cp-6, 0x1.def6fb2a7ea42p-6, 0x1.d293b4cc3a795p-6, 0x1.c67490a112ebdp-6, 0x1.ba983ad941da8p-6, 0x1.aefdaaf1b0653p-6, 0x1.a3a3c7f94d388p-6, 0x1.98897ae9779f1p-6, 0x1.8dadaf0e2097bp-6, 0x1.830f51f1765cfp-6, 0x1.78ad567117642p-6, 0x1.6e86b5034ed83p-6, 0x1.649a6361f4d9ap-6, 0x1.5ae75effd6b0bp-6, 0x1.516ca53050dedp-6, 0x1.482937788d48ep-6, 0x1.3f1c0e5d48fa7p-6, 0x1.364435164ca39p-6, 0x1.2da0b0c32a8e3p-6, 0x1.25308e417c79dp-6, 0x1.1cf2de2af8745p-6, 0x1.14e6b65016803p-6, 0x1.0d0b2d55942f3p-6, 0x1.055f58ec4aff8p-6, 0x1.fbc4a23b04cdap-7, 0x1.ed265cccfd4cap-7, 0x1.dee2197da6de2p-7, 0x1.d0f619ab451f1p-7, 0x1.c360adb107a44p-7, 0x1.b62030c1a724ep-7, 0x1.a93302c6f43d9p-7, 0x1.9c978b67dec92p-7, 0x1.904c2f472c632p-7, 0x1.844f517b022f3p-7, 0x1.789f55098039dp-7, 0x1.6d3aa05d10c2p-7, 0x1.621fa5aa49a6ap-7, 0x1.574ccad4d7ccdp-7, 0x1.4cc0f3c2bc843p-7, 0x1.427a634332f5p-7, 0x1.3877d2bd984bbp-7, 0x1.2eb7e164a2a3bp-7, 0x1.2539284706086p-7, 0x1.1bfa3ce3022d7p-7, 0x1.12f9af10c5b35p-7, 0x1.0a3626f3d4a47p-7, 0x1.01ae3f037b70bp-7, 0x1.f2c1697321bdfp-8, 0x1.e298a51e78379p-8, 0x1.d2dfdf49dfe58p-8, 0x1.c394d07d12057p-8, 0x1.b4b52e852e3b8p-8, 0x1.a63ea1d81a954p-8, 0x1.982ec58bda5cp-8, 0x1.8a832e7ef42ccp-8, 0x1.7d39626f74e67p-8, 0x1.704f187136b7ap-8, 0x1.63c1fd62fe99ep-8, 0x1.578ff5cb9b3bcp-8, 0x1.4bb701f598c5dp-8, 0x1.4035377378a4dp-8, 0x1.3508b5539b04bp-8, 0x1.2a2f96c528b01p-8, 0x1.1fa7ed3b7b5d2p-8, 0x1.156fd009baa55p-8, 0x1.0b85526706a76p-8, 0x1.01e67e8c20505p-8, 0x1.f122daf62cca1p-9, 0x1.df0899ca4415ep-9, 0x1.cd7aaf0a029f5p-9, 0x1.bc75d4decb81bp-9, 0x1.abf6ed16b16bbp-9, 0x1.9bfade8b77e86p-9, 0x1.8c7e84cfd6773p-9, 0x1.7d7ea6ca33845p-9, 0x1.6ef8a92da3714p-9, 0x1.60e77b2f91a74p-9, 0x1.534a1ef4f9228p-9, 0x1.461c9c03b7a2p-9, 0x1.395bf312ba3b4p-9, 0x1.2d0520e2257fcp-9, 0x1.21156053a6746p-9, 0x1.158a35e59d171p-9, 0x1.0a615e6841417p-9, 0x1.ff315c20c5717p-10, 0x1.ea5ba860a01b6p-10, 0x1.d63cd83bc5f33p-10, 0x1.c2d024084568ap-10, 0x1.b010cefb5e873p-10, 0x1.9dfa3f35d4c32p-10, 0x1.8c87b6e2b3afcp-10, 0x1.7bb42d641a09p-10, 0x1.6b7a0276896d7p-10, 0x1.5bd41160f0da8p-10, 0x1.4cbda4c524fefp-10, 0x1.3e32f6c14c657p-10, 0x1.3030b2ce3620dp-10, 0x1.22b3add1b9571p-10, 0x1.15b8a6bc96051p-10, 0x1.093c2bc62588cp-10, 0x1.fa76006f7804dp-11, 0x1.e36428c7b126dp-11, 0x1.cd3cf67002091p-11, 0x1.b7fa0b2fb6179p-11, 0x1.a393dfda04b61p-11, 0x1.900204ff8bedbp-11, 0x1.7d3bfcf130accp-11, 0x1.6b39c8bccf368p-11, 0x1.59f4f58bd9162p-11, 0x1.4968565455544p-11, 0x1.398efa2b263a1p-11, 0x1.2a645a0c88753p-11, 0x1.1be3c2baae10ap-11, 0x1.0e085b0bdc0d6p-11, 0x1.00cd9071397e5p-11, 0x1.e85eaafa188cap-12, 0x1.d0536ce13e363p-12, 0x1.b970541731b63p-12, 0x1.a3a954ebaa0cbp-12, 0x1.8ef26c97aeaabp-12, 0x1.7b3e83f602079p-12, 0x1.6881dde7858bdp-12, 0x1.56b242c19ec21p-12, 0x1.45c79609da6c7p-12, 0x1.35bd59e3eadaap-12, 0x1.268de10b773c1p-12, 0x1.18339a6f23ddap-12, 0x1.0aa65d91604a7p-12, 0x1.fbbfda5cad6fdp-13, 0x1.e3b3b5b7899b1p-13, 0x1.cd1dc5163e2fbp-13, 0x1.b7f45d6d1670ap-13, 0x1.a42cf7b443668p-13, 0x1.91ba8ace63aedp-13, 0x1.808db34335f64p-13, 0x1.70948f5a5802bp-13, 0x1.61ba763268164p-13, 0x1.53eb4b6ee7252p-13, 0x1.471a5e3c34f5fp-13, 0x1.3b423ab54e522p-13, 0x1.305e151e2e7cbp-13, 0x1.266567950b2b2p-13, 0x1.1d4f8d60903a2p-13, 0x1.1513977f88637p-13, 0x1.0dabbb547f649p-13, 0x1.070c5688c513fp-13, 0x1.012c4937dfa81p-13, 0x1.f809af7e8dfd7p-14, 0x1.ef239c255a6c5p-14, 0x1.e79d272fa1101p-14, 0x1.e16c8752d2108p-14, 0x1.dc7c997d05379p-14, 0x1.d8b20f67257cp-14, 0x1.d5f1b32d4f14fp-14, 0x1.d431a15b9d63bp-14, 0x1.d36ea6c5d1ba7p-14, 0x1.d390def3cd3c1p-14, 0x1.d4877c0a892e2p-14, 0x1.d6455a270ad48p-14, 0x1.d8c5074cc9855p-14, 0x1.dbfc8f02b54a2p-14, 0x1.dfdf02ad1198dp-14, 0x1.e461a5deb4053p-14, 0x1.e97cca472ced1p-14, 0x1.ef2c8da42a5c7p-14, 0x1.f56b259d4db38p-14, 0x1.fc2e11326beedp-14, 0x1.01b8221b8625bp-13, 0x1.0594c43f1a76dp-13, 0x1.09a4a7eb4520bp-13, 0x1.0de24f58f93d8p-13, 0x1.124e91a33370cp-13, 0x1.16e5426ca7a03p-13, 0x1.1b9deca39b619p-13, 0x1.2076c01adb747p-13, 0x1.256f8d66a2ddcp-13, 0x1.2a844f481f204p-13, 0x1.2fade6b07f941p-13, 0x1.34e9467587f3bp-13, 0x1.3a2f967c1f432p-13, 0x1.3f80f9d7b7a3cp-13, 0x1.44dd6a7910ep-13, 0x1.4a451dfced296p-13, 0x1.4fbed7b66f56bp-13, 0x1.55298cea3311fp-13, 0x1.5aa18e784bb77p-13, 0x1.601cc1dd5b02cp-13, 0x1.6597d2d37955ap-13, 0x1.6b0f307b8707ep-13, 0x1.7083aab62ca1fp-13, 0x1.75ee330df32a8p-13, 0x1.7b4d8d4d86796p-13, 0x1.80a3d0c03473dp-13, 0x1.85ef36c1d93a4p-13, 0x1.8b2d748d838f1p-13, 0x1.905dccd40bda1p-13, 0x1.957fa2495f266p-13, 0x1.9a914b2d0aa62p-13, 0x1.9f906774394c3p-13, 0x1.a47a3987dd469p-13, 0x1.a94d0b26f6ffbp-13, 0x1.ae0ac12d45f69p-13, 0x1.b2b15531691abp-13, 0x1.b74099ac96acfp-13, 0x1.bbb88629e61acp-13, 0x1.c01a5ac8eb06p-13, 0x1.c463a3300286cp-13, 0x1.c893640b9a5d2p-13, 0x1.cca72897d5183p-13, 0x1.d09dffeb2c61dp-13, 0x1.d47a53004d017p-13, 0x1.d838b96e80185p-13, 0x1.dbdb399b5bbd3p-13, 0x1.df5f389019e22p-13, 0x1.e2c589902202cp-13, 0x1.e60e0bb094f4ap-13, 0x1.e9398c67a39a9p-13, 0x1.ec47aaf5cdd97p-13, 0x1.ef38d0c0b9f26p-13, 0x1.f20b4e8323b53p-13, 0x1.f4bf2ef40463p-13, 0x1.f751ee087e97ap-13, 0x1.f9c4e22719443p-13, 0x1.fc18c1b30ea4p-13, 0x1.fe4ddb16baa1ep-13, 0x1.0032bccdb6747p-12, 0x1.012f2c13ff394p-12, 0x1.021bc25cd561ap-12, 0x1.02f8497793398p-12, 0x1.03c5876f0c333p-12, 0x1.04838b73931ep-12, 0x1.0531d00572a8dp-12, 0x1.05d08413514e6p-12, 0x1.065ffd0ee980ap-12, 0x1.06e0181ed8593p-12, 0x1.07513e1bf308bp-12, 0x1.07b3693d42219p-12, 0x1.0806b8865f33bp-12, 0x1.084b52741cbbbp-12, 0x1.0881d833cbc3ap-12, 0x1.08a97a2a59cp-12, 0x1.08c340d1cd5e2p-12, 0x1.08ce8a130db15p-12, 0x1.08cb78b41eb64p-12, 0x1.08ba76daeaf85p-12, 0x1.089b7f8e8a35fp-12, 0x1.086fdf3bb0d34p-12, 0x1.0836031ea6909p-12, 0x1.07eef374b1d36p-12, 0x1.079aaaee5d179p-12, 0x1.07398b47a6d55p-12, 0x1.06cbd9f11e33cp-12, 0x1.0650e71898567p-12, 0x1.05ca24efa01f2p-12, 0x1.0536e1d4dcc4fp-12, 0x1.04979c603ad51p-12, 0x1.03ec7c5a67598p-12, 0x1.0335bb27768aep-12, 0x1.02737ba67e071p-12, 0x1.01a5f05ad40d5p-12, 0x1.00cd535146694p-12, 0x1.ffd3d10bf1b5dp-13, 0x1.fdf7764821377p-13, 0x1.fc067de22081dp-13, 0x1.fa01098b5b46p-13, 0x1.f7f143ce219b8p-13, 0x1.f5b97b9063347p-13, 0x1.f3785ce3d49bfp-13, 0x1.f12488222df1ep-13, 0x1.eebe481830095p-13, 0x1.ec45cc9cdf9bfp-13, 0x1.e9bb24fc1b358p-13, 0x1.e71fb8dc15642p-13, 0x1.e4731b742d814p-13, 0x1.e1b5878c59ca9p-13, 0x1.dee82d7d1d876p-13, 0x1.dc0b948a517fap-13, 0x1.d91e96d7a43fcp-13, 0x1.d62323df7bda7p-13, 0x1.d319258dec248p-13, 0x1.d000ecff50519p-13, 0x1.ccda48a06a5c6p-13, 0x1.c9a7a32abd94p-13, 0x1.c66743f4f913fp-13, 0x1.c319cba255fe7p-13, 0x1.bfc0f0249331bp-13, 0x1.bc5bbd7f620e2p-13, 0x1.b8eb9696e632ep-13, 0x1.b56f75d148e2p-13, 0x1.b1e89da47f2d6p-13, 0x1.ae579ae5f45b8p-13, 0x1.aabc830d87dc8p-13, 0x1.a717b5bded054p-13, 0x1.a3698eb813538p-13, 0x1.9fb265f1a3d5p-13, 0x1.9bf2940e35c7fp-13, 0x1.982a6f3f828dep-13, 0x1.945a8884b5184p-13, 0x1.90830485de53p-13, 0x1.8ca37576412b7p-13, 0x1.88bd63d09994ep-13, 0x1.84d0a4ef2eedep-13, 0x1.80dd89009fab4p-13, 0x1.7ce46208330d7p-13, 0x1.78e58bc7b3725p-13, 0x1.74e15ebf4d725p-13, 0x1.70d7cea2d1afdp-13, 0x1.6cc9a74a7d8d3p-13, 0x1.68b6cff5beaecp-13, 0x1.649fa8f3c8e85p-13, 0x1.6084bb7365292p-13, 0x1.5c6627d6575a7p-13, 0x1.5843ebf898404p-13, 0x1.541e9c764f5cep-13, 0x1.4ff605cad1968p-13, 0x1.4bcbebefdedf7p-13, 0x1.479f34f446c5ep-13, 0x1.437068f9ed9a6p-13, 0x1.3f3f7fda87936p-13, 0x1.3b0cb7c156649p-13, 0x1.36d8e36c99cabp-13, 0x1.32a3f2eaf15c7p-13, 0x1.2e6e2742cb365p-13, 0x1.2a3725f635f14p-13, 0x1.2600cf6c9e9f1p-13, 0x1.21c9d3f3c4fb9p-13, 0x1.1d92d586cf886p-13, 0x1.195c03677b408p-13, 0x1.1525aeb651659p-13, 0x1.10effe76fecbep-13, 0x1.0cba9892ce128p-13, 0x1.08880d68ceebcp-13, 0x1.0454f178f0264p-13, 0x1.0023de29dbbe7p-13, 0x1.f7e8dad6b98e5p-14, 0x1.ef8d7e7368fbfp-14, 0x1.e7361fdec3956p-14, 0x1.dee31bf78ca12p-14, 0x1.d69549304ecb6p-14, 0x1.ce4af94459fdap-14, 0x1.c6076741574a8p-14, 0x1.bdc8ff20e914p-14, 0x1.b59082450c39cp-14, 0x1.ad5f29fa35fabp-14, 0x1.a532c823bacf9p-14, 0x1.9d0ddfa51908cp-14, 0x1.94efc56755cbbp-14, 0x1.8cdc13754696fp-14, 0x1.84cc19e046442p-14, 0x1.7cc47165812a3p-14, 0x1.74c5d6e8d7bfdp-14, 0x1.6ccfb58349dafp-14, 0x1.64e22b5fc7f93p-14, 0x1.5cfdabe1b22a9p-14, 0x1.55223cdf32d2ap-14, 0x1.4d5025eb24189p-14, 0x1.45876b3368e69p-14, 0x1.3dc90381dd67p-14, 0x1.36143c1049b36p-14, 0x1.2e69b14996d23p-14, 0x1.26c97a2757482p-14, 0x1.1f33debd5814ap-14, 0x1.17a900d4559eap-14, 0x1.10290ed4f365bp-14, 0x1.08b428decff87p-14, 0x1.014a857e42412p-14, 0x1.f3d8a469a7e18p-15, 0x1.e53351f03febap-15, 0x1.d6abb5f4f934ep-15, 0x1.c82f926a23be3p-15, 0x1.b9d0ce68b0ae5p-15, 0x1.ab8ad1dcb588bp-15, 0x1.9d5d4695c2959p-15, 0x1.8f4875cc793a2p-15, 0x1.814ca07f91321p-15, 0x1.73687f50068cp-15, 0x1.65a0b5b74287fp-15, 0x1.57f0ca92514a6p-15, 0x1.4a5bd56c05b2p-15, 0x1.3cdba2ee33137p-15, 0x1.2f7d2a961886fp-15, 0x1.2235cd1e30d7p-15, 0x1.1507f7f59d167p-15, 0x1.07f69195834fdp-15, 0x1.f615a76edd779p-16, 0x1.dc43e1cb4c6a6p-16, 0x1.c2bf9f2ef3d64p-16, 0x1.a96fb5bd90144p-16, 0x1.905d714b4c513p-16, 0x1.777df8e1d20f5p-16, 0x1.5ed84ce94f95p-16, 0x1.46640d9984a7ap-16, 0x1.2e29a11ee84d2p-16, 0x1.16264c8facbbfp-16, 0x1.fcac39e8ba4e8p-17, 0x1.cd9045f60b4c1p-17, 0x1.9ed8f24989dadp-17, 0x1.7091713cba136p-17, 0x1.42b9c2c4f6056p-17, 0x1.1552501d90927p-17, 0x1.d0b6ae9f5451bp-18, 0x1.77a944e3e868p-18, 0x1.1f7d074e7fa7dp-18, 0x1.904c64d8cff03p-19, 0x1.c71f88a5581cap-20, 0x1.c3cfd1d783846p-22, -0x1.c35d76fc13566p-21, -0x1.1865f8320c188p-19, -0x1.be31817ca9bf5p-19, -0x1.313836163b599p-18, -0x1.82454ee95f44p-18, -0x1.d28b439a53ab9p-18, -0x1.10f8491a5f88dp-17, -0x1.383b1c113f9c2p-17, -0x1.5f08bce8f1c3ap-17, -0x1.8571c986b721ep-17, -0x1.ab66afcb144ebp-17, -0x1.d0ec3adbaa03fp-17, -0x1.f602e252328bfp-17, -0x1.0d538c53d866ap-16, -0x1.1f7262e8c0d38p-16, -0x1.317306ce14104p-16, -0x1.43077d9a66268p-16, -0x1.547fe8253d635p-16, -0x1.65c1dbb9227d3p-16, -0x1.76cd424ba686dp-16, -0x1.87a2f0afddb9p-16, -0x1.984208f1c5489p-16, -0x1.a8ce39434f65cp-16, -0x1.b8df3ba64a9c7p-16, -0x1.c8df72d5978a6p-16, -0x1.d8aab792f8718p-16, -0x1.e83dc413d9231p-16, -0x1.f797efef429ddp-16, -0x1.0363e3b28f293p-15, -0x1.0adea2ffc35dfp-15, -0x1.123fdba2d07f2p-15, -0x1.1983c50cb6dd8p-15, -0x1.20b4cbc869646p-15, -0x1.27c916d3b2a74p-15, -0x1.2ec36984ab53ap-15, -0x1.35a46f537e4fep-15, -0x1.3c77002a01a43p-15, -0x1.431ab3f490d75p-15, -0x1.49b0987bcbeb6p-15, -0x1.502d1adb36f6ep-15, -0x1.5690f2cc8fabbp-15, -0x1.5cdc424e6d666p-15, -0x1.630f344ecd63ep-15, -0x1.6929c0cde078p-15, -0x1.6f2c12bfdc58cp-15, -0x1.75167ab001465p-15, -0x1.7ae83c3bcc193p-15, -0x1.80a3a80e035a5p-15, -0x1.8646b5e5c3f4bp-15, -0x1.8bd30fc0c3816p-15, -0x1.914717737bd8dp-15, -0x1.96a46e5199227p-15, -0x1.9beacbadd554p-15, -0x1.a11afb9a9f8a2p-15, -0x1.a63349b4a920bp-15, -0x1.ab35a4029a0fbp-15, -0x1.b021a07510ff6p-15, -0x1.b4f7629e29fbfp-15, -0x1.b9b7d1a1b6a15p-15, -0x1.be616184a8c3cp-15, -0x1.c2f502751ad05p-15, -0x1.c77478a3ef019p-15, -0x1.cbddb35beed84p-15, -0x1.d031da3d2621dp-15, -0x1.d456c6a6d33d4p-15, -0x1.d89b7e1dbfe69p-15, -0x1.dcb0a328f9c14p-15, -0x1.e0b1c1306f8cdp-15, -0x1.e49e2980e78ebp-15, -0x1.e8766f1266801p-15, -0x1.ec3aa6c8f080fp-15, -0x1.efeb436ed149dp-15, -0x1.f3878dca9c6a3p-15, -0x1.f712146d66884p-15, -0x1.fa86683d15d93p-15, -0x1.fde8bd4b0edddp-15, -0x1.009c6b0a2235fp-14, -0x1.023a49ffe1264p-14, -0x1.03cf2ccf44bbcp-14, -0x1.055a73a61913fp-14, -0x1.06dd13f162d9ap-14, -0x1.08564b118fac9p-14, -0x1.09c4e0c80642ep-14, -0x1.0b2d6500b6963p-14, -0x1.0c8c39937db1cp-14, -0x1.0de1e2004b7ebp-14, -0x1.0f2ef275654b3p-14, -0x1.107312dde00aap-14, -0x1.11aed0d46f75cp-14, -0x1.12e21b8154ae4p-14, -0x1.140d06effc0dp-14, -0x1.152fa07873442p-14, -0x1.164a9243c1ac2p-14, -0x1.175b30e4f3abbp-14, -0x1.1866a4c145c25p-14, -0x1.1968f685f4d41p-14, -0x1.1a628d6c1dc6ep-14, -0x1.1b55e565291d7p-14, -0x1.1c40c69ae739p-14, -0x1.1d2402b6b976fp-14, -0x1.1dffa1352da85p-14, -0x1.1ed3caced6a05p-14, -0x1.1fa0762277b3bp-14, -0x1.2065f3e6bc61p-14, -0x1.212584d3b0a09p-14, -0x1.21db1c2fbe115p-14, -0x1.228ae28f6e8f6p-14, -0x1.23340c07fe119p-14, -0x1.23d6077ee37d9p-14, -0x1.247189106c7b6p-14, -0x1.25056b3c3fb08p-14, -0x1.2593cca74ad67p-14, -0x1.261a157d84346p-14, -0x1.269a8bd6d5852p-14, -0x1.271489c38a69fp-14, -0x1.2787355e5d4b4p-14, -0x1.27f569c0f610fp-14, -0x1.285c5c7c3ca5ep-14, -0x1.28bcffd253d91p-14, -0x1.2917bb84d37d6p-14, -0x1.296c60c4dd4c1p-14, -0x1.29bb0f7db154fp-14, -0x1.2a03da10110edp-14, -0x1.2a46e22913ebdp-14, -0x1.2a84b72b68f6dp-14, -0x1.2abb67ceb3bfcp-14, -0x1.2aed871f4bee8p-14, -0x1.2b19288ca5a6bp-14, -0x1.2b40e89b34179p-14, -0x1.2b627780c692dp-14, -0x1.2b7ec9936ee2cp-14, -0x1.2b958794e3e03p-14, -0x1.2ba76471cfca9p-14, -0x1.2bb419943b5d2p-14, -0x1.2bbbe4ce6dfd4p-14, -0x1.2bbe355a77798p-14, -0x1.2bbbe9f9ff59fp-14, -0x1.2bb4a02cf1ab1p-14, -0x1.2baa26fafe8a6p-14, -0x1.2b9809e508946p-14, -0x1.2b829d32005p-14, -0x1.2b679ba1e8a69p-14, -0x1.2b4a2d0813c82p-14, -0x1.2b26ff845a973p-14, -0x1.2affd579957c3p-14, -0x1.2ad41b5596e0fp-14, -0x1.2aa418baa88ffp-14, -0x1.2a6fcf29d0dbap-14, -0x1.2a377eb64c79ep-14, -0x1.29faceed2e643p-14, -0x1.29ba255cd04ccp-14, -0x1.2975b6469e95ap-14, -0x1.292d162d02171p-14, -0x1.28e0e88e1b8b6p-14, -0x1.2890bf77633ddp-14, -0x1.283cd356868bap-14, -0x1.27e540413984bp-14, -0x1.278a175b2c2aep-14, -0x1.272b4323bec89p-14, -0x1.26c8fcc8845bp-14, -0x1.26633b21e4b56p-14, -0x1.25fa1891188ddp-14, -0x1.258d5d9443d6fp-14, -0x1.251d77a399ae3p-14, -0x1.24aa4b7e7e7a2p-14, -0x1.243468453c81ep-14, -0x1.23ba6de14203cp-14, -0x1.233db7daa2c6p-14, -0x1.22bea874ae66ap-14, -0x1.223b9070cdea6p-14, -0x1.21b5e83d1c6bap-14, -0x1.212d75fd90304p-14, -0x1.208fc79bc21a7p-14, -0x1.2014136dcacaap-14, -0x1.1f8333f80ee06p-14, -0x1.1eef98c45546fp-14, -0x1.1e58f7419f5b4p-14, -0x1.1dbfff7483d52p-14, -0x1.1d253a06f0187p-14, -0x1.1c875716e2967p-14, -0x1.1be69772013dfp-14, -0x1.1b4434587a831p-14, -0x1.1a9f0f83a7bd7p-14, -0x1.19f7c04ca82a1p-14, -0x1.194db0286543bp-14, -0x1.18a1da2dffa47p-14, -0x1.17f3aa7eab17fp-14, -0x1.17433601a4cd8p-14, -0x1.1691de9c8ea2cp-14, -0x1.15dc6aafd6b52p-14, -0x1.1525d6852b32fp-14, -0x1.146d48f95c35fp-14, -0x1.13b2c2f3c9ce6p-14, -0x1.12f68bffc35aap-14, -0x1.12385f6f2075ap-14, -0x1.117822c1d2242p-14, -0x1.10b64d5a6e6d4p-14, -0x1.0ff2b3a530db7p-14, -0x1.0f2d6a2a0b56bp-14, -0x1.0e666ff824878p-14, -0x1.0d9dc98d7b79fp-14, -0x1.0cd3adefb5654p-14, -0x1.0c080752d0d56p-14, -0x1.0b3aa6e1db9c4p-14, -0x1.0a6c6149f0d6ap-14, -0x1.099ba99d31dcfp-14, -0x1.08c9ab4684a83p-14, -0x1.07f70e94c56c9p-14, -0x1.0722ac3831e3ep-14, -0x1.064d0d3c84093p-14, -0x1.05761076fd912p-14, -0x1.049dec013dc92p-14, -0x1.03c41d51fc4f7p-14, -0x1.02ea050b07cecp-14, -0x1.020e331f859b1p-14, -0x1.0131658945d16p-14, -0x1.0053267aaf9a9p-14, -0x1.fee903347112ep-15, -0x1.fd26f861a08c7p-15, -0x1.fb672ff6b2216p-15, -0x1.f9a2fea0fe2c7p-15, -0x1.f7dd6739ad723p-15, -0x1.f615ed67bc4fcp-15, -0x1.f44c9e093e4ebp-15, -0x1.f281b2b78163p-15, -0x1.f0b6d382dacb9p-15, -0x1.eee6ddc000785p-15, -0x1.ed17195063b59p-15, -0x1.eb45e6a096fefp-15, -0x1.e972b1668a992p-15, -0x1.e79f8aafb4824p-15, -0x1.e5ca129c56cb1p-15, -0x1.e3f37ac297ec8p-15, -0x1.e231d919e1de5p-15, -0x1.e0437a6ad6d59p-15, -0x1.de68f4d57ab77p-15, -0x1.dc8deee53f4bep-15, -0x1.dab366527b7c3p-15, -0x1.d8d50445786e1p-15, -0x1.d6f6e147d0077p-15, -0x1.d5180422c718fp-15, -0x1.d339586d86bbp-15, -0x1.d15840875ac2cp-15, -0x1.cf771d5933fcap-15, -0x1.cd952b789fccfp-15, -0x1.cbb25e9bb2e64p-15, -0x1.c9cf906e4977dp-15, -0x1.c7eb3da9869dfp-15, -0x1.c607e45df41c1p-15, -0x1.c42346f619dbep-15, -0x1.c23e40cba2319p-15, -0x1.c058cfeb4a65ep-15, -0x1.be730f1083fbdp-15, -0x1.bc8d5325838e8p-15, -0x1.baa69e4933de6p-15, -0x1.b8c045792f78dp-15, -0x1.b6d9117e7731fp-15, -0x1.b4f227e906d4ap-15, -0x1.b30b2372b492ep-15, -0x1.b123eeab5394ap-15, -0x1.af3ca8c4f228bp-15, -0x1.ad556a00f08fap-15, -0x1.ab6dab228ddb7p-15, -0x1.a986ecd34ce5ap-15, -0x1.a79fd22b262cp-15, -0x1.a5b892851c2a1p-15, -0x1.a3d20c8e276fp-15, -0x1.a1ebd0fa4fc5bp-15, -0x1.a004b8618c1e4p-15, -0x1.9e1e6bcb9637ep-15, -0x1.9c384898824fdp-15, -0x1.9a529a9734b3cp-15, -0x1.986d6cbc30f49p-15, -0x1.9689104e8d842p-15, -0x1.94a3c3f69d9aap-15, -0x1.92bedfa302bb5p-15, -0x1.90dbd2a0ce96bp-15, -0x1.8ef88027e8cc2p-15, -0x1.8d15b57c9a9cbp-15, -0x1.8b336d3585868p-15, -0x1.8951a0263fc79p-15, -0x1.87707a3bf8e8cp-15, -0x1.858feb533fcc9p-15, -0x1.83aff976b5d56p-15, -0x1.81d01c87574e4p-15, }}, 
      {{-0x1.7c1c432d66fe1p+0, -0x1.5f8b7a6a997e6p+0, -0x1.3ed96bcbca1e6p+0, -0x1.1c854671789b2p+0, -0x1.f4959cb45272ep-1, -0x1.b2aaf0ad35cbep-1, -0x1.74cd1c9da001p-1, -0x1.3be33c48ce2e1p-1, -0x1.08636d05ce3ecp-1, -0x1.b4e54dca9bbeep-2, -0x1.63f93db8c51b6p-2, -0x1.1d8b7e872669p-2, -0x1.c1e29072e8958p-3, -0x1.5ac0d0d10211dp-3, -0x1.03fc7eaa566bap-3, -0x1.77ab31a928926p-4, -0x1.012279a8c3867p-4, -0x1.4213bed1a726p-5, -0x1.50f19fc99b0d4p-6, -0x1.7ceb858792323p-8, 0x1.6eb7414fe2ebcp-8, 0x1.d2e847e408e65p-7, 0x1.52beab7d6c95ep-6, 0x1.9f35f05e1462dp-6, 0x1.d590603f3b13fp-6, 0x1.fba1103cc611ap-6, 0x1.0b3460e41efd5p-5, 0x1.1513d5a6ae753p-5, 0x1.1d37c7b88f7acp-5, 0x1.251ab0b91dd8cp-5, 0x1.2df1344a094dbp-5, 0x1.38b23aaa35126p-5, 0x1.461e594fb88a8p-5, 0x1.56c6eb5298f4p-5, 0x1.6b145e366d142p-5, 0x1.834bfc0183fbdp-5, 0x1.9f956a1f2b88p-5, 0x1.bffee6f624d22p-5, 0x1.e481f7025fa1cp-5, 0x1.06837a4aea8cep-4, 0x1.1cb42a0092718p-4, 0x1.34bac907f8aa9p-4, 0x1.4e7ad8e1355bap-4, 0x1.69d4b46fe58p-4, 0x1.86a67ac21434dp-4, 0x1.a4ccd7ba4d1ap-4, 0x1.c423c2a2fd491p-4, 0x1.e486d09a71059p-4, 0x1.02e9063cc0ff6p-3, 0x1.13f0ff3c772p-3, 0x1.254a0faefaa84p-3, 0x1.36e38a4aff7d3p-3, 0x1.48ad6dbd58167p-3, 0x1.5a98737cc21ebp-3, 0x1.6c9623a6760e4p-3, 0x1.7e98d51b988a9p-3, 0x1.9093aebc6d5bbp-3, 0x1.a27acaa822f1ep-3, 0x1.b442ef7e6a563p-3, 0x1.c5e1d382905f7p-3, 0x1.d74df414c54e8p-3, 0x1.e87e97c93a477p-3, 0x1.f96bc53c21438p-3, 0x1.05071eb644375p-2, 0x1.0d2fb9917c64ep-2, 0x1.152cc0cc1e594p-2, 0x1.1cfb9233733e1p-2, 0x1.2499d5ef21664p-2, 0x1.2c057d89cf07ap-2, 0x1.333cbbbe2af0fp-2, 0x1.3a3e034a1cf14p-2, 0x1.4107fff7c7dd5p-2, 0x1.4799953197956p-2, 0x1.4df1d9015782cp-2, 0x1.54101063b37ecp-2, 0x1.59f3ac6635dc3p-2, 0x1.5f9c4656fc18bp-2, 0x1.65099c9d9b13ap-2, 0x1.6a3b90558b43bp-2, 0x1.6f3221c6c9cb1p-2, 0x1.73ed6e9fa7fe8p-2, 0x1.786daf10466fbp-2, 0x1.7cb3337d56171p-2, 0x1.80be626c83179p-2, 0x1.848fb56d83f61p-2, 0x1.8827bcf149d7cp-2, 0x1.8b87137289addp-2, 0x1.8eae638027545p-2, 0x1.919e72bbc7c54p-2, 0x1.9457f6d99b943p-2, 0x1.96dbcbca0203fp-2, 0x1.992ac99778027p-2, 0x1.9b45d309bdf4cp-2, 0x1.9d2dd321eac7p-2, 0x1.9ee3bb90469e4p-2, 0x1.a068853216396p-2, 0x1.a1bd24dd9204dp-2, 0x1.a2e2a1718c14ep-2, 0x1.a3d9fb740a9aap-2, 0x1.a4a43a040c916p-2, 0x1.a5426480eead3p-2, 0x1.a5b58530fa51p-2, 0x1.a5fea6dca2ac7p-2, 0x1.a61ed4d856a81p-2, 0x1.a6171c6b1015fp-2, 0x1.a5e8877309d1fp-2, 0x1.a594221f8c9a6p-2, 0x1.a51af634b2be8p-2, 0x1.a47e0d106aee3p-2, 0x1.a3be6e567ca54p-2, 0x1.a2dd22587bc53p-2, 0x1.a1db259140016p-2, 0x1.a0b98120c6004p-2, 0x1.9f79323be0829p-2, 0x1.9e1b3556bd3bp-2, 0x1.9ca084e1b2febp-2, 0x1.9b0a17a89f6d1p-2, 0x1.9958e26c9bfd3p-2, 0x1.978dd5da36b9p-2, 0x1.95a9e05e9817bp-2, 0x1.93adebe1bb1acp-2, 0x1.919adf9475ed9p-2, 0x1.8f719f2c4dec2p-2, 0x1.8d330ad4451fep-2, 0x1.8adffc12c661dp-2, 0x1.887951c6f2b5bp-2, 0x1.85ffdce538f2ep-2, 0x1.83746df661c7ep-2, 0x1.80d7d2feacd13p-2, 0x1.7e2ad5afb0397p-2, 0x1.7b6e3ba94e2e2p-2, 0x1.78a2c663a0808p-2, 0x1.75c933f0107ep-2, 0x1.72e23e5ed980fp-2, 0x1.6fee9b2541964p-2, 0x1.6ceefcfca1199p-2, 0x1.69e41258b88cdp-2, 0x1.66ce84d3c4895p-2, 0x1.63aefbb1318bfp-2, 0x1.6086197133f1bp-2, 0x1.5d547cdc58e7p-2, 0x1.5a1ac115d6b93p-2, 0x1.56d97d441ddbfp-2, 0x1.539145ad4aed9p-2, 0x1.5042a95747f44p-2, 0x1.4cee3463009e7p-2, 0x1.49946ff2752b2p-2, 0x1.4635e0a37b6f3p-2, 0x1.42d307d507722p-2, 0x1.3f6c6325f0e28p-2, 0x1.3c026d85408fep-2, 0x1.38959d2494625p-2, 0x1.352665e1c88f4p-2, 0x1.31b5376f6139p-2, 0x1.2e427eca241c9p-2, 0x1.2acea5939082fp-2, 0x1.275a11ea23e44p-2, 0x1.23e526dc6ce68p-2, 0x1.207044cf4580ap-2, 0x1.1cfbc837004c9p-2, 0x1.19880b0745b39p-2, 0x1.161564785f5d1p-2, 0x1.12a42806ca80bp-2, 0x1.0f34a730c3b7p-2, 0x1.0bc72facb486ap-2, 0x1.085c0ddc11124p-2, 0x1.04f38a113832ep-2, 0x1.018dea5c82b8dp-2, 0x1.fc56e4946c803p-3, 0x1.f598c54e53004p-3, 0x1.eee1f32f951ccp-3, 0x1.e832e8e08072cp-3, 0x1.e18c12d8b815fp-3, 0x1.daedeabe20dcbp-3, 0x1.d458d07f9532cp-3, 0x1.cdcd2bed5c5bdp-3, 0x1.c74b5e923f5d5p-3, 0x1.c0d3c2195cc14p-3, 0x1.ba66b54a0a64dp-3, 0x1.b40485ea97c26p-3, 0x1.adad85a4d5886p-3, 0x1.a7620186a70adp-3, 0x1.a1224098ce371p-3, 0x1.9aee886c42fd2p-3, 0x1.94c7195130c68p-3, 0x1.8eac3080ebb62p-3, 0x1.889e07d63f9c6p-3, 0x1.829cd5d7e9037p-3, 0x1.7ca8cd35b4ddcp-3, 0x1.76c21c39bbe0fp-3, 0x1.70e8f60353fedp-3, 0x1.6b1d7da4ec23p-3, 0x1.655fdb9960484p-3, 0x1.5fb0343f59a7dp-3, 0x1.5a0ea8bb544d6p-3, 0x1.547b569b62dcp-3, 0x1.4ef65b76246e8p-3, 0x1.497fce251dcd6p-3, 0x1.4417c72cddfeep-3, 0x1.3ebe5927ff774p-3, 0x1.3973a2cf221a2p-3, 0x1.343790d7ce685p-3, 0x1.2f0a53478246p-3, 0x1.29ebe9a898c1dp-3, 0x1.24dc5ca72b55dp-3, 0x1.1fdbb2d6fbfdcp-3, 0x1.1ae9f82bac6bap-3, 0x1.160727e22d665p-3, 0x1.113346d9cba93p-3, 0x1.0c6e5485d5d79p-3, 0x1.07b84fc59a4a4p-3, 0x1.0311349f2efd6p-3, 0x1.fcf1fcc706543p-4, 0x1.f3df4d309abfep-4, 0x1.eaea4ac9daea5p-4, 0x1.e212e2984d836p-4, 0x1.d958fff678aa3p-4, 0x1.d0bc8a0791db8p-4, 0x1.c83d6680dae92p-4, 0x1.bfdb79fb6a6fap-4, 0x1.b796a3cdd4799p-4, 0x1.af6ec484b97ep-4, 0x1.a763b673f78b2p-4, 0x1.9f755568bfdbep-4, 0x1.97a37a2abcebdp-4, 0x1.8fedfbc555233p-4, 0x1.8854ad5c7c189p-4, 0x1.80d76616f130bp-4, 0x1.7975f4beda629p-4, 0x1.72302a399aa64p-4, 0x1.6b05d62a7e8d6p-4, 0x1.63f6c51a7e0e6p-4, 0x1.5d02c3e63e3ffp-4, 0x1.56299cf53a9cp-4, 0x1.4f6b1a7615a6fp-4, 0x1.48c7054a8ff03p-4, 0x1.423d269e9383ep-4, 0x1.3bcd3fb9b9a93p-4, 0x1.35771bf4cae0cp-4, 0x1.2f3a7e9c12dc2p-4, 0x1.29172ad3bfdc5p-4, 0x1.230ce5e12042fp-4, 0x1.1d1b7170d8e4p-4, 0x1.17428f038039bp-4, 0x1.11820125659cfp-4, 0x1.0bd988b839789p-4, 0x1.0648e5dda95ccp-4, 0x1.00cfd982cb315p-4, 0x1.f6dc45c9e631fp-5, 0x1.ec47023194509p-5, 0x1.e1df65b18e024p-5, 0x1.d7a4f3d7faf43p-5, 0x1.cd97210349a8ep-5, 0x1.c3b56f6997ee3p-5, 0x1.b9ff5bb12d376p-5, 0x1.b07460bc4574fp-5, 0x1.a713fba3752f5p-5, 0x1.9ddda7e61a47dp-5, 0x1.94d0e1a8998e1p-5, 0x1.8bed26d9085a3p-5, 0x1.8331f13a9d541p-5, 0x1.7a9ebecf9b98cp-5, 0x1.72330b8562f6p-5, 0x1.69ee5588d6437p-5, 0x1.61d01956b81bap-5, 0x1.59d7d37664842p-5, 0x1.520504aecc7bbp-5, 0x1.4a57290b9ce93p-5, 0x1.42cdc17bab0efp-5, 0x1.3b684b8a19fc2p-5, 0x1.342649868defap-5, 0x1.2d073a693c75cp-5, 0x1.260aa2e1fe26p-5, 0x1.1f3001d99b748p-5, 0x1.1876dafb3f202p-5, 0x1.11deb3035bcebp-5, 0x1.0b670e020d0e5p-5, 0x1.050f70dbb4b0bp-5, 0x1.fdaec4010f0a2p-6, 0x1.f17cd252ad901p-6, 0x1.e5881b9835791p-6, 0x1.d9cfb2f04c31ap-6, 0x1.ce52a3ba9f07bp-6, 0x1.c31010d0caea2p-6, 0x1.b8070b17cdca5p-6, 0x1.ad36aafd2356bp-6, 0x1.a29e0e8afe5f1p-6, 0x1.983c52762e88bp-6, 0x1.8e10adb8385b2p-6, 0x1.8419fc8ce3c1ep-6, 0x1.7a57a86bb4fb3p-6, 0x1.70c8c32281edp-6, 0x1.676c720a94bdbp-6, 0x1.5e41e0d5ab26ap-6, 0x1.55483b875a782p-6, 0x1.4c7eb45be5a9ap-6, 0x1.43e4798d6b8b7p-6, 0x1.3b78b9292ec06p-6, 0x1.333aba4e55356p-6, 0x1.2b29a3fe79c6fp-6, 0x1.2344bb4dfa2e2p-6, 0x1.1b8b3872d05edp-6, 0x1.13fc57499f07ep-6, 0x1.0c97601bd1362p-6, 0x1.055b941f75c0dp-6, 0x1.fc9074c8a887cp-7, 0x1.eeb9335d58ddfp-7, 0x1.e12ffce879e71p-7, 0x1.d3f3696887af3p-7, 0x1.c70212b617746p-7, 0x1.ba5a693a56654p-7, 0x1.adfbbcfb27527p-7, 0x1.a1e412cd874eep-7, 0x1.961257fa59e5p-7, 0x1.8a853d01d36b9p-7, 0x1.7f3b7bdbe8d92p-7, 0x1.7433d09babf3bp-7, 0x1.696d054a58fd7p-7, 0x1.5ee5d9789b7c8p-7, 0x1.549d1ce89237dp-7, 0x1.4a91a104e7148p-7, 0x1.40c23e6e0e6dp-7, 0x1.372dce087443ep-7, 0x1.2dd3236e8cdd1p-7, 0x1.24b13617a9335p-7, 0x1.1bc6d4db77895p-7, 0x1.1312ec5c52ee3p-7, 0x1.0a9470916987fp-7, 0x1.024a56eff3583p-7, 0x1.f46731145b654p-8, 0x1.e49e5e8ed8a97p-8, 0x1.d53842852cfafp-8, 0x1.c632d0525a4bp-8, 0x1.b78c17312fd2ap-8, 0x1.a94221105dc75p-8, 0x1.9b5311bc3db2cp-8, 0x1.8dbd09bc6d898p-8, 0x1.807e3cea059b8p-8, 0x1.7394e9d558c6fp-8, 0x1.66ff619a7aa06p-8, 0x1.5abbeaec5f997p-8, 0x1.4ec8c3b4f22bbp-8, 0x1.4324322c8d32bp-8, 0x1.37cc9582a1509p-8, 0x1.2cc0356f1d052p-8, 0x1.21fd17f71e7e1p-8, 0x1.1782e90684c9ep-8, 0x1.0d4efe2552413p-8, 0x1.03604a7f61477p-8, 0x1.f36aa36e9c364p-9, 0x1.e09952af4857cp-9, 0x1.ce49887e5d09p-9, 0x1.bc78769c7bcdp-9, 0x1.ab230593df9c2p-9, 0x1.9a46b05d7da8dp-9, 0x1.89e0ac2ec7f1fp-9, 0x1.79ee6f0288f1ap-9, 0x1.6a6d9a72e9552p-9, 0x1.5b5be6ff6a9bdp-9, 0x1.4cb6d1a941cb8p-9, 0x1.3e7bfb65d75bap-9, 0x1.30a8f071088b6p-9, 0x1.233b433b0f9aep-9, 0x1.1630997b97d7cp-9, 0x1.09864518985dbp-9, 0x1.fa74605fdac8p-10, 0x1.e2943b2527ad7p-10, 0x1.cb683bafb70bep-10, 0x1.b4ebf25b5b32cp-10, 0x1.9f1c26e39baa4p-10, 0x1.89f4aa021e5e9p-10, 0x1.7571d6ca397adp-10, 0x1.618f85f73b0f4p-10, 0x1.4e49cdb0381edp-10, 0x1.3b9d1c123d50dp-10, 0x1.29858ef29cda9p-10, 0x1.17ff2df915d9ep-10, 0x1.0706c16a690acp-10, 0x1.ed31c65cb4f97p-11, 0x1.cd64ce2558dap-11, 0x1.aea07693a7e3ep-11, 0x1.90de298e79612p-11, 0x1.7417fc424ed87p-11, 0x1.584b3ed5d3c5dp-11, 0x1.3d65aeb8e52acp-11, 0x1.236d688dba315p-11, 0x1.0a57e49d77f13p-11, 0x1.e43e1d16decf1p-12, 0x1.b57ae248dbb97p-12, 0x1.885a230897cecp-12, 0x1.5cd290759975fp-12, 0x1.32da8045445abp-12, 0x1.0a6932b602693p-12, 0x1.c6eca501fd6a3p-13, 0x1.7bef921f8fcc4p-13, 0x1.33c69df212dbfp-13, 0x1.dcc220fe17741p-14, 0x1.57589480ec428p-14, 0x1.ae55ebb006c4bp-15, 0x1.7035d2373cf56p-16, -0x1.a254bcdfb354ap-18, -0x1.172f62dc0a8e7p-15, -0x1.f0dc158e41175p-15, -0x1.60c82f616b5dfp-14, -0x1.c4bef8d0ea748p-14, -0x1.1236c6c608d1ep-13, -0x1.3ff73c92bc668p-13, -0x1.6bad0264e8f2ep-13, -0x1.9566781446d75p-13, -0x1.bd31094f59be4p-13, -0x1.e3163a2dc442p-13, -0x1.0391ba571f7ffp-12, -0x1.14b3d29fbf9f6p-12, -0x1.24f9e39d990d5p-12, -0x1.346bd5d7a8b57p-12, -0x1.4311b56f11418p-12, -0x1.50f09e818a8a3p-12, -0x1.5e116e8ce0a96p-12, -0x1.6a73d45964fa7p-12, -0x1.762022ea83352p-12, -0x1.811a2a2fa3b8bp-12, -0x1.8b66bab759aabp-12, -0x1.950a7d6f2774ep-12, -0x1.9e09f76f07dc6p-12, -0x1.a668c695d363ap-12, -0x1.ae2bec3c1c47ep-12, -0x1.b558095f7ab03p-12, -0x1.bbf4d26419f89p-12, -0x1.c207aaa39369ap-12, -0x1.c796733535bf9p-12, -0x1.cca630956e3f7p-12, -0x1.d13aafccc260cp-12, -0x1.d55738fe9d45ap-12, -0x1.d8fe612d440c4p-12, -0x1.dc336c411b2fbp-12, -0x1.def8e906645d2p-12, -0x1.e153d3c925bebp-12, -0x1.e3471c45da48p-12, -0x1.e4d5678d7e27bp-12, -0x1.e600ae4cb8416p-12, -0x1.e6ccb1db3577ap-12, -0x1.e73cd7398ddc8p-12, -0x1.e754104878c45p-12, -0x1.e717387ce16d6p-12, -0x1.e68bba5ea92a9p-12, -0x1.e5b55476bb8cep-12, -0x1.e49934db4c9aep-12, -0x1.e336c79337a01p-12, -0x1.e1915714dfef5p-12, -0x1.dfa94072e56bfp-12, -0x1.dd83fb6982545p-12, -0x1.db1fd4a8b8e68p-12, -0x1.d8817d4dfee94p-12, -0x1.d5aa6c990b734p-12, -0x1.d29c8e469ffe5p-12, -0x1.cf5d7b6ebef4p-12, -0x1.cbea031a5197p-12, -0x1.c845349804cb6p-12, -0x1.c4714acdb1fcap-12, -0x1.c06fd3cb91364p-12, -0x1.bc44a274624bbp-12, -0x1.b7f31adf9ab4cp-12, -0x1.b37cded6fa66p-12, -0x1.aed515f093445p-12, -0x1.aa25ec971884dp-12, -0x1.a54ae47b76c28p-12, -0x1.a05289adc3223p-12, -0x1.9b3dc47212df6p-12, -0x1.960dd899bb934p-12, -0x1.90c571ec5e48dp-12, -0x1.8b64cfffc2d48p-12, -0x1.85ed76ddc5e44p-12, -0x1.806046a208c5bp-12, -0x1.7abee687e42d9p-12, -0x1.750af090f230bp-12, -0x1.6f422e857289cp-12, -0x1.696930b3fe76cp-12, -0x1.63808d189f609p-12, -0x1.5d8a9790820f7p-12, -0x1.57871a7b113ccp-12, -0x1.5176c6787310ep-12, -0x1.4b5c58c419c5bp-12, -0x1.4538089e6f1dep-12, -0x1.3f0a5538d7b41p-12, -0x1.38d45b603ce5ep-12, -0x1.3297b06bc1a07p-12, -0x1.2c57318eb69bbp-12, -0x1.2611f50d8a3afp-12, -0x1.1fc8f4596f643p-12, -0x1.19802940fff92p-12, -0x1.132de8bf9dbc8p-12, -0x1.0cd635f749f5fp-12, -0x1.068a89372561cp-12, -0x1.0037a6d7ba18ap-12, -0x1.f3c8eef907e55p-13, -0x1.e724969d2f55ep-13, -0x1.da808391e8953p-13, -0x1.cde1f3d89ca96p-13, -0x1.c14ab7f3906e3p-13, -0x1.b4ba603a230acp-13, -0x1.a830dc901135ap-13, -0x1.9bb08f2361bfcp-13, -0x1.8f3984dcd6f6dp-13, -0x1.82cd2b2ff5edfp-13, -0x1.766c2d5683ff5p-13, -0x1.6a177b77ef4a2p-13, -0x1.5dd0b27683f9ep-13, -0x1.5199128d99454p-13, -0x1.457020ce96032p-13, -0x1.39597b8cfb6e6p-13, -0x1.2d52cafff8227p-13, -0x1.215db5d4c7d9ap-13, -0x1.157a9925a31ecp-13, -0x1.09a8e2a8a607dp-13, -0x1.fbd483726acadp-14, -0x1.e4805c52daec2p-14, -0x1.cd5495f68e4dep-14, -0x1.b6535fc7f65c6p-14, -0x1.9f7ed4490de16p-14, -0x1.88d3679a4f88p-14, -0x1.7259e5cb550abp-14, -0x1.5c0e02c4e45cp-14, -0x1.45f130b133fc9p-14, -0x1.3001f23f63e4dp-14, -0x1.1a436db811e2fp-14, -0x1.04b4cf7ba5ffap-14, -0x1.deaf91424e65fp-15, -0x1.b45541112b0b6p-15, -0x1.8a68265766c73p-15, -0x1.60dffbb43aa92p-15, -0x1.37c229690195p-15, -0x1.0f0d3a8e5fbc4p-15, -0x1.cd840213fdc2fp-16, -0x1.7dbb94475104ep-16, -0x1.2ec896042c534p-16, -0x1.c15fa2ce9ea7dp-17, -0x1.26e9f1aa28e1dp-17, -0x1.1c32259be929bp-18, 0x1.1d847ab505583p-22, 0x1.3c70c355b66fep-18, 0x1.31d5166b52463p-17, 0x1.c3af2a60b5afep-17, 0x1.29eef650cd0cbp-16, 0x1.7119283d16c37p-16, 0x1.b76a5b7c7b5ap-16, 0x1.fcdbdc158324ep-16, 0x1.20ab73f98e67ep-15, 0x1.428cdf52bbd46p-15, 0x1.63f9d53f17b66p-15, 0x1.84f4ef534c97bp-15, 0x1.a5814c2cb67bbp-15, 0x1.c599fec24f805p-15, 0x1.e54223792f4ddp-15, 0x1.023c7a73fd979p-14, 0x1.119fcc9d8d07bp-14, 0x1.20d0e4faa94dfp-14, 0x1.2fc7cbf0b8bd6p-14, 0x1.3e860ed57f596p-14, 0x1.4d0e1baeaaee4p-14, 0x1.5b5dc3557796ep-14, 0x1.697852a169f74p-14, 0x1.775a8d2c7b90cp-14, 0x1.85076505d5385p-14, 0x1.927df3951f7acp-14, 0x1.9fbe026b89309p-14, 0x1.acc893401f24cp-14, 0x1.b99de5884cfaep-14, 0x1.c63d5c6f953bp-14, 0x1.d2a6f3b1ab64fp-14, 0x1.deddc3d70beccp-14, 0x1.eadf7ea0806b3p-14, 0x1.f6adda40f594dp-14, 0x1.0123d0328d744p-13, 0x1.06e340860917ap-13, 0x1.0c705de798009p-13, 0x1.11f0084cb0ba1p-13, 0x1.1756cfd3adb9dp-13, 0x1.1ca5064d3316fp-13, 0x1.21d9c49d64ff7p-13, 0x1.26f5d3acf7f5bp-13, 0x1.2bf8e37c7411p-13, 0x1.30e401e3b566fp-13, 0x1.35b76b66fbb73p-13, 0x1.3a724ee3e2d77p-13, 0x1.3f148d90f2032p-13, 0x1.43a0f64ea28e2p-13, 0x1.481499e99ce12p-13, 0x1.4c71734f30446p-13, 0x1.50b6e9b4d0971p-13, 0x1.54e6cd59d19c1p-13, 0x1.58fed4e8d27e8p-13, 0x1.5d007848dc11cp-13, 0x1.60eb9c7dd0546p-13, 0x1.64c08c7823b47p-13, 0x1.687fd2db06edfp-13, 0x1.6c2967e950a0bp-13, 0x1.6fbe734bdc2f4p-13, 0x1.733db1d2c6e2fp-13, 0x1.76a7a59c9ce02p-13, 0x1.79fcdfa6e9dcdp-13, 0x1.7d3d8833be9fep-13, 0x1.8069bf53587dep-13, 0x1.8381c28e220bfp-13, 0x1.8685accbbe343p-13, 0x1.8975bc037aa2ap-13, 0x1.8c525d132e6e9p-13, 0x1.8f1b5441e3a4p-13, 0x1.91d18f25d2e88p-13, 0x1.9474b5aaeb28dp-13, 0x1.9704e1e09e929p-13, 0x1.9982de876a4aap-13, 0x1.9bee8a1cf38e1p-13, 0x1.9e46dc5a244f2p-13, 0x1.a08e72a922e0ep-13, 0x1.a2c42bb0a0be9p-13, 0x1.a4e8e2a3576dap-13, 0x1.a6fb48d2770c8p-13, 0x1.a8fcdb578fc73p-13, 0x1.aaed318faae5dp-13, 0x1.accd16560c07cp-13, 0x1.ae9cc4761236bp-13, 0x1.b05c11f40fb5ep-13, 0x1.b20bca183e89cp-13, 0x1.b3aa677c358c9p-13, 0x1.b53987a3f098ep-13, 0x1.b6b90e9867bcap-13, 0x1.b829d9ec9ac05p-13, 0x1.b98becbd9e55dp-13, 0x1.bade20a9e0f8ep-13, 0x1.bc2224e34214dp-13, 0x1.bd5753bbfcf6cp-13, 0x1.be6c24c82afe8p-13, 0x1.bf97cfafcf8fcp-13, 0x1.c0a1ddfa641a8p-13, 0x1.c19fc6e4cf459p-13, 0x1.c28eea7cc8393p-13, 0x1.c370fe2ca59ecp-13, 0x1.c445cad158686p-13, 0x1.c50dd975056c5p-13, 0x1.c5ca5a8fdb534p-13, 0x1.c6779c48850dap-13, 0x1.c7198f66c44dfp-13, 0x1.c7aece20e9b9bp-13, 0x1.c838516b3819cp-13, 0x1.c8b65957ebf9dp-13, 0x1.c927f23f9fcd3p-13, 0x1.c98d5c6f1a4d3p-13, 0x1.c9e8451d7bceap-13, 0x1.ca384b9ec79bp-13, 0x1.ca7cf2f0074e9p-13, 0x1.cab5f0233146ap-13, 0x1.cae4628ed4b4ep-13, 0x1.cb08d11287771p-13, 0x1.cb2316a7c4cdap-13, 0x1.cb32a03f1cfc7p-13, 0x1.cb36e56e98738p-13, 0x1.cb32f92014632p-13, 0x1.cb24ff5c01d76p-13, 0x1.cb0ce8908a8cfp-13, 0x1.caeb5beefc1bfp-13, 0x1.cac127bc03f3fp-13, 0x1.ca8d7c8c69c72p-13, 0x1.ca50723da1923p-13, 0x1.ca0b12c59dbf2p-13, 0x1.c9bc4e504b885p-13, 0x1.c96557eefe2f8p-13, 0x1.c905eb3691249p-13, 0x1.c8a147f9496e8p-13, 0x1.c82ef0df0146ep-13, 0x1.c7b739f2e175fp-13, 0x1.c737a0af34b82p-13, 0x1.c6b03a90b57cp-13, 0x1.c621f0322385bp-13, 0x1.c58bd27292862p-13, 0x1.c4ee396bdf0dp-13, 0x1.c44949808d7e8p-13, 0x1.c3a033e0e798dp-13, 0x1.c2eaed7074fb9p-13, 0x1.c2326d1ba486cp-13, 0x1.c172341b93bd8p-13, 0x1.c0ab97fd12d19p-13, 0x1.bfdec2ea8d904p-13, 0x1.bf0bb71736369p-13, 0x1.be32aa3c7586p-13, 0x1.bd535d3db736bp-13, 0x1.bc6e692544dabp-13, 0x1.bb8d91263b672p-13, 0x1.ba92ced32777dp-13, 0x1.b99cdc2f1d3dap-13, 0x1.b8a1696d7df2ap-13, 0x1.b7a09f8d6a8cfp-13, 0x1.b69a0c2161a7cp-13, 0x1.b5926fc0dbap-13, 0x1.b47f23e8356e7p-13, 0x1.b36a778791557p-13, 0x1.b25132f2be3f3p-13, 0x1.b1324fa987b15p-13, 0x1.b00f4d7961b6bp-13, 0x1.aee85553fab88p-13, 0x1.adbc1efb35618p-13, 0x1.ac8bf42e11ae2p-13, 0x1.ab57ecf2ac533p-13, 0x1.aa100ec32c817p-13, 0x1.a8e39c4ddfbd7p-13, 0x1.a7a351a2fb076p-13, 0x1.a65f9a6cacd27p-13, 0x1.a5183a19f7dd4p-13, 0x1.a3cd5a0634fcbp-13, 0x1.a27ea69706be1p-13, 0x1.a12cb1035293bp-13, 0x1.9fd75c364229fp-13, 0x1.9e7f35d017482p-13, 0x1.9d23265a5427cp-13, 0x1.9bc4937061de6p-13, 0x1.9a62da8e81444p-13, 0x1.98fe70c641796p-13, 0x1.9796ef07cf5c8p-13, 0x1.962db2d4d5fe8p-13, 0x1.94bfe31db1adfp-13, 0x1.9350c04132b3ep-13, 0x1.91decd531f919p-13, 0x1.906af670b1af5p-13, 0x1.8ef3f73ad91a6p-13, 0x1.8d7b3b23a1a22p-13, 0x1.8c00323d3cddcp-13, 0x1.8a8341566325bp-13, 0x1.8903fa33250dp-13, 0x1.8781ecdf6eb0fp-13, 0x1.85ffc1e9cfa3dp-13, 0x1.8474c4a7128b6p-13, 0x1.82f4114d3ad1fp-13, 0x1.816b62461462dp-13, 0x1.7fe1ae1d5636ep-13, 0x1.7e55ccfa04df6p-13, 0x1.7cc8d41c8eb65p-13, 0x1.7b39dcd9355a7p-13, 0x1.79a60397e6925p-13, 0x1.78186939e37d9p-13, 0x1.768624c09adap-13, 0x1.74f26ac4c4e91p-13, 0x1.735d4cc158366p-13, 0x1.71c6b68bedc07p-13, 0x1.702fd170f0297p-13, 0x1.6e977b6655c3p-13, 0x1.6cfe6e8b9023ap-13, 0x1.6b641051f2dabp-13, 0x1.69c98e419c951p-13, 0x1.682e16924d38ap-13, 0x1.6691c909919e6p-13, 0x1.64f4d6e61a982p-13, 0x1.63533c629699ep-13, 0x1.61b8ab8a08054p-13, 0x1.601a060812052p-13, 0x1.5e7affc44a571p-13, 0x1.5cdb3c71067e5p-13, 0x1.5b3b0469de7ccp-13, 0x1.599aa56cef7eep-13, 0x1.57fa277c190dap-13, 0x1.5658aefb03d3fp-13, 0x1.54b7cf957ce81p-13, 0x1.5316780c52b75p-13, 0x1.5174ab3c13a63p-13, 0x1.4fd2efd2453a6p-13, 0x1.4e31456745a5ep-13, 0x1.4c90040c4d4d6p-13, 0x1.4aee1ca10965dp-13, 0x1.494c6c4e0e8b2p-13, 0x1.47ab046b065c9p-13, 0x1.4609915b735e8p-13, 0x1.44685eef1c7ddp-13, 0x1.42c6eeb95fa28p-13, 0x1.41260b083d6acp-13, 0x1.3f860f3305b7bp-13, 0x1.3de58e5b1f556p-13, 0x1.3c455a275d87p-13, 0x1.3aa62066d8f81p-13, 0x1.3906ca0c56b87p-13, 0x1.376807f89868ep-13, 0x1.35d106255107cp-13, 0x1.342c1bbc5b485p-13, 0x1.328eab9000ac7p-13, 0x1.30f1f0a7efe24p-13, 0x1.2f55bbb035ceap-13, 0x1.2dba40df3d039p-13, 0x1.2c1f4e9a36efcp-13, 0x1.2a850a803cf18p-13, 0x1.28eb37e992ap-13, 0x1.2752dbac08037p-13, 0x1.25ba0b3c9bbe9p-13, 0x1.2422d404eb339p-13, 0x1.228c6768a79e5p-13, 0x1.20f622ae2c9c8p-13, 0x1.1f612da2b2819p-13, 0x1.1dccba2c566c2p-13, 0x1.1c397cad511f7p-13, 0x1.1aa707745c8dep-13, 0x1.1915036cb2fa6p-13, 0x1.1784acbdd038p-13, 0x1.15f4ee8ea0928p-13, 0x1.1465fddda5a6cp-13, 0x1.12d8cea4a75cep-13, 0x1.114c0a0423827p-13, 0x1.0fc02393adc6ap-13, 0x1.0e359e3a2130ap-13, 0x1.0cabdc49603bep-13, 0x1.0b22cefd5d0d2p-13, 0x1.099b7f40cbep-13, 0x1.0814f20e4ec1ep-13, 0x1.069011a43e9ebp-13, 0x1.050c08fdccd35p-13, 0x1.038826b8c80fep-13, 0x1.0206b707b5126p-13, 0x1.0086859b6e912p-13, 0x1.fe0df89ec94aap-14, 0x1.fb110a77aa689p-14, 0x1.f816b40f75816p-14, 0x1.f51f633ee71c5p-14, 0x1.f229703240bc2p-14, 0x1.ef363ab41185ap-14, 0x1.ec47ec4ae1c0ep-14, 0x1.e959118b9bc39p-14, 0x1.e66e6733d3e39p-14, 0x1.e3865ac7bd0b9p-14, 0x1.e0a01fb3fca94p-14, 0x1.ddbd5dd3cfc26p-14, 0x1.dadd5ce183164p-14, 0x1.d7fed219b22dap-14, 0x1.d52431a76e026p-14, 0x1.d24ba298fd43fp-14, 0x1.cf754d3818b08p-14, 0x1.cca288be6184dp-14, 0x1.c9d2747b0b873p-14, 0x1.c705f1e8ad081p-14, 0x1.c43a8ee73911ep-14, 0x1.c172b3803d2f2p-14, 0x1.beadac1e95c67p-14, 0x1.bbeb864c50d99p-14, 0x1.b92c273f9a64ap-14, 0x1.b66ff80974f09p-14, 0x1.b3b5c49cc04f8p-14, 0x1.b0ff04f27d4edp-14, 0x1.ae4b031521a4cp-14, 0x1.ab9a9625d8857p-14, 0x1.a8ecc01d08b12p-14, 0x1.a640d0415d185p-14, 0x1.a398b68ace7f6p-14, 0x1.a0f3d84d779efp-14, 0x1.9e5209902d9e4p-14, 0x1.9bb22b41ebaa1p-14, 0x1.99153619b04eep-14, 0x1.967c52f07700cp-14, 0x1.93e4c02be864p-14, 0x1.915167a526c1bp-14, 0x1.8ec24e3377798p-14, 0x1.8c35007971ba9p-14, 0x1.89a81e306fc8ep-14, 0x1.8721b71a34a73p-14, 0x1.849d1910c640dp-14, 0x1.821bbc3f2cb95p-14, 0x1.7f9cb6c5bafe9p-14, 0x1.7d219fa9c9e5fp-14, 0x1.7aa9212094a4cp-14, 0x1.783361054c2ccp-14, 0x1.75c0ef56d18ep-14, 0x1.73513f25ec594p-14, 0x1.70e520addecfp-14, 0x1.6e7b320bfd4b6p-14, 0x1.6c156a37c91bcp-14, 0x1.69b1d2e96796ep-14, 0x1.6751a914bc9b1p-14, 0x1.64f3b90df678p-14, 0x1.629999fab05a5p-14, 0x1.60425fe827d1cp-14, 0x1.5dee24b60d371p-14, 0x1.5b9c736d99e03p-14, 0x1.594e6bf2d8343p-14, 0x1.5703885c99e96p-14, 0x1.54bb4ff247c0ap-14, 0x1.527571084640cp-14, 0x1.503399ae5dbc8p-14, 0x1.4df4979943c93p-14, 0x1.4bb7ae80a54e7p-14, 0x1.497f646d86504p-14, 0x1.4748f9523e094p-14, 0x1.45159b37b03cdp-14, 0x1.42e51eaedf531p-14, 0x1.40c937dd7cd26p-14, 0x1.3e8de08e87416p-14, 0x1.3c676509b630fp-14, 0x1.3a41d12bc579p-14, 0x1.382a0fd628991p-14, 0x1.36018a03495fbp-14, 0x1.33e7bec88e218p-14, 0x1.31cea02f7fc84p-14, 0x1.2fb89396f7992p-14, 0x1.2da650099e025p-14, 0x1.2b96a4017954fp-14, 0x1.298a027c5916ap-14, 0x1.277ff0ec75689p-14, 0x1.2579230daa226p-14, 0x1.2375205ab2a4p-14, 0x1.2173e6159b89ap-14, 0x1.1f765b6c8361ep-14, 0x1.1d7a9d177880ap-14, 0x1.1b82459dc8c98p-14, 0x1.198c25d43b68p-14, 0x1.179b112769d87p-14, 0x1.15a9b3fe09cafp-14, 0x1.13bcb448a0f91p-14, 0x1.11d289fba6823p-14, 0x1.0feb6c9537b9dp-14, 0x1.0e068df7b193cp-14, 0x1.0c252caf98486p-14, 0x1.0a45d0a7645d1p-14, 0x1.0869d120dbaecp-14, 0x1.06908ca0887b4p-14, 0x1.04ba1d93f3454p-14, 0x1.02e65cbcad328p-14, 0x1.0115a158d17a5p-14, 0x1.fe8dd4e082da5p-15, 0x1.faf6a28222284p-15, 0x1.f764dd08bec29p-15, 0x1.f3d932749a5ebp-15, 0x1.f05281220c181p-15, 0x1.ecd0c90fa699cp-15, 0x1.e95702d902b9cp-15, 0x1.e5e0ed3564cddp-15, 0x1.e26ce688b104ep-15, 0x1.df013d2ac77cfp-15, 0x1.db9c2bea19be8p-15, 0x1.d847477d47ecep-15, 0x1.d4dfb57a533f4p-15, 0x1.d1857f14ff841p-15, 0x1.ce38255fbed1cp-15, 0x1.caea01edad2c1p-15, 0x1.c7a352892e6e7p-15, 0x1.c4623c231d6b5p-15, 0x1.c12572a1189bcp-15, 0x1.bdee809d44b84p-15, 0x1.babcee1291bd7p-15, 0x1.b78e8290be106p-15, 0x1.b466568a3e8e9p-15, 0x1.b14306979c39ep-15, 0x1.ae247d43cae93p-15, 0x1.ab0bfc1457785p-15, 0x1.a7f7f5ae41cc9p-15, 0x1.a4e8a01cc5136p-15, 0x1.a1caec680251cp-15, 0x1.9ed88907f3428p-15, 0x1.9bd94000fb872p-15, 0x1.98dd741ce9f3ap-15, 0x1.95e882d2a1ap-15, 0x1.92f5658da1c9dp-15, 0x1.900893aa86e4fp-15, 0x1.8d2079f41b297p-15, 0x1.8a3de38ab32a5p-15, 0x1.875f842b9b7cep-15, 0x1.8483b8df00af5p-15, 0x1.81ae9cec8df2dp-15, 0x1.7edf492fa8fd4p-15, 0x1.7c1332fa63574p-15, 0x1.794c157c2dbe2p-15, 0x1.768986382a3fcp-15, 0x1.73cb6974fc8d7p-15, 0x1.71124f8294806p-15, 0x1.6e5cce156de94p-15, 0x1.6bad619d3ef9dp-15, 0x1.690194bd9f5c8p-15, 0x1.665a2493a81ebp-15, 0x1.63b8393a2ac66p-15, 0x1.6117da746b3e4p-15, 0x1.5e7e2eb937d08p-15, 0x1.5bea13e17ec9bp-15, 0x1.5958abadabdfap-15, 0x1.56cb56cf03dc8p-15, 0x1.54436152fcd5ap-15, 0x1.51bda74712021p-15, 0x1.4f3f13ce74c6bp-15, 0x1.4cc3635e92705p-15, 0x1.4a4c88b005dcbp-15, 0x1.47d96d913a405p-15, 0x1.456a1902ad233p-15, 0x1.42fe8326bbdc3p-15, 0x1.40984c3dc366dp-15, 0x1.3e36c83e3159ap-15, 0x1.3bdcac0754561p-15, 0x1.397d3a7e3e119p-15, 0x1.3728a3f272287p-15, 0x1.34d4e4a19652ep-15, 0x1.3286ee610bc9fp-15, 0x1.303c7bb45f7e5p-15, 0x1.2df6e8ad5038ap-15, 0x1.2bb5583e80407p-15, 0x1.29776442e240dp-15, 0x1.273b6bf2a7d9ap-15, 0x1.25059b1e5b4dcp-15, 0x1.22d36b8c5258p-15, 0x1.20a51289157cfp-15, 0x1.1e7a137b4c566p-15, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      {{-0x1.10c1802eb6bc3p-3, -0x1.148b020c567b8p-3, -0x1.19c99e43d5ddbp-3, -0x1.206f578823676p-3, -0x1.286b112a72dc1p-3, -0x1.31a90c7877df4p-3, -0x1.3c13665d95876p-3, -0x1.4792903c2bbf8p-3, -0x1.540dc0b568b8dp-3, -0x1.616b5a726605ep-3, -0x1.6f914804f057fp-3, -0x1.7e654cafbeca1p-3, -0x1.8dcd4a63e3342p-3, -0x1.9daf7d9113988p-3, -0x1.adf2af9414202p-3, -0x1.be7e60a34e51fp-3, -0x1.cf3aea1d8c167p-3, -0x1.e0119a1763c44p-3, -0x1.f0ecc8f6118b6p-3, -0x1.00dbf4ea77349p-2, -0x1.092fcb300ea04p-2, -0x1.1168cb5e428dbp-2, -0x1.197e7301dd99fp-2, -0x1.2168d9e560f0ap-2, -0x1.2920b18e270efp-2, -0x1.309f43a18ea37p-2, -0x1.37de6f5b05055p-2, -0x1.3ed8a63749352p-2, -0x1.4588e7f53eb9fp-2, -0x1.4beabe0943f0ep-2, -0x1.51fa369d08bcap-2, -0x1.57b3df3348a39p-2, -0x1.5d14bf0479b05p-2, -0x1.621a51276b7b1p-2, -0x1.66c27e96e993ap-2, -0x1.6b0b9823b68e7p-2, -0x1.6ef450608c8bep-2, -0x1.727bb5944c9b3p-2, -0x1.75a12bbd1398p-2, -0x1.786466ad8c2aep-2, -0x1.7ac5644c93a4cp-2, -0x1.7cc466fe07419p-2, -0x1.7e61f03a7fffap-2, -0x1.7f9ebb5a9d719p-2, -0x1.807bb899a0834p-2, -0x1.80fa085217344p-2, -0x1.811af6769cbaap-2, -0x1.80dff647e10a1p-2, -0x1.804a9e488aa46p-2, -0x1.7f5ca46eecfcp-2, -0x1.7e17da93f6d64p-2, -0x1.7c7e2b1e61f1ep-2, -0x1.7a9195e8afdfdp-2, -0x1.78542d603849ap-2, -0x1.75c813db4c3dp-2, -0x1.72ef792425fa9p-2, -0x1.6fcc98364d64ep-2, -0x1.6c61b52bdf1bap-2, -0x1.68b11b58228f5p-2, -0x1.64bd1b8cc2b5fp-2, -0x1.60880a86fecebp-2, -0x1.5c143f822e56ep-2, -0x1.576412ecf669fp-2, -0x1.5279dd3e9e989p-2, -0x1.4d57f5ea0da87p-2, -0x1.4800b26c06f31p-2, -0x1.4276657259bbp-2, -0x1.3cbb5e19d309ap-2, -0x1.36d1e740e6b6dp-2, -0x1.30bc46ed101c8p-2, -0x1.2a7cbdc11fbf1p-2, -0x1.24158682c0bfbp-2, -0x1.1d88d5ad9b519p-2, -0x1.16d8d912a5d78p-2, -0x1.1007b7824854dp-2, -0x1.091790801b427p-2, -0x1.020a7bff23769p-2, -0x1.f5c5144b1027fp-3, -0x1.e743862dbb9d2p-3, -0x1.d8944d8862aa1p-3, -0x1.c9bb598242c9ep-3, -0x1.babc883ab4bdcp-3, -0x1.ab9ba683da6f6p-3, -0x1.9c5c6fa3ff2e2p-3, -0x1.8d028d1cd80eep-3, -0x1.7d919677e2e95p-3, -0x1.6e0d111759da9p-3, -0x1.5e78700b1cf85p-3, -0x1.4ed713e943eb3p-3, -0x1.3f2c4aa9ec20fp-3, -0x1.2f7b4f86027ebp-3, -0x1.1fc74ad8d913ap-3, -0x1.101352045e94p-3, -0x1.00626757da947p-3, -0x1.e16ef3f240e72p-4, -0x1.c22acba0620ebp-4, -0x1.a2fde6ea961a9p-4, -0x1.83edb042d2a0ap-4, -0x1.64ff6b428f57ap-4, -0x1.46383495cda8bp-4, -0x1.279d01eb65c02p-4, -0x1.0932a1eaa48c5p-4, -0x1.d5fb785cd077cp-5, -0x1.9a05a28bc3284p-5, -0x1.5e8c75763557ep-5, -0x1.2398563ed8c4ap-5, -0x1.d262b877ecc79p-6, -0x1.5ebea25189bc3p-6, -0x1.d8a6c58ceb608p-7, -0x1.ecbd61b4b22a5p-8, -0x1.6c090cab9f91bp-11, 0x1.8c32837e6bf7dp-8, 0x1.a0159d78b55aap-7, 0x1.3b8e435b40ab6p-6, 0x1.a58b96a04d8d5p-6, 0x1.06fbfa7cb5b9ep-5, 0x1.3a648f0a99896p-5, 0x1.6cfab1c04e3f8p-5, 0x1.9eb9d395f25bdp-5, 0x1.cf9daceb9ee82p-5, 0x1.ffa23cb3d9a41p-5, 0x1.1761e3c93b369p-4, 0x1.2e7f6b781f385p-4, 0x1.45281c01d7eadp-4, 0x1.5b5a7d67a22e1p-4, 0x1.7115388acd07p-4, 0x1.865716a1ff0cp-4, 0x1.9b1f00a9dc36ep-4, 0x1.af6bfed150316p-4, 0x1.c33d37e1bb63dp-4, 0x1.d691f0a332cb2p-4, 0x1.e9698b3d2b428p-4, 0x1.fbc38693c0f92p-4, 0x1.06cfbed0f1df4p-3, 0x1.0f7e936851f9bp-3, 0x1.17ee29a5f5e32p-3, 0x1.201e772a758c6p-3, 0x1.280f7e4933a8cp-3, 0x1.2fc14dafa4682p-3, 0x1.3734000bcac3ap-3, 0x1.3e67bbb2114dp-3, 0x1.455cb2429e2c5p-3, 0x1.4c13204e42d6bp-3, 0x1.528b4cfb27299p-3, 0x1.58c589a945057p-3, 0x1.5ec23196e4ca9p-3, 0x1.6481a98522a1p-3, 0x1.6a045f5cab2b3p-3, 0x1.6f4ac9d2bb122p-3, 0x1.7455680e873dfp-3, 0x1.7924c14f2033bp-3, 0x1.7db96491ed9f7p-3, 0x1.8213e839d482ep-3, 0x1.8634e9b7234e1p-3, 0x1.8a1d0d3058fd1p-3, 0x1.8dccfd2bd0084p-3, 0x1.91456a3a775e1p-3, 0x1.94870aa3933f1p-3, 0x1.97929a11a769p-3, 0x1.9a68d94096e0bp-3, 0x1.9d0a8dacff844p-3, 0x1.9f788144f2d1p-3, 0x1.a1b38219ff8ep-3, 0x1.a3bc6214b30dfp-3, 0x1.a593f6a985b8bp-3, 0x1.a73b188f53678p-3, 0x1.a8b2a3774d1bep-3, 0x1.a9fb75c68f29dp-3, 0x1.ab1670513fb15p-3, 0x1.ac04761757b2fp-3, 0x1.acc66c030d14dp-3, 0x1.ad5d38a8e9059p-3, 0x1.adc9c4098c808p-3, 0x1.ae0cf75525967p-3, 0x1.ae27bcb098ffap-3, 0x1.ae1afefc637bdp-3, 0x1.ade7a99d35a39p-3, 0x1.ad8ea8463ebc5p-3, 0x1.ad10e6c53c8b6p-3, 0x1.ac6f50d035c6p-3, 0x1.abaad1d4f4396p-3, 0x1.aac454ca2c33p-3, 0x1.a9bcc4025c97cp-3, 0x1.a89509005997ep-3, 0x1.a74e0c4d83c0ap-3, 0x1.a5e8b551a7e91p-3, 0x1.a465ea2c85542p-3, 0x1.a2c68f90ee9acp-3, 0x1.a10b88a1847acp-3, 0x1.9f35b6cf10b51p-3, 0x1.9d45f9b8614e9p-3, 0x1.9b3d2f0bb78f2p-3, 0x1.991c3269b926ap-3, 0x1.96e3dd49dc6e2p-3, 0x1.949506e0499e1p-3, 0x1.92308405347cap-3, 0x1.8fb7271d8fbc9p-3, 0x1.8d29c005346edp-3, 0x1.8a891bfa526d8p-3, 0x1.87d6058a3fbdcp-3, 0x1.8511447f8c84dp-3, 0x1.823b9dd15b90cp-3, 0x1.7f55d393f94c5p-3, 0x1.7c60a4eaa3ec1p-3, 0x1.795ccdfa7eaccp-3, 0x1.764b07deaadc2p-3, 0x1.732c089d7fa1dp-3, 0x1.7000831ecef1ep-3, 0x1.6cc927233a4b7p-3, 0x1.6986a13c903b3p-3, 0x1.66399ac71bc19p-3, 0x1.62e2b9e3ef4afp-3, 0x1.5f82a1741d265p-3, 0x1.5c19f114cda55p-3, 0x1.58a9451c382c9p-3, 0x1.553136976e7e2p-3, 0x1.51b25b48f5d82p-3, 0x1.4e2d45a826de2p-3, 0x1.4aa284e149be8p-3, 0x1.4712a4d66bf19p-3, 0x1.437e2e20e502fp-3, 0x1.3fe5a613819a3p-3, 0x1.3c498ebd52fffp-3, 0x1.38aa66ed1a54p-3, 0x1.3508aa3540807p-3, 0x1.3164d0f06495fp-3, 0x1.2dbf504668d29p-3, 0x1.2a189a32071ddp-3, 0x1.26711d86d6fd9p-3, 0x1.22c945f7cc0bep-3, 0x1.1f217c1e217f7p-3, 0x1.1b7a2580ae60dp-3, 0x1.17d3a49b961adp-3, 0x1.142e58e85aaecp-3, 0x1.108a9ee64277ep-3, 0x1.0ce8d0231260ap-3, 0x1.094943440cb42p-3, 0x1.05ac4c0f41bcbp-3, 0x1.02123b7517cd6p-3, 0x1.fcf6bf3427029p-4, 0x1.f5d007c1beap-4, 0x1.eeb0e1e8f56dcp-4, 0x1.e799d9a5435c9p-4, 0x1.e08b75acb766ep-4, 0x1.d98637856bd8fp-4, 0x1.d28a9b9b2bdaap-4, 0x1.cb99195570ef4p-4, 0x1.c4b2232d87297p-4, 0x1.bdd626c4e2a0ep-4, 0x1.b7058cfb9f212p-4, 0x1.b040ba07268bcp-4, 0x1.a9880d88e7101p-4, 0x1.a2dbe2a52588cp-4, 0x1.9c3c9019e4f55p-4, 0x1.95aa6855c284cp-4, 0x1.8f25b98ef1777p-4, 0x1.88aecdda1c168p-4, 0x1.8245eb414dd0fp-4, 0x1.7beb53dac94b4p-4, 0x1.759f45dfd3b31p-4, 0x1.6f61fbc367451p-4, 0x1.6933ac48d002dp-4, 0x1.63148a9a28bd3p-4, 0x1.5d04c65ebb45fp-4, 0x1.57048bd136eefp-4, 0x1.511403d5c4bbfp-4, 0x1.4b33540fec14p-4, 0x1.45629ef84ba5cp-4, 0x1.3fa203f222442p-4, 0x1.39f19f609f782p-4, 0x1.34518abc02cfep-4, 0x1.2ec1dca6803f4p-4, 0x1.2942a900e855ep-4, 0x1.23d400ff14d2p-4, 0x1.1e75f33c15b11p-4, 0x1.19288bce1d83dp-4, 0x1.13ebd45a2abacp-4, 0x1.0ebfd4276ba3p-4, 0x1.09a490325f2f5p-4, 0x1.049a0b3fad192p-4, 0x1.ff408bdd6ccfep-5, 0x1.f56e7d97b8df7p-5, 0x1.ebbde4c4fdf5p-5, 0x1.e22eb69d5a6dep-5, 0x1.d8c0e49d1a3c1p-5, 0x1.cf745ca6e9d39p-5, 0x1.c64909257281p-5, 0x1.bd3ed12c59d42p-5, 0x1.b4559898a2b5cp-5, 0x1.ab8d403079a98p-5, 0x1.a2e5a5c26152bp-5, 0x1.9a5ea443bdd45p-5, 0x1.91f813eecc6acp-5, 0x1.89b1ca5ff4997p-5, 0x1.818b9ab285ec6p-5, 0x1.7985559cd70b3p-5, 0x1.719ec98bc23efp-5, 0x1.69d7c2bd91023p-5, 0x1.62300b5c46c61p-5, 0x1.5aa76b97557b1p-5, 0x1.533da9bcb857fp-5, 0x1.4bf28a517485p-5, 0x1.44c5d02987c3fp-5, 0x1.3db73c7f3d55ep-5, 0x1.36c68f09f083ap-5, 0x1.2ff38614415adp-5, 0x1.293dde91ad331p-5, 0x1.22a55433a0cbep-5, 0x1.1c29a17df649ep-5, 0x1.15ca7fdae839dp-5, 0x1.0f87a7ae7dd2p-5, 0x1.0960d06964d5dp-5, 0x1.0355b09b4b66dp-5, 0x1.facbfc095e6b3p-6, 0x1.ef22db5053a05p-6, 0x1.e3af67b676366p-6, 0x1.d87108ad2e7c3p-6, 0x1.cd67248bdc4f7p-6, 0x1.c29120ae784cfp-6, 0x1.b7ee619337ad2p-6, 0x1.ad7e4af749518p-6, 0x1.a3403ff2a3913p-6, 0x1.9933a312e15bdp-6, 0x1.8f57d6753ee31p-6, 0x1.85ac3bdfb89a3p-6, 0x1.7c3034d942b2dp-6, 0x1.72e322c1380c7p-6, 0x1.69c466e5eac61p-6, 0x1.60d3629a65ee4p-6, 0x1.580f774b5f9bfp-6, 0x1.4f78069366b3bp-6, 0x1.470c724e4f28ep-6, 0x1.3ecc1cabd6669p-6, 0x1.36b6684199e7ep-6, 0x1.2ecab81c4760ep-6, 0x1.27086fd01975ep-6, 0x1.1f6ef388b61ebp-6, 0x1.17fda8184801cp-6, 0x1.10b3f3060b11fp-6, 0x1.09913a9c1be24p-6, 0x1.0294e5f4c0916p-6, 0x1.f77cba0dfc8a2p-7, 0x1.ea1a116541007p-7, 0x1.dd00a597606ecp-7, 0x1.d02f4c4aacd5ap-7, 0x1.c3a4dd385e671p-7, 0x1.b760324041ed4p-7, 0x1.ab60277b2217p-7, 0x1.9fa39b4c715dp-7, 0x1.94296e72c6b97p-7, 0x1.88f084177d6a6p-7, 0x1.7df7c1dd5a31p-7, 0x1.733e0fee4dfa4p-7, 0x1.68c259085a2a5p-7, 0x1.5e838a8985a6cp-7, 0x1.5480947b1aebap-7, 0x1.4ab8699bfc806p-7, 0x1.4129ff6a4b0d6p-7, 0x1.37d44e2c3735cp-7, 0x1.2eb650f82481fp-7, 0x1.25cf05bc06d5p-7, 0x1.1d1d6d441940bp-7, 0x1.14a08b40f203cp-7, 0x1.0c57664cdede9p-7, 0x1.044107f0bd411p-7, 0x1.f8b8f95046812p-8, 0x1.e951a7c9e9d72p-8, 0x1.da4a4024de8ap-8, 0x1.cba0ed2f76666p-8, 0x1.bd53dfb3a8e6ap-8, 0x1.af614e7a1cea6p-8, 0x1.a1c7764c2706bp-8, 0x1.948499f4f42b4p-8, 0x1.879702419acdcp-8, 0x1.7afcfe007880dp-8, 0x1.6eb4e1ffb5662p-8, 0x1.62bd090ae3e9ep-8, 0x1.5713d3e82925dp-8, 0x1.4bb7a9543a9f8p-8, 0x1.40a6f5fe0674bp-8, 0x1.35e02c8185e4p-8, 0x1.2b61c561fd2fep-8, 0x1.212a3f038eadfp-8, 0x1.17381da44702cp-8, 0x1.0d89eb54930f1p-8, 0x1.041e37ef37c2ep-8, 0x1.f5e73221a410bp-9, 0x1.e411541d6499cp-9, 0x1.d2b817daef29dp-9, 0x1.c1d8caae3ba66p-9, 0x1.b170c52155b7dp-9, 0x1.a17d6adef2c78p-9, 0x1.91fc2a9c585a8p-9, 0x1.82ea7e028c066p-9, 0x1.7445e996d7233p-9, 0x1.660bfca2b8afp-9, 0x1.583a511b43b45p-9, 0x1.4ace8b87f9644p-9, 0x1.3dc65ae91313fp-9, 0x1.311f789d91adep-9, 0x1.24d7a84872262p-9, 0x1.18ecb7b5fab42p-9, 0x1.0d5c7ec05bc8ap-9, 0x1.0224df34236acp-9, 0x1.ee8789686075ap-10, 0x1.d96e493b34a52p-10, 0x1.c4f9fbd665c12p-10, 0x1.b126b232282ccp-10, 0x1.9df0900efd45p-10, 0x1.8b53cbbc2038fp-10, 0x1.794caddce92b6p-10, 0x1.67d7912e7983ap-10, 0x1.56f0e24ce3634p-10, 0x1.46951f78679ffp-10, 0x1.36c0d85a28217p-10, 0x1.2770adc9248e1p-10, 0x1.18a1518f7724dp-10, 0x1.0a4f862ebdecp-10, 0x1.f8f03d4a1e85ap-11, 0x1.de2ffc6488421p-11, 0x1.c458303908207p-11, 0x1.ab62deeb9054bp-11, 0x1.934a2dc2c772ep-11, 0x1.7c0860b215271p-11, 0x1.6597d9e597c98p-11, 0x1.4ff3194e02c25p-11, 0x1.3b14bc2d56729p-11, 0x1.26f77ca365ad5p-11, 0x1.1396313bd135ep-11, 0x1.00ebcc7c2218bp-11, 0x1.dde6b8e4bc1ebp-12, 0x1.bb50148b79a9ap-12, 0x1.9a0a338ca3eb9p-12, 0x1.7a0bd1fc15c0cp-12, 0x1.5b4bdf86cfc33p-12, 0x1.3dc17e9758741p-12, 0x1.2164037f25531p-12, 0x1.062af39e42808p-12, 0x1.d81c0920004cdp-13, 0x1.a60a36abd528dp-13, 0x1.76109712c7897p-13, 0x1.481fad179e5dfp-13, 0x1.1c2855736d6ecp-13, 0x1.e4378a7c382dbp-14, 0x1.93d710bf020cep-14, 0x1.471300010f525p-14, 0x1.fb9f840c0aa64p-15, 0x1.6fe4c9fd3b3a2p-15, 0x1.d58261fd5eb2p-16, 0x1.b005548961ba9p-17, -0x1.919ed186a637fp-20, -0x1.fc6ab6efec589p-17, -0x1.d7af41381c642p-16, -0x1.52f2798669a65p-15, -0x1.b498c28a38c1ep-15, -0x1.087b757d3a97ap-14, -0x1.341c266bab049p-14, -0x1.5d43990f52c76p-14, -0x1.84066d17ec76fp-14, -0x1.a878bf7927f5p-14, -0x1.caae2d0395ec5p-14, -0x1.eab9d4ec1887bp-14, -0x1.04572da612fccp-13, -0x1.124ef5cc50b35p-13, -0x1.1f4d1d89d9ae1p-13, -0x1.2b5a45983dc94p-13, -0x1.367ed5f7f7a51p-13, -0x1.40c2ff1a01bd5p-13, -0x1.4a2ebb034fd9ap-13, -0x1.52c9ce6f5719ap-13, -0x1.5a9bc9ecf8749p-13, -0x1.61ac0af4d42c4p-13, -0x1.6801bcfcb541bp-13, -0x1.6da3da88b8d95p-13, -0x1.72992e2fac67cp-13, -0x1.76e853a9bf7b7p-13, -0x1.7a97b8ccaba23p-13, -0x1.7dad9e8cd89fbp-13, -0x1.803019f4fb4bcp-13, -0x1.8225151b4189bp-13, -0x1.839250135900bp-13, -0x1.847d61db3c43bp-13, -0x1.84ebb94577735p-13, -0x1.84e29ddd0029cp-13, -0x1.846730c6d33e6p-13, -0x1.837e6d9c578eep-13, -0x1.822d2b4926e06p-13, -0x1.80781cdc4c96ap-13, -0x1.7e63d25d6a6a4p-13, -0x1.7bf4b996cd421p-13, -0x1.792f1ee23967cp-13, -0x1.76172decd29d4p-13, -0x1.72b0f27af315ep-13, -0x1.6f005926d1df5p-13, -0x1.6b09301d66eep-13, -0x1.66cf27d4c8547p-13, -0x1.6255d3c04b84fp-13, -0x1.5da0ab014dfd9p-13, -0x1.58b30916aee37p-13, -0x1.53902e85cf4a2p-13, -0x1.4e3b418173591p-13, -0x1.48b74e8e85355p-13, -0x1.4307492337aaep-13, -0x1.3d2e0c44b055dp-13, -0x1.372e5b2136fb5p-13, -0x1.310ae1a82e55bp-13, -0x1.2ac6351eb6fdfp-13, -0x1.2462d4af4065ap-13, -0x1.1de329f83b568p-13, -0x1.17498996fcf6fp-13, -0x1.109833b18d497p-13, -0x1.09d1547b1812fp-13, -0x1.02f704b854bfp-13, -0x1.f816947bc041bp-14, -0x1.ea2030dfde5bap-14, -0x1.dc0ea174a518p-14, -0x1.cde58614fe484p-14, -0x1.bfa85c8be31cp-14, -0x1.b15a8178e9185p-14, -0x1.a2ff3133088d9p-14, -0x1.949988a3e314ap-14, -0x1.862c862075d0ap-14, -0x1.77bb0a3bb93b8p-14, -0x1.6947d89639f7p-14, -0x1.5ad598a7d6194p-14, -0x1.4c66d686d4978p-14, -0x1.3dfe03a76013p-14, -0x1.2f9d779953768p-14, -0x1.214770bfc2ef8p-14, -0x1.12fe15082fe0cp-14, -0x1.04c37298bb2a8p-14, -0x1.ed3300fe0e8a9p-15, -0x1.d1043eaf1cfdep-15, -0x1.b4fe33e65cc95p-15, -0x1.99244beef2d95p-15, -0x1.7d79c8f647c77p-15, -0x1.6201c5454d6e6p-15, -0x1.46bf34681d0bp-15, -0x1.2bb4e4570e95ep-15, -0x1.10e57e9387847p-15, -0x1.eca7127c23c69p-16, -0x1.b802d050ca2dp-16, -0x1.83e2bbc208d15p-16, -0x1.504b196ce90a6p-16, -0x1.1d3fef6df8e26p-16, -0x1.d58a0ea2fff51p-17, -0x1.71bbdfe60284ap-17, -0x1.0f1bfeb3885e4p-17, -0x1.5b6151f06fc11p-18, -0x1.35fec87369e8cp-19, 0x1.171799e340ddcp-21, 0x1.bc77470215cc2p-19, 0x1.97015cb340dbp-18, 0x1.2695c4d7d904dp-17, 0x1.805924ef9b6d2p-17, 0x1.d8c73598c9887p-17, 0x1.17ee590a35616p-16, 0x1.42cb538c7375ap-16, 0x1.6cf937fcefa1ap-16, 0x1.9676d9fb6cb9p-16, 0x1.bf4331c7ff74ep-16, 0x1.e75d5afcc8e49p-16, 0x1.076249a46c833p-15, 0x1.1abc1c9acf686p-15, 0x1.2dbbe57a9036dp-15, 0x1.4061729c2365cp-15, 0x1.52aca1062871p-15, 0x1.649d5be24092ap-15, 0x1.76339bf183d9ap-15, 0x1.876f6709da306p-15, 0x1.9850cf912e3adp-15, 0x1.a8d7f400a7a57p-15, 0x1.b904fe6866cdp-15, 0x1.c8d823f804546p-15, 0x1.d851a48b54c43p-15, 0x1.e771ca3857ebep-15, 0x1.f638e8e2eb481p-15, 0x1.0253aee7b7ff6p-14, 0x1.095ec79e6c2a8p-14, 0x1.103df5ff5a082p-14, 0x1.16f1758cfad17p-14, 0x1.1d7985b446d0ap-14, 0x1.23d6699cfd18p-14, 0x1.2a0867fe69cd7p-14, 0x1.300fcaf1f8f8fp-14, 0x1.35ecdfca33e7ap-14, 0x1.3b9ff6e8b5edfp-14, 0x1.4129639663c89p-14, 0x1.46897bdd1ac5ap-14, 0x1.4bc098623fd8cp-14, 0x1.50cf14419c25ap-14, 0x1.55b54ceb5598dp-14, 0x1.5a73a2006a517p-14, 0x1.5f0a753211559p-14, 0x1.637a2a218ebf9p-14, 0x1.67c32640966a1p-14, 0x1.6be5d0b3d0fc3p-14, 0x1.6fe2923534a4ep-14, 0x1.73b9d4f7c67cap-14, 0x1.776c048cc7cadp-14, 0x1.7af98dc842c94p-14, 0x1.7e62dea840b56p-14, 0x1.81a8663b09ce1p-14, 0x1.84ca9487d1bbfp-14, 0x1.87c9da776ad1ep-14, 0x1.8aa6a9bdf6c42p-14, 0x1.8d6174c51ed72p-14, 0x1.8ffaae973c5ebp-14, 0x1.9272cacb143bbp-14, 0x1.94ca3d70718d9p-14, 0x1.97017afce1887p-14, 0x1.9918f83a57aa7p-14, 0x1.9b112a3512731p-14, 0x1.9cea862aea02ap-14, 0x1.9ea5817b3f6aap-14, 0x1.a04291972c1f6p-14, 0x1.a1c22bf28037ap-14, 0x1.a324c5f55e1efp-14, 0x1.a46ad4ed94b4cp-14, 0x1.a594ce022a35cp-14, 0x1.a6a3262604e28p-14, 0x1.a796520b7f465p-14, 0x1.a86ec618ac51p-14, 0x1.a92cf65bb75c3p-14, 0x1.a9d156804b337p-14, 0x1.aa5c59c4b2daap-14, 0x1.aace72f015283p-14, 0x1.ab281448731f1p-14, 0x1.ab69af8a13fa5p-14, 0x1.ab93b5ddf89f9p-14, 0x1.aba697d267e4ep-14, 0x1.aba2c552265fp-14, 0x1.ab88ad9cf0a39p-14, 0x1.ab58bf408b114p-14, 0x1.ab13681131436p-14, 0x1.aab91523c6148p-14, 0x1.aa4a32c6f39cfp-14, 0x1.a9c72c7d699edp-14, 0x1.a9306cf86b355p-14, 0x1.a8865e1261ec1p-14, 0x1.a7c968c967d4p-14, 0x1.a6f9f53b905a6p-14, 0x1.a6186aa114b17p-14, 0x1.a5252f49138c1p-14, 0x1.a420a89554a6dp-14, 0x1.a30b3af660faep-14, 0x1.a1e549e8935cep-14, 0x1.a0af37f09a9d1p-14, 0x1.9f6966982687p-14, 0x1.9e14366b87b77p-14, 0x1.9cb006f72320ap-14, 0x1.9b3d36c4930dfp-14, 0x1.99bc235950af5p-14, 0x1.982d293416814p-14, 0x1.9690a3cb49889p-14, 0x1.94e6ed8b68afp-14, 0x1.93305fd5e18a8p-14, 0x1.916d52ff3581bp-14, 0x1.8f9e1e4e81478p-14, 0x1.8dc317fc4a6e3p-14, 0x1.8bdc953152ecdp-14, 0x1.89eaea06df609p-14, 0x1.87ee698565d2p-14, 0x1.85e765a4e374ap-14, 0x1.83d62f4bc42b4p-14, 0x1.81bb164fa853ep-14, 0x1.7f96697500cd3p-14, 0x1.7d68766f06db1p-14, 0x1.7b3189e08617bp-14, 0x1.78f1ef5baf6a4p-14, 0x1.76a9f162fda18p-14, 0x1.7459d9696954fp-14, 0x1.7201efd347318p-14, 0x1.6fa27bf7503eap-14, 0x1.6d3bc41ed1112p-14, 0x1.6ace0d8729ae1p-14, 0x1.68599c62ae008p-14, 0x1.65deb3d96fca5p-14, 0x1.635d960b03e25p-14, 0x1.60d6840f2e6cp-14, 0x1.5e49bdf79472dp-14, 0x1.5bb782d1030e4p-14, 0x1.592010a482769p-14, 0x1.5683a47989b02p-14, 0x1.53e27a56d2932p-14, 0x1.513ccd448af1ap-14, 0x1.4e92d74dbe522p-14, 0x1.4be4d181e9192p-14, 0x1.4932f3f6efad8p-14, 0x1.467d75cb114a1p-14, 0x1.43c48d26239a9p-14, 0x1.41086f3c4fd9fp-14, 0x1.3e49504f42e85p-14, 0x1.3b8763b07a8a8p-14, 0x1.38c2dbc33d759p-14, 0x1.35fbe9feb875ap-14, 0x1.3332beef9b7fbp-14, 0x1.30678a3ac0a86p-14, 0x1.2d9a7a9f0d4dfp-14, 0x1.2acbbdf74029dp-14, 0x1.27fb813c87b4bp-14, 0x1.2529f0889dae2p-14, 0x1.225737179da62p-14, 0x1.1f837f4a9d8a1p-14, 0x1.1caef2a9d84e5p-14, 0x1.19d9b9e6bd93p-14, 0x1.1703fcde24f2fp-14, 0x1.142de29ae6bf3p-14, 0x1.11579157b9609p-14, 0x1.0e812e81da496p-14, 0x1.0baadebafe6f9p-14, 0x1.08d4c5dbe348ep-14, 0x1.05ff06f65a788p-14, 0x1.0329c457ba8c7p-14, 0x1.00551f8b52f8cp-14, 0x1.fb0272b8cbdfep-15, 0x1.f55c63b1432ebp-15, 0x1.efb850a52ba03p-15, 0x1.ea1676c73d7e1p-15, 0x1.e47711dd1a684p-15, 0x1.deda5c439fc71p-15, 0x1.d9408ef368cb5p-15, 0x1.d3a9e1857a96ap-15, 0x1.ce168a3822d3fp-15, 0x1.c886bdf304fc7p-15, 0x1.c2fab04bc7f07p-15, 0x1.bd72938abc5b7p-15, 0x1.b7ee98afa385cp-15, 0x1.b26eef75ab4ddp-15, 0x1.acf3c6581d8e4p-15, 0x1.a77d4a97193e9p-15, 0x1.a20ba83b6eb7dp-15, 0x1.9c9f0a1ba875p-15, 0x1.973799e029a2ep-15, 0x1.91d58007906c2p-15, 0x1.8c78e3eae06d3p-15, 0x1.8721ebc236c96p-15, 0x1.81d0bca900de7p-15, 0x1.7c857aa209e5fp-15, 0x1.7740489b99e16p-15, 0x1.7201487418c07p-15, 0x1.6cc89afe4d5e2p-15, 0x1.6796600510b3p-15, 0x1.626ab64f92965p-15, 0x1.5d45bba580f3bp-15, 0x1.58278cd34dfccp-15, 0x1.531045adfb7f5p-15, 0x1.4e00011707614p-15, 0x1.48f6d900a0e2cp-15, 0x1.43f4e67158371p-15, 0x1.3efa41884ebbap-15, 0x1.3a070180e7a5p-15, 0x1.351b3cb67e6f8p-15, 0x1.303708a86b223p-15, 0x1.2b5a79fda03f5p-15, 0x1.2685a4888a481p-15, 0x1.21b89b4ab5f5fp-15, 0x1.1cf3707875bccp-15, 0x1.1836357c483f3p-15, 0x1.1380fafa90305p-15, 0x1.0ed3d0d571ad4p-15, 0x1.0a2ec63018fd8p-15, 0x1.0591e9720601dp-15, 0x1.00fd484a93725p-15, 0x1.f8e1df68ffd34p-16, 0x1.efd9d7f290eb6p-16, 0x1.e6e29168fb829p-16, 0x1.ddfc21ad933bbp-16, 0x1.d5269d535b7adp-16, 0x1.cc6217a48d2a1p-16, 0x1.c3aea2a941c56p-16, 0x1.bb0c4f2dd7c7bp-16, 0x1.b27b2cc930e81p-16, 0x1.a9fb49e2d3838p-16, 0x1.a18cb3b89e801p-16, 0x1.992f766551097p-16, 0x1.90e39ce639688p-16, 0x1.88a931211c0fcp-16, 0x1.80803be9ad206p-16, 0x1.7868c5078e856p-16, 0x1.7062d33bea9e7p-16, 0x1.686e6c4743846p-16, 0x1.608b94ee5bb8cp-16, 0x1.58ba5100131b6p-16, 0x1.50faa35a619d2p-16, 0x1.494c8df00a6aap-16, 0x1.41b011cda226ap-16, 0x1.3a252f1e9dc9ep-16, 0x1.32abe5328b4e8p-16, 0x1.2b443281c000fp-16, 0x1.23ee14b2b75c4p-16, 0x1.1ca9889e84d3fp-16, 0x1.15768a55c18e6p-16, 0x1.0e551525698cfp-16, 0x1.0745239b65f58p-16, 0x1.0046af8b1a3eap-16, 0x1.f2b3642426726p-17, 0x1.e4fc4738fbcbcp-17, 0x1.d767f7d24be8ep-17, 0x1.c9f6641c001b3p-17, 0x1.bca778f94fba6p-17, 0x1.af7b220d2aa9ep-17, 0x1.a27149c1c30cdp-17, 0x1.9589d950edb4dp-17, 0x1.88c4b8cca809dp-17, 0x1.7c21cf2656ccfp-17, 0x1.6fa1023741e97p-17, 0x1.634236c77b4f1p-17, 0x1.57055095d79d9p-17, 0x1.4aea325faa247p-17, 0x1.3ef0bde6e269p-17, 0x1.3318d3fa9a1f9p-17, 0x1.2762547dcf342p-17, 0x1.1bcd1e6da8f1ap-17, 0x1.10590fe85a64ap-17, 0x1.05060634e74a6p-17, 0x1.f3a7bb91c78a2p-18, 0x1.dd84e49e80859p-18, 0x1.c7a33d5d75c75p-18, 0x1.b2027a1fdbbbep-18, 0x1.9ca24dc6acc77p-18, 0x1.878269cfa64c4p-18, 0x1.72a27e609c8d8p-18, 0x1.5e023a54a0ed8p-18, 0x1.49a14b450cb4dp-18, 0x1.357f5d970a2d2p-18, 0x1.219c1c8549c0fp-18, 0x1.0df7322c0035fp-18, 0x1.f5208f2662c8ap-19, 0x1.cece096f858b6p-19, 0x1.a8f62131db968p-19, 0x1.83982280f233cp-19, 0x1.5eb357990a03fp-19, 0x1.3a4708f27c0ddp-19, 0x1.16527d58d5f54p-19, 0x1.e5a9f3f086c3ap-20, 0x1.9f9b84e381b25p-20, 0x1.5a7831df6de06p-20, 0x1.163e7c6c84358p-20, 0x1.a5d9c6d5c33d5p-21, 0x1.2103c65ee54f4p-21, 0x1.3befd6aa37742p-22, 0x1.cb3250d639a21p-25, -0x1.8b3685b18ebddp-23, -0x1.c11b02338df34p-22, -0x1.5c8f96c09232p-21, -0x1.d6d702c00e4bcp-21, -0x1.27b374642de5ap-20, -0x1.632137cfdd9b8p-20, -0x1.9db66078a74bp-20, -0x1.d7748488d283ap-20, -0x1.082e9db21d39bp-19, -0x1.24390ec627ab9p-19, -0x1.3fda6242d2431p-19, -0x1.5b13655fb8da6p-19, -0x1.75e4e5bd7c45bp-19, -0x1.904fb1593c0cdp-19, -0x1.aa54967fe9859p-19, -0x1.c3f463c33cdcep-19, -0x1.dd2fe7ee5e089p-19, -0x1.f607f1fb1f90fp-19, -0x1.073ea88272a5bp-18, -0x1.13486a1fc5261p-18, -0x1.1f21a575b9fb7p-18, -0x1.2acac226f0fa8p-18, -0x1.364427d2184c4p-18, -0x1.418e3e0eee066p-18, -0x1.4ca96c6725b9p-18, -0x1.57961a52a2dccp-18, -0x1.6254af33e5b09p-18, -0x1.6ce592529a7f9p-18, -0x1.77492ad756633p-18, -0x1.817fdfc7b6e2cp-18, -0x1.8b8a18018481fp-18, -0x1.95683a38206f6p-18, -0x1.9f1aacef8c44cp-18, -0x1.a8a1d6783eb5ep-18, -0x1.b1fe1cec3bee2p-18, -0x1.bb2fe62bd7bfep-18, -0x1.c43797d923236p-18, -0x1.cd159754c16c2p-18, -0x1.d5ca49ba89e65p-18, -0x1.de5613dfb376dp-18, -0x1.e6b95a4da879fp-18, -0x1.eef48140ac05ap-18, -0x1.f707eca306d84p-18, -0x1.fef4000af46d3p-18, -0x1.035c8f5cc05e9p-17, -0x1.072bd5ca9fa4fp-17, -0x1.0ae804943e8b2p-17, -0x1.0e914ccfdce75p-17, -0x1.1227df630ac27p-17, -0x1.15abed01e5c9cp-17, -0x1.191da62d5bb48p-17, -0x1.1c7d3b322219cp-17, -0x1.1fcadc285f1b5p-17, -0x1.2306b8f1cc851p-17, -0x1.263101383e81ap-17, -0x1.2949e46e71419p-17, -0x1.2c5191cd8bb45p-17, -0x1.2f483854c9103p-17, -0x1.322e06c847272p-17, -0x1.35032bb01ba34p-17, -0x1.37c7d557d83b8p-17, -0x1.3a7c31ce1461dp-17, -0x1.3d206ee2a6b96p-17, -0x1.3fb4ba26a3ef3p-17, -0x1.423940ec2130bp-17, -0x1.44ae304412fbcp-17, -0x1.4713b4fe877c7p-17, -0x1.4969fbaa69e0ep-17, -0x1.4bb130945ba1fp-17, -0x1.4de97fc5ee115p-17, -0x1.501315059c268p-17, -0x1.522e1bd62095ep-17, -0x1.543abf75c3fa1p-17, -0x1.56392ade11e2fp-17, -0x1.582988c3e09e5p-17, -0x1.5a0c03963f663p-17, -0x1.5be0c57d51d2cp-17, -0x1.5da7f85ba9bb2p-17, -0x1.5f61c5cd12cdp-17, -0x1.610e57262f1c2p-17, -0x1.62add5743d7d4p-17, -0x1.6440697ca1e82p-17, -0x1.65c63bbd069d4p-17, -0x1.673f746ad78fcp-17, -0x1.68ac3b72c956ep-17, -0x1.6a0cb879a1801p-17, -0x1.6b6112dac42e7p-17, -0x1.6ca971a8807c9p-17, -0x1.6de5fbac38d69p-17, -0x1.6f16d766364d1p-17, -0x1.703c2b0d4242fp-17, -0x1.71561c8e73fc8p-17, -0x1.7264d18d5bdb9p-17, -0x1.73686f639fefp-17, -0x1.74611b21aea69p-17, -0x1.754ef98e249edp-17, -0x1.76322f253b131p-17, -0x1.770ae0197d72ap-17, -0x1.77d930541a159p-17, -0x1.789d437450ae2p-17, -0x1.79573ccf9aa2ep-17, -0x1.7a073f717b801p-17, -0x1.7aad6e1baf153p-17, -0x1.7b49eb4699de3p-17, -0x1.7bdcd921743f8p-17, -0x1.7c6659918686bp-17, -0x1.7ce68e3262902p-17, -0x1.7d5d9856cbcd4p-17, -0x1.7dcb9908e6d38p-17, -0x1.7e30b1095b6c7p-17, -0x1.7e8d00cfc9518p-17, -0x1.7ee0a88b53f67p-17, -0x1.7f2bc822774d7p-17, -0x1.7f6e7f33d2fbp-17, -0x1.7fa8ed15a730cp-17, -0x1.7fdb30d58b2ddp-17, -0x1.8005693a1ab55p-17, -0x1.8027b4c27fe1fp-17, -0x1.804231a61e1e8p-17, -0x1.8054fdd4f8789p-17, -0x1.806036f8a3bd5p-17, -0x1.8063fa740e452p-17, -0x1.80606563bb0a2p-17, -0x1.8055949dc489bp-17, -0x1.8043a4b244881p-17, -0x1.802ab1ec0f69bp-17, -0x1.800ad850d9abap-17, -0x1.7fe433a0d3022p-17, -0x1.7fb6df5747c15p-17, -0x1.7f82f6ab8a547p-17, -0x1.7f48949084465p-17, -0x1.7f07d3b522571p-17, -0x1.7ec0ce84b229p-17, -0x1.7e739f2744403p-17, -0x1.7e205f827cfa4p-17, -0x1.7dc72938cc3bep-17, -0x1.7d6815aa2d1dap-17, -0x1.7d033df565db7p-17, -0x1.7c98baf760a7dp-17, -0x1.7c28a54b149d7p-17, -0x1.7bb3154b21e9fp-17, -0x1.7b382311dbe4ep-17, -0x1.7ab7e67906c49p-17, -0x1.7a32771a3b0eap-17, -0x1.79a7ec4fdc07ep-17, -0x1.79185d356f9d2p-17, -0x1.7883e0a7801ffp-17, -0x1.77ea8d43e455p-17, -0x1.774c796a767b3p-17, -0x1.76a9bb3e34864p-17, -0x1.760268a3c96bep-17, -0x1.75569743576d1p-17, -0x1.74a65c88b32c4p-17, -0x1.73f1cda3794b7p-17, -0x1.7338ff876091ap-17, -0x1.727c06ec87bd1p-17, }}, 
      {{-0x1.0eb88430e50c8p-3, -0x1.0ffd3c098b39dp-3, -0x1.11c0dd33cf862p-3, -0x1.1400892d382bbp-3, -0x1.16b8b1ea00e26p-3, -0x1.19e52dee9fa06p-3, -0x1.1d814d163f211p-3, -0x1.2187ed3abae34p-3, -0x1.25f38e2bb4786p-3, -0x1.2abe6490d3959p-3, -0x1.2fe26b7835a9ep-3, -0x1.3559746e6298ap-3, -0x1.3b1d361252ec5p-3, -0x1.412759273f5p-3, -0x1.477184309ef0fp-3, -0x1.4df565ab6e875p-3, -0x1.54acbcfc1e3f6p-3, -0x1.5b91622a6c0a7p-3, -0x1.629d4c850aacdp-3, -0x1.69ca98469ecbcp-3, -0x1.71138b545cd0ap-3, -0x1.7872992d489e2p-3, -0x1.7fe2661f433e7p-3, -0x1.875dc9d57383fp-3, -0x1.8edfd151d7bfbp-3, -0x1.9663c0622413fp-3, -0x1.9de5129ea21cap-3, -0x1.a55f7c004d4eap-3, -0x1.accee91a3b7a9p-3, -0x1.b42f7f01289f3p-3, -0x1.bb7d9aeb19638p-3, -0x1.c2b5d18ffecf2p-3, -0x1.c9d4ee539428cp-3, -0x1.d0d7f23fe592fp-3, -0x1.d7bc12d749823p-3, -0x1.de7eb8c405256p-3, -0x1.e51d7e6b4010bp-3, -0x1.eb962e68721bp-3, -0x1.f1e6c1f5fc176p-3, -0x1.f80d5f4738b05p-3, -0x1.fe0857d7da293p-3, -0x1.01eb135a0bfd3p-2, -0x1.04bab75e6cf65p-2, -0x1.07727c755498p-2, -0x1.0a11d948f5a5bp-2, -0x1.0c9855d55386dp-2, -0x1.0f058a8edf97fp-2, -0x1.11591f8cac5bdp-2, -0x1.1392cbb6efb3fp-2, -0x1.15b253fa789d3p-2, -0x1.17b78a8195c97p-2, -0x1.19a24df2defe6p-2, -0x1.1b7288b6376cbp-2, -0x1.1d2830404e0ddp-2, -0x1.1ec34464c55dbp-2, -0x1.2043ceaf2f4ecp-2, -0x1.21a9e1c2e2bd4p-2, -0x1.22f598c1b805cp-2, -0x1.242716b9a0de2p-2, -0x1.253e86190cedep-2, -0x1.263c1829fdadap-2, -0x1.27200493b00ccp-2, -0x1.27ea88e2a947fp-2, -0x1.289be817018fap-2, -0x1.29346a38bbac5p-2, -0x1.29b45bf1eabc3p-2, -0x1.2a1c0e2e7d944p-2, -0x1.2a6bd5c16a47bp-2, -0x1.2aa40b0f02db4p-2, -0x1.2ac509bc3b4a2p-2, -0x1.2acf3062a1f82p-2, -0x1.2ac2e048ccfdep-2, -0x1.2aa07d1f0a9d2p-2, -0x1.2a686cc011219p-2, -0x1.2a1b16f57dce5p-2, -0x1.29b8e53fe9395p-2, -0x1.294242a25c4f6p-2, -0x1.28b79b70f3dc6p-2, -0x1.28195d2282a82p-2, -0x1.2767f624ff935p-2, -0x1.26a3d5b499e31p-2, -0x1.25cd6bb543586p-2, -0x1.24e5288e8960fp-2, -0x1.23eb7d099b133p-2, -0x1.22e0da3151bc2p-2, -0x1.21c5b134219c6p-2, -0x1.209a7347cde24p-2, -0x1.1f5f918ec34b3p-2, -0x1.1e157cff005a7p-2, -0x1.1cbca64a7131cp-2, -0x1.1b557dc8a1961p-2, -0x1.19e07361b93e7p-2, -0x1.185df67aa1e2cp-2, -0x1.16ce75e25070fp-2, -0x1.15325fc01461fp-2, -0x1.138a2182e705cp-2, -0x1.11d627d1a3078p-2, -0x1.1016de7c2184cp-2, -0x1.0e4cb06d21048p-2, -0x1.0c78079cfc746p-2, -0x1.0a994d05183acp-2, -0x1.08b0e89408004p-2, -0x1.06bf41225815p-2, -0x1.04c4bc68025bep-2, -0x1.02c1bef2761a8p-2, -0x1.00b6ac1b3947dp-2, -0x1.fd47cbfe2b6b5p-3, -0x1.f9139aeba50dep-3, -0x1.f4d18414dc235p-3, -0x1.f08243e7af7a6p-3, -0x1.ec26941c4aebcp-3, -0x1.e7bf2ba88263dp-3, -0x1.e34cbeb40c581p-3, -0x1.decffe8da1d05p-3, -0x1.da4999a0f5f17p-3, -0x1.d5ba3b6d7fc17p-3, -0x1.d1228c7e1382ep-3, -0x1.cc83326142da1p-3, -0x1.c7dccfa281fb3p-3, -0x1.c33003c40833bp-3, -0x1.be7d6b396f535p-3, -0x1.b9c59f630301bp-3, -0x1.b5093689c546ap-3, -0x1.b048c3dc1db78p-3, -0x1.ab84d76b342a7p-3, -0x1.a6bdfe28e9be7p-3, -0x1.a1f4c1e67ac59p-3, -0x1.9d29a953b556dp-3, -0x1.985d37fecd53p-3, -0x1.938fee54c5115p-3, -0x1.8ec249a26024cp-3, -0x1.89f4c415abaadp-3, -0x1.8527d4c009a93p-3, -0x1.805bef98be9aap-3, -0x1.7b9185800752ap-3, -0x1.76c90442a2fcbp-3, -0x1.7202d69ddd882p-3, -0x1.6d3f644405639p-3, -0x1.687f11e157f7dp-3, -0x1.63c241215a542p-3, -0x1.5f0950b49701bp-3, -0x1.5a549c56c1e06p-3, -0x1.55a47cd53b03p-3, -0x1.50f94815ede6dp-3, -0x1.4c53511e8c26ap-3, -0x1.47b2e81c13d2cp-3, -0x1.43185a6aaea07p-3, -0x1.3e83f29ddafc3p-3, -0x1.39f5f888d4716p-3, -0x1.356eb1474fa19p-3, -0x1.30ee5f4669409p-3, -0x1.2c75424dd7eap-3, -0x1.2803978954804p-3, -0x1.2399999239f56p-3, -0x1.1f378079502e2p-3, -0x1.1add81d0cd6e2p-3, -0x1.168bd0b67930cp-3, -0x1.12429dddfbde5p-3, -0x1.0e02179b4b881p-3, -0x1.09ca69ed3e76ep-3, -0x1.059bbe8833b7fp-3, -0x1.01763ce0dd156p-3, -0x1.fab4146e2579bp-4, -0x1.f28e934190a46p-4, -0x1.ea7c382a0404fp-4, -0x1.e27d40edcefe5p-4, -0x1.da91e7419e1cdp-4, -0x1.d2ba60dec0b72p-4, -0x1.caf6df99607bep-4, -0x1.c3479176c54fdp-4, -0x1.bbaca0c39cb12p-4, -0x1.b426342a2dc01p-4, -0x1.acb46ec8928f8p-4, -0x1.a5577046d8d3ap-4, -0x1.9e0f54ed0bb29p-4, -0x1.96dc35b9357d2p-4, -0x1.8fbe28752eea3p-4, -0x1.88b53fcc63c3cp-4, -0x1.81c18b616841dp-4, -0x1.7ae317e36be9dp-4, -0x1.7419ef2381542p-4, -0x1.6d661829b942ep-4, -0x1.66c7974a0ca33p-4, -0x1.603e6e39152p-4, -0x1.59ca9c208e1c8p-4, -0x1.536c1db39d642p-4, -0x1.4d22ed42e3343p-4, -0x1.46ef02d04bff5p-4, -0x1.40d05422a1ap-4, -0x1.3ac6d4d8df536p-4, -0x1.34d2767d3efb3p-4, -0x1.2ef3289803b2dp-4, -0x1.2928d8c1fe066p-4, -0x1.237372b6c9444p-4, -0x1.1dd2e066be642p-4, -0x1.18470a089efa6p-4, -0x1.12cfd62af4863p-4, -0x1.0d6d29c521fdcp-4, -0x1.081ee8482a95cp-4, -0x1.02e4f3af2a133p-4, -0x1.fb7e591efe029p-5, -0x1.f15ae4514d3bfp-5, -0x1.e75f44e790c2cp-5, -0x1.dd8b3465e7ep-5, -0x1.d3de6a001da9ep-5, -0x1.ca589ab6de654p-5, -0x1.c0f9797456513p-5, -0x1.b7c0b7282b145p-5, -0x1.aeae02e2d4b8fp-5, -0x1.a5c109f05bda7p-5, -0x1.9cf977f27327ep-5, -0x1.9456f6f9f6cbep-5, -0x1.8bd92f9fcaaf5p-5, -0x1.837fc91d1d92p-5, -0x1.7b4a69630e837p-5, -0x1.7338b531bb6a9p-5, -0x1.6b4a502eae0e7p-5, -0x1.637edcfaba45bp-5, -0x1.5bd5fd473b00fp-5, -0x1.544f51eac07c7p-5, -0x1.4cea7af52617ap-5, -0x1.45a717c31737fp-5, -0x1.3e84c71102817p-5, -0x1.3783270d7c198p-5, -0x1.30a1d56b15fdfp-5, -0x1.29e06f71a70bbp-5, -0x1.233e920f0e153p-5, -0x1.1cbbd9e765c4ap-5, -0x1.1657e364b8c7p-5, -0x1.10124ac62edadp-5, -0x1.09eaac2eb6fc3p-5, -0x1.03e0a3b33503bp-5, -0x1.fbe79ad058104p-6, -0x1.f0478adde72c7p-6, -0x1.e4e05004da614p-6, -0x1.d9b123068b674p-6, -0x1.ceb93d07831e6p-6, -0x1.c3f7d7a62645ep-6, -0x1.b96c2d108a2b8p-6, -0x1.af15781963405p-6, -0x1.a4f2f44c1d0cdp-6, -0x1.9b03de0024abep-6, -0x1.9147726b5b3c9p-6, -0x1.87bcefb3bcf74p-6, -0x1.7e63950048dadp-6, -0x1.753aa28920815p-6, -0x1.6c4159a6e7254p-6, -0x1.6376fce16e9e5p-6, -0x1.5adacffdab4cp-6, -0x1.526c180af5f88p-6, -0x1.4a2a1b6f9febp-6, -0x1.421421f4e7f2ap-6, -0x1.3a2974d23e1c1p-6, -0x1.32695eb7f0d0ep-6, -0x1.2ad32bd93ba28p-6, -0x1.236629f5bf7e2p-6, -0x1.1c21a86264fe1p-6, -0x1.1504f811b366dp-6, -0x1.0e0f6b9b9762p-6, -0x1.07405744a9a7dp-6, -0x1.00971104ebbbep-6, -0x1.f425e11c065f2p-7, -0x1.e7669ea20462p-7, -0x1.daef110762e02p-7, -0x1.cebdf24acd37bp-7, -0x1.c2d20006cd887p-7, -0x1.b729fb79d0a7dp-7, -0x1.abc4a98d2f914p-7, -0x1.a0a0d2db8d23ep-7, -0x1.95bd43b663955p-7, -0x1.8b18cc2aca0b8p-7, -0x1.80b240058d1b7p-7, -0x1.768876d690521p-7, -0x1.6c9a4bf38572cp-7, -0x1.62e69e79f96a8p-7, -0x1.596c5150c673ep-7, -0x1.502a4b28f2746p-7, -0x1.471f767de8681p-7, -0x1.3e4ac1952f7b1p-7, -0x1.35ab1e7d9781dp-7, -0x1.2d3f830de6c81p-7, -0x1.2506e8e3007c2p-7, -0x1.1d004d5d91ecfp-7, -0x1.152ab19f590b6p-7, -0x1.0d851a87ed3ep-7, -0x1.060e90b128c8ep-7, -0x1.fd8c40d64f0ffp-8, -0x1.ef55b36fc7225p-8, -0x1.e177a08cf2589p-8, -0x1.d3f036dc28c3p-8, -0x1.c6bdac510c02dp-8, -0x1.b9de3e1913726p-8, -0x1.ad50308f90115p-8, -0x1.a111cf3109869p-8, -0x1.95216c8e1ba07p-8, -0x1.897d623df391p-8, -0x1.7e2410d01ea65p-8, -0x1.7313dfbe071abp-8, -0x1.684b3d5bfb3c1p-8, -0x1.5dc89ec9e2633p-8, -0x1.538a7fe3810b2p-8, -0x1.498f633062d72p-8, -0x1.3fd5d1d379283p-8, -0x1.365c5b7a76b57p-8, -0x1.2d21964cd30a6p-8, -0x1.24241eda9acacp-8, -0x1.1b62980b0058fp-8, -0x1.12dbab0ab040ep-8, -0x1.0a8e0739f45fcp-8, -0x1.0278621ab07d1p-8, -0x1.f532ee7c6ef4fp-9, -0x1.e5e01065fa1abp-9, -0x1.d6f5b8e42a2a9p-9, -0x1.c871829959838p-9, -0x1.ba5113b2c1a0fp-9, -0x1.ac921dc312334p-9, -0x1.9f325d9cedc2ep-9, -0x1.922f9b2d1b73bp-9, -0x1.8587a954dd609p-9, -0x1.793865c422eeep-9, -0x1.6d3fb8d3a1cd5p-9, -0x1.619b955f3b81fp-9, -0x1.5649f8a00bb6ep-9, -0x1.4b48ea06c0d5dp-9, -0x1.40967b15da2e4p-9, -0x1.3630c73c20a79p-9, -0x1.2c15f3af2ab5cp-9, -0x1.22442f4610279p-9, -0x1.18b9b2543118dp-9, -0x1.0f74be8415a99p-9, -0x1.06739eb29bf56p-9, -0x1.fb694d9490c3bp-10, -0x1.ea6c673d72c8p-10, -0x1.d9ed55911b1a7p-10, -0x1.c9e8f50274ca8p-10, -0x1.ba5c32fe708a9p-10, -0x1.ab440da5186d3p-10, -0x1.9c9d9382dbed2p-10, -0x1.8e65e34aa57f9p-10, -0x1.809a2b906f5f7p-10, -0x1.7337aa847298fp-10, -0x1.663badaeb4a82p-10, -0x1.59a391ab7e275p-10, -0x1.4d6cc1e850b76p-10, -0x1.4194b861946dbp-10, -0x1.3618fd60d43f6p-10, -0x1.2af7273bf57fdp-10, -0x1.202cda1476209p-10, -0x1.15b7c797fef6fp-10, -0x1.0b95aec16b197p-10, -0x1.01c45b9a622b5p-10, -0x1.f0834dfc03522p-11, -0x1.de16ecb7df2f1p-11, -0x1.cc3f76f8ab64dp-11, -0x1.baf8e888c7a63p-11, -0x1.aa3f54f79942dp-11, -0x1.9a0ee72592861p-11, -0x1.8a63e0d22cdbep-11, -0x1.7b3a9a2b08d1cp-11, -0x1.6c8f815cdea3cp-11, -0x1.5e5f1a255765dp-11, -0x1.50a5fd66ecfd6p-11, -0x1.4360d8be4141dp-11, -0x1.368c6e18af3cfp-11, -0x1.2a25934ca17b3p-11, -0x1.1e2931b38c186p-11, -0x1.129445c4c7c1p-11, -0x1.0763deb273bd4p-11, -0x1.f92a3c0f9a37fp-12, -0x1.e44a6e91639c4p-12, -0x1.d022df25b2913p-12, -0x1.bcae3a8129788p-12, -0x1.a9e74f1a23e17p-12, -0x1.97c90c735fe12p-12, -0x1.864e826a3030bp-12, -0x1.7572e0877904ap-12, -0x1.65317553547b4p-12, -0x1.5585adabfe112p-12, -0x1.466b141f0c0ddp-12, -0x1.37dd5045edb58p-12, -0x1.29d82624a3a28p-12, -0x1.1c57758bc90c9p-12, -0x1.0f57397cf7a5p-12, -0x1.02d38791d4d7ap-12, -0x1.ed911ecc23b3cp-13, -0x1.d6653407d75f1p-13, -0x1.c01c12a73bfaap-13, -0x1.aaaeaf194273p-13, -0x1.96162d54f294dp-13, -0x1.824bdfc619b73p-13, -0x1.6f494640decf5p-13, -0x1.5d080cf889459p-13, -0x1.4b820b7d47521p-13, -0x1.3ab143bccdef5p-13, -0x1.2a8fe108fa53bp-13, -0x1.1b18372296aa4p-13, -0x1.0c44c1491869fp-13, -0x1.fc20429e1040ep-14, -0x1.e0ea3d644467dp-14, -0x1.c6dd4b737d0d5p-14, -0x1.adef8d2f42323p-14, -0x1.9617691d2ed62p-14, -0x1.7f4b8a39a64bep-14, -0x1.6982de555b1e6p-14, -0x1.54b49479c17e9p-14, -0x1.40d81b58ca1f6p-14, -0x1.2de51fc1241d5p-14, -0x1.1bd38b1ea0952p-14, -0x1.0a9b81fdf54b9p-14, -0x1.f46ac538778e2p-15, -0x1.d53386f5e24d2p-15, -0x1.b782e3fcc87d9p-15, -0x1.9b4ae220c7366p-15, -0x1.807def9adcf97p-15, -0x1.670ee06d60e3fp-15, -0x1.4ef0ebd7f8e79p-15, -0x1.3817a9da33028p-15, -0x1.227710c26823bp-15, -0x1.0e0372c945b03p-15, -0x1.f562f77be4243p-16, -0x1.d0ec5d758b311p-16, -0x1.ae8dc7d5fddfp-16, -0x1.8e328cb342dbap-16, -0x1.6fc6a39d49311p-16, -0x1.5336a16ef94dbp-16, -0x1.386fb43770e99p-16, -0x1.1f5f9f39fde55p-16, -0x1.07f4b704a2cf6p-16, -0x1.e43bbb3e12951p-17, -0x1.bb94fd9c9732cp-17, -0x1.95d518dad1432p-17, -0x1.72dcf5beabca9p-17, -0x1.528e7b1ede9d3p-17, -0x1.34cc871359351p-17, -0x1.197ae852a325dp-17, -0x1.007e57abb3511p-17, -0x1.d378e3658989ep-18, -0x1.aa3761113b68p-18, -0x1.8506cba2f580fp-18, -0x1.63b7698a1b339p-18, -0x1.461b18e310ccfp-18, -0x1.2c05442094015p-18, -0x1.154ad714be777p-18, -0x1.01c2342c297edp-18, -0x1.e28653e399c29p-19, -0x1.c74dd1af3738cp-19, -0x1.b18ff272ea7cdp-19, -0x1.a104634576a9ap-19, -0x1.95655a8f1ee13p-19, -0x1.8e6f858709e43p-19, -0x1.8be1f60605051p-19, -0x1.8d7e1106dde37p-19, -0x1.93077d4f369ccp-19, -0x1.9c4412b3a7e8fp-19, -0x1.a8fbc9bda1124p-19, -0x1.b8f8abad04ef8p-19, -0x1.cc06c2f07de1cp-19, -0x1.e1f40c0dbc7e3p-19, -0x1.fa9066b5a9019p-19, -0x1.0ad6c3bc9c72ap-18, -0x1.198f74d68bb0dp-18, -0x1.295ce0e4461b1p-18, -0x1.3a2a78050a3d5p-18, -0x1.4be479bcfc74dp-18, -0x1.5e77eea58a2f3p-18, -0x1.71d2a23c6c294p-18, -0x1.85e31cee890fdp-18, -0x1.9a989e37bb15bp-18, -0x1.afe316f64a85cp-18, -0x1.c5b323dd72d6fp-18, -0x1.dbfa080dc73fp-18, -0x1.f2a9a7d7a25e9p-18, -0x1.04da41d0426cdp-17, -0x1.1086d97128954p-17, -0x1.1c546faf7c77fp-17, -0x1.283d202f0ff5cp-17, -0x1.343b4b0f11349p-17, -0x1.404992adaa398p-17, -0x1.4c62d97badabbp-17, -0x1.58823fe367a5ep-17, -0x1.64a32238c94b9p-17, -0x1.70c116babcff7p-17, -0x1.7cd7eba0c0e3ap-17, -0x1.88e3a53925f8fp-17, -0x1.94e07c12bf161p-17, -0x1.a0cadb3630823p-17, -0x1.ac9f5e66dd707p-17, -0x1.b85ad076a17cep-17, -0x1.c3fa299f7c04fp-17, -0x1.cf7a8dee3d37bp-17, -0x1.dad94bb688949p-17, -0x1.e613da1318cd2p-17, -0x1.f127d76eb1e88p-17, -0x1.fc13081b448b9p-17, -0x1.0369aa77d0192p-16, -0x1.08b364f960566p-16, -0x1.0de5ca888efd2p-16, -0x1.1300026cdab3bp-16, -0x1.180143a1ef986p-16, -0x1.1ce8d4405fe7p-16, -0x1.21b608eaac8a9p-16, -0x1.2668443e2d318p-16, -0x1.2afef648c2ce9p-16, -0x1.2f799c021323dp-16, -0x1.33d7bec96717fp-16, -0x1.3818f3e6d6482p-16, -0x1.3c3cdc1048be6p-16, -0x1.404322f40fb8fp-16, -0x1.442b7ec4d8517p-16, -0x1.47f5afcae6a9cp-16, -0x1.4ba17ff6a3c4ap-16, -0x1.4f2ec278e393fp-16, -0x1.529d535c842edp-16, -0x1.55ed1724f951bp-16, -0x1.591dfa6e74c1bp-16, -0x1.5c2ff19254862p-16, -0x1.5f22f84e3acbbp-16, -0x1.61f7116bf8e8cp-16, -0x1.64ac466fd90cp-16, -0x1.6742a746aefd2p-16, -0x1.69ba49f8204acp-16, -0x1.6c134a5b15266p-16, -0x1.6e4dc9cc3e7ap-16, -0x1.7069eee81af31p-16, -0x1.7267e545a0572p-16, -0x1.7447dd34bde04p-16, -0x1.760a0b7e35975p-16, -0x1.77aea9261c76ep-16, -0x1.7935f33058b95p-16, -0x1.7aa02a670689ep-16, -0x1.7bed93236de07p-16, -0x1.7d1e75179e18cp-16, -0x1.7e331b1bbf41ap-16, -0x1.7f2bd2fb1aa5p-16, -0x1.8008ed44d0628p-16, -0x1.80cabd1d7f26ep-16, -0x1.8171981221bcep-16, -0x1.81fdd5ed3671ap-16, -0x1.826fd08d0bbf9p-16, -0x1.82c7e3bbe88dep-16, -0x1.83066d09b5f1dp-16, -0x1.832bcba71d79fp-16, -0x1.83386041a23bfp-16, -0x1.832c8ce137ca1p-16, -0x1.8308b4c7e7e66p-16, -0x1.82cd3c5133092p-16, -0x1.827a88d486a79p-16, -0x1.82110087b432dp-16, -0x1.81910a6333d19p-16, -0x1.80fb0e06d9ab6p-16, -0x1.804f739fc8429p-16, -0x1.7f8ea3cfdc61ep-16, -0x1.7eb90795fb4e3p-16, -0x1.7dcf08377ab5fp-16, -0x1.7cd10f2a1c59p-16, -0x1.7bbf85fffa2a5p-16, -0x1.7a9ad65267d4cp-16, -0x1.796369b01d299p-16, -0x1.7819a989dab95p-16, -0x1.76bdff21c0054p-16, -0x1.7550d37a68c2bp-16, -0x1.73d28f4797e0fp-16, -0x1.72439ade9f8bep-16, -0x1.70a45e2885c67p-16, -0x1.6ef54093e4914p-16, -0x1.6d36a90879b0fp-16, -0x1.6b68fdda49a5ep-16, -0x1.698ca4be9ef0fp-16, -0x1.67a202c0019d6p-16, -0x1.65a97c34f5ff9p-16, -0x1.63a374b55d412p-16, -0x1.61904f111c589p-16, -0x1.5f706d4791166p-16, -0x1.5d44307f12019p-16, -0x1.5b0bf8fd5076cp-16, -0x1.58c8261fae872p-16, -0x1.56791654cd92bp-16, -0x1.541f2715b5d78p-16, -0x1.51bab4e060867p-16, -0x1.4f4c1b31993b8p-16, -0x1.4cd3b4800f8a8p-16, -0x1.4a51da37d6134p-16, -0x1.47c6e4b55db83p-16, -0x1.45332b42120b7p-16, -0x1.429704101aae1p-16, -0x1.3ff2c43747009p-16, -0x1.3d46bfb1909f6p-16, -0x1.3a934958fef42p-16, -0x1.37d8b2e48af94p-16, -0x1.35174ce673ecbp-16, -0x1.324f66c9e9f49p-16, -0x1.2f814ed1fa23fp-16, -0x1.2cad521791c0dp-16, -0x1.29d3bc8896f66p-16, -0x1.26f4d8e6f5469p-16, -0x1.2410f0c7cebc4p-16, -0x1.21284c9324ba8p-16, -0x1.1e3b338381849p-16, -0x1.1b49eba5cdba5p-16, -0x1.1854b9d99c014p-16, -0x1.155be1d12f80cp-16, -0x1.125fa61213eccp-16, -0x1.0f6047f5b2ae4p-16, -0x1.0c5e07a9ef413p-16, -0x1.0959243229e3ep-16, -0x1.0651db686c121p-16, -0x1.034869fe4a0f6p-16, -0x1.003d0b7e80834p-16, -0x1.fa5ff49c74593p-17, -0x1.f442df5d7d928p-17, -0x1.ee23477daca87p-17, -0x1.e8019af9bc7fap-17, -0x1.e1de4590b151p-17, -0x1.dbb9b0c80d343p-17, -0x1.d59443efd7fcfp-17, -0x1.cf6e6426ef274p-17, -0x1.c948745f9f43p-17, -0x1.c322d563bffebp-17, -0x1.bcfde5d9eefbbp-17, -0x1.b6da0249e12b8p-17, -0x1.b0b78521b4b3p-17, -0x1.aa96c6bac28aep-17, -0x1.a4781d5e9e3dbp-17, -0x1.9e5bdd4cf6782p-17, -0x1.984258c08099bp-17, -0x1.922bdff475d48p-17, -0x1.8c18c12a30014p-17, -0x1.860948aea26c2p-17, -0x1.7ffdc0e05cfaep-17, -0x1.79f672348a7a6p-17, -0x1.73f3a33db4e23p-17, -0x1.6df598b0feb84p-17, -0x1.67fc956c07f39p-17, -0x1.6208da7b364fbp-17, -0x1.5c1aa71ee60a7p-17, -0x1.563238d21cdcbp-17, -0x1.504fcb5064c68p-17, -0x1.4a73989b492ebp-17, -0x1.449dd9011b4b5p-17, -0x1.3ecec322cda68p-17, -0x1.39068bf99263ap-17, -0x1.334566dd9726fp-17, -0x1.2d8b858b68b31p-17, -0x1.27d9182a4d64ep-17, -0x1.222e4d5252df4p-17, -0x1.1c8b52123d046p-17, -0x1.16f051f614097p-17, -0x1.115d770c9eb48p-17, -0x1.0bd2e9ed6c23bp-17, -0x1.0650d1bf10749p-17, -0x1.00d7543ce5e91p-17, -0x1.f6cd2b79d5756p-18, -0x1.ebfd726b5d8f7p-18, -0x1.e13fc088e9fabp-18, -0x1.d694566584626p-18, -0x1.cbfb71f8a5771p-18, -0x1.c1754ea9e7a5dp-18, -0x1.b702255c0a463p-18, -0x1.aca22c7891defp-18, -0x1.a25597fba00afp-18, -0x1.981c997db0f45p-18, -0x1.8df76040bdd39p-18, -0x1.83e6193a74e9ep-18, -0x1.79e8ef1eef70cp-18, -0x1.70000a6b898c7p-18, -0x1.662b917251905p-18, -0x1.5c6ba86439ec2p-18, -0x1.52c0715b8833bp-18, -0x1.492a0c66cb0b5p-18, -0x1.3fa8979301fe4p-18, -0x1.363c2ef65f3f7p-18, -0x1.2ce4ecb99a358p-18, -0x1.23a2e922b58edp-18, -0x1.1a763a9f0bff9p-18, -0x1.115ef5cc8f7e5p-18, -0x1.085d2d840ac1cp-18, -0x1.fee1e5c53bc3p-19, -0x1.ed34aaa617f85p-19, -0x1.dbb2c5303a8d1p-19, -0x1.ca5c4daa22b38p-19, -0x1.b931592e457e3p-19, -0x1.a831f9bdbb0a6p-19, -0x1.975e3e503507dp-19, -0x1.86b632e83e41dp-19, -0x1.7639e0a2c30c1p-19, -0x1.65e94dc9f0945p-19, -0x1.55c47de5173cdp-19, -0x1.45cb71ca4f2e3p-19, -0x1.35fe27aeed1e1p-19, -0x1.265c9b3788673p-19, -0x1.16e6c5883c81ep-19, -0x1.079c9d5522fa7p-19, -0x1.f0fc2de2b7ca5p-20, -0x1.d31648bcce0c6p-20, -0x1.b5876ab88fc72p-20, -0x1.984f6ef115878p-20, -0x1.7b6e2c382dfc7p-20, -0x1.5ee37534c8cc5p-20, -0x1.42af1880c24f7p-20, -0x1.26d0e0c2a51ecp-20, -0x1.0b4894cae7891p-20, -0x1.e02bef5f8a06p-21, -0x1.aa7191ce5f578p-21, -0x1.756188c47f1b2p-21, -0x1.40fb454fd3f4ap-21, -0x1.0d3e31db098fep-21, -0x1.b45364c00d9bp-22, -0x1.4f7a49365ddccp-22, -0x1.d7df80f316aa7p-23, -0x1.1364dc5c9e821p-23, -0x1.460754e08de75p-25, 0x1.b731e78cc0d8ep-25, 0x1.2a890ba27e65p-23, 0x1.e4b6ef469d894p-23, 0x1.4e2ca3f8ee94dp-22, 0x1.a8b9a5fa7e674p-22, 0x1.0102110c237b5p-21, 0x1.2d06e2d9bc377p-21, 0x1.586c236718314p-21, 0x1.8332b1dc84e59p-21, 0x1.ad5b716189a88p-21, 0x1.d6e748f794ecfp-21, 0x1.ffd72352981f6p-21, 0x1.1415f75984eaep-20, 0x1.27f34e61dc7d6p-20, 0x1.3b84113a57367p-20, 0x1.4ec8bbeb3c3ap-20, 0x1.61c1cbfca6b68p-20, 0x1.746fc065b16d3p-20, 0x1.86d3197b26dd8p-20, 0x1.98ec58df3cebp-20, 0x1.aabc0172857e9p-20, 0x1.bc42974380aafp-20, 0x1.cd809f7f9fc09p-20, 0x1.de76a063af0a9p-20, 0x1.ef25212e5c445p-20, 0x1.ff8caa110f049p-20, 0x1.07d6e210e08dfp-19, 0x1.0fc47ca6d4f73p-19, 0x1.178f6a25e838bp-19, 0x1.1f37f047a357ap-19, 0x1.26be551cffe5bp-19, 0x1.2e22df0895d9cp-19, 0x1.3565d4b8ad2a9p-19, 0x1.3c877d20488aep-19, 0x1.43881f71ba73p-19, 0x1.4a6803192a052p-19, 0x1.51276fb6c0e74p-19, 0x1.57c6ad18a9d74p-19, 0x1.5e46033695828p-19, 0x1.64a5ba2bbbfc7p-19, 0x1.6ae61a32414ddp-19, 0x1.71076b9e13206p-19, 0x1.7709f6d7d1f19p-19, 0x1.7cee04583a3f1p-19, 0x1.82b3dca37cfb1p-19, 0x1.885bc844c7d9dp-19, 0x1.8de60fc9e0113p-19, 0x1.9352fbbec4032p-19, 0x1.98a2d4a97de83p-19, 0x1.9dd5e305cbd12p-19, 0x1.a2ec6f418df65p-19, 0x1.a7e6c1b8ec64bp-19, 0x1.acc522b244c02p-19, 0x1.b187da5a97ffp-19, 0x1.b62f30c1dd0ep-19, 0x1.babb6dd7f5702p-19, 0x1.bf2cd968e55e1p-19, 0x1.c383bb195f7bcp-19, 0x1.c7c05a6434418p-19, 0x1.cbe2fe96d9152p-19, 0x1.cfebeece7802p-19, 0x1.d3db71f4f6cb1p-19, 0x1.d7b1cebe0e21bp-19, 0x1.db6f4ba4db11cp-19, 0x1.df142ee8b91cfp-19, 0x1.e2a0be8afd288p-19, 0x1.e615404c82e05p-19, 0x1.e971f9ab49aa7p-19, 0x1.ecb72fdfdee03p-19, 0x1.efe527db09becp-19, 0x1.f2fc2643c6e4ep-19, 0x1.f5fc6f75551bep-19, 0x1.f8e6477d03de9p-19, 0x1.fbb9f21803075p-19, 0x1.fe77b2b18b44ap-19, 0x1.008fe6309ef27p-18, 0x1.01d940f4a3799p-18, 0x1.03180ada39531p-18, 0x1.044c64ea648fap-18, 0x1.05767000da489p-18, 0x1.06964ccb7115bp-18, 0x1.07ac1bc96161p-18, 0x1.08b7fd4a55048p-18, 0x1.09ba116de4b8ap-18, 0x1.0ab27822e1eacp-18, 0x1.0ba15126bd66ap-18, 0x1.0c86bc0504c51p-18, 0x1.0d62d816bc662p-18, 0x1.0e35c481e0e93p-18, 0x1.0effa038ded76p-18, 0x1.0fc089fa0f34fp-18, 0x1.1078a04f4f2ap-18, 0x1.1128018d8660ep-18, 0x1.11cecbd4308f5p-18, 0x1.126d1d0d1a982p-18, 0x1.130312ebdb131p-18, 0x1.1390caed9e21cp-18, 0x1.14166258b9593p-18, 0x1.1493f63c5909p-18, 0x1.1509a37032693p-18, 0x1.157786945b3f9p-18, 0x1.15ddbc110ff0ep-18, 0x1.163c60167b961p-18, 0x1.16938e9c494dep-18, 0x1.16e363619a26bp-18, 0x1.172bf9ece8deep-18, 0x1.176d6d8baed0bp-18, 0x1.17a7d95254ab3p-18, 0x1.17db581c387fbp-18, 0x1.1808048b83f72p-18, 0x1.182df908eea3p-18, 0x1.184d4fc3eaaafp-18, 0x1.186622b24c05fp-18, 0x1.18788b9065e0dp-18, 0x1.1884a3e0f5dd7p-18, 0x1.188a84ed46a92p-18, 0x1.188a47c4f32bfp-18, 0x1.1884053df5851p-18, 0x1.1877d5f4c957ep-18, 0x1.1865d24c6aee7p-18, 0x1.184e126e53c41p-18, 0x1.1830ae4a86ea3p-18, 0x1.180dbd9796cbfp-18, 0x1.17e557d2e52b2p-18, 0x1.17b79440eae51p-18, 0x1.178489ecca219p-18, 0x1.174c4fa8b5831p-18, 0x1.170efc0df308p-18, 0x1.16cca57d143fdp-18, 0x1.1685621e15b54p-18, 0x1.163947e08621ap-18, 0x1.15e86c7bb3ad7p-18, 0x1.1592e56ec26b9p-18, 0x1.1538c800f13c8p-18, 0x1.14da2941cd1c5p-18, 0x1.14771e093caa5p-18, 0x1.140fbaf7c7a4p-18, 0x1.13a41476d449dp-18, 0x1.13343eb8c9621p-18, 0x1.12c04db95c9ebp-18, 0x1.1248553db9d0bp-18, 0x1.11cc68d4dd691p-18, 0x1.114c9bd79f6c8p-18, 0x1.10c9016900b2ap-18, 0x1.1041ac76733e7p-18, 0x1.0fb6afb82eb1bp-18, 0x1.0f281db15b892p-18, 0x1.0e9608b090c7cp-18, 0x1.0e0082cfbd313p-18, 0x1.0d679df48fa12p-18, 0x1.0ccb6bd0cbc83p-18, 0x1.0c2bfde27eeb5p-18, 0x1.0b896574667fbp-18, 0x1.0ae3b39e11e41p-18, 0x1.0a3af9445dbd5p-18, 0x1.098f471996d6dp-18, 0x1.08e0ad9dead51p-18, 0x1.082f3d1fd0d69p-18, 0x1.077b05bbf9993p-18, 0x1.06c4175dcd6f6p-18, 0x1.060a81bfd1219p-18, 0x1.054e546bfd8d3p-18, 0x1.048f9ebbe721bp-18, 0x1.03ce6fd92b1dep-18, 0x1.030ad6bdc6e53p-18, 0x1.0244e23460a1ep-18, 0x1.017ca0d8971c8p-18, 0x1.00b221176122fp-18, 0x1.ffcae25eb7499p-19, 0x1.fe2d3e6213607p-19, 0x1.fc8b71fec5a94p-19, 0x1.fae598a0855c5p-19, 0x1.f93bcd58a9715p-19, 0x1.f78e2adf17daap-19, 0x1.f5dccb934b3bdp-19, 0x1.f427c97cbe223p-19, 0x1.f26f3e4b9231cp-19, 0x1.f0b3435959e78p-19, 0x1.eef3f1a9fe9bcp-19, 0x1.ed3161ec32a5ep-19, 0x1.eb6bac79e09ddp-19, 0x1.e9a2e959a8fa2p-19, 0x1.e7d7303ee3373p-19, 0x1.e608988a67069p-19, 0x1.e437394b6635cp-19, 0x1.e263293ffba4bp-19, 0x1.e08c7ed5de8d3p-19, 0x1.deb3502b5378ep-19, 0x1.dcd7b30fbf409p-19, 0x1.daf9bd043a0bap-19, 0x1.d919833c2e6a3p-19, 0x1.d7371a9e28489p-19, 0x1.d55297c48cd31p-19, 0x1.d36c0efe38fcdp-19, 0x1.d183944f5edc6p-19, 0x1.cf993b72304d8p-19, 0x1.cdad17d78992ep-19, 0x1.cbbf3ca73e01ep-19, 0x1.c9cfbcc15636dp-19, 0x1.c7deaabe3d9fcp-19, 0x1.c5ec18efcba87p-19, 0x1.c3f81961e0863p-19, 0x1.c202bddaecaffp-19, 0x1.c00c17dc9c13bp-19, 0x1.be1438a4dcf46p-19, 0x1.bc1b312e2a469p-19, 0x1.ba2112308b0ffp-19, 0x1.b825ec21f7dc7p-19, 0x1.b629cf36e88dp-19, 0x1.b42ccb632e3f3p-19, 0x1.b22ef05ab6b81p-19, 0x1.b0304d920d853p-19, 0x1.ae30f23f0a13ep-19, 0x1.ac30ed595a9e7p-19, 0x1.aa304d9b54dap-19, 0x1.a82f21829a411p-19, 0x1.a62d775096524p-19, 0x1.a42b5d0b26e3dp-19, 0x1.a228e07d43502p-19, 0x1.a0260f37ca41bp-19, 0x1.9e22f691b7e2dp-19, 0x1.9c1fa3a9535b1p-19, 0x1.9a1c2364bb772p-19, 0x1.98188271f3eb4p-19, 0x1.9614cd47d2d36p-19, 0x1.94111026bd341p-19, 0x1.920d571928ae8p-19, 0x1.9009adf429e38p-19, 0x1.8e062058166f6p-19, 0x1.8c02b9b1134d1p-19, 0x1.89ff8537de056p-19, 0x1.87fc8df2179f6p-19, 0x1.85f9deb328e81p-19, 0x1.83f7821c9b385p-19, 0x1.81f5829e9d0b3p-19, 0x1.7ff3ea78e51e1p-19, 0x1.7df2c3bb04df9p-19, 0x1.7bf21844e211cp-19, 0x1.79f1f1c760d88p-19, 0x1.77f259c5256a1p-19, 0x1.75f35992e67e9p-19, 0x1.73f4fa581db56p-19, 0x1.71f7450f6994ap-19, 0x1.6ffa42870570ep-19, 0x1.6dfdfb6192089p-19, 0x1.6c0278169bd4cp-19, 0x1.6a07c0f2de7b9p-19, 0x1.680dde18e9adfp-19, 0x1.6614d781f9543p-19, 0x1.641cb4fe2c516p-19, 0x1.62257e34de70fp-19, 0x1.602f3aa54a62cp-19, 0x1.5e39f1a7345d4p-19, 0x1.5c45aa6b4b896p-19, 0x1.5a526bfba8d4dp-19, 0x1.58603d3c3466fp-19, 0x1.566f24eb39c78p-19, 0x1.547f29a2000ep-19, 0x1.529051d517209p-19, 0x1.50a2a3d4e2a18p-19, 0x1.4eb625ce3063dp-19, 0x1.4ccaddca62804p-19, 0x1.4ae0d1b02c69ap-19, 0x1.48f80743f6a6fp-19, 0x1.471084281348cp-19, 0x1.452a4ddd83a3p-19, 0x1.434569c484f4ep-19, 0x1.4161dd1c8a12p-19, 0x1.3f7fad04ecee8p-19, 0x1.3d9ede7d8c92fp-19, 0x1.3bbf7666ea823p-19, 0x1.39e179829967bp-19, 0x1.3804ec73e8e08p-19, 0x1.3629d3c049c97p-19, 0x1.345033cf70416p-19, 0x1.327810ebd83fdp-19, 0x1.30a16f436d549p-19, 0x1.2ecc52e7cd868p-19, 0x1.2cf8bfce75b69p-19, 0x1.2b26b9d15dd88p-19, 0x1.295644af6b166p-19, 0x1.2787640c9b0cdp-19, 0x1.25ba1b728bd62p-19, 0x1.23ee6e50da94bp-19, 0x1.22245ffd70b1dp-19, 0x1.205bf3b500f53p-19, 0x1.1e952c9b59609p-19, 0x1.1cd00dbb995f7p-19, }}, 
      std::vector<double>(999, 0.0), 
      {{-0x1.186ae7ac52e79p-6, -0x1.a23e405b2a902p-6, -0x1.14ad9eb109f31p-5, -0x1.56884a51f434ep-5, -0x1.9667ecb0a5c3dp-5, -0x1.d416eb468b105p-5, -0x1.07b8494a735d7p-4, -0x1.242fe67993658p-4, -0x1.3f6ec0aed985fp-4, -0x1.597763cacb903p-4, -0x1.725189263a896p-4, -0x1.8a0932fb2ab0ep-4, -0x1.a0add579f559p-4, -0x1.b65191e6aed1bp-4, -0x1.cb0885e9e9526p-4, -0x1.dee82fb2f9f6dp-4, -0x1.f206e67d3c943p-4, -0x1.023db32f2159dp-3, -0x1.0b2e36efc9a1dp-3, -0x1.13e035db2fd8ap-3, -0x1.1c5e9d6fcc647p-3, -0x1.24b3f5b8c14c7p-3, -0x1.2cea4b46ed92dp-3, -0x1.350b1e0066388p-3, -0x1.3d1f541ef6456p-3, -0x1.452f30c8c8c1p-3, -0x1.4d424dc024009p-3, -0x1.555f97b7797d3p-3, -0x1.5d8d4ce5c3047p-3, -0x1.65d0fd841e989p-3, -0x1.6e2f8de8e4bep-3, -0x1.76ad39fe40b55p-3, -0x1.7f4d99da8cccbp-3, -0x1.8813a7480765fp-3, -0x1.9101c40f6382p-3, -0x1.9a19c0de1adeap-3, -0x1.a35ce4a5dc8bbp-3, -0x1.accbf45672bc7p-3, -0x1.b6673ad6f3e15p-3, -0x1.c02e912617627p-3, -0x1.ca21668c703d1p-3, -0x1.d43ec8cdab2e4p-3, -0x1.de856c4859549p-3, -0x1.e8f3b3f5db8fcp-3, -0x1.f387b93dfd8eep-3, -0x1.fe3f53939399ap-3, -0x1.048c0fe8975e6p-2, -0x1.0a07c3a7394ccp-2, -0x1.0f91635405a42p-2, -0x1.15277a1ad3708p-2, -0x1.1ac8831533728p-2, -0x1.2072ec2ebbe7ap-2, -0x1.262518dcb7098p-2, -0x1.2bdd64a8f2bafp-2, -0x1.319a258fdd5f2p-2, -0x1.3759ae326be0cp-2, -0x1.3d1a4fdc9c74dp-2, -0x1.42da5c61a1f09p-2, -0x1.489827cf0744bp-2, -0x1.4e5209f83827ap-2, -0x1.54065fdc198a9p-2, -0x1.59b38ce6622e9p-2, -0x1.5f57fc0e82047p-2, -0x1.64f220d60017cp-2, -0x1.6a807828291f8p-2, -0x1.7001891cff3f1p-2, -0x1.7573e5a153974p-2, -0x1.7ad62b05e18f9p-2, -0x1.802702774ddfep-2, -0x1.85652160cbb45p-2, -0x1.8a8f49bb28883p-2, -0x1.8fa44a49e409dp-2, -0x1.94a2fec7f1047p-2, -0x1.998a500599188p-2, -0x1.9e5933f8fd0ebp-2, -0x1.a30eadc280e67p-2, -0x1.a7a9cda66ad76p-2, -0x1.ac29b0fce44cp-2, -0x1.b08d8219733acp-2, -0x1.b4d4782aecb6cp-2, -0x1.b8fdd714d7e3p-2, -0x1.bd08ef4313125p-2, -0x1.c0f51d788d4cep-2, -0x1.c4c1ca99c184dp-2, -0x1.c86e6b73a0c27p-2, -0x1.cbfa807f7dbb4p-2, -0x1.cf6595a47f17dp-2, -0x1.d2af41f7123bcp-2, -0x1.d5d72776cb30bp-2, -0x1.d8dcf2cb0c4ecp-2, -0x1.dbc05afece794p-2, -0x1.de81213bcefc3p-2, -0x1.e11f108565e47p-2, -0x1.e399fd733b5b8p-2, -0x1.e5f1c5ec0cd9p-2, -0x1.e82650e0a86cp-2, -0x1.ea378e07437fbp-2, -0x1.ec25759748cfcp-2, -0x1.edf00805b70e6p-2, -0x1.ef974dc221646p-2, -0x1.f11b56f464b2dp-2, -0x1.f27c3b3b1d77ap-2, -0x1.f3ba196ae63efp-2, -0x1.f4d5174e6a81cp-2, -0x1.f5cd61674ed26p-2, -0x1.f6a32aaff5d13p-2, -0x1.f756ac5e2179p-2, -0x1.f7e825a674b86p-2, -0x1.f857db80d0f1ep-2, -0x1.f8a6186d97be7p-2, -0x1.f8d32c3bc663cp-2, -0x1.f8df6bcfefd5bp-2, -0x1.f8cb30ec10db6p-2, -0x1.f896d9f8401c9p-2, -0x1.f842c9cc353e2p-2, -0x1.f7cf6779a62eep-2, -0x1.f73d1e177b84cp-2, -0x1.f68c5c8dd783ep-2, -0x1.f5bd9562f193bp-2, -0x1.f4d13e88c22acp-2, -0x1.f3c7d12b82471p-2, -0x1.f2a1c980fd1fdp-2, -0x1.f15fa698b08dp-2, -0x1.f001ea2cbfa86p-2, -0x1.ee891873ba4cdp-2, -0x1.ecf5b7f3342b3p-2, -0x1.eb4851532f6bfp-2, -0x1.e9816f325e608p-2, -0x1.e7a19dfb368dcp-2, -0x1.e5a96bb9e00e4p-2, -0x1.e39967f2f6bdcp-2, -0x1.e172237b2b40ep-2, -0x1.df34304fbbfe9p-2, -0x1.dce0216fca717p-2, -0x1.da768ab692174p-2, -0x1.d7f800b67b47cp-2, -0x1.d5651895124dbp-2, -0x1.d2be67e7e1e0bp-2, -0x1.d00484922f3dcp-2, -0x1.cd3804a39e074p-2, -0x1.ca597e37ba994p-2, -0x1.c76987566ad36p-2, -0x1.c468b5d54a9f5p-2, -0x1.c1579f39ef5c2p-2, -0x1.be36d89d14634p-2, -0x1.bb06f68eb5ec8p-2, -0x1.b7c88cfb11f74p-2, -0x1.b47c2f109792dp-2, -0x1.b1226f26bfb08p-2, -0x1.adbbdea5cc6acp-2, -0x1.aa490def778d4p-2, -0x1.a6ca8c48840d3p-2, -0x1.a340e7c33d00ap-2, -0x1.9facad2ad471bp-2, -0x1.9c0e67efac9c9p-2, -0x1.9866a21481098p-2, -0x1.94b5e41c72978p-2, -0x1.90fcb4f9f2119p-2, -0x1.8d3b99fe894e2p-2, -0x1.897316cb7e02fp-2, -0x1.85a3ad434ba93p-2, -0x1.81cddd7bf6a55p-2, -0x1.7df225b22c616p-2, -0x1.7a11023d38458p-2, -0x1.762aed83c0cc5p-2, -0x1.72405ff14fc83p-2, -0x1.6e51cfec9e5edp-2, -0x1.6a5fb1cea44b5p-2, -0x1.666a77da62eb5p-2, -0x1.627292356d6aap-2, -0x1.5e786ee1229cdp-2, -0x1.5a7c79b49d5bbp-2, -0x1.567f1c574f1a2p-2, -0x1.5280be3c474edp-2, -0x1.4e81c49e1d28bp-2, -0x1.4a82927b7d4f5p-2, -0x1.4683889451217p-2, -0x1.4285056781336p-2, -0x1.3e87653149d1ep-2, -0x1.3a8b01ea20366p-2, -0x1.369033461fa27p-2, -0x1.32974eb50022cp-2, -0x1.2ea0a7628e303p-2, -0x1.2aac8e379de5ap-2, -0x1.26bb51db79cc5p-2, -0x1.22cd3eb5c23ecp-2, -0x1.1ee29ef0c2397p-2, -0x1.1afbba7c2871ep-2, -0x1.1718d7102df0ep-2, -0x1.133a38311a59dp-2, -0x1.0f601f332ab71p-2, -0x1.0b8acb3ed03b5p-2, -0x1.07ba79554294p-2, -0x1.03ef6455694fcp-2, -0x1.0029c5010cf58p-2, -0x1.f8d3a404acc8ep-3, -0x1.f15f7fe3221b5p-3, -0x1.e9f782b65c8a3p-3, -0x1.e29c0d8c1434ep-3, -0x1.db4d7d73c9f19p-3, -0x1.d40c2b8c2f897p-3, -0x1.ccd86d10eef4cp-3, -0x1.c5b29368d8802p-3, -0x1.be9aec345c985p-3, -0x1.b791c15c62d2p-3, -0x1.b09759215e856p-3, -0x1.a9abf62ab454fp-3, -0x1.a2cfd79650167p-3, -0x1.9c0339087d94bp-3, -0x1.954652bbeaa94p-3, -0x1.8e995991d7f44p-3, -0x1.87fc7f22720b1p-3, -0x1.816ff1cd4a50dp-3, -0x1.7af3dcc9e8708p-3, -0x1.74886838763a4p-3, -0x1.6e2db9327df92p-3, -0x1.67e3f1dbb1953p-3, -0x1.61ab3172c18abp-3, -0x1.5b8394622f7adp-3, -0x1.556d345127c6fp-3, -0x1.4f68283455e39p-3, -0x1.4974845eb1a2ep-3, -0x1.43925a923bc82p-3, -0x1.3dc1ba10b635cp-3, -0x1.3802afac3f13dp-3, -0x1.325545d7dde46p-3, -0x1.2cb984b7f714ep-3, -0x1.272f7232a36a8p-3, -0x1.21b711ffe51fcp-3, -0x1.1c5065b9c7056p-3, -0x1.16fb6cec4d03ep-3, -0x1.11b8252549591p-3, -0x1.0c868a03ffb22p-3, -0x1.07669548a89b6p-3, -0x1.02583ee3c1eb2p-3, -0x1.fab6fa0a70f27p-4, -0x1.f0e08856b3155p-4, -0x1.e72d0e633cd52p-4, -0x1.dd9c6ebe7a289p-4, -0x1.d42e88eb0f36p-4, -0x1.cae3397c3661ep-4, -0x1.c1ba5a31a6bbep-4, -0x1.b8b3c2130d5a3p-4, -0x1.afcf458b24305p-4, -0x1.a70cb68244f55p-4, -0x1.9e6be478943e4p-4, -0x1.95ec9c9fb525cp-4, -0x1.8d8ea9f40ac6bp-4, -0x1.8551d5557ab36p-4, -0x1.7d35e59fbfe37p-4, -0x1.753a9fc2408dap-4, -0x1.6d5fc6d76f5e3p-4, -0x1.65a51c3baf3f2p-4, -0x1.5e0a5fa3c060bp-4, -0x1.568f4f32b2771p-4, -0x1.4f33a78f5f2a8p-4, -0x1.47f723f966eb8p-4, -0x1.40d97e5db9247p-4, -0x1.39da6f6a9efc6p-4, -0x1.32f9aea35176fp-4, -0x1.2c36f27314c96p-4, -0x1.2591f03fdb007p-4, -0x1.1f0a5c7c74a75p-4, -0x1.189feaba461c6p-4, -0x1.12524dba8b131p-4, -0x1.0c21377f22a35p-4, -0x1.060c595aeb751p-4, -0x1.00136401aba37p-4, -0x1.f46c0f2f0f5e8p-5, -0x1.e8e7e78010fecp-5, -0x1.dd99af5969addp-5, -0x1.d280c45678463p-5, -0x1.c79c836668141p-5, -0x1.bcec48e6dc5cbp-5, -0x1.b26f70bdbffe1p-5, -0x1.a82556724e9e7p-5, -0x1.9e0d55454c29p-5, -0x1.9426c84872aeep-5, -0x1.8a710a751923cp-5, -0x1.80eb76c21788cp-5, -0x1.77956838ea474p-5, -0x1.6e6e3a0a19aa1p-5, -0x1.657547a0e2491p-5, -0x1.5ca9ecb62fa54p-5, -0x1.540b8562d59b6p-5, -0x1.4b996e312a73fp-5, -0x1.4353042de8efcp-5, -0x1.3b37a4f868091p-5, -0x1.3346aed23244cp-5, -0x1.2b7f80adf966fp-5, -0x1.23e17a3de6e75p-5, -0x1.1c6bfc015519cp-5, -0x1.151e6751ea5cbp-5, -0x1.0df81e7023ac6p-5, -0x1.06f8848f4a071p-5, -0x1.001efde0dbc8cp-5, -0x1.f2d5df3ed3fd2p-6, -0x1.e5b78031d3618p-6, -0x1.d8e1ad710765fp-6, -0x1.cc53381fca2c4p-6, -0x1.c00af3c01b8b4p-6, -0x1.b407b643474afp-6, -0x1.a8485819994f1p-6, -0x1.9ccbb44138517p-6, -0x1.9190a853ff0efp-6, -0x1.86961494982a8p-6, -0x1.7bdadbfaac36fp-6, -0x1.715de43e45179p-6, -0x1.671e15e268d3ap-6, -0x1.5d1a5c3ee41f4p-6, -0x1.5351a5896714bp-6, -0x1.49c2e2ddd5dbep-6, -0x1.406d0845e9661p-6, -0x1.374f0cc027faep-6, -0x1.2e67ea4624b3ap-6, -0x1.25b69dd22913fp-6, -0x1.1d3a27643f99cp-6, -0x1.14f18a06934e8p-6, -0x1.0cdbcbd148f0ap-6, -0x1.04f7f5edc457p-6, -0x1.fa8a2932b8547p-7, -0x1.eb846e4f2d646p-7, -0x1.dcdce0079d47dp-7, -0x1.ce91a964e2657p-7, -0x1.c0a0fba354eefp-7, -0x1.b3090e3370f35p-7, -0x1.a5c81eb96cd0fp-7, -0x1.98dc710c1b834p-7, -0x1.8c444f32e8212p-7, -0x1.7ffe096314c49p-7, -0x1.7407f5fc3301bp-7, -0x1.68607183f2134p-7, -0x1.5d05dea1225d2p-7, -0x1.51f6a61638dd6p-7, -0x1.473136bb13c54p-7, -0x1.3cb405761558ap-7, -0x1.327d8d34e1591p-7, -0x1.288c4ee4522d1p-7, -0x1.1eded16813882p-7, -0x1.1573a191a537ap-7, -0x1.0c495216f1022p-7, -0x1.035e7b8864ac7p-7, -0x1.f563788d33b83p-8, -0x1.e48370ef4a9e8p-8, -0x1.d41a33f7fcfefp-8, -0x1.c42520c5f02bbp-8, -0x1.b4a1a1be1a9c6p-8, -0x1.a58d2c7338909p-8, -0x1.96e5418d15113p-8, -0x1.88a76caf1d647p-8, -0x1.7ad1445e468eep-8, -0x1.6d6069e6b727bp-8, -0x1.60528940c068ep-8, -0x1.53a558f5963a6p-8, -0x1.47569a0372e6ap-8, -0x1.3b6417c18e561p-8, -0x1.2fcba7c397c11p-8, -0x1.248b29bd05711p-8, -0x1.19a08763f6bb7p-8, -0x1.0f09b453fe0f7p-8, -0x1.04c4adf09139ap-8, -0x1.f59ef68e9d2d1p-9, -0x1.e25059e457822p-9, -0x1.cf99b9f2ba133p-9, -0x1.bd775d6a82ddcp-9, -0x1.abe59d603506fp-9, -0x1.9ae0e50f3c17fp-9, -0x1.8a65b19d51172p-9, -0x1.7a7091dda4858p-9, -0x1.6afe2613c16d7p-9, -0x1.5c0b1fb6a4cc6p-9, -0x1.4d944133e5dfap-9, -0x1.3f965db2e1d2p-9, -0x1.320e58d7e0181p-9, -0x1.24f92687808b9p-9, -0x1.1853caaa1933p-9, -0x1.0c1b58ef97c4bp-9, -0x1.004cf4936d4bdp-9, -0x1.e9cba040e9783p-10, -0x1.d3c65a6b1d96p-10, -0x1.be84b8944c47ap-10, -0x1.aa0178e6c8bfdp-10, -0x1.96377652816ecp-10, -0x1.8321a81887edp-10, -0x1.70bb215727e43p-10, -0x1.5eff10968ab3fp-10, -0x1.4de8bf56a07ap-10, -0x1.3d73919d22ff1p-10, -0x1.2d9b0585435b7p-10, -0x1.1e5ab2cf9e89dp-10, -0x1.0fae4a739b643p-10, -0x1.0191963117e44p-10, -0x1.e800f0480711p-11, -0x1.cdedd4afa8ea2p-11, -0x1.b4e1fcba42031p-11, -0x1.9cd5b9be75b48p-11, -0x1.85c18a773dafep-11, -0x1.6f9e1a3447965p-11, -0x1.5a64400c3ac0ap-11, -0x1.460cfe124017bp-11, -0x1.3291808bf4e35p-11, -0x1.1feb1d2b74af2p-11, -0x1.0e13524b18ef4p-11, -0x1.fa078c551e4a3p-12, -0x1.d96c8c5ee8d2p-12, -0x1.ba498c4f84cdp-12, -0x1.9c92bf1c8c2cfp-12, -0x1.803ca1a50ec17p-12, -0x1.653bf942e70b3p-12, -0x1.4b85d26342d4ap-12, -0x1.330f7f230f8a5p-12, -0x1.1bce95efe94bap-12, -0x1.05b8f02e040d4p-12, -0x1.e18951c71ab59p-13, -0x1.b9d036ce575b5p-13, -0x1.9433c4283a3d8p-13, -0x1.70a1aa08b2d83p-13, -0x1.4f08119a00546p-13, -0x1.2f559a819bc87p-13, -0x1.1179586fdaf76p-13, -0x1.eac5a169aedfbp-14, -0x1.b603efc74b9a5p-14, -0x1.848e5ef78cae6p-14, -0x1.564687366054bp-14, -0x1.2b0ed177f1ad8p-14, -0x1.02ca72f2e563dp-14, -0x1.babad17fa566fp-15, -0x1.7558e70c761bcp-15, -0x1.353a267d8deacp-15, -0x1.f4560c1d6c789p-16, -0x1.87f2d419238ddp-16, -0x1.24e9398fec3e3p-16, -0x1.95b51a8cdf9d8p-17, -0x1.e5ab31e539db3p-18, -0x1.82048d064e5a7p-19, 0x1.0fafabb5b6582p-20, 0x1.2a70c2ef18e81p-18, 0x1.f3d3df27cedcap-18, 0x1.50a9a9ad9383dp-17, 0x1.9a11f0f0eb7c5p-17, 0x1.d6b8993224ae2p-17, 0x1.0397821063416p-16, 0x1.16011de7fb167p-16, 0x1.22dd86751ac83p-16, 0x1.2a6f1016076d9p-16, 0x1.2cf609d123a1ap-16, 0x1.2ab0c9a358db3p-16, 0x1.23dbb893bf76cp-16, 0x1.18b15ea01e19ep-16, 0x1.096a6e54e5cb4p-16, 0x1.ec7ba09800fb5p-17, 0x1.bec15c89a6e74p-17, 0x1.8a0cfc623ca23p-17, 0x1.4ec219ef66131p-17, 0x1.0d4111f18f6e2p-17, 0x1.8bce31dd479e2p-18, 0x1.e4393d638ee7bp-19, 0x1.386eab325af94p-20, -0x1.7e310a857269dp-20, -0x1.163875d151d2bp-18, -0x1.d54bc8cd6de51p-18, -0x1.4e173f7bac2e7p-17, -0x1.b5271094ebfc1p-17, -0x1.0fc756ac8b232p-16, -0x1.4684f5b3ceff4p-16, -0x1.7eab87cbadaf3p-16, -0x1.b81b5eba645bep-16, -0x1.f2b5f39497518p-16, -0x1.172eef70e35cbp-15, -0x1.357b686e2a535p-15, -0x1.5432c4f21b1c5p-15, -0x1.7347e98ef2759p-15, -0x1.92ae3b9efc46ap-15, -0x1.b2599db6ffacep-15, -0x1.d23e6c3c855d9p-15, -0x1.f25179f5f5c51p-15, -0x1.09440663e4ddcp-14, -0x1.196bed39ca805p-14, -0x1.299b82b9c9b75p-14, -0x1.39ce0cf205b8cp-14, -0x1.49ff053fc31dbp-14, -0x1.5a2a16d5f3e8fp-14, -0x1.6a4b1d4bbe91bp-14, -0x1.7a5e23349ec2p-14, -0x1.8a5f60c218952p-14, -0x1.9a4b3a6beff8p-14, -0x1.aa1e3f9e5a5c5p-14, -0x1.b9d52976091dp-14, -0x1.c96cd97beda1bp-14, -0x1.d8e25870b6d26p-14, -0x1.e832d5193c56ap-14, -0x1.f75ba3170d213p-14, -0x1.032d1ce25ffa6p-13, -0x1.0a96198d5f522p-13, -0x1.11e7a54d17634p-13, -0x1.1920ae1fcdcd5p-13, -0x1.204031be2a589p-13, -0x1.27453d1afe06p-13, -0x1.2e2eebe5220ep-13, -0x1.34fc680e44c64p-13, -0x1.3bace953c2c0cp-13, -0x1.423fb4ca2b8fep-13, -0x1.48b41c6ce9c99p-13, -0x1.4f097eafab99dp-13, -0x1.553f4612f994cp-13, -0x1.5b54e8bb74ae1p-13, -0x1.6149e80b75f95p-13, -0x1.671dd04064ad1p-13, -0x1.6cd03811cd9b8p-13, -0x1.7260c053999b5p-13, -0x1.77cf1399410acp-13, -0x1.7d1ae5dd108ep-13, -0x1.8243f428e734cp-13, -0x1.874a0441f970dp-13, -0x1.8c2ce455c64b2p-13, -0x1.90ec6aaa97a01p-13, -0x1.958875519a615p-13, -0x1.9a00e9d9ce1e3p-13, -0x1.9e55b5076373fp-13, -0x1.a286ca8b05c65p-13, -0x1.a69424bcc59d4p-13, -0x1.aa7dc457e6e38p-13, -0x1.ae43b039036ccp-13, -0x1.b1e5f51dbf345p-13, -0x1.b564a5667fd14p-13, -0x1.b8bfd8d9cedcap-13, -0x1.bbf7ac6964941p-13, -0x1.bf0c41f93b1a7p-13, -0x1.c1fdc0280019bp-13, -0x1.c4cc521908cd7p-13, -0x1.c778274043dc6p-13, -0x1.ca01732ed1d33p-13, -0x1.cc686d6299701p-13, -0x1.cead51156c3c8p-13, -0x1.d0d05d0f8e8ccp-13, -0x1.d2d1d37a31fbep-13, -0x1.d4b1f9b3c361bp-13, -0x1.d6711825d8e9bp-13, -0x1.d80f7a1bae7b8p-13, -0x1.d98d6d9ab1f4dp-13, -0x1.daeb433bffe17p-13, -0x1.dc294e070b3e1p-13, -0x1.dd47e34d58d8bp-13, -0x1.de475a8740ce1p-13, -0x1.df280d3276e3dp-13, -0x1.dfea56b091152p-13, -0x1.e08e9427eb68bp-13, -0x1.e115246477f52p-13, -0x1.e17e67ba85803p-13, -0x1.e1cabfe95f62p-13, -0x1.e1fa8fffde9b9p-13, -0x1.e20e3c413578cp-13, -0x1.e2062a0b33b3p-13, -0x1.e1e2bfbd45ecfp-13, -0x1.e1a464a01e846p-13, -0x1.e14b80ce8a54bp-13, -0x1.e0d87d1e77e9dp-13, -0x1.e04bc30bae257p-13, -0x1.dfa5bca25974cp-13, -0x1.dee6d46af200cp-13, -0x1.de0f7556a812dp-13, -0x1.dd200aacf61c7p-13, -0x1.dc18fff9236e8p-13, -0x1.dafac0f90d006p-13, -0x1.d9c5b98c2274ep-13, -0x1.d87a55a38f0fbp-13, -0x1.d719013246bebp-13, -0x1.d5a2281ebe147p-13, -0x1.d4163633c92f8p-13, -0x1.d2759713ce022p-13, -0x1.d0c0b62acc76dp-13, -0x1.cef7fea217d39p-13, -0x1.cd1bdb540e501p-13, -0x1.cb2cb6c076676p-13, -0x1.c92afb017e4afp-13, -0x1.c71711c0f6c7ep-13, -0x1.c4f1642e4fd43p-13, -0x1.c2ba5af4814bp-13, -0x1.c0725e3149083p-13, -0x1.be19d56bd0cb3p-13, -0x1.bbb1278c5dd07p-13, -0x1.b938bad485b94p-13, -0x1.b6b0f4d7142fep-13, -0x1.b41a3a71690c6p-13, -0x1.b174efc3c841bp-13, -0x1.aec1782b82abfp-13, -0x1.ac00363c088bbp-13, -0x1.a9318bb9c1f83p-13, -0x1.a655d993dcb43p-13, -0x1.a36d7fdfa6544p-13, -0x1.a078ddd308d12p-13, -0x1.9d7851c0841b2p-13, -0x1.9a6c391255cfdp-13, -0x1.9754f0468cec7p-13, -0x1.9432d2eb5471ep-13, -0x1.91063b9b10ffdp-13, -0x1.8dcf83f9890c7p-13, -0x1.8a8f04b08c4f1p-13, -0x1.8745156d1b11p-13, -0x1.83f20cdd04644p-13, -0x1.809640ac454d3p-13, -0x1.7d320583242bep-13, -0x1.79c5af03e3a9fp-13, -0x1.76518fc940525p-13, -0x1.72d5f96496c96p-13, -0x1.6f533c5cede7ep-13, -0x1.6bc9a82d5eb3ep-13, -0x1.68398b4435e6bp-13, -0x1.64a33301f6d2ap-13, -0x1.6106ebb8c2439p-13, -0x1.5d6500ab9fa67p-13, -0x1.59bdbc0e539a7p-13, -0x1.56116704a6646p-13, -0x1.526049a2abfdap-13, -0x1.4eaaaaec9e3fbp-13, -0x1.4af0d0d6cf613p-13, -0x1.473300464de43p-13, -0x1.43717d10db94cp-13, -0x1.3fac89fd7bd8dp-13, -0x1.3be468c520a09p-13, -0x1.38195a136873ap-13, -0x1.344b9d872cc1bp-13, -0x1.307b71b3742d4p-13, -0x1.2ca9142089c5p-13, -0x1.28d4c14cde31ep-13, -0x1.24feb4ae5b496p-13, -0x1.212728b36cdd2p-13, -0x1.1d4e56c45366fp-13, -0x1.19747744a4a3fp-13, -0x1.1599c1947cecep-13, -0x1.11be6c1252af6p-13, -0x1.0de2ac1c4f679p-13, -0x1.0a06b611e40c9p-13, -0x1.062abd55a3be5p-13, -0x1.024ef44eb5f7ep-13, -0x1.fce718d6186c8p-14, -0x1.f5316c41eafc4p-14, -0x1.ed7d41e1ca721p-14, -0x1.e5caf6cf2114ep-14, -0x1.de1ae63fcd6ep-14, -0x1.d66d6989c5a17p-14, -0x1.cec2d827e969ep-14, -0x1.c71b87bd33f3ep-14, -0x1.bf77cc198a3f8p-14, -0x1.b7d7f73ddac57p-14, -0x1.b03c59606857cp-14, -0x1.a8a540f186804p-14, -0x1.a112fa9fac5b3p-14, -0x1.9985d15bc39c9p-14, -0x1.91fe0e5e18d07p-14, -0x1.8a7bf92ac7bd8p-14, -0x1.82ffd795fdce4p-14, -0x1.7b89edc92db12p-14, -0x1.741a7e47429fbp-14, -0x1.6cb1c9f140751p-14, -0x1.6550100b40e63p-14, -0x1.5df58e41399afp-14, -0x1.56a280ab48235p-14, -0x1.4f5721d2b74b6p-14, -0x1.4813aab6e93bbp-14, -0x1.40d852d176ef7p-14, -0x1.39a5501bd77bdp-14, -0x1.327ad71396953p-14, -0x1.2b591abf52528p-14, -0x1.24404cb313061p-14, -0x1.1d309d15bc1d7p-14, -0x1.162a3aa56fde4p-14, -0x1.0f2d52bc10dc8p-14, -0x1.083a1154b7b75p-14, -0x1.0150a10fe0123p-14, -0x1.f4e25670bbc16p-15, -0x1.e737af8fd2faep-15, -0x1.d9a19ad81843ap-15, -0x1.cc206315c1e6dp-15, -0x1.beb4508ee5423p-15, -0x1.b15da90d2e8fcp-15, -0x1.a41cafe759ff4p-15, -0x1.96f1a609a7f5ap-15, -0x1.89dcca0047e79p-15, -0x1.7cde57ff8880dp-15, -0x1.6ff689ed6fb9cp-15, -0x1.6325976ac6697p-15, -0x1.566bb5db4194ep-15, -0x1.49c9186fc9fa2p-15, -0x1.3d3df02e40223p-15, -0x1.30ca6bfb3315cp-15, -0x1.246eb8a231aacp-15, -0x1.182b00de81c7fp-15, -0x1.0bff6d63bb315p-15, -0x1.ffd849cdd95edp-16, -0x1.e7e2984c79a3ap-16, -0x1.d01e0be4c6108p-16, -0x1.b88ae66c67b86p-16, -0x1.a12965fec26c1p-16, -0x1.89f9c50da16b6p-16, -0x1.72fc3a717b9a9p-16, -0x1.5c30f978f8c39p-16, -0x1.459831fa462c6p-16, -0x1.2f321062b73ap-16, -0x1.18febdc5c0582p-16, -0x1.02fe5fed3b2edp-16, -0x1.da6232d2f973p-17, -0x1.af2e133ecbfe6p-17, -0x1.846099b17a5a1p-17, -0x1.59f9f8a73be4ep-17, -0x1.2ffa5ca0d06bcp-17, -0x1.0661ec4049ed3p-17, -0x1.ba6190d325b4cp-18, -0x1.68ce18b918ebp-18, -0x1.18099ba7c6496p-18, -0x1.9028747c05be1p-19, -0x1.e3b82a029f53ep-20, -0x1.54b8c080d1d4ap-21, 0x1.1784dd12e7bfdp-21, 0x1.bea4646ac9ab4p-20, 0x1.7724e53c6b2eap-19, 0x1.06acc4004595p-18, 0x1.50f8326b42cebp-18, 0x1.9a74ec2f802dbp-18, 0x1.e323288d6f61fp-18, 0x1.158193c276e21p-17, 0x1.390a98d1ce664p-17, 0x1.5c2ccbe8cbdeap-17, 0x1.7ee8598fc75a3p-17, 0x1.a13d724dcfd56p-17, 0x1.c32c4a903264ep-17, 0x1.e4b51a916c5d4p-17, 0x1.02ec0f216c941p-16, 0x1.134aca9b345f5p-16, 0x1.2376e1441b382p-16, 0x1.337076634b1c9p-16, 0x1.4337aeef5f33ap-16, 0x1.52ccb182bd567p-16, 0x1.622fa650c1498p-16, 0x1.7160b71b8a174p-16, 0x1.80600f29f7b1ap-16, 0x1.8f2ddb3ce776cp-16, 0x1.9dca4984d64f8p-16, 0x1.ac35899873799p-16, 0x1.ba6fcc6b74e5p-16, 0x1.c8794443d97c5p-16, 0x1.d65224b002e06p-16, 0x1.e3faa27e2c9f2p-16, 0x1.f172f3b3aed08p-16, 0x1.febb4f833051fp-16, 0x1.05e9f7218d4a8p-15, 0x1.0c5e84b2b2362p-15, 0x1.12bb6db7ab8a5p-15, 0x1.1900cff809a76p-15, 0x1.1f2ec9bc47aaep-15, 0x1.254579c9a042cp-15, 0x1.2b44ff5e0e765p-15, 0x1.312d7a2c2951bp-15, 0x1.36ff0a5711f26p-15, 0x1.3cb9d06ecc949p-15, 0x1.425ded6c4ce2ep-15, 0x1.47eb82ad9d4b9p-15, 0x1.4d62b1f21bf3dp-15, 0x1.52c39d57367d6p-15, 0x1.580e6754aa93ep-15, 0x1.5d4332b89e209p-15, 0x1.626222a4582dfp-15, 0x1.676b5a891641ap-15, 0x1.6c5efe2485d71p-15, 0x1.713d317db51bap-15, 0x1.760618e13bb45p-15, 0x1.7ab9d8de715f5p-15, 0x1.7f58964495cfcp-15, 0x1.83e2761f12abfp-15, 0x1.88579db30c411p-15, 0x1.8cb8327c4547p-15, 0x1.91045a2a001dbp-15, 0x1.953c3a9c604e9p-15, 0x1.995ff9e15b485p-15, 0x1.9d6fbe327339bp-15, 0x1.a16badf17e02ap-15, 0x1.a553efa61298cp-15, 0x1.a928a9fb37a2bp-15, 0x1.acea03bcc836dp-15, 0x1.b09823d4d7863p-15, 0x1.b433314930a0ep-15, 0x1.b7bb5338cbc7fp-15, 0x1.bb30b0d9fcef8p-15, 0x1.be9371779dc3fp-15, 0x1.c1e3bc6f21261p-15, 0x1.c521b92e21b5ap-15, 0x1.c84d8f302bce1p-15, 0x1.cb6765fcd555fp-15, 0x1.ce6f65257a0aap-15, 0x1.d165b4436100bp-15, 0x1.d44a7af56971cp-15, 0x1.d71de0de70ba7p-15, 0x1.d9e00da352627p-15, 0x1.dc9128e8db88p-15, 0x1.df315a5203789p-15, 0x1.e1c0c97e520b3p-15, 0x1.e43f9e07d3c49p-15, 0x1.e6adff818145dp-15, 0x1.e90c1575b3b45p-15, 0x1.eb5a076475195p-15, 0x1.ed97fcc1d4003p-15, 0x1.efc61cf42681bp-15, 0x1.f1e48f52d3568p-15, 0x1.f3f37b24ba5a9p-15, 0x1.f5f3079e8d36bp-15, 0x1.f7e35be1ce21ap-15, 0x1.f9c49efb04de5p-15, 0x1.fb96f7e0a04dfp-15, 0x1.fd5a8d716d5d2p-15, 0x1.ff0f8673674aep-15, 0x1.005b04c956b3ep-14, 0x1.01271eaffd018p-14, 0x1.01ec2427c6ad5p-14, 0x1.02aa285c19106p-14, 0x1.03613e68e955bp-14, 0x1.0411795a3ffffp-14, 0x1.04baec2bb7bf6p-14, 0x1.055da9c7e30fdp-14, 0x1.05f9c507ca564p-14, 0x1.068f50b2841dbp-14, 0x1.071e5f7ccf4fp-14, 0x1.07a704086d196p-14, 0x1.082950e3b98aep-14, 0x1.08a55889344f9p-14, 0x1.091b2d5f2e015p-14, 0x1.098ae1b74c38p-14, 0x1.09f487ce4232bp-14, 0x1.0a5831cb3309ap-14, 0x1.0ab5f1bf7808ap-14, 0x1.0b0dd9a6541fap-14, 0x1.0b5ffb646c989p-14, 0x1.0bac68c78eba1p-14, 0x1.0bf333866e062p-14, 0x1.0c346d402481ep-14, 0x1.0c70277bf68a3p-14, 0x1.0ca673a931ae3p-14, 0x1.0cd7631eb964ap-14, 0x1.0d03071abefcfp-14, 0x1.0d2970c28adcp-14, 0x1.0d4ab1222f059p-14, 0x1.0d66d92c5e09cp-14, 0x1.0d7df9ba1ed1bp-14, 0x1.0d90238aa3e91p-14, 0x1.0d9d674315a11p-14, 0x1.0da5d56e43b3bp-14, 0x1.0da97e7c7f6f1p-14, 0x1.0da872c381c4dp-14, 0x1.0da2c27e1b7c2p-14, 0x1.0d987dcc22d1ep-14, 0x1.0d89b4b245e52p-14, 0x1.0d767719dfa91p-14, 0x1.0d5ed4d0d0cddp-14, 0x1.0d42dd896aac9p-14, 0x1.0d22a0da36b71p-14, 0x1.0cfe2e3de97f1p-14, 0x1.0cd59513495p-14, 0x1.0ca8e49d054a3p-14, 0x1.0c782c019ba08p-14, 0x1.0c437a4b62f61p-14, 0x1.0c0ade685c6ebp-14, 0x1.0bce672a11a2dp-14, 0x1.0b8e234595b4p-14, 0x1.0b4a21536ccd3p-14, 0x1.0b026fcf88b66p-14, 0x1.0ab71d19235cap-14, 0x1.0a683772d4cbbp-14, 0x1.0a15cd0283548p-14, 0x1.09bfebd140c8p-14, 0x1.0966a1cb6f373p-14, 0x1.0909fcc08ae84p-14, 0x1.08aa0a6333582p-14, 0x1.0846d8494726cp-14, 0x1.07e073ebd2134p-14, 0x1.0776eaa6fbdf3p-14, 0x1.070a49ba212a3p-14, 0x1.069a9e47c16eap-14, 0x1.0627f5559abf7p-14, 0x1.05b25bcc9f83bp-14, 0x1.0539de790259ep-14, 0x1.04be8a0a35bc2p-14, 0x1.04406b12f6fd1p-14, 0x1.03bf8e095c26ep-14, 0x1.033bff46f6077p-14, 0x1.02b5cb08c1f51p-14, 0x1.022cfd6f254d9p-14, 0x1.01a1a27e1fb8cp-14, 0x1.0113c61d419c7p-14, 0x1.00837417c2a11p-14, 0x1.ffe170392de67p-15, 0x1.feb73b7d14368p-15, 0x1.fd8860e89daf1p-15, 0x1.fc54f730cc80ap-15, 0x1.fb1d14d2ff3bep-15, 0x1.f9e0d014c480cp-15, 0x1.f8a03f03ee16ep-15, 0x1.f75b7776ffe5bp-15, 0x1.f6128f0d2cb65p-15, 0x1.f4c59b2e8be22p-15, 0x1.f374b10c76477p-15, 0x1.f21fe5a1a8272p-15, 0x1.f0c74db262a6bp-15, 0x1.ef6afdcca79ebp-15, 0x1.ee0b0a48532f9p-15, 0x1.eca7874786c33p-15, 0x1.eb4088b6e1f97p-15, 0x1.e9d6224dad884p-15, 0x1.e868678df9db6p-15, 0x1.e6f76bc524bf3p-15, 0x1.e583420bcd20cp-15, 0x1.e40bfd4646587p-15, 0x1.e291b02493d74p-15, 0x1.e1146d22f7773p-15, 0x1.df94468a24481p-15, 0x1.de114e6f53d17p-15, 0x1.dc8b96b48bf7dp-15, 0x1.db0331093ccb3p-15, 0x1.d9782eea29d42p-15, 0x1.d7eaa1a1e889ep-15, 0x1.d65a9a48fd818p-15, 0x1.d4c829c61950fp-15, 0x1.d33360ce7e296p-15, 0x1.d19c4fe671548p-15, 0x1.d0030761311e3p-15, 0x1.ce679761809f4p-15, 0x1.ccca0fd9b1d39p-15, 0x1.cb2a808c33eaep-15, 0x1.c988f90bcb20cp-15, 0x1.c7e588bbb749bp-15, 0x1.c6403ed017fc1p-15, 0x1.c4992a4e595eap-15, 0x1.c2f05a0d7da86p-15, 0x1.c145dcb5f57ebp-15, 0x1.bf99c0c294981p-15, 0x1.bdec1480be0ccp-15, 0x1.bc3ce6104da47p-15, 0x1.ba8c43641d242p-15, 0x1.b8da3a428320fp-15, 0x1.b726d84578d44p-15, 0x1.b5722adae9bbbp-15, 0x1.b3bc3f44f97e3p-15, 0x1.b205229a54a07p-15, 0x1.b04ce1c6c15b1p-15, 0x1.ae93898b2390cp-15, 0x1.acd9267e066fep-15, 0x1.ab1dc50b9ef82p-15, 0x1.a96171764c3d8p-15, 0x1.a7a437d7255c8p-15, 0x1.a5e6241e0672bp-15, 0x1.a4274211b10b7p-15, 0x1.a2679d506d88ep-15, 0x1.a0a741505670ap-15, 0x1.9ee6395f9df4fp-15, 0x1.9d2490a4f9aeap-15, 0x1.9b62521fa1e46p-15, 0x1.999f88a7bf123p-15, 0x1.97dc3eef013b3p-15, 0x1.96187f80dde1ep-15, 0x1.945454c2a0f77p-15, 0x1.928fc8f3cb408p-15, 0x1.90cae62ead41fp-15, 0x1.8f05b66884ccp-15, 0x1.8d404371bdd45p-15, 0x1.8b7a96f63dc2bp-15, 0x1.89b4ba7deedfep-15, 0x1.87eeb76cefe3ep-15, 0x1.86289703e3f25p-15, 0x1.8462626019837p-15, 0x1.829c227c1743bp-15, 0x1.80d5e02fe19c8p-15, 0x1.7f0fa43132e9p-15, 0x1.7d497713ea11dp-15, 0x1.7b83614a3ecabp-15, 0x1.79bd6b24f34b1p-15, 0x1.77f79cd4041fcp-15, 0x1.7631fe66a2c3ep-15, 0x1.746c97cb74513p-15, 0x1.72a770d12c6cbp-15, 0x1.70e29126d04a2p-15, 0x1.6f1e005bb36dep-15, 0x1.6d59c5e00e469p-15, 0x1.6b95e90548c19p-15, 0x1.69d270fe235dap-15, 0x1.680f64df02d3dp-15, 0x1.664ccb9e5f0fbp-15, 0x1.648aac151f0ecp-15, 0x1.62c90cfea57cbp-15, 0x1.6107f4f91809bp-15, 0x1.5f476a85fbc7ep-15, 0x1.5d87740a55982p-15, 0x1.5bc817cec1395p-15, 0x1.5a095c000614dp-15, 0x1.584b46af3581fp-15, 0x1.568dddd209878p-15, 0x1.54d127431d106p-15, 0x1.531528c22d7ddp-15, 0x1.5159e7f47e185p-15, 0x1.4f9f6a651e50ap-15, 0x1.4de5b5850a89cp-15, 0x1.4c2cceab8348dp-15, }}, 
      {{-0x1.49d53da0f7e37p-3, -0x1.4c4b534101c39p-3, -0x1.4f951260456c4p-3, -0x1.5394980172411p-3, -0x1.582b77514c6b2p-3, -0x1.5d3c64add4f19p-3, -0x1.62ac41025f158p-3, -0x1.6862b3ad09a16p-3, -0x1.6e4a7490f365bp-3, -0x1.74515eccfe128p-3, -0x1.7a685dde30beap-3, -0x1.8083421293e4p-3, -0x1.869885a00195ep-3, -0x1.8ca109163cc27p-3, -0x1.9297cbf9c38a5p-3, -0x1.9879a4ed2094ap-3, -0x1.9e44fbc5b0a9ep-3, -0x1.a3f987255f101p-3, -0x1.a9980ea2a3499p-3, -0x1.af22321d5afb6p-3, -0x1.b49a369085332p-3, -0x1.ba02d8773725fp-3, -0x1.bf5f23b12d993p-3, -0x1.c4b250b553b95p-3, -0x1.c9ffa6cbd4a7dp-3, -0x1.cf4a62fb315cfp-3, -0x1.d495a34b723abp-3, -0x1.d9e455fdfe329p-3, -0x1.df392c576598bp-3, -0x1.e496909984b2ep-3, -0x1.e9fe9ecf61f97p-3, -0x1.ef7320103acffp-3, -0x1.f4f587e4a0269p-3, -0x1.fa86f37dff6eap-3, -0x1.0014153bb72e4p-2, -0x1.02ecd06e4e072p-2, -0x1.05cdbd1d2cae2p-2, -0x1.08b6c6c127699p-2, -0x1.0ba7b4c8bd167p-2, -0x1.0ea02d176b2e4p-2, -0x1.119fb6ae829ap-2, -0x1.14a5bc6f5ff3dp-2, -0x1.17b18fe9582cdp-2, -0x1.1ac26c27b5073p-2, -0x1.1dd77876204bep-2, -0x1.20efcb1392aa3p-2, -0x1.240a6bcd72059p-2, -0x1.2726567de4326p-2, -0x1.2a427d699ca31p-2, -0x1.2d5dcb7a72865p-2, -0x1.30772654f977p-2, -0x1.338d70482049ep-2, -0x1.369f8a1680a73p-2, -0x1.39ac549991936p-2, -0x1.3cb2b23f6fe6fp-2, -0x1.3fb188643a095p-2, -0x1.42a7c08855fadp-2, -0x1.45944965283a2p-2, -0x1.487617e1ea86bp-2, -0x1.4b4c27ea719dbp-2, -0x1.4e157d29c154fp-2, -0x1.50d123aa518a7p-2, -0x1.537e305de903ep-2, -0x1.561bc18ef51a4p-2, -0x1.58a8ff3d2647p-2, -0x1.5b251b671fccep-2, -0x1.5d8f5242e4a9fp-2, -0x1.5fe6ea66a4f37p-2, -0x1.622b34e3695d3p-2, -0x1.645b8d5315d4ep-2, -0x1.667759db0c2afp-2, -0x1.687e0b24bb477p-2, -0x1.6a6f1c4d36267p-2, -0x1.6c4a12cce5ed7p-2, -0x1.6e0e7e5851cap-2, -0x1.6fbbf8badc762p-2, -0x1.715225ac4455p-2, -0x1.72d0b2a1a7abfp-2, -0x1.7437569aaed07p-2, -0x1.7585d1eb771bbp-2, -0x1.76bbee03c8bb3p-2, -0x1.77d97d340bed3p-2, -0x1.78de5a706ffffp-2, -0x1.79ca69129eafp-2, -0x1.7a9d949a56071p-2, -0x1.7b57d06d2cfaep-2, -0x1.7bf91795ccfebp-2, -0x1.7c816c82d2cbdp-2, -0x1.7cf0d8c58db7dp-2, -0x1.7d476cd0c8478p-2, -0x1.7d853fb7c0426p-2, -0x1.7daa6eed6b4c6p-2, -0x1.7db71e0430ecbp-2, -0x1.7dab766e233f9p-2, -0x1.7d87a73dd66c1p-2, -0x1.7d4be4e7e8064p-2, -0x1.7cf86905415c6p-2, -0x1.7c8d7216295ap-2, -0x1.7c0b43462b48fp-2, -0x1.7b722430e1643p-2, -0x1.7ac260a7aab59p-2, -0x1.79fc487852d8dp-2, -0x1.79202f34b38d7p-2, -0x1.782e6bfb5801fp-2, -0x1.772759411de41p-2, -0x1.760b549be9517p-2, -0x1.74dabe8e5c445p-2, -0x1.7395fa54a6286p-2, -0x1.723d6db2625aap-2, -0x1.70d180c18df03p-2, -0x1.6f529dc29aebfp-2, -0x1.6dc130ed9887dp-2, -0x1.6c1da8447c71cp-2, -0x1.6a6873668cfc3p-2, -0x1.68a20364e68aap-2, -0x1.66caca98281a2p-2, -0x1.64e33c7740bd1p-2, -0x1.62ebcd6f60aebp-2, -0x1.60e4f2bd0f4eep-2, -0x1.5ecf224667c9ep-2, -0x1.5caad27676b3p-2, -0x1.5a787a19c2b12p-2, -0x1.5838903bf37b1p-2, -0x1.55eb8c06a292fp-2, -0x1.5391e4a14ba42p-2, -0x1.512c111261c9ap-2, -0x1.4eba882184768p-2, -0x1.4c3dc03ad6331p-2, -0x1.49b62f536bf27p-2, -0x1.47244acedfff3p-2, -0x1.44888765f6e82p-2, -0x1.41e3590e624b7p-2, -0x1.3f3532e390cc3p-2, -0x1.3c7e871094dcep-2, -0x1.39bfc6bb17d2ap-2, -0x1.36f961ef570c8p-2, -0x1.342bc78d27acp-2, -0x1.31576535fffbep-2, -0x1.2e7ca73bfbf81p-2, -0x1.2b9bf891e00abp-2, -0x1.28b5c2bc10512p-2, -0x1.25ca6dc27b87ap-2, -0x1.22da60236fef5p-2, -0x1.1fe5fec75beffp-2, -0x1.1cedacf56f778p-2, -0x1.19f1cc491d35cp-2, -0x1.16f2bca872078p-2, -0x1.13f0dc3b45347p-2, -0x1.10ec87632fe85p-2, -0x1.0de618b452805p-2, -0x1.0adde8eedb5c1p-2, -0x1.07d44ef94bad2p-2, -0x1.04c99fdb717a4p-2, -0x1.01be2eba18976p-2, -0x1.fd6499a6c82p-3, -0x1.f74c92f7a1c95p-3, -0x1.f134e437affbbp-3, -0x1.eb1e245c5b249p-3, -0x1.e508e67d28a67p-3, -0x1.def5b9d28458dp-3, -0x1.d8e529b59e39bp-3, -0x1.d2d7bda15386ap-3, -0x1.cccdf93412857p-3, -0x1.c6c85c32b81c9p-3, -0x1.c0c7628c505b7p-3, -0x1.bacb845ebad4bp-3, -0x1.b4d535fc22138p-3, -0x1.aee4e7f13abcep-3, -0x1.a8fb070c4271fp-3, -0x1.a317fc64b5a7dp-3, -0x1.9d3c2d63b2c84p-3, -0x1.9767fbccf9e39p-3, -0x1.919bc5c88c7a1p-3, -0x1.8bd7e5ecd75e8p-3, -0x1.861cb349640dcp-3, -0x1.806a81720c35fp-3, -0x1.7ac1a08a9a4f8p-3, -0x1.75225d52df32ep-3, -0x1.6f8d01332870ap-3, -0x1.6a01d24913e61p-3, -0x1.64811374ba671p-3, -0x1.5f0b04662369bp-3, -0x1.599fe1ab099e5p-3, -0x1.543fe4bcd0ca1p-3, -0x1.4eeb440ec1ff2p-3, -0x1.49a2331c73d0cp-3, -0x1.4464e2785f62fp-3, -0x1.3f337fda9c2e5p-3, -0x1.3a0e362fba8dp-3, -0x1.34f52da7c095dp-3, -0x1.2fe88bc52fc32p-3, -0x1.2ae8736c27a0cp-3, -0x1.25f504f18a3bfp-3, -0x1.210e5e2a2ea6cp-3, -0x1.1c349a7a0d526p-3, -0x1.1767d2e376f8ap-3, -0x1.12a81e1636682p-3, -0x1.0df5907eb1701p-3, -0x1.09503c54fc99ep-3, -0x1.04b831abd8044p-3, -0x1.002d7e7f9aa6ap-3, -0x1.f7605d8a0ba9ap-4, -0x1.ee8098eff777bp-4, -0x1.e5bbbf543c3dp-4, -0x1.dd11dd228775dp-4, -0x1.d482fb2ba314p-4, -0x1.cc0f1ec1dc59p-4, -0x1.c3b649d5163e1p-4, -0x1.bb787b0e892ddp-4, -0x1.b355adec3a9d4p-4, -0x1.ab4ddadc024adp-4, -0x1.a360f756475d3p-4, -0x1.9b8ef5f8593b3p-4, -0x1.93d7c69e58ae7p-4, -0x1.8c3b567cc8e21p-4, -0x1.84b99039b80fdp-4, -0x1.7d525c05781dp-4, -0x1.76059fb2f12e9p-4, -0x1.6ed33ecf83d2fp-4, -0x1.67bb1aba80637p-4, -0x1.60bd12bc2bb1fp-4, -0x1.59d9041c55c32p-4, -0x1.530eca387cf41p-4, -0x1.4c5e3e99810fbp-4, -0x1.45c73908e2fd2p-4, -0x1.3f498fa58ff7ep-4, -0x1.38e516f83ea74p-4, -0x1.3299a20751c52p-4, -0x1.2c67026a4eedap-4, -0x1.264d085cddcep-4, -0x1.204b82d155818p-4, -0x1.1a623f82dabf9p-4, -0x1.14910b0706f04p-4, -0x1.0ed7b0df23c3fp-4, -0x1.0935fb88f2af9p-4, -0x1.03abb48f06a19p-4, -0x1.fc7149315d122p-5, -0x1.f1b926f2e377ap-5, -0x1.e72e908042cdp-5, -0x1.dcd1128af8132p-5, -0x1.d2a03874d0933p-5, -0x1.c89b8c6b8b55fp-5, -0x1.bec29783ad20fp-5, -0x1.b514e1d284296p-5, -0x1.ab91f28763eddp-5, -0x1.a239500419371p-5, -0x1.990a7ff4964p-5, -0x1.90050765e2fb7p-5, -0x1.87286adc4a6dbp-5, -0x1.7e742e68cc23ap-5, -0x1.75e7d5bdd768dp-5, -0x1.6d82e44351fe7p-5, -0x1.6544dd29e837p-5, -0x1.5d2d437db42f5p-5, -0x1.553b9a3833b34p-5, -0x1.4d6f64519cfddp-5, -0x1.45c824d185a92p-5, -0x1.3e455edeef835p-5, -0x1.36e695cfb38a2p-5, -0x1.2fab4d3753d92p-5, -0x1.289308f532c86p-5, -0x1.219d4d4238073p-5, -0x1.1ac99ebde6299p-5, -0x1.1417827ae0a7ep-5, -0x1.0d867e0ae57c9p-5, -0x1.0716178a43846p-5, -0x1.00c5d5aacad12p-5, -0x1.f52a7f7c79d5ep-6, -0x1.e907bb807f9ep-6, -0x1.dd2270bfa8c2dp-6, -0x1.d179b210b50aep-6, -0x1.c60c93d4363dap-6, -0x1.bada2c04cd85fp-6, -0x1.afe1924687a71p-6, -0x1.a521dff55da3dp-6, -0x1.9a9a3032f32edp-6, -0x1.90499ff3814b2p-6, -0x1.862f4e09ff69p-6, -0x1.7c4a5b3388e2fp-6, -0x1.7299ea22128edp-6, -0x1.691d1f866959p-6, -0x1.5fd3221980f48p-6, -0x1.56bb1aa518f34p-6, -0x1.4dd4340bc38adp-6, -0x1.451d9b5047afp-6, -0x1.3c967f9c72371p-6, -0x1.343e12474e4f9p-6, -0x1.2c1386dac8bd8p-6, -0x1.24161318d3c3cp-6, -0x1.1c44eefffeff8p-6, -0x1.149f54cf8e7eap-6, -0x1.0d24810b1764fp-6, -0x1.05d3b27da2201p-6, -0x1.fd585478acc77p-7, -0x1.ef5a575179c77p-7, -0x1.e1abf8e52f015p-7, -0x1.d44bc93291badp-7, -0x1.c7385cd9b5b2p-7, -0x1.ba704d1d531aep-7, -0x1.adf237e365a82p-7, -0x1.a1bcbfb518d6fp-7, -0x1.95ce8bbdfa751p-7, -0x1.8a2647caa1d25p-7, -0x1.7ec2a446b2484p-7, -0x1.73a2563a3d51p-7, -0x1.68c41746b56fap-7, -0x1.5e26a5a336cd5p-7, -0x1.53c8c41860a81p-7, -0x1.49a939fba7a59p-7, -0x1.3fc6d32a3bebfp-7, -0x1.3620600381bc4p-7, -0x1.2cb4b56313689p-7, -0x1.2382ac9a5f399p-7, -0x1.1a892369eb65cp-7, -0x1.11c6fbfa34fc2p-7, -0x1.093b1cd4418adp-7, -0x1.00e470d9e652bp-7, -0x1.f183ce7b4fcb1p-8, -0x1.e1a4e6f4c8db7p-8, -0x1.d22a1a956d7d9p-8, -0x1.c31161401fde9p-8, -0x1.b458bb33547dbp-8, -0x1.a5fe30f655d6ap-8, -0x1.97ffd3463aec3p-8, -0x1.8a5bbb02679b7p-8, -0x1.7d100918c68f7p-8, -0x1.701ae671a0698p-8, -0x1.637a83db3dfe4p-8, -0x1.572d19f524661p-8, -0x1.4b30e91b16393p-8, -0x1.3f84394fe9bb1p-8, -0x1.34255a281aa03p-8, -0x1.2912a2b42ad8fp-8, -0x1.1e4a716af7d32p-8, -0x1.13cb2c13ca7c8p-8, -0x1.09933fb032a32p-8, -0x1.ff4240cc0a796p-9, -0x1.ebe692d20fd8dp-9, -0x1.d91079c95ecb5p-9, -0x1.c6bd07cb83506p-9, -0x1.b4e95c87e7776p-9, -0x1.a392a516e13cfp-9, -0x1.92b61bccc7babp-9, -0x1.8251080d247bap-9, -0x1.7260be1dd50ep-9, -0x1.62e29efa32364p-9, -0x1.53d418268f841p-9, -0x1.4532a38345cefp-9, -0x1.36fbc72075c93p-9, -0x1.292d1511a3ba8p-9, -0x1.1bc42b417080cp-9, -0x1.0ebeb345bab5cp-9, -0x1.021a6233cc381p-9, -0x1.eba9f0e9aac69p-10, -0x1.d3d88334ea76p-10, -0x1.bcbc28678e02fp-10, -0x1.a650a344f3dfbp-10, -0x1.9091cbe0b78c5p-10, -0x1.7b7b8f4a1e889p-10, -0x1.6709ef3871b63p-10, -0x1.533901b78cc61p-10, -0x1.4004f0d545d1ep-10, -0x1.2d69fa4fb8642p-10, -0x1.1b646f43d2eddp-10, -0x1.09f0b3dd1d3c2p-10, -0x1.f2167e0bdff1p-11, -0x1.d161343084083p-11, -0x1.b1bac11f1f0d2p-11, -0x1.931c7f76ecbd8p-11, -0x1.757fece5a902p-11, -0x1.58dea98fd1aedp-11, -0x1.3d32777aaeadap-11, -0x1.227539f7ec19ep-11, -0x1.08a0f51275ebap-11, -0x1.df5f99fa89aa3p-12, -0x1.af380b077c64cp-12, -0x1.80c002f7f52d8p-12, -0x1.53ec84758da81p-12, -0x1.28b2ce11580ap-12, -0x1.fe10b266813e4p-13, -0x1.adc5b21702c22p-13, -0x1.607073115e7fap-13, -0x1.15fd3c9f554dp-13, -0x1.9cb186e0dcd0bp-14, -0x1.12e04f32eb426p-14, -0x1.1cc3ca6ade3c8p-15, -0x1.e2455b8a00f48p-19, 0x1.acc8cb3290f8fp-16, 0x1.c11b7ed022859p-15, 0x1.51224305dc89p-14, 0x1.bd10c5d06562ep-14, 0x1.123cc9d809307p-13, 0x1.43be1fed7b72ep-13, 0x1.731bd42f4ff4ap-13, 0x1.a064fccaa4964p-13, 0x1.cba858ca0b2ap-13, 0x1.f4f451c36fea4p-13, 0x1.0e2b7ec07b0ddp-12, 0x1.20ef0fd198f69p-12, 0x1.32cb959d8b396p-12, 0x1.43c7a230816aap-12, 0x1.53e9a0e0bfc04p-12, 0x1.6337d712ac88bp-12, 0x1.71b864fa1850ep-12, 0x1.7f714657ed813p-12, 0x1.8c685334c0236p-12, 0x1.98a34098ba1e2p-12, 0x1.a427a13f68b2fp-12, 0x1.aefae64a1cbd6p-12, 0x1.b9225fee1b179p-12, 0x1.c2a33e205a17dp-12, 0x1.cb82913dfecap-12, 0x1.d3c54ab2a0753p-12, 0x1.db703d9a84cd7p-12, 0x1.e2881f637d516p-12, 0x1.e911886a26b7p-12, 0x1.ef10f493f84b8p-12, 0x1.f48ac3e7982aep-12, 0x1.f9833b22294cep-12, 0x1.fdfe844940fc5p-12, 0x1.0100579dc74b4p-11, 0x1.02c6d91ec39d1p-11, 0x1.0454b54217905p-11, 0x1.05abce5eef6d3p-11, 0x1.06cdfacbc7c3cp-11, 0x1.07bd05202345p-11, 0x1.087aac74e3598p-11, 0x1.0908a4a3ab472p-11, 0x1.09689684dad25p-11, 0x1.099c202c77f53p-11, 0x1.09a4d525fbf53p-11, 0x1.09843eaec5b2ap-11, 0x1.093bdbefc608bp-11, 0x1.08cd22360fc6ap-11, 0x1.08397d29e0f9p-11, 0x1.07824f053bd5dp-11, 0x1.06a8f0c8d6845p-11, 0x1.05aeb2708e98cp-11, 0x1.0494db2671cbbp-11, 0x1.035ca9753bfbfp-11, 0x1.020753792d663p-11, 0x1.009607107ce1dp-11, 0x1.fe13d4153cce3p-12, 0x1.fac834ad8fda6p-12, 0x1.f74b5c6257e3ep-12, 0x1.f39f689f73ea7p-12, 0x1.efc6681b55d0ap-12, 0x1.ebc25b2c65ee9p-12, 0x1.e795341d49905p-12, 0x1.e340d77ead8bap-12, 0x1.dec71c784b20fp-12, 0x1.da29cd17142d3p-12, 0x1.d56aa69ae95d6p-12, 0x1.d08b59c2466a3p-12, 0x1.cb8d8b142a2adp-12, 0x1.c672d32930639p-12, 0x1.c13cbef25426bp-12, 0x1.bbeccffe4df93p-12, 0x1.b6847cbe86c83p-12, 0x1.b10530c938f0bp-12, 0x1.ab704d1b56bbbp-12, 0x1.a5c7285850d1p-12, 0x1.a00b0f08d9b59p-12, 0x1.9a3d43d8313c6p-12, 0x1.945effd07fedp-12, 0x1.8e71729582116p-12, 0x1.8875c29e24193p-12, 0x1.826d0d6ce0229p-12, 0x1.7c5867c6b1de8p-12, 0x1.7638dde954111p-12, 0x1.700f73c02cbecp-12, 0x1.69dd2517d99fp-12, 0x1.63a2e5d0b4a6p-12, 0x1.5d61a210a468dp-12, 0x1.571a3e72f080bp-12, 0x1.50cd98387d0fap-12, 0x1.4a7c85757cda4p-12, 0x1.4427d53f3acc8p-12, 0x1.3dd04fd8293d8p-12, 0x1.3776b6db738dp-12, 0x1.311bc5675399ep-12, 0x1.2ac03046a34fep-12, 0x1.2464a619a7273p-12, 0x1.1e09cf7d9fa34p-12, 0x1.17b04f33c13f5p-12, 0x1.1158c246db08ep-12, 0x1.0b03c030e31b7p-12, 0x1.04b1dafef73e5p-12, 0x1.fcc73eea6adb4p-13, 0x1.f0332a623efa4p-13, 0x1.e3a87d978b121p-13, 0x1.d72833f5846bfp-13, 0x1.cab33f61a16adp-13, 0x1.be4a887ad9c93p-13, 0x1.b1eeeed827e37p-13, 0x1.a5a14944bb227p-13, 0x1.996265fae1a35p-13, 0x1.8d330ade32eadp-13, 0x1.8113f5b468d42p-13, 0x1.7505dc5c4f67fp-13, 0x1.69096d03cfeb7p-13, 0x1.5d1f4e5cdf4e9p-13, 0x1.51481fd0e049p-13, 0x1.458479b31c2ep-13, 0x1.39d4ed71fbffp-13, 0x1.2e3a05c75a016p-13, 0x1.22b446e7852a5p-13, 0x1.17442eaeb838cp-13, 0x1.0bea34ce460dbp-13, 0x1.00a6caf80bc2ap-13, 0x1.eaf4ba13810d6p-14, 0x1.d4caa26ca4f6ep-14, 0x1.bed0105de6d03p-14, 0x1.a905ba957a455p-14, 0x1.936c4d5bed2d1p-14, 0x1.7e046adf1ed05p-14, 0x1.68ceab7d06ea4p-14, 0x1.53cb9e0ca733dp-14, 0x1.3efbc823e61a8p-14, 0x1.2a5fa65d5b69bp-14, 0x1.15f7ac9b36389p-14, 0x1.01c4464931cefp-14, 0x1.db8bad39a7c8ep-15, 0x1.b3f971a83ee94p-15, 0x1.8cd280e598be5p-15, 0x1.661772fc8be21p-15, 0x1.3fc8d16f64366p-15, 0x1.19e717aa0ba75p-15, 0x1.e8e566e1a4785p-16, 0x1.9ed80a997c6e8p-16, 0x1.55a6c1e9da031p-16, 0x1.0d521b6e41ec1p-16, 0x1.8bb51b68df644p-17, 0x1.fd01e01273539p-18, 0x1.cc2118f44afe9p-19, -0x1.6b47c1607bcfap-21, -0x1.3d6a3671cc4e7p-18, -0x1.24f9843dc2b25p-17, -0x1.a981cba436a11p-17, -0x1.16271604dd8c9p-16, -0x1.56af826fa3e5bp-16, -0x1.965a6c9519404p-16, -0x1.d52827243888fp-16, -0x1.098c8aafa1db2p-15, -0x1.2816d5447ead1p-15, -0x1.463334a82ba94p-15, -0x1.63e1f1a27c0b7p-15, -0x1.81235c26d1c34p-15, -0x1.9df7cb1170cfcp-15, -0x1.ba5f9be4a8739p-15, -0x1.d65b3289ac012p-15, -0x1.f1eaf9124038fp-15, -0x1.0687afbe35085p-14, -0x1.13e46dbbc3103p-14, -0x1.210bf41563a24p-14, -0x1.2dfe82fec97f4p-14, -0x1.3abc5d3020181p-14, -0x1.4745c7cc177bep-14, -0x1.539b0a4554cf3p-14, -0x1.5fbc6e45b245bp-14, -0x1.6baa3f95b2453p-14, -0x1.7764cc04f5c2bp-14, -0x1.82ec63528a178p-14, -0x1.8e41571691cadp-14, -0x1.9963faac6555cp-14, -0x1.a454a31cf011fp-14, -0x1.af13a709e94b2p-14, -0x1.b9a15e99faed2p-14, -0x1.c3fe2364717a3p-14, -0x1.ce2a505eca1c3p-14, -0x1.d82641c9a9bf4p-14, -0x1.e1f2551eb38ddp-14, -0x1.eb8ee8ff172bap-14, -0x1.f4fc5d2268ccap-14, -0x1.fe3b1246263c1p-14, -0x1.03a5b50ea272dp-13, -0x1.0816e3a05b554p-13, -0x1.0c7146900ec63p-13, -0x1.10b50ff98086ep-13, -0x1.14e272551f81dp-13, -0x1.18f9a07109ddp-13, -0x1.1cfacd6a7507p-13, -0x1.20e62ca6d14f6p-13, -0x1.24bbf1cdb828fp-13, -0x1.287c50c25e1f2p-13, -0x1.2c277d9dcda7dp-13, -0x1.2fbdaca8dbb35p-13, -0x1.333f1256bac3bp-13, -0x1.36abe33f4c42cp-13, -0x1.3a045419e26fcp-13, -0x1.3d4899b80ee8cp-13, -0x1.4078e900c32b7p-13, -0x1.439576eb488dap-13, -0x1.469e787a907aep-13, -0x1.499422b8d142p-13, -0x1.4c76aab2fedadp-13, -0x1.4f46457494bd1p-13, -0x1.52032803763b5p-13, -0x1.54ad875bef4b8p-13, -0x1.5745986cd0545p-13, -0x1.59cb9013bf1fdp-13, -0x1.5c3fa319abd4dp-13, -0x1.5ea2062f3c08p-13, -0x1.60f2ede96da5ap-13, -0x1.63328ebe6c4b5p-13, -0x1.65611d026fa45p-13, -0x1.677ecce49aabep-13, -0x1.698bd26c1cb08p-13, -0x1.6b88617566281p-13, -0x1.6d74adaf91c19p-13, -0x1.6f50ea9989e9ap-13, -0x1.711d4b7fc76dbp-13, -0x1.72da0379a4effp-13, -0x1.748745673977p-13, -0x1.762543ef0b5bbp-13, -0x1.77b4317be824fp-13, -0x1.7934403aff0aep-13, -0x1.7aa5a219a6ceep-13, -0x1.7c0888c3a37a9p-13, -0x1.7d5d25a14bb23p-13, -0x1.7ea3a9d5c2bdfp-13, -0x1.7fdc463d4cb26p-13, -0x1.81072b6ba719ep-13, -0x1.822489aabc97p-13, -0x1.833490f90041cp-13, -0x1.843771081f7c9p-13, -0x1.852d593ba0df7p-13, -0x1.861678a7a8f75p-13, -0x1.86f2fe0fcc887p-13, -0x1.87c317e5e1eap-13, -0x1.8886f44907865p-13, -0x1.893ec104a40ccp-13, -0x1.89eaab8f4d6b9p-13, -0x1.8a8ae10a0641ap-13, -0x1.8b1f8e3f3d29fp-13, -0x1.8ba8dfa2227f4p-13, -0x1.8c27014dddb25p-13, -0x1.8c9a1f04b604ap-13, -0x1.8d02642fa672p-13, -0x1.8d5ffbddb541ap-13, -0x1.8db310c33efa2p-13, -0x1.8dfbcd39a1b74p-13, -0x1.8e3a5b3e98546p-13, -0x1.8e6ee473d758ap-13, -0x1.8e99921eaac9p-13, -0x1.8eba8d27987bbp-13, -0x1.8ed1fe1a32283p-13, -0x1.8ee00d24a3032p-13, -0x1.8ee4e21771981p-13, -0x1.8ee0a46562f6ap-13, -0x1.8ed37b2330d6ap-13, -0x1.8ebd8d076a11bp-13, -0x1.8e9f006a579dbp-13, -0x1.8e77fb45e7d55p-13, -0x1.8e48a335acaadp-13, -0x1.8e111d76c0a2ap-13, -0x1.8dd18ee7dc714p-13, -0x1.8d8a1c09432a8p-13, -0x1.8d3ae8fcdb79dp-13, -0x1.8ce419864b8e6p-13, -0x1.8c85d10af49a4p-13, -0x1.8c20329240486p-13, -0x1.8bb360c5c4c47p-13, -0x1.8b3f7df14f896p-13, -0x1.8ac4ac031f07p-13, -0x1.8a430c8c2d648p-13, -0x1.89bac0c058223p-13, -0x1.892be9769c728p-13, -0x1.8896a72972332p-13, -0x1.87fb19f6f9dccp-13, -0x1.875961a17f1dep-13, -0x1.86b19d8f9045dp-13, -0x1.8603eccc6fc2ap-13, -0x1.85506e087f505p-13, -0x1.84973f997d38cp-13, -0x1.83d87f7af79e6p-13, -0x1.83144b4eaeaap-13, -0x1.824ac05cf4eb4p-13, -0x1.817bfb954229dp-13, -0x1.80a8198e8476p-13, -0x1.7fcf36879b8ecp-13, -0x1.7ef16e67d27adp-13, -0x1.7e0edcbf2de53p-13, -0x1.7d279cc726903p-13, -0x1.7c3bc962f97fap-13, -0x1.7b4b7d2042e52p-13, -0x1.7a56d237669bfp-13, -0x1.795de28c3b4cp-13, -0x1.7860c7ae7031fp-13, -0x1.775f9ada1c561p-13, -0x1.765a74f8532a8p-13, -0x1.75516e9fae5afp-13, -0x1.7444a014ce99ep-13, -0x1.7334214aed8bap-13, -0x1.722009e480cdcp-13, -0x1.71087133ce959p-13, -0x1.6fed6e3b6ae36p-13, -0x1.6ecf17aedd3e2p-13, -0x1.6dad83f343bafp-13, -0x1.6c88c91fbf135p-13, -0x1.6b60fcfe2b4bp-13, -0x1.6a36350bbd5p-13, -0x1.6908867993187p-13, -0x1.67d8062d42d92p-13, -0x1.66a4c8c19f61p-13, -0x1.656ee2873719cp-13, -0x1.64366784f374fp-13, -0x1.62fb6b78b4bf3p-13, -0x1.61be01d808126p-13, -0x1.607e3dd0af579p-13, -0x1.5f3c324940b4ap-13, -0x1.5df7f1e1d295ep-13, -0x1.5cb18ef4994e2p-13, -0x1.5b691b968f863p-13, -0x1.5a1ea9980740ap-13, -0x1.58d24a855ee5bp-13, -0x1.57840fa78f93p-13, -0x1.56340a04ce56ep-13, -0x1.54e24a61349edp-13, -0x1.538ee13f62596p-13, -0x1.5239dee1257e5p-13, -0x1.50e3534803de6p-13, -0x1.4f8b4e35f67c9p-13, -0x1.4e31df2e047acp-13, -0x1.4cd71574d41ddp-13, -0x1.4b7b001158a43p-13, -0x1.4a1dadcd6d329p-13, -0x1.48bf2d367e29dp-13, -0x1.475f8c9e16906p-13, -0x1.45feda1a86b4cp-13, -0x1.449d23878acf4p-13, -0x1.433a7686deba3p-13, -0x1.41d6e080e1dfcp-13, -0x1.40726ea52da62p-13, -0x1.3f0d2deb3b2a9p-13, -0x1.3da72b12f2787p-13, -0x1.3c4072a54829ap-13, -0x1.3ad910f4e06ep-13, -0x1.3971121ea911bp-13, -0x1.3808820a634c2p-13, -0x1.369f6c6b4a625p-13, -0x1.3535dcc0ae936p-13, -0x1.33cbde567fce8p-13, -0x1.32617c45df9d7p-13, -0x1.30f6c175d295dp-13, -0x1.2f8bb89bbca5bp-13, -0x1.2e206c3bfb199p-13, -0x1.2cb4e6aa7038ap-13, -0x1.2b49320b2c9b2p-13, -0x1.29dd5852e60efp-13, -0x1.287163479a9fcp-13, -0x1.27055c8116ccp-13, -0x1.25994d6985a21p-13, -0x1.242d3f3e01c4fp-13, -0x1.22c13b0f1f3b1p-13, -0x1.215549c179beep-13, -0x1.1fe9740e41422p-13, -0x1.1e7dc283c1efdp-13, -0x1.1d123d85e4f9cp-13, -0x1.1ba6ed4ec7eb1p-13, -0x1.1a3bd9ef410fcp-13, -0x1.18d10b4f5e753p-13, -0x1.1766892ee884ep-13, -0x1.15fc5b25eaed1p-13, -0x1.149288a5493f9p-13, -0x1.132918f7293a4p-13, -0x1.11c0133f747b9p-13, -0x1.10577e7c65ebep-13, -0x1.0eef61870f0c6p-13, -0x1.0d87c313bbf1ap-13, -0x1.0c20a9b2827a8p-13, -0x1.0aba1bcfba1c2p-13, -0x1.09541fb47ae2p-13, -0x1.07eebb8710b8ep-13, -0x1.0689f54b77bb6p-13, -0x1.0525d2e3da4cp-13, -0x1.03c25a1100c52p-13, -0x1.025f9072d079ep-13, -0x1.00fd7b88a962ap-13, -0x1.ff384163dfd8ep-14, -0x1.fc770a5cf9532p-14, -0x1.f9b75c3e16368p-14, -0x1.f6f9410b49c29p-14, -0x1.f43cc28c283cap-14, -0x1.f181ea4cba20fp-14, -0x1.eec8c19e4980bp-14, -0x1.ec11519822c24p-14, -0x1.e95ba318809edp-14, -0x1.e6a7bec581211p-14, -0x1.e3f5ad0dbcf79p-14, -0x1.e14576293aa63p-14, -0x1.de97221a2f478p-14, -0x1.dbeab8adc4b4fp-14, -0x1.d940417cfe4fap-14, -0x1.d697c3ed6d25p-14, -0x1.d3f14731f9b1ap-14, -0x1.d14cd24bbc0dbp-14, -0x1.ceaa6c0aa70fcp-14, -0x1.cc0a1b0e490dfp-14, -0x1.c96be5c689049p-14, -0x1.c6cfd27461efdp-14, -0x1.c435e72aae5b9p-14, -0x1.c19e29cece1f1p-14, -0x1.bf08a0196550cp-14, -0x1.bc754f970cd0dp-14, -0x1.b9e43da904a0ep-14, -0x1.b7556f85f10a9p-14, -0x1.b4c8ea3a63889p-14, -0x1.b23eb2a9a6568p-14, -0x1.afb6cd8e7095cp-14, -0x1.ad313f7b766b3p-14, -0x1.aaae0cdc1d23bp-14, -0x1.a82d39f50eec5p-14, -0x1.a5aecae4d78bbp-14, -0x1.a332c3a49d644p-14, -0x1.a0b92808c0853p-14, -0x1.9e41fbc1627ecp-14, -0x1.9bcd425b1ed9fp-14, -0x1.995aff3f94e7bp-14, -0x1.96eb35b5f80cap-14, -0x1.947de8e3a2eeap-14, -0x1.92131bccbcd3dp-14, -0x1.8faad154ab7ccp-14, -0x1.8d450c3ed2fe9p-14, -0x1.8ae1cf2ef174cp-14, -0x1.88811ca9e04c6p-14, -0x1.8622f715f52eep-14, -0x1.83c760bba05bp-14, -0x1.816e5bc5e7ae8p-14, -0x1.7f17ea42ecacfp-14, -0x1.7cc40e248037ep-14, -0x1.7a72c9409e50dp-14, -0x1.78241d51ec331p-14, -0x1.75d80bf847e71p-14, -0x1.738e96b9244ffp-14, -0x1.7147befff2318p-14, -0x1.6f03861edcfb3p-14, -0x1.6cc1ed4f23f36p-14, -0x1.6a82f5b19a4cbp-14, -0x1.6846a04f0bd96p-14, -0x1.660cee18c9606p-14, -0x1.63d5dfe8fe2eap-14, -0x1.61a176833141p-14, -0x1.5f6fb294b57f2p-14, -0x1.5d4094b506818p-14, -0x1.5b141d663f769p-14, -0x1.58ea4d158f827p-14, -0x1.56c3241ba181fp-14, -0x1.549ea2bcfa13cp-14, -0x1.527cc92a6a58cp-14, -0x1.505d97816cba7p-14, -0x1.4e410dcc7852bp-14, -0x1.4c272c037ab3p-14, -0x1.4a0ff20c40603p-14, -0x1.47fb5fbabdf5ep-14, -0x1.45e974d17e942p-14, -0x1.43da3101fe7c1p-14, -0x1.41cd93ecfb0c1p-14, -0x1.3fc39d22ad4b6p-14, -0x1.3dbc4c2360842p-14, -0x1.3bb7a05fbb94dp-14, -0x1.39b59939108fbp-14, -0x1.37b63601a94adp-14, -0x1.35b975fd26abbp-14, -0x1.33bf5860cc504p-14, -0x1.31c7dc53d0b92p-14, -0x1.2fd300efae87fp-14, -0x1.2de0c5407cf33p-14, -0x1.2bf128451c44cp-14, -0x1.2a0428efa952ep-14, -0x1.2819c625c5049p-14, -0x1.2631fec0d0aadp-14, -0x1.244cd18e35b31p-14, -0x1.226a3d4fc2f7cp-14, -0x1.208a40bbdd63bp-14, -0x1.1eacda7dba7e6p-14, -0x1.1cd20935ca2a6p-14, -0x1.1af9cb79e8b9cp-14, -0x1.19241fd5a4494p-14, -0x1.175104ca7df67p-14, -0x1.158078d02bce9p-14, -0x1.13b27a54d01c8p-14, -0x1.11e707bd143fep-14, -0x1.101e1f64ab1ap-14, -0x1.0e57bf9e7f2bap-14, -0x1.0c93e6b4d83b7p-14, -0x1.0ad292e9a0dfp-14, -0x1.0913c2769df7p-14, -0x1.0757738da5fcfp-14, -0x1.059da458de14cp-14, -0x1.03e652fae34dcp-14, -0x1.02317d8f195b7p-14, -0x1.007f2229b5c0fp-14, -0x1.fd9e7db030887p-15, -0x1.fa43a3420812dp-15, -0x1.f6edb1096ce6ap-15, -0x1.f39ca2fa4d75ap-15, -0x1.f05074fc83d7cp-15, -0x1.ed0922ec0dff4p-15, -0x1.e9c6a899757c1p-15, -0x1.e68901ca1b815p-15, -0x1.e3502a38ca739p-15, -0x1.e01c1d95f3289p-15, -0x1.dcecd787feb07p-15, -0x1.d9c253aba6f6ep-15, -0x1.d69c8d945c015p-15, -0x1.d37b80cc70f7ap-15, -0x1.d05f28d54bb33p-15, -0x1.cd4781282f3a6p-15, -0x1.ca3485364ae23p-15, -0x1.c7263068fbe0dp-15, -0x1.c41c7e223005bp-15, -0x1.c11769bc99f76p-15, -0x1.be16ee8c14a44p-15, -0x1.bb1b07dde1f2cp-15, -0x1.b823b0f8d0967p-15, -0x1.b530e51dbfed1p-15, -0x1.b2429f87958c1p-15, -0x1.af58db6bb707ap-15, -0x1.ac7393fa6122ep-15, -0x1.a992c45eb019cp-15, -0x1.a6b667bef44b7p-15, -0x1.a3de793d10fc4p-15, -0x1.a10af3f68d446p-15, -0x1.9e3bd304ea88p-15, -0x1.9b71117db0b74p-15, -0x1.98aaaa72d2776p-15, -0x1.95e898f2f5e99p-15, -0x1.932ad80998567p-15, -0x1.907162bf362bdp-15, -0x1.8dbc34197f96fp-15, -0x1.8b0b471bc15c4p-15, -0x1.885e96c6b9f81p-15, -0x1.85b61e18e828ep-15, -0x1.8311d80f0965ep-15, -0x1.8071bfa40893cp-15, -0x1.7dd5cfd12f04p-15, -0x1.7b3e038e70d6fp-15, -0x1.78aa55d276b6p-15, -0x1.761ac192df099p-15, -0x1.738f41c45ec2fp-15, -0x1.7107d15aef799p-15, -0x1.6e846b4a0ade2p-15, -0x1.6c050a84a3859p-15, -0x1.6989a9fd63f62p-15, -0x1.671244a6fdeacp-15, -0x1.649ed5741e12fp-15, -0x1.622f57579978bp-15, -0x1.5fc3c544b479dp-15, -0x1.5d5c1a2f23813p-15, -0x1.5af8510b352d8p-15, -0x1.589864cdf3d34p-15, -0x1.563c506d394dap-15, -0x1.53e40edfec3e1p-15, -0x1.518f9b1e20d5ap-15, -0x1.4f3ef0211fadap-15, -0x1.4cf208e382f63p-15, -0x1.4aa8e06176f44p-15, -0x1.48637198bc876p-15, -0x1.4621b788a7b88p-15, -0x1.43e3ad32631ap-15, -0x1.41a94d99170cbp-15, -0x1.3f7293c1e176fp-15, -0x1.3d3f7ab402715p-15, -0x1.3b0ffd78f8bd5p-15, -0x1.38e4171c8788dp-15, -0x1.36bbc2ace3778p-15, -0x1.3496fb3ab80a4p-15, -0x1.3275bbd94921p-15, -0x1.3057ff9e804f3p-15, -0x1.2e3dc1a301656p-15, -0x1.2c26fd0243a95p-15, -0x1.2a13acdab6f22p-15, -0x1.2803cc4db2b97p-15, -0x1.25f7567fa09ecp-15, -0x1.23ee4698285c1p-15, -0x1.21e897c216317p-15, -0x1.1fe6452b6f11ap-15, -0x1.1de74a059fd54p-15, -0x1.1beba1856e189p-15, -0x1.19f346e3276e5p-15, -0x1.17fe355aa2181p-15, -0x1.160c682b4a5afp-15, -0x1.141dda982bddap-15, -0x1.123287e7fe449p-15, -0x1.104a6b6554c0fp-15, -0x1.0e65805e8c68fp-15, -0x1.0c83c225d5962p-15, -0x1.0aa52c114cc16p-15, -0x1.08c9b97b0d9b7p-15, -0x1.06f165c126cccp-15, -0x1.051c2c45bf11bp-15, -0x1.034a086f1d27cp-15, -0x1.017af5a7a432fp-15, -0x1.ff5ddebbd9349p-16, -0x1.fbcbe209852d3p-16, -0x1.f83fec2667c6ep-16, -0x1.f4b9f40937fe5p-16, -0x1.f139f0b150fb4p-16, }}, 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
      std::vector<double>(999, 0.0), 
    }}, 
    {
      37, 0x1.4851eb851eb85p+2, 0x1.ae6794ee683cfp+2, 0x1.41bf49f2e1c4dp+4, 0x1.d4da00232df3p-8, 
      {{
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0d9afc1462453p-3, -0x1.aca54a98b8644p-1, 0x1.68558996243fcp+1, -0x1.0730386010ecfp+2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8a79493a81a44p-4, -0x1.2c4da64df295dp-1, 0x1.1960abdfb8c5p+1, -0x1.c7dfb523fdc11p+1}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.270a066b8b8f3p-4, -0x1.92db62755138ep-2, 0x1.a9fe3b017236fp+0, -0x1.8bee4069e9fdep+1}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.cbd8f7ff7eeaap-5, -0x1.0037300036b18p-2, 0x1.3336c148126a2p+0, -0x1.4d2a34343595cp+1}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.7b45e99a432c3p-5, -0x1.32a3cba4132aep-3, 0x1.9e87633d9e48p-1, -0x1.0f213f0af3de4p+1}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.4c5b7477ba81p-5, -0x1.5aba4cc790526p-4, 0x1.f7b3ae07b1869p-2, -0x1.a1fd0a570f1cdp+0}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.3216288c89ac7p-5, -0x1.86cfaa6aaab9bp-5, 0x1.f9d14fa6ea812p-3, -0x1.250f8e30a6181p+0}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.226e92f1a396p-5, -0x1.02d198339381dp-5, 0x1.344a16d913317p-4, -0x1.55eb7a29a8c0ep-1}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.16593de44947ep-5, -0x1.dc61e86c3d996p-6, -0x1.980ebbca107b4p-6, -0x1.31aa41b1b0368p-3}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.09c6b0c609efbp-5, -0x1.0bc3992bf444fp-5, -0x1.836d854fa52a7p-5, 0x1.764de45065085p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.f7069fe2b757cp-6, -0x1.2ce46c09c0b5bp-5, -0x1.1322f40453a85p-5, 0x1.bb01098a9e95ap-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.d7abf5b8588e7p-6, -0x1.4515597cfc5dfp-5, -0x1.a15f31f8aaefbp-6, 0x1.de7c09031ba93p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.b63d5474e3f4bp-6, -0x1.565d04e1136d1p-5, -0x1.11d395aaef70dp-6, 0x1.a69250657b72bp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.936c9fa5886bbp-6, -0x1.60e2a93319fep-5, -0x1.261c2e4c2e68p-7, 0x1.8725b991a1a87p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6fddacfcb746bp-6, -0x1.654df667c0faep-5, -0x1.db5f914004eb8p-10, 0x1.612953acd2f03p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4c26445224496p-6, -0x1.642430f39e223p-5, 0x1.30f34ce5c8b07p-8, 0x1.3cef084207f16p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.28ce1fa2c5a84p-6, -0x1.5df3d6541715ep-5, 0x1.56a2ab674f81fp-7, 0x1.183c22002dc11p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.064eeb10d408bp-6, -0x1.5348eb636d12ep-5, 0x1.fec6bfcdd15ebp-7, 0x1.e753194104065p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.ca2889c79504ap-7, -0x1.44b01e7fa3065p-5, 0x1.487ca3b0a949bp-6, 0x1.9e1c9d1e6b76ap-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8af77b10cd392p-7, -0x1.32b5f09ad9849p-5, 0x1.869a880ed3019p-6, 0x1.54eac4c466c36p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.4fa9af2150a02p-7, -0x1.1de6eed2f8d28p-5, 0x1.b9bdbf2c48d1fp-6, 0x1.0bb7aeab626cdp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.18c20f67a40cfp-7, -0x1.06cfa302acdp-5, 0x1.e1e6195f97955p-6, 0x1.8509d78b8873ep-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.cd4ed339a2688p-8, -0x1.dbf92fcb966e9p-6, 0x1.ff13a323a837fp-6, 0x1.e548674622c5ep-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.7348df88cd5eap-8, -0x1.a7f4afed7d8bcp-6, 0x1.08a32d1b24c2ep-5, 0x1.80f9872335dacp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.23cf7058efedap-8, -0x1.72aadba8e89fbp-6, 0x1.0c3f1d92ac775p-5, -0x1.9134d1690bb43p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.be0ef5b675983p-9, -0x1.3d34c79a7693cp-6, 0x1.0a5daafdc802ep-5, -0x1.891d7f851b8cep-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.49bb79abd0e94p-9, -0x1.08ab8a9aad2ffp-6, 0x1.02feb70015e51p-5, -0x1.56eb14be4bbcbp-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d41af290f495fp-10, -0x1.ac50666762d16p-7, 0x1.ec45660b7fb52p-6, -0x1.e97382815e1b4p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.3bfb24da1b8bep-10, -0x1.4d87ddda89582p-7, 0x1.c78fef74ff0cep-6, -0x1.3dabaee054287p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.904fd090ebap-11, -0x1.ee5dde9c5d466p-8, 0x1.97e962068c071p-6, -0x1.87d0b523f0854p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.d342f516263bfp-12, -0x1.56f4db8e0614fp-8, 0x1.5d23ad4127f33p-6, -0x1.cd7ba219aa105p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ea2234781fbffp-13, -0x1.b24a5a126c2bbp-9, 0x1.17eabb56e80acp-6, -0x1.11ededd156d28p-5}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.bf04936b9616cp-14, -0x1.e674f4ad50eeep-10, 0x1.8b79e7fd02613p-7, -0x1.0530a3fef78e1p-5}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.4f609186bdadbp-15, -0x1.d185e39c5c91ep-11, 0x1.dd863e61a87fcp-8, -0x1.7f1fde7a17392p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.6cfc92fb234e4p-17, -0x1.5ee8201ec0ef4p-12, 0x1.ef4ca4fd9b899p-9, -0x1.0a57db9dc2865p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a2bfaa8123a12p-20, -0x1.4a0c3f2235983p-14, 0x1.5f6007b3caa01p-10, -0x1.efc57f4ebada5p-8}, 
        {0x1.4666666666666p+2, 0x1.4851eb851eb85p+2, 0x1.08fd49e5b0801p-25, -0x1.74596b5d02d61p-20, 0x1.af4c40f13a8bfp-13, -0x1.74a32c673c451p-6}, 
      }}, 
      0x1.b10dd84804f82p-1, -0x1.4316ea47b4abdp+3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.bca6c94e6bca6p-2, -0x1.a345d2c8fcd6dp-2, -0x1.7c292b5429eefp-2, -0x1.4abe97a3e2af7p-2, -0x1.127b97208e3eap-2, -0x1.ad1265a3d4611p-3, -0x1.3337ec3a8466bp-3, -0x1.779a618d25329p-4, -0x1.28e14270b086ep-5, 0x1.f0ad50f6cb21bp-7, 0x1.f9349722fe803p-5, 0x1.a51882602122fp-4, 0x1.1b52f9634fb4cp-3, 0x1.589bcc06f2538p-3, 0x1.8ab702258cabbp-3, 0x1.b23441de4f348p-3, 0x1.cfcfbd0250a3p-3, 0x1.e462ab8ad664bp-3, 0x1.f0d6b619832ecp-3, 0x1.f61bf5fa46756p-3, 0x1.f5213872114d8p-3, 0x1.eece32d1d16fdp-3, 0x1.e3ff58f65efafp-3, 0x1.d5830963619c3p-3, 0x1.c417cb3ac04ccp-3, 0x1.b06b633a1eaddp-3, 0x1.9b1a8c967b0bdp-3, 0x1.84b12c2cee2cep-3, 0x1.6daadb1285b85p-3, 0x1.5673ad16e591cp-3, 0x1.3f691dcca4cdap-3, 0x1.28db138c6915p-3, 0x1.130cec733d167p-3, 0x1.fc6d1991862afp-4, 0x1.d50ad0f72901p-4, 0x1.b03b07f555dccp-4, 0x1.8e34d2c99a9f3p-4, 0x1.6f2020f185c4dp-4, 0x1.531770782d339p-4, 0x1.3a2963e1fc378p-4, 0x1.245a3ada2383p-4, 0x1.11a52e71d0846p-4, 0x1.01fdb224d06adp-4, 0x1.eaa135f1108edp-5, 0x1.d70a5c0a65d8dp-5, 0x1.c8fc2f0d81f2cp-5, 0x1.c034974fd1e23p-5, 0x1.bc6ba3e12e87dp-5, 0x1.bd54f8fe1ac3cp-5, 0x1.c2a117e693cbcp-5, 0x1.cbfe823da415ep-5, 0x1.d91aba8280eeap-5, 0x1.e9a324ea54904p-5, 0x1.fd45c7e23ebaap-5, 0x1.09d8fade7db8cp-4, 0x1.164c6b597cbddp-4, 0x1.23d6ef1b1e034p-4, 0x1.3253965939678p-4, 0x1.419eea419b938p-4, 0x1.51970c46c08bfp-4, 0x1.621bcdc8ede54p-4, 0x1.730eba77ddf56p-4, 0x1.845324abeccaap-4, 0x1.95ce25dbc88c5p-4, 0x1.a7669c8c71dabp-4, 0x1.b90529e94dbf9p-4, 0x1.ca94264254b0fp-4, 0x1.dbff9b09de97ap-4, 0x1.ed35344ccda45p-4, 0x1.fe24317ab0d22p-4, 0x1.075eaa9909ec4p-3, 0x1.0f796a9952afbp-3, 0x1.175c230faaab7p-3, 0x1.1f014845d158ap-3, 0x1.2663ed5cb7d17p-3, 0x1.2d7fbd4e8a1cp-3, 0x1.3450f220b6804p-3, 0x1.3ad44c7d75561p-3, 0x1.41070b06acf02p-3, 0x1.46e6e2a95c476p-3, 0x1.4c71f6a33deeep-3, 0x1.51a6d116f0586p-3, 0x1.56845c7b5d161p-3, 0x1.5b09dbf1101aap-3, 0x1.5f36e59d848ecp-3, 0x1.630b5bdf47b17p-3, 0x1.66876740ef764p-3, 0x1.69ab7088c2c1bp-3, 0x1.6c781ae41892bp-3, 0x1.6eee3ebd2831fp-3, 0x1.710ee44f45278p-3, 0x1.72db3ef0f01d1p-3, 0x1.7454a88a53578p-3, 0x1.757c9d5c0742p-3, 0x1.7654b7fd317b5p-3, 0x1.76deae163da37p-3, 0x1.771c4c3be0903p-3, 0x1.770f734db83a3p-3, 0x1.76ba15b8c88cp-3, 0x1.761e33f4ce73p-3, 0x1.753ddb192d513p-3, 0x1.741b20f777875p-3, 0x1.72b8235393fb9p-3, 0x1.71170527bb4b7p-3, 0x1.6f39ecc379ee3p-3, 0x1.6d230330fcadp-3, 0x1.6ad4701753d0fp-3, 0x1.68505b07b7f5dp-3, 0x1.6598e8bc54638p-3, 0x1.62b03a302d71fp-3, 0x1.5f986b9f5c2dfp-3, 0x1.5c53935801afcp-3, 0x1.58e3c19c51cb1p-3, 0x1.554afe73fdda6p-3, 0x1.518b4a68310d3p-3, 0x1.4da69d4416553p-3, 0x1.499ee55782687p-3, 0x1.45760803bbfd2p-3, 0x1.412ddfb9ada65p-3, 0x1.3cc83d13b3dd8p-3, 0x1.3846e5e2400adp-3, 0x1.33ab952421cbfp-3, 0x1.2ef7fa4226a4cp-3, 0x1.2a2dba2c94561p-3, 0x1.254e6df0e17fbp-3, 0x1.205ba35e69b33p-3, 0x1.1b56dcd414896p-3, 0x1.16419160250eap-3, 0x1.111d2c1e26974p-3, 0x1.0beb0de2a6082p-3, 0x1.06ac8b89b5734p-3, 0x1.0162eeec25cefp-3, 0x1.f81eee1d08fe7p-4, 0x1.ed66afea16736p-4, 0x1.e29f766d838b5p-4, 0x1.d7cb7eb36d0e4p-4, 0x1.ccecf1e219374p-4, 0x1.c205e4e62d8dbp-4, 0x1.b71857815e2ccp-4, 0x1.ac2636fe3c0f3p-4, 0x1.a1315c1fe99c8p-4, 0x1.963b8e22009b8p-4, 0x1.8b4680544a1b5p-4, 0x1.8053d4f43164cp-4, 0x1.75651c67050e1p-4, 0x1.6a7bd56381485p-4, 0x1.5f996e5540763p-4, 0x1.54bf45087aa05p-4, 0x1.49eea7c8e1c02p-4, 0x1.3f28d4cc19db4p-4, 0x1.346efb8d42272p-4, 0x1.29c23d0c3e8edp-4, 0x1.1f23abf9fa799p-4, 0x1.14944cf547c68p-4, 0x1.0a151794e307ap-4, 0x1.ff4decfefa827p-5, 0x1.ea958f3b5b79cp-5, 0x1.d602b902d74bbp-5, 0x1.c196f628bc653p-5, 0x1.ad53bc18e00ecp-5, 0x1.993a69ac389b2p-5, 0x1.854c47fdabd46p-5, 0x1.718a8bcfdf08ap-5, 0x1.5df6569ab6aaep-5, 0x1.4a90b6343ceeap-5, 0x1.375aa51e18655p-5, 0x1.24550ca6a4076p-5, 0x1.1180c582a61cp-5, 0x1.fdbd2e1f556ep-6, 0x1.d8de724f98646p-6, 0x1.b466a79a93472p-6, 0x1.905702d6dca51p-6, 0x1.6cb09ae648f01p-6, 0x1.49746d4f9f434p-6, 0x1.26a35c6625b31p-6, 0x1.043e313cebcbp-6, 0x1.c48b3f563f16p-7, 0x1.817487918b4f7p-7, 0x1.3f39461e08b3p-7, 0x1.fbb4b7861ab2cp-8, 0x1.7ab1081e8d841p-8, 0x1.f6d1581616eadp-9, 0x1.f77214d8ba714p-10, 0x1.069697b71d666p-15, -0x1.e0141418b0b1ep-10, -0x1.e0b3ea095b84ap-9, -0x1.66f1c022de01fp-8, -0x1.dbccc094ff71fp-8, -0x1.2775c5b782bb1p-7, -0x1.602774440da3ap-7, -0x1.97fbe721f12fdp-7, -0x1.cef3b04fbfbecp-7, -0x1.0287bc7034542p-6, -0x1.1d2800a0735b8p-6, -0x1.375b0f22f0cacp-6, -0x1.51215bddc478fp-6, -0x1.6a7b6216c754bp-6, -0x1.8369a70749c88p-6, -0x1.9becb81548885p-6, -0x1.b4052b3ae9b21p-6, -0x1.cbb39d3ffc329p-6, -0x1.e2f8b13e6c89cp-6, -0x1.f9d51087322cep-6, -0x1.0824b5734c9dap-5, -0x1.132b3b57a58c3p-5, -0x1.1dfe778ddd15ep-5, -0x1.289eca6ff49e4p-5, -0x1.330c9631247ecp-5, -0x1.3d483f385a1e9p-5, -0x1.47522c232998ep-5, -0x1.512ac5bb1f8f7p-5, -0x1.5ad276843e64cp-5, -0x1.6449aa6d2bdacp-5, -0x1.6d90cec702e69p-5, -0x1.76a85226364c6p-5, -0x1.7f90a479d4a22p-5, -0x1.884a370acee4p-5, -0x1.90d57c23df9f3p-5, -0x1.9932e6eb7777cp-5, -0x1.a162eb1c746ecp-5, -0x1.a965fd1cde6ecp-5, -0x1.b13c91fe6bf19p-5, -0x1.b8e71f6dd0815p-5, -0x1.c0661bc2bdf12p-5, -0x1.c7b9fd8cfc781p-5, -0x1.cee33b85fd095p-5, -0x1.d5e24c7467ec5p-5, -0x1.dcb7a74022bfbp-5, -0x1.e363c2f7c27a8p-5, -0x1.e9e716ffd2247p-5, -0x1.f0421a64015eep-5, -0x1.f675442e0b78bp-5, -0x1.fc810aecadf66p-5, -0x1.0132f27c1d33ep-4, -0x1.0412242d083a9p-4, -0x1.06de558ab9369p-4, -0x1.0997c16310a1fp-4, -0x1.0c3ea24d21b96p-4, -0x1.0ed332718abfap-4, -0x1.1155abcccbf58p-4, -0x1.13c6480551fdp-4, -0x1.162540902db4bp-4, -0x1.1872ceae9139p-4, -0x1.1aaf2b3c552aap-4, -0x1.1cda8eacbc9dfp-4, -0x1.1ef53102b80ccp-4, -0x1.20ff49db22656p-4, -0x1.22f9108867154p-4, -0x1.24e2bc15b769ep-4, -0x1.26bc832b4075fp-4, -0x1.28869bf911907p-4, -0x1.2a413c211fb5bp-4, -0x1.2bec98bd5b7e4p-4, -0x1.2d88e6836b797p-4, -0x1.2f1659cf0aa96p-4, -0x1.309526aaca1bcp-4, -0x1.320580ae0d4f1p-4, -0x1.33679adfd1a5dp-4, -0x1.34bba7aa94f23p-4, -0x1.3601d8ddadbcfp-4, -0x1.373a5fd4d8478p-4, -0x1.38656d936b78p-4, -0x1.398332cc3b335p-4, -0x1.3a93dfbee58a3p-4, -0x1.3b97a419a9dep-4, -0x1.3c8eaedb5a67cp-4, -0x1.3d792e57ce9c8p-4, -0x1.3e57506de15b3p-4, -0x1.3f2942802cba6p-4, -0x1.3fef31c1f00ap-4, -0x1.40a94ae59a399p-4, -0x1.4157ba3e82ae9p-4, -0x1.41faab68c82afp-4, -0x1.429249516e168p-4, -0x1.431ebe4083ea6p-4, -0x1.43a0340bfcc59p-4, -0x1.4416d42bea637p-4, -0x1.4482c7d6cce9ap-4, -0x1.44e437e7e07c6p-4, -0x1.453b4cbe27539p-4, -0x1.45882e0eac5f3p-4, -0x1.45cb02dec2a2bp-4, -0x1.4603f192e2bffp-4, -0x1.4633201ce23ccp-4, -0x1.4658b41aa45bfp-4, -0x1.4674d2f2beb64p-4, -0x1.4687a1bd9b6dep-4, -0x1.4691452e16355p-4, -0x1.4691e15a3a6fp-4, -0x1.468999b7a5a6cp-4, -0x1.467891156c27p-4, -0x1.465ee9c36e363p-4, -0x1.463cc5c16abc3p-4, -0x1.461246d716bacp-4, -0x1.45df8e9761a23p-4, -0x1.45a4be50efc59p-4, -0x1.4561f6de11107p-4, -0x1.45175880ec48fp-4, -0x1.44c502f4ff708p-4, -0x1.446b1553de004p-4, -0x1.4409ae575dd54p-4, -0x1.43a0ec750873ep-4, -0x1.4330edf920a1ap-4, -0x1.42b9d10c86653p-4, -0x1.423bb3950555bp-4, -0x1.41b6b31b76065p-4, -0x1.412aeca8f3a13p-4, -0x1.40987cbb7c927p-4, -0x1.3fff7f50f6623p-4, -0x1.3f601004b7e23p-4, -0x1.3eba4a3409716p-4, -0x1.3e0e491a313c6p-4, -0x1.3d5c27d88922ep-4, -0x1.3ca401677e58p-4, -0x1.3be5f07e18471p-4, -0x1.3b220f7177a65p-4, -0x1.3a58782197f2ap-4, -0x1.398943f85e6c8p-4, -0x1.38b48bfb4b066p-4, -0x1.37da68e882da1p-4, -0x1.36faf355feca3p-4, -0x1.361643c13a656p-4, -0x1.352c729b919d6p-4, -0x1.343d982ed3e94p-4, -0x1.3349cc8ee04aap-4, -0x1.3251277c16336p-4, -0x1.3153c0542957ep-4, -0x1.3051ae110943ap-4, -0x1.2f4b0758e0cf1p-4, -0x1.2e3fe294cc2a8p-4, -0x1.2d305609baff7p-4, -0x1.2c1c77eb5b0a4p-4, -0x1.2b045e61bee28p-4, -0x1.29e81f80911fcp-4, -0x1.28c7d1347835fp-4, -0x1.27a3892e48f38p-4, -0x1.267b5cd1dcdb8p-4, -0x1.254f612f94369p-4, -0x1.241fab0c30823p-4, -0x1.22ec4eebc81b6p-4, -0x1.21b5612d139fp-4, -0x1.207af6146a8dp-4, -0x1.1f3d21dbaf0a8p-4, -0x1.1dfbf8b2291d6p-4, -0x1.1cb78eb46bd97p-4, -0x1.1b6ff7dd1ce29p-4, -0x1.1a2547f2f96d6p-4, -0x1.18d7927d62dccp-4, -0x1.1786eabf65425p-4, -0x1.163363bc57256p-4, -0x1.14dd104371aa5p-4, -0x1.138402fe97c5fp-4, -0x1.12284e7fe44c4p-4, -0x1.10ca054c094dep-4, -0x1.0f6939dccfbefp-4, -0x1.0e05fe9d403ccp-4, -0x1.0ca065df7debbp-4, -0x1.0b3881cfa43efp-4, -0x1.09ce64684bd85p-4, -0x1.08621f6bbf5e3p-4, -0x1.06f3c4636bc15p-4, -0x1.058364a63da02p-4, -0x1.04111161f5104p-4, -0x1.029cdba5a2e3fp-4, -0x1.0126d46a68269p-4, -0x1.ff5e1932c955ep-5, -0x1.fc6b2a1a5a767p-5, -0x1.f974fd1cd7a3fp-5, -0x1.f67bb398c8aecp-5, -0x1.f37f6ea6331dep-5, -0x1.f0804f061180cp-5, -0x1.ed7e7516a13eep-5, -0x1.ea7a00d1f6151p-5, -0x1.e77311d557f73p-5, -0x1.e469c76de2bfcp-5, -0x1.e15e40a5b6d49p-5, -0x1.de509c50e36d5p-5, -0x1.db40f916818a8p-5, -0x1.d82f7571c9ea6p-5, -0x1.d51c2fc03e14ap-5, -0x1.d207461ade449p-5, -0x1.cef0d66ce97adp-5, -0x1.cbd8fe50884a6p-5, -0x1.c8bfdb0aa04c5p-5, -0x1.c5a589832a981p-5, -0x1.c28a26464f59ap-5, -0x1.bf6dcd897aefdp-5, -0x1.bc509b31fd752p-5, -0x1.b932aae161f42p-5, -0x1.b61417fe75aa8p-5, -0x1.b2f4fdb46d8a3p-5, -0x1.afd576f5349e6p-5, -0x1.acb59e900f42fp-5, -0x1.a9958eef24558p-5, -0x1.a675627667e2cp-5, -0x1.a3553316053e9p-5, -0x1.a0351a77b8cd6p-5, -0x1.9d1531edab785p-5, -0x1.99f5926e5e0d4p-5, -0x1.96d6549877265p-5, -0x1.93b790b7afd1dp-5, -0x1.90995eca8db42p-5, -0x1.8d7bd687587b5p-5, -0x1.8a5f0f5f9d89bp-5, -0x1.8743208286cbbp-5, -0x1.842820de0fa3dp-5, -0x1.810e271ed61e5p-5, -0x1.7df549adf71fap-5, -0x1.7add9eacd6955p-5, -0x1.77c73bef8af99p-5, -0x1.74b236f764a2ep-5, -0x1.719ea4ee07172p-5, -0x1.6e8c9aa3db765p-5, -0x1.6b7c2c927e2fcp-5, -0x1.686d6edef51fdp-5, -0x1.6560755cd494fp-5, -0x1.625553920b1a2p-5, -0x1.5f4c1cb882665p-5, -0x1.5c44e3bec1e9fp-5, -0x1.593fbb495d139p-5, -0x1.563cb5b326ae7p-5, -0x1.533be50d584aap-5, -0x1.503d5b1ee4136p-5, -0x1.4d41296291ba5p-5, -0x1.4a47610422a19p-5, -0x1.475012dd50064p-5, -0x1.445b4f7396a54p-5, -0x1.416926f76cc58p-5, -0x1.3e79a944f7c57p-5, -0x1.3b8ce5e5940f2p-5, -0x1.38a2ec116d3bbp-5, -0x1.35bbcab0431bbp-5, -0x1.32d79058c4b36p-5, -0x1.2ff64b587cf5bp-5, -0x1.2d18099f87cb8p-5, -0x1.2a3cd8d4d061bp-5, -0x1.2764c65d6802p-5, -0x1.248fdf42338fdp-5, -0x1.21be304acc8a4p-5, -0x1.1eefc5f622766p-5, -0x1.1c24ac7b3c086p-5, -0x1.195cefc8a3037p-5, -0x1.16989b837f2cfp-5, -0x1.13d7bb04c7d53p-5, -0x1.111a5952f6fdcp-5, -0x1.0e608130ac21cp-5, -0x1.0baa3d00d7606p-5, -0x1.08f796cdd31c6p-5, -0x1.064898518e4a4p-5, -0x1.039d4aeb10389p-5, -0x1.00f5b7a4e3526p-5, -0x1.fca3ce774c766p-6, -0x1.f763c44d84fe6p-6, -0x1.f22b614459d07p-6, -0x1.ecfab56e5265bp-6, -0x1.e7d1d083f1dcp-6, -0x1.e2b0c1e5b46e5p-6, -0x1.dd979893212cbp-6, -0x1.d88663172ffdbp-6, -0x1.d37d2f6cee856p-6, -0x1.ce7c0ae0dd8cbp-6, -0x1.c98301f346cf6p-6, -0x1.c492204bcee91p-6, -0x1.bfa970a2c5ccep-6, -0x1.bac8fcd86fb53p-6, -0x1.b5f0ce08e3642p-6, -0x1.b120ecb6fd41dp-6, -0x1.ac5960ffd02a4p-6, -0x1.a79a32d140e25p-6, -0x1.a2e36a19cce22p-6, -0x1.9e350ee8888ccp-6, -0x1.998f2971894fbp-6, -0x1.94f1c1f9c04f9p-6, -0x1.905ce0a6a2a79p-6, -0x1.8bd08d36ef77p-6, -0x1.874ccea59547ep-6, -0x1.82d1aad5ad264p-6, -0x1.7e5f266145367p-6, -0x1.79f544736fb58p-6, -0x1.759406c2a827dp-6, -0x1.713b6dcf8d7ebp-6, -0x1.6ceb79407e973p-6, -0x1.68a4284ed7785p-6, -0x1.64657a443d82p-6, -0x1.602f6ef08fd75p-6, -0x1.5c020702fe94dp-6, -0x1.57dd443570a1fp-6, -0x1.53c1293ef7375p-6, -0x1.4fadb98a76151p-6, -0x1.4ba2f8b83e8dcp-6, -0x1.47a0e9ea17b3bp-6, -0x1.43a78f8931e02p-6, -0x1.3fb6e9a9cf404p-6, -0x1.3bcef6e8a9a24p-6, -0x1.37efb35571b16p-6, -0x1.341918fb2b7cbp-6, -0x1.304b202dd3866p-6, -0x1.2c85c0356902bp-6, -0x1.28c8f015a38d8p-6, -0x1.2514a76123786p-6, -0x1.2168def7e7975p-6, -0x1.1dc5919389fa7p-6, -0x1.1a2abc075ed8dp-6, -0x1.16985d235011fp-6, -0x1.130e75357ff6bp-6, -0x1.0f8d0537a888p-6, -0x1.0c140dc5ee08dp-6, -0x1.08a38e09d8ab1p-6, -0x1.053b82c927ba6p-6, -0x1.01dbe5c2d5dedp-6, -0x1.fd095aed2c021p-7, -0x1.f66b9abe9de25p-7, -0x1.efde6d2bdf78ep-7, -0x1.e961b18671744p-7, -0x1.e2f5467f16472p-7, -0x1.dc990c7b9eb19p-7, -0x1.d64ce7acd498fp-7, -0x1.d010c21b98a9cp-7, -0x1.c9e48c617423fp-7, -0x1.c3c83e05da27ap-7, -0x1.bdbbd4ffb77e4p-7, -0x1.b7bf53b8e292ep-7, -0x1.b1d2be7cc672dp-7, -0x1.abf6184770141p-7, -0x1.a6295f856c716p-7, -0x1.a06c8b5288dc3p-7, -0x1.9abf89b51c7abp-7, -0x1.95223f229f87dp-7, -0x1.8f94875642cbap-7, -0x1.8a16373681fe2p-7, -0x1.84a71f68f4e9ep-7, -0x1.7f470f21c6924p-7, -0x1.79f5d6cfd2eedp-7, -0x1.74b34a7a2cd11p-7, -0x1.6f7f43bd72f47p-7, -0x1.6a59a3661c9a2p-7, -0x1.654252907f503p-7, -0x1.60394321c130fp-7, -0x1.5b3e6f59779dp-7, -0x1.5651d8470b453p-7, -0x1.5173831d08119p-7, -0x1.4ca375a45ca76p-7, -0x1.47e1b25d7929ep-7, -0x1.432e350d55ee4p-7, -0x1.3e88f07007815p-7, -0x1.39f1cd8869629p-7, -0x1.3568ac94bcd9fp-7, -0x1.30ed67378ccd3p-7, -0x1.2c7fd312e3f0fp-7, -0x1.281fc40da7dd6p-7, -0x1.23cd0dc501e45p-7, -0x1.1f8784252dc16p-7, -0x1.1b4efb9522693p-7, -0x1.17234951135ddp-7, -0x1.1304446a808c2p-7, -0x1.0ef1c77dbc816p-7, -0x1.0aebb2b49f80ap-7, -0x1.06f1ed5dc3a5ap-7, -0x1.03046658b2a7dp-7, -0x1.fe4625c7e930fp-8, -0x1.f69bd7c098675p-8, -0x1.ef09d45c5e2b3p-8, -0x1.e790065f7cb07p-8, -0x1.e02e4d06d15cap-8, -0x1.d8e47b5fbc09bp-8, -0x1.d1b25b9afaff8p-8, -0x1.ca97b4f3d5e0bp-8, -0x1.c39451b04b062p-8, -0x1.bca802965bd43p-8, -0x1.b5d29e290f1cap-8, -0x1.af13fbcad7b05p-8, -0x1.a86becd57b7ffp-8, -0x1.a1da369285d6p-8, -0x1.9b5e904dbf134p-8, -0x1.94f8a634a2badp-8, -0x1.8ea820a98aa2cp-8, -0x1.886cad2b59affp-8, -0x1.824605c093a3cp-8, -0x1.7c33f443253a4p-8, -0x1.7636507ba49a7p-8, -0x1.704cf9e1fe979p-8, -0x1.6a77cf6944457p-8, -0x1.64b6a86699c4p-8, -0x1.5f0950e7de4bbp-8, -0x1.596f8b100d3e3p-8, -0x1.53e9142a2f9efp-8, -0x1.4e75acbf95348p-8, -0x1.4915202d55634p-8, -0x1.43c748f5d272p-8, -0x1.3e8c11f4186e5p-8, -0x1.39636b77608b7p-8, -0x1.344d453b2ab2dp-8, -0x1.2f497f2e38b02p-8, -0x1.2a57e42673f6fp-8, -0x1.257828ead2874p-8, -0x1.20a9f4853fa52p-8, -0x1.1becec91f839bp-8, -0x1.1740c0e6fa181p-8, -0x1.12a53348e30adp-8, -0x1.0e1a189db801cp-8, -0x1.099f54156d24ep-8, -0x1.0534cebbb592cp-8, -0x1.00da6efe789d5p-8, -0x1.f920267528596p-9, -0x1.f0ab210d8cf1ep-9, -0x1.e85569c71c725p-9, -0x1.e01e960c20b8fp-9, -0x1.d8063cc97ace4p-9, -0x1.d00bfe2015ff7p-9, -0x1.c82f8a23c2e5fp-9, -0x1.c070a4b09b85fp-9, -0x1.b8cf230891866p-9, -0x1.b14ae0f5987c8p-9, -0x1.a9e3af2b05ca9p-9, -0x1.a29941956788p-9, -0x1.9b6b268f03c0bp-9, -0x1.9458ccc03e572p-9, -0x1.8d6195a3abe8fp-9, -0x1.8684eb6200d1ap-9, -0x1.7fc24fca4b3cbp-9, -0x1.79195feb638fcp-9, -0x1.7289ce8ea60dp-9, -0x1.6c135a4d8f0f1p-9, -0x1.65b5c32778d9dp-9, -0x1.5f70c2d4b89f5p-9, -0x1.59440a91a7a5ep-9, -0x1.532f46a59a5a9p-9, -0x1.4d3224b1e566bp-9, -0x1.474c59066be4ep-9, -0x1.417da121a2962p-9, -0x1.3bc5c35f19f68p-9, -0x1.36248c4f460eap-9, -0x1.3099cab49ed63p-9, -0x1.2b254c436a9bbp-9, -0x1.25c6dce19923cp-9, -0x1.207e471d5f7dep-9, -0x1.1b4b51eb6238ep-9, -0x1.162db9a848993p-9, -0x1.1125285590aebp-9, -0x1.0c3135226d83ap-9, -0x1.07516f756887ep-9, -0x1.02856f3d528afp-9, -0x1.fb99bbc90e5fcp-10, -0x1.f24ee4c7b5ec5p-10, -0x1.e929d2bfe29a4p-10, -0x1.e02a0b5b8c44ep-10, -0x1.d74f317a79fa4p-10, -0x1.ce990d07b253p-10, -0x1.c60778e5bd2a2p-10, -0x1.bd9a3ef6edb3bp-10, -0x1.b550f8929d849p-10, -0x1.ad2b07728e379p-10, -0x1.a527ad1f27d95p-10, -0x1.9d463151cda63p-10, -0x1.9585f960fe101p-10, -0x1.8de67e473335ep-10, -0x1.86672e1e847c8p-10, -0x1.7f0759451743cp-10, -0x1.77c63f2db9899p-10, -0x1.70a332ef27762p-10, -0x1.699dbd7986e5ep-10, -0x1.62b5a6a94fb6fp-10, -0x1.5beadf627dd4dp-10, -0x1.553d5989f0fb8p-10, -0x1.4eace6b17ef42p-10, -0x1.483931d82cde9p-10, -0x1.41e1ce83089fcp-10, -0x1.3ba63cb326bc2p-10, -0x1.3585d05181e1p-10, -0x1.2f7fa24399032p-10, -0x1.2992c2312da69p-10, -0x1.23be988cff0a2p-10, -0x1.1e031f5ca0c7ep-10, -0x1.1860af5acac65p-10, -0x1.12d794df97ea5p-10, -0x1.0d67bbd8c0154p-10, -0x1.0810b4fd866dp-10, -0x1.02d1fe0ef1fe1p-10, -0x1.fb5684f77dc7ep-11, -0x1.f138b4cb21702p-11, -0x1.e74a2c213d8d3p-11, -0x1.dd8a2062d7389p-11, -0x1.d3f7523ba91dp-11, -0x1.ca9040c3adeb3p-11, -0x1.c15369e03640dp-11, -0x1.b83f7ab57ca92p-11, -0x1.af5382770064cp-11, -0x1.a68eec1bc806bp-11, -0x1.9df16daa97fd3p-11, -0x1.957ae78a563adp-11, -0x1.8d2b0fd3aeb7bp-11, -0x1.850150654cdc9p-11, -0x1.7cfcecfc0bd4ep-11, -0x1.751d4db438dc1p-11, -0x1.6d61f53560fd1p-11, -0x1.65ca0787e295p-11, -0x1.5e541f249385cp-11, -0x1.56ff0d7ed2414p-11, -0x1.4fcac8b103171p-11, -0x1.48b8282015ff7p-11, -0x1.41c7a07cc0a94p-11, -0x1.3af86ff9a26ecp-11, -0x1.3449120a87eap-11, -0x1.2db862fc652fap-11, -0x1.2746335120f7cp-11, -0x1.20f2e1dc6ddcp-11, -0x1.1abe9d22d8ae2p-11, -0x1.14a90de0a8427p-11, -0x1.0eb18b921b26dp-11, -0x1.08d7568122514p-11, -0x1.031991d755b02p-11, -0x1.faeeda224acb3p-12, -0x1.efe0379ff8311p-12, -0x1.e505d729fbd9ep-12, -0x1.da5eb25061b8p-12, -0x1.cfea3a52ef3e2p-12, -0x1.c5a84e2dd4813p-12, -0x1.bb98fd8c4f6a3p-12, -0x1.b1bc1cb5dd911p-12, -0x1.a810e68c3af7bp-12, -0x1.9e961a66e8782p-12, -0x1.954aa019d54bp-12, -0x1.8c2dd4e6fba8ap-12, -0x1.833eb28c5b5dbp-12, -0x1.7a7ade91d2165p-12, -0x1.71dfc63c4414p-12, -0x1.696ceac08f427p-12, -0x1.6123a38c98297p-12, -0x1.590462a55589fp-12, -0x1.510d921f55c4cp-12, -0x1.493d6c866b85cp-12, -0x1.4193ccf472ed8p-12, -0x1.3a116976a6d1ap-12, -0x1.32b61a700330fp-12, -0x1.2b80a2e56d11bp-12, -0x1.246f931a4d5d3p-12, -0x1.1d81ef06bbe08p-12, -0x1.16b747578a31cp-12, -0x1.100f81abc15b8p-12, -0x1.098a84df0dcbfp-12, -0x1.0327f1f2a3c4ap-12, -0x1.f9ce17a132fafp-13, -0x1.ed8da8133baeep-13, -0x1.e18c82fd5fad2p-13, -0x1.d5c8ddb12d26fp-13, -0x1.ca4163e4e79f3p-13, -0x1.bef53deef591p-13, -0x1.b3e3ea8db7f2fp-13, -0x1.a90cd3acbfc48p-13, -0x1.9e6ec6d43ee0bp-13, -0x1.94080063ba661p-13, -0x1.89d73986ea227p-13, -0x1.7fdcb9a9151ecp-13, -0x1.76193d025172dp-13, -0x1.6c8b6d246ace8p-13, -0x1.6330211a6ad78p-13, -0x1.5a06b12aaa5c6p-13, -0x1.51105eeadff33p-13, -0x1.484b951179dcp-13, -0x1.3fb53cb1e76bdp-13, -0x1.374d1510cc48cp-13, -0x1.2f14132aba1b7p-13, -0x1.270902f65ac94p-13, -0x1.1f295c4441d2ep-13, -0x1.17733f0cabd31p-13, -0x1.0fe5eb35f5ccep-13, -0x1.0881480c40173p-13, -0x1.01454e2af88cp-13, -0x1.f4633ff417c02p-14, -0x1.e68ad9e6a2f52p-14, -0x1.d8ff5fa84deaep-14, -0x1.cbbf4c07d3f4dp-14, -0x1.beca20be3e168p-14, -0x1.b21fcd1666f1ap-14, -0x1.a5bf8ad420addp-14, -0x1.99a763a6a9cf7p-14, -0x1.8dd4b1b3ee238p-14, -0x1.8244f930cbb9bp-14, -0x1.76f67abb7a6cap-14, -0x1.6be83a4bf6628p-14, -0x1.61195ddb81775p-14, -0x1.568853775cb02p-14, -0x1.4c32f0e29be3cp-14, -0x1.4217c370ff94dp-14, -0x1.383829febf0edp-14, -0x1.2e96a72753cc2p-14, -0x1.2530d67ea18ebp-14, -0x1.1c00735b9aaa6p-14, -0x1.13049a2bcfaf4p-14, -0x1.0a3cfe6c5c8f8p-14, -0x1.01a6e87c9059ap-14, -0x1.f288ed2daf407p-15, -0x1.e22f69c729e2bp-15, -0x1.d23c8afaf68bp-15, -0x1.c2aaca64909d7p-15, -0x1.b377b36a2a961p-15, -0x1.a4a284ff7af55p-15, -0x1.962abcd295751p-15, -0x1.880f45756bbc9p-15, -0x1.7a4dc5a1a64c3p-15, -0x1.6ce2383a07a9cp-15, -0x1.5fc7be51c3d36p-15, -0x1.52face761c83dp-15, -0x1.467b18206b9f2p-15, -0x1.3a4a785bb5a49p-15, -0x1.2e6985d38eb4fp-15, -0x1.22d57fbc70da5p-15, -0x1.178a72a7904d6p-15, -0x1.0c86fbb733ce3p-15, -0x1.01cc3a4d5e385p-15, -0x1.eeb4935980bep-16, -0x1.da5d80878a1fdp-16, -0x1.c68cd66aca494p-16, -0x1.b33e0773f9934p-16, -0x1.a06e081e56387p-16, -0x1.8e193d176248ap-16, -0x1.7c3b8e2a4a889p-16, -0x1.6ad2f89b8fba4p-16, -0x1.59e312a362468p-16, -0x1.4973073c67cd9p-16, -0x1.397a0ecc346cep-16, -0x1.29e6c674863bap-16, -0x1.1ab6c88eae515p-16, -0x1.0be98e689dc4cp-16, -0x1.fb1600bbcf763p-17, -0x1.df36e72338e39p-17, -0x1.c4203988211b6p-17, -0x1.a9c705b58462p-17, -0x1.90283ee11492bp-17, -0x1.7741b03ddd12p-17, -0x1.5f103f1ac8831p-17, -0x1.478fe69a4f5e2p-17, -0x1.30bd71aee3361p-17, -0x1.1a9403d0c4529p-17, -0x1.05104d8e2da09p-17, -0x1.e05ea9075e36p-18, -0x1.b7de662eec585p-18, -0x1.909e9eeb9fab2p-18, -0x1.6aa0471e2a913p-18, -0x1.45e2bb88377bap-18, -0x1.225a074921356p-18, -0x1.ffd291ad5f2d7p-19, -0x1.bcedf6388f4p-19, -0x1.7c0dcf215e575p-19, -0x1.3d487a960c7f2p-19, -0x1.007b28582169cp-19, -0x1.8afca614cd428p-20, -0x1.18df5e5fc54c1p-20, -0x1.55ceb5db3adebp-21, -0x1.03bc95b748b39p-22, }}, 
      {{-0x1.c288730f4df21p-2, -0x1.b9df64582938p-2, -0x1.ac22a1760bee1p-2, -0x1.9a1e44af33962p-2, -0x1.84adc471adaaap-2, -0x1.6ca8725326faep-2, -0x1.52d61ed7dfbe5p-2, -0x1.37e91d96cc019p-2, -0x1.1c7bc56a07be9p-2, -0x1.0110252e8416ap-2, -0x1.cc22247cd4ef6p-3, -0x1.97a7faac94c3p-3, -0x1.65365723ec753p-3, -0x1.35302444be8cdp-3, -0x1.07db56e0ee976p-3, -0x1.bacaa783ef586p-4, -0x1.6bcdfdf4745a5p-4, -0x1.22d0c489621adp-4, -0x1.bf8fae88e5c7cp-5, -0x1.452511b0ed824p-5, -0x1.abfe11b904cf6p-6, -0x1.c68801d1d4a84p-7, -0x1.7807d820dae82p-9, 0x1.c7f82b94d0a9p-8, 0x1.00fa855cb132bp-6, 0x1.7f3c8ec61aa29p-6, 0x1.ee0c99f088a71p-6, 0x1.275748aa169dcp-5, 0x1.512f03e8a2caep-5, 0x1.7525af102dbddp-5, 0x1.93ccd78c809dp-5, 0x1.adaeae3339cd8p-5, 0x1.c34d8df1c7058p-5, 0x1.d523be168abfap-5, 0x1.e3a3527cd548dp-5, 0x1.ef36394a5b38ap-5, 0x1.f83e5ac14106bp-5, 0x1.ff15cf3bc727ep-5, 0x1.020791d9c2811p-4, 0x1.03bad4820e88dp-4, 0x1.04c6e55bad16ap-4, 0x1.054ab55f4f572p-4, 0x1.05621fff4cc83p-4, 0x1.05261af49264ap-4, 0x1.04ace693aa6eap-4, 0x1.040a3bc6db2eep-4, 0x1.034f7bace9efep-4, 0x1.028bdb9644e81p-4, 0x1.01cc91373d79ep-4, 0x1.011cfb0987c8fp-4, 0x1.0086c92730d9fp-4, 0x1.001222a85d76ap-4, 0x1.ff8b932c22815p-5, 0x1.ff4e794a85917p-5, 0x1.ff75ad8dfda87p-5, 0x1.0003eca43c467p-4, 0x1.0084e85732d0bp-4, 0x1.013f638b863d6p-4, 0x1.02343f30fb802p-4, 0x1.0363b96d9a23bp-4, 0x1.04cd81c037f3bp-4, 0x1.0670caace9525p-4, 0x1.084c5b835cccdp-4, 0x1.0a5ea00be0a27p-4, 0x1.0ca5b6b6bbe2dp-4, 0x1.0f1f7deb9ae1cp-4, 0x1.11c99ddb4a2b6p-4, 0x1.14a1938beb5b7p-4, 0x1.17a4b9bb832aep-4, 0x1.1ad050fe2cfc6p-4, 0x1.1e218826ed691p-4, 0x1.219583034b7b4p-4, 0x1.25295fa88fdbp-4, 0x1.28da3be49097dp-4, 0x1.2ca53958510dfp-4, 0x1.30877f8f9f44cp-4, 0x1.347e42b8154c9p-4, 0x1.3886c2986e591p-4, 0x1.3c9e4f83f7eecp-4, 0x1.40c24c5d4ffb2p-4, 0x1.44f0301cfdef7p-4, 0x1.492587284fccap-4, 0x1.4d5ff50a8c8bep-4, 0x1.519d33e095e2ap-4, 0x1.55db16281a1abp-4, 0x1.5a178674af672p-4, 0x1.5e5087d2ce44cp-4, 0x1.628435f107dd1p-4, 0x1.66b0c4f270f37p-4, 0x1.6ad481de148d1p-4, 0x1.6eedd1f1ff0c2p-4, 0x1.72fb32940ed78p-4, 0x1.76fb38e9cede2p-4, 0x1.7aec915ef2ae5p-4, 0x1.7ecdfeedadef1p-4, 0x1.829e5b2cf14d2p-4, 0x1.865c94da21951p-4, 0x1.8a07af303f868p-4, 0x1.8d9ec205dff45p-4, 0x1.9120f866cf55cp-4, 0x1.948d9026b7dafp-4, 0x1.97e3d8fd0d7d3p-4, 0x1.9b2333fcfdfeap-4, 0x1.9e4b12afa1207p-4, 0x1.a15af68de80a5p-4, 0x1.a452712521f46p-4, 0x1.a73120b190909p-4, 0x1.a9f6b2b48a082p-4, 0x1.aca2e17a70703p-4, 0x1.af3573d90dbb4p-4, 0x1.b1ae3c8da57fp-4, 0x1.b40d19891ff67p-4, 0x1.b651f39cff9c6p-4, 0x1.b87cbd4e27945p-4, 0x1.ba8d72c74af86p-4, 0x1.bc84194825a14p-4, 0x1.be60bdd95edfep-4, 0x1.c02376217fac4p-4, 0x1.c1cc5e777929p-4, 0x1.c35b9a5f6c874p-4, 0x1.c4d153b6ab21ep-4, 0x1.c62dba6b08fe9p-4, 0x1.c77103a78e974p-4, 0x1.c89b6a42d424ep-4, 0x1.c9ad2d7e816cdp-4, 0x1.caa69172a844bp-4, 0x1.cb87ddefcc726p-4, 0x1.cc515e95e0426p-4, 0x1.cd03613eb2f78p-4, 0x1.cd9e3a260a83ep-4, 0x1.ce223d86e0c8p-4, 0x1.ce8fc2213a749p-4, 0x1.cee72205c6729p-4, 0x1.cf28b8df4e50dp-4, 0x1.cf54e42d7795ep-4, 0x1.cf6c0297f8324p-4, 0x1.cf6e74aca8bb4p-4, 0x1.cf5c9bc130d04p-4, 0x1.cf36da2cd5a7p-4, 0x1.cefd931db4ab1p-4, 0x1.ceb12a5697f9fp-4, 0x1.ce5204230be68p-4, 0x1.cde08504137c6p-4, 0x1.cd5d11fe2ce84p-4, 0x1.ccc80fbf99e79p-4, 0x1.cc21e2e8e14ccp-4, 0x1.cb6af0a809fcp-4, 0x1.caa39d2ba223cp-4, 0x1.c9cc4c28a59c2p-4, 0x1.c8e5614960a7bp-4, 0x1.c7ef3f7cd4082p-4, 0x1.c6ea49099e5dp-4, 0x1.c5d6df7d9a298p-4, 0x1.c4b5637e33e3dp-4, 0x1.c3863507571f6p-4, 0x1.c249b3068efabp-4, 0x1.c1003b7566014p-4, 0x1.bfaa2b4c801dbp-4, 0x1.be47de72c6462p-4, 0x1.bcd9afb755188p-4, 0x1.bb5ff8c703cdfp-4, 0x1.b9db12273789bp-4, 0x1.b84b532a7b0bap-4, 0x1.b6b111e735fbcp-4, 0x1.b50ca360bc3f4p-4, 0x1.b35e5b15d23bfp-4, 0x1.b1a68b7407169p-4, 0x1.afe585f463ad3p-4, 0x1.ae1b991ec8449p-4, 0x1.ac4914e5a3be9p-4, 0x1.aa6e45c94c2b8p-4, 0x1.a88b77c2d86d6p-4, 0x1.a6a0f55958838p-4, 0x1.a4af07c36c9a5p-4, 0x1.a2b5f6e594467p-4, 0x1.a0b6094e94b06p-4, 0x1.9eaf8436824a1p-4, 0x1.9ca2ab8698137p-4, 0x1.9a8fc1e515c63p-4, 0x1.987708883e024p-4, 0x1.9658bf73cedddp-4, 0x1.94352555ba98p-4, 0x1.920c77931d7c6p-4, 0x1.8fdef24cfff78p-4, 0x1.8dacd05fd43bep-4, 0x1.8b764b648dcbbp-4, 0x1.893b9bbec8ef9p-4, 0x1.86fcf88d49631p-4, 0x1.84ba97c01a4fdp-4, 0x1.8274ae1543a31p-4, 0x1.802b6f1861346p-4, 0x1.7ddf0d2bb1c5ap-4, 0x1.7b8fb983064b6p-4, 0x1.793da4495f5b9p-4, 0x1.76e8fcaa0f5b7p-4, 0x1.7491ef94d6083p-4, 0x1.7238ab1f18a4dp-4, 0x1.6fdd5a32ed85dp-4, 0x1.6d8027abd189cp-4, 0x1.6b213d2460142p-4, 0x1.68c0c33574d14p-4, 0x1.665ee17416d7ep-4, 0x1.63fbbe6eac222p-4, 0x1.61977fc14bbc8p-4, 0x1.5f324a8ca1d6cp-4, 0x1.5ccc41e5d6e41p-4, 0x1.5a65887e4ce58p-4, 0x1.57fe410ad35b7p-4, 0x1.55968c00aaf2cp-4, 0x1.532e8996b1476p-4, 0x1.50c65918ce29dp-4, 0x1.4e5e18ec07307p-4, 0x1.4bf5e6c2852d7p-4, 0x1.498ddf4f53e5p-4, 0x1.47261e9a252a9p-4, 0x1.44bebfda8bd3ep-4, 0x1.4257dd807e29cp-4, 0x1.3ff19144cf751p-4, 0x1.3d8bf41a020e8p-4, 0x1.3b271e40421f6p-4, 0x1.38c327410967ep-4, 0x1.366025f2f80eep-4, 0x1.33fe3087cdd3dp-4, 0x1.319d5c7b614e4p-4, 0x1.2f3dbeac2eac7p-4, 0x1.2cdf6b53cb8cfp-4, 0x1.2a82760d0918bp-4, 0x1.2826f1cd16069p-4, 0x1.25ccf1608c83cp-4, 0x1.23748571836d5p-4, 0x1.211dc08f087f6p-4, 0x1.1ec8b2c60d218p-4, 0x1.1c756c5b87e19p-4, 0x1.1a23fce04a9e4p-4, 0x1.17d4738337e26p-4, 0x1.1586dec4ca4f1p-4, 0x1.133b4cc3a8fd1p-4, 0x1.10f1cb19d8b1ap-4, 0x1.0eaa66ed9a393p-4, 0x1.0c652ce4704b3p-4, 0x1.0a222936bb78cp-4, 0x1.07e167aa9674p-4, 0x1.05a2f397cb5fbp-4, 0x1.0366d7ebbf9eap-4, 0x1.012d1f29e7c23p-4, 0x1.fdeba6db6d2b5p-5, 0x1.f981fcddd5d5cp-5, 0x1.f51d5306876c8p-5, 0x1.f0bdbb432b8adp-5, 0x1.ec6346c90167fp-5, 0x1.e80e0617875cdp-5, 0x1.e3be08fbf946bp-5, 0x1.df735e969ce2dp-5, 0x1.db2e155cc86cdp-5, 0x1.d6ee3b219ffep-5, 0x1.d2b3dd16889b5p-5, 0x1.ce7f07da8c274p-5, 0x1.ca4fc76cb068ap-5, 0x1.c6262737a55bfp-5, 0x1.c202320be0d96p-5, 0x1.bde3f2493afffp-5, 0x1.b9cb71b6b4cc9p-5, 0x1.b5b8b97f1bd85p-5, 0x1.b1abd26f43b79p-5, 0x1.ada4c4c92eb93p-5, 0x1.a9a3985309597p-5, 0x1.a5a85459dced3p-5, 0x1.a1b2ffb599599p-5, 0x1.9dc3a0ce36dc7p-5, 0x1.99da3d6727e6p-5, 0x1.95f6dc2901eedp-5, 0x1.92197ffda903dp-5, 0x1.8e422fa656784p-5, 0x1.8a70eec628ad7p-5, 0x1.86a5c16be6fe4p-5, 0x1.82e0ab32bed7fp-5, 0x1.7f21af5b9b061p-5, 0x1.7b68d0d5a3d95p-5, 0x1.77b61236f1cf3p-5, 0x1.740975c33045bp-5, 0x1.7062fd6f47d91p-5, 0x1.6cc2aadec7deap-5, 0x1.69287f66f80fp-5, 0x1.65947c1158e19p-5, 0x1.6206a1a04056p-5, 0x1.5e7ef090cb75ep-5, 0x1.5afd691e87a4bp-5, 0x1.57820b4372458p-5, 0x1.540cd6ba4aa4ep-5, 0x1.509dcafcce34p-5, 0x1.4d34e73e8df46p-5, 0x1.49d22a983d103p-5, 0x1.467593bebcfcdp-5, 0x1.431f21428cd4p-5, 0x1.3fced169c98dp-5, 0x1.3c84a2c1be1bap-5, 0x1.394093152f9a5p-5, 0x1.36029f409d667p-5, 0x1.32cac67e15353p-5, 0x1.2f99052cbf4c8p-5, 0x1.2c6d58bc9caa5p-5, 0x1.2947be426ad21p-5, 0x1.262832a67dccdp-5, 0x1.230eb2a5609a1p-5, 0x1.1ffb3adaf2e62p-5, 0x1.1cedc7bc31a65p-5, 0x1.19e65598d483dp-5, 0x1.16e4e09b797c5p-5, 0x1.13e964ca866a5p-5, 0x1.10f3de0a92db7p-5, 0x1.0e04481efd3f4p-5, 0x1.0b1a9eac7b712p-5, 0x1.0836dd3b5ff7ap-5, 0x1.0558ff38bb956p-5, 0x1.0280fff566a5p-5, 0x1.ff5db54dbb67ap-6, 0x1.f9c514ce7659dp-6, 0x1.f438146b4e77ap-6, 0x1.eeb6a9efe6e9cp-6, 0x1.e940cadfbb0d1p-6, 0x1.e3d66d551dcbfp-6, 0x1.de778472f8ed9p-6, 0x1.d924080814f6dp-6, 0x1.d3dbeb63c5dd4p-6, 0x1.ce9f23b46b6bfp-6, 0x1.c96da595291d6p-6, 0x1.c44765703b1e6p-6, 0x1.bf2c57afb3633p-6, 0x1.ba1c707154ceep-6, 0x1.b517a3b2bca49p-6, 0x1.b01de56431dccp-6, 0x1.ab2f294b61b0ap-6, 0x1.a64b6314b72a1p-6, 0x1.a1728650491f2p-6, 0x1.9ca48673ba1c3p-6, 0x1.97e156d89e23fp-6, 0x1.9328eabc37219p-6, 0x1.8e7b3542814c9p-6, 0x1.89d82969af45p-6, 0x1.853fba2f11c89p-6, 0x1.80b1da5a1e3c2p-6, 0x1.7c2e7cb38057fp-6, 0x1.77b593e6f9bd8p-6, 0x1.7347128fbd0b4p-6, 0x1.6ee2eb36c63d6p-6, 0x1.6a89105278de1p-6, 0x1.66397447c0888p-6, 0x1.61f4096830fe9p-6, 0x1.5db8c1f2fb0b2p-6, 0x1.59879015a20fp-6, 0x1.556065ed27c66p-6, 0x1.514335875d59fp-6, 0x1.4d2ff0e554f28p-6, 0x1.492689fab76e7p-6, 0x1.4526f2b097119p-6, 0x1.41311ce5097c2p-6, 0x1.3d44fa6b3239p-6, 0x1.39627d0b62685p-6, 0x1.35899681e8c0fp-6, 0x1.31ba387f97f85p-6, 0x1.2df454aacd3bfp-6, 0x1.2a37dca147aa1p-6, 0x1.2684c1f6ee792p-6, 0x1.22daf6354b44bp-6, 0x1.1f3a6ae15a59fp-6, 0x1.1ba3117a123e7p-6, 0x1.1814db78ca6d8p-6, 0x1.148fba4fbdf1cp-6, 0x1.11139f6694c01p-6, 0x1.0da07c3cd21adp-6, 0x1.0a364226cd272p-6, 0x1.06d4e280f61a1p-6, 0x1.037c4ea9b5001p-6, 0x1.002c77f6b8645p-6, 0x1.f9ca9f7337e98p-7, 0x1.f34d8e83e3e12p-7, 0x1.ece19fbc80f84p-7, 0x1.e686b5bb89626p-7, 0x1.e03cb2662bc12p-7, 0x1.da037a51c8b6ap-7, 0x1.d3daedcc0d3abp-7, 0x1.cdc2f08b7f2e1p-7, 0x1.c7bb64ef0b836p-7, 0x1.c1c42d9cb3207p-7, 0x1.bbdd2d1b3d075p-7, 0x1.b60645cf0a487p-7, 0x1.b03f5a2e47a02p-7, 0x1.aa884d5c04eb1p-7, 0x1.a4e1021f9d9a1p-7, 0x1.9f495a59eb4bcp-7, 0x1.99c138deadaa3p-7, 0x1.944880a407809p-7, 0x1.8edf160873657p-7, 0x1.8984d71467d3dp-7, 0x1.8439ab21a74ffp-7, 0x1.7efd73243f9ccp-7, 0x1.79d01219f65d8p-7, 0x1.74b16b09f93a2p-7, 0x1.6fa160ddd8535p-7, 0x1.6a9fd6867939dp-7, 0x1.65acaf0390f65p-7, 0x1.60c7cd62c2db2p-7, 0x1.5bf114befbda9p-7, 0x1.57286841524cdp-7, 0x1.526dab21ac01ep-7, 0x1.4dc0c0a6f0ebcp-7, 0x1.49218c279c147p-7, 0x1.448ff10a23c3p-7, 0x1.400bd2c4e0feap-7, 0x1.3b9514dd93d95p-7, 0x1.372b9af5b484fp-7, 0x1.32cf48b6a7a6ap-7, 0x1.2e8001cc22889p-7, 0x1.2a3daa147d397p-7, 0x1.2608257c2705fp-7, 0x1.21df57e9fc4bp-7, 0x1.1dc3256fcc5fp-7, 0x1.19b3724585c16p-7, 0x1.15b022881122p-7, 0x1.11b91a88cf092p-7, 0x1.0dce3ead70872p-7, 0x1.09ef736fc38ep-7, 0x1.061c9d616b4ffp-7, 0x1.0255a12d41a4p-7, 0x1.fd34c730853c4p-8, 0x1.f5d593040d286p-8, 0x1.ee8d6fc9eee9bp-8, 0x1.e75c27ac1e1c3p-8, 0x1.e0418508b9388p-8, 0x1.d93d5270c791fp-8, 0x1.d24f5aa792b47p-8, 0x1.cb7768a81aca5p-8, 0x1.c4b547c2868a5p-8, 0x1.be08c276b3749p-8, 0x1.b771a56ed3be2p-8, 0x1.b0efbcb99e839p-8, 0x1.aa82d2effef5ap-8, 0x1.a42ab56c9943bp-8, 0x1.9de730a76aa4cp-8, 0x1.97b81178d5814p-8, 0x1.919d25044a4dp-8, 0x1.8b9638b1d2251p-8, 0x1.85a31a2695e84p-8, 0x1.7fc39747a538ap-8, 0x1.79f77d0b34608p-8, 0x1.743e9bde8bb4cp-8, 0x1.6e98c17eaabcfp-8, 0x1.6905bb71df979p-8, 0x1.63855974e5518p-8, 0x1.5e176ac8c6287p-8, 0x1.58bbbef9242d6p-8, 0x1.537225ecb6d45p-8, 0x1.4e3a6fe3e8dc2p-8, 0x1.49146d75bb2bp-8, 0x1.43ffef893f611p-8, 0x1.3efcc74e83b5cp-8, 0x1.3a0ac635c189ap-8, 0x1.3529bde6affffp-8, 0x1.3059803b14621p-8, 0x1.2b99df3d53141p-8, 0x1.26eaad2c745f7p-8, 0x1.224bbc8e3a267p-8, 0x1.1dbcdffe96bd9p-8, 0x1.193deaaeb0e8cp-8, 0x1.14ceb004dafd6p-8, 0x1.106f03d4ffe54p-8, 0x1.0c1eba5b3ccc8p-8, 0x1.07dda83dbc422p-8, 0x1.03aba28076defp-8, 0x1.ff10fd003a55ep-9, 0x1.f6e823f4a7292p-9, 0x1.eedc650a50a18p-9, 0x1.e6ed6b886cf43p-9, 0x1.df1ae43ca69b4p-9, 0x1.d7647ec178dc5p-9, 0x1.cfc9e82f2604bp-9, 0x1.c84aca6b37ebbp-9, 0x1.c0e6d5641e24cp-9, 0x1.b99dbb596d512p-9, 0x1.b26f291b7f476p-9, 0x1.ab5acd8881558p-9, 0x1.a4605b42f61adp-9, 0x1.9d7f85479cdd6p-9, 0x1.96b7fec4e03cfp-9, 0x1.90097b8c9d3afp-9, 0x1.8973b01f0784cp-9, 0x1.82f651978a0a5p-9, 0x1.7c9115913d2b9p-9, 0x1.7643b21390b35p-9, 0x1.700ddd6992927p-9, 0x1.69ef4abcd1da6p-9, 0x1.63e7bdc2a4508p-9, 0x1.5df6dd08278fap-9, 0x1.581c6b2b888e7p-9, 0x1.52581dcb17d58p-9, 0x1.4ca9aeb011fc3p-9, 0x1.4710d80364ee7p-9, 0x1.418d54c2c1b11p-9, 0x1.3c1ee0cd8e77bp-9, 0x1.36c538dea6bd7p-9, 0x1.31801a82233dep-9, 0x1.2c4f440660444p-9, 0x1.273274691b9e8p-9, 0x1.22296b427f238p-9, 0x1.1d33e8af485acp-9, 0x1.1851ad3c52cc6p-9, 0x1.138279d4899fep-9, 0x1.0ec60fb4dce4cp-9, 0x1.0a1c3068f1c58p-9, 0x1.05849dd190982p-9, 0x1.00ff1a34d39e1p-9, 0x1.f916d0ade00c4p-10, 0x1.f052972e94c04p-10, 0x1.e7b1101bacfeap-10, 0x1.df31c54f45232p-10, 0x1.d6d442694e05dp-10, 0x1.ce981188cb7bdp-10, 0x1.c67cc7b2d61ecp-10, 0x1.be81f47686fb1p-10, 0x1.b6a7260b8a182p-10, 0x1.aeebf2eddbc4cp-10, 0x1.a74ff004f24a5p-10, 0x1.9fd2b340f51b4p-10, 0x1.9873d341badc7p-10, 0x1.9132e70937e63p-10, 0x1.8a0f85c69b524p-10, 0x1.830946bde75dp-10, 0x1.7c1fc15e42368p-10, 0x1.75528dddd3e76p-10, 0x1.6ea1450d86a28p-10, 0x1.680b80d1904f4p-10, 0x1.6190dcf1e24f8p-10, 0x1.5b30f70b34507p-10, 0x1.54eb6eb1d4e9cp-10, 0x1.4ebfe57311e7dp-10, 0x1.48adfebdae7a6p-10, 0x1.42b55fc5e83b3p-10, 0x1.3cd5af5b5e109p-10, 0x1.370e95bb0f43cp-10, 0x1.315fbc547c355p-10, 0x1.2bc8cd7b4a342p-10, 0x1.26497407a1ec9p-10, 0x1.20e15af06a151p-10, 0x1.1b902cf468a82p-10, 0x1.1655946d1485ap-10, 0x1.11313b5ef64c7p-10, 0x1.0c22cbcdbe6f6p-10, 0x1.0729f044107ep-10, 0x1.0246546e8ed4dp-10, 0x1.faef4b45b0d7ep-11, 0x1.f17b26649c8e5p-11, 0x1.e82f9cf7a8159p-11, 0x1.df0c158b3eb05p-11, 0x1.d60ff9f1b4f42p-11, 0x1.cd3ab6b9a8008p-11, 0x1.c48bbad1337bfp-11, 0x1.bc027761638c8p-11, 0x1.b39e5fd0b33a3p-11, 0x1.ab5ee9bfff829p-11, 0x1.a3438cd7af449p-11, 0x1.9b4bc2498a234p-11, 0x1.9377040a59085p-11, 0x1.8bc4cc072eb65p-11, 0x1.8434937d3b9f9p-11, 0x1.7cc5d2dd44628p-11, 0x1.7578024bac8fep-11, 0x1.6e4a9aaed5238p-11, 0x1.673d16ff499a8p-11, 0x1.604ef56d4f4acp-11, 0x1.597fb7f904b03p-11, 0x1.52cee42f8bcc8p-11, 0x1.4c3c03e8023eap-11, 0x1.45c6a07abaa0bp-11, 0x1.3f6e4788b9b9ap-11, 0x1.393285834c24fp-11, 0x1.3312e86250b56p-11, 0x1.2d0eff1a4eb6fp-11, 0x1.27265a36e1a0dp-11, 0x1.21588c4291d55p-11, 0x1.1ba529edda10fp-11, 0x1.160bc9e1a7c18p-11, 0x1.108c04570d684p-11, 0x1.0b25720a86f6bp-11, 0x1.05d7ad14801cap-11, 0x1.00a24d5e88366p-11, 0x1.f709da63c98b6p-12, 0x1.ecfe4c9540cd4p-12, 0x1.e321287c95b1ep-12, 0x1.d97194da86334p-12, 0x1.cfef18a8344e1p-12, 0x1.c698a13a7776bp-12, 0x1.bd6dafd439455p-12, 0x1.b46d7e09dcd35p-12, 0x1.ab976dce6db46p-12, 0x1.a2eac68cb62fcp-12, 0x1.9a66d3d1f8a0fp-12, 0x1.920aedb9a435p-12, 0x1.89d6699ec384ap-12, 0x1.81c8a07b86511p-12, 0x1.79e0ee7342f8dp-12, 0x1.721eb243879fp-12, 0x1.6a814cf02f8c9p-12, 0x1.630821d6360a6p-12, 0x1.5bb29701f4d34p-12, 0x1.548015713472ap-12, 0x1.4d7008e675043p-12, 0x1.4681df3cdab1bp-12, 0x1.3fb5078574354p-12, 0x1.3908f17c2b3e7p-12, 0x1.327d0db43e72ep-12, 0x1.2c10ce776af0fp-12, 0x1.25c3a8c15e433p-12, 0x1.1f95149f1dd8bp-12, 0x1.19848c980a6d3p-12, 0x1.13918c8222cdap-12, 0x1.0dbb90ac46e94p-12, 0x1.080216273219fp-12, 0x1.02649c265bf1cp-12, 0x1.f9c54b0bda8bdp-13, 0x1.eef77295b5e3p-13, 0x1.e45ec32daaab5p-13, 0x1.d9fa5353e98f2p-13, 0x1.cfc93872d346ep-13, 0x1.c5ca8659ce268p-13, 0x1.bbfd52184ae4ap-13, 0x1.b260b6b2c4f71p-13, 0x1.a8f3d965b7e64p-13, 0x1.9fb5eb449635fp-13, 0x1.96a6276044b4ap-13, 0x1.8dc3ce3f4cc5p-13, 0x1.850e20908588ep-13, 0x1.7c845b3e05a18p-13, 0x1.7425b6604cf9ep-13, 0x1.6bf1674db165cp-13, 0x1.63e6a484d98d5p-13, 0x1.5c04a9423bdc9p-13, 0x1.544ab6d99cb45p-13, 0x1.4cb8138aa6c11p-13, 0x1.454c085dda8a8p-13, 0x1.3e05e051d2bbap-13, 0x1.36e4e9f074d7fp-13, 0x1.2fe87a145715ep-13, 0x1.290fed152355bp-13, 0x1.225aa47656f13p-13, 0x1.1bc801f9a316p-13, 0x1.1557635bcd1c8p-13, 0x1.0f08219721254p-13, 0x1.08d99400d60e5p-13, 0x1.02cb1567560ddp-13, 0x1.f9b810e8aec8dp-14, 0x1.ee17b2c875559p-14, 0x1.e2b3f9da958b8p-14, 0x1.d78bdb1b4362ep-14, 0x1.cc9e511c25ea3p-14, 0x1.c1ea568cdc854p-14, 0x1.b76ee187b9b7ap-14, 0x1.ad2ae1614843p-14, 0x1.a31d418e80385p-14, 0x1.9944ead69e0bcp-14, 0x1.8fa0cccabeee4p-14, 0x1.862fe5aa03738p-14, 0x1.7cf1423bad289p-14, 0x1.73e3fa4366ed2p-14, 0x1.6b072a56d2894p-14, 0x1.6259eeda21eefp-14, 0x1.59db636ebb9b2p-14, 0x1.518aa6974fb8dp-14, 0x1.4966dd3834cc8p-14, 0x1.416f317f5a8a7p-14, 0x1.39a2ce8a391fcp-14, 0x1.3200d839e4fa5p-14, 0x1.2a8868bb4f197p-14, 0x1.2338d79a2523ep-14, 0x1.1c112ea06897p-14, 0x1.1510c15bc86cbp-14, 0x1.0e36d3a613127p-14, 0x1.0782a9adfef43p-14, 0x1.00f389e87d9ffp-14, 0x1.f5117df92fd41p-15, 0x1.e883310857172p-15, 0x1.dc3ad286bb123p-15, 0x1.d03708224acap-15, 0x1.c47672a9a6a53p-15, 0x1.b8f7ad73d8e74p-15, 0x1.adb95459e4c84p-15, 0x1.a2b95deb6fbecp-15, 0x1.97f7be71f992dp-15, 0x1.8d7339df976f4p-15, 0x1.832976216d80cp-15, 0x1.791a08f9089adp-15, 0x1.6f43dca798593p-15, 0x1.65a5d13163398p-15, 0x1.5c3ebbe807794p-15, 0x1.530d7434336aep-15, 0x1.4a10de68abf95p-15, 0x1.4147ed1285178p-15, 0x1.38b184aa2cfebp-15, 0x1.304cb7223d4fbp-15, 0x1.28187a1fb697p-15, 0x1.2013f8f4cfe1p-15, 0x1.183e404a1db6bp-15, 0x1.10966b4393c5fp-15, 0x1.091b85b0aa687p-15, 0x1.01ccc21bc38cep-15, 0x1.f5511f56eed04p-16, 0x1.e75cfafbd4b76p-16, 0x1.d9bd60f50a55ep-16, 0x1.cc6d1f428e789p-16, 0x1.bf6b18a5973c8p-16, 0x1.b2b97f7cf5c7bp-16, 0x1.a6528e64aa869p-16, 0x1.9a36243f54795p-16, 0x1.8e62a7b08420ep-16, 0x1.82d669f7db4b7p-16, 0x1.778feace6f751p-16, 0x1.6c8dc38714228p-16, 0x1.61cea4dbead67p-16, 0x1.57514aae06d76p-16, 0x1.4d1468df40afdp-16, 0x1.43169b8aa280cp-16, 0x1.395669bbbf7b9p-16, 0x1.2fd25d45be945p-16, 0x1.268918bc62d4ep-16, 0x1.1d7955851e55cp-16, 0x1.14a1d7d10406bp-16, 0x1.0c0176b68f9bap-16, 0x1.0397253a02ef7p-16, 0x1.f6c3b5dd83e9bp-17, 0x1.e6c10867782e2p-17, 0x1.d723f517d8ce3p-17, 0x1.c7ea2be90d884p-17, 0x1.b9117cb9c8003p-17, 0x1.aa97d1545e7c2p-17, 0x1.9c7b18a00a46ap-17, 0x1.8eb9451b171f1p-17, 0x1.8150583bcb17p-17, 0x1.743e6880ceef9p-17, 0x1.67819ea8273edp-17, 0x1.5b182e8a33f3fp-17, 0x1.4f004f2b1e8dap-17, 0x1.433834f3f495bp-17, 0x1.37be12147e8f6p-17, 0x1.2c901d05e3778p-17, 0x1.21ac99b7f62p-17, 0x1.1711df77cb3cap-17, 0x1.0cbe591e9845dp-17, 0x1.02b0826c86728p-17, 0x1.f1cdc673168ap-18, 0x1.dec0090a5376ap-18, 0x1.cc34c994c41d4p-18, 0x1.ba2891dab6ba3p-18, 0x1.a8978ad4932d6p-18, 0x1.97818acadd9fep-18, 0x1.86e0f84fc6a57p-18, 0x1.76b4aba985b5bp-18, 0x1.66fa0c4633c28p-18, 0x1.57ae952a7d6e5p-18, 0x1.48cfc4505a47ap-18, 0x1.3a5aefac90d65p-18, 0x1.2c4d6ad650025p-18, 0x1.1ea4c643a8ec5p-18, 0x1.115eb9056dc7ap-18, 0x1.0478f2e1bb2cap-18, 0x1.efe247decc2ecp-19, 0x1.d78a21af1e511p-19, 0x1.bfe526c1986b7p-19, 0x1.a8ef2897f63d6p-19, 0x1.92a41695dcc8p-19, 0x1.7d00041a94edep-19, 0x1.67ff26dd2ad92p-19, 0x1.539dca513fcbfp-19, 0x1.3fd8409e76231p-19, 0x1.2caadae930e1fp-19, 0x1.1a11ea516ae98p-19, 0x1.0809c4fccd683p-19, 0x1.ed1d97d19a967p-20, 0x1.cb3ae5bd2e901p-20, 0x1.aa649e0d9c5e5p-20, 0x1.8a9461b8bd81bp-20, 0x1.6bc48a6c5c2bap-20, 0x1.4ded45f5eb761p-20, 0x1.3106524503d46p-20, 0x1.151394f6fc32ap-20, 0x1.f4074e7f36c6p-21, 0x1.bfab1e3ac8fa7p-21, 0x1.8d0880381513ap-21, 0x1.5c14ada06e16cp-21, 0x1.2cc3b18012451p-21, 0x1.fe1569c3cc026p-22, 0x1.a5becbba3caa7p-22, 0x1.506ec7f4aa378p-22, 0x1.fc266b33a4d75p-23, 0x1.5d346253fa253p-23, 0x1.87c0ac81d5f7ap-24, 0x1.8017ec1f551b7p-26, -0x1.7a210a8a1b6f7p-25, -0x1.cfc7a32abe2ap-24, -0x1.6c33da930ac71p-23, -0x1.eb9aaee318b37p-23, -0x1.331d6bfa0ec2p-22, -0x1.6e1902e4581cp-22, -0x1.a6d2b0e9a6412p-22, -0x1.dd5866b2f5ed3p-22, -0x1.08dc79c0bd80cp-21, -0x1.22010435c646bp-21, -0x1.3a20858ca70e6p-21, -0x1.5141de7ee125ap-21, -0x1.676c25e5dc6f6p-21, -0x1.7ca6718c3bb51p-21, -0x1.90f7ad5e3b756p-21, -0x1.a46699db4afefp-21, -0x1.b6f9bb6854ea6p-21, -0x1.c8b72cf96033p-21, -0x1.d9a49a7cf6fcap-21, -0x1.e9c795adfa20fp-21, -0x1.f926391fcd72bp-21, -0x1.03e2d6e96f48fp-20, -0x1.0ad5f8d3b6294p-20, -0x1.116ecd2d78f2p-20, -0x1.17afb6dbb531ap-20, -0x1.1d9b8b1b7d20ep-20, -0x1.23353eea094eap-20, -0x1.287f3f4c7066cp-20, -0x1.2d7bd45137dfdp-20, -0x1.322ce4e3a5ff9p-20, -0x1.36949c8a4dd5ap-20, -0x1.3ab5679a572cfp-20, -0x1.3e9182a3265d4p-20, -0x1.422afdddeb03cp-20, -0x1.4583b6f935c09p-20, -0x1.489dfcab26932p-20, -0x1.4b7f32da1541ap-20, -0x1.4e1f4404a84ddp-20, -0x1.508a87d123108p-20, -0x1.52be79fd5dfb5p-20, -0x1.54bd2463da3d7p-20, -0x1.56884c7022bf4p-20, -0x1.5821949b9eb62p-20, -0x1.598a945145c69p-20, -0x1.5ac4e59219594p-20, -0x1.5bd22ce453319p-20, -0x1.5cb41447e2ab3p-20, -0x1.5d6c303617c45p-20, -0x1.5dfbe9bb81bedp-20, -0x1.5e649af358f2ap-20, -0x1.5ea7b710c741bp-20, -0x1.5ec6b40fbe4ap-20, -0x1.5ec2e06d6a76p-20, -0x1.5e9d6dc1c68cp-20, -0x1.5e578729a05b5p-20, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.7cf12288eaf3bp-4, 0x1.64b7079c245cp-3, 0x1.e75496c44d6f9p-3, 0x1.21f4b7ded0db1p-2, 0x1.3e8999aff028fp-2, 0x1.4bf1f7686eb6p-2, 0x1.4d28c88f10e44p-2, 0x1.45274c9e3ecd4p-2, 0x1.36a6d4131f9c8p-2, 0x1.24036c03d6f01p-2, 0x1.0f3218db23101p-2, 0x1.f38524a80c3c2p-3, 0x1.c9ce6d4734a1ep-3, 0x1.a30016446f6a3p-3, 0x1.804dc902211fdp-3, 0x1.6276d87b27202p-3, 0x1.49dcc287a4bc7p-3, 0x1.36976b33edb95p-3, 0x1.2886cd09c732ep-3, 0x1.1f6214e78e634p-3, 0x1.1ac43fce66eebp-3, 0x1.1a3665fee93a4p-3, 0x1.1d37ef523cdb3p-3, 0x1.2344f4656e181p-3, 0x1.2bdb1195881a8p-3, 0x1.367ced4f7a813p-3, 0x1.42b4ad6bef9c7p-3, 0x1.50159171e039ep-3, 0x1.5e3ce06475d1bp-3, 0x1.6cd25222dd664p-3, 0x1.7b8815ae81fe2p-3, 0x1.8a1a8f86bc4f1p-3, 0x1.984fe5d891582p-3, 0x1.a5f76b8f78b7p-3, 0x1.b2e8f72a94d2ap-3, 0x1.bf042f4cc956cp-3, 0x1.ca2fd41ab878p-3, 0x1.d4590aad41303p-3, 0x1.dd72ae357d30cp-3, 0x1.e574a93a38bdbp-3, 0x1.ec5b586439836p-3, 0x1.f226f79a3d2f1p-3, 0x1.f6db19afcd33dp-3, 0x1.fa7e2a98af071p-3, 0x1.fd18fbe5ac73ap-3, 0x1.feb65b2ee69cdp-3, 0x1.ff62b214f5f3cp-3, 0x1.ff2baf5e12b01p-3, 0x1.fe1ff8c57b7fbp-3, 0x1.fc4ee4fdde804p-3, 0x1.f9c83d858a337p-3, 0x1.f69c07d6cc0bdp-3, 0x1.f2da557b8b32bp-3, 0x1.ee931a6e281b8p-3, 0x1.e9d6096dc71ap-3, 0x1.e4b27597158f7p-3, 0x1.df37395c1c93dp-3, 0x1.d972a2268c5c4p-3, 0x1.d3725fd723e16p-3, 0x1.cd43783a742d4p-3, 0x1.c6f23d4e87d93p-3, 0x1.c08a46b7fa10bp-3, 0x1.ba166e2dcf0f9p-3, 0x1.b3a0ce4e31aecp-3, 0x1.ad32c33cecbbp-3, 0x1.a6d4ecd72e9dp-3, 0x1.a08f31a6f3dap-3, 0x1.9a68c3766552cp-3, 0x1.94682504304a9p-3, 0x1.8e93302daa13cp-3, 0x1.88ef1db8e313dp-3, 0x1.83808c60ed0b1p-3, 0x1.7e4b8892c1ad9p-3, 0x1.795393f5e2dabp-3, 0x1.749bacdb467aap-3, 0x1.702655c8819f3p-3, 0x1.6bf59d3895783p-3, 0x1.680b2522b731ap-3, 0x1.64682a7b9087fp-3, 0x1.610d8c7b70c13p-3, 0x1.5dfbd389be49fp-3, 0x1.5b3337da800f4p-3, 0x1.58b3a7d1bcd1dp-3, 0x1.567ccdf447059p-3, 0x1.548e16db737bp-3, 0x1.52e6b6c584345p-3, 0x1.5185af020116dp-3, 0x1.5069d3225ac33p-3, 0x1.4f91cde65143fp-3, 0x1.4efc25f1be398p-3, 0x1.4ea742263d2e1p-3, 0x1.4e916dc03a3ebp-3, 0x1.4eb8dc25a6274p-3, 0x1.4f1bac6da68b5p-3, 0x1.4fb7ec9faa57p-3, 0x1.508b9cc4d8847p-3, 0x1.5194b195e3e23p-3, 0x1.52d1171507fcbp-3, 0x1.543eb2f34ff1ap-3, 0x1.55db669f5994ap-3, 0x1.57a5115d6cb74p-3, 0x1.599991ee42bp-3, 0x1.5bb6c8591cbe8p-3, 0x1.5dfa9757bed16p-3, 0x1.6062e5b2e5fb4p-3, 0x1.62ed9f9d983c4p-3, 0x1.6598b77a4f211p-3, 0x1.6862273363cc5p-3, 0x1.6b47f0e5ec2c9p-3, 0x1.6e481fb2508c2p-3, 0x1.7160c8632c6ecp-3, 0x1.749009fe15c9p-3, 0x1.77d40e52893bp-3, 0x1.7b2b0a3934777p-3, 0x1.7e933e16b609ap-3, 0x1.820af60c57f3ep-3, 0x1.85908a2baa89bp-3, 0x1.89225ec3281f3p-3, 0x1.8cbee44c66e68p-3, 0x1.906497b28d533p-3, 0x1.94120246eb8f5p-3, 0x1.97c5b9d30c777p-3, 0x1.9b7e607bdfec7p-3, 0x1.9f3aa4df62bcp-3, 0x1.a2f941db69219p-3, 0x1.a6b8fe7b2a651p-3, 0x1.aa78add833d34p-3, 0x1.ae372ef6c1ea3p-3, 0x1.b1f36c6b475b2p-3, 0x1.b5ac5c7c9b652p-3, 0x1.b96100a04acep-3, 0x1.bd10654f79ab2p-3, 0x1.c0b9a1eb65ap-3, 0x1.c45bd874f0abp-3, 0x1.c7f6354a66ad5p-3, 0x1.cb87eee31ef38p-3, 0x1.cf1045bfcf6e6p-3, 0x1.d28e840841b7ap-3, 0x1.d601fd4c4e276p-3, 0x1.d96a0e74efafbp-3, 0x1.dcc61d53b7614p-3, 0x1.e0159888e0a55p-3, 0x1.e357f733b8366p-3, 0x1.e68cb8cabfc74p-3, 0x1.e9b364b9b6976p-3, 0x1.eccb8a3999eadp-3, 0x1.efd4c024932b7p-3, 0x1.f2cea48b4e333p-3, 0x1.f5b8dc8dff022p-3, 0x1.f893142b34c6ap-3, 0x1.fb5cfdfaf3f05p-3, 0x1.fe1652e24bad6p-3, 0x1.005f68f7788c1p-2, 0x1.01ab2013a14bbp-2, 0x1.02ee34223ff12p-2, 0x1.04288d3893698p-2, 0x1.055a1618dd0fdp-2, 0x1.0682bc1a51a68p-2, 0x1.07a26f038892ep-2, 0x1.08b920f37a709p-2, 0x1.09c6c6563cd46p-2, 0x1.0acb55cdfcea3p-2, 0x1.0bc6c80f45b86p-2, 0x1.0cb917cba8deep-2, 0x1.0da241a88a8e8p-2, 0x1.0e82442881bf5p-2, 0x1.0f591f8eb82a8p-2, 0x1.1026d5c5b032bp-2, 0x1.10eb6a4d47418p-2, 0x1.11a6e241f6a2cp-2, 0x1.12594429da12cp-2, 0x1.130297e754b38p-2, 0x1.13a2e6a50569p-2, 0x1.143a3ad7ccfp-2, 0x1.14c8a0250da2ep-2, 0x1.154e234586a0cp-2, 0x1.15cad1f8c859ap-2, 0x1.163ebafce68a2p-2, 0x1.16a9ee077ea08p-2, 0x1.170c7bae42a46p-2, 0x1.17667551ea87cp-2, 0x1.17b7ed1365c7bp-2, 0x1.1800f5d15db4ep-2, 0x1.1841a31f2d65ep-2, 0x1.187a092fcea21p-2, 0x1.18aa3cc4e9683p-2, 0x1.18d25328ec524p-2, 0x1.18f2622c6c1fep-2, 0x1.190a801dc79f3p-2, 0x1.191ac3b9154d8p-2, 0x1.1923441997f45p-2, 0x1.192418b3efaecp-2, 0x1.191d59550627ap-2, 0x1.190f1e1c0a672p-2, 0x1.18f97f6e81f0cp-2, 0x1.18dc95e6be5bep-2, 0x1.18b87a5bcb06p-2, 0x1.188d45cc31878p-2, 0x1.185b116988b4dp-2, 0x1.1821f68a832a4p-2, 0x1.17e20ea268fc5p-2, 0x1.179b733864fcbp-2, 0x1.174e3de476c14p-2, 0x1.16fa884ea5b0fp-2, 0x1.16a06c2c1bf1fp-2, 0x1.1640033705b22p-2, 0x1.15d96725f85eep-2, 0x1.156cb1aa47985p-2, 0x1.14f9fc69cc383p-2, 0x1.14816101accdap-2, 0x1.1402f901f908cp-2, 0x1.137edde81fcc6p-2, 0x1.12f52919cdec3p-2, 0x1.1265f3dfb44a7p-2, 0x1.11d1576682172p-2, 0x1.11376cbd99336p-2, 0x1.10984cd54298fp-2, 0x1.0ff4107ae8fb3p-2, 0x1.0f4ad0551564bp-2, 0x1.0e9ca4e040b2cp-2, 0x1.0de9a66d807e7p-2, 0x1.0d31ed22f42f1p-2, 0x1.0c7590fc39158p-2, 0x1.0bb4a9c754189p-2, 0x1.0aef4f2270ae8p-2, 0x1.0a259877c93fdp-2, 0x1.09579cfcac76ep-2, 0x1.088573b265779p-2, 0x1.07af3369bb507p-2, 0x1.06d4f2ba8c181p-2, 0x1.05f6c810d70acp-2, 0x1.0514c9973e25dp-2, 0x1.042f0d40c75cdp-2, 0x1.0345a8c653e3fp-2, 0x1.0258b1ab9b9e8p-2, 0x1.01683d3d8607ap-2, 0x1.0074609203efp-2, 0x1.fefa610530e7ap-3, 0x1.fd058357593b6p-3, 0x1.fb0a50d8e0459p-3, 0x1.f908f1d8fd34ep-3, 0x1.f7018e3aed7f3p-3, 0x1.f4f44d72f419fp-3, 0x1.f2e1567f473e3p-3, 0x1.f0c8cfe04e3fdp-3, 0x1.eeaadf9a03282p-3, 0x1.ec87ab3cf3493p-3, 0x1.ea5f57eedff11p-3, 0x1.e8320a6cd455dp-3, 0x1.e5ffe704ee5eep-3, 0x1.e3c9118c24edbp-3, 0x1.e18dad59c956p-3, 0x1.df4ddd4ca9811p-3, 0x1.dd09c3d613f46p-3, 0x1.dac1830460b39p-3, 0x1.d8753c830d664p-3, 0x1.d6251192c4a67p-3, 0x1.d3d122fd87bf9p-3, 0x1.d1799111eaa99p-3, 0x1.cf1e7ba967659p-3, 0x1.ccc0023690898p-3, 0x1.ca5e43ce4e84dp-3, 0x1.c7f95f2d4ac5bp-3, 0x1.c59172ae24d5cp-3, 0x1.c3269c3cd46d6p-3, 0x1.c0b8f94ed06cap-3, 0x1.be48a6e62bc82p-3, 0x1.bbd5c19d45f7ap-3, 0x1.b96065b859c37p-3, 0x1.b6e8af294151dp-3, 0x1.b46eb99569a2ep-3, 0x1.b1f2a033ad019p-3, 0x1.af747ddf21ff1p-3, 0x1.acf46cf6d385p-3, 0x1.aa728773110cap-3, 0x1.a7eee6f0d367dp-3, 0x1.a569a4c1b1a8cp-3, 0x1.a2e2d9f0e39a8p-3, 0x1.a05a9f3d779cbp-3, 0x1.9dd10d0c829bcp-3, 0x1.9b463b5cd06d9p-3, 0x1.98ba41c2386d4p-3, 0x1.962d376d55f71p-3, 0x1.939f333a96dadp-3, 0x1.91104bc1ff01dp-3, 0x1.8e80975db4f7bp-3, 0x1.8bf02c267a8ecp-3, 0x1.895f1fe63771cp-3, 0x1.86cd880b29f56p-3, 0x1.843b799f709d5p-3, 0x1.81a9094d26202p-3, 0x1.7f164b6bb8ecbp-3, 0x1.7c83540dd9fb4p-3, 0x1.79f0370eb2052p-3, 0x1.775d0812bd6bep-3, 0x1.74c9da8045e0ep-3, 0x1.7236c17011fa8p-3, 0x1.6fa3cfa148944p-3, 0x1.6d11177b332b7p-3, 0x1.6a7eab09b9265p-3, 0x1.67ec9c11b63cdp-3, 0x1.655afc1d01fb8p-3, 0x1.62c9dc8448b95p-3, 0x1.60394e6f297fep-3, 0x1.5da962ccdbae3p-3, 0x1.5b1a2a46d772ep-3, 0x1.588bb535ff825p-3, 0x1.55fe139e1aa4ep-3, 0x1.5371553213ca6p-3, 0x1.50e5895f21406p-3, 0x1.4e5abf5a16f0fp-3, 0x1.4bd106299045p-3, 0x1.49486ca90608p-3, 0x1.46c1018408a0fp-3, 0x1.443ad32ba132fp-3, 0x1.41b5efcb5c8a8p-3, 0x1.3f3265420ea82p-3, 0x1.3cb0412183967p-3, 0x1.3a2f90b5210f8p-3, 0x1.37b0610caa4d6p-3, 0x1.3532bf090f39ap-3, 0x1.32b6b75c799e8p-3, 0x1.303c569a73512p-3, 0x1.2dc3a9203e157p-3, 0x1.2b4cbb182a98cp-3, 0x1.28d7986b769cep-3, 0x1.26644cbd5188ep-3, 0x1.23f2e36b55cc1p-3, 0x1.218367920cac7p-3, 0x1.1f15e41663d73p-3, 0x1.1caa63af2bbcfp-3, 0x1.1a40f0eb67697p-3, 0x1.17d9963465136p-3, 0x1.15745dca923bp-3, 0x1.131151be99cf1p-3, 0x1.10b07be9565eap-3, 0x1.0e51e5e5c5fc4p-3, 0x1.0bf5990eeb862p-3, 0x1.099b9e825fb7ap-3, 0x1.0743ff25ed8fcp-3, 0x1.04eec3af9753cp-3, 0x1.029bf4abf9c04p-3, 0x1.004b9a82c1c55p-3, 0x1.fbfb7aee34f2fp-4, 0x1.f764cb48ef17fp-4, 0x1.f2d335f1b7adap-4, 0x1.ee46ca5d81e2dp-4, 0x1.e9bf97910c60ep-4, 0x1.e53dac1e25208p-4, 0x1.e0c11627ae8e3p-4, 0x1.dc49e36aaff32p-4, 0x1.d7d82149afafap-4, 0x1.d36bdcd754be4p-4, 0x1.cf0522ddd46afp-4, 0x1.caa3ffe153036p-4, 0x1.c648801cfbb0ap-4, 0x1.c1f2af7b98079p-4, 0x1.bda2998e501ffp-4, 0x1.b95849846d46dp-4, 0x1.b513ca271909fp-4, 0x1.b0d525da099f1p-4, 0x1.ac9c66a08d27cp-4, 0x1.a86996252fb47p-4, 0x1.a43cbdc203202p-4, 0x1.a015e687f0a17p-4, 0x1.9bf5194356fcep-4, 0x1.97da5e7d797dcp-4, 0x1.93c5be7a3ec31p-4, 0x1.8fb74132f7bdfp-4, 0x1.8baeee50a752p-4, 0x1.87accd249c5bfp-4, 0x1.83b0e4a679803p-4, 0x1.7fbb3b7467d56p-4, 0x1.7bcbd7d6548a1p-4, 0x1.77e2bfc374aa9p-4, 0x1.73fff8e8489f2p-4, 0x1.702388abe4214p-4, 0x1.6c4d7433f4f6p-4, 0x1.687dc0657e1bfp-4, 0x1.64b471ebe6dd1p-4, 0x1.60f18d289144p-4, 0x1.5d35163ed116p-4, 0x1.597f1105d7e31p-4, 0x1.55cf8108a6126p-4, 0x1.5226698408228p-4, 0x1.4e83cd67f4ec9p-4, 0x1.4ae7af5a910ebp-4, 0x1.475211bc11efap-4, 0x1.43c2f6ab46d4bp-4, 0x1.403a600950f81p-4, 0x1.3cb84f7bbb64dp-4, 0x1.393cc66e085f1p-4, 0x1.35c7c615fc32ep-4, 0x1.32594f6891429p-4, 0x1.2ef163296e44bp-4, 0x1.2b9001d6ec917p-4, 0x1.28352bb167f22p-4, 0x1.24e0e0b7db285p-4, 0x1.219320a7f0a44p-4, 0x1.1e4beb00078ddp-4, 0x1.1b0b3f0225f1dp-4, 0x1.17d11bb6fbffap-4, 0x1.149d7ff092d6p-4, 0x1.11706a4c7de0ap-4, 0x1.0e49d93591f23p-4, 0x1.0b29cae525f8ep-4, 0x1.08103d63cd4bap-4, 0x1.04fd2e8959123p-4, 0x1.01f09bfc15e0bp-4, 0x1.fdd5065f10642p-5, 0x1.f7d5c2c60cd03p-5, 0x1.f1e36742ac8e3p-5, 0x1.ebfded822ec95p-5, 0x1.e6254ecb58271p-5, 0x1.e05984034f997p-5, 0x1.da9a85b233113p-5, 0x1.d4e84c06b2babp-5, 0x1.cf42ced9c3737p-5, 0x1.c9aa05af93ac8p-5, 0x1.c41de7bba550ep-5, 0x1.be9e6be207442p-5, 0x1.b92b88b8e0dafp-5, 0x1.b3c5348956e81p-5, 0x1.ae6b654f7537ep-5, 0x1.a91e10b970373p-5, 0x1.a3dd2c26c74a3p-5, 0x1.9ea8aca81ecc4p-5, 0x1.99808700343e6p-5, 0x1.9464afa60e0f6p-5, 0x1.8f551ac7e14bbp-5, 0x1.8a51bc4e066e8p-5, 0x1.855a87dd8991ap-5, 0x1.806f70da2f498p-5, 0x1.7b906a6957de7p-5, 0x1.76bd6770d05c8p-5, 0x1.71f65a9bada41p-5, 0x1.6d3b365d5656cp-5, 0x1.688becefa4afdp-5, 0x1.63e870584c8ebp-5, 0x1.5f50b268b40f3p-5, 0x1.5ac4a4be80a04p-5, 0x1.564438c3c9ae2p-5, 0x1.51cf5faf4064fp-5, 0x1.4d660a84760eap-5, 0x1.49082a12157e4p-5, 0x1.44b5aefc5e92ep-5, 0x1.406e89b097c62p-5, 0x1.3c32aa6b66a21p-5, 0x1.3802013f5e0d4p-5, 0x1.33dc7e10e1ecfp-5, 0x1.2fc2109a92529p-5, 0x1.2bb2a8711c8dep-5, 0x1.27ae35079bcc4p-5, 0x1.23b4a5b4206bap-5, 0x1.1fc5e9b38ae6ap-5, 0x1.1be1f02c0904fp-5, 0x1.1808a82da4007p-5, 0x1.143a00b0b836dp-5, 0x1.1075e892c64adp-5, 0x1.0cbc4e924f638p-5, 0x1.090d214aa24a6p-5, 0x1.05684f308307ep-5, 0x1.01cdc691105bfp-5, 0x1.fc7aeb2371aafp-6, 0x1.f56e94692d096p-6, 0x1.ee7664bcc2d19p-6, 0x1.e79237be21538p-6, 0x1.e0c1e8f7a3a15p-6, 0x1.da0553f204379p-6, 0x1.d35c544592c76p-6, 0x1.ccc6c5a5d853ap-6, 0x1.c64483e178ef5p-6, 0x1.bfd56adc34ffp-6, 0x1.b979567d9695dp-6, 0x1.b330229832ddp-6, 0x1.acf9aacc041b2p-6, 0x1.a6d5ca6bee60ep-6, 0x1.a0c45c6e3867ap-6, 0x1.9ac53b645ecd3p-6, 0x1.94d8417f8758fp-6, 0x1.8efd48a8a6e1p-6, 0x1.89342aa2ecdcdp-6, 0x1.837cc1341fa37p-6, 0x1.7dd6e6504c1ffp-6, 0x1.7842744169b2p-6, 0x1.72bf45c400b61p-6, 0x1.6d4d3613eaeep-6, 0x1.67ec20e562b12p-6, 0x1.629be24a4c7dp-6, 0x1.5d5c568687412p-6, 0x1.582d59d4e8339p-6, 0x1.530ec84cac7e1p-6, 0x1.4e007d6da109ap-6, 0x1.49025455a6961p-6, 0x1.4414277a7fa8bp-6, 0x1.3f35d0d40a98dp-6, 0x1.3a6729fdc4ea7p-6, 0x1.35a80c72931a6p-6, 0x1.30f851d22264p-6, 0x1.2c57d42824d1p-6, 0x1.27c66e2ad52ffp-6, 0x1.2343fb6737be2p-6, 0x1.1ed05852ae3c8p-6, 0x1.1a6b623d1a897p-6, 0x1.1614f722ae916p-6, 0x1.11ccf562d75e7p-6, 0x1.0d933b66b1123p-6, 0x1.0967a745b936ap-6, 0x1.054a167893f14p-6, 0x1.013a65a7aa43ep-6, 0x1.fa70e13c3cb36p-7, 0x1.f28824c653b7bp-7, 0x1.eaba4aea8ed11p-7, 0x1.e307083c651e1p-7, 0x1.db6e11a8ac066p-7, 0x1.d3ef1d3c2f3dbp-7, 0x1.cc89e2d0b171bp-7, 0x1.c53e1cb9e31e2p-7, 0x1.be0b87f531151p-7, 0x1.b6f1e441439ddp-7, 0x1.aff0f3eee140cp-7, 0x1.a9087b2d15eadp-7, 0x1.a2383f2b2caf9p-7, 0x1.9b800508d7e98p-7, 0x1.94df90c59b5bep-7, 0x1.8e56a45ee1888p-7, 0x1.87e4ff4469413p-7, 0x1.818a5e3b22911p-7, 0x1.7b467baeefcf4p-7, 0x1.75191059f7135p-7, 0x1.6f01d4224b8fep-7, 0x1.69007f080f6cap-7, 0x1.6314ca03ca3cbp-7, 0x1.5d3e6fc912bb1p-7, 0x1.577d2d6910cb9p-7, 0x1.51d0c2d338914p-7, 0x1.4c38f32dd9d6p-7, 0x1.46b584f72b58fp-7, 0x1.414641da42948p-7, 0x1.3beaf627a167cp-7, 0x1.36a36ff0af576p-7, 0x1.316f7ddd547bdp-7, 0x1.2c4eedeb2fa18p-7, 0x1.27418c54359a2p-7, 0x1.224722d85b65ap-7, 0x1.1d5f788e3bc59p-7, 0x1.188a523b4293bp-7, 0x1.13c7730bd1e7ep-7, 0x1.0f169d6c0d5bep-7, 0x1.0a7793c141e72p-7, 0x1.05ea18dcf345bp-7, 0x1.016df02acb26p-7, 0x1.fa05bb7a915bp-8, 0x1.f1514cd769f39p-8, 0x1.e8be204bd000ep-8, 0x1.e04bc50224538p-8, 0x1.d7f9ceb3ac0fap-8, 0x1.cfc7d6a193706p-8, 0x1.c7b57bc88b57bp-8, 0x1.bfc2620bfcebbp-8, 0x1.b7ee30698183p-8, 0x1.b0388ea2febedp-8, 0x1.a8a1230a2d82dp-8, 0x1.a127911b2bca3p-8, 0x1.99cb79560390fp-8, 0x1.928c7a590a1a4p-8, 0x1.8b6a32c459462p-8, 0x1.8464431c2aa3ap-8, 0x1.7d7a4ed559e1ep-8, 0x1.76abfc0c1e79cp-8, 0x1.6ff8f1f4e1913p-8, 0x1.6960d6a7754adp-8, 0x1.62e34d62e36a8p-8, 0x1.5c7ff5d98d277p-8, 0x1.56366d4da7297p-8, 0x1.500650cf43665p-8, 0x1.49ef400716aa7p-8, 0x1.43f0df77269p-8, 0x1.3e0ad96c7cbcp-8, 0x1.383cdd538727dp-8, 0x1.32869db8647dfp-8, 0x1.2ce7cdb534bf3p-8, 0x1.27601ebf7ba46p-8, 0x1.21ef3f927f573p-8, 0x1.1c94dc97313dap-8, 0x1.1750a18c06a34p-8, 0x1.12223bf845847p-8, 0x1.0d095d84169eap-8, 0x1.0805bd4b4f32dp-8, 0x1.03171803413a3p-8, 0x1.fc7a59f6013e9p-9, 0x1.f2ef778be9ff2p-9, 0x1.e98cffd64df43p-9, 0x1.e0525e6d49767p-9, 0x1.d73ef31670e8dp-9, 0x1.ce5216f3a8e5dp-9, 0x1.c58b240bd0e28p-9, 0x1.bce97c4e5db67p-9, 0x1.b46c8e1c27b0ap-9, 0x1.ac13d4d72f223p-9, 0x1.a3ded5d2a7056p-9, 0x1.9bcd1b2a15c87p-9, 0x1.93de2ea4a566cp-9, 0x1.8c119675ab873p-9, 0x1.8466d48c272e4p-9, 0x1.7cdd67e4a7a1fp-9, 0x1.7574ceca2de3bp-9, 0x1.6e2c893c58ab9p-9, 0x1.67041b39aace2p-9, 0x1.5ffb0ec5e0bb8p-9, 0x1.5910f5115c521p-9, 0x1.524565bf3021fp-9, 0x1.4b97fb9c54a2bp-9, 0x1.45084f52c4ffep-9, 0x1.3e95f222a6519p-9, 0x1.38406b52f4058p-9, 0x1.32073a0c4433dp-9, 0x1.2be9daf17966p-9, 0x1.25e7cea16c68ap-9, 0x1.20009e156bc7ep-9, 0x1.1a33db9296622p-9, 0x1.148120e93a4cp-9, 0x1.0ee80c72f5b98p-9, 0x1.09683df7d458ap-9, 0x1.0401546ec0bccp-9, 0x1.fd65dabef912p-10, 0x1.f2f94be7b28fcp-10, 0x1.e8bc39a279fd8p-10, 0x1.deade73d0b8a2p-10, 0x1.d4cd9f5b75d98p-10, 0x1.cb1ab3a427f7dp-10, 0x1.c1947b1e267c9p-10, 0x1.b83a4fe66de31p-10, 0x1.af0b8d75b16c7p-10, 0x1.a60790620a3f4p-10, 0x1.9d2db6b87777fp-10, 0x1.947d5e8ee9272p-10, 0x1.8bf5e1b80c93bp-10, 0x1.8396911126205p-10, 0x1.7b5eb43a6c62bp-10, 0x1.734d9021b4ed7p-10, 0x1.6b627099ec5d2p-10, 0x1.639cad88a412fp-10, 0x1.5bfba8876551cp-10, 0x1.547ec8465ae65p-10, 0x1.4d2578e1e068fp-10, 0x1.45ef30c227c6cp-10, 0x1.3edb72c18adc9p-10, 0x1.37e9c8c885771p-10, 0x1.3119b95380a0dp-10, 0x1.2a6abe64d8778p-10, 0x1.23dc4399f4593p-10, 0x1.1d6dacfa2161fp-10, 0x1.171e61e8b9c86p-10, 0x1.10edd3a97a1bdp-10, 0x1.0adb7a5977ce4p-10, 0x1.04e6cc361c626p-10, 0x1.fe1e70df68205p-11, 0x1.f2a85634affe7p-11, 0x1.e76a2f95d47fap-11, 0x1.dc6306a0f204bp-11, 0x1.d1920c1aa228ep-11, 0x1.c6f68acc76d04p-11, 0x1.bc8fd03993f47p-11, 0x1.b25d1987bbf8fp-11, 0x1.a85d90347c0a3p-11, 0x1.9e9052fc446d2p-11, 0x1.94f4782d7c28fp-11, 0x1.8b88ff9f443efp-11, 0x1.824cca65542f8p-11, 0x1.793eb779b088fp-11, 0x1.705ddb64dd6cbp-11, 0x1.67a99facfb6bfp-11, 0x1.5f21a5654c9a1p-11, 0x1.56c5881836f46p-11, 0x1.4e94aee080317p-11, 0x1.468e4ff767992p-11, 0x1.3eb1999dd56abp-11, 0x1.36fdd617df208p-11, 0x1.2f726a9488deep-11, 0x1.280eb97c53688p-11, 0x1.20d20905d1ba4p-11, 0x1.19bb80d39e652p-11, 0x1.12ca387c0574cp-11, 0x1.0bfd49a7d4d48p-11, 0x1.0553de1c35247p-11, 0x1.fd9a78cec76fep-12, 0x1.f0d18fae63078p-12, 0x1.e44bf6dffb20fp-12, 0x1.d808bd1d3dcfdp-12, 0x1.cc06dced33c36p-12, 0x1.c0452919d00cbp-12, 0x1.b4c262a3be84ep-12, 0x1.a97d62c26f54ap-12, 0x1.9e751524bbd7ep-12, 0x1.93a83454901e3p-12, 0x1.8915324700981p-12, 0x1.7ebaa4ff0cbep-12, 0x1.7497c8620b49dp-12, 0x1.6aac573589b3bp-12, 0x1.60f7d79f16fa7p-12, 0x1.577925da1b153p-12, 0x1.4e2eb77daaff6p-12, 0x1.45173b960deddp-12, 0x1.3c31eb6217b81p-12, 0x1.337e4f920927cp-12, 0x1.2afbd84c337efp-12, 0x1.22a9b1fe2d247p-12, 0x1.1a86de04733e6p-12, 0x1.1292526d7eb07p-12, 0x1.0acafb5a7a947p-12, 0x1.032fcb963bab7p-12, 0x1.f77f76ffe35acp-13, 0x1.e8f3a93ed2214p-13, 0x1.daba7abb2763fp-13, 0x1.ccd27f901e73bp-13, 0x1.bf3a8cf33a9aap-13, 0x1.b1f196f7a66f1p-13, 0x1.a4f6750d951ap-13, 0x1.9847af3176becp-13, 0x1.8be38f896e954p-13, 0x1.7fc87c986b4d6p-13, 0x1.73f52234f5d16p-13, 0x1.6867fa39ef42ap-13, 0x1.5d1eca7d2ea9ep-13, 0x1.521740802d71cp-13, 0x1.47502e8138a53p-13, 0x1.3cc96669e0d4p-13, 0x1.328240423d762p-13, 0x1.287901c3ee08cp-13, 0x1.1eabde0608b62p-13, 0x1.1519eb408fe38p-13, 0x1.0bc2b61353ea8p-13, 0x1.02a55766b2bcdp-13, 0x1.f380b2ac0df56p-14, 0x1.e22460dd158d3p-14, 0x1.d1332683b177ap-14, 0x1.c0ab0d774c1a5p-14, 0x1.b08a800f0fd0cp-14, 0x1.a0cfefd8d10fp-14, 0x1.91798a1985fecp-14, 0x1.82851e7654fdbp-14, 0x1.73f03e05a259dp-14, 0x1.65b875bc924f5p-14, 0x1.57db7fc481795p-14, 0x1.4a575c10d31bep-14, 0x1.3d2a532d4a107p-14, 0x1.3052e138a6668p-14, 0x1.23cf7c7a84d48p-14, 0x1.179e4e4614522p-14, 0x1.0bbd3af8de138p-14, 0x1.002a711fe170cp-14, 0x1.e9c9e9fa0bef4p-15, 0x1.d3d8175e595c2p-15, 0x1.be7bc9036bf42p-15, 0x1.a9af86ce67142p-15, 0x1.957086c1a2c34p-15, 0x1.81be02c1dd047p-15, 0x1.6e944f4b2dd98p-15, 0x1.5bee46c0b58ffp-15, 0x1.49c9b69a2e5d2p-15, 0x1.3825a746e2d24p-15, 0x1.26fef3bc44c51p-15, 0x1.16512d66385aap-15, 0x1.06189ee1babcdp-15, 0x1.eca5800fded49p-16, 0x1.cdfb73602bb58p-16, 0x1.b02f9c030cd1bp-16, 0x1.933de0ae95d49p-16, 0x1.77215086f1fb3p-16, 0x1.5bd4a02184cd5p-16, 0x1.41531a3cb665bp-16, 0x1.279922b926d3bp-16, 0x1.0ea39c18bc186p-16, 0x1.ecdd8396c8d91p-17, 0x1.bdeb599460bb7p-17, 0x1.9065abd39cf33p-17, 0x1.6441e2fddfafcp-17, 0x1.39770267b3106p-17, 0x1.0ffdaee56ce43p-17, 0x1.cf9dd58c0c78fp-18, 0x1.81c4cbc8c4cecp-18, 0x1.365d7145feb1p-18, 0x1.dab0ca552a9c5p-19, 0x1.4d62c04c3acap-19, 0x1.89a203ffe78dfp-20, 0x1.0354ead9cac93p-21, -0x1.f6a0e09ee93edp-22, -0x1.748716077d737p-20, -0x1.318cc793b0175p-19, -0x1.a4d5b2433d75dp-19, -0x1.0a0f8d72b2c5fp-18, -0x1.3fb55e141ee5fp-18, -0x1.736da8859054ap-18, -0x1.a54ae1db61468p-18, -0x1.d5597eabc79c1p-18, -0x1.01d151056bfb3p-17, -0x1.18176c170d6e2p-17, -0x1.2d83cba6c4fe5p-17, -0x1.421c4238a468ap-17, -0x1.55e816715c85ep-17, -0x1.68ef47911416dp-17, -0x1.7b3882c8640afp-17, -0x1.8cc76b6b7db8cp-17, -0x1.9d9d9007d2b1ap-17, -0x1.adbd9a1dea7bp-17, -0x1.bd2d366b220bep-17, -0x1.cbf31ac5a73e6p-17, -0x1.da138d3dde6ffp-17, -0x1.e79070b4795p-17, -0x1.f46c850599911p-17, -0x1.005665758b50bp-16, -0x1.062b76e6fadfep-16, -0x1.0bb7da0debc1bp-16, -0x1.10fd9344a76f7p-16, -0x1.15febd70339a9p-16, -0x1.1abd88214c668p-16, -0x1.1f3b9c816527p-16, -0x1.23795f02b3373p-16, -0x1.277668e894714p-16, -0x1.2b35e265cbc4fp-16, -0x1.2ebcc34261fp-16, -0x1.320ca091855e4p-16, -0x1.3526a2bc3c111p-16, -0x1.380947fae6146p-16, -0x1.3ab594f57b995p-16, -0x1.3d2ee23161d1ep-16, -0x1.3f7756edbed09p-16, -0x1.41903dcbb3d6cp-16, -0x1.437ac674cde43p-16, -0x1.453833c2c98fp-16, -0x1.46c9daf540bc6p-16, -0x1.4830f8fce4e6p-16, -0x1.496eecef970f4p-16, -0x1.4a84ea48a0328p-16, -0x1.4b74156626a56p-16, -0x1.4c3d70d85ebb7p-16, -0x1.4ce1d7f9fc513p-16, -0x1.4d6205113ae2bp-16, -0x1.4dbec2f074893p-16, -0x1.4df96d26b0813p-16, -0x1.4e143991d9f8dp-16, -0x1.4e112cad48dafp-16, -0x1.4df0c39f0e635p-16, -0x1.4db3156df068dp-16, -0x1.4d59adc4906f6p-16, -0x1.4ce633297788cp-16, -0x1.4c587f99a9147p-16, -0x1.4bb03c9f66f92p-16, -0x1.4aee7c0f19c74p-16, }}, 
      {{-0x1.52ae3286d93ddp-1, -0x1.2165f5dea8924p-1, -0x1.cdb0972ae5867p-2, -0x1.5a44f957ab3b8p-2, -0x1.e5d7f511f06e9p-3, -0x1.37ff38a256311p-3, -0x1.5939c1169166cp-4, -0x1.05968dcb47eb9p-5, 0x1.bba519e5a97fdp-8, 0x1.185e393857abep-5, 0x1.b0d51bb4c9a74p-5, 0x1.097b6cce1e59ep-4, 0x1.27467ada421aep-4, 0x1.386438aac1fd8p-4, 0x1.42244616e4a26p-4, 0x1.48a5c797e08dap-4, 0x1.4efa59baca0ecp-4, 0x1.574cfc3563282p-4, 0x1.630901d76fb71p-4, 0x1.72febdc73d7d5p-4, 0x1.8784af8fad13ap-4, 0x1.a09498955bacep-4, 0x1.bde45595faaa2p-4, 0x1.defa9f7b5ff9p-4, 0x1.01a0009739cdfp-3, 0x1.150632cd3f3ap-3, 0x1.2958d4f82d875p-3, 0x1.3e41d07b5ae15p-3, 0x1.536ef7e49ca83p-3, 0x1.68941245b654ep-3, 0x1.7d6c2eea0b045p-3, 0x1.91ba677943218p-3, 0x1.a54a3135d5eaep-3, 0x1.b7ef58db19bdbp-3, 0x1.c985bfe6192a4p-3, 0x1.d9f0edcf01262p-3, 0x1.e91b841889f3cp-3, 0x1.f6f6a0ed54a92p-3, 0x1.01bc9cacdcc69p-2, 0x1.074fb8f690215p-2, 0x1.0c34fd568c80bp-2, 0x1.106eb8e0062e8p-2, 0x1.1400e783a2fe9p-2, 0x1.16f0ecff19bfdp-2, 0x1.1945554913d72p-2, 0x1.1b059a9ac5552p-2, 0x1.1c39f10d95963p-2, 0x1.1ceb17a52ff7cp-2, 0x1.1d222e860f12cp-2, 0x1.1ce8921128821p-2, 0x1.1c47ba9ae42a5p-2, 0x1.1b4920716c916p-2, 0x1.19f623d2d6a65p-2, 0x1.1857f8711dae9p-2, 0x1.1677942bacdcfp-2, 0x1.145da0bfd7408p-2, 0x1.12127051ed402p-2, 0x1.0f9df46cb6afep-2, 0x1.0d07b71824c2ap-2, 0x1.0a56d5ba5efc2p-2, 0x1.0791fd6a75629p-2, 0x1.04bf68ffd6655p-2, 0x1.01e4e086f64e6p-2, 0x1.fe0f741df6b55p-3, 0x1.f859b684e21b8p-3, 0x1.f2b17721a443dp-3, 0x1.ed1ecd9c17b63p-3, 0x1.e7a900cbc5b5fp-3, 0x1.e2568e9edd079p-3, 0x1.dd2d34b44c062p-3, 0x1.d831fa445449dp-3, 0x1.d369396c83799p-3, 0x1.ced6a8ece25b8p-3, 0x1.ca7d652957175p-3, 0x1.c65ff978d5585p-3, 0x1.c280693a53b24p-3, 0x1.bee0393eaace9p-3, 0x1.bb80791c262ep-3, 0x1.b861cc6ed7fadp-3, 0x1.b58473be9b728p-3, 0x1.b2e854fb13d7ep-3, 0x1.b08d037d99845p-3, 0x1.ae71c7988653ap-3, 0x1.ac95a5c93ed39p-3, 0x1.aaf76595e732fp-3, 0x1.a995982ac0a0ep-3, 0x1.a86e9eb49eeaep-3, 0x1.a780b0782ab52p-3, 0x1.a6c9e09cdc5f5p-3, 0x1.a64823a1d9434p-3, 0x1.a5f95478b8b79p-3, 0x1.a5db393f65d8fp-3, 0x1.a5eb879bb00d4p-3, 0x1.a627e8b9ddc71p-3, 0x1.a68dfcf3a3e4p-3, 0x1.a71b5f2415482p-3, 0x1.a7cda7b05f589p-3, 0x1.a8a26f48e29bap-3, 0x1.a9975168638f3p-3, 0x1.aaa9ee97367c2p-3, 0x1.abd7ee75510e8p-3, 0x1.ad1f018e3fd83p-3, 0x1.ae7ce2fa85567p-3, 0x1.afef59d1179c2p-3, 0x1.b1743a6a34e45p-3, 0x1.b30967760be2ap-3, 0x1.b4acd2ee332fcp-3, 0x1.b65c7ed89e516p-3, 0x1.b8167dea62945p-3, 0x1.b9d8f4090ff12p-3, 0x1.bba216a5446d4p-3, 0x1.bd702d0000ddp-3, 0x1.bf41904ebb06dp-3, 0x1.c114abcb71546p-3, 0x1.c2e7fcb034361p-3, 0x1.c4ba121d3515bp-3, 0x1.c6898cf796318p-3, 0x1.c8551fb05e747p-3, 0x1.ca1b8e0b7d24cp-3, 0x1.cbdbacd72d1aep-3, 0x1.cd946195fb2c6p-3, 0x1.cf44a22e2d2cep-3, 0x1.d0eb7482d61dp-3, 0x1.d287ee097576p-3, 0x1.d4193365d2125p-3, 0x1.d59e77e7f7852p-3, 0x1.d716fd1868a19p-3, 0x1.d882124298719p-3, 0x1.d9df13e798c23p-3, 0x1.db2d6b42a404cp-3, 0x1.dc6c8dd59d3dap-3, 0x1.dd9bfcd9597a4p-3, 0x1.debb44c8a909bp-3, 0x1.dfc9fcf16bf02p-3, 0x1.e0c7c6f16ebbep-3, 0x1.e1b44e4a2527p-3, 0x1.e28f47fa5c9a9p-3, 0x1.e3587209a5474p-3, 0x1.e40f9322edc1cp-3, 0x1.e4b47a380e7b7p-3, 0x1.e546fe16e7c0bp-3, 0x1.e5c6fd077075fp-3, 0x1.e6345c7b144c7p-3, 0x1.e68f08a8c99a3p-3, 0x1.e6d6f42cc2c7bp-3, 0x1.e70c17bf8a485p-3, 0x1.e72e71e369ac6p-3, 0x1.e73e0684c06d5p-3, 0x1.e73adeb135023p-3, 0x1.e725085cd4c44p-3, 0x1.e6fc960f696a2p-3, 0x1.e6c19e946318bp-3, 0x1.e6743ccb16b27p-3, 0x1.e6148f7289f01p-3, 0x1.e5a2b8dbbf036p-3, 0x1.e51edeae3b6e8p-3, 0x1.e48929c8fbde5p-3, 0x1.e3e1c612c7957p-3, 0x1.e328e234e6395p-3, 0x1.e25eaf6dc95fep-3, 0x1.e183617c56473p-3, 0x1.e0972e7640165p-3, 0x1.df9a4e89d52d9p-3, 0x1.de8cfbd6c74a6p-3, 0x1.dd6f725f8ccap-3, 0x1.dc41efe98a345p-3, 0x1.db04b3c51965ap-3, 0x1.d9b7fea5b6e2bp-3, 0x1.d85c129749774p-3, 0x1.d6f132e838104p-3, 0x1.d577a3ff1410fp-3, 0x1.d3efab2d322adp-3, 0x1.d2598ea02ed03p-3, 0x1.d0b5955b1442ep-3, 0x1.cf040719df7f9p-3, 0x1.cd452c26157fbp-3, 0x1.cb794d3d5e07ep-3, 0x1.c9a0b38f97139p-3, 0x1.c7bba8b604a1ep-3, 0x1.c5ca76933e701p-3, 0x1.c3cd6730ab6b5p-3, 0x1.c1c4c4b30fb5fp-3, 0x1.bfb0d95d1168dp-3, 0x1.bd91ef842f44fp-3, 0x1.bb6851731a8d6p-3, 0x1.b934495050f5p-3, 0x1.b6f62118cd9f3p-3, 0x1.b4ae22a3100fbp-3, 0x1.b25c97953987ap-3, 0x1.b001c94d1943cp-3, 0x1.ad9e00cc318f2p-3, 0x1.ab3186b2db1d3p-3, 0x1.a8bca3428fbdp-3, 0x1.a63f9e5859618p-3, 0x1.a3babf5bc8262p-3, 0x1.a12e4d2e2dd07p-3, 0x1.9e9a8e20f6fd8p-3, 0x1.9bffc7f97c61p-3, 0x1.995e3fee78bd1p-3, 0x1.96b63a9f5150bp-3, 0x1.9407fc0504c1ap-3, 0x1.9153c767a0782p-3, 0x1.8e99df5c6d8c5p-3, 0x1.8bda85c81cbp-3, 0x1.8915fbdc54c7cp-3, 0x1.864c820ec936p-3, 0x1.837e580d2fb43p-3, 0x1.80abbcb74a33ep-3, 0x1.7dd4ee20fbe99p-3, 0x1.7afa29934f6c4p-3, 0x1.781bab8a563b4p-3, 0x1.7539afad91af9p-3, 0x1.725470c8675c7p-3, 0x1.6f6c28c743779p-3, 0x1.6c8110b87f4dfp-3, 0x1.699360ce691d7p-3, 0x1.66a3505e899a9p-3, 0x1.63b115dd69241p-3, 0x1.60bce6d9af982p-3, 0x1.5dc6f7f9522c1p-3, 0x1.5acf7cfa23adbp-3, 0x1.57d6a8b49270cp-3, 0x1.54dcad1db48e7p-3, 0x1.51e1bb464a918p-3, 0x1.4ee60356eb938p-3, 0x1.4be9b48cc7c49p-3, 0x1.48ecfd39c8157p-3, 0x1.45f00ac85a2f9p-3, 0x1.42f309bfb7922p-3, 0x1.3ff625c68d821p-3, 0x1.3cf9899dae0b5p-3, 0x1.39fd5f1f2a6c6p-3, 0x1.3701cf3c46d79p-3, 0x1.34070202733dep-3, 0x1.310d1ea1327abp-3, 0x1.2e144b6de0232p-3, 0x1.2b1cade2123a6p-3, 0x1.28266a97f14a2p-3, 0x1.2531a548f4b06p-3, 0x1.223e80d1fdc16p-3, 0x1.1f4d1f3a5db3ep-3, 0x1.1c5da1b962327p-3, 0x1.197028b6ee68cp-3, 0x1.1684d3c830598p-3, 0x1.139bc1acfff77p-3, 0x1.10b5105219221p-3, 0x1.0dd0dcd82a5d5p-3, 0x1.0aef439b93756p-3, 0x1.0810603817f41p-3, 0x1.05344d873ff42p-3, 0x1.025b259c8a66cp-3, 0x1.ff0a0388975f9p-4, 0x1.f963f5104f8d5p-4, 0x1.f3c44f6f38166p-4, 0x1.ee2b40df9472ep-4, 0x1.e898f63c8a97p-4, 0x1.e30d9afd142a1p-4, 0x1.dd89592bbbf1ep-4, 0x1.d80c5964ed0e3p-4, 0x1.d296c2e0bddb8p-4, 0x1.cd28bb84ca668p-4, 0x1.c7c267f50fc8bp-4, 0x1.c263eb9b332cp-4, 0x1.bd0d68a24ee88p-4, 0x1.b7beffee0fd93p-4, 0x1.b278d1162e08cp-4, 0x1.ad3afa6ceeac4p-4, 0x1.a805990f861d9p-4, 0x1.a2d8c8f86123p-4, 0x1.9db4a50b5b113p-4, 0x1.989947155caefp-4, 0x1.9386c7c7eb0ccp-4, 0x1.8e7d3eac22adfp-4, 0x1.897cc2268244ep-4, 0x1.8485677edd3cep-4, 0x1.7f9742f24986bp-4, 0x1.7ab267c3c3b8bp-4, 0x1.75d6e8453705cp-4, 0x1.7104d5d671a98p-4, 0x1.6c3c40dd7daa6p-4, 0x1.677d38bf789fdp-4, 0x1.62c7cbe093583p-4, 0x1.5e1c07ad835d5p-4, 0x1.5979f8ab5fef9p-4, 0x1.54e1aa8754411p-4, 0x1.5053282000cafp-4, 0x1.4bce7b8604b25p-4, 0x1.4753adf60e58bp-4, 0x1.42e2c7d1e1396p-4, 0x1.3e7bd09e42a0bp-4, 0x1.3a1ecf08b373fp-4, 0x1.35cbc8f3ce6f3p-4, 0x1.3182c386303e7p-4, 0x1.2d43c335b6fa4p-4, 0x1.290ecbcc3d612p-4, 0x1.24e3e0650eb2bp-4, 0x1.20c303679783cp-4, 0x1.1cac3682d3affp-4, 0x1.189f7aac0aa74p-4, 0x1.149cd02869c36p-4, 0x1.10a436967e6acp-4, 0x1.0cb5acfb4a631p-4, 0x1.08d131cb49abap-4, 0x1.04f6c2ee024bp-4, 0x1.01265dbc32d1cp-4, 0x1.fabffdf6c85eep-5, 0x1.f34745b4aafe3p-5, 0x1.ebe289e2a3c19p-5, 0x1.e491c08ef3af1p-5, 0x1.dd54deb7dac2ep-5, 0x1.d62bd860467a5p-5, 0x1.cf16a0a0d601bp-5, 0x1.c81529b103f1ep-5, 0x1.c12764e7b1fefp-5, 0x1.ba4d42b5fd558p-5, 0x1.b386b2a123b6bp-5, 0x1.acd3a34090344p-5, 0x1.a6340242e6749p-5, 0x1.9fa7bc79efff8p-5, 0x1.992ebdeac0ffdp-5, 0x1.92c8f1dd3b2c2p-5, 0x1.8c7642ea77355p-5, 0x1.86369afe18a86p-5, 0x1.8009e35c2db62p-5, 0x1.79f00499d042ep-5, 0x1.73e8e69b33b0bp-5, 0x1.6df4709334485p-5, 0x1.6812890800533p-5, 0x1.624315dce0883p-5, 0x1.5c85fc5e915cp-5, 0x1.56db214fd1735p-5, 0x1.514268f3bc12ep-5, 0x1.4bbbb713fdb28p-5, 0x1.4646ef02d1cfcp-5, 0x1.40e3f39a00ac9p-5, 0x1.3b92a7390723p-5, 0x1.3652ebc4ad71cp-5, 0x1.3124a2a9c03c7p-5, 0x1.2c07ace339dcap-5, 0x1.26fbeb02dcec8p-5, 0x1.22013d3b15542p-5, 0x1.1d178367df881p-5, 0x1.183e9d15ed115p-5, 0x1.13766986f1d2ep-5, 0x1.0ebec7b353bfdp-5, 0x1.0a17964a1cc8ap-5, 0x1.0580b3b08e22dp-5, 0x1.00f9fe02e1729p-5, 0x1.f906a62e18b2bp-6, 0x1.f039210364ca4p-6, 0x1.e78b2739649adp-6, 0x1.defc731c857bep-6, 0x1.d68cbe9f71dadp-6, 0x1.ce3bc36659de9p-6, 0x1.c6093acf0c773p-6, 0x1.bdf4ddf5b53abp-6, 0x1.b5fe65b6e687ap-6, 0x1.ae258ab075c64p-6, 0x1.a66a0542faebp-6, 0x1.9ecb8d95655e2p-6, 0x1.9749db9b4f2acp-6, 0x1.8fe4a71db0df2p-6, 0x1.889ba7c4debfbp-6, 0x1.816e9522a2d41p-6, 0x1.7a5d26bb772ebp-6, 0x1.7367140e4382p-6, 0x1.6c8c149a5204cp-6, 0x1.65cbdfe344c11p-6, 0x1.5f262d738aad5p-6, 0x1.589ab4ddd11bdp-6, 0x1.52292dbf521f4p-6, 0x1.4bd14fc2ab73ep-6, 0x1.4592d2a496ba7p-6, 0x1.3f6d6e3a2e94ap-6, 0x1.3960da77bb918p-6, 0x1.336ccf77b477ep-6, 0x1.2d9105812fb83p-6, 0x1.27cd350da004cp-6, 0x1.222116ce17e1ap-6, 0x1.1c8c63ace27c1p-6, 0x1.170ed4d4af968p-6, 0x1.11a823ada61aep-6, 0x1.0c5809e2154cap-6, 0x1.071e415f5db44p-6, 0x1.01fa8458e7b2bp-6, 0x1.f9d91a9788bdfp-7, 0x1.efe82e05add19p-7, 0x1.e621b935e9a84p-7, 0x1.dc8533102fe34p-7, 0x1.d3121333b6fb8p-7, 0x1.c9c7d1fb70734p-7, 0x1.c0a5e88574cb6p-7, 0x1.b7abd0b778e49p-7, 0x1.aed9054ae9098p-7, 0x1.a62d01bf2d4f8p-7, 0x1.9da7426d30959p-7, 0x1.95474480f34b8p-7, 0x1.8d0c85fed2866p-7, 0x1.84f685c7cab81p-7, 0x1.7d04c39e37a77p-7, 0x1.7536c02b401cfp-7, 0x1.6d8bfd03fb2fap-7, 0x1.6603fcae61806p-7, 0x1.5e9e42a588e77p-7, 0x1.575a535d579e6p-7, 0x1.5037b445d4e59p-7, 0x1.4935ebcdfc685p-7, 0x1.425481660dc1ep-7, 0x1.3b92fd814e258p-7, 0x1.34f0e9975b439p-7, 0x1.2e6dd025adc11p-7, 0x1.28093cb0a59ap-7, 0x1.21c2bbc5560ffp-7, 0x1.1b99dafc9aa34p-7, 0x1.158e28fcf3309p-7, 0x1.0f9f357caa394p-7, 0x1.09cc91445d8c6p-7, 0x1.0415ce3068d0bp-7, 0x1.fcf4fe653353dp-8, 0x1.f1f470a5b17ecp-8, 0x1.e7291d60a759fp-8, 0x1.dc9231046b99dp-8, 0x1.d22eda3070627p-8, 0x1.c7fe49b5d28ccp-8, 0x1.bdffb297bbe2dp-8, 0x1.b4324a0b864eep-8, 0x1.aa95477942af1p-8, 0x1.a127e47c47d28p-8, 0x1.97e95ce421725p-8, 0x1.8ed8eeb52b496p-8, 0x1.85f5da28a8b92p-8, 0x1.7d3f61abece54p-8, 0x1.74b4c9deb1f51p-8, 0x1.6c55599294382p-8, 0x1.642059c4d47f3p-8, 0x1.5c1515a0700a6p-8, 0x1.5432da7e25518p-8, 0x1.4c78f7de7f8cbp-8, 0x1.44e6bf6f0c9cfp-8, 0x1.3d7b8509832fdp-8, 0x1.36369eb4524c9p-8, 0x1.2f1764a2ab2e8p-8, 0x1.281d313356e77p-8, 0x1.214760ede38c4p-8, 0x1.1a95527faba91p-8, 0x1.140666afdd461p-8, 0x1.0d9a005fe29d1p-8, 0x1.074f848063597p-8, 0x1.01265a06ebea3p-8, 0x1.f63bd3d86cd07p-9, 0x1.ea6b3e51bc529p-9, 0x1.ded9cd6be0dbdp-9, 0x1.d3865f215bcbdp-9, 0x1.c86fd57fbbbeep-9, 0x1.bd9516b2b2f29p-9, 0x1.b2f50d0bbd369p-9, 0x1.a88ea7026b5bdp-9, 0x1.9e60d72b38d4cp-9, 0x1.946a9423b435bp-9, 0x1.8aaad8751ec21p-9, 0x1.8120a271436adp-9, 0x1.77caf40d8c00ap-9, 0x1.6ea8d2c34db72p-9, 0x1.65b94777df108p-9, 0x1.5cfb5e74f78ddp-9, 0x1.546e276eb59aap-9, 0x1.4c10b598efc9bp-9, 0x1.43e21fc6f2736p-9, 0x1.3be1808f558adp-9, 0x1.340df66c24127p-9, 0x1.2c66a3ced2013p-9, 0x1.24eaaf2344919p-9, 0x1.1d9942ba25424p-9, 0x1.16718c9acc17ep-9, 0x1.0f72be429c439p-9, 0x1.089c0c63efa18p-9, 0x1.01ecae9daf98bp-9, 0x1.f6c7be62074bep-10, 0x1.ea01b5befc202p-10, 0x1.dd85c1d886e8ap-10, 0x1.d152664c3b4c4p-10, 0x1.c5662c2ba3344p-10, 0x1.b9bfa29139885p-10, 0x1.ae5d5f3cc50cap-10, 0x1.a33dff248896bp-10, 0x1.986026e1cae2dp-10, 0x1.8dc282dfff9a2p-10, 0x1.8363c73e91843p-10, 0x1.7942af62756ebp-10, 0x1.6f5dfd40c8f0bp-10, 0x1.65b4788269f11p-10, 0x1.5c44ed67742f7p-10, 0x1.530e2c5285a1fp-10, 0x1.4a0f08ac04d27p-10, 0x1.414658efb906ep-10, 0x1.38b2f69729143p-10, 0x1.3053be8aaf61ap-10, 0x1.282791d0ca87cp-10, 0x1.202d5669c7832p-10, 0x1.1863f8364e80ap-10, 0x1.10ca69c45a4dfp-10, 0x1.095fa4e1086fap-10, 0x1.0222aad1d2a99p-10, 0x1.f625084a08b67p-11, 0x1.e85c802b827e3p-11, 0x1.dae9e72b4bb5ep-11, 0x1.cdcb7039d0119p-11, 0x1.c0ff54e02af3ap-11, 0x1.b483d31da4a01p-11, 0x1.a8572bed7544ap-11, 0x1.9c77a2ad968dbp-11, 0x1.90e37d7460314p-11, 0x1.8599063a83414p-11, 0x1.7a968ca0821bp-11, 0x1.6fda6808af765p-11, 0x1.6562f9bb3edcdp-11, 0x1.5b2eaedbe0b35p-11, 0x1.513c01c1916cfp-11, 0x1.47897af1ae448p-11, 0x1.3e15b115305b9p-11, 0x1.34df47f39d567p-11, 0x1.2be4eebbc5e16p-11, 0x1.23255d6eed8bdp-11, 0x1.1a9f51e97eeb9p-11, 0x1.12518cf3cdb8bp-11, 0x1.0a3acfd51b971p-11, 0x1.0259dad0a4097p-11, 0x1.f55ad98ee158ep-12, 0x1.e66887f34bbb6p-12, 0x1.d7da3f60ae93dp-12, 0x1.c9ad84d6b995bp-12, 0x1.bbdfe85dbb5d6p-12, 0x1.ae6f09491b5ddp-12, 0x1.a15899c4bfcdep-12, 0x1.949a619663a0dp-12, 0x1.8832400e8ef6dp-12, 0x1.7c1e2d1a1b473p-12, 0x1.705c393d9dbdp-12, 0x1.64ea8c366db34p-12, 0x1.59c7620463019p-12, 0x1.4ef1066ec22d1p-12, 0x1.4465cf711e7f5p-12, 0x1.3a241766a5cb8p-12, 0x1.302a3803aea81p-12, 0x1.2676871be6a7ep-12, 0x1.1d0755ccadbdp-12, 0x1.13daf205a0646p-12, 0x1.0aefa9bf305cap-12, 0x1.0243cec647dcbp-12, 0x1.f3ab740213c66p-13, 0x1.e3479af2275a2p-13, 0x1.d358ea4a650fcp-13, 0x1.c3dc4dfaa6994p-13, 0x1.b4cec6578ab51p-13, 0x1.a62d69f26e73dp-13, 0x1.97f56921b2593p-13, 0x1.8a241235640f2p-13, 0x1.7cb6d49c61be1p-13, 0x1.6fab412802e4fp-13, 0x1.62ff066c895b1p-13, 0x1.56afe9844a181p-13, 0x1.4abbbcdd66fb7p-13, 0x1.3f20579849ff9p-13, 0x1.33db8ffec382bp-13, 0x1.28eb3aab41518p-13, 0x1.1e4d2e55371f9p-13, 0x1.13ff4a86113dep-13, 0x1.09ff7e4ad2564p-13, 0x1.004bcbea0049cp-13, 0x1.edc48f9b24fc8p-14, 0x1.db8225b93ddbbp-14, 0x1.c9cca56ad4c2dp-14, 0x1.b8a055761e86dp-14, 0x1.a7f97427ebe56p-14, 0x1.97d43cd42ddd2p-14, 0x1.882cf77c174b5p-14, 0x1.79000b4ea60bbp-14, 0x1.6a4a0dd306cf3p-14, 0x1.5c07c92cc3ed3p-14, 0x1.4e3637795bb67p-14, 0x1.40d27554bc0b3p-14, 0x1.33d9b0b8cf02ep-14, 0x1.27491a89fdee9p-14, 0x1.1b1ddf951c266p-14, 0x1.0f552b330a1f9p-14, 0x1.03ec319a16ee2p-14, 0x1.f1c07d64d0434p-15, 0x1.dc5d87581d984p-15, 0x1.c7aabd97da2b5p-15, 0x1.b3a3ad8e5d022p-15, 0x1.a04423568b82bp-15, 0x1.8d87f510f00b9p-15, 0x1.7b6ae09d5a19cp-15, 0x1.69e86da5998ebp-15, 0x1.58fbf1fc35129p-15, 0x1.48a0acbccbce6p-15, 0x1.38d1f161ddcd2p-15, 0x1.298b522203d6fp-15, 0x1.1ac8b9620f5ebp-15, 0x1.0c866c86ba939p-15, 0x1.fd81f33f213e1p-16, 0x1.e2ea31e5f5593p-16, 0x1.c93f1dfebcd6cp-16, 0x1.b07a3329e6e74p-16, 0x1.9894d8397b306p-16, 0x1.81886f8d2abddp-16, 0x1.6b4e72186c989p-16, 0x1.55e08a9ba320fp-16, 0x1.4138acd749b43p-16, 0x1.2d5126cee4b1dp-16, 0x1.1a24a7233477ap-16, 0x1.07ae30814a45ep-16, 0x1.ebd1eb73a5eaap-17, 0x1.c9a04a3f85855p-17, 0x1.a8bd6d4cbf514p-17, 0x1.891eaa368cf26p-17, 0x1.6ab8e1f2dec75p-17, 0x1.4d80eb6bf7275p-17, 0x1.316c0e234d47p-17, 0x1.167054de773d7p-17, 0x1.f90940fb35865p-18, 0x1.c741101bde075p-18, 0x1.9778408e7fec7p-18, 0x1.699f7fa8b82ddp-18, 0x1.3da7a4a709d9bp-18, 0x1.13819187b90d9p-18, 0x1.d63ca4b3ebcbfp-19, 0x1.88deb8af7fcefp-19, 0x1.3ecd8be533b85p-19, 0x1.efdd90204e8f7p-20, 0x1.685328cbe437bp-20, 0x1.cd99778ca897p-21, 0x1.ac739b3a5beb9p-22, -0x1.5d17d22a4d173p-25, -0x1.edc03ce11370dp-22, -0x1.cd48dfa6350a4p-21, -0x1.4cb10ed580f6ep-20, -0x1.adc1a14daf1eep-20, -0x1.0501988458614p-19, -0x1.30d200706ed33p-19, -0x1.5a6902bc374ffp-19, -0x1.81dc6331e5bep-19, -0x1.a74024d48dc34p-19, -0x1.caa6db2d15184p-19, -0x1.ec223d8dea329p-19, -0x1.05e1968274138p-18, -0x1.14cc9abd9d12fp-18, -0x1.22d92b4c2ff2bp-18, -0x1.300dceb45e977p-18, -0x1.3c71258b05835p-18, -0x1.480a6898b695bp-18, -0x1.52e180dd27825p-18, -0x1.5cfea2499af01p-18, -0x1.6669a9bd34acep-18, -0x1.6f29b872b7d81p-18, -0x1.77455841432d1p-18, -0x1.7ec2f73019886p-18, -0x1.85a93c56f46c7p-18, -0x1.8bfee63a85debp-18, -0x1.91ca51032b53ep-18, -0x1.97110232873d1p-18, -0x1.9bd7898ddc5cp-18, -0x1.a021cad862a5cp-18, -0x1.a3f3833e4c2efp-18, -0x1.a750b81d2bc8ep-18, -0x1.aa3dcd56b3ac6p-18, -0x1.acbf55c0770e9p-18, -0x1.aeda0498ef63dp-18, -0x1.b092f6d8607c1p-18, -0x1.b1efddae97209p-18, -0x1.b2f660723c4dep-18, -0x1.b3aaedb6f8006p-18, -0x1.b4101d6d4847ap-18, -0x1.b4274094327cbp-18, -0x1.b3f1cb0269646p-18, -0x1.b37249f3772ccp-18, -0x1.b2ac5455add4cp-18, -0x1.b1a3a931fd1e1p-18, -0x1.b05b65fdd0325p-18, -0x1.aed605ec7e1cep-18, -0x1.ad15fd54fcdd3p-18, -0x1.ab1e3f1c229dbp-18, -0x1.a8f2473e4149fp-18, -0x1.a695ce15ed4c6p-18, -0x1.a40c6ee8996f1p-18, -0x1.a1595fee2638p-18, -0x1.9e7f6610d5f4dp-18, -0x1.9b80ad4bb7bcp-18, -0x1.985ee1f2e2e09p-18, -0x1.951b8c729353p-18, -0x1.91b848ad57c52p-18, -0x1.8e36f74c2aebbp-18, -0x1.8a99927f9ba42p-18, -0x1.86e1db53747d4p-18, -0x1.8311678b24556p-18, -0x1.7f2a2c0e08944p-18, -0x1.7b2ead8cd6b31p-18, -0x1.7721292847869p-18, -0x1.73028cbbd6167p-18, -0x1.6ed2c13fad524p-18, -0x1.6a9214cffc02fp-18, -0x1.66421bf6163aap-18, -0x1.61e53511ff977p-18, -0x1.5d7d4948e43adp-18, -0x1.590b23e4f0ba3p-18, -0x1.548f02ad526bap-18, -0x1.50095f203e48ap-18, -0x1.4b7b16b1cf6b4p-18, -0x1.46e56e6cb74ap-18, -0x1.4249d4e146a04p-18, -0x1.3da97b59c9bfdp-18, -0x1.3905a40b47e11p-18, -0x1.345f70134bd59p-18, -0x1.2fb7dcfa4f7dfp-18, -0x1.2b0fb95cd1f82p-18, -0x1.26679d6dadddp-18, -0x1.21bff141cc1e3p-18, -0x1.1d1905dad4cd9p-18, -0x1.18733f10b278ep-18, -0x1.13cf3722a1de2p-18, -0x1.0f2db2f416e3ep-18, -0x1.0a8f63f81a743p-18, -0x1.05f4cb32d2f04p-18, -0x1.015e895cdb70bp-18, -0x1.f99b6c47a55ddp-19, -0x1.f086e907cf64p-19, -0x1.e78033833932dp-19, -0x1.de868f38fde23p-19, -0x1.d599e220e4a96p-19, -0x1.ccbb897f37121p-19, -0x1.c3ecfe90994d6p-19, -0x1.bb2e8573ad8c6p-19, -0x1.b27fbe615606ep-19, -0x1.a9e0e2e5f123cp-19, -0x1.a152eafb4c9b9p-19, -0x1.98d6ea8da4b69p-19, -0x1.906d9efc007c9p-19, -0x1.881762e2e4558p-19, -0x1.7fd45777a1526p-19, -0x1.77a49aa40dd8dp-19, -0x1.6f886f69208fcp-19, -0x1.6780478f486e7p-19, -0x1.5f8cb00f5a839p-19, -0x1.57ae3261a582dp-19, -0x1.4fe53d5c6663bp-19, -0x1.48321bce78916p-19, -0x1.4094f5a99c7c7p-19, -0x1.390ddad3e1a8fp-19, -0x1.319cdc0d53e38p-19, -0x1.2a4228cb994d4p-19, -0x1.22fe0b06b93bdp-19, -0x1.1bd0aca1ed9p-19, -0x1.14b9ecce4729cp-19, -0x1.0db97ae233ab3p-19, -0x1.06cf867bc1cc4p-19, -0x1.fff932e3b195bp-20, -0x1.f281660d26481p-20, -0x1.e536d495e6cf3p-20, -0x1.d819d8da7ee6dp-20, -0x1.cb2b6504adb86p-20, -0x1.be6b360e70305p-20, -0x1.b1d883b72477bp-20, -0x1.a57360670e5fap-20, -0x1.993c5df5f4fcdp-20, -0x1.8d33c1e8d1957p-20, -0x1.81595d20e158cp-20, -0x1.75acc2b1f9588p-20, -0x1.6a2d8459e6dfbp-20, -0x1.5edb5603af6e4p-20, -0x1.53b611535c436p-20, -0x1.48bd9ae08feccp-20, -0x1.3df1bbee7d334p-20, -0x1.335214be81d5dp-20, -0x1.28de38d2b01cap-20, -0x1.1e95d6b976b9bp-20, -0x1.1478c1ee3a65bp-20, -0x1.0a86dcea61b3ap-20, -0x1.00bffe6b1b0ebp-20, -0x1.ee47c8c2964fep-21, -0x1.db646e0ee96a3p-21, -0x1.c8d52b4b63ce9p-21, -0x1.b69959c77d311p-21, -0x1.a4b08d3da1e5ap-21, -0x1.9319fc001dbadp-21, -0x1.81d4964cc0b02p-21, -0x1.70df132bb41a1p-21, -0x1.6038f10812cf7p-21, -0x1.4fe244fd885e3p-21, -0x1.3fda4812b6834p-21, -0x1.30201af493ea7p-21, -0x1.20b33bdb255dbp-21, -0x1.11926ad60bc5dp-21, -0x1.02bc6cbf159a2p-21, -0x1.e86160694f058p-22, -0x1.cbdd60b709623p-22, -0x1.afeb5c8cad3f9p-22, -0x1.94899cbd4cb39p-22, -0x1.79b666c86d2p-22, -0x1.5f701a556bec9p-22, -0x1.45b53b536f4a3p-22, -0x1.2c846feb57486p-22, -0x1.13dc55b634202p-22, -0x1.f776b981b0b45p-23, -0x1.c83f69d1a9568p-23, -0x1.9a0f06f1ffa23p-23, -0x1.6ce238fdf7158p-23, -0x1.40b5fdce7716ap-23, -0x1.15873daa2eadap-23, -0x1.d6a536926cb53p-24, -0x1.8429716e42793p-24, -0x1.3394def4cc9fep-24, -0x1.c9c2c91efb836p-25, -0x1.301197acb89fcp-25, -0x1.34130aa65cb17p-26, -0x1.e772eb71366b2p-31, 0x1.0e7cf5cb75eebp-26, 0x1.1298885aa1641p-25, 0x1.9a7c91a5b745ap-25, 0x1.0f7aea61ec76fp-24, 0x1.500757f3acefcp-24, 0x1.8eea536ca5febp-24, 0x1.cc2b68b4484c9p-24, 0x1.03e84b8e148fep-23, 0x1.20efd3913745ep-23, 0x1.3d2e9459f8007p-23, 0x1.58a764d0a3b72p-23, 0x1.735d9f4c790f6p-23, 0x1.8d54566210e22p-23, 0x1.a68e675322203p-23, 0x1.bf0ea41025f46p-23, 0x1.d6d7e50986fc3p-23, 0x1.eded2965ad7c6p-23, 0x1.022861ef37929p-22, 0x1.0d0301f5c50cap-22, 0x1.1787ba1bf2c97p-22, 0x1.21b7e4a8ab00ep-22, 0x1.2b94cea79471dp-22, 0x1.351fb5d9d9173p-22, 0x1.3e59c9c86b13cp-22, 0x1.474439418b54ep-22, 0x1.4fe05ac550443p-22, 0x1.582fce5b884d9p-22, 0x1.60343380210aep-22, 0x1.67eeac0709878p-22, 0x1.6f60295b09983p-22, 0x1.768a1e728223fp-22, 0x1.7d6e134287ccfp-22, 0x1.840cd8b9d2e1dp-22, 0x1.8a671589a1d8p-22, 0x1.907dfc74de783p-22, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.eba6eaa51d914p-3, -0x1.ec8249a88becp-3, -0x1.ede76381e51cdp-3, -0x1.efca7f3026485p-3, -0x1.f21ce6f0aadc7p-3, -0x1.f4ce025ef594dp-3, -0x1.f7cc516bc05a7p-3, -0x1.fb063cfaa02c9p-3, -0x1.fe6abc526d8f7p-3, -0x1.00f4e9737e6fcp-2, -0x1.02ba759eb0773p-2, -0x1.047f89d278639p-2, -0x1.063e90944f8a8p-2, -0x1.07f2de67d8949p-2, -0x1.0998af885e013p-2, -0x1.0b2d1e96fb66ap-2, -0x1.0cae15fec6222p-2, -0x1.0e1a3dac3b1fcp-2, -0x1.0f70e68679294p-2, -0x1.10b1f4e1b2b0ap-2, -0x1.11ddcae6c9c13p-2, -0x1.12f533b0849cep-2, -0x1.13f94fa7291a5p-2, -0x1.14eb82721fe25p-2, -0x1.15cd62ae501e6p-2, -0x1.16a0ab77a5e9bp-2, -0x1.17672fbc74371p-2, -0x1.1822cf4133089p-2, -0x1.18d56d316117cp-2, -0x1.1980e815bb1a3p-2, -0x1.1a2713072cf79p-2, -0x1.1ac9aff7bd26fp-2, -0x1.1b6a6aee3d483p-2, -0x1.1c0ad615dcbap-2, -0x1.1cac6687565ccp-2, -0x1.1d5071b5ca85fp-2, -0x1.1df82b6d504d6p-2, -0x1.1ea4a45482702p-2, -0x1.1f56c8e504adp-2, -0x1.200f60d0dfa14p-2, -0x1.20cf0ecc0afa5p-2, -0x1.219650b2554f3p-2, -0x1.226580025b24ep-2, -0x1.233cd2a67367bp-2, -0x1.241c5c0475e06p-2, -0x1.25040e4d22b46p-2, -0x1.25f3bc03c677p-2, -0x1.26eb19b69b7d1p-2, -0x1.27e9bfe03d989p-2, -0x1.28ef2cea92262p-2, -0x1.29fac74b8fffcp-2, -0x1.2b0bdfb481187p-2, -0x1.2c21b34ca8703p-2, -0x1.2d3b6df085589p-2, -0x1.2e582c6f72b5ep-2, -0x1.2f76fec1d8891p-2, -0x1.3096ea32c544fp-2, -0x1.31b6eb784e17fp-2, -0x1.32d5f8b6cbdb3p-2, -0x1.33f3036b97f3ap-2, -0x1.350cfa3c9db07p-2, -0x1.3622caaa99133p-2, -0x1.373362a490414p-2, -0x1.383db1fb72fa1p-2, -0x1.3940abb57a0aep-2, -0x1.3a3b474126a38p-2, -0x1.3b2c818846441p-2, -0x1.3c135de3add3p-2, -0x1.3ceee6f0a1b52p-2, -0x1.3dbe2f4934c23p-2, -0x1.3e805220ff3fdp-2, -0x1.3f3473c7d4195p-2, -0x1.3fd9c2141a19bp-2, -0x1.406f74b69d8cfp-2, -0x1.40f4cd799fb7fp-2, -0x1.4169186cfe441p-2, -0x1.41cbac013f87cp-2, -0x1.421be9134a6f3p-2, -0x1.42593aea7c1a1p-2, -0x1.4283172ac1d6dp-2, -0x1.4298fdbc43bdep-2, -0x1.429a78aa14715p-2, -0x1.42871bf93e5e3p-2, -0x1.425e857974658p-2, -0x1.42205c9082eabp-2, -0x1.41cc52018ee11p-2, -0x1.41621fb10fe7p-2, -0x1.40e1886658891p-2, -0x1.404a578b6565ap-2, -0x1.3f9c60eb996ffp-2, -0x1.3ed78071ede65p-2, -0x1.3dfb99e711224p-2, -0x1.3d0898afd492p-2, -0x1.3bfe6f8c3ddd2p-2, -0x1.3add185777756p-2, -0x1.39a493c8d86d5p-2, -0x1.3854e93628f88p-2, -0x1.36ee26573b53bp-2, -0x1.35705f0aea3d6p-2, -0x1.33dbad1d8a9fbp-2, -0x1.32303010c8115p-2, -0x1.306e0ce4f3a72p-2, -0x1.2e956de3af192p-2, -0x1.2ca6826bf3599p-2, -0x1.2aa17ebf58aafp-2, -0x1.28869bd093e57p-2, -0x1.2656171316e25p-2, -0x1.2410324bba1b5p-2, -0x1.21b53362624c2p-2, -0x1.1f4564348c189p-2, -0x1.1cc11268a7b98p-2, -0x1.1a288f4238608p-2, -0x1.177c2f76a5baap-2, -0x1.14bc4b02ab566p-2, -0x1.11e93d006036dp-2, -0x1.0f03637dc79d9p-2, -0x1.0c0b1f53df2e1p-2, -0x1.0900d3fe26025p-2, -0x1.05e4e7729375ap-2, -0x1.02b7c1f9fef76p-2, -0x1.fef39c11d685ap-3, -0x1.f856f03181b7bp-3, -0x1.f19a5d02d53ffp-3, -0x1.eabec2a6c6bd1p-3, -0x1.e3c50464591bep-3, -0x1.dcae085e696d9p-3, -0x1.d57ab74a7208cp-3, -0x1.ce2bfc28341eep-3, -0x1.c6c2c3fa79eacp-3, -0x1.bf3ffd80d1ccdp-3, -0x1.b7a498f281a9ep-3, -0x1.aff187ba9667dp-3, -0x1.a827bc353e252p-3, -0x1.a048296e6d2cap-3, -0x1.9853c2e1e726dp-3, -0x1.904b7c3cb393p-3, -0x1.8830492014659p-3, -0x1.80031ce6087a6p-3, -0x1.77c4ea676ef56p-3, -0x1.6f76a3c3d6219p-3, -0x1.67193a2afbf5p-3, -0x1.5ead9da81b7f9p-3, -0x1.5634bcef01fdp-3, -0x1.4daf852affc4dp-3, -0x1.451ee1cfbec5fp-3, -0x1.3c83bc6bf946dp-3, -0x1.33defc7e27c7ep-3, -0x1.2b31874b21a3ap-3, -0x1.227c3fb6b14c6p-3, -0x1.19c0061e2bfe6p-3, -0x1.10fdb834fd0fp-3, -0x1.083630e334b03p-3, -0x1.fed4904c1666ap-4, -0x1.ed35a5e4ca36ep-4, -0x1.db9146328b0e7p-4, -0x1.c9e90e5c6871bp-4, -0x1.b83e94df276fp-4, -0x1.a6936961ada7cp-4, -0x1.94e9148d2fb2cp-4, -0x1.834117e904c22p-4, -0x1.719cedba1a19dp-4, -0x1.5ffe08e5e921p-4, -0x1.4e65d4d8dc892p-4, -0x1.3cd5b57012c51p-4, -0x1.2b4f06e6609cp-4, -0x1.19d31dc4807f6p-4, -0x1.086346d44fd93p-4, -0x1.ee018e2e0a151p-5, -0x1.cb59b77c80bc3p-5, -0x1.a8d1744fb6dfbp-5, -0x1.866b1fb8bcd09p-5, -0x1.6429051ffafa8p-5, -0x1.420d604bfcb3ap-5, -0x1.201a5d6cddd12p-5, -0x1.fca432582e321p-6, -0x1.b96d4180e55a3p-6, -0x1.7693e40be5362p-6, -0x1.341bf732d694ep-6, -0x1.e41273de6b945p-7, -0x1.60be9a7e1e2e1p-7, -0x1.bc86d1bf48ed2p-8, -0x1.729eab76871f2p-9, 0x1.20706e0f5a0dbp-10, 0x1.47aed130e6e5cp-8, 0x1.22ae45e0a8482p-7, 0x1.a08cbdb040619p-7, 0x1.0eb68f95250cap-6, 0x1.4ca4f7d57f80dp-6, 0x1.8a0ef4f6c470cp-6, 0x1.c6f1fe965c967p-6, 0x1.01a5d30fc23d7p-5, 0x1.1f8ccb2bb7505p-5, 0x1.3d2cc973da753p-5, 0x1.5a84bbf3ba5b6p-5, 0x1.77939cb1b1338p-5, 0x1.9458717284e51p-5, 0x1.b0d24b7cc40fdp-5, 0x1.cd00475c0038dp-5, 0x1.e8e18ca400935p-5, 0x1.023aa6da05204p-4, 0x1.0fdd63bd2b8p-4, 0x1.1d58a09beb0f7p-4, 0x1.2aac0622265f5p-4, 0x1.37d741e973b43p-4, 0x1.44da065baea4ep-4, 0x1.51b40a95d422cp-4, 0x1.5e650a4b36d2cp-4, 0x1.6aecc5a912bf4p-4, 0x1.774b013a86e64p-4, 0x1.837f85ccf936p-4, 0x1.8f8a2054ef2ccp-4, 0x1.9b6aa1d35cb07p-4, 0x1.a720df3b6e661p-4, 0x1.b2acb158d8dacp-4, 0x1.be0df4b6a575dp-4, 0x1.c94489868a381p-4, 0x1.d4505388c91e5p-4, 0x1.df3139f49c3ffp-4, 0x1.e9e727612b262p-4, 0x1.f47209af176e1p-4, 0x1.fed1d1f2848fbp-4, 0x1.04833a2ee5251p-3, 0x1.0987f4164bd36p-3, 0x1.0e7713c7de8e6p-3, 0x1.135097ccbb902p-3, 0x1.1814801521d67p-3, 0x1.1cc2cdef24e9cp-3, 0x1.215b83fda37dbp-3, 0x1.25dea62f7f292p-3, 0x1.2a4c39b71c3f2p-3, 0x1.2ea445021d775p-3, 0x1.32e6cfb163526p-3, 0x1.3713e291491p-3, 0x1.3b2b87921d75dp-3, 0x1.3f2dc9c0d9287p-3, 0x1.431ab5400e31bp-3, 0x1.46f2574112755p-3, 0x1.4ab4bdfd5b685p-3, 0x1.4e61f8b0183bbp-3, 0x1.51fa178ff55edp-3, 0x1.557d2bc9184d6p-3, 0x1.58eb477749fb9p-3, 0x1.5c447da050c26p-3, 0x1.5f88e22e701e5p-3, 0x1.62b889eb1c541p-3, 0x1.65d38a79d062bp-3, 0x1.68d9fa5310d2ap-3, 0x1.6bcbf0bf88e77p-3, 0x1.6ea985d35bb7bp-3, 0x1.7172d26986dc3p-3, 0x1.7427f01f71fb8p-3, 0x1.76c8f9509371ap-3, 0x1.795609123745ep-3, 0x1.7bcf3b2f6084p-3, 0x1.7e34ac24c1744p-3, 0x1.8086791ccf179p-3, 0x1.82c4bfebeb83p-3, 0x1.84ef9f0ca0f11p-3, 0x1.8707359bf5746p-3, 0x1.890ba355d2046p-3, 0x1.8afd089171744p-3, 0x1.8cdb863deaaefp-3, 0x1.8ea73ddec2dd5p-3, 0x1.906051888e80cp-3, 0x1.9206e3dd9dfcdp-3, 0x1.939b180ab752cp-3, 0x1.951d11c3d7c7bp-3, 0x1.968cf54100fap-3, 0x1.97eae73b0ec28p-3, 0x1.99370ce88df6ep-3, 0x1.9a718bfaa3e2ap-3, 0x1.9b9a8a99f3fd7p-3, 0x1.9cb22f638bc9dp-3, 0x1.9db8a165d69edp-3, 0x1.9eae081d93336p-3, 0x1.9f928b72c92a1p-3, 0x1.a06653b5c768ep-3, 0x1.a129899c1fcd1p-3, 0x1.a1dc563da9073p-3, 0x1.a27ee311796e2p-3, 0x1.a31159eaefe4cp-3, 0x1.a393e4f6adcb7p-3, 0x1.a406aeb7a0c71p-3, 0x1.a469e203ff55ep-3, 0x1.a4bdaa024d4fcp-3, 0x1.a50232265f844p-3, 0x1.a537a62e5a128p-3, 0x1.a55e321fb407bp-3, 0x1.a57602443697bp-3, 0x1.a57f4326ffdabp-3, 0x1.a57a21917bdd5p-3, 0x1.a566ca886920ap-3, 0x1.a5456b48d52f4p-3, 0x1.a5163145168efp-3, 0x1.a4d94a21ce9ccp-3, 0x1.a48ee3b2e1bcap-3, 0x1.a4372bf87772cp-3, 0x1.a3d2511bf3747p-3, 0x1.a360816cf6a2fp-3, 0x1.a2e1eb5e581bfp-3, 0x1.a256bd8324726p-3, 0x1.a1bf268b9b249p-3, 0x1.a11b55422f976p-3, 0x1.a06b7888876ddp-3, 0x1.9fafbf547f089p-3, 0x1.9ee858ad29a03p-3, 0x1.9e1573a7dbecep-3, 0x1.9d373f652ee3fp-3, 0x1.9c4deb0e10885p-3, 0x1.9b59a5d0cdb12p-3, 0x1.9a5a9ede249c7p-3, 0x1.995105665a259p-3, 0x1.983d0896527fdp-3, 0x1.971ed794ae578p-3, 0x1.95f6a17ee9b4fp-3, 0x1.94c4956688115p-3, 0x1.9388e24e39625p-3, 0x1.9243b7270efabp-3, 0x1.90f542cdb30e5p-3, 0x1.8f9db407a117ep-3, 0x1.8e3d39806ef47p-3, 0x1.8cd401c7143d2p-3, 0x1.8b623b4b3c2e8p-3, 0x1.89e8145aa05c3p-3, 0x1.8865bb1e65266p-3, 0x1.86db5d988523fp-3, 0x1.854929a14476fp-3, 0x1.83af4ce4a501cp-3, 0x1.820df4dfe8b03p-3, 0x1.80654edf2394fp-3, 0x1.7eb587fac61cbp-3, 0x1.7cfecd15460abp-3, 0x1.7b414ad8bce6dp-3, 0x1.797d2db4a0cfap-3, 0x1.77b2a1db7e2cbp-3, 0x1.75e1d340be93bp-3, 0x1.740aed967bfdp-3, 0x1.722e1c4b5be3bp-3, 0x1.704b8a8878781p-3, 0x1.6e63632f529dep-3, 0x1.6c75d0d7cf5a3p-3, 0x1.6a82fdce45164p-3, 0x1.688b14118f0adp-3, 0x1.668e3d512f9f2p-3, 0x1.648ca2eb7e37fp-3, 0x1.62866debe1566p-3, 0x1.607bc7091507ap-3, 0x1.5e6cd6a37be2bp-3, 0x1.5c59c4c380bcdp-3, 0x1.5a42b918020a7p-3, 0x1.5827daf4c8b01p-3, 0x1.560951510c042p-3, 0x1.53e742c6084a5p-3, 0x1.51c1d58d960f9p-3, 0x1.4f992f80dccb3p-3, 0x1.4d6d761702dbap-3, 0x1.4b3ece63fa8bp-3, 0x1.490d5d174d50fp-3, 0x1.46d9467afdf2dp-3, 0x1.44a2ae726f0a6p-3, 0x1.4269b879622d3p-3, 0x1.402e87a2f713fp-3, 0x1.3df13e98be1c1p-3, 0x1.3bb1ff99d7fa8p-3, 0x1.3970ec7a1f1c3p-3, 0x1.372e26a160db2p-3, 0x1.34e9cf0a9dbd2p-3, 0x1.32a406435c2b9p-3, 0x1.305cec6b05b8dp-3, 0x1.2e14a1324c50ep-3, 0x1.2bcb43daa1e23p-3, 0x1.2980f335b8d2bp-3, 0x1.2735cda50f02dp-3, 0x1.24e9f11986e38p-3, 0x1.229d7b130dbdep-3, 0x1.205088a0457f6p-3, 0x1.1e03365e47277p-3, 0x1.1bb5a07862913p-3, 0x1.1967e2a7f5fd3p-3, 0x1.171a183443d8fp-3, 0x1.14cc5bf25e838p-3, 0x1.127ec84518786p-3, 0x1.1031771cffe9ap-3, 0x1.0de481f8686cep-3, 0x1.0b9801e3782cfp-3, 0x1.094c0f78424d4p-3, 0x1.0700c2deed9dcp-3, 0x1.04b633cde41abp-3, 0x1.026c798a06d21p-3, 0x1.0023aae6ee1a2p-3, 0x1.fbb7bc8e7338bp-4, 0x1.f72a5339bb7aep-4, 0x1.f29f44d2fc6dcp-4, 0x1.ee16bb7daf493p-4, 0x1.e990e07e4ea01p-4, 0x1.e50ddc3b421cdp-4, 0x1.e08dd63dda12bp-4, 0x1.dc10f53350569p-4, 0x1.d7975eede6ff6p-4, 0x1.d32138660c6dfp-4, 0x1.ceaea5bb8f29fp-4, 0x1.ca3fca36de0f9p-4, 0x1.c5d4c84a5a148p-4, 0x1.c16dc193b29b2p-4, 0x1.bd0ad6dd4fd8fp-4, 0x1.b8ac281fc445dp-4, 0x1.b451d483586f4p-4, 0x1.affbfa6188b86p-4, 0x1.abaab746ab904p-4, 0x1.a75e27f38d1a6p-4, 0x1.a316685f1e308p-4, 0x1.9ed393b82c311p-4, 0x1.9a95c46721989p-4, 0x1.965d140fd156bp-4, 0x1.92299b93465c5p-4, 0x1.8dfb7311a1f05p-4, 0x1.89d2b1ebfec42p-4, 0x1.85af6ec6597d3p-4, 0x1.8191bf89866f3p-4, 0x1.7d79b9652a278p-4, 0x1.796770d1b57d2p-4, 0x1.755af99271a3p-4, 0x1.715466b7863ecp-4, 0x1.6d53caa011719p-4, 0x1.695936fc39e5cp-4, 0x1.6564bccf4a5bep-4, 0x1.61766c71d46edp-4, 0x1.5d8e5593d492dp-4, 0x1.59ac873edbe2ep-4, 0x1.55d10fd8363c4p-4, 0x1.51fbfd2320b66p-4, 0x1.4e2d5c42f77cp-4, 0x1.4a6539bd6be9p-4, 0x1.46a3a17cbc3dap-4, 0x1.42e89ed1ece6ep-4, 0x1.3f343c77024e4p-4, 0x1.3b868491404a3p-4, 0x1.37df80b3633ap-4, 0x1.343f39dfe354ep-4, 0x1.30a5b88b33edep-4, 0x1.2d13049e00413p-4, 0x1.298725776d2e4p-4, 0x1.260221ef5af1dp-4, 0x1.22840058a3b5cp-4, 0x1.1f0cc6835a4d9p-4, 0x1.1b9c79bf0a2e4p-4, 0x1.18331edcf3b44p-4, 0x1.14d0ba3249a51p-4, 0x1.11754f9a6cc1p-4, 0x1.0e20e27923fd8p-4, 0x1.0ad375bcd3de3p-4, 0x1.078d0be0b6dc5p-4, 0x1.044da6ef0d5c3p-4, 0x1.0115488351548p-4, 0x1.fbc7e398c6e7p-5, 0x1.f573471d72fep-5, 0x1.ef2cbc4d03993p-5, 0x1.e8f443139f64dp-5, 0x1.e2c9da95758cap-5, 0x1.dcad8132fc3a3p-5, 0x1.d69f348d2971cp-5, 0x1.d09ef189a64ecp-5, 0x1.caacb456f26a3p-5, 0x1.c4c8787088a9ep-5, 0x1.bef238a2fb439p-5, 0x1.b929ef0ff8e1bp-5, 0x1.b36f953269008p-5, 0x1.adc323e254ed2p-5, 0x1.a8249358efba6p-5, 0x1.a293db3479f8fp-5, 0x1.9d10f27c2c782p-5, 0x1.979bcfa40d36ep-5, 0x1.92346890c4ae7p-5, 0x1.8cdab29b6239ap-5, 0x1.878ea2951dabcp-5, 0x1.82502ccaff92p-5, 0x1.7d1f45099a58bp-5, 0x1.77fbdea09a459p-5, 0x1.72e5ec6660b51p-5, 0x1.6ddd60bb8a3abp-5, 0x1.68e22d8e6d5dfp-5, 0x1.63f4445e91403p-5, 0x1.5f13964010339p-5, 0x1.5a4013defdd72p-5, 0x1.5579ad82ac7a5p-5, 0x1.50c0531106344p-5, 0x1.4c13f411b83dcp-5, 0x1.47747fb16f88bp-5, 0x1.42e1e4c4f5ad8p-5, 0x1.3e5c11cc5378ep-5, 0x1.39e2f4f5d9711p-5, 0x1.35767c2123138p-5, 0x1.311694e215259p-5, 0x1.2cc32c83c5daep-5, 0x1.287c300b5a138p-5, 0x1.24418c3ae45cp-5, 0x1.20132d94249dcp-5, 0x1.1bf1005b4ed84p-5, 0x1.17daf099bc641p-5, 0x1.13d0ea208e6edp-5, 0x1.0fd2d88b5239dp-5, 0x1.0be0a7428b4eep-5, 0x1.07fa417e3f1dap-5, 0x1.041f924868ac2p-5, 0x1.0050847f6ca12p-5, 0x1.f91a05b0f822bp-6, 0x1.f1a9efc3d2728p-6, 0x1.ea509c0af7069p-6, 0x1.e30ddf155ac65p-6, 0x1.dbe18d31c1629p-6, 0x1.d4cb7a7328292p-6, 0x1.cdcb7ab4f7244p-6, 0x1.c6e1619f36733p-6, 0x1.c00d02aaa6146p-6, 0x1.b94e3124bba6cp-6, 0x1.b2a4c0339704bp-6, 0x1.ac1082d9cca6dp-6, 0x1.a5914bfa419ep-6, 0x1.9f26ee5bb5ecdp-6, 0x1.98d13cac7e06cp-6, 0x1.92900985fdae5p-6, 0x1.8c6327700d03p-6, 0x1.864a68e46ba21p-6, 0x1.8045a051f5da3p-6, 0x1.7a54a01fe73ebp-6, 0x1.74773ab0f469bp-6, 0x1.6ead42665fd1ap-6, 0x1.68f689a2f4952p-6, 0x1.6352e2cdf6052p-6, 0x1.5dc22055db1bap-6, 0x1.584414b339ccfp-6, 0x1.52d8926b5c7ecp-6, 0x1.4d7f6c12e8633p-6, 0x1.4838745079453p-6, 0x1.43037ddf0509cp-6, 0x1.3de05b9061ac3p-6, 0x1.38cee04f8b313p-6, 0x1.33cedf22f6444p-6, 0x1.2ee02b2ecc512p-6, 0x1.2a0297b7073ddp-6, 0x1.2535f8219a844p-6, 0x1.207a1ff86a54bp-6, 0x1.1bcee2eb51803p-6, 0x1.173414d200ae5p-6, 0x1.12a989addd936p-6, 0x1.0e2f15abd1f71p-6, 0x1.09c48d25fb10dp-6, 0x1.0569c4a55d1cdp-6, 0x1.011e90e389928p-6, 0x1.f9c58d984728p-7, 0x1.f16c76fcd565ep-7, 0x1.e931889d57578p-7, 0x1.e1146d8f515f4p-7, 0x1.d914d157faea4p-7, 0x1.d1325feeb4f1dp-7, 0x1.c96cc5bfad855p-7, 0x1.c1c3afae304bcp-7, 0x1.ba36cb1705177p-7, 0x1.b2c5c5d2a87aep-7, 0x1.ab704e375fc51p-7, 0x1.a436131b4b968p-7, 0x1.9d16c3d6503cfp-7, 0x1.96121043fca6ep-7, 0x1.8f27a8c5417dap-7, 0x1.88573e422b0fbp-7, 0x1.81a0822b8a57ap-7, 0x1.7b03267c52039p-7, 0x1.747eddbb3001p-7, 0x1.6e135afbcfc6ap-7, 0x1.67c051e03a2c9p-7, 0x1.61857699f8bfap-7, 0x1.5b627deb48907p-7, 0x1.55571d2822c96p-7, 0x1.4f630a3748155p-7, 0x1.4985fb931efd3p-7, 0x1.43bfa84aa19c8p-7, 0x1.3e0fc8021fd94p-7, 0x1.387612f405444p-7, 0x1.32f241f179f63p-7, 0x1.2d840e62ff338p-7, 0x1.282b324914ee6p-7, 0x1.22e7683c997a5p-7, 0x1.1db86b6f4fcf9p-7, 0x1.189df7ac32b84p-7, 0x1.1397c957dbb12p-7, 0x1.0ea59d70b4081p-7, 0x1.09c7318f3ca26p-7, 0x1.04fc43e646fc9p-7, 0x1.00449342ed911p-7, 0x1.f73fbe19abb25p-8, 0x1.ee1bce8c44bd7p-8, 0x1.e51cd916ed114p-8, 0x1.dc426027b0b17p-8, 0x1.d38be7617a2cap-8, 0x1.caf8f39b78a51p-8, 0x1.c2890ae0fd316p-8, 0x1.ba3bb47102f42p-8, 0x1.b21078bd90a34p-8, 0x1.aa06e16b42985p-8, 0x1.a21e7950aaef2p-8, 0x1.9a56cc757329p-8, 0x1.92af6811b3018p-8, 0x1.8b27da8d2384fp-8, 0x1.83bfb37df61b7p-8, 0x1.7c7683a8306f5p-8, 0x1.754bdcfc66327p-8, 0x1.6e3f5296a7863p-8, 0x1.675078bd8ee9fp-8, 0x1.607ee4e0dbc1ep-8, 0x1.59ca2d983b4f6p-8, 0x1.5331eaa219d34p-8, 0x1.4cb5b4e2268f7p-8, 0x1.4655266022f15p-8, 0x1.400fda4623dddp-8, 0x1.39e56cdf70566p-8, 0x1.33d57b96cc9f8p-8, 0x1.2ddfa4f4ec879p-8, 0x1.2803889f138e8p-8, 0x1.2240c7550371ep-8, 0x1.1c9702efd4e8p-8, 0x1.1705de5ffcf8bp-8, 0x1.118cfdab9042p-8, 0x1.0c2c05ecbed0fp-8, 0x1.06e29d4fbe2cp-8, 0x1.01b06b1140ab4p-8, 0x1.f92a2ef8b7b3ap-9, 0x1.ef2097d1ff0bap-9, 0x1.e54365737546cp-9, 0x1.db91eeb450746p-9, 0x1.d20b8c798c08bp-9, 0x1.c8af99b26c95bp-9, 0x1.bf7d735409921p-9, 0x1.b6747855f0987p-9, 0x1.ad9409ade1487p-9, 0x1.a4db8a4b9e8b6p-9, 0x1.9c4a5f1585717p-9, 0x1.93dfeee38a3b9p-9, 0x1.8b9ba27c08a42p-9, 0x1.837ce48f08676p-9, 0x1.7b8321b2707c2p-9, 0x1.73adc85dc1d44p-9, 0x1.6bfc48e61fccep-9, 0x1.646e1579a1a8fp-9, 0x1.5d02a21bc176ap-9, 0x1.55b964a0c9afdp-9, 0x1.4e91d4a99bcc9p-9, 0x1.478b6b9fc756ap-9, 0x1.40a5a4b0d4a2cp-9, 0x1.39dffcca915ebp-9, 0x1.3339f29677707p-9, 0x1.2cb30675a483p-9, 0x1.264aba7c5fdbdp-9, 0x1.2000926e2bccdp-9, 0x1.19d413b974a26p-9, 0x1.13c4c573200a8p-9, 0x1.0dd23052a0c7dp-9, 0x1.07fbdeada7df5p-9, 0x1.02415c73adcf1p-9, 0x1.f9446e5483d9p-10, 0x1.ee3bfbd0aa3c3p-10, 0x1.e36882a4af5fcp-10, 0x1.d8c9272c6e228p-10, 0x1.ce5d10cd22f3ep-10, 0x1.c42369eec336cp-10, 0x1.ba1b5ff25167p-10, 0x1.b044232ada6a6p-10, 0x1.a69ce6d42187ap-10, 0x1.9d24e10b54888p-10, 0x1.93db4ac6ae437p-10, 0x1.8abf5fcd0f038p-10, 0x1.81d05eae2bcedp-10, 0x1.790d88bab80c3p-10, 0x1.707621fc110e9p-10, 0x1.6809712cb9ebap-10, 0x1.5fc6bfafc91a7p-10, 0x1.57ad598a2290fp-10, 0x1.4fbc8d59848fp-10, 0x1.47f3ac4d69e9dp-10, 0x1.40520a1f8ee3cp-10, 0x1.38d6fd0b3e24ep-10, 0x1.3181ddc727585p-10, 0x1.2a52077ca442ap-10, 0x1.2346d7c08c6a4p-10, 0x1.1c5fae8c6e149p-10, 0x1.159bee35a7738p-10, 0x1.0efafb67d1e11p-10, 0x1.087c3d1bee317p-10, 0x1.021f1c9230809p-10, 0x1.f7c60a9488d4ap-11, 0x1.eb8ec9f8ff391p-11, 0x1.df97572488afdp-11, 0x1.d3de963f9ec4p-11, 0x1.c8636fb8df07fp-11, 0x1.bd24d03839158p-11, 0x1.b221a890a8c8bp-11, 0x1.a758edb3b05dp-11, 0x1.9cc998a1b0abfp-11, 0x1.9272a65facfbep-11, 0x1.885317e6f3d46p-11, 0x1.7e69f219ddd12p-11, 0x1.74b63db68616dp-11, 0x1.6b3707498fd7fp-11, 0x1.61eb5f20ebd97p-11, 0x1.58d2594143889p-11, 0x1.4feb0d565dd5fp-11, 0x1.473496a9772f2p-11, 0x1.3eae14133b734p-11, 0x1.3656a7f0cfc19p-11, 0x1.2e2d78164439bp-11, 0x1.2631adc4adcfp-11, 0x1.1e62759c57682p-11, 0x1.16beff929bf86p-11, 0x1.0f467ee500029p-11, 0x1.07f82a0f0036p-11, 0x1.00d33abe5d2ffp-11, 0x1.f3addb8d57c6cp-12, 0x1.e60506305672p-12, 0x1.d8aa7b67bde66p-12, 0x1.cb9cc74016ccp-12, 0x1.beda7bbdfc0f5p-12, 0x1.b26230c5dceb2p-12, 0x1.a6328409625a1p-12, 0x1.9a4a18ef7afcdp-12, 0x1.8ea79884c8f74p-12, 0x1.8349b1624a80ep-12, 0x1.782f179bfcd77p-12, 0x1.6d5684ac32516p-12, 0x1.62beb760e63edp-12, 0x1.586673c65fbdap-12, 0x1.4e4c8315e22edp-12, 0x1.446fb3a1c47d5p-12, 0x1.3aced8c2aeed8p-12, 0x1.3168cac66625p-12, 0x1.283c66db6865p-12, 0x1.1f488effdc26p-12, 0x1.168c29f03ebf9p-12, 0x1.0e0623153496ap-12, 0x1.05b56a71a1594p-12, 0x1.fb31e923f6123p-13, 0x1.eb5f74f706b1cp-13, 0x1.dbf17335fa2c3p-13, 0x1.cce5e76975ff2p-13, 0x1.be3adda488877p-13, 0x1.afee6a6ad86c7p-13, 0x1.a1feaa8b203f6p-13, 0x1.9469c3023c424p-13, 0x1.872de0d9e365dp-13, 0x1.7a49390d4b49cp-13, 0x1.6dba0867bd334p-13, 0x1.617e93676bfb7p-13, 0x1.55952621716ep-13, 0x1.49fc14223885dp-13, 0x1.3eb1b850baf0ep-13, 0x1.33b474d4c0b1dp-13, 0x1.2902b2f810854p-13, 0x1.1e9ae30c2dcefp-13, 0x1.147b7c4d6660fp-13, 0x1.0aa2fcc99036cp-13, 0x1.010fe944a8f52p-13, 0x1.ef819a3dcb9cbp-14, 0x1.dd68747464c56p-14, 0x1.cbd191c03206ep-14, 0x1.baba2f54fe46bp-14, 0x1.aa1f96d07b434p-14, 0x1.99ff1e0ec5942p-14, 0x1.8a5626f480b2fp-14, 0x1.7b221f4257efcp-14, 0x1.6c608062c8449p-14, 0x1.5e0ecf41734a4p-14, 0x1.502a9c175781bp-14, 0x1.42b1823e215cfp-14, 0x1.35a12807fd633p-14, 0x1.28f73e90b6189p-14, 0x1.1cb18190afa48p-14, 0x1.10cdb73378f0cp-14, 0x1.0549aff03f35ep-14, 0x1.f4468cb88ec58p-15, 0x1.deb0be097d322p-15, 0x1.c9cdd0898cb4fp-15, 0x1.b599b43ab7dbap-15, 0x1.a2106c1ef7cf6p-15, 0x1.8f2e0de86fb73p-15, 0x1.7ceec1afc67d8p-15, 0x1.6b4ec1a4c29b7p-15, 0x1.5a4a59c7506a2p-15, 0x1.49dde79f3624dp-15, 0x1.3a05d9f0966bbp-15, 0x1.2abeb0761b23ap-15, 0x1.1c04fb9b7050ap-15, 0x1.0dd55c3a8e135p-15, 0x1.002c835541c32p-15, 0x1.e60e63a0f9458p-16, 0x1.ccc47067e72ap-16, 0x1.b474ecdb6b812p-16, 0x1.9d19b713f5bdbp-16, 0x1.86accaf2a0e27p-16, 0x1.7128419dd91cdp-16, 0x1.5c86510eea976p-16, 0x1.48c14b9245bdap-16, 0x1.35d39f56be673p-16, 0x1.23b7d5ef7151cp-16, 0x1.126893ea6ebd1p-16, 0x1.01e098533cfa5p-16, 0x1.e43578a56a4ebp-17, 0x1.c623e55abc58cp-17, 0x1.a9828ec8d0816p-17, 0x1.8e47be98613ap-17, 0x1.7469ef25c5ef6p-17, 0x1.5bdfcacc4c796p-17, 0x1.44a02b1719617p-17, 0x1.2ea217f44e62ep-17, 0x1.19dcc6e736281p-17, 0x1.06479a4a42adap-17, 0x1.e7b4410f3f2d3p-18, 0x1.c51826dd6b381p-18, 0x1.a4aaaed002527p-18, 0x1.865bf5712077ap-18, 0x1.6a1c69be7a6dp-18, 0x1.4fdccba050d2ap-18, 0x1.378e2aa89239ep-18, 0x1.2121e4999810dp-18, 0x1.0c89a433a9b69p-18, 0x1.f36ebf8ca87c2p-19, 0x1.d13aafedc4ae1p-19, 0x1.b25c2cf1d5aebp-19, 0x1.96b8d9844d6efp-19, 0x1.7e36e5afcef0bp-19, 0x1.68bd0c51109d3p-19, 0x1.56329062d659dp-19, 0x1.467f3af299231p-19, 0x1.398b58c10f3acp-19, 0x1.2f3fb7d23e69ap-19, 0x1.2785a53575779p-19, 0x1.2246eaefdef54p-19, 0x1.1f6dcdcf01a8bp-19, 0x1.1ee50b1edbce4p-19, 0x1.2097d6b9dfc76p-19, 0x1.2471d8ddb9068p-19, 0x1.2a5f2c1676749p-19, 0x1.324c5b3ed813ap-19, 0x1.3c265faa9c336p-19, 0x1.47da9f0e33d1fp-19, 0x1.5556e99c8580ap-19, 0x1.648978191a651p-19, 0x1.7560ea1c2d906p-19, 0x1.87cc4423029b6p-19, 0x1.9bbaedc1ffb75p-19, 0x1.b11caff7caa8cp-19, 0x1.c7e1b353959cdp-19, 0x1.dffa7e4d01a92p-19, }}, 
      {{-0x1.eb759b3ce88e6p-3, -0x1.ebbf2bdddb344p-3, -0x1.ec380bbc8008cp-3, -0x1.ecddc9f65803ep-3, -0x1.edad400d4ca97p-3, -0x1.eea2c1942036bp-3, -0x1.efba494bceefep-3, -0x1.f0efa130795ep-3, -0x1.f23e8495cf33ap-3, -0x1.f3a2bc522276bp-3, -0x1.f518355c2071bp-3, -0x1.f69b1262c0874p-3, -0x1.f827b8ed80454p-3, -0x1.f9bada8f140bdp-3, -0x1.fb517aaf1e4p-3, -0x1.fce8f169d6491p-3, -0x1.fe7eebff8620cp-3, -0x1.0008b5a3b1e6ep-2, -0x1.00cf6048fb859p-2, -0x1.0192c4aee7bdap-2, -0x1.0252551b44373p-2, -0x1.030da4852c62dp-2, -0x1.03c4639b0a85p-2, -0x1.04765dbdd40fep-2, -0x1.05237605ca105p-2, -0x1.05cba45ff6cb6p-2, -0x1.066ef2cf34b7ap-2, -0x1.070d7ad7c3ddp-2, -0x1.07a7631981b3dp-2, -0x1.083cdd1a6fe25p-2, -0x1.08ce23418652bp-2, -0x1.095b770083b44p-2, -0x1.09e51f2aa98efp-2, -0x1.0a6b6675cfc39p-2, -0x1.0aee9a2300648p-2, -0x1.0b6f08cbca2eap-2, -0x1.0bed0151793bap-2, -0x1.0c68d1eba1c87p-2, -0x1.0ce2c75392b2cp-2, -0x1.0d5b2c0a6e35fp-2, -0x1.0dd247b7f235ap-2, -0x1.0e485ea01bb1dp-2, -0x1.0ebdb12df5f14p-2, -0x1.0f327b921c787p-2, -0x1.0fa6f5737987bp-2, -0x1.101b51b100f29p-2, -0x1.108fbe3313c86p-2, -0x1.110463cb6cbcfp-2, -0x1.1179662262c48p-2, -0x1.11eee3b065c78p-2, -0x1.1264f5c29b11ep-2, -0x1.12dbb0898941ap-2, -0x1.13532330c84d9p-2, -0x1.13cb57feaaae6p-2, -0x1.1444547ae8ee9p-2, -0x1.14be199b59c81p-2, -0x1.1538a3f5c55b1p-2, -0x1.15b3ebf5faab6p-2, -0x1.162fe6174e92p-2, -0x1.16ac8320c06b3p-2, -0x1.1729b06305318p-2, -0x1.17a757f7ced0ep-2, -0x1.18256101b6a4dp-2, -0x1.18a3afec36ea4p-2, -0x1.192226ab30f71p-2, -0x1.19a0a4f9994d1p-2, -0x1.1a1f0896dab39p-2, -0x1.1a9d2d829c56ap-2, -0x1.1b1aee36ab98p-2, -0x1.1b9823dec16fep-2, -0x1.1c14a68df5a09p-2, -0x1.1c904d71c4e94p-2, -0x1.1d0aef0279665p-2, -0x1.1d846130f7c27p-2, -0x1.1dfc7991d745bp-2, -0x1.1e730d85ca7bp-2, -0x1.1ee7f25f5323fp-2, -0x1.1f5afd85d4d57p-2, -0x1.1fcc0496071e6p-2, -0x1.203add7fe2edp-2, -0x1.20a75ea21b095p-2, -0x1.21115ee335a04p-2, -0x1.2178b5c864c9fp-2, -0x1.21dd3b8a35585p-2, -0x1.223ec92730f61p-2, -0x1.229d3874925f8p-2, -0x1.22f8642d23e45p-2, -0x1.235027fe6a829p-2, -0x1.23a4609435c8bp-2, -0x1.23f4eba2b2692p-2, -0x1.2441a7ef1ba33p-2, -0x1.248a755722d26p-2, -0x1.24cf34d727154p-2, -0x1.250fc88f58519p-2, -0x1.254c13c7d64bdp-2, -0x1.2583faf3e553ep-2, -0x1.25b763b44da41p-2, -0x1.25e634d8f232ap-2, -0x1.26105661b8e99p-2, -0x1.2635b17ecb4d1p-2, -0x1.26563090458fp-2, -0x1.2671bf256140fp-2, -0x1.268849fb215bep-2, -0x1.2699befa93d9cp-2, -0x1.26a60d36af781p-2, -0x1.26ad24e9d6011p-2, -0x1.26aef77305a73p-2, -0x1.26ab7752c1dp-2, -0x1.26a29827b8945p-2, -0x1.26944eab2bfffp-2, -0x1.268090ad268ap-2, -0x1.266755107c191p-2, -0x1.264893c6a13e7p-2, -0x1.262445cb57c8fp-2, -0x1.25fa65203b3bap-2, -0x1.25caecc824cf9p-2, -0x1.2595d8c27976ep-2, -0x1.255b260659f85p-2, -0x1.251ad27db6e5p-2, -0x1.24d4dd00559a2p-2, -0x1.2489454eba6e4p-2, -0x1.24380c0d061e4p-2, -0x1.23e132bdbf6edp-2, -0x1.2384bbbc90eeep-2, -0x1.2322aa38f987fp-2, -0x1.22bb0230f0bd8p-2, -0x1.224dc86b81b1p-2, -0x1.21db027361bedp-2, -0x1.2162b6917a5b4p-2, -0x1.20e4ebc770bb9p-2, -0x1.2061a9ca2c9e6p-2, -0x1.1fd8f8fc55d7cp-2, -0x1.1f4ae268d5d22p-2, -0x1.1eb76fbd566c2p-2, -0x1.1e1eab44c5acep-2, -0x1.1d809fe1d511ep-2, -0x1.1cdd590984bd9p-2, -0x1.1c34e2bdadc41p-2, -0x1.1b87498795b4dp-2, -0x1.1ad49a7287db6p-2, -0x1.1a1ce306782ddp-2, -0x1.19603142afe76p-2, -0x1.189e939883601p-2, -0x1.17d818e61748ep-2, -0x1.170cd0712e42cp-2, -0x1.163cc9e208eeep-2, -0x1.1568153e516ep-2, -0x1.148ec2e41a39bp-2, -0x1.13b0e384eaa04p-2, -0x1.12ce8820e0ccfp-2, -0x1.11e7c201e1733p-2, -0x1.10fca2b6e16bdp-2, -0x1.100d3c0f3e472p-2, -0x1.0f19a0162d4c9p-2, -0x1.0e21e10e42aafp-2, -0x1.0d26116d0ab0fp-2, -0x1.0c2643d6bd68fp-2, -0x1.0b228b1a09137p-2, -0x1.0a1afa2bf22ebp-2, -0x1.090fa423cf331p-2, -0x1.08009c3758fbbp-2, -0x1.06edf5b6d9f7bp-2, -0x1.05d7c40970b63p-2, -0x1.04be1aa96e975p-2, -0x1.03a10d20d3142p-2, -0x1.0280af05db414p-2, -0x1.015d13f7b01b4p-2, -0x1.00364f9b2d03p-2, -0x1.fe18eb2f7e985p-3, -0x1.fbbf3328c8479p-3, -0x1.f95f9e6972c1bp-3, -0x1.f6fa542c6144dp-3, -0x1.f48f7b9aab904p-3, -0x1.f21f3bc6623ecp-3, -0x1.efa9bba58a8c3p-3, -0x1.ed2f220d44536p-3, -0x1.eaaf95ad28573p-3, -0x1.e82b3d0ad60c1p-3, -0x1.e5a23e7daf1e1p-3, -0x1.e314c02ac89fap-3, -0x1.e082e8010751ap-3, -0x1.ddecdbb569a92p-3, -0x1.db52c0bf83f81p-3, -0x1.d8b4bc56242bap-3, -0x1.d612f36c25098p-3, -0x1.d36d8aad6ac54p-3, -0x1.d0c4a67c0aaf4p-3, -0x1.ce186aed9b59fp-3, -0x1.cb68fbc8ab732p-3, -0x1.c8b67c8261f46p-3, -0x1.c601103c42642p-3, -0x1.c348d9c2198d3p-3, -0x1.c08dfb8809ep-3, -0x1.bdd097a8ba232p-3, -0x1.bb10cfe3ae5bp-3, -0x1.b84ec59bb5cf2p-3, -0x1.b58a99d580a3dp-3, -0x1.b2c46d36535bfp-3, -0x1.affc6002d2fc5p-3, -0x1.ad32921df7012p-3, -0x1.aa6723080b29p-3, -0x1.a79a31ddd38e4p-3, -0x1.a4cbdd57cce53p-3, -0x1.a1fc43c97ace2p-3, -0x1.9f2b8320d5d16p-3, -0x1.9c59b8e5ce77cp-3, -0x1.99870239e6606p-3, -0x1.96b37bd7d92cp-3, -0x1.93df42135eea6p-3, -0x1.910a70d8ff3dfp-3, -0x1.8e3523adf4551p-3, -0x1.8b5f75b024c1ep-3, -0x1.888981962379cp-3, -0x1.85b361af4bfbdp-3, -0x1.82dd2fe3e1fabp-3, -0x1.800705b541bep-3, -0x1.7d30fc3e259f2p-3, -0x1.7a5b2c32e8e34p-3, -0x1.7785ade1e417p-3, -0x1.74b09933cb2cdp-3, -0x1.71dc05ac1d32bp-3, -0x1.6f080a6993272p-3, -0x1.6c34be26a68d5p-3, -0x1.6962373a0e551p-3, -0x1.66908b9757068p-3, -0x1.63bfd0cf6f7f4p-3, -0x1.60f01c114c8ddp-3, -0x1.5e21822a85837p-3, -0x1.5b541788009b9p-3, -0x1.5887f0369da0bp-3, -0x1.55bd1fe3e95d3p-3, -0x1.52f3b9ded2ce2p-3, -0x1.502bd11869226p-3, -0x1.4d65782494725p-3, -0x1.4aa0c13adac83p-3, -0x1.47ddbe3725286p-3, -0x1.451c809a81151p-3, -0x1.425d198bef436p-3, -0x1.3f9f99d92b478p-3, -0x1.3ce411f778874p-3, -0x1.3a2a920471d0fp-3, -0x1.377329c6d48bcp-3, -0x1.34bde8af56765p-3, -0x1.320addd971b8fp-3, -0x1.2f5a180c363dfp-3, -0x1.2caba5bb2051cp-3, -0x1.29ff9506e3d3ap-3, -0x1.2755f3be43b69p-3, -0x1.24aecf5edef46p-3, -0x1.220a3516056b1p-3, -0x1.1f6831c188549p-3, -0x1.1cc8d1f0881b1p-3, -0x1.1a2c21e44855p-3, -0x1.17922d90fcb85p-3, -0x1.14fb009e952bfp-3, -0x1.1266a66991c47p-3, -0x1.0fd52a03c8ad6p-3, -0x1.0d46963536a0fp-3, -0x1.0abaf57cc4d18p-3, -0x1.08325211179ecp-3, -0x1.05acb5e1547f9p-3, -0x1.032a2a95e709fp-3, -0x1.00aab9914c23ap-3, -0x1.fc5cd7e1a002ap-4, -0x1.f76a951ab2ad9p-4, -0x1.f27ebbf84ce9dp-4, -0x1.ed995d1f1bd7fp-4, -0x1.e8ba88af8aac7p-4, -0x1.e3e24e472d166p-4, -0x1.df10bd0244089p-4, -0x1.da45e37d3b79dp-4, -0x1.d581cfd61308bp-4, -0x1.d0c48fadd9f94p-4, -0x1.cc0e302a20a4ap-4, -0x1.c75ebdf662df6p-4, -0x1.c2b6454577a67p-4, -0x1.be14d1d2f63e4p-4, -0x1.b97a6ee4a7a28p-4, -0x1.b4e7274bdd924p-4, -0x1.b05b0566e7843p-4, -0x1.abd6132260e71p-4, -0x1.a75859faa2914p-4, -0x1.a2e1e2fd11012p-4, -0x1.9e72b6c97df7ap-4, -0x1.9a0add93868d8p-4, -0x1.95aa5f23ddc26p-4, -0x1.915142d9afacp-4, -0x1.8cff8fabeb7e3p-4, -0x1.88b54c2a995b7p-4, -0x1.84727e802a2adp-4, -0x1.80372c72c6056p-4, -0x1.7c035b65993b3p-4, -0x1.77d7105a1f3c3p-4, -0x1.73b24ff16d26cp-4, -0x1.6f951e6d7a0cep-4, -0x1.6b7f7fb2651cep-4, -0x1.67717747bcab5p-4, -0x1.636b0859c0d71p-4, -0x1.5f6c35baa7c2bp-4, -0x1.5b7501e3dd0d9p-4, -0x1.57856ef744ff7p-4, -0x1.539d7ec0787cap-4, -0x1.4fbd32b6047fbp-4, -0x1.4be48bfaa6c2p-4, -0x1.48138b5e87672p-4, -0x1.444a3160751e8p-4, -0x1.40887e2f1c84fp-4, -0x1.3cce71aa4094bp-4, -0x1.391c0b63f1ad4p-4, -0x1.35714aa1c27e4p-4, -0x1.31ce2e5dfc6bcp-4, -0x1.2e32b548d36b4p-4, -0x1.2a9eddc9970ffp-4, -0x1.2712a5ffe4d29p-4, -0x1.238e0bc4d67a5p-4, -0x1.20110cac32fbep-4, -0x1.1c9ba6059930fp-4, -0x1.192dd4ddaef52p-4, -0x1.15c795ff4acebp-4, -0x1.1268e5f49e78dp-4, -0x1.0f11c1085fab5p-4, -0x1.0bc22346f05b4p-4, -0x1.087a087f8484dp-4, -0x1.05396c45484fep-4, -0x1.020049f082dc5p-4, -0x1.fd9d393f732bp-5, -0x1.f748be71a32dbp-5, -0x1.f10318d4616b1p-5, -0x1.eacc3d57b3961p-5, -0x1.e4a4208119bbbp-5, -0x1.de8ab66dc244ap-5, -0x1.d87ff2d4c06d1p-5, -0x1.d283c9093f37fp-5, -0x1.cc962bfcae0ccp-5, -0x1.c6b70e40f0da6p-5, -0x1.c0e6620a849cep-5, -0x1.bb241932a9856p-5, -0x1.b570253981deep-5, -0x1.afca7748341ep-5, -0x1.aa33003306418p-5, -0x1.a4a9b07b749f7p-5, -0x1.9f2e78524acf5p-5, -0x1.99c14799b0f76p-5, -0x1.94620de73c9efp-5, -0x1.8f10ba85fb852p-5, -0x1.89cd3c7877c8fp-5, -0x1.8497827abbb65p-5, -0x1.7f6f7b04515b1p-5, -0x1.7a55144a3cd47p-5, -0x1.75483c40f4263p-5, -0x1.7048e09e50624p-5, -0x1.6b56eedb7e769p-5, -0x1.66725436e9a53p-5, -0x1.619afdb61e996p-5, -0x1.5cd0d827b25bp-5, -0x1.5813d0251d4cp-5, -0x1.5363d2149354cp-5, -0x1.4ec0ca2adc10cp-5, -0x1.4a2aa46d1fb9p-5, -0x1.45a14cb2b51c9p-5, -0x1.4124aea6e673p-5, -0x1.3cb4b5cab62f3p-5, -0x1.38514d769b064p-5, -0x1.33fa60dc3925ap-5, -0x1.2fafdb08156e6p-5, -0x1.2b71a6e3452b3p-5, -0x1.273faf35188p-5, -0x1.2319dea4bfebfp-5, -0x1.1f001fbae9b42p-5, -0x1.1af25ce3605c5p-5, -0x1.16f0806e9f9ffp-5, -0x1.12fa74936531fp-5, -0x1.0f10237039bf5p-5, -0x1.0b31770cfd761p-5, -0x1.075e595c64b75p-5, -0x1.0396b43d74151p-5, -0x1.ffb4e2f9f737p-6, -0x1.f852f5ae06a7cp-6, -0x1.f10773f075e37p-6, -0x1.e9d230febc7b1p-6, -0x1.e2b2fffd33b43p-6, -0x1.dba9b3f9c8259p-6, -0x1.d4b61feeaed93p-6, -0x1.cdd816c4ffb0bp-6, -0x1.c70f6b57583b2p-6, -0x1.c05bf07460494p-6, -0x1.b9bd78e1509dap-6, -0x1.b333d75c6c3e4p-6, -0x1.acbede9f6aff1p-6, -0x1.a65e6161dae6bp-6, -0x1.a012325b7d5a5p-6, -0x1.99da24468d10bp-6, -0x1.93b609e206d5dp-6, -0x1.8da5b5f3db15dp-6, -0x1.87a8fb4b1dff8p-6, -0x1.81bfacc2282c1p-6, -0x1.7be99d40b03cbp-6, -0x1.76269fbdd0c4dp-6, -0x1.7076874213211p-6, -0x1.6ad926e95f90bp-6, -0x1.654e51e4eeb77p-6, -0x1.5fd5db7d2a3bdp-6, -0x1.5a6f9713843f9p-6, -0x1.551b582444fe5p-6, -0x1.4fd8f24850ae1p-6, -0x1.4aa83936da60ap-6, -0x1.458900c719b4cp-6, -0x1.407b1cf1e94f3p-6, -0x1.3b7e61d367701p-6, -0x1.3692a3ac8003p-6, -0x1.31b7b6e47493dp-6, -0x1.2ced700a5ded5p-6, -0x1.2833a3d6994fep-6, -0x1.238a272c30bb2p-6, -0x1.1ef0cf1a3d96cp-6, -0x1.1a6770dd3eb07p-6, -0x1.15ede1e05ebe6p-6, -0x1.1183f7bebe673p-6, -0x1.0d298844a7108p-6, -0x1.08de6970c1326p-6, -0x1.04a2717534da8p-6, -0x1.007576b8cc4bap-6, -0x1.f8ae9fb00e437p-7, -0x1.f08fa74c4b71bp-7, -0x1.e88db25c59acap-7, -0x1.e0a86f67bd86ep-7, -0x1.d8df8d696600ep-7, -0x1.d132bbd16d7c9p-7, -0x1.c9a1aa86e8c41p-7, -0x1.c22c09e992e17p-7, -0x1.bad18ad371ec6p-7, -0x1.b391de9a6283bp-7, -0x1.ac6cb7119f0cdp-7, -0x1.a561c68b29664p-7, -0x1.9e70bfd931c8bp-7, -0x1.9799564f69f4ap-7, -0x1.90db3dc441dafp-7, -0x1.8a362a922446p-7, -0x1.83a9d198948bcp-7, -0x1.7d35e83d496fdp-7, -0x1.76da246d39f29p-7, -0x1.70963c9d8c91ep-7, -0x1.6a69e7cc91cc7p-7, -0x1.6454dd82973d2p-7, -0x1.5e56d5d2c760ap-7, -0x1.586f895be08acp-7, -0x1.529eb148f5b63p-7, -0x1.4ce4075214964p-7, -0x1.473f45bceb3dp-7, -0x1.41b0275d534b6p-7, -0x1.3c366795dc25dp-7, -0x1.36d1c25846f17p-7, -0x1.3181f425f2aa4p-7, -0x1.2c46ba10412fbp-7, -0x1.271fd1b8ef3acp-7, -0x1.220cf952630a3p-7, -0x1.1d0def9fef17dp-7, -0x1.182273f60aac7p-7, -0x1.134a463a7f30ep-7, -0x1.0e8526e48c7d9p-7, -0x1.09d2d6fd01337p-7, -0x1.0533181e50f89p-7, -0x1.00a5ac7496285p-7, -0x1.f854ad7b1f6e7p-8, -0x1.ef81b4912d911p-8, -0x1.e6d1f5ed1e1e7p-8, -0x1.de44fa7389c6p-8, -0x1.d5da4c2b8d60cp-8, -0x1.cd91763e7da9dp-8, -0x1.c56a04f76f0ddp-8, -0x1.bd6385c2c633fp-8, -0x1.b57d872da2cfap-8, -0x1.adb798e54dd29p-8, -0x1.a6114bb69432fp-8, -0x1.9e8a318d115e4p-8, -0x1.9721dd726a311p-8, -0x1.8fd7e38d76c33p-8, -0x1.88abd9217776p-8, -0x1.819d548d1ab97p-8, -0x1.7aabed498c62ap-8, -0x1.73d73be9726fp-8, -0x1.6d1eda17e4fep-8, -0x1.6682629752974p-8, -0x1.60017140577dcp-8, -0x1.599ba3009ce4dp-8, -0x1.535095d98bf41p-8, -0x1.4d1fe8df275aep-8, -0x1.47093c36aa587p-8, -0x1.410c311538a6ep-8, -0x1.3b2869be851c9p-8, -0x1.355d898368d26p-8, -0x1.2fab34c07c8a4p-8, -0x1.2a1110dc8bcdfp-8, -0x1.248ec44735a74p-8, -0x1.1f23f677547c5p-8, -0x1.19d04fe970568p-8, -0x1.14937a1e2d803p-8, -0x1.0f6d1f98c4243p-8, -0x1.0a5cebdd422b1p-8, -0x1.05628b6effc17p-8, -0x1.007dabcedeacfp-8, -0x1.f75bf6f35e1f3p-9, -0x1.ede653ccba911p-9, -0x1.e499cf08ae901p-9, -0x1.db75cb7361bc5p-9, -0x1.d279adc2d821bp-9, -0x1.c9a4dc935a5b4p-9, -0x1.c0f6c063eceaap-9, -0x1.b86ec39290634p-9, -0x1.b00c5258b8313p-9, -0x1.a7cedac782533p-9, -0x1.9fb5ccc41a6d5p-9, -0x1.97c09a03e7f0cp-9, -0x1.8feeb608e8bd2p-9, -0x1.883f961dd5b63p-9, -0x1.80b2b1525efe9p-9, -0x1.794780776f848p-9, -0x1.71fd7e1b3d532p-9, -0x1.6ad426859bc2p-9, -0x1.63caf7b3f813p-9, -0x1.5ce17155a20f8p-9, -0x1.561714c7ec1d5p-9, -0x1.4f6b6512304e8p-9, -0x1.48dde6e21a1eap-9, -0x1.426e2087958ep-9, -0x1.3c1b99f123916p-9, -0x1.35e5dca7b7291p-9, -0x1.2fcc73cb2175ep-9, -0x1.29ceec0dd72b7p-9, -0x1.23ecd3b154c31p-9, -0x1.1e25ba820b567p-9, -0x1.187931d38d176p-9, -0x1.12e6cc7cd0db9p-9, -0x1.0d6e1ed405a2ap-9, -0x1.080ebeaaf9992p-9, -0x1.02c8434b1e984p-9, -0x1.fb348ae35e979p-10, -0x1.f108be97bbd44p-10, -0x1.e70c58e5f194bp-10, -0x1.dd3e93d12275p-10, -0x1.d39eac257cf7dp-10, -0x1.ca2be1706acccp-10, -0x1.c0e575f939bp-10, -0x1.b7caaeb92fab6p-10, -0x1.aedad3548aa78p-10, -0x1.a6152e125c61ap-10, -0x1.9d790bd5a982fp-10, -0x1.9505bc15a78aap-10, -0x1.8cba90d64e083p-10, -0x1.8496dea138e6bp-10, -0x1.7c99fc7e04bcep-10, -0x1.74c343eb41fbbp-10, -0x1.6d1210d70f2acp-10, -0x1.6585c197f6b2cp-10, -0x1.5e1db6e58919fp-10, -0x1.56d953d1afe69p-10, -0x1.4fb7fdc0e8276p-10, -0x1.48b91c63f98bp-10, -0x1.41dc19b039ea4p-10, -0x1.3b2061d92177ep-10, -0x1.348563490fc6p-10, -0x1.2e0a8e9a7ce15p-10, -0x1.27af56912a6c9p-10, -0x1.217330136a204p-10, -0x1.1b5592232e3f5p-10, -0x1.1555f5d7ac69ep-10, -0x1.0f73d65650cbbp-10, -0x1.09aeb0cc9dbbap-10, -0x1.040604690b6fap-10, -0x1.fcf2a4aa93205p-11, -0x1.f2103b5e1756cp-11, -0x1.e763d7043c9f3p-11, -0x1.dcec85840552p-11, -0x1.d2a958870f117p-11, -0x1.c899656d1a697p-11, -0x1.bebbc53ff7506p-11, -0x1.b50f94a6e5988p-11, -0x1.ab93f3dabf971p-11, -0x1.a2480699b1f45p-11, -0x1.992af41b620b8p-11, -0x1.903be7053d469p-11, -0x1.877a0d5e7682ap-11, -0x1.7ee49884a8831p-11, -0x1.767abd202633cp-11, -0x1.6e3bb318d360cp-11, -0x1.6626b58a76ff7p-11, -0x1.5e3b02b9dd889p-11, -0x1.5677dc09e219ep-11, -0x1.4edc85efd70a2p-11, -0x1.476847e97c283p-11, -0x1.401a6c719a6c8p-11, -0x1.38f240f5dcf25p-11, -0x1.31ef15cbb611cp-11, -0x1.2b103e26a7964p-11, -0x1.2455100d56afp-11, -0x1.1dbce44f9552p-11, -0x1.1747167c74a0ap-11, -0x1.10f304d7ee974p-11, -0x1.0ac010513c72cp-11, -0x1.04ad9c791d19fp-11, -0x1.fd761eefe6e2p-12, -0x1.f1cfa40879733p-12, -0x1.e6669eb312a6ap-12, -0x1.db39ea5ccfe3fp-12, -0x1.d04867577562ap-12, -0x1.c590fac6c20bp-12, -0x1.bb128e8e46d8ap-12, -0x1.b0cc113fd4351p-12, -0x1.a6bc76094c662p-12, -0x1.9ce2b4a3a66d5p-12, -0x1.933dc94196d59p-12, -0x1.89ccb47e5ba0fp-12, -0x1.808e7b4d14b9dp-12, -0x1.778226e7dce44p-12, -0x1.6ea6c4bfb332dp-12, -0x1.65fb666bf7f2ep-12, -0x1.5d7f219a4fd39p-12, -0x1.55310fff5ec5fp-12, -0x1.4d104f461f87ap-12, -0x1.451c01015728bp-12, -0x1.3d534a9c0275bp-12, -0x1.35b55549e59b9p-12, -0x1.2e414df9689ccp-12, -0x1.26f665441df35p-12, -0x1.1fd3cf60ec08fp-12, -0x1.18d8c414f2ep-12, -0x1.12047ea6556bep-12, -0x1.0b563dcd8bc37p-12, -0x1.04cd43a7de905p-12, -0x1.fcd1ab53769e6p-13, -0x1.f050792332438p-13, -0x1.e41588b430bb9p-13, -0x1.d81f785b2984fp-13, -0x1.cc6cecb2028fap-13, -0x1.c0fc907d9f47dp-13, -0x1.b5cd1496a43b3p-13, -0x1.aadd2fcebf07fp-13, -0x1.a02b9ed909a12p-13, -0x1.95b724320998fp-13, -0x1.8b7e880832051p-13, -0x1.818098233157bp-13, -0x1.77bc27ceb1062p-13, -0x1.6e300fc1c3cedp-13, -0x1.64db2e0969ed6p-13, -0x1.5bbc65f25d8ffp-13, -0x1.52d29ff2ba5ep-13, -0x1.4a1cc994e5a7bp-13, -0x1.4199d561d8f4ap-13, -0x1.3948baccbba4p-13, -0x1.3128761e132a9p-13, -0x1.2938085ee5cdcp-13, -0x1.217677451337bp-13, -0x1.19e2cd1fc9de1p-13, -0x1.127c18c3eee5fp-13, -0x1.0b416d781009ap-13, -0x1.0431e2e2d7b47p-13, -0x1.fa9929ef0138ep-14, -0x1.ed2147c66717fp-14, -0x1.dffa67f7acedap-14, -0x1.d322db5b2aff7p-14, -0x1.c698fad27650bp-14, -0x1.ba5b272736731p-14, -0x1.ae67c8e645fb2p-14, -0x1.a2bd5041071afp-14, -0x1.975a34ea3e85cp-14, -0x1.8c3cf5f6dfda5p-14, -0x1.816419bc48e3p-14, -0x1.76ce2db205b31p-14, -0x1.6c79c6522687ep-14, -0x1.62657efa4f091p-14, -0x1.588ff9cd8f1cap-14, -0x1.4ef7df97026eep-14, -0x1.459bdfac57796p-14, -0x1.3c7aafd0925ap-14, -0x1.33930c17c6a2cp-14, -0x1.2ae3b6cb7bc38p-14, -0x1.226b784e820e1p-14, -0x1.1a291f024998ap-14, -0x1.121b7f2c706e4p-14, -0x1.0a4172db6747ap-14, -0x1.0299d9cdba87p-14, -0x1.f64732afe8598p-15, -0x1.e7bb389677b2ap-15, -0x1.d98da5bc9a22fp-15, -0x1.cbbc6524e1a08p-15, -0x1.be456c3d2cb34p-15, -0x1.b126baaa7923ep-15, -0x1.a45e5a1e587adp-15, -0x1.97ea5e27ccdffp-15, -0x1.8bc8e40556c87p-15, -0x1.7ff8127adbab7p-15, -0x1.747619a56c51bp-15, -0x1.694132d0926adp-15, -0x1.5e57a04b9edb7p-15, -0x1.53b7ad41d02efp-15, -0x1.495fad90d9a0bp-15, -0x1.3f4dfda0022f1p-15, -0x1.3581023ac1ebp-15, -0x1.2bf72867fd81dp-15, -0x1.22aee54571febp-15, -0x1.19a6b5e171a44p-15, -0x1.10dd1f168051cp-15, -0x1.0850ad65e37ddp-15, -0x1.ffffe9ae20228p-16, -0x1.efd321a107d39p-16, -0x1.e01847f0f440ep-16, -0x1.d0ccb02356882p-16, -0x1.c1edbbb4395abp-16, -0x1.b378d9d4a3a51p-16, -0x1.a56b872a74135p-16, -0x1.97c34d911e1e9p-16, -0x1.8a7dc3db35ea3p-16, -0x1.7d988d93f0984p-16, -0x1.71115ac5aa209p-16, -0x1.64e5e7bd1545ap-16, -0x1.5913fccdd6b5p-16, -0x1.4d996e1a0aac8p-16, -0x1.42741b5c3ef61p-16, -0x1.37a1efac4ee2ep-16, -0x1.2d20e14c78cb6p-16, -0x1.22eef17180ca5p-16, -0x1.190a2c10065ebp-16, -0x1.0f70a7a549fffp-16, -0x1.0620850ae393ap-16, -0x1.fa2fde7d5faa1p-17, -0x1.e8aa36683d667p-17, -0x1.d7ac8f49a97c9p-17, -0x1.c73379c0aad8dp-17, -0x1.b73b993b23328p-17, -0x1.a7c1a39a09632p-17, -0x1.98c260d82f24cp-17, -0x1.8a3aaab1f8ed2p-17, -0x1.7c276c50a1b5cp-17, -0x1.6e85a1f074ef5p-17, -0x1.6152588fd0a7ep-17, -0x1.548aad9ba37e5p-17, -0x1.482bcea164d46p-17, -0x1.3c32f8fc052fdp-17, -0x1.309d798755c5cp-17, -0x1.2568ac544ac9bp-17, -0x1.1a91fc5cb41c2p-17, -0x1.1016e33b1ed66p-17, -0x1.05f4e8dc69098p-17, -0x1.f853467ece6e6p-18, -0x1.e5656c57612dcp-18, -0x1.d31ba5d6ff0a8p-18, -0x1.c171701107596p-18, -0x1.b0626219cf223p-18, -0x1.9fea2c7a47304p-18, -0x1.900498b4c21f9p-18, -0x1.80ad88ca36ed8p-18, -0x1.71e0f6b76e54dp-18, -0x1.639af3fd92bf9p-18, -0x1.55d7a92fdf187p-18, -0x1.48935578851fbp-18, -0x1.3bca4e29e5473p-18, -0x1.2f78fe4a25b1cp-18, -0x1.239be626c398cp-18, -0x1.182f9ae674a34p-18, -0x1.0d30c61f6dc6ep-18, -0x1.029c256df3f2bp-18, -0x1.f0dd1418b0f18p-19, -0x1.dd49b0dd30e7ep-19, -0x1.ca780fb882563p-19, -0x1.b862442efe09fp-19, -0x1.a70285e7fca72p-19, -0x1.96532ff82c1c6p-19, -0x1.864ec029ba884p-19, -0x1.76efd64b11813p-19, -0x1.68313377b0cd4p-19, -0x1.5a0db96437a3ap-19, -0x1.4c8069c164adap-19, -0x1.3f84658db7c9cp-19, -0x1.3314ec6b4dd2dp-19, -0x1.272d5bffe8da8p-19, -0x1.1bc92f5ce460dp-19, -0x1.10e3fe59932e7p-19, -0x1.06797d019e765p-19, -0x1.f90af5f405b39p-20, -0x1.e607c5e35c8bap-20, -0x1.d3e1741734373p-20, -0x1.c2903ead5bbc4p-20, -0x1.b20c967ebc515p-20, -0x1.a24f1e0343138p-20, -0x1.9350a857a4187p-20, -0x1.850a3834dc80dp-20, -0x1.7774fede836e8p-20, -0x1.6a8a5b2f6fe7p-20, -0x1.5e43d89e64e3dp-20, -0x1.529b2e4f688d7p-20, -0x1.478a3e2068f71p-20, -0x1.3d0b13be944c4p-20, -0x1.3317e3bd91c3p-20, -0x1.29ab0abd659eep-20, -0x1.20bf0c84bfe36p-20, -0x1.184e932973cfap-20, -0x1.10546e3a20e01p-20, -0x1.08cb91efa8716p-20, -0x1.01af16610f153p-20, -0x1.f5f46d712a27ap-21, -0x1.e950a0d48d187p-21, -0x1.dd69c4eee8a1bp-21, -0x1.d2371960d7dddp-21, -0x1.c7b01dfdb7c7fp-21, -0x1.bdcc91468bf83p-21, -0x1.b4846f0aebcc1p-21, -0x1.abcfef2334d44p-21, -0x1.a3a783f17cdc9p-21, -0x1.9c03d9315a134p-21, -0x1.94ddd2980c31cp-21, -0x1.8e2e8a97d180ep-21, -0x1.87ef511ecc014p-21, -0x1.8219aa64bf117p-21, -0x1.7ca74dace9984p-21, -0x1.7792242c94b9dp-21, -0x1.72d447d383596p-21, -0x1.6e6802340b55fp-21, -0x1.6a47cb6bf33bdp-21, -0x1.666e48f8e6b17p-21, -0x1.62d64ccc83c14p-21, -0x1.5f7ad42ca6ff1p-21, -0x1.5c5706b80b5fdp-21, -0x1.59663558470b7p-21, -0x1.56a3d9556f81fp-21, -0x1.540b935c5e439p-21, -0x1.51992a8a2c8eap-21, -0x1.4f488b7f4cef3p-21, -0x1.4d15c782d2905p-21, -0x1.4afd139ad83f2p-21, -0x1.48fac7a88f23bp-21, -0x1.470b5d9756e03p-21, -0x1.452b70833cfe1p-21, -0x1.4357bbea68305p-21, -0x1.418d1ad9e013dp-21, -0x1.3fc8872f407cap-21, -0x1.3e0718d9a5c4ap-21, -0x1.3c460507b4d3ep-21, -0x1.3a829d7518511p-21, -0x1.38ba4fb3f3304p-21, -0x1.36eaa46ec293dp-21, -0x1.35113ec688f33p-21, -0x1.332bdb96deeb4p-21, -0x1.313850d7c690fp-21, -0x1.2f348cefc360fp-21, -0x1.2d1e96128dacp-21, -0x1.2af489a253431p-21, -0x1.28b49b9ab4fadp-21, -0x1.265d15f264f5bp-21, -0x1.23ec57fbb84bep-21, -0x1.2160d5dd919fbp-21, }}, 
      std::vector<double>(850, 0.0), 
      {{-0x1.a214b2a2bad66p-8, -0x1.a0a2b19d06224p-7, -0x1.36c5d669ba5aap-6, -0x1.9b6c909e9377ap-6, -0x1.fdfaa2d7d3f4cp-6, -0x1.2f2602ed99f7cp-5, -0x1.5e2e2ce5f4983p-5, -0x1.8c1f9aa82b577p-5, -0x1.b90c8d6e9b2b6p-5, -0x1.e50cba53e452ap-5, -0x1.081d67511fa3p-4, -0x1.1d5936e7999a5p-4, -0x1.32474d360d2c1p-4, -0x1.46f43ed1662d5p-4, -0x1.5b6b419d11d8ap-4, -0x1.6fb5e0a2942f6p-4, -0x1.83dbd1500b48cp-4, -0x1.97e2e564c3aa7p-4, -0x1.abcf1485366a9p-4, -0x1.bfa2984e63b3ep-4, -0x1.d35e15df83aafp-4, -0x1.e700d0304f9f4p-4, -0x1.fa88df1adb97bp-4, -0x1.06f9b3d83ffeep-3, -0x1.109e6996695cfp-3, -0x1.1a3081487ab99p-3, -0x1.23adbecbfe7e1p-3, -0x1.2d13ce21fb1a9p-3, -0x1.3660555b12eafp-3, -0x1.3f9103ae9f81fp-3, -0x1.48a39de14790ap-3, -0x1.51960833ae7f3p-3, -0x1.5a664e1d20277p-3, -0x1.6312a819f8b1ep-3, -0x1.6b997fd4b81e4p-3, -0x1.73f972ec1d5bcp-3, -0x1.7c3154922ac61p-3, -0x1.84402e38687afp-3, -0x1.8c253f760e91cp-3, -0x1.93dffd4d68a55p-3, -0x1.9b7010ef12a5cp-3, -0x1.a2d5561409b3cp-3, -0x1.aa0fd902a4949p-3, -0x1.b11fd44ebd181p-3, -0x1.b805ae624a35cp-3, -0x1.bec1f6d95ff53p-3, -0x1.c55563badeb63p-3, -0x1.cbc0ce95f13e8p-3, -0x1.d205318b97c52p-3, -0x1.d823a44afdc4ep-3, -0x1.de1d5906de1f3p-3, -0x1.e3f39969f8de4p-3, -0x1.e9a7c39045f31p-3, -0x1.ef3b470a652f5p-3, -0x1.f4afa1f0606d2p-3, -0x1.fa065e0891fbbp-3, -0x1.ff410e0717dafp-3, -0x1.0230a574e3a98p-2, -0x1.04b458ba110dbp-2, -0x1.072c6fe71f729p-2, -0x1.0999b9a4910e9p-2, -0x1.0bfd032530828p-2, -0x1.0e5717303a1f4p-2, -0x1.10a8bd4047c5ap-2, -0x1.12f2b8b729273p-2, -0x1.1535c8269a561p-2, -0x1.1772a4ad8ec01p-2, -0x1.19aa01699a468p-2, -0x1.1bdc8afbd4d7cp-2, -0x1.1e0ae7206c77ep-2, -0x1.2035b45803391p-2, -0x1.225d89a1d76a8p-2, -0x1.2482f645a31bap-2, -0x1.26a681ac15f76p-2, -0x1.28c8ab44c1e8dp-2, -0x1.2ae9ea78536f2p-2, -0x1.2d0aaea5ec50dp-2, -0x1.2f2b5f2a802c1p-2, -0x1.314c5b7114933p-2, -0x1.336dfb0ae0c97p-2, -0x1.35908dce3b201p-2, -0x1.37b45bfb71e44p-2, -0x1.39d9a666a09dap-2, -0x1.3c00a6a5b58aap-2, -0x1.3e298f41e95d1p-2, -0x1.40548bebedda1p-2, -0x1.4281c1b247838p-2, -0x1.44b14f3934d5ep-2, -0x1.46e34cf3af711p-2, -0x1.4917cd5d1541fp-2, -0x1.4b4edd332309bp-2, -0x1.4d8883afdf7ffp-2, -0x1.4fc4c2c3463eep-2, -0x1.5203974c69e86p-2, -0x1.5444f951e73f8p-2, -0x1.5688dc3982134p-2, -0x1.58cf2efed0b56p-2, -0x1.5b17dc68de3d2p-2, -0x1.5d62cb3eb978dp-2, -0x1.5fafde7adef69p-2, -0x1.61fef57d86efep-2, -0x1.644fec3dc3bdfp-2, -0x1.66a29b7986d47p-2, -0x1.68f6d8e480d38p-2, -0x1.6b4c7755eb345p-2, -0x1.6da346f541475p-2, -0x1.6ffb1565f1c1fp-2, -0x1.7253adf20fe38p-2, -0x1.74acd9b40c8dep-2, -0x1.77065fbf86b5ep-2, -0x1.796005492fa6ep-2, -0x1.7bb98dcdd9171p-2, -0x1.7e12bb38a5923p-2, -0x1.806b4e086e955p-2, -0x1.82c305745b844p-2, -0x1.85199f8fb3267p-2, -0x1.876ed96ceb2f4p-2, -0x1.89c26f3ff32f1p-2, -0x1.8c141c7fc2d6ap-2, -0x1.8e639c0729cbbp-2, -0x1.90b0a834dca7ap-2, -0x1.92fafb0ac5491p-2, -0x1.95424e4c90c13p-2, -0x1.97865b9d77572p-2, -0x1.99c6dc9d41b5ep-2, -0x1.9c038b048127cp-2, -0x1.9e3c20bffc305p-2, -0x1.a070580b4c70ep-2, -0x1.a29feb8aa34a4p-2, -0x1.a4ca9663bd955p-2, -0x1.a6f01455f54dp-2, -0x1.a91021d1766fep-2, -0x1.ab2a7c0d9161ep-2, -0x1.ad3ee11e25168p-2, -0x1.af4d100822c5fp-2, -0x1.b154c8d5209ecp-2, -0x1.b355cca6035f2p-2, -0x1.b54fddc4b5281p-2, -0x1.b742bfb4e7c8fp-2, -0x1.b92e3743e8aabp-2, -0x1.bb120a977bce2p-2, -0x1.bcee013bc7f88p-2, -0x1.bec1e4304c265p-2, -0x1.c08d7df3e004ep-2, -0x1.c2509a8fca015p-2, -0x1.c40b07a1dd4b3p-2, -0x1.c5bc9465b0f14p-2, -0x1.c76511bce89e5p-2, -0x1.c90452369832dp-2, -0x1.ca9a2a15c0787p-2, -0x1.cc266f56f1412p-2, -0x1.cda8f9b50ac7bp-2, -0x1.cf21a2ad2d47ep-2, -0x1.d0904581d3478p-2, -0x1.d1f4bf3d25866p-2, -0x1.d34eeeb282db7p-2, -0x1.d49eb47f4e095p-2, -0x1.d5e3f30aff55bp-2, -0x1.d71e8e8682b05p-2, -0x1.d84e6ceaec868p-2, -0x1.d97375f788584p-2, -0x1.da8d932f4654ap-2, -0x1.db9cafd597d42p-2, -0x1.dca0b8eab79bbp-2, -0x1.dd999d276a3a1p-2, -0x1.de874cf83fba4p-2, -0x1.df69ba7859c16p-2, -0x1.e040d96bbfc2ap-2, -0x1.e10c9f3947e3fp-2, -0x1.e1cd02e41cedfp-2, -0x1.e281fd04e5ac6p-2, -0x1.e32b87c299a08p-2, -0x1.e3c99ecb0536ep-2, -0x1.e45c3f4b056bfp-2, -0x1.e4e367e6848c9p-2, -0x1.e55f18b03b25dp-2, -0x1.e5cf53213d804p-2, -0x1.e6341a105aeccp-2, -0x1.e68d71a9550bdp-2, -0x1.e6db5f63f6193p-2, -0x1.e71de9fb0aap-2, -0x1.e755196342ff8p-2, -0x1.e780f6c206dc8p-2, -0x1.e7a18c64384cdp-2, -0x1.e7b6e5b4f0dabp-2, -0x1.e7c10f343e179p-2, -0x1.e7c0166dd9c92p-2, -0x1.e7b409efeed6ep-2, -0x1.e79cf941e0dc3p-2, -0x1.e77af4db26322p-2, -0x1.e74e0e1a30ee1p-2, -0x1.e716573b69e82p-2, -0x1.e6d3e3504695ep-2, -0x1.e686c63677151p-2, -0x1.e62f148f305cbp-2, -0x1.e5cce3b697699p-2, -0x1.e56049bb4ba5cp-2, -0x1.e4e95d5617924p-2, -0x1.e46835e1c5116p-2, -0x1.e3dceb5317f3cp-2, -0x1.e3479630f5624p-2, -0x1.e2a84f8caf579p-2, -0x1.e1ff30fa80ebap-2, -0x1.e14c548a3385fp-2, -0x1.e08fd4bff2ae6p-2, -0x1.dfc9cc8d4cba1p-2, -0x1.defa574a62f82p-2, -0x1.de2190af48ed7p-2, -0x1.dd3f94cd90dd6p-2, -0x1.dc54800a0a758p-2, -0x1.db606f16b017dp-2, -0x1.da637eecc2c43p-2, -0x1.d95dccc716618p-2, -0x1.d84f761c8bc56p-2, -0x1.d738989abdbf9p-2, -0x1.d6195220d69bdp-2, -0x1.d4f1c0ba9918dp-2, -0x1.d3c2029b9398p-2, -0x1.d28a361a81eb3p-2, -0x1.d14a79acd95bdp-2, -0x1.d002ebe283c06p-2, -0x1.ceb3ab61bff4ep-2, -0x1.cd5cd6e33242cp-2, -0x1.cbfe8d2e18d9fp-2, -0x1.ca98ed14aaf27p-2, -0x1.c92c15709f83cp-2, -0x1.c7b8251fd79b6p-2, -0x1.c63d3b013049p-2, -0x1.c4bb75f1782ap-2, -0x1.c332f4c886623p-2, -0x1.c1a3d65677d77p-2, -0x1.c00e396109043p-2, -0x1.be723ca111a71p-2, -0x1.bccffec0216e8p-2, -0x1.bb279e5636276p-2, -0x1.b97939e792e6fp-2, -0x1.b7c4efe2b047p-2, -0x1.b60ade9e49a8ep-2, -0x1.b44b245780e6ap-2, -0x1.b285df301f7b2p-2, -0x1.b0bb2d2cea23ep-2, -0x1.aeeb2c340f564p-2, -0x1.ad15fa0ba89e1p-2, -0x1.ab3bb458534b8p-2, -0x1.a95c789bd8861p-2, -0x1.a7786433ef51cp-2, -0x1.a58f945908417p-2, -0x1.a3a2261d30e96p-2, -0x1.a1b0366b04126p-2, -0x1.9fb9e204a9c28p-2, -0x1.9dbf4582e7fc3p-2, -0x1.9bc07d543d9acp-2, -0x1.99bda5bc0c93bp-2, -0x1.97b6dad1d1699p-2, -0x1.95ac388062fa7p-2, -0x1.939dda8540d13p-2, -0x1.918bdc6fe8104p-2, -0x1.8f7659a1358dap-2, -0x1.8d5d6d4ace881p-2, -0x1.8b41326e93ea4p-2, -0x1.8921c3de19833p-2, -0x1.86ff3c3a28ae3p-2, -0x1.84d9b5f249939p-2, -0x1.82b14b444dbb1p-2, -0x1.8086163be9925p-2, -0x1.7e5830b247cb4p-2, -0x1.7c27b44dae52p-2, -0x1.79f4ba811dfb8p-2, -0x1.77bf5c8bfc51fp-2, -0x1.7587b379be426p-2, -0x1.734dd8219881fp-2, -0x1.7111e3263307p-2, -0x1.6ed3ecf55dd47p-2, -0x1.6c940dc7ca2acp-2, -0x1.6a525da0c81ebp-2, -0x1.680ef44e01fd6p-2, -0x1.65c9e9673eb9cp-2, -0x1.6383544e2378bp-2, -0x1.613b4c2df7c0fp-2, -0x1.5ef1e7fb6bdd8p-2, -0x1.5ca73e7460927p-2, -0x1.5a5b661fb023p-2, -0x1.580e754cf7c87p-2, -0x1.55c0821465ff6p-2, -0x1.5371a256846f4p-2, -0x1.5121ebbc07f9ep-2, -0x1.4ed173b5a05adp-2, -0x1.4c804f7bc6747p-2, -0x1.4a2e940e8fe47p-2, -0x1.47dc56357ff4bp-2, -0x1.4589aa7f5c11p-2, -0x1.4336a541fe7a1p-2, -0x1.40e35a9a2cee1p-2, -0x1.3e8fde6b6e705p-2, -0x1.3c3c445fe180ep-2, -0x1.39e89fe815d95p-2, -0x1.3795043ae4d7bp-2, -0x1.354184554c1c6p-2, -0x1.32ee32fa48988p-2, -0x1.309b22b2b35e9p-2, -0x1.2e4865cd1fc57p-2, -0x1.2bf60e5dba6bap-2, -0x1.29a42e3e28abep-2, -0x1.2752d70d6b965p-2, -0x1.25021a2fc126ep-2, -0x1.22b208ce8b33fp-2, -0x1.2062b3d832d7cp-2, -0x1.1e142c001191fp-2, -0x1.1bc681be5a68cp-2, -0x1.1979c55003eb8p-2, -0x1.172e06b6b69b2p-2, -0x1.14e355b8b8aedp-2, -0x1.1299c1e0e1532p-2, -0x1.10515a7e88d4ap-2, -0x1.0e0a2ea57e11bp-2, -0x1.0bc44d2dfccdbp-2, -0x1.097fc4b4a403dp-2, -0x1.073ca39a7424ep-2, -0x1.04faf804c87e7p-2, -0x1.02bacfdd573aap-2, -0x1.007c38d23403ep-2, -0x1.fc7e80aba38e7p-3, -0x1.f807e73e161f2p-3, -0x1.f394bf52505bap-3, -0x1.ef252267d713p-3, -0x1.eab9298741299p-3, -0x1.e650ed42511b3p-3, -0x1.e1ec85b421d78p-3, -0x1.dd8c0a814c948p-3, -0x1.d92f92d81a10cp-3, -0x1.d4d73570b91c6p-3, -0x1.d083088d78a74p-3, -0x1.cc3321fb0715ap-3, -0x1.c7e79710b97ffp-3, -0x1.c3a07cb0d677p-3, -0x1.bf5de748e6f07p-3, -0x1.bb1fead20d5bep-3, -0x1.b6e69ad15e79cp-3, -0x1.b2b20a5848458p-3, -0x1.ae824c04f398ap-3, -0x1.aa577202b3e07p-3, -0x1.a6318e0a79776p-3, -0x1.a210b16347837p-3, -0x1.9df4ece2affc3p-3, -0x1.99de50ed5b20cp-3, -0x1.95cced778b68bp-3, -0x1.91c0d205ac031p-3, -0x1.8dba0dace49cep-3, -0x1.89b8af13ae087p-3, -0x1.85bcc472779bp-3, -0x1.81c65b943f594p-3, -0x1.7dd581d742c4p-3, -0x1.79ea442da7bb6p-3, -0x1.7604af1e2c6a3p-3, -0x1.7224cec4e464p-3, -0x1.6e4aaed3ecf7p-3, -0x1.6a765a943152fp-3, -0x1.66a7dce632354p-3, -0x1.62df4042c92ebp-3, -0x1.5f1c8ebbfca02p-3, -0x1.5b5fd1fdcf509p-3, -0x1.57a9134f17ee9p-3, -0x1.53f85b925eb98p-3, -0x1.504db346ba49ap-3, -0x1.4ca92288b19fap-3, -0x1.490ab11326ff4p-3, -0x1.4572664041e98p-3, -0x1.41e0490a5d7c6p-3, -0x1.3e54600cfb388p-3, -0x1.3aceb185b4e57p-3, -0x1.374f43553f2cfp-3, -0x1.33d61b005b7f4p-3, -0x1.30633db0dd518p-3, -0x1.2cf6b036acb8dp-3, -0x1.29907708c823fp-3, -0x1.2630964650a3p-3, -0x1.22d711b792aafp-3, -0x1.1f83eccf133e7p-3, -0x1.1c372aaa9fba9p-3, -0x1.18f0ce145f65cp-3, -0x1.15b0d983e9648p-3, -0x1.12774f1f58ec6p-3, -0x1.0f4430bc64faap-3, -0x1.0c177fe17b908p-3, -0x1.08f13dc6da4bbp-3, -0x1.05d16b57b0ab9p-3, -0x1.02b8093337c87p-3, -0x1.ff4a2f5ba931fp-4, -0x1.f9312da47631cp-4, -0x1.f3250cc518506p-4, -0x1.ed25cbb2f3266p-4, -0x1.e73368d6d4342p-4, -0x1.e14de20f392f2p-4, -0x1.db7534b29b96p-4, -0x1.d5a95d91b53b9p-4, -0x1.cfea58f9d668ep-4, -0x1.ca3822b726e3cp-4, -0x1.c492b616f1827p-4, -0x1.befa0de9fa4eap-4, -0x1.b96e2486bc062p-4, -0x1.b3eef3cbc0004p-4, -0x1.ae7c7521dd711p-4, -0x1.a916a17e8a44ep-4, -0x1.a3bd7166216d7p-4, -0x1.9e70dcee25aa4p-4, -0x1.9930dbbf90749p-4, -0x1.93fd65190e184p-4, -0x1.8ed66fd143a74p-4, -0x1.89bbf2590e971p-4, -0x1.84ade2bdc4046p-4, -0x1.7fac36ab6974ep-4, -0x1.7ab6e36ef2df1p-4, -0x1.75cdddf876253p-4, -0x1.70f11add5ebc3p-4, -0x1.6c208e5aa2074p-4, -0x1.675c2c56e8cb3p-4, -0x1.62a3e864bbf9p-4, -0x1.5df7b5c4ac5f6p-4, -0x1.59578767729d6p-4, -0x1.54c34ff01321ep-4, -0x1.503b01b5f6614p-4, -0x1.4bbe8ec702fa7p-4, -0x1.474de8e9b159dp-4, -0x1.42e9019f187f6p-4, -0x1.3e8fca24fba68p-4, -0x1.3a423377d02fdp-4, -0x1.36002e54c1c8fp-4, -0x1.31c9ab3babab8p-4, -0x1.2d9e9a7114269p-4, -0x1.297eec00211d7p-4, -0x1.256a8fbc847p-4, -0x1.2161754467adbp-4, -0x1.1d638c0251747p-4, -0x1.1970c32f025ccp-4, -0x1.158909d351b9bp-4, -0x1.11ac4eca01b93p-4, -0x1.0dda80c18d031p-4, -0x1.0a138e3df5921p-4, -0x1.0657659a83b9p-4, -0x1.02a5f50b879d4p-4, -0x1.fdfe5540285f3p-5, -0x1.f6c5e8875d10dp-5, -0x1.efa27f8000833p-5, -0x1.e893f57cf77b2p-5, -0x1.e19a259402f8dp-5, -0x1.dab4eaa0f72e4p-5, -0x1.d3e41f48e6252p-5, -0x1.cd279dfd43b53p-5, -0x1.c67f40fefbc24p-5, -0x1.bfeae2617a0cbp-5, -0x1.b96a5c0da9ea6p-5, -0x1.b2fd87c4e6df3p-5, -0x1.aca43f23e3006p-5, -0x1.a65e5ba57fap-5, -0x1.a02bb6a59d2c1p-5, -0x1.9a0c2963db92bp-5, -0x1.93ff8d0651da8p-5, -0x1.8e05ba9c3699cp-5, -0x1.881e8b207d2b5p-5, -0x1.8249d77c68557p-5, -0x1.7c87788a12bc8p-5, -0x1.76d74716e509ep-5, -0x1.71391be60833fp-5, -0x1.6baccfb2c1f62p-5, -0x1.66323b32cf85ep-5, -0x1.60c93718b4abdp-5, -0x1.5b719c15ef10dp-5, -0x1.562b42dd3419bp-5, -0x1.50f6042493aaep-5, -0x1.4bd1b8a797678p-5, -0x1.46be392950593p-5, -0x1.41bb5e765c25cp-5, -0x1.3cc90166e1d35p-5, -0x1.37e6fae07e03p-5, -0x1.331523d82605cp-5, -0x1.2e535554065e7p-5, -0x1.29a1686d41f31p-5, -0x1.24ff3651c27cp-5, -0x1.206c9845eab0cp-5, -0x1.1be967a63fa91p-5, -0x1.17757de90e5f1p-5, -0x1.1310b4a0004e2p-5, -0x1.0ebae579aea95p-5, -0x1.0a73ea4317a9ep-5, -0x1.063b9ce928f9ep-5, -0x1.0211d77a171a7p-5, -0x1.fbece84dae8a1p-6, -0x1.f3d29a88d71f3p-6, -0x1.ebd47a9a6962ep-6, -0x1.e3f23dc474915p-6, -0x1.dc2b9998cf054p-6, -0x1.d48043fb7df29p-6, -0x1.cceff324f8885p-6, -0x1.c57a5da47d5f4p-6, -0x1.be1f3a623daf7p-6, -0x1.b6de40a161d1ap-6, -0x1.afb728022a9b3p-6, -0x1.a8a9a883eb519p-6, -0x1.a1b57a86da19p-6, -0x1.9ada56cdfa6d7p-6, -0x1.9417f680d2d38p-6, -0x1.8d6e132d2fe96p-6, -0x1.86dc66c8b2afbp-6, -0x1.8062abb27c618p-6, -0x1.7a009cb49d135p-6, -0x1.73b5f5058ac36p-6, -0x1.6d8270498e90fp-6, -0x1.6765ca94102bdp-6, -0x1.615fc068dd0b6p-6, -0x1.5b700ebd63aefp-6, -0x1.559672f9cfe83p-6, -0x1.4fd2aafa331bap-6, -0x1.4a24750f8464ep-6, -0x1.448b9000a7c4dp-6, -0x1.3f07bb0b58755p-6, -0x1.3998b5e505de9p-6, -0x1.343e40bbc16fap-6, -0x1.2ef81c36e294p-6, -0x1.29c60977ef9f6p-6, -0x1.24a7ca1b20b06p-6, -0x1.1f9d2038229c7p-6, -0x1.1aa5ce62acd27p-6, -0x1.15c197aafa637p-6, -0x1.10f03f9e6201fp-6, -0x1.0c318a47b71dap-6, -0x1.07853c2fcd7a4p-6, -0x1.02eb1a5db7d09p-6, -0x1.fcc5d4ae93f9cp-7, -0x1.f3d8e4426d1a6p-7, -0x1.eb0ef07ee6c36p-7, -0x1.e267876ab1462p-7, -0x1.d9e2380bb925bp-7, -0x1.d17e926781295p-7, -0x1.c93c27831881fp-7, -0x1.c11a89638e325p-7, -0x1.b9194b0dd2188p-7, -0x1.b1380086c1986p-7, -0x1.a9763ed32a6c3p-7, -0x1.a1d39bf790f1p-7, -0x1.9a4faef818397p-7, -0x1.92ea0fd84150dp-7, -0x1.8ba2579a91287p-7, -0x1.8478204048d0fp-7, -0x1.7d6b04c8da25fp-7, -0x1.767aa131ab498p-7, -0x1.6fa69275492a1p-7, -0x1.68ee768b1479ap-7, -0x1.6251ec6680de4p-7, -0x1.5bd093f667d67p-7, -0x1.556a0e246b191p-7, -0x1.4f1dfcd40dc64p-7, -0x1.48ec02e20ceccp-7, -0x1.42d3c42362a29p-7, -0x1.3cd4e564806c5p-7, -0x1.36ef0c68414ep-7, -0x1.3121dfe7213e1p-7, -0x1.2b6d078def09p-7, -0x1.25d02bfd1e15bp-7, -0x1.204af6c76013ep-7, -0x1.1add1270bfb9cp-7, -0x1.15862a6d5f75cp-7, -0x1.1045eb204f11ap-7, -0x1.0b1c01da5a702p-7, -0x1.06081cd8d555dp-7, -0x1.0109eb443c453p-7, -0x1.f8423a5e2a8p-8, -0x1.ee9ac728c26b4p-8, -0x1.e51ce0ad19e74p-8, -0x1.dbc7ec7b7cd1bp-8, -0x1.d29b51eda2407p-8, -0x1.c9967a2319267p-8, -0x1.c0b8cffedda4ep-8, -0x1.b801c02468195p-8, -0x1.af70b8f494c3ap-8, -0x1.a7052a8aa989dp-8, -0x1.9ebe86b97360ep-8, -0x1.969c4108176e6p-8, -0x1.8e9dceaf0c69ap-8, -0x1.86c2a69505124p-8, -0x1.7f0a414b9d022p-8, -0x1.7774190c7a97p-8, -0x1.6fffa9b5d8dd4p-8, -0x1.68ac70c76483ap-8, -0x1.6179ed5f15b63p-8, -0x1.5a67a035df30bp-8, -0x1.53750b9c4bdd6p-8, -0x1.4ca1b37752368p-8, -0x1.45ed1d3d22972p-8, -0x1.3f56cff168cf2p-8, -0x1.38de54227c67cp-8, -0x1.328333e5997ddp-8, -0x1.2c44fad3e0545p-8, -0x1.2623360681cc5p-8, -0x1.201d7413e9c04p-8, -0x1.1a33450bec9bbp-8, -0x1.14643a74909b2p-8, -0x1.0eafe746ba0dap-8, -0x1.0915dfea9961cp-8, -0x1.0395ba345917ep-8, -0x1.fc5e1ac19256dp-9, -0x1.f1c2e423ae843p-9, -0x1.e75904965ec69p-9, -0x1.dd1fb2ddfa1bcp-9, -0x1.d31628746b0c3p-9, -0x1.c93ba182e6c1bp-9, -0x1.bf8f5cdb22138p-9, -0x1.b6109bf00909p-9, -0x1.acbea2cfbfaf4p-9, -0x1.a398b81c26f1ap-9, -0x1.9a9e250495f0bp-9, -0x1.91ce353ef1c86p-9, -0x1.89283700f9b12p-9, -0x1.80ab7af9d19d7p-9, -0x1.7857544af207ep-9, -0x1.702b1881da891p-9, -0x1.68261f914383p-9, -0x1.6047c3ca9089fp-9, -0x1.588f61d773c7p-9, -0x1.50fc58b2f44bp-9, -0x1.498e09a346ecp-9, -0x1.4243d833440edp-9, -0x1.3b1d2a2baf46dp-9, -0x1.3419678d436e9p-9, -0x1.2d37fa89d5afbp-9, -0x1.26784f7e4966ap-9, -0x1.1fd9d4ebec068p-9, -0x1.195bfb72aa49ep-9, -0x1.12fe35ca3baccp-9, -0x1.0cbff8bc5a6dfp-9, -0x1.06a0bb1e47fb8p-9, -0x1.009ff5caf3802p-9, -0x1.f57a4738c694ap-10, -0x1.e9ef82cc84bd7p-10, -0x1.de9e9bdec9c9fp-10, -0x1.d38693d78a18ep-10, -0x1.c8a66fee36a27p-10, -0x1.bdfd391c4f98ep-10, -0x1.b389fc12d09eap-10, -0x1.a94bc92e35d28p-10, -0x1.9f41b46af053p-10, -0x1.956ad559a1562p-10, -0x1.8bc6471466d86p-10, -0x1.8253283289f7ep-10, -0x1.79109abe441c5p-10, -0x1.6ffdc4290e52dp-10, -0x1.6719cd40a5ee5p-10, -0x1.5e63e2245db86p-10, -0x1.55db3239b9dc4p-10, -0x1.4d7ef0224cb4p-10, -0x1.454e51b0b4a7cp-10, -0x1.3d488fddfc013p-10, -0x1.356ce6bee35aap-10, -0x1.2dba957a39251p-10, -0x1.2630de3df94e6p-10, -0x1.1ecf0634e0df6p-10, -0x1.1794557cf04acp-10, -0x1.1080171d0a4d4p-10, -0x1.099198faaa73p-10, -0x1.02c82bd0eef51p-10, -0x1.f846464c0e99ap-11, -0x1.eb43aa8391802p-11, -0x1.de873649470f1p-11, -0x1.d20fa0fa1c3cp-11, -0x1.c5dba73eaff53p-11, -0x1.b9ea0af6f29c4p-11, -0x1.ae399329616b5p-11, -0x1.a2c90bef14b9dp-11, -0x1.97974662bcc79p-11, -0x1.8ca3188f4d048p-11, -0x1.81eb5d5d24423p-11, -0x1.776ef4815ed7p-11, -0x1.6d2cc26c6f6eap-11, -0x1.6323b03915fa4p-11, -0x1.5952ab9b78686p-11, -0x1.4fb8a6cfcac4cp-11, -0x1.4654988b2b6c3p-11, -0x1.3d257be9cc667p-11, -0x1.342a505f962dfp-11, -0x1.2b6219a872a5dp-11, -0x1.22cbdfb74b3f3p-11, -0x1.1a66aea7ff8dp-11, -0x1.123196ae92ecap-11, -0x1.0a2bac0820d16p-11, -0x1.025406ed2f387p-11, -0x1.f5538700969a6p-12, -0x1.e65803837ac99p-12, -0x1.d7b3cafe19579p-12, -0x1.c9652c8ba7819p-12, -0x1.bb6a7eaa047a6p-12, -0x1.adc21f1d948e3p-12, -0x1.a06a72d4f7cc5p-12, -0x1.9361e5cf8675p-12, -0x1.86a6eaffb15dp-12, -0x1.7a37fc31dfa2ap-12, -0x1.6e1399f1218acp-12, -0x1.62384b6e0dc2bp-12, -0x1.56a49e62f0bbdp-12, -0x1.4b5726fd7c4e4p-12, -0x1.404e7fc237ad4p-12, -0x1.3589497587f42p-12, -0x1.2b062b0312439p-12, -0x1.20c3d164f5c91p-12, -0x1.16c0ef8b89488p-12, -0x1.0cfc3e47b9089p-12, -0x1.03747c30a2128p-12, -0x1.f450db1ea34d8p-13, -0x1.e22db88cccce5p-13, -0x1.d07d2f7950b7ap-13, -0x1.bf3ce98b37031p-13, -0x1.ae6a9b1aee2dbp-13, -0x1.9e0403037055p-13, -0x1.8e06ea7b12fecp-13, -0x1.7e7124e69ab4ep-13, -0x1.6f408fb292cf8p-13, -0x1.607312298bb6ap-13, -0x1.52069d495a3c4p-13, -0x1.43f92b9eff202p-13, -0x1.3648c11e7623p-13, -0x1.28f36af9a6a01p-13, -0x1.1bf73f7e08ebfp-13, -0x1.0f525dec03ea3p-13, -0x1.0302ee53b2253p-13, -0x1.ee0e42dbec147p-14, -0x1.d6ba60f99d109p-14, -0x1.c006ba45b15bp-14, -0x1.a9efe28626835p-14, -0x1.94727dbaf1fb8p-14, -0x1.7f8b3fdbdad6bp-14, -0x1.6b36ec915f7f5p-14, -0x1.577256f560c1cp-14, -0x1.443a6151b7408p-14, -0x1.318bfcde79777p-14, -0x1.1f642985f7caep-14, -0x1.0dbff5a0db1eep-14, -0x1.f938fb774a953p-15, -0x1.d7edd8b599b84p-15, -0x1.b798f37b5e86bp-15, -0x1.9834d745575eap-15, -0x1.79bc2a1c4fcbp-15, -0x1.5c29ac2401496p-15, -0x1.3f783727dcad1p-15, -0x1.23a2be2e70dbfp-15, -0x1.08a44d04d207ap-15, -0x1.dcf00fbc85c53p-16, -0x1.aa3255c1b286p-16, -0x1.79061380e0094p-16, -0x1.49621ea822b14p-16, -0x1.1b3d7a6e228c4p-16, -0x1.dd1ead7bc5928p-17, -0x1.869e1eeb1c375p-17, -0x1.32e857550abd9p-17, -0x1.c3d9737dda561p-18, -0x1.2735f92c3cf55p-18, -0x1.1f8ca13383247p-19, 0x1.4a6a2083923bp-25, 0x1.1ff44a3746a0dp-19, 0x1.1887b637c7a07p-18, 0x1.9c5b02fbfe13ap-18, 0x1.0dc8785698713p-17, 0x1.4b22e8869aff7p-17, 0x1.864ab27cf1abcp-17, 0x1.bf4d6f84853afp-17, 0x1.f63872f4ee97fp-17, 0x1.158c65c0fab6bp-16, 0x1.2efda23099e3fp-16, 0x1.47763346b6c3ap-16, 0x1.5efc3cf57974ep-16, 0x1.7595c33eae5dp-16, 0x1.8b48aaba531fcp-16, 0x1.a01ab932661adp-16, 0x1.b411962e4727cp-16, 0x1.c732cb7732f54p-16, 0x1.d983c5a63ce0ep-16, 0x1.eb09d4af8f4c1p-16, 0x1.fbca2c633a9b7p-16, 0x1.05e4f275f49bfp-15, 0x1.0d86fdab62d7bp-15, 0x1.14cda90653078p-15, 0x1.1bbb58a8b94c4p-15, 0x1.225263df73c24p-15, 0x1.2895155d5d976p-15, 0x1.2e85ab76999dbp-15, 0x1.3426585b5f7c8p-15, 0x1.397942521575p-15, 0x1.3e8083ee3b2e4p-15, 0x1.433e2c47e94dcp-15, 0x1.47b43f3384391p-15, 0x1.4be4b5771a90dp-15, 0x1.4fd17cfe7d3fep-15, 0x1.537c790ebbe59p-15, 0x1.56e782795f50fp-15, 0x1.5a1467cf8785cp-15, 0x1.5d04ed92fd899p-15, 0x1.5fbace64f9331p-15, 0x1.6237bb3772bc4p-15, 0x1.647d5b7b91bdap-15, 0x1.668d4d506041bp-15, 0x1.686925aeb0deep-15, 0x1.6a127096c6759p-15, 0x1.6b8ab13ab58ap-15, 0x1.6cd3622b45dap-15, 0x1.6dedf580817ffp-15, 0x1.6edbd504bc651p-15, 0x1.6f9e625b73c4cp-15, 0x1.7036f72c6a27cp-15, 0x1.70a6e54882f92p-15, 0x1.70ef76d05ab35p-15, 0x1.7111ee5d53c19p-15, 0x1.710f87246ff34p-15, 0x1.70e9751b47726p-15, 0x1.70a0e51ca7d16p-15, 0x1.7036fd0c51eadp-15, 0x1.6facdbf9d23f9p-15, 0x1.6f039a433c272p-15, 0x1.6e3c49b580259p-15, 0x1.6d57f5ae3c8fp-15, 0x1.6c57a33d4c98fp-15, 0x1.6b3c5142de3a3p-15, 0x1.6a06f89063ca3p-15, 0x1.68b88c0676b7ap-15, 0x1.6751f8b432079p-15, 0x1.65d425f3128ebp-15, 0x1.643ff5860b2e8p-15, 0x1.629643b547836p-15, 0x1.60d7e76a8c04fp-15, 0x1.5f05b24d3fae6p-15, 0x1.5d2070ddd328dp-15, 0x1.5b28ea8f21824p-15, 0x1.591fe1e216089p-15, 0x1.5706147e81edfp-15, 0x1.54dc3b4c93b22p-15, 0x1.52a30a8e2b3c9p-15, 0x1.505b31f79f4a1p-15, 0x1.4e055cc687355p-15, 0x1.4ba231d93ea7dp-15, 0x1.493253c6fb35bp-15, 0x1.46b660f5895f7p-15, 0x1.442ef3b04530fp-15, 0x1.419ca23dd4bdep-15, 0x1.3efffef55f1cap-15, 0x1.3c5998531ebaep-15, 0x1.39a9f90e1a0c7p-15, 0x1.36f1a82bc872p-15, 0x1.3431291422207p-15, 0x1.3168fba515785p-15, 0x1.2e999c458010dp-15, 0x1.2bc383f861c41p-15, 0x1.28e7286f3f202p-15, 0x1.2604fc1c68d2bp-15, 0x1.231d6e449680ap-15, }}, 
      {{-0x1.806ea8f3d5099p-2, -0x1.80cf2b7446ca1p-2, -0x1.81632b03b79dp-2, -0x1.821db9dc2db2dp-2, -0x1.82f2dac85748fp-2, -0x1.83d8b033334cbp-2, -0x1.84c7cc49997b7p-2, -0x1.85bb0cdacc2c7p-2, -0x1.86af448778987p-2, -0x1.87a2d551cde3dp-2, -0x1.88954e3ca4706p-2, -0x1.89871361f8a49p-2, -0x1.8a7912c5b104p-2, -0x1.8b6c85e9c2581p-2, -0x1.8c62bf585b822p-2, -0x1.8d5d03235f325p-2, -0x1.8e5c6953aa35cp-2, -0x1.8f61c94267ebap-2, -0x1.906daccfe3894p-2, -0x1.91804a5ffdf5dp-2, -0x1.9299847b3f817p-2, -0x1.93b8edf1657dp-2, -0x1.94ddd16242a8dp-2, -0x1.96073b23f8c33p-2, -0x1.9734049873222p-2, -0x1.9862e0251dcf3p-2, -0x1.9992652426fa2p-2, -0x1.9ac11b4b8a926p-2, -0x1.9bed85296deccp-2, -0x1.9d16297568754p-2, -0x1.9e399b1203adcp-2, -0x1.9f567fb0bbf4dp-2, -0x1.a06b951cc6fe3p-2, -0x1.a177b53e68686p-2, -0x1.a279d8f1d8cd8p-2, -0x1.a37119d28a4ccp-2, -0x1.a45cb31e4dc0cp-2, -0x1.a53c01d472b05p-2, -0x1.a60e8433b30ebp-2, -0x1.a6d3d8b762391p-2, -0x1.a78bbcb11c39bp-2, -0x1.a8360a98b35a1p-2, -0x1.a8d2b8285d07cp-2, -0x1.a961d4578f5a7p-2, -0x1.a9e3854393ffcp-2, -0x1.aa580611d5dddp-2, -0x1.aabfa4d53454p-2, -0x1.ab1ac07d63c73p-2, -0x1.ab69c6d574d14p-2, -0x1.abad329511cb1p-2, -0x1.abe58986c54dep-2, -0x1.ac135ac4af3c8p-2, -0x1.ac373d0c5ae3bp-2, -0x1.ac51cd29e8544p-2, -0x1.ac63ac7a67fbdp-2, -0x1.ac6d7f8513997p-2, -0x1.ac6fecaaf235p-2, -0x1.ac6b9aec678ecp-2, -0x1.ac6130c431adap-2, -0x1.ac5153176071fp-2, -0x1.ac3ca439d3f13p-2, -0x1.ac23c306e37c7p-2, -0x1.ac074a0dd2485p-2, -0x1.abe7ced1b86dp-2, -0x1.abc5e11c965d2p-2, -0x1.aba20a653919ap-2, -0x1.ab7ccd4799d11p-2, -0x1.ab56a50f5e503p-2, -0x1.ab3005540628dp-2, -0x1.ab0959a65b007p-2, -0x1.aae3054e97bb2p-2, -0x1.aabd631ab16a4p-2, -0x1.aa98c53c28112p-2, -0x1.aa757534a686ep-2, -0x1.aa53b3d0b225ap-2, -0x1.aa33b92fa53e9p-2, -0x1.aa15b4d81161dp-2, -0x1.a9f9cdd7b0a8ap-2, -0x1.a9e022edfc76ep-2, -0x1.a9c8cac078417p-2, -0x1.a9b3d417be73cp-2, -0x1.a9a14624657c2p-2, -0x1.a99120cabec81p-2, -0x1.a9835cf490b6ap-2, -0x1.a977ece7d1417p-2, -0x1.a96ebca18e3f7p-2, -0x1.a967b2341f71ep-2, -0x1.a962ae27d3a4dp-2, -0x1.a95f8bdd5218cp-2, -0x1.a95e21f0f8cfdp-2, -0x1.a95e429e7f76ep-2, -0x1.a95fbc2449d2bp-2, -0x1.a9625925ca7b6p-2, -0x1.a965e10c73475p-2, -0x1.a96a1866b8402p-2, -0x1.a96ec144b79e3p-2, -0x1.a9739b922ae11p-2, -0x1.a978656d489bfp-2, -0x1.a97cdb7a53addp-2, -0x1.a980b9339f992p-2, -0x1.a983b935d3007p-2, -0x1.a98595884fa87p-2, -0x1.a98607e196363p-2, -0x1.a984c9e7a2258p-2, -0x1.a981956c2b0d9p-2, -0x1.a97c24a4d38f5p-2, -0x1.a974325f3e033p-2, -0x1.a9697a3125af2p-2, -0x1.a95bb8a47d65cp-2, -0x1.a94aab5fb56d7p-2, -0x1.a936114a42a05p-2, -0x1.a91daaad819abp-2, -0x1.a90139521d1b6p-2, -0x1.a8e0809a1ac5dp-2, -0x1.a8bb4597b56a3p-2, -0x1.a8914f212d49bp-2, -0x1.a86265e1b9e19p-2, -0x1.a82e5467c4619p-2, -0x1.a7f4e73098fb5p-2, -0x1.a7b5ecb1b8d3p-2, -0x1.a771355ff4267p-2, -0x1.a72693b47b49p-2, -0x1.a6d5dc300d98cp-2, -0x1.a67ee55c6d21p-2, -0x1.a62187cc3cbd2p-2, -0x1.a5bd9e1976077p-2, -0x1.a55304e28d138p-2, -0x1.a4e19ac67414ap-2, -0x1.a469405f924d4p-2, -0x1.a3e9d83dd6bb2p-2, -0x1.a36346dffb9e1p-2, -0x1.a2d572ac20ab5p-2, -0x1.a24043e7c7cep-2, -0x1.a1a3a4af5b283p-2, -0x1.a0ff80ed4752fp-2, -0x1.a053c650c04cbp-2, -0x1.9fa064444c594p-2, -0x1.9ee54be417e8p-2, -0x1.9e226ff42dc53p-2, -0x1.9d57c4d69b101p-2, -0x1.9c8540818facp-2, -0x1.9baada757f933p-2, -0x1.9ac88bb358641p-2, -0x1.99de4eb2cceccp-2, -0x1.98ec1f58bc6b1p-2, -0x1.97f1faedc4764p-2, -0x1.96efe014fa7dap-2, -0x1.95e5cec2d3e59p-2, -0x1.94d3c834420a8p-2, -0x1.93b9cee600d79p-2, -0x1.9297e68c1e89bp-2, -0x1.916e1409baddbp-2, -0x1.903c5d68fcc6dp-2, -0x1.8f02c9d343853p-2, -0x1.8dc161898c12dp-2, -0x1.8c782ddd1422ap-2, -0x1.8b2739282a6c9p-2, -0x1.89ce8ec73c8c8p-2, -0x1.886e3b120f89bp-2, -0x1.87064b552cb56p-2, -0x1.8596cdcb7ee96p-2, -0x1.841fd19815297p-2, -0x1.82a166c013726p-2, -0x1.811b9e24c9cc7p-2, -0x1.7f8e897decca9p-2, -0x1.7dfa3b53f0579p-2, -0x1.7c5ec6fa81bdap-2, -0x1.7abc408b1cf1dp-2, -0x1.7912bcdfbaf17p-2, -0x1.7762518d94cb5p-2, -0x1.75ab14dfffba7p-2, -0x1.73ed1dd3543f8p-2, -0x1.7228840feac76p-2, -0x1.705d5fe5211dp-2, -0x1.6e8bca446c2cbp-2, -0x1.6cb3dcbc73e3bp-2, -0x1.6ad5b174361abp-2, -0x1.68f163262d744p-2, -0x1.67070d1b7e646p-2, -0x1.6516cb27266aep-2, -0x1.6320b9a12b4d5p-2, -0x1.6124f561ccf51p-2, -0x1.5f239bbcb66bep-2, -0x1.5d1cca7c2ae31p-2, -0x1.5b109fdc34edfp-2, -0x1.58ff3a85ce41ep-2, -0x1.56e8b98a09a98p-2, -0x1.54cd3c5d342c5p-2, -0x1.52ace2d1f949cp-2, -0x1.5087cd147c367p-2, -0x1.4e5e1ba5734b7p-2, -0x1.4c2fef553e9fdp-2, -0x1.49fd693efb1dp-2, -0x1.47c6aac390bcbp-2, -0x1.458bd584c3db4p-2, -0x1.434d0b603ff0bp-2, -0x1.410a6e6aa2babp-2, -0x1.3ec420ea8847ep-2, -0x1.3c7a4553945edp-2, -0x1.3a2cfe417e89ap-2, -0x1.37dc6e7320539p-2, -0x1.3588b8c5862aep-2, -0x1.3332002f00421p-2, -0x1.30d867ba3f51bp-2, -0x1.2e7c12816d644p-2, -0x1.2c1d23a956071p-2, -0x1.29bbbe5c8e0aap-2, -0x1.275805c6aa36cp-2, -0x1.24f21d0f7ad58p-2, -0x1.228a2756531dap-2, -0x1.202047ad5d5ecp-2, -0x1.1db4a114f7f89p-2, -0x1.1b475677253c3p-2, -0x1.18d88aa303a83p-2, -0x1.16686048597ebp-2, -0x1.13f6f9f32edf2p-2, -0x1.11847a077ac92p-2, -0x1.0f1102bcdf13ap-2, -0x1.0c9cb61a7b428p-2, -0x1.0a27b5f2cfa27p-2, -0x1.07b223dfb7b34p-2, -0x1.053c213e769b7p-2, -0x1.02c5cf2bdedf6p-2, -0x1.004f4e808acf9p-2, -0x1.fbb17f9a63fb1p-3, -0x1.f6c486ae24158p-3, -0x1.f1d7f228e81bbp-3, -0x1.ecec01528feafp-3, -0x1.e800f2c7b9e3fp-3, -0x1.e31704735fb91p-3, -0x1.de2e7388b1b0bp-3, -0x1.d9477c7d1fa4dp-3, -0x1.d4625b029f951p-3, -0x1.cf7f4a02273d4p-3, -0x1.ca9e83965b542p-3, -0x1.c5c041067fe12p-3, -0x1.c0e4bac19730fp-3, -0x1.bc0c2859be5c4p-3, -0x1.b736c07fc59f5p-3, -0x1.b264b8fef911fp-3, -0x1.ad9646b92c396p-3, -0x1.a8cb9da2f97fep-3, -0x1.a404f0c03c9bp-3, -0x1.9f427220c37b7p-3, -0x1.9a8452dd3b0cfp-3, -0x1.95cac31453608p-3, -0x1.9115f1e8197eap-3, -0x1.8c660d7b8d09ep-3, -0x1.87bb42f068e58p-3, -0x1.8315be6525eabp-3, -0x1.7e75aaf33263dp-3, -0x1.79db32ad5bab4p-3, -0x1.75467e9e739acp-3, -0x1.70b7b6c823b7ap-3, -0x1.6c2f0221f444fp-3, -0x1.67ac86988abffp-3, -0x1.6330690d11b3dp-3, -0x1.5ebacd54da9b7p-3, -0x1.5a4bd63924b4cp-3, -0x1.55e3a5771de1fp-3, -0x1.51825bc0087c2p-3, -0x1.4d2818b992683p-3, -0x1.48d4fafe55831p-3, -0x1.4489201e84ea3p-3, -0x1.4044a4a0c0f7fp-3, -0x1.3c07a4031659ap-3, -0x1.37d238bc23d9fp-3, -0x1.33a47c3c6359ep-3, -0x1.2f7e86ef9d03p-3, -0x1.2b60703e7b04ep-3, -0x1.274a4e903dde9p-3, -0x1.233c374c983c9p-3, -0x1.1f363edda6fd8p-3, -0x1.1b3878b2071ddp-3, -0x1.1742f73f0df28p-3, -0x1.1355cc031ae54p-3, -0x1.0f71078806383p-3, -0x1.0b94b965a94b2p-3, -0x1.07c0f0448063ep-3, -0x1.03f5b9e067ba5p-3, -0x1.0033230b685a5p-3, -0x1.f8f26f6144187p-4, -0x1.f19005ae8daa6p-4, -0x1.ea3f1d4b53a2ap-4, -0x1.e2ffc8c8c10dp-4, -0x1.dbd21902eb9e8p-4, -0x1.d4b61d275af6dp-4, -0x1.cdabe2bbaf8d2p-4, -0x1.c6b375a4623d5p-4, -0x1.bfcce02b9e39p-4, -0x1.b8f82b08355bdp-4, -0x1.b2355d64b0a58p-4, -0x1.ab847ce664386p-4, -0x1.a4e58db4a140ap-4, -0x1.9e589280007bfp-4, -0x1.97dd8c89a4a9fp-4, -0x1.91747baa9b3e6p-4, -0x1.8b1d5e5b47481p-4, -0x1.84d831bacaeedp-4, -0x1.7ea4f196822f6p-4, -0x1.788398717fe0ap-4, -0x1.72741f8c0f1edp-4, -0x1.6c767eeb37e12p-4, -0x1.668aad604416fp-4, -0x1.60b0a09045788p-4, -0x1.5ae84cfb98b4dp-4, -0x1.5531a60565fb4p-4, -0x1.4f8c9dfb1eb54p-4, -0x1.49f9261bf219ap-4, -0x1.44772ea03e688p-4, -0x1.3f06a6c0f87a3p-4, -0x1.39a77cbf08ecep-4, -0x1.34599deaa2a3p-4, -0x1.2f1cf6aa88e54p-4, -0x1.29f172834e214p-4, -0x1.24d6fc1e805c1p-4, -0x1.1fcd7d51cbf8p-4, -0x1.1ad4df260ba7dp-4, -0x1.15ed09de499a6p-4, -0x1.1115e4feb185ap-4, -0x1.0c4f57536d0dbp-4, -0x1.079946f770848p-4, -0x1.02f3995b36c53p-4, -0x1.fcbc6696c44abp-5, -0x1.f3b1f1eea4482p-5, -0x1.eac79bef36074p-5, -0x1.e1fd2aa8e1cb6p-5, -0x1.d9526317e94aap-5, -0x1.d0c70930e04f5p-5, -0x1.c85adfecf308bp-5, -0x1.c00da955fa0bdp-5, -0x1.b7df26926692p-5, -0x1.afcf17f0fafeap-5, -0x1.a7dd3cf44cdc3p-5, -0x1.a009545e229bbp-5, -0x1.98531c3a95295p-5, -0x1.90ba51eafdc96p-5, -0x1.893eb230bd9abp-5, -0x1.81dff937c2f3cp-5, -0x1.7a9de2a0e757dp-5, -0x1.7378298c13b8p-5, -0x1.6c6e88a233ccap-5, -0x1.6580ba1ef2313p-5, -0x1.5eae77da43981p-5, -0x1.57f77b51bd91fp-5, -0x1.515b7db1bc12cp-5, -0x1.4ada37de46eddp-5, -0x1.4473627bd74d2p-5, -0x1.3e26b5f7d724bp-5, -0x1.37f3ea90f5049p-5, -0x1.31dab85f49d3bp-5, -0x1.2bdad75c3cbf4p-5, -0x1.25f3ff6a4454bp-5, -0x1.2025e85c64686p-5, -0x1.1a7049fd8d059p-5, -0x1.14d2dc17b5d09p-5, -0x1.0f4d567ad03eep-5, -0x1.09df71038453cp-5, -0x1.0488e3a1c5f57p-5, -0x1.fe92ccbe58a9cp-6, -0x1.f44162ca43286p-6, -0x1.ea1cfa05c5d97p-6, -0x1.e02503669a39dp-6, -0x1.d658f045000b2p-6, -0x1.ccb83266a20a9p-6, -0x1.c3423c091c5cp-6, -0x1.b9f67fec36f6p-6, -0x1.b0d4715bb246ep-6, -0x1.a7db8438d3d11p-6, -0x1.9f0b2d0389eddp-6, -0x1.9662e0e345acep-6, -0x1.8de215af7d721p-6, -0x1.858841f7d8519p-6, -0x1.7d54dd0c17fa2p-6, -0x1.75475f0396f5ap-6, -0x1.6d5f40c49cb13p-6, -0x1.659bfc0b3f856p-6, -0x1.5dfd0b7017994p-6, -0x1.5681ea6e9d541p-6, -0x1.4f2a156b31f51p-6, -0x1.47f509b8f79dep-6, -0x1.40e2459f4e95ep-6, -0x1.39f1485f1c5ecp-6, -0x1.33219237c77d6p-6, -0x1.2c72a46bed98cp-6, -0x1.25e40145e4d2p-6, -0x1.1f752c1bec2fap-6, -0x1.1925a95435555p-6, -0x1.12f4fe689374ap-6, -0x1.0ce2b1ea1034bp-6, -0x1.06ee4b84219a6p-6, -0x1.011753ffcda4dp-6, -0x1.f6baaa8cebe75p-7, -0x1.eb7fb4c90d277p-7, -0x1.e07cdf17aa8e8p-7, -0x1.d5b1442bd7639p-7, -0x1.cb1c010c0b095p-7, -0x1.c0bc3515d58fdp-7, -0x1.b69102013a348p-7, -0x1.ac998be388672p-7, -0x1.a2d4f9321fb29p-7, -0x1.994272c47e18dp-7, -0x1.8fe123d64e6e6p-7, -0x1.86b03a09007dep-7, -0x1.7daee564fea7ap-7, -0x1.74dc585ab3a6bp-7, -0x1.6c37c7c33eb66p-7, -0x1.63c06ae0cc3bep-7, -0x1.5b757b5ec437fp-7, -0x1.535635518af1fp-7, -0x1.4b61d73633901p-7, -0x1.4397a1f1c2f09p-7, -0x1.3bf6d8d04e7b9p-7, -0x1.347ec183d376bp-7, -0x1.2d2ea422dbf5ap-7, -0x1.2605cb26ed304p-7, -0x1.1f03836aa7bc5p-7, -0x1.18271c27dd394p-7, -0x1.116fe6f54ba12p-7, -0x1.0add37c43bc02p-7, -0x1.046e64ddfa3c2p-7, -0x1.fc458dc215e4p-8, -0x1.eff3717c937e8p-8, -0x1.e3e52f6b9b05cp-8, -0x1.d81986a766ab1p-8, -0x1.cc8f3ad97ad8ap-8, -0x1.c1451435a923dp-8, -0x1.b639df72ac821p-8, -0x1.ab6c6dc2ab985p-8, -0x1.a0db94cb67b98p-8, -0x1.96862e9e3a136p-8, -0x1.8c6b19afc71b5p-8, -0x1.828938cf90c4fp-8, -0x1.78df731f4f4cfp-8, -0x1.6f6cb40a08b66p-8, -0x1.662feb3b2216fp-8, -0x1.5d280c95124f6p-8, -0x1.545410282a70ep-8, -0x1.4bb2f228f0ec2p-8, -0x1.4343b2e6a07fp-8, -0x1.3b0556c149f82p-8, -0x1.32f6e6200a85cp-8, -0x1.2b176d66fd9f6p-8, -0x1.2365fced282d9p-8, -0x1.1be1a8f24dbd4p-8, -0x1.14898994a3146p-8, -0x1.0d5cbac674f37p-8, -0x1.065a5c43c6661p-8, -0x1.ff03230f96a71p-9, -0x1.f1a30384a96ap-9, -0x1.e492af9ab6632p-9, -0x1.d7d0844457fe7p-9, -0x1.cb5ae59de30d4p-9, -0x1.bf303ed7bae74p-9, -0x1.b34f0220f60b7p-9, -0x1.a7b5a891f65f3p-9, -0x1.9c62b216c5308p-9, -0x1.9154a559ba17ep-9, -0x1.868a0fade50d7p-9, -0x1.7c0184f973fdap-9, -0x1.71b99fa0726fbp-9, -0x1.67b1006f24f85p-9, -0x1.5de64e84ae6adp-9, -0x1.5458373da6679p-9, -0x1.4b056e1ee5f5ap-9, -0x1.41ecacc02171ap-9, -0x1.390cb2b6d02dp-9, -0x1.30644581191dep-9, -0x1.27f23070a87a5p-9, -0x1.1fb54495f67b1p-9, -0x1.17ac58ab51514p-9, -0x1.0fd649001f683p-9, -0x1.0831f7645e732p-9, -0x1.00be4b14242bfp-9, -0x1.f2f461460155ap-10, -0x1.e4c933d08bbbp-10, -0x1.d6f8fbd493919p-10, -0x1.c981b195e79bbp-10, -0x1.bc61576750bcap-10, -0x1.af95f9832567dp-10, -0x1.a31dade48cb36p-10, -0x1.96f694207ddd7p-10, -0x1.8b1ed53f8ddb2p-10, -0x1.7f94a39785bc8p-10, -0x1.74563aa5ccbbbp-10, -0x1.6961deea0617p-10, -0x1.5eb5ddc0e4f56p-10, -0x1.54508d3f32f5dp-10, -0x1.4a304c0ddd146p-10, -0x1.405381456bf07p-10, -0x1.36b89c4acb98p-10, -0x1.2d5e14ab91d86p-10, -0x1.244269fb4ae46p-10, -0x1.1b6423b0be193p-10, -0x1.12c1d103eb68cp-10, -0x1.0a5a08cbea5e2p-10, -0x1.022b695da217ap-10, -0x1.f46930d5a0961p-11, -0x1.e4e885c25831ep-11, -0x1.d5d239942b731p-11, -0x1.c723c2555e6b3p-11, -0x1.b8daa3c90e13ep-11, -0x1.aaf46f2c0f5ddp-11, -0x1.9d6ec2f86d823p-11, -0x1.90474aa783df2p-11, -0x1.837bbe76f1dc1p-11, -0x1.7709e32d0b86dp-11, -0x1.6aef89de33066p-11, -0x1.5f2a8fb39acb5p-11, -0x1.53b8ddb20d9a1p-11, -0x1.4898688205e14p-11, -0x1.3dc73038256f9p-11, -0x1.3343401ea5fd6p-11, -0x1.290aae7fa542bp-11, -0x1.1f1b9c70315b2p-11, -0x1.1574359b6bae8p-11, -0x1.0c12b00f91563p-11, -0x1.02f54c0b0ec4ep-11, -0x1.f434a7941266bp-12, -0x1.e30036ab337edp-12, -0x1.d24a00a5a2bf6p-12, -0x1.c20ed3a65bd22p-12, -0x1.b24b904a6c85fp-12, -0x1.a2fd294c5fb66p-12, -0x1.9420a328af36bp-12, -0x1.85b313c4571edp-12, -0x1.77b1a213936ebp-12, -0x1.6a1985c3bd877p-12, -0x1.5ce806e4821dp-12, -0x1.501a7d93f1a2bp-12, -0x1.43ae51ab6ab19p-12, -0x1.37a0fa6e5e363p-12, -0x1.2beffe399c13ap-12, -0x1.2098f23441b6p-12, -0x1.15997a025d0aap-12, -0x1.0aef477860e38p-12, -0x1.00981a503ee3dp-12, -0x1.ed237fbe40cd6p-13, -0x1.d9b4259bc153cp-13, -0x1.c6ddf5a1029dep-13, -0x1.b49cd8c1fd4efp-13, -0x1.a2ecd0f464d48p-13, -0x1.91c9f8a8569cep-13, -0x1.813082431a069p-13, -0x1.711cb79dc7358p-13, -0x1.618af983d596cp-13, -0x1.5277bf36177f2p-13, -0x1.43df95ee6907ep-13, -0x1.35bf206692939p-13, -0x1.28131661fa18bp-13, -0x1.1ad84436965f9p-13, -0x1.0e0b8a5c5290fp-13, -0x1.01a9dcfadd58ap-13, -0x1.eb6086f84dc77p-14, -0x1.d437b03cc189fp-14, -0x1.bdd38f17045aep-14, -0x1.a82ea0dcfff2fp-14, -0x1.9343861d853cbp-14, -0x1.7f0d01d5117c9p-14, -0x1.6b85f8a9b2877p-14, -0x1.58a9702871b48p-14, -0x1.46728e08345e4p-14, -0x1.34dc977020348p-14, -0x1.23e2f0409e3c3p-14, -0x1.13811a612abfap-14, -0x1.03b2b510bb18fp-14, -0x1.e8e6f87358b19p-15, -0x1.cb7e8f93ce607p-15, -0x1.af24161aa8559p-15, -0x1.93cfa81a77abep-15, -0x1.797995e12459fp-15, -0x1.601a62c1f536p-15, -0x1.47aac3e71a1d2p-15, -0x1.30239f25b6b17p-15, -0x1.197e09dadc909p-15, -0x1.03b347ce167a5p-15, -0x1.dd7994322d096p-16, -0x1.b5285c2af4641p-16, -0x1.8e66789ff8524p-16, -0x1.6927cf02673e5p-16, -0x1.4560971df2037p-16, -0x1.23055919d738p-16, -0x1.020aeb90b616dp-16, -0x1.c4cce3544d4dap-17, -0x1.881ab29018cd3p-17, -0x1.4deab25e73245p-17, -0x1.1628de95aa23p-17, -0x1.c1837bc4427ddp-18, -0x1.5b44bcade3189p-18, -0x1.f2e148b5da4f1p-19, -0x1.37c6b202a4453p-19, -0x1.09e7f1206461bp-20, 0x1.2ed5af47c4adfp-22, 0x1.91ce9a6e56d5ep-20, 0x1.6471eebddc5ccp-19, 0x1.f8b8f4f0832a9p-19, 0x1.42fc7f4fbc7f9p-18, 0x1.86367d16f12bep-18, 0x1.c6271827ca71cp-18, 0x1.017513a684644p-17, 0x1.1e4d5c7f1d179p-17, 0x1.39a98c3104e6ap-17, 0x1.5396691d11724p-17, 0x1.6c205ce9bbc8fp-17, 0x1.835376cef2993p-17, 0x1.993b6def9961ap-17, 0x1.ade3a39a6d12dp-17, 0x1.c1572576628abp-17, 0x1.d3a0afafbef89p-17, 0x1.e4caaf11b01a4p-17, 0x1.f4df43109a4e9p-17, 0x1.01f41fe71d938p-16, 0x1.08f79805f851ep-16, 0x1.0f7eab8d8a80ep-16, 0x1.158dd95968781p-16, 0x1.1b297e636ae7p-16, 0x1.2055d6a7cbbf4p-16, 0x1.2516fe00ae15bp-16, 0x1.2970f105fafbp-16, 0x1.2d678dd9cf78ep-16, 0x1.30fe94fbb325cp-16, 0x1.3439aa12a53f6p-16, 0x1.371c54ae49cafp-16, 0x1.39aa010c65e97p-16, 0x1.3be600d075f78p-16, 0x1.3dd38bbe76403p-16, 0x1.3f75c06955675p-16, 0x1.40cfa4e552965p-16, 0x1.41e4276e90735p-16, 0x1.42b61f11a07efp-16, 0x1.43484c4af86d1p-16, 0x1.439d59a7a1a9dp-16, 0x1.43b7dc5c59127p-16, 0x1.439a54dc46eadp-16, 0x1.43472f6cbc749p-16, 0x1.42c0c4b03b574p-16, 0x1.42095a3740c63p-16, 0x1.41232302ce35bp-16, 0x1.4010400b6f628p-16, 0x1.3ed2c0c084344p-16, 0x1.3d6ca3869c1d7p-16, 0x1.3bdfd630f0b92p-16, 0x1.3a2e367b080a7p-16, 0x1.3859927a53417p-16, 0x1.3663a9107282cp-16, 0x1.344e2a5a5b01ep-16, 0x1.321ab81a0a12ap-16, 0x1.2fcae621efc76p-16, 0x1.2d603ab7a643p-16, 0x1.2adc2efa033eep-16, 0x1.28402f410b093p-16, 0x1.258d9b7cd1b18p-16, 0x1.22c5c79086c85p-16, 0x1.1fe9fbab4fcb1p-16, 0x1.1cfb74a0f3b95p-16, 0x1.19fb643d41066p-16, 0x1.16eaf197d6fcp-16, 0x1.13cb39644b681p-16, 0x1.109d4e3ef6ce1p-16, 0x1.0d6238fb97226p-16, 0x1.0a1af8eda5decp-16, 0x1.06c8842fab676p-16, 0x1.036bc7eccd21ep-16, 0x1.0005a8a1c2e93p-16, 0x1.f92e04c27b89p-17, 0x1.f241522723c87p-17, 0x1.eb46d16e3ad15p-17, 0x1.e4400b36d30b7p-17, 0x1.dd2e793cecfccp-17, 0x1.d61386cc6185p-17, 0x1.cef09131d6942p-17, 0x1.c7c6e8269ff55p-17, 0x1.c097ce3ec0dbdp-17, 0x1.b964794d474cbp-17, 0x1.b22e12cbd0059p-17, 0x1.aaf5b8398bb0bp-17, 0x1.a3bc7b7e3d8c7p-17, 0x1.9c836344b9fp-17, 0x1.954b6b53c16fp-17, 0x1.8e1584ea1736ep-17, 0x1.86e2970de59f1p-17, 0x1.7fb37ee3c37c9p-17, 0x1.78890ffd37e0bp-17, 0x1.716414a6d8f68p-17, 0x1.6a454e3687b2ep-17, 0x1.632d7550e4c2fp-17, 0x1.5c1d3a35c1f2cp-17, 0x1.551545011ed5fp-17, 0x1.4e1635f2ae9cfp-17, 0x1.4720a5ace8bb4p-17, 0x1.403525770bfe8p-17, 0x1.39543f78f702ap-17, 0x1.327e76f88b613p-17, 0x1.2bb448949df9dp-17, 0x1.24f62a7cb53bbp-17, 0x1.1e448ca705caep-17, 0x1.179fd90962997p-17, 0x1.110873c907b55p-17, 0x1.0a7ebb70baf4ep-17, 0x1.0403091f13d18p-17, 0x1.fb2b616e8fc61p-18, 0x1.ee6e021cf5b23p-18, 0x1.e1ce883456758p-18, 0x1.d54d7e2f7b8aap-18, 0x1.c8eb6576d8536p-18, 0x1.bca8b6aa43ff9p-18, 0x1.b085e1f60acbbp-18, 0x1.a4834f5a692d1p-18, 0x1.98a15efbe71b6p-18, 0x1.8ce069653cc01p-18, 0x1.8140bfd32bf71p-18, 0x1.75c2ac743461fp-18, 0x1.6a6672adedd23p-18, 0x1.5f2c4f59e1fcp-18, 0x1.541479045ad13p-18, 0x1.491f202af04bep-18, 0x1.3e4c6f729d93fp-18, 0x1.339c8be293e11p-18, 0x1.290f951b6f91ep-18, 0x1.1ea5a5897f62ap-18, 0x1.145ed29ba4c6cp-18, 0x1.0a3b2cf10fd3bp-18, 0x1.003ac08e7598fp-18, 0x1.ecbb2a0b194ecp-19, 0x1.d9475b533d159p-19, 0x1.c61a136dd305ep-19, 0x1.b33348fba98e8p-19, 0x1.a092eb185e89fp-19, 0x1.8e38e1abb6bc8p-19, 0x1.7c250db1e637fp-19, 0x1.6a57498a8d72cp-19, 0x1.58cf693e2f5dcp-19, 0x1.478d3ac43b0cep-19, 0x1.36908646b93e1p-19, 0x1.25d90e63f9677p-19, 0x1.1566906dcc286p-19, 0x1.0538c4a58bba9p-19, 0x1.ea9ebcef9ab12p-20, 0x1.cb54196a5bc58p-20, 0x1.ac90f396d6606p-20, 0x1.8e5497f04e6cap-20, 0x1.709e4af5f5956p-20, 0x1.536d499e3738p-20, 0x1.36c0c9a464d3ep-20, 0x1.1a97f9f32756ep-20, 0x1.fde405f014151p-21, 0x1.c79c0dfddcc11p-21, 0x1.92564502598f3p-21, 0x1.5e10d8f6d1679p-21, 0x1.2ac9ed7246e58p-21, 0x1.f0ff38823a1c2p-22, 0x1.8e5febf57a19p-22, 0x1.2db205218572ep-22, 0x1.9de307263cd4fp-23, 0x1.c8695ec481713p-24, 0x1.72863981d6a71p-26, -0x1.07a20f6cde42ep-24, -0x1.32392c62c7f55p-23, -0x1.dcf02cc165c85p-23, -0x1.41ff520312ebep-22, -0x1.93b6a078433bbp-22, -0x1.e3a2621e1f428p-22, -0x1.18e37fc611859p-21, -0x1.3f14746383c1p-21, -0x1.64664a5704995p-21, -0x1.88db400fd3434p-21, -0x1.ac7596b4e1a78p-21, -0x1.cf3791d19bc75p-21, -0x1.f1237708696acp-21, -0x1.091dc6e1db2b8p-20, -0x1.19410f75cabfbp-20, -0x1.28fcba5475adcp-20, -0x1.3851ed0b71b4dp-20, -0x1.4741cd854461ap-20, -0x1.55cd81e786202p-20, -0x1.63f630780e473p-20, -0x1.71bcff7d79541p-20, -0x1.7f231524586b9p-20, -0x1.8c299765fec1ap-20, -0x1.98d1abef43797p-20, -0x1.a51c78082fde8p-20, -0x1.b10b207871d1ep-20, -0x1.bc9ec976f28b6p-20, -0x1.c7d896904c617p-20, -0x1.d2b9aa9426d83p-20, -0x1.dd432782a771p-20, -0x1.e7762e7611f35p-20, -0x1.f153df93f18cep-20, -0x1.fadd59f9e95fp-20, -0x1.0209ddd7ac7ddp-19, -0x1.067c10c9a8e55p-19, -0x1.0ac5d3a76416fp-19, -0x1.0ee7b3a3265fap-19, -0x1.12e23d474391dp-19, -0x1.16b5fc6d07e27p-19, -0x1.1a637c390e024p-19, -0x1.1deb4713ae355p-19, -0x1.214de6a435ebep-19, -0x1.248be3cb472fp-19, -0x1.27a5c69e0b9cfp-19, -0x1.2a9c1660bc303p-19, -0x1.2d6f59839df15p-19, -0x1.3020159c6eb2ep-19, -0x1.32aecf64cc5c1p-19, -0x1.351c0ab43f03dp-19, -0x1.37684a7e15e18p-19, -0x1.399410cdb4c06p-19, -0x1.3b9fdec23764cp-19, -0x1.3d8c348d71997p-19, -0x1.3f59916f9576ap-19, -0x1.410873b4fcb8ap-19, -0x1.429958b33ff6bp-19, -0x1.440cbcc812f21p-19, -0x1.45631b560e8e1p-19, -0x1.469ceec3eb15dp-19, -0x1.47bab078c87ffp-19, -0x1.48bcd8dbc17acp-19, -0x1.49a3df531997dp-19, -0x1.4a703a40c58b7p-19, -0x1.4b225f033d023p-19, -0x1.4bbac1f318bb4p-19, -0x1.4c39d66324fbp-19, -0x1.4ca00e9ea6d23p-19, -0x1.4ceddbe877d68p-19, -0x1.4d23ae7aa1d4dp-19, -0x1.4d41f5859353ap-19, -0x1.4d491f2fe8cf7p-19, -0x1.4d399896d8873p-19, -0x1.4d13cdcc20241p-19, -0x1.4cd829d6a3d41p-19, -0x1.4c8716b34c39fp-19, -0x1.4c20fd539cfc3p-19, -0x1.4ba6459ea4006p-19, -0x1.4b17567074d53p-19, -0x1.4a74959a591e7p-19, -0x1.49be67e4694b4p-19, -0x1.48f5310cac579p-19, -0x1.481953c7d3b95p-19, -0x1.472b31c1c64dep-19, -0x1.462b2b9d915cfp-19, -0x1.4519a0f6ba67p-19, -0x1.43f6f061d9a32p-19, -0x1.42c3776cfee07p-19, -0x1.417f92a068d69p-19, -0x1.402b9d7fb584ap-19, -0x1.3ec7f28a0fbbcp-19, -0x1.3d54eb3bbb265p-19, -0x1.3bd2e00f025bfp-19, -0x1.3a42287ca58fap-19, -0x1.38a31afd94b54p-19, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      44, 0x1.c851eb851eb85p+2, 0x1.8fc688ba2f231p+0, 0x1.bd740543da9b2p+1, -0x1.d2674494a63bdp-9, 
      {{
        {0x1.3f5c28f5c28f6p+2, 0x1.4p+2, 0x1.4289406d7481cp-7, -0x1.56e21c068eb71p-6, 0x1.0bba29d8b1e7fp-6, -0x1.5126581b5df33p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.3bbb5a9d00b38p-7, -0x1.518dd1c98c17bp-6, 0x1.0932d5fc5466dp-6, -0x1.5109f1a9dd39ap-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1b480897e8345p-7, -0x1.37aa83b8caf27p-6, 0x1.f91e86a58503p-7, -0x1.50f912c958c82p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.fab688a21f39ep-8, -0x1.1f0abc3988c8ap-6, 0x1.dfd8a53cd18ddp-7, -0x1.50c05f7bc953ap-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.c3a969f253e5ap-8, -0x1.07ae57fb5d8fep-6, 0x1.c6970479ef40cp-7, -0x1.511c469874b82p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9128085d20101p-8, -0x1.e32acfc7e8c2p-7, 0x1.ad4e7f2e80196p-7, -0x1.4a59c8203cd67p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.62f1e48c6f4fp-8, -0x1.b979b2da6b897p-7, 0x1.9487c35f48565p-7, -0x1.402405831d93cp-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.38c7ad5e0f91dp-8, -0x1.92390eb257ef2p-7, 0x1.7c850fc23fb82p-7, -0x1.369791994d2acp-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.126be5d8aaa34p-8, -0x1.6d55eb6d40e43p-7, 0x1.6539b1a38d21ap-7, -0x1.2cddc00b3bc62p-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.df45da6e85e9ep-9, -0x1.4abdc8249ed74p-7, 0x1.4ea910091bd8ep-7, -0x1.2330165ad2e62p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.a065fdd26744ap-9, -0x1.2a5e041035cecp-7, 0x1.38d2418f18d47p-7, -0x1.197f2ad8036ccp-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.67c8652460d9bp-9, -0x1.0c2406f2b5e5ep-7, 0x1.23b584bee55f9p-7, -0x1.0fcf1ec131e14p-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.3500f8148b7d2p-9, -0x1.dffa6c89a69dbp-8, 0x1.0f52c8d6ce6ecp-7, -0x1.061ed6ccc589cp-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.07a756bbb152cp-9, -0x1.abadf0388b9cap-8, 0x1.f75424a87f3c3p-8, -0x1.f8dd3dc59ef7dp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.beadb3369b999p-10, -0x1.7b3d64c9658fcp-8, 0x1.d176c00679b5dp-8, -0x1.e57cc5591bf42p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.775d233b1b61p-10, -0x1.4e83962a0b188p-8, 0x1.ad0d646c979d4p-8, -0x1.d21c4f3a2db32p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.38a2902a9e1fp-10, -0x1.255b504248444p-8, 0x1.8a1811aea0fccp-8, -0x1.bebbd87d57631p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.01cafd7c4299bp-10, -0x1.ff3ebdf70f126p-9, 0x1.6896c7d86da24p-8, -0x1.ab5b61eab98dp-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.a455bef1146a6p-11, -0x1.ba551c7d889e2p-9, 0x1.488986e6d2ebp-8, -0x1.97faeb4ce8b1cp-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.523c3672b1ecep-11, -0x1.7baf53ea2f893p-9, 0x1.29f04edaa7dd4p-8, -0x1.849a74b1fbc1p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.0c100d53eb02bp-11, -0x1.4302fc0f2640ap-9, 0x1.0ccb1fb3b4fbap-8, -0x1.7139fe165b371p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.a14da21c2465ep-12, -0x1.1005acbe93617p-9, 0x1.e233f2e40f7bfp-9, -0x1.5dd9877ae7c35p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3dc9e17a7e846p-12, -0x1.c4d9fb95390fdp-10, 0x1.adb9b82b39854p-9, -0x1.4a7910df56a69p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.d6f6f4813cd1ap-13, -0x1.73dd0e0acedbcp-10, 0x1.7c278f3cec861p-9, -0x1.37189a43f25p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.50cda2639140cp-13, -0x1.2c7fc08233d3p-10, 0x1.4d7d781921c63p-9, -0x1.23b823a859ac2p-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.cab8395b30a43p-14, -0x1.dc5a853f67121p-11, 0x1.21bb72bfe11fcp-9, -0x1.1057ad0ce88e5p-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.224473f80a288p-14, -0x1.70a1880f32b83p-11, 0x1.f1c2fe6249487p-10, -0x1.f9ee6ce2c6721p-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.436d5dda7e2p-15, -0x1.14aae8bc61ebcp-11, 0x1.a5df3ad9deb79p-10, -0x1.d32d7fab95982p-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.0bf2c68225dc1p-16, -0x1.8e9a0d1f15a51p-12, 0x1.5fcb9ae688476p-10, -0x1.ac6c927641fa2p-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.ed4237340c003p-24, -0x1.0ebc81a2944e5p-12, 0x1.1f881e87fe60dp-10, -0x1.85aba5378ea08p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, -0x1.578c95c7404fep-17, -0x1.4ed3db287f44fp-13, 0x1.ca298b7f51f87p-11, -0x1.5eeab81ed445ep-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, -0x1.0fdc262d783p-16, -0x1.593c3e17cc332p-14, 0x1.60e3210fabe3ep-11, -0x1.3829ca758f5b2p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, -0x1.3b2c60accbb81p-16, -0x1.918a60657888bp-16, 0x1.033cfdec6748fp-11, -0x1.1168deea0eebfp-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, -0x1.3cb2d70f6be7fp-16, 0x1.28c904fff3c44p-16, 0x1.626e42e5f8d1cp-12, -0x1.d54fd6eeab7a3p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, -0x1.218f31aa81f7fp-16, 0x1.779ea877792cp-15, 0x1.ab4638098abc6p-13, -0x1.87ce2b05e509ep-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, -0x1.ea09c8f51b3p-17, 0x1.f38349142ec7cp-15, 0x1.8061d60c02a1ep-14, -0x1.3a4ba2fcbc34cp-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, -0x1.80f65e46d1bffp-17, 0x1.0d563f865e47fp-14, 0x1.ce916a61cc322p-20, -0x1.d998a0eb0269bp-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, -0x1.16fa39e08aap-17, 0x1.ffb41ced5774ep-15, -0x1.14ee1ae37a40bp-14, -0x1.3e82080b9178ap-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, -0x1.6ee6134eaa801p-18, 0x1.b53502963128bp-15, -0x1.d408ec8404bbap-14, -0x1.4789a6f0121d3p-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, -0x1.a8184b3be68p-19, 0x1.4dc622c162dcbp-15, -0x1.1b25e8e605162p-13, -0x1.ee805cbdf514ap-18}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, -0x1.95018ecf27ffep-20, 0x1.b81a2edbae28dp-16, -0x1.1d774fbbb5d5fp-13, 0x1.1ee77e0762ecfp-13}, 
        {0x1.cp+2, 0x1.c333333333333p+2, -0x1.175da993e8p-21, 0x1.c9e32ab4dedbbp-17, -0x1.e4dc600ecdfeap-14, 0x1.38c8285081c28p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, -0x1.818c166c6p-24, 0x1.2221f8080e946p-18, -0x1.293114ab4cf0ep-14, 0x1.9a5bafa38b697p-12}, 
        {0x1.c666666666666p+2, 0x1.c851eb851eb85p+2, -0x1.f51f662dc82a4p-30, 0x1.732191850a041p-23, -0x1.97d08d7c972e7p-17, 0x1.83295fb59f663p-11}, 
      }}, 
      -0x1.79ee210beab03p-6, 0x1.0a72eafd43137p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.8e0a0d4a1577ep-3, -0x1.02812ae2d7a62p-1, -0x1.74908b2811c1fp-5, 0x1.7573eab367a1p-2, 0x1.7573eab367a1p-2, 0x1.7573eab367a1p-2, 0, 2, 2}, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.6c2207bc19826p+0, -0x1.6ad8a44b17981p+0, -0x1.68b9ad87dba1ep+0, -0x1.65cd06736953ep+0, -0x1.621c670dfbd4fp+0, -0x1.5db2d1b31e296p+0, -0x1.589c279ec7f5ap+0, -0x1.52e4d5a808a5bp+0, -0x1.4c99938d638b4p+0, -0x1.45c7316f336bcp+0, -0x1.3e7a7026e9c06p+0, -0x1.36bfe20441fe5p+0, -0x1.2ea3d21e8c2d6p+0, -0x1.263230e13b686p+0, -0x1.1d7684d1aeb94p+0, -0x1.147bdeca437dap+0, -0x1.0b4cd11343d9cp+0, -0x1.01f368e267633p+0, -0x1.f0f253c29391dp-1, -0x1.ddce16d9d8436p-1, -0x1.ca8aee9b4ee91p-1, -0x1.b7389362b439fp-1, -0x1.a3e5a47335e6p-1, -0x1.909fabec511d9p-1, -0x1.7d732451d1b28p-1, -0x1.6a6b7f69ea349p-1, -0x1.57932e3af32f6p-1, -0x1.44f3a9f784772p-1, -0x1.32957dad065d8p-1, -0x1.20805091e3ca8p-1, -0x1.0ebaf0d2c5772p-1, -0x1.fa96bd529f0b4p-2, -0x1.d86daf01b4037p-2, -0x1.b703c2e5a8584p-2, -0x1.9660ae82b4915p-2, -0x1.768ae6571b479p-2, -0x1.5787b1de76586p-2, -0x1.395b46445a439p-2, -0x1.1c08db9531663p-2, -0x1.ff256d348cc0ap-3, -0x1.c7f496311fcfbp-3, -0x1.928098c21b527p-3, -0x1.5ec953424ed56p-3, -0x1.2ccd89033250bp-3, -0x1.f9158514e14fbp-4, -0x1.9bfae49aca94fp-4, -0x1.4242a2400c3fbp-4, -0x1.d7c414bcd36ddp-5, -0x1.319ae6ba9baa6p-5, -0x1.23de7ff09f90dp-6, 0x1.d6d024d4b0e61p-11, 0x1.34c59f42b707fp-6, 0x1.274764f727cc4p-5, 0x1.ae2a01b9069edp-5, 0x1.17967716d83b9p-4, 0x1.55398e88e8137p-4, 0x1.901021361d741p-4, 0x1.c82c3eb798af5p-4, 0x1.fda0258cc46e6p-4, 0x1.183f171267e21p-3, 0x1.306c603cbfa8cp-3, 0x1.4761244a5054p-3, 0x1.5d2696c06c708p-3, 0x1.71c5e45bad61dp-3, 0x1.85482f1696fc9p-3, 0x1.97b68a6e28532p-3, 0x1.a919f7e0824ebp-3, 0x1.b97b639a5e133p-3, 0x1.c8e3a1438259p-3, 0x1.d75b68d9ef42bp-3, 0x1.e4eb5395da657p-3, 0x1.f19bd8dc04f28p-3, 0x1.fd754b4d51fd8p-3, 0x1.043feb033a53dp-2, 0x1.0961bd0fff52dp-2, 0x1.0e24063d5f737p-2, 0x1.128a99eeaae6p-2, 0x1.169933b0ef35ep-2, 0x1.1a5376977fe01p-2, 0x1.1dbcecbaee5b1p-2, 0x1.20d906d743edap-2, 0x1.23ab1c06a8871p-2, 0x1.263669966d6e6p-2, 0x1.287e12f4bc80ap-2, 0x1.2a8521b57afecp-2, 0x1.2c4e85ad144e7p-2, 0x1.2ddd151f5fc3bp-2, 0x1.2f338d012abc8p-2, 0x1.30549149c6279p-2, 0x1.3142ad5339d18p-2, 0x1.32005445f3595p-2, 0x1.328fe18f1d40fp-2, 0x1.32f3995e41d72p-2, 0x1.332da92a6666cp-2, 0x1.3340283b30613p-2, 0x1.332d18375d7d2p-2, 0x1.32f665b5149f6p-2, 0x1.329de8ce28ff6p-2, 0x1.322565b4de987p-2, 0x1.318e8d4b6e4bbp-2, 0x1.30dafdbb98f5dp-2, 0x1.300c430f255f7p-2, 0x1.2f23d7c8e8b83p-2, 0x1.2e23257c30c52p-2, 0x1.2d0b856577092p-2, 0x1.2bde40ff7b6a4p-2, 0x1.2a9c9298e175dp-2, 0x1.2947a5e6b7c1fp-2, 0x1.27e098946651cp-2, 0x1.26687ad26ca26p-2, 0x1.24e04fe0ab4d6p-2, 0x1.23490e963297dp-2, 0x1.21a3a1e6d06b3p-2, 0x1.1ff0e96375229p-2, 0x1.1e31b9b7ea3f3p-2, 0x1.1c66dd26d8588p-2, 0x1.1a9113fe3126ep-2, 0x1.18b1150b49837p-2, 0x1.16c78e0c7853bp-2, 0x1.14d52418cb58p-2, 0x1.12da740b6b5c5p-2, 0x1.10d812e9fb4c4p-2, 0x1.0ece8e3ff09cfp-2, 0x1.0cbe6c816efbp-2, 0x1.0aa82d669a8cp-2, 0x1.088c4a3af1a0cp-2, 0x1.066b363726eedp-2, 0x1.04455ed2d0135p-2, 0x1.021b2c07f2b16p-2, 0x1.ffda01458be01p-3, 0x1.fb767517e5aafp-3, 0x1.f70c660263332p-3, 0x1.f29c7db1f84d4p-3, 0x1.ee275d8eab5bp-3, 0x1.e9ad9f1c660bcp-3, 0x1.e52fd465dd863p-3, 0x1.e0ae887a7d737p-3, 0x1.dc2a3fc8768e3p-3, 0x1.d7a3786b4a80fp-3, 0x1.d31aaa957aec2p-3, 0x1.ce9048eda7b0cp-3, 0x1.ca04c0c8e876bp-3, 0x1.c5787a7839ca6p-3, 0x1.c0ebd99fe1f9dp-3, 0x1.bc5f3d78991c8p-3, 0x1.b7d300f9057a6p-3, 0x1.b3477b21897ccp-3, 0x1.aebcff39f0aadp-3, 0x1.aa33dcfddb40bp-3, 0x1.a5ac60c74c252p-3, 0x1.a126d3c574ec3p-3, 0x1.9ca37c2c126p-3, 0x1.98229d568e81fp-3, 0x1.93a477ea35eebp-3, 0x1.8f2949fdceb9dp-3, 0x1.8ab14f3e2150dp-3, 0x1.863cc10bdb523p-3, 0x1.81cbd695fbbfdp-3, 0x1.7d5ec4f38d829p-3, 0x1.78f5bf3f260c6p-3, 0x1.7490f6b2feca6p-3, 0x1.70309abe230e1p-3, 0x1.6bd4d9122692cp-3, 0x1.677dddb524e24p-3, 0x1.632bd31c4e12bp-3, 0x1.5edee240ff935p-3, 0x1.5a9732a70f9ebp-3, 0x1.5654ea62d875dp-3, 0x1.52182e2e8431fp-3, 0x1.4de12182dff1cp-3, 0x1.49afe69ed965fp-3, 0x1.45849e8310fffp-3, 0x1.415f68fa28d76p-3, 0x1.3d4064b1e0d94p-3, 0x1.3927af4ca676bp-3, 0x1.3515655d1e089p-3, 0x1.3109a25e6268fp-3, 0x1.2d0480c0968fdp-3, 0x1.29061a0228762p-3, 0x1.250e86ba2fbf3p-3, 0x1.211dde8d743f6p-3, 0x1.1d3438260757cp-3, 0x1.1951a9412756dp-3, 0x1.157646c70e492p-3, 0x1.11a224d2438a7p-3, 0x1.0dd556a2af8fdp-3, 0x1.0a0fee93999a7p-3, 0x1.0651fe26f8451p-3, 0x1.029b961bcc414p-3, 0x1.fdd98cee02809p-4, 0x1.f68b3cf0a7dd3p-4, 0x1.ef4c591b388e6p-4, 0x1.e81cfcafd31c5p-4, 0x1.e0fd417e56e1p-4, 0x1.d9ed3fff1da27p-4, 0x1.d2ed0f48bad14p-4, 0x1.cbfcc4f4779fap-4, 0x1.c51c75178019bp-4, 0x1.be4c325d3331ep-4, 0x1.b78c0e289863bp-4, 0x1.b0dc189cf4f73p-4, 0x1.aa3c608ad651ep-4, 0x1.a3acf35c59018p-4, 0x1.9d2ddd1a10d14p-4, 0x1.96bf2886c2e22p-4, 0x1.9060df3816b7p-4, 0x1.8a130997f396ap-4, 0x1.83d5aed362278p-4, 0x1.7da8d4cd5575dp-4, 0x1.778c802616e85p-4, 0x1.7180b452f42a8p-4, 0x1.6b8573b25997ap-4, 0x1.659abf8dda9b7p-4, 0x1.5fc0980e16a7dp-4, 0x1.59f6fc308fac9p-4, 0x1.543de9cc573d3p-4, 0x1.4e955da43e2ap-4, 0x1.48fd53792e23ap-4, 0x1.4375c61086c4ep-4, 0x1.3dfeaf2e40144p-4, 0x1.3898078cc49c6p-4, 0x1.3341c6dd376fep-4, 0x1.2dfbe3d308728p-4, 0x1.28c654342b38ep-4, 0x1.23a10ce409d29p-4, 0x1.1e8c01e4d7f6ep-4, 0x1.1987265314d81p-4, 0x1.14926c62e46e3p-4, 0x1.0fadc564bf6d7p-4, 0x1.0ad921d0e811dp-4, 0x1.06147153f7dc1p-4, 0x1.015fa2d6a53f3p-4, 0x1.f97548fe7291cp-5, 0x1.f04ac75ff38e8p-5, 0x1.e73f9a0ecec5ap-5, 0x1.de5398cacefd8p-5, 0x1.d58699e96d97ep-5, 0x1.ccd8726a1b6e1p-5, 0x1.c448f6048ba41p-5, 0x1.bbd7f72ee72d1p-5, 0x1.b385471f5682p-5, 0x1.ab50b5cee481p-5, 0x1.a33a120209227p-5, 0x1.9b4129571c682p-5, 0x1.9365c8570d22ap-5, 0x1.8ba7ba83affcep-5, 0x1.8406ca612b059p-5, 0x1.7c82c17b66fc2p-5, 0x1.751b686a97b27p-5, 0x1.6dd086d9f8c97p-5, 0x1.66a1e3922f2b2p-5, 0x1.5f8f44863d2aep-5, 0x1.58986ee09ae38p-5, 0x1.51bd270e57184p-5, 0x1.4afd30c79b94cp-5, 0x1.44584f16855bbp-5, 0x1.3dce445de0557p-5, 0x1.375ed2610fd26p-5, 0x1.3109ba4d65abfp-5, 0x1.2acebcc41a8b2p-5, 0x1.24ad99e3f7046p-5, 0x1.1ea6115238b99p-5, 0x1.18b7e2430ac3bp-5, 0x1.12e2cb82230dfp-5, 0x1.0d268b7bd96e4p-5, 0x1.0782e046418dap-5, 0x1.01f787a95e5bfp-5, 0x1.f9087e4b07584p-6, 0x1.ee5187efc4e91p-6, 0x1.e3c9a63d7490bp-6, 0x1.d97052bee38a2p-6, 0x1.cf4506a0cb5c7p-6, 0x1.c5473accc8532p-6, 0x1.bb766806e78a4p-6, 0x1.b1d20705dfd36p-6, 0x1.a859907e51329p-6, 0x1.9f0c7d1e61148p-6, 0x1.95ea457eea228p-6, 0x1.8cf26216c668fp-6, 0x1.84244b3ecafbap-6, 0x1.7b7f794f9c607p-6, 0x1.730364d701648p-6, 0x1.6aaf86d582601p-6, 0x1.628358ecb9a45p-6, 0x1.5a7e5568ef933p-6, 0x1.529ff71d94de2p-6, 0x1.4ae7b920f27c1p-6, 0x1.435516863bda7p-6, 0x1.3be78a3cc9808p-6, 0x1.349e8f31baadp-6, 0x1.2d79a0b75bf28p-6, 0x1.26783b15539f8p-6, 0x1.1f99dc0b15576p-6, 0x1.18de03095c2d7p-6, 0x1.124430fcb283ep-6, 0x1.0bcbe7ae6a35cp-6, 0x1.0574a8f1f4183p-6, 0x1.fe7bebec1548ep-7, 0x1.f24e9e232e05fp-7, 0x1.e660687b159c3p-7, 0x1.dab04c546901bp-7, 0x1.cf3d4f303affcp-7, 0x1.c4067ce015084p-7, 0x1.b90ae8351f94dp-7, 0x1.ae49a9a68ff96p-7, 0x1.a3c1dc2ac52a1p-7, 0x1.9972994740e17p-7, 0x1.8f5af5d6b0cf4p-7, 0x1.857a00f4baac4p-7, 0x1.7bcec5d766e8ep-7, 0x1.7258504f8c3a8p-7, 0x1.6915b29223958p-7, 0x1.60060a3ab8256p-7, 0x1.5728827c6f506p-7, 0x1.4e7c5248cb123p-7, 0x1.4600b6978672bp-7, 0x1.3db4ea79e7a43p-7, 0x1.35981fac18842p-7, 0x1.2da97a774e68ap-7, 0x1.25e812cd16b09p-7, 0x1.1e52facdeedb6p-7, 0x1.16e948fc2b285p-7, 0x1.0faa22dd6beffp-7, 0x1.0894c4535f917p-7, 0x1.01a880c1a7b8ep-7, 0x1.f5c979fe28d85p-8, 0x1.e891c70153982p-8, 0x1.dba8ac9fc3deap-8, 0x1.cf0cc6cf68868p-8, 0x1.c2bc7f28521adp-8, 0x1.b6b613ff5be6dp-8, 0x1.aaf7afb141a96p-8, 0x1.9f7f8999c2d31p-8, 0x1.944c06b72750ep-8, 0x1.895bcf820b168p-8, 0x1.7eadd355151c1p-8, 0x1.744137360894bp-8, 0x1.6a1534553390cp-8, 0x1.6028f0376329dp-8, 0x1.567b5ab324a21p-8, 0x1.4d0b1c84a5f8ap-8, 0x1.43d69bfcd715cp-8, 0x1.3adc16a1ab06bp-8, 0x1.3219c8979fa5fp-8, 0x1.298e16911dfa5p-8, 0x1.2137ae51c6a95p-8, 0x1.1915943f19461p-8, 0x1.112719acf6081p-8, 0x1.096bbe5f2418dp-8, 0x1.01e30618f31fep-8, 0x1.f5189d894dfc8p-9, 0x1.e6cd669160bb6p-9, 0x1.d8e20580d5fbcp-9, 0x1.cb539ad869516p-9, 0x1.be1f0566e69bbp-9, 0x1.b1412f149d54ep-9, 0x1.a4b755b9e5edfp-9, 0x1.987f3cd5645b1p-9, 0x1.8c973bccb2761p-9, 0x1.80fe273eccb5dp-9, 0x1.75b31ee39d173p-9, 0x1.6ab5500274944p-9, 0x1.6003bce37ccc2p-9, 0x1.559d157efb0d3p-9, 0x1.4b7fa8368da1cp-9, 0x1.41a96c9e7c11ap-9, 0x1.381825c264a81p-9, 0x1.2ec992e2769afp-9, 0x1.25bb9e105ed37p-9, 0x1.1cec758f4adc5p-9, 0x1.145a86747d236p-9, 0x1.0c04623ef7756p-9, 0x1.03e8a74814b04p-9, 0x1.f80bfd6e3469cp-10, 0x1.e8b659064c2cap-10, 0x1.d9ce35f9084bfp-10, 0x1.cb519c638e3b4p-10, 0x1.bd3e86b6fa455p-10, 0x1.af92af827d124p-10, 0x1.a24ba26c86de2p-10, 0x1.95670907ba296p-10, 0x1.88e2e8ebc0945p-10, 0x1.7cbd7f5b96c88p-10, 0x1.70f4af3a98693p-10, 0x1.6585680d357b1p-10, 0x1.5a6b82b79329bp-10, 0x1.4fa267b4ea0f1p-10, 0x1.452628e48b785p-10, 0x1.3af4571ce09acp-10, 0x1.310bfb75e9c64p-10, 0x1.276cc3098d3ep-10, 0x1.1e16147594acp-10, 0x1.1506d0ba96937p-10, 0x1.0c3dd882e7314p-10, 0x1.03bab1a628d28p-10, 0x1.f6fb0e5553be5p-11, 0x1.e70c91ffea639p-11, 0x1.d7a6d49260ccep-11, 0x1.c8c23b718ebc3p-11, 0x1.ba5376f02030cp-11, 0x1.ac4ea21ab7be2p-11, 0x1.9eab233d61b37p-11, 0x1.9165dbf536d68p-11, 0x1.84800e193e411p-11, 0x1.77fbda732ebe9p-11, 0x1.6bd95759221e6p-11, 0x1.60168cb33d289p-11, 0x1.54b1ba7b1ae7dp-11, 0x1.49ab57342c781p-11, 0x1.3f05d4a653715p-11, 0x1.34c3449910a59p-11, 0x1.2ae29dc146523p-11, 0x1.215e6a8920fep-11, 0x1.182d620d66834p-11, 0x1.0f44902f2379ep-11, 0x1.069a92d53e466p-11, 0x1.fc555bd6d0de9p-12, 0x1.ebeaf9a35bf9p-12, 0x1.dbfc6c3ebc2bap-12, 0x1.cc8d78d088625p-12, 0x1.bd9c1964ddbd6p-12, 0x1.af23beabfc642p-12, 0x1.a1228a81c981cp-12, 0x1.939b85d0d3f42p-12, 0x1.86939025ecd74p-12, 0x1.7a0bce259b6c5p-12, 0x1.6dff7bf94bc7cp-12, 0x1.62663f9ff6436p-12, 0x1.573689f903ca7p-12, 0x1.4c65bb8f23af7p-12, 0x1.41e88a79678fep-12, 0x1.37b5de96e39dfp-12, 0x1.2dca3bb1c24fcp-12, 0x1.2427dff471b15p-12, 0x1.1ad2ba30f5319p-12, 0x1.11cbf60b3e11dp-12, 0x1.0910f85835763p-12, 0x1.009ec7105859ep-12, 0x1.f0ecfb547750fp-13, 0x1.e1370ca2bc14p-13, 0x1.d21a5a5a8f6fbp-13, 0x1.c38b0a613c09cp-13, 0x1.b57c4f5d4dfeep-13, 0x1.a7e7cf3db10a3p-13, 0x1.9acd10b69f022p-13, 0x1.8e2b9a7db104ep-13, 0x1.81fce1ae7bd97p-13, 0x1.76324ddd55e3bp-13, 0x1.6ababe20b12cdp-13, 0x1.5f8f359ddae2bp-13, 0x1.54b82624d83efp-13, 0x1.4a3f67607e8a6p-13, 0x1.402150fa374b5p-13, 0x1.36565f379de58p-13, 0x1.2ce2927d53ddap-13, 0x1.23ca7a09b289ap-13, 0x1.1b065d9759ed8p-13, 0x1.1289e0baeab01p-13, 0x1.0a4d3fb372f3dp-13, 0x1.024e286f76597p-13, 0x1.f51cef69a6b16p-14, 0x1.e626c6fd00fe8p-14, 0x1.d7c4b5af76756p-14, 0x1.c9f638d75292p-14, 0x1.bca34904dad4ep-14, 0x1.afa209d1db128p-14, 0x1.a2e2e4154d0ffp-14, 0x1.96838eb9570cep-14, 0x1.8a938b19d3dbp-14, 0x1.7efd799c110c9p-14, 0x1.73c067d464fc4p-14, 0x1.68ed365d90731p-14, 0x1.5e7b0aeb512e8p-14, 0x1.54553202a6882p-14, 0x1.4a717cba08519p-14, 0x1.40ce59dd9d901p-14, 0x1.376b9c7d90d37p-14, 0x1.2e48d1df24788p-14, 0x1.256828d071b58p-14, 0x1.1cd0232344c7cp-14, 0x1.14878c27326dap-14, 0x1.0c8eb4ca76231p-14, 0x1.04d5027cb2784p-14, 0x1.fa77f7f5d2dd8p-15, 0x1.eb8db3166d4ap-15, 0x1.dd1afb5540b2bp-15, 0x1.cf01de06804adp-15, 0x1.c13a6fb31ea0ap-15, 0x1.b3ea6cbbac90bp-15, 0x1.a702dba834043p-15, 0x1.9a65a5b73d226p-15, 0x1.8e0a593faf5b8p-15, 0x1.81f2db4151bc1p-15, 0x1.7620f2c6f691ep-15, 0x1.6a93f8010d2aap-15, 0x1.5f495304c3a3fp-15, 0x1.543eaf9da74d7p-15, 0x1.4974ea1448a5p-15, 0x1.3eef656fae1eep-15, 0x1.34b0e7050d784p-15, 0x1.2abdbd79149c3p-15, 0x1.21091c47b1f9bp-15, 0x1.177670d5cdbep-15, 0x1.0e15799d31906p-15, 0x1.04db32eca2537p-15, 0x1.f7926182fbed8p-16, 0x1.e5f72b6dce735p-16, 0x1.d4bfa01725cd3p-16, 0x1.c3cdae35aa9f2p-16, 0x1.b3224086aa829p-16, 0x1.a2c1e36af2964p-16, 0x1.92ad7be41a372p-16, 0x1.82e3ebc9a721dp-16, 0x1.7363929479cbdp-16, 0x1.642a4572b5d9fp-16, 0x1.5534f53c0a987p-16, 0x1.4680a108f6e37p-16, 0x1.380bc6ad9f117p-16, 0x1.29d4a6aefdc3bp-16, 0x1.1bddfb6c4571ap-16, 0x1.0e3d40a390b88p-16, 0x1.00e17c4e5f58ap-16, 0x1.e757ee03a0abp-17, 0x1.cd2df98a56d95p-17, 0x1.b3746889120c6p-17, 0x1.9a5574a537ec9p-17, 0x1.819522ce786e2p-17, 0x1.692835d8d9127p-17, 0x1.51177e4cbc1e2p-17, 0x1.3966a5fa23958p-17, 0x1.221504037d748p-17, 0x1.0b209c260d7cfp-17, 0x1.e90f53e22f198p-18, 0x1.bc922bd28e514p-18, 0x1.90c7e9984a43fp-18, 0x1.65ace0b5b6eeep-18, 0x1.3b3ad509c79bdp-18, 0x1.116c1da43fb95p-18, 0x1.d07accf47c7e1p-19, 0x1.7f51be8e0b26ap-19, 0x1.2f8ed608f1ac9p-19, 0x1.c328f70214befp-20, 0x1.293f28ca3819dp-20, 0x1.219ea05e5940bp-21, -0x1.2c9e9af491379p-26, -0x1.2ebdceb001d9bp-21, -0x1.27f15e4a51e2fp-20, -0x1.b64aec89654p-20, -0x1.2127aa340e7f7p-19, -0x1.65fd6b2005d9bp-19, -0x1.a9a8f4a607bdcp-19, -0x1.ec2d473c335bcp-19, -0x1.16c68b7e7c8cap-18, -0x1.36e5283f3260dp-18, -0x1.5672f8daab5eep-18, -0x1.75704d8ee5314p-18, -0x1.93ddf93b415f5p-18, -0x1.b1bdc6ec7bc9ap-18, -0x1.cf11bbbb84f87p-18, -0x1.ebda795f114a3p-18, -0x1.040c38b0f3883p-17, -0x1.11e6efa47f572p-17, -0x1.1f7509048372ep-17, -0x1.2cb989a621988p-17, -0x1.39c63b920427cp-17, -0x1.4685e498e62acp-17, -0x1.530075fcf6568p-17, -0x1.5f39de87c78fep-17, -0x1.6b2fde2c4f23ap-17, -0x1.76e1f80f27464p-17, -0x1.82506109275f9p-17, -0x1.8d7b6a4e7e21fp-17, -0x1.9863658d89026p-17, -0x1.a308a17cfaa92p-17, -0x1.ad6b687c9e98ep-17, -0x1.b78bfdd8f4451p-17, -0x1.c16a9b6dcf5cdp-17, -0x1.cb0776eb21b1cp-17, -0x1.d462d3a72677dp-17, -0x1.dd7d11e328c8fp-17, -0x1.e656a38a268dep-17, -0x1.eeefdb71b4adcp-17, -0x1.f748c45b396d1p-17, -0x1.ff61cc64c7a18p-17, -0x1.039dee0a0a609p-16, -0x1.076a30a89566fp-16, -0x1.0b17fb575a1a6p-16, -0x1.0ea5884beb887p-16, -0x1.12143c8c6a7dep-16, -0x1.15644bec2559ep-16, -0x1.1895915ba86f3p-16, -0x1.1ba83327a55eep-16, -0x1.1e9c652739788p-16, -0x1.21725bf25d06bp-16, -0x1.242a4c5be72ccp-16, -0x1.26c46bfcb2d9fp-16, -0x1.2940f16016721p-16, -0x1.2ba013fa7aebp-16, -0x1.2de20be8f0b2bp-16, -0x1.30071181bc7acp-16, -0x1.320f5d767bceep-16, -0x1.33fb2a5209387p-16, -0x1.35cab646d3e35p-16, -0x1.377e43050053cp-16, -0x1.391612acd8f68p-16, -0x1.3a925f856c8a3p-16, -0x1.3bf35d1ae4df5p-16, -0x1.3d3966ff9de6fp-16, -0x1.3e64dc23615ap-16, -0x1.3f75a6ed69defp-16, -0x1.406c0c95474f5p-16, -0x1.4148aa1cc07bdp-16, -0x1.420bb943019cep-16, -0x1.42b567547861dp-16, -0x1.4345fc87ae0e7p-16, -0x1.43bdc407e66b3p-16, -0x1.441d09211d3a2p-16, -0x1.446417807fb9fp-16, -0x1.44933b781ae5bp-16, -0x1.44aac2164534ep-16, -0x1.44aaf923683c5p-16, -0x1.44942f123cbb9p-16, -0x1.4466b2e897a0ap-16, -0x1.4422d4171b621p-16, -0x1.43c8e2540cca6p-16, -0x1.43592dcd9cc78p-16, -0x1.42d407c8bd135p-16, -0x1.4239c2d63fa1ep-16, -0x1.418ab27392044p-16, -0x1.40c729baf72fp-16, -0x1.3fef778ef5e12p-16, -0x1.3f03ea84aa20fp-16, -0x1.3e04e78ad60d5p-16, -0x1.3cf2d5ca519e6p-16, -0x1.3bcdb34d8913fp-16, -0x1.3a96118c1a9e9p-16, -0x1.394c583855b31p-16, -0x1.37f0c44ca65ddp-16, -0x1.3683a9b780ea1p-16, -0x1.35055e90e337fp-16, -0x1.337638861c9b3p-16, -0x1.31d68d0513fd6p-16, -0x1.3026b16668ba6p-16, -0x1.2e66fafbb739ap-16, -0x1.2c97bf138b2d8p-16, -0x1.2ab952f1c1b27p-16, -0x1.28cc0bc3e5ba1p-16, -0x1.26d03e98333eap-16, -0x1.24c6404f8a25bp-16, -0x1.22ae657f5ff09p-16, }}, 
      {{-0x1.6c6b302ee82a8p+0, -0x1.6bfbb7f9bda72p+0, -0x1.6b4339ce339eap+0, -0x1.6a437104ab1e1p+0, -0x1.68fe8c145607ap+0, -0x1.67771105dc652p+0, -0x1.65afc6f79c61ap+0, -0x1.63aba3da7c645p+0, -0x1.616dbda61e2b2p+0, -0x1.5ef93e5ebc6f7p+0, -0x1.5c515a624805fp+0, -0x1.5979488bbed33p+0, -0x1.56743bd1b0093p+0, -0x1.53455e1771389p+0, -0x1.4fefcbf78ba48p+0, -0x1.4c769159fd1dp+0, -0x1.48dca6b277256p+0, -0x1.4524eeca2da23p+0, -0x1.415234fe93bbep+0, -0x1.3d672be2ec849p+0, -0x1.39666c35fdf2fp+0, -0x1.3552741ff8da9p+0, -0x1.312da6aeaf81dp+0, -0x1.2cfa4b87e7dd7p+0, -0x1.28ba8ecac2a4ap+0, -0x1.2470811a5a68fp+0, -0x1.201e17cc6ffa8p+0, -0x1.1bc52d37a3d03p+0, -0x1.1767811d4b182p+0, -0x1.1306b92b680a4p+0, -0x1.0ea46193715cbp+0, -0x1.0a41edb33bdbap+0, -0x1.05e0b8cd54bffp+0, -0x1.018206ce9337cp+0, -0x1.fa4e0a3beffd5p-1, -0x1.f1a196ea4ccd3p-1, -0x1.e900b98240234p-1, -0x1.e06d500d6a70cp-1, -0x1.d7e9128fb29d8p-1, -0x1.cf7594e01c24dp-1, -0x1.c714487b8bcf8p-1, -0x1.bec67e478901fp-1, -0x1.b68d686d0a534p-1, -0x1.ae6a1c0f9df52p-1, -0x1.a65d92f605d73p-1, -0x1.9e68ad505e736p-1, -0x1.968c3329a9e2bp-1, -0x1.8ec8d60814f89p-1, -0x1.871f324fdd399p-1, -0x1.7f8fd098091ddp-1, -0x1.781b2708c16d6p-1, -0x1.70c19a7068e78p-1, -0x1.69837f73dc907p-1, -0x1.62611b7cc0c6ap-1, -0x1.5b5aa5bfe2ddep-1, -0x1.5470482201779p-1, -0x1.4da2201b6ed8ep-1, -0x1.46f03f8168ec1p-1, -0x1.405aad479dba8p-1, -0x1.39e1663aa918ep-1, -0x1.33845dbb1ed8fp-1, -0x1.2d437e74cbdep-1, -0x1.271eab0c5b971p-1, -0x1.2115bec02972ap-1, -0x1.1b288dfd0c925p-1, -0x1.1556e6e92f0b6p-1, -0x1.0fa091e9445aap-1, -0x1.0a0552219bb23p-1, -0x1.0484e5f20f7b6p-1, -0x1.fe3e0ed70333p-2, -0x1.f3a6d97a78e9ep-2, -0x1.e943913352db3p-2, -0x1.df139525d0b1fp-2, -0x1.d5163ee11a8ecp-2, -0x1.cb4ae300c22f9p-2, -0x1.c1b0d1c66bf1bp-2, -0x1.b84757accabefp-2, -0x1.af0dbdf47033fp-2, -0x1.a6034b29c0314p-2, -0x1.9d2743a32396bp-2, -0x1.9478e9f6b43dfp-2, -0x1.8bf77f6710678p-2, -0x1.83a2444754486p-2, -0x1.7b787856e8515p-2, -0x1.73795b1609c6p-2, -0x1.6ba42c13ba798p-2, -0x1.63f82b35ebae5p-2, -0x1.5c7498fc9f037p-2, -0x1.5518b6c0676d9p-2, -0x1.4de3c6ec8c345p-2, -0x1.46d50d34e29f6p-2, -0x1.3febcec7705c2p-2, -0x1.39275279c9dap-2, -0x1.3286e0f2453f3p-2, -0x1.2c09c4ccffc1fp-2, -0x1.25af4abcdf301p-2, -0x1.1f76c1a8b9db3p-2, -0x1.195f7ac4f4f6ep-2, -0x1.1368c9a9c2bf4p-2, -0x1.0d92046662ec6p-2, -0x1.07da83919481cp-2, -0x1.0241a25793226p-2, -0x1.f98d7d0b9445ep-3, -0x1.eed27128fce05p-3, -0x1.e450e75d18a3p-3, -0x1.da07ab6ed9da1p-3, -0x1.cff58e9f3cc18p-3, -0x1.c61967aef664cp-3, -0x1.bc7212e17c6fbp-3, -0x1.b2fe71fd285dbp-3, -0x1.a9bd6c4911b7ep-3, -0x1.a0adee887b533p-3, -0x1.97ceeaf3fea5fp-3, -0x1.8f1f593100318p-3, -0x1.869e3646ec92cp-3, -0x1.7e4a849311541p-3, -0x1.76234bbaf55c7p-3, -0x1.6e27989cf9902p-3, -0x1.66567d404fadap-3, -0x1.5eaf10c3833fdp-3, -0x1.57306f49fe33p-3, -0x1.4fd9b9e94fd71p-3, -0x1.48aa1695221c8p-3, -0x1.41a0b00ad194dp-3, -0x1.3abcb5bcfa031p-3, -0x1.33fd5bbde6cf9p-3, -0x1.2d61daaa0eeadp-3, -0x1.26e96f92acd6p-3, -0x1.20935be77821cp-3, -0x1.1a5ee56091f01p-3, -0x1.144b55e8c96d7p-3, -0x1.0e57fb87321fap-3, -0x1.08842848ec57dp-3, -0x1.02cf322b840eep-3, -0x1.fa70e60dc8e26p-4, -0x1.ef7e90ee918edp-4, -0x1.e4c6279009bf9p-4, -0x1.da4673bc5653fp-4, -0x1.cffe46461bc2p-4, -0x1.c5ec76df0371ep-4, -0x1.bc0fe3eefd555p-4, -0x1.b267726b09df7p-4, -0x1.a8f20dacff8d1p-4, -0x1.9faea74cd5374p-4, -0x1.969c36f9a417ep-4, -0x1.8db9ba53722ep-4, -0x1.850634c5dd76ap-4, -0x1.7c80af641781fp-4, -0x1.742838c4b729fp-4, -0x1.6bfbe4de6a0f5p-4, -0x1.63facce5ee2e1p-4, -0x1.5c240f2cbe5bcp-4, -0x1.5476cefff305ap-4, -0x1.4cf2348835e5bp-4, -0x1.45956caab8532p-4, -0x1.3e5fa8eab898cp-4, -0x1.37501f4b9fd17p-4, -0x1.30660a34025b7p-4, -0x1.29a0a85176be1p-4, -0x1.22ff3c7d0f1dp-4, -0x1.1c810da0750bbp-4, -0x1.1625669bd6325p-4, -0x1.0feb962c88f6cp-4, -0x1.09d2eed446adcp-4, -0x1.03dac6c11a1e8p-4, -0x1.fc04ef6c0e2edp-5, -0x1.f092bde8994c2p-5, -0x1.e55dba4a6384cp-5, -0x1.da64ac88fc67bp-5, -0x1.cfa663176bb76p-5, -0x1.c521b2bba49dap-5, -0x1.bad57666b13d5p-5, -0x1.b0c08f0e1dbd6p-5, -0x1.a6e1e3870f857p-5, -0x1.9d38606272c99p-5, -0x1.93c2f7c9903adp-5, -0x1.8a80a15b57916p-5, -0x1.81705a0b27d6cp-5, -0x1.7891240129236p-5, -0x1.6fe2067b504e2p-5, -0x1.67620dae82f99p-5, -0x1.5f104aa875c19p-5, -0x1.56ebd333239acp-5, -0x1.4ef3c1b99e5a8p-5, -0x1.4727352d3b13cp-5, -0x1.3f8550eab7c44p-5, -0x1.380d3ca0168f5p-5, -0x1.30be2433fd0d9p-5, -0x1.299737ae52084p-5, -0x1.2297ab21197b1p-5, -0x1.1bbeb6912ecf2p-5, -0x1.150b95df7fdcp-5, -0x1.0e7d88b3940d6p-5, -0x1.0813d2674ec8ap-5, -0x1.01cdb9f31077dp-5, -0x1.f75513b35463ap-6, -0x1.eb53202906b05p-6, -0x1.df943c01547a8p-6, -0x1.d417109a390cep-6, -0x1.c8da4dd35d2cap-6, -0x1.bddca9ebd01e1p-6, -0x1.b31ce15f9183ap-6, -0x1.a899b6c604dc6p-6, -0x1.9e51f2b2524bap-6, -0x1.9444639589bccp-6, -0x1.8a6fdda15be98p-6, -0x1.80d33aaa9573dp-6, -0x1.776d5a0baf1bep-6, -0x1.6e3d208854f4cp-6, -0x1.654178328f967p-6, -0x1.5c7950513974p-6, -0x1.53e39d46ccdbcp-6, -0x1.4b7f587818a27p-6, -0x1.434b8032fdf4p-6, -0x1.3b4717960a65bp-6, -0x1.33712679463efp-6, -0x1.2bc8b9581cf06p-6, -0x1.244ce13ba75aap-6, -0x1.1cfcb3a4efbf8p-6, -0x1.15d74a773d719p-6, -0x1.0edbc3e2e8528p-6, -0x1.080942510e34bp-6, -0x1.015eec5034ac8p-6, -0x1.f5b7d902e129dp-7, -0x1.e8fee30b4b035p-7, -0x1.dc915bd5a687p-7, -0x1.d06db0332ac69p-7, -0x1.c49254867c40dp-7, -0x1.b8fdc4a13a459p-7, -0x1.adae83a2c360cp-7, -0x1.a2a31bd7a4105p-7, -0x1.97da1e991ecfep-7, -0x1.8d52242cedd73p-7, -0x1.8309cba5902e6p-7, -0x1.78ffbac37686ap-7, -0x1.6f329dd742846p-7, -0x1.65a127a4d7bbp-7, -0x1.5c4a1146f25d3p-7, -0x1.532c1a12fa70cp-7, -0x1.4a46077d0f4e7p-7, -0x1.4196a4fc7e177p-7, -0x1.391cc3f0e209bp-7, -0x1.30d73b881055fp-7, -0x1.28c4e8a4a4665p-7, -0x1.20e4adc50ba76p-7, -0x1.193572eadc305p-7, -0x1.11b6258267cb7p-7, -0x1.0a65b84a9daacp-7, -0x1.0343233d6134bp-7, -0x1.f89ac6f0d7723p-8, -0x1.eb06f64d7e37dp-8, -0x1.ddc8e2d506135p-8, -0x1.d0dea48e9d5c4p-8, -0x1.c4465d1933162p-8, -0x1.b7fe3780f5adep-8, -0x1.ac0468155c33ep-8, -0x1.a0572c3fff081p-8, -0x1.94f4ca5c33965p-8, -0x1.89db918f9ea4ep-8, -0x1.7f09d9a375b76p-8, -0x1.747e02de58ffep-8, -0x1.6a3675dea5c9cp-8, -0x1.6031a37523ce7p-8, -0x1.566e048041cfdp-8, -0x1.4cea19c7d3f4fp-8, -0x1.43a46bd97fd27p-8, -0x1.3a9b8ae5f093ep-8, -0x1.31ce0e9ebe71dp-8, -0x1.293a9614e95dep-8, -0x1.20dfc797d330ep-8, -0x1.18bc50948d724p-8, -0x1.10cee575635bdp-8, -0x1.09164181c1e06p-8, -0x1.019126be8fb9cp-8, -0x1.f47cbb9e50ep-9, -0x1.e6396bae0bc7ep-9, -0x1.d85608b85a64cp-9, -0x1.cad04a547ed06p-9, -0x1.bda5f46be1579p-9, -0x1.b0d4d7017985fp-9, -0x1.a45acdf964cacp-9, -0x1.9835c0e0d06f5p-9, -0x1.8c63a2b65ed64p-9, -0x1.80e271b35a34dp-9, -0x1.75b037166e8c6p-9, -0x1.6acb06ef98b34p-9, -0x1.6030ffed9aecep-9, -0x1.55e04b2ca721cp-9, -0x1.4bd71c05db121p-9, -0x1.4213afdf67ab8p-9, -0x1.38944dfcfb5c9p-9, -0x1.2f5747505b21cp-9, -0x1.265af649e47dbp-9, -0x1.1d9dbea8d695dp-9, -0x1.151e0d4b75074p-9, -0x1.0cda57ff9fd3ap-9, -0x1.04d11d54fef03p-9, -0x1.fa01c8e3d68a1p-10, -0x1.ead079d7dccf7p-10, -0x1.dc0b7d479de06p-10, -0x1.cdb0134729494p-10, -0x1.bfbb8bf742aa5p-10, -0x1.b22b4737d038ap-10, -0x1.a4fcb44de475bp-10, -0x1.982d517e8d7afp-10, -0x1.8bbaaba4dd8b3p-10, -0x1.7fa25dcedeae1p-10, -0x1.73e210edf7e68p-10, -0x1.68777ba1ef3aap-10, -0x1.5d60621ce9194p-10, -0x1.529a9613a9a0fp-10, -0x1.4823f6a569ce3p-10, -0x1.3dfa70265c8ap-10, -0x1.341bfbc034808p-10, -0x1.2a869eeb7eb46p-10, -0x1.21386ad66dc56p-10, -0x1.182f7bd94540dp-10, -0x1.0f69f919a5ea2p-10, -0x1.06e61470aceecp-10, -0x1.fd441521c02cp-11, -0x1.ed38469faf595p-11, -0x1.dda563ca75be6p-11, -0x1.ce8829df82e59p-11, -0x1.bfdd6c3fd5c4bp-11, -0x1.b1a2130ec048dp-11, -0x1.a3d3195c2c7f8p-11, -0x1.966d8b514ecc1p-11, -0x1.896e84e4cfdb2p-11, -0x1.7cd33178102e9p-11, -0x1.7098cc726a68ap-11, -0x1.64bca2957f5ap-11, -0x1.593c137fe0335p-11, -0x1.4e1492bb85c27p-11, -0x1.4343a7d5d0b5cp-11, -0x1.38c6ed4a8ca89p-11, -0x1.2e9c0e67b6ec5p-11, -0x1.24c0c4aa1856dp-11, -0x1.1b32d54a35264p-11, -0x1.11f00fb1cf29ap-11, -0x1.08f64d52c65cfp-11, -0x1.004372df812f2p-11, -0x1.efaae4cf2329fp-12, -0x1.df549b180af51p-12, -0x1.cf802e07a7873p-12, -0x1.c029e5e612de1p-12, -0x1.b14e2beef181bp-12, -0x1.a2e98639bc633p-12, -0x1.94f89248144c2p-12, -0x1.8777ff6e32ccfp-12, -0x1.7a648a9343962p-12, -0x1.6dbafca44269bp-12, -0x1.61782c4328fabp-12, -0x1.559901ea9bf45p-12, -0x1.4a1a7cab8be7p-12, -0x1.3ef9b59bf57cep-12, -0x1.3433e106aff0bp-12, -0x1.29c64da4ac49p-12, -0x1.1fae62aad41efp-12, -0x1.15e99d1e4581ep-12, -0x1.0c758c64ad141p-12, -0x1.034fce329cb3ap-12, -0x1.f4ec15aa5ebep-13, -0x1.e3cbe6ead18e8p-13, -0x1.d33a86ac6e2a9p-13, -0x1.c33386926bffp-13, -0x1.b3b29a3155f07p-13, -0x1.a4b399af3865p-13, -0x1.96327fb967e94p-13, -0x1.882b66037d58dp-13, -0x1.7a9a83eac8f2bp-13, -0x1.6d7c2fe809199p-13, -0x1.60cce11f642a9p-13, -0x1.54892dd9c2758p-13, -0x1.48adc68ab021bp-13, -0x1.3d37708b7c94cp-13, -0x1.3223044fef5e3p-13, -0x1.276d6f9ccaeeep-13, -0x1.1d13b853898ccp-13, -0x1.1312fbc0f7ec9p-13, -0x1.096869b8f25d4p-13, -0x1.00113ec4644dcp-13, -0x1.ee1583569ccbfp-14, -0x1.dca48c90079fep-14, -0x1.cbca67ae9e9c3p-14, -0x1.bb82152f389d1p-14, -0x1.abc6cbb19d715p-14, -0x1.9c93f65e7adfdp-14, -0x1.8de533ebc0434p-14, -0x1.7fb65834d978ap-14, -0x1.72036a4e88264p-14, -0x1.64c8987805ef2p-14, -0x1.5802250e54f22p-14, -0x1.4bac57d6851f9p-14, -0x1.3fc37a7a637d7p-14, -0x1.3443dc7abffdep-14, -0x1.2929d89409b08p-14, -0x1.1e71da82ad7cfp-14, -0x1.141864ef7525cp-14, -0x1.0a1a153f22de4p-14, -0x1.0073a76f2e004p-14, -0x1.ee4404ac52b9p-15, -0x1.dc449966b305bp-15, -0x1.cae3f2003fafep-15, -0x1.ba1d6654c9517p-15, -0x1.a9ec6aa60991fp-15, -0x1.9a4c49f9157d1p-15, -0x1.8b3825ef43fd7p-15, -0x1.7cab262517f8dp-15, -0x1.6ea099717a3cfp-15, -0x1.6113f0e7c6b11p-15, -0x1.5400ad8df7f61p-15, -0x1.476257af2edacp-15, -0x1.3b347bf396e76p-15, -0x1.2f72ac434c59cp-15, -0x1.24189c30566f1p-15, -0x1.192266f0a61a5p-15, -0x1.0e8ccea3b89e5p-15, -0x1.0455251e4898cp-15, -0x1.f4f1b48287d44p-16, -0x1.e1ea2cc4d35ebp-16, -0x1.cf8d774b43707p-16, -0x1.bdd55cc5f9032p-16, -0x1.acbc0bdb8040dp-16, -0x1.9c3c0e6ddd169p-16, -0x1.8c5018f55c9dcp-16, -0x1.7cf2e81555b6fp-16, -0x1.6e1f2e87de04ep-16, -0x1.5fcf8a7afb992p-16, -0x1.51fe83b6fb275p-16, -0x1.44a6b40ed06ecp-16, -0x1.37c33bfab8d75p-16, -0x1.2b50379bda185p-16, -0x1.1f4a93db68455p-16, -0x1.13af44443653p-16, -0x1.087abd2e45015p-16, -0x1.fb5272233c44p-17, -0x1.e66e58783b00dp-17, -0x1.d2428abfe747bp-17, -0x1.bec88a5324188p-17, -0x1.abfa0f18e73d1p-17, -0x1.99d12439ad7dp-17, -0x1.8847fb03ef2bcp-17, -0x1.7758a93f976c4p-17, -0x1.66fd25c0e2505p-17, -0x1.572f7ee2d6fd2p-17, -0x1.47ea0ed4543ecp-17, -0x1.3927b401dbdcbp-17, -0x1.2ae3fccbda5ddp-17, -0x1.1d1ad02182133p-17, -0x1.0fc7de44a5b5fp-17, -0x1.02e6dbcdabb39p-17, -0x1.ece840944019dp-18, -0x1.d4d8b0560f357p-18, -0x1.bd97b0a740543p-18, -0x1.a71d82ec559d6p-18, -0x1.9162d4a2d4d9ap-18, -0x1.7c6105a3e920cp-18, -0x1.6812025d49a17p-18, -0x1.546fbbc46cfcap-18, -0x1.4173d5e6f4678p-18, -0x1.2f182719903d8p-18, -0x1.1d576b3137e5ap-18, -0x1.0c2cfddd08bd1p-18, -0x1.f727a9454c89ap-19, -0x1.d70c230d3ff05p-19, -0x1.b7faf0182f4e3p-19, -0x1.99e96c65aff72p-19, -0x1.7cd1153248e29p-19, -0x1.60acbd8b147a8p-19, -0x1.4574a9c6caa59p-19, -0x1.2b2020f19c22ep-19, -0x1.11a747e26e09p-19, -0x1.f2052d31755b4p-20, -0x1.c25618c5b0011p-20, -0x1.9434ceca9be4cp-20, -0x1.67953c5474c0fp-20, -0x1.3c6acaaf0c014p-20, -0x1.12a8f717bc99ep-20, -0x1.d48ad33e647e7p-21, -0x1.86713b6448f37p-21, -0x1.3af4a8b92dacep-21, -0x1.e3f71d84e62f8p-22, -0x1.56cd14ea5078p-22, -0x1.9c69f380a980cp-23, -0x1.2856e15006aa8p-24, 0x1.ace97c45140e1p-25, 0x1.620d25591031ap-23, 0x1.284d570996652p-22, 0x1.9b8d38230f252p-22, 0x1.0571cddd69bc4p-21, 0x1.3b372041909d9p-21, 0x1.6f2427909588p-21, 0x1.a145d2a72ed36p-21, 0x1.d1a8930307c4bp-21, 0x1.002c2f8d345f7p-20, 0x1.16b06a10d9132p-20, 0x1.2c6647270d6f9p-20, 0x1.41520a8c08b92p-20, 0x1.55779ee888f2ap-20, 0x1.68dca54cf213bp-20, 0x1.7b887564639f9p-20, 0x1.8d819536d239dp-20, 0x1.9ecc0e74d5747p-20, 0x1.af6a0395d2c2ap-20, 0x1.bf6073c1d5164p-20, 0x1.ceb438cbace9ep-20, 0x1.dd68324fa563p-20, 0x1.eb8046fe3b2adp-20, 0x1.f90030edae281p-20, 0x1.02f5a877fd4bep-19, 0x1.0922911574a03p-19, 0x1.0f0893c251973p-19, 0x1.14a95572ac0cdp-19, 0x1.1a06517b82ce4p-19, 0x1.1f20ebf5b70a6p-19, 0x1.23fa8b2c7f2cep-19, 0x1.28949544b2bd5p-19, 0x1.2cf05a646f35ep-19, 0x1.310f30f4f37fcp-19, 0x1.34f2a4f67718bp-19, 0x1.389bfe77eb87p-19, 0x1.3c0c62d60bc2dp-19, 0x1.3f452a748d60cp-19, 0x1.4247bf49702b4p-19, 0x1.451528762be2ap-19, 0x1.47ae3e8bcb8cp-19, 0x1.4a143e16ddfedp-19, 0x1.4c482d300ea8p-19, 0x1.4e4b01c9e10f7p-19, 0x1.501dbe5167bccp-19, 0x1.51c16c4dab4fap-19, 0x1.533710aa8f9d8p-19, 0x1.547fa163482a9p-19, 0x1.559c020d8a496p-19, 0x1.568d0bed393d3p-19, 0x1.57539e4a4c3dap-19, 0x1.57f0a65dd8d65p-19, 0x1.58650fca0a14ap-19, 0x1.58b1b04637bb1p-19, 0x1.58d75800ee3e4p-19, 0x1.58d6ca0d87841p-19, 0x1.58b0b341fa39p-19, 0x1.58662361f9fa6p-19, 0x1.57f807b7f8d6ep-19, 0x1.5766ee000b9f7p-19, 0x1.56b392f1c4474p-19, 0x1.55dec988facc5p-19, 0x1.54e9457e3d5b3p-19, 0x1.53d3baad12903p-19, 0x1.529ee03c4e281p-19, 0x1.514b6e35987edp-19, 0x1.4fda1ba272a56p-19, 0x1.4e4b9c925d15dp-19, 0x1.4ca0a049a8b59p-19, 0x1.4ad9d08f9ba84p-19, 0x1.48f7d3ae0c0acp-19, 0x1.46fb51442b63fp-19, 0x1.44e4f56128bap-19, 0x1.42b56c6f08593p-19, 0x1.406d5a2b6dbc3p-19, 0x1.3e0d58fd09cc2p-19, 0x1.3b9604d350e21p-19, 0x1.3907f53ef8617p-19, 0x1.3663d22bf1e7dp-19, 0x1.33aa4e340f6cfp-19, 0x1.30dbe81451daep-19, 0x1.2df93eb1cfcc5p-19, 0x1.2b02ebcb14b02p-19, 0x1.27f9811896307p-19, 0x1.24dd910f22dfbp-19, 0x1.21afada3253ffp-19, 0x1.1e7067bf01e7fp-19, 0x1.1b204f225a59p-19, 0x1.17bff233654e4p-19, 0x1.144fddb8496f8p-19, 0x1.10d09c94e5e9p-19, 0x1.0d42b797cfdb1p-19, 0x1.09a6b5cb88fc1p-19, 0x1.05fd1d6e7ef2cp-19, 0x1.024674adb22bp-19, 0x1.fd0681f77f5b9p-20, 0x1.f5680a8d37bf5p-20, 0x1.edb280efa66d4p-20, 0x1.e5e6e01580c3dp-20, 0x1.de06276f43806p-20, 0x1.d6114e3e686efp-20, 0x1.ce095603ae88dp-20, 0x1.c5ef284ce2018p-20, 0x1.bdc3badb69315p-20, 0x1.b587fb9525825p-20, 0x1.ad3cd417ae739p-20, 0x1.a4e32c851484p-20, 0x1.9c7bea55a4a26p-20, 0x1.9407f02682eefp-20, 0x1.8b881dc62fdadp-20, 0x1.82fd503bf8c82p-20, 0x1.7a6861b2d1ebbp-20, 0x1.71ca295b7a6e2p-20, 0x1.69237b607f585p-20, 0x1.607528c129e1p-20, 0x1.57bfff5b658bbp-20, 0x1.4f04ca434bcd1p-20, 0x1.4644522083904p-20, 0x1.3d7f5d0e4778ep-20, 0x1.34b6ae084adbbp-20, 0x1.2beb041d44504p-20, 0x1.231d1a5ab076p-20, 0x1.1a4daab7fb176p-20, 0x1.117d6d8900acap-20, 0x1.08ad153313eb1p-20, 0x1.ffbaa44f75ad6p-21, 0x1.ee1da6f95cdf7p-21, 0x1.dc84874ad8e86p-21, 0x1.caf093d2ca553p-21, 0x1.b963161c22626p-21, 0x1.a7dd51c772873p-21, 0x1.9660847700ap-21, 0x1.84ede5e56822p-21, 0x1.7386a7e7fe135p-21, 0x1.622bf67a2bca1p-21, 0x1.50def7ba2b842p-21, 0x1.3fa0cbd9a0f37p-21, 0x1.2e728d1aa9132p-21, 0x1.1d554fbe78921p-21, 0x1.0c4a220fd2fb5p-21, 0x1.f6a418eb4adc9p-22, 0x1.d4dc237d9cbcbp-22, 0x1.b33e5e8a39649p-22, 0x1.91ccb95309377p-22, 0x1.708917189a0f2p-22, 0x1.4f754ddf49b7fp-22, 0x1.2e9327d19494ep-22, 0x1.0de468217cccp-22, 0x1.dad58dced4c94p-23, 0x1.9a4fcfd7783ap-23, 0x1.5a3adca64e24cp-23, 0x1.1a99dea004b31p-23, 0x1.b6dfc83268dcbp-24, 0x1.397fd16ca8abep-24, 0x1.7a334ad6e24e3p-25, 0x1.06cb950c94f38p-26, -0x1.c577cc8aa0df4p-27, -0x1.640d5804157b1p-25, -0x1.2a4f112e86f4ep-24, -0x1.a183320b3b7b5p-24, -0x1.0bcf208b5300bp-23, -0x1.464dcd1692671p-23, -0x1.803b60e5ebcd8p-23, -0x1.b995b29d283f5p-23, -0x1.f25aad43b56d3p-23, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.471677de45cffp-5, 0x1.42bd9add2a0b9p-4, 0x1.da4184ad4dfbdp-4, 0x1.33d55057c62cep-3, 0x1.74a3b54abb2e7p-3, 0x1.aefd72a44c5e9p-3, 0x1.e28eaf48d8091p-3, 0x1.0798caea61f32p-2, 0x1.1a7215a077a97p-2, 0x1.29e0145066501p-2, 0x1.35fa3a170c2cdp-2, 0x1.3edff38f515d3p-2, 0x1.44b68eafde375p-2, 0x1.47a78cd419493p-2, 0x1.47df49a7e92e3p-2, 0x1.458be61c0a81dp-2, 0x1.40dc6a0f50c0bp-2, 0x1.3a0012210dd5cp-2, 0x1.3125c15129f62p-2, 0x1.267b8fc8f0c5ap-2, 0x1.1a2e71803adfp-2, 0x1.0c69f07fee276p-2, 0x1.faafeead824c1p-3, 0x1.da4151f6e66d6p-3, 0x1.b7d487b583ad2p-3, 0x1.93b21c6dfb7p-3, 0x1.6e1e94a339ba6p-3, 0x1.475a6231be878p-3, 0x1.1fa1e48da2bc9p-3, 0x1.ee5ae41920536p-4, 0x1.9c62d16e11c0cp-4, 0x1.49bc8ab82baa1p-4, 0x1.ed82ff596c61p-5, 0x1.4787ac3dc2b15p-5, 0x1.443ac10f3e504p-6, -0x1.1986b63668a2ap-12, -0x1.49db2e5434a4bp-6, -0x1.45a265ecb9f34p-5, -0x1.e3ed2987fa877p-5, -0x1.3fba3b40930a4p-4, -0x1.8bf48f21b9436p-4, -0x1.d682c3401cc9cp-4, -0x1.0fa34820e5ce9p-3, -0x1.3312ea71a2e04p-3, -0x1.55852cad6b8ccp-3, -0x1.76f0c51ddedc5p-3, -0x1.974e0b1b69ffap-3, -0x1.b696ee9d1ddc2p-3, -0x1.d4c6bbe9f23c5p-3, -0x1.f1da14ed761b3p-3, -0x1.06e7632eb94a3p-2, -0x1.1451d794e9f3p-2, -0x1.212c55c1ba2e2p-2, -0x1.2d77394102382p-2, -0x1.393344a97b222p-2, -0x1.446192936c846p-2, -0x1.4f038ed97f542p-2, -0x1.591aeb7a052efp-2, -0x1.62a9995569889p-2, -0x1.6bb1c01af3cf6p-2, -0x1.7435b7cbcccf3p-2, -0x1.7c3802a41712cp-2, -0x1.83bb47afa58dfp-2, -0x1.8ac24dcbd6a1dp-2, -0x1.914ff70e82275p-2, -0x1.97673c868f902p-2, -0x1.9d0b2a5507bap-2, -0x1.a23edc16a5ce8p-2, -0x1.a705798fbfa1ap-2, -0x1.ab62338ffcadap-2, -0x1.af584103541c3p-2, -0x1.b2eadc2bb2c9cp-2, -0x1.b61d40030d727p-2, -0x1.b8f2a5c903e0fp-2, -0x1.bb6e42c1a1b08p-2, -0x1.bd9346278bbabp-2, -0x1.bf64d7523c7c1p-2, -0x1.c0e6140f924fdp-2, -0x1.c21a0f2d9e06dp-2, -0x1.c303cf3097274p-2, -0x1.c3a64d3144b16p-2, -0x1.c40473e055b13p-2, -0x1.c4211eabcd56ap-2, -0x1.c3ff19046d182p-2, -0x1.c3a11dc1a69a7p-2, -0x1.c309d6a26ac0cp-2, -0x1.c23bdbe91155fp-2, -0x1.c139b410df846p-2, -0x1.c005d39af785ep-2, -0x1.bea29cf0cea33p-2, -0x1.bd1260595df3dp-2, -0x1.bb575bff86e1ap-2, -0x1.b973bc06951b1p-2, -0x1.b7699aabf3fbep-2, -0x1.b53b00733961cp-2, -0x1.b2e9e45c37a55p-2, -0x1.b0782c207bf82p-2, -0x1.ade7ac78c8888p-2, -0x1.ab3a2967f6459p-2, -0x1.a871568c05ef1p-2, -0x1.a58ed7738d5e7p-2, -0x1.a2943ff774b97p-2, -0x1.9f8314989ca2bp-2, -0x1.9c5ccadfc3aeap-2, -0x1.9922c9c103ea5p-2, -0x1.95d669ffde007p-2, -0x1.9278f695c215cp-2, -0x1.8f0bad18dcd0ep-2, -0x1.8b8fbe2316f5fp-2, -0x1.88064db9bbb21p-2, -0x1.847073b3f4461p-2, -0x1.80cf3c20a6ae5p-2, -0x1.7d23a7abc4099p-2, -0x1.796eac018264fp-2, -0x1.75b1343016247p-2, -0x1.71ec2108f4abep-2, -0x1.6e20497e1a3eep-2, -0x1.6a4e7afe9a3dp-2, -0x1.667779d25457dp-2, -0x1.629c016fcd9cep-2, -0x1.5ebcc4d3551c8p-2, -0x1.5ada6ed3fca67p-2, -0x1.56f5a2719a8f4p-2, -0x1.530efb261af65p-2, -0x1.4f270d33519a6p-2, -0x1.4b3e65e90ecd7p-2, -0x1.47558beffb809p-2, -0x1.436cff90acdd6p-2, -0x1.3f853af1c9c43p-2, -0x1.3b9eb25b9a1d5p-2, -0x1.37b9d4794711cp-2, -0x1.33d70a8f87d36p-2, -0x1.2ff6b8b7c7354p-2, -0x1.2c193e1c5044ap-2, -0x1.283ef5290e2eap-2, -0x1.246833bd47b72p-2, -0x1.20954b6250d7dp-2, -0x1.1cc68978d4003p-2, -0x1.18fc3761900d7p-2, -0x1.15369aac70a7ap-2, -0x1.1175f5447577p-2, -0x1.0dba85920ab74p-2, -0x1.0a0486a0df79p-2, -0x1.065430482cdaap-2, -0x1.02a9b74cd097fp-2, -0x1.fe0a9afa7dcep-3, -0x1.f6ce43a8c8869p-3, -0x1.ef9ec132ca096p-3, -0x1.e87c66f4d2e49p-3, -0x1.e167834cbcdc6p-3, -0x1.da605fd1f477bp-3, -0x1.d36741892e3d2p-3, -0x1.cc7c6911ba81fp-3, -0x1.c5a012d17f882p-3, -0x1.bed27721d0658p-3, -0x1.b813ca79db4fp-3, -0x1.b1643d964a21ap-3, -0x1.aac3fd9e93d24p-3, -0x1.a4333447d2c92p-3, -0x1.9db207f765963p-3, -0x1.97409be6a83dp-3, -0x1.90df10436f272p-3, -0x1.8a8d824a9d8f2p-3, -0x1.844c0c6317658p-3, -0x1.7e1ac63dc2e0bp-3, -0x1.77f9c4f3e0512p-3, -0x1.71e91b1c7e695p-3, -0x1.6be8d8df52e5dp-3, -0x1.65f90c0f0c5bfp-3, -0x1.6019c0471ff51p-3, -0x1.5a4aff00ddd5ap-3, -0x1.548ccfa010cc8p-3, -0x1.4edf37844cea9p-3, -0x1.49423a23ceef2p-3, -0x1.43b5d92418ec8p-3, -0x1.3e3a14668221ap-3, -0x1.38ceea10760a6p-3, -0x1.3374569d1d906p-3, -0x1.2e2a54f701cfp-3, -0x1.28f0de8b55529p-3, -0x1.23c7eb511e14ap-3, -0x1.1eaf71cf45feap-3, -0x1.19a7672d65905p-3, -0x1.14afbf4b2bc62p-3, -0x1.0fc86cd071c9fp-3, -0x1.0af16131e1f11p-3, -0x1.062a8cb4eecdbp-3, -0x1.0173de7de8b3ep-3, -0x1.f99a8949e4ec2p-4, -0x1.f06d588a8affap-4, -0x1.e76003035469ep-4, -0x1.de725f0c8d3c8p-4, -0x1.d5a44124b2ee4p-4, -0x1.ccf57c1409973p-4, -0x1.c465e10c50f95p-4, -0x1.bbf53fb5ca38fp-4, -0x1.b3a36630dfd52p-4, -0x1.ab70211f81b65p-4, -0x1.a35b3bbef1494p-4, -0x1.9b64800720549p-4, -0x1.938bb6bebbe86p-4, -0x1.8bd0a7806c3c7p-4, -0x1.843318bd2c0dap-4, -0x1.7cb2cfc95640ep-4, -0x1.754f90f5885e9p-4, -0x1.6e091fa78a27ep-4, -0x1.66df3e681bdc7p-4, -0x1.5fd1aee667983p-4, -0x1.58e031fb700e6p-4, -0x1.520a87b6a87b5p-4, -0x1.4b506f72f7cdep-4, -0x1.44b1a7eb05eap-4, -0x1.3e2def44f5f1p-4, -0x1.37c503164295ep-4, -0x1.3176a067202d4p-4, -0x1.2b4283bc3436dp-4, -0x1.25286926ff9bap-4, -0x1.1f280c570827ap-4, -0x1.194128a58085bp-4, -0x1.1373791a84c65p-4, -0x1.0dbeb870358a3p-4, -0x1.0822a11903a0ep-4, -0x1.029eed4b347c3p-4, -0x1.fa66ae1dd3442p-5, -0x1.efbf3093f4e49p-5, -0x1.e546d58e24b2ap-5, -0x1.dafd1072d5532p-5, -0x1.d0e154815d001p-5, -0x1.c6f314dfb507p-5, -0x1.bd31c4ae88978p-5, -0x1.b39cd71eaf065p-5, -0x1.aa33bf824ef1p-5, -0x1.a0f5f157a50c6p-5, -0x1.97e2e04ff8d31p-5, -0x1.8efa005746c0ap-5, -0x1.863ac59fdcb23p-5, -0x1.7da4a4b1d18c5p-5, -0x1.7537127b3c489p-5, -0x1.6cf1845db03fbp-5, -0x1.64d370379f336p-5, -0x1.5cdc4c6ae8a7cp-5, -0x1.550b8fe35041ep-5, -0x1.4d60b21f06609p-5, -0x1.45db2b39aa077p-5, -0x1.3e7a73f844f24p-5, -0x1.373e05d428e83p-5, -0x1.30255b035d977p-5, -0x1.292fee7ed7449p-5, -0x1.225d3c07c1099p-5, -0x1.1bacc02d4dd6dp-5, -0x1.151df853e241ep-5, -0x1.0eb062bd3553ap-5, -0x1.08637e907a21bp-5, -0x1.0236cbe173cd3p-5, -0x1.f853976c805bfp-6, -0x1.ec7800181a7b3p-6, -0x1.e0d9d7b6e33d7p-6, -0x1.d5782639c7822p-6, -0x1.ca51f59b40683p-6, -0x1.bf6651e92e061p-6, -0x1.b4b4494e39cd8p-6, -0x1.aa3aec1a543c2p-6, -0x1.9ff94ccab112p-6, -0x1.95ee8011c21f3p-6, -0x1.8c199cdf2783fp-6, -0x1.8279bc671e75dp-6, -0x1.790dfa286cfep-6, -0x1.6fd573effe9e7p-6, -0x1.66cf49da63d42p-6, -0x1.5dfa9e54df9a9p-6, -0x1.555696205dfecp-6, -0x1.4ce2585829d2cp-6, -0x1.449d0e7c3694ap-6, -0x1.3c85e47c54a94p-6, -0x1.349c08c03e761p-6, -0x1.2cdeac2887a23p-6, -0x1.254d02074d47p-6, -0x1.1de6401380cb3p-6, -0x1.16a99e5d506ecp-6, -0x1.0f96574b2b176p-6, -0x1.08aba7a3f4665p-6, -0x1.01e8cea5104b8p-6, -0x1.f69a1c38708d4p-7, -0x1.e9af54f20b43ep-7, -0x1.dd0fd596edb96p-7, -0x1.d0ba315691ffdp-7, -0x1.c4ad001dcfdf5p-7, -0x1.b8e6de439b8ccp-7, -0x1.ad666c5c49dabp-7, -0x1.a22a4f504a4fdp-7, -0x1.973130b901b6ep-7, -0x1.8c79bf658cd0ap-7, -0x1.8202afd02839ep-7, -0x1.77cabc48a2c3p-7, -0x1.6dd0a4aed224ep-7, -0x1.64132dc3b5395p-7, -0x1.5a9120489bc14p-7, -0x1.514948447afafp-7, -0x1.483a74c68ae22p-7, -0x1.3f637855c721p-7, -0x1.36c329f9f31e3p-7, -0x1.2e586684a5505p-7, -0x1.26221196704e3p-7, -0x1.1e1f15e270a16p-7, -0x1.164e646fb57a9p-7, -0x1.0eaef2f8cc3f4p-7, -0x1.073fb9ecb658bp-7, -0x1.ffff659de916cp-8, -0x1.f1dbaf53faca9p-8, -0x1.e41247e5d8c07p-8, -0x1.d6a12d6e0e933p-8, -0x1.c9866ac7af9e8p-8, -0x1.bcc01c4c88f06p-8, -0x1.b04c71c6c6446p-8, -0x1.a429ac6ea3477p-8, -0x1.9856192b71b3ep-8, -0x1.8cd008c18c335p-8, -0x1.8195c890d4837p-8, -0x1.76a59e9c4aa4fp-8, -0x1.6bfdcaa70ff52p-8, -0x1.619c8c86a2bb3p-8, -0x1.57802dea73457p-8, -0x1.4da70c715956p-8, -0x1.440fa07ba16fap-8, -0x1.3ab87dfad7aa4p-8, -0x1.31a04e5d7919p-8, -0x1.28c5c50ae46adp-8, -0x1.202791e78f987p-8, -0x1.17c456498be8bp-8, -0x1.0f9aa03a6a3b7p-8, -0x1.07a8edff22c5fp-8, -0x1.ffdb72799a604p-9, -0x1.f0cf0d18bab08p-9, -0x1.e229e971f1099p-9, -0x1.d3e98d7a7b7d8p-9, -0x1.c60bc9ef93744p-9, -0x1.b88ea9640076bp-9, -0x1.ab7050756881dp-9, -0x1.9eaed8176d66fp-9, -0x1.92482e0b3c8d3p-9, -0x1.863a04ec4e72bp-9, -0x1.7a81d9133a3cep-9, -0x1.6f1d09173ba0ep-9, -0x1.6408fa637e5b4p-9, -0x1.59433fdc95ca8p-9, -0x1.4ec9b76abcd8dp-9, -0x1.449a95b41279dp-9, -0x1.3ab45c4c456a9p-9, -0x1.3115bce6f861bp-9, -0x1.27bd71ea556a7p-9, -0x1.1eaa18019930bp-9, -0x1.15da13b8b8fdp-9, -0x1.0d4b8a00b4da9p-9, -0x1.04fc6c8e23b3cp-9, -0x1.f9d52b28abf25p-10, -0x1.ea27d590c496dp-10, -0x1.daecfc6b236e3p-10, -0x1.cc214885a42d5p-10, -0x1.bdc1f2f54c874p-10, -0x1.afccaf37f42bfp-10, -0x1.a23f7cd602f28p-10, -0x1.95186f3ed1128p-10, -0x1.88557ac1079ffp-10, -0x1.7bf45196190a8p-10, -0x1.6ff256dac45f7p-10, -0x1.644ca8e9336adp-10, -0x1.5900406d0de67p-10, -0x1.4e0a1beed2043p-10, -0x1.4367690561d5ap-10, -0x1.39159a5851c91p-10, -0x1.2f126245dc34ep-10, -0x1.255b9b0245db8p-10, -0x1.1bef31639f38ap-10, -0x1.12cb22bdc9e0ap-10, -0x1.09ed8a9e9293ap-10, -0x1.0154ac8cf6928p-10, -0x1.f1fdd14569674p-11, -0x1.e1d53da90ca19p-11, -0x1.d22c31f63b592p-11, -0x1.c2ff2488a8543p-11, -0x1.b44ab12e31f8fp-11, -0x1.a60bce5efc79fp-11, -0x1.983facf3049fep-11, -0x1.8ae33ab025a86p-11, -0x1.7df29c3987bd9p-11, -0x1.716912f582934p-11, -0x1.65418c944a5bap-11, -0x1.597795d6eec37p-11, -0x1.4e0810933e98p-11, -0x1.42f12aefdc69bp-11, -0x1.3831a6d03129bp-11, -0x1.2dc80ffea72bfp-11, -0x1.23b2867c5b55dp-11, -0x1.19ef30a8e3981p-11, -0x1.107cc7c6b2a0cp-11, -0x1.075a96c7116dep-11, -0x1.fd0f7679821d4p-12, -0x1.ec042bb55772ep-12, -0x1.db8b50000aedep-12, -0x1.cb99db0e4fd21p-12, -0x1.bc2460e5aa204p-12, -0x1.ad22548bfeb56p-12, -0x1.9e8fd79a6f1cbp-12, -0x1.906cc2aa7d568p-12, -0x1.82b9ae4d69bd8p-12, -0x1.75758280f57f6p-12, -0x1.689d76d2037f5p-12, -0x1.5c2efac787535p-12, -0x1.50295d7dd0277p-12, -0x1.448d9863d6b9dp-12, -0x1.395c5845ee765p-12, -0x1.2e93bc521288ap-12, -0x1.242e4533f8f64p-12, -0x1.1a235a7bb88fp-12, -0x1.10691730832d5p-12, -0x1.06f6f5fa62e0ap-12, -0x1.fb90a96478dd4p-13, -0x1.e9b9f9d9735b9p-13, -0x1.d86dba3b3a33cp-13, -0x1.c7ad9ab4d9cd5p-13, -0x1.b77695757fd9fp-13, -0x1.a7c39ffadd7cep-13, -0x1.9891ee7ef2a5p-13, -0x1.89e2b9599c51bp-13, -0x1.7bb8b98673327p-13, -0x1.6e13a5e7fdfffp-13, -0x1.60ee77604b254p-13, -0x1.5441504a95b76p-13, -0x1.48036b6c11469p-13, -0x1.3c2b3be12d243p-13, -0x1.30aec2289075cp-13, -0x1.2585d887a648bp-13, -0x1.1aace890b4ab7p-13, -0x1.1024f6d552b0cp-13, -0x1.05f0605eace9fp-13, -0x1.f81e9de4a6358p-14, -0x1.e4fde26ebe42dp-14, -0x1.d27866f5b64fap-14, -0x1.c08e8b51598d9p-14, -0x1.af445b7943e02p-14, -0x1.9e9765ddde13ep-14, -0x1.8e7d08910868cp-14, -0x1.7ee9f78d9bad8p-14, -0x1.6fd80d8310451p-14, -0x1.6145cfd637323p-14, -0x1.5331cc4d9e609p-14, -0x1.4595db4ed3a7p-14, -0x1.38659cfe2e92cp-14, -0x1.2b92d0d83c92ap-14, -0x1.1f1733e26a854p-14, -0x1.12f88f2ac0f8p-14, -0x1.073dbf8cadf11p-14, -0x1.f7c64cc8ff151p-15, -0x1.e1c46053ef2f2p-15, -0x1.cc7a78bf01962p-15, -0x1.b7ee341ed2437p-15, -0x1.a412435e251d4p-15, -0x1.90d24c7579885p-15, -0x1.7e21288f1eeb1p-15, -0x1.6bfa23810c9e3p-15, -0x1.5a5f006554ee2p-15, -0x1.4956aaa54e8e8p-15, -0x1.38e8640c6965dp-15, -0x1.2912b6c26ab85p-15, -0x1.19c23d7ea815dp-15, -0x1.0ad6177312a8dp-15, -0x1.f88329af28d7ap-16, -0x1.dc352a9e32bdbp-16, -0x1.c0d8365daabd8p-16, -0x1.a64a3f9615015p-16, -0x1.8c8855cbf41efp-16, -0x1.73aa92c70e966p-16, -0x1.5ba2168cc6758p-16, -0x1.444e34afe0c05p-16, -0x1.2d9e4c9cad9e6p-16, -0x1.178ed31c57202p-16, -0x1.021e5ce98d935p-16, -0x1.da9638c3577fdp-17, -0x1.b22e8b1518a22p-17, -0x1.8b172c944cf82p-17, -0x1.65626a0e34ae3p-17, -0x1.410efebccea9ep-17, -0x1.1de8ed62ffed9p-17, -0x1.f725f7d07cc54p-18, -0x1.b42a6c45f412ap-18, -0x1.736af52a3cbcp-18, -0x1.348a9fe0b852fp-18, -0x1.eedcd94702e6p-19, -0x1.79077f825fffcp-19, -0x1.073568b049364p-19, -0x1.315a29aa70c39p-20, -0x1.69b3544d2bc19p-22, 0x1.d947a03318388p-22, 0x1.40d8024cd8536p-20, 0x1.029c17d06b8e2p-19, 0x1.61cdfbe7a1a13p-19, 0x1.be14b38267edep-19, 0x1.0bb80b776e5fbp-18, 0x1.36e871bf5b57p-18, 0x1.6095dd360ad73p-18, 0x1.88b6340b35b89p-18, 0x1.af7203c90437fp-18, 0x1.d52051b8381cbp-18, 0x1.f9948cbb71cc2p-18, 0x1.0e78d92fb4294p-17, 0x1.1f9ab7336d7b8p-17, 0x1.3007401265737p-17, 0x1.3fdb106fd4fbep-17, 0x1.4f2d88c8b2869p-17, 0x1.5dff0f9065497p-17, 0x1.6c4d599bc0ed1p-17, 0x1.7a18d0327920fp-17, 0x1.876356d21bd62p-17, 0x1.942f2c4ac5a31p-17, 0x1.a07ef28f2cc3ap-17, 0x1.ac55f4f0c443cp-17, 0x1.b7b774584e96ep-17, 0x1.c2a592d70dcb4p-17, 0x1.cd22a185ccd82p-17, 0x1.d72da31d9bc0cp-17, 0x1.e0b79032b9448p-17, 0x1.e9ce07d992f64p-17, 0x1.f289005a0dbdp-17, 0x1.faedd3c765e8ep-17, 0x1.0175e91a17da9p-16, 0x1.053a0866e5a08p-16, 0x1.08cf0684d9308p-16, 0x1.0c378126a7833p-16, 0x1.0f724f27dce15p-16, 0x1.127f3ec1da998p-16, 0x1.155eef3aa5e46p-16, 0x1.1812401dbc72cp-16, 0x1.1a9a058e0c208p-16, 0x1.1cf6f1540b778p-16, 0x1.1f29abc78bb95p-16, 0x1.21330af9c7d18p-16, 0x1.23142633aa243p-16, 0x1.24ce080d9194ep-16, 0x1.2661808c53839p-16, 0x1.27cf9d5939318p-16, 0x1.2916710fce8f5p-16, 0x1.2a31a5f42f509p-16, 0x1.2b2b37ed5160dp-16, 0x1.2c073c1dd16e3p-16, 0x1.2cbd11abf4deep-16, 0x1.2d4dc6592e607p-16, 0x1.2dbe7547832cap-16, 0x1.2e0ed8a7432a6p-16, 0x1.2e3eb87df6853p-16, 0x1.2e4e776400717p-16, 0x1.2e3eac726b2e3p-16, 0x1.2e0ff8d59057fp-16, 0x1.2dc2f9bed62cp-16, 0x1.2d58419681ef7p-16, 0x1.2cd0558010456p-16, 0x1.2c2bb4da21b55p-16, 0x1.2b6aec8118963p-16, 0x1.2a8ea435ddecdp-16, 0x1.29978aa11ac5p-16, 0x1.288627de2e0a9p-16, 0x1.275afca55e462p-16, 0x1.2616ba7670697p-16, 0x1.24b809e88a79cp-16, 0x1.234000fef1fbfp-16, 0x1.21b2f354e8d5ep-16, 0x1.200cb349a6042p-16, 0x1.1e4f6add4a541p-16, 0x1.1c7c6a5818699p-16, 0x1.1a93a2ca65167p-16, 0x1.189566b51f608p-16, 0x1.16822f2caca6cp-16, 0x1.145a7af32b419p-16, 0x1.121ec83440447p-16, 0x1.0fcf939fb08d6p-16, 0x1.0d6d57f126cf6p-16, 0x1.0af88d17c2e28p-16, 0x1.0871a776939d9p-16, 0x1.05d9191b55b38p-16, 0x1.032f565d6b084p-16, 0x1.0074d9ffe4b3cp-16, 0x1.fb5444f357f95p-17, 0x1.f59f4a847d89dp-17, 0x1.efcb86f6d1221p-17, 0x1.e9d9eb25464fdp-17, 0x1.e3cba78a7d037p-17, 0x1.dda01e2112435p-17, 0x1.d75a647708945p-17, 0x1.d0f94e28cda09p-17, 0x1.ca7efd94fa019p-17, 0x1.c3ec54d166a3bp-17, 0x1.bd41d25192beap-17, 0x1.b6804151964cp-17, 0x1.afa878c54e1bfp-17, 0x1.a8bb4d9de3eb6p-17, 0x1.a1b9922e85a81p-17, 0x1.9aa416b8179fdp-17, 0x1.937ba989e5457p-17, 0x1.8c4116e12fd4dp-17, 0x1.84f528995677ap-17, 0x1.7d98a5910aeadp-17, 0x1.762c51c10e4eap-17, 0x1.6eb0f02958f02p-17, 0x1.6727452dde59ap-17, 0x1.5f901670429b8p-17, 0x1.57ec26f007d62p-17, 0x1.503c2c6c474e3p-17, 0x1.4880d064ccfe1p-17, 0x1.40baeb9543747p-17, 0x1.38eb59216443dp-17, 0x1.31125c926a73fp-17, 0x1.2930a7ce111bp-17, 0x1.21475af85eb8ep-17, 0x1.1957149a684bfp-17, 0x1.11605f6f6953ap-17, 0x1.0963e58af59cdp-17, 0x1.016251aadcaa9p-17, 0x1.f2b89729aa31ep-18, 0x1.e2a4f0d88245fp-18, 0x1.d28af61e81898p-18, 0x1.c26be87325a41p-18, 0x1.b249050fbb2bdp-18, 0x1.a22384d536a21p-18, 0x1.91fc9c1cc82f6p-18, 0x1.81d57a5b9e5dcp-18, 0x1.71af49d1e19d9p-18, 0x1.618b30258485fp-18, 0x1.516a500ae50dfp-18, 0x1.414dc9fd202f2p-18, 0x1.3136bb3b67461p-18, 0x1.21263a59eb456p-18, 0x1.111d4d370544ap-18, 0x1.011cf3a360a93p-18, 0x1.e24cc6490746bp-19, 0x1.c275a27381a0ep-19, 0x1.a2b4b3e25ffd2p-19, 0x1.830d310f35b33p-19, 0x1.638168238adb3p-19, 0x1.4412be9dd8566p-19, 0x1.24c30897f99c8p-19, 0x1.05941bc371b7ep-19, 0x1.cd0f844fe6601p-20, 0x1.8f3f763d904d8p-20, 0x1.51bb7906068cap-20, 0x1.1486e62b18f75p-20, 0x1.af4a0a8b24b1cp-21, 0x1.363218412fc5dp-21, 0x1.7b987a6117839p-22, 0x1.187a75e0c4eccp-23, -0x1.8686392bd5f55p-24, -0x1.4df82d34e8a2cp-22, }}, 
      {{-0x1.2d26e4e906219p+1, -0x1.28e73ddeb7facp+1, -0x1.22a2e1940b659p+1, -0x1.1ae145b2283c2p+1, -0x1.12107a9540f32p+1, -0x1.0889712ec0451p+1, -0x1.fd273f4f06f32p+0, -0x1.e8d025615e161p+0, -0x1.d467f9d46ba93p+0, -0x1.c035ad0a6a78ap+0, -0x1.ac703cd5e639p+0, -0x1.994198f94e2d4p+0, -0x1.86c904f0b4dfcp+0, -0x1.751d0e071e114p+0, -0x1.644d28f10b3a4p+0, -0x1.546306d1e2df6p+0, -0x1.4563aebad8bcep+0, -0x1.3750665104581p+0, -0x1.2a277250d4df7p+0, -0x1.1de4b6084a7f9p+0, -0x1.128237907c065p+0, -0x1.07f88d7d70fb5p+0, -0x1.fc7e73baddf71p-1, -0x1.ea99eb5ab47e3p-1, -0x1.da2fdeacf5073p-1, -0x1.cb2bfca8e816p-1, -0x1.bd799b8641f6p-1, -0x1.b103fe8d93af6p-1, -0x1.a5b68f04caa3bp-1, -0x1.9b7d0a38f1b2ep-1, -0x1.9243a651293aap-1, -0x1.89f72f6041a8ap-1, -0x1.82851dd4dc011p-1, -0x1.7bdba754cbb25p-1, -0x1.75e9cae24243cp-1, -0x1.709f5908ad89ep-1, -0x1.6becf8acfa8d2p-1, -0x1.67c4290ebf68ap-1, -0x1.641741746e473p-1, -0x1.60d96efab113fp-1, -0x1.5dfeb0b3a8d72p-1, -0x1.5b7bd293bea93p-1, -0x1.594667843057fp-1, -0x1.5754c245b2814p-1, -0x1.559dee2df5cc5p-1, -0x1.5419a786dbbddp-1, -0x1.52c0529a3e3e2p-1, -0x1.518af4c7b98b6p-1, -0x1.50732a7c73278p-1, -0x1.4f732049c1e41p-1, -0x1.4e8589b4e1005p-1, -0x1.4da5992c2b6b1p-1, -0x1.4ccef8765402p-1, -0x1.4bfdc00dcbd75p-1, -0x1.4b2e706cea326p-1, -0x1.4a5dea0eee769p-1, -0x1.498967162fe2ap-1, -0x1.48ae744dc17b9p-1, -0x1.47caeb1e5eb47p-1, -0x1.46dceb8c05fa9p-1, -0x1.45e2d6c82081ap-1, -0x1.44db4a14ee5bep-1, -0x1.43c519ffb47d4p-1, -0x1.429f4de84d14fp-1, -0x1.41691bcf7899bp-1, -0x1.4021e463a8fd5p-1, -0x1.3ec92f5296a7cp-1, -0x1.3d5ea7dbbc2abp-1, -0x1.3be21998fa22fp-1, -0x1.3a536d7bf0f8ep-1, -0x1.38b2a6f8f5ad8p-1, -0x1.36ffe15bcb307p-1, -0x1.353b4d43733dep-1, -0x1.33652e43c8be3p-1, -0x1.317dd8b0fa624p-1, -0x1.2f85af92d9758p-1, -0x1.2d7d22bead548p-1, -0x1.2b64ad17e37cep-1, -0x1.293cd2f50ab57p-1, -0x1.270620a660369p-1, -0x1.24c1291ba1452p-1, -0x1.226e84a6f0efp-1, -0x1.200ecfda69f78p-1, -0x1.1da2aa7ed31bdp-1, -0x1.1b2ab6a304a6fp-1, -0x1.18a797c214bbap-1, -0x1.1619f1feded4ap-1, -0x1.1382697434234p-1, -0x1.10e1a19844e84p-1, -0x1.0e383cb1e3cebp-1, -0x1.0b86db5e0e39fp-1, -0x1.08ce1c2481b51p-1, -0x1.060e9b19bd5b4p-1, -0x1.0348f18d78b6bp-1, -0x1.007db5c40870ep-1, -0x1.fb5af573c3cd6p-2, -0x1.f5b19fe00a48fp-2, -0x1.f00082820dd95p-2, -0x1.ea48ad7ae7226p-2, -0x1.e48b291e7fb76p-2, -0x1.dec8f5c705886p-2, -0x1.d9030bb411607p-2, -0x1.d33a5af4b9ac3p-2, -0x1.cd6fcb5ad31f7p-2, -0x1.c7a43c779fe33p-2, -0x1.c1d8859f9ff2ep-2, -0x1.bc0d75f5f493ap-2, -0x1.b643d47db4a37p-2, -0x1.b07c60308e95ep-2, -0x1.aab7d01a7bdcep-2, -0x1.a4f6d3793c546p-2, -0x1.9f3a11df4fcd9p-2, -0x1.99822b5a1b09fp-2, -0x1.93cfb89a48e72p-2, -0x1.8e234b1df7928p-2, -0x1.887d6d5d68bc8p-2, -0x1.82dea2f7ecba4p-2, -0x1.7d4768e21cc92p-2, -0x1.77b83595ed3b5p-2, -0x1.72317941173afp-2, -0x1.6cb39df55d19fp-2, -0x1.673f07d98df24p-2, -0x1.61d415578ff96p-2, -0x1.5c731f4cfe17ap-2, -0x1.571c793b76c62p-2, -0x1.51d071750dcdfp-2, -0x1.4c8f514bbd7cbp-2, -0x1.47595d4020026p-2, -0x1.422ed52b684f9p-2, -0x1.3d0ff46c49421p-2, -0x1.37fcf213b68dep-2, -0x1.32f6010c00e4bp-2, -0x1.2dfb5041f6e2p-2, -0x1.290d0acf59efbp-2, -0x1.242b581f74cafp-2, -0x1.1f565c138f4adp-2, -0x1.1a8e372a562cbp-2, -0x1.15d306a2b95afp-2, -0x1.1124e49bca4dp-2, -0x1.0c83e837c5d86p-2, -0x1.07f025bd8c065p-2, -0x1.0369aeb5707afp-2, -0x1.fde1240dc136dp-3, -0x1.f509b82f0297ep-3, -0x1.ec4d2dcd024c7p-3, -0x1.e3ab944c1a1efp-3, -0x1.db24f6abe0ap-3, -0x1.d2b95bbbc1548p-3, -0x1.ca68c64937da4p-3, -0x1.c233354ccca17p-3, -0x1.ba18a41858dd3p-3, -0x1.b2190a82dc919p-3, -0x1.aa345d10d611fp-3, -0x1.a26a8d1bd7fb5p-3, -0x1.9abb88f93c3edp-3, -0x1.93273c1f095fep-3, -0x1.8bad8f47da5f7p-3, -0x1.844e689552937p-3, -0x1.7d09abaffce86p-3, -0x1.75df39e64ad5dp-3, -0x1.6ecef24c97b07p-3, -0x1.67d8b1db9f479p-3, -0x1.60fc538ab712fp-3, -0x1.5a39b0691d668p-3, -0x1.53909fba0af96p-3, -0x1.4d00f71087bc2p-3, -0x1.468a8a65e7023p-3, -0x1.402d2c2d81584p-3, -0x1.39e8ad6be5e16p-3, -0x1.33bcddd095bb8p-3, -0x1.2da98bcb4d2d9p-3, -0x1.27ae849ba6c1ep-3, -0x1.21cb9462083a3p-3, -0x1.1c008635d3f5ap-3, -0x1.164d243b22b58p-3, -0x1.10b137b1cdaa2p-3, -0x1.0b2c8900e776fp-3, -0x1.05bedfc652fbbp-3, -0x1.006802eb07445p-3, -0x1.f64f716941f46p-4, -0x1.ebfb8da02777ep-4, -0x1.e1d3e4b4f4a0cp-4, -0x1.d7d7ffdde43a8p-4, -0x1.ce076770cb8a4p-4, -0x1.c461a30039e09p-4, -0x1.bae6396b9d00fp-4, -0x1.b194b0ec79dep-4, -0x1.a86c8f2cffa2ap-4, -0x1.9f6d596677458p-4, -0x1.9696947ae323p-4, -0x1.8de7c502ec383p-4, -0x1.85606f572806dp-4, -0x1.7d0017a0383cap-4, -0x1.74c641ef73d5ap-4, -0x1.6cb272568ad1bp-4, -0x1.64c42cf5aa26ep-4, -0x1.5cfaf6028612cp-4, -0x1.555651d1e2ab2p-4, -0x1.4dd5c4e9108cap-4, -0x1.4678d412dc23dp-4, -0x1.3f3f046f4f36p-4, -0x1.3827db7b6cb4cp-4, -0x1.3132df1644738p-4, -0x1.2a5f958a8456fp-4, -0x1.23ad859df271ap-4, -0x1.1d1c36a17085cp-4, -0x1.16ab307ba4be9p-4, -0x1.1059fbade2d39p-4, -0x1.0a282158288e7p-4, -0x1.04152b4108967p-4, -0x1.fc4147c38ed47p-5, -0x1.f0942ce4e29fbp-5, -0x1.e5221de3a4a43p-5, -0x1.d9ea3452397f7p-5, -0x1.ceeb8b5d542d6p-5, -0x1.c4253fd6a9d72p-5, -0x1.b996704610637p-5, -0x1.af3e3cfbb951cp-5, -0x1.a51bc81d3e21dp-5, -0x1.9b2e35abfae65p-5, -0x1.9174ab886bef4p-5, -0x1.87ee5177c6d93p-5, -0x1.7e9a512e3f2d2p-5, -0x1.7577d65bd0a27p-5, -0x1.6c860eb7215eep-5, -0x1.63c42a03b7f21p-5, -0x1.5b315a1471225p-5, -0x1.52ccd2cd727cap-5, -0x1.4a95ca2874c97p-5, -0x1.428b783bec199p-5, -0x1.3aad1742e5bap-5, -0x1.32f9e3a2e9be9p-5, -0x1.2b711beea9cdbp-5, -0x1.241200e6845dfp-5, -0x1.1cdbd578ecdadp-5, -0x1.15cddec45c72cp-5, -0x1.0ee7641af3a93p-5, -0x1.0827af0677bd7p-5, -0x1.018e0b4b06beap-5, -0x1.f6338dcf97605p-6, -0x1.e994642c4329bp-6, -0x1.dd3d3e90c13fbp-6, -0x1.d12cc652e028cp-6, -0x1.c561a93aa8d56p-6, -0x1.b9da99845c183p-6, -0x1.ae964de1634f8p-6, -0x1.a3938176f2a9bp-6, -0x1.98d0f3da58cbbp-6, -0x1.8e4d690c35b2cp-6, -0x1.8407a973ce6f5p-6, -0x1.79fe81db64898p-6, -0x1.7030c36d4893cp-6, -0x1.669d43b10071ap-6, -0x1.5d42dc875a79ep-6, -0x1.54206c255c918p-6, -0x1.4b34d50e0ff27p-6, -0x1.427efe0bd822fp-6, -0x1.39fdd229adc6ap-6, -0x1.31b040ac9811p-6, -0x1.29953d0d0e4a9p-6, -0x1.21abbef0248f4p-6, -0x1.19f2c22054a09p-6, -0x1.12694686352p-6, -0x1.0b0e5021339a2p-6, -0x1.03e0e700564efp-6, -0x1.f9c02e7528da3p-7, -0x1.ec15e1ccbc04bp-7, -0x1.dec1101fb0f7bp-7, -0x1.d1bfe95c1cafep-7, -0x1.c510a52fffc26p-7, -0x1.b8b182f5c0c6cp-7, -0x1.aca0c9a4b12b6p-7, -0x1.a0dcc7c570d5cp-7, -0x1.9563d367453c1p-7, -0x1.8a344a121e70ap-7, -0x1.7f4c90b12c003p-7, -0x1.74ab13752344cp-7, -0x1.6a4e45b11fadcp-7, -0x1.6034a1b91b2bdp-7, -0x1.565ca8c999263p-7, -0x1.4cc4e2fd2393fp-7, -0x1.436bdf4e09afap-7, -0x1.3a50339be714bp-7, -0x1.31707ca884c7fp-7, -0x1.28cb5e0158b13p-7, -0x1.205f81d19dbe1p-7, -0x1.182b98a40c946p-7, -0x1.102e5924d644fp-7, -0x1.08667ff7b10a7p-7, -0x1.00d2cfb0a13f3p-7, -0x1.f2e421e083363p-8, -0x1.e4862527cfb9bp-8, -0x1.d68953bb06b5cp-8, -0x1.c8eb64eac026bp-8, -0x1.bbaa1c6700c31p-8, -0x1.aec3496993bccp-8, -0x1.a234c5b0816dp-8, -0x1.95fc74a1816b7p-8, -0x1.8a1842ecffe7ep-8, -0x1.7e8626dea01b7p-8, -0x1.73442145d891p-8, -0x1.68503e9baee76p-8, -0x1.5da897e1f79f9p-8, -0x1.534b52c058441p-8, -0x1.4936a0a18ac43p-8, -0x1.3f68bcf4144eap-8, -0x1.35dfeb1294bdp-8, -0x1.2c9a748f8217dp-8, -0x1.2396a893a1193p-8, -0x1.1ad2dca899401p-8, -0x1.124d6ec49bce2p-8, -0x1.0a04c7e78ffcp-8, -0x1.01f75e4a2d47bp-8, -0x1.f4476c535d45ep-9, -0x1.e510c14960321p-9, -0x1.d647f19543963p-9, -0x1.c7ea3f642211cp-9, -0x1.b9f4f1c0de6cp-9, -0x1.ac6550a5803b2p-9, -0x1.9f38a60077692p-9, -0x1.926c43bbcd16ep-9, -0x1.85fd8d06262b3p-9, -0x1.79e9ffcbd8885p-9, -0x1.6e2f3af310543p-9, -0x1.62cafec54afe1p-9, -0x1.57bb26c2b472p-9, -0x1.4cfd9e58161f6p-9, -0x1.429053d6e7634p-9, -0x1.38712de5d09cp-9, -0x1.2e9e070b4d8edp-9, -0x1.2514b11bce854p-9, -0x1.1bd2ffd0ad918p-9, -0x1.12d6d76ea8657p-9, -0x1.0a1e3af04eb8fp-9, -0x1.01a7551530637p-9, -0x1.f2e0f22b0b9e4p-10, -0x1.e2f0348214953p-10, -0x1.d3797993bbc3cp-10, -0x1.c479c7e125a81p-10, -0x1.b5ee069cc4729p-10, -0x1.a7d2ef0e0c13fp-10, -0x1.9a2511834d004p-10, -0x1.8ce0ec735c785p-10, -0x1.80030e75843b6p-10, -0x1.738839c3aec3fp-10, -0x1.676d7eee3f5f4p-10, -0x1.5bb046d7fca7fp-10, -0x1.504e48c46e661p-10, -0x1.45456f1253c7dp-10, -0x1.3a93b2895f0bfp-10, -0x1.3036f6ff9f7edp-10, -0x1.262cf368a92c8p-10, -0x1.1c732b6b687d3p-10, -0x1.1306fb1bfd4f1p-10, -0x1.09e5b084c689fp-10, -0x1.010cab7be382ep-10, -0x1.f0f2f6473843dp-11, -0x1.e053e2a895082p-11, -0x1.d0384e52d4f75p-11, -0x1.c09ce4e294de1p-11, -0x1.b17ea0639c495p-11, -0x1.a2da9607c7e4p-11, -0x1.94adc80a36fe9p-11, -0x1.86f5068867c6cp-11, -0x1.79ace4546581cp-11, -0x1.6cd1c0bbb8a99p-11, -0x1.605fe395074b9p-11, -0x1.5453a4053ab7fp-11, -0x1.48a98cc52f65ep-11, -0x1.3d5e6f16681dp-11, -0x1.326f5d631a8acp-11, -0x1.27d9959231e88p-11, -0x1.1d9a6de22c48cp-11, -0x1.13af52ae2dec2p-11, -0x1.0a15d22a475fdp-11, -0x1.00cba490000e6p-11, -0x1.ef9d43819b7e4p-12, -0x1.de394fc1bafa3p-12, -0x1.cd6710120cd82p-12, -0x1.bd22196f7bb7cp-12, -0x1.ad662d84c1787p-12, -0x1.9e2f6837136c9p-12, -0x1.8f7a22ddb5dbap-12, -0x1.814287da80afcp-12, -0x1.73841e1f83df3p-12, -0x1.6639b53221e15p-12, -0x1.595de19460883p-12, -0x1.4cebcdd80eccbp-12, -0x1.40dfd58ecbb72p-12, -0x1.35377b142c305p-12, -0x1.29f0c6f015f6fp-12, -0x1.1f099a00ff3dcp-12, -0x1.147f7fbe86991p-12, -0x1.0a500ff24bc5ap-12, -0x1.007965f6cd373p-12, -0x1.edf43d34958d7p-13, -0x1.dba16a9cc7052p-13, -0x1.c9f53df039842p-13, -0x1.b8e7861333852p-13, -0x1.a86d94eab6dd1p-13, -0x1.987c80388a14ap-13, -0x1.890bdf617de3cp-13, -0x1.7a174adb8e08p-13, -0x1.6b9d83d523b63p-13, -0x1.5d9df206f6dccp-13, -0x1.50169853ad01ep-13, -0x1.430417c1a1096p-13, -0x1.366348fb84f27p-13, -0x1.2a329bc7f1011p-13, -0x1.1e71e75f83407p-13, -0x1.1320c70fcd222p-13, -0x1.083cbe02b553p-13, -0x1.fb80b5062487bp-14, -0x1.e74753cae151bp-14, -0x1.d3bb7121082cdp-14, -0x1.c0cd8c82067afp-14, -0x1.ae74a6ec05ed7p-14, -0x1.9caf13e1a69dp-14, -0x1.8b7eaf39b2b9fp-14, -0x1.7ae38e4ae4621p-14, -0x1.6ad9f31f124e6p-14, -0x1.5b5c862f031d3p-14, -0x1.4c67d03dbdb99p-14, -0x1.3dfba56d960ecp-14, -0x1.3019156442193p-14, -0x1.22bec3ea71b78p-14, -0x1.15e787a6d9fa3p-14, -0x1.098bf9daf3776p-14, -0x1.fb4810e842f26p-15, -0x1.e44e22d64a3e9p-15, -0x1.ce1852d99ce66p-15, -0x1.b897e8e85fe8cp-15, -0x1.a3c597ac773d9p-15, -0x1.8fa17ae385657p-15, -0x1.7c2dd438b0c93p-15, -0x1.6969658fbc3e2p-15, -0x1.574e3d9721777p-15, -0x1.45d61131b5d13p-15, -0x1.34ffce3b205fcp-15, -0x1.24cd4feb5257dp-15, -0x1.153b55285de48p-15, -0x1.064033086c9cfp-15, -0x1.efa395e411c84p-16, -0x1.d3d438c634694p-16, -0x1.b90db8d7ad6b3p-16, -0x1.9f4b9cc069847p-16, -0x1.86821f08ff753p-16, -0x1.6e9be0e351882p-16, -0x1.5780beb34f919p-16, -0x1.41252dacc3b6ep-16, -0x1.2b9073e804737p-16, -0x1.16cb827499befp-16, -0x1.02cf04b44876p-16, -0x1.df1e3ef415f36p-17, -0x1.ba1bc43d189d9p-17, -0x1.969c1791480aap-17, -0x1.74878ee8a779cp-17, -0x1.53bbd4d4ce9b1p-17, -0x1.3421ddbf0a112p-17, -0x1.15afbca79cd0cp-17, -0x1.f0cb0c3db882p-18, -0x1.b89686e63bcc4p-18, -0x1.82d307db368dp-18, -0x1.4f76fcf21d5bbp-18, -0x1.1e4224a699269p-18, -0x1.dd96fbb0acdacp-19, -0x1.81d03ff6727cbp-19, -0x1.29ad3a2707ce5p-19, -0x1.aad14a6757838p-20, -0x1.09258fdd13d12p-20, -0x1.b8d5e63e2ae72p-22, 0x1.2be4b8aee47eep-23, 0x1.64b4a302193c8p-21, 0x1.39383d147de32p-20, 0x1.ba88df12e3c79p-20, 0x1.1b3797513e17dp-19, 0x1.56808961f517bp-19, 0x1.8f2b417cc0197p-19, 0x1.c5377c2cec1bcp-19, 0x1.f89123feafed5p-19, 0x1.1491779e0f927p-18, 0x1.2b7a8b2963fd2p-18, 0x1.412de59265c4p-18, 0x1.55f44002c0196p-18, 0x1.69ca345e95c25p-18, 0x1.7c7e198a494bp-18, 0x1.8e3555a146a3cp-18, 0x1.9efc9a98c0766p-18, 0x1.aeada5e75217ap-18, 0x1.bd5cd9af4ef6ap-18, 0x1.cb2f35b545258p-18, 0x1.d83186f36949p-18, 0x1.e4650f8ca6fd8p-18, 0x1.efcb24a40a34p-18, 0x1.fa67bce324772p-18, 0x1.02207116c17efp-17, 0x1.06ae1eb3a4837p-17, 0x1.0addeb5ab7215p-17, 0x1.0eaf6ed088704p-17, 0x1.12229fc42ea42p-17, 0x1.1536a70828f88p-17, 0x1.17f40a34a9caep-17, 0x1.1a6bd9dcba748p-17, 0x1.1c96b81164dc5p-17, 0x1.1e7c0c6b85563p-17, 0x1.201c51cee78b8p-17, 0x1.21695742d3018p-17, 0x1.226e91ea8300dp-17, 0x1.233583c4da77fp-17, 0x1.23bf26e0107eap-17, 0x1.240b72854fe63p-17, 0x1.241b5b4be240ep-17, 0x1.23f05d8cc158bp-17, 0x1.238c126e0f9c8p-17, 0x1.22f033888afeap-17, 0x1.221eb64338515p-17, 0x1.211989324e2d9p-17, 0x1.1fe22c77d9b55p-17, 0x1.1e7a2f4815ea7p-17, 0x1.1ce1e55fdaf14p-17, 0x1.1b145e53c89efp-17, 0x1.1917529344cbdp-17, 0x1.16f45bc7d165ep-17, 0x1.14ae248069e9p-17, 0x1.123f0e65ff943p-17, 0x1.0fa2154fa932cp-17, 0x1.0ce0a0fe0e127p-17, 0x1.09fd3f7bee27ap-17, 0x1.06f7a3b523474p-17, 0x1.03d03778d791p-17, 0x1.0087ffd572fcap-17, 0x1.fa405fa93a993p-18, 0x1.f333dcfb8dd3p-18, 0x1.ebec89b545001p-18, 0x1.e46c628682462p-18, 0x1.dcb5a5f003b88p-18, 0x1.d4caf4f4e0f1ep-18, 0x1.ccaeda4b059f5p-18, 0x1.c4637fa647c6fp-18, 0x1.bbeb692e97857p-18, 0x1.b34474c3c1fb7p-18, 0x1.aa68ab1dbcdafp-18, 0x1.a1686a8fc870ap-18, 0x1.984af6e681853p-18, 0x1.8f038f903d097p-18, 0x1.85948e05fd6e3p-18, 0x1.7c06bc0dc859ep-18, 0x1.725a642c37d9p-18, 0x1.688fdd32ac5e6p-18, 0x1.5ea86d7ed0e56p-18, 0x1.54a5ab2dfa0d8p-18, 0x1.4a8938bbd7ddfp-18, 0x1.4054adef94037p-18, 0x1.36098beadbbcep-18, 0x1.2ba9384cb00c6p-18, 0x1.213509a3a82b3p-18, 0x1.16ae690a920c1p-18, 0x1.0c16ea9c52f73p-18, 0x1.01702c06926fcp-18, 0x1.ed7709509f67fp-19, 0x1.d7f46fe7a55ap-19, 0x1.c25bb2539fcaep-19, 0x1.aca8f0bcc8a28p-19, 0x1.96e09069f2785p-19, 0x1.811250ba134eep-19, 0x1.6b3041d7aa1c6p-19, 0x1.55427eb724ddap-19, 0x1.3f4e3a74b850fp-19, 0x1.2953c490a25fdp-19, 0x1.1354b83da1fc2p-19, 0x1.faa663b2abbbfp-20, 0x1.cea2b68db07ccp-20, 0x1.a2a2ab61ed786p-20, 0x1.76aa6c194b053p-20, 0x1.4abe05cc6c5b7p-20, 0x1.1ee16150771c6p-20, 0x1.e63078851f4ep-21, 0x1.8ecc64954eacap-21, 0x1.379dc77514a8cp-21, 0x1.c1586792e6df3p-22, 0x1.13feca6574f7cp-22, 0x1.9cf36b08f5529p-24, -0x1.13889783feea9p-24, -0x1.e0a094f1b0dc1p-23, -0x1.9afb895621c08p-22, -0x1.2277f0c51051fp-21, -0x1.76fe1cf662d96p-21, -0x1.cb1b5487db4bfp-21, -0x1.0f5f800ea26ecp-20, -0x1.38f18406d7eep-20, -0x1.6242661b1300ap-20, -0x1.8b4f9c53fd04bp-20, -0x1.b416746814023p-20, -0x1.dc944e4d9d0e8p-20, -0x1.02634f51877c4p-19, -0x1.1655761455275p-19, -0x1.2a1f678834875p-19, -0x1.3dbff8db6945cp-19, -0x1.5136090e6ff58p-19, -0x1.6480826b2ac6ep-19, -0x1.779e5a42df288p-19, -0x1.8a8e8bf0ccd15p-19, -0x1.9d501282bf869p-19, -0x1.afe1e8cb5d289p-19, -0x1.c243131ea987p-19, -0x1.d472ba6330625p-19, -0x1.e6702a8c172b4p-19, -0x1.f83a3b18f0939p-19, -0x1.04e7de38993d8p-18, -0x1.0d9881b396c35p-18, -0x1.162ea99e80d63p-18, -0x1.1ea96a2082894p-18, -0x1.27087d7db4b12p-18, -0x1.2f4bb9262400fp-18, -0x1.3772cb34b58adp-18, -0x1.3f7d61b2b4c29p-18, -0x1.476b2f43421cfp-18, -0x1.4f3beaa1cd093p-18, -0x1.56ef4e206f14bp-18, -0x1.5e85176930958p-18, -0x1.65fd07706d1d7p-18, -0x1.6d56e2796f7d7p-18, -0x1.74927023e824ep-18, -0x1.7baf7b9dce5p-18, -0x1.82add3cb5acdap-18, -0x1.898d4aca98332p-18, -0x1.904db4cb4319cp-18, -0x1.96eee795978fcp-18, -0x1.9d70bb235837p-18, -0x1.a3d30bddd83d3p-18, -0x1.aa15c13413e9p-18, -0x1.b038c6642e6d8p-18, -0x1.b63be30ac5a56p-18, -0x1.bc1edf03b95acp-18, -0x1.c1e23ad630989p-18, -0x1.c7857a714e794p-18, -0x1.cd086eab8172cp-18, -0x1.d26b33d61c6dp-18, -0x1.d7adc19d37badp-18, -0x1.dcd00ec6bf988p-18, -0x1.e1d21573f2e7cp-18, -0x1.e6b3d2bd8aeabp-18, -0x1.eb75465275068p-18, -0x1.f0167248d24c7p-18, -0x1.f4975b06ebf99p-18, -0x1.f8f8073792e94p-18, -0x1.fd387fc5efa6dp-18, -0x1.00ac67e7e507p-17, -0x1.02ac825428773p-17, -0x1.049c96f463f23p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.ffcad5d8c5eedp-1, 0x1.ff2b7df7e6662p-1, 0x1.fe226b6edb964p-1, 0x1.fcb05be88660cp-1, 0x1.fad654d154116p-1, 0x1.f8959fc703603p-1, 0x1.f5efc6834bd8ep-1, 0x1.f2e68e6c7e65ap-1, 0x1.ef7bf3efc018p-1, 0x1.ebb225c1f9b42p-1, 0x1.e78b801ecd3cbp-1, 0x1.e30a8817f0c5ap-1, 0x1.de31e7030b1b9p-1, 0x1.d9046610a2d46p-1, 0x1.d384ea13aeebfp-1, 0x1.cdb66f7ee8debp-1, 0x1.c79c069b04368p-1, 0x1.c138cff7575ebp-1, 0x1.ba8ff9153ef81p-1, 0x1.b3a4b94d9730cp-1, 0x1.ac7a4eeee43f3p-1, 0x1.a513fc9244734p-1, 0x1.9d7506a4e602bp-1, 0x1.95a0b1237f1b2p-1, 0x1.8d9a3d85278c2p-1, 0x1.8564e8d2e50edp-1, 0x1.7d03e9e93cbcap-1, 0x1.747a6fe12ebd9p-1, 0x1.6bcba09e110ccp-1, 0x1.62fa977de20aap-1, 0x1.5a0a6429c432bp-1, 0x1.50fe09847b733p-1, 0x1.47d87cb4e2509p-1, 0x1.3e9ca44a722c2p-1, 0x1.354d577a18236p-1, 0x1.2bed5d71b0fa6p-1, 0x1.227f6cc0a4346p-1, 0x1.19062ad42f54fp-1, 0x1.0f842b860fbe4p-1, 0x1.05fbf0bc4e82dp-1, 0x1.f8dfd4320b7ap-2, 0x1.e5c4e9721f40ap-2, 0x1.d2abb60136ae8p-2, 0x1.bf98a8e9730cfp-2, 0x1.ac900b41f713dp-2, 0x1.99960010a7462p-2, 0x1.86ae8440daa44p-2, 0x1.73dd6ead825bfp-2, 0x1.6126703d6121cp-2, 0x1.4e8d141005b82p-2, 0x1.3c14bfba48e54p-2, 0x1.29c0b3911a1acp-2, 0x1.17940b0182363p-2, 0x1.0591bcf4ca5b7p-2, 0x1.e779387f84341p-3, 0x1.c42eb0385d28fp-3, 0x1.a148f95702129p-3, 0x1.7ecce703d74dp-3, 0x1.5cbf08721e5bdp-3, 0x1.3b23aa12e2c5fp-3, 0x1.19fed6d410c39p-3, 0x1.f2a8b2d47c482p-4, 0x1.b24f7b47df9e4p-4, 0x1.72f8a38a091e3p-4, 0x1.34aa4fd254b59p-4, 0x1.eed45db117d6fp-5, 0x1.767af95ee5a66p-5, 0x1.00520b4e7343bp-5, 0x1.18c4a4d7dabc3p-6, 0x1.ab3b9c8fcad4bp-9, -0x1.52ca86101e2dp-7, -0x1.8394d4fc8de5ep-6, -0x1.2c8e0e60ba2a5p-5, -0x1.94f8b6bf33639p-5, -0x1.fb0643ac67d4ep-5, -0x1.2f59a2f39a911p-4, -0x1.5ffe7c888e101p-4, -0x1.8f709ef7e59e4p-4, -0x1.bdaf4a5db90cp-4, -0x1.eaba0bbda7e2ap-4, -0x1.0b485d1c827cep-3, -0x1.2099ba26bd7ecp-3, -0x1.35514e8e637fbp-3, -0x1.496f6cdf02a1ap-3, -0x1.5cf4874c90733p-3, -0x1.6fe12e66549c2p-3, -0x1.82360fcf4cc1dp-3, -0x1.93f3f4fc1dde5p-3, -0x1.a51bc1f6cfbbcp-3, -0x1.b5ae74285b601p-3, -0x1.c5ad212834de8p-3, -0x1.d518f591eaf37p-3, -0x1.e3f333e0e2921p-3, -0x1.f23d335249a85p-3, -0x1.fff85ecd4c894p-3, -0x1.069319e8c68ddp-2, -0x1.0ce420b5f793fp-2, -0x1.12f01398dc00cp-2, -0x1.18b7ca20fe93fp-2, -0x1.1e3c2326b716cp-2, -0x1.237e045232d57p-2, -0x1.287e59a5a6c73p-2, -0x1.2d3e150aa2277p-2, -0x1.31be2de27d8c2p-2, -0x1.35ffa099e596cp-2, -0x1.3a036e3f77944p-2, -0x1.3dca9c1d6a53p-2, -0x1.415633563de8cp-2, -0x1.44a740846aeep-2, -0x1.47bed35d06a0ap-2, -0x1.4a9dfe5555c5dp-2, -0x1.4d45d64b47b24p-2, -0x1.4fb77230c8c1cp-2, -0x1.51f3eab9ee726p-2, -0x1.53fc5a0de5d27p-2, -0x1.55d1db7aa7569p-2, -0x1.57758b2b5a8a6p-2, -0x1.58e885e1699bbp-2, -0x1.5a2be8b02e52fp-2, -0x1.5b40d0bb38e82p-2, -0x1.5c285af7206fep-2, -0x1.5ce3a3eccc998p-2, -0x1.5d73c77f3a817p-2, -0x1.5dd9e0b3a2a48p-2, -0x1.5e17097bff138p-2, -0x1.5e2c5a83e1a05p-2, -0x1.5e1aeaff8db57p-2, -0x1.5de3d07d4d0aap-2, -0x1.5d881eb8f2766p-2, -0x1.5d08e7717b78p-2, -0x1.5c673a40cc13p-2, -0x1.5ba424757213dp-2, -0x1.5ac0b0ee6680ep-2, -0x1.59bde7f8c46cp-2, -0x1.589ccf2f638d2p-2, -0x1.575e695c4f2b7p-2, -0x1.5603b65c0d767p-2, -0x1.548db302a8c9ap-2, -0x1.52fd590274438p-2, -0x1.51539ed47773ep-2, -0x1.4f9177a28203p-2, -0x1.4db7d332cf91ap-2, -0x1.4bc79dd5392e5p-2, -0x1.49c1c051e5dccp-2, -0x1.47a71fd96e4efp-2, -0x1.45789df669422p-2, -0x1.4337188058953p-2, -0x1.40e3698fe6d1cp-2, -0x1.3e7e677470c3ap-2, -0x1.3c08e4aac914ap-2, -0x1.3983afd5349c8p-2, -0x1.36ef93b48ab83p-2, -0x1.344d57227b6bap-2, -0x1.319dbd0ce38d4p-2, -0x1.2ee1847232813p-2, -0x1.2c19685ecd478p-2, -0x1.29461feb6d1c6p-2, -0x1.26685e3c69641p-2, -0x1.2380d281e9cep-2, -0x1.209027f8f14aep-2, -0x1.1d9705ed4083ep-2, -0x1.1a960fbbff1cbp-2, -0x1.178de4d728abep-2, -0x1.147f20c9b1fa7p-2, -0x1.116a5b3c5f10dp-2, -0x1.0e5027fb44592p-2, -0x1.0b3116fbe4c3fp-2, -0x1.080db463ecf04p-2, -0x1.04e688907d427p-2, -0x1.01bc181dfd33fp-2, -0x1.fd1dc7e0ea6e2p-3, -0x1.f6bed278beb47p-3, -0x1.f05c431fdff88p-3, -0x1.e9f705b993a18p-3, -0x1.e38fff0437c5p-3, -0x1.dd280cae3b685p-3, -0x1.d6c0056bce986p-3, -0x1.d058b90d38c14p-3, -0x1.c9f2f095d1bfp-3, -0x1.c38f6e5385e9ep-3, -0x1.bd2eedf6e278cp-3, -0x1.b6d224aba08ddp-3, -0x1.b079c1319ab1fp-3, -0x1.aa266bf630439p-3, -0x1.a3d8c72e01bccp-3, -0x1.9d916eeefec72p-3, -0x1.9750f94ac0d6p-3, -0x1.9117f6692a5d4p-3, -0x1.8ae6f0a333c4fp-3, -0x1.84be6c9df50eap-3, -0x1.7e9ee965cd62cp-3, -0x1.7888e089b3147p-3, -0x1.727cc63696feep-3, -0x1.6c7b0952db3d3p-3, -0x1.66841399d47p-3, -0x1.609849b754b03p-3, -0x1.5ab80b63278dbp-3, -0x1.54e3b37c95f89p-3, -0x1.4f1b9825cee5fp-3, -0x1.49600adf45665p-3, -0x1.43b158a2ef11fp-3, -0x1.3e0fc9ff6c771p-3, -0x1.387ba33303cb7p-3, -0x1.32f5244682fc4p-3, -0x1.2d7c8927e6cf7p-3, -0x1.281209c4dd13p-3, -0x1.22b5da250cbf1p-3, -0x1.1d682a842e976p-3, -0x1.1829276bddacdp-3, -0x1.12f8f9cd377dcp-3, -0x1.0dd7c71a33f54p-3, -0x1.08c5b15eb54a1p-3, -0x1.03c2d7595c0d6p-3, -0x1.fd9ea92808482p-4, -0x1.f3d682f8069a2p-4, -0x1.ea2d66f41bdd8p-4, -0x1.e0a37a13a07e4p-4, -0x1.d738dba27245bp-4, -0x1.cdeda56eda2ccp-4, -0x1.c4c1ebf6bebd7p-4, -0x1.bbb5be943f295p-4, -0x1.b2c927a985d3p-4, -0x1.a9fc2ccbfc835p-4, -0x1.a14eceeebd584p-4, -0x1.98c10a8c528d1p-4, -0x1.9052d7cfc195fp-4, -0x1.88042abcd6a7fp-4, -0x1.7fd4f357b6208p-4, -0x1.77c51dcbb77eep-4, -0x1.6fd4929181231p-4, -0x1.68033694625c9p-4, -0x1.6050eb56fabc4p-4, -0x1.58bd8f171a149p-4, -0x1.5148fcf0ea657p-4, -0x1.49f30d015844cp-4, -0x1.42bb9487c1537p-4, -0x1.3ba26606e4b3fp-4, -0x1.34a751651a6eep-4, -0x1.2dca240bcd8cap-4, -0x1.270aa9063f39fp-4, -0x1.2068a91f8d82bp-4, -0x1.19e3eb00077cfp-4, -0x1.137c3349c7277p-4, -0x1.0d3144b498b8p-4, -0x1.0702e0292dc58p-4, -0x1.00f0c4db9f1d2p-4, -0x1.f5f560ca7ca3cp-5, -0x1.ea40bdbb71eadp-5, -0x1.dec315e72365bp-5, -0x1.d37bdc07d2a17p-5, -0x1.c86a80634b598p-5, -0x1.bd8e70f7dbcb3p-5, -0x1.b2e719a809572p-5, -0x1.a873e464fac1p-5, -0x1.9e343957ab67ap-5, -0x1.94277f08da70ep-5, -0x1.8a4d1a87c3fbfp-5, -0x1.80a46f8fae8e6p-5, -0x1.772ce0ac471aep-5, -0x1.6de5cf5cce17ap-5, -0x1.64ce9c362bcf7p-5, -0x1.5be6a703de8efp-5, -0x1.532d4ee7cfb19p-5, -0x1.4aa1f2790fea1p-5, -0x1.4243efe18f86cp-5, -0x1.3a12a4fabea53p-5, -0x1.320d6f6928ae9p-5, -0x1.2a33acb716b83p-5, -0x1.2284ba6e2de24p-5, -0x1.1afff6301b495p-5, -0x1.13a4bdce462a5p-5, -0x1.0c726f60a1312p-5, -0x1.0568695b8b1f1p-5, -0x1.fd0c1549962f7p-6, -0x1.ef95654f67b05p-6, -0x1.e26b82d0d6c11p-6, -0x1.d58d2f2cc55b4p-6, -0x1.c8f92d3be045cp-6, -0x1.bcae41726495bp-6, -0x1.b0ab32003ef92p-6, -0x1.a4eec6efb8dep-6, -0x1.9977ca42996bcp-6, -0x1.8e45080def17p-6, -0x1.83554e9462246p-6, -0x1.78a76e5f37829p-6, -0x1.6e3a3a55f1affp-6, -0x1.640c87d4adee3p-6, -0x1.5a1d2ec14b223p-6, -0x1.506b099f45f84p-6, -0x1.46f4f5a26c13dp-6, -0x1.3db9d2c068666p-6, -0x1.34b883c1360d6p-6, -0x1.2befee4e6ba33p-6, -0x1.235efb018f91dp-6, -0x1.1b04957149c5cp-6, -0x1.12dfac3db0aecp-6, -0x1.0aef311b9837bp-6, -0x1.033218dedf32bp-6, -0x1.f74eb707d78b6p-7, -0x1.e89be87084e0fp-7, -0x1.da49c2c479319p-7, -0x1.cc56494ff14b4p-7, -0x1.bebf85eada4b2p-7, -0x1.b18389039f1b3p-7, -0x1.a4a069a85993ep-7, -0x1.9814458e99eb7p-7, -0x1.8bdd4119f2e4fp-7, -0x1.7ff98760f0ac6p-7, -0x1.74674a31071c7p-7, -0x1.6924c211202cbp-7, -0x1.5e302e4313b61p-7, -0x1.5387d4c3e998ap-7, -0x1.492a024b0c41ap-7, -0x1.3f150a48719eep-7, -0x1.354746e1c0456p-7, -0x1.2bbf18ee76b3bp-7, -0x1.227ae7f330224p-7, -0x1.1979221c11b77p-7, -0x1.10b83c363e586p-7, -0x1.0836b1a8a1079p-7, -0x1.ffe608d79dcf1p-8, -0x1.efd77a0290316p-8, -0x1.e03ed4d4134ecp-8, -0x1.d1194438aac14p-8, -0x1.c263fff1f4016p-8, -0x1.b41c4c7fd462ap-8, -0x1.a63f7b088a35fp-8, -0x1.98cae93fdac59p-8, -0x1.8bbc014cfa5e3p-8, -0x1.7f1039afb9b9fp-8, -0x1.72c515249f931p-8, -0x1.66d8228821503p-8, -0x1.5b46fcb9532d3p-8, -0x1.500f4a7b8e654p-8, -0x1.452ebe57a004ap-8, -0x1.3aa3167c3b6bfp-8, -0x1.306a1c9db4757p-8, -0x1.2681a5d555ae6p-8, -0x1.1ce7928035a57p-8, -0x1.1399ce1d66b7bp-8, -0x1.0a964f2bf1f29p-8, -0x1.01db170867d81p-8, -0x1.f2cc6393af771p-9, -0x1.e26b6c3d5f842p-9, -0x1.d28f8a52ce3ebp-9, -0x1.c33514b95351ep-9, -0x1.b45876aef3aeep-9, -0x1.a5f62f82a2bf1p-9, -0x1.980ad24b2f9p-9, -0x1.8a93059f000a3p-9, -0x1.7d8b834b14a1cp-9, -0x1.70f1180a0ff84p-9, -0x1.64c0a33b0e147p-9, -0x1.58f71698dbddep-9, -0x1.4d9175f0cb84p-9, -0x1.428cd6d9a47b1p-9, -0x1.37e6606adf78cp-9, -0x1.2d9b4af3f5041p-9, -0x1.23a8dfb3ce5cep-9, -0x1.1a0c7890aa5abp-9, -0x1.10c37fd04158bp-9, -0x1.07cb6fcffa04fp-9, -0x1.fe43a57afce73p-10, -0x1.ed8884a03455dp-10, -0x1.dd60cf040a171p-10, -0x1.cdc7f49499f27p-10, -0x1.beb982af169a9p-10, -0x1.b031239504282p-10, -0x1.a22a9de3655abp-10, -0x1.94a1d40a68141p-10, -0x1.8792c3c699a33p-10, -0x1.7af9859afe7ep-10, -0x1.6ed24c4c7e00dp-10, -0x1.6319645ef5841p-10, -0x1.57cb3392be4ap-10, -0x1.4ce438645c3dp-10, -0x1.4261098cb3c9cp-10, -0x1.383e55830215ep-10, -0x1.2e78e200aab6p-10, -0x1.250d8b85783bep-10, -0x1.1bf944de57c62p-10, -0x1.133916acc6748p-10, -0x1.0aca1ef036231p-10, -0x1.02a9909085e13p-10, -0x1.f5a965d425c43p-11, -0x1.e691c2b74c456p-11, -0x1.d80715aad4d6dp-11, -0x1.ca0462d42476ap-11, -0x1.bc84d3c1889dep-11, -0x1.af83b692f6c8bp-11, -0x1.a2fc7d243befap-11, -0x1.96eabc3ad5a7fp-11, -0x1.8b4a2ab758c3ep-11, -0x1.8016a0c9d8b6bp-11, -0x1.754c17293f12fp-11, -0x1.6ae6a64dae614p-11, -0x1.60e285aee95d5p-11, -0x1.573c0b04e1369p-11, -0x1.4defa98ba3612p-11, -0x1.44f9f14a3421p-11, -0x1.3c578e5d3c294p-11, -0x1.3405484421eddp-11, -0x1.2c000131b650ep-11, -0x1.2444b55f78b08p-11, -0x1.1cd07a64ca6a4p-11, -0x1.15a07e8ff2761p-11, -0x1.0eb208430e6f9p-11, -0x1.080275534823p-11, -0x1.018f3a6bf84dep-11, -0x1.f6abc4e7e788dp-12, -0x1.eaa81bec41791p-12, -0x1.df0ee5198d35ep-12, -0x1.d3dbb4a16304cp-12, -0x1.c90a469214826p-12, -0x1.be967dc1d055fp-12, -0x1.b47c62b916407p-12, -0x1.aab822a754736p-12, -0x1.a1460e5c22a63p-12, -0x1.9822994499364p-12, -0x1.8f4a586e4d077p-12, -0x1.86ba019259253p-12, -0x1.7e6e6a212095p-12, -0x1.766486564264p-12, -0x1.6e99685224f24p-12, -0x1.670a3f34b2233p-12, -0x1.5fb45641b5b9dp-12, -0x1.589514083376cp-12, -0x1.51a9f98dc1623p-12, -0x1.4af0a17f7e48bp-12, -0x1.4466bf699ac35p-12, -0x1.3e0a1eef95f14p-12, -0x1.37d8a30ba39c1p-12, -0x1.31d0455366f2dp-12, -0x1.2bef153d5628p-12, -0x1.2633376f7913p-12, -0x1.209ae50ebb89ap-12, -0x1.1b246b1416ebp-12, -0x1.15ce29a5d89c3p-12, -0x1.109693749e53ap-12, -0x1.0b7c2d1d28e1bp-12, -0x1.067d8c8c06f45p-12, -0x1.01995867c8092p-12, -0x1.f99c8efa87686p-13, -0x1.f0364061e211p-13, -0x1.e6fd6fe4ea03ep-13, -0x1.ddefe56abd962p-13, -0x1.d50b84d96111ap-13, -0x1.cc4e4d12f15a1p-13, -0x1.c3b656fc9a117p-13, -0x1.bb41d4890a273p-13, -0x1.b2ef0fc990903p-13, -0x1.aabc6a08f4636p-13, -0x1.a2a85aea5ffeep-13, -0x1.9ab16f8f0adb2p-13, -0x1.92d649c0d6ae2p-13, -0x1.8b159f263a0fdp-13, -0x1.836e38784c0ddp-13, -0x1.7bdef0be0eb82p-13, -0x1.7466b4960380fp-13, -0x1.6d048176d6fd1p-13, -0x1.65b76501116c6p-13, -0x1.5e7e7c5174329p-13, -0x1.5758f35a997f8p-13, -0x1.5046044091c5bp-13, -0x1.4944f6bba20d6p-13, -0x1.42551f81d779bp-13, -0x1.3b75dfafffe18p-13, -0x1.34a6a439b140bp-13, -0x1.2de6e563295fap-13, -0x1.2736263507ec8p-13, -0x1.2093f3fd275d4p-13, -0x1.19ffe5cf2941ep-13, -0x1.13799c0d6500ep-13, -0x1.0d00bfefa56e5p-13, -0x1.069503125f50fp-13, -0x1.00361f0ae186ap-13, -0x1.f3c7a9f564c5ep-14, -0x1.e73bda502037bp-14, -0x1.dac86d39ec7c5p-14, -0x1.ce6d0d8cc0c52p-14, -0x1.c229722e640ecp-14, -0x1.b5fd5d6057b36p-14, -0x1.a9e89c14892a1p-14, -0x1.9deb05478b2adp-14, -0x1.9204795ec988dp-14, -0x1.8634e19216c64p-14, -0x1.7a7c2f599c4fdp-14, -0x1.6eda5bdbfde2p-14, -0x1.634f676529be6p-14, -0x1.57db58e8748d6p-14, -0x1.4c7e3d7c239afp-14, -0x1.413827e4c462ep-14, -0x1.3609301e14194p-14, -0x1.2af172ef61869p-14, -0x1.1ff1117dc7d3fp-14, -0x1.150830e5ac6e2p-14, -0x1.0a36f9d907257p-14, -0x1.fefb308a0c241p-15, -0x1.e9b875e7c50e6p-15, -0x1.d4a626705e9d7p-15, -0x1.bfc4a93aa35f3p-15, -0x1.ab14692ba278dp-15, -0x1.9695d4694c668p-15, -0x1.82495bc4628e7p-15, -0x1.6e2f723a35d1fp-15, -0x1.5a488c719941ep-15, -0x1.4695203c45884p-15, -0x1.3315a425e9999p-15, -0x1.1fca8f08096bdp-15, -0x1.0cb457a259468p-15, -0x1.f3a6e863ef864p-16, -0x1.ce50b438b63aap-16, -0x1.a966fb24e0b55p-16, -0x1.84eaa28204f83p-16, -0x1.60dc8c0147e41p-16, -0x1.3d3d951361005p-16, -0x1.1a0e9675a799bp-16, -0x1.eea0c73960b5p-17, -0x1.aa079490cc05dp-17, -0x1.66532403831b8p-17, -0x1.2384f7a714115p-17, -0x1.c33d072b2b674p-18, -0x1.41425ac806ab6p-18, -0x1.82392d8a4843ep-19, -0x1.0b39213fae3aap-20, 0x1.cd3120c7a002ep-21, 0x1.687cc763042dbp-19, 0x1.2cf84e34f5eb2p-18, 0x1.a3d1de8689371p-18, 0x1.0c6499c9e10b2p-17, 0x1.45ee4871ad511p-17, 0x1.7e852fa10e30cp-17, 0x1.b628966dbfcbap-17, 0x1.ecd7d6fef40bp-17, 0x1.11492f4dd9bc6p-16, 0x1.2babd6ef520c4p-16, 0x1.4593ac57a1216p-16, 0x1.5f008330e3d32p-16, 0x1.77f238e92b23fp-16, 0x1.9068b4a83a7a1p-16, 0x1.a863e74eb5371p-16, 0x1.bfe3cb6cd86b7p-16, 0x1.d6e86541156edp-16, 0x1.ed71c2b00acbp-16, 0x1.01bffd91cce8dp-15, 0x1.0c8997c57adedp-15, 0x1.1715c52119d4ep-15, 0x1.21649f7e28df5p-15, 0x1.2b7645569bf35p-15, 0x1.354ad9b119d19p-15, 0x1.3ee2841c83076p-15, 0x1.483d709cd81adp-15, 0x1.515bcf9b9494ap-15, 0x1.5a3dd5d5ea013p-15, 0x1.62e3bc4a994e4p-15, 0x1.6b4dc02dc81aap-15, 0x1.737c22d0fe327p-15, 0x1.7b6f298fb8ddfp-15, 0x1.83271dbdaf402p-15, 0x1.8aa44c923c0c3p-15, 0x1.91e70714d571ap-15, 0x1.98efa20614da2p-15, 0x1.9fbe75c64d30ep-15, 0x1.a653de48874d9p-15, 0x1.acb03af54e56ep-15, 0x1.b2d3ee9852b8ep-15, 0x1.b8bf5f4637062p-15, 0x1.be72f64609eb2p-15, 0x1.c3ef1ffed554p-15, 0x1.c9344bdb79065p-15, 0x1.ce42ec354d18cp-15, 0x1.d31b763aa3b1ep-15, 0x1.d7be61da74abap-15, 0x1.dc2c29abb554ep-15, 0x1.e0654ad64dcedp-15, 0x1.e46a44f90bc28p-15, 0x1.e83b9a14f6783p-15, 0x1.ebd9ce759a262p-15, 0x1.ef45689998c98p-15, 0x1.f27ef11ae0ebap-15, 0x1.f586f295e9a5cp-15, 0x1.f85df996ebaa8p-15, 0x1.fb049480b6f69p-15, 0x1.fd7b5376b609cp-15, 0x1.ffc2c84583119p-15, 0x1.00edc325e6b67p-14, 0x1.01e31133999dcp-14, 0x1.02c1996e90bdp-14, 0x1.0389a7a28af56p-14, 0x1.043b88395f067p-14, 0x1.04d7883122426p-14, 0x1.055df510fbb05p-14, 0x1.05cf1ce02bc09p-14, 0x1.062b4e1a0a527p-14, 0x1.0672d7a4cea39p-14, 0x1.06a608c889814p-14, 0x1.06c53124e40bap-14, 0x1.06d0a0a7ab1d3p-14, 0x1.06c8a78366f2cp-14, 0x1.06ad9624dd671p-14, 0x1.067fbd2c461e2p-14, 0x1.063f6d62fe793p-14, 0x1.05ecf7b3398c7p-14, 0x1.0588ad1f90ea1p-14, 0x1.0512deba1d17bp-14, 0x1.048bdd9ca7943p-14, 0x1.03f3fae0e2cf9p-14, 0x1.034b8797e63e9p-14, 0x1.0292d4c213ff7p-14, 0x1.01ca3348b40fbp-14, 0x1.00f1f3f654423p-14, 0x1.000a676f2edeep-14, 0x1.fe27bc557050ap-15, 0x1.fc1d50d78c39bp-15, 0x1.f9f62c74be645p-15, 0x1.f7b2eebb51e77p-15, 0x1.f55436aa19bc4p-15, 0x1.f2daa2a59128ap-15, 0x1.f046d06a1d2c6p-15, 0x1.ed995d0108882p-15, 0x1.ead2e4b5b1d87p-15, 0x1.e7f4030a62dc9p-15, 0x1.e4fd52ad34598p-15, 0x1.e1ef6d6ced4ep-15, 0x1.decaec3135268p-15, 0x1.db9066f023d8p-15, 0x1.d84074a3c5023p-15, 0x1.d4dbab43160fep-15, 0x1.d1629fb701e16p-15, 0x1.cdd5e5d334c59p-15, 0x1.ca36104db7b7ep-15, 0x1.c683b0b794ca6p-15, 0x1.c2bf577651ef1p-15, 0x1.bee993b9f00a8p-15, 0x1.bb02f378cdd4ap-15, 0x1.b70c036729262p-15, 0x1.b3054ef1cf3e3p-15, 0x1.aeef60383c32dp-15, 0x1.aacac005917fcp-15, 0x1.a697f5cbb4302p-15, 0x1.a25787a012ba6p-15, 0x1.9e09fa3333fe6p-15, 0x1.99afd0cecceb4p-15, 0x1.95498d4fc03bp-15, 0x1.90d7b022eb26fp-15, 0x1.8c5ab83fc8b52p-15, 0x1.87d32325d3f2p-15, 0x1.83416cda87f82p-15, 0x1.7ea60fe32324ap-15, 0x1.7a018543bfc8bp-15, }}, 
      {{0x1.ffee46da467d8p-1, 0x1.ffb923222d54dp-1, 0x1.ff60abe9d5bfbp-1, 0x1.fee50755a7f8cp-1, 0x1.fe466a304a8e4p-1, 0x1.fd8517612f272p-1, 0x1.fca15f4c8d915p-1, 0x1.fb9b9f22ae544p-1, 0x1.fa7440238a1c9p-1, 0x1.f92bb6dafac7bp-1, 0x1.f7c2825905328p-1, 0x1.f6392b69250c3p-1, 0x1.f49043caf72e6p-1, 0x1.f2c8656e26b5ep-1, 0x1.f0e231b319f1ap-1, 0x1.eede50b17dea4p-1, 0x1.ecbd70858db95p-1, 0x1.ea8044a4a93f6p-1, 0x1.e8278539a2228p-1, 0x1.e5b3ee88f95b4p-1, 0x1.e326405d21536p-1, 0x1.e07f3d7ac3b48p-1, 0x1.ddbfab1ced6ffp-1, 0x1.dae85078f7371p-1, 0x1.d7f9f649f2511p-1, 0x1.d4f5666359d0cp-1, 0x1.d1db6b4abeef4p-1, 0x1.ceaccfd827fb2p-1, 0x1.cb6a5edcd4e47p-1, 0x1.c814e2d018083p-1, 0x1.c4ad2581fca4bp-1, 0x1.c133efd36880ep-1, 0x1.bdaa097374619p-1, 0x1.ba1038a1b1a2dp-1, 0x1.b66741f519e33p-1, 0x1.b2afe82766579p-1, 0x1.aeeaebe4924ecp-1, 0x1.ab190b9e4b8a4p-1, 0x1.a73b03631c86bp-1, 0x1.a3518cb915fd7p-1, 0x1.9f5d5e7bcafafp-1, 0x1.9b5f2cbd6cf66p-1, 0x1.9757a8aadd417p-1, 0x1.9347807287644p-1, 0x1.8f2f5f2dde92fp-1, 0x1.8b0feccd57f9dp-1, 0x1.86e9ce06bc0cap-1, 0x1.82bda445b20b4p-1, 0x1.7e8c0d9e5fafbp-1, 0x1.7a55a4c20314p-1, 0x1.761b00f568e61p-1, 0x1.71dcb60921ac3p-1, 0x1.6d9b54535e58dp-1, 0x1.695768ab5c362p-1, 0x1.65117c664403fp-1, 0x1.60ca15556ae7dp-1, 0x1.5c81b5c5dde0ap-1, 0x1.5838dc812230ep-1, 0x1.53f004cf18465p-1, 0x1.4fa7a678eff8ap-1, 0x1.4b6035cd1972cp-1, 0x1.471a23a42443bp-1, 0x1.42d5dd667affap-1, 0x1.3e93cd12edcdfp-1, 0x1.3a545945fb677p-1, 0x1.3617e541c9ffcp-1, 0x1.31ded0f6c6df5p-1, 0x1.2da9790cda6b9p-1, 0x1.297836ed280b3p-1, 0x1.254b60cc4e76dp-1, 0x1.212349b51a62bp-1, 0x1.1d004193a559ap-1, 0x1.18e29540d4084p-1, 0x1.14ca8e8e2a836p-1, 0x1.10b87451ef0f6p-1, 0x1.0cac8a73929ddp-1, 0x1.08a711f855fbdp-1, 0x1.04a8491025194p-1, 0x1.00b06b22a0b66p-1, 0x1.f97f61b8a09e2p-2, 0x1.f1aca077e923cp-2, 0x1.e9e8f93fec6aep-2, 0x1.e234cda7d2f2p-2, 0x1.da907a3c4599p-2, 0x1.d2fc569aacee7p-2, 0x1.cb78b58c7bebdp-2, 0x1.c405e52281bbdp-2, 0x1.bca42ed034e79p-2, 0x1.b553d786f2a3cp-2, 0x1.ae151fd12d678p-2, 0x1.a6e843ed7bd8ap-2, 0x1.9fcd7be98ea6ap-2, 0x1.98c4fbbcf755ep-2, 0x1.91cef363cafb5p-2, 0x1.8aeb8ef90e6e2p-2, 0x1.841af6d0ee23ap-2, 0x1.7d5d4f92bbfd9p-2, 0x1.76b2ba52aea3dp-2, 0x1.701b54ab5d94bp-2, 0x1.699738d6f898cp-2, 0x1.63267dc835c3fp-2, 0x1.5cc93742f4b2fp-2, 0x1.567f75f490db7p-2, 0x1.5049478be674ep-2, 0x1.4a26b6d100bdp-2, 0x1.4417cbbc76deep-2, 0x1.3e1c8b8e6dd04p-2, 0x1.3834f8e5469ebp-2, 0x1.326113d3efefcp-2, 0x1.2ca0d9f7dab58p-2, 0x1.26f4468e999p-2, 0x1.215b528b1b77ap-2, 0x1.1bd5f4aa8d90bp-2, 0x1.16642188dd8e9p-2, 0x1.1105cbb4dca7p-2, 0x1.0bbae3c402a4ep-2, 0x1.06835865d49eep-2, 0x1.015f1676e7d84p-2, 0x1.f89c1227116d1p-3, 0x1.eea03353fca36p-3, 0x1.e4ca6018e431ap-3, 0x1.db1a6504eac76p-3, 0x1.d1900bb451cb6p-3, 0x1.c82b1af20ce67p-3, 0x1.beeb56d8940a9p-3, 0x1.b5d080f1fe84ep-3, 0x1.acda585762b3bp-3, 0x1.a40899cf77be6p-3, 0x1.9b5affec8760bp-3, 0x1.92d14329a0d68p-3, 0x1.8a6b1a071bdadp-3, 0x1.822839266adabp-3, 0x1.7a0853652f281p-3, 0x1.720b19f7adf82p-3, 0x1.6a303c8289245p-3, 0x1.62776933d28dfp-3, 0x1.5ae04cdb75be1p-3, 0x1.536a9302f27a3p-3, 0x1.4c15e6047ac76p-3, 0x1.44e1ef216567p-3, 0x1.3dce5697fd996p-3, 0x1.36dac3b8be38bp-3, 0x1.3006dcfadc06fp-3, 0x1.2952481049678p-3, 0x1.22bca9f91135dp-3, 0x1.1c45a716231d2p-3, 0x1.15ece33b8a678p-3, 0x1.0fb201c20d82p-3, 0x1.0994a59848aebp-3, 0x1.039471532d059p-3, 0x1.fb620e7c051c6p-4, 0x1.efd412d3b26d4p-4, 0x1.e47e3378e82d7p-4, 0x1.d95fb3fd715aap-4, 0x1.ce77d7d520febp-4, 0x1.c3c5e270b43ffp-4, 0x1.b9491757a03eap-4, 0x1.af00ba4102497p-4, 0x1.a4ec0f2b94803p-4, 0x1.9b0a5a74bdc3fp-4, 0x1.915ae0eeb644bp-4, 0x1.87dce7f5d6d8p-4, 0x1.7e8fb584ff361p-4, 0x1.757290492fcbdp-4, 0x1.6c84bfb44b844p-4, 0x1.63c58c0f0ee8ap-4, 0x1.5b343e8a3bb58p-4, 0x1.52d0214f03744p-4, 0x1.4a987f8eafdbbp-4, 0x1.428ca59191989p-4, 0x1.3aabe0c537c62p-4, 0x1.32f57fc9f58b7p-4, 0x1.2b68d27fba166p-4, 0x1.24052a123f865p-4, 0x1.1cc9d90494a71p-4, 0x1.15b6333c060cfp-4, 0x1.0ec98e0a6b80ap-4, 0x1.08034037db226p-4, 0x1.0162a20bcb972p-4, 0x1.f5ce1aab44dfdp-5, 0x1.e91fbae97690bp-5, 0x1.dcb8debfc39c6p-5, 0x1.d098435897c7cp-5, 0x1.c4bca928221a9p-5, 0x1.b924d3f84b51dp-5, 0x1.adcf8af3bdc5cp-5, 0x1.a2bb98afffd12p-5, 0x1.97e7cb36acbp-5, 0x1.8d52f40dd4a2ep-5, 0x1.82fbe83f812ap-5, 0x1.78e180607385p-5, 0x1.6f0298961611fp-5, 0x1.655e109bb116p-5, 0x1.5bf2cbc6e23bcp-5, 0x1.52bfb10b6370ap-5, 0x1.49c3aafe228b2p-5, 0x1.40fda7d7b392fp-5, 0x1.386c99761eb96p-5, 0x1.300f755e1707p-5, 0x1.27e534bb97fbfp-5, 0x1.1fecd461f5bf2p-5, 0x1.182554cb60eadp-5, 0x1.108dba17e884cp-5, 0x1.09250c0bf7ab2p-5, 0x1.01ea560e5dbd4p-5, 0x1.f5b94e4bbc603p-6, 0x1.e7f623ec9f96fp-6, 0x1.da89597aa34afp-6, 0x1.cd71229d2ff17p-6, 0x1.c0abba1faf093p-6, 0x1.b43761e8a4906p-6, 0x1.a81262f014553p-6, 0x1.9c3b0d3541e96p-6, 0x1.90afb7b3c8669p-6, 0x1.856ec05818cbbp-6, 0x1.7a768bf36980ep-6, 0x1.6fc5862f191efp-6, 0x1.655a217f8acfp-6, 0x1.5b32d7168c71fp-6, 0x1.514e26d5430b5p-6, 0x1.47aa973dacea1p-6, 0x1.3e46b563b6bf1p-6, 0x1.352114ddf31cep-6, 0x1.2c384fb5f94c9p-6, 0x1.238b06586b796p-6, 0x1.1b17df84ad574p-6, 0x1.12dd883c53033p-6, 0x1.0adab3b252aaep-6, 0x1.030e1b39e547dp-6, 0x1.f6ecfc6a8f5fep-7, 0x1.e82544085de55p-7, 0x1.d9c2a3e43e4f2p-7, 0x1.cbc2be49181cfp-7, 0x1.be234111b841ep-7, 0x1.b0e1e584843f8p-7, 0x1.a3fc702ef92d7p-7, 0x1.9770b0c0ff205p-7, 0x1.8b3c81e7f9032p-7, 0x1.7f5dc929d4702p-7, 0x1.73d276bfd7649p-7, 0x1.6898857177ce2p-7, 0x1.5dadfa6f08e02p-7, 0x1.5310e52c794bdp-7, 0x1.48bf5f3bfdc4bp-7, 0x1.3eb78c28c2467p-7, 0x1.34f79951ac1a1p-7, 0x1.2b7dbdc422c08p-7, 0x1.22483a16ed216p-7, 0x1.195558452ef46p-7, 0x1.10a36b897caf1p-7, 0x1.0830d03917b38p-7, 0x1.fff7d73e85adbp-8, 0x1.f00657b1be7fbp-8, 0x1.e08a0f602b4e1p-8, 0x1.d17ffcf096e5dp-8, 0x1.c2e52fd47d0fbp-8, 0x1.b4b6c800d4d63p-8, 0x1.a6f1f5a72c242p-8, 0x1.9993f8ef692cep-8, 0x1.8c9a21b1f8337p-8, 0x1.8001cf3296a91p-8, 0x1.73c86fdb9e163p-8, 0x1.67eb80f9e50a5p-8, 0x1.5c688e794db73p-8, 0x1.513d32a1de784p-8, 0x1.466715d578426p-8, 0x1.3be3ee4e48d2p-8, 0x1.31b17fddd7193p-8, 0x1.27cd9bacb1ce1p-8, 0x1.1e361ffadfa1cp-8, 0x1.14e8f7e0ff62dp-8, 0x1.0be41b120f9ap-8, 0x1.03258d9df0c52p-8, 0x1.f556bf6950c3dp-9, 0x1.e4e75ad4b30a5p-9, 0x1.d4f93cf7e5ff8p-9, 0x1.c588cc293dc5bp-9, 0x1.b6928527f71aep-9, 0x1.a812faaa04cb2p-9, 0x1.9a06d4eb7425bp-9, 0x1.8c6ad13f434e5p-9, 0x1.7f3bc1a1e4862p-9, 0x1.72768c4d184aap-9, 0x1.66182b4d48839p-9, 0x1.5a1dac18a4ecep-9, 0x1.4e842f2791453p-9, 0x1.4348e78e9c6d5p-9, 0x1.38691a9a14bc2p-9, 0x1.2de21f6b0d9ddp-9, 0x1.23b15e95fa864p-9, 0x1.19d451c2b6ae1p-9, 0x1.1048834e1fe1bp-9, 0x1.070b8ded1fcc7p-9, 0x1.fc3638a2abafp-10, 0x1.eae9d19e223dap-10, 0x1.da2d7a09b9cf5p-10, 0x1.c9fce30931b11p-10, 0x1.ba53dafba424dp-10, 0x1.ab2e4cd38621cp-10, 0x1.9c883f713f5bdp-10, 0x1.8e5dd500f0521p-10, 0x1.80ab4a5ac2021p-10, 0x1.736cf6662133ep-10, 0x1.669f497fc2788p-10, 0x1.5a3ecce276bb3p-10, 0x1.4e482212bf82cp-10, 0x1.42b8024d0d7f1p-10, 0x1.378b3df6a4e09p-10, 0x1.2cbebc114b821p-10, 0x1.224f79b169131p-10, 0x1.183a8976fd75dp-10, 0x1.0e7d13090ebf7p-10, 0x1.0514529397da7p-10, 0x1.f7fb30901a296p-11, 0x1.e66c8fc089a68p-11, 0x1.d577b047ee30bp-11, 0x1.c517a4e11daadp-11, 0x1.b547a4873574p-11, 0x1.a603098e93c8ap-11, 0x1.974550c298c41p-11, 0x1.890a188891ddap-11, 0x1.7b4d200658477p-11, 0x1.6e0a464e768efp-11, 0x1.613d898ff1cf2p-11, 0x1.54e3064a4e3ap-11, 0x1.48f6f686943b5p-11, 0x1.3d75b113e38f3p-11, 0x1.325ba8c87a34ep-11, 0x1.27a56bc743829p-11, 0x1.1d4fa2c8bd8dep-11, 0x1.13571067e213dp-11, 0x1.09b89073833cfp-11, 0x1.00711743177bep-11, 0x1.eefb621e5f0adp-12, 0x1.ddb7029d14f49p-12, 0x1.cd0f842b5eddep-12, 0x1.bcff86f519d8ap-12, 0x1.ad81d5f81a98cp-12, 0x1.9e9165d8cb32ap-12, 0x1.902953bed457bp-12, 0x1.8244e43855845p-12, 0x1.74df8223b1f9ep-12, 0x1.67f4bd9f14f0dp-12, 0x1.5b804aff0fe52p-12, 0x1.4f7e01cb37b69p-12, 0x1.43e9dbc11954fp-12, 0x1.38bff3dd21175p-12, 0x1.2dfc856a1da09p-12, 0x1.239beb14d1be9p-12, 0x1.199a9e06b34e7p-12, 0x1.0ff535058fee1p-12, 0x1.06a863990eba5p-12, 0x1.fb61f26acc6e5p-13, 0x1.ea17c0d730b3bp-13, 0x1.d96c3c3db3753p-13, 0x1.c959a17c1fba4p-13, 0x1.b9da5f064453fp-13, 0x1.aae9136e9f909p-13, 0x1.9c808bf77d904p-13, 0x1.8e9bc32dd1fdep-13, 0x1.8135df8eb0273p-13, 0x1.744a32331b149p-13, 0x1.67d4358526bbbp-13, 0x1.5bcf8bff4d496p-13, 0x1.5037fef26f47dp-13, 0x1.45097d54c1cc6p-13, 0x1.3a401a995c4f5p-13, 0x1.2fd80d8f60f84p-13, 0x1.25cdaf47a5722p-13, 0x1.1c1d7a02a5d84p-13, 0x1.12c408260661fp-13, 0x1.09be1338ecf53p-13, 0x1.010872e7c008ep-13, 0x1.f140381d8eacep-14, 0x1.e1043f97adc4ap-14, 0x1.d157552b4a283p-14, 0x1.c23406b283b82p-14, 0x1.b395153d202a4p-14, 0x1.a575736794485p-14, 0x1.97d043b9b8084p-14, 0x1.8aa0d71456ecbp-14, 0x1.7de2ab2b86e82p-14, 0x1.71916907ad5c6p-14, 0x1.65a8e393be163p-14, 0x1.5a251635343bdp-14, 0x1.4f022370acffbp-14, 0x1.443c539586e68p-14, 0x1.39d01375bf046p-14, 0x1.2fb9f32783abfp-14, 0x1.25f6a4cefab1dp-14, 0x1.1c82fb70776f2p-14, 0x1.135be9cd47c08p-14, 0x1.0a7e8146ceedep-14, 0x1.01e7f0cde9e32p-14, 0x1.f32b07aefcc4cp-15, 0x1.e30942b298689p-15, 0x1.d36595a583e18p-15, 0x1.c43b36ad181a6p-15, 0x1.b5858d436ff24p-15, 0x1.a7403069522acp-15, 0x1.9966e4ee2b362p-15, 0x1.8bf59bc65444p-15, 0x1.7ee870685103p-15, 0x1.723ba73bdb068p-15, 0x1.65ebac19413c9p-15, 0x1.59f510ca638eep-15, 0x1.4e548ba2f832cp-15, 0x1.4306f61828009p-15, 0x1.38094b70aa522p-15, 0x1.2d58a7787b95p-15, 0x1.22f2454059aadp-15, 0x1.18d37de7f0515p-15, 0x1.0ef9c77751dep-15, 0x1.0562b3b822286p-15, 0x1.f817de456f8c7p-16, 0x1.e5e67f924df45p-16, 0x1.d42d08acf1ff8p-16, 0x1.c2e76624d3568p-16, 0x1.b211b1d82bf44p-16, 0x1.a1a8311c0022ep-16, 0x1.91a752febd082p-16, 0x1.820bae876ddb6p-16, 0x1.72d20115e4e38p-16, 0x1.63f72cc21f052p-16, 0x1.557836d397d09p-16, 0x1.47524645e53c4p-16, 0x1.3982a25d2b7fdp-16, 0x1.2c06b13d72cc4p-16, 0x1.1edbf69a9d574p-16, 0x1.12001273eef64p-16, 0x1.0570bfd031185p-16, 0x1.f257a721e558fp-17, 0x1.da5e769248ce2p-17, 0x1.c2f1f842163abp-17, 0x1.ac0e6397e2b92p-17, 0x1.95b01afe7cd16p-17, 0x1.7fd3a9e58d1dfp-17, 0x1.6a75c2ef06833p-17, 0x1.55933e107bebcp-17, 0x1.412916d914dc3p-17, 0x1.2d346abef8202p-17, 0x1.19b2777ed5f7fp-17, 0x1.06a0998ccc7b4p-17, 0x1.e7f89546d8e64p-18, 0x1.c38640957932ap-18, 0x1.9fe594edb1335p-18, 0x1.7d12248da77fap-18, 0x1.5b07b168584d6p-18, 0x1.39c22ac663a9bp-18, 0x1.193daaf2f7e7p-18, 0x1.f2ece9e66dc79p-19, 0x1.b4d1e4da6ad24p-19, 0x1.7823635313c83p-19, 0x1.3cdac7353db86p-19, 0x1.02f1b3e8bf585p-19, 0x1.94c415e04be85p-20, 0x1.264bd100c49afp-20, 0x1.74de80660146ap-21, 0x1.448dcd1269756p-22, -0x1.5a223936464bp-24, -0x1.e7aed4b1f349ap-22, -0x1.b78635af64c7dp-21, -0x1.3b31db5380fb8p-20, -0x1.98412fee87584p-20, -0x1.f2fa092d9bc1fp-20, -0x1.25b2896664646p-19, -0x1.50c55c34fd036p-19, -0x1.7ab994b74e647p-19, -0x1.a3932e502ec0ep-19, -0x1.cb560a136381p-19, -0x1.f205f0592deb5p-19, -0x1.0bd3493526187p-18, -0x1.1e1dc5f9b2023p-18, -0x1.2fe4324a582c8p-18, -0x1.4128489cd94bep-18, -0x1.51ebba9e40856p-18, -0x1.623031e82bfb6p-18, -0x1.71f7508f5bf4fp-18, -0x1.8142b1a4f97a4p-18, -0x1.9013e9c87c16cp-18, -0x1.9e6c879865c7p-18, -0x1.ac4e142da4b3p-18, -0x1.b9ba137ac7131p-18, -0x1.c6b204be78c23p-18, -0x1.d33762dc662a6p-18, -0x1.df4ba4ac44997p-18, -0x1.eaf03d5672adap-18, -0x1.f6269ca2f7718p-18, -0x1.0078179cb6993p-17, -0x1.05a72f7345043p-17, -0x1.0aa1496dfeb59p-17, -0x1.0f6717f1f24ep-17, -0x1.13f94c4c09868p-17, -0x1.185896c4ffa7ep-17, -0x1.1c85a6bb6b042p-17, -0x1.20812ab23424dp-17, -0x1.244bd065208f2p-17, -0x1.27e644d8bce62p-17, -0x1.2b51346a03e5fp-17, -0x1.2e8d4ad8feb4ap-17, -0x1.319b3354ffeeap-17, -0x1.347b98878e0b1p-17, -0x1.372f249c6e556p-17, -0x1.39b68147a8388p-17, -0x1.3c1257cc724b4p-17, -0x1.3e4351018388fp-17, -0x1.404a1553e85c2p-17, -0x1.42274ccc18d85p-17, -0x1.43db9f1011fcep-17, -0x1.4567b362c9c58p-17, -0x1.46cc30a6c8fap-17, -0x1.4809bd5b3ae69p-17, -0x1.4920ff9dc7c8cp-17, -0x1.4a129d26abc98p-17, -0x1.4adf3b4729167p-17, -0x1.4b877ee6af3bfp-17, -0x1.4c0c0c7e869ccp-17, -0x1.4c6d8814faed9p-17, -0x1.4cac953aae84p-17, -0x1.4cc9d707e806bp-17, -0x1.4cc5f0133ad61p-17, -0x1.4ca1826ef349dp-17, -0x1.4c5d2fa3105efp-17, -0x1.4bf998a6fdd74p-17, -0x1.4b775dda889fep-17, -0x1.4ad71f015be06p-17, -0x1.4a197b3afbc59p-17, -0x1.493f10fce3a54p-17, -0x1.48487e09ff5e5p-17, -0x1.47365f6c3f482p-17, -0x1.4609516fb3d5bp-17, -0x1.44c1ef9a7cb42p-17, -0x1.4360d4a32e2f7p-17, -0x1.41e69a6e2e04ep-17, -0x1.4053da02bb71dp-17, -0x1.3ea92b86320abp-17, -0x1.3ce726328123ap-17, -0x1.3b0e6051fa4dp-17, -0x1.391f6f3680315p-17, -0x1.371ae732f4c27p-17, -0x1.35015b9411cf4p-17, -0x1.32d35e998acecp-17, -0x1.3091817053836p-17, -0x1.2e3c542c0ad74p-17, -0x1.2bd465bee3edp-17, -0x1.295a43f6172b9p-17, -0x1.26ce7b715f831p-17, -0x1.2431979dbf291p-17, -0x1.218422afa6874p-17, -0x1.1ec6a59cfe0d8p-17, -0x1.1bf9a81876dep-17, -0x1.191db08add4fp-17, -0x1.1633440f345cp-17, -0x1.133ae66c50a5p-17, -0x1.10351a108dfcp-17, -0x1.0d22600d43aa4p-17, -0x1.0a033813212a9p-17, -0x1.06d8206bad7c6p-17, -0x1.03a195f7d1bd3p-17, -0x1.006014293609dp-17, -0x1.fa282a005ad81p-18, -0x1.f37c220e8b961p-18, -0x1.ecbcfea1f1849p-18, -0x1.e5ebaae710318p-18, -0x1.df090f0cd4469p-18, -0x1.d816103f83f0ep-18, -0x1.d11390a251157p-18, -0x1.ca026f487ad29p-18, -0x1.c2e38835bb50cp-18, -0x1.bbb7b4576d03dp-18, -0x1.b47fc98123ec3p-18, -0x1.ad3c9a694ce6p-18, -0x1.a5eef6a4f4389p-18, -0x1.9e97aaa6007dp-18, -0x1.97377fb89558fp-18, -0x1.8fcf3c02dab69p-18, -0x1.885fa281f64b1p-18, -0x1.80e973087b3c4p-18, -0x1.796d6a3f3913ep-18, -0x1.71ec41a2b0a2cp-18, -0x1.6a66af8170a0bp-18, -0x1.62dd66fe0f84bp-18, -0x1.5b511812c5db1p-18, -0x1.53c26f8d1d32ap-18, -0x1.4c321710f3fdcp-18, -0x1.44a0b5192911dp-18, -0x1.3d0eecf8a1f15p-18, -0x1.357d5edbe45f5p-18, -0x1.2deca7ccdbf16p-18, -0x1.265d61b6b8ffep-18, -0x1.1ed0236482e1bp-18, -0x1.17458086d06c1p-18, -0x1.0fbe09b6cc1e1p-18, -0x1.083a4c76ac07dp-18, -0x1.00bad336a4d9ep-18, -0x1.f2804ab43829p-19, -0x1.e3958e7bdefaep-19, -0x1.d4b6746eb148p-19, -0x1.c5e3f93915fdep-19, -0x1.b71f138d3fdd1p-19, -0x1.a868b42db8768p-19, -0x1.99c1c5f932972p-19, -0x1.8b2b2df3cb886p-19, -0x1.7ca5cb5aff153p-19, -0x1.6e3277a38e471p-19, -0x1.5fd2068d3b803p-19, -0x1.5185462c1ab95p-19, -0x1.434cfef1c7cecp-19, -0x1.3529f3bbe124dp-19, -0x1.271ce1e145d29p-19, -0x1.1926814603e25p-19, -0x1.0b47845d567d2p-19, -0x1.fb01307ab2bep-20, -0x1.dfa4c956b429p-20, -0x1.c47b184e11fa8p-20, -0x1.a98557f5fb45ep-20, -0x1.8ec4b8931db64p-20, -0x1.743a604753a39p-20, -0x1.59e76b1efc2dep-20, -0x1.3fcceb3001b79p-20, -0x1.25ebe8bc9c245p-20, -0x1.0c456249affcfp-20, -0x1.e5b499851d91dp-21, -0x1.b357272208b39p-21, -0x1.8174319a8cbf7p-21, -0x1.500d6aac823afp-21, -0x1.1f2471c80fa16p-21, -0x1.dd75a8e1e0101p-22, -0x1.7da41cd07fb07p-22, -0x1.1ed713da65d0fp-22, -0x1.822280000afa9p-23, -0x1.9154c508d86c6p-24, -0x1.14aacc76a9113p-27, 0x1.47f00bb09b48fp-24, 0x1.57195aca6352p-23, 0x1.040a9bbd51b3ap-22, 0x1.5b73e02491fc8p-22, 0x1.b1c6abb7add86p-22, 0x1.0380a70ca29e2p-21, 0x1.2d911a5e49faep-21, 0x1.5713f53469796p-21, 0x1.80088b7dfa6a6p-21, 0x1.a86e3f5462561p-21, 0x1.d04480c4640ecp-21, 0x1.f78acd99c95c1p-21, 0x1.0f20588a889e8p-20, 0x1.2232e1db2b5ddp-20, 0x1.34fcd56db3f96p-20, 0x1.477e0c4d81f4cp-20, 0x1.59b665c615d62p-20, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.5ea8309c26bfep-8, 0x1.5f5595fb91ab1p-7, 0x1.0856584f525b9p-6, 0x1.61fc29c404b7p-6, 0x1.bce58b6ea4ad5p-6, 0x1.0caa486c482c8p-5, 0x1.3bc1b2e18394ep-5, 0x1.6bd1f65241743p-5, 0x1.9cefcdbc1ebecp-5, 0x1.cf2bc4e145ee5p-5, 0x1.0149292de27bp-4, 0x1.1b96000f8edacp-4, 0x1.367ecf471b014p-4, 0x1.52043f7cffeecp-4, 0x1.6e25597990298p-4, 0x1.8adfa72c5c7ccp-4, 0x1.a82f553d83b52p-4, 0x1.c60f5481ecff7p-4, 0x1.e4797ad19d6aep-4, 0x1.01b3516f7caadp-3, 0x1.11676563f023fp-3, 0x1.215498975f206p-3, 0x1.3176385d7ba8ep-3, 0x1.41c74cf6d6a5ep-3, 0x1.5242a5a16d3d8p-3, 0x1.62e2e3cf80633p-3, 0x1.73a285882a9bdp-3, 0x1.847beef7746c9p-3, 0x1.956973356dcd4p-3, 0x1.a6655c4d178ap-3, 0x1.b769f28c8dbd7p-3, 0x1.c8718328706bcp-3, 0x1.d976663c9b7ep-3, 0x1.ea7304344e544p-3, 0x1.fb61daa39da65p-3, 0x1.061ec04de9807p-2, 0x1.0e805541f6bbap-2, 0x1.16d316bf0f253p-2, 0x1.1f1481314ad8bp-2, 0x1.2742242bc6f3ap-2, 0x1.2f59a386fe769p-2, 0x1.3758b854f581cp-2, 0x1.3f3d31ae7b6edp-2, 0x1.4704f55c8b985p-2, 0x1.4eae0060ad7cp-2, 0x1.5636675ef128ap-2, 0x1.5d9c56ec0cb7fp-2, 0x1.64de13c1dc4c5p-2, 0x1.6bf9fadc7551fp-2, 0x1.72ee8181c1f31p-2, 0x1.79ba35358abbep-2, 0x1.805bbb9ba4093p-2, 0x1.86d1d249ddfd2p-2, 0x1.8d1b4e8b402b1p-2, 0x1.93371d15ee9ddp-2, 0x1.992441b50fb72p-2, 0x1.9ee1d6e7eb29p-2, 0x1.a46f0d7765314p-2, 0x1.a9cb2c02ea49p-2, 0x1.aef58e85c6d9dp-2, 0x1.b3eda5d5dbfb6p-2, 0x1.b8b2f71c8f546p-2, 0x1.bd451b4ac2a02p-2, 0x1.c1a3be8896908p-2, 0x1.c5ce9fa1ac0bp-2, 0x1.c9c58f6e88af4p-2, 0x1.cd88703bbe4cep-2, 0x1.d117352f60b38p-2, 0x1.d471e1ad5314cp-2, 0x1.d79888bae499bp-2, 0x1.da8b4c6233cb5p-2, 0x1.dd4a5d15ba006p-2, 0x1.dfd5f91467ee9p-2, 0x1.e22e6bcea60ccp-2, 0x1.e4540d4c8a244p-2, 0x1.e64741958e977p-2, 0x1.e808781a0e379p-2, 0x1.e9982b1ebc846p-2, 0x1.eaf6df2a55b5dp-2, 0x1.ec252275b922bp-2, 0x1.ed238c5e90536p-2, 0x1.edf2bcdcb553ap-2, 0x1.ee935bfa7003dp-2, 0x1.ef06194fafcb9p-2, 0x1.ef4bab8054264p-2, 0x1.ef64cfbd9c3acp-2, 0x1.ef52494ad4cc5p-2, 0x1.ef14e1054729bp-2, 0x1.eead64ef7f873p-2, 0x1.ee1ca7bfef9afp-2, 0x1.ed638072ee5c6p-2, 0x1.ec82c9e0236a9p-2, 0x1.eb7b6253531a3p-2, 0x1.ea4e2b2890728p-2, 0x1.e8fc086bd74c7p-2, 0x1.e785e07bfc8bap-2, 0x1.e5ec9bb0fb7ap-2, 0x1.e431240590e2ap-2, 0x1.e25464c41f84ep-2, 0x1.e0574a36cfcd3p-2, 0x1.de3ac15ae2e98p-2, 0x1.dbffb7972ce7dp-2, 0x1.d9a71a75a448p-2, 0x1.d731d760037cp-2, 0x1.d4a0db5f63b5p-2, 0x1.d1f512dec51e7p-2, 0x1.cf2f69707c9b4p-2, 0x1.cc50c99669ff3p-2, 0x1.c95a1c8cf490dp-2, 0x1.c64c4a18b28fep-2, 0x1.c3283856b212ep-2, 0x1.bfeecb8f5133fp-2, 0x1.bca0e60b906fdp-2, 0x1.b93f67ecd74e1p-2, 0x1.b5cb2f070f9b2p-2, 0x1.b24516bd117e8p-2, 0x1.aeadf7df4364ep-2, 0x1.ab06a88c6bfc6p-2, 0x1.a74ffc1497092p-2, 0x1.a38ac2de0526ep-2, 0x1.9fb7ca4c15518p-2, 0x1.9bd7dca8154a7p-2, 0x1.97ebc10be9e74p-2, 0x1.93f43b4e82f8cp-2, 0x1.8ff20bf205ae5p-2, 0x1.8be5f013a1955p-2, 0x1.87d0a15d00601p-2, 0x1.83b2d5f743418p-2, 0x1.7f8d407f7bd69p-2, 0x1.7b608ffc944bfp-2, 0x1.772d6fd69ae08p-2, 0x1.72f487cf5f2d1p-2, 0x1.6eb67bfc55513p-2, 0x1.6a73ecc1b4064p-2, 0x1.662d76cebc01dp-2, 0x1.61e3b31b220d6p-2, 0x1.5d9736e5880a2p-2, 0x1.594893b3015bp-2, 0x1.54f8574f90ad8p-2, 0x1.50a70bcf95e49p-2, 0x1.4c5537921fd4fp-2, 0x1.48035d441bab3p-2, 0x1.43b1fbe44d4f2p-2, 0x1.3f618ec813684p-2, 0x1.3b128da0e3394p-2, 0x1.36c56c8273f6ap-2, 0x1.327a9be99613ep-2, 0x1.2e3288c3a560bp-2, 0x1.29ed9c7692e15p-2, 0x1.25ac3ce97af38p-2, 0x1.216ecc8dbda2p-2, 0x1.1d35aa6898452p-2, 0x1.1901321d2d87ep-2, 0x1.14d1bbf6fee54p-2, 0x1.10a79cf4c7579p-2, 0x1.0c8326d3b6c9ep-2, 0x1.0864a81b02dbfp-2, 0x1.044c6c27c821dp-2, 0x1.003abb3936282p-2, 0x1.f85fb4f9fae0ep-3, 0x1.f0581837f52p-3, 0x1.e85f1e8e3414ep-3, 0x1.e0754088d9fbap-3, 0x1.d89af0f8d4753p-3, 0x1.d0d09d0eacffap-3, 0x1.c916ac759e0acp-3, 0x1.c16d816ee0585p-3, 0x1.b9d578ed2b60cp-3, 0x1.b24eeab05d4c6p-3, 0x1.aada296140d5bp-3, 0x1.a37782ad6bcbep-3, 0x1.9c273f632ba8dp-3, 0x1.94e9a38d7cb47p-3, 0x1.8dbeee8ffa1fcp-3, 0x1.86a75b42d4472p-3, 0x1.7fa3200ea9ee2p-3, 0x1.78b26f085b534p-3, 0x1.71d5760cbd988p-3, 0x1.6b0c5edc3125dp-3, 0x1.64574f361075dp-3, 0x1.5db668f3f66ccp-3, 0x1.5729ca24db576p-3, 0x1.50b18d27f6fb7p-3, 0x1.4a4dc8c76cffdp-3, 0x1.43fe9052c3ac9p-3, 0x1.3dc3f3b90fe7p-3, 0x1.379dffa2eaa45p-3, 0x1.318cbd8c157p-3, 0x1.2b9033dcdb371p-3, 0x1.25a8660321e8fp-3, 0x1.1fd5548b2a4b8p-3, 0x1.1a16fd3804283p-3, 0x1.146d5b1ba7e13p-3, 0x1.0ed866aebab2bp-3, 0x1.095815e7faff6p-3, 0x1.03ec5c5354a6p-3, 0x1.fd2a5651205f4p-4, 0x1.f2a4e2c36060cp-4, 0x1.e84837a1cdb9p-4, 0x1.de142a6c593c8p-4, 0x1.d4088ca8f11acp-4, 0x1.ca252c0d25bbfp-4, 0x1.c069d2a7109f2p-4, 0x1.b6d64705665b4p-4, 0x1.ad6a4c5ed1aaep-4, 0x1.a425a2b87452cp-4, 0x1.9b08070ba4c2ep-4, 0x1.9211336aeb6f1p-4, 0x1.8940df261f266p-4, 0x1.8096beedcc91ep-4, 0x1.781284f5c79a2p-4, 0x1.6fb3e116f412fp-4, 0x1.677a80f04a3fdp-4, 0x1.5f6610070bc22p-4, 0x1.577637e637b79p-4, 0x1.4faaa03d3212dp-4, 0x1.4802eefdaa521p-4, 0x1.407ec878bbc44p-4, 0x1.391dcf7b4b6a5p-4, 0x1.31dfa569a562ap-4, 0x1.2ac3ea5a5b474p-4, 0x1.23ca3d3062cb5p-4, 0x1.1cf23bb47d35ap-4, 0x1.163b82addfa15p-4, 0x1.0fa5adfa2935dp-4, 0x1.093058a49f123p-4, 0x1.02db1cfcb8d3p-4, 0x1.f94b2957f5c65p-5, 0x1.ed1eb19641c12p-5, 0x1.e13003ed3f4a9p-5, 0x1.d57e50c4f0e64p-5, 0x1.ca08c7dad86a9p-5, 0x1.bece9867061ddp-5, 0x1.b3cef13fed475p-5, 0x1.a90900fcfa54ep-5, 0x1.9e7bf617e9e16p-5, 0x1.9426ff0cf28d4p-5, 0x1.8a094a79bf337p-5, 0x1.8022073b3e66bp-5, 0x1.7670648a53e2cp-5, 0x1.6cf3921766a97p-5, 0x1.63aac024da39cp-5, 0x1.5a951fa078dacp-5, 0x1.51b1e23bcd937p-5, 0x1.49003a8375321p-5, 0x1.407f5bf576384p-5, 0x1.382e7b1694c49p-5, 0x1.300ccd86b40fbp-5, 0x1.28198a14495d9p-5, 0x1.2053e8cee0072p-5, 0x1.18bb2318bd641p-5, 0x1.114e73b79b6f9p-5, 0x1.0a0d16e497b4bp-5, 0x1.02f64a5b3e3c5p-5, 0x1.f8129acfa04ep-6, 0x1.ea8ac1e96fbf4p-6, 0x1.dd538f2e8006fp-6, 0x1.d06b8b370596dp-6, 0x1.c3d1421f4c08bp-6, 0x1.b783439cb7b2ap-6, 0x1.ab80231171f1dp-6, 0x1.9fc6779eb3803p-6, 0x1.9454dc35c6dfep-6, 0x1.8929efa7cb4c6p-6, 0x1.7e4454b43b03ap-6, 0x1.73a2b2163e0bep-6, 0x1.6943b290dddecp-6, 0x1.5f2604fa17dd7p-6, 0x1.55485c44d7b2ep-6, 0x1.4ba96f89ee0dfp-6, 0x1.4247fa0fff787p-6, 0x1.3922bb527a13fp-6, 0x1.303877079d7dbp-6, 0x1.2787f52590a0ep-6, 0x1.1f1001e6a2516p-6, 0x1.16cf6dcca533dp-6, 0x1.0ec50da3869d2p-6, 0x1.06efba830cb5dp-6, 0x1.fe9ca39fcc335p-7, 0x1.efbf6a77d3c13p-7, 0x1.e145958b6a358p-7, 0x1.d32cf96f26e67p-7, 0x1.c573734b902c7p-7, 0x1.b816e8d85cd19p-7, 0x1.ab1548569ed83p-7, 0x1.9e6c8889bb728p-7, 0x1.921aa8af4db98p-7, 0x1.861db076066efp-7, 0x1.7a73aff38a32bp-7, 0x1.6f1abf995da67p-7, 0x1.64110028e6896p-7, 0x1.59549aa6a22a2p-7, 0x1.4ee3c04c6e00ap-7, 0x1.44bcaa7b33376p-7, 0x1.3add9aaba2f3cp-7, 0x1.3144da5e770d2p-7, 0x1.27f0bb0beb9f8p-7, 0x1.1edf961297c0dp-7, 0x1.160fcca5bf3ebp-7, 0x1.0d7fc7bb11928p-7, 0x1.052df7f7ef844p-7, 0x1.fa31ab3c50932p-8, 0x1.ea7dc0f08f7c8p-8, 0x1.db3d3f8af61dep-8, 0x1.cc6d444a2f515p-8, 0x1.be0afb0373766p-8, 0x1.b0139df855277p-8, 0x1.a28475aba3774p-8, 0x1.955ad8b5f3844p-8, 0x1.88942b999d975p-8, 0x1.7c2de09648d3p-8, 0x1.7025777c1ec92p-8, 0x1.64787d7e7f8dep-8, 0x1.59248d0685f18p-8, 0x1.4e274d852d6e5p-8, 0x1.437e734552175p-8, 0x1.3927bf3d71c1cp-8, 0x1.2f20fee175a04p-8, 0x1.25680bf41299p-8, 0x1.1bfacc58368dbp-8, 0x1.12d731e285afbp-8, 0x1.09fb3a2a9ef7dp-8, 0x1.0164ee5cb59fdp-8, 0x1.f224c615e1406p-9, 0x1.e2036ffdc1f4ap-9, 0x1.d262301686544p-9, 0x1.c33d71bb6118fp-9, 0x1.b491b5a12034dp-9, 0x1.a65b917aabe9ap-9, 0x1.9897af9d8a602p-9, 0x1.8b42cea6d076ap-9, 0x1.7e59c120e63a6p-9, 0x1.71d96d299d01bp-9, 0x1.65becc18b97dcp-9, 0x1.5a06ea27a799fp-9, 0x1.4eaee619429e3p-9, 0x1.43b3f0e235519p-9, 0x1.39134d52aac11p-9, 0x1.2eca4fc00da9ap-9, 0x1.24d65daff6c02p-9, 0x1.1b34ed83d66f8p-9, 0x1.11e3862583b62p-9, 0x1.08dfbeb41ee42p-9, 0x1.00273e324a9fcp-9, 0x1.ef6f766a333d8p-10, 0x1.df1df727b339dp-10, 0x1.cf55a8319fa85p-10, 0x1.c012506656283p-10, 0x1.b14fd3524c862p-10, 0x1.a30a309776431p-10, 0x1.953d835615c4dp-10, 0x1.87e601979eb34p-10, 0x1.7afffbbb6dd58p-10, 0x1.6e87dbe5b742fp-10, 0x1.627a25708800dp-10, 0x1.56d3745dc854fp-10, 0x1.4b907ccc32b26p-10, 0x1.40ae0a6e1ba62p-10, 0x1.3629000211836p-10, 0x1.2bfe56cd6ff74p-10, 0x1.222b1e19b10aep-10, 0x1.18ac7ab2e0a19p-10, 0x1.0f7fa667e456ep-10, 0x1.06a1ef8dd77d9p-10, 0x1.fc217109319a8p-11, 0x1.eb92ee7b2d721p-11, 0x1.db93698965d39p-11, 0x1.cc1e1996b2044p-11, 0x1.bd2e5a6a3129fp-11, 0x1.aebfab4c66047p-11, 0x1.a0cdae2933b9cp-11, 0x1.935426b5441b9p-11, 0x1.864ef99729d02p-11, 0x1.79ba2b94f8982p-11, 0x1.6d91e0c5b203ap-11, 0x1.61d25bc613f81p-11, 0x1.5677fcf0b2494p-11, 0x1.4b7f419a78ec3p-11, 0x1.40e4c353ff7a4p-11, 0x1.36a5372c3ca7ep-11, 0x1.2cbd6cf896e28p-11, 0x1.232a4ea0f57efp-11, 0x1.19e8df6ded36bp-11, 0x1.10f63b5b2fa48p-11, 0x1.084f966d1195bp-11, 0x1.ffe478157a93fp-12, 0x1.efb71cb52e66p-12, 0x1.e0120b4515019p-12, 0x1.d0f05f58526c5p-12, 0x1.c24d5e56fd48dp-12, 0x1.b4247652d38c4p-12, 0x1.a6713ce16be05p-12, 0x1.992f6dfd365d2p-12, 0x1.8c5aeaeefd66ap-12, 0x1.7fefb93a80f9cp-12, 0x1.73ea01923c49fp-12, 0x1.68460ed3be6d1p-12, 0x1.5d004d05d9345p-12, 0x1.5215485fde78bp-12, 0x1.4781ac536505ep-12, 0x1.3d42429f0c364p-12, 0x1.3353f265fd466p-12, 0x1.29b3bf4b59dd7p-12, 0x1.205ec894d6b32p-12, 0x1.17524852ffeb7p-12, 0x1.0e8b928cb440ep-12, 0x1.0608147202581p-12, 0x1.fb8aa7213a669p-13, 0x1.eb81da23d486ap-13, 0x1.dbf129f6e283fp-13, 0x1.ccd42ae6da166p-13, 0x1.be269c1774a0ep-13, 0x1.afe46623853cp-13, 0x1.a20999c06cb1cp-13, 0x1.94926e72e7d24p-13, 0x1.877b4140c18cep-13, 0x1.7ac0937620bebp-13, 0x1.6e5f09707c904p-13, 0x1.6253696e45fc8p-13, 0x1.569a9a68a7b54p-13, 0x1.4b31a2f99b0d2p-13, 0x1.4015a8414ff25p-13, 0x1.3543ecdacf38fp-13, 0x1.2ab9cfd424525p-13, 0x1.2074cbabb793ep-13, 0x1.1672755b0486bp-13, 0x1.0cb07b658ae1p-13, 0x1.032ca4ebb3026p-13, 0x1.f3c9a190478bbp-14, 0x1.e1ade96906178p-14, 0x1.d00238dfc2693p-14, 0x1.bec2d1de6955ep-14, 0x1.adec1f2660a56p-14, 0x1.9d7ab2c248ecbp-14, 0x1.8d6b449105d1ap-14, 0x1.7dbab0cfd264fp-14, 0x1.6e65f6b2e1c79p-14, 0x1.5f6a370dfb9a9p-14, 0x1.50c4b300ec0f1p-14, 0x1.4272cab435a4dp-14, 0x1.3471fc19aedb1p-14, 0x1.26bfe1bac2592p-14, 0x1.195a318f5a48cp-14, 0x1.0c3ebbe344e3cp-14, 0x1.fed6d4785dc74p-15, 0x1.e5bc7c9c6f7ep-15, 0x1.cd2aa1f4f4719p-15, 0x1.b51da2a155027p-15, 0x1.9d92073eacdeap-15, 0x1.868481109e8e3p-15, 0x1.6ff1e8335c01bp-15, 0x1.59d739ebd3699p-15, 0x1.443197020217p-15, 0x1.2efe4228a504ap-15, 0x1.1a3a9e6ca0d47p-15, 0x1.05e42dc131b1bp-15, 0x1.e3f11f1ba6effp-16, 0x1.bceafe89ca28fp-16, 0x1.96b1a643ae8cbp-16, 0x1.7140f597bb031p-16, 0x1.4c94fc428f13bp-16, 0x1.28a9f80a1a35p-16, 0x1.057c5281429b6p-16, 0x1.c6113d843da5bp-17, 0x1.82972ea25ba0ap-17, 0x1.4084384c41a7cp-17, 0x1.ffa4c27f1694cp-18, 0x1.80f7e684216d1p-18, 0x1.04f6ef75924d9p-18, 0x1.172ecfd992b1fp-19, 0x1.4cf4be0fe3abp-22, -0x1.7dabf7788273ap-20, -0x1.a24152f0f4728p-19, -0x1.405a8c4bef671p-18, -0x1.ad212270bc4a5p-18, -0x1.0bbe49edf38fcp-17, -0x1.3fba5ce69befep-17, -0x1.728891e17ffd4p-17, -0x1.a42c8dfcf651dp-17, -0x1.d4a9d60751078p-17, -0x1.0201e854caf8ep-16, -0x1.191ee4393d2c1p-16, -0x1.2fad76db5b2edp-16, -0x1.45af2c3f61558p-16, -0x1.5b258528fe63fp-16, -0x1.7011f7eb1319ep-16, -0x1.8475f13372877p-16, -0x1.9852d4d7096cbp-16, -0x1.aba9fe89309d9p-16, -0x1.be7cc28082a7cp-16, -0x1.d0cc6e2c23133p-16, -0x1.e29a48c7e474ep-16, -0x1.f3e793f6d236ep-16, -0x1.025ac6216311dp-15, -0x1.0a82b4d70d10fp-15, -0x1.126c301615788p-15, -0x1.1a17d00c22f7bp-15, -0x1.21862b4e62fb5p-15, -0x1.28b7d711b3b0bp-15, -0x1.2fad675a49ee8p-15, -0x1.36676f2646707p-15, -0x1.3ce6809c4c18p-15, -0x1.432b2d307686ap-15, -0x1.493605ca8129ep-15, -0x1.4f079ae3e226dp-15, -0x1.54a07caa45685p-15, -0x1.5a013b1c7d95p-15, -0x1.5f2a66263beebp-15, -0x1.641c8db5fc86bp-15, -0x1.68d841d2d7c99p-15, -0x1.6d5e12b54f7d9p-15, -0x1.71ae90d4397b9p-15, -0x1.75ca4cf82c612p-15, -0x1.79b1d849c5f71p-15, -0x1.7d65c45e28072p-15, -0x1.80e6a343bfc64p-15, -0x1.84350787866cdp-15, -0x1.87518441876a9p-15, -0x1.8a3cad19e4d3bp-15, -0x1.8cf71652e48e4p-15, -0x1.8f8154c474714p-15, -0x1.91dbfde7f299ap-15, -0x1.9407a7d5be7a2p-15, -0x1.9604e947d58cep-15, -0x1.97d45997d2ff4p-15, -0x1.997690c02c06ep-15, -0x1.9aec275aaa0dp-15, -0x1.9c35b69c970eep-15, -0x1.9d53d851b706fp-15, -0x1.9e4726d9f96a2p-15, -0x1.9f103d257c194p-15, -0x1.9fafb6af7b103p-15, -0x1.a0262f72f2b66p-15, -0x1.a07443eb86742p-15, -0x1.a09a91095b6ap-15, -0x1.a099b42bd0a3ap-15, -0x1.a0724b16e9ba5p-15, -0x1.a024f3ecec90bp-15, -0x1.9fb24d268ae14p-15, -0x1.9f1af5880af2p-15, -0x1.9e5f8c183dcf6p-15, -0x1.9d80b015a51e5p-15, -0x1.9c7f00eed4decp-15, -0x1.9b5b1e3894006p-15, -0x1.9a15a79f98254p-15, -0x1.98af3ce2cf956p-15, -0x1.97287dc70b525p-15, -0x1.95820a0afd79p-15, -0x1.93bc815eea7a6p-15, -0x1.91d883561485fp-15, -0x1.8fd6af608d272p-15, -0x1.8db7a4bd1a774p-15, -0x1.8b7c0270951bap-15, -0x1.8924673842eb7p-15, -0x1.86b171803a2b8p-15, -0x1.8423bf59d0517p-15, -0x1.817bee7022072p-15, -0x1.7eba9bfb9a4b2p-15, -0x1.7be064ba43fdbp-15, -0x1.78ede4e34e7b4p-15, -0x1.75e3b81d20241p-15, -0x1.72c27973941fbp-15, -0x1.6f8ac34c2cfcbp-15, -0x1.6c3d2f5ed9881p-15, -0x1.68da56a9b92dbp-15, -0x1.6562d1697f2bfp-15, -0x1.61d7370d720acp-15, -0x1.5e381e2eb22ecp-15, -0x1.5a861c8941579p-15, -0x1.56c1c6f103b1ap-15, -0x1.52ebb14908932p-15, -0x1.4f046e7b88159p-15, -0x1.4b0c907117a56p-15, -0x1.4704a807ecfaep-15, -0x1.42ed450d3bb41p-15, -0x1.3ec6f6344977bp-15, -0x1.3a92490fd5495p-15, -0x1.364fca0994e04p-15, -0x1.3200045cc5f14p-15, -0x1.2da3820d22405p-15, -0x1.293acbe09862p-15, -0x1.24c66959ec832p-15, -0x1.2046e0b30b5e9p-15, -0x1.1bbcb6d51f42p-15, -0x1.17286f53bb2fap-15, -0x1.128a8c6744867p-15, -0x1.0de38ee6e05d9p-15, -0x1.0933f643cd201p-15, -0x1.047c4084f515cp-15, -0x1.ff79d4857dc83p-16, -0x1.f5ecdd4261e94p-16, -0x1.ec528e98a36e6p-16, -0x1.e2abd8e9f8878p-16, -0x1.d8f9a995d5c93p-16, -0x1.cf3ceaf4c093fp-16, -0x1.c5768452fbcp-16, -0x1.bba759eaf9325p-16, -0x1.b1d04cdb16a47p-16, -0x1.a7f23b24fb832p-16, -0x1.9e0dffa48a1e7p-16, -0x1.9424720c8f8b7p-16, -0x1.8a3666e2936c7p-16, -0x1.8044af7b6a47fp-16, -0x1.765019faf33d7p-16, -0x1.6c59714b8807ap-16, -0x1.62617d1dc356dp-16, -0x1.586901e72f966p-16, -0x1.4e70c0dd7f62dp-16, -0x1.447977f649cdfp-16, -0x1.3a83e1e6465fep-16, -0x1.3090b6237f234p-16, -0x1.26a0a8de760b8p-16, -0x1.1cb46b06fae77p-16, -0x1.12ccaa4a7b093p-16, -0x1.08ea1112dee18p-16, -0x1.fe1a8d10fd99bp-17, -0x1.ea6ddd2673e06p-17, -0x1.d6cf53bde1519p-17, -0x1.c3402bb2d03adp-17, -0x1.afc19969e942ap-17, -0x1.9c54cad5f1b52p-17, -0x1.88fae77c21345p-17, -0x1.75b51079e9c7fp-17, -0x1.6284608869d9ep-17, -0x1.4f69ec09ee1c3p-17, -0x1.3c66c10f11d9ap-17, -0x1.297be754f0343p-17, -0x1.16aa605b3c612p-17, -0x1.03f327627f965p-17, -0x1.e2ae62edd7e3p-18, -0x1.bdaedaf01b51bp-18, -0x1.98e9884d23a8ep-18, -0x1.746030636a539p-18, -0x1.50148c70d2cddp-18, -0x1.2c0849b663e7cp-18, -0x1.083d0982171f7p-18, -0x1.c968c29d0637cp-19, -0x1.82dfb5b10013ap-19, -0x1.3ce1e8661a6efp-19, -0x1.eee47f9df882bp-20, -0x1.6527144e8d0aap-20, -0x1.b921fb71a1da7p-21, -0x1.549df76a0df5fp-22, 0x1.8882aee31dc92p-23, 0x1.6c2328563b5a3p-21, 0x1.39d77f94b227dp-20, 0x1.bc5d85eac124fp-20, 0x1.1ecf9fcc3bdccp-19, 0x1.5ecc37be93438p-19, 0x1.9e22812d9de85p-19, }}, 
      {{0x1.ffdd1780df75ap-1, 0x1.ff7522d45841ap-1, 0x1.feca383d6e9bfp-1, 0x1.fddf66a45df9ap-1, 0x1.fcb86bf0a5c1ap-1, 0x1.fb5979b93ed67p-1, 0x1.f9c705e1e172bp-1, 0x1.f805a51cf9a28p-1, 0x1.f619ed9c15d1fp-1, 0x1.f408607e5eeebp-1, 0x1.f1d558c7dd7eep-1, 0x1.ef84fede701f3p-1, 0x1.ed1b3fb3c7e5fp-1, 0x1.ea9bc6e7a0efp-1, 0x1.e809fb4baeb69p-1, 0x1.e568fd4c44a82p-1, 0x1.e2bba6d63b82p-1, 0x1.e0048c64aa392p-1, 0x1.dd45fef032c0ep-1, 0x1.da820e8657ad6p-1, 0x1.d7ba8d59f4adep-1, 0x1.d4f11326ced7cp-1, 0x1.d22700c9966abp-1, 0x1.cf5d83f3dae2cp-1, 0x1.cc959ae885926p-1, 0x1.c9d01831a288bp-1, 0x1.c70da643ba5e8p-1, 0x1.c44ecb05d4139p-1, 0x1.c193eb3787068p-1, 0x1.bedd4db06efdfp-1, 0x1.bc2b1e75d4a0cp-1, 0x1.b97d71a49aec8p-1, 0x1.b6d4462e7d219p-1, 0x1.b42f886a6c544p-1, 0x1.b18f14787baf1p-1, 0x1.aef2b87a39484p-1, 0x1.ac5a36a0b5425p-1, 0x1.a9c54711b44e6p-1, 0x1.a73399a5bb791p-1, 0x1.a4a4d780c3b6dp-1, 0x1.a218a48775732p-1, 0x1.9f8ea0b2d79f1p-1, 0x1.9d066944591abp-1, 0x1.9a7f99dc1f85fp-1, 0x1.97f9cd7375cbbp-1, 0x1.95749f3d29bd3p-1, 0x1.92efab6d9aa9ep-1, 0x1.906a8fec26db6p-1, 0x1.8de4ecef94b81p-1, 0x1.8b5e658700bb6p-1, 0x1.88d6a010c6198p-1, 0x1.864d46a0c2ffap-1, 0x1.83c207574873fp-1, 0x1.813494a9ef315p-1, 0x1.7ea4a59f7ec33p-1, 0x1.7c11f5fff605p-1, 0x1.797c4679c499fp-1, 0x1.76e35cbd21897p-1, 0x1.7447038e696afp-1, 0x1.71a70ad059ep-1, 0x1.6f034786f00dap-1, 0x1.6c5b93d3a6514p-1, 0x1.69afceebbe097p-1, 0x1.66ffdd0935c1bp-1, 0x1.644ba75705061p-1, 0x1.61931bd922795p-1, 0x1.5ed62d50dcf4dp-1, 0x1.5c14d31df72f7p-1, 0x1.594f091cfa787p-1, 0x1.5684cf8321f05p-1, 0x1.53b62ab83de8cp-1, 0x1.50e3232ee67f4p-1, 0x1.4e0bc53b49fabp-1, 0x1.4b3020e8e41a3p-1, 0x1.485049cf5bafbp-1, 0x1.456c56e6c87f5p-1, 0x1.4284625b95f1bp-1, 0x1.3f988962360e1p-1, 0x1.3ca8ec0ad279dp-1, 0x1.39b5ad1525ee4p-1, 0x1.36bef1c4a2357p-1, 0x1.33c4e1b505a3bp-1, 0x1.30c7a6af7c357p-1, 0x1.2dc76c806b18ep-1, 0x1.2ac460cdf9c69p-1, 0x1.27beb2ef70d82p-1, 0x1.24b693c57fc52p-1, 0x1.21ac35937aacdp-1, 0x1.1e9fcbd99a81dp-1, 0x1.1b918b3050f8ap-1, 0x1.1881a924b3131p-1, 0x1.15705c16085d1p-1, 0x1.125ddb14810c6p-1, 0x1.0f4a5dc11a0ep-1, 0x1.0c361c2eb0c26p-1, 0x1.09214ec449b5cp-1, 0x1.060c2e208cf7dp-1, 0x1.02f6f2fe72936p-1, 0x1.ffc3ac364b0c7p-2, 0x1.f99a203a2cd25p-2, 0x1.f371b2f87726dp-2, 0x1.ed4ad4d6fd066p-2, 0x1.e725f5869f711p-2, 0x1.e10383daba1c5p-2, 0x1.dae3eda2ce874p-2, 0x1.d4c79f865fceep-2, 0x1.ceaf04e2f2819p-2, 0x1.c89a87ac2b2aap-2, 0x1.c28a904df446bp-2, 0x1.bc7f8590aabf9p-2, 0x1.b679cc7f35ab4p-2, 0x1.b079c84f0a9f8p-2, 0x1.aa7fda4a02e56p-2, 0x1.a48c61b9fbd46p-2, 0x1.9e9fbbd62efbfp-2, 0x1.98ba43b23b11p-2, 0x1.92dc522ebfb87p-2, 0x1.8d063deb93a7fp-2, 0x1.87385b3b702b6p-2, 0x1.8172fc1914425p-2, 0x1.7bb6701dc8066p-2, 0x1.7603047935cb5p-2, 0x1.705903ea8995bp-2, 0x1.6ab8b6bac9445p-2, 0x1.652262b8583bfp-2, 0x1.5f964b339a441p-2, 0x1.5a14b0fca38cap-2, 0x1.549dd261f106cp-2, 0x1.4f31eb3013f33p-2, 0x1.49d134b24a7f4p-2, 0x1.447be5b3f6ebep-2, 0x1.3f323282e9d06p-2, 0x1.39f44cf27164ep-2, 0x1.34c2645f296fcp-2, 0x1.2f9ca5b378ebcp-2, 0x1.2a833b6cb971fp-2, 0x1.25764da0f8924p-2, 0x1.207602054e44p-2, 0x1.1b827bf4bbad2p-2, 0x1.169bdc778974bp-2, 0x1.11c2424b1e268p-2, 0x1.0cf5c9ea40c7bp-2, 0x1.08368d95c336bp-2, 0x1.0384a55d89c84p-2, 0x1.fdc04e53d06d9p-3, 0x1.f4924d8a9b782p-3, 0x1.eb7f6bcc6f12bp-3, 0x1.e287c872ca6f8p-3, 0x1.d9ab7ed88a27dp-3, 0x1.d0eaa66f2d03dp-3, 0x1.c84552d468ce1p-3, 0x1.bfbb93e81c64p-3, 0x1.b74d75e2776ecp-3, 0x1.aefb016a6413bp-3, 0x1.a6c43bac1d822p-3, 0x1.9ea9266fe70bap-3, 0x1.96a9c030e66cap-3, 0x1.8ec6043407c11p-3, 0x1.86fdea9ef9398p-3, 0x1.7f51688f16fa8p-3, 0x1.77c0703065f0cp-3, 0x1.704af0d4719d8p-3, 0x1.68f0d70922da1p-3, 0x1.61b20caf76f09p-3, 0x1.5a8e791219aep-3, 0x1.538600fbda828p-3, 0x1.4c9886cdf4c57p-3, 0x1.45c5ea962cep-3, 0x1.3f0e0a24b6ee2p-3, 0x1.3870c121e6d6ep-3, 0x1.31ede9239d8a6p-3, 0x1.2b8559c2825bp-3, 0x1.2536e8aeeb694p-3, 0x1.1f0269c5895e9p-3, 0x1.18e7af23c15a9p-3, 0x1.12e6893bbebf1p-3, 0x1.0cfec6e836b37p-3, 0x1.0730357fd493p-3, 0x1.017aa0e857317p-3, 0x1.f7bba752afd62p-4, 0x1.ecb32dfd7541dp-4, 0x1.e1db65d584736p-4, 0x1.d733dc8f9dde2p-4, 0x1.ccbc1db382415p-4, 0x1.c273b2bdf3449p-4, 0x1.b85a23420eb7ap-4, 0x1.ae6ef509e306cp-4, 0x1.a4b1ac36422b9p-4, 0x1.9b21cb5de674bp-4, 0x1.91bed3abce38bp-4, 0x1.888844fcdd0f7p-4, 0x1.7f7d9dfcc1dc7p-4, 0x1.769e5c421c649p-4, 0x1.6de9fc69e72dfp-4, 0x1.655ffa3225aa5p-4, 0x1.5cffd093d5713p-4, 0x1.54c8f9dc25b39p-4, 0x1.4cbaefc4f4bcdp-4, 0x1.44d52b8c975f4p-4, 0x1.3d17260ce5326p-4, 0x1.358057d195f39p-4, 0x1.2e10392de6017p-4, 0x1.26c642518c811p-4, 0x1.1fa1eb5d01f0fp-4, 0x1.18a2ac75180b6p-4, 0x1.11c7fdd5e5f5bp-4, 0x1.0b1157e50f6b9p-4, 0x1.047e33435e751p-4, 0x1.fc1c11bb7f526p-5, 0x1.ef80a3fb2efb7p-5, 0x1.e32910b0f98dcp-5, 0x1.d7144c3ea2083p-5, 0x1.cb414c198a26ep-5, 0x1.bfaf06e6824c7p-5, 0x1.b45c74947670bp-5, 0x1.a9488e75f4384p-5, 0x1.9e724f5994c0ep-5, 0x1.93d8b3a14d4efp-5, 0x1.897ab958ac7c6p-5, 0x1.7f57604a0ba6ap-5, 0x1.756daa12b7c6ep-5, 0x1.6bbc9a3618631p-5, 0x1.6243362fdc56p-5, 0x1.590085852e309p-5, 0x1.4ff391d4fa682p-5, 0x1.471b66e74914cp-5, 0x1.3e7712bbb3565p-5, 0x1.3605a596fb6afp-5, 0x1.2dc6320fc4fefp-5, 0x1.25b7cd1a843c2p-5, 0x1.1dd98e1492001p-5, 0x1.162a8ece82c7ep-5, 0x1.0ea9eb95b1e3bp-5, 0x1.0756c33d13993p-5, 0x1.003037254f9bdp-5, 0x1.f26ad68842ca6p-6, 0x1.e4cb0c562c009p-6, 0x1.d77f621b31009p-6, 0x1.ca862f8cbaa48p-6, 0x1.bdddd1b869b82p-6, 0x1.b184ab0c7a9fbp-6, 0x1.a579235f04f81p-6, 0x1.99b9a7f4297a1p-6, 0x1.8e44ab831a6e6p-6, 0x1.8318a63a1f0fap-6, 0x1.783415c19a4cfp-6, 0x1.6d957d3e14ecbp-6, 0x1.633b655150b0ep-6, 0x1.59245c1a82bf5p-6, 0x1.4f4ef535a9564p-6, 0x1.45b9c9ba0979cp-6, 0x1.3c637837dba1cp-6, 0x1.334aa4b549308p-6, 0x1.2a6df8aa8f0fcp-6, 0x1.21cc22fd82aeap-6, 0x1.1963d7fc5b1cp-6, 0x1.1133d157e16e6p-6, 0x1.093ace1cf35bcp-6, 0x1.017792ad7d4ep-6, 0x1.f3d1d171b61e9p-7, 0x1.e51b3e676df93p-7, 0x1.d6c9149eb1ec6p-7, 0x1.c8d906e114b55p-7, 0x1.bb48d24bf2769p-7, 0x1.ae163e3c6405ep-7, 0x1.a13f1c3a45c9ap-7, 0x1.94c147e2aadp-7, 0x1.889aa6d166463p-7, 0x1.7cc92889eaa52p-7, 0x1.714ac65f967fdp-7, 0x1.661d835d5e10cp-7, 0x1.5b3f6c2ce6a1cp-7, 0x1.50ae96fd05bc2p-7, 0x1.46692367e351ep-7, 0x1.3c6d3a58979b7p-7, 0x1.32b90df05a0f5p-7, 0x1.294ad96b59836p-7, 0x1.2020e105349bp-7, 0x1.173971dd228c6p-7, 0x1.0e92e1d9ccf2ap-7, 0x1.062b8f8cefa2cp-7, 0x1.fc03c42d8b66fp-8, 0x1.ec289212616b9p-8, 0x1.dcc278956adaep-8, 0x1.cdce77f2c721ap-8, 0x1.bf49a09b3e8d9p-8, 0x1.b13112f96c4b6p-8, 0x1.a381ff36fc18ep-8, 0x1.9639a501a97a4p-8, 0x1.895553504f42ep-8, 0x1.7cd26827e0e15p-8, 0x1.70ae506067544p-8, 0x1.64e6876a02582p-8, 0x1.597897122f1b5p-8, 0x1.4e621748ed73p-8, 0x1.43a0ade659e04p-8, 0x1.39320e704c161p-8, 0x1.2f13f9e02480cp-8, 0x1.25443e68fce1dp-8, 0x1.1bc0b73e06853p-8, 0x1.12874c5964dfcp-8, 0x1.0995f2433026p-8, 0x1.00eaa9d8d796cp-8, 0x1.f1070029eaf8fp-9, 0x1.e0bd1baf0bf67p-9, 0x1.d0f3ef5d14797p-9, 0x1.c1a7db3e71426p-9, 0x1.b2d555debd84fp-9, 0x1.a478ebdef3b89p-9, 0x1.968f3f8a58bfcp-9, 0x1.8915086c970dp-9, 0x1.7c0712e901543p-9, 0x1.6f623fd28600cp-9, 0x1.6323840507943p-9, 0x1.5747e7ff97533p-9, 0x1.4bcc8780144bcp-9, 0x1.40ae911fbe1cep-9, 0x1.35eb45f162b2ep-9, 0x1.2b7ff920104dfp-9, 0x1.216a0f8f44179p-9, 0x1.17a6ff7c9a55fp-9, 0x1.0e34502226f27p-9, 0x1.050f995acdb88p-9, 0x1.f86d068ea7952p-10, 0x1.e74d8be8edb8bp-10, 0x1.d6bc5205e8c5bp-10, 0x1.c6b506a07fb03p-10, 0x1.b733754168d8ep-10, 0x1.a8338696dd3d5p-10, 0x1.99b13fcdbf342p-10, 0x1.8ba8c1ed368a4p-10, 0x1.7e164935f43efp-10, 0x1.70f62c82fab01p-10, 0x1.6444dcad3bfa8p-10, 0x1.57fee3f2a20d4p-10, 0x1.4c20e55e86e86p-10, 0x1.40a79c347f551p-10, 0x1.358fdb5f04689p-10, 0x1.2ad68cdf223cdp-10, 0x1.2078b13fa01ebp-10, 0x1.16735f0a8317dp-10, 0x1.0cc3c24128c01p-10, 0x1.03671bd5d47b3p-10, 0x1.f4b582519793ap-11, 0x1.e338370ea8c24p-11, 0x1.d2514f5a64a96p-11, 0x1.c1fbea9157033p-11, 0x1.b2334d0299608p-11, 0x1.a2f2deff94e06p-11, 0x1.94362bf2587a2p-11, 0x1.85f8e178100c8p-11, 0x1.7836ce7fe8142p-11, 0x1.6aebe26e82f87p-11, 0x1.5e142c4653eb7p-11, 0x1.51abd9d47ab62p-11, 0x1.45af36e00db0ap-11, 0x1.3a1aac5fa6c8ap-11, 0x1.2eeabfb2dcd5cp-11, 0x1.241c11df5ce51p-11, 0x1.19ab5ed254b36p-11, 0x1.0f957ca73b6e2p-11, 0x1.05d75af0dc7d2p-11, 0x1.f8dc040c56f2dp-12, 0x1.e6ad24a97c0a7p-12, 0x1.d51c876bd3b71p-12, 0x1.c424c98fdb992p-12, 0x1.b3c0b49626d53p-12, 0x1.a3eb3d05fd166p-12, 0x1.949f813519768p-12, 0x1.85d8c816717dcp-12, 0x1.77928012235a8p-12, 0x1.69c83de326211p-12, 0x1.5c75bb7b752b4p-12, 0x1.4f96d6f00a2adp-12, 0x1.4327916b9bc47p-12, 0x1.37240e2699574p-12, 0x1.2b88916503d09p-12, 0x1.20517f7b7de04p-12, 0x1.157b5bdc6244cp-12, 0x1.0b02c82712719p-12, 0x1.00e4833fd6034p-12, 0x1.ee3ad0dcea8e8p-13, 0x1.db54dcffb210bp-13, 0x1.c9114ddcbd5acp-13, 0x1.b76a7a1e0b12ep-13, 0x1.a65aea8c381c1p-13, 0x1.95dd587e54351p-13, 0x1.85ecac54fab1bp-13, 0x1.7683fc0221814p-13, 0x1.679e89982fcc5p-13, 0x1.5937c1e405cfp-13, 0x1.4b4b3b0e67505p-13, 0x1.3dd4b347d3d51p-13, 0x1.30d00f8157c7p-13, 0x1.24395a28ea6fcp-13, 0x1.180cc1f061515p-13, 0x1.0c4698a105fa8p-13, 0x1.00e351f14be4bp-13, 0x1.ebbf04ce55351p-14, 0x1.d66fbc7bf02d1p-14, 0x1.c1d270b20313p-14, 0x1.ade10279c76c2p-14, 0x1.9a958c1aeea08p-14, 0x1.87ea5f2bc4a36p-14, 0x1.75da02b1f4222p-14, 0x1.645f31493e2c8p-14, 0x1.5374d75ff69eep-14, 0x1.431611756d3d8p-14, 0x1.333e2a73eecc5p-14, 0x1.23e89a10861bfp-14, 0x1.15110333ec536p-14, 0x1.06b33274ee3d5p-14, 0x1.f1963941b5d45p-15, 0x1.d6a9ba8b30cbap-15, 0x1.bc996aa966b83p-15, 0x1.a35e137e88aa4p-15, 0x1.8af0c459d0536p-15, 0x1.734acf72de161p-15, 0x1.5c65c76ef50eep-15, 0x1.463b7cfe619f6p-15, 0x1.30c5fc9ba685ep-15, 0x1.1bff8c44963c5p-15, 0x1.07e2a95b901c8p-15, 0x1.e8d40d1ca648ap-16, 0x1.c32113931fb4bp-16, 0x1.9ea2949cf4121p-16, 0x1.7b4f1da340d3p-16, 0x1.591d973fb68bfp-16, 0x1.380541bd292bap-16, 0x1.17fdb1bcf9fb7p-16, 0x1.f1fd99b393179p-17, 0x1.b6018d04b94adp-17, 0x1.7bf839cd80027p-17, 0x1.43d32be5d0d75p-17, 0x1.0d847911b0701p-17, 0x1.b1fd76c81090ap-18, 0x1.4c6a17c1158ddp-18, 0x1.d46bf5c77203bp-19, 0x1.16925f93cacbdp-19, 0x1.7c6532db6cf25p-21, -0x1.48aed44231978p-21, -0x1.facef79f920c8p-20, -0x1.a2c3528b1243ap-19, -0x1.213384af9c86ap-18, -0x1.6e3c82dc4806ap-18, -0x1.b88f28c3c0221p-18, -0x1.001eaa6e6af9ap-17, -0x1.22ac23280622ap-17, -0x1.43f851d2f03c9p-17, -0x1.640b40ae86941p-17, -0x1.82ecb42be9bf6p-17, -0x1.a0a42de3a50fap-17, -0x1.bd38ef7a34023p-17, -0x1.d8b1fd6949188p-17, -0x1.f31621bbf1e72p-17, -0x1.0635f74532d4bp-16, -0x1.125ce03c8051ep-16, -0x1.1e02e094ce873p-16, -0x1.292af4a82b683p-16, -0x1.33d8018a04151p-16, -0x1.3e0cd605f2456p-16, -0x1.47cc2ba2dd391p-16, -0x1.5118a78f1ad5dp-16, -0x1.59f4db94438b9p-16, -0x1.626346f5d5b94p-16, -0x1.6a66573b91524p-16, -0x1.7200690ce5164p-16, -0x1.7933c8f381d1dp-16, -0x1.8002b408d9f33p-16, -0x1.866f58b93db3cp-16, -0x1.8c7bd76608849p-16, -0x1.922a430e13ec7p-16, -0x1.977ca1dd5e1fap-16, -0x1.9c74edcdecaep-16, -0x1.a11515305071ap-16, -0x1.a55efb2982d55p-16, -0x1.a954783cc45bep-16, -0x1.acf75ac4f336bp-16, -0x1.b04967635dc9fp-16, -0x1.b34c596f2a595p-16, -0x1.b601e35fd605ap-16, -0x1.b86baf308b5dcp-16, -0x1.ba8b5eb8e72c5p-16, -0x1.bc628c0b0db8p-16, -0x1.bdf2c9c7a01ap-16, -0x1.bf3da36c7a5b4p-16, -0x1.c0449d9cb6aafp-16, -0x1.c109366e12537p-16, -0x1.c18ce5adbb7c8p-16, -0x1.c1d11d188d8e1p-16, -0x1.c1d7489eba64ep-16, -0x1.c1a0ce9841db5p-16, -0x1.c12f0ffeceaabp-16, -0x1.c0836898f7825p-16, -0x1.bf9f2f2f2e2e8p-16, -0x1.be83b5b72d5c4p-16, -0x1.bd32497f2d70cp-16, -0x1.bbac334e39126p-16, -0x1.b9f2b790c1a4p-16, -0x1.b80716793a6bcp-16, -0x1.b5ea8c1cbe98cp-16, -0x1.b39e5093fbad3p-16, -0x1.b1239815f4bbp-16, -0x1.ae7b931440a5ep-16, -0x1.aba76e4ede98bp-16, -0x1.a8a852ec4edefp-16, -0x1.a57f668fb1e69p-16, -0x1.a22dcb6d1734bp-16, -0x1.9eb4a056b7619p-16, -0x1.9b1500cf75e2bp-16, -0x1.9750051da4664p-16, -0x1.9366c25394424p-16, -0x1.8f5a4a5d63705p-16, -0x1.8b2bac0d589a3p-16, -0x1.86dbf32752149p-16, -0x1.826c286bb6079p-16, -0x1.7ddd51996177ap-16, -0x1.7930717b8e7a2p-16, -0x1.746687eed1116p-16, -0x1.6f8091ea59261p-16, -0x1.6a7f897ea8817p-16, -0x1.656465e231248p-16, -0x1.60301b72ac46ap-16, -0x1.5ae39bb7cca57p-16, -0x1.557fd565c1fe4p-16, -0x1.5005b46269137p-16, -0x1.4a7621ca85c88p-16, -0x1.44d203ef531d6p-16, -0x1.3f1a3e5810f06p-16, -0x1.394fb1c5bc982p-16, -0x1.33733c33d4e2bp-16, -0x1.2d85b8da28b1cp-16, -0x1.27880029b4fa7p-16, -0x1.217ae7d309eb1p-16, -0x1.1b5f42c2d3e3ep-16, -0x1.1535e1228d729p-16, -0x1.0eff9056b5c16p-16, -0x1.08bd1b01775f7p-16, -0x1.026f4904d6b31p-16, -0x1.f82dbefd2338dp-17, -0x1.eb694191ccadp-17, -0x1.de9298f40de86p-17, -0x1.d1ab3ec8f3dd6p-17, -0x1.c4b4a73057ee6p-17, -0x1.b7b040bf3be51p-17, -0x1.aa9f748405b1ap-17, -0x1.9d83a60729789p-17, -0x1.905e334524fbdp-17, -0x1.833074b2e242dp-17, -0x1.75fbbd383bebdp-17, -0x1.68c15a3d47bb7p-17, -0x1.5b82939fccc64p-17, -0x1.4e40abb9828b1p-17, -0x1.40fcdf5c670c2p-17, -0x1.33b865d60f373p-17, -0x1.267470f1b8a9bp-17, -0x1.19322cfd9b946p-17, -0x1.0bf2c0c56fa07p-17, -0x1.fd6e9b37c0fc7p-18, -0x1.e301deb2ccebbp-18, -0x1.c8a178bd28d22p-18, -0x1.ae4f8b2f88a45p-18, -0x1.940e2d01ff232p-18, -0x1.79df6a5ccb68ep-18, -0x1.5fc54493e0a2cp-18, -0x1.45c1b2367f35dp-18, -0x1.2bd69f13d4382p-18, -0x1.1205ec42d3457p-18, -0x1.f0a2e06c8b38p-19, -0x1.bd75ed8d37894p-19, -0x1.8a88826c1992p-19, -0x1.57de0c8760a2cp-19, -0x1.2579e46d3afd2p-19, -0x1.e6be9b9e41e37p-20, -0x1.8322ef49e219cp-20, -0x1.2026f89ed5b65p-20, -0x1.7ba186f1aa0b8p-21, -0x1.7098cbbde1902p-22, 0x1.34bf9483b3352p-26, 0x1.9454f77395aadp-22, 0x1.8936426cf4f73p-21, 0x1.235f6587d9659p-20, 0x1.815cef33b70cep-20, 0x1.de8ec9b595515p-20, 0x1.1d7813a4bf96cp-19, 0x1.4b3e30474a90dp-19, 0x1.78977a239332fp-19, 0x1.a581c38333f18p-19, 0x1.d1faf1653cb8cp-19, 0x1.fe00fb479fd24p-19, 0x1.14c8f5860328dp-18, 0x1.2a55ee639ce4dp-18, 0x1.3fa67f46fb3f8p-18, 0x1.54b9c828dc164p-18, 0x1.698ef1d50024dp-18, 0x1.7e252dd0d3d16p-18, 0x1.927bb63cbad86p-18, 0x1.a691cdc8ebaeap-18, 0x1.ba66bf9160ed3p-18, 0x1.cdf9df0bb885cp-18, 0x1.e14a87ea6bb99p-18, 0x1.f4581e061a5c1p-18, 0x1.039106a030404p-17, 0x1.0cd3e4b0cb1c8p-17, 0x1.15f4670593d1bp-17, 0x1.1ef24f4b7460fp-17, 0x1.27cd62fedb894p-17, 0x1.30856b5f35c89p-17, 0x1.391a356005559p-17, 0x1.418b919c16185p-17, 0x1.49d95443c0bdep-17, 0x1.52035514a7655p-17, 0x1.5a096f4952498p-17, 0x1.61eb818ac9939p-17, 0x1.69a96de50c6f1p-17, 0x1.714319b774dedp-17, 0x1.78b86da8a5e83p-17, 0x1.80095592ee9a2p-17, 0x1.8735c07b9ead6p-17, 0x1.8e3da0833c163p-17, 0x1.9520ead850f5p-17, 0x1.9bdf97a9c91ep-17, 0x1.a279a217c06ep-17, 0x1.a8ef0827036f1p-17, 0x1.af3fcab130bccp-17, 0x1.b56bed5642b3p-17, 0x1.bb7376729e5a6p-17, 0x1.c1566f0d2f6dbp-17, 0x1.c714e2cbb884cp-17, 0x1.ccaedfe506d14p-17, 0x1.d224771368263p-17, 0x1.d775bb86dbd28p-17, 0x1.dca2c2d42dbcp-17, 0x1.e1aba4ecb5a43p-17, 0x1.e6907c0cf370cp-17, 0x1.eb5164b1b04e7p-17, 0x1.efee7d8a7ececp-17, 0x1.f467e76b27c42p-17, 0x1.f8bdc53f92a94p-17, 0x1.fcf03bfe587bcp-17, 0x1.007fb94d2de9ep-16, 0x1.0275c8fc6a775p-16, 0x1.045a62717090fp-16, 0x1.062d9bfc355dep-16, 0x1.07ef8cd25f2dcp-16, 0x1.09a04d08d35a8p-16, 0x1.0b3ff58dc46cdp-16, 0x1.0ccea0219afaep-16, 0x1.0e4c6751983d5p-16, 0x1.0fb966722a194p-16, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      56, 0x1.3333333333333p+2, 0x1.137b46948dd0cp+1, 0x1.cb5bf86d58715p+1, -0x1.01a45e184af53p-3, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.73c8a1de3677ep-2, -0x1.0d59af697aa8ep+0, 0x1.21d90bc86977bp+0, -0x1.0efbf11576821p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.40be900f25cf6p-2, -0x1.e2c3736546e03p-1, 0x1.0d86268066fabp+0, -0x1.049524ed6ce8ap-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.13191f330b6fap-2, -0x1.aed023a6fa22cp-1, 0x1.f3f5eddd30d28p-1, -0x1.f77a7c068ef86p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.d4e84ae55e423p-3, -0x1.7eb47c54b8fd8p-1, 0x1.ce33248fe6199p-1, -0x1.e4f4e9bff1ae4p-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.8cddfd584f87fp-3, -0x1.524dbad4d0017p-1, 0x1.a9d3f96e4d92cp-1, -0x1.d2a89ec6ccf7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.4d5918e5b6a7fp-3, -0x1.29788652d9048p-1, 0x1.86d420b8fe339p-1, -0x1.c04cfb0a15ee4p-2}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.15a66c1efdca2p-3, -0x1.0411ae3b96149p-1, 0x1.6534c1183c8eap-1, -0x1.adf5730e32cbap-2}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.ca33a2005a961p-4, -0x1.c3ebee63b6304p-2, 0x1.44f58baa5f259p-1, -0x1.9b9cd4d294161p-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.761c59dfd7779p-4, -0x1.8604517e18c02p-2, 0x1.2616954dc73dap-1, -0x1.894473d50f66dp-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.2dcae17efbbd9p-4, -0x1.4e261338757f2p-2, 0x1.0897d96a9948fp-1, -0x1.76ec341ed947ap-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.e02262ab1aafbp-5, -0x1.1c0ac1ba691c4p-2, 0x1.d8f2ab03c52dbp-2, -0x1.6493320d562dap-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.779eb1611d347p-5, -0x1.ded7d3ec9651ap-3, 0x1.a376304e91da5p-2, -0x1.523d1821b1aap-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.1fe6fb647c80cp-5, -0x1.900639fc19405p-3, 0x1.70b9d31650cd5p-2, -0x1.3fdc1ff9e7d4p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.ade775485db52p-6, -0x1.4b13b934fbedep-3, 0x1.40bf34b0d46dbp-2, -0x1.2da3b89cc51adp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.35b32d7346aafp-6, -0x1.0f73c732b08f2p-3, 0x1.13803f661d431p-2, -0x1.1ad3ec51461e8p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.a72593a30745cp-7, -0x1.b9305ff74ab81p-4, 0x1.d2275180a57d4p-3, -0x1.0a3922f45e61fp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.0840a07fac0b8p-7, -0x1.63f1e7c10dbbap-4, 0x1.8249609dbc602p-3, -0x1.d5aac3723162fp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.10c5f0d87cbd2p-8, -0x1.1dbb8d1f611ep-4, 0x1.3bd629b301c43p-3, -0x1.78b20273a8584p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.0fc9fcb5fda57p-10, -0x1.c86e7528b4a9p-5, 0x1.03550fbb421d6p-3, -0x1.220133b5b312bp-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.7c27b4648e0f7p-10, -0x1.696611b29d064p-5, 0x1.afa9c326681b4p-4, -0x1.869270af80aeap-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.be39cadb78397p-9, -0x1.18ecb69915a79p-5, 0x1.7513cbd8e19adp-4, -0x1.25099b8fecee8p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.41254e0c90b3dp-8, -0x1.a568d6157e93bp-6, 0x1.491f27b67e10dp-4, -0x1.1e9885842ff14p-4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.88d600c2a92b2p-8, -0x1.2a5bd471be3a1p-6, 0x1.1e21e07c43ac6p-4, -0x1.0a873dd1e7224p-4}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.b9986fb49a47dp-8, -0x1.7fcda1f830585p-7, 0x1.ec4e619ff5352p-5, -0x1.f4393d870c91dp-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.d6a13fcdaf78cp-8, -0x1.93c6650cfe8dp-8, 0x1.a145cb98801edp-5, -0x1.d16f1d9822437p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.e2f048bfead2cp-8, -0x1.87881a0a16899p-10, 0x1.5b7520c1ae2e9p-5, -0x1.af2b33aa0a18ap-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.e150950405125p-8, 0x1.346d0cb60a345p-9, 0x1.1ac83f682cab3p-5, -0x1.8cc3538ad293fp-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.d45861d96d9afp-8, 0x1.64a20b1bca496p-8, 0x1.be8918f3808fbp-6, -0x1.6a65162f47541p-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.be691f464a781p-8, 0x1.00c072d6c6f46p-7, 0x1.51d12be551907p-6, -0x1.480443f625d25p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.a1af7017785afp-8, 0x1.3a7983d1bc88ap-7, 0x1.ded2fbd08c6e7p-7, -0x1.25a4226fb7c35p-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.802329e08a9dap-8, 0x1.618c3fcec281p-7, 0x1.2ea3b3f3eaf9fp-7, -0x1.0343d2fc0bf14p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.5b8754fbcb404p-8, 0x1.7808aa31829a6p-7, 0x1.262937862e06dp-8, -0x1.c1c71515567bdp-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.356a2c8a3aebp-8, 0x1.7ffec7888a01dp-7, 0x1.84b5e12fa215dp-12, -0x1.7d06a7faa093fp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.0f251e7390eccp-8, 0x1.7b7e9ba32b253p-7, -0x1.98a473d39939dp-9, -0x1.38459dbb3c6adp-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.d3b996cc76767p-9, 0x1.6c982c22c0021p-7, -0x1.87af3226f0de2p-8, -0x1.e70dc88d05852p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.8d020daebceacp-9, 0x1.555b781fbecdbp-7, -0x1.0ce677289fa92p-7, -0x1.5d7f099780774p-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.4b99ae05abbefp-9, 0x1.37d89704258dep-7, -0x1.41531eff59548p-7, -0x1.a861b279dfcfp-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.108ce9d666c89p-9, 0x1.161f457cb6fb3p-7, -0x1.61273f954a1dcp-7, -0x1.27c6ea0b440d8p-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.b8fd3166fe63p-10, 0x1.e48125b3359aep-8, -0x1.6c3eb528e977fp-7, 0x1.e651caa28b648p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.5f4fef79e6d7ep-10, 0x1.9c913d3540738p-8, -0x1.63205fc2aa0ddp-7, 0x1.a143d4af3eadap-8}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.13b153405e79fp-10, 0x1.58abe9bb273b3p-8, -0x1.43d4e30252275p-7, 0x1.0cf89e3f0a0c6p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.a9ee9b809876cp-11, 0x1.1bf095be31d51p-8, -0x1.1b7c64df43d8ep-7, 0x1.e39caa1961e04p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.433643b9d6c3bp-11, 0x1.cdbd483f9fc17p-9, -0x1.ee6e16a11f6a1p-8, 0x1.c77f92003f43bp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.e0982a2441b12p-12, 0x1.71af93fe1f894p-9, -0x1.aa1af3ede2b86p-8, 0x1.a45c244fd735dp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.5cec6d5d7792dp-12, 0x1.22c52b6e76b3bp-9, -0x1.6b0d21aeb5a3cp-8, 0x1.831a92b0f4fb4p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.ecba03d222dbep-13, 0x1.bfeed807df4c8p-10, -0x1.30fc587a90e4bp-8, 0x1.6157e66340949p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.5089f6201356dp-13, 0x1.5089fb8d06001p-10, -0x1.f7f7ebd75b36cp-9, 0x1.3fb7c8bf4fa4bp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.b99b3a6a4b5b4p-14, 0x1.eaac76bae72d1p-11, -0x1.980d96045cec3p-9, 0x1.1e0e8b2321bd2p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.13b153405e7d5p-14, 0x1.589da978b4a9ep-11, -0x1.423c6c469f989p-9, 0x1.f8ce7d7c4c02ep-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.433643b9d6c94p-15, 0x1.cdbb370d2ba77p-12, -0x1.ed07b2e7f530ap-10, 0x1.b5829ae937e4bp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.5cec6d5d77a51p-16, 0x1.22c51780f0c62p-12, -0x1.69c6ead531395p-10, 0x1.7227fd0c3a35p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.5089f620137eep-17, 0x1.508972c96f3c9p-13, -0x1.f575d76fd920dp-11, 0x1.2f05961ff7a1ap-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.13b153405eep-18, 0x1.58a17bf961f72p-14, -0x1.3fa5b08fde26fp-11, 0x1.d6221d75702eap-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.5cec6d5d78effp-20, 0x1.22a873e114fe6p-15, -0x1.6536e90c78fa5p-12, 0x1.5459a49159dacp-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.13b1534061p-22, 0x1.5a4827960864cp-17, -0x1.32023fd0ec896p-13, 0x1.77662a0b1c1cep-11}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.13b15340a7fffp-26, 0x1.26dff4f80ea8ap-20, -0x1.4313cd8f6eb01p-15, 0x1.f66462cff488p-11}, 
      }}, 
      -0x1.d8bc84b7fd645p-7, 0x1.6c5066bd0e13cp-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.2947b4c4bf6bep-1, -0x1.2740171c0a3d2p-1, -0x1.24b28b6d66d1p-1, -0x1.2212dacd520f1p-1, -0x1.1faff0eada85fp-1, -0x1.1dbd66c74a059p-1, -0x1.1c5aaa40c3468p-1, -0x1.1b985fc0453a7p-1, -0x1.1b7c71a81ed53p-1, -0x1.1c05201891b4ep-1, -0x1.1d2b4d733aa61p-1, -0x1.1ee43804f8d77p-1, -0x1.2122c674a8492p-1, -0x1.23d881927c851p-1, -0x1.26f64e9a9391bp-1, -0x1.2a6cf860dc58bp-1, -0x1.2e2d929a8ae71p-1, -0x1.3229bffdb0115p-1, -0x1.3653e208ec3a6p-1, -0x1.3a9f37c20fe4bp-1, -0x1.3effef9969a21p-1, -0x1.436b2fa7d0912p-1, -0x1.47d716ca348afp-1, -0x1.4c3ab89004f95p-1, -0x1.508e15746d1acp-1, -0x1.54ca1087fde6bp-1, -0x1.58e8636e8bf6cp-1, -0x1.5ce39155f8d62p-1, -0x1.60b6d961f94cap-1, -0x1.645e28eb64339p-1, -0x1.67d60dd30a87bp-1, -0x1.6b1ba9213a6bfp-1, -0x1.6e2ca21213669p-1, -0x1.710719ae3199ap-1, -0x1.73a99f1e07417p-1, -0x1.761324d7e47dfp-1, -0x1.7842f6cc5830dp-1, -0x1.7a38b1a8eae29p-1, -0x1.7bf43b2e8df21p-1, -0x1.7d75bb731a287p-1, -0x1.7ebd96cceb899p-1, -0x1.7fcc68082f009p-1, -0x1.80a2faa318f1ap-1, -0x1.814244f830da2p-1, -0x1.81ab626febdeep-1, -0x1.81df8df4bcf9bp-1, -0x1.81e01cce613bep-1, -0x1.81ae7a029c21cp-1, -0x1.814c223a017c1p-1, -0x1.80baa01da000ep-1, -0x1.7ffb8921f55ffp-1, -0x1.7f107aad454f1p-1, -0x1.7dfb179107f5bp-1, -0x1.7cbd05c9ee28bp-1, -0x1.7b57ec80b0e1cp-1, -0x1.79cd724456dc5p-1, -0x1.781f3b78ad70ep-1, -0x1.764ee8f2553c5p-1, -0x1.745e16c467805p-1, -0x1.724e5b3440ef1p-1, -0x1.702145cac6322p-1, -0x1.6dd85e86d906ep-1, -0x1.6b75253a28f5fp-1, -0x1.68f911045d686p-1, -0x1.66658fd9a8438p-1, -0x1.63bc06138856ap-1, -0x1.60fdce232bdc6p-1, -0x1.5e2c3869c0fdep-1, -0x1.5b488b2071229p-1, -0x1.58540239c75b5p-1, -0x1.554fcf3ff0a49p-1, -0x1.523d194924517p-1, -0x1.4f1cfd0e1d211p-1, -0x1.4bf08d1603884p-1, -0x1.48b8d1dc1d071p-1, -0x1.4576c9e6efe36p-1, -0x1.422b69d667a1fp-1, -0x1.3ed79c83d5b46p-1, -0x1.3b7c433a229adp-1, -0x1.381a36037038dp-1, -0x1.34b243f642c7ep-1, -0x1.31453375abfbfp-1, -0x1.2dd3c25e50f96p-1, -0x1.2a5ea62cac578p-1, -0x1.26e68c28f636ep-1, -0x1.236c19a337c8dp-1, -0x1.1fefec40290cbp-1, -0x1.1c729a4d6a03dp-1, -0x1.18f4b3143f776p-1, -0x1.1576bf1f6b02p-1, -0x1.11f940750bdc2p-1, -0x1.0e7cb2c464cbep-1, -0x1.0b018b9043d75p-1, -0x1.07883a5c9b57ep-1, -0x1.041128e225a06p-1, -0x1.009cbb4a3377bp-1, -0x1.fa56a0df76ff5p-2, -0x1.f37a8441d6b47p-2, -0x1.eca5cabccfe5dp-2, -0x1.e5d9152865038p-2, -0x1.df14fb9640ff6p-2, -0x1.d85a0da8ba86cp-2, -0x1.d1a8d2df5aab7p-2, -0x1.cb01cade0ed51p-2, -0x1.c4656db472731p-2, -0x1.bdd42c25d2b79p-2, -0x1.b74e6ff44b4adp-2, -0x1.b0d49c2f238aap-2, -0x1.aa670d81c6298p-2, -0x1.a4061a821e6e7p-2, -0x1.9db213fc98b97p-2, -0x1.976b453c5a952p-2, -0x1.9131f44d42b04p-2, -0x1.8b066239be50ap-2, -0x1.84e8cb42de4eep-2, -0x1.7ed96713d398p-2, -0x1.78d868f1eaeb7p-2, -0x1.72e5ffea2e119p-2, -0x1.6d0256fc8fb56p-2, -0x1.672d95461ddffp-2, -0x1.6167de2a50a21p-2, -0x1.5bb1517b9496fp-2, -0x1.560a0ba2d8f42p-2, -0x1.507225c67d82ap-2, -0x1.4ae9b5f036f3cp-2, -0x1.4570cf316996p-2, -0x1.400781c634e85p-2, -0x1.3aaddb3713751p-2, -0x1.3563e678adc37p-2, -0x1.3029ac09e5a4fp-2, -0x1.2aff3210530ccp-2, -0x1.25e47c7356f15p-2, -0x1.20d98cf588682p-2, -0x1.1bde634c9a54cp-2, -0x1.16f2fd3899f73p-2, -0x1.12175699a7cfap-2, -0x1.0d4b6984c4c68p-2, -0x1.088f2e583717ap-2, -0x1.03e29bce9d798p-2, -0x1.fe8b4e23405fap-3, -0x1.f57087988fec6p-3, -0x1.ec74c878080bcp-3, -0x1.e397f2832d342p-3, -0x1.dad9e4e387c27p-3, -0x1.d23a7c4936bd8p-3, -0x1.c9b993094eb3ep-3, -0x1.c157013c3ec25p-3, -0x1.b9129cd918ac6p-3, -0x1.b0ec39d091b63p-3, -0x1.a8e3aa28aa9dep-3, -0x1.a0f8be1521264p-3, -0x1.992b440ef5039p-3, -0x1.917b08ed64605p-3, -0x1.89e7d7fc834bfp-3, -0x1.82717b115ab84p-3, -0x1.7b17ba9fdfd19p-3, -0x1.73da5dd063e06p-3, -0x1.6cb92a916c18dp-3, -0x1.65b3e5aa12a2ep-3, -0x1.5eca52ce0eb93p-3, -0x1.57fc34af0eb04p-3, -0x1.51494d0b81ccep-3, -0x1.4ab15cc081abap-3, -0x1.443423daa22e4p-3, -0x1.3dd161a4286d8p-3, -0x1.3788d4b2d1135p-3, -0x1.315a3af780a72p-3, -0x1.2b4551cd10079p-3, -0x1.2549d60411f55p-3, -0x1.1f6783ef6d7b5p-3, -0x1.199e17726e2c5p-3, -0x1.13ed4c0d12045p-3, -0x1.0e54dce66b96bp-3, -0x1.08d484d802711p-3, -0x1.036bfe7a0cc16p-3, -0x1.fc36085bc7fa3p-4, -0x1.f1c2a04e102f8p-4, -0x1.e77d38ea96505p-4, -0x1.dd65461f1a9cap-4, -0x1.d37a3bb927df7p-4, -0x1.c9bb8d753378fp-4, -0x1.c028af1067fc3p-4, -0x1.b6c1145c1d0d6p-4, -0x1.ad84314d566afp-4, -0x1.a4717a089e951p-4, -0x1.9b8862f045a99p-4, -0x1.92c860b60ba34p-4, -0x1.8a30e86ac4284p-4, -0x1.81c16f87a6a1bp-4, -0x1.79796bf7b8e42p-4, -0x1.7158542659842p-4, -0x1.695d9f0f14b96p-4, -0x1.6188c448655f5p-4, -0x1.59d93c093b044p-4, -0x1.524e7f30eb916p-4, -0x1.4ae807550e0dcp-4, -0x1.43a54ecf5dd2cp-4, -0x1.3c85d0c4fbeddp-4, -0x1.358909291115ap-4, -0x1.2eae74c2c4505p-4, -0x1.27f591396fdap-4, -0x1.215ddd210e83cp-4, -0x1.1ae6d80023bfcp-4, -0x1.149002505ad73p-4, -0x1.0e58dd816d20ep-4, -0x1.0840ec02648d6p-4, -0x1.0247b14cea456p-4, -0x1.f8d963d71e95ap-5, -0x1.ed5ee6f3c0595p-5, -0x1.e21ef9482b601p-5, -0x1.d718aa5860e13p-5, -0x1.cc4b0be6bc837p-5, -0x1.c1b53202dc1bcp-5, -0x1.b756330c4337ap-5, -0x1.ad2d27adbd9f2p-5, -0x1.a3392addbe54ap-5, -0x1.997959e9a12e2p-5, -0x1.8fecd4854a3dcp-5, -0x1.8692bcd3dcdc4p-5, -0x1.7d6a3765522cbp-5, -0x1.74726b2fae4c8p-5, -0x1.6baa818e4741bp-5, -0x1.6311a64abe2b2p-5, -0x1.5aa707a950d35p-5, -0x1.5269d66f02a78p-5, -0x1.4a5945ddfa172p-5, -0x1.42748bad2d1b8p-5, -0x1.3abae00405dfep-5, -0x1.332b7d7e434e5p-5, -0x1.2bc5a134d6745p-5, -0x1.24888ac458e1p-5, -0x1.1d737c4c5fe3dp-5, -0x1.1685ba68a72efp-5, -0x1.0fbe8c292df5bp-5, -0x1.091d3b0e02489p-5, -0x1.02a11307ad194p-5, -0x1.f892c4f3dee83p-6, -0x1.ec2af47c10e64p-6, -0x1.e0095b469a7aap-6, -0x1.d42ca4dc256eep-6, -0x1.c89381a98c242p-6, -0x1.bd3ca6f4627eap-6, -0x1.b226cec84856fp-6, -0x1.a750b7e02bdf6p-6, -0x1.9cb92594bb2fep-6, -0x1.925edfdadc51ep-6, -0x1.8840b355a1bd2p-6, -0x1.7e5d7172b6781p-6, -0x1.74b3f07d84af4p-6, -0x1.6b430b957722fp-6, -0x1.6209a27d6bebcp-6, -0x1.590699574debbp-6, -0x1.5038d8654be19p-6, -0x1.479f4bf5319b3p-6, -0x1.3f38e483f4bf7p-6, -0x1.3704970bb3efep-6, -0x1.2f015d5514a2fp-6, -0x1.272e3618699c2p-6, -0x1.1f8a24d31f825p-6, -0x1.18143151e0296p-6, -0x1.10cb671da5126p-6, -0x1.09aed50c4fabbp-6, -0x1.02bd8d2d36065p-6, -0x1.f7ed4a458959cp-7, -0x1.eab26d8caeac6p-7, -0x1.ddc8c197138fcp-7, -0x1.d12e8e1f2696fp-7, -0x1.c4e224be9ea37p-7, -0x1.b8e1df72355e9p-7, -0x1.ad2c1e9d7b1e6p-7, -0x1.a1bf47619d43ap-7, -0x1.9699c30700ac3p-7, -0x1.8bb9ffcad512fp-7, -0x1.811e72c8daaf1p-7, -0x1.76c59a3b1ef1ep-7, -0x1.6cadff19297a4p-7, -0x1.62d63550fa565p-7, -0x1.593cda577d265p-7, -0x1.4fe0927c88efcp-7, -0x1.46c005ffeb1abp-7, -0x1.3dd9df1790351p-7, -0x1.352cc9b6d8ba6p-7, -0x1.2cb7753038973p-7, -0x1.2478970f015cdp-7, -0x1.1c6eee1f06ce8p-7, -0x1.1499448b39efep-7, -0x1.0cf670382a35ep-7, -0x1.058550fec77d2p-7, -0x1.fc899a65e1a77p-8, -0x1.ee679b6642f72p-8, -0x1.e0a2762ceee1p-8, -0x1.d337fa20dc24fp-8, -0x1.c625f83177c08p-8, -0x1.b96a49222c0d3p-8, -0x1.ad02d4d991903p-8, -0x1.a0ed98e842e2cp-8, -0x1.9528ac4580d09p-8, -0x1.89b23e1012332p-8, -0x1.7e888e6ff0723p-8, -0x1.73a9e3d20c3bcp-8, -0x1.6914816b5d2d1p-8, -0x1.5ec6a363f35bbp-8, -0x1.54be814daeab8p-8, -0x1.4afa5429c2b9ap-8, -0x1.41785d4ec430ap-8, -0x1.3836edb18eb6bp-8, -0x1.2f346d6028f69p-8, -0x1.266f603f205cdp-8, -0x1.1de6632b338e8p-8, -0x1.15981ffa100c2p-8, -0x1.0d833e18631ebp-8, -0x1.05a65973b6493p-8, -0x1.fc00093cfce99p-9, -0x1.ed1da365cd3b9p-9, -0x1.dea2b2d121555p-9, -0x1.d08c7aa211abap-9, -0x1.c2d85403dfc34p-9, -0x1.b583bbb49e557p-9, -0x1.a88c613241f16p-9, -0x1.9bf023af02e69p-9, -0x1.8facf45281e7bp-9, -0x1.83c0b03e06a9ap-9, -0x1.7829124bad89p-9, -0x1.6ce3c9435d04ap-9, -0x1.61ee9c687b084p-9, -0x1.57477b0e853cap-9, -0x1.4cec6bd18caa6p-9, -0x1.42db73f2f039bp-9, -0x1.391296b106e09p-9, -0x1.2f8feddda1369p-9, -0x1.2651bc933f768p-9, -0x1.1d5660c3b0144p-9, -0x1.149c2c5be9d24p-9, -0x1.0c214cb81c479p-9, -0x1.03e3ddfa1b2e2p-9, -0x1.f7c43c2e729a2p-10, -0x1.e83522d8099ddp-10, -0x1.d917e55d58bdp-10, -0x1.ca69f32ec5b6bp-10, -0x1.bc285fd2ce96bp-10, -0x1.ae4ff749fcaa6p-10, -0x1.a0dd93e7c26d7p-10, -0x1.93ce595b88a59p-10, -0x1.871fa99772465p-10, -0x1.7aceea37bef73p-10, -0x1.6ed9570fa8f9cp-10, -0x1.633c19e51c98fp-10, -0x1.57f4a8850acd4p-10, -0x1.4d011666bc0ep-10, -0x1.425feacf62532p-10, -0x1.380f85a5694f7p-10, -0x1.2e0dafa683c68p-10, -0x1.2457b8164fb88p-10, -0x1.1aead638f57a6p-10, -0x1.11c47a78641a1p-10, -0x1.08e28aca6dc7p-10, -0x1.0043658674844p-10, -0x1.efcb0740a32dep-11, -0x1.df8e28b7935b7p-11, -0x1.cfcc4057d29fdp-11, -0x1.c0822f1f5fa6p-11, -0x1.b1adfcf4885c4p-11, -0x1.a34dbee221bf9p-11, -0x1.955e62fa723d4p-11, -0x1.87dbaa191f9c2p-11, -0x1.7ac0d1986d708p-11, -0x1.6e08fb5c00b62p-11, -0x1.61afede1ba278p-11, -0x1.55b354b8d7d6bp-11, -0x1.4a128264bd59p-11, -0x1.3ecc5d386e044p-11, -0x1.33de4259db572p-11, -0x1.294548c95983cp-11, -0x1.1effa3bf433c8p-11, -0x1.150c41e09bb24p-11, -0x1.0b69a4f88654bp-11, -0x1.0215318025ad5p-11, -0x1.f216a2428eb69p-12, -0x1.e08ff27e8c599p-12, -0x1.cf8d6ea56a366p-12, -0x1.bf0731f23fc96p-12, -0x1.aefaee7c870eap-12, -0x1.9f6af2ff5ea17p-12, -0x1.90571f08dbd72p-12, -0x1.81bb11835051fp-12, -0x1.7392c4498efefp-12, -0x1.65dc4d757c184p-12, -0x1.5896274e9aecap-12, -0x1.4bbec726d369cp-12, -0x1.3f5427478184ap-12, -0x1.335225fa9a6ccp-12, -0x1.27b2abb7c611ep-12, -0x1.1c6e8cfd5490bp-12, -0x1.117d5d3b5768p-12, -0x1.06da207051477p-12, -0x1.f90e4300c41bfp-13, -0x1.e50d18d16433p-13, -0x1.d1ab2ced5fe92p-13, -0x1.bee35de06a5f8p-13, -0x1.acb410c019518p-13, -0x1.9b18f8587903cp-13, -0x1.8a0d53b09ec29p-13, -0x1.799087a8456c5p-13, -0x1.69a36c570ebccp-13, -0x1.5a4284e2711dp-13, -0x1.4b666ce2225dcp-13, -0x1.3d06c30502702p-13, -0x1.2f1731f1f3c96p-13, -0x1.218e65bc090efp-13, -0x1.146df43f9ef06p-13, -0x1.07b4765fb6727p-13, -0x1.f6b90ba0f3574p-14, -0x1.ded004724981bp-14, -0x1.c7b0ae9c09ecep-14, -0x1.b15067a575ec5p-14, -0x1.9ba37ddc189e3p-14, -0x1.86a6374220acp-14, -0x1.725b2a1c09df6p-14, -0x1.5ec3189817457p-14, -0x1.4bd78a3d6c51fp-14, -0x1.3991b9e3c5f2ep-14, -0x1.27ebf5261b471p-14, -0x1.16d96d77ba7dfp-14, -0x1.06553574123cdp-14, -0x1.ecb83e547aeefp-15, -0x1.cdc0556993a19p-15, -0x1.afbfb2374b7c8p-15, -0x1.92bb67798f8bp-15, -0x1.76aa4206f90abp-15, -0x1.5b838a253a1e2p-15, -0x1.4140db5f2bd4bp-15, -0x1.27dbae36187e7p-15, -0x1.0f503e522c846p-15, -0x1.ef39c067fd00cp-16, -0x1.c176f88d1ccecp-16, -0x1.954d341afc3bp-16, -0x1.6abcce8bb320cp-16, -0x1.41a8fc9a5c735p-16, -0x1.19fa40a4c0dp-16, -0x1.e750a4d373344p-17, -0x1.9d485c6dc70a5p-17, -0x1.55f9547b0770bp-17, -0x1.114b3775f7763p-17, -0x1.9e0fdf8d8a851p-18, -0x1.1e1705b4caa54p-18, -0x1.450bce8ce0a16p-19, -0x1.5a757bd21f53cp-21, 0x1.1e584e1c18119p-20, 0x1.6c7432172f28bp-19, 0x1.20c46974e4a12p-18, 0x1.87635483bff7dp-18, 0x1.ea141afa927b8p-18, 0x1.2463cf1c60eap-17, 0x1.51e972913863p-17, 0x1.7db41f149db1bp-17, 0x1.a7d683106d6b2p-17, 0x1.d048174437b35p-17, 0x1.f712d8dea83c2p-17, 0x1.0e25613f5c665p-16, 0x1.1ffc97d345dd4p-16, 0x1.3112d1f5829cp-16, 0x1.416cebf5cb943p-16, 0x1.511132d538caap-16, 0x1.6006e0241e3dep-16, 0x1.6e546221f7dccp-16, 0x1.7bfdd365ae1e2p-16, 0x1.8905f61dfcc5p-16, 0x1.9570aafae803ap-16, 0x1.a142fb828a357p-16, 0x1.ac8055ba0e76bp-16, 0x1.b72c7cf863344p-16, 0x1.c14c491e9fc58p-16, 0x1.cae409f4cabdp-16, 0x1.d3f6479b8e9f4p-16, 0x1.dc85fd3d5c737p-16, 0x1.e496d7e70a74fp-16, 0x1.ec2c6829178c5p-16, 0x1.f349c3558ac57p-16, 0x1.f9f1a1df809fcp-16, 0x1.00135b033b6abp-15, 0x1.02f630ac65cffp-15, 0x1.05a3c624d534ap-15, 0x1.081e766b27c83p-15, 0x1.0a67741072a35p-15, 0x1.0c7fa35e095a5p-15, 0x1.0e69aa3462082p-15, 0x1.1021f846d73fap-15, 0x1.11a8e56e58f0dp-15, 0x1.1304d6d206434p-15, 0x1.1435519d0ba5cp-15, 0x1.153afa14ee859p-15, 0x1.161923914552p-15, 0x1.16d02cb9840b8p-15, 0x1.175f9df063662p-15, 0x1.17c7e9a039f2cp-15, 0x1.180a1f9ec33ecp-15, 0x1.182755c6b43a6p-15, 0x1.1820880ed9b49p-15, 0x1.17f70f35f99e7p-15, 0x1.17acac955445ap-15, 0x1.1742357b49463p-15, 0x1.16b709a98fe2dp-15, 0x1.160cbbe930b6cp-15, 0x1.15473fdd56366p-15, 0x1.146063aaace91p-15, 0x1.136069532fc41p-15, 0x1.12485f781d5e8p-15, 0x1.1115c4abbdf26p-15, 0x1.0fc6adec708aep-15, 0x1.0e5c7e3a8f4a7p-15, 0x1.0cd9afec19e1dp-15, 0x1.0b3d6daf94784p-15, 0x1.098ad7ff6e342p-15, 0x1.07c411c09cbc7p-15, 0x1.05e7146ba2d25p-15, 0x1.03f3004991c2dp-15, 0x1.01e8e5d2ddf62p-15, 0x1.ff9556d97b0e5p-16, 0x1.fb32e4a740c8fp-16, 0x1.f6a977c6a2198p-16, 0x1.f1f84c1a35d03p-16, 0x1.ed292f19bb9f7p-16, 0x1.e83178bff2ad2p-16, 0x1.e31ce31ee415ap-16, 0x1.dde6b97929147p-16, 0x1.d88f96a150c5fp-16, 0x1.d31994eda0d95p-16, 0x1.cd85cb963dc91p-16, 0x1.c7d5318833d94p-16, 0x1.c209154329d98p-16, 0x1.bc2426e8798bap-16, 0x1.b62a6454b4abdp-16, 0x1.b01aa08e18668p-16, 0x1.a9efd572bc6bep-16, 0x1.a3ab47327e9b1p-16, 0x1.9d4db136bf35cp-16, 0x1.96e0036807aeap-16, 0x1.90622908b0a07p-16, 0x1.89cebb56dda98p-16, 0x1.8324feaa298e8p-16, 0x1.7c6bce5eab46fp-16, 0x1.75a08d8fd1f3cp-16, 0x1.6ec71a3ef71d9p-16, 0x1.67dd3ab12ad1cp-16, 0x1.60e502706455cp-16, 0x1.59df65fd2cf67p-16, 0x1.52cd2423b75d2p-16, 0x1.4baef79bfa9d4p-16, 0x1.44858da6bc5ccp-16, 0x1.3d518f4e8a6fbp-16, 0x1.3613aabc3bcfp-16, 0x1.2ecc8d54b48edp-16, 0x1.277cd75c1dfc9p-16, 0x1.20250e0e12a05p-16, 0x1.18c5bc9bfca71p-16, 0x1.115fc70652d1p-16, 0x1.09f3c3903b84ap-16, 0x1.02827423d13e4p-16, 0x1.f61d490d5b79p-17, 0x1.e7314236a941p-17, 0x1.d83b6dd2f2aacp-17, 0x1.c93b985693342p-17, 0x1.ba3ad06b3a282p-17, 0x1.ab397f5f04af3p-17, 0x1.9c33c847c340fp-17, 0x1.8d2bb50e911bfp-17, 0x1.7e238ad391a97p-17, 0x1.6f1cc3a199e29p-17, 0x1.60187b215e2ccp-17, 0x1.5117b46113707p-17, 0x1.421b6f709ecbcp-17, 0x1.3324aa6a19b1ep-17, 0x1.24345daa84651p-17, 0x1.154b73f791f8fp-17, 0x1.066ad3042dee4p-17, 0x1.ef273c54a5cf8p-18, 0x1.d18dcce7093bdp-18, 0x1.b40aab778d648p-18, 0x1.969f9bbf88495p-18, 0x1.794d0419ae128p-18, 0x1.5c1608814ba91p-18, 0x1.3efefb9c029c2p-18, 0x1.2205090347314p-18, 0x1.052b4fb760b17p-18, 0x1.d0e722c825309p-19, 0x1.97be0a5e1470fp-19, 0x1.5edd667048388p-19, 0x1.2649abeb5b906p-19, 0x1.dc1d483bd86c3p-20, 0x1.6c4b2a368b32bp-20, 0x1.fa2ba34345299p-21, 0x1.1d40b017a7dbap-21, 0x1.06f29f877118p-23, -0x1.30b57f740ffefp-22, -0x1.70f343b23ab4bp-21, -0x1.24005ebcb56d3p-20, -0x1.8ebc6d7a0f229p-20, -0x1.f8a90bc760fb2p-20, -0x1.30e10a951e646p-19, -0x1.65018b661fd13p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.8cf9a42ad0b2p-1, 0x1.8cf6c36df20fcp-1, 0x1.8cf23ccbcf8d7p-1, 0x1.8cec59be95ccfp-1, 0x1.8ce560bad95cap-1, 0x1.8cdd8af72f8adp-1, 0x1.8cd4fe34d85dap-1, 0x1.8ccbc968e0704p-1, 0x1.8cc1e36fa51dbp-1, 0x1.8cb72b2cd761dp-1, 0x1.8cab68a3fac17p-1, 0x1.8c9e4eb45e3f2p-1, 0x1.8c8f7d3a5fc13p-1, 0x1.8c7e8368a6c4p-1, 0x1.8c6ae2386fdd3p-1, 0x1.8c540ed94a686p-1, 0x1.8c39750f880d7p-1, 0x1.8c1a7975d06fcp-1, 0x1.8bf67b9a3455dp-1, 0x1.8bccd7f20468p-1, 0x1.8b9ce9a1f1c3cp-1, 0x1.8b660c19a0714p-1, 0x1.8b279c83118d4p-1, 0x1.8ae0fb072de6bp-1, 0x1.8a918be95aca7p-1, 0x1.8a38b87c6d5bfp-1, 0x1.89d5eff398538p-1, 0x1.8968a812090b7p-1, 0x1.88f05dbbfbe78p-1, 0x1.886c956c05223p-1, 0x1.87dcdb8f30e3p-1, 0x1.8740c4ca862d8p-1, 0x1.8697ee2c4e3d2p-1, 0x1.85e1fd4b5a0ffp-1, 0x1.851ea056568f5p-1, 0x1.844d8e1513c69p-1, 0x1.836e85dd7b248p-1, 0x1.82814f7dc732cp-1, 0x1.8185bb1d6994ep-1, 0x1.807ba115e8b91p-1, 0x1.7f62e1c4de186p-1, 0x1.7e3b65581c786p-1, 0x1.7d051b94f04a8p-1, 0x1.7bbffb9b4aa0ep-1, 0x1.7a6c03a597cc5p-1, 0x1.790938c5eaf55p-1, 0x1.7797a6a114e2fp-1, 0x1.76175f282d2bep-1, 0x1.74887a510653fp-1, 0x1.72eb15cdf582ap-1, 0x1.713f54c54e938p-1, 0x1.6f855f88e6c02p-1, 0x1.6dbd634de987fp-1, 0x1.6be791e53ef33p-1, 0x1.6a042174c01abp-1, 0x1.68134c316b6e6p-1, 0x1.6615501ac2f4p-1, 0x1.640a6eb77f96ep-1, 0x1.61f2ecd3b5e7dp-1, 0x1.5fcf12408d0ffp-1, 0x1.5d9f29959d845p-1, 0x1.5b637ff40d073p-1, 0x1.591c64cb783bdp-1, 0x1.56ca29a0b7a88p-1, 0x1.546d21d688bap-1, 0x1.5205a278266f7p-1, 0x1.4f940205d1af5p-1, 0x1.4d18984350bfdp-1, 0x1.4a93be08641f2p-1, 0x1.4805cd132fa34p-1, 0x1.456f1fdc97706p-1, 0x1.42d0116e8a9dp-1, 0x1.4028fd3c35953p-1, 0x1.3d7a3efc187e5p-1, 0x1.3ac43283f513ep-1, 0x1.380733a69158cp-1, 0x1.35439e133ed7fp-1, 0x1.3279cd3721d5ep-1, 0x1.2faa1c202b092p-1, 0x1.2cd4e561b86a2p-1, 0x1.29fa82fad28c9p-1, 0x1.271b4e3df9186p-1, 0x1.24379fba739b4p-1, 0x1.214fcf271981fp-1, 0x1.1e64334e83ce3p-1, 0x1.1b7521fc9dfc8p-1, 0x1.1882efed86b3dp-1, 0x1.158df0bdb774p-1, 0x1.129676db613bp-1, 0x1.0f9cd378f981cp-1, 0x1.0ca15680e23d9p-1, 0x1.09a44e8a295f9p-1, 0x1.06a608ce4d934p-1, 0x1.03a6d12001a26p-1, 0x1.00a6f1e2de389p-1, 0x1.fb4d6807f90ebp-2, 0x1.f54cbde6d37acp-2, 0x1.ef4c713cdb309p-2, 0x1.e94d0ad52879dp-2, 0x1.e34f1062f396dp-2, 0x1.dd53047a86e79p-2, 0x1.d759668b90ed8p-2, 0x1.d162b2dcaf008p-2, 0x1.cb6f62882ef4fp-2, 0x1.c57feb79ef11cp-2, 0x1.bf94c06e4f254p-2, 0x1.b9ae50f224a4cp-2, 0x1.b3cd09639d9dbp-2, 0x1.adf152f40d9f2p-2, 0x1.a81b93aa8b8d2p-2, 0x1.a24c2e675fea3p-2, 0x1.9c8382e82af8bp-2, 0x1.96c1edccc00e8p-2, 0x1.9107c89ca727dp-2, 0x1.8b5569cd3787ap-2, 0x1.85ab24c845ad9p-2, 0x1.800949f35850cp-2, 0x1.7a7026b758f0cp-2, 0x1.74e00588bab4ep-2, 0x1.6f592df00dedcp-2, 0x1.69dbe492f5395p-2, 0x1.64686b3d78549p-2, 0x1.5eff00eba8bb8p-2, 0x1.599fe1d39968p-2, 0x1.544b476f95e61p-2, 0x1.4f0168889e03bp-2, 0x1.49c279411aae1p-2, 0x1.448eab1fc8058p-2, 0x1.3f662d1aca1aep-2, 0x1.3a492ba2f19d8p-2, 0x1.3537d0af1e008p-2, 0x1.303243c7c501dp-2, 0x1.2b38aa129343dp-2, 0x1.264b265e20b06p-2, 0x1.2169d92dbecfdp-2, 0x1.1c94e0c54f097p-2, 0x1.17cc593528ba1p-2, 0x1.13105c660653ep-2, 0x1.0e610224f4403p-2, 0x1.09be602f46cb2p-2, 0x1.05288a3e89e6ep-2, 0x1.009f92146d6a4p-2, 0x1.f8470f0d5e385p-3, 0x1.ef68f115e7308p-3, 0x1.e6a4e285367c9p-3, 0x1.ddfaf80d086f9p-3, 0x1.d56b42e57f7a3p-3, 0x1.ccf5d0e462b8fp-3, 0x1.c49aac94421f7p-3, 0x1.bc59dd4b5ed38p-3, 0x1.b433674274be8p-3, 0x1.ac274bab4bd3cp-3, 0x1.a43588c71029bp-3, 0x1.9c5e19fc7d375p-3, 0x1.94a0f7edc8db4p-3, 0x1.8cfe188e5373bp-3, 0x1.85756f381a63dp-3, 0x1.7e06ecc0ec25ap-3, 0x1.76b27f8f57bf8p-3, 0x1.6f7813af579ddp-3, 0x1.685792e6ba73cp-3, 0x1.6150e4c940776p-3, 0x1.5a63eecc7866dp-3, 0x1.5390945b465a1p-3, 0x1.4cd6b6e92b401p-3, 0x1.463636053c5p-3, 0x1.3faeef6ccb50bp-3, 0x1.3940bf1dc2595p-3, 0x1.32eb7f68b8523p-3, 0x1.2caf0902aadcbp-3, 0x1.268b331671dc1p-3, 0x1.207fd355dccb1p-3, 0x1.1a8cbe0a870f5p-3, 0x1.14b1c6265294ep-3, 0x1.0eeebd539c0aap-3, 0x1.0943740511012p-3, 0x1.03afb98545d2ap-3, 0x1.fc66b80bd3d1fp-4, 0x1.f19c515d67c3cp-4, 0x1.e6ffd757fb50bp-4, 0x1.dc90e07a18396p-4, 0x1.d24f01840f24bp-4, 0x1.c839cd9346c2p-4, 0x1.be50d63cf1debp-4, 0x1.b493aba81913dp-4, 0x1.ab01dca71979ap-4, 0x1.a19af6d071acbp-4, 0x1.985e869703d89p-4, 0x1.8f4c1761b0484p-4, 0x1.866333a25ea6bp-4, 0x1.7da364ec6b61bp-4, 0x1.750c340a7bd26p-4, 0x1.6c9d2913c115bp-4, 0x1.6455cb80a25fp-4, 0x1.5c35a23ed7bd5p-4, 0x1.543c33c4f119fp-4, 0x1.4c6906254f996p-4, 0x1.44bb9f208ee81p-4, 0x1.3d338437649a1p-4, 0x1.35d03abbf2fbep-4, 0x1.2e9147e2946d2p-4, 0x1.277630d21f455p-4, 0x1.207e7ab3a4b9dp-4, 0x1.19a9aac1ad94ep-4, 0x1.12f74656f3dd2p-4, 0x1.0c66d2fc9eb41p-4, 0x1.05f7d67800f3p-4, 0x1.ff53adafb566dp-5, 0x1.f2f8b50248301p-5, 0x1.e6ddd076bdc07p-5, 0x1.db020e78e6b08p-5, 0x1.cf647e6833c44p-5, 0x1.c40430ada8dccp-5, 0x1.b8e036d0edadfp-5, 0x1.adf7a38c8887ep-5, 0x1.a3498ae1400a2p-5, 0x1.98d50228ad9abp-5, 0x1.8e992026feddfp-5, 0x1.8494fd1bf3e8ep-5, 0x1.7ac7b2d30ff8ep-5, 0x1.71305cb311749p-5, 0x1.67ce17cca37adp-5, 0x1.5ea002e861494p-5, 0x1.55a53e941aef1p-5, 0x1.4cdced2f70c38p-5, 0x1.444632f7bcd3cp-5, 0x1.3be03613558acp-5, 0x1.33aa1e9c2edap-5, 0x1.2ba316a9d38e4p-5, 0x1.23ca4a5ac9cefp-5, 0x1.1c1ee7dd57882p-5, 0x1.14a01f77b9082p-5, 0x1.0d4d238fc0532p-5, 0x1.062528b1e8c7dp-5, 0x1.fe4ecb2fccf1ap-6, 0x1.f0a6265d4bf28p-6, 0x1.e34ed937a58bdp-6, 0x1.d6475e85b42f9p-6, 0x1.c98e3592eb782p-6, 0x1.bd21e2377a5e2p-6, 0x1.b100ecdf8ad88p-6, 0x1.a529e29197dbep-6, 0x1.999b54f3f7fd4p-6, 0x1.8e53da51884e4p-6, 0x1.83520d9d8a73ep-6, 0x1.78948e76c842bp-6, 0x1.6e1a0129ee1a8p-6, 0x1.63e10eb3295eap-6, 0x1.59e864bf2029p-6, 0x1.502eb5ab309fp-6, 0x1.46b2b88511f1ep-6, 0x1.3d732909c3572p-6, 0x1.346ec7a3fe72ep-6, 0x1.2ba45969f59dfp-6, 0x1.2312a81a90b1p-6, 0x1.1ab8821a1f2f5p-6, 0x1.1294ba6e88437p-6, 0x1.0aa628baeb2dep-6, 0x1.02eba93ada5f3p-6, 0x1.f6c8397a21be4p-7, 0x1.e81cd13b88f5ap-7, 0x1.d9d2ed80f99cbp-7, 0x1.cbe86b13196dap-7, 0x1.be5b2fae5f2b6p-7, 0x1.b12929f473039p-7, 0x1.a450515ced179p-7, 0x1.97cea62574fc8p-7, 0x1.8ba2314128de3p-7, 0x1.7fc90447767c8p-7, 0x1.74413962649b9p-7, 0x1.6908f33c4fb73p-7, 0x1.5e1e5ced29748p-7, 0x1.537fa9e730f8p-7, 0x1.492b15e34a1ffp-7, 0x1.3f1ee4ccdf166p-7, 0x1.355962ad55612p-7, 0x1.2bd8e397351dbp-7, 0x1.229bc390ece12p-7, 0x1.19a0667f4974p-7, 0x1.10e5380f9b15ap-7, 0x1.0868aba19a263p-7, 0x1.00293c3113191p-7, 0x1.f04ad87e9ed33p-8, 0x1.e0b78b78833e6p-8, 0x1.d195b3df31f18p-8, 0x1.c2e282c335a7ap-8, 0x1.b49b3787aef91p-8, 0x1.a6bd1fb38c28dp-8, 0x1.994596c276a2bp-8, 0x1.8c3205f5a9f52p-8, 0x1.7f7fe4248c06p-8, 0x1.732cb58d3b6d7p-8, 0x1.67360ba4f307dp-8, 0x1.5b9984e8864dp-8, 0x1.5054ccaca092fp-8, 0x1.45659aee3bc39p-8, 0x1.3ac9b423059f5p-8, 0x1.307ee909c8a83p-8, 0x1.2683167b02a67p-8, 0x1.1cd42539839e7p-8, 0x1.137009c345eaep-8, 0x1.0a54c4225619dp-8, 0x1.01805fbdf1acfp-8, 0x1.f1e1e6579f95ap-9, 0x1.e1494003699d6p-9, 0x1.d133254e4d8fbp-9, 0x1.c19c044f09898p-9, 0x1.b28060087eaa1p-9, 0x1.a3dcd00ed09a8p-9, 0x1.95ae002d2bb8p-9, 0x1.87f0b00c218c5p-9, 0x1.7aa1b2d8b69a6p-9, 0x1.6dbdeeec0c1b5p-9, 0x1.61425d73d6a54p-9, 0x1.552c0a1b6fa14p-9, 0x1.497812b5cc715p-9, 0x1.3e23a6e819f6ep-9, 0x1.332c07d56921fp-9, 0x1.288e87cad7e95p-9, 0x1.1e4889ec94afdp-9, 0x1.145781e40e469p-9, 0x1.0ab8f38e91262p-9, 0x1.016a72ad3d2dap-9, 0x1.f0d3452b019b5p-10, 0x1.df686bc50fe99p-10, 0x1.ce8fdc4f90ccep-10, 0x1.be4537487269ep-10, 0x1.ae8439ed34464p-10, 0x1.9f48bda59ffd3p-10, 0x1.908eb76fe37c8p-10, 0x1.8252374e9e075p-10, 0x1.748f67b937d14p-10, 0x1.67428d0ddb4edp-10, 0x1.5a68050541c58p-10, 0x1.4dfc46290860ap-10, 0x1.41fbdf4b5169ep-10, 0x1.366377006029ep-10, 0x1.2b2fcb1abc2cep-10, 0x1.205db02881255p-10, 0x1.15ea10f333f21p-10, 0x1.0bd1ee015d61cp-10, 0x1.02125d1a3dad5p-10, 0x1.f151119603232p-11, 0x1.df235fdc6f108p-11, 0x1.cd964a6a59097p-11, 0x1.bca49d66672acp-11, 0x1.ac494ad58fb84p-11, 0x1.9c7f69b9db801p-11, 0x1.8d4235338058ep-11, 0x1.7e8d0ba721d38p-11, 0x1.705b6de70240dp-11, 0x1.62a8fe6066468p-11, 0x1.5571804c58042p-11, 0x1.48b0d6e46a573p-11, 0x1.3c63049b5461ap-11, 0x1.30842a58180f9p-11, 0x1.251086b5aefp-11, 0x1.1a0475463337cp-11, 0x1.0f5c6dd95a24dp-11, 0x1.051503c64f86dp-11, 0x1.f655ca73abb1fp-12, 0x1.e335b50db3e2p-12, 0x1.d0c38af4d98afp-12, 0x1.bef94167e4ef1p-12, 0x1.add0fdffd9966p-12, 0x1.9d45156c967dep-12, 0x1.8d500a380d527p-12, 0x1.7dec8b906acaep-12, 0x1.6f1574176e37fp-12, 0x1.60c5c8b85c2e5p-12, 0x1.52f8b7848c4a8p-12, 0x1.45a99695e7d2bp-12, 0x1.38d3e2f7584fp-12, 0x1.2c733f9369342p-12, 0x1.20837428fc319p-12, 0x1.15006c4541e12p-12, 0x1.09e6364300bf8p-12, 0x1.fe6204a050dd1p-13, 0x1.e9ba42f39c286p-13, 0x1.d5ce0976ffeaep-13, 0x1.c296782b3699dp-13, 0x1.b00ceb528dc55p-13, 0x1.9e2af9b07cf22p-13, 0x1.8cea72d4c9827p-13, 0x1.7c455d7020a8fp-13, 0x1.6c35f5b49cff1p-13, 0x1.5cb6abbde9434p-13, 0x1.4dc2220451a18p-13, 0x1.3f532bd955d37p-13, 0x1.3164cbed11dc6p-13, 0x1.23f232dd11ffap-13, 0x1.16f6bdcb28c07p-13, 0x1.0a6df4fdbaeb6p-13, 0x1.fca71514aaa87p-14, 0x1.e546b20cafd78p-14, 0x1.ceb2c4812a56p-14, 0x1.b8e39c0bce78cp-14, 0x1.a3d1d1d36a193p-14, 0x1.8f764633045b5p-14, 0x1.7bca1e6a4e8e1p-14, 0x1.68c6c2634810dp-14, 0x1.5665da85b5dedp-14, 0x1.44a14d9635949p-14, 0x1.33733ea67748dp-14, 0x1.22d60b14a5492p-14, 0x1.12c44894c5eaep-14, 0x1.0338c34b0018bp-14, 0x1.e85cf7dcc84f9p-15, 0x1.cb414bfe850a2p-15, 0x1.af154c0d4780ap-15, 0x1.93d01fc2441eep-15, 0x1.79694a2fc8f0bp-15, 0x1.5fd8a68ec4ebap-15, 0x1.471665189bc78p-15, 0x1.2f1b0805ff36cp-15, 0x1.17df60905eb03p-15, 0x1.015c8c1c01066p-15, 0x1.d717e2e4d94d1p-16, 0x1.acce7c17f8efap-16, 0x1.83d0c6e20ac74p-16, 0x1.5c13296c73ecfp-16, 0x1.358a87fc91a9bp-16, 0x1.102c4038193a3p-16, 0x1.d7dc48f766ec9p-17, 0x1.918ceeb031034p-17, 0x1.4d57ce7d98da5p-17, 0x1.0b2b149b7234dp-17, 0x1.95eb68bc21cb3p-18, 0x1.194ec09e55835p-18, 0x1.40c20a5b8a821p-19, 0x1.58235786a6d13p-21, -0x1.1b8e1e7fdcec2p-20, -0x1.6ae4101115a0dp-19, -0x1.20c1155672babp-18, -0x1.88e984e9d6c66p-18, -0x1.ee030f260bb43p-18, -0x1.28122dd0c196bp-17, -0x1.57b1865f73093p-17, -0x1.85e9e58e279b3p-17, -0x1.b2c5283a7d08ap-17, -0x1.de4cb922c669p-17, -0x1.0444cb00dfc6ap-16, -0x1.18c22a3dcbd58p-16, -0x1.2ca29366fc69ap-16, -0x1.3fe9f03a95643p-16, -0x1.529bfd4aaf30dp-16, -0x1.64bc4c16471e7p-16, -0x1.764e451d701b3p-16, -0x1.875529d4d4d49p-16, -0x1.97d4168e6c465p-16, -0x1.a7ce0452ca2ccp-16, -0x1.b745ca9f567b2p-16, -0x1.c63e211602409p-16, -0x1.d4b9a11d93659p-16, -0x1.e2bac77782ad8p-16, -0x1.f043f5b7b73c5p-16, -0x1.fd5773b852bdcp-16, -0x1.04fbb8815a837p-15, -0x1.0b13030a7b94ep-15, -0x1.10f29adb9d2bp-15, -0x1.169b771658b11p-15, -0x1.1c0e85305fa4bp-15, -0x1.214ca98066dc1p-15, -0x1.2656bfca5c92fp-15, -0x1.2b2d9bc201563p-15, -0x1.2fd20984210f8p-15, -0x1.3444ce13aca84p-15, -0x1.3886a7cae18dp-15, -0x1.3c984ec50acc1p-15, -0x1.407a754bb0958p-15, -0x1.442dc836c7c09p-15, -0x1.47b2ef4d72dfdp-15, -0x1.4b0a8d9c63497p-15, -0x1.4e3541cf93407p-15, -0x1.5133a681d16eap-15, -0x1.540652877ce71p-15, -0x1.56add93b69d85p-15, -0x1.592acac3e38cp-15, -0x1.5b7db45355d52p-15, -0x1.5da720670d956p-15, -0x1.5fa797024b774p-15, -0x1.617f9de68ac3bp-15, -0x1.632fb8c5d9f72p-15, -0x1.64b869764ba4p-15, -0x1.661a301f84f8ap-15, -0x1.67558b666d71cp-15, -0x1.686af89501901p-15, -0x1.695af3c23db13p-15, -0x1.6a25f7f6a1bbbp-15, -0x1.6acc7f4ae5e21p-15, -0x1.6b4f03098676p-15, -0x1.6badfbca690b3p-15, -0x1.6be9e18f3a123p-15, -0x1.6c032bd9aa797p-15, -0x1.6bfa51c428231p-15, -0x1.6bcfca1615ca3p-15, -0x1.6b840b580db7bp-15, -0x1.6b178be307e6p-15, -0x1.6a8ac1f307befp-15, -0x1.69de23b462582p-15, -0x1.6912274ff2de2p-15, -0x1.682742f75cafap-15, -0x1.671deceefe3e3p-15, -0x1.65f69b974f216p-15, -0x1.64b1c57360fb2p-15, -0x1.634fe12ff5845p-15, -0x1.61d165a8ded9cp-15, -0x1.6036c9ee79b9bp-15, -0x1.5e80854704826p-15, -0x1.5caf0f3221087p-15, -0x1.5ac2df6bbb80ep-15, -0x1.58bc6dead789fp-15, -0x1.569c32e1fa17dp-15, -0x1.5462a6bee9af1p-15, -0x1.521042297ab58p-15, -0x1.4fa57e01f851ap-15, -0x1.4d22d35c1d77fp-15, -0x1.4a88bb7e0de87p-15, -0x1.47d7afdbbaf58p-15, -0x1.45102a13c7ffep-15, -0x1.4232a3e868863p-15, -0x1.3f3f973cfe2d3p-15, -0x1.3c377e0fbdb08p-15, -0x1.391ad2728f778p-15, -0x1.35ea0e857097fp-15, -0x1.32a5ac70469ccp-15, -0x1.2f4e265da2887p-15, -0x1.2be3f67153fb9p-15, -0x1.286796c1e73cp-15, -0x1.24d98151702c4p-15, -0x1.213a30064c9cep-15, -0x1.1d8a1ca32ededp-15, -0x1.19c9c0be26ba8p-15, -0x1.15f995bb3c17ep-15, -0x1.121a14c23ba05p-15, -0x1.0e2bb6b6e21a4p-15, -0x1.0a2ef430511a5p-15, -0x1.06244571b258ap-15, -0x1.020c2262e96f9p-15, -0x1.fbce050d20d1fp-16, -0x1.f36ab9e4abcd2p-16, -0x1.eaef508d92074p-16, -0x1.e25cb54ddfc8p-16, -0x1.d9b3d361b65ebp-16, -0x1.d0f594e968df7p-16, -0x1.c822e2dba510dp-16, -0x1.bf3ca4f4f13e7p-16, -0x1.b643c1a5a7182p-16, -0x1.ad391e04cbb97p-16, -0x1.a41d9dbe94e2ap-16, -0x1.9af2230aaa567p-16, -0x1.91b78e9809562p-16, -0x1.886ebf81e884dp-16, -0x1.7f18933eba818p-16, -0x1.75b5e5936735dp-16, -0x1.6c479085229e1p-16, -0x1.62ce6c4eff0d7p-16, -0x1.594b4f508d107p-16, -0x1.4fbf0e051b27dp-16, -0x1.462a7af4a1a83p-16, -0x1.3c8e66a7b98b6p-16, -0x1.32eb9f9c7131ep-16, -0x1.2942f23bada6bp-16, -0x1.1f9528cf24a72p-16, -0x1.15e30b74b09a7p-16, -0x1.0c2d60152717fp-16, -0x1.0274ea59cabe7p-16, -0x1.f174d74265631p-17, -0x1.ddfd45f2f5385p-17, -0x1.ca849a2cc2f02p-17, -0x1.b70c488f67fc4p-17, -0x1.a395c0e4f2817p-17, -0x1.90226e10daf9ep-17, -0x1.7cb3b5ff8e475p-17, -0x1.694af99aae03fp-17, -0x1.55e994bd5244ap-17, -0x1.4290de2913d1p-17, -0x1.2f42277565806p-17, -0x1.1bfebd08d5011p-17, -0x1.08c7e60b112f8p-17, -0x1.eb3dc8b72265cp-18, -0x1.c509e913a247bp-18, -0x1.9ef69ba50b981p-18, -0x1.79064421c6576p-18, -0x1.533b3b745156dp-18, -0x1.2d97cfb28fa38p-18, -0x1.081e440b9fa84p-18, -0x1.c5a1a17d4ef1ep-19, -0x1.7b63463204eep-19, -0x1.3185bae9abb8p-19, -0x1.d01a5ca439832p-20, -0x1.3dfb721b9f729p-20, -0x1.596d76d4b677dp-21, -0x1.c541181ed6596p-24, 0x1.cc937b623341dp-22, 0x1.01ac9503434a5p-20, 0x1.8f3bbc5d0d0fap-20, 0x1.0de5963f68b26p-19, 0x1.53a9f479403dp-19, 0x1.98e790a0ab046p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      32, 0x1.ef5c28f5c28f6p+1, 0x1.c07b825a7591cp+3, 0x1.d4a0052328699p+4, 0x1.f9b2bf9e664cp-10, 
      {{
        {0x1.2a3d70a3d70a4p+1, 0x1.2cccccccccccdp+1, 0x1.2aa27bfb22adp-5, -0x1.ef7d06cb61c01p-2, 0x1.b204eca160df3p+1, -0x1.62a822769dd85p+3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.cb7b73d3d6667p-6, -0x1.723896b68290ep-2, 0x1.5ce6cfe112076p+1, -0x1.18169b5c72d48p+3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.01073c0701df9p-6, -0x1.3ca4545a3e20dp-3, 0x1.69b27eeccd77ap+0, -0x1.779e0bca2592cp+2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.6072543e0100bp-7, -0x1.d5baa7d91a70ap-5, 0x1.10a7561a3aa2bp-1, -0x1.8b210659f6499p+1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.217b31e8e4a3cp-7, -0x1.be4a56bee0905p-6, 0x1.1c9c2beed0888p-4, -0x1.5a4f971f2b9afp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.f2517bfa8bc8cp-8, -0x1.7600f0e836393p-6, 0x1.334b450a0cb19p-6, 0x1.97a5a79221b22p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.aaff86c46a0fp-8, -0x1.5128d968dad8fp-6, 0x1.ad9690e916ce1p-6, -0x1.dfc3edd23f915p-6}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.6b9f4ad2d232cp-8, -0x1.29cc8ac83e2a2p-6, 0x1.659f93a326defp-6, -0x1.e965987e50ea1p-8}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.3393d6c3af2aap-8, -0x1.06f44b811fde5p-6, 0x1.53455deb37095p-6, -0x1.9f6cd9cf83eb6p-7}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.024686c19980dp-8, -0x1.cd2b886b298f3p-7, 0x1.341d33fba6be3p-6, -0x1.5cddfcdb6f014p-7}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ae4e0907ae9d8p-9, -0x1.9229eacc65d84p-7, 0x1.19f2f437fe6b1p-6, -0x1.59e3ad036424bp-7}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.63568e9cb87fcp-9, -0x1.5c5e3be46cabbp-7, 0x1.0001e0d7bd4e9p-6, -0x1.45e0133fac617p-7}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.229f27e393233p-9, -0x1.2b9c56bf839f8p-7, 0x1.cf222532ba5b4p-7, -0x1.366d140e8fa6p-7}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.d659f32db8475p-10, -0x1.ff4048eadc72ap-8, 0x1.a091c896f19bep-7, -0x1.25c0f47ec5dc6p-7}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.7823871518815p-10, -0x1.b057f144557ecp-8, 0x1.7481a3ea53ee1p-7, -0x1.1568bbd702c27p-7}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.28d7c157eeb71p-10, -0x1.6a00dd8a9d124p-8, 0x1.4ae52156e0514p-7, -0x1.04fa07ede4d2ap-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.cd991c0731dd9p-11, -0x1.2bbd3097afcc9p-8, 0x1.23bfa02664648p-7, -0x1.e922b4442555ap-8}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.60e21eb056f32p-11, -0x1.ea1d9c2628a47p-9, 0x1.fe20720f5cc94p-8, -0x1.c84e1e450a3f8p-8}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.089b3b90e1d12p-11, -0x1.8aef5526ae8e9p-9, 0x1.b9ae53eb680c2p-8, -0x1.a77a65a92c962p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.840f1fe7a8492p-12, -0x1.38f36c4ac7379p-9, 0x1.7a28c4aba15c4p-8, -0x1.86a671e7a626p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.15394b1338528p-12, -0x1.e65b883692e09p-10, 0x1.3f8fcd2f48706p-8, -0x1.65d28d59a35e2p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8009c9a052958p-13, -0x1.71447cf096f5ap-10, 0x1.09e36b2ea321fp-8, -0x1.44fea7233ded6p-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.004d642a13a51p-13, -0x1.10a97aebcac42p-10, 0x1.b2473dd2b3b03p-9, -0x1.242ab85af1354p-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.46e1428d0641p-14, -0x1.85248c03a3ce7p-11, 0x1.5aa0d35104ec9p-9, -0x1.0356ed8269c6dp-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.89c1b8388a9cp-15, -0x1.0a0d45bcfa1aep-11, 0x1.0cd38c104b97ap-9, -0x1.c50536f9d4cd3p-9}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.b89b49792f581p-16, -0x1.58394ccdd3ddep-12, 0x1.91bf213c0a8bbp-10, -0x1.83608476a5d9ep-9}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.be9e2ed72e9ffp-17, -0x1.9d891e46a8f3fp-13, 0x1.1d88931872637p-10, -0x1.41ad1a2f06e36p-9}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.89bba4542f4p-18, -0x1.bf6b80717dd2ep-14, 0x1.7a0fb014ad725p-11, -0x1.00309d6ff0a9fp-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.18c2cf7efffffp-19, -0x1.9ce9b7d8e900ap-15, 0x1.c0b1d66fd3b08p-12, -0x1.7bce44a94270dp-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.16d2447ebp-21, -0x1.22389ff3fb5bep-16, 0x1.b99f5a7af141ap-13, -0x1.fa6acc81c7eedp-11}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.024686c170001p-24, -0x1.d3b4e90b52b6ap-19, 0x1.138b5926f29a6p-14, -0x1.a138956676099p-12}, 
        {0x1.ecccccccccccdp+1, 0x1.ef5c28f5c28f6p+1, 0x1.b89b490ffffffp-32, 0x1.b018713a7532p-24, 0x1.93632b6456p-18, -0x1.7da20cb654b11p-9}, 
      }}, 
      0x1.774ea894b1791p-3, -0x1.b1cd608f99a1fp+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.ef88596506663p-1, -0x1.e143230dd27f9p-1, -0x1.caba674173a31p-1, -0x1.ad5c965c5b2a6p-1, -0x1.8ab4948c8b3c1p-1, -0x1.644673c4d75c7p-1, -0x1.3b7a25c229884p-1, -0x1.118fb72f3bd84p-1, -0x1.cf340dafceef1p-2, -0x1.7cfb944f2065ap-2, -0x1.2de6a26ca6f95p-2, -0x1.c627ca76e81bfp-3, -0x1.3ab16dda4fcc8p-3, -0x1.7529c60027e75p-4, -0x1.1a3e85b5a43fbp-5, 0x1.07e354645e47ap-6, 0x1.efe20e8173f3p-5, 0x1.951539415861fp-4, 0x1.0d0897e1f10fcp-3, 0x1.43ed5f05853d5p-3, 0x1.6fcf98535af1bp-3, 0x1.9159d316bb43ap-3, 0x1.a943f8ac30dc1p-3, 0x1.b84dd7fa48e5cp-3, 0x1.bf3aa86663188p-3, 0x1.becd660752e8ep-3, 0x1.b7c5eb0d13c14p-3, 0x1.aadeab34ec09ap-3, 0x1.98caf85223cc4p-3, 0x1.8235b9ef7fdap-3, 0x1.67c08536caf58p-3, 0x1.4a03054586009p-3, 0x1.298aa57984075p-3, 0x1.06da722254b1bp-3, 0x1.c4d64919da21fp-4, 0x1.7956a3a45920bp-4, 0x1.2bff688ca5246p-4, 0x1.bb0e2552c9d25p-5, 0x1.1d23f8233ff16p-5, 0x1.fd9a5c73480d8p-7, -0x1.d24221d02d82bp-9, -0x1.6f2991022ef9bp-6, -0x1.4f205ca944266p-5, -0x1.e3164aa1746fap-5, -0x1.396f3a13bf519p-4, -0x1.7efba51b86996p-4, -0x1.c1f9fc1feadc4p-4, -0x1.011ea8fac8b4fp-3, -0x1.1fd0b080b9983p-3, -0x1.3d04e0756780ap-3, -0x1.58b093cb6d119p-3, -0x1.72cc5abeae616p-3, -0x1.8b53a6b7e045p-3, -0x1.a2447bd737b1ep-3, -0x1.b79f28006227bp-3, -0x1.cb65ff5866e28p-3, -0x1.dd9d1def118ddp-3, -0x1.ee4a2e5a324f9p-3, -0x1.fd7434fdaaf09p-3, -0x1.0591afdd0685p-2, -0x1.0bb06cdf1af8dp-2, -0x1.111b518d2c61cp-2, -0x1.15d7b5fa0afep-2, -0x1.19eb398e7ffe3p-2, -0x1.1d5bb3d755e1dp-2, -0x1.202f26d65981p-2, -0x1.226bb2ad9f797p-2, -0x1.24178a852661bp-2, -0x1.2538eab7bf54dp-2, -0x1.25d6100848a33p-2, -0x1.25f52fe36ca95p-2, -0x1.259c718e77e3cp-2, -0x1.24d1e84f93b23p-2, -0x1.239b8e4e8dcc3p-2, -0x1.21ff403d4d537p-2, -0x1.2002b9b123261p-2, -0x1.1dab92123fcc4p-2, -0x1.1aff3a14beb69p-2, -0x1.1802f9b9fac05p-2, -0x1.14bbeec4bdd4ap-2, -0x1.112f0ba028f9cp-2, -0x1.0d6116a00e592p-2, -0x1.0956a9a183dbbp-2, -0x1.051431e5324a4p-2, -0x1.009df040ee05cp-2, -0x1.f7eff2ba0846bp-3, -0x1.ee4c6c61fe791p-3, -0x1.e458c95f1c934p-3, -0x1.da1c30f779176p-3, -0x1.cf9d77ccd122cp-3, -0x1.c4e321cd83ffep-3, -0x1.b9f36499947c3p-3, -0x1.aed429dac8969p-3, -0x1.a38b11c1e87a4p-3, -0x1.981d7584b6318p-3, -0x1.8c9069cdedbb9p-3, -0x1.80e8c12cdffb4p-3, -0x1.752b0e6e66618p-3, -0x1.695ba6faccbffp-3, -0x1.5d7ea536e53a9p-3, -0x1.5197ead50c0c6p-3, -0x1.45ab2342c0c5p-3, -0x1.39bbc5efa6deep-3, -0x1.2dcd18b071295p-3, -0x1.21e231edcfd3fp-3, -0x1.15fdfacb85737p-3, -0x1.0a23313defdb9p-3, -0x1.fca8d3cbe055dp-4, -0x1.e52823e385acdp-4, -0x1.cdc8e1a0545b8p-4, -0x1.b68f539fff2afp-4, -0x1.9f7f7b6d09b13p-4, -0x1.889d1893be9edp-4, -0x1.71ebab81c9312p-4, -0x1.5b6e786df0ac9p-4, -0x1.45288a315d645p-4, -0x1.2f1cb4ec2be41p-4, -0x1.194d98ab40478p-4, -0x1.03bda401d63e7p-4, -0x1.dcde2cc49f326p-5, -0x1.b2c804dc71943p-5, -0x1.893ca0706be64p-5, -0x1.603f7e9f501eap-5, -0x1.37d3d16fabc21p-5, -0x1.0ffc819dc95e2p-5, -0x1.d178646eb9423p-6, -0x1.842a87c3b1a1ap-6, -0x1.3813b03b6eb41p-6, -0x1.da6f51cbe4196p-7, -0x1.4733955117375p-7, -0x1.6cf4070f3f042p-8, -0x1.423d35e82e645p-10, 0x1.8d7ce9da5ba15p-9, 0x1.d8ee273960971p-8, 0x1.72fd090f9a6bbp-7, 0x1.f6eee6c7be44dp-7, 0x1.3c258bc508b1ap-6, 0x1.7b884eab294e5p-6, 0x1.b99f84c574e52p-6, 0x1.f66b3aaf168dep-6, 0x1.18f5dec37cbdep-5, 0x1.3610cbd52bc95p-5, 0x1.5286c6d1dfa29p-5, 0x1.6e584d935eda3p-5, 0x1.8985f80b5a4c7p-5, 0x1.a41076fee87ecp-5, 0x1.bdf892cbc5305p-5, 0x1.d73f2a0768547p-5, 0x1.efe53053e3fd3p-5, 0x1.03f5d6ac08bf1p-4, 0x1.0fa9ddc9ce782p-4, 0x1.1b0f43a452ae1p-4, 0x1.2626a6c2821a3p-4, 0x1.30f0ad8ea3c39p-4, 0x1.3b6e05d660d3ap-4, 0x1.459f645f6e1edp-4, 0x1.4f85847906a11p-4, 0x1.5921277992a27p-4, 0x1.627314582491fp-4, 0x1.6b7c175b94618p-4, 0x1.743d01ab6b836p-4, 0x1.7cb6a8dad4193p-4, 0x1.84e9e69c72861p-4, 0x1.8cd79879f1766p-4, 0x1.94809f6ab8b5bp-4, 0x1.9be5df75ec4ddp-4, 0x1.a3083f76cec71p-4, 0x1.a9e8a8d5c2ab5p-4, 0x1.b088072cb61fp-4, 0x1.b6e747fb505d9p-4, 0x1.bd075a7cdfc97p-4, 0x1.c2e92f627326ep-4, 0x1.c88db87f7ac4bp-4, 0x1.cdf5e893fd527p-4, 0x1.d322b32850f64p-4, 0x1.d8150c5104b16p-4, 0x1.dccde866cbee4p-4, 0x1.e14e3bda9c224p-4, 0x1.e596fb19d9b9cp-4, 0x1.e9a91a5ab8d85p-4, 0x1.ed858d5d6e168p-4, 0x1.f12d474a21948p-4, 0x1.f4a13aa018e3ep-4, 0x1.f7e2590a0cf4cp-4, 0x1.faf19320170ffp-4, 0x1.fdcfd84969b8fp-4, 0x1.003f0b5eaeebbp-3, 0x1.017e9db69062cp-3, 0x1.02a718e0dde85p-3, 0x1.03b8f1b5a4019p-3, 0x1.04b49c34e23f9p-3, 0x1.059a8b8fd6974p-3, 0x1.066b3215a52e1p-3, 0x1.07270109ed8a6p-3, 0x1.07ce6899f9913p-3, 0x1.0861d7ed32d9cp-3, 0x1.08e1bd359f0b9p-3, 0x1.094e8596e51bep-3, 0x1.09a89cfae532ap-3, 0x1.09f06e04c1e6bp-3, 0x1.0a26622fcd9afp-3, 0x1.0a4ae1e938b1p-3, 0x1.0a5e547bee26p-3, 0x1.0a611fdf58874p-3, 0x1.0a53a8a1dc131p-3, 0x1.0a3652070a7cfp-3, 0x1.0a097e31c5937p-3, 0x1.09cd8e2383e4ep-3, 0x1.0982e18cb7852p-3, 0x1.0929d6a49a9fdp-3, 0x1.08c2ca33df0e2p-3, 0x1.084e17c776f6cp-3, 0x1.07cc19cfe3ce1p-3, 0x1.073d2989b32b5p-3, 0x1.06a19ec851126p-3, 0x1.05f9cfdd2b18ep-3, 0x1.054611b67b75ep-3, 0x1.0486b8156b3fep-3, 0x1.03bc15a3d1792p-3, 0x1.02e67bd487b4p-3, 0x1.02063ab0af853p-3, 0x1.011ba0c6ed24dp-3, 0x1.0026fb4e0d68fp-3, 0x1.fe512cb641f5cp-4, 0x1.fc4179ee76c6cp-4, 0x1.fa1f7206d822cp-4, 0x1.f7eba612d6fc5p-4, 0x1.f5a6a44ed8b46p-4, 0x1.f350f858515cep-4, 0x1.f0eb2b94feb43p-4, 0x1.ee75c570280f7p-4, 0x1.ebf14b3edb1c3p-4, 0x1.e95e3fe9adaefp-4, 0x1.e6bd23b57154bp-4, 0x1.e40e7453e0f25p-4, 0x1.e152ad3d22971p-4, 0x1.de8a4801e4642p-4, 0x1.dbb5bc5b3a955p-4, 0x1.d8d57ff2fcdf2p-4, 0x1.d5ea061d03c2p-4, 0x1.d2f3bfb702eaap-4, 0x1.cff31b5f25b47p-4, 0x1.cce885c0583f9p-4, 0x1.c9d469d258a2bp-4, 0x1.c6b730d7be05ep-4, 0x1.c3914226fb5e3p-4, 0x1.c06302f15eb5ap-4, 0x1.bd2cd632f58f7p-4, 0x1.b9ef1cde3fc73p-4, 0x1.b6aa36240f3b9p-4, 0x1.b35e7fa7bad48p-4, 0x1.b00c5581fc1bbp-4, 0x1.acb41217fa4acp-4, 0x1.a9560de99096dp-4, 0x1.a5f29f7bac2b3p-4, 0x1.a28a1b7691854p-4, 0x1.9f1cd4daac0c7p-4, 0x1.9bab1d355f6d3p-4, 0x1.983544b2c3f6cp-4, 0x1.94bb9a08d31e9p-4, 0x1.913e6a5072233p-4, 0x1.8dbe00e83a612p-4, 0x1.8a3aa776dd5bp-4, 0x1.86b4a60d3d438p-4, 0x1.832c43542b678p-4, 0x1.7fa1c4acc3a31p-4, 0x1.7c156e3530c01p-4, 0x1.788782b49b8b2p-4, 0x1.74f8437e484d8p-4, 0x1.7167f05fe8af3p-4, 0x1.6dd6c7a79c373p-4, 0x1.6a45063f4ccc9p-4, 0x1.66b2e7cea3b77p-4, 0x1.6320a6d2b9d4bp-4, 0x1.5f8e7ca48b50fp-4, 0x1.5bfca169b5233p-4, 0x1.586b4c036cd3cp-4, 0x1.54dab1feca08p-4, 0x1.514b0796154a1p-4, 0x1.4dbc7fc1f3442p-4, 0x1.4a2f4c50333fp-4, 0x1.46a39dfd96aa8p-4, 0x1.4319a4754cd26p-4, 0x1.3f918e5a1ee5ep-4, 0x1.3c0b89329e075p-4, 0x1.3887c15fb8a4p-4, 0x1.350662176e18bp-4, 0x1.3187956a9b1f4p-4, 0x1.2e0b8453b3d01p-4, 0x1.2a9256c7b9bc8p-4, 0x1.271c33c307994p-4, 0x1.23a9414eb90b6p-4, 0x1.2039a47e7a85bp-4, 0x1.1ccd8169a1721p-4, 0x1.1964fb2409f2dp-4, 0x1.160033bb870c8p-4, 0x1.129f4c3c3e57ep-4, 0x1.0f4264baf29dap-4, 0x1.0be99c6093044p-4, 0x1.08951173a6c6cp-4, 0x1.0544e15d98af3p-4, 0x1.01f928ab6897bp-4, 0x1.fd640615f888p-5, 0x1.f6df168e6182ep-5, 0x1.f063b68b34846p-5, 0x1.e9f218105edaep-5, 0x1.e38a6b6659583p-5, 0x1.dd2cdf283374dp-5, 0x1.d6d9a053b48dp-5, 0x1.d090da5b7cb23p-5, 0x1.ca52b72266d35p-5, 0x1.c41f5efe5c7aep-5, 0x1.bdf6f8bcbcc39p-5, 0x1.b7d9a99fae99bp-5, 0x1.b1c79558230bdp-5, 0x1.abc0de0d5b488p-5, 0x1.a5c5a4663a787p-5, 0x1.9fd6079434a9ap-5, 0x1.99f2255e8526p-5, 0x1.941a1a2569fd6p-5, 0x1.8e4e00f46e5b1p-5, 0x1.888df3779e16ap-5, 0x1.82da0a0681fcfp-5, 0x1.7d325ba20740ap-5, 0x1.7796fdf593529p-5, 0x1.7208055a8731ap-5, 0x1.6c8584de7295bp-5, 0x1.670f8e4b4caa3p-5, 0x1.61a6322fd051fp-5, 0x1.5c497fe6d197ap-5, 0x1.56f9859d4fc56p-5, 0x1.51b6505776754p-5, 0x1.4c7febf491d22p-5, 0x1.475663322c93p-5, 0x1.4239bfaeb980ap-5, 0x1.3d2a09eca73c6p-5, 0x1.3827495646c8fp-5, 0x1.3331844374147p-5, 0x1.2e48bffff5d27p-5, 0x1.296d00d21b9c8p-5, 0x1.249e4a00cfb04p-5, 0x1.1fdc9dd94fa9p-5, 0x1.1b27fdb3c61ecp-5, 0x1.168069f7edc4ep-5, 0x1.11e5e22188e87p-5, 0x1.0d5864c3de6abp-5, 0x1.08d7ef8de64dep-5, 0x1.04647f4dda63bp-5, 0x1.fffc1feadda15p-6, 0x1.f749393df0cf9p-6, 0x1.eeb03f25e627ep-6, 0x1.e631249b0e662p-6, 0x1.ddcbdb07dff64p-6, 0x1.d58052537e135p-6, 0x1.cd4e78ebd0b89p-6, 0x1.c5363bd1e4a19p-6, 0x1.bd37869bb12aep-6, 0x1.b552437049b6fp-6, 0x1.ad865b3e786e2p-6, 0x1.a5d3b57b46858p-6, 0x1.9e3a3872d465bp-6, 0x1.96b9c8fccfa1dp-6, 0x1.8f524aeece79cp-6, 0x1.8803a0e3d25f4p-6, 0x1.80cdac584e0dcp-6, 0x1.79b04dc1c507cp-6, 0x1.72ab64852a928p-6, 0x1.6bbecf006748cp-6, 0x1.64ea6a8971976p-6, 0x1.5e2e136f9bfdap-6, 0x1.5789a500566eap-6, 0x1.50fcf9916b8d3p-6, 0x1.4a87ea90d8061p-6, 0x1.442a50984bed5p-6, 0x1.3de40380ce974p-6, 0x1.37b4da7356c1cp-6, 0x1.319cabefda5ap-6, 0x1.2b9b4dc7d6da2p-6, 0x1.25b09519cd20ap-6, 0x1.1fdc564a2f8e4p-6, 0x1.1a1e64fa16daep-6, 0x1.147694073b0c4p-6, 0x1.0ee4b5b0692bcp-6, 0x1.09689ba1c0cb9p-6, 0x1.0402171d42ef3p-6, 0x1.fd61f22d5905p-7, 0x1.f2ea248646f58p-7, 0x1.e89c662a4522p-7, 0x1.de785747ba4ap-7, 0x1.d47d970c1e1a7p-7, 0x1.caabc3548a04cp-7, 0x1.c102787b40234p-7, 0x1.b7815158a2eb5p-7, 0x1.ae27e78f6e6eap-7, 0x1.a4f5d3dec83d6p-7, 0x1.9beaaf497a3f1p-7, 0x1.9306132ea6081p-7, 0x1.8a4799d6b720dp-7, 0x1.81aedf0b94ca1p-7, 0x1.793b7f5f6a1e8p-7, 0x1.70ed17b036251p-7, 0x1.68c34444bc6abp-7, 0x1.60bd9fe15853dp-7, 0x1.58dbc31685a48p-7, 0x1.511d43fe38146p-7, 0x1.4981b6862692cp-7, 0x1.4208ad438460bp-7, 0x1.3ab1baa86e2d4p-7, 0x1.337c7257d33aap-7, 0x1.2c686a47d3cffp-7, 0x1.25753b6a30a84p-7, 0x1.1ea281abf0e02p-7, 0x1.17efdb459d828p-7, 0x1.115ce780e93f2p-7, 0x1.0ae9453db59edp-7, 0x1.0494919393f81p-7, 0x1.fcbccdd534e41p-8, 0x1.f08cb996dd912p-8, 0x1.e49810f6ee734p-8, 0x1.d8ddfc8d97a05p-8, 0x1.cd5da65963816p-8, 0x1.c2163d0dd134ap-8, 0x1.b706f684140b1p-8, 0x1.ac2f107730cep-8, 0x1.a18dcfe413763p-8, 0x1.97227de9b48adp-8, 0x1.8cec63f5d4418p-8, 0x1.82eac80909f51p-8, 0x1.791ce91c441b8p-8, 0x1.6f81fdb99da83p-8, 0x1.661934b9c72ddp-8, 0x1.5ce1b85b11c1ep-8, 0x1.53dab32f608bcp-8, 0x1.4b0355e57efebp-8, 0x1.425adcac278dbp-8, 0x1.39e092fddbbdep-8, 0x1.3193d4d62a46dp-8, 0x1.29740cb846085p-8, 0x1.2180aea6f6e42p-8, 0x1.19b930ec56871p-8, 0x1.121d03f00aa7bp-8, 0x1.0aab8af01ea3ep-8, 0x1.036416809c5a7p-8, 0x1.f88bc5c198d33p-9, 0x1.eaa0340f0eee7p-9, 0x1.dd03b40f09426p-9, 0x1.cfb47aa7ef79dp-9, 0x1.c2b0ca4d03c72p-9, 0x1.b5f706fc65bd5p-9, 0x1.a985c61815207p-9, 0x1.9d5bd68d9d303p-9, 0x1.917840d27f0ccp-9, 0x1.85da3d3c1c033p-9, 0x1.7a8122d66c6e5p-9, 0x1.6f6c50e07a499p-9, 0x1.649b177b47d26p-9, 0x1.5a0ca32616834p-9, 0x1.4fbfee82301aap-9, 0x1.45b3bc75e559dp-9, 0x1.3be69b5550e15p-9, 0x1.3256f05000a31p-9, 0x1.2903093b687b5p-9, 0x1.1fe9320575b4ep-9, 0x1.1707caa5536ffp-9, 0x1.0e5d5a53f2526p-9, 0x1.05e89d38c4b5ap-9, 0x1.fb51151bbda9dp-10, 0x1.eb38a4e10b097p-10, 0x1.db86a7c8bd32cp-10, 0x1.cc3a19b58a98dp-10, 0x1.bd520f8e77599p-10, 0x1.aecd8ed4e62e8p-10, 0x1.a0ab6facbd65bp-10, 0x1.92ea451333705p-10, 0x1.85885260a8425p-10, 0x1.78838cc2a50a4p-10, 0x1.6bd9a79fea7eap-10, 0x1.5f8829578fb9ep-10, 0x1.538c84bbcba3cp-10, 0x1.47e43314bc4dep-10, 0x1.3c8ccb03c87e9p-10, 0x1.318411ce86a1p-10, 0x1.26c8065d81364p-10, 0x1.1c56e647e1812p-10, 0x1.122f2d61041c8p-10, 0x1.084f8fb7338eep-10, 0x1.fd6ddb61d940ap-11, 0x1.eac88578a46c9p-11, 0x1.d8ad215dff783p-11, 0x1.c7199749bfbe6p-11, 0x1.b60b95bec347ap-11, 0x1.a580844ccf30ep-11, 0x1.9575894c98ba9p-11, 0x1.85e79fd4475f7p-11, 0x1.76d3bba882ce9p-11, 0x1.6836c2afbe6a1p-11, 0x1.5a0dbd4fa08ccp-11, 0x1.4c55b90dbe9c5p-11, 0x1.3f0bbb9c86378p-11, 0x1.322cb224bb0a8p-11, 0x1.25b57fd3123f6p-11, 0x1.19a3145ea10acp-11, 0x1.0df298799c9a1p-11, 0x1.02a196f676157p-11, 0x1.ef5c1a61305e9p-12, 0x1.da2cabb04038p-12, 0x1.c5b1e5cadd0cfp-12, 0x1.b1e89656ba983p-12, 0x1.9eccf1e077eecp-12, 0x1.8c5a7d2f0b587p-12, 0x1.7a8c4b5b46864p-12, 0x1.695d72c6f0bc1p-12, 0x1.58c98321f7d6ep-12, 0x1.48ccc7b444891p-12, 0x1.3964397e25a5p-12, 0x1.2a8d264137a29p-12, 0x1.1c44ad8cd3be4p-12, 0x1.0e8747809ad6fp-12, 0x1.01508ab7c99fep-12, 0x1.e9369b95c04a5p-13, 0x1.d0c452f0d2769p-13, 0x1.b9405c3e93f09p-13, 0x1.a2a2f96932606p-13, 0x1.8ce7143c5162p-13, 0x1.7809bb378f575p-13, 0x1.6408c4f23af9bp-13, 0x1.50e13260082e3p-13, 0x1.3e8e00492701dp-13, 0x1.2d07ea6be960bp-13, 0x1.1c462a3fbfa9bp-13, 0x1.0c3fc13d67bcbp-13, 0x1.f9d98ca36195dp-14, 0x1.dc8e8bfa294e9p-14, 0x1.c096c00b2e119p-14, 0x1.a5ed639239229p-14, 0x1.8c8eafadc27f3p-14, 0x1.747564ada5bc4p-14, 0x1.5d9920a0f5e54p-14, 0x1.47edd9239e99fp-14, 0x1.3364b623a6bd9p-14, 0x1.1fee00ccae895p-14, 0x1.0d7b84825ba9dp-14, 0x1.f8051c801f682p-15, 0x1.d6f9812a09723p-15, 0x1.b7ce984b1dbb9p-15, 0x1.9a818b3a83543p-15, 0x1.7f0d11264c5eap-15, 0x1.6565b6e9082dap-15, 0x1.4d792171810e2p-15, 0x1.373007aa1e8b7p-15, 0x1.22717e8e34addp-15, 0x1.0f2658452a1a5p-15, 0x1.fa76f7263c4afp-16, 0x1.d947e8d2baa36p-16, 0x1.bab013b178ab1p-16, 0x1.9ea6aba463a23p-16, 0x1.8522ef0a68561p-16, 0x1.6e16a69850f82p-16, 0x1.596c04443129dp-16, 0x1.47072640efe79p-16, 0x1.36c992a896c0dp-16, 0x1.28959e203f6d6p-16, 0x1.1c50b2b010bbep-16, 0x1.11e45104d1399p-16, 0x1.093db79231dcbp-16, 0x1.024c71ca4271p-16, 0x1.fa04f99f0570fp-17, 0x1.f29dcaa29555bp-17, 0x1.ee43c423dce82p-17, 0x1.ecd961f1ba422p-17, 0x1.ee37e221da9dep-17, 0x1.f23693746acep-17, 0x1.f8a9ccbf29a8fp-17, 0x1.00b3838925581p-16, 0x1.0624ec5c2a495p-16, 0x1.0c9b72ca08fe2p-16, 0x1.140dae622c005p-16, 0x1.1c7342c0d0117p-16, 0x1.25c27d3614b64p-16, 0x1.2fef6f9dd2141p-16, 0x1.3aec932e12aa7p-16, 0x1.46ac2635f3ad5p-16, 0x1.5321a416d560bp-16, 0x1.60430ad258b04p-16, 0x1.6e08f824ee155p-16, 0x1.7c6c8ffff3bep-16, 0x1.8b6457a403b0dp-16, 0x1.9ae2d747c297cp-16, 0x1.aad8170dfa1b8p-16, 0x1.bb3492d22d14bp-16, 0x1.cbebf3cdd2477p-16, 0x1.dcf631dce896bp-16, 0x1.ee4e404f0134bp-16, 0x1.ffefe1412bcc7p-16, 0x1.08ea7db79b77bp-15, 0x1.11faab5f74f4bp-15, 0x1.1b240d3ce3448p-15, 0x1.2462ab8cf03c5p-15, 0x1.2db32c0112499p-15, 0x1.37126c51642bbp-15, 0x1.407d53664f5ap-15, 0x1.49f0ee32cf27ap-15, 0x1.536a70fc8e4d1p-15, 0x1.5ce7101f1a596p-15, 0x1.66640d253c66dp-15, 0x1.6fdf011f070fdp-15, 0x1.7955e7dddf795p-15, 0x1.82c6c42d59244p-15, 0x1.8c2f5500400dep-15, 0x1.958d26ad97922p-15, 0x1.9eddbbef76075p-15, 0x1.a81ea575a68fp-15, 0x1.b14d8b39c7b13p-15, 0x1.ba683a722015fp-15, 0x1.c36cc844f8e91p-15, 0x1.cc59a0a85d744p-15, 0x1.d52d8a1fb419ep-15, 0x1.dde7411781756p-15, 0x1.e684e17ceacbdp-15, 0x1.ef04811de713p-15, 0x1.f7658d25a855dp-15, 0x1.ffa8fc34883b1p-15, 0x1.03e79957504bap-14, 0x1.07eab8092c54ap-14, 0x1.0bdbf3154fep-14, 0x1.0fba6da9a14b8p-14, 0x1.13867da029de8p-14, 0x1.1740542e170cfp-14, 0x1.1ae760e14378ap-14, 0x1.1e7b0785a0547p-14, 0x1.21fb1b8aa5167p-14, 0x1.256789fce05dcp-14, 0x1.28c0a2cbcf8b9p-14, 0x1.2c04bd66d158bp-14, 0x1.2f356b6ca0ffep-14, 0x1.32513b5537686p-14, 0x1.35584ecc13cf8p-14, 0x1.384a684db8fe6p-14, 0x1.3b27254637e2p-14, 0x1.3dedea3e09ac5p-14, 0x1.409df85c33ed9p-14, 0x1.4336c39dfa7b3p-14, 0x1.45b83f7273aa1p-14, 0x1.4823440fd55ep-14, 0x1.4a79738a0ff1fp-14, 0x1.4cbc0b3f8952p-14, 0x1.4eea1a25f1872p-14, 0x1.5101a2efe0c7bp-14, 0x1.5302de50f831ap-14, 0x1.54ef62e7046a6p-14, 0x1.56c69fad905c1p-14, 0x1.5886bc07fb57bp-14, 0x1.5a2ff98d65c34p-14, 0x1.5bc32ecfda13ep-14, 0x1.5d4190bb1b805p-14, 0x1.5eab630072c99p-14, 0x1.60008b27079c6p-14, 0x1.6140ff329c723p-14, 0x1.626cbdabdb5fcp-14, 0x1.6383d6f4a12ebp-14, 0x1.64866a1ddbe69p-14, 0x1.65749e933804ap-14, 0x1.664eb81499898p-14, 0x1.6714d3335cdcap-14, 0x1.67c6f9898f7cbp-14, 0x1.686540a53bbf6p-14, 0x1.68efba8588c6bp-14, 0x1.696671c03cfe8p-14, 0x1.69c96eb7ab8d4p-14, 0x1.6a192b91e374cp-14, 0x1.6a57098c1ae97p-14, 0x1.6a8274f68c044p-14, 0x1.6a9b2d16f87cfp-14, 0x1.6aa26d50e5792p-14, 0x1.6a984e9fb424cp-14, 0x1.6a7c464cd82fp-14, 0x1.6a4e9ecd1bb31p-14, 0x1.6a1050d14f08fp-14, 0x1.69c1f4de79e4ep-14, 0x1.696313306230bp-14, 0x1.68f362ac84b0fp-14, 0x1.68736aaeec11ap-14, 0x1.67e3ce723212ep-14, 0x1.6744ecc98369fp-14, 0x1.6696fad0c8d69p-14, 0x1.65da27dd3ec18p-14, 0x1.650eac13716d9p-14, 0x1.6434c9012e2a3p-14, 0x1.634cc3a130453p-14, 0x1.6256dd3e90d8ap-14, 0x1.615353c3cf4dep-14, 0x1.60426d2797e61p-14, 0x1.5f246b6ddf606p-14, 0x1.5df95513765d8p-14, 0x1.5cc1336e8fcbcp-14, 0x1.5b7cd68c7a568p-14, 0x1.5a2cc0628f3e2p-14, 0x1.58d10a82fc5bap-14, 0x1.5769dfee12695p-14, 0x1.55f7321c0d901p-14, 0x1.547976b7459e7p-14, 0x1.52f11346e52fap-14, 0x1.515dc9f70bc2cp-14, 0x1.4fc0fabc68442p-14, 0x1.4e19d791c4a1dp-14, 0x1.4c68fc35e6579p-14, 0x1.4aaea85239227p-14, 0x1.48eb1a93b5bbcp-14, 0x1.471e90d673767p-14, 0x1.454948eb38c02p-14, 0x1.436b819647d37p-14, 0x1.41857b0fe7a35p-14, 0x1.3f9777e98093ap-14, 0x1.3da1b3c0a5c03p-14, 0x1.3ba46d888368bp-14, 0x1.399fdac82fd98p-14, 0x1.3794332571506p-14, 0x1.3581b1ce08972p-14, 0x1.33688bc73fe13p-14, 0x1.3148fa0fc4798p-14, 0x1.2f2375121a778p-14, 0x1.2cf84441771d4p-14, 0x1.2ac72847b9f62p-14, 0x1.288fc6bbea41bp-14, 0x1.2653b788d93f2p-14, 0x1.24130e9802368p-14, 0x1.21cd3209ec6ccp-14, 0x1.1f828f99f9862p-14, 0x1.1d3369a23909p-14, 0x1.1adffe962eed1p-14, 0x1.18888cee63f36p-14, 0x1.162d34c125bd8p-14, 0x1.13ce36491bf34p-14, 0x1.116bbbc2001f9p-14, 0x1.0f05f4fd6be03p-14, 0x1.0c9cfc1a59866p-14, 0x1.0a3123465c0e6p-14, 0x1.07c26fa23122ep-14, 0x1.05511f1cb6dfp-14, 0x1.02dd5ee39ecbep-14, 0x1.0067760252645p-14, 0x1.fbdfa07250051p-15, 0x1.f6ed004d98b06p-15, 0x1.f1f628f06d5bcp-15, 0x1.ecfb3460e3642p-15, 0x1.e7fd8ed6d0bf7p-15, 0x1.e2fde07f5b1d1p-15, 0x1.ddfcb9e13ba08p-15, 0x1.d8fa0870436bp-15, 0x1.d3f45559dd35p-15, 0x1.ceecd994e753cp-15, 0x1.c9e575c8fae5dp-15, 0x1.c4dd0a14ef90dp-15, 0x1.bfd3c641926d5p-15, 0x1.baca2a84b9723p-15, 0x1.b5c08feaa8a4cp-15, 0x1.b0b73c700a333p-15, 0x1.abae6d2a07a2ap-15, 0x1.a6a6615fc7f0fp-15, 0x1.a19f574cdf709p-15, 0x1.9c99811282c25p-15, 0x1.9795234495b31p-15, 0x1.92926d2d7d033p-15, 0x1.8d919a4bc995p-15, 0x1.8892e3bcf9bf4p-15, 0x1.8396830167ea1p-15, 0x1.7e9cafd49c326p-15, 0x1.79a59d064cc4ep-15, 0x1.74b177e01cdd6p-15, 0x1.6fc06a102eb6ep-15, 0x1.6ad29da006683p-15, 0x1.65e846d49db15p-15, 0x1.6101a8e1a19fbp-15, 0x1.5c1ef2332eb59p-15, 0x1.57400e26c26d7p-15, 0x1.526568520afbbp-15, 0x1.4d8f86f97b56dp-15, 0x1.48bd60c972e4ep-15, 0x1.43f0923b1bc42p-15, 0x1.3f27edd76316ap-15, 0x1.3a6467bc4c8fbp-15, 0x1.35a6ed72060efp-15, 0x1.30edda103d062p-15, 0x1.2c3a01af5bf77p-15, 0x1.278c05df73fb4p-15, 0x1.22e39b871ec7ep-15, 0x1.1e40c9db32724p-15, 0x1.19a3c5b9be54cp-15, 0x1.150cb77d8306p-15, 0x1.107bbd3e22c37p-15, 0x1.0bf0f2f89a0e4p-15, 0x1.076c73d80d07p-15, 0x1.02ee49ed157d5p-15, 0x1.fceb6b7b41495p-16, 0x1.f409b34a76212p-16, 0x1.eb3692ebd4b1ap-16, 0x1.e26f36fba17d3p-16, 0x1.d9b5a19105a68p-16, 0x1.d109edf7992f8p-16, 0x1.c86d5ddf4de86p-16, 0x1.bfdc1ef6818ddp-16, 0x1.b75ac5cf2482bp-16, 0x1.aee7ad6817f2fp-16, 0x1.a6830a41d130ap-16, 0x1.9e2d13af31b17p-16, 0x1.95e60f0397e0fp-16, 0x1.8dadf46ae04f4p-16, 0x1.8584cb68342c7p-16, 0x1.7d6aa1abba793p-16, 0x1.755fa18ea729bp-16, 0x1.6d63fdfd12583p-16, 0x1.6577b3448fb9bp-16, 0x1.5d9adc8ba32a8p-16, 0x1.55cd8d48dcd09p-16, 0x1.4e0fd78ac33acp-16, 0x1.4661cc6646c7cp-16, 0x1.3ec37c34e2eb8p-16, 0x1.3734f62f66fe9p-16, 0x1.2fb645a5dde5fp-16, 0x1.284777ece6399p-16, 0x1.20e89f762655dp-16, 0x1.1999c10a0ff81p-16, 0x1.125adf1bae8c9p-16, 0x1.0b2c07fafc19dp-16, 0x1.040d493b8975p-16, 0x1.f9fd492afecd9p-17, 0x1.ec002fc374909p-17, 0x1.de234ed4f031ap-17, 0x1.d066bcefa76ep-17, 0x1.c2ca9e26fe5f9p-17, 0x1.b54ec347946c3p-17, 0x1.a7f34232c0d13p-17, 0x1.9ab81894ccdd5p-17, 0x1.8d9d637f42bc8p-17, 0x1.80a30fe8a3295p-17, 0x1.73c8a0757623dp-17, 0x1.670ea16cf6b15p-17, 0x1.5a74fcd444841p-17, 0x1.4dfb5cf756d39p-17, 0x1.41a2425b6a881p-17, 0x1.35691679a4355p-17, 0x1.294ffad7e96d3p-17, 0x1.1d56e0e1ec78p-17, 0x1.117db8a9f289bp-17, 0x1.05c470f3400cbp-17, 0x1.f455ee6a8f35cp-18, 0x1.dd626fb793b99p-18, 0x1.c6ae3b91a1d75p-18, 0x1.b038fa043ad2cp-18, 0x1.9a02c9dd47e56p-18, 0x1.840b9ccc176e8p-18, 0x1.6e52d2a5d5be5p-18, 0x1.58d81409dd5b2p-18, 0x1.439ba7edb16a8p-18, 0x1.2e9d03150c0ddp-18, 0x1.19dc4fa94793cp-18, 0x1.05593d14c5596p-18, 0x1.e223cd520ac4dp-19, 0x1.ba1347b163913p-19, 0x1.9279a05816c0dp-19, 0x1.6b591fcb2ea6p-19, 0x1.44b0d8cd1e028p-19, 0x1.1e806be89e857p-19, 0x1.f18dccc6c07adp-20, 0x1.a7317e71ccc35p-20, 0x1.5d7e805d9e3eap-20, 0x1.14bfeeaedf067p-20, 0x1.99fe592343d43p-21, 0x1.0c3e7f1add3cep-21, 0x1.00914c635161cp-22, -0x1.3826209aea6d1p-26, -0x1.2428ced29d2ebp-22, -0x1.18a5cf23852efp-21, -0x1.9d6f0dcb7de08p-21, -0x1.103994911cb04p-20, -0x1.50e11699c7e34p-20, -0x1.90a7814b8b2dep-20, -0x1.cf91bc8306432p-20, -0x1.06cfee10510e1p-19, -0x1.256a5f0f579cbp-19, -0x1.439841c6893c2p-19, -0x1.615ab12df13e7p-19, -0x1.7eb24eb639c5fp-19, -0x1.9b9fd8818f185p-19, -0x1.b823f5b865626p-19, -0x1.d43f28e633378p-19, -0x1.eff2d7460515bp-19, -0x1.059f73b67443ap-18, -0x1.13126adbc5a9cp-18, -0x1.20527065413a1p-18, -0x1.2d5fe6ffa6f37p-18, -0x1.3a3b4fb8700cdp-18, -0x1.46e4ef6d206e2p-18, -0x1.535d3707de4f7p-18, -0x1.5fa47e073928ap-18, -0x1.6bbabcbb0e232p-18, -0x1.77a17c89da269p-18, -0x1.8357fbd07a29bp-18, -0x1.8edefd7fe6f54p-18, -0x1.9a36e95465f78p-18, -0x1.a5601e0057ac9p-18, -0x1.b05afc7396fedp-18, -0x1.bb27e6426d738p-18, -0x1.c5c73d36e2f38p-18, -0x1.d03963179f4a3p-18, -0x1.da7eb8edefad5p-18, -0x1.e4979a5e22974p-18, -0x1.ee8449b618789p-18, -0x1.f8463a6fca023p-18, -0x1.00eda88613342p-17, -0x1.05a351bfdfd55p-17, -0x1.0a43ae69d9c68p-17, -0x1.0eceda6285157p-17, -0x1.13453a9155d72p-17, -0x1.17a6cb6cee37cp-17, -0x1.1bf3f877bb085p-17, -0x1.202cd8a64bff5p-17, -0x1.245197ac12f83p-17, -0x1.28626718f5591p-17, -0x1.2c5f6d9d02d24p-17, -0x1.3048a30f02623p-17, -0x1.3423c00fa091fp-17, -0x1.37e1f8a5c971bp-17, -0x1.3b921abc5bce7p-17, -0x1.3f2fa3ff429ap-17, -0x1.42ba0f601aa13p-17, -0x1.463248047f957p-17, -0x1.4998e139fc184p-17, -0x1.4cebf81abe98bp-17, -0x1.502e0218275a8p-17, -0x1.535e471c6a986p-17, -0x1.567cf90f44971p-17, -0x1.598a4e8d5e272p-17, -0x1.5c827a5de333ep-17, -0x1.5f71dbc12aa0ap-17, -0x1.624c89663b4f4p-17, -0x1.6516b6f5181c1p-17, -0x1.67cff8ca35a05p-17, -0x1.6a794d06d6995p-17, -0x1.6d126d7cc997cp-17, -0x1.6f9ba7f98aaabp-17, -0x1.7215205bc86a9p-17, -0x1.747f0133d182cp-17, -0x1.76d95d61fa13ep-17, -0x1.7920f0bfcfd1cp-17, -0x1.7b60f788e929bp-17, -0x1.7d8e699315f53p-17, -0x1.7fad12848274ap-17, -0x1.81bd2baa85583p-17, -0x1.83bfc2251a2f5p-17, -0x1.85b25f1ea61p-17, -0x1.8797c59474345p-17, -0x1.896f652895568p-17, -0x1.8b3a396cc0f2ep-17, -0x1.8cf5435fe381dp-17, -0x1.8ea45c4e65ad9p-17, -0x1.9045e79e09226p-17, -0x1.91daabe7707a8p-17, -0x1.93626563d38fp-17, -0x1.94dce6dc88e75p-17, -0x1.964b1e3b73bd4p-17, -0x1.97acdf137827ep-17, -0x1.99024d9fb7583p-17, -0x1.9a4b981ee6908p-17, -0x1.9b88dd2a47a89p-17, -0x1.9cba4608e5c37p-17, -0x1.9ddff9de2a33ep-17, -0x1.9efa1ddd23f02p-17, -0x1.a008d5707fbf8p-17, -0x1.a10c31edecb0ap-17, -0x1.a20855b6b808p-17, -0x1.a2f227ece5c4ep-17, -0x1.a3d46e4d7918ep-17, -0x1.a4ac52af13f66p-17, -0x1.a57998be48a54p-17, -0x1.a63c715e303edp-17, -0x1.a6f5011010b4ap-17, -0x1.a7a36bc258f72p-17, -0x1.a847da1c63018p-17, -0x1.a8e261a855817p-17, -0x1.a97331f94788p-17, -0x1.a9fa5d930c33dp-17, -0x1.aa781548f5118p-17, -0x1.aaec767c86befp-17, -0x1.ab579ebce2105p-17, -0x1.abb9aeb1b1894p-17, -0x1.ac12c270a0c21p-17, -0x1.ac62e8e1bb974p-17, -0x1.acb1d4612f467p-17, -0x1.ace97165816bdp-17, -0x1.ad200295845a3p-17, -0x1.ad4e033156dabp-17, -0x1.ad74f42265e51p-17, -0x1.ad91f6d3685e1p-17, -0x1.ada80fb57aa1fp-17, -0x1.adb5b70f296ddp-17, -0x1.adbc178295d96p-17, -0x1.adbac92289aa2p-17, -0x1.adb1e280c85f8p-17, -0x1.ada18f3ddbdddp-17, -0x1.ad89efaebab26p-17, -0x1.ad6b20f4e1d19p-17, -0x1.ad453f11525bep-17, -0x1.ad1866df8fc13p-17, -0x1.ace4aff508135p-17, -0x1.aca9f2dfa4759p-17, -0x1.ac6d225ada5dfp-17, -0x1.ac21510886011p-17, -0x1.abd35bbaf8eebp-17, -0x1.ab7ef8e59c63cp-17, -0x1.ab24548245d1cp-17, -0x1.aac38aada8d0ap-17, -0x1.aa5caa4d45d64p-17, -0x1.a9f01bc84c8d5p-17, -0x1.a97f0ce54b736p-17, -0x1.a904f772289dep-17, -0x1.a8870f6c684dap-17, -0x1.a8038ed0c1eep-17, -0x1.a77a952137c38p-17, -0x1.a6ec3bf5e24dap-17, -0x1.a6589d22c71b9p-17, -0x1.a5bfcfeea0f17p-17, -0x1.a521e94a1c5d7p-17, -0x1.a47eed81c1eb4p-17, -0x1.a3d6f01d47805p-17, -0x1.a32a5ebdcab2fp-17, -0x1.a2786dd78e1eep-17, -0x1.a1bde0a89a60fp-17, -0x1.a1089112f5e16p-17, -0x1.a0497d8297572p-17, -0x1.9f85ff65bf3bbp-17, -0x1.9ebe2d1863f7ep-17, -0x1.9df21c43b0f8ap-17, -0x1.9d21e0053a1a2p-17, -0x1.9c4d810b63892p-17, -0x1.9b74f68719c4fp-17, -0x1.9a9548eb0b784p-17, -0x1.99b8a9aa28db4p-17, -0x1.98d4fd930ccb2p-17, -0x1.97ed6d136b13cp-17, -0x1.970237fde9b8fp-17, -0x1.96137786b357p-17, -0x1.952126b9bde8dp-17, -0x1.942b82074cbafp-17, -0x1.9332861ee845fp-17, -0x1.923637e26a324p-17, -0x1.9136b85c322bdp-17, -0x1.90341a8c236c3p-17, -0x1.8f2e6208445a3p-17, -0x1.8e258a86753a4p-17, -0x1.8d1c0c3d41faep-17, -0x1.8c0b6498faf02p-17, -0x1.8afa20ac7ae36p-17, -0x1.89e5fb1b9d2e8p-17, -0x1.88d02e7056f2ep-17, -0x1.87b5b0558f979p-17, -0x1.869a14df16089p-17, -0x1.857bc8527bfe2p-17, -0x1.845a960ec0d9ap-17, -0x1.833c5ec3e111bp-17, -0x1.8211bdf3b35acp-17, -0x1.80ea17ff18213p-17, -0x1.7fc001f0a875fp-17, -0x1.7e93d917fc456p-17, -0x1.7d658a1010ec9p-17, -0x1.7c35382aacfbep-17, -0x1.7b02964512875p-17, -0x1.79ce449f7c374p-17, -0x1.78986c29ffb5bp-17, -0x1.77604556d601dp-17, -0x1.76265981b6c6ep-17, -0x1.74eb1c0b5107ep-17, -0x1.73ade83783b6bp-17, -0x1.726f667967e75p-17, -0x1.712ea700ae349p-17, -0x1.6feca4c953c9ap-17, -0x1.6eaa47d016e2cp-17, -0x1.6d6634c686993p-17, -0x1.6c1ddeb0e7565p-17, -0x1.6ad6728da9ea1p-17, -0x1.698d79402dd7dp-17, -0x1.684a65f1ce17cp-17, -0x1.66f787f66bc04p-17, -0x1.65abf6050a205p-17, -0x1.645deb2445cap-17, -0x1.630ecd434dc92p-17, -0x1.61bef4df5a1b8p-17, -0x1.606e16bc69b4bp-17, -0x1.5f1c4048cc979p-17, -0x1.5dc8d9189a61ep-17, -0x1.5c75d2b68b73fp-17, -0x1.5b214c22b640ep-17, -0x1.59cbf86d6a67cp-17, -0x1.5875e7643bdabp-17, -0x1.571edff98ade8p-17, -0x1.55c98af9720dep-17, -0x1.546f3da0b7ca8p-17, -0x1.53166fae3982ap-17, -0x1.51bcfef0dc8fap-17, -0x1.5062fd04d8313p-17, }}, 
      {{-0x1.f2cb439836604p-1, -0x1.edf4cdc5d308bp-1, -0x1.e629bd5285fd2p-1, -0x1.dbbd08cfc3968p-1, -0x1.cf0c7bffcdcp-1, -0x1.c0792894657f5p-1, -0x1.b0625900d44ep-1, -0x1.9f224aab254c1p-1, -0x1.8d0c2dc51472fp-1, -0x1.7a6b0ec4427f7p-1, -0x1.6781658563c4fp-1, -0x1.54891780d485p-1, -0x1.41b3c77499a77p-1, -0x1.2f2b56a84a032p-1, -0x1.1d12832e1d06ep-1, -0x1.0b8594122c8a5p-1, -0x1.f536118097023p-2, -0x1.d4c8883d0d213p-2, -0x1.b5dc5d7ed241p-2, -0x1.98839b2744b1cp-2, -0x1.7cc9980aad6bbp-2, -0x1.62b3f290f98ccp-2, -0x1.4a43722fd75bep-2, -0x1.3374d0bcec422p-2, -0x1.1e416cfdb2813p-2, -0x1.0a9fe8143e852p-2, -0x1.f1095f0a8e94fp-3, -0x1.cfc4eb2bcadfp-3, -0x1.b15533562c9b1p-3, -0x1.959b04831262p-3, -0x1.7c75d408755f7p-3, -0x1.65c442b762f12p-3, -0x1.51648bc4ffa89p-3, -0x1.3f34e19ceeeb2p-3, -0x1.2f13bb1a5e2a5p-3, -0x1.20e012d7c8565p-3, -0x1.14799aaa114c6p-3, -0x1.09c0e49f85d4dp-3, -0x1.00978319cdc0ap-3, -0x1.f1c0427f6d052p-4, -0x1.e4fd299944addp-4, -0x1.daafd4d2a897fp-4, -0x1.d2a4da7459c2p-4, -0x1.ccab55180149ap-4, -0x1.c894e44c58a25p-4, -0x1.c635a7fd8d053p-4, -0x1.c564371cfa804p-4, -0x1.c5f992fdae1aep-4, -0x1.c7d11785f61b2p-4, -0x1.cac86955b5a1fp-4, -0x1.cebf62262cc2ep-4, -0x1.d397fbc26083ap-4, -0x1.d9363a347abe5p-4, -0x1.df801566c36bbp-4, -0x1.e65d62490ceeep-4, -0x1.edb7bc1bc01a9p-4, -0x1.f57a6db3d7bcp-4, -0x1.fd925b14473c1p-4, -0x1.02f6f5af6fcfep-3, -0x1.073e79a765cdbp-3, -0x1.0b98503193929p-3, -0x1.0ffdb23d07333p-3, -0x1.14687125f9444p-3, -0x1.18d2ed4d1e055p-3, -0x1.1d380d04ec9c2p-3, -0x1.219333e7f7e2ap-3, -0x1.25e03a93d4f94p-3, -0x1.2a1b66c20da27p-3, -0x1.2e4163beea81bp-3, -0x1.324f3b5652e32p-3, -0x1.36424f0dfad78p-3, -0x1.3a1851b5d68b4p-3, -0x1.3dcf4169945cbp-3, -0x1.416561d14ee0fp-3, -0x1.44d936ba4d899p-3, -0x1.48297f0c74bffp-3, -0x1.4b55300b3304cp-3, -0x1.4e5b70e8bc394p-3, -0x1.513b96a180ee8p-3, -0x1.53f5201ef35c6p-3, -0x1.5687b28d4f061p-3, -0x1.58f315ea6116bp-3, -0x1.5b3731d8e8619p-3, -0x1.5d540a9cd375dp-3, -0x1.5f49be59a5cf4p-3, -0x1.611882931f6bp-3, -0x1.62c0a1d84e413p-3, -0x1.644279a9eb297p-3, -0x1.659e78784fe82p-3, -0x1.66d51bd3e40d8p-3, -0x1.67e6eea85d7b1p-3, -0x1.68d4879e4c28p-3, -0x1.699e879235718p-3, -0x1.6a4598317dc32p-3, -0x1.6aca6ab1dc58fp-3, -0x1.6b2db6ba61212p-3, -0x1.6b70396198b1fp-3, -0x1.6b92b446c9ba5p-3, -0x1.6b95ecc48ed7ap-3, -0x1.6b7aab3cd59cep-3, -0x1.6b41ba5e3b135p-3, -0x1.6aebe680b238cp-3, -0x1.6a79fd0002197p-3, -0x1.69eccbb36c466p-3, -0x1.6945205dac68ap-3, -0x1.6883c833723bcp-3, -0x1.67a98f6f99f7dp-3, -0x1.66b740f78d89bp-3, -0x1.65ada60f48e47p-3, -0x1.648d8610c523bp-3, -0x1.6357a63be34bp-3, -0x1.620cc97d60ffap-3, -0x1.60adb04da31c2p-3, -0x1.5f3b188445b38p-3, -0x1.5db5bd353a467p-3, -0x1.5c1e568fe6c77p-3, -0x1.5a7599bfbdfa6p-3, -0x1.58bc38cedd08fp-3, -0x1.56f2e28fe9f28p-3, -0x1.551a4285e77efp-3, -0x1.533300d2da569p-3, -0x1.513dc2284ad98p-3, -0x1.4f3b27ba1dfaep-3, -0x1.4d2bcf425f761p-3, -0x1.4b1052f8048a2p-3, -0x1.48e9498c6abd4p-3, -0x1.46b7462f74c14p-3, -0x1.447ad89613781p-3, -0x1.42348cffb3bbfp-3, -0x1.3fe4ec3c50a4ap-3, -0x1.3d8c7bb2f9e7ep-3, -0x1.3b2bbd6e0bbdfp-3, -0x1.38c330210555cp-3, -0x1.36534f311d37dp-3, -0x1.33dc92c30eaa2p-3, -0x1.315f6fbcddce6p-3, -0x1.2edc57d9665ebp-3, -0x1.2c53b9ad9752cp-3, -0x1.29c600b38c02fp-3, -0x1.273395567dae3p-3, -0x1.249cdcfe4e153p-3, -0x1.22023a1bac04fp-3, -0x1.1f640c34a16dfp-3, -0x1.1cc2aff134d61p-3, -0x1.1a1e7f286b8bep-3, -0x1.1777d0ed5c907p-3, -0x1.14cef99c1b0bp-3, -0x1.12244aea92871p-3, -0x1.0f7813f18bedbp-3, -0x1.0ccaa13bfa6c4p-3, -0x1.0a1c3cd77d18dp-3, -0x1.076d2e5b6a256p-3, -0x1.04bdbafd5cb22p-3, -0x1.020e259d70369p-3, -0x1.febd5d9ab38e1p-4, -0x1.f95f29c5e325ep-4, -0x1.f402280c4df92p-4, -0x1.eea6cc769993p-4, -0x1.e94d86dc1aa8ap-4, -0x1.e3f6c2ffd8855p-4, -0x1.dea2e8ab2e02ep-4, -0x1.d9525bc3c1c2fp-4, -0x1.d4057c62ec521p-4, -0x1.cebca6edd37f1p-4, -0x1.c978342ba025fp-4, -0x1.c438795ad48ffp-4, -0x1.befdc84b8e6cap-4, -0x1.b9c86f7853d74p-4, -0x1.b498ba0e8ab21p-4, -0x1.af6ef015a4323p-4, -0x1.aa4b56752c812p-4, -0x1.a52e2f0ff32b4p-4, -0x1.a017b8dccbd47p-4, -0x1.9b082ff4751e5p-4, -0x1.95ffcda74784dp-4, -0x1.90fec8912b323p-4, -0x1.8c0554abb9de5p-4, -0x1.8713a3611d455p-4, -0x1.8229e39f8cd3ap-4, -0x1.7d4841eb4f53fp-4, -0x1.786ee86f4451ap-4, -0x1.739dff0e24ca6p-4, -0x1.6ed5ab74a6493p-4, -0x1.6a16112a8298bp-4, -0x1.655f51a1c6f2bp-4, -0x1.60b18c460c7eap-4, -0x1.5c0cde8d55442p-4, -0x1.57716407c4bb1p-4, -0x1.52df366df5b3bp-4, -0x1.4e566dad9924bp-4, -0x1.49d71ffb8d5p-4, -0x1.456161e15d916p-4, -0x1.40f546435eabp-4, -0x1.3c92de7f8fd1dp-4, -0x1.383a3a63138ddp-4, -0x1.33eb6847d1a7bp-4, -0x1.2fa6751d7193bp-4, -0x1.2b6b6c72e3024p-4, -0x1.273a588031bbdp-4, -0x1.2313423d35dcfp-4, -0x1.1ef6315e202efp-4, -0x1.1ae32c63ecd82p-4, -0x1.16da38a9e7371p-4, -0x1.12db5a701617p-4, -0x1.0ee694e29d442p-4, -0x1.0afbea232f96fp-4, -0x1.071b5b541db69p-4, -0x1.0344e8a2867d7p-4, -0x1.fef1229f709d7p-5, -0x1.f76ca76de0feep-5, -0x1.effc5aaea9af9p-5, -0x1.e8a035b8fc372p-5, -0x1.e158305025ccfp-5, -0x1.da2440b384f3bp-5, -0x1.d3045bab7e4e9p-5, -0x1.cbf87496305dfp-5, -0x1.c5007d763b945p-5, -0x1.be1c6702924c3p-5, -0x1.b74c20b588fd3p-5, -0x1.b08f98e0eff3p-5, -0x1.a9e6bcb2bbb35p-5, -0x1.a3517837741b8p-5, -0x1.9ccfb67a20a66p-5, -0x1.9661617d72006p-5, -0x1.9006625380d57p-5, -0x1.89bea12f12071p-5, -0x1.838a0562e0c56p-5, -0x1.7d68756a7814cp-5, -0x1.7759d6f5ba117p-5, -0x1.715e0ef53bb71p-5, -0x1.6b7501a5f007dp-5, -0x1.659e92979761ap-5, -0x1.5fdaa4c201758p-5, -0x1.5a291a6e1219dp-5, -0x1.5489d559e77bdp-5, -0x1.4efcb6b53a4fep-5, -0x1.49819f2db0ccfp-5, -0x1.44186ef75fe24p-5, -0x1.3ec105d4c550bp-5, -0x1.397b43140a17ep-5, -0x1.344705a74be3cp-5, -0x1.2f242c0efbbbfp-5, -0x1.2a12947a8e43fp-5, -0x1.25121cc547955p-5, -0x1.2022a27dfb4b6p-5, -0x1.1b4402eca971bp-5, -0x1.16761b13fb8fcp-5, -0x1.11b8c7bac65cep-5, -0x1.0d0be56fa665bp-5, -0x1.086f5087da9bep-5, -0x1.03e2e528d2b4ap-5, -0x1.feccfead8ec72p-6, -0x1.f5f3f5e632d5ep-6, -0x1.ed3a6769eaf8cp-6, -0x1.e4a00a761eb76p-6, -0x1.dc249604984b7p-6, -0x1.d3c7c0ef86ef2p-6, -0x1.cb8941f4312e6p-6, -0x1.c368cfa35a117p-6, -0x1.bb66208489a51p-6, -0x1.b380eb14c0d67p-6, -0x1.abb8e5c2349fdp-6, -0x1.a40dc6f40d061p-6, -0x1.9c7f4512d4b69p-6, -0x1.950d169081341p-6, -0x1.8db6f1ef9b3d9p-6, -0x1.867c8dc8a6f56p-6, -0x1.7f5da0cdf114ap-6, -0x1.7859e1ce8d3b9p-6, -0x1.717107b986ed3p-6, -0x1.6aa2c9a23acabp-6, -0x1.63eedec5ce361p-6, -0x1.5d54fe90f5106p-6, -0x1.56d4e0a60864ap-6, -0x1.506e3cdc9468ap-6, -0x1.4a20cb4d1102bp-6, -0x1.43ec444a27ddap-6, -0x1.3dd0606784d95p-6, -0x1.37ccd87c062d8p-6, -0x1.31e165a4339f2p-6, -0x1.2c0dc14e8a18p-6, -0x1.2651a524801f4p-6, -0x1.20accb429641dp-6, -0x1.1b1eedfab882fp-6, -0x1.15a7c803c73ap-6, -0x1.10471469d1504p-6, -0x1.0afc8e91ffb64p-6, -0x1.05c7f23d57305p-6, -0x1.00a8fb8b8348ap-6, -0x1.f73ecdfb77feap-7, -0x1.ed55e2f2aca8bp-7, -0x1.e396b09319f2dp-7, -0x1.da00b240488e3p-7, -0x1.d09364292301cp-7, -0x1.c74e435716c24p-7, -0x1.be30cdb648001p-7, -0x1.b53a81f70d50bp-7, -0x1.ac6adfb4c3f88p-7, -0x1.a3c1675f974f1p-7, -0x1.9b3d9a4179033p-7, -0x1.92defa9ed864fp-7, -0x1.8aa50ba3713ffp-7, -0x1.828f515fcb80bp-7, -0x1.7a9d50ce80e08p-7, -0x1.72ce8fd61b679p-7, -0x1.6b2295491ddebp-7, -0x1.6398e8e1e2dedp-7, -0x1.5c3113688613p-7, -0x1.54ea9eb623fadp-7, -0x1.4dc51520bf3cp-7, -0x1.46c0024196ecp-7, -0x1.3fdaf2f1d5a21p-7, -0x1.3915749d917d8p-7, -0x1.326f15d84bdfdp-7, -0x1.2be76617d0f44p-7, -0x1.257df5ce31401p-7, -0x1.1f32567c6c609p-7, -0x1.19041aa16b1b2p-7, -0x1.12f2d5b200e6ap-7, -0x1.0cfe1c34123dap-7, -0x1.0725838b3d6dp-7, -0x1.0168a2381538p-7, -0x1.f78e1f6122bfep-8, -0x1.ec80c8d8cfc65p-8, -0x1.e1a873c8334e3p-8, -0x1.d704552137d59p-8, -0x1.cc93a3d6dc761p-8, -0x1.c25598dd388e5p-8, -0x1.b8496f2a67e9cp-8, -0x1.ae6e63b92471p-8, -0x1.a4c3b58b01d6dp-8, -0x1.9b48a5a4e266ap-8, -0x1.91fc7705fd0e3p-8, -0x1.88de6ea4b2b79p-8, -0x1.7fedd376866aep-8, -0x1.7729ee784ce2ep-8, -0x1.6e920aae5fc7ap-8, -0x1.6625751694ef1p-8, -0x1.5de37c9dff4cap-8, -0x1.55cb721f1e81ep-8, -0x1.4ddca86c94ffep-8, -0x1.4616747101cb7p-8, -0x1.3e782d0951c76p-8, -0x1.37012af995535p-8, -0x1.2fb0c8fdd90e9p-8, -0x1.288663a292b6ep-8, -0x1.2181597e95fc6p-8, -0x1.1aa10b2044c03p-8, -0x1.13e4daf71062p-8, -0x1.0d4c2d57134ccp-8, -0x1.06d6687ad232ap-8, -0x1.0082f48196aebp-8, -0x1.f4a276da8ce76p-9, -0x1.e881523fb46fp-9, -0x1.dca156b131e3ep-9, -0x1.d101633d5f16fp-9, -0x1.c5a05a837bc3fp-9, -0x1.ba7d251552ffdp-9, -0x1.af96aa623d717p-9, -0x1.a4ebda3032964p-9, -0x1.9a7ba33cdea7bp-9, -0x1.9044fe9a785bfp-9, -0x1.8646e24e40ed9p-9, -0x1.7c804ab97c94bp-9, -0x1.72f037c7df82p-9, -0x1.6995ac7f6f4ddp-9, -0x1.606faf89669a5p-9, -0x1.577d4af41d0f2p-9, -0x1.4ebd8c3828b62p-9, -0x1.462f84311b1f1p-9, -0x1.3dd24716e6454p-9, -0x1.35a4ec77aabb9p-9, -0x1.2da68f2f6f0a2p-9, -0x1.25d64d5758efcp-9, -0x1.1e33483ed0fa8p-9, -0x1.16bca4b304894p-9, -0x1.0f718ae9fd44dp-9, -0x1.085125afd0ccbp-9, -0x1.015aa31bce2ap-9, -0x1.f51a6a0b1e067p-10, -0x1.e7d01f5ec02e5p-10, -0x1.dad4d55060cfbp-10, -0x1.ce27005573e2dp-10, -0x1.c1c51c1489981p-10, -0x1.b5ada9bf57007p-10, -0x1.a9df3069ea65ep-10, -0x1.9e583d14e7432p-10, -0x1.931762a4cfdb7p-10, -0x1.881b3992fdeecp-10, -0x1.7d6260624a187p-10, -0x1.72eb7aefe8394p-10, -0x1.68b5328f21235p-10, -0x1.5ebe3600ed42bp-10, -0x1.5505395bcd2cp-10, -0x1.4b88f9a654a09p-10, -0x1.424831ab3c3f2p-10, -0x1.3941a6495c14fp-10, -0x1.30742520915b3p-10, -0x1.27de7a515d1a4p-10, -0x1.1f7f7a86adbaap-10, -0x1.1755ff22d2712p-10, -0x1.0f60e647e2d71p-10, -0x1.079f12eed0429p-10, -0x1.000f6cdcaf154p-10, -0x1.f161c137136fdp-11, -0x1.e304bef3c24ccp-11, -0x1.d505bf193d65p-11, -0x1.c762b75c7655cp-11, -0x1.ba19a6f0166abp-11, -0x1.ad2896634798ap-11, -0x1.a08d976919efp-11, -0x1.9446c491f5017p-11, -0x1.885241055cdc5p-11, -0x1.7cae3843c685bp-11, -0x1.7158ddf565391p-11, -0x1.66506dd575714p-11, -0x1.5b932bb1806e5p-11, -0x1.511f637e6563cp-11, -0x1.46f3696ca545fp-11, -0x1.3d0d99f6225a3p-11, -0x1.336c59d4ed0eap-11, -0x1.2a0e15d973987p-11, -0x1.20f14265d3215p-11, -0x1.18145d29ee652p-11, -0x1.0f75e74919371p-11, -0x1.07146b2084433p-11, -0x1.fddcf746388c9p-12, -0x1.ee055ddbeb11p-12, -0x1.de9f47151d8fdp-12, -0x1.cfa7fd2e12861p-12, -0x1.c11cd85c6fed8p-12, -0x1.b2fb3f4357649p-12, -0x1.a540a7e559161p-12, -0x1.97ea97946b24dp-12, -0x1.8af6a03aa75bcp-12, -0x1.7e625faab3da5p-12, -0x1.722b81a23a588p-12, -0x1.664fbe27438abp-12, -0x1.5accd56c503f3p-12, -0x1.4fa0900aeb33ap-12, -0x1.44c8c20f3f65bp-12, -0x1.3a4345643234bp-12, -0x1.300e0c7193dd4p-12, -0x1.262704a97b818p-12, -0x1.1c8c229c33901p-12, -0x1.133b80792864ap-12, -0x1.0a333576c6fe5p-12, -0x1.017162e5ddb8fp-12, -0x1.f1e8726423e7ep-13, -0x1.e173f6e6e0002p-13, -0x1.d181e3f50e66bp-13, -0x1.c20ed64e5901cp-13, -0x1.b31782bbb2df5p-13, -0x1.a498a97342646p-13, -0x1.968f196e68261p-13, -0x1.88f7ace3b3f07p-13, -0x1.7bcf4ae8651a9p-13, -0x1.6f12e94ae51c4p-13, -0x1.62bf8e3f43077p-13, -0x1.56d251d608d42p-13, -0x1.4b485f2006c83p-13, -0x1.401ef4edb19f6p-13, -0x1.3553662a59b5ap-13, -0x1.2ae319cf3779fp-13, -0x1.20cb8a5e3aaddp-13, -0x1.170a44ce08852p-13, -0x1.0d9ce6eff1bfcp-13, -0x1.04811d0b020bap-13, -0x1.f76940c341323p-14, -0x1.e66a7c58b604ep-14, -0x1.d6014dbc6f5e4p-14, -0x1.c6299c621ff3ep-14, -0x1.b6df17ceda795p-14, -0x1.a81d97f4247bcp-14, -0x1.99e10c8e7983bp-14, -0x1.8c257d82e0408p-14, -0x1.7ee70aaeaf769p-14, -0x1.7221ebc1bb705p-14, -0x1.65d2704411721p-14, -0x1.59f500f9069ep-14, -0x1.4e862119fbfaap-14, -0x1.43826f9b914a5p-14, -0x1.38e6a724e6c0ep-14, -0x1.2eaf9c6077e04p-14, -0x1.24da3b1168b9bp-14, -0x1.1b6382b3bc1fbp-14, -0x1.124883c76c8cdp-14, -0x1.09865e888f184p-14, -0x1.011a433200d26p-14, -0x1.f202e64cde55bp-15, -0x1.e27283425b86p-15, -0x1.d37e224d52076p-15, -0x1.c5208ed7e9d44p-15, -0x1.b754b4d744963p-15, -0x1.aa17c9dc82f6cp-15, -0x1.9d619e10f19afp-15, -0x1.912f0bb905406p-15, -0x1.857c03a60b8ebp-15, -0x1.7a446fdb96cb5p-15, -0x1.6f83280e890c4p-15, -0x1.653455c9bde76p-15, -0x1.5b54127fd97d1p-15, -0x1.51de8a18a7c43p-15, -0x1.48d002a0548b3p-15, -0x1.4024dca18e1c1p-15, -0x1.37d98d50ab2dcp-15, -0x1.2feaa5cafe323p-15, -0x1.2854c93291adfp-15, -0x1.2114b8c902693p-15, -0x1.1a27546335979p-15, -0x1.13898def98137p-15, -0x1.0d38658b1353ep-15, -0x1.0730f34438e99p-15, -0x1.017068b69f114p-15, -0x1.f7e80edbaf267p-16, -0x1.ed7241f1d0b2cp-16, -0x1.e37a29141aea1p-16, -0x1.d9faa55a95a52p-16, -0x1.d0ef027f7cc35p-16, -0x1.c85277e62d4bap-16, -0x1.c02054483a343p-16, -0x1.b8546e2271f9fp-16, -0x1.b0ea4decb5db8p-16, -0x1.a9ddd1bc14cc7p-16, -0x1.a32b191c947cfp-16, -0x1.9cce504134e0ep-16, -0x1.96c3d34cd49ccp-16, -0x1.9107f9737b375p-16, -0x1.8b970c9ba01b5p-16, -0x1.866db16da8b6dp-16, -0x1.81889e648cc28p-16, -0x1.7ce46f7f926adp-16, -0x1.787e4c762a2adp-16, -0x1.74531e4f252e3p-16, -0x1.7060274226684p-16, -0x1.6ca28a639170bp-16, -0x1.6917b5ee1dc3cp-16, -0x1.65bd0d25c8915p-16, -0x1.628fffe5015b6p-16, -0x1.5f8e153eda7b9p-16, -0x1.5cb4e9557406cp-16, -0x1.5a0230604ea3ap-16, -0x1.5773bddba7bep-16, -0x1.5507872c42716p-16, -0x1.52bb9eada52e6p-16, -0x1.508e2989fa6cfp-16, -0x1.4e7d55db52102p-16, -0x1.4c875635496abp-16, -0x1.4aaa6408fef18p-16, -0x1.48e4c602885cep-16, -0x1.4734d7eee0db9p-16, -0x1.45999e60fa71bp-16, -0x1.440fcc3508554p-16, -0x1.4297d1c9870ffp-16, -0x1.412fc657425a7p-16, -0x1.3fd66e8459927p-16, -0x1.3e8a9da9de47cp-16, -0x1.3d4b2dcdffc01p-16, -0x1.3c16fbeee809cp-16, -0x1.3aece937e01e4p-16, -0x1.39cbdf1d62fe4p-16, -0x1.38b2d2f6ec8cfp-16, -0x1.37a0c7c2161b4p-16, -0x1.3694cc3d766c1p-16, -0x1.358dd8242dd0fp-16, -0x1.348a8fd87a472p-16, -0x1.338e002eb0a45p-16, -0x1.3292612bbf422p-16, -0x1.319699690603cp-16, -0x1.309f40b964b06p-16, -0x1.2fa888b1696c2p-16, -0x1.2eb1c1920c5e8p-16, -0x1.2dba80e32e1d6p-16, -0x1.2cc281bce71b9p-16, -0x1.2bc95643f1387p-16, -0x1.2ace1fe2270b6p-16, -0x1.29d0a7cfeb0e4p-16, -0x1.28d08e90aeceep-16, -0x1.27cd715a21854p-16, -0x1.26c6eff296b0ep-16, -0x1.25bcae727474cp-16, -0x1.24ae57cf13692p-16, -0x1.239b9e5b1262cp-16, -0x1.22843a4adb1e9p-16, -0x1.2167e83cd79b1p-16, -0x1.204668f3e61a6p-16, -0x1.1f1f825a27ee7p-16, -0x1.1df30128053ap-16, -0x1.1cc0b68a2264dp-16, -0x1.1b8866e86f927p-16, -0x1.1a49efbb51907p-16, -0x1.19055f8b11845p-16, -0x1.17ba5e4c90b49p-16, -0x1.166910a19367p-16, -0x1.15113bccee0e4p-16, -0x1.13b2b7576940bp-16, -0x1.124d90672c51dp-16, -0x1.10e1bc722559ap-16, -0x1.0f6f33d5297cdp-16, -0x1.0df5eebebc13ep-16, -0x1.0c75ea01c2e84p-16, -0x1.0aef256305c77p-16, -0x1.0961a37fc3b5fp-16, -0x1.07cd6940c8059p-16, -0x1.06327d42760a5p-16, -0x1.0490e80c8ddfep-16, -0x1.02e8b428dcf9dp-16, -0x1.0139ed2e43881p-16, -0x1.ff094a17d6e32p-17, -0x1.fb91d70f7a2d8p-17, -0x1.f80da9e921c6bp-17, -0x1.f47ceb95667dcp-17, -0x1.f0dfb6cebc8d9p-17, -0x1.ed3624b580997p-17, -0x1.e980ababf08bdp-17, -0x1.e5bf61774db9cp-17, -0x1.e1f259632ff92p-17, -0x1.de1a2918eaef6p-17, -0x1.da36bcfe8cd3p-17, -0x1.d6484383ed45cp-17, -0x1.d24f110d24532p-17, -0x1.ce4b039dcf30ap-17, -0x1.ca3dc658c9a66p-17, -0x1.c626236c48809p-17, -0x1.c204d8a4acdd5p-17, -0x1.bdda28b65e967p-17, -0x1.b9a65a04d3492p-17, -0x1.b569b51bdfd61p-17, -0x1.b12482df22707p-17, -0x1.acd70f2dc22a6p-17, -0x1.a881ad8e2ad28p-17, -0x1.a42408f2eff5p-17, -0x1.9fc358be85618p-17, -0x1.9b511cfaa656dp-17, -0x1.96e19150e3bbcp-17, -0x1.926829435aacfp-17, -0x1.8de8a91ac5f28p-17, -0x1.89634010751fbp-17, -0x1.84d834298cc2cp-17, -0x1.8047c76668594p-17, -0x1.7bb216c985dc1p-17, -0x1.7717c2ace138cp-17, -0x1.7278df29aee6dp-17, -0x1.6dd5d19ce89ccp-17, -0x1.692ed89c507cdp-17, -0x1.648467a1c822cp-17, -0x1.5fd6b53775dd2p-17, -0x1.5b25e47f6a794p-17, -0x1.56724635b3ecp-17, -0x1.51bc31cd4f3eap-17, -0x1.4d03e7b1c0125p-17, -0x1.4848c1bc5b4f6p-17, -0x1.438f2e158d055p-17, -0x1.3ed0bd0799ecfp-17, -0x1.3a11fb1874027p-17, -0x1.35531e2310eeep-17, -0x1.3093553df6fp-17, -0x1.2bd33d1c94788p-17, -0x1.271319eb73a89p-17, -0x1.2253329d6caf7p-17, -0x1.1d93bac0f2e7fp-17, -0x1.18d4a77ef7f12p-17, -0x1.1416b84f575aep-17, -0x1.0f5a0bc7ba3c9p-17, -0x1.0a9e8810f1d1dp-17, -0x1.05e4f4d5235c3p-17, -0x1.012d088e4d9f6p-17, -0x1.f8ee2ac0243ecp-18, -0x1.ef8947dbbee05p-18, -0x1.e624d6e80c2bp-18, -0x1.dcc83659c6b9dp-18, -0x1.d37174865819fp-18, -0x1.ca20fba45b01ep-18, -0x1.c0d73b32d6779p-18, -0x1.b7949436240dbp-18, -0x1.ae595e85dd11bp-18, -0x1.a525fe15dbedap-18, -0x1.9bfadaf592373p-18, -0x1.92d845c2a109dp-18, -0x1.89be9caad1b84p-18, -0x1.80ae420be6e07p-18, -0x1.77a786eaaf0c5p-18, -0x1.6eaab987f3f72p-18, -0x1.65b82edbbdb3fp-18, -0x1.5cd0382ebba2p-18, -0x1.53f3227ad4b25p-18, -0x1.4b2138f072e62p-18, -0x1.425ac5c19a4d8p-18, -0x1.39a0119f855b9p-18, -0x1.30f162dddc5d5p-18, -0x1.284efd518145cp-18, -0x1.1fb91ff1d98dfp-18, -0x1.172ff67a28d39p-18, -0x1.0eb42634bf9afp-18, -0x1.0645697cb9dccp-18, -0x1.fbc81ee3c91f1p-19, -0x1.eb216ed570831p-19, -0x1.da961b0e3cf2bp-19, -0x1.ca27c2dc5546ap-19, -0x1.b9d57bb92dfb1p-19, -0x1.a9a12f31310dcp-19, -0x1.998b95ec4883fp-19, -0x1.8984ce5d8accdp-19, -0x1.79b49cb37d954p-19, -0x1.69f72baf1b1f8p-19, -0x1.5a58d2e9bc305p-19, -0x1.4ad9b8dd2c7c3p-19, -0x1.3b7a10776bf1bp-19, -0x1.2c3a198d488aap-19, -0x1.1d1a151b3d95cp-19, -0x1.0e1a42f36c372p-19, -0x1.fe75c2a4659b9p-20, -0x1.e0f8a997fca1dp-20, -0x1.c3bcb833bc62cp-20, -0x1.a6c34974dbf73p-20, -0x1.8a0c6d2c04347p-20, -0x1.6d987d2456275p-20, -0x1.5167d3a45573ep-20, -0x1.357ac87109e8ep-20, -0x1.19d1a4e1a92f4p-20, -0x1.fcd9576213589p-21, -0x1.c6987f7f4a9dbp-21, -0x1.90e26275dc9e7p-21, -0x1.5b8f1c9c9e9c6p-21, -0x1.26f6ec4269a2ap-21, -0x1.e5ede670040d7p-22, -0x1.7ecb13dd8f9fep-22, -0x1.18c1cb9a6ff05p-22, -0x1.679fb137f7babp-23, -0x1.3fd435149595ap-24, 0x1.2c72582edda36p-26, 0x1.d1e13a673be1cp-24, 0x1.aa1dfd894976ap-23, 0x1.348e3d2a39468p-22, 0x1.92f156002fca8p-22, 0x1.f044b9f01f175p-22, 0x1.26373484344e7p-21, 0x1.53c7ae58994aap-21, 0x1.80ccd0a6b30fap-21, 0x1.ad461af53a60bp-21, 0x1.d932360b8fdebp-21, 0x1.024a2f3fafdb1p-20, 0x1.17b533f4930cfp-20, 0x1.2cdab856ab7afp-20, 0x1.41bb9ec19625cp-20, 0x1.56576ab7e4f71p-20, 0x1.6ab08372cf1cp-20, 0x1.7ebdd64432675p-20, 0x1.9292f43ef6ba1p-20, 0x1.a617613b8afeap-20, 0x1.b95cae174a393p-20, 0x1.cc5e09f4760f1p-20, 0x1.df1bb84376321p-20, 0x1.f195ef9d2d4ccp-20, 0x1.01e6798ef2f9cp-19, 0x1.0ae07439a389ap-19, 0x1.13b92fff0969ep-19, 0x1.1c70d417b985bp-19, 0x1.2507624d5b2bap-19, 0x1.2d7cde43d85eap-19, 0x1.35d1f736d3c29p-19, 0x1.3e0605a78d76p-19, 0x1.4619e7c257f6dp-19, 0x1.4e0d871711805p-19, 0x1.55e10d51955b6p-19, 0x1.5d94a7ad66fccp-19, 0x1.6528833240674p-19, 0x1.6c9cce00ffe4ep-19, 0x1.73f1b7b537c3ep-19, 0x1.7b2770ec57b99p-19, 0x1.823e2aab4746ep-19, 0x1.8936155883e94p-19, 0x1.900f5f8b33181p-19, 0x1.96ca35d44439fp-19, 0x1.9d66bf9e3171cp-19, 0x1.a3e528430a487p-19, 0x1.aa462c84d7816p-19, 0x1.b0897b236be5bp-19, 0x1.b6aeed5d2ab0ap-19, 0x1.bcbc5f2fb488fp-19, 0x1.c2a943046afe8p-19, 0x1.c87175ecee1c6p-19, 0x1.ce23f8e9046b2p-19, 0x1.d3ba31660045bp-19, 0x1.d93400224f1dfp-19, 0x1.de91e018871e5p-19, 0x1.e3d410af71887p-19, 0x1.e8facb4341b0ap-19, 0x1.ee064b9b01496p-19, 0x1.f2f6d6ddff22ap-19, 0x1.f7cc93066d377p-19, 0x1.fc87a732d3f37p-19, 0x1.0094aa952f626p-18, 0x1.02dcd578b1916p-18, 0x1.05123294ec63cp-18, 0x1.07376f3d08597p-18, 0x1.0954a5f1ce6dbp-18, 0x1.0b64deee22905p-18, 0x1.0d687045af89bp-18, 0x1.0f5d12afe9bdap-18, 0x1.114b8ac284f2ap-18, 0x1.132aa927d6909p-18, 0x1.14fe188c8e56cp-18, 0x1.16c5744de5cfp-18, 0x1.1880ad508c414p-18, 0x1.1a304c03535e9p-18, 0x1.1bd4d9d69ab1ep-18, 0x1.1d6dccc36417dp-18, 0x1.1efb6497cfc2p-18, 0x1.207de39103503p-18, 0x1.21f51d5f378ap-18, 0x1.23617a66a409ep-18, 0x1.24c302860f044p-18, 0x1.2619d231ebe0dp-18, 0x1.276606f382623p-18, 0x1.28a7bde84755cp-18, 0x1.29df132402ad3p-18, 0x1.2b0c238121208p-18, 0x1.2c2f16a6efe46p-18, 0x1.2d4809cab2fb3p-18, 0x1.2e57000736452p-18, 0x1.2f5c262eaa209p-18, 0x1.3057aa36f0c84p-18, 0x1.31499b6a26f63p-18, 0x1.323212add6ff2p-18, 0x1.33112cf430b5p-18, 0x1.33e704d4771b2p-18, 0x1.34b3bdf422f05p-18, 0x1.35779557a1c1ep-18, 0x1.36325a9f80605p-18, 0x1.36e46fd756126p-18, 0x1.378db309a52d2p-18, 0x1.382e604bc8b0fp-18, 0x1.38c6b5c0298cap-18, 0x1.3956aa7a6cd1p-18, 0x1.39de595631b38p-18, 0x1.3a5de08258e32p-18, 0x1.3ad55ca9689ecp-18, 0x1.3b4547c7c18bcp-18, 0x1.3baca0a04ec29p-18, 0x1.3c0c9e5b6f9cp-18, 0x1.3c64fcd02d635p-18, 0x1.3cb5d6584307bp-18, 0x1.3cff4530734d8p-18, 0x1.3d41636b811d7p-18, 0x1.3d7c4ae2525a4p-18, 0x1.3db014dd022f9p-18, 0x1.3ddcdb123e06bp-18, 0x1.3e02dc70f2fd3p-18, 0x1.3e21eebded29bp-18, 0x1.3e3a0c9eaaf82p-18, 0x1.3e4bacd3b9f0ep-18, 0x1.3e570c170927dp-18, 0x1.3e5bcb24bd4dfp-18, 0x1.3e5a4de25140ap-18, 0x1.3e525d7633c96p-18, 0x1.3e442d435a7fbp-18, 0x1.3e309ba5bcecep-18, 0x1.3e164cdddb83p-18, 0x1.3df68cf7c3b19p-18, 0x1.3dd0f23125355p-18, 0x1.3da5a1536a5c9p-18, 0x1.3d74aead4e617p-18, 0x1.3d3ea7f72ce74p-18, 0x1.3cfeca2a8863p-18, 0x1.3cbf3fb437571p-18, 0x1.3c7b26de124e1p-18, 0x1.3c2f0572042d3p-18, 0x1.3bdeee2e9bb66p-18, 0x1.3b89edf7a9642p-18, 0x1.3b2e4454fe85bp-18, 0x1.3acea3582e13dp-18, 0x1.3a6abefe5eee2p-18, 0x1.3a020bfdeda0ep-18, 0x1.3994ae1cd9073p-18, 0x1.39232737670f1p-18, 0x1.38ac7574cfb9ap-18, 0x1.3831c57b09bb5p-18, 0x1.37b2d21dfe708p-18, 0x1.372fbeb2c1812p-18, 0x1.36a87586113eap-18, 0x1.361d28adad78dp-18, 0x1.358de63a3cfb8p-18, 0x1.34fac0c0785e7p-18, 0x1.3463c6bac3954p-18, 0x1.33c8ffe357248p-18, 0x1.332aa2d213bf7p-18, 0x1.328884874a1dap-18, 0x1.31e310f2dffd9p-18, 0x1.313a131813212p-18, 0x1.308da3997883bp-18, 0x1.2fdde97310d44p-18, 0x1.2f2addaf241d6p-18, 0x1.2e74a6ad114f5p-18, 0x1.2dbb519d18971p-18, 0x1.2cfee9c0f6bd3p-18, 0x1.2c3f80858449ep-18, 0x1.2b7d266cbe5b4p-18, 0x1.2ab7ebd1a819bp-18, 0x1.29efe0b35d95fp-18, 0x1.292514d3523aep-18, 0x1.285797bf532b6p-18, 0x1.278778d540705p-18, 0x1.26b4c7436a5b3p-18, 0x1.25df92010b91dp-18, 0x1.2507e7a340068p-18, 0x1.242dd52a17a3bp-18, 0x1.2351600277f1ep-18, 0x1.2272de180ceabp-18, 0x1.2191b59cac807p-18, 0x1.20aeac9a80eb6p-18, 0x1.1fc993361e9b8p-18, 0x1.1ee2393b86a1ep-18, 0x1.1df8fb81e4f2ep-18, 0x1.1d0d92dd53bafp-18, 0x1.1c206afa7d55p-18, 0x1.1b3167aadc0ccp-18, 0x1.1a408e48be72p-18, 0x1.194deeb58cc73p-18, 0x1.1859911a0a99ep-18, 0x1.176362a6771d3p-18, 0x1.166e89673a35dp-18, 0x1.1572a808e8efdp-18, 0x1.1477f865a88fap-18, 0x1.137ca68742699p-18, 0x1.127e45c915f4ep-18, 0x1.117f63b25ba4bp-18, 0x1.1080183bd37f2p-18, 0x1.0f7d285415eefp-18, 0x1.0e7a52422d678p-18, 0x1.0d7629cf71b9cp-18, 0x1.0c70c3db3948p-18, 0x1.0b6a5d18ee953p-18, 0x1.0a6040204dca9p-18, 0x1.095a1b57fdc2p-18, 0x1.085086ffbb638p-18, 0x1.07465d5f6deb4p-18, 0x1.063a738043daep-18, 0x1.052e33c3aba46p-18, 0x1.0420ed5e78ebap-18, 0x1.0312d7d6b3be8p-18, 0x1.0203f4a8ce4f6p-18, 0x1.00f44bc97d8d2p-18, 0x1.ffc7b23396ab6p-19, 0x1.fda06930d747bp-19, 0x1.fb8254c9c1a89p-19, 0x1.f95dd4285c221p-19, 0x1.f73813e672504p-19, 0x1.f51137a17bea8p-19, 0x1.f2eb2e75cf4fdp-19, 0x1.f0c073d2afd47p-19, 0x1.ee969d05afe84p-19, 0x1.ec6c37a5068bbp-19, 0x1.ea422ff4e1feep-19, 0x1.e814556bcf1d3p-19, 0x1.e5e7f8fac8d3ep-19, 0x1.e3ba379001ae9p-19, 0x1.e18cbb9e2f3d4p-19, 0x1.df5e7d185b7b9p-19, 0x1.dd2ef8afd8b99p-19, 0x1.daffafb281cb7p-19, 0x1.d8d0151c4f78fp-19, 0x1.d6a029775cac2p-19, 0x1.d470129a2f156p-19, 0x1.d23fc1d024055p-19, 0x1.d00f4df531134p-19, 0x1.cddec765979c8p-19, 0x1.cbae3939c0ea8p-19, 0x1.c97dad7328156p-19, 0x1.c74d1fcee3354p-19, 0x1.c51fd0cf1893cp-19, 0x1.c2ecc3d1c3b38p-19, 0x1.c0bc8ef596231p-19, 0x1.be8cd8697bc66p-19, 0x1.bc5d5e132a06ap-19, 0x1.ba2e352a04e83p-19, 0x1.b7ff68363352dp-19, 0x1.b5d10323d2853p-19, 0x1.b3a321076e585p-19, 0x1.b175a718460adp-19, 0x1.af48c51579149p-19, 0x1.ad1c592bb0aedp-19, 0x1.aaf0984968e89p-19, 0x1.a8c57f09c942p-19, 0x1.a69b0e7c64a0ap-19, 0x1.a4714fc888d41p-19, 0x1.a24843d351dc2p-19, 0x1.a01ff00efae42p-19, 0x1.9dff14786811ep-19, 0x1.9bd232a4d5cbap-19, 0x1.99ac53f0523c2p-19, 0x1.97873f6392d83p-19, 0x1.9564417616989p-19, 0x1.93410b857fef1p-19, 0x1.911f565d2860fp-19, 0x1.8efdbf5da085ap-19, 0x1.8cde3381122e1p-19, 0x1.8abfa362decbp-19, 0x1.88a209aeb8eebp-19, 0x1.86858a3316f26p-19, 0x1.846a32da8ad0ep-19, 0x1.82500b64b164ap-19, 0x1.80371a2e5eae5p-19, 0x1.7e1f66bb17866p-19, 0x1.7c08f276b7e97p-19, 0x1.79f309c990d77p-19, 0x1.77e3c5fa191b3p-19, 0x1.75cd3ba0a6a51p-19, 0x1.73bc2b7a7c387p-19, 0x1.71ac6411662f1p-19, 0x1.6f9dfac598536p-19, 0x1.6d90f9a168f5fp-19, 0x1.6b855cacc56eap-19, 0x1.697b4f19d4a97p-19, 0x1.677387a475a7ap-19, 0x1.656b5d5db9b04p-19, 0x1.6365b5398265p-19, 0x1.61619cd4836d2p-19, 0x1.5f5f06ca3e6e4p-19, 0x1.5d5df6e2c512ap-19, 0x1.5b5e7a332304bp-19, 0x1.596095678a984p-19, 0x1.576449b3e59f5p-19, 0x1.5569872adce32p-19, 0x1.53705219edee6p-19, 0x1.517913f24f7e6p-19, 0x1.4f83360e22b3ep-19, 0x1.4d82584ce7718p-19, 0x1.4b9d19521cf73p-19, 0x1.49ac731f48dd3p-19, 0x1.47bd837bffdfdp-19, 0x1.45d04b16bda27p-19, 0x1.43e4cfcc65608p-19, 0x1.41fb120f5a27bp-19, 0x1.401312e5482aap-19, 0x1.3e2cba941a943p-19, 0x1.3c4637a44a973p-19, 0x1.3a65b485d8d37p-19, 0x1.3884ffb9353d1p-19, 0x1.36a5fd29bfc2ap-19, 0x1.34c8cb98c8518p-19, 0x1.32ed6b6cdb82fp-19, 0x1.3113c7d36f456p-19, 0x1.2f3c1e15f158fp-19, 0x1.2d6649a4191bep-19, 0x1.2b924bc28805p-19, 0x1.29c02550549f8p-19, 0x1.27efe3c8fa5c5p-19, 0x1.2621785842d68p-19, 0x1.2454d28ef5295p-19, 0x1.228b4849f97a6p-19, 0x1.20c1a6a8316cdp-19, 0x1.1efac77a0c1ccp-19, 0x1.1d35a33b328ccp-19, 0x1.1b730ad27f5a3p-19, 0x1.19b197fe5184p-19, 0x1.17f295e65ab9cp-19, 0x1.163599a606e93p-19, 0x1.1479ce7a9f475p-19, 0x1.12c3ebc92eb35p-19, 0x1.11091d11835c4p-19, 0x1.0f53c8cfa266fp-19, 0x1.0da00c21b9dc4p-19, 0x1.0bee7facf2a1fp-19, 0x1.0a3eda1478369p-19, 0x1.08912150ed8f7p-19, 0x1.06e4dda15d929p-19, 0x1.053afa7469d85p-19, 0x1.0393a385503aap-19, 0x1.01ed63a04cbd6p-19, 0x1.00494ccc8bac2p-19, 0x1.fd4f6892742e5p-20, 0x1.fa0f47a718f84p-20, 0x1.f6d3baab5b8a3p-20, 0x1.f39acb1821b54p-20, 0x1.f06664460c354p-20, 0x1.ed36dfa87109cp-20, 0x1.ea0a08bceac87p-20, 0x1.e6e0ce830aa35p-20, 0x1.e3bc37e65d007p-20, 0x1.e09b748e11403p-20, 0x1.dd8231881096dp-20, 0x1.da657cdb12c52p-20, 0x1.d7519fcb2660ap-20, 0x1.d4400a10fdffp-20, 0x1.d132661acf6b8p-20, 0x1.ce2926d652befp-20, 0x1.cb23c76ea23fdp-20, 0x1.c8224d76a3d0bp-20, 0x1.c5240e1176a58p-20, 0x1.c22b0658c62a3p-20, 0x1.bf352fd0a8da6p-20, 0x1.bc4342d08687ep-20, 0x1.b9554f3b80299p-20, 0x1.b66b01a5a8ddap-20, 0x1.b385037a790d7p-20, 0x1.b0a24c0b57c6bp-20, 0x1.adc3b94b7d0f8p-20, 0x1.aae8faa1ff321p-20, 0x1.a8121328d7efdp-20, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.e4f5b2d94d6fbp-7, 0x1.6cd97e4fb20cap-6, 0x1.33298f0d41164p-6, 0x1.a9d1fb0c95bbp-9, -0x1.829f298adb48cp-6, -0x1.ed95de9891472p-5, -0x1.ad02f9aad0987p-4, -0x1.3d576ce747bdbp-3, -0x1.abb6d58944ed9p-3, -0x1.0ee56b54f7f6fp-2, -0x1.481cc9787f4b3p-2, -0x1.80186c9fa55b9p-2, -0x1.b5b34986fa12p-2, -0x1.e808ca9207043p-2, -0x1.0b37820622422p-1, -0x1.2037eb7393aebp-1, -0x1.32e0dcfb87f69p-1, -0x1.4320582e9d815p-1, -0x1.50f3d7fdab1ecp-1, -0x1.5c655477369fap-1, -0x1.65889de667993p-1, -0x1.6c7910796959p-1, -0x1.71579bb1733a2p-1, -0x1.7449168c118dp-1, -0x1.7574d8c2c170fp-1, -0x1.7503919bc4fffp-1, -0x1.731e5526fb84bp-1, -0x1.6fedd91c85ef6p-1, -0x1.6b99daedf5ddcp-1, -0x1.6648a91b2b6fdp-1, -0x1.601eca70eae8ap-1, -0x1.593ebe6db467bp-1, -0x1.51c8d2a2d53b4p-1, -0x1.49db095f72914p-1, -0x1.41910e7e7e474p-1, -0x1.3904378f3c5e8p-1, -0x1.304b8d04aaf2cp-1, -0x1.277bda630b908p-1, -0x1.1ea7c3bd3eb74p-1, -0x1.15dfdf13c19e7p-1, -0x1.0d32d0630a095p-1, -0x1.04ad6767e32e3p-1, -0x1.f8b57c9844ea2p-2, -0x1.e888b1350652bp-2, -0x1.d8e483eb8bf3p-2, -0x1.c9d658650381dp-2, -0x1.bb6919100a5dbp-2, -0x1.ada56f4c1c228p-2, -0x1.a091f90ee38dep-2, -0x1.94337bd67cd8cp-2, -0x1.888d14c62f161p-2, -0x1.7da065da80a3dp-2, -0x1.736dc02eadecp-2, -0x1.69f44b541326bp-2, -0x1.613229c3a650fp-2, -0x1.59249a7ee559ep-2, -0x1.51c817f6db633p-2, -0x1.4b187459df2d7p-2, -0x1.4510f36b1d4abp-2, -0x1.3fac620a2912bp-2, -0x1.3ae52b91b07e1p-2, -0x1.36b56d2f02299p-2, -0x1.33170759f7159p-2, -0x1.3003ad8d9a178p-2, -0x1.2d74f45cffc0ap-2, -0x1.2b645e06e863cp-2, -0x1.29cb65a0aeeb1p-2, -0x1.28a388f626afap-2, -0x1.27e651346d4bfp-2, -0x1.278d5a7e9c046p-2, -0x1.27925a78ebb34p-2, -0x1.27ef25e2f1fb2p-2, -0x1.289db5574ef6cp-2, -0x1.2998293d5d73fp-2, -0x1.2ad8cd0770b5p-2, -0x1.2c5a19d1fcb95p-2, -0x1.2e16b871c9207p-2, -0x1.30098302f31d2p-2, -0x1.322d85ffcb6ep-2, -0x1.347e00edd7221p-2, -0x1.36f666a2a22bcp-2, -0x1.39925d31325e3p-2, -0x1.3c4dbd8cbe08bp-2, -0x1.3f2492f1388bap-2, -0x1.42131a1f0d4d6p-2, -0x1.4515c075ecf36p-2, -0x1.482922f1f636bp-2, -0x1.4b4a0d08ecff5p-2, -0x1.4e7577702f6b3p-2, -0x1.51a886b8dbc01p-2, -0x1.54e089dc54944p-2, -0x1.581af8a8b636cp-2, -0x1.5b55722ca101cp-2, -0x1.5e8dbb20124ap-2, -0x1.61c1bc55c08a8p-2, -0x1.64ef814227368p-2, -0x1.68153689a76cap-2, -0x1.6b3128a1ed11ap-2, -0x1.6e41c2765fb23p-2, -0x1.71458c111f1d3p-2, -0x1.743b2942c0b1bp-2, -0x1.772158485c595p-2, -0x1.79f6f07748d2cp-2, -0x1.7cbae0ea6ecd9p-2, -0x1.7f6c2f3f27d1ap-2, -0x1.8209f661cc1ffp-2, -0x1.84936567bb48cp-2, -0x1.8707be876c8acp-2, -0x1.8966561b04ffep-2, -0x1.8bae91b65e2dep-2, -0x1.8ddfe74fea863p-2, -0x1.8ff9dc6d6ea99p-2, -0x1.91fc055cf6141p-2, -0x1.93e6047351b7cp-2, -0x1.95b7894e4d01fp-2, -0x1.9770501930a7dp-2, -0x1.991020da7190bp-2, -0x1.9a96cec449a97p-2, -0x1.9c04378a78219p-2, -0x1.9d5842c37e30bp-2, -0x1.9e92e150bcd71p-2, -0x1.9fb40ccdb0b9bp-2, -0x1.a0bbc709c6456p-2, -0x1.a1aa198d02c98p-2, -0x1.a27f1520b1d63p-2, -0x1.a33ad1605924ap-2, -0x1.a3dd6c5465ca5p-2, -0x1.a4670a100c576p-2, -0x1.a4d7d4535e09ap-2, -0x1.a52ffa340cd64p-2, -0x1.a56fafc9b1187p-2, -0x1.a5972ddcdec48p-2, -0x1.a5a6b198846d6p-2, -0x1.a59e7c405912cp-2, -0x1.a57ed2eb2e884p-2, -0x1.a547fe3c46f98p-2, -0x1.a4fa4a2314a8bp-2, -0x1.a496059e825b8p-2, -0x1.a41b8281530e4p-2, -0x1.a38b153a07405p-2, -0x1.a2e5149eac21p-2, -0x1.a229d9baab1b9p-2, -0x1.a159bfa075305p-2, -0x1.a075233ce6fccp-2, -0x1.9f7c632b7bea2p-2, -0x1.9e6fdf8fcb83cp-2, -0x1.9d4ff9f0d5eb8p-2, -0x1.9c1d1512ac49ep-2, -0x1.9ad794d3e222fp-2, -0x1.997fde0f53da1p-2, -0x1.9816567b37a41p-2, -0x1.969b64893ac12p-2, -0x1.950f6f4d0c055p-2, -0x1.9372de5f0efacp-2, -0x1.91c619bf9b4f2p-2, -0x1.900989bfdd0eap-2, -0x1.8e3d96ea15a94p-2, -0x1.8c62a9e5cf77bp-2, -0x1.8a792b6163546p-2, -0x1.888183fff4d0ap-2, -0x1.867c1c42146c1p-2, -0x1.84695c6d74be7p-2, -0x1.8249ac7c6d38bp-2, -0x1.801d740e18971p-2, -0x1.7de51a506eb0ap-2, -0x1.7ba105ed04744p-2, -0x1.79519cfce3da2p-2, -0x1.76f744f9e9a1fp-2, -0x1.749262ab2ffd8p-2, -0x1.72235a175ff69p-2, -0x1.6faa8e7af0a8dp-2, -0x1.6d28623afb46dp-2, -0x1.6a9d36d55ed32p-2, -0x1.68096cd5fafdap-2, -0x1.656d63cfe2f3bp-2, -0x1.62c97a520f762p-2, -0x1.601e0dd9fe16fp-2, -0x1.5d6b7acc0f2bfp-2, -0x1.5ab21c6eddefep-2, -0x1.57f24ce1d8239p-2, -0x1.552c6511e8397p-2, -0x1.5260bcb4369bdp-2, -0x1.4f8faa44651e6p-2, -0x1.4cb982fd544afp-2, -0x1.49de9ace26644p-2, -0x1.46ff4455af46dp-2, -0x1.441bd0e49786cp-2, -0x1.4134907af0c0dp-2, -0x1.3e49d1bd3d73p-2, -0x1.3b5be1ec5d772p-2, -0x1.386b0ce919c47p-2, -0x1.35779d39da59p-2, -0x1.3281dc05332a1p-2, -0x1.2f8a110572a2cp-2, -0x1.2c9082846c8f3p-2, -0x1.29957564e2ec1p-2, -0x1.26992d2b060d8p-2, -0x1.239bebf5b512p-2, -0x1.209df2709e058p-2, -0x1.1d9f7fd189301p-2, -0x1.1aa0d1e5bd5cep-2, -0x1.17a2251e53e44p-2, -0x1.14a3b48bdf157p-2, -0x1.11a5b9cf1bfe9p-2, -0x1.0ea86d135d0f4p-2, -0x1.0bac051beadabp-2, -0x1.08b0b7562e25bp-2, -0x1.05b6b7dc93a72p-2, -0x1.02be396873df8p-2, -0x1.ff8eda8c53dd3p-3, -0x1.f9a506b7a47fcp-3, -0x1.f3bf547ce8fdp-3, -0x1.edde1e80e685ep-3, -0x1.e801bcd885976p-3, -0x1.e22a84e8c961ap-3, -0x1.dc58c95b2662cp-3, -0x1.d68cda3a0f138p-3, -0x1.d0c7051e5243cp-3, -0x1.cb07954517b94p-3, -0x1.c54ed37fb59fap-3, -0x1.bf9d06154fe85p-3, -0x1.b9f270bd209efp-3, -0x1.b44f54bf7c14p-3, -0x1.aeb3f122a7c36p-3, -0x1.a92082c17709ep-3, -0x1.a395443da718cp-3, -0x1.9e126de3838b3p-3, -0x1.989835a23f82cp-3, -0x1.9326cf27a91p-3, -0x1.8dbe6c0cd41e9p-3, -0x1.885f3bf30b682p-3, -0x1.83096c7fe06bep-3, -0x1.7dbd294476299p-3, -0x1.787a9baed7d65p-3, -0x1.7341eb185d8bep-3, -0x1.6e133ced101f6p-3, -0x1.68eeb4d0b97a7p-3, -0x1.63d474ab28cf4p-3, -0x1.5ec49c9a15294p-3, -0x1.59bf4adcf8473p-3, -0x1.54c49bd1026ccp-3, -0x1.4fd4aa0a644f7p-3, -0x1.4aef8e78ba113p-3, -0x1.46156084a1911p-3, -0x1.414636155a57p-3, -0x1.3c822382d6c2ep-3, -0x1.37c93b8670076p-3, -0x1.331b8f3badd5bp-3, -0x1.2e792e36db287p-3, -0x1.29e226a5fefefp-3, -0x1.2556856a8467bp-3, -0x1.20d656206b868p-3, -0x1.1c61a314eae27p-3, -0x1.17f87539cd133p-3, -0x1.139ad4242defep-3, -0x1.0f48c61c55139p-3, -0x1.0b0250389e15ap-3, -0x1.06c77676a109bp-3, -0x1.02983bc70fcap-3, -0x1.fce944184d3fbp-4, -0x1.f4b95420f86p-4, -0x1.eca0a702f9a81p-4, -0x1.e49f39ebd929ep-4, -0x1.dcb5080062a89p-4, -0x1.d4e20a89b84f6p-4, -0x1.cd2639181f609p-4, -0x1.c5818990d03cbp-4, -0x1.bdf3f028fe78cp-4, -0x1.b67d5f5a21661p-4, -0x1.af1dc7deb3f64p-4, -0x1.a7d518c0b2ec4p-4, -0x1.a0a33f7805675p-4, -0x1.9988280da7affp-4, -0x1.9283bd370c1f2p-4, -0x1.8b95e863020d3p-4, -0x1.84be91b913cb9p-4, -0x1.7dfda0136a85ap-4, -0x1.7752f8fcba173p-4, -0x1.70be80b9c7802p-4, -0x1.6a401a5ece653p-4, -0x1.63d7a7e9e9635p-4, -0x1.5d850a5be51p-4, -0x1.574821c51a109p-4, -0x1.5120cd4d60b15p-4, -0x1.4b0eeb3109426p-4, -0x1.451258bfa80d2p-4, -0x1.3f2af25f8198fp-4, -0x1.3958939945a75p-4, -0x1.339b172a465d3p-4, -0x1.2df257181fcd7p-4, -0x1.285e2cc0fa759p-4, -0x1.22de70e5e067p-4, -0x1.1d72fbaf3a392p-4, -0x1.181ba4ad82a72p-4, -0x1.12d842da0623ep-4, -0x1.0da8ac9af016cp-4, -0x1.088cb7cbee317p-4, -0x1.038439cc08bccp-4, -0x1.fd1e0f16bcc9p-5, -0x1.f359eb2ec596ap-5, -0x1.e9bbb048628b6p-5, -0x1.e0430622f5209p-5, -0x1.d6ef93da0568fp-5, -0x1.cdc0ffe86f86dp-5, -0x1.c4b6f02df3fp-5, -0x1.bbd109fa5d3b4p-5, -0x1.b30ef21eb8baap-5, -0x1.aa704d0095b37p-5, -0x1.a1f4bead6e1b4p-5, -0x1.999beaed731c5p-5, -0x1.91657548b58ddp-5, -0x1.8951011136813p-5, -0x1.815e316c4133ep-5, -0x1.798ca9524ab0ap-5, -0x1.71dc0b94d0893p-5, -0x1.6a4bfae857cb9p-5, -0x1.62dc19f1016f7p-5, -0x1.5b8c0b4fd77a8p-5, -0x1.545b71afa2defp-5, -0x1.4d49efcee7faap-5, -0x1.4657288a8d06cp-5, -0x1.3f82bee25d8c8p-5, -0x1.38cc55ff8d141p-5, -0x1.323391384e827p-5, -0x1.2bb814140fc7ap-5, -0x1.2559825134b46p-5, -0x1.1f177fecd8c8cp-5, -0x1.18f1b12ba6432p-5, -0x1.12e7baa29ae36p-5, -0x1.0cf9413ebed13p-5, -0x1.0725ea4ba9676p-5, -0x1.016d5b7914a1ep-5, -0x1.f79e75beed7a1p-6, -0x1.ec965e0782aafp-6, -0x1.e1c1bdb53cb3dp-6, -0x1.d71fe39777878p-6, -0x1.ccb01f6b795b4p-6, -0x1.c271c1e687c6cp-6, -0x1.b8641cc0be67dp-6, -0x1.ae8682bf9c575p-6, -0x1.a4d847bf7fe1dp-6, -0x1.9b58c0bcc28ccp-6, -0x1.920743d9d2921p-6, -0x1.88e3286560c3ap-6, -0x1.7febc6e073b19p-6, -0x1.77207901b8501p-6, -0x1.6e8099bb6ae4bp-6, -0x1.660b853f1572bp-6, -0x1.5dc09901c94c1p-6, -0x1.559f33c22154bp-6, -0x1.4da6b58e790b6p-6, -0x1.45d67fca6d52ap-6, -0x1.3e2df533d7854p-6, -0x1.36ac79e71b6fdp-6, -0x1.2f5173631211fp-6, -0x1.281c488cb4567p-6, -0x1.210c61b11236p-6, -0x1.1a2128831ad77p-6, -0x1.135a08296424ep-6, -0x1.0cb66d2e271d7p-6, -0x1.0635c59293756p-6, -0x1.ffaf017b37d21p-7, -0x1.f3361f2efcbdfp-7, -0x1.e6ffc8f87e57bp-7, -0x1.db0ae68a52084p-7, -0x1.cf56628eb718dp-7, -0x1.c3e12aacdaf6bp-7, -0x1.b8aa2f8390b6bp-7, -0x1.adb064a66e35dp-7, -0x1.a2f2c09a94c8fp-7, -0x1.98703cd569517p-7, -0x1.8e27d5beb0ac4p-7, -0x1.84188ab609702p-7, -0x1.7a415e1a1b5e7p-7, -0x1.70a1554fac15ep-7, -0x1.673778c6ddb53p-7, -0x1.5e02d3f8f0a5dp-7, -0x1.5502755ca8a3dp-7, -0x1.4c356e5e8dc04p-7, -0x1.439ad3577b127p-7, -0x1.3b31bb7e502acp-7, -0x1.32f940e6f5daep-7, -0x1.2af0808dcef58p-7, -0x1.23169a605f5f1p-7, -0x1.1b6ab14b32be8p-7, -0x1.13ebeb43fb2ecp-7, -0x1.0c99714a0a6bep-7, -0x1.05726f5a523abp-7, -0x1.fcec28ad0cdb7p-8, -0x1.ef4723cc3bf45p-8, -0x1.e1f438ab835adp-8, -0x1.d4f1d5037fa9ap-8, -0x1.c83e6ba376e67p-8, -0x1.bbd8749736ca2p-8, -0x1.afbe6d5815cf5p-8, -0x1.a3eed95093b13p-8, -0x1.986841ff8cd7bp-8, -0x1.8d2937345fddap-8, -0x1.82304f359dd3bp-8, -0x1.777c265541d23p-8, -0x1.6d0b5e83b4e4ap-8, -0x1.62dc9eb4e747ap-8, -0x1.58ee92466862ep-8, -0x1.4f3fe88c7bdep-8, -0x1.45cf54a47e533p-8, -0x1.3c9b8d9bedf41p-8, -0x1.33a34ee605622p-8, -0x1.2ae559055ccbcp-8, -0x1.2260724080c82p-8, -0x1.1a136731e1f2ep-8, -0x1.11fd0b0b6ed89p-8, -0x1.0a1c3775ca62p-8, -0x1.026fcc0bd1782p-8, -0x1.f5ed5b18997c1p-9, -0x1.e75f89df1143fp-9, -0x1.d933fd2d5cd82p-9, -0x1.cb6893906a662p-9, -0x1.bdfb313320f68p-9, -0x1.b0e9c0994c4c2p-9, -0x1.a43234150ebdcp-9, -0x1.97d28797d7597p-9, -0x1.8bc8c26476863p-9, -0x1.8012f82b60de4p-9, -0x1.74af492d4b73ap-9, -0x1.699be1689188ep-9, -0x1.5ed6f6aa18624p-9, -0x1.545ec627880efp-9, -0x1.4a3192274ba4bp-9, -0x1.404da015cb33fp-9, -0x1.36b137c672f4ap-9, -0x1.2d5aa4029bb3dp-9, -0x1.24483466f3434p-9, -0x1.1b784038a99acp-9, -0x1.12e9299ad93b3p-9, -0x1.0a99606a90b77p-9, -0x1.0287641996794p-9, -0x1.f56387ff8bce9p-10, -0x1.e62e3bbf1d3c8p-10, -0x1.d76c357abd3bap-10, -0x1.c91ad528822b5p-10, -0x1.bb377f55f0ad9p-10, -0x1.adbf94ae9b644p-10, -0x1.a0b06cbbff28cp-10, -0x1.94075392f4046p-10, -0x1.87c18cc44d0fbp-10, -0x1.7bdc5aca90b1ap-10, -0x1.705507fefb0e8p-10, -0x1.6528f1f782171p-10, -0x1.5a55942fa0e2bp-10, -0x1.4fd890389e5d8p-10, -0x1.45afb16b8dd93p-10, -0x1.3bd8ec1fdfb5cp-10, -0x1.325257eb01bc4p-10, -0x1.291a25af3d591p-10, -0x1.202e93386e577p-10, -0x1.178dde7b59a15p-10, -0x1.0f363aa43106p-10, -0x1.0725c8ac438d3p-10, -0x1.feb528fabc98fp-11, -0x1.efa52dc9a785ep-11, -0x1.e11777b2cad5cp-11, -0x1.d307d7faeec01p-11, -0x1.c5722fca55272p-11, -0x1.b85286e02dfbp-11, -0x1.aba51f1652ad1p-11, -0x1.9f6681d372559p-11, -0x1.9393857a7d951p-11, -0x1.88294a23b2dep-11, -0x1.7d252e564eff9p-11, -0x1.7284bdc05d1dcp-11, -0x1.68459d5a8f795p-11, -0x1.5e6576b0f2e02p-11, -0x1.54e1e7d0d38b4p-11, -0x1.4bb877543e2bfp-11, -0x1.42e68f1b0a8b5p-11, -0x1.3a697d42e43ddp-11, -0x1.323e7aa91fb16p-11, -0x1.2a62b596b3c79p-11, -0x1.22d35ea1e9b14p-11, -0x1.1b8db5b4785d7p-11, -0x1.148f1556358d9p-11, -0x1.0dd4fb24f04f4p-11, -0x1.075d0d20173f5p-11, -0x1.01251bf9624e3p-11, -0x1.f656452ac0655p-12, -0x1.eada853f54458p-12, -0x1.dfd37c0419fafp-12, -0x1.d53ddb11495c7p-12, -0x1.cb166bc5b650cp-12, -0x1.c159fa1667e4p-12, -0x1.b80544dab78d7p-12, -0x1.af14f70acd19bp-12, -0x1.a685aaae6e718p-12, -0x1.9e53f3dac597bp-12, -0x1.967c7229586ffp-12, -0x1.8efbcde95a57cp-12, -0x1.87ceceb127692p-12, -0x1.80f24d5c1c655p-12, -0x1.7a632dfb0f574p-12, -0x1.741e588245853p-12, -0x1.6e20c092e046p-12, -0x1.68677109f2479p-12, -0x1.62efa14505e36p-12, -0x1.5db6c7d5e05e9p-12, -0x1.58baa0856163cp-12, -0x1.53f920097caffp-12, -0x1.4f7058730441dp-12, -0x1.4b1e587ca5127p-12, -0x1.470113ff49d81p-12, -0x1.43165edb89b27p-12, -0x1.3f5bfbbc564b5p-12, -0x1.3bcfb76d2bd22p-12, -0x1.386f84193d5cbp-12, -0x1.3539881b01dc3p-12, -0x1.322c1a274c686p-12, -0x1.2f45acb329fa8p-12, -0x1.2c84b0549e145p-12, -0x1.29e778f85763p-12, -0x1.276c31fc2b63fp-12, -0x1.2510e696cf111p-12, -0x1.22d3a001df85ep-12, -0x1.20b28e763fe59p-12, -0x1.1eac29dae6fa5p-12, -0x1.1cbf3f47ebe23p-12, -0x1.1aeae0205e8fcp-12, -0x1.192e396406536p-12, -0x1.1788651e321ap-12, -0x1.15f849689c60ep-12, -0x1.147c92c5a0ba7p-12, -0x1.1313c9f8166f8p-12, -0x1.11bc785c23671p-12, -0x1.10754ba72c138p-12, -0x1.0f3d2d31853fdp-12, -0x1.0e134452c082ap-12, -0x1.0cf6e5da2ff78p-12, -0x1.0be778e62c769p-12, -0x1.0ae455d3edefap-12, -0x1.09ecb044f1bap-12, -0x1.08ff9070dd10dp-12, -0x1.081bdefad2922p-12, -0x1.07407f396e8b6p-12, -0x1.066c6f2de35c9p-12, -0x1.059ee1c7ad976p-12, -0x1.04d748d320a44p-12, -0x1.04154911b226bp-12, -0x1.03589c2b11e5bp-12, -0x1.02a0ed996c73fp-12, -0x1.01edc2b59f2e3p-12, -0x1.013e771747827p-12, -0x1.00924aad295efp-12, -0x1.ffd0ef5f5c26ep-13, -0x1.fe808ff9d1826p-13, -0x1.fd32471500e9ap-13, -0x1.fbe536f08e7f2p-13, -0x1.fa98c8736d222p-13, -0x1.f94c921cd8b86p-13, -0x1.f8002fe867685p-13, -0x1.f6b3225c025dep-13, -0x1.f564c1d37b7f9p-13, -0x1.f414475c3954bp-13, -0x1.f2c0e14ebc909p-13, -0x1.f169c7a94ec13p-13, -0x1.f00e49fab37dep-13, -0x1.eeadd5a902b08p-13, -0x1.ed47f3aac336dp-13, -0x1.ebdc3f19952e4p-13, -0x1.ea6a63d0914b5p-13, -0x1.e8f200b1cf552p-13, -0x1.e772bcf3f2d31p-13, -0x1.e5ec47e1af8e6p-13, -0x1.e45e3bb1c39e4p-13, -0x1.e2c831e130ff7p-13, -0x1.e129c00953f5p-13, -0x1.df8285d67fda8p-13, -0x1.ddd236b251061p-13, -0x1.dc189e3c25287p-13, -0x1.da55a1aaeacbep-13, -0x1.d8892c16c32a6p-13, -0x1.d6b3244a2b946p-13, -0x1.d4d36972a9907p-13, -0x1.d2e9d66eb671fp-13, -0x1.d0f6480a9ab04p-13, -0x1.cef8a38d4c83cp-13, -0x1.ccf0dc5441499p-13, -0x1.cadef3cd23ed9p-13, -0x1.c8c2ee9a6f687p-13, -0x1.c69cc4e6a4128p-13, -0x1.c46c5c0ea005ep-13, -0x1.c2318ef6cde6ep-13, -0x1.bfec3da5bb3e1p-13, -0x1.bd9c5b5c5cad4p-13, -0x1.bb41f30da26dap-13, -0x1.b8dd1d701098fp-13, -0x1.b66df7104e3efp-13, -0x1.b3f49375698e2p-13, -0x1.b17100475e0e9p-13, -0x1.aee34e52f3415p-13, -0x1.ac4b951bb50a5p-13, -0x1.a9a9ef00dab6ap-13, -0x1.a6fe72f9f9869p-13, -0x1.a44935b2e5773p-13, -0x1.a18a4f6c6a58cp-13, -0x1.9ec1df3829cd6p-13, -0x1.9bf0097101285p-13, -0x1.9914f438249a3p-13, -0x1.9630c4e6c6007p-13, -0x1.9343a00d1fe68p-13, -0x1.904dab1add0fbp-13, -0x1.8d4f0cb97b0fap-13, -0x1.8a47eb9bbdc5fp-13, -0x1.87386ca7beb68p-13, -0x1.8420b33e3cd3dp-13, -0x1.8100e33c87405p-13, -0x1.7dd923a62ee43p-13, -0x1.7aa9a17359686p-13, -0x1.77728f7b76f4ap-13, -0x1.743422d278553p-13, -0x1.70ee89a45d7dap-13, -0x1.6da1e513fc72p-13, -0x1.6a4e5886e8d53p-13, -0x1.66f42240df907p-13, -0x1.63939b149ca0fp-13, -0x1.602d0bf835becp-13, -0x1.5cc08970988acp-13, -0x1.594e146b1694p-13, -0x1.55d5d2b7c98c7p-13, -0x1.525811afc1f35p-13, -0x1.4ed5174202cfbp-13, -0x1.4b4d0db804c92p-13, -0x1.47c01d6cac218p-13, -0x1.442e7dc1b639fp-13, -0x1.40986980fde68p-13, -0x1.3cfe24afef009p-13, -0x1.395fba4f55b1p-13, -0x1.35bd8e7effec3p-13, -0x1.3217afdc16fe9p-13, -0x1.2e6e5879151cdp-13, -0x1.2ac1b76bef997p-13, -0x1.2711f729578dcp-13, -0x1.235f3b8c2b02bp-13, -0x1.1fa9a438aee85p-13, -0x1.1bf155b193d1ap-13, -0x1.183681d466f83p-13, -0x1.1479724871091p-13, -0x1.10ba847614f4p-13, -0x1.0cfa08d337f69p-13, -0x1.0938145f0bb63p-13, -0x1.05749fecab0adp-13, -0x1.01afdf08e638fp-13, -0x1.fbd451d4aed35p-14, -0x1.f44734d610375p-14, -0x1.ecb85cef9a286p-14, -0x1.e528269a1575cp-14, -0x1.dd971ceaabe0cp-14, -0x1.d605ca4cf2448p-14, -0x1.ce748c641eb39p-14, -0x1.c6e3adba78b3bp-14, -0x1.bf5378a7435a9p-14, -0x1.b7c4387f5bd4fp-14, -0x1.b0363adb9d96p-14, -0x1.a8a9ce68b54d9p-14, -0x1.a11f414b83a9ep-14, -0x1.9996e90f456c4p-14, -0x1.92110dfee1eefp-14, -0x1.8a8df50fa6de3p-14, -0x1.830de5306d1f2p-14, -0x1.7b91216a4e509p-14, -0x1.7417ead62572ep-14, -0x1.6ca27f10a760ep-14, -0x1.653136242cd9ap-14, -0x1.5dc48741ba8c8p-14, -0x1.565c91aee70a1p-14, -0x1.4ef9814adf8ccp-14, -0x1.479bc7c651d17p-14, -0x1.40439efe11df7p-14, -0x1.38f1209f2c2dep-14, -0x1.31a48d09d905p-14, -0x1.2a5e432201775p-14, -0x1.231e8e2692866p-14, -0x1.1be586ed97a5ep-14, -0x1.14b34e1d7caccp-14, -0x1.0d882878c4aa6p-14, -0x1.06645ded1a133p-14, -0x1.fe90518570417p-15, -0x1.f0677586d5039p-15, -0x1.e24e8730c9866p-15, -0x1.d445e689fae58p-15, -0x1.c64df471b3993p-15, -0x1.b867109339d61p-15, -0x1.aa919701d3edcp-15, -0x1.9ccde05531717p-15, -0x1.8f1c4596d832dp-15, -0x1.817d1ca88e566p-15, -0x1.73f0a2d9da858p-15, -0x1.6677182095351p-15, -0x1.5910f98317d16p-15, -0x1.4bbea8ed00f7bp-15, -0x1.3e80638b35b66p-15, -0x1.3156691f14174p-15, -0x1.2440e524eb764p-15, -0x1.17402ce184347p-15, -0x1.0a548dda15f39p-15, -0x1.fafc4014abf5p-16, -0x1.e17af3cbf13e6p-16, -0x1.c82505de65a78p-16, -0x1.aefb2200176c2p-16, -0x1.95fdb70029368p-16, -0x1.7d2d2f53b0381p-16, -0x1.6489f138ab27ep-16, -0x1.4c145f397aec1p-16, -0x1.33ccd8d355dbap-16, -0x1.1bb3bad1ab67bp-16, -0x1.03c95fe69b8aep-16, -0x1.d81c367843493p-17, -0x1.a9047d2092fbep-17, -0x1.7a4c25807ce66p-17, -0x1.4bf3bd441f081p-17, -0x1.1dfbcfdf3049cp-17, -0x1.e0c9b6b7b624bp-18, -0x1.865eb7e41b752p-18, -0x1.2cb822bad600fp-18, -0x1.a7adf4208dc76p-19, -0x1.eeebf707f28c7p-20, -0x1.2319f6430382ep-21, 0x1.915c17feb2eecp-21, 0x1.0fe27d6cc8a63p-19, 0x1.b9df392f4e482p-19, 0x1.31253d537cfe2p-18, 0x1.84917c9f5733p-18, 0x1.d733c70c32e7cp-18, 0x1.1485c764cf77ep-17, 0x1.3d0c51fc5f297p-17, 0x1.652d4334d37d1p-17, 0x1.8ce87b1181361p-17, 0x1.b43dd4e994ff1p-17, 0x1.db2d63be9b357p-17, 0x1.00db5a9dd1bbp-16, 0x1.13ed0dbdec2d2p-16, 0x1.26cbb12477de7p-16, 0x1.397740648e5c3p-16, 0x1.4befad156506fp-16, 0x1.5e34d65a9ebbcp-16, 0x1.7046ce86c0452p-16, 0x1.8225ead8c48c6p-16, 0x1.93d23f4cb6de7p-16, 0x1.a54b8f0635e3dp-16, 0x1.b691cfccb506ap-16, 0x1.c7a50ac8c50cep-16, 0x1.d88554dc0b5d1p-16, 0x1.e93344b7861f3p-16, 0x1.f9aea50ea70adp-16, 0x1.04fb97c88f4b7p-15, 0x1.0d06a9db3e43ep-15, 0x1.14f898bbcbd8p-15, 0x1.1cd16b957830cp-15, 0x1.24912ef96c627p-15, 0x1.2c37f29fb621p-15, 0x1.33c5c832cfd4ap-15, 0x1.3b3ac10f43827p-15, 0x1.4296ef5442412p-15, 0x1.49da68123cae3p-15, 0x1.51053f3048519p-15, 0x1.581789db3cc15p-15, 0x1.5f115d9f51926p-15, 0x1.65f2d0d9b2aa3p-15, 0x1.6cbbfa7283d8bp-15, 0x1.736cf2063f25dp-15, 0x1.7a05d02542b42p-15, 0x1.8086ae5e7d2d7p-15, 0x1.86efa7169128bp-15, 0x1.8d40d534b85bcp-15, 0x1.937a53560ea41p-15, 0x1.999c3b65789b2p-15, 0x1.9fa6a95a35dd4p-15, 0x1.a599becaf9ae1p-15, 0x1.ab7593be9e171p-15, 0x1.b13a3f1941342p-15, 0x1.b6e7f68ed2417p-15, 0x1.bc7ebb7be3359p-15, 0x1.c1feca6ede2c3p-15, 0x1.c7682e18ce257p-15, 0x1.ccbaf60be2906p-15, 0x1.d1f76ba68ae05p-15, 0x1.d71d9f92beaf2p-15, 0x1.dc2daa2e419bep-15, 0x1.e127b45e87b3p-15, 0x1.e60be0fe6118dp-15, 0x1.eada510615406p-15, 0x1.ef932690c0666p-15, 0x1.f436846a87c37p-15, 0x1.f8c48e12aec6p-15, 0x1.fd3d6724df791p-15, 0x1.00d09a517b1e6p-14, 0x1.02f81e99cbb18p-14, 0x1.05152b14f558bp-14, 0x1.0727dbc7a58e6p-14, 0x1.09306015dae47p-14, 0x1.0b2eb8389f774p-14, 0x1.0d22f6c8b4997p-14, 0x1.0f0d214c536c9p-14, 0x1.10ed7e69a02dbp-14, 0x1.12c3e57efcdfdp-14, 0x1.149084ac68bfp-14, 0x1.1653689e18b53p-14, 0x1.180ca4cc61f82p-14, 0x1.19bc4ed55ed4fp-14, 0x1.1b627be1ee543p-14, 0x1.1cff3b8e9edb5p-14, 0x1.1e92a1aef9018p-14, 0x1.201cc2c820a0ep-14, 0x1.219db167842b9p-14, 0x1.2315821aa64bap-14, 0x1.2484482b0181cp-14, 0x1.25ea1732fd0bcp-14, 0x1.274702d58131ap-14, 0x1.289b1eb4bf90ep-14, 0x1.29e67e6d2a8a9p-14, 0x1.2b29359ec9f92p-14, 0x1.2c63582451942p-14, 0x1.2d94f9b58b97ap-14, 0x1.2ebe2da6e1f45p-14, 0x1.2fdf081d66e64p-14, 0x1.30f79cdf94164p-14, 0x1.3207fe6ff5508p-14, 0x1.331040e0d0455p-14, 0x1.341079d1aa6d6p-14, 0x1.3508bd511cf0ap-14, 0x1.35f91db2ff738p-14, 0x1.36e1ac5327a81p-14, 0x1.37c27d6e81f39p-14, 0x1.389ba60ee4d7p-14, 0x1.396d39f705211p-14, 0x1.3a374c03e6783p-14, 0x1.3af9ed338caddp-14, 0x1.3bb5328c8f41fp-14, 0x1.3c6935eea8a3fp-14, 0x1.3d1602a3bc009p-14, 0x1.3dbbaca39dc2ap-14, 0x1.3e5a47a22194p-14, 0x1.3ef1ea0edf579p-14, 0x1.3f82a39d5cfcap-14, 0x1.400c8861a42eap-14, 0x1.408fab4bc627fp-14, 0x1.410c1f3cb1997p-14, 0x1.4181f7055bc14p-14, 0x1.41f1456690ad9p-14, 0x1.425a1d118583cp-14, 0x1.42bc90a4c5a1cp-14, 0x1.4318b235a4ae1p-14, 0x1.436e9504584e3p-14, 0x1.43be4b89dbf82p-14, 0x1.4407e6e8ad40fp-14, 0x1.444b7ae65b455p-14, 0x1.4489186504ee6p-14, 0x1.44c0d228d6fb6p-14, 0x1.44f2b9c46766fp-14, 0x1.451edf86a5493p-14, 0x1.45455d63f1ef2p-14, 0x1.45663503402b2p-14, 0x1.45818783aa85ap-14, 0x1.45975fd03c2ebp-14, 0x1.45a7d02a7218bp-14, 0x1.45b2e9af681afp-14, 0x1.45b8bc3da8b4cp-14, 0x1.45b93f2006f4bp-14, 0x1.45b4d556ab5a5p-14, 0x1.45ab43fa9ce41p-14, 0x1.459cab80bfcb8p-14, 0x1.458925d65b5a5p-14, 0x1.4570c1371b2cap-14, 0x1.455383fa941bep-14, 0x1.45318cf565aaap-14, 0x1.450ae8bab9cc1p-14, 0x1.44dfa4b972114p-14, 0x1.44afd1182d4dbp-14, 0x1.447b82320e901p-14, 0x1.4442c40404dafp-14, 0x1.4405a6e968a7dp-14, 0x1.43c43a761961fp-14, 0x1.437e8f24037ccp-14, 0x1.4334b38c0cf4ap-14, 0x1.42e6b7c235769p-14, 0x1.4294aaef07f7cp-14, 0x1.423e9c30a4efap-14, 0x1.41e49a7ccf3c1p-14, 0x1.4186b49e329d3p-14, 0x1.4124f9f0f4b6p-14, 0x1.40bf786daf6e9p-14, 0x1.40563f86732dbp-14, 0x1.3fe95cf87d174p-14, 0x1.3f78df926256ep-14, 0x1.3f04d571aa9b7p-14, 0x1.3e8d4d0e5b035p-14, 0x1.3e12541b1b54cp-14, 0x1.3d93f889cb4abp-14, 0x1.3d12474452a74p-14, 0x1.3c8d50ecbd511p-14, 0x1.3c05201d2a178p-14, 0x1.3b79c369a736ap-14, 0x1.3aeb483b7d624p-14, 0x1.3a59bbc8f5025p-14, 0x1.39c52b3523fcbp-14, 0x1.392da38882734p-14, 0x1.389331aef8204p-14, 0x1.37f5e2772d6adp-14, 0x1.3755c28fa19b3p-14, 0x1.36b2de728bff8p-14, 0x1.360d420beb5b7p-14, 0x1.3564fe7cd4cc4p-14, 0x1.34ba150f84173p-14, 0x1.340c9db253eb9p-14, 0x1.335c9e9e293cbp-14, 0x1.32aa244f26f59p-14, 0x1.31f53b0836e01p-14, 0x1.313dee29145ecp-14, 0x1.308449aced88ep-14, 0x1.2fc858e365dc7p-14, 0x1.2f0a2722a97a2p-14, 0x1.2e49bfaaa59eap-14, 0x1.2d872d679a3e6p-14, 0x1.2cc27a20b322cp-14, 0x1.2bfbd09d9691bp-14, 0x1.2b32e5805f0a6p-14, 0x1.2a6817a57295ep-14, 0x1.299b55ea85294p-14, 0x1.28cca8713dc9p-14, 0x1.27fc1c5eb5633p-14, 0x1.2729c5d8c514dp-14, 0x1.26558e20625d7p-14, 0x1.257fa1207772dp-14, 0x1.24a7fcdd6edf8p-14, 0x1.23ceab4e0c769p-14, 0x1.22f3b6b924d3bp-14, 0x1.221716fddbc9ep-14, 0x1.21390a800d79p-14, 0x1.205966a5237c7p-14, 0x1.1f7846da0b6fep-14, 0x1.1e95b0331ea81p-14, 0x1.1db1b0b57ae98p-14, 0x1.1ccc4f15c741cp-14, 0x1.1be594ee21661p-14, 0x1.1afd8ae31183cp-14, 0x1.1a1439be5ca46p-14, 0x1.1929a9a504e7ap-14, 0x1.183dd94ff4db6p-14, 0x1.1750f2b4ce9e7p-14, 0x1.1662db9b32d68p-14, 0x1.1573a7d019b8cp-14, 0x1.14835f96bb842p-14, 0x1.13920c7ae3a39p-14, 0x1.129fb23a659d8p-14, 0x1.11ac5ce006726p-14, 0x1.10b812437378bp-14, 0x1.0fc2df019545fp-14, 0x1.0eccbfdbee19bp-14, 0x1.0dd5c97bcc4e3p-14, 0x1.0cddf7f8cd412p-14, 0x1.0be55935b01f4p-14, 0x1.0aebf2dd02837p-14, 0x1.09f1ce568b896p-14, 0x1.08f6eee18168fp-14, 0x1.07fb5d69693c7p-14, 0x1.06ff208784e1fp-14, 0x1.06023f8021a2bp-14, 0x1.0504c0985799fp-14, 0x1.0406aaa7bd14dp-14, 0x1.030804572c1d2p-14, 0x1.0208d422118adp-14, 0x1.0109206731d8bp-14, 0x1.0008ef0eef57ep-14, 0x1.fe10b907c2164p-15, 0x1.fc0e61098e4ecp-15, 0x1.fa0b588ec82ep-15, 0x1.f8078a69b7a87p-15, 0x1.f602fdff92481p-15, 0x1.f3fdc02196d7ap-15, 0x1.f1f7dc55da928p-15, 0x1.eff15df67419fp-15, 0x1.edea4ffb55608p-15, 0x1.ebe2be27467dbp-15, 0x1.e9dab2c402106p-15, 0x1.e7d23965a05adp-15, 0x1.e5c95befedc48p-15, 0x1.e3c0251d7653dp-15, 0x1.e1b69f6f3a3e9p-15, 0x1.dfacd50ca6d75p-15, 0x1.dda2cfefce704p-15, 0x1.db98994aba8c7p-15, 0x1.d98e79c476379p-15, 0x1.d783c30c801d6p-15, 0x1.d579359bc8abbp-15, 0x1.d36e9c18b0541p-15, 0x1.d1641173b718ap-15, 0x1.cf597227661d1p-15, 0x1.cd4ef5d370cc8p-15, 0x1.cb448ca89c968p-15, 0x1.c93a4a3b546acp-15, 0x1.c73032809a85fp-15, 0x1.c5264d98463bcp-15, 0x1.c31ca463fe7dcp-15, 0x1.c1133f39baf05p-15, 0x1.bf0a26302f315p-15, 0x1.bd0161384919ep-15, 0x1.baf8f84a876b9p-15, 0x1.b8f0f30aee9efp-15, 0x1.b6e95630dba0bp-15, 0x1.b4e2489de8569p-15, 0x1.b2db8227065b2p-15, 0x1.b0d5566d5d289p-15, 0x1.aecfb26b63af4p-15, 0x1.acca9d98e6e0cp-15, 0x1.aac61ed4d0288p-15, 0x1.a8c23c60a02d6p-15, 0x1.a6bf0050b6adbp-15, 0x1.a4bc7c9b7a2a1p-15, 0x1.a2ba8633c724ap-15, 0x1.a0b95a492f93fp-15, 0x1.9eb8eaee401fcp-15, 0x1.9cb93e9f8df62p-15, 0x1.9aba5b6b75991p-15, 0x1.98bc475278ddap-15, 0x1.96bf0822fb62p-15, 0x1.94c2a387947b6p-15, 0x1.92c71ee5082b3p-15, 0x1.90cc7f98836a6p-15, 0x1.8ed2ca9f2137bp-15, 0x1.8cd9fd1f14ce8p-15, 0x1.8ae1f79b2c75fp-15, 0x1.88eb68bdd2dd9p-15, 0x1.86f595b41f97ap-15, 0x1.8500c785621acp-15, 0x1.830d01e4d74d3p-15, 0x1.811a4ad5afb97p-15, 0x1.7f28a689351aap-15, 0x1.7d38194e83ac9p-15, 0x1.7b48a6810c20ep-15, 0x1.795a39eb58238p-15, 0x1.776d29c545be3p-15, 0x1.758127d932da1p-15, 0x1.7396514cb0e53p-15, 0x1.71acab7873214p-15, 0x1.6fc439ce054b3p-15, 0x1.6ddd016fb359ep-15, 0x1.6bf7056ff39fep-15, 0x1.6a1249e4f174cp-15, 0x1.682ed1933156cp-15, 0x1.664ca0951fc41p-15, 0x1.646bbafb15351p-15, 0x1.628c230a6f382p-15, 0x1.60addb64c3f2bp-15, 0x1.5ed10053f5ac1p-15, 0x1.5cf5510a44288p-15, 0x1.5b1b12a6699d5p-15, 0x1.5942319b39de1p-15, 0x1.576ac0ce5ffa1p-15, 0x1.55949288b261p-15, 0x1.53bfe00725a66p-15, 0x1.51ec9a1422c84p-15, 0x1.501ab9531e87ap-15, 0x1.4e4a659b3bb5dp-15, 0x1.4c7b49bcff9f9p-15, 0x1.4aadbf7ef37bcp-15, 0x1.48e1ab20ae4d1p-15, 0x1.47170ee718e62p-15, 0x1.454ded69d8b58p-15, 0x1.43864913968fp-15, 0x1.41c0207a8ec9p-15, 0x1.3ffb7c58dec32p-15, 0x1.3e385feb21466p-15, 0x1.3c76c3474c71fp-15, 0x1.3ab6ae91ee908p-15, 0x1.38f82640cf7fbp-15, 0x1.373b2699a3811p-15, 0x1.357fb5b51e7c1p-15, 0x1.33c5cf2fc8a42p-15, 0x1.320d7a5290f7cp-15, 0x1.3056bfc2fc623p-15, 0x1.2ea1a4a1bb0b7p-15, 0x1.2cedea1c1c827p-15, 0x1.2b3bea3140cfcp-15, 0x1.298b7b0f6dad5p-15, 0x1.27dcf02654431p-15, 0x1.262f6976474d8p-15, 0x1.2483cfd7126a8p-15, 0x1.22d9ccbd8f85ep-15, 0x1.213164c112505p-15, 0x1.1f8aa153c194p-15, 0x1.1de57b7f7ebf7p-15, 0x1.1c41f62f949c4p-15, 0x1.1aa01112839cp-15, 0x1.18ffd194cdb1fp-15, 0x1.176133eca7fe3p-15, 0x1.15c43abb2f97bp-15, 0x1.1428e711f93b7p-15, 0x1.128f361379c73p-15, 0x1.10f7504897a93p-15, 0x1.0f60cf9955058p-15, 0x1.0dcc17626d8f6p-15, 0x1.0c3906f08ae5p-15, 0x1.0aa79f4d80377p-15, }}, 
      {{-0x1.6bd0902955de1p+0, -0x1.52f8cc564a402p+0, -0x1.33b11aabeebd9p+0, -0x1.12dbd246fed3fp+0, -0x1.e6d44519980e7p-1, -0x1.ae01ea3f5f5c3p-1, -0x1.7cd421234eb99p-1, -0x1.53c36d1fdc1a4p-1, -0x1.3297b9b84436ep-1, -0x1.18b10a6fa88adp-1, -0x1.0538a42ca8746p-1, -0x1.ee83800edc2ep-2, -0x1.dbbd6eb46518ap-2, -0x1.d05c4a55c95b1p-2, -0x1.cac4eeb437641p-2, -0x1.c98b6481aa83bp-2, -0x1.cb755688726cep-2, -0x1.cf793ac4322cfp-2, -0x1.d4bb7617743ebp-2, -0x1.da8a5a2f46b44p-2, -0x1.e05998a321069p-2, -0x1.e5bd918f533f5p-2, -0x1.ea66bea0f13fcp-2, -0x1.ee1d6232c358fp-2, -0x1.f0bd90ec81a42p-2, -0x1.f233a12097192p-2, -0x1.f279039f5ada8p-2, -0x1.f19183deaa801p-2, -0x1.ef88e9e41960ap-2, -0x1.ec70f63d0aaedp-2, -0x1.e85faf55b295cp-2, -0x1.e36df85b31247p-2, -0x1.ddb667cb71762p-2, -0x1.d7545749eca26p-2, -0x1.d06323731e429p-2, -0x1.c8fd965043c06p-2, -0x1.c13d749b42757p-2, -0x1.b93b295afa612p-2, -0x1.b10d8a256cb6cp-2, -0x1.a8c9afb05de86p-2, -0x1.a082df53c5da8p-2, -0x1.984a818635c21p-2, -0x1.9030233e7c9c6p-2, -0x1.88417f46eaf8ep-2, -0x1.808a8e01c9a2ap-2, -0x1.7915996937a81p-2, -0x1.71eb54d5a08e3p-2, -0x1.6b12f65503946p-2, -0x1.649251d4c21eep-2, -0x1.5e6df47bc71d3p-2, -0x1.58a94021b9c63p-2, -0x1.534686970f2bcp-2, -0x1.4e4723f566219p-2, -0x1.49ab97e7f2314p-2, -0x1.45739e0ca2415p-2, -0x1.419e44a84c739p-2, -0x1.3e2a022a9bb07p-2, -0x1.3b14c92f6313bp-2, -0x1.385c1b2aba6d3p-2, -0x1.35fd19931ef75p-2, -0x1.33f495731c18fp-2, -0x1.323f1e1d45154p-2, -0x1.30d90e38b6d7cp-2, -0x1.2fbe978c354c3p-2, -0x1.2eebcdefa08a1p-2, -0x1.2e5cb0dea949cp-2, -0x1.2e0d340b45d7ep-2, -0x1.2df9471787306p-2, -0x1.2e1cdc7dafaafp-2, -0x1.2e73ef31632fcp-2, -0x1.2efa87f8ce698p-2, -0x1.2facc205c49aap-2, -0x1.3086ce5b75712p-2, -0x1.3184f73e364e3p-2, -0x1.32a3a2dbb621cp-2, -0x1.33df553bcc1f7p-2, -0x1.3534b21fab564p-2, -0x1.36a07e46e0f98p-2, -0x1.381fa088cfbb5p-2, -0x1.39af224a261f7p-2, -0x1.3b4c2fe21a691p-2, -0x1.3cf418d7e10e4p-2, -0x1.3ea44f742420cp-2, -0x1.405a689dba27cp-2, -0x1.42141b4f3b10ep-2, -0x1.43cf3ff81feeap-2, -0x1.4589cff6f3e7cp-2, -0x1.4741e4b285c84p-2, -0x1.48f5b6f99eab2p-2, -0x1.4aa39ddca95ecp-2, -0x1.4c4a0dcb30591p-2, -0x1.4de7975f19635p-2, -0x1.4f7ae664f3e2ap-2, -0x1.5102c080d88e2p-2, -0x1.527e0461131a3p-2, -0x1.53eba87503158p-2, -0x1.554ab9ecaab5bp-2, -0x1.569a5be8cbd6fp-2, -0x1.57d9c67cf4f0dp-2, -0x1.590845840889dp-2, -0x1.5a2537e92184cp-2, -0x1.5b300e8c039c1p-2, -0x1.5c284b70d56d1p-2, -0x1.5d0d808c37992p-2, -0x1.5ddf4eff0dce3p-2, -0x1.5e9d662f50e7p-2, -0x1.5f478302563dbp-2, -0x1.5fdd6efd7fa9ep-2, -0x1.605eff9140482p-2, -0x1.60cc1590ed99fp-2, -0x1.61249c5a7e3b5p-2, -0x1.61688980175b8p-2, -0x1.6197dbebe97ccp-2, -0x1.61b29b7850fccp-2, -0x1.61b8d85d83ebp-2, -0x1.61aaaa9d6b7acp-2, -0x1.6188317b9af63p-2, -0x1.6151931123e1dp-2, -0x1.6106fba093ddbp-2, -0x1.60a89d3f9111cp-2, -0x1.6036af5cfed58p-2, -0x1.5fb16e58b1969p-2, -0x1.5f191b28d8631p-2, -0x1.5e6dfad08e4c7p-2, -0x1.5db05631a3385p-2, -0x1.5ce079ae97916p-2, -0x1.5bfeb4dc61554p-2, -0x1.5b0b5a34ac482p-2, -0x1.5a06bed02a997p-2, -0x1.58f13a29ed25bp-2, -0x1.57cb25e52e711p-2, -0x1.5694dd74b6d95p-2, -0x1.554ebe04b31aep-2, -0x1.53f9263af2ba1p-2, -0x1.529475ee12ee7p-2, -0x1.51210e1d1b831p-2, -0x1.4f9f509253ca4p-2, -0x1.4e0f9fd279b99p-2, -0x1.4c725ef0c3656p-2, -0x1.4ac7f16630de7p-2, -0x1.4910baea0ca55p-2, -0x1.474d1f51fad15p-2, -0x1.457d8275f44a8p-2, -0x1.43a2480d4becap-2, -0x1.41bbd3940c3cbp-2, -0x1.3fca8834b77ffp-2, -0x1.3dcec8b35dfddp-2, -0x1.3bc8f73e5e0d8p-2, -0x1.39b97579e10f6p-2, -0x1.37a0a460c9ff3p-2, -0x1.357ee423781d6p-2, -0x1.3354943530ed6p-2, -0x1.3122131327d94p-2, -0x1.2ee7be529d63p-2, -0x1.2ca5f28fbc887p-2, -0x1.2a5d0b5895c07p-2, -0x1.280d631ea13a3p-2, -0x1.25b7532ec9b0dp-2, -0x1.235b33aaba7fap-2, -0x1.20f95b7c3cdf5p-2, -0x1.1e922047a651cp-2, -0x1.1c25d662e8546p-2, -0x1.19b4d0d0c5c2ep-2, -0x1.173f613b634c6p-2, -0x1.14c5d7eba0982p-2, -0x1.124883c4fb612p-2, -0x1.0fc7b23a27996p-2, -0x1.0d43af4410985p-2, -0x1.0abcc57c90f2bp-2, -0x1.08333dec6d203p-2, -0x1.05a76031a3205p-2, -0x1.0319726dde504p-2, -0x1.0089b936db5a1p-2, -0x1.fbf0ef4865ea9p-3, -0x1.f6cbde9c64b4dp-3, -0x1.f1a4c09683ac8p-3, -0x1.ec7c125b342d8p-3, -0x1.e7524e08e4a13p-3, -0x1.e227eabe1809dp-3, -0x1.dcfd5c9a0538cp-3, -0x1.d7d314ba2aae1p-3, -0x1.d2a9813fdcedp-3, -0x1.cd810d5a81f5ap-3, -0x1.c85a2149d4ee9p-3, -0x1.c335225cde43p-3, -0x1.be1272f860815p-3, -0x1.b8f272a3f7955p-3, -0x1.b3d57e12d5a0fp-3, -0x1.aebbef2622cbcp-3, -0x1.a9a61cf32747bp-3, -0x1.a4945bb8af154p-3, -0x1.9f86fd00ebd78p-3, -0x1.9a7e4fc8020b4p-3, -0x1.957aa033c3538p-3, -0x1.907c37d907a0dp-3, -0x1.8b835db0b115p-3, -0x1.869056284d525p-3, -0x1.81a3633b0af6dp-3, -0x1.7cbcc45ad5a72p-3, -0x1.77dcb675a1891p-3, -0x1.73037419c74a1p-3, -0x1.6e3135902ad3fp-3, -0x1.696630d629e94p-3, -0x1.64a299951bfdfp-3, -0x1.5fe6a12a35cc5p-3, -0x1.5b3276bf1a8a6p-3, -0x1.568647655544ap-3, -0x1.51e23e21cbb9ep-3, -0x1.4d4683e66afecp-3, -0x1.48b33f8e6fc13p-3, -0x1.442895ed24afbp-3, -0x1.3fa6a9ebfe7d4p-3, -0x1.3b2d9ca1908d3p-3, -0x1.36bd8d54242c9p-3, -0x1.32569970c6119p-3, -0x1.2df8dc8c4f1ecp-3, -0x1.29a470794941fp-3, -0x1.25596d691a525p-3, -0x1.2117e9ff51b6p-3, -0x1.1cdffb3a9a33ep-3, -0x1.18b1b480c1771p-3, -0x1.148d27b2a3272p-3, -0x1.10726512c81ccp-3, -0x1.0c617b957e132p-3, -0x1.085a78d67c837p-3, -0x1.045d690e1b8cfp-3, -0x1.006a571ae0643p-3, -0x1.f902990126b22p-4, -0x1.f144a2f02f6f6p-4, -0x1.e99ada13bfca3p-4, -0x1.e2054a427608dp-4, -0x1.da83fd1e92db3p-4, -0x1.d316fa09150fcp-4, -0x1.cbbe461817269p-4, -0x1.c479e4301cc2cp-4, -0x1.bd49d530031c7p-4, -0x1.b62e181ceded1p-4, -0x1.af26aa3611fc8p-4, -0x1.a83386ee56554p-4, -0x1.a154a7e17fbd2p-4, -0x1.9a8a04d2cf1adp-4, -0x1.93d393d0a004fp-4, -0x1.8d31495850d98p-4, -0x1.86a3187ae8a7fp-4, -0x1.8028f2e90450ap-4, -0x1.79c2c8ec2293dp-4, -0x1.7370895a17bc7p-4, -0x1.6d322190834f1p-4, -0x1.67077d955afecp-4, -0x1.60f0885164921p-4, -0x1.5aed2b9fc8cdcp-4, -0x1.54fd503eb68c1p-4, -0x1.4f20dddf55012p-4, -0x1.4957bb2db2387p-4, -0x1.43a1cda98948ep-4, -0x1.3dfef9e50cd73p-4, -0x1.386f238633c0cp-4, -0x1.32f22d5761745p-4, -0x1.2d87f98cc5c8ap-4, -0x1.283069855a5c7p-4, -0x1.22eb5dd5ae7e7p-4, -0x1.1db8b6548db94p-4, -0x1.1898521e2342ap-4, -0x1.138a0fa416a5cp-4, -0x1.0e8dccc3e89c4p-4, -0x1.09a366d8eb3c9p-4, -0x1.04cabac46321fp-4, -0x1.0003a4ecee8c1p-4, -0x1.f69c0274b03c7p-5, -0x1.ed53562b40645p-5, -0x1.e42cfae1812c1p-5, -0x1.db28a5aab0f55p-5, -0x1.d2460aebf1ddcp-5, -0x1.c984de76dc4aap-5, -0x1.c0e4d39680c26p-5, -0x1.b8659d10d306cp-5, -0x1.b006ed21d17b3p-5, -0x1.a7c8757b034fdp-5, -0x1.9fa9e74d04c42p-5, -0x1.97aaf35bcabc1p-5, -0x1.8fcb4a15feafap-5, -0x1.880a9baf523c2p-5, -0x1.80689825d120ap-5, -0x1.78e4ef51d4bdap-5, -0x1.717f50dd71fcp-5, -0x1.6a376c459f174p-5, -0x1.630cf0dcb1dc1p-5, -0x1.5bff8dd49f00ep-5, -0x1.550ef24f16762p-5, -0x1.4e3acd6eb92f8p-5, -0x1.4782ce65179dp-5, -0x1.40e6a47bbc72cp-5, -0x1.3a65ff1f32cc2p-5, -0x1.34008de587cccp-5, -0x1.2db60065b941bp-5, -0x1.27860636d851dp-5, -0x1.21704f50cb4a4p-5, -0x1.1b748bb6f9c0cp-5, -0x1.15926bc429a5bp-5, -0x1.0fc9a028e39b8p-5, -0x1.0a19d9b80e1efp-5, -0x1.0482c999be3ebp-5, -0x1.fe0842a3353fdp-6, -0x1.f33b256dd18ffp-6, -0x1.e89d9fe4f50f9p-6, -0x1.de2f170ee9b76p-6, -0x1.d3eef0b5ad3b1p-6, -0x1.c9dc936c711dcp-6, -0x1.bff7666e7d5f1p-6, -0x1.b63ed1dd37e4bp-6, -0x1.acb23ef115a1bp-6, -0x1.a35117f8535fbp-6, -0x1.9a1ac7d3b77c4p-6, -0x1.910eba4a83d1dp-6, -0x1.882c5c79ceb07p-6, -0x1.7f731c6555863p-6, -0x1.76e268df35e74p-6, -0x1.6e79b1c3bbaeep-6, -0x1.6638680e1e518p-6, -0x1.5e1dfdd3cb725p-6, -0x1.5629e64ab5d99p-6, -0x1.4e5b95c37cb67p-6, -0x1.46b281b310dc1p-6, -0x1.3f2e20ad28b74p-6, -0x1.37cdea692b33ep-6, -0x1.309157c28ebc5p-6, -0x1.2977e2bd86328p-6, -0x1.2281068c025ap-6, -0x1.1bac3f91563aep-6, -0x1.14f90b62da631p-6, -0x1.0e66e8c828b69p-6, -0x1.07f557c152c4dp-6, -0x1.01a3d990fc8a3p-6, -0x1.f6e3e17ba8693p-7, -0x1.eabe42112e19fp-7, -0x1.ded5debf915f1p-7, -0x1.d329c3cca03ccp-7, -0x1.c7b8fff8d4844p-7, -0x1.bc82a49fb10afp-7, -0x1.b185c5cf61282p-7, -0x1.a6c17a1c4e861p-7, -0x1.9c34d9f917504p-7, -0x1.91df00931b44p-7, -0x1.87bf0be0e5d38p-7, -0x1.7dd41c3cc5b63p-7, -0x1.741d55014ca5ep-7, -0x1.6a99db88d24c1p-7, -0x1.6148d78960f8bp-7, -0x1.5829735fb7db7p-7, -0x1.4f3adbf2a967dp-7, -0x1.467c40a49af5ap-7, -0x1.3decd351a957cp-7, -0x1.358bc84f97d48p-7, -0x1.2d58566d057c5p-7, -0x1.2551b6f024ae9p-7, -0x1.1d772596f1245p-7, -0x1.15c7e094db36bp-7, -0x1.0e4328609f8b1p-7, -0x1.06e840356d688p-7, -0x1.ff6cdab9b226dp-8, -0x1.f159efb8cd177p-8, -0x1.e39653343025p-8, -0x1.d6209eb643f6ap-8, -0x1.c8f7701c2c57dp-8, -0x1.bc1969f70746p-8, -0x1.af8533a0040d4p-8, -0x1.a339790e998b1p-8, -0x1.9734eada42596p-8, -0x1.8b763e2a94b57p-8, -0x1.7ffc2caa53ca3p-8, -0x1.74c5747c55a2ep-8, -0x1.69d0d83607bbdp-8, -0x1.5f1d1ee92427p-8, -0x1.54a9144c230a6p-8, -0x1.4a7388af28742p-8, -0x1.407b4fe9d0278p-8, -0x1.36bf41bba3695p-8, -0x1.2d3e3c392b3cbp-8, -0x1.23f7211cdca4fp-8, -0x1.1ae8d47e172bfp-8, -0x1.1212403d18ad7p-8, -0x1.097252e29aad5p-8, -0x1.0107fddca5e64p-8, -0x1.f1a46d33d7986p-9, -0x1.e19fedc4eaf2ep-9, -0x1.d20079619417dp-9, -0x1.c2c4142be0051p-9, -0x1.b3e8ca47777a2p-9, -0x1.a56caf95b8c33p-9, -0x1.974ddf83c8d1dp-9, -0x1.898a7cdd9f6a2p-9, -0x1.7c20b215c17p-9, -0x1.6f0eb05f69effp-9, -0x1.6252ae0493e63p-9, -0x1.55eae930b43d8p-9, -0x1.49d5a8ccaca02p-9, -0x1.3e113bf7850a2p-9, -0x1.329bf91f1cc4fp-9, -0x1.27743de5c8215p-9, -0x1.1c986f6ddc9ccp-9, -0x1.1206fa595d004p-9, -0x1.07be51d5fd84p-9, -0x1.fb79ddd4331a5p-10, -0x1.e802a000f1eafp-10, -0x1.d513f16d79cd1p-10, -0x1.c2aae3f38ef35p-10, -0x1.b0c494d82eb2ep-10, -0x1.9f5e2dfaeb965p-10, -0x1.8e74e70f49bb8p-10, -0x1.7e06068e34fcp-10, -0x1.6e0ee22c7168ep-10, -0x1.5e8cde9761e99p-10, -0x1.4f7d6e6375e1ap-10, -0x1.40de1070129f3p-10, -0x1.32ac4e29aa9d6p-10, -0x1.24e5b9fed3961p-10, -0x1.1787ee5435c8ap-10, -0x1.0a908d431df61p-10, -0x1.fbfa8279fe5fcp-11, -0x1.e3977ca172c5fp-11, -0x1.cbf38796d6c2ap-11, -0x1.b50a3b80c3952p-11, -0x1.9ed74c0d3697p-11, -0x1.8956884b5ba45p-11, -0x1.7483d9e86ba16p-11, -0x1.605b409e14107p-11, -0x1.4cd8cdbcc4023p-11, -0x1.39f8a0a08d602p-11, -0x1.27b6e24c0ff6dp-11, -0x1.160fc46ba5145p-11, -0x1.04ff828122644p-11, -0x1.e904c9c49893bp-12, -0x1.c92987a61ed1fp-12, -0x1.aa661ad585fbbp-12, -0x1.8cb39f9fab79fp-12, -0x1.700b76e0e2813p-12, -0x1.546739be46c72p-12, -0x1.39c0b7e3a5b72p-12, -0x1.2011f88055883p-12, -0x1.075525b0819f3p-12, -0x1.df08e5bc3740ap-13, -0x1.b13423b100402p-13, -0x1.85204966e1144p-13, -0x1.5ac18fe451528p-13, -0x1.320c2ca187501p-13, -0x1.0af43c6a38bbp-13, -0x1.cadbd25459c0dp-14, -0x1.82dbdf6e52a6dp-14, -0x1.3dd31d7a89d4bp-14, -0x1.f758c288a8abap-15, -0x1.78a8a993a8ab8p-15, -0x1.fee42e59ee80ep-16, -0x1.1725e18f97abfp-16, -0x1.cea9125acee3ap-19, 0x1.329bb99db44e4p-17, 0x1.628264e227ddap-16, 0x1.11044c28fd7d2p-15, 0x1.6c11337fca92cp-15, 0x1.c289f1dfa509bp-15, 0x1.0a48c2417c9f5p-14, 0x1.3125c059ec735p-14, 0x1.55edc503b7d9cp-14, 0x1.78b257d9326d5p-14, 0x1.998464a3ac6d8p-14, 0x1.b873f57832d38p-14, 0x1.d59002ef4b21dp-14, 0x1.f0e660de276b6p-14, 0x1.0541e72c251cbp-13, 0x1.113a0be8f6164p-13, 0x1.1c60ee87e9ad6p-13, 0x1.26bcb09b4109fp-13, 0x1.3051dddd45a44p-13, 0x1.392613d845f5fp-13, 0x1.413ed6211db65p-13, 0x1.48a1d55095e1dp-13, 0x1.4f54ee0c08832p-13, 0x1.555e1d5faf66cp-13, 0x1.5ac36d9704263p-13, 0x1.5f8adf2c0caa3p-13, 0x1.63ba51667dac6p-13, 0x1.67576e17ac8fbp-13, 0x1.6a679aad210dap-13, 0x1.6cefeeb32b37cp-13, 0x1.6ef5300f30abcp-13, 0x1.707bd433563a5p-13, 0x1.7188068cf4b19p-13, 0x1.721db47ffcff7p-13, 0x1.72409e4a6b095p-13, 0x1.71f46ab2cb3b1p-13, 0x1.713cba023009ep-13, 0x1.701d33eb11dadp-13, 0x1.6e998d5c3ffa8p-13, 0x1.6cb583c005ba9p-13, 0x1.6a74d63005485p-13, 0x1.67db62bbecce3p-13, 0x1.64ec8a212fc13p-13, 0x1.61abf3d547a4cp-13, 0x1.5e1d1e47a14edp-13, 0x1.5a43769a84367p-13, 0x1.56224a6583845p-13, 0x1.51bcf1154068p-13, 0x1.4d16a5d473p-13, 0x1.483277d266aaep-13, 0x1.43133ad8e500ap-13, 0x1.3dbb824f66aabp-13, 0x1.382dabf9d16f5p-13, 0x1.326bf3f55c63p-13, 0x1.2c788fb894cfdp-13, 0x1.2655d94a2304cp-13, 0x1.200650e1e87bdp-13, 0x1.198c70bee8da9p-13, 0x1.12ea965b1a2cdp-13, 0x1.0c2306b8f8977p-13, 0x1.0537e4157d101p-13, 0x1.fc563c80d975fp-14, 0x1.edfd0a0bfd00dp-14, 0x1.df67b75e46b0dp-14, 0x1.d099f37d53ccfp-14, 0x1.c1982775c2cc1p-14, 0x1.b26678c6e6acbp-14, 0x1.a308fadae8923p-14, 0x1.9384084a5cbap-14, 0x1.83dac1aeab824p-14, 0x1.740ff3e3cc8f7p-14, 0x1.64261130f0cf4p-14, 0x1.541f3f5193ed5p-14, 0x1.43fde0aa2f8c9p-14, 0x1.33c48cd08f4d8p-14, 0x1.237617f2b5c9dp-14, 0x1.1315da54ccac5p-14, 0x1.02a7133e53549p-14, 0x1.e45926bb66a79p-15, 0x1.c351bc99eb899p-15, 0x1.a23c1ce42939bp-15, 0x1.811bac93204e6p-15, 0x1.5ff3a565b5f46p-15, 0x1.3ec76490f86f2p-15, 0x1.1d9abcdbb8aa5p-15, 0x1.f8e4251781f7bp-16, 0x1.b6a471527c5c5p-16, 0x1.74801dbedd948p-16, 0x1.32801c0444796p-16, 0x1.e157b106db1b8p-17, 0x1.5e11ece1e9895p-17, 0x1.b66e9509f907dp-18, 0x1.633baccff0b1ep-19, -0x1.48faf0b25b014p-20, -0x1.551376ec3c2d9p-18, -0x1.2b642268ef23dp-17, -0x1.aba11cfc0bd94p-17, -0x1.15998f24592fbp-16, -0x1.550aaee7cbf1ap-16, -0x1.941222f39c289p-16, -0x1.d2b8002fd6988p-16, -0x1.087a7379be04ep-15, -0x1.276317be5c8bp-15, -0x1.4614aaf2d0dd2p-15, -0x1.648dbf691dbe3p-15, -0x1.82cca57d1d195p-15, -0x1.a0cf7ba18bdbdp-15, -0x1.be9452f02abe4p-15, -0x1.dc1952e02c43fp-15, -0x1.f95cd15a80998p-15, -0x1.0b2eaf1a81786p-14, -0x1.198ce0ee71d33p-14, -0x1.27c87875340bbp-14, -0x1.35e0baf9a87a4p-14, -0x1.43d578c9252c8p-14, -0x1.51a64818c4397p-14, -0x1.5f52662d175a3p-14, -0x1.6cd97a0070af2p-14, -0x1.7a3ae0a0c82dbp-14, -0x1.877638ab98503p-14, -0x1.948b1292e14p-14, -0x1.a178fb58d1201p-14, -0x1.ae3fae5244e6fp-14, -0x1.badef0059a815p-14, -0x1.c756937aae13bp-14, -0x1.d3a669fc83097p-14, -0x1.dfce3f6f27d4bp-14, -0x1.ebcddd8b81e9p-14, -0x1.f7a5117100a6fp-14, -0x1.01a9d8a7b1809p-13, -0x1.076cd090c3ebp-13, -0x1.0d1b693831394p-13, -0x1.12b59d54fdadap-13, -0x1.183b6288a2533p-13, -0x1.1daca660d2b5fp-13, -0x1.230955a4edb33p-13, -0x1.28517266e6a0fp-13, -0x1.2d84eeb4254c9p-13, -0x1.32a3a27d1d789p-13, -0x1.37adcc95866a8p-13, -0x1.3ca346fb13de3p-13, -0x1.418439d839df6p-13, -0x1.4650ba321c4adp-13, -0x1.4b08bcedca9e6p-13, -0x1.4fac4bde0fb75p-13, -0x1.543b76ce62bd4p-13, -0x1.58b64bda0cb62p-13, -0x1.5d1cd83842634p-13, -0x1.616f2b0278ccap-13, -0x1.65ad56c8417d2p-13, -0x1.69d770d1d2be3p-13, -0x1.6ded8fc25fd8ep-13, -0x1.71efca69815f2p-13, -0x1.75de387452828p-13, -0x1.79b8f0194c801p-13, -0x1.7d800be9c64cep-13, -0x1.8133a4b7f67a5p-13, -0x1.84d3d334ac2a9p-13, -0x1.8860b0ab78aa1p-13, -0x1.8bda5ceeaca1ap-13, -0x1.8f40f9e83805fp-13, -0x1.92948edeeb99ap-13, -0x1.95d548bd63f3bp-13, -0x1.9903546f106fdp-13, -0x1.9c1eb928e05b4p-13, -0x1.9f27a8cf1c036p-13, -0x1.a21e430493724p-13, -0x1.a502a838e4b3bp-13, -0x1.a7d509b47a306p-13, -0x1.aa95963eec656p-13, -0x1.ad4465575a1b7p-13, -0x1.afe189bbac3f7p-13, -0x1.b26d2458f4eeep-13, -0x1.b4e7652f41158p-13, -0x1.b750795f58c64p-13, -0x1.b9a883e5c83fep-13, -0x1.bbefa731bdba8p-13, -0x1.be260cddea9acp-13, -0x1.c04be9c0337acp-13, -0x1.c2614c62607c8p-13, -0x1.c4669b8a125f9p-13, -0x1.c65ba8b0d661dp-13, -0x1.c840b616e554bp-13, -0x1.ca160ea4ab4e3p-13, -0x1.cbdbc36fae31fp-13, -0x1.cd91fa4ff9852p-13, -0x1.cf38d888c0bedp-13, -0x1.d0d082bc9244p-13, -0x1.d259203d965e6p-13, -0x1.d3d2d5fbe583cp-13, -0x1.d53dd77dea766p-13, -0x1.d69a5fcb649abp-13, -0x1.d7e89dcffccebp-13, -0x1.d928b37f48cd3p-13, -0x1.da5abc3a24e7ep-13, -0x1.db7ee283d4198p-13, -0x1.dc955b0ef290fp-13, -0x1.dd9e495edc892p-13, -0x1.de99cba8f45ffp-13, -0x1.df87ff8c20a9p-13, -0x1.e0692b3efc449p-13, -0x1.e13d70fc40956p-13, -0x1.e204fabb996cep-13, -0x1.e2bff31935926p-13, -0x1.e36e802ee94dep-13, -0x1.e410c8d04d1d4p-13, -0x1.e4a6f2d90e10cp-13, -0x1.e53125e754e5ap-13, -0x1.e5af9d5f3ce62p-13, -0x1.e6227a94cd0dap-13, -0x1.e689c4b51ec21p-13, -0x1.e6e5ca6e452fcp-13, -0x1.e73683eb26771p-13, -0x1.e77c4c0e7502fp-13, -0x1.e7b73e2675bd9p-13, -0x1.e7e7d603dbe07p-13, -0x1.e80d1641c6aa9p-13, -0x1.e82852d791241p-13, -0x1.e8394e4677649p-13, -0x1.e8402e4f711eep-13, -0x1.e83d18211478ap-13, -0x1.e8302ec38a10bp-13, -0x1.e8199906aebb1p-13, -0x1.e7f97fa78f023p-13, -0x1.e7d007a4d3706p-13, -0x1.e79d514fa489p-13, -0x1.e76181f067398p-13, -0x1.e71cc133abcb3p-13, -0x1.e6cf311f6fa37p-13, -0x1.e678f38e2cf37p-13, -0x1.e61a2c9a2355cp-13, -0x1.e5b300114561ep-13, -0x1.e543912473bedp-13, -0x1.e4cc02ae5e24p-13, -0x1.e44c772714347p-13, -0x1.e3c5108d6d121p-13, -0x1.e335f084c60dap-13, -0x1.e29f3881f7265p-13, -0x1.e20109368062cp-13, -0x1.e15b81eac8e6fp-13, -0x1.e0aec3d86df9fp-13, -0x1.dffafb3257cf2p-13, -0x1.df4043564848dp-13, -0x1.de7eb1f0d0ec7p-13, -0x1.ddb667dffb10dp-13, -0x1.dce773ececcf2p-13, -0x1.dc12200d5daddp-13, -0x1.db366a457843ep-13, -0x1.da54786623a04p-13, -0x1.d96c7e3369badp-13, -0x1.d87e6817efde4p-13, -0x1.d78a7d937cabap-13, -0x1.d690d5ea41aap-13, -0x1.d5918d9e5d278p-13, -0x1.d48cb79d948f3p-13, -0x1.d3826d3ef43a3p-13, -0x1.d272c9369ba1ep-13, -0x1.d15deaed1fe64p-13, -0x1.d043f9601d044p-13, -0x1.cf251357a9c4fp-13, -0x1.ce013e6ed07d2p-13, -0x1.ccd8a0ff0ffb9p-13, -0x1.cbab50a16376fp-13, -0x1.ca7967e63d1bbp-13, -0x1.c943007ad8659p-13, -0x1.c80831a1489fap-13, -0x1.c6c9170a0de75p-13, -0x1.c585dae0b612p-13, -0x1.c43e91ab704f2p-13, -0x1.c2f337391ed82p-13, -0x1.c1a3f15e4b2dcp-13, -0x1.c050d188953a7p-13, -0x1.befa011a2cd2fp-13, -0x1.bd9f93ea2f21p-13, -0x1.bc4194830146ap-13, -0x1.bae01d6a4586dp-13, -0x1.b97b46367858cp-13, -0x1.b8132682daad6p-13, -0x1.b6a7ca02b54c7p-13, -0x1.b539664bdbfc7p-13, -0x1.b3c7fa6278cf5p-13, -0x1.b2538beb1e26dp-13, -0x1.b0dc3bb5f4029p-13, -0x1.af621237bfd48p-13, -0x1.ade549a7da765p-13, -0x1.ac65dd8af1f28p-13, -0x1.aae3ddf319fcdp-13, -0x1.a95f60673bb2ep-13, -0x1.a7d88603ff6efp-13, -0x1.a64f597e660adp-13, -0x1.a4c3df91e84f7p-13, -0x1.a3362b24e9f22p-13, -0x1.a1a65a6b93dd8p-13, -0x1.a0148435a3917p-13, -0x1.9e80b8d0f9647p-13, -0x1.9ceb0de3e393ep-13, -0x1.9b53748304863p-13, -0x1.99ba1126918fap-13, -0x1.981f045a01082p-13, -0x1.96824e52a0d7cp-13, -0x1.94e3fe4a9303p-13, -0x1.9344265dc51e7p-13, -0x1.91a2d6ac4e6f5p-13, -0x1.90002110a30afp-13, -0x1.8e5c1a485375dp-13, -0x1.8cb6c88f3ed3bp-13, -0x1.8b1034e594b6bp-13, -0x1.896879b006d7bp-13, -0x1.87bfa587589cap-13, -0x1.8615c2081849ep-13, -0x1.846adcf9de5f4p-13, -0x1.82bf04bd84eb9p-13, -0x1.81124748d42edp-13, -0x1.7f64b229fe50ap-13, -0x1.7db6528dca565p-13, -0x1.7c07354b620dbp-13, -0x1.7a5766f6371c4p-13, -0x1.78a6f3fa15d7dp-13, -0x1.76f5e8db040aep-13, -0x1.754452386f354p-13, -0x1.73923b7b8d438p-13, -0x1.71dfad10999b5p-13, -0x1.702cb42ee4ea3p-13, -0x1.6e796cab498a7p-13, -0x1.6cc5cc96767bcp-13, -0x1.6b11e3f8dc5f9p-13, -0x1.695dc33d7e69p-13, -0x1.67a962fd3805p-13, -0x1.65f4e59ff622dp-13, -0x1.644050ded58b2p-13, -0x1.628ba55e75205p-13, -0x1.60d6f2955adb9p-13, -0x1.5f2240afd9759p-13, -0x1.5d6d9998dfa26p-13, -0x1.5bb9077e94577p-13, -0x1.5a04935613af8p-13, -0x1.5850445912582p-13, -0x1.569c2692063c6p-13, -0x1.54e843e6b6826p-13, -0x1.53349eb809c15p-13, -0x1.518156ec4aebap-13, -0x1.4fce4fcf0fe88p-13, -0x1.4e1b999bb2c44p-13, -0x1.4c6952bb23361p-13, -0x1.4ab778b22a2adp-13, -0x1.490608a362df2p-13, -0x1.47550b4b6d456p-13, -0x1.45a4a1ab7f33dp-13, -0x1.43f4c6b34d52fp-13, -0x1.42457a3da7ed4p-13, -0x1.4096bffcdb3cdp-13, -0x1.3ee88f38618c9p-13, -0x1.3d3b1a1e256dfp-13, -0x1.3b8e48a441e62p-13, -0x1.39e22c9a5954p-13, -0x1.3836c8fd7a0efp-13, -0x1.368c23918e15ap-13, -0x1.34e2439da0b6ap-13, -0x1.33392e87a803ep-13, -0x1.3190ea70a1a11p-13, -0x1.2fe97d1d81431p-13, -0x1.2e42ec21d39cbp-13, -0x1.2c9d3cc1bed4bp-13, -0x1.2af873ca0ed94p-13, -0x1.295496b060236p-13, -0x1.27b1af491a18p-13, -0x1.260fc1e863dc2p-13, -0x1.246ec8737f79dp-13, -0x1.22cecfc8f874cp-13, -0x1.212fe12699138p-13, -0x1.1f91fd4dbc667p-13, -0x1.1df5278b92aa9p-13, -0x1.1c5963498f989p-13, -0x1.1abeb49e2cb6cp-13, -0x1.19252194548adp-13, -0x1.178cb2a70ee82p-13, -0x1.15f564ad415a6p-13, -0x1.145f405433c9dp-13, -0x1.12ca449d19e09p-13, -0x1.1136783a43b1bp-13, -0x1.0fa3e2b198ceep-13, -0x1.0e1283f62f93cp-13, -0x1.0c825a8014b3cp-13, -0x1.0af36ff39408bp-13, -0x1.0965c7290b35p-13, -0x1.07d9633512615p-13, -0x1.064e43e6fc17cp-13, -0x1.04c46fa254e73p-13, -0x1.033be846f898fp-13, -0x1.01b4b0b60880fp-13, -0x1.002ecbbc8c231p-13, -0x1.fd54782a4fb33p-14, -0x1.fa4e08d4985c5p-14, -0x1.f74a4eb468559p-14, -0x1.f4494edef1aa5p-14, -0x1.f14b0d45f9917p-14, -0x1.ee4f8e7a73a0bp-14, -0x1.eb56d068a5a5p-14, -0x1.e860d6812f01fp-14, -0x1.e56dd36aca4e3p-14, -0x1.e27d8a5d00a1cp-14, -0x1.df90221fb22e3p-14, -0x1.dca55758e72fp-14, -0x1.d9bdcb9260d86p-14, -0x1.d6d907c49907cp-14, -0x1.d3f71c95dc11fp-14, -0x1.d1181f555dfb2p-14, -0x1.ce3c0d6f2e548p-14, -0x1.cb62eaf89b9a3p-14, -0x1.c88cbb30ae70bp-14, -0x1.c5b97f0e3dc03p-14, -0x1.c2e9291ad9f0ep-14, -0x1.c01bf6d9ca8aep-14, -0x1.bd51a9d08e099p-14, -0x1.ba8a54f22536dp-14, -0x1.b7c63b879efbp-14, -0x1.b504fa330a261p-14, -0x1.b246b158ea179p-14, -0x1.af8b5adf0b8fap-14, -0x1.acd33dce43728p-14, -0x1.aa1e265e9a947p-14, -0x1.a76c17c594409p-14, -0x1.a4bd10320d4a6p-14, -0x1.a21116e4bd53dp-14, -0x1.9f682e8961722p-14, -0x1.9cc266c48c0fep-14, -0x1.9a1fa9651b3aep-14, -0x1.977ff7033df82p-14, -0x1.94e35fdd20864p-14, -0x1.9249e4478be78p-14, -0x1.8fb37da7331a5p-14, -0x1.8d202d1ea6742p-14, -0x1.8a8ffa41f5d7dp-14, -0x1.8802d497edd3fp-14, -0x1.8578cf8c0a306p-14, -0x1.82f1df2027deap-14, -0x1.806e068c3d10bp-14, -0x1.7ded4efb5928cp-14, -0x1.7b6faad337446p-14, -0x1.78f5284e2246fp-14, -0x1.767dbb4497ed5p-14, -0x1.7409663217597p-14, -0x1.71982db5dd0d6p-14, -0x1.6f2a0ab60ddacp-14, -0x1.6cbf02e84624fp-14, -0x1.6a5713c8d3c05p-14, -0x1.67f23cb48df36p-14, -0x1.65907d3526935p-14, -0x1.6331d4bd0a47p-14, -0x1.60d642ac9affp-14, -0x1.5e7dc653df679p-14, -0x1.5c285ef2501bdp-14, -0x1.59d60bb45091cp-14, -0x1.5786cb9ea50f8p-14, -0x1.553a962a291e5p-14, -0x1.52f183af406c8p-14, -0x1.50ab732bb77f8p-14, -0x1.4e68778a33611p-14, -0x1.4c288e8b0e8aap-14, -0x1.49ebaa42b21eep-14, -0x1.47b1d7123cf25p-14, -0x1.457b06d8b4736p-14, -0x1.434745e86cd62p-14, -0x1.41168cc7bd385p-14, -0x1.3ee8d93973281p-14, -0x1.3cbe2a51d3da4p-14, -0x1.3a967e895111dp-14, -0x1.3871d31f962bcp-14, -0x1.3650450e89923p-14, -0x1.34317d0d81e5p-14, -0x1.3215ce045cb9ap-14, -0x1.2ffd29649b534p-14, -0x1.2de7660a6b201p-14, -0x1.2bd4b2bd615ecp-14, -0x1.29c4b9f30bc97p-14, -0x1.27b7fb6583d22p-14, -0x1.25ae1ea000afdp-14, -0x1.23a72323825bdp-14, -0x1.21a3115a7c785p-14, -0x1.1fa21ecb90c42p-14, -0x1.1da3d54bf2e06p-14, -0x1.1ba88951e11e7p-14, -0x1.19b019c79d3c6p-14, -0x1.17bab30d982f9p-14, -0x1.15c81825257d6p-14, -0x1.13d8568653f91p-14, -0x1.11eb7a653d92dp-14, -0x1.100179674f061p-14, -0x1.0e1a506334c36p-14, -0x1.0c35fd7cd131p-14, -0x1.0a547ed5fca69p-14, -0x1.0875c6567999bp-14, -0x1.0699f67446982p-14, -0x1.04c0e896cf46ap-14, -0x1.02eaa4d4d5505p-14, -0x1.01172a4b5b4d5p-14, -0x1.fe8ceeff869ecp-15, -0x1.faf10de844e44p-15, -0x1.f75aaf9688e54p-15, -0x1.f3c9ceee8398p-15, -0x1.f03e707ecf9c9p-15, -0x1.ecb878f700cb1p-15, -0x1.e9381145bdab6p-15, -0x1.e5bcde4ca0f26p-15, -0x1.e2472b47b3f5cp-15, -0x1.ded6d8fb8a531p-15, -0x1.db6bda6e3b165p-15, -0x1.d8062db1d39e7p-15, -0x1.d4a5deba63dadp-15, -0x1.d14acd3d85907p-15, -0x1.cdf516c17d341p-15, -0x1.caa4905c00bb2p-15, -0x1.c7594213349dbp-15, -0x1.c4132b7471a37p-15, -0x1.c0d245d4efce2p-15, -0x1.bd968af3ba9ddp-15, -0x1.ba5ff47542b05p-15, -0x1.b72ea57b6c26p-15, -0x1.b402256004e49p-15, -0x1.b0dadc1426a04p-15, -0x1.adb8a4f949609p-15, -0x1.aa9b76d967a8ep-15, -0x1.a7834d71f0207p-15, -0x1.a47024620a323p-15, -0x1.a161f44ab985bp-15, -0x1.9e58aada2aefap-15, -0x1.9b545fc5b665ap-15, -0x1.9854f10bcdc6cp-15, -0x1.955a759e3fb46p-15, -0x1.9264cbfb59daep-15, -0x1.8f73f8c863cfep-15, -0x1.8c87f8fabd565p-15, -0x1.89a0c5cdee76p-15, -0x1.86be570124822p-15, -0x1.83e0ab4cc067p-15, -0x1.8107fda90f31ep-15, -0x1.7e3341d07903p-15, -0x1.7b63e12f8f60fp-15, -0x1.7898ea8fd6b17p-15, -0x1.75d2e902987a2p-15, -0x1.73115d461ce06p-15, -0x1.705463235b125p-15, -0x1.6d9b913f66904p-15, -0x1.6ae7cef4c8f52p-15, -0x1.68388826dca79p-15, -0x1.658db21dd263bp-15, -0x1.62e7557dbb9fep-15, -0x1.60456fc92e55fp-15, -0x1.5da7fbc25f9c9p-15, -0x1.5b0ef3b1723e5p-15, -0x1.587a51db4cb88p-15, -0x1.55ea10964e81fp-15, -0x1.535e2cfe9b7f6p-15, -0x1.50d6afedab8f5p-15, -0x1.4e535571ed112p-15, -0x1.4bd45debe2572p-15, -0x1.4959ab403c6dap-15, -0x1.46e3354852c4dp-15, -0x1.4470f9a9cf27ap-15, -0x1.4202ef5df002bp-15, -0x1.3f99105f330a3p-15, -0x1.3d3368b2c7cd4p-15, -0x1.3ad1c8b44ff97p-15, -0x1.38745033d263ap-15, -0x1.361af79a2853fp-15, -0x1.33c5acc63377ap-15, -0x1.31746a2ce3a55p-15, -0x1.2f272e5eba78p-15, -0x1.2cddf413063bfp-15, -0x1.2a98b554b0d8bp-15, -0x1.28576c2e1641ap-15, -0x1.261a12cebf6bep-15, -0x1.23e0a3eff47cp-15, -0x1.21ab132e8640cp-15, -0x1.1f79e0d2ccd6ap-15, -0x1.1d4ba4b002f31p-15, -0x1.1b21aa967c7b3p-15, -0x1.18fb7ffa6d616p-15, -0x1.16d91e7403cbbp-15, -0x1.14ba81a6e6fc5p-15, -0x1.129fa3f9f9501p-15, -0x1.1088864dfe35p-15, -0x1.0e750db84e4cp-15, -0x1.0c653479b0c9bp-15, -0x1.0a593580abcf9p-15, -0x1.0850c44237c43p-15, -0x1.064bf2355f41ep-15, -0x1.044abaee4da77p-15, -0x1.024d0a8cbb6adp-15, -0x1.0052e6da1f848p-15, -0x1.fcb8bfabd5cebp-16, -0x1.f8d2bc81cb555p-16, -0x1.f4f3a1247371ep-16, -0x1.f11b7e916d42cp-16, -0x1.ed4a446970389p-16, -0x1.e97fd7cc1773ep-16, -0x1.e5bc1870811dbp-16, -0x1.e2000fed73df5p-16, -0x1.de49e114a9a69p-16, -0x1.da9a4523ea629p-16, -0x1.d6f1a6557db77p-16, -0x1.d34fc6f9e9fd8p-16, -0x1.cfb446ca5721p-16, -0x1.cc1f9a5852722p-16, -0x1.c891773309aacp-16, -0x1.c509554faadbap-16, -0x1.c188318c68a7bp-16, -0x1.be0cfc8d9d683p-16, -0x1.ba985b704bac1p-16, -0x1.b729fea129fa4p-16, -0x1.b3c1f107c8e11p-16, -0x1.b0601b7cb9b1ep-16, -0x1.ad047b76147bfp-16, -0x1.a9aefc91f6117p-16, -0x1.a65fa7af61214p-16, -0x1.a31674aa9f8dp-16, -0x1.9fd33f289d9a1p-16, -0x1.9c9631bb89db2p-16, -0x1.995ee3897c222p-16, -0x1.962da138b5717p-16, -0x1.9302417d9cc1ep-16, -0x1.8fdcc79f64bf8p-16, -0x1.8cbd1d12ea275p-16, -0x1.89a34c17ff87p-16, -0x1.868f4bb706e96p-16, -0x1.8380b7daf8e56p-16, -0x1.8078088a21d38p-16, -0x1.7d74e5f559681p-16, -0x1.7a77f5eab711cp-16, -0x1.777f9ef9f624p-16, -0x1.748d523acbacbp-16, -0x1.71a07d6a6ab53p-16, -0x1.6eb91e28b94b3p-16, -0x1.6bd73690da8c3p-16, -0x1.68fab3178ecf2p-16, -0x1.66238d3d53dc1p-16, -0x1.635205d1f28c9p-16, -0x1.60853400db33dp-16, -0x1.5dbde6583f42p-16, -0x1.5afbe03a59251p-16, -0x1.583f290b38684p-16, -0x1.55875b78df051p-16, -0x1.52d4fd97250a4p-16, -0x1.502769444fd7ap-16, -0x1.4d7f0a6392a7p-16, -0x1.4adbaef66b058p-16, -0x1.483d525056ed3p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.6dc395e797cd1p-1, 0x1.6d57b8b2fc862p-1, 0x1.6ca663030fb93p-1, 0x1.6bb3097014ddbp-1, 0x1.6a822aaab680ap-1, 0x1.69190fb3a68ep-1, 0x1.677d8ce7ba14ep-1, 0x1.65b5c7d3c98d9p-1, 0x1.63c8040030f38p-1, 0x1.61ba77a607df5p-1, 0x1.5f93286c211bcp-1, 0x1.5d57cfc4fcfcp-1, 0x1.5b0dc63ae075ap-1, 0x1.58b9f4d275834p-1, 0x1.5660cba1aa662p-1, 0x1.54063cbe5f202p-1, 0x1.51adbab7ff5dp-1, 0x1.4f5a39e3fafb6p-1, 0x1.4d0e33dbe77b1p-1, 0x1.4acbaca3194e8p-1, 0x1.489438ff60593p-1, 0x1.466905a4a5cb1p-1, 0x1.444adee50d6efp-1, 0x1.423a38a6dc8a7p-1, 0x1.4037366ec4581p-1, 0x1.3e41b358753c9p-1, 0x1.3c5949e0b31dap-1, 0x1.3a7d5b6bc511ep-1, 0x1.38ad17793e498p-1, 0x1.36e7827afbcabp-1, 0x1.352b7c49021d6p-1, 0x1.3377c62ed100dp-1, 0x1.31cb0890f8dd8p-1, 0x1.3023d82b63dc8p-1, 0x1.2e80bae9f58e5p-1, 0x1.2ce02c5dfdbedp-1, 0x1.2b40a1d38edacp-1, 0x1.29a08e0a36066p-1, 0x1.27fe6494ca36bp-1, 0x1.26589ce434b2ap-1, 0x1.24adb5012d234p-1, 0x1.22fc33f8e5525p-1, 0x1.2142ac00aa9d8p-1, 0x1.1f7fbc547976cp-1, 0x1.1db212d47647p-1, 0x1.1bd86d653c63ep-1, 0x1.19f19b16dab7ep-1, 0x1.17fc7d1652386p-1, 0x1.15f8076d50891p-1, 0x1.13e34193d585cp-1, 0x1.11bd46d7559dp-1, 0x1.0f85469ad914cp-1, 0x1.0d3a84737df05p-1, 0x1.0adc5824a1a2bp-1, 0x1.086a2d7edf4f5p-1, 0x1.05e38424eb4b6p-1, 0x1.0347ef3932438p-1, 0x1.009714f7032fbp-1, 0x1.fba15c73ba94ap-2, 0x1.f5e90beac1441p-2, 0x1.f004f1405dad1p-2, 0x1.e9f4e727d1947p-2, 0x1.e3b8e8c899794p-2, 0x1.dd51105ea157dp-2, 0x1.d6bd95cfe197p-2, 0x1.cffecd3a84208p-2, 0x1.c915257e68a3ep-2, 0x1.c20126c49fae9p-2, 0x1.bac371072274fp-2, 0x1.b35cba9adcc8fp-2, 0x1.abcdcebdd151p-2, 0x1.a4178c2af175ep-2, 0x1.9c3ae3b5071b9p-2, 0x1.9438d6e9dba89p-2, 0x1.8c1276be93f5ep-2, 0x1.83c8e2461a6d7p-2, 0x1.7b5d457232952p-2, 0x1.72d0d7dfc79aep-2, 0x1.6a24dbaec73ebp-2, 0x1.615a9c65dbc97p-2, 0x1.58736de220553p-2, 0x1.4f70ab52e8e9p-2, 0x1.4653b64192f93p-2, 0x1.3d1df5a54bd2ep-2, 0x1.33d0d5029c21ep-2, 0x1.2a6dc396901a1p-2, 0x1.20f6338d2dfb8p-2, 0x1.176b9942f503bp-2, 0x1.0dcf6a91121ccp-2, 0x1.04231e23f091dp-2, 0x1.f4d055b78a4dbp-3, 0x1.e1400e6d6ae8ap-3, 0x1.cd98518868599p-3, 0x1.b9dc074260715p-3, 0x1.a60e13f95791dp-3, 0x1.92315748b53d2p-3, 0x1.7e48ab31c7633p-3, 0x1.6a56e352b9522p-3, 0x1.565ecc2b51012p-3, 0x1.42632a6eb051ap-3, 0x1.2e66ba615fcb5p-3, 0x1.1a6c2f42fad2fp-3, 0x1.067632c2dfe7fp-3, 0x1.e50ec8fe64b35p-4, 0x1.bd44b31b48776p-4, 0x1.9593381aecff7p-4, 0x1.6dff55844cabbp-4, 0x1.468df16c8901dp-4, 0x1.1f43d9cc04aadp-4, 0x1.f04b87c40e244p-5, 0x1.a270974c1c884p-5, 0x1.54ffe68c1c7e2p-5, 0x1.08024561d378fp-5, 0x1.77009cb1bb9c6p-6, 0x1.be0997b20590dp-7, 0x1.2085cef1a41dbp-8, -0x1.3665fb024e02p-8, -0x1.c4391cc0a6938p-7, -0x1.7558ae6e317f8p-6, -0x1.039fa1bfe33f7p-5, -0x1.4be1120b07f45p-5, -0x1.9369cc8fd840ep-5, -0x1.da332f2ef2f7ep-5, -0x1.101b68ab49af4p-4, -0x1.32b7420caf214p-4, -0x1.54ea291c12088p-4, -0x1.76b1400f8c5aep-4, -0x1.9809c5eb872b4p-4, -0x1.b8f116757217ep-4, -0x1.d964aa20ec918p-4, -0x1.f96215f77563ep-4, -0x1.0c7385bd6dcdbp-3, -0x1.1bf8ac414ebb8p-3, -0x1.2b3f738a27e53p-3, -0x1.3a46de9ba4a2bp-3, -0x1.490dfe61d8a67p-3, -0x1.5793f1968825bp-3, -0x1.65d7e4a4487d2p-3, -0x1.73d911878927p-3, -0x1.8196bfad9071dp-3, -0x1.8f1043d192ab8p-3, -0x1.9c44ffd7d4cdcp-3, -0x1.a93462a706a56p-3, -0x1.b5dde7ffdd414p-3, -0x1.c2411852f9f96p-3, -0x1.ce5d889535cd3p-3, -0x1.da32da125d6adp-3, -0x1.e5c0ba3e72fa6p-3, -0x1.f106e28588271p-3, -0x1.fc05181a3cb5fp-3, -0x1.035d95e179308p-2, -0x1.08947cd2e89dap-2, -0x1.0da73489d3255p-2, -0x1.1295b628d3733p-2, -0x1.1760003120a76p-2, -0x1.1c06166677886p-2, -0x1.208801b29a27p-2, -0x1.24e5d00864a32p-2, -0x1.291f94468675cp-2, -0x1.2d356619e7ba1p-2, -0x1.312761dfbd8a4p-2, -0x1.34f5a88760593p-2, -0x1.38a05f73e0c3cp-2, -0x1.3c27b05d6c728p-2, -0x1.3f8bc93287703p-2, -0x1.42ccdbf923332p-2, -0x1.45eb1eaf974cdp-2, -0x1.48e6cb2d89d4cp-2, -0x1.4bc01f04ce259p-2, -0x1.4e775b6239ed8p-2, -0x1.510cc4ee837bp-2, -0x1.5380a3af27135p-2, -0x1.55d342e760f41p-2, -0x1.5804f0f93b1ffp-2, -0x1.5a15ff46bf3b7p-2, -0x1.5c06c2134d5b9p-2, -0x1.5dd790651a69p-2, -0x1.5f88c3e6e5ee4p-2, -0x1.611ab8c9e51cep-2, -0x1.628dcda7e8c1cp-2, -0x1.63e26365cbcaap-2, -0x1.6518dd1623c48p-2, -0x1.66319fdc42466p-2, -0x1.672d12cf8585ep-2, -0x1.680b9edf0071dp-2, -0x1.68cdaeb57c851p-2, -0x1.6973ae9dd8654p-2, -0x1.69fe0c67ccfbcp-2, -0x1.6a6d374d14316p-2, -0x1.6ac19fd6fa187p-2, -0x1.6afbb7c45c7b9p-2, -0x1.6b1bf1f0162c9p-2, -0x1.6b22c237dfc11p-2, -0x1.6b109d63a2a87p-2, -0x1.6ae5f90d44c37p-2, -0x1.6aa34b88ec0cfp-2, -0x1.6a490bcdbf2a1p-2, -0x1.69d7b15f1e7c3p-2, -0x1.694fb4366123dp-2, -0x1.68b18cad0d289p-2, -0x1.67fdb36794032p-2, -0x1.6734a1408e414p-2, -0x1.6656cf347aaa3p-2, -0x1.6564b64e03172p-2, -0x1.645ecf92c2279p-2, -0x1.634593f08e391p-2, -0x1.62197c2b4af38p-2, -0x1.60db00cb3c226p-2, -0x1.5f8a9a0be0047p-2, -0x1.5e28bfcb4b58bp-2, -0x1.5cb5e97a0d527p-2, -0x1.5b328e0b92a71p-2, -0x1.599f23e70cfe2p-2, -0x1.57fc20d8e0f54p-2, -0x1.5649fa048d87cp-2, -0x1.548923d71d1ep-2, -0x1.52ba11fa0eae8p-2, -0x1.50dd3746c25f1p-2, -0x1.4ef305ba614b7p-2, -0x1.4cfbee6a4151dp-2, -0x1.4af86178c6a8cp-2, -0x1.48e8ce0aba71bp-2, -0x1.46cda23d1b1e8p-2, -0x1.44a74b1b671bep-2, -0x1.42763496533bbp-2, -0x1.403ac97affc96p-2, -0x1.3df5736a93a75p-2, -0x1.3ba69ad250cedp-2, -0x1.394ea6e40ed98p-2, -0x1.36edfd8f2853cp-2, -0x1.34850379cbe63p-2, -0x1.32141bfabb71ep-2, -0x1.2f9ba9136d404p-2, -0x1.2d1c0b6a933c2p-2, -0x1.2a95a247058fcp-2, -0x1.2808cb8b0af1p-2, -0x1.2575e3b0005cfp-2, -0x1.22dd45c25ef24p-2, -0x1.203f4b5e186f7p-2, -0x1.1d9c4cab4f2c3p-2, -0x1.1af4a05b5fdfep-2, -0x1.18489ba646026p-2, -0x1.159892484a0f2p-2, -0x1.12e4d680043a7p-2, -0x1.102db90cae5p-2, -0x1.0d73892cba9ecp-2, -0x1.0ab6949cbc419p-2, -0x1.07f72796907f6p-2, -0x1.05358cd0d19ddp-2, -0x1.02720d7e89795p-2, -0x1.ff59e29e54f77p-3, -0x1.f9ccfcdd846p-3, -0x1.f43df30cd737cp-3, -0x1.eead4b79fd76p-3, -0x1.e91b896feb452p-3, -0x1.e3892d3916837p-3, -0x1.ddf6b4221eb3cp-3, -0x1.d864987cdaf62p-3, -0x1.d2d351a3cb664p-3, -0x1.cd4353fdeb3bbp-3, -0x1.c7b51102dadfdp-3, -0x1.c228f73f68228p-3, -0x1.bc9f725a675abp-3, -0x1.b718eb19de559p-3, -0x1.b195c7687a09p-3, -0x1.ac166a5b5614cp-3, -0x1.a69b343802b6bp-3, -0x1.a124827ad4a2ap-3, -0x1.9bb2afdd718b1p-3, -0x1.9646145d9a3d3p-3, -0x1.90df0544324eep-3, -0x1.8b7dd52c790efp-3, -0x1.8622d40b7ba2ap-3, -0x1.80ce4f37b31cfp-3, -0x1.7b809170d9206p-3, -0x1.7639e2e7dd0bap-3, -0x1.70fa894708a5dp-3, -0x1.6bc2c7ba4f043p-3, -0x1.6692def7ade7cp-3, -0x1.616b0d47c5a47p-3, -0x1.5c4b8e8e7ffc8p-3, -0x1.57349c53d6a6p-3, -0x1.52266dccb7b89p-3, -0x1.4d2137e3f82e3p-3, -0x1.48252d4366ef9p-3, -0x1.43327e5ce5276p-3, -0x1.3e4959739e404p-3, -0x1.3969eaa53d3f4p-3, -0x1.34945bf33f24dp-3, -0x1.2fc8d54c446d5p-3, -0x1.2b077c956d1edp-3, -0x1.265075b3c1287p-3, -0x1.21a3e29596fe3p-3, -0x1.1d01e33c005e4p-3, -0x1.186a95c437f65p-3, -0x1.13de16710febp-3, -0x1.0f5c7fb45e9c4p-3, -0x1.0ae5ea386461p-3, -0x1.067a6ce933e57p-3, -0x1.021a1cfe0c775p-3, -0x1.fb8a1c056a65dp-4, -0x1.f2f6a3c18b6e8p-4, -0x1.ea79f1d1da308p-4, -0x1.e21423b85ac23p-4, -0x1.d9c553ea03f57p-4, -0x1.d18d99e106ddp-4, -0x1.c96d0a2eec193p-4, -0x1.c163b68e9883fp-4, -0x1.b971adf62b28cp-4, -0x1.b196fca8bd542p-4, -0x1.a9d3ac47fdb24p-4, -0x1.a227c3e59f71dp-4, -0x1.9a934814a9bcfp-4, -0x1.93163afa9947ap-4, -0x1.8bb09c6055e2fp-4, -0x1.846269c3007b5p-4, -0x1.7d2b9e648d043p-4, -0x1.760c335c35559p-4, -0x1.6f041fa6b742ep-4, -0x1.6813583660e88p-4, -0x1.6139d002ef964p-4, -0x1.5a777819388a6p-4, -0x1.53cc3faaa1d37p-4, -0x1.4d38141c5f06ep-4, -0x1.46bae1168257dp-4, -0x1.40549092d1afap-4, -0x1.3a050aeb66791p-4, -0x1.33cc36e918777p-4, -0x1.2da9f9d1ae36p-4, -0x1.279e3775d8834p-4, -0x1.21a8d23ef2a32p-4, -0x1.1bc9ab3c8bcb6p-4, -0x1.1600a231b9621p-4, -0x1.104d95a229336p-4, -0x1.0ab062df03a07p-4, -0x1.0528e6138d3e2p-4, -0x1.ff6df4a323206p-5, -0x1.f4b4f33b26bap-5, -0x1.ea2679f58a1ecp-5, -0x1.dfc238ed8a90ep-5, -0x1.d587de6a4050ap-5, -0x1.cb7716f53a164p-5, -0x1.c18f8d709dc13p-5, -0x1.b7d0eb2ccd87fp-5, -0x1.ae3ad7fdb09eep-5, -0x1.a4ccfa4f76dfcp-5, -0x1.9b86f73af4a68p-5, -0x1.926872998c53dp-5, -0x1.89710f18a2a6bp-5, -0x1.80a06e4cb145p-5, -0x1.77f630c3d7705p-5, -0x1.6f71f61811b5dp-5, -0x1.67135d00f07e9p-5, -0x1.5eda0364ee916p-5, -0x1.56c5866a5e079p-5, -0x1.4ed58287e2e7fp-5, -0x1.47099394875f4p-5, -0x1.3f6154d767d32p-5, -0x1.37dc6116fc168p-5, -0x1.307a52a7f2241p-5, -0x1.293ac37ba7083p-5, -0x1.221d4d2e439bfp-5, -0x1.1b2189146470ep-5, -0x1.1447104872ebbp-5, -0x1.0d8d7bb793c41p-5, -0x1.06f4642e37ecap-5, -0x1.007b626452007p-5, -0x1.f4441e124e204p-6, -0x1.e7d0059d9a338p-6, -0x1.db99aceaa0456p-6, -0x1.cfa045aae8323p-6, -0x1.c3e301d64e626p-6, -0x1.b86113bf3513ep-6, -0x1.ad19ae26196c5p-6, -0x1.a20c044c64363p-6, -0x1.97374a06c02dbp-6, -0x1.8c9ab3ce9e9a1p-6, -0x1.823576d340c26p-6, -0x1.7806c90a2691cp-6, -0x1.6e0de13ebd216p-6, -0x1.6449f721a1977p-6, -0x1.5aba4357379f9p-6, -0x1.515dff85b5425p-6, -0x1.48346662a4d11p-6, -0x1.3f3cb3bfd0ee8p-6, -0x1.36762497b2a21p-6, -0x1.2ddff71941ca9p-6, -0x1.25796ab36f037p-6, -0x1.1d41c01fe52cp-6, -0x1.1538396d789a5p-6, -0x1.0d5c1a0a02874p-6, -0x1.05aca6cbc7aaep-6, -0x1.fc524bf4e38ep-7, -0x1.eda1beaf1c17p-7, -0x1.df46384d237d7p-7, -0x1.d13e4e68fcfb5p-7, -0x1.c38899be316b8p-7, -0x1.b623b63751353p-7, -0x1.a90e42facbecep-7, -0x1.9c46e276ced9dp-7, -0x1.8fcc3a6c98278p-7, -0x1.839cf3fad0fb9p-7, -0x1.77b7bba759675p-7, -0x1.6c1b416857c2p-7, -0x1.60c638ac70af8p-7, -0x1.55b7586288eebp-7, -0x1.4aed5b00a5f98p-7, -0x1.4066fe8a72767p-7, -0x1.36230496e5d8ep-7, -0x1.2c2032555371ep-7, -0x1.225d50921de26p-7, -0x1.18d92bba92617p-7, -0x1.0f9293e06526dp-7, -0x1.06885cbc8cb05p-7, -0x1.fb72bb634e774p-8, -0x1.ea48e39ba5557p-8, -0x1.d990ef98030b6p-8, -0x1.c948a429f5f61p-8, -0x1.b96dcd7f5c61cp-8, -0x1.a9fe3f226cb34p-8, -0x1.9af7d3f90804bp-8, -0x1.8c586e42c055fp-8, -0x1.7e1df796826a2p-8, -0x1.704660df3cb09p-8, -0x1.62cfa257e453fp-8, -0x1.55b7bb86991bcp-8, -0x1.48fcb3375bcfbp-8, -0x1.3c9c9775caa72p-8, -0x1.30957d8668e95p-8, -0x1.24e581df4fae8p-8, -0x1.198ac82026432p-8, -0x1.0e837b0985ed2p-8, -0x1.03cdcc73fb2c8p-8, -0x1.f2cfea8cb6921p-9, -0x1.dea06ad738accp-9, -0x1.cb09a79088752p-9, -0x1.b8083c5e8c5d6p-9, -0x1.a598d2ad4bf7ap-9, -0x1.93b8219695da3p-9, -0x1.8262edc9e5211p-9, -0x1.719609726f2efp-9, -0x1.614e541d66589p-9, -0x1.5188ba9ef84eap-9, -0x1.424236f6d49e3p-9, -0x1.3377d03411107p-9, -0x1.25269a58760b7p-9, -0x1.174bb63b58ab2p-9, -0x1.09e4516be78dap-9, -0x1.f9db4c25ac1cep-10, -0x1.e0c9f5a725f3fp-10, -0x1.c88f455b6736cp-10, -0x1.b125f9b95e04cp-10, -0x1.9a88e9716d66fp-10, -0x1.84b3032c8668p-10, -0x1.6f9f4d4ad637p-10, -0x1.5b48e5a2e720ep-10, -0x1.47ab013ee549ap-10, -0x1.34c0ec1a88e5fp-10, -0x1.228608e035cccp-10, -0x1.10f5d0a5072f3p-10, -0x1.000bd2a5f65e6p-10, -0x1.df87680714626p-11, -0x1.c0325efb17681p-11, -0x1.a2102a5db9edep-11, -0x1.85189492676a3p-11, -0x1.6943919fad8bfp-11, -0x1.4e893ea6c38dap-11, -0x1.34e1e15a2c13ap-11, -0x1.1c45e7732fd44p-11, -0x1.04ade62949e59p-11, -0x1.dc253350fccb8p-12, -0x1.b0d9c90f2d956p-12, -0x1.876b9e806f0bcp-12, -0x1.5fcd0f4b04ab4p-12, -0x1.39f0c0b55b8f3p-12, -0x1.15c9a09ccaf7ep-12, -0x1.e695c8bc03fa5p-13, -0x1.a4d00f9bce6ep-13, -0x1.66299852ee048p-13, -0x1.2a8a6e1327dbp-13, -0x1.e3b6456b867f9p-14, -0x1.7809994bf8684p-14, -0x1.11e209a8a6686p-14, -0x1.6227929cadfa5p-15, -0x1.55d01f9a43997p-16, 0x1.27120fa098a71p-22, 0x1.4b999d2121ca4p-16, 0x1.3fe3d35cdbb86p-15, 0x1.d0e13c935cff9p-15, 0x1.2c88a13cf7988p-14, 0x1.6c5f299f3907ap-14, 0x1.a8188d674bf7p-14, 0x1.dfd84534d35a9p-14, 0x1.09e078153236p-13, 0x1.21fa2bd39a4d8p-13, 0x1.3849b9859e64ap-13, 0x1.4cdf35b34ec36p-13, 0x1.5fca4f9394c28p-13, 0x1.711a52db037fp-13, 0x1.80de2988b58cbp-13, 0x1.8f245dae8c04fp-13, 0x1.9bfb1b30ae638p-13, 0x1.a77031868bp-13, 0x1.b191156f724a4p-13, 0x1.ba6ae2acaaa53p-13, 0x1.c20a5daa56f1ap-13, 0x1.c87bf52af96e2p-13, 0x1.cdcbc3efe18f5p-13, 0x1.d2059254e1bddp-13, 0x1.d534d7ecd60bdp-13, 0x1.d764bd172efccp-13, 0x1.d8a01c91a6841p-13, 0x1.d8f18502c30b4p-13, 0x1.d8633a81eec59p-13, 0x1.d6ff38158629bp-13, 0x1.d4cf3134b5e5dp-13, 0x1.d1dc933a09cbfp-13, 0x1.ce3086d6373p-13, 0x1.c9d3f180fd491p-13, 0x1.c4cf76db4873ep-13, 0x1.bf2b7a17385ddp-13, 0x1.b8f01f52f1c89p-13, 0x1.b2254cf21da1ep-13, 0x1.aad2acf2bbf3ep-13, 0x1.a2ffae3a7117dp-13, 0x1.9ab385dffa6c4p-13, 0x1.91f53071b93f7p-13, 0x1.88cb7332ebb7fp-13, 0x1.7f3cdd5886432p-13, 0x1.754fc93e7c77cp-13, 0x1.6b0a5d9978a3bp-13, 0x1.60728ea08db5bp-13, 0x1.558e1f36b6b69p-13, 0x1.4a62a20d643c5p-13, 0x1.3ef57ac0f906ep-13, 0x1.334bdef385264p-13, 0x1.276ad75e9a4f8p-13, 0x1.1b5740e7802cfp-13, 0x1.0f15cda3da9a3p-13, 0x1.02ab05e653b69p-13, 0x1.ec36927a57c3bp-14, 0x1.d2d59edfda182p-14, 0x1.b93b52f4072afp-14, 0x1.9f6f84fc00907p-14, 0x1.8579c16c56237p-14, 0x1.6b614cc213fecp-14, 0x1.512d2550352b6p-14, 0x1.36e405076fbf9p-14, 0x1.1c8c633519a1ep-14, 0x1.022c7634fcec9p-14, 0x1.cf946a51670ep-15, 0x1.9ad6b3260ea4p-15, 0x1.662ac1f82b534p-15, 0x1.319b1d08ecd04p-15, 0x1.fa63b1d601fe7p-16, 0x1.91f137116519ap-16, 0x1.29f13e4b146b3p-16, 0x1.84ead5310721fp-17, 0x1.6e3a4d60a0ba8p-18, -0x1.5666c5d0fbba3p-21, -0x1.c10285008c016p-18, -0x1.aa1630980902bp-17, -0x1.3904bba09d6c9p-16, -0x1.9c205c3801fd5p-16, -0x1.fe5176b2c02dp-16, -0x1.2fc6172553332p-15, -0x1.5fe2a4058c544p-15, -0x1.8f7912fbc80cep-15, -0x1.be84613bde1a4p-15, -0x1.ecffd5db70cacp-15, -0x1.0d737fcf66eccp-14, -0x1.241ad960997e2p-14, -0x1.3a74036d8252cp-14, -0x1.507d2a62e3f62p-14, -0x1.66349a4a874ecp-14, -0x1.7b98bdca65c3cp-14, -0x1.90a81d2cc197ep-14, -0x1.a5615d69d5367p-14, -0x1.b9c33f3b26d52p-14, -0x1.cdcc9e31deec6p-14, -0x1.e17c6fd409dc2p-14, -0x1.f4d1c2bccd458p-14, -0x1.03e5dee336074p-13, -0x1.0d34cf98c504ap-13, -0x1.16555ded99835p-13, -0x1.1f473f37a596ap-13, -0x1.280a3352e8103p-13, -0x1.309e0440d33bdp-13, -0x1.390285ca54724p-13, -0x1.413795247b9b6p-13, -0x1.493d189791fcfp-13, -0x1.5112ff27754bbp-13, -0x1.58b9403fdf09fp-13, -0x1.602fdb606f8cdp-13, -0x1.6776d7cce8dd3p-13, -0x1.6e8e443e27a5ap-13, -0x1.757636963cdddp-13, -0x1.7c2ecb95a97e3p-13, -0x1.82b8269293814p-13, -0x1.89127132aa25p-13, -0x1.8f3ddb26456c7p-13, -0x1.953a99e4d67ffp-13, -0x1.9b08e86caa551p-13, -0x1.a0a90703216e4p-13, -0x1.a61b3af729ddfp-13, -0x1.ab5fce655884bp-13, -0x1.b0770ffd79e93p-13, -0x1.b56152ca29e09p-13, -0x1.ba1eedf9c7cb5p-13, -0x1.beb03ca8e51f1p-13, -0x1.c3159daebd74ep-13, -0x1.c74f736a3f9cp-13, -0x1.cb5e239110e02p-13, -0x1.cf421700ada5dp-13, -0x1.d2fbb98f62646p-13, -0x1.d68b79e071136p-13, -0x1.d9f1c9381aabbp-13, -0x1.dd2f1b519f42bp-13, -0x1.e043e636d8ep-13, -0x1.e330a217d0eb6p-13, -0x1.e5f5c92547825p-13, -0x1.e893d76b6c56ep-13, -0x1.eb0b4aadac14fp-13, -0x1.ed5ca2445fa8fp-13, -0x1.ef885efa4bcadp-13, -0x1.f18f02ed031efp-13, -0x1.f371116cc4d6bp-13, -0x1.f52f0ede7d266p-13, -0x1.f6c9809e1e011p-13, -0x1.f840ece2a0f79p-13, -0x1.f995daa169aabp-13, -0x1.fac8d1757a6b2p-13, -0x1.fbda59846bffp-13, -0x1.fccafb665f684p-13, -0x1.fd9b400ec18a7p-13, -0x1.fe4bb0b4433fcp-13, -0x1.fedcd6bbf22bbp-13, -0x1.ff4f3ba2e9441p-13, -0x1.ffa368ea8ac53p-13, -0x1.ffd9e804ad89fp-13, -0x1.fff34240f0ecdp-13, -0x1.fff000b9e56d3p-13, -0x1.ffd0ac44a83abp-13, -0x1.ff95cd5f02a6ep-13, -0x1.ff3fec20169b8p-13, -0x1.fecf9028de087p-13, -0x1.fe4540950b985p-13, -0x1.fda183edabf3fp-13, -0x1.fce4e01b3267cp-13, -0x1.fc0fda58614fbp-13, -0x1.fb22f72649bbep-13, -0x1.fa1eba40a18ep-13, -0x1.f903a6921e17p-13, -0x1.f7d23e2a4000cp-13, -0x1.f68b02333a3dp-13, -0x1.f52e72e7f7946p-13, -0x1.f3bd0f8adf294p-13, -0x1.f237565dd26dbp-13, -0x1.f09dc499000fcp-13, -0x1.eef0d66413478p-13, -0x1.ed3106ce892c3p-13, -0x1.eb5ecfc850cb3p-13, -0x1.e97aaa1c5b8b4p-13, -0x1.e7850d69472cap-13, -0x1.e57e701cbe3cdp-13, -0x1.e367476d45ec1p-13, -0x1.e140075603628p-13, -0x1.df092291a9d0cp-13, -0x1.dcc30a966b013p-13, -0x1.da6e2f91f0053p-13, -0x1.d80b006592bc1p-13, -0x1.d599eaa369382p-13, -0x1.d31b5a8ae8a87p-13, -0x1.d08fbb063364dp-13, -0x1.cdf775a825ee9p-13, -0x1.cb52f2a964227p-13, -0x1.c8a298e7085a5p-13, -0x1.c5e6cde0b407ep-13, -0x1.c31ff5b6eeabfp-13, -0x1.c04e732a97863p-13, -0x1.bd72a79b25063p-13, -0x1.ba8cf306b5e8ap-13, -0x1.b79db408fae47p-13, -0x1.b4a547dac52d8p-13, -0x1.b1a40a529945dp-13, -0x1.ae9a55e3c69a9p-13, -0x1.ab88839f81713p-13, -0x1.a86eeb34b15d3p-13, -0x1.a54de2f0e472p-13, -0x1.a225bfc0d1dd7p-13, -0x1.9ef6d5316e6d5p-13, -0x1.9bc1757075783p-13, -0x1.9885f14e5cc3bp-13, -0x1.9544983eeda3dp-13, -0x1.91fdb85b27c4p-13, -0x1.8eb19e6277006p-13, -0x1.8b6095bd09797p-13, -0x1.880ae87c92228p-13, -0x1.84b0df5f1c08fp-13, -0x1.8152c1d0a08d4p-13, -0x1.7df0d5ed0619p-13, -0x1.7a8b60828bd06p-13, -0x1.7722a5145697dp-13, -0x1.73b6e5dbefe29p-13, -0x1.704863ccc41ccp-13, -0x1.6cd75e95cd9c7p-13, -0x1.696414a4b55edp-13, -0x1.65eec32821e7dp-13, -0x1.6277a612d0cabp-13, -0x1.5efef81de923cp-13, -0x1.5b84f2cc62974p-13, -0x1.5809ce6d61b3ap-13, -0x1.548dc21f94217p-13, -0x1.511103d3ba0e7p-13, -0x1.4d93c85012949p-13, -0x1.4a1643336c406p-13, -0x1.4698a6f7e006dp-13, -0x1.431b24f63f78cp-13, -0x1.3f9ded69885e1p-13, -0x1.3c212f716438cp-13, -0x1.38a51915f4256p-13, -0x1.3529d74ab9bffp-13, -0x1.31af95f247ff3p-13, -0x1.2e367fe0d8557p-13, -0x1.2abebee06a551p-13, -0x1.27487bb392774p-13, -0x1.23d3de18dd803p-13, -0x1.20610cce282e9p-13, -0x1.1cf02d94295b2p-13, -0x1.1981653185337p-13, -0x1.1614d77652d8dp-13, -0x1.12aaa73f67732p-13, -0x1.0f42f679a791dp-13, -0x1.0bdde6259318ep-13, -0x1.087b965a68b24p-13, -0x1.051c26497c95fp-13, -0x1.01bfb441a5d76p-13, -0x1.fcccbb6555982p-14, -0x1.f6207e60d1fabp-14, -0x1.ef7ae8ec44115p-14, -0x1.e8dc30d3c53d6p-14, -0x1.e2448a3f7abf1p-14, -0x1.dbb427ba8d229p-14, -0x1.d52b3a38b02e8p-14, -0x1.cea9f11d986aap-14, -0x1.c8307a42eb8a3p-14, -0x1.c1bf01fef1973p-14, -0x1.bb55b32aa22fap-14, -0x1.b4f4b728594abp-14, -0x1.ae9c35e9f4accp-14, -0x1.a84c55f6dd89ep-14, -0x1.a2053c72a04a8p-14, -0x1.9bc70d2312488p-14, -0x1.9591ea760078fp-14, -0x1.8f65f587996fp-14, -0x1.89434e28445ffp-14, -0x1.832a12e3156aep-14, -0x1.7d1a61032c74ep-14, -0x1.77145499c65c2p-14, -0x1.71180883e01a8p-14, -0x1.6b259670400bbp-14, -0x1.653d16e529fe9p-14, -0x1.5f5ea145c1d96p-14, -0x1.598a4bd7f277fp-14, -0x1.53c02bc98335ep-14, -0x1.4e005536361a9p-14, -0x1.484adb2c949c9p-14, -0x1.429fcfb3c2ae4p-14, -0x1.3cff43d0706fap-14, -0x1.3769478a607d1p-14, -0x1.31dde9f191d55p-14, -0x1.2c5d392317f5fp-14, -0x1.26e7424e6c624p-14, -0x1.217c11ba63368p-14, -0x1.1c1bb2ca2edc7p-14, -0x1.16c630021acbp-14, -0x1.117b930c72963p-14, -0x1.0c3be4be30f9p-14, -0x1.07072d1bd28a7p-14, -0x1.01dd735df180dp-14, -0x1.f97d7beb6b5d1p-15, -0x1.ef56252329aecp-15, -0x1.e544ec4318e82p-15, -0x1.db49d9b78501ap-15, -0x1.d164f48142577p-15, -0x1.c796423e56dfcp-15, -0x1.bdddc732b6d58p-15, -0x1.b43b865034062p-15, -0x1.aaaf813eef8c3p-15, -0x1.a139b8651bb73p-15, -0x1.97da2aef48aa4p-15, -0x1.8e90d6d81d422p-15, -0x1.855db8efdfb4bp-15, -0x1.7c40cce3f24c1p-15, -0x1.733a0d46e1545p-15, -0x1.6a4973972fa88p-15, -0x1.616ef846f54c3p-15, -0x1.58aa92c2b5b28p-15, -0x1.4ffc39789ff2bp-15, -0x1.4763e1df2ea7fp-15, -0x1.3ee1807c338bap-15, -0x1.367508eb752bdp-15, -0x1.2e1e6de560cfp-15, -0x1.25dda14502138p-15, -0x1.1db2940f1a108p-15, -0x1.159d3677ccbdp-15, -0x1.0d9d77e8c8d66p-15, -0x1.05b34707bc841p-15, -0x1.fbbd237801e2cp-16, -0x1.ec3e8a686d8adp-16, -0x1.dcea9bd88e404p-16, -0x1.cdc12f65ff6b7p-16, -0x1.bec21b5ef04ep-16, -0x1.afed34cd762a6p-16, -0x1.a1424f816d7cep-16, -0x1.92c13e1afe0ddp-16, -0x1.8469d216087b5p-16, -0x1.763bdbd2d0e0dp-16, -0x1.68372aa08cffap-16, -0x1.5a5b8cc6c47c5p-16, -0x1.4ca8cf8f29717p-16, -0x1.3f1ebf4ea9699p-16, -0x1.31bd276e98497p-16, -0x1.2483d275650dep-16, -0x1.17728a102d32p-16, -0x1.0a89171a9b6a4p-16, -0x1.fb8e834ee80fdp-17, -0x1.e259a211fefd9p-17, -0x1.c97317b280a19p-17, -0x1.b0da700352dd2p-17, -0x1.988f3584a5c8dp-17, -0x1.8090f175fa458p-17, -0x1.68df2be36f6dbp-17, -0x1.51796bb3f0d87p-17, -0x1.3a5f36b6e123cp-17, -0x1.239011b473344p-17, -0x1.0d0b80799e7e8p-17, -0x1.eda20bca509acp-18, -0x1.c1c047ebb8379p-18, -0x1.9670b7ae2e15fp-18, -0x1.6bb25bdaa86cep-18, -0x1.418433c1a9519p-18, -0x1.17e53d57db3ap-18, -0x1.dda8ea963d378p-19, -0x1.8ca1ae3217de7p-19, -0x1.3cb2ba4a7942cp-19, -0x1.dbb4034549f5ep-20, -0x1.402aea3ac7735p-20, -0x1.4d8c0fa6f206ap-21, -0x1.f026ec421ac4ap-25, 0x1.0b4f5d270ac3p-21, 0x1.18b8d4075963fp-20, 0x1.a9b6651a2ee07p-20, 0x1.1c5247e88b81cp-19, 0x1.62c3c1e769d8ap-19, 0x1.a831b90621aadp-19, 0x1.ec9e464b2b395p-19, 0x1.1805c19230e82p-18, 0x1.393dc4a44f10dp-18, 0x1.59f8394ba32d9p-18, 0x1.7a362c7a7f0b4p-18, 0x1.99f8ab1bd2d38p-18, 0x1.b940c200b8aa4p-18, 0x1.d80f7dd3a60ebp-18, 0x1.f665eb0a48d63p-18, 0x1.0a228aec191e5p-17, 0x1.18d705107d19bp-17, 0x1.2750e9b792f33p-17, 0x1.3590be71e0d4cp-17, 0x1.4397089554f75p-17, 0x1.51644d3945fc8p-17, 0x1.5ef9112f2dd4p-17, 0x1.6c55d8fd02875p-17, 0x1.797b28d973641p-17, 0x1.866984a567725p-17, 0x1.93216fe7dd172p-17, 0x1.9fa36dc88856cp-17, 0x1.abf0010acd52dp-17, 0x1.b807ac09f4f44p-17, 0x1.c3eaf0b519864p-17, 0x1.cf9a5089ebe1fp-17, 0x1.db164c90bcdc4p-17, 0x1.e65f655930c1ep-17, 0x1.f1761af61aa75p-17, 0x1.fc5aecf8a675ep-17, 0x1.03872d37af148p-16, 0x1.08c870f0260ffp-16, 0x1.0df180a2e7274p-16, 0x1.13029b06e1ea8p-16, 0x1.17fbfe89c2c32p-16, 0x1.1cdde94ecfd76p-16, 0x1.21a8992e60d98p-16, 0x1.265c4bb3b377dp-16, 0x1.2af93e1bb8654p-16, 0x1.2f7fad53bff55p-16, 0x1.33efd5f835d9ep-16, 0x1.3849f454012b1p-16, 0x1.3c8e445eb2311p-16, 0x1.40bd01bb7aa92p-16, 0x1.44d667b9251fbp-16, 0x1.48dab14ffc1c5p-16, 0x1.4cca19213e56fp-16, 0x1.50a4d9764c4f7p-16, 0x1.546b2c3f8a3bfp-16, 0x1.581d4b13dc2b8p-16, 0x1.5bbb6f3045772p-16, 0x1.5f45d17665cf3p-16, 0x1.62bcaa6c0ddd6p-16, 0x1.6620323b16324p-16, 0x1.6970a0afd9707p-16, 0x1.6cae2d3960f94p-16, 0x1.6fd90ee9017ccp-16, 0x1.72f17c713da01p-16, 0x1.75f7ac2572678p-16, 0x1.78ebd3f9acb31p-16, 0x1.7bce298231a06p-16, 0x1.7e9ee1f2e39ebp-16, 0x1.815e321f51908p-16, 0x1.840c4e7a6e043p-16, 0x1.86a96b15dea9dp-16, 0x1.8935bba174dbp-16, 0x1.8bb1736c05c73p-16, 0x1.8e1cc5626ccf3p-16, 0x1.9077e40fe426ap-16, 0x1.92c3019d90d0bp-16, 0x1.94fe4fd20f555p-16, 0x1.972a001200446p-16, 0x1.9946435fbb1bap-16, 0x1.9b534a5b00745p-16, 0x1.9d514541d2e7cp-16, 0x1.9f4063ef72ee8p-16, 0x1.a120d5dc6e02ap-16, 0x1.a2f2ca1fb9165p-16, 0x1.a4b66f6ddee45p-16, 0x1.a66bf4192ec62p-16, 0x1.a8138611e50e3p-16, 0x1.a9ad52e6818p-16, 0x1.ab3987c39ccc9p-16, 0x1.acb8517498647p-16, 0x1.ae29dc633bbfap-16, 0x1.af8e5497c37f7p-16, 0x1.b0e5e5b9a1d34p-16, 0x1.b230bb0fa10f3p-16, 0x1.b36eff802314dp-16, 0x1.b4a0dd910bb58p-16, 0x1.b5c67f6808c0fp-16, 0x1.b6e00ecb2ac88p-16, 0x1.b7edb52137443p-16, 0x1.b8ef9b71c61ep-16, 0x1.b9e5ea65a5227p-16, 0x1.bad0ca46be0f9p-16, 0x1.bbb0630112c8cp-16, 0x1.bc84dc2332cadp-16, 0x1.bd4e5cddd1f7bp-16, 0x1.be0d0c0477b02p-16, 0x1.bec1100e513c3p-16, 0x1.bf6a8f1615b0fp-16, 0x1.c009aedaa7593p-16, 0x1.c09e94bf68bc9p-16, 0x1.c12965cc62182p-16, 0x1.c1aa46af43554p-16, 0x1.c2215bbba42bap-16, 0x1.c28ec8eb2bc2bp-16, 0x1.c2f2b1ddf1409p-16, 0x1.c34d39db5c9b7p-16, 0x1.c39e83d2aca11p-16, 0x1.c3e6b25af5857p-16, 0x1.c425e7b3bbcf5p-16, 0x1.c45c45c5749bbp-16, 0x1.c489ee224a552p-16, 0x1.c4af020681954p-16, 0x1.c4cba2589a4a6p-16, 0x1.c4dfefa9dfd4fp-16, 0x1.c4ec0a3786608p-16, 0x1.c4f011ea86dc8p-16, 0x1.c4ec2658490aap-16, 0x1.c4e066c32c675p-16, 0x1.c4ccf21b37fc3p-16, 0x1.c4b1e6feb54c6p-16, 0x1.c48f63ba235c1p-16, 0x1.c4658648f93edp-16, 0x1.c4346c56edf42p-16, 0x1.c3fc333f8b98ep-16, 0x1.c3bcf80ec0f6p-16, 0x1.c376d781efb74p-16, 0x1.c329ee08995cp-16, 0x1.c2d657c46b76ap-16, 0x1.c27c308966964p-16, 0x1.c21b93df4fee2p-16, 0x1.c1b49d023a3eap-16, 0x1.c14766e259e0ep-16, 0x1.c0d40c24ce894p-16, 0x1.c05aa72458254p-16, 0x1.bfdb51f257614p-16, 0x1.bf56265637c7ep-16, 0x1.becb3dcee5bc4p-16, 0x1.be3ab1931f2e8p-16, 0x1.bda49a9212227p-16, 0x1.bd09117397c61p-16, 0x1.bc682e98bf83cp-16, 0x1.bbc20a1d32f9p-16, 0x1.bb16bbd6f2f33p-16, 0x1.ba665b56a8dc5p-16, 0x1.b9b0ffe8e0e6ap-16, 0x1.b8f6c0968b08ap-16, 0x1.b837b424f3c82p-16, 0x1.b773f116d3e28p-16, 0x1.b6ab8dace8578p-16, 0x1.b5de9fe614472p-16, 0x1.b50d3d7fcb968p-16, 0x1.b4377bf7452f4p-16, 0x1.b35d708a0c8d1p-16, 0x1.b27f3035acb75p-16, 0x1.b19ccfb88b4e9p-16, 0x1.b0b6639350d6ap-16, 0x1.afcc00087118fp-16, 0x1.aeddb91cc04d2p-16, 0x1.adeba2986c6aep-16, 0x1.acf5d007a003cp-16, 0x1.abfc54ba5aa12p-16, 0x1.aaff43c586305p-16, 0x1.a9feb00359025p-16, 0x1.a8faac13e3072p-16, 0x1.a7f34a5cf3249p-16, 0x1.a6e89d0bf2cbp-16, 0x1.a5dab6157eea2p-16, 0x1.a4c9a7359103ep-16, 0x1.a3b581f08f8dp-16, 0x1.a29e5794417b1p-16, 0x1.a184393772c14p-16, 0x1.a06737bab796dp-16, 0x1.9f4763c93e271p-16, 0x1.9e24cdd8c8cep-16, 0x1.9cff862a5de9ep-16, 0x1.9bd79ccb8fb86p-16, 0x1.9aad2195b069dp-16, 0x1.9980242ea0efdp-16, 0x1.9850b40a16b02p-16, 0x1.971ee069852e8p-16, 0x1.95eab85c5cbd1p-16, 0x1.94b44ac0bb072p-16, 0x1.937ba64477d75p-16, 0x1.9240d9647c7a3p-16, 0x1.9103f26e04667p-16, 0x1.8fc4ff7f26de1p-16, 0x1.8e840e86c379ap-16, 0x1.8d412d4531faap-16, 0x1.8bfc694d1f829p-16, 0x1.8ab5d0034e71cp-16, 0x1.896d6e9f2c485p-16, 0x1.8823522c3d8a5p-16, 0x1.86d78789511afp-16, 0x1.858a1b69161ddp-16, 0x1.843b1a533726cp-16, 0x1.82ea90a4caa26p-16, 0x1.81988a8fcd88p-16, 0x1.8045141c82453p-16, 0x1.7ef03929527ap-16, 0x1.7d9a056b76256p-16, 0x1.7c42846fdc646p-16, 0x1.7ae9c19a5909ap-16, 0x1.798fc826d117fp-16, 0x1.7834a32a410dp-16, 0x1.76d85d9203b0ap-16, 0x1.757b022498f65p-16, 0x1.741c9b82671a1p-16, 0x1.72bd3425edca1p-16, 0x1.715cd663c3444p-16, 0x1.6ffb8c6bb602cp-16, 0x1.6e996048ab96p-16, 0x1.6d365be0dde4bp-16, 0x1.6bd288f7149efp-16, 0x1.6a6df129feca7p-16, 0x1.69089df50f41ap-16, 0x1.67a298b1489f8p-16, 0x1.663bea94bad39p-16, 0x1.64d49cb328ddp-16, 0x1.636cb7ff5c2eep-16, 0x1.6204454a069ebp-16, 0x1.609b4d42ac942p-16, 0x1.5f31d878c48bdp-16, 0x1.5dc7ef5af8dbap-16, 0x1.5c5d9a38204c1p-16, 0x1.5af2e13f27c1fp-16, 0x1.5987cc7ffd267p-16, 0x1.581c63ebb4273p-16, 0x1.56b0af5450e3bp-16, 0x1.5544b66d9bc69p-16, 0x1.53d880cdfd4c3p-16, 0x1.526c15edba03cp-16, 0x1.50ff7d279a73dp-16, 0x1.4f92bdba064a5p-16, 0x1.4e25dec6696ffp-16, 0x1.4cb8e751cccb3p-16, 0x1.4b4bde4565a57p-16, 0x1.49deca6e68fe1p-16, 0x1.4871b27f0faafp-16, 0x1.47049d0e57a82p-16, 0x1.4597909818447p-16, 0x1.442a937e3dbeep-16, }}, 
      {{0x1.6ddbb6c09aaddp-1, 0x1.6db7a264fcefcp-1, 0x1.6d7bfec9fb53ap-1, 0x1.6d2981a37466dp-1, 0x1.6cc11bda50fa2p-1, 0x1.6c43ef44e2f82p-1, 0x1.6bb3441233ea3p-1, 0x1.6b107e8af1601p-1, 0x1.6a5d158ff7e6dp-1, 0x1.699a8a1261e7cp-1, 0x1.68ca5fa11e554p-1, 0x1.67ee1611e47fep-1, 0x1.6707243ca2d9dp-1, 0x1.6616f3b751f44p-1, 0x1.651edd7ae37abp-1, 0x1.64202757a0135p-1, 0x1.631c021ed559cp-1, 0x1.6213886878376p-1, 0x1.6107bddcffb36p-1, 0x1.5ff98eedb3adcp-1, 0x1.5ee9d0e7f494ep-1, 0x1.5dd9425236b8ep-1, 0x1.5cc88b83b14f3p-1, 0x1.5bb83f69c5fadp-1, 0x1.5aa8dc701a684p-1, 0x1.599acd82112a8p-1, 0x1.588e6b1dd3989p-1, 0x1.5783fc727eec4p-1, 0x1.567bb88423375p-1, 0x1.5575c7514d82ap-1, 0x1.547242f6a6722p-1, 0x1.537138cde8998p-1, 0x1.5272aa860ced5p-1, 0x1.51768f33035d2p-1, 0x1.507cd453ba7e2p-1, 0x1.4f855ecd923b4p-1, 0x1.4e900bdc8fc75p-1, 0x1.4d9cb1f7efa52p-1, 0x1.4cab21aad2798p-1, 0x1.4bbb2660f2a0ep-1, 0x1.4acc8727616d9p-1, 0x1.49df07616decfp-1, 0x1.48f26771dfdc7p-1, 0x1.48066558c7ad9p-1, 0x1.471abd4629869p-1, 0x1.462f2a21da54bp-1, 0x1.45436608e3d1bp-1, 0x1.44572ac0d1201p-1, 0x1.436a322148ecdp-1, 0x1.427c3674580bdp-1, 0x1.418cf2cdd6c53p-1, 0x1.409c235a53eb9p-1, 0x1.3fa985a5ee9f7p-1, 0x1.3eb4d8db8a102p-1, 0x1.3dbdddfcc4ffep-1, 0x1.3cc458131e607p-1, 0x1.3bc80c5ab025ap-1, 0x1.3ac8c266e228p-1, 0x1.39c644417e361p-1, 0x1.38c05e848300bp-1, 0x1.37b6e06f14aap-1, 0x1.36a99bf5e94e1p-1, 0x1.359865cf87b7bp-1, 0x1.3483157cac7bap-1, 0x1.3369854d2badp-1, 0x1.324b926197f4ap-1, 0x1.31291ca9fe367p-1, 0x1.300206e1f90d5p-1, 0x1.2ed6368a620d7p-1, 0x1.2da593e0df3f1p-1, 0x1.2c7009d588325p-1, 0x1.2b3585fedabf2p-1, 0x1.29f5f88c35fa8p-1, 0x1.28b154370aa7cp-1, 0x1.27678e32ee742p-1, 0x1.26189e1cbe665p-1, 0x1.24c47de8f68fp-1, 0x1.236b29d162988p-1, 0x1.220ca04249bcbp-1, 0x1.20a8e1c734098p-1, 0x1.1f3ff0f763569p-1, 0x1.1dd1d2621b69ap-1, 0x1.1c5e8c7acf7f6p-1, 0x1.1ae627854778cp-1, 0x1.1968ad81d2729p-1, 0x1.17e62a1995badp-1, 0x1.165eaa8b05563p-1, 0x1.14d23d9695092p-1, 0x1.1340f36bad53fp-1, 0x1.11aadd95eba3fp-1, 0x1.10100eeab79f1p-1, 0x1.0e709b7736fd8p-1, 0x1.0ccc986ea10c9p-1, 0x1.0b241c18fa6dp-1, 0x1.09773dc23d72ap-1, 0x1.07c615a9ee455p-1, 0x1.0610bcf32203bp-1, 0x1.04574d94f725dp-1, 0x1.0299e24b82344p-1, 0x1.00d896892db94p-1, 0x1.fe270cd11ad9dp-2, 0x1.fa959d3d4e0d8p-2, 0x1.f6fd18db582edp-2, 0x1.f35dbb304ab47p-2, 0x1.efb7c0a91d3b9p-2, 0x1.ec0b6682c221bp-2, 0x1.e858eab313f13p-2, 0x1.e4a08bd296c9cp-2, 0x1.e0e289070ce4ap-2, 0x1.dd1f21eed335p-2, 0x1.d956968d0a8acp-2, 0x1.d58927367d627p-2, 0x1.d1b7147f4738ap-2, 0x1.cde09f293424cp-2, 0x1.ca060812d141p-2, 0x1.c62790272f30dp-2, 0x1.c245784e4ae74p-2, 0x1.be60015e1dfd2p-2, 0x1.ba776c0c4eae1p-2, 0x1.b68bf8e078015p-2, 0x1.b29de8270c51dp-2, 0x1.aead79e4c8884p-2, 0x1.aabaedcab3a18p-2, 0x1.a6c6832aaa81p-2, 0x1.a2d078ec6ed35p-2, 0x1.9ed90d8336cdp-2, 0x1.9ae07ee3bd56ap-2, 0x1.96e70a7ac7349p-2, 0x1.92eced2422e4ap-2, 0x1.8ef2632216decp-2, 0x1.8af7a815414ebp-2, 0x1.86fcf6f4e1cb3p-2, 0x1.83028a078c9b7p-2, 0x1.7f089adc4404ep-2, 0x1.7b0f6243f179fp-2, 0x1.7717184b414cbp-2, 0x1.731ff434da4d2p-2, 0x1.6f2a2c73ed5d1p-2, 0x1.6b35f6a7207f1p-2, 0x1.67438793cc239p-2, 0x1.635313218b24dp-2, 0x1.5f64cc561d017p-2, 0x1.5b78e551957e9p-2, 0x1.578f8f4ad5bc8p-2, 0x1.53a8fa8c5242dp-2, 0x1.4fc556711fdb8p-2, 0x1.4be4d16243b7cp-2, 0x1.480798d44a64ap-2, 0x1.442dd9451e84ep-2, 0x1.4057be3a1f4fdp-2, 0x1.3c85723e76d6bp-2, 0x1.38b71ee1a9059p-2, 0x1.34ececb66117ep-2, 0x1.312703517444ep-2, 0x1.2d6589491d984p-2, 0x1.29a8a4346d405p-2, 0x1.25f078aaedf42p-2, 0x1.223d2a4479696p-2, 0x1.1e8edb993eedp-2, 0x1.1ae5ae41f9ecap-2, 0x1.1741c2d852476p-2, 0x1.13a338f76d70fp-2, 0x1.100a2f3ca4f64p-2, 0x1.0c76c34868fd5p-2, 0x1.08e911bf49088p-2, 0x1.0561364b236d8p-2, 0x1.01df4b9c78dcdp-2, 0x1.fcc6d6d7c46edp-3, 0x1.f5db5cf756ab1p-3, 0x1.eefc593313062p-3, 0x1.e829f940ec185p-3, 0x1.e16468f5465a6p-3, 0x1.daabd2471c133p-3, 0x1.d4005d545df76p-3, 0x1.cd62306680a4ap-3, 0x1.c6d16ff73a7e1p-3, 0x1.c04e3eb57b968p-3, 0x1.b9d8bd8a87079p-3, 0x1.b3710b9f3bc89p-3, 0x1.ad1746618357dp-3, 0x1.a6cb8989eb7e5p-3, 0x1.a08def215dfb1p-3, 0x1.9a5e8f86fa7c7p-3, 0x1.943d817613c95p-3, 0x1.8e2ada0c482dcp-3, 0x1.8826accfb1a8dp-3, 0x1.82310bb533202p-3, 0x1.7c4a0726df167p-3, 0x1.7671ae0a6d55fp-3, 0x1.70a80dc7c7792p-3, 0x1.6aed324faa90ap-3, 0x1.654126224ef04p-3, 0x1.5fa3f2562c22dp-3, 0x1.5a159e9eb958ap-3, 0x1.5496315346771p-3, 0x1.4f25af75d3663p-3, 0x1.49c41cb9f9d6cp-3, 0x1.44717b8bd1c13p-3, 0x1.3f2dcd16e2351p-3, 0x1.39f9114d130a4p-3, 0x1.34d346eda215dp-3, 0x1.2fbc6b8c10756p-3, 0x1.2ab47b971ecdap-3, 0x1.25bb725fb54e6p-3, 0x1.20d14a1fd8069p-3, 0x1.1bf5fc018a826p-3, 0x1.17298025b60c8p-3, 0x1.126bcdab0723cp-3, 0x1.0dbcdab4bdbfp-3, 0x1.091c9c717e724p-3, 0x1.048b072211fc2p-3, 0x1.00080e201c078p-3, 0x1.f72747c995c7bp-4, 0x1.ee5b741ee27fap-4, 0x1.e5ac82d83e061p-4, 0x1.dd1a53f446918p-4, 0x1.d4a4c5e4fd0b6p-4, 0x1.cc4bb59c9d0a7p-4, 0x1.c40efe9a47109p-4, 0x1.bbee7af685d64p-4, 0x1.b3ea036fbaf5dp-4, 0x1.ac016f7668667p-4, 0x1.a43495394a78dp-4, 0x1.9c8349b153ea3p-4, 0x1.94ed60ad87508p-4, 0x1.8d72acde9e35ap-4, 0x1.8612ffe28f202p-4, 0x1.7ece2a4fece7ap-4, 0x1.77a3fbc11413ap-4, 0x1.709442df34569p-4, 0x1.699ecd6d2e3aep-4, 0x1.62c3685244211p-4, 0x1.5c01dfa49f42dp-4, 0x1.5559feb3ab047p-4, 0x1.4ecb90123df61p-4, 0x1.48565da09ec46p-4, 0x1.41fa309652a0ap-4, 0x1.3bb6d18bc3b8ap-4, 0x1.358c0883b9984p-4, 0x1.2f799cf4a1566p-4, 0x1.297f55d1a9c72p-4, 0x1.239cf993b0b5ap-4, 0x1.1dd24e42039b4p-4, 0x1.181f197aeff66p-4, 0x1.1283207c274bep-4, 0x1.0cfe282af45cfp-4, 0x1.078ff51c4381p-4, 0x1.02384b9c7c06dp-4, 0x1.f9eddf6e57b02p-5, 0x1.ef974a7d0fad7p-5, 0x1.e56c5fa57c445p-5, 0x1.db6ca5d22d816p-5, 0x1.d197a3a5e3418p-5, 0x1.c7ecdf891bc8p-5, 0x1.be6bdfb756556p-5, 0x1.b5142a4bf934ap-5, 0x1.abe5454ee5746p-5, 0x1.a2deb6c0adbc8p-5, 0x1.9a0004a67d9fbp-5, 0x1.9148b515a9abp-5, 0x1.88b84e3eec12dp-5, 0x1.804e56795126bp-5, 0x1.780a544cc9591p-5, 0x1.6febce7c76514p-5, 0x1.67f24c109e9e1p-5, 0x1.601d546057e0cp-5, 0x1.586c6f1adac33p-5, 0x1.50df245096e56p-5, 0x1.4974fc7becb8dp-5, 0x1.422d8089a58ffp-5, 0x1.3b0839e11e45ep-5, 0x1.3404b26c2803p-5, 0x1.2d22749ea5ce4p-5, 0x1.26610b7ddb4d7p-5, 0x1.1fc002a77f02p-5, 0x1.193ee6587fd18p-5, 0x1.12dd43738ca1ap-5, 0x1.0c9aa7875866cp-5, 0x1.0676a0d49c664p-5, 0x1.0070be53d79fep-5, 0x1.f5111f75abd61p-6, 0x1.e97b4b03e8762p-6, 0x1.de1f21d254f58p-6, 0x1.d2fbc7f9ae438p-6, 0x1.c8106334aed66p-6, 0x1.bd5c1ae8b5e0ap-6, 0x1.b2de182e1960bp-6, 0x1.a89585d7f54e3p-6, 0x1.9e81907b9c7bbp-6, 0x1.94a1667793403p-6, 0x1.8af437fa37cbep-6, 0x1.81793707f00bbp-6, 0x1.782f97810268p-6, 0x1.6f168f2707111p-6, 0x1.662d55a209144p-6, 0x1.5d7324853408dp-6, 0x1.54e7375340ffdp-6, 0x1.4c88cb8280efbp-6, 0x1.44572080876c8p-6, 0x1.3c5177b59a43bp-6, 0x1.34771487bc77ap-6, 0x1.2cc73c5d72287p-6, 0x1.254136a0387d4p-6, 0x1.1de44cbead551p-6, 0x1.16afca2e75866p-6, 0x1.0fa2fc6dd7d32p-6, 0x1.08bd330510163p-6, 0x1.01fdbf876f123p-6, 0x1.f6c7eb28405cp-7, 0x1.e9de55ad8b598p-7, 0x1.dd3d6e0fa5805p-7, 0x1.d0e3e7d94149ep-7, 0x1.c4d07aaeb1a4ap-7, 0x1.b901e24d35cfp-7, 0x1.ad76de89ef596p-7, 0x1.a22e33505ae58p-7, 0x1.9726a8a07475cp-7, 0x1.8c5f0a8c77cedp-7, 0x1.81d6293635e45p-7, 0x1.778ad8cc23e6cp-7, 0x1.6d7bf18600c3cp-7, 0x1.63a84fa12a6dep-7, 0x1.5a0ed35cbad96p-7, 0x1.50ae60f51f44dp-7, 0x1.4785e09fa0df9p-7, 0x1.3e943e857d8c9p-7, 0x1.35d86abeca76bp-7, 0x1.2d51594d145afp-7, 0x1.24fe0215b3f7dp-7, 0x1.1cdd60dbfc343p-7, 0x1.14ee753b0f787p-7, 0x1.0d30429f97c15p-7, 0x1.05a1d041432aep-7, 0x1.fc845237ec0fdp-8, 0x1.ee20b7d1e9583p-8, 0x1.e016f62f889d4p-8, 0x1.d265398db50eap-8, 0x1.c509b57879801p-8, 0x1.b802a4bbc68c1p-8, 0x1.ab4e495403cb3p-8, 0x1.9eeaec5e4aea7p-8, 0x1.92d6de0874978p-8, 0x1.87107580d7bd9p-8, 0x1.7b9610e5cc3d7p-8, 0x1.7066153508c65p-8, 0x1.657eee3acce41p-8, 0x1.5adf0e80b84c1p-8, 0x1.5084ef3cae8d5p-8, 0x1.466f103f6a3f6p-8, 0x1.3c9bf7e2f6047p-8, 0x1.330a32f916a03p-8, 0x1.29b854b976018p-8, 0x1.20a4f6afce04bp-8, 0x1.17ceb8a9e74c1p-8, 0x1.0f3440a5a11aep-8, 0x1.06d43abeca2e6p-8, 0x1.fd5ab239d7984p-9, 0x1.ed7ca7c229107p-9, 0x1.de0bd2273fe5dp-9, 0x1.cf05b923b62ep-9, 0x1.c067eff76cf64p-9, 0x1.b2301542fca7fp-9, 0x1.a45bd2e2e1ep-9, 0x1.96e8ddcaeb935p-9, 0x1.89d4f5e1a5d22p-9, 0x1.7d1de5dbaa16cp-9, 0x1.70c1831737124p-9, 0x1.64bdad77965f5p-9, 0x1.59104f40d8565p-9, 0x1.4db75cf392b2ap-9, 0x1.42b0d528ad49ep-9, 0x1.37fac06d643f3p-9, 0x1.2d93311f4c75fp-9, 0x1.23784348d34e5p-9, 0x1.19a81c7d599d5p-9, 0x1.1020ebb61b8dfp-9, 0x1.06e0e92ebb106p-9, 0x1.fbccac84b82c1p-10, 0x1.ea5efa91a3632p-10, 0x1.d97562e7e53d8p-10, 0x1.c90c9d5a7c96p-10, 0x1.b92172e753abdp-10, 0x1.a9b0bd7377c3dp-10, 0x1.9ab76787c7025p-10, 0x1.8c326c0def558p-10, 0x1.7e1ed60e2f06bp-10, 0x1.7079c06d641dp-10, 0x1.634055abf1aa8p-10, 0x1.566fcfa4cc827p-10, 0x1.4a05774d8f64cp-10, 0x1.3dfea47687481p-10, 0x1.3258bd8c02c64p-10, 0x1.27113757a2a88p-10, 0x1.1c2594c2bc0c1p-10, 0x1.11936698db2d2p-10, 0x1.07584b4b54694p-10, 0x1.fae3dd6a5fc94p-11, 0x1.e7bc13bf82a9dp-11, 0x1.d534c590023c5p-11, 0x1.c349984864e48p-11, 0x1.b1f64a5587944p-11, 0x1.a136b2b229d3ep-11, 0x1.9106c076eb906p-11, 0x1.81627a6b7426cp-11, 0x1.7245fe9831e1bp-11, 0x1.63ad81d9fa397p-11, 0x1.55954f77054e3p-11, 0x1.47f9c8b5117edp-11, 0x1.3ad76470c5daap-11, 0x1.2e2aaeb65742p-11, 0x1.21f0485be95bp-11, 0x1.1624e69cb53bep-11, 0x1.0ac552b600674p-11, 0x1.ff9cd309eee19p-12, 0x1.ea7a364c41c41p-12, 0x1.d61cd52c45966p-12, 0x1.c27edaa7048d2p-12, 0x1.af9a960455807p-12, 0x1.9d6a7a1fdb39ep-12, 0x1.8be91cb49054ap-12, 0x1.7b1135abae67bp-12, 0x1.6add9e6d24a74p-12, 0x1.5b4951337aedcp-12, 0x1.4c4f6861692ap-12, 0x1.3deb1ddaf87a7p-12, 0x1.3017ca600debcp-12, 0x1.22d0e4eac766p-12, 0x1.1612020ebc08ap-12, 0x1.09d6d35c60386p-12, 0x1.fc364d8adcdf8p-13, 0x1.e5b5cc09d5b1ep-13, 0x1.d0242c11658b2p-13, 0x1.bb79acbbe5968p-13, 0x1.a7aec13ff7ebap-13, 0x1.94bc0fd2153f4p-13, 0x1.829a708c0595dp-13, 0x1.7142ec57c476fp-13, 0x1.60aebbe0b3378p-13, 0x1.50d746869a3bap-13, 0x1.41b62158baacfp-13, 0x1.33450e1205d25p-13, 0x1.257dfa1c11492p-13, 0x1.185afd9587db5p-13, 0x1.0bd65a5ccce48p-13, 0x1.ffd4f63f03d4ep-14, 0x1.e923e4db06d4cp-14, 0x1.d38ef3a1a5525p-14, 0x1.bf0be1d3a8981p-14, 0x1.ab90b91d1582cp-14, 0x1.9913cbdda8e98p-14, 0x1.878bb379f0a12p-14, 0x1.76ef4eb142029p-14, 0x1.6735c0000d64bp-14, 0x1.58566c058ab69p-14, 0x1.4a48f7f39977p-14, 0x1.3d0548065d2d6p-14, 0x1.30837e014f70cp-14, 0x1.24bbf7b5c6e3dp-14, 0x1.19a74d904d9f7p-14, 0x1.0f3e512ac2efap-14, 0x1.057a0bea355cdp-14, 0x1.f8a77b3f09452p-15, 0x1.e789b6613b1abp-15, 0x1.d78e1a90e1d6ep-15, 0x1.c8a85e1c2a84fp-15, 0x1.bacc99c1c4461p-15, 0x1.adef463912664p-15, 0x1.a20539c7c3aacp-15, 0x1.9703a5dfd1436p-15, 0x1.8ce014cffdp-15, 0x1.8390677999d87p-15, 0x1.7b0ad318c325bp-15, 0x1.7345df1485ae4p-15, 0x1.6c3862dc5fdddp-15, 0x1.65d983cf6d86fp-15, 0x1.6020b3342d3dcp-15, 0x1.5b05ac320b4c6p-15, 0x1.568071dffba4dp-15, 0x1.52894d5732632p-15, 0x1.4f18cbd161a03p-15, 0x1.4c27bcd588f8cp-15, 0x1.49af30695d0edp-15, 0x1.47a875521b704p-15, 0x1.460d1759f4abep-15, 0x1.44d6dda2e9ab2p-15, 0x1.43ffc9034403cp-15, 0x1.438212693f5b7p-15, 0x1.4358294894bc8p-15, 0x1.437cb213f4706p-15, 0x1.43ea84bb9a418p-15, 0x1.449cab35e9deep-15, 0x1.458e60117e955p-15, 0x1.46bb0d1074005p-15, 0x1.481e49c7295c9p-15, 0x1.49b3da4a8f835p-15, 0x1.4b77ade0d6581p-15, 0x1.4d65ddbbc0588p-15, 0x1.4f7aabbb0d77dp-15, 0x1.51b281361fb2dp-15, 0x1.5409edcc33fb5p-15, 0x1.567da63ce87bdp-15, 0x1.590a8348c4874p-15, 0x1.5bad8096b5d58p-15, 0x1.5e63bba259e8p-15, 0x1.612a72ae17dp-15, 0x1.63ff03bf53be5p-15, 0x1.66deeba03eaebp-15, 0x1.69c7c4e492082p-15, 0x1.6cb746f9c1c94p-15, 0x1.6fab453a25789p-15, 0x1.72a1ae06fd7c1p-15, 0x1.759889e6ecc1p-15, 0x1.788dfaac95365p-15, 0x1.7b803aa039d11p-15, 0x1.7e6d9bb1d52d2p-15, 0x1.815486ace7025p-15, 0x1.84337a7528c86p-15, 0x1.87090b477235fp-15, 0x1.89d3e1fc43491p-15, 0x1.8c92bb54d8261p-15, 0x1.8f446748a7f79p-15, 0x1.91e7c8592c7ddp-15, 0x1.947bd2eb7e4b2p-15, 0x1.96ff8ca36d1a1p-15, 0x1.99720bc731dc4p-15, 0x1.9bd276a405edfp-15, 0x1.9e2002f7e1a93p-15, 0x1.a059f55fb95f9p-15, 0x1.a27fa0ca8fea6p-15, 0x1.a49065ede3d43p-15, 0x1.a68bb2c0ac878p-15, 0x1.a87101f9e142p-15, 0x1.aa3fda9149daap-15, 0x1.abf7cf449cef3p-15, 0x1.ad987e201d621p-15, 0x1.af21900a67e5dp-15, 0x1.b092b8550926bp-15, 0x1.b1ebb44d5f414p-15, 0x1.b32c4ad4a17c9p-15, 0x1.b4544bf789facp-15, 0x1.b563908b91cb7p-15, 0x1.b659f9cde76cdp-15, 0x1.b737710491398p-15, 0x1.b7fbe724c31a4p-15, 0x1.b8a7547931552p-15, 0x1.b939b84db42bfp-15, 0x1.b9b3189b74078p-15, 0x1.ba1381b952d1fp-15, 0x1.ba5b060e68067p-15, 0x1.ba89bdc5a9971p-15, 0x1.ba9fc6857c9fdp-15, 0x1.ba9d432900e4ep-15, 0x1.ba825b7bacfd1p-15, 0x1.ba4f3bf762ca9p-15, 0x1.ba0415842b4a9p-15, 0x1.b9a11d3a3fd29p-15, 0x1.b9268c27ceca9p-15, 0x1.b8949f14c9cc1p-15, 0x1.b7eb964d0969dp-15, 0x1.b72bb56916027p-15, 0x1.b655431aa7bb7p-15, 0x1.b56888f9eb912p-15, 0x1.b465d35584134p-15, 0x1.b34d7102fb43dp-15, 0x1.b21fb332f4a0dp-15, 0x1.b0dced4401b26p-15, 0x1.af857499f6cd8p-15, 0x1.ae19a07402c85p-15, 0x1.ac99c9c771c1cp-15, 0x1.ab064b181ee0cp-15, 0x1.a95f805638532p-15, 0x1.a7a5c6ba3cf95p-15, 0x1.a5d97ca4056p-15, 0x1.a3fb017af7c3fp-15, 0x1.a20ab58eb3569p-15, 0x1.a008f9f93f2e8p-15, 0x1.9df6308323ee5p-15, 0x1.9bd2bb873fe23p-15, 0x1.999efdd92ecd4p-15, 0x1.975b5aac09444p-15, 0x1.9508357a064a7p-15, 0x1.92a5f1edfd8eap-15, 0x1.9034f3cd21dc6p-15, 0x1.8db59ee17f8cdp-15, 0x1.8b2856e62926p-15, 0x1.888d7f73eeb08p-15, 0x1.85e57beed853ap-15, 0x1.8330af746b11p-15, 0x1.806f7ccb89aafp-15, 0x1.7da24653a500fp-15, 0x1.7ac96df6ac6c7p-15, 0x1.77e55519c78c5p-15, 0x1.74f65c904a665p-15, 0x1.71fce48e09ecdp-15, 0x1.6ef94c9ba6c2ap-15, 0x1.6bebf38a89cfep-15, 0x1.68d53769f3612p-15, 0x1.65b5757cdae1bp-15, 0x1.628d0a2fddb7fp-15, 0x1.5f5c51100d824p-15, 0x1.5c23a4c2b0715p-15, 0x1.58e35efc9a975p-15, 0x1.559bd87a8ef29p-15, 0x1.524d68fac8438p-15, 0x1.4ef86735a61cap-15, 0x1.4b9d28d7c1df9p-15, 0x1.483c027c3e186p-15, 0x1.44d547a77b722p-15, 0x1.41694ac2713e5p-15, 0x1.3df85d16048bp-15, 0x1.3a82cec71ee52p-15, 0x1.3708eed2c5d38p-15, 0x1.338b0b0b00c3fp-15, 0x1.30097013b2b7cp-15, 0x1.2c84695ffbc54p-15, 0x1.28fc412ffb835p-15, 0x1.2571408ee3cdap-15, 0x1.21e3af50cb0adp-15, 0x1.1e53d411f63a6p-15, 0x1.1ac1f43524499p-15, 0x1.172e53e2afc7p-15, 0x1.1399360854e1p-15, 0x1.1002dc583af6p-15, 0x1.0c6b87493c46ep-15, 0x1.08d376166d44ap-15, 0x1.053ae6bff575p-15, 0x1.01a2160b055c5p-15, 0x1.fc127f059415ep-16, 0x1.f4e13af2576acp-16, 0x1.edb0d20ffdbbdp-16, 0x1.e681b423438ep-16, 0x1.df544e862cb7fp-16, 0x1.d8290c29ae3ebp-16, 0x1.d10055996a89dp-16, 0x1.c9da90ffeaf8fp-16, 0x1.c2b82228f25dap-16, 0x1.bb996a86d1c07p-16, 0x1.b47ec93640afcp-16, 0x1.ad689b02bc4d6p-16, 0x1.a6573a6b3376cp-16, 0x1.9f4affa7a398ep-16, 0x1.984440ace6e88p-16, 0x1.914351334eda7p-16, 0x1.8a4882bb1c6a1p-16, 0x1.835424925521cp-16, 0x1.7c6683daa96edp-16, 0x1.757feb8f14573p-16, 0x1.6ea0a48a42c91p-16, 0x1.67c8f58c2c1c1p-16, 0x1.60f92340504dfp-16, 0x1.5a31704484ec4p-16, 0x1.53721d2ed209ap-16, 0x1.4cbb689409d4bp-16, 0x1.460d8f0e3d988p-16, 0x1.3f68cb43fd37fp-16, 0x1.38cd55ede933p-16, 0x1.323b65de33b4fp-16, 0x1.2bb330077be6dp-16, 0x1.2534e782de0e9p-16, 0x1.1ec0bd9778efep-16, 0x1.1856e1c16480bp-16, 0x1.11f781b7b22dbp-16, 0x1.0ba2c9749f2bap-16, 0x1.0558e33b53e1dp-16, 0x1.fe33ef3f0dac4p-17, 0x1.f1cc5b1818adap-17, 0x1.e57b54948c7adp-17, 0x1.d9412310e9cf2p-17, 0x1.cd1e0ac23f8bp-17, 0x1.c1124cc38c521p-17, 0x1.b51e2723aed5fp-17, 0x1.a941d4f32ae51p-17, 0x1.9d7d8e516e35ep-17, 0x1.91d1887b0a31dp-17, 0x1.863df5d7705dcp-17, 0x1.7ac30605c6bd4p-17, 0x1.6f60e5eabe2bfp-17, 0x1.6417bfbe1521bp-17, 0x1.58e7bb17480d9p-17, 0x1.4dd0fcfbb5a71p-17, 0x1.42d3a7eae7f51p-17, 0x1.37efdbec41b9cp-17, 0x1.2d25b69ba03f7p-17, 0x1.227553359280ep-17, 0x1.17decaa58d794p-17, 0x1.0d623390ae0a2p-17, 0x1.02ffa263e17a7p-17, 0x1.f16e52be52fecp-18, 0x1.dd11b144a0accp-18, 0x1.c8e97c724399bp-18, 0x1.b4f5cc4e58c02p-18, 0x1.a136b4e75d372p-18, 0x1.8dac466ad1e18p-18, 0x1.7a568d3c9835dp-18, 0x1.6735920d8b9a4p-18, 0x1.544959f287fe5p-18, 0x1.4191e67b5716ep-18, 0x1.2f0f35c78816dp-18, 0x1.1cc1429d948cp-18, 0x1.0aa80480067ddp-18, 0x1.f186df8585b9fp-19, 0x1.ce26eb3fadb78p-19, 0x1.ab30089b6cfe4p-19, 0x1.88a20e222a24cp-19, 0x1.667ccca7f04afp-19, 0x1.44c00f6f25c4ep-19, 0x1.236b9c518e9b9p-19, 0x1.027f33e6ba6e3p-19, 0x1.c3f52354f1545p-20, 0x1.83bad8447ccf8p-20, 0x1.444eea0484f9p-20, 0x1.05b0b2a2acaacp-20, 0x1.8fbf063835cdcp-21, 0x1.15b54740b4eb1p-21, 0x1.3a854f68624b8p-22, 0x1.332cb32571955p-24, -0x1.3b8e376373c58p-23, -0x1.8534eb583d335p-22, -0x1.34c0e0ace2304p-21, -0x1.a5589ceea31d7p-21, -0x1.0a31c33e67879p-20, -0x1.40f1c37149221p-20, -0x1.76ed4a54a6751p-20, -0x1.ac2559791bdf5p-20, -0x1.e09af8780a3dbp-20, -0x1.0a279a5f02dcbp-19, -0x1.23a190a9e3a87p-19, -0x1.3cbbeb525a349p-19, -0x1.55773924f7aeep-19, -0x1.6dd40b6a4fba1p-19, -0x1.85d2f5cce7e58p-19, -0x1.9d748e3f3d9fdp-19, -0x1.b4b96ce3f624bp-19, -0x1.cba22bf397308p-19, -0x1.e22f67a565056p-19, -0x1.f861be177b497p-19, -0x1.071ce79c3a1d9p-18, -0x1.11dc1e57baba4p-18, -0x1.1c6ed4e37274p-18, -0x1.26d55dab4d80fp-18, -0x1.31100bd766ea5p-18, -0x1.3b1f3341a8cb9p-18, -0x1.4503286b145ep-18, -0x1.4ebc407278126p-18, -0x1.584ad10a98251p-18, -0x1.61af30705efap-18, -0x1.6ae9b561b1c4p-18, -0x1.73fab714946ebp-18, -0x1.7ce28d2de0956p-18, -0x1.85a18fb8f581fp-18, -0x1.8e38171f31b1dp-18, -0x1.96a67c1f7defcp-18, -0x1.9eed17c65cba7p-18, -0x1.a70c436662018p-18, -0x1.af04588fef88fp-18, -0x1.b6d5b10a138c4p-18, -0x1.be80a6cacadf8p-18, -0x1.c60593f085974p-18, -0x1.cd64d2bad8b51p-18, -0x1.d49ebd83c4445p-18, -0x1.dbb3aeb8f1645p-18, -0x1.e2a400d58479dp-18, -0x1.e9700e5bd4db5p-18, -0x1.f01831cf1a67ap-18, -0x1.f69cc5adf6bd2p-18, -0x1.fcfe246c5d095p-18, -0x1.019e543709725p-17, -0x1.04ac5600a2adcp-17, -0x1.07a944aca2ba1p-17, -0x1.0a954d44943adp-17, -0x1.0d709cbf773f8p-17, -0x1.103b5fff86db6p-17, -0x1.12f5c3cf86b09p-17, -0x1.159ff4e0ae24ep-17, -0x1.183a1fc85d66ep-17, -0x1.1ac470fe24978p-17, -0x1.1d3f14d97278p-17, -0x1.1faa378fad97bp-17, -0x1.2206053260875p-17, -0x1.2452a9ad367e7p-17, -0x1.269050c446412p-17, -0x1.28bf261211821p-17, -0x1.2adf5505f7fdap-17, -0x1.2cf108e28b05cp-17, -0x1.2ef46cbc13c81p-17, -0x1.30e9ab76f4d42p-17, -0x1.32d0efc6213ffp-17, -0x1.34aa6429b764ap-17, -0x1.367632eda6b4ep-17, -0x1.383486286b0b6p-17, -0x1.39e587b9b8d82p-17, -0x1.3b8961493262p-17, -0x1.3d203c456d97ap-17, -0x1.3eaa41e2c7b92p-17, -0x1.40279b1a39028p-17, -0x1.419870a8511dfp-17, -0x1.42fceb0c3124p-17, -0x1.44553286aa10dp-17, -0x1.45a16f196b833p-17, -0x1.46e1c8860d962p-17, -0x1.4816664d3a00dp-17, -0x1.493f6fade4586p-17, -0x1.4a5d0ba49e907p-17, -0x1.4b6f60ead3d4ep-17, -0x1.4c7695f62386cp-17, -0x1.4d72d0f7bf89ep-17, -0x1.4e6437dbe78ap-17, -0x1.4f4af04953d1dp-17, -0x1.50271fa0a2958p-17, -0x1.50f8eafbc63f7p-17, -0x1.51c0772dadac2p-17, -0x1.527de8c1bb1c6p-17, -0x1.533163fb873f4p-17, -0x1.53db0cd6768d3p-17, -0x1.547b0705476dep-17, -0x1.551175f1ca29cp-17, -0x1.559e7cbca2f18p-17, -0x1.56223e3d1bc06p-17, -0x1.569cdd00b2825p-17, -0x1.570e7b4b04e6bp-17, -0x1.57773b15b66fbp-17, -0x1.57d73e103c909p-17, -0x1.582ea59fbaa64p-17, -0x1.587d92decb33cp-17, -0x1.58c4269d8888p-17, -0x1.5902816151a75p-17, -0x1.5938c364f2a5ap-17, -0x1.59670c98aa6a4p-17, -0x1.598d7ca1f83f3p-17, -0x1.59ac32db98ef1p-17, -0x1.59c34e55b2018p-17, -0x1.59d2edd5e1952p-17, -0x1.59db2fd73b7dep-17, -0x1.59dc328a5d71ep-17, -0x1.59d613d58a6b7p-17, -0x1.59c8f154efd5ep-17, -0x1.59b4e85ab567ap-17, -0x1.599a15ef05c8p-17, -0x1.597896d04b169p-17, -0x1.595087735a26fp-17, -0x1.592204039c4cp-17, -0x1.58ed286368b1ep-17, -0x1.58b2102c0fe57p-17, -0x1.5870d6ae4226bp-17, -0x1.582996f22c3b6p-17, -0x1.57dc6bb7b2854p-17, -0x1.57896f76da36cp-17, -0x1.5730bc5fe795fp-17, -0x1.56d26c5bc2de9p-17, -0x1.566e990c46145p-17, -0x1.56055bcc7c6bbp-17, -0x1.5596cdb1072c1p-17, -0x1.55230788501fap-17, -0x1.54aa21db16cfdp-17, -0x1.542c34ec89047p-17, -0x1.53a958baa4c3dp-17, -0x1.5321a4fead0e6p-17, -0x1.5295312da73fap-17, -0x1.5204147884d9dp-17, -0x1.516e65cc89d7fp-17, -0x1.50d43bd3c169ap-17, -0x1.5035acf54d366p-17, -0x1.4f92cf55f2998p-17, -0x1.4eebb8d8403efp-17, -0x1.4e407f1d4bcb7p-17, -0x1.4d913784cdacbp-17, -0x1.4cddf72db992ep-17, -0x1.4c26d2f68dd8fp-17, -0x1.4b6bdf7dfb1f8p-17, -0x1.4aad3123190c4p-17, -0x1.49eadc05ce56ap-17, -0x1.4924f4074e4e6p-17, -0x1.485b8cca9f75fp-17, -0x1.478eb9b51c593p-17, -0x1.46be8deeb6b5ep-17, -0x1.45eb1c62754b9p-17, -0x1.451477befea43p-17, -0x1.443ab276f90fp-17, -0x1.435ddec185d89p-17, -0x1.427e0e9abcf13p-17, -0x1.419b53c41fa49p-17, -0x1.40b5bfc4f646p-17, -0x1.3fcd63eaed46cp-17, -0x1.3ee2514a9bf54p-17, -0x1.3df498bfbe475p-17, -0x1.3d044aedbc524p-17, -0x1.3c1178404e01bp-17, -0x1.3b1c30ebd5e27p-17, -0x1.3a2484edbf631p-17, -0x1.392a840d0728ep-17, -0x1.382e3ddaf41b4p-17, -0x1.372fc1b33d4abp-17, -0x1.362f1ebc901c9p-17, -0x1.352c63e92f1bdp-17, -0x1.34279ff73debcp-17, -0x1.3320e171546c6p-17, -0x1.321836aeebf79p-17, -0x1.310dadd4db9b4p-17, -0x1.300154d5c8cc5p-17, -0x1.2ef33972b4334p-17, -0x1.2de3693b68a46p-17, -0x1.2cd1f18ee57b1p-17, -0x1.2bbedf9bbbfcdp-17, -0x1.2aaa4060c2eaap-17, -0x1.299420ad68127p-17, -0x1.287c8d221a173p-17, -0x1.27639230f030ep-17, -0x1.26493c1e06432p-17, -0x1.252d96ffc613bp-17, -0x1.2410aebf7ce13p-17, -0x1.22f28f1a0323dp-17, -0x1.21d3439fd2be4p-17, -0x1.20b2d7b5b9b24p-17, -0x1.1f915695383bap-17, -0x1.1e6ecb4ce1f2ap-17, -0x1.1d4b40c0e48b6p-17, -0x1.1c26c1ab8989fp-17, -0x1.1b01589d8e2b6p-17, -0x1.19db0ffe8fc5ap-17, -0x1.18b3f20d7be6cp-17, -0x1.178c08e10a1bcp-17, -0x1.16635e681525dp-17, -0x1.1539fc6a1efcap-17, -0x1.140fec87d4623p-17, -0x1.12e5383b3d4fp-17, -0x1.11b9e8d84eca3p-17, -0x1.108e078d42641p-17, -0x1.0f619d63106bbp-17, -0x1.0e34b33de032dp-17, -0x1.0d0751dd62fdcp-17, -0x1.0bd981dd23ff5p-17, -0x1.0aab4bb525938p-17, -0x1.097cb7ba20f28p-17, -0x1.084dce1df246ep-17, -0x1.071e96f021dfdp-17, -0x1.05ef1a1e08f18p-17, -0x1.04bf5f735cf0cp-17, -0x1.038f6e9a9af0ap-17, -0x1.025f4f1d5ca9ep-17, -0x1.012f0864a92fp-17, -0x1.fffd4372d837p-18, -0x1.fd9c4489b207ep-18, -0x1.fb3b22218c38bp-18, -0x1.f8d9ea1009b2fp-18, -0x1.f678a9ed9164p-18, -0x1.f4176f15e5453p-18, -0x1.f1b646a8f1e2ap-18, -0x1.ef553d8bb20eep-18, -0x1.ecf46068b7381p-18, -0x1.ea93bbb0d094ap-18, -0x1.e8335b9bae465p-18, -0x1.e5d34c28ffdadp-18, -0x1.e3739920c2fb8p-18, -0x1.e1144e141abc2p-18, -0x1.deb5765dd9613p-18, -0x1.dc571d2337b08p-18, -0x1.d9f94d54a3069p-18, -0x1.d79c11ae57413p-18, -0x1.d53f74b8d12cbp-18, -0x1.d2e380c9ad9b1p-18, -0x1.d08840046e8a5p-18, -0x1.ce2dbc5adc46ap-18, -0x1.cbd3ff8da0c59p-18, -0x1.c97b132d07526p-18, -0x1.c7230099a2935p-18, -0x1.c4cbd104e673fp-18, -0x1.c2758d71b5f44p-18, -0x1.c0203eb4f74f2p-18, -0x1.bdcbed7629dbcp-18, -0x1.bb78a2302c5adp-18, -0x1.b9266531b1b26p-18, -0x1.b6d53e9dbc948p-18, -0x1.b485366c67d12p-18, -0x1.b236546b41b4ap-18, -0x1.afe8a03e0f733p-18, -0x1.ad9c215f3cfe7p-18, -0x1.ab50df204e01bp-18, -0x1.a906e0aaa4796p-18, -0x1.a6be2d0027959p-18, -0x1.a476cafb579d3p-18, -0x1.a230c1500de47p-18, -0x1.9fec168c5790fp-18, -0x1.9da8d1187958cp-18, -0x1.9b66f7378adep-18, -0x1.99268f084c8c7p-18, -0x1.96e79e857e11cp-18, -0x1.94aa2b862f5b9p-18, -0x1.926e3bbe50feep-18, -0x1.9033d4bf61bb9p-18, -0x1.8dfafbf8e6adep-18, -0x1.8bc3b6b89c4dfp-18, -0x1.898e0a2b251acp-18, -0x1.8759fb5c8f578p-18, -0x1.85278f38a24a4p-18, -0x1.82f6ca8b6724dp-18, -0x1.80c7b201a8fe4p-18, -0x1.7e9a4a294382ap-18, -0x1.7c6e9771d1e7dp-18, -0x1.7a449e2cedc2ep-18, -0x1.781c628e81774p-18, -0x1.75f5e8ad882d1p-18, -0x1.73d134845becfp-18, -0x1.71ae49f0e5c2dp-18, -0x1.6f8d2cb545341p-18, -0x1.6d6de0785ea25p-18, -0x1.6b5068c5ba6f8p-18, -0x1.6934c90e6338p-18, -0x1.671b04a959fa5p-18, -0x1.65031ed3871aap-18, -0x1.62ed1ab0618fp-18, -0x1.60d8fb4a6fb62p-18, -0x1.5ec6c3938bf0bp-18, -0x1.5cb6766514303p-18, -0x1.5aa816807b3bbp-18, -0x1.589ba68fc8a92p-18, -0x1.56912925a0ef4p-18, -0x1.5488a0bdcf2c1p-18, -0x1.52820fbda8952p-18, -0x1.507d78744b4d3p-18, -0x1.4e7add1b1899bp-18, -0x1.4c7a3fd5d1b5dp-18, -0x1.4a7ba2b31e6cdp-18, -0x1.487f07ad06286p-18, -0x1.468470a8bea75p-18, -0x1.448bdf7778a23p-18, -0x1.429555d6c5406p-18, -0x1.40a0d57056652p-18, -0x1.3eae5fdac0605p-18, -0x1.3cbdf699e322fp-18, -0x1.3acf9b1eb988dp-18, -0x1.38e34ec819e28p-18, -0x1.36f912e2fb22p-18, -0x1.3510e8aa4bed5p-18, -0x1.332ad147bb838p-18, -0x1.3146cdd3fe566p-18, -0x1.2f64df56b8ffdp-18, -0x1.2d8506c6f5916p-18, -0x1.2ba7450bab0bbp-18, -0x1.29cb9afbad849p-18, -0x1.27f2095dfa3eap-18, -0x1.261a90ea370f2p-18, -0x1.24453248c35f8p-18, -0x1.2271ee1309befp-18, -0x1.20a0c4d3b0985p-18, -0x1.1ed1b706f38c7p-18, -0x1.1d04c51afd15ap-18, -0x1.1b39ef6fb4aa7p-18, -0x1.197136578ed82p-18, -0x1.17aa9a178204cp-18, -0x1.15e61ae6ffce3p-18, -0x1.1423b8f0d796bp-18, -0x1.12637452e8b24p-18, -0x1.10a54d1e65455p-18, -0x1.0ee943586c2f2p-18, -0x1.0d2f56f9daa1ep-18, -0x1.0b7787efac676p-18, -0x1.09c1d61b5d4d9p-18, -0x1.080e4152b792ap-18, -0x1.065cc96064966p-18, -0x1.04ad6e0429616p-18, -0x1.03002ef2b9ae4p-18, -0x1.01550bd63b0eap-18, -0x1.ff58089d27368p-19, -0x1.fc0a2fe26411ep-19, -0x1.f8c08c9336f04p-19, -0x1.f57b1db2f44f6p-19, -0x1.f239e231a05f9p-19, -0x1.eefcd8ec44e7ap-19, -0x1.ebc400ad599cp-19, -0x1.e88f582d60eaep-19, -0x1.e55ede1291842p-19, -0x1.e23290f1f84fp-19, -0x1.df0a6f4f9a6ccp-19, -0x1.dbe6779e210f3p-19, -0x1.d8c6a84075105p-19, -0x1.d5aaff88efff3p-19, -0x1.d2937bba0ffb4p-19, -0x1.cf801b07575ebp-19, -0x1.cc70db949a9e6p-19, -0x1.c965bb770fcd1p-19, -0x1.c65eb8b58310ap-19, -0x1.c35bd148414dcp-19, -0x1.c05d031a11c3bp-19, -0x1.bd624c07c22d9p-19, -0x1.ba6ba9e0ed104p-19, -0x1.b7791a6866ad5p-19, -0x1.b48a9b53e0c79p-19, -0x1.b1a02a4cbfed6p-19, -0x1.aeb9c4f07317dp-19, -0x1.abd768d028b9fp-19, -0x1.a8f913719a3ecp-19, -0x1.a61ec24f34f6ap-19, -0x1.a34872d836569p-19, -0x1.a0762270db3d3p-19, -0x1.9da7ce7317d6ep-19, -0x1.9add742e542bbp-19, -0x1.981710e7dbf4ap-19, -0x1.9554a1db7b67cp-19, -0x1.9296243ad6e47p-19, -0x1.8fdb952ea48c1p-19, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.9b9df7341c29dp-7, 0x1.9bb8cfe518ff1p-6, 0x1.34e44aea2f4ecp-5, 0x1.9bf86acc79e5p-5, 0x1.018238c5a5f34p-4, 0x1.34f39322886a3p-4, 0x1.683a2d7781c78p-4, 0x1.9b3bbb05954c7p-4, 0x1.cddb167992b24p-4, 0x1.fff9940ad72dep-4, 0x1.18bc199166921p-3, 0x1.311c5215d4cb4p-3, 0x1.490f0f12a6826p-3, 0x1.60870222bc0cfp-3, 0x1.77782f67116a6p-3, 0x1.8dd815f3293f1p-3, 0x1.a39dc70075f3ep-3, 0x1.b8c1eec1ed04ap-3, 0x1.cd3ed1939a70ap-3, 0x1.e110400816bf8p-3, 0x1.f433840c94246p-3, 0x1.0353a486f8e39p-2, 0x1.0c35c05de8ebep-2, 0x1.14c0a2dee5841p-2, 0x1.1cf55eb681a25p-2, 0x1.24d57cb54855fp-2, 0x1.2c62ecdc841fdp-2, 0x1.339ff7ead9f57p-2, 0x1.3a8f3195883b8p-2, 0x1.41336b8cf0b7bp-2, 0x1.478fa95fc4cbap-2, 0x1.4da715473d2f2p-2, 0x1.537cf5dff37bap-2, 0x1.5914a4cdb43ccp-2, 0x1.5e718644e2c75p-2, 0x1.6397017139e51p-2, 0x1.688879afefd33p-2, 0x1.6d49489205a6bp-2, 0x1.71dcb89ae066ep-2, 0x1.764600af02ed6p-2, 0x1.7a884026bd69bp-2, 0x1.7ea67b78ccc6p-2, 0x1.82a399714642p-2, 0x1.868260e9878p-2, 0x1.8a4576f663b02p-2, 0x1.8def5d82444bcp-2, 0x1.9182724977c61p-2, 0x1.9500ee2f6b34bp-2, 0x1.986ce4e411365p-2, 0x1.9bc844d137e93p-2, 0x1.9f14d74807d34p-2, 0x1.a25440e767ccdp-2, 0x1.a58802346dcp-2, 0x1.a8b1785e797a7p-2, 0x1.abd1de2908bb3p-2, 0x1.aeea4cf5b1c08p-2, 0x1.b1fbbde92a8fep-2, 0x1.b5070b2691082p-2, 0x1.b80cf11c9d3b4p-2, 0x1.bb0e0fe0b0214p-2, 0x1.be0aec94180cap-2, 0x1.c103f2d037dbcp-2, 0x1.c3f976167f694p-2, 0x1.c6ebb34192924p-2, 0x1.c9dad1f51bd3fp-2, 0x1.ccc6e60a3abc7p-2, 0x1.cfaff0f6993f7p-2, 0x1.d295e32c8f596p-2, 0x1.d5789d72e474p-2, 0x1.d857f232fd525p-2, 0x1.db33a6bc78bf4p-2, 0x1.de0b747d637e2p-2, 0x1.e0df0a2e6447fp-2, 0x1.e3ae0cf25a211p-2, 0x1.e67819691744ep-2, 0x1.e93cc4b4fbf65p-2, 0x1.ebfb9d7352dbap-2, 0x1.eeb42ca76af0fp-2, 0x1.f165f698849e1p-2, 0x1.f4107ba2b7c27p-2, 0x1.f6b338fb09b0dp-2, 0x1.f94da966fd6e8p-2, 0x1.fbdf45e7ef233p-2, 0x1.fe67865a9f6f3p-2, 0x1.0072f105a582bp-1, 0x1.01ace81f6384fp-1, 0x1.02e16458892dcp-1, 0x1.04102204e54fp-1, 0x1.0538de2383d15p-1, 0x1.065b568f8b10ep-1, 0x1.07774a2cc015ep-1, 0x1.088c790ff7cccp-1, 0x1.099aa4a3a6f25p-1, 0x1.0aa18fc8d31cep-1, 0x1.0ba0fef49a51p-1, 0x1.0c98b84a881cdp-1, 0x1.0d8883b3f165ap-1, 0x1.0e702af4846d8p-1, 0x1.0f4f79bc4675fp-1, 0x1.10263db726233p-1, 0x1.10f4469a556dap-1, 0x1.11b9662f9244bp-1, 0x1.1275705e8854bp-1, 0x1.13283b346ee6fp-1, 0x1.13d19eea0ae07p-1, 0x1.147175e83106dp-1, 0x1.15079ccaec99ep-1, 0x1.1593f26362039p-1, 0x1.161657b88e283p-1, 0x1.168eb006f774fp-1, 0x1.16fce0bf67fa6p-1, 0x1.1760d184c81bap-1, 0x1.17ba6c292af8ep-1, 0x1.18099caa20273p-1, 0x1.184e512c5a1adp-1, 0x1.188879f6b9189p-1, 0x1.18b8096cc8898p-1, 0x1.18dcf408b93edp-1, 0x1.18f73054e80a4p-1, 0x1.1906b6e4f6638p-1, 0x1.190b824e81a25p-1, 0x1.19058f218080fp-1, 0x1.18f4dbe04ed02p-1, 0x1.18d968f76d15bp-1, 0x1.18b338b4fc6fap-1, 0x1.18824f3ffaeaap-1, 0x1.1846b28f46e38p-1, 0x1.18006a606cc14p-1, 0x1.17af802e452eep-1, 0x1.1753ff2765983p-1, 0x1.16edf42468a0fp-1, 0x1.167d6d9e128b2p-1, 0x1.16027ba3503cp-1, 0x1.157d2fcf1a8acp-1, 0x1.14ed9d3e3aff6p-1, 0x1.1453d884f746ap-1, 0x1.13aff7a4a7522p-1, 0x1.1302120132d6fp-1, 0x1.124a4056819a9p-1, 0x1.11889cadd5faep-1, 0x1.10bd42531ee25p-1, 0x1.0fe84dca3b009p-1, 0x1.0f09dcc432c6cp-1, 0x1.0e220e146bca8p-1, 0x1.0d3101a5d78b6p-1, 0x1.0c36d8701dd2p-1, 0x1.0b33b46cc5852p-1, 0x1.0a27b88c61ac7p-1, 0x1.091308abbe3b3p-1, 0x1.07f5c98913732p-1, 0x1.06d020b9416b4p-1, 0x1.05a2349d13f0cp-1, 0x1.046c2c5692107p-1, 0x1.032e2fbe5b09ap-1, 0x1.01e86759134efp-1, 0x1.009afc4ce2adap-1, 0x1.fe8c30ae0c8p-2, 0x1.fbd3cb82ecc4bp-2, 0x1.f90d1eb14e167p-2, 0x1.f63880c2bbd2ap-2, 0x1.f356491d4c617p-2, 0x1.f066cfefc0abap-2, 0x1.ed6a6e1de0b28p-2, 0x1.ea617d2d18ce8p-2, 0x1.e74c57315cdb7p-2, 0x1.e42b56ba50e1ep-2, 0x1.e0fed6c0bc14fp-2, 0x1.ddc7329449a79p-2, 0x1.da84c5c99a1e5p-2, 0x1.d737ec28a7c09p-2, 0x1.d3e1019b7f7b1p-2, 0x1.d080621d51b83p-2, 0x1.cd1669a9dd618p-2, 0x1.c9a3742d38ff9p-2, 0x1.c627dd73f6e34p-2, 0x1.c2a4011bab63bp-2, 0x1.bf183a83d59f7p-2, 0x1.bb84e4bf281e9p-2, 0x1.b7ea5a853a218p-2, 0x1.b448f6249d35ep-2, 0x1.b0a1117557125p-2, 0x1.acf305cbc8137p-2, 0x1.a93f2bebf8a3ap-2, 0x1.a585dbfd4bc9cp-2, 0x1.a1c76d7ea2c03p-2, 0x1.9e04373ae5b2fp-2, 0x1.9a3c8f3df52abp-2, 0x1.9670caca0e417p-2, 0x1.92a13e4d8dd6dp-2, 0x1.8ece3d5927e01p-2, 0x1.8af81a9681acfp-2, 0x1.871f27bf39af2p-2, 0x1.8343b59455bb7p-2, 0x1.7f6613d61a681p-2, 0x1.7b86913c4b87ap-2, 0x1.77a57b6ecdd6cp-2, 0x1.73c31efeb69dp-2, 0x1.6fdfc75fb6582p-2, 0x1.6bfbbee1f008ep-2, 0x1.68174eac2a387p-2, 0x1.6432beb66758p-2, 0x1.604e55c4daed5p-2, 0x1.5c6a59633bfc4p-2, 0x1.58870de0751dbp-2, 0x1.54a4b64aaf305p-2, 0x1.50c3946bb6a2fp-2, 0x1.4ce3e8c5b44e7p-2, 0x1.4905f29041cb4p-2, 0x1.4529efb5cc0eep-2, 0x1.41501cd14e70fp-2, 0x1.3d78b52c5792cp-2, 0x1.39a3f2bd61668p-2, 0x1.35d20e26754cdp-2, 0x1.32033eb417713p-2, 0x1.2e37ba5c7f1ecp-2, 0x1.2a6fb5bf12cebp-2, 0x1.26ab64242a96p-2, 0x1.22eaf77d156c9p-2, 0x1.1f2ea0645c771p-2, 0x1.1b768e1e48baep-2, 0x1.17c2ee99a2deep-2, 0x1.1413ee70af2dbp-2, 0x1.1069b8ea61021p-2, 0x1.0cc477fbc52cfp-2, 0x1.09245449a2747p-2, 0x1.0589752a4a733p-2, 0x1.01f400a79d0bcp-2, 0x1.fcc8370274f63p-3, 0x1.f5b3d25dc2ca1p-3, 0x1.eeab17c5ef159p-3, 0x1.e7ae491a7b36p-3, 0x1.e0bda5bb51a8fp-3, 0x1.d9d96a8ec4164p-3, 0x1.d301d207cfb85p-3, 0x1.cc37142ca9e52p-3, 0x1.c579669d84e2ep-3, 0x1.bec8fc9b99587p-3, 0x1.b826071063a3ap-3, 0x1.b190b49517b8bp-3, 0x1.ab09317a4d4d1p-3, 0x1.a48fa7cfcf31ap-3, 0x1.9e243f6ca67cdp-3, 0x1.97c71df741dafp-3, 0x1.917866edc8d92p-3, 0x1.8b383bae9340ep-3, 0x1.8506bb80bd7a8p-3, 0x1.7ee4039cde5c3p-3, 0x1.78d02f35d4b96p-3, 0x1.72cb5781abd07p-3, 0x1.6cd593c29bde1p-3, 0x1.66eef95017e2ep-3, 0x1.61179b9feec25p-3, 0x1.5b4f8c4f76fp-3, 0x1.5596db2ccc965p-3, 0x1.4fed964015e43p-3, 0x1.4a53c9d4cae0bp-3, 0x1.44c980830d134p-3, 0x1.3f4ec338f7417p-3, 0x1.39e39943f89bfp-3, 0x1.3488085a271ffp-3, 0x1.2f3c14a39901fp-3, 0x1.29ffc0c3b0e69p-3, 0x1.24d30de2693a9p-3, 0x1.1fb5fbb59c05fp-3, 0x1.1aa8888a3a08cp-3, 0x1.15aab14d7c906p-3, 0x1.10bc71960da09p-3, 0x1.0bddc3ad1cc1fp-3, 0x1.070ea0976cc76p-3, 0x1.024f001e4b958p-3, 0x1.fb3db1b0fb345p-4, 0x1.f1fc406632dcbp-4, 0x1.e8d994f4895dbp-4, 0x1.dfd595c3dfe7bp-4, 0x1.d6f0271cd4a41p-4, 0x1.ce292b39dba5p-4, 0x1.c58082581f897p-4, 0x1.bcf60ac828136p-4, 0x1.b489a0fe681cep-4, 0x1.ac3b1fa386f15p-4, 0x1.a40a5fa47be91p-4, 0x1.9bf73842737c1p-4, 0x1.94017f2289eedp-4, 0x1.8c29085d3c1c1p-4, 0x1.846da68db2f33p-4, 0x1.7ccf2ae0c6d55p-4, 0x1.754d6523d752p-4, 0x1.6de823d35fddp-4, 0x1.669f342953573p-4, 0x1.5f72622b3ca8dp-4, 0x1.586178b825205p-4, 0x1.516c41963b229p-4, 0x1.4a9285803debfp-4, 0x1.43d40c32aadd6p-4, 0x1.3d309c78aef95p-4, 0x1.36a7fc38d749bp-4, 0x1.3039f08186833p-4, 0x1.29e63d952d70cp-4, 0x1.23aca6f63e954p-4, 0x1.1d8cef72ec25ep-4, 0x1.1786d930a1c2p-4, 0x1.119a25b743696p-4, 0x1.0bc695fc2da46p-4, 0x1.060bea6cf43adp-4, 0x1.0069e2f9ec50ep-4, 0x1.f5c07e40da50ep-5, 0x1.eadd7be9bc6f4p-5, 0x1.e02a3c59095e8p-5, 0x1.d5a63c4e21f0ap-5, 0x1.cb50f7efed12bp-5, 0x1.c129eadf0927bp-5, 0x1.b730904785c35p-5, 0x1.ad6462f22f439p-5, 0x1.a3c4dd555bc11p-5, 0x1.9a5179a5508ddp-5, 0x1.9109b1e42a187p-5, 0x1.87ecfff158d93p-5, 0x1.7efadd98b0794p-5, 0x1.7632c4a103377p-5, 0x1.6d942eda5257bp-5, 0x1.651e962b928e1p-5, 0x1.5cd174a001ef9p-5, 0x1.54ac44741ff1p-5, 0x1.4cae80222ba9ep-5, 0x1.44d7a26e4c97p-5, 0x1.3d272672484ffp-5, 0x1.359c87a8e0faap-5, 0x1.2e3741f8c6ac7p-5, 0x1.26f6d1bf2eb9p-5, 0x1.1fdab3da087cfp-5, 0x1.18e265b1d5f98p-5, 0x1.120d654326d91p-5, 0x1.0b5b3127bea8cp-5, 0x1.04cb489f51838p-5, 0x1.fcba572fff4e5p-6, 0x1.f020b56cdaeb6p-6, 0x1.e3c8aebb037ecp-6, 0x1.d7b1476bc69d8p-6, 0x1.cbd9856a23a96p-6, 0x1.c04070487a11p-6, 0x1.b4e5114d8a754p-6, 0x1.a9c67380e840fp-6, 0x1.9ee3a3b6d0713p-6, 0x1.943bb09b67aa2p-6, 0x1.89cdaabd76d15p-6, 0x1.7f98a498932dfp-6, 0x1.759bb29ead214p-6, 0x1.6bd5eb413fdfep-6, 0x1.624666f9ce6e4p-6, 0x1.58ec4051fbfd1p-6, 0x1.4fc693eb2d588p-6, 0x1.46d4808590f0fp-6, 0x1.3e152706cd849p-6, 0x1.3587aa80240d1p-6, 0x1.2d2b303439b69p-6, 0x1.24fedf9c5b6f6p-6, 0x1.1d01e26d5cd73p-6, 0x1.1533649c0fbd3p-6, 0x1.0d9294615bea2p-6, 0x1.061ea23de166fp-6, 0x1.fdad81fa93ad1p-7, 0x1.ef744b726624ap-7, 0x1.e1900fb779c85p-7, 0x1.d3ff42438a3fp-7, 0x1.c6c05b3994b7fp-7, 0x1.b9d1d768e2322p-7, 0x1.ad32384f95ea3p-7, 0x1.a0e0041c68ad4p-7, 0x1.94d9c5affd6e5p-7, 0x1.891e0c9d8cf9cp-7, 0x1.7dab6d2af6d88p-7, 0x1.72808050592aep-7, 0x1.679be3b71083fp-7, 0x1.5cfc39b853d92p-7, 0x1.52a0295b24bdbp-7, 0x1.48865e52004a2p-7, 0x1.3ead88f7d2706p-7, 0x1.35145e4cc3502p-7, 0x1.2bb997f276428p-7, 0x1.229bf427c7469p-7, 0x1.19ba35c4535fap-7, 0x1.1113243377deep-7, 0x1.08a58b6f18d21p-7, 0x1.00703bf9f1817p-7, 0x1.f0e415b332248p-8, 0x1.e153a3207f9ebp-8, 0x1.d22cdc2bfe749p-8, 0x1.c36d85a426e9ap-8, 0x1.b5136d271b646p-8, 0x1.a71c6913fd45ep-8, 0x1.9986587b50884p-8, 0x1.8c4f230f46dfdp-8, 0x1.7f74b91346ac3p-8, 0x1.72f5134b4c31dp-8, 0x1.66ce32ea7a409p-8, 0x1.5afe2181bc06p-8, 0x1.4f82f0edb0c29p-8, 0x1.445abb445fc2ep-8, 0x1.3983a2c2ad046p-8, 0x1.2efbd1b9378b6p-8, 0x1.24c17a795e00bp-8, 0x1.1ad2d7417394cp-8, 0x1.112e2a2930d72p-8, 0x1.07d1bd0dbbd88p-8, 0x1.fd77c2fa8cee2p-9, 0x1.ebd5e14594722p-9, 0x1.daba9662c6a69p-9, 0x1.ca22b29f2ae63p-9, 0x1.ba0b1504e4d51p-9, 0x1.aa70ab30c1c09p-9, 0x1.9b5071285a0ebp-9, 0x1.8ca7712f400afp-9, 0x1.7e72c39c5d6d5p-9, 0x1.70af8eaf09621p-9, 0x1.635b06641bc17p-9, 0x1.56726c4ad45e4p-9, 0x1.49f30f596de31p-9, 0x1.3dda4bc2322ap-9, 0x1.32258ac7eac2fp-9, 0x1.26d24292a4caep-9, 0x1.1bddf6048f387p-9, 0x1.1146348e75846p-9, 0x1.07089a04b62b5p-9, 0x1.fa459ce806482p-10, 0x1.e7250becad621p-10, 0x1.d4ab010ff46acp-10, 0x1.c2d313b97305ep-10, 0x1.b198f26a3312p-10, 0x1.a0f8626798bf9p-10, 0x1.90ed3f66adbb9p-10, 0x1.81737b37c0ccp-10, 0x1.72871d723154dp-10, 0x1.64244320ecc1ep-10, 0x1.56471e6f54a59p-10, 0x1.48ebf6563ebdap-10, 0x1.3c0f264a24f55p-10, 0x1.2fad1de9177b8p-10, 0x1.23c260a9ea18cp-10, 0x1.184b858b24b9dp-10, 0x1.0d4536c36f668p-10, 0x1.02ac3171a0c6cp-10, 0x1.f0fa8a9cd08f7p-11, 0x1.dd6aa8bb63ff9p-11, 0x1.caa2a5427de9cp-11, 0x1.b89c8b974487fp-11, 0x1.a75289e7fa06p-11, 0x1.96bef094d1867p-11, 0x1.86dc319a46569p-11, 0x1.77a4dffcabe83p-11, 0x1.6913af34e6cf8p-11, 0x1.5b23729fc89d7p-11, 0x1.4dcf1cec855e8p-11, 0x1.4111bf8fc4248p-11, 0x1.34e68a3582457p-11, 0x1.2948ca35b47ddp-11, 0x1.1e33ea0ab577p-11, 0x1.13a370c7e0376p-11, 0x1.09930193803a1p-11, 0x1.fffcb64214f8cp-12, 0x1.edc2ae599af02p-12, 0x1.dc6fd3f52c567p-12, 0x1.cbfc43a8b5839p-12, 0x1.bc604d16713e1p-12, 0x1.ad9471f3b6bb9p-12, 0x1.9f916511bc7d5p-12, 0x1.925009679753bp-12, 0x1.85c97121ea4bfp-12, 0x1.79f6dcb41244dp-12, 0x1.6ed1b9eca117dp-12, 0x1.6453a30ddb209p-12, 0x1.5a765de882bcdp-12, 0x1.5133dafa023ddp-12, 0x1.4886348e50289p-12, 0x1.4067ade4a972p-12, 0x1.38d2b255d1bd9p-12, 0x1.31c1d48238d34p-12, 0x1.2b2fcd7c01caap-12, 0x1.25177bfb4b5bcp-12, 0x1.1f73e390be629p-12, 0x1.1a402bdcd3ccbp-12, 0x1.15779fcb0f62ep-12, 0x1.1115accee6ddap-12, 0x1.0d15e2246a7e6p-12, 0x1.0973f013329fdp-12, 0x1.062ba7349a25ep-12, 0x1.0338f7be8f04ap-12, 0x1.0097f0ce5b1f4p-12, 0x1.fc897f6fbc9efp-13, 0x1.f8775eb2de5b3p-13, 0x1.f4f24edd79e28p-13, 0x1.f1f357d4ba2b5p-13, 0x1.ef73b89e1d5e2p-13, 0x1.ed6ce61d3ce73p-13, 0x1.ebd889d1b7c24p-13, 0x1.eab0809f9b9fap-13, 0x1.e9eed999cf721p-13, 0x1.e98dd4d2f01b2p-13, 0x1.e987e233d826fp-13, 0x1.e9d7a057a3c0cp-13, 0x1.ea77db6b19d97p-13, 0x1.eb638c13e6b44p-13, 0x1.ec95d65bf8cc3p-13, 0x1.ee0a08a0a5ff9p-13, 0x1.efbb9a89854eep-13, 0x1.f1a62bffe3887p-13, 0x1.f3c584306956dp-13, 0x1.f615908e3c833p-13, 0x1.f89263da89d15p-13, 0x1.fb38353395805p-13, 0x1.fe035f25cb667p-13, 0x1.00782f61d1acdp-12, 0x1.01fde95f71fc5p-12, 0x1.03913d44da871p-12, 0x1.05309abd2abebp-12, 0x1.06da80fa2640cp-12, 0x1.088d7e49dd07bp-12, 0x1.0a482fafbd4e2p-12, 0x1.0c09407fd1314p-12, 0x1.0dcf69f9b6845p-12, 0x1.0f9972e94634dp-12, 0x1.11662f45d68cp-12, 0x1.13347fd5aea52p-12, 0x1.150351d2aac9p-12, 0x1.16d19e9060f15p-12, 0x1.189e6b25293d6p-12, 0x1.1a68c8142ec34p-12, 0x1.1c2fd0f9b1867p-12, 0x1.1df2ac38db81bp-12, 0x1.1fb08aabb62cap-12, 0x1.2168a75445a41p-12, 0x1.231a47102187ep-12, 0x1.24c4b84d8ca72p-12, 0x1.266752c1862c4p-12, 0x1.28017720b3049p-12, 0x1.29928ed870436p-12, 0x1.2b1a0bcab8cbfp-12, 0x1.2c97680b2c1dep-12, 0x1.2e0a259d02042p-12, 0x1.2f71ce3429d12p-12, 0x1.30cdf2f59d244p-12, 0x1.321e2c3b2a57ap-12, 0x1.33621957a683fp-12, 0x1.3499605c7f3e8p-12, 0x1.35c3ade1189cap-12, 0x1.36e0b4cb2c5e7p-12, 0x1.37f02e1914e4ep-12, 0x1.38f1d8ac67de3p-12, 0x1.39e57916d0f56p-12, 0x1.3acad967be5fbp-12, 0x1.3ba1c8fb82c33p-12, 0x1.3c6a1c4adeb27p-12, 0x1.3d23acbd00366p-12, 0x1.3dce5879a9861p-12, 0x1.3e6a023d28f79p-12, 0x1.3ef6912ce0279p-12, 0x1.3f73f0ad42476p-12, 0x1.3fe21039258ap-12, 0x1.4040e3391f601p-12, 0x1.409060dd6938ep-12, 0x1.40d083f75a131p-12, 0x1.41014ad4a2ddcp-12, 0x1.4122b71b79fd2p-12, 0x1.4134cda7bb5aap-12, 0x1.41379668885ccp-12, 0x1.412b1c3fd0f56p-12, 0x1.410f6ce164e4dp-12, 0x1.40e498b460784p-12, 0x1.40aab2b3ded54p-12, 0x1.4061d0523b8b3p-12, 0x1.400a095b5aa51p-12, 0x1.3fa377d9be9bp-12, 0x1.3f2e37fa7c3bp-12, 0x1.3eaa67f340328p-12, 0x1.3e1827e8a1264p-12, 0x1.3d7799d53c011p-12, 0x1.3cc8e171758b2p-12, 0x1.3c0c241c1994p-12, 0x1.3b4188c37750fp-12, 0x1.3a6937cf46969p-12, 0x1.39835b0b7eeb7p-12, 0x1.38901d935cfcbp-12, 0x1.378fabbd41997p-12, 0x1.368233078285dp-12, 0x1.3567e204e1af1p-12, 0x1.3440e84aefb71p-12, 0x1.330d765fc8516p-12, 0x1.31cdbda92fb5p-12, 0x1.3081f05bc2124p-12, 0x1.2f2a416b32995p-12, 0x1.2dc6e47a4f0e8p-12, 0x1.2c580dcc78b8p-12, 0x1.2addf23697fc4p-12, 0x1.2958c711a2a0ap-12, 0x1.27c8c22c895b2p-12, 0x1.262e19bf63cc3p-12, 0x1.2489045eb70abp-12, 0x1.22d9b8ef2e206p-12, 0x1.21206e9a095fap-12, 0x1.1f5d5cc1a5972p-12, 0x1.1d90baf69122ep-12, 0x1.1bbac0ed18558p-12, 0x1.19dba672f65c3p-12, 0x1.17f3a365c095cp-12, 0x1.1602efa967faep-12, 0x1.1409c31f45af8p-12, 0x1.1208559d33bd8p-12, 0x1.0ffedee58a23fp-12, 0x1.0ded969edb0ccp-12, 0x1.0bd4b44c7ff9ep-12, 0x1.09b46f470ffap-12, 0x1.078cfeb57b99bp-12, 0x1.055e998623df5p-12, 0x1.032976687f986p-12, 0x1.00edcbc6d8f77p-12, 0x1.fd579f80d55a1p-13, 0x1.f8c77047ae24ep-13, 0x1.f42b74d346c43p-13, 0x1.ef84175e6bfc6p-13, 0x1.ead1c163d3c4p-13, 0x1.e614db94e6478p-13, 0x1.e14dcdd0c42c6p-13, 0x1.dc7cff1c48221p-13, 0x1.d7a2d599b3c72p-13, 0x1.d2bfb68164782p-13, 0x1.cdd4061aa3241p-13, 0x1.c8e027b511c0ap-13, 0x1.c3e47da23a126p-13, 0x1.bee1692fca4cp-13, 0x1.b9d74aa1fb1b9p-13, 0x1.b4c6812e8970ap-13, 0x1.afaf6af72e8d7p-13, 0x1.aa926506236ap-13, 0x1.a56fcb48e1babp-13, 0x1.a047f88cd5436p-13, 0x1.9b1b467bdab92p-13, 0x1.95ea0d983ebd6p-13, 0x1.90b4a53a9b216p-13, 0x1.8b7b638e95bb9p-13, 0x1.863e9d904b46cp-13, 0x1.80fea70a6e65fp-13, 0x1.7bbbd2942c1ccp-13, 0x1.7676718f1b16p-13, 0x1.712ed4266544dp-13, 0x1.6be5494cb0dd8p-13, 0x1.669a1ebb80e85p-13, 0x1.614da0f242f5fp-13, 0x1.5c001b3573596p-13, 0x1.56b1d78e8221ep-13, 0x1.51631ecb33adfp-13, 0x1.4c14387d7f579p-13, 0x1.46c56afbbab04p-13, 0x1.4176fb60f2acep-13, 0x1.3c292d8cc884dp-13, 0x1.36dc44246cff5p-13, 0x1.3190809348e24p-13, 0x1.2c46230b6ad5bp-13, 0x1.26fd6a86afba3p-13, 0x1.21b694c81f3cdp-13, 0x1.1c71de5c6e71cp-13, 0x1.172f829bee536p-13, 0x1.11efbbabd739p-13, 0x1.0cb2c27f5373fp-13, 0x1.0778ced9ee9bfp-13, 0x1.02421750955cfp-13, 0x1.fa1da297c3456p-14, 0x1.efbe621327ff4p-14, 0x1.e566d33e17f62p-14, 0x1.db1759f64cb29p-14, 0x1.d0d057d06ea05p-14, 0x1.c6922c1d32b37p-14, 0x1.bc5d33ed78405p-14, 0x1.b231ca175f6c4p-14, 0x1.a810473a820acp-14, 0x1.9df901c57680dp-14, 0x1.93ec4dfb26577p-14, 0x1.89ea7df70df11p-14, 0x1.7ff3e1b3462c7p-14, 0x1.7608c70da34cdp-14, 0x1.6c2979ccd2439p-14, 0x1.625643a6940acp-14, 0x1.588f6c44acfefp-14, 0x1.4ed5394b20681p-14, 0x1.4527ee5dabf9fp-14, 0x1.3b87cd24f8926p-14, 0x1.31f51555b0459p-14, 0x1.287004b527768p-14, 0x1.1ef8d7202176bp-14, 0x1.158fc69053f3dp-14, 0x1.0c350b227f31bp-14, 0x1.02e8db1c98487p-14, 0x1.f356d5e7d296cp-15, 0x1.e0f9daa510357p-15, 0x1.cebb263cc0609p-15, 0x1.bc9b16fd2690fp-15, 0x1.aa9a07c3bd6d2p-15, 0x1.98b8500950e71p-15, 0x1.86f643eefa9c8p-15, 0x1.75543448ccd2cp-15, 0x1.63d26eabb11a1p-15, 0x1.52713d792a821p-15, 0x1.4130e7eade296p-15, 0x1.3011b21fc4947p-15, 0x1.1f13dd285572bp-15, 0x1.0e37a71167906p-15, 0x1.fafa95e473435p-16, 0x1.d9ca01ee6cecp-16, 0x1.b8ddfcdcafbb4p-16, 0x1.9836eba602bbbp-16, 0x1.77d52db557baap-16, 0x1.57b91cff47705p-16, 0x1.37e30e1c41bc9p-16, 0x1.1853505de456cp-16, 0x1.f2145bd01fb62p-17, 0x1.b40fd78d39bebp-17, 0x1.7699940b4a288p-17, 0x1.39b207926823ep-17, 0x1.fab33d892495cp-18, 0x1.832179978af7ep-18, 0x1.0caf771591832p-18, 0x1.2ebbaf11fdeafp-19, 0x1.196954bfc549ap-21, -0x1.3f884689cfb5fp-20, -0x1.839ee075e999p-19, -0x1.329a9528afde4p-18, -0x1.a24334e453c8p-18, -0x1.08648a0c4daf1p-17, -0x1.3f1603a7e8f11p-17, -0x1.7535f94f2863cp-17, -0x1.aac464a6ca401p-17, -0x1.dfc146c748503p-17, -0x1.0a165409c80e6p-16, -0x1.24034c08280f2p-16, -0x1.3da7969f5f6bdp-16, -0x1.57034278c3924p-16, -0x1.701661943fffdp-16, -0x1.88e10935445adp-16, -0x1.a16351cf9c34ep-16, -0x1.b99d56f407646p-16, -0x1.d18f373e70b2ep-16, -0x1.e93914438f628p-16, -0x1.004d893f69d1fp-15, -0x1.0bdaaca00edcfp-15, -0x1.1744094d0355cp-15, -0x1.2289b5a8ac295p-15, -0x1.2dabc96585325p-15, -0x1.38aa5d7de6427p-15, -0x1.43858c2b31ee4p-15, -0x1.4e3d70de20f97p-15, -0x1.58d228361d734p-15, -0x1.6343cff985d9bp-15, -0x1.6d92870dbf98cp-15, -0x1.77be6d6f08b02p-15, -0x1.81c7a4290c428p-15, -0x1.8bae4d4f63551p-15, -0x1.95728bf5bf726p-15, -0x1.9f148428a50ebp-15, -0x1.a8945ae6040e8p-15, -0x1.b1f2361676648p-15, -0x1.bb2e3c85d83bep-15, -0x1.c44895dc52b4ep-15, -0x1.cd416a9792f1dp-15, -0x1.d618e403d644ap-15, -0x1.decf2c35a8b4p-15, -0x1.e7646e02f6ec8p-15, -0x1.efd8d4fce6b67p-15, -0x1.f82c8d696d21p-15, -0x1.002fe21e73995p-14, -0x1.0439538a06843p-14, -0x1.0832b21711a4bp-14, -0x1.0c1c15335a7ebp-14, -0x1.0ff59497f9bdp-14, -0x1.13bf48468b569p-14, -0x1.177948863882ap-14, -0x1.1b23ade0f0556p-14, -0x1.1ebe9120d60b2p-14, -0x1.224a0b4d9085ep-14, -0x1.25c635a97c112p-14, -0x1.293329af31899p-14, -0x1.2c91010f27192p-14, -0x1.2fdfd5acf7c6fp-14, -0x1.331fc19d09f78p-14, -0x1.3650df221b9f5p-14, -0x1.397348aaf8408p-14, -0x1.3c8718d029534p-14, -0x1.3f8c6a51b93c3p-14, -0x1.42835814f108fp-14, -0x1.456bfd222917ap-14, -0x1.484674a29ad26p-14, -0x1.4b12d9de586e1p-14, -0x1.4dd1483a4fa5fp-14, -0x1.5081db362c948p-14, -0x1.5324ae6a5b2c5p-14, -0x1.55b9dd8633346p-14, -0x1.5841844e177a6p-14, -0x1.5abbbe997f388p-14, -0x1.5d28a8512f668p-14, -0x1.5f885d6d6e18fp-14, -0x1.61daf9f454804p-14, -0x1.642099f824de4p-14, -0x1.665959958f30cp-14, -0x1.688554f205b5fp-14, -0x1.6aa4a83a37fe6p-14, -0x1.6cb76fa07c854p-14, -0x1.6ebdc75b4a7f3p-14, -0x1.70b7cba3b743ap-14, -0x1.72a598b4055d5p-14, -0x1.74874ac658e55p-14, -0x1.765cfe132cd0cp-14, -0x1.7826cecffd63ap-14, -0x1.79e4d92deeac4p-14, -0x1.7b9739589a44ep-14, -0x1.7d3e0b74a8a8fp-14, -0x1.7ed96b9ec2735p-14, -0x1.806975ea51dfep-14, -0x1.81ee46603c036p-14, -0x1.8367f8fdc0347p-14, -0x1.84d6a9b37108bp-14, -0x1.863a74641ebacp-14, -0x1.879374e3af8cap-14, -0x1.88e1c6f6169b7p-14, -0x1.8a25864e77bcep-14, -0x1.8b5ece8e2e898p-14, -0x1.8c8dbb43ba61cp-14, -0x1.8db267e9c82c6p-14, -0x1.8eccefe678f7ep-14, -0x1.8fdd6e8a4dffcp-14, -0x1.90e3ff0f7d2dp-14, -0x1.91e0bc992c02ap-14, -0x1.92d3c2327087dp-14, -0x1.93bd2acd9226p-14, -0x1.949d114357adbp-14, -0x1.9573905259513p-14, -0x1.9640c29e3967bp-14, -0x1.9704c2aef639fp-14, -0x1.97bfaaf0296fbp-14, -0x1.987195b096075p-14, -0x1.991a9d2183ddap-14, -0x1.99badb55ee2b6p-14, -0x1.9a526a4215462p-14, -0x1.9ae163bae890fp-14, -0x1.9b67e17576e8fp-14, -0x1.9be5fd0674b06p-14, -0x1.9c5bcfe1b22d9p-14, -0x1.9cc97359ababcp-14, -0x1.9d2f009efd54dp-14, -0x1.9d8c90bfe79cbp-14, -0x1.9de23ca802dfep-14, -0x1.9e301d1fb30ebp-14, -0x1.9e764acbcb71p-14, -0x1.9eb4de2d4245p-14, -0x1.9eebefa0b52bp-14, -0x1.9f1b975e1fa58p-14, -0x1.9f43ed78757fap-14, -0x1.9f6509dd6d1e2p-14, -0x1.9f7f04550ac39p-14, -0x1.9f91f48157f77p-14, -0x1.9f9df1de37eddp-14, -0x1.9fa313c12ad1cp-14, -0x1.9fa17158ea26fp-14, -0x1.9f9921ad3c78fp-14, -0x1.9f8a3b9ec0efp-14, -0x1.9f74d5e69ddf5p-14, -0x1.9f5907168016ap-14, -0x1.9f36e59836af3p-14, -0x1.9f0e87adb1157p-14, -0x1.9ee00370a241fp-14, -0x1.9eab6ed29c1b1p-14, -0x1.9e70df9ca97ecp-14, -0x1.9e306b6f67d76p-14, -0x1.9dea27c2dc3b9p-14, -0x1.9d9e29e6198a5p-14, -0x1.9d4c86ff5c56ap-14, -0x1.9cf5540bff326p-14, -0x1.9c98a5e06370dp-14, -0x1.9c369127c5bcep-14, -0x1.9bcf2a643d603p-14, -0x1.9b6285eea872ap-14, -0x1.9af0b7f6ad4b1p-14, -0x1.9a79d482b03abp-14, -0x1.99fdef6fca2f1p-14, -0x1.997d1c71c7f98p-14, -0x1.98f76f131736ep-14, -0x1.986cfab4de73p-14, -0x1.97ddd28f0ea23p-14, -0x1.974a09b0439adp-14, -0x1.96b1b2fdbce08p-14, -0x1.9614e133a4cc5p-14, -0x1.9573a6e4f38bfp-14, -0x1.94ce167b5f75bp-14, -0x1.9424423789871p-14, -0x1.93763c313e11p-14, -0x1.92c416573749dp-14, -0x1.920de26f38dd4p-14, -0x1.9153b216517ecp-14, -0x1.909596c0c7753p-14, -0x1.8fd3a1ba496c3p-14, -0x1.8f0de425f20eep-14, -0x1.8e446efe633bp-14, -0x1.8d775315ed75p-14, -0x1.8ca6a116ada1p-14, -0x1.8bd26982b7b4ap-14, -0x1.8afabcb415a25p-14, -0x1.8a1faadcda9fbp-14, -0x1.894144076e729p-14, -0x1.885f98169b21cp-14, -0x1.877ab6c5a93d7p-14, -0x1.8692afa8b5146p-14, -0x1.85a7922ca527cp-14, -0x1.84b96d9735e0ep-14, -0x1.83c851074e0ddp-14, -0x1.82d44b754ab8ap-14, -0x1.81dd6bb2bf905p-14, -0x1.80e3c06afda7ep-14, -0x1.7fe758232155bp-14, -0x1.7ee8413a27a31p-14, -0x1.7de689e9208f3p-14, -0x1.7ce240438b1c8p-14, -0x1.7bdb7237602p-14, -0x1.7ad22d8d36767p-14, -0x1.79c67fe8793dfp-14, -0x1.78b876c7a14cbp-14, -0x1.77a81f8448d43p-14, -0x1.769587538ed19p-14, -0x1.7580bb463f0b5p-14, -0x1.7469c848e1619p-14, -0x1.7350bb24000f9p-14, -0x1.7235a07c46d5cp-14, -0x1.711884d2e4f98p-14, -0x1.6ff97485ad279p-14, -0x1.6ed87bcf34faep-14, -0x1.6db5a6c70e739p-14, -0x1.6c9101622aaf2p-14, -0x1.6b6a9772c9b1ap-14, -0x1.6a4274a8e39a8p-14, -0x1.6918a4926b796p-14, -0x1.67ed329b5373p-14, -0x1.66c02a0dd1077p-14, -0x1.65919612af65ap-14, -0x1.646181b180993p-14, -0x1.632ff7d0bd9b3p-14, -0x1.61fd033614ddp-14, -0x1.60c8ae8690d5bp-14, -0x1.5f930446f2421p-14, -0x1.5e5c0edbd1a6ep-14, -0x1.5d23d889d728bp-14, -0x1.5bea6b75e39eap-14, -0x1.5aafd1a55bdf6p-14, -0x1.597414fe89dap-14, -0x1.58373f48a145p-14, -0x1.56f95a2bf40a7p-14, -0x1.55ba6f323d0a3p-14, -0x1.547a87c6fa2cap-14, -0x1.5339ad377a9dep-14, -0x1.51f7e8b33430ep-14, -0x1.50b5434be5f62p-14, -0x1.4f71c5f5cdea6p-14, -0x1.4e2d7988041dep-14, -0x1.4ce866bca92e7p-14, -0x1.4ba296310ca62p-14, -0x1.4a5c1065eda7cp-14, -0x1.4914ddbfcc2cep-14, -0x1.47cd068719d83p-14, -0x1.468492e867b6ap-14, -0x1.453b8af48598p-14, -0x1.43f1f6a0f1ed8p-14, -0x1.42a7ddc80fa69p-14, -0x1.415d482941086p-14, -0x1.40123d691b054p-14, -0x1.3ec6c511ae8ep-14, -0x1.3d7ae692e66cep-14, -0x1.3c2ea9428b0e3p-14, -0x1.3ae2145c89d65p-14, -0x1.39952f0342983p-14, -0x1.3848003f99f5p-14, -0x1.36fa8f015d858p-14, -0x1.35ace21f62d5bp-14, -0x1.345f0057ad39ap-14, -0x1.3310f04fd2dcep-14, -0x1.31c2b895374ebp-14, -0x1.30745f9d07e75p-14, -0x1.2f25ebc48d353p-14, -0x1.2dd7635193d49p-14, -0x1.2c88cc726d567p-14, -0x1.2b3a2d3e1e304p-14, -0x1.29eb8bb4b7a02p-14, -0x1.289cedbf9c214p-14, -0x1.274e593192283p-14, -0x1.25ffd3c6dfb29p-14, -0x1.24b16325c12c7p-14, -0x1.23630cdea08fcp-14, -0x1.2214d66c052e1p-14, -0x1.20c6c532f271fp-14, -0x1.1f78de83318ccp-14, -0x1.1e2b279765d1dp-14, -0x1.1cdda5954150ap-14, -0x1.1b905d8dd331ap-14, -0x1.1a43547d9c6d9p-14, -0x1.18f68f4ce8413p-14, -0x1.17aa12cfe1f8ep-14, -0x1.165de3c6bc088p-14, -0x1.151206de10c7ep-14, -0x1.13c680af005a4p-14, -0x1.127b55bf4704cp-14, -0x1.11308a8180601p-14, -0x1.0fe623558c39dp-14, -0x1.0e9c24886e55bp-14, -0x1.0d5292549a449p-14, -0x1.0c0970e25536p-14, -0x1.0ac0c447b090ap-14, -0x1.09789088aee08p-14, -0x1.0830d997adf15p-14, -0x1.06e9a3557f20cp-14, -0x1.05a2f1916d7ep-14, -0x1.045cc80994ccap-14, -0x1.03172a6b24e3dp-14, -0x1.01d21c525e149p-14, -0x1.008da14ad6841p-14, -0x1.fe93799f5b074p-15, -0x1.fc0ce497763e2p-15, -0x1.f9878a335d1d4p-15, -0x1.f703710874571p-15, -0x1.f4809f8ca4414p-15, -0x1.f1ff1c16bbe8ep-15, -0x1.ef7eecde63bdfp-15, -0x1.ed0017fce3034p-15, -0x1.ea82a36d8c9d3p-15, -0x1.e806950d7e378p-15, -0x1.e58bf29c529d2p-15, -0x1.e312c1bcd9d38p-15, -0x1.e09b07f4aadb1p-15, -0x1.de24caace4143p-15, -0x1.dbb00f32bb5c8p-15, -0x1.d93cdab71d805p-15, -0x1.d6cb324f8c86ep-15, -0x1.d45b1af68df1cp-15, -0x1.d1ec998b7173fp-15, -0x1.cf7fb2d2e72eep-15, -0x1.cd146b7788f81p-15, -0x1.caaac809deab6p-15, -0x1.c842cd00a9d45p-15, -0x1.c5dc7eb959553p-15, -0x1.c377e17860977p-15, -0x1.c114f96947661p-15, -0x1.beb3ca9f23584p-15, -0x1.bc545914e098cp-15, -0x1.b9f6a8ad985ep-15, -0x1.b79abd348fd51p-15, -0x1.b5409a5df65d8p-15, -0x1.b2e843c6ecbdcp-15, -0x1.b091bcf57d361p-15, -0x1.ae3d0959b654p-15, -0x1.abea2c4d438b6p-15, -0x1.a99929139cc4fp-15, -0x1.a74a02dafcce7p-15, -0x1.a4fcbcbc12737p-15, -0x1.a2b159ba546f9p-15, -0x1.a067dcc49ff59p-15, -0x1.9e2048b5007acp-15, -0x1.9bdaa05143129p-15, -0x1.9996e64b4d9f3p-15, -0x1.97551d4104849p-15, -0x1.951547bcb71a7p-15, -0x1.92d76835b0268p-15, -0x1.909b810fe865dp-15, -0x1.8e61949ca346ap-15, -0x1.8c29a51a9a247p-15, -0x1.89f3b4b637ba7p-15, -0x1.87bfc589cc054p-15, -0x1.858dd99dcfa2ap-15, -0x1.835df2e9417e5p-15, -0x1.813013518ce0ep-15, -0x1.7f043cab2a208p-15, -0x1.7cda70b9b2cd9p-15, -0x1.7ab2b12fc483fp-15, -0x1.788cffb004534p-15, -0x1.76695dcc8319ep-15, -0x1.7447cd074c8dep-15, -0x1.72284ed307ecfp-15, -0x1.700ae4926277bp-15, -0x1.6def8f98cb273p-15, -0x1.6bd6512ab8365p-15, -0x1.69bf2a7d80385p-15, -0x1.67aa1cb7e754ap-15, -0x1.659728f211396p-15, -0x1.63865035df811p-15, -0x1.6177937f3683p-15, -0x1.5f6af3bbe4d35p-15, -0x1.5d6071cc0e44ap-15, -0x1.5b580e8287c76p-15, -0x1.5951caa49971cp-15, -0x1.574da6ea82012p-15, -0x1.554ba3ffa6c4cp-15, -0x1.534bc282a712fp-15, -0x1.514e030578067p-15, -0x1.4f52660ddefe8p-15, -0x1.4d58ec155527fp-15, -0x1.4b61958956c0cp-15, -0x1.496c62cbbc723p-15, -0x1.477954325c32ep-15, -0x1.45886a07f7111p-15, }}, 
      {{0x1.59778c1a10613p-1, 0x1.593877d8db691p-1, 0x1.58d5efed6896fp-1, 0x1.585707f46b481p-1, 0x1.57c2d8a6d48ddp-1, 0x1.571fcc413cd7dp-1, 0x1.5673480a2d63fp-1, 0x1.55c18fcf22bc3p-1, 0x1.550dcbf52ed42p-1, 0x1.545a22d1ea077p-1, 0x1.53a7db7d771b2p-1, 0x1.52f783f9377d2p-1, 0x1.524916f2c77dep-1, 0x1.519c1efef4727p-1, 0x1.50efd62c50d98p-1, 0x1.504341719cd57p-1, 0x1.4f9547e24abf8p-1, 0x1.4ee4c5d0db319p-1, 0x1.4e309c2a0cacep-1, 0x1.4d77bc6638c18p-1, 0x1.4cb93175e8f0dp-1, 0x1.4bf4260f8e7cp-1, 0x1.4b27e8c0e4942p-1, 0x1.4a53ee20a0b8bp-1, 0x1.4977d175a3304p-1, 0x1.48935420b3bcfp-1, 0x1.47a65c0d69abdp-1, 0x1.46b0f1668083cp-1, 0x1.45b33bc1c9b67p-1, 0x1.44ad7ef04fd0ap-1, 0x1.43a017982ebe3p-1, 0x1.428b77b72950dp-1, 0x1.4170232737046p-1, 0x1.404eac3911ad4p-1, 0x1.3f27b0743aa25p-1, 0x1.3dfbd588003a8p-1, 0x1.3ccbc675a1419p-1, 0x1.3b9830f8d88cdp-1, 0x1.3a61c331b2e55p-1, 0x1.39292990a013bp-1, 0x1.37ef0d0424752p-1, 0x1.36b411664e931p-1, 0x1.3578d4272df93p-1, 0x1.343deb30d38a3p-1, 0x1.3303e400f13cap-1, 0x1.31cb42f3dee21p-1, 0x1.309482bcaa63bp-1, 0x1.2f601405ccacfp-1, 0x1.2e2e5d3632eap-1, 0x1.2cffba5669712p-1, 0x1.2bd47d11e921cp-1, 0x1.2aacecd0c39cfp-1, 0x1.298946e627a4ap-1, 0x1.2869bed080984p-1, 0x1.274e7e8834063p-1, 0x1.2637a6da4e56fp-1, 0x1.25254fccaeee6p-1, 0x1.2417890984c4dp-1, 0x1.230e5a5031bfp-1, 0x1.2209c3e9e23e1p-1, 0x1.2109bf205bd08p-1, 0x1.200e3eb5bdc74p-1, 0x1.1f172f5c17cadp-1, 0x1.1e24782bea7b2p-1, 0x1.1d35fb18c598dp-1, 0x1.1c4b9563601afp-1, 0x1.1b652008a132fp-1, 0x1.1a82702d2d2b5p-1, 0x1.19a3578520975p-1, 0x1.18c7a4b7bb265p-1, 0x1.17ef23bec9f36p-1, 0x1.17199e41b4118p-1, 0x1.1646dbec17136p-1, 0x1.1576a2bfeef1bp-1, 0x1.14a8b7634bb9ep-1, 0x1.13dcdd69a3193p-1, 0x1.1312d798cb663p-1, 0x1.124a6829beb93p-1, 0x1.118351053b68dp-1, 0x1.10bd53fc6632dp-1, 0x1.0ff832fd8cdb5p-1, 0x1.0f33b0452f4c6p-1, 0x1.0e6f8e8b729e5p-1, 0x1.0dab912e244bap-1, 0x1.0ce77c5774b5p-1, 0x1.0c2315218de77p-1, 0x1.0b5e21b72b959p-1, 0x1.0a9869715c49dp-1, 0x1.09d1b4f28daf8p-1, 0x1.0909ce3f0872ap-1, 0x1.084080d2fe3e7p-1, 0x1.077599b649f3fp-1, 0x1.06a8e78e069a6p-1, 0x1.05da3aac13e8cp-1, 0x1.0509651caf8b8p-1, 0x1.04363ab238441p-1, 0x1.0360910f393a3p-1, 0x1.02883faed7e2dp-1, 0x1.01ad1febba79ap-1, 0x1.00cf0d058333ap-1, 0x1.ffdbc849df1dp-2, 0x1.fe1308bd7189ep-2, 0x1.fc439d6a8925ap-2, 0x1.fa6d4c3271f79p-2, 0x1.f88fded213e31p-2, 0x1.f6ab22df1976p-2, 0x1.f4bee9c34879fp-2, 0x1.f2cb08b62cd5cp-2, 0x1.f0cf58b52b4b5p-2, 0x1.eecbb67a23a6dp-2, 0x1.ecc00270aeb05p-2, 0x1.eaac20aa20559p-2, 0x1.e88ff8d057b95p-2, 0x1.e66b76177d42dp-2, 0x1.e43e872ebe12cp-2, 0x1.e2091e3021e4p-2, 0x1.dfcb308f81808p-2, 0x1.dd84b708bc941p-2, 0x1.db35ad8d3b2d2p-2, 0x1.d8de1330cac0fp-2, 0x1.d67dea15e92b7p-2, 0x1.d41537598bbedp-2, 0x1.d1a402fe71559p-2, 0x1.cf2a57d80c99ep-2, 0x1.cca8437515045p-2, 0x1.ca1dd609ca035p-2, 0x1.c78b2259f6ccbp-2, 0x1.c4f03da2bd02dp-2, 0x1.c24d3f8438358p-2, 0x1.bfa241eb00d6ep-2, 0x1.bcef60f998c26p-2, 0x1.ba34baf1cb733p-2, 0x1.b772701e0c783p-2, 0x1.b4a8a2badc104p-2, 0x1.b1d776e037363p-2, 0x1.aeff126b219eep-2, 0x1.ac1f9ce74c4e1p-2, 0x1.a9393f78deea1p-2, 0x1.a64c24c670ff6p-2, 0x1.a35878e333348p-2, 0x1.a05e6939513a8p-2, 0x1.9d5e247491bfep-2, 0x1.9a57da6d3c521p-2, 0x1.974bbc13459cep-2, 0x1.9439fb59ca639p-2, 0x1.9122cb22dd28fp-2, 0x1.8e065f2ba99a9p-2, 0x1.8ae4ebf8f305ep-2, 0x1.87bea6c3ef298p-2, 0x1.8493c567854ccp-2, 0x1.81647e4dee191p-2, 0x1.7e31085ebc2p-2, 0x1.7af99aed4edp-2, 0x1.77be6da7aef64p-2, 0x1.747fb885dc49p-2, 0x1.713db3b986412p-2, 0x1.6df8979e39f0fp-2, 0x1.6ab09ca9feafdp-2, 0x1.6765fb5e6984bp-2, 0x1.6418ec3a22ea7p-2, 0x1.60c9a7aadfce6p-2, 0x1.5d7865ffd3f22p-2, 0x1.5a255f5c96a63p-2, 0x1.56d0cbac7cf2dp-2, 0x1.537ae2966c41dp-2, 0x1.5023db711e814p-2, 0x1.4ccbed37dd756p-2, 0x1.49734e7fb145cp-2, 0x1.461a356d03258p-2, 0x1.42c0d7a9b103fp-2, 0x1.3f676a5b94065p-2, 0x1.3c0e221b780a2p-2, 0x1.38b532ec8038cp-2, 0x1.355cd033f98f8p-2, 0x1.32052cb19d8d8p-2, 0x1.2eae7a7839288p-2, 0x1.2b58eae6c295ep-2, 0x1.2804aea1d2ea1p-2, 0x1.24b1f58d87f38p-2, 0x1.2160eec7c5f64p-2, 0x1.1e11c8a2dfe17p-2, 0x1.1ac4b0a09b6f2p-2, 0x1.1779d36d9526p-2, 0x1.14315cdcffd4ap-2, 0x1.10eb77e4bab1cp-2, 0x1.0da84e99c4b94p-2, 0x1.0a680a2cfde1bp-2, 0x1.072ad2e8420a3p-2, 0x1.03f0d02bd0df9p-2, 0x1.00ba286c03291p-2, 0x1.fb0e025ea204cp-3, 0x1.f4aefe193c049p-3, 0x1.ee578b5399445p-3, 0x1.e807ef75370f2p-3, 0x1.e1c06dff81a36p-3, 0x1.db81488c95c78p-3, 0x1.d54abece75993p-3, 0x1.cf1d0e8ec06ccp-3, 0x1.c8f873aed9811p-3, 0x1.c2dd28287e696p-3, 0x1.bccb640ecd2cep-3, 0x1.b6c35d8fac096p-3, 0x1.b0c548f59ba47p-3, 0x1.aad158a9e2147p-3, 0x1.a4e7bd3711636p-3, 0x1.9f08a54bec30bp-3, 0x1.99343dbe90b12p-3, 0x1.936ab190000a7p-3, 0x1.8dac29efe5e5bp-3, 0x1.87f8ce40ac87bp-3, 0x1.8250c41bd5858p-3, 0x1.7cb42f568c876p-3, 0x1.772332067ea71p-3, 0x1.719dec86e4d2fp-3, 0x1.6c247d7dc2f7ep-3, 0x1.66b701e15db42p-3, 0x1.615594fddea8ep-3, 0x1.5c00507b1e9ecp-3, 0x1.56b74c62a0ebbp-3, 0x1.517a9f25abe0bp-3, 0x1.4c4a5da38c50bp-3, 0x1.47269b2ff45c5p-3, 0x1.420f69997581fp-3, 0x1.3d04d9301dddbp-3, 0x1.3806f8cc20d78p-3, 0x1.3315d5d4a3e2fp-3, 0x1.2e317c4691665p-3, 0x1.2959f6bb84435p-3, 0x1.248f4e70bece9p-3, 0x1.1fd18b4e30bbfp-3, 0x1.1b20b3ed83325p-3, 0x1.167ccda133d4p-3, 0x1.11e5dc7bad234p-3, 0x1.0d5be3566c18bp-3, 0x1.08dee3d923164p-3, 0x1.046ede80df7d5p-3, 0x1.000bd2a72f454p-3, 0x1.f76b7d1284577p-4, 0x1.eed93e9e15cacp-4, 0x1.e660e224af048p-4, 0x1.de025dcbc5925p-4, 0x1.d5bda5b8c41c3p-4, 0x1.cd92ac1f0d70bp-4, 0x1.c581614dec36ap-4, 0x1.bd89b3be64b74p-4, 0x1.b5ab9020fddc2p-4, 0x1.ade6e16b5ff4dp-4, 0x1.a63b90e5dadaep-4, 0x1.9ea98638cff1p-4, 0x1.9730a779fa004p-4, 0x1.8fd0d93990249p-4, 0x1.8889fe8f463d5p-4, 0x1.815bf9272d005p-4, 0x1.7a46a94e636d2p-4, 0x1.7349edffa6a7ap-4, 0x1.6c65a4efb3ba1p-4, 0x1.6599aa998737p-4, 0x1.5ee5da4a678dp-4, 0x1.584a0e2dcbd0dp-4, 0x1.51c61f591145ep-4, 0x1.4b59e5d706541p-4, 0x1.450538b345762p-4, 0x1.3ec7ee055eb9dp-4, 0x1.38a1dafbd8f6p-4, 0x1.3292d3e6fd2c4p-4, 0x1.2c9aac4373a5bp-4, 0x1.26b936c4af73fp-4, 0x1.20ee455f2c8e9p-4, 0x1.1b39a95277949p-4, 0x1.159b333307a33p-4, 0x1.1012b2f3e690ep-4, 0x1.0a9ff7f0256fdp-4, 0x1.0542d0f422712p-4, 0x1.fff6188d33505p-5, 0x1.f590ef630eb79p-5, 0x1.eb55c115ace3dp-5, 0x1.e1442779bcf52p-5, 0x1.d75bbb9d63c1dp-5, 0x1.cd9c15d86fb8ep-5, 0x1.c404cddc2f2dfp-5, 0x1.ba957ac2e588cp-5, 0x1.b14db31ede4acp-5, 0x1.a82d0d092331fp-5, 0x1.9f331e2fc981ap-5, 0x1.965f7be3f400ap-5, 0x1.8db1bb275d564p-5, 0x1.852970b99cbd4p-5, 0x1.7cc6312501ddbp-5, 0x1.748790cb18b05p-5, 0x1.6c6d23f0d2f57p-5, 0x1.64767eca584e3p-5, 0x1.5ca3358680d55p-5, 0x1.54f2dc59f221ap-5, 0x1.4d650789ee2bfp-5, 0x1.45f94b76c660bp-5, 0x1.3eaf3ca5ff2cap-5, 0x1.37866fcc1ebf1p-5, 0x1.307e79d62d551p-5, 0x1.2996eff2dd8f7p-5, 0x1.22cf679b702c5p-5, 0x1.1c27769c42415p-5, 0x1.159eb31d11926p-5, 0x1.0f34b3a8f59dep-5, 0x1.08e90f360bf3fp-5, 0x1.02bb5d2ce1011p-5, 0x1.f9566adf12a75p-6, 0x1.ed7060c0fb53p-6, 0x1.e1c3cdd258175p-6, 0x1.d64fe50085cc6p-6, 0x1.cb13da5f8423cp-6, 0x1.c00ee335882eap-6, 0x1.b54036060ed1dp-6, 0x1.aaa70a9c7a69dp-6, 0x1.a0429a162e406p-6, 0x1.96121eec374e2p-6, 0x1.8c14d4fc786f8p-6, 0x1.8249f992681e2p-6, 0x1.78b0cb6f6118dp-6, 0x1.6f488ad2810b9p-6, 0x1.6610798015ec9p-6, 0x1.5d07dac8ae766p-6, 0x1.542df38fb7ee9p-6, 0x1.4b820a51c77aap-6, 0x1.4303672a6bd54p-6, 0x1.3ab153d9b46bap-6, 0x1.328b1bc94fa1ap-6, 0x1.2a900c115288p-6, 0x1.22bf737ca89d3p-6, 0x1.1b18a28d2a2efp-6, 0x1.139aeb7f66093p-6, 0x1.0c45a24e0ef52p-6, 0x1.05181cb524f72p-6, 0x1.fc236469a0e0bp-7, 0x1.ee637827c7c3ap-7, 0x1.e0ef2ac4560b1p-7, 0x1.d3c535f4cc549p-7, 0x1.c6e45707f8c0fp-7, 0x1.ba4b4ee8fa31dp-7, 0x1.adf8e221993d1p-7, 0x1.a1ebd8dc49dd5p-7, 0x1.9622fee58e1b2p-7, 0x1.8a9d23ad0f862p-7, 0x1.7f591a461f478p-7, 0x1.7455b967d7e8ap-7, 0x1.6991db6ce0cfp-7, 0x1.5f0c5e52be501p-7, 0x1.54c423b8b6cf4p-7, 0x1.4ab810de75b6fp-7, 0x1.40e70ea22899p-7, 0x1.3750097e6e034p-7, 0x1.2df1f187d7f47p-7, 0x1.24cbba6a1998cp-7, 0x1.1bdc5b64f1e44p-7, 0x1.1322cf48ba8e7p-7, 0x1.0a9e1472c9bd1p-7, 0x1.024d2cc96f79ap-7, 0x1.f45e3b6f79f13p-8, 0x1.e485e052129d2p-8, 0x1.d50f61088bbefp-8, 0x1.c5f8dd4dfd921p-8, 0x1.b7407bc06d226p-8, 0x1.a8e469d60ed9dp-8, 0x1.9ae2dbd2104d2p-8, 0x1.8d3a0cb91e7abp-8, 0x1.7fe83e4582339p-8, 0x1.72ebb8dad4fp-8, 0x1.6642cb7982b0ap-8, 0x1.59ebcbb1d1b73p-8, 0x1.4de51596cb91p-8, 0x1.422d0bb0caa69p-8, 0x1.36c216efbee4p-8, 0x1.2ba2a69d3d2f5p-8, 0x1.20cd304e51c94p-8, 0x1.16402fd52b8f1p-8, 0x1.0bfa273265d78p-8, 0x1.01f99e866b15ap-8, 0x1.f07a4804ab70ep-9, 0x1.dd8697b1eab4cp-9, 0x1.cb15605f2275fp-9, 0x1.b923e21ccee58p-9, 0x1.a7af68a28ca9p-9, 0x1.96b54b2fb66eap-9, 0x1.8632ec6c15a54p-9, 0x1.7625ba4837716p-9, 0x1.668b2ddda33c3p-9, 0x1.5760cb4f05702p-9, 0x1.48a421a80804ap-9, 0x1.3a52cabd7558ep-9, 0x1.2c6a6b0cc3a02p-9, 0x1.1ee8b19c0e139p-9, 0x1.11cb57d99fce8p-9, 0x1.0510217bc8f98p-9, 0x1.f169b8c0e1ee6p-10, 0x1.d96ec0d9dde13p-10, 0x1.c22b1edb08ba7p-10, 0x1.ab9aa9eaa248fp-10, 0x1.95b94c7c1284dp-10, 0x1.8083040fa2882p-10, 0x1.6bf3e0f28c39fp-10, 0x1.580805feac85ep-10, 0x1.44bba85b4a8c8p-10, 0x1.320b0f3d01064p-10, 0x1.1ff293a6e0a67p-10, 0x1.0e6ea02b7bf9dp-10, 0x1.faf7615baf5dcp-11, 0x1.da2ca4469b01bp-11, 0x1.ba7644aaa718p-11, 0x1.9bcd9f47b53c7p-11, 0x1.7e2c318ffd372p-11, 0x1.618b992d5e3b7p-11, 0x1.45e59388f965dp-11, 0x1.2b33fd524f792p-11, 0x1.1170d207cbdap-11, 0x1.f12c56ffef0d1p-12, 0x1.c13c82e7c1195p-12, 0x1.9306d21428a42p-12, 0x1.668028c4a6d06p-12, 0x1.3b9da4463cf5ep-12, 0x1.12549a0e37ae5p-12, 0x1.d5352db09dbb1p-13, 0x1.88cabb8e73f4ep-13, 0x1.3f55cf0aebc41p-13, 0x1.f18585a8428e9p-14, 0x1.69fcb278f1fbp-14, 0x1.cfd6ea2dba42bp-15, 0x1.acb39a8facb23p-16, -0x1.8c634eff64cc5p-19, -0x1.fb9fb7573f5f7p-16, -0x1.d9086896f278bp-15, -0x1.5559d31ecf35dp-14, -0x1.b989f7306dedap-14, -0x1.0c9a8c0f08e93p-13, -0x1.3a3d7dad8153bp-13, -0x1.65bd5b9fa1181p-13, -0x1.8f295b07f0d9cp-13, -0x1.b6905c7d28c87p-13, -0x1.dc00ed8546e45p-13, -0x1.ff894a09fc32dp-13, -0x1.109baee5c7b73p-12, -0x1.208c62e5acd93p-12, -0x1.2f9d68dac5b3bp-12, -0x1.3dd542a167cfdp-12, -0x1.4b3a4ccc0f567p-12, -0x1.57d2bf50392edp-12, -0x1.63a4ae316114ap-12, -0x1.6eb60a2983533p-12, -0x1.790ca14f68d87p-12, -0x1.82ae1fba97cdbp-12, -0x1.8ba010251ebf3p-12, -0x1.93e7dc8b70d1fp-12, -0x1.9b8acec8e3156p-12, -0x1.a28e113429628p-12, -0x1.a8f6af36bf098p-12, -0x1.aec995e488b2cp-12, -0x1.b40b94902f395p-12, -0x1.b8c15d5cf6826p-12, -0x1.bcef85cfc8c4bp-12, -0x1.c09a875c7748ep-12, -0x1.c3c6bff1e7febp-12, -0x1.c678728468647p-12, -0x1.c8b3c7946e32bp-12, -0x1.ca7ccdb4d5e17p-12, -0x1.cbd77a0e5a0e1p-12, -0x1.ccc7a8e1264bdp-12, -0x1.cd511e03f4593p-12, -0x1.cd7785622085bp-12, -0x1.cd3e7376ac371p-12, -0x1.cca965c5c7078p-12, -0x1.cbbbc3549921dp-12, -0x1.ca78dd1e9b9e1p-12, -0x1.c8e3ee896fceep-12, -0x1.c7001dd6c6431p-12, -0x1.c4d07c9403f74p-12, -0x1.c25808085067ep-12, -0x1.bf99a9a17009ep-12, -0x1.bc98375ca23ffp-12, -0x1.b95674312719bp-12, -0x1.b5d7107577afdp-12, -0x1.b21caa4520a1ep-12, -0x1.ae29cde414f6p-12, -0x1.aa00f61fd452ep-12, -0x1.a5a48caf87844p-12, -0x1.a116ea920bd27p-12, -0x1.9c5a586ad2699p-12, -0x1.97710edcb0d52p-12, -0x1.925d36e2c2891p-12, -0x1.8d20ea288b777p-12, -0x1.87be33603a1cep-12, -0x1.82370e9671b2cp-12, -0x1.7c8d698630c02p-12, -0x1.76c323e99f7c4p-12, -0x1.70da0fcab68f2p-12, -0x1.6ad3f1d13538ap-12, -0x1.64b2819043b2cp-12, -0x1.5e7769d18bb5fp-12, -0x1.582448dfd4b08p-12, -0x1.51bab0cfcb2a8p-12, -0x1.4b3c27c76294ap-12, -0x1.44aa2843fd2f4p-12, -0x1.3e06215f605a1p-12, -0x1.375177130599ep-12, -0x1.308d827a26761p-12, -0x1.29bb9212e967ep-12, -0x1.22dce9fda04b9p-12, -0x1.1bf2c43bd4d3ap-12, -0x1.14fe50ecdfd4dp-12, -0x1.0e00b68a1322fp-12, -0x1.06fb1221cfcdbp-12, -0x1.ffdcef217b46p-13, -0x1.f1b7e37522667p-13, -0x1.e389058255e3dp-13, -0x1.d55248766ead1p-13, -0x1.c7158ed245646p-13, -0x1.b8d4aad26f19cp-13, -0x1.aa915ed525be7p-13, -0x1.9c4d5dbf010ep-13, -0x1.8e0a4b5c358dap-13, -0x1.7fc9bcc06073p-13, -0x1.718d38a5a04ccp-13, -0x1.635637c759c83p-13, -0x1.5526253d55a3p-13, -0x1.46fe5ed3826dp-13, -0x1.38e0356072071p-13, -0x1.2acced1a39b4bp-13, -0x1.1cc5bde8ea15p-13, -0x1.0ecbd3b7b470dp-13, -0x1.00e04ec481035p-13, -0x1.e60887da8d345p-14, -0x1.ca7179f8a0c83p-14, -0x1.aefd71e56d287p-14, -0x1.93ae58a1f42d8p-14, -0x1.788602bbf941fp-14, -0x1.5d8630da1dda4p-14, -0x1.42b09043837dp-14, -0x1.2806bb65c6d12p-14, -0x1.0d8a3a570785cp-14, -0x1.e67906aab51dfp-15, -0x1.b23df68873c9dp-15, -0x1.7e65ec49a4389p-15, -0x1.4af36f1e7f88dp-15, -0x1.17e8e64b18be5p-15, -0x1.ca9134193768ap-16, -0x1.662968f07ed3cp-16, -0x1.029e84aa0ace1p-16, -0x1.3fe8cfc10ddp-17, -0x1.f175ded54cecdp-19, 0x1.15785ee3a912bp-19, 0x1.05435fd27dca7p-17, 0x1.c34c47389925ap-17, 0x1.3fb98b7815463p-16, 0x1.9cd93bb9ca3f3p-16, 0x1.f902b6f4e60c7p-16, 0x1.2a19d6572296p-15, 0x1.5734fc0328ee4p-15, 0x1.83d1cf325f907p-15, 0x1.afef6718e3443p-15, 0x1.db8ceeca701a1p-15, 0x1.0354d24e525a2p-14, 0x1.18a26cc7cbce8p-14, 0x1.2daef85b864a9p-14, 0x1.427a2f54613e2p-14, 0x1.5703d47735873p-14, 0x1.6b4bb2bd9941bp-14, 0x1.7f519d11a1f53p-14, 0x1.93156e0c9ec9p-14, 0x1.a69707b5d3cd2p-14, 0x1.b9d6534435659p-14, 0x1.ccd340e053fcfp-14, 0x1.df8dc7695c067p-14, 0x1.f205e439e07f2p-14, 0x1.021dcd780159fp-13, 0x1.0b177a9a82412p-13, 0x1.13f00143e4e68p-13, 0x1.1ca76c040aa4fp-13, 0x1.253dc82188633p-13, 0x1.2db32580ae2afp-13, 0x1.3607968b20ab1p-13, 0x1.3e3b3018058a6p-13, 0x1.464e0954d1dc2p-13, 0x1.4e403baee7be9p-13, 0x1.5611e2bd9e42bp-13, 0x1.5dc31c2cab816p-13, 0x1.655407a7ac383p-13, 0x1.6cc4c6c55c223p-13, 0x1.74157cf461d6fp-13, 0x1.7b464f67a1f76p-13, 0x1.82576503d04e1p-13, 0x1.8948e64d1f908p-13, 0x1.901afd55950ddp-13, 0x1.96cdd5abb83d8p-13, 0x1.9d619c49ff74ep-13, 0x1.a3d67f863bb5cp-13, 0x1.aa2caf0206185p-13, 0x1.b0645b9b28b44p-13, 0x1.b67db75c96c04p-13, 0x1.bc78f56fef685p-13, 0x1.c2564a0f39621p-13, 0x1.c815ea773d087p-13, 0x1.cdb80cda0c66dp-13, 0x1.d33ce85215fa8p-13, 0x1.d8a4b4d57032ap-13, 0x1.ddefab2995877p-13, 0x1.e31e04d793dc1p-13, 0x1.e82ffc2058b33p-13, 0x1.ed25cbf19db7cp-13, 0x1.f1ffafdacc439p-13, 0x1.f6bde4029a72ap-13, 0x1.fb60a51cb3053p-13, 0x1.ffe8305fd4271p-13, 0x1.022a61be0584cp-12, 0x1.04534e48c040bp-12, 0x1.066efd139cf7ep-12, 0x1.087d8d9138be1p-12, 0x1.0a7f1f5ef473ep-12, 0x1.0c73d240e38b8p-12, 0x1.0e5bc61dcb76dp-12, 0x1.10371afb39273p-12, 0x1.1205f0f9d1ffbp-12, 0x1.13c868519c38cp-12, 0x1.157ea14e93d3ap-12, 0x1.1728bc4d2e707p-12, 0x1.18c6d9b726c02p-12, 0x1.1a591a0040c14p-12, 0x1.1bdf9da339392p-12, 0x1.1d5a851ece658p-12, 0x1.1ec9f0f2df323p-12, 0x1.202e019dac365p-12, 0x1.2186d799213fap-12, 0x1.22d4935850687p-12, 0x1.24175544ecb99p-12, 0x1.254f3dbcd24fdp-12, 0x1.267c6d0fd61c4p-12, 0x1.279f037d67b53p-12, 0x1.28b721328183bp-12, 0x1.29c4e64794e38p-12, 0x1.2ac872be796a3p-12, 0x1.2bc1e6809ac79p-12, 0x1.2cb1615d183d3p-12, 0x1.2d970306eca41p-12, 0x1.2e72eb1351e5p-12, 0x1.2f4538f81afcp-12, 0x1.300e0c0a1209p-12, 0x1.30cd837b8eac6p-12, 0x1.3183be5aecdcfp-12, 0x1.3230db9138e21p-12, 0x1.32d4f9e0d740ep-12, 0x1.337037e441605p-12, 0x1.3402b40cd6e4cp-12, 0x1.348c8ca1b1bf7p-12, 0x1.350ddfbe833fep-12, 0x1.3586cb52935f4p-12, 0x1.35f76d1fc2bf9p-12, 0x1.365fe2b9800ecp-12, 0x1.36c04983f7829p-12, 0x1.3718beb335448p-12, 0x1.37695f4a4276ep-12, 0x1.37b2481a6d757p-12, 0x1.37f395c2970a6p-12, 0x1.382d64ae69923p-12, 0x1.385fd115c69dbp-12, 0x1.388af6fc2b91fp-12, 0x1.38aef2300852ep-12, 0x1.38cbde4a54f9fp-12, 0x1.38e1d6adf58fep-12, 0x1.38f0f68751911p-12, 0x1.38f958cbd4ecdp-12, 0x1.38fb18399bce2p-12, 0x1.38f64f570f13ep-12, 0x1.38eb18727b61bp-12, 0x1.38d98da1d620fp-12, 0x1.38c1c8c266952p-12, 0x1.38a3e3788e771p-12, 0x1.387ff72f7b97ep-12, 0x1.38561d1907745p-12, 0x1.38266e2d87ea9p-12, 0x1.37f1032b967cp-12, 0x1.37b5f497fc7bep-12, 0x1.37755abd8e94ep-12, 0x1.372f4dad15d15p-12, 0x1.36e3e53d45b26p-12, 0x1.3693390aa779p-12, 0x1.363d60779c662p-12, 0x1.35e272ac58c6bp-12, 0x1.35828696d17c7p-12, 0x1.351db2eae39fcp-12, 0x1.34b40e2249b09p-12, 0x1.3445ae7cb1a7dp-12, 0x1.33d2a9ffcfe18p-12, 0x1.335b167770ad5p-12, 0x1.32df09759ff03p-12, 0x1.325e9852bfa8ep-12, 0x1.31d9d82da369p-12, 0x1.3150ddebc8a04p-12, 0x1.30c3be396cadfp-12, 0x1.30328d89bfc4fp-12, 0x1.2f9d601716e92p-12, 0x1.2f0449e31ed36p-12, 0x1.2e675eb702395p-12, 0x1.2dc6b223b0f5cp-12, 0x1.2d22578216f9ep-12, 0x1.2c7a61f34ebe8p-12, 0x1.2bcee460e9526p-12, 0x1.2b1ff17d308e4p-12, 0x1.2a6d9bc35e7a1p-12, 0x1.29b7f577efb71p-12, 0x1.28ff10a8e3736p-12, 0x1.2842ff2e00c53p-12, 0x1.2783d2a92747cp-12, 0x1.26c19c869d789p-12, 0x1.25fc6dfd576bfp-12, 0x1.2534580f4c5e8p-12, 0x1.24696b89c3452p-12, 0x1.239bb905a777cp-12, 0x1.22cb50e7d8db2p-12, 0x1.21f8436185806p-12, 0x1.2122a070842a5p-12, 0x1.204a77dfa1c41p-12, 0x1.1f6fd946fa195p-12, 0x1.1e92d40c5bd15p-12, 0x1.1db37763948b5p-12, 0x1.1cd1d24ed8004p-12, 0x1.1bedf39f143a9p-12, 0x1.1b07e9f453c3ep-12, 0x1.1a1fc3be10f6p-12, 0x1.19358f3ba2f78p-12, 0x1.18495a7c90267p-12, 0x1.175b3360f19fdp-12, 0x1.166b2799d39fep-12, 0x1.157944a995e3p-12, 0x1.148597e44c06p-12, 0x1.13902e7018f26p-12, 0x1.129915459673dp-12, 0x1.11a05930318aap-12, 0x1.10a606ce959bbp-12, 0x1.0faa2a93035b9p-12, 0x1.0eacd0c3b77d5p-12, 0x1.0dae057b4b863p-12, 0x1.0cadd4a91c7c2p-12, 0x1.0bac4a11a9795p-12, 0x1.0aa9714ef5d9fp-12, 0x1.09a555d0ecc36p-12, 0x1.08a002ddc438ep-12, 0x1.07998392602f8p-12, 0x1.0691e2e2afc7fp-12, 0x1.05892b9a163d5p-12, 0x1.047f685bc9053p-12, 0x1.0374a3a3360b4p-12, 0x1.0268e7c45ea9fp-12, 0x1.015c3eec3eccap-12, 0x1.004eb3212bf6p-12, 0x1.fe809c86688ddp-13, 0x1.fc62341910a7fp-13, 0x1.fa424023a8a2dp-13, 0x1.f820d38540e72p-13, 0x1.f5fe00d3629ecp-13, 0x1.f3d9da5ad15c8p-13, 0x1.f1b472204f778p-13, 0x1.ef8dd9e152301p-13, 0x1.ed662314c60aep-13, 0x1.eb3d5eebc4c35p-13, 0x1.e9139e52518b7p-13, 0x1.e6e8f1f0201afp-13, 0x1.e4bd6a293e054p-13, 0x1.e291171ed547bp-13, 0x1.e06408afdbed6p-13, 0x1.de364e79d784p-13, 0x1.dc07f7d987582p-13, 0x1.d9d913eba282ep-13, 0x1.d7a9b18d83f32p-13, 0x1.d579df5de1464p-13, 0x1.d349abbd80ba5p-13, 0x1.d11924cfe450dp-13, 0x1.cee8587bf40b5p-13, 0x1.ccb7546cbb122p-13, 0x1.ca8626120d6fap-13, 0x1.c854daa1307fdp-13, 0x1.c6237f158f14fp-13, 0x1.c3f220315ab24p-13, 0x1.c1c0ca7e3962bp-13, 0x1.bf8f8a4df38fap-13, 0x1.bd5e6bbb11a13p-13, 0x1.bb2d7aa97c523p-13, 0x1.b8fcc2c72f07ep-13, 0x1.b6cc4f8cd48bap-13, 0x1.b49c2c3e675efp-13, 0x1.b26c63ebd5a99p-13, 0x1.b03d01719eda2p-13, 0x1.ae0e0f79722ccp-13, 0x1.abdf987aceff1p-13, 0x1.a9b1a6bb97a17p-13, 0x1.a7844450b7129p-13, 0x1.a5577b1eb11cdp-13, 0x1.a32b54da42aa9p-13, 0x1.a0ffdb08f3b07p-13, 0x1.9ed51701aae54p-13, 0x1.9cab11ed47c84p-13, 0x1.9a81d4c733a4cp-13, 0x1.9859685df4638p-13, 0x1.9631d553b9f4bp-13, 0x1.940b241eec9fdp-13, 0x1.91e55d0ac1a28p-13, 0x1.8fc08837c4ffap-13, 0x1.8d9cad9c634eep-13, 0x1.8b79d5057472ap-13, 0x1.89580616c901dp-13, 0x1.8737484babfbcp-13, 0x1.8517a2f76c98p-13, 0x1.82f91d45e6485p-13, 0x1.80dbbe3bffb8ep-13, 0x1.7ebf8cb82f38ap-13, 0x1.7ca48f72ff20dp-13, 0x1.7a8accff876dfp-13, 0x1.78724bcbf5c2p-13, 0x1.765b122208caap-13, 0x1.744526278d744p-13, 0x1.72308ddece9a7p-13, 0x1.701d4f27218b4p-13, 0x1.6e0b6fbd55b77p-13, 0x1.6bfaf53c2ab15p-13, 0x1.69ebe51ccc792p-13, 0x1.67de44b7497bbp-13, 0x1.65d21942fcdb4p-13, 0x1.63c767d70e56ap-13, 0x1.61be356ade5f3p-13, 0x1.5fb686d676bp-13, 0x1.5db060d2f9fe3p-13, 0x1.5babc7fb1743ap-13, 0x1.59a8c0cb71547p-13, 0x1.57a74fa30e8f3p-13, 0x1.55a778c3bdbe6p-13, 0x1.53a940528c171p-13, 0x1.51acaa5822e59p-13, 0x1.4fb1bac1373dfp-13, 0x1.4db8755ef0aa9p-13, 0x1.4bc0dde745f27p-13, 0x1.49caf7f56cc95p-13, 0x1.47d6c70a32fbfp-13, 0x1.45e44e8c699f7p-13, 0x1.43f391c943a49p-13, 0x1.420493f4b551ap-13, 0x1.40175829d1ef9p-13, 0x1.3e2be16b2fc46p-13, 0x1.3c4232a33e8b9p-13, 0x1.3a5a4ea4a522bp-13, 0x1.3874382aa3b71p-13, 0x1.368ff1d963095p-13, 0x1.34ad7e3e53e75p-13, 0x1.32ccdfd0868aap-13, 0x1.30ee18f101f77p-13, 0x1.2f112beb198dep-13, 0x1.2d361af4c54f7p-13, 0x1.2b5ce82eebbadp-13, 0x1.298595a5be921p-13, 0x1.27b025510beb5p-13, 0x1.25dc99148e5a8p-13, 0x1.240af2c039815p-13, 0x1.223b3410916dcp-13, 0x1.206d5eaeeff53p-13, 0x1.1ea17431d95f1p-13, 0x1.1cd7761d4727bp-13, 0x1.1b0f65e2ef284p-13, 0x1.194944e294a77p-13, 0x1.1785146a531bdp-13, 0x1.15c2d5b6dc526p-13, 0x1.140289f3cfccfp-13, 0x1.1244323bf71bap-13, 0x1.1087cf998ed1cp-13, 0x1.0ecd63068a143p-13, 0x1.0d14ed6ce0f5cp-13, 0x1.0b5e6fa6cbe9fp-13, 0x1.09a9ea7f08395p-13, 0x1.07f75eb11b8f6p-13, 0x1.0646cce993eep-13, 0x1.049835c648878p-13, 0x1.02eb99d69d4c8p-13, 0x1.0140f99bbc915p-13, 0x1.ff30ab11afcfap-14, 0x1.fbe35c06d1f3ep-14, 0x1.f89a06c6d2c31p-14, 0x1.f554abe727051p-14, 0x1.f2134be3312c3p-14, 0x1.eed5e71cbbd48p-14, 0x1.eb9c7ddc6edbcp-14, 0x1.e86710523f12p-14, 0x1.e5359e95d8827p-14, 0x1.e20828a723c1ep-14, 0x1.dedeae6ea0013p-14, 0x1.dbb92fbdd48aep-14, 0x1.d897ac4fc073bp-14, 0x1.d57a23c938472p-14, 0x1.d26095b957857p-14, 0x1.cf4b0199f053bp-14, 0x1.cc3966cfde59bp-14, 0x1.c92bc4ab783f9p-14, 0x1.c6221a68f48f7p-14, 0x1.c31c6730b8f87p-14, 0x1.c01aaa17d4ce7p-14, 0x1.bd1ce2204ae6p-14, 0x1.ba230e397daa4p-14, 0x1.b72d2d4083c81p-14, 0x1.b43b3e0082405p-14, 0x1.b14d3f3311497p-14, 0x1.ae632f8089c58p-14, 0x1.ab7d0d8062ef5p-14, 0x1.a89ad7b98537cp-14, 0x1.a5bc8ca2a9cp-14, 0x1.a2e22aa2a630bp-14, 0x1.a00bb010b862fp-14, 0x1.9d391b34ea5b2p-14, 0x1.9a6a6a4853232p-14, 0x1.979f9b7572d7fp-14, 0x1.94d8acd87d6c4p-14, 0x1.92159c7fa1743p-14, 0x1.8f56686b5d5aep-14, 0x1.8c9b0e8ec8e1cp-14, 0x1.89e38ccfe1264p-14, 0x1.872fe107c7242p-14, 0x1.8480090315753p-14, 0x1.81d402822692bp-14, 0x1.7f2bcb3956c46p-14, 0x1.7c8760d144cc4p-14, 0x1.79e6c0e723537p-14, 0x1.7749e90cf48adp-14, 0x1.74b0d6c9cc1ap-14, 0x1.721b879a144bep-14, 0x1.6f89f8efc38f9p-14, 0x1.6cfc2832afb26p-14, 0x1.6a7212c0c2d61p-14, 0x1.67ebb5ee32064p-14, 0x1.65690f05ca80dp-14, 0x1.62ea1b4920e8p-14, 0x1.606ed7f0cc2b3p-14, 0x1.5df7422caf063p-14, 0x1.5b83572421703p-14, 0x1.591313f62c6adp-14, 0x1.56a675b9c3d53p-14, 0x1.543d797e034fep-14, 0x1.51d81c4a5eb2p-14, 0x1.4f765b1edb247p-14, 0x1.4d1832f443ea2p-14, 0x1.4abda0bc50eccp-14, 0x1.4866a161ea1cep-14, 0x1.461331c9541ebp-14, 0x1.43c34ed0642b9p-14, 0x1.4176f54eb0b5ep-14, 0x1.3f2e2215b966dp-14, 0x1.3ce8d1f11fafp-14, 0x1.3aa701a6d6838p-14, 0x1.3868adf747a82p-14, 0x1.362dd39d8b879p-14, 0x1.33f66f4f8ab51p-14, 0x1.31c27dbe3001p-14, 0x1.2f91fb959386ep-14, 0x1.2d64e57d21684p-14, 0x1.2b3b3817c8753p-14, 0x1.2914f004250bfp-14, 0x1.26f209dca3816p-14, 0x1.24d28237ab00cp-14, 0x1.22b655a7c4189p-14, 0x1.209d80bbbaf52p-14, 0x1.1e87fffecc3b4p-14, 0x1.1c75cff8cd62cp-14, 0x1.1a66ed2e45ee9p-14, 0x1.185b54209bbdap-14, 0x1.1653014e348c9p-14, 0x1.144df1329d0d3p-14, 0x1.124c2046a1f08p-14, 0x1.104d8b00775a6p-14, 0x1.0e522dd3e0273p-14, 0x1.0c5a0532466b8p-14, 0x1.0a650d8ada704p-14, 0x1.0873434ab601bp-14, 0x1.0684a2dcfa56cp-14, 0x1.049928aaf7e0dp-14, 0x1.02b0d11c404f7p-14, 0x1.00cb9896c759bp-14, 0x1.fdd2f6fe07c75p-15, 0x1.fa14ec700bf0fp-15, 0x1.f65d0a472cfe5p-15, 0x1.f2ab4944a761ep-15, 0x1.eeffa2279b1fbp-15, 0x1.eb5a0dad3d853p-15, 0x1.e7ba849107a3ep-15, 0x1.e420ff8cf3347p-15, 0x1.e08d7759aa821p-15, 0x1.dcffe4aeb8b1ap-15, 0x1.d9784042b8f44p-15, 0x1.d5f682cb902cfp-15, 0x1.d27aa4fe920c7p-15, 0x1.cf049f90aa803p-15, 0x1.cb946b3696431p-15, 0x1.c82a00a513248p-15, 0x1.c4c55890f2c4fp-15, 0x1.c1666baf7169ep-15, 0x1.be0d32b63b097p-15, 0x1.bab9a65b9ad8fp-15, 0x1.b76bbf56b2c8ep-15, 0x1.b423765f906adp-15, 0x1.b0e0c42f5b6b4p-15, 0x1.ada3a180823e9p-15, 0x1.aa6c070ee3902p-15, 0x1.a739ed97df8d6p-15, 0x1.a40d4dda89fa3p-15, 0x1.a0e62097d84f1p-15, 0x1.9dc45e929cadbp-15, 0x1.9aa8008fd2427p-15, 0x1.9790ff56b9029p-15, 0x1.947f53b0e07bp-15, 0x1.9172f66a56a6dp-15, 0x1.8e6be051bde99p-15, 0x1.8b6a0a386f495p-15, 0x1.886d6cf2a8309p-15, 0x1.857601579a485p-15, 0x1.8283c04186216p-15, 0x1.7f96a28dda30ap-15, 0x1.7caea11d55656p-15, 0x1.79cbb4d415366p-15, 0x1.76edd699b0a77p-15, 0x1.7414ff59643ep-15, 0x1.7141280214e2fp-15, 0x1.6e72498683c44p-15, 0x1.6ba85cdd4b73p-15, 0x1.68e35b00ff983p-15, 0x1.66233cf04bf0bp-15, 0x1.6367fbae0fafp-15, 0x1.60b19041513b6p-15, 0x1.5dfff3b57fc65p-15, 0x1.5b531f1a820ep-15, 0x1.58ab0b849fabfp-15, 0x1.5607b20cc35f9p-15, 0x1.53690bd082434p-15, 0x1.50cf11f219466p-15, 0x1.4e39bd98b1fe3p-15, 0x1.4ba907f04294ep-15, 0x1.491cea29b3fa7p-15, 0x1.46955d7afe5b1p-15, 0x1.44125b1f1fc13p-15, 0x1.4193dc563c25fp-15, 0x1.3f19da65ab7edp-15, 0x1.3ca44e9816ec2p-15, 0x1.3a33323d69976p-15, 0x1.37c67eab026b9p-15, 0x1.355e2d3ba4f35p-15, 0x1.32fa374f98b11p-15, 0x1.309a964cb955fp-15, 0x1.2e3f439e634cbp-15, 0x1.2be838b5bb6c9p-15, 0x1.29956f0988c85p-15, 0x1.2746e0164cd2p-15, 0x1.24fc855e692f7p-15, 0x1.22b65869fe94cp-15, 0x1.207452c70e46p-15, 0x1.1e366e09aabaep-15, 0x1.1bfca3cbab995p-15, 0x1.19c6edad185abp-15, 0x1.17954553f0738p-15, 0x1.1567a46c3ad1bp-15, 0x1.133e04a831d0ep-15, 0x1.11185fc029a5bp-15, 0x1.0ef6af72a76d3p-15, 0x1.0cd8ed84640e4p-15, 0x1.0abf13c0673f5p-15, 0x1.08a91bf7e660fp-15, 0x1.069700027f37ap-15, 0x1.0488b9be1722fp-15, 0x1.027e430ee8ce2p-15, 0x1.007795dfa32c3p-15, 0x1.fce95842851dap-16, 0x1.f8eaff96b2228p-16, 0x1.f4f415b782fc9p-16, 0x1.f1048eadf20cfp-16, 0x1.ed1c5e8fbaa2cp-16, 0x1.e93b797f86608p-16, 0x1.e561d3ad7a77cp-16, 0x1.e18f615664882p-16, 0x1.ddc416c473cf8p-16, 0x1.d9ffe84f146a1p-16, 0x1.d642ca5a7b4f3p-16, 0x1.d28cb1589a97dp-16, 0x1.cedd91c83977ep-16, 0x1.cb356035920cdp-16, 0x1.c794113a19e18p-16, 0x1.c3f9997ca5f59p-16, 0x1.c065edb13c9f9p-16, 0x1.bcd9029974aabp-16, 0x1.b952cd0404354p-16, 0x1.b5d341cd2b561p-16, 0x1.b25a55de8b09ap-16, 0x1.aee7fe2efc1f7p-16, 0x1.ab7c2fc2feeadp-16, 0x1.a816dfac417b5p-16, 0x1.a4b8030a2c208p-16, 0x1.a15f8f09439bp-16, 0x1.9e0d78e3b205ep-16, 0x1.9ac1b5e0e1f4ap-16, 0x1.977c3b55c7f35p-16, 0x1.943cfea4eb2bfp-16, 0x1.9103f53de46aep-16, 0x1.8dd1149e411ap-16, 0x1.8aa452508936ap-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      38, 0x1.9333333333333p+2, -0x1.e15a757d90078p-3, 0x1p+0, 0x1p+0, 
      {{
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.4892a2e1c0706p-6, -0x1.43679844c6c9p-6, -0x1.300bf5f8dce71p-9, 0x1.9442da1cc545p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.3851f784b3349p-6, -0x1.46727fbbfe4bep-6, -0x1.6d896913a9d8cp-10, 0x1.9195b6c9067fap-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.27f4087b1e9bbp-6, -0x1.47fa98d92de8p-6, -0x1.f257ed9f649b5p-12, 0x1.8ed413b4d75b2p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.178c1c47a45bap-6, -0x1.48027f2ec4f07p-6, 0x1.cad841ac39d56p-12, 0x1.8dd848beb9ce2p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.072d5b597c7abp-6, -0x1.468bfe4dbe19cp-6, 0x1.616b08dd7df03p-10, 0x1.804bdeb9a5fd7p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.edd58959747dfp-7, -0x1.439e0fe921529p-6, 0x1.23ff7a733d92bp-9, 0x1.6624eb12d9e97p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.cdad615a84ecdp-7, -0x1.3f4bc26b55959p-6, 0x1.8f70f42c188b9p-9, 0x1.4de18f42e84c3p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ae04a8338377fp-7, -0x1.39ad48dbc714ep-6, 0x1.f39b058cf7d52p-9, 0x1.351c9f61db18p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.8efb6947e2d17p-7, -0x1.32da2c548d555p-6, 0x1.282b677b8ffadp-8, 0x1.1c7a67ee806c3p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.70af51e12f252p-7, -0x1.2aea2377e5553p-6, 0x1.52d75d78f00aep-8, 0x1.03cee2d571343p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.533bb12f0e19bp-7, -0x1.21f4d8b4cacc9p-6, 0x1.79cfff7f5aa02p-8, 0x1.d64bb7caf40ccp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.36b978473ed27p-7, -0x1.1811f9bf191aep-6, 0x1.9d15ad482cedcp-8, 0x1.a4f853edc3368p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.1b3f3a2599eb1p-7, -0x1.0d59336a6e475p-6, 0x1.bca84d2d352b4p-8, 0x1.73a54bb3596d3p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.00e12bac117aep-7, -0x1.01e232c67e10dp-6, 0x1.d887e60ddbe03p-8, 0x1.42522aeb28964p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.cf6247456227dp-8, -0x1.eb8949a5c561fp-7, 0x1.f0b47612b21e9p-8, 0x1.10ff10b73c7a3p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.9f7d356f3b851p-8, -0x1.d2306d270d7b3p-7, 0x1.0296fedd04edap-7, 0x1.bf57e9800f0bap-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.722d56fe2c1e1p-8, -0x1.b7e92a1659c63p-7, 0x1.0afa3e710535dp-7, 0x1.5cb1b28377e96p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.478824e6e3f66p-8, -0x1.9ce2da79ce2eap-7, 0x1.1183f9c9e2a89p-7, 0x1.f416f68c291f6p-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.1f9e5bea4607ep-8, -0x1.814cd8576423p-7, 0x1.163430e6663e7p-7, 0x1.2eca88341fc7ep-11}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.f4f7f92ad083cp-9, -0x1.65567db520754p-7, 0x1.190ae3c6e3578p-7, 0x1.a5f8674afd74p-13}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b050968327111p-9, -0x1.492f249904e97p-7, 0x1.1a08126b43893p-7, -0x1.6f395230c5916p-13}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.714ba028876e5p-9, -0x1.2d062709141a4p-7, 0x1.192bbcd38cac4p-7, -0x1.211ac2eabea67p-11}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.37e4adfe4f3a6p-9, -0x1.110adf0b5048fp-7, 0x1.1675e2ffbfaf8p-7, -0x1.e667314e6a1dep-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.040ddf8041ff5p-9, -0x1.ead94d4b7892cp-8, 0x1.11e684efd04a7p-7, -0x1.55d9cfceba774p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.ab5fb78512641p-10, -0x1.b4b5afbcb2254p-8, 0x1.0b7da2a3effeap-7, -0x1.b880071cdb4dep-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.5953a2e36864dp-10, -0x1.800999765ccb6p-8, 0x1.033b3c1b657b7p-7, -0x1.0d931eed8aa1cp-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.11a2eda570994p-10, -0x1.4d33be84557fap-8, 0x1.f23ea2b1c6f7ap-8, -0x1.3ee63b5900825p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.a7cc270bc2dap-11, -0x1.1c92d2f335c3cp-8, 0x1.da53c4a4b3bacp-8, -0x1.703953db55242p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.3f453ee07a3e4p-11, -0x1.dd0b1599af437p-9, 0x1.beb5de5aa6f1bp-8, -0x1.a18c7af5453abp-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.d12cae03472afp-12, -0x1.86d5344aac799p-9, 0x1.9f64eebb74f3ep-8, -0x1.d2df6b9a968b6p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.44fd8412e56b1p-12, -0x1.374169d50fcf1p-9, 0x1.7c60f9dca9a8ep-8, -0x1.021993bd26f2bp-8}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.ae5fc3cecca2p-13, -0x1.de1a3e64553e7p-10, 0x1.55a9f0804a37dp-8, -0x1.1ac1f67299b0ep-8}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.0955cc77208p-13, -0x1.5deb726288f84p-10, 0x1.2b400b88b32a4p-8, -0x1.336fe07477572p-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2827b23563ep-14, -0x1.dee2b0b09e401p-11, 0x1.fa44ed54dc212p-9, -0x1.4c09287f376p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.1ce468ef2cp-15, -0x1.284cc9f2779a8p-11, 0x1.96a89461e51e4p-9, -0x1.64ef7119c3d01p-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.acd39e3148c02p-17, -0x1.361af78f785bp-12, 0x1.2b93f273c3f7dp-9, -0x1.7cb6596c40f7ap-8}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.9016e7e58f001p-19, -0x1.d08390ad79096p-14, 0x1.72ba7c0cfa8f1p-10, -0x1.98adc24fd6e64p-8}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.ac721ad74bd81p-23, -0x1.0e0e896284de3p-16, 0x1.f615b7744ce47p-12, -0x1.8d0bbb8022e0cp-8}, 
      }}, 
      0x1.7c9df7b062bc1p-6, 0x1.0afa39e46d14p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.47ae147ae147bp-6, -0x1.61a4b04e11051p-3, -0x0p+0, 0x1.cbfb15b573eabp-3, 0x1.cbfb15b573eabp-3, 0x1.cbfb15b573eabp-3, 0, 0, 2}, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.82064574e3235p-1, -0x1.7b4842ef0e18dp-1, -0x1.707d7a594e80ap-1, -0x1.622c258be3f75p-1, -0x1.50e9ab37315cfp-1, -0x1.3d4e76d2c29eep-1, -0x1.27ee0bd6d9c91p-1, -0x1.1152001e35633p-1, -0x1.f3edfea0e9706p-2, -0x1.c49680941824cp-2, -0x1.955c024a87c82p-2, -0x1.66df792875ab2p-2, -0x1.39a5b71cce87p-2, -0x1.0e197a6db5049p-2, -0x1.c91ba8e6ae196p-3, -0x1.7a818557fd749p-3, -0x1.30bbb42bc0903p-3, -0x1.d8035bde31681p-4, -0x1.58e0191ea1ac7p-4, -0x1.c83415febf79dp-5, -0x1.e663b14eb921fp-6, -0x1.926f2079a874cp-8, 0x1.ec47b632db49bp-7, 0x1.15ab9209a622cp-5, 0x1.9e57ac9d24c76p-5, 0x1.0b00ef66f0b83p-4, 0x1.3ed12b866e54ep-4, 0x1.6b1c358183b9dp-4, 0x1.90630dd50fe71p-4, 0x1.af262fd862d9p-4, 0x1.c7e40ff4ee27ep-4, 0x1.db17e3b8425dep-4, 0x1.e938b26e82232p-4, 0x1.f2b8a1ba938b9p-4, 0x1.f804717038944p-4, 0x1.f9832abc46563p-4, 0x1.f795ed7a1e471p-4, 0x1.f297df5b736fcp-4, 0x1.eade32a56ae7dp-4, 0x1.e0b83e681f607p-4, 0x1.d46fa7f9506f4p-4, 0x1.c648955f53408p-4, 0x1.b681e8d0d3bd4p-4, 0x1.a555827e515ecp-4, 0x1.92f88336a3c2dp-4, 0x1.7f9b93b6ec851p-4, 0x1.6b6b2a7daab09p-4, 0x1.568fd232c006ep-4, 0x1.412e6d1b63c44p-4, 0x1.2b6876f8efd81p-4, 0x1.155c45406b719p-4, 0x1.fe4a85b0dfc2p-5, 0x1.d1b85392bb4d3p-5, 0x1.a52e71af05911p-5, 0x1.78d4cc0903689p-5, 0x1.4ccf1bb91fb16p-5, 0x1.213d3f4f98282p-5, 0x1.ec77183e1ce1cp-6, 0x1.97c633d494d5ep-6, 0x1.449411a633b38p-6, 0x1.e60f05839e013p-7, 0x1.4684c07761ba3p-7, 0x1.5587e11dab0a1p-8, 0x1.2fee485b1580fp-11, -0x1.013f53018af93p-8, -0x1.0ff3ead33cae6p-7, -0x1.9ae060ee6d6ecp-7, -0x1.10a6a73162641p-6, -0x1.51941a43b70f9p-6, -0x1.9031ad82df2a5p-6, -0x1.cc7ab084474d8p-6, -0x1.033635f44337fp-5, -0x1.1f02f95d4e5e7p-5, -0x1.39a3fbd4128e9p-5, -0x1.531a52c80fefep-5, -0x1.6b67bd9010532p-5, -0x1.828e94b6389aap-5, -0x1.9891ba961081bp-5, -0x1.ad748d2a7becfp-5, -0x1.c13ad906e570cp-5, -0x1.d3e8cd43ce9b6p-5, -0x1.e582f0572492bp-5, -0x1.f60e15c89f942p-5, -0x1.02c7aa5bbfc1dp-4, -0x1.0a05ff87df7aap-4, -0x1.10c4ccb9f23adp-4, -0x1.1706e9db73193p-4, -0x1.1ccf40fbd54ap-4, -0x1.2220cb1936d3ap-4, -0x1.26fe8d2fde60bp-4, -0x1.2b6b95781cadfp-4, -0x1.2f6af8e4c1b1cp-4, -0x1.32ffd0cc29eeep-4, -0x1.362d38c30c848p-4, -0x1.38f64ca8c3715p-4, -0x1.3b5e26ccaecabp-4, -0x1.3d67de4d9e9e6p-4, -0x1.3f168589ae762p-4, -0x1.406d28b83c4b9p-4, -0x1.416eccad366a1p-4, -0x1.421e6da053e4fp-4, -0x1.427efe2c32b6bp-4, -0x1.4293665a334a2p-4, -0x1.425e82bb3d968p-4, -0x1.41e323b71b005p-4, -0x1.41240cd29c1b2p-4, -0x1.4023f411a0f9cp-4, -0x1.3ee581873f158p-4, -0x1.3d6b4ecbc3d82p-4, -0x1.3bb7e69a5eb7bp-4, -0x1.39cdc49d1bedap-4, -0x1.37af550a8053p-4, -0x1.355ef466c6f61p-4, -0x1.32deef8c69b33p-4, -0x1.3031837b44486p-4, -0x1.2d58dd1d5aaefp-4, -0x1.2a571974e5749p-4, -0x1.272e45bfc82e1p-4, -0x1.23e05f408fcccp-4, -0x1.206f5347a257ep-4, -0x1.1cdcffa994d84p-4, -0x1.192b32ee60ffep-4, -0x1.155babeac098ap-4, -0x1.11701a5385194p-4, -0x1.0d6a1f247c12bp-4, -0x1.094b4cf10a4bep-4, -0x1.05152780bdf8fp-4, -0x1.00c924353710bp-4, -0x1.f8d156302c37cp-5, -0x1.efea2e030efaap-5, -0x1.e6df69ff03e66p-5, -0x1.ddb3899e68ab7p-5, -0x1.d468f47dc1035p-5, -0x1.cb01fac503e66p-5, -0x1.c180d37b28d6ep-5, -0x1.b7e79d434e056p-5, -0x1.ae386187f7968p-5, -0x1.a475156a7c38cp-5, -0x1.9a9f97f6cdeb8p-5, -0x1.90b9b234c91dbp-5, -0x1.86c51a31150bfp-5, -0x1.7cc374bdd5d19p-5, -0x1.72b6542d0634ep-5, -0x1.689f379ddc818p-5, -0x1.5e7f8d1f1b5aep-5, -0x1.5458b3ee5463cp-5, -0x1.4a2bfc4680dep-5, -0x1.3ffaa67555682p-5, -0x1.35c5e3bd49812p-5, -0x1.2b8ed844231b7p-5, -0x1.21569bdc0f54bp-5, -0x1.171e39a4a1433p-5, -0x1.0ce6b02adef4dp-5, -0x1.02b0f28455fb3p-5, -0x1.f0fbd2b670c7ap-6, -0x1.dc9ce6864b367p-6, -0x1.c846c9adae2abp-6, -0x1.b3fb1269629d3p-6, -0x1.9fbb4574ac09fp-6, -0x1.8b88d72c5c034p-6, -0x1.77652c39df41bp-6, -0x1.63519a2fb0b73p-6, -0x1.4f4f685349f4bp-6, -0x1.3b5fd077a6cc8p-6, -0x1.2783ffbacb299p-6, -0x1.13bd171e017e5p-6, -0x1.000c2c0a2cdffp-6, -0x1.d8e491a7b1f79p-7, -0x1.b1e0da8e93901p-7, -0x1.8b0f1e6299b52p-7, -0x1.647135ad74711p-7, -0x1.3e08e6b20327p-7, -0x1.17d7e62aab211p-7, -0x1.e3bfb02e8d1eep-8, -0x1.9844a1221167p-8, -0x1.4d41a91680c1fp-8, -0x1.02b9b4edea085p-8, -0x1.715f2b57ca222p-9, -0x1.bc98069c86db3p-10, -0x1.30fcae497fc26p-11, 0x1.13094a2460667p-11, 0x1.a9673852e9e9ap-10, 0x1.63900331e5976p-9, 0x1.f153049defc9ep-9, 0x1.3efc2362bcc15p-8, 0x1.84bdcbd10575bp-8, 0x1.c9ec759d4e1e5p-8, 0x1.0743169145d99p-7, 0x1.2944883bb0ebcp-7, 0x1.4af9a768767f7p-7, 0x1.6c6193ed46e93p-7, 0x1.8d7b7586c2eep-7, 0x1.ae467b891af5ap-7, 0x1.cec1dc97a2b49p-7, 0x1.eeecd661056d4p-7, 0x1.076356acef9e2p-6, 0x1.17275639b1f36p-6, 0x1.26c21268d732ep-6, 0x1.363336c2d95ccp-6, 0x1.457a71a60fc6cp-6, 0x1.549774288b2dep-6, 0x1.6389f1fac211fp-6, 0x1.7251a14a138cfp-6, 0x1.80ee3aa3fd9b1p-6, 0x1.8f5f78db5e3ap-6, 0x1.9da518f056a97p-6, 0x1.abbed9fb12f3dp-6, 0x1.b9ac7d1905274p-6, 0x1.c76dc55b41113p-6, 0x1.d50277b5e144bp-6, 0x1.e26a5af139bf1p-6, 0x1.efa5379d832a4p-6, 0x1.fcb2d808e4b25p-6, 0x1.04c9841bdcfacp-5, 0x1.0b22caef24d74p-5, 0x1.1165282dce711p-5, 0x1.1790845abd649p-5, 0x1.1da4c8cadf786p-5, 0x1.23a1dfa46e445p-5, 0x1.2987b3deb84e3p-5, 0x1.2f563142a6633p-5, 0x1.350d446bdf457p-5, 0x1.3aacdaca31b8p-5, 0x1.4034e2a2f6cdbp-5, 0x1.45a54b1296b25p-5, 0x1.4afe040e85c9p-5, 0x1.503efe67d0497p-5, 0x1.55682bcdfaa8ap-5, 0x1.5a797ed1f3992p-5, 0x1.5f72eae8df578p-5, 0x1.6454646f01ecep-5, 0x1.691de0ab2cae8p-5, 0x1.6dcf55d2721bep-5, 0x1.7268bb0bdc33p-5, 0x1.76ea0873df37p-5, 0x1.7b53371fd4e8dp-5, 0x1.7fa44121e6399p-5, 0x1.83dd218d5b612p-5, 0x1.87fdd47aef785p-5, 0x1.8c06570cc3abdp-5, 0x1.8ff6a771ff666p-5, 0x1.93cec4ea7b08ap-5, 0x1.978eafcadfcb3p-5, 0x1.9b3669811f3cep-5, 0x1.9ec5f498b7bbcp-5, 0x1.a23d54be5fe1cp-5, 0x1.a59c8ec33bb8bp-5, 0x1.a8e3a8a01085dp-5, 0x1.ac12a978e43f9p-5, 0x1.af2999a0cdebcp-5, 0x1.b228829d772c9p-5, 0x1.b50f6f29dbf12p-5, 0x1.b7de6b386ac2ap-5, 0x1.ba9583f513d43p-5, 0x1.bd34c7c79ba07p-5, 0x1.bfbc465636022p-5, 0x1.c22c1087ca0afp-5, 0x1.c484388570774p-5, 0x1.c6c4d1bb1b82fp-5, 0x1.c8edf0d7f4807p-5, 0x1.caffabced4e15p-5, 0x1.ccfa19d7443e6p-5, 0x1.cedd536e41f2fp-5, 0x1.d0a972566cdfp-5, 0x1.d25e91972f3dbp-5, 0x1.d3fccd7b4c819p-5, 0x1.d584438f6c607p-5, 0x1.d6f512a105387p-5, 0x1.d84f5abd96adap-5, 0x1.d9933d3187bedp-5, 0x1.dac0dc86278acp-5, 0x1.dbd85c7ebd125p-5, 0x1.dcd9e2152717cp-5, 0x1.ddc59376ab237p-5, 0x1.de9b980146b75p-5, 0x1.df5c18413765bp-5, 0x1.e0073dee15216p-5, 0x1.e09d33e702ee3p-5, 0x1.e11e262df2c6fp-5, 0x1.e18a41e299a51p-5, 0x1.e1e1b53d9d3cp-5, 0x1.e224af8c58ffcp-5, 0x1.e253612ce1ccp-5, 0x1.e26dfb89adb67p-5, 0x1.e274b11456207p-5, 0x1.e267b53f859fp-5, 0x1.e2473c78732efp-5, 0x1.e2137c209dcd4p-5, 0x1.e1ccaa881d3cap-5, 0x1.e172fee85bffcp-5, 0x1.e106b15e9f02bp-5, 0x1.e087fae5e89a6p-5, 0x1.dff7154fefc87p-5, 0x1.df543b3d955p-5, 0x1.de9fa81759d8ep-5, 0x1.ddd9980660cf4p-5, 0x1.dd0247edf572ap-5, 0x1.dc19f565466d3p-5, 0x1.db20deb0bbbcep-5, 0x1.da1742ba7818dp-5, 0x1.d8fd610a46907p-5, 0x1.d7d379bd936dp-5, 0x1.d699cd8114c97p-5, 0x1.d5509d8caddaep-5, 0x1.d3f82b9945687p-5, 0x1.d290b9ca158ecp-5, 0x1.d11a8aaea33cep-5, 0x1.cf95e1530841cp-5, 0x1.ce03011f54494p-5, 0x1.cc622dbc6ea1cp-5, 0x1.cab3ab33b89f5p-5, 0x1.c8f7bdefb6241p-5, 0x1.c72eaa922a21ep-5, 0x1.c558b5ea13123p-5, 0x1.c37624f84656fp-5, 0x1.c1873ceb2ab3p-5, 0x1.bf8c43164527ap-5, 0x1.bd857ce8c98c1p-5, 0x1.bb732fe54e791p-5, 0x1.b955a19aa1031p-5, 0x1.b72d179c98ceap-5, 0x1.b4f9d77ce4671p-5, 0x1.b2bc26c42627ep-5, 0x1.b0744aeb33fadp-5, 0x1.ae22895405d01p-5, 0x1.abc727424de1fp-5, 0x1.a96269d4055cdp-5, 0x1.a6f495fa57ac2p-5, 0x1.a47df072fc424p-5, 0x1.a1febdc1f7d12p-5, 0x1.9f77422b8ec57p-5, 0x1.9ce7c1ae38757p-5, 0x1.9a507ffc7abd7p-5, 0x1.97b1c076b512ap-5, 0x1.950bc624dd83p-5, 0x1.925ed3b06b18dp-5, 0x1.8fab2b5e782f1p-5, 0x1.8cf10f0a2e4f9p-5, 0x1.8a30c01f7bf39p-5, 0x1.876a7f95fa1ebp-5, 0x1.849e8debe7c9ep-5, 0x1.81cd2b2137406p-5, 0x1.7ef696b2a3ee4p-5, 0x1.7c1b0f94dcf13p-5, 0x1.793ad42fd115fp-5, 0x1.7656225a2ff74p-5, 0x1.736d37551fe2dp-5, 0x1.70804fc81e516p-5, 0x1.6d8fa7bd13636p-5, 0x1.6a9b7a9c79111p-5, 0x1.67a40329a9c39p-5, 0x1.64a97b7f4ab89p-5, 0x1.61ac1d0be2081p-5, 0x1.5eac208e99b23p-5, 0x1.5ba9be1433961p-5, 0x1.58a52cf426ec5p-5, 0x1.559ea3cddf2f2p-5, 0x1.5296588617818p-5, 0x1.4f8c8044420dap-5, 0x1.4c814f700dfebp-5, 0x1.4974f9af0b63ap-5, 0x1.4667b1e27f454p-5, 0x1.4359aa256e9fcp-5, 0x1.404b13caea195p-5, 0x1.3d3c1f5c87768p-5, 0x1.3a2cfc990c5p-5, 0x1.371dda732627ep-5, 0x1.340ee7102f28fp-5, 0x1.31004fc6f7791p-5, 0x1.2df2411e93d3p-5, 0x1.2ae4e6cd424a1p-5, 0x1.27d86bb77bbd9p-5, 0x1.24ccf9ef395e9p-5, 0x1.21c2bab381fc7p-5, 0x1.1eb9d6702c182p-5, 0x1.1bb274bdd7e91p-5, 0x1.18acbc6203111p-5, 0x1.15a8d34f22ffdp-5, 0x1.12a6dea4bb1d3p-5, 0x1.0fa702af6ebb7p-5, 0x1.0ca962e9076bdp-5, 0x1.09ae21f894a9ap-5, 0x1.06b561b2a96c6p-5, 0x1.03bf4319cfe9fp-5, 0x1.00cbe65f35492p-5, 0x1.fbb6d5c7224b2p-6, 0x1.f5dbde7074ec2p-6, 0x1.f0072240b1e66p-6, 0x1.ea38db243f473p-6, 0x1.e471416ff9b49p-6, 0x1.deb08be37e991p-6, 0x1.d8f6efab61e79p-6, 0x1.d344a06365fb7p-6, 0x1.cd99d018dae0ep-6, 0x1.c7f6af4d35e8ap-6, 0x1.c25b6cf904026p-6, 0x1.bcc8368f38fa1p-6, 0x1.b73d3800c3ab5p-6, 0x1.b1ba9bc067df5p-6, 0x1.ac408ac69e7fap-6, 0x1.a6cf2c9583dc5p-6, 0x1.a166a73ca20e5p-6, 0x1.9c071f5cadfb4p-6, 0x1.96b0b82b34de6p-6, 0x1.916393765cd09p-6, 0x1.8c1fd1a8cf8a3p-6, 0x1.86e591cdee529p-6, 0x1.81b4f19645f9dp-6, 0x1.7c8e0d5c58ab3p-6, 0x1.777100298f286p-6, 0x1.725de3bb3c4fdp-6, 0x1.6d54d0877e286p-6, 0x1.6855ddc1ecf6ep-6, 0x1.6361215fecbcp-6, 0x1.5e76b01ca98d4p-6, 0x1.59969d7ce08f3p-6, 0x1.54c0fbd29102bp-6, 0x1.4ff5dc40dc783p-6, 0x1.4b354ec061739p-6, 0x1.467f62242a8aap-6, 0x1.41d4241f682d4p-6, 0x1.3d33a14beca49p-6, 0x1.389de5313ea9fp-6, 0x1.3412fa4bf964fp-6, 0x1.2f92ea151a1e3p-6, 0x1.2b1dbd08af9d2p-6, 0x1.26b37aab8f036p-6, 0x1.2254298fa6b3p-6, 0x1.1dffcf56d04a4p-6, 0x1.19b670b423d0ep-6, 0x1.1578116c4ac15p-6, 0x1.1144b45545a0ap-6, 0x1.0d1c5b569bd85p-6, 0x1.08ff076ad8682p-6, 0x1.04ecb8a3246f1p-6, 0x1.00e56e2dd1f1cp-6, 0x1.f9d24cbffc8e9p-7, 0x1.f1efbd849b285p-7, 0x1.ea23283fc624ep-7, 0x1.e26c852cd62b9p-7, 0x1.dacbcb4aebafbp-7, 0x1.d340f076820c5p-7, 0x1.cbcbe97a08613p-7, 0x1.c46caa12a2f47p-7, 0x1.bd2324e771b11p-7, 0x1.b5ef4b73dbd63p-7, 0x1.aed10de770acap-7, 0x1.a7c85b006d739p-7, 0x1.a0d51fe73f39p-7, 0x1.99f748130a331p-7, 0x1.932ebd3eaf389p-7, 0x1.8c7b677463e88p-7, 0x1.85dd2d33c6249p-7, 0x1.7f53f3b20c936p-7, 0x1.78df9f300d3adp-7, 0x1.7280135d8818dp-7, 0x1.6c3533bd409efp-7, 0x1.65fee3fbbb41dp-7, 0x1.5fdd0829d8172p-7, 0x1.59cf84cf03d61p-7, 0x1.53d63ecb07f29p-7, 0x1.4df11b05cb29ap-7, 0x1.481ffdf32ac2p-7, 0x1.4262caf885a58p-7, 0x1.3cb963c83452dp-7, 0x1.3723a7cba2d18p-7, 0x1.31a173b5be4e3p-7, 0x1.2c32a154befe8p-7, 0x1.26d707b3bdc7bp-7, 0x1.218e7b92db44cp-7, 0x1.1c58d0302d135p-7, 0x1.1735d84f88bd2p-7, 0x1.122567633c1b1p-7, 0x1.0d2752afc2e53p-7, 0x1.083b724087733p-7, 0x1.0361a1865443dp-7, 0x1.fd337efeed0efp-8, 0x1.f3c75cb09257cp-8, 0x1.ea7ea506c3a96p-8, 0x1.e15922b9763e6p-8, 0x1.d8569efac2c3dp-8, 0x1.cf76dde7780b2p-8, 0x1.c6b99b3afbaa4p-8, 0x1.be1e87c0f7f0dp-8, 0x1.b5a547f073713p-8, 0x1.ad4d73fb842e9p-8, 0x1.a5169971f4e68p-8, 0x1.9d003e61b017cp-8, 0x1.9509e5ab1151cp-8, 0x1.8d3314101768dp-8, 0x1.857b5565a3f21p-8, 0x1.7de2413d8414dp-8, 0x1.76677e6712097p-8, 0x1.6f0ac4bee3e19p-8, 0x1.67cbdcf65c442p-8, 0x1.60aa9e38592aap-8, 0x1.59a6e9d66af22p-8, 0x1.52c0a56d39fbdp-8, 0x1.4bf7b428740fbp-8, 0x1.454beff49c29fp-8, 0x1.3ebd237989a8dp-8, 0x1.384b05a82d2e8p-8, 0x1.31f537792adc3p-8, 0x1.2bbb4438bce0dp-8, 0x1.259ca46b23c2bp-8, 0x1.1f98c30506607p-8, 0x1.19af0468e59f6p-8, 0x1.13dece64ee366p-8, 0x1.0e27904d71fep-8, 0x1.0888ca4a13f66p-8, 0x1.030212ffe6debp-8, 0x1.fb2635d841e24p-9, 0x1.f07759fe1a1e3p-9, 0x1.e5f758a0f57f8p-9, 0x1.dba61e322ea6ep-9, 0x1.d183aedb49e98p-9, 0x1.c7901507d3597p-9, 0x1.bdcb4efd2c65cp-9, 0x1.b4353dac8d74cp-9, 0x1.aacd96d48b392p-9, 0x1.a193dc1e21841p-9, 0x1.9887583d6d12ap-9, 0x1.8fa7224ebb0d1p-9, 0x1.86f226db81eabp-9, 0x1.7e673547406ddp-9, 0x1.76050ff50ddep-9, 0x1.6dca7d4d72169p-9, 0x1.65b657e01815dp-9, 0x1.5dc79c1b63c36p-9, 0x1.55fd726d8885ep-9, 0x1.4e57350662152p-9, 0x1.46d470d98c398p-9, 0x1.3f74e1e7ce2b1p-9, 0x1.38386b3bb5228p-9, 0x1.311f0b62224ffp-9, 0x1.2a28ce7901d6cp-9, 0x1.2355bf33aaf98p-9, 0x1.1ca5d85ee3049p-9, 0x1.1618f87b6c582p-9, 0x1.0faed8d68b3dfp-9, 0x1.0967092601fb8p-9, 0x1.0340f00f15f2ep-9, 0x1.fa77a0a44e6c3p-10, 0x1.eeada36cd3404p-10, 0x1.e32218c8eb3e1p-10, 0x1.d7d32a586b0d5p-10, 0x1.ccbf1261aee37p-10, 0x1.c1e42f273b281p-10, 0x1.b7410fec10cd8p-10, 0x1.acd47a3640d87p-10, 0x1.a29d672cf8995p-10, 0x1.989afa8f9f4bep-10, 0x1.8ecc7631746d2p-10, 0x1.85312d9af46bcp-10, 0x1.7bc87cf3ae102p-10, 0x1.7291c4c38e212p-10, 0x1.698c69fa35645p-10, 0x1.60b7d7f086d2dp-10, 0x1.5813816751b5p-10, 0x1.4f9ede24d257cp-10, 0x1.475964605a882p-10, 0x1.3f427f0f39bf5p-10, 0x1.375983c17038fp-10, 0x1.2f9dabaa27032p-10, 0x1.280e135dd4c4ep-10, 0x1.20a9c378acd95p-10, 0x1.196fc1bd312dp-10, 0x1.125f26ccd7092p-10, 0x1.0b7731b37efbfp-10, 0x1.04b751972166ep-10, 0x1.fc3e3fef8bfd4p-11, 0x1.ef5c953b82ae5p-11, 0x1.e2c8e40ca1e9ep-11, 0x1.d6820b42c47d2p-11, 0x1.ca8651b13253ep-11, 0x1.bed353fccb412p-11, 0x1.b3661f1a73e8fp-11, 0x1.a83b74024f6e9p-11, 0x1.9d5025a9f974fp-11, 0x1.92a17a6ebd281p-11, 0x1.882d77ababf55p-11, 0x1.7df3021fee167p-11, 0x1.73f1c8066b644p-11, 0x1.6a29f8d9c7f81p-11, 0x1.609bdf5205ffdp-11, 0x1.57477e73c8337p-11, 0x1.4e2c547d66c9ep-11, 0x1.45495a8730dbfp-11, 0x1.3c9d4092ab5fdp-11, 0x1.3426ccd847265p-11, 0x1.2be536293fa3ep-11, 0x1.23d853763f9e4p-11, 0x1.1c008c45e07ddp-11, 0x1.145e8e590fbbp-11, 0x1.0cf2e184c7bp-11, 0x1.05bd7c6e4962fp-11, 0x1.fd7af11ce1b92p-12, 0x1.efe1ea59de236p-12, 0x1.e2aa51b055734p-12, 0x1.d5cd30aebcb16p-12, 0x1.c942d634641bep-12, 0x1.bd03b0d8f6a36p-12, 0x1.b109492c36e0fp-12, 0x1.a54f2e8a064bcp-12, 0x1.99d38c47dc045p-12, 0x1.8e971c33e4cdp-12, 0x1.839c59f1b6679p-12, 0x1.78e62cedd8d1ap-12, 0x1.6e7688e92a5ccp-12, 0x1.644d94eb4f6d3p-12, 0x1.5a69ab0226513p-12, 0x1.50c81a01a2e33p-12, 0x1.47663e1e3ca5bp-12, 0x1.3e427287df009p-12, 0x1.355c856739b41p-12, 0x1.2cb5910ca9ab7p-12, 0x1.244f50bf199aap-12, 0x1.1c2b360dbfdf8p-12, 0x1.1449a1c485df1p-12, 0x1.0ca992ff13c51p-12, 0x1.0548d9c575a3fp-12, 0x1.fc491d48a932bp-13, 0x1.ee72eaaccf6b6p-13, 0x1.e10828f0aa213p-13, 0x1.d40121f5ff84ap-13, 0x1.c75526745ca59p-13, 0x1.bafb048b594b7p-13, 0x1.aeea5fd33c301p-13, 0x1.a31d7dfe0406ap-13, 0x1.97929d7cda005p-13, 0x1.8c4bf094ac4e4p-13, 0x1.814dfd36ff6bbp-13, 0x1.769d197adf7f1p-13, 0x1.6c3b551fbdf0ep-13, 0x1.6227cd3c45e5fp-13, 0x1.585f6a36ae751p-13, 0x1.4ede500aab24cp-13, 0x1.45a1593ade385p-13, 0x1.3ca73fff1df3bp-13, 0x1.33f0fbf7ef9b9p-13, 0x1.2b80d25817e93p-13, 0x1.2358675424086p-13, 0x1.1b771ead0ff84p-13, 0x1.13d9ea41b6873p-13, 0x1.0c7c69787d3abp-13, 0x1.055a5c736563cp-13, 0x1.fce12f7a52adap-14, 0x1.ef7a8cb3334bbp-14, 0x1.e27f5125138efp-14, 0x1.d5ef01e584c21p-14, 0x1.c9c8a2b80394fp-14, 0x1.be09398f6da9p-14, 0x1.b2aaf8e95404ap-14, 0x1.a7a580605f716p-14, 0x1.9cef25653fc9dp-14, 0x1.927ef323a3091p-14, 0x1.884efbbe7dd26p-14, 0x1.7e5e1994f3f63p-14, 0x1.74afdbe485147p-14, 0x1.6b4a24adb9d7cp-14, 0x1.623164f54c645p-14, 0x1.59655c0c2c647p-14, 0x1.50e0d4f546b32p-14, 0x1.489dbad0f661ep-14, 0x1.409a865e79c12p-14, 0x1.38db177eb8ac8p-14, 0x1.3163a06327ae7p-14, 0x1.2a3358549250ep-14, 0x1.2344238c9d828p-14, 0x1.1c8e190d2aafbp-14, 0x1.160ade37658d6p-14, 0x1.0fb6c9f18c287p-14, 0x1.0990488cb3611p-14, 0x1.0396bf42f2e9fp-14, 0x1.fb939cd412737p-15, 0x1.f0527b6860ffp-15, 0x1.e56ac7523fc68p-15, 0x1.dadf0b80e64b1p-15, 0x1.d0b34bde58f71p-15, 0x1.c6eb242f72024p-15, 0x1.bd870f96df66dp-15, 0x1.b4819158846dp-15, 0x1.abccbe91fe6f5p-15, 0x1.a352de94b1b71p-15, 0x1.9afef851280edp-15, 0x1.92caf1ea0b4bbp-15, 0x1.8ac4f3fb8565fp-15, 0x1.8302274294028p-15, 0x1.7b89e3e0769f2p-15, 0x1.744fd8afed784p-15, 0x1.6d44c31b2506cp-15, 0x1.6668f7c968017p-15, 0x1.5fc8a362b4d96p-15, 0x1.596a158f4efc1p-15, 0x1.534705bc10e54p-15, 0x1.4d53da00127eap-15, 0x1.478795f82ff32p-15, 0x1.41ddf43951ccap-15, 0x1.3c55e732f493cp-15, 0x1.36efabba43debp-15, 0x1.31ab9452519dfp-15, 0x1.2c897aa4acd5ep-15, 0x1.27888db38e9cbp-15, 0x1.22a761d826dc4p-15, 0x1.1de4544e61343p-15, 0x1.193e4a10c87d3p-15, 0x1.14b582de50dc6p-15, 0x1.104bdf02cf952p-15, 0x1.0c04162e65c6bp-15, 0x1.07e0488934223p-15, 0x1.03e0f3983f6fap-15, 0x1.0003a54273973p-15, 0x1.f87f5a145ba1dp-16, 0x1.f10c574e914ap-16, 0x1.e99d2e98cd7a2p-16, 0x1.e24504f6cfc23p-16, 0x1.db219ebc252b4p-16, 0x1.d42f8a1455324p-16, 0x1.cd537c4cf5e38p-16, 0x1.c6896c4a41d29p-16, 0x1.bfe7caebe5c86p-16, 0x1.b9794ec92a669p-16, 0x1.b332faceb3461p-16, 0x1.ad067301d11dfp-16, 0x1.a6ecbcd52cbd8p-16, 0x1.a0e4d0511336bp-16, 0x1.9aefaf54992e4p-16, 0x1.950e402445aebp-16, 0x1.8f40b92684c14p-16, 0x1.8986b8d024ea3p-16, 0x1.83df863be22dfp-16, 0x1.7e4a45ec2c5adp-16, 0x1.78c610c1c7a63p-16, 0x1.7351edca58072p-16, 0x1.6decc3a9619cep-16, 0x1.6895662208266p-16, 0x1.634ad8bec456fp-16, 0x1.5e0caf10ae9c4p-16, 0x1.58db348d347aep-16, 0x1.53b6fa164277dp-16, 0x1.4ea0113387f15p-16, 0x1.499691087a221p-16, 0x1.449cad094ef25p-16, 0x1.3fb42051f97e9p-16, 0x1.3ad526d70c07ep-16, 0x1.35f53c79de8f5p-16, 0x1.31195751b8277p-16, 0x1.2c45d9860f9eep-16, 0x1.2770d184fa03ep-16, 0x1.229cc60cf4818p-16, 0x1.1dd78d9c518e2p-16, 0x1.1920e5ea345b8p-16, 0x1.147066f6b0f5bp-16, 0x1.0fc1d44f5c6f4p-16, 0x1.0b1517a394b0ep-16, 0x1.066b312cfa899p-16, 0x1.01c4e0fa9fbd6p-16, 0x1.fa44f2dcaf07fp-17, 0x1.f108025c793dep-17, 0x1.e7d2aaf9b7ec5p-17, 0x1.dea481b55f92bp-17, 0x1.d57d12b9037cdp-17, 0x1.cc5bf4d7725d8p-17, 0x1.c340d696ceee7p-17, 0x1.ba2b832f95a55p-17, 0x1.b11bdc70802eap-17, 0x1.a811c91149937p-17, 0x1.9f0d1e2414a7bp-17, 0x1.960d9163c3872p-17, 0x1.8d12c30f091f6p-17, 0x1.841c64ba8846ap-17, 0x1.7b2a6191359b3p-17, 0x1.723cb8f7115a9p-17, 0x1.695304ad0d257p-17, 0x1.606d17b4b6dafp-17, 0x1.578e365f5962ap-17, 0x1.4ebc9dc622614p-17, 0x1.45f4da67c6e12p-17, 0x1.3d2cb3c85935fp-17, 0x1.34639f69bd53ap-17, 0x1.2b99315a5bfc1p-17, 0x1.22d5f840f1284p-17, 0x1.1a1f7002e631p-17, 0x1.116fc22b66c01p-17, 0x1.08c39fc9a0108p-17, 0x1.001b86679a305p-17, 0x1.eef1189f5e1dep-18, 0x1.ddb6cd86375a4p-18, 0x1.cc88f572eef32p-18, 0x1.bb680ebe9916ap-18, 0x1.aa547c019dbacp-18, 0x1.994e98168c36dp-18, 0x1.8856bd46c9c3dp-18, 0x1.776d47c0751f3p-18, 0x1.669296d17af31p-18, 0x1.55c70e00e0291p-18, 0x1.450b16605f8a9p-18, 0x1.345f1fcaaf945p-18, 0x1.23c3a197f6028p-18, 0x1.1339198d37dabp-18, 0x1.02c007b999aep-18, 0x1.e4b1cec308ae4p-19, 0x1.c4084fe3dcfbcp-19, 0x1.a384566d58b1ap-19, 0x1.83269a6877cf2p-19, 0x1.62efea775c53dp-19, 0x1.42e1477583583p-19, 0x1.22fbbe84d90aap-19, 0x1.033ffc7bed6e2p-19, 0x1.c75d2f19e1badp-20, 0x1.88955316c42d4p-20, 0x1.4a342e4c0131bp-20, 0x1.0c32362bb955bp-20, 0x1.9d0022af93c8cp-21, 0x1.224cbed47d089p-21, 0x1.50e1cdb79edbp-22, 0x1.7b2bc84a03f7ep-24, -0x1.2382819014cc4p-23, -0x1.80b92f29c2af4p-22, -0x1.3707e75015b2fp-21, -0x1.acddcba699914p-21, -0x1.10ed3ec786307p-20, -0x1.4afd48ac228b1p-20, -0x1.849d5ced4ababp-20, -0x1.bdcbdbb1a5672p-20, -0x1.f6872a6b655edp-20, -0x1.1766da2a9bd08p-19, -0x1.334ef59ef9465p-19, -0x1.4efb240e9d99ep-19, -0x1.6a6aa5c89682cp-19, -0x1.859cbf0128847p-19, -0x1.a090b7e00abd9p-19, -0x1.bb45dc7ffdfd4p-19, -0x1.d5bb7cd4eaec2p-19, -0x1.eff0eca61515fp-19, -0x1.04f2c1cfebd8bp-18, -0x1.11cc4ee107096p-18, -0x1.1e84ce46d3f42p-18, -0x1.2b1bf3daa3f66p-18, -0x1.3791738c9f2e7p-18, -0x1.43e50ccdf561fp-18, -0x1.50167512dd9b5p-18, -0x1.5c256ca2d51b9p-18, -0x1.6811af442405ep-18, -0x1.73dafb1f9dc0dp-18, -0x1.7f81172307b46p-18, -0x1.8b03d5c014d78p-18, -0x1.9662f13349572p-18, -0x1.a19dfe8ccccefp-18, -0x1.acb5259c542cdp-18, -0x1.b7a831f4a158ep-18, -0x1.c276a4a9a7b43p-18, -0x1.cd208c14513e4p-18, -0x1.d7a5c7eb32a3ap-18, -0x1.e20626079c84cp-18, -0x1.ec417dc1c1e57p-18, -0x1.f657ac9b22ed1p-18, -0x1.002449acaeb3cp-17, -0x1.050a0a9af5afcp-17, -0x1.09dd0bd89aee7p-17, -0x1.0e9d414711e9ap-17, -0x1.134a9fe7e67e8p-17, -0x1.17e51ddce2414p-17, -0x1.1c6cb26a51b46p-17, -0x1.20e155f53ee5cp-17, -0x1.25430204ddc18p-17, -0x1.2991b13f4e412p-17, -0x1.2dcd5f697f2a5p-17, -0x1.31f60960def58p-17, -0x1.360bad187fb2fp-17, -0x1.3a0e49975567p-17, -0x1.3dfddee51ece5p-17, -0x1.41da6e2287958p-17, -0x1.45a3f948d5758p-17, -0x1.495a8360f155bp-17, -0x1.4cfe106142b58p-17, -0x1.508ea559f5e73p-17, -0x1.540c487a772a3p-17, -0x1.5777010d3b893p-17, -0x1.5aced76d20d2p-17, -0x1.5e13d4e135ca9p-17, -0x1.6146034025017p-17, -0x1.64656c7304785p-17, -0x1.67721ae1b3dp-17, -0x1.6a6c1bb53ac9dp-17, -0x1.6d538117b933fp-17, -0x1.70285a54917bcp-17, -0x1.72eaaadca9a27p-17, -0x1.759a87fc21b96p-17, -0x1.7837fb9dc8c01p-17, -0x1.7ac3259fbffd8p-17, -0x1.7d3c166f214fap-17, -0x1.7fa2dd3a178fbp-17, -0x1.81f78cef44d5fp-17, -0x1.843a3a161478ep-17, -0x1.866afa048d865p-17, -0x1.8889e2b992659p-17, -0x1.8a970ad81f12p-17, -0x1.8c9289a5c56f2p-17, -0x1.8e7c7709e215p-17, -0x1.9054eb88b511ep-17, -0x1.921c003f79c17p-17, -0x1.93d1cee1bd229p-17, -0x1.957671b79da4ap-17, -0x1.970a039e45a6dp-17, -0x1.988ca007754bbp-17, -0x1.99fe62f744e4fp-17, -0x1.9b5f68fea2102p-17, -0x1.9cafcf3488915p-17, -0x1.9defb32ec21eap-17, -0x1.9f1f32fe18287p-17, -0x1.a03e6d286ef68p-17, -0x1.a14d809ea2246p-17, -0x1.a24c8cab23cb3p-17, -0x1.a33bb0e433205p-17, -0x1.a41b0d35e8ea1p-17, -0x1.a4eac208c02efp-17, -0x1.a5aaf0678be58p-17, -0x1.a65bb9fb15bd4p-17, -0x1.a6fd40ef08bc9p-17, -0x1.a78fa7e760363p-17, -0x1.a81311d29d74ep-17, -0x1.a887a0eed862ep-17, -0x1.a8ed7576f7051p-17, -0x1.a944af690767ep-17, -0x1.a98d73d3c06ep-17, -0x1.a9c7f314ca204p-17, -0x1.a9f466c7536e5p-17, -0x1.aa12c4f95cfedp-17, -0x1.aa230be73dc34p-17, -0x1.aa25a7cc9ff0ap-17, -0x1.aa1ac1e24f1bfp-17, -0x1.aa026b6caf1bdp-17, -0x1.a9dcc5f8683p-17, -0x1.a9a9f75cc1263p-17, -0x1.a96a25c6b373cp-17, -0x1.a91d774d91e28p-17, -0x1.a8c41201ae713p-17, -0x1.a85e1bfd6340ap-17, -0x1.a7ebbb6c261a9p-17, -0x1.a76d168ceb7e9p-17, -0x1.a6e253b14e751p-17, -0x1.a64b993aa329fp-17, -0x1.a5a90d981faa4p-17, -0x1.a4fad7433bcaap-17, -0x1.a4411cbf6bf9fp-17, -0x1.a37c049bf7129p-17, -0x1.a2abb57626f5ap-17, -0x1.a1d055f8089bbp-17, -0x1.a0ea0cd45fe47p-17, -0x1.9ff900c02b61ep-17, -0x1.9efd586e50194p-17, -0x1.9df73a8d37e7ap-17, -0x1.9ce6cdc5d26c7p-17, -0x1.9bcc38b7778e2p-17, -0x1.9aa7a1ef3c1a5p-17, -0x1.99792fd5bff85p-17, -0x1.984108a5f6feep-17, -0x1.96ff52935b2b1p-17, -0x1.95b43368acba7p-17, -0x1.945fd2059ed3p-17, -0x1.93025456f240fp-17, -0x1.919be129e611bp-17, -0x1.902c9ed05798ep-17, -0x1.8eb4b3c2e39cep-17, -0x1.8d3445d43eb45p-17, -0x1.8bab786225e23p-17, -0x1.8a1a6ced43beep-17, -0x1.8881481074455p-17, -0x1.86e034668ba4p-17, -0x1.8537716e3bf8dp-17, -0x1.838734357cd23p-17, -0x1.81cf12b5391a2p-17, -0x1.800f9845d2a5p-17, -0x1.7e490fc1ff117p-17, -0x1.7c7b77e3d5c48p-17, -0x1.7aa6ef0a13cfcp-17, -0x1.78cb9a0e7b2b8p-17, -0x1.76e99d859f7f1p-17, -0x1.75011d69504c4p-17, -0x1.73123d49848bp-17, -0x1.711d206a4662ap-17, -0x1.6f21e9cf3d863p-17, -0x1.6d20bc41a9b55p-17, -0x1.6b19ba5235ab4p-17, -0x1.690d0659d7f06p-17, -0x1.66fac27850a02p-17, -0x1.64e3109332f8bp-17, -0x1.62c61254408a4p-17, -0x1.60a3e92929cddp-17, -0x1.5e7cb643025a8p-17, -0x1.5c509a97fb54bp-17, -0x1.5a1fb6e4c02ffp-17, -0x1.57ea2bad89f1ep-17, -0x1.55b01938e73f6p-17, -0x1.53719f9421e6fp-17, -0x1.512ede8647e73p-17, -0x1.4ee7f598d334cp-17, -0x1.4c9d041441f96p-17, -0x1.4a4e2900994a2p-17, }}, 
      {{-0x1.838d99737ead9p-1, -0x1.8146067615b47p-1, -0x1.7d91e87691485p-1, -0x1.788f58310fa2cp-1, -0x1.726130928df67p-1, -0x1.6b2c810191673p-1, -0x1.6316c29cf7c8bp-1, -0x1.5a44995cf7b2cp-1, -0x1.50d8fadb457bep-1, -0x1.46f49ff1decfbp-1, -0x1.3cb5adf82fdffp-1, -0x1.3237897e50abp-1, -0x1.2792c7e734a6bp-1, -0x1.1cdd37b68ab37p-1, -0x1.1229f946ff064p-1, -0x1.0789a2d7174ep-1, -0x1.fa14d811ac231p-2, -0x1.e570bb7be0957p-2, -0x1.d13b07a93229p-2, -0x1.bd843dc84f0b4p-2, -0x1.aa59a9249bdffp-2, -0x1.97c5bafa53738p-2, -0x1.85d0602cac927p-2, -0x1.747f504a69913p-2, -0x1.63d655e159db5p-2, -0x1.53d7905e462fcp-2, -0x1.4483afd4d2f98p-2, -0x1.35da2b00d3d21p-2, -0x1.27d96fc6298fcp-2, -0x1.1a7f0e82e6f46p-2, -0x1.0dc7e06713fc4p-2, -0x1.01b02999f150fp-2, -0x1.ec676e0ea1db7p-3, -0x1.d69bf08e69ca2p-3, -0x1.c1f42d91c0bc4p-3, -0x1.ae661210ea567p-3, -0x1.9be7479587b2fp-3, -0x1.8a6d510937f2dp-3, -0x1.79eda2eac5a6ep-3, -0x1.6a5db87ba3253p-3, -0x1.5bb3249c29957p-3, -0x1.4de3a038c9cbcp-3, -0x1.40e515eeaee1cp-3, -0x1.34adaaddb79f5p-3, -0x1.2933c6eaa8a3ap-3, -0x1.1e6e198f04a4dp-3, -0x1.14539e71c0b7ap-3, -0x1.0adb9fd1189dep-3, -0x1.01fdb8df378adp-3, -0x1.f363adb93aee5p-4, -0x1.e3e0713b76e49p-4, -0x1.d562dd665a707p-4, -0x1.c7dcb428bf0e7p-4, -0x1.bb405621f0815p-4, -0x1.af80bf768ef8cp-4, -0x1.a49183f7576a1p-4, -0x1.9a66ca5babbc1p-4, -0x1.90f5482404c02p-4, -0x1.88323cc3d8b4cp-4, -0x1.80136ca769a99p-4, -0x1.788f1cb6e14d8p-4, -0x1.719c0d060b2cfp-4, -0x1.6b3173f3678dep-4, -0x1.6546f97e74bd9p-4, -0x1.5fd4b22bb0bcfp-4, -0x1.5ad31a61ab6e7p-4, -0x1.563b11e51f491p-4, -0x1.5205d73935e9ep-4, -0x1.4e2d0399e7d38p-4, -0x1.4aaa86ba51b5fp-4, -0x1.4778a29e5662p-4, -0x1.4491e7bb8dbp-4, -0x1.41f13146af2c3p-4, -0x1.3f91a1b55a2f3p-4, -0x1.3d6e9f548d094p-4, -0x1.3b83d0de7aadfp-4, -0x1.39cd1a5c582f7p-4, -0x1.38469a26d9d74p-4, -0x1.36eca602b656bp-4, -0x1.35bbc87fd073ap-4, -0x1.34b0be584d888p-4, -0x1.33c873e1fb743p-4, -0x1.330002abd0803p-4, -0x1.3254af3c269c3p-4, -0x1.31c3e6e836d95p-4, -0x1.314b3dc3b691bp-4, -0x1.30e86ca9b691ap-4, -0x1.30994f611f52ap-4, -0x1.305be2daf6dacp-4, -0x1.302e437e30fap-4, -0x1.300eab8079fc8p-4, -0x1.2ffb71590a577p-4, -0x1.2ff306497233fp-4, -0x1.2ff3f4fb55d86p-4, -0x1.2ffce034029fdp-4, -0x1.300c8190e8324p-4, -0x1.3021a84d89f0ap-4, -0x1.303b381b02b3cp-4, -0x1.30582808673f9p-4, -0x1.307781791eeabp-4, -0x1.30985f27d329ap-4, -0x1.30b9ec34f8a99p-4, -0x1.30db6341111ep-4, -0x1.30fc0d91e65a5p-4, -0x1.311b4242124ffp-4, -0x1.3138657adfe75p-4, -0x1.3152e7b7c1f55p-4, -0x1.316a451375c2ep-4, -0x1.317e049f1758bp-4, -0x1.318db7c15d483p-4, -0x1.3198f99c43f62p-4, -0x1.319f6e791ee81p-4, -0x1.31a0c33bca8d9p-4, -0x1.319cacde615b7p-4, -0x1.3192e7f5d2de7p-4, -0x1.3183383cff126p-4, -0x1.316d6824425a6p-4, -0x1.315148660c63bp-4, -0x1.312eafa0f6ef7p-4, -0x1.310579f6fc1bcp-4, -0x1.30d588b2875a9p-4, -0x1.309ec1f1654eap-4, -0x1.30611053b0b6p-4, -0x1.301c62ae62a8cp-4, -0x1.2fd0abc27e38fp-4, -0x1.2f7de1f8daf8bp-4, -0x1.2f23ff20c0141p-4, -0x1.2ec30031329c9p-4, -0x1.2e5ae50e738cep-4, -0x1.2debb053f6581p-4, -0x1.2d75672086066p-4, -0x1.2cf810e44fb07p-4, -0x1.2c73b7334c31p-4, -0x1.2be8659bd528fp-4, -0x1.2b56297ebc555p-4, -0x1.2abd11e85118cp-4, -0x1.2a1d2f6c96fffp-4, -0x1.29769407291a9p-4, -0x1.28c952fc0be1p-4, -0x1.281580b828051p-4, -0x1.275b32b390f27p-4, -0x1.269a7f56e8c25p-4, -0x1.25d37de233562p-4, -0x1.25064653d1067p-4, -0x1.2432f1513e529p-4, -0x1.2359981326d86p-4, -0x1.227a5453c6de8p-4, -0x1.2195403dcaa76p-4, -0x1.20aa765bdb665p-4, -0x1.1fba118a07b96p-4, -0x1.1ec42ce90ad1bp-4, -0x1.1dc8e3d24e9dbp-4, -0x1.1cc851cc06eddp-4, -0x1.1bc2927dbde4dp-4, -0x1.1ab7c1a5a353ap-4, -0x1.19a7fb0e72255p-4, -0x1.18935a859a0cap-4, -0x1.1779fbd1b8b63p-4, -0x1.165bfaa9a9911p-4, -0x1.153972ac6500fp-4, -0x1.14127f59c064dp-4, -0x1.12e73c0c097cap-4, -0x1.11b7c3f27de3ap-4, -0x1.1084320c97ef3p-4, -0x1.0f4ca12637cecp-4, -0x1.0e112bd49dd75p-4, -0x1.0cd1ec7410288p-4, -0x1.0b8efd25fb763p-4, -0x1.0a4877cf61c18p-4, -0x1.08fe76178785bp-4, -0x1.07b11166d1185p-4, -0x1.066062e5b363fp-4, -0x1.050c837b9d995p-4, -0x1.03b58bcdc5d92p-4, -0x1.025b943de2848p-4, -0x1.00feb4e8e0e97p-4, -0x1.ff3e0b4b415eep-5, -0x1.fc793c07712e1p-5, -0x1.f9af2a9489183p-5, -0x1.f6e004edaafe8p-5, -0x1.f40bf87917fdep-5, -0x1.f1333206f0f53p-5, -0x1.ee55ddd06a73fp-5, -0x1.eb7427777fac1p-5, -0x1.e88e3a070a054p-5, -0x1.e5a43ff35bec1p-5, -0x1.e2b6631b4ced6p-5, -0x1.dfc4ccc9bf338p-5, -0x1.dccfa5b779cfbp-5, -0x1.d9d7160d387dfp-5, -0x1.d6db4565d2a1ap-5, -0x1.d3dc5ad06c768p-5, -0x1.d0da7cd2ade2ap-5, -0x1.cdd5d16aec43bp-5, -0x1.cace7e1237bc7p-5, -0x1.c7c4a7be476f8p-5, -0x1.c4b872e32f8adp-5, -0x1.c1aa0374f4246p-5, -0x1.be997ce8ecf0cp-5, -0x1.bb8702370d884p-5, -0x1.b872b5db09c91p-5, -0x1.b55cb9d5602f4p-5, -0x1.b2452fac4b8cdp-5, -0x1.af2c386cae113p-5, -0x1.ac11f4aaf70aap-5, -0x1.a8f6848417c83p-5, -0x1.a5da079e7f2b6p-5, -0x1.a2bc9d2b2bbddp-5, -0x1.9f9e63e6cdf71p-5, -0x1.9c7f7a1afff84p-5, -0x1.995ffd9f93cc7p-5, -0x1.96400bdbfe28cp-5, -0x1.931fc1c8d2c49p-5, -0x1.8fff3bf158439p-5, -0x1.8cde967527095p-5, -0x1.89bded09d45c1p-5, -0x1.869d5afc9cd45p-5, -0x1.837cfb3419002p-5, -0x1.805ce831e8e09p-5, -0x1.7d3d3c14596bdp-5, -0x1.7a1e1098008fcp-5, -0x1.76ff7f194b7b4p-5, -0x1.73e1a095f8256p-5, -0x1.70c48dae79047p-5, -0x1.6da85ea7483b2p-5, -0x1.6a8d2b6a1efa4p-5, -0x1.67730b871ba52p-5, -0x1.645a1635d116fp-5, -0x1.6142625641dap-5, -0x1.5e2c0671bf93dp-5, -0x1.5b1718bbbd11cp-5, -0x1.5803af128ebe9p-5, -0x1.54f1df0019802p-5, -0x1.51e1bdba7490ap-5, -0x1.4ed3602481d7ap-5, -0x1.4bc6dace728f4p-5, -0x1.48bc41f64fc83p-5, -0x1.45b3a988769cfp-5, -0x1.42ad25200d5cp-5, -0x1.3fa8c807763b2p-5, -0x1.3ca6a538bc0fcp-5, -0x1.39a6cf5df7fdcp-5, -0x1.36a958d1c04bfp-5, -0x1.33ae539f8f216p-5, -0x1.30b5d1842671ap-5, -0x1.2dbfe3edf2db1p-5, -0x1.2acc9bfd68e3ep-5, -0x1.27dc0a856507dp-5, -0x1.24ee400b87e6fp-5, -0x1.22034cc8986ffp-5, -0x1.1f1b40a8d8ab2p-5, -0x1.1c362b4c5ca28p-5, -0x1.19541c0756613p-5, -0x1.167521e266e01p-5, -0x1.13994b9aed2fep-5, -0x1.10c0a7a34e9ap-5, -0x1.0deb44234191dp-5, -0x1.0b192ef80a393p-5, -0x1.084a75b4b7f2ep-5, -0x1.057f25a2526bdp-5, -0x1.02b74bc0291f6p-5, -0x1.ffe5e987ec595p-6, -0x1.fa645a343885bp-6, -0x1.f4ea01cba5392p-6, -0x1.ef76f802981b1p-6, -0x1.ea0b53fbc05a8p-6, -0x1.e4a72c4861f92p-6, -0x1.df4a96e8b4cacp-6, -0x1.d9f5a94c3b033p-6, -0x1.d4a8785210ba7p-6, -0x1.cf63184932ff1p-6, -0x1.ca259cf0c8516p-6, -0x1.c4f0197865994p-6, -0x1.bfc2a0806e8dep-6, -0x1.ba9d441a74015p-6, -0x1.b58015c99934dp-6, -0x1.b06b2682f7c5ap-6, -0x1.ab5e86adef312p-6, -0x1.a65a46248fcaap-6, -0x1.a15e7433fd3fap-6, -0x1.9c6b1f9cef5e4p-6, -0x1.978056943930ap-6, -0x1.929e26c35b5b3p-6, -0x1.8dc49d4909cfbp-6, -0x1.88f3c6b9b5057p-6, -0x1.842baf2016021p-6, -0x1.7f6c61fdc7c0bp-6, -0x1.7ab5ea4bf44d7p-6, -0x1.7608527c18659p-6, -0x1.7163a478c4fadp-6, -0x1.6cc7e9a6643c2p-6, -0x1.68352ae3f8fc4p-6, -0x1.63ab708bda94bp-6, -0x1.5f2ac27485303p-6, -0x1.5ab327f178dc1p-6, -0x1.5644a7d42f1efp-6, -0x1.51df486d1bd0ep-6, -0x1.4d830f8cb0c4fp-6, -0x1.49300284432fbp-6, -0x1.44e626272b764p-6, -0x1.40a57ecba0075p-6, -0x1.3c6e104bc662ap-6, -0x1.383fde06daa5bp-6, -0x1.341aeae2603e2p-6, -0x1.2fff394b54041p-6, -0x1.2beccb3774d9dp-6, -0x1.27e3a226772e5p-6, -0x1.23e3bf232d3e2p-6, -0x1.1fed22c4a4117p-6, -0x1.1bffcd2f9d5dap-6, -0x1.181bbe17c3082p-6, -0x1.1440f4c0dcc5bp-6, -0x1.106f70006d2bp-6, -0x1.0ca72e3f312fp-6, -0x1.08e82d7a7bca5p-6, -0x1.05326b4589d87p-6, -0x1.0185e4cae3583p-6, -0x1.fbc52d9b984ebp-7, -0x1.f490fb5785a13p-7, -0x1.ed6f2abc0e2f5p-7, -0x1.e65fb2f681c7bp-7, -0x1.df628a7228554p-7, -0x1.d877a6db72266p-7, -0x1.d19efd22f5899p-7, -0x1.cad8818066c8cp-7, -0x1.c4242775af1b4p-7, -0x1.bd81e1d22125ep-7, -0x1.b6f1a2b5cc70cp-7, -0x1.b0735b94e7626p-7, -0x1.aa06fd3b447ccp-7, -0x1.a3ac77cfb115fp-7, -0x1.9d63bad74e6f4p-7, -0x1.972cb538c4cd2p-7, -0x1.9107553f795efp-7, -0x1.8af3889ecb30fp-7, -0x1.84f13c7574b56p-7, -0x1.7f005d50f2ee5p-7, -0x1.7920d73116d12p-7, -0x1.7352958b926ffp-7, -0x1.6d95834f76a91p-7, -0x1.67e98ae8a15a4p-7, -0x1.624e964302c41p-7, -0x1.5cc48ecddeb4cp-7, -0x1.574b5d7f1e95bp-7, -0x1.51e2ead692963p-7, -0x1.4c8b1ee165803p-7, -0x1.4743e13d9892dp-7, -0x1.420d191d82516p-7, -0x1.3ce6ad4b4d9abp-7, -0x1.37d0842c5500ap-7, -0x1.32ca83c47a9bap-7, -0x1.2dd491b9504bbp-7, -0x1.28ee935546df6p-7, -0x1.24186d8ad901cp-7, -0x1.1f5204f7c16a8p-7, -0x1.1a9b3de8401d5p-7, -0x1.15f3fc5a6a376p-7, -0x1.115c240177344p-7, -0x1.0cd398490b1a4p-7, -0x1.085a3c585d2f8p-7, -0x1.03eff3155469p-7, -0x1.ff293e4f0424cp-8, -0x1.f69045f624a87p-8, -0x1.ee14c18779bbap-8, -0x1.e5b674ff621cdp-8, -0x1.dd7523f5213a6p-8, -0x1.d55091a0dc1c1p-8, -0x1.cd4880e197b55p-8, -0x1.c55cb4430e669p-8, -0x1.bd8cee0385c6fp-8, -0x1.b5d8f0196a722p-8, -0x1.ae407c38bb6c3p-8, -0x1.a6c353d83798dp-8, -0x1.9f61383698b55p-8, -0x1.9819ea5fa461ep-8, -0x1.90ed2b316763dp-8, -0x1.89dabb614f689p-8, -0x1.82e25b8157a4cp-8, -0x1.7c03cc051dce9p-8, -0x1.753ecd46f5af5p-8, -0x1.6e931f8cbda8dp-8, -0x1.6800830c987cdp-8, -0x1.6186b7f1866dbp-8, -0x1.5b257e5fc80c5p-8, -0x1.54dc967931d2bp-8, -0x1.4eabc0616d72fp-8, -0x1.4892bc422f0b6p-8, -0x1.42914a4f6c9bep-8, -0x1.3ca72acb8be86p-8, -0x1.36d41e0b8c23p-8, -0x1.3117e47b03ad6p-8, -0x1.2b723ea02ba45p-8, -0x1.25e2ed1fa5e55p-8, -0x1.2069b0c03471ap-8, -0x1.1b064a6e3be5ep-8, -0x1.15b87b3f3f306p-8, -0x1.108004751ccb2p-8, -0x1.0b5ca7815df8fp-8, -0x1.064e260866345p-8, -0x1.015441e48ca9ep-8, -0x1.f8dd7a52a0503p-9, -0x1.ef3ab44c98045p-9, -0x1.e5bfb6d49f23dp-9, -0x1.dc6c078c8bc03p-9, -0x1.d33f2ca015712p-9, -0x1.ca38acca44f1cp-9, -0x1.c1580f5abd751p-9, -0x1.b89cdc3ac0bcep-9, -0x1.b0069bf1ecd24p-9, -0x1.a794d7aadac75p-9, -0x1.9f4719376d89p-9, -0x1.971ceb150abc6p-9, -0x1.8f15d870ae73fp-9, -0x1.87316d2ad6edp-9, -0x1.7f6f35db66bb7p-9, -0x1.77cebfd576115p-9, -0x1.704f992b12935p-9, -0x1.68f150b0effa3p-9, -0x1.61b376022ab7dp-9, -0x1.5a959983bcebcp-9, -0x1.53974c67df14dp-9, -0x1.4cb820b132b69p-9, -0x1.45f7a9359b5e8p-9, -0x1.3f5579a0b2e4cp-9, -0x1.38d1267615b45p-9, -0x1.326a451327f8p-9, -0x1.2c206bb0d4957p-9, -0x1.25f33165089b4p-9, -0x1.1fe22e2451958p-9, -0x1.19ecfac37d92ep-9, -0x1.141330f9941c1p-9, -0x1.0e546b61e7601p-9, -0x1.08b0457e8092fp-9, -0x1.03265bba86abdp-9, -0x1.fb6c96d9287e3p-10, -0x1.f0bf65b1d4e34p-10, -0x1.e6446265ead0ap-10, -0x1.dbfacd3ce0e79p-10, -0x1.d1e1e85f21b23p-10, -0x1.c7f8f7d5b732ap-10, -0x1.be3f41885edddp-10, -0x1.b4b40d3b5e8a5p-10, -0x1.ab56a48d3e591p-10, -0x1.a22652f536c31p-10, -0x1.992265c2e88acp-10, -0x1.904a2c1f414adp-10, -0x1.879cf70f508a4p-10, -0x1.7f1a197879d8ap-10, -0x1.76c0e825033c3p-10, -0x1.6e90b9c934decp-10, -0x1.6688e7077b661p-10, -0x1.5ea8ca72e896ap-10, -0x1.56efc08faaacbp-10, -0x1.4f5d27d0e26a4p-10, -0x1.47f060940a86fp-10, -0x1.40a8cd1a731ap-10, -0x1.3985d181515bp-10, -0x1.3286d3b9afdb3p-10, -0x1.2bab3b80f35dcp-10, -0x1.24f2725b16c9ep-10, -0x1.1e5be38f56dc1p-10, -0x1.17e6fc276bfe1p-10, -0x1.11932af17f4cdp-10, -0x1.0b5fe08439cdbp-10, -0x1.054c8f44350ep-10, -0x1.feb156d3bc4ffp-11, -0x1.f307560d0d977p-11, -0x1.e79a0c0feebb5p-11, -0x1.dc686c733cc92p-11, -0x1.d1716e863caedp-11, -0x1.c6b40d47b83c7p-11, -0x1.bc2f47587c0d8p-11, -0x1.b1e21ee95e6e6p-11, -0x1.a7cb99a6c6bf9p-11, -0x1.9deac0a27ea54p-11, -0x1.943ea03e1594ap-11, -0x1.8ac6481636p-11, -0x1.8180caf15acp-11, -0x1.786d3eb19a6bcp-11, -0x1.6f8abc4af242ap-11, -0x1.66d85fbea7c09p-11, -0x1.5e55481b5ee94p-11, -0x1.560097829d08bp-11, -0x1.4dd97332724d8p-11, -0x1.45df039336a4fp-11, -0x1.3e10744804074p-11, -0x1.366cf43feed09p-11, -0x1.2ef3b5c5ba57cp-11, -0x1.27a3ee8bda69bp-11, -0x1.207cd7b16cadbp-11, -0x1.197dadbdf4bffp-11, -0x1.12a5b0924a2eep-11, -0x1.0bf4234d9f56bp-11, -0x1.05684c27790c4p-11, -0x1.fe02e8822b68p-12, -0x1.f17dcee24bd2fp-12, -0x1.e53fe81d133f1p-12, -0x1.d947d57e87481p-12, -0x1.cd943ca075eep-12, -0x1.c223c737465bfp-12, -0x1.b6f52302f1ee6p-12, -0x1.ac0701eabe531p-12, -0x1.a1581a41cddd2p-12, -0x1.96e72731e61e2p-12, -0x1.8cb2e93d5e226p-12, -0x1.82ba26c960ae9p-12, -0x1.78fbac9b0b332p-12, -0x1.6f764e3384574p-12, -0x1.6628e5fd123f6p-12, -0x1.5d1255404047ep-12, -0x1.543183e16b1fap-12, -0x1.4b855fee73177p-12, -0x1.430cdd0838afbp-12, -0x1.3ac6f3b4d115bp-12, -0x1.32b2a0a86cac7p-12, -0x1.2acee40fc565bp-12, -0x1.231ac0e98778dp-12, -0x1.1b953c7c74067p-12, -0x1.143d5dfb07e6cp-12, -0x1.0d122e66b8b9ap-12, -0x1.0612b8be953e3p-12, -0x1.fe7c14f9b1d5dp-13, -0x1.f12668ae2c324p-13, -0x1.e4229649c26fap-13, -0x1.d76ed18dda113p-13, -0x1.cb0959cb77afcp-13, -0x1.bef07ad0aaa74p-13, -0x1.b3228d2c732fp-13, -0x1.a79df5d25abep-13, -0x1.9c61254d15054p-13, -0x1.916a96b9210e8p-13, -0x1.86b8ceb998905p-13, -0x1.7c4a5a7e8ec0bp-13, -0x1.721dced5ea65fp-13, -0x1.6831c72eadd41p-13, -0x1.5e84e47201c5fp-13, -0x1.5515cbb39ce52p-13, -0x1.4be324d9cc828p-13, -0x1.42eb998869e5ep-13, -0x1.3a2dd49da027bp-13, -0x1.31a88281685adp-13, -0x1.295a524d27232p-13, -0x1.2141f7940c303p-13, -0x1.195e2c5c40822p-13, -0x1.11adb2c9c55b5p-13, -0x1.0a2f5612c38a4p-13, -0x1.02e1ea969f3c3p-13, -0x1.f7889a6ea2c77p-14, -0x1.e9aac4a11ddbep-14, -0x1.dc28298051fc7p-14, -0x1.cefeaabc8a7e3p-14, -0x1.c22c362029a0fp-14, -0x1.b5aec6afb1183p-14, -0x1.a984661708fbep-14, -0x1.9dab2d7917294p-14, -0x1.922144eb65f55p-14, -0x1.86e4e152f5a7cp-14, -0x1.7bf4411332502p-14, -0x1.714da87743acfp-14, -0x1.66ef5efbf262dp-14, -0x1.5cd7ae4c52155p-14, -0x1.5304e327265bbp-14, -0x1.49754fa758c3cp-14, -0x1.40274df055544p-14, -0x1.37194235fdae4p-14, -0x1.2e499b6e327a5p-14, -0x1.25b6d28407622p-14, -0x1.1d5f686180371p-14, -0x1.1541e37300b7p-14, -0x1.0d5ccd7261512p-14, -0x1.05aeb240fae1bp-14, -0x1.fc6c40d30b0e9p-15, -0x1.ede356dec8c46p-15, -0x1.dfbfdedee8a85p-15, -0x1.d1ff29f3b69ffp-15, -0x1.c49ea7a05b474p-15, -0x1.b79be711200f6p-15, -0x1.aaf493dcd75f2p-15, -0x1.9ea66fd6ed017p-15, -0x1.92af4cbfda8bp-15, -0x1.870d0864cbfacp-15, -0x1.7bbd8c3cef9dp-15, -0x1.70becf828a0f6p-15, -0x1.660ed9559b811p-15, -0x1.5babc098566d7p-15, -0x1.5193a8b8cef38p-15, -0x1.47c4bcaf6acf4p-15, -0x1.3e3d2a8dd2f84p-15, -0x1.34fb2157fb373p-15, -0x1.2bfcd11c73ecap-15, -0x1.23406bb14b97fp-15, -0x1.1ac42489bb8a6p-15, -0x1.12862f98c1777p-15, -0x1.0a84c0ce36e8ep-15, -0x1.02be0e3077e59p-15, -0x1.f660aa2ccfd86p-16, -0x1.e7b3c1f92c804p-16, -0x1.d97221b2ed774p-16, -0x1.cb98b09757689p-16, -0x1.be2478743abe9p-16, -0x1.b1129acc8b3fp-16, -0x1.a4604a03c6d05p-16, -0x1.980acccc2d7e1p-16, -0x1.8c0f8b90e9312p-16, -0x1.806c20623de58p-16, -0x1.751e5e748131bp-16, -0x1.6a2449a5cd14bp-16, -0x1.5f7bff12ebad2p-16, -0x1.552398d5e482dp-16, -0x1.4b191a6068994p-16, -0x1.415a6dbb9c6c6p-16, -0x1.37e56f7ff5037p-16, -0x1.2eb7ff2a50bc9p-16, -0x1.25d0093d0031ap-16, -0x1.1d2b87a9f310ap-16, -0x1.14c87caad6853p-16, -0x1.0ca4eea3894p-16, -0x1.04bee8d1fecffp-16, -0x1.fa29004e45f56p-17, -0x1.eb47b27e97ad4p-17, -0x1.dcd65803f2217p-17, -0x1.ced184cf92879p-17, -0x1.c135e314f0fcep-17, -0x1.b4001df417251p-17, -0x1.a72cd01ac296ep-17, -0x1.9ab885ec7c11p-17, -0x1.8e9fdd6c2c0e4p-17, -0x1.82dfbcca62e2ap-17, -0x1.777584649ada4p-17, -0x1.6c5f1aaed223bp-17, -0x1.619ac2556a0a6p-17, -0x1.5726cc8bd0aa3p-17, -0x1.4d0152f807b0dp-17, -0x1.432820fe0c079p-17, -0x1.3998d32ba5a16p-17, -0x1.30510db8753ap-17, -0x1.274e9f17855cap-17, -0x1.1e8f7b2da565ap-17, -0x1.16119f0582ddep-17, -0x1.0dd2fb3794f55p-17, -0x1.05d175311c69cp-17, -0x1.fc15f494c89b4p-18, -0x1.ecfb2c1a71f11p-18, -0x1.de4efe3cdc955p-18, -0x1.d00e2a1c95beep-18, -0x1.c2359ff62f841p-18, -0x1.b4c25628b3465p-18, -0x1.a7b127adfaa16p-18, -0x1.9afec84e5dccep-18, -0x1.8ea7caa5b7a97p-18, -0x1.82a8af553ccf2p-18, -0x1.76fdfdd7f3722p-18, -0x1.6ba46ff2b15c2p-18, -0x1.60992ba17a3cbp-18, -0x1.55d9e8da6f951p-18, -0x1.4b64d8556b83dp-18, -0x1.413849e2fdf7p-18, -0x1.37524d6897df1p-18, -0x1.2db098cd59e1ep-18, -0x1.2450c631d826dp-18, -0x1.1b30ad63b6aaap-18, -0x1.124e82413d214p-18, -0x1.09a8a29030134p-18, -0x1.013d51df23b89p-18, -0x1.f215477ededf9p-19, -0x1.e21d229e2d7a6p-19, -0x1.d28e297290c34p-19, -0x1.c3647b330664bp-19, -0x1.b49c899dbeea8p-19, -0x1.a63338fa4463ap-19, -0x1.9825e0a1b5ae6p-19, -0x1.8a7223b5e5b4dp-19, -0x1.7d15b0dde3dc6p-19, -0x1.700e055b3e72cp-19, -0x1.63585130b3b07p-19, -0x1.56f18e0f4c7cap-19, -0x1.4ad6bfcfefc3ap-19, -0x1.3f0537f2eb661p-19, -0x1.337aadb2f57d9p-19, -0x1.28351a3afafb8p-19, -0x1.1d327a6633a25p-19, -0x1.1270a92d7766ap-19, -0x1.07ed5cc6d5e5dp-19, -0x1.fb4c56051e377p-20, -0x1.e7313cbac47ep-20, -0x1.d3850f13327a7p-20, -0x1.c044cb85b920ap-20, -0x1.ad6ec787f96d6p-20, -0x1.9b017836d21f9p-20, -0x1.88fa38cc66ef8p-20, -0x1.77556365cffc5p-20, -0x1.660f54a3df623p-20, -0x1.5524ee35bc2cp-20, -0x1.4493559832058p-20, -0x1.3457bc8749e58p-20, -0x1.246f7c7062f6ep-20, -0x1.14d83632c7d7bp-20, -0x1.058fccd018476p-20, -0x1.ed289c7913d53p-21, -0x1.cfc7bcce416efp-21, -0x1.b2f94eef32a72p-21, -0x1.96b9940ca5a95p-21, -0x1.7b049c314dd08p-21, -0x1.5fd63d3e0e28ep-21, -0x1.452a411626234p-21, -0x1.2afcd80365731p-21, -0x1.114b1c872d37cp-21, -0x1.f02668b4097adp-22, -0x1.bea75c1e97ed5p-22, -0x1.8e14b2b152f08p-22, -0x1.5e67190fc4ff4p-22, -0x1.2f9505ccbef25p-22, -0x1.0194931983347p-22, -0x1.a8ba9152149d3p-23, -0x1.4fd5199009d34p-23, -0x1.f0f3041222f4ap-24, -0x1.4554f5b93dd28p-24, -0x1.3986fe5e85753p-25, 0x1.1bb42bc41d051p-29, 0x1.574c8ab5109d8p-25, 0x1.4ba372735eba4p-24, 0x1.e8e0c5be8ec78p-24, 0x1.41b66e157f3ap-23, 0x1.8daab79197d0ap-23, 0x1.d852d266fc30ap-23, 0x1.10d9c5940866ap-22, 0x1.34e8ca1102f9dp-22, 0x1.5858ece78b19bp-22, 0x1.7b2cc2991699cp-22, 0x1.9d66e8e285239p-22, 0x1.bf09e94809fcep-22, 0x1.e018203274a32p-22, 0x1.0049da9333a9cp-21, 0x1.103f5446d90e3p-21, 0x1.1fed755d0b799p-21, 0x1.2f553042ff00bp-21, 0x1.3e77626d0169bp-21, 0x1.4d54bd56f0449p-21, 0x1.5bedc30d43b79p-21, 0x1.6a42efe63ba95p-21, 0x1.7855098c7c29ep-21, 0x1.8625472538bd9p-21, 0x1.93b4ffc982b43p-21, 0x1.a105323f9bbeap-21, 0x1.ae16843a0bd9p-21, 0x1.bae948f3c3563p-21, 0x1.c77d75cd831ffp-21, 0x1.d3d38268e921dp-21, 0x1.dfeca70758876p-21, 0x1.ebc98d9d7c8eap-21, 0x1.f76a457f834cbp-21, 0x1.01679f97271fp-20, 0x1.06fc94531cfbp-20, 0x1.0c7443186e32fp-20, 0x1.11cedb897c87bp-20, 0x1.170c87465be85p-20, 0x1.1c2d73324b1a2p-20, 0x1.2131cda4f244fp-20, 0x1.2619c7c7a89fep-20, 0x1.2ae594d32a415p-20, 0x1.2f956907f418fp-20, 0x1.34297847f458dp-20, 0x1.38a1f45b846b2p-20, 0x1.3cff0b6140693p-20, 0x1.4140e7187713bp-20, 0x1.4567ad8036663p-20, 0x1.497382e316202p-20, 0x1.4d648c8c72abap-20, 0x1.513af2b3f8bb8p-20, 0x1.54f6e0624de89p-20, 0x1.589880d3e13d4p-20, 0x1.5c1ffbbe571fp-20, 0x1.5f8d751b1e80dp-20, 0x1.62e113e067ef9p-20, 0x1.661b058e51e78p-20, 0x1.693b6f1c13a34p-20, 0x1.6c426382f754bp-20, 0x1.6f300803d5539p-20, 0x1.72049a78f5f15p-20, 0x1.74c0496cce4a1p-20, 0x1.7763412303e7ap-20, 0x1.79ed943051665p-20, 0x1.7c5f59f6c80ffp-20, 0x1.7eb8c3f97b118p-20, 0x1.80f9feb4f033cp-20, 0x1.83232ec5e10a7p-20, 0x1.8534780bb4a5bp-20, 0x1.872dffb05de95p-20, 0x1.890febe4e02c9p-20, 0x1.8ada63818dcf6p-20, 0x1.8c8d8ddf92473p-20, 0x1.8e2992dad40aep-20, 0x1.8fae9ad6e8c97p-20, 0x1.911ccebb2cad8p-20, 0x1.927457db66294p-20, 0x1.93b55fd68bb52p-20, 0x1.94e01072fe282p-20, 0x1.95f4938252d12p-20, 0x1.96f312d1001fdp-20, 0x1.97dbb8341c5c5p-20, 0x1.98aeadc2ef726p-20, 0x1.996c1e3b6eedfp-20, 0x1.9a1435605a94ap-20, 0x1.9aa7200f2fbcbp-20, 0x1.9b250bdef12f3p-20, 0x1.9b8e2668b5344p-20, 0x1.9be29c9ef3714p-20, 0x1.9c229af6bfe74p-20, 0x1.9c4e4e8bc2da4p-20, 0x1.9c65e589a218cp-20, 0x1.9c698d751c2bep-20, 0x1.9c59731c9383dp-20, 0x1.9c35c9ab5ad0ap-20, 0x1.9bfec67515e65p-20, 0x1.9bb49774259d4p-20, 0x1.9b5767ab0534bp-20, 0x1.9ae769230870cp-20, 0x1.9a64ceeb42e1ep-20, 0x1.99cfca3133e48p-20, 0x1.99288c421d3c6p-20, 0x1.986f46fff8732p-20, 0x1.97a42cbcb828fp-20, 0x1.96c7701e0b42dp-20, 0x1.95d94411f6df9p-20, 0x1.94d9dbcba9884p-20, 0x1.93c96ac0362b1p-20, 0x1.92a824a466179p-20, 0x1.91763d6ca7b37p-20, 0x1.9033e94a753e4p-20, 0x1.8ee15ca76785cp-20, 0x1.8d7ecc227a12cp-20, 0x1.8c0c6c8c92427p-20, 0x1.8a8a72e3c5dc1p-20, 0x1.88f9144e4c55cp-20, 0x1.87588617abf2fp-20, 0x1.85a8fdb0c8c16p-20, 0x1.83eab0a65bdcap-20, 0x1.821dd4222cb0fp-20, 0x1.80429d2fbde17p-20, 0x1.7e5949c9bcb65p-20, 0x1.7c61ff42aebeep-20, 0x1.7a5d05f0e5d86p-20, 0x1.784a899ece5c7p-20, 0x1.762ac29b8523bp-20, 0x1.73fde75facc68p-20, 0x1.71c42e2e69768p-20, 0x1.6f7dcd745e6ap-20, 0x1.6d2afb955680ep-20, 0x1.6acbeebfa6465p-20, 0x1.6860ddb6fb743p-20, 0x1.65e9fec1b8569p-20, 0x1.636787c45c79dp-20, 0x1.60d9af3c8470cp-20, 0x1.5e40ab631d998p-20, 0x1.5b9cb248cd975p-20, 0x1.58edf9f2b0449p-20, 0x1.5634b8537e1aap-20, 0x1.537123463e0ddp-20, 0x1.50a37089cb8c5p-20, 0x1.4dcbd5bd2d2aep-20, 0x1.4aea885ed2f4p-20, 0x1.47ffbdc7bddcdp-20, 0x1.450bab2a059c9p-20, 0x1.420e858e14c7dp-20, 0x1.3f0881d246d0bp-20, 0x1.3bf9d4a67f517p-20, 0x1.38e2b289866f6p-20, 0x1.35c34fc4540dap-20, 0x1.329be065399p-20, 0x1.2f6c98368d00ep-20, 0x1.2c35aab3377ep-20, 0x1.28f74b3173998p-20, 0x1.25b1aca8b4a9dp-20, 0x1.22650275d8a93p-20, 0x1.1f117fb84c42dp-20, 0x1.1bb7575319c2dp-20, 0x1.1856bb60d8135p-20, 0x1.14efddae7f842p-20, 0x1.1182efcbacfe2p-20, 0x1.0e1022a0f9522p-20, 0x1.0a97a6aab282ep-20, 0x1.0719ac5ef675fp-20, 0x1.039664225149ep-20, 0x1.000dfe18fe03p-20, 0x1.f9015434281f8p-21, 0x1.f1dd2f635526dp-21, 0x1.eaafec034162bp-21, 0x1.e379e74e7eda4p-21, 0x1.dc3b7e0a44857p-21, 0x1.d4f50c0ac9887p-21, 0x1.cda6eccfa82b9p-21, 0x1.c6517ad40080bp-21, 0x1.bef50fcdf81eap-21, 0x1.b79204c217761p-21, 0x1.b028b1f768a47p-21, 0x1.a8b96ef26157cp-21, 0x1.a144927092c56p-21, 0x1.99ca726800a4bp-21, 0x1.924b6404a6285p-21, 0x1.8ac7bba889d21p-21, 0x1.833fcce87d45ap-21, 0x1.7bb3ea87f04b4p-21, 0x1.74246677100bp-21, 0x1.6c9191d50e6dap-21, 0x1.64fbbced8f903p-21, 0x1.5d6337381b43dp-21, 0x1.55c84f598061fp-21, 0x1.4e2b532026dcep-21, 0x1.468c8f7f5af21p-21, 0x1.3eec508e2f3d6p-21, 0x1.374ae18750ae8p-21, 0x1.2fa88cc64ba25p-21, 0x1.28059bc7b8288p-21, 0x1.2062572440443p-21, 0x1.18bf068dfb9e2p-21, 0x1.111bf0d4219b3p-21, 0x1.09795bed06c55p-21, 0x1.01d78cfd43a27p-21, 0x1.f46d90aaf8a15p-22, 0x1.e52ea2d2db563p-22, 0x1.d5f2d594c1c81p-22, 0x1.c6baac481f14fp-22, 0x1.b786a84c4c297p-22, 0x1.a85748d6c047fp-22, 0x1.992d0b40c24fcp-22, 0x1.8a086bdd3c883p-22, 0x1.7ae9e5fa4f399p-22, 0x1.6bd1f3349ec01p-22, 0x1.5cc108a2eb32dp-22, 0x1.4db799d98b88cp-22, 0x1.3eb61cb0e778dp-22, 0x1.2fbd02d8de857p-22, 0x1.20ccbb69b448bp-22, 0x1.11e5b451b7ffbp-22, 0x1.030859eb3e001p-22, 0x1.e86a2d9eaaf55p-23, 0x1.cad8a7ae0b89p-23, 0x1.ad5cf039395e9p-23, 0x1.8ff7d1f9ff4dep-23, 0x1.72aa1432675f9p-23, 0x1.55747ab4d6fb5p-23, 0x1.3857c5e1ce722p-23, 0x1.1b54b2a80cf6dp-23, 0x1.fcd7f5151003fp-24, 0x1.c33ca74af8408p-24, 0x1.89d8e14ea4618p-24, 0x1.50ae01d5a7d8p-24, 0x1.17bd60f823fc2p-24, 0x1.be10a085112e6p-25, 0x1.4d20356e9c1dap-25, 0x1.b95812df75971p-26, 0x1.b2da60eb26624p-27, -0x1.5ed7cc144c1d8p-32, -0x1.c6b9b1e51390cp-27, -0x1.c03293a023cdcp-26, -0x1.4dfbffe78763p-25, -0x1.bb54541292cadp-25, -0x1.14100d4f7b9a8p-24, -0x1.4a2ea11c619aap-24, -0x1.8004c01a8935bp-24, -0x1.b5918b984ee4ap-24, -0x1.ead3de7332aebp-24, -0x1.0fe56dd860e2bp-23, -0x1.2a3ac470e7853p-23, -0x1.44697c5fd9318p-23, -0x1.5e71229daaf4ap-23, -0x1.785147f13ab9p-23, -0x1.9209809dba963p-23, -0x1.ab99627c59493p-23, -0x1.c50084d552818p-23, -0x1.de3e80d3c5dd7p-23, -0x1.f752f3e8cf4b8p-23, -0x1.081ec50021c45p-22, -0x1.147eefec2a8bdp-22, -0x1.20c9ccc9b19cbp-22, -0x1.2cff31c543a79p-22, -0x1.391ef53f79e8ap-22, -0x1.4528eeb176032p-22, -0x1.511cf6e8c07bbp-22, -0x1.5cfae80c49628p-22, -0x1.68c29d9622897p-22, -0x1.7473f44b2cea8p-22, -0x1.800eca3c0eebbp-22, -0x1.8b92fec2339a5p-22, -0x1.970072755fbacp-22, -0x1.a257072de21a4p-22, -0x1.ad969fff39e39p-22, -0x1.b8bf21394b9a5p-22, -0x1.c3d070601af52p-22, -0x1.ceca742c7ce1p-22, -0x1.d9ad14842fe51p-22, -0x1.e4783a769ca67p-22, -0x1.ef2bd03b519ap-22, -0x1.f9c7c12a73f47p-22, -0x1.0225fcd1dedc7p-21, -0x1.075c33a663503p-21, -0x1.0c867c5b961eap-21, -0x1.11a4ced05c541p-21, -0x1.16b72366ec1a7p-21, -0x1.1bbd7308f3f2bp-21, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.5290f2c00add3p-5, 0x1.4240658bbd5b2p-4, 0x1.c1603ac578b07p-4, 0x1.1126fe4452de5p-3, 0x1.320b6622c4ed3p-3, 0x1.43f9f945b3696p-3, 0x1.4838a3fe667e9p-3, 0x1.406b811126f09p-3, 0x1.2e6136aa459c4p-3, 0x1.13efd9b7a97a2p-3, 0x1.e5bb2ea4abc61p-4, 0x1.99a39e604268p-4, 0x1.4698926346994p-4, 0x1.de8303c0d56e6p-5, 0x1.2bd65dde1b8d3p-5, 0x1.e44a6b8ac9f4p-7, -0x1.b44f381a40697p-8, -0x1.c0ba02a293073p-6, -0x1.8251f1188e338p-5, -0x1.0d68d42b7c85p-4, -0x1.5459897cca831p-4, -0x1.9595f4265c2e4p-4, -0x1.d0e1374826c73p-4, -0x1.03101b6d3c877p-3, -0x1.1aa9dc14efaa4p-3, -0x1.2f4996934cfbfp-3, -0x1.4104127fe4f9dp-3, -0x1.4ff52b21d0319p-3, -0x1.5c3e1a1b67803p-3, -0x1.660400ceaa772p-3, -0x1.6d6ea9ef65a1ep-3, -0x1.72a77d9fc1d62p-3, -0x1.75d8a2758becdp-3, -0x1.772c46981ff31p-3, -0x1.76cc0c7685965p-3, -0x1.74e095f4547fcp-3, -0x1.71912a796de53p-3, -0x1.6d03737baeb4cp-3, -0x1.675b4c2a27d3cp-3, -0x1.60baa1279385dp-3, -0x1.59415d49fa9e6p-3, -0x1.510d6135eb515p-3, -0x1.483a8391a7dbbp-3, -0x1.3ee298044f537p-3, -0x1.351d7bbafd86ap-3, -0x1.2b0125c65ad5ap-3, -0x1.20a1ba98068b3p-3, -0x1.1611a17c537c1p-3, -0x1.0b619b8be663bp-3, -0x1.00a0db5300b73p-3, -0x1.ebba394cd5d93p-4, -0x1.d64578fb16e52p-4, -0x1.c0f9a08f0b50cp-4, -0x1.abea795c9a155p-4, -0x1.9729970771732p-4, -0x1.82c68178cc4d6p-4, -0x1.6ecedcc24888cp-4, -0x1.5b4e8ef7c5d26p-4, -0x1.484fe3d291619p-4, -0x1.35dbae2a3f97p-4, -0x1.23f9675b76376p-4, -0x1.12af4c877f539p-4, -0x1.020279def583cp-4, -0x1.e3ee08104f348p-5, -0x1.c5201f50fcab1p-5, -0x1.a79fce7e86343p-5, -0x1.8b701ec56f4aep-5, -0x1.7092b2e675b5ep-5, -0x1.5707e9ddc9d2ep-5, -0x1.3ecefecfd7ff7p-5, -0x1.27e6267edd8dep-5, -0x1.124aaa76c0f8ep-5, -0x1.fbf2043914923p-6, -0x1.d5d9d381c1afcp-6, -0x1.b242efbd04a46p-6, -0x1.9122613617ec1p-6, -0x1.726c2f7e70a39p-6, -0x1.5613826e57969p-6, -0x1.3c0ac0769838p-6, -0x1.2443aa7de0d6ep-6, -0x1.0eaf7569e2765p-6, -0x1.f67dc2fc792fep-7, -0x1.d3c49fa0e2989p-7, -0x1.b513abc6cf609p-7, -0x1.9a4a9f402d7dep-7, -0x1.8348df636f3a6p-7, -0x1.6fed9d0650fbcp-7, -0x1.6017efac582bap-7, -0x1.53a6ee6ed3b83p-7, -0x1.4a79c665658c3p-7, -0x1.446fcf2502eccp-7, -0x1.41689d19a361p-7, -0x1.4144123929a7cp-7, -0x1.43e26d05b4be5p-7, -0x1.492455dbf6b91p-7, -0x1.50eaeb23e7ee6p-7, -0x1.5b17cbb5cba3p-7, -0x1.678d205ddd1ep-7, -0x1.762da428f6392p-7, -0x1.86dcab546034ep-7, -0x1.997e29cbe3258p-7, -0x1.adf6b83cad017p-7, -0x1.c42b9871c4baap-7, -0x1.dc02b93a16b5ap-7, -0x1.f562b8f83a183p-7, -0x1.08197403465c1p-6, -0x1.162da538756e8p-6, -0x1.24e24c47c9511p-6, -0x1.342c1ff73bbd6p-6, -0x1.440031abf85d4p-6, -0x1.5453ecdf8b2adp-6, -0x1.651d1700ba413p-6, -0x1.7651cef994e0bp-6, -0x1.87e88bdace439p-6, -0x1.99d81c1b90b77p-6, -0x1.ac17a515a53f3p-6, -0x1.be9ea14224a6ap-6, -0x1.d164de6f8b83fp-6, -0x1.e4627d2f1fc06p-6, -0x1.f78fef9c8b389p-6, -0x1.0572fb51bc3aep-5, -0x1.0f2ed015355b8p-5, -0x1.18f82394b770ap-5, -0x1.22cbc8877da18p-5, -0x1.2ca6b57754b33p-5, -0x1.368603ca38b6bp-5, -0x1.4066efe997cd8p-5, -0x1.4a46d817160b3p-5, -0x1.54233a34c5305p-5, -0x1.5df9b319d1efep-5, -0x1.67c7ff18bbf05p-5, -0x1.718bf8bfcdffdp-5, -0x1.7b439638d997fp-5, -0x1.84ece89b94567p-5, -0x1.8e861cda2754ap-5, -0x1.980d7abbc5c63p-5, -0x1.a181620398acfp-5, -0x1.aae0496960173p-5, -0x1.b428bfa5ef715p-5, -0x1.bd596b01261acp-5, -0x1.c67106a69ecb3p-5, -0x1.cf6e610a762bap-5, -0x1.d8505c98c8b54p-5, -0x1.e115efe87af74p-5, -0x1.e9be23d0c2fdep-5, -0x1.f248117bda763p-5, -0x1.fab2e252ccb04p-5, -0x1.017ee8353963p-4, -0x1.059412cc48c2p-4, -0x1.09989ce714b5fp-4, -0x1.0d8c39296cad6p-4, -0x1.116ea0eb2eed4p-4, -0x1.153f9410544b6p-4, -0x1.18fed887cd4c1p-4, -0x1.1cac39d3d5843p-4, -0x1.204788d549d3ep-4, -0x1.23d09ba954936p-4, -0x1.27474d656f562p-4, -0x1.2aab7dbfdebdfp-4, -0x1.2dfd10c96227cp-4, -0x1.313beebc24f5cp-4, -0x1.346803ccf4becp-4, -0x1.37813ff60c33ep-4, -0x1.3a8796c15ea8cp-4, -0x1.3d7aff19293e7p-4, -0x1.405b731ec7968p-4, -0x1.4328f004fb788p-4, -0x1.45e375eb633bdp-4, -0x1.488b07ba0a0c8p-4, -0x1.4b1faafdfd425p-4, -0x1.4da167c882715p-4, -0x1.501048913f4d5p-4, -0x1.526c5a19d925ap-4, -0x1.54b5ab512017fp-4, -0x1.56ec4d361fb24p-4, -0x1.591052bca80ecp-4, -0x1.5b21d0b41e4a3p-4, -0x1.5d20ddaffe197p-4, -0x1.5f0d91f0a081ep-4, -0x1.60e8074c0c3fp-4, -0x1.62b05917c9a3cp-4, -0x1.6466a4148aca5p-4, -0x1.660b065ba702cp-4, -0x1.679d9f4d8ea9p-4, -0x1.691e8f8073679p-4, -0x1.6a8df8af5b6fap-4, -0x1.6bebfdaa35035p-4, -0x1.6d38c24726d52p-4, -0x1.6e746b54dc536p-4, -0x1.6f9f1e8d23ee3p-4, -0x1.70b902876a887p-4, -0x1.71c23eab5e239p-4, -0x1.72bafb24063cep-4, -0x1.73a360d36da7p-4, -0x1.747b9946bddc3p-4, -0x1.7543ceaa64de5p-4, -0x1.75fc2bbe10847p-4, -0x1.76a4dbc8bbe6dp-4, -0x1.773e0a8d0ef31p-4, -0x1.77c7e43e34385p-4, -0x1.7842957523b03p-4, -0x1.78ae4b26384c3p-4, -0x1.790b3296ec645p-4, -0x1.79597953da672p-4, -0x1.79994d2734768p-4, -0x1.79cadc0fc894p-4, -0x1.79ee5438a26dbp-4, -0x1.7a03e3f13bd6dp-4, -0x1.7a0bb9a6142aep-4, -0x1.7a0603d99e3e3p-4, -0x1.79f2f11da2102p-4, -0x1.79d2b00d2a2c5p-4, -0x1.79a56f46f2dfbp-4, -0x1.796b5d6858724p-4, -0x1.7924a908a29d9p-4, -0x1.78d180b4a5829p-4, -0x1.787212eaaa669p-4, -0x1.78068e16ae496p-4, -0x1.778f208edc4bep-4, -0x1.770bf8904c856p-4, -0x1.767d443c0b546p-4, -0x1.75e331946b45ap-4, -0x1.753dee7a7869p-4, -0x1.748da8ab7ce36p-4, -0x1.73d28dbe9df48p-4, -0x1.730ccb22a6336p-4, -0x1.723c8e1c0ca8ep-4, -0x1.716203c32054dp-4, -0x1.707d590246862p-4, -0x1.6f8eba94387eap-4, -0x1.6e96550265db4p-4, -0x1.6d9454a380db3p-4, -0x1.6c88e59a3c9cfp-4, -0x1.6b7433d40f677p-4, -0x1.6a566b07f38a9p-4, -0x1.692fb6b540e0fp-4, -0x1.68004222b5d18p-4, -0x1.66c8385db8c97p-4, -0x1.6587c439a660cp-4, -0x1.643f104f1c544p-4, -0x1.62ee46fb393d6p-4, -0x1.6195925ef5178p-4, -0x1.60351c5eb26bep-4, -0x1.5ecd0ea1fbd16p-4, -0x1.5d5d92934410ep-4, -0x1.5be6d15f8a506p-4, -0x1.5a68f3f5ef1cep-4, -0x1.58e423075f456p-4, -0x1.575887066dad9p-4, -0x1.55c64827545c7p-4, -0x1.542d8e5fe41ffp-4, -0x1.528e8167515b1p-4, -0x1.50e948b5de2cep-4, -0x1.4f3e0b84924f3p-4, -0x1.4d8cf0cd1e6a2p-4, -0x1.4bd61f49dd224p-4, -0x1.4a19bd75cdd13p-4, -0x1.4857f18c60737p-4, -0x1.4690e1890e90dp-4, -0x1.44c4b326f2bd7p-4, -0x1.42f38be07c3ffp-4, -0x1.411d90ef5264ap-4, -0x1.3f42e74c3a741p-4, -0x1.3d63b3aed58dbp-4, -0x1.3b801a8d2690cp-4, -0x1.3998401afad17p-4, -0x1.37ac48495e971p-4, -0x1.35bc56c648ab3p-4, -0x1.33c88efc601e7p-4, -0x1.31d11412b69e5p-4, -0x1.2fd608ec4dd7p-4, -0x1.2dd79027672d9p-4, -0x1.2bd5cc1cc15aep-4, -0x1.29d0dedefacb9p-4, -0x1.27c8ea3a26aa2p-4, -0x1.25be0fb37d5a7p-4, -0x1.23b07088f914bp-4, -0x1.21a02db0b6829p-4, -0x1.1f8d67d828daap-4, -0x1.1d783f633f8edp-4, -0x1.1b60d46bb605dp-4, -0x1.194746c0973b6p-4, -0x1.172bb5e5dffb8p-4, -0x1.150e41140e4bbp-4, -0x1.12ef07377afedp-4, -0x1.10ce26ef82bb5p-4, -0x1.0eabbe8da148p-4, -0x1.0c87ec14b035fp-4, -0x1.0a62cd38599c3p-4, -0x1.083c7f5cb2c37p-4, -0x1.06151f95d34c1p-4, -0x1.03eccaa73d2f8p-4, -0x1.01c39d0315412p-4, -0x1.ff3365927be93p-5, -0x1.fade4f8d11aa7p-5, -0x1.f6882ee82c853p-5, -0x1.f23139edd0bcp-5, -0x1.edd9a63f17913p-5, -0x1.e981a8d347c3bp-5, -0x1.e52975f6a266p-5, -0x1.e0d14148d70b1p-5, -0x1.dc793dbb638b9p-5, -0x1.d8219d8fdc918p-5, -0x1.d3ca92564a8cbp-5, -0x1.cf744ced21f54p-5, -0x1.cb1efd83d1052p-5, -0x1.c6cad398303c3p-5, -0x1.c277fdf0bb398p-5, -0x1.be26aaa009d74p-5, -0x1.b9d7070745436p-5, -0x1.b5893fcd38a9cp-5, -0x1.b13d80dbf0dd6p-5, -0x1.acf3f56733c5ap-5, -0x1.a8acc7eccc031p-5, -0x1.a4682231cc6acp-5, -0x1.a0262d413abbfp-5, -0x1.9be7116b58aadp-5, -0x1.97aaf645058c4p-5, -0x1.937202a726567p-5, -0x1.8f3c5cae2e5aap-5, -0x1.8b0a29ba0211p-5, -0x1.86db8e6e1398ep-5, -0x1.82b0aeb1766c5p-5, -0x1.7e89adaeb581bp-5, -0x1.7a66add396c78p-5, -0x1.7647d0d0c3883p-5, -0x1.722d3799a6494p-5, -0x1.6e17026457174p-5, -0x1.6a0550a9d20eep-5, -0x1.65f84126538bfp-5, -0x1.61eff1d9cb36cp-5, -0x1.5dec8008534acp-5, -0x1.59ee083a9049dp-5, -0x1.55f4a63e045f9p-5, -0x1.52007525653abp-5, -0x1.4e118f490979ap-5, -0x1.4a280e476f11ep-5, -0x1.46440b05fc798p-5, -0x1.42659db1ced55p-5, -0x1.3e8cddc0a55b5p-5, -0x1.3ab9e1f1c92fbp-5, -0x1.36ecc04ef055ap-5, -0x1.33258e2d1e29p-5, -0x1.2f64602d98f4bp-5, -0x1.2ba94a3ee2b3bp-5, -0x1.27f45f9dd939bp-5, -0x1.2445b2d6e19e9p-5, -0x1.209d55c739a99p-5, -0x1.1cfb599e3e53ap-5, -0x1.195fcedebb70bp-5, -0x1.15cac5604da3ap-5, -0x1.123c4c50aedc9p-5, -0x1.0eb472352af2dp-5, -0x1.0b3344ec16b62p-5, -0x1.07b8d1ae66a95p-5, -0x1.0445251151b46p-5, -0x1.00d84b07febe3p-5, -0x1.fae49dca6ae24p-6, -0x1.f42676ba1eb35p-6, -0x1.ed76350d3c396p-6, -0x1.e6d3ebbb3e19bp-6, -0x1.e03fac8865f09p-6, -0x1.d9b988095e97fp-6, -0x1.d3418da703b94p-6, -0x1.ccd7cba25aa1ap-6, -0x1.c67c4f189f7ep-6, -0x1.c02f240762c6ap-6, -0x1.b9f05550837b8p-6, -0x1.b3bfecbe2960dp-6, -0x1.ad9df3069ccp-6, -0x1.a78a6fd01d75p-6, -0x1.a18569b4c53dep-6, -0x1.9b8ee6469171fp-6, -0x1.95a6ea139c939p-6, -0x1.8fcd78aa7b102p-6, -0x1.8a02949ec5be5p-6, -0x1.84463f8da2f39p-6, -0x1.7e987a224673ap-6, -0x1.78f9441a57574p-6, -0x1.73689c4a299d2p-6, -0x1.6de680a0e78cp-6, -0x1.6872ee2c9ab66p-6, -0x1.630de11e5994dp-6, -0x1.5db754ce7d92fp-6, -0x1.586f43c10625p-6, -0x1.5335a7aa277ecp-6, -0x1.4e0a7972ecfe3p-6, -0x1.48edb13de9a91p-6, -0x1.43df466bd65fp-6, -0x1.3edf2fa01fdbcp-6, -0x1.39ed62c52b8b3p-6, -0x1.3509d510a9073p-6, -0x1.30347b07a38cep-6, -0x1.2b6d4882a5096p-6, -0x1.26b430b1d2d12p-6, -0x1.2209262135f82p-6, -0x1.1d6c1abcff71ap-6, -0x1.18dcffd5fc092p-6, -0x1.145bc62609c43p-6, -0x1.0fe85dd47bac2p-6, -0x1.0b82b67a7ce4p-6, -0x1.072abf2737eep-6, -0x1.02e06663f9044p-6, -0x1.fd47347045675p-7, -0x1.f4e8905a340b7p-7, -0x1.eca4baa458a91p-7, -0x1.e47b8c811b7ffp-7, -0x1.dc6cde3eb37ecp-7, -0x1.d478874f6f2d3p-7, -0x1.cc9e5e51dbcedp-7, -0x1.c4de391913ee3p-7, -0x1.bd37ecb4a9fbfp-7, -0x1.b5ab4d784f5fp-7, -0x1.ae382f030aeeep-7, -0x1.a6de6446030f3p-7, -0x1.9f9dbf8ae8179p-7, -0x1.9876127a2c11bp-7, -0x1.91672e214cc23p-7, -0x1.8a70e2f95b9f7p-7, -0x1.839300edec841p-7, -0x1.7ccd5764a202bp-7, -0x1.761fb54539cb6p-7, -0x1.6f89e9020c78fp-7, -0x1.690bc0a094677p-7, -0x1.62a509c1e7e05p-7, -0x1.5c5591aa808ap-7, -0x1.561d2549014a6p-7, -0x1.4ffb913babcd1p-7, -0x1.49f0a1d495276p-7, -0x1.43fc231c53611p-7, -0x1.3e1de0d3e172cp-7, -0x1.3855a675ea263p-7, -0x1.32a33f386d2c2p-7, -0x1.2d06760f6943dp-7, -0x1.277f15b13bf07p-7, -0x1.220ce89d80f8cp-7, -0x1.1cafb92644cd3p-7, -0x1.1767517bd8371p-7, -0x1.12337bba3209cp-7, -0x1.0d1401f72d80ap-7, -0x1.0808ae4feb17fp-7, -0x1.03114af3f6d8cp-7, -0x1.fc5b4459002e5p-8, -0x1.f2bafcbd2fdf7p-8, -0x1.e941540fbd9aep-8, -0x1.dfeddf6b6fd1fp-8, -0x1.d6c033f0c188bp-8, -0x1.cdb7e6a7ce067p-8, -0x1.c4d48c6339dap-8, -0x1.bc15b9aacf517p-8, -0x1.b37b02b3c5f54p-8, -0x1.ab03fb6b70c85p-8, -0x1.a2b037978e8c2p-8, -0x1.9a7f4b0b54f3bp-8, -0x1.9270c9edec07p-8, -0x1.8a84490ade48fp-8, -0x1.82b95e2273301p-8, -0x1.7b0fa02e73b8fp-8, -0x1.7386a78f632e9p-8, -0x1.6c1e0e189ac53p-8, -0x1.64d56ef533befp-8, -0x1.5dac6664ad1c2p-8, -0x1.56a29154d0feep-8, -0x1.4fb78ce3fda9fp-8, -0x1.48eaf5dc8375p-8, -0x1.423c683cdaf25p-8, -0x1.3bab7ee12c9d2p-8, -0x1.3537d36057f9bp-8, -0x1.2ee0fe2907788p-8, -0x1.28a696e3aab29p-8, -0x1.22883513dfc84p-8, -0x1.1c8570ea95304p-8, -0x1.169de43073e6dp-8, -0x1.10d12b2a46c9bp-8, -0x1.0b1ee555ffcd6p-8, -0x1.0586b5e1e50fap-8, -0x1.000843c4c38b3p-8, -0x1.f54672d62a373p-9, -0x1.eaae87f1eb05ap-9, -0x1.e04824633ad5dp-9, -0x1.d612a6457c25ep-9, -0x1.cc0d697a6dc53p-9, -0x1.c237c516b9f65p-9, -0x1.b8910968d6937p-9, -0x1.af187eed3fc46p-9, -0x1.a5cd666845161p-9, -0x1.9caefa3a36756p-9, -0x1.93bc70da27111p-9, -0x1.8af5003b27a4cp-9, -0x1.8257e1baf5a5p-9, -0x1.79e4562298b5ep-9, -0x1.7199a93511221p-9, -0x1.6977344faefc9p-9, -0x1.617c5fb5c6a07p-9, -0x1.59a8a247bdf34p-9, -0x1.51fb7f94c0817p-9, -0x1.4a74846cfbd36p-9, -0x1.4313424d68c37p-9, -0x1.3bd74a28f7cd8p-9, -0x1.34c0272fa330fp-9, -0x1.2dcd5a3ad946fp-9, -0x1.26fe5678b3f4cp-9, -0x1.20527fcad5013p-9, -0x1.19c92b1be1122p-9, -0x1.1361a0ae23877p-9, -0x1.0d1b202af1d73p-9, -0x1.06f4e6011b18fp-9, -0x1.00ee3179d1b73p-9, -0x1.f60c95ab989d6p-10, -0x1.ea7911826ca0dp-10, -0x1.df20a8fdc95d9p-10, -0x1.d402589795365p-10, -0x1.c91d4755dde07p-10, -0x1.be70c303c7e46p-10, -0x1.b3fc38581c938p-10, -0x1.a9bf27cf4a8fbp-10, -0x1.9fb9186cff10fp-10, -0x1.95e989e598a9ap-10, -0x1.8c4fe7d0b7493p-10, -0x1.82eb7f714b796p-10, -0x1.79bb794b0265cp-10, -0x1.70bed740e15b7p-10, -0x1.67f4775b2168bp-10, -0x1.5f5b1aba5ee92p-10, -0x1.56f16fbf8ec37p-10, -0x1.4eb61e20f367p-10, -0x1.46a7d3894971ap-10, -0x1.3ec54f724195bp-10, -0x1.370d6d1c38f93p-10, -0x1.2f7f2acbfa641p-10, -0x1.2819adc1f099dp-10, -0x1.20dc42acbfec1p-10, -0x1.19c65aa54a254p-10, -0x1.12d7850b5482dp-10, -0x1.0c0f66dd6a81bp-10, -0x1.056db05fa1d22p-10, -0x1.fde4242bb8375p-11, -0x1.f138646477a39p-11, -0x1.e4d7473f87bcp-11, -0x1.d8bfbf5444a03p-11, -0x1.ccf085f65fa57p-11, -0x1.c1681c601eaa6p-11, -0x1.b624d393d6789p-11, -0x1.ab24d9972b59dp-11, -0x1.a0664a12d911p-11, -0x1.95e7401d69ca7p-11, -0x1.8ba5e6feecaecp-11, -0x1.81a087ecd7aa2p-11, -0x1.77d59320085bbp-11, -0x1.6e43a34b30fc4p-11, -0x1.64e97b679e793p-11, -0x1.5bc5fff8491b9p-11, -0x1.52d82de122856p-11, -0x1.4a1f116cc68cfp-11, -0x1.4199bfb784be2p-11, -0x1.394753950d5fbp-11, -0x1.3126ed7ecff11p-11, -0x1.2937b4e7447d1p-11, -0x1.2178d8d301b36p-11, -0x1.19e98e11634fcp-11, -0x1.12890a88e617ep-11, -0x1.0b567e60b3234p-11, -0x1.04510ced3a71p-11, -0x1.faef8fcca525ap-12, -0x1.ed935eb39aa8fp-12, -0x1.e08b6facf28b1p-12, -0x1.d3d5ace418465p-12, -0x1.c7701fd289887p-12, -0x1.bb590c352228p-12, -0x1.af8efd11034dfp-12, -0x1.a410bc2bc7d2cp-12, -0x1.98dd32f4f9a76p-12, -0x1.8df33bc4ed447p-12, -0x1.8351707dacd0fp-12, -0x1.78f605ba3cb12p-12, -0x1.6edebf0081752p-12, -0x1.650901c73b1e7p-12, -0x1.5b7204a9b106fp-12, -0x1.5217104251939p-12, -0x1.48f5c1d8d7c3ap-12, -0x1.400c3e90c4e8p-12, -0x1.375948a030dcdp-12, -0x1.2edc2f3e10685p-12, -0x1.26949c543ca6cp-12, -0x1.1e824e4cc2378p-12, -0x1.16a4d483a7fa3p-12, -0x1.0efb6605249b2p-12, -0x1.0784e1db45ea2p-12, -0x1.003ff85898ab6p-12, -0x1.f256d7da6698p-13, -0x1.e48c9c3db4e47p-13, -0x1.d7203e1acc9cp-13, -0x1.ca11845a9c7b3p-13, -0x1.bd6096fd10a69p-13, -0x1.b10d6cf8bfdbep-13, -0x1.a5173c88f5617p-13, -0x1.997c16a7c0126p-13, -0x1.8e38c240b63d9p-13, -0x1.8348d5d3fdf1cp-13, -0x1.78a702e4d404p-13, -0x1.6e4d8819191aep-13, -0x1.6436c367dfe71p-13, -0x1.5a5dd84ba2bc9p-13, -0x1.50bf4bb0a87abp-13, -0x1.47596476fa293p-13, -0x1.3e2c1f5a111d9p-13, -0x1.3538a47778342p-13, -0x1.2c80632d3fc5ep-13, -0x1.240429a961d05p-13, -0x1.1bc396fb2a8dbp-13, -0x1.13bd1cfe1a32cp-13, -0x1.0bee81b7f64a1p-13, -0x1.0455989b4b7c4p-13, -0x1.f9e1c14ff4303p-14, -0x1.eb7f9e0fabe62p-14, -0x1.dd8567dace37bp-14, -0x1.cff492ba2fa89p-14, -0x1.c2ce3333760dfp-14, -0x1.b611fc1482fa2p-14, -0x1.a9bdd7d48fea4p-14, -0x1.9dce2d5cfb483p-14, -0x1.923e7d8f235afp-14, -0x1.8709e45deb169p-14, -0x1.7c2b38028b4dap-14, -0x1.719cda479b83cp-14, -0x1.675896b7895e1p-14, -0x1.5d57f00aad227p-14, -0x1.5394fdc218bcdp-14, -0x1.4a0b9291453e9p-14, -0x1.40ba149246445p-14, -0x1.37a17538c54e5p-14, -0x1.2ec422afc3e5bp-14, -0x1.26246a998ae4cp-14, -0x1.1dc325ee47cb5p-14, -0x1.159f4e2b0cf6bp-14, -0x1.0db6797915166p-14, -0x1.0605c6b8b97c2p-14, -0x1.fd159c5194296p-15, -0x1.ee88b87d5ecfap-15, -0x1.e065550596fa6p-15, -0x1.d2ad8b9302c43p-15, -0x1.c562aae80466fp-15, -0x1.b8832e192469fp-15, -0x1.ac0a83890661dp-15, -0x1.9ff27aa292aafp-15, -0x1.94351733f40fp-15, -0x1.88cdc18d5e983p-15, -0x1.7db9964f3f174p-15, -0x1.72f7120804ccfp-15, -0x1.688557ad9526cp-15, -0x1.5e633d259296dp-15, -0x1.548e5fb32d767p-15, -0x1.4b02a1d9c42ep-15, -0x1.41ba56948ef69p-15, -0x1.38af0f5f4c686p-15, -0x1.2fdad95c79116p-15, -0x1.2739a9ba67328p-15, -0x1.1eca6e60f7565p-15, -0x1.168efc81983b7p-15, -0x1.0e8a9514c912ep-15, -0x1.06bf93f954843p-15, -0x1.fe5ae8441bdb6p-16, -0x1.efa157d85efbcp-16, -0x1.e14a5f1b1bdefp-16, -0x1.d35380f83fbbfp-16, -0x1.c5c0d993c8205p-16, -0x1.b896e5e51a14p-16, -0x1.abd41412310cbp-16, -0x1.9f70634fee106p-16, -0x1.9361b2991a041p-16, -0x1.879fd32a338a1p-16, -0x1.7c25e44ecfb86p-16, -0x1.70f1914045313p-16, -0x1.6601b61a5f21dp-16, -0x1.5b557984e31bap-16, -0x1.50ec346fdf6e5p-16, -0x1.46c5edc1153ddp-16, -0x1.3ce3cc2c83c33p-16, -0x1.3347d7e5c88f9p-16, -0x1.29f3d9dafe4ecp-16, -0x1.20e7bcf6736eep-16, -0x1.181fe0875aa28p-16, -0x1.0f93a7da5d55p-16, -0x1.0735e20f2e7fcp-16, -0x1.fdf3c739f8737p-17, -0x1.edb7c2b425b29p-17, -0x1.ddc820eb16517p-17, -0x1.ce3d7c8a2791dp-17, -0x1.bf20079d82074p-17, -0x1.b060c483099d8p-17, -0x1.a1ed55490cdacp-17, -0x1.93c5c59e62eaep-17, -0x1.85f8079b0f5fbp-17, -0x1.788b1f1b1bd46p-17, -0x1.6b774cfcfc002p-17, -0x1.5eaea79e8871dp-17, -0x1.5226669395346p-17, -0x1.45d94fdc4686p-17, -0x1.39c5f0ed815e7p-17, -0x1.2dec5ad6d4a87p-17, -0x1.224cb945fe81p-17, -0x1.16e6acdb22032p-17, -0x1.0bb9122c010f4p-17, -0x1.00c21557fa351p-17, -0x1.ebff4c4a466c6p-18, -0x1.d6e0a9a8d992ep-18, -0x1.c22889600704ep-18, -0x1.addaf441ec4bap-18, -0x1.99fde05f1ffadp-18, -0x1.8695e1b548eefp-18, -0x1.73a3c5ec2b13dp-18, -0x1.61219ea17761ap-18, -0x1.4efb3a16baeafp-18, -0x1.3d0e5d5d824ecp-18, -0x1.2b4770b57f9d4p-18, -0x1.19bc494f7f4ddp-18, -0x1.088ec134b1ccdp-18, -0x1.ef757a45f98e3p-19, -0x1.ce4208e9c8ee4p-19, -0x1.ad79d51add2a1p-19, -0x1.8d4fae93f36dap-19, -0x1.6ddba0c69f261p-19, -0x1.4f04749b3a0adp-19, -0x1.30a96b92c95cbp-19, -0x1.12ba982fbf08dp-19, -0x1.ea6b1b70baaeep-20, -0x1.b038fa4cfbfb6p-20, -0x1.76e2afa01abe3p-20, -0x1.3e6902110e743p-20, -0x1.06ca0b0d13358p-20, -0x1.a004b940d9e2fp-21, -0x1.341be190d8a1ap-21, -0x1.93a24594dc61ap-22, -0x1.846de103a411ep-23, 0x1.83cfd96806c63p-27, 0x1.aee720bdebe07p-23, 0x1.9fda608b6595cp-22, 0x1.32ad6e834236p-21, 0x1.93f8004692fcdp-21, 0x1.f3c7f6446fd18p-21, 0x1.290e7379e0e01p-20, 0x1.577b28a47173fp-20, 0x1.8520726be724bp-20, 0x1.b1f6c3719ce81p-20, 0x1.de20f96a3046bp-20, 0x1.04e71192bacaep-19, 0x1.1a740968ba037p-19, 0x1.2fada40ee486cp-19, 0x1.44aa33993ce8fp-19, 0x1.59642aaa2bf56p-19, 0x1.6dbcaa982bca5p-19, 0x1.81b4556139cafp-19, 0x1.955e09e103a27p-19, 0x1.a8c358904da18p-19, 0x1.bbe48bf44567bp-19, 0x1.cebf7e7c05f5fp-19, 0x1.e1529c1b809acp-19, 0x1.f39d46bfab916p-19, 0x1.02cfc6253f602p-18, 0x1.0bacecfd94bb3p-18, 0x1.146664ec5adb4p-18, 0x1.1cfc813672cdcp-18, 0x1.256f903d10beap-18, 0x1.2dbfd3dee3c69p-18, 0x1.35ed7e6866e02p-18, 0x1.3df8b5f0a0bd5p-18, 0x1.45e19e81a6613p-18, 0x1.4da8674958ae4p-18, 0x1.554d52d32f6fdp-18, 0x1.5cd0b1b648a18p-18, 0x1.6432cc520e29ep-18, 0x1.6b73cb34b0eedp-18, 0x1.7293cc1920cfap-18, 0x1.799328c3968e3p-18, 0x1.80721d18dd372p-18, 0x1.872ee94232d78p-18, 0x1.8dc60eb68db8p-18, 0x1.9439a5c62b7p-18, 0x1.9a8fc0719ac6cp-18, 0x1.a0c8dde302dbp-18, 0x1.a6e56fc76c8e1p-18, 0x1.ace09f068250ap-18, 0x1.b2b7518385b38p-18, 0x1.b86d1b776e1a3p-18, 0x1.be041fb7daae5p-18, 0x1.c37c445753deep-18, 0x1.c8d5137238205p-18, 0x1.ce0e504cf626p-18, 0x1.d327ee8583716p-18, 0x1.d821f9474ca4ap-18, 0x1.dcfc85309ff22p-18, 0x1.e1b7aa6a3e5dap-18, 0x1.e653828a79dc8p-18, 0x1.ead027d773908p-18, 0x1.ef2db4d667eb5p-18, 0x1.f36c43d6f2f52p-18, 0x1.f78bee5f3b5c9p-18, 0x1.fb8ccc9891af1p-18, 0x1.ff6ef4e84052ap-18, 0x1.01993e13f576dp-17, 0x1.036bbb82f0bbep-17, 0x1.052efe4de94e4p-17, 0x1.06e314988f3adp-17, 0x1.08880f97ec9ccp-17, 0x1.0a1e023ee3c2fp-17, 0x1.0ba4fe0d61fe8p-17, 0x1.0d1d103a1eefep-17, 0x1.0e8644ccc927fp-17, 0x1.0fe0b0b250232p-17, 0x1.112c6bb1aa368p-17, 0x1.12695294b1d93p-17, 0x1.1396fcf312642p-17, 0x1.14b5e8c4b529dp-17, 0x1.15c6fab2ed903p-17, 0x1.16c9f62a5f6e4p-17, 0x1.17be10eb5337p-17, 0x1.18a39c4456f9fp-17, 0x1.197b08743ded4p-17, 0x1.1a446178ae113p-17, 0x1.1affa7214827dp-17, 0x1.1bace42e7fc4fp-17, 0x1.1c4c29da8312ep-17, 0x1.1cdd8bd50b629p-17, 0x1.1d611eaf8a031p-17, 0x1.1dd6f7659cad3p-17, 0x1.1e3f2b4276f41p-17, 0x1.1e99cfe4533ebp-17, 0x1.1ee6fb45a6ebfp-17, 0x1.1f26c3c181169p-17, 0x1.1f594015c2f92p-17, 0x1.1f7e875fa7e44p-17, 0x1.1f96b1181a9f8p-17, 0x1.1fa1d50bac746p-17, 0x1.1fa00b4f9020ap-17, 0x1.1f916c37e6716p-17, 0x1.1f761053e1331p-17, 0x1.1f4e107aa1aafp-17, 0x1.1f1985e40cca2p-17, 0x1.1ed88a6059543p-17, 0x1.1e8b394e08fccp-17, 0x1.1e31ac414f8ffp-17, 0x1.1dcc007e17844p-17, 0x1.1d5a5042d4afp-17, 0x1.1cdcb639dcb2ep-17, 0x1.1c534cb2dde55p-17, 0x1.1bbe30a82c6eep-17, 0x1.1b1d836d74802p-17, 0x1.1a715c35aa878p-17, 0x1.19b9c0e0aa894p-17, 0x1.18f6f4795d8b5p-17, 0x1.18291387476b4p-17, 0x1.175017109ccedp-17, 0x1.166c368195cbap-17, 0x1.157d945a067bap-17, 0x1.148449a7a824dp-17, 0x1.138072c5213d4p-17, 0x1.12722e0533a28p-17, 0x1.11599a605c905p-17, 0x1.1036d70d88359p-17, 0x1.0f0a036a63eedp-17, 0x1.0dd33ef924277p-17, 0x1.0c92a95e1c8bep-17, 0x1.0b486260f89f8p-17, 0x1.09f489ed75805p-17, 0x1.08974013e1bb8p-17, 0x1.0730a50913123p-17, 0x1.05c0d9266d88ep-17, 0x1.0447fce694ba7p-17, 0x1.02c630e22c27cp-17, 0x1.013b95cb9c7acp-17, 0x1.ff5098d1b057ep-18, 0x1.fc18eb2a3c05cp-18, 0x1.f8d0645ec0f5cp-18, 0x1.f57746547f362p-18, 0x1.f20dd2e7126d8p-18, 0x1.ee944c124acd2p-18, 0x1.eb0af404fb172p-18, 0x1.e7720d53c13fbp-18, 0x1.e3c9daf2bf417p-18, 0x1.e012a003c8579p-18, 0x1.dc4c9f9a278d1p-18, 0x1.d8781c043c6e8p-18, 0x1.d49555badef9p-18, 0x1.d0a48c704ec88p-18, 0x1.cca6043dc1a65p-18, 0x1.c89a0a90d0c77p-18, 0x1.c480e3c7273acp-18, 0x1.c05ab76b4b09cp-18, 0x1.bc27d44d1bfb8p-18, 0x1.b7e86dbbe0cf6p-18, 0x1.b39ce5bac23d8p-18, 0x1.af4579b483155p-18, 0x1.aae262e84eefep-18, 0x1.a673e12b952fbp-18, 0x1.a1fa360e200c4p-18, 0x1.9d75a3274404cp-18, 0x1.98e669c96ec28p-18, 0x1.944ccaff9ad56p-18, 0x1.8fa90790cd378p-18, 0x1.8afb600333fcap-18, 0x1.8644149ae4149p-18, 0x1.81836556bcap-18, 0x1.7cb991eeb526dp-18, 0x1.77e6d9d6c9d77p-18, 0x1.730b7c407a4bap-18, 0x1.6e27b81dce47ap-18, 0x1.693bcc219163ep-18, 0x1.6447f6b89c0b8p-18, 0x1.5f4c7602359bap-18, 0x1.5a4987cb0e976p-18, 0x1.553f698c8d609p-18, 0x1.502e5863e2db3p-18, 0x1.4b169109b09f8p-18, 0x1.45f84fbd27be8p-18, 0x1.40d3d035de87fp-18, 0x1.3ba94db613596p-18, 0x1.3679034374134p-18, 0x1.31432bd6cca77p-18, 0x1.2c08025649b36p-18, 0x1.26c7c1741fb1p-18, 0x1.2182a3a31a41cp-18, 0x1.1c38e2d80fd49p-18, 0x1.16eab73f4c4f6p-18, 0x1.1198559562369p-18, 0x1.0c41f1a1974e2p-18, 0x1.06e7c525286bdp-18, 0x1.018a17e488962p-18, 0x1.f85278b27305dp-19, 0x1.ed8a567baef5bp-19, 0x1.e2bbd3b800a7p-19, 0x1.d7e8156e4f44dp-19, 0x1.cd0f8e89cf935p-19, 0x1.c232747c0c39p-19, 0x1.b751259226dep-19, 0x1.ac6c09985973cp-19, 0x1.a18387c72f51dp-19, 0x1.969805c242dfap-19, 0x1.8ba9e7ca443bbp-19, 0x1.80b990ecbd1e7p-19, 0x1.75c7631bca70ep-19, 0x1.6ad3bf3a9ba89p-19, 0x1.5fdf052050096p-19, 0x1.54e9939792eb4p-19, 0x1.49f3c85ebe50bp-19, 0x1.3efe0025138c7p-19, 0x1.3408968cb1ee2p-19, 0x1.2913e632eba98p-19, 0x1.1e2048b9e47afp-19, 0x1.132e16c614a9ap-19, 0x1.083da7fa914b8p-19, 0x1.fa9ea5e05c553p-20, 0x1.e4c6da68795d2p-20, 0x1.cef4968b2ba1ep-20, 0x1.b928812b0601cp-20, 0x1.a3633f095562bp-20, 0x1.8da572aaa21bcp-20, 0x1.77efbc1d985fbp-20, 0x1.6242b8cbff1fdp-20, 0x1.4c9f036c9506ep-20, 0x1.3705371600366p-20, 0x1.2175ea04f3f42p-20, 0x1.0bf1b55a5f017p-20, 0x1.ecf2590ae55f5p-21, 0x1.c219c6839f64cp-21, 0x1.975ad6a143d3ap-21, 0x1.6cb6a4848d065p-21, 0x1.422e364266601p-21, 0x1.17c281b66a61dp-21, 0x1.dae9203dd0d0dp-22, 0x1.868b24cd2574ap-22, 0x1.326e96f96924fp-22, 0x1.bd2cafca78b2dp-23, 0x1.15f8e1d1761d8p-23, 0x1.bd44aefb44ab8p-25, -0x1.b613782f1d08bp-26, -0x1.b884a7a9aa50dp-24, -0x1.812b6f8aafd06p-23, -0x1.12bd026c204ddp-22, -0x1.649534d74fbccp-22, -0x1.b61c882230e3fp-22, -0x1.03a8a05285e19p-21, -0x1.2c18d612070a2p-21, -0x1.545e1092a6caap-21, -0x1.7c777f4558927p-21, -0x1.a46455a8816e1p-21, -0x1.cc23cb377b6ap-21, -0x1.f3b51b6db2b3cp-21, -0x1.0d8bc2e1c0334p-20, -0x1.212526d12387ep-20, -0x1.34a65d2e0c784p-20, -0x1.480f0b97ba747p-20, -0x1.5b5ed99653c73p-20, -0x1.6e957091c3753p-20, -0x1.81b27bcd25df9p-20, -0x1.94b5a861536cp-20, -0x1.a79ea554d29a9p-20, -0x1.ba6d237e27f65p-20, -0x1.cd20d5980eb3ep-20, -0x1.dfb9702f30fbdp-20, -0x1.f236a9a3ca6d3p-20, }}, 
      {{-0x1.279c868a717e3p+0, -0x1.1b5c325d359d2p+0, -0x1.0b2d43b1d42a7p+0, -0x1.f294a7603f79cp-1, -0x1.ce5aa240c3e3ap-1, -0x1.ab8ef2fe592d4p-1, -0x1.8b538531c6156p-1, -0x1.6e43de66cdfd7p-1, -0x1.549eff78f5e24p-1, -0x1.3e6596719f8c6p-1, -0x1.2b6fc2fbc7fbfp-1, -0x1.1b7cbb00c4ad6p-1, -0x1.0e3df58af219ap-1, -0x1.035f0874332e9p-1, -0x1.f5163131eba86p-2, -0x1.e6e0f915158fp-2, -0x1.db8619140a37bp-2, -0x1.d27af6647b07ep-2, -0x1.cb43f68c3bb64p-2, -0x1.c574ce988f03p-2, -0x1.c0b025162f933p-2, -0x1.bca6c21688a15p-2, -0x1.b916797c0c529p-2, -0x1.b5c8f04d4970fp-2, -0x1.b29254914477ap-2, -0x1.af50180cc79ffp-2, -0x1.abe7b8e454274p-2, -0x1.a8459eb1d0acep-2, -0x1.a45c0f39a87aep-2, -0x1.a0223c65bcc77p-2, -0x1.9b936b6ba006ap-2, -0x1.96ae35409efabp-2, -0x1.9173de372bbf1p-2, -0x1.8be7c3bf2c9ddp-2, -0x1.860edf95dcc0fp-2, -0x1.7fef5c677a405p-2, -0x1.79903c65644bbp-2, -0x1.72f90e3c204b8p-2, -0x1.6c31af2b24443p-2, -0x1.65421909164c4p-2, -0x1.5e3239a8f1348p-2, -0x1.5709d3208973p-2, -0x1.4fd063255feap-2, -0x1.488d1040b82dep-2, -0x1.41469cd9fce09p-2, -0x1.3a035d9eb3e33p-2, -0x1.32c934047f16cp-2, -0x1.2b9d8b3029719p-2, -0x1.248557a0eee97p-2, -0x1.1d85187c8a554p-2, -0x1.16a0d9e2a38fcp-2, -0x1.0fdc38e761ed4p-2, -0x1.093a67e6bbec5p-2, -0x1.02be33b81127ep-2, -0x1.f8d4125391cbcp-3, -0x1.ec7ff55660615p-3, -0x1.e0838be630888p-3, -0x1.d4e1b3b42bfcfp-3, -0x1.c99cb80878b07p-3, -0x1.beb65ccf08f98p-3, -0x1.b42fe985775b5p-3, -0x1.aa0a33650a54ep-3, -0x1.a045a742ae5e7p-3, -0x1.96e253021dcb4p-3, -0x1.8ddfee4fe048bp-3, -0x1.853de2ff9ca14p-3, -0x1.7cfb54e8796ebp-3, -0x1.75172928d4c1bp-3, -0x1.6d900d1dbc60ep-3, -0x1.66647cba5027p-3, -0x1.5f92c867ceab1p-3, -0x1.59191a840ec3cp-3, -0x1.52f57c7a0383dp-3, -0x1.4d25db7b6a1dep-3, -0x1.47a80cd6733cp-3, -0x1.4279d1e34924ap-3, -0x1.3d98dbaec8826p-3, -0x1.3902ce54bfd6fp-3, -0x1.34b5440f4bd9p-3, -0x1.30add00e7eb6ap-3, -0x1.2cea010454abcp-3, -0x1.2967636ff9121p-3, -0x1.262383b823f6ap-3, -0x1.231bf0131436bp-3, -0x1.204e3a3ef84cfp-3, -0x1.1db7f90c5364bp-3, -0x1.1b56c9c0af6afp-3, -0x1.192851534f87p-3, -0x1.172a3d899aa43p-3, -0x1.155a45edb9672p-3, -0x1.13b62ca67aabap-3, -0x1.123bbf33b96p-3, -0x1.10e8d7138adbcp-3, -0x1.0fbb5a5134c6fp-3, -0x1.0eb13bfdbdb68p-3, -0x1.0dc87c95aa679p-3, -0x1.0cff2a4d659e9p-3, -0x1.0c536150bd935p-3, -0x1.0bc34bf43dc48p-3, -0x1.0b4d22d44e788p-3, -0x1.0aef2ced046e5p-3, -0x1.0aa7bfa19ca7ap-3, -0x1.0a753eb8e6fa5p-3, -0x1.0a561c54151b9p-3, -0x1.0a48d8d6ab9ap-3, -0x1.0a4c02ca169e1p-3, -0x1.0a5e36ba86261p-3, -0x1.0a7e1f07e42c6p-3, -0x1.0aaa73b8f5d64p-3, -0x1.0ae1fa45f9d76p-3, -0x1.0b23855679691p-3, -0x1.0b6df487f5c4dp-3, -0x1.0bc0342e5e68p-3, -0x1.0c193d0146e44p-3, -0x1.0c7813d7742cep-3, -0x1.0cdbc96bb1b7ep-3, -0x1.0d437a03a33b3p-3, -0x1.0dae4d1400122p-3, -0x1.0e1b7506ba22ep-3, -0x1.0e8a2ef496acep-3, -0x1.0ef9c236d8451p-3, -0x1.0f698012dc832p-3, -0x1.0fd8c38ba0a62p-3, -0x1.1046f11966c4fp-3, -0x1.10b3762165f1cp-3, -0x1.111dc8b1069b4p-3, -0x1.11856767254b7p-3, -0x1.11e9d91991befp-3, -0x1.124aac452c602p-3, -0x1.12a776d2788ep-3, -0x1.12ffd617c25dfp-3, -0x1.13536e7e737a4p-3, -0x1.13a1eae66dbe9p-3, -0x1.13eafc6f6c124p-3, -0x1.142e5a920514cp-3, -0x1.146bc2d5bace5p-3, -0x1.14a2f82eebe99p-3, -0x1.14d3c2bb12afep-3, -0x1.14fdefe2fed2dp-3, -0x1.152152316e21cp-3, -0x1.153dc0be9d6a5p-3, -0x1.155316d39f2acp-3, -0x1.156133fd8df2cp-3, -0x1.1567fc0741d26p-3, -0x1.1567568dec2a5p-3, -0x1.155f2e9875ceap-3, -0x1.154f7288ebb99p-3, -0x1.15381424dc038p-3, -0x1.1519085d75ae2p-3, -0x1.14f246f712388p-3, -0x1.14c3ca5c13f46p-3, -0x1.148d8f97009cep-3, -0x1.144f963a2f76fp-3, -0x1.1409e027a5617p-3, -0x1.13bc715dc762dp-3, -0x1.13674fdcfac7dp-3, -0x1.130a83939a607p-3, -0x1.12a6163df4f06p-3, -0x1.123a134045ab2p-3, -0x1.11c68787ac738p-3, -0x1.114b8172f1f0ap-3, -0x1.10c910bc26a8bp-3, -0x1.103f466079975p-3, -0x1.0fae3488a993ap-3, -0x1.0f15ee742068dp-3, -0x1.0e768866632fdp-3, -0x1.0dd01795c73c7p-3, -0x1.0d22b21aeeb69p-3, -0x1.0c6e6ee0c4bdep-3, -0x1.0bb365951701bp-3, -0x1.0af1ae9a14ebcp-3, -0x1.0a2962f8dcd63p-3, -0x1.095a9c54b3e5dp-3, -0x1.088574de6ba1cp-3, -0x1.07aa0747e573ep-3, -0x1.06c86eb82669bp-3, -0x1.05e0c6c03e118p-3, -0x1.04f32b50d9be1p-3, -0x1.03ffb8b037ab4p-3, -0x1.03068b704ee93p-3, -0x1.0207c065726d4p-3, -0x1.0103749da792ep-3, -0x1.fff38ab161ddfp-4, -0x1.fdd5a0012f99dp-4, -0x1.fbad6444fb98ep-4, -0x1.f97b12cf69bb9p-4, -0x1.f73ee71e851c1p-4, -0x1.f4f91ccfc0759p-4, -0x1.f2a9ef94c9a6cp-4, -0x1.f0519b28cc09cp-4, -0x1.edf05b45d97eep-4, -0x1.eb866b9a948f7p-4, -0x1.e91407c03d14cp-4, -0x1.e6996b312d759p-4, -0x1.e416d13fb6e39p-4, -0x1.e18c750d325f3p-4, -0x1.defa91811540cp-4, -0x1.dc6161403e0c8p-4, -0x1.d9c11ea477cffp-4, -0x1.d71a03b4735dbp-4, -0x1.d46c4a1c1337dp-4, -0x1.d1b82b2516799p-4, -0x1.cefddfaff8889p-4, -0x1.cc3da02d21b1ap-4, -0x1.c977a4968da46p-4, -0x1.c6ac2469cba6fp-4, -0x1.c3db56a29b5bcp-4, -0x1.c10571b5e502p-4, -0x1.be2aab8d33e4fp-4, -0x1.bb4b398263cf6p-4, -0x1.b867505bd7b72p-4, -0x1.b57f2448fdd0ep-4, -0x1.b292e8df5b193p-4, -0x1.afa2d117d7f52p-4, -0x1.acaf0f4c7d699p-4, -0x1.a9b7d53661d3p-4, -0x1.a6bd53ebe4c67p-4, -0x1.a3bfbbdf2c0acp-4, -0x1.a0bf3cdccc8cp-4, -0x1.9dbc060ab467p-4, -0x1.9ab645e742b16p-4, -0x1.97ae2a489a5e9p-4, -0x1.94a3e05c14ce8p-4, -0x1.919794a5c91f4p-4, -0x1.8e897300297b9p-4, -0x1.8b79a69bc5b57p-4, -0x1.886859ff3792p-4, -0x1.8555b70730286p-4, -0x1.8241e6e690afap-4, -0x1.7f2d12268ebc4p-4, -0x1.7c1760a6f4a36p-4, -0x1.7900f99e820f7p-4, -0x1.75ea039b70ff7p-4, -0x1.72d2a48404cd3p-4, -0x1.6fbb01971c042p-4, -0x1.6ca33f6cd9441p-4, -0x1.698b81f76caf2p-4, -0x1.6673ec8406287p-4, -0x1.635ca1bbd51e8p-4, -0x1.6045c3a50a45p-4, -0x1.5d2f73a3d8f43p-4, -0x1.5a19d27b8b2eap-4, -0x1.5705004fbed11p-4, -0x1.53f11ca5bd528p-4, -0x1.50de4665db158p-4, -0x1.4dcc9bdcc76aap-4, -0x1.4abc3abcd8b48p-4, -0x1.47ad401f68e81p-4, -0x1.449fc8864d7ebp-4, -0x1.4193efdd6e312p-4, -0x1.3e89d17c4e813p-4, -0x1.3b818827857ebp-4, -0x1.387b2e1224d5cp-4, -0x1.3576dcdf2740ep-4, -0x1.3274ada2fc01fp-4, -0x1.2f74b8e521a91p-4, -0x1.2c7716a1c1bcfp-4, -0x1.297bde4b2c8bbp-4, -0x1.268326cb3c2d4p-4, -0x1.238d0684b4888p-4, -0x1.20999354ba0ap-4, -0x1.1da8e2945da3fp-4, -0x1.1abb091a2b44dp-4, -0x1.17d01b3ba520dp-4, -0x1.14e82cce98478p-4, -0x1.1203512a66d8dp-4, -0x1.0f219b2955369p-4, -0x1.0c431d29f92b3p-4, -0x1.0967e910b66e3p-4, -0x1.06901049336bap-4, -0x1.03bba3c7af42p-4, -0x1.00eab40a3a5f4p-4, -0x1.fc3aa233c7b6bp-5, -0x1.f6a71517f6d0cp-5, -0x1.f11adf06e1fa8p-5, -0x1.eb961d647d69ap-5, -0x1.e618ecb5941c8p-5, -0x1.e0a368a23eb4fp-5, -0x1.db35abf82b2dep-5, -0x1.d5cfd0acd1eadp-5, -0x1.d071efdfdc098p-5, -0x1.cb1c21ddbaf61p-5, -0x1.c5ce7e22643bbp-5, -0x1.c0891b5bec435p-5, -0x1.bb4c0f6ceb975p-5, -0x1.b6176f6e9f8a8p-5, -0x1.b0eb4fb307b52p-5, -0x1.abc7c3c71d7b4p-5, -0x1.a6acde754870ep-5, -0x1.a19ab1c7f2c35p-5, -0x1.9c914f0c190f8p-5, -0x1.9790c6d39ec1dp-5, -0x1.929928f76c46fp-5, -0x1.8daa84996521p-5, -0x1.88c4e8267d4c4p-5, -0x1.83e86158f2e1ep-5, -0x1.7f14fd3abde9ap-5, -0x1.7a4ac8281168fp-5, -0x1.7589cdd1afc2fp-5, -0x1.70d2193f1fc81p-5, -0x1.6c23b4d09fa04p-5, -0x1.677eaa41050f3p-5, -0x1.62e302a778c6cp-5, -0x1.5e50c67911b5ap-5, -0x1.59c7fd8bc10bfp-5, -0x1.5548af1b7ab3cp-5, -0x1.50d2e1cad188dp-5, -0x1.4c669ba0cabaep-5, -0x1.4803e20f03f38p-5, -0x1.43aab9f6eb49cp-5, -0x1.3f5b27a4b1e14p-5, -0x1.3b152ecff905cp-5, -0x1.36d8d2a4346a6p-5, -0x1.32a615c377923p-5, -0x1.2e7cfa469520cp-5, -0x1.2a5d81be9049cp-5, -0x1.2647ad369f36p-5, -0x1.223b7d364393bp-5, -0x1.1e38f1c34cfb1p-5, -0x1.1a400a63d937cp-5, -0x1.1650c620846b2p-5, -0x1.126b2386b2de2p-5, -0x1.0e8f20aac8878p-5, -0x1.0abcbb2a2cd96p-5, -0x1.06f3f02d42f25p-5, -0x1.0334bc694d665p-5, -0x1.fefe3844cfb0ep-6, -0x1.f7a6165b0614fp-6, -0x1.f06109e4ef979p-6, -0x1.e92f08dc537a5p-6, -0x1.e210086948e7p-6, -0x1.db03fce6729d4p-6, -0x1.d40ad9e507f64p-6, -0x1.cd249230bef18p-6, -0x1.c65117d3abb3ap-6, -0x1.bf905c1a2d646p-6, -0x1.b8e24f96d83b3p-6, -0x1.b246e22695bbap-6, -0x1.abbe02f4bbcb8p-6, -0x1.a547a07f2c3adp-6, -0x1.9ee3a89a5d133p-6, -0x1.9892087549ae1p-6, -0x1.9252ac9d50cb8p-6, -0x1.8c258102135cdp-6, -0x1.860a70f94addap-6, -0x1.80016742b57d2p-6, -0x1.7a0a4e0bfec35p-6, -0x1.74250ef4b6fc1p-6, -0x1.6e519312336aep-6, -0x1.688fc2f365577p-6, -0x1.62df86a4a8a97p-6, -0x1.5d40c5b3738d5p-6, -0x1.57b3673219cddp-6, -0x1.523751bb7bc45p-6, -0x1.4ccc6b76d440dp-6, -0x1.47729a1b7424dp-6, -0x1.4229c2f47d4b3p-6, -0x1.3cf1cae493955p-6, -0x1.37ca96697a445p-6, -0x1.32b4099f93c4cp-6, -0x1.2dae084561797p-6, -0x1.28b875bef5743p-6, -0x1.23d33519664a9p-6, -0x1.1efe290e4f953p-6, -0x1.1a3934075810ap-6, -0x1.15843821ade3ap-6, -0x1.10df173180155p-6, -0x1.0c49b2c55d45bp-6, -0x1.07c3ec2977a8bp-6, -0x1.034da46ad7698p-6, -0x1.fdcd78b4e3394p-7, -0x1.f51e29207e633p-7, -0x1.ec8d1adc9b1fp-7, -0x1.e41a0e47c462fp-7, -0x1.dbc4c3612fdb9p-7, -0x1.d38cf9cf1e79dp-7, -0x1.cb7270e504b58p-7, -0x1.c374e7a9b2cfcp-7, -0x1.bb941cdd31163p-7, -0x1.b3cfcefe68131p-7, -0x1.ac27bc509342ep-7, -0x1.a49ba2e08990bp-7, -0x1.9d2b408a05d34p-7, -0x1.95d652fce136ep-7, -0x1.8e9c97c262c34p-7, -0x1.877dcc429753ap-7, -0x1.8079adc9a8268p-7, -0x1.798ff98d370e3p-7, -0x1.72c06cb17b4cbp-7, -0x1.6c0ac44e505cbp-7, -0x1.656ebd73dc951p-7, -0x1.5eec152f3ed62p-7, -0x1.5882888edc83p-7, -0x1.5231d4a6bd8ddp-7, -0x1.4bf9b694bb7b3p-7, -0x1.45d9eb84d10bdp-7, -0x1.3fd230b5533dbp-7, -0x1.39e2437b3b9dp-7, -0x1.3409e1466ab2ep-7, -0x1.2e48c7a5bd47cp-7, -0x1.289eb44b23554p-7, -0x1.230b650f5be9cp-7, -0x1.1d8e97f5abd74p-7, -0x1.18280b2f5e325p-7, -0x1.12d77d1f1cb5cp-7, -0x1.0d9cac5c4458ep-7, -0x1.087757b636192p-7, -0x1.03673e37a79fbp-7, -0x1.fcd83e53e5467p-8, -0x1.f30b7430acfbdp-8, -0x1.e9679da669aedp-8, -0x1.dfec3ae62b2d4p-8, -0x1.d698ccb71381fp-8, -0x1.cd6cd47b8b755p-8, -0x1.c467d4360f78cp-8, -0x1.bb894e8d9bbe7p-8, -0x1.b2d0c6d1c46fcp-8, -0x1.aa3dc0fee227dp-8, -0x1.a1cfc1c253d28p-8, -0x1.99864e7f03d18p-8, -0x1.9160ed5270036p-8, -0x1.895f2519f5115p-8, -0x1.81807d78718e2p-8, -0x1.79c47edbdcb33p-8, -0x1.722ab282b83d7p-8, -0x1.6ab2a280c373dp-8, -0x1.635bd9c2e3cbdp-8, -0x1.5c25e411c16a3p-8, -0x1.55104e134dd33p-8, -0x1.4e1aa54b05379p-8, -0x1.474478196f82ep-8, -0x1.408d55bb2427dp-8, -0x1.39f4ce481c749p-8, -0x1.337a72b3d9029p-8, -0x1.2d1dd4cef2406p-8, -0x1.26de874abab84p-8, -0x1.20bc1dbec5313p-8, -0x1.1ab62cb08ce02p-8, -0x1.14cc499c3f848p-8, -0x1.0efe0afe438afp-8, -0x1.094b085bc5ed6p-8, -0x1.03b2da496dca2p-8, -0x1.fc6a34dd5b336p-9, -0x1.f1a2c709d3344p-9, -0x1.e70ea2a412151p-9, -0x1.dcad013cff729p-9, -0x1.d27d1e5034206p-9, -0x1.c87e37263b236p-9, -0x1.beaf8ab7dd81ep-9, -0x1.b5105998122ffp-9, -0x1.ab9fe5e955712p-9, -0x1.a25d73620fdf3p-9, -0x1.99484762c0f2ep-9, -0x1.905fa91ccbb4bp-9, -0x1.87a2e1c716211p-9, -0x1.7f113cda64721p-9, -0x1.76aa084ce9bf5p-9, -0x1.6e6c94c3ffba8p-9, -0x1.665835b247a98p-9, -0x1.5e6c415a8eaddp-9, -0x1.56a810b32206ap-9, -0x1.4f0aff28b4606p-9, -0x1.47946a45c5b3ep-9, -0x1.4043b147d67bcp-9, -0x1.391834aff717ap-9, -0x1.321155de9c4c7p-9, -0x1.2b2e76cb23501p-9, -0x1.246ef9e543089p-9, -0x1.1dd24229fc74cp-9, -0x1.1757b36f8324cp-9, -0x1.10feb2e314095p-9, -0x1.0ac6a7ac932e7p-9, -0x1.04aefba40beedp-9, -0x1.fd6e38019cb02p-10, -0x1.f1bcf3cf69cf9p-10, -0x1.e6491581c1ac3p-10, -0x1.db1190828732cp-10, -0x1.d015603f425c5p-10, -0x1.c55386eacb8b3p-10, -0x1.bacb0bb30ee87p-10, -0x1.b07af89c4b9aep-10, -0x1.a662584395ceep-10, -0x1.9c8033d507314p-10, -0x1.92d3917f72586p-10, -0x1.895b73a593935p-10, -0x1.8016d8f6f4618p-10, -0x1.7704bd7e00f62p-10, -0x1.6e241c91aceb4p-10, -0x1.6573f3799f9d3p-10, -0x1.5cf3447724033p-10, -0x1.54a119d55ec5cp-10, -0x1.4c7c889a2531p-10, -0x1.4484b27841c8ep-10, -0x1.3cb8c6b56b56bp-10, -0x1.351801d5eea7ep-10, -0x1.2da1ac03a79c2p-10, -0x1.2655165133c09p-10, -0x1.1f3197209749cp-10, -0x1.183686152aec2p-10, -0x1.1163380ce0d46p-10, -0x1.0ab6fba164ad3p-10, -0x1.043116a528e03p-10, -0x1.fba189e60895cp-11, -0x1.ef2a71806e878p-11, -0x1.e2fb38dd416a7p-11, -0x1.d7122b6142f51p-11, -0x1.cb6d9348fd7b4p-11, -0x1.c00bc2e192c9ap-11, -0x1.b4eb1db9c262dp-11, -0x1.aa0a20bdc78d4p-11, -0x1.9f6768501e6ecp-11, -0x1.9501b3a4bb019p-11, -0x1.8ad7e4edf084cp-11, -0x1.80e8fe3ea08a1p-11, -0x1.77341b6484c7dp-11, -0x1.6db86955d42cap-11, -0x1.64751c206581ep-11, -0x1.5b69647d0d7a3p-11, -0x1.5294663ffaf84p-11, -0x1.49f530cce681p-11, -0x1.418aba7130f1p-11, -0x1.3953df298428dp-11, -0x1.314f62e02069ap-11, -0x1.297bf6bfe5348p-11, -0x1.21d840dc4afb4p-11, -0x1.1a62e5348c41ap-11, -0x1.131a8f0852d97p-11, -0x1.0bfdf9861282fp-11, -0x1.050bf701b27b4p-11, -0x1.fc86ec32e514dp-12, -0x1.ef4708cf2b42ep-12, -0x1.e2569d339ff18p-12, -0x1.d5b43bfe40091p-12, -0x1.c95ea7a4be299p-12, -0x1.bd54c56ff26cp-12, -0x1.b1958e1a35bc3p-12, -0x1.a61ffd935b4f5p-12, -0x1.9af3038f2615ep-12, -0x1.900d768e44b6cp-12, -0x1.856e0acea504ap-12, -0x1.7b134e287d5cap-12, -0x1.70fba9299369cp-12, -0x1.6725650a6e85cp-12, -0x1.5d8eb5742a153p-12, -0x1.5435c4a1724ebp-12, -0x1.4b18c03a2833p-12, -0x1.4235e5534f9d5p-12, -0x1.398b8a2626c23p-12, -0x1.3118245cb4fd8p-12, -0x1.28da4b4b508ep-12, -0x1.20d0b61b1a035p-12, -0x1.18fa36be70df3p-12, -0x1.1155b337dd2cap-12, -0x1.09e21f11885fdp-12, -0x1.029e76955000bp-12, -0x1.f713790b0b8d8p-13, -0x1.e945f3fc24106p-13, -0x1.dbd27ea12a896p-13, -0x1.ceb748b5ebb67p-13, -0x1.c1f28e61df579p-13, -0x1.b582917725cd5p-13, -0x1.a9658fc39a451p-13, -0x1.9d99b9246282bp-13, -0x1.921d28e4be9bap-13, -0x1.86ede5cd2e8fep-13, -0x1.7c09eae26683ap-13, -0x1.716f383eea46ap-13, -0x1.671be81957ba2p-13, -0x1.5d0e41530610ap-13, -0x1.5344c02ab9b8ap-13, -0x1.49be0fe69b784p-13, -0x1.4078f4e6628cdp-13, -0x1.37742c0e1d877p-13, -0x1.2eae48aa06c44p-13, -0x1.26259b4a2c57bp-13, -0x1.1dd82a14b36fep-13, -0x1.15c3be6477f24p-13, -0x1.0de605aaa2a5fp-13, -0x1.063cbe2a9aa4dp-13, -0x1.fd8bc92f4d26ap-14, -0x1.eeffad69c4dbap-14, -0x1.e0d2c255ce9ddp-14, -0x1.d303678891125p-14, -0x1.c5907cc0a92e1p-14, -0x1.b879013a2e661p-14, -0x1.abbbb75f4fbf2p-14, -0x1.9f56ecff94962p-14, -0x1.93487c72db072p-14, -0x1.878e0558bfc0bp-14, -0x1.7c2544c75e27p-14, -0x1.710c678636288p-14, -0x1.664233ce6f85ep-14, -0x1.5bc5f8fb30a2fp-14, -0x1.51974a24eb571p-14, -0x1.47b59b64a626p-14, -0x1.3e1fe19223039p-14, -0x1.34d44fc94e695p-14, -0x1.2bd04024f9d49p-14, -0x1.231046627f623p-14, -0x1.1a90639387f55p-14, -0x1.124c532a2b4f8p-14, -0x1.0a3fecbe6940dp-14, -0x1.0267925e615f9p-14, -0x1.f5812e570f2c7p-15, -0x1.e692fb6b27b78p-15, -0x1.d803dbb3bf9e1p-15, -0x1.c9d4ae2874635p-15, -0x1.bc06b0aa2aeeap-15, -0x1.ae9a4c869b86ep-15, -0x1.a18e5cd8e23a5p-15, -0x1.94e033ce27fc5p-15, -0x1.888c475ba6c82p-15, -0x1.7c8f25d4e29b3p-15, -0x1.70e644dc82b8dp-15, -0x1.6590614a19669p-15, -0x1.5a8d595a9041ap-15, -0x1.4fdd96f07742fp-15, -0x1.45814693319f9p-15, -0x1.3b77affc05ccbp-15, -0x1.31bef51473527p-15, -0x1.285440a050273p-15, -0x1.1f342dee79732p-15, -0x1.165b1d3f8f262p-15, -0x1.0dc5483c36acbp-15, -0x1.056ea4074d2d2p-15, -0x1.faa597dd3df3ep-16, -0x1.eada67c88b6f1p-16, -0x1.db736e564fe3bp-16, -0x1.cc6aa8ed9c5ccp-16, -0x1.bdbd6c8b9e35ap-16, -0x1.af6c5522edcc4p-16, -0x1.a179e5b6dbbb7p-16, -0x1.93e875a5edef7p-16, -0x1.86b87fce8de56p-16, -0x1.79e81e419dfe4p-16, -0x1.6d73ac635560fp-16, -0x1.6156f56aac747p-16, -0x1.558e65f6e0db2p-16, -0x1.4a17f6f0fe4d1p-16, -0x1.3ef3726132581p-16, -0x1.3421ae434f346p-16, -0x1.29a300fb27132p-16, -0x1.1f75fafc3399bp-16, -0x1.15974638b18c4p-16, -0x1.0c028ec5dc30dp-16, -0x1.02b3a9028b713p-16, -0x1.f34e9e86c49d2p-17, -0x1.e1b6a3c69e697p-17, -0x1.d09cc1591ccecp-17, -0x1.bfff2b9621d36p-17, -0x1.afdbbb7f6f278p-17, -0x1.a02ecb0a2df5dp-17, -0x1.90f296a35dd02p-17, -0x1.821f769d0f7fcp-17, -0x1.73ace148283b6p-17, -0x1.6592f3cb7bd7fp-17, -0x1.57cc31b7629eep-17, -0x1.4a56cff727951p-17, -0x1.3d3498a4bae0ep-17, -0x1.306913058ede3p-17, -0x1.23f6aa0d0329cp-17, -0x1.17dc40e86c7eep-17, -0x1.0c150d8b97a0bp-17, -0x1.009baf000fc4ep-17, -0x1.eadc6e00a8266p-18, -0x1.d51d7d8d3ae7fp-18, -0x1.bfff30ba8df84p-18, -0x1.ab7ecd227d36bp-18, -0x1.9791d2a5b841bp-18, -0x1.842b3fad41423p-18, -0x1.71408144d56e6p-18, -0x1.5ecb1245ce7e4p-18, -0x1.4cc789f08b0dfp-18, -0x1.3b33f48dcf134p-18, -0x1.2a0ebbe86a0aep-18, -0x1.19568987de682p-18, -0x1.090ada91b50bp-18, -0x1.f2590d649beacp-19, -0x1.d37ae68b549c2p-19, -0x1.b57e7172d1338p-19, -0x1.9862692675945p-19, -0x1.7c1d1bd8fd88dp-19, -0x1.60990db060773p-19, -0x1.45b603adc58b3p-19, -0x1.2b552d392d0ffp-19, -0x1.116ce9fabecb7p-19, -0x1.f020123f636b9p-20, -0x1.beb5da3598288p-20, -0x1.8eacf50be2db8p-20, -0x1.5fe07ae3e5fe6p-20, -0x1.3223c59e0ccbap-20, -0x1.0575abbda7987p-20, -0x1.b3eb45a4faa0ap-21, -0x1.5f6579a013cfep-21, -0x1.0d32e10cd9618p-21, -0x1.7a1fa02560abep-22, -0x1.bb1e4aaa578e4p-23, -0x1.11fd1abe48accp-24, 0x1.44862e6bda56ap-24, 0x1.c6ad61ec00081p-23, 0x1.722288d15cf8bp-22, 0x1.fd8c76c62edfdp-22, 0x1.42d175d40b26bp-21, 0x1.853d534c153f7p-21, 0x1.c6153c94dc652p-21, 0x1.02b0d2e20a991p-20, 0x1.2191d96d8679cp-20, 0x1.3fa9ed5642cfap-20, 0x1.5cf3160538dd8p-20, 0x1.7968f93401b88p-20, 0x1.950b9889c4ba9p-20, 0x1.afe2af843c15dp-20, 0x1.ca0644a198a85p-20, 0x1.e39e4d4f66a74p-20, 0x1.fcc1d67e76c51p-20, 0x1.0aac469f7741ep-19, 0x1.169e431c4a962p-19, 0x1.22399c64ac9f1p-19, 0x1.2d9078a28d562p-19, 0x1.38a5d764378e3p-19, 0x1.436ba24437e42p-19, 0x1.4ddb6607a4723p-19, 0x1.57fca99a7d815p-19, 0x1.61d90e0c52ff8p-19, 0x1.6b756a8444f78p-19, 0x1.74d2c15f5d8a5p-19, 0x1.7df0c6add1509p-19, 0x1.86cf40fd272ffp-19, 0x1.8f6e6794c2a65p-19, 0x1.97ced267e678cp-19, 0x1.9ff1504a492ap-19, 0x1.a7d6c5001b5a3p-19, 0x1.af801a85ce368p-19, 0x1.b6ee4505fde15p-19, 0x1.be224c331575cp-19, 0x1.c51d42ac343e3p-19, 0x1.cbe01bb247925p-19, 0x1.d26b6e5795239p-19, 0x1.d8bf5ce892f7fp-19, 0x1.dedbde4326df9p-19, 0x1.e4c13b6569a7ap-19, 0x1.ea6fbd6e26e6fp-19, 0x1.efe65e11c0304p-19, 0x1.f5246245dec89p-19, 0x1.fa2efa8e1e3a1p-19, 0x1.ff0d079403698p-19, 0x1.01ddde02252c6p-18, 0x1.041c56bf8eec7p-18, 0x1.06453561f4eebp-18, 0x1.0857dc59ab496p-18, 0x1.0a50234e5ba01p-18, 0x1.0c2e4829eade3p-18, 0x1.0df515e4103b7p-18, 0x1.0fa60b03f376bp-18, 0x1.11415a42d5307p-18, 0x1.12c6ded26f63ap-18, 0x1.1436884680f21p-18, 0x1.1590688795f96p-18, 0x1.16d4a9b0c0946p-18, 0x1.18038363fddd5p-18, 0x1.191d33b7fedbep-18, 0x1.1a21faadccf52p-18, 0x1.1b1216feb8e5dp-18, 0x1.1bedc3df245a3p-18, 0x1.1cb5380e9a16fp-18, 0x1.1d68a6bf881b6p-18, 0x1.1e084281a5eccp-18, 0x1.1e944119d799ap-18, 0x1.1f0cddf8dd6e2p-18, 0x1.1f7258cce9aeep-18, 0x1.1fc4ef1f0f7bfp-18, 0x1.2004d568305d3p-18, 0x1.20323cefb9ebp-18, 0x1.204d6865e9d54p-18, 0x1.205692767aaf5p-18, 0x1.204d633d94607p-18, 0x1.2030ff5ef7987p-18, 0x1.200227c3379a9p-18, 0x1.1fc2c7c9a6aa3p-18, 0x1.1f732fc5186fap-18, 0x1.1f13ad0621d9ep-18, 0x1.1ea2fe78a50b9p-18, 0x1.1e206064c2be8p-18, 0x1.1d8d0748f3478p-18, 0x1.1ce9bdf785136p-18, 0x1.1c36a63bd7642p-18, 0x1.1b73c5d7faa84p-18, 0x1.1aa13300ae81fp-18, 0x1.19bf1211a8a82p-18, 0x1.18cd8e5151006p-18, 0x1.17ccd5c8ac892p-18, 0x1.16bd17873f259p-18, 0x1.159e8306c134cp-18, 0x1.147147f3a01dap-18, 0x1.13359605e20d1p-18, 0x1.11eb9cd3aea43p-18, 0x1.10938b937d1acp-18, 0x1.0f2d90dbe7674p-18, 0x1.0db9da6ffec72p-18, 0x1.0c389543f504cp-18, 0x1.0aa9edf0a2ebdp-18, 0x1.090e11a613735p-18, 0x1.07652f415b36ep-18, 0x1.05af77c782932p-18, 0x1.03ed1d85ac8c6p-18, 0x1.021e51b23aa29p-18, 0x1.0043421b5d809p-18, 0x1.fcb8363c465dep-19, 0x1.f8d21e431be1dp-19, 0x1.f4d4a57c480abp-19, 0x1.f0bfddc491396p-19, 0x1.ec936cd040bdap-19, 0x1.e8504e453ee99p-19, 0x1.e3f824eab54a4p-19, 0x1.df8ade88161b8p-19, 0x1.db077eaeecdf8p-19, 0x1.d66ebf0eb24d9p-19, 0x1.d1c1922a0f1cdp-19, 0x1.cd004b90b9dfcp-19, 0x1.c82b28b4dac88p-19, 0x1.c342772f737b2p-19, 0x1.be468e489ee29p-19, 0x1.b937c898325d2p-19, 0x1.b416816cb9e3p-19, 0x1.aee313fdd75bfp-19, 0x1.a99ddb3df1668p-19, 0x1.a44731e3969bfp-19, 0x1.9edf727ffe228p-19, 0x1.9966f78b780c5p-19, 0x1.93de1b68d210ep-19, 0x1.8e453859e721cp-19, 0x1.889ca86adc729p-19, 0x1.82e4c557974e7p-19, 0x1.7d1de865da242p-19, 0x1.77486a3c7df92p-19, 0x1.7164a2c9b16e1p-19, 0x1.6b72e96016f5dp-19, 0x1.65739517977dfp-19, 0x1.5f66fd93025bep-19, 0x1.594d7d95ae269p-19, 0x1.53276ad4c8344p-19, 0x1.4cf5233019d16p-19, 0x1.46b6fbb20d94bp-19, 0x1.406d483268cf2p-19, 0x1.3a1859684d50dp-19, 0x1.33b886dc3d5f7p-19, 0x1.2d4e3633b79cap-19, 0x1.26d9ac9139383p-19, 0x1.205af02bc644fp-19, 0x1.19d2d43a8d123p-19, 0x1.1341acfc2141ap-19, 0x1.0ca749db77028p-19, 0x1.0604583a0304cp-19, 0x1.feb27808b8a54p-20, 0x1.f14c6827832b8p-20, 0x1.e3d713029da93p-20, 0x1.d65316e85caccp-20, 0x1.c8c114a6877b1p-20, 0x1.bb21ac7f690ffp-20, 0x1.ad757d7bbd65bp-20, 0x1.9fbd2552e7b97p-20, 0x1.91f9406d6494cp-20, 0x1.842a69f4886a8p-20, 0x1.76513be2d4155p-20, 0x1.686e4f1bd6c8fp-20, 0x1.5a823b7d0162bp-20, 0x1.4c8d97e479168p-20, 0x1.3e90fa27147d5p-20, 0x1.308cf6fc625ffp-20, 0x1.228221e4ef135p-20, 0x1.14710d1115551p-20, 0x1.065a495926d44p-20, 0x1.f07ccbbe23971p-21, 0x1.d43be08688726p-21, 0x1.b7f2e88c1f48bp-21, 0x1.9ba2f8e2abc8fp-21, 0x1.7f4d2579f2d06p-21, 0x1.62f282a7f3a1bp-21, 0x1.469424e2226c9p-21, 0x1.2a331f3ab6c62p-21, 0x1.0dd0811c1652ep-21, 0x1.e2da9f13d65cp-22, 0x1.aa14f7aa5768ep-22, 0x1.7151dd12c48e4p-22, 0x1.38936ea680797p-22, 0x1.ffb8e0886ebd6p-23, 0x1.8e5de4e788a3cp-23, 0x1.1d15ed819430cp-23, 0x1.57cd41079233cp-24, 0x1.d68df2be62e63p-26, -0x1.b10464c8f6da5p-26, -0x1.4dda7f881443dp-24, -0x1.1791e62dacc92p-23, -0x1.880b257b0908p-23, -0x1.f8556d5a4e87bp-23, -0x1.3436996d7ea65p-22, -0x1.6c277ceab1fd2p-22, -0x1.a3fbaa6370328p-22, -0x1.dbb171e486828p-22, -0x1.09a394f10aa39p-21, -0x1.255d978dbff15p-21, -0x1.4105f243d5187p-21, -0x1.5c9bd9a0c47d5p-21, -0x1.781e8527dd27ap-21, -0x1.938d2f3514c03p-21, -0x1.aee714e40bd94p-21, -0x1.ca2b76099955bp-21, -0x1.e5599546146c6p-21, -0x1.00385c0f2c919p-20, -0x1.0db813856d565p-20, -0x1.1b2b96baae799p-20, -0x1.28928ce79cc87p-20, -0x1.35ec9ee092a79p-20, -0x1.433977427c82fp-20, -0x1.5078c28d24b6ep-20, -0x1.5daa2ee7e0204p-20, -0x1.6acd6b84a2de6p-20, -0x1.77e22820f904ep-20, -0x1.84e81517af36ep-20, -0x1.91dee3b85ad5ap-20, -0x1.9ec6465e5e955p-20, -0x1.ab9df11a9231fp-20, -0x1.b8659d1fb355fp-20, -0x1.c51d0ce92804ep-20, -0x1.d1c4054e1cae4p-20, -0x1.de5a3b63f62dp-20, -0x1.eadf3fd10cb63p-20, -0x1.f75289095b3fbp-20, -0x1.01da3d0d9ca6ep-19, -0x1.0802a7502c7acp-19, -0x1.0e21eaef00159p-19, -0x1.1437e4ff441c7p-19, -0x1.1a44992232dabp-19, -0x1.2047f0844624ep-19, -0x1.2641ce61518f3p-19, -0x1.2c32166c3da71p-19, -0x1.3218ad6822ab9p-19, -0x1.37f5790385d47p-19, -0x1.3dc85fb80512ep-19, -0x1.439148b86cbf5p-19, -0x1.49501be772e2ep-19, -0x1.4f04c1d3128ep-19, -0x1.54af23b21f92bp-19, -0x1.5a4f2b62fa7a3p-19, -0x1.5fe4c36a165c4p-19, -0x1.656fd6efc517ep-19, -0x1.6af051b9f1e1ep-19, -0x1.70662027f1a0dp-19, -0x1.75d12f305737ep-19, -0x1.7b316c6194ef8p-19, -0x1.8086c5e4a5d59p-19, -0x1.85d12a7c99df8p-19, -0x1.8b1089856b4e8p-19, -0x1.9044d2f256697p-19, -0x1.956df74dd8e9p-19, -0x1.9a8be7be75c29p-19, -0x1.9f9e9611b89fep-19, -0x1.a4a5f4c68eb5fp-19, -0x1.a9a1f71069337p-19, -0x1.ae92900c10eep-19, -0x1.b377b428ca953p-19, -0x1.b85157145789cp-19, -0x1.bd1f6dfe15c56p-19, -0x1.c1e1edfedd7f5p-19, -0x1.c698ccb5698f3p-19, -0x1.cb4400c480376p-19, -0x1.cfe38337bc78p-19, -0x1.d4774eea1e993p-19, -0x1.d8ff5c88f1b34p-19, -0x1.dd7ba05d0b6d8p-19, -0x1.e1ebfe6cd7888p-19, -0x1.e6506479e688fp-19, -0x1.eaa93dcc69f97p-19, -0x1.eef6328112606p-19, -0x1.f33720908391bp-19, -0x1.f76c2115bf143p-19, -0x1.fb95347f2c333p-19, -0x1.ffb25696bb77p-19, -0x1.01e1c1d9ad622p-18, -0x1.03e45c79a5937p-18, -0x1.05e0fa08cf7c1p-18, -0x1.07d799a6463eap-18, -0x1.09c83aacf5ce9p-18, -0x1.0bb2dcb072298p-18, -0x1.0d977f7aa143bp-18, -0x1.0f76230b0169p-18, -0x1.114ec79595b0ap-18, -0x1.13216d8288067p-18, -0x1.14ee156d08a65p-18, -0x1.16b4c022e6ec6p-18, -0x1.18756ea33ea94p-18, -0x1.1a30221d96293p-18, -0x1.1be4dbf0c69eap-18, -0x1.1d939da964935p-18, -0x1.1f3c690156fep-18, -0x1.20df3fe1972b6p-18, -0x1.227c245eb0588p-18, -0x1.241318ba6f2ep-18, -0x1.25a41f61c2b93p-18, -0x1.272f3aec52111p-18, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{0x1.ffdca11f125a3p-1, 0x1.ff72e2d105396p-1, 0x1.fec3d99dcd7b8p-1, 0x1.fdd13f9f8de2cp-1, 0x1.fc9d5e3449361p-1, 0x1.fb2af54304201p-1, 0x1.f97d22348a65cp-1, 0x1.f79747f8c9316p-1, 0x1.f57cf8e82ce67p-1, 0x1.f331e2f1ea033p-1, 0x1.f0b9be479e0f5p-1, 0x1.ee183e8b65aa7p-1, 0x1.eb51066954f05p-1, 0x1.e8679d73a3d64p-1, 0x1.e55f680ef286ep-1, 0x1.e23ba137527bcp-1, 0x1.deff55e5beeb1p-1, 0x1.dbad61df25653p-1, 0x1.d8486db91a8dcp-1, 0x1.d4d2ede45bc89p-1, 0x1.d14f2291a06a5p-1, 0x1.cdbf1849e5159p-1, 0x1.ca24a917dd871p-1, 0x1.c6817e2490b01p-1, 0x1.c2d711ad2c4f7p-1, 0x1.bf26b13bca30fp-1, 0x1.bb718010378bp-1, 0x1.b7b879a8bb811p-1, 0x1.b3fc745d7fc52p-1, 0x1.b03e24037968dp-1, 0x1.ac7e1c8db2f23p-1, 0x1.a8bcd4a587924p-1, 0x1.a4faa833dc70ep-1, 0x1.a137dad69bf57p-1, 0x1.9d749a3ed579bp-1, 0x1.99b10074bbff6p-1, 0x1.95ed15ff8f69ap-1, 0x1.9228d3f016fa4p-1, 0x1.8e6425cce3349p-1, 0x1.8a9eeb5ffbab4p-1, 0x1.86d8fa660346fp-1, 0x1.8312201f222fbp-1, 0x1.7f4a22c24df6cp-1, 0x1.7b80c2d3b7e41p-1, 0x1.77b5bc5f4e75ap-1, 0x1.73e8c818675d5p-1, 0x1.70199c5fb63c1p-1, 0x1.6c47ee30cc53fp-1, 0x1.687371f862af5p-1, 0x1.649bdc54bc8d9p-1, 0x1.60c0e2c16e5abp-1, 0x1.5ce23c2fd3eddp-1, 0x1.58ffa18d7f07ap-1, 0x1.5518ce39df57ep-1, 0x1.512d806c5cf5dp-1, 0x1.4d3d798c1175bp-1, 0x1.49487e7a44bdcp-1, 0x1.454e57d0c3c63p-1, 0x1.414ed21519601p-1, 0x1.3d49bde1a61d4p-1, 0x1.393ef00582decp-1, 0x1.352e419c12babp-1, 0x1.3117901d0fa45p-1, 0x1.2cfabd65dbebep-1, 0x1.28d7afbccb979p-1, 0x1.24ae51cf11fb8p-1, 0x1.207e92a9edf1cp-1, 0x1.1c4865afa7cd5p-1, 0x1.180bc288e5a47p-1, 0x1.13c8a512cee27p-1, 0x1.0f7f0d4a70d2fp-1, 0x1.0b2eff35c8a47p-1, 0x1.06d882cacded3p-1, 0x1.027ba3d4d6507p-1, 0x1.fc30e3b12b8ddp-2, 0x1.f35dffee0fb28p-2, 0x1.ea7ec99ef1fcp-2, 0x1.e19374c1ce29cp-2, 0x1.d89c3bd5d95a5p-2, 0x1.cf995f9cbc75cp-2, 0x1.c68b26db7e8ddp-2, 0x1.bd71de1b67c2dp-2, 0x1.b44dd76b0bbebp-2, 0x1.ab1f6a1fbbfacp-2, 0x1.a1e6f2977a011p-2, 0x1.98a4d1fba5098p-2, 0x1.8f596e046bbdap-2, 0x1.860530bd2d3dcp-2, 0x1.7ca88849d7091p-2, 0x1.7343e6ad50f03p-2, 0x1.69d7c19108a95p-2, 0x1.6064920da4f15p-2, 0x1.56ead474eac6cp-2, 0x1.4d6b081cd3df3p-2, 0x1.43e5af2be69afp-2, 0x1.3a5b4e66c0141p-2, 0x1.30cc6cfedecb8p-2, 0x1.27399462a5985p-2, 0x1.1da3500e93561p-2, 0x1.140a2d5fb1f47p-2, 0x1.0a6ebb672df47p-2, 0x1.00d18abf21524p-2, 0x1.ee665ac0f5181p-3, 0x1.db286cf40e7fep-3, 0x1.c7ea7491297e4p-3, 0x1.b4ad9be04fce5p-3, 0x1.a1730eac72b21p-3, 0x1.8e3bf9f9fdb1ap-3, 0x1.7b098bbf5c189p-3, 0x1.67dcf29f74b45p-3, 0x1.54b75da60f841p-3, 0x1.4199fc06030bcp-3, 0x1.2e85fcd9448f3p-3, 0x1.1b7c8ee2a74f1p-3, 0x1.087ee05159bc1p-3, 0x1.eb1c3d0c1c504p-4, 0x1.c556ebb381c3p-4, 0x1.9fb022cc322abp-4, 0x1.7a2a359eadadep-4, 0x1.54c7741f8fbfap-4, 0x1.2f8a2a896e7f3p-4, 0x1.0a74a0f9ae33bp-4, 0x1.cb1236205ae76p-5, 0x1.8193af238b231p-5, 0x1.3872201b129ecp-5, 0x1.df63e213184fbp-6, 0x1.4eaefc56c19bep-6, 0x1.7d9c5d456bad4p-7, 0x1.7e4ff408e4c3cp-9, -0x1.7954a745a5ff7p-8, -0x1.d70df922ee809p-7, -0x1.77c34996a1e0dp-6, -0x1.0180ffb5a00a5p-5, -0x1.469d962d11a65p-5, -0x1.8b337fb95cbacp-5, -0x1.cf3ee4c1a2775p-5, -0x1.095dff825bfdfp-4, -0x1.2ad38d0658925p-4, -0x1.4bfe49cecd6a4p-4, -0x1.6cdc6e0fb8869p-4, -0x1.8d6c3b81bb10dp-4, -0x1.adabfd925cb34p-4, -0x1.cd9a099206b47p-4, -0x1.ed34bedfa75b1p-4, -0x1.063d438906ce2p-3, -0x1.15b4eb0f74f3fp-3, -0x1.2500953fcba09p-3, -0x1.341f86a9cb807p-3, -0x1.4311094063259p-3, -0x1.51d46c68b1295p-3, -0x1.60690507e2475p-3, -0x1.6ece2d8ff0b6cp-3, -0x1.7d03460b5c83ap-3, -0x1.8b07b427aba47p-3, -0x1.98dae33ef82cp-3, -0x1.a67c44604e229p-3, -0x1.b3eb4e570b2a2p-3, -0x1.c1277db123c7bp-3, -0x1.ce3054c461ac3p-3, -0x1.db055bb29afc4p-3, -0x1.e7a6206cde313p-3, -0x1.f41236b59c409p-3, -0x1.00249c10eb99p-2, -0x1.0625620ca69c7p-2, -0x1.0c0b3fead48f1p-2, -0x1.11d60b30668adp-2, -0x1.17859c4908a5fp-2, -0x1.1d19ce85565a8p-2, -0x1.229280189276dp-2, -0x1.27ef9215ef58p-2, -0x1.2d30e86d64cb6p-2, -0x1.325669e8186ccp-2, -0x1.376000245881dp-2, -0x1.3c4d97912e293p-2, -0x1.411f1f6984a9ep-2, -0x1.45d489aef2a4fp-2, -0x1.4a6dcb2416a4fp-2, -0x1.4eeadb469ad68p-2, -0x1.534bb448da31cp-2, -0x1.5790530b26345p-2, -0x1.5bb8b714b97afp-2, -0x1.5fc4e28c51f55p-2, -0x1.63b4da3077fap-2, -0x1.6788a54f76a0bp-2, -0x1.6b404dbf05631p-2, -0x1.6edbdfd3a6f95p-2, -0x1.725b6a57c329ep-2, -0x1.75befe8275d53p-2, -0x1.7906afee23829p-2, -0x1.7c32948ec87p-2, -0x1.7f42c4a80e75ap-2, -0x1.82375ac327f9ap-2, -0x1.851073a474cbcp-2, -0x1.87ce2e40f38bep-2, -0x1.8a70abb38390dp-2, -0x1.8cf80f31f43b2p-2, -0x1.8f647e01ee051p-2, -0x1.91b61f6db077dp-2, -0x1.93ed1cb8aba0fp-2, -0x1.9609a113f7a94p-2, -0x1.980bd992a93d4p-2, -0x1.99f3f51e0ce3dp-2, -0x1.9bc22469c38b1p-2, -0x1.9d7699e7cd7e7p-2, -0x1.9f1189bc77741p-2, -0x1.a09329b23d7cbp-2, -0x1.a1fbb12d98d76p-2, -0x1.a34b5920c2c67p-2, -0x1.a4825bff6bf5p-2, -0x1.a5a0f5b2694e6p-2, -0x1.a6a7638b5ff46p-2, -0x1.a795e43867f9p-2, -0x1.a86cb7b7b1bbfp-2, -0x1.a92c1f4b2a66bp-2, -0x1.a9d45d6c245e3p-2, -0x1.aa65b5bf0419fp-2, -0x1.aae06d06f7faap-2, -0x1.ab44c919b566ep-2, -0x1.ab9310d3431a8p-2, -0x1.abcb8c09d34a8p-2, -0x1.abee8381ab6bcp-2, -0x1.abfc40e11c3efp-2, -0x1.abf50ea4919d3p-2, -0x1.abd93812b1a85p-2, -0x1.aba9093096d02p-2, -0x1.ab64ceb620b5ap-2, -0x1.ab0cd60261345p-2, -0x1.aaa16d10204ap-2, -0x1.aa22e26a81dc5p-2, -0x1.a9918521c7332p-2, -0x1.a8eda4c0316f5p-2, -0x1.a837913f056e6p-2, -0x1.a76f9afbae773p-2, -0x1.a69612ad0aaf5p-2, -0x1.a5ab4958d81b2p-2, -0x1.a4af904947e24p-2, -0x1.a3a33902b6849p-2, -0x1.a286953991cd8p-2, -0x1.a159f6c861852p-2, -0x1.a01dafa5fc1dp-2, -0x1.9ed211dbe5243p-2, -0x1.9d776f7cd827ep-2, -0x1.9c0e1a9b7dcbep-2, -0x1.9a9665414d4ecp-2, -0x1.9910a1659d8e5p-2, -0x1.977d20e4df62bp-2, -0x1.95dc35780bdfdp-2, -0x1.942e30ac3a2b7p-2, -0x1.927363da6c4d2p-2, -0x1.90ac201f8322cp-2, -0x1.8ed8b65469bf6p-2, -0x1.8cf977066b734p-2, -0x1.8b0eb26fb9c43p-2, -0x1.8918b870295fbp-2, -0x1.8717d88616318p-2, -0x1.850c61c78117ap-2, -0x1.82f6a2db559bcp-2, -0x1.80d6e9f2e8d9dp-2, -0x1.7ead84c3a37fdp-2, -0x1.7c7ac080de61fp-2, -0x1.7a3ee9d5eefeep-2, -0x1.77fa4ce06697dp-2, -0x1.75ad352a7e24ep-2, -0x1.7357eda5b5be4p-2, -0x1.70fac0a5a1c32p-2, -0x1.6e95f7dae9b2ep-2, -0x1.6c29dc4e74532p-2, -0x1.69b6b65cc4a7bp-2, -0x1.673ccdb18517cp-2, -0x1.64bc69434051p-2, -0x1.6235cf4f4b6cbp-2, -0x1.5fa94555d7a97p-2, -0x1.5d17101639cdbp-2, -0x1.5a7f738b560a8p-2, -0x1.57e2b2e83e01fp-2, -0x1.55411094f743cp-2, -0x1.529ace2b70683p-2, -0x1.4ff02c749f127p-2, -0x1.4d416b65c5877p-2, -0x1.4a8eca1de9166p-2, -0x1.47d886e36b403p-2, -0x1.451edf21cdf86p-2, -0x1.42620f67a05c5p-2, -0x1.3fa25364921e7p-2, -0x1.3cdfe5e7ac53ap-2, -0x1.3a1b00ddb4e9fp-2, -0x1.3753dd4fb158ep-2, -0x1.348ab361946bbp-2, -0x1.31bfba5109f3fp-2, -0x1.2ef328746cb49p-2, -0x1.2c253339d8726p-2, -0x1.29560f26640b2p-2, -0x1.2685efd578925p-2, -0x1.23b507f84c0eep-2, -0x1.20e3895579afdp-2, -0x1.1e11a4c8be115p-2, -0x1.1b3f8a42ca609p-2, -0x1.186d68c93d524p-2, -0x1.159b6e76b67ccp-2, -0x1.12c9c87b01e24p-2, -0x1.0ff8a31b686cep-2, -0x1.0d2829b31191bp-2, -0x1.0a5886b386d1p-2, -0x1.0789e3a54da5p-2, -0x1.04bc692899a08p-2, -0x1.01f03ef61a433p-2, -0x1.fe4b17bfb68d3p-3, -0x1.f8b8eba483e39p-3, -0x1.f32a43aa37286p-3, -0x1.ed9f6819831bp-3, -0x1.e8189f76af718p-3, -0x1.e2962e8430123p-3, -0x1.dd1858456929cp-3, -0x1.d79f5e019d79bp-3, -0x1.d22b7f46f628ep-3, -0x1.ccbcf9edb770dp-3, -0x1.c7540a1b908eep-3, -0x1.c1f0ea470ee52p-3, -0x1.bc93d33b2f03p-3, -0x1.b73cfc1b0c77bp-3, -0x1.b1ec9a65a963fp-3, -0x1.aca2e1f9d93b1p-3, -0x1.a760051a43447p-3, -0x1.a2243471732fp-3, -0x1.9cef9f16121bap-3, -0x1.97c2728f2b16ap-3, -0x1.929cdad8866ffp-3, -0x1.8d7f02671db48p-3, -0x1.8869122d99547p-3, -0x1.835b31a0edf39p-3, -0x1.7e5586bcfd3f3p-3, -0x1.795836094cc0cp-3, -0x1.7463629dcd675p-3, -0x1.6f772e27aafb9p-3, -0x1.6a93b8ee2e0c6p-3, -0x1.65b921d7a322ep-3, -0x1.60e7866e56315p-3, -0x1.5c1f02e58b5e8p-3, -0x1.575fb21e8ced9p-3, -0x1.52a9adadba06cp-3, -0x1.4dfd0ddf9ba8fp-3, -0x1.4959e9be0428bp-3, -0x1.44c0571534d8p-3, -0x1.40306a7900291p-3, -0x1.3baa3749f9032p-3, -0x1.372dcfba9f735p-3, -0x1.32bb44d491c38p-3, -0x1.2e52a67dbd91ap-3, -0x1.29f4037d9389cp-3, -0x1.259f6982379c4p-3, -0x1.2154e525b83cbp-3, -0x1.1d1481f3378e4p-3, -0x1.18de4a6c1fff8p-3, -0x1.14b2480d4d76bp-3, -0x1.10908354375f3p-3, -0x1.0c7903c413ad9p-3, -0x1.086bcfeaf9e3cp-3, -0x1.0468ed66fc682p-3, -0x1.007060eb40fb4p-3, -0x1.f9045c8a1b7d6p-4, -0x1.f13cb0c1aab48p-4, -0x1.e989c29e74ab2p-4, -0x1.e1eb94940c429p-4, -0x1.da6227723e7dcp-4, -0x1.d2ed7a6eeb77p-4, -0x1.cb8d8b2fc3307p-4, -0x1.c44255d3fededp-4, -0x1.bd0bd4fdf8c89p-4, -0x1.b5ea01dcbedcep-4, -0x1.aedcd43583de4p-4, -0x1.a7e4426d05ff6p-4, -0x1.a1004190d9592p-4, -0x1.9a30c560963cp-4, -0x1.9375c05707aep-4, -0x1.8ccf23b3227dfp-4, -0x1.863cdf8100902p-4, -0x1.7fbee2a2af7bdp-4, -0x1.79551ad8f1c99p-4, -0x1.72ff74cbe5fb8p-4, -0x1.6cbddc138cdd1p-4, -0x1.66903b403d868p-4, -0x1.60767be2f84e2p-4, -0x1.5a708695a3e8ap-4, -0x1.547e43032eeb7p-4, -0x1.4e9f97ef92b1bp-4, -0x1.48d46b3fbcc06p-4, -0x1.431ca20159bap-4, -0x1.3d7820728b63ap-4, -0x1.37e6ca0978234p-4, -0x1.3268817bc85e9p-4, -0x1.2cfd28c5fc9fap-4, -0x1.27a4a132af50ep-4, -0x1.225ecb61b5edcp-4, -0x1.1d2b874f28297p-4, -0x1.180ab45a44144p-4, -0x1.12fc314c39724p-4, -0x1.0dffdc5edb902p-4, -0x1.091593432c09cp-4, -0x1.043d3327d3cc3p-4, -0x1.feed317ee472cp-5, -0x1.f583408dbdd93p-5, -0x1.ec3c4b1679c1ep-5, -0x1.e31807dffda0bp-5, -0x1.da162ce9944bfp-5, -0x1.d1366f7670ad4p-5, -0x1.c878841901a73p-5, -0x1.bfdc1ebe064b5p-5, -0x1.b760f2b775bb6p-5, -0x1.af06b2c71e361p-5, -0x1.a6cd11290bd77p-5, -0x1.9eb3bf9dcc2aep-5, -0x1.96ba6f745c3dp-5, -0x1.8ee0d193f86bbp-5, -0x1.87269685a68bep-5, -0x1.7f8b6e7d8e73p-5, -0x1.780f09641b9d5p-5, -0x1.70b116dee4c66p-5, -0x1.6971465967869p-5, -0x1.624f470d876bep-5, -0x1.5b4ac80bd2515p-5, -0x1.54637843a781bp-5, -0x1.4d99068b0ea24p-5, -0x1.46eb21a67277dp-5, -0x1.4059785016b55p-5, -0x1.39e3b93f71feep-5, -0x1.3389933039773p-5, -0x1.2d4ab4e95b689p-5, -0x1.2726cd43abd2fp-5, -0x1.211d8b3076effp-5, -0x1.1b2e9dbfd94f6p-5, -0x1.1559b426f1998p-5, -0x1.0f9e7dc5d519p-5, -0x1.09fcaa2d69e1dp-5, -0x1.0473e9250905dp-5, -0x1.fe07d55fe6197p-6, -0x1.f358be2541c58p-6, -0x1.e8d9edafbe97cp-6, -0x1.de8ac5aba6f18p-6, -0x1.d46aa86565cffp-6, -0x1.ca78f8d2fe4bbp-6, -0x1.c0b51a9cd9823p-6, -0x1.b71e72268c0d3p-6, -0x1.adb464972541ep-6, -0x1.a47657e136a97p-6, -0x1.9b63b2ca9cd92p-6, -0x1.927bdcf3e7e1dp-6, -0x1.89be3edf8ef9bp-6, -0x1.812a41f8e8551p-6, -0x1.78bf509aa038fp-6, -0x1.707cd61524175p-6, -0x1.68623eb4c698ep-6, -0x1.606ef7c767cd5p-6, -0x1.58a26fa22a063p-6, -0x1.50fc15a6afc56p-6, -0x1.497b5a482214bp-6, -0x1.421faf101028bp-6, -0x1.3ae886a2f7c26p-6, -0x1.33d554c4a13b9p-6, -0x1.2ce58e5c44afdp-6, -0x1.2618a97858981p-6, -0x1.1f6e1d5258a86p-6, -0x1.18e562522c461p-6, -0x1.127df2116211p-6, -0x1.0c37475e44b9p-6, -0x1.0610de3eb56b6p-6, -0x1.000a33f2c582fp-6, -0x1.f4458dee611c2p-7, -0x1.e8b42e0f5b078p-7, -0x1.dd5f4a41dcb0ep-7, -0x1.d245e7053f257p-7, -0x1.c7670b6222a46p-7, -0x1.bcc1c0eda5efbp-7, -0x1.b25513cc32a64p-7, -0x1.a82012b3f6961p-7, -0x1.9e21ceeee4047p-7, -0x1.94595c5cfb263p-7, -0x1.8ac5d175433a9p-7, -0x1.816647478ce71p-7, -0x1.7839d97d3a10fp-7, -0x1.6f3fa659da147p-7, -0x1.6676cebbdb19cp-7, -0x1.5dde761c7d6ap-7, -0x1.5575c28ff5364p-7, -0x1.4d3bdcc4f2f72p-7, -0x1.452ff00419a48p-7, -0x1.3d512a2f5dfcbp-7, -0x1.359ebbc0e78dap-7, -0x1.2e17d7c9b6362p-7, -0x1.26bbb3f08647cp-7, -0x1.1f89886fe5362p-7, -0x1.188090148cc91p-7, -0x1.11a0083b304d2p-7, -0x1.0ae730ce89f21p-7, -0x1.04554c44a6809p-7, -0x1.fbd33f394ae9cp-8, -0x1.ef46e4b79f4c3p-8, -0x1.e3041d1599803p-8, -0x1.d7098165242d4p-8, -0x1.cb55afb278291p-8, -0x1.bfe74afd8355bp-8, -0x1.b4bcfb32bbb9bp-8, -0x1.a9d56d2467201p-8, -0x1.9f2f5282b7831p-8, -0x1.94c961d499ebap-8, -0x1.8aa2566f2cc9ep-8, -0x1.80b8f06e3af35p-8, -0x1.770bf4abcc714p-8, -0x1.6d9a2cb7310b3p-8, -0x1.646266ccbb961p-8, -0x1.5b6375ccb71a3p-8, -0x1.529c3132449d2p-8, -0x1.4a0b750a1d9dap-8, -0x1.41b021e9409bp-8, -0x1.39891ce32d05cp-8, -0x1.31954f80a13a5p-8, -0x1.29d3a7b53498cp-8, -0x1.224317d5cce0dp-8, -0x1.1ae2968e98d4dp-8, -0x1.13b11ed85af12p-8, -0x1.0cadafeee198ap-8, -0x1.05d74d4612bf1p-8, -0x1.fe59fcff79c71p-9, -0x1.f15b9ec2095d6p-9, -0x1.e4b19f8f32dadp-9, -0x1.d85a273e930ddp-9, -0x1.cc5365ae59aa5p-9, -0x1.c09b92ad636eep-9, -0x1.b530ede60d7f7p-9, -0x1.aa11bec814fe5p-9, -0x1.9f3c5472a94fap-9, -0x1.94af059e899edp-9, -0x1.8a68308871347p-9, -0x1.80663adab9b2dp-9, -0x1.76a791970ec59p-9, -0x1.6d2aa900e6da8p-9, -0x1.63edfc86ca2acp-9, -0x1.5af00ead28e6dp-9, -0x1.522f68f6bed15p-9, -0x1.49aa9bd063eddp-9, -0x1.41603e7941f2ep-9, -0x1.394eeeedc57a9p-9, -0x1.317551d1872dbp-9, -0x1.29d21258f160ep-9, -0x1.2263e23395e5ap-9, -0x1.1b29797666959p-9, -0x1.14219685b471ep-9, -0x1.0d4afdffb1edap-9, -0x1.06a47aa6b47a9p-9, -0x1.002cdd4b881a3p-9, -0x1.f3c5f970f9683p-10, -0x1.e78b6b3612e5ap-10, -0x1.dba7d4df3f66p-10, -0x1.d01906d798f39p-10, -0x1.c4dcdcd31f153p-10, -0x1.b9f13da3c344ap-10, -0x1.af541b117e438p-10, -0x1.a50371af5ed1fp-10, -0x1.9afd48b33e2fdp-10, -0x1.913fb1cc8caebp-10, -0x1.87c8c8fc30fbfp-10, -0x1.7e96b46ba9237p-10, -0x1.75a7a44559511p-10, -0x1.6cf9d28ce032p-10, -0x1.648b82f74ab0dp-10, -0x1.5c5b02c5046bp-10, -0x1.5466a8998f93ap-10, -0x1.4cacd456ab08ap-10, -0x1.452beef490305p-10, -0x1.3de26a5da4abap-10, -0x1.36cec147bb289p-10, -0x1.2fef770ff9ff2p-10, -0x1.2943179540bfbp-10, -0x1.22c83714591f6p-10, -0x1.1c7d720378402p-10, -0x1.16616ceed4f2p-10, -0x1.1072d454beb9fp-10, -0x1.0ab05c834c6c5p-10, -0x1.0518c174fbc61p-10, -0x1.ff558d5dda6edp-11, -0x1.f4ca6e3d244eep-11, -0x1.ea8dc9f0efb1ep-11, -0x1.e09d532d17c02p-11, -0x1.d6f6cab0b8c05p-11, -0x1.cd97ff021995bp-11, -0x1.c47ecc31989a6p-11, -0x1.bba91b97cd055p-11, -0x1.b314e39864013p-11, -0x1.aac02763ed4bfp-11, -0x1.a2a8f6b9f0584p-11, -0x1.9acd6dad16359p-11, -0x1.932bb467cbb77p-11, -0x1.8bc1fef0982ccp-11, -0x1.848e8cf0762dbp-11, -0x1.7d8fa97914515p-11, -0x1.76c3aacc652dbp-11, -0x1.7028f2243700dp-11, -0x1.69bdeb7bd83ddp-11, -0x1.63810d589cffdp-11, -0x1.5d70d894a565ep-11, -0x1.578bd82a5118dp-11, -0x1.51d0a0ff81f3fp-11, -0x1.4c3dd1b1c7f6dp-11, -0x1.46d21264864b9p-11, -0x1.418c148dabf56p-11, -0x1.3c6a92c58e239p-11, -0x1.376c509555f32p-11, -0x1.32901a4773e1p-11, -0x1.2dd4c4b8abe83p-11, -0x1.29392d2987a16p-11, -0x1.24bc390fb6991p-11, -0x1.205cd5ea4058cp-11, -0x1.1c19f9143b764p-11, -0x1.17f29f98f627dp-11, -0x1.13e5ce09c86f8p-11, -0x1.0ff29052afc11p-11, -0x1.0c17f99180ae3p-11, -0x1.085523ec0b09bp-11, -0x1.04a93068994bap-11, -0x1.011346c56fee2p-11, -0x1.fb252aa4761ebp-12, -0x1.f44ca19318942p-12, -0x1.ed9b68559b4bfp-12, -0x1.e710012b830c7p-12, -0x1.e0a8fa4aa8282p-12, -0x1.da64ed975ce41p-12, -0x1.d442805ed4539p-12, -0x1.ce40631152b5ap-12, -0x1.c85d50fdceab5p-12, -0x1.c298100f9d4b5p-12, -0x1.bcef708cba7cap-12, -0x1.b7624cd349ce6p-12, -0x1.b1ef891d1aa49p-12, -0x1.ac96133efc896p-12, -0x1.a754e26c44401p-12, -0x1.a22af6fb65d1p-12, -0x1.9d175a2ab29cep-12, -0x1.98191de6077a7p-12, -0x1.932f5c8e03febp-12, -0x1.8e5938c125014p-12, -0x1.8995dd241390cp-12, -0x1.84e47c2d3b5f9p-12, -0x1.80444feee6e3dp-12, -0x1.7bb499e4c8c3bp-12, -0x1.7734a2c0a4877p-12, -0x1.72c3ba390a44cp-12, -0x1.6e6136d893fep-12, -0x1.6a0c75ce904p-12, -0x1.65c4dabfb54dap-12, -0x1.6189cf99d08ecp-12, -0x1.5d5ac4652c13cp-12, -0x1.59372f1995a45p-12, -0x1.551e8b72fa2afp-12, -0x1.51105ac7a4dd8p-12, -0x1.4d0c23ded469dp-12, -0x1.491172c8abd01p-12, -0x1.451fd8b602d07p-12, -0x1.4136ebd19a212p-12, -0x1.3d56471b52679p-12, -0x1.397d8a41e870ep-12, -0x1.35ac597f6bec6p-12, -0x1.31e25d759e479p-12, -0x1.2e1f430b244f3p-12, -0x1.2a62bb49d3fd2p-12, -0x1.26ac7b3ccae1cp-12, -0x1.22fc3bd10c9e9p-12, -0x1.1f51b9b4b8306p-12, -0x1.1bacb538ec79ap-12, -0x1.180cf2333e026p-12, -0x1.147237dfd6f56p-12, -0x1.10dc50c4d42a2p-12, -0x1.0d4b0a95ca448p-12, -0x1.09be361890e35p-12, -0x1.0635a709c0596p-12, -0x1.02b13403051f9p-12, -0x1.fe616cc265c0ep-13, -0x1.f76814566213ep-13, -0x1.f0761bf2ec45bp-13, -0x1.e98b45bcca68fp-13, -0x1.e2a7589d7c3e4p-13, -0x1.dbca201669d5p-13, -0x1.d4f36c142349fp-13, -0x1.ce2310c49d3b7p-13, -0x1.c758e66b4265dp-13, -0x1.c094c9390644bp-13, -0x1.b9d69924ca924p-13, -0x1.b31e39c2e8192p-13, -0x1.ac6b92211637dp-13, -0x1.a5be8ca0c192ep-13, -0x1.9f1716d349297p-13, -0x1.98752156f5ddep-13, -0x1.91d89fb4f1cb8p-13, -0x1.8b41883fbf83cp-13, -0x1.84afd3f45c0ap-13, -0x1.7e237e5947fb7p-13, -0x1.779c856124beep-13, -0x1.711ae94cb6c82p-13, -0x1.6a9eac8f33206p-13, -0x1.6427d3b02c0bbp-13, -0x1.5db665321feddp-13, -0x1.574a6977ab9b3p-13, -0x1.50e3eaa983b89p-13, -0x1.4a82f49deb1c4p-13, -0x1.442794c198ad9p-13, -0x1.3dd1d9fe4649fp-13, -0x1.3781d4a61b8e6p-13, -0x1.3137965c02b34p-13, -0x1.2af331ff5a7dfp-13, -0x1.24b4bb96d6551p-13, -0x1.1e7c483cba019p-13, -0x1.1849ee0b5d7fp-13, -0x1.121dc40ade898p-13, -0x1.0bf7e21e49429p-13, -0x1.05d860f2a9071p-13, -0x1.ff7eb3da71fb2p-14, -0x1.f359ce37b1692p-14, -0x1.e74246499b062p-14, -0x1.db38526f19711p-14, -0x1.cf3c29fb7b4a7p-14, -0x1.c34e051bff978p-14, -0x1.b76e1cb923e0dp-14, -0x1.ab9caa5db77f2p-14, -0x1.9fd9e81ce72cfp-14, -0x1.9426107b27674p-14, -0x1.88815e52cb751p-14, -0x1.7cec0cc1f7dp-14, -0x1.71665712212a6p-14, -0x1.65f078a1d82c5p-14, -0x1.5a8aacd2ac2f1p-14, -0x1.4f352ef53d9p-14, -0x1.43f03a351f02fp-14, -0x1.38bc0988b75fbp-14, -0x1.2d98d79f4f6b9p-14, -0x1.2286ded09fb4ap-14, -0x1.1786590e33565p-14, -0x1.0c977fd2c4a6ap-14, -0x1.01ba8c14a0818p-14, -0x1.eddf6c6ef8554p-15, -0x1.d86e6c0271868p-15, -0x1.c3228516af6dbp-15, -0x1.adfc246f8b27bp-15, -0x1.98fbb54c60a59p-15, -0x1.8421a15355cb7p-15, -0x1.6f6e507d750c3p-15, -0x1.5ae228fe1b255p-15, -0x1.467d8f380699cp-15, -0x1.3240e5a89f2d3p-15, -0x1.1e2c8cd965a13p-15, -0x1.0a40e34f69f72p-15, -0x1.ecfc8b0034221p-16, -0x1.c5ca1b83c0efap-16, -0x1.9eeb287da9811p-16, -0x1.78605dd777038p-16, -0x1.522a62faf1c6ap-16, -0x1.2c49dab9ac267p-16, -0x1.06bf633c5a2d9p-16, -0x1.c3172bea3a31dp-17, -0x1.795e0f28751b9p-17, -0x1.30548fe4bbdf5p-17, -0x1.cff7882028296p-18, -0x1.40a96f807d41p-18, -0x1.6581b49a3aa72p-19, -0x1.31fdc7ada568bp-21, 0x1.936060cdac718p-20, 0x1.dd09a1e21603bp-19, 0x1.76c4bd5a4bde4p-18, 0x1.fd963db9bd752p-18, 0x1.417be35c32ac3p-17, 0x1.8373f0aeff4d5p-17, 0x1.c4b2958ab3477p-17, 0x1.029b9568f5b8fp-16, 0x1.228089c8b7e6cp-16, 0x1.4207de813fc16p-16, 0x1.61314f40db44ap-16, 0x1.7ffc9cc26256p-16, 0x1.9e698cca1b40dp-16, 0x1.bc77ea212efbp-16, 0x1.da27848ed6784p-16, 0x1.f77830d3de10dp-16, 0x1.0a34e44fe128bp-15, 0x1.187e1546eefb7p-15, 0x1.26979d0c25a9cp-15, 0x1.34816fc68e9c9p-15, 0x1.423b8406a2f97p-15, 0x1.4fc5d2bd31a72p-15, 0x1.5d2057387d6ecp-15, 0x1.6a4b0f1e3a31ep-15, 0x1.7745fa6443b45p-15, 0x1.84111b4cbc4bdp-15, 0x1.90ac765e4366ep-15, 0x1.9d18125fe5661p-15, 0x1.a953f84ef6a75p-15, 0x1.b560335a9feeap-15, 0x1.c13cd0dd4fd13p-15, 0x1.cce9e0569d9e3p-15, 0x1.d86773607f0abp-15, 0x1.e3b59dabfb51dp-15, 0x1.eed474f65f6fap-15, 0x1.f9c41103ee672p-15, 0x1.024245cba8d06p-14, 0x1.078b00352abbep-14, 0x1.0cbc4692d7da6p-14, 0x1.11d628acb1328p-14, 0x1.16d8b739c1fbep-14, 0x1.1bc403dd7b8a5p-14, 0x1.2098212212e48p-14, 0x1.255522759e5abp-14, 0x1.29fb1c2558fa3p-14, 0x1.2e8a2358ce959p-14, 0x1.33024e0f162e6p-14, 0x1.3763b31a23199p-14, 0x1.3bae6a1a8bf3fp-14, 0x1.3fe28b7af3ea4p-14, 0x1.4400306c22061p-14, 0x1.480772e0b5385p-14, 0x1.4bf86d898720cp-14, 0x1.4fd33bd0b694dp-14, 0x1.5397f9d53caddp-14, 0x1.5746c46770881p-14, 0x1.5adfb90463084p-14, 0x1.5e62f5d22417ep-14, 0x1.61d0999ae3826p-14, 0x1.6528c3c987fadp-14, 0x1.686b94650a568p-14, 0x1.6b992c0c3a86dp-14, 0x1.6eb1abf1b507bp-14, 0x1.71b535d7e2c19p-14, 0x1.74a3ec0cee4ap-14, 0x1.777df166f1e32p-14, 0x1.7a43693efa154p-14, 0x1.7cf4776df698cp-14, 0x1.7f914048ca6e1p-14, 0x1.8219e89b82b55p-14, 0x1.848e95a61f6bcp-14, 0x1.86ef6d181c68dp-14, 0x1.893c950d1ba9ep-14, 0x1.8b763408b34dep-14, 0x1.8d9c70f2d6d9p-14, 0x1.8faf73144ba43p-14, 0x1.91af6212764e1p-14, 0x1.939c65eb72c01p-14, 0x1.9576a6f31a5a6p-14, 0x1.973e4dcf43f72p-14, 0x1.98f38373a020ep-14, 0x1.9a96711eadc55p-14, 0x1.9c27405606a62p-14, 0x1.9da61ae306f1ep-14, 0x1.9f132acf34022p-14, 0x1.a06e9a611354dp-14, 0x1.a1b89418b0184p-14, 0x1.a2f142ac5c86ep-14, 0x1.a418d105535fp-14, 0x1.a52f6a3ca47aap-14, 0x1.a6353997d58f4p-14, 0x1.a72a6a8610294p-14, 0x1.a80f289ca1a31p-14, 0x1.a8e39f9443c9ap-14, 0x1.a9a7fb463c12dp-14, 0x1.aa5c67a8af434p-14, 0x1.ab0110cc8a674p-14, 0x1.ab9622da939f8p-14, 0x1.ac1bca1005d5dp-14, 0x1.ac9232bc26d86p-14, 0x1.acf9893d52bedp-14, 0x1.ad51f9fec0dbap-14, 0x1.ad9bb175694d5p-14, 0x1.add6dc1dbd532p-14, 0x1.ae03a678e6f0ap-14, 0x1.ae223d0a7840fp-14, 0x1.ae32cc55df57fp-14, 0x1.ae3580dbcf53fp-14, 0x1.ae2a871801b53p-14, 0x1.ae120b7f00b6bp-14, 0x1.adec3a7b85915p-14, 0x1.adb9406ca41bdp-14, 0x1.ad7949a35f19p-14, 0x1.ad2c826094cadp-14, 0x1.acd316d2db4f5p-14, 0x1.ac6d33144cc69p-14, 0x1.abfb0328dc621p-14, 0x1.ab7cb2fc15ee7p-14, 0x1.aaf26e5f04ff8p-14, 0x1.aa5c6106ac394p-14, 0x1.a9bab689f0162p-14, 0x1.a90d9a5ffdf9ap-14, 0x1.a85537de51fcp-14, 0x1.a791ba37012a5p-14, 0x1.a6c34c7713fcfp-14, 0x1.a5ea1984e4685p-14, 0x1.a5064c1e86bd3p-14, 0x1.a4180ed820846p-14, 0x1.a31f8c1a81784p-14, 0x1.a21cee215b087p-14, 0x1.a1105efa5968p-14, 0x1.9ffa08833bb9p-14, 0x1.9eda146878bb2p-14, 0x1.9db0ac243ca68p-14, 0x1.9c7df8fcdc7dfp-14, 0x1.9b4224039ec57p-14, 0x1.99fd561382c6ep-14, 0x1.98afb7d042edep-14, 0x1.975971a4d2bb1p-14, 0x1.95faabc274c2ap-14, 0x1.94938e1f57f7ap-14, 0x1.93244075f166ep-14, 0x1.91acea440a758p-14, 0x1.902db2c93c4f3p-14, 0x1.8ea6c1065c5c6p-14, 0x1.8d183bbcb1c6fp-14, 0x1.8b82496ca7abap-14, 0x1.89e5105520e25p-14, 0x1.8840b672f5636p-14, 0x1.8695617f91bcfp-14, 0x1.84e336f0c6f99p-14, 0x1.832a5bf790d0ep-14, 0x1.816af57fa2e71p-14, 0x1.7fa5282ee09c6p-14, 0x1.7dd91864434e9p-14, 0x1.7c06ea37f0813p-14, 0x1.7a2ec17a0bf1ap-14, 0x1.7850c1b25c703p-14, 0x1.766d0e1fa2e65p-14, 0x1.7483c9b73208ep-14, 0x1.72951724765eap-14, 0x1.70a118c8af45dp-14, 0x1.6ea7f0ba37636p-14, 0x1.6ca9c0c42c8b9p-14, 0x1.6aa6aa660caddp-14, 0x1.689eced36cb15p-14, 0x1.66924ef3ddcbap-14, 0x1.64814b6240627p-14, 0x1.626be46c8589p-14, 0x1.60523a1393cc8p-14, 0x1.5e346c0af7663p-14, 0x1.5c1299b8c98d8p-14, 0x1.59ece2353b601p-14, 0x1.57c3644a78e0dp-14, 0x1.55963e74e1b6fp-14, 0x1.53658ee25989dp-14, 0x1.51317372b1918p-14, 0x1.4efa09b7041e2p-14, 0x1.4cbf6ef212a0dp-14, 0x1.4a81c017f77dp-14, 0x1.484119ce1e496p-14, 0x1.45fd986bb7a51p-14, 0x1.43b757f8dc003p-14, 0x1.416e742f371aep-14, 0x1.3f230879d3c7ap-14, 0x1.3cd52ff53bcdfp-14, 0x1.3a85056f884edp-14, 0x1.3832a36847d41p-14, 0x1.35de2410bf86ap-14, 0x1.3387a14c21f1ep-14, 0x1.312f34af86e8cp-14, 0x1.2ed4f7821dc7fp-14, 0x1.2c7902bcf3466p-14, 0x1.2a1b6f0be6fe9p-14, 0x1.27bc54cd45d47p-14, 0x1.255bcc11f6a2ap-14, 0x1.22f9ec9dd957dp-14, 0x1.2096cde8143f3p-14, 0x1.1e32871b1d5e8p-14, 0x1.1bcd2f1513174p-14, 0x1.1966dc6815dd4p-14, 0x1.16ffa55a460cfp-14, 0x1.14979fe618968p-14, 0x1.122ee1bafabep-14, 0x1.0fc5803d23cf7p-14, 0x1.0d5b908643dbep-14, 0x1.0af127657a89dp-14, 0x1.0886595fef4dap-14, 0x1.061b3ab130e3bp-14, 0x1.03afdf4b38606p-14, 0x1.01445ad7228e1p-14, 0x1.fdb1816a5be46p-15, 0x1.f8da47fae6895p-15, 0x1.f4032f004ac7p-15, 0x1.ef2c5b8b4cccbp-15, 0x1.ea55f21f02994p-15, 0x1.e58016b092683p-15, 0x1.e0aaeca8ae142p-15, 0x1.dbd696e3ca364p-15, 0x1.d70337b3db776p-15, 0x1.d230f0e00d6c8p-15, 0x1.cd5fe3a63e55p-15, 0x1.c89030bbbdb27p-15, 0x1.c3c1f84ecf97bp-15, 0x1.bef55a06abf09p-15, 0x1.ba2a7504709ecp-15, 0x1.b56167e449fe7p-15, 0x1.b09a50bec75ebp-15, 0x1.abd54d294f618p-15, 0x1.a7127a36e7f12p-15, 0x1.a251f479a2244p-15, 0x1.9d93d803179f6p-15, 0x1.98d84065a1263p-15, 0x1.941f48b56ee98p-15, 0x1.8f690b892091cp-15, 0x1.8ab5a2fb1679fp-15, 0x1.860528aa4d19dp-15, 0x1.8157b5bb07144p-15, }}, 
      {{0x1.fff434a647658p-1, 0x1.ffd0e58807e4bp-1, 0x1.ff964a7d7d36bp-1, 0x1.ff44bdc698a26p-1, 0x1.fedcb895bc11p-1, 0x1.fe5ecf1b0159fp-1, 0x1.fdcbac608cd05p-1, 0x1.fd240e2ebec7bp-1, 0x1.fc68c11c89e11p-1, 0x1.fb9a9ce2f1861p-1, 0x1.faba8101126fep-1, 0x1.f9c951b74ef2cp-1, 0x1.f8c7f55b5daedp-1, 0x1.f7b75203a8011p-1, 0x1.f6984b8628805p-1, 0x1.f56bc1c58cc66p-1, 0x1.f4328f4683a43p-1, 0x1.f2ed8806c560cp-1, 0x1.f19d788f40e82p-1, 0x1.f043253b009a3p-1, 0x1.eedf49ac9e771p-1, 0x1.ed72986c7d148p-1, 0x1.ebfdbaaa6616fp-1, 0x1.ea81501da651dp-1, 0x1.e8fdeeff2dde4p-1, 0x1.e7742419b411bp-1, 0x1.e5e472ec469a9p-1, 0x1.e44f55dc161dep-1, 0x1.e2b53e72af0fep-1, 0x1.e11695a626561p-1, 0x1.df73bc2914621p-1, 0x1.ddcd0ac07972ap-1, 0x1.dc22d29deea94p-1, 0x1.da755dbcbed57p-1, 0x1.d8c4ef40afcc5p-1, 0x1.d711c3d57b3b8p-1, 0x1.d55c120e19f71p-1, 0x1.d3a40ac325154p-1, 0x1.d1e9d96fb5c56p-1, 0x1.d02da48c43e64p-1, 0x1.ce6f8de719961p-1, 0x1.ccafb2fa0de38p-1, 0x1.caee2d3d42acep-1, 0x1.c92b1276b46b6p-1, 0x1.c76675067c3f6p-1, 0x1.c5a0642faabc1p-1, 0x1.c3d8ec5dac7ebp-1, 0x1.c210176636cep-1, 0x1.c045ecc7bcebbp-1, 0x1.be7a71e478354p-1, 0x1.bcadaa3a0cf8fp-1, 0x1.badf9795e5498p-1, 0x1.b9103a464f024p-1, 0x1.b73f91487cdd6p-1, 0x1.b56d9a737f822p-1, 0x1.b39a52a0566c1p-1, 0x1.b1c5b5cf34d21p-1, 0x1.afefbf4a191dbp-1, 0x1.ae1869c4d5bcap-1, 0x1.ac3faf7aaabdcp-1, 0x1.aa658a498db22p-1, 0x1.a889f3cb42c7dp-1, 0x1.a6ace56c5e6fp-1, 0x1.a4ce58815409ap-1, 0x1.a2ee4659ab276p-1, 0x1.a10ca85176cc2p-1, 0x1.9f2977e12bff1p-1, 0x1.9d44aeabf0b44p-1, 0x1.9b5e468c7ccb9p-1, 0x1.997639a0a4039p-1, 0x1.978c8253a1486p-1, 0x1.95a11b67380b7p-1, 0x1.93b3fffbc40bep-1, 0x1.91c52b974489cp-1, 0x1.8fd49a2b7cd5dp-1, 0x1.8de2481b37e1ap-1, 0x1.8bee323ec10f3p-1, 0x1.89f855e79faa8p-1, 0x1.8800b0e3a8d84p-1, 0x1.8607417f70539p-1, 0x1.840c068826f02p-1, 0x1.820eff4cf6445p-1, 0x1.80102b9fdfa4bp-1, 0x1.7e0f8bd62ba13p-1, 0x1.7c0d20c8753c9p-1, 0x1.7a08ebd257754p-1, 0x1.7802eed1c6ceap-1, 0x1.75fb2c261efb6p-1, 0x1.73f1a6aeec5d7p-1, 0x1.71e661ca76d92p-1, 0x1.6fd9615414954p-1, 0x1.6dcaa9a24d039p-1, 0x1.6bba3f84ccd96p-1, 0x1.69a8284234df2p-1, 0x1.67946995c324fp-1, 0x1.657f09ace12afp-1, 0x1.63680f249378ep-1, 0x1.614f8106d3a8bp-1, 0x1.5f3566c7d635ap-1, 0x1.5d19c8433f24fp-1, 0x1.5afcadb947496p-1, 0x1.58de1fcbd617cp-1, 0x1.56be277b92e7cp-1, 0x1.549cce24eb6e5p-1, 0x1.527a1d7d1875bp-1, 0x1.50561f8f19cap-1, 0x1.4e30deb8b457fp-1, 0x1.4c0a65a76acd2p-1, 0x1.49e2bf5579138p-1, 0x1.47b9f706cfcd2p-1, 0x1.4590184612734p-1, 0x1.43652ee198194p-1, 0x1.413946e8705dp-1, 0x1.3f0c6ca76d65ep-1, 0x1.3cdeaca633d3dp-1, 0x1.3ab013a44dfb4p-1, 0x1.3880ae9649e6ap-1, 0x1.36508aa2da34ap-1, 0x1.341fb520022cap-1, 0x1.31ee3b904639fp-1, 0x1.2fbc2b9fe6bc3p-1, 0x1.2d89932223dbfp-1, 0x1.2b56800e8787fp-1, 0x1.2923007e3b8a4p-1, 0x1.26ef22a965c5bp-1, 0x1.24baf4e491347p-1, 0x1.2286859e1d473p-1, 0x1.2051e35bb9242p-1, 0x1.1e1d1cb7e822bp-1, 0x1.1be8405f8f127p-1, 0x1.19b35d0f8e0b6p-1, 0x1.177e8192617fdp-1, 0x1.1549bcbdcfd6bp-1, 0x1.13151d709f9a1p-1, 0x1.10e0b2905984fp-1, 0x1.0eac8b071324fp-1, 0x1.0c78b5c145942p-1, 0x1.0a4541abad36cp-1, 0x1.08123db13520dp-1, 0x1.05dfb8b8eb7fdp-1, 0x1.03adc1a40254dp-1, 0x1.017c674bd96adp-1, 0x1.fe97710024d64p-2, 0x1.fa37880962f4p-2, 0x1.f5d931208a9b9p-2, 0x1.f17c89943a40bp-2, 0x1.ed21ae910ca5ep-2, 0x1.e8c8bd1e2d35cp-2, 0x1.e471d219fdf3ep-2, 0x1.e01d0a36d59e6p-2, 0x1.dbca81f7d0b86p-2, 0x1.d77a55adb7b16p-2, 0x1.d32ca173fb099p-2, 0x1.cee1812dc25fep-2, 0x1.ca99108313b05p-2, 0x1.c6536ade0ad85p-2, 0x1.c210ab68294b3p-2, 0x1.bdd0ed07b9919p-2, 0x1.b9944a5d4692fp-2, 0x1.b55addc1286c9p-2, 0x1.b124c14124313p-2, 0x1.acf20e9e22f8cp-2, 0x1.a8c2df49f9a5cp-2, 0x1.a4974c6546a8ep-2, 0x1.a06f6ebd6631ep-2, 0x1.9c4b5eca7392ep-2, 0x1.982b34ad6739bp-2, 0x1.940f082e42bc1p-2, 0x1.8ff6f0ba503ddp-2, 0x1.8be3056279971p-2, 0x1.87d35cd9aedecp-2, 0x1.83c80d7362827p-2, 0x1.7fc12d221766p-2, 0x1.7bbed17601ecep-2, 0x1.77c10f9bbd3e6p-2, 0x1.73c7fc5b105f5p-2, 0x1.6fd3ac15c948fp-2, 0x1.6be432c6a846p-2, 0x1.67f9a4005b954p-2, 0x1.641412ec91eb2p-2, 0x1.6033924b1a24ap-2, 0x1.5c58347115734p-2, 0x1.58820b483d539p-2, 0x1.54b1284e37965p-2, 0x1.50e59c93fc018p-2, 0x1.4d1f78bd4cda8p-2, 0x1.495ecd003bc11p-2, 0x1.45a3a924c2548p-2, 0x1.41ee1c846a3dep-2, 0x1.3e3e360a0119bp-2, 0x1.3a940431625f6p-2, 0x1.36ef95074a856p-2, 0x1.3350f6293bbc3p-2, 0x1.2fb834c573609p-2, 0x1.2c255d9ae6766p-2, 0x1.28987cf95735fp-2, 0x1.25119ec16e1d6p-2, 0x1.2190ce64e65c6p-2, 0x1.1e1616e6c61f8p-2, 0x1.1aa182dba47e4p-2, 0x1.17331c69fa677p-2, 0x1.13caed4a804eep-2, 0x1.1068fec89bb06p-2, 0x1.0d0d59c2d1d9ap-2, 0x1.09b806ab4bdb5p-2, 0x1.06690d886345cp-2, 0x1.032075f539e4bp-2, 0x1.ffbc8e44bab4cp-3, 0x1.f9450face46b1p-3, 0x1.f2da7cdddcd67p-3, 0x1.ec7ce1c1ac07fp-3, 0x1.e62c497312c14p-3, 0x1.dfe8be3f2b63ap-3, 0x1.d9b249a727e67p-3, 0x1.d388f46215f59p-3, 0x1.cd6cc65ebd734p-3, 0x1.c75dc6c589886p-3, 0x1.c15bfbfa81896p-3, 0x1.bb676b9f52929p-3, 0x1.b5801a9564928p-3, 0x1.afa60cfffd689p-3, 0x1.a9d94646775c7p-3, 0x1.a419c91675d3dp-3, 0x1.9e67976637f04p-3, 0x1.98c2b276e5042p-3, 0x1.932b1ad6f36bfp-3, 0x1.8da0d064893e6p-3, 0x1.8823d24ffa044p-3, 0x1.82b41f1e3ac2cp-3, 0x1.7d51b4ab695ffp-3, 0x1.77fc902d594e6p-3, 0x1.72b4ae362ac6ap-3, 0x1.6d7a0ab6e12p-3, 0x1.684ca10208fe7p-3, 0x1.632c6bce5cbd7p-3, 0x1.5e196539744b3p-3, 0x1.591386ca76c5ap-3, 0x1.541ac974d07d7p-3, 0x1.4f2f259aee3fep-3, 0x1.4a509310fde86p-3, 0x1.457f091fad2fp-3, 0x1.40ba7e86edbe8p-3, 0x1.3c02e980bf727p-3, 0x1.37583fc3f38bcp-3, 0x1.32ba7686fdf89p-3, 0x1.2e298282b6c67p-3, 0x1.29a557f52d2c3p-3, 0x1.252deaa472a98p-3, 0x1.20c32de15f1c6p-3, 0x1.1c65148a67504p-3, 0x1.1813910e5e703p-3, 0x1.13ce956f3f63ap-3, 0x1.0f961344f9b05p-3, 0x1.0b69fbc0320b7p-3, 0x1.074a3fad0750ap-3, 0x1.0336cf75cf8e6p-3, 0x1.fe5f364bb8382p-4, 0x1.f66924d85d773p-4, 0x1.ee8b493c6642bp-4, 0x1.e6c58174dd9d3p-4, 0x1.df17aad668e2cp-4, 0x1.d781a212996aep-4, 0x1.d003433d38e47p-4, 0x1.c89c69d18b23p-4, 0x1.c14cf0b78aa4ep-4, 0x1.ba14b24915449p-4, 0x1.b2f388570e5b4p-4, 0x1.abe94c2e79da7p-4, 0x1.a4f5d69d8086ep-4, 0x1.9e18fff880839p-4, 0x1.9752a01eeb8cdp-4, 0x1.90a28e8041b36p-4, 0x1.8a08a220dd785p-4, 0x1.8384b19ec58aap-4, 0x1.7d16933669959p-4, 0x1.76be1cc751dcbp-4, 0x1.707b23d8c2e27p-4, 0x1.6a4d7d9e4bc42p-4, 0x1.6434fefc50e58p-4, 0x1.5e317c8c7a1b4p-4, 0x1.5842caa21ccacp-4, 0x1.5268bd4e8f2a1p-4, 0x1.4ca3286571a71p-4, 0x1.46f1df80e033ap-4, 0x1.4154b6059fb39p-4, 0x1.3bcb7f272bc02p-4, 0x1.36560debc38ap-4, 0x1.30f435305ac2ap-4, 0x1.2ba5c7ac80acp-4, 0x1.266a97f631576p-4, 0x1.214278859d0a1p-4, 0x1.1c2d3bb8d7b5dp-4, 0x1.172ab3d77c204p-4, 0x1.123ab3163939bp-4, 0x1.0d5d0b9a583ep-4, 0x1.08918f7d24c01p-4, 0x1.03d810cf4dd88p-4, 0x1.fe60c3386ac6dp-5, 0x1.f534a7da484bap-5, 0x1.ec2b7398f9cb1p-5, 0x1.e344ca919fac6p-5, 0x1.da8050efce53fp-5, 0x1.d1ddaaf37bfdcp-5, 0x1.c95c7cf6ceed7p-5, 0x1.c0fc6b73c4eacp-5, 0x1.b8bd1b09c925dp-5, 0x1.b09e30830fb3ep-5, 0x1.a89f50d9ee958p-5, 0x1.a0c0213df497p-5, 0x1.99004718fb443p-5, 0x1.915f6814084ep-5, 0x1.89dd2a1c1215fp-5, 0x1.82793366aa311p-5, 0x1.7b332a767b3a9p-5, 0x1.740ab61fb5102p-5, 0x1.6cff7d8c4e7a7p-5, 0x1.661128402e8f2p-5, 0x1.5f3f5e1d32e41p-5, 0x1.5889c767199bdp-5, 0x1.51f00cc74b6e8p-5, 0x1.4b71d7508cb7p-5, 0x1.450ed08281772p-5, 0x1.3ec6a24d2ff3ap-5, 0x1.3898f71442ecbp-5, 0x1.328579b24f5b8p-5, 0x1.2c8bd57be676ep-5, 0x1.26abb64299ffap-5, 0x1.20e4c857dec55p-5, 0x1.1b36b88fd0e97p-5, 0x1.15a13443e6e4ap-5, 0x1.1023e9557b61cp-5, 0x1.0abe86304ce4cp-5, 0x1.0570b9ccd9341p-5, 0x1.003a33b29daaap-5, 0x1.f63547f48b305p-6, 0x1.ec23769f84394p-6, 0x1.e23e55e86b5dfp-6, 0x1.d885497fc3804p-6, 0x1.cef7b647d9379p-6, 0x1.c59502582aaf4p-6, 0x1.bc5c95009abe6p-6, 0x1.b34dd6cc82384p-6, 0x1.aa68318584b8fp-6, 0x1.a1ab10364fa0dp-6, 0x1.9915df2d141a6p-6, 0x1.90a80bfdf7fa6p-6, 0x1.8861058535b2bp-6, 0x1.80403be93a299p-6, 0x1.7845209c83ef6p-6, 0x1.706f265f5d295p-6, 0x1.68bdc14181c7ap-6, 0x1.613066a3844a8p-6, 0x1.59c68d3824748p-6, 0x1.527fad0579a74p-6, 0x1.4b5b3f65fc2e2p-6, 0x1.4458bf096f91ep-6, 0x1.3d77a7f59dc6ep-6, 0x1.36b77787022c9p-6, 0x1.3017ac7152c5p-6, 0x1.2997c6bfdafbbp-6, 0x1.233747d5cd466p-6, 0x1.1cf5b26e6b40fp-6, 0x1.16d28a9d0a9adp-6, 0x1.10cd55cd0e0d2p-6, 0x1.0ae59ac1bb227p-6, 0x1.051ae195ec1a7p-6, 0x1.fed9677779c24p-7, 0x1.f3b537f811c08p-7, 0x1.e8c84cebb2aa8p-7, 0x1.de11c13b8b29bp-7, 0x1.d390b27a53935p-7, 0x1.c94440e2a649fp-7, 0x1.bf2b8f5517619p-7, 0x1.b545c35654b52p-7, 0x1.ab92050cc5ea7p-7, 0x1.a20f7f3e6359p-7, 0x1.98bd5f4e1988ep-7, 0x1.8f9ad539395cep-7, 0x1.86a71394a4ae5p-7, 0x1.7de14f89f2777p-7, 0x1.7548c0d45ab1fp-7, 0x1.6cdca1bd81d74p-7, 0x1.649c2f1a3ebf7p-7, 0x1.5c86a84725642p-7, 0x1.549b4f2503906p-7, 0x1.4cd968153628bp-7, 0x1.454039f5ed477p-7, 0x1.3dcf0e1e58fc7p-7, 0x1.3685305aaf349p-7, 0x1.2f61eee82ef52p-7, 0x1.28649a70e519fp-7, 0x1.218c86079226bp-7, 0x1.1ad907234a918p-7, 0x1.1449759b25693p-7, 0x1.0ddd2ba1b9b8ap-7, 0x1.079385c0a8295p-7, 0x1.016be2d3f8e04p-7, 0x1.f6cb480af4f82p-8, 0x1.eb00599020ed2p-8, 0x1.df75c5a5b43e6p-8, 0x1.d42a5c3902d2p-8, 0x1.c91cf1ac6bafcp-8, 0x1.be4c5ecdae46bp-8, 0x1.b3b780cc03761p-8, 0x1.a95d392dff23dp-8, 0x1.9f3c6dc7745aap-8, 0x1.955408af5c816p-8, 0x1.8ba2f835a614fp-8, 0x1.82282ed8ce77cp-8, 0x1.78e2a33b9fc82p-8, 0x1.6fd1501abffdbp-8, 0x1.66f334423af53p-8, 0x1.5e4752831fe89p-8, 0x1.55ccb1a8e33afp-8, 0x1.4d825c6ee05aap-8, 0x1.45676175cb50bp-8, 0x1.3d7ad3390dc32p-8, 0x1.35bbc8042b01ep-8, 0x1.2e2959e834f5ep-8, 0x1.26c2a6b1129fcp-8, 0x1.1f86cfdaee45fp-8, 0x1.1874fa878b262p-8, 0x1.118c4f73ae929p-8, 0x1.0acbfaec68b09p-8, 0x1.04332cc49eccfp-8, 0x1.fb82309485ddcp-9, 0x1.eee9e877e3c07p-9, 0x1.e29bf57c6664dp-9, 0x1.d696d2a2354e7p-9, 0x1.cad9018b42859p-9, 0x1.bf610a66954abp-9, 0x1.b42d7bdb3515fp-9, 0x1.a93ceaf375faep-9, 0x1.9e8df3083939ap-9, 0x1.941f35ac204d6p-9, 0x1.89ef5a9733625p-9, 0x1.7ffd0f9224277p-9, 0x1.764708623fb3ep-9, 0x1.6ccbfeb4b0c89p-9, 0x1.638ab20ad1695p-9, 0x1.5a81e7a5b6dd4p-9, 0x1.51b06a7267228p-9, 0x1.49150af6031ebp-9, 0x1.40ae9f39f3a0fp-9, 0x1.387c02b880391p-9, 0x1.307c164914fdfp-9, 0x1.28adc00d12409p-9, 0x1.210feb5cb7449p-9, 0x1.19a188b3c84a4p-9, 0x1.12618d9ec7876p-9, 0x1.0b4ef4a83b11ep-9, 0x1.0468bd45dcd69p-9, 0x1.fb5bd78c9153p-10, 0x1.ee3b127d0a5dcp-10, 0x1.e16d46ef97a0fp-10, 0x1.d4f099bb37256p-10, 0x1.c8c338d76529p-10, 0x1.bce35b38cfa5ap-10, 0x1.b14f40ae3b622p-10, 0x1.a60531bd5ca12p-10, 0x1.9b037f80c3a7dp-10, 0x1.904883855f6fbp-10, 0x1.85d29fa8bd7e6p-10, 0x1.7ba03df76ee58p-10, 0x1.71afd08bf21d5p-10, 0x1.67ffd16dc2077p-10, 0x1.5e8ec270c8058p-10, 0x1.555b2d154327fp-10, 0x1.4c63a267c2808p-10, 0x1.43a6bae1eb3ebp-10, 0x1.3b23164ae2791p-10, 0x1.32d75b98cd0fbp-10, 0x1.2ac238d224c5cp-10, 0x1.22e262efad3bdp-10, 0x1.1b3695be6fab8p-10, 0x1.13bd93c2a0d2fp-10, 0x1.0c762619f3629p-10, 0x1.055f1c5f60a9fp-10, 0x1.fcee991cca6a8p-11, 0x1.ef7b25cdacda7p-11, 0x1.e261a3a2c2a6p-11, 0x1.d59fe38797bfap-11, 0x1.c933c24c984d9p-11, 0x1.bd1b2870c32d9p-11, 0x1.b15409ed19e04p-11, 0x1.a5dc6600be11bp-11, 0x1.9ab246fd51c97p-11, 0x1.8fd3c213eaa4fp-11, 0x1.853ef72351e3ap-11, 0x1.7af21086696p-11, 0x1.70eb42e31c5fcp-11, 0x1.6728ccfa92657p-11, 0x1.5da8f779d37f9p-11, 0x1.546a14ca3c2e5p-11, 0x1.4b6a80e3f8ffep-11, 0x1.42a8a12030e2ap-11, 0x1.3a22e40c0c251p-11, 0x1.31d7c13cb9759p-11, 0x1.29c5b9238065ap-11, 0x1.21eb54e2cc4c6p-11, 0x1.1a472623a58p-11, 0x1.12d7c6ec65222p-11, 0x1.0b9bd976edfa5p-11, 0x1.04920808be305p-11, 0x1.fb720994b7f16p-12, 0x1.ee1f1340a53f1p-12, 0x1.e128b00979138p-12, 0x1.d48c71c0c64ebp-12, 0x1.c847f8cb740d2p-12, 0x1.bc58f3d78d865p-12, 0x1.b0bd1f933a424p-12, 0x1.a572466502383p-12, 0x1.9a764025b2f6bp-12, 0x1.8fc6f1da13414p-12, 0x1.85624d6f8b48ep-12, 0x1.7b465177ea5c6p-12, 0x1.717108e7f25d9p-12, 0x1.67e08ad65ff6p-12, 0x1.5e92fa3af6664p-12, 0x1.558685b0addfbp-12, 0x1.4cb96737140dfp-12, 0x1.4429e3f55ddf1p-12, 0x1.3bd64bff0c5e7p-12, 0x1.33bcfa184adbp-12, 0x1.2bdc537ced7p-12, 0x1.2432c7a7412b6p-12, 0x1.1cbed017ae11bp-12, 0x1.157ef01e6233ap-12, 0x1.0e71b4a53ae97p-12, 0x1.0795b3fa3b782p-12, 0x1.00e98d9baf1bp-12, 0x1.f4d7d40ab8d77p-13, 0x1.e836f4fc2fa11p-13, 0x1.dbedf1cbae579p-13, 0x1.cffa4f0b9c521p-13, 0x1.c459a1c012925p-13, 0x1.b9098f03a1e73p-13, 0x1.ae07cba894566p-13, 0x1.a3521be17369ep-13, 0x1.98e652e65bbb8p-13, 0x1.8ec2529fa34b4p-13, 0x1.84e40b502141fp-13, 0x1.7b497b40e8cc6p-13, 0x1.71f0ae6fb5eacp-13, 0x1.68d7be3e3184cp-13, 0x1.5ffcd122c9048p-13, 0x1.575e1a5b36491p-13, 0x1.4ef9d9a0a33a6p-13, 0x1.46ce5add2f58fp-13, 0x1.3ed9f5e23a8f1p-13, 0x1.371b0e20ef91ep-13, 0x1.2f901263f4cb4p-13, 0x1.28377c8a140fbp-13, 0x1.210fd143673ecp-13, 0x1.1a179fcdcef19p-13, 0x1.134d81b5707bdp-13, 0x1.0cb01a9450f26p-13, 0x1.063e17d3d6946p-13, 0x1.ffec60dfab3fcp-14, 0x1.f3ae49758af7fp-14, 0x1.e7bf7c45c1f38p-14, 0x1.dc1d9df0c838dp-14, 0x1.d0c6646b7627fp-14, 0x1.c5b7968fd954ap-14, 0x1.baef0bb32aa12p-14, 0x1.b06aab39b653p-14, 0x1.a6286c30bbc76p-14, 0x1.9c2654e811b44p-14, 0x1.92627a8ff4259p-14, 0x1.88db00d63817ep-14, 0x1.7f8e198903c35p-14, 0x1.767a0438ca4abp-14, 0x1.6d9d0ddd68274p-14, 0x1.64f5907daeb3bp-14, 0x1.5c81f2d7d16e7p-14, 0x1.5440a80b7b4c1p-14, 0x1.4c302f475c253p-14, 0x1.444f1376c1da1p-14, 0x1.3c9beaf27b749p-14, 0x1.351557327632bp-14, 0x1.2dba04813b30bp-14, 0x1.2688a9b23fa24p-14, 0x1.1f8007d94ec9fp-14, 0x1.189eea018c2ep-14, 0x1.11e424e91da1dp-14, 0x1.0b4e96bca846p-14, 0x1.04dd26d4e1ae9p-14, 0x1.fd1d8aeba431bp-15, 0x1.f0c4d71dc297bp-15, 0x1.e4ae34fa0534dp-15, 0x1.d8d7b79e01ddp-15, 0x1.cd3f8212e1e02p-15, 0x1.c1e3c6da4ebbdp-15, 0x1.b6c2c77d28018p-15, 0x1.abdad41eb0caap-15, 0x1.a12a4b0f8048ep-15, 0x1.96af98652c301p-15, 0x1.8c693593f488p-15, 0x1.8255a90b5f6bp-15, 0x1.787385d3e695cp-15, 0x1.6ec16b316b6bfp-15, 0x1.653e044479772p-15, 0x1.5be807b017de3p-15, 0x1.52be37422d1c4p-15, 0x1.49bf5f9d8bdaep-15, 0x1.40ea57e46e0c4p-15, 0x1.383e0167714d3p-15, 0x1.2fb94756e8a2dp-15, 0x1.275b1e7489bb9p-15, 0x1.1f2284c683325p-15, 0x1.170e814f78fb3p-15, 0x1.0f1e23c4944cep-15, 0x1.07508448c55c8p-15, 0x1.ff49864f7a153p-16, 0x1.f0341126b96b2p-16, 0x1.e15f08c74bd49p-16, 0x1.d2c8dbad542a9p-16, 0x1.c47006a7bdb6cp-16, 0x1.b6531460fa1e4p-16, 0x1.a8709cea44ef5p-16, 0x1.9ac74548e1c02p-16, 0x1.8d55bf09c47e1p-16, 0x1.801ac7d627884p-16, 0x1.73152909aed29p-16, 0x1.6643b74d11b95p-16, 0x1.59a552360342fp-16, 0x1.4d38e3e437129p-16, 0x1.40fd60a5af344p-16, 0x1.34f1c69cf839bp-16, 0x1.29151d68f995ap-16, 0x1.1d6675cbaac6ap-16, 0x1.11e4e95bd7a7cp-16, 0x1.068f9a3104e86p-16, 0x1.f6cb652ae4a96p-17, 0x1.e0ccc976ffefep-17, 0x1.cb21d4e3f7539p-17, 0x1.b5c909b90f87bp-17, 0x1.a0c0f85e30a07p-17, 0x1.8c083ed3f6948p-17, 0x1.779d882d2e5adp-17, 0x1.637f8c14c9be9p-17, 0x1.4fad0e4c497eep-17, 0x1.3c24de3a60b08p-17, 0x1.28e5d6711383ap-17, 0x1.15eedc3e7ad33p-17, 0x1.033edf4253da5p-17, 0x1.e1a9b20615ca7p-18, 0x1.bd5f990a721b4p-18, 0x1.999d8bda09d5p-18, 0x1.7661b43681bfap-18, 0x1.53aa4c9f3411dp-18, 0x1.31759fa004cc5p-18, 0x1.0fc207231ede9p-18, 0x1.dd1bd78f99fe3p-19, 0x1.9baf8885bb1cp-19, 0x1.5b3c29716009ep-19, 0x1.1bbedc5733246p-19, 0x1.ba69b7b21e47dp-20, 0x1.3f36f40cad9b7p-20, 0x1.8bc07d59f675dp-21, 0x1.39824d1532aa1p-22, -0x1.3a674e9c3bf5fp-23, -0x1.3659dac5c820bp-21, -0x1.0d44075bfde7p-20, -0x1.7d96a4846ee1cp-20, -0x1.ec291047f74f2p-20, -0x1.2c7fbb24a165ep-19, -0x1.620ef209eb37fp-19, -0x1.96c4255302e2cp-19, -0x1.caa13fef90d6bp-19, -0x1.fda81ff98ad85p-19, -0x1.17ed4bb7e83a6p-18, -0x1.309d366d4aeeep-18, -0x1.48e4adf2d984cp-18, -0x1.60c48b0454bc4p-18, -0x1.783da18db6a39p-18, -0x1.8f50c0f432013p-18, -0x1.a5feb459a5ecp-18, -0x1.bc4842e0cb021p-18, -0x1.d22e2fec6c1efp-18, -0x1.e7b13b5e3c7edp-18, -0x1.fcd221cbda7e8p-18, -0x1.08c8ce5ec100bp-17, -0x1.12f831714144ap-17, -0x1.1cf794201ed49p-17, -0x1.26c74f356d4b8p-17, -0x1.3067ba56eebap-17, -0x1.39d92c1d1dd9fp-17, -0x1.431bfa29bfec5p-17, -0x1.4c30793a09d83p-17, -0x1.5516fd3b9601ap-17, -0x1.5dcfd95ee433fp-17, -0x1.665b6027b092dp-17, -0x1.6eb9e37de85a8p-17, -0x1.76ebb4be3fa69p-17, -0x1.7ef124c804ea1p-17, -0x1.86ca840b141c5p-17, -0x1.8e78229744eb4p-17, -0x1.95fa502696e4cp-17, -0x1.9d515c2a36d92p-17, -0x1.a47d95d5afddap-17, -0x1.ab7f4c29f6d69p-17, -0x1.b256cdfc86a43p-17, -0x1.b9046a054657p-17, -0x1.bf886ee210c9bp-17, -0x1.c5e32b2233764p-17, -0x1.cc14ed4d836e2p-17, -0x1.d21e03ea74addp-17, -0x1.d7febd84c8c25p-17, -0x1.ddb768b3a8fedp-17, -0x1.e348541f577dap-17, -0x1.e8b1ce85d5849p-17, -0x1.edf426bf08351p-17, -0x1.f30fabc225d12p-17, -0x1.f804aca8fb0acp-17, -0x1.fcd378b29900ep-17, -0x1.00be2fa2f4a5cp-16, -0x1.02ffd7fb2f3b4p-16, -0x1.052edd41b926bp-16, -0x1.074b676e80a78p-16, -0x1.09559e920dd2ap-16, -0x1.0b4daad613683p-16, -0x1.0d33b47d30dbcp-16, -0x1.0f07e3e55d4d6p-16, -0x1.10ca61863fd72p-16, -0x1.127b55f17f88dp-16, -0x1.141ae9d3cd4c6p-16, -0x1.15a945f401a36p-16, -0x1.17269332f16a9p-16, -0x1.1892fa8b619a6p-16, -0x1.19eea5115492cp-16, -0x1.1b39bbf182a32p-16, -0x1.1c7468713b0eap-16, -0x1.1d9ed3ecfc7acp-16, -0x1.1eb927d84b242p-16, -0x1.1fc38dbc3802p-16, -0x1.20be2f3756bp-16, -0x1.21a935fc097afp-16, -0x1.2284cbd0182cfp-16, -0x1.23511a8ab6ed8p-16, -0x1.240e4c1453d0dp-16, -0x1.24bc8a64f5a13p-16, -0x1.255bff828db02p-16, -0x1.25ecd580a4f81p-16, -0x1.266f367e8faa5p-16, -0x1.26e34ca5d3e53p-16, -0x1.27494228f99eap-16, -0x1.27a1414285cb7p-16, -0x1.27eb7432bc125p-16, -0x1.2828053ec7584p-16, -0x1.28571eaf2358ep-16, -0x1.2878eacdcec2fp-16, -0x1.288d93e4f4f2p-16, -0x1.2895443d9f95ep-16, -0x1.2890261dca8b2p-16, -0x1.287e63c6ef516p-16, -0x1.2860277444d8ep-16, -0x1.28359b59a2291p-16, -0x1.27fee9a18d2e2p-16, -0x1.27bc3c6bb9ef6p-16, -0x1.276dbdcb40463p-16, -0x1.271397c5626a3p-16, -0x1.26adf44fe25d1p-16, -0x1.263cfd4ef9a89p-16, -0x1.25c0dc9493efp-16, -0x1.2539bbde05cefp-16, -0x1.24a7c4d29f8fp-16, -0x1.240b21028ab8fp-16, -0x1.2363f9e4e3b63p-16, -0x1.22b278d62fa88p-16, -0x1.21f6c716dd10dp-16, -0x1.21310dca180d4p-16, -0x1.206175f3cfc8p-16, -0x1.1f88287763cc2p-16, -0x1.1ea54e163486dp-16, -0x1.1db90f6e64c9p-16, -0x1.1cc394f91e9fbp-16, -0x1.1bc5070952ac1p-16, -0x1.1abd8dca6f8e5p-16, -0x1.19ad513f2d7dap-16, -0x1.1894793fb9e83p-16, -0x1.17732d7878f4bp-16, -0x1.1649956917b83p-16, -0x1.1517d862e0302p-16, -0x1.13de1d87c161fp-16, -0x1.129c8bc91af28p-16, -0x1.115349e6489dp-16, -0x1.10027e6b8d7f1p-16, -0x1.0eaa4fb0dc166p-16, -0x1.0d4ae3d8ed81fp-16, -0x1.0be460cfe7a17p-16, -0x1.0a76ec4a504fp-16, -0x1.0902abc435eb9p-16, -0x1.0787c48021dfcp-16, -0x1.06065b85df28bp-16, -0x1.047e95a190e0cp-16, -0x1.02f09762b1004p-16, -0x1.015c851b3df56p-16, -0x1.ff8505bdbc49fp-17, -0x1.fc456903e5b13p-17, -0x1.f8fa7b3109f87p-17, -0x1.f5a482eb72a6fp-17, -0x1.f243c655ef299p-17, -0x1.eed88b0e585c7p-17, -0x1.eb63162b9c763p-17, -0x1.e7e3ac3cc7275p-17, -0x1.e45a91479da34p-17, -0x1.e0c808c71af4cp-17, -0x1.dd2c55aa7de11p-17, -0x1.d987ba535a973p-17, -0x1.d5da7895035d8p-17, -0x1.d224d1b2d8399p-17, -0x1.ce67065fbe074p-17, -0x1.caa156bd13dbap-17, -0x1.c6d4025974868p-17, -0x1.c2ff482f7c66bp-17, -0x1.bf2366a56bbdp-17, -0x1.bb409b8c4ff12p-17, -0x1.b757241e561bp-17, -0x1.b3673cff0d4dfp-17, -0x1.af71223abf6bcp-17, -0x1.ab750f45696a5p-17, -0x1.a7733efa2ca66p-17, -0x1.a36beb9a513f7p-17, -0x1.9f5f4ecd5bb5cp-17, -0x1.9b4da1a00af2ap-17, -0x1.97371c8435b27p-17, -0x1.931bf750d49afp-17, -0x1.8efc6941118f2p-17, -0x1.8ad8a8f3b33efp-17, -0x1.86b0ec6b6af9fp-17, -0x1.8285690ea802p-17, -0x1.7e5653a718b96p-17, -0x1.7a23e0613757cp-17, -0x1.75ee42cc626ap-17, -0x1.71b5addbd906p-17, -0x1.6d7a53e590793p-17, -0x1.693c66a25ca25p-17, -0x1.64fc172e1f80cp-17, -0x1.60b99607788p-17, -0x1.5c7513101f425p-17, -0x1.582ebd8d7af36p-17, -0x1.53e6c428449bp-17, -0x1.4f9d54ecdd95bp-17, -0x1.4b529d4b73e56p-17, -0x1.4706ca1829f87p-17, -0x1.42ba078be372ep-17, -0x1.3e6c8144424cfp-17, -0x1.3a1e6243e1c43p-17, -0x1.35cfd4f305506p-17, -0x1.3181031fe3dddp-17, -0x1.2d3215ff18114p-17, -0x1.28e3362c2c5ccp-17, -0x1.24948baa50b9cp-17, -0x1.20463de427ca5p-17, -0x1.1bf873ac819ebp-17, -0x1.17ab533f387e2p-17, -0x1.135f024221935p-17, -0x1.0f13a5c51b7a5p-17, -0x1.0ac96242bf14ep-17, -0x1.06805ba141a8ap-17, -0x1.0238b532b8bf9p-17, -0x1.fbe5236c6535ep-18, -0x1.f35c26b00a59dp-18, -0x1.ead6b766fce1ep-18, -0x1.e25517a5541bdp-18, -0x1.d9d7885eeb7e4p-18, -0x1.d15e4968c52e8p-18, -0x1.c8e9997c3a8eep-18, -0x1.c079b63628f93p-18, -0x1.b80edc19ef92ap-18, -0x1.afa946926698cp-18, -0x1.a7492ff456e52p-18, -0x1.9eeed180feb29p-18, -0x1.969a636693514p-18, -0x1.8e4c1cc2235c7p-18, -0x1.860433a21e61dp-18, -0x1.7dc2dd0827d03p-18, -0x1.75884ceaaf64p-18, -0x1.6d54b636fb234p-18, -0x1.65284ad2e94afp-18, -0x1.5d033b9f37fap-18, -0x1.54e5b879b942p-18, -0x1.4ccff03fe2039p-18, -0x1.44c210cf67e15p-18, -0x1.3cbc4708ed388p-18, -0x1.34bebed21986ap-18, -0x1.2cc9a317bec74p-18, -0x1.24dd1dcfeca99p-18, -0x1.1cf957fbaf521p-18, -0x1.151e79aa4845p-18, -0x1.0d4ca9fa98fe5p-18, -0x1.05840f1d0167fp-18, -0x1.fb899cac2171fp-19, -0x1.ec1e18007e0dep-19, -0x1.dcc5d71d14834p-19, -0x1.cd811f1d0185ap-19, -0x1.be50335522a94p-19, -0x1.af335557ceb37p-19, -0x1.a02ac4fb86d87p-19, -0x1.9136c05dc7e22p-19, -0x1.825783e6ca928p-19, -0x1.738d4a4d1d664p-19, -0x1.64d84c9d593afp-19, -0x1.5638c23cce24ep-19, -0x1.47aee0ed52ce2p-19, -0x1.393adcd3d1f6cp-19, -0x1.2adce87be1e95p-19, -0x1.1c9534db17e98p-19, -0x1.0e63f155e6835p-19, -0x1.00494bc61d34fp-19, -0x1.e48ae0fa5b03dp-20, -0x1.c8b114941ba1fp-20, -0x1.ad0584f90ab92p-20, -0x1.918881d4b66bep-20, -0x1.763a57e85a2b7p-20, -0x1.5b1b51143392p-20, -0x1.402bb45fb4b42p-20, -0x1.256bc601cd80ap-20, -0x1.0adbc76968e51p-20, -0x1.e0f7ee8d28ecbp-21, -0x1.ac992328da7f6p-21, -0x1.789b9f407be78p-21, -0x1.44ffd02fece9p-21, -0x1.11c61e16578bbp-21, -0x1.bdddd7df0b0abp-22, -0x1.58f52f44ec27cp-22, -0x1.e9a5e8663edaep-23, -0x1.22ef9d32f2e3fp-23, -0x1.7722e560b1ccbp-25, 0x1.973667ef84ccep-25, 0x1.27d2468de6c76p-23, 0x1.e84448bd93a73p-23, 0x1.539157b0ea48p-22, 0x1.b2364db0b132bp-22, 0x1.08084fe831904p-21, 0x1.368ff8251f9dap-21, 0x1.64b1f501fe2fep-21, 0x1.926e20386c3f1p-21, 0x1.bfc457b9fb6b7p-21, 0x1.ecb47d9bc0082p-21, 0x1.0c9f3c0468707p-20, 0x1.22b11898b39d8p-20, 0x1.388fcb9c918b4p-20, 0x1.4e3b4e12f8c4fp-20, 0x1.63b39aec3f8a1p-20, 0x1.78f8aef9ccdeep-20, 0x1.8e0a88e7d1609p-20, 0x1.a2e92934b5428p-20, 0x1.b794922991c63p-20, 0x1.cc0cc7d5b988bp-20, 0x1.e051d0015aa35p-20, 0x1.f463b228efea4p-20, 0x1.04213bbacec8dp-19, 0x1.0df7155c07fffp-19, 0x1.17b36c2e9b99p-19, 0x1.215647337a9dfp-19, 0x1.2adfae349904dp-19, 0x1.344fa9bfef188p-19, 0x1.3da64322ea23ep-19, 0x1.46e38467d616dp-19, 0x1.5007785280deep-19, 0x1.59122a5c923a9p-19, 0x1.6203a6b256d89p-19, 0x1.6adbfa2f1deefp-19, 0x1.739b32598a24bp-19, 0x1.7c415d5fd2e99p-19, 0x1.84ce8a151a82bp-19, 0x1.8d42c7eee0e91p-19, 0x1.959e27003ffeep-19, 0x1.9de0b7f727176p-19, 0x1.a60a8c18ce766p-19, 0x1.ae1bb540000c9p-19, 0x1.b61445d8a4f54p-19, 0x1.bdf450dc1b8f7p-19, 0x1.c5bbe9cfd61fp-19, 0x1.cd6b24c19b91bp-19, 0x1.d5021643dab63p-19, 0x1.dc80d36a8739fp-19, 0x1.e3e771c949087p-19, 0x1.eb3607702d78dp-19, 0x1.f26caae7b4319p-19, 0x1.f98b732f79e48p-19, 0x1.00493bdda1218p-18, 0x1.03c0e8372c426p-18, 0x1.072ccacd16babp-18, 0x1.0a8ceffda60a4p-18, 0x1.0de1645bf8ef9p-18, 0x1.112a34ad8b923p-18, 0x1.14676de9aada5p-18, 0x1.17991d3785d67p-18, 0x1.1abf4fed55456p-18, 0x1.1dda138fb8291p-18, 0x1.20e975cf0b436p-18, 0x1.23ed848710063p-18, 0x1.26e64dbd370a7p-18, 0x1.29d3dfa032d32p-18, 0x1.2cb64885b552bp-18, 0x1.2f8d96e9d898fp-18, 0x1.3259d96e5a8a1p-18, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.8830c57ca1bf1p-8, 0x1.88d2f2aedcc4ap-7, 0x1.275f80dfa7efep-6, 0x1.8b26dab5a8173p-6, 0x1.efe69983c2beep-6, 0x1.2ada01f1c6d1cp-5, 0x1.5e49cd26ccbeap-5, 0x1.923d710e48a1fp-5, 0x1.c6a94a9e352cdp-5, 0x1.fb7c7ac4853d8p-5, 0x1.185106475f3b7p-4, 0x1.33010523eaf1ep-4, 0x1.4dc13cca221bap-4, 0x1.68841d3918918p-4, 0x1.833be3d63e2dap-4, 0x1.9ddaec8c7a2cfp-4, 0x1.b853f49103208p-4, 0x1.d29a4fe80dfecp-4, 0x1.eca212f400defp-4, 0x1.033018b6b280fp-3, 0x1.0fe54a10a423bp-3, 0x1.1c6c136302294p-3, 0x1.28c06f9042de9p-3, 0x1.34dedf4c88caap-3, 0x1.40c467a0efbb7p-3, 0x1.4c6e8e9a2b97ep-3, 0x1.57db5686848d6p-3, 0x1.63093819f47dep-3, 0x1.6df71bc273e5fp-3, 0x1.78a4526b76bf3p-3, 0x1.83108de54406ap-3, 0x1.8d3bd91c0dc93p-3, 0x1.97269042c2581p-3, 0x1.a0d1590ebe21ap-3, 0x1.aa3d1b1bc532ep-3, 0x1.b36af88a8cc89p-3, 0x1.bc5c46e7edf9ap-3, 0x1.c512886747b86p-3, 0x1.cd8f65778167dp-3, 0x1.d5d4a6b7b15c9p-3, 0x1.dde42f4e4e90ep-3, 0x1.e5bff7a4240ap-3, 0x1.ed6a0882d3cd6p-3, 0x1.f4e476959ea9p-3, 0x1.fc315e4a44e58p-3, 0x1.01a9700787077p-2, 0x1.05258e754e394p-2, 0x1.088e19b4d44dfp-2, 0x1.0be41e6f45467p-2, 0x1.0f28a577245b2p-2, 0x1.125cb2b358652p-2, 0x1.1581442c85dcp-2, 0x1.1897513a7875fp-2, 0x1.1b9fc9cf65f23p-2, 0x1.1e9b95dedfe7p-2, 0x1.218b94de572c2p-2, 0x1.24709d5d27466p-2, 0x1.274b7cb230ef4p-2, 0x1.2a1cf6bd26175p-2, 0x1.2ce5c5b9b5a3p-2, 0x1.2fa69a22ebd4fp-2, 0x1.32601aa528384p-2, 0x1.3512e41d22f09p-2, 0x1.37bf89a29e11fp-2, 0x1.3a66949d6951bp-2, 0x1.3d0884e380aep-2, 0x1.3fa5d0df21947p-2, 0x1.423ee5bbc1e3ap-2, 0x1.44d42798fad96p-2, 0x1.4765f1c27608dp-2, 0x1.49f496ec17c06p-2, 0x1.4c8061719e52cp-2, 0x1.4f09939910044p-2, 0x1.519067d754e1dp-2, 0x1.54151116781fcp-2, 0x1.5697bafd091bp-2, 0x1.59188a36334f6p-2, 0x1.5b979cba22d48p-2, 0x1.5e150a1664049p-2, 0x1.6090e3b5ea4b6p-2, 0x1.630b35287c96fp-2, 0x1.6584046951c0ap-2, 0x1.67fb5224a1ffep-2, 0x1.6a7119fc0cdc2p-2, 0x1.6ce552c9a7302p-2, 0x1.6f57eee199f1ap-2, 0x1.71c8dc5239fc1p-2, 0x1.7438052280ae3p-2, 0x1.76a54f8ede51fp-2, 0x1.79109e4456e84p-2, 0x1.7b79d099e6b78p-2, 0x1.7de0c2c8255dep-2, 0x1.80454e1f30a5ep-2, 0x1.82a7493ad2cb7p-2, 0x1.85068834f477cp-2, 0x1.8762dcd65992dp-2, 0x1.89bc16c5ab1d7p-2, 0x1.8c1203b4e410ep-2, 0x1.8e646f8d1808dp-2, 0x1.90b32498ab056p-2, 0x1.92fdebabff8dep-2, 0x1.95448c4ca15b3p-2, 0x1.9786ccd701365p-2, 0x1.99c472a2c35cep-2, 0x1.9bfd4225b0b0ap-2, 0x1.9e30ff1555414p-2, 0x1.a05f6c8755dc5p-2, 0x1.a2884d1086519p-2, 0x1.a4ab62e2d0afbp-2, 0x1.a6c86fe9ed7bcp-2, 0x1.a8df35e70430ap-2, 0x1.aaef768b3011fp-2, 0x1.acf8f390fd8e1p-2, 0x1.aefb6ed4e10f5p-2, 0x1.b0f6aa6cb5c0ep-2, 0x1.b2ea68be491dp-2, 0x1.b4d66c94fc81ep-2, 0x1.b6ba793680c16p-2, 0x1.b8965276bb82p-2, 0x1.ba69bccace14cp-2, 0x1.bc347d5b58245p-2, 0x1.bdf65a15e5866p-2, 0x1.bfaf19bda3c62p-2, 0x1.c15e83fb4eb09p-2, 0x1.c304616c6c84dp-2, 0x1.c4a07bb1cf394p-2, 0x1.c6329d7d69598p-2, 0x1.c7ba929f760cbp-2, 0x1.c9382812f8391p-2, 0x1.caab2c09967c8p-2, 0x1.cc136df6d77f5p-2, 0x1.cd70be9abf10fp-2, 0x1.cec2f00bd3898p-2, 0x1.d009d5c08a8e9p-2, 0x1.d145449822f2bp-2, 0x1.d27512e2f015cp-2, 0x1.d399186a109e6p-2, 0x1.d4b12e76a0d11p-2, 0x1.d5bd2fd85fba6p-2, 0x1.d6bcf8ebcdc48p-2, 0x1.d7b0679fc98edp-2, 0x1.d8975b7aaa96bp-2, 0x1.d971b59ed9411p-2, 0x1.da3f58ceed815p-2, 0x1.db002971533c1p-2, 0x1.dbb40d937151cp-2, 0x1.dc5aecec6082cp-2, 0x1.dcf4b0df2ab36p-2, 0x1.dd81447c97d5bp-2, 0x1.de0094848f13ep-2, 0x1.de728f6707d2fp-2, 0x1.ded725449047cp-2, 0x1.df2e47ee6c4p-2, 0x1.df77eae64d724p-2, 0x1.dfb4035da6a6p-2, 0x1.dfe288349f6bap-2, 0x1.e00371f8a7f44p-2, 0x1.e016bae2ade94p-2, 0x1.e01c5ed4f9bf9p-2, 0x1.e0145b58b2c1ep-2, 0x1.dffeaf9b0ce86p-2, 0x1.dfdb5c6a2633dp-2, 0x1.dfaa64318f26ep-2, 0x1.df6bcaf68a3dbp-2, 0x1.df1f9653fae96p-2, 0x1.dec5cd76105fep-2, 0x1.de5e7915a4c6ep-2, 0x1.dde9a3735d79ap-2, 0x1.dd6758528642cp-2, 0x1.dcd7a4f3af033p-2, 0x1.dc3a980f0eda9p-2, 0x1.db9041cea9bd4p-2, 0x1.dad8b3c843e6ep-2, 0x1.da1400f71bafdp-2, 0x1.d9423db575a51p-2, 0x1.d8637fb5f75e2p-2, 0x1.d777ddfcd5066p-2, 0x1.d67f70d8d58e8p-2, 0x1.d57a51dc2f494p-2, 0x1.d4689bd53dd42p-2, 0x1.d34a6ac717e4ap-2, 0x1.d21fdbe1ffb46p-2, 0x1.d0e90d7bbcfdbp-2, 0x1.cfa61f07d359dp-2, 0x1.ce57310fa6256p-2, 0x1.ccfc652a80bp-2, 0x1.cb95ddf58e96fp-2, 0x1.ca23bf0bbccfdp-2, 0x1.c8a62cfd8fb56p-2, 0x1.c71d4d48e69abp-2, 0x1.c5894650b936fp-2, 0x1.c3ea3f54c61c3p-2, 0x1.c24060693e1adp-2, 0x1.c08bd26e67bap-2, 0x1.beccbf08407d5p-2, 0x1.bd0350961cd83p-2, 0x1.bb2fb22a48225p-2, 0x1.b9520f81a8802p-2, 0x1.b76a94fb63ad9p-2, 0x1.b5796f908ec6ep-2, 0x1.b37ecccbdfd3ep-2, 0x1.b17adac16e47ep-2, 0x1.af6dc8067bdbcp-2, 0x1.ad57c3a947f74p-2, 0x1.ab38fd28f6e42p-2, 0x1.a911a46d815cbp-2, 0x1.a6e1e9bfba88cp-2, 0x1.a4a9fdc166b06p-2, 0x1.a26a116563f76p-2, 0x1.a02255e7e9f73p-2, 0x1.9dd2fcc6dee5cp-2, 0x1.9b7c37ba41684p-2, 0x1.991e38acaefbep-2, 0x1.96b931b401aep-2, 0x1.944d550a04b36p-2, 0x1.91dad5054bbd5p-2, 0x1.8f61e4121efb2p-2, 0x1.8ce2b4ab8817bp-2, 0x1.8a5d79547d1eap-2, 0x1.87d264912717ap-2, 0x1.8541a8e04b5f7p-2, 0x1.82ab78b4d0b69p-2, 0x1.8010066f69b23p-2, 0x1.7d6f84585bc2ap-2, 0x1.7aca24996a4b8p-2, 0x1.78201937e2b6dp-2, 0x1.7571940ecb479p-2, 0x1.72bec6c9351b4p-2, 0x1.7007e2dcaf277p-2, 0x1.6d4d1983dfeb7p-2, 0x1.6a8e9bb940ffap-2, 0x1.67cc9a31fc819p-2, 0x1.65074558f4b9bp-2, 0x1.623ecd49e8563p-2, 0x1.5f7361ccbf8ep-2, 0x1.5ca53250ff157p-2, 0x1.59d46de958fbap-2, 0x1.570143476a641p-2, 0x1.542be0b796b73p-2, 0x1.5154741d0a68dp-2, 0x1.4e7b2aede2af8p-2, 0x1.4ba0322f76387p-2, 0x1.48c3b672c6c24p-2, 0x1.45e5e3d1109fap-2, 0x1.4306e5e88391ep-2, 0x1.4026e7d919fbep-2, 0x1.3d461441981a9p-2, 0x1.3a64953caa074p-2, 0x1.3782945e271b7p-2, 0x1.34a03ab075e0ep-2, 0x1.31bdb0b213a1p-2, 0x1.2edb1e533c0fdp-2, 0x1.2bf8aaf3b263p-2, 0x1.29167d60acb7ep-2, 0x1.2634bbd2df231p-2, 0x1.23538beca3c7ap-2, 0x1.207312b849314p-2, 0x1.1d9374a67a30dp-2, 0x1.1ab4d58cc5633p-2, 0x1.17d758a443f24p-2, 0x1.14fb20886070cp-2, 0x1.12204f35b4951p-2, 0x1.0f47060909b21p-2, 0x1.0c6f65be73237p-2, 0x1.09998e70838dcp-2, 0x1.06c59f979e43dp-2, 0x1.03f3b8096380fp-2, 0x1.0123f5f836954p-2, 0x1.fcacede5bb28ep-3, 0x1.f716afc871894p-3, 0x1.f1856a26271ep-3, 0x1.ebf954441de61p-3, 0x1.e672a41f3f882p-3, 0x1.e0f18e6c4b104p-3, 0x1.db764698306a2p-3, 0x1.d600fec894528p-3, 0x1.d091e7dc7f61bp-3, 0x1.cb29316d34ab9p-3, 0x1.c5c709cf32987p-3, 0x1.c06b9e1357cd6p-3, 0x1.bb171a08316d3p-3, 0x1.b5c9a83b665f6p-3, 0x1.b08371fb4e929p-3, 0x1.ab449f58a4a26p-3, 0x1.a60d57285d4fcp-3, 0x1.a0ddbf059dc2ap-3, 0x1.9bb5fb53d0955p-3, 0x1.96962f40d3806p-3, 0x1.917e7cc74c9bbp-3, 0x1.8c6f04b10e943p-3, 0x1.8767e699a00ffp-3, 0x1.826940f0dad27p-3, 0x1.7d7330fd9e3b3p-3, 0x1.7885d2e09c273p-3, 0x1.73a1419743badp-3, 0x1.6ec596feb0917p-3, 0x1.69f2ebd6bc3b2p-3, 0x1.652957c521523p-3, 0x1.6068f158a599ap-3, 0x1.5bb1ce0c674b7p-3, 0x1.5704024b29852p-3, 0x1.525fa172bbf91p-3, 0x1.4dc4bdd76c4dp-3, 0x1.493368c7858b5p-3, 0x1.44abb28edb035p-3, 0x1.402daa7a621ep-3, 0x1.3bb95edbd5dfep-3, 0x1.374edd0d64f83p-3, 0x1.32ee317565f99p-3, 0x1.2e97678a1a85bp-3, 0x1.2a4a89d5735a9p-3, 0x1.2607a1f8e0b09p-3, 0x1.21ceb8b128c02p-3, 0x1.1d9fd5da3c85dp-3, 0x1.197b00731c5adp-3, 0x1.15603ea1b8285p-3, 0x1.114f95b6d785p-3, 0x1.0d490a3205575p-3, 0x1.094c9fc5746e8p-3, 0x1.055a5959f7758p-3, 0x1.01723912e58bep-3, 0x1.fb2880a41d679p-4, 0x1.f380df774ee91p-4, 0x1.ebed8e7471c59p-4, 0x1.e46e8c0515011p-4, 0x1.dd03d52f183a5p-4, 0x1.d5ad659c84b1cp-4, 0x1.ce6b37a34a2aep-4, 0x1.c73d444d0f27ap-4, 0x1.c023835ee33b7p-4, 0x1.b91deb60f4e31p-4, 0x1.b22c71a63cce9p-4, 0x1.ab4f0a5422213p-4, 0x1.a485a86a00c9dp-4, 0x1.9dd03dc8bdeep-4, 0x1.972ebb3a4386bp-4, 0x1.90a11078e8fdap-4, 0x1.8a272c36d7644p-4, 0x1.83c0fc255bb97p-4, 0x1.7d6e6cfc292c7p-4, 0x1.772f6a808b04p-4, 0x1.7103df8c89538p-4, 0x1.6aebb615f893dp-4, 0x1.64e6d7357966dp-4, 0x1.5ef52b2d66f09p-4, 0x1.59169970b479fp-4, 0x1.534b08a9b0afcp-4, 0x1.4d925ec0c09d8p-4, 0x1.47ec80e2fcecap-4, 0x1.42595388bfd5fp-4, 0x1.3cd8ba7c214e7p-4, 0x1.376a98df55ffcp-4, 0x1.320ed13301f09p-4, 0x1.2cc5455c6df8dp-4, 0x1.278dd6abb13f5p-4, 0x1.226865e1bb947p-4, 0x1.1d54d3364dad9p-4, 0x1.1852fe5dd8ecdp-4, 0x1.1362c68f4fdadp-4, 0x1.0e840a89d5332p-4, 0x1.09b6a89a5b1c1p-4, 0x1.04fa7ea12d417p-4, 0x1.004f6a1759b05p-4, 0x1.f76a90281d942p-5, 0x1.ee57eaa3b8068p-5, 0x1.e5669c67b35p-5, 0x1.dc965d957ec4ap-5, 0x1.d3e6e5b3b4c44p-5, 0x1.cb57ebb7eb3e4p-5, 0x1.c2e926104c9edp-5, 0x1.ba9a4aad013b5p-5, 0x1.b26b0f096b5cap-5, 0x1.aa5b28352fe9fp-5, 0x1.a26a4add25beep-5, 0x1.9a982b53f0904p-5, 0x1.92e47d9a99006p-5, 0x1.8b4ef568d0f5dp-5, 0x1.83d7463523306p-5, 0x1.7c7d233ced08ep-5, 0x1.75403f8c28571p-5, 0x1.6e204e050b1efp-5, 0x1.671d0167770a5p-5, 0x1.60360c5844a4cp-5, 0x1.596b21685adf5p-5, 0x1.52bbf31b9af2cp-5, 0x1.4c2833efa4da4p-5, 0x1.45af96626a31cp-5, 0x1.3f51ccf8a10f8p-5, 0x1.390e8a43fe38ap-5, 0x1.32e580e956b41p-5, 0x1.2cd663a67f924p-5, 0x1.26e0e5581eeddp-5, 0x1.2104b8ff41764p-5, 0x1.1b4191c6d2c61p-5, 0x1.15972308e25b5p-5, 0x1.10052053cb5b2p-5, 0x1.0a8b3d6f3385ep-5, 0x1.05292e60dcc71p-5, 0x1.ffbd4ee2b811ap-6, 0x1.f556ba613516dp-6, 0x1.eb1e08f49471ep-6, 0x1.e112a4f42733fp-6, 0x1.d733f95f82a85p-6, 0x1.cd8171e672b0ap-6, 0x1.c3fa7af096fb9p-6, 0x1.ba9e81a4d1ca6p-6, 0x1.b16cf3f0667dcp-6, 0x1.a865408de8fcep-6, 0x1.9f86d70bd0ee3p-6, 0x1.96d127d2d06b5p-6, 0x1.8e43a42bffc8p-6, 0x1.85ddbe46b217fp-6, 0x1.7d9ee93e1b427p-6, 0x1.7586991eb1204p-6, 0x1.6d9442eb544dbp-6, 0x1.65c75ca24652dp-6, 0x1.5e1f5d41caa5bp-6, 0x1.569bbcccb6c96p-6, 0x1.4f3bf44eab2b3p-6, 0x1.47ff7de01ef6cp-6, 0x1.40e5d4aa45e9dp-6, 0x1.39ee74eaa758ap-6, 0x1.3318dbf697a3ep-6, 0x1.2c64883e6d6c9p-6, 0x1.25d0f9509e273p-6, 0x1.1f5dafdc890dfp-6, 0x1.190a2db53b097p-6, 0x1.12d5f5d3dc0c1p-6, 0x1.0cc08c5a0ad58p-6, 0x1.06c9769404a38p-6, 0x1.00f03afaa35e2p-6, 0x1.f668c26a4f64p-7, 0x1.eb2ae435d2404p-7, 0x1.e025ef69add2p-7, 0x1.d558fa7d93a34p-7, 0x1.cac31e5184693p-7, 0x1.c063762fd5ee4p-7, 0x1.b6391fcf26b01p-7, 0x1.ac433b53bc4f7p-7, 0x1.a280eb50fcbdap-7, 0x1.98f154ca4b311p-7, 0x1.8f939f33e24a8p-7, 0x1.8666f47352beap-7, 0x1.7d6a80dfc2ab3p-7, 0x1.749d7342014bp-7, 0x1.6bfefcd444d02p-7, 0x1.638e5141cab0ep-7, 0x1.5b4aa6a64819ep-7, 0x1.5333358cf3a3dp-7, 0x1.4b4738ef852f7p-7, 0x1.4385ee3513b17p-7, 0x1.3bee953072c99p-7, 0x1.3480701ecc28dp-7, 0x1.2d3ac3a5b9bep-7, 0x1.261cd6d149ca4p-7, 0x1.1f25f311f4517p-7, 0x1.1855643a360d8p-7, 0x1.11aa787c3389ep-7, 0x1.0b2480671f2bfp-7, 0x1.04c2cee4626ddp-7, 0x1.fd097269be9d8p-8, 0x1.f0d32ddbb3e33p-8, 0x1.e4e183eba21e9p-8, 0x1.d9332d027b916p-8, 0x1.cdc6e61e73262p-8, 0x1.c29b70cbd9aa3p-8, 0x1.b7af931df75f5p-8, 0x1.ad0217a7af821p-8, 0x1.a291cd73b260fp-8, 0x1.985d87fcdba4cp-8, 0x1.8e641f2606646p-8, 0x1.84a46f31ef4bcp-8, 0x1.7b1d58bae8e16p-8, 0x1.71cdc0aa4da62p-8, 0x1.68b4902fad87p-8, 0x1.5fd0b4b87cc9cp-8, 0x1.57211fe6813f4p-8, 0x1.4ea4c787492c6p-8, 0x1.465aa58ac4adcp-8, 0x1.3e41b7f9df631p-8, 0x1.365900ed5df0fp-8, 0x1.2e9f868425c37p-8, 0x1.271452d9dbcb1p-8, 0x1.1fb673fd048f4p-8, 0x1.1884fbe54e31fp-8, 0x1.117f0069e7ad5p-8, 0x1.0aa39b377b771p-8, 0x1.03f1e9c61aa88p-8, 0x1.fad21a9f1ca5bp-9, 0x1.ee105589fe33ep-9, 0x1.e19cd58a1137ep-9, 0x1.d575f322df5d7p-9, 0x1.c99a0e0a6c1fap-9, 0x1.be078d1413667p-9, 0x1.b2bcde1cd06d8p-9, 0x1.a7b875f6541c9p-9, 0x1.9cf8d052a03b5p-9, 0x1.927c6faf89e03p-9, 0x1.8841dd4225ea5p-9, 0x1.7e47a8e23b1cep-9, 0x1.748c68f59784ep-9, 0x1.6b0eba5bec69bp-9, 0x1.61cd4059da83fp-9, 0x1.58c6a484f826ep-9, 0x1.4ff996aeb0fdfp-9, 0x1.4764ccd07e506p-9, 0x1.3f0702f781152p-9, 0x1.36defb2fb861bp-9, 0x1.2eeb7d704fa28p-9, 0x1.272b578742d0bp-9, 0x1.1f9d5d0555687p-9, 0x1.18406729f1bacp-9, 0x1.111354cf6f443p-9, 0x1.0a150a56f9e02p-9, 0x1.034471954555fp-9, 0x1.f940f37cbaef3p-10, 0x1.ec502ea51791cp-10, 0x1.dfb48815fb13bp-10, 0x1.d36bfd8bafe6ap-10, 0x1.c77496e7bf0bbp-10, 0x1.bbcc66098a43dp-10, 0x1.b07186a8ef8a9p-10, 0x1.a5621e30be67dp-10, 0x1.9a9c5b98d9f03p-10, 0x1.901e7741d3f28p-10, 0x1.85e6b2cfd0a02p-10, 0x1.7bf35905c0e6ap-10, 0x1.7242bda19d7e2p-10, 0x1.68d33d383701fp-10, 0x1.5fa33d115cba9p-10, 0x1.56b12b04ad6abp-10, 0x1.4dfb7d56f0584p-10, 0x1.4580b296fffe9p-10, 0x1.3d3f517b405d2p-10, 0x1.3535e8bfdc8f8p-10, 0x1.2d630f049defbp-10, 0x1.25c562ac3d867p-10, 0x1.1e5b89b9e8fcep-10, 0x1.172431b248e63p-10, 0x1.101e0f7967a56p-10, 0x1.0947df3395efdp-10, 0x1.02a064257a846p-10, 0x1.f84cd12892215p-11, 0x1.ebb17b4dd3d62p-11, 0x1.df6c768e77d73p-11, 0x1.d37b8007348b7p-11, 0x1.c7dc61e1a0fefp-11, 0x1.bc8cf318e0b84p-11, 0x1.b18b173ec8076p-11, 0x1.a6d4be426b519p-11, 0x1.9c67e4352b816p-11, 0x1.92429113e69c7p-11, 0x1.8862d88dbe745p-11, 0x1.7ec6d9cdaabd2p-11, 0x1.756cbf42b9989p-11, 0x1.6c52be6bbd6e1p-11, 0x1.637717a10b972p-11, 0x1.5ad815e025b6bp-11, 0x1.52740e982397ap-11, 0x1.4a4961768ab51p-11, 0x1.425678348e04fp-11, 0x1.3a99c6658481ap-11, 0x1.3311c945ddce1p-11, 0x1.2bbd078a58d3bp-11, 0x1.249a1131697fbp-11, 0x1.1da77f52a2b88p-11, 0x1.16e3f3f1ceed8p-11, 0x1.104e19cfbbceap-11, 0x1.09e4a43e9d32cp-11, 0x1.03a64ef445d39p-11, 0x1.fb23bbbf571e9p-12, 0x1.ef4c39f9a9151p-12, 0x1.e3c3c05603b53p-12, 0x1.d8880605699cdp-12, 0x1.cd96d1593ff65p-12, 0x1.c2edf7716135p-12, 0x1.b88b5bed8c75p-12, 0x1.ae6cf09d93bffp-12, 0x1.a490b534e2005p-12, 0x1.9af4b6fde5094p-12, 0x1.9197108f9c27cp-12, 0x1.8875e9833bdedp-12, 0x1.7f8f762da685cp-12, 0x1.76e1f754e8d6p-12, 0x1.6e6bb9ed35016p-12, 0x1.662b16d1adeccp-12, 0x1.5e1e7281df068p-12, 0x1.56443cdee2989p-12, 0x1.4e9af0e9582bep-12, 0x1.4721148137d9ep-12, 0x1.3fd538273cbe5p-12, 0x1.38b5f6bdbf4b9p-12, 0x1.31c1f54c3c9e2p-12, 0x1.2af7e2c2d04d9p-12, 0x1.245677bf983b3p-12, 0x1.1ddc765457e0fp-12, 0x1.1788a9ce260b6p-12, 0x1.1159e67cfb7ffp-12, 0x1.0b4f097d2386ap-12, 0x1.0566f881aef4bp-12, 0x1.ff41433ef6c52p-13, 0x1.f3f5f63182157p-13, 0x1.e8ea0655f8463p-13, 0x1.de1b7fb85b9p-13, 0x1.d3887d955124cp-13, 0x1.c92f29f8512cp-13, 0x1.bf0dbd5e253aep-13, 0x1.b5227e58cc613p-13, 0x1.ab6bc134c5b41p-13, 0x1.a1e7e79ee0263p-13, 0x1.9895604f03fedp-13, 0x1.8f72a6b117ba3p-13, 0x1.867e4291763e8p-13, 0x1.7db6c7cbabd4dp-13, 0x1.751ad5f8a1376p-13, 0x1.6ca9182162919p-13, 0x1.646044704d923p-13, 0x1.5c3f1be6c6b7fp-13, 0x1.54446a122faa5p-13, 0x1.4c6f04c401e9bp-13, 0x1.44bdcbca4ac6dp-13, 0x1.3d2fa8aa29aa3p-13, 0x1.35c38e5c5c606p-13, 0x1.2e787909abdfbp-13, 0x1.274d6dc982ffcp-13, 0x1.20417a6328baap-13, 0x1.1953b50e8c8b7p-13, 0x1.12833c374959fp-13, 0x1.0bcf36416ac21p-13, 0x1.0536d14f1f402p-13, 0x1.fd72860aa9df6p-14, 0x1.f0ab90ae67338p-14, 0x1.e4174a9963b62p-14, 0x1.d7b4499c610b4p-14, 0x1.cb8130e1c6bddp-14, 0x1.bf7cb085f5a2cp-14, 0x1.b3a585341fc24p-14, 0x1.a7fa77c469ebp-14, 0x1.9c7a5cdde7bcdp-14, 0x1.912414986629ep-14, 0x1.85f68a238dfafp-14, 0x1.7af0b36b9be45p-14, 0x1.701190c5dbc64p-14, 0x1.65582c99a2fd6p-14, 0x1.5ac39b0f025e2p-14, 0x1.5052f9be567d8p-14, 0x1.46056f61fc26p-14, 0x1.3bda2b895497cp-14, 0x1.31d0664fe5479p-14, 0x1.27e760120ca58p-14, 0x1.1e1e612767879p-14, 0x1.1474b99d4f9fp-14, 0x1.0ae9c0f36d2c4p-14, 0x1.017cd5da1720ep-14, 0x1.f05abbe66249dp-15, 0x1.ddf58b23abda9p-15, 0x1.cbc8fefc79e8dp-15, 0x1.b9d4097887d7p-15, 0x1.a815a89e31a58p-15, 0x1.968ce606a190dp-15, 0x1.8538d66ff56e3p-15, 0x1.7418995041401p-15, 0x1.632b58725a82ep-15, 0x1.5270478c2a838p-15, 0x1.41e6a3e196c34p-15, 0x1.318db3e147964p-15, 0x1.2164c6cbd20a5p-15, 0x1.116b34580c8b9p-15, 0x1.01a05c5b9d7b1p-15, 0x1.e4074ced41ecap-16, 0x1.c529038208beap-16, 0x1.a6a4c8f5ff22bp-16, 0x1.8879977a0c849p-16, 0x1.6aa6765ec36e7p-16, 0x1.4d2a7980251fap-16, 0x1.3004c0b57e4bfp-16, 0x1.13347747f8445p-16, 0x1.ed71a6dcf2428p-17, 0x1.b5222b920472p-17, 0x1.7d7911ccee8c9p-17, 0x1.4675019087284p-17, 0x1.1014b4e3d507p-17, 0x1.b4adedbc468ccp-18, 0x1.4a7545a170241p-18, 0x1.c2fa8dd901822p-19, 0x1.e70f90a79368dp-20, 0x1.3472b8a00b66ep-22, -0x1.47eaeac74a826p-20, -0x1.6c071b4db2ba1p-19, -0x1.18d4f53e903f2p-18, -0x1.7a70838b48582p-18, -0x1.dad7b6244a355p-18, -0x1.1d05fbaa8ed03p-17, -0x1.4c074fb77050dp-17, -0x1.7a707af64d3dap-17, -0x1.a842194de42fbp-17, -0x1.d57cbf5301d55p-17, -0x1.01107d7096342p-16, -0x1.1717a9c7e71d4p-16, -0x1.2cd42599df4f1p-16, -0x1.42462f2e598a9p-16, -0x1.576e0263068f4p-16, -0x1.6c4bd8df94a86p-16, -0x1.80dfea54e20bep-16, -0x1.952a6ca604b06p-16, -0x1.a92b942192058p-16, -0x1.bce393add7335p-16, -0x1.d0529cf82156ap-16, -0x1.e378e09e35071p-16, -0x1.f6568e59d1b95p-16, -0x1.0475ea92eb3bdp-15, -0x1.0d9c71b426ec2p-15, -0x1.169ef389c5c87p-15, -0x1.1f7d86e62de61p-15, -0x1.28384283f99a9p-15, -0x1.30cf3d1621c04p-15, -0x1.39428d5738bf8p-15, -0x1.41924a184732fp-15, -0x1.49be8a4be5226p-15, -0x1.51c7651641b12p-15, -0x1.59acf1d793031p-15, -0x1.616f48382e8d4p-15, -0x1.690e8031b17afp-15, -0x1.708ab21d25ee7p-15, -0x1.77e3f6b7d8f45p-15, -0x1.7f1a672eaade6p-15, -0x1.862e1d27cd2d2p-15, -0x1.8d1f32c89db8cp-15, -0x1.93edc2bd98e04p-15, -0x1.9a99e84270d58p-15, -0x1.a123bf27028c2p-15, -0x1.a78b63d5b9127p-15, -0x1.add0f3597218p-15, -0x1.b3f48b6140421p-15, -0x1.b9f64a466382dp-15, -0x1.bfd64f0fefafcp-15, -0x1.c594b977136bcp-15, -0x1.cb31a9e8fc619p-15, -0x1.d0ad418bb8bep-15, -0x1.d607a23f8dd28p-15, -0x1.db40eea1ea864p-15, -0x1.e0594a0ec69e5p-15, -0x1.e550d8a200f08p-15, -0x1.ea27bf3acc54bp-15, -0x1.eede237a49e06p-15, -0x1.f3742bc5b6a08p-15, -0x1.f7e9ff460ea56p-15, -0x1.fc3fc5e916e7p-15, -0x1.003ad42ff4e8p-14, -0x1.0245e8100797cp-14, -0x1.044133b17e572p-14, -0x1.062ccc9222848p-14, -0x1.0808c890900b6p-14, -0x1.09d53dec0e4d3p-14, -0x1.0b9243436bef7p-14, -0x1.0d3fef9443826p-14, -0x1.0ede5a39ba209p-14, -0x1.106d9aec8ac8p-14, -0x1.11edc9c14c47ap-14, -0x1.135eff27ab44cp-14, -0x1.14c153e8e1b25p-14, -0x1.1614e126a4ff9p-14, -0x1.1759c05a3a1a8p-14, -0x1.18900b52458d5p-14, -0x1.19b7dc326cbc3p-14, -0x1.1ad14d70bb2f7p-14, -0x1.1bdc79d4d845dp-14, -0x1.1cd97c765fb02p-14, -0x1.1dc870bb39ec4p-14, -0x1.1ea97255c6465p-14, -0x1.1f7c9d4337d4dp-14, -0x1.20420dca2064ep-14, -0x1.20f9e07832899p-14, -0x1.21a4322092868p-14, -0x1.22411fda4608p-14, -0x1.22d0c6fe46b94p-14, -0x1.23534525548a4p-14, -0x1.23c8b826555fep-14, -0x1.24313e14769d7p-14, -0x1.248cf53d51ecap-14, -0x1.24dbfc269baap-14, -0x1.251e718bebfbcp-14, -0x1.2554745dacffcp-14, -0x1.257e23be60608p-14, -0x1.259b9f0102152p-14, -0x1.25ad05a704a0fp-14, -0x1.25b2775dfd84bp-14, -0x1.25ac13fdf14c6p-14, -0x1.2599fb8712bc6p-14, -0x1.257c4e202ddb5p-14, -0x1.25532c1416f59p-14, -0x1.251eb5cff33e4p-14, -0x1.24df0be1540afp-14, -0x1.24944ef45df2bp-14, -0x1.243e9fd141e87p-14, -0x1.23de1f5ad9727p-14, -0x1.2372ee8c115aep-14, -0x1.22fd2e765bc02p-14, -0x1.227d003fcda77p-14, -0x1.21f28521123acp-14, -0x1.215dde635c673p-14, -0x1.20bf2d5ebcd2bp-14, -0x1.20169377fafa8p-14, -0x1.1f64321f1327p-14, -0x1.1ea82accf9058p-14, -0x1.1de29f0217974p-14, -0x1.1d13b04452aa3p-14, -0x1.1c3b801d123a5p-14, -0x1.1b5a3017e242ep-14, -0x1.1a6fe1c055f4p-14, -0x1.197cb6a0806c9p-14, -0x1.1880d03eefe52p-14, -0x1.177c501d56b14p-14, -0x1.166f57b6c549p-14, -0x1.155a087dffb49p-14, -0x1.143c83dba8fddp-14, -0x1.1316eb2cce1cap-14, -0x1.11e95fc177e93p-14, -0x1.10b402dac8251p-14, -0x1.0f76f5a9b6a96p-14, -0x1.0e32594d76503p-14, -0x1.0ce64ed2372ecp-14, -0x1.0b92f72f6495p-14, -0x1.0a3873460fbb3p-14, -0x1.08d6e3dfdfeb2p-14, -0x1.076e69ad6acd8p-14, -0x1.05ff2544fbaf1p-14, -0x1.048937218ed55p-14, -0x1.030cbfa0f6a2bp-14, -0x1.0189df02b22b9p-14, -0x1.0000b566f01bfp-14, -0x1.fce2c59a54c91p-15, -0x1.f9b80e25fc80fp-15, -0x1.f68183e58fc4dp-15, -0x1.f33f660533493p-15, -0x1.eff1f366ce35ap-15, -0x1.ec996a9f727e3p-15, -0x1.e93609f500533p-15, -0x1.e5c80f5c36037p-15, -0x1.e24fb8766064ap-15, -0x1.decd428fafe2p-15, -0x1.db40ea9d73f72p-15, -0x1.d7aaed3bbf581p-15, -0x1.d40b86abfd21ep-15, -0x1.d062f2d2c717dp-15, -0x1.ccb16d364580cp-15, -0x1.c8f730fcc0059p-15, -0x1.c53478eaaa55p-15, -0x1.c1697f61171a1p-15, -0x1.bd967e5c94df2p-15, -0x1.b9bbaf7340761p-15, -0x1.b5d94bd36fc66p-15, -0x1.b1ef8c423da04p-15, -0x1.adfea91abe2c6p-15, -0x1.aa06da4bb90e2p-15, -0x1.a6085756c2cebp-15, -0x1.a203574f6cf97p-15, -0x1.9df810d9f5f66p-15, -0x1.99e6ba2a0ede5p-15, -0x1.95cf8901e1cc8p-15, -0x1.91b2b2b0e44f9p-15, -0x1.8d906c12bb249p-15, -0x1.8968e98eadb43p-15, -0x1.853c5f1655908p-15, -0x1.810b00254d07cp-15, -0x1.7cd4ffbfe9718p-15, -0x1.789a9072b2458p-15, -0x1.745be4516b649p-15, -0x1.70192cf7070b2p-15, -0x1.6bd29b8444605p-15, -0x1.6788609f2dc19p-15, -0x1.633aac728b873p-15, -0x1.5ee9aead88247p-15, -0x1.5a9596837ad57p-15, -0x1.563e92aae2c57p-15, -0x1.51e4d15d2916fp-15, -0x1.4d8880565f513p-15, -0x1.4929ccd4b44dbp-15, -0x1.44c8e39859eb6p-15, -0x1.4065f0e31ceeep-15, -0x1.3c0120780dd24p-15, -0x1.379a9d9b5135ep-15, -0x1.333293120e953p-15, -0x1.2ec92b22ae3f3p-15, -0x1.2a5e8f93f9991p-15, -0x1.25f2e9ad2701dp-15, -0x1.2186623633e4fp-15, -0x1.1d192177aa004p-15, -0x1.18ab4f3a6676ep-15, -0x1.143d12c7b7b8bp-15, -0x1.0fce92e9edfcp-15, -0x1.0b5ff5ebce021p-15, -0x1.06f16198ec3e1p-15, -0x1.0282fb3de8a4p-15, -0x1.fc29cf507d7bp-16, -0x1.f34e964da512ep-16, -0x1.ea74931401644p-16, -0x1.e19c0c47c322p-16, -0x1.d8c54791037ecp-16, -0x1.cff0899cefeecp-16, -0x1.c71e161dd94a7p-16, -0x1.be4e2fcbd5eeep-16, -0x1.b58118649cfeap-16, -0x1.acb710ade5d32p-16, -0x1.a3f058759562cp-16, -0x1.9b2d2e91eba5cp-16, -0x1.926dd0e37bfdcp-16, -0x1.89b27c55bf7cap-16, -0x1.80fb6cdf10919p-16, -0x1.7848dd8236a1ep-16, -0x1.6f9b08508dfedp-16, -0x1.66f2266946101p-16, -0x1.5e4e6ffb8a022p-16, -0x1.55b01c473f01cp-16, -0x1.4d17619e16c61p-16, -0x1.4484756509de1p-16, -0x1.3bf78c1595767p-16, -0x1.3370d93efee3ep-16, -0x1.2af08f8751474p-16, -0x1.2276e0ac7d106p-16, -0x1.1a03fd85c3e1ep-16, -0x1.11981605224cp-16, -0x1.09335938c1743p-16, -0x1.00d5f54d0dc05p-16, -0x1.f1002f19ad15bp-17, -0x1.e063d8c69e5fap-17, -0x1.cfd73eba885aep-17, -0x1.bf5ab65639d27p-17, -0x1.aeee93445e28cp-17, -0x1.9e93277c53ae2p-17, -0x1.8e48c34498c48p-17, -0x1.7e0fb536b125cp-17, -0x1.6de84a429c32dp-17, -0x1.5dd2cdb1013cdp-17, -0x1.4dcf89279558ap-17, -0x1.3ddec4aa52a9p-17, -0x1.2e00c6a0f9623p-17, -0x1.1e35d3d96705p-17, -0x1.0e7e2f8b23731p-17, -0x1.fdb436b37a69ep-18, -0x1.de93aeb1fc09dp-18, -0x1.bf9b442088df4p-18, -0x1.a0cb70fbf728fp-18, -0x1.8224ac36e60a1p-18, -0x1.63a769bea3eb8p-18, -0x1.45541a8178402p-18, -0x1.272b2c77e431fp-18, -0x1.092d0aabc6975p-18, -0x1.d6b43a7c3ff3bp-19, -0x1.9b6592dba9183p-19, -0x1.606ee33b9033p-19, -0x1.25d0eabf10dcdp-19, -0x1.d718c5e1d125ap-20, -0x1.6343ffa030296p-20, -0x1.e049bf6e4499cp-21, -0x1.f6f2e1426ad66p-22, -0x1.819a1b0a79bf7p-25, 0x1.93a667bffc594p-22, 0x1.aa4aab9b554cfp-21, 0x1.44a53aec384eap-20, 0x1.b3682bc37088ep-20, 0x1.10b68a7de308p-19, 0x1.475976a82b7a2p-19, 0x1.7d9c5abc9c91cp-19, 0x1.b37ebc03dcaf5p-19, 0x1.e90024a2dbffdp-19, 0x1.0f1011c8242c8p-18, 0x1.296f2642ef596p-18, 0x1.439d1bf97b666p-18, 0x1.5d99c175645a9p-18, 0x1.7764e78b954a5p-18, 0x1.90fe6156040d1p-18, 0x1.aa66042c9cd8ep-18, 0x1.c39ba79e281ap-18, 0x1.dc9f25681e2f8p-18, 0x1.f570597099e44p-18, 0x1.070790e03a0fdp-17, 0x1.133daf3cf1e6ep-17, 0x1.1f5a78e8ca116p-17, 0x1.2b5de004f9332p-17, 0x1.3747d7b5a82f5p-17, 0x1.4318541d8ea32p-17, 0x1.4ecf4a5c0e86bp-17, 0x1.5a6cb0895741ep-17, 0x1.65f07db2106b5p-17, 0x1.715aa9d4122aap-17, 0x1.7cab2ddbd3e99p-17, 0x1.87e203a1bea09p-17, 0x1.92ff25e520203p-17, 0x1.9e0290491b14ap-17, 0x1.a8ec3f51f908cp-17, 0x1.b3bc3061ace22p-17, 0x1.be7261b5053p-17, 0x1.c90ed25f40ddp-17, 0x1.d391824809cf9p-17, 0x1.ddfa72270defp-17, 0x1.e849a381f28f4p-17, 0x1.f27f18a80bb91p-17, 0x1.fc9ad4affbffep-17, 0x1.034e6dba75918p-16, }}, 
      {{0x1.ffeab3b277be3p-1, 0x1.ffabf9f2fc2bap-1, 0x1.ff46b85ec8e32p-1, 0x1.febeb24af4685p-1, 0x1.fe17f2f89b9c6p-1, 0x1.fd566e763b774p-1, 0x1.fc7dc8b74e4ffp-1, 0x1.fb91370b84886p-1, 0x1.fa937375c7fa2p-1, 0x1.f986bbce1c4dp-1, 0x1.f86cd85a411d2p-1, 0x1.f74726cf18195p-1, 0x1.f616a799b4628p-1, 0x1.f4dc0bfb03cf9p-1, 0x1.f397c3fd79e98p-1, 0x1.f24a0ba5db0d3p-1, 0x1.f0f2f70057193p-1, 0x1.ef927cd86a8cp-1, 0x1.ee2880096774dp-1, 0x1.ecb4d76acad52p-1, 0x1.eb37546966045p-1, 0x1.e9afc866d93e5p-1, 0x1.e81e08fd8cf9p-1, 0x1.e681f3493c0e3p-1, 0x1.e4db6e5434ca8p-1, 0x1.e32a6cc84b702p-1, 0x1.e16eee0073be7p-1, 0x1.dfa8fe9591886p-1, 0x1.ddd8b87e675abp-1, 0x1.dbfe42d7cf914p-1, 0x1.da19d167d3059p-1, 0x1.d82ba3eba91e8p-1, 0x1.d634053e5c9b9p-1, 0x1.d4334a63b8ca3p-1, 0x1.d229d18137c63p-1, 0x1.d01800cd0513ep-1, 0x1.cdfe4579a6d38p-1, 0x1.cbdd12a39ef98p-1, 0x1.c9b4e0453a0f9p-1, 0x1.c7862a33cf59p-1, 0x1.c5516f28ee171p-1, 0x1.c3172fd941c29p-1, 0x1.c0d7ee1a71266p-1, 0x1.be942c18bc10cp-1, 0x1.bc4c6b9cc4e62p-1, 0x1.ba012d619af9fp-1, 0x1.b7b2f07ae27d2p-1, 0x1.b56231cac4087p-1, 0x1.b30f6b87231cdp-1, 0x1.b0bb14cd8335dp-1, 0x1.ae65a144e8defp-1, 0x1.ac0f80ccfa563p-1, 0x1.a9b91f399302p-1, 0x1.a762e419fe18ep-1, 0x1.a50d328b06091p-1, 0x1.a2b869130b036p-1, 0x1.a064e187537edp-1, 0x1.9e12f0f9d104p-1, 0x1.9bc2e7ae95c0ep-1, 0x1.9975111847adap-1, 0x1.9729b3dad96b9p-1, 0x1.94e111d3e73d2p-1, 0x1.929b682816769p-1, 0x1.9058ef54e1ddep-1, 0x1.8e19db4648392p-1, 0x1.8bde5b6fdb13ap-1, 0x1.89a69ae8b17bcp-1, 0x1.8772c089d288dp-1, 0x1.8542ef0eacc85p-1, 0x1.831745373cadfp-1, 0x1.80efddeb8b292p-1, 0x1.7eccd0603687cp-1, 0x1.7cae303bb91f5p-1, 0x1.7a940dbc33e79p-1, 0x1.787e75dd7ad4bp-1, 0x1.766d727f3767fp-1, 0x1.74610a8ae9d2cp-1, 0x1.72594219a93b9p-1, 0x1.70561a9976b78p-1, 0x1.6e5792f20b017p-1, 0x1.6c5da7a8fe9aep-1, 0x1.6a68530538c4bp-1, 0x1.68778d318ffa8p-1, 0x1.668b4c5e8e16cp-1, 0x1.64a384e34849ep-1, 0x1.62c0295d42f9ep-1, 0x1.60e12acf5a10ap-1, 0x1.5f0678bfa3d38p-1, 0x1.5d30015451902p-1, 0x1.5b5db16f85c48p-1, 0x1.598f74ca22d4bp-1, 0x1.57c5360d91a76p-1, 0x1.55fedeec85a62p-1, 0x1.543c583abb485p-1, 0x1.527d8a03bad34p-1, 0x1.50c25ba0a0a2cp-1, 0x1.4f0ab3ccf2ac1p-1, 0x1.4d5678ba85de3p-1, 0x1.4ba590247def3p-1, 0x1.49f7df61698f1p-1, 0x1.484d4b74843e5p-1, 0x1.46a5b91e25097p-1, 0x1.45010ceb5fe05p-1, 0x1.435f2b44dfb31p-1, 0x1.41bff87d02ffdp-1, 0x1.402358dd3f712p-1, 0x1.3e8930b2d4767p-1, 0x1.3cf1645ad104fp-1, 0x1.3b5bd84d79418p-1, 0x1.39c871290937ep-1, 0x1.383713bbe4754p-1, 0x1.36a7a50e2f706p-1, 0x1.351a0a6ae17cap-1, 0x1.338e29684c32ep-1, 0x1.3203e7f023f87p-1, 0x1.307b2c470c0eep-1, 0x1.2ef3dd13aacaep-1, 0x1.2d6de1654cfc5p-1, 0x1.2be920ba199fcp-1, 0x1.2a658304dd1c7p-1, 0x1.28e2f0b26d97dp-1, 0x1.276152aeb04ap-1, 0x1.25e092693d2ecp-1, 0x1.246099d9ac12cp-1, 0x1.22e15383873f5p-1, 0x1.2162aa79edaa5p-1, 0x1.1fe48a62e1251p-1, 0x1.1e66df7a48e64p-1, 0x1.1ce99694a94f3p-1, 0x1.1b6c9d2191254p-1, 0x1.19efe12dc3b92p-1, 0x1.187351651e01ap-1, 0x1.16f6dd143bb8dp-1, 0x1.157a7429dcb3p-1, 0x1.13fe07380f474p-1, 0x1.128187751eaf4p-1, 0x1.1104e6bc4a6d4p-1, 0x1.0f88178e4728bp-1, 0x1.0e0b0d118891ep-1, 0x1.0c8dbb125d4edp-1, 0x1.0b101602d5796p-1, 0x1.099212fa7c40fp-1, 0x1.0813a7b5e4774p-1, 0x1.0694ca9607606p-1, 0x1.0515729f7b446p-1, 0x1.03959779818bp-1, 0x1.0215316ceb7f7p-1, 0x1.00943962dc562p-1, 0x1.fe2551c6cabe1p-2, 0x1.fb20f42802791p-2, 0x1.f81b4f6bd996ep-2, 0x1.f5145a48c284dp-2, 0x1.f20c0ca55f0f5p-2, 0x1.ef025f947ec22p-2, 0x1.ebf74d50e5de1p-2, 0x1.e8ead138df178p-2, 0x1.e5dce7c99f976p-2, 0x1.e2cd8e9a7716ap-2, 0x1.dfbcc457d712cp-2, 0x1.dcaa88be303a7p-2, 0x1.d996dc94a844bp-2, 0x1.d681c1a7a9f5fp-2, 0x1.d36b3ac355094p-2, 0x1.d0534badcdff3p-2, 0x1.cd39f9216eb22p-2, 0x1.ca1f48c6de4a2p-2, 0x1.c703412f0ecd3p-2, 0x1.c3e5e9cd26036p-2, 0x1.c0c74af04f0c9p-2, 0x1.bda76dbd7e52cp-2, 0x1.ba865c2920d1dp-2, 0x1.b76420f0c1b16p-2, 0x1.b440c794a07a8p-2, 0x1.b11c5c514125p-2, 0x1.adf6ec18f125dp-2, 0x1.aad0848d46c64p-2, 0x1.a7a933f8a07a8p-2, 0x1.a48109479bdd9p-2, 0x1.a158140290a22p-2, 0x1.9e2e64470b12fp-2, 0x1.9b040ac149a77p-2, 0x1.97d918a5be8d8p-2, 0x1.94ad9faa95992p-2, 0x1.9181b20149287p-2, 0x1.8e5562503463cp-2, 0x1.8b28c3ac39b8ep-2, 0x1.87fbe9926f7f3p-2, 0x1.84cee7e1daadcp-2, 0x1.81a1d2d53b9a1p-2, 0x1.7e74befce2a1cp-2, 0x1.7b47c1389c936p-2, 0x1.781aeeb1ac499p-2, 0x1.74ee5cd4d8f1ap-2, 0x1.71c2214c8fabfp-2, 0x1.6e9651fb1886cp-2, 0x1.6b6b04f4e2c8p-2, 0x1.6840507ae5721p-2, 0x1.65164af519bbap-2, 0x1.61ed0aed09c2bp-2, 0x1.5ec4a7087a137p-2, 0x1.5b9d36042d21bp-2, 0x1.5876ceaebcc0ap-2, 0x1.555187e39262ap-2, 0x1.522d7885f6a9cp-2, 0x1.4f0ab77c3edf2p-2, 0x1.4be95bab129b6p-2, 0x1.48c97bf0d1faep-2, 0x1.45ab2f211553bp-2, 0x1.428e8c0048a14p-2, 0x1.3f73a93f670a6p-2, 0x1.3c5a9d77d1acep-2, 0x1.39437f27436f2p-2, 0x1.362e64abe39b6p-2, 0x1.331b644074308p-2, 0x1.300a93f8a04d3p-2, 0x1.2cfc09bd65e03p-2, 0x1.29efdb49a0c53p-2, 0x1.26e61e26ada1cp-2, 0x1.23dee7a930d26p-2, 0x1.20da4cedf6d9dp-2, 0x1.1dd862d6f40a9p-2, 0x1.1ad93e086137p-2, 0x1.17dcf2e5f4873p-2, 0x1.14e395903adaep-2, 0x1.11ed39e208eabp-2, 0x1.0ef9f36e0d662p-2, 0x1.0c09d57c7d747p-2, 0x1.091cf308ddcc6p-2, 0x1.06335ebfe861fp-2, 0x1.034d2afd89d41p-2, 0x1.006a69cb02099p-2, 0x1.fb1659ba2e8dcp-3, 0x1.f55f0b24d019ep-3, 0x1.efaf09e3b079bp-3, 0x1.ea06775227909p-3, 0x1.e46574165e945p-3, 0x1.decc201ec0bdfp-3, 0x1.d93a9a9f97f5ep-3, 0x1.d3b10210e1cb1p-3, 0x1.ce2f742c4dc2p-3, 0x1.c8b60deb6f895p-3, 0x1.c344eb8619a47p-3, 0x1.bddc2870ea39cp-3, 0x1.b87bdf5bff75ap-3, 0x1.b3242a31d8c9dp-3, 0x1.add522166509p-3, 0x1.a88edf6632d03p-3, 0x1.a35179b5cf8efp-3, 0x1.9e1d07d14a9f9p-3, 0x1.98f19fbbdff51p-3, 0x1.93cf56afc89aep-3, 0x1.8eb6411e2ae03p-3, 0x1.89a672af33d9dp-3, 0x1.849ffe424fadbp-3, 0x1.7fa2f5ee86d03p-3, 0x1.7aaf6b02f21fbp-3, 0x1.75c56e075f615p-3, 0x1.70e50ebcff6a9p-3, 0x1.6c0e5c1f44abcp-3, 0x1.67416464cfcd8p-3, 0x1.627e350082212p-3, 0x1.5dc4daa2a52c8p-3, 0x1.5915613a29f71p-3, 0x1.546fd3f608003p-3, 0x1.4fd43d46af902p-3, 0x1.4b42a6df9044p-3, 0x1.46bb19b8badep-3, 0x1.423d9e1096703p-3, 0x1.3dca3b6da63d1p-3, 0x1.3960f8a066777p-3, 0x1.3501dbc53d3cbp-3, 0x1.30acea46761e2p-3, 0x1.2c6228de54882p-3, 0x1.28219b99343c9p-3, 0x1.23eb45d7b6ff3p-3, 0x1.1fbf2a510216cp-3, 0x1.1b9d4b1509002p-3, 0x1.1785a98ee7155p-3, 0x1.137846873f5d1p-3, 0x1.0f752226ac2f3p-3, 0x1.0b7c3bf837a51p-3, 0x1.078d92ebddb73p-3, 0x1.03a9255918074p-3, 0x1.ff9de202dde3ap-4, 0x1.f7fde62631653p-4, 0x1.f07250572bca5p-4, 0x1.e8fb18b4b9f3ap-4, 0x1.e1983647109c1p-4, 0x1.da499f050c0e6p-4, 0x1.d30f47d99fafbp-4, 0x1.cbe924a94e563p-4, 0x1.c4d72857a29fbp-4, 0x1.bdd944ccb55aep-4, 0x1.b6ef6afaa7a06p-4, 0x1.b0198ae33ad39p-4, 0x1.a957939d4e407p-4, 0x1.a2a9735a71d53p-4, 0x1.9c0f176c7010dp-4, 0x1.95886c4ada3a3p-4, 0x1.8f155d988f24p-4, 0x1.88b5d62944936p-4, 0x1.8269c0070b062p-4, 0x1.7c310477ccb85p-4, 0x1.760b8c02c6dc5p-4, 0x1.6ff93e75ff4d6p-4, 0x1.69fa02ebb22b6p-4, 0x1.640dbfcfb83f6p-4, 0x1.5e345ae4e927cp-4, 0x1.586db94a6bec9p-4, 0x1.52b9bf8108cf5p-4, 0x1.4d1851706b9f1p-4, 0x1.4789526c5b7f5p-4, 0x1.420ca539eb4a5p-4, 0x1.3ca22c149997dp-4, 0x1.3749c8b36a40fp-4, 0x1.32035c4dedc6p-4, 0x1.2ccec7a140c8dp-4, 0x1.27abeaf4fbb2bp-4, 0x1.229aa6201446ep-4, 0x1.1d9ad88db33edp-4, 0x1.18ac6141f98a2p-4, 0x1.13cf1edeb423dp-4, 0x1.0f02efa80baedp-4, 0x1.0a47b18912a59p-4, 0x1.059d4218573b6p-4, 0x1.01037e9c54b22p-4, 0x1.f8f4881fc03a7p-5, 0x1.f002de4cff016p-5, 0x1.e731b8a15d49dp-5, 0x1.de80cf8033124p-5, 0x1.d5efdad779f34p-5, 0x1.cd7e9227fa3dap-5, 0x1.c52cac8d55f7fp-5, 0x1.bcf9e0c5dc9e4p-5, 0x1.b4e5e53a577edp-5, 0x1.acf07005a63ccp-5, 0x1.a51936fc2a6a9p-5, 0x1.9d5fefb329ff3p-5, 0x1.95c44f87f8cbp-5, 0x1.8e460ba70ap-5, 0x1.86e4d912d781bp-5, 0x1.7fa06caaa9e41p-5, 0x1.78787b31379a8p-5, 0x1.716cb95323c81p-5, 0x1.6a7cdbad581e3p-5, 0x1.63a896d340d33p-5, 0x1.5cef9f54d42cp-5, 0x1.5651a9c48db5bp-5, 0x1.4fce6abd329b8p-5, 0x1.496596e77bf36p-5, 0x1.4316e2ffa1068p-5, 0x1.3ce203dab327ap-5, 0x1.36c6ae6be2ab9p-5, 0x1.30c497c997318p-5, 0x1.2adb7532732a2p-5, 0x1.250afc12272a2p-5, 0x1.1f52e2062a258p-5, 0x1.19b2dce24e215p-5, 0x1.142aa2b53beafp-5, 0x1.0eb9e9ccbf4edp-5, 0x1.096068b9fdd95p-5, 0x1.041dd6558cdedp-5, 0x1.fde3d386bbfe3p-6, 0x1.f3b8b4ed2f35fp-6, 0x1.e9b9c06a959dp-6, 0x1.dfe6663806232p-6, 0x1.d63e174289ea3p-6, 0x1.ccc04531bef92p-6, 0x1.c36c626e543c2p-6, 0x1.ba41e2284b1c4p-6, 0x1.b140385cf420dp-6, 0x1.a866d9dcb4aep-6, 0x1.9fb53c5094777p-6, 0x1.972ad63fa92c7p-6, 0x1.8ec71f14194a6p-6, 0x1.86898f202760cp-6, 0x1.7e719fa2ce26ep-6, 0x1.767ecacc52b72p-6, 0x1.6eb08bc293f0dp-6, 0x1.67065ea51d55cp-6, 0x1.5f7fc0911af0dp-6, 0x1.581c2fa50bcc1p-6, 0x1.50db2b045082ep-6, 0x1.49bc32da8aaebp-6, 0x1.42bec85ec0835p-6, 0x1.3be26dd662293p-6, 0x1.3526a69816cc4p-6, 0x1.2e8af70e6e38ep-6, 0x1.280ee4ba5107bp-6, 0x1.21b1f63562025p-6, 0x1.1b73b33414f08p-6, 0x1.1553a487c12dp-6, 0x1.0f5154206f441p-6, 0x1.096c4d0e9932dp-6, 0x1.03a41b84a9ea1p-6, 0x1.fbf099b0dd7b3p-7, 0x1.f0d0df08bbcecp-7, 0x1.e5e8265160016p-7, 0x1.db359118dc73ap-7, 0x1.d0b8433c7735fp-7, 0x1.c66f62ea55e05p-7, 0x1.bc5a18a28bc9ap-7, 0x1.b2778f3829a74p-7, 0x1.a8c6f3d214e11p-7, 0x1.9f4775eb64744p-7, 0x1.95f84753c0a76p-7, 0x1.8cd89c2f75559p-7, 0x1.83e7aaf752f89p-7, 0x1.7b24ac785b9fbp-7, 0x1.728edbd31e45fp-7, 0x1.6a25767b1d6adp-7, 0x1.61e7bc35c513cp-7, 0x1.59d4ef1960cddp-7, 0x1.51ec538bc8802p-7, 0x1.4a2d3040efb0cp-7, 0x1.4296ce3944a6ep-7, 0x1.3b2878bfdbe79p-7, 0x1.33e17d688c7e3p-7, 0x1.2cc12c0dcd5d1p-7, 0x1.25c6d6ce7282ap-7, 0x1.1ef1d20b59fp-7, 0x1.18417464d3ccep-7, 0x1.11b516b8074f4p-7, 0x1.0b4c141c1e371p-7, 0x1.0505c9df6c592p-7, 0x1.fdc32f08ad21ep-8, 0x1.f1bdbd7c8e22p-8, 0x1.e5fa06dcafe8dp-8, 0x1.da76d740102c4p-8, 0x1.cf32ff0b840e5p-8, 0x1.c42d52eaae649p-8, 0x1.b964abc8a4a68p-8, 0x1.aed7e6c88fa3cp-8, 0x1.a485e53e07d39p-8, 0x1.9a6d8ca5413bp-8, 0x1.908dc69b3361fp-8, 0x1.86e580d574b89p-8, 0x1.7d73ad1a20afp-8, 0x1.743741374f766p-8, 0x1.6b2f36fadd223p-8, 0x1.625a8c29a0abfp-8, 0x1.59b84276dea39p-8, 0x1.51475f7b74a86p-8, 0x1.4906ecacf056ep-8, 0x1.40f5f754a906p-8, 0x1.3913908690e6ap-8, 0x1.315ecd1829998p-8, 0x1.29d6c5975aa76p-8, 0x1.227a96410dfd3p-8, 0x1.1b495ef7e4e56p-8, 0x1.1442433aed01p-8, 0x1.0d646a1bfc96dp-8, 0x1.06aefe366ede1p-8, 0x1.00212da57f2d3p-8, 0x1.f37453f56c591p-9, 0x1.e6f25068dbaacp-9, 0x1.dabac16827b79p-9, 0x1.cecc1e6943269p-9, 0x1.c324e581eb6bp-9, 0x1.b7c39b5414d2ap-9, 0x1.aca6cafaeb32cp-9, 0x1.a1cd05f74ae91p-9, 0x1.9734e41c65362p-9, 0x1.8cdd037c71898p-9, 0x1.82c408556e92p-9, 0x1.78e89cfdab92p-9, 0x1.6f4971d09ae2dp-9, 0x1.65e53d1ba9897p-9, 0x1.5cbabb0adc3ebp-9, 0x1.53c8ad95dd9f3p-9, 0x1.4b0ddc6cb519p-9, 0x1.428914e4dabc7p-9, 0x1.3a3929e63eaa5p-9, 0x1.321cf3d861f5ep-9, 0x1.2a33508f53f11p-9, 0x1.227b233973608p-9, 0x1.1af3544c1cf7ep-9, 0x1.139ad171a7aa3p-9, 0x1.0c708d76abb5p-9, 0x1.0573803788b8dp-9, 0x1.fd454d1cd3d57p-10, 0x1.effa0481bfc21p-10, 0x1.e30333dc13d9p-10, 0x1.d65ef1f8e023fp-10, 0x1.ca0b5f10706c6p-10, 0x1.be06a4a34fb34p-10, 0x1.b24ef556cb4dcp-10, 0x1.a6e28cd1d5b64p-10, 0x1.9bbfaf9b0cf89p-10, 0x1.90e4aaf5ca8bcp-10, 0x1.864fd4c055a7ap-10, 0x1.7bff8b51cfcb9p-10, 0x1.71f235592afc3p-10, 0x1.682641bb1e2bcp-10, 0x1.5e9a2771f704cp-10, 0x1.554c656c82a45p-10, 0x1.4c3b826dbb5d7p-10, 0x1.43660cecc0caep-10, 0x1.3aca9af515afdp-10, 0x1.3267ca070c018p-10, 0x1.2a3c3ef891c58p-10, 0x1.2246a5d6a3708p-10, 0x1.1a85b1c668b51p-10, 0x1.12f81ce75e687p-10, 0x1.0b9ca834cb229p-10, 0x1.04721b68ba548p-10, 0x1.faee89bd64b4ap-11, 0x1.ed55f2ec69766p-11, 0x1.e01828ed55f66p-11, 0x1.d332eee5c97ecp-11, 0x1.c6a4145a59dbap-11, 0x1.ba6974f6d459fp-11, 0x1.ae80f8581ead9p-11, 0x1.a2e891d58b551p-11, 0x1.979e404c5166ep-11, 0x1.8ca00de9c836ep-11, 0x1.81ec0ff819f15p-11, 0x1.778066ab0ef9bp-11, 0x1.6d5b3cebed86ep-11, 0x1.637ac8290b73fp-11, 0x1.59dd48230bc9ep-11, 0x1.508106bc78721p-11, 0x1.476457c9c090ap-11, 0x1.3e8598e1051a6p-11, 0x1.35e3312bf697ep-11, 0x1.2d7b91392f2cdp-11, 0x1.254d32ce49c69p-11, 0x1.1d5698bb461b8p-11, 0x1.15964eadfdc75p-11, 0x1.0e0ae9060d98ep-11, 0x1.06b304a9e0749p-11, 0x1.ff1a8db919f86p-12, 0x1.f130ba2717281p-12, 0x1.e3a5f99aa108ap-12, 0x1.d677c6d199d2fp-12, 0x1.c9a3abfa0bdecp-12, 0x1.bd274264920f5p-12, 0x1.b1003233fc485p-12, 0x1.a52c3213f4521p-12, 0x1.99a906ea9c82bp-12, 0x1.8e7483901ed24p-12, 0x1.838c888526f5bp-12, 0x1.78ef03aa33bfep-12, 0x1.6e99eff9646aap-12, 0x1.648b55407683dp-12, 0x1.5ac147dc48f67p-12, 0x1.5139e87535736p-12, 0x1.47f363bce2597p-12, 0x1.3eebf22cee248p-12, 0x1.3621d7c6f8c9fp-12, 0x1.2d9363d436307p-12, 0x1.253ef0a8e4d9ap-12, 0x1.1d22e366199afp-12, 0x1.153dabbe767c2p-12, 0x1.0d8dc3ba2d713p-12, 0x1.0611af7e27debp-12, 0x1.fd8ffa2521e3ep-13, 0x1.ef5e8854cd0f8p-13, 0x1.e18c4bda11925p-13, 0x1.d416997fcc4dfp-13, 0x1.c6fad8226eb48p-13, 0x1.ba368047dd135p-13, 0x1.adc71bb93c437p-13, 0x1.a1aa451d7632dp-13, 0x1.95dda798d4dddp-13, 0x1.8a5efe68dc382p-13, 0x1.7f2c1487f9fc2p-13, 0x1.7442c44d30db8p-13, 0x1.69a0f7134a533p-13, 0x1.5f44a4dbfe797p-13, 0x1.552bd3fa4dc38p-13, 0x1.4b5498b9cec66p-13, 0x1.41bd150af2e19p-13, 0x1.3863782f7625fp-13, 0x1.2f45fe68a39c4p-13, 0x1.2662f0a67552ap-13, 0x1.1db8a43a1f03p-13, 0x1.15457a87acbcep-13, 0x1.0d07e0bb69d49p-13, 0x1.04fe4f7f55561p-13, 0x1.fa4e956592d4ep-14, 0x1.eb02c2461f421p-14, 0x1.dc16588e5728dp-14, 0x1.cd869ff1721e9p-14, 0x1.bf50f4676f6cfp-14, 0x1.b172c5a647e27p-14, 0x1.a3e996a370f11p-14, 0x1.96b2fd15d850dp-14, 0x1.89cca0fa1d926p-14, 0x1.7d343c19fad93p-14, 0x1.70e7999802e87p-14, 0x1.64e4957a20276p-14, 0x1.59291c39c7b6fp-14, 0x1.4db32a5411258p-14, 0x1.4280cbde7625cp-14, 0x1.37901c1bd1249p-14, 0x1.2cdf4515b60f6p-14, 0x1.226c7f364c44bp-14, 0x1.183610e54b0f2p-14, 0x1.0e3a4e278635bp-14, 0x1.047798402d98cp-14, 0x1.f5d8baa51adc8p-15, 0x1.e32e3011e70c4p-15, 0x1.d0ec9e762c8e7p-15, 0x1.bf112b304bb8ap-15, 0x1.ad9912a24c519p-15, 0x1.9c81a78d4c5f8p-15, 0x1.8bc85270bde78p-15, 0x1.7b6a90ec3bf6ap-15, 0x1.6b65f523b844fp-15, 0x1.5bb8252b9e461p-15, 0x1.4c5eda72e1b88p-15, 0x1.3d57e133e0f68p-15, 0x1.2ea117e973e47p-15, 0x1.20386ec371f5fp-15, 0x1.121be7240c496p-15, 0x1.0449931ad09b2p-15, 0x1.ed7f29cdc78cap-16, 0x1.d2f83cf4ea03p-16, 0x1.b8fae202cd1f1p-16, 0x1.9f83b8d602c4p-16, 0x1.868f7dedc395dp-16, 0x1.6e1b098a27064p-16, 0x1.56234ecf41938p-16, 0x1.3ea55aecfb6e5p-16, 0x1.279e5454848ddp-16, 0x1.110b79e8df5bp-16, 0x1.f5d4447528e3bp-17, 0x1.ca6f7590b0e01p-17, 0x1.9fe38e890dfb5p-17, 0x1.762bc1a9e6a33p-17, 0x1.4d436adc37d3p-17, 0x1.25260e361dc8bp-17, 0x1.fb9ead605595ap-18, 0x1.ae7629c69f042p-18, 0x1.62ca7b7dd46fp-18, 0x1.1893d2ae06319p-18, 0x1.9f9546c7ad9c1p-19, 0x1.10cf4696fe4ebp-19, 0x1.098f1da831749p-20, -0x1.23df013f50527p-25, -0x1.1685fed656ca7p-20, -0x1.0f5faeb69b36cp-19, -0x1.90f1cf4db359p-19, -0x1.08029e3b65c98p-18, -0x1.4652b58eaf4afp-18, -0x1.836eb6c0d8418p-18, -0x1.bf5bfb62628f8p-18, -0x1.fa1faf2b18c1ep-18, -0x1.19df68dab8becp-17, -0x1.361f1c0b7a135p-17, -0x1.51d1473c4b28fp-17, -0x1.6cf82cd0522b6p-17, -0x1.8795fc3815b0fp-17, -0x1.a1acd2a682d7ap-17, -0x1.bb3ebbcca0e01p-17, -0x1.d44db2839c9ccp-17, -0x1.ecdba1712fd85p-17, -0x1.027531da57e46p-16, -0x1.0e3de2be313f6p-16, -0x1.19c8c25041f2ep-16, -0x1.2516a89efdc04p-16, -0x1.3028671e9a29p-16, -0x1.3afec8f3db049p-16, -0x1.459a9332e450ap-16, -0x1.4ffc8523e4a47p-16, -0x1.5a25587f2647fp-16, -0x1.6415c1ac4e8b3p-16, -0x1.6dce6ffbe14d5p-16, -0x1.77500de0f91e7p-16, -0x1.809b412807e3bp-16, -0x1.89b0ab2bba76ep-16, -0x1.9290e909e9f64p-16, -0x1.9b3c93d311667p-16, -0x1.a3b440ba3e8b5p-16, -0x1.abf88144688dfp-16, -0x1.b409e374ba3f9p-16, -0x1.bbe8f1f67da31p-16, -0x1.c39634482640dp-16, -0x1.cb122ee11183fp-16, -0x1.d25d63596fc5fp-16, -0x1.d978508ca0613p-16, -0x1.e06372c02ac89p-16, -0x1.e71f43c3f07a8p-16, -0x1.edac3b1204288p-16, -0x1.f40acdf1b200dp-16, -0x1.fa3b6f91f2ef1p-16, -0x1.001f489461643p-15, -0x1.030a5106be3e7p-15, -0x1.05df07ea6c1c1p-15, -0x1.089da334ee33cp-15, -0x1.0b465813d8816p-15, -0x1.0dd95af7847c1p-15, -0x1.1056df9f5ac29p-15, -0x1.12bf1923ded7ap-15, -0x1.15123a0166b9ep-15, -0x1.17507421163f7p-15, -0x1.1979f8e3d6169p-15, -0x1.1b8ef929d9272p-15, -0x1.1d8fa55ba1a8p-15, -0x1.1f7c2d7270542p-15, -0x1.2154c0ffcdc1ep-15, -0x1.23198f33b1ed4p-15, -0x1.24cac6e5ef43ep-15, -0x1.2668969a48ebcp-15, -0x1.27f32c8868e95p-15, -0x1.296ab6a0fa86fp-15, -0x1.2acf6293fcbfp-15, -0x1.2c215dd53c4f2p-15, -0x1.2d60d5a1ecf1ep-15, -0x1.2e8df7048ea5fp-15, -0x1.2fa8eeda6be23p-15, -0x1.30b1e9d6df9d5p-15, -0x1.31a91487faf98p-15, -0x1.328e9b597fff7p-15, -0x1.3362aa988f691p-15, -0x1.34256e76d17a4p-15, -0x1.34d7130d96342p-15, -0x1.3577c45f8c85cp-15, -0x1.3607ae5c8ce9cp-15, -0x1.3686fce355ffp-15, -0x1.36f5dbc3c56d6p-15, -0x1.375476c0096cp-15, -0x1.37a2f99012052p-15, -0x1.37e18fe11f984p-15, -0x1.3810655803503p-15, -0x1.382fa5930e888p-15, -0x1.383f7c2a2d76cp-15, -0x1.384014b03aeabp-15, -0x1.38319ab41cef5p-15, -0x1.381439c0dfcffp-15, -0x1.37e81d5e7ad04p-15, -0x1.37ad7112724d2p-15, -0x1.3764605fa7194p-15, -0x1.370d16c6f7e5cp-15, -0x1.36a7bfc74706p-15, -0x1.363486dd87682p-15, -0x1.35b397843a28p-15, -0x1.35251d33e79e6p-15, -0x1.348943622eb44p-15, -0x1.33e03581ef669p-15, -0x1.332a1f029081bp-15, -0x1.32672b4f28897p-15, -0x1.319785cedbc26p-15, -0x1.30bb59e354ebcp-15, -0x1.2fd2d2e895b0fp-15, -0x1.2ede1c33d7df3p-15, -0x1.2ddd611307bb1p-15, -0x1.2cd0cccb60658p-15, -0x1.2bb88a9917e9ap-15, -0x1.2a94c5ae49747p-15, -0x1.2965a931b1129p-15, -0x1.282b603dd9477p-15, -0x1.26e615e04901ap-15, -0x1.2595f517fbf81p-15, -0x1.243b28d45d19p-15, -0x1.22d5dbf3ab72fp-15, -0x1.21663942cd2bap-15, -0x1.1fec6b7b6c5a7p-15, -0x1.1e689d42ec0f8p-15, -0x1.1cdaf928e27e6p-15, -0x1.1b43a9a622325p-15, -0x1.19a2d91b95807p-15, -0x1.17f8b1d0651c7p-15, -0x1.16455df170449p-15, -0x1.1489078f3cef5p-15, -0x1.12c3d89d32b77p-15, -0x1.10f5faf0362ccp-15, -0x1.0f1f983d37e48p-15, -0x1.0d40da17e115ap-15, -0x1.0b59e9f156e6cp-15, -0x1.096af1172d4c4p-15, -0x1.077418b167c8p-15, -0x1.057589c1c0f22p-15, -0x1.036f6d22319c6p-15, -0x1.0161eb83bfa83p-15, -0x1.fe9a5ada12416p-16, -0x1.fa62b6723f5a1p-16, -0x1.f61d3a2cc2417p-16, -0x1.f1ca360a9dee9p-16, -0x1.ed69f9ae4b5c7p-16, -0x1.e8fcd4584282bp-16, -0x1.e48314e64d65ap-16, -0x1.dffd09d0281d5p-16, -0x1.db6b0125c71f6p-16, -0x1.d6cd488cc83e1p-16, -0x1.d2242d3ddbb9fp-16, -0x1.cd6ffc02d98cp-16, -0x1.c8b10134423e9p-16, -0x1.c3e788b7b1e43p-16, -0x1.bf13ddfcfb56cp-16, -0x1.ba364bfc674c7p-16, -0x1.b54f1d351bc69p-16, -0x1.b05e9bab2239bp-16, -0x1.ab6510e47a273p-16, -0x1.a662c5e827006p-16, -0x1.a158033b97c77p-16, -0x1.9c4510e136d89p-16, -0x1.972a3656d9fe9p-16, -0x1.9207ba93c7e26p-16, -0x1.8cdde406db054p-16, -0x1.87acf895313efp-16, -0x1.82753d9852521p-16, -0x1.7d36f7dcec62dp-16, -0x1.77f26ba0f6f1p-16, -0x1.72a7dc92b75d3p-16, -0x1.6d578dcf31b59p-16, -0x1.6801c1e08d434p-16, -0x1.62a6babd38c3ap-16, -0x1.5d46b9c62f40cp-16, -0x1.57e1ffc60de18p-16, -0x1.5278ccef6ac5ep-16, -0x1.4d0b60dc9fb47p-16, -0x1.4799fa8e3c58p-16, -0x1.4224d86a11f98p-16, -0x1.3cac3839c8542p-16, -0x1.3730572a4ee91p-16, -0x1.31b171cb5f9dep-16, -0x1.2c2fc40dd6515p-16, -0x1.26ab894382bd8p-16, -0x1.2124fc1e549e4p-16, -0x1.1b9c56afd4397p-16, -0x1.1611d26864dbdp-16, -0x1.1085a8163307cp-16, -0x1.0af80fe4edd6fp-16, -0x1.0569415d19524p-16, -0x1.ffb2e6c8143cfp-17, -0x1.f491b8772b017p-17, -0x1.e96f6301db121p-17, -0x1.de4c50591295fp-17, -0x1.d328e924ad2b9p-17, -0x1.c80594c1af637p-17, -0x1.bce2b942aa309p-17, -0x1.b1c0bb6ebbd2fp-17, -0x1.a69ffec13c413p-17, -0x1.9b80e56ad62f2p-17, -0x1.9063d050781dep-17, -0x1.85491f0b4e98p-17, -0x1.7a312fe8ba1b4p-17, -0x1.6f1c5fe9fcf3p-17, -0x1.640b0ac4a019dp-17, -0x1.58fd8ae3fe19ap-17, -0x1.4df43967e5dabp-17, -0x1.42ef6e25c6415p-17, -0x1.37ef7fa9045c2p-17, -0x1.2cf4c33327c71p-17, -0x1.21ff8cbcd8befp-17, -0x1.17102ef67bc62p-17, -0x1.0c26fb48ca8cap-17, -0x1.014441d5b375fp-17, -0x1.ecd0a2f252891p-18, -0x1.d726ef94cb42fp-18, -0x1.c18c02380415ep-18, -0x1.ac0070fbf3334p-18, -0x1.9684cf7b4d1aep-18, -0x1.8119aece16a2dp-18, -0x1.6bbf9d8d765aep-18, -0x1.567727d61a316p-18, -0x1.4140d749acfeap-18, -0x1.2c1d3312d9c6p-18, -0x1.170cbfe5929d9p-18, -0x1.021000037a411p-18, -0x1.da4ee67f5c81ep-19, -0x1.b0a72dff531e1p-19, -0x1.8729cc81cd054p-19, -0x1.5dd7b33447f08p-19, -0x1.34b1ce7e0513dp-19, -0x1.0bb90608df263p-19, -0x1.c5dc7990c6c59p-20, -0x1.74a4a1f8a3f72p-20, -0x1.23cc38793532fp-20, -0x1.a6a9cdf0706aep-21, -0x1.06809c46e4d5dp-21, -0x1.9c802c5647b49p-23, 0x1.bba645dc8be7dp-24, 0x1.aa75a8a9eabbcp-22, 0x1.722f1ece36313p-21, 0x1.07276087e17c7p-20, 0x1.54cb72d5ae7bap-20, 0x1.a2026460cd8f6p-20, 0x1.eecadbf111877p-20, 0x1.1d91c47a276eep-19, 0x1.438591b47e6f8p-19, 0x1.694035e617429p-19, 0x1.8ec11588d86d8p-19, 0x1.b407994418151p-19, 0x1.d9132de584b73p-19, 0x1.fde3445acdda8p-19, 0x1.113ba8d1272dfp-18, 0x1.2367676481143p-18, 0x1.35749c6e5b671p-18, 0x1.476308709e3cdp-18, 0x1.59326de64de32p-18, 0x1.6ae2913c5632cp-18, 0x1.7c7338ce343edp-18, 0x1.8de42ce1a386cp-18, 0x1.9f35379fe2a2p-18, 0x1.b066251259c3fp-18, 0x1.c176c31e1002dp-18, 0x1.d266e17c73362p-18, 0x1.e33651b916593p-18, 0x1.f3e4e72bf4b8dp-18, 0x1.02393b7aa0942p-17, 0x1.0a6f6bfbdc3aap-17, 0x1.1294f169cca73p-17, 0x1.1aa9b8f0aef37p-17, 0x1.22adb096c0d42p-17, 0x1.2aa0c739fd66ap-17, 0x1.3282ec8d1d57ep-17, 0x1.3a541115e3cf6p-17, 0x1.4214262992823p-17, 0x1.49c31deafeb26p-17, 0x1.5160eb488cad5p-17, 0x1.58ed81f926b9bp-17, 0x1.6068d679c99d5p-17, 0x1.67d2de0b3b5c9p-17, 0x1.6f2b8eaf708d7p-17, 0x1.7672df2719706p-17, 0x1.7da8c6eedb73dp-17, 0x1.84cd3e3db397cp-17, 0x1.8be03e02458eap-17, 0x1.92e1bfdfc31b8p-17, 0x1.99d1be2c0f0c6p-17, 0x1.a0b033eccb815p-17, 0x1.a77d1cd5715f8p-17, 0x1.ae387544fd1f5p-17, 0x1.b4e23a43228b4p-17, 0x1.bb7a697da5f82p-17, 0x1.c2010146e5919p-17, 0x1.c8760092491aap-17, 0x1.ced966f273514p-17, 0x1.d52b34979baccp-17, 0x1.db6b6a4b94e99p-17, 0x1.e19a0970c8302p-17, 0x1.e7b713ff6d26ep-17, 0x1.edc28c83779a8p-17, 0x1.f3bc7619b42e1p-17, 0x1.f9a4d46d9c127p-17, 0x1.ff7babb74e355p-17, 0x1.02a0805c91c7ep-16, 0x1.057a6c5eebf2p-16, 0x1.084b9ccadf76fp-16, 0x1.0b1414ca3f14cp-16, 0x1.0dd3d7c76ed41p-16, 0x1.108ae96c4de39p-16, 0x1.13394da16c1cfp-16, 0x1.15df088c7b8a2p-16, 0x1.187c1e8f53796p-16, 0x1.1b1094470c111p-16, 0x1.1d9c6e8aaba3ep-16, 0x1.201fb26a6c0ffp-16, 0x1.229a652e624f3p-16, 0x1.250c8c5565712p-16, 0x1.27762d9447bap-16, 0x1.29d74ed4baba4p-16, 0x1.2c2ff6340548cp-16, 0x1.2e802a021b7c3p-16, 0x1.30c7f0c0f49ccp-16, 0x1.330751231ff87p-16, 0x1.353e520aed6f6p-16, 0x1.376cfa898796ep-16, 0x1.399351dda618ap-16, 0x1.3bb15f72d1a11p-16, 0x1.3dc72ae0973a7p-16, 0x1.3fd4bbe94d687p-16, 0x1.41da1a791f299p-16, 0x1.43d74ea52d4e7p-16, 0x1.45cc60aad6022p-16, 0x1.47b958ee79e62p-16, 0x1.499e3ffab5e99p-16, 0x1.4b7b1e7f90e0cp-16, 0x1.4d4ffd514382fp-16, 0x1.4f1ce567d4f98p-16, 0x1.50e1dfddc834ap-16, 0x1.529ef5ef67c62p-16, 0x1.545430f9fcd74p-16, 0x1.56019a7acb07cp-16, 0x1.57a73c0e6cdbep-16, 0x1.59451f6fe02e8p-16, 0x1.5adb4e77a053ap-16, 0x1.5c69d31ae4fbap-16, 0x1.5df0b76af542ap-16, 0x1.5f70059431f94p-16, 0x1.60e7c7dd50ed3p-16, 0x1.625808a69a5aap-16, 0x1.63c0d2691db8ep-16, 0x1.65222fb5df515p-16, 0x1.667c2b3564f54p-16, 0x1.67cecfa69acdbp-16, 0x1.691a27de4e0d2p-16, 0x1.6a5e3ec640961p-16, 0x1.6b9b1f5c8be54p-16, 0x1.6cd0d4b32b9d8p-16, 0x1.6dff69eeab945p-16, 0x1.6f26ea46209d6p-16, 0x1.70476101f4225p-16, 0x1.7160d97b94df6p-16, 0x1.72735f1ca3c28p-16, 0x1.737efd5e59b74p-16, 0x1.7483bfc8df096p-16, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      22, 0x1.f333333333333p+1, 0x1.c00343faf8a8cp+1, 0x1.81126c6e97b9ap+2, -0x1.1d4ee08774e1cp-8, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.2d48508c06e44p-6, -0x1.460ae7fb44e77p-4, 0x1.1d4b9f56774acp-3, -0x1.9c38c9f75ee2ap-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.e325c34e0dae1p-7, -0x1.10133f6382e05p-4, 0x1.fcc1ed2e39f32p-4, -0x1.9c73dd230fa74p-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.801483b84a587p-7, -0x1.c095ed89d2b7fp-5, 0x1.bee3bf35c466fp-4, -0x1.9b8790744c0d2p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.2ee3a6fef6ff4p-7, -0x1.6d6173b4039dep-5, 0x1.812903245297fp-4, -0x1.9efdb003aa382p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.da33e3948db85p-8, -0x1.2692d0985317cp-5, 0x1.42e95bf092a96p-4, -0x1.852430676d465p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.7082efe210572p-8, -0x1.d7a817775ce14p-6, 0x1.088a54addbdf1p-4, -0x1.4df466a6b58b9p-4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.1c1806f29aacap-8, -0x1.77dbee6f23f9ep-6, 0x1.ace4f0f68146ep-5, -0x1.1b3b0a0eb9224p-4}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.b1ddee6458725p-9, -0x1.2a93c11a70f4cp-6, 0x1.57ecd4587cf03p-5, -0x1.ce21e9d5894f6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4744cf93aa5a6p-9, -0x1.d972c11555551p-7, 0x1.129af14541f0ap-5, -0x1.6866a99be9d6fp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.e5af627ed9bb2p-10, -0x1.766b0e9f96743p-7, 0x1.b917160ef0ee1p-6, -0x1.f652648229d32p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.608e895c06564p-10, -0x1.25bc27e11ca7fp-7, 0x1.6dbded61d10e9p-6, -0x1.7dec4c2adb7f7p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f1db7417e6dfp-11, -0x1.c4a182736c458p-8, 0x1.3474152830218p-6, -0x1.677da87a7a7bcp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.540b0ec173264p-11, -0x1.5408c4299503ep-8, 0x1.fd0f44920851ap-7, -0x1.4262bbadf649bp-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.be3465d878048p-12, -0x1.efc9ab5b8246bp-9, 0x1.9c580c443e6e3p-7, -0x1.2136701c56266p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.169039f689c02p-12, -0x1.5c33f4db82f48p-9, 0x1.4594843bbe2fcp-7, -0x1.fdf7d17692cbdp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.4693d5f428405p-13, -0x1.d28a3574be406p-10, 0x1.f22b7cd3e9efbp-8, -0x1.ba175eba14b1ep-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.608e895c065afp-14, -0x1.25cc22cefb83cp-10, 0x1.6d8ae068e3b9ap-8, -0x1.7600f38602938p-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.540b0ec173353p-15, -0x1.540a909793152p-11, 0x1.faaec84e2c4ecp-9, -0x1.322dce2aa6a38p-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.169039f689db1p-16, -0x1.5c38230f53aa7p-12, 0x1.42f9b30161ebap-9, -0x1.db0713c805c3ep-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.608e895c06e4p-18, -0x1.25af40f0497cap-13, 0x1.68ef26f126c94p-10, -0x1.57e4f6e397c15p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.169039f68bffep-20, -0x1.5de336b6ac2a5p-15, 0x1.3531f26acaac2p-11, -0x1.7b4ed2649b349p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.169039f6acp-24, -0x1.29f2065ba78fcp-18, 0x1.467103ece95fep-13, -0x1.fb9f6e6e03a42p-9}, 
      }}, 
      0x1.dda86810857ep-5, -0x1.701b4a1a2ffdp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.4f34f0f224455p-1, 0x1.5125cb9f08ef3p-1, 0x1.541324479c991p-1, 0x1.57c6cb58c70dfp-1, 0x1.5c1250c3d179ep-1, 0x1.60cdfe0856d3fp-1, 0x1.65d7f04c355p-1, 0x1.6b13506bdf25dp-1, 0x1.7067a5f1acd4ep-1, 0x1.75c041a16b439p-1, 0x1.7b0bbc64e75eep-1, 0x1.803b87b5cfb8ap-1, 0x1.85438cfeb9fe7p-1, 0x1.8a19d9c90bd53p-1, 0x1.8eb656e26bce5p-1, 0x1.931288e019dcbp-1, 0x1.972958a39a0b5p-1, 0x1.9af6e2aa17321p-1, 0x1.9e784c128614ap-1, 0x1.a1ab9c9ba4766p-1, 0x1.a48f9d1e117f4p-1, 0x1.a723ba779a69bp-1, 0x1.a967ed0ec0fdp-1, 0x1.ab5ca4e0eff5ep-1, 0x1.ad02b97f16c28p-1, 0x1.ae5b5cd513344p-1, 0x1.af680f5ac4734p-1, 0x1.b02a949912c1ep-1, 0x1.b0a4e7b70c889p-1, 0x1.b0d9308500e4cp-1, 0x1.b0c9b992d288ep-1, 0x1.b078e7648919dp-1, 0x1.afe9313600352p-1, 0x1.af1d1aa036ab1p-1, 0x1.ae172e58c4613p-1, 0x1.acd9f9acfb25ep-1, 0x1.ab680898c2b4bp-1, 0x1.a9c3e2b07b091p-1, 0x1.a7f0082a1ebc9p-1, 0x1.a5eeefa646f58p-1, 0x1.a3c304292f40fp-1, 0x1.a16ea3882572cp-1, 0x1.9ef41d013f932p-1, 0x1.9c55b03a279d7p-1, 0x1.99958c5a11708p-1, 0x1.96b5cf6ea87f9p-1, 0x1.93b885eecc90ep-1, 0x1.909faa61f3849p-1, 0x1.8d6d253d4b7e8p-1, 0x1.8a22ccd00261fp-1, 0x1.86c265509339dp-1, 0x1.834da0f9eaa0dp-1, 0x1.7fc62036a0aep-1, 0x1.7c2d71e860ff5p-1, 0x1.788513bde28c9p-1, 0x1.74ce72930b1f6p-1, 0x1.710aeacefff32p-1, 0x1.6d3bc8d3a7aa9p-1, 0x1.6962496a4376dp-1, 0x1.657f9a3d8cd85p-1, 0x1.6194da57e546p-1, 0x1.5da31aa23ec3cp-1, 0x1.59ab5e637d6bdp-1, 0x1.55ae9bbbc7125p-1, 0x1.51adbc20d03c5p-1, 0x1.4da99cd9c14c2p-1, 0x1.49a30f7a640eep-1, 0x1.459ada5f62a12p-1, 0x1.4191b92812b91p-1, 0x1.3d885d2d243c9p-1, 0x1.397f6df3cc703p-1, 0x1.3577899d06d6p-1, 0x1.3171455061316p-1, 0x1.2d6d2da37f84dp-1, 0x1.296bc6fe66c3ap-1, 0x1.256d8dfd08b5ap-1, 0x1.2172f7cdb5c94p-1, 0x1.1d7c728ca0cf4p-1, 0x1.198a659c1763ap-1, 0x1.159d31f95975bp-1, 0x1.11b5328dd2965p-1, 0x1.0dd2bc7c56ecbp-1, 0x1.09f61f6c95ac8p-1, 0x1.061fa5ce55801p-1, 0x1.024f951ebe83ap-1, 0x1.fd0c5c50bf2eap-2, 0x1.f5875a7dfe198p-2, 0x1.ee1094f3f51c5p-2, 0x1.e6a873d7ee553p-2, 0x1.df4f57aec77d7p-2, 0x1.d80599c22034fp-2, 0x1.d0cb8c7eebefbp-2, 0x1.c9a17bd2ae283p-2, 0x1.c287ad7f9aba7p-2, 0x1.bb7e617044559p-2, 0x1.b485d2052daa1p-2, 0x1.ad9e345dd658ap-2, 0x1.a6c7b89ee8f78p-2, 0x1.a0028a34d56bp-2, 0x1.994ed0116eee4p-2, 0x1.92acace77ac85p-2, 0x1.8c1c3f62e3a0bp-2, 0x1.859da25d7c565p-2, 0x1.7f30ed1180efdp-2, 0x1.78d63348ae176p-2, 0x1.728d8589a8435p-2, 0x1.6c56f142a8e5dp-2, 0x1.663280f19e107p-2, 0x1.60203c4b01fefp-2, 0x1.5a20285c946c4p-2, 0x1.543247b1a8864p-2, 0x1.4e569a73e71fap-2, 0x1.488d1e8984a6ep-2, 0x1.42d5cfae8c64bp-2, 0x1.3d30a7981ea33p-2, 0x1.379d9e09e6b7fp-2, 0x1.321ca8f06b80cp-2, 0x1.2cadbc78249bp-2, 0x1.2750cb247fc58p-2, 0x1.2205c5e568117p-2, 0x1.1ccc9c2ae3229p-2, 0x1.17a53bf8fc475p-2, 0x1.128f91fa44bacp-2, 0x1.0d8b89908af0cp-2, 0x1.08990ce618777p-2, 0x1.03b804fdc92cfp-2, 0x1.fdd0b382d46d6p-3, 0x1.f453e4211f701p-3, 0x1.eaf9679d799f4p-3, 0x1.e1c107e00cb5dp-3, 0x1.d8aa8d0b2de07p-3, 0x1.cfb5bd94a6c8ep-3, 0x1.c6e25e5c3ef19p-3, 0x1.be3032c0ea805p-3, 0x1.b59efcb73773ep-3, 0x1.ad2e7cdd756dbp-3, 0x1.a4de728e91df1p-3, 0x1.9cae9bf553353p-3, 0x1.949eb61e46a6ap-3, 0x1.8cae7d099fed3p-3, 0x1.84ddabb92f209p-3, 0x1.7d2bfc459cb25p-3, 0x1.759927e9eec2ap-3, 0x1.6e24e7108fb97p-3, 0x1.66cef16f3adc2p-3, 0x1.5f96fdf0b78e2p-3, 0x1.587cc301c987p-3, 0x1.517ff6580501p-3, 0x1.4aa04d22a117p-3, 0x1.43dd7c2dcf6e1p-3, 0x1.3d3737ac71807p-3, 0x1.36ad337be976fp-3, 0x1.303f2330485ffp-3, 0x1.29ecb9e4b332cp-3, 0x1.23b5aa8c4773dp-3, 0x1.1d99a7c18acfp-3, 0x1.1798641406d3dp-3, 0x1.11b191b795931p-3, 0x1.0be4e2e0eec6fp-3, 0x1.0632099c746ddp-3, 0x1.0098b7e8624afp-3, 0x1.f6313f909ee24p-4, 0x1.eb62e64bb072ap-4, 0x1.e0c5c80d880c1p-4, 0x1.d65948f503daep-4, 0x1.cc1ccd36353cp-4, 0x1.c20fb9803152p-4, 0x1.b8317271fc32p-4, 0x1.ae815d3f74602p-4, 0x1.a4fedf6bf5422p-4, 0x1.9ba95eed518bep-4, 0x1.9280421c75a22p-4, 0x1.8982f0051f114p-4, 0x1.80b0d01200a1ep-4, 0x1.78094a6c2e26dp-4, 0x1.6f8bc7da912e8p-4, 0x1.6737b1ce54f9bp-4, 0x1.5f0c7275edc24p-4, 0x1.570974bbf07a5p-4, 0x1.4f2e2466ee5c4p-4, 0x1.4779ee0cae5a6p-4, 0x1.3fec3f1294633p-4, 0x1.388485d1e060bp-4, 0x1.3142318aa8adbp-4, 0x1.2a24b274b734ep-4, 0x1.232b79c3a925ep-4, 0x1.1c55f9a99b1e6p-4, 0x1.15a3a5565fe8dp-4, 0x1.0f13f127774dep-4, 0x1.08a6526ab1502p-4, 0x1.025a3fa371293p-4, 0x1.f85e60d396808p-5, 0x1.ec493af1e9dc7p-5, 0x1.e074016cafeadp-5, 0x1.d4ddaa6ea5f19p-5, 0x1.c9852e8c15befp-5, 0x1.be6988bbc74b8p-5, 0x1.b389b66d77431p-5, 0x1.a8e4b794cc44bp-5, 0x1.9e798e8ec01d9p-5, 0x1.9447405cd8079p-5, 0x1.8a4cd4850aff5p-5, 0x1.80895520572e7p-5, 0x1.76fbcee02ce32p-5, 0x1.6da3511130029p-5, 0x1.647eeda1d6299p-5, 0x1.5b8db9291fe4fp-5, 0x1.52cecae4217bfp-5, 0x1.4a413cb780b0cp-5, 0x1.41e42b49b226cp-5, 0x1.39b6b5d4edeacp-5, 0x1.31b7fe55f7816p-5, 0x1.29e72975bb129p-5, 0x1.22435e90b254bp-5, 0x1.1acbc7bc622a7p-5, 0x1.137f91c8cc6c3p-5, 0x1.0c5dec3f7d22ap-5, 0x1.0566095ee4971p-5, 0x1.fd2e3c28d45ap-6, 0x1.efe0c3f33bd69p-6, 0x1.e2e21ea71dca6p-6, 0x1.d630c638ea159p-6, 0x1.c9cb3a32a65c2p-6, 0x1.bdafff8485864p-6, 0x1.b1dda09997b48p-6, 0x1.a652ad14b8fa4p-6, 0x1.9b0db9afa8d21p-6, 0x1.900d6038cc9c8p-6, 0x1.85503fb59eb7bp-6, 0x1.7ad4fc9b4e753p-6, 0x1.709a40f6569c1p-6, 0x1.669ebc5bddcacp-6, 0x1.5ce1239c98836p-6, 0x1.53603059fc199p-6, 0x1.4a1aa0b9958ecp-6, 0x1.410f376693a2dp-6, 0x1.383cbbf42e22bp-6, 0x1.2fa1fb79a647cp-6, 0x1.273dc8dd5ca52p-6, 0x1.1f0efcceb7ac2p-6, 0x1.1714751bbd626p-6, 0x1.0f4d13c7abdfdp-6, 0x1.07b7be5829084p-6, 0x1.00535dc7fbbbcp-6, 0x1.f23dbe7ee56c5p-7, 0x1.e4326a8b4e514p-7, 0x1.d682b1893af7fp-7, 0x1.c92c9271bf8bcp-7, 0x1.bc2e1788b6bf5p-7, 0x1.af8552e9ac5aep-7, 0x1.a3305b25745cfp-7, 0x1.972d49d48eeadp-7, 0x1.8b7a3d1e77dap-7, 0x1.80155bd073c17p-7, 0x1.74fcda2688a7p-7, 0x1.6a2efc92f56b6p-7, 0x1.5faa16bdb4b6cp-7, 0x1.556c86b83ee7ap-7, 0x1.4b74ae4717341p-7, 0x1.41c0eda44bd7cp-7, 0x1.384fa29923439p-7, 0x1.2f1f2cd8da395p-7, 0x1.262df5df8d2fap-7, 0x1.1d7a78a8bac62p-7, 0x1.15034557872bbp-7, 0x1.0cc6fe7eb7487p-7, 0x1.04c4509637aeep-7, 0x1.f9f3ce66a0baep-8, 0x1.eaccca7d13216p-8, 0x1.dc10c89be25b9p-8, 0x1.cdbcf79e1305cp-8, 0x1.bfce999f2bce9p-8, 0x1.b2431a4992246p-8, 0x1.a5181a0c2a487p-8, 0x1.984b687212b88p-8, 0x1.8bdaee1a4c656p-8, 0x1.7fc48eb13dcd2p-8, 0x1.7406114d12625p-8, 0x1.689d1b945609dp-8, 0x1.5d8741d799946p-8, 0x1.52c222fd8d732p-8, 0x1.484b83a63ee22p-8, 0x1.3e215f95d0729p-8, 0x1.3441ec166db91p-8, 0x1.2aab87935feccp-8, 0x1.215c98dbe0e54p-8, 0x1.18536c5e53362p-8, 0x1.0f8e23ad9e8cdp-8, 0x1.070ac0315c958p-8, 0x1.fd8e7bdf75e96p-9, 0x1.ed8359000c007p-9, 0x1.ddf07f743d708p-9, 0x1.ced2b8a68f71ap-9, 0x1.c0273c3cab8c2p-9, 0x1.b1eb958f4373ap-9, 0x1.a41d5a989b7bep-9, 0x1.96b9e07129caap-9, 0x1.89be2864d991ap-9, 0x1.7d270a6ed2184p-9, 0x1.70f165e927eddp-9, 0x1.651a2cc065e77p-9, 0x1.599e5f4e1b5ffp-9, 0x1.4e7b2af1c5b32p-9, 0x1.43ae243c847f9p-9, 0x1.393555c7e8917p-9, 0x1.2f0efcf9cef55p-9, 0x1.25392ee776566p-9, 0x1.1bb1be214403cp-9, 0x1.12766934d5f9ep-9, 0x1.098503afcd289p-9, 0x1.00db5aa2afac8p-9, 0x1.f0edf665b077p-10, 0x1.e0aa7c137e17cp-10, 0x1.d0e75a00c6fd9p-10, 0x1.c1a0bcd092cc6p-10, 0x1.b2d3cf14d9ef8p-10, 0x1.a47e03b28fa3fp-10, 0x1.969c93a15419p-10, 0x1.892c935060997p-10, 0x1.7c2b4a2dee0fep-10, 0x1.6f96259d6b70fp-10, 0x1.636a0ff4a84e9p-10, 0x1.57a2eb95a8047p-10, 0x1.4c3bf8c84e296p-10, 0x1.4130c857e85c6p-10, 0x1.367de4b1eee7bp-10, 0x1.2c20e204019ddp-10, 0x1.2217f6f6ae451p-10, 0x1.1861789cff1f3p-10, 0x1.0efbadffbadd5p-10, 0x1.05e50d19c03f6p-10, 0x1.fa385b39ee862p-11, 0x1.e93e56abd3b0ep-11, 0x1.d8d6903431715p-11, 0x1.c8fa4e6e24cc2p-11, 0x1.b9a22a4e9ded2p-11, 0x1.aac6db658854fp-11, 0x1.9c62ee16cb185p-11, 0x1.8e73592ff44a6p-11, 0x1.80f5e6c023862p-11, 0x1.73e835a5a728dp-11, 0x1.674864b6e077dp-11, 0x1.5b14c9a0be4bap-11, 0x1.4f4afdcf74538p-11, 0x1.43e831ba08daap-11, 0x1.38e9a1ecb8041p-11, 0x1.2e4bb21630047p-11, 0x1.2408a07f6ae66p-11, 0x1.1a1a572ad60d4p-11, 0x1.107d67dd773f4p-11, 0x1.072f523c939aap-11, 0x1.fc594356d340cp-12, 0x1.eae6c44ef2d55p-12, 0x1.da065cf50d8c2p-12, 0x1.c9b4e2bd16d89p-12, 0x1.b9edc184bf1f9p-12, 0x1.aaae2b1a0cb4ep-12, 0x1.9bf49d297373cp-12, 0x1.8dbe266f065cep-12, 0x1.8002fab00d4e1p-12, 0x1.72bb8edf736dbp-12, 0x1.65e69f1b594d2p-12, 0x1.597f4fbf15cfap-12, 0x1.4d7bfaaffd1d2p-12, 0x1.41d882e28ca9fp-12, 0x1.36932064ed283p-12, 0x1.2ba85e410bdf1p-12, 0x1.21163442d22efp-12, 0x1.16dc25c144b6dp-12, 0x1.0cf8dde545cc1p-12, 0x1.036a8f4f704dep-12, 0x1.f45be7eb13566p-13, 0x1.e27abee9a92dbp-13, 0x1.d1322551fedc2p-13, 0x1.c0800787f1f9p-13, 0x1.b0571fde99acep-13, 0x1.a0b56b279551dp-13, 0x1.919640537b27ep-13, 0x1.82ebba5c7b7f5p-13, 0x1.74ad22f2cc891p-13, 0x1.66db404c927aap-13, 0x1.597954cc4d6e7p-13, 0x1.4c85077cdb0dp-13, 0x1.3ffa03609a5e9p-13, 0x1.33d4fa5beee97p-13, 0x1.281050665b8c2p-13, 0x1.1cadc9e35740dp-13, 0x1.11a4ae8156e5ep-13, 0x1.06ef3f14ca38ep-13, 0x1.f9236cb389b97p-14, 0x1.e5101f3ed359dp-14, 0x1.d19b6fc504002p-14, 0x1.bebdb98ebafdep-14, 0x1.ac6ca4486b7d6p-14, 0x1.9aa07cb92b3f4p-14, 0x1.895722922c236p-14, 0x1.789012de1fe0dp-14, 0x1.684e9126736fap-14, 0x1.5888d84879cb4p-14, 0x1.493a45411a641p-14, 0x1.3a5e9fe4d1dfap-14, 0x1.2bf1352af9a3ep-14, 0x1.1df2ad7a30a2dp-14, 0x1.10570246cc644p-14, 0x1.031a889d0dc06p-14, 0x1.ec7b88bca433fp-15, 0x1.d380fc220b5e6p-15, 0x1.bb443eee7e2e9p-15, 0x1.a3c29dd7c8bep-15, 0x1.8cec915b04fe5p-15, 0x1.76ad4c52fff19p-15, 0x1.6112ee43f61cep-15, 0x1.4c17dc031754p-15, 0x1.37a75ff2b92f1p-15, 0x1.23be017751bf2p-15, 0x1.10746835184a4p-15, 0x1.fb7046afcce91p-16, 0x1.d6efab4c18b53p-16, 0x1.b3634ea7f485ap-16, 0x1.90cafe95af9c3p-16, 0x1.6f218a6ed870cp-16, 0x1.4e5e8b4118389p-16, 0x1.2e7ced23fabc4p-16, 0x1.0f7c3d95ef95ep-16, 0x1.e2b167c3b15f5p-17, 0x1.a842243a2d261p-17, 0x1.6fa90badf5eddp-17, 0x1.385bf4193c916p-17, 0x1.0267512fa49d5p-17, 0x1.9c23e65e50e5ep-18, 0x1.3637b484f990dp-18, 0x1.a650fdfccde6bp-19, 0x1.cbc7d4d3fe04ep-20, 0x1.55a18621d2a9bp-22, -0x1.16cecf8917e63p-20, -0x1.3c89689a69dbfp-19, -0x1.e8ca988ccc1e4p-19, -0x1.481f98dc1ec36p-18, -0x1.99770e7431213p-18, -0x1.e883aac612994p-18, -0x1.1aa15d25d1646p-17, -0x1.3fcd6795520ddp-17, -0x1.640233f2c311bp-17, -0x1.870a398220c85p-17, -0x1.a8eb9c8118a8p-17, -0x1.c9daf93fe72d9p-17, -0x1.e9d589718f075p-17, -0x1.046f55348d625p-16, -0x1.1374739fc2aadp-16, -0x1.21f77a684b361p-16, -0x1.30066e82876bfp-16, -0x1.3da586f3d3c3bp-16, -0x1.4ad4d31197323p-16, -0x1.579340ba0d906p-16, -0x1.63e0f722fd3aap-16, -0x1.6fc40564975d5p-16, -0x1.7b36ca27adf37p-16, -0x1.8643e14708cfap-16, -0x1.90e988dbddd75p-16, -0x1.9b270a10ede63p-16, -0x1.a50499e199317p-16, -0x1.ae81440c704b6p-16, -0x1.b79bec10c9569p-16, -0x1.c04ef234b2c77p-16, -0x1.c8a0f7776518ap-16, -0x1.d09d39f45a6ddp-16, -0x1.d84338bbc065ep-16, -0x1.df87d0af3bef3p-16, -0x1.e6753252f83ddp-16, -0x1.ed0e909f145f9p-16, -0x1.f351b7199c10ep-16, -0x1.f942471b86b5ep-16, -0x1.fedf77e653086p-16, -0x1.021554362dd42p-15, -0x1.04911cc99544fp-15, -0x1.06e5fd92d4f16p-15, -0x1.09143d992087p-15, -0x1.0b1bebae83243p-15, -0x1.0cfda4d8255f3p-15, -0x1.0eb9fd8fb603cp-15, -0x1.1051924572ddbp-15, -0x1.11c53adda2921p-15, -0x1.1315f4faf9555p-15, -0x1.14430ea568095p-15, -0x1.1549c942902e3p-15, -0x1.163134bc6a1e9p-15, -0x1.16f845d14d016p-15, -0x1.179add7b56241p-15, -0x1.181f57c97b105p-15, -0x1.18847cd99d8c7p-15, -0x1.18c962aae3ff5p-15, -0x1.18ef64c920e91p-15, -0x1.18f76c6e8ca4cp-15, -0x1.18e1948bcd092p-15, -0x1.18ae3768233d1p-15, -0x1.185df03173401p-15, -0x1.17f13e153910ap-15, -0x1.17689c6118cf6p-15, -0x1.16c493f9c046fp-15, -0x1.1605abddba963p-15, -0x1.152c6607231fep-15, -0x1.14394c5fffb78p-15, -0x1.132ced92af316p-15, -0x1.1207a1501e80cp-15, -0x1.10ca22a4c2f89p-15, -0x1.0f751670dccdcp-15, -0x1.0e0731037352ap-15, -0x1.0c82df895ec23p-15, -0x1.0ae6add2d9c9ep-15, -0x1.09357afcaa715p-15, -0x1.076f54541f9e3p-15, -0x1.0594161d7405dp-15, -0x1.03a42a40a4e65p-15, -0x1.01a003b6aa8f6p-15, -0x1.ff108516adcb9p-16, -0x1.faba5c44c3ae9p-16, -0x1.f63edbfb1bda8p-16, -0x1.f19ec4d58598p-16, -0x1.ecdb12f0d1cf6p-16, -0x1.e7f4be45f3064p-16, -0x1.e2ecae0ee6d29p-16, -0x1.ddc389a64602p-16, -0x1.d87a5359ae3dep-16, -0x1.d312277206c77p-16, -0x1.cd8cf6cb87e42p-16, -0x1.c7e86dc825c86p-16, -0x1.c2288194acee9p-16, -0x1.bc4d3bf1124ap-16, -0x1.b6579ef42af25p-16, -0x1.b048c567904ap-16, -0x1.aa1fc6484b3a3p-16, -0x1.a3dd97de83f7bp-16, -0x1.9d852fdf9bc2p-16, -0x1.97170d3b21ebcp-16, -0x1.9093536cee074p-16, -0x1.89fad83ea3df5p-16, -0x1.834eaacc49ed2p-16, -0x1.7c8f4dc3a2b21p-16, -0x1.75bd850cdbd5ap-16, -0x1.6eda8517ad22bp-16, -0x1.67e6d7f320b82p-16, -0x1.60e358cf3a315p-16, -0x1.59d0f355bebd3p-16, -0x1.52b06a19f7c81p-16, -0x1.4b81fbc4f8c43p-16, -0x1.44472606dbb55p-16, -0x1.3d00536e4a64dp-16, -0x1.35ae47fc95387p-16, -0x1.2e51c8fa07bb3p-16, -0x1.26eb910ad0cb5p-16, -0x1.1f7c57b6bbd83p-16, -0x1.1804d4aca3077p-16, -0x1.1085c03a8ff23p-16, -0x1.08ffca60ff6f4p-16, -0x1.0173baf3c296bp-16, -0x1.f3c5518970f6p-17, -0x1.e497b13086832p-17, -0x1.d561c1b3d1fd2p-17, -0x1.c625b6a930811p-17, -0x1.b6e3f034452bdp-17, -0x1.a79da7b4af46cp-17, -0x1.98542dea7bbb4p-17, -0x1.89090de48ddd3p-17, -0x1.79bcc6cb917b9p-17, -0x1.6a7144b23ee72p-17, -0x1.5b2772bd11278p-17, -0x1.4be0804c925c8p-17, -0x1.3c9d95874bcdep-17, -0x1.2d5fd4cbd4c2dp-17, -0x1.1e285b20f9224p-17, -0x1.0ef8408781ed9p-17, -0x1.ffa133f3334c5p-18, -0x1.e164f156fd962p-18, -0x1.c33dcb818646p-18, -0x1.a52dcc461b4f6p-18, -0x1.8736f6a203cc4p-18, -0x1.695a3c59246d1p-18, -0x1.4b9df2584b2f9p-18, -0x1.2dfad3038b573p-18, -0x1.107d8c127572cp-18, -0x1.e64215f1fd849p-19, -0x1.abd1c8ad53a39p-19, -0x1.71add72b9314fp-19, -0x1.37d9765f33735p-19, -0x1.fcb0f226b9bb1p-20, -0x1.8a5927b4ecb6dp-20, -0x1.18b557876426ap-20, -0x1.4f94e5ce70788p-21, -0x1.bcf2f8bc22cc3p-23, 0x1.be46e20e5ac03p-23, 0x1.4ccaf702712dbp-21, 0x1.1431e77f07f49p-20, 0x1.8128ab33baebep-20, 0x1.ed447518de223p-20, 0x1.2c400bf6379bp-19, 0x1.616b43b33590ep-19, 0x1.962163ac57608p-19, 0x1.ca60648b2e9ep-19, 0x1.fe2389e50be9ap-19, 0x1.18b75526f437ap-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.d6630aa19d0b6p-1, -0x1.d6539b371e55p-1, -0x1.d6399b7049145p-1, -0x1.d614adb1c6c5p-1, -0x1.d5e45ce8b5fe2p-1, -0x1.d5a822f7418a6p-1, -0x1.d55f6e1d4daddp-1, -0x1.d509a582478a7p-1, -0x1.d4a62cffda302p-1, -0x1.d4346848cb10cp-1, -0x1.d3b3bd8359de9p-1, -0x1.d323976b3ea46p-1, -0x1.d283670c83fa4p-1, -0x1.d1d2a5261852fp-1, -0x1.d110d340dc8d6p-1, -0x1.d03d7c862da96p-1, -0x1.cf58365f69f6p-1, -0x1.ce60a0e6977fep-1, -0x1.cd56672f3edccp-1, -0x1.cc393f6d8c61cp-1, -0x1.cb08eb00f7ce3p-1, -0x1.c9c5366700c8dp-1, -0x1.c86df919e33d1p-1, -0x1.c703155eac9d4p-1, -0x1.c58478059a2d8p-1, -0x1.c3f2181f46345p-1, -0x1.c24bf6a8d4268p-1, -0x1.c0921e30f7ad5p-1, -0x1.bec4a27778576p-1, -0x1.bce3a0089437cp-1, -0x1.baef3bd574dfp-1, -0x1.b8e7a2cabad3fp-1, -0x1.b6cd096602b42p-1, -0x1.b49fab4b22dcep-1, -0x1.b25fcad9c1b2fp-1, -0x1.b00db0c3d3b0dp-1, -0x1.ada9aba570499p-1, -0x1.ab340f9e61e5ap-1, -0x1.a8ad35edc05c9p-1, -0x1.a6157c8fd9365p-1, -0x1.a36d45de987f3p-1, -0x1.a0b4f834a3399p-1, -0x1.9decfd933d977p-1, -0x1.9b15c34b1d4f9p-1, -0x1.982fb9a833457p-1, -0x1.953b53a07fddap-1, -0x1.92390685f3f96p-1, -0x1.8f2949bb613d4p-1, -0x1.8c0c966c7bd4ep-1, -0x1.88e36748e2b69p-1, -0x1.85ae38422d4b6p-1, -0x1.826d864cef518p-1, -0x1.7f21cf24a8686p-1, -0x1.7bcb91129330ap-1, -0x1.786b4ab7414d3p-1, -0x1.75017ad6f74c9p-1, -0x1.718ea028b5c9cp-1, -0x1.6e133927dc31ap-1, -0x1.6a8fc3e857535p-1, -0x1.6704bded42e0bp-1, -0x1.6372a401f03eap-1, -0x1.5fd9f2153ae35p-1, -0x1.5c3b23171b885p-1, -0x1.5896b0d8618ep-1, -0x1.54ed13ec86093p-1, -0x1.513ec38d7e159p-1, -0x1.4d8c35817fadfp-1, -0x1.49d5de02a53dcp-1, -0x1.461c2fa85a284p-1, -0x1.425f9b5283bb6p-1, -0x1.3ea0901651732p-1, -0x1.3adf7b2ca4b6ep-1, -0x1.371cc7e2003c5p-1, -0x1.3358df87ed07ep-1, -0x1.2f942967c56d1p-1, -0x1.2bcf0ab6d94e1p-1, -0x1.2809e68bd959ep-1, -0x1.24451dd57afe5p-1, -0x1.20810f524a0e3p-1, -0x1.1cbe178996f5bp-1, -0x1.18fc90c574f34p-1, -0x1.153cd30dbdc7bp-1, -0x1.117f34240a5e9p-1, -0x1.0dc4078098849p-1, -0x1.0a0b9e500e7fbp-1, -0x1.06564772149e6p-1, -0x1.02a44f78b63a6p-1, -0x1.fdec0151064aep-2, -0x1.f69745f2c82c9p-2, -0x1.ef4af830384b7p-2, -0x1.e8079ed0d303p-2, -0x1.e0cdbc0f7ec8ep-2, -0x1.d99dcda121115p-2, -0x1.d2784cbc3db8ep-2, -0x1.cb5dae2195f51p-2, -0x1.c44e6225b8b8bp-2, -0x1.bd4ad4bb6b0a4p-2, -0x1.b6536d7ee84b7p-2, -0x1.af688fc1e1619p-2, -0x1.a88a9a9831808p-2, -0x1.a1b9e8e53c49ep-2, -0x1.9af6d169e64acp-2, -0x1.9441a6d3205e5p-2, -0x1.8d9ab7c8f4cf1p-2, -0x1.87024efe107dep-2, -0x1.8078b33fb98c3p-2, -0x1.79fe27862c8p-2, -0x1.7392eb05539p-2, -0x1.6d37393dd261bp-2, -0x1.66eb4a0e5825ep-2, -0x1.60af51c536c12p-2, -0x1.5a8381322e4b5p-2, -0x1.546805b86ce4ap-2, -0x1.4e5d0960b690ep-2, -0x1.4862b2ebb1934p-2, -0x1.427925e44cbd4p-2, -0x1.3ca082b23c2bap-2, -0x1.36d8e6ac84867p-2, -0x1.31226c2c1302fp-2, -0x1.2b7d2a9e5331ep-2, -0x1.25e93697caf62p-2, -0x1.2066a1e6aa2b6p-2, -0x1.1af57ba552613p-2, -0x1.1595d04ccec21p-2, -0x1.1047a9c7374d7p-2, -0x1.0b0b0f81fcc3bp-2, -0x1.05e0068018dbep-2, -0x1.00c6916c20219p-2, -0x1.f77d61545bff1p-3, -0x1.ed90c4d362402p-3, -0x1.e3c7456e0fb9bp-3, -0x1.da20d719ebf69p-3, -0x1.d09d69cbd4fp-3, -0x1.c73ce99a2c874p-3, -0x1.bdff3ede972a3p-3, -0x1.b4e44e575e1bep-3, -0x1.abebf94854d5dp-3, -0x1.a3161d9b5be4cp-3, -0x1.9a6296005e12ap-3, -0x1.91d13a0ce6a5dp-3, -0x1.8961de5b2f49ep-3, -0x1.811454a8b658p-3, -0x1.78e86bf45593cp-3, -0x1.70ddf09bd6b9bp-3, -0x1.68f4ac79025a9p-3, -0x1.612c66fe2ba66p-3, -0x1.5984e55236849p-3, -0x1.51fdea6c10eeep-3, -0x1.4a97372da93cep-3, -0x1.43508a7e5893ap-3, -0x1.3c29a164c0986p-3, -0x1.35223720228f4p-3, -0x1.2e3a054128db7p-3, -0x1.2770c3c222e18p-3, -0x1.20c6291ebcf91p-3, -0x1.1a39ea6b23b6ap-3, -0x1.13cbbb6aa3449p-3, -0x1.0d7b4ea5bae09p-3, -0x1.0748557fa1d9cp-3, -0x1.0132804b497f5p-3, -0x1.f672fcbfa11efp-4, -0x1.eab9fc58e3a98p-4, -0x1.df395a97dbe18p-4, -0x1.d3f0712ecf126p-4, -0x1.c8de98718358p-4, -0x1.be032778ef3dep-4, -0x1.b35d7445e6c3cp-4, -0x1.a8ecd3e2b9765p-4, -0x1.9eb09a83ed98p-4, -0x1.94a81ba7d6e75p-4, -0x1.8ad2aa3559695p-4, -0x1.812f98999ad2p-4, -0x1.77be38e4cc964p-4, -0x1.6e7ddce604199p-4, -0x1.656dd64624217p-4, -0x1.5c8d76a1ddb79p-4, -0x1.53dc0fa2cba52p-4, -0x1.4b58f317aafd8p-4, -0x1.4303730bb46a3p-4, -0x1.3adae1dd1c606p-4, -0x1.32de9252ba9a8p-4, -0x1.2b0dd7b0de492p-4, -0x1.236805cd52da5p-4, -0x1.1bec712299913p-4, -0x1.149a6ee259ae5p-4, -0x1.0d7155070e06dp-4, -0x1.06707a64f2261p-4, -0x1.ff2e6d7464a36p-5, -0x1.f1c9c57cca3dap-5, -0x1.e4b1b0629bcb5p-5, -0x1.d7e4e3d1e37d9p-5, -0x1.cb6217bdfb467p-5, -0x1.bf28067b096fbp-5, -0x1.b3356cd634386p-5, -0x1.a7890a2c9329p-5, -0x1.9c21a080e5809p-5, -0x1.90fdf490173b7p-5, -0x1.861ccde49aaf2p-5, -0x1.7b7cf6e89ed1fp-5, -0x1.711d3cf72a474p-5, -0x1.66fc706c212aep-5, -0x1.5d1964b33e0dp-5, -0x1.5372f05605dd4p-5, -0x1.4a07ed08bdcddp-5, -0x1.40d737b6670cap-5, -0x1.37dfb08bcca4ep-5, -0x1.2f203b01ab44bp-5, -0x1.2697bde5eb2a9p-5, -0x1.1e4523640da6dp-5, -0x1.1627590cba7cep-5, -0x1.0e3d4fdc829cp-5, -0x1.0685fc41dcc06p-5, -0x1.fe00ac44bb815p-6, -0x1.ef56b1be6f936p-6, -0x1.e10c06b205fd2p-6, -0x1.d31eafe5b4cb7p-6, -0x1.c58cb92998296p-6, -0x1.b854355b53f22p-6, -0x1.ab733e6877e6bp-6, -0x1.9ee7f54fb6b53p-6, -0x1.92b08220f6dc6p-6, -0x1.86cb13fc4d9a6p-6, -0x1.7b35e10fee747p-6, -0x1.6fef269510c05p-6, -0x1.64f528cbe2682p-6, -0x1.5a4632f68950dp-6, -0x1.4fe097533df11p-6, -0x1.45c2af159435ap-6, -0x1.3beada5edefefp-6, -0x1.32578035e51a2p-6, -0x1.29070e7dbf9b5p-6, -0x1.1ff7f9ec0f543p-6, -0x1.1728bdfe7edaep-6, -0x1.0e97dcef9e7e1p-6, -0x1.0643dfab2b0b1p-6, -0x1.fc56ab835e6b7p-7, -0x1.ec99aab74cad8p-7, -0x1.dd4df65824d9fp-7, -0x1.ce70d4c52851fp-7, -0x1.bfff993a18186p-7, -0x1.b1f7a3b1947a7p-7, -0x1.a45660c6a99c1p-7, -0x1.9719499599cd9p-7, -0x1.8a3de39be9e19p-7, -0x1.7dc1c097bfp-7, -0x1.71a27e66a4793p-7, -0x1.65ddc6e3b99aap-7, -0x1.5a714fc547842p-7, -0x1.4f5ada79eed7bp-7, -0x1.4498340559b49p-7, -0x1.3a2734dc7d1a6p-7, -0x1.3005c0c178113p-7, -0x1.2631c69f388cbp-7, -0x1.1ca94064b1218p-7, -0x1.136a32dfe1203p-7, -0x1.0a72ad98986f7p-7, -0x1.01c0caab13d9p-7, -0x1.f2a55d44bd4f2p-8, -0x1.e24d10a54ea2cp-8, -0x1.d2752166cda3cp-8, -0x1.c31a1573047c1p-8, -0x1.b4388662aa87fp-8, -0x1.a5cd213181371p-8, -0x1.97d4a5f26ef4ep-8, -0x1.8a4be783a282ep-8, -0x1.7d2fcb42c14d3p-8, -0x1.707d48c174e25p-8, -0x1.64316979ea588p-8, -0x1.58494883a27b1p-8, -0x1.4cc2124891586p-8, -0x1.4199043a8b7f9p-8, -0x1.36cb6c890767ap-8, -0x1.2c56a9d7341f8p-8, -0x1.22382af28c203p-8, -0x1.186d6e89cedb9p-8, -0x1.0ef402e4766c7p-8, -0x1.05c9859aaf99ap-8, -0x1.f9d7469ba465bp-9, -0x1.e8b02ec2d1f77p-9, -0x1.d81957698dc58p-9, -0x1.c80e70ba8886ep-9, -0x1.b88b46c229fe8p-9, -0x1.a98bc0e56e4bfp-9, -0x1.9b0be15a077e9p-9, -0x1.8d07c4a00397cp-9, -0x1.7f7ba0fce348ep-9, -0x1.7263c5f7bd386p-9, -0x1.65bc9bd72943ap-9, -0x1.5982a32061609p-9, -0x1.4db274181ab97p-9, -0x1.4248be44c5f1ap-9, -0x1.374247f24777fp-9, -0x1.2c9bedb736885p-9, -0x1.2252a1fbdc49bp-9, -0x1.18636c8273cd4p-9, -0x1.0ecb69f172c85p-9, -0x1.0587cb5f0d8e9p-9, -0x1.f92babbcbce51p-10, -0x1.e7e5c41c9a827p-10, -0x1.d738b753f0b9cp-10, -0x1.c71f8235f0d24p-10, -0x1.b795461a11bf2p-10, -0x1.a89548069f13cp-10, -0x1.9a1aefdeceef8p-10, -0x1.8c21c793fbcfp-10, -0x1.7ea57a5a384c6p-10, -0x1.71a1d3e073fa7p-10, -0x1.6512bf8b015cep-10, -0x1.58f447b230b57p-10, -0x1.4d4294e3b9251p-10, -0x1.41f9ed2785ddcp-10, -0x1.3716b3481c51ap-10, -0x1.2c95661d67fefp-10, -0x1.22729fdb4e82ap-10, -0x1.18ab1563167e9p-10, -0x1.0f3b95983a72fp-10, -0x1.062108b82d459p-10, -0x1.fab0df6b9f0d2p-11, -0x1.e9bdc72dd4921p-11, -0x1.d96329aab7eddp-11, -0x1.c99b9586e20eep-11, -0x1.ba61c5e55fe61p-11, -0x1.abb0a13cf9b3dp-11, -0x1.9d8338323a4e5p-11, -0x1.8fd4c47685a3fp-11, -0x1.82a0a7aee3979p-11, -0x1.75e26a5edcfecp-11, -0x1.6995bad9b2a6cp-11, -0x1.5db66c3a246a3p-11, -0x1.5240755e4aa33p-11, -0x1.472fefe8c87b3p-11, -0x1.3c811748f0b43p-11, -0x1.323047c6b8cc1p-11, -0x1.2839fd949027cp-11, -0x1.1e9ad3e7460f5p-11, -0x1.154f841202b22p-11, -0x1.0c54e4a699e8ap-11, -0x1.03a7e89cf596ep-11, -0x1.f68b3cfad25a8p-12, -0x1.e6565f2221a67p-12, -0x1.d6abbe2d9f546p-12, -0x1.c78612faa97c8p-12, -0x1.b8e0474076265p-12, -0x1.aab57416b504cp-12, -0x1.9d00e083cac03p-12, -0x1.8fbe0013cccb7p-12, -0x1.82e8717910871p-12, -0x1.767bfd35ce413p-12, -0x1.6a74944b78459p-12, -0x1.5ece4ef462644p-12, -0x1.53856b657edf1p-12, -0x1.48964c976a23p-12, -0x1.3dfd7917a1142p-12, -0x1.33b799e217f5bp-12, -0x1.29c1794271a2ep-12, -0x1.201801ba018eap-12, -0x1.16b83cefe7bb4p-12, -0x1.0d9f52a7dddd2p-12, -0x1.04ca87bf06ebep-12, -0x1.f86e7a606225cp-13, -0x1.e7c5de40622d6p-13, -0x1.d79667de22228p-13, -0x1.c7db769db40d1p-13, -0x1.b8909ac6d18ccp-13, -0x1.a9b193cd99779p-13, -0x1.9b3a4ea7f4769p-13, -0x1.8d26e42f7d7d8p-13, -0x1.7f73979063386p-13, -0x1.721cd4c16ca32p-13, -0x1.651f2f060e97bp-13, -0x1.58775f7f2373fp-13, -0x1.4c2243c47cf6p-13, -0x1.401cdc881676ap-13, -0x1.34644c45a8c66p-13, -0x1.28f5d5fbd1ccfp-13, -0x1.1dcedbee182bap-13, -0x1.12ecde6f5a4c7p-13, -0x1.084d7ab6fef1p-13, -0x1.fbdcd3839f493p-14, -0x1.e79afe6d471f7p-14, -0x1.d3d150ae69f7cp-14, -0x1.c07bd5f511998p-14, -0x1.ad96c91946b87p-14, -0x1.9b1e922e6d3e3p-14, -0x1.890fc4a31ed38p-14, -0x1.77671d7642843p-14, -0x1.66218175ea0bfp-14, -0x1.553bfb8cdd7bp-14, -0x1.44b3bb22ffa73p-14, -0x1.348612875cb56p-14, -0x1.24b0756ad493cp-14, -0x1.15307762c6f2bp-14, -0x1.0603ca7c20753p-14, -0x1.ee507bbdcdfa6p-15, -0x1.d13778ee6ad02p-15, -0x1.b4b89758a2077p-15, -0x1.98d014504e819p-15, -0x1.7d7a5d464452dp-15, -0x1.62b40d7ebea9ap-15, -0x1.4879ebd3460efp-15, -0x1.2ec8e89478f8dp-15, -0x1.159e1b7ed8379p-15, -0x1.f9ed837453a99p-16, -0x1.c9a077e7ed772p-16, -0x1.9a50191df687cp-16, -0x1.6bf7abb606affp-16, -0x1.3e92b0cf4ec3ap-16, -0x1.121ce2b3c59abp-16, -0x1.cd24638f6c136p-17, -0x1.77dd8316676e1p-17, -0x1.245dcb58525a2p-17, -0x1.a53c7d2274f92p-18, -0x1.05306943eaeb5p-18, -0x1.a22aaef8e7072p-20, 0x1.86069a603174ep-21, 0x1.8d7b3bfa0e071p-19, 0x1.5976b96baad72p-18, 0x1.e8f6ae1399419p-18, 0x1.3aa3c80e9ce64p-17, 0x1.7f398399da0bcp-17, 0x1.c2412ade3adb7p-17, 0x1.01df9809d9aa2p-16, 0x1.21dbece22d531p-16, 0x1.4117a30650e9dp-16, 0x1.5f94b6e180525p-16, 0x1.7d5513a53afabp-16, 0x1.9a5a94aab74dp-16, 0x1.b6a706ced1cb6p-16, 0x1.d23c29ae53239p-16, 0x1.ed1bb0cd7e18ep-16, 0x1.03a3a261f0312p-15, 0x1.10604222e69cep-15, 0x1.1cc48294033fp-15, 0x1.28d12aae19a83p-15, 0x1.3486fde39b9cp-15, 0x1.3fe6bc9140514p-15, 0x1.4af12464cb8ddp-15, 0x1.55a6f0b99806fp-15, 0x1.6008daf40d0d9p-15, 0x1.6a179ad4da59p-15, 0x1.73d3e6c8ef3aap-15, 0x1.7d3e7433c8614p-15, 0x1.8657f7b3ed435p-15, 0x1.8f21255f890ap-15, 0x1.979ab1029e936p-15, 0x1.9fc54e5531c4cp-15, 0x1.a7a1b12bef6bp-15, 0x1.af308da8575cfp-15, 0x1.b672986192f59p-15, 0x1.bd68868b69d9p-15, 0x1.c4130e1c90a27p-15, 0x1.ca72e5eb9dd0dp-15, 0x1.d088c5cc15c2ap-15, 0x1.d65566a7042f1p-15, 0x1.dbd982941cbaep-15, 0x1.e115d4ea8e368p-15, 0x1.e60b1a52c5177p-15, 0x1.eaba10d847861p-15, 0x1.ef2377eed6415p-15, 0x1.f3481083666ap-15, 0x1.f7289d00c1c6bp-15, 0x1.fac5e15628152p-15, 0x1.fe20a2f88e9d6p-15, 0x1.009cd473aa51ap-14, 0x1.0208ddd5ec8e8p-14, 0x1.0354d2aa74c8cp-14, 0x1.048118bbdc43dp-14, 0x1.058e16956896p-14, 0x1.067c337e68546p-14, 0x1.074bd778ace18p-14, 0x1.07fd6b3b65934p-14, 0x1.0891582f35047p-14, 0x1.090808675daf3p-14, 0x1.0961e69deb999p-14, 0x1.099f5e2caf381p-14, 0x1.09c0db060e284p-14, 0x1.09c6c9af090c5p-14, 0x1.09b1973810c6bp-14, 0x1.0981b134ef8abp-14, 0x1.093785b4d1cfdp-14, 0x1.08d3833a9eb68p-14, 0x1.085618b49ca44p-14, 0x1.07bfb57340958p-14, 0x1.0710c9210e2c6p-14, 0x1.0649c3b96a6ebp-14, 0x1.056b157fe8d54p-14, 0x1.04752ef6309bfp-14, 0x1.036880d37ef59p-14, 0x1.02457bfbf0aeep-14, 0x1.010c9175a8e74p-14, 0x1.ff7c64c0e1428p-15, 0x1.fcb59fd74b3dep-15, 0x1.f9c5b69b2d266p-15, 0x1.f6ad8b71f912fp-15, 0x1.f36e00a84f6dp-15, 0x1.f007f85f32365p-15, 0x1.ec7c5479d111fp-15, 0x1.e8cbf68889c52p-15, 0x1.e4f7bfb92eb83p-15, 0x1.e10090c417498p-15, 0x1.dce749d920ff2p-15, 0x1.d8acca8e0e332p-15, 0x1.d451f1cce06c8p-15, 0x1.cfd79dc35b99cp-15, 0x1.cb3eabd060f81p-15, 0x1.c687f8735ed8fp-15, 0x1.c1b45f3beff63p-15, 0x1.bcc4baba1fc97p-15, 0x1.b7b9e46c7f5c1p-15, 0x1.b294b4b18cbb8p-15, 0x1.ad5602b933a5dp-15, 0x1.a7fea47438fbdp-15, 0x1.a28f6e85160e9p-15, 0x1.9d09343248764p-15, 0x1.976cc758ccc89p-15, 0x1.91baf85ea0e07p-15, 0x1.8bf496231ee81p-15, 0x1.861a6df42553ep-15, 0x1.802d4b808b1d2p-15, 0x1.7a2df8ccbe781p-15, 0x1.741d3e253a23p-15, 0x1.6dfbe214c5af5p-15, 0x1.67caa95964337p-15, 0x1.618a56d7cc4ap-15, 0x1.5b3bab91ad09dp-15, 0x1.54df669c0448dp-15, 0x1.4e764517683bfp-15, 0x1.48010223fb098p-15, 0x1.418056d98ddcp-15, 0x1.3af4fa3f6b528p-15, 0x1.345fa14429261p-15, 0x1.2dc0feb63528ep-15, 0x1.2719c33bb1ba4p-15, 0x1.206a9d4d031a5p-15, 0x1.19b4392d5c0c4p-15, 0x1.12f740e3ddd52p-15, 0x1.0c345c35e510dp-15, 0x1.056c30a216ec7p-15, 0x1.fd3ec2b93da46p-16, 0x1.ef9d1e9048806p-16, 0x1.e1f4b1e41afecp-16, 0x1.d446b51d10b21p-16, 0x1.c6945be8d373p-16, 0x1.b8ded534ed628p-16, 0x1.ab274b2775f9bp-16, 0x1.9d6ee319aa882p-16, 0x1.8fb6bd94cb7b5p-16, 0x1.81fff64a08513p-16, 0x1.744ba4107ffbfp-16, 0x1.669ad8e141aa8p-16, 0x1.58eea1d98a5c8p-16, 0x1.4b48073351851p-16, 0x1.3da80c4684a76p-16, 0x1.300faf865fd62p-16, 0x1.227fea82572acp-16, 0x1.14f9b1e552c65p-16, 0x1.077df5797b98ap-16, 0x1.f41b4049fd6d9p-17, 0x1.d9532fe00b64cp-17, 0x1.bea57c08e2d96p-17, 0x1.a413dd5f88296p-17, 0x1.89a002cdf8aeap-17, 0x1.6f4b91978f1cbp-17, 0x1.55182561d5c9ep-17, 0x1.3b07503898c81p-17, 0x1.211a9a99746f1p-17, 0x1.0753837ebd731p-17, 0x1.db6700d0a4ea5p-18, 0x1.a877fad6f4166p-18, 0x1.75dcba8089e31p-18, 0x1.4397f293c7564p-18, 0x1.11ac4355795c4p-18, 0x1.c038753e4dd3p-19, 0x1.5dd4a7f48818bp-19, 0x1.f863e3100ebf8p-20, 0x1.36aa0152c2bcdp-20, 0x1.da1302294dc2fp-22, -0x1.200c423e0bc7dp-22, -0x1.04e4e9b8e9d9bp-20, -0x1.c0188899e1bbap-20, -0x1.3ccaf814f6e1ap-19, -0x1.98aab409f8f07p-19, -0x1.f3a7bdf57556ap-19, -0x1.26df3eb030142p-18, -0x1.5375bd972b488p-18, -0x1.7f95b0a2d3b18p-18, -0x1.ab3d7d2303a5bp-18, -0x1.d66b9898c371p-18, -0x1.008f44411ac2ep-17, -0x1.15aa7113fd8ep-17, -0x1.2a86a53c85d64p-17, -0x1.3f233aedccfacp-17, -0x1.537f93fd05d2cp-17, -0x1.679b19cc203aep-17, -0x1.7b753d2fca20fp-17, -0x1.8f0d765779d4bp-17, -0x1.a26344b14ee62p-17, -0x1.b5762ed96e1a7p-17, -0x1.c845c2791b541p-17, -0x1.dad19432711acp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      52, 0x1.199999999999ap+2, 0x1.70ac8902b0281p+1, 0x1.4b03039a2ef1p+1, -0x1.6fb53524d80cdp-6, 
      {{
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.a98a494a78f79p-5, -0x1.b6cddebe02d36p-3, 0x1.3bf7d6adc9bddp-2, -0x1.6b1fccfbb6a49p-3}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.57eaca0584273p-5, -0x1.7a5580394d20bp-3, 0x1.20bbda814f3e4p-2, -0x1.5ad793ed17ee6p-3}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.11da029ffac81p-5, -0x1.4330445a2d757p-3, 0x1.06b87c35ed72fp-2, -0x1.4cffc492201f4p-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.ac9a867d2194ap-6, -0x1.112454063f7d9p-3, 0x1.db7dce22bc7a8p-3, -0x1.3e80a5af683ddp-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.4889c60522a25p-6, -0x1.c7f68b8c05163p-4, 0x1.abb74ee206716p-3, -0x1.302e5b3807d08p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.eb3100277ac5ep-7, -0x1.76fb89f04b98ep-4, 0x1.7e16c1333878bp-3, -0x1.21d00e9b0bb7ep-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.63e6fdbbc9c64p-7, -0x1.2ee977ff6ab7ap-4, 0x1.529df23590501p-3, -0x1.1374f62925b5ap-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ef766a46ea572p-8, -0x1.dea4116067153p-5, 0x1.294c66e29775p-3, -0x1.05190f3081af9p-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.46bee55a393efp-8, -0x1.6f8df05bb3822p-5, 0x1.02223e34ea674p-3, -0x1.ed7a5c4f87adep-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.8ec67a66f258bp-9, -0x1.0fb3ff429b9fap-5, 0x1.ba3eee911a0e2p-4, -0x1.d0c407cc4b178p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.addde8e57256fp-10, -0x1.7c736c20a9f5dp-6, 0x1.7487ed65a8649p-4, -0x1.b407f130502f6p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.6b3ee5ba7c064p-11, -0x1.e909f07d23ee5p-7, 0x1.33205604cf904p-4, -0x1.9761756905294p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe37375de1f3ep-14, -0x1.0bc7d68ef3f42p-7, 0x1.ec09d59d50c7dp-5, -0x1.7a6a5067ca87cp-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.371aa7e9865a1p-13, -0x1.76ae40b52d3cep-9, 0x1.7a838a4afa6b4p-5, -0x1.5ea0357986f07p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.870a34ac5eb01p-13, 0x1.25951f7434297p-10, 0x1.11537a401ebd2p-5, -0x1.3afc86f17608ep-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.db59651657199p-15, 0x1.fc8428b38b17p-9, 0x1.65a909ef5d0f5p-6, -0x1.0f7f3ae669716p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.810d1aaab7329p-13, 0x1.6cbe1b7f25cc2p-8, 0x1.8586339708614p-7, -0x1.ca5e2d53abaa6p-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.fc25d1bda0b71p-12, 0x1.9f25379336c5fp-8, 0x1.ca0394c6858a5p-9, -0x1.751bb85cdba55p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a5ba2fc0d470ep-11, 0x1.9fa8da5a20e93p-8, -0x1.b57225b1f007bp-9, -0x1.2007a5bfbcf53p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.22a7fd93580fbp-10, 0x1.7881681f53d02p-8, -0x1.1a2decdf86facp-7, -0x1.95b86c7302d94p-6}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.678095a33eb1ap-10, 0x1.33e5e39302f9p-8, -0x1.93e5409ba16ebp-7, -0x1.d77f5ff821bf2p-7}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.9c88505b3d0d1p-10, 0x1.b817c6961646cp-9, -0x1.da9ec2340ce55p-7, -0x1.01f48c0510e1bp-8}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.beeb9e368401p-10, 0x1.ecc03f878074ap-10, -0x1.edf77fe7a15cbp-7, 0x1.97f129fe95b7fp-8}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.cde1efe05660fp-10, 0x1.b7435f9f0528p-12, -0x1.cf5f0327bc881p-7, 0x1.1e5065643da5dp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.caadb63408f09p-10, -0x1.c50bff76bafd2p-11, -0x1.797a17f010708p-7, 0x1.5f760a728dc7ep-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.b8817a5de7094p-10, -0x1.e654638c63de9p-10, -0x1.1009e19a7f81ap-7, 0x1.296d3c26a188cp-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.9b57e74505b41p-10, -0x1.4e22790bea9b3p-9, -0x1.6d9f058437b01p-8, 0x1.053f13ca31186p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.76cbd2f516be7p-10, -0x1.879588528c65cp-9, -0x1.a1bf267c34777p-9, 0x1.b88fce9144b42p-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4dfd56bf4d5fcp-10, -0x1.a42455557da9dp-9, -0x1.32d1bb7d49ad6p-10, 0x1.69344ad82231dp-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2391cf3a5e39fp-10, -0x1.a8a592391c7b5p-9, 0x1.fa80dfb1e3cc3p-12, 0x1.191f7a414ff55p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.f367b884feb09p-11, -0x1.99e1bc663550ep-9, 0x1.cff93107a5b19p-10, 0x1.92ba0fae827c6p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a426c1f2d0603p-11, -0x1.7ca467cae3649p-9, 0x1.60ce039e93986p-9, 0x1.e429a65f56068p-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5bcb078ca343ep-11, -0x1.55bb02fb98781p-9, 0x1.a96ddc9346e5fp-9, 0x1.5530e408bd4c6p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.1bc95cabebed2p-11, -0x1.29e87b6e1d77fp-9, 0x1.c304ba7a5518bp-9, -0x1.573a4b17edbd8p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.c942366a4389bp-12, -0x1.fc2fd0d9102eap-10, 0x1.a946c1a556776p-9, -0x1.42b72882aa334p-9}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.6bcdd9701b764p-12, -0x1.abf8e4538e3ep-10, 0x1.78de7b91bcefdp-9, -0x1.1ab6d23ea746bp-9}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1d76dda658209p-12, -0x1.64d6d1538200bp-10, 0x1.4e76426ebd71cp-9, -0x1.0f572d133a755p-9}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b9075e5c3873cp-13, -0x1.2604503c5e458p-10, 0x1.25c2c878a7e04p-9, -0x1.f897a0b28be97p-10}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.4eaafa9aa4116p-13, -0x1.de1925e4c09bfp-11, 0x1.ffd538d687905p-10, -0x1.d69d4181b45dcp-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.f1a0e9baadb96p-14, -0x1.7eca766378d7fp-11, 0x1.b93da236461c1p-10, -0x1.b388e861a4bbap-10}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.694a7086878b4p-14, -0x1.2d1363ac007e6p-11, 0x1.77e918f46d66bp-10, -0x1.90c01cbb66cf5p-10}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.fe30d8d3b3b3ap-15, -0x1.cfcf4d957477ep-12, 0x1.3bcc47d8512d8p-10, -0x1.6de3151d169ccp-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.5c7799918e97bp-15, -0x1.5c779a7070d64p-12, 0x1.04ea37e0c0fcdp-10, -0x1.4b0b6fe542375p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.c942366a43902p-16, -0x1.fc10ad9c1d2c6p-13, 0x1.a68434965481fp-11, -0x1.28327d0b8bf55p-10}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1d76dda658291p-16, -0x1.64d495d66f4a1p-13, 0x1.4da8424610ebep-11, -0x1.05595e52e4edap-10}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4eaafa9aa4293p-17, -0x1.de18cec671a2dp-14, 0x1.fe814bf3fee35p-12, -0x1.c504796fc8871p-11}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.694a708687b9fp-18, -0x1.2d137000085aep-14, 0x1.76998dec0f883p-12, -0x1.7f46a50a67714p-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.5c7799918efdfp-19, -0x1.5c7711a0a00b8p-15, 0x1.039df6028a179p-12, -0x1.39c31b274c325p-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1d76dda658d7fp-20, -0x1.64d88bad04caep-16, 0x1.4afa0eed8011dp-13, -0x1.e6cbf0d4c939p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.694a70868a4p-22, -0x1.2cf5c8a077364p-17, 0x1.71e026f4edcf6p-14, -0x1.6069dd24f1a34p-12}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.1d76dda663p-24, -0x1.668e3276d6135p-19, 0x1.3cdade23ecdc7p-15, -0x1.84b46801a7163p-13}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.1d76dda6bp-28, -0x1.31538cd279218p-22, 0x1.4e874bbeef3ffp-17, -0x1.0419758aae85bp-12}, 
      }}, 
      0x1.e97df6c617fd8p-9, -0x1.793a0f5bb2343p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.3e4c976f3aadap-6, -0x1.3bf9a01e27396p-5, -0x1.d43276d5da9c2p-5, -0x1.32e4e54d01d26p-4, -0x1.778df835e0524p-4, -0x1.b7766c7836382p-4, -0x1.f22dfb5c95e56p-4, -0x1.13b52342fc55fp-3, -0x1.2b801b2850aa8p-3, -0x1.406f8e9660374p-3, -0x1.52868cf8e7f31p-3, -0x1.61d20429c46a9p-3, -0x1.6e67461d05defp-3, -0x1.786282bbdaf06p-3, -0x1.7fe53fa52218bp-3, -0x1.8514dcbb8cb41p-3, -0x1.88193acdd347dp-3, -0x1.891b8df2e4e67p-3, -0x1.8845686568621p-3, -0x1.85bff9860da45p-3, -0x1.81b37e880be0ep-3, -0x1.7c46dd378202dp-3, -0x1.759f6058ed919p-3, -0x1.6de08d855279cp-3, -0x1.652c0d1e805ddp-3, -0x1.5ba19e84a52aap-3, -0x1.515f1561e942ep-3, -0x1.46805d58596efp-3, -0x1.3b1f82647edbdp-3, -0x1.2f54bc987896ap-3, -0x1.23367e1dfec04p-3, -0x1.16d983005bab2p-3, -0x1.0a50e1a766ec5p-3, -0x1.fb5c38a9eb093p-4, -0x1.e2026587a2867p-4, -0x1.c8b16841a96c3p-4, -0x1.af83a1af2e398p-4, -0x1.9690d89eeaaffp-4, -0x1.7dee5c87f890bp-4, -0x1.65af277e2377p-4, -0x1.4de3ff28e7642p-4, -0x1.369b94ca694e8p-4, -0x1.1fe2a451094a6p-4, -0x1.09c412867534ap-4, -0x1.e89214af2f62bp-5, -0x1.bef2332869b1p-5, -0x1.96b499d345f74p-5, -0x1.6fe2974b953e3p-5, -0x1.4a82e5abfde0fp-5, -0x1.2699e05d95177p-5, -0x1.0429b8e89553p-5, -0x1.c66554bbbf931p-6, -0x1.876656f8fa9dfp-6, -0x1.4b503e2aa5de7p-6, -0x1.121a03e4da992p-6, -0x1.b7705af70b20ep-7, -0x1.503a3b74ed789p-7, -0x1.dce58760aecf7p-8, -0x1.23efe109af9d4p-8, -0x1.d5291b496f3e6p-10, 0x1.7ac669504b4c5p-11, 0x1.9494a017f0588p-9, 0x1.5bdde1d8fb349p-8, 0x1.e46923ba19583p-8, 0x1.32218c0be610fp-7, 0x1.6de1cf80d18d6p-7, 0x1.a5a17dd6671d8p-7, 0x1.d98cba33e99f8p-7, 0x1.04e7bc1e8e6fdp-6, 0x1.1b4aaddb23723p-6, 0x1.3004cafce9d36p-6, 0x1.432b657dcfacfp-6, 0x1.54d37e3d6809ap-6, 0x1.6511ba67ba188p-6, 0x1.73fa5b4e6f0a4p-6, 0x1.81a1388c723d4p-6, 0x1.8e19b93cc425ep-6, 0x1.9976cf8ba005p-6, 0x1.a3caf343f0c03p-6, 0x1.ad281eb7193b9p-6, 0x1.b59fca8ec2e81p-6, 0x1.bd42e9f9a426p-6, 0x1.c421e7863acf9p-6, 0x1.ca4ca2ef74688p-6, 0x1.cfd26c7276feep-6, 0x1.d4c206076c943p-6, 0x1.d9299dd0e651bp-6, 0x1.dd16cf741da51p-6, 0x1.e096a12ecfd0ap-6, 0x1.e3b583b6cdb3bp-6, 0x1.e67f50a7558b9p-6, 0x1.e8ff4ac24c0cp-6, 0x1.eb401d8da69efp-6, 0x1.ed4bddb66240ap-6, 0x1.ef2c0aad3450dp-6, 0x1.f0e98fe7e5f83p-6, 0x1.f28cc74ceda36p-6, 0x1.f41d7c15da171p-6, 0x1.f5a2ee1eba03bp-6, 0x1.f723d50e5e63ap-6, 0x1.f8a664107b6d9p-6, 0x1.fa304e19284f4p-6, 0x1.fbc6c999f6f8p-6, 0x1.fd6e94b551e1fp-6, 0x1.ff2bf99bc4634p-6, 0x1.0081698d4afb4p-5, 0x1.017b48d6b0d04p-5, 0x1.02851ffedd2c6p-5, 0x1.03a04420b5157p-5, 0x1.04cddcd186c51p-5, 0x1.060ee6852bed4p-5, 0x1.0764357dc6835p-5, 0x1.08ce781fba0a2p-5, 0x1.0a4e3986fd9eep-5, 0x1.0be3e3fa3d8f2p-5, 0x1.0d8fc34342a0ep-5, 0x1.0f5206c6a324fp-5, 0x1.112ac3b76ededp-5, 0x1.1319f7120b1cbp-5, 0x1.151f8777b3251p-5, 0x1.173b46fe109e7p-5, 0x1.196cf508f3a57p-5, 0x1.1bb43ff0f1564p-5, 0x1.1e10c64a2cfa4p-5, 0x1.208218a3f153bp-5, 0x1.2307baf4eb6cap-5, 0x1.25a125c040356p-5, 0x1.284dc750c439ap-5, 0x1.2b0d04f23df5ep-5, 0x1.2dde3be2cdc84p-5, 0x1.30c0c234804a8p-5, 0x1.33b3e79fa90ecp-5, 0x1.36b6f6601f41ep-5, 0x1.39c933c1a3ea3p-5, 0x1.3ce9e0887a442p-5, 0x1.401839c7f019ap-5, 0x1.4353790d9305dp-5, 0x1.469ad4c44f12bp-5, 0x1.49ed808c9b9c1p-5, 0x1.4d4aad99f7b87p-5, 0x1.50b18aed8eb0bp-5, 0x1.5421457da0107p-5, 0x1.57990868b60c8p-5, 0x1.5b17fd3c9d504p-5, 0x1.5e9d4c2ea9792p-5, 0x1.62281c3010f31p-5, 0x1.65b79315bd87dp-5, 0x1.694ad5cb9d294p-5, 0x1.6ce108a7280bdp-5, 0x1.70794f6c626bp-5, 0x1.7412cd661c778p-5, 0x1.77aca5dc2ca4p-5, 0x1.7b45fbfafdc11p-5, 0x1.7eddf32aab8bcp-5, 0x1.8273af3c6ec34p-5, 0x1.86065485295f7p-5, 0x1.89950811a0a03p-5, 0x1.8d1eeff6eba74p-5, 0x1.90a33378603ep-5, 0x1.9420fb136d22fp-5, 0x1.979770c0dcfcp-5, 0x1.9b05c0457306ep-5, 0x1.9e6b174d771a4p-5, 0x1.a1c6a57f952a6p-5, 0x1.a5179cbeeca75p-5, 0x1.a85d316e6b4b1p-5, 0x1.ab969a7f8a45bp-5, 0x1.aec3118af3da4p-5, 0x1.b1e1d337151d9p-5, 0x1.b4f21f1dbdbadp-5, 0x1.b7f338187d175p-5, 0x1.bae46455e774bp-5, 0x1.bdc4ed7e2bab6p-5, 0x1.c09420e0d9ac7p-5, 0x1.c3514f7796ef2p-5, 0x1.c5fbce0761691p-5, 0x1.c892f55485025p-5, 0x1.cb162238cf9dfp-5, 0x1.cd84b5a48ae99p-5, 0x1.cfde14b4b444ep-5, 0x1.d221a8d84a7fbp-5, 0x1.d44edfdf86858p-5, 0x1.d6652bfdbcafcp-5, 0x1.d86403e022d2cp-5, 0x1.da4ae2cc52d1fp-5, 0x1.dc1948a1576eep-5, 0x1.ddceb9c3b34bp-5, 0x1.df6abf332a54dp-5, 0x1.e0ece6ba55e83p-5, 0x1.e254c3002e55p-5, 0x1.e3a1eb5149c51p-5, 0x1.e4d3fb88a64c1p-5, 0x1.e5ea9454a81bep-5, 0x1.e6e55b45f113dp-5, 0x1.e7c3fafe36e1ep-5, 0x1.e88622caee473p-5, 0x1.e92b8678deccdp-5, 0x1.e9b3dea6c28dcp-5, 0x1.ea1ee90ce79b3p-5, 0x1.ea6c6876b943dp-5, 0x1.ea9c246130cd7p-5, 0x1.eaade8c373ea4p-5, 0x1.eaa1864411633p-5, 0x1.ea76d2a71dc2p-5, 0x1.ea2da8e5cd878p-5, 0x1.e9c5e8c780347p-5, 0x1.e93f7676434b2p-5, 0x1.e89a3a90fe639p-5, 0x1.e7d622a530c81p-5, 0x1.e6f3218c683d3p-5, 0x1.e5f12f29d89f4p-5, 0x1.e4d047e03d596p-5, 0x1.e3906c4a67db3p-5, 0x1.e231a18829799p-5, 0x1.e0b3f1c88ed1ap-5, 0x1.df176c7837f42p-5, 0x1.dd5c25ddad64ep-5, 0x1.db82368a0295p-5, 0x1.d989bb2cd054dp-5, 0x1.d772d4e46ea68p-5, 0x1.d53da9cb54714p-5, 0x1.d2ea65260f453p-5, 0x1.d07936d681a27p-5, 0x1.cdea52f5f8b47p-5, 0x1.cb3df18fbf498p-5, 0x1.c8744ee13baf4p-5, 0x1.c58dabe403534p-5, 0x1.c28a4e75a828p-5, 0x1.bf6a810188e06p-5, 0x1.bc2e91f6276c1p-5, 0x1.b8d6d37782da9p-5, 0x1.b5639b82e2c5dp-5, 0x1.b1d54457e1549p-5, 0x1.ae2c2cb4cbb8dp-5, 0x1.aa68b7af2aa49p-5, 0x1.a68b4c383c558p-5, 0x1.a29454aebcd3ap-5, 0x1.9e843ec7abc88p-5, 0x1.9a5b7bcaed07p-5, 0x1.961a80e8403a3p-5, 0x1.91c1c732b1d46p-5, 0x1.8d51cb6cfdeb7p-5, 0x1.88cb0d79dc25ap-5, 0x1.842e100fc2f4p-5, 0x1.7f7b58b0c82d1p-5, 0x1.7ab36fdd29a38p-5, 0x1.75d6e14e9485cp-5, 0x1.70e63be88a2e1p-5, 0x1.6be2116a46f7fp-5, 0x1.66caf6061d389p-5, 0x1.61a1800c4b99dp-5, 0x1.5c6647d06439p-5, 0x1.5719e7cfbe12ep-5, 0x1.51bcfcdebfabcp-5, 0x1.4c5026145a08cp-5, 0x1.46d4049b44da5p-5, 0x1.41493b4406699p-5, 0x1.3bb06e2ad69c7p-5, 0x1.360a42a4f545dp-5, 0x1.30575f28f2bb5p-5, 0x1.2a986b6c0ebbap-5, 0x1.24ce106fc4e89p-5, 0x1.1ef8f85be438fp-5, 0x1.1919ce3341ce9p-5, 0x1.13313d7eb3344p-5, 0x1.0d3ff20c49616p-5, 0x1.074697d1f2e1ap-5, 0x1.0145daed06aadp-5, 0x1.f67ccf529ea01p-6, 0x1.ea61d4eeebe7p-6, 0x1.de3c1f8ad9a6ep-6, 0x1.d20d077d1b2f1p-6, 0x1.c5d5e40dac72ap-6, 0x1.b9980b08fc3bp-6, 0x1.ad54d088c8e41p-6, 0x1.a10d86d713163p-6, 0x1.94c37e729ae58p-6, 0x1.887805f3f116fp-6, 0x1.7c2c69d2e2d81p-6, 0x1.6fe1f40921393p-6, 0x1.6399eb9d5521p-6, 0x1.57559462a7036p-6, 0x1.4b162e7b8a9f5p-6, 0x1.3edcf67ec008cp-6, 0x1.32ab253667447p-6, 0x1.2681efa081c1cp-6, 0x1.1a6286cec8828p-6, 0x1.0e4e17ac7e8fp-6, 0x1.0245cab37ab3fp-6, 0x1.ec95873f5f40dp-7, 0x1.d4bc425efb24fp-7, 0x1.bd01f9f0f04d7p-7, 0x1.a568d69f91efp-7, 0x1.8df2f68214e31p-7, 0x1.76a26cece5b7dp-7, 0x1.5f79423aa3adcp-7, 0x1.487973bec0934p-7, 0x1.31a4f3255726cp-7, 0x1.1afda640e7524p-7, 0x1.048566b61180ep-7, 0x1.dc7c0314af15cp-8, 0x1.b0526e53f0413p-8, 0x1.849176c2c45eap-8, 0x1.593c6a9f667b9p-8, 0x1.2e567eb248f26p-8, 0x1.03e2ce16634cep-8, 0x1.b3c8b3d41c85bp-9, 0x1.60bc11c63039ep-9, 0x1.0ea54dc672b6fp-9, 0x1.7b139392f524bp-10, 0x1.b5bac6d471df7p-11, 0x1.e58fba28b2e17p-13, -0x1.7d94c7e3b71dap-12, -0x1.f2be094d41131p-11, -0x1.9132d73faa0fbp-10, -0x1.136c35a65be88p-9, -0x1.5d23f6fca3132p-9, -0x1.a5bcfbd74b199p-9, -0x1.ed33c5e8e0b9bp-9, -0x1.19c28663e3abcp-8, -0x1.3c56de498d636p-8, -0x1.5e557b76d0ba2p-8, -0x1.7fbd08d3d84a8p-8, -0x1.a08c4b3565514p-8, -0x1.c0c22113534c5p-8, -0x1.e05d82422868dp-8, -0x1.ff5d7fb9918ecp-8, -0x1.0ee0a1af63f48p-7, -0x1.1dc407e5bc5f3p-7, -0x1.2c58a005c85b2p-7, -0x1.3a9e23a8aaac3p-7, -0x1.4894584f12b93p-7, -0x1.563b0f30becc6p-7, -0x1.6392250962ce1p-7, -0x1.709981e53776cp-7, -0x1.7d5118ecc64c5p-7, -0x1.89b8e832a7696p-7, -0x1.95d0f87e1fe14p-7, -0x1.a1995d17c33d2p-7, -0x1.ad123391b4b3ep-7, -0x1.b83ba3956bfb2p-7, -0x1.c315dec8ef5cbp-7, -0x1.cda120783685ap-7, -0x1.d7ddad5525a4cp-7, -0x1.e1cbd34ecf5cbp-7, -0x1.eb6be9321f79fp-7, -0x1.f4be4ea2fbbb3p-7, -0x1.fdc36bcc0ccf4p-7, -0x1.033dd8853499ep-6, -0x1.0773cb58a6abdp-6, -0x1.0b83ce66b6802p-6, -0x1.0f6e257412283p-6, -0x1.133317e6e9ba7p-6, -0x1.16d2f0abeeffep-6, -0x1.1a4dfe1bff6cap-6, -0x1.1da491dbc363fp-6, -0x1.20d700c4bea6cp-6, -0x1.23e5a2c59bfeep-6, -0x1.26d0d28f05ff8p-6, -0x1.2998edaf6f305p-6, -0x1.2c3e542aa172ep-6, -0x1.2ec168b1eec9ep-6, -0x1.3122903090084p-6, -0x1.33623203e2f74p-6, -0x1.3580b7d81b794p-6, -0x1.377e8d94a3352p-6, -0x1.395c213a20033p-6, -0x1.3b19e2b117cf2p-6, -0x1.3cb8438ce0e21p-6, -0x1.3e37b6cd0b9f9p-6, -0x1.3f98b0aa04b79p-6, -0x1.40dba6783b3e9p-6, -0x1.42010ea6a8352p-6, -0x1.430960d372849p-6, -0x1.43f515eb63ffp-6, -0x1.44c4a848ba69bp-6, -0x1.457893a9ab0fbp-6, -0x1.461154e68328bp-6, -0x1.468f69b273421p-6, -0x1.46f3503ffb31cp-6, -0x1.473d86b4e4f4p-6, -0x1.476e8af62e7efp-6, -0x1.4786dab152d0bp-6, -0x1.4786f38e5274bp-6, -0x1.476f538a2cae6p-6, -0x1.47407961bd6f4p-6, -0x1.46fae4d2e6f42p-6, -0x1.469f168c3e92p-6, -0x1.462d8fb7ec96ep-6, -0x1.45a6d134e95a7p-6, -0x1.450b5a9ff0a0ep-6, -0x1.445ba97c202d9p-6, -0x1.439838c59a25ap-6, -0x1.42c18123e90ffp-6, -0x1.41d7f9ca49359p-6, -0x1.40dc198c81eb4p-6, -0x1.3fce58b37f639p-6, -0x1.3eaf324347591p-6, -0x1.3d7f245e1f0fbp-6, -0x1.3c3eb00f3d6c9p-6, -0x1.3aee57b527ce4p-6, -0x1.398e9cacb0e0bp-6, -0x1.381ffc9ed3b27p-6, -0x1.36a2ef19e1efap-6, -0x1.3517e42140c39p-6, -0x1.337f443029f16p-6, -0x1.31d971d88943p-6, -0x1.3026ccc00a57ep-6, -0x1.2e67b55d18f23p-6, -0x1.2c9c9095f3841p-6, -0x1.2ac5ca575e7d1p-6, -0x1.28e3d66816bdfp-6, -0x1.26f72f205c938p-6, -0x1.2500522df20e9p-6, -0x1.22ffbc0cb4ccep-6, -0x1.20f5e33a9e88dp-6, -0x1.1ee3344e10063p-6, -0x1.1cc80fef1e8cap-6, -0x1.1aa4cb48c8911p-6, -0x1.1879b2f244ee2p-6, -0x1.16470fb2c99a3p-6, -0x1.140d2c03b691ap-6, -0x1.11cc58f4ed228p-6, -0x1.0f84f137f1506p-6, -0x1.0d37593ef8175p-6, -0x1.0ae3fc91fb174p-6, -0x1.088b4883deaacp-6, -0x1.062da58255bc4p-6, -0x1.03cb70e76781cp-6, -0x1.0164f89ecd867p-6, -0x1.fdf4f42df180dp-7, -0x1.f9184a0fff88cp-7, -0x1.f434438b6665fp-7, -0x1.ef4933ddbd5c2p-7, -0x1.ea57834517f34p-7, -0x1.e55fbe4b1a953p-7, -0x1.e0629e02bcf61p-7, -0x1.db6106625305p-7, -0x1.d65bf9f24005ap-7, -0x1.d154847034eabp-7, -0x1.cc4ba00d58c92p-7, -0x1.c7421a6c1c316p-7, -0x1.c2387f0f33a05p-7, -0x1.bd2f0c3c58d9p-7, -0x1.b825b530e44b5p-7, -0x1.b31c324620ed2p-7, -0x1.ae121d578f5dbp-7, -0x1.a9071515f5363p-7, -0x1.a3fae251e5274p-7, -0x1.9eed987a360e3p-7, -0x1.99dfaa14a6fddp-7, -0x1.94d1edeb75b25p-7, -0x1.8fc592ad93d4p-7, -0x1.8abc01ddfe3e5p-7, -0x1.85b6b71a5b1f1p-7, -0x1.80b71254efce6p-7, -0x1.7bbe2d287265ep-7, -0x1.76ccba6c39e45p-7, -0x1.71e2f53ed50c1p-7, -0x1.6d00a20022af8p-7, -0x1.682520d854f73p-7, -0x1.634f8ee3df5d3p-7, -0x1.5e7ef11dd6b8p-7, -0x1.59b262c0d6521p-7, -0x1.54e94037d86f6p-7, -0x1.5023480ced2a7p-7, -0x1.4b60acad0741p-7, -0x1.46a2143d94dabp-7, -0x1.41e886d1520a7p-7, -0x1.3d354e5bdb09ep-7, -0x1.3889cddbc476fp-7, -0x1.33e7577ed1feep-7, -0x1.2f4f06aca573p-7, -0x1.2ac1a46cef371p-7, -0x1.263f981ca6c38p-7, -0x1.21c8e5b23aadbp-7, -0x1.1d5d38dab58d1p-7, -0x1.18fbfac4203acp-7, -0x1.14a46eeb029cap-7, -0x1.1055d21ccf77bp-7, -0x1.0c0f76bcbdf8bp-7, -0x1.07d0da8b4a7d4p-7, -0x1.0399b44991ea4p-7, -0x1.fed3f2f0179dap-8, -0x1.f683ba8b42695p-8, -0x1.ee4392f760cb7p-8, -0x1.e614a35829639p-8, -0x1.ddf842380752dp-8, -0x1.d5efca4e88f59p-8, -0x1.cdfc6f11322cp-8, -0x1.c61f1a150f278p-8, -0x1.be585995f7a22p-8, -0x1.b6a8647e16874p-8, -0x1.af0f318c4ff59p-8, -0x1.a78c979b446b6p-8, -0x1.a0206ebd85f34p-8, -0x1.98ca986525e0ep-8, -0x1.918af8420057ep-8, -0x1.8a6158d700c8bp-8, -0x1.834d5065cb9ap-8, -0x1.7c4e3857bb95cp-8, -0x1.7563480ee3002p-8, -0x1.6e8bccc009451p-8, -0x1.67c7687d09682p-8, -0x1.611638a81b1a3p-8, -0x1.5a78cba3916cfp-8, -0x1.53efe3f5b583dp-8, -0x1.4d7c212cf8a3ap-8, -0x1.471db713d867cp-8, -0x1.40d457869fb06p-8, -0x1.3a9f5c7bd0795p-8, -0x1.347e217e4572ap-8, -0x1.2e7064a68794p-8, -0x1.287682a123846p-8, -0x1.229170b7bc92ep-8, -0x1.1cc2724dd9e43p-8, -0x1.170aa194f493p-8, -0x1.116a76b06c731p-8, -0x1.0be17e3c65f73p-8, -0x1.066e627a39379p-8, -0x1.010f4f65db90fp-8, -0x1.f7852499045dcp-9, -0x1.ed0e6bc187791p-9, -0x1.e2bab24882c52p-9, -0x1.d88c24e25f457p-9, -0x1.ce85c843c790ap-9, -0x1.c4a9fae27d0b1p-9, -0x1.baf93b1975421p-9, -0x1.b171c147f15fbp-9, -0x1.a81016ec9d417p-9, -0x1.9ed05f4f4290fp-9, -0x1.95afc6027d5c9p-9, -0x1.8cad88303754bp-9, -0x1.83cb3bc525e79p-9, -0x1.7b0c3e47353ecp-9, -0x1.72747a6a17ab6p-9, -0x1.6a06f99abd1f1p-9, -0x1.61c4c34a3dc1ap-9, -0x1.59ac71bd7d3a8p-9, -0x1.51ba9aad52a21p-9, -0x1.49eae4757da85p-9, -0x1.42396e40af2c5p-9, -0x1.3aa41702ae86cp-9, -0x1.332b2cd79118p-9, -0x1.2bd1313b8e10bp-9, -0x1.2499b4668015bp-9, -0x1.1d87bbcaa908bp-9, -0x1.169c6bf0bef6cp-9, -0x1.0fd685eaf7791p-9, -0x1.0932cebafd5cbp-9, -0x1.02ad1014d61bbp-9, -0x1.f8829f5a4dc81p-10, -0x1.ebd9f0d6ef399p-10, -0x1.df5f478d8466ep-10, -0x1.d3165fdc3dc5cp-10, -0x1.c705cbcff59a7p-10, -0x1.bb34124f6188ep-10, -0x1.afa5105004b26p-10, -0x1.a458e187c67c1p-10, -0x1.994c8b6e9c215p-10, -0x1.8e7b9eaa5f174p-10, -0x1.83e1c6472d2b1p-10, -0x1.797bc0aeb9579p-10, -0x1.6f47c3075efd7p-10, -0x1.65456080484e9p-10, -0x1.5b751bf3b50a9p-10, -0x1.51d7ee988588ap-10, -0x1.486f15048a9bcp-10, -0x1.3f3ba8e61d824p-10, -0x1.363e0e9c2eeefp-10, -0x1.2d755e593a55cp-10, -0x1.24decc635f4d7p-10, -0x1.1c75c374e77adp-10, -0x1.14350c5a9aff1p-10, -0x1.0c18f2bacb1dap-10, -0x1.0421093ce08bp-10, -0x1.f8a0081734cecp-11, -0x1.e9536cd695e72p-11, -0x1.da616cdd72602p-11, -0x1.cbca6ad442c1bp-11, -0x1.bd8ac48b90d72p-11, -0x1.af9d4892aa10cp-11, -0x1.a1fe037e906bdp-11, -0x1.94acb9a2aaa26p-11, -0x1.87ad7de2d21eep-11, -0x1.7b05ada744b21p-11, -0x1.6eb7042341d02p-11, -0x1.62bd154013461p-11, -0x1.570ee84b90bd1p-11, -0x1.4ba2c87891205p-11, -0x1.40721cc89fb89p-11, -0x1.357bf7040a761p-11, -0x1.2ac4fb25a9619p-11, -0x1.20540b88f459cp-11, -0x1.162d1758fc3fdp-11, -0x1.0c4d70d2c184fp-11, -0x1.02acc00cfb8efp-11, -0x1.f284ae801e8c8p-12, -0x1.e014eeed09fb1p-12, -0x1.ce0e8a5bcb7aap-12, -0x1.bc7b745b9a754p-12, -0x1.ab6333a94f1fcp-12, -0x1.9ac4e590b5f15p-12, -0x1.8a9640a518008p-12, -0x1.7acb1dcbf0773p-12, -0x1.6b60da864e18dp-12, -0x1.5c5f5272b4ebep-12, -0x1.4dcd7a7a28e38p-12, -0x1.3fa9ad43377fp-12, -0x1.31ed872fd0583p-12, -0x1.2494b1253be6bp-12, -0x1.179ea59c290aep-12, -0x1.0b0bfcb8d6eb3p-12, -0x1.fdb5a89a396e6p-13, -0x1.e609591401969p-13, -0x1.ceff7850406b3p-13, -0x1.b88acd0becb8dp-13, -0x1.a2b324343a5a3p-13, -0x1.8d91b5259ad44p-13, -0x1.79353c2087a88p-13, -0x1.6585bbbc07f07p-13, -0x1.524e8d65c8bf7p-13, -0x1.3f74072077beap-13, -0x1.2d14c528f580fp-13, -0x1.1b613f6a77e14p-13, -0x1.0a5f7ccf4a57fp-13, -0x1.f3da5743d9721p-14, -0x1.d3e7886df3cafp-14, -0x1.b4f8878a3cd6ap-14, -0x1.972150255bcb2p-14, -0x1.7a51b4bdeab45p-14, -0x1.5e6c7e82af2b5p-14, -0x1.435ef67e7452bp-14, -0x1.2925c22f9e765p-14, -0x1.0fbdcc2c5a6e9p-14, -0x1.ee50ed5404801p-15, -0x1.bec80f83601fcp-15, -0x1.90e155c0b1b0dp-15, -0x1.64a67aaa72884p-15, -0x1.3a2e27ee888d5p-15, -0x1.1196024e5abc5p-15, -0x1.d5dfb9478c1d7p-16, -0x1.8c4eb5bc30ef8p-16, -0x1.45e0b5c60469ep-16, -0x1.01abf96f31906p-16, -0x1.7e238309caaa3p-17, -0x1.fa04f5219df7cp-18, -0x1.03791d0b6187dp-18, -0x1.7f92d9167c99p-22, 0x1.974387388557bp-19, 0x1.a669912d992aep-18, 0x1.3a99df57ddc5ep-17, 0x1.9c18137c5625dp-17, 0x1.f8e844dbd8fecp-17, 0x1.28f3ba468a7eap-16, 0x1.53a76fa95dcf5p-16, 0x1.7c89055268d72p-16, 0x1.a38fd1e0a7c56p-16, 0x1.c8b99e8252e26p-16, 0x1.ec0b1abe33251p-16, 0x1.06c74fa5c2a6fp-15, 0x1.16a953251f381p-15, 0x1.25b38beb09065p-15, 0x1.33eae9296ae21p-15, 0x1.41510d79d02fcp-15, 0x1.4de63a64d49a6p-15, 0x1.59acfe0d38019p-15, 0x1.64a466dff2417p-15, 0x1.6ec7bf218f8fdp-15, 0x1.782fd4ef2926p-15, 0x1.81062ffbdd42p-15, 0x1.8933c48af09b9p-15, 0x1.90ab5013b7d6p-15, 0x1.9799dab2ce026p-15, 0x1.9dff622244bc4p-15, 0x1.a3c220795bc7p-15, 0x1.a8e9868eaf4a6p-15, 0x1.ad9522cd8e15ep-15, 0x1.b1d450e16eef2p-15, 0x1.b5921d567af01p-15, 0x1.b8c1d81baab5cp-15, 0x1.bb717f4655e43p-15, 0x1.bdb14554dc48fp-15, 0x1.bf884ed40edfep-15, 0x1.c0f8b9cacb9fbp-15, 0x1.c2040b4c08c3fp-15, 0x1.c2acc6e9bbe43p-15, 0x1.c2f66a07e21d9p-15, 0x1.c2e4be28c72f7p-15, 0x1.c27b174b972fap-15, 0x1.c1bc59849bb7cp-15, 0x1.c0ac238ffd345p-15, 0x1.bf4d9cbeeede6p-15, 0x1.bd9d67374e782p-15, 0x1.bb99135730d17p-15, 0x1.b952148e4e73bp-15, 0x1.b6d154ff16efdp-15, 0x1.b41611798c39bp-15, 0x1.b1200a91813bp-15, 0x1.adea59c21ece1p-15, 0x1.aa7c1719df584p-15, 0x1.a6db19077da06p-15, 0x1.a307bda358415p-15, 0x1.9f07137a3519ap-15, 0x1.9ad84007e24fbp-15, 0x1.967eb5057198p-15, 0x1.91fcc0330e84p-15, 0x1.8d548dad4ef1ep-15, 0x1.888828b18d585p-15, 0x1.839990a4b50eep-15, 0x1.7e8acd08e592ep-15, 0x1.795df7cc5d87dp-15, 0x1.74153cf705721p-15, 0x1.6eb2928c924bep-15, 0x1.6937b4ac572fap-15, 0x1.63a5fe0caedb5p-15, 0x1.5dfeda0013dbfp-15, 0x1.5843ef8fefe1ep-15, 0x1.527672f3c8c7cp-15, 0x1.4c97e070a7ffap-15, 0x1.46ae338bd3d77p-15, 0x1.40bbe59b95d63p-15, 0x1.3ab9bed2aef7dp-15, 0x1.34a4464aeee88p-15, 0x1.2e89de51b73b5p-15, 0x1.286e2c15b9ce8p-15, 0x1.22497f95d305bp-15, 0x1.1c1cf48d9e4d8p-15, 0x1.15eae03facc48p-15, 0x1.0fb52d1102e35p-15, 0x1.097d4d3d851a7p-15, 0x1.03443c10bcc78p-15, 0x1.fa1624e3110e2p-16, 0x1.eda5204530692p-16, 0x1.e136d2d2e3e2ep-16, 0x1.d4cbe550b0a9p-16, 0x1.c8678c8419dfcp-16, 0x1.bc0a048c05dbcp-16, 0x1.afb54a6a17c21p-16, 0x1.a36add89e4a65p-16, 0x1.972f28fcb5c17p-16, 0x1.8b0aebaebc946p-16, 0x1.7efbfc7571f21p-16, 0x1.72f3a0e206a13p-16, 0x1.66f15a5baa048p-16, 0x1.5b0495ddeb3c5p-16, 0x1.4f32b6fa8e7adp-16, 0x1.437d0c9ff6bd5p-16, 0x1.37e51a2f753cbp-16, 0x1.2c51b3bb782dp-16, 0x1.20d2ceffaa079p-16, 0x1.157a9978dc358p-16, 0x1.0a399b0ba3835p-16, 0x1.fe1f2fd18542dp-17, 0x1.e800088a40a7cp-17, 0x1.d219206eb7941p-17, 0x1.bc6c2940a115ap-17, 0x1.a6fa540905ee8p-17, 0x1.91c4a114ca8ccp-17, 0x1.7ccc01e08d7e3p-17, 0x1.6811650dfe279p-17, 0x1.5395ca73867b9p-17, 0x1.3f59e4bd32e51p-17, 0x1.2b5e89e350bf4p-17, 0x1.17a48c945d29fp-17, 0x1.042cbf339c742p-17, 0x1.e1efc381e12cbp-18, 0x1.bc0d126ef74bep-18, 0x1.96b2325a034bp-18, 0x1.71dfa08c33b9fp-18, 0x1.4d95cbfb3742ep-18, 0x1.29d5b2a06b7b4p-18, 0x1.06a1365458057p-18, 0x1.c7f2080756ee8p-19, 0x1.83b39a7494f01p-19, 0x1.40903520cfba8p-19, 0x1.fd29a77fd092ap-20, 0x1.7b373f2108a9dp-20, 0x1.f744f9c1f3c12p-21, 0x1.f88bd0e1de64p-22, 0x1.6ee7c11ff4a78p-27, -0x1.d824447a5cf61p-22, -0x1.d9bdcbff1e614p-21, -0x1.618154fee7b43p-20, -0x1.d3edf55a35a4ap-20, -0x1.22171317a412p-19, -0x1.591f88b970ce4p-19, -0x1.8f106c8d567cep-19, -0x1.c3eb0947a17e8p-19, -0x1.f7b0be36d2606p-19, -0x1.153169cde1aaep-18, -0x1.2e0144ef8cce9p-18, -0x1.4648f026ab361p-18, -0x1.5e17542439b08p-18, -0x1.754e63f9a81e6p-18, -0x1.8bf6c1e2ec491p-18, -0x1.a226a6ae0b78bp-18, -0x1.b7d121d37ffb8p-18, -0x1.ccf6bb5f81bc1p-18, -0x1.e18e0f4c5be8bp-18, -0x1.f5c0095086c5cp-18, -0x1.04b125ab20429p-17, -0x1.0e45149533051p-17, -0x1.1796db77394f1p-17, -0x1.20a8c55adb926p-17, -0x1.297f599faa20fp-17, -0x1.321c96fb95246p-17, -0x1.3a7ad0d9d0719p-17, -0x1.429abea156d99p-17, -0x1.4a7f35e8d79dfp-17, -0x1.5228d11ffe012p-17, -0x1.599858ac8b624p-17, -0x1.60ce582c1e05cp-17, -0x1.67cb72fafd8aep-17, -0x1.6e904cd8ec291p-17, -0x1.751d83054e193p-17, -0x1.7b73aa1e94dfdp-17, -0x1.8193512002de6p-17, -0x1.877d0d5cfc8b4p-17, -0x1.8d3197debed7dp-17, -0x1.92b1ed7dcaad4p-17, -0x1.97fef544a465bp-17, -0x1.9d18b8773f42ep-17, -0x1.a1fdf45623d16p-17, -0x1.a6b08e1f1e492p-17, -0x1.ab35595a50d6ap-17, -0x1.af8da5f971d8ep-17, -0x1.b3b74338b2a98p-17, -0x1.b7ae36a1415a3p-17, -0x1.bb75229c0ae63p-17, -0x1.bf0f39742f09fp-17, -0x1.c27e073d2ae6ep-17, -0x1.c5c0e76af9846p-17, -0x1.c8d3b5c6c7c91p-17, -0x1.cbba77930145dp-17, -0x1.ce8245da922bbp-17, -0x1.d11c9868d9e9ep-17, -0x1.d38b7e45df052p-17, -0x1.d5d2b2ec16da3p-17, -0x1.d7f2e87988bccp-17, -0x1.d9eca46986e26p-17, -0x1.dbc0814c441adp-17, -0x1.dd6f221e7b599p-17, -0x1.def92c07128fcp-17, -0x1.e05f44eb14074p-17, -0x1.e1a2134f9ea1fp-17, -0x1.e2c23dd521b9fp-17, -0x1.e3c06ad141848p-17, -0x1.e49d3fa4c8c11p-17, -0x1.e5595f4180c9cp-17, -0x1.e5f560edb99bdp-17, -0x1.e671edb6543d5p-17, -0x1.e6cfc526767e8p-17, -0x1.e70f7832349b4p-17, -0x1.e731a3743ab1dp-17, -0x1.e736e63a1a908p-17, -0x1.e71f262815edp-17, -0x1.e6ee4717d933fp-17, -0x1.e69dd7e85911p-17, -0x1.e635667b27232p-17, -0x1.e5b2d1b139cd6p-17, -0x1.e51742bb7da63p-17, -0x1.e462f305225aap-17, -0x1.e39548fe91219p-17, -0x1.e2a052d5599b4p-17, -0x1.e1b1c479b4e6p-17, -0x1.e0a2fc4983b1dp-17, -0x1.df797db982dbbp-17, -0x1.de3be561a64aep-17, -0x1.dcea606831649p-17, -0x1.db804b2e1987ap-17, -0x1.da0546e1cafa2p-17, -0x1.d876dffaaa99ap-17, -0x1.d6d42e400ffcp-17, -0x1.d51d89e462367p-17, -0x1.d3587d05aac22p-17, -0x1.d1831543359f2p-17, -0x1.cf9b17ca71f55p-17, -0x1.cda1cad0329ddp-17, -0x1.cb98ad1c57fa2p-17, -0x1.c980018ad037bp-17, -0x1.c7585037fac8cp-17, -0x1.c521ff97fc1c9p-17, -0x1.c2dd8b6f5301bp-17, -0x1.c08b59c38f5b9p-17, -0x1.be2bbb67608d4p-17, -0x1.bbbf69a1c4f7cp-17, -0x1.b94673aa49dabp-17, -0x1.b6c1878cdd261p-17, -0x1.b430d8a1e31ccp-17, -0x1.b194d9f31dee6p-17, -0x1.aeee1ab813844p-17, -0x1.ac3cf657235ebp-17, -0x1.a981bb7db63f6p-17, -0x1.a6bcb8e931c75p-17, -0x1.a3ece82d99336p-17, -0x1.a116d0537558ep-17, -0x1.9e36a49830176p-17, -0x1.9b4e3009d314dp-17, -0x1.985dde1cd9b05p-17, -0x1.9565f840cf628p-17, -0x1.9266d0661492cp-17, -0x1.8f60b97d5f116p-17, -0x1.8c54058c796a1p-17, -0x1.89410507dd52cp-17, -0x1.862805262c4e6p-17, -0x1.8309452b90d2ep-17, -0x1.7fe4cbff6f641p-17, -0x1.7cbd5ae8de882p-17, -0x1.798d81513db22p-17, -0x1.765bba290e187p-17, -0x1.7325336039f9fp-17, -0x1.6fea95a13c77fp-17, -0x1.6cac4c23bebd2p-17, -0x1.696a87199e19ep-17, -0x1.6625a06e0bd48p-17, -0x1.62ddce1a91ec6p-17, -0x1.5f934d11da85ap-17, -0x1.5c46587d274b8p-17, -0x1.58f70d4e98c93p-17, -0x1.55a4fae326455p-17, -0x1.5261227493a37p-17, -0x1.4efe5cf4bdff7p-17, -0x1.4ba9358d74e79p-17, -0x1.4852f0c8b88bep-17, -0x1.44fb3b9746693p-17, -0x1.41a2d46c60fa3p-17, -0x1.3e4c3c6cfbb0bp-17, -0x1.3af15062e06fbp-17, -0x1.37984cf0e8911p-17, -0x1.343f579545788p-17, -0x1.30e695619c4c4p-17, -0x1.2d8dd9713904dp-17, -0x1.2a2cce25dc577p-17, -0x1.26dfb1352199dp-17, -0x1.238a736b52de4p-17, -0x1.203630d3ce392p-17, -0x1.1ce276b0ab20ap-17, -0x1.1990eb8b107f9p-17, -0x1.1640acf49b1eap-17, -0x1.12f232bff2a45p-17, -0x1.0fa59428f66cfp-17, -0x1.0c5af1f00b888p-17, -0x1.0912333774597p-17, -0x1.05c562b4e89a1p-17, -0x1.02888f6424a58p-17, -0x1.fe8f2591eb8b4p-18, -0x1.f8123fe80878dp-18, -0x1.f19add90bba8ep-18, -0x1.eb2b007226195p-18, -0x1.e4bda15f8fa6ep-18, -0x1.de5808c2eb9adp-18, -0x1.d7f84089c90d8p-18, -0x1.d1a4a0d7c3044p-18, -0x1.cb4e062728416p-18, -0x1.c505b2129c82ap-18, -0x1.bec1eb9256b82p-18, -0x1.b8865e836a001p-18, -0x1.b25239d5745c8p-18, -0x1.ac25bb054945p-18, -0x1.a601225a25489p-18, -0x1.9fe49e1c01cc3p-18, -0x1.99d046508b24ep-18, -0x1.93c4558a1cea5p-18, -0x1.8dc0d68749a1ep-18, -0x1.87c5f4a6afdfep-18, -0x1.81d3d40318438p-18, -0x1.7bea915e97fa2p-18, -0x1.760a3dd68390bp-18, -0x1.703272e446d22p-18, -0x1.6a7dc4c0fe4fdp-18, -0x1.64a1bb41c7d1ap-18, -0x1.5ee50d1b8225ap-18, -0x1.5933fb51fe80bp-18, -0x1.538beb8df538fp-18, -0x1.4deda194bf68fp-18, -0x1.485926e5f100ap-18, -0x1.42ce899da05a2p-18, -0x1.3d4dddf92de71p-18, -0x1.37d737669814ap-18, -0x1.326aa7afc6cfdp-18, -0x1.2d083fabdf3afp-18, -0x1.27b00e6e8aaa1p-18, -0x1.226223b27c03ap-18, -0x1.1d1e8b6668e53p-18, -0x1.17e54f376a664p-18, -0x1.12b6704c42f36p-18, -0x1.0d9182350261cp-18, -0x1.089cc38e2d721p-18, -0x1.0368206fc1fd7p-18, -0x1.fcc7ec2f2c55fp-19, -0x1.f2d2218326717p-19, -0x1.e9051d89bf113p-19, -0x1.df27d462bf005p-19, -0x1.d5782876b5844p-19, -0x1.cbd87b95387acp-19, -0x1.c24fcb59311d1p-19, -0x1.b8dc579c3c168p-19, -0x1.af7e0e8b013dcp-19, -0x1.a6353566ec9a2p-19, -0x1.9d01df419d05fp-19, -0x1.93e40f61cb1cap-19, -0x1.8adbc52e9537ep-19, -0x1.81e93146ad4adp-19, -0x1.790c47f449c81p-19, -0x1.704265f0dcb52p-19, -0x1.67b1d43fd97dbp-19, -0x1.5ef40b3b4a368p-19, -0x1.566dd6234d2cp-19, -0x1.4dfc47f829e3ap-19, -0x1.459ffe0fcca71p-19, -0x1.3d58e99ce712cp-19, -0x1.35265c26201efp-19, -0x1.2d0ce6fd9c563p-19, -0x1.251b682070fddp-19, -0x1.1d107b36f300fp-19, -0x1.1534ba5a0c658p-19, -0x1.0d6d2bdb97b1bp-19, -0x1.05ba7ee469835p-19, -0x1.fc3973a81a227p-20, -0x1.ed27b154ef36cp-20, -0x1.de3f945ee2b4p-20, -0x1.cf80e02e24ec7p-20, -0x1.c0ea933c70444p-20, -0x1.b27c15d05a164p-20, -0x1.a436098d6ac44p-20, -0x1.95fec14ac296bp-20, -0x1.87e63a7f30513p-20, -0x1.7a68216f4d196p-20, -0x1.6cc87d182dd7ap-20, -0x1.5f51ea7a1de0dp-20, -0x1.52008958b5a8ap-20, -0x1.44d84a70dfb0fp-20, -0x1.37d7c2cad8b8fp-20, -0x1.2afd723043a7cp-20, -0x1.1e46ef1cb108p-20, -0x1.117160aff2336p-20, -0x1.05597cedf6f66p-20, -0x1.f241afcc8109dp-21, -0x1.da152ad472263p-21, -0x1.c2345f314794ap-21, -0x1.aa9f013577221p-21, -0x1.935510d5076b4p-21, -0x1.7c570e8af3b5ep-21, -0x1.65a457d34916p-21, -0x1.4f3a0f1fc8165p-21, -0x1.3919217d11e2dp-21, -0x1.23444a66d1b9fp-21, -0x1.0db5fe8f06461p-21, -0x1.f0d609e8b220fp-22, -0x1.c7ce55b7ba55bp-22, -0x1.9d6936f01da96p-22, -0x1.74950e57b5775p-22, -0x1.4c3d392d91c42p-22, -0x1.2525e4e2324cep-22, -0x1.fa2dc2a4a7e3bp-23, -0x1.ad216b136280ap-23, -0x1.60f928a15da02p-23, -0x1.15a1a88f37ba3p-23, -0x1.9c29e10880136p-24, -0x1.048024ec5b9e2p-24, -0x1.d1e58fe9f9d7bp-26, 0x1.99e755b62e002p-28, 0x1.4b6398ec407ffp-25, 0x1.2fc27d73d8293p-24, 0x1.b7ce8da7b251ep-24, 0x1.1f160810ec0d3p-23, 0x1.61224efae3ffbp-23, 0x1.a201dda6f27b3p-23, 0x1.e22e977274954p-23, 0x1.10af7b9cd5e2fp-22, 0x1.2fb0242fb8c7fp-22, 0x1.4e4a7dc0f39cbp-22, 0x1.6c593b4a23e28p-22, 0x1.8a16c9b9d923dp-22, 0x1.a74feb49f747ap-22, 0x1.c3af0fae0a398p-22, 0x1.dee4ed7761b89p-22, 0x1.fc56608e6ea37p-22, 0x1.0bbd597124305p-21, 0x1.1944171f8e56p-21, 0x1.24bfa533e0431p-21, 0x1.339f305691a93p-21, 0x1.404a4835323a8p-21, 0x1.4ced362a8c75cp-21, 0x1.596b323fdff4ep-21, 0x1.6588c2d589fbp-21, 0x1.71807935b8c95p-21, 0x1.7d456ba34aab3p-21, 0x1.88e6f1e96bc29p-21, 0x1.9433d5c22c1f2p-21, 0x1.9f5ea271b3194p-21, 0x1.aa5665e53308ep-21, 0x1.b51b24a023014p-21, 0x1.bfbf27d49516fp-21, 0x1.c93bd07eca8e1p-21, 0x1.d447ecfa7773ap-21, 0x1.de45fb28433fdp-21, 0x1.e817d6c0bab24p-21, 0x1.f1bada7ab415dp-21, }}, 
      {{-0x1.13fd02c5ce342p-6, -0x1.12fb761f1eeadp-5, -0x1.99f613d336c97p-5, -0x1.0efed1d1da255p-4, -0x1.4f1f722b910c5p-4, -0x1.8d04b485d9312p-4, -0x1.c867869bd5faap-4, -0x1.008828ab9b53bp-3, -0x1.1b6a7fc3e429cp-3, -0x1.34cb9aa2a8104p-3, -0x1.4ca16bf729c1cp-3, -0x1.62e66c855af1dp-3, -0x1.7799153126b2bp-3, -0x1.8abb6386aa653p-3, -0x1.9c52624bd6d51p-3, -0x1.ac65b50358b89p-3, -0x1.baff284cebe46p-3, -0x1.c82a46ed2837dp-3, -0x1.d3f3f80df8d49p-3, -0x1.de6a276ddd51bp-3, -0x1.e79b788cba881p-3, -0x1.ef97050833fffp-3, -0x1.f66c25c72cf7p-3, -0x1.fc2a4639863e7p-3, -0x1.00705fe5480ccp-2, -0x1.024f5e6b9e859p-2, -0x1.03b990ce13a8p-2, -0x1.04b63d068bc24p-2, -0x1.054c76070490bp-2, -0x1.0583167d84d15p-2, -0x1.0560bcec5a1afp-2, -0x1.04ebc921bb075p-2, -0x1.042a5a54eb438p-2, -0x1.03224e534a97p-2, -0x1.01d9410169707p-2, -0x1.00548ca30d826p-2, -0x1.fd329490b3427p-3, -0x1.f958a580ca84dp-3, -0x1.f5247f61fd6d8p-3, -0x1.f09ed9b8c294bp-3, -0x1.ebcff3570dfb4p-3, -0x1.e6bf955384df9p-3, -0x1.e17516798cf39p-3, -0x1.dbf75ea4ccdebp-3, -0x1.d64cea62ea9a3p-3, -0x1.d07bce5e4660cp-3, -0x1.ca89bb3e651dcp-3, -0x1.c47c012674274p-3, -0x1.be57939a2b2b2p-3, -0x1.b8210d1e3622cp-3, -0x1.b1dcb2ec5ca1cp-3, -0x1.ab8e78cc2e829p-3, -0x1.a53a04c6a9e7ep-3, -0x1.9ee2b2caa7b12p-3, -0x1.988b987edbf3dp-3, -0x1.923788c8025b9p-3, -0x1.8be9176a30558p-3, -0x1.85a29c889ab9ep-3, -0x1.7f66381fd50ccp-3, -0x1.7935d561cd25p-3, -0x1.73132ddbe4cb3p-3, -0x1.6cffccbac5b94p-3, -0x1.66fd11c295674p-3, -0x1.610c34276156p-3, -0x1.5b2e4564e0b56p-3, -0x1.556433dafdf8dp-3, -0x1.4faecd4c58a3bp-3, -0x1.4a0ec13e0afa1p-3, -0x1.4484a34d79b51p-3, -0x1.3f10ed20f3387p-3, -0x1.39b40079decebp-3, -0x1.346e2927c9c1p-3, -0x1.2f3f9e97316f5p-3, -0x1.2a2885951fa49p-3, -0x1.2528f1e10a923p-3, -0x1.2040e77e06271p-3, -0x1.1b705c1b9bbfep-3, -0x1.16b73844a047p-3, -0x1.1215589e0c6e4p-3, -0x1.0d8a8ed688679p-3, -0x1.0916a2ba0e271p-3, -0x1.04b9533ce68c6p-3, -0x1.00725745a8bc9p-3, -0x1.f882bd3b00aa2p-4, -0x1.f04c256a9af88p-4, -0x1.e8402e9e57d97p-4, -0x1.e05e1683bf3bbp-4, -0x1.d8a511ed9f478p-4, -0x1.d1144e50db782p-4, -0x1.c9aaf2858a2b3p-4, -0x1.c2682023dbad3p-4, -0x1.bb4af4684e5abp-4, -0x1.b452894a09894p-4, -0x1.ad7df650460ffp-4, -0x1.a6cc519617c76p-4, -0x1.a03cb048e0eb7p-4, -0x1.99ce2773e1ae1p-4, -0x1.937fcc9967225p-4, -0x1.8d50b63b917d9p-4, -0x1.873ffc35b09ecp-4, -0x1.814cb87bb8f0bp-4, -0x1.7b76074f0a913p-4, -0x1.75bb07f6faaaep-4, -0x1.701adcdbcd459p-4, -0x1.6a94ac1ce1d45p-4, -0x1.65279fd5fa98bp-4, -0x1.5fd2e668042abp-4, -0x1.5a95b2b0a3862p-4, -0x1.556f3c22a8fd1p-4, -0x1.505ebf16405d3p-4, -0x1.4b637cab67fep-4, -0x1.467cbb14ee669p-4, -0x1.41a9c56abd099p-4, -0x1.3ce9ebdba6e92p-4, -0x1.383c83a878c43p-4, -0x1.33a0e72e5792bp-4, -0x1.2f1675e7d8f12p-4, -0x1.2a9c946fd359ap-4, -0x1.2632ac6f591e3p-4, -0x1.21d82ca7cfff5p-4, -0x1.1d8c88e235799p-4, -0x1.194f39dcdbd2fp-4, -0x1.151fbd51844a7p-4, -0x1.10fd95b2e2a7ap-4, -0x1.0ce84a31c3963p-4, -0x1.08df66a50800fp-4, -0x1.04e27b681c151p-4, -0x1.00f11d3c9eb9dp-4, -0x1.fa15ca5e28ba8p-5, -0x1.f25ee0f6254acp-5, -0x1.eabcc0e6feb25p-5, -0x1.e32eb4b089797p-5, -0x1.dbb40e8b7b426p-5, -0x1.d44c283ecf476p-5, -0x1.ccf662be560acp-5, -0x1.c5b22646ed64dp-5, -0x1.be7ee1ccfd6a2p-5, -0x1.b75c0aff95583p-5, -0x1.b0491e147405ap-5, -0x1.a9459d9107ccep-5, -0x1.a251121f43235p-5, -0x1.9b6b0a5af23aep-5, -0x1.94931aa3cdccap-5, -0x1.8dc8dcf4353aep-5, -0x1.870bf0b3a4ed9p-5, -0x1.805bfa8dc86abp-5, -0x1.79b8a44dbcd96p-5, -0x1.73219c98e024p-5, -0x1.6c9696ecd3d9bp-5, -0x1.66174b6ac5831p-5, -0x1.5fa3769937052p-5, -0x1.593ad9874837dp-5, -0x1.52dd393792395p-5, -0x1.4c8a5ee8b0561p-5, -0x1.464217b2dc988p-5, -0x1.40043481a457bp-5, -0x1.39d089e93a0f8p-5, -0x1.33a6f00a8b6e9p-5, -0x1.2d8742757cc0bp-5, -0x1.277160077bbe8p-5, -0x1.21652acda7436p-5, -0x1.1b6287ea2fbd9p-5, -0x1.15695f75dd656p-5, -0x1.0f799c6274d29p-5, -0x1.09932c62613d7p-5, -0x1.03b5ffd276f61p-5, -0x1.fbc413266d5a1p-6, -0x1.f02e7dcd84906p-6, -0x1.e4ab2efef4147p-6, -0x1.d93a1a6e25d2cp-6, -0x1.cddb38275fccfp-6, -0x1.c28e846058c9fp-6, -0x1.b753ff125de6ep-6, -0x1.ac2babfbd2197p-6, -0x1.a1159267228fep-6, -0x1.9611bcf9ff0dap-6, -0x1.8b20398dcdf7ep-6, -0x1.80411903fbed5p-6, -0x1.75746f1703dd7p-6, -0x1.6aba52316e211p-6, -0x1.6012db4ada46ep-6, -0x1.557e25c09f74dp-6, -0x1.4afc4f2a6041fp-6, -0x1.408d773358e71p-6, -0x1.3631bf795708ep-6, -0x1.2be94b68a8a28p-6, -0x1.21b44021404acp-6, -0x1.1792c43f2158bp-6, -0x1.0d84ffc73c1d7p-6, -0x1.038b1c12dd9a8p-6, -0x1.f34a872faeca2p-7, -0x1.dfa7439d2386ep-7, -0x1.cc2cc6491924ap-7, -0x1.b8db69db307d1p-7, -0x1.a5b389fc0d309p-7, -0x1.92b583faaf436p-7, -0x1.7fe1b5dfb3ec7p-7, -0x1.6d387e9e33bd4p-7, -0x1.5aba3d53afc4bp-7, -0x1.48675248e042fp-7, -0x1.36401d8eeb4d6p-7, -0x1.2444ff5ec1f9cp-7, -0x1.127657ce37c27p-7, -0x1.00d486b2f27p-7, -0x1.debfd6ffa191cp-8, -0x1.bc31ca307d0bp-8, -0x1.99ffa33891d92p-8, -0x1.782a1c688e6a7p-8, -0x1.56b1ee6018826p-8, -0x1.3597cef4c2883p-8, -0x1.14dc71cff856dp-8, -0x1.e9010f4a3bcd8p-9, -0x1.a9097be8092bcp-9, -0x1.69d37d988a8dbp-9, -0x1.2b60614e30b4fp-9, -0x1.db62d8f304044p-10, -0x1.618fb91089d17p-10, -0x1.d29399459cab9p-11, -0x1.ca4dacb1daa81p-12, 0x1.48939f4e8da13p-17, 0x1.d886e767ac55fp-12, 0x1.d0385e2239c63p-11, 0x1.587e7ecfb9b76p-10, 0x1.c746b5ec2e6f7p-10, 0x1.1a397c0b738f2p-9, 0x1.5000c034fa252p-9, 0x1.84f850944a06dp-9, 0x1.b91f62037fc3p-9, 0x1.ec753575238bdp-9, 0x1.0f7c8c32d898bp-8, 0x1.2855329eb57aep-8, 0x1.40c44208ab953p-8, 0x1.58c973e132e55p-8, 0x1.706489f10b8e8p-8, 0x1.87954b97c3e79p-8, 0x1.9e5b874a1517ep-8, 0x1.b4b712851670ap-8, 0x1.caa7c9f64afefp-8, 0x1.e02d9113bab97p-8, 0x1.f54853de22bdbp-8, 0x1.04fc012eeee36p-7, 0x1.0f1e4bbce0bf2p-7, 0x1.190b09a5a5a9ap-7, 0x1.22c23eeeab41ep-7, 0x1.2c43f3642894ap-7, 0x1.35903270bd5d1p-7, 0x1.3ea70b563c341p-7, 0x1.478890f1a5afdp-7, 0x1.5034d9cf26735p-7, 0x1.58ac0047544dep-7, 0x1.60ee22795f0eep-7, 0x1.68fb6233515dap-7, 0x1.70d3e4f1ff6a4p-7, 0x1.7877d3fafc8d2p-7, 0x1.7fe75c16319ebp-7, 0x1.8722ade3fb7e9p-7, 0x1.8e29fd70256cap-7, 0x1.94fd82744b168p-7, 0x1.9b9d783d7f0b1p-7, 0x1.a20a1da867b71p-7, 0x1.a843b51228268p-7, 0x1.ae4a8446dab6ep-7, 0x1.b41ed475db61fp-7, 0x1.b9c0f22aac013p-7, 0x1.bf312d45cd4f5p-7, 0x1.c46fd8f347685p-7, 0x1.c97d4b9dcc878p-7, 0x1.ce59dede50043p-7, 0x1.d305ef6949fc1p-7, 0x1.d781dcfde7929p-7, 0x1.dbce0a56cdb2ep-7, 0x1.dfeadd1c7afe4p-7, 0x1.e3d8bdd8e7cc2p-7, 0x1.e79817e484de6p-7, 0x1.eb29596a743ecp-7, 0x1.ee8cf329f5188p-7, 0x1.f1c3588c87386p-7, 0x1.f4ccff7bb80a2p-7, 0x1.f7aa6052277fap-7, 0x1.fa5bf5d7be629p-7, 0x1.fce23cda0d502p-7, 0x1.ff3db534d79a5p-7, 0x1.00b76fc8f7324p-6, 0x1.01bb1ffa7b642p-6, 0x1.02aa2de021c02p-6, 0x1.0384dd2c0df88p-6, 0x1.044b727a379fbp-6, 0x1.04fe33445c7dp-6, 0x1.059d65d820335p-6, 0x1.0629514d0fc1ep-6, 0x1.06a23d7a2ecd1p-6, 0x1.070872ebc21fap-6, 0x1.075c3ad73a41ep-6, 0x1.079ddf1121ddep-6, 0x1.07cda9ffd7a4ap-6, 0x1.07ebe68feb984p-6, 0x1.07f8e02d4a623p-6, 0x1.07f4e2b4e6e45p-6, 0x1.07e03a6d787cdp-6, 0x1.07bb33fce8a46p-6, 0x1.07861c5a40c1p-6, 0x1.074140c55e6bbp-6, 0x1.06eceebca0637p-6, 0x1.068973f1a5a7fp-6, 0x1.06171e41dc979p-6, 0x1.05963bafa73c8p-6, 0x1.05071a675f872p-6, 0x1.046a083a873d4p-6, 0x1.03bf52bd32d73p-6, 0x1.0307497de2a84p-6, 0x1.024239f2cd983p-6, 0x1.0170711e7dfbbp-6, 0x1.00923d7faffaap-6, 0x1.ff4fd94fdd188p-7, 0x1.fd6397de1aa96p-7, 0x1.fb6050f47c178p-7, 0x1.f9469e464145ep-7, 0x1.f71718ea6f4fcp-7, 0x1.f4d259614e80ap-7, 0x1.f278f71b7f1e3p-7, 0x1.f00b894e5413ep-7, 0x1.ed8aa5d8bb95ep-7, 0x1.eaf6e1de15d84p-7, 0x1.e850d183626a3p-7, 0x1.e59907e4ff752p-7, 0x1.e2d0170b021a8p-7, 0x1.dff68fdc3e73fp-7, 0x1.dd0d02122850bp-7, 0x1.da13fc2c67f2ep-7, 0x1.d70c0b638ace7p-7, 0x1.d3f5bb9c220e7p-7, 0x1.d0d1975dbfe4ep-7, 0x1.cda027cd8bdefp-7, 0x1.ca61f4a5a85a6p-7, 0x1.c71784257534cp-7, 0x1.c3c15b04dcc2ap-7, 0x1.c05ffc66d34cp-7, 0x1.bcf3e9dd27c44p-7, 0x1.b97da36429262p-7, 0x1.b5fda75a47051p-7, 0x1.b2747271ef30ep-7, 0x1.aee27f9ec7866p-7, 0x1.ab48481d4584fp-7, 0x1.a7a6437152af9p-7, 0x1.a3fce75a16c51p-7, 0x1.a04ca7da6f1bbp-7, 0x1.9c95f71eec56bp-7, 0x1.98d9457ec8b0cp-7, 0x1.9517017f12a1ep-7, 0x1.914f97cca663ap-7, 0x1.8d83733793f85p-7, 0x1.89b2fcb057091p-7, 0x1.85de9b45e6186p-7, 0x1.8206b424ddfe7p-7, 0x1.7e2baa9804cc1p-7, 0x1.7a4de02f8eab8p-7, 0x1.766db4c934205p-7, 0x1.728b837e35a4p-7, 0x1.6ea7ab6951c4dp-7, 0x1.6ac283e8986a1p-7, 0x1.66dc68243b4cp-7, 0x1.62f5a9082bb62p-7, 0x1.5f0e9dbd9f0f3p-7, 0x1.5b27980070258p-7, 0x1.5740e7df8cfbbp-7, 0x1.535adbadc634ep-7, 0x1.4f75bfe78503fp-7, 0x1.4b91df2c41ccbp-7, 0x1.47af823d477b6p-7, 0x1.43ceeffd17b8cp-7, 0x1.3ff06d6fc3282p-7, 0x1.3c143dbd74987p-7, 0x1.383aa238345e7p-7, 0x1.3463da668f1e7p-7, 0x1.3090240c19f65p-7, 0x1.2cbfbb1908c6p-7, 0x1.28f2d9b4444bdp-7, 0x1.2529b87d58eddp-7, 0x1.21648e51d3cebp-7, 0x1.1da390252cedfp-7, 0x1.19e6f16cd2932p-7, 0x1.162ee3b6756d8p-7, 0x1.127b9723c5a12p-7, 0x1.0ecd39de9baa3p-7, 0x1.0b23f888e8345p-7, 0x1.077ffe328b464p-7, 0x1.03e1745fa2605p-7, 0x1.0048830e534bdp-7, 0x1.f96aa1a69556ep-8, 0x1.f250053f6025cp-8, 0x1.eb4177fb0962p-8, 0x1.e43f3deaa10a2p-8, 0x1.dd49982ed259p-8, 0x1.d660c5565f333p-8, 0x1.cf84fd7254229p-8, 0x1.c8b67d7da563fp-8, 0x1.c1f57ae2206d2p-8, 0x1.bb42250007be4p-8, 0x1.b49cafc0d3815p-8, 0x1.ae05491095ce9p-8, 0x1.a77c1c8ac23c1p-8, 0x1.a1015356d66a6p-8, 0x1.9a9513f6d9737p-8, 0x1.943782497a51cp-8, 0x1.8de8bfa43632p-8, 0x1.87a8eb0054b79p-8, 0x1.817821335fb25p-8, 0x1.7b567d26d854bp-8, 0x1.75441800e5c68p-8, 0x1.6f410934acb54p-8, 0x1.694d667787776p-8, 0x1.6369439da476ap-8, 0x1.5d94b2675ab24p-8, 0x1.57cfc2507cd91p-8, 0x1.521a80752478ap-8, 0x1.4c74f792cae67p-8, 0x1.46df303197fbap-8, 0x1.415930e9f541ep-8, 0x1.3be2febe8753ep-8, 0x1.367c9d721ecb4p-8, 0x1.31260fc6745ecp-8, 0x1.2bdf5794c0a26p-8, 0x1.26a875d35d2e5p-8, 0x1.2181697b04cc1p-8, 0x1.1c6a318241025p-8, 0x1.1762ca01e90fap-8, 0x1.126b2c31885dep-8, 0x1.0d83509fc7809p-8, 0x1.08ab2d3755125p-8, 0x1.03e2b67756337p-8, 0x1.fe53bfb917fa3p-9, 0x1.f50138c7deb67p-9, 0x1.ebcdbdc4dcf06p-9, 0x1.e2b9346ef319bp-9, 0x1.d9c382e09400ap-9, 0x1.d0ec8ed66c039p-9, 0x1.c8343bfb9945dp-9, 0x1.bf9a6ab675539p-9, 0x1.b71ef797bb9e7p-9, 0x1.aec1ba87332f5p-9, 0x1.a682867859ac8p-9, 0x1.9e6128f3d747bp-9, 0x1.965d6662216d3p-9, 0x1.8e770ab354a6ap-9, 0x1.86ade6b1d32d9p-9, 0x1.7f01b724b27dap-9, 0x1.77724c0d7b37bp-9, 0x1.6fff7867bb585p-9, 0x1.68a90eef88ff7p-9, 0x1.616ee37199759p-9, 0x1.5a50cb8119308p-9, 0x1.534e9c127c9c4p-9, 0x1.4c6825aec0f11p-9, 0x1.459d342fe882ap-9, 0x1.3eed8d220227cp-9, 0x1.3858f034e3df4p-9, 0x1.31df17ff9eee4p-9, 0x1.2b7fbb8267667p-9, 0x1.253a90095f3f8p-9, 0x1.1f0f4b0c11a31p-9, 0x1.18fda3c388a3fp-9, 0x1.13055455529d6p-9, 0x1.0d261a8e99fb5p-9, 0x1.075fb83004b08p-9, 0x1.01b1f2c1868c9p-9, 0x1.f83925b8271d5p-10, 0x1.ed3ec5bc259c8p-10, 0x1.e2745a7bd5b7bp-10, 0x1.d7d974f3f10b8p-10, 0x1.cd6d9a327569p-10, 0x1.c3305b184219bp-10, 0x1.b921210aa3bdbp-10, 0x1.af3f6310cf2b6p-10, 0x1.a58a8f40a40aap-10, 0x1.9c021213386cfp-10, 0x1.92a557f638adfp-10, 0x1.8973cdbc6b592p-10, 0x1.806ce09428366p-10, 0x1.778ffe57db037p-10, 0x1.6edc96bd07b4p-10, 0x1.66521d3392839p-10, 0x1.5df00abc82082p-10, 0x1.55b5dea769744p-10, 0x1.4da31daced624p-10, 0x1.45b74f7537b26p-10, 0x1.3df1fb6fa9c66p-10, 0x1.3652a6411269bp-10, 0x1.2ed8d0db35002p-10, 0x1.2783f9884901fp-10, 0x1.20539e3bb8043p-10, 0x1.19473ee9292c4p-10, 0x1.125e5f33c6edcp-10, 0x1.0b9888b74ac09p-10, 0x1.04f544026e221p-10, 0x1.fce7809f191e6p-11, 0x1.f028021f13f95p-11, 0x1.e3aa86a703621p-11, 0x1.d76dd70bec16bp-11, 0x1.cb70cc89ff59p-11, 0x1.bfb2a8f368209p-11, 0x1.b4325be2b08e8p-11, 0x1.a8eeed775465ep-11, 0x1.9de76ef0ac64p-11, 0x1.931af3aa7665cp-11, 0x1.88888e8f78a45p-11, 0x1.7e2f53d558d2ap-11, 0x1.740e5981f0e6p-11, 0x1.6a24bc55cf57cp-11, 0x1.60719f6bbfa88p-11, 0x1.56f42c04e7afp-11, 0x1.4dab910f26d4fp-11, 0x1.44970022c6bf9p-11, 0x1.3bb5a83eac4ep-11, 0x1.3306b271840fbp-11, 0x1.2a89423fa29d7p-11, 0x1.223c778f45651p-11, 0x1.1a1f7289925edp-11, 0x1.12315632058ccp-11, 0x1.0a7144e0fe74p-11, 0x1.02de66d84c52cp-11, 0x1.f6efcd75d525dp-12, 0x1.e879d7f56a651p-12, 0x1.da5955f4d5681p-12, 0x1.cc8cbc6f29b1ap-12, 0x1.bf128f6dac24dp-12, 0x1.b1e961cca5cfbp-12, 0x1.a50fc6acdfde1p-12, 0x1.98844efa6393bp-12, 0x1.8c458957860f8p-12, 0x1.8051fce0c021p-12, 0x1.74a839ec65dd6p-12, 0x1.6946e5ebe427dp-12, 0x1.5e2ca0b0ab988p-12, 0x1.535826666dedep-12, 0x1.48c82b425d645p-12, 0x1.3e7b77de8fe47p-12, 0x1.3470cb5f2090fp-12, 0x1.2aa6e53e9f09cp-12, 0x1.211c786c1374dp-12, 0x1.17d025f196a3dp-12, 0x1.0ec082a3a9908p-12, 0x1.05ec26a1b3f9cp-12, 0x1.faa380cb1dd61p-13, 0x1.e9e043bfe51eep-13, 0x1.d98c7f60b1b2bp-13, 0x1.c9a6436c7fdaep-13, 0x1.ba2b99ef80c9ap-13, 0x1.ab1a65eb9e35dp-13, 0x1.9c705cc6d0103p-13, 0x1.8e2b179257c59p-13, 0x1.80482b24e4c03p-13, 0x1.72c4ef75f30e7p-13, 0x1.65a0284df0c6p-13, 0x1.58d6d7b3753e1p-13, 0x1.4c67895e2e754p-13, 0x1.4050a9b0f8a23p-13, 0x1.3490b6f766af2p-13, 0x1.2926197ce399dp-13, 0x1.1e0f0aa3bbd3cp-13, 0x1.1349969fdfdacp-13, 0x1.08d3ae424dba7p-13, 0x1.fd566efa00187p-14, 0x1.e99c338952ae2p-14, 0x1.d674a5fc271f1p-14, 0x1.c3dc4e4342c18p-14, 0x1.b1d0a70ed8013p-14, 0x1.a04b3e621cb73p-14, 0x1.8f4eb690e18dp-14, 0x1.7ed8c0ea96b1cp-14, 0x1.6ee0e124cb3c9p-14, 0x1.5f6716d85611bp-14, 0x1.5067bcf078504p-14, 0x1.41df5b5bc45b3p-14, 0x1.33ca0d2efe422p-14, 0x1.2624b4db1b6bp-14, 0x1.18ed9a01c1524p-14, 0x1.0c2240ee6812ep-14, 0x1.ff814a22f31c7p-15, 0x1.e78d39292e7fdp-15, 0x1.d0637235759c9p-15, 0x1.b9fee56c2a812p-15, 0x1.a45aa43f18809p-15, 0x1.8f71d8d3e4a51p-15, 0x1.7b3f84e4994bcp-15, 0x1.67be64f64b804p-15, 0x1.54e919d4f13f9p-15, 0x1.42ba7c9063dbbp-15, 0x1.312df2e4f7264p-15, 0x1.203f93f29f912p-15, 0x1.0febfceff806ep-15, 0x1.002fa0a12fda2p-15, 0x1.e20c8b18df522p-16, 0x1.c4d77b21142cdp-16, 0x1.a8b69731b49b8p-16, 0x1.8da1ed2fc7958p-16, 0x1.7392343cb07dap-16, 0x1.5a804fbe7b39fp-16, 0x1.4265dd6d20728p-16, 0x1.2b3c8892b00f9p-16, 0x1.14fd98d3d271cp-16, 0x1.ff43b06604c69p-17, 0x1.d644d260ca7c7p-17, 0x1.aef3069daf177p-17, 0x1.89444b7beaa9cp-17, 0x1.652e56077507cp-17, 0x1.42a5a364a442bp-17, 0x1.219dcbada8a71p-17, 0x1.020a2f2c24ea3p-17, 0x1.c7bccfdedbf73p-18, 0x1.8e1f003d7ea85p-18, 0x1.57279e63bcdc9p-18, 0x1.22c4c15266a73p-18, 0x1.e1c7781af7d27p-19, 0x1.82df30ff24a87p-19, 0x1.28a0cbfe6ba7dp-19, 0x1.a5c0c17787839p-20, 0x1.02ed17671425cp-20, 0x1.a1ef0c04e2334p-22, -0x1.4e4a47c3b39b7p-23, -0x1.68342e60cb798p-21, -0x1.36b999d88902fp-20, -0x1.b1ef8fb9b1da4p-20, -0x1.13115155a01bep-19, -0x1.49bb8ec9ef185p-19, -0x1.7d107e0f86ca2p-19, -0x1.ad270357591d9p-19, -0x1.da1ca6cc2f4d6p-19, -0x1.020867540bf1bp-18, -0x1.158fc711dffdep-18, -0x1.27b17a78cac0fp-18, -0x1.387ab6e3b207p-18, -0x1.47f17f75d5dfp-18, -0x1.5655941aa284fp-18, -0x1.6315e91016f65p-18, -0x1.6f1021022cdcdp-18, -0x1.79c86f323829p-18, -0x1.836f038d5b7a7p-18, -0x1.8c0d3d536fac3p-18, -0x1.93ac6c2fc1193p-18, -0x1.9a547a8871de5p-18, -0x1.a00c18d2e8868p-18, -0x1.a4df1bc9409dbp-18, -0x1.a8d7e1a790d0ap-18, -0x1.ac054448986efp-18, -0x1.ae74241a393d7p-18, -0x1.b02e1c6bb8682p-18, -0x1.b1372f3ea7264p-18, -0x1.b191bdf6974f6p-18, -0x1.b144bbd16cbc4p-18, -0x1.b05a8c40a4785p-18, -0x1.aedb816d8929ap-18, -0x1.acc7da6d56641p-18, -0x1.aa423ff2ef324p-18, -0x1.a724f6e89da9dp-18, -0x1.a393571388bc7p-18, -0x1.9f931e5e097c3p-18, -0x1.9b22f5e1bd58bp-18, -0x1.964b041ceace2p-18, -0x1.911105c44bddcp-18, -0x1.8b7ac093c844bp-18, -0x1.858ca460ac7fbp-18, -0x1.7f48a20ce807ap-18, -0x1.78bc5ceb8d5f1p-18, -0x1.71e6902ee0b7cp-18, -0x1.6aca5e05d1099p-18, -0x1.636fa569b4005p-18, -0x1.5bd81b6177e83p-18, -0x1.5409563d875aap-18, -0x1.4c11218217cc4p-18, -0x1.43daf3816ae94p-18, -0x1.3b82f7e1fb1f9p-18, -0x1.3303e4ef189c6p-18, -0x1.2a618bddb6ep-18, -0x1.21a08a24f1e4ep-18, -0x1.18c4059812317p-18, -0x1.0fce2cfc1b37bp-18, -0x1.06c1b6c6866b1p-18, -0x1.fb441fa4f995dp-19, -0x1.e8e4cc7295ddp-19, -0x1.d66a8788b7fcp-19, -0x1.c3da1dde3fce8p-19, -0x1.b138fbafa371p-19, -0x1.9e8c4697fdeb9p-19, -0x1.8bd8874934ef8p-19, -0x1.7921dd1442224p-19, -0x1.666c3e7e2d676p-19, -0x1.53bb9fb0962d2p-19, -0x1.4113f612d8393p-19, -0x1.2e791c9cd5806p-19, -0x1.1beeace12b0edp-19, -0x1.0977f7e8d4d75p-19, -0x1.ee308f87cbfdcp-20, -0x1.c9a61a1968e7cp-20, -0x1.a5568f0d4ee15p-20, -0x1.8145f2251f947p-20, -0x1.5d7925ba989b5p-20, -0x1.39fb1ce9297b6p-20, -0x1.16ca45f7502c5p-20, -0x1.e7e0c3cf8a8fap-21, -0x1.a2d799754a26ep-21, -0x1.5e8f388a3c06p-21, -0x1.1b1cde91671aep-21, -0x1.aeeae4fce70b3p-22, -0x1.2c7c38775d8d8p-22, -0x1.54484b587b531p-23, -0x1.4c5a69a803867p-25, 0x1.55204cd657647p-24, 0x1.a49ddb6adab0dp-23, 0x1.4d810134a0ee3p-22, 0x1.c6d61e704929cp-22, 0x1.1f231af119979p-21, 0x1.59e4a225ceae1p-21, 0x1.93a8e66ca1536p-21, 0x1.cc74fdb9af05p-21, 0x1.021ebf7e9ae5ep-20, 0x1.1d818024e2c04p-20, 0x1.3861c69edbeb4p-20, 0x1.52be7e2376eb4p-20, 0x1.6c969d127b69ep-20, 0x1.85e962a5a236ap-20, 0x1.9eb5e659d56f6p-20, 0x1.b6fad29f35a75p-20, 0x1.ceb509e98264dp-20, 0x1.e6553fcd0d55dp-20, 0x1.fce503ea21d8dp-20, 0x1.09634ed520a46p-19, 0x1.1437de672f1ecp-19, 0x1.1ec658f803c07p-19, 0x1.2910a56553a23p-19, 0x1.33174685f7848p-19, 0x1.3cd6fa0438ce4p-19, 0x1.4659a562764c9p-19, 0x1.4f976c1e74ad1p-19, 0x1.5892590ed76e7p-19, 0x1.6148a09a5fd34p-19, 0x1.69c6bc8c9cd88p-19, 0x1.71f24692cf79cp-19, 0x1.79e7c7a288a6dp-19, 0x1.819c7dedbe5b9p-19, 0x1.8910252f1876fp-19, 0x1.9042d64764b7dp-19, 0x1.9736855978784p-19, 0x1.9dead2ee3fa89p-19, 0x1.a4610d1481b64p-19, 0x1.aa9a6afcaa894p-19, 0x1.b096a10a68b4p-19, 0x1.b65911dcdd45cp-19, 0x1.bbd6aea4dd22bp-19, 0x1.c128ac4bf2c73p-19, 0x1.c630d1a6df883p-19, 0x1.cb058cd818492p-19, 0x1.cfa0ee057944ap-19, 0x1.d403efe769c14p-19, 0x1.d82f2c1c39b87p-19, 0x1.dc235a51b71d1p-19, 0x1.dfe1043ba0e4fp-19, 0x1.e36954778ad72p-19, 0x1.e6bd31b93dc3cp-19, 0x1.e9dcd1bc9de63p-19, 0x1.ecc86d79e168fp-19, 0x1.ef8260ed20b92p-19, 0x1.f209a889a4368p-19, 0x1.f4607729bd981p-19, 0x1.f686fb5f5455p-19, 0x1.f87dfdd6157b4p-19, 0x1.fa464b0de2e29p-19, 0x1.fbe0ab982f8efp-19, 0x1.fd4de9020304ap-19, 0x1.fe8ecf87c327ap-19, 0x1.ffa42cc229ff3p-19, 0x1.004766d17e3bbp-18, 0x1.00a7bd626fa23p-18, 0x1.00f37a20236d7p-18, 0x1.012af91ea0e78p-18, 0x1.014e8f70b8901p-18, 0x1.015e9500bc1ccp-18, 0x1.015c18166a59cp-18, 0x1.0146d1fdbbe5ep-18, 0x1.011e9e3c35fep-18, 0x1.00eda7a364c5ep-18, 0x1.00a533293af29p-18, 0x1.003d47556cffp-18, 0x1.ffa11aa7c904ap-19, 0x1.fea7f3b5fbd52p-19, 0x1.fd8d7745e4953p-19, 0x1.fc53a3fdd35eap-19, 0x1.fafb497be9eap-19, 0x1.f98526340554ep-19, 0x1.f7f1f29aac3b6p-19, 0x1.f64262daaaf2fp-19, 0x1.f47722c6ddb34p-19, 0x1.f290ba1f4b469p-19, 0x1.f0925380f10bdp-19, 0x1.eea5702f2ffd9p-19, 0x1.ec691c549c8cap-19, 0x1.e9f6437738009p-19, 0x1.e796e36f6af2p-19, 0x1.e51c78485c5a2p-19, 0x1.e288eba1aee1cp-19, 0x1.dfc1bafb53a94p-19, 0x1.dd30e97354244p-19, 0x1.da5ea3a11e206p-19, 0x1.d7804353807bcp-19, 0x1.d48c7ede353c3p-19, 0x1.d183caa1afd2dp-19, 0x1.ce692479e879fp-19, 0x1.cb410e4d42af1p-19, 0x1.c806e512fba76p-19, 0x1.c4bc43f4f4ce2p-19, 0x1.c162e9cea8412p-19, 0x1.bdf90e28bab34p-19, 0x1.ba8198987c6ebp-19, 0x1.b6fc659148792p-19, 0x1.b369f5a70b8d1p-19, 0x1.afcacfa64439cp-19, 0x1.ac1f744fa061fp-19, 0x1.a8685971eab6p-19, 0x1.a4a5f991261b1p-19, 0x1.a0d928bda4fcbp-19, 0x1.9d02609c2751ap-19, 0x1.99214c21c974ep-19, 0x1.9536e47e036d5p-19, 0x1.9144337d38d89p-19, 0x1.8d4937898bd9cp-19, 0x1.8946431b2dc98p-19, 0x1.853bd362f922cp-19, 0x1.812a5412d8d8cp-19, 0x1.7d124a0e4cfdfp-19, 0x1.78f496ecb9e68p-19, 0x1.74d07c43da2dep-19, 0x1.70a78040d77dfp-19, 0x1.6c791a35e285ap-19, 0x1.684620326999p-19, 0x1.640f6caa32836p-19, 0x1.5fd4d83178d2p-19, 0x1.5b96d802faa47p-19, 0x1.5755b4cc35cbp-19, 0x1.5311d039f3af7p-19, 0x1.4ecb869357403p-19, 0x1.4a833864f0145p-19, 0x1.46392fa3900c6p-19, 0x1.41edc200f5646p-19, 0x1.3da13fd0d72e7p-19, 0x1.3953f768c99c3p-19, 0x1.3506357351effp-19, 0x1.30b8454413be2p-19, 0x1.2c6a7118cf50ap-19, 0x1.281d032d3a17ap-19, 0x1.23d043c6a5a9p-19, 0x1.1f846ea7e2da1p-19, 0x1.1b39740fb90c9p-19, 0x1.16ef92db1cec2p-19, 0x1.12a906615a81ap-19, 0x1.0e634bc856dc4p-19, 0x1.0a203d7fcd582p-19, 0x1.05df2a60b249dp-19, 0x1.019da98678199p-19, 0x1.fad23c138f595p-20, 0x1.f25349c82b405p-20, 0x1.e9ebfb480ccfcp-20, 0x1.e188ef2384b15p-20, 0x1.d92c66f620044p-20, 0x1.d0d6a913d6a2ap-20, 0x1.c889a02df1067p-20, 0x1.bfec9d915b8b1p-20, 0x1.b7f121666f9dap-20, 0x1.afda4e5b1c21ep-20, 0x1.a7aaf15dc8418p-20, 0x1.9f94d4921e33ep-20, 0x1.978c3cd155fadp-20, 0x1.8f6bf65ee576dp-20, 0x1.8768d4c5b512bp-20, 0x1.7f76d408272e6p-20, 0x1.778dce56538acp-20, 0x1.6faef4de8b15ep-20, 0x1.67e05f9736c11p-20, 0x1.6013b756ba49fp-20, 0x1.5857dde96cb05p-20, 0x1.50a86c9caae78p-20, 0x1.4906dc25226d3p-20, 0x1.4170508f795bap-20, 0x1.39e740616f4bfp-20, 0x1.326b7d30c3acap-20, 0x1.2afd2ef993cd9p-20, 0x1.239c37c9b61c1p-20, 0x1.1c48221102bcdp-20, 0x1.15034e25f102bp-20, 0x1.0dca5ab1de8a3p-20, 0x1.06a23a65dc6b9p-20, 0x1.ff0e2886ea8afp-21, 0x1.f0f487325a9c7p-21, 0x1.e2f7edcca1633p-21, 0x1.d51897756f9ebp-21, 0x1.c756b6a07528fp-21, 0x1.b9b28fba59c22p-21, 0x1.ac2c66a17ad74p-21, 0x1.9ec43367aa761p-21, 0x1.9179ef80b7eaep-21, 0x1.844e3965d66cfp-21, 0x1.77411fadd4df4p-21, 0x1.6a52b2f939699p-21, 0x1.5d83111b3022bp-21, 0x1.50d2578d2d172p-21, 0x1.4440a036d019ap-21, 0x1.37cdfec21d62p-21, 0x1.2b7a7395ffbb5p-21, 0x1.1f458ef3fef9cp-21, 0x1.132cab14aadf5p-21, 0x1.07462346990c7p-21, 0x1.f6be2373280d6p-22, 0x1.df5c438769e4cp-22, 0x1.c833f593ccec6p-22, 0x1.b1435af03c83bp-22, 0x1.9a95e8191bc86p-22, 0x1.84209d24c2804p-22, 0x1.6defff5612a66p-22, 0x1.57fe9799ebc19p-22, 0x1.424b5622b78adp-22, 0x1.2cd666db821f4p-22, 0x1.179d8b4ead5dep-22, 0x1.02940eb1770f9p-22, 0x1.ddf1f310206fap-23, 0x1.b2d7c9b667e72p-23, 0x1.8a6eb7ec2ac82p-23, 0x1.62c68138ea6dep-23, 0x1.3b0788d7f50bcp-23, 0x1.1413b3dba734cp-23, 0x1.dcf12689de5bbp-24, 0x1.8ee3f36dd9f0fp-24, 0x1.43d7e180fc102p-24, 0x1.f3550cbaef5bfp-25, 0x1.60c37cf7726a1p-25, 0x1.a07f1229ea733p-26, 0x1.dab7cc495f8f9p-28, -0x1.2d18f62684553p-27, -0x1.abef0e9531a8ep-26, -0x1.5e11bb96b7e71p-25, -0x1.e5ef4ae7745e1p-25, -0x1.356f73a8dda85p-24, -0x1.772076197855bp-24, -0x1.b7e04900e3eb7p-24, -0x1.f7baf2b2fee27p-24, -0x1.1b58f20968ef4p-23, -0x1.3a6db76693a65p-23, -0x1.5a3bf8ea3a534p-23, -0x1.7713dfb52ec45p-23, -0x1.94bbe95ef4875p-23, -0x1.b1f69733d529fp-23, -0x1.cec18e7be89bfp-23, -0x1.eace883d55781p-23, -0x1.0384aada09c9bp-22, -0x1.114597acda27fp-22, -0x1.1ece920fb331cp-22, -0x1.2bf5842d948b2p-22, -0x1.39421a299ead1p-22, -0x1.460d4b1858803p-22, -0x1.52d134c13eaacp-22, -0x1.5f46a19cac93fp-22, -0x1.6b8cdb84b13ebp-22, -0x1.779f754fab06ap-22, -0x1.837e38da103d2p-22, -0x1.8f281c1b24ed6p-22, -0x1.9aa04cad301b8p-22, -0x1.a5e31ef83ae05p-22, -0x1.b0f5a237dd5adp-22, -0x1.bbd697b5318d8p-22, -0x1.c685c1d53329ep-22, -0x1.d103c152974b7p-22, -0x1.db516c89e55e4p-22, -0x1.e57287f7ae85dp-22, -0x1.eebcc06807a24p-22, -0x1.f9118f637caccp-22, -0x1.0155074cae0ap-21, -0x1.0603442070bcap-21, -0x1.0a9c18ab2daf6p-21, -0x1.0f1dfa38fadbfp-21, -0x1.13892643656fcp-21, -0x1.17dddde037aedp-21, -0x1.1c1c537abe3fdp-21, -0x1.2044b8ae7f85cp-21, -0x1.245744e520b14p-21, -0x1.28542a81476acp-21, -0x1.2c3ba1b2fd276p-21, -0x1.300ddf2943883p-21, -0x1.33cb1ba9d50b5p-21, -0x1.3773a3fa9bb5dp-21, -0x1.3b080e1d070c2p-21, -0x1.3e89a84058c6ep-21, -0x1.417175cec24bcp-21, -0x1.4549d56ed4b1ep-21, -0x1.488f30cb74123p-21, -0x1.4bc350eed8ce9p-21, -0x1.4ec91edce153cp-21, -0x1.51e4899b7a2cbp-21, -0x1.54d5784f73333p-21, -0x1.57c38525552b8p-21, -0x1.5a90f0f73a476p-21, -0x1.5d4d579592ca7p-21, -0x1.5ff9d4720b354p-21, -0x1.6294e303e0ab2p-21, -0x1.651e4856bf36cp-21, -0x1.6796264708923p-21, -0x1.69fcb0f2635ddp-21, -0x1.6c51e82c57314p-21, -0x1.6e96425f2c815p-21, -0x1.70d3e8c0c7ca5p-21, -0x1.72b02a8431d41p-21, -0x1.7502f49a545e6p-21, -0x1.7703ce2914459p-21, -0x1.78f6225389e34p-21, -0x1.7ad915188154p-21, -0x1.7caca3fe498b6p-21, -0x1.7e71ca1fede8p-21, -0x1.802410ffacdaep-21, -0x1.81b25e7f154d3p-21, -0x1.8364e2b007406p-21, -0x1.84ecce22e936cp-21, -0x1.866681368df22p-21, -0x1.87d2698d8a146p-21, -0x1.8930ad43175a2p-21, -0x1.8a811417d4128p-21, -0x1.8bc3c54697b1fp-21, -0x1.8cf90eea322cp-21, -0x1.8e22045ddfdcep-21, -0x1.8f3eea010e635p-21, -0x1.904c5d82be609p-21, -0x1.91568f3dc8bdap-21, -0x1.9306f4fa50634p-21, -0x1.9326e4c5fc5afp-21, -0x1.940266515427dp-21, -0x1.94d1bbd46428fp-21, -0x1.9595c0892729p-21, -0x1.964dcb0781493p-21, -0x1.96fa6dd74e15p-21, -0x1.979becd82a555p-21, -0x1.9834a64e2db7cp-21, -0x1.98eb34595f5f5p-21, -0x1.993e7288d7b6cp-21, -0x1.99b0c51a461bcp-21, -0x1.9a1ac98433e15p-21, -0x1.9a7a7e104c65cp-21, -0x1.9ad0a93af0a95p-21, -0x1.9b1cf51f1db1ap-21, -0x1.9b5e17d078912p-21, -0x1.9b9518f11048cp-21, -0x1.9bc398b322c8dp-21, -0x1.9be86d1da596p-21, -0x1.9c03477ebad3dp-21, -0x1.9c15c70114dd8p-21, -0x1.9c216e20c322cp-21, -0x1.9c06d0ad9197cp-21, -0x1.9c16003a0f4fap-21, -0x1.9c0589dbe56dap-21, -0x1.9bee6ca766836p-21, -0x1.9bc00f72e0bfdp-21, -0x1.9ba403c40be0ap-21, -0x1.9b6f3dd79491fp-21, -0x1.9b2d344fa3aedp-21, -0x1.9af0c669a9edap-21, -0x1.9a6f278690c0fp-21, -0x1.9a54374ea83acp-21, -0x1.99f8d60a6b2cfp-21, -0x1.99992c31feb48p-21, -0x1.9930e5374a2ecp-21, -0x1.98c20c64bf188p-21, -0x1.984c536050665p-21, -0x1.97d7cc6c2bda9p-21, -0x1.9755aa5ec4ad7p-21, -0x1.96c34a3099cb2p-21, -0x1.9637c0ea247bap-21, -0x1.95a34aae7887fp-21, -0x1.950105738b965p-21, -0x1.945ea1da11f07p-21, -0x1.93b1325c908dfp-21, -0x1.9307f6a94191bp-21, -0x1.92546796aa82bp-21, -0x1.9190fd7f0683ep-21, -0x1.90cf1b0b5d1cep-21, -0x1.9017f9d5610efp-21, -0x1.8f4c697bccd8p-21, -0x1.8e7d87e04fa34p-21, -0x1.8d75d32b498f8p-21, -0x1.8cd2b3ab67712p-21, -0x1.8bec48dbb5618p-21, -0x1.8b0c224d0eac9p-21, -0x1.8a2735e245329p-21, -0x1.893ac0c32152cp-21, -0x1.884a00a38e747p-21, -0x1.8754df5378402p-21, -0x1.865f7bacf1272p-21, -0x1.855de216a385ep-21, -0x1.845c86e2e177p-21, -0x1.8356cf4a1321fp-21, -0x1.824c089607098p-21, -0x1.814045c37589dp-21, -0x1.8027a104c2f6ap-21, -0x1.7f196393fad28p-21, -0x1.7e00a15d404aap-21, -0x1.7ce4ae3213fp-21, -0x1.7bc55caa5b1dp-21, }}, 
      {{-0x1.ef88596506663p-1, -0x1.e143230dd27f9p-1, -0x1.caba674173a31p-1, -0x1.ad5c965c5b2a6p-1, -0x1.8ab4948c8b3c1p-1, -0x1.644673c4d75c7p-1, -0x1.3b7a25c229884p-1, -0x1.118fb72f3bd84p-1, -0x1.cf340dafceef1p-2, -0x1.7cfb944f2065ap-2, -0x1.2de6a26ca6f95p-2, -0x1.c627ca76e81bfp-3, -0x1.3ab16dda4fcc8p-3, -0x1.7529c60027e75p-4, -0x1.1a3e85b5a43fbp-5, 0x1.07e354645e47ap-6, 0x1.efe20e8173f3p-5, 0x1.951539415861fp-4, 0x1.0d0897e1f10fcp-3, 0x1.43ed5f05853d5p-3, 0x1.6fcf98535af1bp-3, 0x1.9159d316bb43ap-3, 0x1.a943f8ac30dc1p-3, 0x1.b84dd7fa48e5cp-3, 0x1.bf3aa86663188p-3, 0x1.becd660752e8ep-3, 0x1.b7c5eb0d13c14p-3, 0x1.aadeab34ec09ap-3, 0x1.98caf85223cc4p-3, 0x1.8235b9ef7fdap-3, 0x1.67c08536caf58p-3, 0x1.4a03054586009p-3, 0x1.298aa57984075p-3, 0x1.06da722254b1bp-3, 0x1.c4d64919da21fp-4, 0x1.7956a3a45920bp-4, 0x1.2bff688ca5246p-4, 0x1.bb0e2552c9d25p-5, 0x1.1d23f8233ff16p-5, 0x1.fd9a5c73480d8p-7, -0x1.d24221d02d82bp-9, -0x1.6f2991022ef9bp-6, -0x1.4f205ca944266p-5, -0x1.e3164aa1746fap-5, -0x1.396f3a13bf519p-4, -0x1.7efba51b86996p-4, -0x1.c1f9fc1feadc4p-4, -0x1.011ea8fac8b4fp-3, -0x1.1fd0b080b9983p-3, -0x1.3d04e0756780ap-3, -0x1.58b093cb6d119p-3, -0x1.72cc5abeae616p-3, -0x1.8b53a6b7e045p-3, -0x1.a2447bd737b1ep-3, -0x1.b79f28006227bp-3, -0x1.cb65ff5866e28p-3, -0x1.dd9d1def118ddp-3, -0x1.ee4a2e5a324f9p-3, -0x1.fd7434fdaaf09p-3, -0x1.0591afdd0685p-2, -0x1.0bb06cdf1af8dp-2, -0x1.111b518d2c61cp-2, -0x1.15d7b5fa0afep-2, -0x1.19eb398e7ffe3p-2, -0x1.1d5bb3d755e1dp-2, -0x1.202f26d65981p-2, -0x1.226bb2ad9f797p-2, -0x1.24178a852661bp-2, -0x1.2538eab7bf54dp-2, -0x1.25d6100848a33p-2, -0x1.25f52fe36ca95p-2, -0x1.259c718e77e3cp-2, -0x1.24d1e84f93b23p-2, -0x1.239b8e4e8dcc3p-2, -0x1.21ff403d4d537p-2, -0x1.2002b9b123261p-2, -0x1.1dab92123fcc4p-2, -0x1.1aff3a14beb69p-2, -0x1.1802f9b9fac05p-2, -0x1.14bbeec4bdd4ap-2, -0x1.112f0ba028f9cp-2, -0x1.0d6116a00e592p-2, -0x1.0956a9a183dbbp-2, -0x1.051431e5324a4p-2, -0x1.009df040ee05cp-2, -0x1.f7eff2ba0846bp-3, -0x1.ee4c6c61fe791p-3, -0x1.e458c95f1c934p-3, -0x1.da1c30f779176p-3, -0x1.cf9d77ccd122cp-3, -0x1.c4e321cd83ffep-3, -0x1.b9f36499947c3p-3, -0x1.aed429dac8969p-3, -0x1.a38b11c1e87a4p-3, -0x1.981d7584b6318p-3, -0x1.8c9069cdedbb9p-3, -0x1.80e8c12cdffb4p-3, -0x1.752b0e6e66618p-3, -0x1.695ba6faccbffp-3, -0x1.5d7ea536e53a9p-3, -0x1.5197ead50c0c6p-3, -0x1.45ab2342c0c5p-3, -0x1.39bbc5efa6deep-3, -0x1.2dcd18b071295p-3, -0x1.21e231edcfd3fp-3, -0x1.15fdfacb85737p-3, -0x1.0a23313defdb9p-3, -0x1.fca8d3cbe055dp-4, -0x1.e52823e385acdp-4, -0x1.cdc8e1a0545b8p-4, -0x1.b68f539fff2afp-4, -0x1.9f7f7b6d09b13p-4, -0x1.889d1893be9edp-4, -0x1.71ebab81c9312p-4, -0x1.5b6e786df0ac9p-4, -0x1.45288a315d645p-4, -0x1.2f1cb4ec2be41p-4, -0x1.194d98ab40478p-4, -0x1.03bda401d63e7p-4, -0x1.dcde2cc49f326p-5, -0x1.b2c804dc71943p-5, -0x1.893ca0706be64p-5, -0x1.603f7e9f501eap-5, -0x1.37d3d16fabc21p-5, -0x1.0ffc819dc95e2p-5, -0x1.d178646eb9423p-6, -0x1.842a87c3b1a1ap-6, -0x1.3813b03b6eb41p-6, -0x1.da6f51cbe4196p-7, -0x1.4733955117375p-7, -0x1.6cf4070f3f042p-8, -0x1.423d35e82e645p-10, 0x1.8d7ce9da5ba15p-9, 0x1.d8ee273960971p-8, 0x1.72fd090f9a6bbp-7, 0x1.f6eee6c7be44dp-7, 0x1.3c258bc508b1ap-6, 0x1.7b884eab294e5p-6, 0x1.b99f84c574e52p-6, 0x1.f66b3aaf168dep-6, 0x1.18f5dec37cbdep-5, 0x1.3610cbd52bc95p-5, 0x1.5286c6d1dfa29p-5, 0x1.6e584d935eda3p-5, 0x1.8985f80b5a4c7p-5, 0x1.a41076fee87ecp-5, 0x1.bdf892cbc5305p-5, 0x1.d73f2a0768547p-5, 0x1.efe53053e3fd3p-5, 0x1.03f5d6ac08bf1p-4, 0x1.0fa9ddc9ce782p-4, 0x1.1b0f43a452ae1p-4, 0x1.2626a6c2821a3p-4, 0x1.30f0ad8ea3c39p-4, 0x1.3b6e05d660d3ap-4, 0x1.459f645f6e1edp-4, 0x1.4f85847906a11p-4, 0x1.5921277992a27p-4, 0x1.627314582491fp-4, 0x1.6b7c175b94618p-4, 0x1.743d01ab6b836p-4, 0x1.7cb6a8dad4193p-4, 0x1.84e9e69c72861p-4, 0x1.8cd79879f1766p-4, 0x1.94809f6ab8b5bp-4, 0x1.9be5df75ec4ddp-4, 0x1.a3083f76cec71p-4, 0x1.a9e8a8d5c2ab5p-4, 0x1.b088072cb61fp-4, 0x1.b6e747fb505d9p-4, 0x1.bd075a7cdfc97p-4, 0x1.c2e92f627326ep-4, 0x1.c88db87f7ac4bp-4, 0x1.cdf5e893fd527p-4, 0x1.d322b32850f64p-4, 0x1.d8150c5104b16p-4, 0x1.dccde866cbee4p-4, 0x1.e14e3bda9c224p-4, 0x1.e596fb19d9b9cp-4, 0x1.e9a91a5ab8d85p-4, 0x1.ed858d5d6e168p-4, 0x1.f12d474a21948p-4, 0x1.f4a13aa018e3ep-4, 0x1.f7e2590a0cf4cp-4, 0x1.faf19320170ffp-4, 0x1.fdcfd84969b8fp-4, 0x1.003f0b5eaeebbp-3, 0x1.017e9db69062cp-3, 0x1.02a718e0dde85p-3, 0x1.03b8f1b5a4019p-3, 0x1.04b49c34e23f9p-3, 0x1.059a8b8fd6974p-3, 0x1.066b3215a52e1p-3, 0x1.07270109ed8a6p-3, 0x1.07ce6899f9913p-3, 0x1.0861d7ed32d9cp-3, 0x1.08e1bd359f0b9p-3, 0x1.094e8596e51bep-3, 0x1.09a89cfae532ap-3, 0x1.09f06e04c1e6bp-3, 0x1.0a26622fcd9afp-3, 0x1.0a4ae1e938b1p-3, 0x1.0a5e547bee26p-3, 0x1.0a611fdf58874p-3, 0x1.0a53a8a1dc131p-3, 0x1.0a3652070a7cfp-3, 0x1.0a097e31c5937p-3, 0x1.09cd8e2383e4ep-3, 0x1.0982e18cb7852p-3, 0x1.0929d6a49a9fdp-3, 0x1.08c2ca33df0e2p-3, 0x1.084e17c776f6cp-3, 0x1.07cc19cfe3ce1p-3, 0x1.073d2989b32b5p-3, 0x1.06a19ec851126p-3, 0x1.05f9cfdd2b18ep-3, 0x1.054611b67b75ep-3, 0x1.0486b8156b3fep-3, 0x1.03bc15a3d1792p-3, 0x1.02e67bd487b4p-3, 0x1.02063ab0af853p-3, 0x1.011ba0c6ed24dp-3, 0x1.0026fb4e0d68fp-3, 0x1.fe512cb641f5cp-4, 0x1.fc4179ee76c6cp-4, 0x1.fa1f7206d822cp-4, 0x1.f7eba612d6fc5p-4, 0x1.f5a6a44ed8b46p-4, 0x1.f350f858515cep-4, 0x1.f0eb2b94feb43p-4, 0x1.ee75c570280f7p-4, 0x1.ebf14b3edb1c3p-4, 0x1.e95e3fe9adaefp-4, 0x1.e6bd23b57154bp-4, 0x1.e40e7453e0f25p-4, 0x1.e152ad3d22971p-4, 0x1.de8a4801e4642p-4, 0x1.dbb5bc5b3a955p-4, 0x1.d8d57ff2fcdf2p-4, 0x1.d5ea061d03c2p-4, 0x1.d2f3bfb702eaap-4, 0x1.cff31b5f25b47p-4, 0x1.cce885c0583f9p-4, 0x1.c9d469d258a2bp-4, 0x1.c6b730d7be05ep-4, 0x1.c3914226fb5e3p-4, 0x1.c06302f15eb5ap-4, 0x1.bd2cd632f58f7p-4, 0x1.b9ef1cde3fc73p-4, 0x1.b6aa36240f3b9p-4, 0x1.b35e7fa7bad48p-4, 0x1.b00c5581fc1bbp-4, 0x1.acb41217fa4acp-4, 0x1.a9560de99096dp-4, 0x1.a5f29f7bac2b3p-4, 0x1.a28a1b7691854p-4, 0x1.9f1cd4daac0c7p-4, 0x1.9bab1d355f6d3p-4, 0x1.983544b2c3f6cp-4, 0x1.94bb9a08d31e9p-4, 0x1.913e6a5072233p-4, 0x1.8dbe00e83a612p-4, 0x1.8a3aa776dd5bp-4, 0x1.86b4a60d3d438p-4, 0x1.832c43542b678p-4, 0x1.7fa1c4acc3a31p-4, 0x1.7c156e3530c01p-4, 0x1.788782b49b8b2p-4, 0x1.74f8437e484d8p-4, 0x1.7167f05fe8af3p-4, 0x1.6dd6c7a79c373p-4, 0x1.6a45063f4ccc9p-4, 0x1.66b2e7cea3b77p-4, 0x1.6320a6d2b9d4bp-4, 0x1.5f8e7ca48b50fp-4, 0x1.5bfca169b5233p-4, 0x1.586b4c036cd3cp-4, 0x1.54dab1feca08p-4, 0x1.514b0796154a1p-4, 0x1.4dbc7fc1f3442p-4, 0x1.4a2f4c50333fp-4, 0x1.46a39dfd96aa8p-4, 0x1.4319a4754cd26p-4, 0x1.3f918e5a1ee5ep-4, 0x1.3c0b89329e075p-4, 0x1.3887c15fb8a4p-4, 0x1.350662176e18bp-4, 0x1.3187956a9b1f4p-4, 0x1.2e0b8453b3d01p-4, 0x1.2a9256c7b9bc8p-4, 0x1.271c33c307994p-4, 0x1.23a9414eb90b6p-4, 0x1.2039a47e7a85bp-4, 0x1.1ccd8169a1721p-4, 0x1.1964fb2409f2dp-4, 0x1.160033bb870c8p-4, 0x1.129f4c3c3e57ep-4, 0x1.0f4264baf29dap-4, 0x1.0be99c6093044p-4, 0x1.08951173a6c6cp-4, 0x1.0544e15d98af3p-4, 0x1.01f928ab6897bp-4, 0x1.fd640615f888p-5, 0x1.f6df168e6182ep-5, 0x1.f063b68b34846p-5, 0x1.e9f218105edaep-5, 0x1.e38a6b6659583p-5, 0x1.dd2cdf283374dp-5, 0x1.d6d9a053b48dp-5, 0x1.d090da5b7cb23p-5, 0x1.ca52b72266d35p-5, 0x1.c41f5efe5c7aep-5, 0x1.bdf6f8bcbcc39p-5, 0x1.b7d9a99fae99bp-5, 0x1.b1c79558230bdp-5, 0x1.abc0de0d5b488p-5, 0x1.a5c5a4663a787p-5, 0x1.9fd6079434a9ap-5, 0x1.99f2255e8526p-5, 0x1.941a1a2569fd6p-5, 0x1.8e4e00f46e5b1p-5, 0x1.888df3779e16ap-5, 0x1.82da0a0681fcfp-5, 0x1.7d325ba20740ap-5, 0x1.7796fdf593529p-5, 0x1.7208055a8731ap-5, 0x1.6c8584de7295bp-5, 0x1.670f8e4b4caa3p-5, 0x1.61a6322fd051fp-5, 0x1.5c497fe6d197ap-5, 0x1.56f9859d4fc56p-5, 0x1.51b6505776754p-5, 0x1.4c7febf491d22p-5, 0x1.475663322c93p-5, 0x1.4239bfaeb980ap-5, 0x1.3d2a09eca73c6p-5, 0x1.3827495646c8fp-5, 0x1.3331844374147p-5, 0x1.2e48bffff5d27p-5, 0x1.296d00d21b9c8p-5, 0x1.249e4a00cfb04p-5, 0x1.1fdc9dd94fa9p-5, 0x1.1b27fdb3c61ecp-5, 0x1.168069f7edc4ep-5, 0x1.11e5e22188e87p-5, 0x1.0d5864c3de6abp-5, 0x1.08d7ef8de64dep-5, 0x1.04647f4dda63bp-5, 0x1.fffc1feadda15p-6, 0x1.f749393df0cf9p-6, 0x1.eeb03f25e627ep-6, 0x1.e631249b0e662p-6, 0x1.ddcbdb07dff64p-6, 0x1.d58052537e135p-6, 0x1.cd4e78ebd0b89p-6, 0x1.c5363bd1e4a19p-6, 0x1.bd37869bb12aep-6, 0x1.b552437049b6fp-6, 0x1.ad865b3e786e2p-6, 0x1.a5d3b57b46858p-6, 0x1.9e3a3872d465bp-6, 0x1.96b9c8fccfa1dp-6, 0x1.8f524aeece79cp-6, 0x1.8803a0e3d25f4p-6, 0x1.80cdac584e0dcp-6, 0x1.79b04dc1c507cp-6, 0x1.72ab64852a928p-6, 0x1.6bbecf006748cp-6, 0x1.64ea6a8971976p-6, 0x1.5e2e136f9bfdap-6, 0x1.5789a500566eap-6, 0x1.50fcf9916b8d3p-6, 0x1.4a87ea90d8061p-6, 0x1.442a50984bed5p-6, 0x1.3de40380ce974p-6, 0x1.37b4da7356c1cp-6, 0x1.319cabefda5ap-6, 0x1.2b9b4dc7d6da2p-6, 0x1.25b09519cd20ap-6, 0x1.1fdc564a2f8e4p-6, 0x1.1a1e64fa16daep-6, 0x1.147694073b0c4p-6, 0x1.0ee4b5b0692bcp-6, 0x1.09689ba1c0cb9p-6, 0x1.0402171d42ef3p-6, 0x1.fd61f22d5905p-7, 0x1.f2ea248646f58p-7, 0x1.e89c662a4522p-7, 0x1.de785747ba4ap-7, 0x1.d47d970c1e1a7p-7, 0x1.caabc3548a04cp-7, 0x1.c102787b40234p-7, 0x1.b7815158a2eb5p-7, 0x1.ae27e78f6e6eap-7, 0x1.a4f5d3dec83d6p-7, 0x1.9beaaf497a3f1p-7, 0x1.9306132ea6081p-7, 0x1.8a4799d6b720dp-7, 0x1.81aedf0b94ca1p-7, 0x1.793b7f5f6a1e8p-7, 0x1.70ed17b036251p-7, 0x1.68c34444bc6abp-7, 0x1.60bd9fe15853dp-7, 0x1.58dbc31685a48p-7, 0x1.511d43fe38146p-7, 0x1.4981b6862692cp-7, 0x1.4208ad438460bp-7, 0x1.3ab1baa86e2d4p-7, 0x1.337c7257d33aap-7, 0x1.2c686a47d3cffp-7, 0x1.25753b6a30a84p-7, 0x1.1ea281abf0e02p-7, 0x1.17efdb459d828p-7, 0x1.115ce780e93f2p-7, 0x1.0ae9453db59edp-7, 0x1.0494919393f81p-7, 0x1.fcbccdd534e41p-8, 0x1.f08cb996dd912p-8, 0x1.e49810f6ee734p-8, 0x1.d8ddfc8d97a05p-8, 0x1.cd5da65963816p-8, 0x1.c2163d0dd134ap-8, 0x1.b706f684140b1p-8, 0x1.ac2f107730cep-8, 0x1.a18dcfe413763p-8, 0x1.97227de9b48adp-8, 0x1.8cec63f5d4418p-8, 0x1.82eac80909f51p-8, 0x1.791ce91c441b8p-8, 0x1.6f81fdb99da83p-8, 0x1.661934b9c72ddp-8, 0x1.5ce1b85b11c1ep-8, 0x1.53dab32f608bcp-8, 0x1.4b0355e57efebp-8, 0x1.425adcac278dbp-8, 0x1.39e092fddbbdep-8, 0x1.3193d4d62a46dp-8, 0x1.29740cb846085p-8, 0x1.2180aea6f6e42p-8, 0x1.19b930ec56871p-8, 0x1.121d03f00aa7bp-8, 0x1.0aab8af01ea3ep-8, 0x1.036416809c5a7p-8, 0x1.f88bc5c198d33p-9, 0x1.eaa0340f0eee7p-9, 0x1.dd03b40f09426p-9, 0x1.cfb47aa7ef79dp-9, 0x1.c2b0ca4d03c72p-9, 0x1.b5f706fc65bd5p-9, 0x1.a985c61815207p-9, 0x1.9d5bd68d9d303p-9, 0x1.917840d27f0ccp-9, 0x1.85da3d3c1c033p-9, 0x1.7a8122d66c6e5p-9, 0x1.6f6c50e07a499p-9, 0x1.649b177b47d26p-9, 0x1.5a0ca32616834p-9, 0x1.4fbfee82301aap-9, 0x1.45b3bc75e559dp-9, 0x1.3be69b5550e15p-9, 0x1.3256f05000a31p-9, 0x1.2903093b687b5p-9, 0x1.1fe9320575b4ep-9, 0x1.1707caa5536ffp-9, 0x1.0e5d5a53f2526p-9, 0x1.05e89d38c4b5ap-9, 0x1.fb51151bbda9dp-10, 0x1.eb38a4e10b097p-10, 0x1.db86a7c8bd32cp-10, 0x1.cc3a19b58a98dp-10, 0x1.bd520f8e77599p-10, 0x1.aecd8ed4e62e8p-10, 0x1.a0ab6facbd65bp-10, 0x1.92ea451333705p-10, 0x1.85885260a8425p-10, 0x1.78838cc2a50a4p-10, 0x1.6bd9a79fea7eap-10, 0x1.5f8829578fb9ep-10, 0x1.538c84bbcba3cp-10, 0x1.47e43314bc4dep-10, 0x1.3c8ccb03c87e9p-10, 0x1.318411ce86a1p-10, 0x1.26c8065d81364p-10, 0x1.1c56e647e1812p-10, 0x1.122f2d61041c8p-10, 0x1.084f8fb7338eep-10, 0x1.fd6ddb61d940ap-11, 0x1.eac88578a46c9p-11, 0x1.d8ad215dff783p-11, 0x1.c7199749bfbe6p-11, 0x1.b60b95bec347ap-11, 0x1.a580844ccf30ep-11, 0x1.9575894c98ba9p-11, 0x1.85e79fd4475f7p-11, 0x1.76d3bba882ce9p-11, 0x1.6836c2afbe6a1p-11, 0x1.5a0dbd4fa08ccp-11, 0x1.4c55b90dbe9c5p-11, 0x1.3f0bbb9c86378p-11, 0x1.322cb224bb0a8p-11, 0x1.25b57fd3123f6p-11, 0x1.19a3145ea10acp-11, 0x1.0df298799c9a1p-11, 0x1.02a196f676157p-11, 0x1.ef5c1a61305e9p-12, 0x1.da2cabb04038p-12, 0x1.c5b1e5cadd0cfp-12, 0x1.b1e89656ba983p-12, 0x1.9eccf1e077eecp-12, 0x1.8c5a7d2f0b587p-12, 0x1.7a8c4b5b46864p-12, 0x1.695d72c6f0bc1p-12, 0x1.58c98321f7d6ep-12, 0x1.48ccc7b444891p-12, 0x1.3964397e25a5p-12, 0x1.2a8d264137a29p-12, 0x1.1c44ad8cd3be4p-12, 0x1.0e8747809ad6fp-12, 0x1.01508ab7c99fep-12, 0x1.e9369b95c04a5p-13, 0x1.d0c452f0d2769p-13, 0x1.b9405c3e93f09p-13, 0x1.a2a2f96932606p-13, 0x1.8ce7143c5162p-13, 0x1.7809bb378f575p-13, 0x1.6408c4f23af9bp-13, 0x1.50e13260082e3p-13, 0x1.3e8e00492701dp-13, 0x1.2d07ea6be960bp-13, 0x1.1c462a3fbfa9bp-13, 0x1.0c3fc13d67bcbp-13, 0x1.f9d98ca36195dp-14, 0x1.dc8e8bfa294e9p-14, 0x1.c096c00b2e119p-14, 0x1.a5ed639239229p-14, 0x1.8c8eafadc27f3p-14, 0x1.747564ada5bc4p-14, 0x1.5d9920a0f5e54p-14, 0x1.47edd9239e99fp-14, 0x1.3364b623a6bd9p-14, 0x1.1fee00ccae895p-14, 0x1.0d7b84825ba9dp-14, 0x1.f8051c801f682p-15, 0x1.d6f9812a09723p-15, 0x1.b7ce984b1dbb9p-15, 0x1.9a818b3a83543p-15, 0x1.7f0d11264c5eap-15, 0x1.6565b6e9082dap-15, 0x1.4d792171810e2p-15, 0x1.373007aa1e8b7p-15, 0x1.22717e8e34addp-15, 0x1.0f2658452a1a5p-15, 0x1.fa76f7263c4afp-16, 0x1.d947e8d2baa36p-16, 0x1.bab013b178ab1p-16, 0x1.9ea6aba463a23p-16, 0x1.8522ef0a68561p-16, 0x1.6e16a69850f82p-16, 0x1.596c04443129dp-16, 0x1.47072640efe79p-16, 0x1.36c992a896c0dp-16, 0x1.28959e203f6d6p-16, 0x1.1c50b2b010bbep-16, 0x1.11e45104d1399p-16, 0x1.093db79231dcbp-16, 0x1.024c71ca4271p-16, 0x1.fa04f99f0570fp-17, 0x1.f29dcaa29555bp-17, 0x1.ee43c423dce82p-17, 0x1.ecd961f1ba422p-17, 0x1.ee37e221da9dep-17, 0x1.f23693746acep-17, 0x1.f8a9ccbf29a8fp-17, 0x1.00b3838925581p-16, 0x1.0624ec5c2a495p-16, 0x1.0c9b72ca08fe2p-16, 0x1.140dae622c005p-16, 0x1.1c7342c0d0117p-16, 0x1.25c27d3614b64p-16, 0x1.2fef6f9dd2141p-16, 0x1.3aec932e12aa7p-16, 0x1.46ac2635f3ad5p-16, 0x1.5321a416d560bp-16, 0x1.60430ad258b04p-16, 0x1.6e08f824ee155p-16, 0x1.7c6c8ffff3bep-16, 0x1.8b6457a403b0dp-16, 0x1.9ae2d747c297cp-16, 0x1.aad8170dfa1b8p-16, 0x1.bb3492d22d14bp-16, 0x1.cbebf3cdd2477p-16, 0x1.dcf631dce896bp-16, 0x1.ee4e404f0134bp-16, 0x1.ffefe1412bcc7p-16, 0x1.08ea7db79b77bp-15, 0x1.11faab5f74f4bp-15, 0x1.1b240d3ce3448p-15, 0x1.2462ab8cf03c5p-15, 0x1.2db32c0112499p-15, 0x1.37126c51642bbp-15, 0x1.407d53664f5ap-15, 0x1.49f0ee32cf27ap-15, 0x1.536a70fc8e4d1p-15, 0x1.5ce7101f1a596p-15, 0x1.66640d253c66dp-15, 0x1.6fdf011f070fdp-15, 0x1.7955e7dddf795p-15, 0x1.82c6c42d59244p-15, 0x1.8c2f5500400dep-15, 0x1.958d26ad97922p-15, 0x1.9eddbbef76075p-15, 0x1.a81ea575a68fp-15, 0x1.b14d8b39c7b13p-15, 0x1.ba683a722015fp-15, 0x1.c36cc844f8e91p-15, 0x1.cc59a0a85d744p-15, 0x1.d52d8a1fb419ep-15, 0x1.dde7411781756p-15, 0x1.e684e17ceacbdp-15, 0x1.ef04811de713p-15, 0x1.f7658d25a855dp-15, 0x1.ffa8fc34883b1p-15, 0x1.03e79957504bap-14, 0x1.07eab8092c54ap-14, 0x1.0bdbf3154fep-14, 0x1.0fba6da9a14b8p-14, 0x1.13867da029de8p-14, 0x1.1740542e170cfp-14, 0x1.1ae760e14378ap-14, 0x1.1e7b0785a0547p-14, 0x1.21fb1b8aa5167p-14, 0x1.256789fce05dcp-14, 0x1.28c0a2cbcf8b9p-14, 0x1.2c04bd66d158bp-14, 0x1.2f356b6ca0ffep-14, 0x1.32513b5537686p-14, 0x1.35584ecc13cf8p-14, 0x1.384a684db8fe6p-14, 0x1.3b27254637e2p-14, 0x1.3dedea3e09ac5p-14, 0x1.409df85c33ed9p-14, 0x1.4336c39dfa7b3p-14, 0x1.45b83f7273aa1p-14, 0x1.4823440fd55ep-14, 0x1.4a79738a0ff1fp-14, 0x1.4cbc0b3f8952p-14, 0x1.4eea1a25f1872p-14, 0x1.5101a2efe0c7bp-14, 0x1.5302de50f831ap-14, 0x1.54ef62e7046a6p-14, 0x1.56c69fad905c1p-14, 0x1.5886bc07fb57bp-14, 0x1.5a2ff98d65c34p-14, 0x1.5bc32ecfda13ep-14, 0x1.5d4190bb1b805p-14, 0x1.5eab630072c99p-14, 0x1.60008b27079c6p-14, 0x1.6140ff329c723p-14, 0x1.626cbdabdb5fcp-14, 0x1.6383d6f4a12ebp-14, 0x1.64866a1ddbe69p-14, 0x1.65749e933804ap-14, 0x1.664eb81499898p-14, 0x1.6714d3335cdcap-14, 0x1.67c6f9898f7cbp-14, 0x1.686540a53bbf6p-14, 0x1.68efba8588c6bp-14, 0x1.696671c03cfe8p-14, 0x1.69c96eb7ab8d4p-14, 0x1.6a192b91e374cp-14, 0x1.6a57098c1ae97p-14, 0x1.6a8274f68c044p-14, 0x1.6a9b2d16f87cfp-14, 0x1.6aa26d50e5792p-14, 0x1.6a984e9fb424cp-14, 0x1.6a7c464cd82fp-14, 0x1.6a4e9ecd1bb31p-14, 0x1.6a1050d14f08fp-14, 0x1.69c1f4de79e4ep-14, 0x1.696313306230bp-14, 0x1.68f362ac84b0fp-14, 0x1.68736aaeec11ap-14, 0x1.67e3ce723212ep-14, 0x1.6744ecc98369fp-14, 0x1.6696fad0c8d69p-14, 0x1.65da27dd3ec18p-14, 0x1.650eac13716d9p-14, 0x1.6434c9012e2a3p-14, 0x1.634cc3a130453p-14, 0x1.6256dd3e90d8ap-14, 0x1.615353c3cf4dep-14, 0x1.60426d2797e61p-14, 0x1.5f246b6ddf606p-14, 0x1.5df95513765d8p-14, 0x1.5cc1336e8fcbcp-14, 0x1.5b7cd68c7a568p-14, 0x1.5a2cc0628f3e2p-14, 0x1.58d10a82fc5bap-14, 0x1.5769dfee12695p-14, 0x1.55f7321c0d901p-14, 0x1.547976b7459e7p-14, 0x1.52f11346e52fap-14, 0x1.515dc9f70bc2cp-14, 0x1.4fc0fabc68442p-14, 0x1.4e19d791c4a1dp-14, 0x1.4c68fc35e6579p-14, 0x1.4aaea85239227p-14, 0x1.48eb1a93b5bbcp-14, 0x1.471e90d673767p-14, 0x1.454948eb38c02p-14, 0x1.436b819647d37p-14, 0x1.41857b0fe7a35p-14, 0x1.3f9777e98093ap-14, 0x1.3da1b3c0a5c03p-14, 0x1.3ba46d888368bp-14, 0x1.399fdac82fd98p-14, 0x1.3794332571506p-14, 0x1.3581b1ce08972p-14, 0x1.33688bc73fe13p-14, 0x1.3148fa0fc4798p-14, 0x1.2f2375121a778p-14, 0x1.2cf84441771d4p-14, 0x1.2ac72847b9f62p-14, 0x1.288fc6bbea41bp-14, 0x1.2653b788d93f2p-14, 0x1.24130e9802368p-14, 0x1.21cd3209ec6ccp-14, 0x1.1f828f99f9862p-14, 0x1.1d3369a23909p-14, 0x1.1adffe962eed1p-14, 0x1.18888cee63f36p-14, 0x1.162d34c125bd8p-14, 0x1.13ce36491bf34p-14, 0x1.116bbbc2001f9p-14, 0x1.0f05f4fd6be03p-14, 0x1.0c9cfc1a59866p-14, 0x1.0a3123465c0e6p-14, 0x1.07c26fa23122ep-14, 0x1.05511f1cb6dfp-14, 0x1.02dd5ee39ecbep-14, 0x1.0067760252645p-14, 0x1.fbdfa07250051p-15, 0x1.f6ed004d98b06p-15, 0x1.f1f628f06d5bcp-15, 0x1.ecfb3460e3642p-15, 0x1.e7fd8ed6d0bf7p-15, 0x1.e2fde07f5b1d1p-15, 0x1.ddfcb9e13ba08p-15, 0x1.d8fa0870436bp-15, 0x1.d3f45559dd35p-15, 0x1.ceecd994e753cp-15, 0x1.c9e575c8fae5dp-15, 0x1.c4dd0a14ef90dp-15, 0x1.bfd3c641926d5p-15, 0x1.baca2a84b9723p-15, 0x1.b5c08feaa8a4cp-15, 0x1.b0b73c700a333p-15, 0x1.abae6d2a07a2ap-15, 0x1.a6a6615fc7f0fp-15, 0x1.a19f574cdf709p-15, 0x1.9c99811282c25p-15, 0x1.9795234495b31p-15, 0x1.92926d2d7d033p-15, 0x1.8d919a4bc995p-15, 0x1.8892e3bcf9bf4p-15, 0x1.8396830167ea1p-15, 0x1.7e9cafd49c326p-15, 0x1.79a59d064cc4ep-15, 0x1.74b177e01cdd6p-15, 0x1.6fc06a102eb6ep-15, 0x1.6ad29da006683p-15, 0x1.65e846d49db15p-15, 0x1.6101a8e1a19fbp-15, 0x1.5c1ef2332eb59p-15, 0x1.57400e26c26d7p-15, 0x1.526568520afbbp-15, 0x1.4d8f86f97b56dp-15, 0x1.48bd60c972e4ep-15, 0x1.43f0923b1bc42p-15, 0x1.3f27edd76316ap-15, 0x1.3a6467bc4c8fbp-15, 0x1.35a6ed72060efp-15, 0x1.30edda103d062p-15, 0x1.2c3a01af5bf77p-15, 0x1.278c05df73fb4p-15, 0x1.22e39b871ec7ep-15, 0x1.1e40c9db32724p-15, 0x1.19a3c5b9be54cp-15, 0x1.150cb77d8306p-15, 0x1.107bbd3e22c37p-15, 0x1.0bf0f2f89a0e4p-15, 0x1.076c73d80d07p-15, 0x1.02ee49ed157d5p-15, 0x1.fceb6b7b41495p-16, 0x1.f409b34a76212p-16, 0x1.eb3692ebd4b1ap-16, 0x1.e26f36fba17d3p-16, 0x1.d9b5a19105a68p-16, 0x1.d109edf7992f8p-16, 0x1.c86d5ddf4de86p-16, 0x1.bfdc1ef6818ddp-16, 0x1.b75ac5cf2482bp-16, 0x1.aee7ad6817f2fp-16, 0x1.a6830a41d130ap-16, 0x1.9e2d13af31b17p-16, 0x1.95e60f0397e0fp-16, 0x1.8dadf46ae04f4p-16, 0x1.8584cb68342c7p-16, 0x1.7d6aa1abba793p-16, 0x1.755fa18ea729bp-16, 0x1.6d63fdfd12583p-16, 0x1.6577b3448fb9bp-16, 0x1.5d9adc8ba32a8p-16, 0x1.55cd8d48dcd09p-16, 0x1.4e0fd78ac33acp-16, 0x1.4661cc6646c7cp-16, 0x1.3ec37c34e2eb8p-16, 0x1.3734f62f66fe9p-16, 0x1.2fb645a5dde5fp-16, 0x1.284777ece6399p-16, 0x1.20e89f762655dp-16, 0x1.1999c10a0ff81p-16, 0x1.125adf1bae8c9p-16, 0x1.0b2c07fafc19dp-16, 0x1.040d493b8975p-16, 0x1.f9fd492afecd9p-17, 0x1.ec002fc374909p-17, 0x1.de234ed4f031ap-17, 0x1.d066bcefa76ep-17, 0x1.c2ca9e26fe5f9p-17, 0x1.b54ec347946c3p-17, 0x1.a7f34232c0d13p-17, 0x1.9ab81894ccdd5p-17, 0x1.8d9d637f42bc8p-17, 0x1.80a30fe8a3295p-17, 0x1.73c8a0757623dp-17, 0x1.670ea16cf6b15p-17, 0x1.5a74fcd444841p-17, 0x1.4dfb5cf756d39p-17, 0x1.41a2425b6a881p-17, 0x1.35691679a4355p-17, 0x1.294ffad7e96d3p-17, 0x1.1d56e0e1ec78p-17, 0x1.117db8a9f289bp-17, 0x1.05c470f3400cbp-17, 0x1.f455ee6a8f35cp-18, 0x1.dd626fb793b99p-18, 0x1.c6ae3b91a1d75p-18, 0x1.b038fa043ad2cp-18, 0x1.9a02c9dd47e56p-18, 0x1.840b9ccc176e8p-18, 0x1.6e52d2a5d5be5p-18, 0x1.58d81409dd5b2p-18, 0x1.439ba7edb16a8p-18, 0x1.2e9d03150c0ddp-18, 0x1.19dc4fa94793cp-18, 0x1.05593d14c5596p-18, 0x1.e223cd520ac4dp-19, 0x1.ba1347b163913p-19, 0x1.9279a05816c0dp-19, 0x1.6b591fcb2ea6p-19, 0x1.44b0d8cd1e028p-19, 0x1.1e806be89e857p-19, 0x1.f18dccc6c07adp-20, 0x1.a7317e71ccc35p-20, 0x1.5d7e805d9e3eap-20, 0x1.14bfeeaedf067p-20, 0x1.99fe592343d43p-21, 0x1.0c3e7f1add3cep-21, 0x1.00914c635161cp-22, -0x1.3826209aea6d1p-26, -0x1.2428ced29d2ebp-22, -0x1.18a5cf23852efp-21, -0x1.9d6f0dcb7de08p-21, -0x1.103994911cb04p-20, -0x1.50e11699c7e34p-20, -0x1.90a7814b8b2dep-20, -0x1.cf91bc8306432p-20, -0x1.06cfee10510e1p-19, -0x1.256a5f0f579cbp-19, -0x1.439841c6893c2p-19, -0x1.615ab12df13e7p-19, -0x1.7eb24eb639c5fp-19, -0x1.9b9fd8818f185p-19, -0x1.b823f5b865626p-19, -0x1.d43f28e633378p-19, -0x1.eff2d7460515bp-19, -0x1.059f73b67443ap-18, -0x1.13126adbc5a9cp-18, -0x1.20527065413a1p-18, -0x1.2d5fe6ffa6f37p-18, -0x1.3a3b4fb8700cdp-18, -0x1.46e4ef6d206e2p-18, -0x1.535d3707de4f7p-18, -0x1.5fa47e073928ap-18, -0x1.6bbabcbb0e232p-18, -0x1.77a17c89da269p-18, -0x1.8357fbd07a29bp-18, -0x1.8edefd7fe6f54p-18, -0x1.9a36e95465f78p-18, -0x1.a5601e0057ac9p-18, -0x1.b05afc7396fedp-18, -0x1.bb27e6426d738p-18, -0x1.c5c73d36e2f38p-18, -0x1.d03963179f4a3p-18, -0x1.da7eb8edefad5p-18, -0x1.e4979a5e22974p-18, -0x1.ee8449b618789p-18, -0x1.f8463a6fca023p-18, -0x1.00eda88613342p-17, -0x1.05a351bfdfd55p-17, -0x1.0a43ae69d9c68p-17, -0x1.0eceda6285157p-17, -0x1.13453a9155d72p-17, -0x1.17a6cb6cee37cp-17, -0x1.1bf3f877bb085p-17, -0x1.202cd8a64bff5p-17, -0x1.245197ac12f83p-17, -0x1.28626718f5591p-17, -0x1.2c5f6d9d02d24p-17, -0x1.3048a30f02623p-17, -0x1.3423c00fa091fp-17, -0x1.37e1f8a5c971bp-17, -0x1.3b921abc5bce7p-17, -0x1.3f2fa3ff429ap-17, -0x1.42ba0f601aa13p-17, -0x1.463248047f957p-17, -0x1.4998e139fc184p-17, -0x1.4cebf81abe98bp-17, -0x1.502e0218275a8p-17, -0x1.535e471c6a986p-17, -0x1.567cf90f44971p-17, -0x1.598a4e8d5e272p-17, -0x1.5c827a5de333ep-17, -0x1.5f71dbc12aa0ap-17, -0x1.624c89663b4f4p-17, -0x1.6516b6f5181c1p-17, -0x1.67cff8ca35a05p-17, -0x1.6a794d06d6995p-17, -0x1.6d126d7cc997cp-17, -0x1.6f9ba7f98aaabp-17, -0x1.7215205bc86a9p-17, -0x1.747f0133d182cp-17, -0x1.76d95d61fa13ep-17, -0x1.7920f0bfcfd1cp-17, -0x1.7b60f788e929bp-17, -0x1.7d8e699315f53p-17, -0x1.7fad12848274ap-17, -0x1.81bd2baa85583p-17, -0x1.83bfc2251a2f5p-17, -0x1.85b25f1ea61p-17, -0x1.8797c59474345p-17, -0x1.896f652895568p-17, -0x1.8b3a396cc0f2ep-17, -0x1.8cf5435fe381dp-17, -0x1.8ea45c4e65ad9p-17, -0x1.9045e79e09226p-17, -0x1.91daabe7707a8p-17, -0x1.93626563d38fp-17, -0x1.94dce6dc88e75p-17, -0x1.964b1e3b73bd4p-17, -0x1.97acdf137827ep-17, -0x1.99024d9fb7583p-17, -0x1.9a4b981ee6908p-17, -0x1.9b88dd2a47a89p-17, -0x1.9cba4608e5c37p-17, -0x1.9ddff9de2a33ep-17, -0x1.9efa1ddd23f02p-17, -0x1.a008d5707fbf8p-17, -0x1.a10c31edecb0ap-17, -0x1.a20855b6b808p-17, -0x1.a2f227ece5c4ep-17, -0x1.a3d46e4d7918ep-17, -0x1.a4ac52af13f66p-17, -0x1.a57998be48a54p-17, -0x1.a63c715e303edp-17, -0x1.a6f5011010b4ap-17, -0x1.a7a36bc258f72p-17, -0x1.a847da1c63018p-17, -0x1.a8e261a855817p-17, -0x1.a97331f94788p-17, -0x1.a9fa5d930c33dp-17, -0x1.aa781548f5118p-17, -0x1.aaec767c86befp-17, -0x1.ab579ebce2105p-17, -0x1.abb9aeb1b1894p-17, -0x1.ac12c270a0c21p-17, -0x1.ac62e8e1bb974p-17, -0x1.acb1d4612f467p-17, -0x1.ace97165816bdp-17, -0x1.ad200295845a3p-17, -0x1.ad4e033156dabp-17, -0x1.ad74f42265e51p-17, -0x1.ad91f6d3685e1p-17, -0x1.ada80fb57aa1fp-17, -0x1.adb5b70f296ddp-17, -0x1.adbc178295d96p-17, -0x1.adbac92289aa2p-17, -0x1.adb1e280c85f8p-17, -0x1.ada18f3ddbdddp-17, -0x1.ad89efaebab26p-17, -0x1.ad6b20f4e1d19p-17, -0x1.ad453f11525bep-17, -0x1.ad1866df8fc13p-17, -0x1.ace4aff508135p-17, -0x1.aca9f2dfa4759p-17, -0x1.ac6d225ada5dfp-17, -0x1.ac21510886011p-17, -0x1.abd35bbaf8eebp-17, -0x1.ab7ef8e59c63cp-17, -0x1.ab24548245d1cp-17, -0x1.aac38aada8d0ap-17, -0x1.aa5caa4d45d64p-17, -0x1.a9f01bc84c8d5p-17, -0x1.a97f0ce54b736p-17, -0x1.a904f772289dep-17, -0x1.a8870f6c684dap-17, -0x1.a8038ed0c1eep-17, -0x1.a77a952137c38p-17, -0x1.a6ec3bf5e24dap-17, -0x1.a6589d22c71b9p-17, -0x1.a5bfcfeea0f17p-17, -0x1.a521e94a1c5d7p-17, -0x1.a47eed81c1eb4p-17, -0x1.a3d6f01d47805p-17, -0x1.a32a5ebdcab2fp-17, -0x1.a2786dd78e1eep-17, -0x1.a1bde0a89a60fp-17, -0x1.a1089112f5e16p-17, -0x1.a0497d8297572p-17, -0x1.9f85ff65bf3bbp-17, -0x1.9ebe2d1863f7ep-17, -0x1.9df21c43b0f8ap-17, -0x1.9d21e0053a1a2p-17, -0x1.9c4d810b63892p-17, -0x1.9b74f68719c4fp-17, -0x1.9a9548eb0b784p-17, -0x1.99b8a9aa28db4p-17, -0x1.98d4fd930ccb2p-17, -0x1.97ed6d136b13cp-17, -0x1.970237fde9b8fp-17, -0x1.96137786b357p-17, -0x1.952126b9bde8dp-17, -0x1.942b82074cbafp-17, -0x1.9332861ee845fp-17, -0x1.923637e26a324p-17, -0x1.9136b85c322bdp-17, -0x1.90341a8c236c3p-17, -0x1.8f2e6208445a3p-17, -0x1.8e258a86753a4p-17, -0x1.8d1c0c3d41faep-17, -0x1.8c0b6498faf02p-17, -0x1.8afa20ac7ae36p-17, -0x1.89e5fb1b9d2e8p-17, -0x1.88d02e7056f2ep-17, -0x1.87b5b0558f979p-17, -0x1.869a14df16089p-17, -0x1.857bc8527bfe2p-17, -0x1.845a960ec0d9ap-17, -0x1.833c5ec3e111bp-17, -0x1.8211bdf3b35acp-17, -0x1.80ea17ff18213p-17, -0x1.7fc001f0a875fp-17, -0x1.7e93d917fc456p-17, -0x1.7d658a1010ec9p-17, -0x1.7c35382aacfbep-17, -0x1.7b02964512875p-17, -0x1.79ce449f7c374p-17, -0x1.78986c29ffb5bp-17, -0x1.77604556d601dp-17, -0x1.76265981b6c6ep-17, -0x1.74eb1c0b5107ep-17, -0x1.73ade83783b6bp-17, -0x1.726f667967e75p-17, -0x1.712ea700ae349p-17, -0x1.6feca4c953c9ap-17, -0x1.6eaa47d016e2cp-17, -0x1.6d6634c686993p-17, -0x1.6c1ddeb0e7565p-17, -0x1.6ad6728da9ea1p-17, -0x1.698d79402dd7dp-17, -0x1.684a65f1ce17cp-17, -0x1.66f787f66bc04p-17, -0x1.65abf6050a205p-17, -0x1.645deb2445cap-17, -0x1.630ecd434dc92p-17, -0x1.61bef4df5a1b8p-17, -0x1.606e16bc69b4bp-17, -0x1.5f1c4048cc979p-17, -0x1.5dc8d9189a61ep-17, -0x1.5c75d2b68b73fp-17, -0x1.5b214c22b640ep-17, -0x1.59cbf86d6a67cp-17, -0x1.5875e7643bdabp-17, -0x1.571edff98ade8p-17, -0x1.55c98af9720dep-17, -0x1.546f3da0b7ca8p-17, -0x1.53166fae3982ap-17, -0x1.51bcfef0dc8fap-17, -0x1.5062fd04d8313p-17, }}, 
      {{-0x1.f2cb439836604p-1, -0x1.edf4cdc5d308bp-1, -0x1.e629bd5285fd2p-1, -0x1.dbbd08cfc3968p-1, -0x1.cf0c7bffcdcp-1, -0x1.c0792894657f5p-1, -0x1.b0625900d44ep-1, -0x1.9f224aab254c1p-1, -0x1.8d0c2dc51472fp-1, -0x1.7a6b0ec4427f7p-1, -0x1.6781658563c4fp-1, -0x1.54891780d485p-1, -0x1.41b3c77499a77p-1, -0x1.2f2b56a84a032p-1, -0x1.1d12832e1d06ep-1, -0x1.0b8594122c8a5p-1, -0x1.f536118097023p-2, -0x1.d4c8883d0d213p-2, -0x1.b5dc5d7ed241p-2, -0x1.98839b2744b1cp-2, -0x1.7cc9980aad6bbp-2, -0x1.62b3f290f98ccp-2, -0x1.4a43722fd75bep-2, -0x1.3374d0bcec422p-2, -0x1.1e416cfdb2813p-2, -0x1.0a9fe8143e852p-2, -0x1.f1095f0a8e94fp-3, -0x1.cfc4eb2bcadfp-3, -0x1.b15533562c9b1p-3, -0x1.959b04831262p-3, -0x1.7c75d408755f7p-3, -0x1.65c442b762f12p-3, -0x1.51648bc4ffa89p-3, -0x1.3f34e19ceeeb2p-3, -0x1.2f13bb1a5e2a5p-3, -0x1.20e012d7c8565p-3, -0x1.14799aaa114c6p-3, -0x1.09c0e49f85d4dp-3, -0x1.00978319cdc0ap-3, -0x1.f1c0427f6d052p-4, -0x1.e4fd299944addp-4, -0x1.daafd4d2a897fp-4, -0x1.d2a4da7459c2p-4, -0x1.ccab55180149ap-4, -0x1.c894e44c58a25p-4, -0x1.c635a7fd8d053p-4, -0x1.c564371cfa804p-4, -0x1.c5f992fdae1aep-4, -0x1.c7d11785f61b2p-4, -0x1.cac86955b5a1fp-4, -0x1.cebf62262cc2ep-4, -0x1.d397fbc26083ap-4, -0x1.d9363a347abe5p-4, -0x1.df801566c36bbp-4, -0x1.e65d62490ceeep-4, -0x1.edb7bc1bc01a9p-4, -0x1.f57a6db3d7bcp-4, -0x1.fd925b14473c1p-4, -0x1.02f6f5af6fcfep-3, -0x1.073e79a765cdbp-3, -0x1.0b98503193929p-3, -0x1.0ffdb23d07333p-3, -0x1.14687125f9444p-3, -0x1.18d2ed4d1e055p-3, -0x1.1d380d04ec9c2p-3, -0x1.219333e7f7e2ap-3, -0x1.25e03a93d4f94p-3, -0x1.2a1b66c20da27p-3, -0x1.2e4163beea81bp-3, -0x1.324f3b5652e32p-3, -0x1.36424f0dfad78p-3, -0x1.3a1851b5d68b4p-3, -0x1.3dcf4169945cbp-3, -0x1.416561d14ee0fp-3, -0x1.44d936ba4d899p-3, -0x1.48297f0c74bffp-3, -0x1.4b55300b3304cp-3, -0x1.4e5b70e8bc394p-3, -0x1.513b96a180ee8p-3, -0x1.53f5201ef35c6p-3, -0x1.5687b28d4f061p-3, -0x1.58f315ea6116bp-3, -0x1.5b3731d8e8619p-3, -0x1.5d540a9cd375dp-3, -0x1.5f49be59a5cf4p-3, -0x1.611882931f6bp-3, -0x1.62c0a1d84e413p-3, -0x1.644279a9eb297p-3, -0x1.659e78784fe82p-3, -0x1.66d51bd3e40d8p-3, -0x1.67e6eea85d7b1p-3, -0x1.68d4879e4c28p-3, -0x1.699e879235718p-3, -0x1.6a4598317dc32p-3, -0x1.6aca6ab1dc58fp-3, -0x1.6b2db6ba61212p-3, -0x1.6b70396198b1fp-3, -0x1.6b92b446c9ba5p-3, -0x1.6b95ecc48ed7ap-3, -0x1.6b7aab3cd59cep-3, -0x1.6b41ba5e3b135p-3, -0x1.6aebe680b238cp-3, -0x1.6a79fd0002197p-3, -0x1.69eccbb36c466p-3, -0x1.6945205dac68ap-3, -0x1.6883c833723bcp-3, -0x1.67a98f6f99f7dp-3, -0x1.66b740f78d89bp-3, -0x1.65ada60f48e47p-3, -0x1.648d8610c523bp-3, -0x1.6357a63be34bp-3, -0x1.620cc97d60ffap-3, -0x1.60adb04da31c2p-3, -0x1.5f3b188445b38p-3, -0x1.5db5bd353a467p-3, -0x1.5c1e568fe6c77p-3, -0x1.5a7599bfbdfa6p-3, -0x1.58bc38cedd08fp-3, -0x1.56f2e28fe9f28p-3, -0x1.551a4285e77efp-3, -0x1.533300d2da569p-3, -0x1.513dc2284ad98p-3, -0x1.4f3b27ba1dfaep-3, -0x1.4d2bcf425f761p-3, -0x1.4b1052f8048a2p-3, -0x1.48e9498c6abd4p-3, -0x1.46b7462f74c14p-3, -0x1.447ad89613781p-3, -0x1.42348cffb3bbfp-3, -0x1.3fe4ec3c50a4ap-3, -0x1.3d8c7bb2f9e7ep-3, -0x1.3b2bbd6e0bbdfp-3, -0x1.38c330210555cp-3, -0x1.36534f311d37dp-3, -0x1.33dc92c30eaa2p-3, -0x1.315f6fbcddce6p-3, -0x1.2edc57d9665ebp-3, -0x1.2c53b9ad9752cp-3, -0x1.29c600b38c02fp-3, -0x1.273395567dae3p-3, -0x1.249cdcfe4e153p-3, -0x1.22023a1bac04fp-3, -0x1.1f640c34a16dfp-3, -0x1.1cc2aff134d61p-3, -0x1.1a1e7f286b8bep-3, -0x1.1777d0ed5c907p-3, -0x1.14cef99c1b0bp-3, -0x1.12244aea92871p-3, -0x1.0f7813f18bedbp-3, -0x1.0ccaa13bfa6c4p-3, -0x1.0a1c3cd77d18dp-3, -0x1.076d2e5b6a256p-3, -0x1.04bdbafd5cb22p-3, -0x1.020e259d70369p-3, -0x1.febd5d9ab38e1p-4, -0x1.f95f29c5e325ep-4, -0x1.f402280c4df92p-4, -0x1.eea6cc769993p-4, -0x1.e94d86dc1aa8ap-4, -0x1.e3f6c2ffd8855p-4, -0x1.dea2e8ab2e02ep-4, -0x1.d9525bc3c1c2fp-4, -0x1.d4057c62ec521p-4, -0x1.cebca6edd37f1p-4, -0x1.c978342ba025fp-4, -0x1.c438795ad48ffp-4, -0x1.befdc84b8e6cap-4, -0x1.b9c86f7853d74p-4, -0x1.b498ba0e8ab21p-4, -0x1.af6ef015a4323p-4, -0x1.aa4b56752c812p-4, -0x1.a52e2f0ff32b4p-4, -0x1.a017b8dccbd47p-4, -0x1.9b082ff4751e5p-4, -0x1.95ffcda74784dp-4, -0x1.90fec8912b323p-4, -0x1.8c0554abb9de5p-4, -0x1.8713a3611d455p-4, -0x1.8229e39f8cd3ap-4, -0x1.7d4841eb4f53fp-4, -0x1.786ee86f4451ap-4, -0x1.739dff0e24ca6p-4, -0x1.6ed5ab74a6493p-4, -0x1.6a16112a8298bp-4, -0x1.655f51a1c6f2bp-4, -0x1.60b18c460c7eap-4, -0x1.5c0cde8d55442p-4, -0x1.57716407c4bb1p-4, -0x1.52df366df5b3bp-4, -0x1.4e566dad9924bp-4, -0x1.49d71ffb8d5p-4, -0x1.456161e15d916p-4, -0x1.40f546435eabp-4, -0x1.3c92de7f8fd1dp-4, -0x1.383a3a63138ddp-4, -0x1.33eb6847d1a7bp-4, -0x1.2fa6751d7193bp-4, -0x1.2b6b6c72e3024p-4, -0x1.273a588031bbdp-4, -0x1.2313423d35dcfp-4, -0x1.1ef6315e202efp-4, -0x1.1ae32c63ecd82p-4, -0x1.16da38a9e7371p-4, -0x1.12db5a701617p-4, -0x1.0ee694e29d442p-4, -0x1.0afbea232f96fp-4, -0x1.071b5b541db69p-4, -0x1.0344e8a2867d7p-4, -0x1.fef1229f709d7p-5, -0x1.f76ca76de0feep-5, -0x1.effc5aaea9af9p-5, -0x1.e8a035b8fc372p-5, -0x1.e158305025ccfp-5, -0x1.da2440b384f3bp-5, -0x1.d3045bab7e4e9p-5, -0x1.cbf87496305dfp-5, -0x1.c5007d763b945p-5, -0x1.be1c6702924c3p-5, -0x1.b74c20b588fd3p-5, -0x1.b08f98e0eff3p-5, -0x1.a9e6bcb2bbb35p-5, -0x1.a3517837741b8p-5, -0x1.9ccfb67a20a66p-5, -0x1.9661617d72006p-5, -0x1.9006625380d57p-5, -0x1.89bea12f12071p-5, -0x1.838a0562e0c56p-5, -0x1.7d68756a7814cp-5, -0x1.7759d6f5ba117p-5, -0x1.715e0ef53bb71p-5, -0x1.6b7501a5f007dp-5, -0x1.659e92979761ap-5, -0x1.5fdaa4c201758p-5, -0x1.5a291a6e1219dp-5, -0x1.5489d559e77bdp-5, -0x1.4efcb6b53a4fep-5, -0x1.49819f2db0ccfp-5, -0x1.44186ef75fe24p-5, -0x1.3ec105d4c550bp-5, -0x1.397b43140a17ep-5, -0x1.344705a74be3cp-5, -0x1.2f242c0efbbbfp-5, -0x1.2a12947a8e43fp-5, -0x1.25121cc547955p-5, -0x1.2022a27dfb4b6p-5, -0x1.1b4402eca971bp-5, -0x1.16761b13fb8fcp-5, -0x1.11b8c7bac65cep-5, -0x1.0d0be56fa665bp-5, -0x1.086f5087da9bep-5, -0x1.03e2e528d2b4ap-5, -0x1.feccfead8ec72p-6, -0x1.f5f3f5e632d5ep-6, -0x1.ed3a6769eaf8cp-6, -0x1.e4a00a761eb76p-6, -0x1.dc249604984b7p-6, -0x1.d3c7c0ef86ef2p-6, -0x1.cb8941f4312e6p-6, -0x1.c368cfa35a117p-6, -0x1.bb66208489a51p-6, -0x1.b380eb14c0d67p-6, -0x1.abb8e5c2349fdp-6, -0x1.a40dc6f40d061p-6, -0x1.9c7f4512d4b69p-6, -0x1.950d169081341p-6, -0x1.8db6f1ef9b3d9p-6, -0x1.867c8dc8a6f56p-6, -0x1.7f5da0cdf114ap-6, -0x1.7859e1ce8d3b9p-6, -0x1.717107b986ed3p-6, -0x1.6aa2c9a23acabp-6, -0x1.63eedec5ce361p-6, -0x1.5d54fe90f5106p-6, -0x1.56d4e0a60864ap-6, -0x1.506e3cdc9468ap-6, -0x1.4a20cb4d1102bp-6, -0x1.43ec444a27ddap-6, -0x1.3dd0606784d95p-6, -0x1.37ccd87c062d8p-6, -0x1.31e165a4339f2p-6, -0x1.2c0dc14e8a18p-6, -0x1.2651a524801f4p-6, -0x1.20accb429641dp-6, -0x1.1b1eedfab882fp-6, -0x1.15a7c803c73ap-6, -0x1.10471469d1504p-6, -0x1.0afc8e91ffb64p-6, -0x1.05c7f23d57305p-6, -0x1.00a8fb8b8348ap-6, -0x1.f73ecdfb77feap-7, -0x1.ed55e2f2aca8bp-7, -0x1.e396b09319f2dp-7, -0x1.da00b240488e3p-7, -0x1.d09364292301cp-7, -0x1.c74e435716c24p-7, -0x1.be30cdb648001p-7, -0x1.b53a81f70d50bp-7, -0x1.ac6adfb4c3f88p-7, -0x1.a3c1675f974f1p-7, -0x1.9b3d9a4179033p-7, -0x1.92defa9ed864fp-7, -0x1.8aa50ba3713ffp-7, -0x1.828f515fcb80bp-7, -0x1.7a9d50ce80e08p-7, -0x1.72ce8fd61b679p-7, -0x1.6b2295491ddebp-7, -0x1.6398e8e1e2dedp-7, -0x1.5c3113688613p-7, -0x1.54ea9eb623fadp-7, -0x1.4dc51520bf3cp-7, -0x1.46c0024196ecp-7, -0x1.3fdaf2f1d5a21p-7, -0x1.3915749d917d8p-7, -0x1.326f15d84bdfdp-7, -0x1.2be76617d0f44p-7, -0x1.257df5ce31401p-7, -0x1.1f32567c6c609p-7, -0x1.19041aa16b1b2p-7, -0x1.12f2d5b200e6ap-7, -0x1.0cfe1c34123dap-7, -0x1.0725838b3d6dp-7, -0x1.0168a2381538p-7, -0x1.f78e1f6122bfep-8, -0x1.ec80c8d8cfc65p-8, -0x1.e1a873c8334e3p-8, -0x1.d704552137d59p-8, -0x1.cc93a3d6dc761p-8, -0x1.c25598dd388e5p-8, -0x1.b8496f2a67e9cp-8, -0x1.ae6e63b92471p-8, -0x1.a4c3b58b01d6dp-8, -0x1.9b48a5a4e266ap-8, -0x1.91fc7705fd0e3p-8, -0x1.88de6ea4b2b79p-8, -0x1.7fedd376866aep-8, -0x1.7729ee784ce2ep-8, -0x1.6e920aae5fc7ap-8, -0x1.6625751694ef1p-8, -0x1.5de37c9dff4cap-8, -0x1.55cb721f1e81ep-8, -0x1.4ddca86c94ffep-8, -0x1.4616747101cb7p-8, -0x1.3e782d0951c76p-8, -0x1.37012af995535p-8, -0x1.2fb0c8fdd90e9p-8, -0x1.288663a292b6ep-8, -0x1.2181597e95fc6p-8, -0x1.1aa10b2044c03p-8, -0x1.13e4daf71062p-8, -0x1.0d4c2d57134ccp-8, -0x1.06d6687ad232ap-8, -0x1.0082f48196aebp-8, -0x1.f4a276da8ce76p-9, -0x1.e881523fb46fp-9, -0x1.dca156b131e3ep-9, -0x1.d101633d5f16fp-9, -0x1.c5a05a837bc3fp-9, -0x1.ba7d251552ffdp-9, -0x1.af96aa623d717p-9, -0x1.a4ebda3032964p-9, -0x1.9a7ba33cdea7bp-9, -0x1.9044fe9a785bfp-9, -0x1.8646e24e40ed9p-9, -0x1.7c804ab97c94bp-9, -0x1.72f037c7df82p-9, -0x1.6995ac7f6f4ddp-9, -0x1.606faf89669a5p-9, -0x1.577d4af41d0f2p-9, -0x1.4ebd8c3828b62p-9, -0x1.462f84311b1f1p-9, -0x1.3dd24716e6454p-9, -0x1.35a4ec77aabb9p-9, -0x1.2da68f2f6f0a2p-9, -0x1.25d64d5758efcp-9, -0x1.1e33483ed0fa8p-9, -0x1.16bca4b304894p-9, -0x1.0f718ae9fd44dp-9, -0x1.085125afd0ccbp-9, -0x1.015aa31bce2ap-9, -0x1.f51a6a0b1e067p-10, -0x1.e7d01f5ec02e5p-10, -0x1.dad4d55060cfbp-10, -0x1.ce27005573e2dp-10, -0x1.c1c51c1489981p-10, -0x1.b5ada9bf57007p-10, -0x1.a9df3069ea65ep-10, -0x1.9e583d14e7432p-10, -0x1.931762a4cfdb7p-10, -0x1.881b3992fdeecp-10, -0x1.7d6260624a187p-10, -0x1.72eb7aefe8394p-10, -0x1.68b5328f21235p-10, -0x1.5ebe3600ed42bp-10, -0x1.5505395bcd2cp-10, -0x1.4b88f9a654a09p-10, -0x1.424831ab3c3f2p-10, -0x1.3941a6495c14fp-10, -0x1.30742520915b3p-10, -0x1.27de7a515d1a4p-10, -0x1.1f7f7a86adbaap-10, -0x1.1755ff22d2712p-10, -0x1.0f60e647e2d71p-10, -0x1.079f12eed0429p-10, -0x1.000f6cdcaf154p-10, -0x1.f161c137136fdp-11, -0x1.e304bef3c24ccp-11, -0x1.d505bf193d65p-11, -0x1.c762b75c7655cp-11, -0x1.ba19a6f0166abp-11, -0x1.ad2896634798ap-11, -0x1.a08d976919efp-11, -0x1.9446c491f5017p-11, -0x1.885241055cdc5p-11, -0x1.7cae3843c685bp-11, -0x1.7158ddf565391p-11, -0x1.66506dd575714p-11, -0x1.5b932bb1806e5p-11, -0x1.511f637e6563cp-11, -0x1.46f3696ca545fp-11, -0x1.3d0d99f6225a3p-11, -0x1.336c59d4ed0eap-11, -0x1.2a0e15d973987p-11, -0x1.20f14265d3215p-11, -0x1.18145d29ee652p-11, -0x1.0f75e74919371p-11, -0x1.07146b2084433p-11, -0x1.fddcf746388c9p-12, -0x1.ee055ddbeb11p-12, -0x1.de9f47151d8fdp-12, -0x1.cfa7fd2e12861p-12, -0x1.c11cd85c6fed8p-12, -0x1.b2fb3f4357649p-12, -0x1.a540a7e559161p-12, -0x1.97ea97946b24dp-12, -0x1.8af6a03aa75bcp-12, -0x1.7e625faab3da5p-12, -0x1.722b81a23a588p-12, -0x1.664fbe27438abp-12, -0x1.5accd56c503f3p-12, -0x1.4fa0900aeb33ap-12, -0x1.44c8c20f3f65bp-12, -0x1.3a4345643234bp-12, -0x1.300e0c7193dd4p-12, -0x1.262704a97b818p-12, -0x1.1c8c229c33901p-12, -0x1.133b80792864ap-12, -0x1.0a333576c6fe5p-12, -0x1.017162e5ddb8fp-12, -0x1.f1e8726423e7ep-13, -0x1.e173f6e6e0002p-13, -0x1.d181e3f50e66bp-13, -0x1.c20ed64e5901cp-13, -0x1.b31782bbb2df5p-13, -0x1.a498a97342646p-13, -0x1.968f196e68261p-13, -0x1.88f7ace3b3f07p-13, -0x1.7bcf4ae8651a9p-13, -0x1.6f12e94ae51c4p-13, -0x1.62bf8e3f43077p-13, -0x1.56d251d608d42p-13, -0x1.4b485f2006c83p-13, -0x1.401ef4edb19f6p-13, -0x1.3553662a59b5ap-13, -0x1.2ae319cf3779fp-13, -0x1.20cb8a5e3aaddp-13, -0x1.170a44ce08852p-13, -0x1.0d9ce6eff1bfcp-13, -0x1.04811d0b020bap-13, -0x1.f76940c341323p-14, -0x1.e66a7c58b604ep-14, -0x1.d6014dbc6f5e4p-14, -0x1.c6299c621ff3ep-14, -0x1.b6df17ceda795p-14, -0x1.a81d97f4247bcp-14, -0x1.99e10c8e7983bp-14, -0x1.8c257d82e0408p-14, -0x1.7ee70aaeaf769p-14, -0x1.7221ebc1bb705p-14, -0x1.65d2704411721p-14, -0x1.59f500f9069ep-14, -0x1.4e862119fbfaap-14, -0x1.43826f9b914a5p-14, -0x1.38e6a724e6c0ep-14, -0x1.2eaf9c6077e04p-14, -0x1.24da3b1168b9bp-14, -0x1.1b6382b3bc1fbp-14, -0x1.124883c76c8cdp-14, -0x1.09865e888f184p-14, -0x1.011a433200d26p-14, -0x1.f202e64cde55bp-15, -0x1.e27283425b86p-15, -0x1.d37e224d52076p-15, -0x1.c5208ed7e9d44p-15, -0x1.b754b4d744963p-15, -0x1.aa17c9dc82f6cp-15, -0x1.9d619e10f19afp-15, -0x1.912f0bb905406p-15, -0x1.857c03a60b8ebp-15, -0x1.7a446fdb96cb5p-15, -0x1.6f83280e890c4p-15, -0x1.653455c9bde76p-15, -0x1.5b54127fd97d1p-15, -0x1.51de8a18a7c43p-15, -0x1.48d002a0548b3p-15, -0x1.4024dca18e1c1p-15, -0x1.37d98d50ab2dcp-15, -0x1.2feaa5cafe323p-15, -0x1.2854c93291adfp-15, -0x1.2114b8c902693p-15, -0x1.1a27546335979p-15, -0x1.13898def98137p-15, -0x1.0d38658b1353ep-15, -0x1.0730f34438e99p-15, -0x1.017068b69f114p-15, -0x1.f7e80edbaf267p-16, -0x1.ed7241f1d0b2cp-16, -0x1.e37a29141aea1p-16, -0x1.d9faa55a95a52p-16, -0x1.d0ef027f7cc35p-16, -0x1.c85277e62d4bap-16, -0x1.c02054483a343p-16, -0x1.b8546e2271f9fp-16, -0x1.b0ea4decb5db8p-16, -0x1.a9ddd1bc14cc7p-16, -0x1.a32b191c947cfp-16, -0x1.9cce504134e0ep-16, -0x1.96c3d34cd49ccp-16, -0x1.9107f9737b375p-16, -0x1.8b970c9ba01b5p-16, -0x1.866db16da8b6dp-16, -0x1.81889e648cc28p-16, -0x1.7ce46f7f926adp-16, -0x1.787e4c762a2adp-16, -0x1.74531e4f252e3p-16, -0x1.7060274226684p-16, -0x1.6ca28a639170bp-16, -0x1.6917b5ee1dc3cp-16, -0x1.65bd0d25c8915p-16, -0x1.628fffe5015b6p-16, -0x1.5f8e153eda7b9p-16, -0x1.5cb4e9557406cp-16, -0x1.5a0230604ea3ap-16, -0x1.5773bddba7bep-16, -0x1.5507872c42716p-16, -0x1.52bb9eada52e6p-16, -0x1.508e2989fa6cfp-16, -0x1.4e7d55db52102p-16, -0x1.4c875635496abp-16, -0x1.4aaa6408fef18p-16, -0x1.48e4c602885cep-16, -0x1.4734d7eee0db9p-16, -0x1.45999e60fa71bp-16, -0x1.440fcc3508554p-16, -0x1.4297d1c9870ffp-16, -0x1.412fc657425a7p-16, -0x1.3fd66e8459927p-16, -0x1.3e8a9da9de47cp-16, -0x1.3d4b2dcdffc01p-16, -0x1.3c16fbeee809cp-16, -0x1.3aece937e01e4p-16, -0x1.39cbdf1d62fe4p-16, -0x1.38b2d2f6ec8cfp-16, -0x1.37a0c7c2161b4p-16, -0x1.3694cc3d766c1p-16, -0x1.358dd8242dd0fp-16, -0x1.348a8fd87a472p-16, -0x1.338e002eb0a45p-16, -0x1.3292612bbf422p-16, -0x1.319699690603cp-16, -0x1.309f40b964b06p-16, -0x1.2fa888b1696c2p-16, -0x1.2eb1c1920c5e8p-16, -0x1.2dba80e32e1d6p-16, -0x1.2cc281bce71b9p-16, -0x1.2bc95643f1387p-16, -0x1.2ace1fe2270b6p-16, -0x1.29d0a7cfeb0e4p-16, -0x1.28d08e90aeceep-16, -0x1.27cd715a21854p-16, -0x1.26c6eff296b0ep-16, -0x1.25bcae727474cp-16, -0x1.24ae57cf13692p-16, -0x1.239b9e5b1262cp-16, -0x1.22843a4adb1e9p-16, -0x1.2167e83cd79b1p-16, -0x1.204668f3e61a6p-16, -0x1.1f1f825a27ee7p-16, -0x1.1df30128053ap-16, -0x1.1cc0b68a2264dp-16, -0x1.1b8866e86f927p-16, -0x1.1a49efbb51907p-16, -0x1.19055f8b11845p-16, -0x1.17ba5e4c90b49p-16, -0x1.166910a19367p-16, -0x1.15113bccee0e4p-16, -0x1.13b2b7576940bp-16, -0x1.124d90672c51dp-16, -0x1.10e1bc722559ap-16, -0x1.0f6f33d5297cdp-16, -0x1.0df5eebebc13ep-16, -0x1.0c75ea01c2e84p-16, -0x1.0aef256305c77p-16, -0x1.0961a37fc3b5fp-16, -0x1.07cd6940c8059p-16, -0x1.06327d42760a5p-16, -0x1.0490e80c8ddfep-16, -0x1.02e8b428dcf9dp-16, -0x1.0139ed2e43881p-16, -0x1.ff094a17d6e32p-17, -0x1.fb91d70f7a2d8p-17, -0x1.f80da9e921c6bp-17, -0x1.f47ceb95667dcp-17, -0x1.f0dfb6cebc8d9p-17, -0x1.ed3624b580997p-17, -0x1.e980ababf08bdp-17, -0x1.e5bf61774db9cp-17, -0x1.e1f259632ff92p-17, -0x1.de1a2918eaef6p-17, -0x1.da36bcfe8cd3p-17, -0x1.d6484383ed45cp-17, -0x1.d24f110d24532p-17, -0x1.ce4b039dcf30ap-17, -0x1.ca3dc658c9a66p-17, -0x1.c626236c48809p-17, -0x1.c204d8a4acdd5p-17, -0x1.bdda28b65e967p-17, -0x1.b9a65a04d3492p-17, -0x1.b569b51bdfd61p-17, -0x1.b12482df22707p-17, -0x1.acd70f2dc22a6p-17, -0x1.a881ad8e2ad28p-17, -0x1.a42408f2eff5p-17, -0x1.9fc358be85618p-17, -0x1.9b511cfaa656dp-17, -0x1.96e19150e3bbcp-17, -0x1.926829435aacfp-17, -0x1.8de8a91ac5f28p-17, -0x1.89634010751fbp-17, -0x1.84d834298cc2cp-17, -0x1.8047c76668594p-17, -0x1.7bb216c985dc1p-17, -0x1.7717c2ace138cp-17, -0x1.7278df29aee6dp-17, -0x1.6dd5d19ce89ccp-17, -0x1.692ed89c507cdp-17, -0x1.648467a1c822cp-17, -0x1.5fd6b53775dd2p-17, -0x1.5b25e47f6a794p-17, -0x1.56724635b3ecp-17, -0x1.51bc31cd4f3eap-17, -0x1.4d03e7b1c0125p-17, -0x1.4848c1bc5b4f6p-17, -0x1.438f2e158d055p-17, -0x1.3ed0bd0799ecfp-17, -0x1.3a11fb1874027p-17, -0x1.35531e2310eeep-17, -0x1.3093553df6fp-17, -0x1.2bd33d1c94788p-17, -0x1.271319eb73a89p-17, -0x1.2253329d6caf7p-17, -0x1.1d93bac0f2e7fp-17, -0x1.18d4a77ef7f12p-17, -0x1.1416b84f575aep-17, -0x1.0f5a0bc7ba3c9p-17, -0x1.0a9e8810f1d1dp-17, -0x1.05e4f4d5235c3p-17, -0x1.012d088e4d9f6p-17, -0x1.f8ee2ac0243ecp-18, -0x1.ef8947dbbee05p-18, -0x1.e624d6e80c2bp-18, -0x1.dcc83659c6b9dp-18, -0x1.d37174865819fp-18, -0x1.ca20fba45b01ep-18, -0x1.c0d73b32d6779p-18, -0x1.b7949436240dbp-18, -0x1.ae595e85dd11bp-18, -0x1.a525fe15dbedap-18, -0x1.9bfadaf592373p-18, -0x1.92d845c2a109dp-18, -0x1.89be9caad1b84p-18, -0x1.80ae420be6e07p-18, -0x1.77a786eaaf0c5p-18, -0x1.6eaab987f3f72p-18, -0x1.65b82edbbdb3fp-18, -0x1.5cd0382ebba2p-18, -0x1.53f3227ad4b25p-18, -0x1.4b2138f072e62p-18, -0x1.425ac5c19a4d8p-18, -0x1.39a0119f855b9p-18, -0x1.30f162dddc5d5p-18, -0x1.284efd518145cp-18, -0x1.1fb91ff1d98dfp-18, -0x1.172ff67a28d39p-18, -0x1.0eb42634bf9afp-18, -0x1.0645697cb9dccp-18, -0x1.fbc81ee3c91f1p-19, -0x1.eb216ed570831p-19, -0x1.da961b0e3cf2bp-19, -0x1.ca27c2dc5546ap-19, -0x1.b9d57bb92dfb1p-19, -0x1.a9a12f31310dcp-19, -0x1.998b95ec4883fp-19, -0x1.8984ce5d8accdp-19, -0x1.79b49cb37d954p-19, -0x1.69f72baf1b1f8p-19, -0x1.5a58d2e9bc305p-19, -0x1.4ad9b8dd2c7c3p-19, -0x1.3b7a10776bf1bp-19, -0x1.2c3a198d488aap-19, -0x1.1d1a151b3d95cp-19, -0x1.0e1a42f36c372p-19, -0x1.fe75c2a4659b9p-20, -0x1.e0f8a997fca1dp-20, -0x1.c3bcb833bc62cp-20, -0x1.a6c34974dbf73p-20, -0x1.8a0c6d2c04347p-20, -0x1.6d987d2456275p-20, -0x1.5167d3a45573ep-20, -0x1.357ac87109e8ep-20, -0x1.19d1a4e1a92f4p-20, -0x1.fcd9576213589p-21, -0x1.c6987f7f4a9dbp-21, -0x1.90e26275dc9e7p-21, -0x1.5b8f1c9c9e9c6p-21, -0x1.26f6ec4269a2ap-21, -0x1.e5ede670040d7p-22, -0x1.7ecb13dd8f9fep-22, -0x1.18c1cb9a6ff05p-22, -0x1.679fb137f7babp-23, -0x1.3fd435149595ap-24, 0x1.2c72582edda36p-26, 0x1.d1e13a673be1cp-24, 0x1.aa1dfd894976ap-23, 0x1.348e3d2a39468p-22, 0x1.92f156002fca8p-22, 0x1.f044b9f01f175p-22, 0x1.26373484344e7p-21, 0x1.53c7ae58994aap-21, 0x1.80ccd0a6b30fap-21, 0x1.ad461af53a60bp-21, 0x1.d932360b8fdebp-21, 0x1.024a2f3fafdb1p-20, 0x1.17b533f4930cfp-20, 0x1.2cdab856ab7afp-20, 0x1.41bb9ec19625cp-20, 0x1.56576ab7e4f71p-20, 0x1.6ab08372cf1cp-20, 0x1.7ebdd64432675p-20, 0x1.9292f43ef6ba1p-20, 0x1.a617613b8afeap-20, 0x1.b95cae174a393p-20, 0x1.cc5e09f4760f1p-20, 0x1.df1bb84376321p-20, 0x1.f195ef9d2d4ccp-20, 0x1.01e6798ef2f9cp-19, 0x1.0ae07439a389ap-19, 0x1.13b92fff0969ep-19, 0x1.1c70d417b985bp-19, 0x1.2507624d5b2bap-19, 0x1.2d7cde43d85eap-19, 0x1.35d1f736d3c29p-19, 0x1.3e0605a78d76p-19, 0x1.4619e7c257f6dp-19, 0x1.4e0d871711805p-19, 0x1.55e10d51955b6p-19, 0x1.5d94a7ad66fccp-19, 0x1.6528833240674p-19, 0x1.6c9cce00ffe4ep-19, 0x1.73f1b7b537c3ep-19, 0x1.7b2770ec57b99p-19, 0x1.823e2aab4746ep-19, 0x1.8936155883e94p-19, 0x1.900f5f8b33181p-19, 0x1.96ca35d44439fp-19, 0x1.9d66bf9e3171cp-19, 0x1.a3e528430a487p-19, 0x1.aa462c84d7816p-19, 0x1.b0897b236be5bp-19, 0x1.b6aeed5d2ab0ap-19, 0x1.bcbc5f2fb488fp-19, 0x1.c2a943046afe8p-19, 0x1.c87175ecee1c6p-19, 0x1.ce23f8e9046b2p-19, 0x1.d3ba31660045bp-19, 0x1.d93400224f1dfp-19, 0x1.de91e018871e5p-19, 0x1.e3d410af71887p-19, 0x1.e8facb4341b0ap-19, 0x1.ee064b9b01496p-19, 0x1.f2f6d6ddff22ap-19, 0x1.f7cc93066d377p-19, 0x1.fc87a732d3f37p-19, 0x1.0094aa952f626p-18, 0x1.02dcd578b1916p-18, 0x1.05123294ec63cp-18, 0x1.07376f3d08597p-18, 0x1.0954a5f1ce6dbp-18, 0x1.0b64deee22905p-18, 0x1.0d687045af89bp-18, 0x1.0f5d12afe9bdap-18, 0x1.114b8ac284f2ap-18, 0x1.132aa927d6909p-18, 0x1.14fe188c8e56cp-18, 0x1.16c5744de5cfp-18, 0x1.1880ad508c414p-18, 0x1.1a304c03535e9p-18, 0x1.1bd4d9d69ab1ep-18, 0x1.1d6dccc36417dp-18, 0x1.1efb6497cfc2p-18, 0x1.207de39103503p-18, 0x1.21f51d5f378ap-18, 0x1.23617a66a409ep-18, 0x1.24c302860f044p-18, 0x1.2619d231ebe0dp-18, 0x1.276606f382623p-18, 0x1.28a7bde84755cp-18, 0x1.29df132402ad3p-18, 0x1.2b0c238121208p-18, 0x1.2c2f16a6efe46p-18, 0x1.2d4809cab2fb3p-18, 0x1.2e57000736452p-18, 0x1.2f5c262eaa209p-18, 0x1.3057aa36f0c84p-18, 0x1.31499b6a26f63p-18, 0x1.323212add6ff2p-18, 0x1.33112cf430b5p-18, 0x1.33e704d4771b2p-18, 0x1.34b3bdf422f05p-18, 0x1.35779557a1c1ep-18, 0x1.36325a9f80605p-18, 0x1.36e46fd756126p-18, 0x1.378db309a52d2p-18, 0x1.382e604bc8b0fp-18, 0x1.38c6b5c0298cap-18, 0x1.3956aa7a6cd1p-18, 0x1.39de595631b38p-18, 0x1.3a5de08258e32p-18, 0x1.3ad55ca9689ecp-18, 0x1.3b4547c7c18bcp-18, 0x1.3baca0a04ec29p-18, 0x1.3c0c9e5b6f9cp-18, 0x1.3c64fcd02d635p-18, 0x1.3cb5d6584307bp-18, 0x1.3cff4530734d8p-18, 0x1.3d41636b811d7p-18, 0x1.3d7c4ae2525a4p-18, 0x1.3db014dd022f9p-18, 0x1.3ddcdb123e06bp-18, 0x1.3e02dc70f2fd3p-18, 0x1.3e21eebded29bp-18, 0x1.3e3a0c9eaaf82p-18, 0x1.3e4bacd3b9f0ep-18, 0x1.3e570c170927dp-18, 0x1.3e5bcb24bd4dfp-18, 0x1.3e5a4de25140ap-18, 0x1.3e525d7633c96p-18, 0x1.3e442d435a7fbp-18, 0x1.3e309ba5bcecep-18, 0x1.3e164cdddb83p-18, 0x1.3df68cf7c3b19p-18, 0x1.3dd0f23125355p-18, 0x1.3da5a1536a5c9p-18, 0x1.3d74aead4e617p-18, 0x1.3d3ea7f72ce74p-18, 0x1.3cfeca2a8863p-18, 0x1.3cbf3fb437571p-18, 0x1.3c7b26de124e1p-18, 0x1.3c2f0572042d3p-18, 0x1.3bdeee2e9bb66p-18, 0x1.3b89edf7a9642p-18, 0x1.3b2e4454fe85bp-18, 0x1.3acea3582e13dp-18, 0x1.3a6abefe5eee2p-18, 0x1.3a020bfdeda0ep-18, 0x1.3994ae1cd9073p-18, 0x1.39232737670f1p-18, 0x1.38ac7574cfb9ap-18, 0x1.3831c57b09bb5p-18, 0x1.37b2d21dfe708p-18, 0x1.372fbeb2c1812p-18, 0x1.36a87586113eap-18, 0x1.361d28adad78dp-18, 0x1.358de63a3cfb8p-18, 0x1.34fac0c0785e7p-18, 0x1.3463c6bac3954p-18, 0x1.33c8ffe357248p-18, 0x1.332aa2d213bf7p-18, 0x1.328884874a1dap-18, 0x1.31e310f2dffd9p-18, 0x1.313a131813212p-18, 0x1.308da3997883bp-18, 0x1.2fdde97310d44p-18, 0x1.2f2addaf241d6p-18, 0x1.2e74a6ad114f5p-18, 0x1.2dbb519d18971p-18, 0x1.2cfee9c0f6bd3p-18, 0x1.2c3f80858449ep-18, 0x1.2b7d266cbe5b4p-18, 0x1.2ab7ebd1a819bp-18, 0x1.29efe0b35d95fp-18, 0x1.292514d3523aep-18, 0x1.285797bf532b6p-18, 0x1.278778d540705p-18, 0x1.26b4c7436a5b3p-18, 0x1.25df92010b91dp-18, 0x1.2507e7a340068p-18, 0x1.242dd52a17a3bp-18, 0x1.2351600277f1ep-18, 0x1.2272de180ceabp-18, 0x1.2191b59cac807p-18, 0x1.20aeac9a80eb6p-18, 0x1.1fc993361e9b8p-18, 0x1.1ee2393b86a1ep-18, 0x1.1df8fb81e4f2ep-18, 0x1.1d0d92dd53bafp-18, 0x1.1c206afa7d55p-18, 0x1.1b3167aadc0ccp-18, 0x1.1a408e48be72p-18, 0x1.194deeb58cc73p-18, 0x1.1859911a0a99ep-18, 0x1.176362a6771d3p-18, 0x1.166e89673a35dp-18, 0x1.1572a808e8efdp-18, 0x1.1477f865a88fap-18, 0x1.137ca68742699p-18, 0x1.127e45c915f4ep-18, 0x1.117f63b25ba4bp-18, 0x1.1080183bd37f2p-18, 0x1.0f7d285415eefp-18, 0x1.0e7a52422d678p-18, 0x1.0d7629cf71b9cp-18, 0x1.0c70c3db3948p-18, 0x1.0b6a5d18ee953p-18, 0x1.0a6040204dca9p-18, 0x1.095a1b57fdc2p-18, 0x1.085086ffbb638p-18, 0x1.07465d5f6deb4p-18, 0x1.063a738043daep-18, 0x1.052e33c3aba46p-18, 0x1.0420ed5e78ebap-18, 0x1.0312d7d6b3be8p-18, 0x1.0203f4a8ce4f6p-18, 0x1.00f44bc97d8d2p-18, 0x1.ffc7b23396ab6p-19, 0x1.fda06930d747bp-19, 0x1.fb8254c9c1a89p-19, 0x1.f95dd4285c221p-19, 0x1.f73813e672504p-19, 0x1.f51137a17bea8p-19, 0x1.f2eb2e75cf4fdp-19, 0x1.f0c073d2afd47p-19, 0x1.ee969d05afe84p-19, 0x1.ec6c37a5068bbp-19, 0x1.ea422ff4e1feep-19, 0x1.e814556bcf1d3p-19, 0x1.e5e7f8fac8d3ep-19, 0x1.e3ba379001ae9p-19, 0x1.e18cbb9e2f3d4p-19, 0x1.df5e7d185b7b9p-19, 0x1.dd2ef8afd8b99p-19, 0x1.daffafb281cb7p-19, 0x1.d8d0151c4f78fp-19, 0x1.d6a029775cac2p-19, 0x1.d470129a2f156p-19, 0x1.d23fc1d024055p-19, 0x1.d00f4df531134p-19, 0x1.cddec765979c8p-19, 0x1.cbae3939c0ea8p-19, 0x1.c97dad7328156p-19, 0x1.c74d1fcee3354p-19, 0x1.c51fd0cf1893cp-19, 0x1.c2ecc3d1c3b38p-19, 0x1.c0bc8ef596231p-19, 0x1.be8cd8697bc66p-19, 0x1.bc5d5e132a06ap-19, 0x1.ba2e352a04e83p-19, 0x1.b7ff68363352dp-19, 0x1.b5d10323d2853p-19, 0x1.b3a321076e585p-19, 0x1.b175a718460adp-19, 0x1.af48c51579149p-19, 0x1.ad1c592bb0aedp-19, 0x1.aaf0984968e89p-19, 0x1.a8c57f09c942p-19, 0x1.a69b0e7c64a0ap-19, 0x1.a4714fc888d41p-19, 0x1.a24843d351dc2p-19, 0x1.a01ff00efae42p-19, 0x1.9dff14786811ep-19, 0x1.9bd232a4d5cbap-19, 0x1.99ac53f0523c2p-19, 0x1.97873f6392d83p-19, 0x1.9564417616989p-19, 0x1.93410b857fef1p-19, 0x1.911f565d2860fp-19, 0x1.8efdbf5da085ap-19, 0x1.8cde3381122e1p-19, 0x1.8abfa362decbp-19, 0x1.88a209aeb8eebp-19, 0x1.86858a3316f26p-19, 0x1.846a32da8ad0ep-19, 0x1.82500b64b164ap-19, 0x1.80371a2e5eae5p-19, 0x1.7e1f66bb17866p-19, 0x1.7c08f276b7e97p-19, 0x1.79f309c990d77p-19, 0x1.77e3c5fa191b3p-19, 0x1.75cd3ba0a6a51p-19, 0x1.73bc2b7a7c387p-19, 0x1.71ac6411662f1p-19, 0x1.6f9dfac598536p-19, 0x1.6d90f9a168f5fp-19, 0x1.6b855cacc56eap-19, 0x1.697b4f19d4a97p-19, 0x1.677387a475a7ap-19, 0x1.656b5d5db9b04p-19, 0x1.6365b5398265p-19, 0x1.61619cd4836d2p-19, 0x1.5f5f06ca3e6e4p-19, 0x1.5d5df6e2c512ap-19, 0x1.5b5e7a332304bp-19, 0x1.596095678a984p-19, 0x1.576449b3e59f5p-19, 0x1.5569872adce32p-19, 0x1.53705219edee6p-19, 0x1.517913f24f7e6p-19, 0x1.4f83360e22b3ep-19, 0x1.4d82584ce7718p-19, 0x1.4b9d19521cf73p-19, 0x1.49ac731f48dd3p-19, 0x1.47bd837bffdfdp-19, 0x1.45d04b16bda27p-19, 0x1.43e4cfcc65608p-19, 0x1.41fb120f5a27bp-19, 0x1.401312e5482aap-19, 0x1.3e2cba941a943p-19, 0x1.3c4637a44a973p-19, 0x1.3a65b485d8d37p-19, 0x1.3884ffb9353d1p-19, 0x1.36a5fd29bfc2ap-19, 0x1.34c8cb98c8518p-19, 0x1.32ed6b6cdb82fp-19, 0x1.3113c7d36f456p-19, 0x1.2f3c1e15f158fp-19, 0x1.2d6649a4191bep-19, 0x1.2b924bc28805p-19, 0x1.29c02550549f8p-19, 0x1.27efe3c8fa5c5p-19, 0x1.2621785842d68p-19, 0x1.2454d28ef5295p-19, 0x1.228b4849f97a6p-19, 0x1.20c1a6a8316cdp-19, 0x1.1efac77a0c1ccp-19, 0x1.1d35a33b328ccp-19, 0x1.1b730ad27f5a3p-19, 0x1.19b197fe5184p-19, 0x1.17f295e65ab9cp-19, 0x1.163599a606e93p-19, 0x1.1479ce7a9f475p-19, 0x1.12c3ebc92eb35p-19, 0x1.11091d11835c4p-19, 0x1.0f53c8cfa266fp-19, 0x1.0da00c21b9dc4p-19, 0x1.0bee7facf2a1fp-19, 0x1.0a3eda1478369p-19, 0x1.08912150ed8f7p-19, 0x1.06e4dda15d929p-19, 0x1.053afa7469d85p-19, 0x1.0393a385503aap-19, 0x1.01ed63a04cbd6p-19, 0x1.00494ccc8bac2p-19, 0x1.fd4f6892742e5p-20, 0x1.fa0f47a718f84p-20, 0x1.f6d3baab5b8a3p-20, 0x1.f39acb1821b54p-20, 0x1.f06664460c354p-20, 0x1.ed36dfa87109cp-20, 0x1.ea0a08bceac87p-20, 0x1.e6e0ce830aa35p-20, 0x1.e3bc37e65d007p-20, 0x1.e09b748e11403p-20, 0x1.dd8231881096dp-20, 0x1.da657cdb12c52p-20, 0x1.d7519fcb2660ap-20, 0x1.d4400a10fdffp-20, 0x1.d132661acf6b8p-20, 0x1.ce2926d652befp-20, 0x1.cb23c76ea23fdp-20, 0x1.c8224d76a3d0bp-20, 0x1.c5240e1176a58p-20, 0x1.c22b0658c62a3p-20, 0x1.bf352fd0a8da6p-20, 0x1.bc4342d08687ep-20, 0x1.b9554f3b80299p-20, 0x1.b66b01a5a8ddap-20, 0x1.b385037a790d7p-20, 0x1.b0a24c0b57c6bp-20, 0x1.adc3b94b7d0f8p-20, 0x1.aae8faa1ff321p-20, 0x1.a8121328d7efdp-20, }}, 
      {{0x1.08ac0b8168b0dp-11, 0x1.02d3a275a863cp-9, 0x1.16c7c92761ae2p-8, 0x1.d182707556e65p-8, 0x1.5029837c4b4edp-7, 0x1.b98f84fa913c6p-7, 0x1.0f106a7bac689p-6, 0x1.3c33f24390d4fp-6, 0x1.6216ff66b9bb3p-6, 0x1.7f251e63ba33fp-6, 0x1.9239fafe4aa83p-6, 0x1.9a8ff30478656p-6, 0x1.97b3ae18575a2p-6, 0x1.897ad7274fdc7p-6, 0x1.6ffc2a8d27a2dp-6, 0x1.4b87b223dc84ap-6, 0x1.1c9e6e8e991afp-6, 0x1.c7d2d1f2210d8p-7, 0x1.4460fa0614e15p-7, 0x1.6144e96a327c8p-8, 0x1.cd92fa366631ap-12, -0x1.40c1288014587p-8, -0x1.59e734753def3p-7, -0x1.0e2b28f5569cep-6, -0x1.72f8f1234ceb1p-6, -0x1.da8c0ffa5f2bcp-6, -0x1.221142fa8b603p-5, -0x1.5785018040147p-5, -0x1.8d5006107c774p-5, -0x1.c328c8682e2d6p-5, -0x1.f8cd0926a265ep-5, -0x1.1700b6adac7aep-4, -0x1.31486ef7da8b9p-4, -0x1.4b260955cc43bp-4, -0x1.648481740f5edp-4, -0x1.7d513c99b5baep-4, -0x1.957bd1a9c8d5p-4, -0x1.acf5df60cd203p-4, -0x1.c3b2e2e36b179p-4, -0x1.d9a8185daf03fp-4, -0x1.eecc5e7a05d49p-4, -0x1.018c0ed14d34dp-3, -0x1.0b42984a18a17p-3, -0x1.14876853c4c57p-3, -0x1.1d58c00727ae1p-3, -0x1.25b57cd6c2cf1p-3, -0x1.2d9d0ba3dc3b7p-3, -0x1.350f61c271e1ap-3, -0x1.3c0cefbc20c08p-3, -0x1.42969862280a3p-3, -0x1.48ada73763dcep-3, -0x1.4e53c38abf272p-3, -0x1.538ae6dff1b85p-3, -0x1.58555402e7a0fp-3, -0x1.5cb58a8cbee54p-3, -0x1.60ae400c01a3ep-3, -0x1.644255462c1dfp-3, -0x1.6774d01d5f292p-3, -0x1.6a48d2677a6bbp-3, -0x1.6cc1930e6940ap-3, -0x1.6ee257d425799p-3, -0x1.70ae7004c02e5p-3, -0x1.722931370378fp-3, -0x1.7355ef0b4043fp-3, -0x1.7437fb9723f35p-3, -0x1.74d2a0ee50106p-3, -0x1.75291ff653af6p-3, -0x1.753ead7ec8e68p-3, -0x1.751670d0ec371p-3, -0x1.74b37ff9f69dap-3, -0x1.7418e08896bfp-3, -0x1.734986a6a517bp-3, -0x1.72485028819fbp-3, -0x1.7118088e6c66cp-3, -0x1.6fbb67aa66229p-3, -0x1.6e350dd266fddp-3, -0x1.6c878633e71ep-3, -0x1.6ab54584ff09p-3, -0x1.68c0ac221288cp-3, -0x1.66ac03bdac51ep-3, -0x1.64797e8bda835p-3, -0x1.622b395cc72abp-3, -0x1.5fc33b6ec37e4p-3, -0x1.5d4377f8e8bffp-3, -0x1.5aadc83daec82p-3, -0x1.5803f480336b2p-3, -0x1.5547ae771344ep-3, -0x1.527a94865bf72p-3, -0x1.4f9e3076c7a09p-3, -0x1.4cb3f9b32c9dcp-3, -0x1.49bd53a0e74d6p-3, -0x1.46bb8fbff0321p-3, -0x1.43afef7782873p-3, -0x1.409ba012db758p-3, -0x1.3d7fbfe53e1d6p-3, -0x1.3a5d5e3e87c43p-3, -0x1.373579baf560cp-3, -0x1.3409028766445p-3, -0x1.30d8daaf40d86p-3, -0x1.2da5d7d3182f1p-3, -0x1.2a70c1a75d80ep-3, -0x1.273a545cd2e16p-3, -0x1.24033f9506a02p-3, -0x1.20cc28af70b23p-3, -0x1.1d95aa388cb17p-3, -0x1.1a60544ceba2ep-3, -0x1.172cadd0cb553p-3, -0x1.13fb33e2ec824p-3, -0x1.10cc5bde081b3p-3, -0x1.0da09197dbc55p-3, -0x1.0a7839bede05p-3, -0x1.0753b0f2d8f39p-3, -0x1.04334d6496be5p-3, -0x1.01175e2de2e95p-3, -0x1.fc00583461b5ap-4, -0x1.f5dbf3b0175a3p-4, -0x1.efc2080ecf065p-4, -0x1.e9b30306fcfddp-4, -0x1.e3af49ae93d7bp-4, -0x1.ddb7366f35d05p-4, -0x1.d7cb1a775536dp-4, -0x1.d1eb3d0f161fbp-4, -0x1.cc17dab2bdeffp-4, -0x1.c6512b44405a4p-4, -0x1.c0975ec29866ep-4, -0x1.baea9c3f5f103p-4, -0x1.b54b035fdb51p-4, -0x1.afb8ae11f7d12p-4, -0x1.aa33b07ece58bp-4, -0x1.a4bc18a56cc34p-4, -0x1.9f51edddaa97dp-4, -0x1.99f534e05c76ap-4, -0x1.94a5ec32a57c5p-4, -0x1.8f640cd8d37ecp-4, -0x1.8a2f8dc6708c4p-4, -0x1.85085e6f0fccbp-4, -0x1.7fee6dab5d27dp-4, -0x1.7ae1a61508f39p-4, -0x1.75e1eea2db80cp-4, -0x1.70ef2b3f4c44fp-4, -0x1.6c093d2e6921bp-4, -0x1.6730031d3785ap-4, -0x1.6263592b8abf4p-4, -0x1.5da319723033dp-4, -0x1.58ef1c1c4a025p-4, -0x1.5447372520822p-4, -0x1.4fab3e0f7abefp-4, -0x1.4b1b06083a679p-4, -0x1.46966085fea8bp-4, -0x1.421d1d9461256p-4, -0x1.3daf0e5a5a4a1p-4, -0x1.394bffe86e768p-4, -0x1.34f3c286fb5ecp-4, -0x1.30a624d03c1edp-4, -0x1.2c62f39948119p-4, -0x1.2829fc08710fcp-4, -0x1.23fb0c65ece1p-4, -0x1.1fd5f2d5f3bebp-4, -0x1.1bba7c8218ac1p-4, -0x1.17a876c5005fap-4, -0x1.139faff1f93d4p-4, -0x1.0f9ff6fd6dd5fp-4, -0x1.0ba91b3f52a8cp-4, -0x1.07baec7f42951p-4, -0x1.03d53afacb5abp-4, -0x1.ffefadc12541p-5, -0x1.f845242d016cfp-5, -0x1.f0aa824bd2063p-5, -0x1.e91f69e04dc6bp-5, -0x1.e1a387279bb47p-5, -0x1.da36822860bbcp-5, -0x1.d2d8046aacf79p-5, -0x1.cb87bd60c8d01p-5, -0x1.c4455cd985f68p-5, -0x1.bd1093ee79e01p-5, -0x1.b5e915a18295p-5, -0x1.aece96f3725a1p-5, -0x1.a7c0cedb20b49p-5, -0x1.a0bf762e7f6bfp-5, -0x1.99ca47a0cc914p-5, -0x1.92e0ffe983fcep-5, -0x1.8c035db2cdb0ap-5, -0x1.8531216a106aep-5, -0x1.7e6a0d6ac4666p-5, -0x1.77ade60c251fp-5, -0x1.70fc718d07c5fp-5, -0x1.6a5578093f5fdp-5, -0x1.63b8c379edb18p-5, -0x1.5d261f2774549p-5, -0x1.569d56de08adfp-5, -0x1.501e3bf615452p-5, -0x1.49a8a1d2a1e8ep-5, -0x1.433c57168bfd8p-5, -0x1.3cd93425df214p-5, -0x1.367f0e08497b2p-5, -0x1.302dbcf7390b2p-5, -0x1.29e51c7339c77p-5, -0x1.23a50715b0d02p-5, -0x1.1d6d5aa078a79p-5, -0x1.173df8909c625p-5, -0x1.1116c2f3ffe44p-5, -0x1.0af79ba830053p-5, -0x1.04e066ee4caep-5, -0x1.fda2182cc31c5p-6, -0x1.f192e91dd535ep-6, -0x1.e59316af63dcfp-6, -0x1.d9a279cd117a2p-6, -0x1.cdc0eea2d93dap-6, -0x1.c1ee5535ab25p-6, -0x1.b62a91e536b2p-6, -0x1.aa758d1534647p-6, -0x1.9ecf329efafa1p-6, -0x1.9337717ffb94ap-6, -0x1.87ae3c2f478dep-6, -0x1.7c33894018cd4p-6, -0x1.70c753a7ab2e7p-6, -0x1.65699a26876f7p-6, -0x1.5a1a5d53faa18p-6, -0x1.4ed99f026f284p-6, -0x1.43a76bf587cb4p-6, -0x1.3883d388e28a6p-6, -0x1.2d6ee09939182p-6, -0x1.2268ad70b4743p-6, -0x1.17714d315a3c3p-6, -0x1.0c88d75a79c6ep-6, -0x1.01af6c43aed66p-6, -0x1.edca5bf16872dp-7, -0x1.d854828cf7f6p-7, -0x1.c2fd9ce38604p-7, -0x1.adc6018a0a267p-7, -0x1.98ae0c51dac97p-7, -0x1.83b61e705baa8p-7, -0x1.6ede9f1be9f3cp-7, -0x1.5a27fc38e55c9p-7, -0x1.4592a9d2a8a3cp-7, -0x1.311f212d9b81p-7, -0x1.1ccddfcdb66c4p-7, -0x1.089f672e16d83p-7, -0x1.e9287a29c4a8ep-8, -0x1.c159d8c189a3p-8, -0x1.99d4090188bfbp-8, -0x1.72983373052f9p-8, -0x1.4ba786addc71dp-8, -0x1.25033630f5a29p-8, -0x1.fd58f22097574p-9, -0x1.b149130319626p-9, -0x1.65d951e62f18ep-9, -0x1.1b0c501d2390fp-9, -0x1.a1c97e206d69fp-10, -0x1.0eca68e8c8088p-10, -0x1.f481ee8d25806p-12, 0x1.32ee536158711p-14, 0x1.443ca4e30336ep-11, 0x1.2fa8985428c52p-10, 0x1.bbc8240c07f84p-10, 0x1.233bd5261992dp-9, 0x1.67d8e54da3f78p-9, 0x1.abb87adbf3bf3p-9, 0x1.eed81886cb299p-9, 0x1.189a8e52c4152p-8, 0x1.39666d90e6884p-8, 0x1.59ce5d84014c2p-8, 0x1.79d116ccab3d4p-8, 0x1.996d5601a8ec3p-8, 0x1.b8a1dccb849ccp-8, 0x1.d76d72f1f10cep-8, 0x1.f5cee6e8a0b5ep-8, 0x1.09e286e69e1cfp-7, 0x1.18a761a669d26p-7, 0x1.273574d9551d8p-7, 0x1.358c3534f7064p-7, 0x1.43ab1b6f98dfcp-7, 0x1.5191a4b0db1cap-7, 0x1.5f3f52e8e2e5ap-7, 0x1.6cb3ad0a7a223p-7, 0x1.79ee3eed1f307p-7, 0x1.86ee995da0fedp-7, 0x1.93b4520ff16dfp-7, 0x1.a03f03c617281p-7, 0x1.ac8e4e8d2402dp-7, 0x1.b8a1d82ff0e8dp-7, 0x1.c4794c00b3a78p-7, 0x1.d0145bed0a0abp-7, 0x1.db72bf621edfcp-7, 0x1.e694340dc1301p-7, 0x1.f1787d891fde8p-7, 0x1.fc1f655e479f3p-7, 0x1.03445d8fe78fbp-6, 0x1.085a2a44741ecp-6, 0x1.0d5106cb760d7p-6, 0x1.1228e447576dap-6, 0x1.16e1b72742225p-6, 0x1.1b7b77c17b713p-6, 0x1.1ff6233747ecp-6, 0x1.2451b6e02a018p-6, 0x1.288e2fe536d8ep-6, 0x1.2cab9510c47e9p-6, 0x1.30a9ec417da69p-6, 0x1.3489417b4760cp-6, 0x1.3849a5a4df3a3p-6, 0x1.3beb281e2da77p-6, 0x1.3f6ddbe736f4fp-6, 0x1.42d1d82615b4cp-6, 0x1.461737290e35ap-6, 0x1.493e16359a8afp-6, 0x1.4c46958526919p-6, 0x1.4f30d8d357809p-6, 0x1.51fd0702b460cp-6, 0x1.54ab478d30f6dp-6, 0x1.573bc2c841494p-6, 0x1.59aea8d88451cp-6, 0x1.5c042df9b4372p-6, 0x1.5e3c82fbd7158p-6, 0x1.6057db7be2cb2p-6, 0x1.625672b2b9518p-6, 0x1.64388548ecadep-6, 0x1.65fe4fb46b914p-6, 0x1.67a810d021158p-6, 0x1.69360a523998fp-6, 0x1.6aa88076a994bp-6, 0x1.6bffb9761cf15p-6, 0x1.6d3bfdbd4ad8cp-6, 0x1.6e5d9789283abp-6, 0x1.6f64d32100ef9p-6, 0x1.7051fe88ea96bp-6, 0x1.7125699041049p-6, 0x1.71df65bfd5aa4p-6, 0x1.7280464c36c63p-6, 0x1.73085ff8abf89p-6, 0x1.737808e02a37fp-6, 0x1.73cf9845d852p-6, 0x1.740f66b6d7f13p-6, 0x1.7437ce653884ep-6, 0x1.74492b22ca362p-6, 0x1.7443d9cc29155p-6, 0x1.742837d15d5cdp-6, 0x1.73f6a30d349c1p-6, 0x1.73af7a6c30a76p-6, 0x1.73531e63ead9dp-6, 0x1.72e1f17e63aa7p-6, 0x1.725c571760c49p-6, 0x1.71c2aec207a13p-6, 0x1.71155a17052e9p-6, 0x1.7054bcff6cd98p-6, 0x1.6f813afe9d9f7p-6, 0x1.6e9b3b5200ebep-6, 0x1.6da3221064b71p-6, 0x1.6c9952a76d584p-6, 0x1.6b7e31c8f9322p-6, 0x1.6a52249df13fp-6, 0x1.6915905565536p-6, 0x1.67c8da0bfbf75p-6, 0x1.666c66c455e3fp-6, 0x1.65009b5f72347p-6, 0x1.6385dc9393c9bp-6, 0x1.61fc8ed810b47p-6, 0x1.60651662fe2f3p-6, 0x1.5ebfd766b5d93p-6, 0x1.5d0d34fe5c443p-6, 0x1.5b4d9283f843fp-6, 0x1.598152195a721p-6, 0x1.57a8d65b43d41p-6, 0x1.55c4804e8c544p-6, 0x1.53d4b0d030655p-6, 0x1.51d9c8256cb51p-6, 0x1.4fd425e4acd41p-6, 0x1.4dc429001d97bp-6, 0x1.4baa2fa8af4f1p-6, 0x1.49869735dfaf3p-6, 0x1.4759bc09a7107p-6, 0x1.4523f9791d32cp-6, 0x1.42e5a9c5c2224p-6, 0x1.409f264aca47fp-6, 0x1.3e50c80d344cdp-6, 0x1.3bfae7b371693p-6, 0x1.399dda558954bp-6, 0x1.3739f2c736e9fp-6, 0x1.34cf89355c35bp-6, 0x1.325ef2f22338ap-6, 0x1.2fe87e8b11f15p-6, 0x1.2d6c7e65d9ea7p-6, 0x1.2aeb452b1c2cep-6, 0x1.28652099af0c9p-6, 0x1.25da5cc48a49p-6, 0x1.234b45662aa2ep-6, 0x1.20b82591a0a92p-6, 0x1.1e2147949ec04p-6, 0x1.1b86f4eb8363ep-6, 0x1.18e9760bee649p-6, 0x1.1649122344f5dp-6, 0x1.13a60ee82a5cep-6, 0x1.1100b1007b729p-6, 0x1.0e593a782097ep-6, 0x1.0bafe7e6c6412p-6, 0x1.0904f64693e54p-6, 0x1.0658a14b878a4p-6, 0x1.03ab267a9baecp-6, 0x1.00fcc3b3055bdp-6, 0x1.fc9b687a230cbp-7, 0x1.f73c6968e009dp-7, 0x1.f1dd04206589ap-7, 0x1.ec7db00913848p-7, 0x1.e71edf52b1ee5p-7, 0x1.e1c0fccb5351p-7, 0x1.dc646a9feae99p-7, 0x1.d70982719d0c3p-7, 0x1.d1b096e74c9e9p-7, 0x1.cc59f683d8212p-7, 0x1.c705ef314eafap-7, 0x1.c1b4d1b05c234p-7, 0x1.bc66f40a88c5ap-7, 0x1.b71cb25e754bap-7, 0x1.b1d66dbabb02ap-7, 0x1.ac94892796862p-7, 0x1.a75765777b0cep-7, 0x1.a21f5cd543a8ep-7, 0x1.9cecbf2ca27f1p-7, 0x1.97bfd055138dep-7, 0x1.9298c87f274ap-7, 0x1.8d77d6f699a05p-7, 0x1.885d26979a2c2p-7, 0x1.8348e2f2cc34fp-7, 0x1.7e3b3cdcb0258p-7, 0x1.79346d80a17b7p-7, 0x1.7434b5ffab6d3p-7, 0x1.6f3c5da16ba7ep-7, 0x1.6a4bacf8482f4p-7, 0x1.6562e734e8cf1p-7, 0x1.6082450f3fff8p-7, 0x1.5ba9f0b33e53cp-7, 0x1.56da05039cdbp-7, 0x1.52128ff47d56cp-7, 0x1.4d53970e7abafp-7, 0x1.489d1f7ad23ffp-7, 0x1.43ef39c84c036p-7, 0x1.3f4a0838c683fp-7, 0x1.3aadbe33bd3ecp-7, 0x1.361aa0c78a51dp-7, 0x1.31910530eb57bp-7, 0x1.2d11458b9027cp-7, 0x1.289bb2011dc41p-7, 0x1.2430858160819p-7, 0x1.1fcfdd2412d76p-7, 0x1.1b79b355e2001p-7, 0x1.172de24902669p-7, 0x1.12ec28756888ep-7, 0x1.0eb42e5517946p-7, 0x1.0a85aa88a61e7p-7, 0x1.0660698e68ea2p-7, 0x1.0244472347fd7p-7, 0x1.fc62adaf7f405p-8, 0x1.f44fbb4caba39p-8, 0x1.ec508857b0987p-8, 0x1.e46617bb382e8p-8, 0x1.dc917929a8ffap-8, 0x1.d4d3a58b1fa53p-8, 0x1.cd2d5714f004ap-8, 0x1.c59eeacc09facp-8, 0x1.be2851583c53p-8, 0x1.b6c91058edef5p-8, 0x1.af805387f49d1p-8, 0x1.a84d0afa0e682p-8, 0x1.a12e120c6a7c2p-8, 0x1.9a225952c1983p-8, 0x1.93290d4ae8b47p-8, 0x1.8c41b3e8456a7p-8, 0x1.856c3c3758ed2p-8, 0x1.7ea8fe8ef2a19p-8, 0x1.77f8aaad5e119p-8, 0x1.715c18f128abdp-8, 0x1.6ad485a2c2be7p-8, 0x1.6462a8f986bdcp-8, 0x1.5e0756c393fc6p-8, 0x1.57c30634cecdap-8, 0x1.5195d6bc07f19p-8, 0x1.4b7f8eed25432p-8, 0x1.457fa6ad42e09p-8, 0x1.3f955ae86e69dp-8, 0x1.39bfc78e60d89p-8, 0x1.33fe038d4badep-8, 0x1.2e4f3a363956p-8, 0x1.28b2bf00663p-8, 0x1.23281989979b9p-8, 0x1.1daf0aa63ed6dp-8, 0x1.18478b2522f3dp-8, 0x1.12f1c5302f73ep-8, 0x1.0dae08a190562p-8, 0x1.087cbac4e49b1p-8, 0x1.035e4315252edp-8, 0x1.fca5f0053bb42p-9, 0x1.f2b61f42609f9p-9, 0x1.e8ed2fd90a077p-9, 0x1.df4af093f644ep-9, 0x1.d5cef851be943p-9, 0x1.cc78ce205a38ap-9, 0x1.c347de0876f37p-9, 0x1.ba3bb7cf46f2dp-9, 0x1.b153e8fa8d56fp-9, 0x1.a88fe94151a02p-9, 0x1.9feefd23f36b4p-9, 0x1.97703a852114ep-9, 0x1.8f129925c4aefp-9, 0x1.86d524ece3f8fp-9, 0x1.7eb7361068446p-9, 0x1.76b89340b5d8dp-9, 0x1.6ed968ec51ec7p-9, 0x1.671a162a43f2ep-9, 0x1.5f7ae1281651ap-9, 0x1.57fba725e95dbp-9, 0x1.509bcae755b7p-9, 0x1.495a6f305eb91p-9, 0x1.4236c552a2102p-9, 0x1.3b304ff8d308fp-9, 0x1.3447167adf0cdp-9, 0x1.2d7bac625ff72p-9, 0x1.26ceeecce181bp-9, 0x1.20419e0a743c9p-9, 0x1.19d3ecc8e44a5p-9, 0x1.138519c70745bp-9, 0x1.0d53bf02d1c27p-9, 0x1.073e0c1a9be46p-9, 0x1.01422408c04d6p-9, 0x1.f6be126cb6951p-10, 0x1.eb293e31394c3p-10, 0x1.dfc73692c4cfap-10, 0x1.d49a3704d3726p-10, 0x1.c9a3d9690fe6ep-10, 0x1.bee42192e674bp-10, 0x1.b459249255742p-10, 0x1.a9ff55ab57abdp-10, 0x1.9fd2dbe6b2272p-10, 0x1.95d0e353dc209p-10, 0x1.8bf85e406e596p-10, 0x1.824a55e1f59dap-10, 0x1.78c96b33e1797p-10, 0x1.6f78bf8c0d4d4p-10, 0x1.665aa89f3af29p-10, 0x1.5d6fb9c7a773dp-10, 0x1.54b6617974fa2p-10, 0x1.4c2b44261d4c9p-10, 0x1.43ca342fc873dp-10, 0x1.3b8f71decca66p-10, 0x1.3378cbff00766p-10, 0x1.2b8639e34f8c6p-10, 0x1.23b9a5af35d6fp-10, 0x1.1c15e95558944p-10, 0x1.149d64fa977f1p-10, 0x1.0d50d15fb3d91p-10, 0x1.062ecd6058ea6p-10, 0x1.fe6873c449757p-11, 0x1.f0ba358af3964p-11, 0x1.e34a2f40a7c2fp-11, 0x1.d61705509e118p-11, 0x1.c91be183703cp-11, 0x1.bc5cd79d19c93p-11, 0x1.afdf45c1ecbf8p-11, 0x1.a3a87ab8d2491p-11, 0x1.97bb68ff84cdbp-11, 0x1.8c17b42393b76p-11, 0x1.80ba4bf25cf06p-11, 0x1.759edf0c55c53p-11, 0x1.6ac13a69a4923p-11, 0x1.601e220ff6781p-11, 0x1.55b3a4cebe834p-11, 0x1.4b8102bd3bdddp-11, 0x1.418649835dad2p-11, 0x1.37c429d6bb165p-11, 0x1.2e3b16a70c033p-11, 0x1.24ebb8a560b19p-11, 0x1.1bd66dc5f414ep-11, 0x1.12f9bd69789f1p-11, 0x1.0a52dbd29c19p-11, 0x1.01dd9c1e49e24p-11, 0x1.f32a919816b08p-12, 0x1.e2ecae54b789bp-12, 0x1.d3002f21a56dfp-12, 0x1.c3694f1f974afp-12, 0x1.b42e2fe022b25p-12, 0x1.a552c1ef9906cp-12, 0x1.96d6cbefb5997p-12, 0x1.88b69d551408cp-12, 0x1.7aed339ad9b2fp-12, 0x1.6d76a5461321ep-12, 0x1.60523ea9cb4fbp-12, 0x1.5382fb5c48cc4p-12, 0x1.470ceccd4543ep-12, 0x1.3af10b9708efep-12, 0x1.2f2b1f21bac0cp-12, 0x1.23b3322dc1d74p-12, 0x1.188106fba518ep-12, 0x1.0d8ea5afb9aa9p-12, 0x1.02da4c855bd4fp-12, 0x1.f0d0adc8a957cp-13, 0x1.dc7ae080114fbp-13, 0x1.c8b9fa3fa698fp-13, 0x1.b5891a9dea09ap-13, 0x1.a2d8d55ab80e1p-13, 0x1.9099c2ffa4df9p-13, 0x1.7ec506084e421p-13, 0x1.6d5dc5ee09959p-13, 0x1.5c6befd7456c3p-13, 0x1.4bf541a9e765ap-13, 0x1.3bf8406af18dcp-13, 0x1.2c6b9a68ac9e2p-13, 0x1.1d449f8a88f4ap-13, 0x1.0e8099c2a3488p-13, 0x1.0025536fd1bf9p-13, 0x1.e46f918e5bbf8p-14, 0x1.c96bc497e6e33p-14, 0x1.af33cbf07ca09p-14, 0x1.95bfae2e38748p-14, 0x1.7d0da728c11bfp-14, 0x1.651e064fc3b26p-14, 0x1.4ded501681351p-14, 0x1.376f8d06e33f9p-14, 0x1.219577a0afbf5p-14, 0x1.0c5493973b71ep-14, 0x1.ef6155b94f4d4p-15, 0x1.c779d52db49dcp-15, 0x1.a10650f8abeeep-15, 0x1.7bdda742cf896p-15, 0x1.57ac76febed79p-15, 0x1.3447f6ef1e44bp-15, 0x1.11dfdc4c9d4bbp-15, 0x1.e179862c3f171p-16, 0x1.a1c97695d9822p-16, 0x1.64432d0471658p-16, 0x1.28a082d91426cp-16, 0x1.ddef7b73c966cp-17, 0x1.6ebfb86f3c026p-17, 0x1.037998cc548e5p-17, 0x1.378c4258df26ep-18, 0x1.bbd620434d5f4p-20, -0x1.4d1b0154fc517p-20, -0x1.0eedf72ae6acbp-18, -0x1.c3f95c6fbb705p-18, -0x1.395789fd459e3p-17, -0x1.8d867e04c2575p-17, -0x1.de838e27c1325p-17, -0x1.161b8854b3cf5p-16, -0x1.3b40b6be086a5p-16, -0x1.5eaa70ea8610ap-16, -0x1.806acf3ddc0e5p-16, -0x1.a0b5563975f78p-16, -0x1.bfd7346fb63dap-16, -0x1.de063db033a94p-16, -0x1.fb1f85e5d5c9fp-16, -0x1.0b6f71e2fc3d7p-15, -0x1.18ac26b3bb2ffp-15, -0x1.25651d41de357p-15, -0x1.3190ac9c645a2p-15, -0x1.3d147412a9408p-15, -0x1.47f453c7b6b2dp-15, -0x1.524bfcee63acp-15, -0x1.5c291408ceb2ap-15, -0x1.65902cb1122c1p-15, -0x1.6e82146cd20abp-15, -0x1.76fed387a2a9cp-15, -0x1.7f0798ef08667p-15, -0x1.869e996702447p-15, -0x1.8dc6c5568d5d6p-15, -0x1.9481ec3507bd1p-15, -0x1.9ad2449885549p-15, -0x1.a0bffb0d5ce55p-15, -0x1.a647b38cd0305p-15, -0x1.ab706cf8e956p-15, -0x1.b038566b72597p-15, -0x1.b4a1ca7916372p-15, -0x1.b8c3893e7d9cfp-15, -0x1.bc66bcb2a8c07p-15, -0x1.bfd136a59133ap-15, -0x1.c2ee06b9624ffp-15, -0x1.c5bea856665c5p-15, -0x1.c844717c1d3a5p-15, -0x1.ca7e96f6f41f4p-15, -0x1.cc72a461f43c6p-15, -0x1.ce250ed7f4a4p-15, -0x1.cf9609b433e6ep-15, -0x1.d0c62282346ebp-15, -0x1.d1b7b8b385951p-15, -0x1.d26d700667e4dp-15, -0x1.d2e94f1717fa6p-15, -0x1.d32d12f545709p-15, -0x1.d33a83dfc7355p-15, -0x1.d313918c1b20ep-15, -0x1.d2ba5298924cep-15, -0x1.d230e0ff81842p-15, -0x1.d179226834e6dp-15, -0x1.d094ae5b57668p-15, -0x1.cf850205c79d4p-15, -0x1.ce4bd651ea26cp-15, -0x1.ccea9f87230c2p-15, -0x1.cb61bd170457p-15, -0x1.c9b4676e9d286p-15, -0x1.c7eab3d8ee794p-15, -0x1.c6018b512c5cbp-15, -0x1.c3f41455c0384p-15, -0x1.c1c08b2797f26p-15, -0x1.bf652c3b985b2p-15, -0x1.bcf4e3fb822d9p-15, -0x1.ba7297d2da676p-15, -0x1.b7d30c689232bp-15, -0x1.b51710f7d207bp-15, -0x1.b23c4cc6d7ed6p-15, -0x1.af4e7807ffb1p-15, -0x1.ac5393301d689p-15, -0x1.a94b3862718aap-15, -0x1.a62b1deeaa79fp-15, -0x1.a2f13d1b62cb9p-15, -0x1.9f9d8db9b52bcp-15, -0x1.9c3551bede955p-15, -0x1.98c5ab864db0ep-15, -0x1.954ec875c1c23p-15, -0x1.91c78c9ef20eep-15, -0x1.8e3103793dd3ep-15, -0x1.8a8b3f3d7baf2p-15, -0x1.86d7de56c5121p-15, -0x1.83184951a7096p-15, -0x1.7f4c15a807c96p-15, -0x1.7b758db2a037bp-15, -0x1.77a39c245078bp-15, -0x1.73d46b096517cp-15, -0x1.6ff07f80cbf0ap-15, -0x1.6bf74f96f97a7p-15, -0x1.67fcde0a662e9p-15, -0x1.64095bbcfac31p-15, -0x1.600f779304455p-15, -0x1.5c0c7145e14cfp-15, -0x1.5803a62e66463p-15, -0x1.53f740602674p-15, -0x1.4fe8ecf6ba373p-15, -0x1.4bd7f0f480f38p-15, -0x1.47c4d46688bb6p-15, -0x1.43b054b81500ep-15, -0x1.3f9b49b267f68p-15, -0x1.3b85d15a3fb48p-15, -0x1.376f5ba657294p-15, -0x1.3357c2525e93dp-15, -0x1.2f405170d01a8p-15, -0x1.2b2914ddb870fp-15, -0x1.2715216baa3cbp-15, -0x1.230a6d55eea0ep-15, -0x1.1f06b195c16ecp-15, -0x1.1afd6334d085bp-15, -0x1.16ed586bcb4c3p-15, -0x1.12e2500249e77p-15, -0x1.0ee04d2a2e7b2p-15, -0x1.0ae6d6ce011e1p-15, -0x1.06f81a397f269p-15, -0x1.02fddc61b8fcp-15, -0x1.fe0be2d4f0ddbp-16, -0x1.f639bb25b7756p-16, -0x1.ee6d500f426e5p-16, -0x1.e6a5caca4fefdp-16, -0x1.dee7a6eefa3f7p-16, -0x1.d734c9acfc24fp-16, -0x1.cf8d87fa6604ap-16, -0x1.c7f1a79d056fap-16, -0x1.c0624c4191c96p-16, -0x1.b8e04d5df4a75p-16, -0x1.b16a989680c13p-16, -0x1.aa018cb89d41bp-16, -0x1.a2a5b8dcc929bp-16, -0x1.9b576db28e074p-16, -0x1.9416e5f966472p-16, -0x1.8ce46a89b89ddp-16, -0x1.85c043aabb004p-16, -0x1.7eaaa45ea1a85p-16, -0x1.77a3a4dd22bd9p-16, -0x1.70ab4ab5a304ap-16, -0x1.69c19d42bce64p-16, -0x1.62e6dbd6fcfcfp-16, -0x1.5c1b9932bc188p-16, -0x1.555fffd829c34p-16, -0x1.4eb2e32fa6c34p-16, -0x1.4815e0e5e980fp-16, -0x1.418a93e687792p-16, -0x1.3b0b57912a754p-16, -0x1.349fbb585f2a6p-16, -0x1.2e44896563d31p-16, -0x1.27f855af0389p-16, -0x1.21ba1a1a589bcp-16, -0x1.1b8da8a631a3cp-16, -0x1.157153382426bp-16, -0x1.0f659e49fab27p-16, -0x1.0969e2df095f8p-16, -0x1.037e8e321c1c3p-16, -0x1.fb479580a5b46p-17, -0x1.efb31d56f41f3p-17, -0x1.e43f9de8b5cdp-17, -0x1.d8ed0c73cc01cp-17, -0x1.cdbb54f274031p-17, -0x1.c2a9a72a3ff45p-17, -0x1.b7c45154b633dp-17, -0x1.acf24bd9d0092p-17, -0x1.a23ab14c867bfp-17, -0x1.97ac8dd1776e6p-17, -0x1.8d41bbf7e3e96p-17, -0x1.82f01ef8a653ap-17, -0x1.78bca9558bdbfp-17, -0x1.6eba8b903a96fp-17, -0x1.64cb2dd9acd93p-17, -0x1.5afccbb43114fp-17, -0x1.51526e58874e4p-17, -0x1.47ca0338a8b1ep-17, -0x1.3e6627967b692p-17, -0x1.350abe88ca00ep-17, -0x1.2bd8945b96091p-17, -0x1.22c9fb26653e3p-17, -0x1.19da52c578aap-17, -0x1.11096e35c4078p-17, -0x1.0856e3f398e67p-17, -0x1.ff854ab49a90ep-18, -0x1.ee9907d9add16p-18, -0x1.dde8a7446080cp-18, -0x1.cd73edeb1e06ap-18, -0x1.bd3ac8760ee49p-18, -0x1.ad3d1df316ae5p-18, -0x1.9d7a341019382p-18, -0x1.8df1924977d0fp-18, -0x1.7ea3445e72e36p-18, -0x1.6f8d301e40f2fp-18, -0x1.60b03d77c05efp-18, -0x1.521242fb89af1p-18, -0x1.43af596a74d39p-18, -0x1.357ac9cac1eddp-18, -0x1.27722bcebda86p-18, -0x1.199dc6dac8d3ep-18, -0x1.0c0bdaf21a0b1p-18, -0x1.fd67af47f4e05p-19, -0x1.e31fdeb05f176p-19, -0x1.c936b73edcf7p-19, -0x1.afb50f0b5921p-19, -0x1.96b8949ab35ffp-19, -0x1.7e2b1ca21bfcbp-19, -0x1.65bfd116abbbep-19, -0x1.4dd21260d24c3p-19, -0x1.36591e1977191p-19, -0x1.1f413c71320ddp-19, -0x1.088947e6caa63p-19, -0x1.e4626c36b0de1p-20, -0x1.b870ec52043bcp-20, -0x1.8d3c80d324c4fp-20, -0x1.62c37a5e4715fp-20, -0x1.39041a87ac78cp-20, -0x1.0ffc9417af89ep-20, -0x1.cf56249f79e3fp-21, -0x1.801b3a6dba335p-21, -0x1.3244e7fc62d67p-21, -0x1.cb9999b0da06p-22, -0x1.35509f6a63771p-22, -0x1.4359080804ce9p-23, -0x1.0f6c5b2620442p-26, 0x1.f53d54df8143dp-24, 0x1.08f5285b08a31p-22, 0x1.9376ec3d5d4e2p-22, 0x1.0c68c301aeb51p-21, 0x1.4e45ceca93a6fp-21, 0x1.8f2baea14d42ep-21, 0x1.ceaad41f195afp-21, 0x1.068184095ac47p-20, 0x1.251ccd2d3a18ep-20, 0x1.4324d6ea9676dp-20, 0x1.609a6e4e5bde8p-20, 0x1.7d91b1f87d51cp-20, 0x1.99b457fc017cbp-20, 0x1.b55ba4880675ap-20, 0x1.d084fc054859p-20, 0x1.eb039b5678c67p-20, 0x1.0276a0f26c73ap-19, 0x1.0f52b744be21p-19, 0x1.1bdac92c39766p-19, 0x1.2816535c54067p-19, 0x1.340975b1ffaffp-19, 0x1.3fb25fc8a532fp-19, 0x1.4b354880724bbp-19, 0x1.5682b926a9a81p-19, 0x1.618596a1fb684p-19, 0x1.6c394f3dd7a32p-19, 0x1.76c5a61145231p-19, 0x1.810f1d7aea36fp-19, 0x1.8b1cf16c5d41ap-19, 0x1.94efde634ad45p-19, 0x1.9e8a4462202a6p-19, 0x1.a7eca37ecc7p-19, 0x1.b10990a9c4aadp-19, 0x1.ba0b78a35d247p-19, 0x1.c2c7cb59ca901p-19, 0x1.cb51dee12b306p-19, 0x1.d3a58a0daf805p-19, 0x1.dbc4f67425074p-19, 0x1.e3b2601c9e47ep-19, 0x1.eb6e393dbda31p-19, 0x1.f2f8a2e5e2d9ep-19, 0x1.fa51b3b72882p-19, 0x1.00b70c30c32e1p-18, 0x1.04393dc9df842p-18, 0x1.079e1e5eda1aep-18, 0x1.0aebd8da53517p-18, 0x1.0e2330935cab7p-18, 0x1.1144505b95a66p-18, 0x1.144f80f9480ecp-18, 0x1.17451300d85b9p-18, 0x1.1a255918f7cf9p-18, 0x1.1cf0a786ddbe4p-18, 0x1.1fa7565bb86c9p-18, 0x1.2249d59a7510ap-18, 0x1.24e16aadd64bfp-18, 0x1.2750a5035188ep-18, 0x1.29bc16cda654ep-18, 0x1.2c0f320470452p-18, 0x1.2e4de33c43eb3p-18, 0x1.307e30687adaep-18, 0x1.3299c248d82a6p-18, 0x1.34a71a2e8710ep-18, 0x1.369fe0a6514cfp-18, 0x1.3887542571d09p-18, 0x1.3a5e25f7c76dep-18, 0x1.3c2461324a05cp-18, 0x1.3dda745ce6fc4p-18, 0x1.3f81e6dced423p-18, 0x1.40fa7411506a7p-18, 0x1.429d2343ec5cbp-18, 0x1.440fbff89dc6fp-18, 0x1.4577ea4bad559p-18, 0x1.46d2309cfaed9p-18, 0x1.4817066b68931p-18, 0x1.4961f287f1d12p-18, 0x1.4a86dffb0bf35p-18, 0x1.4ba42c5fbecb2p-18, 0x1.4cb7c6ab5f29fp-18, 0x1.4dbf4cf2fd481p-18, 0x1.4ead6b246cb55p-18, 0x1.4fad41466edb6p-18, 0x1.507d26d761b41p-18, 0x1.51511e283a353p-18, 0x1.520e838f08d9cp-18, 0x1.52c84ae0d8fe8p-18, 0x1.5377533add39ep-18, 0x1.5417d79ac8ec3p-18, 0x1.54adfbbae36d4p-18, 0x1.5538b0c363c39p-18, 0x1.55b8b23e0ad4fp-18, 0x1.562e8f5142e1ap-18, 0x1.56a7a441e814p-18, 0x1.56f9610fcda3ap-18, 0x1.574ea896debc1p-18, 0x1.579ae553abdp-18, 0x1.57dd2b7308046p-18, 0x1.581473d9ed23dp-18, 0x1.58449bc4a9f2cp-18, 0x1.586af4828d662p-18, 0x1.5888643164d93p-18, 0x1.58975cb483351p-18, 0x1.58a775aae797cp-18, 0x1.589ad2dedc49fp-18, 0x1.58a337413b988p-18, 0x1.589454da65561p-18, 0x1.587e3305c3695p-18, 0x1.586105a3f7b02p-18, 0x1.583c0849d22b4p-18, 0x1.580e21f0d03fap-18, 0x1.57da15e1ac034p-18, 0x1.579cc6162a1b9p-18, 0x1.5759bbbe66d35p-18, 0x1.5710004d399ep-18, 0x1.56bf3e463035dp-18, 0x1.5667b60b07d13p-18, 0x1.5609ab0b336cep-18, 0x1.55a5aa457556p-18, 0x1.55239ec65f189p-18, 0x1.54c86a4c579b5p-18, 0x1.5452d05f0f67fp-18, 0x1.53d591964d10bp-18, 0x1.53531469047dep-18, 0x1.52caef2fe9392p-18, 0x1.523d4b591e0b1p-18, 0x1.51aa4c13bf30ep-18, 0x1.511211a24508dp-18, 0x1.5074b40a6e5a3p-18, 0x1.4fd255ffd35bdp-18, 0x1.4f2b0ec5612d6p-18, 0x1.4e7efc39062b6p-18, 0x1.4dce3fcb93ccdp-18, 0x1.4d18ef29ad884p-18, 0x1.4c5f3d4d089b3p-18, 0x1.4ba25810b070cp-18, 0x1.4ae084472522p-18, 0x1.49f374af9bcf5p-18, 0x1.49647c212d4a4p-18, 0x1.4884f8a3056b2p-18, 0x1.47b6b8bef68c3p-18, 0x1.46d01361c46f8p-18, 0x1.45f883b683264p-18, 0x1.45181fb1c5bfp-18, 0x1.444cd8bc9e61cp-18, 0x1.4361b330dffe4p-18, 0x1.427638b387097p-18, 0x1.418b6ecca20d9p-18, 0x1.409e4942dc981p-18, 0x1.3fae2b5251dap-18, 0x1.3ebb1323d854cp-18, 0x1.3dc517931f01dp-18, 0x1.3ccc4a142fa0bp-18, 0x1.3bd0ba6cc0d9cp-18, 0x1.3ad1fe12b39c2p-18, 0x1.39c25abd790b9p-18, 0x1.38cf8bb10c632p-18, 0x1.37c98d717ea4p-18, 0x1.36c0cc13d93a5p-18, 0x1.35b75c3861a56p-18, 0x1.34ab167482e74p-18, 0x1.339d000ab730ep-18, 0x1.328b7a32cd4ffp-18, 0x1.31714093e02e9p-18, 0x1.30670b643753bp-18, 0x1.2f515c898c897p-18, 0x1.2e3877ee8e63ap-18, 0x1.2d1e9e9bc0459p-18, 0x1.2c03dd8ee135cp-18, 0x1.2ae773c54ad06p-18, 0x1.29c9634522b85p-18, 0x1.28a9d469a1593p-18, 0x1.27891ac8c3dep-18, 0x1.2667747b5695fp-18, 0x1.254433940e07p-18, 0x1.2424ef4cc1006p-18, 0x1.22dc43e405d89p-18, 0x1.21d0aafaec3b8p-18, 0x1.20a840edb2f64p-18, 0x1.1f7ea97913913p-18, 0x1.1e54962d8ed1p-18, 0x1.1d29597873feep-18, 0x1.1bfd2eff5eaa8p-18, 0x1.1acb4fe7c28abp-18, 0x1.19a39b2c8fa53p-18, 0x1.188569d5e7ce7p-18, 0x1.17459b2f4beb2p-18, 0x1.161485cadad3ap-18, 0x1.14e36ad274564p-18, 0x1.13b199691480cp-18, 0x1.12818c2f7bed4p-18, 0x1.115244e0bf9cdp-18, 0x1.101ded5742647p-18, 0x1.0ee7c7180e3f1p-18, 0x1.0db6956082d85p-18, 0x1.0c811801baf26p-18, 0x1.0b4e3bd93f14dp-18, 0x1.0a1c80ca20fcdp-18, 0x1.08f0b2d8b7f44p-18, 0x1.079a388687f25p-18, 0x1.06747970ba8dep-18, 0x1.054beab1e8341p-18, 0x1.041894be8d783p-18, 0x1.02d9c3b726d49p-18, 0x1.01ad6a46bc836p-18, 0x1.00710f0f16c3p-18, 0x1.fe6a06599b567p-19, 0x1.fc1feaf16a132p-19, 0x1.f97e97400ed29p-19, 0x1.f73c9fdeca48ep-19, 0x1.f4c50b4414a75p-19, 0x1.f26ca9c3fa8cep-19, 0x1.f0000b441ffe6p-19, 0x1.ed966829eda72p-19, 0x1.eb2e535bfa9c9p-19, 0x1.e8ca49c37d4dp-19, 0x1.e66335857024ep-19, 0x1.e3f8d5f18613cp-19, 0x1.e1953881aec34p-19, 0x1.df16ea826bb0ep-19, 0x1.dcc9c35faf06fp-19, 0x1.da65fc557f902p-19, 0x1.d805b9060b0aep-19, 0x1.d5a17f4f6d628p-19, 0x1.d3412f89414eap-19, 0x1.d0d72177476a4p-19, 0x1.ce5f8ef3aa27p-19, 0x1.cc27a281a3b82p-19, 0x1.c9c54fe4bd42ap-19, 0x1.c770b474945c8p-19, 0x1.c4b83fb78cd2bp-19, 0x1.c2ba969ee1263p-19, 0x1.c05a5b995316ep-19, 0x1.be051c9a4d87ep-19, 0x1.bbb3a12f70f12p-19, 0x1.b95bf98dac47ap-19, 0x1.b70803a7325e3p-19, 0x1.b4b5b31213973p-19, 0x1.b2007e4759735p-19, 0x1.b016a328d3697p-19, 0x1.adcd30f5d795cp-19, 0x1.ab8072295a733p-19, 0x1.a92a8216aad1bp-19, 0x1.a6ef4daaf499dp-19, 0x1.a47fdebc9b35p-19, 0x1.a25bdbe8af502p-19, 0x1.a015727b86acbp-19, 0x1.9dd262b5c8c83p-19, 0x1.9b910d2db23a4p-19, }}, 
      {{0x1.2734a523eb64ep-3, 0x1.1a69cea9329dbp-2, 0x1.8d63dec04fcffp-2, 0x1.e9b4943e186f5p-2, 0x1.1794de01263d8p-1, 0x1.2f92f7fcebd68p-1, 0x1.3df6b007c5d5dp-1, 0x1.441764d3a5634p-1, 0x1.435acdfe6d4e2p-1, 0x1.3d1c443d2e1bfp-1, 0x1.329dde74ea13fp-1, 0x1.2500522c5cc6ep-1, 0x1.153f6c8d81a39p-1, 0x1.04319a504e7ebp-1, 0x1.e512bfcfa3ce1p-2, 0x1.c1b009a166c3ap-2, 0x1.9f21b36575755p-2, 0x1.7e19861366f9ap-2, 0x1.5f1b8367d9cd9p-2, 0x1.4284a7c08ba03p-2, 0x1.28912a5cc18e3p-2, 0x1.1162260205d74p-2, 0x1.fa05445c76c5fp-3, 0x1.d6d80224fc90ep-3, 0x1.b913afe428738p-3, 0x1.a07a75121355ap-3, 0x1.8cbf0beeff642p-3, 0x1.7d896dee49f51p-3, 0x1.727ab324e5dc5p-3, 0x1.6b303db20babap-3, 0x1.6746469ab411ap-3, 0x1.6659eb852c3e7p-3, 0x1.680abf86cca33p-3, 0x1.6bfc04dfce4f4p-3, 0x1.71d58b38f63bbp-3, 0x1.7944529407daap-3, 0x1.81faee77cc969p-3, 0x1.8bb1c138f054cp-3, 0x1.9627104752522p-3, 0x1.a11efad233901p-3, 0x1.ac635d105ef3ap-3, 0x1.b7c39ee188631p-3, 0x1.c3147965c5f3fp-3, 0x1.ce2fb17fe5a0dp-3, 0x1.d8f3ce8ce81bp-3, 0x1.e343cae590a43p-3, 0x1.ed06c75c9765dp-3, 0x1.f627ba0c05218p-3, 0x1.fe95228b50617p-3, 0x1.03205e88de209p-2, 0x1.068f9c81bf3b6p-2, 0x1.0993fa186b9fbp-2, 0x1.0c2a5bf4119e3p-2, 0x1.0e50bcb9808c2p-2, 0x1.10061032c5aa9p-2, 0x1.114a272a4d1f2p-2, 0x1.121d95d4cd30cp-2, 0x1.12819c004884p-2, 0x1.12780f52f31e8p-2, 0x1.1203470e0f2dap-2, 0x1.112608ae1a511p-2, 0x1.0fe377f5adeacp-2, 0x1.0e3f071c17d98p-2, 0x1.0c3c67fd0c688p-2, 0x1.09df80371366ep-2, 0x1.072c5d2053757p-2, 0x1.0427294999cf7p-2, 0x1.00d4234bd28a2p-2, 0x1.fa6f2c3ed746bp-3, 0x1.f2aba0bc31e77p-3, 0x1.ea663d2e3e1aep-3, 0x1.e1a78c5a83dfp-3, 0x1.d877fd827348dp-3, 0x1.cedfde5b611fcp-3, 0x1.c4e753e1a436bp-3, 0x1.ba96522c89398p-3, 0x1.aff498ba45c2p-3, 0x1.a509ad6d5777bp-3, 0x1.99dcda61933e2p-3, 0x1.8e75297220b84p-3, 0x1.82d96293e9418p-3, 0x1.77100c15ea379p-3, 0x1.6b1f680ef24e9p-3, 0x1.5f0d74087dba3p-3, 0x1.52dfeb53cb68p-3, 0x1.469c43f7c719dp-3, 0x1.3a47b20806faap-3, 0x1.2de726b7e1adap-3, 0x1.217f532d12374p-3, 0x1.1514a83652a75p-3, 0x1.08ab58deb3d8bp-3, 0x1.f88eb6d5bbd9bp-4, 0x1.dfd8d8b54e602p-4, 0x1.c73c1cec72f84p-4, 0x1.aebf1e1ff8e55p-4, 0x1.96680c19bca0ep-4, 0x1.7e3caffa7e648p-4, 0x1.664271be0b6d6p-4, 0x1.4e7e5b617c8cfp-4, 0x1.36f51a5f48d85p-4, 0x1.1fab067313bf4p-4, 0x1.08a423668d811p-4, 0x1.e3c84dc4fcce7p-5, 0x1.b6dcf28ddeb02p-5, 0x1.8a8c764ca2f1fp-5, 0x1.5edc907ad8a14p-5, 0x1.33d2775a6f205p-5, 0x1.0972e3296f983p-5, 0x1.bf84297be2b3fp-6, 0x1.6d87bce002d0cp-6, 0x1.1cf748832292dp-6, 0x1.9bb19e3e99ef6p-7, 0x1.006316caff9edp-7, 0x1.a03009f9054b4p-9, -0x1.6a5f9392858efp-10, -0x1.7f3ccdf851714p-8, -0x1.4ee633d3f93b8p-7, -0x1.db1f520a7dbecp-7, -0x1.32236bfaa790fp-6, -0x1.752d6ed62d04dp-6, -0x1.b6ad384a37a62p-6, -0x1.f6a2c257f66cep-6, -0x1.1a87389661d54p-5, -0x1.38f8895065cfp-5, -0x1.56a5e8b9b9694p-5, -0x1.739018df41adp-5, -0x1.8fb80592d12c6p-5, -0x1.ab1ec1bf6d803p-5, -0x1.c5c584bfb56c9p-5, -0x1.dfada7a59bcb4p-5, -0x1.f8d8a2a500bcap-5, -0x1.08a4065d39b17p-4, -0x1.147ecb7ca9ac1p-4, -0x1.1ffd859bc3d91p-4, -0x1.2b2125d39ddccp-4, -0x1.35eaa70af950cp-4, -0x1.405b0ea9473bep-4, -0x1.4a736ae5bb0f1p-4, -0x1.5434d212cdd2ep-4, -0x1.5da061ef2922dp-4, -0x1.66b73f1233724p-4, -0x1.6f7a942e6a5d8p-4, -0x1.77eb915cd92d3p-4, -0x1.800b6bb6535ebp-4, -0x1.87db5cab628d8p-4, -0x1.8f5ca16e25272p-4, -0x1.96907a6987a2bp-4, -0x1.9d782b66fe42dp-4, -0x1.a414fa31a2c9bp-4, -0x1.aa682e8e5e6f9p-4, -0x1.b073122dc7b3ap-4, -0x1.b636ef58737a8p-4, -0x1.bbb511bff5ee7p-4, -0x1.c0eec5770b0fp-4, -0x1.c5e5569938e5ep-4, -0x1.ca9a11225e86fp-4, -0x1.cf0e40a711f7dp-4, -0x1.d3432ff919278p-4, -0x1.d73a28dba84e4p-4, -0x1.daf473d4f82a2p-4, -0x1.de7357ef41f69p-4, -0x1.e1b81a6fbbb97p-4, -0x1.e4c3fea6bd106p-4, -0x1.e79845c43305bp-4, -0x1.ea362e9a2455bp-4, -0x1.ec9ef558020b1p-4, -0x1.eed3d39a47f56p-4, -0x1.f0d60062660f1p-4, -0x1.f2a6af2ae81cp-4, -0x1.f44710caddb92p-4, -0x1.f5b85285d45fbp-4, -0x1.f6fb9e4429f37p-4, -0x1.f8121aaa4c32ap-4, -0x1.f8fceab016d8ep-4, -0x1.f9bd2da4ec1dfp-4, -0x1.fa53ff2150e7fp-4, -0x1.fac276e960277p-4, -0x1.fb09a8deb0ecdp-4, -0x1.fb2aa4fc0e6a1p-4, -0x1.fb2677456dee8p-4, -0x1.fafe27b43976bp-4, -0x1.fab2ba305610bp-4, -0x1.fa452e91954bfp-4, -0x1.f9b680990ac7fp-4, -0x1.f907a7dde8c7ep-4, -0x1.f83997ca374a6p-4, -0x1.f74d3faa417bep-4, -0x1.f6438aafad5c6p-4, -0x1.f51d5fd6fa714p-4, -0x1.f3dba1d4b1078p-4, -0x1.f27f2f5df0085p-4, -0x1.f108e31fad7cdp-4, -0x1.ef79937626f76p-4, -0x1.edd212e3b5fbcp-4, -0x1.ec132f7704af8p-4, -0x1.ea3db344840ap-4, -0x1.e852649d95143p-4, -0x1.e65205da8c7c5p-4, -0x1.e43d5537987f8p-4, -0x1.e2150ce6acf4ap-4, -0x1.dfd9e33dadba4p-4, -0x1.dd8c8ae74034p-4, -0x1.db2db2d626542p-4, -0x1.d8be061f27427p-4, -0x1.d63e2bf44fbd5p-4, -0x1.d3aec7d5aaf5ep-4, -0x1.d11079cd04ba7p-4, -0x1.ce63de7bde6f5p-4, -0x1.cba98ef69d2a5p-4, -0x1.c8e220aa4434bp-4, -0x1.c60e2573c996dp-4, -0x1.c32e2be4c0357p-4, -0x1.c042bf72e921p-4, -0x1.bd4c686ec42d8p-4, -0x1.ba4babda154dcp-4, -0x1.b7410b5aa4cd7p-4, -0x1.b42d0565602c4p-4, -0x1.b110157ef64ap-4, -0x1.adeab45eace1bp-4, -0x1.aabd57f568377p-4, -0x1.a788732c9c92cp-4, -0x1.a44c75cc65fdap-4, -0x1.a109cce23d8c6p-4, -0x1.9dc0e2c3e6cb1p-4, -0x1.9a721f5494ff8p-4, -0x1.971de8011394cp-4, -0x1.93c49f843e2c3p-4, -0x1.9066a5deaeba6p-4, -0x1.8d04587eb037ap-4, -0x1.899e127d720dp-4, -0x1.86342cc7b37c8p-4, -0x1.82c6fe195575fp-4, -0x1.7f56dae4fa773p-4, -0x1.7be4152f8a273p-4, -0x1.786efcb1511e9p-4, -0x1.74f7df011f4ccp-4, -0x1.717f07c61aa77p-4, -0x1.6e04c0c8d16afp-4, -0x1.6a8951dfbcc87p-4, -0x1.670d00d8d8f7p-4, -0x1.63901166854c2p-4, -0x1.6012c54f73a95p-4, -0x1.5c955c8cec9cep-4, -0x1.59181576c1efap-4, -0x1.559b2cc97ce2cp-4, -0x1.521edd92da2ebp-4, -0x1.4ea3611bc51f6p-4, -0x1.4b28eedd1bc93p-4, -0x1.47afbc9fad40bp-4, -0x1.4437feb6ca041p-4, -0x1.40c1e8141267p-4, -0x1.3d4daa36fc7e3p-4, -0x1.39db7528ffb61p-4, -0x1.366b77832bc58p-4, -0x1.32fdde68182afp-4, -0x1.2f92d5719b11ep-4, -0x1.2c2a86e3b440cp-4, -0x1.28c51bcddd161p-4, -0x1.2562bc0db0d28p-4, -0x1.22038e536362dp-4, -0x1.1ea7b81325cd9p-4, -0x1.1b4f5d74fd65cp-4, -0x1.17faa15c2c0ddp-4, -0x1.14a9a57ae57afp-4, -0x1.115c8a6aecba5p-4, -0x1.0e136fc0478e1p-4, -0x1.0ace740eb25d7p-4, -0x1.078db4e4150bcp-4, -0x1.04514ebdec039p-4, -0x1.01195d04caea7p-4, -0x1.fbcbf4243e69bp-5, -0x1.f56e7e7e41bb3p-5, -0x1.ef1a89ef95172p-5, -0x1.e8d04591cb871p-5, -0x1.e28fdec57200ep-5, -0x1.dc5981359bdd2p-5, -0x1.d62d56c1bd94ap-5, -0x1.d00b877a4a836p-5, -0x1.c9f439a56e8bfp-5, -0x1.c3e791d45af77p-5, -0x1.bde5b2f87ddeap-5, -0x1.b7eebe8f70d96p-5, -0x1.b202d487545c6p-5, -0x1.ac2213710763fp-5, -0x1.a64c98570e9f2p-5, -0x1.a0827ec3f06abp-5, -0x1.9ac3e0c12d499p-5, -0x1.9510d6e073225p-5, -0x1.8f69784c6b97ep-5, -0x1.89cddadb6cc24p-5, -0x1.843e131f45a03p-5, -0x1.7eba346b892fp-5, -0x1.794250de310cap-5, -0x1.73d679592f30ep-5, -0x1.6e76bd7a10f57p-5, -0x1.69232b99ae835p-5, -0x1.63dbd0e61dfc2p-5, -0x1.5ea0b95b37b02p-5, -0x1.5971efdd9b5d8p-5, -0x1.544f7e43f2357p-5, -0x1.4f396d52ffe21p-5, -0x1.4a2fc4caf6004p-5, -0x1.45328b692c48p-5, -0x1.4041c6e6a3266p-5, -0x1.3b5d7bf4dc9cp-5, -0x1.3685ae4e567eap-5, -0x1.31ba60badf21ap-5, -0x1.2cfb9511531f8p-5, -0x1.28494c21d8255p-5, -0x1.23a385fd9a227p-5, -0x1.1f0a41d0d55c7p-5, -0x1.1a7d7e23c874ap-5, -0x1.15fd387c56774p-5, -0x1.11896d7864fa9p-5, -0x1.0d22192da746bp-5, -0x1.08c736dd5701dp-5, -0x1.0478c0e46169bp-5, -0x1.0036b0e4dba2dp-5, -0x1.f801ffadca3e1p-6, -0x1.efaf4bfe706a4p-6, -0x1.e775360ded4f2p-6, -0x1.df53abc68f2a7p-6, -0x1.d74a99e2edcd2p-6, -0x1.cf59ebca98edp-6, -0x1.c7818bb52428fp-6, -0x1.bfc162a422a93p-6, -0x1.b81958710fc87p-6, -0x1.b08953d94d43bp-6, -0x1.a9113a85ec121p-6, -0x1.a1b0f10b779e4p-6, -0x1.9a685aeace828p-6, -0x1.93375aa7ab5d6p-6, -0x1.8c1dd1ee2c432p-6, -0x1.851ba19d2462cp-6, -0x1.7e30a9abd5793p-6, -0x1.775cc9047c13cp-6, -0x1.709fdda7932b5p-6, -0x1.69f9c4c6d8af7p-6, -0x1.636a5af43c48cp-6, -0x1.5cf17c1e3a424p-6, -0x1.568f036f855b3p-6, -0x1.5042cb2077b86p-6, -0x1.4a0caccc4f892p-6, -0x1.43ec818408365p-6, -0x1.3de221b3e12bep-6, -0x1.37ed655aa9391p-6, -0x1.320e23c06bb3bp-6, -0x1.2c443395af48ep-6, -0x1.268f6b133918dp-6, -0x1.20ef9ff6f72cfp-6, -0x1.1b64a78623f06p-6, -0x1.15ee5693f0a0bp-6, -0x1.108c81887d275p-6, -0x1.0b3efc6792056p-6, -0x1.06059ad707ebbp-6, -0x1.00e0302bfe5a8p-6, -0x1.f79d1ed492879p-7, -0x1.eda115dfbd625p-7, -0x1.e3cbeb18ab688p-7, -0x1.da1d42193fccfp-7, -0x1.d094bf6f769c8p-7, -0x1.c732050aef69bp-7, -0x1.bdf4b68f8390fp-7, -0x1.b4dc765911dafp-7, -0x1.abe8e69358e74p-7, -0x1.a319a91a6fe12p-7, -0x1.9a6e5f9f8834dp-7, -0x1.91e6ab975e67dp-7, -0x1.89822e3eb9542p-7, -0x1.8140889b80d1dp-7, -0x1.79215b80bcdffp-7, -0x1.7124479a72c21p-7, -0x1.6948ed88da199p-7, -0x1.618eee1b0c9fap-7, -0x1.59f5ea595c02ap-7, -0x1.527d8297b9f89p-7, -0x1.4b2556e110a61p-7, -0x1.43ed094863076p-7, -0x1.3cd43b70221fep-7, -0x1.35da8d5ea9a5bp-7, -0x1.2effa0b27bc63p-7, -0x1.284317d42b977p-7, -0x1.21a493f8f9416p-7, -0x1.1b23b6ad8e9acp-7, -0x1.14c0220b22fcbp-7, -0x1.0e7978b54049dp-7, -0x1.084f5dd3d6a01p-7, -0x1.0241750e0f959p-7, -0x1.f89ec4e47b281p-8, -0x1.ecf194c569ab7p-8, -0x1.e17aa2e184625p-8, -0x1.d63938c5695b5p-8, -0x1.cb2c9ff3236afp-8, -0x1.c0542153b3758p-8, -0x1.b5af05c3a85b3p-8, -0x1.ab3c9a5272142p-8, -0x1.a0fc2cd3cb7a5p-8, -0x1.96ed0c35973bcp-8, -0x1.8d0e8bd064008p-8, -0x1.83600033f1bd7p-8, -0x1.79e0bfd835344p-8, -0x1.7090221157457p-8, -0x1.676d7e1ce7f1ap-8, -0x1.5e782a7dd711fp-8, -0x1.55af7cbfc7252p-8, -0x1.4d12c9baf6e5ap-8, -0x1.44a1665953bbcp-8, -0x1.3c5aa8b807558p-8, -0x1.343de95b2512ep-8, -0x1.2c4a842fa23e9p-8, -0x1.247fd92ea2703p-8, -0x1.1cdd4c648b669p-8, -0x1.1562453f99aaap-8, -0x1.0e0e2d5bd296cp-8, -0x1.06e06f25660d7p-8, -0x1.ffb0e93131c53p-9, -0x1.f1eb4cc1666cep-9, -0x1.e46ed739f893cp-9, -0x1.d73a54f093b2fp-9, -0x1.ca4c929be1dc5p-9, -0x1.bda46068b2336p-9, -0x1.b140950e0c1dbp-9, -0x1.a520101a1d23ep-9, -0x1.9941b9e73520bp-9, -0x1.8da484ea761c5p-9, -0x1.824768bc68b5bp-9, -0x1.77295ea5a0529p-9, -0x1.6c496019d8cd8p-9, -0x1.61a66190c678dp-9, -0x1.573f5214794f2p-9, -0x1.4d131c1931ed7p-9, -0x1.4320a7f41a50bp-9, -0x1.3966de50a06cbp-9, -0x1.2fe4ad938c5aap-9, -0x1.269913f17511bp-9, -0x1.1d8321c6685a1p-9, -0x1.14a1f3e782752p-9, -0x1.0bf4b3c051607p-9, -0x1.037a99263fcap-9, -0x1.f665c29793869p-10, -0x1.e63986fe10942p-10, -0x1.d66ed4aa245a7p-10, -0x1.c703e477bac5ep-10, -0x1.b7f6d02a32694p-10, -0x1.a9459952a4a65p-10, -0x1.9aee24fcc384bp-10, -0x1.8cee4d03f3978p-10, -0x1.7f440d6b556b8p-10, -0x1.71ed868bff801p-10, -0x1.64e8ec693545ep-10, -0x1.5834bef9101a1p-10, -0x1.4bcfba42c21cbp-10, -0x1.3fb8be179a02cp-10, -0x1.33eec85d20b67p-10, -0x1.2870dff15b075p-10, -0x1.1d3e01bc27581p-10, -0x1.12550d2b0d134p-10, -0x1.07b4b6be07427p-10, -0x1.fab7058e3951ap-11, -0x1.e68f90dda7bb6p-11, -0x1.d2ef784e4877bp-11, -0x1.bfd2ff9b33a38p-11, -0x1.ad366c17738e4p-11, -0x1.9b162c34b823dp-11, -0x1.896efa046eeefp-11, -0x1.783df3a16b6c8p-11, -0x1.6780a69a6c7c6p-11, -0x1.573507c8caa67p-11, -0x1.47596980b44fp-11, -0x1.37ecbd7e69ed1p-11, -0x1.28ec6a95f38d4p-11, -0x1.1a584471f0db6p-11, -0x1.0c2e57c3a0cc2p-11, -0x1.fcd9b5733615cp-12, -0x1.e22380ef41d1fp-12, -0x1.c8357263fd8a1p-12, -0x1.af0a7a9ecf2e8p-12, -0x1.969d4013b25ccp-12, -0x1.7ee84cc3267c1p-12, -0x1.67e63c955456ap-12, -0x1.5191e7cb3753ap-12, -0x1.3be67f61745ecp-12, -0x1.26dfa2f930c2fp-12, -0x1.1279683124c28p-12, -0x1.fd60b305377ffp-13, -0x1.d702d61300ca5p-13, -0x1.b1d3c9501f009p-13, -0x1.8dce85b99ee07p-13, -0x1.6aee24047983cp-13, -0x1.492d944f27c34p-13, -0x1.288768ff42a9ap-13, -0x1.08f5c0546521cp-13, -0x1.d4e4ae86d0c6fp-14, -0x1.99ed4989ff924p-14, -0x1.60f6b47a4aabap-14, -0x1.29f5f9cf0bfbfp-14, -0x1.e9ba8a75559b1p-15, -0x1.833f3ea967a7ep-15, -0x1.20604600bc421p-15, -0x1.8209cb013d304p-16, -0x1.944a8372dc3eap-17, -0x1.8df736347dfc7p-20, 0x1.23ef33697c08ep-17, 0x1.368a35f4794c2p-16, 0x1.d4fc269948f65p-16, 0x1.36b5eaa631dacp-15, 0x1.7ffa84910820ep-15, 0x1.c65a4032357b6p-15, 0x1.04f2fb50bd1ccp-14, 0x1.25589b5f15409p-14, 0x1.4468448edac1fp-14, 0x1.622bed751237p-14, 0x1.7eacd3e5336f7p-14, 0x1.99f3123726fafp-14, 0x1.b405747aa72b7p-14, 0x1.ccea134ec058p-14, 0x1.e4a70d97d4eb7p-14, 0x1.fb4392bbe9b3p-14, 0x1.0864d9dd3cd0bp-13, 0x1.12a1b945c0671p-13, 0x1.1c5d833746306p-13, 0x1.259db8433d3ecp-13, 0x1.2e65da8692f3cp-13, 0x1.36b8a09461a6cp-13, 0x1.3e97f45bbbb36p-13, 0x1.4605465a8a3ebp-13, 0x1.4d02b4d95c96bp-13, 0x1.5392ed8ef9a3dp-13, 0x1.59b9413b3fd8bp-13, 0x1.5f7a52a648ad7p-13, 0x1.64daa7a0a1c52p-13, 0x1.69ddec51ed37ap-13, 0x1.6e873d790d3acp-13, 0x1.72d8ca67ad429p-13, 0x1.76d3e73de5c6ep-13, 0x1.7a79eaf0b5ac7p-13, 0x1.7dcc71bf104c1p-13, 0x1.80cda31031432p-13, 0x1.83806f1560b82p-13, 0x1.85e87adbd0c85p-13, 0x1.8809a07ab6882p-13, 0x1.89e75d471203cp-13, 0x1.8b84626d3689p-13, 0x1.8ce268f446aebp-13, 0x1.8e025f3db1fbdp-13, 0x1.8ee4e3d96b90ep-13, 0x1.8f8ad92cb3425p-13, 0x1.8ff5ce2465411p-13, 0x1.9028129e2b5b7p-13, 0x1.90247ebb7b06bp-13, 0x1.8fee095893c87p-13, 0x1.8f845088c44b5p-13, 0x1.8ef39b45249d3p-13, 0x1.8e339a3e746f7p-13, 0x1.8d48af4209e72p-13, 0x1.8c33994dca591p-13, 0x1.8af51044aa517p-13, 0x1.898e1823ab7bdp-13, 0x1.88001ed2fde43p-13, 0x1.864ce63e99813p-13, 0x1.847652d251eb7p-13, 0x1.827e3ba493ff7p-13, 0x1.80664ad467b24p-13, 0x1.7e2feedceb201p-13, 0x1.7bdc59ccd3ecep-13, 0x1.796c8c45e2733p-13, 0x1.76e23cd058908p-13, 0x1.743d86e323e74p-13, 0x1.717f5a8d14401p-13, 0x1.6ea9c2a173dep-13, 0x1.6bbd4080f40c8p-13, 0x1.68bb694c5b991p-13, 0x1.65a57263d7ab2p-13, 0x1.627caa9d1497ep-13, 0x1.5f424a6a8e378p-13, 0x1.5bf72bf960213p-13, 0x1.589c04b22e63ap-13, 0x1.5531709523708p-13, 0x1.51b81d0f00d3fp-13, 0x1.4e30d68f033c7p-13, 0x1.4a9c7f1a74422p-13, 0x1.46fbfb0cb8abdp-13, 0x1.43501cc875f7cp-13, 0x1.3f99936ec8fb6p-13, 0x1.3bd8e9c9750a3p-13, 0x1.380ea3b5d84f6p-13, 0x1.343b6a126e34p-13, 0x1.30601e169694ap-13, 0x1.2c7db80e679dbp-13, 0x1.2894eab371ae5p-13, 0x1.24a691e68a6c1p-13, 0x1.20b3cc67047dp-13, 0x1.1cbc47f41f3fdp-13, 0x1.18c10664082afp-13, 0x1.14c20d1f3305fp-13, 0x1.10bfb8b3ec873p-13, 0x1.0cbae1d0e0854p-13, 0x1.08b418ddd7918p-13, 0x1.04abceeaf7e1ep-13, 0x1.00a2717a386f9p-13, 0x1.f930dcb9d0ac7p-14, 0x1.f11c5f8c9f076p-14, 0x1.e9083749e333ap-14, 0x1.e0f52ea4f625ap-14, 0x1.d8e40c13d0ef8p-14, 0x1.d0d582e16f97ep-14, 0x1.c8ca2e5b1942dp-14, 0x1.c0c2b3dea07aap-14, 0x1.b8bfb58612c6ep-14, 0x1.b0c1eaa05581dp-14, 0x1.a8ca0c5dc0ef2p-14, 0x1.a0d8c8a78bc5ap-14, 0x1.98ee884da78abp-14, 0x1.910ba76fa9481p-14, 0x1.8931b45e0b6c9p-14, 0x1.8160ae1c016c4p-14, 0x1.79988f8d65f3ap-14, 0x1.71dad88fa2b8p-14, 0x1.6a2722f67e014p-14, 0x1.627ddecae69f5p-14, 0x1.5adfa6b779a0ep-14, 0x1.534c8edc50b87p-14, 0x1.4bc46c2d7e6f6p-14, 0x1.4448279b554e9p-14, 0x1.3cd88af184023p-14, 0x1.35760be16f63cp-14, 0x1.2e20acbefdb36p-14, 0x1.26d87f430b7dep-14, 0x1.1f9ddcbb26009p-14, 0x1.18712250aa4aep-14, 0x1.11527d90c2088p-14, 0x1.0a41d0bb56282p-14, 0x1.03403c02c70e2p-14, 0x1.f896edafc40e7p-15, 0x1.eacd891cb86d1p-15, 0x1.dd237811ae694p-15, 0x1.cf9651f73b717p-15, 0x1.c228004706dfbp-15, 0x1.b4d9034440b83p-15, 0x1.a7a9e3cf38cc4p-15, 0x1.9a9b0d1ae8844p-15, 0x1.8daccd66b771bp-15, 0x1.80e04c3915f16p-15, 0x1.7434bf9225246p-15, 0x1.67a890bd953acp-15, 0x1.5b3c322e0d5a4p-15, 0x1.4ef01b54e1bc4p-15, 0x1.42c50e5a9b3ccp-15, 0x1.36bb4239e926fp-15, 0x1.2ad214419594dp-15, 0x1.1f0a06a6966ecp-15, 0x1.1363cee2a8e6fp-15, 0x1.07e1299176746p-15, 0x1.f8fd4624501e9p-16, 0x1.e27b303913983p-16, 0x1.cc3be580ddfc7p-16, 0x1.b63eb9e4d92b3p-16, 0x1.a0842f30b5263p-16, 0x1.8b0c7c3cd4a4ap-16, 0x1.75d7e777b5ec1p-16, 0x1.60e678ab4f8a9p-16, 0x1.4c35c9aabfb17p-16, 0x1.37c659a000889p-16, 0x1.239c5207b3311p-16, 0x1.0fb29ce654638p-16, 0x1.f81dbf8237f11p-17, 0x1.d15549b538168p-17, 0x1.ab0e612921d8cp-17, 0x1.851143db8906ap-17, 0x1.600ca946f268ap-17, 0x1.3b4e0e11988bap-17, 0x1.1710289f4fd72p-17, 0x1.e6a52ee94e4e1p-18, 0x1.a029de526ec79p-18, 0x1.5aae0f168889bp-18, 0x1.162ec99d09f5dp-18, 0x1.a555a2961b2eap-19, 0x1.204447c209472p-19, 0x1.3a4921fe6a39dp-20, 0x1.bf3bac4610ee1p-23, -0x1.8d3ac8a461a35p-21, -0x1.c14f28c49842p-20, -0x1.5c1b4dbf6de46p-19, -0x1.d5ac0407d1f12p-19, -0x1.26ae34ec06ce8p-18, -0x1.6198084fe8702p-18, -0x1.9b956ada97097p-18, -0x1.d4a83a50b23ccp-18, -0x1.0669175d731c7p-17, -0x1.220a7afa0c42ap-17, -0x1.3d392f2b896e3p-17, -0x1.57f5f4dedc38p-17, -0x1.72410f346dfbdp-17, -0x1.8c1c38554dc0dp-17, -0x1.a58ae211e2162p-17, -0x1.be8c878646519p-17, -0x1.d721254b3d761p-17, -0x1.ef4927e474efcp-17, -0x1.037e8ee3a2d5ap-16, -0x1.0f2798889f75p-16, -0x1.1a9a41f3ba0f8p-16, -0x1.25d874cefcb2bp-16, -0x1.30e6f592cf008p-16, -0x1.3bbc5c1999d0dp-16, -0x1.466190e0e3f0dp-16, -0x1.50d5d569b2466p-16, -0x1.5b199e60fd43p-16, -0x1.652b885f8d519p-16, -0x1.6f0b75fdb47d1p-16, -0x1.78b999f8a4a31p-16, -0x1.823729f1fd078p-16, -0x1.8b870187e4297p-16, -0x1.94aa72d03f73ep-16, -0x1.9d9d87541d59dp-16, -0x1.a6633c93c0913p-16, -0x1.aefb0e499d282p-16, -0x1.b7659e46e0379p-16, -0x1.bfa383a18f897p-16, -0x1.c7b4ed4713a43p-16, -0x1.cf9abdc0bb7a7p-16, -0x1.d758b8515c8fap-16, -0x1.deeeb68f9c5b4p-16, -0x1.e657a971f964ap-16, -0x1.ed95bb6f7b0aap-16, -0x1.f4a9c242bf616p-16, -0x1.fb977f122e101p-16, -0x1.012f095cf0045p-15, -0x1.047df79115084p-15, -0x1.07b9203e86ef4p-15, -0x1.0ae0e49dc0b93p-15, -0x1.0df5ae32eb55dp-15, -0x1.10f6ea0c1a742p-15, -0x1.13e724ade74a7p-15, -0x1.16c5071b05cb5p-15, -0x1.198fbab0665d5p-15, -0x1.1c483477319dcp-15, -0x1.1eedf75220508p-15, -0x1.2183ba363b9e9p-15, -0x1.24086dde409eap-15, -0x1.267bf06475294p-15, -0x1.28dde920f6c34p-15, -0x1.2b3115cebe556p-15, -0x1.2d7406779893cp-15, -0x1.2fa579f0599b9p-15, -0x1.31c6031ee6b83p-15, -0x1.33d712d8dd1fbp-15, -0x1.35d99336c3e75p-15, -0x1.37cd41c2329d1p-15, -0x1.39b39c357baddp-15, -0x1.3b87be3a03748p-15, -0x1.3d4d0bec23804p-15, -0x1.3f059ac6f1724p-15, -0x1.40af83709e93fp-15, -0x1.424adbf219c18p-15, -0x1.43d8291e70144p-15, -0x1.4557b6a56729ep-15, -0x1.46c9d56beaa5cp-15, -0x1.482efff2880dfp-15, -0x1.4986f098ad01fp-15, -0x1.4ad1896164e2ap-15, -0x1.4c0f8af27687fp-15, -0x1.4d413a0af137fp-15, -0x1.4e6674d61b128p-15, -0x1.4f7f6ca3fcebbp-15, -0x1.508c59aa8d0c2p-15, -0x1.518d725f49d02p-15, -0x1.5282e9797a129p-15, -0x1.536ceb152d78fp-15, -0x1.544b9cc02955ep-15, -0x1.551f206750f61p-15, -0x1.55e799d1f00a3p-15, -0x1.56a53bb3febffp-15, -0x1.57584b4acc5b8p-15, -0x1.5800e6a178ddp-15, -0x1.589eb85d579bdp-15, -0x1.59324802ba2acp-15, -0x1.59bd97ce4bb56p-15, -0x1.5a3dd062a81d2p-15, -0x1.5ab497a4323bep-15, -0x1.5b22584148102p-15, -0x1.5b851106605c6p-15, -0x1.5bdf78c34a4f6p-15, -0x1.5c314d9a19961p-15, -0x1.5c79bce8bdc26p-15, -0x1.5cb9cca825b05p-15, -0x1.5cf12441679b4p-15, -0x1.5d1fced679db7p-15, -0x1.5d460f4cdbdb8p-15, -0x1.5d6421bd614b9p-15, -0x1.5d7a4d5ad39b5p-15, -0x1.5d887e8d93d71p-15, -0x1.5d8ec13a97ae2p-15, -0x1.5d8d627470428p-15, -0x1.5d8611e76114ap-15, -0x1.5d757d101fb52p-15, -0x1.5d5cf349ccc79p-15, -0x1.5d3e8062e3a8p-15, -0x1.5d1975368c8fbp-15, -0x1.5cec4fd4a6d06p-15, -0x1.5cb805f37fd13p-15, -0x1.5c7e7c21f3a26p-15, -0x1.5c3efee8fe45p-15, -0x1.5bf8f15f3e801p-15, -0x1.5bac160d6901ep-15, -0x1.5b577428f24d4p-15, -0x1.5afef9cabc46bp-15, -0x1.5a9f6dde0f6aap-15, -0x1.5a3a8818f5f53p-15, -0x1.59cfcecaa9d9dp-15, -0x1.595f6bdf26e6fp-15, -0x1.58e9972a5c41fp-15, -0x1.586e5b32a10f5p-15, -0x1.57edd7b025951p-15, -0x1.576826d3eb403p-15, -0x1.56dd6159d10fcp-15, -0x1.564d9cccf9e52p-15, -0x1.55b8e93ed49f4p-15, -0x1.551f61b0f5586p-15, -0x1.5481621de1ffcp-15, -0x1.53def8e67cbfap-15, -0x1.53379efaf6d1fp-15, -0x1.528be0e3ccb4fp-15, -0x1.51dc12f679f1ap-15, -0x1.51280b7572c96p-15, -0x1.506fd617cacfcp-15, -0x1.4fb384f550ad3p-15, -0x1.4ef31b0a1d5e1p-15, -0x1.4e2ee4634fae5p-15, -0x1.4d67b79bd4081p-15, -0x1.4c9be2ab82977p-15, -0x1.4bcd00a11f53ep-15, -0x1.4af9ebb99b3c7p-15, -0x1.4a23668c6ee04p-15, -0x1.494a1f4af9491p-15, -0x1.486d7cdd77ad7p-15, -0x1.478d6512a9efdp-15, -0x1.46aa31765f8a8p-15, -0x1.45c3f5b0b6048p-15, -0x1.44daa38df084fp-15, -0x1.43ee93dfeda37p-15, -0x1.42ff93c0f2dbp-15, -0x1.420dcce6ec3cp-15, -0x1.4119517449b04p-15, -0x1.40223364e7ff5p-15, -0x1.3f28849e7a205p-15, -0x1.3e2c56f210232p-15, -0x1.3d2dbbe62b7a3p-15, -0x1.3c2cc433fb8acp-15, -0x1.3b2986efca042p-15, -0x1.3a23ef43afbe2p-15, -0x1.391bd195c4256p-15, -0x1.38116536f100dp-15, -0x1.3706b0fa5e717p-15, -0x1.35f8aea649778p-15, -0x1.34e94196b998bp-15, -0x1.33d5a2f2565abp-15, -0x1.32c2a91144e1p-15, -0x1.31ade5efc43f1p-15, -0x1.3096e08b025c8p-15, -0x1.2f7e384371eedp-15, -0x1.2e63e1d0afac5p-15, -0x1.2d47f6c442417p-15, -0x1.2c2a8818f66bdp-15, -0x1.2b0b6c7879bf3p-15, -0x1.29ea623f58caep-15, -0x1.28c93bba8cb6cp-15, -0x1.27a6a301186fbp-15, -0x1.2681e01c0a6bep-15, -0x1.255e681429b57p-15, -0x1.243802b7e8c4cp-15, -0x1.230fc7643c7ep-15, -0x1.21e5b0d00b0ep-15, -0x1.20bc8f8f67c65p-15, -0x1.1f92336ad1787p-15, -0x1.1e66bbae33763p-15, -0x1.1d3a08fea83e9p-15, -0x1.1c0c8607ae76fp-15, -0x1.1ade2a1c0738ep-15, -0x1.19af9ee051ca3p-15, -0x1.187fcd31044e3p-15, -0x1.174f21c3691p-15, -0x1.161e00108af43p-15, -0x1.14ec67d98e13ep-15, -0x1.13ba2d6da5c66p-15, -0x1.12875c3ede37ap-15, -0x1.11547e803ad8cp-15, -0x1.10202ce1cb847p-15, -0x1.0eebf11bebf37p-15, -0x1.0db7447524ae3p-15, -0x1.0c82648d966bap-15, -0x1.0b4ceca7c96a7p-15, -0x1.0a175e9de28d5p-15, -0x1.08e13f1053f4cp-15, -0x1.07ab097d24d0fp-15, -0x1.0674affeefb73p-15, -0x1.053e3c11c326cp-15, -0x1.04076a2c7f8c1p-15, -0x1.02d0922ef19a9p-15, -0x1.0199a2746b4cfp-15, -0x1.0062a0c2978cep-15, -0x1.fe572a34ea7f6p-16, -0x1.fbe90d771ac5ep-16, -0x1.f97af93bb21p-16, -0x1.f70cfb22cef7dp-16, -0x1.f49f207471bddp-16, -0x1.f23175e016f28p-16, -0x1.efc405c05b94dp-16, -0x1.ed5666fdbc37cp-16, -0x1.eaea0f41fb3dcp-16, -0x1.e87d08702d79ap-16, -0x1.e61104d1e8e54p-16, -0x1.e3a70323535fcp-16, -0x1.e13b20cfdb02p-16, -0x1.ded161590a3c1p-16, -0x1.dc6608b95697ep-16, -0x1.d9fd22ba6721p-16, -0x1.d794eea14a87dp-16, -0x1.d52d38cb6b98ap-16, -0x1.d2c634beb69fap-16, -0x1.d05ff617cc1bfp-16, -0x1.cdfa6d1255c1cp-16, -0x1.cb984519a426ap-16, -0x1.c931fb96b2001p-16, -0x1.c6cef0551b71dp-16, -0x1.c46f278530893p-16, -0x1.c20d9e4c85223p-16, -0x1.bfafa31eaa48bp-16, -0x1.bd4d65aaa8e02p-16, -0x1.baf1586f8b333p-16, -0x1.b895ef6910374p-16, -0x1.b63a53dc19335p-16, -0x1.b3df8b235dccep-16, -0x1.b18a7943fcfc9p-16, -0x1.af30702c15fefp-16, -0x1.acda9e1666966p-16, -0x1.aa84c8a627aa2p-16, -0x1.a833527f799f4p-16, -0x1.a5e175b1ee5ddp-16, -0x1.a3908cca24a8fp-16, -0x1.a1419d770b0fap-16, -0x1.9ef40fdef31b2p-16, -0x1.9ca7f256de7d5p-16, -0x1.9a5d485e7479bp-16, -0x1.98140adcc15e3p-16, -0x1.95ca804b6d0cap-16, -0x1.93867ee205ed2p-16, -0x1.91422b0047b3p-16, -0x1.8eff4d416f489p-16, -0x1.8cbe20bc355aep-16, -0x1.8a7e462573044p-16, -0x1.8840e9b05f1cp-16, -0x1.8604b46b82297p-16, -0x1.83ca59ba86ee6p-16, -0x1.81924e3b63075p-16, -0x1.7f5ac80fc0c9fp-16, -0x1.7d27668094ecap-16, -0x1.7af24fda2d0adp-16, -0x1.78c0f1c2fc588p-16, -0x1.76914ba79acccp-16, -0x1.746305fd99b0cp-16, -0x1.7236d4825716dp-16, -0x1.700cb59625c83p-16, -0x1.6de440cd1c416p-16, -0x1.6bbe04140bf41p-16, -0x1.69997229a1f66p-16, -0x1.6776be4abcc08p-16, -0x1.6555fffaa8711p-16, -0x1.633735d6d43dep-16, -0x1.611a5ee2db8c8p-16, -0x1.5eff765447f86p-16, -0x1.5ce84ffbde35fp-16, -0x1.5acfc1f1d5cc8p-16, -0x1.58baba72bc391p-16, -0x1.56a7d6006147bp-16, -0x1.5496ed31f0cdap-16, -0x1.528803e996ef8p-16, -0x1.507b10ce1bbf7p-16, -0x1.4e70287ed831dp-16, -0x1.4c67cc90b7512p-16, -0x1.4a60daec34f4ap-16, -0x1.485c715bda271p-16, -0x1.46597531bffd3p-16, -0x1.4459007b1afb9p-16, -0x1.425aab07ccd08p-16, -0x1.405e5d51b0246p-16, -0x1.3e640ea8819bap-16, -0x1.3c6b832731fefp-16, -0x1.3a757335c0c6dp-16, -0x1.38866480a2ebbp-16, -0x1.368dc1295b274p-16, -0x1.349f8fca185edp-16, -0x1.32b00776ccf36p-16, -0x1.30c85283a0a5ep-16, -0x1.2ee0022f3179ep-16, -0x1.2cf9424ec13p-16, -0x1.2b0f0b3900811p-16, -0x1.292df70ef788dp-16, -0x1.274e412dbc93cp-16, -0x1.256fc86c67273p-16, -0x1.23934a5764e4fp-16, -0x1.21b8f18de8511p-16, -0x1.1fe0c3bf8993cp-16, -0x1.1e0ac18a6ef48p-16, -0x1.1c36e91d7d34p-16, -0x1.1a653a4fce5a5p-16, -0x1.1895e0d1062f8p-16, -0x1.16ca5b050981p-16, -0x1.14fd1ef342d15p-16, -0x1.13342b1d4f06ap-16, -0x1.116d66382334p-16, -0x1.0fa8b52abd886p-16, -0x1.0de644e10162dp-16, -0x1.0c25e0d06db4cp-16, -0x1.0a679876db67dp-16, -0x1.08ac18b408703p-16, -0x1.06f197f96895ap-16, -0x1.0539bb4415b0cp-16, -0x1.0384773a78ab3p-16, -0x1.01d12ee32bdbep-16, -0x1.001fde1e6c324p-16, -0x1.fce1758c17044p-17, -0x1.f9878fa3b9e48p-17, -0x1.f631fd9ddf537p-17, -0x1.f2e0a5370dd5p-17, -0x1.ef9377cace94p-17, -0x1.ec4af51023752p-17, -0x1.e9062a68e8ea9p-17, -0x1.e5cf3d3cb9e0ap-17, -0x1.e28adf0d96de3p-17, -0x1.df5356256e3cfp-17, -0x1.dc200d5a50d54p-17, -0x1.d8f1083aafd2bp-17, -0x1.d5c64253983dep-17, -0x1.d29fbb5e86388p-17, -0x1.cf7e49013a357p-17, -0x1.cc5f325f0c45ap-17, -0x1.c94256373f88fp-17, -0x1.c62fc30c805f2p-17, -0x1.c31e97b2c7539p-17, -0x1.c01193fe06a96p-17, -0x1.bd08d837cd27dp-17, -0x1.ba036b189acaap-17, -0x1.b701d85efcdd3p-17, -0x1.b405f0345c5e9p-17, -0x1.b10e4b6fa683cp-17, -0x1.ae19df72d57e9p-17, -0x1.ab29a5fc8c6c3p-17, -0x1.a83de571559d4p-17, -0x1.a5552b33f71d2p-17, -0x1.a26e98fe33f15p-17, -0x1.9f97f2f893bep-17, -0x1.9cb9e3f6749b1p-17, -0x1.99de12decd26p-17, -0x1.970a058bcb1d1p-17, -0x1.943b8fa963202p-17, -0x1.917026432617cp-17, -0x1.8eabac5cb9492p-17, -0x1.8bea030077bafp-17, -0x1.892360cb08061p-17, -0x1.8671fc2503917p-17, -0x1.83b560b0eec35p-17, -0x1.8104773cda2a8p-17, -0x1.7e510583db797p-17, -0x1.7ba6da28ee492p-17, -0x1.78ffe381990d4p-17, -0x1.765c633ec4497p-17, -0x1.73bc4c8cba557p-17, -0x1.712095ffcee7bp-17, -0x1.6e893e15b6288p-17, -0x1.6bf4fd97667dap-17, -0x1.6966f05eb6254p-17, -0x1.66d8fb7eca663p-17, -0x1.6450a4b892de8p-17, -0x1.61cbbabb548d2p-17, -0x1.5f4b49a59e033p-17, -0x1.5cce43ce064afp-17, -0x1.5a55fe4e78f01p-17, -0x1.57e1178484c5p-17, -0x1.556deb0aea4b1p-17, -0x1.530028d4e2342p-17, -0x1.50959d9a9e666p-17, -0x1.4e35147d0de17p-17, -0x1.4bcc80a660fdap-17, -0x1.496e506451c9fp-17, -0x1.47129a5352729p-17, -0x1.44ba99e8ffde1p-17, -0x1.42668afb903ap-17, -0x1.40161db0288b3p-17, -0x1.3dc94f17b0761p-17, -0x1.3b8f8fe600367p-17, -0x1.393a577adb3fbp-17, -0x1.36f7ce2065f62p-17, -0x1.34b9566a1fd44p-17, -0x1.327f90e59b353p-17, -0x1.3046cd5260342p-17, -0x1.2e14525bbc3f7p-17, -0x1.2be2e2d7e6092p-17, -0x1.29b619e3dc621p-17, -0x1.278ca3f38f22dp-17, -0x1.2566a263e8daep-17, }}, 
      {{-0x1.6bd0902955de1p+0, -0x1.52f8cc564a402p+0, -0x1.33b11aabeebd9p+0, -0x1.12dbd246fed3fp+0, -0x1.e6d44519980e7p-1, -0x1.ae01ea3f5f5c3p-1, -0x1.7cd421234eb99p-1, -0x1.53c36d1fdc1a4p-1, -0x1.3297b9b84436ep-1, -0x1.18b10a6fa88adp-1, -0x1.0538a42ca8746p-1, -0x1.ee83800edc2ep-2, -0x1.dbbd6eb46518ap-2, -0x1.d05c4a55c95b1p-2, -0x1.cac4eeb437641p-2, -0x1.c98b6481aa83bp-2, -0x1.cb755688726cep-2, -0x1.cf793ac4322cfp-2, -0x1.d4bb7617743ebp-2, -0x1.da8a5a2f46b44p-2, -0x1.e05998a321069p-2, -0x1.e5bd918f533f5p-2, -0x1.ea66bea0f13fcp-2, -0x1.ee1d6232c358fp-2, -0x1.f0bd90ec81a42p-2, -0x1.f233a12097192p-2, -0x1.f279039f5ada8p-2, -0x1.f19183deaa801p-2, -0x1.ef88e9e41960ap-2, -0x1.ec70f63d0aaedp-2, -0x1.e85faf55b295cp-2, -0x1.e36df85b31247p-2, -0x1.ddb667cb71762p-2, -0x1.d7545749eca26p-2, -0x1.d06323731e429p-2, -0x1.c8fd965043c06p-2, -0x1.c13d749b42757p-2, -0x1.b93b295afa612p-2, -0x1.b10d8a256cb6cp-2, -0x1.a8c9afb05de86p-2, -0x1.a082df53c5da8p-2, -0x1.984a818635c21p-2, -0x1.9030233e7c9c6p-2, -0x1.88417f46eaf8ep-2, -0x1.808a8e01c9a2ap-2, -0x1.7915996937a81p-2, -0x1.71eb54d5a08e3p-2, -0x1.6b12f65503946p-2, -0x1.649251d4c21eep-2, -0x1.5e6df47bc71d3p-2, -0x1.58a94021b9c63p-2, -0x1.534686970f2bcp-2, -0x1.4e4723f566219p-2, -0x1.49ab97e7f2314p-2, -0x1.45739e0ca2415p-2, -0x1.419e44a84c739p-2, -0x1.3e2a022a9bb07p-2, -0x1.3b14c92f6313bp-2, -0x1.385c1b2aba6d3p-2, -0x1.35fd19931ef75p-2, -0x1.33f495731c18fp-2, -0x1.323f1e1d45154p-2, -0x1.30d90e38b6d7cp-2, -0x1.2fbe978c354c3p-2, -0x1.2eebcdefa08a1p-2, -0x1.2e5cb0dea949cp-2, -0x1.2e0d340b45d7ep-2, -0x1.2df9471787306p-2, -0x1.2e1cdc7dafaafp-2, -0x1.2e73ef31632fcp-2, -0x1.2efa87f8ce698p-2, -0x1.2facc205c49aap-2, -0x1.3086ce5b75712p-2, -0x1.3184f73e364e3p-2, -0x1.32a3a2dbb621cp-2, -0x1.33df553bcc1f7p-2, -0x1.3534b21fab564p-2, -0x1.36a07e46e0f98p-2, -0x1.381fa088cfbb5p-2, -0x1.39af224a261f7p-2, -0x1.3b4c2fe21a691p-2, -0x1.3cf418d7e10e4p-2, -0x1.3ea44f742420cp-2, -0x1.405a689dba27cp-2, -0x1.42141b4f3b10ep-2, -0x1.43cf3ff81feeap-2, -0x1.4589cff6f3e7cp-2, -0x1.4741e4b285c84p-2, -0x1.48f5b6f99eab2p-2, -0x1.4aa39ddca95ecp-2, -0x1.4c4a0dcb30591p-2, -0x1.4de7975f19635p-2, -0x1.4f7ae664f3e2ap-2, -0x1.5102c080d88e2p-2, -0x1.527e0461131a3p-2, -0x1.53eba87503158p-2, -0x1.554ab9ecaab5bp-2, -0x1.569a5be8cbd6fp-2, -0x1.57d9c67cf4f0dp-2, -0x1.590845840889dp-2, -0x1.5a2537e92184cp-2, -0x1.5b300e8c039c1p-2, -0x1.5c284b70d56d1p-2, -0x1.5d0d808c37992p-2, -0x1.5ddf4eff0dce3p-2, -0x1.5e9d662f50e7p-2, -0x1.5f478302563dbp-2, -0x1.5fdd6efd7fa9ep-2, -0x1.605eff9140482p-2, -0x1.60cc1590ed99fp-2, -0x1.61249c5a7e3b5p-2, -0x1.61688980175b8p-2, -0x1.6197dbebe97ccp-2, -0x1.61b29b7850fccp-2, -0x1.61b8d85d83ebp-2, -0x1.61aaaa9d6b7acp-2, -0x1.6188317b9af63p-2, -0x1.6151931123e1dp-2, -0x1.6106fba093ddbp-2, -0x1.60a89d3f9111cp-2, -0x1.6036af5cfed58p-2, -0x1.5fb16e58b1969p-2, -0x1.5f191b28d8631p-2, -0x1.5e6dfad08e4c7p-2, -0x1.5db05631a3385p-2, -0x1.5ce079ae97916p-2, -0x1.5bfeb4dc61554p-2, -0x1.5b0b5a34ac482p-2, -0x1.5a06bed02a997p-2, -0x1.58f13a29ed25bp-2, -0x1.57cb25e52e711p-2, -0x1.5694dd74b6d95p-2, -0x1.554ebe04b31aep-2, -0x1.53f9263af2ba1p-2, -0x1.529475ee12ee7p-2, -0x1.51210e1d1b831p-2, -0x1.4f9f509253ca4p-2, -0x1.4e0f9fd279b99p-2, -0x1.4c725ef0c3656p-2, -0x1.4ac7f16630de7p-2, -0x1.4910baea0ca55p-2, -0x1.474d1f51fad15p-2, -0x1.457d8275f44a8p-2, -0x1.43a2480d4becap-2, -0x1.41bbd3940c3cbp-2, -0x1.3fca8834b77ffp-2, -0x1.3dcec8b35dfddp-2, -0x1.3bc8f73e5e0d8p-2, -0x1.39b97579e10f6p-2, -0x1.37a0a460c9ff3p-2, -0x1.357ee423781d6p-2, -0x1.3354943530ed6p-2, -0x1.3122131327d94p-2, -0x1.2ee7be529d63p-2, -0x1.2ca5f28fbc887p-2, -0x1.2a5d0b5895c07p-2, -0x1.280d631ea13a3p-2, -0x1.25b7532ec9b0dp-2, -0x1.235b33aaba7fap-2, -0x1.20f95b7c3cdf5p-2, -0x1.1e922047a651cp-2, -0x1.1c25d662e8546p-2, -0x1.19b4d0d0c5c2ep-2, -0x1.173f613b634c6p-2, -0x1.14c5d7eba0982p-2, -0x1.124883c4fb612p-2, -0x1.0fc7b23a27996p-2, -0x1.0d43af4410985p-2, -0x1.0abcc57c90f2bp-2, -0x1.08333dec6d203p-2, -0x1.05a76031a3205p-2, -0x1.0319726dde504p-2, -0x1.0089b936db5a1p-2, -0x1.fbf0ef4865ea9p-3, -0x1.f6cbde9c64b4dp-3, -0x1.f1a4c09683ac8p-3, -0x1.ec7c125b342d8p-3, -0x1.e7524e08e4a13p-3, -0x1.e227eabe1809dp-3, -0x1.dcfd5c9a0538cp-3, -0x1.d7d314ba2aae1p-3, -0x1.d2a9813fdcedp-3, -0x1.cd810d5a81f5ap-3, -0x1.c85a2149d4ee9p-3, -0x1.c335225cde43p-3, -0x1.be1272f860815p-3, -0x1.b8f272a3f7955p-3, -0x1.b3d57e12d5a0fp-3, -0x1.aebbef2622cbcp-3, -0x1.a9a61cf32747bp-3, -0x1.a4945bb8af154p-3, -0x1.9f86fd00ebd78p-3, -0x1.9a7e4fc8020b4p-3, -0x1.957aa033c3538p-3, -0x1.907c37d907a0dp-3, -0x1.8b835db0b115p-3, -0x1.869056284d525p-3, -0x1.81a3633b0af6dp-3, -0x1.7cbcc45ad5a72p-3, -0x1.77dcb675a1891p-3, -0x1.73037419c74a1p-3, -0x1.6e3135902ad3fp-3, -0x1.696630d629e94p-3, -0x1.64a299951bfdfp-3, -0x1.5fe6a12a35cc5p-3, -0x1.5b3276bf1a8a6p-3, -0x1.568647655544ap-3, -0x1.51e23e21cbb9ep-3, -0x1.4d4683e66afecp-3, -0x1.48b33f8e6fc13p-3, -0x1.442895ed24afbp-3, -0x1.3fa6a9ebfe7d4p-3, -0x1.3b2d9ca1908d3p-3, -0x1.36bd8d54242c9p-3, -0x1.32569970c6119p-3, -0x1.2df8dc8c4f1ecp-3, -0x1.29a470794941fp-3, -0x1.25596d691a525p-3, -0x1.2117e9ff51b6p-3, -0x1.1cdffb3a9a33ep-3, -0x1.18b1b480c1771p-3, -0x1.148d27b2a3272p-3, -0x1.10726512c81ccp-3, -0x1.0c617b957e132p-3, -0x1.085a78d67c837p-3, -0x1.045d690e1b8cfp-3, -0x1.006a571ae0643p-3, -0x1.f902990126b22p-4, -0x1.f144a2f02f6f6p-4, -0x1.e99ada13bfca3p-4, -0x1.e2054a427608dp-4, -0x1.da83fd1e92db3p-4, -0x1.d316fa09150fcp-4, -0x1.cbbe461817269p-4, -0x1.c479e4301cc2cp-4, -0x1.bd49d530031c7p-4, -0x1.b62e181ceded1p-4, -0x1.af26aa3611fc8p-4, -0x1.a83386ee56554p-4, -0x1.a154a7e17fbd2p-4, -0x1.9a8a04d2cf1adp-4, -0x1.93d393d0a004fp-4, -0x1.8d31495850d98p-4, -0x1.86a3187ae8a7fp-4, -0x1.8028f2e90450ap-4, -0x1.79c2c8ec2293dp-4, -0x1.7370895a17bc7p-4, -0x1.6d322190834f1p-4, -0x1.67077d955afecp-4, -0x1.60f0885164921p-4, -0x1.5aed2b9fc8cdcp-4, -0x1.54fd503eb68c1p-4, -0x1.4f20dddf55012p-4, -0x1.4957bb2db2387p-4, -0x1.43a1cda98948ep-4, -0x1.3dfef9e50cd73p-4, -0x1.386f238633c0cp-4, -0x1.32f22d5761745p-4, -0x1.2d87f98cc5c8ap-4, -0x1.283069855a5c7p-4, -0x1.22eb5dd5ae7e7p-4, -0x1.1db8b6548db94p-4, -0x1.1898521e2342ap-4, -0x1.138a0fa416a5cp-4, -0x1.0e8dccc3e89c4p-4, -0x1.09a366d8eb3c9p-4, -0x1.04cabac46321fp-4, -0x1.0003a4ecee8c1p-4, -0x1.f69c0274b03c7p-5, -0x1.ed53562b40645p-5, -0x1.e42cfae1812c1p-5, -0x1.db28a5aab0f55p-5, -0x1.d2460aebf1ddcp-5, -0x1.c984de76dc4aap-5, -0x1.c0e4d39680c26p-5, -0x1.b8659d10d306cp-5, -0x1.b006ed21d17b3p-5, -0x1.a7c8757b034fdp-5, -0x1.9fa9e74d04c42p-5, -0x1.97aaf35bcabc1p-5, -0x1.8fcb4a15feafap-5, -0x1.880a9baf523c2p-5, -0x1.80689825d120ap-5, -0x1.78e4ef51d4bdap-5, -0x1.717f50dd71fcp-5, -0x1.6a376c459f174p-5, -0x1.630cf0dcb1dc1p-5, -0x1.5bff8dd49f00ep-5, -0x1.550ef24f16762p-5, -0x1.4e3acd6eb92f8p-5, -0x1.4782ce65179dp-5, -0x1.40e6a47bbc72cp-5, -0x1.3a65ff1f32cc2p-5, -0x1.34008de587cccp-5, -0x1.2db60065b941bp-5, -0x1.27860636d851dp-5, -0x1.21704f50cb4a4p-5, -0x1.1b748bb6f9c0cp-5, -0x1.15926bc429a5bp-5, -0x1.0fc9a028e39b8p-5, -0x1.0a19d9b80e1efp-5, -0x1.0482c999be3ebp-5, -0x1.fe0842a3353fdp-6, -0x1.f33b256dd18ffp-6, -0x1.e89d9fe4f50f9p-6, -0x1.de2f170ee9b76p-6, -0x1.d3eef0b5ad3b1p-6, -0x1.c9dc936c711dcp-6, -0x1.bff7666e7d5f1p-6, -0x1.b63ed1dd37e4bp-6, -0x1.acb23ef115a1bp-6, -0x1.a35117f8535fbp-6, -0x1.9a1ac7d3b77c4p-6, -0x1.910eba4a83d1dp-6, -0x1.882c5c79ceb07p-6, -0x1.7f731c6555863p-6, -0x1.76e268df35e74p-6, -0x1.6e79b1c3bbaeep-6, -0x1.6638680e1e518p-6, -0x1.5e1dfdd3cb725p-6, -0x1.5629e64ab5d99p-6, -0x1.4e5b95c37cb67p-6, -0x1.46b281b310dc1p-6, -0x1.3f2e20ad28b74p-6, -0x1.37cdea692b33ep-6, -0x1.309157c28ebc5p-6, -0x1.2977e2bd86328p-6, -0x1.2281068c025ap-6, -0x1.1bac3f91563aep-6, -0x1.14f90b62da631p-6, -0x1.0e66e8c828b69p-6, -0x1.07f557c152c4dp-6, -0x1.01a3d990fc8a3p-6, -0x1.f6e3e17ba8693p-7, -0x1.eabe42112e19fp-7, -0x1.ded5debf915f1p-7, -0x1.d329c3cca03ccp-7, -0x1.c7b8fff8d4844p-7, -0x1.bc82a49fb10afp-7, -0x1.b185c5cf61282p-7, -0x1.a6c17a1c4e861p-7, -0x1.9c34d9f917504p-7, -0x1.91df00931b44p-7, -0x1.87bf0be0e5d38p-7, -0x1.7dd41c3cc5b63p-7, -0x1.741d55014ca5ep-7, -0x1.6a99db88d24c1p-7, -0x1.6148d78960f8bp-7, -0x1.5829735fb7db7p-7, -0x1.4f3adbf2a967dp-7, -0x1.467c40a49af5ap-7, -0x1.3decd351a957cp-7, -0x1.358bc84f97d48p-7, -0x1.2d58566d057c5p-7, -0x1.2551b6f024ae9p-7, -0x1.1d772596f1245p-7, -0x1.15c7e094db36bp-7, -0x1.0e4328609f8b1p-7, -0x1.06e840356d688p-7, -0x1.ff6cdab9b226dp-8, -0x1.f159efb8cd177p-8, -0x1.e39653343025p-8, -0x1.d6209eb643f6ap-8, -0x1.c8f7701c2c57dp-8, -0x1.bc1969f70746p-8, -0x1.af8533a0040d4p-8, -0x1.a339790e998b1p-8, -0x1.9734eada42596p-8, -0x1.8b763e2a94b57p-8, -0x1.7ffc2caa53ca3p-8, -0x1.74c5747c55a2ep-8, -0x1.69d0d83607bbdp-8, -0x1.5f1d1ee92427p-8, -0x1.54a9144c230a6p-8, -0x1.4a7388af28742p-8, -0x1.407b4fe9d0278p-8, -0x1.36bf41bba3695p-8, -0x1.2d3e3c392b3cbp-8, -0x1.23f7211cdca4fp-8, -0x1.1ae8d47e172bfp-8, -0x1.1212403d18ad7p-8, -0x1.097252e29aad5p-8, -0x1.0107fddca5e64p-8, -0x1.f1a46d33d7986p-9, -0x1.e19fedc4eaf2ep-9, -0x1.d20079619417dp-9, -0x1.c2c4142be0051p-9, -0x1.b3e8ca47777a2p-9, -0x1.a56caf95b8c33p-9, -0x1.974ddf83c8d1dp-9, -0x1.898a7cdd9f6a2p-9, -0x1.7c20b215c17p-9, -0x1.6f0eb05f69effp-9, -0x1.6252ae0493e63p-9, -0x1.55eae930b43d8p-9, -0x1.49d5a8ccaca02p-9, -0x1.3e113bf7850a2p-9, -0x1.329bf91f1cc4fp-9, -0x1.27743de5c8215p-9, -0x1.1c986f6ddc9ccp-9, -0x1.1206fa595d004p-9, -0x1.07be51d5fd84p-9, -0x1.fb79ddd4331a5p-10, -0x1.e802a000f1eafp-10, -0x1.d513f16d79cd1p-10, -0x1.c2aae3f38ef35p-10, -0x1.b0c494d82eb2ep-10, -0x1.9f5e2dfaeb965p-10, -0x1.8e74e70f49bb8p-10, -0x1.7e06068e34fcp-10, -0x1.6e0ee22c7168ep-10, -0x1.5e8cde9761e99p-10, -0x1.4f7d6e6375e1ap-10, -0x1.40de1070129f3p-10, -0x1.32ac4e29aa9d6p-10, -0x1.24e5b9fed3961p-10, -0x1.1787ee5435c8ap-10, -0x1.0a908d431df61p-10, -0x1.fbfa8279fe5fcp-11, -0x1.e3977ca172c5fp-11, -0x1.cbf38796d6c2ap-11, -0x1.b50a3b80c3952p-11, -0x1.9ed74c0d3697p-11, -0x1.8956884b5ba45p-11, -0x1.7483d9e86ba16p-11, -0x1.605b409e14107p-11, -0x1.4cd8cdbcc4023p-11, -0x1.39f8a0a08d602p-11, -0x1.27b6e24c0ff6dp-11, -0x1.160fc46ba5145p-11, -0x1.04ff828122644p-11, -0x1.e904c9c49893bp-12, -0x1.c92987a61ed1fp-12, -0x1.aa661ad585fbbp-12, -0x1.8cb39f9fab79fp-12, -0x1.700b76e0e2813p-12, -0x1.546739be46c72p-12, -0x1.39c0b7e3a5b72p-12, -0x1.2011f88055883p-12, -0x1.075525b0819f3p-12, -0x1.df08e5bc3740ap-13, -0x1.b13423b100402p-13, -0x1.85204966e1144p-13, -0x1.5ac18fe451528p-13, -0x1.320c2ca187501p-13, -0x1.0af43c6a38bbp-13, -0x1.cadbd25459c0dp-14, -0x1.82dbdf6e52a6dp-14, -0x1.3dd31d7a89d4bp-14, -0x1.f758c288a8abap-15, -0x1.78a8a993a8ab8p-15, -0x1.fee42e59ee80ep-16, -0x1.1725e18f97abfp-16, -0x1.cea9125acee3ap-19, 0x1.329bb99db44e4p-17, 0x1.628264e227ddap-16, 0x1.11044c28fd7d2p-15, 0x1.6c11337fca92cp-15, 0x1.c289f1dfa509bp-15, 0x1.0a48c2417c9f5p-14, 0x1.3125c059ec735p-14, 0x1.55edc503b7d9cp-14, 0x1.78b257d9326d5p-14, 0x1.998464a3ac6d8p-14, 0x1.b873f57832d38p-14, 0x1.d59002ef4b21dp-14, 0x1.f0e660de276b6p-14, 0x1.0541e72c251cbp-13, 0x1.113a0be8f6164p-13, 0x1.1c60ee87e9ad6p-13, 0x1.26bcb09b4109fp-13, 0x1.3051dddd45a44p-13, 0x1.392613d845f5fp-13, 0x1.413ed6211db65p-13, 0x1.48a1d55095e1dp-13, 0x1.4f54ee0c08832p-13, 0x1.555e1d5faf66cp-13, 0x1.5ac36d9704263p-13, 0x1.5f8adf2c0caa3p-13, 0x1.63ba51667dac6p-13, 0x1.67576e17ac8fbp-13, 0x1.6a679aad210dap-13, 0x1.6cefeeb32b37cp-13, 0x1.6ef5300f30abcp-13, 0x1.707bd433563a5p-13, 0x1.7188068cf4b19p-13, 0x1.721db47ffcff7p-13, 0x1.72409e4a6b095p-13, 0x1.71f46ab2cb3b1p-13, 0x1.713cba023009ep-13, 0x1.701d33eb11dadp-13, 0x1.6e998d5c3ffa8p-13, 0x1.6cb583c005ba9p-13, 0x1.6a74d63005485p-13, 0x1.67db62bbecce3p-13, 0x1.64ec8a212fc13p-13, 0x1.61abf3d547a4cp-13, 0x1.5e1d1e47a14edp-13, 0x1.5a43769a84367p-13, 0x1.56224a6583845p-13, 0x1.51bcf1154068p-13, 0x1.4d16a5d473p-13, 0x1.483277d266aaep-13, 0x1.43133ad8e500ap-13, 0x1.3dbb824f66aabp-13, 0x1.382dabf9d16f5p-13, 0x1.326bf3f55c63p-13, 0x1.2c788fb894cfdp-13, 0x1.2655d94a2304cp-13, 0x1.200650e1e87bdp-13, 0x1.198c70bee8da9p-13, 0x1.12ea965b1a2cdp-13, 0x1.0c2306b8f8977p-13, 0x1.0537e4157d101p-13, 0x1.fc563c80d975fp-14, 0x1.edfd0a0bfd00dp-14, 0x1.df67b75e46b0dp-14, 0x1.d099f37d53ccfp-14, 0x1.c1982775c2cc1p-14, 0x1.b26678c6e6acbp-14, 0x1.a308fadae8923p-14, 0x1.9384084a5cbap-14, 0x1.83dac1aeab824p-14, 0x1.740ff3e3cc8f7p-14, 0x1.64261130f0cf4p-14, 0x1.541f3f5193ed5p-14, 0x1.43fde0aa2f8c9p-14, 0x1.33c48cd08f4d8p-14, 0x1.237617f2b5c9dp-14, 0x1.1315da54ccac5p-14, 0x1.02a7133e53549p-14, 0x1.e45926bb66a79p-15, 0x1.c351bc99eb899p-15, 0x1.a23c1ce42939bp-15, 0x1.811bac93204e6p-15, 0x1.5ff3a565b5f46p-15, 0x1.3ec76490f86f2p-15, 0x1.1d9abcdbb8aa5p-15, 0x1.f8e4251781f7bp-16, 0x1.b6a471527c5c5p-16, 0x1.74801dbedd948p-16, 0x1.32801c0444796p-16, 0x1.e157b106db1b8p-17, 0x1.5e11ece1e9895p-17, 0x1.b66e9509f907dp-18, 0x1.633baccff0b1ep-19, -0x1.48faf0b25b014p-20, -0x1.551376ec3c2d9p-18, -0x1.2b642268ef23dp-17, -0x1.aba11cfc0bd94p-17, -0x1.15998f24592fbp-16, -0x1.550aaee7cbf1ap-16, -0x1.941222f39c289p-16, -0x1.d2b8002fd6988p-16, -0x1.087a7379be04ep-15, -0x1.276317be5c8bp-15, -0x1.4614aaf2d0dd2p-15, -0x1.648dbf691dbe3p-15, -0x1.82cca57d1d195p-15, -0x1.a0cf7ba18bdbdp-15, -0x1.be9452f02abe4p-15, -0x1.dc1952e02c43fp-15, -0x1.f95cd15a80998p-15, -0x1.0b2eaf1a81786p-14, -0x1.198ce0ee71d33p-14, -0x1.27c87875340bbp-14, -0x1.35e0baf9a87a4p-14, -0x1.43d578c9252c8p-14, -0x1.51a64818c4397p-14, -0x1.5f52662d175a3p-14, -0x1.6cd97a0070af2p-14, -0x1.7a3ae0a0c82dbp-14, -0x1.877638ab98503p-14, -0x1.948b1292e14p-14, -0x1.a178fb58d1201p-14, -0x1.ae3fae5244e6fp-14, -0x1.badef0059a815p-14, -0x1.c756937aae13bp-14, -0x1.d3a669fc83097p-14, -0x1.dfce3f6f27d4bp-14, -0x1.ebcddd8b81e9p-14, -0x1.f7a5117100a6fp-14, -0x1.01a9d8a7b1809p-13, -0x1.076cd090c3ebp-13, -0x1.0d1b693831394p-13, -0x1.12b59d54fdadap-13, -0x1.183b6288a2533p-13, -0x1.1daca660d2b5fp-13, -0x1.230955a4edb33p-13, -0x1.28517266e6a0fp-13, -0x1.2d84eeb4254c9p-13, -0x1.32a3a27d1d789p-13, -0x1.37adcc95866a8p-13, -0x1.3ca346fb13de3p-13, -0x1.418439d839df6p-13, -0x1.4650ba321c4adp-13, -0x1.4b08bcedca9e6p-13, -0x1.4fac4bde0fb75p-13, -0x1.543b76ce62bd4p-13, -0x1.58b64bda0cb62p-13, -0x1.5d1cd83842634p-13, -0x1.616f2b0278ccap-13, -0x1.65ad56c8417d2p-13, -0x1.69d770d1d2be3p-13, -0x1.6ded8fc25fd8ep-13, -0x1.71efca69815f2p-13, -0x1.75de387452828p-13, -0x1.79b8f0194c801p-13, -0x1.7d800be9c64cep-13, -0x1.8133a4b7f67a5p-13, -0x1.84d3d334ac2a9p-13, -0x1.8860b0ab78aa1p-13, -0x1.8bda5ceeaca1ap-13, -0x1.8f40f9e83805fp-13, -0x1.92948edeeb99ap-13, -0x1.95d548bd63f3bp-13, -0x1.9903546f106fdp-13, -0x1.9c1eb928e05b4p-13, -0x1.9f27a8cf1c036p-13, -0x1.a21e430493724p-13, -0x1.a502a838e4b3bp-13, -0x1.a7d509b47a306p-13, -0x1.aa95963eec656p-13, -0x1.ad4465575a1b7p-13, -0x1.afe189bbac3f7p-13, -0x1.b26d2458f4eeep-13, -0x1.b4e7652f41158p-13, -0x1.b750795f58c64p-13, -0x1.b9a883e5c83fep-13, -0x1.bbefa731bdba8p-13, -0x1.be260cddea9acp-13, -0x1.c04be9c0337acp-13, -0x1.c2614c62607c8p-13, -0x1.c4669b8a125f9p-13, -0x1.c65ba8b0d661dp-13, -0x1.c840b616e554bp-13, -0x1.ca160ea4ab4e3p-13, -0x1.cbdbc36fae31fp-13, -0x1.cd91fa4ff9852p-13, -0x1.cf38d888c0bedp-13, -0x1.d0d082bc9244p-13, -0x1.d259203d965e6p-13, -0x1.d3d2d5fbe583cp-13, -0x1.d53dd77dea766p-13, -0x1.d69a5fcb649abp-13, -0x1.d7e89dcffccebp-13, -0x1.d928b37f48cd3p-13, -0x1.da5abc3a24e7ep-13, -0x1.db7ee283d4198p-13, -0x1.dc955b0ef290fp-13, -0x1.dd9e495edc892p-13, -0x1.de99cba8f45ffp-13, -0x1.df87ff8c20a9p-13, -0x1.e0692b3efc449p-13, -0x1.e13d70fc40956p-13, -0x1.e204fabb996cep-13, -0x1.e2bff31935926p-13, -0x1.e36e802ee94dep-13, -0x1.e410c8d04d1d4p-13, -0x1.e4a6f2d90e10cp-13, -0x1.e53125e754e5ap-13, -0x1.e5af9d5f3ce62p-13, -0x1.e6227a94cd0dap-13, -0x1.e689c4b51ec21p-13, -0x1.e6e5ca6e452fcp-13, -0x1.e73683eb26771p-13, -0x1.e77c4c0e7502fp-13, -0x1.e7b73e2675bd9p-13, -0x1.e7e7d603dbe07p-13, -0x1.e80d1641c6aa9p-13, -0x1.e82852d791241p-13, -0x1.e8394e4677649p-13, -0x1.e8402e4f711eep-13, -0x1.e83d18211478ap-13, -0x1.e8302ec38a10bp-13, -0x1.e8199906aebb1p-13, -0x1.e7f97fa78f023p-13, -0x1.e7d007a4d3706p-13, -0x1.e79d514fa489p-13, -0x1.e76181f067398p-13, -0x1.e71cc133abcb3p-13, -0x1.e6cf311f6fa37p-13, -0x1.e678f38e2cf37p-13, -0x1.e61a2c9a2355cp-13, -0x1.e5b300114561ep-13, -0x1.e543912473bedp-13, -0x1.e4cc02ae5e24p-13, -0x1.e44c772714347p-13, -0x1.e3c5108d6d121p-13, -0x1.e335f084c60dap-13, -0x1.e29f3881f7265p-13, -0x1.e20109368062cp-13, -0x1.e15b81eac8e6fp-13, -0x1.e0aec3d86df9fp-13, -0x1.dffafb3257cf2p-13, -0x1.df4043564848dp-13, -0x1.de7eb1f0d0ec7p-13, -0x1.ddb667dffb10dp-13, -0x1.dce773ececcf2p-13, -0x1.dc12200d5daddp-13, -0x1.db366a457843ep-13, -0x1.da54786623a04p-13, -0x1.d96c7e3369badp-13, -0x1.d87e6817efde4p-13, -0x1.d78a7d937cabap-13, -0x1.d690d5ea41aap-13, -0x1.d5918d9e5d278p-13, -0x1.d48cb79d948f3p-13, -0x1.d3826d3ef43a3p-13, -0x1.d272c9369ba1ep-13, -0x1.d15deaed1fe64p-13, -0x1.d043f9601d044p-13, -0x1.cf251357a9c4fp-13, -0x1.ce013e6ed07d2p-13, -0x1.ccd8a0ff0ffb9p-13, -0x1.cbab50a16376fp-13, -0x1.ca7967e63d1bbp-13, -0x1.c943007ad8659p-13, -0x1.c80831a1489fap-13, -0x1.c6c9170a0de75p-13, -0x1.c585dae0b612p-13, -0x1.c43e91ab704f2p-13, -0x1.c2f337391ed82p-13, -0x1.c1a3f15e4b2dcp-13, -0x1.c050d188953a7p-13, -0x1.befa011a2cd2fp-13, -0x1.bd9f93ea2f21p-13, -0x1.bc4194830146ap-13, -0x1.bae01d6a4586dp-13, -0x1.b97b46367858cp-13, -0x1.b8132682daad6p-13, -0x1.b6a7ca02b54c7p-13, -0x1.b539664bdbfc7p-13, -0x1.b3c7fa6278cf5p-13, -0x1.b2538beb1e26dp-13, -0x1.b0dc3bb5f4029p-13, -0x1.af621237bfd48p-13, -0x1.ade549a7da765p-13, -0x1.ac65dd8af1f28p-13, -0x1.aae3ddf319fcdp-13, -0x1.a95f60673bb2ep-13, -0x1.a7d88603ff6efp-13, -0x1.a64f597e660adp-13, -0x1.a4c3df91e84f7p-13, -0x1.a3362b24e9f22p-13, -0x1.a1a65a6b93dd8p-13, -0x1.a0148435a3917p-13, -0x1.9e80b8d0f9647p-13, -0x1.9ceb0de3e393ep-13, -0x1.9b53748304863p-13, -0x1.99ba1126918fap-13, -0x1.981f045a01082p-13, -0x1.96824e52a0d7cp-13, -0x1.94e3fe4a9303p-13, -0x1.9344265dc51e7p-13, -0x1.91a2d6ac4e6f5p-13, -0x1.90002110a30afp-13, -0x1.8e5c1a485375dp-13, -0x1.8cb6c88f3ed3bp-13, -0x1.8b1034e594b6bp-13, -0x1.896879b006d7bp-13, -0x1.87bfa587589cap-13, -0x1.8615c2081849ep-13, -0x1.846adcf9de5f4p-13, -0x1.82bf04bd84eb9p-13, -0x1.81124748d42edp-13, -0x1.7f64b229fe50ap-13, -0x1.7db6528dca565p-13, -0x1.7c07354b620dbp-13, -0x1.7a5766f6371c4p-13, -0x1.78a6f3fa15d7dp-13, -0x1.76f5e8db040aep-13, -0x1.754452386f354p-13, -0x1.73923b7b8d438p-13, -0x1.71dfad10999b5p-13, -0x1.702cb42ee4ea3p-13, -0x1.6e796cab498a7p-13, -0x1.6cc5cc96767bcp-13, -0x1.6b11e3f8dc5f9p-13, -0x1.695dc33d7e69p-13, -0x1.67a962fd3805p-13, -0x1.65f4e59ff622dp-13, -0x1.644050ded58b2p-13, -0x1.628ba55e75205p-13, -0x1.60d6f2955adb9p-13, -0x1.5f2240afd9759p-13, -0x1.5d6d9998dfa26p-13, -0x1.5bb9077e94577p-13, -0x1.5a04935613af8p-13, -0x1.5850445912582p-13, -0x1.569c2692063c6p-13, -0x1.54e843e6b6826p-13, -0x1.53349eb809c15p-13, -0x1.518156ec4aebap-13, -0x1.4fce4fcf0fe88p-13, -0x1.4e1b999bb2c44p-13, -0x1.4c6952bb23361p-13, -0x1.4ab778b22a2adp-13, -0x1.490608a362df2p-13, -0x1.47550b4b6d456p-13, -0x1.45a4a1ab7f33dp-13, -0x1.43f4c6b34d52fp-13, -0x1.42457a3da7ed4p-13, -0x1.4096bffcdb3cdp-13, -0x1.3ee88f38618c9p-13, -0x1.3d3b1a1e256dfp-13, -0x1.3b8e48a441e62p-13, -0x1.39e22c9a5954p-13, -0x1.3836c8fd7a0efp-13, -0x1.368c23918e15ap-13, -0x1.34e2439da0b6ap-13, -0x1.33392e87a803ep-13, -0x1.3190ea70a1a11p-13, -0x1.2fe97d1d81431p-13, -0x1.2e42ec21d39cbp-13, -0x1.2c9d3cc1bed4bp-13, -0x1.2af873ca0ed94p-13, -0x1.295496b060236p-13, -0x1.27b1af491a18p-13, -0x1.260fc1e863dc2p-13, -0x1.246ec8737f79dp-13, -0x1.22cecfc8f874cp-13, -0x1.212fe12699138p-13, -0x1.1f91fd4dbc667p-13, -0x1.1df5278b92aa9p-13, -0x1.1c5963498f989p-13, -0x1.1abeb49e2cb6cp-13, -0x1.19252194548adp-13, -0x1.178cb2a70ee82p-13, -0x1.15f564ad415a6p-13, -0x1.145f405433c9dp-13, -0x1.12ca449d19e09p-13, -0x1.1136783a43b1bp-13, -0x1.0fa3e2b198ceep-13, -0x1.0e1283f62f93cp-13, -0x1.0c825a8014b3cp-13, -0x1.0af36ff39408bp-13, -0x1.0965c7290b35p-13, -0x1.07d9633512615p-13, -0x1.064e43e6fc17cp-13, -0x1.04c46fa254e73p-13, -0x1.033be846f898fp-13, -0x1.01b4b0b60880fp-13, -0x1.002ecbbc8c231p-13, -0x1.fd54782a4fb33p-14, -0x1.fa4e08d4985c5p-14, -0x1.f74a4eb468559p-14, -0x1.f4494edef1aa5p-14, -0x1.f14b0d45f9917p-14, -0x1.ee4f8e7a73a0bp-14, -0x1.eb56d068a5a5p-14, -0x1.e860d6812f01fp-14, -0x1.e56dd36aca4e3p-14, -0x1.e27d8a5d00a1cp-14, -0x1.df90221fb22e3p-14, -0x1.dca55758e72fp-14, -0x1.d9bdcb9260d86p-14, -0x1.d6d907c49907cp-14, -0x1.d3f71c95dc11fp-14, -0x1.d1181f555dfb2p-14, -0x1.ce3c0d6f2e548p-14, -0x1.cb62eaf89b9a3p-14, -0x1.c88cbb30ae70bp-14, -0x1.c5b97f0e3dc03p-14, -0x1.c2e9291ad9f0ep-14, -0x1.c01bf6d9ca8aep-14, -0x1.bd51a9d08e099p-14, -0x1.ba8a54f22536dp-14, -0x1.b7c63b879efbp-14, -0x1.b504fa330a261p-14, -0x1.b246b158ea179p-14, -0x1.af8b5adf0b8fap-14, -0x1.acd33dce43728p-14, -0x1.aa1e265e9a947p-14, -0x1.a76c17c594409p-14, -0x1.a4bd10320d4a6p-14, -0x1.a21116e4bd53dp-14, -0x1.9f682e8961722p-14, -0x1.9cc266c48c0fep-14, -0x1.9a1fa9651b3aep-14, -0x1.977ff7033df82p-14, -0x1.94e35fdd20864p-14, -0x1.9249e4478be78p-14, -0x1.8fb37da7331a5p-14, -0x1.8d202d1ea6742p-14, -0x1.8a8ffa41f5d7dp-14, -0x1.8802d497edd3fp-14, -0x1.8578cf8c0a306p-14, -0x1.82f1df2027deap-14, -0x1.806e068c3d10bp-14, -0x1.7ded4efb5928cp-14, -0x1.7b6faad337446p-14, -0x1.78f5284e2246fp-14, -0x1.767dbb4497ed5p-14, -0x1.7409663217597p-14, -0x1.71982db5dd0d6p-14, -0x1.6f2a0ab60ddacp-14, -0x1.6cbf02e84624fp-14, -0x1.6a5713c8d3c05p-14, -0x1.67f23cb48df36p-14, -0x1.65907d3526935p-14, -0x1.6331d4bd0a47p-14, -0x1.60d642ac9affp-14, -0x1.5e7dc653df679p-14, -0x1.5c285ef2501bdp-14, -0x1.59d60bb45091cp-14, -0x1.5786cb9ea50f8p-14, -0x1.553a962a291e5p-14, -0x1.52f183af406c8p-14, -0x1.50ab732bb77f8p-14, -0x1.4e68778a33611p-14, -0x1.4c288e8b0e8aap-14, -0x1.49ebaa42b21eep-14, -0x1.47b1d7123cf25p-14, -0x1.457b06d8b4736p-14, -0x1.434745e86cd62p-14, -0x1.41168cc7bd385p-14, -0x1.3ee8d93973281p-14, -0x1.3cbe2a51d3da4p-14, -0x1.3a967e895111dp-14, -0x1.3871d31f962bcp-14, -0x1.3650450e89923p-14, -0x1.34317d0d81e5p-14, -0x1.3215ce045cb9ap-14, -0x1.2ffd29649b534p-14, -0x1.2de7660a6b201p-14, -0x1.2bd4b2bd615ecp-14, -0x1.29c4b9f30bc97p-14, -0x1.27b7fb6583d22p-14, -0x1.25ae1ea000afdp-14, -0x1.23a72323825bdp-14, -0x1.21a3115a7c785p-14, -0x1.1fa21ecb90c42p-14, -0x1.1da3d54bf2e06p-14, -0x1.1ba88951e11e7p-14, -0x1.19b019c79d3c6p-14, -0x1.17bab30d982f9p-14, -0x1.15c81825257d6p-14, -0x1.13d8568653f91p-14, -0x1.11eb7a653d92dp-14, -0x1.100179674f061p-14, -0x1.0e1a506334c36p-14, -0x1.0c35fd7cd131p-14, -0x1.0a547ed5fca69p-14, -0x1.0875c6567999bp-14, -0x1.0699f67446982p-14, -0x1.04c0e896cf46ap-14, -0x1.02eaa4d4d5505p-14, -0x1.01172a4b5b4d5p-14, -0x1.fe8ceeff869ecp-15, -0x1.faf10de844e44p-15, -0x1.f75aaf9688e54p-15, -0x1.f3c9ceee8398p-15, -0x1.f03e707ecf9c9p-15, -0x1.ecb878f700cb1p-15, -0x1.e9381145bdab6p-15, -0x1.e5bcde4ca0f26p-15, -0x1.e2472b47b3f5cp-15, -0x1.ded6d8fb8a531p-15, -0x1.db6bda6e3b165p-15, -0x1.d8062db1d39e7p-15, -0x1.d4a5deba63dadp-15, -0x1.d14acd3d85907p-15, -0x1.cdf516c17d341p-15, -0x1.caa4905c00bb2p-15, -0x1.c7594213349dbp-15, -0x1.c4132b7471a37p-15, -0x1.c0d245d4efce2p-15, -0x1.bd968af3ba9ddp-15, -0x1.ba5ff47542b05p-15, -0x1.b72ea57b6c26p-15, -0x1.b402256004e49p-15, -0x1.b0dadc1426a04p-15, -0x1.adb8a4f949609p-15, -0x1.aa9b76d967a8ep-15, -0x1.a7834d71f0207p-15, -0x1.a47024620a323p-15, -0x1.a161f44ab985bp-15, -0x1.9e58aada2aefap-15, -0x1.9b545fc5b665ap-15, -0x1.9854f10bcdc6cp-15, -0x1.955a759e3fb46p-15, -0x1.9264cbfb59daep-15, -0x1.8f73f8c863cfep-15, -0x1.8c87f8fabd565p-15, -0x1.89a0c5cdee76p-15, -0x1.86be570124822p-15, -0x1.83e0ab4cc067p-15, -0x1.8107fda90f31ep-15, -0x1.7e3341d07903p-15, -0x1.7b63e12f8f60fp-15, -0x1.7898ea8fd6b17p-15, -0x1.75d2e902987a2p-15, -0x1.73115d461ce06p-15, -0x1.705463235b125p-15, -0x1.6d9b913f66904p-15, -0x1.6ae7cef4c8f52p-15, -0x1.68388826dca79p-15, -0x1.658db21dd263bp-15, -0x1.62e7557dbb9fep-15, -0x1.60456fc92e55fp-15, -0x1.5da7fbc25f9c9p-15, -0x1.5b0ef3b1723e5p-15, -0x1.587a51db4cb88p-15, -0x1.55ea10964e81fp-15, -0x1.535e2cfe9b7f6p-15, -0x1.50d6afedab8f5p-15, -0x1.4e535571ed112p-15, -0x1.4bd45debe2572p-15, -0x1.4959ab403c6dap-15, -0x1.46e3354852c4dp-15, -0x1.4470f9a9cf27ap-15, -0x1.4202ef5df002bp-15, -0x1.3f99105f330a3p-15, -0x1.3d3368b2c7cd4p-15, -0x1.3ad1c8b44ff97p-15, -0x1.38745033d263ap-15, -0x1.361af79a2853fp-15, -0x1.33c5acc63377ap-15, -0x1.31746a2ce3a55p-15, -0x1.2f272e5eba78p-15, -0x1.2cddf413063bfp-15, -0x1.2a98b554b0d8bp-15, -0x1.28576c2e1641ap-15, -0x1.261a12cebf6bep-15, -0x1.23e0a3eff47cp-15, -0x1.21ab132e8640cp-15, -0x1.1f79e0d2ccd6ap-15, -0x1.1d4ba4b002f31p-15, -0x1.1b21aa967c7b3p-15, -0x1.18fb7ffa6d616p-15, -0x1.16d91e7403cbbp-15, -0x1.14ba81a6e6fc5p-15, -0x1.129fa3f9f9501p-15, -0x1.1088864dfe35p-15, -0x1.0e750db84e4cp-15, -0x1.0c653479b0c9bp-15, -0x1.0a593580abcf9p-15, -0x1.0850c44237c43p-15, -0x1.064bf2355f41ep-15, -0x1.044abaee4da77p-15, -0x1.024d0a8cbb6adp-15, -0x1.0052e6da1f848p-15, -0x1.fcb8bfabd5cebp-16, -0x1.f8d2bc81cb555p-16, -0x1.f4f3a1247371ep-16, -0x1.f11b7e916d42cp-16, -0x1.ed4a446970389p-16, -0x1.e97fd7cc1773ep-16, -0x1.e5bc1870811dbp-16, -0x1.e2000fed73df5p-16, -0x1.de49e114a9a69p-16, -0x1.da9a4523ea629p-16, -0x1.d6f1a6557db77p-16, -0x1.d34fc6f9e9fd8p-16, -0x1.cfb446ca5721p-16, -0x1.cc1f9a5852722p-16, -0x1.c891773309aacp-16, -0x1.c509554faadbap-16, -0x1.c188318c68a7bp-16, -0x1.be0cfc8d9d683p-16, -0x1.ba985b704bac1p-16, -0x1.b729fea129fa4p-16, -0x1.b3c1f107c8e11p-16, -0x1.b0601b7cb9b1ep-16, -0x1.ad047b76147bfp-16, -0x1.a9aefc91f6117p-16, -0x1.a65fa7af61214p-16, -0x1.a31674aa9f8dp-16, -0x1.9fd33f289d9a1p-16, -0x1.9c9631bb89db2p-16, -0x1.995ee3897c222p-16, -0x1.962da138b5717p-16, -0x1.9302417d9cc1ep-16, -0x1.8fdcc79f64bf8p-16, -0x1.8cbd1d12ea275p-16, -0x1.89a34c17ff87p-16, -0x1.868f4bb706e96p-16, -0x1.8380b7daf8e56p-16, -0x1.8078088a21d38p-16, -0x1.7d74e5f559681p-16, -0x1.7a77f5eab711cp-16, -0x1.777f9ef9f624p-16, -0x1.748d523acbacbp-16, -0x1.71a07d6a6ab53p-16, -0x1.6eb91e28b94b3p-16, -0x1.6bd73690da8c3p-16, -0x1.68fab3178ecf2p-16, -0x1.66238d3d53dc1p-16, -0x1.635205d1f28c9p-16, -0x1.60853400db33dp-16, -0x1.5dbde6583f42p-16, -0x1.5afbe03a59251p-16, -0x1.583f290b38684p-16, -0x1.55875b78df051p-16, -0x1.52d4fd97250a4p-16, -0x1.502769444fd7ap-16, -0x1.4d7f0a6392a7p-16, -0x1.4adbaef66b058p-16, -0x1.483d525056ed3p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.31cb20d761b5fp-8, -0x1.32316befbf601p-7, -0x1.cc482e202dce3p-7, -0x1.33c57ff91dc96p-6, -0x1.822afc08b480cp-6, -0x1.d17f69553d9cdp-6, -0x1.10f502941d23dp-5, -0x1.39c70fc0b29cep-5, -0x1.634574562a057p-5, -0x1.8d7da787d0a86p-5, -0x1.b87af4417bb16p-5, -0x1.e446735ae49bbp-5, -0x1.0873861989d79p-4, -0x1.1f30be5a9ddcbp-4, -0x1.365c34a119198p-4, -0x1.4df63a15dc5e8p-4, -0x1.65fe2dd36a868p-4, -0x1.7e728e4482217p-4, -0x1.97510beed56dap-4, -0x1.b0969cb211cbdp-4, -0x1.ca3f8ea219391p-4, -0x1.e44799d4e16abp-4, -0x1.fea9f0b62f9fep-4, -0x1.0cb0a75645ce1p-3, -0x1.1a340286557dep-3, -0x1.27dc033f92e0ep-3, -0x1.35a5788b43921p-3, -0x1.438d0bb0a3b82p-3, -0x1.518f4462fc063p-3, -0x1.5fa88cb9134f6p-3, -0x1.6dd5350c448dp-3, -0x1.7c1177d5dd179p-3, -0x1.8a597d98fa029p-3, -0x1.98a960df0b1c7p-3, -0x1.a6fd3245ddb3p-3, -0x1.b550fc98108ebp-3, -0x1.c3a0c8e47f2aep-3, -0x1.d1e8a2864d8f5p-3, -0x1.e0249b0dd123cp-3, -0x1.ee50cdfaa9b88p-3, -0x1.fc69643847f4dp-3, -0x1.05354ba80dd55p-2, -0x1.0c285a23806bap-2, -0x1.130c0f0f3834ap-2, -0x1.19dea7fa6989dp-2, -0x1.209e6f61a1d43p-2, -0x1.2749bd5ce8636p-2, -0x1.2ddef81ed79dap-2, -0x1.345c944773804p-2, -0x1.3ac1150e5c8b4p-2, -0x1.410b0c489c894p-2, -0x1.47391a4ebe4e9p-2, -0x1.4d49edc822a1ap-2, -0x1.533c43608dbc7p-2, -0x1.590ee56ce31ep-2, -0x1.5ec0ab83cd87ep-2, -0x1.64507a0eb6dbap-2, -0x1.69bd41d72c4c4p-2, -0x1.6f05ff943b858p-2, -0x1.7429bb7af359cp-2, -0x1.792788d4a86b6p-2, -0x1.7dfe859d22b3p-2, -0x1.82adda2a59a75p-2, -0x1.8734b8def3c56p-2, -0x1.8b925de844643p-2, -0x1.8fc60f082ebdp-2, -0x1.93cf1b6ae7902p-2, -0x1.97acdb8848df4p-2, -0x1.9b5eb1102b005p-2, -0x1.9ee406e0ed4b2p-2, -0x1.a23c51074385p-2, -0x1.a5670cc61ebd7p-2, -0x1.a863c0a587daep-2, -0x1.ab31fc8720acap-2, -0x1.add159bf04ba3p-2, -0x1.b0417b2fb79b8p-2, -0x1.b2820d67e7b51p-2, -0x1.b492c6c0bb0e3p-2, -0x1.b673677b904a6p-2, -0x1.b823b9de10311p-2, -0x1.b9a3924b9f2f2p-2, -0x1.baf2cf5b4468dp-2, -0x1.bc1159e943f6bp-2, -0x1.bcff2523ba9fbp-2, -0x1.bdbc2e91b39a1p-2, -0x1.be487e143d9f6p-2, -0x1.bea425e130283p-2, -0x1.becf427756edap-2, -0x1.bec9fa8bf0c69p-2, -0x1.be947ef1654a6p-2, -0x1.be2f0a7744931p-2, -0x1.bd99e1c3af77ep-2, -0x1.bcd553265126cp-2, -0x1.bbe1b6652f9ap-2, -0x1.babf6c83a2858p-2, -0x1.b96edf83c52bbp-2, -0x1.b7f08222cc387p-2, -0x1.b644cf90aa8p-2, -0x1.b46c4b2376fdp-2, -0x1.b26780070b3bcp-2, -0x1.b03700e955c96p-2, -0x1.addb67a3daeb4p-2, -0x1.ab5554e2e014ep-2, -0x1.a8a56fcab94c4p-2, -0x1.a5cc659bb7982p-2, -0x1.a2cae95523c68p-2, -0x1.9fa1b357be7f7p-2, -0x1.9c5181082907ap-2, -0x1.98db1471a3565p-2, -0x1.953f33e97a16bp-2, -0x1.917ea9b380103p-2, -0x1.8d9a43a7e2901p-2, -0x1.8992d2daa950ep-2, -0x1.85692b451becdp-2, -0x1.811e237158f1fp-2, -0x1.7cb294283f939p-2, -0x1.78275821f177p-2, -0x1.737d4bb8fff4dp-2, -0x1.6eb54ca076114p-2, -0x1.69d0399ccd3e3p-2, -0x1.64cef23fec214p-2, -0x1.5fb256a833523p-2, -0x1.5a7b4742aef1cp-2, -0x1.552aa49062fa2p-2, -0x1.4fc14eeebc674p-2, -0x1.4a4026631e6afp-2, -0x1.44a80a6982e14p-2, -0x1.3ef9d9c62376ap-2, -0x1.3936725a1977bp-2, -0x1.335eb0fae475ep-2, -0x1.2d73714cc1521p-2, -0x1.27758d9fbc918p-2, -0x1.2165decf65997p-2, -0x1.1b453c2507fd8p-2, -0x1.15147b3c52b01p-2, -0x1.0ed46fea4ba82p-2, -0x1.0885ec2679ff6p-2, -0x1.0229bff621964p-2, -0x1.f78172b2f01c1p-3, -0x1.ea974875651a9p-3, -0x1.dd9694bda2134p-3, -0x1.d080e6b00d17fp-3, -0x1.c357c8f353852p-3, -0x1.b61cc19b07524p-3, -0x1.a8d15214e9983p-3, -0x1.9b76f71883509p-3, -0x1.8e0f2898fe38ep-3, -0x1.809b59b8f3f83p-3, -0x1.731cf8c014bd3p-3, -0x1.65956f126c278p-3, -0x1.5806212926954p-3, -0x1.4a706e8ca9168p-3, -0x1.3cd5b1cfcf2b4p-3, -0x1.2f37408c41194p-3, -0x1.21966b5fa5482p-3, -0x1.13f47de9a75c3p-3, -0x1.0652becaac995p-3, -0x1.f164df46310f7p-4, -0x1.d6299a262cd5ep-4, -0x1.baf61d758dfep-4, -0x1.9fccce758710bp-4, -0x1.84b00869c8e2bp-4, -0x1.69a21c9a75d92p-4, -0x1.4ea55256601ebp-4, -0x1.33bbe6f57bec1p-4, -0x1.18e80ddb68545p-4, -0x1.fc57e0f420b1ep-5, -0x1.c7135ca872553p-5, -0x1.9206ba000e883p-5, -0x1.5d361052d3ac6p-5, -0x1.28a56328ba6bdp-5, -0x1.e8b1447c2922dp-6, -0x1.80a7530ecd199p-6, -0x1.19348269f1a9dp-6, -0x1.64c076d7d6266p-7, -0x1.30c6fdd9a1ed2p-8, 0x1.94fd78c9048bfp-10, 0x1.f8765c996feap-8, 0x1.c461689ff928ap-7, 0x1.45828b6eaf4e8p-6, 0x1.a80ca05106836p-6, 0x1.04e44f160e7d7p-5, 0x1.35582bcc7fc45p-5, 0x1.655ee348fd5d9p-5, 0x1.94f58637e8a8cp-5, 0x1.c41938f350e25p-5, 0x1.f2c733812b26cp-5, 0x1.107e60c8a1de2p-4, 0x1.275ba13d64aa4p-4, 0x1.3dfa149cbd2e5p-4, 0x1.54587e3516a4cp-4, 0x1.6a75ab2371dd1p-4, 0x1.805072510d2a4p-4, 0x1.95e7b470b6a41p-4, 0x1.ab3a5bfbb5359p-4, 0x1.c0475d2e4033p-4, 0x1.d50db603821f9p-4, 0x1.e98c6e3119182p-4, 0x1.fdc297221568ep-4, 0x1.08d7a5f8afe4fp-3, 0x1.12a8d8b1cc131p-3, 0x1.1c547af02159fp-3, 0x1.25da28b537ad3p-3, 0x1.2f3982cc518bbp-3, 0x1.38722ec60d231p-3, 0x1.4183d6f3aad8cp-3, 0x1.4a6e2a61ff62cp-3, 0x1.5330dcd3ffd6ap-3, 0x1.5bcba6bcf23e4p-3, 0x1.643e453a3f2d1p-3, 0x1.6c887a0cde2d9p-3, 0x1.74aa0b92632f7p-3, 0x1.7ca2c4bd9ee33p-3, 0x1.8472750ee7201p-3, 0x1.8c18f08bedd18p-3, 0x1.93960fb739c64p-3, 0x1.9ae9af8734303p-3, 0x1.a213b15cd8e6p-3, 0x1.a913faf9f1a8fp-3, 0x1.afea7676ff9c1p-3, 0x1.b6971238afbf2p-3, 0x1.bd19c0e4f14acp-3, 0x1.c3727957aed01p-3, 0x1.c9a136971b265p-3, 0x1.cfa5f7c7a6639p-3, 0x1.d580c01f8dacfp-3, 0x1.db3196da13f23p-3, 0x1.e0b8872a5663p-3, 0x1.e615a02dcb919p-3, 0x1.eb48f4de6fe64p-3, 0x1.f0529c048eae5p-3, 0x1.f532b0284228p-3, 0x1.f9e94f829fff4p-3, 0x1.fe769bee9158ap-3, 0x1.016d5d6cb4e29p-2, 0x1.038aea9990ecfp-2, 0x1.05940baf2e80fp-2, 0x1.0788d8900f30dp-2, 0x1.09696ac7a247dp-2, 0x1.0b35dd81ddb46p-2, 0x1.0cee4d82bec22p-2, 0x1.0e92d91dad5c3p-2, 0x1.1023a02cbde2cp-2, 0x1.11a0c407e2badp-2, 0x1.130a677c00664p-2, 0x1.1460aec1ee423p-2, 0x1.15a3bf755f853p-2, 0x1.16d3c08bbb16bp-2, 0x1.17f0da4ae553ap-2, 0x1.18fb363ff3647p-2, 0x1.19f2ff35d4e6ep-2, 0x1.1ad8612bf309p-2, 0x1.1bab894cbeedfp-2, 0x1.1c6ca5e43b3c9p-2, 0x1.1d1be6567dc2cp-2, 0x1.1db97b162cb3ap-2, 0x1.1e45959af1c77p-2, 0x1.1ec06857f1516p-2, 0x1.1f2a26b23f22p-2, 0x1.1f8304f75055dp-2, 0x1.1fcb3853749dbp-2, 0x1.2002f6c84ce4p-2, 0x1.202a77234f22fp-2, 0x1.2041f0f44aac3p-2, 0x1.20499c83f68d7p-2, 0x1.2041b2ca8af41p-2, 0x1.202a6d666670bp-2, 0x1.20040692bc065p-2, 0x1.1fceb91e53b28p-2, 0x1.1f8ac06257461p-2, 0x1.1f38583933082p-2, 0x1.1ed7bcf5838adp-2, 0x1.1e692b591d734p-2, 0x1.1dece08c22e34p-2, 0x1.1d631a143427ep-2, 0x1.1ccc15cbb513ep-2, 0x1.1c2811d928c7bp-2, 0x1.1b774ca6aa811p-2, 0x1.1aba04d97b86ap-2, 0x1.19f07949b2802p-2, 0x1.191ae8fa021e3p-2, 0x1.1839930f9c589p-2, 0x1.174cb6ca38db5p-2, 0x1.1654937c3647fp-2, 0x1.15516882d95edp-2, 0x1.1443753eb34d3p-2, 0x1.132af90c233f9p-2, 0x1.1208333bfb234p-2, 0x1.10db630c48e93p-2, 0x1.0fa4c7a140c49p-2, 0x1.0e649ffe4ccc4p-2, 0x1.0d1b2aff40abcp-2, 0x1.0bc8a751aec1cp-2, 0x1.0a6d536e6a1a7p-2, 0x1.09096d9325005p-2, 0x1.079d33bc3dbadp-2, 0x1.0628e39eabd8fp-2, 0x1.04acbaa215f19p-2, 0x1.0328f5db120d9p-2, 0x1.019dd205862cdp-2, 0x1.000b8b7f37da1p-2, 0x1.fce4bc84fb397p-3, 0x1.f9a50bc233832p-3, 0x1.f6587afe7eb91p-3, 0x1.f2ff7f9d7877dp-3, 0x1.ef9a8e1496a33p-3, 0x1.ec2a19e220e89p-3, 0x1.e8ae958473e5ep-3, 0x1.e528727198c22p-3, 0x1.e198210f26a97p-3, 0x1.ddfe10aa76f76p-3, 0x1.da5aaf71296dp-3, 0x1.d6ae6a69f087dp-3, 0x1.d2f9ad6db4ed1p-3, 0x1.cf3ce320fd718p-3, 0x1.cb7874eda9dp-3, 0x1.c7accafcf8243p-3, 0x1.c3da4c31d6ec1p-3, 0x1.c0015e2380ecap-3, 0x1.bc22651862187p-3, 0x1.b83dc40149ddcp-3, 0x1.b453dc74e7586p-3, 0x1.b0650eab8315ap-3, 0x1.ac71b97b0e2acp-3, 0x1.a87a3a536ede7p-3, 0x1.a47eed3b14911p-3, 0x1.a0802ccbce7fap-3, 0x1.9c7e522fe9c55p-3, 0x1.9879b51f8eb2cp-3, 0x1.9472abde5d79cp-3, 0x1.90698b3952fa1p-3, 0x1.8c5ea684ded02p-3, 0x1.88524f9b488dfp-3, 0x1.8444d6db40ef2p-3, 0x1.80368b26bcefcp-3, 0x1.7c27b9e1fdcp-3, 0x1.7818aef2dff69p-3, 0x1.7409b4c056bedp-3, 0x1.6ffb1432257ap-3, 0x1.6bed14b0cb84ap-3, 0x1.67dffc25a3e08p-3, 0x1.63d40efb38c5p-3, 0x1.5fc9901dccd72p-3, 0x1.5bc0c0fc0db91p-3, 0x1.57b9e187f8bdp-3, 0x1.53b53037eff8cp-3, 0x1.4fb2ea07fd16cp-3, 0x1.4bb34a7b33d1ep-3, 0x1.47b68b9d52e47p-3, 0x1.43bce60478519p-3, 0x1.3fc690d30d18dp-3, 0x1.3bd3c1b9d0945p-3, 0x1.37e4acfa07e73p-3, 0x1.33f98567d5011p-3, 0x1.30127c6cad4c3p-3, 0x1.2c2fc209f0e74p-3, 0x1.285184dba973ep-3, 0x1.2477f21b5a7d4p-3, 0x1.20a335a2fc173p-3, 0x1.1cd379f00b7aap-3, 0x1.1908e826b6058p-3, 0x1.1543a81523e54p-3, 0x1.1183e036d458bp-3, 0x1.0dc9b5b81a7e1p-3, 0x1.0a154c79a4ae6p-3, 0x1.0666c71428cb4p-3, 0x1.02be46dc14f1ep-3, 0x1.fe37d7caba6aep-4, 0x1.f6ffaa0eb7a47p-4, 0x1.efd43fc177ddp-4, 0x1.e8b5d1b6f837ap-4, 0x1.e1a49661f1852p-4, 0x1.daa0c1dc13cf4p-4, 0x1.d3aa85ee553ddp-4, 0x1.ccc212196268dp-4, 0x1.c5e7939e15b4p-4, 0x1.bf1b35860e548p-4, 0x1.b85d20ac5e35ep-4, 0x1.b1ad7bc63459cp-4, 0x1.ab0c6b6bb1708p-4, 0x1.a47a1220b0211p-4, 0x1.9df6905dacfbcp-4, 0x1.97820498a8f88p-4, 0x1.911c8b4e1d32ep-4, 0x1.8ac63f09f5551p-4, 0x1.847f38708bf3p-4, 0x1.7e478e47a87a1p-4, 0x1.781f557f87825p-4, 0x1.7206a13bdb082p-4, 0x1.6bfd82dcd28fep-4, 0x1.66040a08199d9p-4, 0x1.601a44b1d6dfap-4, 0x1.5a403f25a93e2p-4, 0x1.5476040f9bc38p-4, 0x1.4ebb9c85146b9p-4, 0x1.4911100db6fbdp-4, 0x1.437664ac4a52dp-4, 0x1.3deb9ee784bb7p-4, 0x1.3870c1d2d9229p-4, 0x1.3305cf173178cp-4, 0x1.2daac6fb9f94bp-4, 0x1.285fa86dfdb93p-4, 0x1.2324710b83518p-4, 0x1.1df91d2948f77p-4, 0x1.18dda7dcb9d3ap-4, 0x1.13d20b03f8534p-4, 0x1.0ed63f4e29887p-4, 0x1.09ea3c43bae97p-4, 0x1.050df84e86fd8p-4, 0x1.004168c1eb9c5p-4, 0x1.f70903c5a272fp-5, 0x1.edae6ddf25654p-5, 0x1.e472f44fb19a6p-5, 0x1.db5679a8b31cp-5, 0x1.d258de9d097cdp-5, 0x1.c97a02102f461p-5, 0x1.c0b9c1252e072p-5, 0x1.b817f74d71abep-5, 0x1.af947e575953bp-5, 0x1.a72f2e7c9d95dp-5, 0x1.9ee7de7090c5ep-5, 0x1.96be636e1933dp-5, 0x1.8eb29145856c8p-5, 0x1.86c43a6a293cbp-5, 0x1.7ef32fffca264p-5, 0x1.773f41e7ce9cfp-5, 0x1.6fa83ece479cdp-5, 0x1.682df436b3896p-5, 0x1.60d02e8899493p-5, 0x1.598eb91becd9bp-5, 0x1.52695e453a882p-5, 0x1.4b5fe76195a6bp-5, 0x1.44721ce2635e9p-5, 0x1.3d9fc658e030dp-5, 0x1.36e8aa8174eabp-5, 0x1.304c8f4ed7dffp-5, 0x1.29cb39f4f1fbfp-5, 0x1.23646ef39aa7dp-5, 0x1.1d17f22109cd8p-5, 0x1.16e586b42b3eep-5, 0x1.10ccef4ea5c2cp-5, 0x1.0acdee06c6567p-5, 0x1.04e844711f16p-5, 0x1.fe376753fb5b3p-6, 0x1.f2cff8bd56845p-6, 0x1.e799bdace7687p-6, 0x1.dc9435f701cfep-6, 0x1.d1bee0c70610fp-6, 0x1.c7193cb029c76p-6, 0x1.bca2c7bdfdb19p-6, 0x1.b25aff8495f7p-6, 0x1.a841613013663p-6, 0x1.9e55699418fe3p-6, 0x1.9496953aa9797p-6, 0x1.8b046072a7f5ap-6, 0x1.819e475e12f09p-6, 0x1.7863c5ffbe7fbp-6, 0x1.6f545848cc619p-6, 0x1.666f7a25b9cd6p-6, 0x1.5db4a78b04699p-6, 0x1.55235c818e84dp-6, 0x1.4cbb1532990d5p-6, 0x1.447b4df358e7ap-6, 0x1.3c6383504fc0fp-6, 0x1.347332183ed8ap-6, 0x1.2ca9d766b6919p-6, 0x1.2506f0ae6c4f4p-6, 0x1.1d89fbc333706p-6, 0x1.163276e38cbb8p-6, 0x1.0effe0c20c478p-6, 0x1.07f1b88e50e9p-6, 0x1.01077dfdb3d9ap-6, 0x1.f48162a77d55ep-7, 0x1.e739a6d46b1fap-7, 0x1.da36cb71b2554p-7, 0x1.cd77d4ba3e6b7p-7, 0x1.c0fbc8425350cp-7, 0x1.b4c1ad05dfa38p-7, 0x1.a8c88b75b4062p-7, 0x1.9d0f6d843e9a6p-7, 0x1.91955eb20b5f9p-7, 0x1.86596c1961fbdp-7, 0x1.7b5aa479ab386p-7, 0x1.709818421f898p-7, 0x1.6610d99c0937bp-7, 0x1.5bc3fc74c192fp-7, 0x1.51b09686e4e4cp-7, 0x1.47d5bf630d599p-7, 0x1.3e3290789c20fp-7, 0x1.34c6251d5e3dbp-7, 0x1.2b8f9a955df3dp-7, 0x1.228e1019bda34p-7, 0x1.19c0a6dfc5959p-7, 0x1.1126821ed418cp-7, 0x1.08bec7169df72p-7, 0x1.00889d147f1d2p-7, 0x1.f1065af17b7b6p-8, 0x1.e15b477684416p-8, 0x1.d20e5ae0219bep-8, 0x1.c31df496ce88cp-8, 0x1.b488784a9b924p-8, 0x1.a64c4dfa7f2e1p-8, 0x1.9867e1fa00bep-8, 0x1.8ad9a4f73ccbbp-8, 0x1.7da00bff10626p-8, 0x1.70b990822fb9cp-8, 0x1.6424b058a5dd5p-8, 0x1.57dfedc48cc29p-8, 0x1.4be9cf752d3cfp-8, 0x1.4040e088db86fp-8, 0x1.34e3b08e86f47p-8, 0x1.29d0d386bb36dp-8, 0x1.1f06e1e43e459p-8, 0x1.1484788bf2402p-8, 0x1.0a4838d4e891ap-8, 0x1.0050c886e4d31p-8, 0x1.ed39a3b318713p-9, 0x1.da5606e58b189p-9, 0x1.c7f420c7dc78p-9, 0x1.b6116050c017dp-9, 0x1.a4ab3d43817a8p-9, 0x1.93bf382a5ba46p-9, 0x1.834ada4f1aa98p-9, 0x1.734bb5b2d93d2p-9, 0x1.63bf650612b25p-9, 0x1.54a38b9f3aafp-9, 0x1.45f5d570a77cp-9, 0x1.37b3f6fedae81p-9, 0x1.29dbad5503bd8p-9, 0x1.1c6abdf99d0e8p-9, 0x1.0f5ef6e273419p-9, 0x1.02b62e6883661p-9, 0x1.ecdc867540d1cp-10, 0x1.d50a389f868ebp-10, 0x1.bdf151b3a0b4dp-10, 0x1.a78dc06d48cedp-10, 0x1.91db83c4c0a4ep-10, 0x1.7cd6aacd03716p-10, 0x1.687b5499e756p-10, 0x1.54c5b01be111dp-10, 0x1.41b1fc027053bp-10, 0x1.2f3c869aff736p-10, 0x1.1d61adae9f8e5p-10, 0x1.0c1dde607689bp-10, 0x1.f6db2a1758ffp-11, 0x1.d69aba3f83a5ap-11, 0x1.b773a1fb67f52p-11, 0x1.995f33a7a09bdp-11, 0x1.7c56def1f50d8p-11, 0x1.6054309392e35p-11, 0x1.4550d200dfcd2p-11, 0x1.2b4689257ddbbp-11, 0x1.122f3814e9af8p-11, 0x1.f409b981b402fp-12, 0x1.c58321545bf74p-12, 0x1.98bf113212871p-12, 0x1.6db2289613aefp-12, 0x1.44513c51aa18ap-12, 0x1.1c9155edf547fp-12, 0x1.eccf6625edb75p-13, 0x1.a39389cfde2d8p-13, 0x1.5d5a5ef2752d2p-13, 0x1.1a0f92350bdf2p-13, 0x1.b33e672215c2cp-14, 0x1.37eb6a40d57dep-14, 0x1.83ffa753fb99cp-15, 0x1.45582277fa4edp-16, -0x1.a36d4ddedaaa3p-18, -0x1.0195d0a58ea29p-15, -0x1.c5133ac8b1dap-15, -0x1.3f95aa3072ac4p-14, -0x1.981111ce77394p-14, -0x1.ec1d26b0ff201p-14, -0x1.1ded468e9cf56p-13, -0x1.43b49ec7112a9p-13, -0x1.67744393d9378p-13, -0x1.893b890795b81p-13, -0x1.a91970ee80ff1p-13, -0x1.c71cabfa2a843p-13, -0x1.e3539af4a8bf7p-13, -0x1.fdcc4fe8f04bap-13, -0x1.0b4a47abc7afap-12, -0x1.16dce8a94ef2dp-12, -0x1.21a4a15c9584ap-12, -0x1.2ba7e32598c8ap-12, -0x1.34ecfaeec1a46p-12, -0x1.3d7a11b99ff21p-12, -0x1.45552d3007576p-12, -0x1.4c843035d00c3p-12, -0x1.530cdb74f3c57p-12, -0x1.58f4cdeab53d9p-12, -0x1.5e41857511989p-12, -0x1.62f85f5ca9e92p-12, -0x1.671e98dec7ba9p-12, -0x1.6ab94fb604944p-12, -0x1.6dcd82a255a93p-12, -0x1.706011eccd1a4p-12, -0x1.7275bff002dffp-12, -0x1.7413319a1f65ap-12, -0x1.753ceeeda1702p-12, -0x1.75f76384e1395p-12, -0x1.7646df11ddbd6p-12, -0x1.762f95d9f44afp-12, -0x1.75b5a13759a7ap-12, -0x1.74dd00110a40fp-12, -0x1.73a99757d78fcp-12, -0x1.721f327ea9595p-12, -0x1.704183f210a72p-12, -0x1.6e14258ea7993p-12, -0x1.6b9a99185c4e7p-12, -0x1.68d848aadae54p-12, -0x1.65d0872dc76a3p-12, -0x1.628690c6db57ap-12, -0x1.5efd8b4657933p-12, -0x1.5b388698a5a12p-12, -0x1.573a7d307a4edp-12, -0x1.53065474c84bep-12, -0x1.4e9edd28211dcp-12, -0x1.4a06d3d46575ep-12, -0x1.4540e1300f1ep-12, -0x1.404f9a8478e64p-12, -0x1.3b358213c2979p-12, -0x1.35f50779a5374p-12, -0x1.3090880f63135p-12, -0x1.2b0a4f4c29a15p-12, -0x1.2564972378b64p-12, -0x1.1fa18862c815cp-12, -0x1.19c33b0ed4bcfp-12, -0x1.13cbb6bdeb9bfp-12, -0x1.0dbcf2f196af4p-12, -0x1.0798d77120782p-12, -0x1.01613c9d593a4p-12, -0x1.f62fd7928326ep-13, -0x1.e97d3f1ae6ccap-13, -0x1.dcae083615bc3p-13, -0x1.cfc56f1a89c3ep-13, -0x1.c2c694764979bp-13, -0x1.b5b47e0e2082ep-13, -0x1.a8921756fdf59p-13, -0x1.9b6232126ef6ep-13, -0x1.8e2786e34625bp-13, -0x1.80e4b5e4695c7p-13, -0x1.739c4739e5fa1p-13, -0x1.6650aba1957abp-13, -0x1.59043cffd5c2bp-13, -0x1.4bb93eebecbfp-13, -0x1.3e71df372d0bfp-13, -0x1.31303674f2c87p-13, -0x1.23f6487b32179p-13, -0x1.16c604e925c88p-13, -0x1.09a147a3c9e8dp-13, -0x1.f913b2a865a31p-14, -0x1.df02dfc3771bp-14, -0x1.c5135dd620d4fp-14, -0x1.ab485078d588p-14, -0x1.91a4b88944413p-14, -0x1.782b75116452dp-14, -0x1.5edf4422c5011p-14, -0x1.45c2c3b6f820ap-14, -0x1.2cd8728581a49p-14, -0x1.1422b0d897451p-14, -0x1.f74782b83d24ep-15, -0x1.c6bb93d79d6e2p-15, -0x1.96a5a8b7167bbp-15, -0x1.67099e6ffaf6p-15, -0x1.37eb1d17b5a9fp-15, -0x1.094d9932ba465p-15, -0x1.b668aa4c36491p-16, -0x1.5b44c54a808bbp-16, -0x1.0135482863b81p-16, -0x1.507f3795d9bdep-17, -0x1.41a33f49aa2ep-18, 0x1.9298ae6bbc8dcp-22, 0x1.6f565ba08feccp-18, 0x1.606972b5d84afp-17, 0x1.036405d320985p-16, 0x1.556004c7c427bp-16, 0x1.a6258910e6c1ep-16, 0x1.f5b1ad954ee3dp-16, 0x1.2200e9874f9d1p-15, 0x1.4889ceea9a0a2p-15, 0x1.6e7279e0a31e2p-15, 0x1.93b9fcff8e4c3p-15, 0x1.b85f89865824ap-15, 0x1.dc626e5908cf8p-15, 0x1.ffc217013ac6cp-15, 0x1.113f055ec4dddp-14, 0x1.224af5c672b8ep-14, 0x1.3304baa3ac1dfp-14, 0x1.436c3e5937077p-14, 0x1.53817752284b6p-14, 0x1.6344679251c6fp-14, 0x1.72b51c4e67a4p-14, 0x1.81d3ad7eb96d4p-14, 0x1.90a03d7d0c1d2p-14, 0x1.9f1af89e90849p-14, 0x1.ad4414d5b38fap-14, 0x1.bb1bd14dfa292p-14, 0x1.c8a276132cefp-14, 0x1.d5d853b6266ffp-14, 0x1.e2bdc2f327f6p-14, 0x1.ef53245d35cedp-14, 0x1.fb98e00c1550ap-14, 0x1.03c7b2a3081a9p-13, 0x1.099b951a6dd12p-13, 0x1.0f4855ca28c43p-13, 0x1.14ce3634d6dfep-13, 0x1.1a2d7adbb7ed7p-13, 0x1.1f666b1b96b26p-13, 0x1.24795109a0f1cp-13, 0x1.2966795259292p-13, 0x1.2e2e3316df28ep-13, 0x1.32d0cfcdc91aep-13, 0x1.374ea32318a78p-13, 0x1.3ba802dab250ap-13, 0x1.3fdd46b22c5e2p-13, 0x1.43eec843e1258p-13, 0x1.47dce2eb2b753p-13, 0x1.4ba7f3aa2568ap-13, 0x1.4f50590d696d6p-13, 0x1.52d673138fd8dp-13, 0x1.563aa313bb199p-13, 0x1.597d4ba65a76p-13, 0x1.5c9ed08bb1bc6p-13, 0x1.5f9f9697d5f7ap-13, 0x1.6280039afb15ep-13, 0x1.65407e4b7d9d5p-13, 0x1.67e16e32667c3p-13, 0x1.6a633b96ca1d6p-13, 0x1.6cc64f69a02e9p-13, 0x1.6f0b1333e6acp-13, 0x1.7131f103c51ep-13, 0x1.733b535b23d5bp-13, 0x1.7527a51ef01a4p-13, 0x1.76f75185c001ep-13, 0x1.78aac407df7b3p-13, 0x1.7a42684fee5a9p-13, 0x1.7bbeaa2cec19p-13, 0x1.7d1ff5824fac6p-13, 0x1.7e66b63ad407p-13, 0x1.7f93583b29921p-13, 0x1.80a6475510238p-13, 0x1.819fef3ae6f25p-13, 0x1.8280bb722805fp-13, 0x1.8349174a10cccp-13, 0x1.83f96dced717ap-13, 0x1.849229bfbb45p-13, 0x1.8513b584518fdp-13, 0x1.857e7b2355e2p-13, 0x1.85d2e43863ed4p-13, 0x1.861159ea9a5a7p-13, 0x1.863a44e4aac2fp-13, 0x1.864e0d4c4956fp-13, 0x1.864d1ab961f6fp-13, 0x1.8637d42ef3bdcp-13, 0x1.860ea013ced11p-13, 0x1.85d1e42c2edf4p-13, 0x1.8582059196db3p-13, 0x1.851f68ad6b48p-13, 0x1.84aa71322ff09p-13, 0x1.84238216742a6p-13, 0x1.838afd8f34629p-13, 0x1.82e14509c0449p-13, 0x1.8226b9285a092p-13, 0x1.815bb9bbaa392p-13, 0x1.8080a5c066e5bp-13, 0x1.7f95db598bc64p-13, 0x1.7e9bb7cd100c2p-13, 0x1.7d92977fb854ap-13, 0x1.7c7ad5f23c2cfp-13, 0x1.7b54cdbdfaff3p-13, 0x1.7a20d89184dd2p-13, 0x1.78df4f2e287fep-13, 0x1.77908965a29b9p-13, 0x1.7634de16fc3b3p-13, 0x1.74cca32c950d4p-13, 0x1.73582d9a8341bp-13, 0x1.71d7d15c3f435p-13, 0x1.704be1732fb82p-13, 0x1.6eb4afe4ed73bp-13, 0x1.6d128dba6162p-13, 0x1.6b65caff01f9cp-13, 0x1.69aeb6be2963ap-13, 0x1.67ed9f03bed06p-13, 0x1.6622d0dad8fe1p-13, 0x1.644e984d1147cp-13, 0x1.62714062afc87p-13, 0x1.608b1321a0bdap-13, 0x1.5e9c598dd882cp-13, 0x1.5ca55ba8837fcp-13, 0x1.5aa6607119c8p-13, 0x1.589fade4e01ap-13, 0x1.569188ff595dp-13, 0x1.547c35ba2466cp-13, 0x1.525ff70e75622p-13, 0x1.503d0ef472c7ep-13, 0x1.4e13be653fc8ep-13, 0x1.4be4455ac4767p-13, 0x1.49aee2d0d6fefp-13, 0x1.4773d4c614c07p-13, 0x1.4533583d036a9p-13, 0x1.42eda93cd80d7p-13, 0x1.40a302d36b002p-13, 0x1.3e539f1538c6fp-13, 0x1.3bffb71fccdf3p-13, 0x1.39a7831a5576cp-13, 0x1.374b3a377f00cp-13, 0x1.34eb12b783214p-13, 0x1.328741e88d8ecp-13, 0x1.301ffc28b9e0fp-13, 0x1.2db574e7c3e92p-13, 0x1.2b47dea8f7fe1p-13, 0x1.28d76b04cb02fp-13, 0x1.26644aaab6e21p-13, 0x1.23eead6291b9fp-13, 0x1.2176c20eefa68p-13, 0x1.1efcb6af38e1bp-13, 0x1.1c80b86109f1fp-13, 0x1.1a02f3626c04ep-13, 0x1.17839313b083ep-13, 0x1.1502c1fa1a05ap-13, 0x1.1280a9c0d14d5p-13, 0x1.0ffd733beb024p-13, 0x1.0d79466a5461bp-13, 0x1.0af44a77a96bdp-13, 0x1.086ea5be8cc4dp-13, 0x1.05e87dcaee78dp-13, 0x1.0361f75bbc54cp-13, 0x1.00db3665f26cep-13, 0x1.fca8bc2c239fap-14, 0x1.f79b21a4bac55p-14, 0x1.f28de07b44b13p-14, 0x1.ed813a721cc07p-14, 0x1.e8756fcd63b44p-14, 0x1.e36abf56e3e3cp-14, 0x1.de61666371891p-14, 0x1.d959a0d6bebd1p-14, 0x1.d453a927dc631p-14, 0x1.cf4fb8667106ep-14, 0x1.ca4e063f39c8dp-14, 0x1.c54ec8ff74103p-14, 0x1.c052359acfc33p-14, 0x1.bb587fafb4bfbp-14, 0x1.b661d98b4ce29p-14, 0x1.b16e742e84da4p-14, 0x1.ac7e7f5234cd6p-14, 0x1.a792296bfb594p-14, 0x1.a2a99fb2b1574p-14, 0x1.9dc50e22f4b0ep-14, 0x1.98e49f8329ef7p-14, 0x1.94087d688ee42p-14, 0x1.8f30d03bcedabp-14, 0x1.8a5dbf3d1e478p-14, 0x1.858f7088650d7p-14, 0x1.80c6091a3d553p-14, 0x1.7c01acd3b132bp-14, 0x1.77427e7e7cb25p-14, 0x1.72889fd2bcb07p-14, 0x1.6dd4317a0a8bap-14, 0x1.692553136c3abp-14, 0x1.647c233886d7fp-14, 0x1.5fd8bf818d17bp-14, 0x1.5b3b44897a4f2p-14, 0x1.56a3cdf191f34p-14, 0x1.52127666d0a65p-14, 0x1.4d8757a49dcf5p-14, 0x1.49028a79c64dp-14, 0x1.448426cc5d97ep-14, 0x1.400c439d9d178p-14, 0x1.3b9af70dacc4bp-14, 0x1.373056602cbb1p-14, 0x1.32cc75ff49b6cp-14, 0x1.2e6f698033e95p-14, 0x1.2a1943a70dcd6p-14, 0x1.25ca166a5d3bdp-14, 0x1.2181f2f6b6df6p-14, 0x1.1d40e9b2af03p-14, 0x1.19070a42b23cbp-14, 0x1.14d4638c3a57ep-14, 0x1.10a903b9c11f5p-14, 0x1.0c84f83e6807dp-14, 0x1.08684dd908896p-14, 0x1.0453109863fa2p-14, 0x1.00454bde2bfa5p-14, 0x1.f87e14c45f9b8p-15, 0x1.f080ac6cd1184p-15, 0x1.e89271934e3bap-15, 0x1.e0b375d663fd2p-15, 0x1.d8e3c99c40556p-15, 0x1.d1237c188d668p-15, 0x1.c9729b536bcb2p-15, 0x1.c1d1343038a6ep-15, 0x1.ba3f5271ec589p-15, 0x1.b2bd00c2dffc8p-15, 0x1.ab4a48ba38e49p-15, 0x1.a3e732e23485fp-15, 0x1.9c93c6bdfc6cfp-15, 0x1.95500acf3e621p-15, 0x1.8e1c049bc8e1cp-15, 0x1.86f7b8b3abce2p-15, 0x1.7fe32ab73dbecp-15, 0x1.78de5d5b91651p-15, 0x1.71e9527070698p-15, 0x1.6b040ae5dc255p-15, 0x1.642e86d07c8afp-15, 0x1.5d68c56ffad8dp-15, 0x1.56b2c5342618p-15, 0x1.500c83c0ef718p-15, 0x1.4975fdf44abecp-15, 0x1.42ef2fea87772p-15, 0x1.3c781503b5ac5p-15, 0x1.3610a7e868e47p-15, 0x1.2fb8e28e03b3ep-15, 0x1.2970be3bc4174p-15, 0x1.2338338ebe588p-15, 0x1.1d0f3a7ee290fp-15, 0x1.16f5ca63e0a93p-15, 0x1.10ebd9f857ae4p-15, 0x1.0af15f5e9d5b3p-15, 0x1.050650254bfd8p-15, 0x1.fe554295cae1bp-16, 0x1.f2bc8e84ec8adp-16, 0x1.e7426bedcd2cep-16, 0x1.dbe6c19fbfaf1p-16, 0x1.d0a97569c300ap-16, 0x1.c58a6c2222dbcp-16, 0x1.ba8989af34703p-16, 0x1.afa6b10e14e39p-16, 0x1.a4e1c458c7d97p-16, 0x1.9a3aa4cf9cbb7p-16, 0x1.8fb132ddd2f49p-16, 0x1.85454e228e17ap-16, 0x1.7af6d5767ef38p-16, 0x1.70c5a6f1fb9f1p-16, 0x1.66b19ff611e3ep-16, 0x1.5cba9d2fa4eb7p-16, 0x1.52e07a9f2964p-16, 0x1.4923139f3e87ep-16, 0x1.3f8242e9ef6e9p-16, 0x1.35fde29ef0909p-16, 0x1.2c95cc498339dp-16, 0x1.2349d8e6fb1c7p-16, 0x1.1a19e0eac575ap-16, 0x1.1105bc43d934cp-16, 0x1.080d4264dd0cep-16, 0x1.fe60948c51027p-17, 0x1.ecdd54d884875p-17, 0x1.db9071dafe64ap-17, 0x1.ca7996ec0bc4p-17, 0x1.b9986e9bb1f2dp-17, 0x1.a8eca2b7289fcp-17, 0x1.9875dc56ff784p-17, 0x1.8833c3e5d855cp-17, 0x1.7826012a079cp-17, 0x1.684c3b4dd946ep-17, 0x1.58a618e714da2p-17, 0x1.4933400114ca1p-17, 0x1.39f3562610d0fp-17, 0x1.2ae600637636dp-17, 0x1.1c0ae35570982p-17, 0x1.0d61a32f3c109p-17, 0x1.fdd3c77d2e6ep-18, 0x1.e14690e7ce9eap-18, 0x1.c51ae8dba0f8fp-18, 0x1.a95014f852689p-18, 0x1.8de55a4f1a59p-18, 0x1.72d9fd72664c5p-18, 0x1.582d4284319fep-18, 0x1.3dde6d3e2b786p-18, 0x1.23ecc100af5b8p-18, 0x1.0a5780e2551b4p-18, 0x1.e23bdf6ba6d56p-19, 0x1.b07ea0332bae1p-19, 0x1.7f75c907fb2e5p-19, 0x1.4f1fde988bfaap-19, 0x1.1f7b656a9b6c7p-19, 0x1.e10dc3e267de7p-20, 0x1.8481b1457ef06p-20, 0x1.294f9c29d0379p-20, 0x1.9ee91bf57b0a6p-21, 0x1.dbb6429150606p-22, 0x1.fb7aec3618c67p-24, -0x1.b180629b5b4f3p-23, -0x1.159928cc3219ep-21, -0x1.bc41b844f039dp-21, -0x1.302fd50f04905p-20, -0x1.80fc6f6bee6fap-20, -0x1.d0899a017ea2p-20, -0x1.0f6d2103f9939p-19, -0x1.35f8a989c5ff5p-19, -0x1.5be8db7cafca2p-19, -0x1.813f2acc0703dp-19, -0x1.a5fd0a717e471p-19, -0x1.ca23ec58b65ccp-19, -0x1.edb541487d18ep-19, -0x1.08593c77c5323p-18, -0x1.198e80e293608p-18, -0x1.2a7b2480741ffp-18, -0x1.3b1fdd4921411p-18, -0x1.4b7d608a19031p-18, -0x1.5b9462e2c40a8p-18, -0x1.6b65983aaf405p-18, -0x1.7af1b3c4c01fep-18, -0x1.8a3967f1b1f31p-18, -0x1.993d666c3bc91p-18, -0x1.a7fe601ec09a5p-18, -0x1.b67d0525fb7fep-18, -0x1.c4ba04cb962d8p-18, -0x1.d2b60d8803f29p-18, -0x1.e071ccf802445p-18, -0x1.ededefdd66d3ap-18, -0x1.fb2b221e02c77p-18, -0x1.0415075e7c0ffp-17, -0x1.0a75afea81e77p-17, -0x1.10b7df4baada9p-17, -0x1.16dbe9a6a1eep-17, -0x1.1ce222a5328f9p-17, -0x1.22cadd7933641p-17, -0x1.28966cdc774a8p-17, -0x1.2e45230952a52p-17, -0x1.33d751c1817b3p-17, -0x1.394d4a468e0fbp-17, -0x1.3ea75d5953a5p-17, -0x1.43e5db3cf76a7p-17, -0x1.490913b38985fp-17, -0x1.4e1155fa723c7p-17, -0x1.52fef0cf14e09p-17, -0x1.57d23268cf441p-17, -0x1.5c8b687aae199p-17, -0x1.612ae03490115p-17, -0x1.65b0e63ddce4fp-17, -0x1.6a1dc6b697297p-17, -0x1.6e71cd3933908p-17, -0x1.72ad44d76374p-17, -0x1.76d0781b80012p-17, -0x1.7adbb10677e0fp-17, -0x1.7ecf390f2f4p-17, -0x1.82ab59222ac79p-17, -0x1.867059a34cee6p-17, -0x1.8a1e826bfd463p-17, -0x1.8db61ac966d7ap-17, -0x1.913769805eda9p-17, -0x1.94a2b4c7928f3p-17, -0x1.97f8424c93f4bp-17, -0x1.9b3857317b0f9p-17, -0x1.9e63380a5a833p-17, -0x1.a17928e3006d2p-17, -0x1.a47a6d3963a7bp-17, -0x1.a76747ff5140ap-17, -0x1.aa3ffb9d04d7cp-17, -0x1.ad04c9ee3293bp-17, -0x1.afb5f443aa817p-17, -0x1.b253bb618cda9p-17, -0x1.b4de5f7fbd4fbp-17, -0x1.b756204ed17bap-17, -0x1.b9bb3cf299877p-17, -0x1.bc0df4024713fp-17, -0x1.be4e838cbd257p-17, -0x1.c07d29172abc6p-17, -0x1.c29a219bc8037p-17, -0x1.c4a5a98b8dddp-17, -0x1.c69ffccce6192p-17, -0x1.c88956bedb26ep-17, -0x1.ca61f2385585fp-17, -0x1.cc2a0986cd6ddp-17, -0x1.cde1d6702c262p-17, -0x1.cf89923425e6dp-17, -0x1.d121758a249e6p-17, -0x1.d2a9b8a4a731ep-17, -0x1.d422932e34623p-17, -0x1.d58c3c4d2792ep-17, -0x1.d6e6eaa31525ap-17, -0x1.d832d44bf6a06p-17, -0x1.d9702ee22b566p-17, -0x1.da9f2f7a287bep-17, -0x1.dbc00aa69af44p-17, -0x1.dcd2f477f125bp-17, -0x1.ddd8207cf0d9fp-17, -0x1.decfc1c3a2271p-17, -0x1.dfba0ad7dd0f2p-17, -0x1.e0972dc75e55dp-17, -0x1.e1675c21c60f9p-17, -0x1.e22ac6f54c8edp-17, -0x1.e2e19ed24cdfdp-17, -0x1.e38c13cec3bd6p-17, -0x1.e42a558190acap-17, -0x1.e4bc9305d81fp-17, -0x1.e542fafa71e3ap-17, -0x1.e5bdbb869b134p-17, -0x1.e62d025655f61p-17, -0x1.e690fc9a741a4p-17, -0x1.e6e9d70cdd9a6p-17, -0x1.e737bdf02acb4p-17, -0x1.e77add0f2c9e3p-17, -0x1.e7b35fbd52f35p-17, -0x1.e7e170d9b27fep-17, -0x1.e8053acee2377p-17, -0x1.e81ee792374dp-17, -0x1.e82ea0a55b9a9p-17, -0x1.e8348f1888534p-17, }}, 
      {{-0x1.08c45ea4c7f4fp-8, -0x1.08f0b92f4c716p-7, -0x1.8dd77cc63e36bp-7, -0x1.09a0adcc7eb5ep-6, -0x1.4cabddb719a6ap-6, -0x1.90210d1a756d3p-6, -0x1.d412dcc7e9c36p-6, -0x1.0c495826e7383p-5, -0x1.2ed84bca2ca19p-5, -0x1.51bd9f5837d2fp-5, -0x1.74fff10b7809ep-5, -0x1.98a5231d1102ep-5, -0x1.bcb259274495p-5, -0x1.e12bf72d44ddfp-5, -0x1.030ad133dc5b9p-4, -0x1.15b921f412c86p-4, -0x1.28a20684eda0cp-4, -0x1.3bc63ec43ab79p-4, -0x1.4f26357cfc815p-4, -0x1.62c204acb8a86p-4, -0x1.76997a23f71b6p-4, -0x1.8aac1c5603f59p-4, -0x1.9ef92f30df0cap-4, -0x1.b37fb8dd749aep-4, -0x1.c83e86508b7fcp-4, -0x1.dd342f9d403fep-4, -0x1.f25f1c01b4841p-4, -0x1.03dec2d666904p-3, -0x1.0ea6bea087b22p-3, -0x1.1986768de0c35p-3, -0x1.247cce34c1c52p-3, -0x1.2f8899090cf1fp-3, -0x1.3aa89bc24f9fp-3, -0x1.45db8db62ff68p-3, -0x1.51201a2a6c22cp-3, -0x1.5c74e1a0b920bp-3, -0x1.67d87b1df62f6p-3, -0x1.7349756d1d88p-3, -0x1.7ec6585dc663fp-3, -0x1.8a4da5fd37778p-3, -0x1.95dddbc8bd64ep-3, -0x1.a17573d78c767p-3, -0x1.ad12e5fa58cc1p-3, -0x1.b8b4a8cec91e1p-3, -0x1.c45932c506fecp-3, -0x1.cffefb15d1d58p-3, -0x1.dba47aa7c5707p-3, -0x1.e7482ce2da5e3p-3, -0x1.f2e890715f6d2p-3, -0x1.fe8427ee1c44ep-3, -0x1.050cbd3fcb78ep-2, -0x1.0ad38a305a56bp-2, -0x1.1095c3aba7e9dp-2, -0x1.1652b58cc394fp-2, -0x1.1c09aed15df1dp-2, -0x1.21ba01bcb7cdfp-2, -0x1.276303f39c62bp-2, -0x1.2d040e9218e73p-2, -0x1.329c7e3b9b406p-2, -0x1.382bb3263248cp-2, -0x1.3db111219a554p-2, -0x1.432bff9ac17ccp-2, -0x1.489be99c673e5p-2, -0x1.4e003dcd6defcp-2, -0x1.53586e6d6c029p-2, -0x1.58a3f14ff5a1cp-2, -0x1.5de23fd717298p-2, -0x1.6312d6ed5db64p-2, -0x1.683536ffc38dep-2, -0x1.6d48e3f7c33cbp-2, -0x1.724d6535d35f1p-2, -0x1.7742458c68ff9p-2, -0x1.7c27133baf98ap-2, -0x1.80fb5fedff85cp-2, -0x1.85bec0b525cd9p-2, -0x1.8a70ce087e25fp-2, -0x1.8f1123c3d8288p-2, -0x1.939f61271e7bbp-2, -0x1.981b28d6ac956p-2, -0x1.9c8420dc409fep-2, -0x1.a0d9f2a86ce92p-2, -0x1.a51c4b146f5b8p-2, -0x1.a94ada6450358p-2, -0x1.ad6554492a198p-2, -0x1.b16b6fe37dfd3p-2, -0x1.b55ce7c56ee86p-2, -0x1.b93979f4d148bp-2, -0x1.bd00e7ece562bp-2, -0x1.c0b2f69faecf2p-2, -0x1.c44f6e76c24eap-2, -0x1.c7d61b538129ap-2, -0x1.cb46cc8ea18fcp-2, -0x1.cea154f6f9694p-2, -0x1.d1e58acf7920cp-2, -0x1.d51347cc4c495p-2, -0x1.d82a690f0f689p-2, -0x1.db2acf221edb8p-2, -0x1.de145df2ea9a6p-2, -0x1.e0e6fccb5b9ccp-2, -0x1.e3a2964a3b794p-2, -0x1.e647185aada55p-2, -0x1.e8d4742ab1fa1p-2, -0x1.eb4a9e20bf01dp-2, -0x1.eda98dd0740dcp-2, -0x1.eff13dee6fd5bp-2, -0x1.f221ac4354dd1p-2, -0x1.f43ad99e03898p-2, -0x1.f63cc9c51b101p-2, -0x1.f8278367c6111p-2, -0x1.f9fb100de8dfcp-2, -0x1.fbb77c07b87e5p-2, -0x1.fd5cd65ccda99p-2, -0x1.feeb30bab9aaep-2, -0x1.00314fb19c531p-1, -0x1.00e19c8d00ea2p-1, -0x1.01868b89267c8p-1, -0x1.02202a6e0ceafp-1, -0x1.02ae8828a08a2p-1, -0x1.0331b4c132515p-1, -0x1.03a9c151e29fep-1, -0x1.0416bffd087dp-1, -0x1.0478c3e3951b9p-1, -0x1.04cfe11b81eb4p-1, -0x1.051c2ca64461dp-1, -0x1.055dbc6756377p-1, -0x1.0594a71acf3b3p-1, -0x1.05c1044c1919fp-1, -0x1.05e2ec4cbff3ap-1, -0x1.05fa782b61babp-1, -0x1.0607c1aac40e3p-1, -0x1.060ae3390d0b8p-1, -0x1.0603f7e72852ep-1, -0x1.05f31b60559c2p-1, -0x1.05d869e1e5409p-1, -0x1.05b40033240ccp-1, -0x1.0585fb9d77e37p-1, -0x1.054e79e4acc17p-1, -0x1.050d993f76183p-1, -0x1.04c378502282fp-1, -0x1.0470361d83d3p-1, -0x1.0413f20c0a202p-1, -0x1.03aecbd714102p-1, -0x1.0340e38a73045p-1, -0x1.02ca597c216a1p-1, -0x1.024b4e462e7b6p-1, -0x1.01c3e2c0db089p-1, -0x1.013437fce9b7cp-1, -0x1.009c6f3e1e1adp-1, -0x1.fff953ebdd92dp-2, -0x1.feaa137ccae3p-2, -0x1.fd4b60aa59491p-2, -0x1.fbdd7f2d9886dp-2, -0x1.fa60b2f42197ep-2, -0x1.f8d540173b80ap-2, -0x1.f73b6ad352cb3p-2, -0x1.f593777fc425p-2, -0x1.f3ddaa86f1bfcp-2, -0x1.f21a485ea4584p-2, -0x1.f0499580ba15dp-2, -0x1.ee6bd66413dd3p-2, -0x1.ec814f75cdd85p-2, -0x1.ea8a4512b43f5p-2, -0x1.e886fb80fa197p-2, -0x1.e677b6ea2a0c6p-2, -0x1.e45cbb55521a6p-2, -0x1.e2364ca167abdp-2, -0x1.e004ae7fdf7ebp-2, -0x1.ddc8246f7acdp-2, -0x1.db80f1b741c09p-2, -0x1.d92f5961b0eacp-2, -0x1.d6d39e3811d61p-2, -0x1.d46e02bdfdd0cp-2, -0x1.d1fec92d0a7fp-2, -0x1.cf8633709e029p-2, -0x1.cd048321e9d63p-2, -0x1.ca79f98406348p-2, -0x1.c7e6d78035851p-2, -0x1.c54b5da2429cfp-2, -0x1.c2a7cc15030fep-2, -0x1.bffc629ef84acp-2, -0x1.bd49609f08de9p-2, -0x1.ba8f05095ba89p-2, -0x1.b7cd8e6448f82p-2, -0x1.b5053ac56b5f1p-2, -0x1.b23647cec1a92p-2, -0x1.af60f2abef9c4p-2, -0x1.ac85780f92f48p-2, -0x1.a9a41430adeccp-2, -0x1.a6bd02c829871p-2, -0x1.a3d07f0e6ba01p-2, -0x1.a0dec3b9013c9p-2, -0x1.9de80af85ca3p-2, -0x1.9aec8e75a65dp-2, -0x1.97ec8750a3563p-2, -0x1.94e82e1da89cbp-2, -0x1.91dfbae3a51f6p-2, -0x1.8ed3651a3bb24p-2, -0x1.8bc363a7ece74p-2, -0x1.88afece05360ap-2, -0x1.859936826ea68p-2, -0x1.827f75b701564p-2, -0x1.7f62df0efc83ep-2, -0x1.7c43a681fbd15p-2, -0x1.7921ff6cd15bcp-2, -0x1.75fe1c90210ccp-2, -0x1.72d8300f0ae02p-2, -0x1.6fb06b6de56f1p-2, -0x1.6c86ff91045bcp-2, -0x1.695c1cbb9287p-2, -0x1.662ff28e76d49p-2, -0x1.6302b0074934ap-2, -0x1.5fd4837f58648p-2, -0x1.5ca59aaab80a1p-2, -0x1.5976229765ad8p-2, -0x1.564647ac760f7p-2, -0x1.531635a951e25p-2, -0x1.4fe617a5033b4p-2, -0x1.4cb6180d8f52dp-2, -0x1.498660a75d075p-2, -0x1.46571a8cad66fp-2, -0x1.43286e2d1f38bp-2, -0x1.3ffa834d41ea6p-2, -0x1.3ccd810636205p-2, -0x1.39a18dc55b069p-2, -0x1.3676cf4c0c585p-2, -0x1.334d6aaf6b662p-2, -0x1.3025845837107p-2, -0x1.2cff4002b2452p-2, -0x1.29dac0be957c3p-2, -0x1.26b828ef1079fp-2, -0x1.23979a4ad8622p-2, -0x1.207935dc43dd7p-2, -0x1.1d5d1c0170ec6p-2, -0x1.1a436c6c7e849p-2, -0x1.172c4623ccc6dp-2, -0x1.1417c7824debbp-2, -0x1.11060e37e3f16p-2, -0x1.0df73749c6a41p-2, -0x1.0aeb5f12fde2ap-2, -0x1.07e2a144e047fp-2, -0x1.04dd18e7a4be9p-2, -0x1.01dae05afb1d5p-2, -0x1.fdb822ad69328p-3, -0x1.f7c189d6ea06bp-3, -0x1.f1d22706e513ep-3, -0x1.ebea29c67e4d8p-3, -0x1.e609c0553855ap-3, -0x1.e03117aabd011p-3, -0x1.da605b78a960bp-3, -0x1.d497b62c84035p-3, -0x1.ced750f1b6bbdp-3, -0x1.c91f53b3a9d4ep-3, -0x1.c36fe51fe9d23p-3, -0x1.bdc92aa86a38fp-3, -0x1.b82b4885d4a8fp-3, -0x1.b29661b9ec306p-3, -0x1.ad0a9812077fp-3, -0x1.a7880c299a0c7p-3, -0x1.a20edd6ccdf5fp-3, -0x1.9c9f2a1b2e91cp-3, -0x1.97390f4a69006p-3, -0x1.91dca8e9174bdp-3, -0x1.8c8a11c19d1ebp-3, -0x1.8741637d14501p-3, -0x1.8202b6a645c08p-3, -0x1.7cce22acb752ep-3, -0x1.77a3bde7bba7bp-3, -0x1.72839d999b5adp-3, -0x1.6d6dd5f2c4693p-3, -0x1.68627a150424ep-3, -0x1.63619c16d3a1ep-3, -0x1.5e6b4d06a6c66p-3, -0x1.597f9cee4eb53p-3, -0x1.549e9ad65edb6p-3, -0x1.4fc854c99f2fdp-3, -0x1.4afcd7d8873eap-3, -0x1.463c301cc2e16p-3, -0x1.418668bcb99b1p-3, -0x1.3cdb8bef24e7bp-3, -0x1.383ba2fea68c9p-3, -0x1.33a6b64d6cfacp-3, -0x1.2f1ccd58d42d7p-3, -0x1.2a9deebd149aap-3, -0x1.262a2038f3055p-3, -0x1.21c166b172121p-3, -0x1.1d63c635902bdp-3, -0x1.19114201fd7e8p-3, -0x1.14c9dc84e0044p-3, -0x1.108d9761924b6p-3, -0x1.0c5c737465c17p-3, -0x1.083670d66a454p-3, -0x1.041b8ee133f66p-3, -0x1.000bcc329f429p-3, -0x1.f80e4d612d6a5p-4, -0x1.f01b3719bfa08p-4, -0x1.e83e4e91b1e3ap-4, -0x1.e0778b7280087p-4, -0x1.d8c6e413f5e36p-4, -0x1.d12c4d83997a8p-4, -0x1.c9a7bb8c41335p-4, -0x1.c23920bd78bdap-4, -0x1.bae06e72f9594p-4, -0x1.b39d94dc15ca9p-4, -0x1.ac70830312f55p-4, -0x1.a55926d48780ep-4, -0x1.9e576d26af2bep-4, -0x1.976b41c0a471p-4, -0x1.90948f61aa5a4p-4, -0x1.89d33fc84e66p-4, -0x1.83273bb99661dp-4, -0x1.7c906b0811119p-4, -0x1.760eb49ae3acp-4, -0x1.6fa1fe74c6466p-4, -0x1.694a2dbaee21fp-4, -0x1.630726bbf149ep-4, -0x1.5cd8ccf69270fp-4, -0x1.56bf0320837cfp-4, -0x1.50b9ab2d12f53p-4, -0x1.4ac8a653cbb8cp-4, -0x1.44ebd51702689p-4, -0x1.3f23174a52fc5p-4, -0x1.396e4c1903c72p-4, -0x1.33cd520c679aep-4, -0x1.2e40071216c12p-4, -0x1.28c64882292f6p-4, -0x1.235ff3254e401p-4, -0x1.1e0ce33ada37fp-4, -0x1.18ccf47ebb29bp-4, -0x1.13a0022f5890ep-4, -0x1.0e85e713647f7p-4, -0x1.097e7d7f8cf41p-4, -0x1.04899f5c24beap-4, -0x1.ff4e4c55607d8p-5, -0x1.f5add616b141p-5, -0x1.ec318d84a4821p-5, -0x1.e2d9237a58c4p-5, -0x1.d9a4482ffd1d3p-5, -0x1.d092ab4520bf7p-5, -0x1.c7a3fbcac32aep-5, -0x1.bed7e84d3cf93p-5, -0x1.b62e1eddf983p-5, -0x1.ada64d1d080edp-5, -0x1.a540204276777p-5, -0x1.9cfb45278ef7ap-5, -0x1.94d7684fd484ep-5, -0x1.8cd435f1e959fp-5, -0x1.84f15a002e14p-5, -0x1.7d2e80314c0e4p-5, -0x1.758b540885af8p-5, -0x1.6e0780ddd51b3p-5, -0x1.66a2b1e5f18dep-5, -0x1.5f5c923a11857p-5, -0x1.5834ccdf8ce4ep-5, -0x1.512b0ccf5100dp-5, -0x1.4a3efcfd27fcep-5, -0x1.4370485ed5962p-5, -0x1.3cbe99f300e91p-5, -0x1.36299cc7f9fa9p-5, -0x1.2fb0fc0256163p-5, -0x1.295462e358197p-5, -0x1.23137ccf34827p-5, -0x1.1cedf5532f24p-5, -0x1.16e3782b7d63ep-5, -0x1.10f3b149162d7p-5, -0x1.0b1e4cd7482fep-5, -0x1.0562f7412b85dp-5, -0x1.ff82ba6ddef1cp-6, -0x1.f4725765ec9ebp-6, -0x1.e9941ffda00e1p-6, -0x1.dee76f7027466p-6, -0x1.d46ba1aa03e2dp-6, -0x1.ca20135221772p-6, -0x1.c00421d27cc5p-6, -0x1.b6172b60c333cp-6, -0x1.ac588f06452c8p-6, -0x1.a2c7aca8049c4p-6, -0x1.9963e50e2b76bp-6, -0x1.902c99eb69985p-6, -0x1.87212de3fd82bp-6, -0x1.7e4104947a3f4p-6, -0x1.758b829844133p-6, -0x1.6d000d8fc83d1p-6, -0x1.649e0c26809fep-6, -0x1.5c64e618ae3f1p-6, -0x1.54540438ca8bep-6, -0x1.4c6ad074c6bbcp-6, -0x1.44a8b5db040d2p-6, -0x1.3d0d209f16908p-6, -0x1.35977e1e4a055p-6, -0x1.2e473ce3efd35p-6, -0x1.271bccad5946fp-6, -0x1.20149e6dc46fp-6, -0x1.19312451ee33bp-6, -0x1.1270d1c385774p-6, -0x1.0bd31b6c50cecp-6, -0x1.0557773938156p-6, -0x1.fdfab8ba12128p-7, -0x1.f18886a626309p-7, -0x1.e5574bc329761p-7, -0x1.d965fe37c64bcp-7, -0x1.cdb396c918b11p-7, -0x1.c23f10de2a82cp-7, -0x1.b7076a8372924p-7, -0x1.ac0ba46de75e9p-7, -0x1.a14ac1fd8c19bp-7, -0x1.96c3c93fcdd4bp-7, -0x1.8c75c2f198e4cp-7, -0x1.825fba811e0fep-7, -0x1.7880be0f2452p-7, -0x1.6ed7de703a437p-7, -0x1.65642f2d87ccp-7, -0x1.5c24c68551059p-7, -0x1.5318bd6b5758p-7, -0x1.4a3f2f88ce36cp-7, -0x1.41973b3c1e78dp-7, -0x1.3920019874a1p-7, -0x1.30d8a664f754fp-7, -0x1.28c0501bcfce6p-7, -0x1.20d627e90b98bp-7, -0x1.191959a916b8ep-7, -0x1.118913e72cd45p-7, -0x1.0a2487db762dap-7, -0x1.02eae96908581p-7, -0x1.f7b6de371e7a5p-8, -0x1.e9eaa44a0fbb6p-8, -0x1.dc6f9cb5ec6fp-8, -0x1.cf44446796527p-8, -0x1.c2671d877e932p-8, -0x1.b5d6af73bff9ep-8, -0x1.a99186b9474c2p-8, -0x1.9d96350d3759ep-8, -0x1.91e351458dec9p-8, -0x1.86777751d6386p-8, -0x1.7b51483374487p-8, -0x1.706f69f58c373p-8, -0x1.65d087a5073bep-8, -0x1.5b735147def2bp-8, -0x1.51567bd4cb29p-8, -0x1.4778c129e8c3bp-8, -0x1.3dd8e0041f7c4p-8, -0x1.34759bf57c37dp-8, -0x1.2b4dbd5bdfceep-8, -0x1.226011575de51p-8, -0x1.19ab69c04ea0bp-8, -0x1.112e9d1d8271dp-8, -0x1.08e88699e4e32p-8, -0x1.00d805fa59f73p-8, -0x1.f1f7ff26ffdfdp-9, -0x1.e2a6b87dad1c8p-9, -0x1.d3ba12a08ffc5p-9, -0x1.c52ff116f2ed8p-9, -0x1.b70640318420dp-9, -0x1.a93af4f4d8f3cp-9, -0x1.9bcc0d031a4f2p-9, -0x1.8eb78e85cb7b2p-9, -0x1.81fb8817a2668p-9, -0x1.759610adcd004p-9, -0x1.69854781786e6p-9, -0x1.5dc753f92cebep-9, -0x1.525a6591b12e6p-9, -0x1.473cb3c78d1bbp-9, -0x1.3c6c7dffd85b4p-9, -0x1.31e80b714252cp-9, -0x1.27adab0cffadfp-9, -0x1.1dbbb367cdda2p-9, -0x1.141082a2c0775p-9, -0x1.0aaa7e541f1c6p-9, -0x1.0188137060615p-9, -0x1.f14f6c65b894dp-10, -0x1.e00fc40dfcfc1p-10, -0x1.cf4e32e1998d8p-10, -0x1.bf07cbec5b1a4p-10, -0x1.af39b00f8a176p-10, -0x1.9fe10dd417ddfp-10, -0x1.90fb213c915e7p-10, -0x1.828533982a2ep-10, -0x1.747c9b540f595p-10, -0x1.66debbcf485dcp-10, -0x1.59a9052cdda78p-10, -0x1.4cd8f426b454dp-10, -0x1.406c11e1578a8p-10, -0x1.345ff3beb26ffp-10, -0x1.28b23b3292295p-10, -0x1.1d609595aea3fp-10, -0x1.1268bbfa1a8c8p-10, -0x1.07c872ffd1ab7p-10, -0x1.fafb155290c2dp-11, -0x1.e70bbc5ff200cp-11, -0x1.d3bea7b4397dp-11, -0x1.c10fb99fd00c5p-11, -0x1.aefae9e252942p-11, -0x1.9d7c4557582fbp-11, -0x1.8c8feda3a8b2cp-11, -0x1.7c3218e126955p-11, -0x1.6c5f114e87ac7p-11, -0x1.5d1334fd56907p-11, -0x1.4e4af5816ec35p-11, -0x1.4002d7a1c3daep-11, -0x1.3237730896f9fp-11, -0x1.24e571f569eb5p-11, -0x1.180990eeb1627p-11, -0x1.0ba09e7637d5cp-11, -0x1.ff4ef576b8855p-12, -0x1.e8362ea221c57p-12, -0x1.d1f0edc369538p-12, -0x1.bc7959cbe81fap-12, -0x1.a7c9bab838f16p-12, -0x1.93dc78fc6d372p-12, -0x1.80ac1cf70911ap-12, -0x1.6e334e6322b2ep-12, -0x1.5c6cd3cb8030ap-12, -0x1.4b5392002924ap-12, -0x1.3ae28b8e1c62cp-12, -0x1.2b14e0365e274p-12, -0x1.1be5cc6a500c9p-12, -0x1.0d50a8c4fde2p-12, -0x1.fea1d3146949ap-13, -0x1.e3c43c4b5279p-13, -0x1.c9ffe152e2c0bp-13, -0x1.b14c4aa54e003p-13, -0x1.99a1341738bfdp-13, -0x1.82f68be246defp-13, -0x1.6d4471b4bc315p-13, -0x1.588335bf8efeep-13, -0x1.44ab57ce062a3p-13, -0x1.31b5865bc939p-13, -0x1.1f9a9dad0db1dp-13, -0x1.0e53a6ef50528p-13, -0x1.fbb3aeb20aefap-14, -0x1.dc4d1e97a2442p-14, -0x1.be66b2f86630cp-14, -0x1.a1f3d43a9fca9p-14, -0x1.86e83c1b7624fp-14, -0x1.6d37f4092bc2cp-14, -0x1.54d75390cf918p-14, -0x1.3dbafec2ab8eep-14, -0x1.27d7e4aff01ddp-14, -0x1.13233dd4f6717p-14, -0x1.ff25154a0f8ap-15, -0x1.da372407e7b5cp-15, -0x1.b768bfaea1494p-15, -0x1.96a687287d7e7p-15, -0x1.77dd9da5424c6p-15, -0x1.5afba7d4e9a08p-15, -0x1.3feec929c4514p-15, -0x1.26a5a121791cp-15, -0x1.0f0f48a25dc2bp-15, -0x1.f2369ebb801bp-16, -0x1.c973727cc4451p-16, -0x1.a3b5f7c02d397p-16, -0x1.80dff826b82e6p-16, -0x1.60d416dba8a01p-16, -0x1.4375cbc03f1c6p-16, -0x1.28a95ebebd762p-16, -0x1.1053e310016c7p-16, -0x1.f4b665926356dp-17, -0x1.cd4bd498144b2p-17, -0x1.aa36c7cabc3f9p-17, -0x1.8b4766eafcaf2p-17, -0x1.704f446f16d14p-17, -0x1.5921551c42953p-17, -0x1.4591e7c9f77eap-17, -0x1.35769d6803f1cp-17, -0x1.28a6610421c9dp-17, -0x1.1ef9602725b48p-17, -0x1.1849031129313p-17, -0x1.146fe5553b521p-17, -0x1.1349ce713d39p-17, -0x1.14b3aaaa11b1p-17, -0x1.188b83e51c7d5p-17, -0x1.1eb07acb0ec03p-17, -0x1.2702bff24629cp-17, -0x1.31638d34efab1p-17, -0x1.3db51f2bb58a5p-17, -0x1.4bdaaebdd8e7cp-17, -0x1.5bb86acae6a07p-17, -0x1.6d33721173937p-17, -0x1.8031cd11a8af3p-17, -0x1.949a682abf6c6p-17, -0x1.aa550dc74607dp-17, -0x1.c14a60a5a393ep-17, -0x1.d963d6509b4cfp-17, -0x1.f28bb1af860fbp-17, -0x1.06567ec6289e4p-16, -0x1.13d9c3b66ff96p-16, -0x1.21c5ed31ed6e2p-16, -0x1.30119d0727c5ep-16, -0x1.3eb3ced4162f4p-16, -0x1.4da3d59785e3ep-16, -0x1.5cd9595806c46p-16, -0x1.6c4c54d9d16bdp-16, -0x1.7bf51354e1dcdp-16, -0x1.8bcc2e3f34768p-16, -0x1.9bca8b21d9d99p-16, -0x1.abe9597e2e954p-16, -0x1.bc2210b48e938p-16, -0x1.cc6e6e01e5c11p-16, -0x1.dcc8728125451p-16, -0x1.ed2a613df07b5p-16, -0x1.fd8ebd4d6aa04p-16, -0x1.06f823fba56e1p-15, -0x1.0f24ff6f7882ep-15, -0x1.174b8d2073732p-15, -0x1.1f69859bceae6p-15, -0x1.277cbd062c716p-15, -0x1.2f832244b23dcp-15, -0x1.377abe3026d99p-15, -0x1.3f61b2ccc2f2fp-15, -0x1.47363a83fa2abp-15, -0x1.4ef6a761231c5p-15, -0x1.56a1625a0fb7cp-15, -0x1.5e34ea9294efp-15, -0x1.65afd4abf78a3p-15, -0x1.6d10ca1543e4dp-15, -0x1.7456885f8cbe7p-15, -0x1.7b7fe098f63cep-15, -0x1.828bb6a83a588p-15, -0x1.897900af3bc51p-15, -0x1.9046c67087b1p-15, -0x1.96f420b816b46p-15, -0x1.9d8038c6ee2d5p-15, -0x1.a3ea47c4dbd1fp-15, -0x1.aa319634ea0e5p-15, -0x1.b0557b6b53027p-15, -0x1.b6555d08429b5p-15, -0x1.bc30ae792b93p-15, -0x1.c1e6f077bcff5p-15, -0x1.c777b09037c9p-15, -0x1.cce288aa6ee15p-15, -0x1.d2271e955a13dp-15, -0x1.d7452391cbfcp-15, -0x1.dc3c53e8b7632p-15, -0x1.e10c767c753c1p-15, -0x1.e5b55c6052f27p-15, -0x1.ea36e0745f5a9p-15, -0x1.ee90e700e749bp-15, -0x1.f2c35d55a55ffp-15, -0x1.f6ce396d4e5b5p-15, -0x1.fab1799239ae9p-15, -0x1.fe6d2403d7d1fp-15, -0x1.0100a351b8e4cp-14, -0x1.02b6fb4e9e851p-14, -0x1.0459a80cfaa2fp-14, -0x1.05e8baf68a399p-14, -0x1.076448a46127ep-14, -0x1.08cc68ba21e2bp-14, -0x1.0a2135c183df1p-14, -0x1.0b62cd069584ap-14, -0x1.0c914e76f177fp-14, -0x1.0dacdc7f95559p-14, -0x1.0eb59becde396p-14, -0x1.0fabb3cb69843p-14, -0x1.108f4d4a2278ep-14, -0x1.1160939cb5a0cp-14, -0x1.121fb3dfb9663p-14, -0x1.12ccdcfbfdca7p-14, -0x1.13683f8cbd9dbp-14, -0x1.13f20dc64bd59p-14, -0x1.146a7b5bf63aap-14, -0x1.14d1bd687f8dep-14, -0x1.15280a5707919p-14, -0x1.156d99cb5f2c1p-14, -0x1.15a2a48d956c2p-14, -0x1.15c764730cc8fp-14, -0x1.15dc144b5793ep-14, -0x1.15e0efcb99924p-14, -0x1.15d6337c4e70dp-14, -0x1.15bc1ca61ea47p-14, -0x1.1592e9402d55ap-14, -0x1.155ad7df4187dp-14, -0x1.151427a52fbebp-14, -0x1.14bf18303764p-14, -0x1.145be98c00d8ep-14, -0x1.13eadc2339b26p-14, -0x1.136c30b0b2addp-14, -0x1.12e02831ae72ep-14, -0x1.124703d897ebp-14, -0x1.11a1050081a32p-14, -0x1.10ee6d20b396dp-14, -0x1.102f7dc1014d1p-14, -0x1.0f64786e2e02fp-14, -0x1.0e8d9eafef862p-14, -0x1.0dab31fd9c97cp-14, -0x1.0cbd73b44ef1ap-14, -0x1.0bc4a50dff277p-14, -0x1.0ac1071739affp-14, -0x1.09b2daa75961dp-14, -0x1.089a6057d650ap-14, -0x1.0777d87c01a6p-14, -0x1.064b8319c4e2dp-14, -0x1.05159fe21c226p-14, -0x1.03d66e2a0c7b9p-14, -0x1.028e2ce43bcaap-14, -0x1.013d1a9a8d2a8p-14, -0x1.ffc6ead004205p-15, -0x1.fd02f5e67b0f1p-15, -0x1.fa2ed0d29fb5dp-15, -0x1.f74af4efa24c2p-15, -0x1.f457da91a87e9p-15, -0x1.f155f8fc00638p-15, -0x1.ee45c658871e9p-15, -0x1.eb27b7af5737ap-15, -0x1.e7fc40e099dbcp-15, -0x1.e4c3d49ac8f36p-15, -0x1.e17ee456c588dp-15, -0x1.de2de04fa858cp-15, -0x1.dad1377d640b1p-15, -0x1.d769578fc6896p-15, -0x1.d3f6ace93a341p-15, -0x1.d079a29a30c92p-15, -0x1.ccf2a25c9bfc4p-15, -0x1.c9621490819a5p-15, -0x1.c5c860387f1aep-15, -0x1.c225eaf5db572p-15, -0x1.be7b19060c126p-15, -0x1.bac84d405a224p-15, -0x1.b70de91409188p-15, -0x1.b34c4c852be47p-15, -0x1.af83d62c7d8dap-15, -0x1.abb4e3348ed33p-15, -0x1.a7dfcf59360e3p-15, -0x1.a404f4e69a8f4p-15, -0x1.a024acb9aacafp-15, -0x1.9c3f4e3d1e04dp-15, -0x1.98552f6ba48edp-15, -0x1.9466a4cf8ecb6p-15, -0x1.90740181d88afp-15, -0x1.8c7d972bbb20cp-15, -0x1.8883b606cee49p-15, -0x1.8486acdddd9afp-15, -0x1.8086c90e1db63p-15, -0x1.7c84568838a03p-15, -0x1.787f9fd1613bp-15, -0x1.7478ee053e3b3p-15, -0x1.707088d6f802ep-15, -0x1.6c66b693bf591p-15, -0x1.685bbc23a4813p-15, -0x1.644fdd0c95909p-15, -0x1.60435b73c546bp-15, -0x1.5c367820855b7p-15, -0x1.5829727e12f18p-15, -0x1.541c889e5a316p-15, -0x1.500ff73d2d8bap-15, -0x1.4c03f9c1745d1p-15, -0x1.47f8ca40b05f9p-15, -0x1.43eea1823771cp-15, -0x1.3fe5b701bb06dp-15, -0x1.3bde40f1de004p-15, -0x1.37d8744007385p-15, -0x1.33d484970a17ap-15, -0x1.2fd2a46243e65p-15, -0x1.2bd304d108bd1p-15, -0x1.27d5d5d9f8ae6p-15, -0x1.23db463e09ffap-15, -0x1.1fe3838c0426dp-15, -0x1.1beeba242322dp-15, -0x1.17fd153baa9d2p-15, -0x1.140ebedfee557p-15, -0x1.1023dffa22df5p-15, -0x1.0c3ca052a576dp-15, -0x1.0859269520b0dp-15, -0x1.047998539542ep-15, -0x1.009e1a0a11883p-15, -0x1.f98d9e46497a3p-16, -0x1.f1e7b3f424f85p-16, -0x1.ea4ab7bf3d35fp-16, -0x1.e2b6ea3b42087p-16, -0x1.db2c89f460bafp-16, -0x1.d3abd37720a01p-16, -0x1.cc350158266afp-16, -0x1.c4c84c3be63d7p-16, -0x1.bd65eadcbe95fp-16, -0x1.b60e121334b6ep-16, -0x1.aec0f4dd77decp-16, -0x1.a77ec466f8ac6p-16, -0x1.a047b00edf906p-16, -0x1.991be5701a5e7p-16, -0x1.91fb90681509bp-16, -0x1.8ae6db1ed375fp-16, -0x1.83ddee0d00255p-16, -0x1.7ce0f0045f641p-16, -0x1.75f00636e387dp-16, -0x1.6f0b543cfbbfp-16, -0x1.6832fc1d9e084p-16, -0x1.61671e5495493p-16, -0x1.5aa7d9d9dc2bfp-16, -0x1.53f54c28fdc03p-16, -0x1.4d4f91479d37dp-16, -0x1.46b6c3cca1356p-16, -0x1.402afce67cd7dp-16, -0x1.39ac5462c43d8p-16, -0x1.333ae0b4b4407p-16, -0x1.2cd6b6fb9f89ap-16, -0x1.267feb08e4bfp-16, -0x1.20368f67d80d6p-16, -0x1.19fab563b89e4p-16, -0x1.13cc6d0e64487p-16, -0x1.0dabc54633cd7p-16, -0x1.0798cbbcb9599p-16, -0x1.01938cfcd6666p-16, -0x1.f73828e24a66fp-17, -0x1.eb64d8d4471dbp-17, -0x1.dfad3c4809f6dp-17, -0x1.d411639903eb9p-17, -0x1.c8915d13484a8p-17, -0x1.bd2d34fdba51ap-17, -0x1.b1e4f5a5de28ep-17, -0x1.a6b8a76c91e2cp-17, -0x1.9ba850cf8e267p-17, -0x1.90b3f675ecc01p-17, -0x1.85db9b3aa8603p-17, -0x1.7b1f4038310eap-17, -0x1.707ee4d2b697dp-17, -0x1.65fa86c2f1cbbp-17, -0x1.5b92221ff8be4p-17, -0x1.5145b16ad78d3p-17, -0x1.47152d9881047p-17, -0x1.3d008e1b0c8e6p-17, -0x1.3307c8ed2c3e6p-17, -0x1.292ad29a1af79p-17, -0x1.1f699e489b6d1p-17, -0x1.15c41dc3d8d47p-17, -0x1.0c3a4184d68e7p-17, -0x1.02cbf8bc7abbdp-17, -0x1.f2f262b7c4d9dp-18, -0x1.e083b03c7debep-18, -0x1.ce4bb121152a5p-18, -0x1.bc4a3a3516063p-18, -0x1.aa7f1e1090a02p-18, -0x1.98ea2d2291408p-18, -0x1.878b35c2a612cp-18, -0x1.766204426aa3ap-18, -0x1.656e62fbdd572p-18, -0x1.54b01a62562cdp-18, -0x1.4426f111bec2ap-18, -0x1.33d2abdd0812cp-18, -0x1.23b30ddd8bf7bp-18, -0x1.13c7d8815c01p-18, -0x1.0410cb9b453d6p-18, -0x1.e91b4ae260b58p-19, -0x1.ca7c45912efd4p-19, -0x1.ac43fde86d28ap-19, -0x1.8e71e7c5d3573p-19, -0x1.71057457e684ep-19, -0x1.53fe1238f03b9p-19, -0x1.375b2d883a64cp-19, -0x1.1b1c30030f27bp-19, -0x1.fe81023a0affap-20, -0x1.c78f0c3115dc3p-20, -0x1.9161443c5f128p-20, -0x1.5bf66ca7ed54bp-20, -0x1.274d43e74989ap-20, -0x1.e6c909839db6cp-21, -0x1.8075cd00ea16bp-21, -0x1.1b9e3a30df644p-21, -0x1.707f655655dc4p-22, -0x1.595e48083cb6p-23, 0x1.439a3d68bd507p-26, 0x1.a480a27ab850bp-23, 0x1.8d6a4d6e37a23p-22, 0x1.22de859833f31p-21, 0x1.7d9f03264644fp-21, 0x1.d6f9617f17af2p-21, 0x1.1778335873cb2p-20, 0x1.42c36e3c51d5fp-20, 0x1.6d5fc7ff49c34p-20, 0x1.974ea8c815c9fp-20, 0x1.c0917a320553p-20, 0x1.e929a72e96c16p-20, 0x1.088c4defc1e33p-19, 0x1.1c2fe2bf94095p-19, 0x1.2f80492055aafp-19, 0x1.427e3898bd5fp-19, 0x1.552a69118430dp-19, 0x1.678592c53fd32p-19, 0x1.79906e339f3fp-19, 0x1.8b4bb41435c29p-19, 0x1.9cb81d4a3e842p-19, 0x1.add662d882086p-19, 0x1.bea73dd43a9ep-19, 0x1.cf2b6758dc7dep-19, 0x1.df63987f28201p-19, 0x1.ef508a4fe1b12p-19, 0x1.fef2f5ba8f3dbp-19, 0x1.0725c9c4da0e5p-18, 0x1.0ead8e2c51aacp-18, 0x1.1611244485453p-18, 0x1.1d50e81c53c5ap-18, 0x1.246d359d5d6adp-18, 0x1.2b666885c86f9p-18, 0x1.323cdc64cb4f2p-18, 0x1.38f0ec96302c2p-18, 0x1.3f82f43d99622p-18, 0x1.45f34e42f18f5p-18, 0x1.4c42554e0dd2dp-18, 0x1.527063c2ed20bp-18, 0x1.587dd3be56fd4p-18, 0x1.5e6aff11e860ap-18, 0x1.64383f4087c9bp-18, 0x1.69e5ed7c0888bp-18, 0x1.6f7462a096842p-18, 0x1.74e3f731c109fp-18, 0x1.7a3503573254fp-18, 0x1.7f67deda63d91p-18, 0x1.847ce12391726p-18, 0x1.89746136b2ebcp-18, 0x1.8e4eb5b11250fp-18, 0x1.930c34c6e28b5p-18, 0x1.97ad34403f89p-18, 0x1.9c320976bda4ep-18, 0x1.a09b0953d1cd8p-18, 0x1.a4e8884e148bcp-18, 0x1.a91ada675eef6p-18, 0x1.ad32532a3f28bp-18, 0x1.b12f45a8bd359p-18, 0x1.b512047a3cb83p-18, 0x1.b8dae1b972b0dp-18, 0x1.bc8a2f035f7dbp-18, 0x1.c0203d7517547p-18, 0x1.c39d5da9de9b7p-18, 0x1.c701dfb9b8b09p-18, 0x1.ca4e1338ac902p-18, 0x1.cd824734bad81p-18, 0x1.d09eca35a01ap-18, 0x1.d3a3ea3a6e592p-18, 0x1.d691f4b8de5f8p-18, 0x1.d969369be1b06p-18, 0x1.dc29fc43974aap-18, 0x1.ded49183676ebp-18, 0x1.e16941a155d0ep-18, 0x1.e3e8575550ea2p-18, 0x1.e6521cc805eb7p-18, 0x1.e8a6db930bb0bp-18, 0x1.eae6dcbf4ef07p-18, 0x1.ed1268c50b518p-18, 0x1.ef29c78a52fcfp-18, 0x1.f12d4063a684p-18, 0x1.f31d1a12c718dp-18, 0x1.f4f99ac69b76bp-18, 0x1.f6c3081a605b9p-18, 0x1.f879a715ecd73p-18, 0x1.fa1dbc2cd98b9p-18, 0x1.fbaf8b3e90d1p-18, 0x1.fd2f579674c1ep-18, 0x1.fe9d63eb3d885p-18, 0x1.fff9f25e591c6p-18, 0x1.00a2a23e727p-17, 0x1.013fcd9f89468p-17, 0x1.01d49b84258afp-17, 0x1.02612bd3b5e02p-17, 0x1.02e59e2af566cp-17, 0x1.036211dc965edp-17, 0x1.03d6a5f12d42ap-17, 0x1.044379270890fp-17, 0x1.04a8a9f20796p-17, 0x1.0506567c69ccep-17, 0x1.055c9ca6c55c9p-17, 0x1.05ab9a0798451p-17, 0x1.05f36bebd6532p-17, 0x1.06342f5772783p-17, 0x1.066e01050089ap-17, 0x1.06a0fd6617af5p-17, 0x1.06cd40a3a4f77p-17, 0x1.06f2e69dd74e3p-17, 0x1.07120aec7f0a9p-17, 0x1.072ac8df73d17p-17, 0x1.073d3b7ecb7e9p-17, 0x1.07497d8b0c017p-17, 0x1.074fa97d33dep-17, 0x1.074fd9874f0bbp-17, 0x1.074a2794e681p-17, 0x1.073ead4b0c04dp-17, 0x1.072d8408866c6p-17, 0x1.0716c4e647a38p-17, 0x1.06fa88b813205p-17, 0x1.06d8e80c4a705p-17, 0x1.06b1fb2c64b1p-17, 0x1.0685da1d9beefp-17, 0x1.06549ca125c89p-17, 0x1.061e5a345527dp-17, 0x1.05e32a110b62dp-17, 0x1.05a3232e808e6p-17, 0x1.055e5c410d97ap-17, 0x1.0514ebba9df8fp-17, 0x1.04c6e7cb997b5p-17, 0x1.047466631278ep-17, 0x1.041d7d2ef5ffdp-17, 0x1.03c2419c55e51p-17, 0x1.0362c8d83792ep-17, 0x1.02ff27cfd08ffp-17, 0x1.0297733113275p-17, 0x1.022bbf6b0fd4cp-17, 0x1.01bc20adcb9e1p-17, 0x1.0148aaeb8cb19p-17, 0x1.00d171d8f5ecap-17, 0x1.005688ed541acp-17, 0x1.ffb006c5ff9fep-18, 0x1.feabe8706e0c6p-18, 0x1.fda0dc5e8eaep-18, 0x1.fc8f079d5b168p-18, 0x1.fb768ec47dd4ep-18, 0x1.fa5795f62f015p-18, 0x1.f93240e068ef5p-18, 0x1.f806b2bdaec4cp-18, 0x1.f6d50e56130dep-18, 0x1.f59d760024608p-18, 0x1.f4600ba1e5d02p-18, 0x1.f31cf0b1e760fp-18, 0x1.f1d44637a1affp-18, 0x1.f0862ccc08f26p-18, 0x1.ef32c49bb7cd9p-18, 0x1.edda2d67c7832p-18, 0x1.ec7c86853a59cp-18, 0x1.eb19eedf20facp-18, 0x1.e9b284f749fafp-18, 0x1.e84666e7515d6p-18, 0x1.e6d5b26153917p-18, 0x1.e56084b01c6dep-18, 0x1.e3e6fab9b5797p-18, 0x1.e26930ff6a3dbp-18, 0x1.e0e7439e99d1dp-18, 0x1.df614e511adf2p-18, 0x1.ddd76c6fc3dbcp-18, 0x1.dc49b8f1a0208p-18, 0x1.dab84e6de56e8p-18, 0x1.d923471cc4e67p-18, 0x1.d78abcd78c783p-18, 0x1.d5eec91a2ee0dp-18, 0x1.d44f850482292p-18, 0x1.d2ad095a5b51ap-18, 0x1.d1076e8504719p-18, 0x1.cf5ecc93e0b82p-18, 0x1.cdb33b3cd633dp-18, 0x1.cc04d1de063d5p-18, 0x1.ca53a77f05e87p-18, 0x1.c89fd2d03ee9bp-18, 0x1.c6e96a2c94b12p-18, 0x1.c530839ae29bcp-18, 0x1.c37534ce1e8ap-18, 0x1.c1b793262e2a5p-18, 0x1.bff7b3b0f6c5dp-18, 0x1.be35ab2ba387bp-18, 0x1.bc718e02a04c9p-18, 0x1.baab7052ee9ccp-18, 0x1.b8e365eb26c64p-18, 0x1.b719824c353a9p-18, 0x1.b54dd8a9ef92ep-18, 0x1.b3807bebc058dp-18, 0x1.b1b17eae37aa8p-18, 0x1.afe0f34348555p-18, 0x1.ae0eebb35d66ep-18, 0x1.ac3b79bdf4172p-18, 0x1.aa66aeda605b2p-18, 0x1.a8909c38dbd4ep-18, 0x1.a6b952c316843p-18, 0x1.a4e0e31d3f15ap-18, 0x1.a3075da6b82e3p-18, 0x1.a12cd27a4fc2bp-18, 0x1.9f51516fff4a5p-18, 0x1.9d74ea1d8e4ebp-18, 0x1.9b97abd5e85d4p-18, 0x1.99b9a5ab6cc43p-18, 0x1.97dae670e2205p-18, 0x1.95fb7cb8c1111p-18, 0x1.941b76d6b6bcep-18, 0x1.923ae2e0d812p-18, 0x1.9059ceafc98d5p-18, 0x1.8e7847df461e6p-18, 0x1.8c965bcf9016dp-18, 0x1.8ab417a5beb35p-18, 0x1.88d1884bf7c08p-18, 0x1.86eeba7308516p-18, 0x1.850bba92dd39ep-18, 0x1.832894eaa2302p-18, 0x1.814555820376ap-18, 0x1.7f620829a6a0fp-18, 0x1.7d7eb87c160fbp-18, 0x1.7b9b71de0ec32p-18, 0x1.79b83f7f2008fp-18, 0x1.77d52c5ad5842p-18, 0x1.75f24338f6029p-18, 0x1.740f8eae2dd5p-18, 0x1.722d191d261abp-18, 0x1.704aecb6022ffp-18, 0x1.6e69137859dp-18, 0x1.6c879733bdf4dp-18, 0x1.6aa68186db30fp-18, 0x1.68c5dbe15fa45p-18, 0x1.66e5af8522221p-18, 0x1.6506058508033p-18, 0x1.6326e6c6abb24p-18, 0x1.61485c036c786p-18, 0x1.5f6a6dc79bcb1p-18, 0x1.5d8d24740ecd7p-18, 0x1.5bb0883ed22b5p-18, 0x1.59d4a13305c8p-18, 0x1.57f97731d85e7p-18, 0x1.561f11f38f85ep-18, 0x1.54457906df14dp-18, 0x1.526cb3d287e4p-18, }}, 
      {{0x1.6dc395e797cd1p-1, 0x1.6d57b8b2fc862p-1, 0x1.6ca663030fb93p-1, 0x1.6bb3097014ddbp-1, 0x1.6a822aaab680ap-1, 0x1.69190fb3a68ep-1, 0x1.677d8ce7ba14ep-1, 0x1.65b5c7d3c98d9p-1, 0x1.63c8040030f38p-1, 0x1.61ba77a607df5p-1, 0x1.5f93286c211bcp-1, 0x1.5d57cfc4fcfcp-1, 0x1.5b0dc63ae075ap-1, 0x1.58b9f4d275834p-1, 0x1.5660cba1aa662p-1, 0x1.54063cbe5f202p-1, 0x1.51adbab7ff5dp-1, 0x1.4f5a39e3fafb6p-1, 0x1.4d0e33dbe77b1p-1, 0x1.4acbaca3194e8p-1, 0x1.489438ff60593p-1, 0x1.466905a4a5cb1p-1, 0x1.444adee50d6efp-1, 0x1.423a38a6dc8a7p-1, 0x1.4037366ec4581p-1, 0x1.3e41b358753c9p-1, 0x1.3c5949e0b31dap-1, 0x1.3a7d5b6bc511ep-1, 0x1.38ad17793e498p-1, 0x1.36e7827afbcabp-1, 0x1.352b7c49021d6p-1, 0x1.3377c62ed100dp-1, 0x1.31cb0890f8dd8p-1, 0x1.3023d82b63dc8p-1, 0x1.2e80bae9f58e5p-1, 0x1.2ce02c5dfdbedp-1, 0x1.2b40a1d38edacp-1, 0x1.29a08e0a36066p-1, 0x1.27fe6494ca36bp-1, 0x1.26589ce434b2ap-1, 0x1.24adb5012d234p-1, 0x1.22fc33f8e5525p-1, 0x1.2142ac00aa9d8p-1, 0x1.1f7fbc547976cp-1, 0x1.1db212d47647p-1, 0x1.1bd86d653c63ep-1, 0x1.19f19b16dab7ep-1, 0x1.17fc7d1652386p-1, 0x1.15f8076d50891p-1, 0x1.13e34193d585cp-1, 0x1.11bd46d7559dp-1, 0x1.0f85469ad914cp-1, 0x1.0d3a84737df05p-1, 0x1.0adc5824a1a2bp-1, 0x1.086a2d7edf4f5p-1, 0x1.05e38424eb4b6p-1, 0x1.0347ef3932438p-1, 0x1.009714f7032fbp-1, 0x1.fba15c73ba94ap-2, 0x1.f5e90beac1441p-2, 0x1.f004f1405dad1p-2, 0x1.e9f4e727d1947p-2, 0x1.e3b8e8c899794p-2, 0x1.dd51105ea157dp-2, 0x1.d6bd95cfe197p-2, 0x1.cffecd3a84208p-2, 0x1.c915257e68a3ep-2, 0x1.c20126c49fae9p-2, 0x1.bac371072274fp-2, 0x1.b35cba9adcc8fp-2, 0x1.abcdcebdd151p-2, 0x1.a4178c2af175ep-2, 0x1.9c3ae3b5071b9p-2, 0x1.9438d6e9dba89p-2, 0x1.8c1276be93f5ep-2, 0x1.83c8e2461a6d7p-2, 0x1.7b5d457232952p-2, 0x1.72d0d7dfc79aep-2, 0x1.6a24dbaec73ebp-2, 0x1.615a9c65dbc97p-2, 0x1.58736de220553p-2, 0x1.4f70ab52e8e9p-2, 0x1.4653b64192f93p-2, 0x1.3d1df5a54bd2ep-2, 0x1.33d0d5029c21ep-2, 0x1.2a6dc396901a1p-2, 0x1.20f6338d2dfb8p-2, 0x1.176b9942f503bp-2, 0x1.0dcf6a91121ccp-2, 0x1.04231e23f091dp-2, 0x1.f4d055b78a4dbp-3, 0x1.e1400e6d6ae8ap-3, 0x1.cd98518868599p-3, 0x1.b9dc074260715p-3, 0x1.a60e13f95791dp-3, 0x1.92315748b53d2p-3, 0x1.7e48ab31c7633p-3, 0x1.6a56e352b9522p-3, 0x1.565ecc2b51012p-3, 0x1.42632a6eb051ap-3, 0x1.2e66ba615fcb5p-3, 0x1.1a6c2f42fad2fp-3, 0x1.067632c2dfe7fp-3, 0x1.e50ec8fe64b35p-4, 0x1.bd44b31b48776p-4, 0x1.9593381aecff7p-4, 0x1.6dff55844cabbp-4, 0x1.468df16c8901dp-4, 0x1.1f43d9cc04aadp-4, 0x1.f04b87c40e244p-5, 0x1.a270974c1c884p-5, 0x1.54ffe68c1c7e2p-5, 0x1.08024561d378fp-5, 0x1.77009cb1bb9c6p-6, 0x1.be0997b20590dp-7, 0x1.2085cef1a41dbp-8, -0x1.3665fb024e02p-8, -0x1.c4391cc0a6938p-7, -0x1.7558ae6e317f8p-6, -0x1.039fa1bfe33f7p-5, -0x1.4be1120b07f45p-5, -0x1.9369cc8fd840ep-5, -0x1.da332f2ef2f7ep-5, -0x1.101b68ab49af4p-4, -0x1.32b7420caf214p-4, -0x1.54ea291c12088p-4, -0x1.76b1400f8c5aep-4, -0x1.9809c5eb872b4p-4, -0x1.b8f116757217ep-4, -0x1.d964aa20ec918p-4, -0x1.f96215f77563ep-4, -0x1.0c7385bd6dcdbp-3, -0x1.1bf8ac414ebb8p-3, -0x1.2b3f738a27e53p-3, -0x1.3a46de9ba4a2bp-3, -0x1.490dfe61d8a67p-3, -0x1.5793f1968825bp-3, -0x1.65d7e4a4487d2p-3, -0x1.73d911878927p-3, -0x1.8196bfad9071dp-3, -0x1.8f1043d192ab8p-3, -0x1.9c44ffd7d4cdcp-3, -0x1.a93462a706a56p-3, -0x1.b5dde7ffdd414p-3, -0x1.c2411852f9f96p-3, -0x1.ce5d889535cd3p-3, -0x1.da32da125d6adp-3, -0x1.e5c0ba3e72fa6p-3, -0x1.f106e28588271p-3, -0x1.fc05181a3cb5fp-3, -0x1.035d95e179308p-2, -0x1.08947cd2e89dap-2, -0x1.0da73489d3255p-2, -0x1.1295b628d3733p-2, -0x1.1760003120a76p-2, -0x1.1c06166677886p-2, -0x1.208801b29a27p-2, -0x1.24e5d00864a32p-2, -0x1.291f94468675cp-2, -0x1.2d356619e7ba1p-2, -0x1.312761dfbd8a4p-2, -0x1.34f5a88760593p-2, -0x1.38a05f73e0c3cp-2, -0x1.3c27b05d6c728p-2, -0x1.3f8bc93287703p-2, -0x1.42ccdbf923332p-2, -0x1.45eb1eaf974cdp-2, -0x1.48e6cb2d89d4cp-2, -0x1.4bc01f04ce259p-2, -0x1.4e775b6239ed8p-2, -0x1.510cc4ee837bp-2, -0x1.5380a3af27135p-2, -0x1.55d342e760f41p-2, -0x1.5804f0f93b1ffp-2, -0x1.5a15ff46bf3b7p-2, -0x1.5c06c2134d5b9p-2, -0x1.5dd790651a69p-2, -0x1.5f88c3e6e5ee4p-2, -0x1.611ab8c9e51cep-2, -0x1.628dcda7e8c1cp-2, -0x1.63e26365cbcaap-2, -0x1.6518dd1623c48p-2, -0x1.66319fdc42466p-2, -0x1.672d12cf8585ep-2, -0x1.680b9edf0071dp-2, -0x1.68cdaeb57c851p-2, -0x1.6973ae9dd8654p-2, -0x1.69fe0c67ccfbcp-2, -0x1.6a6d374d14316p-2, -0x1.6ac19fd6fa187p-2, -0x1.6afbb7c45c7b9p-2, -0x1.6b1bf1f0162c9p-2, -0x1.6b22c237dfc11p-2, -0x1.6b109d63a2a87p-2, -0x1.6ae5f90d44c37p-2, -0x1.6aa34b88ec0cfp-2, -0x1.6a490bcdbf2a1p-2, -0x1.69d7b15f1e7c3p-2, -0x1.694fb4366123dp-2, -0x1.68b18cad0d289p-2, -0x1.67fdb36794032p-2, -0x1.6734a1408e414p-2, -0x1.6656cf347aaa3p-2, -0x1.6564b64e03172p-2, -0x1.645ecf92c2279p-2, -0x1.634593f08e391p-2, -0x1.62197c2b4af38p-2, -0x1.60db00cb3c226p-2, -0x1.5f8a9a0be0047p-2, -0x1.5e28bfcb4b58bp-2, -0x1.5cb5e97a0d527p-2, -0x1.5b328e0b92a71p-2, -0x1.599f23e70cfe2p-2, -0x1.57fc20d8e0f54p-2, -0x1.5649fa048d87cp-2, -0x1.548923d71d1ep-2, -0x1.52ba11fa0eae8p-2, -0x1.50dd3746c25f1p-2, -0x1.4ef305ba614b7p-2, -0x1.4cfbee6a4151dp-2, -0x1.4af86178c6a8cp-2, -0x1.48e8ce0aba71bp-2, -0x1.46cda23d1b1e8p-2, -0x1.44a74b1b671bep-2, -0x1.42763496533bbp-2, -0x1.403ac97affc96p-2, -0x1.3df5736a93a75p-2, -0x1.3ba69ad250cedp-2, -0x1.394ea6e40ed98p-2, -0x1.36edfd8f2853cp-2, -0x1.34850379cbe63p-2, -0x1.32141bfabb71ep-2, -0x1.2f9ba9136d404p-2, -0x1.2d1c0b6a933c2p-2, -0x1.2a95a247058fcp-2, -0x1.2808cb8b0af1p-2, -0x1.2575e3b0005cfp-2, -0x1.22dd45c25ef24p-2, -0x1.203f4b5e186f7p-2, -0x1.1d9c4cab4f2c3p-2, -0x1.1af4a05b5fdfep-2, -0x1.18489ba646026p-2, -0x1.159892484a0f2p-2, -0x1.12e4d680043a7p-2, -0x1.102db90cae5p-2, -0x1.0d73892cba9ecp-2, -0x1.0ab6949cbc419p-2, -0x1.07f72796907f6p-2, -0x1.05358cd0d19ddp-2, -0x1.02720d7e89795p-2, -0x1.ff59e29e54f77p-3, -0x1.f9ccfcdd846p-3, -0x1.f43df30cd737cp-3, -0x1.eead4b79fd76p-3, -0x1.e91b896feb452p-3, -0x1.e3892d3916837p-3, -0x1.ddf6b4221eb3cp-3, -0x1.d864987cdaf62p-3, -0x1.d2d351a3cb664p-3, -0x1.cd4353fdeb3bbp-3, -0x1.c7b51102dadfdp-3, -0x1.c228f73f68228p-3, -0x1.bc9f725a675abp-3, -0x1.b718eb19de559p-3, -0x1.b195c7687a09p-3, -0x1.ac166a5b5614cp-3, -0x1.a69b343802b6bp-3, -0x1.a124827ad4a2ap-3, -0x1.9bb2afdd718b1p-3, -0x1.9646145d9a3d3p-3, -0x1.90df0544324eep-3, -0x1.8b7dd52c790efp-3, -0x1.8622d40b7ba2ap-3, -0x1.80ce4f37b31cfp-3, -0x1.7b809170d9206p-3, -0x1.7639e2e7dd0bap-3, -0x1.70fa894708a5dp-3, -0x1.6bc2c7ba4f043p-3, -0x1.6692def7ade7cp-3, -0x1.616b0d47c5a47p-3, -0x1.5c4b8e8e7ffc8p-3, -0x1.57349c53d6a6p-3, -0x1.52266dccb7b89p-3, -0x1.4d2137e3f82e3p-3, -0x1.48252d4366ef9p-3, -0x1.43327e5ce5276p-3, -0x1.3e4959739e404p-3, -0x1.3969eaa53d3f4p-3, -0x1.34945bf33f24dp-3, -0x1.2fc8d54c446d5p-3, -0x1.2b077c956d1edp-3, -0x1.265075b3c1287p-3, -0x1.21a3e29596fe3p-3, -0x1.1d01e33c005e4p-3, -0x1.186a95c437f65p-3, -0x1.13de16710febp-3, -0x1.0f5c7fb45e9c4p-3, -0x1.0ae5ea386461p-3, -0x1.067a6ce933e57p-3, -0x1.021a1cfe0c775p-3, -0x1.fb8a1c056a65dp-4, -0x1.f2f6a3c18b6e8p-4, -0x1.ea79f1d1da308p-4, -0x1.e21423b85ac23p-4, -0x1.d9c553ea03f57p-4, -0x1.d18d99e106ddp-4, -0x1.c96d0a2eec193p-4, -0x1.c163b68e9883fp-4, -0x1.b971adf62b28cp-4, -0x1.b196fca8bd542p-4, -0x1.a9d3ac47fdb24p-4, -0x1.a227c3e59f71dp-4, -0x1.9a934814a9bcfp-4, -0x1.93163afa9947ap-4, -0x1.8bb09c6055e2fp-4, -0x1.846269c3007b5p-4, -0x1.7d2b9e648d043p-4, -0x1.760c335c35559p-4, -0x1.6f041fa6b742ep-4, -0x1.6813583660e88p-4, -0x1.6139d002ef964p-4, -0x1.5a777819388a6p-4, -0x1.53cc3faaa1d37p-4, -0x1.4d38141c5f06ep-4, -0x1.46bae1168257dp-4, -0x1.40549092d1afap-4, -0x1.3a050aeb66791p-4, -0x1.33cc36e918777p-4, -0x1.2da9f9d1ae36p-4, -0x1.279e3775d8834p-4, -0x1.21a8d23ef2a32p-4, -0x1.1bc9ab3c8bcb6p-4, -0x1.1600a231b9621p-4, -0x1.104d95a229336p-4, -0x1.0ab062df03a07p-4, -0x1.0528e6138d3e2p-4, -0x1.ff6df4a323206p-5, -0x1.f4b4f33b26bap-5, -0x1.ea2679f58a1ecp-5, -0x1.dfc238ed8a90ep-5, -0x1.d587de6a4050ap-5, -0x1.cb7716f53a164p-5, -0x1.c18f8d709dc13p-5, -0x1.b7d0eb2ccd87fp-5, -0x1.ae3ad7fdb09eep-5, -0x1.a4ccfa4f76dfcp-5, -0x1.9b86f73af4a68p-5, -0x1.926872998c53dp-5, -0x1.89710f18a2a6bp-5, -0x1.80a06e4cb145p-5, -0x1.77f630c3d7705p-5, -0x1.6f71f61811b5dp-5, -0x1.67135d00f07e9p-5, -0x1.5eda0364ee916p-5, -0x1.56c5866a5e079p-5, -0x1.4ed58287e2e7fp-5, -0x1.47099394875f4p-5, -0x1.3f6154d767d32p-5, -0x1.37dc6116fc168p-5, -0x1.307a52a7f2241p-5, -0x1.293ac37ba7083p-5, -0x1.221d4d2e439bfp-5, -0x1.1b2189146470ep-5, -0x1.1447104872ebbp-5, -0x1.0d8d7bb793c41p-5, -0x1.06f4642e37ecap-5, -0x1.007b626452007p-5, -0x1.f4441e124e204p-6, -0x1.e7d0059d9a338p-6, -0x1.db99aceaa0456p-6, -0x1.cfa045aae8323p-6, -0x1.c3e301d64e626p-6, -0x1.b86113bf3513ep-6, -0x1.ad19ae26196c5p-6, -0x1.a20c044c64363p-6, -0x1.97374a06c02dbp-6, -0x1.8c9ab3ce9e9a1p-6, -0x1.823576d340c26p-6, -0x1.7806c90a2691cp-6, -0x1.6e0de13ebd216p-6, -0x1.6449f721a1977p-6, -0x1.5aba4357379f9p-6, -0x1.515dff85b5425p-6, -0x1.48346662a4d11p-6, -0x1.3f3cb3bfd0ee8p-6, -0x1.36762497b2a21p-6, -0x1.2ddff71941ca9p-6, -0x1.25796ab36f037p-6, -0x1.1d41c01fe52cp-6, -0x1.1538396d789a5p-6, -0x1.0d5c1a0a02874p-6, -0x1.05aca6cbc7aaep-6, -0x1.fc524bf4e38ep-7, -0x1.eda1beaf1c17p-7, -0x1.df46384d237d7p-7, -0x1.d13e4e68fcfb5p-7, -0x1.c38899be316b8p-7, -0x1.b623b63751353p-7, -0x1.a90e42facbecep-7, -0x1.9c46e276ced9dp-7, -0x1.8fcc3a6c98278p-7, -0x1.839cf3fad0fb9p-7, -0x1.77b7bba759675p-7, -0x1.6c1b416857c2p-7, -0x1.60c638ac70af8p-7, -0x1.55b7586288eebp-7, -0x1.4aed5b00a5f98p-7, -0x1.4066fe8a72767p-7, -0x1.36230496e5d8ep-7, -0x1.2c2032555371ep-7, -0x1.225d50921de26p-7, -0x1.18d92bba92617p-7, -0x1.0f9293e06526dp-7, -0x1.06885cbc8cb05p-7, -0x1.fb72bb634e774p-8, -0x1.ea48e39ba5557p-8, -0x1.d990ef98030b6p-8, -0x1.c948a429f5f61p-8, -0x1.b96dcd7f5c61cp-8, -0x1.a9fe3f226cb34p-8, -0x1.9af7d3f90804bp-8, -0x1.8c586e42c055fp-8, -0x1.7e1df796826a2p-8, -0x1.704660df3cb09p-8, -0x1.62cfa257e453fp-8, -0x1.55b7bb86991bcp-8, -0x1.48fcb3375bcfbp-8, -0x1.3c9c9775caa72p-8, -0x1.30957d8668e95p-8, -0x1.24e581df4fae8p-8, -0x1.198ac82026432p-8, -0x1.0e837b0985ed2p-8, -0x1.03cdcc73fb2c8p-8, -0x1.f2cfea8cb6921p-9, -0x1.dea06ad738accp-9, -0x1.cb09a79088752p-9, -0x1.b8083c5e8c5d6p-9, -0x1.a598d2ad4bf7ap-9, -0x1.93b8219695da3p-9, -0x1.8262edc9e5211p-9, -0x1.719609726f2efp-9, -0x1.614e541d66589p-9, -0x1.5188ba9ef84eap-9, -0x1.424236f6d49e3p-9, -0x1.3377d03411107p-9, -0x1.25269a58760b7p-9, -0x1.174bb63b58ab2p-9, -0x1.09e4516be78dap-9, -0x1.f9db4c25ac1cep-10, -0x1.e0c9f5a725f3fp-10, -0x1.c88f455b6736cp-10, -0x1.b125f9b95e04cp-10, -0x1.9a88e9716d66fp-10, -0x1.84b3032c8668p-10, -0x1.6f9f4d4ad637p-10, -0x1.5b48e5a2e720ep-10, -0x1.47ab013ee549ap-10, -0x1.34c0ec1a88e5fp-10, -0x1.228608e035cccp-10, -0x1.10f5d0a5072f3p-10, -0x1.000bd2a5f65e6p-10, -0x1.df87680714626p-11, -0x1.c0325efb17681p-11, -0x1.a2102a5db9edep-11, -0x1.85189492676a3p-11, -0x1.6943919fad8bfp-11, -0x1.4e893ea6c38dap-11, -0x1.34e1e15a2c13ap-11, -0x1.1c45e7732fd44p-11, -0x1.04ade62949e59p-11, -0x1.dc253350fccb8p-12, -0x1.b0d9c90f2d956p-12, -0x1.876b9e806f0bcp-12, -0x1.5fcd0f4b04ab4p-12, -0x1.39f0c0b55b8f3p-12, -0x1.15c9a09ccaf7ep-12, -0x1.e695c8bc03fa5p-13, -0x1.a4d00f9bce6ep-13, -0x1.66299852ee048p-13, -0x1.2a8a6e1327dbp-13, -0x1.e3b6456b867f9p-14, -0x1.7809994bf8684p-14, -0x1.11e209a8a6686p-14, -0x1.6227929cadfa5p-15, -0x1.55d01f9a43997p-16, 0x1.27120fa098a71p-22, 0x1.4b999d2121ca4p-16, 0x1.3fe3d35cdbb86p-15, 0x1.d0e13c935cff9p-15, 0x1.2c88a13cf7988p-14, 0x1.6c5f299f3907ap-14, 0x1.a8188d674bf7p-14, 0x1.dfd84534d35a9p-14, 0x1.09e078153236p-13, 0x1.21fa2bd39a4d8p-13, 0x1.3849b9859e64ap-13, 0x1.4cdf35b34ec36p-13, 0x1.5fca4f9394c28p-13, 0x1.711a52db037fp-13, 0x1.80de2988b58cbp-13, 0x1.8f245dae8c04fp-13, 0x1.9bfb1b30ae638p-13, 0x1.a77031868bp-13, 0x1.b191156f724a4p-13, 0x1.ba6ae2acaaa53p-13, 0x1.c20a5daa56f1ap-13, 0x1.c87bf52af96e2p-13, 0x1.cdcbc3efe18f5p-13, 0x1.d2059254e1bddp-13, 0x1.d534d7ecd60bdp-13, 0x1.d764bd172efccp-13, 0x1.d8a01c91a6841p-13, 0x1.d8f18502c30b4p-13, 0x1.d8633a81eec59p-13, 0x1.d6ff38158629bp-13, 0x1.d4cf3134b5e5dp-13, 0x1.d1dc933a09cbfp-13, 0x1.ce3086d6373p-13, 0x1.c9d3f180fd491p-13, 0x1.c4cf76db4873ep-13, 0x1.bf2b7a17385ddp-13, 0x1.b8f01f52f1c89p-13, 0x1.b2254cf21da1ep-13, 0x1.aad2acf2bbf3ep-13, 0x1.a2ffae3a7117dp-13, 0x1.9ab385dffa6c4p-13, 0x1.91f53071b93f7p-13, 0x1.88cb7332ebb7fp-13, 0x1.7f3cdd5886432p-13, 0x1.754fc93e7c77cp-13, 0x1.6b0a5d9978a3bp-13, 0x1.60728ea08db5bp-13, 0x1.558e1f36b6b69p-13, 0x1.4a62a20d643c5p-13, 0x1.3ef57ac0f906ep-13, 0x1.334bdef385264p-13, 0x1.276ad75e9a4f8p-13, 0x1.1b5740e7802cfp-13, 0x1.0f15cda3da9a3p-13, 0x1.02ab05e653b69p-13, 0x1.ec36927a57c3bp-14, 0x1.d2d59edfda182p-14, 0x1.b93b52f4072afp-14, 0x1.9f6f84fc00907p-14, 0x1.8579c16c56237p-14, 0x1.6b614cc213fecp-14, 0x1.512d2550352b6p-14, 0x1.36e405076fbf9p-14, 0x1.1c8c633519a1ep-14, 0x1.022c7634fcec9p-14, 0x1.cf946a51670ep-15, 0x1.9ad6b3260ea4p-15, 0x1.662ac1f82b534p-15, 0x1.319b1d08ecd04p-15, 0x1.fa63b1d601fe7p-16, 0x1.91f137116519ap-16, 0x1.29f13e4b146b3p-16, 0x1.84ead5310721fp-17, 0x1.6e3a4d60a0ba8p-18, -0x1.5666c5d0fbba3p-21, -0x1.c10285008c016p-18, -0x1.aa1630980902bp-17, -0x1.3904bba09d6c9p-16, -0x1.9c205c3801fd5p-16, -0x1.fe5176b2c02dp-16, -0x1.2fc6172553332p-15, -0x1.5fe2a4058c544p-15, -0x1.8f7912fbc80cep-15, -0x1.be84613bde1a4p-15, -0x1.ecffd5db70cacp-15, -0x1.0d737fcf66eccp-14, -0x1.241ad960997e2p-14, -0x1.3a74036d8252cp-14, -0x1.507d2a62e3f62p-14, -0x1.66349a4a874ecp-14, -0x1.7b98bdca65c3cp-14, -0x1.90a81d2cc197ep-14, -0x1.a5615d69d5367p-14, -0x1.b9c33f3b26d52p-14, -0x1.cdcc9e31deec6p-14, -0x1.e17c6fd409dc2p-14, -0x1.f4d1c2bccd458p-14, -0x1.03e5dee336074p-13, -0x1.0d34cf98c504ap-13, -0x1.16555ded99835p-13, -0x1.1f473f37a596ap-13, -0x1.280a3352e8103p-13, -0x1.309e0440d33bdp-13, -0x1.390285ca54724p-13, -0x1.413795247b9b6p-13, -0x1.493d189791fcfp-13, -0x1.5112ff27754bbp-13, -0x1.58b9403fdf09fp-13, -0x1.602fdb606f8cdp-13, -0x1.6776d7cce8dd3p-13, -0x1.6e8e443e27a5ap-13, -0x1.757636963cdddp-13, -0x1.7c2ecb95a97e3p-13, -0x1.82b8269293814p-13, -0x1.89127132aa25p-13, -0x1.8f3ddb26456c7p-13, -0x1.953a99e4d67ffp-13, -0x1.9b08e86caa551p-13, -0x1.a0a90703216e4p-13, -0x1.a61b3af729ddfp-13, -0x1.ab5fce655884bp-13, -0x1.b0770ffd79e93p-13, -0x1.b56152ca29e09p-13, -0x1.ba1eedf9c7cb5p-13, -0x1.beb03ca8e51f1p-13, -0x1.c3159daebd74ep-13, -0x1.c74f736a3f9cp-13, -0x1.cb5e239110e02p-13, -0x1.cf421700ada5dp-13, -0x1.d2fbb98f62646p-13, -0x1.d68b79e071136p-13, -0x1.d9f1c9381aabbp-13, -0x1.dd2f1b519f42bp-13, -0x1.e043e636d8ep-13, -0x1.e330a217d0eb6p-13, -0x1.e5f5c92547825p-13, -0x1.e893d76b6c56ep-13, -0x1.eb0b4aadac14fp-13, -0x1.ed5ca2445fa8fp-13, -0x1.ef885efa4bcadp-13, -0x1.f18f02ed031efp-13, -0x1.f371116cc4d6bp-13, -0x1.f52f0ede7d266p-13, -0x1.f6c9809e1e011p-13, -0x1.f840ece2a0f79p-13, -0x1.f995daa169aabp-13, -0x1.fac8d1757a6b2p-13, -0x1.fbda59846bffp-13, -0x1.fccafb665f684p-13, -0x1.fd9b400ec18a7p-13, -0x1.fe4bb0b4433fcp-13, -0x1.fedcd6bbf22bbp-13, -0x1.ff4f3ba2e9441p-13, -0x1.ffa368ea8ac53p-13, -0x1.ffd9e804ad89fp-13, -0x1.fff34240f0ecdp-13, -0x1.fff000b9e56d3p-13, -0x1.ffd0ac44a83abp-13, -0x1.ff95cd5f02a6ep-13, -0x1.ff3fec20169b8p-13, -0x1.fecf9028de087p-13, -0x1.fe4540950b985p-13, -0x1.fda183edabf3fp-13, -0x1.fce4e01b3267cp-13, -0x1.fc0fda58614fbp-13, -0x1.fb22f72649bbep-13, -0x1.fa1eba40a18ep-13, -0x1.f903a6921e17p-13, -0x1.f7d23e2a4000cp-13, -0x1.f68b02333a3dp-13, -0x1.f52e72e7f7946p-13, -0x1.f3bd0f8adf294p-13, -0x1.f237565dd26dbp-13, -0x1.f09dc499000fcp-13, -0x1.eef0d66413478p-13, -0x1.ed3106ce892c3p-13, -0x1.eb5ecfc850cb3p-13, -0x1.e97aaa1c5b8b4p-13, -0x1.e7850d69472cap-13, -0x1.e57e701cbe3cdp-13, -0x1.e367476d45ec1p-13, -0x1.e140075603628p-13, -0x1.df092291a9d0cp-13, -0x1.dcc30a966b013p-13, -0x1.da6e2f91f0053p-13, -0x1.d80b006592bc1p-13, -0x1.d599eaa369382p-13, -0x1.d31b5a8ae8a87p-13, -0x1.d08fbb063364dp-13, -0x1.cdf775a825ee9p-13, -0x1.cb52f2a964227p-13, -0x1.c8a298e7085a5p-13, -0x1.c5e6cde0b407ep-13, -0x1.c31ff5b6eeabfp-13, -0x1.c04e732a97863p-13, -0x1.bd72a79b25063p-13, -0x1.ba8cf306b5e8ap-13, -0x1.b79db408fae47p-13, -0x1.b4a547dac52d8p-13, -0x1.b1a40a529945dp-13, -0x1.ae9a55e3c69a9p-13, -0x1.ab88839f81713p-13, -0x1.a86eeb34b15d3p-13, -0x1.a54de2f0e472p-13, -0x1.a225bfc0d1dd7p-13, -0x1.9ef6d5316e6d5p-13, -0x1.9bc1757075783p-13, -0x1.9885f14e5cc3bp-13, -0x1.9544983eeda3dp-13, -0x1.91fdb85b27c4p-13, -0x1.8eb19e6277006p-13, -0x1.8b6095bd09797p-13, -0x1.880ae87c92228p-13, -0x1.84b0df5f1c08fp-13, -0x1.8152c1d0a08d4p-13, -0x1.7df0d5ed0619p-13, -0x1.7a8b60828bd06p-13, -0x1.7722a5145697dp-13, -0x1.73b6e5dbefe29p-13, -0x1.704863ccc41ccp-13, -0x1.6cd75e95cd9c7p-13, -0x1.696414a4b55edp-13, -0x1.65eec32821e7dp-13, -0x1.6277a612d0cabp-13, -0x1.5efef81de923cp-13, -0x1.5b84f2cc62974p-13, -0x1.5809ce6d61b3ap-13, -0x1.548dc21f94217p-13, -0x1.511103d3ba0e7p-13, -0x1.4d93c85012949p-13, -0x1.4a1643336c406p-13, -0x1.4698a6f7e006dp-13, -0x1.431b24f63f78cp-13, -0x1.3f9ded69885e1p-13, -0x1.3c212f716438cp-13, -0x1.38a51915f4256p-13, -0x1.3529d74ab9bffp-13, -0x1.31af95f247ff3p-13, -0x1.2e367fe0d8557p-13, -0x1.2abebee06a551p-13, -0x1.27487bb392774p-13, -0x1.23d3de18dd803p-13, -0x1.20610cce282e9p-13, -0x1.1cf02d94295b2p-13, -0x1.1981653185337p-13, -0x1.1614d77652d8dp-13, -0x1.12aaa73f67732p-13, -0x1.0f42f679a791dp-13, -0x1.0bdde6259318ep-13, -0x1.087b965a68b24p-13, -0x1.051c26497c95fp-13, -0x1.01bfb441a5d76p-13, -0x1.fcccbb6555982p-14, -0x1.f6207e60d1fabp-14, -0x1.ef7ae8ec44115p-14, -0x1.e8dc30d3c53d6p-14, -0x1.e2448a3f7abf1p-14, -0x1.dbb427ba8d229p-14, -0x1.d52b3a38b02e8p-14, -0x1.cea9f11d986aap-14, -0x1.c8307a42eb8a3p-14, -0x1.c1bf01fef1973p-14, -0x1.bb55b32aa22fap-14, -0x1.b4f4b728594abp-14, -0x1.ae9c35e9f4accp-14, -0x1.a84c55f6dd89ep-14, -0x1.a2053c72a04a8p-14, -0x1.9bc70d2312488p-14, -0x1.9591ea760078fp-14, -0x1.8f65f587996fp-14, -0x1.89434e28445ffp-14, -0x1.832a12e3156aep-14, -0x1.7d1a61032c74ep-14, -0x1.77145499c65c2p-14, -0x1.71180883e01a8p-14, -0x1.6b259670400bbp-14, -0x1.653d16e529fe9p-14, -0x1.5f5ea145c1d96p-14, -0x1.598a4bd7f277fp-14, -0x1.53c02bc98335ep-14, -0x1.4e005536361a9p-14, -0x1.484adb2c949c9p-14, -0x1.429fcfb3c2ae4p-14, -0x1.3cff43d0706fap-14, -0x1.3769478a607d1p-14, -0x1.31dde9f191d55p-14, -0x1.2c5d392317f5fp-14, -0x1.26e7424e6c624p-14, -0x1.217c11ba63368p-14, -0x1.1c1bb2ca2edc7p-14, -0x1.16c630021acbp-14, -0x1.117b930c72963p-14, -0x1.0c3be4be30f9p-14, -0x1.07072d1bd28a7p-14, -0x1.01dd735df180dp-14, -0x1.f97d7beb6b5d1p-15, -0x1.ef56252329aecp-15, -0x1.e544ec4318e82p-15, -0x1.db49d9b78501ap-15, -0x1.d164f48142577p-15, -0x1.c796423e56dfcp-15, -0x1.bdddc732b6d58p-15, -0x1.b43b865034062p-15, -0x1.aaaf813eef8c3p-15, -0x1.a139b8651bb73p-15, -0x1.97da2aef48aa4p-15, -0x1.8e90d6d81d422p-15, -0x1.855db8efdfb4bp-15, -0x1.7c40cce3f24c1p-15, -0x1.733a0d46e1545p-15, -0x1.6a4973972fa88p-15, -0x1.616ef846f54c3p-15, -0x1.58aa92c2b5b28p-15, -0x1.4ffc39789ff2bp-15, -0x1.4763e1df2ea7fp-15, -0x1.3ee1807c338bap-15, -0x1.367508eb752bdp-15, -0x1.2e1e6de560cfp-15, -0x1.25dda14502138p-15, -0x1.1db2940f1a108p-15, -0x1.159d3677ccbdp-15, -0x1.0d9d77e8c8d66p-15, -0x1.05b34707bc841p-15, -0x1.fbbd237801e2cp-16, -0x1.ec3e8a686d8adp-16, -0x1.dcea9bd88e404p-16, -0x1.cdc12f65ff6b7p-16, -0x1.bec21b5ef04ep-16, -0x1.afed34cd762a6p-16, -0x1.a1424f816d7cep-16, -0x1.92c13e1afe0ddp-16, -0x1.8469d216087b5p-16, -0x1.763bdbd2d0e0dp-16, -0x1.68372aa08cffap-16, -0x1.5a5b8cc6c47c5p-16, -0x1.4ca8cf8f29717p-16, -0x1.3f1ebf4ea9699p-16, -0x1.31bd276e98497p-16, -0x1.2483d275650dep-16, -0x1.17728a102d32p-16, -0x1.0a89171a9b6a4p-16, -0x1.fb8e834ee80fdp-17, -0x1.e259a211fefd9p-17, -0x1.c97317b280a19p-17, -0x1.b0da700352dd2p-17, -0x1.988f3584a5c8dp-17, -0x1.8090f175fa458p-17, -0x1.68df2be36f6dbp-17, -0x1.51796bb3f0d87p-17, -0x1.3a5f36b6e123cp-17, -0x1.239011b473344p-17, -0x1.0d0b80799e7e8p-17, -0x1.eda20bca509acp-18, -0x1.c1c047ebb8379p-18, -0x1.9670b7ae2e15fp-18, -0x1.6bb25bdaa86cep-18, -0x1.418433c1a9519p-18, -0x1.17e53d57db3ap-18, -0x1.dda8ea963d378p-19, -0x1.8ca1ae3217de7p-19, -0x1.3cb2ba4a7942cp-19, -0x1.dbb4034549f5ep-20, -0x1.402aea3ac7735p-20, -0x1.4d8c0fa6f206ap-21, -0x1.f026ec421ac4ap-25, 0x1.0b4f5d270ac3p-21, 0x1.18b8d4075963fp-20, 0x1.a9b6651a2ee07p-20, 0x1.1c5247e88b81cp-19, 0x1.62c3c1e769d8ap-19, 0x1.a831b90621aadp-19, 0x1.ec9e464b2b395p-19, 0x1.1805c19230e82p-18, 0x1.393dc4a44f10dp-18, 0x1.59f8394ba32d9p-18, 0x1.7a362c7a7f0b4p-18, 0x1.99f8ab1bd2d38p-18, 0x1.b940c200b8aa4p-18, 0x1.d80f7dd3a60ebp-18, 0x1.f665eb0a48d63p-18, 0x1.0a228aec191e5p-17, 0x1.18d705107d19bp-17, 0x1.2750e9b792f33p-17, 0x1.3590be71e0d4cp-17, 0x1.4397089554f75p-17, 0x1.51644d3945fc8p-17, 0x1.5ef9112f2dd4p-17, 0x1.6c55d8fd02875p-17, 0x1.797b28d973641p-17, 0x1.866984a567725p-17, 0x1.93216fe7dd172p-17, 0x1.9fa36dc88856cp-17, 0x1.abf0010acd52dp-17, 0x1.b807ac09f4f44p-17, 0x1.c3eaf0b519864p-17, 0x1.cf9a5089ebe1fp-17, 0x1.db164c90bcdc4p-17, 0x1.e65f655930c1ep-17, 0x1.f1761af61aa75p-17, 0x1.fc5aecf8a675ep-17, 0x1.03872d37af148p-16, 0x1.08c870f0260ffp-16, 0x1.0df180a2e7274p-16, 0x1.13029b06e1ea8p-16, 0x1.17fbfe89c2c32p-16, 0x1.1cdde94ecfd76p-16, 0x1.21a8992e60d98p-16, 0x1.265c4bb3b377dp-16, 0x1.2af93e1bb8654p-16, 0x1.2f7fad53bff55p-16, 0x1.33efd5f835d9ep-16, 0x1.3849f454012b1p-16, 0x1.3c8e445eb2311p-16, 0x1.40bd01bb7aa92p-16, 0x1.44d667b9251fbp-16, 0x1.48dab14ffc1c5p-16, 0x1.4cca19213e56fp-16, 0x1.50a4d9764c4f7p-16, 0x1.546b2c3f8a3bfp-16, 0x1.581d4b13dc2b8p-16, 0x1.5bbb6f3045772p-16, 0x1.5f45d17665cf3p-16, 0x1.62bcaa6c0ddd6p-16, 0x1.6620323b16324p-16, 0x1.6970a0afd9707p-16, 0x1.6cae2d3960f94p-16, 0x1.6fd90ee9017ccp-16, 0x1.72f17c713da01p-16, 0x1.75f7ac2572678p-16, 0x1.78ebd3f9acb31p-16, 0x1.7bce298231a06p-16, 0x1.7e9ee1f2e39ebp-16, 0x1.815e321f51908p-16, 0x1.840c4e7a6e043p-16, 0x1.86a96b15dea9dp-16, 0x1.8935bba174dbp-16, 0x1.8bb1736c05c73p-16, 0x1.8e1cc5626ccf3p-16, 0x1.9077e40fe426ap-16, 0x1.92c3019d90d0bp-16, 0x1.94fe4fd20f555p-16, 0x1.972a001200446p-16, 0x1.9946435fbb1bap-16, 0x1.9b534a5b00745p-16, 0x1.9d514541d2e7cp-16, 0x1.9f4063ef72ee8p-16, 0x1.a120d5dc6e02ap-16, 0x1.a2f2ca1fb9165p-16, 0x1.a4b66f6ddee45p-16, 0x1.a66bf4192ec62p-16, 0x1.a8138611e50e3p-16, 0x1.a9ad52e6818p-16, 0x1.ab3987c39ccc9p-16, 0x1.acb8517498647p-16, 0x1.ae29dc633bbfap-16, 0x1.af8e5497c37f7p-16, 0x1.b0e5e5b9a1d34p-16, 0x1.b230bb0fa10f3p-16, 0x1.b36eff802314dp-16, 0x1.b4a0dd910bb58p-16, 0x1.b5c67f6808c0fp-16, 0x1.b6e00ecb2ac88p-16, 0x1.b7edb52137443p-16, 0x1.b8ef9b71c61ep-16, 0x1.b9e5ea65a5227p-16, 0x1.bad0ca46be0f9p-16, 0x1.bbb0630112c8cp-16, 0x1.bc84dc2332cadp-16, 0x1.bd4e5cddd1f7bp-16, 0x1.be0d0c0477b02p-16, 0x1.bec1100e513c3p-16, 0x1.bf6a8f1615b0fp-16, 0x1.c009aedaa7593p-16, 0x1.c09e94bf68bc9p-16, 0x1.c12965cc62182p-16, 0x1.c1aa46af43554p-16, 0x1.c2215bbba42bap-16, 0x1.c28ec8eb2bc2bp-16, 0x1.c2f2b1ddf1409p-16, 0x1.c34d39db5c9b7p-16, 0x1.c39e83d2aca11p-16, 0x1.c3e6b25af5857p-16, 0x1.c425e7b3bbcf5p-16, 0x1.c45c45c5749bbp-16, 0x1.c489ee224a552p-16, 0x1.c4af020681954p-16, 0x1.c4cba2589a4a6p-16, 0x1.c4dfefa9dfd4fp-16, 0x1.c4ec0a3786608p-16, 0x1.c4f011ea86dc8p-16, 0x1.c4ec2658490aap-16, 0x1.c4e066c32c675p-16, 0x1.c4ccf21b37fc3p-16, 0x1.c4b1e6feb54c6p-16, 0x1.c48f63ba235c1p-16, 0x1.c4658648f93edp-16, 0x1.c4346c56edf42p-16, 0x1.c3fc333f8b98ep-16, 0x1.c3bcf80ec0f6p-16, 0x1.c376d781efb74p-16, 0x1.c329ee08995cp-16, 0x1.c2d657c46b76ap-16, 0x1.c27c308966964p-16, 0x1.c21b93df4fee2p-16, 0x1.c1b49d023a3eap-16, 0x1.c14766e259e0ep-16, 0x1.c0d40c24ce894p-16, 0x1.c05aa72458254p-16, 0x1.bfdb51f257614p-16, 0x1.bf56265637c7ep-16, 0x1.becb3dcee5bc4p-16, 0x1.be3ab1931f2e8p-16, 0x1.bda49a9212227p-16, 0x1.bd09117397c61p-16, 0x1.bc682e98bf83cp-16, 0x1.bbc20a1d32f9p-16, 0x1.bb16bbd6f2f33p-16, 0x1.ba665b56a8dc5p-16, 0x1.b9b0ffe8e0e6ap-16, 0x1.b8f6c0968b08ap-16, 0x1.b837b424f3c82p-16, 0x1.b773f116d3e28p-16, 0x1.b6ab8dace8578p-16, 0x1.b5de9fe614472p-16, 0x1.b50d3d7fcb968p-16, 0x1.b4377bf7452f4p-16, 0x1.b35d708a0c8d1p-16, 0x1.b27f3035acb75p-16, 0x1.b19ccfb88b4e9p-16, 0x1.b0b6639350d6ap-16, 0x1.afcc00087118fp-16, 0x1.aeddb91cc04d2p-16, 0x1.adeba2986c6aep-16, 0x1.acf5d007a003cp-16, 0x1.abfc54ba5aa12p-16, 0x1.aaff43c586305p-16, 0x1.a9feb00359025p-16, 0x1.a8faac13e3072p-16, 0x1.a7f34a5cf3249p-16, 0x1.a6e89d0bf2cbp-16, 0x1.a5dab6157eea2p-16, 0x1.a4c9a7359103ep-16, 0x1.a3b581f08f8dp-16, 0x1.a29e5794417b1p-16, 0x1.a184393772c14p-16, 0x1.a06737bab796dp-16, 0x1.9f4763c93e271p-16, 0x1.9e24cdd8c8cep-16, 0x1.9cff862a5de9ep-16, 0x1.9bd79ccb8fb86p-16, 0x1.9aad2195b069dp-16, 0x1.9980242ea0efdp-16, 0x1.9850b40a16b02p-16, 0x1.971ee069852e8p-16, 0x1.95eab85c5cbd1p-16, 0x1.94b44ac0bb072p-16, 0x1.937ba64477d75p-16, 0x1.9240d9647c7a3p-16, 0x1.9103f26e04667p-16, 0x1.8fc4ff7f26de1p-16, 0x1.8e840e86c379ap-16, 0x1.8d412d4531faap-16, 0x1.8bfc694d1f829p-16, 0x1.8ab5d0034e71cp-16, 0x1.896d6e9f2c485p-16, 0x1.8823522c3d8a5p-16, 0x1.86d78789511afp-16, 0x1.858a1b69161ddp-16, 0x1.843b1a533726cp-16, 0x1.82ea90a4caa26p-16, 0x1.81988a8fcd88p-16, 0x1.8045141c82453p-16, 0x1.7ef03929527ap-16, 0x1.7d9a056b76256p-16, 0x1.7c42846fdc646p-16, 0x1.7ae9c19a5909ap-16, 0x1.798fc826d117fp-16, 0x1.7834a32a410dp-16, 0x1.76d85d9203b0ap-16, 0x1.757b022498f65p-16, 0x1.741c9b82671a1p-16, 0x1.72bd3425edca1p-16, 0x1.715cd663c3444p-16, 0x1.6ffb8c6bb602cp-16, 0x1.6e996048ab96p-16, 0x1.6d365be0dde4bp-16, 0x1.6bd288f7149efp-16, 0x1.6a6df129feca7p-16, 0x1.69089df50f41ap-16, 0x1.67a298b1489f8p-16, 0x1.663bea94bad39p-16, 0x1.64d49cb328ddp-16, 0x1.636cb7ff5c2eep-16, 0x1.6204454a069ebp-16, 0x1.609b4d42ac942p-16, 0x1.5f31d878c48bdp-16, 0x1.5dc7ef5af8dbap-16, 0x1.5c5d9a38204c1p-16, 0x1.5af2e13f27c1fp-16, 0x1.5987cc7ffd267p-16, 0x1.581c63ebb4273p-16, 0x1.56b0af5450e3bp-16, 0x1.5544b66d9bc69p-16, 0x1.53d880cdfd4c3p-16, 0x1.526c15edba03cp-16, 0x1.50ff7d279a73dp-16, 0x1.4f92bdba064a5p-16, 0x1.4e25dec6696ffp-16, 0x1.4cb8e751cccb3p-16, 0x1.4b4bde4565a57p-16, 0x1.49deca6e68fe1p-16, 0x1.4871b27f0faafp-16, 0x1.47049d0e57a82p-16, 0x1.4597909818447p-16, 0x1.442a937e3dbeep-16, }}, 
      {{0x1.6ddbb6c09aaddp-1, 0x1.6db7a264fcefcp-1, 0x1.6d7bfec9fb53ap-1, 0x1.6d2981a37466dp-1, 0x1.6cc11bda50fa2p-1, 0x1.6c43ef44e2f82p-1, 0x1.6bb3441233ea3p-1, 0x1.6b107e8af1601p-1, 0x1.6a5d158ff7e6dp-1, 0x1.699a8a1261e7cp-1, 0x1.68ca5fa11e554p-1, 0x1.67ee1611e47fep-1, 0x1.6707243ca2d9dp-1, 0x1.6616f3b751f44p-1, 0x1.651edd7ae37abp-1, 0x1.64202757a0135p-1, 0x1.631c021ed559cp-1, 0x1.6213886878376p-1, 0x1.6107bddcffb36p-1, 0x1.5ff98eedb3adcp-1, 0x1.5ee9d0e7f494ep-1, 0x1.5dd9425236b8ep-1, 0x1.5cc88b83b14f3p-1, 0x1.5bb83f69c5fadp-1, 0x1.5aa8dc701a684p-1, 0x1.599acd82112a8p-1, 0x1.588e6b1dd3989p-1, 0x1.5783fc727eec4p-1, 0x1.567bb88423375p-1, 0x1.5575c7514d82ap-1, 0x1.547242f6a6722p-1, 0x1.537138cde8998p-1, 0x1.5272aa860ced5p-1, 0x1.51768f33035d2p-1, 0x1.507cd453ba7e2p-1, 0x1.4f855ecd923b4p-1, 0x1.4e900bdc8fc75p-1, 0x1.4d9cb1f7efa52p-1, 0x1.4cab21aad2798p-1, 0x1.4bbb2660f2a0ep-1, 0x1.4acc8727616d9p-1, 0x1.49df07616decfp-1, 0x1.48f26771dfdc7p-1, 0x1.48066558c7ad9p-1, 0x1.471abd4629869p-1, 0x1.462f2a21da54bp-1, 0x1.45436608e3d1bp-1, 0x1.44572ac0d1201p-1, 0x1.436a322148ecdp-1, 0x1.427c3674580bdp-1, 0x1.418cf2cdd6c53p-1, 0x1.409c235a53eb9p-1, 0x1.3fa985a5ee9f7p-1, 0x1.3eb4d8db8a102p-1, 0x1.3dbdddfcc4ffep-1, 0x1.3cc458131e607p-1, 0x1.3bc80c5ab025ap-1, 0x1.3ac8c266e228p-1, 0x1.39c644417e361p-1, 0x1.38c05e848300bp-1, 0x1.37b6e06f14aap-1, 0x1.36a99bf5e94e1p-1, 0x1.359865cf87b7bp-1, 0x1.3483157cac7bap-1, 0x1.3369854d2badp-1, 0x1.324b926197f4ap-1, 0x1.31291ca9fe367p-1, 0x1.300206e1f90d5p-1, 0x1.2ed6368a620d7p-1, 0x1.2da593e0df3f1p-1, 0x1.2c7009d588325p-1, 0x1.2b3585fedabf2p-1, 0x1.29f5f88c35fa8p-1, 0x1.28b154370aa7cp-1, 0x1.27678e32ee742p-1, 0x1.26189e1cbe665p-1, 0x1.24c47de8f68fp-1, 0x1.236b29d162988p-1, 0x1.220ca04249bcbp-1, 0x1.20a8e1c734098p-1, 0x1.1f3ff0f763569p-1, 0x1.1dd1d2621b69ap-1, 0x1.1c5e8c7acf7f6p-1, 0x1.1ae627854778cp-1, 0x1.1968ad81d2729p-1, 0x1.17e62a1995badp-1, 0x1.165eaa8b05563p-1, 0x1.14d23d9695092p-1, 0x1.1340f36bad53fp-1, 0x1.11aadd95eba3fp-1, 0x1.10100eeab79f1p-1, 0x1.0e709b7736fd8p-1, 0x1.0ccc986ea10c9p-1, 0x1.0b241c18fa6dp-1, 0x1.09773dc23d72ap-1, 0x1.07c615a9ee455p-1, 0x1.0610bcf32203bp-1, 0x1.04574d94f725dp-1, 0x1.0299e24b82344p-1, 0x1.00d896892db94p-1, 0x1.fe270cd11ad9dp-2, 0x1.fa959d3d4e0d8p-2, 0x1.f6fd18db582edp-2, 0x1.f35dbb304ab47p-2, 0x1.efb7c0a91d3b9p-2, 0x1.ec0b6682c221bp-2, 0x1.e858eab313f13p-2, 0x1.e4a08bd296c9cp-2, 0x1.e0e289070ce4ap-2, 0x1.dd1f21eed335p-2, 0x1.d956968d0a8acp-2, 0x1.d58927367d627p-2, 0x1.d1b7147f4738ap-2, 0x1.cde09f293424cp-2, 0x1.ca060812d141p-2, 0x1.c62790272f30dp-2, 0x1.c245784e4ae74p-2, 0x1.be60015e1dfd2p-2, 0x1.ba776c0c4eae1p-2, 0x1.b68bf8e078015p-2, 0x1.b29de8270c51dp-2, 0x1.aead79e4c8884p-2, 0x1.aabaedcab3a18p-2, 0x1.a6c6832aaa81p-2, 0x1.a2d078ec6ed35p-2, 0x1.9ed90d8336cdp-2, 0x1.9ae07ee3bd56ap-2, 0x1.96e70a7ac7349p-2, 0x1.92eced2422e4ap-2, 0x1.8ef2632216decp-2, 0x1.8af7a815414ebp-2, 0x1.86fcf6f4e1cb3p-2, 0x1.83028a078c9b7p-2, 0x1.7f089adc4404ep-2, 0x1.7b0f6243f179fp-2, 0x1.7717184b414cbp-2, 0x1.731ff434da4d2p-2, 0x1.6f2a2c73ed5d1p-2, 0x1.6b35f6a7207f1p-2, 0x1.67438793cc239p-2, 0x1.635313218b24dp-2, 0x1.5f64cc561d017p-2, 0x1.5b78e551957e9p-2, 0x1.578f8f4ad5bc8p-2, 0x1.53a8fa8c5242dp-2, 0x1.4fc556711fdb8p-2, 0x1.4be4d16243b7cp-2, 0x1.480798d44a64ap-2, 0x1.442dd9451e84ep-2, 0x1.4057be3a1f4fdp-2, 0x1.3c85723e76d6bp-2, 0x1.38b71ee1a9059p-2, 0x1.34ececb66117ep-2, 0x1.312703517444ep-2, 0x1.2d6589491d984p-2, 0x1.29a8a4346d405p-2, 0x1.25f078aaedf42p-2, 0x1.223d2a4479696p-2, 0x1.1e8edb993eedp-2, 0x1.1ae5ae41f9ecap-2, 0x1.1741c2d852476p-2, 0x1.13a338f76d70fp-2, 0x1.100a2f3ca4f64p-2, 0x1.0c76c34868fd5p-2, 0x1.08e911bf49088p-2, 0x1.0561364b236d8p-2, 0x1.01df4b9c78dcdp-2, 0x1.fcc6d6d7c46edp-3, 0x1.f5db5cf756ab1p-3, 0x1.eefc593313062p-3, 0x1.e829f940ec185p-3, 0x1.e16468f5465a6p-3, 0x1.daabd2471c133p-3, 0x1.d4005d545df76p-3, 0x1.cd62306680a4ap-3, 0x1.c6d16ff73a7e1p-3, 0x1.c04e3eb57b968p-3, 0x1.b9d8bd8a87079p-3, 0x1.b3710b9f3bc89p-3, 0x1.ad1746618357dp-3, 0x1.a6cb8989eb7e5p-3, 0x1.a08def215dfb1p-3, 0x1.9a5e8f86fa7c7p-3, 0x1.943d817613c95p-3, 0x1.8e2ada0c482dcp-3, 0x1.8826accfb1a8dp-3, 0x1.82310bb533202p-3, 0x1.7c4a0726df167p-3, 0x1.7671ae0a6d55fp-3, 0x1.70a80dc7c7792p-3, 0x1.6aed324faa90ap-3, 0x1.654126224ef04p-3, 0x1.5fa3f2562c22dp-3, 0x1.5a159e9eb958ap-3, 0x1.5496315346771p-3, 0x1.4f25af75d3663p-3, 0x1.49c41cb9f9d6cp-3, 0x1.44717b8bd1c13p-3, 0x1.3f2dcd16e2351p-3, 0x1.39f9114d130a4p-3, 0x1.34d346eda215dp-3, 0x1.2fbc6b8c10756p-3, 0x1.2ab47b971ecdap-3, 0x1.25bb725fb54e6p-3, 0x1.20d14a1fd8069p-3, 0x1.1bf5fc018a826p-3, 0x1.17298025b60c8p-3, 0x1.126bcdab0723cp-3, 0x1.0dbcdab4bdbfp-3, 0x1.091c9c717e724p-3, 0x1.048b072211fc2p-3, 0x1.00080e201c078p-3, 0x1.f72747c995c7bp-4, 0x1.ee5b741ee27fap-4, 0x1.e5ac82d83e061p-4, 0x1.dd1a53f446918p-4, 0x1.d4a4c5e4fd0b6p-4, 0x1.cc4bb59c9d0a7p-4, 0x1.c40efe9a47109p-4, 0x1.bbee7af685d64p-4, 0x1.b3ea036fbaf5dp-4, 0x1.ac016f7668667p-4, 0x1.a43495394a78dp-4, 0x1.9c8349b153ea3p-4, 0x1.94ed60ad87508p-4, 0x1.8d72acde9e35ap-4, 0x1.8612ffe28f202p-4, 0x1.7ece2a4fece7ap-4, 0x1.77a3fbc11413ap-4, 0x1.709442df34569p-4, 0x1.699ecd6d2e3aep-4, 0x1.62c3685244211p-4, 0x1.5c01dfa49f42dp-4, 0x1.5559feb3ab047p-4, 0x1.4ecb90123df61p-4, 0x1.48565da09ec46p-4, 0x1.41fa309652a0ap-4, 0x1.3bb6d18bc3b8ap-4, 0x1.358c0883b9984p-4, 0x1.2f799cf4a1566p-4, 0x1.297f55d1a9c72p-4, 0x1.239cf993b0b5ap-4, 0x1.1dd24e42039b4p-4, 0x1.181f197aeff66p-4, 0x1.1283207c274bep-4, 0x1.0cfe282af45cfp-4, 0x1.078ff51c4381p-4, 0x1.02384b9c7c06dp-4, 0x1.f9eddf6e57b02p-5, 0x1.ef974a7d0fad7p-5, 0x1.e56c5fa57c445p-5, 0x1.db6ca5d22d816p-5, 0x1.d197a3a5e3418p-5, 0x1.c7ecdf891bc8p-5, 0x1.be6bdfb756556p-5, 0x1.b5142a4bf934ap-5, 0x1.abe5454ee5746p-5, 0x1.a2deb6c0adbc8p-5, 0x1.9a0004a67d9fbp-5, 0x1.9148b515a9abp-5, 0x1.88b84e3eec12dp-5, 0x1.804e56795126bp-5, 0x1.780a544cc9591p-5, 0x1.6febce7c76514p-5, 0x1.67f24c109e9e1p-5, 0x1.601d546057e0cp-5, 0x1.586c6f1adac33p-5, 0x1.50df245096e56p-5, 0x1.4974fc7becb8dp-5, 0x1.422d8089a58ffp-5, 0x1.3b0839e11e45ep-5, 0x1.3404b26c2803p-5, 0x1.2d22749ea5ce4p-5, 0x1.26610b7ddb4d7p-5, 0x1.1fc002a77f02p-5, 0x1.193ee6587fd18p-5, 0x1.12dd43738ca1ap-5, 0x1.0c9aa7875866cp-5, 0x1.0676a0d49c664p-5, 0x1.0070be53d79fep-5, 0x1.f5111f75abd61p-6, 0x1.e97b4b03e8762p-6, 0x1.de1f21d254f58p-6, 0x1.d2fbc7f9ae438p-6, 0x1.c8106334aed66p-6, 0x1.bd5c1ae8b5e0ap-6, 0x1.b2de182e1960bp-6, 0x1.a89585d7f54e3p-6, 0x1.9e81907b9c7bbp-6, 0x1.94a1667793403p-6, 0x1.8af437fa37cbep-6, 0x1.81793707f00bbp-6, 0x1.782f97810268p-6, 0x1.6f168f2707111p-6, 0x1.662d55a209144p-6, 0x1.5d7324853408dp-6, 0x1.54e7375340ffdp-6, 0x1.4c88cb8280efbp-6, 0x1.44572080876c8p-6, 0x1.3c5177b59a43bp-6, 0x1.34771487bc77ap-6, 0x1.2cc73c5d72287p-6, 0x1.254136a0387d4p-6, 0x1.1de44cbead551p-6, 0x1.16afca2e75866p-6, 0x1.0fa2fc6dd7d32p-6, 0x1.08bd330510163p-6, 0x1.01fdbf876f123p-6, 0x1.f6c7eb28405cp-7, 0x1.e9de55ad8b598p-7, 0x1.dd3d6e0fa5805p-7, 0x1.d0e3e7d94149ep-7, 0x1.c4d07aaeb1a4ap-7, 0x1.b901e24d35cfp-7, 0x1.ad76de89ef596p-7, 0x1.a22e33505ae58p-7, 0x1.9726a8a07475cp-7, 0x1.8c5f0a8c77cedp-7, 0x1.81d6293635e45p-7, 0x1.778ad8cc23e6cp-7, 0x1.6d7bf18600c3cp-7, 0x1.63a84fa12a6dep-7, 0x1.5a0ed35cbad96p-7, 0x1.50ae60f51f44dp-7, 0x1.4785e09fa0df9p-7, 0x1.3e943e857d8c9p-7, 0x1.35d86abeca76bp-7, 0x1.2d51594d145afp-7, 0x1.24fe0215b3f7dp-7, 0x1.1cdd60dbfc343p-7, 0x1.14ee753b0f787p-7, 0x1.0d30429f97c15p-7, 0x1.05a1d041432aep-7, 0x1.fc845237ec0fdp-8, 0x1.ee20b7d1e9583p-8, 0x1.e016f62f889d4p-8, 0x1.d265398db50eap-8, 0x1.c509b57879801p-8, 0x1.b802a4bbc68c1p-8, 0x1.ab4e495403cb3p-8, 0x1.9eeaec5e4aea7p-8, 0x1.92d6de0874978p-8, 0x1.87107580d7bd9p-8, 0x1.7b9610e5cc3d7p-8, 0x1.7066153508c65p-8, 0x1.657eee3acce41p-8, 0x1.5adf0e80b84c1p-8, 0x1.5084ef3cae8d5p-8, 0x1.466f103f6a3f6p-8, 0x1.3c9bf7e2f6047p-8, 0x1.330a32f916a03p-8, 0x1.29b854b976018p-8, 0x1.20a4f6afce04bp-8, 0x1.17ceb8a9e74c1p-8, 0x1.0f3440a5a11aep-8, 0x1.06d43abeca2e6p-8, 0x1.fd5ab239d7984p-9, 0x1.ed7ca7c229107p-9, 0x1.de0bd2273fe5dp-9, 0x1.cf05b923b62ep-9, 0x1.c067eff76cf64p-9, 0x1.b2301542fca7fp-9, 0x1.a45bd2e2e1ep-9, 0x1.96e8ddcaeb935p-9, 0x1.89d4f5e1a5d22p-9, 0x1.7d1de5dbaa16cp-9, 0x1.70c1831737124p-9, 0x1.64bdad77965f5p-9, 0x1.59104f40d8565p-9, 0x1.4db75cf392b2ap-9, 0x1.42b0d528ad49ep-9, 0x1.37fac06d643f3p-9, 0x1.2d93311f4c75fp-9, 0x1.23784348d34e5p-9, 0x1.19a81c7d599d5p-9, 0x1.1020ebb61b8dfp-9, 0x1.06e0e92ebb106p-9, 0x1.fbccac84b82c1p-10, 0x1.ea5efa91a3632p-10, 0x1.d97562e7e53d8p-10, 0x1.c90c9d5a7c96p-10, 0x1.b92172e753abdp-10, 0x1.a9b0bd7377c3dp-10, 0x1.9ab76787c7025p-10, 0x1.8c326c0def558p-10, 0x1.7e1ed60e2f06bp-10, 0x1.7079c06d641dp-10, 0x1.634055abf1aa8p-10, 0x1.566fcfa4cc827p-10, 0x1.4a05774d8f64cp-10, 0x1.3dfea47687481p-10, 0x1.3258bd8c02c64p-10, 0x1.27113757a2a88p-10, 0x1.1c2594c2bc0c1p-10, 0x1.11936698db2d2p-10, 0x1.07584b4b54694p-10, 0x1.fae3dd6a5fc94p-11, 0x1.e7bc13bf82a9dp-11, 0x1.d534c590023c5p-11, 0x1.c349984864e48p-11, 0x1.b1f64a5587944p-11, 0x1.a136b2b229d3ep-11, 0x1.9106c076eb906p-11, 0x1.81627a6b7426cp-11, 0x1.7245fe9831e1bp-11, 0x1.63ad81d9fa397p-11, 0x1.55954f77054e3p-11, 0x1.47f9c8b5117edp-11, 0x1.3ad76470c5daap-11, 0x1.2e2aaeb65742p-11, 0x1.21f0485be95bp-11, 0x1.1624e69cb53bep-11, 0x1.0ac552b600674p-11, 0x1.ff9cd309eee19p-12, 0x1.ea7a364c41c41p-12, 0x1.d61cd52c45966p-12, 0x1.c27edaa7048d2p-12, 0x1.af9a960455807p-12, 0x1.9d6a7a1fdb39ep-12, 0x1.8be91cb49054ap-12, 0x1.7b1135abae67bp-12, 0x1.6add9e6d24a74p-12, 0x1.5b4951337aedcp-12, 0x1.4c4f6861692ap-12, 0x1.3deb1ddaf87a7p-12, 0x1.3017ca600debcp-12, 0x1.22d0e4eac766p-12, 0x1.1612020ebc08ap-12, 0x1.09d6d35c60386p-12, 0x1.fc364d8adcdf8p-13, 0x1.e5b5cc09d5b1ep-13, 0x1.d0242c11658b2p-13, 0x1.bb79acbbe5968p-13, 0x1.a7aec13ff7ebap-13, 0x1.94bc0fd2153f4p-13, 0x1.829a708c0595dp-13, 0x1.7142ec57c476fp-13, 0x1.60aebbe0b3378p-13, 0x1.50d746869a3bap-13, 0x1.41b62158baacfp-13, 0x1.33450e1205d25p-13, 0x1.257dfa1c11492p-13, 0x1.185afd9587db5p-13, 0x1.0bd65a5ccce48p-13, 0x1.ffd4f63f03d4ep-14, 0x1.e923e4db06d4cp-14, 0x1.d38ef3a1a5525p-14, 0x1.bf0be1d3a8981p-14, 0x1.ab90b91d1582cp-14, 0x1.9913cbdda8e98p-14, 0x1.878bb379f0a12p-14, 0x1.76ef4eb142029p-14, 0x1.6735c0000d64bp-14, 0x1.58566c058ab69p-14, 0x1.4a48f7f39977p-14, 0x1.3d0548065d2d6p-14, 0x1.30837e014f70cp-14, 0x1.24bbf7b5c6e3dp-14, 0x1.19a74d904d9f7p-14, 0x1.0f3e512ac2efap-14, 0x1.057a0bea355cdp-14, 0x1.f8a77b3f09452p-15, 0x1.e789b6613b1abp-15, 0x1.d78e1a90e1d6ep-15, 0x1.c8a85e1c2a84fp-15, 0x1.bacc99c1c4461p-15, 0x1.adef463912664p-15, 0x1.a20539c7c3aacp-15, 0x1.9703a5dfd1436p-15, 0x1.8ce014cffdp-15, 0x1.8390677999d87p-15, 0x1.7b0ad318c325bp-15, 0x1.7345df1485ae4p-15, 0x1.6c3862dc5fdddp-15, 0x1.65d983cf6d86fp-15, 0x1.6020b3342d3dcp-15, 0x1.5b05ac320b4c6p-15, 0x1.568071dffba4dp-15, 0x1.52894d5732632p-15, 0x1.4f18cbd161a03p-15, 0x1.4c27bcd588f8cp-15, 0x1.49af30695d0edp-15, 0x1.47a875521b704p-15, 0x1.460d1759f4abep-15, 0x1.44d6dda2e9ab2p-15, 0x1.43ffc9034403cp-15, 0x1.438212693f5b7p-15, 0x1.4358294894bc8p-15, 0x1.437cb213f4706p-15, 0x1.43ea84bb9a418p-15, 0x1.449cab35e9deep-15, 0x1.458e60117e955p-15, 0x1.46bb0d1074005p-15, 0x1.481e49c7295c9p-15, 0x1.49b3da4a8f835p-15, 0x1.4b77ade0d6581p-15, 0x1.4d65ddbbc0588p-15, 0x1.4f7aabbb0d77dp-15, 0x1.51b281361fb2dp-15, 0x1.5409edcc33fb5p-15, 0x1.567da63ce87bdp-15, 0x1.590a8348c4874p-15, 0x1.5bad8096b5d58p-15, 0x1.5e63bba259e8p-15, 0x1.612a72ae17dp-15, 0x1.63ff03bf53be5p-15, 0x1.66deeba03eaebp-15, 0x1.69c7c4e492082p-15, 0x1.6cb746f9c1c94p-15, 0x1.6fab453a25789p-15, 0x1.72a1ae06fd7c1p-15, 0x1.759889e6ecc1p-15, 0x1.788dfaac95365p-15, 0x1.7b803aa039d11p-15, 0x1.7e6d9bb1d52d2p-15, 0x1.815486ace7025p-15, 0x1.84337a7528c86p-15, 0x1.87090b477235fp-15, 0x1.89d3e1fc43491p-15, 0x1.8c92bb54d8261p-15, 0x1.8f446748a7f79p-15, 0x1.91e7c8592c7ddp-15, 0x1.947bd2eb7e4b2p-15, 0x1.96ff8ca36d1a1p-15, 0x1.99720bc731dc4p-15, 0x1.9bd276a405edfp-15, 0x1.9e2002f7e1a93p-15, 0x1.a059f55fb95f9p-15, 0x1.a27fa0ca8fea6p-15, 0x1.a49065ede3d43p-15, 0x1.a68bb2c0ac878p-15, 0x1.a87101f9e142p-15, 0x1.aa3fda9149daap-15, 0x1.abf7cf449cef3p-15, 0x1.ad987e201d621p-15, 0x1.af21900a67e5dp-15, 0x1.b092b8550926bp-15, 0x1.b1ebb44d5f414p-15, 0x1.b32c4ad4a17c9p-15, 0x1.b4544bf789facp-15, 0x1.b563908b91cb7p-15, 0x1.b659f9cde76cdp-15, 0x1.b737710491398p-15, 0x1.b7fbe724c31a4p-15, 0x1.b8a7547931552p-15, 0x1.b939b84db42bfp-15, 0x1.b9b3189b74078p-15, 0x1.ba1381b952d1fp-15, 0x1.ba5b060e68067p-15, 0x1.ba89bdc5a9971p-15, 0x1.ba9fc6857c9fdp-15, 0x1.ba9d432900e4ep-15, 0x1.ba825b7bacfd1p-15, 0x1.ba4f3bf762ca9p-15, 0x1.ba0415842b4a9p-15, 0x1.b9a11d3a3fd29p-15, 0x1.b9268c27ceca9p-15, 0x1.b8949f14c9cc1p-15, 0x1.b7eb964d0969dp-15, 0x1.b72bb56916027p-15, 0x1.b655431aa7bb7p-15, 0x1.b56888f9eb912p-15, 0x1.b465d35584134p-15, 0x1.b34d7102fb43dp-15, 0x1.b21fb332f4a0dp-15, 0x1.b0dced4401b26p-15, 0x1.af857499f6cd8p-15, 0x1.ae19a07402c85p-15, 0x1.ac99c9c771c1cp-15, 0x1.ab064b181ee0cp-15, 0x1.a95f805638532p-15, 0x1.a7a5c6ba3cf95p-15, 0x1.a5d97ca4056p-15, 0x1.a3fb017af7c3fp-15, 0x1.a20ab58eb3569p-15, 0x1.a008f9f93f2e8p-15, 0x1.9df6308323ee5p-15, 0x1.9bd2bb873fe23p-15, 0x1.999efdd92ecd4p-15, 0x1.975b5aac09444p-15, 0x1.9508357a064a7p-15, 0x1.92a5f1edfd8eap-15, 0x1.9034f3cd21dc6p-15, 0x1.8db59ee17f8cdp-15, 0x1.8b2856e62926p-15, 0x1.888d7f73eeb08p-15, 0x1.85e57beed853ap-15, 0x1.8330af746b11p-15, 0x1.806f7ccb89aafp-15, 0x1.7da24653a500fp-15, 0x1.7ac96df6ac6c7p-15, 0x1.77e55519c78c5p-15, 0x1.74f65c904a665p-15, 0x1.71fce48e09ecdp-15, 0x1.6ef94c9ba6c2ap-15, 0x1.6bebf38a89cfep-15, 0x1.68d53769f3612p-15, 0x1.65b5757cdae1bp-15, 0x1.628d0a2fddb7fp-15, 0x1.5f5c51100d824p-15, 0x1.5c23a4c2b0715p-15, 0x1.58e35efc9a975p-15, 0x1.559bd87a8ef29p-15, 0x1.524d68fac8438p-15, 0x1.4ef86735a61cap-15, 0x1.4b9d28d7c1df9p-15, 0x1.483c027c3e186p-15, 0x1.44d547a77b722p-15, 0x1.41694ac2713e5p-15, 0x1.3df85d16048bp-15, 0x1.3a82cec71ee52p-15, 0x1.3708eed2c5d38p-15, 0x1.338b0b0b00c3fp-15, 0x1.30097013b2b7cp-15, 0x1.2c84695ffbc54p-15, 0x1.28fc412ffb835p-15, 0x1.2571408ee3cdap-15, 0x1.21e3af50cb0adp-15, 0x1.1e53d411f63a6p-15, 0x1.1ac1f43524499p-15, 0x1.172e53e2afc7p-15, 0x1.1399360854e1p-15, 0x1.1002dc583af6p-15, 0x1.0c6b87493c46ep-15, 0x1.08d376166d44ap-15, 0x1.053ae6bff575p-15, 0x1.01a2160b055c5p-15, 0x1.fc127f059415ep-16, 0x1.f4e13af2576acp-16, 0x1.edb0d20ffdbbdp-16, 0x1.e681b423438ep-16, 0x1.df544e862cb7fp-16, 0x1.d8290c29ae3ebp-16, 0x1.d10055996a89dp-16, 0x1.c9da90ffeaf8fp-16, 0x1.c2b82228f25dap-16, 0x1.bb996a86d1c07p-16, 0x1.b47ec93640afcp-16, 0x1.ad689b02bc4d6p-16, 0x1.a6573a6b3376cp-16, 0x1.9f4affa7a398ep-16, 0x1.984440ace6e88p-16, 0x1.914351334eda7p-16, 0x1.8a4882bb1c6a1p-16, 0x1.835424925521cp-16, 0x1.7c6683daa96edp-16, 0x1.757feb8f14573p-16, 0x1.6ea0a48a42c91p-16, 0x1.67c8f58c2c1c1p-16, 0x1.60f92340504dfp-16, 0x1.5a31704484ec4p-16, 0x1.53721d2ed209ap-16, 0x1.4cbb689409d4bp-16, 0x1.460d8f0e3d988p-16, 0x1.3f68cb43fd37fp-16, 0x1.38cd55ede933p-16, 0x1.323b65de33b4fp-16, 0x1.2bb330077be6dp-16, 0x1.2534e782de0e9p-16, 0x1.1ec0bd9778efep-16, 0x1.1856e1c16480bp-16, 0x1.11f781b7b22dbp-16, 0x1.0ba2c9749f2bap-16, 0x1.0558e33b53e1dp-16, 0x1.fe33ef3f0dac4p-17, 0x1.f1cc5b1818adap-17, 0x1.e57b54948c7adp-17, 0x1.d9412310e9cf2p-17, 0x1.cd1e0ac23f8bp-17, 0x1.c1124cc38c521p-17, 0x1.b51e2723aed5fp-17, 0x1.a941d4f32ae51p-17, 0x1.9d7d8e516e35ep-17, 0x1.91d1887b0a31dp-17, 0x1.863df5d7705dcp-17, 0x1.7ac30605c6bd4p-17, 0x1.6f60e5eabe2bfp-17, 0x1.6417bfbe1521bp-17, 0x1.58e7bb17480d9p-17, 0x1.4dd0fcfbb5a71p-17, 0x1.42d3a7eae7f51p-17, 0x1.37efdbec41b9cp-17, 0x1.2d25b69ba03f7p-17, 0x1.227553359280ep-17, 0x1.17decaa58d794p-17, 0x1.0d623390ae0a2p-17, 0x1.02ffa263e17a7p-17, 0x1.f16e52be52fecp-18, 0x1.dd11b144a0accp-18, 0x1.c8e97c724399bp-18, 0x1.b4f5cc4e58c02p-18, 0x1.a136b4e75d372p-18, 0x1.8dac466ad1e18p-18, 0x1.7a568d3c9835dp-18, 0x1.6735920d8b9a4p-18, 0x1.544959f287fe5p-18, 0x1.4191e67b5716ep-18, 0x1.2f0f35c78816dp-18, 0x1.1cc1429d948cp-18, 0x1.0aa80480067ddp-18, 0x1.f186df8585b9fp-19, 0x1.ce26eb3fadb78p-19, 0x1.ab30089b6cfe4p-19, 0x1.88a20e222a24cp-19, 0x1.667ccca7f04afp-19, 0x1.44c00f6f25c4ep-19, 0x1.236b9c518e9b9p-19, 0x1.027f33e6ba6e3p-19, 0x1.c3f52354f1545p-20, 0x1.83bad8447ccf8p-20, 0x1.444eea0484f9p-20, 0x1.05b0b2a2acaacp-20, 0x1.8fbf063835cdcp-21, 0x1.15b54740b4eb1p-21, 0x1.3a854f68624b8p-22, 0x1.332cb32571955p-24, -0x1.3b8e376373c58p-23, -0x1.8534eb583d335p-22, -0x1.34c0e0ace2304p-21, -0x1.a5589ceea31d7p-21, -0x1.0a31c33e67879p-20, -0x1.40f1c37149221p-20, -0x1.76ed4a54a6751p-20, -0x1.ac2559791bdf5p-20, -0x1.e09af8780a3dbp-20, -0x1.0a279a5f02dcbp-19, -0x1.23a190a9e3a87p-19, -0x1.3cbbeb525a349p-19, -0x1.55773924f7aeep-19, -0x1.6dd40b6a4fba1p-19, -0x1.85d2f5cce7e58p-19, -0x1.9d748e3f3d9fdp-19, -0x1.b4b96ce3f624bp-19, -0x1.cba22bf397308p-19, -0x1.e22f67a565056p-19, -0x1.f861be177b497p-19, -0x1.071ce79c3a1d9p-18, -0x1.11dc1e57baba4p-18, -0x1.1c6ed4e37274p-18, -0x1.26d55dab4d80fp-18, -0x1.31100bd766ea5p-18, -0x1.3b1f3341a8cb9p-18, -0x1.4503286b145ep-18, -0x1.4ebc407278126p-18, -0x1.584ad10a98251p-18, -0x1.61af30705efap-18, -0x1.6ae9b561b1c4p-18, -0x1.73fab714946ebp-18, -0x1.7ce28d2de0956p-18, -0x1.85a18fb8f581fp-18, -0x1.8e38171f31b1dp-18, -0x1.96a67c1f7defcp-18, -0x1.9eed17c65cba7p-18, -0x1.a70c436662018p-18, -0x1.af04588fef88fp-18, -0x1.b6d5b10a138c4p-18, -0x1.be80a6cacadf8p-18, -0x1.c60593f085974p-18, -0x1.cd64d2bad8b51p-18, -0x1.d49ebd83c4445p-18, -0x1.dbb3aeb8f1645p-18, -0x1.e2a400d58479dp-18, -0x1.e9700e5bd4db5p-18, -0x1.f01831cf1a67ap-18, -0x1.f69cc5adf6bd2p-18, -0x1.fcfe246c5d095p-18, -0x1.019e543709725p-17, -0x1.04ac5600a2adcp-17, -0x1.07a944aca2ba1p-17, -0x1.0a954d44943adp-17, -0x1.0d709cbf773f8p-17, -0x1.103b5fff86db6p-17, -0x1.12f5c3cf86b09p-17, -0x1.159ff4e0ae24ep-17, -0x1.183a1fc85d66ep-17, -0x1.1ac470fe24978p-17, -0x1.1d3f14d97278p-17, -0x1.1faa378fad97bp-17, -0x1.2206053260875p-17, -0x1.2452a9ad367e7p-17, -0x1.269050c446412p-17, -0x1.28bf261211821p-17, -0x1.2adf5505f7fdap-17, -0x1.2cf108e28b05cp-17, -0x1.2ef46cbc13c81p-17, -0x1.30e9ab76f4d42p-17, -0x1.32d0efc6213ffp-17, -0x1.34aa6429b764ap-17, -0x1.367632eda6b4ep-17, -0x1.383486286b0b6p-17, -0x1.39e587b9b8d82p-17, -0x1.3b8961493262p-17, -0x1.3d203c456d97ap-17, -0x1.3eaa41e2c7b92p-17, -0x1.40279b1a39028p-17, -0x1.419870a8511dfp-17, -0x1.42fceb0c3124p-17, -0x1.44553286aa10dp-17, -0x1.45a16f196b833p-17, -0x1.46e1c8860d962p-17, -0x1.4816664d3a00dp-17, -0x1.493f6fade4586p-17, -0x1.4a5d0ba49e907p-17, -0x1.4b6f60ead3d4ep-17, -0x1.4c7695f62386cp-17, -0x1.4d72d0f7bf89ep-17, -0x1.4e6437dbe78ap-17, -0x1.4f4af04953d1dp-17, -0x1.50271fa0a2958p-17, -0x1.50f8eafbc63f7p-17, -0x1.51c0772dadac2p-17, -0x1.527de8c1bb1c6p-17, -0x1.533163fb873f4p-17, -0x1.53db0cd6768d3p-17, -0x1.547b0705476dep-17, -0x1.551175f1ca29cp-17, -0x1.559e7cbca2f18p-17, -0x1.56223e3d1bc06p-17, -0x1.569cdd00b2825p-17, -0x1.570e7b4b04e6bp-17, -0x1.57773b15b66fbp-17, -0x1.57d73e103c909p-17, -0x1.582ea59fbaa64p-17, -0x1.587d92decb33cp-17, -0x1.58c4269d8888p-17, -0x1.5902816151a75p-17, -0x1.5938c364f2a5ap-17, -0x1.59670c98aa6a4p-17, -0x1.598d7ca1f83f3p-17, -0x1.59ac32db98ef1p-17, -0x1.59c34e55b2018p-17, -0x1.59d2edd5e1952p-17, -0x1.59db2fd73b7dep-17, -0x1.59dc328a5d71ep-17, -0x1.59d613d58a6b7p-17, -0x1.59c8f154efd5ep-17, -0x1.59b4e85ab567ap-17, -0x1.599a15ef05c8p-17, -0x1.597896d04b169p-17, -0x1.595087735a26fp-17, -0x1.592204039c4cp-17, -0x1.58ed286368b1ep-17, -0x1.58b2102c0fe57p-17, -0x1.5870d6ae4226bp-17, -0x1.582996f22c3b6p-17, -0x1.57dc6bb7b2854p-17, -0x1.57896f76da36cp-17, -0x1.5730bc5fe795fp-17, -0x1.56d26c5bc2de9p-17, -0x1.566e990c46145p-17, -0x1.56055bcc7c6bbp-17, -0x1.5596cdb1072c1p-17, -0x1.55230788501fap-17, -0x1.54aa21db16cfdp-17, -0x1.542c34ec89047p-17, -0x1.53a958baa4c3dp-17, -0x1.5321a4fead0e6p-17, -0x1.5295312da73fap-17, -0x1.5204147884d9dp-17, -0x1.516e65cc89d7fp-17, -0x1.50d43bd3c169ap-17, -0x1.5035acf54d366p-17, -0x1.4f92cf55f2998p-17, -0x1.4eebb8d8403efp-17, -0x1.4e407f1d4bcb7p-17, -0x1.4d913784cdacbp-17, -0x1.4cddf72db992ep-17, -0x1.4c26d2f68dd8fp-17, -0x1.4b6bdf7dfb1f8p-17, -0x1.4aad3123190c4p-17, -0x1.49eadc05ce56ap-17, -0x1.4924f4074e4e6p-17, -0x1.485b8cca9f75fp-17, -0x1.478eb9b51c593p-17, -0x1.46be8deeb6b5ep-17, -0x1.45eb1c62754b9p-17, -0x1.451477befea43p-17, -0x1.443ab276f90fp-17, -0x1.435ddec185d89p-17, -0x1.427e0e9abcf13p-17, -0x1.419b53c41fa49p-17, -0x1.40b5bfc4f646p-17, -0x1.3fcd63eaed46cp-17, -0x1.3ee2514a9bf54p-17, -0x1.3df498bfbe475p-17, -0x1.3d044aedbc524p-17, -0x1.3c1178404e01bp-17, -0x1.3b1c30ebd5e27p-17, -0x1.3a2484edbf631p-17, -0x1.392a840d0728ep-17, -0x1.382e3ddaf41b4p-17, -0x1.372fc1b33d4abp-17, -0x1.362f1ebc901c9p-17, -0x1.352c63e92f1bdp-17, -0x1.34279ff73debcp-17, -0x1.3320e171546c6p-17, -0x1.321836aeebf79p-17, -0x1.310dadd4db9b4p-17, -0x1.300154d5c8cc5p-17, -0x1.2ef33972b4334p-17, -0x1.2de3693b68a46p-17, -0x1.2cd1f18ee57b1p-17, -0x1.2bbedf9bbbfcdp-17, -0x1.2aaa4060c2eaap-17, -0x1.299420ad68127p-17, -0x1.287c8d221a173p-17, -0x1.27639230f030ep-17, -0x1.26493c1e06432p-17, -0x1.252d96ffc613bp-17, -0x1.2410aebf7ce13p-17, -0x1.22f28f1a0323dp-17, -0x1.21d3439fd2be4p-17, -0x1.20b2d7b5b9b24p-17, -0x1.1f915695383bap-17, -0x1.1e6ecb4ce1f2ap-17, -0x1.1d4b40c0e48b6p-17, -0x1.1c26c1ab8989fp-17, -0x1.1b01589d8e2b6p-17, -0x1.19db0ffe8fc5ap-17, -0x1.18b3f20d7be6cp-17, -0x1.178c08e10a1bcp-17, -0x1.16635e681525dp-17, -0x1.1539fc6a1efcap-17, -0x1.140fec87d4623p-17, -0x1.12e5383b3d4fp-17, -0x1.11b9e8d84eca3p-17, -0x1.108e078d42641p-17, -0x1.0f619d63106bbp-17, -0x1.0e34b33de032dp-17, -0x1.0d0751dd62fdcp-17, -0x1.0bd981dd23ff5p-17, -0x1.0aab4bb525938p-17, -0x1.097cb7ba20f28p-17, -0x1.084dce1df246ep-17, -0x1.071e96f021dfdp-17, -0x1.05ef1a1e08f18p-17, -0x1.04bf5f735cf0cp-17, -0x1.038f6e9a9af0ap-17, -0x1.025f4f1d5ca9ep-17, -0x1.012f0864a92fp-17, -0x1.fffd4372d837p-18, -0x1.fd9c4489b207ep-18, -0x1.fb3b22218c38bp-18, -0x1.f8d9ea1009b2fp-18, -0x1.f678a9ed9164p-18, -0x1.f4176f15e5453p-18, -0x1.f1b646a8f1e2ap-18, -0x1.ef553d8bb20eep-18, -0x1.ecf46068b7381p-18, -0x1.ea93bbb0d094ap-18, -0x1.e8335b9bae465p-18, -0x1.e5d34c28ffdadp-18, -0x1.e3739920c2fb8p-18, -0x1.e1144e141abc2p-18, -0x1.deb5765dd9613p-18, -0x1.dc571d2337b08p-18, -0x1.d9f94d54a3069p-18, -0x1.d79c11ae57413p-18, -0x1.d53f74b8d12cbp-18, -0x1.d2e380c9ad9b1p-18, -0x1.d08840046e8a5p-18, -0x1.ce2dbc5adc46ap-18, -0x1.cbd3ff8da0c59p-18, -0x1.c97b132d07526p-18, -0x1.c7230099a2935p-18, -0x1.c4cbd104e673fp-18, -0x1.c2758d71b5f44p-18, -0x1.c0203eb4f74f2p-18, -0x1.bdcbed7629dbcp-18, -0x1.bb78a2302c5adp-18, -0x1.b9266531b1b26p-18, -0x1.b6d53e9dbc948p-18, -0x1.b485366c67d12p-18, -0x1.b236546b41b4ap-18, -0x1.afe8a03e0f733p-18, -0x1.ad9c215f3cfe7p-18, -0x1.ab50df204e01bp-18, -0x1.a906e0aaa4796p-18, -0x1.a6be2d0027959p-18, -0x1.a476cafb579d3p-18, -0x1.a230c1500de47p-18, -0x1.9fec168c5790fp-18, -0x1.9da8d1187958cp-18, -0x1.9b66f7378adep-18, -0x1.99268f084c8c7p-18, -0x1.96e79e857e11cp-18, -0x1.94aa2b862f5b9p-18, -0x1.926e3bbe50feep-18, -0x1.9033d4bf61bb9p-18, -0x1.8dfafbf8e6adep-18, -0x1.8bc3b6b89c4dfp-18, -0x1.898e0a2b251acp-18, -0x1.8759fb5c8f578p-18, -0x1.85278f38a24a4p-18, -0x1.82f6ca8b6724dp-18, -0x1.80c7b201a8fe4p-18, -0x1.7e9a4a294382ap-18, -0x1.7c6e9771d1e7dp-18, -0x1.7a449e2cedc2ep-18, -0x1.781c628e81774p-18, -0x1.75f5e8ad882d1p-18, -0x1.73d134845becfp-18, -0x1.71ae49f0e5c2dp-18, -0x1.6f8d2cb545341p-18, -0x1.6d6de0785ea25p-18, -0x1.6b5068c5ba6f8p-18, -0x1.6934c90e6338p-18, -0x1.671b04a959fa5p-18, -0x1.65031ed3871aap-18, -0x1.62ed1ab0618fp-18, -0x1.60d8fb4a6fb62p-18, -0x1.5ec6c3938bf0bp-18, -0x1.5cb6766514303p-18, -0x1.5aa816807b3bbp-18, -0x1.589ba68fc8a92p-18, -0x1.56912925a0ef4p-18, -0x1.5488a0bdcf2c1p-18, -0x1.52820fbda8952p-18, -0x1.507d78744b4d3p-18, -0x1.4e7add1b1899bp-18, -0x1.4c7a3fd5d1b5dp-18, -0x1.4a7ba2b31e6cdp-18, -0x1.487f07ad06286p-18, -0x1.468470a8bea75p-18, -0x1.448bdf7778a23p-18, -0x1.429555d6c5406p-18, -0x1.40a0d57056652p-18, -0x1.3eae5fdac0605p-18, -0x1.3cbdf699e322fp-18, -0x1.3acf9b1eb988dp-18, -0x1.38e34ec819e28p-18, -0x1.36f912e2fb22p-18, -0x1.3510e8aa4bed5p-18, -0x1.332ad147bb838p-18, -0x1.3146cdd3fe566p-18, -0x1.2f64df56b8ffdp-18, -0x1.2d8506c6f5916p-18, -0x1.2ba7450bab0bbp-18, -0x1.29cb9afbad849p-18, -0x1.27f2095dfa3eap-18, -0x1.261a90ea370f2p-18, -0x1.24453248c35f8p-18, -0x1.2271ee1309befp-18, -0x1.20a0c4d3b0985p-18, -0x1.1ed1b706f38c7p-18, -0x1.1d04c51afd15ap-18, -0x1.1b39ef6fb4aa7p-18, -0x1.197136578ed82p-18, -0x1.17aa9a178204cp-18, -0x1.15e61ae6ffce3p-18, -0x1.1423b8f0d796bp-18, -0x1.12637452e8b24p-18, -0x1.10a54d1e65455p-18, -0x1.0ee943586c2f2p-18, -0x1.0d2f56f9daa1ep-18, -0x1.0b7787efac676p-18, -0x1.09c1d61b5d4d9p-18, -0x1.080e4152b792ap-18, -0x1.065cc96064966p-18, -0x1.04ad6e0429616p-18, -0x1.03002ef2b9ae4p-18, -0x1.01550bd63b0eap-18, -0x1.ff58089d27368p-19, -0x1.fc0a2fe26411ep-19, -0x1.f8c08c9336f04p-19, -0x1.f57b1db2f44f6p-19, -0x1.f239e231a05f9p-19, -0x1.eefcd8ec44e7ap-19, -0x1.ebc400ad599cp-19, -0x1.e88f582d60eaep-19, -0x1.e55ede1291842p-19, -0x1.e23290f1f84fp-19, -0x1.df0a6f4f9a6ccp-19, -0x1.dbe6779e210f3p-19, -0x1.d8c6a84075105p-19, -0x1.d5aaff88efff3p-19, -0x1.d2937bba0ffb4p-19, -0x1.cf801b07575ebp-19, -0x1.cc70db949a9e6p-19, -0x1.c965bb770fcd1p-19, -0x1.c65eb8b58310ap-19, -0x1.c35bd148414dcp-19, -0x1.c05d031a11c3bp-19, -0x1.bd624c07c22d9p-19, -0x1.ba6ba9e0ed104p-19, -0x1.b7791a6866ad5p-19, -0x1.b48a9b53e0c79p-19, -0x1.b1a02a4cbfed6p-19, -0x1.aeb9c4f07317dp-19, -0x1.abd768d028b9fp-19, -0x1.a8f913719a3ecp-19, -0x1.a61ec24f34f6ap-19, -0x1.a34872d836569p-19, -0x1.a0762270db3d3p-19, -0x1.9da7ce7317d6ep-19, -0x1.9add742e542bbp-19, -0x1.981710e7dbf4ap-19, -0x1.9554a1db7b67cp-19, -0x1.9296243ad6e47p-19, -0x1.8fdb952ea48c1p-19, }}, 
      {{0x1.018e3f9405413p-15, 0x1.02157d3a2ed41p-13, 0x1.2376dbba0f8bbp-12, 0x1.048d4968d17bcp-11, 0x1.9a0f4d7964cf6p-11, 0x1.29b7a60f5f3bbp-10, 0x1.98e8d2078b2fp-10, 0x1.0d8efacf2b167p-9, 0x1.5862e967129ap-9, 0x1.ad1cf2b79a633p-9, 0x1.05ef825251546p-8, 0x1.3a5fdd0a28028p-8, 0x1.73e4a0582ad6ap-8, 0x1.b27be437a0e8dp-8, 0x1.f61be81658e7ap-8, 0x1.1f592aebda7b4p-7, 0x1.4611e36a1aacfp-7, 0x1.6f25d06d5502p-7, 0x1.9a7e288d63962p-7, 0x1.c7ffeeac69215p-7, 0x1.f78c5d37a530fp-7, 0x1.1480b48faf42bp-6, 0x1.2e1d288a018c4p-6, 0x1.48881745c5e85p-6, 0x1.63ad3ffa166a1p-6, 0x1.7f77d2e6e6e36p-6, 0x1.9bd2a764363e1p-6, 0x1.b8a8689a01b85p-6, 0x1.d5e3b8eee79a1p-6, 0x1.f36f4ce9703cep-6, 0x1.089aff59fcbeap-5, 0x1.17916dd8fa993p-5, 0x1.269096d3abacfp-5, 0x1.358e40715bea6p-5, 0x1.44805458f3969p-5, 0x1.535ce1989809bp-5, 0x1.621a1ea34dcc4p-5, 0x1.70ae6badb6feap-5, 0x1.7f10559558c8ap-5, 0x1.8d369963c93bcp-5, 0x1.9b182869a404p-5, 0x1.a8ac2cdc834d4p-5, 0x1.b5ea0ed765984p-5, 0x1.c2c97995b0fe1p-5, 0x1.cf4260bdaba3ap-5, 0x1.db4d058f3581p-5, 0x1.e6e1fbce54406p-5, 0x1.f1fa2e457eb57p-5, 0x1.fc8ee2c1b4336p-5, 0x1.034cdeb8742fep-4, 0x1.080a61c922b13p-4, 0x1.0c7d2eb74be91p-4, 0x1.10a2abcacabcbp-4, 0x1.147871b136af9p-4, 0x1.17fc4b6787639p-4, 0x1.1b2c35d0d5766p-4, 0x1.1e065f0195616p-4, 0x1.20892547d0e9bp-4, 0x1.22b315f9ac3adp-4, 0x1.2482ec13de8c3p-4, 0x1.25f78eb1c9e49p-4, 0x1.27100f68aeef1p-4, 0x1.27cba88eeedb5p-4, 0x1.2829bb77afcf4p-4, 0x1.2829ceaa62856p-4, 0x1.27cb8c1ccb432p-4, 0x1.270ebf753848p-4, 0x1.25f354599d3c1p-4, 0x1.247954cf58b92p-4, 0x1.22a0e7ae7f97cp-4, 0x1.206a4f2aa84d9p-4, 0x1.1dd5e772735f7p-4, 0x1.1ae425665045dp-4, 0x1.1795956663d8dp-4, 0x1.13eada36f1687p-4, 0x1.0fe4abfa2de85p-4, 0x1.0b83d73e1ffafp-4, 0x1.06c93c1cd5956p-4, 0x1.01b5cd6d13896p-4, 0x1.f89520031bf98p-5, 0x1.ed1133e93d36dp-5, 0x1.e0e223fcdf3aap-5, 0x1.d40a5da76b758p-5, 0x1.c68c6d160db1ep-5, 0x1.b86afc0e4caedp-5, 0x1.a9a8d0c93ae04p-5, 0x1.9a48ccd283dd8p-5, 0x1.8a4debe8db0ffp-5, 0x1.79bb42dda667ep-5, 0x1.6893fe723d1e2p-5, 0x1.56db62315d7bdp-5, 0x1.4494c743d875p-5, 0x1.31c39b3fe0043p-5, 0x1.1e6b5ef290d61p-5, 0x1.0a8fa523b5827p-5, 0x1.ec6822a820c1p-6, 0x1.c2b8acecff66ep-6, 0x1.98186b4983242p-6, 0x1.6c8ef9a1402b8p-6, 0x1.40240ae4ea25ap-6, 0x1.12df666c3fc19p-6, 0x1.c991ca9e4ec8p-7, 0x1.6bd0df8084653p-7, 0x1.0c8bf4d71b1bcp-7, 0x1.57a60f6d9d673p-8, 0x1.26d88f32eca59p-9, -0x1.9baa1af76f1d4p-11, -0x1.f9bcbbbb2cfebp-9, -0x1.c8aed4bdc9928p-8, -0x1.4b633f5b2fe5fp-7, -0x1.b382a2b75cdb9p-7, -0x1.0e52cb8ff91cp-6, -0x1.435e18a72a3c4p-6, -0x1.78db4e06c214ep-6, -0x1.aec28e06d1c1dp-6, -0x1.e50c09c23b171p-6, -0x1.0dd8016667fafp-5, -0x1.2953666771a7dp-5, -0x1.44f46782f39a1p-5, -0x1.60b742d501686p-5, -0x1.7c98419c6ba16p-5, -0x1.9893b8d2af6a2p-5, -0x1.b4a609b6c4992p-5, -0x1.d0cba24aeb05ap-5, -0x1.ed00fdc5d06bp-5, -0x1.04a1527bb694dp-4, -0x1.12c69750f81b8p-4, -0x1.20ee9fe39ab0ap-4, -0x1.2f17c5f5986ep-4, -0x1.3d406aa5f3b17p-4, -0x1.4b66f687af1f7p-4, -0x1.5989d9b4100f1p-4, -0x1.67a78bd86ccebp-4, -0x1.75be8c3fd2efdp-4, -0x1.83cd61d8c628ep-4, -0x1.91d29b376d204p-4, -0x1.9fccce946579ap-4, -0x1.adba99c892e3dp-4, -0x1.bb9aa24618d2bp-4, -0x1.c96b950ee792p-4, -0x1.d72c26a8fdc49p-4, -0x1.e4db13109f65dp-4, -0x1.f2771da8ddcap-4, -0x1.ffff112a8232bp-4, -0x1.06b8dfc8dc1b7p-3, -0x1.0d67010545ab8p-3, -0x1.14095c6e45362p-3, -0x1.1a9f65aad0643p-3, -0x1.212893da38562p-3, -0x1.27a46189186b3p-3, -0x1.2e124ca630cd5p-3, -0x1.3471d6772a1fp-3, -0x1.3ac2838d5bccp-3, -0x1.4103dbbaa5b44p-3, -0x1.47356a066197p-3, -0x1.4d56bca27f973p-3, -0x1.536764e0d6a5cp-3, -0x1.5966f728ad378p-3, -0x1.5f550aec8a1b7p-3, -0x1.65313aa04bb01p-3, -0x1.6afb23af92a7ep-3, -0x1.70b266747f7dfp-3, -0x1.7656a62ecc453p-3, -0x1.7be788fb3683fp-3, -0x1.8164b7cb55405p-3, -0x1.86cdde5dbe367p-3, -0x1.8c22ab36949d3p-3, -0x1.9162cf986a98ap-3, -0x1.968dff7d86f41p-3, -0x1.9ba3f191802dep-3, -0x1.a0a45f2b321d4p-3, -0x1.a58f04470808fp-3, -0x1.aa639f8197aabp-3, -0x1.af21f2128ee1cp-3, -0x1.b3c9bfc7e43eap-3, -0x1.b85acf0154f73p-3, -0x1.bcd4e8ac2310ap-3, -0x1.c137d83f0e785p-3, -0x1.c5836bb6882b2p-3, -0x1.c9b773911a22bp-3, -0x1.cdd3c2cbf7b9dp-3, -0x1.d1d82edfc033cp-3, -0x1.d5c48fbd5d68dp-3, -0x1.d998bfcb05a33p-3, -0x1.dd549be154596p-3, -0x1.e0f8034879c8p-3, -0x1.e482d7b574387p-3, -0x1.e7f4fd475f44bp-3, -0x1.eb4e5a84b7ac7p-3, -0x1.ee8ed858aefebp-3, -0x1.f1b662107130fp-3, -0x1.f4c4e55864ef6p-3, -0x1.f7ba52395f9c2p-3, -0x1.fa969b15c513fp-3, -0x1.fd59b4a69174ap-3, -0x1.0001cafc26e3fp-2, -0x1.014a1c33f12ffp-2, -0x1.0285cbcfa6f75p-2, -0x1.03b4d8c91770dp-2, -0x1.04d7433d199c8p-2, -0x1.05ed0c69a8ebcp-2, -0x1.06f636abef7p-2, -0x1.07f2c57e36f7dp-2, -0x1.08e2bd75c1fbdp-2, -0x1.09c624408946bp-2, -0x1.0a9d00a2e1dd8p-2, -0x1.0b675a75048f6p-2, -0x1.0c253aa07b21bp-2, -0x1.0cd6ab1d6f94p-2, -0x1.0d7bb6efe0905p-2, -0x1.0e146a24b46e4p-2, -0x1.0ea0d1ceb1d2cp-2, -0x1.0f20fc0357c4ap-2, -0x1.0f94f7d798b97p-2, -0x1.0ffcd55c76691p-2, -0x1.1058a59b82ccfp-2, -0x1.10a87a933c9e8p-2, -0x1.10ec673355d84p-2, -0x1.11247f58d4d44p-2, -0x1.1150d7ca21a07p-2, -0x1.11718632ebbdcp-2, -0x1.1186a11ffe47ap-2, -0x1.11903ffaf1cd8p-2, -0x1.118e7b05c74d6p-2, -0x1.11816b5665b79p-2, -0x1.11692ad202554p-2, -0x1.1145d4286deaep-2, -0x1.111782cf4afc3p-2, -0x1.10de52fd2da16p-2, -0x1.109a61a4a6b16p-2, -0x1.104bcc6f3a3fbp-2, -0x1.0ff2b1b8401d3p-2, -0x1.0f8f3087b6b68p-2, -0x1.0f21688d00d5fp-2, -0x1.0ea97a1994e23p-2, -0x1.0e27861b9cb82p-2, -0x1.0d9bae1888c39p-2, -0x1.0d06142796575p-2, -0x1.0c66daec47f18p-2, -0x1.0bbe2590da6c9p-2, -0x1.0b0c17c0a909p-2, -0x1.0a50d5a290959p-2, -0x1.098c83d34809ep-2, -0x1.08bf475fb6edap-2, -0x1.07e945bf47cafp-2, -0x1.070aa4ce34073p-2, -0x1.06238ac7d5744p-2, -0x1.05341e40f229ap-2, -0x1.043c86220be24p-2, -0x1.033ce9a1b1fe3p-2, -0x1.0235703ed5b71p-2, -0x1.012641bb25ce5p-2, -0x1.000f86156bfe3p-2, -0x1.fde2cb07e9f1cp-3, -0x1.fb9810de0184ap-3, -0x1.f93f2ed67184fp-3, -0x1.f6d8766866113p-3, -0x1.f464394e04a05p-3, -0x1.f1e2c9799bdffp-3, -0x1.ef54790af6c24p-3, -0x1.ecb99a44c66a8p-3, -0x1.ea127f82302ap-3, -0x1.e75f7b2c733c8p-3, -0x1.e4a0dfb0be05p-3, -0x1.e1d6ff7614006p-3, -0x1.df022cd36ea76p-3, -0x1.dc22ba05f36ccp-3, -0x1.d938f9275779p-3, -0x1.d6453c2475891p-3, -0x1.d347d4b3fff32p-3, -0x1.d041144d69343p-3, -0x1.cd314c1ff797dp-3, -0x1.ca18cd0a03f97p-3, -0x1.c6f7e7906b8a2p-3, -0x1.c3ceebd632d8dp-3, -0x1.c09e299453f3cp-3, -0x1.bd65f011c85a8p-3, -0x1.ba268e1bba854p-3, -0x1.b6e051fdf5df9p-3, -0x1.b393897b839f2p-3, -0x1.b04081c77e247p-3, -0x1.ace7877e1ca65p-3, -0x1.a988e69df01f8p-3, -0x1.a624ea8157a71p-3, -0x1.a2bbddd82ed65p-3, -0x1.9f4e0aa1aacd5p-3, -0x1.9bdbba26784efp-3, -0x1.986534f30799cp-3, -0x1.94eac2d21330bp-3, -0x1.916caac75eee9p-3, -0x1.8deb330aaa1e8p-3, -0x1.8a66a102dc833p-3, -0x1.86df39416824ep-3, -0x1.83553f7ddfe68p-3, -0x1.7fc8f691c665ep-3, -0x1.7c3aa07493658p-3, -0x1.78aa7e37ec3a5p-3, -0x1.7518d0041566bp-3, -0x1.7185d51491f24p-3, -0x1.6df1cbb501361p-3, -0x1.6a5cf13e251e6p-3, -0x1.66c7821325ffap-3, -0x1.6331b99f00a3cp-3, -0x1.5f9bd2522e656p-3, -0x1.5c0605a074e04p-3, -0x1.58708bfef090bp-3, -0x1.54db9ce248ca4p-3, -0x1.51476ebd16b33p-3, -0x1.4db436fe76789p-3, -0x1.4a222a10c9c3dp-3, -0x1.46917b58a8cfdp-3, -0x1.43025d33f94fep-3, -0x1.3f7500f9385bap-3, -0x1.3be996f6e86bp-3, -0x1.38604e732b4d8p-3, -0x1.34d955ab8659ep-3, -0x1.3154d9d4cc70bp-3, -0x1.2dd3071b2f93ep-3, -0x1.2a5408a2768ecp-3, -0x1.26d808865cd68p-3, -0x1.235f2fdb10531p-3, -0x1.1fe9a6add4198p-3, -0x1.1c779405c9d9ep-3, -0x1.19091de4d5b15p-3, -0x1.159e6948a60b9p-3, -0x1.12379a2bdc111p-3, -0x1.0ed4d3874bd41p-3, -0x1.0b76375364f4cp-3, -0x1.081be689aa38dp-3, -0x1.04c601265199ep-3, -0x1.0174a629f5eafp-3, -0x1.fc4fe736c4011p-4, -0x1.f5c00d12fa8abp-4, -0x1.ef39f61a8b01cp-4, -0x1.e8bdd897c9873p-4, -0x1.e24be8f1b8df1p-4, -0x1.dbe459b087357p-4, -0x1.d5875b82351c7p-4, -0x1.cf351d3f633d8p-4, -0x1.c8edcbf041781p-4, -0x1.c2b192d1a6762p-4, -0x1.bc809b5a3c5d8p-4, -0x1.b65b0d3fdb3e1p-4, -0x1.b0410e7cefd0cp-4, -0x1.aa32c35613788p-4, -0x1.a4304e5fa605bp-4, -0x1.9e39d0838fefep-4, -0x1.984f69071e116p-4, -0x1.92713590e0bb2p-4, -0x1.8c9f522eaaf9cp-4, -0x1.86d9d95baa216p-4, -0x1.8120e4067bc4ep-4, -0x1.7b74899764651p-4, -0x1.75d4dff685c62p-4, -0x1.7041fb922e9a5p-4, -0x1.6abbef652b0d8p-4, -0x1.6542ccfd22affp-4, -0x1.5fd6a480fea57p-4, -0x1.5a7784b758fa3p-4, -0x1.55257b0ced064p-4, -0x1.4fe0939b1123bp-4, -0x1.4aa8d92e3119p-4, -0x1.457e554c4af9dp-4, -0x1.4061103b6df73p-4, -0x1.3b5111083ba66p-4, -0x1.364e5d8c626b1p-4, -0x1.3158fa751d56p-4, -0x1.2c70eb49a8ee1p-4, -0x1.27963271bbd83p-4, -0x1.22c8d13bf70dcp-4, -0x1.1e08c7e450f8ap-4, -0x1.1956159a78d21p-4, -0x1.14b0b888329d6p-4, -0x1.1018add7b1e83p-4, -0x1.0b8df1b9deb9bp-4, -0x1.07107f6c9f14fp-4, -0x1.02a0514109156p-4, -0x1.fc7ac1432908bp-5, -0x1.f3cf4c3078246p-5, -0x1.eb3e32a922bb1p-5, -0x1.e2c762639003dp-5, -0x1.da6ac7795af2bp-5, -0x1.d2284c733226fp-5, -0x1.c9ffda54972p-5, -0x1.c1f158a77a43fp-5, -0x1.b9fcad87bf52ap-5, -0x1.b221bdae9b7fp-5, -0x1.aa606c7dda8dep-5, -0x1.a2b89c0afb7d6p-5, -0x1.9b2a2d2a37b73p-5, -0x1.93b4ff794f25dp-5, -0x1.8c58f16a4d40bp-5, -0x1.8515e04e178f5p-5, -0x1.7deba85ee3e54p-5, -0x1.76da24ca7b3f6p-5, -0x1.6fe12fbc66774p-5, -0x1.6900a267ec2a1p-5, -0x1.62385511e8468p-5, -0x1.5b881f1a88288p-5, -0x1.54efd706cb994p-5, -0x1.4e6f5289f8ca2p-5, -0x1.4806668ecb59dp-5, -0x1.41b4e7409546ap-5, -0x1.3b7aa814327d5p-5, -0x1.35577bd0c638bp-5, -0x1.2f4b34985fc0ap-5, -0x1.2955a3f070b75p-5, -0x1.23769aca22538p-5, -0x1.1dade98a7a0d7p-5, -0x1.17fb601253b83p-5, -0x1.125ecdc645719p-5, -0x1.0cd8019644961p-5, -0x1.0766ca053430dp-5, -0x1.020af53044fa1p-5, -0x1.f988a1ac56396p-6, -0x1.ef2554bc6fac2p-6, -0x1.e4eb9dbe6bbb1p-6, -0x1.dadb164c75c73p-6, -0x1.d0f3577a76fcdp-6, -0x1.c733f9e303109p-6, -0x1.bd9c95b402d6fp-6, -0x1.b42cc2baf76a9p-6, -0x1.aae418710cc4bp-6, -0x1.a1c22e06cd55ep-6, -0x1.98c69a6f9a832p-6, -0x1.8ff0f46ccd2ccp-6, -0x1.8740d298a005bp-6, -0x1.7eb5cb70b4972p-6, -0x1.764f75606d567p-6, -0x1.6e0d66caf4b26p-6, -0x1.65ef3614ff2a6p-6, -0x1.5df479ae3e95ap-6, -0x1.561cc81aa3739p-6, -0x1.4e67b7fb4c9c6p-6, -0x1.46d4e01731fa9p-6, -0x1.3f63d7639eb78p-6, -0x1.3814350c5370ep-6, -0x1.30e5907b7eeaep-6, -0x1.29d781615a924p-6, -0x1.22e99fbbaad9dp-6, -0x1.1c1b83dce14bcp-6, -0x1.156cc6731fa5p-6, -0x1.0edd008ee462ep-6, -0x1.086bcba98bafdp-6, -0x1.0218c1ab996c9p-6, -0x1.f7c6f9e56a3bbp-7, -0x1.eb9730af0c5ecp-7, -0x1.dfa15e66ab9d7p-7, -0x1.d3e4bacac98dbp-7, -0x1.c8607eb041f9fp-7, -0x1.bd13e40c56274p-7, -0x1.b1fe25fe082f8p-7, -0x1.a71e80d7819dcp-7, -0x1.9c743226bd741p-7, -0x1.91fe78bde631bp-7, -0x1.87bc94bb7484bp-7, -0x1.7dadc791be6dcp-7, -0x1.73d1540e60643p-7, -0x1.6a267e6127d07p-7, -0x1.60ac8c229b023p-7, -0x1.5762c45a69397p-7, -0x1.4e486f853d0f8p-7, -0x1.455cd79a670bep-7, -0x1.3c9f48112e269p-7, -0x1.340f0de5d5472p-7, -0x1.2bab779e43e0cp-7, -0x1.2373d54e783b1p-7, -0x1.1b67789cb0d44p-7, -0x1.1385b4c52aa9p-7, -0x1.0bcdde9dcfb97p-7, -0x1.043f4c996e35bp-7, -0x1.f9b2ad959bc5fp-8, -0x1.eb36adcf027f6p-8, -0x1.dd095094d81ecp-8, -0x1.cf294febe5929p-8, -0x1.c195692cbb12ap-8, -0x1.b44c5d068d5e6p-8, -0x1.a74cef831c20dp-8, -0x1.9a95e80935646p-8, -0x1.8e26115efdea8p-8, -0x1.81fc39ac381aep-8, -0x1.7617327b9a014p-8, -0x1.6a75d0bc36b7bp-8, -0x1.5f16ecc21936p-8, -0x1.53f96246c26bbp-8, -0x1.491c10697f196p-8, -0x1.3e7dd9aefc4b1p-8, -0x1.341da40091828p-8, -0x1.29fa58abcb0f9p-8, -0x1.2012e460cdb39p-8, -0x1.1666373122225p-8, -0x1.0cf3448db3e1p-8, -0x1.03b903450fc25p-8, -0x1.f56cdb013f6adp-9, -0x1.e3d501850aab3p-9, -0x1.d2a87bc4f74e1p-9, -0x1.c1e55215ade2dp-9, -0x1.b189936a6f866p-9, -0x1.a193554df9deap-9, -0x1.9200b3daf17d3p-9, -0x1.82cfd1b3dbab2p-9, -0x1.73fed7fb3e7c7p-9, -0x1.658bf64a52689p-9, -0x1.577562a89480fp-9, -0x1.49b959816a624p-9, -0x1.3c561d9b3c825p-9, -0x1.2f49f80d39a84p-9, -0x1.229338344e9ap-9, -0x1.163033a92c925p-9, -0x1.0a1f4634fdf12p-9, -0x1.fcbda38ca1ed2p-10, -0x1.e5da7ccaa3757p-10, -0x1.cf91f450beaecp-10, -0x1.b9e0f24f7d875p-10, -0x1.a4c46ae3e9c3cp-10, -0x1.90395dfd6d26cp-10, -0x1.7c3cd745b1e14p-10, -0x1.68cbee0769898p-10, -0x1.55e3c512a451fp-10, -0x1.43818aa520f08p-10, -0x1.31a2784dfaf36p-10, -0x1.2043d2d3c9f55p-10, -0x1.0f62ea1993143p-10, -0x1.fdfa32061afp-11, -0x1.de1f8ab412359p-11, -0x1.bf30bf64db021p-11, -0x1.a128c69c35ab1p-11, -0x1.8402ac03369f4p-11, -0x1.67b9902f16c69p-11, -0x1.4c48a8688ed14p-11, -0x1.31ab3e737d834p-11, -0x1.17dcb056d7a26p-11, -0x1.fdb0e045694e1p-12, -0x1.cd34076d9e582p-12, -0x1.9e3a091400e25p-12, -0x1.70ba3ee009146p-12, -0x1.44ac28c3d95c5p-12, -0x1.1a076c819efd1p-12, -0x1.e187aa867584dp-13, -0x1.91b2a63b421a8p-13, -0x1.447ff547f132ap-13, -0x1.f3c011cf2d2bcp-14, -0x1.638733034194dp-14, -0x1.b06e971d8107ep-15, -0x1.46cb8e882b89bp-16, 0x1.81179c718bd2fp-17, 0x1.5acd431b1f86bp-15, 0x1.2634086b7c74dp-14, 0x1.9aa6867fcaec6p-14, 0x1.056c7c1085fd9p-13, 0x1.3b72dcbce7018p-13, 0x1.6f73541657239p-13, 0x1.a17a928f6da8bp-13, 0x1.d1950b138ee6cp-13, 0x1.ffcef3e8913d1p-13, 0x1.161a23bf71d5dp-12, 0x1.2b6862a8bfdfap-12, 0x1.3fd7f95d6e5edp-12, 0x1.536e8de534837p-12, 0x1.6631aa0c43ae2p-12, 0x1.7826bbcdf21cfp-12, 0x1.895315bc6aaf7p-12, 0x1.99bbef69051a1p-12, 0x1.a96665cc5afefp-12, 0x1.b8577ba9a8c36p-12, 0x1.c69419f8bb897p-12, 0x1.d42110464999fp-12, 0x1.e103151c7c951p-12, 0x1.ed3ec661a8609p-12, 0x1.f8d8a9be6f814p-12, 0x1.01ea967de2b87p-11, 0x1.071c53330425dp-11, 0x1.0c03aa955c6b9p-11, 0x1.10a2b0dbecb5dp-11, 0x1.14fb6f0cac094p-11, 0x1.190fe32b87139p-11, 0x1.1ce20067658efp-11, 0x1.2073af488a324p-11, 0x1.23c6cddd0f2b8p-11, 0x1.26dd2fe5c8283p-11, 0x1.29b89f01d7c6dp-11, 0x1.2c5adadb1a80dp-11, 0x1.2ec5994f851b2p-11, 0x1.30fa869e57125p-11, 0x1.32fb458fba0fbp-11, 0x1.34c96fa06a0bap-11, 0x1.36669529b8bd1p-11, 0x1.37d43d8a6d7d6p-11, 0x1.3913e74f7908fp-11, 0x1.3a27085b60433p-11, 0x1.3b0f0e0d1a776p-11, 0x1.3bcd5d67702d3p-11, 0x1.3c635336eaf27p-11, 0x1.3cd24437c4044p-11, 0x1.3d1b7d3b2b6ffp-11, 0x1.3d40434c51f3cp-11, 0x1.3d41d3d446ef6p-11, 0x1.3d2164be85be7p-11, 0x1.3ce0249c0d46cp-11, 0x1.3c7f3ac5f271ep-11, 0x1.3bffc7803a07ep-11, 0x1.3b62e41c0e62ap-11, 0x1.3aa9a3188fc4ep-11, 0x1.39d51044dd3d8p-11, 0x1.38e630dfc536ep-11, 0x1.37de03b898815p-11, 0x1.36bd814e8cbf3p-11, 0x1.35859befe611fp-11, 0x1.34373fd8ae298p-11, 0x1.32d353518c33cp-11, 0x1.315ab6cce4cc1p-11, 0x1.2fce4504d1a2fp-11, 0x1.2e2ed31830fd8p-11, 0x1.2c7d30a6bd818p-11, 0x1.2aba27edd27eep-11, 0x1.28e67de37d662p-11, 0x1.2702f252640abp-11, 0x1.25103ff3fc204p-11, 0x1.230f1c8ba3e5fp-11, 0x1.2100390016dbfp-11, 0x1.1ee4417556e3bp-11, 0x1.1cbbdd66021c1p-11, 0x1.1a87afbb9c52ep-11, 0x1.184856e78ace9p-11, 0x1.15fe6cfb00f9cp-11, 0x1.13aa87be608b9p-11, 0x1.114d38c88d4dap-11, 0x1.0ee70d95ea6a1p-11, 0x1.0c788f9e8854fp-11, 0x1.0a02446c40ec5p-11, 0x1.0784adb11d006p-11, 0x1.0500495ba17b2p-11, 0x1.027591acb3344p-11, 0x1.ffc9fa97ba3bbp-12, 0x1.fa9dfeb6ff64cp-12, 0x1.f5680f19855f9p-12, 0x1.f0290466c189p-12, 0x1.eae1b0b1ad053p-12, 0x1.e592df9e2d342p-12, 0x1.e03d5686a67afp-12, 0x1.dae1d49ff7ee2p-12, 0x1.d581131de9d23p-12, 0x1.d01bc555c917p-12, 0x1.cab298e167416p-12, 0x1.c54635c0c240dp-12, 0x1.bfd73e7b8fe67p-12, 0x1.ba6650419dde6p-12, 0x1.b4f4030b416c8p-12, 0x1.af80e9b7efa22p-12, 0x1.aa0d922e54623p-12, 0x1.a49a857a080fp-12, 0x1.9f2847e970012p-12, 0x1.99b7592ae330ap-12, 0x1.94483469378d2p-12, 0x1.8edb5067cbd4p-12, 0x1.89711f9e64d08p-12, 0x1.840a10542fbc7p-12, 0x1.7ea68cb9bb5d7p-12, 0x1.7946fb0399915p-12, 0x1.73ebbd835ade2p-12, 0x1.6e9532c0898eap-12, 0x1.6943b59165c1fp-12, 0x1.63f79d32ab959p-12, 0x1.5eb13d5f73e1ep-12, 0x1.5970e6679eb68p-12, 0x1.5436e5470c1b1p-12, 0x1.4f0383bb45ca6p-12, 0x1.49d708592d6f1p-12, 0x1.44b1b6a27aafbp-12, 0x1.3f93cf1a4e97ep-12, 0x1.3a7d8f59ab15p-12, 0x1.356f32231ad59p-12, 0x1.3068ef76ce405p-12, 0x1.2b6afca51f7dfp-12, 0x1.26758c6173498p-12, 0x1.2188ced49d002p-12, 0x1.1ca4f1aee82bdp-12, 0x1.17ca203965cd8p-12, 0x1.12f8836754ad2p-12, 0x1.0e3041e6ce4f8p-12, 0x1.0971803130d29p-12, 0x1.04bc609b03edbp-12, 0x1.0011036426745p-12, 0x1.f6df0d8dc68b1p-13, 0x1.edb00e0de2224p-13, 0x1.e4953d011c10dp-13, 0x1.db8ecb6d025ep-13, 0x1.d29ce6c072ca4p-13, 0x1.c9bfb8ef435dep-13, 0x1.c0f7688d0716dp-13, 0x1.b84418e774028p-13, 0x1.afa5ea206f457p-13, 0x1.a71cf945f74cbp-13, 0x1.9ea9606c1783cp-13, 0x1.964b36c3fdf3fp-13, 0x1.8e0290b38fe4bp-13, 0x1.85cf7febd3715p-13, 0x1.7db2138059d3bp-13, 0x1.75aa57fc2dc61p-13, 0x1.6db857770d8e6p-13, 0x1.65dc19aaeee4fp-13, 0x1.5e15a407a9fb3p-13, 0x1.5664f9c67210ap-13, 0x1.4eca1bfe28e8cp-13, 0x1.474509b52f231p-13, 0x1.3fd5bff478d61p-13, 0x1.387c39d93391ep-13, 0x1.313870a67e66dp-13, 0x1.2a0a5bd644582p-13, 0x1.22f1f129f57b7p-13, 0x1.1bef24ba67eb6p-13, 0x1.1501e908428a2p-13, 0x1.0e2a2f0b10971p-13, 0x1.0767e64090b74p-13, 0x1.00bafcbafec7dp-13, 0x1.f446be5ef8a26p-14, 0x1.e741f20831321p-14, 0x1.da6768baeb405p-14, 0x1.cdb6f45658f1p-14, 0x1.c130646b69d47p-14, 0x1.b4d3865501a8bp-14, 0x1.a8a0255017af6p-14, 0x1.9c960a9362b9p-14, 0x1.90b4fd678998p-14, 0x1.84fcc33bb0f3ep-14, 0x1.796d1fbc2194ep-14, 0x1.6e05d4e8ba9f7p-14, 0x1.62c6a3280ade1p-14, 0x1.57af495bc2d67p-14, 0x1.4cbf84f5365cfp-14, 0x1.41f7120752375p-14, 0x1.3755ab590c9aap-14, 0x1.2cdb0a783b9fep-14, 0x1.2286e7c9913c3p-14, 0x1.1858fa9acd0e9p-14, 0x1.0e50f932d94fap-14, 0x1.046e98e210d44p-14, 0x1.f5631c20bdce2p-15, 0x1.e233189bd9642p-15, 0x1.cf4c8cc1fc85ep-15, 0x1.bcaedca8b48a5p-15, 0x1.aa596b084345ep-15, 0x1.984b9957c0798p-15, 0x1.8684c7e863168p-15, 0x1.750455fb789dfp-15, 0x1.63c9a1dd1bc19p-15, 0x1.52d408fa15104p-15, 0x1.4222e7f7b51fbp-15, 0x1.31b59ac849b18p-15, 0x1.218b7cc1e2cc7p-15, 0x1.11a3e8b3acaa7p-15, 0x1.01fe38f7a4dd3p-15, 0x1.e5338f0d976f1p-16, 0x1.c6ebdc1a7c976p-16, 0x1.a9240bf6bb37ap-16, 0x1.8bdad12c62de9p-16, 0x1.6f0ede0ff84f4p-16, 0x1.52bee4e598102p-16, 0x1.36e997fd79d9fp-16, 0x1.1b8da9d30a3ccp-16, 0x1.00a9cd28bd848p-16, 0x1.cc796a48583a9p-17, 0x1.988a2ad8a2542p-17, 0x1.6583447dd695bp-17, 0x1.3362211d83cdcp-17, 0x1.02242c2d53a2ep-17, 0x1.a38da5cf4bb45p-18, 0x1.448f08effcb02p-18, 0x1.ce8ec89d1dda2p-19, 0x1.17633e025b08ap-19, 0x1.8e4527b9b8b6ap-21, -0x1.33c4c5d161c2fp-21, -0x1.f45c8e3da3861p-20, -0x1.a42ffeb517fabp-19, -0x1.258029f20772dp-18, -0x1.77549af5d1728p-18, -0x1.c79a439880a0cp-18, -0x1.0b2b072ea063ap-17, -0x1.31c66f70da164p-17, -0x1.57a1c8d3279e1p-17, -0x1.7cbf7df21871ep-17, -0x1.a121f5b09605fp-17, -0x1.c4cb9316d9acbp-17, -0x1.e7beb5463f60ep-17, -0x1.04fedbafe1f4dp-16, -0x1.15c5783862c6ep-16, -0x1.263459b20d3cp-16, -0x1.364ca776fe0f9p-16, -0x1.460f86bf0e601p-16, -0x1.557e1a94a6ff1p-16, -0x1.649983d28f1cep-16, -0x1.7362e11ae847ep-16, -0x1.81db4ecfa11dep-16, -0x1.9003e70c5834fp-16, -0x1.9dddc1a3c757p-16, -0x1.ab69f41750564p-16, -0x1.b8a991968a7b3p-16, -0x1.c59daaf77ad83p-16, -0x1.d2474eb3780d5p-16, -0x1.dea788e3703d6p-16, -0x1.eabf633da2d4p-16, -0x1.f68fe511ee684p-16, -0x1.010d09a45b228p-15, -0x1.06af782ed1a1p-15, -0x1.0c2fbe3092ff2p-15, -0x1.118e5a79d9783p-15, -0x1.16cbcaa33d6f6p-15, -0x1.1be88b0db73cdp-15, -0x1.20e516e09d683p-15, -0x1.25c1e80a4c8dep-15, -0x1.2a7f773f7c3bap-15, -0x1.2f1e3bfc269b4p-15, -0x1.339eac8330893p-15, -0x1.38013dde4025cp-15, -0x1.3c4663ddecc08p-15, -0x1.406e911abbc3dp-15, -0x1.447a36f5c1c1dp-15, -0x1.4869c59896905p-15, -0x1.4c3dabf67584p-15, -0x1.4ff657ccba75ap-15, -0x1.539435a4190b8p-15, -0x1.5717b0d076e58p-15, -0x1.5a8133731cf0dp-15, -0x1.5dd1267c187d2p-15, -0x1.6107f1aa4949dp-15, -0x1.6425fb8d7b6ecp-15, -0x1.672ba98756f3cp-15, -0x1.6a195fcbbb541p-15, -0x1.6cef81642fad2p-15, -0x1.6fae70302cf7p-15, -0x1.72568ce657777p-15, -0x1.74e837169c455p-15, -0x1.7763cd2bd222fp-15, -0x1.79c9ac6ddd7ddp-15, -0x1.7c1a3102827a6p-15, -0x1.7e55b5ef59c18p-15, -0x1.807c951b916b2p-15, -0x1.828f27520f8d4p-15, -0x1.848dc44360302p-15, -0x1.8678c287f9027p-15, -0x1.885077a132aaep-15, -0x1.8a1537fba04d3p-15, -0x1.8bc756f1cc4cdp-15, -0x1.8d6726cd3256fp-15, -0x1.8ef4f8c91786dp-15, -0x1.90711d145115p-15, -0x1.91dbe2d35aa59p-15, -0x1.933598229b6d7p-15, -0x1.947e8a1882fdp-15, -0x1.95b704c75dap-15, -0x1.96df53400de22p-15, -0x1.97f7bf9427303p-15, -0x1.990092d8100aap-15, -0x1.99fa1524c2383p-15, -0x1.9ae48d9ae19bp-15, -0x1.9bc04264942abp-15, -0x1.9c8d78b77ce12p-15, -0x1.9d4c74d7b6195p-15, -0x1.9dfd7a19782d3p-15, -0x1.9ea0cae36e75p-15, -0x1.9f36a8b117ce2p-15, -0x1.9fbf54156ed45p-15, -0x1.a03b0cbd0d28ap-15, -0x1.a0aa116fe46fcp-15, -0x1.a10ca0140d17ep-15, -0x1.a162f5afdb92fp-15, -0x1.a1ad4e6c561f1p-15, -0x1.a1ebe5979d3a6p-15, -0x1.a21ef5a669e72p-15, -0x1.a246b837035b1p-15, -0x1.a2636613deef6p-15, -0x1.a27537352de2cp-15, -0x1.a27c62c3601a6p-15, -0x1.a2791f193ec33p-15, -0x1.a26ba1c674d6bp-15, -0x1.a2541f91a2e3ep-15, -0x1.a232cc7a772b2p-15, -0x1.a207dbbc2af77p-15, -0x1.a1d37fcf72bc8p-15, -0x1.a195ea6cdb5f2p-15, -0x1.a14f4c8f3361bp-15, -0x1.a0ffd675524bcp-15, -0x1.a0a7b7a489c32p-15, -0x1.a0471eea71ff2p-15, -0x1.9fde3a5f448b1p-15, -0x1.9f6d37686c5c3p-15, -0x1.9ef442ba0ee48p-15, -0x1.9e738859449bap-15, -0x1.9deb339e93769p-15, -0x1.9d5b6f37b3c9p-15, -0x1.9cc46529488b8p-15, -0x1.9c263ed1efb3fp-15, -0x1.9b8124eb3901bp-15, -0x1.9ad53f8c58a9bp-15, -0x1.9a22b62c02eaep-15, -0x1.9969afa2607fp-15, -0x1.98aa522b340aep-15, -0x1.97e4c36789623p-15, -0x1.9719285fecfbap-15, -0x1.9647a586098d4p-15, -0x1.95705eb6f9714p-15, -0x1.9493773d0db15p-15, -0x1.93b111d1fbc06p-15, -0x1.92c950a0157dp-15, -0x1.91dc55445d569p-15, -0x1.90ea40d10068ap-15, -0x1.8ff333ce92d03p-15, -0x1.8ef74e3da4a24p-15, -0x1.8df6af99358b3p-15, -0x1.8cf176d82f781p-15, -0x1.8be7c26ef4592p-15, -0x1.8ad9b051ae717p-15, -0x1.89c75df5586ecp-15, -0x1.88b0e85219f95p-15, -0x1.87966be47cd4bp-15, -0x1.867804af464aap-15, -0x1.8555ce3d50f28p-15, -0x1.842fe3a2c1196p-15, -0x1.83065f7f10fa1p-15, -0x1.81d95bfe7e6e6p-15, -0x1.80a8f2db9d602p-15, -0x1.7f753d61215a2p-15, -0x1.7e3e546b39356p-15, -0x1.7d045068f877fp-15, -0x1.7bc7495e3ca34p-15, -0x1.7a8756e4d0adcp-15, -0x1.7944902e51f51p-15, -0x1.77ff0c053e757p-15, -0x1.76b6e0ce6e5eap-15, -0x1.756c248b06b78p-15, -0x1.741eecd97c69ep-15, -0x1.72cf4ef71ad01p-15, -0x1.717d5fc163b51p-15, -0x1.702933b73abbp-15, -0x1.6ed2defabcf8bp-15, -0x1.6d7a755241808p-15, -0x1.6c200a29b0babp-15, -0x1.6ac3b0940a96dp-15, -0x1.69657b4c5fdd5p-15, -0x1.68057cb79376fp-15, -0x1.66a3c6e511177p-15, -0x1.65406b9091669p-15, -0x1.63db7c2319722p-15, -0x1.627509b404924p-15, -0x1.610d250ac2167p-15, -0x1.5fa3de9f8f8abp-15, -0x1.5e39469ce2ce2p-15, -0x1.5ccd6ce0722a6p-15, -0x1.5b6060fc7557ep-15, -0x1.59f23238ce5e7p-15, -0x1.5882ef9419f5ep-15, -0x1.5712a7c4b79d7p-15, -0x1.55a1693a26ba2p-15, -0x1.542f421dc0dbap-15, -0x1.52bc405444f8dp-15, -0x1.5148717e74857p-15, -0x1.4fd3e2fa29f2dp-15, -0x1.4e5ea1e3a1a17p-15, -0x1.4ce8bb165492ap-15, -0x1.4b723b2df8367p-15, -0x1.49fb2e8797ce6p-15, -0x1.4883a14256432p-15, -0x1.470b9f4081c33p-15, -0x1.45933428ac6dp-15, -0x1.441a6b666e24dp-15, -0x1.42a1502b542bfp-15, -0x1.4127ed6fcfa39p-15, -0x1.3fae4df416027p-15, -0x1.3e347c4139627p-15, -0x1.3cba82a994f34p-15, -0x1.3b406b4a314d5p-15, -0x1.39c6400b2a0bcp-15, -0x1.384c0aa0cd4efp-15, -0x1.36d1d48c66f03p-15, -0x1.3557a71cc6891p-15, -0x1.33dd8b6f6d026p-15, -0x1.32638a7136a33p-15, -0x1.30e9acdef1a9ep-15, -0x1.2f6ffb4693c98p-15, -0x1.2df67e077de54p-15, -0x1.2c7d3d539fe6p-15, -0x1.2b04412fdab9dp-15, -0x1.298b91750a387p-15, -0x1.281335d08ec4cp-15, -0x1.269b35c50be41p-15, -0x1.252398ab1af23p-15, -0x1.23ac65b1fa3b5p-15, -0x1.2235a3e056be6p-15, -0x1.20bf5a14cd293p-15, -0x1.1f498f06cb626p-15, -0x1.1dd44946d612cp-15, -0x1.1c5f8f3f91d16p-15, -0x1.1aeb673618e2dp-15, -0x1.1977d74ab804p-15, -0x1.1804e579bb0edp-15, -0x1.1692979b9abbbp-15, -0x1.1520f36612c64p-15, -0x1.13affe6c5401ap-15, -0x1.123fbe1fba4aap-15, -0x1.10d037d0930c5p-15, -0x1.0f6170ae4485bp-15, -0x1.0df36dc841579p-15, -0x1.0c86340e40b91p-15, -0x1.0b19c85104fc6p-15, -0x1.09ae2f42d77f5p-15, -0x1.08436d77e7102p-15, -0x1.06d98766f6ab8p-15, -0x1.05708169d6e6ap-15, -0x1.04085fbdc116ep-15, -0x1.02a126843de72p-15, -0x1.013ad9c30e48cp-15, -0x1.ffaafaca07f8bp-16, -0x1.fce22a74bd0b8p-16, -0x1.fa1b49f26e84bp-16, -0x1.f756607c6dfd7p-16, -0x1.f4937519108bcp-16, -0x1.f1d28e9d81b15p-16, -0x1.ef13b3aeb1de5p-16, -0x1.ec56eac0c9eep-16, -0x1.e99c3a1a171c4p-16, -0x1.e6e3a7d1e7e88p-16, -0x1.e42d39d2a65aep-16, -0x1.e178f5da20cbap-16, -0x1.dec6e17a5b93p-16, -0x1.dc17021aa0b17p-16, -0x1.d9695cf7dd7c7p-16, -0x1.d6bdf72581ff7p-16, -0x1.d414d58e3d0dcp-16, -0x1.d16dfcf4e501ap-16, -0x1.cec971f53768bp-16, -0x1.cc273904353f5p-16, -0x1.c98756713ed98p-16, -0x1.c6e9ce65ea173p-16, -0x1.c44ea4e7facbap-16, -0x1.c1b5ddd8b17a9p-16, -0x1.bf1f7cf68e6cap-16, -0x1.bc8b85dd4909fp-16, -0x1.b9f9fc06ed32ep-16, -0x1.b76ae2cc2407ap-16, -0x1.b4de3d64ac3e4p-16, -0x1.b2540ee897e87p-16, -0x1.afcc5a4fe3f83p-16, -0x1.ad47227400f64p-16, -0x1.aac46a10079c8p-16, -0x1.a84433c0d37efp-16, -0x1.a5c68206db062p-16, -0x1.a34b5745258a9p-16, -0x1.a0d2b5c2dd699p-16, -0x1.9e5c9fab9c66cp-16, -0x1.9be9170fc2dcbp-16, -0x1.99781de5853bcp-16, -0x1.9709b60884ff2p-16, -0x1.949de13b120d6p-16, -0x1.9234a1266c4afp-16, -0x1.8fcdf75b27c33p-16, -0x1.8d69e55188e44p-16, -0x1.8b086c6a7dd09p-16, -0x1.88a98def8f3d6p-16, -0x1.864d4b13be627p-16, -0x1.83f3a4f39e327p-16, -0x1.819c9c960b1a4p-16, -0x1.7f4832ec3740ep-16, -0x1.7cf668d290649p-16, -0x1.7aa73f10b50bcp-16, -0x1.785ab65a7fda8p-16, -0x1.7610cf4f7f621p-16, -0x1.73c98a7c229c2p-16, -0x1.7184e85a16973p-16, -0x1.6f42e95006551p-16, -0x1.6d038db2a6d9p-16, -0x1.6ac6d5c4e8272p-16, -0x1.688cc1b7fbc1p-16, -0x1.665551ac8b36cp-16, -0x1.642085b18e8e4p-16, -0x1.61ee5dc6696ap-16, -0x1.5fbed9d9dcd21p-16, -0x1.5d91f9cb2b093p-16, -0x1.5b67bd6a04d0ap-16, -0x1.594024770a63fp-16, -0x1.571b2ea43565bp-16, -0x1.54f8db9521a6ap-16, -0x1.52d92adede4f5p-16, -0x1.50bc1c08fc174p-16, -0x1.4ea1ae8d4f4dp-16, -0x1.4c89e1d85ca49p-16, -0x1.4a74b549ca58cp-16, -0x1.4862283469896p-16, -0x1.465239dec881fp-16, -0x1.4444e982fe1fdp-16, -0x1.423a364f887a7p-16, -0x1.40321f672541cp-16, -0x1.3e2ca3e1185bdp-16, -0x1.3c29c2c9a0a0cp-16, -0x1.3a297b2282346p-16, -0x1.382bcbe22f128p-16, -0x1.3630b3f56110cp-16, -0x1.3438323dc95c7p-16, -0x1.324245942fcb2p-16, -0x1.304eecc6d81fbp-16, -0x1.2e5e269af694ap-16, }}, 
      {{-0x1.1f6b0a719d664p-8, -0x1.1d16c93f258c9p-7, -0x1.a60a0261c7d6fp-7, -0x1.14688d8eb125fp-6, -0x1.520add276a2c8p-6, -0x1.8b741eb575b6cp-6, -0x1.c05ba657ec744p-6, -0x1.f0a1de19c6b1bp-6, -0x1.0e24c308e851ep-5, -0x1.21b87b40cf725p-5, -0x1.3325e48dd0068p-5, -0x1.428e8ef07af06p-5, -0x1.501949150d82p-5, -0x1.5beff75059672p-5, -0x1.663dc3547c07p-5, -0x1.6f2d9f0388aa5p-5, -0x1.76e9134d4f3d2p-5, -0x1.7d97535e7dbf1p-5, -0x1.835c8c3dd64eep-5, -0x1.88596917109d7p-5, -0x1.8caac4c549a03p-5, -0x1.9069819f7ddc3p-5, -0x1.93aa810d705efp-5, -0x1.967eb4fafe094p-5, -0x1.98f345d58b69ep-5, -0x1.9b11c85674c1p-5, -0x1.9ce07ef24c112p-5, -0x1.9e62a35485ec6p-5, -0x1.9f98b4d72b1d3p-5, -0x1.a080c964fb8abp-5, -0x1.a116dea8636a1p-5, -0x1.a15529d28aa5p-5, -0x1.a13464a3025f5p-5, -0x1.a0ac16aa678c1p-5, -0x1.9fb2da0932719p-5, -0x1.9e3e9b284f57p-5, -0x1.9c44d31bf020cp-5, -0x1.99babc8b12ee6p-5, -0x1.969583185364ep-5, -0x1.92ca6d63e1f35p-5, -0x1.8e4f01d38d6ebp-5, -0x1.8919265da96b6p-5, -0x1.831f3b9f1329bp-5, -0x1.7c58338c2b53ep-5, -0x1.74bba4114b4dcp-5, -0x1.6c41d5f92c362p-5, -0x1.62e3d06fcb359p-5, -0x1.589b6176bf9d9p-5, -0x1.4d63239d2f3a9p-5, -0x1.41368149dfb2ap-5, -0x1.3411b5e18db9ap-5, -0x1.25f1cd0ef93f7p-5, -0x1.16d4a06d1e2d5p-5, -0x1.06b8d3cef8a4bp-5, -0x1.eb3ba0b668c62p-6, -0x1.c7077d5a331d2p-6, -0x1.a0d7004ede6c4p-6, -0x1.78ad4f42a7dc2p-6, -0x1.4e8ee321a993dp-6, -0x1.228177a617938p-6, -0x1.e917f4b6ebc1fp-7, -0x1.896cf28c0d27ap-7, -0x1.261422b22acc7p-7, -0x1.7e43738543e6bp-8, -0x1.52af1016a46aap-9, 0x1.935fd33fa15bdp-11, 0x1.14d46b57c5cb6p-8, 0x1.fdac3f3f8f635p-8, 0x1.765da462968bfp-7, 0x1.f0e37c0bc14c4p-7, 0x1.3724a61447738p-6, 0x1.7737e2b02202p-6, 0x1.b89b5fffd484dp-6, 0x1.fb3eabb211417p-6, 0x1.1f8881106ac71p-5, 0x1.4200ad705cf46p-5, 0x1.64ff3a5e4c557p-5, 0x1.887b708f43fd3p-5, 0x1.ac6c8773f341ep-5, 0x1.d0c9aa5d71b4fp-5, 0x1.f589fd5c36b91p-5, 0x1.0d5250ed7873bp-4, 0x1.20085d7b8fa5dp-4, 0x1.32e2b8ccadc01p-4, 0x1.45dcfc27b5906p-4, 0x1.58f2c7751fc67p-4, 0x1.6c1fc2f102d95p-4, 0x1.7f5fa0c140483p-4, 0x1.92ae1e70eb107p-4, 0x1.a6070651fc3dap-4, 0x1.b96630c66f0f5p-4, 0x1.ccc78571bf08cp-4, 0x1.e026fc53ea31bp-4, 0x1.f3809ecedc938p-4, 0x1.0368444b9e809p-3, 0x1.0d097448d7534p-3, 0x1.16a200ce98219p-3, 0x1.203015a5da25ap-3, 0x1.29b1e944d00dp-3, 0x1.3325bd1a862bep-3, 0x1.3c89ddd2c1697p-3, 0x1.45dca39282ed6p-3, 0x1.4f1c722d817c6p-3, 0x1.5847b954edd47p-3, 0x1.615cf4bfdf47ap-3, 0x1.6a5aac4da3835p-3, 0x1.733f74224cfecp-3, 0x1.7c09ecbdc1293p-3, 0x1.84b8c30d84c9ep-3, 0x1.8d4ab0798eb3bp-3, 0x1.95be7aec5bbbap-3, 0x1.9e12f4d67dfedp-3, 0x1.a646fd2de268cp-3, 0x1.ae597f6903016p-3, 0x1.b6497376311e3p-3, 0x1.be15ddaf396d5p-3, 0x1.c5bdcec985ecep-3, 0x1.cd4063c2eaa91p-3, 0x1.d49cc5cb52e9ap-3, 0x1.dbd22a2b703c1p-3, 0x1.e2dfd2289c9b9p-3, 0x1.e9c50ae60bddap-3, 0x1.f0812d4383cc4p-3, 0x1.f7139db9aba62p-3, 0x1.fd7bcc342a6cbp-3, 0x1.01dc99f4d41edp-2, 0x1.04e5ad98ee06bp-2, 0x1.07d8e9ace1657p-2, 0x1.0ab61c3b11fdep-2, 0x1.0d7d189a3e39cp-2, 0x1.102db75538b9p-2, 0x1.12c7d611f57ap-2, 0x1.154b5777f4b8p-2, 0x1.17b823161bc5bp-2, 0x1.1a0e25480decp-2, 0x1.1c4d4f1b046c5p-2, 0x1.1e759632454fep-2, 0x1.2086f4ab31fbcp-2, 0x1.22816901085ccp-2, 0x1.2464f5f058de6p-2, 0x1.2631a25a4091ep-2, 0x1.27e7792770c12p-2, 0x1.2986892b0d9abp-2, 0x1.2b0ee505727abp-2, 0x1.2c80a306da7e1p-2, 0x1.2ddbdd1207c4cp-2, 0x1.2f20b07ee095ap-2, 0x1.304f3dfd16a05p-2, 0x1.3167a976de143p-2, 0x1.326a19f3b8118p-2, 0x1.3356b97b5fd8ep-2, 0x1.342db4f8da48cp-2, 0x1.34ef3c1db4db1p-2, 0x1.359b81457573cp-2, 0x1.3632b959458f5p-2, 0x1.36b51bb3dd36ep-2, 0x1.3722e205b4c33p-2, 0x1.377c48397c1ccp-2, 0x1.37c18c58ead34p-2, 0x1.37f2ee71dc4b2p-2, 0x1.3810b07bca79cp-2, 0x1.381b163da5dedp-2, 0x1.381265340c7d5p-2, 0x1.37f6e477e9102p-2, 0x1.37c8dca578b81p-2, 0x1.378897c3bbf9fp-2, 0x1.3736612c5a86dp-2, 0x1.36d28573f2c48p-2, 0x1.365d5252e0861p-2, 0x1.35d7168e7931ep-2, 0x1.354021e2be365p-2, 0x1.3498c4ec8b146p-2, 0x1.33e151143cccfp-2, 0x1.331a1878d554bp-2, 0x1.32436ddb9e92ap-2, 0x1.315da48c4965ap-2, 0x1.306910558bc41p-2, 0x1.2f66056a4028ep-2, 0x1.2e54d85303aacp-2, 0x1.2d35dddc50fadp-2, 0x1.2c096b0522685p-2, 0x1.2acfd4ee0e289p-2, 0x1.298970c8e30aep-2, 0x1.283693c8c5991p-2, 0x1.26d79312cd336p-2, 0x1.256cc3af1b709p-2, 0x1.23f67a7a73ea3p-2, 0x1.22750c184f9efp-2, 0x1.20e8cce56a27fp-2, 0x1.1f5210eacd27ep-2, 0x1.1db12bd14e837p-2, 0x1.1c0670d58e969p-2, 0x1.1a5232bc637a8p-2, 0x1.1894c3c7c367fp-2, 0x1.16ce75ac1986ap-2, 0x1.14ff998612cedp-2, 0x1.13287fd0d94eap-2, 0x1.1149785cbcf22p-2, 0x1.0f62d2464c019p-2, 0x1.0d74dbedd2f9ep-2, 0x1.0b7fe2ef4ac9cp-2, 0x1.0984341aa8b15p-2, 0x1.07821b6c9971bp-2, 0x1.0579e4079bed2p-2, 0x1.036bd82d7f9c9p-2, 0x1.0158413942753p-2, 0x1.fe7ecf329735ap-3, 0x1.fa432594077fdp-3, 0x1.f5fe12a18a152p-3, 0x1.f1b0216e4964fp-3, 0x1.ed59db0d23e17p-3, 0x1.e8fbc6888ad88p-3, 0x1.e49668db11373p-3, 0x1.e02a44e88b70fp-3, 0x1.dbb7db77d5a57p-3, 0x1.d73fab2d28459p-3, 0x1.d2c2308507882p-3, 0x1.ce3fe5cfba546p-3, 0x1.c9b9432d508c7p-3, 0x1.c52ebe8a2f0cp-3, 0x1.c0a0cb9c1dd47p-3, 0x1.bc0fdbdfd787ap-3, 0x1.b77c5e9710821p-3, 0x1.b2e6c0c6f758dp-3, 0x1.ae4f6d372972ap-3, 0x1.a9b6cc7114b3ap-3, 0x1.a51d44bfc71c4p-3, 0x1.a0833a302633cp-3, 0x1.9be90e918ab8fp-3, 0x1.974f2176bd14fp-3, 0x1.92b5d0374c676p-3, 0x1.8e1d75f149d8ep-3, 0x1.89866b8b4a4c9p-3, 0x1.84f107b6cb761p-3, 0x1.805d9ef2dae8ep-3, 0x1.7bcc838f151dp-3, 0x1.773e05aee4aa2p-3, 0x1.72b2734d0b65ep-3, 0x1.6e2a183f73a2bp-3, 0x1.69a53e3b34735p-3, 0x1.65242cd8e274dp-3, 0x1.60a729990c939p-3, 0x1.5c2e77e8fc8b4p-3, 0x1.57ba5927a19f6p-3, 0x1.534b0caab1ddp-3, 0x1.4ee0cfc3fadc3p-3, 0x1.4a7bddc6df5d9p-3, 0x1.461c700df735fp-3, 0x1.41c2be00e400dp-3, 0x1.3d6efd1a3d92ap-3, 0x1.392160edac286p-3, 0x1.34da1b2e15f14p-3, 0x1.30995bb3f9746p-3, 0x1.2c5f5083d8ad3p-3, 0x1.282c25d4bf6bfp-3, 0x1.24000616e9611p-3, 0x1.1fdb19fa70f49p-3, 0x1.1bbd88761b236p-3, 0x1.17a776ce33334p-3, 0x1.1399089b74788p-3, 0x1.0f925fd2006cbp-3, 0x1.0b939cc8673e3p-3, 0x1.079cde3eb4c55p-3, 0x1.03ae41658808p-3, 0x1.ff8fc3ca68d43p-4, 0x1.f7d3b3c9d04a2p-4, 0x1.f0288423a3bc7p-4, 0x1.e88e634ca358ep-4, 0x1.e1057ce24b6ffp-4, 0x1.d98df9b92bf26p-4, 0x1.d227ffeb4a7c2p-4, 0x1.cad3b2e6764d2p-4, 0x1.c391337a95388p-4, 0x1.bc609fe7e7c78p-4, 0x1.b54213ed4653ap-4, 0x1.ae35a8d64c88cp-4, 0x1.a73b758976d49p-4, 0x1.a0538e962734dp-4, 0x1.997e0642aa059p-4, 0x1.92baec9a087f8p-4, 0x1.8c0a4f79df417p-4, 0x1.856c3aa00cbe5p-4, 0x1.7ee0b7b84bc97p-4, 0x1.7867ce69ae1ebp-4, 0x1.7201846400932p-4, 0x1.6baddd6d08643p-4, 0x1.656cdb6da94eap-4, 0x1.5f3e7e7ee5787p-4, 0x1.5922c4f6bebe8p-4, 0x1.5319ab74f17b5p-4, 0x1.4d232cef8fa38p-4, 0x1.473f42bf75b52p-4, 0x1.416de4ac95f5dp-4, 0x1.3baf08fa24332p-4, 0x1.3602a47295b53p-4, 0x1.3068aa7379424p-4, 0x1.2ae10cf9289aep-4, 0x1.256bbcaa50182p-4, 0x1.2008a8e34b2fbp-4, 0x1.1ab7bfc15881bp-4, 0x1.1578ee2da3809p-4, 0x1.104c1fe820899p-4, 0x1.0b313f924193fp-4, 0x1.062836b97a8p-4, 0x1.0130ede19d77p-4, 0x1.f896991e11585p-5, 0x1.eeee72a153163p-5, 0x1.e5693393a5607p-5, 0x1.dc06a577c62a6p-5, 0x1.d2c6901f88265p-5, 0x1.c9a8b9be734f8p-5, 0x1.c0ace6fc07825p-5, 0x1.b7d2db05aafdep-5, 0x1.af1a57a03e1e6p-5, 0x1.a6831d39555fcp-5, 0x1.9e0ceaf8183f6p-5, 0x1.95b77ecdca9dep-5, 0x1.8d829585fee02p-5, 0x1.856dead66da28p-5, 0x1.7d79396e735adp-5, 0x1.75a43b063d0ccp-5, 0x1.6deea86d98761p-5, 0x1.6658399a783afp-5, 0x1.5ee0a5b710fb3p-5, 0x1.5787a32fb49c3p-5, 0x1.504ce7c04eed3p-5, 0x1.493028818ee9p-5, 0x1.423119f5c39d5p-5, 0x1.3b4f7015600edp-5, 0x1.348ade5b32c2ap-5, 0x1.2de317d04b4dep-5, 0x1.2757cf178e9dep-5, 0x1.20e8b679053cbp-5, 0x1.1a957feccba3cp-5, 0x1.145ddd25c8274p-5, 0x1.0e417f9c09f92p-5, 0x1.08401896dce13p-5, 0x1.025959369acf1p-5, 0x1.f919e4fc5b1cep-6, 0x1.edb52ab898721p-6, 0x1.e283e568d89dfp-6, 0x1.d78576ceeeb1dp-6, 0x1.ccb940b868616p-6, 0x1.c21ea50ecccddp-6, 0x1.b7b505e778cc4p-6, 0x1.ad7bc592da07ep-6, 0x1.a37246ab2e4a5p-6, 0x1.9997ec22d178dp-6, 0x1.8fec1951f7cb9p-6, 0x1.866e320409b94p-6, 0x1.7d1d9a846ab45p-6, 0x1.73f9b7aade185p-6, 0x1.6b01eee76b50ap-6, 0x1.6235a64dd0001p-6, 0x1.599444a093dd6p-6, 0x1.511d315b940b3p-6, 0x1.48cfd4be33a9ep-6, 0x1.40ab97d51c86bp-6, 0x1.38afe483a233p-6, 0x1.30dc258caaab7p-6, 0x1.292fc69b4afeap-6, 0x1.21aa344af579dp-6, 0x1.1a4adc2f46058p-6, 0x1.13112cdb7b78ap-6, 0x1.0bfc95e994096p-6, 0x1.050c880107ed7p-6, 0x1.fc80e9ba6e8dap-7, 0x1.ef2f9ea6f38bp-7, 0x1.e22416b1c32a2p-7, 0x1.d55d3c0f632d7p-7, 0x1.c8d9fb48ed714p-7, 0x1.bc994345c3efcp-7, 0x1.b09a055494d94p-7, 0x1.a4db3533f3b6cp-7, 0x1.995bc91a2241ap-7, 0x1.8e1ab9bc9f876p-7, 0x1.83170256e55bp-7, 0x1.784fa0b0c8e2fp-7, 0x1.6dc395246a8ffp-7, 0x1.6371e2a36db68p-7, 0x1.59598ebbf3a3cp-7, 0x1.4f79a19cfeb33p-7, 0x1.45d1261a68e24p-7, 0x1.3c5f29b07a206p-7, 0x1.3322bc86fa77bp-7, 0x1.2a1af173ecf42p-7, 0x1.2146ddfdd27ddp-7, 0x1.18a59a5db09b2p-7, 0x1.1036418080c43p-7, 0x1.07f7f1087534dp-7, 0x1.ffd3929b8bf5fp-8, 0x1.f015dabe64e1fp-8, 0x1.e0b506045c8d8p-8, 0x1.d1af65658366dp-8, 0x1.c3034f461626ap-8, 0x1.b4af1f75033acp-8, 0x1.a6b13729f64f9p-8, 0x1.9907fd0298e87p-8, 0x1.8bb1dcff8e495p-8, 0x1.7ead4880a667fp-8, 0x1.71f8b640e77bfp-8, 0x1.6592a251c15cp-8, 0x1.59798e161bb22p-8, 0x1.4dac003cd6e47p-8, 0x1.422884bac7916p-8, 0x1.36edacc476f0dp-8, 0x1.2bfa0ec7574ffp-8, 0x1.214c4662d3adcp-8, 0x1.16e2f460cdd1ep-8, 0x1.0cbcbeadc4014p-8, 0x1.02d85050e65f5p-8, 0x1.f268b2c71f9f3p-9, 0x1.df9f1e115374ap-9, 0x1.cd5156c75619fp-9, 0x1.bb7cdb1ed1026p-9, 0x1.aa1f33292a763p-9, 0x1.9935f0c00a662p-9, 0x1.88beaf71a9346p-9, 0x1.78b7146c54f33p-9, 0x1.691cce69c3fa5p-9, 0x1.59ed959a40138p-9, 0x1.4b272b8eeda8cp-9, 0x1.3cc75b243f6bbp-9, 0x1.2ecbf86bda6f5p-9, 0x1.2132e0964dc8ep-9, 0x1.13f9f9dc57593p-9, 0x1.071f33683c49dp-9, 0x1.f5410a7d275b8p-10, 0x1.dcf7e04e139f6p-10, 0x1.c55efb29ecf03p-10, 0x1.ae727f1f714d1p-10, 0x1.982ea135bbe15p-10, 0x1.828fa73c9602ep-10, 0x1.6d91e79c609afp-10, 0x1.5931c925bb21ep-10, 0x1.456bc2e11415cp-10, 0x1.323c5bde156a3p-10, 0x1.1fa02b0314581p-10, 0x1.0d93d6dbd4eafp-10, 0x1.f8282ad27b6aap-11, 0x1.d63b57dfbc752p-11, 0x1.b55add8ed596cp-11, 0x1.9580825358ddap-11, 0x1.76a62a0348461p-11, 0x1.58c5d5754cb18p-11, 0x1.3bd9a21f360d6p-11, 0x1.1fdbc9b4de8dbp-11, 0x1.04c6a1c70e948p-11, 0x1.d52936c52ea3ap-12, 0x1.a280855f242edp-12, 0x1.71887d2453ee3p-12, 0x1.4236a092ae442p-12, 0x1.1480a621cddd6p-12, 0x1.d0b8ef07d1986p-13, 0x1.7b8061d0a8862p-13, 0x1.294440822e119p-13, 0x1.b3e3121998fdbp-14, 0x1.1aeb33f7f6565p-14, 0x1.0ef8c414fc62ap-15, -0x1.a34b34dfc0148p-20, -0x1.1ea9124f3d041p-15, -0x1.12fc0dafb607cp-14, -0x1.91a562319123fp-14, -0x1.05b8bf20efd56p-13, -0x1.40405602d8a1dp-13, -0x1.7879457afe668p-13, -0x1.ae73094964cd9p-13, -0x1.e23cca8a4f511p-13, -0x1.09f2b08703095p-12, -0x1.21bdaa550dfbep-12, -0x1.38866f44cf39bp-12, -0x1.4e53f53d36c45p-12, -0x1.632d0c1a74d17p-12, -0x1.77185e51850edp-12, -0x1.8a1c71927a974p-12, -0x1.9c3fa76546ad5p-12, -0x1.ad883dcb98277p-12, -0x1.bdfc4fda2e1bap-12, -0x1.cda1d654ee0fdp-12, -0x1.dc7ea8481c13ap-12, -0x1.ea987b9e5b982p-12, -0x1.f7f4e5b709738p-12, -0x1.024cadfcb47f3p-11, -0x1.08459a33a2ca3p-11, -0x1.0de7d3168e908p-11, -0x1.1335e517d55dcp-11, -0x1.18324dccd1674p-11, -0x1.1cdf7c338ff58p-11, -0x1.213fd0f6749b9p-11, -0x1.25559eb0f0b9ap-11, -0x1.29232a319f56ep-11, -0x1.2caaaabcff82ep-11, -0x1.2fee4a4db5479p-11, -0x1.32f025d59f2ep-11, -0x1.35b24d7c633ddp-11, -0x1.3836c4de572fcp-11, -0x1.3a7f8349f83b2p-11, -0x1.3c8e73fcde07bp-11, -0x1.3e65765f43c3p-11, -0x1.40065e3f4da72p-11, -0x1.4172f40b3b904p-11, -0x1.42acf50a77f64p-11, -0x1.43b613964d80ap-11, -0x1.448ff75137b1cp-11, -0x1.453c3d5e502aep-11, -0x1.45bc78969ac74p-11, -0x1.461231be55c4bp-11, -0x1.463ee7b9bb28bp-11, -0x1.46440fc00075ep-11, -0x1.4623158e2c467p-11, -0x1.45dd5b98ff3bcp-11, -0x1.45743b3e37ep-11, -0x1.44e904f4b2eb9p-11, -0x1.443d007c2b9dfp-11, -0x1.43716d0b9525fp-11, -0x1.4287817fc34e2p-11, -0x1.41806c881daeep-11, -0x1.405d54d314f3fp-11, -0x1.3f1f593a79489p-11, -0x1.3dc790edb1a12p-11, -0x1.3c570b9cac91ap-11, -0x1.3aced1a114a1cp-11, -0x1.392fe427296fap-11, -0x1.377b3d561da51p-11, -0x1.35b1d0773c60dp-11, -0x1.33d48a1cb90dap-11, -0x1.31e45047e246cp-11, -0x1.2fe2028e5273ap-11, -0x1.2dce7a3eb9b5ap-11, -0x1.2baa8a8506d47p-11, -0x1.2977008dcaaefp-11, -0x1.2734a3a8abdb1p-11, -0x1.24e4356ace567p-11, -0x1.228671d0495fp-11, -0x1.201c0f5cec4dfp-11, -0x1.1da5bf3cb0216p-11, -0x1.1b242d630f8cep-11, -0x1.189800aa9f36cp-11, -0x1.1601daf2c7e6ap-11, -0x1.1362593e5c414p-11, -0x1.10ba13d085d3cp-11, -0x1.0e099e498fabp-11, -0x1.0b5187c350507p-11, -0x1.08925aec946dp-11, -0x1.05cc9e245f895p-11, -0x1.0300d3947d2a1p-11, -0x1.002f794b839c2p-11, -0x1.fab212acc51e6p-12, -0x1.f4fbf3b2de2bfp-12, -0x1.ef3d7a517b0ffp-12, -0x1.e97783c14c586p-12, -0x1.e3aae5f9849acp-12, -0x1.ddd86fdeb18a1p-12, -0x1.d800e96fa9417p-12, -0x1.d22513f20190ep-12, -0x1.cc45aa1d35111p-12, -0x1.c66360452122p-12, -0x1.c07ee483d445ap-12, -0x1.ba98dee200cd2p-12, -0x1.b4b1f17ee8dd7p-12, -0x1.aecab8b7893fep-12, -0x1.a8e3cb4cb66e8p-12, -0x1.a2fdba8865f53p-12, -0x1.9d1912627bf9bp-12, -0x1.973659a413334p-12, -0x1.9156120b36d4p-12, -0x1.8b78b86c7b0f1p-12, -0x1.859ec4d52fa48p-12, -0x1.7fc8aaab76725p-12, -0x1.79f6d8cee8558p-12, -0x1.7429b9b7707a6p-12, -0x1.6e61b39484734p-12, -0x1.689f286a91d71p-12, -0x1.62e27630aaee1p-12, -0x1.5d2bf6ed0191cp-12, -0x1.577c00d104d47p-12, -0x1.51d2e6548ff78p-12, -0x1.4c30f650fba84p-12, -0x1.46967c1b00259p-12, -0x1.4103bf9c60002p-12, -0x1.3b79056cbfa31p-12, -0x1.35f68eea298b5p-12, -0x1.307c9a509e66ap-12, -0x1.2b0b62d1bd846p-12, -0x1.25a320ab0a646p-12, -0x1.2044093c78fa4p-12, -0x1.1aee4f1dd040bp-12, -0x1.15a22233e2044p-12, -0x1.105fafc548a1ep-12, -0x1.0b27228e75947p-12, -0x1.05f8a2d545f6ap-12, -0x1.00d4567c5c051p-12, -0x1.f774c22b3f1c5p-13, -0x1.ed55c7e97bdc3p-13, -0x1.e34bfc81a023ap-13, -0x1.d9579a0bc91b7p-13, -0x1.cf78d68b77c7fp-13, -0x1.c5afe410ef763p-13, -0x1.bbfcf0d97c09fp-13, -0x1.b260276e98f73p-13, -0x1.a8d9aec4c9de8p-13, -0x1.9f69aa59a8802p-13, -0x1.96103a50a39e1p-13, -0x1.8ccd7b8f9d703p-13, -0x1.83a187da7daf7p-13, -0x1.7a8c75ee1de47p-13, -0x1.718e599ac7d38p-13, -0x1.68a743dd750d9p-13, -0x1.5fd742f8e7c5fp-13, -0x1.571e628df0e37p-13, -0x1.4e7cabb2da4adp-13, -0x1.45f2250aa506ep-13, -0x1.3d7ed2db72de4p-13, -0x1.3522b7241255cp-13, -0x1.2cddd1b18ab29p-13, -0x1.24b020337cf2bp-13, -0x1.1c999e504fa08p-13, -0x1.149a45b8cb6fdp-13, -0x1.0cb20e3afe4e6p-13, -0x1.04e0edd50f245p-13, -0x1.fa4db18db5ab1p-14, -0x1.eb07834730edcp-14, -0x1.dbef32c5af916p-14, -0x1.cd049ee1f691fp-14, -0x1.be47a37f304d7p-14, -0x1.afb819a962f29p-14, -0x1.a155d7b446f44p-14, -0x1.9320b15896c12p-14, -0x1.851877d0b5536p-14, -0x1.773cf9f45917ap-14, -0x1.698e04546b6dep-14, -0x1.5c0b61541653bp-14, -0x1.4eb4d94324bafp-14, -0x1.418a327681b58p-14, -0x1.348b315fa34a7p-14, -0x1.27b798a4b74e9p-14, -0x1.1b0f2936afaa2p-14, -0x1.0e91a26786761p-14, -0x1.023ec1ff49bbap-14, -0x1.ec2c88a1b8285p-15, -0x1.d42fc89b24b64p-15, -0x1.bc86b73257f87p-15, -0x1.a530c537ec531p-15, -0x1.8e2d612b30ceep-15, -0x1.777bf75c897e2p-15, -0x1.611bf20fdfbbbp-15, -0x1.4b0cb99e157e1p-15, -0x1.354db493f2ab7p-15, -0x1.1fde47d1c9d0bp-15, -0x1.0abdd6aa1ae0cp-15, -0x1.ebd785fb37914p-16, -0x1.c2cedaaf04711p-16, -0x1.9a606a1244965p-16, -0x1.728af086b920fp-16, -0x1.4b4d2860201fp-16, -0x1.24a5ca16599c3p-16, -0x1.fd2718e92615ep-17, -0x1.b22a498b3e718p-17, -0x1.68528e0474d2dp-17, -0x1.1f9d4bf3b5f54p-17, -0x1.b00fcdefda7abp-18, -0x1.231f8203a0732p-18, -0x1.30c8ea72d7f31p-19, -0x1.fb2ccf3cacaf9p-23, 0x1.da1bb3f135385p-20, 0x1.f58392060aa84p-19, 0x1.7cdc720f4e789p-18, 0x1.fcdc2cae32eb7p-18, 0x1.3d631e86e5ebp-17, 0x1.7b4ff342db89p-17, 0x1.b8373591c5c2dp-17, 0x1.f41b85a24d2dfp-17, 0x1.177fc149f575ap-16, 0x1.3472e522d9ea3p-16, 0x1.50e87c944097dp-16, 0x1.6ce1d506ddc9dp-16, 0x1.88603afe7b841p-16, 0x1.a364fa049ff13p-16, 0x1.bdf15c9395187p-16, 0x1.d806ac043d8c2p-16, 0x1.f1a6307a69075p-16, 0x1.0568986a062d6p-15, 0x1.11c4794bdc1e6p-15, 0x1.1de75cf1e6ce3p-15, 0x1.29d1e4b07639dp-15, 0x1.3584b11862b18p-15, 0x1.410061f13e4bfp-15, 0x1.4c459631e018ap-15, 0x1.5754ebfa97bc5p-15, 0x1.622f008ec116bp-15, 0x1.6cd4704f5dd59p-15, 0x1.7745d6b52ace3p-15, 0x1.8183ce4c44e5dp-15, 0x1.8b8ef0ae85658p-15, 0x1.9567d67fa781ep-15, 0x1.9f0f17688f973p-15, 0x1.a8854a13c55c2p-15, 0x1.b1cb0428c0857p-15, 0x1.bae0da493e631p-15, 0x1.c3c7600da3933p-15, 0x1.cc7f280186c86p-15, 0x1.d508c3a137c27p-15, 0x1.dd64c3577f34fp-15, 0x1.e593b679e1221p-15, 0x1.ed962b479f36p-15, 0x1.f56caee6c9372p-15, 0x1.fd17cd62d34bfp-15, 0x1.024c08d544b31p-14, 0x1.05f702c7660acp-14, 0x1.098d18e0662fp-14, 0x1.0d0e8ee8bd151p-14, 0x1.107ba817d59d9p-14, 0x1.13d4a713db526p-14, 0x1.1719cdf10c051p-14, 0x1.1a4b5e31b34e4p-14, 0x1.1d6998c5cb9dfp-14, 0x1.2074be0a96781p-14, 0x1.236d0dcaa2c2fp-14, 0x1.2652c73dfbf98p-14, 0x1.292629099d7a4p-14, 0x1.2be7713fce38bp-14, 0x1.2e96dd601a12ep-14, 0x1.3134aa57a2e24p-14, 0x1.33c11480debadp-14, 0x1.363c57a44d24ap-14, 0x1.38a6aef8869a3p-14, 0x1.3b005522748e5p-14, 0x1.3d498435b5675p-14, 0x1.3f8275b5110c9p-14, 0x1.41ab6292dcb33p-14, 0x1.43c483316b18dp-14, 0x1.45ce0f6388fe6p-14, 0x1.47c83e6cf57e5p-14, 0x1.49b347032aba7p-14, 0x1.4b8f5f4dbd846p-14, 0x1.4d5cbce6f115p-14, 0x1.4f1b94dc66b0cp-14, 0x1.50cc1bafeb8ecp-14, 0x1.526e8557fbd05p-14, 0x1.540305407e928p-14, 0x1.5589ce4b82e6dp-14, 0x1.570312d207c93p-14, 0x1.586f04a4d6752p-14, 0x1.59cdd50d083efp-14, 0x1.5b1fb4cd10d47p-14, 0x1.5c64d4217f2bbp-14, 0x1.5d9d62c1dcb66p-14, 0x1.5ec98fe169454p-14, 0x1.5fe98a3021809p-14, 0x1.60fd7fdb83438p-14, 0x1.62059e8f68aa2p-14, 0x1.630213770dd15p-14, 0x1.63f30b3df093ep-14, 0x1.64d8b2109bec5p-14, 0x1.65b3339db5d03p-14, 0x1.6682bb16dc677p-14, 0x1.67477331cac83p-14, 0x1.6801862907864p-14, 0x1.68b11dbcf3466p-14, 0x1.69566334ba23p-14, 0x1.69f17f5f5adcfp-14, 0x1.6a829a94a594ap-14, 0x1.6b09dcb60c659p-14, 0x1.6b876d2fc682dp-14, 0x1.6bfb72f9a1e78p-14, 0x1.6c6614983566fp-14, 0x1.6cc7781daa9dep-14, 0x1.6d1fc32ad52b9p-14, 0x1.6d6f1af011885p-14, 0x1.6db5a42e66835p-14, 0x1.6df3833872262p-14, 0x1.6e28dbf3501c7p-14, 0x1.6e55d1d7b682bp-14, 0x1.6e7a87f2e9d03p-14, 0x1.6e9720e7b0372p-14, 0x1.6eabbeef40558p-14, 0x1.6eb883da4f0fep-14, 0x1.6ebd9111feccdp-14, 0x1.6ebb0798dee69p-14, 0x1.6eb1080be248ep-14, 0x1.6e9fb2a349732p-14, 0x1.6e872733b27c7p-14, 0x1.6e67852ef8a2dp-14, 0x1.6e40eba536ccfp-14, 0x1.6e137945a7a37p-14, 0x1.6ddf4c5fac938p-14, 0x1.6da482e3b8894p-14, 0x1.6d633a6447d06p-14, 0x1.6d1b9016c5c35p-14, 0x1.6ccda0d471374p-14, 0x1.6c79891b5261dp-14, 0x1.6c1f650f38d9bp-14, 0x1.6bbf507a9056cp-14, 0x1.6b5966cf3853cp-14, 0x1.6aedc32795e04p-14, 0x1.6a7c80475caadp-14, 0x1.6a05b89c7d83cp-14, 0x1.6989864000e0ep-14, 0x1.690802f6f5043p-14, 0x1.688148333f213p-14, 0x1.67f56f148363cp-14, 0x1.67649068f89b2p-14, 0x1.66cec4ae52984p-14, 0x1.66342412896acp-14, 0x1.6594c674c1c3fp-14, 0x1.64f0c366162f3p-14, 0x1.6448322a6440ep-14, 0x1.639b29b9397a8p-14, 0x1.62e9c0be92c88p-14, 0x1.62340d9ba7e47p-14, 0x1.617a2667b93c5p-14, 0x1.60bc20f0eaa4cp-14, 0x1.5ffa12bd01942p-14, 0x1.5f34110a347b3p-14, 0x1.5e6a30cfe5663p-14, 0x1.5d9c86bf69966p-14, 0x1.5ccb2744e03cfp-14, 0x1.5bf62687d2171p-14, 0x1.5b1d986c10fcbp-14, 0x1.5a41909262792p-14, 0x1.5962225944268p-14, 0x1.587f60dda05d1p-14, 0x1.57995efb8d54fp-14, 0x1.56b02f4ef6aa7p-14, 0x1.55c3e4346bcf9p-14, 0x1.54d48fc9c428fp-14, 0x1.53e243eecb16dp-14, 0x1.52ed1245f9de7p-14, 0x1.51f50c352c586p-14, 0x1.50fa42e63871bp-14, 0x1.4ffcc747aaf5bp-14, 0x1.4efcaa0d6d49cp-14, 0x1.4df9fbb17a4acp-14, 0x1.4cf4cc746db1ep-14, 0x1.4bed2c5e2f098p-14, 0x1.4ae32b3e9fe09p-14, 0x1.49d6d8ae35a1dp-14, 0x1.48c8440e981bp-14, 0x1.47b77c8b484d3p-14, 0x1.46a4911a34dcbp-14, 0x1.458f907c5a091p-14, 0x1.4478893e53c5ep-14, 0x1.435f89b902ebcp-14, 0x1.4244a0121fadbp-14, 0x1.4127da3cbd761p-14, 0x1.400945f9f5239p-14, 0x1.3ee8f0d973b59p-14, 0x1.3dc6e839fdcd6p-14, 0x1.3ca3394a058f8p-14, 0x1.3b7df10842803p-14, 0x1.3a571c442e2c4p-14, 0x1.392ec79e907e3p-14, 0x1.3804ff8a159f5p-14, 0x1.36d9d04bccca1p-14, 0x1.35ad45fba7788p-14, 0x1.347f6c850643bp-14, 0x1.33504fa73a0d8p-14, 0x1.321ffaf60d17ap-14, 0x1.30ee79da3ef3bp-14, 0x1.2fbbd791fa541p-14, 0x1.2e881f3166f63p-14, 0x1.2d535ba311662p-14, 0x1.2c1d97a8707b1p-14, 0x1.2ae6ddda5fd6cp-14, 0x1.29af38a98ff21p-14, 0x1.2876b25f0a291p-14, 0x1.273d551ca7cdcp-14, 0x1.26032add71464p-14, 0x1.24c83d762b47ep-14, 0x1.238c9695bbe74p-14, 0x1.22503fc597386p-14, 0x1.2113426a3b6d6p-14, 0x1.1fd5a7c39fce5p-14, 0x1.1e9778ed9098fp-14, 0x1.1d58bee02c9p-14, 0x1.1c1982704e019p-14, 0x1.1ad9cc4fecf48p-14, 0x1.1999a50e8d963p-14, 0x1.18591519ab0ddp-14, 0x1.171824bd180b3p-14, 0x1.15d6dc236518dp-14, 0x1.149543564ae4fp-14, 0x1.1353623f00e7ep-14, 0x1.121140a6b24dep-14, 0x1.10cee636d7db3p-14, 0x1.0f8c5a798c972p-14, 0x1.0e49a4d9f338p-14, 0x1.0d06cca4ae79p-14, 0x1.0bc3d9080c281p-14, 0x1.0a80d11487c0dp-14, 0x1.093dbbbd233c2p-14, 0x1.07fa9fd7a8a27p-14, 0x1.06b7841d1ec7ep-14, 0x1.05746f2a13e02p-14, 0x1.0431677eecf07p-14, 0x1.02ee738056949p-14, 0x1.01ab99777e76p-14, 0x1.0068df9274c16p-14, 0x1.fe4c97c902b6ep-15, 0x1.fbc7c8cce1f6fp-15, 0x1.f9435deddfebap-15, 0x1.f6bf62b5a8e87p-15, 0x1.f43be27ac0c92p-15, 0x1.f1b8e8615a096p-15, 0x1.ef367f5bd26d5p-15, 0x1.ecb4b22b37f42p-15, 0x1.ea338b6018babp-15, 0x1.e7b3155b0d556p-15, 0x1.e5335a4d15c48p-15, 0x1.e2b4643869b32p-15, 0x1.e0363cf0ff36bp-15, 0x1.ddb8ee1cfe19cp-15, 0x1.db3c813584efdp-15, 0x1.d8c0ff8705511p-15, 0x1.d6467231dcf9fp-15, 0x1.d3cce22af6d77p-15, 0x1.d154583c39ffp-15, 0x1.cedcdd05369fp-15, 0x1.cc6678fb76569p-15, 0x1.c9f1346b286d8p-15, 0x1.c77d17779f91ap-15, 0x1.c50a2a1bb93e4p-15, 0x1.c298742a893afp-15, 0x1.c027fd4fc9a88p-15, 0x1.bdb8cd1047736p-15, 0x1.bb4aeaca75afp-15, 0x1.b8de5db6d04e1p-15, 0x1.b6732ce862858p-15, 0x1.b4095f4d68919p-15, 0x1.b1a0fbaf82269p-15, 0x1.af3a08b43fac4p-15, 0x1.acd48cddc00cap-15, 0x1.aa708e8ae71adp-15, 0x1.a80e13f7f8236p-15, 0x1.a5ad233f0aa85p-15, 0x1.a34dc25859482p-15, 0x1.a0eff71ac9edep-15, 0x1.9e93c73c5595p-15, 0x1.9c3938527befep-15, 0x1.99e04fd29813p-15, 0x1.978913126cf83p-15, 0x1.953387486f5a4p-15, 0x1.92dfb18c3c3ep-15, 0x1.908d96d70dae1p-15, 0x1.8e3d3c03f9c7cp-15, 0x1.8beea5d081678p-15, 0x1.89a1d8dcd1bb7p-15, 0x1.8756d9ac3c99ap-15, 0x1.850daca5ab122p-15, 0x1.82c65613bddc4p-15, 0x1.8080da2569b3cp-15, 0x1.7e3d3cee469c9p-15, 0x1.7bfb8266dd58dp-15, 0x1.79bbae6d21e85p-15, 0x1.777dc4c4a655ap-15, 0x1.7541c91713683p-15, 0x1.7307bef478fc9p-15, 0x1.70cfa9d3a19acp-15, 0x1.6e998d126e558p-15, 0x1.6c656bf62d42bp-15, 0x1.6a3349abfda42p-15, 0x1.6803294909e93p-15, 0x1.65d50dcaececap-15, 0x1.63a8fa17f7d9dp-15, 0x1.617ef0ff91a69p-15, 0x1.5f56f53a88804p-15, 0x1.5d31096b4d9a4p-15, 0x1.5b0d301e636dep-15, 0x1.58eb6bca8785p-15, 0x1.56cbbed12a746p-15, 0x1.54ae2b7e9eb18p-15, 0x1.5292b40a626f2p-15, 0x1.50795a978bb2dp-15, 0x1.4e622134df081p-15, 0x1.4c4d09dd501f7p-15, 0x1.4a3a167825d63p-15, 0x1.482948d937d22p-15, 0x1.461aa2c1695d6p-15, 0x1.440e25dec5805p-15, 0x1.4203d3ccd012bp-15, 0x1.3ffbae14c74dap-15, 0x1.3df5b62df595p-15, 0x1.3bf1ed7ddf955p-15, 0x1.39f0555891015p-15, 0x1.37f0ef00e106bp-15, 0x1.35f3bba8ba002p-15, 0x1.33f8bc714f81p-15, 0x1.31fff26b55185p-15, 0x1.30095e97512ebp-15, 0x1.2e1501e5dccbep-15, 0x1.2c22dd37ca238p-15, 0x1.2a32f15e6e711p-15, 0x1.28453f1bece8cp-15, 0x1.2659c72350a8p-15, 0x1.24708a18ea061p-15, 0x1.228988927917cp-15, 0x1.20a4c3175f0b6p-15, 0x1.1ec23a20ee80bp-15, 0x1.1ce1ee1a88b83p-15, 0x1.1b03df61f0145p-15, 0x1.19280e476ea68p-15, 0x1.174e7b0e0a111p-15, 0x1.157725ebcdbf2p-15, 0x1.13a20f09d7dcfp-15, 0x1.11cf3684c3fd7p-15, 0x1.0ffe9c6cb6452p-15, 0x1.0e3040c5a0972p-15, 0x1.0c64238774a99p-15, 0x1.0a9a449e4d74bp-15, 0x1.08d2a3eaa1ff7p-15, 0x1.070d41418a307p-15, 0x1.054a1c6cd74dap-15, 0x1.0389352b4d45bp-15, 0x1.01ca8b30cf5cap-15, 0x1.000e1e269cb3ap-15, 0x1.fca7db56da365p-16, 0x1.f937f2a745971p-16, 0x1.f5cc815305eb4p-16, 0x1.f265865aa52aep-16, 0x1.ef0300ab2ddffp-16, 0x1.eba4ef1e60792p-16, 0x1.e84b507b09c1ep-16, 0x1.e4f623756934bp-16, 0x1.e1a566af8267fp-16, 0x1.de5918b973861p-16, 0x1.db113811bd5c5p-16, 0x1.d7cdc325a7838p-16, 0x1.d48eb8515b09bp-16, 0x1.d15415e083da7p-16, 0x1.ce1dda0e757f2p-16, 0x1.caec030673e5ap-16, 0x1.c7be8ee4063e9p-16, 0x1.c4957bb3296dep-16, 0x1.c170c770e5334p-16, 0x1.be50700b56413p-16, 0x1.bb347361f2b1p-16, 0x1.b81ccf46117b1p-16, 0x1.b509817acb7a3p-16, 0x1.b1fa87b5d16f1p-16, 0x1.aeefdf9f12a5cp-16, 0x1.abe986d18f5ebp-16, 0x1.a8e77adb3355dp-16, 0x1.a5e9b93d4d60cp-16, 0x1.a2f03f6cdf6a2p-16, 0x1.9ffb0ad297f5fp-16, 0x1.9d0a18cb794d8p-16, 0x1.9a1d66a8d021ap-16, 0x1.9734f1b0796ffp-16, 0x1.9450b71d3789fp-16, 0x1.9170b41ef8b3p-16, 0x1.8e94e5dae4d11p-16, 0x1.8bbd496bdf20ep-16, 0x1.88e9dbe267f24p-16, 0x1.861a9a453d587p-16, 0x1.834f8191315fp-16, 0x1.80888eb9ca017p-16, 0x1.7dc5bea915ef6p-16, 0x1.7b070e400a392p-16, 0x1.784c7a5704bc6p-16, 0x1.7595ffbd7382cp-16, 0x1.72e39b3a88e67p-16, 0x1.7035498d161a5p-16, 0x1.6d8b076c04f07p-16, 0x1.6ae4d1866a969p-16, 0x1.6842a483a8bb9p-16, 0x1.65a47d03d8edp-16, 0x1.630a579f9adeep-16, 0x1.607430e8e4aacp-16, 0x1.5de2056a689bep-16, 0x1.5b53d1a885dafp-16, 0x1.58c99220ee5cp-16, 0x1.5643434b1b9a1p-16, 0x1.53c0e198620bbp-16, 0x1.514269743931cp-16, 0x1.4ec7d74424888p-16, 0x1.4c5127684ad9bp-16, 0x1.49de563b34aa2p-16, 0x1.476f60125469dp-16, 0x1.4504413dc4294p-16, 0x1.429cf60914675p-16, 0x1.40397aba88124p-16, 0x1.3dd9cb945ffebp-16, 0x1.3b7de4d3e5304p-16, 0x1.3925c2b25af68p-16, 0x1.36d16164cbc3ep-16, 0x1.3480bd1c3e804p-16, 0x1.3233d205e55f5p-16, 0x1.2fea9c4b320dbp-16, 0x1.2da518121e782p-16, 0x1.2b63417d11699p-16, 0x1.292514ab682ccp-16, 0x1.26ea8db8fc0c9p-16, 0x1.24b3a8bf0778ap-16, 0x1.228061d3a8a42p-16, 0x1.2050b50a3dc17p-16, 0x1.1e249e73ad113p-16, 0x1.1bfc1a1e3bcf3p-16, 0x1.19d72415e0582p-16, 0x1.17b5b8645efbfp-16, 0x1.1597d311488d3p-16, }}, 
      {{0x1.59778c1a10613p-1, 0x1.593877d8db691p-1, 0x1.58d5efed6896fp-1, 0x1.585707f46b481p-1, 0x1.57c2d8a6d48ddp-1, 0x1.571fcc413cd7dp-1, 0x1.5673480a2d63fp-1, 0x1.55c18fcf22bc3p-1, 0x1.550dcbf52ed42p-1, 0x1.545a22d1ea077p-1, 0x1.53a7db7d771b2p-1, 0x1.52f783f9377d2p-1, 0x1.524916f2c77dep-1, 0x1.519c1efef4727p-1, 0x1.50efd62c50d98p-1, 0x1.504341719cd57p-1, 0x1.4f9547e24abf8p-1, 0x1.4ee4c5d0db319p-1, 0x1.4e309c2a0cacep-1, 0x1.4d77bc6638c18p-1, 0x1.4cb93175e8f0dp-1, 0x1.4bf4260f8e7cp-1, 0x1.4b27e8c0e4942p-1, 0x1.4a53ee20a0b8bp-1, 0x1.4977d175a3304p-1, 0x1.48935420b3bcfp-1, 0x1.47a65c0d69abdp-1, 0x1.46b0f1668083cp-1, 0x1.45b33bc1c9b67p-1, 0x1.44ad7ef04fd0ap-1, 0x1.43a017982ebe3p-1, 0x1.428b77b72950dp-1, 0x1.4170232737046p-1, 0x1.404eac3911ad4p-1, 0x1.3f27b0743aa25p-1, 0x1.3dfbd588003a8p-1, 0x1.3ccbc675a1419p-1, 0x1.3b9830f8d88cdp-1, 0x1.3a61c331b2e55p-1, 0x1.39292990a013bp-1, 0x1.37ef0d0424752p-1, 0x1.36b411664e931p-1, 0x1.3578d4272df93p-1, 0x1.343deb30d38a3p-1, 0x1.3303e400f13cap-1, 0x1.31cb42f3dee21p-1, 0x1.309482bcaa63bp-1, 0x1.2f601405ccacfp-1, 0x1.2e2e5d3632eap-1, 0x1.2cffba5669712p-1, 0x1.2bd47d11e921cp-1, 0x1.2aacecd0c39cfp-1, 0x1.298946e627a4ap-1, 0x1.2869bed080984p-1, 0x1.274e7e8834063p-1, 0x1.2637a6da4e56fp-1, 0x1.25254fccaeee6p-1, 0x1.2417890984c4dp-1, 0x1.230e5a5031bfp-1, 0x1.2209c3e9e23e1p-1, 0x1.2109bf205bd08p-1, 0x1.200e3eb5bdc74p-1, 0x1.1f172f5c17cadp-1, 0x1.1e24782bea7b2p-1, 0x1.1d35fb18c598dp-1, 0x1.1c4b9563601afp-1, 0x1.1b652008a132fp-1, 0x1.1a82702d2d2b5p-1, 0x1.19a3578520975p-1, 0x1.18c7a4b7bb265p-1, 0x1.17ef23bec9f36p-1, 0x1.17199e41b4118p-1, 0x1.1646dbec17136p-1, 0x1.1576a2bfeef1bp-1, 0x1.14a8b7634bb9ep-1, 0x1.13dcdd69a3193p-1, 0x1.1312d798cb663p-1, 0x1.124a6829beb93p-1, 0x1.118351053b68dp-1, 0x1.10bd53fc6632dp-1, 0x1.0ff832fd8cdb5p-1, 0x1.0f33b0452f4c6p-1, 0x1.0e6f8e8b729e5p-1, 0x1.0dab912e244bap-1, 0x1.0ce77c5774b5p-1, 0x1.0c2315218de77p-1, 0x1.0b5e21b72b959p-1, 0x1.0a9869715c49dp-1, 0x1.09d1b4f28daf8p-1, 0x1.0909ce3f0872ap-1, 0x1.084080d2fe3e7p-1, 0x1.077599b649f3fp-1, 0x1.06a8e78e069a6p-1, 0x1.05da3aac13e8cp-1, 0x1.0509651caf8b8p-1, 0x1.04363ab238441p-1, 0x1.0360910f393a3p-1, 0x1.02883faed7e2dp-1, 0x1.01ad1febba79ap-1, 0x1.00cf0d058333ap-1, 0x1.ffdbc849df1dp-2, 0x1.fe1308bd7189ep-2, 0x1.fc439d6a8925ap-2, 0x1.fa6d4c3271f79p-2, 0x1.f88fded213e31p-2, 0x1.f6ab22df1976p-2, 0x1.f4bee9c34879fp-2, 0x1.f2cb08b62cd5cp-2, 0x1.f0cf58b52b4b5p-2, 0x1.eecbb67a23a6dp-2, 0x1.ecc00270aeb05p-2, 0x1.eaac20aa20559p-2, 0x1.e88ff8d057b95p-2, 0x1.e66b76177d42dp-2, 0x1.e43e872ebe12cp-2, 0x1.e2091e3021e4p-2, 0x1.dfcb308f81808p-2, 0x1.dd84b708bc941p-2, 0x1.db35ad8d3b2d2p-2, 0x1.d8de1330cac0fp-2, 0x1.d67dea15e92b7p-2, 0x1.d41537598bbedp-2, 0x1.d1a402fe71559p-2, 0x1.cf2a57d80c99ep-2, 0x1.cca8437515045p-2, 0x1.ca1dd609ca035p-2, 0x1.c78b2259f6ccbp-2, 0x1.c4f03da2bd02dp-2, 0x1.c24d3f8438358p-2, 0x1.bfa241eb00d6ep-2, 0x1.bcef60f998c26p-2, 0x1.ba34baf1cb733p-2, 0x1.b772701e0c783p-2, 0x1.b4a8a2badc104p-2, 0x1.b1d776e037363p-2, 0x1.aeff126b219eep-2, 0x1.ac1f9ce74c4e1p-2, 0x1.a9393f78deea1p-2, 0x1.a64c24c670ff6p-2, 0x1.a35878e333348p-2, 0x1.a05e6939513a8p-2, 0x1.9d5e247491bfep-2, 0x1.9a57da6d3c521p-2, 0x1.974bbc13459cep-2, 0x1.9439fb59ca639p-2, 0x1.9122cb22dd28fp-2, 0x1.8e065f2ba99a9p-2, 0x1.8ae4ebf8f305ep-2, 0x1.87bea6c3ef298p-2, 0x1.8493c567854ccp-2, 0x1.81647e4dee191p-2, 0x1.7e31085ebc2p-2, 0x1.7af99aed4edp-2, 0x1.77be6da7aef64p-2, 0x1.747fb885dc49p-2, 0x1.713db3b986412p-2, 0x1.6df8979e39f0fp-2, 0x1.6ab09ca9feafdp-2, 0x1.6765fb5e6984bp-2, 0x1.6418ec3a22ea7p-2, 0x1.60c9a7aadfce6p-2, 0x1.5d7865ffd3f22p-2, 0x1.5a255f5c96a63p-2, 0x1.56d0cbac7cf2dp-2, 0x1.537ae2966c41dp-2, 0x1.5023db711e814p-2, 0x1.4ccbed37dd756p-2, 0x1.49734e7fb145cp-2, 0x1.461a356d03258p-2, 0x1.42c0d7a9b103fp-2, 0x1.3f676a5b94065p-2, 0x1.3c0e221b780a2p-2, 0x1.38b532ec8038cp-2, 0x1.355cd033f98f8p-2, 0x1.32052cb19d8d8p-2, 0x1.2eae7a7839288p-2, 0x1.2b58eae6c295ep-2, 0x1.2804aea1d2ea1p-2, 0x1.24b1f58d87f38p-2, 0x1.2160eec7c5f64p-2, 0x1.1e11c8a2dfe17p-2, 0x1.1ac4b0a09b6f2p-2, 0x1.1779d36d9526p-2, 0x1.14315cdcffd4ap-2, 0x1.10eb77e4bab1cp-2, 0x1.0da84e99c4b94p-2, 0x1.0a680a2cfde1bp-2, 0x1.072ad2e8420a3p-2, 0x1.03f0d02bd0df9p-2, 0x1.00ba286c03291p-2, 0x1.fb0e025ea204cp-3, 0x1.f4aefe193c049p-3, 0x1.ee578b5399445p-3, 0x1.e807ef75370f2p-3, 0x1.e1c06dff81a36p-3, 0x1.db81488c95c78p-3, 0x1.d54abece75993p-3, 0x1.cf1d0e8ec06ccp-3, 0x1.c8f873aed9811p-3, 0x1.c2dd28287e696p-3, 0x1.bccb640ecd2cep-3, 0x1.b6c35d8fac096p-3, 0x1.b0c548f59ba47p-3, 0x1.aad158a9e2147p-3, 0x1.a4e7bd3711636p-3, 0x1.9f08a54bec30bp-3, 0x1.99343dbe90b12p-3, 0x1.936ab190000a7p-3, 0x1.8dac29efe5e5bp-3, 0x1.87f8ce40ac87bp-3, 0x1.8250c41bd5858p-3, 0x1.7cb42f568c876p-3, 0x1.772332067ea71p-3, 0x1.719dec86e4d2fp-3, 0x1.6c247d7dc2f7ep-3, 0x1.66b701e15db42p-3, 0x1.615594fddea8ep-3, 0x1.5c00507b1e9ecp-3, 0x1.56b74c62a0ebbp-3, 0x1.517a9f25abe0bp-3, 0x1.4c4a5da38c50bp-3, 0x1.47269b2ff45c5p-3, 0x1.420f69997581fp-3, 0x1.3d04d9301dddbp-3, 0x1.3806f8cc20d78p-3, 0x1.3315d5d4a3e2fp-3, 0x1.2e317c4691665p-3, 0x1.2959f6bb84435p-3, 0x1.248f4e70bece9p-3, 0x1.1fd18b4e30bbfp-3, 0x1.1b20b3ed83325p-3, 0x1.167ccda133d4p-3, 0x1.11e5dc7bad234p-3, 0x1.0d5be3566c18bp-3, 0x1.08dee3d923164p-3, 0x1.046ede80df7d5p-3, 0x1.000bd2a72f454p-3, 0x1.f76b7d1284577p-4, 0x1.eed93e9e15cacp-4, 0x1.e660e224af048p-4, 0x1.de025dcbc5925p-4, 0x1.d5bda5b8c41c3p-4, 0x1.cd92ac1f0d70bp-4, 0x1.c581614dec36ap-4, 0x1.bd89b3be64b74p-4, 0x1.b5ab9020fddc2p-4, 0x1.ade6e16b5ff4dp-4, 0x1.a63b90e5dadaep-4, 0x1.9ea98638cff1p-4, 0x1.9730a779fa004p-4, 0x1.8fd0d93990249p-4, 0x1.8889fe8f463d5p-4, 0x1.815bf9272d005p-4, 0x1.7a46a94e636d2p-4, 0x1.7349edffa6a7ap-4, 0x1.6c65a4efb3ba1p-4, 0x1.6599aa998737p-4, 0x1.5ee5da4a678dp-4, 0x1.584a0e2dcbd0dp-4, 0x1.51c61f591145ep-4, 0x1.4b59e5d706541p-4, 0x1.450538b345762p-4, 0x1.3ec7ee055eb9dp-4, 0x1.38a1dafbd8f6p-4, 0x1.3292d3e6fd2c4p-4, 0x1.2c9aac4373a5bp-4, 0x1.26b936c4af73fp-4, 0x1.20ee455f2c8e9p-4, 0x1.1b39a95277949p-4, 0x1.159b333307a33p-4, 0x1.1012b2f3e690ep-4, 0x1.0a9ff7f0256fdp-4, 0x1.0542d0f422712p-4, 0x1.fff6188d33505p-5, 0x1.f590ef630eb79p-5, 0x1.eb55c115ace3dp-5, 0x1.e1442779bcf52p-5, 0x1.d75bbb9d63c1dp-5, 0x1.cd9c15d86fb8ep-5, 0x1.c404cddc2f2dfp-5, 0x1.ba957ac2e588cp-5, 0x1.b14db31ede4acp-5, 0x1.a82d0d092331fp-5, 0x1.9f331e2fc981ap-5, 0x1.965f7be3f400ap-5, 0x1.8db1bb275d564p-5, 0x1.852970b99cbd4p-5, 0x1.7cc6312501ddbp-5, 0x1.748790cb18b05p-5, 0x1.6c6d23f0d2f57p-5, 0x1.64767eca584e3p-5, 0x1.5ca3358680d55p-5, 0x1.54f2dc59f221ap-5, 0x1.4d650789ee2bfp-5, 0x1.45f94b76c660bp-5, 0x1.3eaf3ca5ff2cap-5, 0x1.37866fcc1ebf1p-5, 0x1.307e79d62d551p-5, 0x1.2996eff2dd8f7p-5, 0x1.22cf679b702c5p-5, 0x1.1c27769c42415p-5, 0x1.159eb31d11926p-5, 0x1.0f34b3a8f59dep-5, 0x1.08e90f360bf3fp-5, 0x1.02bb5d2ce1011p-5, 0x1.f9566adf12a75p-6, 0x1.ed7060c0fb53p-6, 0x1.e1c3cdd258175p-6, 0x1.d64fe50085cc6p-6, 0x1.cb13da5f8423cp-6, 0x1.c00ee335882eap-6, 0x1.b54036060ed1dp-6, 0x1.aaa70a9c7a69dp-6, 0x1.a0429a162e406p-6, 0x1.96121eec374e2p-6, 0x1.8c14d4fc786f8p-6, 0x1.8249f992681e2p-6, 0x1.78b0cb6f6118dp-6, 0x1.6f488ad2810b9p-6, 0x1.6610798015ec9p-6, 0x1.5d07dac8ae766p-6, 0x1.542df38fb7ee9p-6, 0x1.4b820a51c77aap-6, 0x1.4303672a6bd54p-6, 0x1.3ab153d9b46bap-6, 0x1.328b1bc94fa1ap-6, 0x1.2a900c115288p-6, 0x1.22bf737ca89d3p-6, 0x1.1b18a28d2a2efp-6, 0x1.139aeb7f66093p-6, 0x1.0c45a24e0ef52p-6, 0x1.05181cb524f72p-6, 0x1.fc236469a0e0bp-7, 0x1.ee637827c7c3ap-7, 0x1.e0ef2ac4560b1p-7, 0x1.d3c535f4cc549p-7, 0x1.c6e45707f8c0fp-7, 0x1.ba4b4ee8fa31dp-7, 0x1.adf8e221993d1p-7, 0x1.a1ebd8dc49dd5p-7, 0x1.9622fee58e1b2p-7, 0x1.8a9d23ad0f862p-7, 0x1.7f591a461f478p-7, 0x1.7455b967d7e8ap-7, 0x1.6991db6ce0cfp-7, 0x1.5f0c5e52be501p-7, 0x1.54c423b8b6cf4p-7, 0x1.4ab810de75b6fp-7, 0x1.40e70ea22899p-7, 0x1.3750097e6e034p-7, 0x1.2df1f187d7f47p-7, 0x1.24cbba6a1998cp-7, 0x1.1bdc5b64f1e44p-7, 0x1.1322cf48ba8e7p-7, 0x1.0a9e1472c9bd1p-7, 0x1.024d2cc96f79ap-7, 0x1.f45e3b6f79f13p-8, 0x1.e485e052129d2p-8, 0x1.d50f61088bbefp-8, 0x1.c5f8dd4dfd921p-8, 0x1.b7407bc06d226p-8, 0x1.a8e469d60ed9dp-8, 0x1.9ae2dbd2104d2p-8, 0x1.8d3a0cb91e7abp-8, 0x1.7fe83e4582339p-8, 0x1.72ebb8dad4fp-8, 0x1.6642cb7982b0ap-8, 0x1.59ebcbb1d1b73p-8, 0x1.4de51596cb91p-8, 0x1.422d0bb0caa69p-8, 0x1.36c216efbee4p-8, 0x1.2ba2a69d3d2f5p-8, 0x1.20cd304e51c94p-8, 0x1.16402fd52b8f1p-8, 0x1.0bfa273265d78p-8, 0x1.01f99e866b15ap-8, 0x1.f07a4804ab70ep-9, 0x1.dd8697b1eab4cp-9, 0x1.cb15605f2275fp-9, 0x1.b923e21ccee58p-9, 0x1.a7af68a28ca9p-9, 0x1.96b54b2fb66eap-9, 0x1.8632ec6c15a54p-9, 0x1.7625ba4837716p-9, 0x1.668b2ddda33c3p-9, 0x1.5760cb4f05702p-9, 0x1.48a421a80804ap-9, 0x1.3a52cabd7558ep-9, 0x1.2c6a6b0cc3a02p-9, 0x1.1ee8b19c0e139p-9, 0x1.11cb57d99fce8p-9, 0x1.0510217bc8f98p-9, 0x1.f169b8c0e1ee6p-10, 0x1.d96ec0d9dde13p-10, 0x1.c22b1edb08ba7p-10, 0x1.ab9aa9eaa248fp-10, 0x1.95b94c7c1284dp-10, 0x1.8083040fa2882p-10, 0x1.6bf3e0f28c39fp-10, 0x1.580805feac85ep-10, 0x1.44bba85b4a8c8p-10, 0x1.320b0f3d01064p-10, 0x1.1ff293a6e0a67p-10, 0x1.0e6ea02b7bf9dp-10, 0x1.faf7615baf5dcp-11, 0x1.da2ca4469b01bp-11, 0x1.ba7644aaa718p-11, 0x1.9bcd9f47b53c7p-11, 0x1.7e2c318ffd372p-11, 0x1.618b992d5e3b7p-11, 0x1.45e59388f965dp-11, 0x1.2b33fd524f792p-11, 0x1.1170d207cbdap-11, 0x1.f12c56ffef0d1p-12, 0x1.c13c82e7c1195p-12, 0x1.9306d21428a42p-12, 0x1.668028c4a6d06p-12, 0x1.3b9da4463cf5ep-12, 0x1.12549a0e37ae5p-12, 0x1.d5352db09dbb1p-13, 0x1.88cabb8e73f4ep-13, 0x1.3f55cf0aebc41p-13, 0x1.f18585a8428e9p-14, 0x1.69fcb278f1fbp-14, 0x1.cfd6ea2dba42bp-15, 0x1.acb39a8facb23p-16, -0x1.8c634eff64cc5p-19, -0x1.fb9fb7573f5f7p-16, -0x1.d9086896f278bp-15, -0x1.5559d31ecf35dp-14, -0x1.b989f7306dedap-14, -0x1.0c9a8c0f08e93p-13, -0x1.3a3d7dad8153bp-13, -0x1.65bd5b9fa1181p-13, -0x1.8f295b07f0d9cp-13, -0x1.b6905c7d28c87p-13, -0x1.dc00ed8546e45p-13, -0x1.ff894a09fc32dp-13, -0x1.109baee5c7b73p-12, -0x1.208c62e5acd93p-12, -0x1.2f9d68dac5b3bp-12, -0x1.3dd542a167cfdp-12, -0x1.4b3a4ccc0f567p-12, -0x1.57d2bf50392edp-12, -0x1.63a4ae316114ap-12, -0x1.6eb60a2983533p-12, -0x1.790ca14f68d87p-12, -0x1.82ae1fba97cdbp-12, -0x1.8ba010251ebf3p-12, -0x1.93e7dc8b70d1fp-12, -0x1.9b8acec8e3156p-12, -0x1.a28e113429628p-12, -0x1.a8f6af36bf098p-12, -0x1.aec995e488b2cp-12, -0x1.b40b94902f395p-12, -0x1.b8c15d5cf6826p-12, -0x1.bcef85cfc8c4bp-12, -0x1.c09a875c7748ep-12, -0x1.c3c6bff1e7febp-12, -0x1.c678728468647p-12, -0x1.c8b3c7946e32bp-12, -0x1.ca7ccdb4d5e17p-12, -0x1.cbd77a0e5a0e1p-12, -0x1.ccc7a8e1264bdp-12, -0x1.cd511e03f4593p-12, -0x1.cd7785622085bp-12, -0x1.cd3e7376ac371p-12, -0x1.cca965c5c7078p-12, -0x1.cbbbc3549921dp-12, -0x1.ca78dd1e9b9e1p-12, -0x1.c8e3ee896fceep-12, -0x1.c7001dd6c6431p-12, -0x1.c4d07c9403f74p-12, -0x1.c25808085067ep-12, -0x1.bf99a9a17009ep-12, -0x1.bc98375ca23ffp-12, -0x1.b95674312719bp-12, -0x1.b5d7107577afdp-12, -0x1.b21caa4520a1ep-12, -0x1.ae29cde414f6p-12, -0x1.aa00f61fd452ep-12, -0x1.a5a48caf87844p-12, -0x1.a116ea920bd27p-12, -0x1.9c5a586ad2699p-12, -0x1.97710edcb0d52p-12, -0x1.925d36e2c2891p-12, -0x1.8d20ea288b777p-12, -0x1.87be33603a1cep-12, -0x1.82370e9671b2cp-12, -0x1.7c8d698630c02p-12, -0x1.76c323e99f7c4p-12, -0x1.70da0fcab68f2p-12, -0x1.6ad3f1d13538ap-12, -0x1.64b2819043b2cp-12, -0x1.5e7769d18bb5fp-12, -0x1.582448dfd4b08p-12, -0x1.51bab0cfcb2a8p-12, -0x1.4b3c27c76294ap-12, -0x1.44aa2843fd2f4p-12, -0x1.3e06215f605a1p-12, -0x1.375177130599ep-12, -0x1.308d827a26761p-12, -0x1.29bb9212e967ep-12, -0x1.22dce9fda04b9p-12, -0x1.1bf2c43bd4d3ap-12, -0x1.14fe50ecdfd4dp-12, -0x1.0e00b68a1322fp-12, -0x1.06fb1221cfcdbp-12, -0x1.ffdcef217b46p-13, -0x1.f1b7e37522667p-13, -0x1.e389058255e3dp-13, -0x1.d55248766ead1p-13, -0x1.c7158ed245646p-13, -0x1.b8d4aad26f19cp-13, -0x1.aa915ed525be7p-13, -0x1.9c4d5dbf010ep-13, -0x1.8e0a4b5c358dap-13, -0x1.7fc9bcc06073p-13, -0x1.718d38a5a04ccp-13, -0x1.635637c759c83p-13, -0x1.5526253d55a3p-13, -0x1.46fe5ed3826dp-13, -0x1.38e0356072071p-13, -0x1.2acced1a39b4bp-13, -0x1.1cc5bde8ea15p-13, -0x1.0ecbd3b7b470dp-13, -0x1.00e04ec481035p-13, -0x1.e60887da8d345p-14, -0x1.ca7179f8a0c83p-14, -0x1.aefd71e56d287p-14, -0x1.93ae58a1f42d8p-14, -0x1.788602bbf941fp-14, -0x1.5d8630da1dda4p-14, -0x1.42b09043837dp-14, -0x1.2806bb65c6d12p-14, -0x1.0d8a3a570785cp-14, -0x1.e67906aab51dfp-15, -0x1.b23df68873c9dp-15, -0x1.7e65ec49a4389p-15, -0x1.4af36f1e7f88dp-15, -0x1.17e8e64b18be5p-15, -0x1.ca9134193768ap-16, -0x1.662968f07ed3cp-16, -0x1.029e84aa0ace1p-16, -0x1.3fe8cfc10ddp-17, -0x1.f175ded54cecdp-19, 0x1.15785ee3a912bp-19, 0x1.05435fd27dca7p-17, 0x1.c34c47389925ap-17, 0x1.3fb98b7815463p-16, 0x1.9cd93bb9ca3f3p-16, 0x1.f902b6f4e60c7p-16, 0x1.2a19d6572296p-15, 0x1.5734fc0328ee4p-15, 0x1.83d1cf325f907p-15, 0x1.afef6718e3443p-15, 0x1.db8ceeca701a1p-15, 0x1.0354d24e525a2p-14, 0x1.18a26cc7cbce8p-14, 0x1.2daef85b864a9p-14, 0x1.427a2f54613e2p-14, 0x1.5703d47735873p-14, 0x1.6b4bb2bd9941bp-14, 0x1.7f519d11a1f53p-14, 0x1.93156e0c9ec9p-14, 0x1.a69707b5d3cd2p-14, 0x1.b9d6534435659p-14, 0x1.ccd340e053fcfp-14, 0x1.df8dc7695c067p-14, 0x1.f205e439e07f2p-14, 0x1.021dcd780159fp-13, 0x1.0b177a9a82412p-13, 0x1.13f00143e4e68p-13, 0x1.1ca76c040aa4fp-13, 0x1.253dc82188633p-13, 0x1.2db32580ae2afp-13, 0x1.3607968b20ab1p-13, 0x1.3e3b3018058a6p-13, 0x1.464e0954d1dc2p-13, 0x1.4e403baee7be9p-13, 0x1.5611e2bd9e42bp-13, 0x1.5dc31c2cab816p-13, 0x1.655407a7ac383p-13, 0x1.6cc4c6c55c223p-13, 0x1.74157cf461d6fp-13, 0x1.7b464f67a1f76p-13, 0x1.82576503d04e1p-13, 0x1.8948e64d1f908p-13, 0x1.901afd55950ddp-13, 0x1.96cdd5abb83d8p-13, 0x1.9d619c49ff74ep-13, 0x1.a3d67f863bb5cp-13, 0x1.aa2caf0206185p-13, 0x1.b0645b9b28b44p-13, 0x1.b67db75c96c04p-13, 0x1.bc78f56fef685p-13, 0x1.c2564a0f39621p-13, 0x1.c815ea773d087p-13, 0x1.cdb80cda0c66dp-13, 0x1.d33ce85215fa8p-13, 0x1.d8a4b4d57032ap-13, 0x1.ddefab2995877p-13, 0x1.e31e04d793dc1p-13, 0x1.e82ffc2058b33p-13, 0x1.ed25cbf19db7cp-13, 0x1.f1ffafdacc439p-13, 0x1.f6bde4029a72ap-13, 0x1.fb60a51cb3053p-13, 0x1.ffe8305fd4271p-13, 0x1.022a61be0584cp-12, 0x1.04534e48c040bp-12, 0x1.066efd139cf7ep-12, 0x1.087d8d9138be1p-12, 0x1.0a7f1f5ef473ep-12, 0x1.0c73d240e38b8p-12, 0x1.0e5bc61dcb76dp-12, 0x1.10371afb39273p-12, 0x1.1205f0f9d1ffbp-12, 0x1.13c868519c38cp-12, 0x1.157ea14e93d3ap-12, 0x1.1728bc4d2e707p-12, 0x1.18c6d9b726c02p-12, 0x1.1a591a0040c14p-12, 0x1.1bdf9da339392p-12, 0x1.1d5a851ece658p-12, 0x1.1ec9f0f2df323p-12, 0x1.202e019dac365p-12, 0x1.2186d799213fap-12, 0x1.22d4935850687p-12, 0x1.24175544ecb99p-12, 0x1.254f3dbcd24fdp-12, 0x1.267c6d0fd61c4p-12, 0x1.279f037d67b53p-12, 0x1.28b721328183bp-12, 0x1.29c4e64794e38p-12, 0x1.2ac872be796a3p-12, 0x1.2bc1e6809ac79p-12, 0x1.2cb1615d183d3p-12, 0x1.2d970306eca41p-12, 0x1.2e72eb1351e5p-12, 0x1.2f4538f81afcp-12, 0x1.300e0c0a1209p-12, 0x1.30cd837b8eac6p-12, 0x1.3183be5aecdcfp-12, 0x1.3230db9138e21p-12, 0x1.32d4f9e0d740ep-12, 0x1.337037e441605p-12, 0x1.3402b40cd6e4cp-12, 0x1.348c8ca1b1bf7p-12, 0x1.350ddfbe833fep-12, 0x1.3586cb52935f4p-12, 0x1.35f76d1fc2bf9p-12, 0x1.365fe2b9800ecp-12, 0x1.36c04983f7829p-12, 0x1.3718beb335448p-12, 0x1.37695f4a4276ep-12, 0x1.37b2481a6d757p-12, 0x1.37f395c2970a6p-12, 0x1.382d64ae69923p-12, 0x1.385fd115c69dbp-12, 0x1.388af6fc2b91fp-12, 0x1.38aef2300852ep-12, 0x1.38cbde4a54f9fp-12, 0x1.38e1d6adf58fep-12, 0x1.38f0f68751911p-12, 0x1.38f958cbd4ecdp-12, 0x1.38fb18399bce2p-12, 0x1.38f64f570f13ep-12, 0x1.38eb18727b61bp-12, 0x1.38d98da1d620fp-12, 0x1.38c1c8c266952p-12, 0x1.38a3e3788e771p-12, 0x1.387ff72f7b97ep-12, 0x1.38561d1907745p-12, 0x1.38266e2d87ea9p-12, 0x1.37f1032b967cp-12, 0x1.37b5f497fc7bep-12, 0x1.37755abd8e94ep-12, 0x1.372f4dad15d15p-12, 0x1.36e3e53d45b26p-12, 0x1.3693390aa779p-12, 0x1.363d60779c662p-12, 0x1.35e272ac58c6bp-12, 0x1.35828696d17c7p-12, 0x1.351db2eae39fcp-12, 0x1.34b40e2249b09p-12, 0x1.3445ae7cb1a7dp-12, 0x1.33d2a9ffcfe18p-12, 0x1.335b167770ad5p-12, 0x1.32df09759ff03p-12, 0x1.325e9852bfa8ep-12, 0x1.31d9d82da369p-12, 0x1.3150ddebc8a04p-12, 0x1.30c3be396cadfp-12, 0x1.30328d89bfc4fp-12, 0x1.2f9d601716e92p-12, 0x1.2f0449e31ed36p-12, 0x1.2e675eb702395p-12, 0x1.2dc6b223b0f5cp-12, 0x1.2d22578216f9ep-12, 0x1.2c7a61f34ebe8p-12, 0x1.2bcee460e9526p-12, 0x1.2b1ff17d308e4p-12, 0x1.2a6d9bc35e7a1p-12, 0x1.29b7f577efb71p-12, 0x1.28ff10a8e3736p-12, 0x1.2842ff2e00c53p-12, 0x1.2783d2a92747cp-12, 0x1.26c19c869d789p-12, 0x1.25fc6dfd576bfp-12, 0x1.2534580f4c5e8p-12, 0x1.24696b89c3452p-12, 0x1.239bb905a777cp-12, 0x1.22cb50e7d8db2p-12, 0x1.21f8436185806p-12, 0x1.2122a070842a5p-12, 0x1.204a77dfa1c41p-12, 0x1.1f6fd946fa195p-12, 0x1.1e92d40c5bd15p-12, 0x1.1db37763948b5p-12, 0x1.1cd1d24ed8004p-12, 0x1.1bedf39f143a9p-12, 0x1.1b07e9f453c3ep-12, 0x1.1a1fc3be10f6p-12, 0x1.19358f3ba2f78p-12, 0x1.18495a7c90267p-12, 0x1.175b3360f19fdp-12, 0x1.166b2799d39fep-12, 0x1.157944a995e3p-12, 0x1.148597e44c06p-12, 0x1.13902e7018f26p-12, 0x1.129915459673dp-12, 0x1.11a05930318aap-12, 0x1.10a606ce959bbp-12, 0x1.0faa2a93035b9p-12, 0x1.0eacd0c3b77d5p-12, 0x1.0dae057b4b863p-12, 0x1.0cadd4a91c7c2p-12, 0x1.0bac4a11a9795p-12, 0x1.0aa9714ef5d9fp-12, 0x1.09a555d0ecc36p-12, 0x1.08a002ddc438ep-12, 0x1.07998392602f8p-12, 0x1.0691e2e2afc7fp-12, 0x1.05892b9a163d5p-12, 0x1.047f685bc9053p-12, 0x1.0374a3a3360b4p-12, 0x1.0268e7c45ea9fp-12, 0x1.015c3eec3eccap-12, 0x1.004eb3212bf6p-12, 0x1.fe809c86688ddp-13, 0x1.fc62341910a7fp-13, 0x1.fa424023a8a2dp-13, 0x1.f820d38540e72p-13, 0x1.f5fe00d3629ecp-13, 0x1.f3d9da5ad15c8p-13, 0x1.f1b472204f778p-13, 0x1.ef8dd9e152301p-13, 0x1.ed662314c60aep-13, 0x1.eb3d5eebc4c35p-13, 0x1.e9139e52518b7p-13, 0x1.e6e8f1f0201afp-13, 0x1.e4bd6a293e054p-13, 0x1.e291171ed547bp-13, 0x1.e06408afdbed6p-13, 0x1.de364e79d784p-13, 0x1.dc07f7d987582p-13, 0x1.d9d913eba282ep-13, 0x1.d7a9b18d83f32p-13, 0x1.d579df5de1464p-13, 0x1.d349abbd80ba5p-13, 0x1.d11924cfe450dp-13, 0x1.cee8587bf40b5p-13, 0x1.ccb7546cbb122p-13, 0x1.ca8626120d6fap-13, 0x1.c854daa1307fdp-13, 0x1.c6237f158f14fp-13, 0x1.c3f220315ab24p-13, 0x1.c1c0ca7e3962bp-13, 0x1.bf8f8a4df38fap-13, 0x1.bd5e6bbb11a13p-13, 0x1.bb2d7aa97c523p-13, 0x1.b8fcc2c72f07ep-13, 0x1.b6cc4f8cd48bap-13, 0x1.b49c2c3e675efp-13, 0x1.b26c63ebd5a99p-13, 0x1.b03d01719eda2p-13, 0x1.ae0e0f79722ccp-13, 0x1.abdf987aceff1p-13, 0x1.a9b1a6bb97a17p-13, 0x1.a7844450b7129p-13, 0x1.a5577b1eb11cdp-13, 0x1.a32b54da42aa9p-13, 0x1.a0ffdb08f3b07p-13, 0x1.9ed51701aae54p-13, 0x1.9cab11ed47c84p-13, 0x1.9a81d4c733a4cp-13, 0x1.9859685df4638p-13, 0x1.9631d553b9f4bp-13, 0x1.940b241eec9fdp-13, 0x1.91e55d0ac1a28p-13, 0x1.8fc08837c4ffap-13, 0x1.8d9cad9c634eep-13, 0x1.8b79d5057472ap-13, 0x1.89580616c901dp-13, 0x1.8737484babfbcp-13, 0x1.8517a2f76c98p-13, 0x1.82f91d45e6485p-13, 0x1.80dbbe3bffb8ep-13, 0x1.7ebf8cb82f38ap-13, 0x1.7ca48f72ff20dp-13, 0x1.7a8accff876dfp-13, 0x1.78724bcbf5c2p-13, 0x1.765b122208caap-13, 0x1.744526278d744p-13, 0x1.72308ddece9a7p-13, 0x1.701d4f27218b4p-13, 0x1.6e0b6fbd55b77p-13, 0x1.6bfaf53c2ab15p-13, 0x1.69ebe51ccc792p-13, 0x1.67de44b7497bbp-13, 0x1.65d21942fcdb4p-13, 0x1.63c767d70e56ap-13, 0x1.61be356ade5f3p-13, 0x1.5fb686d676bp-13, 0x1.5db060d2f9fe3p-13, 0x1.5babc7fb1743ap-13, 0x1.59a8c0cb71547p-13, 0x1.57a74fa30e8f3p-13, 0x1.55a778c3bdbe6p-13, 0x1.53a940528c171p-13, 0x1.51acaa5822e59p-13, 0x1.4fb1bac1373dfp-13, 0x1.4db8755ef0aa9p-13, 0x1.4bc0dde745f27p-13, 0x1.49caf7f56cc95p-13, 0x1.47d6c70a32fbfp-13, 0x1.45e44e8c699f7p-13, 0x1.43f391c943a49p-13, 0x1.420493f4b551ap-13, 0x1.40175829d1ef9p-13, 0x1.3e2be16b2fc46p-13, 0x1.3c4232a33e8b9p-13, 0x1.3a5a4ea4a522bp-13, 0x1.3874382aa3b71p-13, 0x1.368ff1d963095p-13, 0x1.34ad7e3e53e75p-13, 0x1.32ccdfd0868aap-13, 0x1.30ee18f101f77p-13, 0x1.2f112beb198dep-13, 0x1.2d361af4c54f7p-13, 0x1.2b5ce82eebbadp-13, 0x1.298595a5be921p-13, 0x1.27b025510beb5p-13, 0x1.25dc99148e5a8p-13, 0x1.240af2c039815p-13, 0x1.223b3410916dcp-13, 0x1.206d5eaeeff53p-13, 0x1.1ea17431d95f1p-13, 0x1.1cd7761d4727bp-13, 0x1.1b0f65e2ef284p-13, 0x1.194944e294a77p-13, 0x1.1785146a531bdp-13, 0x1.15c2d5b6dc526p-13, 0x1.140289f3cfccfp-13, 0x1.1244323bf71bap-13, 0x1.1087cf998ed1cp-13, 0x1.0ecd63068a143p-13, 0x1.0d14ed6ce0f5cp-13, 0x1.0b5e6fa6cbe9fp-13, 0x1.09a9ea7f08395p-13, 0x1.07f75eb11b8f6p-13, 0x1.0646cce993eep-13, 0x1.049835c648878p-13, 0x1.02eb99d69d4c8p-13, 0x1.0140f99bbc915p-13, 0x1.ff30ab11afcfap-14, 0x1.fbe35c06d1f3ep-14, 0x1.f89a06c6d2c31p-14, 0x1.f554abe727051p-14, 0x1.f2134be3312c3p-14, 0x1.eed5e71cbbd48p-14, 0x1.eb9c7ddc6edbcp-14, 0x1.e86710523f12p-14, 0x1.e5359e95d8827p-14, 0x1.e20828a723c1ep-14, 0x1.dedeae6ea0013p-14, 0x1.dbb92fbdd48aep-14, 0x1.d897ac4fc073bp-14, 0x1.d57a23c938472p-14, 0x1.d26095b957857p-14, 0x1.cf4b0199f053bp-14, 0x1.cc3966cfde59bp-14, 0x1.c92bc4ab783f9p-14, 0x1.c6221a68f48f7p-14, 0x1.c31c6730b8f87p-14, 0x1.c01aaa17d4ce7p-14, 0x1.bd1ce2204ae6p-14, 0x1.ba230e397daa4p-14, 0x1.b72d2d4083c81p-14, 0x1.b43b3e0082405p-14, 0x1.b14d3f3311497p-14, 0x1.ae632f8089c58p-14, 0x1.ab7d0d8062ef5p-14, 0x1.a89ad7b98537cp-14, 0x1.a5bc8ca2a9cp-14, 0x1.a2e22aa2a630bp-14, 0x1.a00bb010b862fp-14, 0x1.9d391b34ea5b2p-14, 0x1.9a6a6a4853232p-14, 0x1.979f9b7572d7fp-14, 0x1.94d8acd87d6c4p-14, 0x1.92159c7fa1743p-14, 0x1.8f56686b5d5aep-14, 0x1.8c9b0e8ec8e1cp-14, 0x1.89e38ccfe1264p-14, 0x1.872fe107c7242p-14, 0x1.8480090315753p-14, 0x1.81d402822692bp-14, 0x1.7f2bcb3956c46p-14, 0x1.7c8760d144cc4p-14, 0x1.79e6c0e723537p-14, 0x1.7749e90cf48adp-14, 0x1.74b0d6c9cc1ap-14, 0x1.721b879a144bep-14, 0x1.6f89f8efc38f9p-14, 0x1.6cfc2832afb26p-14, 0x1.6a7212c0c2d61p-14, 0x1.67ebb5ee32064p-14, 0x1.65690f05ca80dp-14, 0x1.62ea1b4920e8p-14, 0x1.606ed7f0cc2b3p-14, 0x1.5df7422caf063p-14, 0x1.5b83572421703p-14, 0x1.591313f62c6adp-14, 0x1.56a675b9c3d53p-14, 0x1.543d797e034fep-14, 0x1.51d81c4a5eb2p-14, 0x1.4f765b1edb247p-14, 0x1.4d1832f443ea2p-14, 0x1.4abda0bc50eccp-14, 0x1.4866a161ea1cep-14, 0x1.461331c9541ebp-14, 0x1.43c34ed0642b9p-14, 0x1.4176f54eb0b5ep-14, 0x1.3f2e2215b966dp-14, 0x1.3ce8d1f11fafp-14, 0x1.3aa701a6d6838p-14, 0x1.3868adf747a82p-14, 0x1.362dd39d8b879p-14, 0x1.33f66f4f8ab51p-14, 0x1.31c27dbe3001p-14, 0x1.2f91fb959386ep-14, 0x1.2d64e57d21684p-14, 0x1.2b3b3817c8753p-14, 0x1.2914f004250bfp-14, 0x1.26f209dca3816p-14, 0x1.24d28237ab00cp-14, 0x1.22b655a7c4189p-14, 0x1.209d80bbbaf52p-14, 0x1.1e87fffecc3b4p-14, 0x1.1c75cff8cd62cp-14, 0x1.1a66ed2e45ee9p-14, 0x1.185b54209bbdap-14, 0x1.1653014e348c9p-14, 0x1.144df1329d0d3p-14, 0x1.124c2046a1f08p-14, 0x1.104d8b00775a6p-14, 0x1.0e522dd3e0273p-14, 0x1.0c5a0532466b8p-14, 0x1.0a650d8ada704p-14, 0x1.0873434ab601bp-14, 0x1.0684a2dcfa56cp-14, 0x1.049928aaf7e0dp-14, 0x1.02b0d11c404f7p-14, 0x1.00cb9896c759bp-14, 0x1.fdd2f6fe07c75p-15, 0x1.fa14ec700bf0fp-15, 0x1.f65d0a472cfe5p-15, 0x1.f2ab4944a761ep-15, 0x1.eeffa2279b1fbp-15, 0x1.eb5a0dad3d853p-15, 0x1.e7ba849107a3ep-15, 0x1.e420ff8cf3347p-15, 0x1.e08d7759aa821p-15, 0x1.dcffe4aeb8b1ap-15, 0x1.d9784042b8f44p-15, 0x1.d5f682cb902cfp-15, 0x1.d27aa4fe920c7p-15, 0x1.cf049f90aa803p-15, 0x1.cb946b3696431p-15, 0x1.c82a00a513248p-15, 0x1.c4c55890f2c4fp-15, 0x1.c1666baf7169ep-15, 0x1.be0d32b63b097p-15, 0x1.bab9a65b9ad8fp-15, 0x1.b76bbf56b2c8ep-15, 0x1.b423765f906adp-15, 0x1.b0e0c42f5b6b4p-15, 0x1.ada3a180823e9p-15, 0x1.aa6c070ee3902p-15, 0x1.a739ed97df8d6p-15, 0x1.a40d4dda89fa3p-15, 0x1.a0e62097d84f1p-15, 0x1.9dc45e929cadbp-15, 0x1.9aa8008fd2427p-15, 0x1.9790ff56b9029p-15, 0x1.947f53b0e07bp-15, 0x1.9172f66a56a6dp-15, 0x1.8e6be051bde99p-15, 0x1.8b6a0a386f495p-15, 0x1.886d6cf2a8309p-15, 0x1.857601579a485p-15, 0x1.8283c04186216p-15, 0x1.7f96a28dda30ap-15, 0x1.7caea11d55656p-15, 0x1.79cbb4d415366p-15, 0x1.76edd699b0a77p-15, 0x1.7414ff59643ep-15, 0x1.7141280214e2fp-15, 0x1.6e72498683c44p-15, 0x1.6ba85cdd4b73p-15, 0x1.68e35b00ff983p-15, 0x1.66233cf04bf0bp-15, 0x1.6367fbae0fafp-15, 0x1.60b19041513b6p-15, 0x1.5dfff3b57fc65p-15, 0x1.5b531f1a820ep-15, 0x1.58ab0b849fabfp-15, 0x1.5607b20cc35f9p-15, 0x1.53690bd082434p-15, 0x1.50cf11f219466p-15, 0x1.4e39bd98b1fe3p-15, 0x1.4ba907f04294ep-15, 0x1.491cea29b3fa7p-15, 0x1.46955d7afe5b1p-15, 0x1.44125b1f1fc13p-15, 0x1.4193dc563c25fp-15, 0x1.3f19da65ab7edp-15, 0x1.3ca44e9816ec2p-15, 0x1.3a33323d69976p-15, 0x1.37c67eab026b9p-15, 0x1.355e2d3ba4f35p-15, 0x1.32fa374f98b11p-15, 0x1.309a964cb955fp-15, 0x1.2e3f439e634cbp-15, 0x1.2be838b5bb6c9p-15, 0x1.29956f0988c85p-15, 0x1.2746e0164cd2p-15, 0x1.24fc855e692f7p-15, 0x1.22b65869fe94cp-15, 0x1.207452c70e46p-15, 0x1.1e366e09aabaep-15, 0x1.1bfca3cbab995p-15, 0x1.19c6edad185abp-15, 0x1.17954553f0738p-15, 0x1.1567a46c3ad1bp-15, 0x1.133e04a831d0ep-15, 0x1.11185fc029a5bp-15, 0x1.0ef6af72a76d3p-15, 0x1.0cd8ed84640e4p-15, 0x1.0abf13c0673f5p-15, 0x1.08a91bf7e660fp-15, 0x1.069700027f37ap-15, 0x1.0488b9be1722fp-15, 0x1.027e430ee8ce2p-15, 0x1.007795dfa32c3p-15, 0x1.fce95842851dap-16, 0x1.f8eaff96b2228p-16, 0x1.f4f415b782fc9p-16, 0x1.f1048eadf20cfp-16, 0x1.ed1c5e8fbaa2cp-16, 0x1.e93b797f86608p-16, 0x1.e561d3ad7a77cp-16, 0x1.e18f615664882p-16, 0x1.ddc416c473cf8p-16, 0x1.d9ffe84f146a1p-16, 0x1.d642ca5a7b4f3p-16, 0x1.d28cb1589a97dp-16, 0x1.cedd91c83977ep-16, 0x1.cb356035920cdp-16, 0x1.c794113a19e18p-16, 0x1.c3f9997ca5f59p-16, 0x1.c065edb13c9f9p-16, 0x1.bcd9029974aabp-16, 0x1.b952cd0404354p-16, 0x1.b5d341cd2b561p-16, 0x1.b25a55de8b09ap-16, 0x1.aee7fe2efc1f7p-16, 0x1.ab7c2fc2feeadp-16, 0x1.a816dfac417b5p-16, 0x1.a4b8030a2c208p-16, 0x1.a15f8f09439bp-16, 0x1.9e0d78e3b205ep-16, 0x1.9ac1b5e0e1f4ap-16, 0x1.977c3b55c7f35p-16, 0x1.943cfea4eb2bfp-16, 0x1.9103f53de46aep-16, 0x1.8dd1149e411ap-16, 0x1.8aa452508936ap-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      38, 0x1.9333333333333p+2, -0x1.e15a757d90078p-3, 0x1p+0, 0x1p+0, 
      {{
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.4892a2e1c0706p-6, -0x1.43679844c6c9p-6, -0x1.300bf5f8dce71p-9, 0x1.9442da1cc545p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.3851f784b3349p-6, -0x1.46727fbbfe4bep-6, -0x1.6d896913a9d8cp-10, 0x1.9195b6c9067fap-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.27f4087b1e9bbp-6, -0x1.47fa98d92de8p-6, -0x1.f257ed9f649b5p-12, 0x1.8ed413b4d75b2p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.178c1c47a45bap-6, -0x1.48027f2ec4f07p-6, 0x1.cad841ac39d56p-12, 0x1.8dd848beb9ce2p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.072d5b597c7abp-6, -0x1.468bfe4dbe19cp-6, 0x1.616b08dd7df03p-10, 0x1.804bdeb9a5fd7p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.edd58959747dfp-7, -0x1.439e0fe921529p-6, 0x1.23ff7a733d92bp-9, 0x1.6624eb12d9e97p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.cdad615a84ecdp-7, -0x1.3f4bc26b55959p-6, 0x1.8f70f42c188b9p-9, 0x1.4de18f42e84c3p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ae04a8338377fp-7, -0x1.39ad48dbc714ep-6, 0x1.f39b058cf7d52p-9, 0x1.351c9f61db18p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.8efb6947e2d17p-7, -0x1.32da2c548d555p-6, 0x1.282b677b8ffadp-8, 0x1.1c7a67ee806c3p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.70af51e12f252p-7, -0x1.2aea2377e5553p-6, 0x1.52d75d78f00aep-8, 0x1.03cee2d571343p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.533bb12f0e19bp-7, -0x1.21f4d8b4cacc9p-6, 0x1.79cfff7f5aa02p-8, 0x1.d64bb7caf40ccp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.36b978473ed27p-7, -0x1.1811f9bf191aep-6, 0x1.9d15ad482cedcp-8, 0x1.a4f853edc3368p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.1b3f3a2599eb1p-7, -0x1.0d59336a6e475p-6, 0x1.bca84d2d352b4p-8, 0x1.73a54bb3596d3p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.00e12bac117aep-7, -0x1.01e232c67e10dp-6, 0x1.d887e60ddbe03p-8, 0x1.42522aeb28964p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.cf6247456227dp-8, -0x1.eb8949a5c561fp-7, 0x1.f0b47612b21e9p-8, 0x1.10ff10b73c7a3p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.9f7d356f3b851p-8, -0x1.d2306d270d7b3p-7, 0x1.0296fedd04edap-7, 0x1.bf57e9800f0bap-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.722d56fe2c1e1p-8, -0x1.b7e92a1659c63p-7, 0x1.0afa3e710535dp-7, 0x1.5cb1b28377e96p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.478824e6e3f66p-8, -0x1.9ce2da79ce2eap-7, 0x1.1183f9c9e2a89p-7, 0x1.f416f68c291f6p-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.1f9e5bea4607ep-8, -0x1.814cd8576423p-7, 0x1.163430e6663e7p-7, 0x1.2eca88341fc7ep-11}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.f4f7f92ad083cp-9, -0x1.65567db520754p-7, 0x1.190ae3c6e3578p-7, 0x1.a5f8674afd74p-13}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b050968327111p-9, -0x1.492f249904e97p-7, 0x1.1a08126b43893p-7, -0x1.6f395230c5916p-13}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.714ba028876e5p-9, -0x1.2d062709141a4p-7, 0x1.192bbcd38cac4p-7, -0x1.211ac2eabea67p-11}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.37e4adfe4f3a6p-9, -0x1.110adf0b5048fp-7, 0x1.1675e2ffbfaf8p-7, -0x1.e667314e6a1dep-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.040ddf8041ff5p-9, -0x1.ead94d4b7892cp-8, 0x1.11e684efd04a7p-7, -0x1.55d9cfceba774p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.ab5fb78512641p-10, -0x1.b4b5afbcb2254p-8, 0x1.0b7da2a3effeap-7, -0x1.b880071cdb4dep-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.5953a2e36864dp-10, -0x1.800999765ccb6p-8, 0x1.033b3c1b657b7p-7, -0x1.0d931eed8aa1cp-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.11a2eda570994p-10, -0x1.4d33be84557fap-8, 0x1.f23ea2b1c6f7ap-8, -0x1.3ee63b5900825p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.a7cc270bc2dap-11, -0x1.1c92d2f335c3cp-8, 0x1.da53c4a4b3bacp-8, -0x1.703953db55242p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.3f453ee07a3e4p-11, -0x1.dd0b1599af437p-9, 0x1.beb5de5aa6f1bp-8, -0x1.a18c7af5453abp-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.d12cae03472afp-12, -0x1.86d5344aac799p-9, 0x1.9f64eebb74f3ep-8, -0x1.d2df6b9a968b6p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.44fd8412e56b1p-12, -0x1.374169d50fcf1p-9, 0x1.7c60f9dca9a8ep-8, -0x1.021993bd26f2bp-8}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.ae5fc3cecca2p-13, -0x1.de1a3e64553e7p-10, 0x1.55a9f0804a37dp-8, -0x1.1ac1f67299b0ep-8}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.0955cc77208p-13, -0x1.5deb726288f84p-10, 0x1.2b400b88b32a4p-8, -0x1.336fe07477572p-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2827b23563ep-14, -0x1.dee2b0b09e401p-11, 0x1.fa44ed54dc212p-9, -0x1.4c09287f376p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.1ce468ef2cp-15, -0x1.284cc9f2779a8p-11, 0x1.96a89461e51e4p-9, -0x1.64ef7119c3d01p-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.acd39e3148c02p-17, -0x1.361af78f785bp-12, 0x1.2b93f273c3f7dp-9, -0x1.7cb6596c40f7ap-8}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.9016e7e58f001p-19, -0x1.d08390ad79096p-14, 0x1.72ba7c0cfa8f1p-10, -0x1.98adc24fd6e64p-8}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.ac721ad74bd81p-23, -0x1.0e0e896284de3p-16, 0x1.f615b7744ce47p-12, -0x1.8d0bbb8022e0cp-8}, 
      }}, 
      0x1.7c9df7b062bc1p-6, 0x1.0afa39e46d14p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.55da506a35115p-5, 0x1.5438d928b28fp-4, 0x1.fa57e106daeadp-4, 0x1.4df200845e975p-3, 0x1.9bd1e2cb5b097p-3, 0x1.e646d6a52c2fap-3, 0x1.16720a6c39f6cp-2, 0x1.37a9e44fcfd1p-2, 0x1.56aab04723c14p-2, 0x1.735dc4aec7fa9p-2, 0x1.8db503b12077cp-2, 0x1.a5a9c88887961p-2, 0x1.bb3bdfebd5397p-2, 0x1.ce70920ca81c2p-2, 0x1.df51c34b5cb2ap-2, 0x1.eded2bd48d945p-2, 0x1.fa53a6ae9f7b5p-2, 0x1.024c4b4634474p-1, 0x1.0668afa9dbff1p-1, 0x1.098a78cfcec5dp-1, 0x1.0bbdb2c4f3e25p-1, 0x1.0d0ed1d51bf8bp-1, 0x1.0d8a8cc6fdcf6p-1, 0x1.0d3dbc4760c02p-1, 0x1.0c353ec1406dap-1, 0x1.0a7de02865bd7p-1, 0x1.082444ff5ce62p-1, 0x1.0534d86265754p-1, 0x1.01bbbca968243p-1, 0x1.fb897cdf63035p-2, 0x1.f2b693d926b21p-2, 0x1.e914c4bdad0b3p-2, 0x1.deb936bbb7efcp-2, 0x1.d3b827bb870bbp-2, 0x1.c824e57761b1p-2, 0x1.bc11c9130cecep-2, 0x1.af90351838d5ep-2, 0x1.a2b0956036f6p-2, 0x1.958260e539ca1p-2, 0x1.88141ced23006p-2, 0x1.7a7361819e048p-2, 0x1.6cacdf091c935p-2, 0x1.5ecc653267211p-2, 0x1.50dcea3f3ac29p-2, 0x1.42e89236c91c1p-2, 0x1.34f8b7dfb3f5cp-2, 0x1.2715f690e339ap-2, 0x1.194830a67cc14p-2, 0x1.0b9699cd7121ap-2, 0x1.fc0f8441b9c62p-3, 0x1.e1433407a1b47p-3, 0x1.c6d30038b23a2p-3, 0x1.acc88e8505217p-3, 0x1.932c7b8e6c2ebp-3, 0x1.7a06720b33a8bp-3, 0x1.615d30d0c6a48p-3, 0x1.4936a12ea283ep-3, 0x1.3197ded3c9d29p-3, 0x1.1a8547a431212p-3, 0x1.0402864df4e0ep-3, 0x1.dc253b9e35e17p-4, 0x1.b16fe80dc43cap-4, 0x1.87e8b701a65f8p-4, 0x1.5f9239e08bd5ap-4, 0x1.386e003c07926p-4, 0x1.127ca93f8a2dap-4, 0x1.db7be8ccaf414p-5, 0x1.9461a3f17143ep-5, 0x1.4fa6e6256d8c2p-5, 0x1.0d46b24d8e297p-5, 0x1.9a7596321cd9ap-6, 0x1.1ef79fa0cc7ccp-6, 0x1.500564d7d6086p-7, 0x1.ac214ea786b63p-9, -0x1.c4c20fb9b7ea6p-9, -0x1.44d0941ac08e5p-7, -0x1.0802ea63a8d86p-6, -0x1.698035cd98e75p-6, -0x1.c6f92de3835adp-6, -0x1.1043ce0a89ecep-5, -0x1.3b22f6d6903cap-5, -0x1.64278906b6916p-5, -0x1.8b5f2df1c84fdp-5, -0x1.b0d7b1478f44ap-5, -0x1.d49ef39e0e79p-5, -0x1.f6c2dd8c2c36p-5, -0x1.0ba8a9f089489p-4, -0x1.1b2c166d582fap-4, -0x1.29f293203fc37p-4, -0x1.3802ee30e6b53p-4, -0x1.4563e0f6b366bp-4, -0x1.521c0c3cd5c85p-4, -0x1.5e31f4de026dep-4, -0x1.69ac00c55bd88p-4, -0x1.7490743afe101p-4, -0x1.7ee56f8c1c2d7p-4, -0x1.88b0ed0c4c813p-4, -0x1.91f8bf5e5daa2p-4, -0x1.9ac2902066f73p-4, -0x1.a313dec75664bp-4, -0x1.aaf1ffcc51707p-4, -0x1.b2621c1670f8cp-4, -0x1.b969307aef6b2p-4, -0x1.c00c0d907187cp-4, -0x1.c64f577e548f2p-4, -0x1.cc37861629706p-4, -0x1.d1c8e500fc477p-4, -0x1.d70793fcd39c3p-4, -0x1.dbf787674bd2fp-4, -0x1.e09c88ba11a8cp-4, -0x1.e4fa3738c73a4p-4, -0x1.e91408dc8d3b8p-4, -0x1.eced4af609d33p-4, -0x1.f0892359e9794p-4, -0x1.f3ea91349dc49p-4, -0x1.f7146e39eb61ap-4, -0x1.fa096f8b8eb9bp-4, -0x1.fccc2705441d8p-4, -0x1.ff5f041d3d208p-4, -0x1.00e22a90cc7d3p-3, -0x1.01ff2432fe8eap-3, -0x1.03077696d76p-3, -0x1.03fc1a7c1cae9p-3, -0x1.04ddfa47dc245p-3, -0x1.05adf297dc426p-3, -0x1.066cd2c9f9774p-3, -0x1.071b5d9802f55p-3, -0x1.07ba4995abe5fp-3, -0x1.084a41cbd0137p-3, -0x1.08cbe63992bfcp-3, -0x1.093fcc5edd0dfp-3, -0x1.09a67fbd4ab56p-3, -0x1.0a0082613d23fp-3, -0x1.0a4e4d6328f32p-3, -0x1.0a90514df0969p-3, -0x1.0ac6f6a5899bcp-3, -0x1.0af29e69969d4p-3, -0x1.0b13a2675ad29p-3, -0x1.0b2a55af6fb7bp-3, -0x1.0b3705276e543p-3, -0x1.0b39f781a75f8p-3, -0x1.0b336e5521bc6p-3, -0x1.0b23a58f50176p-3, -0x1.0b0ad4c0f95e4p-3, -0x1.0ae92ed62b57cp-3, -0x1.0abee29c3eeb8p-3, -0x1.0a8c1aeae9392p-3, -0x1.0a50ff709ba2dp-3, -0x1.0a0db47269cfap-3, -0x1.09c25b2a04be2p-3, -0x1.096f123b14108p-3, -0x1.0913f5fc8ff2dp-3, -0x1.08b1209be6a0cp-3, -0x1.0846aa06454d3p-3, -0x1.07d4a887e2d1bp-3, -0x1.075b31305a6eap-3, -0x1.06da5765b21a9p-3, -0x1.06522d8e7a9afp-3, -0x1.05c2c4cbb3f76p-3, -0x1.052c2d92fdf1cp-3, -0x1.048e77df38413p-3, -0x1.03e9b2bec7804p-3, -0x1.033ded0a7905cp-3, -0x1.028b34f8822a5p-3, -0x1.01d198d4b8896p-3, -0x1.011126ae2974cp-3, -0x1.0049ecaeecc46p-3, -0x1.fef7f168f0c6bp-4, -0x1.fd4eb21cb1916p-4, -0x1.fb983801bfb68p-4, -0x1.f9d4a091cea52p-4, -0x1.f804099813e3ap-4, -0x1.f626915fb7dcap-4, -0x1.f43c577068969p-4, -0x1.f2457bc7a5e58p-4, -0x1.f0421fd202094p-4, -0x1.ee3265564b8e3p-4, -0x1.ec166f694cc97p-4, -0x1.e9ee6224d0f1cp-4, -0x1.e7ba62c7440c3p-4, -0x1.e57a97b62c3dap-4, -0x1.e32f289e680bfp-4, -0x1.e0d83dd1cc07bp-4, -0x1.de76013ccd1adp-4, -0x1.dc089d9d51a62p-4, -0x1.d9903f2cb492ep-4, -0x1.d70d133661f26p-4, -0x1.d47f48029cc3fp-4, -0x1.d1e70cedd706p-4, -0x1.cf44926ad695fp-4, -0x1.cc980a38f9bd3p-4, -0x1.c9e1a7098a4d2p-4, -0x1.c7219c888b2e8p-4, -0x1.c4581f488284bp-4, -0x1.c18564b50faedp-4, -0x1.bea9a35bcbcb9p-4, -0x1.bbc512a5c2dc8p-4, -0x1.b8d7eacf5460ep-4, -0x1.b5e264d220b95p-4, -0x1.b2e4ba5730547p-4, -0x1.afdf25b219acdp-4, -0x1.acd1e2169b309p-4, -0x1.a9bd2b325a154p-4, -0x1.a6a13d6cc9512p-4, -0x1.a37e55898f4a1p-4, -0x1.a054b0bdbc8acp-4, -0x1.9d248cc41a405p-4, -0x1.99ee27b3cbbb8p-4, -0x1.96b1c00605c2p-4, -0x1.936f948ede6ap-4, -0x1.9027e456d14d2p-4, -0x1.8cdaee807685ep-4, -0x1.8988f25d12178p-4, -0x1.86322f6b611f3p-4, -0x1.82d6e53c94c19p-4, -0x1.7f77534cc9623p-4, -0x1.7c13b949455edp-4, -0x1.78ac56982091bp-4, -0x1.75416a9c1df67p-4, -0x1.71d3348c9fd19p-4, -0x1.6e61f36c2c519p-4, -0x1.6aede6085f4f6p-4, -0x1.67774af0212d7p-4, -0x1.63fe60654d11p-4, -0x1.6083644dabefcp-4, -0x1.5d0694278267dp-4, -0x1.59882d0133f4fp-4, -0x1.56086b745b359p-4, -0x1.52878bb5df314p-4, -0x1.4f05c966a80d3p-4, -0x1.4b835fa9e6c9ap-4, -0x1.480089061db06p-4, -0x1.447d7f54e72b4p-4, -0x1.40fa7bdd0b3b6p-4, -0x1.3d77b737f93dap-4, -0x1.39f5695165c0dp-4, -0x1.3673c961f3419p-4, -0x1.32f30de6316a2p-4, -0x1.2f736c95ed6b2p-4, -0x1.2bf51a5dde723p-4, -0x1.28784b5bdac06p-4, -0x1.24fd32dc5b2dfp-4, -0x1.2184035689329p-4, -0x1.1e0cee65d58bap-4, -0x1.1a9824c6d87eap-4, -0x1.1725d65b7f73cp-4, -0x1.13b6320f65ddbp-4, -0x1.104965f0da302p-4, -0x1.0cdf9f179a482p-4, -0x1.097909a76d1ccp-4, -0x1.0615d0da04535p-4, -0x1.02b61ef0a847p-4, -0x1.feb43a6a7d051p-5, -0x1.f803e7f3dd995p-5, -0x1.f15b952d9d35ep-5, -0x1.eabb8ecdf6c42p-5, -0x1.e4241f8c628d2p-5, -0x1.dd95901f9dae5p-5, -0x1.d710273f05b89p-5, -0x1.d09429a5e4691p-5, -0x1.ca21da158f423p-5, -0x1.c3b97953efc7p-5, -0x1.bd5b462525095p-5, -0x1.b7077d4334108p-5, -0x1.b0be5963e7fb6p-5, -0x1.aa80133760362p-5, -0x1.a44ce16f70794p-5, -0x1.9e24f8e0dd6bep-5, -0x1.98088c6b0a6a5p-5, -0x1.91f7cd0c0583dp-5, -0x1.8bf2e9cb8f667p-5, -0x1.85fa0fa49e80dp-5, -0x1.800d6982702ccp-5, -0x1.7a2d204f3e1dap-5, -0x1.74595b14d1c6ap-5, -0x1.6e923f231fa55p-5, -0x1.68d7f02a64fd5p-5, -0x1.632a903943014p-5, -0x1.5d8a3f9bb317ep-5, -0x1.57f71ca836d83p-5, -0x1.527143956c617p-5, -0x1.4cf8ce737581ep-5, -0x1.478dd5577f4e6p-5, -0x1.42306eb094861p-5, -0x1.3ce0afa5df5d2p-5, -0x1.379eac53976cdp-5, -0x1.326a77c561f49p-5, -0x1.2d4423a81a6d3p-5, -0x1.282bbfc627337p-5, -0x1.232159949df3fp-5, -0x1.1e24fc0196a0fp-5, -0x1.1936afa8eb357p-5, -0x1.14567b7cd3e54p-5, -0x1.0f846596fe274p-5, -0x1.0ac073ea816f5p-5, -0x1.060aac8431d14p-5, -0x1.0163152b5db76p-5, -0x1.f99364ee14cep-6, -0x1.f07d0d548215bp-6, -0x1.e783219d85b47p-6, -0x1.dea598f74e8a8p-6, -0x1.d5e464f83bb7bp-6, -0x1.cd3f7467c8fb7p-6, -0x1.c4b6b6991b08cp-6, -0x1.bc4a1e1511b61p-6, -0x1.b3f9a170a5c23p-6, -0x1.abc539c283c14p-6, -0x1.a3acdf09b8f85p-6, -0x1.9bb083b0b3e74p-6, -0x1.93d010d58081dp-6, -0x1.8c0b64e4c10a1p-6, -0x1.8462555b452e9p-6, -0x1.7cd4b362e320ep-6, -0x1.756251e315b21p-6, -0x1.6e0b0af92fab3p-6, -0x1.66cec2c795074p-6, -0x1.5fad66574f6c3p-6, -0x1.58a6e69a52353p-6, -0x1.51bb30e726cbcp-6, -0x1.4aea276f2d547p-6, -0x1.44339c54bac18p-6, -0x1.3d97513f7959p-6, -0x1.3714fceb95793p-6, -0x1.30ac53c1823f6p-6, -0x1.2a5d1143184abp-6, -0x1.2427002da5c9dp-6, -0x1.1e09fd80f3db8p-6, -0x1.1805f58b3d8c7p-6, -0x1.121adae33a784p-6, -0x1.0c489abb6ee99p-6, -0x1.068f11a676f07p-6, -0x1.00ee04a1f2b2ap-6, -0x1.f6ca422e616d9p-7, -0x1.ebe808874015cp-7, -0x1.e1348fdf042bdp-7, -0x1.d6af20f7810fcp-7, -0x1.cc572fc07d9fcp-7, -0x1.c22c648611ccp-7, -0x1.b82e95967a811p-7, -0x1.ae5db2f030947p-7, -0x1.a4b9a9329e7b5p-7, -0x1.9b4243a954541p-7, -0x1.91f7165d66f77p-7, -0x1.88d777bc4de1cp-7, -0x1.7fe28d17cd3b4p-7, -0x1.771766b75cbdcp-7, -0x1.6e75220f87a9fp-7, -0x1.65fb06f19176cp-7, -0x1.5da896d775777p-7, -0x1.557d8b864d12bp-7, -0x1.4d79c7af384cdp-7, -0x1.459d3e53dc0e6p-7, -0x1.3de7d6185e16bp-7, -0x1.36594e1f75806p-7, -0x1.2ef12b78f578bp-7, -0x1.27aeb692e479fp-7, -0x1.20910c5c592e2p-7, -0x1.19973eaa3b39ap-7, -0x1.12c0774d189c9p-7, -0x1.0c0c0f561c919p-7, -0x1.057992d47c811p-7, -0x1.fe1168fb0d6dcp-8, -0x1.f1727799f6cdap-8, -0x1.e515ec3b8b15ap-8, -0x1.d8fb568ef3b1bp-8, -0x1.cd22226c9ddbbp-8, -0x1.c1897aa2f62dep-8, -0x1.b630359173f32p-8, -0x1.ab14e0d78c4d5p-8, -0x1.a035f2da69eafp-8, -0x1.95920d2804d2ep-8, -0x1.8b2828b878ac1p-8, -0x1.80f78ea61200cp-8, -0x1.76ffa28771c7p-8, -0x1.6d3fa64c91dcbp-8, -0x1.63b6a47d489d9p-8, -0x1.5a638d290e694p-8, -0x1.514565f3d7d41p-8, -0x1.485b5f059a7a9p-8, -0x1.3fa4ba9819bbap-8, -0x1.3720a35c78434p-8, -0x1.2ece1fae219p-8, -0x1.26ac357132d6ep-8, -0x1.1eba22d75d096p-8, -0x1.16f77906d2705p-8, -0x1.0f63f6d56706fp-8, -0x1.07ff2e82fa78ep-8, -0x1.00c82e7f5133ap-8, -0x1.f37adf6c96026p-9, -0x1.e5ba439f74ab8p-9, -0x1.d84b50955e79ap-9, -0x1.cb2be6b6a5cfdp-9, -0x1.be5af6ead7ec8p-9, -0x1.b1d7e61eaded1p-9, -0x1.a5a1fa5d52664p-9, -0x1.99b84d07daa6ap-9, -0x1.8e1a281c2340ap-9, -0x1.82c74cf613bap-9, -0x1.77bfc4351c6fap-9, -0x1.6d033e699e47bp-9, -0x1.62905eca6e983p-9, -0x1.586461ab0800cp-9, -0x1.4e7b68b196e7ep-9, -0x1.44d15d72cfa4p-9, -0x1.3b62fc2f1688fp-9, -0x1.322e714868fc1p-9, -0x1.29333345e87f3p-9, -0x1.20714e608bcdep-9, -0x1.17e8c27ccd96bp-9, -0x1.0f996dec98d43p-9, -0x1.078357b130842p-9, -0x1.ff4d928957d56p-10, -0x1.f007e82886646p-10, -0x1.e134a36a23fadp-10, -0x1.d2d04eb8c88c3p-10, -0x1.c4d52c91ab13dp-10, -0x1.b73c8218873a9p-10, -0x1.aa00290ac850cp-10, -0x1.9d1b8b4a4ef35p-10, -0x1.908bc26bcde04p-10, -0x1.844f05493117cp-10, -0x1.78640a2f7116dp-10, -0x1.6cca102079624p-10, -0x1.6181522110b61p-10, -0x1.568b02f2c6c83p-10, -0x1.4be86dd786da1p-10, -0x1.419a05b6502c9p-10, -0x1.379f1834fcc6ap-10, -0x1.2df581811d2f1p-10, -0x1.249910619804fp-10, -0x1.1b83c024451c8p-10, -0x1.12afa9946883fp-10, -0x1.0a193d0eb36b7p-10, -0x1.01bfc55919a9ap-10, -0x1.f347bbf59b9f6p-11, -0x1.e38a4eb0860b8p-11, -0x1.d4420432fee13p-11, -0x1.c5677ffa3c4bdp-11, -0x1.b6f77fd42accfp-11, -0x1.a8f5cd084b3eap-11, -0x1.9b68193ce0faap-11, -0x1.8e4ed59217de2p-11, -0x1.81a576e9c9038p-11, -0x1.756808dd7ded3p-11, -0x1.6993bda2cec02p-11, -0x1.5e22c9917641ap-11, -0x1.530bb6c43777fp-11, -0x1.484578dc316f2p-11, -0x1.3dcc0fc33c4aap-11, -0x1.33a1ab217956p-11, -0x1.29cad44fb9146p-11, -0x1.204918f3de75cp-11, -0x1.1718e31d10c92p-11, -0x1.0e32b03cbb97ep-11, -0x1.058fd940447a9p-11, -0x1.fa628b9062b71p-12, -0x1.ea3a11b4a66b4p-12, -0x1.daa6bb13d4a92p-12, -0x1.cb9a7f7d7cc7bp-12, -0x1.bd0d1768477c4p-12, -0x1.af01505316743p-12, -0x1.a176ec934de82p-12, -0x1.9465321319de6p-12, -0x1.87bfc25d7fb64p-12, -0x1.7b7ba26158e8cp-12, -0x1.6f93b94af5e7fp-12, -0x1.640add1116021p-12, -0x1.58e78d3b1767p-12, -0x1.4e2c6e37f7c65p-12, -0x1.43d60a98eae6ap-12, -0x1.39df53e7bd91fp-12, -0x1.3041678ae328fp-12, -0x1.26f41fa3d39ep-12, -0x1.1df84e8aa4796p-12, -0x1.154f7a6ce6541p-12, -0x1.0cf01824e1066p-12, -0x1.04d5b860e8881p-12, -0x1.fa0d9cfd510dp-13, -0x1.eb09eddbeed04p-13, -0x1.dc9760222b521p-13, -0x1.ceabda09564fbp-13, -0x1.c13a47e7739ddp-13, -0x1.b4331e2af4dfdp-13, -0x1.a79088a32990cp-13, -0x1.9b5aa2d16982dp-13, -0x1.8f97465f60979p-13, -0x1.84411d95de50cp-13, -0x1.79565f819b0d2p-13, -0x1.6edc45a77b9ecp-13, -0x1.64cdcf5b13c1cp-13, -0x1.5b15733bfdc7dp-13, -0x1.51a7f1fe2c5edp-13, -0x1.488d7bb783458p-13, -0x1.3fbeb9c290d3ap-13, -0x1.37380a030946dp-13, -0x1.2f0468c779febp-13, -0x1.2721dbae87a2bp-13, -0x1.1f8a7c045c941p-13, -0x1.183cc38e34b99p-13, -0x1.11331150d1257p-13, -0x1.0a6030e0c9e39p-13, -0x1.03bf381a5af15p-13, -0x1.fab1e458407a3p-14, -0x1.ee58358a01925p-14, -0x1.e262c0a1adf26p-14, -0x1.d6dc439f8f1c6p-14, -0x1.cbc601a3c7411p-14, -0x1.c10eb53d368a5p-14, -0x1.b6b1dfd56ab16p-14, -0x1.acb29b9b1a28bp-14, -0x1.a3003cf72b289p-14, -0x1.9997a8f52647ep-14, -0x1.90733af1a18afp-14, -0x1.87948501a5147p-14, -0x1.7f07a061814b1p-14, -0x1.76c232efff2f4p-14, -0x1.6ebec270bf6fdp-14, -0x1.66ff8b08ab5d6p-14, -0x1.5f815eb32af84p-14, -0x1.5834b757c8418p-14, -0x1.511720efcbc3ap-14, -0x1.4a307b38bd2e8p-14, -0x1.43769cfd23234p-14, -0x1.3cee919d7369p-14, -0x1.369baa5c09161p-14, -0x1.3072bb06cf77cp-14, -0x1.2a6f31172eac3p-14, -0x1.248fbe6b05629p-14, -0x1.1ed44f6319a84p-14, -0x1.1943838926bf3p-14, -0x1.13da8e602241p-14, -0x1.0e8c579f0566cp-14, -0x1.0956b9ddb146bp-14, -0x1.04400a82cd597p-14, -0x1.fe95af63125dep-15, -0x1.f4ded7da487eap-15, -0x1.eb590c55e7bb5p-15, -0x1.e2081fa8a9654p-15, -0x1.d8edf6520570cp-15, -0x1.cffcdc6db34aep-15, -0x1.c731ada35a9c9p-15, -0x1.be883047355bdp-15, -0x1.b606b97189aabp-15, -0x1.adb2e6fad00b9p-15, -0x1.a5806462189fep-15, -0x1.9d6afb27e9225p-15, -0x1.9572be041e574p-15, -0x1.8d97aae8119acp-15, -0x1.85d90e9b7953p-15, -0x1.7e34dd9a05ad4p-15, -0x1.76ab2f844ee57p-15, -0x1.6f4120e8f1542p-15, -0x1.67ecffce09b0cp-15, -0x1.60a83b7b63fa3p-15, -0x1.597c1cb9f8d96p-15, -0x1.5266eb78ddeacp-15, -0x1.4b631baebe94cp-15, -0x1.4470a167f41c3p-15, -0x1.3d9194d220789p-15, -0x1.36c8b065719ap-15, -0x1.300eddc1b44eap-15, -0x1.29607dbdbc9e5p-15, -0x1.22c1e6feb7727p-15, -0x1.1c35cfc3a9307p-15, -0x1.15b6fef12ac5p-15, -0x1.0f44e758b2099p-15, -0x1.08dff0eae8a5dp-15, -0x1.0287f41c4f75dp-15, -0x1.f87918f960038p-16, -0x1.ebfac60a1e62p-16, -0x1.df949d5152154p-16, -0x1.d3462f3b2aed1p-16, -0x1.c70e1ec4f6aa8p-16, -0x1.baed1057d0f8ap-16, -0x1.aee54c97f4ddap-16, -0x1.a2ef51af11d96p-16, -0x1.9710b2c1ddb6cp-16, -0x1.8b47fc9ba6df3p-16, -0x1.7f92e9cb9e348p-16, -0x1.73f1f613bf0bdp-16, -0x1.6866fa0bc6fa9p-16, -0x1.5cf41a6cd0c3dp-16, -0x1.5192a6084a0d9p-16, -0x1.4644ec358614cp-16, -0x1.3b0e78d33fb2fp-16, -0x1.2febc7e04e24dp-16, -0x1.24dd294731ef6p-16, -0x1.19e34325eaef7p-16, -0x1.0efe51487e1dep-16, -0x1.042e6fd518883p-16, -0x1.f2e76a26bc108p-17, -0x1.dd9c6ff12d98ap-17, -0x1.c87c288583d9fp-17, -0x1.b386f28454fc9p-17, -0x1.9ebd6e6c966a4p-17, -0x1.8a200a6062d64p-17, -0x1.75ae55e7d0c07p-17, -0x1.61698f9492f5bp-17, -0x1.4d5279c64adfbp-17, -0x1.3969117b6a749p-17, -0x1.25ae0e45c5b47p-17, -0x1.12209fa7e0c49p-17, -0x1.fd836a8c176f2p-18, -0x1.d725c63fa6e1p-18, -0x1.b12c11f3738fbp-18, -0x1.8b8e217f6d634p-18, -0x1.66567d33728ebp-18, -0x1.418081e8992e5p-18, -0x1.1d0d6444ac52cp-18, -0x1.f1fe60de82a36p-19, -0x1.aaae03a63a99bp-19, -0x1.642b8fe92ea26p-19, -0x1.1e78e690cfc9cp-19, -0x1.b32fc54057949p-20, -0x1.2b148f7b37447p-20, -0x1.49470124cf842p-21, -0x1.fdfbb90d0391fp-24, 0x1.8cced7dc95d87p-22, 0x1.c9264eb60c7edp-21, 0x1.643914612b9fcp-20, 0x1.e21d363167aeep-20, 0x1.2f2a4969d73cap-19, 0x1.6c642a7e0c77dp-19, 0x1.a8b8c9057dea9p-19, 0x1.e429b2d6603b6p-19, 0x1.0f5c732e5ea4ep-18, 0x1.2c31f38202c59p-18, 0x1.48950926cd826p-18, 0x1.6482aebd60563p-18, 0x1.7ffbaf96037cfp-18, 0x1.9affc762e2712p-18, 0x1.b5901242fc3b1p-18, 0x1.cfaaf677ce0afp-18, 0x1.e950086eda03bp-18, 0x1.013f818f889bep-17, 0x1.0d9bcdce1ab61p-17, 0x1.19bccaa19f13ep-17, 0x1.25a25e6c15963p-17, 0x1.314c733c18b0ap-17, 0x1.3cbaf8e61adc2p-17, 0x1.47ede5d19a04bp-17, 0x1.52e5360a2f929p-17, 0x1.5da0eb631ab23p-17, 0x1.68210bcb9b5eep-17, 0x1.726594c986655p-17, 0x1.7c6e79295162ep-17, 0x1.863bca1956124p-17, 0x1.8fcde17fa4d61p-17, 0x1.99252cbceeb9fp-17, 0x1.a2405b0a6f893p-17, 0x1.ab208597e64f1p-17, 0x1.b3c60c774eb4bp-17, 0x1.bc31573e7ed65p-17, 0x1.c461e7cd35cc5p-17, 0x1.cc5704f102daep-17, 0x1.d4127837da2fep-17, 0x1.db9443ea1d727p-17, 0x1.e2dc50edb7a51p-17, 0x1.e9eae1844a6d3p-17, 0x1.f0c03ffc26868p-17, 0x1.f75cb7cd5f859p-17, 0x1.fdc096b60628bp-17, 0x1.01f616ab8a3ap-16, 0x1.04efe79a67d87p-16, 0x1.07cde955ecdb5p-16, 0x1.0a9048b356e08p-16, 0x1.0d373482fa296p-16, 0x1.0fc2dd7425ee9p-16, 0x1.123375c145601p-16, 0x1.148931383dea7p-16, 0x1.16c4452e2c632p-16, 0x1.18e4e6a05190cp-16, 0x1.1aeb48ac9d82dp-16, 0x1.1cd7a360d95e1p-16, 0x1.1eaa36c41c331p-16, 0x1.20635d3aeddebp-16, 0x1.2203181eb7dafp-16, 0x1.2389a06892019p-16, 0x1.24f772f71ec79p-16, 0x1.264ce7c8c49e2p-16, 0x1.2789b78a65e8cp-16, 0x1.28ae701ac2a8fp-16, 0x1.29bb7ddd4cfa1p-16, 0x1.2ab0fdb727f22p-16, 0x1.2b8f33577bed1p-16, 0x1.2c56658522c9cp-16, 0x1.2d06daec595b8p-16, 0x1.2da0da94b8e9ep-16, 0x1.2e24ac14656c1p-16, 0x1.2e9297b7f5dc3p-16, 0x1.2eeae6413b082p-16, 0x1.2f2de22911e55p-16, 0x1.2f5bd38cae88cp-16, 0x1.2f750458e3cfep-16, 0x1.2f79be72bc33bp-16, 0x1.2f6a4d55110d1p-16, 0x1.2f46fe78dc911p-16, 0x1.2f10217561acfp-16, 0x1.2ec6011aa8da6p-16, 0x1.2e68e7a8edcaap-16, }}, 
      {{0x1.284a6922d1568p-5, 0x1.27946521fe5b7p-4, 0x1.b99e4c090a2aap-4, 0x1.24cf91aa99ab2p-3, 0x1.6b80c362b5459p-3, 0x1.b09ffba055acdp-3, 0x1.f3f2b4a15cab3p-3, 0x1.1aa34ad615442p-2, 0x1.3a389637aac09p-2, 0x1.58a7bf94f26a4p-2, 0x1.75e2c2b085092p-2, 0x1.91deca6d6f6ccp-2, 0x1.ac93e5926a86bp-2, 0x1.c5fcbc0d25336p-2, 0x1.de164730e4e41p-2, 0x1.f4df8de81792cp-2, 0x1.052cb2b6a9e0bp-1, 0x1.0f431bab3d5p-1, 0x1.18b4e613237b1p-1, 0x1.21848d9f17ee2p-1, 0x1.29b50fa8a8bd5p-1, 0x1.3149d76c26982p-1, 0x1.3846ac8e73a36p-1, 0x1.3eafa33039b78p-1, 0x1.44890dcf00c87p-1, 0x1.49d770b81735bp-1, 0x1.4e9f7691b43fdp-1, 0x1.52e5e673de2c4p-1, 0x1.56af9aaf49033p-1, 0x1.5a0178f58ad22p-1, 0x1.5ce06b1f3f2d5p-1, 0x1.5f5158dba7388p-1, 0x1.61592238df6b7p-1, 0x1.62fc9aceadc4ep-1, 0x1.64408578e866bp-1, 0x1.652990d61281dp-1, 0x1.65bc5422f5e7p-1, 0x1.65fd4cb20d1ep-1, 0x1.65f0dbad34a8ap-1, 0x1.659b446285c59p-1, 0x1.6500aadf7c6a3p-1, 0x1.642512d3a5d2ep-1, 0x1.630c5ecb56012p-1, 0x1.61ba4fb00e1f6p-1, 0x1.60328473c8603p-1, 0x1.5e787a07418e6p-1, 0x1.5c8f8b6b13f79p-1, 0x1.5a7af1ef1a3c1p-1, 0x1.583dc598b2e68p-1, 0x1.55dafd9c1e6b6p-1, 0x1.535570f586c3p-1, 0x1.50afd7121b949p-1, 0x1.4decc87c1812fp-1, 0x1.4b0ebfa196ad2p-1, 0x1.48181992dea89p-1, 0x1.450b16cd34d3ap-1, 0x1.41e9dc0995375p-1, 0x1.3eb6730b5cbb4p-1, 0x1.3b72cb71f1968p-1, 0x1.3820bb8731cc1p-1, 0x1.34c2010eafec5p-1, 0x1.3158421319bp-1, 0x1.2de50db251333p-1, 0x1.2a69dce8959e7p-1, 0x1.26e8135aaf248p-1, 0x1.2361001e41c55p-1, 0x1.1fd5de7e091c6p-1, 0x1.1c47d6be7ca38p-1, 0x1.18b7fedca451ep-1, 0x1.15275b48b7ed9p-1, 0x1.1196dfa10bc5ap-1, 0x1.0e076f5fa37a1p-1, 0x1.0a79de8c361aap-1, 0x1.06eef268fec27p-1, 0x1.03676217617e5p-1, 0x1.ffc7ae7eb8d6ep-2, 0x1.f8c9dd65306e3p-2, 0x1.f1d6720e5bccdp-2, 0x1.eaee765d9c576p-2, 0x1.e412de143f3fp-2, 0x1.dd4487ed74601p-2, 0x1.d6843eb241e1dp-2, 0x1.cfd2ba43da3fp-2, 0x1.c930a0a604579p-2, 0x1.c29e86f991aep-2, 0x1.bc1cf273e8894p-2, 0x1.b5ac5949c9058p-2, 0x1.af4d238deb67bp-2, 0x1.a8ffac0839f64p-2, 0x1.a2c440ff98e8dp-2, 0x1.9c9b24fd142c7p-2, 0x1.96848f8c55628p-2, 0x1.9080adf294ea7p-2, 0x1.8a8fa3df86b95p-2, 0x1.84b18c196a8bcp-2, 0x1.7ee6791ebbac6p-2, 0x1.792e75bfb4939p-2, 0x1.738985b04bbe9p-2, 0x1.6df7a611bfc3cp-2, 0x1.6878cdf1e3875p-2, 0x1.630ceec447e4ep-2, 0x1.5db3f4d5c107dp-2, 0x1.586dc7b949ad2p-2, 0x1.533a4ab0d6429p-2, 0x1.4e195d11b8018p-2, 0x1.490adaa48e43ap-2, 0x1.440e9c009701dp-2, 0x1.3f2476e078825p-2, 0x1.3a4c3e71fbccfp-2, 0x1.3585c3a000f03p-2, 0x1.30d0d556d43c7p-2, 0x1.2c2d40c2fe66dp-2, 0x1.279ad18c98c07p-2, 0x1.2319520cbea74p-2, 0x1.1ea88b819f909p-2, 0x1.1a48463c743f9p-2, 0x1.15f849cf6112fp-2, 0x1.11b85d368f773p-2, 0x1.0d8847001fcc8p-2, 0x1.0967cd6f78445p-2, 0x1.0556b69f5f71p-2, 0x1.0154c8a18787p-2, 0x1.fac393330cd43p-3, 0x1.f2faffb23a9b6p-3, 0x1.eb4f63e8f785cp-3, 0x1.e3c04db46dfdcp-3, 0x1.dc4d4bc8c3d2ep-3, 0x1.d4f5edd513bc1p-3, 0x1.cdb9c49d5051ep-3, 0x1.c698621b99252p-3, 0x1.bf915992f49e2p-3, 0x1.b8a43fa627a1p-3, 0x1.b1d0aa6c6d991p-3, 0x1.ab16317c04df4p-3, 0x1.a4746dff9792dp-3, 0x1.9deafabd14a8cp-3, 0x1.97797422dd394p-3, 0x1.911f784e80883p-3, 0x1.8adca717cc5d2p-3, 0x1.84b0a20cd6d23p-3, 0x1.7e9b0c835f65p-3, 0x1.789b8b8b213ccp-3, 0x1.72b1c5fec9ccp-3, 0x1.6cdd6476673cdp-3, 0x1.671e114ce0c75p-3, 0x1.6173789d21e57p-3, 0x1.5bdd484143b2fp-3, 0x1.565b2fc2544acp-3, 0x1.50ece06338801p-3, 0x1.4b920d15c4ddfp-3, 0x1.464a6a6ec97e9p-3, 0x1.4115aea36e80bp-3, 0x1.3bf391802642bp-3, 0x1.36e3cc6f6a4c2p-3, 0x1.31e61a6280444p-3, 0x1.2cfa37bbfcde3p-3, 0x1.281fe271f0712p-3, 0x1.2356d9da0daa5p-3, 0x1.1e9edec5258bdp-3, 0x1.19f7b35e49f61p-3, 0x1.15611b1673ba8p-3, 0x1.10dadace75c26p-3, 0x1.0c64b88eadadcp-3, 0x1.07fe7bbca92adp-3, 0x1.03a7ecdd5163bp-3, 0x1.fec1ab646b54ap-4, 0x1.f6520207dc172p-4, 0x1.ee0075bb90badp-4, 0x1.e5cca06dc5da4p-4, 0x1.ddb61e73d0337p-4, 0x1.d5bc8de9e9c0ap-4, 0x1.cddf8ef56607fp-4, 0x1.c61ec3b5d86f9p-4, 0x1.be79cfd984f3cp-4, 0x1.b6f059356595cp-4, 0x1.af8206f4b638ap-4, 0x1.a82e824c85038p-4, 0x1.a0f575c5e8029p-4, 0x1.99d68d84ef53cp-4, 0x1.92d177388ac5ep-4, 0x1.8be5e213676d4p-4, 0x1.85137e61c24ddp-4, 0x1.7e59fe2d06ffcp-4, 0x1.77b9146561346p-4, 0x1.713075a462c0ep-4, 0x1.6abfd779392efp-4, 0x1.6466f0a063b8ap-4, 0x1.5e2579024e56ap-4, 0x1.57fb299d7ac71p-4, 0x1.51e7bc93c161ep-4, 0x1.4beaecd66e7d8p-4, 0x1.46047674ba128p-4, 0x1.40341663f6a7ap-4, 0x1.3a798a85ed1fbp-4, 0x1.34d491bd15c14p-4, 0x1.2f44eb8f2a3a4p-4, 0x1.29ca586c27fbfp-4, 0x1.246499902325dp-4, 0x1.1f1370f88e519p-4, 0x1.19d6a16597c72p-4, 0x1.14adee63a96e8p-4, 0x1.0f991be636e9p-4, 0x1.0a97eee4c4f19p-4, 0x1.05aa2cb3db1c4p-4, 0x1.00cf9b82167eap-4, 0x1.f810043034266p-5, 0x1.eea64f5909e56p-5, 0x1.e561a8495b479p-5, 0x1.dc419fe7ab0fcp-5, 0x1.d345c80e52b58p-5, 0x1.ca6db3b044ce9p-5, 0x1.c1b8f6f4985b8p-5, 0x1.b92726ffaa1fcp-5, 0x1.b0b7d9b5acdd7p-5, 0x1.a86aa5d280c41p-5, 0x1.a03f23b4e6209p-5, 0x1.9834eb9e56464p-5, 0x1.904b97be2f554p-5, 0x1.8882c28147a3ap-5, 0x1.80da07389a881p-5, 0x1.79510228ca8dfp-5, 0x1.71e75067e6cacp-5, 0x1.6a9c8fd85565ap-5, 0x1.63705f26533c3p-5, 0x1.5c625dc461179p-5, 0x1.55722be8c67bfp-5, 0x1.4e9f6a9d1437p-5, 0x1.47e9bbc7600f7p-5, 0x1.4150c17cfd04ap-5, 0x1.3ad41f39964c5p-5, 0x1.347378bfa3fdp-5, 0x1.2e2e72ade6a2p-5, 0x1.2804b2b9da70ep-5, 0x1.21f5debcb518bp-5, 0x1.1c019d7120ba2p-5, 0x1.16279651a3c9ap-5, 0x1.1067718757384p-5, 0x1.0ac0d7e9cd783p-5, 0x1.053372ff45271p-5, 0x1.ff7dd9f794adbp-6, 0x1.f4c5e17eee037p-6, 0x1.ea3e53ab939bap-6, 0x1.dfe688f0851bbp-6, 0x1.d5bddb4b381f7p-6, 0x1.cbc3a60cc4796p-6, 0x1.c1f744e74b8ebp-6, 0x1.b858167650fd3p-6, 0x1.aee57935a3598p-6, 0x1.a59ecde0b4a14p-6, 0x1.9c8376d8314a8p-6, 0x1.9392d6db7e291p-6, 0x1.8acc52573e7cep-6, 0x1.822f4f27500e4p-6, 0x1.79bb3478d3936p-6, 0x1.716f6acb19215p-6, 0x1.694b5bf20eef1p-6, 0x1.614e731789f4fp-6, 0x1.59781cbba5a04p-6, 0x1.51c7c6b47502ep-6, 0x1.4a3ce02ceb767p-6, 0x1.42d6d9a32b235p-6, 0x1.3b9524ea1b081p-6, 0x1.34773540b90e9p-6, 0x1.2d7c7f74a05cdp-6, 0x1.26a47902fe057p-6, 0x1.1fee98f73f73fp-6, 0x1.195a586b2babp-6, 0x1.12e73065ba57ep-6, 0x1.0c949d07a4dep-6, 0x1.06621ae15b307p-6, 0x1.004f278e51751p-6, 0x1.f4b6849a557e4p-7, 0x1.e90bd780fade5p-7, 0x1.dd9d4bc411e1bp-7, 0x1.d269e808a6ffbp-7, 0x1.c770b5a4c0892p-7, 0x1.bcb0c09abc3dap-7, 0x1.b22917933954fp-7, 0x1.a7d8cbd953094p-7, 0x1.9dbef15afaa9ap-7, 0x1.93da9ead92fb5p-7, 0x1.8a2aed142c309p-7, 0x1.80aef883abe1fp-7, 0x1.7765dfa272fc3p-7, 0x1.6e4ec3cf158fep-7, 0x1.6568c955a8b9ep-7, 0x1.5cb3172115b1ep-7, 0x1.542cd538be4cdp-7, 0x1.4bd5301ad26d2p-7, 0x1.43ab55e499ccbp-7, 0x1.3bae76aa57b03p-7, 0x1.33ddc7ab7bb24p-7, 0x1.2c387eb4ec6b7p-7, 0x1.24bdd4362f821p-7, 0x1.1d6d03af529b6p-7, 0x1.16454b374c24bp-7, 0x1.0f45eb5a4571cp-7, 0x1.086e271235655p-7, 0x1.01bd43c7e92b2p-7, 0x1.f66512b567bd7p-8, 0x1.e99a845789aa9p-8, 0x1.dd1976503b467p-8, 0x1.d0e087989195fp-8, 0x1.c4ee5c3e4837cp-8, 0x1.b9419d493ba76p-8, 0x1.add8f8981a837p-8, 0x1.a2b320bebc7adp-8, 0x1.97ceccee835f1p-8, 0x1.8d2ab8eccb6fcp-8, 0x1.82c5a517a449ap-8, 0x1.789e56831e35dp-8, 0x1.6eb3975c475abp-8, 0x1.650436eb1b697p-8, 0x1.5b8f071441ed5p-8, 0x1.5252dfc172acbp-8, 0x1.494e9ed6c408fp-8, 0x1.408122b449c24p-8, 0x1.37e953584264cp-8, 0x1.2f861b15bbb23p-8, 0x1.2756667e97aaep-8, 0x1.1f59278398711p-8, 0x1.178d561f48796p-8, 0x1.0ff1ec415f94dp-8, 0x1.0885e72b5e8d6p-8, 0x1.01484ab718e9ep-8, 0x1.f4703e98a195p-9, 0x1.e6a8e2bbc3d6cp-9, 0x1.d938a013351cep-9, 0x1.cc1d9e81e566fp-9, 0x1.bf560dfefb049p-9, 0x1.b2e025f075df8p-9, 0x1.a6ba24eca2efp-9, 0x1.9ae250a19bd4bp-9, 0x1.8f56f5f5681f8p-9, 0x1.84166959701eap-9, 0x1.791f0726e259cp-9, 0x1.6e6f33d214e3fp-9, 0x1.64055bdbd0e9fp-9, 0x1.59dff38b6f04bp-9, 0x1.4ffd768d4a34p-9, 0x1.465c67910ff11p-9, 0x1.3cfb50218f259p-9, 0x1.33d8c07e6b454p-9, 0x1.2af34c607373fp-9, 0x1.22498b5c2cdf2p-9, 0x1.19da20b3ef57cp-9, 0x1.11a3b0242d9abp-9, 0x1.09a4e8fe9e91fp-9, 0x1.01dc869b90648p-9, 0x1.f4928b37f4125p-10, 0x1.e5d3d3e691e37p-10, 0x1.d77a7e4f9291ep-10, 0x1.c9842d54420adp-10, 0x1.bbee8e10b5737p-10, 0x1.aeb75673da628p-10, 0x1.a1dc43f09b1c2p-10, 0x1.955b1b57b0a1bp-10, 0x1.8931aa9e3214ap-10, 0x1.7d5dcc0335ee3p-10, 0x1.71dd68d571f2ep-10, 0x1.66ae7a36a64ebp-10, 0x1.5bcf07a4df076p-10, 0x1.513d2490bad75p-10, 0x1.46f6ee930a82ep-10, 0x1.3cfa8cc39f79fp-10, 0x1.33462f61ecb76p-10, 0x1.29d80eb8b5d3bp-10, 0x1.20ae69291062ep-10, 0x1.17c781a04a503p-10, 0x1.0f21a008465c4p-10, 0x1.06bb140c9f167p-10, 0x1.fd2471834f554p-11, 0x1.ed4aedd9d987ep-11, 0x1.dde6896ce0b75p-11, 0x1.cef4472cea652p-11, 0x1.c0713d5674b13p-11, 0x1.b25a945384f06p-11, 0x1.a4ad8b12c36c8p-11, 0x1.97676778f6489p-11, 0x1.8a857bd876a09p-11, 0x1.7e05315764a3dp-11, 0x1.71e3e2b0bd31cp-11, 0x1.661f001214653p-11, 0x1.5ab410dca1fcfp-11, 0x1.4fa0964b902afp-11, 0x1.44e22449763dcp-11, 0x1.3a7665e95ea3ep-11, 0x1.305b17eb7e7d4p-11, 0x1.268e0769ce558p-11, 0x1.1d0d147940505p-11, 0x1.13d635122012dp-11, 0x1.0ae773cc2922ep-11, 0x1.023ee7b1ca1f1p-11, 0x1.f3b55674c791ep-12, 0x1.e371b1fefb711p-12, 0x1.d3af1fd284ad8p-12, 0x1.c469f1b717833p-12, 0x1.b59e8f973832p-12, 0x1.a74971ff3508bp-12, 0x1.99671f4b3e7b4p-12, 0x1.8bf42f97a0089p-12, 0x1.7eed528373062p-12, 0x1.724f5458b1082p-12, 0x1.661726fa55689p-12, 0x1.5a41ed631c0e9p-12, 0x1.4eccfb38c92fep-12, 0x1.43b5bd956889bp-12, 0x1.38f99ad1082a9p-12, 0x1.2e95e60920a4dp-12, 0x1.2487f05d9011dp-12, 0x1.1acd21e3b504cp-12, 0x1.1162ff4a82d26p-12, 0x1.08471b86ad85fp-12, 0x1.feee14a80e51ep-13, 0x1.ede0c3d397778p-13, 0x1.dd618e61e19a5p-13, 0x1.cd6bf0615b7fcp-13, 0x1.bdfb9b732f117p-13, 0x1.af0c66deb857ep-13, 0x1.a09a81f215e9p-13, 0x1.92a29235fc419p-13, 0x1.8521193f127afp-13, 0x1.7812ae1bc1013p-13, 0x1.6b73cd3301acdp-13, 0x1.5f40aac3e6ce5p-13, 0x1.5375f937b5693p-13, 0x1.481065a4e30d8p-13, 0x1.3d0c5cb82b726p-13, 0x1.3266fec00762cp-13, 0x1.281d3d44368d9p-13, 0x1.1e2bd442b73a2p-13, 0x1.148fb9487b2e3p-13, 0x1.0b4616723c244p-13, 0x1.024c4ff447306p-13, 0x1.f33ff1ba63396p-14, 0x1.e27d85cb7b215p-14, 0x1.d24cd7000f72ep-14, 0x1.c2a94a8eefd6ep-14, 0x1.b38e2711a522ep-14, 0x1.a4f6c66daec3bp-14, 0x1.96dec0d1e2775p-14, 0x1.8941d9ef907c2p-14, 0x1.7c1be84553efcp-14, 0x1.6f68e76605ac6p-14, 0x1.6324fb2695a12p-14, 0x1.574c451224c0dp-14, 0x1.4bdacd5cca872p-14, 0x1.40ccb5ce8d33cp-14, 0x1.361e914da4306p-14, 0x1.2bcd7911def45p-14, 0x1.21d6b4a14edd4p-14, 0x1.183757be17f5bp-14, 0x1.0eec4570e4292p-14, 0x1.05f2654459ab2p-14, 0x1.fa8d6b5fbf0b2p-15, 0x1.e9ccd4b09d639p-15, 0x1.d99e156063b44p-15, 0x1.c9fc776e98f4dp-15, 0x1.bae3087e5d32ap-15, 0x1.ac4cd888212e4p-15, 0x1.9e353dca1f51fp-15, 0x1.9097ba99cde3cp-15, 0x1.836fbaaa8caf5p-15, 0x1.76b88e1feb414p-15, 0x1.6a6dc8ea53f1dp-15, 0x1.5e8bec4ca94d4p-15, 0x1.530f42fae6ep-15, 0x1.47f4eb90c7f66p-15, 0x1.3d3a51c3fb6d1p-15, 0x1.32db9809de61fp-15, 0x1.28d49b3757507p-15, 0x1.1f218d2b4b7e3p-15, 0x1.15bf28bd4c98p-15, 0x1.0caaf4d1c7f16p-15, 0x1.03e2b8453d4c5p-15, 0x1.f6c79186bd9cbp-16, 0x1.e656b49fa9ebdp-16, 0x1.d66da08942963p-16, 0x1.c7071b68ef69ap-16, 0x1.b81dfa5042fc9p-16, 0x1.a9ad70722a945p-16, 0x1.9bb1129557d1fp-16, 0x1.8e24a1f45d3bbp-16, 0x1.8103f6e3f2e82p-16, 0x1.744b54993f727p-16, 0x1.67f79b16c9504p-16, 0x1.5c059f26f8f73p-16, 0x1.507186232417p-16, 0x1.4536ffc677f03p-16, 0x1.3a520b857743p-16, 0x1.2fbf6537f1016p-16, 0x1.257ca4cbd891bp-16, 0x1.1b87a18638f75p-16, 0x1.11dd796b50d17p-16, 0x1.087b407dbb283p-16, 0x1.febce4f639f47p-17, 0x1.ed08f1f2933d3p-17, 0x1.dbd5a8d4d729ap-17, 0x1.cb1e565705736p-17, 0x1.bade38ae86cc7p-17, 0x1.ab1098ab9d28fp-17, 0x1.9bb16c5eaeba7p-17, 0x1.8cbd8a866f219p-17, 0x1.7e319f81370f1p-17, 0x1.7009da7630ddfp-17, 0x1.6242b739a6d8bp-17, 0x1.54d8c85a00f69p-17, 0x1.47c856ca53df9p-17, 0x1.3b0e05a5c7471p-17, 0x1.2ea746ecd3263p-17, 0x1.22919a88f6b58p-17, 0x1.16ca97965fb6ep-17, 0x1.0b4fba60b5837p-17, 0x1.001e554744bf5p-17, 0x1.ea66de7a8c02bp-18, 0x1.d51a068446a4dp-18, 0x1.c05093b083489p-18, 0x1.ac0620ef40fc7p-18, 0x1.983af53aefe81p-18, 0x1.84ea020866336p-18, 0x1.720da7d0adaebp-18, 0x1.5fa2d2b27829p-18, 0x1.4da61c8ec564cp-18, 0x1.3c1346cd97031p-18, 0x1.2ae568d2dd378p-18, 0x1.1a274b69df5ccp-18, 0x1.09c43dfb2591ep-18, 0x1.f37db2bfd5bb3p-19, 0x1.d4325c6eb900ap-19, 0x1.b59c1af1769c4p-19, 0x1.97b6cfffbfcccp-19, 0x1.7a7d162a293b3p-19, 0x1.5dea67bf341a5p-19, 0x1.41fb607f3c902p-19, 0x1.26aca0c550423p-19, 0x1.0bfa2effb4ef2p-19, 0x1.e3c0fb84c6557p-20, 0x1.b0b7d0da69dbp-20, 0x1.7ed18f484726p-20, 0x1.4e079829f64b7p-20, 0x1.1e54967518f97p-20, 0x1.df65556f9ec8ep-21, 0x1.8439218aa33bdp-21, 0x1.2b1aee6965e48p-21, 0x1.a7ff363fcfed6p-22, 0x1.fb7379bb52b14p-23, 0x1.5d4a6005b922ap-24, -0x1.2d1c9ad425693p-24, -0x1.d446286c7eaafp-23, -0x1.8551570471e82p-22, -0x1.0e70cf88aef07p-21, -0x1.5870fc81fc829p-21, -0x1.a0b249444b271p-21, -0x1.e73c885fc9772p-21, -0x1.160a4a1bf48a2p-20, -0x1.37a06e179214dp-20, -0x1.58642397e9e48p-20, -0x1.7858669fa5569p-20, -0x1.97801d4bb1decp-20, -0x1.b5ddf87f4c3ecp-20, -0x1.d37500f886524p-20, -0x1.f0482741e110dp-20, -0x1.062cedab8dd8fp-19, -0x1.13d637d5f7606p-19, -0x1.21213f0babe42p-19, -0x1.2e0f1b6f52cc6p-19, -0x1.3aa09864f2738p-19, -0x1.46d606657352dp-19, -0x1.52b04aba28393p-19, -0x1.5e3301a70902cp-19, -0x1.69603cb44e96dp-19, -0x1.74394f9dfad3dp-19, -0x1.7ec0c3b0e9174p-19, -0x1.88efea4a6c6a8p-19, -0x1.92c5eb57f18c4p-19, -0x1.9c48c59e5a246p-19, -0x1.a57b2cab6cd25p-19, -0x1.ae5dc7951f4a2p-19, -0x1.b6f10d7a0206fp-19, -0x1.bf359b396d79dp-19, -0x1.c72c31112f44ap-19, -0x1.ced5a349a433ep-19, -0x1.d632ecb3c70c5p-19, -0x1.dd44e890e0dd7p-19, -0x1.e40c69d32f0a6p-19, -0x1.ea8a58fda0d5fp-19, -0x1.f0bf917fafac9p-19, -0x1.f6acec96c8f3cp-19, -0x1.fc5343ed86096p-19, -0x1.00d9b8d26b3adp-18, -0x1.03672829139c4p-18, -0x1.05d25d377c06ep-18, -0x1.081bc4e36ad66p-18, -0x1.0a43cb0a83443p-18, -0x1.0c4ad9b55a9c2p-18, -0x1.0e315b41f3115p-18, -0x1.0ff7bd1189c3cp-18, -0x1.119e6a6289d37p-18, -0x1.1325cdfb4eee6p-18, -0x1.148e53bc82c76p-18, -0x1.15d866cd5d382p-18, -0x1.1704733549fe7p-18, -0x1.1812e1f7f9147p-18, -0x1.19041d1fc2daap-18, -0x1.19d88fef10cb8p-18, -0x1.1a90a9ed982e8p-18, -0x1.1b2cd215dd2bp-18, -0x1.1bad758db1cf2p-18, -0x1.1c12ff4fc798cp-18, -0x1.1c5dda1da84bap-18, -0x1.1c8e710f62bbep-18, -0x1.1ca52f1c7f574p-18, -0x1.1ca27f03587a3p-18, -0x1.1c86cb724269p-18, -0x1.1c527f270889bp-18, -0x1.1c060491253e3p-18, -0x1.1ba1c520fbfep-18, -0x1.1b262896785fp-18, -0x1.1a939cfcd3f34p-18, -0x1.19eb1b2faa7e9p-18, -0x1.19304885f2dcfp-18, -0x1.1857717fff6e1p-18, -0x1.176ce6ac8a4bbp-18, -0x1.166e9dd2d3aap-18, -0x1.155b13a8cc24dp-18, -0x1.1433c2b258adbp-18, -0x1.12f8b734e867dp-18, -0x1.11a9ffa75480ep-18, -0x1.104803dac7f57p-18, -0x1.0ed43731667dap-18, -0x1.0d4f86e5da081p-18, -0x1.0bba92bc9171ep-18, -0x1.0a157dbf4647ap-18, -0x1.085d77186a3e6p-18, -0x1.06930a1894e63p-18, -0x1.04b8b5ac8e446p-18, -0x1.02cf6f7df6b54p-18, -0x1.00d764f861a7fp-18, -0x1.fda186a99de57p-19, -0x1.f977a737cb17bp-19, -0x1.f531dc39b415ep-19, -0x1.f0d0e20861d98p-19, -0x1.ec55790c8f16bp-19, -0x1.e7c063125b007p-19, -0x1.e31261483fec2p-19, -0x1.de4c331cb66fcp-19, -0x1.d96e95cc44774p-19, -0x1.d47a42b769188p-19, -0x1.cf702c7bbaef6p-19, -0x1.ca50cb4bb4c73p-19, -0x1.c51cd089eac37p-19, -0x1.bfd52e4019aap-19, -0x1.ba7a8f990f473p-19, -0x1.b50d95b4b4b43p-19, -0x1.af8ef928edf87p-19, -0x1.a9ff7015d723cp-19, -0x1.a45faad9c6c82p-19, -0x1.9eb057d79278dp-19, -0x1.98f22443815d9p-19, -0x1.9325bb8b59343p-19, -0x1.8d4bc7344900cp-19, -0x1.8764eedfa559ep-19, -0x1.8171d85cd194p-19, -0x1.7b7327b091d43p-19, -0x1.75697ef2d981ap-19, -0x1.6f557e5e07078p-19, -0x1.6937c4777a899p-19, -0x1.6310edea7a64ap-19, -0x1.5ce19553dd154p-19, -0x1.56aa5347fe88p-19, -0x1.506bbe5864b6p-19, -0x1.4a266ae7a481ep-19, -0x1.43daeb059ae8dp-19, -0x1.3d89cf320a34dp-19, -0x1.3733a6692aa3ap-19, -0x1.30d8fdeee06e7p-19, -0x1.2a7a5ef9a72f3p-19, -0x1.241850fe0b4dp-19, -0x1.1db35c021931bp-19, -0x1.174c04165cf0ep-19, -0x1.10e2ca3a7a44ep-19, -0x1.0a782f716c5ffp-19, -0x1.040cb262e116cp-19, -0x1.fb419da5090b6p-20, -0x1.ee69fe4a14eb5p-20, -0x1.e19378188edd7p-20, -0x1.d4bef8ffaad7dp-20, -0x1.c7ed699066f58p-20, -0x1.bb1fa5904048cp-20, -0x1.ae565fce71dbfp-20, -0x1.a19203a81adap-20, -0x1.94d2553235b8dp-20, -0x1.8818f4f9c4288p-20, -0x1.7b69ecc8161e1p-20, -0x1.6ec7eafbcb3e3p-20, -0x1.6233d88553816p-20, -0x1.55aa6d16ce67bp-20, -0x1.4922f9b9d9939p-20, -0x1.3ca20b45dc9dep-20, -0x1.302efae6e4648p-20, }}, 
      {{-0x1.45e8444f36224p-2, -0x1.2a219d2eccd64p-2, -0x1.fb9a16f37f0aap-3, -0x1.867334c39b972p-3, -0x1.f3da8c5cc6e34p-4, -0x1.6cea32b5d77e3p-5, 0x1.429477d9ef9e7p-5, 0x1.050f9ae634e85p-3, 0x1.bdd9542e06736p-3, 0x1.3bac572166a1dp-2, 0x1.973414aed10acp-2, 0x1.f0312f12a61dap-2, 0x1.22c6896b70d2bp-1, 0x1.4b3423c596225p-1, 0x1.710a722706e66p-1, 0x1.940871eb5cd78p-1, 0x1.b4004deea6c04p-1, 0x1.d0d4c1af6c927p-1, 0x1.ea76b0a8d514dp-1, 0x1.00717bb72caa3p+0, 0x1.0a103c8654abap+0, 0x1.121f32e95dc54p+0, 0x1.18a95beafa054p+0, 0x1.1dbc6fff08a6p+0, 0x1.21684f05ce0f1p+0, 0x1.23be7f5b0ccf3p+0, 0x1.24d1bde2c418fp+0, 0x1.24b59d6c79c4ep+0, 0x1.237e33ecb027p+0, 0x1.213fd418b17fdp+0, 0x1.1e0ed1e45b3cep+0, 0x1.19ff507c79799p+0, 0x1.152518852efd8p+0, 0x1.0f937598de3a9p+0, 0x1.095d1a2d4ad0dp+0, 0x1.029409234f06ep+0, 0x1.f69308aeea8cep-1, 0x1.e71bff3624c48p-1, 0x1.d6e22f1095d78p-1, 0x1.c603176ba81e9p-1, 0x1.b49a77a21b5bdp-1, 0x1.a2c24e614c513p-1, 0x1.9092dced95459p-1, 0x1.7e22ae2e0ed0cp-1, 0x1.6b86a0878f4afp-1, 0x1.58d1f1d58071cp-1, 0x1.46164db9acbe1p-1, 0x1.3363dd4b31476p-1, 0x1.20c9574fa4668p-1, 0x1.0e54125ee107bp-1, 0x1.f8202c52618bap-2, 0x1.d4105bf8fbed3p-2, 0x1.b08bf65e1c2aap-2, 0x1.8da40ce232e4bp-2, 0x1.6b67a55671d7bp-2, 0x1.49e3da611bcb7p-2, 0x1.2923feedc9a01p-2, 0x1.0931bd529ba63p-2, 0x1.d42a6dd095e2dp-3, 0x1.97aa42c18aa79p-3, 0x1.5cedc5b4fa4ep-3, 0x1.23fd5905225bep-3, 0x1.d9be4e7a70b18p-4, 0x1.6f2ea51d0faa9p-4, 0x1.085042d6f0fa1p-4, 0x1.4a48a2756f1e3p-5, 0x1.16a397bd79031p-6, -0x1.626b28fed1e08p-8, -0x1.b946b9ce9dd57p-6, -0x1.85c3081809b7fp-5, -0x1.13e1ab98f5e05p-4, -0x1.615f6458de6b2p-4, -0x1.ab697de18ce5dp-4, -0x1.f21025261c906p-4, -0x1.1ab25a6a465d9p-3, -0x1.3abcc4d3d5183p-3, -0x1.5930ecfb27f53p-3, -0x1.7618c834b8aa2p-3, -0x1.917e94d2b901ep-3, -0x1.ab6cca7bd94dap-3, -0x1.c3ee0bc75e7c6p-3, -0x1.db0d1926c98b6p-3, -0x1.f0d4c4fcd919cp-3, -0x1.02a7f4726c59ap-2, -0x1.0c44adfb8f0f6p-2, -0x1.1545f500ad314p-2, -0x1.1db125d452aa8p-2, -0x1.258b8fa3f8d5fp-2, -0x1.2cda714eb0478p-2, -0x1.33a2f693d622dp-2, -0x1.39ea35972755bp-2, -0x1.3fb52cc4efd0ep-2, -0x1.4508c0fae139fp-2, -0x1.49e9bc01c09f5p-2, -0x1.4e5ccb48ffea8p-2, -0x1.52667ed83f833p-2, -0x1.560b487c2c84ap-2, -0x1.594f7b1a4f8f1p-2, -0x1.5c374a3524c05p-2, -0x1.5ec6c992d30d7p-2, -0x1.6101ed098ad03p-2, -0x1.62ec88702bae9p-2, -0x1.648a4facebb2fp-2, -0x1.65ded6ea8e3f2p-2, -0x1.66ed92dd78271p-2, -0x1.67b9d92b0a56ep-2, -0x1.6846e0e14d4bdp-2, -0x1.6897c2f8b0018p-2, -0x1.68af7aef46034p-2, -0x1.6890e75f93466p-2, -0x1.683ecaa672579p-2, -0x1.67bbcb9071ebcp-2, -0x1.670a760aa9874p-2, -0x1.662d3bd33239cp-2, -0x1.6526753e0364cp-2, -0x1.63f861e9f4fd6p-2, -0x1.62a52984fe6f3p-2, -0x1.612edc9400d01p-2, -0x1.5f97753455e7cp-2, -0x1.5de0d7ddd1917p-2, -0x1.5c0cd42d5e88dp-2, -0x1.5a1d25a0c34ddp-2, -0x1.5813745489b53p-2, -0x1.55f155c533c8p-2, -0x1.53b84d7af1cc4p-2, -0x1.5169cdc3a0d7p-2, -0x1.4f07385da47e2p-2, -0x1.4c91df1def52fp-2, -0x1.4a0b049388cf9p-2, -0x1.4773dcab9b9aep-2, -0x1.44cd8d459187fp-2, -0x1.42192eca39294p-2, -0x1.3f57ccc1a188ap-2, -0x1.3c8a665b411ccp-2, -0x1.39b1eef61a1afp-2, -0x1.36cf4ea798733p-2, -0x1.33e362bc67a4dp-2, -0x1.30eefe2d2fe8cp-2, -0x1.2df2ea1639cp-2, -0x1.2aefe62b3cbe8p-2, -0x1.27e6a931d7044p-2, -0x1.24d7e14354ebbp-2, -0x1.21c4345ff7bb4p-2, -0x1.1eac40ae13307p-2, -0x1.1b909ce865457p-2, -0x1.1871d8a669f85p-2, -0x1.15507cc0d381cp-2, -0x1.122d0b9354a6ep-2, -0x1.0f080156dfa9ap-2, -0x1.0be1d45f46f4bp-2, -0x1.08baf562eaa35p-2, -0x1.0593cfc3b52a3p-2, -0x1.026cc9c8eac4fp-2, -0x1.fe8c89c293153p-3, -0x1.f8413ba4c5c4fp-3, -0x1.f1f859df12c8p-3, -0x1.ebb28ccb00dd3p-3, -0x1.e57074907b5bap-3, -0x1.df32a9b7d36fbp-3, -0x1.d8f9bd6add94cp-3, -0x1.d2c639c714a4ap-3, -0x1.cc98a2536e48cp-3, -0x1.c67174025bca3p-3, -0x1.c05125c7e7518p-3, -0x1.ba3828ac1dbaap-3, -0x1.b426e82ed3cbdp-3, -0x1.ae1dca50a96cep-3, -0x1.a81d3005c9159p-3, -0x1.a2257536c81acp-3, -0x1.9c36f13f42864p-3, -0x1.9651f6d60d27ep-3, -0x1.9076d457e05fap-3, -0x1.8aa5d3f6eeb4ap-3, -0x1.84df3bcde896ep-3, -0x1.7f234e423f707p-3, -0x1.797249e1153bcp-3, -0x1.73cc69c74b7b6p-3, -0x1.6e31e580585bcp-3, -0x1.68a2f14dee124p-3, -0x1.631fbe4b2cb3ep-3, -0x1.5da87a9484b6ap-3, -0x1.583d512cbee39p-3, -0x1.52de6a52f9712p-3, -0x1.4d8beb6b60a8ep-3, -0x1.4845f755893eap-3, -0x1.430cae527677ep-3, -0x1.3de02e276274cp-3, -0x1.38c092344b102p-3, -0x1.33adf38909cbap-3, -0x1.2ea8690335c6p-3, -0x1.29b007513ee5ap-3, -0x1.24c4e11597c49p-3, -0x1.1fe706ea5228cp-3, -0x1.1b1687757b946p-3, -0x1.16536f844afbep-3, -0x1.119dca07bbb7cp-3, -0x1.0cf5a0387c791p-3, -0x1.085af99d6f81cp-3, -0x1.03cddc16159e9p-3, -0x1.fe9c97d3e215cp-4, -0x1.f5b897b88212ap-4, -0x1.ecefba526a044p-4, -0x1.e441ff63c63ap-4, -0x1.dbaf63cbbd204p-4, -0x1.d337e1ceeb7dp-4, -0x1.cadb7118c98f4p-4, -0x1.c29a06c4491e2p-4, -0x1.ba739591b23a7p-4, -0x1.b2680df04e77p-4, -0x1.aa775e0d8c77ep-4, -0x1.a2a171e9d4233p-4, -0x1.9ae6336f6c589p-4, -0x1.93458a89fb784p-4, -0x1.8bbf5d2dc215dp-4, -0x1.84538f64afd15p-4, -0x1.7d02038b2c286p-4, -0x1.75ca9a18f1156p-4, -0x1.6ead320a849a8p-4, -0x1.67a9a8a4e466bp-4, -0x1.60bfd9a1de6c5p-4, -0x1.59ef9f4466ef8p-4, -0x1.5338d264f71e5p-4, -0x1.4c9b4a82ba3afp-4, -0x1.4616ddd236062p-4, -0x1.3fab6148c06afp-4, -0x1.3958a8a7ba966p-4, -0x1.331e868caad09p-4, -0x1.2cfccc8357da4p-4, -0x1.26f34afe6c196p-4, -0x1.2101d18fd558bp-4, -0x1.1b282ecb9e59fp-4, -0x1.15663065f7da5p-4, -0x1.0fbba3480b881p-4, -0x1.0a28537890c4dp-4, -0x1.04ac0c46a2bc7p-4, -0x1.fe8d30a40b3aap-5, -0x1.f3ef8325aa732p-5, -0x1.e97ea2c423b22p-5, -0x1.df3a2104dadcfp-5, -0x1.d5218e551fb9ep-5, -0x1.cb347a212ebf4p-5, -0x1.c17272eaff921p-5, -0x1.b7db065e88415p-5, -0x1.ae6dc167a3e76p-5, -0x1.a52a303c09879p-5, -0x1.9c0fde4f4d847p-5, -0x1.931e56b04458cp-5, -0x1.8a5523c1580e4p-5, -0x1.81b3cf91bf1e3p-5, -0x1.7939e3dc2ee57p-5, -0x1.70e6e9ea80672p-5, -0x1.68ba6acd81ba6p-5, -0x1.60b3ef64d3fe5p-5, -0x1.58d3006ad57c6p-5, -0x1.51172683c20cap-5, -0x1.497fea4b52e92p-5, -0x1.420cd460b959ep-5, -0x1.3abd6d7232a2fp-5, -0x1.33913e496f685p-5, -0x1.2c87cfd8e99e6p-5, -0x1.25a0ab4929f14p-5, -0x1.1edb5a048c9b1p-5, -0x1.183765c27d5c7p-5, -0x1.11b458926e7f1p-5, -0x1.0b51bccf505edp-5, -0x1.050f1d3edc315p-5, -0x1.fdd80a5a503c7p-6, -0x1.f1d0008a1f5edp-6, -0x1.e60535da9b6bap-6, -0x1.da76c41384476p-6, -0x1.cf23c613db8e4p-6, -0x1.c40b57ef442f3p-6, -0x1.b92c96e6a53dap-6, -0x1.ae86a17beb58ep-6, -0x1.a418979a2d525p-6, -0x1.99e19ac3cb59dp-6, -0x1.8fe0ce3528ac6p-6, -0x1.861556ecd14efp-6, -0x1.7c7e5b95db8e3p-6, -0x1.731b04600d3aap-6, -0x1.69ea7adde7b61p-6, -0x1.60ebea01b91e6p-6, -0x1.581e7e475be7dp-6, -0x1.4f81660323d7ap-6, -0x1.4713d1badb316p-6, -0x1.3ed4f465c4136p-6, -0x1.36c403679658bp-6, -0x1.2ee0362ffff24p-6, -0x1.2728c60f840bbp-6, -0x1.1f9ced97c0788p-6, -0x1.183be872b32abp-6, -0x1.1104f3d5e112ap-6, -0x1.09f74ea70dfa4p-6, -0x1.03123a59689e9p-6, -0x1.f8a9f71d6389cp-7, -0x1.eb7db48822becp-7, -0x1.de9e430149fdbp-7, -0x1.d20a3d2401bcep-7, -0x1.c5c04033233dbp-7, -0x1.b9beea9a0bed9p-7, -0x1.ae04db8587b61p-7, -0x1.a290b3e6e7c08p-7, -0x1.976118a5e6067p-7, -0x1.8c74b542ff8d5p-7, -0x1.81ca3de824d3dp-7, -0x1.77607003f745dp-7, -0x1.6d3611064de3bp-7, -0x1.6349eb852a2d5p-7, -0x1.599acbb949286p-7, -0x1.50277c9c4455ap-7, -0x1.46eec6d6d0554p-7, -0x1.3def721ac1a38p-7, -0x1.3528489aaa23cp-7, -0x1.2c981b63f8577p-7, -0x1.243dc68bb664ep-7, -0x1.1c1833212cf67p-7, -0x1.142655d96d348p-7, -0x1.0c672bd703f7cp-7, -0x1.04d9b4a81ee5fp-7, -0x1.faf9d999ec09p-8, -0x1.ec9f94fe2dd2dp-8, -0x1.dea27b6373791p-8, -0x1.d10066f7fbd2cp-8, -0x1.c3b738d69cfap-8, -0x1.b6c4e72065797p-8, -0x1.aa278724763c5p-8, -0x1.9ddd50cdf41abp-8, -0x1.91e499660a59cp-8, -0x1.863bc768f635fp-8, -0x1.7ae142392204cp-8, -0x1.6fd36313a6018p-8, -0x1.65106c3f8d22ap-8, -0x1.5a9689bfabfcdp-8, -0x1.5063dbc4486d8p-8, -0x1.467687bcc18b5p-8, -0x1.3cccca923dce2p-8, -0x1.3365063cf1f7bp-8, -0x1.2a3dc68e136cbp-8, -0x1.2155bbd49938bp-8, -0x1.18abacde87eaep-8, -0x1.103e64154c9c1p-8, -0x1.080c9cd9a45cfp-8, -0x1.0014f699c6da1p-8, -0x1.f0abe3bfc3da7p-9, -0x1.e19bf25a47c8ap-9, -0x1.d2f6e6ad35605p-9, -0x1.c4b9b031d8be7p-9, -0x1.b6e1836967f11p-9, -0x1.a96be9cfcafcfp-9, -0x1.9c56bbcf61438p-9, -0x1.8fa00bc1c5d7dp-9, -0x1.834606ccaeeb9p-9, -0x1.7746d2b018c43p-9, -0x1.6ba06f58e6a83p-9, -0x1.6050a3ace00b5p-9, -0x1.5554fd3f31ebep-9, -0x1.4aaae6510f385p-9, -0x1.404fcc540508bp-9, -0x1.3641480df48d7p-9, -0x1.2c7d36a29bfcbp-9, -0x1.2301bb0717e59p-9, -0x1.19cd2c9b110acp-9, -0x1.10ddfffed0881p-9, -0x1.0832b4c37fc36p-9, -0x1.ff93920614b5bp-10, -0x1.ef435ae8fb98ap-10, -0x1.df716f87e114ep-10, -0x1.d01a34119cc53p-10, -0x1.c139d4d25666ep-10, -0x1.b2cc7cc9e1575p-10, -0x1.a4ce9cdd27464p-10, -0x1.973d19b95a3cfp-10, -0x1.8a15414f159dep-10, -0x1.7d548e20f2f3ap-10, -0x1.70f863be18341p-10, -0x1.64fdf4e42ac78p-10, -0x1.59626101e6b12p-10, -0x1.4e22e7640ad4fp-10, -0x1.433cffa726e88p-10, -0x1.38ae427b198b7p-10, -0x1.2e74408526048p-10, -0x1.248c7387ac295p-10, -0x1.1af462a19f565p-10, -0x1.11a9da95c9605p-10, -0x1.08ab06f64da51p-10, -0x1.ffec9b99bcc59p-11, -0x1.ef13edcfae3dp-11, -0x1.dec7acb73321ep-11, -0x1.cf0276234b2d6p-11, -0x1.bfbe7082ab948p-11, -0x1.b0f63b272fe72p-11, -0x1.a2a597995d38p-11, -0x1.94c95f5316ab7p-11, -0x1.875eebfc2d662p-11, -0x1.7a6388b1fc93fp-11, -0x1.6dd461c27a05cp-11, -0x1.61aeda291e39cp-11, -0x1.55f0cd637edb1p-11, -0x1.4a98652c33719p-11, -0x1.3fa38bf75b7e8p-11, -0x1.350f4e49b773ap-11, -0x1.2ad79010e8f95p-11, -0x1.20f754ac0fe8ep-11, -0x1.176988003593fp-11, -0x1.0e29e57460627p-11, -0x1.05357b5b661fcp-11, -0x1.f91506bff9764p-12, -0x1.e84f82d52185ep-12, -0x1.d817ea354ee81p-12, -0x1.c86b8b000a594p-12, -0x1.b947fcd96fa9p-12, -0x1.aaab4aee36ac6p-12, -0x1.9c9360aee23c3p-12, -0x1.8efd0a66656c8p-12, -0x1.81e332b6e9316p-12, -0x1.753f0851f677dp-12, -0x1.690917f9392d9p-12, -0x1.5d3a99e624711p-12, -0x1.51ce3509a87dfp-12, -0x1.46c0057a76601p-12, -0x1.3c0d165adfd6dp-12, -0x1.31b2dc376e05p-12, -0x1.27af415e66ed2p-12, -0x1.1e01021bb431ep-12, -0x1.14a7a1a8454a9p-12, -0x1.0ba2bce26f42cp-12, -0x1.02f13bd43acb5p-12, -0x1.f522417800fecp-13, -0x1.e4fefca1d530ap-13, -0x1.d56fd664138a3p-13, -0x1.c669554de7dfbp-13, -0x1.b7e06617f7047p-13, -0x1.a9cdb7de45816p-13, -0x1.9c2e70eafc566p-13, -0x1.8f01c3bf43c2p-13, -0x1.824576f574023p-13, -0x1.75f4127ec3008p-13, -0x1.6a06a835662c8p-13, -0x1.5e794e137bc9p-13, -0x1.534d2e704a79p-13, -0x1.4884d17d48404p-13, -0x1.3e1f04963a7c5p-13, -0x1.34171cc302547p-13, -0x1.2a68fc4fc64afp-13, -0x1.2111748f3230cp-13, -0x1.180b4cf5a681cp-13, -0x1.0f4ecf8e87257p-13, -0x1.06d4b04468bc4p-13, -0x1.fd3278e02af9bp-14, -0x1.ed3a0f7684355p-14, -0x1.ddc4797068196p-14, -0x1.ced211ca1a993p-14, -0x1.c05c7f0abd7b4p-14, -0x1.b2586e0306624p-14, -0x1.a4bbc1493ed7dp-14, -0x1.9786194c0426cp-14, -0x1.8abdc3da613f7p-14, -0x1.7e61b6836345p-14, -0x1.7267ccec6b55p-14, -0x1.66c9b027469bap-14, -0x1.5b8825ad60ac1p-14, -0x1.50a1f545b12cdp-14, -0x1.4610817cb1b4dp-14, -0x1.3bcb02f65dba9p-14, -0x1.31c9ce41b077bp-14, -0x1.28090c6f381f4p-14, -0x1.1e89cd0445c02p-14, -0x1.154f4840ac1aep-14, -0x1.0c5a5730ea298p-14, -0x1.03a838636770cp-14, -0x1.f66aa69c8ba18p-15, -0x1.e5fa2383a63d2p-15, -0x1.d5f444016e738p-15, -0x1.c658e1568f05dp-15, -0x1.b728f492e22f1p-15, -0x1.a858e74611c81p-15, -0x1.99e2f1e61c9edp-15, -0x1.8bcdbc4d7b215p-15, -0x1.7e1a638a69435p-15, -0x1.70c2fd98b8225p-15, -0x1.63c109f4d05e1p-15, -0x1.570c97e7d6092p-15, -0x1.4a9cbc3519199p-15, -0x1.3e6e2b2f7fd71p-15, -0x1.32850b83d5d0ep-15, -0x1.26e40104fadebp-15, -0x1.1b87c32f4c82ap-15, -0x1.106f0ce5631a2p-15, -0x1.059c227fc8372p-15, -0x1.f61808980634ap-16, -0x1.e1671b2832d1ep-16, -0x1.cd19f07d15532p-16, -0x1.b938944b2e068p-16, -0x1.a5bb55dac18cbp-16, -0x1.929e44906f575p-16, -0x1.7fec44272bc6dp-16, -0x1.6da333b77916dp-16, -0x1.5bbce5c651516p-16, -0x1.4a377c2646e77p-16, -0x1.390d311e53d5ap-16, -0x1.2831486be42a9p-16, -0x1.179f65f6c658ap-16, -0x1.076006f662691p-16, -0x1.eee3cb9491aa7p-17, -0x1.cf9c97594bdap-17, -0x1.b0f45935a1393p-17, -0x1.92ebf622cd088p-17, -0x1.7573e3f830315p-17, -0x1.58884e381d8b1p-17, -0x1.3c2c3d6bbe6bcp-17, -0x1.205154ea5a54ap-17, -0x1.04f5111d79ad6p-17, -0x1.d42563fa57eaep-18, -0x1.9f57c3660f3afp-18, -0x1.6b97403297f5dp-18, -0x1.38d25fc87621cp-18, -0x1.07000cbe8eb11p-18, -0x1.ac491db25436ap-19, -0x1.4c75b76e3a11ep-19, -0x1.dca5e1d8ed019p-20, -0x1.23b54063fffa6p-20, -0x1.b94043a52b6a6p-22, 0x1.0f253e5fe8637p-22, 0x1.e4e8974c4a43dp-21, 0x1.9d9c646b16feep-20, 0x1.22bd6695f99f9p-19, 0x1.751cbdbc9a376p-19, 0x1.c5ecd746ab6aep-19, 0x1.0a958733fcd0fp-18, 0x1.3161e10035dd9p-18, 0x1.575f50df05aap-18, 0x1.7ca16cf34b16ep-18, 0x1.a12b239f571d5p-18, 0x1.c4f277da239abp-18, 0x1.e7f330e43bfc6p-18, 0x1.051c612878584p-17, 0x1.15e26ad343294p-17, 0x1.264a2addc1a8fp-17, 0x1.3652e4e603d44p-17, 0x1.46019eee62733p-17, 0x1.55576d1afdb47p-17, 0x1.6455bf32ee44bp-17, 0x1.72fa4e8305bf8p-17, 0x1.81433af4af751p-17, 0x1.8f34e89c61a34p-17, 0x1.9cd0d8ede7543p-17, 0x1.aa171a2cb6e02p-17, 0x1.b707cba4da38cp-17, 0x1.c3a34ebaa0d0dp-17, 0x1.cfea7d398b8e7p-17, 0x1.dbdd7ebebdcb6p-17, 0x1.e77ad21182d1ep-17, 0x1.f2c5ee21323afp-17, 0x1.fdc144743e6f8p-17, 0x1.0434fbedc9696p-16, 0x1.0960704136999p-16, 0x1.0e64148fd684fp-16, 0x1.1340112d689aep-16, 0x1.17f4380bdbdefp-16, 0x1.1c80476c2db7dp-16, 0x1.20e5982b8a4edp-16, 0x1.2524ef4095feep-16, 0x1.293dce0004255p-16, 0x1.2d2fff5970c94p-16, 0x1.30fc9167d8d62p-16, 0x1.34a3d5bfbf438p-16, 0x1.3825fa769fc58p-16, 0x1.3b83473a06a28p-16, 0x1.3ebc0ebe748c5p-16, 0x1.41d0a05250547p-16, 0x1.44c1479b4854cp-16, 0x1.478e553d4d55ap-16, 0x1.4a382c9bbd702p-16, 0x1.4cbf17a15b531p-16, 0x1.4f2339fa44716p-16, 0x1.5165720af0097p-16, 0x1.5385a0d2d70d8p-16, 0x1.558436d49baa5p-16, 0x1.5761b6c4fd91ep-16, 0x1.591e6e2bf351cp-16, 0x1.5aba91192dcd3p-16, 0x1.5c364f3387f77p-16, 0x1.5d9287a66428fp-16, 0x1.5ecf69c39f8a8p-16, 0x1.5fed0d4453517p-16, 0x1.60ec16da8fc45p-16, 0x1.61cce0e81ee8cp-16, 0x1.628fc02985aebp-16, 0x1.633512aba7764p-16, 0x1.63bd3a0609dadp-16, 0x1.6428994f707bfp-16, 0x1.647794894005cp-16, 0x1.64aa903c0b85bp-16, 0x1.64c1f03032f2fp-16, 0x1.64be1648a36bp-16, 0x1.649f673940ecbp-16, 0x1.64665180e18b3p-16, 0x1.641332a1ae585p-16, 0x1.63a66db8f4d99p-16, 0x1.63206e82af0f1p-16, 0x1.628199addf7d3p-16, 0x1.61ca64413cb4bp-16, 0x1.60fb3145ffa46p-16, 0x1.60145d4710894p-16, 0x1.5f164161135bfp-16, 0x1.5e017814db232p-16, 0x1.5cd6357da99abp-16, 0x1.5b95017215afdp-16, 0x1.5a3e43e348951p-16, 0x1.58d25fb167234p-16, 0x1.5751bcf662412p-16, 0x1.55bcc4b250b9ap-16, 0x1.5413dfbdaa841p-16, 0x1.525776db3282cp-16, 0x1.5087f2dd9f191p-16, 0x1.4ea5bca651962p-16, 0x1.4cb13d0af8928p-16, 0x1.4aaadc9c524e1p-16, 0x1.489302e0e2147p-16, 0x1.466a1caf1ee6p-16, 0x1.4430bcf5348cap-16, 0x1.41e6ae6fca796p-16, 0x1.3f8cf756f8e59p-16, 0x1.3d23cea5b4a55p-16, 0x1.3aab85366f042p-16, 0x1.38249d6d117b8p-16, 0x1.358f74cfeb3e4p-16, 0x1.32ec726ced00cp-16, 0x1.303be849acb47p-16, 0x1.2d7e3e91fff39p-16, 0x1.2ab3d6f71fedap-16, 0x1.27dd1eec67d1bp-16, 0x1.24fa6f801691fp-16, 0x1.220c36ec35f04p-16, 0x1.1f12d5e020441p-16, 0x1.1c0ea2d70b025p-16, 0x1.18fffa18d97e2p-16, 0x1.15e73abe7cfbp-16, 0x1.12c4c32ffc604p-16, 0x1.0f98f0b5e5714p-16, 0x1.0c641fb041532p-16, 0x1.0926aba534aa5p-16, 0x1.05e0ef5a54c8ep-16, 0x1.029344b12093p-16, 0x1.fe7c0722eb16fp-17, 0x1.f7c303539aaf1p-17, 0x1.f0fc2bcdfe259p-17, 0x1.ea28382278d4ep-17, 0x1.e347e415bd5c7p-17, 0x1.dc5b962ffaabap-17, 0x1.d5641ec078a5fp-17, 0x1.ce622ed97a3b4p-17, 0x1.c75674807cadfp-17, 0x1.c041726667619p-17, 0x1.b923998ce7b4bp-17, 0x1.b1fdd22c0055ep-17, 0x1.aad0ae3187a63p-17, 0x1.a39cb5dbe7bcep-17, 0x1.9c627ffb9a665p-17, 0x1.9522a254600c3p-17, 0x1.8dddb02b16359p-17, 0x1.86943a7194fb5p-17, 0x1.7f46cfe723459p-17, 0x1.77f5fd125561fp-17, 0x1.70a24c3c4126fp-17, 0x1.694c459660e78p-17, 0x1.61f46f6e77fcep-17, 0x1.5a9b4e22c1cc6p-17, 0x1.534163fac4cd6p-17, 0x1.4be7312f9523cp-17, 0x1.448d33e6f068p-17, 0x1.3d33e728d4decp-17, 0x1.35dbc2020ab3ep-17, 0x1.2e853b68fb149p-17, 0x1.2730cc02af5f8p-17, 0x1.1fdef86c8e245p-17, 0x1.189010aee7f53p-17, 0x1.11448112d3746p-17, 0x1.09fcd896bb36p-17, 0x1.02b991608cba3p-17, 0x1.f6f589f7bba8ap-18, 0x1.e88209d7f6317p-18, 0x1.da199ed8bffeap-18, 0x1.cbbcdf134ebd2p-18, 0x1.bd6c89b7170b7p-18, 0x1.af295cbef7ed3p-18, 0x1.a0f410f7055d5p-18, 0x1.92cd5a9fd2a53p-18, 0x1.84b5e9e5c18e9p-18, 0x1.76ae6b6024361p-18, 0x1.68b78a9e7c04ep-18, 0x1.5ad1ed42ceeebp-18, 0x1.4cfe36d1313a6p-18, 0x1.3f3ce8edb81f3p-18, 0x1.318e90b7f0a03p-18, 0x1.23f3bfc84a446p-18, 0x1.166d1eaf93a8dp-18, 0x1.08fb77cc409c5p-18, 0x1.f73e7ac13718cp-19, 0x1.dcb190d1735f5p-19, }}, 
      {{-0x1.4c37c9cde1b56p-2, -0x1.42d4526e5f1dcp-2, -0x1.339a3ebc9f07fp-2, -0x1.1f0dc99bdecd8p-2, -0x1.05c7d1292044cp-2, -0x1.d0d4bdf2d134bp-3, -0x1.8f3149322ec5p-3, -0x1.47e30cc211136p-3, -0x1.f82feb633eca1p-4, -0x1.59d2e437abe6p-4, -0x1.6d670402dfdcep-5, -0x1.0a56ac0adb2c7p-8, 0x1.2d69e7ee52066p-5, 0x1.3de94a70d6764p-4, 0x1.e3b34ec615d4p-4, 0x1.437d00a896e57p-3, 0x1.93664a4bd9473p-3, 0x1.e12f94dc7cc9cp-3, 0x1.1641e1fa81f6fp-2, 0x1.3a8e79733613dp-2, 0x1.5d6176126890fp-2, 0x1.7ea4db6cd2b46p-2, 0x1.9e481f08726c3p-2, 0x1.bc3f88bb1b50ap-2, 0x1.d883a030dd6acp-2, 0x1.f310a713c253fp-2, 0x1.05f30f72a64c6p-1, 0x1.11832d29cedd1p-1, 0x1.1c3b0c7520f96p-1, 0x1.261e163b94944p-1, 0x1.2f3093be83b78p-1, 0x1.377789f1e567dp-1, 0x1.3ef898abf9de5p-1, 0x1.45b9dd590cc55p-1, 0x1.4bc1d8e744603p-1, 0x1.511758a53d891p-1, 0x1.55c161cb7ce02p-1, 0x1.59c71f7c75666p-1, 0x1.5d2fd304b3c3p-1, 0x1.6002c60f7a35ep-1, 0x1.62473ead82469p-1, 0x1.64047513363cep-1, 0x1.65418ac95e1ep-1, 0x1.6605832ba0ddp-1, 0x1.66573d230422p-1, 0x1.663d6df492b53p-1, 0x1.65be9d021f0b3p-1, 0x1.64e120639f114p-1, 0x1.63ab1a436856ap-1, 0x1.622276e40e143p-1, 0x1.604ceb3ad0a2p-1, 0x1.5e2ff40dee86ep-1, 0x1.5bd0d57fa43c4p-1, 0x1.59349afc71d5cp-1, 0x1.5660177ab3415p-1, 0x1.5357e601781a8p-1, 0x1.50206a6d1f923p-1, 0x1.4cbdd265323c8p-1, 0x1.4934167d4aea2p-1, 0x1.4586fb76afe3bp-1, 0x1.41ba139e29366p-1, 0x1.3dd0c03f74303p-1, 0x1.39ce332a2de8dp-1, 0x1.35b5704361e0cp-1, 0x1.31894f203c2a3p-1, 0x1.2d4c7ca5a95eep-1, 0x1.29017cab9f96cp-1, 0x1.24aaab9f9bbddp-1, 0x1.204a4025d709ap-1, 0x1.1be24cb6060abp-1, 0x1.1774c12f4011p-1, 0x1.13036c67fd91ep-1, 0x1.0e8ffdb2427f9p-1, 0x1.0a1c065858462p-1, 0x1.05a8fb1384074p-1, 0x1.01383576e115p-1, 0x1.f995ea9fd7e02p-2, 0x1.f0c4c3f9fb1dap-2, 0x1.e7ff176caa57p-2, 0x1.df46d9939e559p-2, 0x1.d69dd59699fdap-2, 0x1.ce05af7456874p-2, 0x1.c57fe639aae22p-2, 0x1.bd0dd6226eca7p-2, 0x1.b4b0baa85c466p-2, 0x1.ac69b078b93eep-2, 0x1.a439b7529fcbp-2, 0x1.9c21b3cd4669ep-2, 0x1.94227104cbbb5p-2, 0x1.8c3ca23394e93p-2, 0x1.8470e43780c26p-2, 0x1.7cbfbf0411cc7p-2, 0x1.7529a706f286bp-2, 0x1.6daefe7cede1cp-2, 0x1.665016b604709p-2, 0x1.5f0d314a33d0cp-2, 0x1.57e6813c76195p-2, 0x1.50dc2c0a71e15p-2, 0x1.49ee4aaaa1a17p-2, 0x1.431cea7b2e9f8p-2, 0x1.3c680e21a6182p-2, 0x1.35cfae5d62c29p-2, 0x1.2f53bacf70f71p-2, 0x1.28f41ab819737p-2, 0x1.22b0adaaa3e04p-2, 0x1.1c894c3799a7ep-2, 0x1.167dc88d43a2p-2, 0x1.108def0e9e648p-2, 0x1.0ab986e055f3ep-2, 0x1.0500526b7c4cap-2, 0x1.fec41fad1a747p-3, 0x1.f3bcf2eb7b613p-3, 0x1.e8ea8c643fd16p-3, 0x1.de4c53d37ddbdp-3, 0x1.d3e1ab91679d8p-3, 0x1.c9a9f1396e0fap-3, 0x1.bfa47e452955cp-3, 0x1.b5d0a89eb02e7p-3, 0x1.ac2dc3288fd98p-3, 0x1.a2bb1e3dca6b9p-3, 0x1.99780828af9c1p-3, 0x1.9063cd90c3f4bp-3, 0x1.877db9e0f3093p-3, 0x1.7ec517a3b4d42p-3, 0x1.763930d9c8d03p-3, 0x1.6dd94f467b893p-3, 0x1.65a4bcb7801ebp-3, 0x1.5d9ac3448651p-3, 0x1.55baad8a87aep-3, 0x1.4e03c6dee6657p-3, 0x1.46755b8062d5fp-3, 0x1.3f0eb8c248b93p-3, 0x1.37cf2d33c2446p-3, 0x1.30b608c4fbdadp-3, 0x1.29c29ce589144p-3, 0x1.22f43ca37a8fap-3, 0x1.1c4a3cc4ed5d8p-3, 0x1.15c3f3dfac127p-3, 0x1.0f60ba6ced036p-3, 0x1.091feade55152p-3, 0x1.0300e1aa92249p-3, 0x1.fa05fabce629ep-4, 0x1.ee4b3d4be09c9p-4, 0x1.e2d050b0be767p-4, 0x1.d793fefdd1a99p-4, 0x1.cc9516b63c2bdp-4, 0x1.c1d26ad6f9566p-4, 0x1.b74ad2e27e7ecp-4, 0x1.acfd2adf7c8bap-4, 0x1.a2e8535cc1ea3p-4, 0x1.990b31743aa15p-4, 0x1.8f64aec889a5fp-4, 0x1.85f3b98201be4p-4, 0x1.7cb7444453562p-4, 0x1.73ae462f147cp-4, 0x1.6ad7badcb4f31p-4, 0x1.6232a24933927p-4, 0x1.59be00da2c3fep-4, 0x1.5178df46947d3p-4, 0x1.49624a96d4632p-4, 0x1.4179541daa5dep-4, 0x1.39bd11581670dp-4, 0x1.322c9bfa7970ap-4, 0x1.2ac711ca3b84ap-4, 0x1.238b94a791689p-4, 0x1.1c794a6fa36f3p-4, 0x1.158f5d00c0911p-4, 0x1.0eccfa10c30f5p-4, 0x1.083153405d918p-4, 0x1.01bb9dea1a55fp-4, 0x1.f6d626662c5fcp-5, 0x1.ea7ddfd523177p-5, 0x1.de6ce8f64e98ep-5, 0x1.d2a1c9e185d5fp-5, 0x1.c71b118b169e7p-5, 0x1.bbd755fbf71c2p-5, 0x1.b0d533dd8e9eap-5, 0x1.a6134ea9901a7p-5, 0x1.9b905067cd3c9p-5, 0x1.914ae992e25adp-5, 0x1.8741d0f95eba3p-5, 0x1.7d73c3cb4e385p-5, 0x1.73df85318a0fap-5, 0x1.6a83de8d9109dp-5, 0x1.615f9f00e2a82p-5, 0x1.58719b9fc222ap-5, 0x1.4fb8af3962dd9p-5, 0x1.4733ba383799bp-5, 0x1.3ee1a28fe0c3ap-5, 0x1.36c153998a335p-5, 0x1.2ed1be1c8a49bp-5, 0x1.2711d80f37e8p-5, 0x1.1f809c9406283p-5, 0x1.181d0bdb828f7p-5, 0x1.10e62afe7a932p-5, 0x1.09db0412d72d3p-5, 0x1.02faa5ee1c34fp-5, 0x1.f88848350fc22p-6, 0x1.eb6d2d86c7593p-6, 0x1.dea2353802458p-6, 0x1.d225a1865198fp-6, 0x1.c5f5bdb732336p-6, 0x1.ba10dd56f8589p-6, 0x1.ae755caa5d047p-6, 0x1.a321a0070c17fp-6, 0x1.981413e97b25p-6, 0x1.8d4b2d0a39d32p-6, 0x1.82c568022a73ap-6, 0x1.78814904a245ep-6, 0x1.6e7d5b5401409p-6, 0x1.64b831e2c1eebp-6, 0x1.5b3067a9a98e1p-6, 0x1.51e49e105694dp-6, 0x1.48d37d5777e12p-6, 0x1.3ffbb58ea8a3bp-6, 0x1.375bfd0317acdp-6, 0x1.2ef310cc3d2eap-6, 0x1.26bfb40c2e9d3p-6, 0x1.1ec0b0bd088a7p-6, 0x1.16f4d7288de68p-6, 0x1.0f5afdb76aea6p-6, 0x1.07f200e33ad84p-6, 0x1.00b8c31b9ee19p-6, 0x1.f35c59548f14ap-7, 0x1.e5a2572f9e164p-7, 0x1.d8416721059f9p-7, 0x1.cb377b81388a1p-7, 0x1.be8291665d90ap-7, 0x1.b220b1230314cp-7, 0x1.a60fecd1f40f4p-7, 0x1.9a4e614c3c177p-7, 0x1.8eda355aa629ap-7, 0x1.83b1993abedd2p-7, 0x1.78d2c78293b5ap-7, 0x1.6e3c041d8743bp-7, 0x1.63eb9c416ff29p-7, 0x1.59dfe65512ffcp-7, 0x1.501741c27699fp-7, 0x1.469016ca4c35ep-7, 0x1.3d48d65a536e6p-7, 0x1.343ff9e4291edp-7, 0x1.2b740332b5a92p-7, 0x1.22e37c413d39dp-7, 0x1.1a8cf6fb43ad4p-7, 0x1.126f0d2ec46a6p-7, 0x1.0a8860ebdc653p-7, 0x1.02d79afd9cc8bp-7, 0x1.f6b6d8deda6e9p-8, 0x1.e8251a2fc056cp-8, 0x1.d9f777873365ap-8, 0x1.cc2b7daeb0cd1p-8, 0x1.bebec6d2202f7p-8, 0x1.b1aefa7fe2d3p-8, 0x1.a4f9cd89eb5eep-8, 0x1.989d01c421664p-8, 0x1.8c9665c20d25dp-8, 0x1.80e3d496debd1p-8, 0x1.75833596a09c7p-8, 0x1.6a727c186aa8p-8, 0x1.5fafa73a27dd1p-8, 0x1.5538c1a6f1261p-8, 0x1.4b0be15a38789p-8, 0x1.4127274d8d99bp-8, 0x1.3788bf1b0787bp-8, 0x1.2e2edfc1e18d3p-8, 0x1.2517ca7ef3007p-8, 0x1.1c41c9f6532f1p-8, 0x1.13ab34804ae7bp-8, 0x1.0b52682954134p-8, 0x1.0335cda94653ap-8, 0x1.f6a7af0beb6f1p-9, 0x1.e756024b1853bp-9, 0x1.d8739ddd6d9eap-9, 0x1.c9fd9c5b52719p-9, 0x1.bbf129c8ae996p-9, 0x1.ae4b833363b9dp-9, 0x1.a109f651c8b92p-9, 0x1.9429e124830c6p-9, 0x1.87a8b19c0ef4cp-9, 0x1.7b83e5448954p-9, 0x1.6fb908f7c9bc9p-9, 0x1.6445b893c881dp-9, 0x1.59279eb23ee94p-9, 0x1.4e5c745d4f5fcp-9, 0x1.43e200b12439cp-9, 0x1.39b6183c624e1p-9, 0x1.2fd69cf17c64ap-9, 0x1.26417f9c9ea99p-9, 0x1.1cf4bba515e73p-9, 0x1.13ee5a264f28cp-9, 0x1.0b2c716ccfca8p-9, 0x1.02ad20b0c9df3p-9, 0x1.f4dd2b696af73p-10, 0x1.e4de13de6f692p-10, 0x1.d5598334ef613p-10, 0x1.c64c17d7f9ec5p-10, 0x1.b7b285c972f73p-10, 0x1.a98996144f0bep-10, 0x1.9bce26520e008p-10, 0x1.8e7d2844fd859p-10, 0x1.8193a17e72277p-10, 0x1.750eab04ca44ap-10, 0x1.68eb70efc9aa6p-10, 0x1.5d2731f6925fbp-10, 0x1.51bf3ef141a8fp-10, 0x1.46b0fa55f35abp-10, 0x1.3bf9d7bb73d61p-10, 0x1.31975b6a0846ep-10, 0x1.278719fed290ap-10, 0x1.1dc6b81de13c1p-10, 0x1.1453ea1a16908p-10, 0x1.0b2c73480c081p-10, 0x1.024e25ab4163cp-10, 0x1.f36dc94fc7c53p-11, 0x1.e2c940e8e7079p-11, 0x1.d2aaaae475d13p-11, 0x1.c30e2568abeb6p-11, 0x1.b3efdb426c875p-11, 0x1.a54c15595c1b1p-11, 0x1.971f3a05f984p-11, 0x1.8965c72c293ebp-11, 0x1.7c1c60a0cec1ap-11, 0x1.6f3fab1f92d4dp-11, 0x1.62cc59d3e35ccp-11, 0x1.56bf4db16ec83p-11, 0x1.4b157fb797794p-11, 0x1.3fcbfcc3ef6e3p-11, 0x1.34dfd81c70dfap-11, 0x1.2a4e40f598a69p-11, 0x1.20147b724971cp-11, 0x1.162fde752f2bdp-11, 0x1.0c9dd33993d89p-11, 0x1.035bd4ffcde8bp-11, 0x1.f4cee19646f19p-12, 0x1.e37c8a719e5d8p-12, 0x1.d2bc04ad7febfp-12, 0x1.c288d2b7ad2d6p-12, 0x1.b2de986a2822bp-12, 0x1.a3b919e919faap-12, 0x1.95143a71c30cfp-12, 0x1.86ebfb09a721fp-12, 0x1.793c78616143ap-12, 0x1.6c01e8537b5a4p-12, 0x1.5f389faf33ab3p-12, 0x1.52dd113e99045p-12, 0x1.46ebbb229838cp-12, 0x1.3b6146fe19285p-12, 0x1.303a6f7fb9eep-12, 0x1.2573fe6e27303p-12, 0x1.1b0ae80abfc2cp-12, 0x1.10fc377356466p-12, 0x1.07450a664b93ap-12, 0x1.fbc526ecf509p-13, 0x1.e9a4337dbf5dfp-13, 0x1.d821ef2334e11p-13, 0x1.c7393241779dfp-13, 0x1.b6e4f7d4fdc3ap-13, 0x1.a7205ec30fcbbp-13, 0x1.97e6acebc3662p-13, 0x1.893351c467efdp-13, 0x1.7b01e65aabb05p-13, 0x1.6d4e2a7bff2afp-13, 0x1.601400d5fed34p-13, 0x1.534f6c0eefd15p-13, 0x1.46fc8d52928fp-13, 0x1.3b17a3600caeep-13, 0x1.2f9d08be7ad77p-13, 0x1.248930e3fca56p-13, 0x1.19d8a5c953076p-13, 0x1.0f8807cff6713p-13, 0x1.0594106c96b4dp-13, 0x1.f7f32bba302f7p-14, 0x1.e56b1a7d24f98p-14, 0x1.d38a132b6a73dp-14, 0x1.c24a717f64baap-14, 0x1.b1a6c118c5905p-14, 0x1.a199b4ee235f6p-14, 0x1.921e2d8808a98p-14, 0x1.832f42a82641p-14, 0x1.74c83fb2ad746p-14, 0x1.66e4641888ad3p-14, 0x1.597f42d9e549bp-14, 0x1.4c946504cb1ddp-14, 0x1.401f5018bd011p-14, 0x1.341be9e3926c1p-14, 0x1.28863da147f3fp-14, 0x1.1d5a6e14269ccp-14, 0x1.1294becec25d3p-14, 0x1.083196736dec7p-14, 0x1.fc5b01c1eeea6p-15, 0x1.e90a62cc1e7c8p-15, 0x1.d66b028839c9ep-15, 0x1.c476cbe094cbcp-15, 0x1.b327cd34b287bp-15, 0x1.a2782f1af2f53p-15, 0x1.92623bd7b078ep-15, 0x1.82e06b04334a9p-15, 0x1.73ed63e10bbfep-15, 0x1.6583f73e1c44cp-15, 0x1.579f1b7bd990ap-15, 0x1.4a39ef131570ap-15, 0x1.3d4fbcd6e782cp-15, 0x1.30dbffc656744p-15, 0x1.24da6b367db94p-15, 0x1.1946f613c80d2p-15, 0x1.0e1dda32fb546p-15, 0x1.035b7c872fb3p-15, 0x1.f1f897b107861p-16, 0x1.ddf9658ecdfc9p-16, 0x1.cab24f3dcc312p-16, 0x1.b81c8948cd18cp-16, 0x1.a6319c101cc45p-16, 0x1.94eb48b217333p-16, 0x1.84436e9a35efep-16, 0x1.74340c7c5d14fp-16, 0x1.64b750baf6899p-16, 0x1.55c79cdc75c18p-16, 0x1.475f8d076125fp-16, 0x1.397a5098cd3eap-16, 0x1.2c1379b568b8ap-16, 0x1.1f269504bf245p-16, 0x1.12affefbbed1ep-16, 0x1.06ab4f889048cp-16, 0x1.f6273ff7fc8e4p-17, 0x1.dfc95df26fa7p-17, 0x1.ca38eda6ca9a7p-17, 0x1.b56df10ada077p-17, 0x1.a15b8c75f3d53p-17, 0x1.8dfec68b53da4p-17, 0x1.7b522a642b204p-17, 0x1.694d49354ef1fp-17, 0x1.57e9bedb82921p-17, 0x1.4721a3088bd59p-17, 0x1.36ef776002ff8p-17, 0x1.274e1bd65b28cp-17, 0x1.1838b3f3607b9p-17, 0x1.09aa879fd64ebp-17, 0x1.f73dbd4428f65p-18, 0x1.dc21f286d8767p-18, 0x1.c1f872e74fbcfp-18, 0x1.a8b88cc1b9c51p-18, 0x1.9059f68cbaa12p-18, 0x1.78d49d6bba0cdp-18, 0x1.6220beec1362cp-18, 0x1.4c36f0ac903f3p-18, 0x1.370fdfd77c238p-18, 0x1.22a43077e3e8bp-18, 0x1.0eeccd35565cfp-18, 0x1.f7c6d1e2f4c93p-19, 0x1.d3052dcc10f19p-19, 0x1.af8a808bda006p-19, 0x1.8d4c22306f1efp-19, 0x1.6c3efcef799f7p-19, 0x1.4c582a04739ccp-19, 0x1.2d8d25009d1abp-19, 0x1.0fd42738c2edep-19, 0x1.e6490d28f1a9dp-20, 0x1.aeec25e511075p-20, 0x1.7980b92498ccbp-20, 0x1.45f60b5defbe4p-20, 0x1.143c102c2e48dp-20, 0x1.c885b6fecedfp-21, 0x1.6bf2ef539cap-21, 0x1.12a5c9c06ee93p-21, 0x1.790f10a8caf52p-22, 0x1.a5ecf3571af35p-23, 0x1.97402b073d09dp-25, -0x1.9d44283c6e11bp-24, -0x1.f7fbf06ed1b89p-23, -0x1.8b40717853fbfp-22, -0x1.0a9da5a994fd1p-21, -0x1.4d0e1e6a00cc2p-21, -0x1.8d07482dbb4cap-21, -0x1.ca9a167666602p-21, -0x1.02ead21c1df39p-20, -0x1.1f658a2e2d8d9p-20, -0x1.3ac603ebb62a7p-20, -0x1.551479b127983p-20, -0x1.6e590e8c0c1cdp-20, -0x1.869bc35c598dap-20, -0x1.9de4147d713a3p-20, -0x1.b438f89818653p-20, -0x1.c9a11f8c40756p-20, -0x1.de230d4e92c0cp-20, -0x1.f1c4b36d666a4p-20, -0x1.0245a2c080b91p-19, -0x1.0b3dfe69765d3p-19, -0x1.13ce6bb7f0536p-19, -0x1.1bfa28c2c3bdep-19, -0x1.23c4405714551p-19, -0x1.2b2f4b608c9bap-19, -0x1.323d60007d1b7p-19, -0x1.38f06e134432cp-19, -0x1.3f4acf5a102d7p-19, -0x1.454edfeb31c7bp-19, -0x1.4afebad19ee9p-19, -0x1.505c8212d42ccp-19, -0x1.556a49d1b97bcp-19, -0x1.5a2a10af6e31ep-19, -0x1.5e9dd7f1a107dp-19, -0x1.62c79aed26008p-19, -0x1.66a921b34571fp-19, -0x1.6a43f65530068p-19, -0x1.6d99af1d8d146p-19, -0x1.70ac01ffe83fap-19, -0x1.737c8e0a7047ep-19, -0x1.760ce9f86c32dp-19, -0x1.785ebcb11ecc4p-19, -0x1.7a739378a4885p-19, -0x1.7c4cc6d7c8b7p-19, -0x1.7debb90daa5fap-19, -0x1.7f51faf55f0dbp-19, -0x1.8081683b55dc6p-19, -0x1.817b235263726p-19, -0x1.823f25064afefp-19, -0x1.82cf0ba938d1fp-19, -0x1.832b1fed83469p-19, -0x1.8354801dea36fp-19, -0x1.83501bea456ecp-19, -0x1.831edb66070acp-19, -0x1.82bfefe77d4a3p-19, -0x1.8233e906dc6ep-19, -0x1.817c3ade49f59p-19, -0x1.809bb2cef3d29p-19, -0x1.7f9608b14b9d9p-19, -0x1.7e58541eafbd7p-19, -0x1.7cfd987346365p-19, -0x1.7b7f6128093e9p-19, -0x1.79d814f27f3c6p-19, -0x1.780d061361695p-19, -0x1.761ed414121a9p-19, -0x1.740e515183eddp-19, -0x1.71dc66847f0dbp-19, -0x1.6f89f1fe89ad7p-19, -0x1.6d17d215bccaep-19, -0x1.6a86ee3943f85p-19, -0x1.67d825142b2efp-19, -0x1.650c5541254d2p-19, -0x1.62245b8b7058ap-19, -0x1.5f2110a2d0918p-19, -0x1.5c0343f5d5611p-19, -0x1.58cbc61d19f55p-19, -0x1.557b622782fbdp-19, -0x1.5212df31ebf83p-19, -0x1.4e9307e55f1efp-19, -0x1.4afca2d266606p-19, -0x1.4750727530abfp-19, -0x1.438f34eaddda7p-19, -0x1.3fb9a4c6d2441p-19, -0x1.3bd07c0290145p-19, -0x1.37d47260512a1p-19, -0x1.33c63b92897c9p-19, -0x1.2fa69022af031p-19, -0x1.2b7623250d689p-19, -0x1.27359cfa324fcp-19, -0x1.22e5a945834c9p-19, -0x1.1e86f372a1521p-19, -0x1.1a1a2262dbd9dp-19, -0x1.159fdabd1d658p-19, -0x1.1118be272f60bp-19, -0x1.0c856e76bff5p-19, -0x1.07e68ad299224p-19, -0x1.033cad25ed8efp-19, -0x1.fd10d8d7d8f16p-20, -0x1.f394c04eb9659p-20, -0x1.ea06454388822p-20, -0x1.e066c7497aa56p-20, -0x1.d6b7f9137a2b8p-20, -0x1.ccfb2beed27dep-20, -0x1.c32fccba52166p-20, -0x1.b9562a93616e2p-20, -0x1.af6f051b240c9p-20, -0x1.a57a3ecea0d9bp-20, -0x1.9b7e5c17ba904p-20, -0x1.917ddb33cea0cp-20, -0x1.87763f201c652p-20, -0x1.7d67151e9ae68p-20, -0x1.73518728c8614p-20, -0x1.6936e54a9fe84p-20, -0x1.5f18528a450bp-20, -0x1.54f6d0d5bf8dfp-20, -0x1.4ad3507bb3266p-20, -0x1.40aebaa16391ap-20, -0x1.3689eec34e8d8p-20, -0x1.2c65c7231fa4bp-20, -0x1.22431b2db8f5fp-20, -0x1.1822bd4171f32p-20, -0x1.0e057ba10081ep-20, -0x1.03ec20bb30cc2p-20, -0x1.f3aee65c69c12p-21, -0x1.df906b79303dep-21, -0x1.cb7e4e806b7bap-21, -0x1.b77a053acd8a4p-21, -0x1.a384fd4450996p-21, -0x1.8fa09bba58efp-21, -0x1.7bce3e14e09f8p-21, -0x1.680f3b44e90d1p-21, -0x1.5464e1ac56772p-21, -0x1.40d077d7ef2d4p-21, -0x1.2d533d1c1eadep-21, -0x1.19ee68f35cfbcp-21, -0x1.06a32b9a119c4p-21, -0x1.e6e559357768dp-22, -0x1.c0bc18e5c7fd1p-22, -0x1.9accc94be7d7ep-22, -0x1.7519921ca4dc7p-22, -0x1.4fa4859d44d2ep-22, -0x1.2a6fac5b7418cp-22, -0x1.057cfeb6336fdp-22, -0x1.c19cccf0e1899p-23, -0x1.78cb7ee1c0f0dp-23, -0x1.3089addecad46p-23, -0x1.d1b5af1b39d7cp-24, -0x1.4384b6b90a6fep-24, -0x1.6d0dea442f4ccp-25, -0x1.5615142b8c236p-27, 0x1.7f099d55ebfa9p-26, 0x1.d20585fcf6311p-25, 0x1.70f82f941569bp-24, 0x1.f78761e2771dfp-24, 0x1.3e17497c4132fp-23, 0x1.805ed4cd8fe73p-23, 0x1.c1b18fb137c97p-23, 0x1.011e918115d88p-22, 0x1.2111efd49fdd6p-22, 0x1.40a7255862f3bp-22, 0x1.5fde5f2edd46ep-22, 0x1.7eb57d9dd945cp-22, 0x1.9d2b8420dd01bp-22, 0x1.bb44fbd3e93bbp-22, 0x1.d90404e9e2203p-22, 0x1.f6694f53b22eap-22, 0x1.09b97d4061b0ap-21, 0x1.18070a12ee827p-21, 0x1.261d0a2722a42p-21, 0x1.34012193bffcep-21, 0x1.41b4c2e7321a3p-21, 0x1.4f3713cc77f37p-21, 0x1.5c872d9e69fc6p-21, 0x1.69a47d1af05c5p-21, 0x1.768ea576837aep-21, 0x1.83456548f075ap-21, 0x1.8fc8891e3f4bep-21, 0x1.9c17e5ba8b4ccp-21, 0x1.a833561394889p-21, 0x1.b41ab9ca3626ap-21, 0x1.bfcdf06cfbfd1p-21, 0x1.cb4cd66697c53p-21, 0x1.d697b1c8b9cd5p-21, 0x1.e1ae07093a82cp-21, 0x1.ec8fb87485522p-21, 0x1.f73d22e98dea9p-21, 0x1.00db173645bfp-20, 0x1.05fd5d3ca3fbep-20, 0x1.0b056c1507533p-20, 0x1.0ff349485965bp-20, 0x1.14c6fbac0e662p-20, 0x1.19808bb91d659p-20, 0x1.1e20038fe7adep-20, 0x1.22a56f1ba47bcp-20, 0x1.2710dc0f3c415p-20, 0x1.2b6259bbde628p-20, 0x1.2f99f8f3670d5p-20, 0x1.33b7cc13e58dcp-20, 0x1.37bbe73cb1c9ep-20, 0x1.3ba6604903994p-20, 0x1.3f774e8c63cb6p-20, 0x1.432ecab0fc4d2p-20, 0x1.46cceeb9d2db2p-20, 0x1.4a51d603b7a94p-20, 0x1.4dbd9d45f12bcp-20, 0x1.511062991b72fp-20, 0x1.544a457de053dp-20, 0x1.576b6692859d5p-20, 0x1.5a73e77a69be1p-20, 0x1.5d63eab3f6f09p-20, 0x1.603b94785a9b4p-20, 0x1.62fb0c3e55be5p-20, 0x1.65a2750ad609cp-20, 0x1.6831f8fd9ae7ap-20, 0x1.6aa9bef925793p-20, 0x1.6d09f080218fcp-20, 0x1.6f52b8048aee2p-20, 0x1.7184413222889p-20, 0x1.739eb89fa8c55p-20, 0x1.75a24bfdb5058p-20, 0x1.778f29fe62b76p-20, 0x1.796581e4e61cbp-20, 0x1.7b25812ba2065p-20, 0x1.7ccf4a5f721a1p-20, 0x1.7e62ed05598dep-20, 0x1.7fe03b980e57ap-20, 0x1.8147ad8d13d3ap-20, 0x1.829a776556ae2p-20, 0x1.83d97b9910883p-20, 0x1.85050e8d1dffdp-20, 0x1.861c154b91a27p-20, 0x1.871b7619945d2p-20, 0x1.880498c6e6073p-20, 0x1.88da0585095c5p-20, }}, 
      {{-0x1.744eb2012b319p-10, -0x1.6c45c85a7649cp-8, -0x1.8ca5352dd7857p-7, -0x1.52455a1d6fcefp-6, -0x1.f76dc7b92c4c2p-6, -0x1.571df669216b8p-5, -0x1.b7bc0fd1cfc77p-5, -0x1.0d217bc260693p-4, -0x1.3de203c308efp-4, -0x1.6cdbd2167fef3p-4, -0x1.98fee7c3400aep-4, -0x1.c16d14d135c0ap-4, -0x1.e576895d889abp-4, -0x1.024ad09181c34p-3, -0x1.0f3522b6cd27ep-3, -0x1.195aa428792c4p-3, -0x1.20a9f1276098p-3, -0x1.251dbdb21649ap-3, -0x1.26bae44b58417p-3, -0x1.258ea85c14a71p-3, -0x1.21ad276b33a2cp-3, -0x1.1b2ffce8443f1p-3, -0x1.123511f4451a8p-3, -0x1.06dd962a189c9p-3, -0x1.f29a3b4c62856p-4, -0x1.d351c28f078d7p-4, -0x1.b02e39bd445e7p-4, -0x1.897d0e01e7be8p-4, -0x1.5f8bbf2ea8155p-4, -0x1.32a72229b5c0ep-4, -0x1.031ac3a836f2ep-4, -0x1.a260cf083b12ap-5, -0x1.3a5f40e6931a3p-5, -0x1.9d75f529c85abp-6, -0x1.7fe24dfb5ba0fp-7, 0x1.16943081765e6p-9, 0x1.09e3fecbe6d49p-6, 0x1.f45ed69a4f25bp-6, 0x1.70b5ba095a353p-5, 0x1.e81f8db47679ep-5, 0x1.3006f69e41304p-4, 0x1.6c1417de7ea92p-4, 0x1.a80dee5e13a07p-4, 0x1.e3ce421299831p-4, 0x1.0f98e4054f511p-3, 0x1.2d0c0432a62dcp-3, 0x1.4a31a0ae7c4a5p-3, 0x1.66fc26235924ep-3, 0x1.835f3e8179501p-3, 0x1.9f4fc0be0f004p-3, 0x1.bac3a3d5abf3p-3, 0x1.d5b1ebc5ae239p-3, 0x1.f0129c204ca57p-3, 0x1.04ef5470c7bf6p-2, 0x1.1187f2c031f72p-2, 0x1.1dd07cbd51dd9p-2, 0x1.29c6a7cb6fd99p-2, 0x1.356885707b0cap-2, 0x1.40b47c54d74f8p-2, 0x1.4ba942b54ea79p-2, 0x1.5645d89387951p-2, 0x1.60898283aed33p-2, 0x1.6a73c4afa5e34p-2, 0x1.74045e2bc6286p-2, 0x1.7d3b449d02ebdp-2, 0x1.8618a01e73afep-2, 0x1.8e9cc7526d523p-2, 0x1.96c83bb691e27p-2, 0x1.9e9ba618bf41p-2, 0x1.a617d32896bb3p-2, 0x1.ad3db057f76f7p-2, 0x1.b40e48a1a66e3p-2, 0x1.ba8ac1a986c01p-2, 0x1.c0b458f337985p-2, 0x1.c68c612436199p-2, 0x1.cc143f89d0644p-2, 0x1.d14d69c40bf67p-2, 0x1.d6396379948a6p-2, 0x1.dad9bc50a8a15p-2, 0x1.df300dfd6af1bp-2, 0x1.e33dfa6e35058p-2, 0x1.e7052a1901cdep-2, 0x1.ea874a73394ffp-2, 0x1.edc60c6f4757ep-2, 0x1.f0c323266425p-2, 0x1.f38042962650fp-2, 0x1.f5ff1e7bc79ddp-2, 0x1.f84169470bb8ap-2, 0x1.fa48d328e8e7ep-2, 0x1.fc17093300a7fp-2, 0x1.fdadb49005678p-2, 0x1.ff0e79d07bf3ap-2, 0x1.001d7c22d2383p-1, 0x1.009a64b81e31p-1, 0x1.00fec0400f5b5p-1, 0x1.014b54f0f5685p-1, 0x1.0180e56f3a6fp-1, 0x1.01a030a49b0f1p-1, 0x1.01a9f19f91c46p-1, 0x1.019edf77cf07fp-1, 0x1.017fad39cc093p-1, 0x1.014d09d66b578p-1, 0x1.0107a016eba6fp-1, 0x1.00b016987fefap-1, 0x1.00470fc5c46eap-1, 0x1.ff9a53ad6de78p-2, 0x1.fe85fda9bd88dp-2, 0x1.fd52493f9f834p-2, 0x1.fc0059edae549p-2, 0x1.fa914b0740d52p-2, 0x1.f9062fcfc063cp-2, 0x1.f76013a1c902p-2, 0x1.f59ffa05c3d71p-2, 0x1.f3c6dee8dddacp-2, 0x1.f1d5b6b763c26p-2, 0x1.efcd6e967ef4bp-2, 0x1.edaeec83ce6d2p-2, 0x1.eb7b0f8e29e14p-2, 0x1.e932aff87f25bp-2, 0x1.e6d69f70164a8p-2, 0x1.e467a93c2e5a2p-2, 0x1.e1e6926366f94p-2, 0x1.df5419e50469ap-2, 0x1.dcb0f8e02d8dfp-2, 0x1.d9fde2c9add7bp-2, 0x1.d73b8592987bfp-2, 0x1.d46a89dd84ad3p-2, 0x1.d18b932570962p-2, 0x1.ce9f3ff252ee8p-2, 0x1.cba629fe9a286p-2, 0x1.c8a0e6669b71dp-2, 0x1.c59005cfdc992p-2, 0x1.c274149457366p-2, 0x1.bf4d9aeed62fp-2, 0x1.bc1d1d16b6c15p-2, 0x1.b8e31b6cf897dp-2, 0x1.b5a012a5565a7p-2, 0x1.b2547be107a3ap-2, 0x1.af00ccd03bea2p-2, 0x1.aba577e30f9ddp-2, 0x1.a842ec45683ap-2, 0x1.a4d99638582fcp-2, 0x1.a169dee1a7918p-2, 0x1.9df42cb5dbf06p-2, 0x1.9a78e362ff73ep-2, 0x1.96f863f870013p-2, 0x1.93730cf120dd5p-2, 0x1.8fe93a75c5c0cp-2, 0x1.8c5b46486f3d6p-2, 0x1.88c987e0bdb28p-2, 0x1.8534548e6104ap-2, 0x1.819bff8fe7058p-2, 0x1.7e00da2023b03p-2, 0x1.7a63336b98e32p-2, 0x1.76c358c12d794p-2, 0x1.732195b35c1e3p-2, 0x1.6f7e33f214eb4p-2, 0x1.6bd97b868a909p-2, 0x1.6833b2b4ce301p-2, 0x1.648d1e2e4944p-2, 0x1.60e601249d50ap-2, 0x1.5d3e9d204ff36p-2, 0x1.599732422f2bap-2, 0x1.55efff1578ba5p-2, 0x1.524940d211153p-2, 0x1.4ea3333fd31acp-2, 0x1.4afe10d9e4a74p-2, 0x1.475a12a2f4511p-2, 0x1.43b7706b1edcbp-2, 0x1.4016609f1bfccp-2, 0x1.3c77187f14e2fp-2, 0x1.38d9cc00ecf2dp-2, 0x1.353eadd6be04dp-2, 0x1.31a5ef927ad43p-2, 0x1.2e0fc17e67f83p-2, 0x1.2a7c52d42c121p-2, 0x1.26ebd188977f9p-2, 0x1.235e6a79c045dp-2, 0x1.1fd4495f1979ep-2, 0x1.1c4d98d1e7883p-2, 0x1.18ca82585d4d4p-2, 0x1.154b2e677a978p-2, 0x1.11cfc44578ea6p-2, 0x1.0e586a3fe16cfp-2, 0x1.0ae5457f1b2a3p-2, 0x1.07767a31aa457p-2, 0x1.040c2b7a5272cp-2, 0x1.00a67b6f3a9f3p-2, 0x1.fa8b16403b1dep-3, 0x1.f3d2f52fd83c3p-3, 0x1.ed24d1db5ae8ap-3, 0x1.e680e86ba2a78p-3, 0x1.dfe773145d04fp-3, 0x1.d958aa11cb97fp-3, 0x1.d2d4c3a6c879ep-3, 0x1.cc5bf444d13dbp-3, 0x1.c5ee6e75cafc5p-3, 0x1.bf8c62e5bc816p-3, 0x1.b93600649891ap-3, 0x1.b2eb73e809135p-3, 0x1.acace88ee856bp-3, 0x1.a67a87c4203ep-3, 0x1.a05479171c2d7p-3, 0x1.9a3ae26a73e59p-3, 0x1.942de7d22250ap-3, 0x1.8e2daba8b1a98p-3, 0x1.883a4ea4560b6p-3, 0x1.8253efcef844ap-3, 0x1.7c7aac87b9bf7p-3, 0x1.76aea07369276p-3, 0x1.70efe5a534813p-3, 0x1.6b3e94b9ef817p-3, 0x1.659ac496640efp-3, 0x1.60048a89e787p-3, 0x1.5a7bfa8a62652p-3, 0x1.550126f1ec737p-3, 0x1.4f9420a6a59ebp-3, 0x1.4a34f6febd102p-3, 0x1.44e3b7f3e553ep-3, 0x1.3fa070144cef7p-3, 0x1.3a6b2a862da87p-3, 0x1.3543f112385f4p-3, 0x1.302acc29e080dp-3, 0x1.2b1fc2ec4b253p-3, 0x1.2622db2b09671p-3, 0x1.2134196f8388ap-3, 0x1.1c538100598a5p-3, 0x1.178113e7e525bp-3, 0x1.12bcd308118b9p-3, 0x1.0e06be0964c2ep-3, 0x1.095ed37574a64p-3, 0x1.04c510b0c4c9cp-3, 0x1.003971fbefc9dp-3, 0x1.f777e5197e294p-4, 0x1.ee99190dcb525p-4, 0x1.e5d6720a9de7dp-4, 0x1.dd2fe042fce62p-4, 0x1.d4a551f2f4cdp-4, 0x1.cc36b36ae5894p-4, 0x1.c3e3ef1b1a42bp-4, 0x1.bbaced9fd5449p-4, 0x1.b39195cef085ap-4, 0x1.ab91ccc4e8a75p-4, 0x1.a3ad75ef381a4p-4, 0x1.9be4731b14a44p-4, 0x1.9436a48d542ep-4, 0x1.8ca3e8ee0a0a4p-4, 0x1.852c1d7ac630bp-4, 0x1.7dcf1df420dc7p-4, 0x1.768cc4b12862ap-4, 0x1.6f64eabc6b7aap-4, 0x1.685767cf3b07bp-4, 0x1.61641260f4e2cp-4, 0x1.5a8abfb432092p-4, 0x1.53cb43e19ed54p-4, 0x1.4d2571e254e83p-4, 0x1.46991b9a7629fp-4, 0x1.402611e46c73ep-4, 0x1.39cc249cc9ab8p-4, 0x1.338b22ae3dae4p-4, 0x1.2d62da1cd1c2ap-4, 0x1.27531810503a9p-4, 0x1.215ba8dcd225fp-4, 0x1.1b7c5809e651bp-4, 0x1.15b4f0623d2d8p-4, 0x1.10053bf95b5d5p-4, 0x1.0a6d04343822bp-4, 0x1.04ec11e532be8p-4, 0x1.ff045a7d3a056p-5, 0x1.f45e3bdbba239p-5, 0x1.e9e5563816b1ep-5, 0x1.df9936dc1e79fp-5, 0x1.d5796a1b6230dp-5, 0x1.cb857b6b56232p-5, 0x1.c1bcf58226c3dp-5, 0x1.b81f627735e82p-5, 0x1.aeac4bdcb3848p-5, 0x1.a5633acb9b285p-5, 0x1.9c43b7e14c443p-5, 0x1.934d4b356b89cp-5, 0x1.8a7f7c5454c4bp-5, 0x1.81d9d24a38eb2p-5, 0x1.795bd3c4a71a3p-5, 0x1.710507457e069p-5, 0x1.68d4f358349d6p-5, 0x1.60cb1eb5aa5c8p-5, 0x1.58e71049b7efbp-5, 0x1.51284f1a79beap-5, 0x1.498e620fc2f66p-5, 0x1.4218cfcfda48cp-5, 0x1.3ac71eb58a715p-5, 0x1.3398d4ec733fp-5, 0x1.2c8d78d06cf0bp-5, 0x1.25a4914f05e3dp-5, 0x1.1edda63a3c678p-5, 0x1.18384067c92a2p-5, 0x1.11b3e989165dbp-5, 0x1.0b502bc6a8fb2p-5, 0x1.050c9145c6393p-5, 0x1.fdd1479a829f1p-6, 0x1.f1c7d970537d9p-6, 0x1.e5fbea9527b3dp-6, 0x1.da6c8eacd7438p-6, 0x1.cf18dbf612a4ap-6, 0x1.c3ffec722b0f3p-6, 0x1.b920de39f729ap-6, 0x1.ae7ad2c95ea8fp-6, 0x1.a40ced6c6053bp-6, 0x1.99d651546f6ddp-6, 0x1.8fd6200f04f09p-6, 0x1.860b7904dc00fp-6, 0x1.7c757a55663bap-6, 0x1.731342e431d1dp-6, 0x1.69e3f4f50f8bfp-6, 0x1.60e6b87f99604p-6, 0x1.581abc4ed0c87p-6, 0x1.4f7f356b44888p-6, 0x1.47135cf2b1fc7p-6, 0x1.3ed66cd740a7p-6, 0x1.36c79cb2781d3p-6, 0x1.2ee61feb7a91ap-6, 0x1.27312655dd852p-6, 0x1.1fa7dcae2e1d1p-6, 0x1.184970fcca6bbp-6, 0x1.1115182d03614p-6, 0x1.0a0a104a83676p-6, 0x1.0327a1730cep-6, 0x1.f8da37acec92ap-7, 0x1.ebb3aa0b3f018p-7, 0x1.deda457adeb3ep-7, 0x1.d24cac67babb9p-7, 0x1.c60972a298236p-7, 0x1.ba0f1da0019p-7, 0x1.ae5c2ac3a6adep-7, 0x1.a2ef19e6f48c4p-7, 0x1.97c678cf60ebbp-7, 0x1.8ce0ebfffcbcep-7, 0x1.823d323d8ecddp-7, 0x1.77da21bd1f2aap-7, 0x1.6db69fb288caap-7, 0x1.63d1946bf1936p-7, 0x1.5a29df325a562p-7, 0x1.50be4d8884cf5p-7, 0x1.478d98bc1f9e4p-7, 0x1.3e966b1c62eep-7, 0x1.35d76b7052e5fp-7, 0x1.2d4f4a6b5d5c2p-7, 0x1.24fcce57e0e3dp-7, 0x1.1cded90123f17p-7, 0x1.14f466dfb364bp-7, 0x1.0d3c89020f493p-7, 0x1.05b65b3dcad6dp-7, 0x1.fcc1f17779faep-8, 0x1.ee76e261ee248p-8, 0x1.e089832194a7ap-8, 0x1.d2f7a643e9c2ep-8, 0x1.c5bf049ad9c2cp-8, 0x1.b8dd568a4bb8ap-8, 0x1.ac506f1543df9p-8, 0x1.a0164d8a64ccap-8, 0x1.942d202f16073p-8, 0x1.88933ad1fdf91p-8, 0x1.7d47095012997p-8, 0x1.724704416323fp-8, 0x1.6791a7fb1e3b9p-8, 0x1.5d256a848e397p-8, 0x1.5300affabf748p-8, 0x1.4921c3181ae37p-8, 0x1.3f86d9dc0247p-8, 0x1.362e286f44969p-8, 0x1.2d15f9f23cdcfp-8, 0x1.243cc089e9186p-8, 0x1.1ba1121d924a8p-8, 0x1.1341944beee5ep-8, 0x1.0b1ce6ab92692p-8, 0x1.03319b9b566e1p-8, 0x1.f6fc868d9b8afp-9, 0x1.e802fa91b33e9p-9, 0x1.d973fd8959b59p-9, 0x1.cb4d123d264a3p-9, 0x1.bd8bb5001f4e3p-9, 0x1.b02d5251113ep-9, 0x1.a32f62593cc8ep-9, 0x1.968f917f98d49p-9, 0x1.8a4bd1555d3ebp-9, 0x1.7e623ca1eaadbp-9, 0x1.72d0d61048a35p-9, 0x1.67954ad79bee2p-9, 0x1.5cace8a52caa1p-9, 0x1.5214d63ba291dp-9, 0x1.47ca6cc831f03p-9, 0x1.3dcb74ed1529dp-9, 0x1.3416211663df5p-9, 0x1.2aa8d4b33fd18p-9, 0x1.2181f0b345a66p-9, 0x1.189fcf7f7fb0ep-9, 0x1.1000e5b08e4bbp-9, 0x1.07a3d9b14ad66p-9, 0x1.ff0ee2e6f07ddp-10, 0x1.ef54b415ef49ap-10, 0x1.e015d20e99043p-10, 0x1.d14dfe01bc41p-10, 0x1.c2f848251a316p-10, 0x1.b50faf12a1a88p-10, 0x1.a78fd74c9e162p-10, 0x1.9a757420fb94p-10, 0x1.8dbe295626113p-10, 0x1.81680d146a00cp-10, 0x1.75713917686p-10, 0x1.69d7bcf3d464ap-10, 0x1.5e99d07fd22a6p-10, 0x1.53b5e432de8d8p-10, 0x1.492a6290c925bp-10, 0x1.3ef5441d48089p-10, 0x1.3513bd9186173p-10, 0x1.2b824dd028e1ap-10, 0x1.223d2d864b8fap-10, 0x1.1940d3e0f0bb5p-10, 0x1.108a484f29d1bp-10, 0x1.08172d2762358p-10, 0x1.ffcb1fe23e4d3p-11, 0x1.efe766ae127aep-11, 0x1.e08024d12a714p-11, 0x1.d19304e067481p-11, 0x1.c31e5b48a6b3fp-11, 0x1.b520b422ff95p-11, 0x1.a79807c9ac10dp-11, 0x1.9a81810e623d6p-11, 0x1.8dd9a5e64238p-11, 0x1.819baccefcbc5p-11, 0x1.75c1a7aad07a3p-11, 0x1.6a45e0b44f90cp-11, 0x1.5f243278aaa42p-11, 0x1.545a513772213p-11, 0x1.49e6cf5149894p-11, 0x1.3fc7ad02583aep-11, 0x1.35f990ac7b21dp-11, 0x1.2c788b31718f4p-11, 0x1.23420a5a60412p-11, 0x1.1a55baaa24f33p-11, 0x1.11b3e4a7c0f62p-11, 0x1.095b3592e5a09p-11, 0x1.0148db381febfp-11, 0x1.f2f47a16a01a1p-12, 0x1.e3da4ea44df2dp-12, 0x1.d53d14b3b4fb5p-12, 0x1.c714954c03af4p-12, 0x1.b958fd28e5a3p-12, 0x1.ac05a5a0a4b5dp-12, 0x1.9f19ba75d6f78p-12, 0x1.9295dd7d2e0b5p-12, 0x1.8678ea5c6b22fp-12, 0x1.7abeaecb98118p-12, 0x1.6f60afdecf64p-12, 0x1.6459167d0b7b6p-12, 0x1.59a6b45b7e21bp-12, 0x1.4f4b7d7917b57p-12, 0x1.4545e4783e91p-12, 0x1.3b90152619981p-12, 0x1.3226088cb372bp-12, 0x1.2907137219bd7p-12, 0x1.2031b0d0d6a8fp-12, 0x1.17a1ed1c6aa41p-12, 0x1.0f52cf0ba37dfp-12, 0x1.073fd65a36e23p-12, 0x1.fecc9d8603ae4p-13, 0x1.ef8bc72709e42p-13, 0x1.e0bec1f17d26dp-13, 0x1.d264f5b794027p-13, 0x1.c47a3be89e093p-13, 0x1.b6f98f2fe79b7p-13, 0x1.a9dcef4eb4d89p-13, 0x1.9d1dbcc50c5efp-13, 0x1.90bab50619883p-13, 0x1.84b30dca4b20cp-13, 0x1.78ff9219c902dp-13, 0x1.6d9c1cf7ba7cp-13, 0x1.628af7b71114bp-13, 0x1.57cba7a69766bp-13, 0x1.4d5a2dc8a12cep-13, 0x1.433247b4c3bbcp-13, 0x1.394ee311fd697p-13, 0x1.2faa43ad8eed1p-13, 0x1.264193b94c85cp-13, 0x1.1d16209fa602ap-13, 0x1.14289fad5f0afp-13, 0x1.0b768c6824529p-13, 0x1.02fe729256eedp-13, 0x1.f581dd204df7bp-14, 0x1.e577506e626ffp-14, 0x1.d5cf00ed184e3p-14, 0x1.c680db8e8b6d3p-14, 0x1.b7905740c84b2p-14, 0x1.a8f7beec16ecp-14, 0x1.9ab38b227f003p-14, 0x1.8cc91752114f5p-14, 0x1.7f3627853f52ep-14, 0x1.71f6219facf71p-14, 0x1.65070d5418907p-14, 0x1.5864817848475p-14, 0x1.4c058eec772e4p-14, 0x1.3fe666aa47fe1p-14, 0x1.340ba1cabac32p-14, 0x1.2873c3d097e3bp-14, 0x1.1d19a5fe47ae1p-14, 0x1.11ffe358b5cd7p-14, 0x1.07263fc541668p-14, 0x1.f90dafc22d1b2p-15, 0x1.e43f6631c0437p-15, 0x1.cfe2ba111291dp-15, 0x1.bbec9c175d397p-15, 0x1.a85a320748e1dp-15, 0x1.9526d550dfb1bp-15, 0x1.8252971b94897p-15, 0x1.6fe503e75ab75p-15, 0x1.5dd702e323242p-15, 0x1.4c246568563abp-15, 0x1.3ace31e98ed0fp-15, 0x1.29d1e1b9246afp-15, 0x1.1924655ac7ee1p-15, 0x1.08c3bff79bb86p-15, 0x1.f16a5cea9b5afp-16, 0x1.d1e2fe664f039p-16, 0x1.b2f7b71a5a934p-16, 0x1.94ac3263ce155p-16, 0x1.76f423f87fe37p-16, 0x1.59c436f069d86p-16, 0x1.3d1ba1c09f927p-16, 0x1.20fafcd496e16p-16, 0x1.056b39d1a7ac2p-16, 0x1.d4d2471060bf2p-17, 0x1.9fc15eb390d59p-17, 0x1.6b9af00ee28e4p-17, 0x1.387323cc279dap-17, 0x1.0654c9354573ep-17, 0x1.aa4d5a1f37fc7p-18, 0x1.49c9368fe0652p-18, 0x1.d658438d7d092p-19, 0x1.1cfd2c37fc18p-19, 0x1.9c7e74b160e29p-21, -0x1.2d51aa31175fep-21, -0x1.f4f6082d449b4p-20, -0x1.a6227493b9cefp-19, -0x1.270f16ff12b38p-18, -0x1.79631cc093d04p-18, -0x1.ca1c10c0c3756p-18, -0x1.0c9cb795faa7ep-17, -0x1.335d62e46e853p-17, -0x1.5950c9632fdc9p-17, -0x1.7e7a7bea6a0bep-17, -0x1.a2d9de7219fd5p-17, -0x1.c6621f566264p-17, -0x1.e9280a53d4405p-17, -0x1.059e635647d54p-16, -0x1.164438d44e22ap-16, -0x1.2686a2e2a0021p-16, -0x1.366d1ceacac4dp-16, -0x1.45f79ae0f488fp-16, -0x1.552289e7993c3p-16, -0x1.63e954f70fd5ap-16, -0x1.7256a4fe38448p-16, -0x1.806fdb97b7626p-16, -0x1.8e2e1af9cc892p-16, -0x1.9b8d115269b1dp-16, -0x1.a894b5583d857p-16, -0x1.b545ccb8c2d28p-16, -0x1.c19fb515eaf42p-16, -0x1.cda2c51f2e4e4p-16, -0x1.d94fcf779c085p-16, -0x1.e4a7a7f91b5edp-16, -0x1.efaab771b51c4p-16, -0x1.fa5967be9b729p-16, -0x1.025aa18b3b2c3p-15, -0x1.075eebe3662b4p-15, -0x1.0c3842725a817p-15, -0x1.10eb528431188p-15, -0x1.1574dfaefb48dp-15, -0x1.19d5de511edddp-15, -0x1.1e10271fd7fafp-15, -0x1.2223a3b66edd5p-15, -0x1.260f241e78501p-15, -0x1.29d1440501968p-15, -0x1.2d6f69ac9542ap-15, -0x1.30e81f707673fp-15, -0x1.343903835414p-15, -0x1.37652062a0e9p-15, -0x1.3a6c97a7e5d54p-15, -0x1.3d4f4ccef9673p-15, -0x1.400d78c71d6b3p-15, -0x1.42a7724d9c4c4p-15, -0x1.451d9ad83c4d5p-15, -0x1.477058cdbca51p-15, -0x1.49a0131c0245fp-15, -0x1.4bad2121973d6p-15, -0x1.4d97b9d70f7c9p-15, -0x1.4f602ef82f21fp-15, -0x1.51074c8de7de4p-15, -0x1.528d0b8ac3075p-15, -0x1.53f19abb4af93p-15, -0x1.5535937ee696ap-15, -0x1.565932e701072p-15, -0x1.575d870016cdcp-15, -0x1.5842b17377fd3p-15, -0x1.590880172e3e7p-15, -0x1.59ae9a97740ecp-15, -0x1.5a37ca987ddbep-15, -0x1.5aa1f0bede1efp-15, -0x1.5aeee9c7491dbp-15, -0x1.5b1f09ec6edb3p-15, -0x1.5b326ce156b6ap-15, -0x1.5b296d86783acp-15, -0x1.5b04723fb8acbp-15, -0x1.5ac3e13210d81p-15, -0x1.5a6820cfdd687p-15, -0x1.59f1994f13854p-15, -0x1.5960b4844b4bbp-15, -0x1.58b5ddaa9f2a4p-15, -0x1.57f17fbb52ed7p-15, -0x1.5713fcc03e057p-15, -0x1.561db56b5bce4p-15, -0x1.550f55a0ee046p-15, -0x1.53e88f4c4ea2bp-15, -0x1.52aaa8db2b6c5p-15, -0x1.51556dd81e8fep-15, -0x1.4fe94c61d8b19p-15, -0x1.4e672802ce6c2p-15, -0x1.4ccf3cde583a9p-15, -0x1.4b21fc49d1d84p-15, -0x1.495f5a3de3c02p-15, -0x1.478801ef4f0d5p-15, -0x1.459c67e4b9e96p-15, -0x1.439d3e2f43d09p-15, -0x1.418ab30c80b57p-15, -0x1.3f651d07f3fccp-15, -0x1.3d2ce830f09fdp-15, -0x1.3ae285feb72aep-15, -0x1.38866146e4f62p-15, -0x1.3618e18e3b4d2p-15, -0x1.339a6e2337dc1p-15, -0x1.310b6ed61b383p-15, -0x1.2e6c4bb5a9f49p-15, -0x1.2bbd6cacfc102p-15, -0x1.28ff398c70cp-15, -0x1.263219950e17dp-15, -0x1.23567050b630dp-15, -0x1.206c9d91ed285p-15, -0x1.1d7507499b4bap-15, -0x1.1a70232081a59p-15, -0x1.175e6cbc055ffp-15, -0x1.143fe92d34eaap-15, -0x1.11153981e5c2ap-15, -0x1.0dded0f4acd76p-15, -0x1.0a9d1d45b7a9dp-15, -0x1.0750580617c5fp-15, -0x1.03f8ae3d9d603p-15, -0x1.0096d9e41406ap-15, -0x1.fa565bfc2535fp-16, -0x1.f36beca883677p-16, -0x1.ec6f21ff4b4e7p-16, -0x1.e560b8a68486ep-16, -0x1.de416aa965836p-16, -0x1.d711eff33f1acp-16, -0x1.cfd2fe99cc748p-16, -0x1.c8854ae98cec2p-16, -0x1.c129875f69ba3p-16, -0x1.b9c064d1c1646p-16, -0x1.b24a92a66e79bp-16, -0x1.aac8beba371afp-16, -0x1.a33b952d4be1bp-16, -0x1.9ba3c06c294bp-16, -0x1.9401e9231bf62p-16, -0x1.8c56b510fb3d2p-16, -0x1.84a2c6444992bp-16, -0x1.7ce6bf47d047ap-16, -0x1.752344bcd61eep-16, -0x1.6d59087638296p-16, -0x1.65888311e59d9p-16, -0x1.5db24edb1623cp-16, -0x1.55d728b9f3465p-16, -0x1.4df7b4e66dab1p-16, -0x1.46143c3c75119p-16, -0x1.3e2d7cf5905ddp-16, -0x1.36441fe636cd8p-16, -0x1.2e589e98578f3p-16, -0x1.266b85ec6bf92p-16, -0x1.1e7d6203c4e83p-16, -0x1.168ebc7ee4e7cp-16, -0x1.0ea01cb0109edp-16, -0x1.06b207b89f9c4p-16, -0x1.fd8a01bc5ee79p-17, -0x1.edb30d4d065cep-17, -0x1.dde03bf631606p-17, -0x1.ce126fe141aa4p-17, -0x1.be4abb24cdf98p-17, -0x1.ae8a0cd1d87ap-17, -0x1.9ed151a984f55p-17, -0x1.8f21697634f02p-17, -0x1.7f7b259c7e013p-17, -0x1.6fdf706b4ba6ap-17, -0x1.604f34845745bp-17, }}, 
      {{0x1.108e0c52c0b78p-2, 0x1.0845034363b9dp-1, 0x1.7aeb13db27874p-1, 0x1.dda9f1cf08b0ap-1, 0x1.17cf9cab31f58p+0, 0x1.38815cf31b3cap+0, 0x1.51604f894475fp+0, 0x1.6318b4437ae95p+0, 0x1.6e73610cfc1eap+0, 0x1.7443efa538cb9p+0, 0x1.755ca2d4ac4b2p+0, 0x1.72867762637fbp+0, 0x1.6c7c3b9cfead7p+0, 0x1.63e7d2cfeed5p+0, 0x1.596101f0b4408p+0, 0x1.4d6d4c1f0fdfp+0, 0x1.408084ee78101p+0, 0x1.32fdd619a9ceep+0, 0x1.253908a21a133p+0, 0x1.1777eea390d16p+0, 0x1.09f3d64d52525p+0, 0x1.f9b5eaf625aeap-1, 0x1.e0a3876208899p-1, 0x1.c8e8795b23f27p-1, 0x1.b2ae112c376ebp-1, 0x1.9e1111bcc777ep-1, 0x1.8b23944ab9f28p-1, 0x1.79eeb7c908534p-1, 0x1.6a741e78cd176p-1, 0x1.5caf3d186d81bp-1, 0x1.50967fbf7badep-1, 0x1.461c48a03bbaap-1, 0x1.3d2fcce090fc7p-1, 0x1.35bdd351b7e6ep-1, 0x1.2fb158682fbafp-1, 0x1.2af41a6f2aa4dp-1, 0x1.276f10aa55b14p-1, 0x1.250acfd40154ap-1, 0x1.23afde27c8e92p-1, 0x1.2346f8f69074ep-1, 0x1.23b94d9230493p-1, 0x1.24f0a734e2339p-1, 0x1.26d79353e6b7ep-1, 0x1.29597d9f44228p-1, 0x1.2c62c4ecb50dbp-1, 0x1.2fe0ca130eb43p-1, 0x1.33c1f97be2854p-1, 0x1.37f5d060d86b6p-1, 0x1.3c6cde762d2efp-1, 0x1.4118c43eba106p-1, 0x1.45ec2f43e4ccdp-1, 0x1.4adad3e6e68b8p-1, 0x1.4fd965b526ab2p-1, 0x1.54dd8ea9692b4p-1, 0x1.59dde4ee85932p-1, 0x1.5ed1e0b0ba29dp-1, 0x1.63b1d0b99e801p-1, 0x1.6876cf6ba10ddp-1, 0x1.6d1ab73b71386p-1, 0x1.71981768f3be4p-1, 0x1.75ea28cf7cbacp-1, 0x1.7a0cc2f028b12p-1, 0x1.7dfc5152a8207p-1, 0x1.81b5c93c000ddp-1, 0x1.85369fca6e4c6p-1, 0x1.887cc0734ff77p-1, 0x1.8b8683f06bfa4p-1, 0x1.8e52a78e160a8p-1, 0x1.90e044e54e379p-1, 0x1.932eca00c20adp-1, 0x1.953df1d372eedp-1, 0x1.970dbd30bd9d8p-1, 0x1.989e6c0f24f9ep-1, 0x1.99f07735e5a16p-1, 0x1.9b048a5a7814cp-1, 0x1.9bdb7e90bd2e1p-1, 0x1.9c765519c2032p-1, 0x1.9cd63297a97ffp-1, 0x1.9cfc5a8f396fcp-1, 0x1.9cea2b3be0c93p-1, 0x1.9ca119b5e3049p-1, 0x1.9c22ae64e8e5fp-1, 0x1.9b7081ba95734p-1, 0x1.9a8c3931442a6p-1, 0x1.9977848f3ef82p-1, 0x1.98341b618a107p-1, 0x1.96c3bab09c736p-1, 0x1.952822e854848p-1, 0x1.936315ef23914p-1, 0x1.9176556fe83c8p-1, 0x1.8f63a14d83548p-1, 0x1.8d2cb6408ea68p-1, 0x1.8ad34c9e10ad6p-1, 0x1.885917445abc7p-1, 0x1.85bfc2a861e32p-1, 0x1.8308f402c1a39p-1, 0x1.8036489a630bdp-1, 0x1.7d495523ffb39p-1, 0x1.7a43a53a7033cp-1, 0x1.7726baed490b9p-1, 0x1.73f40e61b39b2p-1, 0x1.70ad0d896b52p-1, 0x1.6d531be8a0a1ep-1, 0x1.69e7926cc75bep-1, 0x1.666bbf5397c05p-1, 0x1.62e0e61f7fb5dp-1, 0x1.5f483f950a052p-1, 0x1.5ba2f9c2d5f1bp-1, 0x1.57f23814989p-1, 0x1.5437136a01d44p-1, 0x1.50729a3559e42p-1, 0x1.4ca5d09f5aee8p-1, 0x1.48d1b0b1c69bbp-1, 0x1.44f72a80e0ea6p-1, 0x1.4117246145af6p-1, 0x1.3d327b1911277p-1, 0x1.394a02190ae81p-1, 0x1.355e83b733839p-1, 0x1.3170c16b9566bp-1, 0x1.2d81740c0a16cp-1, 0x1.29914c0d3790bp-1, 0x1.25a0f1c1606bfp-1, 0x1.21b1059651b66p-1, 0x1.1dc2205786559p-1, 0x1.19d4d36870efdp-1, 0x1.15e9a9063cc9dp-1, 0x1.12012483a8c99p-1, 0x1.0e1bc28541b24p-1, 0x1.0a39f93ba9318p-1, 0x1.065c38a0d4782p-1, 0x1.0282eaae58e9ap-1, 0x1.fd5ce72c0930cp-2, 0x1.f5be63f54cf2ep-2, 0x1.ee2afe474da79p-2, 0x1.e6a35e64dbd5ep-2, 0x1.df2822aa20122p-2, 0x1.d7b9dff2c54bp-2, 0x1.d05921f6a52bap-2, 0x1.c9066ba860311p-2, 0x1.c1c2378f2f17bp-2, 0x1.ba8cf82b5fe88p-2, 0x1.b3671830ce498p-2, 0x1.ac50faf6195dp-2, 0x1.a54afcaf74e8fp-2, 0x1.9e5572c7df131p-2, 0x1.9770ac213ec4bp-2, 0x1.909cf163bc7bfp-2, 0x1.89da8539db8bp-2, 0x1.8329a49d091b9p-2, 0x1.7c8a870d238cap-2, 0x1.75fd5ecccf117p-2, 0x1.6f825920e5eb1p-2, 0x1.69199e8704a59p-2, 0x1.62c352efbd5adp-2, 0x1.5c7f95ea0d6fcp-2, 0x1.564e82d461349p-2, 0x1.5030311fcc219p-2, 0x1.4a24b4658428p-2, 0x1.442c1ca41b74ap-2, 0x1.3e467660298fbp-2, 0x1.3873caccac178p-2, 0x1.32b42001e9311p-2, 0x1.2d07790739fa4p-2, 0x1.276dd611c6e28p-2, 0x1.21e73493f8a1dp-2, 0x1.1c738f6d0d7d9p-2, 0x1.1712def62bc1cp-2, 0x1.11c51935ac8fdp-2, 0x1.0c8a31e516d47p-2, 0x1.07621aaa3d76ep-2, 0x1.024cc3176c351p-2, 0x1.fa9431a13494dp-3, 0x1.f0b40f4849163p-3, 0x1.e6f8f32e85b63p-3, 0x1.dd62ae2ae2efap-3, 0x1.d3f10dd20925fp-3, 0x1.caa3dcdee6315p-3, 0x1.c17ae319af177p-3, 0x1.b875e59da5644p-3, 0x1.af94a702b5df2p-3, 0x1.a6d6e799fdfaep-3, 0x1.9e3c654bdbef4p-3, 0x1.95c4dbf6a364dp-3, 0x1.8d700563cb90fp-3, 0x1.853d99962ccb6p-3, 0x1.7d2d4ec166038p-3, 0x1.753ed9716ad03p-3, 0x1.6d71eca7d0beep-3, 0x1.65c639f482d65p-3, 0x1.5e3b719664ff4p-3, 0x1.56d1428553ae2p-3, 0x1.4f875a9b56672p-3, 0x1.485d669f9af96p-3, 0x1.4153125f04103p-3, 0x1.3a6808c9c931p-3, 0x1.339bf3f4afdf5p-3, 0x1.2cee7d403b8eap-3, 0x1.265f4d65561d1p-3, 0x1.1fee0c850aadbp-3, 0x1.199a623b4149bp-3, 0x1.1363f5b425153p-3, 0x1.0d4a6dab567b4p-3, 0x1.074d709b9dea4p-3, 0x1.016ca4acf53b1p-3, 0x1.f74f5fb91900bp-4, 0x1.ebfc6ffdef64cp-4, 0x1.e0dfc589b0a12p-4, 0x1.d5f8abae17df4p-4, 0x1.cb466dbe7f753p-4, 0x1.c0c85728bbfe4p-4, 0x1.b67db38521179p-4, 0x1.ac65cea912c9p-4, 0x1.a27ff4cec314ap-4, 0x1.98cb72992e4fap-4, 0x1.8f47951790b98p-4, 0x1.85f3aa1164738p-4, 0x1.7cceffc9f565dp-4, 0x1.73d8e56dd127fp-4, 0x1.6b10aacf1bcd1p-4, 0x1.6275a09617243p-4, 0x1.5a0718555c194p-4, 0x1.51c4649353f7ap-4, 0x1.49acd8d859041p-4, 0x1.41bfc9bb99058p-4, 0x1.39fc8cee10807p-4, 0x1.326279451aa22p-4, 0x1.2af0e6c86c8eep-4, 0x1.23a72ebffdddcp-4, 0x1.1c84aba28a542p-4, 0x1.1588b9534158fp-4, 0x1.0eb2b4fa1bebfp-4, 0x1.0801fd246af2p-4, 0x1.0175f1d85ccbdp-4, 0x1.f61be8e08c032p-5, 0x1.e992cf8a4c806p-5, 0x1.dd4f60607cc0dp-5, 0x1.d150671bd331fp-5, 0x1.c594b285761d4p-5, 0x1.ba1b14807ca82p-5, 0x1.aee2621331e6bp-5, 0x1.a3e973706006fp-5, 0x1.992f2400a176cp-5, 0x1.8eb2526ab6d25p-5, 0x1.8471e0a102207p-5, 0x1.7a6cb3df765a7p-5, 0x1.70a1b489c75dp-5, 0x1.670fce96564adp-5, 0x1.5db5f11775112p-5, 0x1.54930ea07bcedp-5, 0x1.4ba61d31d089fp-5, 0x1.42ee1601832e9p-5, 0x1.3a69f5b5f47d1p-5, 0x1.3218bc5da1882p-5, 0x1.29f96d6b21bb2p-5, 0x1.220b0fb59392p-5, 0x1.1a4cad7856ef4p-5, 0x1.12bd5451f7db4p-5, 0x1.0b5c1542df8f8p-5, 0x1.042804ac41528p-5, 0x1.fa40749de68a4p-6, 0x1.ec87a29347de7p-6, 0x1.df23d02cb0438p-6, 0x1.d21341132529dp-6, 0x1.c5543fa5651a7p-6, 0x1.b8e51cae0ba28p-6, 0x1.acc42f9c0b496p-6, 0x1.a0efd6a8ea8fcp-6, 0x1.9566762c5f796p-6, 0x1.8a26799295b96p-6, 0x1.7f2e527a3a2e3p-6, 0x1.747c78ce9248bp-6, 0x1.6a0f6ae608d3cp-6, 0x1.5fe5ad5e4c057p-6, 0x1.55fdcb1046dc7p-6, 0x1.4c565510a8f05p-6, 0x1.42ede2b258b94p-6, 0x1.39c31182a7117p-6, 0x1.30d48538bd60fp-6, 0x1.2820e797870d8p-6, 0x1.1fa6e847fa2f3p-6, 0x1.17653cb738ba3p-6, 0x1.0f5aa0038559p-6, 0x1.0785d2fd80159p-6, 0x1.ffcb3872f0906p-7, 0x1.f0f1904a94dabp-7, 0x1.e27c522e06901p-7, 0x1.d4692e5db19a1p-7, 0x1.c6b5dfdb6bbe3p-7, 0x1.b9602cd1ecd19p-7, 0x1.ac65e547e9f3cp-7, 0x1.9fc4e2e7a6da7p-7, 0x1.937b0a02c38a8p-7, 0x1.878648828eb12p-7, 0x1.7be497004293p-7, 0x1.7093f9499c1dap-7, 0x1.65927e42f431p-7, 0x1.5ade3f6e3c7cep-7, 0x1.50756014aa2dap-7, 0x1.46560c4d3a8cp-7, 0x1.3c7e7836a2ca6p-7, 0x1.32ecdfb0fd4dp-7, 0x1.299f86b6f7656p-7, 0x1.2094ba37a4784p-7, 0x1.17cad11a45cd3p-7, 0x1.0f402cfaea032p-7, 0x1.06f33a3f5fdd8p-7, 0x1.fdc4deb81c518p-8, 0x1.ee1896da63a43p-8, 0x1.dedea920a744ap-8, 0x1.d0142d1b302e3p-8, 0x1.c1b644a3e63d4p-8, 0x1.b3c21cfa5c6ep-8, 0x1.a634f196303b6p-8, 0x1.990c0f1d6ef4bp-8, 0x1.8c44d765863dfp-8, 0x1.7fdcc2cc4ae86p-8, 0x1.73d15d791748fp-8, 0x1.6820466b86e1ep-8, 0x1.5cc7287c379f3p-8, 0x1.51c3b585f6028p-8, 0x1.4713a4327eccp-8, 0x1.3cb4af52db0dp-8, 0x1.32a499d6e7cacp-8, 0x1.28e13386165aep-8, 0x1.1f685d9071a62p-8, 0x1.16380f4ce84fp-8, 0x1.0d4e5748b2017p-8, 0x1.04a9594e276e5p-8, 0x1.f88e907046502p-9, 0x1.e84cbe603d29p-9, 0x1.d889b6c0f167cp-9, 0x1.c941f082e0245p-9, 0x1.ba71dfb960132p-9, 0x1.ac15fe1cc4034p-9, 0x1.9e2ad8d52d53ap-9, 0x1.90ad1f042e241p-9, 0x1.8399ac55c35fbp-9, 0x1.76ed8c4f151f3p-9, 0x1.6aa5f55c798e4p-9, 0x1.5ec03ceff976ap-9, 0x1.5339c7cc88995p-9, 0x1.480ffac00b646p-9, 0x1.3d40302d68a12p-9, 0x1.32c7b505b0682p-9, 0x1.28a3cfe3921b8p-9, 0x1.1ed1d1492a96cp-9, 0x1.154f20fc75eeep-9, 0x1.0c194e09f406ep-9, 0x1.032e14d31dffbp-9, 0x1.f516b376e04b4p-10, 0x1.e45e444484c5fp-10, 0x1.d42f10211a709p-10, 0x1.c48558411d938p-10, 0x1.b55d5255bd06fp-10, 0x1.a6b3190e9fa63p-10, 0x1.9882ababc1868p-10, 0x1.8ac7ff07fb1acp-10, 0x1.7d7f1b42ee688p-10, 0x1.70a43a4c98888p-10, 0x1.6433da8217986p-10, 0x1.582abf346c4dbp-10, 0x1.4c85e30d03309p-10, 0x1.4142664eddd38p-10, 0x1.365d80b7b34a9p-10, 0x1.2bd4777c048dep-10, 0x1.21a4934c8f06p-10, 0x1.17cb151cd397bp-10, 0x1.0e452f3c6c86dp-10, 0x1.05100b1269ebfp-10, 0x1.f851bb470ff62p-11, 0x1.e71a03c13e77ep-11, 0x1.d67411f917497p-11, 0x1.c65b6b4b87687p-11, 0x1.b6cbca3f9c8f4p-11, 0x1.a7c0ed44e0e8ep-11, 0x1.9936854b0a56p-11, 0x1.8b284b74ca466p-11, 0x1.7d9228adf46c3p-11, 0x1.70703ede6581dp-11, 0x1.63bedab4dc2c6p-11, 0x1.577a5686676e2p-11, 0x1.4b9f08241b34bp-11, 0x1.40296395882bdp-11, 0x1.351622ceda282p-11, 0x1.2a624d65d888ep-11, 0x1.200b21d6453b9p-11, 0x1.160dd624d8abbp-11, 0x1.0c675a9b67819p-11, 0x1.03144f65cafe6p-11, 0x1.f42275f0744e4p-12, 0x1.e2b5bf8472f57p-12, 0x1.d1dcebb5c12e3p-12, 0x1.c19349a95ad6ep-12, 0x1.b1d4989702ec1p-12, 0x1.a29ca338d0942p-12, 0x1.93e7357debff8p-12, 0x1.85b0582056f6ep-12, 0x1.77f47c335b8d9p-12, 0x1.6ab05a68632dcp-12, 0x1.5de08e7173b7cp-12, 0x1.5181291b1b73ap-12, 0x1.458d7f3b34a59p-12, 0x1.3a005f1baf46p-12, 0x1.2ed49d97bf5d5p-12, 0x1.2405b498a2518p-12, 0x1.199019fbb8961p-12, 0x1.0f71203d62d3fp-12, 0x1.05a6859df79dep-12, 0x1.f85c24e182098p-13, 0x1.e60b17939c08dp-13, 0x1.d455b9f01ae09p-13, 0x1.c338493dc7176p-13, 0x1.b2af0301efe55p-13, 0x1.a2b577bb5d612p-13, 0x1.93460af4efc85p-13, 0x1.845a116cc841p-13, 0x1.75ea8ffc65d2fp-13, 0x1.67f116ffafbb2p-13, 0x1.5a683a5bf4d46p-13, 0x1.4d4b9acec9f66p-13, 0x1.409795d534c28p-13, 0x1.3448d48380371p-13, 0x1.285c6f881cce5p-13, 0x1.1cd01f7f29b28p-13, 0x1.11a21b3de84f6p-13, 0x1.06d09ee68a373p-13, 0x1.f8b3388192b06p-14, 0x1.e4753ba6b376bp-14, 0x1.d0e0c742afdbdp-14, 0x1.bdedaf8a720f8p-14, 0x1.ab92659036568p-14, 0x1.99c5af65146e3p-14, 0x1.8880d3c2dd157p-14, 0x1.77c000262057ep-14, 0x1.6780bbcaed962p-14, 0x1.57bfba808c3dep-14, 0x1.4877bd247d9d1p-14, 0x1.39a2b73acc519p-14, 0x1.2b3c9c65f6e63p-14, 0x1.1d449ca41a1p-14, 0x1.0fbac6d173c11p-14, 0x1.029ce0db9bc4cp-14, 0x1.ebcd3542dda3bp-15, 0x1.d32814be39c66p-15, 0x1.bb43cda30f336p-15, 0x1.a417748a427p-15, 0x1.8d9744c6506d8p-15, 0x1.77b82864b2d48p-15, 0x1.62738b46d978ap-15, 0x1.4dc81d8226e99p-15, 0x1.39b685b36bd84p-15, 0x1.263d09b29e4ep-15, 0x1.1355f02262d03p-15, 0x1.00f897f327f3cp-15, 0x1.de3a805e8cd52p-16, 0x1.bb844ba64fbc1p-16, 0x1.99d31cb71d41ap-16, 0x1.7922a72f6e4dap-16, 0x1.5963d9f7afacp-16, 0x1.3a8c5de413714p-16, 0x1.1c9a75dd79872p-16, 0x1.ff1433347cc2ep-17, 0x1.c6a25023edc31p-17, 0x1.8fc5a9975d4fep-17, 0x1.5a678aa81dd06p-17, 0x1.267ae0d19a47p-17, 0x1.e7fb5f0e94cc4p-18, 0x1.85e7b449ad69bp-18, 0x1.26b87ad852143p-18, 0x1.94b15dcbc7fb7p-19, 0x1.c2bdede136f61p-20, 0x1.9a036cb06bbb7p-22, -0x1.d7a55770b7745p-21, -0x1.1a2b8c940e0a7p-19, -0x1.b98ded7b8fee3p-19, -0x1.2a295bf73cef6p-18, -0x1.75504a0d874eep-18, -0x1.be31d3725723dp-18, -0x1.02686a97e73ccp-17, -0x1.24a03b86c8eabp-17, -0x1.45ca8fe76d016p-17, -0x1.65f3386b7e638p-17, -0x1.85271859f6e2p-17, -0x1.a36c6d024a21dp-17, -0x1.c0c0a859d11d4p-17, -0x1.dd22ec701a014p-17, -0x1.f8993d371d66bp-17, -0x1.0993a18a80789p-16, -0x1.166643d2b0188p-16, -0x1.22c75b83d7e7p-16, -0x1.2ebe78f257af6p-16, -0x1.3a4ffad406565p-16, -0x1.457a74b5e58dbp-16, -0x1.504125d10fdc9p-16, -0x1.5aa638ba8d406p-16, -0x1.64a75bc6511b2p-16, -0x1.6e461262c129fp-16, -0x1.77851e3f7bfa5p-16, -0x1.8065fabafad0ep-16, -0x1.88eb514c0d0d5p-16, -0x1.9119e39b54f66p-16, -0x1.98f3e1cb49c8bp-16, -0x1.a0778fd3ac0e3p-16, -0x1.a7a62997e026p-16, -0x1.ae8294d66c1e3p-16, -0x1.b50c2a50224a7p-16, -0x1.bb43a05a3b21fp-16, -0x1.c12c32879d9e8p-16, -0x1.c6c7548cf67c4p-16, -0x1.cc155ada043d6p-16, -0x1.d11947f41b18ep-16, -0x1.d5d452d3a6626p-16, -0x1.da48159576148p-16, -0x1.de752eb5ec3a6p-16, -0x1.e25aae9c14477p-16, -0x1.e5fabcd0a31dfp-16, -0x1.e957006cdf98ap-16, -0x1.ec6fef75eddcep-16, -0x1.ef466ecbe5b48p-16, -0x1.f1dd84338cd2ep-16, -0x1.f43669dda1b1fp-16, -0x1.f650c4b52a6edp-16, -0x1.f82eb519085f4p-16, -0x1.f9d0288c572bdp-16, -0x1.fb354e2be6933p-16, -0x1.fc6179ee2fba8p-16, -0x1.fd54b25ec53d4p-16, -0x1.fe1044f82ecf2p-16, -0x1.fe95538c5cae1p-16, -0x1.fee3737f5d633p-16, -0x1.fefbb682c5cf4p-16, -0x1.fee0c763eac3ap-16, -0x1.fe93d15a7dde1p-16, -0x1.fe149db3aa54p-16, -0x1.fd6367c0df50ep-16, -0x1.fc82232af087ap-16, -0x1.fb71c3eba0a72p-16, -0x1.fa32b15d11a8ap-16, -0x1.f8c57e0462003p-16, -0x1.f72c0dc5c1fb2p-16, -0x1.f5675bfa30c25p-16, -0x1.f37878a6225ddp-16, -0x1.f15f97e2da5e9p-16, -0x1.ef1d0400a6f2cp-16, -0x1.ecb278741862dp-16, -0x1.ea2108f6d12bep-16, -0x1.e7697538bc003p-16, -0x1.e48c7e2f705e6p-16, -0x1.e18aef37516afp-16, -0x1.de65b1730e688p-16, -0x1.db1d80c7e48a7p-16, -0x1.d7b295e494891p-16, -0x1.d42690791dc13p-16, -0x1.d07ae8c7a754p-16, -0x1.ccaf5e1e1ca4cp-16, -0x1.c8c4c69a0a951p-16, -0x1.c4bc808b7f5c5p-16, -0x1.c09746d71c272p-16, -0x1.bc5589b1a3ae2p-16, -0x1.b7f7a67f8c372p-16, -0x1.b37f368e86282p-16, -0x1.aeed5f94d186fp-16, -0x1.aa424b68f1f08p-16, -0x1.a57e5a7c8f6e5p-16, -0x1.a0a2e45392e0ap-16, -0x1.9bb0abb2baf1p-16, -0x1.96a854037b8a5p-16, -0x1.918a8f28b689cp-16, -0x1.8c581b5f16448p-16, -0x1.8711cb0f0d546p-16, -0x1.81b85c745bdeap-16, -0x1.7c4c87119f769p-16, -0x1.76cf2101ca758p-16, -0x1.71408ab1b6dfp-16, -0x1.6ba1247b77c06p-16, -0x1.65f2755f70a7bp-16, -0x1.6034b13ff9454p-16, -0x1.5a689cfabd00dp-16, -0x1.548f1ced9ff5dp-16, -0x1.4ea8c8e4ce8f9p-16, -0x1.48b60cda5ab6p-16, -0x1.42b74b8fa55cfp-16, -0x1.3cadf1c63cd13p-16, -0x1.369a5c44066bfp-16, -0x1.307cc0ebf9279p-16, -0x1.2a562a04194b6p-16, -0x1.24272d0846a08p-16, -0x1.1df053971561bp-16, -0x1.17b232725b992p-16, -0x1.116d60faafd79p-16, -0x1.0b22763b9d329p-16, -0x1.04d207f986edap-16, -0x1.fcf953eb0bcd5p-17, -0x1.f045d6903ae26p-17, -0x1.e38aa7328283p-17, -0x1.d6c8d9a1129f8p-17, -0x1.ca01a56a434d3p-17, -0x1.bd35f8c582332p-17, -0x1.b066cefdade7fp-17, -0x1.a3954207a1f4bp-17, -0x1.96c249bcc9b35p-17, -0x1.89ef1d8b76829p-17, -0x1.7d1ca31214cc4p-17, -0x1.704b9fca5d6b9p-17, -0x1.637cc5da20d0fp-17, -0x1.56b1d514060c1p-17, -0x1.49eada25e0d37p-17, -0x1.3d293ccbca5d7p-17, -0x1.306dda361c351p-17, -0x1.23b975ddcbe3ap-17, -0x1.170ce4f4644e6p-17, -0x1.0a68fc78c13aep-17, -0x1.fb9d19fe9bd2bp-18, -0x1.e27cc62a27c15p-18, -0x1.c9728f68ecbc5p-18, -0x1.b08000e7891a8p-18, -0x1.97a69ee98579p-18, -0x1.7ee7e5bc61fdp-18, -0x1.66453ed0d7755p-18, -0x1.4dbfd27567579p-18, -0x1.3557f3aa914eep-18, -0x1.1d13287fe61e7p-18, -0x1.04eec90268a6dp-18, -0x1.d9d9205d0c934p-19, -0x1.aa1d062fc3fcep-19, -0x1.7aaba1aa0da28p-19, -0x1.4b8718eccd72ap-19, -0x1.1cb1b2582c498p-19, -0x1.dc59b1102ce8bp-20, -0x1.7ff75b97ee751p-20, -0x1.244157a7ddcecp-20, -0x1.927a6f5489707p-21, -0x1.bbb7a84c4fcedp-22, -0x1.5539c8c289d95p-24, 0x1.0e3773a6a50a5p-22, 0x1.3760f0770ef91p-21, 0x1.e61fe89787429p-21, 0x1.49a91b65ed10ep-20, 0x1.9f78dd7706f26p-20, 0x1.f47c268ce98a6p-20, 0x1.2457f48d06a4ap-19, 0x1.4e0894b12f473p-19, 0x1.774e8121b33d1p-19, 0x1.a02854dc93d17p-19, 0x1.c894c176a5678p-19, 0x1.f0928eb15d034p-19, 0x1.0c103e0482bf6p-18, 0x1.1f9e91b40626ap-18, 0x1.32f3ba626474cp-18, 0x1.460f7dd49e276p-18, 0x1.58f0fb97e7a65p-18, 0x1.6b97ce4be7b14p-18, 0x1.7e036301aec9p-18, 0x1.90336f38e9005p-18, 0x1.a227debd31f99p-18, 0x1.b3dfc83ad3e3p-18, 0x1.c55add50be97ep-18, 0x1.d698e3012d094p-18, 0x1.e7998682cb1fbp-18, 0x1.f85c78f061188p-18, 0x1.0470b8dd27cd2p-17, 0x1.0c94172a5dfe6p-17, 0x1.149838f1001bcp-17, 0x1.1c7d02872db9fp-17, 0x1.24425aff5773ap-17, 0x1.2be82c00e260dp-17, 0x1.336e6197b7b29p-17, 0x1.3ad4ea3864eb7p-17, 0x1.421bb6cff696dp-17, 0x1.4942bab086d56p-17, 0x1.5049eb8a46159p-17, 0x1.573142092deafp-17, 0x1.5df8ba377f735p-17, 0x1.64a05110e0f7cp-17, 0x1.6b280386ce08fp-17, 0x1.718fc8259ac02p-17, 0x1.77d7b67fd4c16p-17, 0x1.7dffd58d50ba7p-17, 0x1.840817ba040efp-17, 0x1.89f07fa6988bp-17, 0x1.8fb944305318cp-17, 0x1.95625ab05e3f7p-17, 0x1.9aebc3f9255f1p-17, 0x1.a0559e45c5ed7p-17, 0x1.a59ffce250cfp-17, 0x1.aacaf407658cbp-17, 0x1.afd699e36b516p-17, 0x1.b4c30684af27cp-17, 0x1.b99053e5c0bf2p-17, 0x1.be3e9f71ae052p-17, 0x1.c2ce06cb0ddddp-17, 0x1.c73ebcbfcc88bp-17, 0x1.cb90c801af911p-17, 0x1.cfc43e797b153p-17, 0x1.d3d92ca5f4a3bp-17, 0x1.d7cfb338cee22p-17, 0x1.dba81a8e260c2p-17, 0x1.df62e1b6f422p-17, 0x1.e30011a802eb1p-17, 0x1.e67f9651bcddbp-17, }}, 
      {{0x1.142464022fc67p-6, 0x1.1f89a467e11cap-3, 0x1.339f79ee8a43ep-2, 0x1.e471add82e5e7p-2, 0x1.4930b817a99b6p-1, 0x1.99cc69c360f28p-1, 0x1.e13c49f3c333bp-1, 0x1.0f132123d050fp+0, 0x1.2816ef1671863p+0, 0x1.3bceddfd5ce22p+0, 0x1.4a94b6ae56b7ap+0, 0x1.54e0a19e7f7cep+0, 0x1.5b39a28900344p+0, 0x1.5e2aea21c2b56p+0, 0x1.5e3cb1672db48p+0, 0x1.5befa6e2199f9p+0, 0x1.57ba34fa3dc6ep+0, 0x1.520717fcc1f72p+0, 0x1.4b34dd756f208p+0, 0x1.439601cc1578ep+0, 0x1.3b717502cc54ap+0, 0x1.33035ec280b52p+0, 0x1.2a7e0552f3dbep+0, 0x1.220ac3afda033p+0, 0x1.19cb014b7840cp+0, 0x1.11d922a91856dp+0, 0x1.0a496d297d747p+0, 0x1.032adab063a37p+0, 0x1.f90fb6ab420d2p-1, 0x1.ecce092056cc1p-1, 0x1.e1975c3186842p-1, 0x1.d76cfabf99b72p-1, 0x1.ce4bc174cfb73p-1, 0x1.c62cf7113ebfap-1, 0x1.bf070938e4bf1p-1, 0x1.b8ce304c7afa1p-1, 0x1.b374fcafc8aa5p-1, 0x1.aeeccfcee8f3dp-1, 0x1.ab2643050166p-1, 0x1.a8117e6d22ea7p-1, 0x1.a59e81751fd89p-1, 0x1.a3bd5ee5e550cp-1, 0x1.a25e6df4dc162p-1, 0x1.a17271b78b6d3p-1, 0x1.a0eab84c32ce4p-1, 0x1.a0b932e259242p-1, 0x1.a0d08784d3729p-1, 0x1.a1241da1d5a7ap-1, 0x1.a1a826417b97bp-1, 0x1.a251a040558e3p-1, 0x1.a31659a42a75p-1, 0x1.a3ecee38777ep-1, 0x1.a4ccc4068bbcbp-1, 0x1.a5ae0652ade17p-1, 0x1.a6899ee2d1d4p-1, 0x1.a7592eb765c82p-1, 0x1.a81705928787fp-1, 0x1.a8be195786839p-1, 0x1.a949fcdb7f5efp-1, 0x1.a9b6d6aaaf4c9p-1, 0x1.aa0157bcdc6e6p-1, 0x1.aa26b23dddddap-1, 0x1.aa249084c5187p-1, 0x1.a9f90c4306358p-1, 0x1.a9a2a5fd12664p-1, 0x1.a9203cd08a084p-1, 0x1.a8710691b4c9bp-1, 0x1.a794883fd063fp-1, 0x1.a68a8ed4e06edp-1, 0x1.a553287072567p-1, 0x1.a3ee9dd97d9d4p-1, 0x1.a25d6c60bc3f5p-1, 0x1.a0a04019e6a48p-1, 0x1.9eb7ee72e1a23p-1, 0x1.9ca571292ecedp-1, 0x1.9a69e19684907p-1, 0x1.980674536ba0fp-1, 0x1.957c752e0aff4p-1, 0x1.92cd436d71f62p-1, 0x1.8ffa4e5f6d0a4p-1, 0x1.8d05122f65dc3p-1, 0x1.89ef15031757dp-1, 0x1.86b9e45b23e36p-1, 0x1.836712b1413cap-1, 0x1.7ff835532fb36p-1, 0x1.7c6ee270b9c9ep-1, 0x1.78ccaf5b97c2dp-1, 0x1.75132ef3891dcp-1, 0x1.7143f03bfd645p-1, 0x1.6d607d1b9b012p-1, 0x1.696a594159f02p-1, 0x1.6563012fd6533p-1, 0x1.614be96b8ba39p-1, 0x1.5d267dc9c66d7p-1, 0x1.58f420dc6b816p-1, 0x1.54b62b76681b2p-1, 0x1.506dec47407b1p-1, 0x1.4c1ca7884383fp-1, 0x1.47c396bbafe26p-1, 0x1.4363e87c5aa08p-1, 0x1.3efec05c2580dp-1, 0x1.3a9536d22b942p-1, 0x1.36285936318b5p-1, 0x1.31b929ca1a66bp-1, 0x1.2d489fce1bc85p-1, 0x1.28d7a7a0088e7p-1, 0x1.246722e22073ap-1, 0x1.1ff7e8a7f5b19p-1, 0x1.1b8ac5aa2400ep-1, 0x1.17207c7c0cceap-1, 0x1.12b9c5c585adbp-1, 0x1.0e57507f95a19p-1, 0x1.09f9c23276c4ap-1, 0x1.05a1b736265c5p-1, 0x1.014fc2f54395dp-1, 0x1.fa08e063279f6p-2, 0x1.f1808291f19a2p-2, 0x1.e90760fb59785p-2, 0x1.e09e607a41302p-2, 0x1.d84656cf92b58p-2, 0x1.d0000b33a90b4p-2, 0x1.c7cc36e1fe93fp-2, 0x1.bfab85a64cd2dp-2, 0x1.b79e96664f094p-2, 0x1.afa5fba6833d7p-2, 0x1.a7c23c0e1c1a6p-2, 0x1.9ff3d2e6ff43bp-2, 0x1.983b309874aap-2, 0x1.9098bb210ff5dp-2, 0x1.890cce8c339b6p-2, 0x1.8197bd63bf2bp-2, 0x1.7a39d11eb24cp-2, 0x1.72f34a8e332ep-2, 0x1.6bc462468fd5bp-2, 0x1.64ad4902b115bp-2, 0x1.5dae280828c79p-2, 0x1.56c721874882bp-2, 0x1.4ff850f5260dfp-2, 0x1.4941cb639e202p-2, 0x1.42a39fd921088p-2, 0x1.3c1dd7a3b67b4p-2, 0x1.35b076a22e208p-2, 0x1.2f5b7b96259cep-2, 0x1.291ee0696f5b2p-2, 0x1.22fa9a75eabd5p-2, 0x1.1cee9ac534fd1p-2, 0x1.16face52f53bcp-2, 0x1.111f1e4916bd9p-2, 0x1.0b5b703c516dcp-2, 0x1.05afa6612c0b2p-2, 0x1.001b9fc1febbdp-2, 0x1.f53e70e8c9df1p-3, 0x1.ea74939227774p-3, 0x1.dfd954f4fdfc8p-3, 0x1.d56c5dafccdd5p-3, 0x1.cb2d51e1ad935p-3, 0x1.c11bd18389d02p-3, 0x1.b73778a91324bp-3, 0x1.ad7fdfd2191d9p-3, 0x1.a3f49c2e1823ep-3, 0x1.9a953fdfb5e55p-3, 0x1.91615a432f8f1p-3, 0x1.8858781ccfe23p-3, 0x1.7f7a23dff3d7fp-3, 0x1.76c5e5deda65bp-3, 0x1.6e3b4485a6048p-3, 0x1.65d9c4817e903p-3, 0x1.5da0e8f99745ep-3, 0x1.559033b25a72bp-3, 0x1.4da7254664e46p-3, 0x1.45e53d41b39fp-3, 0x1.3e49fa4ca6cfep-3, 0x1.36d4da507e6p-3, 0x1.2f855a9573547p-3, 0x1.285af7ef3ea9cp-3, 0x1.21552ece62a4ap-3, 0x1.1a737b6aba8a3p-3, 0x1.13b559d16b334p-3, 0x1.0d1a4606d3d41p-3, 0x1.06a1bc20e34fep-3, 0x1.004b38616bc9cp-3, 0x1.f42c6e8192dd1p-4, 0x1.e8046b1eb3b43p-4, 0x1.dc1d60fc950ebp-4, 0x1.d0764b80bb4bbp-4, 0x1.c50e27223f0aep-4, 0x1.b9e3f191721bp-4, 0x1.aef6a9d6ef24ep-4, 0x1.a445507178fe4p-4, 0x1.99cee77635662p-4, 0x1.8f9272a3505eap-4, 0x1.858ef781d1b0dp-4, 0x1.7bc37d760c9f4p-4, 0x1.722f0dd66f731p-4, 0x1.68d0b40416191p-4, 0x1.5fa77d744309dp-4, 0x1.56b279cc3966ap-4, 0x1.4df0baedf9affp-4, 0x1.456155058103dp-4, 0x1.3d035e9717cfcp-4, 0x1.34d5f08ef9507p-4, 0x1.2cd82643eb7fdp-4, 0x1.25091d93fde4ap-4, 0x1.1d67f6db77674p-4, 0x1.15f3d50b3d056p-4, 0x1.0eabddaa8187fp-4, 0x1.078f38d9ab603p-4, 0x1.009d1160a32c3p-4, 0x1.f3a9296543ef7p-5, 0x1.e669e5e885f56p-5, 0x1.d97abdf6f0532p-5, 0x1.ccda1ca21a791p-5, 0x1.c0867279fed64p-5, 0x1.b47e3584994d3p-5, 0x1.a8bfe131bc54ep-5, 0x1.9d49f6836c825p-5, 0x1.921afbe44a188p-5, 0x1.87317d59b22dfp-5, 0x1.7c8c0c52f9da6p-5, 0x1.72293fb9bc228p-5, 0x1.6807b3f1cbe57p-5, 0x1.5e260ad36335ep-5, 0x1.5482eba822ecfp-5, 0x1.4b1d03264606cp-5, 0x1.41f303697995bp-5, 0x1.3903a3ead5a39p-5, 0x1.304da17b382c7p-5, 0x1.27cfbe3e0ffb5p-5, 0x1.1f88c19160fe5p-5, 0x1.17777824dec4ap-5, 0x1.0f9ab3d2e85abp-5, 0x1.07f14ba489ea8p-5, 0x1.007a1bcd69297p-5, 0x1.f2680b0fbc446p-6, 0x1.e43bde3ebf2ccp-6, 0x1.d66d87c519eeep-6, 0x1.c8fae82b031c7p-6, 0x1.bbe1e9c98a85cp-6, 0x1.af2080b067c9fp-6, 0x1.a2b4aa8cd501ap-6, 0x1.969c6e9144f68p-6, 0x1.8ad5dd5c5236bp-6, 0x1.7f5f10dedc74ap-6, 0x1.74362c44baaa5p-6, 0x1.69595bd34faaep-6, 0x1.5ec6d4b54a719p-6, 0x1.547cd51f325c6p-6, 0x1.4a79a3e70a452p-6, 0x1.40bb90a50b5p-6, 0x1.3740f38820d84p-6, 0x1.2e082d15d2ab1p-6, 0x1.250fa62f7b38cp-6, 0x1.1c55cfef4ddcbp-6, 0x1.13d92388af33p-6, 0x1.0b98222b94e55p-6, 0x1.039154e77919p-6, 0x1.f786991b56a09p-7, 0x1.e859432716f5ep-7, 0x1.d997e7ea9de64p-7, 0x1.cb3fd632965b4p-7, 0x1.bd4e6b67024e7p-7, 0x1.afc1135160fb6p-7, 0x1.a29547e586ae3p-7, 0x1.95c8910cd3267p-7, 0x1.895884406973dp-7, 0x1.7d42c47aa5748p-7, 0x1.7185021c66cdep-7, 0x1.661cfa4c1a657p-7, 0x1.5b0877629736ep-7, 0x1.5045502841ed3p-7, 0x1.45d167b4d9e3dp-7, 0x1.3baaad50c0e1ep-7, 0x1.31cf1c2dd10dfp-7, 0x1.283cbb31c0ea5p-7, 0x1.1ef19ccad8413p-7, 0x1.15ebdec74c43cp-7, 0x1.0d29aa2881327p-7, 0x1.04a932ecaa04bp-7, 0x1.f8d16f9be992cp-8, 0x1.e8cd03f8138adp-8, 0x1.d941c9b24d4ffp-8, 0x1.ca2c7b87f9eep-8, 0x1.bb89e7e5dd9bp-8, 0x1.ad56f0ba9e47dp-8, 0x1.9f908b526036p-8, 0x1.9233c026bdbc3p-8, 0x1.853daa6b6158ep-8, 0x1.78ab772ef6deap-8, 0x1.6c7a655010d64p-8, 0x1.60a7c447f92b8p-8, 0x1.5530f3bc68acp-8, 0x1.4a1363ee39edfp-8, 0x1.3f4c94d2f8a94p-8, 0x1.34da16a3ae47cp-8, 0x1.2ab98a057d9c1p-8, 0x1.20e89fbe3cbc4p-8, 0x1.1765181e65dd7p-8, 0x1.0e2cc222b5531p-8, 0x1.053d7a7b7a1c9p-8, 0x1.f92a557aecf71p-9, 0x1.e86391ef75487p-9, 0x1.d822af8cdffb1p-9, 0x1.c863cd94679a5p-9, 0x1.b92326810cb0dp-9, 0x1.aa5d10cbb509p-9, 0x1.9c0dfeaeffaddp-9, 0x1.8e327cae90c61p-9, 0x1.80c72f1b7f888p-9, 0x1.73c8cf3cdc415p-9, 0x1.673428f67a5e2p-9, 0x1.5b0619b0b3364p-9, 0x1.4f3b90e2b6785p-9, 0x1.43d191e68ecd2p-9, 0x1.38c535ed8b4c9p-9, 0x1.2e13aeabcfeb6p-9, 0x1.23ba4707cc622p-9, 0x1.19b660d31e2dp-9, 0x1.100573ae1c279p-9, 0x1.06a507a9bc93p-9, 0x1.fb2562f9e6f7p-10, 0x1.e998214a452f3p-10, 0x1.d89d9d779bc06p-10, 0x1.c831446470ce5p-10, 0x1.b84ea3157b10bp-10, 0x1.a8f16cec0f719p-10, 0x1.9a1581f45c996p-10, 0x1.8bb6effa6a5c7p-10, 0x1.7dd1eeff11c33p-10, 0x1.7062d7dcc0305p-10, 0x1.63661a252a0b5p-10, 0x1.56d832cb21303p-10, 0x1.4ab5a6a527bd4p-10, 0x1.3efb02a63650ep-10, 0x1.33a4e1c0cf08ap-10, 0x1.28aff6738570ep-10, 0x1.1e1914b7c04e9p-10, 0x1.13dd38fb76c2dp-10, 0x1.09f989e3794d3p-10, 0x1.006b543c4e294p-10, 0x1.ee60044e3365dp-11, 0x1.dc8a1f8eaa75cp-11, 0x1.cb5000e47797ap-11, 0x1.baacaec173d8p-11, 0x1.aa9b2b2aa86c6p-11, 0x1.9b167da2fecdap-11, 0x1.8c19c99ebbc4p-11, 0x1.7da0603bd006dp-11, 0x1.6fa5d5c1a0448p-11, 0x1.622608d68827bp-11, 0x1.551d19e02d4acp-11, 0x1.48876080ae02bp-11, 0x1.3c615a070ffc9p-11, 0x1.30a795f437d0ep-11, 0x1.2556a55044f8dp-11, 0x1.1a6b107334892p-11, 0x1.0fe156fe32479p-11, 0x1.05b5fb761cd45p-11, 0x1.f7cb2e33f77d3p-12, 0x1.e4d9dc02477adp-12, 0x1.d291f5d499759p-12, 0x1.c0eddd643edb8p-12, 0x1.afe84c8417c1p-12, 0x1.9f7c3bc4f40bp-12, 0x1.8fa4cea1d11b5p-12, 0x1.805d45f5c4272p-12, 0x1.71a0f328247dbp-12, 0x1.636b29f40a07ep-12, 0x1.55b737b9e43e4p-12, 0x1.48806b0e88f3ep-12, 0x1.3bc22e542ab3fp-12, 0x1.2f78299b3875ap-12, 0x1.239e5740353c3p-12, 0x1.1830fccf4ece8p-12, 0x1.0d2c8c33d03f3p-12, 0x1.028d82b08861ep-12, 0x1.f0a0b95477b69p-13, 0x1.dce3475fdc887p-13, 0x1.c9dc0d955ffe4p-13, 0x1.b784c44245654p-13, 0x1.a5d768cc946e4p-13, 0x1.94ce1b52a0decp-13, 0x1.846303c111926p-13, 0x1.74907f5e308dcp-13, 0x1.65515248f2607p-13, 0x1.56a0aee03a3ecp-13, 0x1.487a19e72fdc5p-13, 0x1.3ad91a60ccf22p-13, 0x1.2db8ebc35deddp-13, 0x1.2114705a0e765p-13, 0x1.14e674ee648f2p-13, 0x1.092a1b4a9fce8p-13, 0x1.fbb643f4f4fb2p-14, 0x1.e5ebb72c770b2p-14, 0x1.d0edd21950878p-14, 0x1.bcb5f474df9bdp-14, 0x1.a93d8d91837b2p-14, 0x1.967e6521a749cp-14, 0x1.8472d08e03522p-14, 0x1.73158adb1e195p-14, 0x1.62613a0e4463dp-14, 0x1.524fea138c27ap-14, 0x1.42dad229359d2p-14, 0x1.33fa9667a553p-14, 0x1.25a7f26443d14p-14, 0x1.17dc77511600ap-14, 0x1.0a92f280b705dp-14, 0x1.fb8e8a40cb9adp-15, 0x1.e2ebb4e3e2ac9p-15, 0x1.cb36628e07bafp-15, 0x1.b46796bb84452p-15, 0x1.9e78bce1dce0fp-15, 0x1.8963c6f6414d1p-15, 0x1.7522b44578cep-15, 0x1.61aec62ff2adcp-15, 0x1.4effeb72bae2p-15, 0x1.3d0ce64dbb7dcp-15, 0x1.2bcc3065f5372p-15, 0x1.1b34fd9c993c5p-15, 0x1.0b3fc38bfb39ep-15, 0x1.f7cc835ac2c4ep-16, 0x1.da4643b566878p-16, 0x1.bde2d128adf5cp-16, 0x1.a299545dee895p-16, 0x1.88627e80a4f1p-16, 0x1.6f3827bda3a05p-16, 0x1.57144462d90ebp-16, 0x1.3ff02666a08b5p-16, 0x1.29c43a99315acp-16, 0x1.148738f7aa70cp-16, 0x1.002e010cac8dap-16, 0x1.d957d49e01362p-17, 0x1.b3e988a2f8ef6p-17, 0x1.8ffea88695b3ap-17, 0x1.6d8b8ae3974c5p-17, 0x1.4c87b6d0d65cbp-17, 0x1.2ce8e37309a31p-17, 0x1.0ea06d58d9a88p-17, 0x1.e33be9794e07ap-18, 0x1.abab65099f1c1p-18, 0x1.76867b0fc280ap-18, 0x1.43c8619477358p-18, 0x1.13621e1e1c772p-18, 0x1.ca76efcc16d0bp-19, 0x1.727c6c0a3f841p-19, 0x1.1eae3ff2ba2acp-19, 0x1.9db764931834cp-20, 0x1.058f0f18465d1p-20, 0x1.d1bf6bf2cc462p-22, -0x1.5f0e7ad18b18ep-24, -0x1.335d14b7058cfp-21, -0x1.16d2ad2fa7419p-20, -0x1.8d7bbd8d6c76ap-20, -0x1.fdeb09dab5d88p-20, -0x1.343d75807081bp-19, -0x1.66bed46f3b5ecp-19, -0x1.96886e7ecb281p-19, -0x1.c39745c197d2p-19, -0x1.edfb70a50f334p-19, -0x1.0aee275481a49p-18, -0x1.1dab5fd505c7p-18, -0x1.2f3a61043d16fp-18, -0x1.3fa2913c66504p-18, -0x1.4ef207825b573p-18, -0x1.5d39a0c39dbbp-18, -0x1.6a8893a714b43p-18, -0x1.76e8a5f36c287p-18, -0x1.825db808975ccp-18, -0x1.8ce853d93fe1p-18, -0x1.968b986516d35p-18, -0x1.9f4fd53ad4f4dp-18, -0x1.a73e4c92e05d8p-18, -0x1.ae61245dcfcfep-18, -0x1.b4c335da8710bp-18, -0x1.ba68a97c96c32p-18, -0x1.bf54d58625103p-18, -0x1.c392c44f851f3p-18, -0x1.c729d24033c45p-18, -0x1.ca19939885507p-18, -0x1.cc64f5f70741dp-18, -0x1.ce132e42cd8f7p-18, -0x1.cf2bb9e7dd18dp-18, -0x1.cfb6dc3d06929p-18, -0x1.cfbd4fa2a351ap-18, -0x1.cf443ed58bf27p-18, -0x1.ce4c3694df1cfp-18, -0x1.ccd6a653ea85dp-18, -0x1.cae886e87da72p-18, -0x1.c8858b99871edp-18, -0x1.c5af4251bbac7p-18, -0x1.c26a595cf9606p-18, -0x1.bec047f53f611p-18, -0x1.bab72c7c886d7p-18, -0x1.b64f2959c1b02p-18, -0x1.b18d2732d013p-18, -0x1.ac74e9e114185p-18, -0x1.a7058f2574a47p-18, -0x1.a1421ae6419cep-18, -0x1.9b2ed0dcbc759p-18, -0x1.94ce9ebefab07p-18, -0x1.8e259bd0570dep-18, -0x1.8739f221fd661p-18, -0x1.800f1fae34678p-18, -0x1.78a4a2f0a7d1p-18, -0x1.70fcf80f088e3p-18, -0x1.691c3df3c68dp-18, -0x1.6102f8aceb1fep-18, -0x1.58b3064af2028p-18, -0x1.5030c17d6b21p-18, -0x1.477eb27a35d1cp-18, -0x1.3e9e38d146544p-18, -0x1.35935784ce82ep-18, -0x1.2c603e2f38b56p-18, -0x1.2307751d3f9f8p-18, -0x1.198a8a37c152dp-18, -0x1.0fe983540cacfp-18, -0x1.06275ddc8fe3fp-18, -0x1.f88d4243c5913p-19, -0x1.e491256baf4d3p-19, -0x1.d05d620fe111bp-19, -0x1.bbf97f900918dp-19, -0x1.a7698947825fap-19, -0x1.92ae3c1d895ecp-19, -0x1.7dcd1ab513ddep-19, -0x1.68c74d9c45d0cp-19, -0x1.539e7b68abfb5p-19, -0x1.3e5a13b46b4dcp-19, -0x1.28fb9e14887cp-19, -0x1.1386a54469c12p-19, -0x1.fbfca31f66275p-20, -0x1.d0c5c9fda1a5fp-20, -0x1.a56eca987ed96p-20, -0x1.7a03cb2fd033ap-20, -0x1.4e8b0a4086d0fp-20, -0x1.2305508057e1p-20, -0x1.eeea0f9a76166p-21, -0x1.97c65a3d4a358p-21, -0x1.40a98f6a071c9p-21, -0x1.d3329c72bfe49p-22, -0x1.2538b80feff58p-22, -0x1.de1bac5eeea84p-24, 0x1.ae7db82991e1ap-25, 0x1.c56e79e43203bp-23, 0x1.8f292aed288c4p-22, 0x1.1d8ef78c23c46p-21, 0x1.733c2ba6757f4p-21, 0x1.c892c64ac173p-21, 0x1.0ec600f50962p-20, 0x1.39109acd5573fp-20, 0x1.6325c874f2d57p-20, 0x1.8d01c495d8583p-20, 0x1.b6a187396fa1fp-20, 0x1.e00409c16b359p-20, 0x1.049187418f5bcp-19, 0x1.18fc7ff171c26p-19, 0x1.2d436a1c15ec4p-19, 0x1.4164bd365238ap-19, 0x1.555dfa9553752p-19, 0x1.692ddd968971ap-19, 0x1.7cd3b653ae7f5p-19, 0x1.904efe74034b4p-19, 0x1.a39ce88d279f9p-19, 0x1.b6bb89c8c39e6p-19, 0x1.c9aad369fbefap-19, 0x1.dc6a55cc81f4fp-19, 0x1.eef7df2617699p-19, 0x1.00a92cfab1ecbp-18, 0x1.09bc79fbbe8e9p-18, 0x1.12b565cd98a64p-18, 0x1.1b9374743a72fp-18, 0x1.24560c8d0f77bp-18, 0x1.2cfcb1e725afp-18, 0x1.3586f53815f63p-18, 0x1.3df44840df7b3p-18, 0x1.4644ba27e8e0cp-18, 0x1.4e783e3dd696dp-18, 0x1.568d9c22cf7cdp-18, 0x1.5e84e274f76a7p-18, 0x1.665da9a1d2096p-18, 0x1.6e1770e0a32d3p-18, 0x1.75b1fe6edbe7ep-18, 0x1.7d2d419f1618dp-18, 0x1.84893342e8d0cp-18, 0x1.8bc4df109611cp-18, 0x1.92e04834d739ep-18, 0x1.99db958594fbap-18, 0x1.a0b6325101699p-18, 0x1.a76ff45b6326ep-18, 0x1.ae08bda070688p-18, 0x1.b48067f74ea56p-18, 0x1.bad6cca639c65p-18, 0x1.c10bc6f458cc7p-18, 0x1.c71f34ec5180ap-18, 0x1.cd10f7f0a6025p-18, 0x1.d2e0f6f76bd73p-18, 0x1.d88f20e214dap-18, 0x1.de1b640c0c87ap-18, 0x1.e385a0b52c4fp-18, 0x1.e8cdd7fb38cdep-18, 0x1.edf406949fe62p-18, 0x1.f2f81d35b312ap-18, 0x1.f7da1c6d14ca7p-18, 0x1.fc99ea6a65efdp-18, 0x1.009bc8cb08f72p-17, 0x1.02d9957e1c86p-17, 0x1.05066c2ea7ee3p-17, 0x1.07222531013b6p-17, 0x1.092cf51f5db8ep-17, 0x1.0b26c7d766f4p-17, 0x1.0d0fa6d281c1fp-17, 0x1.0ee7a12466e27p-17, 0x1.10aec27818837p-17, 0x1.126516cd57c79p-17, 0x1.140aab52eb46fp-17, 0x1.159f8e4d62a9cp-17, 0x1.1723cef60ed8p-17, 0x1.18977d6f0e8d5p-17, 0x1.19faaac08ae3p-17, 0x1.1b4d68ed5ce17p-17, 0x1.1c8fcbfdefa16p-17, 0x1.1dc1ee2af3ce3p-17, 0x1.1ee3fcb91b3c7p-17, 0x1.1ff5ad4fe5919p-17, 0x1.20f7724731e31p-17, 0x1.21e959ce6d9ebp-17, 0x1.22cb6ad45ea2p-17, 0x1.239dbefe69919p-17, 0x1.246074805d20cp-17, 0x1.2513a8d77799ap-17, 0x1.25b7823c3aee7p-17, 0x1.264c0b17adc12p-17, 0x1.26d15921ae0dep-17, 0x1.27478033ff3c8p-17, 0x1.27aea7344979ep-17, 0x1.280718470693ep-17, 0x1.2850f22be1383p-17, 0x1.288c398b1df31p-17, 0x1.28b907627eefp-17, 0x1.28d77ff3a8ebbp-17, 0x1.28e7c85a16c08p-17, 0x1.28ea04bde76dp-17, 0x1.28de58c9fe5d3p-17, 0x1.28c4e828b2551p-17, 0x1.289dd6c16f9a5p-17, 0x1.286948e01330ep-17, 0x1.2827639ceb8fap-17, 0x1.27d84cd56bbd4p-17, 0x1.277c29c7f4447p-17, 0x1.27131dc0af504p-17, 0x1.269d5052f2e4fp-17, 0x1.261aee52abd45p-17, 0x1.258c1635636bcp-17, 0x1.24f0f1df5f501p-17, 0x1.2449a61c2c958p-17, 0x1.23965db34fdb5p-17, 0x1.22d74806083cfp-17, 0x1.220c81a5e9cc1p-17, 0x1.21363453f4c8fp-17, 0x1.20548b17c7ee9p-17, 0x1.1f67ae9a0c937p-17, 0x1.1e6fc783c58cdp-17, 0x1.1d6cfeb1fb3a4p-17, 0x1.1c5f7d2ca4c87p-17, 0x1.1b476c1cc3f16p-17, 0x1.1a24f4c967e14p-17, 0x1.18f8409134768p-17, 0x1.17c178e29d77fp-17, 0x1.1680c733d5b2cp-17, 0x1.15365501e9faep-17, 0x1.13e24bd1b5baep-17, 0x1.1284d52ad0307p-17, 0x1.111e1a950c8cbp-17, 0x1.0fae45b0a4197p-17, 0x1.0e358044d4c06p-17, 0x1.0cb3f3da2568cp-17, 0x1.0b29c99279769p-17, 0x1.099729285fde2p-17, 0x1.07fc3f29387e9p-17, 0x1.06593514e83dcp-17, 0x1.04ae30c3f6b63p-17, 0x1.02fb5a3c4df99p-17, 0x1.0140e1491d4f8p-17, 0x1.fefdd5f187f6cp-18, 0x1.fb6b3b99cd083p-18, 0x1.f7ca48cbd48p-18, 0x1.f41b4e851ad52p-18, 0x1.f05e9d300c6b5p-18, 0x1.ec9484f55c7d6p-18, 0x1.e8bd55b74b1f7p-18, 0x1.e4d95f330c2d3p-18, 0x1.e0e8f1e1fcdb7p-18, 0x1.dcec5e39d9fb5p-18, 0x1.d8e3fd40b1e88p-18, 0x1.d4d0118efd343p-18, 0x1.d0b0da1ebb273p-18, 0x1.cc8695e5591d1p-18, 0x1.c8518fabc3d16p-18, 0x1.c4122cfe9e59p-18, 0x1.bfc8f7cae82d9p-18, 0x1.bb7623f159f1fp-18, 0x1.b719d08c4479bp-18, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.135bd1dc8e06fp-6, -0x1.130eba0bcd8aep-5, -0x1.9bd5fbfec70a2p-5, -0x1.11dc38581d4c3p-4, -0x1.55364f69e0773p-4, -0x1.97d5a67a5e829p-4, -0x1.d997f558e37cp-4, -0x1.0d2e3a05a7fa5p-3, -0x1.2d01fef472017p-3, -0x1.4c38965dd887fp-3, -0x1.6ac4364f78a1p-3, -0x1.889804ae138f2p-3, -0x1.a5a81b04635c7p-3, -0x1.c1e987d040033p-3, -0x1.dd524da6de418p-3, -0x1.f7d96082db69ep-3, -0x1.08bb50c3f2102p-2, -0x1.15116cc050108p-2, -0x1.20ebd92a3983cp-2, -0x1.2c47d7d5be39ap-2, -0x1.37231378579d3p-2, -0x1.417b9b6dbd975p-2, -0x1.4b4fdf5267187p-2, -0x1.549eaa82f35abp-2, -0x1.5d671f8d71bfap-2, -0x1.65a8b39f6136p-2, -0x1.6d6329f9805d3p-2, -0x1.74968f70f67fep-2, -0x1.7b433603ffdcp-2, -0x1.8169b08730d73p-2, -0x1.870ace6f5382p-2, -0x1.8c2797bb195dfp-2, -0x1.90c148ff1ffedp-2, -0x1.94d94f9619d7bp-2, -0x1.987145f676a5ep-2, -0x1.9b8af02e5a2e6p-2, -0x1.9e283886587eep-2, -0x1.a04b2c4b0ccd8p-2, -0x1.a1f5f8bd5009p-2, -0x1.a32ae8289b6dbp-2, -0x1.a3ec5f1edfb9bp-2, -0x1.a43cd9d8eef0ap-2, -0x1.a41ee9ba705cbp-2, -0x1.a39532f836cf4p-2, -0x1.a2a26a5fafb8bp-2, -0x1.a149533e22fcep-2, -0x1.9f8cbd665920ep-2, -0x1.9d6f83534a2a8p-2, -0x1.9af4886666672p-2, -0x1.981eb7401b746p-2, -0x1.94f10031322d6p-2, -0x1.916e57c3b0338p-2, -0x1.8d99b559f64c1p-2, -0x1.897611e2e03b9p-2, -0x1.850666a1b5561p-2, -0x1.804dac08d3cfap-2, -0x1.7b4ed8a608c27p-2, -0x1.760ce01f9bfcfp-2, -0x1.708ab24127d11p-2, -0x1.6acb3a1767256p-2, -0x1.64d15d1a2e97fp-2, -0x1.5e9ffa63de946p-2, -0x1.5839e9f5a1134p-2, -0x1.51a1fc07ddecdp-2, -0x1.4adaf8664fc3ap-2, -0x1.43e79dd73ed4bp-2, -0x1.3ccaa18d63e2bp-2, -0x1.3586aea4069b4p-2, -0x1.2e1e65a4f24eap-2, -0x1.26945c17dcb35p-2, -0x1.1eeb1c1aed57cp-2, -0x1.1725240409d81p-2, -0x1.0f44e60a9b30ep-2, -0x1.074cc7f9840fdp-2, -0x1.fe7e45d1f3af9p-3, -0x1.ee3c85fff6997p-3, -0x1.ddd8ce7a4ce5cp-3, -0x1.cd57828d49402p-3, -0x1.bcbcea81dbb43p-3, -0x1.ac0d33584698cp-3, -0x1.9b4c6e8f8846cp-3, -0x1.8a7e91f8e6b6cp-3, -0x1.79a777973d24p-3, -0x1.68cadd8972a8ap-3, -0x1.57ec65ffa859ap-3, -0x1.470f973aad6b6p-3, -0x1.3637db9522f45p-3, -0x1.25688195ee8c4p-3, -0x1.14a4bc0b6f0bap-3, -0x1.03efa22f0abdap-3, -0x1.e6985fa10d89cp-4, -0x1.c57a8b119db41p-4, -0x1.a48b51e736c37p-4, -0x1.83d009df378d2p-4, -0x1.634dd3c93fd69p-4, -0x1.43099c1ec1a92p-4, -0x1.23081ba4e8af5p-4, -0x1.034dd81809423p-4, -0x1.c7be49bfa1698p-5, -0x1.89804796d37c2p-5, -0x1.4be98ba9b18b2p-5, -0x1.0f0197d5b562cp-5, -0x1.a59f1f0242a51p-6, -0x1.2eb47289449e2p-6, -0x1.72a00277f36ap-7, -0x1.15f7bd543b9bep-8, 0x1.65b2717af4fe8p-9, 0x1.3a83dc0c929dap-7, 0x1.0c1aceff355ep-6, 0x1.793774667769p-6, 0x1.e48f02622bba4p-6, 0x1.270c9d25c6e3p-5, 0x1.5ae73b8324f9p-5, 0x1.8dd3d4aba76fp-5, 0x1.bfcf2a1e3edf8p-5, 0x1.f0d644a33adfbp-5, 0x1.1073393d72b0fp-4, 0x1.27fea2c7244c7p-4, 0x1.3f0c48d15badep-4, 0x1.559b35483b852p-4, 0x1.6baa913e82ddep-4, 0x1.8139a40ca976dp-4, 0x1.9647d27223f6p-4, 0x1.aad49db8f0e21p-4, 0x1.bedfa2db99d1cp-4, 0x1.d26899adbfb2ap-4, 0x1.e56f54075337fp-4, 0x1.f7f3bcf281b82p-4, 0x1.04faebee46c3ap-3, 0x1.0dbadfe4b9295p-3, 0x1.1639d34546031p-3, 0x1.1e77e9fc21df9p-3, 0x1.2675529757ba8p-3, 0x1.2e3245e6ae505p-3, 0x1.35af069d14df3p-3, 0x1.3cebe0f398366p-3, 0x1.43e92a4dee26cp-3, 0x1.4aa740e08e886p-3, 0x1.51268b5859d5dp-3, 0x1.57677883d0001p-3, 0x1.5d6a7efdd77bap-3, 0x1.63301cda0d7c9p-3, 0x1.68b8d752a58bp-3, 0x1.6e053a77c97a9p-3, 0x1.7315d8e08e01p-3, 0x1.77eb4b5d58bc5p-3, 0x1.7c8630abdbb8cp-3, 0x1.80e72d2c7ee2p-3, 0x1.850eea994d5c5p-3, 0x1.88fe17be56f11p-3, 0x1.8cb568338bb68p-3, 0x1.903594180765p-3, 0x1.937f57cec7125p-3, 0x1.969373bcd21e8p-3, 0x1.9972ac08c75f7p-3, 0x1.9c1dc85bd2ef4p-3, 0x1.9e9593a3ff6dap-3, 0x1.a0dadbd7ee221p-3, 0x1.a2ee71bbea908p-3, 0x1.a4d128a84ef17p-3, 0x1.a683d6514964p-3, 0x1.a807528fed9d4p-3, 0x1.a95c772c9be1bp-3, 0x1.aa841faaabb11p-3, 0x1.ab7f29156f409p-3, 0x1.ac4e71ce72bcbp-3, 0x1.acf2d95d0646fp-3, 0x1.ad6d403f0901ap-3, 0x1.adbe87baf44a4p-3, 0x1.ade791b31f35ap-3, 0x1.ade9407a46a01p-3, 0x1.adc476a93f6dap-3, 0x1.ad7a16f5e7353p-3, 0x1.ad0b040b4462bp-3, 0x1.ac782062d16aep-3, 0x1.abc24e1efcbccp-3, 0x1.aaea6ee6c774p-3, 0x1.a9f163c298c9cp-3, 0x1.a8d80cfa25b71p-3, 0x1.a79f49f389d23p-3, 0x1.a647f913729a8p-3, 0x1.a4d2f79e6a676p-3, 0x1.a341219b3db1ap-3, 0x1.a19351b673ad9p-3, 0x1.9fca6126d9567p-3, 0x1.9de727931b64p-3, 0x1.9bea7af86e4b9p-3, 0x1.99d52f923e21ep-3, 0x1.97a817c2e1fa4p-3, 0x1.956403fd53a1dp-3, 0x1.9309c2afe590cp-3, 0x1.909a202ff62edp-3, 0x1.8e15e6a694fc8p-3, 0x1.8b7dddfe25102p-3, 0x1.88d2cbd0e4458p-3, 0x1.861573586b5bbp-3, 0x1.8346955e10221p-3, 0x1.8066f02c2b76ep-3, 0x1.7d773f80469c2p-3, 0x1.7a783c7e23926p-3, 0x1.776a9da39b325p-3, 0x1.744f16bd564bdp-3, 0x1.712658dc54999p-3, 0x1.6df1124c4269dp-3, 0x1.6aafee8a99778p-3, 0x1.6763963e80a38p-3, 0x1.640caf31751cbp-3, 0x1.60abdc48a7d8cp-3, 0x1.5d41bd7f1acf4p-3, 0x1.59ceefe06c5e1p-3, 0x1.56540d84537a7p-3, 0x1.52d1ad8ace727p-3, 0x1.4f486418ec7dap-3, 0x1.4bb8c25647397p-3, 0x1.4823566b0f0b7p-3, 0x1.4488ab7ebb1e1p-3, 0x1.40e949b746fc5p-3, 0x1.3d45b6390a1b4p-3, 0x1.399e732715f81p-3, 0x1.35f3ffa41f314p-3, 0x1.3246d7d3ec522p-3, 0x1.2e9774dd43494p-3, 0x1.2ae64cec5588p-3, 0x1.2733d3359e7cp-3, 0x1.238077f93d2dbp-3, 0x1.1fcca886b4c89p-3, 0x1.1c18cf41213fbp-3, 0x1.186553a3cbd2cp-3, 0x1.14b29a47275dep-3, 0x1.110104e627439p-3, 0x1.0d50f263f7181p-3, 0x1.09a2bed205dcfp-3, 0x1.05f6c37660672p-3, 0x1.024d56d2665ddp-3, 0x1.fd4d99537b5bap-4, 0x1.f606ec1334dc2p-4, 0x1.eec742a07c5c1p-4, 0x1.e78f346987969p-4, 0x1.e05f539e3ad43p-4, 0x1.d9382d40aa8f8p-4, 0x1.d21a4935fddb9p-4, 0x1.cb062a57b6d34p-4, 0x1.c3fc4e855bca1p-4, 0x1.bcfd2eb67bf88p-4, 0x1.b6093f0cfc482p-4, 0x1.af20eee7ba541p-4, 0x1.a844a8f569771p-4, 0x1.a174d347c0c61p-4, 0x1.9ab1cf66ca77cp-4, 0x1.93fbfa6479d77p-4, 0x1.8d53acf06b16cp-4, 0x1.86b93b6bc7e34p-4, 0x1.802cf5fd5283ep-4, 0x1.79af28a5909fep-4, 0x1.73401b530c03ep-4, 0x1.6ce011f6ad42fp-4, 0x1.668f4c9820e64p-4, 0x1.604e076a4b8fep-4, 0x1.5a1c7adfc3ed2p-4, 0x1.53fadbbf50b33p-4, 0x1.4de95b3863458p-4, 0x1.47e826f78e222p-4, 0x1.41f7693af3646p-4, 0x1.3c1748e6a39e8p-4, 0x1.3647e998efaf5p-4, 0x1.30896bbea2d7ap-4, 0x1.2adbeca72b384p-4, 0x1.253f86989f7a8p-4, 0x1.1fb450e3afe41p-4, 0x1.1a3a5ff773b44p-4, 0x1.14d1c57510816p-4, 0x1.0f7a90433eeep-4, 0x1.0a34cca1a8aaep-4, 0x1.0500843c18339p-4, 0x1.ffbb7c7afae38p-5, 0x1.f598fec585c18p-5, 0x1.eb99941ae2ddep-5, 0x1.e1bd3cac43695p-5, 0x1.d803f43d6e52ap-5, 0x1.ce6db248cbbadp-5, 0x1.c4fa6a22fdb58p-5, 0x1.bbaa0b1e0385ap-5, 0x1.b27c80abec43p-5, 0x1.a971b2810e007p-5, 0x1.a08984b5bb77bp-5, 0x1.97c3d7e782148p-5, 0x1.8f208959e5d18p-5, 0x1.869f73169ec4cp-5, 0x1.7e406c0d4bb26p-5, 0x1.76034832a86b6p-5, 0x1.6de7d89f32dcbp-5, 0x1.65edebad53eb4p-5, 0x1.5e154d16f6a61p-5, 0x1.565dc6129d492p-5, 0x1.4ec71d6fe2d5p-5, 0x1.475117b37ad17p-5, 0x1.3ffb77329da3ap-5, 0x1.38c5fc2dee235p-5, 0x1.31b064ebd1647p-5, 0x1.2aba6dd23c3bp-5, 0x1.23e3d17feebaap-5, 0x1.1d2c48e52624p-5, 0x1.16938b5bca2dbp-5, 0x1.10194ebf04695p-5, 0x1.09bd478252509p-5, 0x1.037f28c809e07p-5, 0x1.fabd48eeab61ap-6, 0x1.eeb6d6a355fdap-6, 0x1.e2ea5a0f5e365p-6, 0x1.d757309b414bp-6, 0x1.cbfcb5de5eef5p-6, 0x1.c0da43c5a9b26p-6, 0x1.b5ef32b949e1ap-6, 0x1.ab3ad9c14264cp-6, 0x1.a0bc8ea908c9ep-6, 0x1.9673a6222166ap-6, 0x1.8c5f73e5b44b2p-6, 0x1.827f4ad52ebb4p-6, 0x1.78d27d19ef11bp-6, 0x1.6f585c43ef161p-6, 0x1.661039678567dp-6, 0x1.5cf9653a32baap-6, 0x1.5413302e84bf8p-6, 0x1.4b5cea8f07afap-6, 0x1.42d5e49861ec7p-6, 0x1.3a7d6e92827a2p-6, 0x1.3252d8e8efb59p-6, 0x1.2a55744243a1dp-6, 0x1.22849196c4ec7p-6, 0x1.1adf82462fa63p-6, 0x1.1365982cb83fbp-6, 0x1.0c1625b731911p-6, 0x1.04f07df67866dp-6, 0x1.fbe7e96419511p-7, 0x1.ee3fbcf3d7972p-7, 0x1.e0e7216f6fab9p-7, 0x1.d3dcc37e2ba5fp-7, 0x1.c71f51bac566ep-7, 0x1.baad7cd154583p-7, 0x1.ae85f79bf8e23p-7, 0x1.a2a7773dff396p-7, 0x1.9710b33defbbbp-7, 0x1.8bc0659e386c3p-7, 0x1.80b54af48fec4p-7, 0x1.75ee22803520fp-7, 0x1.6b69ae3ef5002p-7, 0x1.6126b300f6859p-7, 0x1.5723f87b7e11ap-7, 0x1.4d60495a76f02p-7, 0x1.43da735114ef3p-7, 0x1.3a9147293e5efp-7, 0x1.318398d208142p-7, 0x1.28b03f6d23c39p-7, 0x1.2016155b587f6p-7, 0x1.17b3f84814f57p-7, 0x1.0f88c93411fffp-7, 0x1.07936c7f0a9adp-7, 0x1.ffa593e138795p-8, 0x1.f08b9980aca99p-8, 0x1.e1d6c739ce668p-8, 0x1.d385016515537p-8, 0x1.c594336176332p-8, 0x1.b8024f9e31a9bp-8, 0x1.aacd4fa3463ebp-8, 0x1.9df334186bbb2p-8, 0x1.917204caddf8bp-8, 0x1.8547d0b1a1d98p-8, 0x1.7972adf0a192ep-8, 0x1.6df0b9daa82d6p-8, 0x1.62c018f23fe22p-8, 0x1.57def6e930e8ap-8, 0x1.4d4b869f1ecdep-8, 0x1.4304021f07415p-8, 0x1.3906aa9bda127p-8, 0x1.2f51c86be4d8fp-8, 0x1.25e3ab038dd88p-8, 0x1.1cbaa8ef08d75p-8, 0x1.13d51fcb3dea1p-8, 0x1.0b31743dfcf3ap-8, 0x1.02ce11ed1ac37p-8, 0x1.f552d6ea38698p-9, 0x1.e583f4be015f9p-9, 0x1.d62c7e2b021d3p-9, 0x1.c74981b30ba0fp-9, 0x1.b8d81b6c46d99p-9, 0x1.aad574e7bbff6p-9, 0x1.9d3ec516f7a02p-9, 0x1.9011503099011p-9, 0x1.834a679398decp-9, 0x1.76e769aa0a30ap-9, 0x1.6ae5c1cacdd65p-9, 0x1.5f42e81a6245cp-9, 0x1.53fc616b08a6ap-9, 0x1.490fbf1c10a12p-9, 0x1.3e7a9ef887ad2p-9, 0x1.343aab154d913p-9, 0x1.2a4d99ae62b95p-9, 0x1.20b12d03ee7efp-9, 0x1.1763333699bd9p-9, 0x1.0e61862385335p-9, 0x1.05aa0b3fe89f1p-9, 0x1.fa7566e7c9ea9p-10, 0x1.ea22f5eb2ea3p-10, 0x1.da58d2471a4f9p-10, 0x1.cb1320bd98bfap-10, 0x1.bc4e1bc9f28c7p-10, 0x1.ae061353de61bp-10, 0x1.a0376c6301166p-10, 0x1.92dea0d1efac1p-10, 0x1.85f83f006b24fp-10, 0x1.7980e9863d5bcp-10, 0x1.6d7556e57b9b4p-10, 0x1.61d2513cb3d2p-10, 0x1.5694b5f9a441fp-10, 0x1.4bb9758b55903p-10, 0x1.413d93149fca6p-10, 0x1.371e241ea78a8p-10, 0x1.2d58504c0cff5p-10, 0x1.23e9510b75728p-10, 0x1.1ace714af4ddp-10, 0x1.12050d2bb0e7p-10, 0x1.098a91b58ce9ep-10, 0x1.015c7c8b81fb5p-10, 0x1.f2f0b741414aap-11, 0x1.e3b799d958fecp-11, 0x1.d508fc43cd4b5p-11, 0x1.c6e058c606652p-11, 0x1.b93947f3f3de1p-11, 0x1.ac0f801da502bp-11, 0x1.9f5ed4bf0923cp-11, 0x1.932335f07ecf5p-11, 0x1.8758afd81d7d8p-11, 0x1.7bfb6a1dee704p-11, 0x1.7107a75f9d572p-11, 0x1.6679c4a5eb163p-11, 0x1.5c4e38dc6582ep-11, 0x1.52819449914c3p-11, 0x1.491080095c739p-11, 0x1.3ff7bd881c62ep-11, 0x1.373425ffea6abp-11, 0x1.2ec2a9f65dedap-11, 0x1.26a050bd97799p-11, 0x1.1eca37f5a08b6p-11, 0x1.173d930f5035dp-11, 0x1.0ff7aad0ea7c4p-11, 0x1.08f5dcdd10cd9p-11, 0x1.02359b3a33128p-11, 0x1.f768d7b9144f4p-12, 0x1.eadfd0638f47ap-12, 0x1.decb795a37babp-12, 0x1.d32750ad8728fp-12, 0x1.c7eef8b6c1d9bp-12, 0x1.bd1e373ded3e8p-12, 0x1.b2b0f4a0238eep-12, 0x1.a8a33af9a29b9p-12, 0x1.9ef13554cf4bbp-12, 0x1.95972eda3b9b2p-12, 0x1.8c9192060ce63p-12, 0x1.83dce7e123b9bp-12, 0x1.7b75d73a615cdp-12, 0x1.735923e6cd5bep-12, 0x1.6b83ae02c8649p-12, 0x1.63f271379b1ffp-12, 0x1.5ca28404246f9p-12, 0x1.559117091fc0fp-12, 0x1.4ebb7457323e3p-12, 0x1.481efec1f3dccp-12, 0x1.41b93135154e6p-12, 0x1.3b879e0d7fc28p-12, 0x1.3587ee75bf46fp-12, 0x1.2fb7e1c43ac71p-12, 0x1.2a154cdd5b0c8p-12, 0x1.249e199954a44p-12, 0x1.1f50462c5c8fep-12, 0x1.1a29e4915376dp-12, 0x1.152919fa8f32cp-12, 0x1.104c1e4011078p-12, 0x1.0b913b55e5fa3p-12, 0x1.06f6ccc277d87p-12, 0x1.027b3f1963ac4p-12, 0x1.fc3a1ef0912e9p-13, 0x1.f3b5960d1945p-13, 0x1.eb661cf0251d8p-13, 0x1.e3490b2490d96p-13, 0x1.db5bd568a7968p-13, 0x1.d39c0cc3b1c3ep-13, 0x1.cc075da30cccep-13, 0x1.c49b8ef6811e3p-13, 0x1.bd568158b470ap-13, 0x1.b6362e36f48c2p-13, 0x1.af38a702f62d7p-13, 0x1.a85c14650001ep-13, 0x1.a19eb5773e36p-13, 0x1.9afedf029ebb3p-13, 0x1.947afac1cb00cp-13, 0x1.8e1186a76671ap-13, 0x1.87c1142b50fb5p-13, 0x1.8188479b238aap-13, 0x1.7b65d76f71024p-13, 0x1.75588ba369e15p-13, 0x1.6f5f3d13a5467p-13, 0x1.6978d4df8f4b1p-13, 0x1.63a44bcf0e6d9p-13, 0x1.5de0a9bcdff34p-13, 0x1.582d0504ec4d2p-13, 0x1.528881f5edc4p-13, 0x1.4cf252469cc44p-13, 0x1.4769b48ecec4p-13, 0x1.41edf3c600462p-13, 0x1.3c7e66c40199cp-13, 0x1.371a6fc52e9f8p-13, 0x1.31c17bf1f1a26p-13, 0x1.2c7302eafef48p-13, 0x1.272e8656ac46p-13, 0x1.21f3917490ab1p-13, 0x1.1cc1b8b15aadcp-13, 0x1.1798994155bd3p-13, 0x1.1277d8ba958b2p-13, 0x1.0d5f24b34cc33p-13, 0x1.084e32639590ap-13, 0x1.0344be4a48ddap-13, 0x1.fc8517a80ba44p-14, 0x1.f28eca0b71468p-14, 0x1.e8a63451fbbc5p-14, 0x1.decb02f7c92cdp-14, 0x1.d4fcedc580cd8p-14, 0x1.cb3bb7398b6edp-14, 0x1.c1872bf60f9b8p-14, 0x1.b7df2235b64e9p-14, 0x1.ae4379432e397p-14, 0x1.a4b418f3b774fp-14, 0x1.9b30f1299bfb5p-14, 0x1.91b9f9592719dp-14, 0x1.884f30132da59p-14, 0x1.7ef09a9109d24p-14, 0x1.759e444832efap-14, 0x1.6c583e8110e96p-14, 0x1.631e9feec4f4p-14, 0x1.59f1844e85d61p-14, 0x1.50d10c06fc8dcp-14, 0x1.47bd5bcf2c775p-14, 0x1.3eb69c575e1f5p-14, 0x1.35bcf9f375f91p-14, 0x1.2cd0a44a685e6p-14, 0x1.23f1ce09fb51cp-14, 0x1.1b20ac9b75813p-14, 0x1.125d77db1e099p-14, 0x1.09a869d5b34f8p-14, 0x1.0101be85fc24dp-14, 0x1.f0d367306ab2fp-15, 0x1.dfc110577a98dp-15, 0x1.ceccf93571d2p-15, 0x1.bdf7a48656649p-15, 0x1.ad4196a6b9d99p-15, 0x1.9cab552fe435ep-15, 0x1.8c356697156c7p-15, 0x1.7be051d82afb4p-15, 0x1.6bac9e1be5c31p-15, 0x1.5b9ad268f359ap-15, 0x1.4bab7552c0a1p-15, 0x1.3bdf0cb334999p-15, 0x1.2c361d643d16ep-15, 0x1.1cb12b01bcf77p-15, 0x1.0d50b7a8db25ep-15, 0x1.fc2a877a48f18p-16, 0x1.ddfe9b677aaap-16, 0x1.c01ea3bc71c42p-16, 0x1.a28b9473d3e9fp-16, 0x1.85465c871cb49p-16, 0x1.684fe599efddep-16, 0x1.4ba913af60d7ep-16, 0x1.2f52c4dad4214p-16, 0x1.134dd0fdb94f8p-16, 0x1.ef361310bce7ap-17, 0x1.b876727ff9c68p-17, 0x1.825e481ac1986p-17, 0x1.4cef0d99510b7p-17, 0x1.182a2e3cb7e53p-17, 0x1.c8220d078be6dp-18, 0x1.6149c7cc1b76bp-18, 0x1.f79c123aa7108p-19, 0x1.2f625c93c09dcp-19, 0x1.a7abaa8077083p-21, -0x1.63181c7031981p-21, -0x1.18ac7be913915p-19, -0x1.d5c4b771f9812p-19, -0x1.48059f08ed179p-18, -0x1.a3be6a8d022adp-18, -0x1.fe0b4179d2bdbp-18, -0x1.2b7563c73c53bp-17, -0x1.572de08cf0ec5p-17, -0x1.822e897ccb3d1p-17, -0x1.ac76e13709b13p-17, -0x1.d6067a8d6a84bp-17, -0x1.fedcf8681132ap-17, -0x1.137d06d78c744p-16, -0x1.272ebe9a7e22p-16, -0x1.3a838cc88ae7dp-16, -0x1.4d7b62817f283p-16, -0x1.601638a4e6db3p-16, -0x1.72540fc082352p-16, -0x1.8434effa012c9p-16, -0x1.95b8e8f76fef1p-16, -0x1.a6e011c6e238ap-16, -0x1.b7aa88c695903p-16, -0x1.c818738aa719dp-16, -0x1.d829febf9a701p-16, -0x1.e7df5e10e85acp-16, -0x1.f738cc0aab53p-16, -0x1.031b44fd4c4d2p-15, -0x1.0a6c6fe8baa13p-15, -0x1.11900e0306b7ep-15, -0x1.188649b8f08fcp-15, -0x1.1f4f5099324ap-15, -0x1.25eb534379678p-15, -0x1.2c5a855721b09p-15, -0x1.329d1d639320bp-15, -0x1.38b354d4bf96dp-15, -0x1.3e9d67e211fb6p-15, -0x1.445b957fdda14p-15, -0x1.49ee1f49f92dp-15, -0x1.4f554973c26e2p-15, -0x1.54915ab683876p-15, -0x1.59a29c3e6899p-15, -0x1.5e89599904415p-15, -0x1.6345e0a30bcb7p-15, -0x1.67d8817717db4p-15, -0x1.6c418e5b9086ep-15, -0x1.70815bb03ea63p-15, -0x1.74983fdc62cbfp-15, -0x1.7886933d5ee2ep-15, -0x1.7c4cb014800d6p-15, -0x1.7feaf274cf014p-15, -0x1.8361b8318733cp-15, -0x1.86b160ce729c3p-15, -0x1.89da4d6cb8184p-15, -0x1.8cdce0b9ca35ep-15, -0x1.8fb97edf120ecp-15, -0x1.92708d70ce942p-15, -0x1.9502735c515cbp-15, -0x1.976f98d7f97cap-15, -0x1.99b86753d2a75p-15, -0x1.9bdd4966ec209p-15, -0x1.9ddeaac1e3a9fp-15, -0x1.9fbcf81dcba6bp-15, -0x1.a1789f2bf0fcdp-15, -0x1.a3120e87dffbap-15, -0x1.a489b5a64b943p-15, -0x1.a5e004c673006p-15, -0x1.a7156ce4a23d5p-15, -0x1.a82a5faaae96fp-15, -0x1.a91f4f611837p-15, -0x1.a9f4aee265ad2p-15, -0x1.aaaaf18bb4a7fp-15, -0x1.ab428b2fd670cp-15, -0x1.abbbf009d45c1p-15, -0x1.ac1794af66e64p-15, -0x1.ac55ee04b397ep-15, -0x1.ac77712e94ef1p-15, -0x1.ac7c938757b5ep-15, -0x1.ac65ca9203721p-15, -0x1.ac338bee4c2b6p-15, -0x1.abe64d4d4e506p-15, -0x1.ab7e846589da7p-15, -0x1.aafca6e79e333p-15, -0x1.aa612a74552a5p-15, -0x1.a9ac8491632e2p-15, -0x1.a8df2a9e99007p-15, -0x1.a7f991cc6c6b1p-15, -0x1.a6fc2f11a7564p-15, -0x1.a5e777217826ep-15, -0x1.a4bbde630f25dp-15, -0x1.a379d8e7931ffp-15, -0x1.a221da611c504p-15, -0x1.a0b4561a279fcp-15, -0x1.9f31beed4c8d5p-15, -0x1.9d9a873d7a8c7p-15, -0x1.9bef20eccaddp-15, -0x1.9a2ffd5623526p-15, -0x1.985d8d44e2805p-15, -0x1.967840ed64147p-15, -0x1.948087e6d2cffp-15, -0x1.9276d1245dc78p-15, -0x1.905b8aed15343p-15, -0x1.8e2f22d749767p-15, -0x1.8bf205c22705p-15, -0x1.89a49fcea1187p-15, -0x1.87475c5a8f785p-15, -0x1.84daa5fc17389p-15, -0x1.825ee67b48d1ap-15, -0x1.7fd486ccc2b5cp-15, -0x1.7d3bef0d52fb2p-15, -0x1.7a95867d53d9fp-15, -0x1.77e1b37cc946fp-15, -0x1.7520db857c6d3p-15, -0x1.7253632889dbep-15, -0x1.6f79ae09a1e9bp-15, -0x1.6c941edbad0f6p-15, -0x1.69a3175cf8a47p-15, -0x1.66a6f854a1059p-15, }}, 
      {{-0x1.dd05b3a4a66e1p-7, -0x1.dcc2e43c604dbp-6, -0x1.653ed66fc7145p-5, -0x1.dbb8bc02f3d9dp-5, -0x1.28d7650e5f462p-4, -0x1.6380a98b02859p-4, -0x1.9dc8bb0464b86p-4, -0x1.d7a09e094e1ebp-4, -0x1.087cec4ea6592p-3, -0x1.24e33e4a5f9f9p-3, -0x1.40fc97fd8bc9ap-3, -0x1.5cc299d4cf823p-3, -0x1.782f341bac14cp-3, -0x1.933ca8b594a22p-3, -0x1.ade58c2c4e953p-3, -0x1.c824c626f3c8ap-3, -0x1.e1f5915bfbcbap-3, -0x1.fb537b0f5b878p-3, -0x1.0a1d31165492ep-2, -0x1.16533b05ddae5p-2, -0x1.224a1a7686cb6p-2, -0x1.2e00351ce1ce3p-2, -0x1.3974164900ccep-2, -0x1.44a46dd98fd68p-2, -0x1.4f900f1f0af8bp-2, -0x1.5a35efb2cd889p-2, -0x1.6495264530ad6p-2, -0x1.6eace96592cf3p-2, -0x1.787c8e46c05b3p-2, -0x1.82038781d438dp-2, -0x1.8b4163d96f54cp-2, -0x1.9435ccfed2318p-2, -0x1.9ce0865a322f2p-2, -0x1.a5416bd76a2abp-2, -0x1.ad5870b7fbdf9p-2, -0x1.b5259e6b2c591p-2, -0x1.bca9136ce225p-2, -0x1.c3e3022bc9a8p-2, -0x1.cad3aff7302adp-2, -0x1.d17b73f4dce07p-2, -0x1.d7dab61f2b2f3p-2, -0x1.ddf1ee4b8b2dep-2, -0x1.e3c1a33979ed7p-2, -0x1.e94a69aa00f34p-2, -0x1.ee8ce37fad0e9p-2, -0x1.f389bee6f49f2p-2, -0x1.f841b586e6285p-2, -0x1.fcb58bba0af4ap-2, -0x1.007307e7a0fdbp-1, -0x1.026a0ca938ccbp-1, -0x1.0440442e6946p-1, -0x1.05f6227650946p-1, -0x1.078c1f21f9a52p-1, -0x1.0902b5274181p-1, -0x1.0a5a628711352p-1, -0x1.0b93a806d3717p-1, -0x1.0caf08ed03583p-1, -0x1.0dad0ac0b8ffep-1, -0x1.0e8e350c146fp-1, -0x1.0f5311216a097p-1, -0x1.0ffc29e314bc1p-1, -0x1.108a0b8dd49a8p-1, -0x1.10fd43859c40fp-1, -0x1.11566024b5aa4p-1, -0x1.1195f08d2843dp-1, -0x1.11bc847c472eap-1, -0x1.11caac2051775p-1, -0x1.11c0f7f012e57p-1, -0x1.119ff8846e4bbp-1, -0x1.11683e73bff98p-1, -0x1.111a5a2f0959fp-1, -0x1.10b6dbe0cf518p-1, -0x1.103e534da1765p-1, -0x1.0fb14fb637a92p-1, -0x1.0f105fbb19162p-1, -0x1.0e5c1141bde1ep-1, -0x1.0d94f15b20836p-1, -0x1.0cbb8c2bb0802p-1, -0x1.0bd06cd49bfc4p-1, -0x1.0ad41d5e63958p-1, -0x1.09c726a4af856p-1, -0x1.08aa10435911p-1, -0x1.077d6084a05b7p-1, -0x1.06419c5083649p-1, -0x1.04f7471d2d9fcp-1, -0x1.039ee2e0747bep-1, -0x1.0238f0025c3dbp-1, -0x1.00c5ed509751cp-1, -0x1.fe8cafe5f763p-2, -0x1.fb7556c1c4f28p-2, -0x1.f846c2aed7126p-2, -0x1.f501e3a13a192p-2, -0x1.f1a7a5f6aa76dp-2, -0x1.ee38f26810cc3p-2, -0x1.eab6adfc84fe4p-2, -0x1.e721b9fdc8e1dp-2, -0x1.e37af3ee2e2e5p-2, -0x1.dfc3357fd5bp-2, -0x1.dbfb548d3cba1p-2, -0x1.d82423130893bp-2, -0x1.d43e6f2b01ccep-2, -0x1.d04b030834ec4p-2, -0x1.cc4aa4f427501p-2, -0x1.c83e174d1856ap-2, -0x1.c42618853b042p-2, -0x1.c0036322e430bp-2, -0x1.bbd6adc19ac5cp-2, -0x1.b7a0ab1403009p-2, -0x1.b36209e69242fp-2, -0x1.af1b75230d321p-2, -0x1.aacd93d4b5c26p-2, -0x1.a679092d2bd25p-2, -0x1.a21e7489ee4cep-2, -0x1.9dbe717a778bep-2, -0x1.995997c6e83a1p-2, -0x1.94f07b773b6cap-2, -0x1.9083acdaf7a4dp-2, -0x1.8c13b891553eep-2, -0x1.87a12791d496ap-2, -0x1.832c7f353a352p-2, -0x1.7eb6413ee5982p-2, -0x1.7a3eebe686f86p-2, -0x1.75c6f9e21da1ep-2, -0x1.714ee27047383p-2, -0x1.6cd71962cddf6p-2, -0x1.68600f29770bep-2, -0x1.63ea30dd09bc1p-2, -0x1.5f75e84a88983p-2, -0x1.5b039bfe95d9ep-2, -0x1.5693af5106b38p-2, -0x1.5226827092dd3p-2, -0x1.4dbc726eac27ep-2, -0x1.4955d94b68181p-2, -0x1.44f30e018bcefp-2, -0x1.40946492a12fdp-2, -0x1.3c3a2e132435ep-2, -0x1.37e4b8b6b9867p-2, -0x1.33944fdc6dcf4p-2, -0x1.2f493c1b0022dp-2, -0x1.2b03c34d2a933p-2, -0x1.26c4289df1d5dp-2, -0x1.228aac94ef2fap-2, -0x1.1e578d22989ecp-2, -0x1.1a2b05ac849efp-2, -0x1.16054f19a2ee2p-2, -0x1.11e69fde700b2p-2, -0x1.0dcf2c09178c4p-2, -0x1.09bf254d8dabp-2, -0x1.05b6bb11996a8p-2, -0x1.01b61a78cc457p-2, -0x1.fb7adce0d40d5p-3, -0x1.f399bf7678cd8p-3, -0x1.ebc929faa7802p-3, -0x1.e409658f638adp-3, -0x1.dc5ab747b8107p-3, -0x1.d4bd603eb80bep-3, -0x1.cd319dae3ff7p-3, -0x1.c5b7a9058fdcdp-3, -0x1.be4fb7ffafc31p-3, -0x1.b6f9fcb998441p-3, -0x1.afb6a5c82c8a1p-3, -0x1.a885de4df798cp-3, -0x1.a167ce10adc6bp-3, -0x1.9a5c998e7dd64p-3, -0x1.936462131ace5p-3, -0x1.8c7f45cc902b8p-3, -0x1.85ad5fdfd95fbp-3, -0x1.7eeec87d37595p-3, -0x1.784394f44a3ap-3, -0x1.71abd7c7ead7ap-3, -0x1.6b27a0c1c6aa1p-3, -0x1.64b6fd05b63cbp-3, -0x1.5e59f724d6ed4p-3, -0x1.5810973061d24p-3, -0x1.51dae2cc40a8p-3, -0x1.4bb8dd4160c56p-3, -0x1.45aa878fc2563p-3, -0x1.3fafe0804921p-3, -0x1.39c8e4b6444b9p-3, -0x1.33f58ec0b7ab3p-3, -0x1.2e35d72b5eb72p-3, -0x1.2889b48f6d81cp-3, -0x1.22f11ba40ed8cp-3, -0x1.1d6bff4e9ce7cp-3, -0x1.17fa50b297015p-3, -0x1.129bff415650ap-3, -0x1.0d50f8c978a8p-3, -0x1.081929861060bp-3, -0x1.02f47c2d86d22p-3, -0x1.fbc5b4008cfcfp-4, -0x1.f1c855ae2debp-4, -0x1.e7f0aa627f165p-4, -0x1.de3e7c84c3da9p-4, -0x1.d4b194001e77ep-4, -0x1.cb49b65e47eabp-4, -0x1.c206a6e1b078p-4, -0x1.b8e8269f2c1e8p-4, -0x1.afedf4970d035p-4, -0x1.a717cdcdc63e6p-4, -0x1.9e656d640e3bp-4, -0x1.95d68cae75f04p-4, -0x1.8d6ae34c873ep-4, -0x1.8522273f6419p-4, -0x1.7cfc0cffe4964p-4, -0x1.74f84794380f3p-4, -0x1.6d1688a509e51p-4, -0x1.655680922a984p-4, -0x1.5db7de86be145p-4, -0x1.563a508ceed6dp-4, -0x1.4edd83a12b926p-4, -0x1.47a123c4e9ac4p-4, -0x1.4084dc10f2eap-4, -0x1.398856c73ed6ap-4, -0x1.32ab3d6454e1p-4, -0x1.2bed38b03e977p-4, -0x1.254df0cf064f2p-4, -0x1.1ecd0d50c614dp-4, -0x1.186a3541468e4p-4, -0x1.12250f3731234p-4, -0x1.0bfd4162d405fp-4, -0x1.05f2719c7bccbp-4, -0x1.0004457262159p-4, -0x1.f464c46c6b351p-5, -0x1.e8f8da1470ba8p-5, -0x1.ddc415dbf4821p-5, -0x1.d2c5c1955b914p-5, -0x1.c7fd26fe33ebfp-5, -0x1.bd698fd657848p-5, -0x1.b30a45f64c3f8p-5, -0x1.a8de9364e8156p-5, -0x1.9ee5c26c3951cp-5, -0x1.951f1dadbb61bp-5, -0x1.8b89f035d1825p-5, -0x1.8225858e94ad5p-5, -0x1.78f129d1f1407p-5, -0x1.6fec29bb194bp-5, -0x1.6715d2b74e536p-5, -0x1.5e6d72f60726fp-5, -0x1.55f2597870a5ep-5, -0x1.4da3d62051a38p-5, -0x1.458139be5233fp-5, -0x1.3d89d61fa82a6p-5, -0x1.35bcfe1b2ec31p-5, -0x1.2e1a059dec49p-5, -0x1.26a041b7017f5p-5, -0x1.1f4f08a31681ap-5, -0x1.1825b1d7321bep-5, -0x1.1123960b10b63p-5, -0x1.0a480f42f5e6cp-5, -0x1.039278d8fa6d9p-5, -0x1.fa045f0bbec95p-6, -0x1.ed2d22d2c09f9p-6, -0x1.e09dfc2428769p-6, -0x1.d455ad09a49a6p-6, -0x1.c852fa874ce79p-6, -0x1.bc94aca8ad15fp-6, -0x1.b1198e8cf15a6p-6, -0x1.a5e06e723e851p-6, -0x1.9ae81dc03f762p-6, -0x1.902f7111de0f4p-6, -0x1.85b5403e46974p-6, -0x1.7b7866611e58dp-6, -0x1.7177c1e204b37p-6, -0x1.67b2347b62d7ep-6, -0x1.5e26a34088c9p-6, -0x1.54d3f6a32010ap-6, -0x1.4bb91a77f7aefp-6, -0x1.42d4fdfb33d2p-6, -0x1.3a2693d3dd1bdp-6, -0x1.31acd216dcd72p-6, -0x1.2966b24963fccp-6, -0x1.21533162c6e59p-6, -0x1.19714fcdd12b5p-6, -0x1.11c01169926f3p-6, -0x1.0a3e7d89ad297p-6, -0x1.02eb9ef629a09p-6, -0x1.f78d07d5a3e6ap-7, -0x1.e99c7c2c3de9cp-7, -0x1.dc03c52f5acf7p-7, -0x1.cec113fca5a2bp-7, -0x1.c1d2a08b8a769p-7, -0x1.b536a9a7c681ap-7, -0x1.a8eb74eb3d0acp-7, -0x1.9cef4eb708b5fp-7, -0x1.91408a2bfd43ep-7, -0x1.85dd812251fd8p-7, -0x1.7ac49420e1293p-7, -0x1.6ff42a53ac527p-7, -0x1.656ab181d80cfp-7, -0x1.5b269e031afbp-7, -0x1.51266ab4ab59ep-7, -0x1.476898edb18c7p-7, -0x1.3debb073353acp-7, -0x1.34ae3f6ba5d11p-7, -0x1.2baeda51ed569p-7, -0x1.22ec1be82349p-7, -0x1.1a64a529e12c5p-7, -0x1.12171d3e339a3p-7, -0x1.0a02316935c09p-7, -0x1.022494fd63444p-7, -0x1.f4fa02993df95p-8, -0x1.e6146b31d9f8p-8, -0x1.d795ee09e18d9p-8, -0x1.c97c210845013p-8, -0x1.bbc4a595c33bep-8, -0x1.ae6d287c745c2p-8, -0x1.a17361c72818ap-8, -0x1.94d514a047b97p-8, -0x1.88900f3071b33p-8, -0x1.7ca22a7cd3f42p-8, -0x1.71094a45464cep-8, -0x1.65c35ce22f15dp-8, -0x1.5ace5b2236925p-8, -0x1.50284827bfc85p-8, -0x1.45cf31465a05ep-8, -0x1.3bc12ddff6734p-8, -0x1.31fc5f4225cdap-8, -0x1.287ef0833ccdcp-8, -0x1.1f47165f5a6f6p-8, -0x1.16530f15803d6p-8, -0x1.0da122449bb1dp-8, -0x1.052fa0c896e86p-8, -0x1.f9f9c92f2320fp-9, -0x1.ea0ea13de4ef5p-9, -0x1.da9aa1417dc3cp-9, -0x1.cb9ab221c70ecp-9, -0x1.bd0bcde56f1bap-9, -0x1.aeeaff6d203afp-9, -0x1.a135622f016dbp-9, -0x1.93e821f28431fp-9, -0x1.87007a8c6cd9dp-9, -0x1.7a7bb79b616f7p-9, -0x1.6e573444d069bp-9, -0x1.62905af222413p-9, -0x1.5724a50ea67bp-9, -0x1.4c119ac5b74ecp-9, -0x1.4154d2c14963p-9, -0x1.36ebf1e946c31p-9, -0x1.2cd4ab2322b04p-9, -0x1.230cbf1235dc7p-9, -0x1.1991fbd87c98bp-9, -0x1.10623cd80537cp-9, -0x1.077b6a74d4a89p-9, -0x1.fdb6f3aed944cp-10, -0x1.ed00d960172cfp-10, -0x1.dcd0a1f4db187p-10, -0x1.cd228184541b2p-10, -0x1.bdf2c3cfe3222p-10, -0x1.af3dcbce12c14p-10, -0x1.a1001337996bep-10, -0x1.93362a1579a7cp-10, -0x1.85dcb65044bbfp-10, -0x1.78f0734121fb9p-10, -0x1.6c6e3143d5a56p-10, -0x1.6052d54a7c9ccp-10, -0x1.549b5872589a1p-10, -0x1.4944c79a4b93ap-10, -0x1.3e4c42fa82046p-10, -0x1.33aefdbdd9eddp-10, -0x1.296a3d9c59311p-10, -0x1.1f7b5a7757a19p-10, -0x1.15dfbdf6dc767p-10, -0x1.0c94e328802b1p-10, -0x1.0398561fd3094p-10, -0x1.f5cf673027563p-11, -0x1.e501512eb5ac5p-11, -0x1.d4c1e4269e136p-11, -0x1.c50cb92de95bfp-11, -0x1.b5dd87d47f717p-11, -0x1.a7302575e2054p-11, -0x1.9900848d7c205p-11, -0x1.8b4ab40dfc613p-11, -0x1.7e0adebb69f5cp-11, -0x1.713d4a88418d9p-11, -0x1.64de57f4aeba5p-11, -0x1.58ea817128b56p-11, -0x1.4d5e5ac358d6ap-11, -0x1.4236906df485ep-11, -0x1.376fe71b586fdp-11, -0x1.2d073b0a6af24p-11, -0x1.22f97f7e99317p-11, -0x1.1943be320f756p-11, -0x1.0fe316cadeb3bp-11, -0x1.06d4be527746fp-11, -0x1.fc2bfd5f70a6bp-12, -0x1.eb486c47503adp-12, -0x1.daf9ad910969ep-12, -0x1.cb3acc27336fp-12, -0x1.bc06f8b1ffae3p-12, -0x1.ad5988a4d3f5p-12, -0x1.9f2df54f72e82p-12, -0x1.917fdaf4ed3a4p-12, -0x1.844af7e64da5ap-12, -0x1.778b2ba30fefp-12, -0x1.6b3c75fce8631p-12, -0x1.5f5af640fa09ep-12, -0x1.53e2ea64e1bc8p-12, -0x1.48d0ae388a35bp-12, -0x1.3e20ba9c531e3p-12, -0x1.33cfa4baddb2p-12, -0x1.29da1d483bf2ep-12, -0x1.203cefc3fa565p-12, -0x1.16f501c040cbep-12, -0x1.0dff522c9e4f4p-12, -0x1.0558f8a4af387p-12, -0x1.f9fe49851fbddp-13, -0x1.e9de3aeb9d9e9p-13, -0x1.da4c80ba7a2dep-13, -0x1.cb44024b5e588p-13, -0x1.bcbfd1d5e6fadp-13, -0x1.aebb2b3b7c39bp-13, -0x1.a13172d84f826p-13, -0x1.941e345cd446ap-13, -0x1.877d21acbfc1p-13, -0x1.7b4a11c613c47p-13, -0x1.6f80ffadbfe43p-13, -0x1.641e096344d72p-13, -0x1.591d6edb3275fp-13, -0x1.4e7b90ff01848p-13, -0x1.4434f0b3761f1p-13, -0x1.3a462de5da0cfp-13, -0x1.30ac069dcf6b7p-13, -0x1.2763561644337p-13, -0x1.1e6913db5e77ap-13, -0x1.15ba52ee4621cp-13, -0x1.0d5440ee8fd7ep-13, -0x1.05342548e7c05p-13, -0x1.faaec0d64ec43p-14, -0x1.eb76d5fb17bdp-14, -0x1.dcbbaa4250e05p-14, -0x1.ce788b66d94e5p-14, -0x1.c0a8f32c6023fp-14, -0x1.b34885faa1485p-14, -0x1.a65311801258ap-14, -0x1.99c48b5ecf047p-14, -0x1.8d990fe30fa02p-14, -0x1.81cce0c17bbe4p-14, -0x1.765c63df5b7c7p-14, -0x1.6b4422218f3cfp-14, -0x1.6080c645ad6a2p-14, -0x1.560f1bc12e2ebp-14, -0x1.4bec0dab4db1dp-14, -0x1.4214a5abc97edp-14, -0x1.38860af35eb97p-14, -0x1.2f3d813a00e38p-14, -0x1.263867c58de4ap-14, -0x1.1d74387771bffp-14, -0x1.14ee86e0b8fbdp-14, -0x1.0ca4ff5dd207bp-14, -0x1.04956637ae365p-14, -0x1.f97b2d9889373p-15, -0x1.ea37057877dddp-15, -0x1.db5a62426c239p-15, -0x1.cce17b8e70bc8p-15, -0x1.bec8b0db5fb4fp-15, -0x1.b10c881c0866bp-15, -0x1.a3a9ac4e1ba17p-15, -0x1.969cec1d51a5cp-15, -0x1.89e338929f6e8p-15, -0x1.7d79a3c8b9e75p-15, -0x1.715d5fb062205p-15, -0x1.658bbcdb1a9ecp-15, -0x1.5a02295194134p-15, -0x1.4ebe2f71a5908p-15, -0x1.43bd74d66e668p-15, -0x1.38fdb949f4b0ep-15, -0x1.2e7cd5bd5e5dap-15, -0x1.2438bb4cc3566p-15, -0x1.1a2f7248a8bd3p-15, -0x1.105f19481a916p-15, -0x1.06c5e442c5ec6p-15, -0x1.fac437652c353p-16, -0x1.e8643779d73d1p-16, -0x1.d668a6c688169p-16, -0x1.c4ce877382b51p-16, -0x1.b392fe4e6d37ap-16, -0x1.a2b3514fa6fd7p-16, -0x1.922ce632394b2p-16, -0x1.81fd4116c0be9p-16, -0x1.722203310dfdap-16, -0x1.6298e985f7defp-16, -0x1.535fcbb07a059p-16, -0x1.44749ab2b5c39p-16, -0x1.35d55fd1eb10ep-16, -0x1.27803b7e17fap-16, -0x1.197364437383p-16, -0x1.0bad25c68a282p-16, -0x1.fc57bf8da4821p-17, -0x1.e1dc0a5e0dc63p-17, -0x1.c7e4365415c93p-17, -0x1.ae6d70881bf73p-17, -0x1.957507266e7bbp-17, -0x1.7cf867d149105p-17, -0x1.64f51e104de9ep-17, -0x1.4d68d1d432a72p-17, -0x1.36514605e5e1cp-17, -0x1.1fac57256c969p-17, -0x1.0977f9f88d4cfp-17, -0x1.e7647487d9bb3p-18, -0x1.bcb273243d608p-18, -0x1.92d65c1361c6bp-18, -0x1.69ccc29df7c36p-18, -0x1.41925ee2a7ab8p-18, -0x1.1a240bc7d3067p-18, -0x1.e6fd8a057139ap-19, -0x1.9b3f4a6f6cbe3p-19, -0x1.5107c854a9bafp-19, -0x1.0851aa06c53edp-19, -0x1.822f92cb62dfcp-20, -0x1.ed54c2ca5a6adp-21, -0x1.b828bcc290249p-22, 0x1.7ba3f74951ab2p-24, 0x1.3557ad1a8cdc9p-21, 0x1.1ad337bacc526p-20, 0x1.9838bf1e5cb4dp-20, 0x1.0972440fe70ddp-19, 0x1.456f38e8cbbffp-19, 0x1.8017119760dd5p-19, 0x1.b96d87a33eef4p-19, 0x1.f1763c7b6ba4p-19, 0x1.141a5da68b2dp-18, 0x1.2ed63d5d8e4eep-18, 0x1.48f06f3dbb509p-18, 0x1.626a9c72f23a1p-18, 0x1.7b46662fd7beap-18, 0x1.93856663c9dc5p-18, 0x1.ab29305d2bb0fp-18, 0x1.c2335168ca8a3p-18, 0x1.d8a5516237e9dp-18, 0x1.ee80b33c1feap-18, 0x1.01e37ac369aa4p-17, 0x1.0c3cc9718c1b7p-17, 0x1.164d013c2f4efp-17, 0x1.2014dc2d5a35dp-17, 0x1.299512f904c59p-17, 0x1.32ce5d297d09ap-17, 0x1.3bc171490c341p-17, 0x1.446f050b7354p-17, 0x1.4cd7cd7186e86p-17, 0x1.54fc7eea80309p-17, 0x1.5cddcd7388f44p-17, 0x1.647c6cb264aabp-17, 0x1.6bd91010144bdp-17, 0x1.72f46acf91d4ap-17, 0x1.79cf30240b62bp-17, 0x1.806a13422a199p-17, 0x1.86c5c772bfe09p-17, 0x1.8ce3001f2faf5p-17, 0x1.92c270e04ff58p-17, 0x1.9864cd877dbe1p-17, 0x1.9dcaca2a4831p-17, 0x1.a2f51b2a4ddd8p-17, 0x1.a7e4753c1aee9p-17, 0x1.ac998d6bc6e97p-17, 0x1.b115191f915f9p-17, 0x1.b557ce1bd9f19p-17, 0x1.b9626282cb483p-17, 0x1.bd358cd6732fep-17, 0x1.c0d203f6626e9p-17, 0x1.c4387f1fa13bfp-17, 0x1.c769b5e8e3eb5p-17, 0x1.ca66603fcd14bp-17, 0x1.cd2f36633e04p-17, 0x1.cfc4f0df675c2p-17, 0x1.d22848879d95fp-17, 0x1.d459f6717d499p-17, 0x1.d65ab3eb87573p-17, 0x1.d82b3a76a4b1cp-17, 0x1.d9cc43bebaef1p-17, 0x1.db3e899289d0cp-17, 0x1.dc82c5d91304ep-17, 0x1.dd99b2899d274p-17, 0x1.de8409a1db2e7p-17, 0x1.df42851c3f149p-17, 0x1.dfd5dee6311ebp-17, 0x1.e03ed0d50cf8p-17, 0x1.e07e149c7fe24p-17, 0x1.e09463c337febp-17, 0x1.e0827799cfba2p-17, 0x1.e049092ccda7fp-17, 0x1.dfe8d13bcde6p-17, 0x1.df62882dab5f1p-17, 0x1.deb6e605b0c77p-17, 0x1.dde6a2590ec7p-17, 0x1.dcf27441b11ebp-17, 0x1.dbdb12552a143p-17, 0x1.daa132988f52ap-17, 0x1.d9458a76a71b1p-17, 0x1.d7c8ceb3dda4ep-17, 0x1.d62bb3642a3f7p-17, 0x1.d46eebdfde4fdp-17, 0x1.d2932ab9e0eaap-17, 0x1.d09921b418f03p-17, 0x1.ce8181b550bd3p-17, 0x1.cc4cfabf0e546p-17, 0x1.c9fc3be3ea5a5p-17, 0x1.c78ff33e2daefp-17, 0x1.c508cde5054c3p-17, 0x1.c26777e3622bp-17, 0x1.bfac9c2f0a274p-17, 0x1.bcd8e49e70298p-17, 0x1.b9ecf9e1ac272p-17, 0x1.b6e983781c889p-17, 0x1.b3cf27a9627cp-17, 0x1.b09e8b7c81439p-17, 0x1.ad5852b02f08bp-17, 0x1.a9fd1fb2c692ep-17, 0x1.a68d939a500c6p-17, 0x1.a30a4e1e1a6b5p-17, 0x1.9f73ed8e9d4dep-17, 0x1.9bcb0ecfdf07ap-17, 0x1.98104d52a4d6ep-17, 0x1.9444430d2a0a5p-17, 0x1.906788767268cp-17, 0x1.8c7ab47f4512cp-17, 0x1.887e5c8d71f1cp-17, 0x1.8473147634e3cp-17, 0x1.80596e78e6b9ep-17, 0x1.7c31fb3ad8883p-17, 0x1.77fd49c23151p-17, 0x1.73bbe771def32p-17, 0x1.6f6e6004d010dp-17, 0x1.6b153d8ad5a9dp-17, 0x1.66b108646d208p-17, 0x1.6242473f4ccc1p-17, 0x1.5dc97f144619dp-17, 0x1.59473322d47afp-17, 0x1.54bbe4ef4904dp-17, 0x1.5028144099d5bp-17, 0x1.4b8c3f1cd0f6fp-17, 0x1.46e8e1c864c28p-17, 0x1.423e76c395483p-17, 0x1.3d8d76c936997p-17, 0x1.38d658ccf9617p-17, 0x1.341991fa952bdp-17, 0x1.2f5795b43da96p-17, 0x1.2a90d591ff681p-17, 0x1.25c5c16175508p-17, 0x1.20f6c724e1c74p-17, 0x1.1c2453129c1b9p-17, 0x1.174ecf9689ae2p-17, 0x1.1276a5505f2ecp-17, 0x1.0d9c3b14d34a5p-17, 0x1.08bff5ee988f6p-17, 0x1.03e2391dbf0cep-17, 0x1.fe06cc32d1667p-18, 0x1.f447b920f69fcp-18, 0x1.ea87f4d6299a7p-18, 0x1.e0c8379624c14p-18, 0x1.d709361bc8ad9p-18, 0x1.cd4ba19d5ba57p-18, 0x1.c39027cd59229p-18, 0x1.b9d772e0056cdp-18, 0x1.b022298ec0bf4p-18, 0x1.a670ef1bfeb7fp-18, 0x1.9cc46357ccbd7p-18, 0x1.931d22a56ffa3p-18, 0x1.897bc5fe6457cp-18, 0x1.7fe0e2f8db955p-18, 0x1.764d0bcd45a57p-18, 0x1.6cc0cf5a61307p-18, 0x1.633cb92c9ea94p-18, 0x1.59c151835154ep-18, 0x1.504f1d579c322p-18, 0x1.46e69e60a1e78p-18, 0x1.3d88531bd75c5p-18, 0x1.3434b6d42f763p-18, 0x1.2aec41a6cd982p-18, 0x1.21af688b25817p-18, 0x1.187e9d5a972a2p-18, 0x1.0f5a4ed69c47dp-18, 0x1.0642e8b0cda88p-18, 0x1.fa71a72524bd2p-19, 0x1.e878ea484a505p-19, 0x1.d69c6028212e7p-19, 0x1.c4dcc8418179ep-19, 0x1.b33adc3bccb0ep-19, 0x1.a1b74ffd382a5p-19, 0x1.9052d1b8e89ccp-19, 0x1.7f0e0a0101e8fp-19, 0x1.6de99bd55b63bp-19, 0x1.5ce624b3f9cc9p-19, 0x1.4c043cada709ep-19, 0x1.3b4476724895dp-19, 0x1.2aa75f63efd02p-19, 0x1.1a2d7fa8b4bfcp-19, 0x1.09d75a3b4e96bp-19, 0x1.f34ad9f571e42p-20, 0x1.d330617eae2d7p-20, 0x1.b36032d376822p-20, 0x1.93db2be8c6da3p-20, 0x1.74a2210c44f64p-20, 0x1.55b5dd08974bap-20, 0x1.371721451be44p-20, 0x1.18c6a5ebbbc1dp-20, 0x1.f58a341b03527p-21, 0x1.ba2647876f5dep-21, 0x1.7f62c0a7ad711p-21, 0x1.4540c8a280827p-21, 0x1.0bc1778759d85p-21, }}, 
      {{-0x1.597eaabc17b26p-1, -0x1.59a7263b84a8dp-1, -0x1.59e841660ecdcp-1, -0x1.5a3e9aada0029p-1, -0x1.5aa5be746680ap-1, -0x1.5b185c9370e4cp-1, -0x1.5b907e96fb86bp-1, -0x1.5c07bb9ea31c3p-1, -0x1.5c7768042e619p-1, -0x1.5cd8bfc54bc4cp-1, -0x1.5d250b432784cp-1, -0x1.5d55be4ffa6c9p-1, -0x1.5d6491c44b0b1p-1, -0x1.5d4b97fdba093p-1, -0x1.5d054cbf5360bp-1, -0x1.5c8ca0f50dd47p-1, -0x1.5bdd02dd63182p-1, -0x1.5af26317a898ap-1, -0x1.59c9370e1afd1p-1, -0x1.585e7928e653cp-1, -0x1.56afa72cde244p-1, -0x1.54babf1dc6479p-1, -0x1.527e3af18175bp-1, -0x1.4ff90b5770ad4p-1, -0x1.4d2a91ce0abep-1, -0x1.4a129a383b719p-1, -0x1.46b1541c79842p-1, -0x1.43074bb0c3491p-1, -0x1.3f1562d0bc279p-1, -0x1.3adcc9f5ec54fp-1, -0x1.365ef945abcfbp-1, -0x1.319da9c45b467p-1, -0x1.2c9aceba40b54p-1, -0x1.27588f53899bap-1, -0x1.21d940829e511p-1, -0x1.1c1f5f29e667cp-1, -0x1.162d8a90814c4p-1, -0x1.10067f240b41p-1, -0x1.09ad11886ffebp-1, -0x1.032429f5d008ep-1, -0x1.f8dd7fc79ec5dp-2, -0x1.eb1fac01f51d6p-2, -0x1.dd14ece8fa1c2p-2, -0x1.cec35ed010f71p-2, -0x1.c0311faeeb88ep-2, -0x1.b164494708e99p-2, -0x1.a262ebc9d514p-2, -0x1.933308f99e937p-2, -0x1.83da8fbf87cf9p-2, -0x1.745f583077aefp-2, -0x1.64c71ffb26cb4p-2, -0x1.551787395f67ep-2, -0x1.45560d9eaf437p-2, -0x1.35880ffede269p-2, -0x1.25b2c626a95fdp-2, -0x1.15db4101686c1p-2, -0x1.06066906704dcp-2, -0x1.ec71f9d2798ep-3, -0x1.ccef210f2c569p-3, -0x1.ad8d18223e87cp-3, -0x1.8e5456c7dc57fp-3, -0x1.6f4cfb3408989p-3, -0x1.507ec9875daa6p-3, -0x1.31f12b9625669p-3, -0x1.13ab30fa9ee1dp-3, -0x1.eb671ed797fc8p-4, -0x1.b02146a4c02b9p-4, -0x1.7590e12bdb56dp-4, -0x1.3bc1473965ea7p-4, -0x1.02bd24f18bfabp-4, -0x1.951cf8f70881bp-5, -0x1.267d51e970ebbp-5, -0x1.7359868cf408bp-6, -0x1.3aedeafcfdbc8p-7, 0x1.a4793a28f2edep-9, 0x1.029d4bed8414bp-6, 0x1.cc9a49561b09cp-6, 0x1.49379a7d6d76bp-5, 0x1.aa03ac47501bp-5, 0x1.04540851adb62p-4, 0x1.328e43bb7c6a3p-4, 0x1.5face8b3f5848p-4, 0x1.8bacd3a2c3e31p-4, 0x1.b68b58b646cdap-4, 0x1.e0463f95ec379p-4, 0x1.046ddf8beda6ep-3, 0x1.18253c7e3f0bcp-3, 0x1.2b48bad92513fp-3, 0x1.3dd81011e6f76p-3, 0x1.4fd320c9003ep-3, 0x1.6139febe2b5ep-3, 0x1.720ce6cc206fap-3, 0x1.824c3eeca3a75p-3, 0x1.91f89445791efp-3, 0x1.a112993ebe5a3p-3, 0x1.af9b23a31779ap-3, 0x1.bd932aca10de6p-3, 0x1.cafbc5ccfe406p-3, 0x1.d7d629c69cb45p-3, 0x1.e423a81db4525p-3, 0x1.efe5acdad13e5p-3, 0x1.fb1dbd094a99dp-3, 0x1.02e6ba91cc20dp-2, 0x1.07fb43c58b806p-2, 0x1.0ccd5d859855cp-2, 0x1.115df4b3fbfbap-2, 0x1.15adfefc0f466p-2, 0x1.19be7a25238bbp-2, 0x1.1d906b6acce7ep-2, 0x1.2124dedabfad6p-2, 0x1.247ce6b83751fp-2, 0x1.27999ae4d7e52p-2, 0x1.2a7c184ef250fp-2, 0x1.2d2580651e31ap-2, 0x1.2f96f88f157bap-2, 0x1.31d1a9abb71a2p-2, 0x1.33d6bf941ef01p-2, 0x1.35a768a3bccc5p-2, 0x1.3744d5454d4b4p-2, 0x1.38b037849f87ep-2, 0x1.39eac2a50fde6p-2, 0x1.3af5aabc9965ep-2, 0x1.3bd224536977p-2, 0x1.3c816407d6747p-2, 0x1.3d049e36a2174p-2, 0x1.3d5d06a76cda6p-2, 0x1.3d8bd03d3d0e5p-2, 0x1.3d922cab0396fp-2, 0x1.3d714c2bfd589p-2, 0x1.3d2a5d3fdd87bp-2, 0x1.3cbe8c6aa213cp-2, 0x1.3c2f03f7f596p-2, 0x1.3b7cebc20e7ebp-2, 0x1.3aa968fbe3eacp-2, 0x1.39b59dfeaaf22p-2, 0x1.38a2aa1a79addp-2, 0x1.3771a969fbbc8p-2, 0x1.3623b4a91fa33p-2, 0x1.34b9e10ea155fp-2, 0x1.333540285a987p-2, 0x1.3196dfba472edp-2, 0x1.2fdfc9a018cep-2, 0x1.2e1103b152003p-2, 0x1.2c2b8fa7c8528p-2, 0x1.2a306b0879206p-2, 0x1.28208f0e9be03p-2, 0x1.25fcf098de26fp-2, 0x1.23c68018b0c17p-2, 0x1.217e2983944bfp-2, 0x1.1f24d4464f49ep-2, 0x1.1cbb6339f984p-2, 0x1.1a42b49acd465p-2, 0x1.17bba200a4fddp-2, 0x1.1527005919c47p-2, 0x1.12859fe32a3c1p-2, 0x1.0fd84c2c5eb8bp-2, 0x1.0d1fcc0f53dbcp-2, 0x1.0a5ce1b39bca4p-2, 0x1.07904a8eeb71bp-2, 0x1.04babf677b37fp-2, 0x1.01dcf457932dep-2, 0x1.fdef31a4598c2p-3, 0x1.f816af51452adp-3, 0x1.f231ae22b82c6p-3, 0x1.ec41715ec7ab2p-3, 0x1.e6473335cacf7p-3, 0x1.e04424d4f4233p-3, 0x1.da396e7a7b1ddp-3, 0x1.d4282f8b43709p-3, 0x1.ce117ea9db5f1p-3, 0x1.c7f669cec6958p-3, 0x1.c1d7f661f6b41p-3, 0x1.bbb72155645d1p-3, 0x1.b594df40aca0bp-3, 0x1.af721c7da4b26p-3, 0x1.a94fbd45ca678p-3, 0x1.a32e9dd086efp-3, 0x1.9d0f927226bcep-3, 0x1.96f367bb8404cp-3, 0x1.90dae29a43387p-3, 0x1.8ac6c0799fc8p-3, 0x1.84b7b763ac1cap-3, 0x1.7eae762305aefp-3, 0x1.78aba464dd8eap-3, 0x1.72afe2db5aa2ap-3, 0x1.6cbbcb603434dp-3, 0x1.66cff1178af12p-3, 0x1.60ece092e97a3p-3, 0x1.5b131ff463c72p-3, 0x1.55432f11c9db3p-3, 0x1.4f7d8797e50bap-3, 0x1.49c29d2db9abap-3, 0x1.4412dd97b55ep-3, 0x1.3e6eb0dad65d9p-3, 0x1.38d6795facf2ep-3, 0x1.334a941542869p-3, 0x1.2dcb5893d3d72p-3, 0x1.2859193f55874p-3, 0x1.22f42369c4c64p-3, 0x1.1d9cbf7536e12p-3, 0x1.185330f5a437ep-3, 0x1.1317b6d2694f3p-3, 0x1.0dea8b677452ap-3, 0x1.08cbe4a6244d7p-3, 0x1.03bbf435c6c05p-3, 0x1.fd75cf277c456p-4, 0x1.f391d0667f6e9p-4, 0x1.e9cc37396a09ap-4, 0x1.e025471952666p-4, 0x1.d69d3c24a2816p-4, 0x1.cd344b5b47408p-4, 0x1.c3eaa2d9f93a7p-4, 0x1.bac06a14a44fep-4, 0x1.b1b5c20fd02eep-4, 0x1.a8cac5993235cp-4, 0x1.9fff897f3cbbbp-4, 0x1.97541cc7ad263p-4, 0x1.8ec888e53b1a3p-4, 0x1.865cd1ec33a7bp-4, 0x1.7e10f6c623cc3p-4, 0x1.75e4f1647f78cp-4, 0x1.6dd8b6f248cdep-4, 0x1.65ec3804b8149p-4, 0x1.5e1f60cae0c17p-4, 0x1.5672193c540b2p-4, 0x1.4ee44546c3012p-4, 0x1.4775c4faa1333p-4, 0x1.402674b6c138bp-4, 0x1.38f62d52f6b4ap-4, 0x1.31e4c449b8628p-4, 0x1.2af20be0bfb58p-4, 0x1.241dd350b3eefp-4, 0x1.1d67e6ebd4e4p-4, 0x1.16d01043aec49p-4, 0x1.1056164dd8d3p-4, 0x1.09f9bd87bbe1ep-4, 0x1.03bac81969647p-4, 0x1.fb31ebef06d46p-5, 0x1.ef280a0866d59p-5, 0x1.e357625e75393p-5, 0x1.d7bf692a2cc4p-5, 0x1.cc5f8f3a88d36p-5, 0x1.c137422f41c23p-5, 0x1.b645ecb1cf08cp-5, 0x1.ab8af6acb027p-5, 0x1.a105c58109025p-5, 0x1.96b5bc3a8aaf2p-5, 0x1.8c9a3bc1c2adbp-5, 0x1.82b2a30cc71cp-5, 0x1.78fe4f4e4c2bep-5, 0x1.6f7c9c232d6c7p-5, 0x1.662ce3be6bf44p-5, 0x1.5d0e7f13b08e3p-5, 0x1.5420c6004b38fp-5, 0x1.4b630f72c8f48p-5, 0x1.42d4b191176bdp-5, 0x1.3a7501dd45f66p-5, 0x1.32435558ea45ep-5, 0x1.2a3f00a731e6cp-5, 0x1.2267582d9a3e4p-5, 0x1.1abbb0336fbe1p-5, 0x1.133b5d00009a6p-5, 0x1.0be5b2f79bfc7p-5, 0x1.04ba06b75ca4bp-5, 0x1.fb6f5a5f9ad02p-6, 0x1.edbbf77cc2688p-6, 0x1.e058908bad0e2p-6, 0x1.d343d28afea03p-6, 0x1.c67c6bdef8061p-6, 0x1.ba010c7bdc28p-6, 0x1.add0660e4fb26p-6, 0x1.a1e92c21c5ee1p-6, 0x1.964a14450759bp-6, 0x1.8af1d62cd4203p-6, 0x1.7fdf2bd4bff9cp-6, 0x1.7510d19e4777fp-6, 0x1.6a85866e3b971p-6, 0x1.603c0bc87148p-6, 0x1.563325e9e6361p-6, 0x1.4c699be1492fbp-6, 0x1.42de37a60a16bp-6, 0x1.398fc62de614ep-6, 0x1.307d17810c3b5p-6, 0x1.27a4fecce195p-6, 0x1.1f0652756a4f5p-6, 0x1.169fec25698e1p-6, 0x1.0e70a8dd41134p-6, 0x1.067769009cae8p-6, 0x1.fd6620c5d4552p-7, 0x1.ee450ca56f818p-7, 0x1.df896b47e6e33p-7, 0x1.d13119725039cp-7, 0x1.c339fb174678ep-7, 0x1.b5a1fb656ea8cp-7, 0x1.a8670cd3dc1f2p-7, 0x1.9b87292ce7d76p-7, 0x1.8f0051971e05fp-7, 0x1.82d08e9c732a2p-7, 0x1.76f5f02ff8e8ap-7, 0x1.6b6e8db1f0e96p-7, 0x1.603885f26ef9p-7, 0x1.5551ff32879f4p-7, 0x1.4ab9272410c99p-7, 0x1.406c32e82a4e9p-7, 0x1.36695f0c72fb9p-7, 0x1.2caeef870c5ffp-7, 0x1.233b2fb191815p-7, 0x1.1a0c7242c82d1p-7, 0x1.112111476669ep-7, 0x1.08776e19d28f5p-7, 0x1.000df158ea431p-7, 0x1.efc615bbeabc3p-8, 0x1.dfea63634438p-8, 0x1.d085c80092f85p-8, 0x1.c1954e1ac1585p-8, 0x1.b3160e4c6e4a9p-8, 0x1.a5052f2801023p-8, 0x1.975fe51a9b898p-8, 0x1.8a23724d96b32p-8, 0x1.7d4d2686f76dfp-8, 0x1.70da5f08d98a7p-8, 0x1.64c8866fc9cp-8, 0x1.591514905821bp-8, 0x1.4dbd8e538d285p-8, 0x1.42bf8592c74dbp-8, 0x1.381898f2b6a1bp-8, 0x1.2dc673bdb4459p-8, 0x1.23c6cdbd85912p-8, 0x1.1a176b1484f81p-8, 0x1.10b61c163deacp-8, 0x1.07a0bd1f8e8dap-8, 0x1.fdaa6cdcbcf6cp-9, 0x1.eca2f7f216fe2p-9, 0x1.dc271a8aad09dp-9, 0x1.cc32ea7e79ad4p-9, 0x1.bcc2941eec4a6p-9, 0x1.add259e34303ep-9, 0x1.9f5e941508271p-9, 0x1.9163b07bf676p-9, 0x1.83de3209cfefp-9, 0x1.76cab08612cd5p-9, 0x1.6a25d839c59e7p-9, 0x1.5dec699af5a79p-9, 0x1.521b38f879f9p-9, 0x1.46af2e25e65b9p-9, 0x1.3ba544278b306p-9, 0x1.30fa88dece433p-9, 0x1.26ac1cb6ec51cp-9, 0x1.1cb7325185a89p-9, 0x1.13190e344afabp-9, 0x1.09cf06767f70ap-9, 0x1.00d6826f4680fp-9, 0x1.f059f4c885b34p-10, 0x1.df9fee71ef01bp-10, 0x1.cf7a243d1814dp-10, 0x1.bfe3e88848962p-10, 0x1.b0d8ad0ffc692p-10, 0x1.a254025253e23p-10, 0x1.945196f3ff6b7p-10, 0x1.86cd37265e883p-10, 0x1.79c2cc0f8bfdcp-10, 0x1.6d2e5b3389163p-10, 0x1.610c05ded7ef3p-10, 0x1.5558089366015p-10, 0x1.4a0eba764db38p-10, 0x1.3f2c8cbfdbc56p-10, 0x1.34ae0a2d16e85p-10, 0x1.2a8fd672deec4p-10, 0x1.20ceadb2f5b04p-10, 0x1.176763f2e7b57p-10, 0x1.0e56e4947c828p-10, 0x1.059a31d01fc3ep-10, 0x1.fa5cc8623a395p-11, 0x1.ea215427f01cep-11, 0x1.da7c8e4c4c2ecp-11, 0x1.cb6927cfef6aap-11, 0x1.bce1fa607f6edp-11, 0x1.aee20763addc9p-11, 0x1.a1647706fa0fdp-11, 0x1.9464975160353p-11, 0x1.87dddb3a8b945p-11, 0x1.7bcbd9c5401c5p-11, 0x1.702a4d1d56d7ap-11, 0x1.64f511b99844dp-11, 0x1.5a2825815b5a8p-11, 0x1.4fbfa6f60bab5p-11, 0x1.45b7d4607abd4p-11, 0x1.3c0d0b01cf8b5p-11, 0x1.32bbc647f7d2p-11, 0x1.29c09f0655d38p-11, 0x1.21184ab1ab722p-11, 0x1.18bf9a9fbc3a6p-11, 0x1.10b37b4a994c9p-11, 0x1.08f0f397a6ea1p-11, 0x1.017524222f48dp-11, 0x1.f47a8d12ab4a2p-12, 0x1.e68d5983c81f7p-12, 0x1.d91d80d66d337p-12, 0x1.cc26044f93af2p-12, 0x1.bfa211f249cf7p-12, 0x1.b38d033edec01p-12, 0x1.a7e25bf769ce5p-12, 0x1.9c9dc8ec893e1p-12, 0x1.91bb1ecfea5a6p-12, 0x1.8736590d70ad9p-12, 0x1.7d0b98aa65829p-12, 0x1.7337232b5b44fp-12, 0x1.69b5617fec93ep-12, 0x1.6082def5e6806p-12, 0x1.579c4830a0d95p-12, 0x1.4efe6a278b244p-12, 0x1.46a6312a70ce7p-12, 0x1.3e90a7ebd977ap-12, 0x1.36baf690259bp-12, 0x1.2f2261c42373p-12, 0x1.27c449d69142dp-12, 0x1.209e29d96ec62p-12, 0x1.19ad96c83ec9dp-12, 0x1.12f03eb2c8c9cp-12, 0x1.0c63e7ed6771cp-12, 0x1.060670478dc9ep-12, 0x1.ffab988ab8ee2p-13, 0x1.f3a00cbf94d9ep-13, 0x1.e7e67c93f7dfdp-13, 0x1.dc7b50720e2b5p-13, 0x1.d15b18660c567p-13, 0x1.c6828ac3309cfp-13, 0x1.bbee82d2bae5ep-13, 0x1.b19bff8a79dacp-13, 0x1.a788224e45a15p-13, 0x1.9db02db7b78f6p-13, 0x1.941184671e425p-13, 0x1.8aa9a7df2b1bap-13, 0x1.817637640fbe6p-13, 0x1.7874eee668903p-13, 0x1.6fa3a5f402ed8p-13, 0x1.67004eb174917p-13, 0x1.5e88f4da7714p-13, 0x1.563bbcc9a4372p-13, 0x1.4e16e287d2f68p-13, 0x1.4618b8e0e51afp-13, 0x1.3e3fa88196a54p-13, 0x1.368a2f1b598fdp-13, 0x1.2ef6de8dfd0c8p-13, 0x1.27845c17d8e44p-13, 0x1.20315f8d87969p-13, 0x1.18fcb296593c2p-13, 0x1.11e52fef3d09bp-13, 0x1.0ae9c2b4eecfp-13, 0x1.040965b107f3ap-13, 0x1.fa86455cbe7eap-14, 0x1.ed2c23a64268ep-14, 0x1.e002b1fffbe9ap-14, 0x1.d30856686616dp-14, 0x1.c63b8fecf606ap-14, 0x1.b99af58865884p-14, 0x1.ad253506b2d44p-14, 0x1.a0d911f4b84a5p-14, 0x1.94b5649dab1bep-14, 0x1.88b91906d11ep-14, 0x1.7ce32dfce0952p-14, 0x1.7132b426b1b5ep-14, 0x1.65a6cd20d7b0bp-14, 0x1.5a3eaaa0d379cp-14, 0x1.4ef98da0625d4p-14, 0x1.43d6c5914ba2fp-14, 0x1.38d5af9638908p-14, 0x1.2df5b5c42d58fp-14, 0x1.23364e6e32884p-14, 0x1.1896fb71fde09p-14, 0x1.0e17498f38de5p-14, 0x1.03b6cfc3a7a25p-14, 0x1.f2ea5d5ef30efp-15, 0x1.dea41ff9cbbfcp-15, 0x1.ca9a4b9fbee6cp-15, 0x1.b6cc5479050f3p-15, 0x1.a339bd7fc22ep-15, 0x1.8fe2177f3ac4fp-15, 0x1.7cc5001ff0805p-15, 0x1.69e220fd333f3p-15, 0x1.57392ec234f69p-15, 0x1.44c9e8539da8dp-15, 0x1.32941600861e2p-15, 0x1.209788bdb8b72p-15, 0x1.0ed419677c816p-15, 0x1.fa93501d02e9p-16, 0x1.d7f036a0f6262p-16, 0x1.b5bebf5d3493bp-16, 0x1.93fecde513c21p-16, 0x1.72b04f39230a1p-16, 0x1.51d338a760433p-16, 0x1.316786c1a7963p-16, 0x1.116d3c5d3c364p-16, 0x1.e3c8c344b1901p-17, 0x1.a59a064ccce38p-17, 0x1.684e621d3ce1bp-17, 0x1.2be5fc8a69a56p-17, 0x1.e0c1fef1c6aabp-18, 0x1.6b7f2ec2d2954p-18, 0x1.f007c7e53f17cp-19, 0x1.0ca0f3d2595f5p-19, 0x1.6654996705456p-22, -0x1.5ef562da6bec3p-20, -0x1.882e3f0233d22p-19, -0x1.2ea7c5f60fff9p-18, -0x1.976f11cc361bfp-18, -0x1.fe6cd50685c4ap-18, -0x1.31d077bf5a81bp-17, -0x1.6385a8284a5b9p-17, -0x1.9455fb9e6008p-17, -0x1.c4417af4c79cdp-17, -0x1.f34838803fde4p-17, -0x1.10b5284dcdc06p-16, -0x1.2753f511f1479p-16, -0x1.3d809b72ca257p-16, -0x1.533b3a00c0b41p-16, -0x1.6883f51b218b4p-16, -0x1.7d5af71e06d0ap-16, -0x1.91c07081e3b69p-16, -0x1.a5b497f9fbff8p-16, -0x1.b937aa890b945p-16, -0x1.cc49eb9b2df9dp-16, -0x1.deeba51149b17p-16, -0x1.f11d275119581p-16, -0x1.016f64a52cc13p-15, -0x1.0a18743fe7175p-15, -0x1.1289f4853711bp-15, -0x1.1ac41acb603ccp-15, -0x1.22c71faee59f9p-15, -0x1.2a933f114bf54p-15, -0x1.3228b813eeb33p-15, -0x1.3987cd125130fp-15, -0x1.40b0c39a3f912p-15, -0x1.47a3e4646a861p-15, -0x1.4e617b4b283a2p-15, -0x1.54e9d73fff02ep-15, -0x1.5b3d4a3fac691p-15, -0x1.615c2947556cdp-15, -0x1.6746cc483d91dp-15, -0x1.6cfd8e1a09051p-15, -0x1.7280cc6bb06a3p-15, -0x1.77d0e7b52a3dfp-15, -0x1.7cee432817a97p-15, -0x1.81d944a01caa5p-15, -0x1.8692549216327p-15, -0x1.8b19ddfb5abaep-15, -0x1.8f704e5133673p-15, -0x1.9396156e3b3ffp-15, -0x1.978ba58136ed7p-15, -0x1.9b5172f93d046p-15, -0x1.9ee7f4759bf81p-15, -0x1.a24fa2b1f798p-15, -0x1.a588f87404866p-15, -0x1.a8947277b8cdep-15, -0x1.ab728f5c3fbefp-15, -0x1.ae23cf9146118p-15, -0x1.b0a8b5436b559p-15, -0x1.b301c448f1b77p-15, -0x1.b52f820de0e55p-15, -0x1.b7327581b3d4ap-15, -0x1.b90b27035ed48p-15, -0x1.baba204e74c6dp-15, -0x1.bc3fec66dea7ap-15, -0x1.bd9d1786fb88dp-15, -0x1.bed22f0c6c14bp-15, -0x1.bfdfc16501034p-15, -0x1.c0c65dfbf1423p-15, -0x1.c186952722204p-15, -0x1.c220f81510854p-15, -0x1.c29618bac66a1p-15, -0x1.c2e689c146af4p-15, -0x1.c312de73af42p-15, -0x1.c31baaae381c5p-15, -0x1.c30182cc79151p-15, -0x1.c2c4fb98b59ddp-15, -0x1.c266aa3a9525ap-15, -0x1.c1e724264d54bp-15, -0x1.c146ff0cd34bdp-15, -0x1.c086d0cbf8b5ap-15, -0x1.bfa72f5d9a55fp-15, -0x1.bea8b0c8e543bp-15, -0x1.bd8beb12e7fdbp-15, -0x1.bc51742fb3411p-15, -0x1.baf9e1f4438dbp-15, -0x1.b985ca06ae6e9p-15, -0x1.b7f5c1d14fe43p-15, -0x1.b64a5e74be5cp-15, -0x1.b48434ba24415p-15, -0x1.b2a3d9071d966p-15, -0x1.b0a9df500883ap-15, -0x1.ae96db0b6e90fp-15, -0x1.ac6b5f26aaecdp-15, -0x1.aa27fdf9a7982p-15, -0x1.a7cd493ae3595p-15, -0x1.a55bd1f4f1fc8p-15, -0x1.a2d4287af5eep-15, -0x1.a036dc5f30227p-15, -0x1.9d847c67b4c7dp-15, -0x1.9abd9684b6b91p-15, -0x1.97e2b7c6bf222p-15, -0x1.94f46c55da21dp-15, -0x1.91f33f67ff6d1p-15, -0x1.8edfbb39006b2p-15, -0x1.8bba690234624p-15, -0x1.8883d0f16f0f2p-15, -0x1.853c7a222b15fp-15, -0x1.81e4ea95b8f85p-15, -0x1.7e7da72baf9dcp-15, -0x1.7b07339b8a6b9p-15, -0x1.7782126d696d4p-15, -0x1.73eec4f4aede1p-15, -0x1.704dcb495c671p-15, -0x1.6c9fa441e4044p-15, -0x1.68e4cd6ea2c5dp-15, -0x1.651dc313b3822p-15, -0x1.614b00241b0c8p-15, -0x1.5d6cfe3dafc49p-15, -0x1.598435a43afe2p-15, -0x1.55911d3d4f454p-15, -0x1.51942a8c614acp-15, -0x1.4d8dd1aee57e9p-15, -0x1.497e8558f3b22p-15, -0x1.4566b6d24ba4ap-15, -0x1.4146d5f2a3fa6p-15, -0x1.3d1f511f4b83p-15, -0x1.38f0954973d5cp-15, -0x1.34bb0dea21871p-15, -0x1.307f250188f29p-15, -0x1.2c3d4314855a3p-15, -0x1.27f5cf2b19e9bp-15, -0x1.23a92ece1ff59p-15, -0x1.1f57c6078eadap-15, -0x1.1b01f760261d6p-15, -0x1.16a823dea4b11p-15, -0x1.124aab07f8eddp-15, -0x1.0de9eadd0c26bp-15, -0x1.09863fdbcd764p-15, -0x1.052004fea7649p-15, -0x1.00b793bbef6d7p-15, -0x1.f89a880c3ddb2p-16, -0x1.efc2d89a594d1p-16, -0x1.e6e8c2facfa99p-16, -0x1.de0cee01bcap-16, -0x1.d52ffd801a2b4p-16, -0x1.cc52924634309p-16, -0x1.c3754a23593ccp-16, -0x1.ba98bfe9d84a5p-16, -0x1.b1bd8b72622b5p-16, -0x1.a8e4419bd09c6p-16, -0x1.a00d7451a83d3p-16, -0x1.9739b28d02083p-16, -0x1.8e698857c2385p-16, -0x1.859d7ed228249p-16, -0x1.7cd61c35fd38dp-16, -0x1.7413e3d91cc2p-16, -0x1.6b5756339bd45p-16, -0x1.62a0f0e445e48p-16, -0x1.59f12eb41bbc5p-16, -0x1.5148879ad7482p-16, -0x1.48a770c623de4p-16, -0x1.400e5c9d7feb5p-16, -0x1.377dbac632cbfp-16, -0x1.2ef5f82b1af5p-16, -0x1.26777f014e945p-16, -0x1.1e02b6ccd6217p-16, -0x1.159804685b8a6p-16, -0x1.0d37ca0ad799dp-16, -0x1.04e2674b82c62p-16, -0x1.f93072550b37ep-17, -0x1.e8b3342e70d7dp-17, -0x1.d84dc3e9a1c7ap-17, -0x1.c800cc441f931p-17, -0x1.b7ccf3006b0c6p-17, -0x1.a7b2d8f2c19ffp-17, -0x1.97b31a0bfc315p-17, -0x1.87ce4d6b4abc6p-17, -0x1.7805056af319cp-17, -0x1.6857cfad4968bp-17, -0x1.58c7352a2a2d9p-17, -0x1.4953ba4012f3ap-17, -0x1.39fddebefc1f9p-17, -0x1.2ac61df8068abp-17, -0x1.1baceecea2203p-17, -0x1.0cb2c3c2c31aep-17, -0x1.fbb016025b274p-18, -0x1.de3a5ce68e93ap-18, -0x1.c105279a7e3fep-18, -0x1.a411393616dcdp-18, -0x1.875f4ca37161ap-18, -0x1.6af014b8e301p-18, -0x1.4ec43c5bb833dp-18, -0x1.32dc669304c3dp-18, -0x1.17392eb1d73f1p-18, -0x1.f7b650e142ed3p-19, -0x1.c185c00b93f03p-19, -0x1.8be1b497fc869p-19, -0x1.56cb29b1336b3p-19, -0x1.22430c372c1dcp-19, -0x1.dc9475fb8df5p-20, -0x1.75c30e091cb7ep-20, }}, 
      {{-0x1.5975848c5613dp-1, -0x1.598321eb2a5e4p-1, -0x1.5999589c41a8dp-1, -0x1.59b77799048efp-1, -0x1.59dc92181be71p-1, -0x1.5a0788194cdd1p-1, -0x1.5a370f5c21f1ap-1, -0x1.5a69bc45bdabfp-1, -0x1.5a9e0a62e8bdp-1, -0x1.5ad264519062p-1, -0x1.5b052af2fe6adp-1, -0x1.5b34bbd7f60eep-1, -0x1.5b5f76e31dee9p-1, -0x1.5b83c325daf71p-1, -0x1.5ba01300e7481p-1, -0x1.5bb2e7951cfd6p-1, -0x1.5bbad392ca96cp-1, -0x1.5bb67d76abfa2p-1, -0x1.5ba4a143c9166p-1, -0x1.5b8411c90c208p-1, -0x1.5b53b980be00cp-1, -0x1.5b129b17205bdp-1, -0x1.5abfd1a461f18p-1, -0x1.5a5a90a516f2bp-1, -0x1.59e223bb4cf0fp-1, -0x1.5955ee4147bb3p-1, -0x1.58b56ab5f9956p-1, -0x1.58002a0a551ddp-1, -0x1.5735d2d5c3725p-1, -0x1.56562077391d6p-1, -0x1.5560e227add13p-1, -0x1.5455fa021add2p-1, -0x1.53355c04890cap-1, -0x1.51ff0d0d38d33p-1, -0x1.50b321d678b38p-1, -0x1.4f51bdf353d07p-1, -0x1.4ddb12ceef779p-1, -0x1.4c4f5eb0144c2p-1, -0x1.4aaeebc227a56p-1, -0x1.48fa0f248e7f3p-1, -0x1.473128014d887p-1, -0x1.45549eab80e6dp-1, -0x1.4364e3c628cffp-1, -0x1.41626f739e4fp-1, -0x1.3f4dc08deeabcp-1, -0x1.3d275be83b91fp-1, -0x1.3aefcb9932e3fp-1, -0x1.38a79e4e96855p-1, -0x1.364f66a9c24d5p-1, -0x1.33e7baa513fcbp-1, -0x1.3171330208c9cp-1, -0x1.2eec6abfe488dp-1, -0x1.2c59fe9aa3fcbp-1, -0x1.29ba8c9204a75p-1, -0x1.270eb3785aa2dp-1, -0x1.24571288f5662p-1, -0x1.21944905ca3b3p-1, -0x1.1ec6f5dc1abbap-1, -0x1.1befb74fd4b2bp-1, -0x1.190f2aad5ab04p-1, -0x1.1625ec0172e35p-1, -0x1.133495d70fb65p-1, -0x1.103bc0faace74p-1, -0x1.0d3c0442fa85ap-1, -0x1.0a35f45e9090dp-1, -0x1.072a23a669776p-1, -0x1.041921f4e02bfp-1, -0x1.01037c80f4e73p-1, -0x1.fbd37b7b2fde5p-2, -0x1.f598da7988276p-2, -0x1.ef581f2c5071cp-2, -0x1.e9124ca263f44p-2, -0x1.e2c85fa476c52p-2, -0x1.dc7b4e956222dp-2, -0x1.d62c0957f2c05p-2, -0x1.cfdb7939e6668p-2, -0x1.c98a80e3ba5a8p-2, -0x1.c339fc4cf76afp-2, -0x1.bceac0b4ace96p-2, -0x1.b69d9c9dca14bp-2, -0x1.b05357cf1076cp-2, -0x1.aa0cb35658d72p-2, -0x1.a3ca698ee8ca8p-2, -0x1.9d8d2e2a9c9d8p-2, -0x1.9755ae3da6b75p-2, -0x1.9124904cb3a19p-2, -0x1.8afa745d3594ap-2, -0x1.84d7f407b2256p-2, -0x1.7ebda28bd481fp-2, -0x1.78ac0ce625746p-2, -0x1.72a3b9e739ab7p-2, -0x1.6ca52a4c3076ep-2, -0x1.66b0d8d85d943p-2, -0x1.60c73a7000962p-2, -0x1.5ae8be33e3a1cp-2, -0x1.5515cd9dc55c1p-2, -0x1.4f4ecc9d795d2p-2, -0x1.499419b697925p-2, -0x1.43e60e1eadcf4p-2, -0x1.3e44fddbd7d8ap-2, -0x1.38b137e3aa1d7p-2, -0x1.332b063a56ef4p-2, -0x1.2db2ae12064d9p-2, -0x1.28486fea42ce4p-2, -0x1.22ec87af7508fp-2, -0x1.1d9f2cda5a9cfp-2, -0x1.1860928f6dd1fp-2, -0x1.1330e7be2e7p-2, -0x1.0e1057404453dp-2, -0x1.08ff07f86d3c6p-2, -0x1.03fd1cf12e57dp-2, -0x1.fe156af6850b5p-3, -0x1.f44fda97711c9p-3, -0x1.eaa9b9337b935p-3, -0x1.e12330781e1c8p-3, -0x1.d7bc638c0b932p-3, -0x1.ce756f487fe2bp-3, -0x1.c54e6a71b9491p-3, -0x1.bc4765ee922d4p-3, -0x1.b3606cff30fbcp-3, -0x1.aa998572cb65cp-3, -0x1.a1f2afdc7c21ep-3, -0x1.996be7c7128cep-3, -0x1.910523e7f5ad4p-3, -0x1.88be5650f3e59p-3, -0x1.80976ca122846p-3, -0x1.78905034a8409p-3, -0x1.70a8e65383588p-3, -0x1.68e1105f4fb9cp-3, -0x1.6138abfff4904p-3, -0x1.59af934f50fd6p-3, -0x1.52459d03e0ec3p-3, -0x1.4afa9c9a4cd2fp-3, -0x1.43ce627dfd014p-3, -0x1.3cc0bc309d21fp-3, -0x1.35d174709fc59p-3, -0x1.2f00535eb3e23p-3, -0x1.284d1ea244eadp-3, -0x1.21b7998cef7f6p-3, -0x1.1b3f853cfef14p-3, -0x1.14e4a0beed746p-3, -0x1.0ea6a92dec431p-3, -0x1.088559d37577ep-3, -0x1.02806c45f22adp-3, -0x1.f92f310ccd7fep-4, -0x1.ed952a3a8155dp-4, -0x1.e2322e6c665efp-4, -0x1.d705a5766425cp-4, -0x1.cc0ef4dd2612dp-4, -0x1.c14d80088c171p-4, -0x1.b6c0a87483327p-4, -0x1.ac67cde0246a4p-4, -0x1.a2424e7b3b9bbp-4, -0x1.984f87122a8edp-4, -0x1.8e8ed33844426p-4, -0x1.84ff8d709d726p-4, -0x1.7ba10f555747dp-4, -0x1.7272b1bd74b8ep-4, -0x1.6973cce13e205p-4, -0x1.60a3b87d3ba9cp-4, -0x1.5801cbf3cf5eap-4, -0x1.4f8d5e6d78272p-4, -0x1.4745c6f7c0e9ap-4, -0x1.3f2a5ca2ebf7cp-4, -0x1.373a769e5934p-4, -0x1.2f756c53b82d6p-4, -0x1.27da958105d6cp-4, -0x1.20694a51641a1p-4, -0x1.1920e374cf264p-4, -0x1.1200ba36b9cadp-4, -0x1.0b08289396dbap-4, -0x1.0436894d5977fp-4, -0x1.fb166ffde2428p-5, -0x1.ee0b225d9750bp-5, -0x1.e149e4c0bf84cp-5, -0x1.d4d174499b47cp-5, -0x1.c8a090552a353p-5, -0x1.bcb5fa98de18cp-5, -0x1.b110773e9948fp-5, -0x1.a5aeccff0832ep-5, -0x1.9a8fc53a6485bp-5, -0x1.8fb22c0fabd66p-5, -0x1.8514d07259ebfp-5, -0x1.7ab6843eafd9ap-5, -0x1.70961c4c95f9ep-5, -0x1.66b27081240ccp-5, -0x1.5d0a5bded953ap-5, -0x1.539cbc9496418p-5, -0x1.4a68740b5a90dp-5, -0x1.416c66f2d5d1ap-5, -0x1.38a77d4cdc61ep-5, -0x1.3018a277bda4cp-5, -0x1.27bec537903b9p-5, -0x1.1f98d7be7bfe3p-5, -0x1.17a5cfb40807ap-5, -0x1.0fe4a63b7a35cp-5, -0x1.085457f951423p-5, -0x1.00f3e517dd534p-5, -0x1.f384a29613545p-6, -0x1.e57d47a6a7d4dp-6, -0x1.d7cfcf000ac4cp-6, -0x1.ca7a556159d93p-6, -0x1.bd7afeabcef97p-6, -0x1.b0cff5e2f93ecp-6, -0x1.a4776d2baca0dp-6, -0x1.986f9dc9bb4e3p-6, -0x1.8cb6c81c7f075p-6, -0x1.814b339a484afp-6, -0x1.762b2ecabde38p-6, -0x1.6b550f403ae7fp-6, -0x1.60c7319030d05p-6, -0x1.567ff94aa9c56p-6, -0x1.4c7dd0f0e588ap-6, -0x1.42bf29eb277a8p-6, -0x1.39427c7dbcc72p-6, -0x1.300647bd4a35fp-6, -0x1.27091182652p-6, -0x1.1e49665c86542p-6, -0x1.15c5d98462ep-6, -0x1.0d7d04cdae42p-6, -0x1.056d88985146bp-6, -0x1.fb2c17824cebp-7, -0x1.ebea77246fa6p-7, -0x1.dd1397651818fp-7, -0x1.cea4ec2b23a6fp-7, -0x1.c09bf5d44a60bp-7, -0x1.b2f641127df6ap-7, -0x1.a5b166c8a130bp-7, -0x1.98cb0be6abap-7, -0x1.8c40e145500e8p-7, -0x1.8010a38111f9bp-7, -0x1.74381ad502627p-7, -0x1.68b51af51477dp-7, -0x1.5d8582e80b852p-7, -0x1.52a73ce13905ap-7, -0x1.48183e19e376fp-7, -0x1.3dd686aa79848p-7, -0x1.33e02163a2943p-7, -0x1.2a3323a72009p-7, -0x1.20cdad4097b95p-7, -0x1.17ade83e4c3d6p-7, -0x1.0ed208c9c69abp-7, -0x1.06384d0085488p-7, -0x1.fbbdf9995428ap-8, -0x1.eb88d37b5d47p-8, -0x1.dbcdddc276dfcp-8, -0x1.cc89e138101dp-8, -0x1.bdb9b905beb34p-8, -0x1.af5a52679d9eep-8, -0x1.a168ac5ef1f84p-8, -0x1.93e1d76535f48p-8, -0x1.86c2f51f81a1ap-8, -0x1.7a09381282e8p-8, -0x1.6db1e356cccd4p-8, -0x1.61ba4a4dc848fp-8, -0x1.561fd05719e87p-8, -0x1.4adfe886b2966p-8, -0x1.3ff8155b5ec38p-8, -0x1.3565e87611de7p-8, -0x1.2b270251c1a09p-8, -0x1.213911fc0302bp-8, -0x1.1799d4ce4321ep-8, -0x1.0e471627c1832p-8, -0x1.053eaf284c8f9p-8, -0x1.f8fd0cd76c4b9p-9, -0x1.e8091f8bfc018p-9, -0x1.d79d9800be89dp-9, -0x1.c7b6912e2c462p-9, -0x1.b8503eefd867fp-9, -0x1.a966ed834ae38p-9, -0x1.9af7010866241p-9, -0x1.8cfcf50384698p-9, -0x1.7f755be12e6a3p-9, -0x1.725cde7b8d8f9p-9, -0x1.65b03ba18f1abp-9, -0x1.596c479faf30bp-9, -0x1.4d8debca8882ap-9, -0x1.4212260b1a7fbp-9, -0x1.36f6086cb40d9p-9, -0x1.2c36b8aca48d7p-9, -0x1.21d16fcba1ba6p-9, -0x1.17c379a0fb267p-9, -0x1.0e0a346f654afp-9, -0x1.04a3107b79725p-9, -0x1.f7171f482a878p-10, -0x1.e58289f894024p-10, -0x1.d483a8ce1e81bp-10, -0x1.c415e46941defp-10, -0x1.b434c58319127p-10, -0x1.a4dbf42ed9f81p-10, -0x1.9607371eb484bp-10, -0x1.87b272ebf0e67p-10, -0x1.79d9a962414c1p-10, -0x1.6c78f8ce93e46p-10, -0x1.5f8c9b50d3d6cp-10, -0x1.5310e6312832cp-10, -0x1.470249386326fp-10, -0x1.3b5d4e0b41caep-10, -0x1.301e97892c20ap-10, -0x1.2542e12dcb4afp-10, -0x1.1ac6fe75fd135p-10, -0x1.10a7da4796e3ep-10, -0x1.06e2765c21dc6p-10, -0x1.fae7d55d44f4ap-11, -0x1.e8b2c9d8af91fp-11, -0x1.d7204fd09c5efp-11, -0x1.c62b1623f6747p-11, -0x1.b5cdf3dcc0385p-11, -0x1.a603e7285fc22p-11, -0x1.96c814552d994p-11, -0x1.8815c4d5a98ebp-11, -0x1.79e86649166afp-11, -0x1.6c3b898921042p-11, -0x1.5f0ae1bcc734ap-11, -0x1.525243707214p-11, -0x1.460da3b310ca7p-11, -0x1.3a391738458d2p-11, -0x1.2ed0d17fbbf5cp-11, -0x1.23d12400a7543p-11, -0x1.19367d5a68541p-11, -0x1.0efd6889f42edp-11, -0x1.05228c2382b12p-11, -0x1.f7455322c5cedp-12, -0x1.e4f538ad3da4bp-12, -0x1.d34eb2ac400d7p-12, -0x1.c24bdc3cb301cp-12, -0x1.b1e70071cbc15p-12, -0x1.a21a98fcf804dp-12, -0x1.92e14cde537bfp-12, -0x1.8435ef1c57601p-12, -0x1.76137d8361477p-12, -0x1.68751f6d89793p-12, -0x1.5b562491b5955p-12, -0x1.4eb203d9ec85fp-12, -0x1.42845a41ee3afp-12, -0x1.36c8e9bbb3b49p-12, -0x1.2b7b981b3cf2fp-12, -0x1.20986e09e6e3ep-12, -0x1.161b95ffa6046p-12, -0x1.0c015b4377f04p-12, -0x1.024628f2469c4p-12, -0x1.f1cd12181afd5p-13, -0x1.dfbe470d98e8fp-13, -0x1.ce597acfde0b7p-13, -0x1.bd986fc777e4ep-13, -0x1.ad751f04e5ec1p-13, -0x1.9de9b69690fbbp-13, -0x1.8ef097ea7bf2ep-13, -0x1.80845638c2d5ap-13, -0x1.729fb4fb3feb3p-13, -0x1.653da66e244afp-13, -0x1.58594a1b7c3e7p-13, -0x1.4bedeb709ec55p-13, -0x1.3ff7005dc492fp-13, -0x1.347027fedc56ap-13, -0x1.2955294d0dfep-13, -0x1.1ea1f1da72f41p-13, -0x1.145294963e4e1p-13, -0x1.0a634899f0b7fp-13, -0x1.00d067fee22f3p-13, -0x1.ef2cdd7980262p-14, -0x1.dd63f31e15791p-14, -0x1.cc3f89c607d49p-14, -0x1.bbb9579bf9c63p-14, -0x1.abcb4e14ad54dp-14, -0x1.9c6f97f9011a6p-14, -0x1.8da0977ec552cp-14, -0x1.7f58e46ec609fp-14, -0x1.71934a584cb4bp-14, -0x1.644ac6d2edc54p-14, -0x1.577a87ccb4483p-14, -0x1.4b1de9e5799e5p-14, -0x1.3f3076d6feaf7p-14, -0x1.33ade3e9286a3p-14, -0x1.28921071b60e6p-14, -0x1.1dd9045f2b891p-14, -0x1.137eeecf83f81p-14, -0x1.098024b147a3dp-14, -0x1.ffb23ee152b74p-15, -0x1.ed0cf75a433afp-15, -0x1.db09eff58c5e2p-15, -0x1.c9a2e75aa2cb3p-15, -0x1.b8d1db576d12ap-15, -0x1.a891069b9b564p-15, -0x1.98dade8521761p-15, -0x1.89aa11001e4afp-15, -0x1.7af982769a481p-15, -0x1.6cc44bd25bcfep-15, -0x1.5f05b88db3eb1p-15, -0x1.51b944d59b9ebp-15, -0x1.44da9bb943179p-15, -0x1.3865956a30576p-15, -0x1.2c563589ae915p-15, -0x1.20a8a9867f927p-15, -0x1.15594706a1281p-15, -0x1.0a648a5e62205p-15, -0x1.ff8e2a2e1533cp-16, -0x1.eafb58fce060cp-16, -0x1.d70a708b5db94p-16, -0x1.c3b58252c896bp-16, -0x1.b0f6df4f831c4p-16, -0x1.9ec9158230727p-16, -0x1.8d26ed860bc11p-16, -0x1.7c0b683c9691bp-16, -0x1.6b71bc91a02d4p-16, -0x1.5b55554b3b7f7p-16, -0x1.4bb1cef54ef16p-16, -0x1.3c82f5d8fd2c1p-16, -0x1.2dc4c40d2cfeep-16, -0x1.1f735f932d304p-16, -0x1.118b1887b88f5p-16, -0x1.04086762588ecp-16, -0x1.edcfd694542ecp-17, -0x1.d44cd0e30b34dp-17, -0x1.bb818d1407731p-17, -0x1.a3681e7c25058p-17, -0x1.8bfad9808b0adp-17, -0x1.753450cb1ad35p-17, -0x1.5f0f5298ef988p-17, -0x1.4986e62220146p-17, -0x1.34964921827bep-17, -0x1.2038ed68ed3cfp-17, -0x1.0c6a7697923c5p-17, -0x1.f24d6fbfb491ep-18, -0x1.ccd363c9fb392p-18, -0x1.a85f2160d23bfp-18, -0x1.84e9537625cdap-18, -0x1.626af40ddf5fp-18, -0x1.40dd489eb0697p-18, -0x1.2039de9be1747p-18, -0x1.007a88147db49p-18, -0x1.c332b104c35a5p-19, -0x1.8721436804c9cp-19, -0x1.4cb5e1a7708b9p-19, -0x1.13e61735e02ffp-19, -0x1.b94fb65a70fedp-20, -0x1.4de3162e85d3cp-20, -0x1.cae7980da987bp-21, -0x1.ffc03d9b0cbdcp-22, -0x1.d46c824a7cc15p-24, 0x1.0a61e98ab545ep-22, 0x1.3f7b13481a819p-21, 0x1.f46f3fcc0078p-21, 0x1.521567d1dbc2dp-20, 0x1.a76503dab2338p-20, 0x1.fa3415355596bp-20, 0x1.2547e131c9c79p-19, 0x1.4c425ed548496p-19, 0x1.720fa58768608p-19, 0x1.96b5a31472acp-19, 0x1.ba3a13d8a0d3ep-19, 0x1.dca2855bc7e0ap-19, 0x1.fdf458cdc0258p-19, 0x1.0f1a62b69f10cp-18, 0x1.1eb46d668e30ep-18, 0x1.2dcac17938e48p-18, 0x1.3c5fc232308a1p-18, 0x1.4a75c212b711dp-18, 0x1.580f03bdf74ap-18, 0x1.652dbae33e031p-18, 0x1.71d40d0cb77f9p-18, 0x1.7e04126a33baap-18, 0x1.89bfd68f2a77cp-18, 0x1.950959293196fp-18, 0x1.9fe28eab111bcp-18, 0x1.aa4d60e8eb94p-18, 0x1.b44bafb7f7e52p-18, 0x1.bddf517a25ef4p-18, 0x1.c70a13a5c3f87p-18, 0x1.cfcdbb48f5e53p-18, 0x1.d82c057e2a54p-18, 0x1.e026a7e0419d8p-18, 0x1.e7bf50f30a2ecp-18, 0x1.eef7a888a3afp-18, 0x1.f5d1501de4561p-18, 0x1.fc4de32f5c0b5p-18, 0x1.01377bc7d07c1p-17, 0x1.041b0ed8d3fabp-17, 0x1.06d27078efd0bp-17, 0x1.095e63eba7859p-17, 0x1.0bbfaa286c031p-17, 0x1.0df701f7c5e6dp-17, 0x1.1005280dc79bfp-17, 0x1.11ead723713cfp-17, 0x1.13a8c80bf3605p-17, 0x1.153fb1cafff7p-17, 0x1.16b049a657cfbp-17, 0x1.17fb433881fc4p-17, 0x1.192150819000ep-17, 0x1.1a2321f4355edp-17, 0x1.1b01668414f84p-17, 0x1.1bbccbb0fe53p-17, 0x1.1c55fd92e6edp-17, 0x1.1ccda6e27100dp-17, 0x1.1d247101c2906p-17, 0x1.1d5b04043088p-17, 0x1.1d7206b5838f1p-17, 0x1.1d6a1e9dca48dp-17, 0x1.1d43f008cb8bp-17, 0x1.1d001e08a9fa3p-17, 0x1.1c9f4a799faa8p-17, 0x1.1c2216048fddap-17, 0x1.1b89202186296p-17, 0x1.1ad5071914f49p-17, 0x1.1a06680593ac3p-17, 0x1.191dded318906p-17, 0x1.181c06407eb55p-17, 0x1.170177dee62e9p-17, 0x1.15cecc0fcd17cp-17, 0x1.14849a0589ef7p-17, 0x1.132377c1437a5p-17, 0x1.11abfa1137c54p-17, 0x1.101eb48ed69f2p-17, 0x1.0e7c399cadf49p-17, 0x1.0cc51a645e88p-17, 0x1.0af9e6d482d36p-17, 0x1.091b2d9c9a0d9p-17, 0x1.07297c2b9f284p-17, 0x1.05255eace2c66p-17, 0x1.030f6004a73b2p-17, 0x1.00e809cd4ba33p-17, 0x1.fd5fc8a91c1bep-18, 0x1.f8ceed30f05f9p-18, 0x1.f41e8c864a73p-18, 0x1.ef4faf50ae99fp-18, 0x1.ea635b846fe4p-18, 0x1.e55a945eaca1dp-18, 0x1.e0365a5b8adc8p-18, 0x1.daf7ab32ea60dp-18, 0x1.d59f81d16487ep-18, 0x1.d02ed65268317p-18, 0x1.caa69df9e8818p-18, 0x1.c507cb2fc578bp-18, 0x1.bf534d7b6996p-18, 0x1.b98a117c5dd3p-18, 0x1.b3ad00e61d754p-18, 0x1.adbd027b15bc9p-18, 0x1.a7bafa08d55cbp-18, 0x1.a1a7c8648dd2bp-18, 0x1.9b844b65523fap-18, 0x1.95515de195ceap-18, 0x1.8f0fd7abc6b14p-18, 0x1.88c08d8ce2defp-18, 0x1.826451430973bp-18, 0x1.7bfbf17f34768p-18, 0x1.758839e29d04ep-18, 0x1.6f09f2fb73221p-18, 0x1.6881e2432ecf3p-18, 0x1.61f0ca1d66972p-18, 0x1.5b5769d57a0e5p-18, 0x1.54b67d9ff3c51p-18, 0x1.4e0ebe97558d6p-18, 0x1.4760e2bd67b1p-18, 0x1.40ad9cfa361d3p-18, 0x1.39f59d1b58c8p-18, 0x1.33398fd39b33ep-18, 0x1.2c7a1ebed0b4fp-18, 0x1.25b7f05fe388ap-18, 0x1.1ef3a82323fe7p-18, 0x1.182de65ebce9fp-18, 0x1.11674854d33d4p-18, 0x1.0aa06835398ccp-18, 0x1.03d9dd2035afp-18, 0x1.fa287651e58b7p-19, 0x1.eca026b0333a2p-19, 0x1.df1be75d7d4a6p-19, 0x1.d19cce53274fbp-19, 0x1.c423eb8485a03p-19, 0x1.b6b248eaf6137p-19, 0x1.a948ea8ca4467p-19, 0x1.9be8ce847daadp-19, 0x1.8e92ed08aee2fp-19, 0x1.81483874e8fe8p-19, 0x1.74099d52e19eap-19, 0x1.66d8026468ed3p-19, 0x1.59b448adb24f4p-19, 0x1.4c9f4b81a3545p-19, 0x1.3f99e08969cedp-19, 0x1.32a4d7d274c49p-19, 0x1.25c0fbd74b0acp-19, 0x1.18ef118a88fap-19, 0x1.0c2fd863cc29fp-19, 0x1.ff0814de47508p-20, 0x1.e5d8b8ae32834p-20, 0x1.ccd2fadfb2968p-20, 0x1.b3f82f8e03ef1p-20, 0x1.9b49a05d817ep-20, 0x1.82c88c979eb3bp-20, 0x1.6a762948f8671p-20, 0x1.5253a15e5c913p-20, 0x1.3a6215c0a1a95p-20, 0x1.22a29d6e89a35p-20, 0x1.0b16459e6b379p-20, 0x1.e77c23a7d2163p-21, 0x1.b935f8046100cp-21, 0x1.8b5be9548ad61p-21, 0x1.5defc5fb59d05p-21, 0x1.30f349ec79f52p-21, 0x1.04681eee01cf8p-21, 0x1.b09fb9af09bd5p-22, 0x1.5958139ae07ep-22, 0x1.02fc3507ccf34p-22, 0x1.5b1dc9de19984p-23, 0x1.644b21f3e44a2p-24, 0x1.6298dc400508dp-28, -0x1.341f9d754512bp-24, -0x1.3d43aaee1844fp-23, -0x1.de8288b2f00d8p-23, -0x1.3ee430e387994p-22, -0x1.8d88b6dccb477p-22, -0x1.db2d1063105e2p-22, -0x1.13e7cabd0b81cp-21, -0x1.39b75dc7956bp-21, -0x1.5f048a749a3c3p-21, -0x1.83cea81d3b2fp-21, -0x1.a8151c07f750ep-21, -0x1.cbd75930a22c6p-21, -0x1.ef14dffc71608p-21, -0x1.08e69efeccaaep-20, -0x1.1a0006dd2678ep-20, -0x1.2ad67b344cd49p-20, -0x1.3b69d5d95e1a9p-20, -0x1.4bb9f6bba56b2p-20, -0x1.5bc6c3c59a87ep-20, -0x1.6b9028bc02a6ep-20, -0x1.7b16171d7ff47p-20, -0x1.8a588608d8163p-20, -0x1.9957721b5475p-20, -0x1.a812dd521dc26p-20, -0x1.b68aceed5a492p-20, -0x1.c4bf535166dcap-20, -0x1.d2b07bea1b34fp-20, -0x1.e05e5f08d85d4p-20, -0x1.edc917cb4033ap-20, -0x1.faf0c5fce2c9dp-20, -0x1.03eac6fdaee8p-19, -0x1.0a3bcc4cc17bap-19, -0x1.106b89812ddedp-19, -0x1.167a174ee7de7p-19, -0x1.1c679079fdbc9p-19, -0x1.223411c7a19bbp-19, -0x1.27dfb9f33066bp-19, -0x1.2d6aa99ee4304p-19, -0x1.32d503467af09p-19, -0x1.381eeb33123eap-19, -0x1.3d48876cbb14ep-19, -0x1.4251ffaefa68bp-19, -0x1.473b7d5a3528dp-19, -0x1.4c052b67a8355p-19, -0x1.50af365e14336p-19, -0x1.5539cc43f6c3cp-19, -0x1.59a51c943f8f6p-19, -0x1.5df158327d487p-19, -0x1.621eb15e2cbbdp-19, -0x1.662d5ba7b14fap-19, -0x1.6a1d8be41e4a6p-19, -0x1.6def78225bb4ap-19, -0x1.71a3579faf028p-19, -0x1.753962bd1ff2bp-19, -0x1.78b1d2f3b23dcp-19, -0x1.7c0ce2ca50c5fp-19, -0x1.7f4acdcb66574p-19, -0x1.826bd0795224p-19, -0x1.8570284560bccp-19, -0x1.88581384be37ap-19, -0x1.8b23d1677cfe7p-19, -0x1.8dd3a1edd1bf5p-19, -0x1.9067c5df277cep-19, -0x1.92e07ec0bf2c3p-19, -0x1.953e0ecb5e5d1p-19, -0x1.9780b8e35f33ap-19, -0x1.99a8c08f491bdp-19, -0x1.9bb669ee4aeeep-19, -0x1.9da9f9b0e2894p-19, -0x1.9f83b50effe48p-19, -0x1.a143e1c0dd198p-19, -0x1.a2eac5f5aa19ap-19, -0x1.a478a84c9361dp-19, -0x1.a5edcfcbcd654p-19, -0x1.a74a83d94c475p-19, -0x1.a88f0c3426caap-19, -0x1.a9bbb0eb7a886p-19, -0x1.aad0ba5822764p-19, -0x1.abce71157c759p-19, -0x1.acb51dfa1a227p-19, -0x1.ad850a1123c34p-19, -0x1.ae3e7e9311bcdp-19, -0x1.aee1c4e096ecbp-19, -0x1.af6f267b3cb77p-19, -0x1.afe6ecfe6894dp-19, -0x1.b049621aab4b6p-19, -0x1.b096cf8eb1bcp-19, -0x1.b0cf7f221705ep-19, -0x1.b0f3ba9eefdp-19, -0x1.b103cbccea3f9p-19, -0x1.b0fffc6b806dbp-19, -0x1.b0e8962bd9023p-19, -0x1.b0bde2ae63935p-19, -0x1.b0802b7afa7eap-19, -0x1.b02fb9fc8c119p-19, }}, 
      {{-0x1.a1426633a539fp-15, -0x1.a360b43d19d8ep-13, -0x1.dbb0de2bfaa5p-12, -0x1.ab8a8cb7a1869p-11, -0x1.5293c7b300f38p-10, -0x1.ef40c2349c043p-10, -0x1.56f6278d79b59p-9, -0x1.c86c9939b7af6p-9, -0x1.26968c12eb80dp-8, -0x1.73305d7f91208p-8, -0x1.ca948d356a31p-8, -0x1.16a68d2a24cdbp-7, -0x1.4ded56e6797bdp-7, -0x1.8b5947002680dp-7, -0x1.cf1e827d74741p-7, -0x1.0cb50ba6b85a6p-6, -0x1.3530c8eafb4c5p-6, -0x1.61115dc44d8bap-6, -0x1.9061be975c68p-6, -0x1.c328efecaad3ep-6, -0x1.f96a13d8c53c7p-6, -0x1.1992411117cc2p-5, -0x1.3829f49300678p-5, -0x1.58783ad8f26ccp-5, -0x1.7a77801fe9462p-5, -0x1.9e209f19d7acap-5, -0x1.c36afaf5e6951p-5, -0x1.ea4c9a50fbd04p-5, -0x1.095d2150c34b2p-4, -0x1.1e53c9e1b6086p-4, -0x1.340391ac45479p-4, -0x1.4a654bdfdf216p-4, -0x1.61716137f354fp-4, -0x1.791fdcc725607p-4, -0x1.916878500dfb1p-4, -0x1.aa42a81efee75p-4, -0x1.c3a5a65b427bcp-4, -0x1.dd887dc8f0fc2p-4, -0x1.f7e213f6a02efp-4, -0x1.0954996a152abp-3, -0x1.16ea48d8b7c38p-3, -0x1.24ad6ed2acdf8p-3, -0x1.329960af50adap-3, -0x1.40a976307f31ep-3, -0x1.4ed90cd91a395p-3, -0x1.5d238afd9edbbp-3, -0x1.6b8462914a048p-3, -0x1.79f713b264ff8p-3, -0x1.88772ef8c39b5p-3, -0x1.9700578967789p-3, -0x1.a58e44f27b6fap-3, -0x1.b41cc4d2e2c31p-3, -0x1.c2a7bc5088009p-3, -0x1.d12b2960b396bp-3, -0x1.dfa323e5862bdp-3, -0x1.ee0bdea3b6463p-3, -0x1.fc61a8138e887p-3, -0x1.0550758800a72p-2, -0x1.0c6317b351789p-2, -0x1.13670d25897d8p-2, -0x1.1a5ab758273c5p-2, -0x1.213c86c51a9f7p-2, -0x1.280afafcb624ep-2, -0x1.2ec4a2b1c5c5ap-2, -0x1.35681bbcbb47ap-2, -0x1.3bf41316c2a42p-2, -0x1.426744cd877fdp-2, -0x1.48c07bf05c82dp-2, -0x1.4efe927762e43p-2, -0x1.55207125500d4p-2, -0x1.5b250f644c087p-2, -0x1.610b731e65341p-2, -0x1.66d2b092064a3p-2, -0x1.6c79ea22cdbd1p-2, -0x1.720050271d7dfp-2, -0x1.776520b2b64c9p-2, -0x1.7ca7a75e9f36ep-2, -0x1.81c73d0ea087fp-2, -0x1.86c347b483d9dp-2, -0x1.8b9b3a115ad05p-2, -0x1.904e9374f1001p-2, -0x1.94dcdf7b9ea7bp-2, -0x1.9945b5caa20f8p-2, -0x1.9d88b9cb27236p-2, -0x1.a1a59a64262fp-2, -0x1.a59c11b3341efp-2, -0x1.a96be4c470b28p-2, -0x1.ad14e349a82b5p-2, -0x1.b096e750ce4d4p-2, -0x1.b3f1d4f9eca1ap-2, -0x1.b7259a2ca489p-2, -0x1.ba322e4d5b19dp-2, -0x1.bd1791f2326adp-2, -0x1.bfd5ce97e2c27p-2, -0x1.c26cf6569203ep-2, -0x1.c4dd2396c6d16p-2, -0x1.c72678c682629p-2, -0x1.c949200eab46fp-2, -0x1.cb454b08d01ecp-2, -0x1.cd1b32756345fp-2, -0x1.cecb15f27f469p-2, -0x1.d0553bb34cb3ep-2, -0x1.d1b9f0381943p-2, -0x1.d2f9860737e17p-2, -0x1.d4145566b68a1p-2, -0x1.d50abc16ff65ep-2, -0x1.d5dd1d0e734b7p-2, -0x1.d68be0360b3efp-2, -0x1.d717722710579p-2, -0x1.d78043e9f88e4p-2, -0x1.d7c6cab67222p-2, -0x1.d7eb7fb4a42b1p-2, -0x1.d7eedfbfba5a6p-2, -0x1.d7d16b29b46b4p-2, -0x1.d793a5808f44dp-2, -0x1.d7361554c3652p-2, -0x1.d6b9440127fbp-2, -0x1.d61dbd7434159p-2, -0x1.d5640ffaad4d6p-2, -0x1.d48ccc0bbdc0ap-2, -0x1.d39884167788bp-2, -0x1.d287cc50c7ddap-2, -0x1.d15b3a87d42ebp-2, -0x1.d01365f1ca6dp-2, -0x1.ceb0e70118a87p-2, -0x1.cd34573914ca1p-2, -0x1.cb9e5104081c1p-2, -0x1.c9ef6f8aa5377p-2, -0x1.c8284e8cdc78ap-2, -0x1.c6498a3c120ddp-2, -0x1.c453bf16ac636p-2, -0x1.c24789c4f84b4p-2, -0x1.c02586f75e77fp-2, -0x1.bdee5345e3b3dp-2, -0x1.bba28b10edabep-2, -0x1.b942ca6348c8bp-2, -0x1.b6cfacd565da3p-2, -0x1.b449cd71cc109p-2, -0x1.b1b1c69ab839fp-2, -0x1.af0831f0df25cp-2, -0x1.ac4da83b532fap-2, -0x1.a982c150802eep-2, -0x1.a6a814003a477p-2, -0x1.a3be35fed8211p-2, -0x1.a0c5bbd1502a5p-2, -0x1.9dbf38ba56434p-2, -0x1.9aab3ea86c2ddp-2, -0x1.978a5e24e686ep-2, -0x1.945d2643d8a3dp-2, -0x1.91242494e3d27p-2, -0x1.8ddfe514e2ef5p-2, -0x1.8a90f2206d7e5p-2, -0x1.8737d46728965p-2, -0x1.83d512dfe28d6p-2, -0x1.806932bd725b6p-2, -0x1.7cf4b76453395p-2, -0x1.79782260f968ap-2, -0x1.75f3f35ed919bp-2, -0x1.7268a82017163p-2, -0x1.6ed6bc75e4101p-2, -0x1.6b3eaa3976b5ep-2, -0x1.67a0e945a4fc2p-2, -0x1.63fdef71112dap-2, -0x1.60563088ec13p-2, -0x1.5caa1e4c44486p-2, -0x1.58fa2867de5a1p-2, -0x1.5546bc7290619p-2, -0x1.519045ea1e0f8p-2, -0x1.4dd72e3090bb2p-2, -0x1.4a1bdc8a07836p-2, -0x1.465eb61af8778p-2, -0x1.42a01de6e256ap-2, -0x1.3ee074cf6af11p-2, -0x1.3b201993e1d03p-2, -0x1.375f68d12bfb6p-2, -0x1.339ebd0209e5ap-2, -0x1.2fde6e7fc1316p-2, -0x1.2c1ed38318423p-2, -0x1.28604025b05ccp-2, -0x1.24a30663ab6cdp-2, -0x1.20e7761da6acep-2, -0x1.1d2ddd1b00124p-2, -0x1.1976870c659bdp-2, -0x1.15c1bd8ead32fp-2, -0x1.120fc82dee135p-2, -0x1.0e60ec68dd0d7p-2, -0x1.0ab56db468fe6p-2, -0x1.070d8d7f90e57p-2, -0x1.03698b3774079p-2, -0x1.ff934897359d2p-3, -0x1.f85c2864e397dp-3, -0x1.f12e28dbef7fcp-3, -0x1.ea09b92138032p-3, -0x1.e2ef4484970bp-3, -0x1.dbdf328b4af29p-3, -0x1.d4d9e6fab6d33p-3, -0x1.cddfc1e373bd6p-3, -0x1.c6f11faca4cb2p-3, -0x1.c00e591f9271bp-3, -0x1.b937c3738d135p-3, -0x1.b26db05a0538cp-3, -0x1.abb06e0ae31fdp-3, -0x1.a5004751114e1p-3, -0x1.9e5d83973785p-3, -0x1.97c866f4ac3ebp-3, -0x1.9141323a86b6bp-3, -0x1.8ac82300e0725p-3, -0x1.845d73b437548p-3, -0x1.7e015ba2f2e17p-3, -0x1.77b40f0b03e4dp-3, -0x1.7175bf27a11f7p-3, -0x1.6b469a3f1ad3cp-3, -0x1.6526cbb0c44f3p-3, -0x1.5f167c02e8e3ap-3, -0x1.5915d0f0da628p-3, -0x1.5324ed78fcf47p-3, -0x1.4d43f1eaeb925p-3, -0x1.4772fbf595748p-3, -0x1.41b226b568b4p-3, -0x1.3c018ac276c32p-3, -0x1.36613e3e9fefcp-3, -0x1.30d154e3b538cp-3, -0x1.2b51e01192388p-3, -0x1.25e2eedc39b2fp-3, -0x1.20848e19da643p-3, -0x1.1b36c870d3cecp-3, -0x1.15f9a665a0a64p-3, -0x1.10cd2e68bb126p-3, -0x1.0bb164e46931ap-3, -0x1.06a64c4a7641ep-3, -0x1.01abe521d6ad5p-3, -0x1.f9845c286a703p-4, -0x1.efd247f6c64e2p-4, -0x1.e64183dd66958p-4, -0x1.dcd202a065773p-4, -0x1.d383b3b38e668p-4, -0x1.ca56835460bdbp-4, -0x1.c14a5aa3bfb34p-4, -0x1.b85f1fbf78172p-4, -0x1.af94b5db6a94bp-4, -0x1.a6eafd5a78626p-4, -0x1.9e61d3e71f04cp-4, -0x1.95f9148bd083ap-4, -0x1.8db097caf598cp-4, -0x1.858833b6a0e14p-4, -0x1.7d7fbc07f28aap-4, -0x1.759702362707ep-4, -0x1.6dcdd58d50737p-4, -0x1.66240344b909fp-4, -0x1.5e995694ef9e4p-4, -0x1.572d98cd7b08fp-4, -0x1.4fe0916a2f1fdp-4, -0x1.48b206282f2b7p-4, -0x1.41a1bb1a8c703p-4, -0x1.3aaf72be8c673p-4, -0x1.33daee0f91334p-4, -0x1.2d23ec9aa4ab8p-4, -0x1.268a2c91a196p-4, -0x1.200d6ade03844p-4, -0x1.19ad633352c33p-4, -0x1.1369d02133c1ep-4, -0x1.0d426b25163e5p-4, -0x1.0736ecbb82ce7p-4, -0x1.01470c710da3p-4, -0x1.f6e501e5c7372p-5, -0x1.eb72003df9dcp-5, -0x1.e0347e27d9df3p-5, -0x1.d52be480a942ap-5, -0x1.ca579ae3ec792p-5, -0x1.bfb707c8d6513p-5, -0x1.b549909ef202fp-5, -0x1.ab0e99ea19726p-5, -0x1.a105875dae81cp-5, -0x1.972dbbf71bab7p-5, -0x1.8d869a179e015p-5, -0x1.840f839d599dep-5, -0x1.7ac7d9fbb8894p-5, -0x1.71aefe53173b3p-5, -0x1.68c45187c2f35p-5, -0x1.600734584392cp-5, -0x1.57770772fad0ep-5, -0x1.4f132b8b17625p-5, -0x1.46db016ce1009p-5, -0x1.3ecdea1154dedp-5, -0x1.36eb46b12b2ecp-5, -0x1.2f3278d72338ap-5, -0x1.27a2e271c5e1ep-5, -0x1.203be5e479af7p-5, -0x1.18fce617fe6f4p-5, -0x1.11e5468a4f7a4p-5, -0x1.0af46b5dec351p-5, -0x1.0429b9688b07bp-5, -0x1.fb092c8276c05p-6, -0x1.ee08d09be944ep-6, -0x1.e1512da12c7fp-6, -0x1.d4e113e6bc747p-6, -0x1.c8b755a9a692dp-6, -0x1.bcd2c7265afefp-6, -0x1.b1323eae69574p-6, -0x1.a5d494bd40d7p-6, -0x1.9ab8a40bf108ep-6, -0x1.8fdd49a3f15e8p-6, -0x1.854164f0f6b6ep-6, -0x1.7ae3d7d1d1e5fp-6, -0x1.70c386a87c892p-6, -0x1.66df586918593p-6, -0x1.5d3636a836d21p-6, -0x1.53c70da837ef4p-6, -0x1.4a90cc65c9227p-6, -0x1.419264a3ab38p-6, -0x1.38cacaf599de6p-6, -0x1.3038f6ca7311dp-6, -0x1.27dbe275a35a3p-6, -0x1.1fb28b37d0849p-6, -0x1.17bbf146d3bd8p-6, -0x1.0ff717d4f7c82p-6, -0x1.08630517928c1p-6, -0x1.00fec24cf1878p-6, -0x1.f392b783584c6p-7, -0x1.e583c1aa93615p-7, -0x1.d7cec7fcb22dcp-7, -0x1.ca71f59bd79cap-7, -0x1.bd6b7be5094f7p-7, -0x1.b0b99274e7254p-7, -0x1.a45a772b6b0efp-7, -0x1.984c6e2e8427fp-7, -0x1.8c8dc1ebd9121p-7, -0x1.811cc3196866dp-7, -0x1.75f7c8b55d15fp-7, -0x1.6b1d3004eb122p-7, -0x1.608b5c9262bc4p-7, -0x1.5640b82a57ddep-7, -0x1.4c3bb2d818b88p-7, -0x1.427ac2e136876p-7, -0x1.38fc64c0766e8p-7, -0x1.2fbf1b2003da9p-7, -0x1.26c16ed2d958p-7, -0x1.1e01eecdb2c55p-7, -0x1.157f301f2a05dp-7, -0x1.0d37cde7682e9p-7, -0x1.052a694f1aacdp-7, -0x1.faab52fbf30acp-8, -0x1.eb70772187e0dp-8, -0x1.dca1a51d5575ap-8, -0x1.ce3c4ebcb08f6p-8, -0x1.c03df174ff124p-8, -0x1.b2a4164bca42ap-8, -0x1.a56c51be5fe0ep-8, -0x1.989443a84a07bp-8, -0x1.8c199729598c7p-8, -0x1.7ffa028af380cp-8, -0x1.74334724937a5p-8, -0x1.68c3313fe645ep-8, -0x1.5da797fc245a7p-8, -0x1.52de5d31204d9p-8, -0x1.48656d51a4ca9p-8, -0x1.3e3abf4d817a5p-8, -0x1.345c5473181fdp-8, -0x1.2ac83850a3e73p-8, -0x1.217c8094f6c86p-8, -0x1.18774cf0168a9p-8, -0x1.0fb6c6f37b7d5p-8, -0x1.073921f2088a9p-8, -0x1.fdf935bfba019p-9, -0x1.edfef063adfabp-9, -0x1.de80137a218aep-9, -0x1.cf79512c21fecp-9, -0x1.c0e76ddfb249ep-9, -0x1.b2c73ff618e58p-9, -0x1.a515af89d5dd9p-9, -0x1.97cfb62c50ce7p-9, -0x1.8af25ea3a399p-9, -0x1.7e7ac4a869075p-9, -0x1.726614a395937p-9, -0x1.66b18b6c28c64p-9, -0x1.5b5a760553aep-9, -0x1.505e315c5a16ep-9, -0x1.45ba2a071554ap-9, -0x1.3b6bdc027afcdp-9, -0x1.3170d27114feap-9, -0x1.27c6a75a37707p-9, -0x1.1e6b036929fcp-9, -0x1.155b9dad068f2p-9, -0x1.0c963b587b566p-9, -0x1.0418af8250101p-9, -0x1.f7c1b5cc59593p-10, -0x1.e7d9574b7882bp-10, -0x1.d8743a14ff3fep-10, -0x1.c98e6e8f79461p-10, -0x1.bb241e7a8d8f6p-10, -0x1.ad318c751fab8p-10, -0x1.9fb31384db999p-10, -0x1.92a5269e60635p-10, -0x1.8604502f1c30fp-10, -0x1.79cd31a7a8b6ap-10, -0x1.6dfc830815e7ep-10, -0x1.628f126c8fdd1p-10, -0x1.5781c39bf41e6p-10, -0x1.4cd18f9762028p-10, -0x1.427b842af0e93p-10, -0x1.387cc380148d7p-10, -0x1.2ed283b093b68p-10, -0x1.257a0e5b9eb76p-10, -0x1.1c70c03c05095p-10, -0x1.13b408bf38f0bp-10, -0x1.0b41699e6d4fdp-10, -0x1.031676789b2f4p-10, -0x1.f661a8dc02083p-11, -0x1.e71c737ac69cfp-11, -0x1.d858dac3e89b2p-11, -0x1.ca128d668ae34p-11, -0x1.bc455a0cc1d54p-11, -0x1.aeed2ea05fd5ap-11, -0x1.a20617932f59bp-11, -0x1.958c3f2995451p-11, -0x1.897becc7d2899p-11, -0x1.7dd184424532p-11, -0x1.728985312234dp-11, -0x1.67a08a45c9c89p-11, -0x1.5d1348a3a971dp-11, -0x1.52de8f3c00354p-11, -0x1.48ff462bad347p-11, -0x1.3f726e1cb53a7p-11, -0x1.36351faa275d6p-11, -0x1.2d448ac649befp-11, -0x1.249df62426168p-11, -0x1.1c3ebea371f09p-11, -0x1.142456bf915dbp-11, -0x1.0c4c4600a6bffp-11, -0x1.04b4286fb5264p-11, -0x1.fab35c1ad40afp-12, -0x1.ec7534967758bp-12, -0x1.dea9870f41256p-12, -0x1.d14c2518d2576p-12, -0x1.c459041ebb916p-12, -0x1.b7cc3c6cbfb48p-12, -0x1.aba2083a03558p-12, -0x1.9fd6c2bb0c702p-12, -0x1.9466e736c92c7p-12, -0x1.894f1021f324dp-12, -0x1.7e8bf63d8899fp-12, -0x1.741a6fbc660f6p-12, -0x1.69f76f6bca9b1p-12, -0x1.602003e0fd73cp-12, -0x1.569156aab5ebep-12, -0x1.4d48ab88ac213p-12, -0x1.44435fa6025bfp-12, -0x1.3b7ee8d910fabp-12, -0x1.32f8d4e7a22dap-12, -0x1.2aaec8ce248c2p-12, -0x1.229e800c7decp-12, -0x1.1ac5cbf58b369p-12, -0x1.13229305125d8p-12, -0x1.0bb2d03758f1ap-12, -0x1.047492658e83fp-12, -0x1.facbf74d83b54p-13, -0x1.ed0a81663553bp-13, -0x1.dfa150990885fp-13, -0x1.d28d1555bf603p-13, -0x1.c5caa1d42748dp-13, -0x1.b956e8fbf2f24p-13, -0x1.ad2efd507fbc9p-13, -0x1.a1500fe594d2dp-13, -0x1.95b76f59a783ap-13, -0x1.8a6286d7b9279p-13, -0x1.7f4edd1e9f3d3p-13, -0x1.747a138fe993ap-13, -0x1.69e1e5444113cp-13, -0x1.5f84262724a5ap-13, -0x1.555ec21837053p-13, -0x1.4b6fbc114e5dep-13, -0x1.41b52d5406ef2p-13, -0x1.382d449c6d08ap-13, -0x1.2ed64559afc2ap-13, -0x1.25ae86eb6cf3ep-13, -0x1.1cb473e7aed56p-13, -0x1.13e6895fced2bp-13, -0x1.0b435630f3d3dp-13, -0x1.02c97a55f9b77p-13, -0x1.f4ef4c7ff383bp-14, -0x1.e499346702029p-14, -0x1.d48e4b5412efp-14, -0x1.c4cc4d7115361p-14, -0x1.b55112f3ad3f1p-14, -0x1.a61a8efc2c943p-14, -0x1.9726ce7f8764dp-14, -0x1.8873f736d5627p-14, -0x1.7a004695a4923p-14, -0x1.6bca10cf3e60ap-14, -0x1.5dcfbfda92d4fp-14, -0x1.500fd2864e64ep-14, -0x1.4288db8f1424cp-14, -0x1.353980c1c54a7p-14, -0x1.28207a2088271p-14, -0x1.1b3c9111544b9p-14, -0x1.0e8c9f932ddd5p-14, -0x1.020f8f7a39e5cp-14, -0x1.eb88b362fb074p-15, -0x1.d3540b0ab8f51p-15, -0x1.bb7f4fe16157ap-15, -0x1.a408c5e56d18dp-15, -0x1.8ceec9d4d4f45p-15, -0x1.762fcfee4c3dap-15, -0x1.5fca62c093ef5p-15, -0x1.49bd220172174p-15, -0x1.3406c1707e337p-15, -0x1.1ea607c535fcep-15, -0x1.0999cda46eddp-15, -0x1.e9c1f9469ac94p-16, -0x1.c0f51ca791ea1p-16, -0x1.98cb16b37ecccp-16, -0x1.7142150878486p-16, -0x1.4a585fec8a871p-16, -0x1.240c58a8b8a4ap-16, -0x1.fcb8effaaf9cbp-17, -0x1.b28e99327bb1p-17, -0x1.6996f35fe7b4ep-17, -0x1.21cf6b2be874dp-17, -0x1.b66b21a1a7741p-18, -0x1.2b8e2b2bf0219p-18, -0x1.4607256a75b41p-19, -0x1.cc7309df3232fp-22, 0x1.9cabba5a13465p-20, 0x1.d1ad1d035ddf7p-19, 0x1.683f46e6ed351p-18, 0x1.e568878c5b4ap-18, 0x1.302acdf92dfd1p-17, 0x1.6c84d76df712cp-17, 0x1.a7c3e6cbc7f54p-17, 0x1.e1e975936bdap-17, 0x1.0d7b78d7168afp-16, 0x1.2976df69dc17bp-16, 0x1.44e79bf68415ep-16, 0x1.5fce58297ed58p-16, 0x1.7a2bba8a8dae3p-16, 0x1.9400670b59ee9p-16, 0x1.ad4cff91e43a4p-16, 0x1.c612247f478d6p-16, 0x1.de507528667d2p-16, 0x1.f608904d5cdbbp-16, 0x1.069d8a41d6a48p-15, 0x1.11f4504d91ae2p-15, 0x1.1d08e9ffde7p-15, 0x1.27dba78998f3p-15, 0x1.326cd9bfd855dp-15, 0x1.3cbcd241b1af5p-15, 0x1.46cbe39da75bep-15, 0x1.509a6170f3fdap-15, 0x1.5a28a086f6a3p-15, 0x1.6376f6f3186f8p-15, 0x1.6c85bc2cafb6ap-15, 0x1.755549253f0e7p-15, 0x1.7de5f85d44e38p-15, 0x1.863825f794b65p-15, 0x1.8e4c2fc948163p-15, 0x1.9622756961123p-15, 0x1.9dbb583c64134p-15, 0x1.a5173b813aa86p-15, 0x1.ac3684591ff26p-15, 0x1.b31999d1524dep-15, 0x1.b9c0e4e8f5b04p-15, 0x1.c02cd09547d6p-15, 0x1.c65dc9c4bc22cp-15, 0x1.cc543f61c9af8p-15, 0x1.d210a253ec2ccp-15, 0x1.d793657ecf51p-15, 0x1.dcdcfdc17144ep-15, 0x1.e1ede1f3f4e92p-15, 0x1.e6c68ae30cbe2p-15, 0x1.eb67734cffcc5p-15, 0x1.efd117d9dda5bp-15, 0x1.f403f717c799p-15, 0x1.f80091726f1d1p-15, 0x1.fbc7692c597a2p-15, 0x1.ff59025583278p-15, 0x1.015af1614974cp-14, 0x1.02ef490180cd9p-14, 0x1.0469ccab6da43p-14, 0x1.05cac1d1ef41fp-14, 0x1.07126eb4e8ce7p-14, 0x1.08411a5bdb9bdp-14, 0x1.09570c8f8d598p-14, 0x1.0a548dd37a946p-14, 0x1.0b39e75fcaea7p-14, 0x1.0c07631a17535p-14, 0x1.0cbd4b8f71c83p-14, 0x1.0d5bebecfd9cbp-14, 0x1.0de38ff92bc53p-14, 0x1.0e54840c8f883p-14, 0x1.0eaf150ac0e0fp-14, 0x1.0ef3905ae8c58p-14, 0x1.0f2243e0dd2ecp-14, 0x1.0f3b7df4e8d53p-14, 0x1.0f3f8d5d85915p-14, 0x1.0f2ec14748204p-14, 0x1.0f09693d93af4p-14, 0x1.0ecfd52389c11p-14, 0x1.0e82552bd8953p-14, 0x1.0e2139d1ef531p-14, 0x1.0dacd3d279bdfp-14, 0x1.0d257423aa305p-14, 0x1.0c8b6bee5ea57p-14, 0x1.0bdf0c865ca78p-14, 0x1.0b20a7639cb86p-14, 0x1.0a508e1acdf23p-14, 0x1.096f12564dd9dp-14, 0x1.087c85ced4b5bp-14, 0x1.07793a44a67bap-14, 0x1.06658179057e4p-14, 0x1.0541ad26c24ep-14, 0x1.040e0efc0144ep-14, 0x1.02caf8936bfdep-14, 0x1.0178bb6d6f3adp-14, 0x1.0017a8ea2e036p-14, 0x1.fd502485e791fp-15, 0x1.fa549107bb536p-15, 0x1.f73d390b88076p-15, 0x1.f40abdd10b56bp-15, 0x1.f0bdc018eda1bp-15, 0x1.ed56e01b5f3d8p-15, 0x1.e9d6bd7a86eadp-15, 0x1.e63df738186cdp-15, 0x1.e28d2bab17cd2p-15, 0x1.dec4f874925edp-15, 0x1.dae5fa75c00bap-15, 0x1.d6f0cdc558b45p-15, 0x1.d2e60da62023p-15, 0x1.cec6547d08c8cp-15, 0x1.ca923bc81b8fbp-15, 0x1.c64a5c150de31p-15, 0x1.c1ef4cf895f3dp-15, 0x1.bd81a50571e26p-15, 0x1.b901f9c4cbaafp-15, 0x1.b470dfad8749ap-15, 0x1.afceea1ce4fb1p-15, 0x1.ab1cab4e80ffdp-15, 0x1.a65ab454c424cp-15, 0x1.a1899512a5e2ap-15, 0x1.9ca9dc340bf73p-15, 0x1.97bc1727d99f4p-15, 0x1.92c0d2191b1bep-15, 0x1.8db897e9815e7p-15, 0x1.88a3f22a94c32p-15, 0x1.838369195f04bp-15, 0x1.7e578397fbffep-15, 0x1.7920c728f96f7p-15, 0x1.73dfb7ea5cf16p-15, 0x1.6e94d89137a47p-15, 0x1.6940aa64e4be9p-15, 0x1.63e3ad3b2ac21p-15, 0x1.5e7e5f7441ad1p-15, 0x1.59113df6a20a1p-15, 0x1.539cc42be79e1p-15, 0x1.4e216bfd24b3p-15, 0x1.489fadd02f0edp-15, 0x1.431800850905dp-15, 0x1.3d8ad9725e335p-15, 0x1.37f8ac63935b9p-15, 0x1.3261eb9661361p-15, 0x1.2cc707b8ade89p-15, 0x1.27286fe6c037fp-15, 0x1.218691a97653dp-15, 0x1.1be1d8f4d996p-15, 0x1.163ab0272025cp-15, 0x1.10918006c805p-15, 0x1.0ae6afc2713bfp-15, 0x1.053aa4ef976d2p-15, 0x1.ff1b871395e95p-16, 0x1.f3c0dbe51908bp-16, 0x1.e86609e180891p-16, 0x1.dd0bcf613ed55p-16, 0x1.d1b2e788be12dp-16, 0x1.c65c0a46e3aafp-16, 0x1.bb07ec5612fa8p-16, 0x1.afb73f3dc0d7ep-16, 0x1.a46ab1530186bp-16, 0x1.9922edba9df22p-16, 0x1.8de09c699bdd1p-16, 0x1.82a462284d264p-16, 0x1.776ee0947594dp-16, 0x1.6c40b623d6f78p-16, 0x1.611a7e26965a5p-16, 0x1.55fcd0cb29f34p-16, 0x1.4ae8431f1028cp-16, 0x1.3fdd6714842d6p-16, 0x1.34dccb8586c7dp-16, 0x1.29e6fc370f74cp-16, 0x1.1efc81dd9de58p-16, 0x1.141de2224bc23p-16, 0x1.094b9fa598317p-16, 0x1.fd0c740905f1dp-17, 0x1.e79c5bbbdc74cp-17, 0x1.d247e9ad9be6cp-17, 0x1.bd100b3f516d6p-17, 0x1.a7f5a7f253c75p-17, 0x1.92f9a1746f118p-17, 0x1.7e1cd3ab0d23fp-17, 0x1.696014be79509p-17, 0x1.54c435243375ap-17, 0x1.4049fface42ccp-17, }}, 
      {{-0x1.322d9b65c29aep-6, -0x1.31220ec44e81ep-5, -0x1.c7292e877979ap-5, -0x1.2d293e12a5f8ap-4, -0x1.74f4720414528p-4, -0x1.baaec10900e35p-4, -0x1.fe23441651afdp-4, -0x1.1f972110fd8aap-3, -0x1.3eddafb54f9c5p-3, -0x1.5ce1cc0f2d04ap-3, -0x1.79a59832c56abp-3, -0x1.952fda77ec04p-3, -0x1.af8b0e57c7791p-3, -0x1.c8c48a9839bd2p-3, -0x1.e0ebbf0077955p-3, -0x1.f8118a26ab4c2p-3, -0x1.0723d366c26fdp-2, -0x1.11d017cb62e69p-2, -0x1.1c169bb326433p-2, -0x1.26003a4ca92fbp-2, -0x1.2f957e904748ep-2, -0x1.38de88c6ea618p-2, -0x1.41e2fa9bb19b1p-2, -0x1.4aa9e8d714141p-2, -0x1.5339d1f2aab6dp-2, -0x1.5b9898c6ccfa7p-2, -0x1.63cb82a59165p-2, -0x1.6bd73849280adp-2, -0x1.73bfc90d0ecdep-2, -0x1.7b88affa5358cp-2, -0x1.8334da3ea0682p-2, -0x1.8ac6aeb4109f6p-2, -0x1.9240162cc5fc4p-2, -0x1.99a28440ec9e6p-2, -0x1.a0ef0068587bep-2, -0x1.a8262f321b79ap-2, -0x1.af485b74b232ep-2, -0x1.b6557f5874717p-2, -0x1.bd4d4d24357ap-2, -0x1.c42f37b94f4fp-2, -0x1.cafa7ab0e820cp-2, -0x1.d1ae22101abb5p-2, -0x1.d849118bfeaa6p-2, -0x1.deca0b592fe3bp-2, -0x1.e52fb684d3d75p-2, -0x1.eb78a4d6d89a5p-2, -0x1.f1a3583eba3a1p-2, -0x1.f7ae47cd43949p-2, -0x1.fd97e43eb3b82p-2, -0x1.01af4e0caa6d4p-1, -0x1.04806fb299066p-1, -0x1.073e9180edd5ep-1, -0x1.09e8f1cfb9fffp-1, -0x1.0c7ed4302ecc1p-1, -0x1.0eff829475fc1p-1, -0x1.116a4e5134c6fp-1, -0x1.13be90fb60bddp-1, -0x1.15fbad24f0a48p-1, -0x1.18210efaeae91p-1, -0x1.1a2e2cc7318a6p-1, -0x1.1c22875855e8bp-1, -0x1.1dfdaa51a2d4ap-1, -0x1.1fbf2c656c68bp-1, -0x1.2166af7b9a2c7p-1, -0x1.22f3e0c641701p-1, -0x1.246678c60cf51p-1, -0x1.25be3b400a07ap-1, -0x1.26faf72666336p-1, -0x1.281c86757f651p-1, -0x1.2922ce069990ep-1, -0x1.2a0dbd5971afep-1, -0x1.2add4e55cd44ap-1, -0x1.2b91850612401p-1, -0x1.2c2a6f4bdea89p-1, -0x1.2ca8248f8051dp-1, -0x1.2d0ac56b2149cp-1, -0x1.2d527b526688ep-1, -0x1.2d7f78372f104p-1, -0x1.2d91f62c190a7p-1, -0x1.2d8a370558cbbp-1, -0x1.2d6883f86d547p-1, -0x1.2d2d2d3b27fbcp-1, -0x1.2cd889a273ab9p-1, -0x1.2c6af641445aep-1, -0x1.2be4d60802559p-1, -0x1.2b469164c278p-1, -0x1.2a9095e4973a9p-1, -0x1.29c355d6334a8p-1, -0x1.28df47ee1ccbep-1, -0x1.27e4e6ec9d083p-1, -0x1.26d4b1459cb12p-1, -0x1.25af28ca8faf9p-1, -0x1.2474d2569061p-1, -0x1.2326357cc711ap-1, -0x1.21c3dc3935ac4p-1, -0x1.204e52a3f6cb7p-1, -0x1.1ec626a701c41p-1, -0x1.1d2be7b67fc13p-1, -0x1.1b80268bb6c82p-1, -0x1.19c374e295db2p-1, -0x1.17f66539ddd54p-1, -0x1.16198a95eeb22p-1, -0x1.142d7846311d5p-1, -0x1.1232c1ad1d646p-1, -0x1.1029fa0ad7a7bp-1, -0x1.0e13b44a5c035p-1, -0x1.0bf082d12ecfbp-1, -0x1.09c0f7518ccd4p-1, -0x1.0785a29f0b9cdp-1, -0x1.053f14859ff83p-1, -0x1.02eddba2ff536p-1, -0x1.009285424b505p-1, -0x1.fc5b3a73fb8f1p-2, -0x1.f77f5b98064cep-2, -0x1.f2927f0fe9ad9p-2, -0x1.ed95b25ecebfbp-2, -0x1.e889ff386eb99p-2, -0x1.e3706b5196553p-2, -0x1.de49f83467f29p-2, -0x1.d917a31846f33p-2, -0x1.d3da64bd41352p-2, -0x1.ce93314ae190dp-2, -0x1.c942f8324192cp-2, -0x1.c3eaa41342af6p-2, -0x1.be8b1aa4c8afap-2, -0x1.b9253c9fdaf1cp-2, -0x1.b3b9e5ad8cd41p-2, -0x1.ae49ec578bdcep-2, -0x1.a8d621fb393c7p-2, -0x1.a35f52bf31a13p-2, -0x1.9de6458b2344ap-2, -0x1.986bbc01d7cb7p-2, -0x1.92f0727d58e98p-2, -0x1.8d75200d10fe9p-2, -0x1.87fa7675cf7c1p-2, -0x1.8281223396403p-2, -0x1.7d09ca7d1b3ap-2, -0x1.77951148deac5p-2, -0x1.72239353c6aaep-2, -0x1.6cb5e82923abfp-2, -0x1.674ca22c09823p-2, -0x1.61e84ea1e9d66p-2, -0x1.5c8975be55bc7p-2, -0x1.57309aafdcb7dp-2, -0x1.51de3bade7c1dp-2, -0x1.4c92d2078b0abp-2, -0x1.474ed23335644p-2, -0x1.4212abdf2d80dp-2, -0x1.3cdeca02ce826p-2, -0x1.37b392f06f2fp-2, -0x1.32916867ecc08p-2, -0x1.2d78a7a9beec6p-2, -0x1.2869a98a95945p-2, -0x1.2364c28764dacp-2, -0x1.1e6a42d9dc16ep-2, -0x1.197a768d37d2bp-2, -0x1.1495a59362f35p-2, -0x1.0fbc13da5ceep-2, -0x1.0aee0161db5c7p-2, -0x1.062baa5117fd6p-2, -0x1.0175470cc8ecfp-2, -0x1.f996189a6925dp-3, -0x1.f05a5668af318p-3, -0x1.e737a2c838eedp-3, -0x1.de2e522922858p-3, -0x1.d53eb2544030cp-3, -0x1.cc690a9774ba2p-3, -0x1.c3ad9bf1e849p-3, -0x1.bb0ca14013383p-3, -0x1.b2864f67918p-3, -0x1.aa1ad582aee1cp-3, -0x1.a1ca5d0ba76d4p-3, -0x1.99950a0790f18p-3, -0x1.917afb30e2ca9p-3, -0x1.897c4a2196c56p-3, -0x1.81990b7cd6c8cp-3, -0x1.79d14f1838257p-3, -0x1.7225202470512p-3, -0x1.6a9485558f5d9p-3, -0x1.631f810aa94d8p-3, -0x1.5bc61174f2ac2p-3, -0x1.548830be4b20cp-3, -0x1.4d65d52f2c525p-3, -0x1.465ef154009dap-3, -0x1.3f737421da975p-3, -0x1.38a3491a864d6p-3, -0x1.31ee586ffb548p-3, -0x1.2b54872720aabp-3, -0x1.24d5b739f164fp-3, -0x1.1e71c7b8e8a4fp-3, -0x1.182894ebd01b5p-3, -0x1.11f9f871d4f16p-3, -0x1.0be5c960f4b11p-3, -0x1.05ebdc64bb226p-3, -0x1.000c03dc4d98dp-3, -0x1.f48c1fef91f27p-4, -0x1.e9339da9dde2cp-4, -0x1.de0e19365117p-4, -0x1.d31b272da397ep-4, -0x1.c85a58a7c5295p-4, -0x1.bdcb3b6fba1d1p-4, -0x1.b36d5a3637f7fp-4, -0x1.a9403cc2debap-4, -0x1.9f4368241e9fdp-4, -0x1.95765eddd6ac4p-4, -0x1.8bd8a1169928ap-4, -0x1.8269acc3af705p-4, -0x1.7928fdd3d13e6p-4, -0x1.70160e589a923p-4, -0x1.673056aec3b03p-4, -0x1.5e774da51a035p-4, -0x1.55ea68a244c77p-4, -0x1.4d891bc9576bep-4, -0x1.4552da1d31547p-4, -0x1.3d4715a2b8b19p-4, -0x1.35653f81ed448p-4, -0x1.2dacc825d9bfap-4, -0x1.261d1f5b6d156p-4, -0x1.1eb5b46f39998p-4, -0x1.1775f64a23473p-4, -0x1.105d538d02faep-4, -0x1.096b3aab3e187p-4, -0x1.029f1a046055ap-4, -0x1.f7f0bff9684c1p-5, -0x1.eaecf629c902fp-5, -0x1.de31b4015770fp-5, -0x1.d1bdd7792668cp-5, -0x1.c5903f4595a61p-5, -0x1.b9a7cafe39961p-5, -0x1.ae035b440718bp-5, -0x1.a2a1d1e5c8284p-5, -0x1.97821202ee83cp-5, -0x1.8ca3002cc18a6p-5, -0x1.82038285fcc06p-5, -0x1.77a280e0e27fcp-5, -0x1.6d7ee4dbcbfcbp-5, -0x1.639799fc48e88p-5, -0x1.59eb8dc8cc963p-5, -0x1.5079afe0fcaffp-5, -0x1.4740f214a60f9p-5, -0x1.3e404879613a6p-5, -0x1.3576a97eefa56p-5, -0x1.2ce30e02608acp-5, -0x1.2484715ffeb64p-5, -0x1.1c59d184139bfp-5, -0x1.14622efa8c071p-5, -0x1.0c9c8cfd80d9bp-5, -0x1.0507f182b1ee8p-5, -0x1.fb46ca8ff0ca9p-6, -0x1.ecdbe7bd74645p-6, -0x1.decd576cd02f3p-6, -0x1.d1193c4c0ee3cp-6, -0x1.c3bdbee9c0ebbp-6, -0x1.b6b90dc4821acp-6, -0x1.aa095d58e0ef4p-6, -0x1.9dace82da3208p-6, -0x1.91a1eede785f5p-6, -0x1.85e6b82525d64p-6, -0x1.7a7990e15069bp-6, -0x1.6f58cc1ec558fp-6, -0x1.6482c31a8636dp-6, -0x1.59f5d546788e6p-6, -0x1.4fb0684bd8df9p-6, -0x1.45b0e80c882b2p-6, -0x1.3bf5c6a32980ep-6, -0x1.327d7c6228e4bp-6, -0x1.294687d1bb05bp-6, -0x1.204f6dacd5c79p-6, -0x1.1796b8dd38227p-6, -0x1.0f1afa76820e5p-6, -0x1.06dac9b06f787p-6, -0x1.fda987c0803c3p-7, -0x1.ee0f18e29cd0ap-7, -0x1.dee399b9d4caap-7, -0x1.d0246942eeee4p-7, -0x1.c1cef271be066p-7, -0x1.b3e0ac1cc5629p-7, -0x1.a65718e785ee4p-7, -0x1.992fc72bcc8c1p-7, -0x1.8c6850e1c530ap-7, -0x1.7ffe5b871d53fp-7, -0x1.73ef9805263ebp-7, -0x1.6839c2961a61ep-7, -0x1.5cdaa2a97205bp-7, -0x1.51d00ac78dad4p-7, -0x1.4717d8748240cp-7, -0x1.3caff412541e7p-7, -0x1.329650c280facp-7, -0x1.28c8ec46ec688p-7, -0x1.1f45cee253a08p-7, -0x1.160b0b38375cdp-7, -0x1.0d16be2c5c6e5p-7, -0x1.04670ec1d8a2ep-7, -0x1.f7f45bf3a3aefp-8, -0x1.e79cad63a4b8fp-8, -0x1.d7c39b03e762dp-8, -0x1.c865c135690eep-8, -0x1.b97fcf452ee8cp-8, -0x1.ab0e872733137p-8, -0x1.9d0ebd3105475p-8, -0x1.8f7d57d43294ep-8, -0x1.82574f58849e9p-8, -0x1.7599ad960e712p-8, -0x1.69418daf36d2cp-8, -0x1.5d4c1bcad7f71p-8, -0x1.51b694ce31092p-8, -0x1.467e461740b3ap-8, -0x1.3ba08d36fbe94p-8, -0x1.311ad7abc83afp-8, -0x1.26eaa29c485efp-8, -0x1.1d0d7a924a7f5p-8, -0x1.1380fb3627f6bp-8, -0x1.0a42cf0a59b08p-8, -0x1.0150af2780c8fp-8, -0x1.f150c5f1a481cp-9, -0x1.e08f7ff1d75fp-9, -0x1.d05952de4afb3p-9, -0x1.c0aa205b00711p-9, -0x1.b17de49dc5ebap-9, -0x1.a2d0b5ebfa809p-9, -0x1.949ec4198b09ep-9, -0x1.86e45808f6768p-9, -0x1.799dd32cc996ap-9, -0x1.6cc7af09ff77ep-9, -0x1.605e7cbc0255dp-9, -0x1.545ee479c5748p-9, -0x1.48c5a51c53a71p-9, -0x1.3d8f93a6bdae5p-9, -0x1.32b99acf8916p-9, -0x1.2840ba8b6083fp-9, -0x1.1e2207994a27p-9, -0x1.145aab105bd3bp-9, -0x1.0ae7e1eef9325p-9, -0x1.01c6fcab6681dp-9, -0x1.f1eabd8c4470dp-10, -0x1.e0e0fcbb495a6p-10, -0x1.d06bc786ed2fcp-10, -0x1.c086522682301p-10, -0x1.b12bf39602afdp-10, -0x1.a25824ca37a33p-10, -0x1.94067fe791555p-10, -0x1.8632bf7c949acp-10, -0x1.78d8bdbefa31fp-10, -0x1.6bf473cc088c1p-10, -0x1.5f81f8ec49c63p-10, -0x1.537d81da417fdp-10, -0x1.47e3600c3c73p-10, -0x1.3cb001017e7e3p-10, -0x1.31dfed91e06c4p-10, -0x1.276fc941666dep-10, -0x1.1d5c51964bf2dp-10, -0x1.13a25d72588f9p-10, -0x1.0a3edc6f3ca1fp-10, -0x1.012ed63e06b45p-10, -0x1.f0ded41338042p-11, -0x1.dffb9bb7c44b9p-11, -0x1.cfae9c0c78d1bp-11, -0x1.bff2991998817p-11, -0x1.b0c2812992624p-11, -0x1.a2196baacd6eep-11, -0x1.93f29818011c7p-11, -0x1.86496ce5a7404p-11, -0x1.79197674e53a3p-11, -0x1.6c5e660ccd1e2p-11, -0x1.601410d828cbep-11, -0x1.54366ee98b028p-11, -0x1.48c19a4429345p-11, -0x1.3db1cdea28593p-11, -0x1.330364f044a57p-11, -0x1.28b2d996aa7d7p-11, -0x1.1ebcc4669985p-11, -0x1.151ddb5541059p-11, -0x1.0bd2f0eba496bp-11, -0x1.02d8f3739482dp-11, -0x1.f459d851e5423p-12, -0x1.e397fce00bef6p-12, -0x1.d366ce20ea3d6p-12, -0x1.c3c0f6e9af409p-12, -0x1.b4a151de6d368p-12, -0x1.a602e80204b5bp-12, -0x1.97e0ef50d15cbp-12, -0x1.8a36c96370dd9p-12, -0x1.7d000219c7126p-12, -0x1.70384e4e50aacp-12, -0x1.63db8a91cf427p-12, -0x1.57e5b9ef16219p-12, -0x1.4c5304b702025p-12, -0x1.411fb753ebc47p-12, -0x1.3648412489739p-12, -0x1.2bc9335ee18d1p-12, -0x1.219f3ffa49114p-12, -0x1.17c738a0a4a9cp-12, -0x1.0e3e0da6b019fp-12, -0x1.0500cd0b715a4p-12, -0x1.f81942fcc00abp-13, -0x1.e6bda2d87cc8dp-13, -0x1.d5e97c24f5564p-13, -0x1.c597c532208fbp-13, -0x1.b5c3a66558f88p-13, -0x1.a6687885a4792p-13, -0x1.9781c3151e812p-13, -0x1.890b3ab4332b8p-13, -0x1.7b00bf9296cbdp-13, -0x1.6d5e5beaeb2acp-13, -0x1.60204288a90fcp-13, -0x1.5342cd596d6c2p-13, -0x1.46c27c0901b83p-13, -0x1.3a9bf2a70be36p-13, -0x1.2ecbf85901474p-13, -0x1.234f7612f1809p-13, -0x1.1823755bcf08fp-13, -0x1.0d451f1b1106ap-13, -0x1.02b1ba6f54409p-13, -0x1.f0cd571bc062ap-14, -0x1.dcc2e557ff9e4p-14, -0x1.c93f55dca94f1p-14, -0x1.b63e12c6cbf42p-14, -0x1.a3bab80aed079p-14, -0x1.91b1118730d81p-14, -0x1.801d192656883p-14, -0x1.6efaf512a47dfp-14, -0x1.5e46f5f4d2a7fp-14, -0x1.4dfd954473ae6p-14, -0x1.3e1b73a6953a5p-14, -0x1.2e9d5755ea172p-14, -0x1.1f802a9d04cdep-14, -0x1.10c0fa5ae4f72p-14, -0x1.025cf495eaa7bp-14, -0x1.e8a2ce3233c07p-15, -0x1.cd377c3e4b7e8p-15, -0x1.b273061056bb5p-15, -0x1.9850b634fadep-15, -0x1.7ecc0ca2284e4p-15, -0x1.65e0bc616650ep-15, -0x1.4d8aa9545937ap-15, -0x1.35c5e60be4a7bp-15, -0x1.1e8eb1b4dc681p-15, -0x1.07e176166ab0ep-15, -0x1.e3758b44aa1c2p-16, -0x1.b82eb33308a63p-16, -0x1.8de8207cc00d9p-16, -0x1.649bd639dcc3dp-16, -0x1.3c441ac55ae22p-16, -0x1.14db7487969e1p-16, -0x1.dcb94dbf3c5dbp-17, -0x1.91855e6650f76p-17, -0x1.4811842702662p-17, -0x1.005491050ef85p-17, -0x1.748b756403fc9p-18, -0x1.d77255d3d6e49p-19, -0x1.98887abcf590ep-20, 0x1.c4928f8a042cap-22, 0x1.372f08ab7b842p-19, 0x1.17d732dec5122p-18, 0x1.9115e366221f2p-18, 0x1.03b05df045557p-17, 0x1.3d62307d29a9ep-17, 0x1.75a67e9f1588fp-17, 0x1.ac8323e981827p-17, 0x1.e1fdc59a63555p-17, 0x1.0b0dead94578ep-16, 0x1.24714afa85ca1p-16, 0x1.3d2b8d615b5c4p-16, 0x1.553f26ea54e11p-16, 0x1.6cae786a45302p-16, 0x1.837bcfeb0c7f1p-16, 0x1.99a969dc23183p-16, 0x1.af397230b3935p-16, 0x1.c42e056e22d43p-16, 0x1.d88931b19296ep-16, 0x1.ec4cf7a822132p-16, 0x1.ff7b4b780e3ecp-16, 0x1.090b0acf4c907p-15, 0x1.120f99e1a033p-15, 0x1.1acc3cbf3f575p-15, 0x1.2341d8896b1c8p-15, 0x1.2b714e1217c28p-15, 0x1.335b7a2f02fcp-15, 0x1.3b0136093f0c9p-15, 0x1.42635766c646cp-15, 0x1.4982b0f1377b8p-15, 0x1.50601277c859bp-15, 0x1.56fc492d7011fp-15, 0x1.5d581fe32b42ep-15, 0x1.63745f3e2f05bp-15, 0x1.6951cdeb3ca1ep-15, 0x1.6ef130cb3c853p-15, 0x1.74534b227d7d5p-15, 0x1.7978dec038e2dp-15, 0x1.7e62ac248f7d1p-15, 0x1.831172a383073p-15, 0x1.8785f08596619p-15, 0x1.8bc0e324f889ep-15, 0x1.8fc307093c1e2p-15, 0x1.938d17ff91b8p-15, 0x1.971fd132b8103p-15, 0x1.9a7bed3e87503p-15, 0x1.9da22641c7b8ap-15, 0x1.a09335ef67976p-15, 0x1.a34fd59d2dc46p-15, 0x1.a5d8be504d868p-15, 0x1.a82ea8c8bedb3p-15, 0x1.aa524d8ae4997p-15, 0x1.ac4464e7f585dp-15, 0x1.ae05a703ee8a9p-15, 0x1.af96cbdbbe941p-15, 0x1.b0f88b49ac774p-15, 0x1.b22b9d08b68e3p-15, 0x1.b330b8b54342p-15, 0x1.b40895cec0d13p-15, 0x1.b4b3ebb7577cap-15, 0x1.b53371b35e75ep-15, 0x1.b587dee6b4bap-15, 0x1.b5b1ea5378d94p-15, 0x1.b5b24ad5a02e7p-15, 0x1.b589b71fd08cp-15, 0x1.b538e5b5287b6p-15, 0x1.b4c08ce59c412p-15, 0x1.b42162c7a70d6p-15, 0x1.b35c1d31fa5f1p-15, 0x1.b27171b4f9298p-15, 0x1.b16215935e0b7p-15, 0x1.b02ebdbadb0a4p-15, 0x1.aed81ebbee758p-15, 0x1.ad5eecc22666p-15, 0x1.abc3db8ba7cefp-15, 0x1.aa079e61242aap-15, 0x1.a82ae80c4fce7p-15, 0x1.a62e6acf33a99p-15, 0x1.a412d85abd897p-15, 0x1.a1d8e1c6502d1p-15, 0x1.9f8137856506dp-15, 0x1.9d0c895f2609cp-15, 0x1.9a7b86649290ep-15, 0x1.97cedce713f7p-15, 0x1.95073a6eca7b9p-15, 0x1.92254bb14f9c6p-15, 0x1.8f29bc8898235p-15, 0x1.8c1537e948f8fp-15, 0x1.88e867d9cff5dp-15, 0x1.85a3f568e9584p-15, 0x1.824888a49432ap-15, 0x1.7ed6c8910567dp-15, 0x1.7b4f5b1f976a6p-15, 0x1.77b2e526bb3a3p-15, 0x1.74020a58ee434p-15, 0x1.703d6d3c81ec6p-15, 0x1.6c65af22e39bbp-15, 0x1.687b70211c041p-15, 0x1.647f4f0764a02p-15, 0x1.6071e959efc71p-15, 0x1.5c53db48e6ff1p-15, 0x1.5825bfa9a6b9cp-15, 0x1.53e82fef4083ep-15, 0x1.4f9bc423bc859p-15, 0x1.4b4112e0db776p-15, 0x1.46d8b14a3eb7fp-15, 0x1.426333070f661p-15, 0x1.3de12a3ba57a6p-15, 0x1.395327841dc07p-15, 0x1.34b9b9ee3cbf5p-15, 0x1.30156ef4bd2a2p-15, 0x1.2b66d279e12a1p-15, 0x1.26ae6ec2171c8p-15, 0x1.21eccc7030c2fp-15, 0x1.1d2272804f578p-15, 0x1.184fe64429de2p-15, 0x1.1375ab5ecba24p-15, 0x1.0e9443c0b39e7p-15, 0x1.09ac2fa49c25fp-15, 0x1.04bded8c1e867p-15, 0x1.ff93f47968ad5p-16, 0x1.f5a1a179746c2p-16, 0x1.eba5d4a1b49f5p-16, 0x1.e1a17cf4101e2p-16, 0x1.d79585e6443f1p-16, 0x1.cd82d75d88ab5p-16, 0x1.c36a55ab66e2cp-16, 0x1.b94ce18b206bfp-16, 0x1.af2b581e675b4p-16, 0x1.a50692ec080d3p-16, 0x1.9adf67dd29259p-16, 0x1.90b6a93c694cbp-16, 0x1.868d25b4fac34p-16, 0x1.7c63a8516d895p-16, 0x1.723af87c596c9p-16, 0x1.6813d9ffad7ddp-16, 0x1.5def0d04de2f1p-16, 0x1.53cd4e17b7579p-16, 0x1.49af56258578ep-16, 0x1.3f95da7f35c79p-16, 0x1.35818cdb9759ap-16, 0x1.2b731b591ef3bp-16, 0x1.216b30809dab8p-16, 0x1.176a734858d1cp-16, 0x1.0d71871674eb9p-16, 0x1.03810bc50bf93p-16, 0x1.f3333b4b27d56p-17, 0x1.df77ab09c0023p-17, 0x1.cbd0915fa8563p-17, 0x1.b83f11ee2710dp-17, 0x1.a4c44968739aap-17, 0x1.91614d9e7e53ap-17, 0x1.7e172d86da71ep-17, 0x1.6ae6f1496a6d7p-17, 0x1.57d19a4ab2291p-17, 0x1.44d82338b03abp-17, 0x1.31fb8015bf612p-17, 0x1.1f3c9e4788573p-17, 0x1.0c9c64a11fddbp-17, 0x1.f43766e5ce6cap-18, 0x1.cf76c92eae508p-18, 0x1.aaf8970100eb4p-18, 0x1.86be6a90fcf0fp-18, 0x1.62c9d17d7ec76p-18, 0x1.3f1c4ced1fd23p-18, 0x1.1bb751b01421p-18, 0x1.f13890bb5c36dp-19, 0x1.ab991ae893abbp-19, 0x1.6692e2f5fd4ccp-19, 0x1.2228723f1ca67p-19, 0x1.bcb87568a089ep-20, 0x1.36612e39ed52bp-20, 0x1.629f2d68a446p-21, 0x1.6c404aa776862p-23, -0x1.53c53063c06cbp-22, -0x1.ac30cff6fa067p-21, -0x1.55e9745459dccp-20, -0x1.d460c631c9824p-20, -0x1.28bd6e8fccd3ap-19, -0x1.669a3152a8a79p-19, -0x1.a3c514ccdcc6dp-19, -0x1.e03c96d77d46dp-19, -0x1.0dffa4b307e11p-18, -0x1.2b85e91eb768cp-18, -0x1.48b07559a9905p-18, -0x1.657eafac2bed1p-18, -0x1.81f007d990f9p-18, -0x1.9e03f6fbfc9ap-18, -0x1.b9b9ff5e49d6fp-18, -0x1.d511ac568fa77p-18, -0x1.f00a922168e4fp-18, -0x1.055226de6307dp-17, -0x1.126f42612b393p-17, -0x1.1f5c72a0a4c35p-17, -0x1.2c1992cdee8fbp-17, -0x1.38a6823031bap-17, -0x1.4503241201392p-17, -0x1.512f5fb056ffbp-17, -0x1.5d2b2025d1bcdp-17, -0x1.68f6545a31189p-17, -0x1.7490eeefb09bep-17, -0x1.7ffae6301cd78p-17, -0x1.8b3433fb5cf03p-17, -0x1.963cd5b543b32p-17, -0x1.a114cc33ede57p-17, -0x1.abbc1bad32ca6p-17, -0x1.b632cba4eb642p-17, -0x1.c078e6dc9677p-17, -0x1.ca8e7b3fad26ep-17, -0x1.d47399d35b27cp-17, -0x1.de2856a57d057p-17, -0x1.e7acc8ba7b4e1p-17, -0x1.f10109fd01522p-17, -0x1.fa25372d2afa5p-17, -0x1.018cb7e75ecffp-16, -0x1.05eeeb0c487c7p-16, -0x1.0a3947729cb3p-16, -0x1.0e6be0d094dd9p-16, -0x1.1286cc1d75d98p-16, -0x1.168a1f89a38b8p-16, -0x1.1a75f276a6c34p-16, -0x1.1e4a5d6f1fa9bp-16, -0x1.22077a1ecd159p-16, -0x1.25ad634b37716p-16, -0x1.293c34cba9a6bp-16, -0x1.2cb40b819d536p-16, -0x1.301505513d55ep-16, -0x1.335f411a25995p-16, -0x1.3692deafe7123p-16, -0x1.39affed2cbdd4p-16, -0x1.3cb6c328cdcefp-16, -0x1.3fa74e3606436p-16, -0x1.4281c3562e4ecp-16, -0x1.454646b579eb7p-16, -0x1.47f4fd499c39fp-16, -0x1.4a8e0ccb54a9fp-16, -0x1.4d119bafaab6ep-16, -0x1.4f7fd121754d1p-16, -0x1.51d8d4fab863ep-16, -0x1.541ccfbe0d675p-16, -0x1.564bea90ee9c3p-16, -0x1.58664f34f7e7dp-16, -0x1.5a6c2801e5d2dp-16, -0x1.5c5d9fdfaa2a6p-16, -0x1.5e3ae24047b4p-16, -0x1.60041b1a5455cp-16, -0x1.61b976e2de282p-16, -0x1.635b2288061e4p-16, -0x1.64e94b6b1ebd3p-16, }}, 
      {{-0x1.7bb705e3671d7p-1, -0x1.7bdcb6c945347p-1, -0x1.7c1328608bf21p-1, -0x1.7c5102a0739bbp-1, -0x1.7c8c8a5ec3b3ep-1, -0x1.7cbc9d321962bp-1, -0x1.7cd941e4f9f6ap-1, -0x1.7cdbef8d4363cp-1, -0x1.7cbfa3b26cf8ep-1, -0x1.7c80d8df54fcap-1, -0x1.7c1d69db58d03p-1, -0x1.7b946a0f9113p-1, -0x1.7ae5f8ef55633p-1, -0x1.7a13144efc965p-1, -0x1.791d6c349eb94p-1, -0x1.780739b5bda04p-1, -0x1.76d319c61e5ffp-1, -0x1.7583ec6327d0bp-1, -0x1.741cb834d206cp-1, -0x1.72a09286c7d7fp-1, -0x1.71128b59c44ap-1, -0x1.6f759d38cfbe6p-1, -0x1.6dcca0737f481p-1, -0x1.6c1a415ac04fep-1, -0x1.6a60f91ed0647p-1, -0x1.68a308f1311d4p-1, -0x1.66e2771376edap-1, -0x1.65210d830ce8dp-1, -0x1.636059f9b3a4bp-1, -0x1.61a1af0252ba5p-1, -0x1.5fe625e94fdb1p-1, -0x1.5e2ea156dff31p-1, -0x1.5c7bd06888cafp-1, -0x1.5ace32253ff07p-1, -0x1.5926192d38a77p-1, -0x1.5783af8b7b7e8p-1, -0x1.55e6fa93e3bcfp-1, -0x1.544fdebc0eb0ep-1, -0x1.52be23613cad5p-1, -0x1.5131767020214p-1, -0x1.4fa96fe6236cfp-1, -0x1.4e259525e297p-1, -0x1.4ca55c1a686c1p-1, -0x1.4b282e264db58p-1, -0x1.49ad6add1ea47p-1, -0x1.48346a867589p-1, -0x1.46bc806b19552p-1, -0x1.4544fced12b23p-1, -0x1.43cd2f6c3b583p-1, -0x1.425467f92b708p-1, -0x1.40d9f8d8bbec1p-1, -0x1.3f5d37da846e2p-1, -0x1.3ddd7f84e56b7p-1, -0x1.3c5a30193cfa8p-1, -0x1.3ad2b072f1c8bp-1, -0x1.39466ec3f7164p-1, -0x1.37b4e13167c3fp-1, -0x1.361d8652c07f3p-1, -0x1.347fe5962f12ap-1, -0x1.32db8f8c50493p-1, -0x1.31301e1d9c891p-1, -0x1.2f7d34aba4f2ap-1, -0x1.2dc280202406p-1, -0x1.2bffb6ebc679ap-1, -0x1.2a3498f671b22p-1, -0x1.2860ef82b23f5p-1, -0x1.26848d05d6b76p-1, -0x1.249f4cf62b03ap-1, -0x1.22b11390a1451p-1, -0x1.20b9cd9722ffcp-1, -0x1.1eb97008a58fdp-1, -0x1.1caff7d40c6e8p-1, -0x1.1a9d6986c61c2p-1, -0x1.1881d0f800afdp-1, -0x1.165d40f13b4dep-1, -0x1.142fd2d4ea602p-1, -0x1.11f9a643d0a26p-1, -0x1.0fbae0c19f76ap-1, -0x1.0d73ad59631bep-1, -0x1.0b243c422eaa1p-1, -0x1.08ccc284720a3p-1, -0x1.066d79a0559d8p-1, -0x1.04069f356d619p-1, -0x1.019874ac097eap-1, -0x1.fe467dc0c95e9p-2, -0x1.f94e8b9fc70b2p-2, -0x1.f449a89123437p-2, -0x1.ef386f360b848p-2, -0x1.ea1b7e9d91a42p-2, -0x1.e4f379b2b4411p-2, -0x1.dfc106afcfb46p-2, -0x1.da84ce978a6d7p-2, -0x1.d53f7cb35b113p-2, -0x1.cff1be17b2eb2p-2, -0x1.ca9c412dce71fp-2, -0x1.c53fb5432e83dp-2, -0x1.bfdcca1eb5f43p-2, -0x1.ba742f9b57a06p-2, -0x1.b50695484b5e5p-2, -0x1.af94aa0eb5198p-2, -0x1.aa1f1bdc9f551p-2, -0x1.a4a6975536294p-2, -0x1.9f2bc7861e3b7p-2, -0x1.99af55a1cd4ddp-2, -0x1.9431e8beba2d6p-2, -0x1.8eb4259b4b5d5p-2, -0x1.8936ae665571p-2, -0x1.83ba228c08186p-2, -0x1.7e3f1e87240b7p-2, -0x1.78c63bb64cf8fp-2, -0x1.735010355a016p-2, -0x1.6ddd2eba6dc32p-2, -0x1.686e2676c1bep-2, -0x1.630382fae93d8p-2, -0x1.5d9dcc1e7479cp-2, -0x1.583d85eac38fap-2, -0x1.52e33088e7e1ep-2, -0x1.4d8f48326bde8p-2, -0x1.48424524d992fp-2, -0x1.42fc9b97e4597p-2, -0x1.3dbebbb606213p-2, -0x1.3889119779001p-2, -0x1.335c053f6115p-2, -0x1.2e37fa9b0da7ap-2, -0x1.291d51832ec7cp-2, -0x1.240c65bedee08p-2, -0x1.1f058f0862c79p-2, -0x1.1a09211387372p-2, -0x1.15176b9579d5p-2, -0x1.1030ba4e0606fp-2, -0x1.0b5555121c121p-2, -0x1.06857fd78892cp-2, -0x1.01c17ac1c33aep-2, -0x1.fa13045f7db2ep-3, -0x1.f0bb9d954ea23p-3, -0x1.e77d2b2ae7171p-3, -0x1.de580ffa71dfap-3, -0x1.d54ca7d45e6bfp-3, -0x1.cc5b47a2a51cep-3, -0x1.c3843d8d16fa4p-3, -0x1.bac7d11eb0e52p-3, -0x1.b226436bb675bp-3, -0x1.a99fcf388d7bap-3, -0x1.a134a921344e4p-3, -0x1.98e4ffc1317f7p-3, -0x1.90b0fbdbf5e8p-3, -0x1.8898c085834fep-3, -0x1.809c6b4b534ccp-3, -0x1.78bc145d5eac5p-3, -0x1.70f7ceb733d23p-3, -0x1.694fa8490df7ap-3, -0x1.61c3aa20d2e89p-3, -0x1.5a53d892f1163p-3, -0x1.53003363055e6p-3, -0x1.4bc8b5ec44214p-3, -0x1.44ad57498b424p-3, -0x1.3dae0a7d217ap-3, -0x1.36cabe9808964p-3, -0x1.30035ee0e1c5fp-3, -0x1.2957d2fa59639p-3, -0x1.22c7ff0905223p-3, -0x1.1c53c3d8c7f5bp-3, -0x1.15faff0195036p-3, -0x1.0fbd8b0b9ecc8p-3, -0x1.099b3f92e8e56p-3, -0x1.0393f16a344ecp-3, -0x1.fb4ee57a879b2p-4, -0x1.efab2664dd29cp-4, -0x1.e43c40171b22bp-4, -0x1.d901c88c53aa1p-4, -0x1.cdfb5175f46cp-4, -0x1.c328687957734p-4, -0x1.b888976bd6404p-4, -0x1.ae1b648d67eb6p-4, -0x1.a3e052c1d4e19p-4, -0x1.99d6e1c85b489p-4, -0x1.8ffe8e71f6e39p-4, -0x1.8656d2d60f3e8p-4, -0x1.7cdf2685c8a51p-4, -0x1.7396febdd212cp-4, -0x1.6a7dce96bda6dp-4, -0x1.61930733eaa75p-4, -0x1.58d617f0fb42ep-4, -0x1.50466e8de074p-4, -0x1.47e377597a9d4p-4, -0x1.3fac9d5ad47e8p-4, -0x1.37a14a78fdccp-4, -0x1.2fc0e7a18754ep-4, -0x1.280adceda8782p-4, -0x1.207e91c60de75p-4, -0x1.191b6d055f15ap-4, -0x1.11e0d5197594p-4, -0x1.0ace3023543f8p-4, -0x1.03e2e415dfd77p-4, -0x1.fa3cada6befb6p-5, -0x1.ecffdc9396ed5p-5, -0x1.e00e211bdedfp-5, -0x1.d36647eace4eap-5, -0x1.c7071e5ef8afap-5, -0x1.baef72b9d42bfp-5, -0x1.af1e144d1a1dp-5, -0x1.a391d3a610032p-5, -0x1.984982b6c2212p-5, -0x1.8d43f4fd3dcefp-5, -0x1.827fffa8daa53p-5, -0x1.77fc79bd97c6fp-5, -0x1.6db83c35a809ap-5, -0x1.63b2222125953p-5, -0x1.59e908c40db6ep-5, -0x1.505bcfb2848bap-5, -0x1.470958eb7058p-5, -0x1.3df088f179eb8p-5, -0x1.351046e27ebaep-5, -0x1.2c677c8d7bba4p-5, -0x1.23f516870450fp-5, -0x1.1bb8043c4bbcap-5, -0x1.13af3804cd346p-5, -0x1.0bd9a7329f1bap-5, -0x1.04364a217fb2ap-5, -0x1.f98838893ef95p-6, -0x1.eb0438666edf1p-6, -0x1.dcde9767f094ep-6, -0x1.cf155f8eb9291p-6, -0x1.c1a6a161c2441p-6, -0x1.b49073fe705b3p-6, -0x1.a7d0f526f732cp-6, -0x1.9b66494ecb75ep-6, -0x1.8f4e9ba5432afp-6, -0x1.83881e1e60cc5p-6, -0x1.7811097a0204dp-6, -0x1.6ce79d494b5b2p-6, -0x1.620a1ff29ee9fp-6, -0x1.5776deb3ff2cap-6, -0x1.4d2c2da408ce8p-6, -0x1.432867b1918edp-6, -0x1.3969eea1e9699p-6, -0x1.2fef2b0de56c4p-6, -0x1.26b68c5db9d8cp-6, -0x1.1dbe88c3a882ep-6, -0x1.15059d35a042p-6, -0x1.0c8a4d65d319p-6, -0x1.044b23ba51267p-6, -0x1.f88d628776ba6p-7, -0x1.e8f71b6623154p-7, -0x1.d9d0ae9d5210cp-7, -0x1.cb1765cccdaf3p-7, -0x1.bcc8978e63c72p-7, -0x1.aee1a75b6aaffp-7, -0x1.a16005710945dp-7, -0x1.94412eb33161cp-7, -0x1.8782ac8e8510cp-7, -0x1.7b2214d91cafap-7, -0x1.6f1d09b263682p-7, -0x1.63713961f7c19p-7, -0x1.581c5e35b6461p-7, -0x1.4d1c3e5f0087ep-7, -0x1.426eabcf45737p-7, -0x1.38118413e09adp-7, -0x1.2e02b0316e2d3p-7, -0x1.2440247e7c843p-7, -0x1.1ac7e07dd8a56p-7, -0x1.1197eeb858dcbp-7, -0x1.08ae649651117p-7, -0x1.00096238affd5p-7, -0x1.ef4e24a3a038p-8, -0x1.df0b53fc05089p-8, -0x1.cf46d137ffffbp-8, -0x1.bffd2f4a2d72ep-8, -0x1.b12b150a874dbp-8, -0x1.a2cd3ce6746e3p-8, -0x1.94e07490b7a33p-8, -0x1.87619cb168cc2p-8, -0x1.7a4da895e1068p-8, -0x1.6da19de0d30c7p-8, -0x1.615a943a85ea4p-8, -0x1.5575b5014da04p-8, -0x1.49f03afa52ddbp-8, -0x1.3ec7720295466p-8, -0x1.33f8b6c065ea4p-8, -0x1.2981765537958p-8, -0x1.1f5f2e0ffe1e4p-8, -0x1.158f6b20035acp-8, -0x1.0c0fca4840aap-8, -0x1.02ddf79348522p-8, -0x1.f3ef5c0fb764cp-9, -0x1.e2b56ebc51dddp-9, -0x1.d209d76b3b06bp-9, -0x1.c1e86296ff1bbp-9, -0x1.b24cf86461aa2p-9, -0x1.a3339c1289d25p-9, -0x1.94986b6ca9674p-9, -0x1.86779e3d37b0fp-9, -0x1.78cd85c2b87f6p-9, -0x1.6b968c26570e1p-9, -0x1.5ecf33f3ec913p-9, -0x1.5274179427228p-9, -0x1.4681e8c81fb96p-9, -0x1.3af57026a85cap-9, -0x1.2fcb8c9b919bdp-9, -0x1.250132e8a3c1p-9, -0x1.1a936d288d0ap-9, -0x1.107f5a538c0b4p-9, -0x1.06c22dc5ceed6p-9, -0x1.fab25d8fbd8ap-10, -0x1.e8837031aed29p-10, -0x1.d6f26ef4dd323p-10, -0x1.c5fa5a7e393fep-10, -0x1.b59657b35a88cp-10, -0x1.a5c1aede0ab46p-10, -0x1.9677cad356815p-10, -0x1.87b4381e58654p-10, -0x1.7972a42f0f005p-10, -0x1.6baedc8c56558p-10, -0x1.5e64ce09ebb63p-10, -0x1.5190840203e9p-10, -0x1.452e279288f04p-10, -0x1.3939fede03f02p-10, -0x1.2db06c508567p-10, -0x1.228dede74f554p-10, -0x1.17cf1c7c91fb2p-10, -0x1.0d70ab16bad13p-10, -0x1.036f663afd206p-10, -0x1.f3906687a2133p-11, -0x1.e0f01f74d42abp-11, -0x1.cef8216740f05p-11, -0x1.bda2c460dd6b5p-11, -0x1.acea8d030dfeap-11, -0x1.9cca2b5cb2bb4p-11, -0x1.8d3c79bf3f2a3p-11, -0x1.7e3c7b994fa99p-11, -0x1.6fc55c57b568ap-11, -0x1.61d26e4d551c5p-11, -0x1.545f29a0c915ap-11, -0x1.47672b401ddd1p-11, -0x1.3ae633db3a1f8p-11, -0x1.2ed826e39182ep-11, -0x1.233909913754fp-11, -0x1.180501eef7bcdp-11, -0x1.0d3855eafd546p-11, -0x1.02cf6a6daaba2p-11, -0x1.f18d84ebc70bcp-12, -0x1.de35fc75c680bp-12, -0x1.cb91b4a550629p-12, -0x1.b99a5dbc78b43p-12, -0x1.a849dd761a004p-12, -0x1.979a4d7251d58p-12, -0x1.8785f9ad67643p-12, -0x1.78075f00bf042p-12, -0x1.691929ab80809p-12, -0x1.5ab633e6d21cfp-12, -0x1.4cd9848220e52p-12, -0x1.3f7e4d88adf0bp-12, -0x1.329feaeff7a8ep-12, -0x1.2639e14f9e0c4p-12, -0x1.1a47dca11531bp-12, -0x1.0ec5af070683dp-12, -0x1.03af4f9e246bep-12, -0x1.f201b2ab01249p-13, -0x1.dd6d139db39aep-13, -0x1.c999808cd5b38p-13, -0x1.b67ff9063d46p-13, -0x1.a419bb9a28e3ap-13, -0x1.926043d6bf0eap-13, -0x1.814d4853e462fp-13, -0x1.70dab8ca8afe4p-13, -0x1.6102bc3b3e064p-13, -0x1.51bfaf215b608p-13, -0x1.430c21b35eb06p-13, -0x1.34e2d62f87a98p-13, -0x1.273ebf34bb488p-13, -0x1.1a1afe280221p-13, -0x1.0d72e1a569668p-13, -0x1.0141e3fca1a88p-13, -0x1.eb07537358a72p-14, -0x1.d468006ebd6aap-14, -0x1.be9db879bae44p-14, -0x1.a9a0b14b65809p-14, -0x1.95696a27ec738p-14, -0x1.81f0a95b2ebd4p-14, -0x1.6f2f79c24bfcdp-14, -0x1.5d1f286c2b2e4p-14, -0x1.4bb9424bdb7adp-14, -0x1.3af791fbc67a9p-14, -0x1.2ad41d9280014p-14, -0x1.1b492488ab17ep-14, -0x1.0c511db0a9b94p-14, -0x1.fbcd6a7cf8d11p-15, -0x1.e00995bce6dd2p-15, -0x1.c54cdfb7360fcp-15, -0x1.ab8dcaac931afp-15, -0x1.92c3350fe3be2p-15, -0x1.7ae4562a780b1p-15, -0x1.63e8badc6ec25p-15, -0x1.4dc842798c2fbp-15, -0x1.387b1bbeb88cfp-15, -0x1.23f9c1e0c300cp-15, -0x1.103cf9b56d5adp-15, -0x1.fa7b9de7cf5f8p-16, -0x1.d5eb2316278cfp-16, -0x1.b2bba61fe2725p-16, -0x1.90e0c8868a71ap-16, -0x1.704ea553642d1p-16, -0x1.50f9cc77d0bd6p-16, -0x1.32d73e531ed9dp-16, -0x1.15dc6761b76bp-16, -0x1.f3fe381b8abdep-17, -0x1.be6b2953655f1p-17, -0x1.8aecd31354516p-17, -0x1.59711e91e8f2dp-17, -0x1.29e6a64f244cp-17, -0x1.f8795e323905fp-18, -0x1.a0c642a1ea63dp-18, -0x1.4c9504e6e7f2dp-18, -0x1.f78fbb34682bep-19, -0x1.5c844e0137cb5p-19, -0x1.8fa14520de0dap-20, -0x1.c9fd767672a56p-22, 0x1.3d865d2f7f6c3p-21, 0x1.a4889d1a995bdp-20, 0x1.4f97be95fdb2p-19, 0x1.c7896af6a5a42p-19, 0x1.1d2292ed1ef92p-18, 0x1.53fa90e4fa919p-18, 0x1.8861015bd1e3cp-18, 0x1.ba69775896445p-18, 0x1.ea26cecac55ep-18, 0x1.0bd59a15dab8bp-17, 0x1.218415e88569fp-17, 0x1.36274c7ec98e4p-17, 0x1.49c7624a187bdp-17, 0x1.5c6c31d2ae521p-17, 0x1.6e1d4ed3fb9b5p-17, 0x1.7ee2093299446p-17, 0x1.8ec16fe610cf7p-17, 0x1.9dc253b41eb46p-17, 0x1.abeb49d71b96cp-17, 0x1.b942ae85b0012p-17, 0x1.c5cea7601e3dp-17, 0x1.d19525c463a97p-17, 0x1.dc9be9096570ep-17, 0x1.e6e880a67d645p-17, 0x1.f0804e3a7736bp-17, 0x1.f96887800f89ep-17, 0x1.00d31c18c934p-16, 0x1.049f21ead2ef6p-16, 0x1.081ab3b992263p-16, 0x1.0b481d9c7606ap-16, 0x1.0e299a077421cp-16, 0x1.10c15288eca22p-16, 0x1.131160850bc2p-16, 0x1.151bcde364092p-16, 0x1.16e295b5f9998p-16, 0x1.1867a4d947a5fp-16, 0x1.19acda8dc5607p-16, 0x1.1ab40908fcc97p-16, 0x1.1b7ef5ff452f8p-16, 0x1.1c0f5b2a87a48p-16, 0x1.1c66e6c819616p-16, 0x1.1c873c0d9734cp-16, 0x1.1c71f3a04e80fp-16, 0x1.1c289bfee40d5p-16, 0x1.1bacb9ea5ae04p-16, 0x1.1affc8c967eddp-16, 0x1.1a233b05dd49bp-16, 0x1.19187a65fabfdp-16, 0x1.17e0e86137bccp-16, 0x1.167dde7272ae6p-16, 0x1.14f0ae63be1fbp-16, 0x1.133aa29729602p-16, 0x1.115cfe4b47a7fp-16, 0x1.0f58fddd83bebp-16, 0x1.0d2fd708ae0ffp-16, 0x1.0ae2b92008e9p-16, 0x1.0872cd473427cp-16, 0x1.05e136a6fed6p-16, 0x1.032f129f28103p-16, 0x1.005d78f722ff9p-16, 0x1.fadaf814e7b34p-17, 0x1.f4c051e9fe5d4p-17, 0x1.ee6d0f71144a6p-17, 0x1.e7e336c8b40dp-17, 0x1.e124c471ad784p-17, 0x1.da33ab955b864p-17, 0x1.d311d6455f9f9p-17, 0x1.cbc125b743badp-17, 0x1.c443728283dacp-17, 0x1.bc9a8cced5c42p-17, 0x1.b4c83c8d3fb63p-17, 0x1.acce41aa1fef2p-17, 0x1.a4ae5436faaa4p-17, 0x1.9c6a249644d8bp-17, 0x1.94035ba45b646p-17, 0x1.8b7b9adedb661p-17, 0x1.82d47c89a728dp-17, 0x1.7a0f93ce2770fp-17, 0x1.712e6ce0058ecp-17, 0x1.68328d1a68b66p-17, 0x1.5f1d73184efb7p-17, 0x1.55f096d57649fp-17, 0x1.4cad69c707f61p-17, 0x1.435556f2b6d2dp-17, 0x1.39e9c3054b4c4p-17, 0x1.306c0c6908e2p-17, 0x1.26dd8b5c80954p-17, 0x1.1d3f920478a2ep-17, 0x1.13936c7dbe0c8p-17, 0x1.09da60f1ebbdep-17, 0x1.0015afa742d13p-17, 0x1.ec8d261bd172dp-18, 0x1.d8dc7fa6a26e4p-18, 0x1.c51bc9dea0898p-18, 0x1.b14d5765e4859p-18, 0x1.9d736fa773521p-18, 0x1.89904ef5362b2p-18, 0x1.75a626a2bbd0fp-18, 0x1.61b71d1fa5dffp-18, 0x1.4dc54e05f67ebp-18, 0x1.39d2ca3aa97fcp-18, 0x1.25e1980093b35p-18, 0x1.11f3b30bd12efp-18, 0x1.fc16193602d13p-19, 0x1.d4531715da3f5p-19, 0x1.aca218d6e35d5p-19, 0x1.8506c3221b62p-19, 0x1.5d84a652c2cbfp-19, 0x1.361f3e9ed0ebep-19, 0x1.0ed9f44adb507p-19, 0x1.cf703780e65d8p-20, 0x1.8179eb7490072p-20, 0x1.33d75edadfa9cp-20, 0x1.cd1d8aa99424cp-21, 0x1.334c58109cdecp-21, 0x1.348de7fc20348p-22, 0x1.0c705e8f8bce6p-28, -0x1.2a6554f37397ep-22, -0x1.2b90c0ff04d9dp-21, -0x1.c0f6c01db833ap-21, -0x1.2aad273540ba6p-20, -0x1.7458ad86f525dp-20, -0x1.bd790ea0f30dap-20, -0x1.0304c4ec6e7b4p-19, -0x1.2702c0f1dce89p-19, -0x1.4ab43e49cea56p-19, -0x1.6e17113e33135p-19, -0x1.91291f4a5b394p-19, -0x1.b3e85efc179a9p-19, -0x1.d652d7c0617c4p-19, -0x1.f866a1bd49403p-19, -0x1.0d10f2d4f598ap-18, -0x1.1dc16e50b8563p-18, -0x1.2e43e7f720c63p-18, -0x1.3e978c72fa125p-18, -0x1.4ebb905e4981dp-18, -0x1.5eaf302a842afp-18, -0x1.6e71b00ae15c2p-18, -0x1.7e025bdf79171p-18, -0x1.8d608719aaf63p-18, -0x1.9c8b8ca7789b1p-18, -0x1.ab82cedd8ad94p-18, -0x1.ba45b75c94cf3p-18, -0x1.c8d3b6fc5be5ep-18, -0x1.d72c45b41c7d2p-18, -0x1.e54ee2809e48p-18, -0x1.f33b134c10104p-18, -0x1.0078326b1e6a1p-17, -0x1.0737354f682dp-17, -0x1.0dda5f6462622p-17, -0x1.146181029593ep-17, -0x1.1acc6dbd4b4e4p-17, -0x1.211afc54a80f9p-17, -0x1.274d06aabbd88p-17, -0x1.2d6269b71b068p-17, -0x1.335b05797a42dp-17, -0x1.3936bcedfb81ap-17, -0x1.3ef5760130c99p-17, -0x1.449719827fa43p-17, -0x1.4a1b9317ea89ap-17, -0x1.4f82d131a0a6fp-17, -0x1.54ccc4fe5fe83p-17, -0x1.59f9625ddf2eap-17, -0x1.5f089fd4a3fcbp-17, -0x1.63fa7680310cbp-17, -0x1.68cee209d038bp-17, -0x1.6d85e099d697ap-17, -0x1.721f72ccbfdc7p-17, -0x1.769b9ba56f0aep-17, -0x1.7afa6080fb7ep-17, -0x1.7f3bc90b773fap-17, -0x1.835fdf328353cp-17, -0x1.8766af199b91p-17, -0x1.8b50470d77908p-17, -0x1.8f1cb7787a8dap-17, -0x1.92cc12d6e9a06p-17, -0x1.965e6daa27355p-17, -0x1.99d3de6cf35ep-17, -0x1.9d2c7d8875e51p-17, -0x1.a0686547360a1p-17, -0x1.a387b1c9d551ap-17, -0x1.a68a80fc2520ap-17, -0x1.a970f288c1521p-17, -0x1.ac3b27cd44ffep-17, -0x1.aee943d01161ap-17, -0x1.b17b6b343a871p-17, -0x1.b3f1c42e8ffadp-17, -0x1.b64c767a366d7p-17, -0x1.b88bab4da923bp-17, -0x1.baaf8d5083b65p-17, -0x1.bcb8488fdf35ep-17, -0x1.bea60a736aa7fp-17, -0x1.c07901b3c7c65p-17, -0x1.c2315e4fc04f4p-17, -0x1.c3cf51809ed5dp-17, -0x1.c5530db20f2d3p-17, -0x1.c6bcc67627f5ep-17, -0x1.c80cb07bd7378p-17, -0x1.c9430184c4a0ep-17, -0x1.ca5ff05c32dd7p-17, -0x1.cb63b4ccdaa09p-17, -0x1.cc4e87972ee54p-17, -0x1.cd20a267a9d35p-17, -0x1.cdda3fce01abp-17, -0x1.ce7b9b33a5392p-17, -0x1.cf04f0d24b074p-17, -0x1.cf767daaeb31p-17, -0x1.cfd07f7e20127p-17, -0x1.d01334c21862p-17, -0x1.d03edc99b67ecp-17, -0x1.d053b6cdcd9cep-17, -0x1.d05203c2fb60dp-17, -0x1.d03a0471d4ab3p-17, -0x1.d00bfa5ed46d8p-17, -0x1.cfc82792bae73p-17, -0x1.cf6ece92fb4c2p-17, -0x1.cf0032594fce7p-17, -0x1.ce7c964c1bbdp-17, -0x1.cde43e36fd32p-17, -0x1.cd376e43d20b5p-17, -0x1.cc766af2fea7ep-17, -0x1.cba179142ad1dp-17, -0x1.cab8ddc066f23p-17, -0x1.c9bcde52cab72p-17, -0x1.c8adc0608ad1bp-17, -0x1.c78bc9b458552p-17, -0x1.c6574046ce5dap-17, -0x1.c5106a37cef2p-17, -0x1.c3b78dc87fdd7p-17, -0x1.c24cf15513a71p-17, -0x1.c0d0db506cadap-17, -0x1.bf43923c7f468p-17, -0x1.bda55ca514078p-17, -0x1.bbf6811a1b185p-17, -0x1.ba37462a12404p-17, -0x1.b867f25cef8a5p-17, -0x1.b688cc2e7a5a6p-17, -0x1.b49a1a0990dbep-17, -0x1.b29c2243c277ep-17, -0x1.b08f2b17624c4p-17, -0x1.ae737a9e50aa6p-17, -0x1.ac4956cf6428ep-17, -0x1.aa110577e63a2p-17, -0x1.a7cacc379c99cp-17, -0x1.a576f07c94c2cp-17, -0x1.a315b77e29f4ap-17, -0x1.a0a7663bc6b51p-17, -0x1.9e2c4175f9a2dp-17, -0x1.9ba48dab5880dp-17, -0x1.99108f14fe5fbp-17, -0x1.967089a27838dp-17, -0x1.93c4c0f65e79dp-17, -0x1.910d7862dd448p-17, -0x1.8e4af2e63f913p-17, -0x1.8b7d7328e9ce8p-17, -0x1.88a53b784bba7p-17, -0x1.85c28dc4733f1p-17, -0x1.82d5ab9d61579p-17, -0x1.7fded630e21a2p-17, -0x1.7cde4e45b553cp-17, -0x1.79d4543a7e281p-17, -0x1.76c12801e4fe6p-17, -0x1.73a509217b9a2p-17, -0x1.708036afed0d7p-17, -0x1.6d52ef5082914p-17, -0x1.6a1d713217772p-17, -0x1.66dffa0c69bb9p-17, -0x1.639ac71e6e004p-17, -0x1.604e152c00acap-17, -0x1.5cfa207c52688p-17, -0x1.599f24d7e59dcp-17, -0x1.563d5d87da53fp-17, -0x1.52d5055270ac8p-17, -0x1.4f66567a006f2p-17, -0x1.4bf18abc3656cp-17, -0x1.4876db50bca46p-17, -0x1.44f680e669647p-17, -0x1.4170b3a2b9453p-17, -0x1.3de5ab20a468p-17, -0x1.3a559e6f3b22ap-17, -0x1.36c0c4124b961p-17, -0x1.332751ff197d7p-17, -0x1.2f897d9bf4663p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      48, 0x1.4p+2, 0x1.3683c039e3dd9p+1, 0x1.23c33653761bbp+2, 0x1.f2213e1eca4p-10, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.684d0d97a5efbp-3, -0x1.b04e5332504bfp-2, 0x1.062eaab8004e7p-1, -0x1.e7e131f43b49dp-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.3fa1985983a9bp-3, -0x1.7db2f4c296dbcp-2, 0x1.e7c60b4a7c2aap-2, -0x1.e7eb973282cdep-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.1bd6d61653532p-3, -0x1.4ec05aeb029c8p-2, 0x1.c32df98d18c18p-2, -0x1.e7a87cbf0ed5dp-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.f91e360e1dbb7p-4, -0x1.23764f3b0e977p-2, 0x1.9e9af031f7a4cp-2, -0x1.e7783f924029ep-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c2d98a63167dap-4, -0x1.f7a8c5f06adb9p-3, 0x1.7a0b8506ffa1cp-2, -0x1.e5705f301faf4p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.94249721b2314p-4, -0x1.afb0e97cd1914p-3, 0x1.55a3177cfd413p-2, -0x1.e25047ee61122p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.6c4505a1bb854p-4, -0x1.6efb22c4f7f72p-3, 0x1.3176abb182c65p-2, -0x1.db79c96cc0ea5p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.4a81dd5b7edcep-4, -0x1.357450a95274bp-3, 0x1.0dcd8962f44e3p-2, -0x1.d1c27642a0c0ap-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.2e24b84cb0304p-4, -0x1.02fcaa8d12294p-3, 0x1.d5bde76f1d4cbp-3, -0x1.c2adb753b55fdp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.167b1452e44c4p-4, -0x1.aec9284903be5p-4, 0x1.9223d8bc287e6p-3, -0x1.ae8f35d59a4bbp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.02d83477be94p-4, -0x1.64d0efaa6d518p-4, 0x1.518e5d75b7bf8p-3, -0x1.95df659a8d4f4p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.e52e1bb56f20bp-5, -0x1.27649d37c3026p-4, 0x1.14acdb04ef5a3p-3, -0x1.781afe4302a27p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.ca3831a24e464p-5, -0x1.eb662d040a31dp-5, 0x1.b884d028f7835p-4, -0x1.57f284f02ad1bp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.b3ae1fb7b149p-5, -0x1.9d9d20f8cfbcdp-5, 0x1.5155a84751117p-4, -0x1.348b67f1f2df7p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.a088297b7cd08p-5, -0x1.63673831ce7dbp-5, 0x1.e98adefd76d0bp-5, -0x1.1066896f6f1aap-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8fd970e3afea4p-5, -0x1.3a9ef7f048806p-5, 0x1.461a262100f31p-5, -0x1.d57bfaab55b7dp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.80d0f36fe7996p-5, -0x1.210d92c40869bp-5, 0x1.728382a801ac5p-6, -0x1.8b6c5032e5d79p-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.72ba545ebf922p-5, -0x1.14756c27ea7f2p-5, 0x1.0a850b7955ec9p-7, -0x1.41507082bdeaap-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.64fdbccc1fa91p-5, -0x1.129d8aff29eaep-5, -0x1.dc3abaf49e47ap-9, -0x1.f564042ae17dep-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.571f9110d7872p-5, -0x1.195a2e1dd07p-5, -0x1.a3e44ad6e20f9p-7, -0x1.6d0a92b86faf7p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.48bf64c65ca16p-5, -0x1.26965de34a208p-5, -0x1.3f75516f9289dp-6, -0x1.de30a2a48851cp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3996cc314794ap-5, -0x1.385a7ebac3e28p-5, -0x1.872fd03b73c9p-6, -0x1.e8dd0434efd39p-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.2977950b29505p-5, -0x1.4cd45711ad531p-5, -0x1.abd9fd5905c5ep-6, -0x1.1763c05fc1ba6p-9}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.1849e4d890c4ep-5, -0x1.625a5dc95f80ep-5, -0x1.b1170f5ad167dp-6, 0x1.219d9432c840ap-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0609e7599dee4p-5, -0x1.7776e7657fad8p-5, -0x1.9b5e710a35963p-6, 0x1.4faf0dd1e8cf5p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e58b61ffe6925p-6, -0x1.8ac62b658ac3cp-5, -0x1.69042ef785dd4p-6, 0x1.0aef3f4ca7a94p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.bd3b32ff942ddp-6, -0x1.9ad2aa11fbb85p-5, -0x1.18ef9bfa205dep-6, 0x1.6b0b3118f2e4bp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9389918cb6a24p-6, -0x1.a62599d2247a2p-5, -0x1.580bb4187bcafp-7, 0x1.d4ff1cf14fbc5p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.69028794e9b34p-6, -0x1.ab3b05256cbbdp-5, -0x1.f52eaf70c60bep-10, 0x1.fdfd724265d17p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.3e56050945fd6p-6, -0x1.a8f8c8ff5bf2fp-5, 0x1.e6b143a6af0f7p-8, 0x1.e6ba2166afdeap-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.1443c331f2846p-6, -0x1.9f3cda761b008p-5, 0x1.0bb0f4887a1fap-6, 0x1.d732f98790ca4p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.d70e50036c78bp-7, -0x1.8e51b40b109bcp-5, 0x1.990d0c312591cp-6, 0x1.cc6b5ef485c17p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.89aae40c9634cp-7, -0x1.7669d87b40ed7p-5, 0x1.1196a123a6d8ep-5, 0x1.9150ce1dadf79p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.41b8ad27c36ccp-7, -0x1.580b74e6d36b2p-5, 0x1.4dc92674e7575p-5, 0x1.2534000e0f67p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.00659b479303fp-7, -0x1.34779774a14a1p-5, 0x1.79c4267703403p-5, 0x1.7fc92852e0d7cp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.8d2776cc63e6fp-8, -0x1.0d40579e2d8fdp-5, 0x1.968cd64a07504p-5, 0x1.6b2512ead584bp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.29ace7b8c5331p-8, -0x1.c7d4b2b4fd55ep-6, 0x1.a42b06ffa2857p-5, -0x1.89b098014c003p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.adc6a7742355ap-9, -0x1.742a940280fbcp-6, 0x1.a07a2bf939024p-5, -0x1.38d49f51b170cp-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.29417710bc577p-9, -0x1.2337941708319p-6, 0x1.8903d3397ee6bp-5, -0x1.199f8df5fe583p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.87da3b305b85ap-10, -0x1.b1ad4b262023ep-7, 0x1.5ec57dee3259ap-5, -0x1.a77d1e8d203f1p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.e97fb8a8bba97p-11, -0x1.3212b0bbb87d1p-7, 0x1.1f3f8625d3ea1p-5, -0x1.ca1dcf5b1813ep-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.1eef6e2e687ebp-11, -0x1.99d5a14f48e14p-8, 0x1.b50fb47d2098bp-6, -0x1.81bbdda68a462p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.35c2d2dac6bf9p-12, -0x1.02276b8881946p-8, 0x1.41575864c3ea9p-6, -0x1.495386680a34p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.2ac43474fc89fp-13, -0x1.2ac1111ece0dap-9, 0x1.bd162cf181b68p-7, -0x1.0cd1c95702e31p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.e97fb8a8bbadep-15, -0x1.31f4a97ccea21p-10, 0x1.1bcb80f07ffbcp-7, -0x1.a178123415652p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.35c2d2dac6ce1p-16, -0x1.0208371eea1c6p-11, 0x1.3d1bc3c1bfefp-8, -0x1.2e1f76beba8c4p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.e97fb8a8bc4p-19, -0x1.336b56efb7ep-13, 0x1.0fab5f6b6cc9bp-9, -0x1.4d469b1dd8d76p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.e97fb8a8c0fffp-23, -0x1.05c3cae33d474p-16, 0x1.1ed0d632ddf2p-11, -0x1.be11c51f90a7bp-7}, 
      }}, 
      0x1.a3c90fb5e0e3dp-3, -0x1.4386826f186b3p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.cb8411e6557a1p+0, -0x1.bab5658646a75p+0, -0x1.a03717c51dcadp+0, -0x1.7defa1e27f065p+0, -0x1.5601e98ef71e7p+0, -0x1.2a8f9a87295ffp+0, -0x1.fb1f03ba9b484p-1, -0x1.a1699afe54d63p-1, -0x1.4ac6c0831fae6p-1, -0x1.f2b6b8c8261b4p-2, -0x1.5d6415d226e51p-2, -0x1.af2d787a97281p-3, -0x1.898f39aaf6aa6p-4, 0x1.e16c733bd9bc3p-10, 0x1.55fb74f4116bp-4, 0x1.325cf63eb5593p-3, 0x1.9bfb5c36eebfp-3, 0x1.ea63028122459p-3, 0x1.102f906d68f9cp-2, 0x1.206b6b9870001p-2, 0x1.2758072ab1921p-2, 0x1.265cbc59c7208p-2, 0x1.1ecd582a63927p-2, 0x1.11e4bb84b3ce3p-2, 0x1.00c19774ccf91p-2, 0x1.d8c9b667763b9p-3, 0x1.ab62dbbe37779p-3, 0x1.7ad9b2425a6dfp-3, 0x1.4881479358ae1p-3, 0x1.15783b33a659ep-3, 0x1.c559b32551e6cp-4, 0x1.61c30ecb827eep-4, 0x1.0162973f4c76bp-4, 0x1.4a516370c8d9cp-5, 0x1.3723ec187446p-6, -0x1.0f4dfcb2dd64p-10, -0x1.425b76c78d74p-6, -0x1.2e2bb8d2c2863p-5, -0x1.af54c5dd06ae8p-5, -0x1.125d007bdeb18p-4, -0x1.47497b27b266cp-4, -0x1.769a5d86776f2p-4, -0x1.a0852f6c50586p-4, -0x1.c5474b8acdcd4p-4, -0x1.e52342941f5c4p-4, -0x1.002f5e33b5f58p-3, -0x1.0ba063d38802ep-3, -0x1.1508443b2d21dp-3, -0x1.1c8a1be9f1ebdp-3, -0x1.224832ec06308p-3, -0x1.2663b965b0663p-3, -0x1.28fc9a1d77b31p-3, -0x1.2a315e416b05ep-3, -0x1.2a1f1eae08c83p-3, -0x1.28e17f4dcb12p-3, -0x1.2692b1ed0132p-3, -0x1.234b7e46e4d63p-3, -0x1.1f234d924720ep-3, -0x1.1a30382b1bae2p-3, -0x1.1487145eb36cfp-3, -0x1.0e3b8575045e1p-3, -0x1.07600a9a38c57p-3, -0x1.00060d2914376p-3, -0x1.f07bdc0fe1d7ap-4, -0x1.e02e244bd8667p-4, -0x1.cf3fdb8340eafp-4, -0x1.bdcc1daeb8bd5p-4, -0x1.abec4cf29753cp-4, -0x1.99b822f058ddbp-4, -0x1.8745c055fbe1fp-4, -0x1.74a9bbdbe840fp-4, -0x1.61f72ff4962c2p-4, -0x1.4f3fc83eaac8dp-4, -0x1.3c93ce9103539p-4, -0x1.2a0237b1cff89p-4, -0x1.1798b0139b77dp-4, -0x1.0563a8bacd4a5p-4, -0x1.e6dcc7a8d5354p-5, -0x1.c386037d3ea68p-5, -0x1.a0d51bea3685cp-5, -0x1.7eda184e3ae11p-5, -0x1.5da30a6fb912dp-5, -0x1.3d3c28eaa657ep-5, -0x1.1dafe91bd71c7p-5, -0x1.fe0e32c92a3a9p-6, -0x1.c291f5356b6d1p-6, -0x1.88f6b3993de1ep-6, -0x1.5145520e492p-6, -0x1.1b842fe56dce6p-6, -0x1.cf6eafca65cacp-7, -0x1.6bc15b84fd0a1p-7, -0x1.0c003a9c3219ep-7, -0x1.604f0d764dbp-8, -0x1.60c0d69183e9ep-9, -0x1.0410ee51506d4p-13, 0x1.3113eb53ef194p-9, 0x1.31bd22eecd49ap-8, 0x1.c39b5292752e3p-8, 0x1.272540041766bp-7, 0x1.68f9f3f077d98p-7, 0x1.a761c10a8182cp-7, 0x1.e273ce85e6ef1p-7, 0x1.0d241fc444de7p-6, 0x1.277bfd30fa3dep-6, 0x1.404e44cf99a48p-6, 0x1.57a7f5915af09p-6, 0x1.6d96359518978p-6, 0x1.822646b01028fp-6, 0x1.95656fe3b3b4ap-6, 0x1.a760f40bf0ae4p-6, 0x1.b8260759a1912p-6, 0x1.c7c1bd2490edbp-6, 0x1.d6410522f696ep-6, 0x1.e3b0a18d2316p-6, 0x1.f01d19afb31ddp-6, 0x1.fb92baa9897dep-6, 0x1.030ec82aea81dp-5, 0x1.07e4ad16e390dp-5, 0x1.0c50c76e2d84cp-5, 0x1.1058ac11f97fap-5, 0x1.1401c4b83c096p-5, 0x1.1751520f71c8dp-5, 0x1.1a4c6bf721376p-5, 0x1.1cf7fcee475d6p-5, 0x1.1f58c3f0f1292p-5, 0x1.217356c1505c5p-5, 0x1.234c1e6d537b7p-5, 0x1.24e75748a65b6p-5, 0x1.264914f09d377p-5, 0x1.2775411c22c9ap-5, 0x1.286f9967bd92bp-5, 0x1.293bb2e9a9fccp-5, 0x1.29dcfc6cba46bp-5, 0x1.2a56bbd630162p-5, 0x1.2aac0ebe29b1cp-5, 0x1.2adfeeb6590c5p-5, 0x1.2af53183bb71ap-5, 0x1.2aee86ff0eb94p-5, 0x1.2ace7b672aaf4p-5, 0x1.2a977b0f183a7p-5, 0x1.2a4bd1afaadaep-5, 0x1.29eda907a03a3p-5, 0x1.297f0bb231a62p-5, 0x1.2901e8472c20bp-5, 0x1.2878109081aaap-5, 0x1.27e33880377cp-5, 0x1.2744f8d4e5d48p-5, 0x1.269ed2077f65ep-5, 0x1.25f22bf56a0ap-5, 0x1.254054ac87bb9p-5, 0x1.248a82543ab13p-5, 0x1.23d1d62588468p-5, 0x1.23175d175339ep-5, 0x1.225c0e605c3a8p-5, 0x1.21a0cc380f9a1p-5, 0x1.20e666f17d562p-5, 0x1.202d9e1a401e9p-5, 0x1.1f771fa503e99p-5, 0x1.1ec387bb547bdp-5, 0x1.1e1362c55884fp-5, 0x1.1d672f69ca931p-5, 0x1.1cbf5ea57c10fp-5, 0x1.1c1c530bbde76p-5, 0x1.1b7e616e2dcbbp-5, 0x1.1ae5d2df82f13p-5, 0x1.1a52e5ef0f47dp-5, 0x1.19c5ce6961071p-5, 0x1.193eb4e34e899p-5, 0x1.18bdb7a0d1238p-5, 0x1.1842ec42de5f1p-5, 0x1.17ce60a22f2bfp-5, 0x1.17601a920dae1p-5, 0x1.16f817906dc02p-5, 0x1.16964d8d39cfp-5, 0x1.163aac4762b64p-5, 0x1.15e51e0bffd7ap-5, 0x1.1595879d729aap-5, 0x1.154bc7e8b46c1p-5, 0x1.1507b87ed55fdp-5, 0x1.14c92ea9c05eap-5, 0x1.148ffc2c5d7e1p-5, 0x1.145bef5e3adb9p-5, 0x1.142cd2eb28076p-5, 0x1.14026defabff5p-5, 0x1.13dc84b8f7535p-5, 0x1.13bad983b94b7p-5, 0x1.139d2ccd0b687p-5, 0x1.13833d3c6bcc9p-5, 0x1.136cc77ff2846p-5, 0x1.1359869d4f537p-5, 0x1.1349349339448p-5, 0x1.133b8acca82fp-5, 0x1.13304245262fcp-5, 0x1.1327136dfcb98p-5, 0x1.131fb61e97495p-5, 0x1.1319e1e250ebep-5, 0x1.13154e6d05298p-5, 0x1.1311b3e5516f8p-5, 0x1.130ecafbd750fp-5, 0x1.130c4cd711378p-5, 0x1.1309f3045d46dp-5, 0x1.130777abaa547p-5, 0x1.130495e17c88ep-5, 0x1.130109dc27ed3p-5, 0x1.12fc91089decfp-5, 0x1.12f6ea00b6274p-5, 0x1.12efd476d3a0bp-5, 0x1.12e711490f92ep-5, 0x1.12dc62b7c7dcep-5, 0x1.12cf8c8f30e02p-5, 0x1.12c0543a57262p-5, 0x1.12ae80c46fbdap-5, 0x1.1299dac7a64f7p-5, 0x1.12822c6433c4p-5, 0x1.12674158f40afp-5, 0x1.1248e7247bb03p-5, 0x1.1226ed1614fffp-5, 0x1.1201245348324p-5, 0x1.11d75fd2bc18fp-5, 0x1.11a9744bf6a05p-5, 0x1.1177383081d02p-5, 0x1.114083bb9b633p-5, 0x1.110531034f1f6p-5, 0x1.10c51bfdaf22fp-5, 0x1.1080228072c8ap-5, 0x1.1036243ac214cp-5, 0x1.0fe702a6b9464p-5, 0x1.0f92a0ff0a2d9p-5, 0x1.0f38e443c9de4p-5, 0x1.0ed9b34276655p-5, 0x1.0e74f695f4ac7p-5, 0x1.0e0a98a240beap-5, 0x1.0d9a858e522fdp-5, 0x1.0d24ab38cff57p-5, 0x1.0ca8f92a83926p-5, 0x1.0c27609102e1bp-5, 0x1.0b9fd440564cbp-5, 0x1.0b1248b1366f1p-5, 0x1.0a7eb3fa8cec7p-5, 0x1.09e50dca1df21p-5, 0x1.09454f5c1ddffp-5, 0x1.089f736f45647p-5, 0x1.07f37638d4b43p-5, 0x1.0741555e849dp-5, 0x1.06890ff38834fp-5, 0x1.05caa672876cfp-5, 0x1.05061ab5015b7p-5, 0x1.043b6feaa5613p-5, 0x1.036aaa906adcbp-5, 0x1.0293d065ad27ep-5, 0x1.01b6e8609be23p-5, 0x1.00d3faa60d789p-5, 0x1.ffd621078a066p-6, 0x1.fdf868d27decdp-6, 0x1.fc0ee3bd3631bp-6, 0x1.fa19aaf6cf063p-6, 0x1.f818d9bba29c5p-6, 0x1.f60c8d42607cap-6, 0x1.f3f4e4a6d189fp-6, 0x1.f1d200d647285p-6, 0x1.efa40480a5117p-6, 0x1.ed6b1409fc1e9p-6, 0x1.eb275579c2457p-6, 0x1.e8d8f068b768p-6, 0x1.e6800def64f36p-6, 0x1.e41cd89542dd4p-6, 0x1.e1af7c3f0ba1fp-6, 0x1.df38261bdcc01p-6, 0x1.dcb70493bec93p-6, 0x1.da2c4738c39e9p-6, 0x1.d7981eb87ca38p-6, 0x1.d4fabccc2f5ap-6, 0x1.d254542876ed3p-6, 0x1.cfa5186d52ceap-6, 0x1.cced3e16d9485p-6, 0x1.ca2cfa6deac37p-6, 0x1.c76483784af36p-6, 0x1.c4940fe919005p-6, 0x1.c1bbd712d7635p-6, 0x1.bedc10da4a62bp-6, 0x1.bbf4f5a8f355cp-6, 0x1.b906be5f1d6e2p-6, 0x1.b611a446048a5p-6, 0x1.b315e1029f49cp-6, 0x1.b013ae88e392p-6, 0x1.ad0b470f27ed7p-6, 0x1.a9fce50159496p-6, 0x1.a6e8c2f4b0c69p-6, 0x1.a3cf1b9c5ae67p-6, 0x1.a0b029be84c1dp-6, 0x1.9d8c282949951p-6, 0x1.9a6351a79aaa9p-6, 0x1.9735e0f668b78p-6, 0x1.940410ba5237p-6, 0x1.90ce1b75d1239p-6, 0x1.8d943b7fab8acp-6, 0x1.8a56aaf97e294p-6, 0x1.8715a3c659538p-6, 0x1.83d15f823c3b4p-6, 0x1.808a177979b0ep-6, 0x1.7d4004a0eb12cp-6, 0x1.79f35f8d89d53p-6, 0x1.76a4606ce81bfp-6, 0x1.73533efd91674p-6, 0x1.700032882235cp-6, 0x1.6cab71d8995a6p-6, 0x1.69553337f1cd9p-6, 0x1.65fdac65ccacep-6, 0x1.62a512927060ep-6, 0x1.5f4b9a591746cp-6, 0x1.5bf177ba9ec21p-6, 0x1.5896de18640b4p-6, 0x1.553c002f491b3p-6, 0x1.51e1101300a89p-6, 0x1.4e863f298897p-6, 0x1.4b2bbe26f552ep-6, 0x1.47d1bd097bcdep-6, 0x1.44786b15c341ep-6, 0x1.411ff6d3661a5p-6, 0x1.3dc88e09d073cp-6, 0x1.3a725dbd7a16cp-6, 0x1.371d922d818e9p-6, 0x1.33ca56d169ba9p-6, 0x1.3078d656f7bebp-6, 0x1.2d293a9fe8d77p-6, 0x1.29dbacbfa4a93p-6, 0x1.269054f8dd43dp-6, 0x1.23475abb741c7p-6, 0x1.2000e4a27d493p-6, 0x1.1cbd187323375p-6, 0x1.197c1b1c041d9p-6, 0x1.163e10b553c36p-6, 0x1.13031c817a893p-6, 0x1.0fcb60ede17a8p-6, 0x1.0c96ff936939ep-6, 0x1.096619367d012p-6, 0x1.0638cdc490ddbp-6, 0x1.030f3c567cc05p-6, 0x1.ffd30650cc7a9p-7, 0x1.f98f7f3e12126p-7, 0x1.f3541c853cacp-7, 0x1.ed2115839e5adp-7, 0x1.e6f69fe80b4c9p-7, 0x1.e0d4efba1e55ap-7, 0x1.dabc376288e4dp-7, 0x1.d4aca7b281c8cp-7, 0x1.cea66fe8b502p-7, 0x1.c8a9bdb2be591p-7, 0x1.c2b6bd2b3f99ep-7, 0x1.bccd98d5cae5ep-7, 0x1.b6ee799a56cdep-7, 0x1.b11986c28b4cdp-7, 0x1.ab4ee5fa7cf5cp-7, 0x1.a58ebb55cca09p-7, 0x1.9fd92958c63f6p-7, 0x1.9a2e51041d9dbp-7, 0x1.948e51e13c14cp-7, 0x1.8ef94a0d015eap-7, 0x1.896f563f7a22ap-7, 0x1.83f091d0284d2p-7, 0x1.7e7d16b7536cdp-7, 0x1.7914fd8de6ebbp-7, 0x1.73b85d8d8e34ap-7, 0x1.6e674c923d5bep-7, 0x1.6921df1d7c23ap-7, 0x1.63e8285adb5d6p-7, 0x1.5eba3a224c74bp-7, 0x1.5998250421bbep-7, 0x1.5481f836c84ebp-7, 0x1.4f77c1a840b59p-7, 0x1.4a798df459fdfp-7, 0x1.4587686a428d9p-7, 0x1.40a15b17a1c45p-7, 0x1.3bc76edd2fba9p-7, 0x1.36f9ab8c39bb6p-7, 0x1.323818091e971p-7, 0x1.2d82ba6bd70f6p-7, 0x1.28d99815b6ae9p-7, 0x1.243cb5b437fe5p-7, 0x1.1fac172ba6822p-7, 0x1.1b27bf6a0f4ecp-7, 0x1.16afb0299e65cp-7, 0x1.1243e9afe75fbp-7, 0x1.0de46a9bcae37p-7, 0x1.09912fd3c8ac6p-7, 0x1.054a34a211e05p-7, 0x1.010f7302c58e5p-7, 0x1.f9c1c8399961bp-8, 0x1.f17d01a3a1165p-8, 0x1.e95084905e5ebp-8, 0x1.e13c449c079c1p-8, 0x1.d94036efcc096p-8, 0x1.d15c51d32bcf8p-8, 0x1.c9908b8fa7a7fp-8, 0x1.c1dcd8ceb4232p-8, 0x1.ba412abe158dap-8, 0x1.b2bd6d604a88fp-8, 0x1.ab51867221ca6p-8, 0x1.a3fd553c5dfe7p-8, 0x1.9cc0b37ea90c4p-8, 0x1.959b7768c12bp-8, 0x1.8e8d765a40835p-8, 0x1.879687ed0c667p-8, 0x1.80b688afb5347p-8, 0x1.79ed5bf474606p-8, 0x1.733aec39de7c4p-8, 0x1.6c9f29f132217p-8, 0x1.661a08b80bba5p-8, 0x1.5fab7b701b658p-8, 0x1.59536fe65cdcfp-8, 0x1.5311cae242917p-8, 0x1.4ce66572b1f6dp-8, 0x1.46d10c1ff521dp-8, 0x1.40d18055e19aap-8, 0x1.3ae77bee10099p-8, 0x1.3512b645ae069p-8, 0x1.2f52ea4ff1495p-8, 0x1.29a7dc162c56bp-8, 0x1.24115cf3f7cecp-8, 0x1.1e8f4d52a2b0cp-8, 0x1.19219c1c967dap-8, 0x1.13c842f2319a3p-8, 0x1.0e834019f838ep-8, 0x1.09528f4baf037p-8, 0x1.043622681555ap-8, 0x1.fe5bb70e6c927p-9, 0x1.f4731303f96b7p-9, 0x1.eab1cf5918104p-9, 0x1.e11741ccbf189p-9, 0x1.d7a2ab1d79731p-9, 0x1.ce5346d60bbe5p-9, 0x1.c5285c6bef111p-9, 0x1.bc214eda72f19p-9, 0x1.b33da8146c6abp-9, 0x1.aa7d1e40f5c1ep-9, 0x1.a1df91ad9b907p-9, 0x1.99650393eb2e8p-9, 0x1.910d871274fccp-9, 0x1.88d92ed15cd04p-9, 0x1.80c7fa7898656p-9, 0x1.78d9c732a8949p-9, 0x1.710e45e5ce966p-9, 0x1.6964f8b46d031p-9, 0x1.61dd37fb343b9p-9, 0x1.5a763dba4d302p-9, 0x1.532f35605b533p-9, 0x1.4c074d64e4fddp-9, 0x1.44fdc7c63c2d1p-9, 0x1.3e1208f4a5474p-9, 0x1.37439d5bb48f5p-9, 0x1.30923e619d991p-9, 0x1.29fdcca05930dp-9, 0x1.238646272e837p-9, 0x1.1d2bb84a6fc76p-9, 0x1.16ee2f8b873b8p-9, 0x1.10cda825acb71p-9, 0x1.0aca01b22ab1p-9, 0x1.04e2f7c8a2edcp-9, 0x1.fe304123db723p-10, 0x1.f2d1e25f4639p-10, 0x1.e7a98dc5cbdb9p-10, 0x1.dcb5e65daabeap-10, 0x1.d1f591a8eb9ebp-10, 0x1.c7674ee15b3b7p-10, 0x1.bd0a079342db1p-10, 0x1.b2dcd724dd4d1p-10, 0x1.a8df092d3baeap-10, 0x1.9f1010f97a9d5p-10, 0x1.956f7e2b83bf3p-10, 0x1.8bfcf215062d9p-10, 0x1.82b8178315501p-10, 0x1.79a09c508e45ap-10, 0x1.70b62ac9a797dp-10, 0x1.67f861711482ap-10, 0x1.5f66c9ab386b6p-10, 0x1.5700d00209775p-10, 0x1.4ec5c1d300be5p-10, 0x1.46b4d3724746ap-10, 0x1.3ecd2eee04b33p-10, 0x1.370e077f8ecbbp-10, 0x1.2f76aa325f609p-10, 0x1.2806839f94712p-10, 0x1.20bd1616587f7p-10, 0x1.1999e253330aep-10, 0x1.129c4c10a6f9p-10, 0x1.0bc3877d463f4p-10, 0x1.050e9a57f3462p-10, 0x1.fcf8e6ac4d2c5p-11, 0x1.f0181ffbd5187p-11, 0x1.e37942e2c16d9p-11, 0x1.d71b3fef95586p-11, 0x1.cafd88741f62bp-11, 0x1.bf1fd28d924b6p-11, 0x1.b381cbab2f597p-11, 0x1.a822e0075b5d9p-11, 0x1.9d023353874b6p-11, 0x1.921eccc590abfp-11, 0x1.8777dc57327e2p-11, 0x1.7d0cf03becfb8p-11, 0x1.72ddf8402373cp-11, 0x1.68eb0c7443be6p-11, 0x1.5f3408caad22bp-11, 0x1.55b823acff952p-11, 0x1.4c75aa9bcb0cep-11, 0x1.436a04c641776p-11, 0x1.3a920497c575cp-11, 0x1.31ea752ebf83ap-11, 0x1.2970b736d686fp-11, 0x1.2123334368fccp-11, 0x1.190171089f197p-11, 0x1.110bc6a7bcad1p-11, 0x1.0942c5368107fp-11, 0x1.01a6ab65de858p-11, 0x1.f46e45c81041ap-12, 0x1.e5e6c1b225a08p-12, 0x1.d7b5153c75967p-12, 0x1.c9d83fb059823p-12, 0x1.bc505f8f358f1p-12, 0x1.af1e7e203e595p-12, 0x1.a243d60a7a095p-12, 0x1.95c0ea7868e3fp-12, 0x1.8994cd959654bp-12, 0x1.7dbccd691a3e3p-12, 0x1.72348d4ffe68cp-12, 0x1.66f67e6fca393p-12, 0x1.5bfcab05367bbp-12, 0x1.5141bb0a7525ap-12, 0x1.46c1ef6b89b16p-12, 0x1.3c7bad89c0e52p-12, 0x1.326f4a42931dp-12, 0x1.289e2008660b5p-12, 0x1.1f0965fea25fp-12, 0x1.15b15e8c154e5p-12, 0x1.0c95328544893p-12, 0x1.03b36b584df0cp-12, 0x1.f615737adb158p-13, 0x1.e5352d6bcecd3p-13, 0x1.d4c6b989defdap-13, 0x1.c4cb9c027ea9ap-13, 0x1.b544c414b4af7p-13, 0x1.a63195e8fbbb5p-13, 0x1.978fbaa5f4e77p-13, 0x1.895b77c629c4ep-13, 0x1.7b9018cb69b6dp-13, 0x1.6e282f4ac89d4p-13, 0x1.611dca06901f7p-13, 0x1.546add05f77f6p-13, 0x1.4809e356685cap-13, 0x1.3bf693c0099d1p-13, 0x1.302e68b7363acp-13, 0x1.24b0b373c0dfcp-13, 0x1.197e1b50514d9p-13, 0x1.0e97a55bddf11p-13, 0x1.03fd9a00b6826p-13, 0x1.f35e09710c14ap-14, 0x1.df54bce1a6329p-14, 0x1.cbdd3e1e2015fp-14, 0x1.b8f6b94df95adp-14, 0x1.a6a0390538d9ep-14, 0x1.94d7f58cb677ep-14, 0x1.839b7f13850a2p-14, 0x1.72e796a88ce43p-14, 0x1.62b808acde1edp-14, 0x1.53085debebdfp-14, 0x1.43d4ccd9d646bp-14, 0x1.351a536b51defp-14, 0x1.26d5fa9fbb58ep-14, 0x1.1903f8a703c96p-14, 0x1.0b9f0fc759a74p-14, 0x1.fd417074e830bp-15, 0x1.e405e42ce4837p-15, 0x1.cb853f381da7fp-15, 0x1.b3bee835c4156p-15, 0x1.9cb1f19510ec7p-15, 0x1.86583c1748e4ap-15, 0x1.70a9f331ca5bp-15, 0x1.5ba604bc7789ep-15, 0x1.4752a6d05b592p-15, 0x1.33b31aa30a8dbp-15, 0x1.20c0a395022dap-15, 0x1.0e6fc36e3aa05p-15, 0x1.f97311356d146p-16, 0x1.d739f97e1aaacp-16, 0x1.b631eac210154p-16, 0x1.9650205528ed5p-16, 0x1.7786761d2188fp-16, 0x1.59cc26e8127d8p-16, 0x1.3d1feda895b68p-16, 0x1.218313351e491p-16, 0x1.06f2e52d153a6p-16, 0x1.dac69b341e5f2p-17, 0x1.a977ffc673245p-17, 0x1.79c5f2b3f9a1ep-17, 0x1.4ba9da3e29932p-17, 0x1.1f52d14634a6p-17, 0x1.e9c4e3a5b9d1ep-18, 0x1.98678c0b2cd52p-18, 0x1.4a021da712c0cp-18, 0x1.fc9f64b0017ffp-19, 0x1.6aceee9d58421p-19, 0x1.bdb80a0659e57p-20, 0x1.63561c049281cp-21, -0x1.3ce29b0dd31fcp-22, -0x1.4612e9f245143p-20, -0x1.19b36d57d2bd8p-19, -0x1.8b64c69bf441cp-19, -0x1.f7f2ed0f9e791p-19, -0x1.2fccd2b2735a6p-18, -0x1.61614d669df09p-18, -0x1.90d7ad917f0ecp-18, -0x1.be3242c1fd24p-18, -0x1.e966685889981p-18, -0x1.09381bd7440e9p-17, -0x1.1caceecfa8e44p-17, -0x1.2f2719add1563p-17, -0x1.40d45931c2c4ap-17, -0x1.51d023ddb35b4p-17, -0x1.61f9ab8f6994ep-17, -0x1.713174de03e3bp-17, -0x1.7f904d2421d4dp-17, -0x1.8d2821de029b4p-17, -0x1.99ddf306f150ap-17, -0x1.a5adb0cb3c88p-17, -0x1.b0c7295603751p-17, -0x1.bb5aa1e6e99bep-17, -0x1.c5680deb641a5p-17, -0x1.ced231cc42e3p-17, -0x1.d798248a84002p-17, -0x1.dfd4a2b9d2604p-17, -0x1.e7895cfa0debfp-17, -0x1.eea4037738429p-17, -0x1.f5226690cc434p-17, -0x1.fb197f32abb2ep-17, -0x1.004ce1205592dp-16, -0x1.02d3d4432e17ap-16, -0x1.0520b759d7c0ep-16, -0x1.07335f3d599e8p-16, -0x1.090c959a71ca8p-16, -0x1.0aaaf0b85e317p-16, -0x1.0c112726317b8p-16, -0x1.0d4d48a6fa026p-16, -0x1.0e6164d2c065dp-16, -0x1.0f4602441140dp-16, -0x1.100739326dd9dp-16, -0x1.10a64ecd32051p-16, -0x1.1113d4848c13ap-16, -0x1.1150f53e7c5cap-16, -0x1.1166911e66807p-16, -0x1.11574beef0d0cp-16, -0x1.11224c58e1653p-16, -0x1.10cc33a3942afp-16, -0x1.105efabc4864fp-16, -0x1.0fd97237f22f7p-16, -0x1.0f358dbd5fcfbp-16, -0x1.0e7b1d9b69ca5p-16, -0x1.0dac15841dde7p-16, -0x1.0cbddf084cb51p-16, -0x1.0bb0c375961dbp-16, -0x1.0a8d25a787049p-16, -0x1.0957b7002fc96p-16, -0x1.08110a4c6b796p-16, -0x1.06b8a636a372fp-16, -0x1.054f41688c439p-16, -0x1.03d55f9b9f1f5p-16, -0x1.0245c5a98125p-16, -0x1.009d7a6cdde98p-16, -0x1.fdd1cafa01087p-17, -0x1.fa578922e1665p-17, -0x1.f6d1ea427cbap-17, -0x1.f33935c97bbc1p-17, -0x1.ef77605d4a712p-17, -0x1.eb99c009e152fp-17, -0x1.e7ad6f47b11f9p-17, -0x1.e3b3c197b3ca1p-17, -0x1.dfab65c0b8438p-17, -0x1.db9405a026fb6p-17, -0x1.d76e46de71ac4p-17, -0x1.d3384137a3cb3p-17, -0x1.ceeaabd8d6536p-17, -0x1.ca8861f575b01p-17, -0x1.c622112961cc9p-17, -0x1.c1b98e6b246f3p-17, -0x1.bd52ee7e33347p-17, -0x1.b8e4ff11067b7p-17, -0x1.b4625fab26f9ep-17, -0x1.afd5d7e7a7f07p-17, -0x1.ab48d24fa25f6p-17, -0x1.a6bc2326a5c5ap-17, -0x1.a22e59de7df04p-17, -0x1.9d9f9ca5dbe1cp-17, -0x1.99111ab37dbfep-17, -0x1.947c228819f44p-17, -0x1.8fd680f6da2d7p-17, -0x1.8b32aafb1bed8p-17, -0x1.869e4a2338bdap-17, -0x1.8211b06f2b1ep-17, -0x1.7d794cb067b2fp-17, -0x1.78defe3a0964p-17, -0x1.744b32536b63ap-17, -0x1.6fbce2edc051dp-17, -0x1.6b328ca25d252p-17, -0x1.66abd218d1e48p-17, -0x1.62290fa40cb4ep-17, -0x1.5daafb49968c4p-17, -0x1.593253a72e69cp-17, -0x1.54bfb72790559p-17, -0x1.5053efb6afaabp-17, -0x1.4bef85dd08066p-17, -0x1.478e92bd42f26p-17, -0x1.4329f52fafc9ap-17, -0x1.3ecadedbc13bp-17, -0x1.3a7ce59c87c5dp-17, -0x1.363c065106e49p-17, -0x1.31fa9d0318129p-17, -0x1.2dbd3298cd2afp-17, -0x1.298aa11fa23f7p-17, -0x1.2562663fd1f87p-17, -0x1.2142f23bc7876p-17, -0x1.1d2c5997300a1p-17, -0x1.191f230930596p-17, -0x1.151558cdc492dp-17, -0x1.110fb172982f2p-17, -0x1.0d1d2957fd253p-17, -0x1.0932ad6125a02p-17, -0x1.054ab8cb8b682p-17, -0x1.016da17d93ba7p-17, -0x1.fb36f1528cccep-18, -0x1.f3a5e820c68ecp-18, -0x1.ec2758cfe1abfp-18, -0x1.e4bb32612f391p-18, -0x1.dd61859170cd1p-18, -0x1.d61a5d53d6387p-18, -0x1.cee5c250876fbp-18, -0x1.c7c3cef5f27fap-18, -0x1.c0b4bf39a916ep-18, -0x1.b9b8e73ba26ecp-18, -0x1.b2d084b2a8ac1p-18, -0x1.abfb887fc6163p-18, -0x1.a5398c0ced51bp-18, -0x1.9e8c63582bfdp-18, -0x1.97f1617dc7c13p-18, -0x1.916345a5a39a6p-18, -0x1.8ae4d3f75db8fp-18, -0x1.8483bd8a78d0ep-18, -0x1.7e3238aacec44p-18, -0x1.77ef1092d872ap-18, -0x1.71c0d1bf38f31p-18, -0x1.6ba5f935e3f8ep-18, -0x1.659dc83136842p-18, -0x1.5fa995dcdc444p-18, -0x1.59c4e27be800ep-18, -0x1.53f18138d23a6p-18, -0x1.4e32d111b54cap-18, -0x1.488181fd3061dp-18, -0x1.42e3c796524bcp-18, -0x1.3d58c6ddd37c6p-18, -0x1.37df4687971f2p-18, -0x1.3276f04f7f008p-18, -0x1.2d1fa710738c1p-18, -0x1.27d952869d353p-18, -0x1.22a3d70709755p-18, -0x1.1d7f156501362p-18, -0x1.186aeb71628e9p-18, -0x1.1367340b99d5bp-18, -0x1.0e73c74725c25p-18, -0x1.09907bacb959cp-18, -0x1.04bd28f7008a8p-18, -0x1.fff34feaf98a3p-19, -0x1.f6853d86fa6fbp-19, -0x1.ed4365f7be68bp-19, -0x1.e419f07710972p-19, -0x1.db0ee25432225p-19, -0x1.d221be0ae6cb6p-19, -0x1.c9527a93347b8p-19, -0x1.c0a1cf6352a2dp-19, -0x1.b80e101fcf7f9p-19, -0x1.af95a00177207p-19, -0x1.a73a9a76afeecp-19, -0x1.9ef9f12219dfcp-19, -0x1.96d6192e735f3p-19, -0x1.8eceed2184707p-19, -0x1.86e3dd366177p-19, -0x1.7f12bc8f28c21p-19, -0x1.775b644eaa365p-19, -0x1.6fbe39b266593p-19, -0x1.683be2b98be03p-19, -0x1.60d359d17ef5ap-19, -0x1.5984229540b02p-19, -0x1.524df0a94a0b9p-19, -0x1.4b307b3b60d67p-19, -0x1.442b77f70c49cp-19, -0x1.3d3e9b9f255a7p-19, -0x1.36699aae89d89p-19, -0x1.2fac2978dd0e3p-19, -0x1.2905fc75f5746p-19, -0x1.2276c83a918bp-19, -0x1.1bfe41bc381a5p-19, -0x1.159c1e74de267p-19, -0x1.0f501493dc58p-19, -0x1.0919db2824be1p-19, -0x1.02f92b0b0773p-19, -0x1.f9db7ebe14242p-20, -0x1.edeeaa154613bp-20, -0x1.e22b50fe248bfp-20, -0x1.d690e6b35be15p-20, -0x1.cb1ed86d1c961p-20, -0x1.bfd49258f2267p-20, -0x1.b4b18b3bd6d34p-20, -0x1.a9b5540105e82p-20, -0x1.9edf8936620e1p-20, -0x1.942f7c4f8f2ebp-20, -0x1.89a408efb751cp-20, -0x1.7f3dc39616d06p-20, -0x1.74fd1f34f35dep-20, -0x1.6adf0ada25fccp-20, -0x1.60e4ae8ddb3f9p-20, -0x1.570e52ea438a7p-20, -0x1.4d594cc1e7105p-20, -0x1.43c60ec5c7611p-20, -0x1.3a5477487c316p-20, -0x1.31040f2a63347p-20, -0x1.27d45e7565255p-20, -0x1.1ec4f2df70c7dp-20, -0x1.15d55df872974p-20, -0x1.0d0533f9f4932p-20, -0x1.04540b33f9ff1p-20, -0x1.f782f7471fc19p-21, -0x1.e69a3d7f23a7cp-21, -0x1.d5ed2051bbb8dp-21, -0x1.c57ad84e7ad4cp-21, -0x1.b542a39699ec2p-21, -0x1.a543c0ed00f83p-21, -0x1.957d730b1cbaep-21, -0x1.85ef00da1062ap-21, -0x1.7697b9898eafbp-21, -0x1.6776c4c0788e1p-21, -0x1.588adaf5abf47p-21, -0x1.49d3b86729057p-21, -0x1.3b53d3c451307p-21, -0x1.2d05dc48fc196p-21, -0x1.1eeae33dfedb3p-21, -0x1.1102572e3d468p-21, -0x1.034b861da30a9p-21, -0x1.eb8b82c702af6p-22, -0x1.d0e0eae101004p-22, -0x1.b6966ab883eadp-22, -0x1.9cab0e5de18b5p-22, -0x1.831dad569d29ep-22, -0x1.69eafb9fd3e3cp-22, -0x1.510f6158dd4f1p-22, -0x1.389202bb7304bp-22, -0x1.207052d81c5fbp-22, -0x1.08a88c3f75df7p-22, -0x1.e266f6545b669p-23, -0x1.b42736c267906p-23, -0x1.86919143f6f9bp-23, -0x1.59a3d24caa7a1p-23, -0x1.2d5bc5fdcae4bp-23, -0x1.01b75a851e83bp-23, -0x1.ad6926b89540cp-24, -0x1.58a2ff4fc4cbap-24, -0x1.0514e3c285585p-24, -0x1.658b5e588cc44p-25, -0x1.869ef94bf46e4p-26, -0x1.1ba456538fb9bp-28, 0x1.e82dede20b404p-27, 0x1.15373f5ed2c97p-25, 0x1.ae1685e3ae815p-25, 0x1.22585d80add2p-24, 0x1.6c85a09d69f7p-24, 0x1.b5962db98fa3ep-24, 0x1.fd8ddee631da2p-24, 0x1.2237d8706eedbp-23, 0x1.451f1462f353p-23, 0x1.677e2b72d8681p-23, 0x1.8956be054994dp-23, 0x1.aaaa5684e8891p-23, 0x1.cb7a6dd020095p-23, 0x1.ebc876a84ea35p-23, 0x1.05caef9e2bc25p-22, 0x1.1571ff5700689p-22, 0x1.24da07e0618d8p-22, 0x1.3403b5f86d7e1p-22, 0x1.42efbdc1f1519p-22, 0x1.519ef473c7d37p-22, 0x1.6012c5fbe82e2p-22, 0x1.6e49552270776p-22, 0x1.7c45522c38801p-22, 0x1.8a072df64563bp-22, 0x1.978f1e81a3484p-22, 0x1.a4ddd3d8c2833p-22, 0x1.b1f445e861ca7p-22, 0x1.bed31d8af9d62p-22, 0x1.cb792d3c5293bp-22, 0x1.d7e8dc596cfecp-22, 0x1.e422858b5eb98p-22, 0x1.f0266bd2747a1p-22, 0x1.fbf51c14303cdp-22, 0x1.03c792d7df2d7p-21, 0x1.097a8a0652d9dp-21, }}, 
      {{-0x1.cc8da0bf2a305p+0, -0x1.bea40dfab2e5fp+0, -0x1.a853bc97162cbp+0, -0x1.8ac03d20047ebp+0, -0x1.674187aefe625p+0, -0x1.3f4284344d98p+0, -0x1.1427cb33fe541p+0, -0x1.ce7c39a4e4c72p-1, -0x1.735ea075ce762p-1, -0x1.18f8d0adee3f8p-1, -0x1.81ee318e95f37p-2, -0x1.b2c6396086f1bp-3, -0x1.d313f7c644b42p-5, 0x1.664301695f83cp-4, 0x1.c2e3a3337d122p-3, 0x1.5ca82d6bbd1f7p-2, 0x1.caf6227dd1ddcp-2, 0x1.1634359a47c07p-1, 0x1.40a397de9e9a6p-1, 0x1.65045426fee4cp-1, 0x1.83a2b867c27b5p-1, 0x1.9cd7435d957p-1, 0x1.b1026d2c3e103p-1, 0x1.c08929c47fc22p-1, 0x1.cbd212d48378bp-1, 0x1.d34325ec7e5c3p-1, 0x1.d740031cf4facp-1, 0x1.d828999e6ca3ep-1, 0x1.d6583085cd082p-1, 0x1.d224bbd89a1afp-1, 0x1.cbde70d2967eep-1, 0x1.c3cf8cfc144f5p-1, 0x1.ba3c45e9acddap-1, 0x1.af62d98f1f335p-1, 0x1.a37bb752be008p-1, 0x1.96b9bb8b10f02p-1, 0x1.894a78530f049p-1, 0x1.7b56877ee696bp-1, 0x1.6d01e22e66b43p-1, 0x1.5e6c3abf7e011p-1, 0x1.4fb157069b186p-1, 0x1.40e968e0d6c0cp-1, 0x1.322963a96c70cp-1, 0x1.23834db586d2p-1, 0x1.15068d145454dp-1, 0x1.06c02f0a78465p-1, 0x1.f176544280075p-2, 0x1.d601357984393p-2, 0x1.bb2ff48ff40aep-2, 0x1.a10ea2535424bp-2, 0x1.87a6c79027b1dp-2, 0x1.6effb5d1215fdp-2, 0x1.571ecf93ec579p-2, 0x1.4007c88278f8fp-2, 0x1.29bcde72f1e92p-2, 0x1.143f0bdc7504fp-2, 0x1.ff1c68d0ccf87p-3, 0x1.d752988163157p-3, 0x1.b11cf56c0495ep-3, 0x1.8c767175a985dp-3, 0x1.6958d7621edd1p-3, 0x1.47bcf9f084528p-3, 0x1.279add3c3e7f5p-3, 0x1.08e9db12d60d9p-3, 0x1.d74185ac80537p-4, 0x1.9f6beb0f04526p-4, 0x1.6a3efcba2b7a1p-4, 0x1.37a650daed68dp-4, 0x1.078d233d52ac7p-4, 0x1.b3bcedc9e1e1ep-5, 0x1.5d0a664433493p-5, 0x1.0ad87af5a6c8ep-5, 0x1.79fa4093ac305p-6, 0x1.cd3a6c6e46d16p-7, 0x1.6d1d1bbc91fb5p-8, -0x1.42c7dfe7f8cacp-9, -0x1.492759eaba659p-7, -0x1.19b7658968f09p-6, -0x1.88111921a74f3p-6, -0x1.efebf61a54773p-6, -0x1.28c8a58f594a9p-5, -0x1.56a4390a35e38p-5, -0x1.81ab5f7e3b04fp-5, -0x1.a9ffb9b7b0d06p-5, -0x1.cfc1da667dd71p-5, -0x1.f31143054a17p-5, -0x1.0a06311a916fep-4, -0x1.1968499c8ff5dp-4, -0x1.27bd0f73d5a5fp-4, -0x1.35121e9c04df5p-4, -0x1.41748c02168a5p-4, -0x1.4cf0e73ee3603p-4, -0x1.57933ca80135p-4, -0x1.616717b1fd3a2p-4, -0x1.6a77859e98f86p-4, -0x1.72cf184bd3834p-4, -0x1.7a77e946c195dp-4, -0x1.817b9d07c1047p-4, -0x1.87e366399874fp-4, -0x1.8db8092e825dcp-4, -0x1.9301df5d34c1fp-4, -0x1.97c8daeb994aap-4, -0x1.9c148a44b318bp-4, -0x1.9fec1ba4f5de3p-4, -0x1.a35660b962ccap-4, -0x1.a659d226f49bdp-4, -0x1.a8fc930bf869ep-4, -0x1.ab447483646e7p-4, -0x1.ad36f9043367ep-4, -0x1.aed957c3162c6p-4, -0x1.b0307ffbc8cb8p-4, -0x1.b1411c187a6dcp-4, -0x1.b20f94df9ccafp-4, -0x1.b2a01479fedcfp-4, -0x1.b2f68954685cbp-4, -0x1.b316a90e76c77p-4, -0x1.b303f332dde1ap-4, -0x1.b2c1b3d6600f1p-4, -0x1.b2530637c784p-4, -0x1.b1bad73464e2bp-4, -0x1.b0fbe79755eb1p-4, -0x1.b018ce733c6bbp-4, -0x1.af13fb4e69187p-4, -0x1.adefb82a91b9dp-4, -0x1.acae2b91f8a96p-4, -0x1.ab515a88d8192p-4, -0x1.a9db2a4e7e0ccp-4, -0x1.a84d6220e8ad7p-4, -0x1.a6a9acf62c6afp-4, -0x1.a4f19b033830ep-4, -0x1.a326a3393845ep-4, -0x1.a14a24c49a1abp-4, -0x1.9f5d686997db7p-4, -0x1.9d61a1c234c24p-4, -0x1.9b57f0809d8dbp-4, -0x1.994161a593931p-4, -0x1.971ef0931a4b4p-4, -0x1.94f18813473b9p-4, -0x1.92ba036103e6cp-4, -0x1.90792f20332f6p-4, -0x1.8e2fca386bdd3p-4, -0x1.8bde86aa4289ap-4, -0x1.89860a67119d8p-4, -0x1.8726f01597ba4p-4, -0x1.84c1c7c0c5258p-4, -0x1.82571782f0f4fp-4, -0x1.7fe75c3171cd2p-4, -0x1.7d7309fb254b1p-4, -0x1.7afa8cf325d86p-4, -0x1.787e4996731e6p-4, -0x1.75fe9d54aec7ap-4, -0x1.737bdf0f98779p-4, -0x1.70f65f88f4ccbp-4, -0x1.6e6e69c9102aep-4, -0x1.6be443898fd9ep-4, -0x1.69582d9b3189fp-4, -0x1.66ca643f2b5f5p-4, -0x1.643b1f75e8e5dp-4, -0x1.61aa934dd3a07p-4, -0x1.5f18f03367636p-4, -0x1.5c86633adf42ep-4, -0x1.59f3165e27592p-4, -0x1.575f30b5fa582p-4, -0x1.54cad6b4db53dp-4, -0x1.52362a62a8f3dp-4, -0x1.4fa14b8fa6498p-4, -0x1.4d0c57ff546bcp-4, -0x1.4a776b9144931p-4, -0x1.47e2a06c91f9p-4, -0x1.454e0f2a27806p-4, -0x1.42b9cef82fff9p-4, -0x1.4025f5b75a3c9p-4, -0x1.3d929816da17fp-4, -0x1.3affc9b2f4faep-4, -0x1.386d9d32bc387p-4, -0x1.35dc24607463ep-4, -0x1.334b703d0de29p-4, -0x1.30bb911230a13p-4, -0x1.2e2c96865f77cp-4, -0x1.2b9e8fb169a94p-4, -0x1.29118b2d5dd3ap-4, -0x1.268597231d4e6p-4, -0x1.23fac154c345cp-4, -0x1.2171172a3d061p-4, -0x1.1ee8a5bdf9ad7p-4, -0x1.1c6179e90e89p-4, -0x1.19dba04adcbd2p-4, -0x1.1757254f52564p-4, -0x1.14d41534bece2p-4, -0x1.12527c12f73ap-4, -0x1.0fd265e2d5f37p-4, -0x1.0d53de83d8946p-4, -0x1.0ad6f1bf9a4e9p-4, -0x1.085bab4bdae36p-4, -0x1.05e216ccce716p-4, -0x1.036a3fd8cf8f8p-4, -0x1.00f431fbe162p-4, -0x1.fcfff173af4aep-5, -0x1.f81b3f1e1dbe9p-5, -0x1.f33a63e05df0bp-5, -0x1.ee5d76944dadep-5, -0x1.e9848e069b861p-5, -0x1.e4afc0f91eb18p-5, -0x1.dfdf262339ee8p-5, -0x1.db12d4307fe2dp-5, -0x1.d64ae1bde9917p-5, -0x1.d1876556e12f7p-5, -0x1.ccc875740c851p-5, -0x1.c80e287aef563p-5, -0x1.c35894bc87abdp-5, -0x1.bea7d0727b7e2p-5, -0x1.b9fbf1bbc4e41p-5, -0x1.b5550e985b4e8p-5, -0x1.b0b33ce5e9374p-5, -0x1.ac16925d716c6p-5, -0x1.a77f24916fd9bp-5, -0x1.a2ed08eae0d94p-5, -0x1.9e6054a5c7637p-5, -0x1.99d91cccf6a8p-5, -0x1.955776359b9e8p-5, -0x1.90db757c4ff33p-5, -0x1.8c652f02a10efp-5, -0x1.87f4b6ec3ba5cp-5, -0x1.838a211c24fcap-5, -0x1.7f258130fef49p-5, -0x1.7ac6ea814d7cdp-5, -0x1.766e701810d11p-5, -0x1.721c24b1aa4edp-5, -0x1.6dd01ab975156p-5, -0x1.698a64476b507p-5, -0x1.654b131d7ecf6p-5, -0x1.611238a4e9844p-5, -0x1.5cdfe5eb7b8cbp-5, -0x1.58b42ba0deacdp-5, -0x1.548f1a13a8e17p-5, -0x1.5070c12f69769p-5, -0x1.4c59307b2876p-5, -0x1.4848771797fb7p-5, -0x1.443ea3bceef96p-5, -0x1.403bc4b910b2ep-5, -0x1.3c3fe7edf876dp-5, -0x1.384b1acfc92c2p-5, -0x1.345d6a632e24dp-5, -0x1.3076e33c403c7p-5, -0x1.2c97917d93c62p-5, -0x1.28bf80d72e8e7p-5, -0x1.24eebc85826fdp-5, -0x1.21254f5081f06p-5, -0x1.1d63438acab02p-5, -0x1.19a8a310caea9p-5, -0x1.15f577480fc8p-5, -0x1.1249c91ee5aap-5, -0x1.0ea5a10c3e227p-5, -0x1.0b09070f65019p-5, -0x1.077402afdb64ep-5, -0x1.03e69afd45115p-5, -0x1.0060d68f60b57p-5, -0x1.f9c5770c2873ep-6, -0x1.f2d89f130fb31p-6, -0x1.ebfb2f94d410ep-6, -0x1.e52d3204e0761p-6, -0x1.de6eaee9c1a3bp-6, -0x1.d7bfadde324e7p-6, -0x1.d12035924bd08p-6, -0x1.ca904bccdef87p-6, -0x1.c40ff56cf7104p-6, -0x1.bd9f366b6339fp-6, -0x1.b73e11dc60de9p-6, -0x1.b0ec89f19bf77p-6, -0x1.aaaa9ffc8da1cp-6, -0x1.a47854701009dp-6, -0x1.9e55a6e2a94a8p-6, -0x1.984296124925bp-6, -0x1.923f1fe4ca7eap-6, -0x1.8c4b416cca8b4p-6, -0x1.8666f6ea3b328p-6, -0x1.80923bcdb5ce4p-6, -0x1.7acd0abbb81cdp-6, -0x1.75175d8f7bddfp-6, -0x1.6f712d5dfefdap-6, -0x1.69da727917b56p-6, -0x1.64532472a14e7p-6, -0x1.5edb3a1fb9c79p-6, -0x1.5972a99bed2f4p-6, -0x1.5419684cae655p-6, -0x1.4ecf6ae49e9aap-6, -0x1.4994a566f8008p-6, -0x1.44690b2b03055p-6, -0x1.3f4c8edfaec13p-6, -0x1.3a3f228f24753p-6, -0x1.3540b7a259a26p-6, -0x1.30513ee4acaefp-6, -0x1.2b70a88783a81p-6, -0x1.269ee425f7adcp-6, -0x1.21dbe0c87fab3p-6, -0x1.1d278ce8a0b01p-6, -0x1.1881d674b852cp-6, -0x1.13eaaad3150abp-6, -0x1.0f61f6e73202ap-6, -0x1.0ae7a7131b293p-6, -0x1.067ba73da3869p-6, -0x1.021de2d491da3p-6, -0x1.fb9c89a0d762fp-7, -0x1.f3196f7174772p-7, -0x1.eab24b4ebce74p-7, -0x1.e266f098a1ea5p-7, -0x1.da3731e28cbdap-7, -0x1.d222e0faa8d2ep-7, -0x1.ca29cef117792p-7, -0x1.c24bcc1f30309p-7, -0x1.ba88a82ea7a99p-7, -0x1.b2e0322090c33p-7, -0x1.ab52385461c2fp-7, -0x1.a3de888f079fap-7, -0x1.9c84f001c971fp-7, -0x1.95453b50fedc5p-7, -0x1.8e1f369af64bfp-7, -0x1.8712ad7eb3d2ap-7, -0x1.801f6b2288979p-7, -0x1.79453a3a9c361p-7, -0x1.7283e50f71e3p-7, -0x1.6bdb358436afp-7, -0x1.654af51d12999p-7, -0x1.5ed2ed054e02ap-7, -0x1.5872e6157013ap-7, -0x1.522aa8d94269fp-7, -0x1.4bf9fd957aaffp-7, -0x1.45e0ac4f46cc2p-7, -0x1.3fde7cced75e4p-7, -0x1.39f336a85e7ebp-7, -0x1.341ea1400164ap-7, -0x1.2e6083cfa1f1bp-7, -0x1.28b8a56c31505p-7, -0x1.2326cd0ae0a8p-7, -0x1.1daac18650208p-7, -0x1.184449a502b82p-7, -0x1.12f32c15502f1p-7, -0x1.0db72f892fdf6p-7, -0x1.08901a96af54fp-7, -0x1.037db3e39f554p-7, -0x1.fcff841edccf3p-8, -0x1.f32c1784a8f6ap-8, -0x1.e980af600c6b2p-8, -0x1.dffcd937f53ap-8, -0x1.d6a022bacaac4p-8, -0x1.cd6a19c595ad7p-8, -0x1.c45a4c6b7772ap-8, -0x1.bb7048fd83c6p-8, -0x1.b2ab9e12565bcp-8, -0x1.aa0bda8d509d6p-8, -0x1.a1908da612d99p-8, -0x1.993946efab6cp-8, -0x1.9105965f80fp-8, -0x1.88f50c541281dp-8, -0x1.8107399b51436p-8, -0x1.793baf78990d3p-8, -0x1.7191ffaa541d8p-8, -0x1.6a09bc6f6a252p-8, -0x1.62a2788c8cb4ep-8, -0x1.5b5bc75172c7cp-8, -0x1.54353c9de4733p-8, -0x1.4d2e6ce6b2e33p-8, -0x1.4646ed3ac9641p-8, -0x1.3f7e53480667fp-8, -0x1.38d4355fac1fbp-8, -0x1.32482a7a6304cp-8, -0x1.2bd9ca326b19p-8, -0x1.2588acf7b9408p-8, -0x1.1f546bb3e1ba3p-8, -0x1.193ca02d86782p-8, -0x1.1340e4dc4dc4ap-8, -0x1.0d60d4f65032p-8, -0x1.079c0c73b6fp-8, -0x1.01f228121f4d2p-8, -0x1.f8c58aaec370ep-9, -0x1.eddb0527ccf6cp-9, -0x1.e323fdc88e4eap-9, -0x1.d89fb4650d7aep-9, -0x1.ce4d6a6e21f5cp-9, -0x1.c42c62f37bbbfp-9, -0x1.ba3be2a685533p-9, -0x1.b07b2fde726f2p-9, -0x1.a6e9929dcfa45p-9, -0x1.9d8654992f865p-9, -0x1.9450c13ed639p-9, -0x1.8b4825be17e31p-9, -0x1.826bd10e1a9f8p-9, -0x1.79bb13f166788p-9, -0x1.713540f7a9741p-9, -0x1.68d9ac7c9d89dp-9, -0x1.60a7aca30f3fp-9, -0x1.589e994e512f1p-9, -0x1.50bdcc1aef9d7p-9, -0x1.4904a05825af1p-9, -0x1.41727303d587p-9, -0x1.3a06a2ca7131bp-9, -0x1.32c0900bcee22p-9, -0x1.2b9f9ce49d10fp-9, -0x1.24a32d3b87ccep-9, -0x1.1dcaa6d01eb76p-9, -0x1.17157148d1f14p-9, -0x1.1082f63ce2131p-9, -0x1.0a12a137c95p-9, -0x1.03c3dfb42d3cfp-9, -0x1.fb2c421b947dap-10, -0x1.ef11acd782f4cp-10, -0x1.e336e54c72bd3p-10, -0x1.d79ad457621fp-10, -0x1.cc3c65d61d715p-10, -0x1.c11a888ea8326p-10, -0x1.b6342e30d25a8p-10, -0x1.ab884b74784c8p-10, -0x1.a115d851f8032p-10, -0x1.96dbd04dc908dp-10, -0x1.8cd932c510a2bp-10, -0x1.830d02d7c2b77p-10, -0x1.79764858d5f4fp-10, -0x1.70140f52d8cffp-10, -0x1.66e567ffb1539p-10, -0x1.5de965942282fp-10, -0x1.551f1f5039f71p-10, -0x1.4c85af7bad7f4p-10, -0x1.441c328c98cc5p-10, -0x1.3be1c71c85726p-10, -0x1.33d58dbd9925bp-10, -0x1.2bf6a908055a7p-10, -0x1.24443de2fcd2bp-10, -0x1.1cbd73fb1e79p-10, -0x1.15617650bf9dfp-10, -0x1.0e2f73c2684ep-10, -0x1.07269f799fd4ep-10, -0x1.0046312587b18p-10, -0x1.f31ac9f22acc3p-11, -0x1.e5f6f6d8b6b8ep-11, -0x1.d91f71918076fp-11, -0x1.cc92c91d748d1p-11, -0x1.c04f919002fa3p-11, -0x1.b45462bca9c81p-11, -0x1.a89fd7228dd66p-11, -0x1.9d308b4d5cebcp-11, -0x1.92051dd208b7ap-11, -0x1.871c2ff3c039fp-11, -0x1.7c7466d36f69dp-11, -0x1.720c6ce81f057p-11, -0x1.67e2f36b7fefbp-11, -0x1.5df6b36ed899fp-11, -0x1.54466e642f956p-11, -0x1.4ad0ed27fe79dp-11, -0x1.419504be552c9p-11, -0x1.38918b4f624bep-11, -0x1.2fc561c3b1494p-11, -0x1.272f6d8495e9bp-11, -0x1.1ece987cd0a7ap-11, -0x1.16a1cfe214b1ep-11, -0x1.0ea80310e0ddfp-11, -0x1.06e022bd342a7p-11, -0x1.fe924185436e2p-12, -0x1.efc3e165671b9p-12, -0x1.e153120dfbac9p-12, -0x1.d33dc93baaec3p-12, -0x1.c58207fb7fbd7p-12, -0x1.b81ddc0bcbddp-12, -0x1.ab0f5fe7e26e7p-12, -0x1.9e54b9e184344p-12, -0x1.91ec1b05bc60fp-12, -0x1.85d3be7062cbap-12, -0x1.7a09e94b1c954p-12, -0x1.6e8ceb25808b7p-12, -0x1.635b1e05d36e8p-12, -0x1.5872e59fbdc1bp-12, -0x1.4dd2ad8ec2be6p-12, -0x1.4378e70f1c5bbp-12, -0x1.3964071678683p-12, -0x1.2f92859fac0bcp-12, -0x1.2602de719bba6p-12, -0x1.1cb392ed74221p-12, -0x1.13a32becbcd65p-12, -0x1.0ad03abf1bd67p-12, -0x1.023958d368d0cp-12, -0x1.f3ba4c9be60b5p-13, -0x1.e37490a798be5p-13, -0x1.d39ecfede0327p-13, -0x1.c43664dadde45p-13, -0x1.b538b52b55b5ep-13, -0x1.a6a3366057058p-13, -0x1.987371a8a3154p-13, -0x1.8aa705935e493p-13, -0x1.7d3ba50baf46dp-13, -0x1.702f1478d1ad2p-13, -0x1.637f269563352p-13, -0x1.5729ba4415c5ap-13, -0x1.4b2cb99a7a79ep-13, -0x1.3f8619697dfa5p-13, -0x1.3433d864a96f8p-13, -0x1.2933fdaf48d4p-13, -0x1.1e84973781d47p-13, -0x1.1423b84baa1a5p-13, -0x1.0a0f785c0cc8cp-13, -0x1.0045f1bb8888ep-13, -0x1.ed8a818eee3ecp-14, -0x1.db1708ea23829p-14, -0x1.c92dc1cfbe70ap-14, -0x1.b7cb06d29ecb1p-14, -0x1.a6eb4c41b28aep-14, -0x1.968b2491e985bp-14, -0x1.86a7422e60e77p-14, -0x1.773c7930c93aap-14, -0x1.6847c28a810acp-14, -0x1.59c63ed86d486p-14, -0x1.4bb534a3c1a83p-14, -0x1.3e12071973c77p-14, -0x1.30da270a284b7p-14, -0x1.240b04c4b4de6p-14, -0x1.17a209c7b8c61p-14, -0x1.0b9c9c43260a2p-14, -0x1.fff04f676b8cp-15, -0x1.e964466f6b3d7p-15, -0x1.d39022f9e8cecp-15, -0x1.be6ef81756234p-15, -0x1.a9fbde03d1528p-15, -0x1.9631f1a69063p-15, -0x1.830c5b1f9ac79p-15, -0x1.70865528f6af3p-15, -0x1.5e9b31d5738bfp-15, -0x1.4d466119bef84p-15, -0x1.3c837fe06d046p-15, -0x1.2c4e6f69d7e21p-15, -0x1.1ca368e409103p-15, -0x1.0d7efbe00d70dp-15, -0x1.fdbbe3fce6b5dp-16, -0x1.e17a49943fe0cp-16, -0x1.c632b904c280fp-16, -0x1.abde8e71fa3cep-16, -0x1.92770c59e246dp-16, -0x1.79f5866089c5fp-16, -0x1.625381501a49dp-16, -0x1.4b8abcd519e8p-16, -0x1.359527f7012b4p-16, -0x1.206cc9b260e7p-16, -0x1.0c0bac4b1e78fp-16, -0x1.f0d7ae54f048bp-17, -0x1.cb0ead9fcc9eap-17, -0x1.a6b08f2ac5da2p-17, -0x1.83b1b5a5bf8d4p-17, -0x1.6206bace39603p-17, -0x1.41a49df61a901p-17, -0x1.22810ff14e75bp-17, -0x1.0492a1b68c164p-17, -0x1.cfa1427bb4fdfp-18, -0x1.98657c100deaep-18, -0x1.63618b90a9732p-18, -0x1.308545f7be9p-18, -0x1.ff81cb8d8311cp-19, -0x1.a209cf0e8dd9dp-19, -0x1.4883597d8a07bp-19, -0x1.e59dde533b4b2p-20, -0x1.419b99beacabcp-20, -0x1.498b0f1c95991p-21, -0x1.dc8269796ea96p-25, 0x1.007ec1d655ff2p-21, 0x1.08dc0c09ee688p-20, 0x1.8b2a018fc1deap-20, 0x1.03b082b867337p-19, 0x1.3edb68317ea69p-19, 0x1.772f16fc364b9p-19, 0x1.acc3c14ce0dd6p-19, 0x1.dfb0d4dfc5806p-19, 0x1.0806802e1e491p-18, 0x1.1ef7137e5bd6bp-18, 0x1.34b4f8be322d7p-18, 0x1.494b3aab22473p-18, 0x1.5cc4cac50ff6ep-18, 0x1.6f2b9a65ec851p-18, 0x1.80882c461961ap-18, 0x1.90e25767b5afep-18, 0x1.a0426d17221d6p-18, 0x1.aeb172c28d94fp-18, 0x1.bc386b23aef27p-18, 0x1.c8dfb1147eb8p-18, 0x1.d4aef19e1ceedp-18, 0x1.dfad8439d8599p-18, 0x1.e9e2bc0eb6538p-18, 0x1.f3561835d8b0ap-18, 0x1.fc0f4f4c7b02p-18, 0x1.020b09cbd7ba8p-17, 0x1.05b8ca0c2b1ecp-17, 0x1.09140bc2524e8p-17, 0x1.0c1f8d423372dp-17, 0x1.0eddf799b9f1cp-17, 0x1.11522b13cbd9fp-17, 0x1.137f4c5392ec5p-17, 0x1.1568a49f3db2ap-17, 0x1.17116fbe275f6p-17, 0x1.187c8d39954c2p-17, 0x1.19ac55d5a1335p-17, 0x1.1aa2b76caace7p-17, 0x1.1b61107108a87p-17, 0x1.1beb4a17c3ab3p-17, 0x1.1c43688ff763ap-17, 0x1.1c6c081c27b15p-17, 0x1.1c662a1bceec2p-17, 0x1.1c346d8e031d6p-17, 0x1.1bd89b4424be4p-17, 0x1.1b547807f8c41p-17, 0x1.1aa9e28c7ca5ap-17, 0x1.19dab5ff0a5a7p-17, 0x1.18e8ca9cfd57bp-17, 0x1.17d5f6d59bb92p-17, 0x1.16a3f0ae3e7d6p-17, 0x1.155429148d4aep-17, 0x1.13e7ce439de3ap-17, 0x1.126005c6d7d7p-17, 0x1.10be3171fcab3p-17, 0x1.0f03f5aff5868p-17, 0x1.0d33086296068p-17, 0x1.0b4d04d6c84eap-17, 0x1.09532f9fc13dap-17, 0x1.074658f76a63ep-17, 0x1.0527470e107b5p-17, 0x1.02f71242ad70fp-17, 0x1.00b6e7da356aap-17, 0x1.fccfa8ec82332p-18, 0x1.f815e2e6e6d8ep-18, 0x1.f342dfd0de397p-18, 0x1.ee58c317375b6p-18, 0x1.e95915dfccff3p-18, 0x1.e44501e8e4764p-18, 0x1.df1df2ffd6987p-18, 0x1.d9e5c2496e0cep-18, 0x1.d49f5713a8029p-18, 0x1.cf482c5576b76p-18, 0x1.c9e58a506fd1dp-18, 0x1.c477c1a300c84p-18, 0x1.befff3ae5a2bp-18, 0x1.b97f177ee8122p-18, 0x1.b3f60f83b0b34p-18, 0x1.ae65eef7964a3p-18, 0x1.a8d01aad20e7ep-18, 0x1.a33601d606d0ep-18, 0x1.9d98cf18a1b07p-18, 0x1.97f9689e665adp-18, 0x1.92586a88a604fp-18, 0x1.8cb688f41133dp-18, 0x1.8714eb6a7254p-18, 0x1.8174769e9b96p-18, 0x1.7bd59aa89a411p-18, 0x1.7638e34d32152p-18, 0x1.709f039216b26p-18, 0x1.6b08c1def8762p-18, 0x1.6576f10e1692dp-18, 0x1.5fea5b4c7f4f7p-18, 0x1.5a63a23e8fc48p-18, 0x1.54e31eb03ec4fp-18, 0x1.4f69278c594b3p-18, 0x1.49f65ab2aa03fp-18, 0x1.448b40311cf17p-18, 0x1.3f28227131d83p-18, 0x1.39cd6074044a3p-18, 0x1.347b6e49b2c5cp-18, 0x1.2f32afc3e1d39p-18, 0x1.29f370dd34838p-18, 0x1.24bdf02b5f223p-18, 0x1.1f927bbfbe4a1p-18, 0x1.1a7176b98e1b2p-18, 0x1.155b21c0dd399p-18, 0x1.104f978c31162p-18, 0x1.0b4f29554bfe3p-18, 0x1.065a26bd87d8dp-18, 0x1.0170e395d8712p-18, 0x1.f927095b4c174p-19, 0x1.ef83ffa58e1e1p-19, 0x1.e5f9069a37064p-19, 0x1.dc8676633de56p-19, 0x1.d32c7ba53cf1p-19, 0x1.c9eb379400b12p-19, 0x1.c0c2d1a974134p-19, 0x1.b7b38806b6dd4p-19, 0x1.aebda76783a18p-19, 0x1.a5e15aa6837d9p-19, 0x1.9d1eb91b3b96bp-19, 0x1.9475ee92d0a3fp-19, 0x1.8be7075a59bfbp-19, 0x1.83722067ca002p-19, 0x1.7b171fa85be47p-19, 0x1.72d5d7b105c3ap-19, 0x1.6aae7159fe81fp-19, 0x1.62a11662662ebp-19, 0x1.5aadc89019e97p-19, 0x1.52d46a8a3ab06p-19, 0x1.4b14de52bfd6fp-19, 0x1.436f1486e2a9bp-19, 0x1.3be2d82853287p-19, 0x1.346fe50a7d1c7p-19, 0x1.2d167850f3f7bp-19, 0x1.25d6bf1dbeccdp-19, 0x1.1eb085a20f4b5p-19, 0x1.17a360478dd67p-19, 0x1.10af4c32613a4p-19, 0x1.09d43d432198ap-19, 0x1.0311fff3886dep-19, 0x1.f8d0b7cb0935dp-20, 0x1.ebae3c3cebf3fp-20, 0x1.debc38207732fp-20, 0x1.d1fa65fb7e616p-20, 0x1.c56882cc36b53p-20, 0x1.b9063d76026f5p-20, 0x1.acd3379abc2acp-20, 0x1.a0cf0f401fa12p-20, 0x1.94f940115792ep-20, 0x1.895125cc76072p-20, 0x1.7dd68e284bf3bp-20, 0x1.728960cdb211ep-20, 0x1.67691f7132ec8p-20, 0x1.5c750e642f833p-20, 0x1.51acea8c87cfcp-20, 0x1.47107854a7821p-20, 0x1.3c9f38da481bfp-20, 0x1.325896d06e0c3p-20, 0x1.283c0eeea4f92p-20, 0x1.1e4934158e641p-20, 0x1.147f7b88b860fp-20, 0x1.0ade8ec4285dep-20, 0x1.01666eb5e010fp-20, 0x1.f02c93b583e3ep-21, 0x1.dddaf01356d34p-21, 0x1.cbd77bfc56612p-21, 0x1.ba214fef7fe9ep-21, 0x1.a8b7744b49d09p-21, 0x1.9798ff3aed25cp-21, 0x1.86c50ae454fa6p-21, 0x1.763aa678a44f2p-21, 0x1.65f8e65816987p-21, 0x1.55fedf935d4b2p-21, 0x1.464bae73714e5p-21, 0x1.36de7400b3c3ep-21, 0x1.27b658befa755p-21, 0x1.18d2767ffc0c4p-21, 0x1.0a31f1fff4acap-21, 0x1.f7b3828311da3p-22, 0x1.db5759ab7f885p-22, 0x1.bfba0f0cc0cd9p-22, 0x1.a4875a6677cf9p-22, 0x1.89c7c2bbc1418p-22, 0x1.6f8baa30126e9p-22, 0x1.55ca28e8eca47p-22, 0x1.3c81795658265p-22, 0x1.23b043268ec4bp-22, 0x1.0b54a89042bf7p-22, 0x1.e6d9f11a9d15ap-23, 0x1.b7efa98bc9215p-23, 0x1.89e711a9337c3p-23, 0x1.5cbd46144630bp-23, 0x1.306f77938077cp-23, 0x1.04f99fd61feep-23, 0x1.b4b2bd7979bdfp-24, 0x1.61171bb5edac8p-24, 0x1.0f1a0dcda051bp-24, 0x1.7d6b1f50c8ae2p-25, 0x1.bf8ef36f8e988p-26, 0x1.14f61b54fb404p-27, -0x1.48f8ffc85eea9p-27, -0x1.cd6e93b87166p-26, -0x1.7838f6f6b4802p-25, -0x1.03674f4c01e4cp-24, -0x1.4941c0553a5a9p-24, -0x1.8db13d0d3211fp-24, -0x1.d0bab2b830756p-24, -0x1.09305246deb37p-23, -0x1.28494bd877d9ap-23, -0x1.48d23636d91abp-23, -0x1.67a6a2b9cc046p-23, -0x1.85d40cd31d5b9p-23, -0x1.a35d9f11d7352p-23, -0x1.c0461dc912a2ep-23, -0x1.dc90231280a4fp-23, -0x1.f83e26de03b5bp-23, -0x1.09a9450f8d618p-22, -0x1.16e7c19cd306ep-22, -0x1.23dbc7ac90837p-22, -0x1.3086693319813p-22, -0x1.3ce8bce951116p-22, -0x1.4903daf81d055p-22, -0x1.54d8e9c1fd34p-22, -0x1.6068fe34a0a7bp-22, -0x1.6bb52471739afp-22, -0x1.76be62a8f4168p-22, -0x1.8185c7b74bf2bp-22, -0x1.8c0c5a3ccda4ep-22, -0x1.96531ba79da98p-22, -0x1.a05b09a5cd9a9p-22, -0x1.aa251e43d88aep-22, -0x1.b3b2500c25c93p-22, -0x1.bd0390188bf01p-22, -0x1.c619d26113f06p-22, -0x1.cef5ff3da0d9bp-22, -0x1.d79901913b461p-22, -0x1.e003bf79704a6p-22, -0x1.e8371b56d59d2p-22, -0x1.f033f2a768076p-22, -0x1.f7fb24b45aa74p-22, -0x1.ff8d887fb0c7bp-22, -0x1.0375f8b69a167p-21, -0x1.070b98532b641p-21, -0x1.0a880a9cd1841p-21, -0x1.0debb5a8b2e69p-21, -0x1.1136fec1deefap-21, -0x1.146a4a4aeabe9p-21, -0x1.1785fb0a5a20ap-21, -0x1.1a8a6de3606f8p-21, -0x1.1d77ffb2319c2p-21, -0x1.204f1052e479p-21, -0x1.230ffbc940dc6p-21, -0x1.25bb1b630890dp-21, -0x1.2850c7e8b0beep-21, -0x1.2ad15d9143546p-21, -0x1.2d3d2f28f6aebp-21, -0x1.2f9490bf59795p-21, -0x1.31d7db16121b7p-21, -0x1.3407607d9946ap-21, -0x1.36237443d007cp-21, -0x1.382c6a2f523f9p-21, -0x1.3a2294449014ap-21, -0x1.3c063ed9f1abdp-21, -0x1.3dd7ae0429c09p-21, -0x1.3f97230a99a36p-21, -0x1.4144e3e8e13e2p-21, -0x1.42e139c1dc6f8p-21, -0x1.446c71778e152p-21, -0x1.45e6dc2f05a88p-21, -0x1.4750ca09538e6p-21, -0x1.48aa81bd8f6e5p-21, -0x1.49f44699c2925p-21, -0x1.4b2e5ccda0a0bp-21, -0x1.4c5913b19c69bp-21, -0x1.4d74dd0b4f20fp-21, -0x1.4e80f1c33d288p-21, -0x1.4f791fa0424c7p-21, -0x1.50605faf744d6p-21, -0x1.514ef91c82f21p-21, -0x1.522217ff22791p-21, -0x1.52e6f8679e45p-21, -0x1.539e8e2aeba1ap-21, -0x1.5448ebd7c0a2ap-21, -0x1.54e63dfe6e62dp-21, -0x1.5576b8ce14278p-21, -0x1.55fa918bb6765p-21, -0x1.5671fe01d1d06p-21, -0x1.56dd33d450a22p-21, -0x1.573c68cf5c148p-21, -0x1.578fd262f3b2ep-21, -0x1.57d79ed363b25p-21, -0x1.581404a631686p-21, -0x1.5845338470675p-21, -0x1.586b601b98efcp-21, -0x1.5886b99026086p-21, -0x1.58976f60650b8p-21, -0x1.589db0a488c07p-21, -0x1.5899ac3bd1ee3p-21, -0x1.588b9098a4b5ap-21, -0x1.58738b28f0ffdp-21, -0x1.5851be9fd3d2fp-21, -0x1.58216aa2ec47bp-21, -0x1.57f1506f145e6p-21, -0x1.57b3dc5497055p-21, -0x1.576ce85a34021p-21, -0x1.571d0785723a3p-21, -0x1.56c463982d724p-21, -0x1.56632faeda54p-21, -0x1.55f99b3b9b7e4p-21, -0x1.5587c106673e8p-21, -0x1.550dc5c72ca61p-21, -0x1.548bdd8844387p-21, -0x1.54022afc38cafp-21, -0x1.5370c82709d35p-21, -0x1.52d7d9f65af9bp-21, -0x1.52378925a3ce3p-21, -0x1.518ffbe8195c2p-21, -0x1.50e155dfa8dcap-21, -0x1.502bb9b424bb2p-21, -0x1.4f6f49a9644c6p-21, -0x1.4eac27c3b4538p-21, -0x1.4de2761b39943p-21, -0x1.4d1257e59996ap-21, -0x1.4c3bf266cf977p-21, -0x1.4b5f6c39379bap-21, -0x1.4a7ce55e90bc9p-21, -0x1.499465debf2edp-21, -0x1.48a5f88d2354cp-21, -0x1.47b1e2161ec55p-21, -0x1.46b849b878611p-21, -0x1.45b924e138db3p-21, -0x1.44b49492be9cdp-21, -0x1.43aad16c63ddcp-21, -0x1.429bff36fe64p-21, -0x1.418835c9f4c4ap-21, -0x1.406f8b5095efap-21, -0x1.3f521817a013cp-21, -0x1.3e2ff657e031dp-21, -0x1.3d0940dab4fe6p-21, -0x1.3bde122143c73p-21, }}, 
      {{-0x1.cfb41243e8896p+0, -0x1.cb049f1f8d442p+0, -0x1.c363a6097dadbp+0, -0x1.b90f74ce1cc24p+0, -0x1.ac54b7c34a869p+0, -0x1.9d88558719e6cp+0, -0x1.8d025c2ea2024p+0, -0x1.7b1a129939ec4p+0, -0x1.6823149388221p+0, -0x1.546b53da85d3fp+0, -0x1.4039d5dba1d62p+0, -0x1.2bce071f35b95p+0, -0x1.175f80ed2737ep+0, -0x1.031e22c597415p+0, -0x1.de64cd26442d5p-1, -0x1.b77bb723b1f3ap-1, -0x1.91b770ecafd45p-1, -0x1.6d42f27e9fa01p-1, -0x1.4a3f007a9f588p-1, -0x1.28c368967f0f1p-1, -0x1.08e0301fb0086p-1, -0x1.d53d5e3fdc2cdp-2, -0x1.9c0529da7ea1ep-2, -0x1.6615a927a77bcp-2, -0x1.3364f170ee839p-2, -0x1.03e2beed758b2p-2, -0x1.aef37d0418125p-3, -0x1.5c2159714677bp-3, -0x1.0f169a76b7157p-3, -0x1.8f2cfa4e0d715p-4, -0x1.0ac2b8690b1a9p-4, -0x1.20d77abbbaf8bp-5, -0x1.fa3e86a3eddb9p-8, 0x1.2062d8ae99a89p-6, 0x1.4e991536d23abp-5, 0x1.fceede772d3b6p-5, 0x1.4e15d87d56efp-4, 0x1.96a032a3ab7cap-4, 0x1.d88a69ff62cd3p-4, 0x1.0a21cb4fd637p-3, 0x1.251ae32c552bdp-3, 0x1.3d62efcf5f405p-3, 0x1.5329cc2f0e5cfp-3, 0x1.669cbebab690fp-3, 0x1.77e683ad5d85cp-3, 0x1.872f5c55ad6f7p-3, 0x1.949d224ad7b8bp-3, 0x1.a0535d93cdfc9p-3, 0x1.aa735cd4ff154p-3, 0x1.b31c4ec63ec57p-3, 0x1.ba6b5c5ca4adap-3, 0x1.c07bc33391988p-3, 0x1.c566efe71366ap-3, 0x1.c94497fb3c23fp-3, 0x1.cc2ad321e9e24p-3, 0x1.ce2e33c1495e1p-3, 0x1.cf61de879d844p-3, 0x1.cfd7a100ca0a1p-3, 0x1.cfa00729f062fp-3, 0x1.ceca6feb406f7p-3, 0x1.cd652079a3fd1p-3, 0x1.cb7d56ab5c772p-3, 0x1.c91f5a4338eebp-3, 0x1.c6568d3716e61p-3, 0x1.c32d7af886f02p-3, 0x1.bfade6d225a9ap-3, 0x1.bbe0d962ed5dp-3, 0x1.b7cead3db4002p-3, 0x1.b37f1ab8ca989p-3, 0x1.aef942fff06dap-3, 0x1.aa43ba6b01c3ep-3, 0x1.a564922dcbe3p-3, 0x1.a0616163fe623p-3, 0x1.9b3f4d841d36cp-3, 0x1.9603124905063p-3, 0x1.90b10911f64e3p-3, 0x1.8b4d2fc90ab1p-3, 0x1.85db2f57afdbbp-3, 0x1.805e61ab63c58p-3, 0x1.7ad9d75201351p-3, 0x1.75505cbd05987p-3, 0x1.6fc47f278c97cp-3, 0x1.6a38912bddc2bp-3, 0x1.64aeaf05cae65p-3, 0x1.5f28c2922ccb3p-3, 0x1.59a88706ed5a7p-3, 0x1.542f8c6b087bap-3, 0x1.4ebf3ad4cb987p-3, 0x1.4958d56ae0a57p-3, 0x1.43fd7d37f120fp-3, 0x1.3eae33c8cdf3ep-3, 0x1.396bdd9d14049p-3, 0x1.3437446ecb21ap-3, 0x1.2f11194f53c7ap-3, 0x1.29f9f69ef1df3p-3, 0x1.24f261e43f0d3p-3, 0x1.1ffacd7ef3949p-3, 0x1.1b139a3d28bc1p-3, 0x1.163d18d41672bp-3, 0x1.11778b3ece4fap-3, 0x1.0cc32600edd62p-3, 0x1.082011542d5fp-3, 0x1.038e6a3ff5063p-3, 0x1.fe1c873674efp-4, 0x1.f53f4df800ad2p-4, 0x1.ec852b28eb017p-4, 0x1.e3ee11ffe899fp-4, 0x1.db79e8016808ep-4, 0x1.d328865adb662p-4, 0x1.caf9bb2671946p-4, 0x1.c2ed4a9542bfep-4, 0x1.bb02f0001dd42p-4, 0x1.b33a5ee44506dp-4, 0x1.ab9343cba8e04p-4, 0x1.a40d4522349e5p-4, 0x1.9ca803f9c5d75p-4, 0x1.95631cbea9a6ap-4, 0x1.8e3e27dbe19p-4, 0x1.8738ba51ec461p-4, 0x1.80526640b31e3p-4, 0x1.798abb6576565p-4, 0x1.72e1478e22edap-4, 0x1.6c559701d77a4p-4, 0x1.65e734e019147p-4, 0x1.5f95ab7724b4ep-4, 0x1.596084926623dp-4, 0x1.534749c15cf3dp-4, 0x1.4d498497e003bp-4, 0x1.4766bee7c6bf2p-4, 0x1.419e82f4c022fp-4, 0x1.3bf05ba2a4c09p-4, 0x1.365bd49f58d3cp-4, 0x1.30e07a878288ep-4, 0x1.2b7ddb07384d9p-4, 0x1.263384f6ea604p-4, 0x1.21010874ed4d4p-4, 0x1.1be5f6fb8ea6ep-4, 0x1.16e1e373ee8f8p-4, 0x1.11f46246c383p-4, 0x1.0d1d096a2fd32p-4, 0x1.085b706d5fc96p-4, 0x1.03af30823f6e3p-4, 0x1.fe2fc90a5df02p-5, 0x1.f52a5206480a2p-5, 0x1.ec4d387c24a2dp-5, 0x1.e397bc5fd5796p-5, 0x1.db09211991378p-5, 0x1.d2a0ad86bac58p-5, 0x1.ca5dabf8e82f7p-5, 0x1.c23f6a3342458p-5, 0x1.ba453966591d7p-5, 0x1.b26e6e2a536c4p-5, 0x1.aaba60781a904p-5, 0x1.a3286ba118569p-5, 0x1.9bb7ee4592cc3p-5, 0x1.94684a4a7f30cp-5, 0x1.8d38e4ce5f538p-5, 0x1.8629261d61a51p-5, 0x1.7f3879a53d61ap-5, 0x1.78664de8aa748p-5, 0x1.71b21471754adp-5, 0x1.6b1b41c320175p-5, 0x1.64a14d4ccd203p-5, 0x1.5e43b15ba9d44p-5, 0x1.5801eb0c108b8p-5, 0x1.51db7a3b42a1fp-5, 0x1.4bcfe17900169p-5, 0x1.45dea5f8fbfbbp-5, 0x1.40074f845ef9ep-5, 0x1.3a49686b5de0ep-5, 0x1.34a47d76d3098p-5, 0x1.2f181dd9f0b23p-5, 0x1.29a3db2417f38p-5, 0x1.24474932dd719p-5, 0x1.1f01fe24324b1p-5, 0x1.19d39248c7ca8p-5, 0x1.14bba0169375dp-5, 0x1.0fb9c41b818f6p-5, 0x1.0acd9cf082b8p-5, 0x1.05f6cb2cbf90ap-5, 0x1.0134f158d743ep-5, 0x1.f90f67c5cd3a6p-6, 0x1.efdd7225e8e8ap-6, 0x1.e6d351fb6da8bp-6, 0x1.ddf05af468a4ep-6, 0x1.d533e42aa4383p-6, 0x1.cc9d481082bf2p-6, 0x1.c42be45a64e02p-6, 0x1.bbdf19e8d2bf6p-6, 0x1.b3b64cb468f76p-6, 0x1.abb0e3ba0e0c3p-6, 0x1.a3ce48e772764p-6, 0x1.9c0de90810becp-6, 0x1.946f33b2bc761p-6, 0x1.8cf19b37a0581p-6, 0x1.8594948ec879ep-6, 0x1.7e5797473d6cdp-6, 0x1.773a1d7675ef3p-6, 0x1.703ba3a84acbap-6, 0x1.695ba8cf5716dp-6, 0x1.6299ae35cf594p-6, 0x1.5bf5376ed7634p-6, 0x1.556dca48447efp-6, 0x1.4f02eebcc65fp-6, 0x1.48b42ee672925p-6, 0x1.428116f1afaa8p-6, 0x1.3c6935108e291p-6, 0x1.366c196e7f03fp-6, 0x1.308956246caep-6, 0x1.2ac07f2d29451p-6, 0x1.25112a5a63db4p-6, 0x1.1f7aef49a57ebp-6, 0x1.19fd6759df35cp-6, 0x1.14982da11205dp-6, 0x1.0f4adee2abd1fp-6, 0x1.0a151985b3ac9p-6, 0x1.04f67d8b65573p-6, 0x1.ffdd590c2641ep-7, 0x1.f5fa93225ea2ep-7, 0x1.ec43f292f5be7p-7, 0x1.e2b8c3864b955p-7, 0x1.d9585503c8fe4p-7, 0x1.d021f8e3e349bp-7, 0x1.c71503bec836p-7, 0x1.be30cce0c18f5p-7, 0x1.b574ae3d4cab3p-7, 0x1.ace0045f6f643p-7, 0x1.a4722e5be75dep-7, 0x1.9c2a8dc4c02afp-7, 0x1.9408869d23268p-7, 0x1.8c0b7f4d59f82p-7, 0x1.8432e0971bafp-7, 0x1.7c7e158a2ce65p-7, 0x1.74ec8b79139d1p-7, 0x1.6d7db1eef29b3p-7, 0x1.6630faa4ff815p-7, 0x1.5f05d97806ebap-7, 0x1.57fbc45e89fcp-7, 0x1.5112335fc41bfp-7, 0x1.4a48a08a770a8p-7, 0x1.439e87eb605c3p-7, 0x1.3d136784baaa8p-7, 0x1.36a6bf45baf59p-7, 0x1.305811024d37ep-7, 0x1.2a26e06b08b44p-7, 0x1.2412b3055b705p-7, 0x1.1e1b1023ea507p-7, 0x1.183f80df20369p-7, 0x1.127f900df0a2ap-7, 0x1.0cdaca3ec8e8fp-7, 0x1.0750bdb0a918ap-7, 0x1.01e0fa4c8bfa6p-7, 0x1.f916233d6150fp-8, 0x1.ee9d2da0df885p-8, 0x1.e4563d43c3095p-8, 0x1.da407ec7a2a4fp-8, 0x1.d05b21e3a57acp-8, 0x1.c6a55958e2a7cp-8, 0x1.bd1e5ae70b44bp-8, 0x1.b3c55f4154d97p-8, 0x1.aa99a203b1c84p-8, 0x1.a19a61a82f28fp-8, 0x1.98c6df7c99da5p-8, 0x1.901e5f985956dp-8, 0x1.87a028d27e53cp-8, 0x1.7f4b84b8091bbp-8, 0x1.771fbf825dca9p-8, 0x1.6f1c280def25p-8, 0x1.67400fd0b9953p-8, 0x1.5f8acad0c459fp-8, 0x1.57fbaf9d9dc94p-8, 0x1.5092174764baep-8, 0x1.494d5d52590cdp-8, 0x1.422cdfb34727ep-8, 0x1.3b2ffec1f6e11p-8, 0x1.34561d36b8e94p-8, 0x1.2d9ea020ccae6p-8, 0x1.2708eedd0f232p-8, 0x1.2094730ee774bp-8, 0x1.1a409898f58b1p-8, 0x1.140ccd95a38c1p-8, 0x1.0df8824fc05f8p-8, 0x1.0803293b4935fp-8, 0x1.022c36ee55655p-8, 0x1.f8e64434132ffp-9, 0x1.edaec70754739p-9, 0x1.e2b0ebfba1085p-9, 0x1.d7ebacc36a6d9p-9, 0x1.cd5e07111085ap-9, 0x1.c306fc89d86b2p-9, 0x1.b8e592b9035c8p-9, 0x1.aef8d3030c7ffp-9, 0x1.a53fca9916808p-9, 0x1.9bb98a6c7ca32p-9, 0x1.926527229204dp-9, 0x1.8941b9087abdep-9, 0x1.804e5c06ebb06p-9, 0x1.778a2f97e3dddp-9, 0x1.6ef456b712d62p-9, 0x1.668bf7dc721c7p-9, 0x1.5e503cea34853p-9, 0x1.56405325e5ddbp-9, 0x1.4e5b6b2c24893p-9, 0x1.46a0b8e4ec5bbp-9, 0x1.3f0f73792c786p-9, 0x1.37a6d547e1e6cp-9, 0x1.30661bdb574fbp-9, 0x1.294c87de9be55p-9, 0x1.22595d12ff5c8p-9, 0x1.1b8be245bedfcp-9, 0x1.14e36145a59ffp-9, 0x1.0e5f26d9281e4p-9, 0x1.07fe82b43c782p-9, 0x1.01c0c76e38543p-9, 0x1.f74a94f012e56p-10, 0x1.eb56c8258e5d7p-10, 0x1.dfa4de8ba2524p-10, 0x1.d43393aa8b89cp-10, 0x1.c901a87138352p-10, 0x1.be0de322913d1p-10, 0x1.b3570f42f0963p-10, 0x1.a8dbfd85b17bep-10, 0x1.9e9b83bb271f1p-10, 0x1.94947cbe5d4a7p-10, 0x1.8ac5c8636fe5ep-10, 0x1.812e4b65fa1dep-10, 0x1.77ccef58268c8p-10, 0x1.6ea0a28e2c072p-10, 0x1.65a858140d25p-10, 0x1.5ce30795e3a61p-10, 0x1.544fad528cf86p-10, 0x1.4bed4a0a6a70fp-10, 0x1.43bae2eeed4dcp-10, 0x1.3bb781920451cp-10, 0x1.33e233d54a53dp-10, 0x1.2c3a0bd37540bp-10, 0x1.24be1ff786f9ep-10, 0x1.1d6d8a8d3ee21p-10, 0x1.16476a4efa44dp-10, 0x1.0f4ae1ac5288p-10, 0x1.0877172c0ef67p-10, 0x1.01cb35320ab59p-10, 0x1.f68cd3f0f531dp-11, 0x1.e9cfcefc20cd6p-11, 0x1.dd5dc6f0cdb4ep-11, 0x1.d1352e94a50d3p-11, 0x1.c5547fec49efap-11, 0x1.b9ba3c1a4f6e6p-11, 0x1.ae64eb409bdd4p-11, 0x1.a3531c658f33bp-11, 0x1.9883655974a3bp-11, 0x1.8df4629c7bfap-11, 0x1.83a4b744b985bp-11, 0x1.79930ce4009eap-11, 0x1.6fbe136e07ce2p-11, 0x1.6624811eabd0fp-11, 0x1.5cc5126079fbbp-11, 0x1.539e89b39189dp-11, 0x1.4aafaf94c6745p-11, 0x1.41f75264fd79fp-11, 0x1.397446519e7a7p-11, 0x1.3125653de30b7p-11, 0x1.29098eaa20b6cp-11, 0x1.211fa79bf95b6p-11, 0x1.19669a8793773p-11, 0x1.11dd573a3960dp-11, 0x1.0a82d2e66471dp-11, 0x1.03560762775a9p-11, 0x1.f8abe8ca83ff7p-12, 0x1.eb033c3dd1bfbp-12, 0x1.ddb01b98e7d6dp-12, 0x1.d0b0a301d044fp-12, 0x1.c402f82108ddbp-12, 0x1.b7a549f8ce66fp-12, 0x1.ab95d0bc40899p-12, 0x1.9fd2cda7b54c9p-12, 0x1.945a8ad923155p-12, 0x1.892b5b2963ba3p-12, 0x1.7e439a0618d07p-12, 0x1.73a1ab4c42c41p-12, 0x1.6943fb235db25p-12, 0x1.5f28fdd8fff81p-12, 0x1.554f2fbcc3826p-12, 0x1.4bb514fcbc161p-12, 0x1.4259398133972p-12, 0x1.393a30c91cb5ap-12, 0x1.305695c549e72p-12, 0x1.27ad0ab85f64p-12, 0x1.1f3c391396e54p-12, 0x1.1702d1546e788p-12, 0x1.0eff8ae67db9fp-12, 0x1.0731240527079p-12, 0x1.ff2cc33acdc08p-13, 0x1.f05c1e623139p-13, 0x1.e1edfd7347a9bp-13, 0x1.d3e011161451ap-13, 0x1.c6301668e3d16p-13, 0x1.b8dbd6c251fcap-13, 0x1.abe12772b20b3p-13, 0x1.9f3de984f17c5p-13, 0x1.92f00981f3472p-13, 0x1.86f57f3646879p-13, 0x1.7b4c4d7cb1dacp-13, 0x1.6ff2820cc0a76p-13, 0x1.64e6354cb67e8p-13, 0x1.5a258a25ddf76p-13, 0x1.4faeadd95ea78p-13, 0x1.457fd7d399b3ap-13, 0x1.3b97497ca930dp-13, 0x1.31f34e05c516dp-13, 0x1.28923a330b27cp-13, 0x1.1f726c21f0f61p-13, 0x1.16924b0869d2ep-13, 0x1.0df046db35a6fp-13, 0x1.058ad81b21dd4p-13, 0x1.fac106fcfc354p-14, 0x1.eadfa1ee80549p-14, 0x1.db6ea21181aecp-14, 0x1.cc6b3686c0866p-14, 0x1.bdd2b1a8eeeccp-14, 0x1.afa2660a6856dp-14, 0x1.a1d7b27212c0dp-14, 0x1.94700b402492dp-14, 0x1.8768f3125573cp-14, 0x1.7abffa9f3c2bbp-14, 0x1.6e72c09ffb649p-14, 0x1.627ef18ad8149p-14, 0x1.56e247463c1fp-14, 0x1.4b9a88e32ea96p-14, 0x1.40a58a5f880aep-14, 0x1.36012c703fe93p-14, 0x1.2bab5c4fc6434p-14, 0x1.21a2138e33bcep-14, 0x1.17e357df960d3p-14, 0x1.0e6d3ae4f5b47p-14, 0x1.053dd9ee0722ap-14, 0x1.f8a6bb61c89ep-15, 0x1.e757f3f4be643p-15, 0x1.d68bdab1c830fp-15, 0x1.c63f0195c15c7p-15, 0x1.b66e0eeb5dec4p-15, 0x1.a715bcd7e13a4p-15, 0x1.9832d9079e11cp-15, 0x1.89c24471e7093p-15, 0x1.7bc0f325949dfp-15, 0x1.6e2bebf8c1424p-15, 0x1.610048ae2d7f5p-15, 0x1.543b48826038p-15, 0x1.47d9eddd0e134p-15, 0x1.3bd9c35a03d17p-15, 0x1.3038145e7cd73p-15, 0x1.24f25190706a9p-15, 0x1.1a05fb5208354p-15, 0x1.0f70a174294c8p-15, 0x1.052fe2aa885c7p-15, 0x1.f682d810f444ap-16, 0x1.e345f1236328bp-16, 0x1.d0a4a21e4fb9dp-16, 0x1.be9a98213c725p-16, 0x1.ad239bca3f991p-16, 0x1.9c3b91509a898p-16, 0x1.8bde784d7a3cap-16, 0x1.7c086b20e1b6bp-16, 0x1.6cb59e1b4dd84p-16, 0x1.5de25e7e73f0fp-16, 0x1.4f8b11b5815aap-16, 0x1.41ac349577c84p-16, 0x1.34425ae10ec1dp-16, 0x1.274a2ebea0822p-16, 0x1.1ac0700a865b3p-16, 0x1.0ea1f37b2b3bp-16, 0x1.02eba1b45be1bp-16, 0x1.ef34ecf9ec156p-17, 0x1.d957009310d22p-17, 0x1.c437c057618a5p-17, 0x1.afd19413ad56cp-17, 0x1.9c1f09bb562eap-17, 0x1.891ad5729cc5ap-17, 0x1.76bfd0d4da885p-17, 0x1.6508f985f102p-17, 0x1.53f16f76ceccp-17, 0x1.43747360e039ep-17, 0x1.338d65b9fb8d1p-17, 0x1.2437c647576e6p-17, 0x1.156f33f233eeep-17, 0x1.072f6c6c65b8ap-17, 0x1.f2e896a6224d5p-18, 0x1.d873919bf1532p-18, 0x1.bef7f0021c7e4p-18, 0x1.a66e0b8b5efe8p-18, 0x1.8ece6ff7c9042p-18, 0x1.7811dae48643ep-18, 0x1.62313c22b80ebp-18, 0x1.4d25b5c6f3144p-18, 0x1.38e89b6b1060cp-18, 0x1.25737093bfe0cp-18, 0x1.12bfe6952a775p-18, 0x1.00c7da716037p-18, 0x1.df0aa64354182p-19, 0x1.bde5014bd80b3p-19, 0x1.9e1377dd61aeep-19, 0x1.7f8b0eb00f232p-19, 0x1.62411df24ce59p-19, 0x1.462b501ac19b8p-19, 0x1.2b3f9e46c030ap-19, 0x1.11744b260587fp-19, 0x1.f17fbcd55a228p-20, 0x1.c23244ca9e367p-20, 0x1.94ee47f5e38ccp-20, 0x1.69a266e7fcc02p-20, 0x1.403dc82c90b7bp-20, 0x1.18b012e4aa5bbp-20, 0x1.e5d2cbdaae29ap-21, 0x1.9db49e2367f92p-21, 0x1.58e78abf88c46p-21, 0x1.174e4e7450c87p-21, 0x1.b198eaaab21b6p-22, 0x1.3a8cb7f139665p-22, 0x1.9284be5731b17p-23, 0x1.76176b41dd375p-24, -0x1.1b679e38a9c39p-27, -0x1.a846e15a7b291p-24, -0x1.8c99ba3d3c15p-23, -0x1.1dba79edb5449p-22, -0x1.70870372f2a04p-22, -0x1.bedd9d9f2abb5p-22, -0x1.0474049ca9744p-21, -0x1.27674f942ca4cp-21, -0x1.485c2c7431aa8p-21, -0x1.676572267b6f5p-21, -0x1.84956127c520ep-21, -0x1.9ffdb4b9d9c42p-21, -0x1.b9afaef15c596p-21, -0x1.d1bc1c1de1934p-21, -0x1.e8334f9421425p-21, -0x1.fd251e2b59df7p-21, -0x1.08506d09e576bp-20, -0x1.115aa965c40e7p-20, -0x1.19b86cd289dd6p-20, -0x1.2170a4ab22231p-20, -0x1.288a06afb584p-20, -0x1.2f0b138dd59d2p-20, -0x1.34fa18284f52cp-20, -0x1.3a5d2e1db1bbfp-20, -0x1.3f3a3b7fd1dccp-20, -0x1.4396f155820f9p-20, -0x1.4778c9a8d770fp-20, -0x1.4ae507bad67e7p-20, -0x1.4de0bc20a13ep-20, -0x1.5070cb49a9678p-20, -0x1.5299f2763562ep-20, -0x1.5460c97c963afp-20, -0x1.55c9c3270158cp-20, -0x1.56d92e8362698p-20, -0x1.579338b598b87p-20, -0x1.57fbeccc5ee09p-20, -0x1.5817312b36a81p-20, -0x1.57e8c54ee17f4p-20, -0x1.5774431ac621p-20, -0x1.56bd23a7d18c9p-20, -0x1.55c6c3880538p-20, -0x1.5494679b218b3p-20, -0x1.53293b16536b2p-20, -0x1.51884baa22e9p-20, -0x1.4fb4872b778b7p-20, -0x1.4db0bb5b1c5ddp-20, -0x1.4b7f97f498275p-20, -0x1.4923b153d20fp-20, -0x1.469f8364ab867p-20, -0x1.43f5750bdc9dep-20, -0x1.4127da46a1da7p-20, -0x1.3e38f23f7b88ap-20, -0x1.3b2ae2887257dp-20, -0x1.37ffb51362846p-20, -0x1.34b95c68ff26cp-20, -0x1.3159ba9306242p-20, -0x1.2de2a4202f89bp-20, -0x1.2a55dd9eff2aep-20, -0x1.26b517b4fcb88p-20, -0x1.2301ee1f6f01cp-20, -0x1.1f3dea30ecbf6p-20, -0x1.1b6a869defbd6p-20, -0x1.17893263c117ap-20, -0x1.139b5188e2a5p-20, -0x1.0fa23b333f396p-20, -0x1.0b9f35db67c08p-20, -0x1.079374144f65ep-20, -0x1.038014c37004p-20, -0x1.fecc4ef656761p-21, -0x1.f68d64de4c037p-21, -0x1.ee456d659c377p-21, -0x1.e5f665a935e64p-21, -0x1.dda257ee3dd04p-21, -0x1.d54ba57521c9p-21, -0x1.ccf5c78b5f4p-21, -0x1.c4a0b662af53dp-21, -0x1.bc3a011b99d91p-21, -0x1.b3e45d3ea530ep-21, -0x1.ab95a6d734212p-21, -0x1.a355cb3e7095fp-21, -0x1.9b0d00ac30176p-21, -0x1.92cd7b0f6944ep-21, -0x1.8a98a7576425ap-21, -0x1.826e2d74f5fc2p-21, -0x1.7a4ea48be5893p-21, -0x1.723aeaf2162e4p-21, -0x1.6a33e71277a6ap-21, -0x1.623a77ce34cfp-21, -0x1.5a4f6f73c1d26p-21, -0x1.52738fa1134a8p-21, -0x1.4aa7859bfcbbp-21, -0x1.42ebe99c41ffap-21, -0x1.3b41432e134c2p-21, -0x1.33a8122cca22bp-21, -0x1.2c20d8d4105b8p-21, -0x1.24ac2123d5d1bp-21, -0x1.1d4a7722dd784p-21, -0x1.15fc5ac97b682p-21, -0x1.0ec2366fb57b6p-21, -0x1.079c5f92281b6p-21, -0x1.008b1d6bb2cdbp-21, -0x1.f31d6014a5ff4p-22, -0x1.e54ea96a43617p-22, -0x1.d7aa8ca922667p-22, -0x1.ca3177782ea4ap-22, -0x1.bce3cc94f30fap-22, -0x1.afc1e6ca8e9b7p-22, -0x1.a2cc30dcce28cp-22, -0x1.96041eecdc0bp-22, -0x1.8980fe4d34d13p-22, -0x1.7cf7c02aa8c13p-22, -0x1.70b21baa0d3aap-22, -0x1.649b54e63d02cp-22, -0x1.58b1cf69ab336p-22, -0x1.4cf551a2391dep-22, -0x1.4165cae42837p-22, -0x1.36032f0ef083p-22, -0x1.2acd7400ad568p-22, -0x1.1fc48c65160ccp-22, -0x1.14e860db2973p-22, -0x1.0a38ce41db77bp-22, -0x1.ff6b538b0e7b6p-23, -0x1.eabd8ca578401p-23, -0x1.d667e9209984fp-23, -0x1.c269faf835b4ep-23, -0x1.aec34160c24f7p-23, -0x1.9b732f5dc4fbfp-23, -0x1.887932f13194bp-23, -0x1.75d4b9f61cdbap-23, -0x1.63853180d28a3p-23, -0x1.518a00ddabbep-23, -0x1.3fe2870da712ap-23, -0x1.2e8e132f71b33p-23, -0x1.1d8bf7943697ap-23, -0x1.0cdb7f78a527p-23, -0x1.f8f7df95b616bp-24, -0x1.d8d90cdc35b47p-24, -0x1.b958fa295bd63p-24, -0x1.9a7615f42db03p-24, -0x1.7c2ec9d325eap-24, -0x1.5e81783023145p-24, -0x1.416c713553574p-24, -0x1.24edfbf917901p-24, -0x1.090497aabfcf5p-24, -0x1.db5d2b903163bp-25, -0x1.a5d4866d02169p-25, -0x1.716b8839196c4p-25, -0x1.3e1eebaa6b51ep-25, -0x1.0beb53c27c386p-25, -0x1.b59a8e5f9fa2p-26, -0x1.558275059cfe4p-26, -0x1.ef0e7e1927df5p-27, -0x1.37439ddb4a63bp-27, -0x1.072c307291e96p-28, 0x1.604151383aeddp-30, 0x1.af4a3c4d9395dp-28, 0x1.7f4e915f89ea3p-27, 0x1.11891c7775e46p-26, 0x1.617ef11fe78e1p-26, 0x1.af8fc81f5dbcap-26, 0x1.fbc2aef70733ep-26, 0x1.230f578d96e13p-25, 0x1.47556397e3e31p-25, 0x1.6ab6f797660bap-25, 0x1.8d3786503b674p-25, 0x1.aeda723121ea7p-25, 0x1.cfa31274ad06bp-25, 0x1.ef94bb1e490f4p-25, 0x1.07596153a22b9p-24, 0x1.16803f622755bp-24, 0x1.25409eaf76c58p-24, 0x1.339c240c573ebp-24, 0x1.419470b3a74d1p-24, 0x1.4f2b1cba1e5c9p-24, 0x1.5c61bbc0ef971p-24, 0x1.6939e0b0013ddp-24, 0x1.75b51cc70a627p-24, 0x1.81d4fc4bc97f5p-24, 0x1.8d9b090aa97cfp-24, 0x1.9908cb05e5fbap-24, 0x1.a41fc71dbe093p-24, 0x1.aee17d71c088ap-24, 0x1.b94f67d845f4ep-24, 0x1.c36af961b9acap-24, 0x1.cd359f6f3c2ffp-24, 0x1.d6b0c39871f76p-24, 0x1.dfddccacf0726p-24, 0x1.e8be1e96ede4cp-24, 0x1.f1531affd5c34p-24, 0x1.f99e21c1b969cp-24, 0x1.00d0478aeae9ep-23, 0x1.04adde27e06ffp-23, 0x1.086880d4c743ap-23, 0x1.0c00db2273b5p-23, 0x1.0f7796bb1339bp-23, 0x1.12cd58677bc8fp-23, 0x1.1602b8e726754p-23, 0x1.1918407a18fc9p-23, 0x1.1c0e726be7632p-23, 0x1.1ee5e131eed9p-23, 0x1.219f2884960ecp-23, 0x1.243ad8e79288cp-23, 0x1.26b98387df0a7p-23, 0x1.291bcc47c8dffp-23, 0x1.2b625a5df1b95p-23, 0x1.2d8dc5f1b00ccp-23, 0x1.2f9e976b90f72p-23, 0x1.31954f96e040ep-23, 0x1.33727110a489ap-23, 0x1.35367b247de97p-23, 0x1.36e1e84e85ef2p-23, 0x1.38753a37f2d31p-23, 0x1.39f0f19d240bap-23, 0x1.3b5590de5a3c8p-23, 0x1.3ca397c0a6b63p-23, 0x1.3ddb8dd0e712ap-23, 0x1.3efe1007a097dp-23, 0x1.400b7fa7cb2e4p-23, 0x1.40f77aec1350ap-23, 0x1.4201ada40aac4p-23, 0x1.42b57f3c710d8p-23, 0x1.436c2dfa99f58p-23, 0x1.441b57a4648e3p-23, 0x1.44b1091de3e1ap-23, 0x1.4534aa3350623p-23, 0x1.45a6a49f98dbdp-23, 0x1.46073d7167552p-23, 0x1.4656ca21a184ap-23, 0x1.4695a664a1de3p-23, 0x1.46c42f1da7b9p-23, 0x1.46e2c1081dfc4p-23, 0x1.46f1b80302f82p-23, 0x1.46f16ebd92bcdp-23, 0x1.46e23eafd93ebp-23, 0x1.46c47f97095e3p-23, 0x1.469887d782ef6p-23, 0x1.465eac662588cp-23, 0x1.461740d4bda7ep-23, 0x1.45c297792546p-23, 0x1.456101b5aed27p-23, 0x1.44f2d07cebae7p-23, 0x1.447855310fd96p-23, 0x1.43f1e2d265621p-23, 0x1.435fce87c013ap-23, 0x1.42c26bda15ed4p-23, 0x1.4219fd55d2f98p-23, 0x1.41669888f69bep-23, 0x1.40a7c3a1ff041p-23, 0x1.3f6825b355cc1p-23, 0x1.3f0c441ef9981p-23, 0x1.3e309c94970a2p-23, 0x1.3d4ae18e8ab14p-23, 0x1.3c5b7341a9767p-23, 0x1.3b62cb6e42d93p-23, 0x1.3a61641a7ceebp-23, 0x1.39578aab46ee5p-23, 0x1.3845739dc8c91p-23, 0x1.372b4ebe177edp-23, 0x1.36094df9c2d5cp-23, 0x1.34dfa56aabbe9p-23, 0x1.33ae8a1810953p-23, 0x1.3276311c7e83cp-23, 0x1.3136cf748d787p-23, 0x1.2ff0999df9e35p-23, 0x1.2ea3c2f8733e2p-23, 0x1.2d507e232efd5p-23, 0x1.2bf6fce6535a7p-23, 0x1.2a976fda5e228p-23, 0x1.293206a51e586p-23, 0x1.27c6f011a25edp-23, 0x1.26565a0ba2c1fp-23, 0x1.24e071a92cd88p-23, 0x1.2365622cecb3fp-23, 0x1.21e5590ff17eap-23, 0x1.20607ece8aac8p-23, 0x1.1ed6fde7592cbp-23, 0x1.1d48ff2f41f44p-23, 0x1.1bb6aacf85d39p-23, 0x1.1a2028dfbb62cp-23, 0x1.18859e8342069p-23, 0x1.16e7321d9b698p-23, 0x1.154509482b045p-23, 0x1.139f485240635p-23, 0x1.11f61291308d4p-23, 0x1.10498b21170d8p-23, 0x1.0e99d49c221c5p-23, 0x1.0ce7120e5ab95p-23, 0x1.0b31668427f8p-23, 0x1.0978ebd4dba1cp-23, 0x1.07bdc01fee233p-23, 0x1.060009f56fb22p-23, 0x1.043fe5fd33165p-23, 0x1.027d70ca703efp-23, 0x1.00b8c78c64eb1p-23, 0x1.fde40e08a5536p-24, 0x1.fa5296fa057e6p-24, 0x1.f6bd623cb15b9p-24, 0x1.f324a8f2c0725p-24, 0x1.ef88a6b36396cp-24, 0x1.ebe99b759965p-24, 0x1.e847cb3d2b9b3p-24, 0x1.e4a375e7a5718p-24, 0x1.e0fcc39eeaf95p-24, 0x1.dd53b80d0260bp-24, 0x1.d9a84df34578fp-24, 0x1.d5fa9c5886e53p-24, 0x1.d24acde95588ep-24, 0x1.ce9922a05567dp-24, 0x1.cae5faf54e49bp-24, 0x1.c731a952b6d8bp-24, 0x1.c37c66381ffabp-24, 0x1.bfc64daec32edp-24, 0x1.bc0f85c23bdcfp-24, 0x1.b85859ac0be34p-24, 0x1.b4a1765c6c0a1p-24, 0x1.b0e84dfa09887p-24, 0x1.ad21592e7e777p-24, 0x1.a9540ca613ea1p-24, 0x1.a5bf7b167f40fp-24, 0x1.a207ae7032afdp-24, 0x1.9e4ee3ca0738ap-24, 0x1.9a971714d9961p-24, 0x1.96dfff6eae4ccp-24, 0x1.93299c96b1321p-24, 0x1.8f7403d292e86p-24, 0x1.8bbf4e94f0f9dp-24, 0x1.880b98840c7a6p-24, 0x1.845900f81009bp-24, 0x1.80a7ab18a7595p-24, 0x1.7cf7bbb21f20dp-24, 0x1.79495425fa38dp-24, 0x1.759c96b6058ccp-24, 0x1.71f199ef331c3p-24, 0x1.6e48756ef60f9p-24, 0x1.6aa13cc98aad4p-24, 0x1.66fc028b8bca4p-24, 0x1.6358d91bdc491p-24, 0x1.5fb7d4b638a1dp-24, 0x1.5c190ad7c2054p-24, 0x1.587c8fd2105f1p-24, 0x1.54e2639b4b4e4p-24, 0x1.51400b20e5e5ep-24, 0x1.4db4d855da255p-24, 0x1.4a23692703b51p-24, 0x1.4693c5410ffe1p-24, 0x1.430705e4a559dp-24, 0x1.3f7d54081922fp-24, 0x1.3bf681a03b7a6p-24, 0x1.38727050ec385p-24, 0x1.34f182c79f105p-24, 0x1.3173d8ac36734p-24, 0x1.2df928be5a553p-24, 0x1.2a8195f84d444p-24, 0x1.270d7c19eddccp-24, 0x1.239ceaa9594a1p-24, 0x1.202fd23c7b74p-24, 0x1.1cc631f267947p-24, 0x1.1960154f8d7c4p-24, 0x1.15fd8b097b8fp-24, 0x1.129ea1b151b2cp-24, 0x1.0f4367bf96746p-24, 0x1.0bebed5fb22acp-24, 0x1.0898481068c47p-24, 0x1.054897751bf5bp-24, 0x1.01fd02c59d441p-24, 0x1.fd6b2649f9424p-25, 0x1.f6e3da578664bp-25, 0x1.f063750cc5969p-25, 0x1.e9eb63ca93759p-25, 0x1.e37c137f121e3p-25, 0x1.dd1423842ee43p-25, 0x1.d6b3c3ae7ef0ep-25, 0x1.d05bfe04b4bbdp-25, 0x1.ca0d274fa270fp-25, 0x1.c3c7200100ac4p-25, 0x1.bd89c5c07e161p-25, 0x1.b7550c2e938a3p-25, 0x1.b128f6a07b16p-25, 0x1.ab058f14f01efp-25, 0x1.a4eae129f069fp-25, }}, 
      {{0x1.a7c9265f7f59dp-4, 0x1.61c9778cf6178p-3, 0x1.7cf4e72bc602ap-3, 0x1.16d4f0b220b5bp-3, 0x1.c67466596c791p-6, -0x1.049bc914c0f6dp-3, -0x1.40dfd9486d39bp-2, -0x1.076de5366cf05p-1, -0x1.6e90021ccc208p-1, -0x1.cf79129c88655p-1, -0x1.129d69f3628f5p+0, -0x1.362d88d87e87ep+0, -0x1.515bd646655bfp+0, -0x1.63ac73835a79ap+0, -0x1.6d1e2ce0f8265p+0, -0x1.6e0f9f2454444p+0, -0x1.67260d531bd13p+0, -0x1.5936feb1c039cp+0, -0x1.45351ef32c872p+0, -0x1.2c207b9ef5afep+0, -0x1.0efa026a504e2p+0, -0x1.dd73ff1eee3ccp-1, -0x1.989286ea1e762p-1, -0x1.50f9175e0b932p-1, -0x1.082393a763f5cp-1, -0x1.7ebba02324ceap-2, -0x1.df0d998353eaep-3, -0x1.9209bb8ead8a1p-4, 0x1.067e5f30c4058p-5, 0x1.3e7ed352a6a5ap-3, 0x1.15e56f35d5302p-2, 0x1.841c4dad20a81p-2, 0x1.e977ce580c5c6p-2, 0x1.22de9e24aa961p-1, 0x1.4c6dfa09bf398p-1, 0x1.71733a5013179p-1, 0x1.920601d67cb59p-1, 0x1.ae49789f6d102p-1, 0x1.c669bf1a57661p-1, 0x1.da99b23b8ccd9p-1, 0x1.eb10fd64da26cp-1, 0x1.f80a7582fbf4cp-1, 0x1.00e15bc591d2fp+0, 0x1.043b81e819c22p+0, 0x1.063227b4d3572p+0, 0x1.06e3428cc8133p+0, 0x1.066bf7b85ecb4p+0, 0x1.04e8632e91a38p+0, 0x1.02736d64ae3cbp+0, 0x1.fe4d5b5cc9f93p-1, 0x1.f634ae160bbf9p-1, 0x1.ecca5af6392eap-1, 0x1.e2390467a5424p-1, 0x1.d6a86ab86385dp-1, 0x1.ca3d7837ad6cdp-1, 0x1.bd1a54091f60cp-1, 0x1.af5e79fa37776p-1, 0x1.a126d6014e84dp-1, 0x1.928de24352b33p-1, 0x1.83abc6b6e5a7ap-1, 0x1.749679a185578p-1, 0x1.6561e05dba8a7p-1, 0x1.561fefe9244eap-1, 0x1.46e0ccd8eea54p-1, 0x1.37b2ea706c277p-1, 0x1.28a3289a69e2bp-1, 0x1.19bcf0b0aa1b3p-1, 0x1.0b0a50eddb62dp-1, 0x1.f9282d1733a7cp-2, 0x1.dcc3cd04f82cp-2, 0x1.c0f4a9f83f889p-2, 0x1.a5c5f6e1853c9p-2, 0x1.8b411b0dfd403p-2, 0x1.716dd9710e154p-2, 0x1.5852758e6577ep-2, 0x1.3ff3d619b65ebp-2, 0x1.2855a571519fdp-2, 0x1.117a6fe25dfc5p-2, 0x1.f6c77ff49acf6p-3, 0x1.cc2471b07712fp-3, 0x1.a30b5d51567e9p-3, 0x1.7b7a7a9ec9118p-3, 0x1.556ebadf111cbp-3, 0x1.30e3ef8e7481p-3, 0x1.0dd4ee335b2eep-3, 0x1.d877624bed941p-4, 0x1.9822eba398589p-4, 0x1.5a9db097da89fp-4, 0x1.1fd7d90d2ce9ap-4, 0x1.cf8155e955015p-5, 0x1.648d67007b9a3p-5, 0x1.fd5fb83699753p-6, 0x1.3b8794bbdfa58p-6, 0x1.068e9759b9ae9p-7, -0x1.5d68934d8acf3p-9, -0x1.a343cd12eaf22p-7, -0x1.6ee3aa034a0dp-6, -0x1.01df51a329413p-5, -0x1.483f4d0f70d94p-5, -0x1.8ab750bce9838p-5, -0x1.c96c6e51aa1e9p-5, -0x1.024194960bd31p-4, -0x1.1e0fb1f123871p-4, -0x1.38322617542a9p-4, -0x1.50ba2827f219bp-4, -0x1.67b8884ee8c46p-4, -0x1.7d3daae73a834p-4, -0x1.9159864135931p-4, -0x1.a41b9d887b7dfp-4, -0x1.b592fffde1f46p-4, -0x1.c5ce482bd8255p-4, -0x1.d4db99126e129p-4, -0x1.e2c8a00c2e959p-4, -0x1.efa294e59fe72p-4, -0x1.fb7638ebc8adcp-4, -0x1.0327ed1a324eap-3, -0x1.081daa684eb67p-3, -0x1.0ca20969b7756p-3, -0x1.10ba8832cd566p-3, -0x1.146c6ef7cf197p-3, -0x1.17bcd057b741ap-3, -0x1.1ab08b728bbaap-3, -0x1.1d4c4d873d6cbp-3, -0x1.1f949255f419cp-3, -0x1.218da60397246p-3, -0x1.233ba7270947ap-3, -0x1.24a28765e3f7bp-3, -0x1.25c60cceb75fp-3, -0x1.26a9d4258b35fp-3, -0x1.275151f9346cep-3, -0x1.27bfd36ad0a69p-3, -0x1.27f8803587d6cp-3, -0x1.27fe5c67fa4dap-3, -0x1.27d449054f869p-3, -0x1.277d0544faff1p-3, -0x1.26fb30927fdc8p-3, -0x1.26514bafa83e6p-3, -0x1.2581b94e1e6abp-3, -0x1.248ebf8242661p-3, -0x1.237a8974e3e9ep-3, -0x1.22472831e8bbdp-3, -0x1.20f69348d4e7ep-3, -0x1.1f8aaa3090233p-3, -0x1.1e0535b23f2d8p-3, -0x1.1c67e89254fe3p-3, -0x1.1ab460243bfap-3, -0x1.18ec257ec332ep-3, -0x1.1710aeb67d612p-3, -0x1.15235f7d9065ap-3, -0x1.1325899729eb9p-3, -0x1.11186dca81c65p-3, -0x1.0efd3cfb94aa1p-3, -0x1.0cd518d912dfp-3, -0x1.0aa1142e680cap-3, -0x1.0862338b238cap-3, -0x1.06196e40631f4p-3, -0x1.03c7af0aaf48ep-3, -0x1.016dd468a695cp-3, -0x1.fe19620beeb7bp-4, -0x1.f94a18ec37b5fp-4, -0x1.f46f47d081a49p-4, -0x1.ef8a551d43d18p-4, -0x1.ea9c93c4ed57bp-4, -0x1.e5a7442dfb47fp-4, -0x1.e0ab95718c461p-4, -0x1.dbaaa659070dbp-4, -0x1.d6a585ebf43c6p-4, -0x1.d19d33e87c757p-4, -0x1.cc92a19221326p-4, -0x1.c786b2ad7a36fp-4, -0x1.c27a3e3d00951p-4, -0x1.bd6e0eefa0802p-4, -0x1.b862e3852300ep-4, -0x1.b3596f734e391p-4, -0x1.ae525baa44d1dp-4, -0x1.a94e472ba6b79p-4, -0x1.a44dc7689a403p-4, -0x1.9f51688f8872bp-4, -0x1.9a59ae0413b53p-4, -0x1.956712f6cf1fcp-4, -0x1.907a0ae457c38p-4, -0x1.8b9301eaa5e42p-4, -0x1.86b25d0656bccp-4, -0x1.81d87a614b03ap-4, -0x1.7d05b1c22acfep-4, -0x1.783a54f7bad5ap-4, -0x1.7376b028ddec9p-4, -0x1.6ebb0a0bde276p-4, -0x1.6a07a4184efe4p-4, -0x1.655cbacec565p-4, -0x1.60ba860ea484p-4, -0x1.5c21395f6a6d2p-4, -0x1.57910427764fap-4, -0x1.530a11d446743p-4, -0x1.4e8c8a02f7501p-4, -0x1.4a1890b9370b9p-4, -0x1.45ae46a3b7e0bp-4, -0x1.414dc94a4b8efp-4, -0x1.3cf733385c193p-4, -0x1.38aa9c1bd191ep-4, -0x1.346818e37802dp-4, -0x1.302fbbe843b54p-4, -0x1.2c01951ab7a69p-4, -0x1.27ddb2296235ap-4, -0x1.23c41ea012473p-4, -0x1.1fb4e40083ebbp-4, -0x1.1bb009d81ee4ep-4, -0x1.17b595db7e406p-4, -0x1.13c58c0714a1cp-4, -0x1.0fdfeebc6af74p-4, -0x1.0c04beda53bddp-4, -0x1.0833fbd147eb2p-4, -0x1.046da3b3d8636p-4, -0x1.00b1b347bc87bp-4, -0x1.fa004c3710ec6p-5, -0x1.f2b1ed3a0dcc1p-5, -0x1.eb783c5842954p-5, -0x1.e4532a563eff9p-5, -0x1.dd42a619370f3p-5, -0x1.d6469cbe45af4p-5, -0x1.cf5ef9b35ea86p-5, -0x1.c88ba6d6281cdp-5, -0x1.c1cc8c921c5a8p-5, -0x1.bb2191f9da77ap-5, -0x1.b48a9cddafda8p-5, -0x1.ae0791df6ade6p-5, -0x1.a7985482e3817p-5, -0x1.a13cc73eded95p-5, -0x1.9af4cb919365cp-5, -0x1.94c0421557424p-5, -0x1.8e9f0a9226276p-5, -0x1.8891040d20752p-5, -0x1.82960cd6cfafdp-5, -0x1.7cae02975700ap-5, -0x1.76d8c25966597p-5, -0x1.71162896e2efbp-5, -0x1.6b661146fcee2p-5, -0x1.65c857eab3b29p-5, -0x1.603cd7977f684p-5, -0x1.5ac36b0132c99p-5, -0x1.555bec8324de3p-5, -0x1.5006362802444p-5, -0x1.4ac221b1310d9p-5, -0x1.458f889f5b755p-5, -0x1.406e443b60f7fp-5, -0x1.3b5e2d9e100a4p-5, -0x1.365f1db6d4694p-5, -0x1.3170ed5208e11p-5, -0x1.2c93751ef4489p-5, -0x1.27c68db4fb79cp-5, -0x1.230a0f985dc5cp-5, -0x1.1e5dd33f81aa3p-5, -0x1.19c1b11873d75p-5, -0x1.1535818decd32p-5, -0x1.10b91d0b7fa23p-5, -0x1.0c4c5c01a2cb3p-5, -0x1.07ef16e992a67p-5, -0x1.03a12648d9409p-5, -0x1.fec4c568aa3aap-6, -0x1.f66549a65ee11p-6, -0x1.ee238ac46902fp-6, -0x1.e5ff3a6e10554p-6, -0x1.ddf80a85faed4p-6, -0x1.d60dad2b2d429p-6, -0x1.ce3fd4bde2c8ap-6, -0x1.c68e33e42d893p-6, -0x1.bef87d8e0bd25p-6, -0x1.b77e64f8db56dp-6, -0x1.b01f9db2f687dp-6, -0x1.a8dbdb9fa1723p-6, -0x1.a1b2d2fae2e86p-6, -0x1.9aa4385cdc312p-6, -0x1.93afc0bcbb624p-6, -0x1.8cd5217379a81p-6, -0x1.8614103e6d37fp-6, -0x1.7f6c4341aa013p-6, -0x1.78dd710a1bfecp-6, -0x1.7267508f95937p-6, -0x1.6c0999371b1d9p-6, -0x1.65c402d51c401p-6, -0x1.5f9645af70a5fp-6, -0x1.59801a7ef5c77p-6, -0x1.53813a70fa042p-6, -0x1.4d995f289fffbp-6, -0x1.47c842c03d118p-6, -0x1.420d9fcaadda5p-6, -0x1.3c69315486f6ep-6, -0x1.36dab2e54a9fp-6, -0x1.3161e0808ec9ep-6, -0x1.2bfe76a719781p-6, -0x1.26b03257b5376p-6, -0x1.2176d10fee6d1p-6, -0x1.1c5210ccb25efp-6, -0x1.1741b00b0c7d9p-6, -0x1.12456dc8d704cp-6, -0x1.0d5d098578464p-6, -0x1.0888434280fdfp-6, -0x1.03c6db84152b9p-6, -0x1.fe3126a313659p-7, -0x1.f4fa586b080b4p-7, -0x1.ebe8d07d25affp-7, -0x1.e2fc13fe4f94p-7, -0x1.da33a91c1167p-7, -0x1.d18f170ce43dfp-7, -0x1.c90de610d7758p-7, -0x1.c0af9f7202b19p-7, -0x1.b873cd84e8615p-7, -0x1.b059fba883d24p-7, -0x1.a861b6465ce3fp-7, -0x1.a08a8ad27e2e5p-7, -0x1.98d407cb75017p-7, -0x1.913dbcba44bbp-7, -0x1.89c73a32574b4p-7, -0x1.827011d1610fp-7, -0x1.7b37d63f28846p-7, -0x1.741e1b2d33419p-7, -0x1.6d22755656c64p-7, -0x1.66447a7e3b3ap-7, -0x1.5f83c170de2a8p-7, -0x1.58dfe2021549fp-7, -0x1.5258750d43d7dp-7, -0x1.4bed147520ed4p-7, -0x1.459d5b2376e37p-7, -0x1.3f68e5089bf04p-7, -0x1.394f4f1ada03p-7, -0x1.335037555e289p-7, -0x1.2d6b3cb6cae8cp-7, -0x1.279fff4001629p-7, -0x1.21ee1ff2951f2p-7, -0x1.1c5540d00414dp-7, -0x1.16d504d90b606p-7, -0x1.116d100d8240ep-7, -0x1.0c1d076c70c0ep-7, -0x1.06e490f40f6ep-7, -0x1.01c353a16445p-7, -0x1.f971eedf644f6p-8, -0x1.ef8a4aa6b6e31p-8, -0x1.e5cf0e7fac969p-8, -0x1.dc3f902f44bd7p-8, -0x1.d2db276ff657p-8, -0x1.c9a12dd9de2e8p-8, -0x1.c090fee904636p-8, -0x1.b7a9f7fc3d971p-8, -0x1.aeeb78563d5c9p-8, -0x1.a654e11f557c9p-8, -0x1.9de5956628216p-8, -0x1.959cfa1e6f675p-8, -0x1.8d7a761d6778cp-8, -0x1.857d7213d1146p-8, -0x1.7da558869e5dbp-8, -0x1.75f195c7567dfp-8, -0x1.6e6197ed9aa0fp-8, -0x1.66f4ced2889b5p-8, -0x1.5faaac0e8b581p-8, -0x1.5882a2f929062p-8, -0x1.517c28a9d9949p-8, -0x1.4a96b3f8e2875p-8, -0x1.43d1bd7f2d06cp-8, -0x1.3d2cbf94a2c1dp-8, -0x1.36a7364d1c9d6p-8, -0x1.30409f747ce04p-8, -0x1.29f87a8aafc16p-8, -0x1.23ce48c027d01p-8, -0x1.1dc18cf2fa3cbp-8, -0x1.17d1cbabd0101p-8, -0x1.11fe8b19cd659p-8, -0x1.0c475308e8184p-8, -0x1.06abace924fedp-8, -0x1.012b23a28bbfcp-8, -0x1.f78a87531cddp-9, -0x1.ecf335c97712ap-9, -0x1.e28f71569f8d4p-9, -0x1.d85e5b90c2059p-9, -0x1.ce5f190db658p-9, -0x1.c490d18975f37p-9, -0x1.baf2b012c1fbcp-9, -0x1.b183e331065aap-9, -0x1.a8439cf56c7dap-9, -0x1.9f3112eafb66fp-9, -0x1.964b7ddf9ded6p-9, -0x1.8d92198995054p-9, -0x1.850424169c98cp-9, -0x1.7ca0ddbad5444p-9, -0x1.7467885af8d85p-9, -0x1.6c57676953aedp-9, -0x1.646fc0093becep-9, -0x1.5cafd9790a11ep-9, -0x1.5516fdb603d13p-9, -0x1.4da47a3ac4c8cp-9, -0x1.4657a0ae2429dp-9, -0x1.3f2fc754d609ap-9, -0x1.382c492021839p-9, -0x1.314c85456f6a9p-9, -0x1.2a8fde63191f5p-9, -0x1.23f5b951df995p-9, -0x1.1d7d7bd9f5be6p-9, -0x1.17268b8fe241bp-9, -0x1.10f04d1d635c4p-9, -0x1.0ada242ace9b7p-9, -0x1.04e373ffce451p-9, -0x1.fe17419b142afp-10, -0x1.f2a422db2dc57p-10, -0x1.e76c628532ea2p-10, -0x1.dc6ee3aead88fp-10, -0x1.d1aa97b9df7bbp-10, -0x1.c71e7e82fb06ep-10, -0x1.bcc9a483a379bp-10, -0x1.b2ab1f1aa293fp-10, -0x1.a8c2078b16529p-10, -0x1.9f0d759779febp-10, -0x1.958c7ac31007ep-10, -0x1.8c3e1f35f247dp-10, -0x1.832160ff059f3p-10, -0x1.7a35360419194p-10, -0x1.71789067ecf3p-10, -0x1.68ea6454e39c8p-10, -0x1.6089afc8b3127p-10, -0x1.5855805e85c1fp-10, -0x1.504cf8001dae1p-10, -0x1.486f4d96abbfp-10, -0x1.40bbcd533bf3cp-10, -0x1.3931d3607135dp-10, -0x1.31d0c436342bcp-10, -0x1.2a98047ec7e9cp-10, -0x1.2386f0d3c4ad7p-10, -0x1.1c9cd7345d25fp-10, -0x1.15d8f37303dc7p-10, -0x1.0f3a6f4c86ae7p-10, -0x1.08c066349eae5p-10, -0x1.0269ec3d39902p-10, -0x1.f86c2de98a197p-11, -0x1.ec480d86d46eep-11, -0x1.e065de6f0907dp-11, -0x1.d4c439b11d273p-11, -0x1.c961eeef0e25ep-11, -0x1.be3e010157242p-11, -0x1.b3579af6b4c4fp-11, -0x1.a8adff20505c2p-11, -0x1.9e4072f7c5b5cp-11, -0x1.940e2b50bafb4p-11, -0x1.8a163c419c6f3p-11, -0x1.80578f7b38973p-11, -0x1.76d0e286e51c3p-11, -0x1.6d80ccea978abp-11, -0x1.6465ccd9431cbp-11, -0x1.5b7e582187cb1p-11, -0x1.52c8ee8b4cb8ap-11, -0x1.4a4429c3ce7ebp-11, -0x1.41eed0ad00d08p-11, -0x1.39c7d316be6b3p-11, -0x1.31ce571e1e52dp-11, -0x1.2a01ada5e209ap-11, -0x1.22614891962bap-11, -0x1.1aecabc2ce5e8p-11, -0x1.13a35c82bc309p-11, -0x1.0c84d1f2989e2p-11, -0x1.059068f30c2f7p-11, -0x1.fd8aba9e0760ep-12, -0x1.f04591f5cc49p-12, -0x1.e34f523d9a0c4p-12, -0x1.d6a5cf587fa57p-12, -0x1.ca46cf47cddc4p-12, -0x1.be3023cc5d34cp-12, -0x1.b25fc0cb06493p-12, -0x1.a6d3cbc3ea516p-12, -0x1.9b8aa2324d096p-12, -0x1.9082d6e3bb484p-12, -0x1.85bb28c8a2ddap-12, -0x1.7b3277224d19bp-12, -0x1.70e7b6a14807p-12, -0x1.66d9e91b541bbp-12, -0x1.5d0817343371ep-12, -0x1.53714a169b409p-12, -0x1.4a1483d83110fp-12, -0x1.40f0b6f93093cp-12, -0x1.3804bf77ef0dep-12, -0x1.2f4f60f6fb3b8p-12, -0x1.26cf4cb9dad5ap-12, -0x1.1e832f889a718p-12, -0x1.1669c3b8f8716p-12, -0x1.0e81e05fa444cp-12, -0x1.06ca7e29e3c42p-12, -0x1.fe855b7ed6319p-13, -0x1.efd303c0f19cbp-13, -0x1.e17bec10f7ac2p-13, -0x1.d37dbb4113d5p-13, -0x1.c5d5caec0c0a3p-13, -0x1.b8815327c9456p-13, -0x1.ab7db013ba14dp-13, -0x1.9ec8a4a763da4p-13, -0x1.92607d53afc41p-13, -0x1.8644026a8f5e6p-13, -0x1.7a7240691a7a5p-13, -0x1.6eea40d4a373p-13, -0x1.63aad6af4630fp-13, -0x1.58b297e52fa78p-13, -0x1.4e000529435b5p-13, -0x1.4391c80f6a516p-13, -0x1.3966e2464d19bp-13, -0x1.2f7eaf8aa4939p-13, -0x1.25d8b1c1c6b98p-13, -0x1.1c7437f4781e5p-13, -0x1.13500266808e4p-13, -0x1.0a6a098ab2aa5p-13, -0x1.01bf82ea50612p-13, -0x1.f29a554b07897p-14, -0x1.e21f7fddab9ccp-14, -0x1.d2091a8d85ae9p-14, -0x1.c253947a29b8fp-14, -0x1.b2fd5a1874ee8p-14, -0x1.a40643bacd4f7p-14, -0x1.956e91e02f374p-14, -0x1.8735f708866d9p-14, -0x1.795b25ccbcfbdp-14, -0x1.6bdc0b9844774p-14, -0x1.5eb6800596448p-14, -0x1.51e8fab45893cp-14, -0x1.4572ebdb1b01bp-14, -0x1.39548c087a04dp-14, -0x1.2d8e3c63c123p-14, -0x1.221fc24b69c3cp-14, -0x1.1707aef318594p-14, -0x1.0c431f9c93a3dp-14, -0x1.01cdd8a7996eap-14, -0x1.ef455b19554dap-15, -0x1.db78558bc2221p-15, -0x1.c82ad9f477afep-15, -0x1.b555dd732941cp-15, -0x1.a2f5f07738379p-15, -0x1.910addb95008cp-15, -0x1.7f961ee6c1fcbp-15, -0x1.6e98edfc2e5e1p-15, -0x1.5e12edfba1327p-15, -0x1.4e01f528cb3b2p-15, -0x1.3e62dc44772aep-15, -0x1.2f32c5ae321e1p-15, -0x1.207020a519395p-15, -0x1.121acc3281354p-15, -0x1.04334be31d6eap-15, -0x1.ed734bbae9d0fp-16, -0x1.d359405076d9ap-16, -0x1.ba1345a708ab6p-16, -0x1.a19a0ed089918p-16, -0x1.89e4e62bd6c0fp-16, -0x1.72ea1449d1913p-16, -0x1.5c9f30f0132d3p-16, -0x1.46f9bfde8d675p-16, -0x1.31f029d509f45p-16, -0x1.1d7ad3ded417fp-16, -0x1.0994ef8bfce82p-16, -0x1.ec792834298acp-17, -0x1.c6e3e424d643fp-17, -0x1.a26b9c2b3c35fp-17, -0x1.7f0f92c98f4c9p-17, -0x1.5ccb378d4c75ep-17, -0x1.3b983ad191e53p-17, -0x1.1b71e09971caap-17, -0x1.f8aac52992bep-18, -0x1.bc7f9927f5f49p-18, -0x1.8259bc3955213p-18, -0x1.4a2e90243c675p-18, -0x1.13f10609e9345p-18, -0x1.bf22c0dcd6791p-19, -0x1.59fecf2ad2794p-19, -0x1.f0b4f178c8043p-20, -0x1.343e4829c6fa1p-20, -0x1.f9b68514152dep-22, 0x1.8792764d8f697p-23, 0x1.b44f6d96c52b9p-21, 0x1.7d8807908b0a3p-20, 0x1.0db16e2532443p-19, 0x1.59f31b3fb59ddp-19, 0x1.a38f4ac64a556p-19, 0x1.ea8c9e3f9d075p-19, 0x1.17802d08ef732p-18, 0x1.388244d64e4dap-18, 0x1.584fcb5f4943p-18, 0x1.76e16eaf9be93p-18, 0x1.943436bc759b4p-18, 0x1.b053a76ee5e24p-18, 0x1.cb52135ba087dp-18, 0x1.e53b312c669f8p-18, 0x1.fe12233dc9651p-18, 0x1.0aed284205b07p-17, 0x1.164e80cf37fa4p-17, 0x1.2132dba8b03d9p-17, 0x1.2b9e02350d172p-17, 0x1.359110fab0503p-17, 0x1.3f0c3cc37a4d2p-17, 0x1.48111ef12f2d4p-17, 0x1.50a492a75ac89p-17, 0x1.58cfa88405d95p-17, 0x1.609c036c88926p-17, 0x1.680b679b03e95p-17, 0x1.6f1643c664153p-17, 0x1.75b7825d57b26p-17, 0x1.7bf70fd57a33fp-17, 0x1.81e017671358dp-17, 0x1.877993eca9f3cp-17, 0x1.8cc1a7821f23ap-17, 0x1.91b6bdf5a38fbp-17, 0x1.965801ef44ee1p-17, 0x1.9aa9c80f5f355p-17, 0x1.9eb2c26deae7ap-17, 0x1.a27630d3276fcp-17, 0x1.a5f251cd57d99p-17, 0x1.a925e5db0f554p-17, 0x1.ac13f014017dbp-17, 0x1.aec14d081b9acp-17, 0x1.b13124861a393p-17, 0x1.b3641710d97abp-17, 0x1.b559b5db91d44p-17, 0x1.b712247c13994p-17, 0x1.b88eb127758aep-17, 0x1.b9d34e6dad9aap-17, 0x1.bae7d66f81689p-17, 0x1.bbd12395fe51dp-17, 0x1.bc8a473296154p-17, 0x1.bd0e8947c2c95p-17, 0x1.bd625547be49ap-17, 0x1.bd8902251f0a8p-17, 0x1.bd7ea41dc0773p-17, 0x1.bd42fece873bep-17, 0x1.bcde24fd1c127p-17, 0x1.bc582476bf5a2p-17, 0x1.bbb146661d7e4p-17, 0x1.bae540cb043dp-17, 0x1.b9f4506bb5ec3p-17, 0x1.b8e2f548653e4p-17, 0x1.b7b126f182b89p-17, 0x1.b65e5d4763d61p-17, 0x1.b4e8baa90b724p-17, 0x1.b3546070a5f02p-17, 0x1.b1a4316fb8d44p-17, 0x1.afd92d4d93f33p-17, 0x1.adf3603e7f892p-17, 0x1.abf30fdd5a13ap-17, 0x1.a9d8cf2cfcb63p-17, 0x1.a7a4891188ed8p-17, 0x1.a5575f4fd3f72p-17, 0x1.a2f5d2204c2ffp-17, 0x1.a080c84081663p-17, 0x1.9df64fd97db49p-17, 0x1.9b5a5229bf963p-17, 0x1.98ad79b93243cp-17, 0x1.95eb705fd365fp-17, 0x1.9314d6fbe88b2p-17, 0x1.902c9ceb49a0bp-17, 0x1.8d33d38a896a3p-17, 0x1.8a2a812f6cb4p-17, 0x1.87124713f0082p-17, 0x1.83ee4c5c7c758p-17, 0x1.80be72daaaa54p-17, 0x1.7d813d25c6b4ep-17, 0x1.7a3924e6e530ep-17, 0x1.76e6eda68f4d8p-17, 0x1.7387db739414ep-17, 0x1.701c4ceb571c2p-17, 0x1.6ca6d97ac3452p-17, 0x1.692906ad4fbb5p-17, 0x1.65a334f5109e4p-17, 0x1.62157c70d2fccp-17, 0x1.5e8048d793fa9p-17, 0x1.5ae3f92387724p-17, 0x1.573f5fc967ab6p-17, 0x1.5391e765f1942p-17, 0x1.4fdf1b96ef9d8p-17, 0x1.4c283393f88f4p-17, 0x1.486e29bf94367p-17, 0x1.44b02833cdeecp-17, 0x1.40eb6afe32585p-17, 0x1.3d21eec3bfb3dp-17, 0x1.3955a71ccfe27p-17, 0x1.3586f113bb7e4p-17, 0x1.31b5cd93218f5p-17, 0x1.2de25e131c416p-17, 0x1.2a0ce3bf80fe2p-17, 0x1.26354978faf33p-17, 0x1.225ace60bcfep-17, 0x1.1e7e078f3c4e9p-17, 0x1.1aa1423e3be16p-17, 0x1.16c4dd3fd17c4p-17, 0x1.12e97950b4428p-17, 0x1.0f0e17a9423cep-17, 0x1.0b31497ef1244p-17, 0x1.07548b835baddp-17, 0x1.0379221c38c59p-17, 0x1.ff3e91c0f953p-18, 0x1.f78df1a170ca8p-18, 0x1.efe0b538de185p-18, 0x1.e8376b1af4798p-18, 0x1.e090d7ef410f7p-18, 0x1.d8eaf368589fp-18, 0x1.d14a3188538d8p-18, 0x1.c9b1ee6f12447p-18, 0x1.c220ae3d9da31p-18, 0x1.ba924182513e7p-18, 0x1.b30921cd8e267p-18, 0x1.ab8773c742bd7p-18, 0x1.a40d379b0d0efp-18, 0x1.9c9a508ed65cep-18, 0x1.952ee3417c284p-18, 0x1.8dcb3ba1cb0cbp-18, 0x1.866fb5f6b33e2p-18, 0x1.7f1cad0b58796p-18, 0x1.77d272fe39a41p-18, 0x1.709161d482a53p-18, 0x1.6959c30d5d4a6p-18, 0x1.622afc653b78ap-18, 0x1.5b03e59f53523p-18, 0x1.53e68eeae07f8p-18, 0x1.4cd54b882eb7ep-18, 0x1.45cf65f881b0ep-18, 0x1.3ed28f0aeb8ep-18, 0x1.37dfd4c1167edp-18, 0x1.30f88fcce3edcp-18, 0x1.2a1cc93ce8b41p-18, 0x1.234c614561281p-18, 0x1.1c877def6d7ddp-18, 0x1.15ce57c4d438bp-18, 0x1.0f202464bec75p-18, 0x1.087d21a4dd803p-18, 0x1.01e7c3cff771ep-18, 0x1.f6bce1a6298c9p-19, 0x1.e9c0d4e75a215p-19, 0x1.dcde30f1bd2adp-19, 0x1.d015309b1a5a4p-19, 0x1.c365a00ad4e27p-19, 0x1.b6cf8fc9bbfbp-19, 0x1.aa532bee9aa81p-19, 0x1.9df0a394e04bcp-19, 0x1.91a824b99ce28p-19, 0x1.8579dbaab1665p-19, 0x1.7965f4df6c8a8p-19, 0x1.6d6c9c9fb30d7p-19, 0x1.618dfd03fca67p-19, 0x1.55ca39ba1745cp-19, 0x1.4a216bf07e415p-19, 0x1.3e9322676c9cap-19, 0x1.332243619c43ap-19, 0x1.27c9d4ddf0032p-19, 0x1.1c8d3311e4464p-19, 0x1.116c532212642p-19, 0x1.0667479cfcc9fp-19, 0x1.f6fb152191e16p-20, 0x1.e15e8dbf1a41bp-20, 0x1.cbf9931a3a174p-20, 0x1.b6cc0bc52801bp-20, 0x1.a1d5f2a3c66c6p-20, 0x1.8d1750d5682cfp-20, 0x1.789040abfa2f6p-20, 0x1.6440c5e373a4p-20, 0x1.5028dba932078p-20, 0x1.3c4898dc197e9p-20, 0x1.289fea03f1e6bp-20, 0x1.152ecd8d89a57p-20, 0x1.01f5406ba420cp-20, 0x1.dde674b8159d4p-21, 0x1.b8515f2ca7fccp-21, 0x1.932b22214514p-21, 0x1.6e7398af48debp-21, 0x1.4a2a972fc408cp-21, 0x1.264fec39cdde6p-21, 0x1.02e362aa6c8dep-21, 0x1.bfc988365737ap-22, 0x1.7aa7b4133e46fp-22, 0x1.3660d59478708p-22, 0x1.e5e875a2be2efp-23, 0x1.6068220ece97bp-23, 0x1.baa1233655506p-24, 0x1.6e3b86cc4377cp-25, -0x1.241b1a513db7dp-26, -0x1.45cd226b28f64p-24, -0x1.1f9c40126f5dfp-23, -0x1.9aa936fa51afbp-23, -0x1.0a064782537f7p-22, -0x1.45e16701adfc3p-22, -0x1.80ead5553dc59p-22, -0x1.bb1ca71f86f1bp-22, -0x1.f47e4ce99cd8ap-22, -0x1.168943864417bp-21, -0x1.326cee40cb32fp-21, -0x1.4de7733119737p-21, -0x1.68f988216451p-21, -0x1.83a4d6af88e75p-21, -0x1.9deb7a42bd723p-21, -0x1.b7ccc316c46d7p-21, -0x1.d148e990b6cbbp-21, -0x1.ea6077d4f3147p-21, -0x1.0189ff47912eap-20, -0x1.0db206224b042p-20, -0x1.19a8974e23ddep-20, -0x1.256dfa3243d12p-20, -0x1.310276e9f43c7p-20, -0x1.3c665759523d3p-20, -0x1.4799e64180deap-20, -0x1.529d6f7725251p-20, -0x1.5d713f7e82414p-20, -0x1.6815a3157d53dp-20, -0x1.728ae7b91d7a7p-20, -0x1.7cd159566f67fp-20, -0x1.86e9429104125p-20, -0x1.90d2ee2fc92cfp-20, -0x1.9a8eaa577b7a6p-20, -0x1.a41ccb327f377p-20, -0x1.ad7daa44d6815p-20, -0x1.b6b1a0e13e7f1p-20, -0x1.bfb8fdb0e75f1p-20, -0x1.c894009dc4a63p-20, -0x1.d142ef6c4fccp-20, -0x1.d9c6580bc07a4p-20, -0x1.e21f1029c1665p-20, -0x1.ea4c4bf739804p-20, -0x1.f24dc45cd8f59p-20, -0x1.fa25f6d3580cap-20, -0x1.00e9f4a694a6ap-19, -0x1.04abac74d6055p-19, -0x1.0859206daa03ep-19, -0x1.0bf227aa554ccp-19, -0x1.0f76cfc61369bp-19, -0x1.12e7464eee853p-19, -0x1.1643b9c49155p-19, -0x1.198c572cc4f35p-19, -0x1.1cc14ab40fd09p-19, -0x1.1fe2c02d2712fp-19, -0x1.22f0e35abf8c3p-19, -0x1.25ebdffeb9eacp-19, -0x1.28d3e1aab6769p-19, -0x1.2ba915610a92dp-19, -0x1.2e6ba5a1b8c85p-19, -0x1.311bbf89421aep-19, -0x1.33b98e2290a24p-19, -0x1.36453d612ee45p-19, -0x1.38bef8c158c87p-19, -0x1.3b26eaabe884fp-19, -0x1.3d7d46fe0d1e1p-19, -0x1.3fc25aa278643p-19, -0x1.41f63a1ad7b45p-19, -0x1.4418614035777p-19, -0x1.4629ff9d301fap-19, -0x1.482ae00bfee4ep-19, -0x1.4a1b2967d3b77p-19, -0x1.4bfb0970440bep-19, -0x1.4dcaad34240d5p-19, -0x1.4f8a3f1887389p-19, -0x1.5139e5e76342dp-19, -0x1.52d9c9d9dd4cdp-19, -0x1.546a1609bdcdp-19, -0x1.55eb1000b8075p-19, -0x1.575d00f89bf2bp-19, -0x1.58bfae61383bep-19, -0x1.5a135455fc54fp-19, -0x1.5b5828a12ee7bp-19, -0x1.5c8e9d4624402p-19, -0x1.5db6b212316ccp-19, -0x1.5ed086dd16e12p-19, -0x1.5fdc46c2e9a4ep-19, -0x1.60da1cdb5327cp-19, -0x1.61ca337f5887bp-19, -0x1.62acb45e2bf1bp-19, -0x1.6381c9eb07f1p-19, -0x1.6449b244898a6p-19, -0x1.65045710d3048p-19, -0x1.65b21db86d0efp-19, -0x1.66531e7a53c93p-19, -0x1.66e77fc08e86fp-19, -0x1.676f69b5d473p-19, -0x1.67eb057e58891p-19, -0x1.685a7bd0818aep-19, -0x1.68bdf36efb2cep-19, -0x1.691593d4a4345p-19, -0x1.696185a8bbce3p-19, -0x1.69a1efdfe028dp-19, -0x1.69d6f8936f314p-19, -0x1.6a00c6b58a189p-19, -0x1.6a1f815ddba98p-19, -0x1.6a334f46c9adap-19, -0x1.6a3c56c354959p-19, -0x1.6a3abdf31686ap-19, -0x1.6a2eaac49d2e8p-19, -0x1.6a184299111b1p-19, -0x1.69f7aa2c068a8p-19, -0x1.69cd06bd1f1e2p-19, -0x1.69987dc9ac9bdp-19, -0x1.695a360090346p-19, -0x1.69125b7d9c28cp-19, -0x1.68c0f96875843p-19, -0x1.686646c250104p-19, -0x1.680265031644fp-19, -0x1.6795799da7b48p-19, -0x1.671fa4d477435p-19, -0x1.66a10b1945eb4p-19, -0x1.6619d282e6331p-19, -0x1.658a0d69a68b2p-19, -0x1.64f1ef77feeb2p-19, -0x1.645198af0a7a6p-19, -0x1.63a9282c5997dp-19, -0x1.62f8bf8a93375p-19, -0x1.6240804ad6f6fp-19, -0x1.61808bae3b109p-19, }}, 
      {{0x1.7a014e100b9aep-4, 0x1.5a8248b80aca1p-3, 0x1.c130cf13f19dfp-3, 0x1.e451d5936623dp-3, 0x1.c0b3acaf1973cp-3, 0x1.5a60222f4be85p-3, 0x1.74540d798a357p-4, -0x1.4717fd50ade14p-7, -0x1.04f0009be87dfp-3, -0x1.057b681b85f3bp-2, -0x1.8d8c87e8a7738p-2, -0x1.0ad305f13a7f7p-1, -0x1.4cc7cdb6ef0a7p-1, -0x1.8af231e2a946ap-1, -0x1.c405ba9f5b933p-1, -0x1.f713ac16c85f2p-1, -0x1.11c031578997cp+0, -0x1.247bd182d188ep+0, -0x1.33b0678a9f627p+0, -0x1.3f69cf48fbf79p+0, -0x1.47c6de097029p+0, -0x1.4cf4beaa8cc63p+0, -0x1.4f2ae6f1105fap+0, -0x1.4ea7a6d8a9725p+0, -0x1.4bad4b581b31ap+0, -0x1.467fc96cac5a1p+0, -0x1.3f62e35df9e05p+0, -0x1.3698b964e7109p+0, -0x1.2c60b652d8189p+0, -0x1.20f6c9bc0d0b7p+0, -0x1.1492e2bedf915p+0, -0x1.07689f275f33bp+0, -0x1.f34e48d0caab8p-1, -0x1.d6f2338f8eba2p-1, -0x1.ba0977ebaa1a7p-1, -0x1.9cd806e61bb08p-1, -0x1.7f99b11a021b3p-1, -0x1.6282a19ac0938p-1, -0x1.45bfe4d525153p-1, -0x1.2977f59f42fb8p-1, -0x1.0dcb4c147c21ap-1, -0x1.e5a9d5a2e0733p-2, -0x1.b155d012a8b0ap-2, -0x1.7ebde16cb5a4bp-2, -0x1.4dfd892aed048p-2, -0x1.1f29540f2ca89p-2, -0x1.e49f659c5070ap-3, -0x1.8ef37ea9f21a9p-3, -0x1.3d57e1a86b06cp-3, -0x1.df9afc90471d8p-4, -0x1.4c9cd9058737fp-4, -0x1.833bd610107e3p-5, -0x1.f3e8094857502p-7, 0x1.e779a360a9ce4p-7, 0x1.61ad5d1a761dfp-5, 0x1.1d6ec5a939c0ap-4, 0x1.82f11038a353bp-4, 0x1.e19a653e3c6bdp-4, 0x1.1cd4ff95d42b3p-3, 0x1.45b05dfc3d42p-3, 0x1.6b803ba4ef665p-3, 0x1.8e65bdf636a19p-3, 0x1.ae820505921f7p-3, 0x1.cbf5f7e41f7ddp-3, 0x1.e6e2190f7de3cp-3, 0x1.ff666208e6ab3p-3, 0x1.0ad1129e098ep-2, 0x1.14d9fab39cf6fp-2, 0x1.1ddcc8efb9204p-2, 0x1.25e7eb7fdaf75p-2, 0x1.2d09592ba03cbp-2, 0x1.334e8cfabededp-2, 0x1.38c48342a56f4p-2, 0x1.3d77b7e711b0fp-2, 0x1.4174259999b79p-2, 0x1.44c5460312c25p-2, 0x1.477612a8ae75ep-2, 0x1.4991066f4db32p-2, 0x1.4b201fa9e2f9cp-2, 0x1.4c2ce29a6d863p-2, 0x1.4cc05c4947bc7p-2, 0x1.4ce325aaed373p-2, 0x1.4c9d66fe20961p-2, 0x1.4bf6db5ae48bcp-2, 0x1.4af6d45e0c978p-2, 0x1.49a43dedde0dap-2, 0x1.4805a20d06db2p-2, 0x1.46212cb175ce3p-2, 0x1.43fcaf9f6c592p-2, 0x1.419da6381d827p-2, 0x1.3f0939425bfdp-2, 0x1.3c4442a1f1bd7p-2, 0x1.395350fd8639dp-2, 0x1.363aab4e6318dp-2, 0x1.32fe545af56aep-2, 0x1.2fa20e14f4ca4p-2, 0x1.2c295cdea93b5p-2, 0x1.28978ab64afe6p-2, 0x1.24efaa40847acp-2, 0x1.213499bb13514p-2, 0x1.1d6905cf296b4p-2, 0x1.198f6c47890e2p-2, 0x1.15aa1eab33e34p-2, 0x1.11bb44b7fe7e3p-2, 0x1.0dc4dec59315cp-2, 0x1.09c8c808eeb42p-2, 0x1.05c8b8bd23ebbp-2, 0x1.01c64834d9b63p-2, 0x1.fb85dd9abc896p-3, 0x1.f3800f98f1f86p-3, 0x1.eb7da64b4a2b5p-3, 0x1.e380ee499dc98p-3, 0x1.db8c040f5d789p-3, 0x1.d3a0d6fdbf2abp-3, 0x1.cbc12c2feb372p-3, 0x1.c3eea132b2c35p-3, 0x1.bc2aae8ded1fdp-3, 0x1.b476aa27fb5e4p-3, 0x1.acd3c98f25327p-3, 0x1.a543241ba00f3p-3, 0x1.9dc5b4eeb8ddcp-3, 0x1.965c5cde25158p-3, 0x1.8f07e43cf437dp-3, 0x1.87c8fc8525194p-3, 0x1.80a041f00b5d1p-3, 0x1.798e3cf4f2828p-3, 0x1.729363a9c5793p-3, 0x1.6bb01b141cc88p-3, 0x1.64e4b868794d9p-3, 0x1.5e31822e75536p-3, 0x1.5796b154afd71p-3, 0x1.5114723896c69p-3, 0x1.4aaae599eb8d3p-3, 0x1.445a217b6fd9fp-3, 0x1.3e2231fa04334p-3, 0x1.38031a17316a8p-3, 0x1.31fcd4720e24fp-3, 0x1.2c0f53f46b2b2p-3, 0x1.263a847873371p-3, 0x1.207e4b62e0b35p-3, 0x1.1ada882f5fed6p-3, 0x1.154f14f4e8c17p-3, 0x1.0fdbc6e45d15cp-3, 0x1.0a806ebd22656p-3, 0x1.053cd9376d584p-3, 0x1.0010cf6879534p-3, 0x1.f5f82e446196cp-4, 0x1.ebfce6967609cp-4, 0x1.e22f485db1ab3p-4, 0x1.d88ecf8f3e88cp-4, 0x1.cf1af40e0909fp-4, 0x1.c5d32a2f3bea1p-4, 0x1.bcb6e33150709p-4, 0x1.b3c58daa05757p-4, 0x1.aafe95eff2414p-4, 0x1.a261667cdeba9p-4, 0x1.99ed68467cab4p-4, 0x1.91a2030e6a28ep-4, 0x1.897e9dae01477p-4, 0x1.81829e5e77a08p-4, 0x1.79ad6afa2d3cp-4, 0x1.71fe69371aac1p-4, 0x1.6a74fedbe5414p-4, 0x1.631091f2be5c4p-4, 0x1.5bd088f8d91f2p-4, 0x1.54b44b08c58bbp-4, 0x1.4dbb3fff82cb9p-4, 0x1.46e4d09e8b96bp-4, 0x1.403066ac6eb38p-4, 0x1.399d6d12f39a5p-4, 0x1.332b4ff92d759p-4, 0x1.2cd97cd9f06fcp-4, 0x1.26a76298338aap-4, 0x1.20947192a41bfp-4, 0x1.1aa01bb580138p-4, 0x1.14c9d4898b72ap-4, 0x1.0f1111406780bp-4, 0x1.097548bf5d786p-4, 0x1.03f5f3a9a462ep-4, 0x1.fd2518d36c38cp-5, 0x1.f2951e7159b8dp-5, 0x1.e83af447db042p-5, 0x1.de159a231dc64p-5, 0x1.d42413871c3cfp-5, 0x1.ca6567b7764p-5, 0x1.c0d8a1bb4a106p-5, 0x1.b77cd06073663p-5, 0x1.ae51063af912fp-5, 0x1.a55459a38296dp-5, 0x1.9c85e4b623e97p-5, 0x1.93e4c55068197p-5, 0x1.8b701d0da03f1p-5, 0x1.832711418fbd1p-5, 0x1.7b08caf1dce73p-5, 0x1.731476cf0b704p-5, 0x1.6b49452d9ef49p-5, 0x1.63a669fecc393p-5, 0x1.5c2b1cc805af4p-5, 0x1.54d69899a128p-5, 0x1.4da81c04c368cp-5, 0x1.469ee9111c3f8p-5, 0x1.3fba4532e408p-5, 0x1.38f97940abceep-5, 0x1.325bd1688b9a3p-5, 0x1.2be09d24d4d9fp-5, 0x1.25872f305a3bep-5, 0x1.1f4edd7a9aa5cp-5, 0x1.1937011c274bdp-5, 0x1.133ef64b312efp-5, 0x1.0d661c4fc716dp-5, 0x1.07abd577ede66p-5, 0x1.020f870b6316cp-5, 0x1.f921327ec4b8dp-6, 0x1.ee5cee54e8e5ep-6, 0x1.e3d11d718fa88p-6, 0x1.d97ca14088f48p-6, 0x1.cf5e60a950d84p-6, 0x1.c57547f728383p-6, 0x1.bbc048c1c09d5p-6, 0x1.b23e59d5e5e67p-6, 0x1.a8ee771d17a6p-6, 0x1.9fcfa186c47dbp-6, 0x1.96e0def2312cbp-6, 0x1.8e213a1712124p-6, 0x1.858fc2701d3acp-6, 0x1.7d2b8c2526e97p-6, 0x1.74f3aff461e0dp-6, 0x1.6ce74b1c95413p-6, 0x1.65057f480036dp-6, 0x1.5d4d7277b32c3p-6, 0x1.55be4eeed4943p-6, 0x1.4e57431e34843p-6, 0x1.471781901514fp-6, 0x1.3ffe40d41977dp-6, 0x1.390abb6beed14p-6, 0x1.323c2fb80a307p-6, 0x1.2b91dfe4b3ee3p-6, 0x1.250b11d76d1e6p-6, 0x1.1ea70f1cedb4ep-6, 0x1.186524d73008ep-6, 0x1.1244a3ab6ac0dp-6, 0x1.0c44dfb0bc12dp-6, 0x1.0665305f0f6c5p-6, 0x1.00a4f07e659ebp-6, 0x1.f606fc2cdd58ap-7, 0x1.eb0074bcd27fp-7, 0x1.e035135a74dadp-7, 0x1.d5a3a6d3af9b8p-7, 0x1.cb4b03f7e3369p-7, 0x1.c12a0579ca9f2p-7, 0x1.b73f8bd1e9009p-7, 0x1.ad8a7d21cecdcp-7, 0x1.a409c517a3c64p-7, 0x1.9abc54d29391dp-7, 0x1.91a122c765fcdp-7, 0x1.88b72aa5b4d5p-7, 0x1.7ffd6d3dafeb6p-7, 0x1.7772f06670a33p-7, 0x1.6f16bee48a05dp-7, 0x1.66e7e8514320cp-7, 0x1.5ee5810290cb8p-7, 0x1.570ea1f3502a4p-7, 0x1.4f6268abdb434p-7, 0x1.47dff72b450e2p-7, 0x1.408673d0e573ep-7, 0x1.395509467277ap-7, 0x1.324ae66a70a15p-7, 0x1.2b673e3b16879p-7, 0x1.24a947c179893p-7, 0x1.1e103dfd1b7dfp-7, 0x1.179b5fd11da1dp-7, 0x1.1149eff0956abp-7, 0x1.0b1b34ca22f3p-7, 0x1.050e78767d1fep-7, 0x1.fe461149a95abp-8, 0x1.f2b06d1549bdfp-8, 0x1.e75aada340618p-8, 0x1.dc43830b6e6b6p-8, 0x1.d169a408f86bbp-8, 0x1.c6cbcdd96e6bfp-8, 0x1.bc68c41c59539p-8, 0x1.b23f50b35aaa3p-8, 0x1.a84e43a30ff9ep-8, 0x1.9e9472f4732bp-8, 0x1.9510ba96ee2cep-8, 0x1.8bc1fc430f577p-8, 0x1.82a71f5db0ebcp-8, 0x1.79bf10db8fc45p-8, 0x1.7108c32622e62p-8, 0x1.68832e003a36ap-8, 0x1.602d4e6b87618p-8, 0x1.5806268e94ccap-8, 0x1.500cbd9b3fff7p-8, 0x1.48401fb5b5ccap-8, 0x1.409f5ddbee45bp-8, 0x1.39298dcda0dfdp-8, 0x1.31ddc9f4e2527p-8, 0x1.2abb314e32e98p-8, 0x1.23c0e753e9df4p-8, 0x1.1cee13e4c9609p-8, 0x1.1641e331ab7d1p-8, 0x1.0fbb85a601a03p-8, 0x1.095a2fd31b537p-8, 0x1.031d1a5c53d05p-8, 0x1.fa0703c503b61p-9, 0x1.ee194de0a03a2p-9, 0x1.e26f9bcdcc8ffp-9, 0x1.d7087dd5e197ep-9, 0x1.cbe28ba407814p-9, 0x1.c0fc6420d3c89p-9, 0x1.b654ad4e5f1e5p-9, 0x1.abea14252a783p-9, 0x1.a1bb4c71847c5p-9, 0x1.97c710b1efa14p-9, 0x1.8e0c21f5f4f45p-9, 0x1.848947bdfe555p-9, 0x1.7b3d4fdb2cc21p-9, 0x1.72270e502383bp-9, 0x1.69455d326f4bdp-9, 0x1.60971c8c72bd4p-9, 0x1.581b323fe4323p-9, 0x1.4fd089e8c24bp-9, 0x1.47b614c0b9a3ap-9, 0x1.3fcac9846e1cap-9, 0x1.380da4569d02ep-9, 0x1.307da6a5235abp-9, 0x1.2919d7102bdbap-9, 0x1.21e14151132d3p-9, 0x1.1ad2f61d3c5f2p-9, 0x1.13ee0b1199891p-9, 0x1.0d319a982c3eap-9, 0x1.069cc3d088b14p-9, 0x1.002eaa785ba22p-9, 0x1.f3cceda85b629p-10, 0x1.e786ab317f973p-10, 0x1.db88efad88695p-10, 0x1.cfd225b08b451p-10, 0x1.c460c05c73896p-10, 0x1.b9333ace16b82p-10, 0x1.ae48186230336p-10, 0x1.a39de43bcdfd7p-10, 0x1.9933313ededb3p-10, 0x1.8f0699e568734p-10, 0x1.8516c016c115dp-10, 0x1.7b624d0240ba7p-10, 0x1.71e7f0fe0252cp-10, 0x1.68a6636314b69p-10, 0x1.5f9c62681e1fp-10, 0x1.56c8b2fd7f8ffp-10, 0x1.4e2a20abd05c2p-10, 0x1.45bf7d729435cp-10, 0x1.3d87a1a807579p-10, 0x1.35816bd95d856p-10, 0x1.2dabc0ab5e801p-10, 0x1.26058abb9717cp-10, 0x1.1e8dba81f0b2ep-10, 0x1.17434632d2319p-10, 0x1.102529a1ceaep-10, 0x1.09326624e339dp-10, 0x1.026a02782739cp-10, 0x1.f7961544dc112p-11, 0x1.eaa91fb57f137p-11, 0x1.de0b50da1f0e6p-11, 0x1.d1badf3f96dd3p-11, 0x1.c5b60b347d87dp-11, 0x1.b9fb1e983c00bp-11, 0x1.ae886c8e59e61p-11, 0x1.a35c51d2ede2dp-11, 0x1.987533815fefep-11, 0x1.8dd17ff07d96p-11, 0x1.836fae00f0ba4p-11, 0x1.794e3d0c4a5f1p-11, 0x1.6f6bb4b9e9462p-11, 0x1.65c6a4d49035cp-11, 0x1.5c5da51fb382cp-11, 0x1.532f552d54776p-11, 0x1.4a3a5c337c59bp-11, 0x1.417d68e25dda7p-11, 0x1.38f7313b23008p-11, 0x1.30a67267d5e88p-11, 0x1.2889f0951abc5p-11, 0x1.20a076cd7bd76p-11, 0x1.18e8d6d8bac31p-11, 0x1.1161e9163fadcp-11, 0x1.0a0a8c6741125p-11, 0x1.02e1a6065cc09p-11, 0x1.f7cc42dc63965p-12, 0x1.ea2de073846aap-12, 0x1.dce6140640769p-12, 0x1.cff2d87ffa499p-12, 0x1.c352343cbda5fp-12, 0x1.b70238c0b642ep-12, 0x1.ab01027887f91p-12, 0x1.9f4cb86695ef8p-12, 0x1.93e38be81ece9p-12, 0x1.88c3b873e9152p-12, 0x1.7deb837a06b3cp-12, 0x1.73593c35b174dp-12, 0x1.690b3b8872a63p-12, 0x1.5effe3dd38fb2p-12, 0x1.5535a10a8ff45p-12, 0x1.4baae82f3707ap-12, 0x1.425e37867dfe9p-12, 0x1.394e163176e68p-12, 0x1.307913f46557bp-12, 0x1.27ddc8eae27dp-12, 0x1.1f7ad536e45bap-12, 0x1.174ee0b10ec58p-12, 0x1.0f589aa140e1p-12, 0x1.0796b986123f3p-12, 0x1.0007faeffe1f6p-12, 0x1.f15646e28090ep-13, 0x1.e2fdfd428bdfbp-13, 0x1.d504be5e44e7ep-13, 0x1.c7683de1ad784p-13, 0x1.ba263ccf3183dp-13, 0x1.ad3c8bd912ca7p-13, 0x1.a0a90996ec08bp-13, 0x1.9469a26d54622p-13, 0x1.887c4d16c3106p-13, 0x1.7cdf0e72b01d1p-13, 0x1.718ff6fc1e4a8p-13, 0x1.668d20bc083d1p-13, 0x1.5bd4af8e5f98fp-13, 0x1.5164d0b3cb261p-13, 0x1.473bbaade2183p-13, 0x1.3d57ad6d965acp-13, 0x1.33b6f2bc7e9c4p-13, 0x1.2a57dec3c6b77p-13, 0x1.2138d08b915d1p-13, 0x1.185832525df61p-13, 0x1.0fb479a2e04f2p-13, 0x1.074c271d87a62p-13, 0x1.fe3b8bed4cfeap-14, 0x1.ee4fd66a803adp-14, 0x1.ded2698c173aap-14, 0x1.cfc090f5dc8bdp-14, 0x1.c117a629de929p-14, 0x1.b2d50ef1e159ep-14, 0x1.a4f63c5e388ecp-14, 0x1.9778aa89948b8p-14, 0x1.8a59e12bd9b56p-14, 0x1.7d9774d31419ap-14, 0x1.712f08713df5cp-14, 0x1.651e4ed59ecabp-14, 0x1.59630bb645342p-14, 0x1.4dfb13fa9247cp-14, 0x1.42e44a8e5affbp-14, 0x1.381caeaf8cb71p-14, 0x1.2da23c97d221p-14, 0x1.23730ac3e8ec2p-14, 0x1.198d39164558p-14, 0x1.0feef29887977p-14, 0x1.06966bdeb8944p-14, 0x1.fb03c310a6ddap-15, 0x1.e95f2e545c6c7p-15, 0x1.d83badd2ae258p-15, 0x1.c795e4129f64p-15, 0x1.b76a846e8f8b2p-15, 0x1.a7b6560d2b9abp-15, 0x1.98763677c3777p-15, 0x1.89a71b0fb749dp-15, 0x1.7b46108e4faafp-15, 0x1.6d5039659ac82p-15, 0x1.5fc2cc9b767b3p-15, 0x1.529b14221d34dp-15, 0x1.45d66d2290369p-15, 0x1.397247c3375adp-15, 0x1.2d6c27002cfedp-15, 0x1.21c19f883f6e2p-15, 0x1.1670557f9390dp-15, 0x1.0b75f9bacb65ep-15, 0x1.00d0477034c36p-15, 0x1.ecfa068e70779p-16, 0x1.d8f3f81d00375p-16, 0x1.c58a19204b9e9p-16, 0x1.b2b83ada48563p-16, 0x1.a07a4bf5fa588p-16, 0x1.8ecc5757267a8p-16, 0x1.7daa80965bf49p-16, 0x1.6d10fff24ad13p-16, 0x1.5cfc1fbf0a082p-16, 0x1.4d683c8d60921p-16, 0x1.3e51c83407164p-16, 0x1.2fb54e45d1c82p-16, 0x1.218f77d9e2596p-16, 0x1.13dd0ce41d2dbp-16, 0x1.069af2a45ffcbp-16, 0x1.f38c505926f97p-17, 0x1.dab7856e667dap-17, 0x1.c2b1d651b4f8fp-17, 0x1.ab75b9c41a96bp-17, 0x1.94fdca38f9089p-17, 0x1.7f44c38244fb2p-17, 0x1.6a457f35199e5p-17, 0x1.55faf0a711c73p-17, 0x1.4260218bce29cp-17, 0x1.2f702f218ebcap-17, 0x1.1d264780136e2p-17, 0x1.0b7da7c9b51aap-17, 0x1.f4e33a6544336p-18, 0x1.d3fb1440e4d63p-18, 0x1.b439dbe0a4233p-18, 0x1.9596d812e01ebp-18, 0x1.78099f4b3363p-18, 0x1.5b8a19bc1ef2fp-18, 0x1.401083650c936p-18, 0x1.259571755364cp-18, 0x1.0c11d77c1e405p-18, 0x1.e6fe073434bffp-19, 0x1.b7ad16f29b4d5p-19, 0x1.8a245b2a95112p-19, 0x1.5e57684240838p-19, 0x1.3439cf8418ed9p-19, 0x1.0bbf2c5608f9cp-19, 0x1.c9b68c706e578p-20, 0x1.7f0453ba84b6fp-20, 0x1.3750519509cd3p-20, 0x1.e5071b45a215bp-21, 0x1.610ea55ecccecp-21, 0x1.c514ae3e9cf4fp-22, 0x1.a537ddf45361cp-23, -0x1.5a3933a515892p-26, -0x1.e7fccfd9c2bf3p-23, -0x1.c8c6cb8fd3d77p-22, -0x1.4a25e60d6b741p-21, -0x1.ab6be97d17b37p-21, -0x1.042be2324120dp-20, -0x1.30847df5b0914p-20, -0x1.5ace8fed25a93p-20, -0x1.8318873f3eb8bp-20, -0x1.a970faf92f99fp-20, -0x1.cde6cd7e13a74p-20, -0x1.f088f9c006e2bp-20, -0x1.08b320d531e3dp-19, -0x1.1846791e40befp-19, -0x1.270569520ca18p-19, -0x1.34f69d6294a27p-19, -0x1.42209f32d851bp-19, -0x1.4e89e943c58ep-19, -0x1.5a38ec38f631fp-19, -0x1.6534080bcbedcp-19, -0x1.6f81831bebb4fp-19, -0x1.79278675b1188p-19, -0x1.822c18d9773c8p-19, -0x1.8a950a21dd26ep-19, -0x1.9267d16c36aecp-19, -0x1.99a977cfb734ap-19, -0x1.a05ea7ebc6d0ep-19, -0x1.a68bd798df157p-19, -0x1.ac3567773396ep-19, -0x1.b15fa51d5939cp-19, -0x1.b60ec1e9af88bp-19, -0x1.ba46da55069fbp-19, -0x1.be0c09ccc7503p-19, -0x1.c1626ba878601p-19, -0x1.c44e00b2ff543p-19, -0x1.c6d297c4b15e9p-19, -0x1.c8f3d309d035ap-19, -0x1.cab540cd7af7dp-19, -0x1.cc1a715ee8616p-19, -0x1.cd26f9656abc4p-19, -0x1.cdde62fd9d679p-19, -0x1.ce44170335612p-19, -0x1.ce5b5146a6e6ep-19, -0x1.ce272812377e1p-19, -0x1.cdaa97fce92ccp-19, -0x1.cce88452d1efdp-19, -0x1.cbe3b5d740431p-19, -0x1.ca9eea841e81ap-19, -0x1.c91ce6f7337cp-19, -0x1.c7606641c3bfp-19, -0x1.c56be99a66711p-19, -0x1.c341a11648894p-19, -0x1.c0e3950cf429cp-19, -0x1.be53e3f6e4d44p-19, -0x1.bb94ce4e6f098p-19, -0x1.b8a89043db28p-19, -0x1.b5913fce21619p-19, -0x1.b250cc0326409p-19, -0x1.aee90f531f56dp-19, -0x1.ab5bdfd116327p-19, -0x1.a7ab18d320644p-19, -0x1.a3d89d67d87d8p-19, -0x1.9fe64c78bae21p-19, -0x1.9bd5e76809eedp-19, -0x1.97a8fdee45ce8p-19, -0x1.9360f460141bcp-19, -0x1.8eff23e2709f3p-19, -0x1.8a84f94326228p-19, -0x1.85f3fa48a552ep-19, -0x1.814db8f1fa7b7p-19, -0x1.7c93c1806798p-19, -0x1.77c77dd8dae05p-19, -0x1.72ea2dfc7b6ffp-19, -0x1.6dfcbcced6edp-19, -0x1.68fef3f97e9bfp-19, -0x1.63f4372c1ee5bp-19, -0x1.5edcf7b7cc9b5p-19, -0x1.59bac788a92f2p-19, -0x1.548cf745d81afp-19, -0x1.4f559ac4c1ce8p-19, -0x1.4a1597f8d1365p-19, -0x1.44cdba6b06bcdp-19, -0x1.3f7ee2adbe3a4p-19, -0x1.3a29f26c25f29p-19, -0x1.34cfc998ba2ebp-19, -0x1.2f714650666ebp-19, -0x1.2a0f393906594p-19, -0x1.24aa57783e439p-19, -0x1.1f433ae728f75p-19, -0x1.19da76d8f0387p-19, -0x1.1470b1a01e28fp-19, -0x1.0f06a81be2fc3p-19, -0x1.099d1d818c785p-19, -0x1.0434cc4d40bb2p-19, -0x1.fd9c9f6656992p-20, -0x1.f2d42bae302b8p-20, -0x1.e8110ba74f251p-20, -0x1.dd54456ffae98p-20, -0x1.d29eeac1b3e81p-20, -0x1.c7f1f2abf7a61p-20, -0x1.bd4e5b9047979p-20, -0x1.b2b532f8f818dp-20, -0x1.a8276ca5b24b4p-20, -0x1.9da5c18c6a9aap-20, -0x1.9330c6a826935p-20, -0x1.88c928eb3e047p-20, -0x1.7e6fca17d4c9cp-20, -0x1.7427303409091p-20, -0x1.69ea3601f5be3p-20, -0x1.5fbf24f638b8cp-20, -0x1.55a5024f3a28dp-20, -0x1.4b9c38796bf21p-20, -0x1.41a536b81064dp-20, -0x1.37c06625e0f68p-20, -0x1.2dee3f4a77d0dp-20, -0x1.242f5510d0c2cp-20, -0x1.1a843beaebb5ap-20, -0x1.10ed6e699c322p-20, -0x1.076b4d5b38cdfp-20, -0x1.fbfc3c660dcfdp-21, -0x1.e94c5a358f50dp-21, -0x1.d6c7d90dfaa01p-21, -0x1.c46f6cb06dbbdp-21, -0x1.b24375b3f34f5p-21, -0x1.a04465559f95fp-21, -0x1.8e72c4f3917c5p-21, -0x1.7ccf27283cf7bp-21, -0x1.6b5a2284ca80bp-21, -0x1.5a1443d10f041p-21, -0x1.48fdf8e774999p-21, -0x1.3817808109108p-21, -0x1.27611221caa6dp-21, -0x1.16db13a07baf9p-21, -0x1.0685d8da6115dp-21, -0x1.ecc315879619p-22, -0x1.ccdcba74e4f76p-22, -0x1.ad591df69af24p-22, -0x1.8e38a4204e749p-22, -0x1.6f7b8f1264a3p-22, -0x1.51220927d7e5cp-22, -0x1.332c4c5944a56p-22, -0x1.159abf56fe9d5p-22, -0x1.f0dae24c4e3bp-23, -0x1.b74860fae7c15p-23, -0x1.7e7e3ed1b1e04p-23, -0x1.467d159747a42p-23, -0x1.0f4545b8ed734p-23, -0x1.b1ad217cf4ccep-24, -0x1.4660818004bd2p-24, -0x1.b948b61aff012p-25, -0x1.d1e135a3fcdbp-26, -0x1.bb70074f10e6ap-29, 0x1.5ccc3f12fa515p-26, 0x1.7568cc4597584p-25, 0x1.1ca96038a6cc3p-24, 0x1.7d12c9a7e6782p-24, 0x1.dbf1cbb886913p-24, 0x1.1ca3e1d1e7ff9p-23, 0x1.4a8af3480a36bp-23, 0x1.77aee00147ea7p-23, 0x1.a410617bd5172p-23, 0x1.cfb0759d81bd7p-23, 0x1.fa9033ce7cc9bp-23, 0x1.12582c74856fp-22, 0x1.2708d3be72e4ap-22, 0x1.3b5a892c9990fp-22, 0x1.4f4dd8db99252p-22, 0x1.62e35188b0ea3p-22, 0x1.761b7c6739953p-22, 0x1.88f6f85880d66p-22, 0x1.9b766e2974553p-22, 0x1.ad9a4509794p-22, 0x1.bf62ee89d7885p-22, 0x1.d0d110f7dc015p-22, 0x1.e1e571bd3c237p-22, 0x1.f2a0a13f0283dp-22, 0x1.01819b06b80ccp-21, 0x1.0986ee283cc7cp-21, 0x1.1160a1d35e745p-21, 0x1.190f0d0dd363dp-21, 0x1.20928595a9903p-21, 0x1.27eb6042c3aaep-21, 0x1.2f19f2a440647p-21, 0x1.361e94b6136c2p-21, 0x1.3cf9a06971876p-21, 0x1.43ab70616c80fp-21, 0x1.4a34636e9d657p-21, 0x1.5094dbea999abp-21, 0x1.56cd2fbd91603p-21, 0x1.5cddb39eaf6e1p-21, 0x1.62c6c8cd809bap-21, 0x1.6888d780fd48ap-21, 0x1.6e243bad8b601p-21, 0x1.739950338b653p-21, 0x1.78e87503a2ca8p-21, 0x1.7e1209127eaaap-21, 0x1.831669ac61087p-21, 0x1.87f5f5c650761p-21, 0x1.8cb11161058ccp-21, 0x1.91481a4871f0fp-21, 0x1.95bb670508d33p-21, 0x1.9a0b64a20e493p-21, 0x1.9e387d8878503p-21, 0x1.a2431016ed6dap-21, 0x1.a62b7dac3b0e5p-21, 0x1.a9f226fba44d5p-21, 0x1.ad976c7b9e72dp-21, 0x1.b11bb0b97c93ep-21, 0x1.b47f513dc88e4p-21, 0x1.b7c2b0862e23dp-21, 0x1.bae6300ca5689p-21, 0x1.bdea2e94cd62p-21, 0x1.c0cf047f5f0f1p-21, 0x1.c3951d202b6ffp-21, 0x1.c63cf76614f6p-21, 0x1.c8c6ec183efbap-21, 0x1.cb311820b6c05p-21, 0x1.cd868ea7ddf89p-21, 0x1.cfb3ddfc675b4p-21, 0x1.d1c879b747d14p-21, 0x1.d3c2f239fe311p-21, 0x1.d5a07d64ddd41p-21, 0x1.d762adda7dc05p-21, 0x1.d909e19c3519bp-21, 0x1.da96701564efdp-21, 0x1.dc08b4099efe9p-21, 0x1.dd61092cf679ap-21, 0x1.de9fcb5171bd4p-21, 0x1.dfc555ffd96a4p-21, 0x1.e0d204766cd1ap-21, 0x1.e1c631899688cp-21, 0x1.e2a23774a5bbap-21, 0x1.e366701e77d91p-21, 0x1.e41334d2d7ffp-21, 0x1.e4a8de561b42cp-21, 0x1.e527c4ed71acdp-21, 0x1.e5904069357dcp-21, 0x1.e5e2a839e207ap-21, 0x1.e61f539141b6ap-21, 0x1.e6469992c3734p-21, 0x1.e658d18cd851bp-21, 0x1.e6565302beb61p-21, 0x1.e63f74be166f9p-21, 0x1.e614895a2b491p-21, 0x1.e5d5d9359580ap-21, 0x1.e5838fb7c89a8p-21, 0x1.e506d7059d2b9p-21, 0x1.e4a6293fce4e2p-21, 0x1.e41bccebc93a8p-21, 0x1.e37f2e0bc03b6p-21, 0x1.e2d0a0cc7ad51p-21, 0x1.e2108111c5bd8p-21, 0x1.e13f2b89167e7p-21, 0x1.e05cf26ffd979p-21, 0x1.df6a21781d786p-21, 0x1.de670380f62b3p-21, 0x1.dd53e059c45cfp-21, 0x1.dc3103d3ff56ap-21, 0x1.dafeb9b7e0958p-21, 0x1.d9bd4cc11f41dp-21, 0x1.d86d04ce4abbap-21, 0x1.d70e2a9da9886p-21, 0x1.d5a106cab004dp-21, 0x1.d425e1d399b4fp-21, 0x1.d29d0238d2effp-21, 0x1.d106ae45ba679p-21, 0x1.cf632bc06b652p-21, 0x1.cdb2bfc297356p-21, 0x1.cbf5aead0cf37p-21, 0x1.ca2c3c20576eep-21, 0x1.c856ac146187p-21, 0x1.c6753f1a94863p-21, 0x1.c48838f6c8c18p-21, 0x1.c28fda2cc828p-21, 0x1.c08c63515904ap-21, 0x1.be7e146ea2f0cp-21, 0x1.bc652d4677873p-21, 0x1.ba41eb910c182p-21, 0x1.b8148d851997ep-21, 0x1.b5dd509611265p-21, 0x1.b39c7139f462p-21, 0x1.b1522b4b50997p-21, 0x1.aefeba9a7c475p-21, 0x1.aca25a0d178d5p-21, 0x1.aa3d4059acd7cp-21, 0x1.a7cf9d38bf03fp-21, 0x1.a559bc21ab509p-21, 0x1.a2dbe7c25e30dp-21, 0x1.a056358f9a4a8p-21, 0x1.9dc8ddcdae245p-21, 0x1.9b341d5da84e9p-21, 0x1.98982b2fb525ap-21, 0x1.95f53e43627abp-21, 0x1.934b891e7f831p-21, 0x1.909b3ee827566p-21, 0x1.8de494e094p-21, 0x1.8b27bd993a29cp-21, 0x1.8864ec277369p-21, 0x1.859c53e69c697p-21, 0x1.82ce273d2cf72p-21, 0x1.7ffa954a0d789p-21, 0x1.7d21c8663535ep-21, 0x1.7a43e966b391cp-21, 0x1.776123ea83962p-21, 0x1.7479a54650212p-21, 0x1.718d9f206ae86p-21, 0x1.6e9d3ba60158fp-21, 0x1.6ba8bb6860258p-21, 0x1.68b03ce3fab74p-21, 0x1.65b3ef063c76ap-21, 0x1.62b3fade47b27p-21, 0x1.5fb0904e07eecp-21, 0x1.5ca9eb1e70dbep-21, 0x1.599fd9bfaa896p-21, 0x1.5690f9d6f026fp-21, 0x1.537e6516f8485p-21, 0x1.507099ab449b4p-21, 0x1.4d5b8e255e9f9p-21, 0x1.4a43ea0678cf9p-21, 0x1.472a127c5180ap-21, 0x1.440e1f49ec776p-21, 0x1.40f03008fbeefp-21, 0x1.3dd0662b45e72p-21, 0x1.3aaee3cd332fep-21, 0x1.378bcb7b7a4f4p-21, 0x1.3467400cdfbe4p-21, 0x1.314164ad256f6p-21, 0x1.2e1a5c51c6173p-21, 0x1.2af24907b7144p-21, 0x1.27c949ed3a34bp-21, 0x1.249f80dccd337p-21, 0x1.21750c0f188c7p-21, 0x1.1e4a092b5d823p-21, 0x1.1b1e9576e525cp-21, 0x1.17f2cde029bd5p-21, 0x1.14c6cf28b879ap-21, 0x1.119ab5d35a0c1p-21, 0x1.0e6e9efa7af02p-21, 0x1.0b429f8f22612p-21, 0x1.08153479c5b44p-21, 0x1.04eb4c246dc13p-21, 0x1.01c07247af9e4p-21, 0x1.fd2bf82cb5f6p-22, 0x1.f6d85a500486cp-22, 0x1.f08645b6bec62p-22, 0x1.ea35d21597cb8p-22, 0x1.e3e71cc0f47a4p-22, 0x1.dd9a76181b363p-22, 0x1.d75012f070e63p-22, 0x1.d107fd5e16e1cp-22, 0x1.cac26a391fd1ap-22, 0x1.c47fa47205cddp-22, 0x1.be3fd7b50d399p-22, 0x1.b80322ca773c9p-22, 0x1.b1c9a979732ebp-22, 0x1.ab9393f86c8eap-22, 0x1.a5610b264b084p-22, 0x1.9f3237298075cp-22, 0x1.99073f5839251p-22, 0x1.92e04aba11d43p-22, 0x1.8cbd8129dde3dp-22, 0x1.869f0cab65ca7p-22, 0x1.808518d795e4p-22, 0x1.7a6fc94d4020cp-22, 0x1.745f260f25eaap-22, 0x1.6e532b5875317p-22, 0x1.684bf9eb14871p-22, 0x1.624a44bc0a824p-22, 0x1.5c4db8394e3bdp-22, 0x1.56563e9d04659p-22, 0x1.50643fcd95ae7p-22, 0x1.4a77e53b2fc78p-22, 0x1.449144410b1eap-22, 0x1.3eb072280ef85p-22, 0x1.38d586e2a60efp-22, 0x1.33009b1eb2297p-22, 0x1.2d31c7a77ade6p-22, 0x1.27692578d690fp-22, }}, 
      {{-0x1.db9e3c1c9e873p+0, -0x1.a691e464ce8f2p+0, -0x1.5fd8397c732bfp+0, -0x1.154ee346d07c2p+0, -0x1.a194de0948ef6p-1, -0x1.2fd424c403394p-1, -0x1.b3a1f3cc0a8fdp-2, -0x1.3e94b28b720acp-2, -0x1.f48c12f17d307p-3, -0x1.bb3c27d16267dp-3, -0x1.bd4e305694261p-3, -0x1.e7aa258a33fedp-3, -0x1.14c0a544ca3b3p-2, -0x1.3a7e459af2e67p-2, -0x1.5fb336476218ep-2, -0x1.808195f47683ep-2, -0x1.9a5d8baa9f995p-2, -0x1.abd7d07d52b43p-2, -0x1.b465a99dec4bap-2, -0x1.b42b4d48a097dp-2, -0x1.abcb7ef501b8p-2, -0x1.9c3dd2ff9d6afp-2, -0x1.86ac0e041ee5ap-2, -0x1.6c56804a2dfdp-2, -0x1.4e7ed5c0192fp-2, -0x1.2e589ae4cb6dep-2, -0x1.0cfe9934a931ap-2, -0x1.d6d85e3e0544ap-3, -0x1.94f39f0ef970ap-3, -0x1.55b7d81f2589ep-3, -0x1.1a47478154094p-3, -0x1.c702b969e6a62p-4, -0x1.6410670eb88a8p-4, -0x1.0c8dfa7dcc4afp-4, -0x1.81e3802dc07bap-5, -0x1.02bfa29f3969ap-5, -0x1.36de483efbe0ap-6, -0x1.2d032ec148a54p-7, -0x1.12aab8dae0df4p-9, 0x1.420e1895cce8fp-9, 0x1.3106391d6aa06p-8, 0x1.33aa072a4482ep-8, 0x1.6d23dd2b1949cp-9, -0x1.c2fe30643a1edp-11, -0x1.8b507d6e827d8p-8, -0x1.9a54b0584662p-7, -0x1.49d19f9a07039p-6, -0x1.d5a6aa205918ap-6, -0x1.36d933f4c745ap-5, -0x1.87974d2261306p-5, -0x1.dbc4552b6f1fbp-5, -0x1.1918c3aac9d36p-4, -0x1.44e569fc7cb6p-4, -0x1.70cb47d9c2cb3p-4, -0x1.9c5a68e9e1d0ep-4, -0x1.c72f438de2373p-4, -0x1.f0f22b98e7703p-4, -0x1.0cab5904ec9edp-3, -0x1.200d7c6f1211cp-3, -0x1.32838058e6e17p-3, -0x1.43f5f95fa056cp-3, -0x1.5451b65d47669p-3, -0x1.638767de81771p-3, -0x1.718b49635fab3p-3, -0x1.7e54cf542d32bp-3, -0x1.89de56758def5p-3, -0x1.9424da3bf2177p-3, -0x1.9d27ac57b8eecp-3, -0x1.a4e834b7c25aap-3, -0x1.ab69afeeb2e66p-3, -0x1.b0b0f9375315dp-3, -0x1.b4c4520596c55p-3, -0x1.b7ab311555d82p-3, -0x1.b96e16d29aed3p-3, -0x1.ba1660392b4c7p-3, -0x1.b9ae22881720ep-3, -0x1.b84008ebbcb88p-3, -0x1.b5d7330726c61p-3, -0x1.b27f18b4cb44ep-3, -0x1.ae437174f87cdp-3, -0x1.a9301bef93304p-3, -0x1.a3510989a46acp-3, -0x1.9cb22bb0fadc5p-3, -0x1.955f647032f73p-3, -0x1.8d6477711510cp-3, -0x1.84ccfd7133bdfp-3, -0x1.7ba459e2ad1b5p-3, -0x1.71f5b10ef404ap-3, -0x1.67cbe1313249bp-3, -0x1.5d317af7f90bcp-3, -0x1.5230bc9470a44p-3, -0x1.46d38d6e7082ep-3, -0x1.3b237a8659c4ap-3, -0x1.2f29b43280e9cp-3, -0x1.22ef0c74a3229p-3, -0x1.167bf5bd7a363p-3, -0x1.09d8825e9c596p-3, -0x1.fa18ca0b4b8e8p-4, -0x1.e03de309e005ep-4, -0x1.c62e39de593f5p-4, -0x1.abf70001f0f02p-4, -0x1.91a4afdf7f5e4p-4, -0x1.774313351baeep-4, -0x1.5cdd4351c5e56p-4, -0x1.427db28d2f40ep-4, -0x1.282e2e3e04cccp-4, -0x1.0df7e388d6705p-4, -0x1.e7c6d0993b392p-5, -0x1.b3f179ac8eaebp-5, -0x1.807ea4ab4c1c3p-5, -0x1.4d7c26526ae97p-5, -0x1.1af6cae8cd1d7p-5, -0x1.d1f4c63dbaab8p-6, -0x1.6f23a0195ac74p-6, -0x1.0d8e1ef880e31p-6, -0x1.5a8d0ec49007bp-7, -0x1.3976036a0e40ap-8, 0x1.e3bb96f6d7102p-11, 0x1.ac77a0f45dbddp-8, 0x1.8b2cbe7c26c5ap-7, 0x1.1e7c4fc1fde5dp-6, 0x1.75c6040e1f607p-6, 0x1.cb6af3395deddp-6, 0x1.0fb1d730500b6p-5, 0x1.38d4e96623a8bp-5, 0x1.611bfbc4da7p-5, 0x1.8884d00a1f318p-5, 0x1.af0d979be3ba2p-5, 0x1.d4b4ebc78a328p-5, 0x1.f979c5f99b8p-5, 0x1.0eadbe5ed3e5cp-4, 0x1.202cdddf1b015p-4, 0x1.313a3eb463a9cp-4, 0x1.41d6035be43d3p-4, 0x1.52007176cfc4cp-4, 0x1.61b9ee790def2p-4, 0x1.7102fd34d541p-4, 0x1.7fdc3cb67596bp-4, 0x1.8e4665b22b1c2p-4, 0x1.9c42482066fdfp-4, 0x1.a9d0c98822c7dp-4, 0x1.b6f2e3a4746c2p-4, 0x1.c3a9a2ba00c09p-4, 0x1.cff6235ae37d2p-4, 0x1.dbd99122ba26ap-4, 0x1.e75525d33dc11p-4, 0x1.f26a27b29ac87p-4, 0x1.fd19e7ff40f5ap-4, 0x1.03b2e0fa3451dp-3, 0x1.08a78cecaf549p-3, 0x1.0d6badeb926aap-3, 0x1.11fffd68d37dp-3, 0x1.166537e055476p-3, 0x1.1a9c1c5ddb9fap-3, 0x1.1ea56c1304798p-3, 0x1.2281e9fca915fp-3, 0x1.26325a6dafd14p-3, 0x1.29b782cd648fap-3, 0x1.2d12295b97c9dp-3, 0x1.304314dfd44c3p-3, 0x1.334b0c4f50a77p-3, 0x1.362ad68ed602cp-3, 0x1.38e33a4bf470cp-3, 0x1.3b74fdc9575ebp-3, 0x1.3de0e6a57af9bp-3, 0x1.4027b9a0b44b3p-3, 0x1.424a3a73eedf9p-3, 0x1.44492bb7d370ep-3, 0x1.46254ec4e35dep-3, 0x1.47df638857cf3p-3, 0x1.4978285e454cfp-3, 0x1.4af059fa8cafep-3, 0x1.4c48b3592750fp-3, 0x1.4d81edaa2897p-3, 0x1.4e9cc037402d1p-3, 0x1.4f99e049cffeep-3, 0x1.507a011d490dap-3, 0x1.513dd3d913e3fp-3, 0x1.51e60784f8c86p-3, 0x1.527348f9220ap-3, 0x1.52e642cf852e2p-3, 0x1.533f9d5bd19d9p-3, 0x1.537ffea8eda66p-3, 0x1.53a80a75d528bp-3, 0x1.53b8622f39e9dp-3, 0x1.53b1a4e72f68p-3, 0x1.53946f50a9afap-3, 0x1.53615bbf3c43ap-3, 0x1.531902298e285p-3, 0x1.52bbf82964714p-3, 0x1.524ad0f92ff93p-3, 0x1.51c61d72cd349p-3, 0x1.512e6c104bdd8p-3, 0x1.508448ef7c77ap-3, 0x1.4fc83dd692e82p-3, 0x1.4efad236fde58p-3, 0x1.4e1c8b2eeca21p-3, 0x1.4d2deb8b77318p-3, 0x1.4c2f73cc51df3p-3, 0x1.4b21a22976c71p-3, 0x1.4a04f29933b4ap-3, 0x1.48d9ded4e55bfp-3, 0x1.47a0de5ce3dd1p-3, 0x1.465a667cbcaf6p-3, 0x1.4506ea504f7d9p-3, 0x1.43a6daca2eb36p-3, 0x1.423aa6ba823aap-3, 0x1.40c2bad519c01p-3, 0x1.3f3f81b6d615dp-3, 0x1.3db163eb1295ep-3, 0x1.3c18c7f134578p-3, 0x1.3a76124326e2ap-3, 0x1.38c9a55c4434p-3, 0x1.3713e1c06b5f5p-3, 0x1.35552601f78fap-3, 0x1.338dcec7c7be5p-3, 0x1.31be36d361aeap-3, 0x1.2fe6b70732d0dp-3, 0x1.2e07a66d3106ep-3, 0x1.2c215a3ddecdap-3, 0x1.2a3425e6cfdb8p-3, 0x1.28405b10d86c3p-3, 0x1.264649a6303c3p-3, 0x1.24463fd8a4787p-3, 0x1.22408a280ba65p-3, 0x1.20357368b3631p-3, 0x1.1e2544c9dd17fp-3, 0x1.1c1045dc2c9b2p-3, 0x1.19f6bc97a2b4bp-3, 0x1.17d8ed619dcc2p-3, 0x1.15b71b12efb22p-3, 0x1.139186fded42p-3, 0x1.116870f47294p-3, 0x1.0f3c174e0354ep-3, 0x1.0d0cb6edbc7fap-3, 0x1.0ada8b4838e4ep-3, 0x1.08a5ce6957cabp-3, 0x1.066eb8f9ee6f9p-3, 0x1.0435824563903p-3, 0x1.01fa603f3bf95p-3, 0x1.ff7b0f11867ep-4, 0x1.fafe56ed43f67p-4, 0x1.f67efc2ce1101p-4, 0x1.f1fd606847ccfp-4, 0x1.ed79e2be84b4ep-4, 0x1.e8f4dfe02c88p-4, 0x1.e46eb2199ec1ep-4, 0x1.dfe7b15d5efbep-4, 0x1.db60334e4ce28p-4, 0x1.d6d88b4a1475ep-4, 0x1.d2510a735d337p-4, 0x1.cdc9ffbb63b6dp-4, 0x1.c943b7eb9de8bp-4, 0x1.c4be7daec29bfp-4, 0x1.c03a999a5196fp-4, 0x1.bbb8523816557p-4, 0x1.b737ec0f93ec8p-4, 0x1.b2b9a9af5bd16p-4, 0x1.ae3dcbb6270e4p-4, 0x1.a9c490db728f4p-4, 0x1.a54e35f7fbc4fp-4, 0x1.a0daf60e4612cp-4, 0x1.9c6b0a532746bp-4, 0x1.97feaa367d0e8p-4, 0x1.93960b6bb7ad7p-4, 0x1.8f3161f21acdfp-4, 0x1.8ad0e01cad0ep-4, 0x1.8674b699f53a1p-4, 0x1.821d147bb9ff2p-4, 0x1.7dca273ecfaf8p-4, 0x1.797c1ad2aa916p-4, 0x1.753319a14db68p-4, 0x1.70ef4c970100dp-4, 0x1.6cb0db29e614dp-4, 0x1.6877eb609052p-4, 0x1.6444a1d8f000fp-4, 0x1.601721cf30508p-4, 0x1.5bef8d2501291p-4, 0x1.57ce0468ac94p-4, 0x1.53b2a6dbfca2ep-4, 0x1.4f9d927aff62bp-4, 0x1.4b8ee402bc628p-4, 0x1.4786b6f742386p-4, 0x1.438525a9ad842p-4, 0x1.3f8a493e5e90bp-4, 0x1.3b9639b34deb7p-4, 0x1.37a90de662eb9p-4, 0x1.33c2db9bc5a5cp-4, 0x1.2fe3b78411091p-4, 0x1.2c0bb54217e8ep-4, 0x1.283ae7706a854p-4, 0x1.24715fa6c3452p-4, 0x1.20af2e7f5eae2p-4, 0x1.1cf4639c7ea36p-4, 0x1.19410dae05eb5p-4, 0x1.15953a771d351p-4, 0x1.11f0f6d3aec72p-4, 0x1.0e544ebe2155p-4, 0x1.0abf4d5346457p-4, 0x1.0731fcd8ea1a4p-4, 0x1.03ac66c0bd4a9p-4, 0x1.002e93adbe597p-4, 0x1.f97116f3e46b5p-5, 0x1.f294aa73d12fdp-5, 0x1.ebc7ee84d787p-5, 0x1.e50aee5a5996cp-5, 0x1.de5db3bab7911p-5, 0x1.d7c047081fba3p-5, 0x1.d132af48f80acp-5, 0x1.cab4f230309a3p-5, 0x1.c4471425ba9fap-5, 0x1.bde9184e3d963p-5, 0x1.b79b0093f87f9p-5, 0x1.b15ccdafd08afp-5, 0x1.ab2e7f31815d8p-5, 0x1.a51013869491cp-5, 0x1.9f018802b47b3p-5, 0x1.9902d8e6e2a06p-5, 0x1.9314016877513p-5, 0x1.8d34fbb858211p-5, 0x1.8765c10a6164ep-5, 0x1.81a6499cfe7d1p-5, 0x1.7bf68cc0ee745p-5, 0x1.765680e0ac6fap-5, 0x1.70c61b875cf95p-5, 0x1.6b4551671eb9ap-5, 0x1.65d4165f90aacp-5, 0x1.60725d8074946p-5, 0x1.5b2019147ce42p-5, 0x1.55dd3aa1d0f84p-5, 0x1.50a9b2f32a335p-5, 0x1.4b85721e5a89bp-5, 0x1.4670678bc35efp-5, 0x1.416a81fdaf886p-5, 0x1.3c73af970d3a1p-5, 0x1.378bdde048625p-5, 0x1.32b2f9d1959f8p-5, 0x1.2de8efc7a6cbfp-5, 0x1.292dab9e302b3p-5, 0x1.2481189a3a149p-5, 0x1.1fe3217fd543cp-5, 0x1.1b53b09046e55p-5, 0x1.16d2af918a01ap-5, 0x1.126007d5b9554p-5, 0x1.0dfba242a3082p-5, 0x1.09a567588f43ep-5, 0x1.055d3f3809d1cp-5, 0x1.012311a5f1728p-5, 0x1.f9ed8c1c6c4d9p-6, 0x1.f1b0870c140aap-6, 0x1.e98ee19a248f7p-6, 0x1.e188689f30f66p-6, 0x1.d99ce8534aa22p-6, 0x1.d1cc2c55f66adp-6, 0x1.ca15ffb7c6989p-6, 0x1.c27a2d045d041p-6, 0x1.baf87e4c1107ep-6, 0x1.b390bd2cac86p-6, 0x1.ac42b2d9a8dbap-6, 0x1.a50e2824c532cp-6, 0x1.9df2e5876dd3p-6, 0x1.96f0b32ddb3fep-6, 0x1.90075905aa196p-6, 0x1.89369ecc096edp-6, 0x1.827e4c1828891p-6, 0x1.7bde285e8bc8ep-6, 0x1.7555fafa8c99p-6, 0x1.6ee58ade64914p-6, 0x1.688c9f04d6f1p-6, 0x1.624afdd618769p-6, 0x1.5c206d5bc0402p-6, 0x1.560cb3337b5b6p-6, 0x1.500f94a42d4fap-6, 0x1.4a28d6c9fed24p-6, 0x1.44583ed4c9dp-6, 0x1.3e9d924e42584p-6, 0x1.38f89757feba2p-6, 0x1.336914d01d148p-6, 0x1.2deed24e0c051p-6, 0x1.288997f03ffe6p-6, 0x1.23392dfe9950ap-6, 0x1.1dfd5c7133498p-6, 0x1.18d5ea7567d23p-6, 0x1.13c29e1139d57p-6, 0x1.0ec33c01176a2p-6, 0x1.09d787e70519dp-6, 0x1.04ff44cc7325ep-6, 0x1.003a35eb64acp-6, 0x1.f7103f2e8f36p-7, 0x1.edd1902dbb09fp-7, 0x1.e4b7f077c8578p-7, 0x1.dbc2f7120d002p-7, 0x1.d2f23f9abd0b7p-7, 0x1.ca45686fedbf3p-7, 0x1.c1bc100cda481p-7, 0x1.b955d2180ad9fp-7, 0x1.b11244c2a91c6p-7, 0x1.a8f0f71887af7p-7, 0x1.a0f170c15b5b5p-7, 0x1.991333708038cp-7, 0x1.9155bdea6a72dp-7, 0x1.89b8902b8abbp-7, 0x1.823b2ff1329a5p-7, 0x1.7add2cbaf4f7fp-7, 0x1.739e225e7a0c5p-7, 0x1.6c7db97d12e79p-7, 0x1.657ba58a44953p-7, 0x1.5e97a08ccc8a5p-7, 0x1.57d16540c9c0fp-7, 0x1.5128a8a623cfep-7, 0x1.4a9d143be0649p-7, 0x1.442e421f1f879p-7, 0x1.3ddbbbfb84565p-7, 0x1.37a4fd3afef5bp-7, 0x1.318978496e2ccp-7, 0x1.2b889e3c33b2ap-7, 0x1.25a1e72a43c05p-7, 0x1.1fd4da5580245p-7, 0x1.1a21140ee0821p-7, 0x1.14864888bff58p-7, 0x1.0f0441e8f8e7dp-7, 0x1.099adae24b6d5p-7, 0x1.0449f60409078p-7, 0x1.fe22e619e4573p-8, 0x1.f3e248da6bd36p-8, 0x1.e9d18da64b505p-8, 0x1.dfeff8c30d412p-8, 0x1.d63c991610ebbp-8, 0x1.ccb65173b221dp-8, 0x1.c35bea212ac8bp-8, 0x1.ba2c27b8d429dp-8, 0x1.b125e3b31c309p-8, 0x1.a848228607515p-8, 0x1.9f92239b77a6bp-8, 0x1.97036841736d4p-8, 0x1.8e9bb01936a7p-8, 0x1.865aeb3ea746cp-8, 0x1.7e41243151663p-8, 0x1.764e6518ce382p-8, 0x1.6e829cff5697dp-8, 0x1.66dd89b228151p-8, 0x1.5f5eaa21c2be4p-8, 0x1.58053b71b35e7p-8, 0x1.50d040e20d26bp-8, 0x1.49be94da067e6p-8, 0x1.42cefffe792bap-8, 0x1.3c005298f0f32p-8, 0x1.35517d17d8b22p-8, 0x1.2ec1a0075301fp-8, 0x1.28501df083544p-8, 0x1.21fc97b468639p-8, 0x1.1bc6e911316cbp-8, 0x1.15af19005a8ep-8, 0x1.0fb544b47f9a9p-8, 0x1.09d987d22e92ap-8, 0x1.041be5bbd3fedp-8, 0x1.fcf86f4aee078p-9, 0x1.f1f444968973fp-9, 0x1.e72a29342b4bep-9, 0x1.dc989dbe2847p-9, 0x1.d23de1611afddp-9, 0x1.c8181593989a4p-9, 0x1.be256384032d6p-9, 0x1.b4641d25d0fe2p-9, 0x1.aad2d4a5af623p-9, 0x1.a170670d32ed5p-9, 0x1.983bf9d7053ddp-9, 0x1.8f34eea5f97d4p-9, 0x1.865ad26bd1732p-9, 0x1.7dad4d1fbc6fbp-9, 0x1.752c14a7bbb6dp-9, 0x1.6cd6e271ce84ap-9, 0x1.64ad69613ae8cp-9, 0x1.5caf4a36ea2d3p-9, 0x1.54dc070157a7cp-9, 0x1.4d32f8f42e461p-9, 0x1.45b34da502f5ep-9, 0x1.3e5c0fe4690d2p-9, 0x1.372c3caf1c338p-9, 0x1.3022deee58aaap-9, 0x1.293f277a705dp-9, 0x1.22807580f6531p-9, 0x1.1be64832906b7p-9, 0x1.15701c8166f7fp-9, 0x1.0f1d44557c2f8p-9, 0x1.08ecca76943aap-9, 0x1.02dd7371ca4dp-9, 0x1.f9dbc02944596p-10, 0x1.ee398d1bad4d3p-10, 0x1.e2d256a929b7ap-10, 0x1.d7a501ff0f6a7p-10, 0x1.ccb1402cf4d36p-10, 0x1.c1f73415ba16bp-10, 0x1.b776f93b82c22p-10, 0x1.ad30478ce84edp-10, 0x1.a32262e5eca8p-10, 0x1.994c5cb10309ap-10, 0x1.8fad7feb92bfdp-10, 0x1.8645a677ec18ap-10, 0x1.7d15405cc0ac3p-10, 0x1.741cfb6240cf6p-10, 0x1.6b5d26999107p-10, 0x1.62d50d3c66f62p-10, 0x1.5a828be7fffd2p-10, 0x1.526212325c84bp-10, 0x1.4a6f203bd836ep-10, 0x1.42a5254ab963dp-10, 0x1.3b007bbf7a1dap-10, 0x1.337f2632ca554p-10, 0x1.2c20fbf68c27fp-10, 0x1.24e72a7d1fcf8p-10, 0x1.1dd343de0f772p-10, 0x1.16e651fc2e1f5p-10, 0x1.1020635a0434cp-10, 0x1.0980be4f5a998p-10, 0x1.030688b51042cp-10, 0x1.f962f3a34cdc9p-11, 0x1.ed04678fe19e7p-11, 0x1.e0f42fd42edbep-11, 0x1.d5355a09cb1p-11, 0x1.c9c9c021dbfbep-11, 0x1.beb0dc05f8e53p-11, 0x1.b3e744a9f86eep-11, 0x1.a966d8cc38c34p-11, 0x1.9f277e76eba58p-11, 0x1.952069889c1cep-11, 0x1.8b49c90941b74p-11, 0x1.819e705f156bcp-11, 0x1.781ccc03aec48p-11, 0x1.6ec68ed95a382p-11, 0x1.659f242487caep-11, 0x1.5ca9b016fdc69p-11, 0x1.53e7a76065ab7p-11, 0x1.4b589446d7d4p-11, 0x1.42faee6813f5ep-11, 0x1.3acd71a33a57dp-11, 0x1.32d02fff7c639p-11, 0x1.2b04b9327c121p-11, 0x1.236d44a24135cp-11, 0x1.1c0b7baa8c019p-11, 0x1.14dfa8b1a4444p-11, 0x1.0de8998c7ffa9p-11, 0x1.0723f86a4c79dp-11, 0x1.008eacded01cbp-11, 0x1.f44a1bb25389ap-12, 0x1.e7c60b53f40c4p-12, 0x1.db88c31a14015p-12, 0x1.cf8aae2666c46p-12, 0x1.c3c6381e73e13p-12, 0x1.b838b4d24f9c4p-12, 0x1.ace28a8b97084p-12, 0x1.a1c667d3d4e0cp-12, 0x1.96e7a61c1a012p-12, 0x1.8c48603c0135cp-12, 0x1.81e88430019adp-12, 0x1.77c6ef57a4942p-12, 0x1.6de35362e24dp-12, 0x1.643e7cfa001f8p-12, 0x1.5ad91bfc44fd1p-12, 0x1.51b30ccc1b26dp-12, 0x1.48cb6e884c7b1p-12, 0x1.40209486ecc98p-12, 0x1.37b0076c171bcp-12, 0x1.2f7732310df67p-12, 0x1.2774320997b14p-12, 0x1.1fa5e1c7b2c34p-12, 0x1.180b2c7122a29p-12, 0x1.10a247388ae01p-12, 0x1.09681d119b082p-12, 0x1.02585a601e1a4p-12, 0x1.f6ddc67f64c25p-13, 0x1.e953ca62fb7b6p-13, 0x1.dc140469fd439p-13, 0x1.cf1fdfbbfa93p-13, 0x1.c274a0d138177p-13, 0x1.b60df891dc459p-13, 0x1.a9ed193be587ap-13, 0x1.9e195149b3758p-13, 0x1.92976ac5d781ap-13, 0x1.8763a19c8ce35p-13, 0x1.7c760f65d8973p-13, 0x1.71ca8e7fb9392p-13, 0x1.6761eb0f69b96p-13, 0x1.5d3cb4c36f40fp-13, 0x1.5357f828ea31ep-13, 0x1.49af72502e67p-13, 0x1.40413aafb3c6dp-13, 0x1.370e96d7a5fefp-13, 0x1.2e19d00fcace9p-13, 0x1.25636746a1bd1p-13, 0x1.1ce7d8c527ccep-13, 0x1.149e79a9ae022p-13, 0x1.0c7dd0aad06p-13, 0x1.0485c327f91fdp-13, 0x1.f982d26213c62p-14, 0x1.ea722d6568393p-14, 0x1.dbccd0b08eecep-14, 0x1.cd780b39e01a7p-14, 0x1.bf681ed8abb9fp-14, 0x1.b1a47b4ffea57p-14, 0x1.a4373e1446eb2p-14, 0x1.97241386caf37p-14, 0x1.8a641318da3e8p-14, 0x1.7deabf7c560bdp-14, 0x1.71b3a75c1c6c9p-14, 0x1.65c63978fa1b8p-14, 0x1.5a2891dc8fbfdp-14, 0x1.4ed67dc1ab663p-14, 0x1.43c74f94e50bap-14, 0x1.38f66b71c98c4p-14, 0x1.2e653330ce4cp-14, 0x1.24176caf68c98p-14, 0x1.1a0f56d57e793p-14, 0x1.104c524420db6p-14, 0x1.06c7709b361a2p-14, 0x1.fae116288dd39p-15, 0x1.e87d725052792p-15, 0x1.d6802abbc38c6p-15, 0x1.c5039feb44956p-15, 0x1.b3f72f0921a9bp-15, 0x1.a34fbdee9c982p-15, 0x1.93239cd9a304fp-15, 0x1.83776a6699661p-15, 0x1.7429b359920adp-15, 0x1.651981662d196p-15, 0x1.56496319384d8p-15, 0x1.47d09d616b113p-15, 0x1.39b1a74290f55p-15, 0x1.2bdb43ce40c71p-15, 0x1.1e4e5b8a425c3p-15, 0x1.11188e451044cp-15, 0x1.043d8c2cdae76p-15, 0x1.ef5fa466aa88cp-16, 0x1.d6cacdd9de572p-16, 0x1.beb9339863434p-16, 0x1.a72facf64b112p-16, 0x1.9030ebd3517cbp-16, 0x1.79bd2f66cc993p-16, 0x1.63da7a38cac8ep-16, 0x1.4e8376693e0dp-16, 0x1.3995ad16b6ae3p-16, 0x1.250df8ccd9dc3p-16, 0x1.1100c06e82376p-16, 0x1.faa4e1353a777p-17, 0x1.d405427aa13b3p-17, 0x1.ae6db8d22a6cbp-17, 0x1.89d812a495584p-17, 0x1.661c6591705f7p-17, 0x1.4330e8b3ebfafp-17, 0x1.211b5bf1959p-17, 0x1.ff922800e5da7p-18, 0x1.be2118264927ep-18, 0x1.7df1ea45c2ff5p-18, 0x1.3f3b959cd0beap-18, 0x1.01be656003879p-18, 0x1.8ada24dd191dep-19, 0x1.1544322859b0ap-19, 0x1.456d0a026c09cp-20, 0x1.9542de9bbd7c1p-22, -0x1.d9783385440a8p-22, -0x1.4da927868aab3p-20, -0x1.103d9975b3ffdp-19, -0x1.7771d6c30f27p-19, -0x1.dc741102361aep-19, -0x1.1f7af9df13b02p-18, -0x1.4f6b37659dfc7p-18, -0x1.7e654bb35eedp-18, -0x1.ac801292de88ep-18, -0x1.d9c9bd211d158p-18, -0x1.03133ab43792ep-17, -0x1.18aab23a9b26cp-17, -0x1.2dc1cd2f29ff2p-17, -0x1.426c0febb0a3ap-17, -0x1.56ab2ceb2f579p-17, -0x1.6a7d910c7f5d5p-17, -0x1.7de358f3ba2a5p-17, -0x1.90de04e9c3625p-17, -0x1.a36bde5ed6d6bp-17, -0x1.b584ac0413a16p-17, -0x1.c72d128b735d6p-17, -0x1.d87a59aa8d3cep-17, -0x1.e96f39e1a0adp-17, -0x1.fa1109019a93fp-17, -0x1.052ac120ea91cp-16, -0x1.0d1711a8ea30fp-16, -0x1.14d4415e9d949p-16, -0x1.1c67f8075142p-16, -0x1.23d2dd8d10bd1p-16, -0x1.2b1474aea7b79p-16, -0x1.322d2c6073ea7p-16, -0x1.391de4050f37fp-16, -0x1.3fe3d5af6bb25p-16, -0x1.467b5ee1d7807p-16, -0x1.4ced8b0c6bf59p-16, -0x1.533fe74240a5ep-16, -0x1.596f1163cba3dp-16, -0x1.5f7447d473a58p-16, -0x1.65541bbf3fa72p-16, -0x1.6b11df9e10d97p-16, -0x1.70ad85f5f7711p-16, -0x1.7626fa8145dd1p-16, -0x1.7b7e94b041cbap-16, -0x1.80b4e290dafa7p-16, -0x1.85ca85564205ep-16, -0x1.8ac01ab9734fep-16, -0x1.8f96348563204p-16, -0x1.944d6bc22eee5p-16, -0x1.98e646065e05dp-16, -0x1.9d604802cbd8dp-16, -0x1.a1ba5728d20a3p-16, -0x1.a5f6fc46e7cd3p-16, -0x1.aa190cd8382e6p-16, -0x1.ae1ff0dc1a2e3p-16, -0x1.b2093e23c35aep-16, -0x1.b5d650f69c44cp-16, -0x1.b988d833af3b5p-16, -0x1.bd210ce984005p-16, -0x1.c09f02f7e574fp-16, -0x1.c40319749dd11p-16, -0x1.c74db70d165a7p-16, -0x1.ca7e5bfd21997p-16, -0x1.cd95975225538p-16, -0x1.d0959062f96a4p-16, -0x1.d37d2d5a8df4bp-16, -0x1.d64c4251e8a4fp-16, -0x1.d904066bf6396p-16, -0x1.dba4c069dbf57p-16, -0x1.de2e9ccb000fbp-16, -0x1.e0a1df6319bafp-16, -0x1.e2fed4c64ae85p-16, -0x1.e545c9ecac11dp-16, -0x1.e777097c194d7p-16, -0x1.e992dce4c5f8cp-16, -0x1.eb998cb501c85p-16, -0x1.ed8b61b753b88p-16, -0x1.ef68a2b0ebcc1p-16, -0x1.f13194af2d791p-16, -0x1.f2e6791d09e7dp-16, -0x1.f48715a801eep-16, -0x1.f616151f355ecp-16, -0x1.f78f456ac5b8cp-16, -0x1.f8f62afadc612p-16, -0x1.fa4aa9292bac8p-16, -0x1.fb8c6fc17064cp-16, -0x1.fcbbd66ed4d46p-16, -0x1.fdd91d8d842cep-16, -0x1.fee489ec0b08bp-16, -0x1.ffde50ab30921p-16, -0x1.006354425bd12p-15, -0x1.00cee49e914e9p-15, -0x1.0131f5b76c3bap-15, -0x1.018ca2c054554p-15, -0x1.01df067a6f018p-15, -0x1.02293c3c8cd5ep-15, -0x1.026b5de7b4cd4p-15, -0x1.02a585ade0359p-15, -0x1.02d7cd7ac49fbp-15, -0x1.03024edfd9966p-15, -0x1.03252323990eap-15, -0x1.0340634640758p-15, -0x1.0354280339b22p-15, -0x1.036089d04d103p-15, -0x1.0365a0d9d927cp-15, -0x1.03638504f9627p-15, -0x1.035a4e0299af8p-15, -0x1.034a136ef2283p-15, -0x1.0332ecc1243a9p-15, -0x1.0314eb72dfd86p-15, -0x1.02ea552d58163p-15, -0x1.02c4d4cd5b26cp-15, -0x1.0292e8dfc39f1p-15, -0x1.025a7d6e2a73dp-15, -0x1.021baed82fa6ep-15, -0x1.01d692e5ca778p-15, -0x1.018b3c1a4fea9p-15, -0x1.0139c21f40db6p-15, -0x1.00e23ee6813d8p-15, -0x1.0084c0a2b3729p-15, -0x1.002168d88b614p-15, -0x1.ff7082b2379eep-16, -0x1.fe92b7044c187p-16, -0x1.fda9975102cd7p-16, -0x1.fcb5652910256p-16, -0x1.fbb64a11eac16p-16, -0x1.faac65e54b7c3p-16, -0x1.f997d0585f0f7p-16, -0x1.f878bc19f47bbp-16, -0x1.f74f54260ffb5p-16, -0x1.f61bc0168d6f7p-16, -0x1.f4de2700687ebp-16, -0x1.f396afdaee569p-16, -0x1.f245817290a73p-16, -0x1.f0eac2f0352a5p-16, -0x1.ef869987dac9fp-16, -0x1.ee192c4e9b703p-16, -0x1.eca2a07a5f4c7p-16, -0x1.eb231b6da3093p-16, -0x1.e99ac24fa2791p-16, -0x1.e809b9f5f2f6fp-16, -0x1.e670278d8b6d1p-16, -0x1.e4ce2fead79d6p-16, -0x1.e323f80b5f4cdp-16, -0x1.e171a50329d07p-16, -0x1.dfb75b570907p-16, -0x1.ddf53e350659ep-16, -0x1.dc2b6f8cbc70bp-16, -0x1.da5a10e00822bp-16, -0x1.d8814521073a4p-16, -0x1.d6a133e3385f9p-16, -0x1.d4ba033b55fd8p-16, -0x1.d2cbc7e848215p-16, -0x1.d0d68cc57b815p-16, -0x1.cedaabadefeacp-16, -0x1.ccd863aa9912p-16, -0x1.cacf6953fd577p-16, -0x1.c8c01f5989d9cp-16, -0x1.c6aacea2eb259p-16, -0x1.c48f3a1f990eep-16, -0x1.c26da3e38fa69p-16, -0x1.c0463abaccc5ap-16, -0x1.be191e7bff0e1p-16, -0x1.bbe66dddf211p-16, -0x1.b9ae47bd642d9p-16, -0x1.b770cae50bc08p-16, -0x1.b52e1622ab88cp-16, -0x1.b2e64890e47a9p-16, -0x1.b09981a3cfc47p-16, -0x1.ae47e070676fep-16, -0x1.abf18499644a1p-16, -0x1.a99688c7ca95fp-16, -0x1.a7370e27184b3p-16, -0x1.a4d3329b83cffp-16, -0x1.a26b141ca0619p-16, -0x1.9ffed08e8c9ecp-16, -0x1.9d8e88fa661a5p-16, -0x1.9b1a407169573p-16, -0x1.98a1a8ac9cc6ap-16, -0x1.962524e1c97ffp-16, -0x1.93a70c94ef2efp-16, -0x1.912434edcb24dp-16, -0x1.8e9df1d9c1c11p-16, -0x1.8c146f97383fp-16, -0x1.8987c4b9217bp-16, -0x1.86f8093ac872fp-16, -0x1.846557ec29111p-16, -0x1.81cfd05f6f25fp-16, -0x1.7f3791343b332p-16, -0x1.7c9cb52e344afp-16, -0x1.79ff393d0256dp-16, -0x1.775f0dd18cbcap-16, -0x1.74bcc2e647716p-16, -0x1.721862b64f7cdp-16, -0x1.6f71f5897a241p-16, -0x1.6cc93f281131ep-16, -0x1.6a1e8b26075f5p-16, -0x1.6771fe0681148p-16, -0x1.64c3ae675fe53p-16, -0x1.6213b28ea221ep-16, -0x1.5f622148d81ecp-16, -0x1.5caf112c5be53p-16, -0x1.59fa97d2d2e84p-16, -0x1.5743c61ed367ep-16, -0x1.548db74835c4ap-16, -0x1.51d5a91d75953p-16, -0x1.4f1c75839e416p-16, -0x1.4c6248251469fp-16, -0x1.49a736d84881dp-16, -0x1.46eb585e56d73p-16, -0x1.442ec2ca6f553p-16, -0x1.4171893b03c7fp-16, -0x1.3eb3c0020605ap-16, -0x1.3bf57d6e76eeep-16, -0x1.3936d562a143fp-16, -0x1.3677da5b0c67ep-16, -0x1.33b89fee80ef5p-16, -0x1.30f939f9938dfp-16, -0x1.2e39bbe31a8e1p-16, -0x1.2b7a38817a6e4p-16, -0x1.28bac23126e2ap-16, -0x1.25fb6af53dfbap-16, -0x1.233c45b848a8ep-16, -0x1.207d672f2f7b5p-16, -0x1.1dbee18cc41d1p-16, -0x1.1b00c48c2fc6p-16, -0x1.18431b36f01eap-16, -0x1.1585d8e43ad65p-16, -0x1.12c96bd97c69dp-16, -0x1.100d9e33700c3p-16, -0x1.0d52824cdd6bdp-16, -0x1.0a98332a27694p-16, -0x1.07dec359f0decp-16, -0x1.052631fe90713p-16, -0x1.026e870db3f2ap-16, -0x1.ff70535d0eaaap-17, -0x1.fa05999a2a488p-17, -0x1.f49d158b0c9dep-17, -0x1.ef3702c538afbp-17, -0x1.e9d37e32b0e52p-17, -0x1.e472a2741124ep-17, -0x1.df148a96635c8p-17, }}, 
      {{-0x1.e904f723601dfp+0, -0x1.d61b89d3bbb35p+0, -0x1.babe05895b5f6p+0, -0x1.9aa65c2120de9p+0, -0x1.78f65a1cbb49bp+0, -0x1.5800d0e49095fp+0, -0x1.3951086f0855p+0, -0x1.1dcb95942038dp+0, -0x1.05d595b989617p+0, -0x1.e2f2cc82c6beap-1, -0x1.c10ad158553cp-1, -0x1.a54825e0d9055p-1, -0x1.8edb8ba5eaabfp-1, -0x1.7ceac5af73383p-1, -0x1.6ea16af34881dp-1, -0x1.633b5f0b94592p-1, -0x1.5a0aa4b187b04p-1, -0x1.5279e21a9e3e5p-1, -0x1.4c0ca5cdb5d66p-1, -0x1.465e378fb0ab8p-1, -0x1.411f845f124cp-1, -0x1.3c149799d3a81p-1, -0x1.3711e6fd7667p-1, -0x1.31f9a4f9c58afp-1, -0x1.2cb93c807e79bp-1, -0x1.274707588c772p-1, -0x1.21a04770a8369p-1, -0x1.1bc76ad4064ap-1, -0x1.15c292f358f0ep-1, -0x1.0f9a5f18e6713p-1, -0x1.0958f1d56dee7p-1, -0x1.030929ba789e6p-1, -0x1.f96c132d077fcp-2, -0x1.ecd489621b0fep-2, -0x1.e05fd8cd1968ap-2, -0x1.d4206e37be343p-2, -0x1.c826baa0a4eb8p-2, -0x1.bc810b88427eep-2, -0x1.b13b7f5f6a8f2p-2, -0x1.a6600de4963a4p-2, -0x1.9bf69cde628eap-2, -0x1.92051fbb85e2fp-2, -0x1.888fbe83f0f2bp-2, -0x1.7f98ffd36ae4p-2, -0x1.7721f42892e14p-2, -0x1.6f2a622f06194p-2, -0x1.67b0f28fde4d4p-2, -0x1.60b357b1c8df9p-2, -0x1.5a2e749c5706fp-2, -0x1.541e80fc98789p-2, -0x1.4e7f2971b7cc8p-2, -0x1.494bad3512d92p-2, -0x1.447ef87f42551p-2, -0x1.4013bbdeadc36p-2, -0x1.3c04810786189p-2, -0x1.384bbc8da08p-2, -0x1.34e3dd865bb61p-2, -0x1.31c75ad56f46ep-2, -0x1.2ef0be3a909a4p-2, -0x1.2c5aad95a2232p-2, -0x1.29fff2b0a172p-2, -0x1.27db818761a2ep-2, -0x1.25e87d2b34522p-2, -0x1.24223b3d47a61p-2, -0x1.2284470f7c5ep-2, -0x1.210a6377bacd6p-2, -0x1.1fb08bdbf4622p-2, -0x1.1e72f4a3d346dp-2, -0x1.1d4e0b6beacep-2, -0x1.1c3e7641f2631p-2, -0x1.1b411310f3de2p-2, -0x1.1a52f6324569p-2, -0x1.19716904c132fp-2, -0x1.1899e881f46afp-2, -0x1.17ca231579208p-2, -0x1.16fff6e65e568p-2, -0x1.16396fe5b8555p-2, -0x1.1574c5805045ap-2, -0x1.14b0588650369p-2, -0x1.13eab14f85bb8p-2, -0x1.13227d5ff40e2p-2, -0x1.12568d5fc96e6p-2, -0x1.1185d2f3b819bp-2, -0x1.10af5ef1b2324p-2, -0x1.0fd25f39c555ap-2, -0x1.0eee1cd317188p-2, -0x1.0e01fa23552e3p-2, -0x1.0d0d71129e4dcp-2, -0x1.0c101182a810ep-2, -0x1.0b097f7e94f9p-2, -0x1.09f971c2afbdp-2, -0x1.08dfb049e70e9p-2, -0x1.07bc12d00917ep-2, -0x1.068e7f8cf19dbp-2, -0x1.0556e9ff7058ap-2, -0x1.041551a074482p-2, -0x1.02c9c0d92f0c9p-2, -0x1.01744bf5dff4p-2, -0x1.00151029a49cfp-2, -0x1.fd58652a9f4f1p-3, -0x1.fa73bf07fd60cp-3, -0x1.f77c931ef0bc9p-3, -0x1.f47351cbbaa8ap-3, -0x1.f158751a49bdp-3, -0x1.ee2c7fac3d3c2p-3, -0x1.eaeffb6999476p-3, -0x1.e7a3785cd278p-3, -0x1.e4478bd9f77cfp-3, -0x1.e0dccf6f15bf9p-3, -0x1.dd63dfffd6a3bp-3, -0x1.d9dd5d2c9d501p-3, -0x1.d649e871d9077p-3, -0x1.d2aa248516f75p-3, -0x1.cefeb4c342f3p-3, -0x1.cb483cc7f4e0dp-3, -0x1.c7875fb7b2acp-3, -0x1.c3bcbff5e20c8p-3, -0x1.bfe8fe96e50fdp-3, -0x1.bc0cbb52a58c1p-3, -0x1.b82893e372166p-3, -0x1.b43d23e701b1fp-3, -0x1.b04b049ce3fcbp-3, -0x1.ac52cc8c36cfcp-3, -0x1.a8550f9776134p-3, -0x1.a4525e9225984p-3, -0x1.a04b47346efc1p-3, -0x1.9c40540aa8cf9p-3, -0x1.98320c488b1f7p-3, -0x1.9420f3ac3bdep-3, -0x1.900d8a9ef9553p-3, -0x1.8bf84defabe29p-3, -0x1.87e1b6e438f4ep-3, -0x1.83ca3b3575fcdp-3, -0x1.7fb24d0f91facp-3, -0x1.7b9a5afda918bp-3, -0x1.7782cffd1a3a3p-3, -0x1.736c138c1dce9p-3, -0x1.6f5689911dbd3p-3, -0x1.6b429278a2cb5p-3, -0x1.67308b3a1ec9p-3, -0x1.6320cd6322bb1p-3, -0x1.5f13af25350b3p-3, -0x1.5b098353d6e04p-3, -0x1.57029987439b3p-3, -0x1.52ff3e25d06a5p-3, -0x1.4effba669d051p-3, -0x1.4b04546e7f57ep-3, -0x1.470d4f5d87e67p-3, -0x1.431aeb5ec7337p-3, -0x1.3f2d65bb51832p-3, -0x1.3b44f8ec69593p-3, -0x1.3761dca47d697p-3, -0x1.338445ea4e625p-3, -0x1.2fac672b92cebp-3, -0x1.2bda704490c7ap-3, -0x1.280e8e993a23fp-3, -0x1.2448ed264020bp-3, -0x1.2089b49127f34p-3, -0x1.1cd10b397d3b8p-3, -0x1.191f154a11a6fp-3, -0x1.1573f4cb1ea3cp-3, -0x1.11cfc9b0b6601p-3, -0x1.0e32b1e99f385p-3, -0x1.0a9cc9762c3cfp-3, -0x1.070e2a730d539p-3, -0x1.0386ed28166a9p-3, -0x1.0007281ab59c9p-3, -0x1.f91de0389c658p-4, -0x1.f23cb0b0f7cdcp-4, -0x1.eb6ae4c6d6837p-4, -0x1.e4a89c8fdc7dp-4, -0x1.ddf5f52b201bp-4, -0x1.d75308dd471e6p-4, -0x1.d0bfef29f7491p-4, -0x1.ca3cbcea2a11bp-4, -0x1.c3c98469a0a63p-4, -0x1.bd66557ef8394p-4, -0x1.b7133d9fda97cp-4, -0x1.b0d047fb0d1ddp-4, -0x1.aa9d7d8f18dbcp-4, -0x1.a47ae53f07e81p-4, -0x1.9e6883e6fbfe4p-4, -0x1.98665c70761fep-4, -0x1.92746fe7dd825p-4, -0x1.8c92bd8ec84f7p-4, -0x1.86c142efecb92p-4, -0x1.80fffbf05993ap-4, -0x1.7b4ee2e1bcf96p-4, -0x1.75adf092a39d9p-4, -0x1.701d1c5f2e562p-4, -0x1.6a9c5c424081ap-4, -0x1.652ba4e3947e2p-4, -0x1.5fcae9a72fca4p-4, -0x1.5a7a1cbd04b77p-4, -0x1.55392f2ed922ap-4, -0x1.500810ed93126p-4, -0x1.4ae6b0de6efc9p-4, -0x1.45d4fce7c3b32p-4, -0x1.40d2e1fd6f693p-4, -0x1.3be04c2cdeaecp-4, -0x1.36fd26a8a2d5ep-4, -0x1.32295bd3a3b6dp-4, -0x1.2d64d54c0439fp-4, -0x1.28af7bf5b59a8p-4, -0x1.2409380463e35p-4, -0x1.1f71f104be493p-4, -0x1.1ae98de603f44p-4, -0x1.166ff5033b495p-4, -0x1.12050c2ba1883p-4, -0x1.0da8b8ab674a2p-4, -0x1.095adf5442f4bp-4, -0x1.051b648506ba7p-4, -0x1.00ea2c311a1b3p-4, -0x1.f98e33cf26addp-5, -0x1.f16421b4f3625p-5, -0x1.e955e7cac0cdep-5, -0x1.e1634b282e36p-5, -0x1.d98c1051ea8f7p-5, -0x1.d1cffb452ade9p-5, -0x1.ca2ecf82be136p-5, -0x1.c2a8501bcaa13p-5, -0x1.bb3c3fbcb280fp-5, -0x1.b3ea60b70305bp-5, -0x1.acb2750c91deep-5, -0x1.a5943e77989edp-5, -0x1.9e8f7e7314296p-5, -0x1.97a3f6448b5e1p-5, -0x1.90d16704d4e9bp-5, -0x1.8a1791a87bfbbp-5, -0x1.83763707ae69cp-5, -0x1.7ced17e60d455p-5, -0x1.767bf4f9c9a5bp-5, -0x1.70228ef26b3f6p-5, -0x1.69e0a67f32b46p-5, -0x1.63b5fc55fd5efp-5, -0x1.5da251394e9dep-5, -0x1.57a565fdfc97ep-5, -0x1.51befb90f1c0fp-5, -0x1.4beed2fd23dabp-5, -0x1.4634ad70bf978p-5, -0x1.40904c418500bp-5, -0x1.3b0170f1adc94p-5, -0x1.3587dd348c8ep-5, -0x1.302352f2eaa43p-5, -0x1.2ad3944f49c2cp-5, -0x1.259863a9f02fcp-5, -0x1.207183a4bb3b6p-5, -0x1.1b5eb7269698bp-5, -0x1.165fc15eb7337p-5, -0x1.117465c7cac2bp-5, -0x1.0c9c682af50b5p-5, -0x1.07d78ca38d981p-5, -0x1.032597a0ebefep-5, -0x1.fd0c9bd4b428ap-6, -0x1.f3f2e941c5a8ep-6, -0x1.eafda2839d461p-6, -0x1.e22c5351ae7bbp-6, -0x1.d97e882482977p-6, -0x1.d0f3ce39db11bp-6, -0x1.c88bb398c7ef6p-6, -0x1.c045c714e34bcp-6, -0x1.b8219851bc06ep-6, -0x1.b01eb7c625038p-6, -0x1.a83cb6bf20776p-6, -0x1.a07b2762a1b84p-6, -0x1.98d99cb232e21p-6, -0x1.9157aa8d514f1p-6, -0x1.89f4e5b3ac80fp-6, -0x1.82b0e3c6e87d8p-6, -0x1.7b8b3b4c120e5p-6, -0x1.748383af51eb1p-6, -0x1.6d995545306b6p-6, -0x1.66cc4949c758ap-6, -0x1.601bf9e400fc6p-6, -0x1.59880224925a6p-6, -0x1.530ffe09d7df1p-6, -0x1.4cb38a7fed4c7p-6, -0x1.467245602f103p-6, -0x1.404bcd7270971p-6, -0x1.3a3fc26e30843p-6, -0x1.344dc4fb256d6p-6, -0x1.2e7576b0ef0bbp-6, -0x1.28b67a17937c6p-6, -0x1.231072a7fc83p-6, -0x1.1d8304cb87a65p-6, -0x1.180dd5dc035fcp-6, -0x1.12b08c23acfefp-6, -0x1.0d6acedd19711p-6, -0x1.083c4632bcecp-6, -0x1.03249b3eb8446p-6, -0x1.fc46f014c83a5p-7, -0x1.f2710f1ba0436p-7, -0x1.e8c6eb5e5baep-7, -0x1.df47de845513dp-7, -0x1.d5f3440e7ec5bp-7, -0x1.ccc87955e3fdfp-7, -0x1.c3c6dd8a7febp-7, -0x1.baedd1af3614ep-7, -0x1.b23cb89db830cp-7, -0x1.a9b2f6fb5bc0cp-7, -0x1.a14ff340d36fep-7, -0x1.991315b2cb8fap-7, -0x1.90fbc85f002edp-7, -0x1.8909771da99c8p-7, -0x1.813b8f8cbc6f1p-7, -0x1.7991810d9361cp-7, -0x1.720abcc23c4f9p-7, -0x1.6aa6b58afaa86p-7, -0x1.6364e003c5adfp-7, -0x1.5c44b28176781p-7, -0x1.5545a50e4bae1p-7, -0x1.4e67316a21d24p-7, -0x1.47a8d3063ad0dp-7, -0x1.410a06ff9e656p-7, -0x1.3a8a4c1cb3811p-7, -0x1.342922ce261dcp-7, -0x1.2de60d28b9a25p-7, -0x1.27c08ee249b99p-7, -0x1.21b82d4f2a951p-7, -0x1.1bcc6f5eeb47p-7, -0x1.15fcdd992b64cp-7, -0x1.1049021a50263p-7, -0x1.0ab0689038891p-7, -0x1.05329e367de8cp-7, -0x1.ff9e63a7a2983p-8, -0x1.f50b676d5f119p-8, -0x1.eaab6b60225a5p-8, -0x1.e07d962ce59ddp-8, -0x1.d681116de917ap-8, -0x1.ccb509babadb3p-8, -0x1.c318ae95e0ab4p-8, -0x1.b9ab3268567dap-8, -0x1.b06bca7a7f21ap-8, -0x1.a759aeece59cap-8, -0x1.9e741ab14fdeep-8, -0x1.95ba4b8b73c0fp-8, -0x1.8d2b81d963945p-8, -0x1.84c7010e0e1c1p-8, -0x1.7c8c0ee2065ecp-8, -0x1.7479f421356cap-8, -0x1.6c8ffc0986ad2p-8, -0x1.64cd74833b459p-8, -0x1.5d31ae11c23efp-8, -0x1.55bbfbc9a31e1p-8, -0x1.4e6bb349d306p-8, -0x1.47402cb86142p-8, -0x1.4038c2bb65ab3p-8, -0x1.3954d270cbbadp-8, -0x1.3293bb6674ddfp-8, -0x1.2bf4df918d97bp-8, -0x1.2577a34a08ec9p-8, -0x1.1f1b6d43818d5p-8, -0x1.18dfa68632eefp-8, -0x1.12c3ba68943bbp-8, -0x1.0cc71688b35f4p-8, -0x1.06e92ac573a47p-8, -0x1.01296937d8b66p-8, -0x1.f70e8c588c2cap-9, -0x1.ec0470367fd1p-9, -0x1.e1336f4338f5ep-9, -0x1.d69a7ef9253dep-9, -0x1.cc38991094abbp-9, -0x1.c20cbb64d9428p-9, -0x1.b815e7ded0a1cp-9, -0x1.ae532469633a4p-9, -0x1.a4c37af47198p-9, -0x1.9b65f906268c2p-9, -0x1.9239b17f2d54dp-9, -0x1.893db8ddd382fp-9, -0x1.807128e4b2693p-9, -0x1.77d31eb8a369ap-9, -0x1.6f62bb349b7e5p-9, -0x1.671f22dde01fdp-9, -0x1.5f077dd7faddbp-9, -0x1.571af7d7d31afp-9, -0x1.4f58c01660c57p-9, -0x1.47c0094278cddp-9, -0x1.4050097283ab1p-9, -0x1.3907fa1663b84p-9, -0x1.31e717ea49b22p-9, -0x1.2aeca2eae75d9p-9, -0x1.2417de4b04d56p-9, -0x1.1d68106c17666p-9, -0x1.16dc82d25ed0cp-9, -0x1.10748223805efp-9, -0x1.0a2f5e1a0446ap-9, -0x1.040c6983d9aa9p-9, -0x1.fc15f45b6e854p-10, -0x1.f054d1b72441fp-10, -0x1.e4d4228112d5dp-10, -0x1.d992a3d51cfe6p-10, -0x1.ce8f186520919p-10, -0x1.c3c84854dd1afp-10, -0x1.b93d0122eca59p-10, -0x1.aeec158903dc7p-10, -0x1.a4d45d6bcf1dcp-10, -0x1.9af4b5c38ef18p-10, -0x1.914c009765937p-10, -0x1.87d924fdde0eep-10, -0x1.7e9b0f1ef8e9ep-10, -0x1.7590b0379c996p-10, -0x1.6cb8fe98da9b3p-10, -0x1.6412f59fb3c68p-10, -0x1.5b9d95a0cc44bp-10, -0x1.5357e3c61b4c3p-10, -0x1.4b40e9df42dfdp-10, -0x1.4357b627f8263p-10, -0x1.3b9b5b0a9cb95p-10, -0x1.340aeee79fd0ep-10, -0x1.2ca58bea71f34p-10, -0x1.256a4ff3b7df7p-10, -0x1.1e585c9d9c2f7p-10, -0x1.176ed75cc175dp-10, -0x1.10ace9c3aae9p-10, -0x1.0a11c1bd2336p-10, -0x1.039c8f918194cp-10, -0x1.fa991603ebcc2p-11, -0x1.ee41e07a31c8ap-11, -0x1.e23201102900cp-11, -0x1.d667f7a9370abp-11, -0x1.cae254911656bp-11, -0x1.bf9fb09a59533p-11, -0x1.b49ea68cc635cp-11, -0x1.a9ddd661dc0f6p-11, -0x1.9f5be4ab164a7p-11, -0x1.95177a57dde31p-11, -0x1.8b0f450b25458p-11, -0x1.8141f7d90c34fp-11, -0x1.77ae4c4093366p-11, -0x1.6e53032b84144p-11, -0x1.652ee5c0ba11ep-11, -0x1.5c40c5de1f749p-11, -0x1.53877e232ac95p-11, -0x1.4b01f186862eep-11, -0x1.42af0a81995cdp-11, -0x1.3a8db9e971955p-11, -0x1.329cf594f1b5ep-11, -0x1.2adbb6fd73d2ap-11, -0x1.2348fa12a13e7p-11, -0x1.1be3bc6e9086ep-11, -0x1.14aafd2c4f97ep-11, -0x1.0d9dbd6ab901ap-11, -0x1.06bb016425593p-11, -0x1.0001d1e08bce2p-11, -0x1.f2e27b4acfd63p-12, -0x1.e610b53e322a3p-12, -0x1.d98c8c77ebcf4p-12, -0x1.cd54342cd4534p-12, -0x1.c1664d0961abcp-12, -0x1.b5c0f5df48493p-12, -0x1.aa62b9f0e829ap-12, -0x1.9f4a1578ff4f2p-12, -0x1.94758cb57ed71p-12, -0x1.89e3a908e75bdp-12, -0x1.7f92f6714542p-12, -0x1.758201a3c6f3bp-12, -0x1.6baf578aa0b49p-12, -0x1.6219863f9cf34p-12, -0x1.58bf1f790f64bp-12, -0x1.4f9ebbe488eb3p-12, -0x1.46b6fde13dca9p-12, -0x1.3e06931d73668p-12, -0x1.358c349e9f926p-12, -0x1.2d46a5a81dcfap-12, -0x1.2534b2a16926p-12, -0x1.1d55300ca2919p-12, -0x1.15a6fab5fb1cdp-12, -0x1.0e28f7f3e01b8p-12, -0x1.06da15c6ee9bp-12, -0x1.ff72940d3c2eep-13, -0x1.f18b20e13a538p-13, -0x1.e3fbd046339d1p-13, -0x1.d6c2a3020b38ep-13, -0x1.c9dd9ae5c4c99p-13, -0x1.bd4abcb2fdbcdp-13, -0x1.b108146372dbp-13, -0x1.a513b99e96f69p-13, -0x1.996bd22f89392p-13, -0x1.8e0e9164f2ac1p-13, -0x1.82fa34eab0a1cp-13, -0x1.782d00dc42f49p-13, -0x1.6da53d2a6411fp-13, -0x1.636135f3d8f33p-13, -0x1.595f3ec461703p-13, -0x1.4f9db76f23c3ep-13, -0x1.461b104186611p-13, -0x1.3cd5cba44c4b2p-13, -0x1.33cc7caa4d206p-13, -0x1.2afdc3a92169ep-13, -0x1.22684acbb6e02p-13, -0x1.1a0ac41b8870bp-13, -0x1.11e3e932424f5p-13, -0x1.09f27b571829fp-13, -0x1.0235430af6dcep-13, -0x1.f5561cd6b56b2p-14, -0x1.e6a55e2ccff37p-14, -0x1.d855f0851c273p-14, -0x1.ca657a5eda373p-14, -0x1.bcd19fa37e51p-14, -0x1.af98004160e86p-14, -0x1.a2b63a0a28aaep-14, -0x1.9629ef0054559p-14, -0x1.89f0ce616570ap-14, -0x1.7e089c7d29b62p-14, -0x1.726f367772408p-14, -0x1.672292c4a416dp-14, -0x1.5c20c1f821a13p-14, -0x1.5167f26ab1312p-14, -0x1.46f674fa63cc6p-14, -0x1.3ccabd8018239p-14, -0x1.32e35a69af21dp-14, -0x1.293ee478d2c1p-14, -0x1.1fdbede8135e8p-14, -0x1.16b8f9a84b4cp-14, -0x1.0dd47e1300d0dp-14, -0x1.052cee69c29d5p-14, -0x1.f98185603d49ap-15, -0x1.e91cf1524aa75p-15, -0x1.d9291f658782cp-15, -0x1.c9a309bbe4dd4p-15, -0x1.ba87a51f08f24p-15, -0x1.abd3e8340e12fp-15, -0x1.9d84d365a506dp-15, -0x1.8f97737f96639p-15, -0x1.8208e6d7a394bp-15, -0x1.74d66ccd7e5d6p-15, -0x1.67fd7fe5d2e59p-15, -0x1.5b7bf0065ad0dp-15, -0x1.4f4fe62093e12p-15, -0x1.4377c6a4ade07p-15, -0x1.37f20039491c1p-15, -0x1.2cbce28556478p-15, -0x1.21d6914199a12p-15, -0x1.173d12cf0f426p-15, -0x1.0cee69c846905p-15, -0x1.02e8a8c5f3573p-15, -0x1.f253f21b3f7d7p-16, -0x1.df612a2ddd7fp-16, -0x1.ccf578ec6aadfp-16, -0x1.bb0d51deb4f2fp-16, -0x1.a9a515956e774p-16, -0x1.98b9189b6f0e1p-16, -0x1.8845ad500107p-16, -0x1.784728143ec9bp-16, -0x1.68b9e61523ab6p-16, -0x1.599a67fd6bd92p-16, -0x1.4ae57fe0f71cbp-16, -0x1.3c9870274a20fp-16, -0x1.2eb0db66f3bb8p-16, -0x1.212c904857d4bp-16, -0x1.14095f10bd747p-16, -0x1.0745147d8a20ap-16, -0x1.f5bb0b3f2e5b9p-17, -0x1.dda111479fcf2p-17, -0x1.c637ba706a285p-17, -0x1.af7a57735f18fp-17, -0x1.99644efc1d7d9p-17, -0x1.83f15c54bcfcep-17, -0x1.6f1d84d1ee5bbp-17, -0x1.5ae4d8b9f8e5dp-17, -0x1.47433ea9247c4p-17, -0x1.343462e403c2dp-17, -0x1.21b3e1e47fef4p-17, -0x1.0fbd8765d8276p-17, -0x1.fc9addb851bf1p-18, -0x1.dabfe72add6c7p-18, -0x1.b9e325f0af3f9p-18, -0x1.99fdd607fce54p-18, -0x1.7b097b89387ddp-18, -0x1.5cff8fe44dc4bp-18, -0x1.3fd919f4946cfp-18, -0x1.238f0cfb1c7b7p-18, -0x1.081b593850d58p-18, -0x1.daf2de7eadb91p-19, -0x1.a74ac4f2ab93fp-19, -0x1.753527d874057p-19, -0x1.44a6d98d587c4p-19, -0x1.1594618c5e65fp-19, -0x1.cfe6f2bec857ep-20, -0x1.7776393536dfdp-20, -0x1.21c58b025da05p-20, -0x1.9d86eae85615bp-21, -0x1.f9751d0e8d2adp-22, -0x1.83f6c75d38724p-23, 0x1.aec67001b8029p-24, 0x1.8fdccd2a1c7edp-22, 0x1.55613f08c0fdp-21, 0x1.de49304f8916ap-21, 0x1.315eb284b4178p-20, 0x1.716ce821612p-20, 0x1.af600fbb8878p-20, 0x1.eb4aaaa779cd2p-20, 0x1.129f6ab0ea79ep-19, 0x1.2ea552d611c9fp-19, 0x1.49ba48eadb957p-19, 0x1.63e458eb3aed5p-19, 0x1.7d3fa1abd4c86p-19, 0x1.95acb5a2db2d6p-19, 0x1.ad3fcebf7c1bcp-19, 0x1.c3f7c93bc5aa6p-19, 0x1.d9f66e472500bp-19, 0x1.ef2d163fc783ap-19, 0x1.01cfe04d506c9p-18, 0x1.0baa6047e317p-18, 0x1.1528d6d7517fbp-18, 0x1.1e4de0b05af23p-18, 0x1.271c164ad969ap-18, 0x1.2f961888d1289p-18, 0x1.37be52597a5e9p-18, 0x1.3f96acd0323c5p-18, 0x1.4720953d37a56p-18, 0x1.4e5d75b2acfaep-18, 0x1.554f415da6ae3p-18, 0x1.5bf87ddf612ap-18, 0x1.625bdcd6bdf37p-18, 0x1.687be33038aa5p-18, 0x1.6e5a6de18032dp-18, 0x1.73f87b59e2445p-18, 0x1.795704162188p-18, 0x1.7e77ae899a5a9p-18, 0x1.835c5252611afp-18, 0x1.88068e5aa5857p-18, 0x1.8c782445e8a06p-18, 0x1.90b30b97da34dp-18, 0x1.94b903d189d7dp-18, 0x1.988b3c7db361bp-18, 0x1.9c2a8e200eec8p-18, 0x1.9f9806a66e987p-18, 0x1.a2d46dc4bd341p-18, 0x1.a5d34ba28848fp-18, 0x1.a8c3207448f7bp-18, 0x1.ab78d1a26015ep-18, 0x1.ae022564423fcp-18, 0x1.b0612e3407bdcp-18, 0x1.b296f1d6b59fap-18, 0x1.b4a44b4a77418p-18, 0x1.b68a408dfad78p-18, 0x1.b84a1d2fe3d5cp-18, 0x1.b9e532011b1b9p-18, 0x1.bb5c9557eebcbp-18, 0x1.bcb1291854bcp-18, 0x1.bde397406295p-18, 0x1.bef4a1510a0c4p-18, 0x1.bfe566c7a144cp-18, 0x1.c0b6d115fed1fp-18, 0x1.c1697326de85fp-18, 0x1.c1fdfbdc014c8p-18, 0x1.c27539cb0576fp-18, 0x1.c2d009825d2dep-18, 0x1.c30f4fd96a561p-18, 0x1.c333ea5c05f3dp-18, 0x1.c33e99a8c967p-18, 0x1.c32fe50c55e15p-18, 0x1.c30859895749cp-18, 0x1.c2c8b435ee50fp-18, 0x1.c271a42a56c6dp-18, 0x1.c203afbd199efp-18, 0x1.c17f6d59742p-18, 0x1.c0e581f4ef58bp-18, 0x1.c036868b842fbp-18, 0x1.bf7303a25bfadp-18, 0x1.be9b7ab29d245p-18, 0x1.bdb07759f45a1p-18, 0x1.bcb288d5ddfd4p-18, 0x1.bba23013a4c7bp-18, 0x1.ba7fdc65d4ebp-18, 0x1.b94c1d960d606p-18, 0x1.b80772d50cp-18, 0x1.b6b25fba2a046p-18, 0x1.b54d51291fc42p-18, 0x1.b3d89e01f708p-18, 0x1.b254ba23a6be7p-18, 0x1.b0c2164950559p-18, 0x1.af211790ee731p-18, 0x1.ad721fb8e998dp-18, 0x1.abb590bf3a9e2p-18, 0x1.a9ebcfd70bca3p-18, 0x1.a815436c5fa8fp-18, 0x1.a632496d4e12p-18, 0x1.a4433b11d4af4p-18, 0x1.a2487532b6706p-18, 0x1.a0424da5ba617p-18, 0x1.9e311d1215c3cp-18, 0x1.9c1530a6e3dbdp-18, 0x1.99eed0df8db37p-18, 0x1.97be54ede7dbep-18, 0x1.958411aad96a1p-18, 0x1.934052e5207afp-18, 0x1.90f35eb53968dp-18, 0x1.8e9d7b3a2c53cp-18, 0x1.8c3ef01999163p-18, 0x1.89d7fe3c1b712p-18, 0x1.8768e42138b03p-18, 0x1.84f1f16e7091fp-18, 0x1.82736fe37b718p-18, 0x1.7fed9ab506c93p-18, 0x1.7d60a6a39edb4p-18, 0x1.7accd51d7c489p-18, 0x1.783264e13ecf9p-18, 0x1.75918f61eded6p-18, 0x1.72ea8cf692c19p-18, 0x1.703d958a6dd6ap-18, 0x1.6d8ae087e1715p-18, 0x1.6ad2a4bbb918cp-18, 0x1.681517e95f469p-18, 0x1.65526e495512ep-18, 0x1.628adab0a2568p-18, 0x1.5fbe8efd13457p-18, 0x1.5cedbaff7ae66p-18, 0x1.5a188cc5e89fcp-18, 0x1.573f35e46d044p-18, 0x1.5461e7d573569p-18, 0x1.5180cf7b98f35p-18, 0x1.4e9c16f95430ep-18, 0x1.4bb3ebbe93148p-18, 0x1.48c87a1d4e05fp-18, 0x1.45d9eb19d0b52p-18, 0x1.42e865599301ap-18, 0x1.3ff40f6ee1abdp-18, 0x1.3cfd10db3e4d4p-18, 0x1.3a0390528615dp-18, 0x1.3707b480c5066p-18, 0x1.3409a51ff738bp-18, 0x1.3109862845ec9p-18, 0x1.2e077c6a9da58p-18, 0x1.2b03ad09a6692p-18, 0x1.27fe3b070ea5ep-18, 0x1.24f747dc5e704p-18, 0x1.21eef4103a35fp-18, 0x1.1ee562439a8f7p-18, 0x1.1bdaafeaa291bp-18, 0x1.18cefd7a0cebbp-18, 0x1.15c26b084fec2p-18, 0x1.12b519def2f3cp-18, 0x1.0fa72b3e12571p-18, 0x1.0c98bcc597daap-18, 0x1.0989e97c50563p-18, 0x1.067acb4bb2684p-18, 0x1.0369690518b5bp-18, 0x1.00603f423ed4p-18, 0x1.fa987edbc52aap-19, 0x1.f47814da9276fp-19, 0x1.ee5bd22623996p-19, 0x1.e83e0addd6e1fp-19, 0x1.e2212d200de32p-19, 0x1.dc056a899fa73p-19, 0x1.d5eae978da73dp-19, 0x1.cfd1d51311afap-19, 0x1.c9ba5a2416a08p-19, 0x1.c3a4a58ed2bacp-19, 0x1.bd90e3c464949p-19, 0x1.b77f408e6c766p-19, 0x1.b16fe700b325cp-19, 0x1.ab6301779f05p-19, 0x1.a558b98a59b08p-19, 0x1.9f513811f238ap-19, 0x1.994ca5246730cp-19, 0x1.934b281146919p-19, 0x1.8d4ce7616e4ffp-19, 0x1.875208de3ab2bp-19, 0x1.815ab1942149p-19, 0x1.7b6705a0043eap-19, 0x1.757727aa44ba6p-19, 0x1.6f8b3891b83fcp-19, 0x1.69a35846527bdp-19, 0x1.63bfa8bd4f183p-19, 0x1.5de04fdce5202p-19, 0x1.5805242680304p-19, 0x1.51dc3073aa786p-19, 0x1.4c5d9018c80e1p-19, 0x1.469120e2f4c96p-19, 0x1.40c95e1a9f652p-19, 0x1.3b06b99e85d7cp-19, 0x1.35494962129e9p-19, 0x1.2f911e1d00a78p-19, 0x1.29de502c09f6ep-19, 0x1.2430fc03efc6cp-19, 0x1.1e893e0412662p-19, 0x1.18e731abcfd34p-19, 0x1.134af0bf9bad5p-19, 0x1.0db4941c1afa1p-19, 0x1.0824340246494p-19, 0x1.0299e8394e04p-19, 0x1.fa2b8ec3fba79p-20, 0x1.ef2fce75abeb1p-20, 0x1.e440bab3e67fbp-20, 0x1.d95e7eafd3859p-20, 0x1.ce894419741cep-20, 0x1.c3c1337b07c95p-20, 0x1.b9067465b8465p-20, 0x1.ae592d4abcf79p-20, 0x1.a3b9833febce6p-20, 0x1.99279eef523dp-20, 0x1.8ea39af7a9f47p-20, 0x1.842da297c2bd7p-20, 0x1.79c5d3e65c802p-20, 0x1.6f6c4f7669726p-20, 0x1.6521355571a49p-20, 0x1.5ae4a58a74438p-20, 0x1.50b6bc56fd3dep-20, 0x1.469797db8919ep-20, 0x1.3c875562e800fp-20, 0x1.328610afa7cd7p-20, 0x1.2893e44a091c6p-20, 0x1.1eb0ea5050d74p-20, 0x1.14dd3b526bff3p-20, 0x1.0b18eb9ef1336p-20, 0x1.0164090d29f7fp-20, 0x1.ef7d795862b07p-21, 0x1.dc525d842163cp-21, 0x1.c946a6f38d0f4p-21, 0x1.b65a7f593c5efp-21, 0x1.a38e1ce04213p-21, 0x1.90e1a78f2b08p-21, 0x1.7e553ee3782f1p-21, 0x1.6be907899845p-21, 0x1.599d23698e8cdp-21, 0x1.4771ae3b51aaep-21, 0x1.3566c8680a1abp-21, 0x1.237c91b679124p-21, 0x1.11b32840905bbp-21, 0x1.000aa53b7f318p-21, 0x1.dd062ff13769p-22, 0x1.ba390972a498p-22, 0x1.97ade0e8f92b7p-22, 0x1.7564e79808393p-22, 0x1.535e89cbb3fa5p-22, 0x1.319b622fa511bp-22, 0x1.101ade886edffp-22, 0x1.ddba6981f0cb8p-23, 0x1.9bc4b86bdcd7bp-23, 0x1.5a56887208dd2p-23, 0x1.196fe9a2d1deap-23, 0x1.b2223f89150f1p-24, 0x1.32772a21de296p-24, 0x1.679b75f8bcc9bp-25, 0x1.aefe6d15c1581p-27, -0x1.1c8ceca97f9f9p-26, -0x1.838ace67d5344p-25, -0x1.3c2d7123f8a57p-24, -0x1.b58e9a678dd41p-24, -0x1.16eef4679eb04p-23, -0x1.528ed56402baap-23, -0x1.8da758e357bc2p-23, -0x1.c838b242b6053p-23, -0x1.01217df77856ap-22, -0x1.1de322885fee9p-22, -0x1.3a6148facb7d1p-22, -0x1.569bef4fb2b31p-22, -0x1.729313aee320dp-22, -0x1.8e469a9b23eb2p-22, -0x1.a9b6b0e26985p-22, -0x1.c4e345812969cp-22, -0x1.dfcc8705dce28p-22, -0x1.fa72900cc948dp-22, -0x1.0a6ac0d2cd9b6p-21, -0x1.177abfc02a4f9p-21, -0x1.246955240d4c2p-21, -0x1.313690a6367dep-21, -0x1.3de27e88690dcp-21, -0x1.4a6d6506e6b43p-21, -0x1.56e8b70f1296ep-21, -0x1.6320df3d1dbabp-21, -0x1.6f46b679765c8p-21, -0x1.7b4d20b82583fp-21, -0x1.873292d3a642bp-21, -0x1.92f704f55df6ap-21, -0x1.9e9ad070eb0edp-21, -0x1.aa1e3e4a01f6cp-21, -0x1.b5810ca7f6814p-21, -0x1.c0c34230aa91bp-21, -0x1.cbe556f7821a4p-21, -0x1.d6e74e618f229p-21, -0x1.e1c8ee941282cp-21, -0x1.ec8a4f6d573e6p-21, -0x1.f72ba9cfca78fp-21, -0x1.00d693f509e4p-20, -0x1.060773d4e807fp-20, -0x1.0b2881d816368p-20, -0x1.1039cb4cffdc5p-20, -0x1.153b5e039ce0ap-20, -0x1.1a2d48b67b943p-20, -0x1.1f0f9c4246011p-20, -0x1.23e26ca9e2332p-20, -0x1.28a5d03283b59p-20, -0x1.2d59d783d2af9p-20, -0x1.31fe7aa344dffp-20, -0x1.3693ac43623bdp-20, -0x1.3b19811aee302p-20, -0x1.3f9079ca013c7p-20, -0x1.43f84b85a9459p-20, -0x1.4850e0be52ebfp-20, -0x1.4c9a860f235fp-20, -0x1.50d5560198498p-20, -0x1.55015d9393489p-20, -0x1.591ea84dcae5cp-20, -0x1.5d2d451fae5bap-20, -0x1.612d466d4a58dp-20, -0x1.651ec02549fcdp-20, -0x1.6901c651cc9cep-20, }}, 
      {{-0x1.5645f16613661p-8, -0x1.18150a872f255p-7, 0x1.595b3817b95b2p-7, 0x1.0ace1b670124bp-4, 0x1.437fbeb762adap-3, 0x1.222d0e1f9ccd5p-2, 0x1.b913746db77c1p-2, 0x1.2cbf2c9e2099fp-1, 0x1.7b59bbce05e27p-1, 0x1.c2d1494e9647ap-1, 0x1.fed153eff075dp-1, 0x1.162b3132a2eecp+0, 0x1.24d05176c6beap+0, 0x1.2b06df323ccfdp+0, 0x1.28f36cea275e9p+0, 0x1.1f15bdbcf5ebdp+0, 0x1.0e2f606b2498fp+0, 0x1.ee59f02e15a3fp-1, 0x1.b625cb3cc1b08p-1, 0x1.75db027cab1cp-1, 0x1.2f8990aa0ba22p-1, 0x1.ca4cd5686c8cep-2, 0x1.30fd760d3d077p-2, 0x1.2cbf23ac8c532p-3, -0x1.5d533c4fd8dc3p-9, -0x1.2fd3fd16ddac3p-3, -0x1.273059a1faff8p-2, -0x1.aef3939dbe3cap-2, -0x1.16fb1a21e85e2p-1, -0x1.51a76813db60fp-1, -0x1.872f641e0ded1p-1, -0x1.b76471320cb55p-1, -0x1.e2340aecbe4bp-1, -0x1.03d1b299a5038p+0, -0x1.13e5abf239a19p+0, -0x1.216a50c1835e4p+0, -0x1.2c7a43abd9da1p+0, -0x1.3534eaf3f99e3p+0, -0x1.3bbd2086b6cacp+0, -0x1.4038101db8d28p+0, -0x1.42cc40dd4c51cp+0, -0x1.43a0c73a15744p+0, -0x1.42dc9b807022fp+0, -0x1.40a611150c564p+0, -0x1.3d226a7a7ea73p+0, -0x1.38758650dcd25p+0, -0x1.32c1a1c3949a4p+0, -0x1.2c272d23b4d7ap+0, -0x1.24c4afbb6c64fp+0, -0x1.1cb6b82eac60cp+0, -0x1.1417d7162dcebp+0, -0x1.0b00a1cdb31eep+0, -0x1.0187bbb34d4cep+0, -0x1.ef83c8cede42bp-1, -0x1.db84139286636p-1, -0x1.c732b952fe4b3p-1, -0x1.b2aecea97fe5ep-1, -0x1.9e144a86021f6p-1, -0x1.897c36b48054bp-1, -0x1.74fce09fbb4cbp-1, -0x1.60aa09985d5d3p-1, -0x1.4c95161291bdcp-1, -0x1.38cd3b68b1323p-1, -0x1.255fabd15fa8bp-1, -0x1.1257c050a036ep-1, -0x1.ff7e40f82b9b4p-2, -0x1.db3bd00b7b36bp-2, -0x1.b7f5940789451p-2, -0x1.95b663fc7f668p-2, -0x1.7486c5a58d1ecp-2, -0x1.546d26fc0af49p-2, -0x1.356e13c7569d8p-2, -0x1.178c6757bc6cfp-2, -0x1.f592f52e5372bp-3, -0x1.be4a9d4f68cf7p-3, -0x1.893d6860cd607p-3, -0x1.5666df343e48ap-3, -0x1.25c0b49e3ad29p-3, -0x1.ee86050ca5d7dp-4, -0x1.95c90362b48fep-4, -0x1.413579788cfe4p-4, -0x1.e168f9cdd4481p-5, -0x1.485af0017f5d9p-5, -0x1.6e19d8191ca19p-6, -0x1.6a4683a5646c9p-8, 0x1.54a4e13cfdfbep-7, 0x1.a1049810f3186p-6, 0x1.44fc6cfcf2f62p-5, 0x1.b2d228fbe1be5p-5, 0x1.0d1f24db3ac79p-4, 0x1.3dbdc7cf63a19p-4, 0x1.6b62395e3f993p-4, 0x1.9629773d18036p-4, 0x1.be30284bb38fep-4, 0x1.e392890278277p-4, 0x1.03362cca68bebp-3, 0x1.136c6779e823ep-3, 0x1.22794383fbd05p-3, 0x1.3069bea5d9584p-3, 0x1.3d4a81caf48a9p-3, 0x1.4927dd584fcacp-3, 0x1.540dc6b52c2c6p-3, 0x1.5e07d6b9ee7f3p-3, 0x1.6721480203937p-3, 0x1.6f64f6cc9843cp-3, 0x1.76dd6074d492dp-3, 0x1.7d94a3b026fcap-3, 0x1.839481ab27828p-3, 0x1.88e65e5d6b7ecp-3, 0x1.8d93422bc4f75p-3, 0x1.91a3db96309c1p-3, 0x1.9520804eff64ap-3, 0x1.98112faf544cdp-3, 0x1.9a7d94b02bf1dp-3, 0x1.9c6d07890adbdp-3, 0x1.9de69081f7a3p-3, 0x1.9ef0ea2d67bb6p-3, 0x1.9f92833fb1c49p-3, 0x1.9fd1817be7fd1p-3, 0x1.9fb3c41a1641p-3, 0x1.9f3ee5aca40c4p-3, 0x1.9e783ef0853a3p-3, 0x1.9d64e957209a2p-3, 0x1.9c09c0ddbb365p-3, 0x1.9a6b6698a29aap-3, 0x1.988e434f3faa9p-3, 0x1.9676894e0d15bp-3, 0x1.9428368644cd9p-3, 0x1.91a7171c3b74bp-3, 0x1.8ef6c74ff54b5p-3, 0x1.8c1ab52fba4a7p-3, 0x1.891622d8ddc0ep-3, 0x1.85ec2887af2d3p-3, 0x1.829fb61430b58p-3, 0x1.7f3394ac5f582p-3, 0x1.7baa68dd142cp-3, 0x1.7806b42803032p-3, 0x1.744ad64e96a2ep-3, 0x1.70790ef4f43d1p-3, 0x1.6c937f56dc008p-3, 0x1.689c2b8b0ece2p-3, 0x1.6494fba7ee25cp-3, 0x1.607fbd351de15p-3, 0x1.5c5e24963eccep-3, 0x1.5831ce1730637p-3, 0x1.53fc3ee6870c7p-3, 0x1.4fbee64d0835dp-3, 0x1.4b7b1edea7f7ep-3, 0x1.47322f60dcd04p-3, 0x1.42e54b9874a08p-3, 0x1.3e9595459b249p-3, 0x1.3a441d272e762p-3, 0x1.35f1e3c878c69p-3, 0x1.319fda274df66p-3, 0x1.2d4ee276ab4afp-3, 0x1.28ffd0faaabdcp-3, 0x1.24b36cbeca429p-3, 0x1.206a70252f169p-3, 0x1.1c258979730f1p-3, 0x1.17e55b9daf7bfp-3, 0x1.13aa7eaf6b47bp-3, 0x1.0f75808a19a61p-3, 0x1.0b46e537da752p-3, 0x1.071f277075f5dp-3, 0x1.02feb924e4d9cp-3, 0x1.fdcc07f483209p-4, 0x1.f5aad35842aa1p-4, 0x1.ed9a88cf7f7aep-4, 0x1.e59bce67f4ad5p-4, 0x1.ddaf3cbc1d0b2p-4, 0x1.d5d55faef7f12p-4, 0x1.ce0eb705cbd34p-4, 0x1.c65bb6f91b31cp-4, 0x1.bebcc8d7a705ep-4, 0x1.b7324baf02261p-4, 0x1.afbc94ded8d89p-4, 0x1.a85bf093cde58p-4, 0x1.a110a23867d3cp-4, 0x1.99dae4f0a6b2fp-4, 0x1.92baec1c38052p-4, 0x1.8bb0e3cc05595p-4, 0x1.84bcf125fbf85p-4, 0x1.7ddf32bd761f7p-4, 0x1.7717c0ee37c25p-4, 0x1.7066ae3f1b838p-4, 0x1.69cc07c013c2fp-4, 0x1.6347d55c2590fp-4, 0x1.5cda1a20be99cp-4, 0x1.5682d480c8878p-4, 0x1.5041fe9c37edp-4, 0x1.4a178e89a1a29p-4, 0x1.44037699563f1p-4, 0x1.3e05a59072399p-4, 0x1.381e06dd6fc24p-4, 0x1.324c82cad6ee8p-4, 0x1.2c90feb515e72p-4, 0x1.26eb5d402ad2bp-4, 0x1.215b7e8842d4fp-4, 0x1.1be1404d2a6ecp-4, 0x1.167c7e195f5a2p-4, 0x1.112d116784cf6p-4, 0x1.0bf2d1c99457fp-4, 0x1.06cd950fe685p-4, 0x1.01bd2f6cc7fe8p-4, 0x1.f982e7294e74dp-5, 0x1.efb465b675d5dp-5, 0x1.e60e7a9d74845p-5, 0x1.dc90c3a7324dep-5, 0x1.d33adc815fcd5p-5, 0x1.ca0c5ef2c7b3p-5, 0x1.c104e30ac6653p-5, 0x1.b823ff4cd8fbfp-5, 0x1.af6948d85da0ep-5, 0x1.a6d4538f011ccp-5, 0x1.9e64b23c2a11ap-5, 0x1.9619f6bb2462bp-5, 0x1.8df3b21a02ff4p-5, 0x1.85f174b9a19f4p-5, 0x1.7e12ce6b2462bp-5, 0x1.76574e8b0a154p-5, 0x1.6ebe841b8b022p-5, 0x1.6747fddf5016ep-5, 0x1.5ff34a72e4389p-5, 0x1.58bff863db125p-5, 0x1.51ad96463966cp-5, 0x1.4abbb2c835c26p-5, 0x1.43e9dcc454068p-5, 0x1.3d37a352bf15fp-5, 0x1.36a495daa2277p-5, 0x1.30304422de235p-5, 0x1.29da3e6127374p-5, 0x1.23a21547ee327p-5, 0x1.1d875a134a72dp-5, 0x1.17899e94bfc91p-5, 0x1.11a8753e26003p-5, 0x1.0be3712c5b9dcp-5, 0x1.063a2631c3dbbp-5, 0x1.00ac28dfdc0ffp-5, 0x1.f6721d1fc0d6fp-6, 0x1.ebc0dad57a909p-6, 0x1.e143b8e0b6e74p-6, 0x1.d6f9e6fc7a811p-6, 0x1.cce296ab2b197p-6, 0x1.c2fcfb428106cp-6, 0x1.b94849f6c76cp-6, 0x1.afc3b9e4edd3bp-6, 0x1.a66e841b5294dp-6, 0x1.9d47e3a1d2bcep-6, 0x1.944f158117c27p-6, 0x1.8b8358c906da6p-6, 0x1.82e3ee965d31ap-6, 0x1.7a701a180fa2bp-6, 0x1.722720940729ap-6, 0x1.6a08496b62334p-6, 0x1.6212de1dc75edp-6, 0x1.5a462a4c539fcp-6, 0x1.52a17bbc12db1p-6, 0x1.4b242257f0b4fp-6, 0x1.43cd7031fdab7p-6, 0x1.3c9cb9844b572p-6, 0x1.359154b1a4153p-6, 0x1.2eaa9a45e5cdcp-6, 0x1.27e7e4f5ec234p-6, 0x1.2148919f2b1e2p-6, 0x1.1acbff46ec407p-6, 0x1.14718f193945ap-6, 0x1.0e38a4676240cp-6, 0x1.0820a4a6229fap-6, 0x1.0228f76ba2fe5p-6, 0x1.f8a20cdabad92p-7, 0x1.ed307afbc2aap-7, 0x1.e1fc1514a643cp-7, 0x1.d703bb2f26702p-7, 0x1.cc46517e821cfp-7, 0x1.c1c2c058deeaap-7, 0x1.b777f43075371p-7, 0x1.ad64dd8c719p-7, 0x1.a388710196d1ep-7, 0x1.99e1a72aea1f5p-7, 0x1.906f7ca2187b6p-7, 0x1.8730f1f77f7fep-7, 0x1.7e250ba9d0bfcp-7, 0x1.754ad21d69294p-7, 0x1.6ca1519372ed8p-7, 0x1.64279a20fd8dfp-7, 0x1.5bdcbfa613198p-7, 0x1.53bfd9c49d8f6p-7, 0x1.4bd003d73f97cp-7, 0x1.440c5ce81e754p-7, 0x1.3c7407a74a267p-7, 0x1.35062a6105dcdp-7, 0x1.2dc1eef3ebdc8p-7, 0x1.26a682c6ff7bcp-7, 0x1.1fb316bfd9509p-7, 0x1.18e6df38c3e27p-7, 0x1.124113f6f7772p-7, 0x1.0bc0f020b2f78p-7, 0x1.0565b23329583p-7, 0x1.fe5d37f0ea66ap-8, 0x1.f235e4fa92804p-8, 0x1.e653fc0dabb3ep-8, 0x1.dab61410ecbefp-8, 0x1.cf5aca334f39dp-8, 0x1.c440c1d7cb727p-8, 0x1.b966a4817dd44p-8, 0x1.aecb21bf79474p-8, 0x1.a46cef18c890cp-8, 0x1.9a4ac7f83407bp-8, 0x1.90636d97f4253p-8, 0x1.86b5a6ed9bd07p-8, 0x1.7d4040960803ep-8, 0x1.74020cc193901p-8, 0x1.6af9e3205ce22p-8, 0x1.6226a0ced7825p-8, 0x1.598728423a62ap-8, 0x1.511a6135139d7p-8, 0x1.48df3893cb50dp-8, 0x1.40d4a069399d6p-8, 0x1.38f98fcb6e2fcp-8, 0x1.314d02c8959f7p-8, 0x1.29cdfa54461bep-8, 0x1.227b7c34f3804p-8, 0x1.1b5492f1a8eeep-8, 0x1.14584dbfe86b2p-8, 0x1.0d85c0713f4d1p-8, 0x1.06dc0360d001fp-8, 0x1.005a336153b62p-8, 0x1.f3fee3551fa2bp-9, 0x1.e795c78e8c5a4p-9, 0x1.db77670753bafp-9, 0x1.cfa21db84bc59p-9, 0x1.c4144fd96010cp-9, 0x1.b8cc69c0f26bep-9, 0x1.adc8dfc35b08ep-9, 0x1.a3082e127c59ep-9, 0x1.9888d89d3fda4p-9, 0x1.8e496aeaaab06p-9, 0x1.844878004df32p-9, 0x1.7a849a3326a53p-9, 0x1.70fc73146d67ep-9, 0x1.67aeab47cb9ep-9, 0x1.5e99f268b3e7cp-9, 0x1.55bcfeec88171p-9, 0x1.4d168e06e764bp-9, 0x1.44a5638e05a7cp-9, 0x1.3c6849df16407p-9, 0x1.345e11c1e8f9ap-9, 0x1.2c85924bcb73p-9, 0x1.24dda8c154734p-9, 0x1.1d6538782e196p-9, 0x1.161b2ab8f4e28p-9, 0x1.0efe6ea21eb6p-9, 0x1.080df90c4b5adp-9, 0x1.0148c46fefb48p-9, 0x1.f55ba198d053p-10, 0x1.e878471f30ac1p-10, 0x1.dbe58efbd2a58p-10, 0x1.cfa19934532a1p-10, 0x1.c3aa901a918f8p-10, 0x1.b7fea81c1f672p-10, 0x1.ac9c1f92b1021p-10, 0x1.a1813e95cc97ap-10, 0x1.96ac56ce10fe2p-10, 0x1.8c1bc34983da9p-10, 0x1.81cde84f56737p-10, 0x1.77c13331d6243p-10, 0x1.6df41a19c2d67p-10, 0x1.64651be03796fp-10, 0x1.5b12bfb8a99c7p-10, 0x1.51fb9518028fbp-10, 0x1.491e33727d42cp-10, 0x1.40793a14812efp-10, 0x1.380b50040511p-10, 0x1.2fd323ee2a65cp-10, 0x1.27cf6c1e58d82p-10, 0x1.1ffee67920d5ap-10, 0x1.186058722c9efp-10, 0x1.10f28ef50c08dp-10, 0x1.09b45e398a8cdp-10, 0x1.02a4a18094de4p-10, 0x1.f784757a26de4p-11, 0x1.ea1824620fdbap-11, 0x1.dd022c1afe54dp-11, 0x1.d0407445b161p-11, 0x1.c3d0ef698f739p-11, 0x1.b7b19ae5d68dap-11, 0x1.abe07f3ca19e8p-11, 0x1.a05bb09abe282p-11, 0x1.95214f7a4b4c2p-11, 0x1.8a2f892f6a352p-11, 0x1.7f84982c8a6a1p-11, 0x1.751ec3d62852fp-11, 0x1.6afc5fd3a729p-11, 0x1.611bcae2f9422p-11, 0x1.577b6d5910c25p-11, 0x1.4e19b78a9972cp-11, 0x1.44f5206b6f8c6p-11, 0x1.3c0c24a81ffacp-11, 0x1.335d467119e79p-11, 0x1.2ae70e0b19e7ap-11, 0x1.22a80b1070bdep-11, 0x1.1a9ed62632c37p-11, 0x1.12ca12cb5a1ep-11, 0x1.0b2870d8bb29fp-11, 0x1.03b8ad50bc80fp-11, 0x1.f8f32474187ebp-12, 0x1.ead3eada9f93dp-12, 0x1.dd116ce9229aap-12, 0x1.cfa9779be8f1dp-12, 0x1.c299e0142846fp-12, 0x1.b5e07e9d55049p-12, 0x1.a97b2b7431bap-12, 0x1.9d67be01a5ea1p-12, 0x1.91a40ec99f00ap-12, 0x1.862dfbc3d5367p-12, 0x1.7b036dfc1cfa6p-12, 0x1.7022611e92b1ap-12, 0x1.6588e8d13575ap-12, 0x1.5b3534e4c6413p-12, 0x1.512591708f92bp-12, 0x1.475866b4dcc79p-12, 0x1.3dcc336c78ff2p-12, 0x1.347f84f07291fp-12, 0x1.2b70ef28a81b5p-12, 0x1.229f0479afb81p-12, 0x1.1a084f8307054p-12, 0x1.11ab4fd25fa33p-12, 0x1.09867a232b1c2p-12, 0x1.01983c2017141p-12, 0x1.f3be05fdf08c4p-13, 0x1.e4b287a691669p-13, 0x1.d60b08590392ap-13, 0x1.c7c4c31323ddp-13, 0x1.b9dd2cb1c7a34p-13, 0x1.ac51f73c24672p-13, 0x1.9f210dbd54015p-13, 0x1.92488929d76a5p-13, 0x1.85c6a006e1f94p-13, 0x1.7999938264dcep-13, 0x1.6dbf9d2e54c71p-13, 0x1.6236e078b2906p-13, 0x1.56fd6241187c7p-13, 0x1.4c1107ba62f02p-13, 0x1.416f9c6e60e29p-13, 0x1.3716de024d904p-13, 0x1.2d048b8ab92bfp-13, 0x1.233675d7b70f7p-13, 0x1.19aa8d27b3fc2p-13, 0x1.105ef2451f5c4p-13, 0x1.0751f0c58ffddp-13, 0x1.fd0416703e457p-14, 0x1.ebdbdf0a329c8p-14, 0x1.db28db8f02ec1p-14, 0x1.cae8d548bd43p-14, 0x1.bb19a1141d7f2p-14, 0x1.abb9043dd57fcp-14, 0x1.9cc49fe061465p-14, 0x1.8e39e5bbdecf2p-14, 0x1.801617ae798bep-14, 0x1.725651086f3bfp-14, 0x1.64f79771af0dp-14, 0x1.57f6f015e826dp-14, 0x1.4b5175452ed45p-14, 0x1.3f0468f03f164p-14, 0x1.330d4114cf8a2p-14, 0x1.2769ac1833533p-14, 0x1.1c178da5f3af8p-14, 0x1.1114f5f7bfe4fp-14, 0x1.066017246ff1fp-14, 0x1.f7ee76e8da4cap-15, 0x1.e3b17c4229403p-15, 0x1.d0060bdf142c5p-15, 0x1.bce900101c3b5p-15, 0x1.aa5733a247ca8p-15, 0x1.984d7434b3431p-15, 0x1.86c87721c1ad8p-15, 0x1.75c4d69b275e3p-15, 0x1.653f1b6e854cap-15, 0x1.5533d37264cf5p-15, 0x1.459fae66f7accp-15, 0x1.367f95e8e3527p-15, 0x1.27d0b46b13ad6p-15, 0x1.199064c93a414p-15, 0x1.0bbc0e6a3610ap-15, 0x1.fca1f8a0696cbp-16, 0x1.e29884d333629p-16, 0x1.c95580b0ba6p-16, 0x1.b0d289240d1f3p-16, 0x1.9909871908a15p-16, 0x1.81f5182f12aa3p-16, 0x1.6b90c389e225cp-16, 0x1.55d8e22cb14d5p-16, 0x1.40ca457e89abdp-16, 0x1.2c61c671ef49cp-16, 0x1.189bf47443e59p-16, 0x1.05750b4f73409p-16, 0x1.e5d262bc51f34p-17, 0x1.c1e9aefd32b2fp-17, 0x1.9f2a01a8e5c78p-17, 0x1.7d8e87e408347p-17, 0x1.5d12f33d8154ep-17, 0x1.3db268fadfc42p-17, 0x1.1f666d838e66ap-17, 0x1.02263e1a30e09p-17, 0x1.cbcdcf755a7f2p-18, 0x1.953855cabd1bp-18, 0x1.6073e7849faddp-18, 0x1.2d6bdf0a973c8p-18, 0x1.f822a6ffc655p-19, 0x1.98b6dfd36073bp-19, 0x1.3c8b62a6731b6p-19, 0x1.c73360d3f75efp-20, 0x1.1bb0301480138p-20, 0x1.d9b8f669489ap-22, -0x1.45d1432ef988p-23, -0x1.83e2941a980b5p-21, -0x1.5557b7b9adc38p-20, -0x1.e302627c07e89p-20, -0x1.357e7df377182p-19, -0x1.76a8a8b5ff4c8p-19, -0x1.b5081177ae89ep-19, -0x1.f0abe4a26ff6ep-19, -0x1.14d5b018633e3p-18, -0x1.30128940036f3p-18, -0x1.4a1e3ae75d3c8p-18, -0x1.630b16978943cp-18, -0x1.7ae9aa334ce81p-18, -0x1.91c6889ed882cp-18, -0x1.a7a91cee21ebfp-18, -0x1.bc943fa0bbbcfp-18, -0x1.d0886b33a732ap-18, -0x1.e38674acc5c41p-18, -0x1.f591671a381b8p-18, -0x1.0357622ed8c61p-17, -0x1.0b72ae0a8f074p-17, -0x1.131dc2948e5ffp-17, -0x1.1a5adf7302c4ep-17, -0x1.212b45a21d2e2p-17, -0x1.278fc6dab3c3ap-17, -0x1.2d898c720a772p-17, -0x1.331a981accd96p-17, -0x1.3845d0852722dp-17, -0x1.3d0ec3a278e17p-17, -0x1.41796515f9b98p-17, -0x1.4589ebb87181fp-17, -0x1.4944ba75fa53dp-17, -0x1.4cae3198966ecp-17, -0x1.4fca606fce55bp-17, -0x1.529cab4b0d007p-17, -0x1.552788086124ep-17, -0x1.576c76cdfe06p-17, -0x1.596c461652a29p-17, -0x1.5b27923bc4064p-17, -0x1.5c9f5355fc5bfp-17, -0x1.5dd51bb61425p-17, -0x1.5ecac184e23a8p-17, -0x1.5f81d6764af35p-17, -0x1.5ffb98cd95dd7p-17, -0x1.60394c6fe2ab8p-17, -0x1.603c6ac8faea4p-17, -0x1.600698a96a735p-17, -0x1.5f99a89e8d3f2p-17, -0x1.5ef79a288d199p-17, -0x1.5e226b9b42ad8p-17, -0x1.5d1be3945462dp-17, -0x1.5be58ea25a76fp-17, -0x1.5a80ed41eaa6bp-17, -0x1.58efa7d7e2874p-17, -0x1.5733b45545babp-17, -0x1.554f5021203dfp-17, -0x1.53449dad0d6fcp-17, -0x1.51152100d05a3p-17, -0x1.4ec1bd1372b9dp-17, -0x1.4c4b51144b05fp-17, -0x1.49b33cc238eacp-17, -0x1.46fb063003f7dp-17, -0x1.4423798bd9241p-17, -0x1.412c9f58bcadfp-17, -0x1.3e16d293c0547p-17, -0x1.3ae37a3706b47p-17, -0x1.37947779e0735p-17, -0x1.342b2f10149eep-17, -0x1.30a86796e1fa3p-17, -0x1.2d0ce95ead271p-17, -0x1.2959e0529a107p-17, -0x1.259099c8542fp-17, -0x1.21b219d53229fp-17, -0x1.1dbf04a85b4d7p-17, -0x1.19b7dcf6dcd45p-17, -0x1.159d52ec96af3p-17, -0x1.117082bbfa5c1p-17, -0x1.0d3313eb9eda5p-17, -0x1.08e6bed523d28p-17, -0x1.048c3070cd062p-17, -0x1.0022d8ac4fcc8p-17, -0x1.f755027540c84p-18, -0x1.ee49910cba0d1p-18, -0x1.e526b6c29b3ffp-18, -0x1.dbef37cdf35bcp-18, -0x1.d2a33787994c7p-18, -0x1.c9435b1e5fddap-18, -0x1.bfcffa0585d02p-18, -0x1.b64afdb33d7b3p-18, -0x1.acb6df888e677p-18, -0x1.a31525aeccd2p-18, -0x1.99661346a033bp-18, -0x1.8faa1008a8b0bp-18, -0x1.85e28be5fb5bbp-18, -0x1.7c1160a8360e6p-18, -0x1.7237f7fafaf56p-18, -0x1.68571de760b8ap-18, -0x1.5e6f5bed420e2p-18, -0x1.54815b334cc88p-18, -0x1.4a8e0752caf9p-18, -0x1.4096e307bdfd1p-18, -0x1.369e504d7bf9ap-18, -0x1.2ca5fc2c21fcep-18, -0x1.22ad52826e8e6p-18, -0x1.18b3c9347db2cp-18, -0x1.0ebaeccf42d68p-18, -0x1.04c40b2e4400cp-18, -0x1.f59d8f901e721p-19, -0x1.e1b72eb89f2a2p-19, -0x1.cdd98dec9d46ep-19, -0x1.ba0927953fc0dp-19, -0x1.a646f5d6bfde9p-19, -0x1.9292026ec971ap-19, -0x1.7eeb52c45b6b5p-19, -0x1.6b559f0697166p-19, -0x1.57d14588b6022p-19, -0x1.4460330d89becp-19, -0x1.310134b922ff4p-19, -0x1.1db72053a7b38p-19, -0x1.0a83e32e59721p-19, -0x1.eed13c83d8e09p-20, -0x1.c8cc203d957bbp-20, -0x1.a2fa11f269f8p-20, -0x1.7d5ce41d2649p-20, -0x1.57f5e3fe1be75p-20, -0x1.32c73540d8ed9p-20, -0x1.0dd5654a3ffbep-20, -0x1.d244a4b784c63p-21, -0x1.895b74e4dabep-21, -0x1.40f7353360f7dp-21, -0x1.f23613adcc056p-22, -0x1.63856845bd8cdp-22, -0x1.abc4c5750cfdep-23, -0x1.256677d78c705p-24, 0x1.0837e1d807074p-24, 0x1.98a15220f4e0dp-23, 0x1.55666de81dbbcp-22, 0x1.dd43860ee8372p-22, 0x1.31f29cc6c5022p-21, 0x1.74a617e72a565p-21, 0x1.b6b7a5b826797p-21, 0x1.f82514e2c0a3ap-21, 0x1.1c7817c02f846p-20, 0x1.3c8b788eab6fp-20, 0x1.5c4a8800def69p-20, 0x1.7bb3db03fddd6p-20, 0x1.9ac6aea986dep-20, 0x1.b982686dd580ep-20, 0x1.d7e6492fe6dcbp-20, 0x1.f5f19bb9cda55p-20, 0x1.09d237a484e99p-19, 0x1.187f4b06a0cfp-19, 0x1.26fefcd1368d7p-19, 0x1.3550d0f8cd018p-19, 0x1.43745e8690121p-19, 0x1.5169ada4d9fe1p-19, 0x1.5f313dd3056ffp-19, 0x1.6cca73a3ce229p-19, 0x1.7a34b997d9177p-19, 0x1.876fddf80b6dbp-19, 0x1.947bc89bd4d7cp-19, 0x1.a1585db091d2ap-19, 0x1.ae057f779061fp-19, 0x1.ba832556e211dp-19, 0x1.c6d16043af162p-19, 0x1.d2effa9032c36p-19, 0x1.dede8538873d4p-19, 0x1.ea9cf34349843p-19, 0x1.f62b38bd6bb2ap-19, 0x1.00c4bca8f21d4p-18, 0x1.065be6aa50725p-18, 0x1.0bdb040ac04a4p-18, 0x1.11420bcb109dfp-18, 0x1.169101aa6e12ap-18, 0x1.1bc7eab1df948p-18, 0x1.20e6cb71b6982p-18, 0x1.25eda8fbe23a7p-18, 0x1.2adc89e393669p-18, 0x1.2fb376429355dp-18, 0x1.34727665bd62cp-18, 0x1.3919944b2d1bap-18, 0x1.3da8dc5b4371fp-18, 0x1.42205cee061dbp-18, 0x1.468024547dcb6p-18, 0x1.4ac841f3e5861p-18, 0x1.4ef8c6677842p-18, 0x1.5311c314f6f75p-18, 0x1.57134a66bfe13p-18, 0x1.5afd7062e4fd7p-18, 0x1.5ed04b1c57d05p-18, 0x1.628bf26bf9b9cp-18, 0x1.66307f1817873p-18, 0x1.69be0affe93b6p-18, 0x1.6d34b119b06c6p-18, 0x1.70948284fbc5bp-18, 0x1.73dd80e9683a7p-18, 0x1.770fd921280ep-18, 0x1.7a2bd19d65c83p-18, 0x1.7d31847b6fe29p-18, 0x1.8020d84b8eabfp-18, 0x1.82f9f76f435cfp-18, 0x1.85bd215364bdep-18, 0x1.886a75ca45fd3p-18, 0x1.8b020dbe0c4c6p-18, 0x1.8d840b4de6cbdp-18, 0x1.8ff09398a8a7fp-18, 0x1.9247a3554a662p-18, 0x1.94896239dac72p-18, 0x1.96b6530a08938p-18, 0x1.98ce5402c23c2p-18, 0x1.9ad16737310bcp-18, 0x1.9cbfe72c0beffp-18, 0x1.9e99faa8ddc93p-18, 0x1.a05fc07ac8a65p-18, 0x1.a2115daa444fcp-18, 0x1.a3aefa01b9002p-18, 0x1.a538bdf3f5465p-18, 0x1.a6aed24ebb84cp-18, 0x1.a8116020a4ba3p-18, 0x1.a9609129d0552p-18, 0x1.aa9c904701dd2p-18, 0x1.abc58a68d4857p-18, 0x1.acdbad4b5876cp-18, 0x1.addf2465c4167p-18, 0x1.aed02a94b7868p-18, 0x1.afae983ca86dp-18, 0x1.b07b374277313p-18, 0x1.b1358e521ed7cp-18, 0x1.b1dde7f8bb01fp-18, 0x1.b274f2ce016ccp-18, 0x1.b2fa703c58063p-18, 0x1.b36e7dcc01243p-18, 0x1.b3d17f017fccdp-18, 0x1.b423974832e7bp-18, 0x1.b464efe1f4904p-18, 0x1.b495c54c11349p-18, 0x1.b4b61993fecfep-18, 0x1.b4c62e21c06cp-18, 0x1.b4c6540098b5bp-18, 0x1.b4b671aa1b87bp-18, 0x1.b496f4be05199p-18, 0x1.b468047326ae5p-18, 0x1.b429c46561958p-18, 0x1.b3dc611f49dc8p-18, 0x1.b380097bb5f74p-18, 0x1.b314eca0660c3p-18, 0x1.b29b39ae6fd43p-18, 0x1.b2131fbe55951p-18, 0x1.b17ccdd8c22d9p-18, 0x1.b0d872e049f11p-18, 0x1.b0263d77a5ecbp-18, 0x1.af665c004e7f9p-18, 0x1.ae98fcd1c172dp-18, 0x1.adbe4f3a86eadp-18, 0x1.acd72b4ad4e02p-18, 0x1.abe1c1e2741c2p-18, 0x1.aae040d1d8f82p-18, 0x1.a9d22bb99d0c1p-18, 0x1.a8b7ad679db84p-18, 0x1.a790f5ca282c4p-18, 0x1.a65e4050a1f67p-18, 0x1.a51fae1434171p-18, 0x1.a3d559c04b7c4p-18, 0x1.a27f91357ce1fp-18, 0x1.a11e527d67e36p-18, 0x1.9fb1f99a2088ep-18, 0x1.9e3abde601d7dp-18, 0x1.9cb8c94b140b5p-18, 0x1.9b2c1fc790f92p-18, 0x1.9994f130e0c0dp-18, 0x1.97f3794fed8fdp-18, 0x1.9647f95738dd4p-18, 0x1.94928dfab9243p-18, 0x1.92d35f5c1709p-18, 0x1.910a99705783ep-18, 0x1.8f386832a2b21p-18, 0x1.8d5cf733c3474p-18, 0x1.8b7871a8f83dcp-18, 0x1.898b0286ee434p-18, 0x1.8794d474708c8p-18, 0x1.859611fcc3a66p-18, 0x1.838ee56103d28p-18, 0x1.817f78aade02fp-18, 0x1.7f67f5a50cc79p-18, 0x1.7d4885da51701p-18, 0x1.7b215276000b6p-18, 0x1.78f28458a4f8fp-18, 0x1.76bc4401fffcep-18, 0x1.747eb9a2c6822p-18, 0x1.723a0d54ef68dp-18, 0x1.6fee674d527d9p-18, 0x1.6d9befc09aep-18, 0x1.6b42ce68633dfp-18, 0x1.68e329bf4dbd8p-18, 0x1.667d2809b615ap-18, 0x1.6410efc1abb6dp-18, 0x1.619eaa0f95939p-18, 0x1.5f26853a667d1p-18, 0x1.5ca893de82c1cp-18, 0x1.5a24f1fd1ff74p-18, 0x1.579be83f6c4b8p-18, 0x1.550d8609b952p-18, 0x1.5279e62921ceep-18, 0x1.4fe147460bd5ap-18, 0x1.4d43c2d1719fp-18, 0x1.4aa178b76754cp-18, 0x1.47fa8c9125c35p-18, 0x1.454f21c4c3721p-18, 0x1.429f5b3768349p-18, 0x1.3feb5b613e97ap-18, 0x1.3d33445e94ba7p-18, 0x1.3a7737f942742p-18, 0x1.37b757ac778c1p-18, 0x1.34f3c4e7fee55p-18, 0x1.322c9f83619c7p-18, 0x1.2f6209ba0673p-18, 0x1.2c94223b734c2p-18, 0x1.29c3099d83274p-18, 0x1.26eedf4a9e1c6p-18, 0x1.2417c2982e7f4p-18, 0x1.213dd26606b49p-18, 0x1.1e612e52abdc7p-18, 0x1.1b81f893b1fe5p-18, 0x1.18a04c733bd9dp-18, 0x1.15bc3310ffffp-18, 0x1.12d5e817548ebp-18, 0x1.0fed7d3fe124bp-18, 0x1.0d030ebf288e4p-18, 0x1.0a16b94b6c1cbp-18, 0x1.0728992c52d19p-18, 0x1.0438ca13ad682p-18, 0x1.01476711a22f6p-18, 0x1.fca9161e9588ep-19, 0x1.f6c0a1e8387aap-19, 0x1.f0d5abb6139b1p-19, 0x1.eae86dd3f9bdp-19, 0x1.e4f9092dfcd3fp-19, 0x1.df07b41a55ff1p-19, 0x1.d914a3f56120bp-19, 0x1.d32017997c89ep-19, 0x1.cd2a3888fd006p-19, 0x1.c73335ada0902p-19, 0x1.c13b3f64c7c6bp-19, 0x1.bb42857307733p-19, 0x1.b54936e3f1cd1p-19, 0x1.af4f826d64f33p-19, 0x1.a95594deb291p-19, 0x1.a35ba15fc3ffep-19, 0x1.9d61c595a713bp-19, 0x1.97683b0529de5p-19, 0x1.916f297b44e74p-19, 0x1.8b76bba94bc88p-19, 0x1.857f1be939c61p-19, 0x1.7f88730d3f284p-19, 0x1.7992e98331172p-19, 0x1.739ea8ab710bdp-19, 0x1.6dabd88824193p-19, 0x1.67ba9f49f0339p-19, 0x1.61cb23d7e8b36p-19, 0x1.5bdd8d33e1df3p-19, 0x1.55f200eb71437p-19, 0x1.5008a3a20a576p-19, 0x1.4a219992696aap-19, 0x1.443d0691e0293p-19, 0x1.3e5b0df444061p-19, 0x1.387bd2808b11cp-19, 0x1.329f7662eb401p-19, 0x1.2cc61b2b5a7bcp-19, 0x1.26efe1fbbd48dp-19, 0x1.211ceb81863afp-19, 0x1.1b4d581ab8ab3p-19, 0x1.15814868ec1c6p-19, 0x1.0fb8d7af7ab7dp-19, 0x1.09f42655ae478p-19, 0x1.04334fd691682p-19, 0x1.fcecf1b27640bp-20, 0x1.f17b74542297ep-20, 0x1.e6125ae10439ep-20, 0x1.dab1e280ad3cep-20, 0x1.cf5a3deada95ep-20, 0x1.c40ba75e4135ap-20, 0x1.b8c652e6cad7p-20, 0x1.ad8a738274db3p-20, 0x1.a2583bd5234a8p-20, 0x1.972fdd8ccc977p-20, 0x1.8c1189751eaa1p-20, }}, 
      {{0x1.ee3bcc29677cfp-4, 0x1.183419926c5d4p-3, 0x1.9336417648ceep-5, -0x1.a25ea80c86d6bp-4, -0x1.19987f61f493ap-2, -0x1.c00b8433bd996p-2, -0x1.2432b800c317ep-1, -0x1.5515d70e11a09p-1, -0x1.726742bc34634p-1, -0x1.7e5361c6814ep-1, -0x1.7c47f3c3c720fp-1, -0x1.70194e0c35d9ep-1, -0x1.5d753220a2249p-1, -0x1.47923469836c7p-1, -0x1.310a9501bf9d7p-1, -0x1.1bd409df4a3b6p-1, -0x1.094953fab1bf5p-1, -0x1.f47b3370ac9ebp-2, -0x1.de2805d1609dbp-2, -0x1.cfb00bc757c06p-2, -0x1.c8a88777d9b68p-2, -0x1.c84d830612676p-2, -0x1.cda3f2951b7ffp-2, -0x1.d7954b76095c5p-2, -0x1.e504e03d85897p-2, -0x1.f4dfa5bec7ba9p-2, -0x1.03139585b5b61p-1, -0x1.0bfc4b08f8fb1p-1, -0x1.14c83b287c802p-1, -0x1.1d26130485515p-1, -0x1.24d4b0051bd5fp-1, -0x1.2ba2493e408c7p-1, -0x1.316b2d66f6eb6p-1, -0x1.361842be7600ap-1, -0x1.399d6842aa1a9p-1, -0x1.3bf7d1316f29fp-1, -0x1.3d2c6c24a8914p-1, -0x1.3d4662d21c5e9p-1, -0x1.3c55ba01122c6p-1, -0x1.3a6e1630cf395p-1, -0x1.37a5a75badf76p-1, -0x1.34143b4188affp-1, -0x1.2fd274a0bf82cp-1, -0x1.2af92534538c9p-1, -0x1.25a0c729b76f6p-1, -0x1.1fe1129f0f3dp-1, -0x1.19d0abce2c744p-1, -0x1.1384e6c08306dp-1, -0x1.0d119d3670a5fp-1, -0x1.0689139879169p-1, -0x1.fff7d59a125e6p-2, -0x1.f2f23907d5345p-2, -0x1.e61bfe970aaddp-2, -0x1.d98ca2f657253p-2, -0x1.cd589159cd41dp-2, -0x1.c1914a18ad292p-2, -0x1.b6458df3f554ep-2, -0x1.ab818cc55c9d4p-2, -0x1.a14f15fea860cp-2, -0x1.97b5c9d041375p-2, -0x1.8ebb49f0d87b7p-2, -0x1.8663695d6eadap-2, -0x1.7eb05a86c357fp-2, -0x1.77a2db91df3abp-2, -0x1.713a601bb9a6dp-2, -0x1.6b7538cfd2b5p-2, -0x1.6650b826db758p-2, -0x1.61c954dc9c7fbp-2, -0x1.5ddac95868c28p-2, -0x1.5a8031419207ep-2, -0x1.57b423cd5e026p-2, -0x1.5570cc7283081p-2, -0x1.53b000fd32a12p-2, -0x1.526b5554d3b11p-2, -0x1.519c2de17015ap-2, -0x1.513bcf75a4c58p-2, -0x1.51436d9856103p-2, -0x1.51ac377d81415p-2, -0x1.526f632eeca31p-2, -0x1.53863736df8ap-2, -0x1.54ea134bf17b4p-2, -0x1.569477a541b68p-2, -0x1.587f0b3de53fcp-2, -0x1.5aa3a102b6acfp-2, -0x1.5cfc3c3dfa5a4p-2, -0x1.5f8314317e3dbp-2, -0x1.623296cc55386p-2, -0x1.65056af3b38b7p-2, -0x1.67f671e616c77p-2, -0x1.6b00c871570fdp-2, -0x1.6e1fc76b72a65p-2, -0x1.714f03de26669p-2, -0x1.748a4edd32eb3p-2, -0x1.77cdb4f118206p-2, -0x1.7b157d55e3793p-2, -0x1.7e5e28eda2258p-2, -0x1.81a471134b1b1p-2, -0x1.84e5462799018p-2, -0x1.881dce00a3914p-2, -0x1.8b4b6265a5d6cp-2, -0x1.8e6b8f2f1254p-2, -0x1.917c1092f7e54p-2, -0x1.947ad12fc3e84p-2, -0x1.9765e85b60383p-2, -0x1.9a3b97fd6640cp-2, -0x1.9cfa4ad6d1761p-2, -0x1.9fa0929a25c2ep-2, -0x1.a22d25dd7e9e4p-2, -0x1.a49ede79cecafp-2, -0x1.a6f4b7a2f3dcep-2, -0x1.a92dcbffb5127p-2, -0x1.ab49541dd6d4cp-2, -0x1.ad46a4ab37ae6p-2, -0x1.af252cd273197p-2, -0x1.b0e474a4b833ap-2, -0x1.b2841b96a515fp-2, -0x1.b403d7037d729p-2, -0x1.b56370e541f2fp-2, -0x1.b6a2c637b788fp-2, -0x1.b7c1c5e1519bap-2, -0x1.b8c06f77604c8p-2, -0x1.b99ed1f4fa915p-2, -0x1.ba5d0aa65956bp-2, -0x1.bafb4422e0c4cp-2, -0x1.bb79b547542dp-2, -0x1.bbd8a02b3af43p-2, -0x1.bc1851516f0a7p-2, -0x1.bc391ed1ed274p-2, -0x1.bc3b6771dad83p-2, -0x1.bc1f91dd12783p-2, -0x1.bbe60c1453349p-2, -0x1.bb8f4aa2e5c8p-2, -0x1.bb1bc7ed02caep-2, -0x1.ba8c03abc2097p-2, -0x1.b9e0826684a8fp-2, -0x1.b919cccf2556fp-2, -0x1.b8386f3eed4ecp-2, -0x1.b73cf95b17df8p-2, -0x1.b627fd9acfef3p-2, -0x1.b4fa10ccc623dp-2, -0x1.b3b3c9b9340ep-2, -0x1.b255c0d59e11dp-2, -0x1.b0e08fece07b6p-2, -0x1.af54d1bc2fc0cp-2, -0x1.adb321ae216dbp-2, -0x1.abfc1ba528aa5p-2, -0x1.aa305bb4c429dp-2, -0x1.a8507dda6f67dp-2, -0x1.a65d1dc9909e5p-2, -0x1.a456d6c079577p-2, -0x1.a23e4357bf999p-2, -0x1.a013fd4ec398cp-2, -0x1.9dd89d6577613p-2, -0x1.9b8cbb39735f4p-2, -0x1.9930ed267c456p-2, -0x1.96c5c8250037ep-2, -0x1.944bdfa73967dp-2, -0x1.91c3c582c3808p-2, -0x1.8f2e09de7bb75p-2, -0x1.8c8b3b1c4b70cp-2, -0x1.89dbe5c09a907p-2, -0x1.8720946044a4ep-2, -0x1.8459cf957d20cp-2, -0x1.81881df43e96dp-2, -0x1.7eac03fcf9cd4p-2, -0x1.7bc6040ef0cfcp-2, -0x1.78d69e5f1a363p-2, -0x1.75de50f3948a5p-2, -0x1.72dd979ee3247p-2, -0x1.6fd4ebf8c0aa5p-2, -0x1.6cc4c557c206p-2, -0x1.69ad98ce7da3ep-2, -0x1.668fd92b28eefp-2, -0x1.636bf6f72de1ap-2, -0x1.604260755efdp-2, -0x1.5d1381a01eeeep-2, -0x1.59dfc42a2ca3cp-2, -0x1.56a78f816286p-2, -0x1.536b48d12bda6p-2, -0x1.502b530443974p-2, -0x1.4ce80ec65b7c5p-2, -0x1.49a1da8711db1p-2, -0x1.4659127e4341fp-2, -0x1.430e10b0d90f8p-2, -0x1.3fc12cf508a45p-2, -0x1.3c72bcf64994p-2, -0x1.392314399233dp-2, -0x1.35d28422caaa4p-2, -0x1.32815bfadde24p-2, -0x1.2f2fe8f596283p-2, -0x1.2bde76372404p-2, -0x1.288d4cd9aa5a5p-2, -0x1.253cb3f318659p-2, -0x1.21ecf09bafa6dp-2, -0x1.1e9e45f4c7d87p-2, -0x1.1b50f52f6bbdbp-2, -0x1.18053d92c914cp-2, -0x1.14bb5c8286973p-2, -0x1.11738d855aa03p-2, -0x1.0e2e0a4c092dep-2, -0x1.0aeb0ab8803b6p-2, -0x1.07aac4e4c81fep-2, -0x1.046d6d29dc9e2p-2, -0x1.013336266a3fp-2, -0x1.fbf8a18b46d7fp-3, -0x1.f591d88c9c8b4p-3, -0x1.ef326c83d392dp-3, -0x1.e8dab5677f3abp-3, -0x1.e28b07ff9e503p-3, -0x1.dc43b5f3625d4p-3, -0x1.d6050dd6cae99p-3, -0x1.cfcf5b386af3ap-3, -0x1.c9a2e6af6b1bap-3, -0x1.c37ff5e974ef9p-3, -0x1.bd66cbb86a51dp-3, -0x1.b757a81fe8f9dp-3, -0x1.b152c862c8adfp-3, -0x1.ab58671073aa9p-3, -0x1.a568bc123aa34p-3, -0x1.9f83fcb8c246p-3, -0x1.99aa5bc9573c8p-3, -0x1.93dc098b081f7p-3, -0x1.8e1933d3944fap-3, -0x1.8862061462baap-3, -0x1.82b6a9673becep-3, -0x1.7d17449aefe97p-3, -0x1.7783fc40111ep-3, -0x1.71fcf2b574672p-3, -0x1.6c824834940ecp-3, -0x1.67141addba7ep-3, -0x1.61b286c439402p-3, -0x1.5c5da5fa66d8dp-3, -0x1.5715909d81559p-3, -0x1.51da5ce1694a4p-3, -0x1.4cac1f1c5f712p-3, -0x1.478ae9d2883ccp-3, -0x1.4276cdc14997ap-3, -0x1.3d6fd9ea92a5ep-3, -0x1.38761ba00bc77p-3, -0x1.33899e8e09e89p-3, -0x1.2eaa6cc65ce0bp-3, -0x1.29d88ecb15e75p-3, -0x1.25140b993566fp-3, -0x1.205ce8b32db6ep-3, -0x1.1bb32a2b2f4b7p-3, -0x1.1716d2ad4e32cp-3, -0x1.1287e38987053p-3, -0x1.0e065cbda8921p-3, -0x1.09923cff25cb8p-3, -0x1.052b81c4d4596p-3, -0x1.00d2275085588p-3, -0x1.f90c517088c5p-4, -0x1.f08effdf53dd2p-4, -0x1.e82c4ba15c502p-4, -0x1.dfe42449665dap-4, -0x1.d7b6775abc2b5p-4, -0x1.cfa3305ac1d99p-4, -0x1.c7aa38e21e487p-4, -0x1.bfcb78ad8da8bp-4, -0x1.b806d5ae4a7f9p-4, -0x1.b05c341a07d58p-4, -0x1.a8cb767ac2eedp-4, -0x1.a1547dbea69c2p-4, -0x1.99f72947a2e4dp-4, -0x1.92b356fab33e5p-4, -0x1.8b88e34ed430bp-4, -0x1.8477a95b65bcp-4, -0x1.7d7f82e651c0bp-4, -0x1.76a04871efbafp-4, -0x1.6fd9d14accb2bp-4, -0x1.692bf39581986p-4, -0x1.6296845c2bb08p-4, -0x1.5c19579b367bcp-4, -0x1.55b4404e6bcfdp-4, -0x1.4f67107cbaf7cp-4, -0x1.49319944a1dap-4, -0x1.4313aae7e8a8bp-4, -0x1.3d0d14d7543fap-4, -0x1.371da5be51ffap-4, -0x1.31452b8e6d4dap-4, -0x1.2b83738a50422p-4, -0x1.25d84a5047cafp-4, -0x1.20437be479572p-4, -0x1.1ac4d3baed95ep-4, -0x1.155c1cc151d99p-4, -0x1.10092168c0de6p-4, -0x1.0acbabaf807b4p-4, -0x1.05a3852a83b06p-4, -0x1.0090770e76d69p-4, -0x1.f72494710b96ep-5, -0x1.ed518e6d603a8p-5, -0x1.e3a76c9fb2f8fp-5, -0x1.da25bf177b00cp-5, -0x1.d0cc15759ebafp-5, -0x1.c799fefc127f1p-5, -0x1.be8f0a9d400a2p-5, -0x1.b5aac70ad8c72p-5, -0x1.acecc2c4388e6p-5, -0x1.a4548c234e29cp-5, -0x1.9be1b16a46c4ep-5, -0x1.9393c0cf24abep-5, -0x1.8b6a4888535e7p-5, -0x1.8364d6d9246ap-5, -0x1.7b82fa1d3107bp-5, -0x1.73c440d473643p-5, -0x1.6c2839ae5f0f2p-5, -0x1.64ae739496e5dp-5, -0x1.5d567db501d95p-5, -0x1.561fe78b45f37p-5, -0x1.4f0a40e9f8698p-5, -0x1.48151a037edfdp-5, -0x1.414003735222ap-5, -0x1.3a8a8e4695865p-5, -0x1.33f44c045a2fdp-5, -0x1.2d7cceb5cf041p-5, -0x1.2723a8ee53624p-5, -0x1.20e86dd2581eap-5, -0x1.1acab11e093f5p-5, -0x1.14ca072bc72b8p-5, -0x1.0ee604fa54e8ep-5, -0x1.091e4032fabd9p-5, -0x1.03724f2f93008p-5, -0x1.fbc39201093dbp-6, -0x1.f0d88ae466b5cp-6, -0x1.e622ba250d1edp-6, -0x1.dba1526b362b7p-6, -0x1.d15387f3efd3cp-6, -0x1.c7389098012e7p-6, -0x1.bd4fa3d5976bep-6, -0x1.b397fad52d36bp-6, -0x1.aa10d0720d51ap-6, -0x1.a0b96141acf4bp-6, -0x1.9790eb9b38d4ep-6, -0x1.8e96af9ea2cd5p-6, -0x1.85c9ef3b1bc2cp-6, -0x1.7d29ee33fbb86p-6, -0x1.74b5f227c9d84p-6, -0x1.6c6d428c78662p-6, -0x1.644f28bd8883ep-6, -0x1.5c5aeff20053ep-6, -0x1.548fe547b5042p-6, -0x1.4ced57c3111acp-6, -0x1.4572985325eaep-6, -0x1.3e1ef9d5b6b46p-6, -0x1.36f1d11acabb2p-6, -0x1.2fea74e81308dp-6, -0x1.29083dfaffd23p-6, -0x1.224a8709ead3ep-6, -0x1.1bb0acc414823p-6, -0x1.153a0dd0e11cfp-6, -0x1.0ee60acf6db98p-6, -0x1.08b40655b07d7p-6, -0x1.02a364eff9f4p-6, -0x1.f9671a4149acap-7, -0x1.edc7cebfc558cp-7, -0x1.e267bc3651768p-7, -0x1.d745bb68b59a9p-7, -0x1.cc60a901214bbp-7, -0x1.c1b7658dae785p-7, -0x1.b748d57e45078p-7, -0x1.ad13e124c3a9dp-7, -0x1.a31774b6f4dfbp-7, -0x1.9952804fa70a8p-7, -0x1.8fc3f7ef86918p-7, -0x1.866ad37c2ea0bp-7, -0x1.7d460ebb43305p-7, -0x1.7454a94c30d57p-7, -0x1.6b95a674b922dp-7, -0x1.63080d483a5a5p-7, -0x1.5aaae851afdc8p-7, -0x1.527d459fd003p-7, -0x1.4a7e36b5bc96cp-7, -0x1.42acd08f75f0ep-7, -0x1.3b082bb45e74ap-7, -0x1.338f6454a1575p-7, -0x1.2c419a6a65578p-7, -0x1.251df1d4bddcp-7, -0x1.1e2392626acb3p-7, -0x1.1751a7c3ef09fp-7, -0x1.10a76161604a2p-7, -0x1.0a23f21791b99p-7, -0x1.03c68fe5f2f41p-7, -0x1.fb1ce73bd555cp-8, -0x1.eef5b14637dd8p-8, -0x1.e315f9a5e72e7p-8, -0x1.d77c412bf222fp-8, -0x1.cc270e48afad5p-8, -0x1.c114edd8e93a4p-8, -0x1.b6447417a622bp-8, -0x1.abb43d7a76deep-8, -0x1.a162ef3a477dap-8, -0x1.974f375dacc79p-8, -0x1.8d77cc28c2898p-8, -0x1.83db6aff1a8cp-8, -0x1.7a78d6d95bb8cp-8, -0x1.714ed69c1cbd6p-8, -0x1.685c339ea251dp-8, -0x1.5f9fb8bdc2942p-8, -0x1.57183237dc891p-8, -0x1.4ec46e6d1ad3p-8, -0x1.46a33f71e0a98p-8, -0x1.3eb37d3043d61p-8, -0x1.36f407b1823fbp-8, -0x1.2f63c9141a4f1p-8, -0x1.2801b6b98623cp-8, -0x1.20ccd15577b24p-8, -0x1.19c423bc00477p-8, -0x1.12e6c08bd5ba7p-8, -0x1.0c33bf113bfcp-8, -0x1.05aa37edb427ap-8, -0x1.fe928451c5872p-9, -0x1.f21fe28821468p-9, -0x1.e5faa983578eep-9, -0x1.da20f29da7209p-9, -0x1.ce90d6df05b59p-9, -0x1.c34876965135cp-9, -0x1.b84601791454p-9, -0x1.ad87be6dc18b3p-9, -0x1.a30c10f08a888p-9, -0x1.98d17b6218da3p-9, -0x1.8ed69c9ef114ep-9, -0x1.851a2a4cb6085p-9, -0x1.7b9ae816ae32fp-9, -0x1.72579d285da58p-9, -0x1.694f0a0bc68afp-9, -0x1.607fe0aee7bacp-9, -0x1.57e8c00f36c6fp-9, -0x1.4f883464b93d9p-9, -0x1.475cbbd704589p-9, -0x1.3f64cef80f1c3p-9, -0x1.379eeb9c23e76p-9, -0x1.3009a03fab19bp-9, -0x1.28a396133bdc1p-9, -0x1.216b97f772523p-9, -0x1.1a6095264894cp-9, -0x1.13819ef4b5da4p-9, -0x1.0ccde1e21101cp-9, -0x1.06449b00c40cap-9, -0x1.ffca16e87f7dcp-10, -0x1.f35cd8476e576p-10, -0x1.e73fc79523249p-10, -0x1.db710228299a8p-10, -0x1.cfee734df75f7p-10, -0x1.c4b5dc36b3f51p-10, -0x1.b9c4e3eb8f98dp-10, -0x1.af192c607606p-10, -0x1.a4b0693152f3ep-10, -0x1.9a88752dedd71p-10, -0x1.909f5f8b56136p-10, -0x1.86f37b627f7d1p-10, -0x1.7d835ac904613p-10, -0x1.744dcb03e9628p-10, -0x1.6b51c5c5a3f1p-10, -0x1.628e5e12d0b5cp-10, -0x1.5a02ab1f8eb8bp-10, -0x1.51adb486783fbp-10, -0x1.498e630bd1c39p-10, -0x1.41a3783abe0bep-10, -0x1.39eb8dda58033p-10, -0x1.32651cbf09568p-10, -0x1.2b0e892928054p-10, -0x1.23e6324bca105p-10, -0x1.1cea823c1accp-10, -0x1.1619fbb928f72p-10, -0x1.0f7343bb71e97p-10, -0x1.08f5254e10c8ap-10, -0x1.029e8ff6c0f7p-10, -0x1.f8dd23b604131p-11, -0x1.ecc8a03954167p-11, -0x1.e0fdff2ad2036p-11, -0x1.d57bbe2727f3dp-11, -0x1.ca4065c7709fbp-11, -0x1.bf4a8150105b8p-11, -0x1.b49895606c68ap-11, -0x1.aa2915fb82c06p-11, -0x1.9ffa5e943fe04p-11, -0x1.960ab01557c1bp-11, -0x1.8c583843f5e3dp-11, -0x1.82e122ca023afp-11, -0x1.79a3af8fcdaeap-11, -0x1.709e45cc1c4dep-11, -0x1.67cf7a3f98d04p-11, -0x1.5f36031b5b119p-11, -0x1.56d09c08f5f06p-11, -0x1.4e9de55378fadp-11, -0x1.469c4d9ee0d18p-11, -0x1.3eca12f0d2726p-11, -0x1.37255e57293a2p-11, -0x1.2fac71247f9e4p-11, -0x1.285dd17dbf8d3p-11, -0x1.213862b812aedp-11, -0x1.1a3b5e129deb8p-11, -0x1.13662e94faad8p-11, -0x1.0cb8412bcf2bbp-11, -0x1.0630e081a59dbp-11, -0x1.ff9e5d5e1bb46p-12, -0x1.f3247dbd2fdcp-12, -0x1.e6f27e1a07991p-12, -0x1.db073106ed7fbp-12, -0x1.cf61e3c9a6f47p-12, -0x1.c402194bf3d44p-12, -0x1.b8e7125afd354p-12, -0x1.ae0f516ffc1f8p-12, -0x1.a3784cb419306p-12, -0x1.991e72c81fd74p-12, -0x1.8efd8c39f2453p-12, -0x1.851163c443738p-12, -0x1.7b5681dde94d6p-12, -0x1.71cab6fe36f6dp-12, -0x1.686d38c4572a8p-12, -0x1.5f3e3ff0a96eep-12, -0x1.563e528e41f3p-12, -0x1.4d6d93e0df7a4p-12, -0x1.44cb707c1db6ap-12, -0x1.3c56c609ccb1cp-12, -0x1.340e5fe9e2ae4p-12, -0x1.2bf17938cc96cp-12, -0x1.23fffc09986cdp-12, -0x1.1c3a5ef2dac3ap-12, -0x1.14a133e19329bp-12, -0x1.0d349e25c7e5cp-12, -0x1.05f3e9654324ep-12, -0x1.fdbabf45c21b4p-13, -0x1.efdcba466bf6dp-13, -0x1.e2472eb5c653ap-13, -0x1.d4f321b03beb1p-13, -0x1.c7da5df361636p-13, -0x1.baf899e355443p-13, -0x1.ae4c1d16450d4p-13, -0x1.a1d57f8e0ae84p-13, -0x1.95968d3cd4c84p-13, -0x1.8990ddd3fbec9p-13, -0x1.7dc4db251fe13p-13, -0x1.72319d5e3cc1ap-13, -0x1.66d585a58cf73p-13, -0x1.5baf2c35d7674p-13, -0x1.50be19b811aa5p-13, -0x1.4602dd1972751p-13, -0x1.3b7e74c1005acp-13, -0x1.31317a3660ad6p-13, -0x1.271b97d23d291p-13, -0x1.1d3b7c691e745p-13, -0x1.138f1f9d7d417p-13, -0x1.0a140846e7846p-13, -0x1.00c76e38d7b86p-13, -0x1.ef4c9cce2f4d6p-14, -0x1.dd5b3503d1f6cp-14, -0x1.cbb51a53f57dbp-14, -0x1.ba561834b8682p-14, -0x1.a93be6732c4f6p-14, -0x1.98664237e8a0cp-14, -0x1.87d6665ac2aa6p-14, -0x1.778dfc226a312p-14, -0x1.678ddf784f1d5p-14, -0x1.57d588bfe0192p-14, -0x1.4863c59e318c9p-14, -0x1.3937ef6adeddep-14, -0x1.2a5216896c2d7p-14, -0x1.1bb237c5be1d6p-14, -0x1.0d57c3468ce3bp-14, -0x1.fe83575121bdfp-15, -0x1.e2dccd8d7d7abp-15, -0x1.c7b7f5364fa22p-15, -0x1.ad10dabaf4948p-15, -0x1.92e485bcd53efp-15, -0x1.7930fdb5a7a6ap-15, -0x1.5ff46fbeaab19p-15, -0x1.472c39df8f468p-15, -0x1.2ed4345cf7648p-15, -0x1.16e6b8c42e67ep-15, -0x1.febca97191be9p-16, -0x1.d0707b1224eb4p-16, -0x1.a2e9235b37c33p-16, -0x1.76273c7500213p-16, -0x1.4a26bf20c25dbp-16, -0x1.1ee1f3288ce0fp-16, -0x1.e8b321e751a9fp-17, -0x1.952aab3d2fd4ep-17, -0x1.4333db5f7de25p-17, -0x1.e5882df16f9edp-18, -0x1.478e9c07d56e4p-18, -0x1.58c8800f75c3ep-19, -0x1.408d38a52c786p-22, 0x1.0309af49004a7p-19, 0x1.1455215684cebp-18, 0x1.a47dad8ed0478p-18, 0x1.1904c1945f157p-17, 0x1.5e7ae0a3b1679p-17, 0x1.a29d937db4568p-17, 0x1.e56d09b11afeep-17, 0x1.1378f951cf6c2p-16, 0x1.339fe9978e971p-16, 0x1.5335ef179050ep-16, 0x1.723bcc58ebc46p-16, 0x1.90a6894eac518p-16, 0x1.ae6e335ac5e05p-16, 0x1.cb9a812c2b062p-16, 0x1.e83a0fa2acbe8p-16, 0x1.0229cf7f84559p-15, 0x1.0ff1c078a2dcep-15, 0x1.1d727aef050a4p-15, 0x1.2aab5a9f9d627p-15, 0x1.379e9676ff22dp-15, 0x1.444fb58949a45p-15, 0x1.50c016b21ce04p-15, 0x1.5cee2641b304dp-15, 0x1.68d8b9358db34p-15, 0x1.74812db1ffe87p-15, 0x1.7fe9ec1b06917p-15, 0x1.8b145ae5e3ebbp-15, 0x1.9600743be2af8p-15, 0x1.a0ada4ed4203fp-15, 0x1.ab1bb81095f3cp-15, 0x1.b54b2573eed08p-15, 0x1.bf3dd7157907dp-15, 0x1.c8f7cf88b27d6p-15, 0x1.d27b65058d99ap-15, 0x1.dbc5a9d992b8cp-15, 0x1.e4d3e8e906fbp-15, 0x1.eda85ee859dbbp-15, 0x1.f644b0277c172p-15, 0x1.fea6b3b5d397ep-15, 0x1.03671fc2e35c8p-14, 0x1.075fb5a526783p-14, 0x1.0b3f135cbce67p-14, 0x1.0f053474e9389p-14, 0x1.12b0ffb31a508p-14, 0x1.164283b8a478cp-14, 0x1.19bad08fdc496p-14, 0x1.1d19ef4ee8b49p-14, 0x1.205f84b3fcd9ap-14, 0x1.238b6976ce697p-14, 0x1.269e86f4aaa5p-14, 0x1.2999878ae054bp-14, 0x1.2c7cab88b83a4p-14, 0x1.2f4801c5da481p-14, 0x1.31fba752984b9p-14, 0x1.3497c930dd965p-14, 0x1.371c7331e2fbep-14, 0x1.3989f34b163cap-14, 0x1.3be141965671fp-14, 0x1.3e229e8f31394p-14, 0x1.404dc0ef20984p-14, 0x1.426378a100476p-14, 0x1.4463f672cb40ep-14, 0x1.464e8d9b19277p-14, 0x1.482380b350441p-14, 0x1.49e3758b75f9ep-14, 0x1.4b8eb8e8ccfaap-14, 0x1.4d256a0c4e464p-14, 0x1.4ea7ec3ec9dep-14, 0x1.5016dd50f5df9p-14, 0x1.517256e47e02bp-14, 0x1.52ba4328329adp-14, 0x1.53ef2097cf75bp-14, 0x1.55112a0aa58ebp-14, 0x1.562026427e0b4p-14, 0x1.571c4fd45a36cp-14, 0x1.5806270f49a6fp-14, 0x1.58de02f0bf95dp-14, 0x1.59a4158818e91p-14, 0x1.5a588a1cdd1b6p-14, 0x1.5afb95f89fba4p-14, 0x1.5b8d6c71ce126p-14, 0x1.5c0e1b1eb55f6p-14, 0x1.5c7dc4c9bd2cdp-14, 0x1.5cdcf09799168p-14, 0x1.5d2be53845be5p-14, 0x1.5d6ae16876cdep-14, 0x1.5d99fc7fee293p-14, 0x1.5db92b11b2d6fp-14, 0x1.5dc8c90b804c4p-14, 0x1.5dc92c7611fd4p-14, 0x1.5dba897abb16p-14, 0x1.5d9d0dd7788c8p-14, 0x1.5d70ea2f02486p-14, 0x1.5d3651032b67fp-14, 0x1.5ced6f72c058ap-14, 0x1.5c966bbe30fcp-14, 0x1.5c318246775ap-14, 0x1.5bbf018f96b1dp-14, 0x1.5b3f1b56d254ep-14, 0x1.5ab201d57509fp-14, 0x1.5a17d9a62e4cfp-14, 0x1.5970cb8e0bf9dp-14, 0x1.58bd15e4b84b3p-14, 0x1.57fcefa6830a4p-14, 0x1.573088cb62bddp-14, 0x1.5658112cc54bdp-14, 0x1.5573b98ce7cc9p-14, 0x1.5483b2f708ec6p-14, 0x1.53882e29f3c76p-14, 0x1.52815b959a295p-14, 0x1.516f6bf5c56d2p-14, 0x1.50528f854c717p-14, 0x1.4f2af5b901627p-14, 0x1.4df8cd86789b8p-14, 0x1.4cbc4622e2398p-14, 0x1.4b758e7701733p-14, 0x1.4a24d51285123p-14, 0x1.48ca485468786p-14, 0x1.476616570facfp-14, 0x1.45f86cc34dff4p-14, 0x1.448178b1db997p-14, 0x1.430166c0926dp-14, 0x1.4178634e761a4p-14, 0x1.3fe69a6b5e9dcp-14, 0x1.3e4c37d16f7f3p-14, 0x1.3ca969f09fb8ep-14, 0x1.3afe63798b1a2p-14, 0x1.394b4ac90ecb6p-14, 0x1.37903ee4385bcp-14, 0x1.35cd6b47b954ep-14, 0x1.34030a0df34c2p-14, 0x1.323142493a394p-14, 0x1.30583509b2c81p-14, 0x1.2e780c0585ecbp-14, 0x1.2c90f259f247ap-14, 0x1.2aa31093f431bp-14, 0x1.28ae8ed375842p-14, 0x1.26b39e081bda2p-14, 0x1.24b263eb91e81p-14, 0x1.22aaf58dc15ddp-14, 0x1.209d88c790ca8p-14, 0x1.1e8a49929a2d1p-14, 0x1.1c7155585cf86p-14, 0x1.1a52d2b2497c6p-14, 0x1.182ee8d2903fep-14, 0x1.1605bd7e45b8bp-14, 0x1.13d775ffc7c5cp-14, 0x1.11a436f7a5304p-14, 0x1.0f6c24e69f53dp-14, 0x1.0d2f640148708p-14, 0x1.0aee183963b96p-14, 0x1.08a8652037c24p-14, 0x1.065e6d7b0fe2p-14, 0x1.04105359a5c8ap-14, 0x1.01be393f043ecp-14, 0x1.fed074b75ab43p-15, 0x1.fa1d3c2b3cb7p-15, 0x1.f5627fad54a4p-15, 0x1.f0a0f35000dd7p-15, 0x1.ebd8c8e4dcd95p-15, 0x1.e70a193ebb2a3p-15, 0x1.e2353e1cbf5aap-15, 0x1.dd5a79e376e36p-15, 0x1.d87a01c05eb15p-15, 0x1.d39415302664ap-15, 0x1.cea8f252eaee8p-15, 0x1.c9b8d450b2011p-15, 0x1.c4c3fdf7a6e4ap-15, 0x1.bfcaa782532dbp-15, 0x1.bacd07758e296p-15, 0x1.b5cb604dd2eep-15, 0x1.b0c5e42001fd1p-15, 0x1.abbcccbac2017p-15, 0x1.a6b05363495ep-15, 0x1.a1a0afb2ba633p-15, 0x1.9c8e185d5c3bdp-15, 0x1.9778c369389eep-15, 0x1.9260e6365d9efp-15, 0x1.8d46b57cdc9d3p-15, 0x1.882a6547280dep-15, 0x1.830c28f0838cep-15, 0x1.7dec332ed0e98p-15, 0x1.78cab6245f98p-15, 0x1.73a7e36545113p-15, 0x1.6e83ea8a5cdbdp-15, 0x1.695d9fd98f3b1p-15, 0x1.64394d4f8e676p-15, 0x1.5f1305fcdfd1ap-15, 0x1.59ec552f356p-15, 0x1.54c56a40522b1p-15, 0x1.4f9e71c91c77fp-15, 0x1.4a77965d58888p-15, 0x1.455104f9921a1p-15, 0x1.402aeabcd2218p-15, 0x1.3b056e7b5fabep-15, 0x1.35e0bf6008736p-15, 0x1.30bd0192125bbp-15, 0x1.2b9a5c64001d1p-15, 0x1.2678f7aa5bcdbp-15, 0x1.2158ff9cdd741p-15, 0x1.1c3a9b0542ffbp-15, 0x1.171dee2e11bdap-15, 0x1.12031b326d1f5p-15, 0x1.0cea49186ebfbp-15, 0x1.07d39ccd00d48p-15, 0x1.02bf3a02ddcecp-15, 0x1.fb5a878df1723p-16, 0x1.f13bb92adc9a5p-16, 0x1.e7224cacdcf5fp-16, 0x1.dd0e853b5474fp-16, 0x1.d300a36d804a9p-16, 0x1.c8f8e89560991p-16, 0x1.bef7938e1bdebp-16, 0x1.b4fce26eb9c02p-16, 0x1.ab091237e0ec5p-16, 0x1.a11c5edb6693ap-16, 0x1.97370313afc6cp-16, 0x1.8d5938b7a332ap-16, 0x1.8383389e86405p-16, 0x1.79b53a8c5d39cp-16, 0x1.6fef7513d50d7p-16, 0x1.66321d7d4df59p-16, 0x1.5c7d67ba6a85ep-16, 0x1.52d186726030dp-16, 0x1.492eab5c57881p-16, 0x1.3f950a2415b52p-16, 0x1.3604d4ea1d011p-16, 0x1.2c7e3517f4558p-16, 0x1.23015307d8c7cp-16, 0x1.198e6b5ac6175p-16, 0x1.1025b17ae585fp-16, 0x1.06c734a351b15p-16, 0x1.fae65f8b93948p-17, 0x1.e853ac8d42a3p-17, 0x1.d5d671dbf4954p-17, 0x1.c36f0f00ed44p-17, 0x1.b11dd8314bc1ep-17, 0x1.9ee3186719b05p-17, 0x1.8cbf18397b362p-17, 0x1.7ab21e7f23c27p-17, 0x1.68bc704902b86p-17, 0x1.56de5121b254fp-17, 0x1.451803993c75ep-17, 0x1.3369c9f687f55p-17, 0x1.21d3e6a6ff9b8p-17, 0x1.10568bd39e7b8p-17, 0x1.fde3f2c8cc5e4p-18, 0x1.db4cc93b86ca6p-18, 0x1.b8e81d4f0394bp-18, 0x1.96b6574558ed3p-18, 0x1.74b7df91e0d2cp-18, 0x1.52ed1fe89005p-18, 0x1.31566329d3316p-18, 0x1.0ff3a53fe42b9p-18, 0x1.dd8b097806b06p-19, 0x1.9b9ce0799ee13p-19, 0x1.5a175bad8d56ep-19, 0x1.18fd67e260753p-19, 0x1.b09f8b74d99c4p-20, 0x1.301e11ee5fae8p-20, 0x1.60ef06231b9d7p-21, 0x1.8d67df057c5d7p-23, -0x1.310184e2c8be7p-22, -0x1.929efba199b31p-21, -0x1.457f5905d806fp-20, -0x1.c0cf556a73d25p-20, -0x1.1d9f828273a17p-19, -0x1.5a660d866039ap-19, -0x1.96baffd1bc55dp-19, -0x1.d29e09a7fc6ddp-19, -0x1.0707a53434278p-18, -0x1.24870e2f841a6p-18, -0x1.41cd0ca2eb60dp-18, -0x1.5ed979bceadb9p-18, -0x1.7bac3116960d8p-18, -0x1.9845101606be4p-18, -0x1.b4a3f49cd94aep-18, -0x1.d0c8c71e72c81p-18, -0x1.ecb44e18f80a5p-18, -0x1.0431e10a95e7fp-17, -0x1.11ecca4f78e7fp-17, -0x1.1f8a804cdcaedp-17, -0x1.2d0aee42bcfd6p-17, -0x1.3a6e0ab1e166ep-17, -0x1.47b3d0529c461p-17, -0x1.54dc3a570bdb5p-17, -0x1.61e740488ad69p-17, -0x1.6ed4dd19ecbe6p-17, -0x1.7ba5108417d31p-17, -0x1.8857d741f51eap-17, -0x1.94ed2cefb65c8p-17, -0x1.a16510ddda32ep-17, -0x1.adbf845f68901p-17, -0x1.b9fc893fed904p-17, -0x1.c61c21d305f3cp-17, -0x1.d21e513997866p-17, -0x1.de031b6ebf729p-17, -0x1.e9ca84f6e2d0ep-17, -0x1.f57492a4601efp-17, -0x1.0080a56c003f6p-16, -0x1.06385ac0b3574p-16, -0x1.0be16e5dd02cfp-16, -0x1.117be9047b674p-16, -0x1.1707c1d3f16c3p-16, -0x1.1c850726c81bdp-16, -0x1.21f3bc49ec81bp-16, -0x1.2753ed5fbbaa4p-16, -0x1.2ca59c0f9a9dfp-16, -0x1.31e8ce30d3cd4p-16, -0x1.371d8e746bbcp-16, -0x1.3c43d89437176p-16, -0x1.415bc0b7c3d5ep-16, -0x1.46654d0edd79bp-16, -0x1.4b6083cd9278ap-16, -0x1.504d6da9a9cap-16, -0x1.552c13d2a46c3p-16, -0x1.59fc7faa5d06fp-16, }}, 
      {{-0x1.71e8e7678eeffp+1, -0x1.3c409d2ad6d38p+1, -0x1.0d49fca8650d4p+1, -0x1.d82c2692ebd14p+0, -0x1.ae99d5a5cb755p+0, -0x1.96519e1c6956bp+0, -0x1.87e586e1ce0a6p+0, -0x1.7db769eb83914p+0, -0x1.74349a44b7962p+0, -0x1.697f7dcc05836p+0, -0x1.5cf32f2145603p+0, -0x1.4eaf8951a21e6p+0, -0x1.3f3dc1a4dfc5ep+0, -0x1.2f4fb34cce2dep+0, -0x1.1f963d1ed7ea8p+0, -0x1.10a9673f098f7p+0, -0x1.02fd331a0bc5dp+0, -0x1.edbda6c19d0e1p-1, -0x1.d8ee13af44f3cp-1, -0x1.c79ea52a2537fp-1, -0x1.b9b0859aecc0dp-1, -0x1.aee0242ad64bcp-1, -0x1.a6d1592dd7ea4p-1, -0x1.a119eda90daf8p-1, -0x1.9d4a3cb638a32p-1, -0x1.9af3e7c708c3cp-1, -0x1.99aebf8c8bf2fp-1, -0x1.991c1a6f56132p-1, -0x1.98e8da0e1340ap-1, -0x1.98ce63505b863p-1, -0x1.9892c80df74ddp-1, -0x1.9808598afc8afp-1, -0x1.970cd2e0dd34p-1, -0x1.9588410b82e65p-1, -0x1.936bc69d58a9p-1, -0x1.90b05177ac52ap-1, -0x1.8d55539452b9p-1, -0x1.895f8accf1b54p-1, -0x1.84d7e008a45d1p-1, -0x1.7fca62ab5705ep-1, -0x1.7a4562a54d3bcp-1, -0x1.7458a9cc27e46p-1, -0x1.6e14d3a4513a8p-1, -0x1.678ac1cb1503cp-1, -0x1.60cb2aadaddddp-1, -0x1.59e63fe8f3f9dp-1, -0x1.52eb6984fbf88p-1, -0x1.4be91329588b5p-1, -0x1.44ec88cf10f39p-1, -0x1.3e01e06cc1128p-1, -0x1.3733ee55a5502p-1, -0x1.308c42543ece1p-1, -0x1.2a132bb2fc0b4p-1, -0x1.23cfc2a000853p-1, -0x1.1dc7f5a107525p-1, -0x1.180099f346ebfp-1, -0x1.127d7df4021aap-1, -0x1.0d417ccc961efp-1, -0x1.084e92c39becap-1, -0x1.03a5f1b5fb4b2p-1, -0x1.fe902aa430ebfp-2, -0x1.f669ad8fad674p-2, -0x1.eed6ff61eae4ep-2, -0x1.e7d5b8076b59ap-2, -0x1.e16296009f29fp-2, -0x1.db799df22e2bbp-2, -0x1.d61637ecf3934p-2, -0x1.d1334a5fcb9dcp-2, -0x1.cccb52cf63b92p-2, -0x1.c8d87c403024ep-2, -0x1.c554b39753763p-2, -0x1.c239b9da74d96p-2, -0x1.bf81348d88a81p-2, -0x1.bd24bc463e703p-2, -0x1.bb1de976bb827p-2, -0x1.b9665fbb50bfdp-2, -0x1.b7f7d7a4b90f2p-2, -0x1.b6cc2728f1fa7p-2, -0x1.b5dd48d34d4b1p-2, -0x1.b52561e2cc171p-2, -0x1.b49ec7470beafp-2, -0x1.b44401c2e1938p-2, -0x1.b40fd1230de39p-2, -0x1.b3fd2eca6b063p-2, -0x1.b4074f72bd42dp-2, -0x1.b429a46e130c2p-2, -0x1.b45fdc44e34cdp-2, -0x1.b4a5e2f4dbc86p-2, -0x1.b4f7e1aca08c4p-2, -0x1.b5523e413f732p-2, -0x1.b5b19a41567a1p-2, -0x1.b612d1d298b3cp-2, -0x1.b672fa5098a51p-2, -0x1.b6cf60b3b8252p-2, -0x1.b72587e70e411p-2, -0x1.b77326df99232p-2, -0x1.b7b626b873529p-2, -0x1.b7eca0abd3282p-2, -0x1.b814dc00bd39bp-2, -0x1.b82d4bf8f062dp-2, -0x1.b8348db359aabp-2, -0x1.b82966114a0d3p-2, -0x1.b80abfa43e73p-2, -0x1.b7d7a89826e74p-2, -0x1.b78f50afcb8a1p-2, -0x1.b73107499f31fp-2, -0x1.b6bc396b39dafp-2, -0x1.b6306fe2e37e7p-2, -0x1.b58d4d78f5eb7p-2, -0x1.b4d28d2351764p-2, -0x1.b400005c1de2bp-2, -0x1.b3158d863d6d7p-2, -0x1.b2132e4f9bd6p-2, -0x1.b0f8ee4006e85p-2, -0x1.afc6e9555efbfp-2, -0x1.ae7d4a9761b03p-2, -0x1.ad1c4adbf3e66p-2, -0x1.aba42f977968p-2, -0x1.aa1549a7c167ep-2, -0x1.a86ff4424e311p-2, -0x1.a6b493feec60cp-2, -0x1.a4e395cedc5f9p-2, -0x1.a2fd6e13ebd2cp-2, -0x1.a10297ddec54bp-2, -0x1.9ef394117e134p-2, -0x1.9cd0e89fcd8aep-2, -0x1.9a9b1fe89b0c4p-2, -0x1.9852c8163bdd2p-2, -0x1.95f87271bf3dcp-2, -0x1.938cb2dcddd05p-2, -0x1.91101f59b7b62p-2, -0x1.8e834f8511cfdp-2, -0x1.8be6dc1bda4ep-2, -0x1.893b5e9fdbb78p-2, -0x1.868170fa4718bp-2, -0x1.83b9ad1537e86p-2, -0x1.80e4ac892bd0ep-2, -0x1.7e03085d2bfc4p-2, -0x1.7b1558c11790ep-2, -0x1.781c34c378728p-2, -0x1.7518321aac412p-2, -0x1.7209e4fad1881p-2, -0x1.6ef1dfe381bd1p-2, -0x1.6bd0b36d6b94fp-2, -0x1.68a6ee267d21p-2, -0x1.65751c777174ap-2, -0x1.623bc8843984ap-2, -0x1.5efb7a0a19e2ep-2, -0x1.5bb4b64883ef7p-2, -0x1.5867fff3aaf8ep-2, -0x1.5515d723adb5cp-2, -0x1.51beb93f999d2p-2, -0x1.4e6320ee22666p-2, -0x1.4b0386114e9b2p-2, -0x1.47a05dc17c28ap-2, -0x1.443a1a427b928p-2, -0x1.40d12afc91105p-2, -0x1.3d65fc7ba0913p-2, -0x1.39f8f8717db5ep-2, -0x1.368a85b58cd17p-2, -0x1.331b0843315e9p-2, -0x1.2faae13be8519p-2, -0x1.2c3a6eed69c24p-2, -0x1.28ca0cd8601e3p-2, -0x1.255a13b49cccbp-2, -0x1.21ead975a0d45p-2, -0x1.1e7cb15239301p-2, -0x1.1b0febce3eb3ep-2, -0x1.17a4d6c3ea301p-2, -0x1.143bbd6ba66f3p-2, -0x1.10d4e8645026ep-2, -0x1.0d709dbd787bap-2, -0x1.0a0f2102eb362p-2, -0x1.06b0b347c3f18p-2, -0x1.035593305f418p-2, -0x1.fffbf9f920084p-3, -0x1.f9545525f8804p-3, -0x1.f2b4a71a8d0a7p-3, -0x1.ec1d5a881866p-3, -0x1.e58ed5b415d97p-3, -0x1.df097a8e1b838p-3, -0x1.d88da6c6f77c7p-3, -0x1.d21bb3e90ee83p-3, -0x1.cbb3f770b51cdp-3, -0x1.c556c2e346213p-3, -0x1.bf0463e58791dp-3, -0x1.b8bd24521f83ep-3, -0x1.b2814a50f642bp-3, -0x1.ac51186ed843ep-3, -0x1.a62ccdb4658bbp-3, -0x1.a014a5bc260b5p-3, -0x1.9a08d8c8257e4p-3, -0x1.94099bd7b3571p-3, -0x1.8e1720bd89974p-3, -0x1.88319635c5e8bp-3, -0x1.825927fb22f6dp-3, -0x1.7c8dfedb95353p-3, -0x1.76d040cc8521ep-3, -0x1.712010fef54d2p-3, -0x1.6b7d8ff3c3a52p-3, -0x1.65e8db8fa382cp-3, -0x1.60620f2e83ef4p-3, -0x1.5ae943b65f81p-3, -0x1.557e8fa9b5232p-3, -0x1.50220739bc40bp-3, -0x1.4ad3bc588596bp-3, -0x1.4593becae49afp-3, -0x1.40621c39e3057p-3, -0x1.3b3ee043a1746p-3, -0x1.362a148bf617cp-3, -0x1.3123c0cc9f2b9p-3, -0x1.2c2beae54c1b1p-3, -0x1.274296eb6f395p-3, -0x1.2267c739bb087p-3, -0x1.1d9b7c7f27e0bp-3, -0x1.18ddb5cd9e1c7p-3, -0x1.142e70a851fb5p-3, -0x1.0f8da911d4c14p-3, -0x1.0afb5999d86d4p-3, -0x1.06777b6ac3f0dp-3, -0x1.02020656f91e1p-3, -0x1.fb35e1cb604f1p-4, -0x1.f28460befb99bp-4, -0x1.e9ef71b54d072p-4, -0x1.e176fa8e2c49cp-4, -0x1.d91adef425ff3p-4, -0x1.d0db0073962e4p-4, -0x1.c8b73e910d924p-4, -0x1.c0af76df1f9b2p-4, -0x1.b8c3851399227p-4, -0x1.b0f3431c52da7p-4, -0x1.a93e89336aaefp-4, -0x1.a1a52df2fe7d5p-4, -0x1.9a27066872afdp-4, -0x1.92c3e6273a2f6p-4, -0x1.8b7b9f5b26e24p-4, -0x1.844e02da3639p-4, -0x1.7d3ae035e9461p-4, -0x1.764205cc26164p-4, -0x1.6f6340d79ae5cp-4, -0x1.689e5d7fbb2p-4, -0x1.61f326e857642p-4, -0x1.5b616740d46e3p-4, -0x1.54e8e7d2e9ab9p-4, -0x1.4e897110e9f0cp-4, -0x1.4842caa3a1674p-4, -0x1.4214bb77d1508p-4, -0x1.3bff09cb4ee65p-4, -0x1.36017b39c52b1p-4, -0x1.301bd4c92fa75p-4, -0x1.2a4ddaf5e517cp-4, -0x1.249751be57b09p-4, -0x1.1ef7fcae1d5d6p-4, -0x1.196f9ee90a1fdp-4, -0x1.13fdfb35af447p-4, -0x1.0ea2d407bc555p-4, -0x1.095deb8a0924ep-4, -0x1.042f03a84b679p-4, -0x1.fe2bbc30e5843p-5, -0x1.f42478c751519p-5, -0x1.ea47bfdded0d8p-5, -0x1.e09514075ec0dp-5, -0x1.d70bf7af511c8p-5, -0x1.cdabed2a669f2p-5, -0x1.c47476c59460fp-5, -0x1.bb6516d4e3794p-5, -0x1.b27d4fc17de3cp-5, -0x1.a9bca4173d175p-5, -0x1.a1229691bb5ap-5, -0x1.98aeaa290e2e2p-5, -0x1.9060621e1081bp-5, -0x1.883742064fa16p-5, -0x1.8032cdd78b72dp-5, -0x1.785289f24f85bp-5, -0x1.7095fb2c74922p-5, -0x1.68fca6dabb81ep-5, -0x1.618612da64f4bp-5, -0x1.5a31c59a78e65p-5, -0x1.52ff4624b49c8p-5, -0x1.4bee1c261afd5p-5, -0x1.44fdcff707a44p-5, -0x1.3e2deaa2c677ep-5, -0x1.377df5eebc10bp-5, -0x1.30ed7c6122d05p-5, -0x1.2a7c0947a3badp-5, -0x1.242928bd9dafbp-5, -0x1.1df467b24f14bp-5, -0x1.17dd53eeb10a8p-5, -0x1.11e37c1ad3f7cp-5, -0x1.0c066fc2f1225p-5, -0x1.0645bf5c055c8p-5, -0x1.00a0fc4822298p-5, -0x1.f62f71b50d2b1p-6, -0x1.eb5310b72369dp-6, -0x1.e0abfe1910e74p-6, -0x1.d639645666915p-6, -0x1.cbfa6fea6bca3p-6, -0x1.c1ee4f55f0d18p-6, -0x1.b81433250aa84p-6, -0x1.ae6b4df326a29p-6, -0x1.a4f2d4700d3a5p-6, -0x1.9ba9fd6384551p-6, -0x1.929001b0ff9dep-6, -0x1.89a41c5b7e9b3p-6, -0x1.80e58a88a88e6p-6, -0x1.78538b8395fd4p-6, -0x1.6fed60bf2f465p-6, -0x1.67b24dd7ffe09p-6, -0x1.5fa198958af0dp-6, -0x1.57ba88eb61f3p-6, -0x1.4ffc68f9f2343p-6, -0x1.4866850f42d15p-6, -0x1.40f82ba77144cp-6, -0x1.39b0ad6cf710ap-6, -0x1.328f5d38a4d1cp-6, -0x1.2b939011406f9p-6, -0x1.24bc9d2abd433p-6, -0x1.1e09dde51f197p-6, -0x1.177aadcb24347p-6, -0x1.110e6a90c2f8ep-6, -0x1.0ac474119ba44p-6, -0x1.049c2c4f564f8p-6, -0x1.fd29eedfee2f3p-7, -0x1.f15c77776466fp-7, -0x1.e5cec335d31dfp-7, -0x1.da7fa7270306p-7, -0x1.cf6dfc8b65561p-7, -0x1.c498a0d2bbd1cp-7, -0x1.b9fe7593c76e6p-7, -0x1.af9e60875e21p-7, -0x1.a5774b811c77cp-7, -0x1.9b8824696a60ep-7, -0x1.91cfdd3765337p-7, -0x1.884d6bea689d3p-7, -0x1.7effca8348bf6p-7, -0x1.75e5f6fd37daep-7, -0x1.6cfef341df58dp-7, -0x1.6449c528d8ae9p-7, -0x1.5bc576606ac3dp-7, -0x1.53711472a565ep-7, -0x1.4b4bb0b1f93fp-7, -0x1.43546034c22d1p-7, -0x1.3b8a3bcc945dap-7, -0x1.33ec5ffe9290ep-7, -0x1.2c79ecfbca20fp-7, -0x1.253206990b734p-7, -0x1.1e13d4460a536p-7, -0x1.171e8103de018p-7, -0x1.10513b5a8b629p-7, -0x1.09ab354e31751p-7, -0x1.032ba454281f6p-7, -0x1.f9a382908651dp-8, -0x1.ed3990c54aeaep-8, -0x1.e117f25bf2093p-8, -0x1.d53d2cfc22f6bp-8, -0x1.c9a7ccccfb4bfp-8, -0x1.be5664620893ap-8, -0x1.b3478ca7dc08ep-8, -0x1.a879e4d09674bp-8, -0x1.9dec1240b8288p-8, -0x1.939cc07d26e09p-8, -0x1.898aa11a4ff0cp-8, -0x1.7fb46bac3da27p-8, -0x1.7618ddb697bedp-8, -0x1.6cb6ba9af9a95p-8, -0x1.638ccb841442fp-8, -0x1.5a99df469a962p-8, -0x1.51dcca5fc350bp-8, -0x1.4954669c2e507p-8, -0x1.40ff932fa3a6dp-8, -0x1.38dd347c042c5p-8, -0x1.30ec3401fba6ap-8, -0x1.292b805689246p-8, -0x1.219a0d2371d4ap-8, -0x1.1a36d330053a4p-8, -0x1.1300d06ceebebp-8, -0x1.0bf707fb238d1p-8, -0x1.05188226721d6p-8, -0x1.fcc8989a7559p-9, -0x1.efb2f1653236bp-9, -0x1.e2ee3c7c0ec6ap-9, -0x1.d678b05fcdaa9p-9, -0x1.ca508baebcfd2p-9, -0x1.be7414afee4c9p-9, -0x1.b2e199148de8ep-9, -0x1.a7976e048bca5p-9, -0x1.9c93f071e5dd1p-9, -0x1.91d585a66bb25p-9, -0x1.875a9be933fbdp-9, -0x1.7d21ab120434cp-9, -0x1.732934dc930b3p-9, -0x1.696fc4d844cc5p-9, -0x1.5ff3efe0b1bb9p-9, -0x1.56b45329850f5p-9, -0x1.4daf92f9c06e6p-9, -0x1.44e4595197ac9p-9, -0x1.3c5154b8dc245p-9, -0x1.33f5377c867c1p-9, -0x1.2bceb7892776fp-9, -0x1.23dc8ef594b5p-9, -0x1.1c1d7d2e38f15p-9, -0x1.1490488b99c09p-9, -0x1.0d33c003f0593p-9, -0x1.0606bc98c1b22p-9, -0x1.fe10444ec1b8dp-10, -0x1.f06dbeb83b27ep-10, -0x1.e323d95f78f29p-10, -0x1.d6309510d558ep-10, -0x1.c991fd8dab8dp-10, -0x1.bd4624583900fp-10, -0x1.b14b1c2c827acp-10, -0x1.a59ef60def98cp-10, -0x1.9a3fc0928974cp-10, -0x1.8f2b89ad18e18p-10, -0x1.846062ba26f9dp-10, -0x1.79dc65e4eb104p-10, -0x1.6f9dbcfad5618p-10, -0x1.65a2a6b46704ap-10, -0x1.5be97ab971f01p-10, -0x1.5270aa3cf6de5p-10, -0x1.4936bf7571a9ap-10, -0x1.403a5898a7881p-10, -0x1.377a20b1d2308p-10, -0x1.2ef4c7efbc295p-10, -0x1.26a8fc00ce30ap-10, -0x1.1e95621cdbb3ap-10, -0x1.16b893d8d5995p-10, -0x1.0f111f5d091bap-10, -0x1.079d8afc07ad5p-10, -0x1.005c5b8f29881p-10, -0x1.f298390a69b2p-11, -0x1.e4d6d08e8072bp-11, -0x1.d771df13c8739p-11, -0x1.ca66fc92931f4p-11, -0x1.bdb3fb1173719p-11, -0x1.b156e2e0a1f17p-11, -0x1.a54de7f52cf44p-11, -0x1.999759ffc9c19p-11, -0x1.8e3191d738456p-11, -0x1.831adf61c6e54p-11, -0x1.78517b1a72f19p-11, -0x1.6dd37da1b4d1p-11, -0x1.639ede974d67ap-11, -0x1.59b17a9d38ee8p-11, -0x1.50091f262e935p-11, -0x1.46a399df052eep-11, -0x1.3d7ec91d0ed4p-11, -0x1.3498a9ba24121p-11, -0x1.2bef68aa70f7cp-11, -0x1.23815d2754152p-11, -0x1.1b4d159549ae6p-11, -0x1.13514bdefcc36p-11, -0x1.0b8cdc4f14ca3p-11, -0x1.03feb79674be6p-11, -0x1.f94ba7018c638p-12, -0x1.eb02398455b9ep-12, -0x1.dd1ed8429bde8p-12, -0x1.cf9f01403f4e6p-12, -0x1.c27ffe90ce189p-12, -0x1.b5bef06066da6p-12, -0x1.a958ded52a1c1p-12, -0x1.9d4ad0312bdaap-12, -0x1.9191df661d3cfp-12, -0x1.862b4f6cd8562p-12, -0x1.7b14985412772p-12, -0x1.704b6c67bef23p-12, -0x1.65cdb5688e5e5p-12, -0x1.5b998c0f2a424p-12, -0x1.51ad2d10e4b13p-12, -0x1.4806eec13bb2p-12, -0x1.3ea538da1321dp-12, -0x1.35867e15c3349p-12, -0x1.2ca93635077b8p-12, -0x1.240bd75ac95b4p-12, -0x1.1baccf0998759p-12, -0x1.138a7ca685bf1p-12, -0x1.0ba3303d6d72dp-12, -0x1.03f52fc8a5ff1p-12, -0x1.f8fd86261889dp-13, -0x1.ea7c8634c1cap-13, -0x1.dc644dffa248ep-13, -0x1.ceb2101104862p-13, -0x1.c16332122bb2ep-13, -0x1.b47526329da66p-13, -0x1.a7e53e5dd84aap-13, -0x1.9bb08e5166c8bp-13, -0x1.8fd3edb999f97p-13, -0x1.844c1e62398e5p-13, -0x1.791609c39399bp-13, -0x1.6e2efce1c18c8p-13, -0x1.6394c82e1ade4p-13, -0x1.5945b4580fb55p-13, -0x1.4f405084810d2p-13, -0x1.4583314c1f2f1p-13, -0x1.3c0cc0530b549p-13, -0x1.32db3460e104ep-13, -0x1.29ecb43ac3ab6p-13, -0x1.213f8e8f984fp-13, -0x1.18d264e891d02p-13, -0x1.10a42da76f4fap-13, -0x1.08b405593093fp-13, -0x1.0100decc91b78p-13, -0x1.f31261cdb0ae3p-14, -0x1.e49587ba477bbp-14, -0x1.d6856b785697ap-14, -0x1.c8db788eb5048p-14, -0x1.bb912a15f7b6p-14, -0x1.aea1022208cc2p-14, -0x1.a2073da34b9ffp-14, -0x1.95c1f6df1fb12p-14, -0x1.89d0a0b0b66b9p-14, -0x1.7e331589663e8p-14, -0x1.72e8b0926588ap-14, -0x1.67efe15d2c0bp-14, -0x1.5d4661a171aa6p-14, -0x1.52e9d8bc701cap-14, -0x1.48d884bdb132cp-14, -0x1.3f118b69949a9p-14, -0x1.3594cbf4211afp-14, -0x1.2c624b24ad136p-14, -0x1.237980ae486ecp-14, -0x1.1ad8cfef724d9p-14, -0x1.127d52c4c1638p-14, -0x1.0a62f513a8949p-14, -0x1.0284d28838f5bp-14, -0x1.f5bb9c3e31ab5p-15, -0x1.e6d2a7f8136e4p-15, -0x1.d8482a9595928p-15, -0x1.ca18ded631476p-15, -0x1.bc447d700978cp-15, -0x1.aecc4ba76d3ap-15, -0x1.a1b14d94420e6p-15, -0x1.94f3093963f73p-15, -0x1.888f5b7130a11p-15, -0x1.7c833e7dcccd1p-15, -0x1.70cbf943a9d63p-15, -0x1.656809d49c937p-15, -0x1.5a573f82bd5d7p-15, -0x1.4f99fad059ba1p-15, -0x1.4530211398784p-15, -0x1.3b186e80e9723p-15, -0x1.315066ba250dcp-15, -0x1.27d4aa6f83d6ap-15, -0x1.1ea15008c1fd8p-15, -0x1.15b20f98fb5dbp-15, -0x1.0d025f22c94e5p-15, -0x1.048db12fdcbf5p-15, -0x1.f89fbf30697b9p-16, -0x1.e88b4a6e4fa0ap-16, -0x1.d8d9f1a1aaf8bp-16, -0x1.c98a3262ff2cp-16, -0x1.ba9c6b7b23579p-16, -0x1.ac1187fb08462p-16, -0x1.9de976490ced9p-16, -0x1.902270301d03dp-16, -0x1.82b9e360752p-16, -0x1.75adf2824e4bbp-16, -0x1.68fda8edbf171p-16, -0x1.5ca8005f9b19p-16, -0x1.50ab4ea0ff4dp-16, -0x1.450559d7c3d8p-16, -0x1.39b356784dba7p-16, -0x1.2eb1f42aaf65p-16, -0x1.23fde70678a93p-16, -0x1.1994821f96894p-16, -0x1.0f73ba7856618p-16, -0x1.0599a112916ccp-16, -0x1.f8079c0c55db7p-17, -0x1.e55de60c9490ep-17, -0x1.d32dc70b455dcp-17, -0x1.c16f458b8a862p-17, -0x1.b01dc25c3592ep-17, -0x1.9f3837d34abafp-17, -0x1.8ebdd770f09c3p-17, -0x1.7eaaff4d5ba31p-17, -0x1.6efb0ebe8af65p-17, -0x1.5fad5af10e4fdp-17, -0x1.50c58186fcd58p-17, -0x1.4245493c32e06p-17, -0x1.34287a15d83d6p-17, -0x1.266811089ce81p-17, -0x1.18ffbaa8d2dfbp-17, -0x1.0bee92b7e3d9p-17, -0x1.fe672d885fad7p-18, -0x1.e596fae7c4398p-18, -0x1.cd64729c9bf27p-18, -0x1.b5cabf499471cp-18, -0x1.9ec94aaa33591p-18, -0x1.8860d8570d6f1p-18, -0x1.728fe876f0f4dp-18, -0x1.5d4fec47db9cap-18, -0x1.4893eca0bf056p-18, -0x1.344e17b6e39afp-18, -0x1.207c8b271d9e6p-18, -0x1.0d2b7e2a4208cp-18, -0x1.f4c6a44ee2bap-19, -0x1.d031ac6cb243fp-19, -0x1.ac771c2bd6feep-19, -0x1.898419a956d4ap-19, -0x1.67605acd2a8d6p-19, -0x1.4612e5a91775bp-19, -0x1.259f17d90943cp-19, -0x1.05f93f46fe4bcp-19, -0x1.ce1eafbdb87bbp-20, -0x1.91b36436401a4p-20, -0x1.56bd48723a5cbp-20, -0x1.1d455336c47cp-20, -0x1.ca79575986a96p-21, -0x1.5d15a6d2b76d9p-21, -0x1.e483f823d1ec3p-22, -0x1.13f7b6c8a6094p-22, -0x1.225ab4eac74b1p-24, 0x1.f67258ee0f75dp-24, 0x1.3eb872a6946c9p-22, 0x1.fb08ed3bebfb2p-22, 0x1.5993bfab3c758p-21, 0x1.b3b6e1a3d795dp-21, 0x1.05dc18e49a3c1p-20, 0x1.30b339e31ec88p-20, 0x1.5a762228b4179p-20, 0x1.83345242013cep-20, 0x1.aada059b9d4bdp-20, 0x1.d165fd9cda265p-20, 0x1.f6fe2736d11aep-20, 0x1.0de360892c7c1p-19, 0x1.1fdf9fc225c2ep-19, 0x1.31698785b40ap-19, 0x1.42816e99a7a4p-19, 0x1.5330d4344f5b8p-19, 0x1.6375c7e16fbb7p-19, 0x1.73535cda6e01fp-19, 0x1.82c1571c09267p-19, 0x1.91c998404a308p-19, 0x1.a0720047b52c7p-19, 0x1.aebc746d60d6bp-19, 0x1.bca906fa8e8f9p-19, 0x1.ca38456215c5p-19, 0x1.d76b46dd1929bp-19, 0x1.e441ebf8c387cp-19, 0x1.f0be6e546dbcp-19, 0x1.fce90c4cd58bep-19, 0x1.0461b607448c4p-18, 0x1.0a252670832aap-18, 0x1.0fc22e2e1c79cp-18, 0x1.15394dfeeee2fp-18, 0x1.1a87214dc14aap-18, 0x1.1fac7b2566e07p-18, 0x1.24abe63ac62e9p-18, 0x1.298658ac53812p-18, 0x1.2e3bfa630b692p-18, 0x1.32ce2168e429ap-18, 0x1.373f26d902b91p-18, 0x1.3b8f10dc73612p-18, 0x1.3fbd10353d03ep-18, 0x1.43caeb46ff38p-18, 0x1.47b937c9d5d02p-18, 0x1.4b8681f9a46cbp-18, 0x1.4f335a47d670dp-18, 0x1.52c1873b18a37p-18, 0x1.56321494d11d7p-18, 0x1.59856721b32aap-18, 0x1.5cbbc3a7937c1p-18, 0x1.5fd599d3aa9bap-18, 0x1.62d34ff5bb184p-18, 0x1.65b4a439697f8p-18, 0x1.6879b3bfd07c7p-18, 0x1.6b24536cfe3e6p-18, 0x1.6db538d222949p-18, 0x1.702cf45b1fa7bp-18, 0x1.728b69ee3c88p-18, 0x1.74cfe85c279f4p-18, 0x1.76fb7f67ee3bcp-18, 0x1.790f2205ea4b9p-18, 0x1.7b0b2f6358db2p-18, 0x1.7cefeabecbf5p-18, 0x1.7ebda37260036p-18, 0x1.8074b06e616e8p-18, 0x1.8215512bf7a8ap-18, 0x1.839fa7489e424p-18, 0x1.8514323c5c61dp-18, 0x1.8673be785457ap-18, 0x1.87be9d5e37f8dp-18, 0x1.88f522158411cp-18, 0x1.8a176561797c4p-18, 0x1.8b25919093803p-18, 0x1.8c202cd0461dep-18, 0x1.8d079dcd0ba9dp-18, 0x1.8ddc2d2f4c4e2p-18, 0x1.8e9e231392c9dp-18, 0x1.8f4dcb7991c56p-18, 0x1.8feb73a0a48ccp-18, 0x1.907767974f78cp-18, 0x1.90f1f23f17f34p-18, 0x1.915b5fd2c7d6ap-18, 0x1.91b3fa95a984ap-18, 0x1.91fc09cc56e0dp-18, 0x1.9233d2f45ce3fp-18, 0x1.925b9cc4c5a97p-18, 0x1.9273acf192235p-18, 0x1.927c4801c2506p-18, 0x1.9275b1f9fa01dp-18, 0x1.92602e1e6782ep-18, 0x1.923bfe556431cp-18, 0x1.920962be0ef7ap-18, 0x1.91c89a050023ep-18, 0x1.9179e24a819e8p-18, 0x1.911d78ebb297bp-18, 0x1.90b39a6bd63f3p-18, 0x1.903c8db75f2f8p-18, 0x1.8fb8a9d34cee9p-18, 0x1.8f281879b28b2p-18, 0x1.8e8ae898888cbp-18, 0x1.8de157cbd9073p-18, 0x1.8d2bda77a2c53p-18, 0x1.8c6a9f51bcb0ep-18, 0x1.8b9dbf7a88e7bp-18, 0x1.8ac5742f3ce9ap-18, 0x1.89e1fc14ce3f1p-18, 0x1.88f38cfbb0833p-18, 0x1.87fa5c63f07f8p-18, 0x1.86f6be5e9126dp-18, 0x1.85e8df3955791p-18, 0x1.84d0b8996bf35p-18, 0x1.83aeaf1107b7ep-18, 0x1.8283038c68f47p-18, 0x1.814dcdd9c1271p-18, 0x1.800f428bb76f6p-18, 0x1.7ec7975b57f6dp-18, 0x1.7d76fdcb8cfcbp-18, 0x1.7c1da70ec2dfap-18, 0x1.7abbc2a7811bdp-18, 0x1.79518014bf379p-18, 0x1.77df0e5c3af58p-18, 0x1.76649bdbae0d3p-18, 0x1.74e256294a065p-18, 0x1.73586bb3df5b6p-18, 0x1.71c70c1288a7cp-18, 0x1.702e630a7e5b7p-18, 0x1.6e8e52f8e86eap-18, 0x1.6ce8692ab34fep-18, 0x1.6b3a42b96313p-18, 0x1.6985fe6337b57p-18, 0x1.67cb8811b0808p-18, 0x1.660a9c350fbb4p-18, 0x1.6443928bfcaafp-18, 0x1.6276958ad4adcp-18, 0x1.60a3c89b6e19ap-18, 0x1.5ecb52ef851f1p-18, 0x1.5ced5bc4660f2p-18, 0x1.5b0a0b9cf084bp-18, 0x1.59218998c9675p-18, 0x1.5733fad98982fp-18, 0x1.554187f87962bp-18, 0x1.534a4ee59572fp-18, 0x1.514e7aed6797p-18, 0x1.4f4e30846d2f6p-18, 0x1.4d49923afdf49p-18, 0x1.4b40c333ae22ap-18, 0x1.4933e6869b6f6p-18, 0x1.47231ef8f9209p-18, 0x1.450e8eef73eacp-18, 0x1.42f6586bed729p-18, 0x1.40da9d06fa0a2p-18, 0x1.3ebb7de6e093ep-18, 0x1.3c991bb74b14fp-18, 0x1.3a7396944128ap-18, 0x1.384b0dca2de2ep-18, 0x1.361f9b3b929eap-18, 0x1.33ec7618168aap-18, 0x1.31c0933b8a235p-18, 0x1.2f8d3a099f453p-18, 0x1.2d577269eed78p-18, 0x1.2b1f5d02293cp-18, 0x1.28e517de49b82p-18, 0x1.26a8c33adb21dp-18, 0x1.246a78841027fp-18, 0x1.222a4f202f7cp-18, 0x1.1fe86a1bbf7eep-18, 0x1.1da4d961b333bp-18, 0x1.1b5fc2c9789b1p-18, 0x1.191943410ab2fp-18, 0x1.16d17414fe148p-18, 0x1.1488654a2ece7p-18, 0x1.123e3114c38c3p-18, 0x1.0ff2f40a4e4bp-18, 0x1.0da6cb2cd4d2dp-18, 0x1.0b59cb36732f5p-18, 0x1.090c0b3f488f1p-18, 0x1.06bda2e0d9946p-18, 0x1.046ea961fefd4p-18, 0x1.021f359f0ca15p-18, 0x1.ff9ebc10f7c95p-19, 0x1.fafe72892e959p-19, 0x1.f65db7efaf52dp-19, 0x1.f1bcb9575730dp-19, 0x1.ed1ba00abaf14p-19, 0x1.e87a95869114cp-19, 0x1.e3d9c2a57cc54p-19, 0x1.df394f94c2e24p-19, 0x1.da9963c95586p-19, 0x1.d5fa261ad3c8fp-19, 0x1.d15bbcbb192e8p-19, 0x1.ccbe4d39c743fp-19, 0x1.c821fc8c64eb5p-19, 0x1.c386ef0b52fbfp-19, 0x1.beed4848e4d91p-19, 0x1.ba552a6499c3fp-19, 0x1.b5beb58f6fe78p-19, 0x1.b12a0fd622ab8p-19, 0x1.ac975e5f17dfap-19, 0x1.a806b9de862f5p-19, 0x1.a3784277866eap-19, 0x1.9eec1a49e363p-19, 0x1.9a6260c094ae7p-19, 0x1.95db30f50ad03p-19, 0x1.9156a9fc51fa8p-19, 0x1.8cd4ec8d97109p-19, 0x1.88560f8905a52p-19, 0x1.83da2fcc9f4c7p-19, 0x1.7f6169dc4cd53p-19, 0x1.7aebd8b6d16a2p-19, 0x1.76799692265bbp-19, 0x1.720abcdc29caep-19, 0x1.6d9f642e9b3e9p-19, 0x1.6937a4975ffe2p-19, 0x1.64d395f2381c7p-19, 0x1.60734fde0435dp-19, 0x1.5c16e9f8aab78p-19, 0x1.57be79b01174ep-19, 0x1.536a16f17a7c6p-19, 0x1.4f19d5c0832a7p-19, 0x1.4acdcc1fc22dap-19, 0x1.46860e6fd1414p-19, 0x1.4242b1bd1203p-19, 0x1.3e03cd4fecf78p-19, 0x1.39c95f6b476ddp-19, 0x1.359323043bca6p-19, 0x1.316162b8f5d03p-19, 0x1.2d360451cd0a3p-19, 0x1.290e69d3648f8p-19, 0x1.24eba3248136ap-19, 0x1.20cdcea06c10ap-19, 0x1.1cb4f919017f6p-19, 0x1.18a1305bb38c3p-19, 0x1.149282a668b38p-19, 0x1.1088ff0b1a84dp-19, 0x1.0c84b4590fcaep-19, 0x1.0885b0605f52fp-19, 0x1.048bfbd42f597p-19, 0x1.00979c620948dp-19, 0x1.f951657107f1bp-20, 0x1.f17e8d29a4993p-20, 0x1.e9b6c4fb3b1bep-20, 0x1.e1fa06af4b693p-20, 0x1.da487877b8833p-20, 0x1.d2a232f2b9a35p-20, 0x1.cb0749aac68f5p-20, 0x1.c377cf7368884p-20, 0x1.bbf3d6ab98e52p-20, 0x1.b47b714d5acb1p-20, 0x1.ad0ead0987c9cp-20, 0x1.a5ac5f7fb1515p-20, 0x1.9e583f1d6fd24p-20, 0x1.970ee8d8e1f71p-20, 0x1.8fd158cc3f6bap-20, 0x1.889fb856d743fp-20, 0x1.817a158ebf957p-20, 0x1.7a607c1e88457p-20, 0x1.7352f736298c2p-20, 0x1.6c51932a75816p-20, 0x1.655c5ac73ed97p-20, 0x1.5e7356cfb27cap-20, 0x1.579690f69f204p-20, 0x1.50c6131e4b446p-20, 0x1.4a01e589d3579p-20, 0x1.434a0f7ab09a2p-20, 0x1.3c9e97c7213ccp-20, 0x1.35ff84cce87b6p-20, 0x1.2f6cdc5ecc1b4p-20, 0x1.28e6a3ca76223p-20, 0x1.226ce03b509e2p-20, 0x1.1bff970cb9ecp-20, 0x1.159ecc75d22dep-20, 0x1.0f4a839fb7448p-20, 0x1.0902bdf9ae47fp-20, 0x1.02c774658ae9ep-20, 0x1.f9318ab5346b8p-21, 0x1.eced2feefcd9cp-21, 0x1.e0c1d27873dc5p-21, 0x1.d4afa8413668ap-21, 0x1.c8b697001478cp-21, 0x1.bcd68154e6a74p-21, 0x1.b10f72ef4c458p-21, 0x1.a561a2b60078cp-21, 0x1.99ccd1f5c1f1dp-21, 0x1.8e5103e94df34p-21, 0x1.82ee3d2ee5d5p-21, 0x1.77a47755c6a44p-21, 0x1.6c73aa75bdbe4p-21, 0x1.615bced24162p-21, }}, 
      {{-0x1.d5c68d760c333p-3, -0x1.d82f28331e3fp-3, -0x1.dc18ae12841d5p-3, -0x1.e15e32e0dde7ep-3, -0x1.e7d0135676df6p-3, -0x1.ef3706dc791d2p-3, -0x1.f7572ec4bec3p-3, -0x1.fff2ea7383952p-3, -0x1.0466a5be6b8c7p-2, -0x1.08d60a1ba7bbp-2, -0x1.0d2c9ce69ec9cp-2, -0x1.1151f7b25a2f9p-2, -0x1.1530a461d1385p-2, -0x1.18b6439b4f77bp-2, -0x1.1bd3920adb356p-2, -0x1.1e7c5529663dbp-2, -0x1.20a736ae93c9dp-2, -0x1.224d942c259dfp-2, -0x1.236b46e1ed5dcp-2, -0x1.23fe66be596dfp-2, -0x1.24070abb21d91p-2, -0x1.23870846e0ce3p-2, -0x1.2281b31e018bp-2, -0x1.20fb9ec3019bap-2, -0x1.1efa62a00bbf5p-2, -0x1.1c8461b7f336p-2, -0x1.19a096a5b2cf9p-2, -0x1.1656647e2c4bap-2, -0x1.12ad6cf91bd76p-2, -0x1.0ead6c1679406p-2, -0x1.0a5e19475603cp-2, -0x1.05c70df777dcp-2, -0x1.00efb13111311p-2, -0x1.f7be4fef24cb4p-3, -0x1.ed3893c3791a6p-3, -0x1.e25b32dc5cb96p-3, -0x1.d7327f0f3e277p-3, -0x1.cbca135c57db4p-3, -0x1.c02cd480dd7bp-3, -0x1.b464f4d0605f9p-3, -0x1.a87bfa752202fp-3, -0x1.9c7ac7524dcaep-3, -0x1.9069a1e044ca5p-3, -0x1.84503e78484a1p-3, -0x1.7835c8a10f2cp-3, -0x1.6c20ec07fffc9p-3, -0x1.6017dcea96919p-3, -0x1.54205fc82c384p-3, -0x1.483fd0461b45cp-3, -0x1.3c7b273ecf70ep-3, -0x1.30d6fffff6b91p-3, -0x1.25579cc4c99e7p-3, -0x1.1a00ea7fefba3p-3, -0x1.0ed6840c70882p-3, -0x1.03dbb4df9a649p-3, -0x1.f226f6acd8fa2p-4, -0x1.dd011571173cdp-4, -0x1.c84a9a12a0e3bp-4, -0x1.b407c97a958f6p-4, -0x1.a03c5ccfceea1p-4, -0x1.8ceb84e3c0771p-4, -0x1.7a17edcc40c2bp-4, -0x1.67c3c2bf2ddd3p-4, -0x1.55f0b23f0ec14p-4, -0x1.449ff2a239dbfp-4, -0x1.33d246f9023b8p-4, -0x1.23880452e9a21p-4, -0x1.13c1175f052f9p-4, -0x1.047d0a6082ed7p-4, -0x1.eb7616db4ef47p-5, -0x1.cef3e5db2f988p-5, -0x1.b370948fb357cp-5, -0x1.98e8a56eff277p-5, -0x1.7f5818670a3c4p-5, -0x1.66ba78bb9a2fbp-5, -0x1.4f0aead4f6a4cp-5, -0x1.384439e3f0e2p-5, -0x1.2260e54174acap-5, -0x1.0d5b2d71dfb91p-5, -0x1.f25a416d12909p-6, -0x1.cba14e34e2832p-6, -0x1.a67f1bd30cbdbp-6, -0x1.82e725093c8cdp-6, -0x1.60ccd90d93d5dp-6, -0x1.4023ae668173bp-6, -0x1.20df344b1a9a9p-6, -0x1.02f3227fef137p-6, -0x1.cca6cf593804fp-7, -0x1.95e86c54e07cdp-7, -0x1.61941ea01b61dp-7, -0x1.2f939a824fd26p-7, -0x1.ffa2ad31d2584p-8, -0x1.a471339176bb9p-8, -0x1.4d6b0d04493c7p-8, -0x1.f4d48de3b5b5dp-9, -0x1.569587ce3099dp-9, -0x1.7fa90ebedb1d9p-10, -0x1.8286739b22bbdp-12, 0x1.60ca7b5ef41f8p-11, 0x1.b3de028f4bcf9p-10, 0x1.5519ec2a649bfp-9, 0x1.c9e558d464e2bp-9, 0x1.1c3fdfab043a7p-8, 0x1.508a19e4ffe48p-8, 0x1.81e543d1769e6p-8, 0x1.b063b731fe83p-8, 0x1.dc16529b74aaap-8, 0x1.028647360ed45p-7, 0x1.15aa4956bdc1dp-7, 0x1.277da6d2e1d6ep-7, 0x1.380645709d5a4p-7, 0x1.4749853fe016dp-7, 0x1.554c4c4b5de2dp-7, 0x1.6213123de7cbdp-7, 0x1.6da1ebe84eb5ap-7, 0x1.77fc9695fcb86p-7, 0x1.812683204896ap-7, 0x1.8922e0b26595bp-7, 0x1.8ff4a73188654p-7, 0x1.959ea13ec80a8p-7, 0x1.9a2375c978c94p-7, 0x1.9d85b12a92461p-7, 0x1.9fc7cdc3108bap-7, 0x1.a0ec3c1886209p-7, 0x1.a0f56a6c5eae5p-7, 0x1.9fe5cbcb53463p-7, 0x1.9dbfde9406467p-7, 0x1.9a8632743fc33p-7, 0x1.963b6ddd52f8p-7, 0x1.90e252f12756bp-7, 0x1.8a7dc3e9cabefp-7, 0x1.8310c6fe755fcp-7, 0x1.7a9e89c901171p-7, 0x1.712a642fbfc61p-7, 0x1.66b7dad7c4defp-7, 0x1.5b4aa12436846p-7, 0x1.4ee69ac774466p-7, 0x1.418fdceb1312ap-7, 0x1.334aaef3fd719p-7, 0x1.241b8ae8256d7p-7, 0x1.14071d7b3c408p-7, 0x1.031245c7f5138p-7, 0x1.e2842976d2cacp-8, 0x1.bd37987070c32p-8, 0x1.9649bbedd15bap-8, 0x1.6dc5d451d1c2fp-8, 0x1.43b77bc737728p-8, 0x1.182aa2b1367e5p-8, 0x1.d6571781b53f6p-9, 0x1.798d8f723687dp-9, 0x1.1a1261d649f49p-9, 0x1.6fff99d05cb7ap-10, 0x1.4dc23a29b2cf4p-11, -0x1.380260201dbb5p-13, -0x1.f2dacac54e1b5p-11, -0x1.d02e32f69dc0ep-10, -0x1.558507558ab74p-9, -0x1.c4e3df4c0b7fep-9, -0x1.1b0b62d54c252p-8, -0x1.548055958f5dp-8, -0x1.8ec22c0ed40bp-8, -0x1.c9c23bbfaef7cp-8, -0x1.02b8e87db2ec5p-7, -0x1.20e11a2af9d0ep-7, -0x1.3f5257fd05d7fp-7, -0x1.5e054a728331dp-7, -0x1.7cf2a002d25e8p-7, -0x1.9c130f9d1eaa5p-7, -0x1.bb5f5b15d7934p-7, -0x1.dad051813b0b4p-7, -0x1.fa5ed179e1f2dp-7, -0x1.0d01e5a9300dfp-6, -0x1.1cdc219897fd9p-6, -0x1.2cbaa98b149d4p-6, -0x1.3c9a1664767d5p-6, -0x1.4c770dd7eb983p-6, -0x1.5c4e434791093p-6, -0x1.6c1c7897f663bp-6, -0x1.7bde7ef791f7p-6, -0x1.8b91379a0d5d9p-6, -0x1.9b31946767862p-6, -0x1.aabc989f085e8p-6, -0x1.ba2f596ec83a8p-6, -0x1.c986fe7e19692p-6, -0x1.d8c0c26d723b6p-6, -0x1.e7d9f34a28bc8p-6, -0x1.f6cff2f6e1308p-6, -0x1.02d01bc46adb2p-5, -0x1.0a2425cd13cdcp-5, -0x1.1162e748c2d6fp-5, -0x1.188b3a6fb7a7fp-5, -0x1.1f9c0418a86b1p-5, -0x1.269433cd69f9dp-5, -0x1.2d72c3dacde6p-5, -0x1.3436b95be797fp-5, -0x1.3adf2440dc0b7p-5, -0x1.416b1f51698e4p-5, -0x1.47d9d02b5597ep-5, -0x1.4e2a673ce1cdp-5, -0x1.545c1fbb7a7f9p-5, -0x1.5a6e3f96c3f6ap-5, -0x1.6060176830b64p-5, -0x1.6631025f54db5p-5, -0x1.6be0662b1418p-5, -0x1.716db2dfe2431p-5, -0x1.76d862db3515fp-5, -0x1.7c1ffaa458022p-5, -0x1.814408cabcdaap-5, -0x1.864425c2019d5p-5, -0x1.8b1ff3bbc7822p-5, -0x1.8fd71e7f85887p-5, -0x1.94695b407d90fp-5, -0x1.98d66871f78cep-5, -0x1.9d1e0d99e37bap-5, -0x1.a1401b220457ap-5, -0x1.a53c6a27cb5a7p-5, -0x1.a912dc4af8009p-5, -0x1.acc35b7b2e0eap-5, -0x1.b04dd9c491134p-5, -0x1.b3b2511b90acbp-5, -0x1.b6f0c327f12e9p-5, -0x1.ba09390f3db05p-5, -0x1.bcfbc33eaf21cp-5, -0x1.bfc87934a75afp-5, -0x1.c26f7949de6afp-5, -0x1.c4f0e87a4dc02p-5, -0x1.c74cf22dfba6bp-5, -0x1.c983c801b6f1bp-5, -0x1.cb95a18fd682dp-5, -0x1.cd82bc391064fp-5, -0x1.cf4b5aed795d4p-5, -0x1.d0efc5f5c1b49p-5, -0x1.d2704abcbcf24p-5, -0x1.d3cd3b9945118p-5, -0x1.d506ef988c31bp-5, -0x1.d61dc248e3ca8p-5, -0x1.d71213850cbdfp-5, -0x1.d7e4474018ba5p-5, -0x1.d894c551e503ap-5, -0x1.d923f944430c4p-5, -0x1.d9925220ccc11p-5, -0x1.d9e0423f77e27p-5, -0x1.da0e3f15ecfd5p-5, -0x1.da1cc107a8b3dp-5, -0x1.da0c4336f4b3cp-5, -0x1.d9dd4356b3c89p-5, -0x1.d990417d129ffp-5, -0x1.d925bff719624p-5, -0x1.d89e431d26912p-5, -0x1.d7fa512857645p-5, -0x1.d73a7208e2ec5p-5, -0x1.d65f2f3d6746ap-5, -0x1.d56913ab3154ep-5, -0x1.d458ab777bcd3p-5, -0x1.d32e83e1aa8fbp-5, -0x1.d1eb2b1e82f5ep-5, -0x1.d08f30345fb38p-5, -0x1.cf1b22d8620b7p-5, -0x1.cd8f934ca3dcbp-5, -0x1.cbed123f65f57p-5, -0x1.ca3430ab3c14p-5, -0x1.c8657fb8352cep-5, -0x1.c681909e053e2p-5, -0x1.c488f48724049p-5, -0x1.c27c3c74e7425p-5, -0x1.c05bf92492f6p-5, -0x1.be28baf561447p-5, -0x1.bbe311cf7948fp-5, -0x1.b98b8d0bd743cp-5, -0x1.b722bb5d22a04p-5, -0x1.b4a92ab970c65p-5, -0x1.b21f6844ef148p-5, -0x1.af86003d6e62ep-5, -0x1.acdd7de6d5ae9p-5, -0x1.aa266b7870529p-5, -0x1.a761520b13eedp-5, -0x1.a48eb98821dbcp-5, -0x1.a1af289955be4p-5, -0x1.9ec3249969531p-5, -0x1.9bcb31857df69p-5, -0x1.98c7d1ef51e47p-5, -0x1.95b986f035925p-5, -0x1.92a0d01cc2349p-5, -0x1.8f7e2b794cd8dp-5, -0x1.8c52156f0eb44p-5, -0x1.891d08c1ff201p-5, -0x1.85df7e875eeap-5, -0x1.8299ee1ceac56p-5, -0x1.7f4ccd20b5901p-5, -0x1.7bf88f69a4714p-5, -0x1.789da70086d54p-5, -0x1.753c8419c939cp-5, -0x1.71d5950fbc73cp-5, -0x1.6e69465d70628p-5, -0x1.6af8029a18e7dp-5, -0x1.67823274fab0cp-5, -0x1.64083cb1e1366p-5, -0x1.608a86260e212p-5, -0x1.5d0971b5ac9d2p-5, -0x1.59856051b5ap-5, -0x1.55feb0f64c28bp-5, -0x1.5275c0a98a711p-5, -0x1.4eeaea7ab8523p-5, -0x1.4b5e8781efca2p-5, -0x1.47d0eee020262p-5, -0x1.444275bf76dc6p-5, -0x1.40b36f5425a27p-5, -0x1.3d242cdd7e033p-5, -0x1.3994fda76c4e8p-5, -0x1.36062f0c39413p-5, -0x1.32780c76a4572p-5, -0x1.2eeadf6448009p-5, -0x1.2b5eef684057p-5, -0x1.27d4822e22be8p-5, -0x1.244bdb7d2a4e2p-5, -0x1.20c53d3baf836p-5, -0x1.1d40e772d516dp-5, -0x1.19bf18526e848p-5, -0x1.16400c351fedap-5, -0x1.12c3fda4ae89p-5, -0x1.0f4b255e82aedp-5, -0x1.0bd5ba585964bp-5, -0x1.0863f1c518648p-5, -0x1.04f5ff19db7d1p-5, -0x1.018c14131498bp-5, -0x1.fc4cc173babefp-6, -0x1.f58a26d2c7e3bp-6, -0x1.eed0b1a8f0b66p-6, -0x1.e820b8166aecap-6, -0x1.e17a8d01886aep-6, -0x1.dade8022783bdp-6, -0x1.d44cde0f23adfp-6, -0x1.cdc5f0473d673p-6, -0x1.c749fd407d81dp-6, -0x1.c0d94872e99fep-6, -0x1.ba7412654736ep-6, -0x1.b41a98b9b10b2p-6, -0x1.adcd163a2709dp-6, -0x1.a78bc2e54f64fp-6, -0x1.a156d3fb3376bp-6, -0x1.9b2e7c0a10588p-6, -0x1.9512eafb2e841p-6, -0x1.8f044e1fcb0b5p-6, -0x1.8902d03df2bdfp-6, -0x1.830e999d704edp-6, -0x1.7d27d014adce9p-6, -0x1.774e97159c7bap-6, -0x1.71830fba8c631p-6, -0x1.6bc558d3007c4p-6, -0x1.66158ef0815cfp-6, -0x1.6073cc734ed9cp-6, -0x1.5ae029971ce9fp-6, -0x1.555abc7fa922p-6, -0x1.4fe3994552ffdp-6, -0x1.4a7ad20189fd9p-6, -0x1.452076db3fddap-6, -0x1.3fd496132f55fp-6, -0x1.3a973c10182c7p-6, -0x1.3568736ad608ap-6, -0x1.304844fa6cb6bp-6, -0x1.2b36b7dfe3281p-6, -0x1.2633d192176b9p-6, -0x1.213f95e960ae6p-6, -0x1.1c5a072b232abp-6, -0x1.1783261530b77p-6, -0x1.12baf1e91a91ap-6, -0x1.0e01687753ff1p-6, -0x1.0956862a3e6dap-6, -0x1.04ba4610fbdd9p-6, -0x1.002ca1ea3babdp-6, -0x1.f75b245d879a8p-7, -0x1.ee7a1c37dac12p-7, -0x1.e5b6177bd7887p-7, -0x1.dd0efff3e69cdp-7, -0x1.d484bd3071395p-7, -0x1.cc17349b871cep-7, -0x1.c3c6498c506cep-7, -0x1.bb91dd5a0ac7ap-7, -0x1.b379cf6ecb3b5p-7, -0x1.ab7dfd59f9ddcp-7, -0x1.a39e42e25f9e5p-7, -0x1.9bda7a180004cp-7, -0x1.94327b657f89p-7, -0x1.8ca61da16119ep-7, -0x1.8535361ed1a4fp-7, -0x1.7ddf98be2ea83p-7, -0x1.76a517fd3df3bp-7, -0x1.6f85850709effp-7, -0x1.6880afc3734dfp-7, -0x1.619666e67115bp-7, -0x1.5ac677ff0a56ap-7, -0x1.5410af85db084p-7, -0x1.4d74d8eb80fdep-7, -0x1.46f2bea67da97p-7, -0x1.408a2a40ff86p-7, -0x1.3a3ae46624662p-7, -0x1.3404b4ef2cfb5p-7, -0x1.2de762f025755p-7, -0x1.27e2b4c46ba5ep-7, -0x1.21f6701adb36ap-7, -0x1.1c225a019cb37p-7, -0x1.166636f1cc78cp-7, -0x1.10c1cadabff65p-7, -0x1.0b34d92cfa4c8p-7, -0x1.05bf24e4f6b1fp-7, -0x1.006070958bd38p-7, -0x1.f630fce422d7ep-8, -0x1.ebce20b0a85ap-8, -0x1.e197cfb43c45fp-8, -0x1.d78d8c8d3b7a3p-8, -0x1.cdaed966ed20ep-8, -0x1.c3fb380b1a498p-8, -0x1.ba7229f33e7dp-8, -0x1.b1133059263c9p-8, -0x1.a7ddcc470423fp-8, -0x1.9ed17ea70d933p-8, -0x1.95edc852b63cbp-8, -0x1.8d322a214871ap-8, -0x1.849e24f60b6fp-8, -0x1.7c3139ce1b23p-8, -0x1.73eae9cda1317p-8, -0x1.6bcab64cac4c8p-8, -0x1.63d020e38191ep-8, -0x1.5bfaab76baad8p-8, -0x1.5449d842b01fbp-8, -0x1.4cbd29e69e449p-8, -0x1.4554236f627efp-8, -0x1.3e0e4861c19a5p-8, -0x1.36eb1cc45d1cap-8, -0x1.2fea25293848bp-8, -0x1.290ae6b6dbbd3p-8, -0x1.224ce731284acp-8, -0x1.1bafad01b4fa2p-8, -0x1.1532bf3feedep-8, -0x1.0ed5a5b8cb1dcp-8, -0x1.0897e8f621771p-8, -0x1.02791245c88ap-8, -0x1.f8f15780900fep-9, -0x1.ed2c809e610fdp-9, -0x1.e1a2b766a0e6ep-9, -0x1.d6531514c3b0cp-9, -0x1.cb3cb4a93ca97p-9, -0x1.c05eb2f3ccb9bp-9, -0x1.b5b82e9d6dee4p-9, -0x1.ab48483178c71p-9, -0x1.a10e22268cba1p-9, -0x1.9708e0e6c2e02p-9, -0x1.8d37aad74ff58p-9, -0x1.8399a85fd5489p-9, -0x1.7a2e03f0fcf43p-9, -0x1.70f3ea0af8d43p-9, -0x1.67ea8942f4f28p-9, -0x1.5f111248c9015p-9, -0x1.5666b7ebca57dp-9, -0x1.4deaaf1f1762dp-9, -0x1.459c2efdfcfb5p-9, -0x1.3d7a70cf74ed7p-9, -0x1.3584b00978967p-9, -0x1.2dba2a540ae3dp-9, -0x1.261a1f8b972fdp-9, -0x1.1ea3d1c3591efp-9, -0x1.17568547171afp-9, -0x1.1031809cb1745p-9, -0x1.09340c855ad22p-9, -0x1.025d73fea1e89p-9, -0x1.f75a08856b2d6p-10, -0x1.ea44199227f5p-10, -0x1.dd77be8ca8cb3p-10, -0x1.d0f39f5807cc6p-10, -0x1.c4b66850184f1p-10, -0x1.b8beca483144ep-10, -0x1.ad0b7a88dac0bp-10, -0x1.a19b32cd8ea0ep-10, -0x1.966cb141c514fp-10, -0x1.8b7eb87d3f7b3p-10, -0x1.80d00f8112a5ap-10, -0x1.765f81b269e7ap-10, -0x1.6c2bded6f3bacp-10, -0x1.6233fb0f40979p-10, -0x1.5876aed1d1733p-10, -0x1.4ef2d6e557116p-10, -0x1.45a7545ad411ap-10, -0x1.3c930c874c244p-10, -0x1.33b4e8fd2e916p-10, -0x1.2b0bd78576712p-10, -0x1.2296ca18cf641p-10, -0x1.1a54b6d7e581p-10, -0x1.12449803c0841p-10, -0x1.0a656bf6682ddp-10, -0x1.02b6351a2c63bp-10, -0x1.f66bf3c4170aep-11, -0x1.e7c789811bcf5p-11, -0x1.d97d483f42e5bp-11, -0x1.cb8b54af21db3p-11, -0x1.bdefdb4c0976ep-11, -0x1.b0a91049ef205p-11, -0x1.a3b52f82ad62ep-11, -0x1.97127c630c98ep-11, -0x1.8abf41d82e72p-11, -0x1.7eb9d23b9cab2p-11, -0x1.730087402ccbbp-11, -0x1.6791c1de48102p-11, -0x1.5c6bea3f8ef29p-11, -0x1.518d6fab79209p-11, -0x1.46f4c87275827p-11, -0x1.3ca071da23bc6p-11, -0x1.328ef0088bda9p-11, -0x1.28becdef8f2f3p-11, -0x1.1f2e9d3864004p-11, -0x1.15dcf62ed141p-11, -0x1.0cc877aca0ca1p-11, -0x1.03efc70459d2bp-11, -0x1.f6a31fd95ea98p-12, -0x1.e5d908d73a4d5p-12, -0x1.d57eb9835c21dp-12, -0x1.c591aea94f485p-12, -0x1.b60f7135ce19dp-12, -0x1.a6f5960da2166p-12, -0x1.9841bde281851p-12, -0x1.89f1950b41284p-12, -0x1.7c02d358d48bp-12, -0x1.6e733bedc7832p-12, -0x1.61409d14d190ep-12, -0x1.5468d01794edcp-12, -0x1.47e9b915af2p-12, -0x1.3bc146dbfaa4p-12, -0x1.2fed72bc8193ep-12, -0x1.246c406559163p-12, -0x1.193bbdb8e515fp-12, -0x1.0e5a02a5b37f4p-12, -0x1.03c530ff05522p-12, -0x1.f2f6e8ab06cafp-13, -0x1.def6039f0189dp-13, -0x1.cb843005a85f6p-13, -0x1.b89dfd9b3f8a5p-13, -0x1.a6400e60915fcp-13, -0x1.9467164f6ea55p-13, -0x1.830fdb0d43202p-13, -0x1.723733a3681d7p-13, -0x1.61da08329ce38p-13, -0x1.51f551aa085bbp-13, -0x1.4286197f5cc4bp-13, -0x1.3389796567dfp-13, -0x1.24fc9b05bd88dp-13, -0x1.16dcb7b98ce14p-13, -0x1.09271843d3ccfp-13, -0x1.f7b22917bc484p-14, -0x1.dde026b1c300ep-14, -0x1.c4d3141c9a614p-14, -0x1.ac85f8d26d985p-14, -0x1.94f3f878eff5dp-14, -0x1.7e18526208f15p-14, -0x1.67ee6108bb57p-14, -0x1.52719991019ap-14, -0x1.3d9d8b496b9bdp-14, -0x1.296ddf2edaddfp-14, -0x1.15de5770c5a1p-14, -0x1.02eacef773238p-14, -0x1.e11e71d73e2afp-15, -0x1.bd8f40818e81fp-15, -0x1.9b204e7e49c7p-15, -0x1.79ca0e218823p-15, -0x1.59851e9e457f1p-15, -0x1.3a4a4b2587c03p-15, -0x1.1c128a0c51335p-15, -0x1.fdadf7d5fdfb4p-16, -0x1.c521d59aa36edp-16, -0x1.8e7392adf1ffcp-16, -0x1.599663f0a05b5p-16, -0x1.267dcc3901c57p-16, -0x1.ea3b3589c877bp-17, -0x1.8ad3d33f7d87fp-17, -0x1.2eae38463c74dp-17, -0x1.ab6775b4fc267p-18, -0x1.ff38f72fa2b2cp-19, -0x1.67416c4a0210bp-20, 0x1.189c15ca22db1p-20, 0x1.c0e56f88ec02cp-19, 0x1.753acb7181ddfp-18, 0x1.025329a8fe05ep-17, 0x1.476db5721ebdap-17, 0x1.89ff9dd413e84p-17, 0x1.ca1b012a244cdp-17, 0x1.03e8c5005e631p-16, 0x1.219a38c7b7772p-16, 0x1.3e2a412358c15p-16, 0x1.59a10d196e76dp-16, 0x1.740696b32aa3ep-16, 0x1.8d62a42a0f9edp-16, 0x1.a5bcc910ed70bp-16, 0x1.bd1c67730c6e3p-16, 0x1.d388b0f61b6c6p-16, 0x1.e908a7f033c1dp-16, 0x1.fda3207a4e79bp-16, 0x1.08af60bfe5b3ep-15, 0x1.122102e3d850dp-15, 0x1.1b299e7ace7ecp-15, 0x1.23cc4646fa88bp-15, 0x1.2c0bf876e2b83p-15, 0x1.33eb9f1f6594ap-15, 0x1.3b6e10b55ab18p-15, 0x1.429610833ceb3p-15, 0x1.49664f1cbb168p-15, 0x1.4fe16ad15bfacp-15, 0x1.5609f01a4d119p-15, 0x1.5be25a08520f5p-15, 0x1.616d12af2db5p-15, 0x1.66ac738d35eccp-15, 0x1.6ba2c5f24a755p-15, 0x1.705243658c55ap-15, 0x1.74bd16069b99ap-15, 0x1.78e558ef0f6ccp-15, 0x1.7ccd188f9884cp-15, 0x1.8076530dc77a7p-15, 0x1.83e2f89e68b7cp-15, 0x1.8714ebdddd2f3p-15, 0x1.8a0e02277c472p-15, 0x1.8cd003e978fa8p-15, 0x1.8f5cacf98b542p-15, 0x1.91b5ace4c000fp-15, 0x1.93dca740291p-15, 0x1.95d333f69ec6fp-15, 0x1.979adf93a3ff3p-15, 0x1.99352b8fe766ep-15, 0x1.9aa38e98b9202p-15, 0x1.9be774d802706p-15, 0x1.9d024038d07f6p-15, 0x1.9df548acc7d46p-15, 0x1.9ec1dc6da762p-15, 0x1.9f69403e6820ep-15, 0x1.9fecafab6e281p-15, 0x1.a04d5d486016cp-15, 0x1.a08c72ec5898dp-15, 0x1.a0ab11ed85476p-15, 0x1.a0aa535ae4eadp-15, 0x1.a08b48348df39p-15, 0x1.a04ef9a3eadddp-15, 0x1.9ff669301d30bp-15, 0x1.9f8290f3b8edep-15, 0x1.9ef463d01959ep-15, 0x1.9e4ccd9e54e19p-15, 0x1.9d8cb361915c6p-15, 0x1.9cb4f3766d116p-15, 0x1.9bc665c0ac957p-15, 0x1.9ac1dbd9a7f9p-15, 0x1.99a8213c5fb8cp-15, 0x1.9879fb7082be5p-15, 0x1.97382a353c892p-15, 0x1.95e367a9228ccp-15, 0x1.947c687364614p-15, 0x1.9303dbea6cf22p-15, 0x1.917a6c3a5fa64p-15, 0x1.8fe0be899f49bp-15, 0x1.8e37731d32bdap-15, 0x1.8c7f257ca73b6p-15, 0x1.8ab86c9383a7bp-15, 0x1.88e3dad3918c2p-15, 0x1.8701fe551c5e7p-15, 0x1.851360f66876p-15, 0x1.8318887b58d73p-15, 0x1.8111f6ab1339fp-15, 0x1.7f00296d32eeap-15, 0x1.7ce39ae73d55ep-15, 0x1.7abcc19781931p-15, 0x1.788c10706002ep-15, 0x1.7651f6f2d824dp-15, 0x1.740ee14840263p-15, 0x1.71c3385ae0e11p-15, 0x1.6f6f61ee56682p-15, 0x1.6d13c0b74db9bp-15, 0x1.6ab0b472a8f69p-15, 0x1.684699fb294bdp-15, 0x1.65d5cb5fe6f21p-15, 0x1.635e9ff8e9457p-15, 0x1.60e16c7c1f6c8p-15, 0x1.5e5e8310c7fe5p-15, 0x1.5bd633638de32p-15, 0x1.5948cab8b11f9p-15, 0x1.56b693feb0402p-15, 0x1.541fd7e05a15ap-15, 0x1.5184dcd57a0a4p-15, 0x1.4ee5e73447bd2p-15, 0x1.4c4339415577fp-15, 0x1.499d133f8186ap-15, 0x1.46f3b37f548f7p-15, 0x1.4447566e0f936p-15, 0x1.419836a45fdb6p-15, 0x1.3ee68cf3c9f51p-15, 0x1.3c32907554fa8p-15, 0x1.397c7695c4c0fp-15, 0x1.36c473235a388p-15, 0x1.340ab859d4adbp-15, 0x1.314f76eec0dd7p-15, 0x1.2e92de1d316fep-15, 0x1.2bd51bb158d29p-15, 0x1.29165c1326272p-15, 0x1.2656ca51a3ab2p-15, 0x1.2396902cd456bp-15, 0x1.20d5d6202bae9p-15, 0x1.1e14c36c0a77fp-15, 0x1.1b537e1fa83a6p-15, 0x1.18922b21c9caep-15, 0x1.15d0ee3a103d7p-15, 0x1.130fea193ab4dp-15, 0x1.104f4062174acp-15, 0x1.0d8f11b0df5ebp-15, 0x1.0acf7da3f2cfdp-15, 0x1.0810a2e299027p-15, 0x1.05529f251e4bcp-15, 0x1.02958f3b5dd7cp-15, 0x1.ffb31e286ac57p-16, 0x1.fa3d738741befp-16, 0x1.f4ca53137b907p-16, 0x1.ef59efb1e8eb4p-16, 0x1.e9ec7ab799965p-16, 0x1.e48223f637c24p-16, 0x1.df1b19c71fd36p-16, 0x1.d9b78916938ep-16, 0x1.d4579d6e00305p-16, 0x1.cefb80fea96ep-16, 0x1.c9a35cac08c2ep-16, 0x1.c44f58145583bp-16, 0x1.beff999b5551fp-16, 0x1.b9b44671d3cbfp-16, 0x1.b46d82a0085bcp-16, 0x1.af2b710ca905dp-16, 0x1.a9ee3385e0009p-16, 0x1.a4b5eac91fa0bp-16, 0x1.9f82b68a94fdfp-16, 0x1.9a54b57ca33d5p-16, 0x1.952c05572d239p-16, 0x1.9008c2de41916p-16, 0x1.8aeb09e94b24dp-16, 0x1.85d2f568e1a76p-16, 0x1.80c09f6d75198p-16, 0x1.7bb4212d708d8p-16, 0x1.76ad930af1a4fp-16, 0x1.71ad0c9930125p-16, 0x1.6cb2a4a237f7ep-16, 0x1.67be712c5da9ap-16, 0x1.62d0877f58ccap-16, 0x1.5de8fc2876p-16, 0x1.5907e30097216p-16, 0x1.542d4f2fa8e32p-16, 0x1.4f5953320f597p-16, 0x1.4a8c00dc4109p-16, 0x1.45c5695f5e294p-16, 0x1.41059d4d10e06p-16, 0x1.3c4cac9b83d52p-16, 0x1.379aa6a931d7ep-16, 0x1.32ef9a4093adap-16, 0x1.2e4b959b6d4c2p-16, 0x1.29aea6667d162p-16, 0x1.2518d9c4a22dep-16, 0x1.208a3c5272793p-16, 0x1.1c02da28c325ep-16, 0x1.1782bedfeeb15p-16, 0x1.1309f592beb47p-16, 0x1.0e9888e15abacp-16, 0x1.0a2e82f3ce9d8p-16, 0x1.05cbed7ccd666p-16, 0x1.0170d1bc16854p-16, 0x1.fa3a71022393p-17, 0x1.f1a2545af4fa6p-17, 0x1.e9195d6e20ebcp-17, 0x1.e09f9b54f275dp-17, 0x1.d8351c5a149d7p-17, 0x1.cfd9edfe2323bp-17, 0x1.c78e1cfbac9fap-17, 0x1.bf51b54b41905p-17, 0x1.b724c22800d03p-17, 0x1.af074e12090abp-17, 0x1.a6f962d334bebp-17, 0x1.9efb0981fc1d1p-17, 0x1.970c4a8577226p-17, 0x1.8f2d2d9874c7ep-17, 0x1.875db9ccc0531p-17, 0x1.7f9df58ea1bafp-17, 0x1.77ede6a77496p-17, 0x1.704d92413125bp-17, 0x1.68bcfce8c54bbp-17, 0x1.613c2a91d5cap-17, 0x1.59cb1e9896f55p-17, 0x1.5269dbc5360bap-17, 0x1.4b18644e47347p-17, 0x1.43d6b9db23a7p-17, 0x1.3ca4dd87397e7p-17, 0x1.3582cfe387e6fp-17, 0x1.2e7090f9b7761p-17, 0x1.276e204e40f9cp-17, 0x1.207b7ce2f748ep-17, 0x1.1998a538f5257p-17, 0x1.12c597536b13p-17, 0x1.0c0250b907ea1p-17, 0x1.054ece76bc98p-17, 0x1.fd561a42e228cp-18, 0x1.f02e11b102bb8p-18, 0x1.e3257a8ee5bb8p-18, 0x1.d63c4b500166cp-18, 0x1.c972798851b6p-18, 0x1.bcc7f9f0705e3p-18, 0x1.b03cc06825fa7p-18, 0x1.a3d0bffc1cc85p-18, 0x1.9783eae741bcbp-18, 0x1.8b56329863efdp-18, 0x1.7f4787b4e532cp-18, 0x1.7357da1b901c5p-18, 0x1.678718e9c42acp-18, 0x1.5bd5327d15648p-18, 0x1.504214778d474p-18, 0x1.44cdabc35f593p-18, 0x1.3977e4959a9bp-18, 0x1.2e40aa70c9f95p-18, 0x1.2327e829de22dp-18, 0x1.182d87e98e539p-18, 0x1.0d517330998ep-18, 0x1.029392da9f8a3p-18, 0x1.efe79e412aae8p-19, 0x1.dae41f397a294p-19, 0x1.c61c76993e6d4p-19, 0x1.b190712ae0214p-19, 0x1.9d3fda8ab322bp-19, 0x1.892a7d2ee5f84p-19, 0x1.7550226d2701ep-19, 0x1.61b0927f11cb2p-19, 0x1.4e4b94888815fp-19, 0x1.3b20ee9e46462p-19, 0x1.283065c97db75p-19, 0x1.1579be0f2c004p-19, 0x1.02fcba745ec3dp-19, 0x1.e1723a0666de4p-20, 0x1.bd5d4da554da5p-20, 0x1.99ba3012a10ep-20, 0x1.76885fc5cdeb9p-20, 0x1.53c7596d4abd2p-20, 0x1.317697f917ff5p-20, 0x1.0f9594a31436bp-20, 0x1.dc478df1a837cp-21, 0x1.9a4149d0af9bfp-21, 0x1.5917458ffd4e2p-21, 0x1.18c866be6cd39p-21, 0x1.b2a71fd9d1bfbp-22, 0x1.356f4166326fp-22, 0x1.73cdd730a8591p-23, 0x1.002f492db83a8p-24, -0x1.c122e0ae2465dp-25, -0x1.5d57ecd845733p-23, -0x1.238d58bf39e1ap-22, -0x1.96cae40f8eb08p-22, -0x1.04337f201eb4bp-21, -0x1.3c3208f5b8a05p-21, -0x1.7362471da60a6p-21, -0x1.a9c573641b84dp-21, -0x1.df5cc9ba5b985p-21, -0x1.0a14c410f52c2p-20, -0x1.2416774ffc2d6p-20, -0x1.3db41f95f43b1p-20, -0x1.56ee5ecb0f45ap-20, -0x1.6fc5d7bf6d6dep-20, -0x1.883b2e2256174p-20, -0x1.a04f067676c8p-20, -0x1.b802060cc570ep-20, -0x1.cf54d2fb755c6p-20, -0x1.e64814152dd52p-20, -0x1.fcdc70df3c3cdp-20, -0x1.098948c6bc4aap-19, -0x1.14758f7baf23bp-19, -0x1.1f336148dafd4p-19, -0x1.29c31331d7c0dp-19, -0x1.3424fa808387dp-19, -0x1.3e596cc206cc5p-19, -0x1.4860bfc218b01p-19, -0x1.523b498782a08p-19, -0x1.5be9604f8579dp-19, -0x1.656b5a8afa8a2p-19, -0x1.6ec18edafcad6p-19, -0x1.77ec540ca0733p-19, -0x1.80ec01155aefcp-19, -0x1.89c0ed0fa513fp-19, -0x1.926b6f375e75p-19, -0x1.9aebdee6a3f2ep-19, -0x1.a3429392c330dp-19, -0x1.ab6fe4c767ce5p-19, -0x1.b3742a24670cp-19, -0x1.bb4fbb5a644adp-19, -0x1.c302f026c0894p-19, -0x1.ca8e2051b3dabp-19, -0x1.d1f1a3a9fce7fp-19, -0x1.d92dd2020567bp-19, -0x1.e043032db7908p-19, -0x1.e7318efdc6696p-19, -0x1.edf9cd3d7283cp-19, -0x1.f49c15afe37d6p-19, -0x1.fb18c00cb6974p-19, -0x1.00b811fee091p-18, -0x1.03d14c8db676fp-18, -0x1.06d83b751f181p-18, -0x1.09cd0a6bf9af1p-18, -0x1.0cafe51caec1p-18, -0x1.0f80f7236d521p-18, }}, 
      {{-0x1.d5a0df591ffb8p-3, -0x1.d79c0017b4428p-3, -0x1.dada874cf5315p-3, -0x1.df4768156d23ep-3, -0x1.e4c6ed15e3203p-3, -0x1.eb381f7ef53f4p-3, -0x1.f2763c35ffdf4p-3, -0x1.fa5a1ddae8df5p-3, -0x1.015dc519f682ep-2, -0x1.05b92b9f175a8p-2, -0x1.0a2bb090bd93cp-2, -0x1.0ea2a76cefca5p-2, -0x1.130c939db5432p-2, -0x1.17595d54fd6fdp-2, -0x1.1b7a73b15fe12p-2, -0x1.1f62df5838116p-2, -0x1.2307489108e6ap-2, -0x1.265df3971489fp-2, -0x1.295eb5691d402p-2, -0x1.2c02e2f316c53p-2, -0x1.2e453c0e53f8dp-2, -0x1.3021d387949a3p-2, -0x1.3195f51efff6ep-2, -0x1.32a00a49d0982p-2, -0x1.333f7e5c8ba3cp-2, -0x1.3374a2ab4868fp-2, -0x1.33409318f50fep-2, -0x1.32a51b7c5e6ccp-2, -0x1.31a49e30ceb69p-2, -0x1.3041fc17a7badp-2, -0x1.2e807e4060c1p-2, -0x1.2c63c15ca9459p-2, -0x1.29efa317e56c6p-2, -0x1.2728315b8a02p-2, -0x1.24119b7dea28dp-2, -0x1.20b0254ea7f43p-2, -0x1.1d081beb6a881p-2, -0x1.191dcc40f4316p-2, -0x1.14f57b17bd32ep-2, -0x1.10935e8839dfcp-2, -0x1.0bfb98b134353p-2, -0x1.0732338a68da3p-2, -0x1.023b1dae4d0e5p-2, -0x1.fa344fef1fc38p-3, -0x1.efa607a24ee31p-3, -0x1.e4d28434fdf4ap-3, -0x1.d9c0a508b08b9p-3, -0x1.ce77069c3bf03p-3, -0x1.c2fc029d0a47ap-3, -0x1.b755b06ae3fe5p-3, -0x1.ab89e5f00668ep-3, -0x1.9f9e38b48b171p-3, -0x1.9397ff192f79cp-3, -0x1.877c51a9cc8eep-3, -0x1.7b500c7b9dc5dp-3, -0x1.6f17d08ebbaf3p-3, -0x1.62d8052cdfc8p-3, -0x1.5694d941d164ap-3, -0x1.4a5244ab8c81cp-3, -0x1.3e140981b569bp-3, -0x1.31ddb554db5cdp-3, -0x1.25b2a266c7c6dp-3, -0x1.1995f8dda2851p-3, -0x1.0d8aaff3d7d39p-3, -0x1.01938f26d5cb7p-3, -0x1.eb665ecd39fb6p-4, -0x1.d3d7f88ff3bc5p-4, -0x1.bc806a75f57c8p-4, -0x1.a563dd8ded7d9p-4, -0x1.8e86279a450c8p-4, -0x1.77eacda4a6858p-4, -0x1.619506a0b4728p-4, -0x1.4b87be1de32a9p-4, -0x1.35c5970806d18p-4, -0x1.2050ee758e02dp-4, -0x1.0b2bde81f4066p-4, -0x1.ecb082651e707p-5, -0x1.c3af66c72eecap-5, -0x1.9b572f75fb1edp-5, -0x1.73aa333d01bd6p-5, -0x1.4caa6054a6185p-5, -0x1.2659424b1e5f8p-5, -0x1.00b807e387899p-5, -0x1.b78f11cb7fb85p-6, -0x1.6f1097b39668p-6, -0x1.27f5175394624p-6, -0x1.c478f49743e47p-7, -0x1.3bcc5195301ffp-7, -0x1.6bc4500fc383fp-8, -0x1.95bc051bc9942p-10, 0x1.36dd881cf2b3bp-9, 0x1.96dde17544196p-8, 0x1.46743d8498468p-7, 0x1.beccea86aded8p-7, 0x1.1a3f8cca03208p-6, 0x1.53c8ae547d5c6p-6, 0x1.8c05539fad428p-6, 0x1.c2f92040206aep-6, 0x1.f8a7db29c5abap-6, 0x1.168ab452d8d3ap-5, 0x1.3022e25a5ebp-5, 0x1.491e7eee8e65ep-5, 0x1.617f98305f558p-5, 0x1.794840ecde8p-5, 0x1.907a8e9ceb55fp-5, 0x1.a7189794d0c78p-5, 0x1.bd247161e31cep-5, 0x1.d2a02f5443bb4p-5, 0x1.e78de132c0b39p-5, 0x1.fbef9216c3275p-5, 0x1.07e3a3b716a29p-4, 0x1.118b80108231cp-4, 0x1.1af059ec5e3p-4, 0x1.241329337efcap-4, 0x1.2cf4e1a4e00c2p-4, 0x1.359672a54e179p-4, 0x1.3df8c71ba206dp-4, 0x1.461cc5588919ep-4, 0x1.4e034f08de66p-4, 0x1.55ad41319f88cp-4, 0x1.5d1b74348fc72p-4, 0x1.644ebbdca5991p-4, 0x1.6b47e7716c303p-4, 0x1.7207c1d084ce8p-4, 0x1.788f118c85b68p-4, 0x1.7ede99107cee5p-4, 0x1.84f716c763382p-4, 0x1.8ad94546de1acp-4, 0x1.9085db7cb24c8p-4, 0x1.95fd8cde5c39p-4, 0x1.9b41099a3fc9ep-4, 0x1.a050fec9ff619p-4, 0x1.a52e16a579422p-4, 0x1.a9d8f8b6171c3p-4, 0x1.ae524a09f824fp-4, 0x1.b29aad66b9b6p-4, 0x1.b6b2c37b7ae5cp-4, 0x1.ba9b2b11df461p-4, 0x1.be54813dda422p-4, 0x1.c1df618bfcbbdp-4, 0x1.c53c662e237c2p-4, 0x1.c86c282651b01p-4, 0x1.cb6f3f6fab20dp-4, 0x1.ce4643254ed35p-4, 0x1.d0f1c9a71e5e6p-4, 0x1.d37268bc40b6ep-4, 0x1.d5c8b5b379115p-4, 0x1.d7f54581198eep-4, 0x1.d9f8acdab15f1p-4, 0x1.dbd380506681ep-4, 0x1.dd865463feae1p-4, 0x1.df11bd9d9ae1bp-4, 0x1.e076509e31eb5p-4, 0x1.e1b4a22fc9eeap-4, 0x1.e2cd475385fdfp-4, 0x1.e3c0d54d9962bp-4, 0x1.e48fe1af1d0e1p-4, 0x1.e53b025df16c5p-4, 0x1.e5c2cd9ab01ddp-4, 0x1.e627da04b8252p-4, 0x1.e66abe9c8084dp-4, 0x1.e68c12c43bdaep-4, 0x1.e68c6e3ed4036p-4, 0x1.e66c692d6638ap-4, 0x1.e62c9c0b5148ep-4, 0x1.e5cd9fa8eafcep-4, 0x1.e5500d24e73e5p-4, 0x1.e4b47de4a4029p-4, 0x1.e3fb8b8b512d1p-4, 0x1.e325cff01252ap-4, 0x1.e233e51344958p-4, 0x1.e1266512e3534p-4, 0x1.dffdea1e24461p-4, 0x1.debb0e68738eap-4, 0x1.dd5e6c1bc3576p-4, 0x1.dbe89d4a63d6bp-4, 0x1.da5a3be057609p-4, 0x1.d8b3e1944afd6p-4, 0x1.d6f627d830012p-4, 0x1.d521a7c9a29e5p-4, 0x1.d336fa2208583p-4, 0x1.d136b7269b1acp-4, 0x1.cf2176984f617p-4, 0x1.ccf7cfa3ba5dcp-4, 0x1.caba58d0f1147p-4, 0x1.c869a7f381dep-4, 0x1.c606521a7bfa3p-4, 0x1.c390eb80a31e5p-4, 0x1.c10a077ccd3cap-4, 0x1.be7238727dddap-4, 0x1.bbca0fc2b47e8p-4, 0x1.b9121dbd19ee9p-4, 0x1.b64af19160b12p-4, 0x1.b375194110afcp-4, 0x1.b0912191a75d3p-4, 0x1.ad9f95ff1a5cep-4, 0x1.aaa100aec0336p-4, 0x1.a795ea62a4465p-4, 0x1.a47eda6d49b18p-4, 0x1.a15c56a5e3f9ep-4, 0x1.9e2ee35d0219fp-4, 0x1.9af70351b2f0fp-4, 0x1.97b537a725b8bp-4, 0x1.9469ffdac1945p-4, 0x1.9115d9bac2d3p-4, 0x1.8db9415d4fff5p-4, 0x1.8a54b11811ff9p-4, 0x1.86e8a1784a84bp-4, 0x1.8375893b6b138p-4, 0x1.7ffbdd482b11ap-4, 0x1.7c7c10a81c7bcp-4, 0x1.78f69481c0af2p-4, 0x1.756bd813182a8p-4, 0x1.71dc48acb0cbep-4, 0x1.6e4851ad2cbdcp-4, 0x1.6ab05c7d437a3p-4, 0x1.6714d08c3ac98p-4, 0x1.6376134cd3821p-4, 0x1.5fd48832ab9efp-4, 0x1.5c3090b00f863p-4, 0x1.588a8c343cc5fp-4, 0x1.54e2d82a0e06ap-4, 0x1.5139cff712ffep-4, 0x1.4d8fccfb0fb29p-4, 0x1.49e5268fdf349p-4, 0x1.463a3209b9b54p-4, 0x1.428f42b7d7ebfp-4, 0x1.3ee4a9e573f05p-4, 0x1.3b3ab6db23f87p-4, 0x1.3791b6e0895b1p-4, 0x1.33e9f53e553e1p-4, 0x1.3043bb409c6fdp-4, 0x1.2c9f503979e29p-4, 0x1.28fcf983fa852p-4, 0x1.255cfa8752496p-4, 0x1.21bf94ba548c5p-4, 0x1.1e2507a72efd4p-4, 0x1.1a8d90ef63265p-4, 0x1.16f96c4ffca59p-4, 0x1.1368d3a5fe778p-4, 0x1.0fdbfef309401p-4, 0x1.0c5324623411fp-4, 0x1.08ce784d13d3bp-4, 0x1.054e2d40f4145p-4, 0x1.01d274043a18bp-4, 0x1.fcb6f737dd38dp-5, 0x1.f5d2e2a2e1d49p-5, 0x1.eef90170944d8p-5, 0x1.e829a7684c25p-5, 0x1.e16524fdca9fp-5, 0x1.daabc75da27fep-5, 0x1.d3fdd879cb6b3p-5, 0x1.cd5b9f1669af2p-5, 0x1.c6c55ed6bf947p-5, 0x1.c03b584a46cabp-5, 0x1.b9bdc8f9eb41p-5, 0x1.b34ceb75649bbp-5, 0x1.ace8f760ab1acp-5, 0x1.a692218185224p-5, 0x1.a0489bcd2388bp-5, 0x1.9a0c9575d46b1p-5, 0x1.93de3af8ba38fp-5, 0x1.8dbdb62b93fecp-5, 0x1.87ab2e4a8446ep-5, 0x1.81a6c805e06dcp-5, 0x1.7bb0a58ffb61ap-5, 0x1.75c8e6aaf0097p-5, 0x1.6fefa8b663ed5p-5, 0x1.6a2506bd4221fp-5, 0x1.646919836c59ap-5, 0x1.5ebbf7935c7a6p-5, 0x1.591db54bb65edp-5, 0x1.538e64ecca1b8p-5, 0x1.4e0e16a5feb1fp-5, 0x1.489cd8a329c37p-5, 0x1.433ab719cd94dp-5, 0x1.3de7bc563bfa5p-5, 0x1.38a3f0c8a1b11p-5, 0x1.336f5b11ef3d5p-5, 0x1.2e4a0010a8735p-5, 0x1.2933e2ed8eb4dp-5, 0x1.242d05282da0ap-5, 0x1.1f3566a343de3p-5, 0x1.1a4d05b105362p-5, 0x1.1573df1f3ca58p-5, 0x1.10a9ee434384cp-5, 0x1.0bef2d05d362dp-5, 0x1.074393eeb0d21p-5, 0x1.02a71a302ba3p-5, 0x1.fc336b64ec9cap-6, 0x1.f336b63da7b47p-6, 0x1.ea57fbd5338aap-6, 0x1.e19720c40b381p-6, 0x1.d8f40765d37b5p-6, 0x1.d06e8fee53dbdp-6, 0x1.c806987e1cc2dp-6, 0x1.bfbbfd36cf4a6p-6, 0x1.b78e984f08dc3p-6, 0x1.af7e4225fbc8ap-6, 0x1.a78ad1569fb78p-6, 0x1.9fb41aca93fd6p-6, 0x1.97f9f1cc97afp-6, 0x1.905c281ab2e4ap-6, 0x1.88da8df7faa8ap-6, 0x1.8174f23dfad38p-6, 0x1.7a2b226dc7f23p-6, 0x1.72fceac0b0105p-6, 0x1.6bea1638938c4p-6, 0x1.64f26eafdfa06p-6, 0x1.5e15bce933127p-6, 0x1.5753c89ea1c7p-6, 0x1.50ac5890a6b47p-6, 0x1.4a1f3294b29d3p-6, 0x1.43ac1ba36ecb2p-6, 0x1.3d52d7e69bddfp-6, 0x1.37132ac69ef8fp-6, 0x1.30ecd6f7bb33bp-6, 0x1.2adf9e86f0446p-6, 0x1.24eb42e68620fp-6, 0x1.1f0f84fa44e2cp-6, 0x1.194c25235b0a6p-6, 0x1.13a0e34bee9d1p-6, 0x1.0e0d7ef262437p-6, 0x1.0891b73441095p-6, 0x1.032d4ad8e5dbcp-6, 0x1.fbbff0b79bc43p-7, 0x1.f152fbed3f155p-7, 0x1.e7133355cf6aap-7, 0x1.dd0012970a799p-7, 0x1.d319150bad26bp-7, 0x1.c95db5d5230c5p-7, 0x1.bfcd6fecb8bfp-7, 0x1.b667be343bb49p-7, 0x1.ad2c1b860ed67p-7, 0x1.a41a02c4b7f83p-7, 0x1.9b30eee9e4ca5p-7, 0x1.92705b14efbabp-7, 0x1.89d7c298e62b8p-7, 0x1.8166a10a04bd1p-7, 0x1.791c724ac8a3p-7, 0x1.70f8b2986d31ep-7, 0x1.68fade97122c2p-7, 0x1.6122735d51187p-7, 0x1.596eee7f690b3p-7, 0x1.51dfce1a00e1cp-7, 0x1.4a7490dc71ddcp-7, 0x1.432cb612a25d3p-7, 0x1.3c07bdae88e4cp-7, 0x1.3505285131582p-7, 0x1.2e2477536f05cp-7, 0x1.27652cce1daefp-7, 0x1.20c6cba20fab6p-7, 0x1.1a48d77f8f426p-7, 0x1.13ead4ed8b927p-7, 0x1.0dac49506f33dp-7, 0x1.078cbaf09702bp-7, 0x1.018bb1007479p-7, 0x1.f7516744bf0dap-8, 0x1.ebc697dc2eb5bp-8, 0x1.e07607ebdfb35p-8, 0x1.d55ecd9762819p-8, 0x1.ca80010a6b016p-8, 0x1.bfd8bc8159001p-8, 0x1.b5681c514f4f6p-8, 0x1.ab2d3eefb09dcp-8, 0x1.a12744f91b1bfp-8, 0x1.97555137db0eap-8, 0x1.8db688a9e1cf5p-8, 0x1.844a12863d022p-8, 0x1.7b0f1842231ebp-8, 0x1.7204c595745bcp-8, 0x1.692a487ee0f8ap-8, 0x1.607ed1478c13bp-8, 0x1.580192866040ep-8, 0x1.4fb1c122d913ap-8, 0x1.478e94578beb7p-8, 0x1.3f9745b438006p-8, 0x1.37cb111f804d2p-8, 0x1.302934d857818p-8, 0x1.28b0f176fc7e4p-8, 0x1.216189edb6a37p-8, 0x1.1a3a438934acp-8, 0x1.133a65f0a602dp-8, 0x1.0c613b2584ffcp-8, 0x1.05ae0f831494fp-8, 0x1.fe40637b368d2p-9, 0x1.f16de5c2ab073p-9, 0x1.e4e34ca26ce9p-9, 0x1.d89f438aa5e0fp-9, 0x1.cca07a9247d41p-9, 0x1.c0e5a673058b7p-9, 0x1.b56d8084eccdap-9, 0x1.aa36c6b9888fep-9, 0x1.9f403b96b1865p-9, 0x1.9488a630e2db2p-9, 0x1.8a0ed22545b6cp-9, 0x1.7fd18f935fe49p-9, 0x1.75cfb3166865fp-9, 0x1.6c0815be56c66p-9, 0x1.627995088ecbfp-9, 0x1.592312d866ff5p-9, 0x1.5003756f3fbdcp-9, 0x1.4719a7647883dp-9, 0x1.3e64979d235a8p-9, 0x1.35e339436a04bp-9, 0x1.2d9483bdc7d38p-9, 0x1.257772a616714p-9, 0x1.1d8b05c060b13p-9, 0x1.15ce40f187351p-9, 0x1.0e402c35b1486p-9, 0x1.06dfd396b309dp-9, 0x1.ff588e444ce81p-10, 0x1.f14935bf00ed7p-10, 0x1.e38fcd8bec69ap-10, 0x1.d62a8d648b1b7p-10, 0x1.c917b4b8de05dp-10, 0x1.bc558a9a78c6cp-10, 0x1.afe25da7a7b2fp-10, 0x1.a3bc83f6279b5p-10, 0x1.97e25afde332fp-10, 0x1.8c52478396908p-10, 0x1.810ab5832bc09p-10, 0x1.760a181a283bap-10, 0x1.6b4ee971f0b3dp-10, 0x1.60d7aaaa0ce22p-10, 0x1.56a2e3c23548ep-10, 0x1.4caf2384a0033p-10, 0x1.42faff6feba01p-10, 0x1.398513a15e6f1p-10, 0x1.304c02beda5d9p-10, 0x1.274e75e115818p-10, 0x1.1e8b1c7d9a599p-10, 0x1.1600ac50f8766p-10, 0x1.0dade1490186bp-10, 0x1.05917d6ee5f6ap-10, 0x1.fb5491a345b19p-11, 0x1.ebee22e07d713p-11, 0x1.dced5648c0186p-11, 0x1.ce4fdf1948bebp-11, 0x1.c0137beeeb6ap-11, 0x1.b235f69b0ff4bp-11, 0x1.a4b523f9c3f29p-11, 0x1.978ee3c760469p-11, 0x1.8ac12076be9bdp-11, 0x1.7e49cf07906c9p-11, 0x1.7226eedd0f6dfp-11, 0x1.66568994d9ab9p-11, 0x1.5ad6b2de520adp-11, 0x1.4fa58851fc4dp-11, 0x1.44c131494562p-11, 0x1.3a27deb6efe1ep-11, 0x1.2fd7caff17d1dp-11, 0x1.25cf39d0786adp-11, 0x1.1c0c77fd3c54ep-11, 0x1.128ddb5498c5ap-11, 0x1.0951c27cac2c5p-11, 0x1.005694cc8b418p-11, 0x1.ef35844e13c67p-12, 0x1.de3985ab12b0dp-12, 0x1.cdb62ec66c8adp-12, 0x1.bda890f1efaeep-12, 0x1.ae0dcd7294e4bp-12, 0x1.9ee315399885fp-12, 0x1.9025a89e3229bp-12, 0x1.81d2d71825d54p-12, 0x1.73e7fefaef341p-12, 0x1.66628d31fcd35p-12, 0x1.593ffcfd9db52p-12, 0x1.4c7dd7b065c9bp-12, 0x1.4019b46e3e3edp-12, 0x1.341137eb4613ap-12, 0x1.2862142c1a0e8p-12, 0x1.1d0a0846ea10cp-12, 0x1.1206e02536664p-12, 0x1.075674460c14fp-12, 0x1.f9ed53046ea8p-13, 0x1.e5cae19f372abp-13, 0x1.d2418e0dc9957p-13, 0x1.bf4d695249b4p-13, 0x1.acea9b4c9a95bp-13, 0x1.9b15624a26fe3p-13, 0x1.89ca1295c875ap-13, 0x1.7905160a741cep-13, 0x1.68c2eba680a1fp-13, 0x1.590027213a2c5p-13, 0x1.49b9708250f78p-13, 0x1.3aeb83b9d1bd5p-13, 0x1.2c93303a14b99p-13, 0x1.1ead58944c9e1p-13, 0x1.1136f214ecfe6p-13, 0x1.042d0462dbe72p-13, 0x1.ef19523f0eaf3p-14, 0x1.d6a617125b5c3p-14, 0x1.befad03ae8e3p-14, 0x1.a812187df239bp-14, 0x1.91e6abb65087ap-14, 0x1.7c73662460da3p-14, 0x1.67b343c0ce3dep-14, 0x1.53a15f91cd7bbp-14, 0x1.4038f3030cc5p-14, 0x1.2d755540efe2fp-14, 0x1.1b51fa975e177p-14, 0x1.09ca73d10fe44p-14, 0x1.f1b4db38db29fp-15, 0x1.d0fb5fe0c596cp-15, 0x1.b1603aecc36acp-15, 0x1.92db65ebb3cbep-15, 0x1.75650d836e82bp-15, 0x1.58f59053efd14p-15, 0x1.3d857ddd83581p-15, 0x1.230d956d1ecd8p-15, 0x1.0986c50cd01b3p-15, 0x1.e1d450f41dd8dp-16, 0x1.b26210408e346p-16, 0x1.84a9b0340f4c7p-16, 0x1.589e6e663378fp-16, 0x1.2e33dbe780334p-16, 0x1.055ddb5d707eap-16, 0x1.bc213e4618d34p-17, 0x1.70814ef9e60a7p-17, 0x1.27c5819a3549bp-17, 0x1.c3b0074e8f55bp-18, 0x1.3d4727e15c382p-18, 0x1.784dfcd18345cp-19, 0x1.009ce6af87e85p-20, -0x1.b6fb45df771cbp-21, -0x1.522645777d135p-19, -0x1.16992bf79c12p-18, -0x1.7f95bfe3a8d34p-18, -0x1.e42c23bed82c6p-18, -0x1.223f563312dcep-17, -0x1.50576204733cbp-17, -0x1.7c6e77e4e8208p-17, -0x1.a6946a9e9a01p-17, -0x1.ced89fe1be62dp-17, -0x1.f54a12ea12aedp-17, -0x1.0cfbab869c67bp-16, -0x1.1e774d243d84cp-16, -0x1.2f1ed3d7b4f93p-16, -0x1.3ef8f4efb1897p-16, -0x1.4e0c36ac296f9p-16, -0x1.5c5ef167134f1p-16, -0x1.69f750b73764ap-16, -0x1.76db548bca982p-16, -0x1.8310d240d87bep-16, -0x1.8e9d75aff9be1p-16, -0x1.9986c239a7163p-16, -0x1.a3d213c8f1888p-16, -0x1.ad849fd238094p-16, -0x1.b6a3764a1d60dp-16, -0x1.bf33829a5b256p-16, -0x1.c7398c8e28056p-16, -0x1.ceba393a7f25ap-16, -0x1.d5ba0be0cd8d1p-16, -0x1.dc3d66ce7432dp-16, -0x1.e2488c32d4304p-16, -0x1.e7df9ef635498p-16, -0x1.ed06a386849edp-16, -0x1.f1c180a2b97ep-16, -0x1.f61400201d1c5p-16, -0x1.fa01cfab7cc26p-16, -0x1.fd8e818608714p-16, -0x1.005ec69e6bdb8p-15, -0x1.01c9282ec9348p-15, -0x1.03080792aa175p-15, -0x1.041cfa965b6a3p-15, -0x1.05098b079b1cdp-15, -0x1.05cf37074e7a6p-15, -0x1.066f71594e211p-15, -0x1.06eba1b24caaep-15, -0x1.07452503ecedbp-15, -0x1.077d4dc6e425dp-15, -0x1.079564433ac9bp-15, -0x1.078ea6d739f81p-15, -0x1.076a4a3c2f23fp-15, -0x1.072979c9a650dp-15, -0x1.06cd57b715d49p-15, -0x1.0656fd5ba46e3p-15, -0x1.05c77b6ce23a2p-15, -0x1.051fda3b8715dp-15, -0x1.046119ee87833p-15, -0x1.038c32bd5dfc5p-15, -0x1.02a215280734dp-15, -0x1.01a3aa2e5daaep-15, -0x1.0091d38553becp-15, -0x1.fedad79796238p-16, -0x1.fc6e8d7a0854cp-16, -0x1.f9e062c444ee6p-16, -0x1.f731e4866ff74p-16, -0x1.f464932b7fa58p-16, -0x1.f179e2d58ba82p-16, -0x1.ee733bb753ca6p-16, -0x1.eb51fa6bab99bp-16, -0x1.e817704999876p-16, -0x1.e4c4e3b7ad005p-16, -0x1.e15b907c62cb8p-16, -0x1.dddca80c3a896p-16, -0x1.da4951d6cf46dp-16, -0x1.d6a2ab9074b65p-16, -0x1.d2e9c97ab3757p-16, -0x1.cf1fb6ab50105p-16, -0x1.cb45755044ea3p-16, -0x1.c75bfef24349ap-16, -0x1.c36444b71568ep-16, -0x1.bf5f2f9eff569p-16, -0x1.bb4da0c3a0a0ap-16, -0x1.b73071934f1dp-16, -0x1.b308740b1fbf8p-16, -0x1.aed672efd4f7fp-16, -0x1.aa9b32052f74dp-16, -0x1.a6576e43065c1p-16, -0x1.a20bde09b7ap-16, -0x1.9db93154a94a4p-16, -0x1.996011ec1307ep-16, -0x1.9501239440a1fp-16, -0x1.909d043ca2bd5p-16, -0x1.8c344c2d23029p-16, -0x1.87c78e316f4b7p-16, -0x1.835757c5460fap-16, -0x1.7ee4313c767f8p-16, -0x1.7a6e9dec49a12p-16, -0x1.75f71c52d3515p-16, -0x1.717e263c3a4b2p-16, -0x1.6d0430e9206ap-16, -0x1.6889ad3172067p-16, -0x1.640f07a86d55ap-16, -0x1.5f94a8bdf54eep-16, -0x1.5b1af4dfe54adp-16, -0x1.56a24c9a07df1p-16, -0x1.522b0cb577d9ap-16, -0x1.4db58e569275dp-16, -0x1.4942271aae7bp-16, -0x1.44d129346495bp-16, -0x1.4062e38736477p-16, -0x1.3bf7a1c2dda65p-16, -0x1.378fac7c92b21p-16, -0x1.332b494968f62p-16, -0x1.2ecabad609fe7p-16, -0x1.2a6e40ff17b0bp-16, -0x1.261618e7d7d14p-16, -0x1.21c27d1136b89p-16, -0x1.1d73a56f14a46p-16, -0x1.1929c77dc57a7p-16, -0x1.14e516566bfcfp-16, -0x1.10a5c2c2a80ebp-16, -0x1.0c6bfb5054196p-16, -0x1.0837ec63d800bp-16, -0x1.0409c04aa01cbp-16, -0x1.ffc33e989e728p-17, -0x1.f77f5f782d8d6p-17, -0x1.ef482c12c9f74p-17, -0x1.e71de99f024aep-17, -0x1.df00d9cb1f784p-17, -0x1.d6f13ada1a0d3p-17, -0x1.ceef47c22304bp-17, -0x1.c6fb3847fa023p-17, -0x1.bf15411addc1ap-17, -0x1.b73d93ef0010ap-17, -0x1.af745f970edeap-17, -0x1.a7b9d01d9c289p-17, -0x1.a00e0edcfb037p-17, -0x1.987142968b19p-17, -0x1.90e38f8a0cc9fp-17, -0x1.8965178ad1acap-17, -0x1.81f5fa1578d6dp-17, -0x1.7a9654649673dp-17, -0x1.73464184ab884p-17, -0x1.6c05da66e94e2p-17, -0x1.64d535f509449p-17, -0x1.5db469226032ep-17, -0x1.56a386fe1449p-17, -0x1.4fa2a0c388f6ep-17, -0x1.48b1c5eb9c047p-17, -0x1.41d1043be37d1p-17, -0x1.3b0067d656f83p-17, -0x1.343ffb4850b3bp-17, -0x1.2d8fc798f8143p-17, -0x1.26efd4571fc75p-17, -0x1.206027a6c37bfp-17, -0x1.19e0c64e91dbp-17, -0x1.1371b3c3e829bp-17, -0x1.0d12f2379cdfep-17, -0x1.06c482a1a2a91p-17, -0x1.008664cc740e9p-17, -0x1.f4b12ec147c3bp-18, -0x1.e8762fdd6cc59p-18, -0x1.dc5bc5f5291b2p-18, -0x1.d061e8092dc36p-18, -0x1.c4888b283f95cp-18, -0x1.b8cfa280bd46cp-18, -0x1.ad371f73598a8p-18, -0x1.a1bef1a505675p-18, -0x1.9667070f1b329p-18, -0x1.8b2f4c10b2b7fp-18, -0x1.8017ab7e1e693p-18, -0x1.75200eb000801p-18, -0x1.6a485d92fd80ap-18, -0x1.5f907eb5716dap-18, -0x1.54f85755d1598p-18, -0x1.4a7fcb6f71a97p-18, -0x1.4026bdc882314p-18, -0x1.35ed0ffda0a24p-18, -0x1.2bd2a28f668c7p-18, -0x1.21d754ec423b5p-18, -0x1.17fb057da34b9p-18, -0x1.0e3d91b1bd561p-18, -0x1.049ed60710dbap-18, -0x1.f63d5c2bdff03p-19, -0x1.e379e93652283p-19, -0x1.d0f3070237859p-19, -0x1.bea867d220fc8p-19, -0x1.ac99bc68f7d9bp-19, -0x1.9ac6b41b3f2dep-19, -0x1.892efcdf7da04p-19, -0x1.77d2435ec5ce2p-19, -0x1.66b033043eb8ap-19, -0x1.55c8760ca5d9fp-19, -0x1.451ab594e575dp-19, -0x1.34a699a829354p-19, -0x1.246bc94d7b6eap-19, -0x1.1469ea95dc0ffp-19, -0x1.04a0a2a72fea2p-19, -0x1.ea1f2b97dd2c2p-20, -0x1.cb6ccef6bad79p-20, -0x1.ad2974cf96a28p-20, -0x1.8f546112eb4a2p-20, -0x1.71ecd65081a6bp-20, -0x1.54f215cef7883p-20, -0x1.38635f9e8c015p-20, -0x1.1c3ff2ad062a9p-20, -0x1.00870cda36623p-20, -0x1.ca6fd61010c4ep-21, -0x1.94a3925daa02dp-21, -0x1.5fa7c4d8755dfp-21, -0x1.2b7ae22a49a95p-21, -0x1.f036bb18c3b8bp-22, -0x1.8b0f51ca2f7a6p-22, -0x1.277c69cdd4b4ep-22, -0x1.8af5c4b6948b3p-23, -0x1.941e62d6cb375p-24, -0x1.87da18ee52ba5p-28, 0x1.5d035292bac85p-24, 0x1.66388b6c8f338p-23, 0x1.0d76134e7aap-22, 0x1.665166e018779p-22, 0x1.bdb16a9f20ab4p-22, 0x1.09cca4ab60058p-21, 0x1.3406171fe7e72p-21, 0x1.5d86a269bec0cp-21, 0x1.864fdc51328e5p-21, 0x1.ae635a971d70dp-21, 0x1.d5c2b2e1c7c31p-21, 0x1.fc6f7aa83a57cp-21, 0x1.1135a39218385p-20, 0x1.23dbd69dce4b4p-20, 0x1.362b20ba0866bp-20, 0x1.48244befa1a28p-20, 0x1.59c822065389ap-20, 0x1.6b176c7c21c94p-20, 0x1.7c12f47f85283p-20, 0x1.8cbb82e626d09p-20, 0x1.9d11e028280cfp-20, 0x1.ad16d457129a7p-20, 0x1.bccb27173540fp-20, 0x1.cc2f9f9c118edp-20, 0x1.db45049f8cbb8p-20, 0x1.ea0c1c5c6ec8cp-20, 0x1.f885ac88a4893p-20, 0x1.03593d280f396p-19, 0x1.0a49a5276a31ap-19, 0x1.11147045833fap-19, 0x1.17ba00389b3e3p-19, 0x1.1e3ab6670f5b7p-19, 0x1.2496f3e5a2fc9p-19, 0x1.2acf1973dcc1fp-19, 0x1.30e3877b2d33ap-19, 0x1.36d49e0ba76ep-19, 0x1.3ca2bcdab91fep-19, 0x1.424e43404b8ddp-19, 0x1.47d790356d273p-19, 0x1.4d3f025217679p-19, 0x1.5284f7cb19093p-19, 0x1.57a9ce70b6f49p-19, 0x1.5cade3ac6042cp-19, 0x1.6191947f610c1p-19, 0x1.66553d8140786p-19, 0x1.6af93adddb5e7p-19, 0x1.6f7de853e739p-19, 0x1.73e3a133968c3p-19, 0x1.782ac05d2bfebp-19, 0x1.7c53a03f66d46p-19, 0x1.805e9ad634954p-19, 0x1.844c09a960666p-19, 0x1.881c45cba61cbp-19, 0x1.8bcfa7d8bafd5p-19, 0x1.8f6687f4b3d32p-19, 0x1.92e13dcacac2ep-19, 0x1.9640208c35439p-19, 0x1.998386eefc652p-19, 0x1.9cabc72d25cbp-19, 0x1.9fb937037cf61p-19, 0x1.a2ac2bb0fa819p-19, 0x1.a584f9f566ccfp-19, 0x1.a843f610f111cp-19, 0x1.aae973c3027ap-19, 0x1.ad75c6496311ep-19, 0x1.afe9405fff8ecp-19, 0x1.b244343f65edep-19, 0x1.b486f39c97e98p-19, 0x1.b6b1cfa82463cp-19, 0x1.b8c5190da6d94p-19, 0x1.bac11ff30ee9ep-19, 0x1.bca633f82622bp-19, 0x1.be74a435abb6ep-19, 0x1.c02cbf3d62e91p-19, 0x1.c1ced31900126p-19, 0x1.c35b2d49df6cep-19, 0x1.c4d21ac8cf76dp-19, 0x1.c633e8053fb1ap-19, 0x1.c780e0e54f9e9p-19, 0x1.c8b950c4ea77ap-19, 0x1.c9dd8275c97dbp-19, 0x1.caedc03f156e8p-19, 0x1.cbea53dd07fa9p-19, 0x1.ccd38680b064ep-19, 0x1.cda9a0cf97472p-19, 0x1.ce6ceae3d3e63p-19, 0x1.cf1dac4b9bc8ep-19, 0x1.cfbc2c08c8826p-19, 0x1.d048b09158d2ep-19, 0x1.d0c37fcf003e8p-19, 0x1.d12cdf1ea9f6p-19, 0x1.d1851350ee6fbp-19, 0x1.d1cc60a9c99dcp-19, 0x1.d2030ae094978p-19, 0x1.d229551fcd1a9p-19, 0x1.d23f820539dc5p-19, 0x1.d245d3a20ad2p-19, 0x1.d23c8b7aa427fp-19, 0x1.d223ea86b79eap-19, 0x1.d1fc313177d92p-19, 0x1.d1c59f598fb71p-19, 0x1.d180745137a93p-19, 0x1.d12ceede37ff8p-19, 0x1.d0cb4d3a4a556p-19, 0x1.d05bcd13133a1p-19, 0x1.cfdeab8a5d90fp-19, 0x1.cf54253646f4bp-19, 0x1.cebc76216af37p-19, 0x1.ce17d9cb11cp-19, 0x1.cd668b2773a43p-19, 0x1.cca8c49ff86a1p-19, 0x1.cbdec013877c6p-19, 0x1.cb08b6d6a1444p-19, 0x1.ca26e1b3d3072p-19, 0x1.c93978ebe3ddep-19, 0x1.c840b43667b4p-19, 0x1.c73ccac1a7a5p-19, 0x1.c62df33348958p-19, 0x1.c51463a8b66bbp-19, 0x1.c3f051b724a35p-19, 0x1.c2c1f26c49a6bp-19, 0x1.c1897a4e90f63p-19, 0x1.c0471d5da3332p-19, 0x1.befb0f12b2382p-19, 0x1.bda5826105c08p-19, 0x1.bc46a9b6493b8p-19, 0x1.badeb6fb17dffp-19, 0x1.b96ddb9382fdbp-19, 0x1.b7f4485f58512p-19, 0x1.b6722dbacf876p-19, 0x1.b4e7bb7f0ffbp-19, 0x1.b35521026777fp-19, 0x1.b1ba8d19021f3p-19, 0x1.b0182e15885a9p-19, 0x1.ae6e31c985785p-19, 0x1.acbcc585e3087p-19, 0x1.ab04161ba3a25p-19, 0x1.a9444fdc7147ap-19, 0x1.a77d9e9af7e55p-19, 0x1.a5b02daba38f5p-19, 0x1.a3dc27e536615p-19, 0x1.a201b7a152d8fp-19, 0x1.a02106bd1caaap-19, 0x1.9e3a3e99dc78ap-19, 0x1.9c4d881daf11cp-19, 0x1.9a5b0bb3f13d6p-19, 0x1.9862f14e00d8cp-19, 0x1.96656063f146p-19, 0x1.94627ff509aa5p-19, 0x1.925a76886cae5p-19, 0x1.904d6a2e1467dp-19, 0x1.8e3b807f16f31p-19, 0x1.8c24de9e8ec3p-19, 0x1.8a09a93a1973bp-19, 0x1.87ea048aa90b7p-19, 0x1.85c614553587cp-19, 0x1.839dfbeb4f493p-19, 0x1.8171de2bdde1fp-19, 0x1.7f41dd840fe53p-19, }}, 
      {{-0x1.d52f3a9d56ebep-3, -0x1.d5d904db4a0cap-3, -0x1.d6f10a09e98d3p-3, -0x1.d872fcf5e5ab9p-3, -0x1.da591b76e6e95p-3, -0x1.dc9c66a7f3d57p-3, -0x1.df34df980ca7p-3, -0x1.e219c4a0bcd9cp-3, -0x1.e541cc9d2c312p-3, -0x1.e8a35e005b437p-3, -0x1.ec34c067edb6p-3, -0x1.efec47d6ee7fap-3, -0x1.f3c07943269ffp-3, -0x1.f7a828890a047p-3, -0x1.fb9a90286890cp-3, -0x1.ff8f635dd49fap-3, -0x1.01bf6da2c6976p-2, -0x1.03b0dfdcff2aep-2, -0x1.0598b64c22c4dp-2, -0x1.0773ea02f1181p-2, -0x1.093fbf2025162p-2, -0x1.0af9c3b62201dp-2, -0x1.0c9fcde4d7d4ap-2, -0x1.0e2ff950940ffp-2, -0x1.0fa8a41a1da4ap-2, -0x1.11086b773234dp-2, -0x1.124e280616601p-2, -0x1.1378e9f35a9f7p-2, -0x1.1487f505ba854p-2, -0x1.157abca15a67ep-2, -0x1.1650dfd124f49p-2, -0x1.170a2562bdaecp-2, -0x1.17a6781f789e6p-2, -0x1.1825e32ab3b34p-2, -0x1.18888e8c3778fp-2, -0x1.18cebbeb7adf1p-2, -0x1.18f8c37f39426p-2, -0x1.19071133555d5p-2, -0x1.18fa2205e0309p-2, -0x1.18d2819b106fdp-2, -0x1.1890c80717902p-2, -0x1.183597cc136f2p-2, -0x1.17c19c09cc97fp-2, -0x1.173586dc8ea84p-2, -0x1.16920fe816889p-2, -0x1.15d7f30b72823p-2, -0x1.1507ef3a8fb04p-2, -0x1.1422c57a3e5c1p-2, -0x1.132937fb7acc1p-2, -0x1.121c0952ef2e7p-2, -0x1.10fbfbc9c4b7fp-2, -0x1.0fc9d0c50f44fp-2, -0x1.0e8648414894p-2, -0x1.0d32205f8f854p-2, -0x1.0bce15028eda3p-2, -0x1.0a5adf79288d7p-2, -0x1.08d9363531e9bp-2, -0x1.0749cc8cc7774p-2, -0x1.05ad5284de2dfp-2, -0x1.040474a3f55e4p-2, -0x1.024fdbcbdecdp-2, -0x1.00902d19c9739p-2, -0x1.fd8c139792dd3p-3, -0x1.f9e41e56810d2p-3, -0x1.f629acf72f05ep-3, -0x1.f25de9d9aa19ap-3, -0x1.ee81f72365618p-3, -0x1.ea96eeb19d9bep-3, -0x1.e69de21182c8bp-3, -0x1.e297da7d9742dp-3, -0x1.de85d8dfde4d5p-3, -0x1.da68d5d883p-3, -0x1.d641c1c89b37p-3, -0x1.d21184e0c2cafp-3, -0x1.cdd8ff334a755p-3, -0x1.c99908c9ba2b5p-3, -0x1.c55271bd7146ap-3, -0x1.c10602531eff6p-3, -0x1.bcb47b18f46dfp-3, -0x1.b85e9507446ebp-3, -0x1.b40501a368f23p-3, -0x1.afa86b24bc767p-3, -0x1.ab49749b6f5fbp-3, -0x1.a6e8ba190e148p-3, -0x1.a286d0da80752p-3, -0x1.9e24477356b17p-3, -0x1.99c1a5fa36a22p-3, -0x1.955f6e3633fcdp-3, -0x1.90fe1bccee72p-3, -0x1.8c9e24714390cp-3, -0x1.883ff8126bfabp-3, -0x1.83e4010b643d9p-3, -0x1.7f8aa45263bf2p-3, -0x1.7b3441a85d56dp-3, -0x1.76e133c844166p-3, -0x1.7291d09610be3p-3, -0x1.6e46694d55b8fp-3, -0x1.69ff4aaf50079p-3, -0x1.65bcbd30510d6p-3, -0x1.617f0524786f8p-3, -0x1.5d4662eb93d05p-3, -0x1.5913131c22a38p-3, -0x1.54e54ead665b9p-3, -0x1.50bd4b2068f27p-3, -0x1.4c9b3aa7f80c3p-3, -0x1.487f4c4f7f96p-3, -0x1.4469ac20c3012p-3, -0x1.405a834862a13p-3, -0x1.3c51f83933551p-3, -0x1.38502ece5c2b7p-3, -0x1.3455486c375d7p-3, -0x1.3061641ff9453p-3, -0x1.2c749ebe1d4e3p-3, -0x1.288f12ff90153p-3, -0x1.24b0d99dad953p-3, -0x1.20da096cf81e6p-3, -0x1.1d0ab776b32eap-3, -0x1.1942f7113e1ddp-3, -0x1.1582d9f7546e6p-3, -0x1.11ca705e2bd92p-3, -0x1.0e19c90a7479p-3, -0x1.0a70f1644f52fp-3, -0x1.06cff58a334ebp-3, -0x1.0336e062d4db6p-3, -0x1.ff4b775c2cd25p-4, -0x1.f839202a01ab3p-4, -0x1.f136ca71c1a4bp-4, -0x1.ea448382f666cp-4, -0x1.e36256d4e18a6p-4, -0x1.dc904e1faa60bp-4, -0x1.d5ce71740c376p-4, -0x1.cf1cc7518195fp-4, -0x1.c87b54bb213a7p-4, -0x1.c1ea1d4b15f76p-4, -0x1.bb692344ed428p-4, -0x1.b4f867a6a211cp-4, -0x1.ae97ea389709fp-4, -0x1.a847a99c8384ap-4, -0x1.a207a35b5a768p-4, -0x1.9bd7d3f2475b8p-4, -0x1.95b836decee22p-4, -0x1.8fa8c6aa16536p-4, -0x1.89a97cf36a57fp-4, -0x1.83ba527a0e9b6p-4, -0x1.7ddb3f2661bb8p-4, -0x1.780c3a1263987p-4, -0x1.724d3991a7834p-4, -0x1.6c9e3338bdbcep-4, -0x1.66ff1be420ed4p-4, -0x1.616fe7bead36cp-4, -0x1.5bf08a47ad607p-4, -0x1.5680f658865ebp-4, -0x1.51211e2a09224p-4, -0x1.4bd0f359718c9p-4, -0x1.469066ed1bd9ep-4, -0x1.415f6958f6514p-4, -0x1.3c3dea82b426bp-4, -0x1.372bd9c5ccd1p-4, -0x1.322925f744d7bp-4, -0x1.2d35bd694e566p-4, -0x1.28518deebffcap-4, -0x1.237c84de68de3p-4, -0x1.1eb68f1645d3ep-4, -0x1.19ff98fe9ab74p-4, -0x1.15578e8cf545dp-4, -0x1.10be5b4719dadp-4, -0x1.0c33ea45debd6p-4, -0x1.07b82637f87b7p-4, -0x1.034af964b9c67p-4, -0x1.fdd89b5d8e5a9p-5, -0x1.f538192d873dep-5, -0x1.ecb43e7be9525p-5, -0x1.e44cdcd1c2df3p-5, -0x1.dc01c503d9c65p-5, -0x1.d3d2c737d99d5p-5, -0x1.cbbfb2e97de86p-5, -0x1.c3c856efb7c1ap-5, -0x1.bbec8181d380dp-5, -0x1.b42c003c9b383p-5, -0x1.ac86a0277cb69p-5, -0x1.a4fc2db9ae201p-5, -0x1.9d8c74df544a9p-5, -0x1.963740feab357p-5, -0x1.8efc5cfd2fea1p-5, -0x1.87db9344ccd31p-5, -0x1.80d4adc9066d1p-5, -0x1.79e7760c29ba5p-5, -0x1.7313b5247bc44p-5, -0x1.6c5933c16adf5p-5, -0x1.65b7ba30bc107p-5, -0x1.5f2f1063bd05p-5, -0x1.58befdf46f5bcp-5, -0x1.52674a2ab5af8p-5, -0x1.4c27bc017b5bdp-5, -0x1.46001a2bd9ca1p-5, -0x1.3ff02b1a3878p-5, -0x1.39f7b4ff68c57p-5, -0x1.34167dd5b9501p-5, -0x1.2e4c4b6403ae4p-5, -0x1.2898e342b2c6p-5, -0x1.22fc0ae0bd882p-5, -0x1.1d7587889b557p-5, -0x1.18051e652b6p-5, -0x1.12aa948690151p-5, -0x1.0d65aee701621p-5, -0x1.0836326f8e159p-5, -0x1.031be3fcd0959p-5, -0x1.fc2d10c72f3fdp-6, -0x1.f24bc8eaf6acp-6, -0x1.e8937a0ac9206p-6, -0x1.df03add8074f1p-6, -0x1.d59bee1867174p-6, -0x1.cc5bc4ae9ef35p-6, -0x1.c342bba2debc9p-6, -0x1.ba505d2b2fcep-6, -0x1.b18433b3a330ep-6, -0x1.a8ddc9e65e02p-6, -0x1.a05caab37aeafp-6, -0x1.98006158bff99p-6, -0x1.8fc879692a3f9p-6, -0x1.87b47ed452bd8p-6, -0x1.7fc3fded9f3bbp-6, -0x1.77f683734c6eep-6, -0x1.704b9c954b139p-6, -0x1.68c2d6fbeb13cp-6, -0x1.615bc0ce5e8fbp-6, -0x1.5a15e8b90af0dp-6, -0x1.52f0ddf3ac3f6p-6, -0x1.4bec30474c22cp-6, -0x1.4507701409bc6p-6, -0x1.3e422e56ad6fep-6, -0x1.379bfcae18c7ap-6, -0x1.31146d607e0e7p-6, -0x1.2aab13606c47ap-6, -0x1.245f8251aed26p-6, -0x1.1e314e8e0003dp-6, -0x1.18200d298592p-6, -0x1.122b53f72a83dp-6, -0x1.0c52b98cc2f1fp-6, -0x1.0695d547085f5p-6, -0x1.00f43f4d64d05p-6, -0x1.f6db212b2cf1fp-7, -0x1.ec02c5ce45bbap-7, -0x1.e15ea1bd47e9cp-7, -0x1.d6edebe1cad97p-7, -0x1.ccafdcdbb246ap-7, -0x1.c2a3af06c9d19p-7, -0x1.b8c89e8006725p-7, -0x1.af1de92a7d54bp-7, -0x1.a5a2ceb403729p-7, -0x1.9c5690998837ap-7, -0x1.9338722b177bcp-7, -0x1.8a47b88f9abf5p-7, -0x1.8183aac84a2fbp-7, -0x1.78eb91b3d8b54p-7, -0x1.707eb8114b908p-7, -0x1.683c6a82a0b47p-7, -0x1.6023f78f20b08p-7, -0x1.5834afa57145p-7, -0x1.506de51d65d21p-7, -0x1.48ceec3993425p-7, -0x1.41571b28a2182p-7, -0x1.3a05ca0662b21p-7, -0x1.32da52dca6976p-7, -0x1.2bd411a3e07cbp-7, -0x1.24f264438a4d2p-7, -0x1.1e34aa92530b5p-7, -0x1.179a46561c491p-7, -0x1.11229b43baf68p-7, -0x1.0acd0efe8cd82p-7, -0x1.04990917d9ea9p-7, -0x1.fd0be61c094f9p-8, -0x1.f12670971f081p-8, -0x1.e5808c4be3b93p-8, -0x1.da1917b88904ap-8, -0x1.ceeef52b8666cp-8, -0x1.c4010ac04969p-8, -0x1.b94e425b9b3d4p-8, -0x1.aed589a7b9393p-8, -0x1.a495d210234aep-8, -0x1.9a8e10bd2727p-8, -0x1.90bd3e8f25196p-8, -0x1.872258199a48cp-8, -0x1.7dbc5d9de13c6p-8, -0x1.748a5305c7e01p-8, -0x1.6b8b3fddd868ep-8, -0x1.62be2f4f7ec2ap-8, -0x1.5a22301aedcffp-8, -0x1.51b65490d519p-8, -0x1.4979b28bea90cp-8, -0x1.416b636a45a12p-8, -0x1.398a84068d75bp-8, -0x1.31d634b100febp-8, -0x1.2a4d992855036p-8, -0x1.22efd892769efp-8, -0x1.1bbc1d751d53p-8, -0x1.14b195ae49aecp-8, -0x1.0dcf726ca19ecp-8, -0x1.0714e827aa659p-8, -0x1.00812e97f1215p-8, -0x1.f427015e2d358p-9, -0x1.e796391f81ceap-9, -0x1.db4e870affa13p-9, -0x1.cf4e73f92abbbp-9, -0x1.c3948ef363f5ep-9, -0x1.b81f6d233f784p-9, -0x1.aceda9c1b73bep-9, -0x1.a1fde60651278p-9, -0x1.974ec9161af46p-9, -0x1.8cdefff2a4f2cp-9, -0x1.82ad3d68dd47cp-9, -0x1.78b839ffe3d9fp-9, -0x1.6efeb3e7cf0acp-9, -0x1.657f6ee866ddap-9, -0x1.5c39344fdb0efp-9, -0x1.532ad2e171483p-9, -0x1.4a531ec431a4ep-9, -0x1.41b0f17196978p-9, -0x1.394329a4369d3p-9, -0x1.3108ab467b74bp-9, -0x1.29005f6157a45p-9, -0x1.2129340b04725p-9, -0x1.19821c55d540dp-9, -0x1.120a103efe87fp-9, -0x1.0ac00c9d84c7fp-9, -0x1.03a313112549ap-9, -0x1.f96453e2b72a6p-10, -0x1.ebd8b878ed585p-10, -0x1.dea1730d71ea8p-10, -0x1.d1bcabd3397fep-10, -0x1.c52893e637318p-10, -0x1.b8e3652a40cbap-10, -0x1.aceb622a0ced7p-10, -0x1.a13ed5f65e30bp-10, -0x1.95dc14057d227p-10, -0x1.8ac17812dac3ap-10, -0x1.7fed65fee2535p-10, -0x1.755e49af1d49ep-10, -0x1.6b1296ee869dfp-10, -0x1.6108c94e23d78p-10, -0x1.573f6405d1ed6p-10, -0x1.4db4f1d568d4fp-10, -0x1.446804e6151c9p-10, -0x1.3b5736abee527p-10, -0x1.328127c7ed1f4p-10, -0x1.29e47fea164b7p-10, -0x1.217fedb3e5f1ep-10, -0x1.1952269b22473p-10, -0x1.1159e6ccd92aap-10, -0x1.0995f110bb295p-10, -0x1.02050eacc0243p-10, -0x1.f54c1e9221bafp-11, -0x1.e6ef91a88f1d2p-11, -0x1.d8f22ecfe395cp-11, -0x1.cb51ba5aeec2ep-11, -0x1.be0c048671b98p-11, -0x1.b11ee944092f1p-11, -0x1.a4885005be7f3p-11, -0x1.98462b8a40003p-11, -0x1.8c5679a99f52cp-11, -0x1.80b74322c27cdp-11, -0x1.75669b697d3a7p-11, -0x1.6a62a07532c36p-11, -0x1.5fa97a902edd5p-11, -0x1.55395c279ba76p-11, -0x1.4b10819c0c3dbp-11, -0x1.412d3112be35fp-11, -0x1.378dba476236dp-11, -0x1.2e30765e97951p-11, -0x1.2513c7b906b02p-11, -0x1.1c3619c711bb1p-11, -0x1.1395e0dd2cd3dp-11, -0x1.0b319a08c34b6p-11, -0x1.0307cae5e9d72p-11, -0x1.f62e02eac0f26p-12, -0x1.e6bba7e708745p-12, -0x1.d7b5c15f348f8p-12, -0x1.c9199bc7b977p-12, -0x1.bae4931c2bd66p-12, -0x1.ad1412919c2efp-12, -0x1.9fa5944a33c2dp-12, -0x1.9296a109e3c5dp-12, -0x1.85e4cfec752f6p-12, -0x1.798dc61c88247p-12, -0x1.6d8f368bd7a33p-12, -0x1.61e6e1ac98e94p-12, -0x1.5692952bfe3bap-12, -0x1.4b902bade59f6p-12, -0x1.40dd8c8987d3ap-12, -0x1.3678ab876c00cp-12, -0x1.2c5f88a03154p-12, -0x1.22902fbcbf8a5p-12, -0x1.1908b8773f717p-12, -0x1.0fc745dd6446fp-12, -0x1.06ca063377a63p-12, -0x1.fc1e657184137p-13, -0x1.eb2a1ed960e79p-13, -0x1.dab3d5aa5b5e7p-13, -0x1.cab83b8bdf51bp-13, -0x1.bb34165155d5ep-13, -0x1.ac243f8d07337p-13, -0x1.9d85a42422829p-13, -0x1.8f5543e56282cp-13, -0x1.8190312174ce7p-13, -0x1.74339044dfdd8p-13, -0x1.673c97741044ep-13, -0x1.5aa88e294d406p-13, -0x1.4e74ccd4445cdp-13, -0x1.429ebc7b6ee91p-13, -0x1.3723d65f30c2p-13, -0x1.2c01a39ecc646p-13, -0x1.2135bcdeed384p-13, -0x1.16bdc9f1f51fap-13, -0x1.0c978181de70dp-13, -0x1.02c0a8bbd016ep-13, -0x1.f26e25facb493p-14, -0x1.dff143068222fp-14, -0x1.ce06863305b48p-14, -0x1.bca9e79b58704p-14, -0x1.abd77943da788p-14, -0x1.9b8b6684400b1p-14, -0x1.8bc1f3742f6d7p-14, -0x1.7c777c5b16496p-14, -0x1.6da87522551d4p-14, -0x1.5f5168cae7a63p-14, -0x1.516ef8e538d9cp-14, -0x1.43fddd0c502e8p-14, -0x1.36fae262d343fp-14, -0x1.2a62eb13a6906p-14, -0x1.1e32edd450981p-14, -0x1.1267f56a9157cp-14, -0x1.06ff2033fa5e7p-14, -0x1.f7eb3f60badadp-15, -0x1.e291701d06f63p-15, -0x1.cdeb7f763ccfap-15, -0x1.b9f43de537563p-15, -0x1.a6a69ea8f83ap-15, -0x1.93fdb6f3a1fc5p-15, -0x1.81f4bd1a308edp-15, -0x1.708707ca362e2p-15, -0x1.5fb00d4287cc7p-15, -0x1.4f6b629102158p-15, -0x1.3fb4bad440b2bp-15, -0x1.3087e681172acp-15, -0x1.21e0d2acbaf46p-15, -0x1.13bb885a04babp-15, -0x1.06142bcb1f184p-15, -0x1.f1cdf7aeb123ap-16, -0x1.d860a287225bcp-16, -0x1.bfd93c3e83a8ep-16, -0x1.a830da4a0c7adp-16, -0x1.9160c23c3077bp-16, -0x1.7b6268941bfa4p-16, -0x1.662f6f926376ap-16, -0x1.51c1a61574c85p-16, -0x1.3e13067c638efp-16, -0x1.2b1db58f743dap-16, -0x1.18dc016ff0036p-16, -0x1.0748608d66b21p-16, -0x1.ecbae141e3434p-17, -0x1.cc2beb5e5036dp-17, -0x1.acd9b21e29e89p-17, -0x1.8eba50ee478c1p-17, -0x1.71c42a1f39263p-17, -0x1.55ede515616e8p-17, -0x1.3b2e6c8428331p-17, -0x1.217cecb2593cp-17, -0x1.08d0d1ca2e8d4p-17, -0x1.e2438c64dc72p-18, -0x1.b4cf61e5828e6p-18, -0x1.8935683f86986p-18, -0x1.5f6656a45a33ap-18, -0x1.3753544d71966p-18, -0x1.10edf58e6e6dcp-18, -0x1.d85071ef313f6p-19, -0x1.91e9091babe34p-19, -0x1.4e8b46199b1dep-19, -0x1.0e1d82842b9acp-19, -0x1.a10dadc90dd13p-20, -0x1.2b5e2b3f7e5c4p-20, -0x1.75fb181fcfee1p-21, -0x1.3ef8fc2f91c2bp-22, 0x1.68bf6314ce05p-24, 0x1.e03001ea5cff9p-22, 0x1.a9d71005bcb0cp-21, 0x1.2d52f91c1fed6p-20, 0x1.81698cbc263aap-20, 0x1.d15550d4be0a5p-20, 0x1.0e9d9835977e1p-19, 0x1.329f7dc1c2b3ep-19, 0x1.54c1b76c639e7p-19, 0x1.75151db00764cp-19, 0x1.93aa06d04cf0cp-19, 0x1.b0904a6e0e9a6p-19, 0x1.cbd7450159474p-19, 0x1.e58ddb432ec12p-19, 0x1.fdc27d7bbe81dp-19, 0x1.0a41955d13933p-18, 0x1.14eeb9ff8b44fp-18, 0x1.1eef3fa55dbffp-18, 0x1.2849854e24381p-18, 0x1.3103b76bc36d9p-18, 0x1.3923d1504419cp-18, 0x1.40af9e8d0a618p-18, 0x1.47acbc4dfb0aep-18, 0x1.4e209aa7febfbp-18, 0x1.54107de01c791p-18, 0x1.59817faab49b9p-18, 0x1.5e78906196c87p-18, 0x1.62fa78325e6bcp-18, 0x1.670bd844ae8e8p-18, 0x1.6ab12bd8e76a4p-18, 0x1.6deec95f4b5e4p-18, 0x1.70c8e3879cc8fp-18, 0x1.73438a496efep-18, 0x1.7562abe672127p-18, 0x1.772a15e444481p-18, 0x1.789d7600bc8cdp-18, 0x1.79c05b1fe7c08p-18, 0x1.7a9636328cb4ap-18, 0x1.7b225b17547bdp-18, 0x1.7b6801758cffap-18, 0x1.7b6a4592625c4p-18, 0x1.7b2c291ff71b3p-18, 0x1.7ab09407222f4p-18, 0x1.79fa552afcd3p-18, 0x1.790c2328f0df6p-18, 0x1.77e89d103e0ebp-18, 0x1.76924b187b448p-18, 0x1.750b9f5030742p-18, 0x1.7356f647d87ffp-18, 0x1.717697b78c4e4p-18, 0x1.6f6cb72026514p-18, 0x1.6d3b746978a92p-18, 0x1.6ae4dc79855cap-18, 0x1.686ae9c9adbdp-18, 0x1.65cf84f651edep-18, 0x1.6314854b80b91p-18, 0x1.603bb14c7dd8ap-18, 0x1.5d46bf3933517p-18, 0x1.5a37558dbb086p-18, 0x1.570f0b802b51p-18, 0x1.53cf69799ba86p-18, 0x1.5079e98cfe982p-18, 0x1.4d0ff7e86b2a1p-18, 0x1.4992f345d5ab2p-18, 0x1.46042d569688dp-18, 0x1.4264eb2c9308dp-18, 0x1.3eb665a0ec78ep-18, 0x1.3af9c9b634c9dp-18, 0x1.373038f97e09ap-18, 0x1.335ac9df9e874p-18, 0x1.2f7a881fe6adap-18, 0x1.2b90750c0bc5cp-18, 0x1.279d87e6d4cd5p-18, 0x1.23a2ae35474c7p-18, 0x1.1fa0cc116bb97p-18, 0x1.1b98bc76d83d3p-18, 0x1.178b518fd63e6p-18, 0x1.137954fe4f5a4p-18, 0x1.0f638823e2c3bp-18, 0x1.0b4aa4673751ep-18, 0x1.072f5b771778fp-18, 0x1.0312578bf6912p-18, 0x1.fde8774f2616ap-19, 0x1.f5ab47a3967aep-19, 0x1.ed6e4aaa95648p-19, 0x1.e5329df0968e8p-19, 0x1.dcf9526b6e45dp-19, 0x1.d4c36ce5192e6p-19, 0x1.cc91e6675c343p-19, 0x1.c465aca09f114p-19, 0x1.bc3fa2479144dp-19, 0x1.b4209f7b80382p-19, 0x1.ac09722193064p-19, 0x1.a3fade3eae38ep-19, 0x1.9bf59e4ffe38p-19, 0x1.93fa639e66501p-19, 0x1.8c09d69285993p-19, 0x1.842497032f788p-19, 0x1.7c4b3c82e71p-19, 0x1.747e56ab11935p-19, 0x1.6cbe6d63d9367p-19, 0x1.650c012b0ddb8p-19, 0x1.5d678b5781522p-19, 0x1.55d17e5b9d49p-19, 0x1.4e4a4604bcep-19, 0x1.46d247b88e668p-19, 0x1.3f69e2b204b0ep-19, 0x1.38117039f9a9p-19, 0x1.30c943e0287dfp-19, 0x1.2991abb0f8b61p-19, 0x1.226af06a658dap-19, 0x1.1b5555ae59ee5p-19, 0x1.14511a343d74ap-19, 0x1.0d5e77f89dcd9p-19, 0x1.067da46aa8ea8p-19, 0x1.ff5da13376c3ep-20, 0x1.f1e452bf41226p-20, 0x1.e48faf151438dp-20, 0x1.d760000b657c4p-20, 0x1.ca558800478fp-20, 0x1.bd708223c871ep-20, 0x1.b0b122c3984afp-20, 0x1.a417978ea6351p-20, 0x1.97a407db86b79p-20, 0x1.8b5694e8e8636p-20, 0x1.7f2f5a1e29df3p-20, 0x1.732e6d48b54e4p-20, 0x1.6753ded74dfc3p-20, 0x1.5b9fba13affe5p-20, 0x1.5012055a2da14p-20, 0x1.44aac24f31451p-20, 0x1.3969ee13b9831p-20, 0x1.2e4f8176712d1p-20, 0x1.235b712485953p-20, 0x1.188dadd8afaacp-20, 0x1.0de6248714e42p-20, 0x1.0364be8b215ecp-20, 0x1.f212c39d33da6p-21, 0x1.dda7e1e86c889p-21, 0x1.c98896fd7970ep-21, 0x1.b5b49bea89493p-21, 0x1.a22ba412fbcd8p-21, 0x1.8eed5d720cad8p-21, 0x1.7bf970e232d19p-21, 0x1.694f825bda3eap-21, 0x1.56ef313587feep-21, 0x1.44d818612c147p-21, 0x1.3309cea5c967fp-21, 0x1.2183e6d7c0d74p-21, 0x1.1045f01090c35p-21, 0x1.fe9eebc5685d8p-22, 0x1.dd4001162c19dp-22, 0x1.bc6e2a4878946p-22, 0x1.9c286ba4d5514p-22, 0x1.7c6dc3e68e172p-22, 0x1.5d3d2c8ed0caap-22, 0x1.3e959a3be9fbdp-22, 0x1.2075fcf5ac70ep-22, 0x1.02dd408051366p-22, 0x1.cb9499433c13dp-23, 0x1.92780adbc3b53p-23, 0x1.5a62971406c0ep-23, 0x1.2351f8da7eeb1p-23, 0x1.da87ca928e281p-24, 0x1.706c18341800fp-24, 0x1.084c303dc9a91p-24, 0x1.4446bed1a61f5p-25, 0x1.ef6752c179b27p-27, -0x1.22df8c5a0bc74p-27, -0x1.0977fab07a2d4p-25, -0x1.c6700fab2db4bp-25, -0x1.3fd4e4cee6b51p-24, -0x1.9a976c5327838p-24, -0x1.f3847a1ab681dp-24, -0x1.2550766c35aa4p-23, -0x1.4ff8d2ced910dp-23, -0x1.79bdc3a524f64p-23, -0x1.a2a1bafa62cc4p-23, -0x1.caa72b336b79cp-23, -0x1.f1d086cb5fa17p-23, -0x1.0c102009a493dp-22, -0x1.1ecc647c16781p-22, -0x1.311e496327837p-22, -0x1.430706f9d195p-22, -0x1.5487d4f4ea162p-22, -0x1.65a1ea6b370b6p-22, -0x1.76567dbaf80d3p-22, -0x1.86a6c474eebd6p-22, -0x1.9693f344d0ff7p-22, -0x1.a61f3ddea62eap-22, -0x1.b549d6e79cf35p-22, -0x1.c414efe570ab6p-22, -0x1.d281b92bd4765p-22, -0x1.e09161ca1a344p-22, -0x1.ee45177be0bf4p-22, -0x1.fb9e06994d76fp-22, -0x1.044ead04217d9p-21, -0x1.0aa21d97025ep-21, -0x1.10c9e8f122476p-21, -0x1.16c6a2313a7cep-21, -0x1.1c98dba2b7063p-21, -0x1.224126b887ac2p-21, -0x1.27c0140728951p-21, -0x1.2d1633405eae8p-21, -0x1.3244132db56c7p-21, -0x1.374a41accf3c2p-21, -0x1.3c294baa693b9p-21, -0x1.40e1bd1f342dbp-21, -0x1.4574210b9eba5p-21, -0x1.49e101744b76dp-21, -0x1.4e28e75f8d91bp-21, -0x1.524c5ad18c13bp-21, -0x1.564be2ca02cbcp-21, -0x1.5a280541dc7eep-21, -0x1.5de147284ca74p-21, -0x1.61782c60c706ep-21, -0x1.64ed37c10b0e5p-21, -0x1.6840eb0f760d6p-21, -0x1.6b73c70131308p-21, -0x1.6e864b38bb7ebp-21, -0x1.7178f64401eeep-21, -0x1.744c459c52087p-21, -0x1.7700b5a4504ep-21, -0x1.7996c1a759d43p-21, -0x1.7c0ee3d8b9cdep-21, -0x1.7e69955312f98p-21, -0x1.80a74e179af12p-21, -0x1.82c8850dce88ap-21, -0x1.84cdb0032a178p-21, -0x1.86b743aab8415p-21, -0x1.8885b39d03e4fp-21, -0x1.8a39725852e92p-21, -0x1.8bd2f1405f725p-21, -0x1.8d52a09ec0cd3p-21, -0x1.8eb8efa2f0465p-21, -0x1.90064c62c9236p-21, -0x1.913b23dacca92p-21, -0x1.9257e1eead263p-21, -0x1.935cf169c229dp-21, -0x1.944abbfffe51ap-21, -0x1.9521aa4dd2009p-21, -0x1.95e223d9dbf2bp-21, -0x1.968c8f1551768p-21, -0x1.9721515c5b59ap-21, -0x1.97a0cef7bf91ap-21, -0x1.980b6b1d80568p-21, -0x1.986187f1dab31p-21, -0x1.98a38688509d4p-21, -0x1.98d1c6e4bd339p-21, -0x1.98eca7fcb6ea8p-21, -0x1.98f487b86e4b1p-21, -0x1.98e9c2f4246adp-21, -0x1.98ccb5812f7b8p-21, -0x1.989dba275d332p-21, -0x1.985d2aa66558dp-21, -0x1.980b5fb724bf2p-21, -0x1.97a8b10d070d7p-21, -0x1.973575573fa73p-21, -0x1.96b202428bc56p-21, -0x1.961eac7ab2631p-21, -0x1.957bc7ab85925p-21, -0x1.94c9a682b408fp-21, -0x1.94089ab1763e7p-21, -0x1.9338f4edd6151p-21, -0x1.925b04f4429acp-21, -0x1.916f19895222cp-21, -0x1.9075807b42a7fp-21, -0x1.8f6e86a38d52ap-21, -0x1.8e5a77e8b02e4p-21, -0x1.8d399f3f8ca65p-21, -0x1.8c0c46ad26dbep-21, -0x1.8ad2b748973f3p-21, -0x1.898d393c338e1p-21, -0x1.883c13c7bdc34p-21, -0x1.86df8d41c5ce4p-21, -0x1.8577eb1982f69p-21, -0x1.840571d86076ep-21, -0x1.82886523e0cb2p-21, -0x1.810107bf3fbcbp-21, -0x1.7f6f9b8d35defp-21, -0x1.7dd46191949c8p-21, -0x1.7c2f99f32224cp-21, -0x1.7a8183fd7d2f9p-21, -0x1.78ca5e22757bdp-21, -0x1.770a65fbfc7ccp-21, -0x1.7541d84def4b1p-21, -0x1.7370f107c34cap-21, -0x1.7197eb4657fc7p-21, -0x1.6fb70155bf79p-21, -0x1.6dce6cb2e9195p-21, -0x1.6bde660d3af13p-21, -0x1.69e725488eb77p-21, -0x1.67e8e17ec9729p-21, -0x1.65e3d101bd9f4p-21, -0x1.63d8295cc3c8fp-21, -0x1.61c61f5672083p-21, -0x1.5fade6f28976p-21, -0x1.5d8fb373a5981p-21, -0x1.5b6bb75cca99p-21, -0x1.594224733d49cp-21, -0x1.57132bc0439e4p-21, -0x1.54defd92b7f81p-21, -0x1.52a5c980e93a1p-21, -0x1.5067be6a4d342p-21, -0x1.4e250a792f5e4p-21, -0x1.4bdddb243de9cp-21, -0x1.49925d3062e9dp-21, -0x1.4742bcb27cbdfp-21, -0x1.44ef2510f0e6cp-21, -0x1.4297c10575f6bp-21, -0x1.403cba9eaeeecp-21, -0x1.3dde3b41c9d5bp-21, -0x1.3b7c6bac214eap-21, -0x1.391773f507ec1p-21, -0x1.36af7b8f6828ep-21, -0x1.3444a94b5b64p-21, -0x1.31d72357c02a4p-21, -0x1.2f670f43efdc9p-21, -0x1.2cf492013b61ep-21, -0x1.2a7fcfe4d3fdbp-21, -0x1.2808eca90138p-21, -0x1.25900b6f07dbap-21, -0x1.23154ec08f5e4p-21, -0x1.2098d8914e4d1p-21, -0x1.1e1aca40a3d1bp-21, -0x1.1b9b449b1d9cfp-21, -0x1.191a67dbf5fadp-21, -0x1.169853aea96bdp-21, -0x1.14152730a85f4p-21, -0x1.119100f2a6b36p-21, -0x1.0f0bfefa3a87ep-21, -0x1.0c863ec37a5e9p-21, -0x1.09ffdd4250873p-21, -0x1.0778f6e3f6e53p-21, -0x1.04f1a790b3808p-21, -0x1.026a0aad3052dp-21, -0x1.ffc4763786579p-22, -0x1.fab4a67c4a5e1p-22, -0x1.f5a4d9edd04adp-22, -0x1.f0954355aa698p-22, -0x1.eb8614847e48cp-22, -0x1.e6777e552f762p-22, -0x1.e169b0af93b5p-22, -0x1.dc5cda8b699dcp-22, -0x1.d75129f2f6b1bp-22, -0x1.d246cc06166bcp-22, -0x1.cd3decfcc91c5p-22, -0x1.c836b829a2f31p-22, -0x1.c33157fcf97fap-22, -0x1.be2df607ccf0ep-22, -0x1.b92cbafe199b4p-22, -0x1.b42dceb929f4fp-22, -0x1.af31583ab72c9p-22, -0x1.aa377db01d947p-22, -0x1.a5406473d741p-22, -0x1.a04c311077451p-22, -0x1.9b5b0743ae9c9p-22, -0x1.966d0a0059724p-22, -0x1.91825b71463edp-22, -0x1.8c9b1cfbdc9fep-22, -0x1.87b76f425b7fdp-22, -0x1.82d7722647a99p-22, -0x1.7dfb44cb21618p-22, -0x1.79230598ad9ebp-22, -0x1.744ed23d97592p-22, -0x1.6f7ec7b1c11p-22, -0x1.6ab302388a52p-22, -0x1.65eb9d6342785p-22, -0x1.6128b41375196p-22, -0x1.5c6a607d564fp-22, -0x1.57b0bc2a0b032p-22, -0x1.52fbdffa1d0c8p-22, -0x1.4e4be42784c34p-22, -0x1.49a0e047e88b4p-22, -0x1.44faeb4f1516ep-22, -0x1.405a1b91171ffp-22, -0x1.3bbe86c472a4cp-22, -0x1.372842043e031p-22, -0x1.329761d291782p-22, -0x1.2e0bfa1a41d96p-22, -0x1.29861e313905bp-22, -0x1.2505e0da8b019p-22, -0x1.208b54490bbe3p-22, -0x1.1c168a2085edp-22, -0x1.17a793783b1a5p-22, -0x1.133e80dcbafd5p-22, -0x1.0edb625277ddp-22, -0x1.0a7e475738e1bp-22, -0x1.06273ee4437bep-22, -0x1.01d657702b53fp-22, -0x1.fb173de1d62dcp-23, -0x1.f28e45bbf0613p-23, -0x1.ea11e063d3603p-23, -0x1.e1a226d8cc61ap-23, -0x1.d93f31282cc16p-23, -0x1.d0e916713580fp-23, -0x1.c89fece8786e6p-23, -0x1.c063c9db7f644p-23, -0x1.b834c1b466a03p-23, -0x1.b012e7fd7e79fp-23, -0x1.a7fe4f64ea563p-23, -0x1.9ff709c034887p-23, -0x1.97fd280f5c771p-23, -0x1.9010ba80e5288p-23, -0x1.8831d0748f78fp-23, -0x1.8060787f31509p-23, -0x1.789cc06dea849p-23, -0x1.70e6b54932fbdp-23, -0x1.693e635846e6fp-23, -0x1.61a3d624fdf6cp-23, -0x1.5a17187e19a7cp-23, -0x1.5298347abab3ep-23, -0x1.4b27337d8e92cp-23, -0x1.43c41e37f949bp-23, -0x1.3c6efcad2bddp-23, -0x1.3527d634e05dcp-23, -0x1.2deeb17e67222p-23, -0x1.26c3949444cc5p-23, }}, 
      {{0x1.a2c1ab7b3ca3dp-9, 0x1.a73f41b7833f3p-8, 0x1.424d3e92653c6p-7, 0x1.b4fdffcfb361bp-7, 0x1.154980815a8c6p-6, 0x1.5051a550a4a38p-6, 0x1.89dfaf8754a12p-6, 0x1.bfe4706f7f6d3p-6, 0x1.f026e6da2c83ep-6, 0x1.0c371890c0b79p-5, 0x1.1b525c64ec5d1p-5, 0x1.2479a0c5205dbp-5, 0x1.26e9de3edc78ap-5, 0x1.220e414cbb737p-5, 0x1.158281dbb7793p-5, 0x1.011291af31b84p-5, 0x1.c9707f026acc5p-6, 0x1.812ec2d767308p-6, 0x1.29f20e1e23537p-6, 0x1.89187c2b437fdp-7, 0x1.480f3279e96f6p-8, -0x1.63b9bdd524e1cp-9, -0x1.6b2b6f042c65fp-7, -0x1.47f35cf81ba27p-6, -0x1.e21f712b20a3ap-6, -0x1.41525980b8f24p-5, -0x1.94080f862ae22p-5, -0x1.e87b55509d28ap-5, -0x1.1efe7f4a61844p-4, -0x1.49f30e1b94f5cp-4, -0x1.74ccb9176c6f9p-4, -0x1.9f4245354fc83p-4, -0x1.c9103831291cap-4, -0x1.f1f91072d241dp-4, -0x1.0ce2ae52934d9p-3, -0x1.2021dc1b7bdedp-3, -0x1.32a458caf9641p-3, -0x1.44574f3f4bf87p-3, -0x1.552ab12185f68p-3, -0x1.651114b8ebf59p-3, -0x1.73ff8ee8b6f41p-3, -0x1.81ed8a9baffc8p-3, -0x1.8ed49eae7febdp-3, -0x1.9ab0633b64736p-3, -0x1.a57e4700be604p-3, -0x1.af3d65774d6d1p-3, -0x1.b7ee5e0d2c8ccp-3, -0x1.bf932cdeeff4fp-3, -0x1.c62f0530e9b88p-3, -0x1.cbc62dd6c2e42p-3, -0x1.d05ddfa72541dp-3, -0x1.d3fc260ba1337p-3, -0x1.d6a7c1b20b49bp-3, -0x1.d8680d5be7427p-3, -0x1.d944e4c17c7e9p-3, -0x1.d9468d7937332p-3, -0x1.d875a1cffa9e2p-3, -0x1.d6dafd7c6096cp-3, -0x1.d47fac152b02ap-3, -0x1.d16cd932034cep-3, -0x1.cdabc21d46bd6p-3, -0x1.c945a8fd8f9c2p-3, -0x1.c443c95e1ba21p-3, -0x1.beaf4dfdbb348p-3, -0x1.b89147cccaa5ep-3, -0x1.b1f2a603c3e0ep-3, -0x1.aadc2f3ccd81ap-3, -0x1.a3567b7bf4798p-3, -0x1.9b69ef12bc708p-3, -0x1.931eb64cc9ecp-3, -0x1.8a7cc1d49618bp-3, -0x1.818bc3c00fb87p-3, -0x1.78532d3625521p-3, -0x1.6eda2c9f25bfcp-3, -0x1.6527ac52d1baep-3, -0x1.5b4251b7e4be3p-3, -0x1.51307cc9ac0f9p-3, -0x1.46f847f90d12fp-3, -0x1.3c9f885f28172p-3, -0x1.322bce3872197p-3, -0x1.27a2659fca9e5p-3, -0x1.1d085781bc835p-3, -0x1.12626ac0aff8cp-3, -0x1.07b525835facfp-3, -0x1.fa099d4eea6f7p-4, -0x1.e4aadea542d3bp-4, -0x1.cf55a93a23c81p-4, -0x1.ba1122a111764p-4, -0x1.a4e3ff6f9c57ep-4, -0x1.8fd486f5130bdp-4, -0x1.7ae897042360dp-4, -0x1.6625a7c7d1e8fp-4, -0x1.5190cf9e3967cp-4, -0x1.3d2ec6f3df6f6p-4, -0x1.2903ec1b1407fp-4, -0x1.1514471b56e33p-4, -0x1.01638d75346bp-4, -0x1.dbea4baf09352p-5, -0x1.b5985786c2753p-5, -0x1.8fd6e6390d0a5p-5, -0x1.6aab1748649f9p-5, -0x1.461988b9ca0b9p-5, -0x1.22265dab6a47ap-5, -0x1.fdaa8970a3b47p-6, -0x1.b852fc4f32481p-6, -0x1.744bc3cbc4b9bp-6, -0x1.3199ca90cb418p-6, -0x1.e082826496e2cp-7, -0x1.608b51b10f10bp-7, -0x1.c6a775f49a634p-8, -0x1.a380fddf24e5dp-9, 0x1.d97871fac50b9p-12, 0x1.075c059d75bc1p-8, 0x1.eb8a678d62a46p-8, 0x1.6510fc6a5d93ep-7, 0x1.d191e3838f986p-7, 0x1.1da4a0ecbf928p-6, 0x1.511c9a088e7c3p-6, 0x1.833246a0bd285p-6, 0x1.b3e7651b1c4b2p-6, 0x1.e33e02ace1c1cp-6, 0x1.089c3ad03ad85p-5, 0x1.1eecabf46d115p-5, 0x1.3491c0ffb6b3bp-5, 0x1.498d03047987ap-5, 0x1.5de0159f5ff39p-5, 0x1.718cb4cc8282dp-5, 0x1.8494b2db96c0cp-5, 0x1.96f9f681b8cb7p-5, 0x1.a8be79075f3b5p-5, 0x1.b9e4449114f57p-5, 0x1.ca6d7281a9f3ap-5, 0x1.da5c29f485041p-5, 0x1.e9b29e4ee3b2cp-5, 0x1.f8730de6c9965p-5, 0x1.034fe05f41014p-4, 0x1.0a1d83a9c80c7p-4, 0x1.10a39cc005d4fp-4, 0x1.16e35ab6add12p-4, 0x1.1cddef4bb042bp-4, 0x1.22948e6f925p-4, 0x1.28086dd616473p-4, 0x1.2d3ac48dd01d2p-4, 0x1.322cca9e3c6eep-4, 0x1.36dfb8abfcc83p-4, 0x1.3b54c7a2e10bp-4, 0x1.3f8d306567c68p-4, 0x1.438a2b81648ecp-4, 0x1.474cf0e981381p-4, 0x1.4ad6b7b352893p-4, 0x1.4e28b5d9bca93p-4, 0x1.51442003687b4p-4, 0x1.542a294d0e728p-4, 0x1.56dc03175d29ap-4, 0x1.595adcd84752p-4, 0x1.5ba7e3ef89a73p-4, 0x1.5dc4437e35e2dp-4, 0x1.5fb124411d91fp-4, 0x1.616fac6de9c78p-4, 0x1.6300ff92c3b34p-4, 0x1.64663e7860b9dp-4, 0x1.65a0870656c94p-4, 0x1.66b0f4299533bp-4, 0x1.67989dbce4dcdp-4, 0x1.6858987351d09p-4, 0x1.68f1f5c468478p-4, 0x1.6965c3da26207p-4, 0x1.69b50d808e85ap-4, 0x1.69e0da16c7cfp-4, 0x1.69ea2d81ac965p-4, 0x1.69d2081fbfce7p-4, 0x1.699966be6f749p-4, 0x1.6941429096073p-4, 0x1.68ca912628fcep-4, 0x1.683644650575ap-4, 0x1.67854a82cc03dp-4, 0x1.66b88dffbee39p-4, 0x1.65d0f5a291e96p-4, 0x1.64cf64752795p-4, 0x1.63b4b9c227689p-4, 0x1.6281d11365c49p-4, 0x1.61378231139d9p-4, 0x1.5fd6a121aa9b1p-4, 0x1.5e5ffe2a8a8a9p-4, 0x1.5cd465d145b0cp-4, 0x1.5b34a0dd89d99p-4, 0x1.5981745ba6542p-4, 0x1.57bba19fa09b7p-4, 0x1.55e3e648d5073p-4, 0x1.53fafc4618162p-4, 0x1.520199da56087p-4, 0x1.4ff871a1a60e4p-4, 0x1.4de03296cde0bp-4, 0x1.4bb988192d25fp-4, 0x1.498519f30cc19p-4, 0x1.47438c604b087p-4, 0x1.44f580155fbcdp-4, 0x1.429b9246b6c5ap-4, 0x1.40365cb0546f2p-4, 0x1.3dc6759dc7128p-4, 0x1.3b4c6ff25b3dfp-4, 0x1.38c8db3191a7cp-4, 0x1.363c4387d0978p-4, 0x1.33a731d34f039p-4, 0x1.310a2bad322b4p-4, 0x1.2e65b372df442p-4, 0x1.2bba484f76d8cp-4, 0x1.290866457ab9dp-4, 0x1.265086389bb2p-4, 0x1.23931df7a73dcp-4, 0x1.20d0a04697ebap-4, 0x1.1e097ce8c0d3fp-4, 0x1.1b3e20ab15635p-4, 0x1.186ef56e85602p-4, 0x1.159c623270293p-4, 0x1.12c6cb1f287d8p-4, 0x1.0fee9190870acp-4, 0x1.0d1414208c4a8p-4, 0x1.0a37aeb20b85p-4, 0x1.0759ba7b5f26ep-4, 0x1.047a8e1123f31p-4, 0x1.019a7d70f89b3p-4, 0x1.fd73b4187e8d1p-5, 0x1.f7b1e5a5bf9cp-5, 0x1.f1f0287c14a31p-5, 0x1.ec2f10b5e8b34p-5, 0x1.e66f2dab29215p-5, 0x1.e0b10a06ac148p-5, 0x1.daf52bdb8c2d9p-5, 0x1.d53c14ba6f112p-5, 0x1.cf8641c6b83dfp-5, 0x1.c9d42bcba3f6bp-5, 0x1.c42647514a3e4p-5, 0x1.be7d04b182de7p-5, 0x1.b8d8d02cac93ep-5, 0x1.b33a11fe52cep-5, 0x1.ada12e71b30fap-5, 0x1.a80e85f61a8e1p-5, 0x1.a28275331e29dp-5, 0x1.9cfd551cab5a1p-5, 0x1.977f7b06ecc26p-5, 0x1.920938ba05446p-5, 0x1.8c9adc859c45bp-5, 0x1.8734b1543c92ap-5, 0x1.81d6febe85296p-5, 0x1.7c82091e25986p-5, 0x1.773611a0ab919p-5, 0x1.71f3565a193fcp-5, 0x1.6cba12574cd0bp-5, 0x1.678a7db02d975p-5, 0x1.6264cd99a4c0fp-5, 0x1.5d49347762524p-5, 0x1.5837e1ed64914p-5, 0x1.533102f14dd3ap-5, 0x1.4e34c1db7d6dfp-5, 0x1.49434677f10c3p-5, 0x1.445cb616e92b8p-5, 0x1.3f81339d5872bp-5, 0x1.3ab0df9512a86p-5, 0x1.35ebd83cc46b6p-5, 0x1.31323997af749p-5, 0x1.2c841d7d27848p-5, 0x1.27e19ba7d9d5cp-5, 0x1.234ac9c4d2c3ap-5, 0x1.1ebfbb824b7fbp-5, 0x1.1a40829e39266p-5, 0x1.15cd2ef4a279cp-5, 0x1.1165ce8db5edbp-5, 0x1.0d0a6daba5ff8p-5, 0x1.08bb16d84964p-5, 0x1.0477d2f27f0abp-5, 0x1.0040a93b56513p-5, 0x1.f82b3ec5f77ffp-6, 0x1.efed732ad60b2p-6, 0x1.e7c7f50dcc5efp-6, 0x1.dfbac70060096p-6, 0x1.d7c5e8d520622p-6, 0x1.cfe957b72a96cp-6, 0x1.c8250e414e025p-6, 0x1.c0790494af0bbp-6, 0x1.b8e5306efad43p-6, 0x1.b16985402dd43p-6, 0x1.aa05f43fe5a83p-6, 0x1.a2ba6c824516ap-6, 0x1.9b86db0c6833dp-6, 0x1.946b2ae86d8eep-6, 0x1.8d6745390d608p-6, 0x1.867b114cc9478p-6, 0x1.7fa674b0aef3bp-6, 0x1.78e95342b57bep-6, 0x1.72438f43a74c4p-6, 0x1.6bb50968b2022p-6, 0x1.653da0ec82e06p-6, 0x1.5edd33a00ed29p-6, 0x1.58939dfae166ep-6, 0x1.5260bb2b1973fp-6, 0x1.4c446525011d6p-6, 0x1.463e74b238c66p-6, 0x1.404ec18098d55p-6, 0x1.3a752230a22bfp-6, 0x1.34b16c6396a9fp-6, 0x1.2f0374c93f5a6p-6, 0x1.296b0f2d4c981p-6, 0x1.23e80e846492p-6, 0x1.1e7a44f8d7084p-6, 0x1.192183f6fa7bdp-6, 0x1.13dd9c3939da1p-6, 0x1.0eae5dd3c3dc9p-6, 0x1.0993983ff4bf4p-6, 0x1.048d1a6763c7p-6, 0x1.ff35655d4c639p-7, 0x1.f5785dff8db5p-7, 0x1.ebe2b9a8ca66ep-7, 0x1.e274127f32488p-7, 0x1.d92c01eef2a1ap-7, 0x1.d00a20bcd6625p-7, 0x1.c70e07183395bp-7, 0x1.be374cac683e5p-7, 0x1.b58588b1b991bp-7, 0x1.acf851fdad80ep-7, 0x1.a48f3f12eb37fp-7, 0x1.9c49e63089401p-7, 0x1.9427dd60e297ep-7, 0x1.8c28ba87e8ea4p-7, 0x1.844c137104c4ap-7, 0x1.7c917ddc701aep-7, 0x1.74f88f8c1bfabp-7, 0x1.6d80de503252ap-7, 0x1.662a00130f359p-7, 0x1.5ef38ae4d1f86p-7, 0x1.57dd150690049p-7, 0x1.50e634f504c82p-7, 0x1.4a0e8172e793p-7, 0x1.43559192dfec6p-7, 0x1.3cbafcc1053c3p-7, 0x1.363e5acc089b6p-7, 0x1.2fdf43ee01546p-7, 0x1.299d50d4cfb2fp-7, 0x1.23781aaa35cb9p-7, 0x1.1d6f3b1b85968p-7, 0x1.17824c61039ap-7, 0x1.11b0e944f32cp-7, 0x1.0bfaad2a4f19dp-7, 0x1.065f34132eb75p-7, 0x1.00de1aa6e1becp-7, 0x1.f6edfc6f78814p-8, 0x1.ec52f991303fep-8, 0x1.e1ea6a2422e8cp-8, 0x1.d7b38d0ee0e7cp-8, 0x1.cdada2b6caad1p-8, 0x1.c3d7ed08c3fcdp-8, 0x1.ba31af81a5617p-8, 0x1.b0ba2f35fa514p-8, 0x1.a770b2d96198fp-8, 0x1.9e5482c56ae2ep-8, 0x1.9564e90002cfdp-8, 0x1.8ca131416e784p-8, 0x1.8408a8f9d6569p-8, 0x1.7b9a9f566323p-8, 0x1.73566545ff34bp-8, 0x1.6b3b4d7da6bb8p-8, 0x1.6348ac7c6190ap-8, 0x1.5b7dd88ecb071p-8, 0x1.53da29d25e58dp-8, 0x1.4c5cfa38485a3p-8, 0x1.4505a587fca97p-8, 0x1.3dd389616931dp-8, 0x1.36c6053ee428ap-8, 0x1.2fdc7a76b8eedp-8, 0x1.29164c3c8e19bp-8, 0x1.2272dfa258a5p-8, 0x1.1bf19b99269c8p-8, 0x1.1591e8f19b851p-8, 0x1.0f53325c2ffap-8, 0x1.0934e4692a136p-8, 0x1.03366d88651a7p-8, 0x1.faae7c11aec1ap-9, 0x1.ef2d902fb8d61p-9, 0x1.e3e8ff80b6288p-9, 0x1.d8dfb5d34083fp-9, 0x1.ce10a2ac3152ep-9, 0x1.c37ab943af44fp-9, 0x1.b91cf081cd9dcp-9, 0x1.aef642faf1887p-9, 0x1.a505aeebd336p-9, 0x1.9b4a3635284aap-9, 0x1.91c2de570d8d2p-9, 0x1.886eb06c2c78dp-9, 0x1.7f4cb924811bcp-9, 0x1.765c08bff7fcbp-9, 0x1.6d9bb308ce147p-9, 0x1.650acf4d8a526p-9, 0x1.5ca8785b04134p-9, 0x1.5473cc75ea5e6p-9, 0x1.4c6bed5453042p-9, 0x1.44900016dec6cp-9, 0x1.3cdf2d41fd999p-9, 0x1.3558a0b6b045cp-9, 0x1.2dfb89ab66345p-9, 0x1.26c71aa48d88dp-9, 0x1.1fba896d0dd76p-9, 0x1.18d50f0e9ae28p-9, 0x1.1215e7c9fe571p-9, 0x1.0b7c530f1a9ap-9, 0x1.05079374fcc8cp-9, 0x1.fd6ddd6383619p-10, 0x1.f1135b24a23dp-10, 0x1.e4fe37e481283p-10, 0x1.d92d1166b6bc3p-10, 0x1.cd9e8b6a8b5a7p-10, 0x1.c2514f9a13779p-10, 0x1.b7440d79107acp-10, 0x1.ac757a53e03fdp-10, 0x1.a1e4512e3d4f8p-10, 0x1.978f52b200386p-10, 0x1.8d75451db19ddp-10, 0x1.8394f433404e5p-10, 0x1.79ed312693529p-10, 0x1.707cd28bf5b49p-10, 0x1.6742b446c4b49p-10, 0x1.5e3db777f7b5dp-10, 0x1.556cc26c9086cp-10, 0x1.4ccec08c2b2fcp-10, 0x1.4462a247b1c8cp-10, 0x1.3c275d07d5c33p-10, 0x1.341beb1bb2dcfp-10, 0x1.2c3f4ba792b8dp-10, 0x1.249082939c343p-10, 0x1.1d0e987a9a606p-10, 0x1.15b89a98f2c67p-10, 0x1.0e8d9abb77a33p-10, 0x1.078caf2e7db15p-10, 0x1.00b4f2acf1f31p-10, 0x1.f40b089f128ap-11, 0x1.e6fb0ef81cad3p-11, 0x1.da3847a971495p-11, 0x1.cdc10a4f81da7p-11, 0x1.c193b6bdda63ap-11, 0x1.b5aeb4de81f5p-11, 0x1.aa107491d9bfap-11, 0x1.9eb76d8e50b2cp-11, 0x1.93a21f40bb085p-11, 0x1.88cf10acaefebp-11, 0x1.7e3cd04d3b321p-11, 0x1.73e9f3f5d012bp-11, 0x1.69d518b38caa4p-11, 0x1.5ffce2aed708fp-11, 0x1.565ffd0d0e5f7p-11, 0x1.4cfd19d2bf05bp-11, 0x1.43d2f1c5ec208p-11, 0x1.3ae044510923fp-11, 0x1.3223d76598d0ep-11, 0x1.299c775fd214p-11, 0x1.2148f6ea3c1d9p-11, 0x1.19282ee15954dp-11, 0x1.1138fe38433dap-11, 0x1.097a49dd049ccp-11, 0x1.01eafc9d8cbc1p-11, 0x1.f5140e1a132c8p-12, 0x1.e6acbed26c9b8p-12, 0x1.d89e0300e00acp-12, 0x1.cae5dd2fa19afp-12, 0x1.bd825aa351d59p-12, 0x1.b0719328c9c12p-12, 0x1.a3b1a8e3bb869p-12, 0x1.9740c81cfd127p-12, 0x1.8b1d2712f7b32p-12, 0x1.7f4505c97be3cp-12, 0x1.73b6addaf21eap-12, 0x1.68707249b99f9p-12, 0x1.5d70af52cfe97p-12, 0x1.52b5ca4054444p-12, 0x1.483e313d6c508p-12, 0x1.3e085b2a52ef9p-12, 0x1.3412c770f0158p-12, 0x1.2a5bfddb1c71dp-12, 0x1.20e28e67bfe98p-12, 0x1.17a511227654fp-12, 0x1.0ea225fa61ec9p-12, 0x1.05d8749a6bda2p-12, 0x1.fa8d5883b683cp-13, 0x1.e9d7073b40e12p-13, 0x1.d98b71445cb41p-13, 0x1.c9a820cbdfd52p-13, 0x1.ba2aadf89103cp-13, 0x1.ab10bea326aa1p-13, 0x1.9c58060e30eap-13, 0x1.8dfe449fc6065p-13, 0x1.8001479d3db72p-13, 0x1.725ee8e63cdb2p-13, 0x1.65150eb310bc2p-13, 0x1.5821ab51b7a7ep-13, 0x1.4b82bce68212ap-13, 0x1.3f364d2c10b11p-13, 0x1.333a713538101p-13, 0x1.278d492fe05f7p-13, 0x1.1c2d0028c837fp-13, 0x1.1117cbd054b29p-13, 0x1.064bec40f6d21p-13, 0x1.f78f578bb75e8p-14, 0x1.e312bd46725a6p-14, 0x1.cf1ec5bec3781p-14, 0x1.bbb040194af2cp-14, 0x1.a8c40e29c3b7cp-14, 0x1.9657240a06471p-14, 0x1.846687b54ff8bp-14, 0x1.72ef50a3af02p-14, 0x1.61eea767cf018p-14, 0x1.5161c54f29abdp-14, 0x1.4145f40358102p-14, 0x1.31988d2e103a1p-14, 0x1.2256fa1d9ddep-14, 0x1.137eb36c6ad34p-14, 0x1.050d40a988433p-14, 0x1.ee00700723c5ap-15, 0x1.d2aa7be84689ep-15, 0x1.b81409dc0742p-15, 0x1.9e389a1a4adedp-15, 0x1.8513c78ca4df3p-15, 0x1.6ca147375dc7cp-15, 0x1.54dce79ecabb4p-15, 0x1.3dc290346a396p-15, 0x1.274e40c576d76p-15, 0x1.117c10ebce9dp-15, 0x1.f8905f05fbf75p-16, 0x1.cf5dc43e7f25fp-16, 0x1.a75909111eb49p-16, 0x1.807b106e03601p-16, 0x1.5abce7a59120bp-16, 0x1.3617c56cc68ecp-16, 0x1.128508e8bfa8fp-16, 0x1.dffc717c9adffp-17, 0x1.9cfa044a7c5eap-17, 0x1.5bf67007e29f2p-17, 0x1.1ce5a4192b30ep-17, 0x1.bf77af873edd6p-18, 0x1.48db10fe2a994p-18, 0x1.abbde12765045p-19, 0x1.99b560bab66eep-20, -0x1.63cae6aa3c19fp-24, -0x1.b8ae3a3ed78dap-20, -0x1.a6f88fadab016p-19, -0x1.359554ee048b6p-18, -0x1.948a3c87a9718p-18, -0x1.f06e115c9b1efp-18, -0x1.24a9ba767ba0ep-17, -0x1.4fa64d194ceffp-17, -0x1.7935a420d72ccp-17, -0x1.a1606e6c90312p-17, -0x1.c82f2771d6bdbp-17, -0x1.edaa187ba558ap-17, -0x1.08ecaceb2c8abp-16, -0x1.1a6269ffce861p-16, -0x1.2b3a206508c5bp-16, -0x1.3b77963e984d9p-16, -0x1.4b1e7b750e6e5p-16, -0x1.5a326a3f6e733p-16, -0x1.68b6e7a7c5cdcp-16, -0x1.76af640dff038p-16, -0x1.841f3ba6203b1p-16, -0x1.9109b6f53fc39p-16, -0x1.9d720b49f2a3fp-16, -0x1.a95b5b334a3c4p-16, -0x1.b4c8b6f439006p-16, -0x1.bfbd1cf326197p-16, -0x1.ca3b7a29dd434p-16, -0x1.d446aa8ebdffep-16, -0x1.dde1797fcf058p-16, -0x1.e70ea22735c2fp-16, -0x1.efd0cfe000c1cp-16, -0x1.f82a9e96974d3p-16, -0x1.000f4d949039cp-15, -0x1.03d7a1e16940ep-15, -0x1.076f841b8e83ap-15, -0x1.0ad8252cc8362p-15, -0x1.0e12af2a2bbccp-15, -0x1.1120457daef11p-15, -0x1.1402050f7e825p-15, -0x1.16b9046d9c10cp-15, -0x1.194653f30cf49p-15, -0x1.1baafded7c57dp-15, -0x1.1de806c2ab977p-15, -0x1.1ffe6d141dc34p-15, -0x1.21ef29e2cfb9cp-15, -0x1.23bb30b0baf8fp-15, -0x1.25636fa32e729p-15, -0x1.26e8cfa2e96fap-15, -0x1.284c347beacbp-15, -0x1.298e7cfcb1231p-15, -0x1.2ab0831448ccep-15, -0x1.2bb31befac7afp-15, -0x1.2c971816a48bcp-15, -0x1.2d5d4387cd743p-15, -0x1.2e0665d38bfb7p-15, -0x1.2e93423702e83p-15, -0x1.2f0497b5d9513p-15, -0x1.2f5b21333da6bp-15, -0x1.2f97958af32f1p-15, -0x1.2fbaa7a90e486p-15, -0x1.2fc506a12aff7p-15, -0x1.2fb75dc57af07p-15, -0x1.2f9254bcdc5b3p-15, -0x1.2f568f984e5e4p-15, -0x1.2f04aee861974p-15, -0x1.2e9d4fd163102p-15, -0x1.2e210c1f86d03p-15, -0x1.2d907a5a7838ep-15, -0x1.2cec2dd81dbe3p-15, -0x1.2c34b6cf3f138p-15, -0x1.2b6aa269ac2a4p-15, -0x1.2a8e7ad59338dp-15, -0x1.29a0c756d3273p-15, -0x1.28a20c576e9a9p-15, -0x1.2792cb77fb671p-15, -0x1.2673839f74eadp-15, -0x1.2544b10a92d59p-15, -0x1.2406cd5afeca3p-15, -0x1.22ba4fa5a7be3p-15, -0x1.215fac817af24p-15, -0x1.1ff75614dd57fp-15, -0x1.1e81bc237eadcp-15, -0x1.1cff4c1b98e2ep-15, -0x1.1b7071226fcfp-15, -0x1.19d594215ff2bp-15, -0x1.182f1bd1b8cffp-15, -0x1.167d6cc8ed5e4p-15, -0x1.14c0e983dc786p-15, -0x1.12f9f27279206p-15, -0x1.1128e60297b53p-15, -0x1.0f4e20aac768cp-15, -0x1.0d69fcf4c6778p-15, -0x1.0b7cd387e686ep-15, -0x1.0986fb32b9434p-15, -0x1.0788c8f4f0283p-15, -0x1.05829008ebefdp-15, -0x1.0374a1ecae343p-15, -0x1.015f4e6b4648cp-15, -0x1.fe85c74a6bf7bp-16, -0x1.fa3f5c32836d1p-16, -0x1.f5ebf15985049p-16, -0x1.f18c19676734ap-16, -0x1.ed2063f15cabp-16, -0x1.e8a95d89bc464p-16, -0x1.e4278fce73cd2p-16, -0x1.df9b817840ce7p-16, -0x1.db05b669327a6p-16, -0x1.d666afba6bcf4p-16, -0x1.d1beebca3cf6cp-16, -0x1.cd0ee649147bbp-16, -0x1.c8571846f17a8p-16, -0x1.c397f840184f9p-16, -0x1.bed1fa29a7906p-16, -0x1.ba058f7d78282p-16, -0x1.b53327462e733p-16, -0x1.b05b2e2b408c3p-16, -0x1.ab7e0e7b9b83fp-16, -0x1.a69c30393c272p-16, -0x1.a1b5f9241fdf7p-16, -0x1.9ccbccc44e467p-16, -0x1.97de0c74c0a82p-16, -0x1.92ed176d600edp-16, -0x1.8df94acca0963p-16, -0x1.890301a1ec456p-16, -0x1.840a94f645c92p-16, -0x1.7f105bd610742p-16, -0x1.7a14ab59d929dp-16, -0x1.7517d6af9d632p-16, -0x1.701a2f2312654p-16, -0x1.6b1c042638217p-16, -0x1.661da359d394fp-16, -0x1.611f589594da4p-16, -0x1.5c216defce426p-16, -0x1.57242bc585806p-16, -0x1.5227d8c1f1d5fp-16, -0x1.4d2cb9e63837cp-16, -0x1.483312905c3e3p-16, -0x1.433b2482e3118p-16, -0x1.3e452feb8c265p-16, -0x1.3951736a48aap-16, -0x1.34602c185cbb5p-16, -0x1.2f71958e70f9bp-16, -0x1.2a85e9eb99145p-16, -0x1.259d61db8737bp-16, -0x1.20b8349c8e7bep-16, -0x1.1bd698066da41p-16, -0x1.16f8c08fa32bcp-16, -0x1.121ee153ff198p-16, -0x1.0d492c19f1486p-16, -0x1.0877d158a4557p-16, -0x1.03ab003d51ad1p-16, -0x1.fdc5cd620c007p-17, -0x1.f43f62bb9e41ep-17, -0x1.eac3176887e18p-17, -0x1.e1513fe13aae4p-17, -0x1.d7ea2e3ffefecp-17, -0x1.ce8e324a745b7p-17, -0x1.c53d997c88dbcp-17, -0x1.bbf8af1103604p-17, -0x1.b2bfbc0c3733cp-17, -0x1.a9930744c2275p-17, -0x1.a072d56d46e1ep-17, -0x1.975f691d2afbcp-17, -0x1.8e5902da347bbp-17, -0x1.855fe1206a02bp-17, -0x1.7c74406c20b1bp-17, -0x1.73965b412c837p-17, -0x1.6ac66a3479766p-17, -0x1.6204a3f388482p-17, -0x1.59513d4d5aaf6p-17, -0x1.50ac6939cef19p-17, -0x1.481658e22785p-17, -0x1.3f8f3ba85511fp-17, -0x1.37173f2f50409p-17, -0x1.2eae8f623f8d6p-17, -0x1.2655567be24afp-17, -0x1.1e0bbd0e72d23p-17, -0x1.15d1ea0a892ebp-17, -0x1.0da802c646483p-17, -0x1.058e2b04a6ae6p-17, -0x1.fb0909f84c00ep-18, -0x1.eb1662bc25bfcp-18, -0x1.db449eb95329p-18, -0x1.cb93f96593b37p-18, -0x1.bc04ab526c0b7p-18, -0x1.ac96ea3cf23c6p-18, -0x1.9d4ae918bcb17p-18, -0x1.8e20d81d34d78p-18, -0x1.7f18e4d208ec2p-18, -0x1.70333a1bb7bdfp-18, -0x1.6170004741153p-18, -0x1.52cf5d1691bf5p-18, -0x1.445173cc34413p-18, -0x1.35f66536e141p-18, -0x1.27be4fbd351f1p-18, -0x1.19a94f68fc0ffp-18, -0x1.0bb77df28a9c6p-18, -0x1.fbd1e597965f1p-19, -0x1.e07b86562dcdep-19, -0x1.c56c042c5387dp-19, -0x1.aaa380d900d0cp-19, -0x1.902219e4e3811p-19, -0x1.75e7e8b53c2ffp-19, -0x1.5bf502a393c17p-19, -0x1.4249790e12c6ep-19, -0x1.28e5596e8c6acp-19, -0x1.0fc8ad6cb1f95p-19, -0x1.ede6f5e4fec04p-20, -0x1.bccb887cc2e87p-20, -0x1.8c3f0fee33a57p-20, -0x1.5c41827d459dcp-20, -0x1.2cd2cf8755051p-20, -0x1.fbe5bf51ad833p-21, -0x1.9f4329c68d1e2p-21, -0x1.43bd957b7ce97p-21, -0x1.d2a959a87558bp-22, -0x1.20101b9869de3p-22, -0x1.beba51f95267fp-24, 0x1.f3e17d4b4d09ap-25, 0x1.d4e27831874fep-23, 0x1.9431b2bf45c66p-22, 0x1.1ddf65dc403aep-21, 0x1.708cea68f469p-21, 0x1.c2221884474a1p-21, 0x1.094fd601df0e9p-20, 0x1.3103356e1e59cp-20, 0x1.582b926f883fbp-20, 0x1.7ec959c0b3a15p-20, 0x1.a4dcfccec2dc1p-20, 0x1.ca66f19df2589p-20, 0x1.ef67b2ab7f90fp-20, 0x1.09efdf67c2483p-19, 0x1.1be7cc922994bp-19, 0x1.2d9be4745dd6ep-19, 0x1.3f0c6cb2bf139p-19, 0x1.5039ace7d4a2cp-19, 0x1.6123ee9835974p-19, 0x1.71cb7d251900fp-19, 0x1.8230a5bf711c6p-19, 0x1.9253b75ac0c1dp-19, 0x1.a23502a0703a4p-19, 0x1.b1d4d9e419f53p-19, 0x1.c13391164aa33p-19, 0x1.d0517db933f4cp-19, 0x1.df2ef6d3eb86ep-19, 0x1.edcc54e72ae3fp-19, 0x1.fc29f1e1ff603p-19, 0x1.0524148ab7d16p-18, 0x1.0c13ab950e85ep-18, 0x1.12e3ed0a434edp-18, 0x1.199508856025p-18, 0x1.20272e3c5ead2p-18, 0x1.269a8efb27e58p-18, 0x1.2cef5c1e3d12dp-18, 0x1.3325c78dd8dd6p-18, 0x1.393e03b8481dp-18, 0x1.3f38438d6372dp-18, 0x1.4514ba795f691p-18, 0x1.4ad39c602299p-18, 0x1.50751d983f022p-18, 0x1.55f972e682fd2p-18, 0x1.5b60d17916502p-18, 0x1.60ab6ee326839p-18, 0x1.65d981180a042p-18, 0x1.6aeb3e6794813p-18, 0x1.6fe0dd78be687p-18, 0x1.74ba95460dbafp-18, 0x1.79789d195d304p-18, 0x1.7e1b2c873bdf7p-18, 0x1.82a27b6b49f9ap-18, 0x1.870ec1e42a952p-18, 0x1.8b60384f65e85p-18, 0x1.8f971745ad843p-18, 0x1.93b397970e1bfp-18, 0x1.97b5f246ead3bp-18, 0x1.9b9e6088d3093p-18, 0x1.9f6d1bbc9a2adp-18, 0x1.a3225d6aa44dfp-18, 0x1.a6be5f40ac1d8p-18, 0x1.aa415b0e2839bp-18, 0x1.adab8ac13450dp-18, 0x1.b0fd2862dad34p-18, 0x1.b4366e141f7b9p-18, 0x1.b757960ab7fabp-18, 0x1.ba60da8df919ap-18, 0x1.bd5275f3afad9p-18, 0x1.c02ca29d3e7p-18, 0x1.c2ef9af48bb35p-18, 0x1.c59b99693e11dp-18, 0x1.c830d86d9fc29p-18, 0x1.caaf92741f4dap-18, 0x1.cd1801ecb401dp-18, 0x1.cf6a61419b3d2p-18, 0x1.d1a6ead535a74p-18, 0x1.d3cdd8ff60691p-18, 0x1.d5df660b0a581p-18, 0x1.d7dbcc336d2f9p-18, 0x1.d9c345a1c5e64p-18, 0x1.db960c6b34801p-18, 0x1.dd545a8e2b77ep-18, 0x1.defe69f02378p-18, 0x1.e094745b95671p-18, 0x1.e216b37dbed85p-18, 0x1.e38560e47b3dp-18, 0x1.e4e0b5fc20d46p-18, 0x1.e628ec0dad297p-18, 0x1.e75e3c3cb2711p-18, 0x1.e880df8549849p-18, 0x1.e9910eba731eap-18, 0x1.ea8f02840d94ep-18, 0x1.eb7af35cf5ce5p-18, 0x1.ec5519917981p-18, 0x1.ed1dad3dbd0b6p-18, 0x1.edd4e64bbcb59p-18, 0x1.ee7afc71ccc55p-18, 0x1.ef1027310bbbep-18, 0x1.ef949dd3e2699p-18, 0x1.f008976c872dap-18, 0x1.f06c4ad34be29p-18, 0x1.f0bfeea5921a5p-18, 0x1.f103b9442ae9cp-18, 0x1.f137e0d1e7b44p-18, 0x1.f15c9b329c3d1p-18, 0x1.f1721e097d4cp-18, 0x1.f1789eb839842p-18, 0x1.f170525d89522p-18, 0x1.f1596dd42c171p-18, 0x1.f13425b19eb64p-18, 0x1.f100ae4543691p-18, 0x1.f0bf3b9720a7ep-18, 0x1.f0700166bd7a1p-18, 0x1.f013332a8e766p-18, 0x1.efa9040ebcbe4p-18, 0x1.ef31a6f42577cp-18, 0x1.eead4e6f920ecp-18, 0x1.ee1c2cc8ddbaap-18, 0x1.ed7e73fa26d52p-18, 0x1.ecd455aef2eeap-18, 0x1.ec1e034366329p-18, 0x1.eb5badc3a1feap-18, 0x1.ea8d85eaf9af2p-18, 0x1.e9b3bc2341a58p-18, 0x1.e8ce808435a85p-18, 0x1.e7de02d2d370dp-18, 0x1.e6e27280be298p-18, 0x1.e5dbfeab90e98p-18, 0x1.e4cad61ca9f63p-18, 0x1.e3af274848802p-18, 0x1.e289204d3b5b2p-18, 0x1.e158eef47531fp-18, 0x1.e01ec0b07d902p-18, 0x1.dedac29cecdf4p-18, 0x1.dd8d217e51e2cp-18, 0x1.dc3609c1b85fap-18, 0x1.dad5a77c3416cp-18, 0x1.d96c266a9c2bap-18, 0x1.d7f9b1f1407dbp-18, 0x1.d67e751babf9cp-18, 0x1.d4fa9a9c4a62dp-18, 0x1.d36e4ccc269a7p-18, 0x1.d1d9b5ab08072p-18, }}, 
      {{0x1.69f65a9630067p-9, 0x1.6bf715f35ea55p-8, 0x1.134105964c9c6p-7, 0x1.72b2e094a09b1p-7, 0x1.d43f969a494d2p-7, 0x1.1baed05bdf67p-6, 0x1.4d8b9f27cdc85p-6, 0x1.7f0f46f08f6f7p-6, 0x1.af72d7256ebcap-6, 0x1.dddbd785c25c6p-6, 0x1.04b40638a7ca9p-5, 0x1.189bec5bf5a0ap-5, 0x1.2a3b712535426p-5, 0x1.39316e16817f9p-5, 0x1.452840c350f1ep-5, 0x1.4dd773dbb6966p-5, 0x1.5304adec839a5p-5, 0x1.54840319eb215p-5, 0x1.5237c758c1dc7p-5, 0x1.4c0ffd16d49fbp-5, 0x1.4209799de49ebp-5, 0x1.342cd550ae02ap-5, 0x1.228d3a8bfbccep-5, 0x1.0d4722b55fd93p-5, 0x1.e8fe1bf5d631bp-6, 0x1.b0c07f205a161p-6, 0x1.72370baa2383dp-6, 0x1.2dcc2798c50ap-6, 0x1.c7e1be54b7db2p-7, 0x1.2a35e0d847754p-7, 0x1.070c1f533930dp-8, -0x1.59cd181234f8bp-10, -0x1.c22a5af054192p-8, -0x1.9d1af21200787p-7, -0x1.2f2ee4bd68973p-6, -0x1.91fb5cce0817dp-6, -0x1.f6832fdeed85bp-6, -0x1.2e2d852bf9739p-5, -0x1.618e34780c66ep-5, -0x1.9532f789cd302p-5, -0x1.c8edd23461a08p-5, -0x1.fc938e4606e4bp-5, -0x1.17fde2fa241dbp-4, -0x1.3180731660fedp-4, -0x1.4ac01501d45eap-4, -0x1.63acc82df6278p-4, -0x1.7c37e66404b4ap-4, -0x1.94541a437a8b2p-4, -0x1.abf554332b0f9p-4, -0x1.c310be1d6e653p-4, -0x1.d99cae44627d3p-4, -0x1.ef90997110cedp-4, -0x1.0272825b5f4a3p-3, -0x1.0cc9bb7dab1f1p-3, -0x1.16cb353721ecap-3, -0x1.20749f0831aeap-3, -0x1.29c413b4d62aap-3, -0x1.32b812421ae82p-3, -0x1.3b4f771fb8b36p-3, -0x1.438975855a4bap-3, -0x1.4b6591095cee1p-3, -0x1.52e397755d88p-3, -0x1.5a039adbc3b84p-3, -0x1.60c5ebf040e21p-3, -0x1.672b14a48d2bp-3, -0x1.6d33d309ac481p-3, -0x1.72e11475ace7dp-3, -0x1.7833f0ed0ebcep-3, -0x1.7d2da6cec2e14p-3, -0x1.81cf96c147f17p-3, -0x1.861b3fdf311a2p-3, -0x1.8a123c2119ec6p-3, -0x1.8db63d0307eb2p-3, -0x1.91090862e8f5ep-3, -0x1.940c7595ff22fp-3, -0x1.96c26ab2d6b4dp-3, -0x1.992cda0d71cap-3, -0x1.9b4dbfe345939p-3, -0x1.9d272034bf3ebp-3, -0x1.9ebb04c9f1a4ep-3, -0x1.a00b7b6030022p-3, -0x1.a11a93fe53cb1p-3, -0x1.a1ea5f6d8d281p-3, -0x1.a27cedd494cf5p-3, -0x1.a2d44d7348fbdp-3, -0x1.a2f2897cacc74p-3, -0x1.a2d9a90d6fca2p-3, -0x1.a28bae3d292dep-3, -0x1.a20a95488add8p-3, -0x1.a15853d2ddd32p-3, -0x1.a076d83d39ed5p-3, -0x1.9f680911e66e7p-3, -0x1.9e2dc48284312p-3, -0x1.9cc9dff79486ap-3, -0x1.9b3e27b019eecp-3, -0x1.998c5e70151eep-3, -0x1.97b63d3cb266cp-3, -0x1.95bd732518863p-3, -0x1.93a3a516c4c21p-3, -0x1.916a6dbc85d8fp-3, -0x1.8f135d6725b46p-3, -0x1.8c9ff9feeddb7p-3, -0x1.8a11befd338adp-3, -0x1.876a1d6d2bb0dp-3, -0x1.84aa7bf359861p-3, -0x1.81d436daec3b7p-3, -0x1.7ee8a0286e4adp-3, -0x1.7be8ffb13ef4dp-3, -0x1.78d693374224ep-3, -0x1.75b28e8858c8fp-3, -0x1.727e1ba1204e7p-3, -0x1.6f3a5ad29ce95p-3, -0x1.6be862ea65173p-3, -0x1.6889415cecbbdp-3, -0x1.651dfa71b243dp-3, -0x1.61a78970e9883p-3, -0x1.5e26e0d2732f6p-3, -0x1.5a9cea6dccfc1p-3, -0x1.570a87aad6fa4p-3, -0x1.537091b3272adp-3, -0x1.4fcfd9a3c5dbdp-3, -0x1.4c2928bf2089dp-3, -0x1.487d409f15629p-3, -0x1.44ccdb66e7072p-3, -0x1.4118abf50b5d4p-3, -0x1.3d615e14a6d03p-3, -0x1.39a796aea50d6p-3, -0x1.35ebf3fa5cc46p-3, -0x1.322f0dad9c1b9p-3, -0x1.2e71752c215eep-3, -0x1.2ab3b5b65cb91p-3, -0x1.26f654977f5d2p-3, -0x1.2339d152bf7f9p-3, -0x1.1f7ea5cfd2e13p-3, -0x1.1bc5468690167p-3, -0x1.180e22a9b5aa6p-3, -0x1.1459a450cf31fp-3, -0x1.10a830a13a12bp-3, -0x1.0cfa27f639462p-3, -0x1.094fe60827eeep-3, -0x1.05a9c212c031bp-3, -0x1.02080efa77335p-3, -0x1.fcd636e1d7302p-4, -0x1.f5a66430dcddcp-4, -0x1.ee81334d4b4f7p-4, -0x1.e7672a0c8e67p-4, -0x1.e058c6efe0a45p-4, -0x1.d95681643e6f7p-4, -0x1.d260ca0097062p-4, -0x1.cb780ac258f56p-4, -0x1.c49ca7483df9bp-4, -0x1.bdcefd0b8401dp-4, -0x1.b70f63977c77bp-4, -0x1.b05e2cbf933a1p-4, -0x1.a9bba4d3b9ee7p-4, -0x1.a32812d359177p-4, -0x1.9ca3b89ec52d8p-4, -0x1.962ed3273bc5ap-4, -0x1.8fc99a9d7a5dap-4, -0x1.8974429eee475p-4, -0x1.832efa6190b1cp-4, -0x1.7cf9ecde6e772p-4, -0x1.76d540fae7d27p-4, -0x1.70c119b0b014cp-4, -0x1.6abd963496d9cp-4, -0x1.64cad21c1f7bdp-4, -0x1.5ee8e581f2371p-4, -0x1.5917e5292daa6p-4, -0x1.5357e29f9f65bp-4, -0x1.4da8ec5eedba7p-4, -0x1.480b0decb705fp-4, -0x1.427e4ff9b131dp-4, -0x1.3d02b87fcc948p-4, -0x1.37984adf65fbbp-4, -0x1.323f07fb8a297p-4, -0x1.2cf6ee5554725p-4, -0x1.27bffa266d67fp-4, -0x1.229a257ab1a8bp-4, -0x1.1d8568490377cp-4, -0x1.1881b88b51d8dp-4, -0x1.138f0a55d7a5bp-4, -0x1.0ead4fed997a7p-4, -0x1.09dc79de27ec2p-4, -0x1.051c770eab246p-4, -0x1.006d34d63e635p-4, -0x1.f79d3e1f3c19dp-5, -0x1.ee8140586217ep-5, -0x1.e586428cda087p-5, -0x1.dcac146741876p-5, -0x1.d3f2832a4442ap-5, -0x1.cb5959d1d463fp-5, -0x1.c2e0613342784p-5, -0x1.ba87601c38b29p-5, -0x1.b24e1b70ad986p-5, -0x1.aa345647ca39ep-5, -0x1.a239d207d1ad5p-5, -0x1.9a5e4e8110d81p-5, -0x1.92a18a07dcda3p-5, -0x1.8b03418da6cc2p-5, -0x1.838330b92d99fp-5, -0x1.7c2111fdd073p-5, -0x1.74dc9eb210efp-5, -0x1.6db58f253ddedp-5, -0x1.66ab9ab45b8bfp-5, -0x1.5fbe77de441e7p-5, -0x1.58eddc570c20fp-5, -0x1.52397d1aad3e4p-5, -0x1.4ba10e7f016dap-5, -0x1.452444450c15ap-5, -0x1.3ec2d1a99f94cp-5, -0x1.387c69755d6b1p-5, -0x1.3250be0c175bfp-5, -0x1.2c3f817b999efp-5, -0x1.26486589dcb72p-5, -0x1.206b1bc2aae82p-5, -0x1.1aa75584b6d15p-5, -0x1.14fcc40e29ep-5, -0x1.0f6b1888b1a06p-5, -0x1.09f204150cfcep-5, -0x1.049137d61a1f1p-5, -0x1.fe90c9f6e33a2p-6, -0x1.f42e79971359fp-6, -0x1.e9fae15ad5b9dp-6, -0x1.dff56463ed562p-6, -0x1.d61d663987036p-6, -0x1.cc724ad92af5cp-6, -0x1.c2f376c6ddfe4p-6, -0x1.b9a04f1c8dee2p-6, -0x1.b0783998b9a71p-6, -0x1.a77a9cac6cc35p-6, -0x1.9ea6df8886656p-6, -0x1.95fc6a2a5b5dbp-6, -0x1.8d7aa567b677p-6, -0x1.8520fafa3419cp-6, -0x1.7ceed58a0adcbp-6, -0x1.74e3a0b83ee73p-6, -0x1.6cfec92843a9dp-6, -0x1.653fbc891512ep-6, -0x1.5da5e99dcd2c5p-6, -0x1.5630c045b4059p-6, -0x1.4edfb183d5e15p-6, -0x1.47b22f861cd58p-6, -0x1.40a7adabfd587p-6, -0x1.39bfa08cab2e6p-6, -0x1.32f97dfcdfdbep-6, -0x1.2c54bd1443811p-6, -0x1.25d0d63263b5dp-6, -0x1.1f6d43034d82cp-6, -0x1.19297e83ceb01p-6, -0x1.130505054fa36p-6, -0x1.0cff543164c25p-6, -0x1.0717eb0cfb355p-6, -0x1.014e49fb45a06p-6, -0x1.f743e58095225p-7, -0x1.ec24d106645f5p-7, -0x1.e13e5fa08a3d6p-7, -0x1.d68f9d3559774p-7, -0x1.cc17987bca843p-7, -0x1.c1d562fdf4e9ap-7, -0x1.b7c8111b0008ep-7, -0x1.adeeba089f1cbp-7, -0x1.a44877d41b38p-7, -0x1.9ad46762f24e1p-7, -0x1.9191a873043cp-7, -0x1.887f5d9a68901p-7, -0x1.7f9cac46d5222p-7, -0x1.76e8bcbcb30bcp-7, -0x1.6e62ba15d554bp-7, -0x1.6609d23fd85ddp-7, -0x1.5ddd35fa3984fp-7, -0x1.55dc18d41a57dp-7, -0x1.4e05b129b65f1p-7, -0x1.465938219ea52p-7, -0x1.3ed5e9a9a3789p-7, -0x1.377b04738ad01p-7, -0x1.3047c9f17fe36p-7, -0x1.293b7e524f1e6p-7, -0x1.2255687d695c3p-7, -0x1.1b94d20eb15fp-7, -0x1.14f9075219b6fp-7, -0x1.0e81573f11d2p-7, -0x1.082d1373ca3c7p-7, -0x1.01fb90304d63ep-7, -0x1.f7d848a2d77a5p-8, -0x1.ebfc52971fb34p-8, -0x1.e061f64abdf36p-8, -0x1.d507f0e48d86dp-8, -0x1.c9ed0499cbeb7p-8, -0x1.bf0ff8a2b4743p-8, -0x1.b46f992ee2808p-8, -0x1.aa0ab7598932fp-8, -0x1.9fe0291d7a2e8p-8, -0x1.95eec948fd093p-8, -0x1.8c3577718c4a2p-8, -0x1.82b317e763ad6p-8, -0x1.796693a8ef723p-8, -0x1.704ed856283c5p-8, -0x1.676ad823c505cp-8, -0x1.5eb989ce63c5dp-8, -0x1.5639e88d93fa4p-8, -0x1.4deaf406d756ep-8, -0x1.45cbb040864e6p-8, -0x1.3ddb2594b8452p-8, -0x1.361860a410752p-8, -0x1.2e8272488e7bep-8, -0x1.27186f88508c6p-8, -0x1.1fd9718858728p-8, -0x1.18c4957f47039p-8, -0x1.11d8fca81b385p-8, -0x1.0b15cc34f33f4p-8, -0x1.047a2d41ceaeap-8, -0x1.fc0a998eaef13p-9, -0x1.ef6cb71b59ae7p-9, -0x1.e3191c3e7ec85p-9, -0x1.d70e39775b81p-9, -0x1.cb4a86955e0edp-9, -0x1.bfcc829e1466fp-9, -0x1.b492b3b33a8dfp-9, -0x1.a99ba6f8e11e6p-9, -0x1.9ee5f07bab73p-9, -0x1.94702b17434d1p-9, -0x1.8a38f85cdd5cfp-9, -0x1.803f0079fbb88p-9, -0x1.7680f21f33b16p-9, -0x1.6cfd826746fcbp-9, -0x1.63b36cbe4a5d7p-9, -0x1.5aa172c9064a8p-9, -0x1.51c65c4c888f6p-9, -0x1.4920f715d9f36p-9, -0x1.40b016e1f40e8p-9, -0x1.38729545e036bp-9, -0x1.306751970b57dp-9, -0x1.288d30d3d9f8ep-9, -0x1.20e31d8c58669p-9, -0x1.196807cb45812p-9, -0x1.121ae4ff36decp-9, -0x1.0afaafe4022c6p-9, -0x1.0406686c650b4p-9, -0x1.fa7a2757b990cp-10, -0x1.ed3b778188e49p-10, -0x1.e04edf7d34ad6p-10, -0x1.d3b287313aa5p-10, -0x1.c764a0192d351p-10, -0x1.bb63651ba6bcdp-10, -0x1.afad1a60f45b7p-10, -0x1.a4400d2a176d6p-10, -0x1.991a93a831fe6p-10, -0x1.8e3b0cd49d3f1p-10, -0x1.839fe0494daa3p-10, -0x1.79477e19ddcbep-10, -0x1.6f305eacf31b6p-10, -0x1.655902963ad3ep-10, -0x1.5bbff270c9e1dp-10, -0x1.5263beba098ccp-10, -0x1.4942ffad28fc4p-10, -0x1.405c551f00749p-10, -0x1.37ae665a664a3p-10, -0x1.2f37e1fd10923p-10, -0x1.26f77dd4f84d4p-10, -0x1.1eebf6be2427ep-10, -0x1.17141080f5d51p-10, -0x1.0f6e95b104263p-10, -0x1.07fa578c4ab3dp-10, -0x1.00b62ddaf2fd2p-10, -0x1.f341ed9f1eeeep-11, -0x1.e5732dcf864f3p-11, -0x1.d7fdf19add86ep-11, -0x1.cae01a708d113p-11, -0x1.be17959fce9a9p-11, -0x1.b1a25c1cd43cdp-11, -0x1.a57e7246ab879p-11, -0x1.99a9e7ae2a06p-11, -0x1.8e22d6dda5543p-11, -0x1.82e76521c4016p-11, -0x1.77f5c252cf795p-11, -0x1.6d4c289f5b86cp-11, -0x1.62e8dc575fc6dp-11, -0x1.58ca2bb87191p-11, -0x1.4eee6ebad18aap-11, -0x1.455406df23765p-11, -0x1.3bf95efd2d06bp-11, -0x1.32dceb134aa28p-11, -0x1.29fd2816c2dd4p-11, -0x1.21589bc4ed9a9p-11, -0x1.18edd47512446p-11, -0x1.10bb68eb260ebp-11, -0x1.08bff82b3aff7p-11, -0x1.00fa294de1419p-11, -0x1.f2d156aa19c09p-12, -0x1.e4146a03f3ebcp-12, -0x1.d5bb095742644p-12, -0x1.c7c2c02c0a733p-12, -0x1.ba2928945d11ap-12, -0x1.acebeaddd3cafp-12, -0x1.a008bd444ebbp-12, -0x1.937d63a64036dp-12, -0x1.8747af3a5a713p-12, -0x1.7b657e467ce0dp-12, -0x1.6fd4bbd81b7ffp-12, -0x1.64935f7dd3573p-12, -0x1.599f6d028bcc8p-12, -0x1.4ef6f4298dd74p-12, -0x1.4498106c29531p-12, -0x1.3a80e8b89352cp-12, -0x1.30afaf31d2a9dp-12, -0x1.2722a0f107b14p-12, -0x1.1dd805c7e5d6cp-12, -0x1.14ce3004686d1p-12, -0x1.0c037c3597806p-12, -0x1.037650f1677ecp-12, -0x1.f64a3d37f69d4p-13, -0x1.e61cbe5f6fa1fp-13, -0x1.d6612c0d4b1b8p-13, -0x1.c7149f4995f3dp-13, -0x1.b8344307423a9p-13, -0x1.a9bd53bd2ce01p-13, -0x1.9bad1f010e547p-13, -0x1.8e010324c3ee3p-13, -0x1.80b66ed526891p-13, -0x1.73cae0bb219a8p-13, -0x1.673be71ed1fcep-13, -0x1.5b071f8c2ba55p-13, -0x1.4f2a3679cf97cp-13, -0x1.43a2e6f185983p-13, -0x1.386efa3ab911fp-13, -0x1.2d8c47865f2ebp-13, -0x1.22f8b39d21e54p-13, -0x1.18b2308ea40dep-13, -0x1.0eb6bd63041fep-13, -0x1.050465cd9a2f6p-13, -0x1.f73283c351d66p-14, -0x1.e4e6eb90a21eap-14, -0x1.d32262f0c80d8p-14, -0x1.c1e160df3daddp-14, -0x1.b12072daa010bp-14, -0x1.a0dc3c5d58c05p-14, -0x1.91117658bb8a1p-14, -0x1.81bceeb3b2031p-14, -0x1.72db87cb1454ep-14, -0x1.646a37f62f8e3p-14, -0x1.5666090c8b2acp-14, -0x1.48cc17ef9890dp-14, -0x1.3b99941632ca2p-14, -0x1.2ecbbf1ae48b9p-14, -0x1.225fec4cb8608p-14, -0x1.1653804275128p-14, -0x1.0aa3f070389cdp-14, -0x1.fe9d857f71491p-15, -0x1.e8a31a549b2eep-15, -0x1.d353eaab23ac2p-15, -0x1.beab60651b0f1p-15, -0x1.aaa5033c554cep-15, -0x1.973c7809d3b74p-15, -0x1.846d800f9dfefp-15, -0x1.7233f8477e216p-15, -0x1.608bd8b5cea69p-15, -0x1.4f7133bfc0fb2p-15, -0x1.3ee035863601ap-15, -0x1.2ed52343c53fcp-15, -0x1.1f4c5aae8b0f9p-15, -0x1.1042515e3a206p-15, -0x1.01b39434dfa33p-15, -0x1.e7398d973932ap-16, -0x1.cbf545c57d7cdp-16, -0x1.b193efaaaf5dbp-16, -0x1.980f541f35cfp-16, -0x1.7f61651201f68p-16, -0x1.67843c82cc77fp-16, -0x1.50721b8172f23p-16, -0x1.3a25693568d16p-16, -0x1.2498b1e8ef246p-16, -0x1.0fc6a61b426e4p-16, -0x1.f754333116f96p-17, -0x1.d07c052ce8f1ep-17, -0x1.aafaf1aca2de3p-17, -0x1.86c7699cdb4efp-17, -0x1.63d81da9bf1b2p-17, -0x1.4223fca663149p-17, -0x1.21a231f95e66ep-17, -0x1.024a241376e55p-17, -0x1.c826e5e52588bp-18, -0x1.8debed54f331ap-18, -0x1.55d37bf2722p-18, -0x1.1fce19c479419p-18, -0x1.d7996d4efd7c3p-19, -0x1.73814f5298ac6p-19, -0x1.133748e611ddbp-19, -0x1.6d3f13097f937p-20, -0x1.767befcb519e4p-21, -0x1.03682d4813af5p-24, 0x1.28154c368b156p-21, 0x1.31b7826320cf2p-20, 0x1.c900bfe1d1ad9p-20, 0x1.2d0ae1ca0ee73p-19, 0x1.729258fe2e2fep-19, 0x1.b52d3bb57c9bdp-19, 0x1.f4f16803b6854p-19, 0x1.18fa13e8e9c5ep-18, 0x1.36251a59ca558p-18, 0x1.5203ddcf8a821p-18, 0x1.6ca0304992172p-18, 0x1.8603a10d98effp-18, 0x1.9e377e65d0e1bp-18, 0x1.b544d74bf78c7p-18, 0x1.cb347d1143259p-18, 0x1.e00f04f4ccb29p-18, 0x1.f3dcc9b2faea1p-18, 0x1.0352f68630464p-17, 0x1.0c392c9f9f272p-17, 0x1.14a4e13c8c3dbp-17, 0x1.1c99d41f853e4p-17, 0x1.241bab6659d19p-17, 0x1.2b2df435100c8p-17, 0x1.31d4235c97401p-17, 0x1.381195fc57bcbp-17, 0x1.3de99221bc7d3p-17, 0x1.435f4760fe2c8p-17, 0x1.4875cf6bb277dp-17, 0x1.4d302ea3c0e49p-17, 0x1.519154a8c93c4p-17, 0x1.559c1ce3b5e22p-17, 0x1.59534f0da2de3p-17, 0x1.5cb99fb3a6cbep-17, 0x1.5fd1b0b76372bp-17, 0x1.629e11cbe1144p-17, 0x1.652140ef14925p-17, 0x1.675daae10c9d9p-17, 0x1.6955ab96885bbp-17, 0x1.6b0b8eaa624ap-17, 0x1.6c818fcab99ddp-17, 0x1.6db9db23edeb4p-17, 0x1.6eb68dc81613p-17, 0x1.6f79b61443b33p-17, 0x1.70055413db294p-17, 0x1.705b59df7d63fp-17, 0x1.707dabfb6026fp-17, 0x1.706e21b191792p-17, 0x1.702e856b8f92ap-17, 0x1.6fc095076151p-17, 0x1.6f26022cba323p-17, 0x1.6e60729e2d811p-17, 0x1.6d7180891047cp-17, 0x1.6c5abad2fc87cp-17, 0x1.6b1da565a86cdp-17, 0x1.69bbb977b6289p-17, 0x1.683665d54fecap-17, 0x1.668f0f24ee784p-17, 0x1.64c7102bc087ep-17, 0x1.62dfba0fe8dddp-17, 0x1.60da5498210a6p-17, 0x1.5eb81e6b40d1dp-17, 0x1.5c7a4d4c8d3bep-17, 0x1.5a220e5761e79p-17, 0x1.57b08638d4ff5p-17, 0x1.5526d16885e32p-17, 0x1.5286045e5d468p-17, 0x1.4fcf2bc938378p-17, 0x1.4d034cc17b236p-17, 0x1.4a2364fcd482dp-17, 0x1.47306afe8654cp-17, 0x1.442b4e47dc6afp-17, 0x1.4114f786b3f7ep-17, 0x1.3dee48c2c22a1p-17, 0x1.3ab81d89e8aadp-17, 0x1.37734b1b5187p-17, 0x1.3420a091168dcp-17, 0x1.30c0e7096a95fp-17, 0x1.2d54e1cde9a1cp-17, 0x1.29dd4e7ad23d9p-17, 0x1.265ae523dcd45p-17, 0x1.22ce5879cb7bfp-17, 0x1.1f3855ed88ba6p-17, 0x1.1b9985d2ec134p-17, 0x1.17f28b82ca02ap-17, 0x1.1444057bd8a2ep-17, 0x1.108e8d829d2b8p-17, 0x1.0cd2b8c0cbc49p-17, 0x1.091117e3900f2p-17, 0x1.054a37395929bp-17, 0x1.017e9ece8f6bp-17, 0x1.fb5da51324723p-18, 0x1.f3b6a48cb221ap-18, 0x1.ec0933e17bfacp-18, 0x1.e456433d6577dp-18, 0x1.dc9ebb526c725p-18, 0x1.d4e37d8aa1f4p-18, 0x1.cd25643781b9ap-18, 0x1.c56542c052b2ap-18, 0x1.bda3e5d0b8c99p-18, 0x1.b5e21383aeef2p-18, 0x1.ae208b8f7f12fp-18, 0x1.a660076f39f3ep-18, 0x1.9ea13a8c566cep-18, 0x1.96e4d2657f9adp-18, 0x1.8f2b76b652878p-18, 0x1.8775c99ce9c82p-18, 0x1.7fc467be4a074p-18, 0x1.7817e86b0630cp-18, 0x1.7070ddc1bff99p-18, 0x1.68cfd4d11ae25p-18, 0x1.613555b967755p-18, 0x1.59a1e3cce47fep-18, 0x1.5215fdae9287ap-18, 0x1.4a921d723ccf9p-18, 0x1.4316b8b952182p-18, 0x1.3ba440d092f39p-18, 0x1.343b22cc62c43p-18, 0x1.2cdbc7a4718e9p-18, 0x1.2586944f188c9p-18, 0x1.1e3be9db6d04p-18, 0x1.16fc258aea333p-18, 0x1.0fc7a0eaacd8ep-18, 0x1.089eb1eba74aap-18, 0x1.0181aafaa76dcp-18, 0x1.f4e1b62ec90abp-19, 0x1.e6d91bd671ad7p-19, 0x1.d8ea17bea435fp-19, 0x1.cb15346357087p-19, 0x1.bd5af6160b625p-19, 0x1.afbbdb24cac4ep-19, 0x1.a2385c0318be9p-19, 0x1.94d0eb7146ce2p-19, 0x1.8785f6a1135ddp-19, 0x1.7a57e55c6bce1p-19, 0x1.6d471a2814c47p-19, 0x1.6053f2687b4dap-19, 0x1.537ec6829c1c3p-19, 0x1.46c7e9fe95ef1p-19, 0x1.3a2faba8454c7p-19, 0x1.2db655af1d63fp-19, 0x1.215c2dc540675p-19, 0x1.1521753eac105p-19, 0x1.0906692e0c534p-19, 0x1.fa168504490ccp-20, 0x1.e2606c459f3dbp-20, 0x1.caeaea1649ccap-20, 0x1.b3b658cbf07cfp-20, 0x1.9cc30b4f0cb71p-20, 0x1.86114d4ebfa95p-20, 0x1.6fa163720e048p-20, 0x1.59738b8b6c52dp-20, 0x1.4387fcc56f68cp-20, 0x1.2ddee7d47a457p-20, 0x1.18787722fb387p-20, 0x1.0354cefdac075p-20, 0x1.dce81b80fdcaap-21, 0x1.b3ac9800d2e4ep-21, 0x1.8af7396ac139ap-21, 0x1.62c81ac486a24p-21, 0x1.3b1f4c79c00fdp-21, 0x1.13fcd4ab3a564p-21, 0x1.dac15ef0ed62ep-22, 0x1.8e959e947ec38p-22, 0x1.43763a34d67dap-22, 0x1.f2c5e2f7389b5p-23, 0x1.60b6e490da807p-23, 0x1.a17d64fa61f36p-24, 0x1.0b71924e2c1f8p-25, -0x1.23c4373a2d9bbp-25, -0x1.a555997d39ap-24, -0x1.5a521ed26e203p-23, -0x1.dfe868354e35dp-23, -0x1.31b794d67de2bp-22, -0x1.7273ffe37c64fp-22, -0x1.b22a50f5d1419p-22, -0x1.f0db70c4c7057p-22, -0x1.17442a4dbfcfep-21, -0x1.3598fefaa21e3p-21, -0x1.536cbd0976bacp-21, -0x1.70bff0cc1a05fp-21, -0x1.8d932c147fa93p-21, -0x1.a9e70606078e2p-21, -0x1.c5bc1ae57a1cap-21, -0x1.e1130beb8bf44p-21, -0x1.fbec7f186bbd5p-21, -0x1.0b248f8413188p-20, -0x1.1814cd63b27d2p-20, -0x1.24c752d520159p-20, -0x1.313c7b91ddda5p-20, -0x1.3d74a54e334b9p-20, -0x1.49702fa686281p-20, -0x1.552f7c0bc8fb9p-20, -0x1.60b2edb0c9579p-20, -0x1.6bfae978ecaddp-20, -0x1.7707d5e496cc4p-20, -0x1.81da1b01fed32p-20, -0x1.8c72225a0b4a4p-20, -0x1.96d056e151bf5p-20, -0x1.a0f524e6ecfd6p-20, -0x1.aae0fa04e47b8p-20, -0x1.b4944510cd71p-20, -0x1.be0f760c503e5p-20, -0x1.c752fe16d2acbp-20, -0x1.d05f4f5e5aba7p-20, -0x1.d934dd1203c4bp-20, -0x1.e1d41b5411b26p-20, -0x1.ea3d7f2be99a6p-20, -0x1.f2717e799019ep-20, -0x1.fa708fe84b752p-20, -0x1.011d95713fa89p-19, -0x1.04e8e3c289fd3p-19, -0x1.089a6f49d1fd3p-19, -0x1.0c3274b6038dep-19, -0x1.0fb130fe4a52dp-19, -0x1.1316e15b7530ep-19, -0x1.1663c3433e9e7p-19, -0x1.19981462aef25p-19, -0x1.1cb41298ef1bp-19, -0x1.1fb7fbf23a774p-19, -0x1.22a40ea2f345p-19, -0x1.25788902c9829p-19, -0x1.2835a98801848p-19, -0x1.2adbaec2bbb2bp-19, -0x1.2d6ad758c2028p-19, -0x1.2fe36200effbcp-19, -0x1.32458d7ef25d4p-19, -0x1.3491989f2a7eap-19, -0x1.36c7c232b603bp-19, -0x1.38e8490b3e111p-19, -0x1.3af36bf760feep-19, -0x1.3ce969beb8516p-19, -0x1.3eca811e7b7d5p-19, -0x1.4096f0c55ead3p-19, -0x1.424ef750ea883p-19, -0x1.43f2d3497d8dfp-19, -0x1.4582c31f1a171p-19, -0x1.46ff05266dfb2p-19, -0x1.4867d79588ee8p-19, -0x1.49bd7880d9c85p-19, -0x1.4b0025d849c1cp-19, -0x1.4c301d6445432p-19, -0x1.4d4d9cc312838p-19, -0x1.4e58e1661770bp-19, -0x1.4f52288f283cap-19, -0x1.5039af4df7eep-19, -0x1.510fb27d9ed88p-19, -0x1.51d46ec25b4dbp-19, -0x1.52882087050fbp-19, -0x1.532b03fae108p-19, -0x1.53bd550f66959p-19, -0x1.543f4f7626dd1p-19, -0x1.54b12e9edd07cp-19, -0x1.55132db51878dp-19, -0x1.5565879e93f3ep-19, -0x1.55a876f9556b6p-19, -0x1.55dc3619b2243p-19, -0x1.5600ff08ac33p-19, -0x1.56170b824753ep-19, -0x1.561e94f3d2cep-19, -0x1.5617d47a5e003p-19, -0x1.560302e145b69p-19, -0x1.55e058a09eea3p-19, -0x1.55b00ddbbe535p-19, -0x1.55725a601e85cp-19, -0x1.552775a3b9f87p-19, -0x1.54cf96c417c1bp-19, -0x1.546af484e2b99p-19, -0x1.53f9c54edb1dcp-19, -0x1.537c3f2e9735bp-19, -0x1.52f297d3a4cfp-19, -0x1.525d048f531a9p-19, -0x1.51bbba53d70bp-19, -0x1.510eedb34db02p-19, -0x1.5056d2ded1983p-19, -0x1.4f939da5d1e8fp-19, -0x1.4ec58174fb5dbp-19, -0x1.4decb15594904p-19, -0x1.4d095fecccffep-19, -0x1.4c1bbf7b09c9cp-19, -0x1.4b2401db38b8bp-19, -0x1.4a2258823f941p-19, -0x1.4916f47e69b45p-19, -0x1.48020676b8308p-19, -0x1.46e3beaa850f2p-19, -0x1.45bc4cf0ffd73p-19, -0x1.448be0b8d1e8p-19, -0x1.4352a90795da2p-19, -0x1.4210d4797aafep-19, -0x1.40c691410beaep-19, -0x1.3f740d26d79e3p-19, -0x1.3e1975891c932p-19, -0x1.3cb6f75b7abbep-19, -0x1.3b4cbf26de72fp-19, -0x1.39daf9093215p-19, -0x1.3861d0b5412e2p-19, -0x1.36e17172a043ep-19, -0x1.355a061d83e78p-19, -0x1.33cbb9269aaap-19, -0x1.3236b4930f6a5p-19, -0x1.309b21fc8df22p-19, -0x1.2ef92a912b535p-19, -0x1.2d50f7136df9bp-19, -0x1.2ba2afda5a5a1p-19, -0x1.29ee7cd17cbecp-19, -0x1.28348578ef0b3p-19, -0x1.2674f0e595438p-19, -0x1.24afe5c12631fp-19, -0x1.22e58a4a560f7p-19, -0x1.21160454f75f1p-19, -0x1.1f41794a336ccp-19, -0x1.1d680e28ae0a6p-19, -0x1.1b89e784e25f8p-19, -0x1.19a729892ddd3p-19, -0x1.17bff7f63b76bp-19, -0x1.15d4762325a46p-19, -0x1.13e4c6fdd4eddp-19, -0x1.11f10d0b4f772p-19, -0x1.0ff96a6803f15p-19, -0x1.0dfe00c8176d2p-19, -0x1.0bfef177bfdbbp-19, -0x1.09fc5d5bbe44ap-19, -0x1.07f664f199927p-19, -0x1.05ed28500efb6p-19, -0x1.03e0c72790d3ap-19, -0x1.01d160c29211ep-19, -0x1.ff7e280bd4124p-20, -0x1.fb53fee2e82ep-20, -0x1.f7248240e46d8p-20, -0x1.f2efed93afe3dp-20, -0x1.eeb67b81e440cp-20, -0x1.ea7865ebd011ap-20, -0x1.e635e5ec52f7p-20, -0x1.e1ef33d9bf9d2p-20, -0x1.dda487471e8dfp-20, -0x1.d95617052bd5p-20, -0x1.d504192346ceep-20, -0x1.d0aec2f0a0394p-20, -0x1.cc5648fd82c8bp-20, -0x1.c7fadf1c2d0f2p-20, -0x1.c39cb861de1d9p-20, -0x1.bf3c07282d162p-20, -0x1.bad8fd0e655aap-20, -0x1.b673cafa66375p-20, -0x1.b20ca119c1f6ep-20, -0x1.ada3aee30c3afp-20, -0x1.a93923177345fp-20, -0x1.a4cd2bc366005p-20, -0x1.a05ff63ff2755p-20, -0x1.9bf1af3443713p-20, -0x1.97828296a073fp-20, -0x1.93129badd7b59p-20, -0x1.8ea225128a31p-20, -0x1.8a3148b04e2d4p-20, -0x1.85c02fc70359cp-20, -0x1.814f02ec44e55p-20, -0x1.7cddea0c807fbp-20, -0x1.786d0c6c7e57bp-20, -0x1.73fc90aa8e052p-20, -0x1.6f8c9cbfd856dp-20, -0x1.6b1d5601d8546p-20, -0x1.66aee1237eee1p-20, -0x1.624162369616dp-20, -0x1.5dd4fcad1f411p-20, -0x1.5969d35ae6e46p-20, -0x1.55000876890d2p-20, -0x1.5097bd9ac451bp-20, -0x1.4c3113c81d7c8p-20, -0x1.47cc2b6635f6ep-20, -0x1.43692444f53d4p-20, -0x1.3f081d9df1bc7p-20, -0x1.3aa93615fb1e2p-20, -0x1.364c8bbe2efc8p-20, -0x1.31f23c159916ap-20, -0x1.2d9a640a4b795p-20, -0x1.29451ffb3f43ep-20, -0x1.24f28bb9267cep-20, -0x1.20a2c287ed25cp-20, -0x1.1c55df2015697p-20, -0x1.180bfbb07cb57p-20, -0x1.13c531df5025p-20, -0x1.0f819acb6c25ap-20, -0x1.0b414f0dba9b4p-20, -0x1.070466baaf397p-20, -0x1.02caf963a3ed4p-20, -0x1.fd2a3c3038fabp-21, -0x1.f4c5d6ce2a764p-21, -0x1.ec68eec0f66b8p-21, -0x1.e413af2d0f341p-21, -0x1.dbc6423e10547p-21, -0x1.d380d12962538p-21, -0x1.cb43843109ebfp-21, -0x1.c30e82a603f26p-21, -0x1.bae1f2eb452e5p-21, -0x1.b2bdfa788e27dp-21, -0x1.aaa2bddc4c9dp-21, -0x1.a29060bee29b3p-21, -0x1.9a8705e52ee5bp-21, -0x1.9286cf332931cp-21, -0x1.8a8fddae3a215p-21, -0x1.82a2517fa4ff9p-21, -0x1.7abe49f7d6b04p-21, -0x1.72e3e590bf481p-21, -0x1.6b1341efe28c8p-21, -0x1.634c7be97d26dp-21, -0x1.5b8faf8291aefp-21, -0x1.53dcf7f3aea2ep-21, -0x1.4c346fab6ce44p-21, -0x1.44963050e7cp-21, -0x1.3d0252c607c4cp-21, -0x1.3578ef2a894b3p-21, }}, 
      {{0x1.e48dfade9861dp-1, 0x1.e3cb9917eb77ep-1, 0x1.e2990ac8cf371p-1, 0x1.e10aa952de34cp-1, 0x1.df357d3da83fbp-1, 0x1.dd2c51e502dd7p-1, 0x1.dafe1eb746fffp-1, 0x1.d8b580f68fd5fp-1, 0x1.d658ef0e5154ap-1, 0x1.d3eb574494241p-1, 0x1.d16cede767f82p-1, 0x1.cedc0241dc167p-1, 0x1.cc35c1b7f308bp-1, 0x1.c976dc53c0e37p-1, 0x1.c69c061f5084dp-1, 0x1.c3a255af31d0ap-1, 0x1.c087831c350a1p-1, 0x1.bd4a0c0e87783p-1, 0x1.b9e941f13f7cfp-1, 0x1.b6654749be13p-1, 0x1.b2bf00c0fdf6dp-1, 0x1.aef7fdd6b18bap-1, 0x1.ab125c90c3a68p-1, 0x1.a710aad59366dp-1, 0x1.a2f5c785b8d46p-1, 0x1.9ec4c4e0d615fp-1, 0x1.9a80cd4a5ef25p-1, 0x1.962d0b2022dedp-1, 0x1.91cc94040f106p-1, 0x1.8d6257bb9fec5p-1, 0x1.88f11297f8627p-1, 0x1.847b433759172p-1, 0x1.80032359a26afp-1, 0x1.7b8aa3738291ep-1, 0x1.771368a518bd1p-1, 0x1.729eccb7663c6p-1, 0x1.6e2ddfc67c64bp-1, 0x1.69c16b43b666dp-1, 0x1.6559f6027562bp-1, 0x1.60f7c90a03ccdp-1, 0x1.5c9af4efdee65p-1, 0x1.5843578634919p-1, 0x1.53f0a1b29dd1fp-1, 0x1.4fa25d48caa52p-1, 0x1.4b57f2cbcbbf1p-1, 0x1.4710aefeea011p-1, 0x1.42cbc8346c27p-1, 0x1.3e88634d66d01p-1, 0x1.3a459861b6dbep-1, 0x1.3602770a9c9d6p-1, 0x1.31be0a4d3406cp-1, 0x1.2d775c244177p-1, 0x1.292d78aa8dd7bp-1, 0x1.24df70e872f0fp-1, 0x1.208c5d483c1efp-1, 0x1.1c335fb5c42aap-1, 0x1.17d3a56e3f2bdp-1, 0x1.136c68856da41p-1, 0x1.0efcf125a49ffp-1, 0x1.0a84969025a06p-1, 0x1.0602bfe32834ap-1, 0x1.0176e4aae47c7p-1, 0x1.f9c11a856b6b7p-2, 0x1.f07ea6166ae48p-2, 0x1.e725c0f3e1e36p-2, 0x1.ddb5e20e24e07p-2, 0x1.d42ea1fa2fffep-2, 0x1.ca8fba5cbdaebp-2, 0x1.c0d905281a985p-2, 0x1.b70a7bb3364bfp-2, 0x1.ad2435afe24b9p-2, 0x1.a3266805bf54fp-2, 0x1.99116396c8733p-2, 0x1.8ee593f20b88ap-2, 0x1.84a37df899babp-2, 0x1.7a4bbe78677ebp-2, 0x1.6fdf08c05a9f6p-2, 0x1.655e253087046p-2, 0x1.5ac9efc92918ap-2, 0x1.502356baaffd8p-2, 0x1.456b58f8e3595p-2, 0x1.3aa304d2dde12p-2, 0x1.2fcb76916db73p-2, 0x1.24e5d71d2083dp-2, 0x1.19f35aad1c3cbp-2, 0x1.0ef53f7fb1a75p-2, 0x1.03eccc9d68c9fp-2, 0x1.f1b6a14e4ddfcp-3, 0x1.db84415fd1ed9p-3, 0x1.c5452e44d7391p-3, 0x1.aefc2566078d1p-3, 0x1.98abeabb9aed2p-3, 0x1.825746e2898d5p-3, 0x1.6c01054a84a6dp-3, 0x1.55abf27c9f4b4p-3, 0x1.3f5ada7a59cd9p-3, 0x1.29108734b5285p-3, 0x1.12cfbf1ae22f4p-3, 0x1.f936877fff9fbp-4, 0x1.cceba12ebaccfp-4, 0x1.a0c4338d25fbcp-4, 0x1.74c59619b32eap-4, 0x1.48f50d7dac008p-4, 0x1.1d57c9ac6833fp-4, 0x1.e3e5c8511d85bp-5, 0x1.8d96bcdbdcd8p-5, 0x1.37cc40fcc04e9p-5, 0x1.c51fde40fae8fp-6, 0x1.1bd653739053bp-6, 0x1.cf38c8dbbdff7p-8, -0x1.97356732b5f01p-9, -0x1.b06dd9ab0d023p-7, -0x1.7c11af076c49bp-6, -0x1.0f334b044f38cp-5, -0x1.5f92e3dfbc68dp-5, -0x1.af1ff7a88a06fp-5, -0x1.fdd31f592b9a8p-5, -0x1.25d29bfa6ba85p-4, -0x1.4c47b18191948p-4, -0x1.724583744bc3bp-4, -0x1.97c8e78f2f9a7p-4, -0x1.bcced62585456p-4, -0x1.e1546a1f3e4aap-4, -0x1.02ab7074b1d6ap-3, -0x1.1469cd2cf6dap-3, -0x1.25e40c43e122bp-3, -0x1.3718ffcbe72f6p-3, -0x1.48078abff58dfp-3, -0x1.58aea0e01d5a8p-3, -0x1.690d4689e9283p-3, -0x1.7922908c95e78p-3, -0x1.88eda3f99875p-3, -0x1.986db5f1a1f4bp-3, -0x1.a7a20b6e7af03p-3, -0x1.b689f909f106ep-3, -0x1.c524e2c21a0bp-3, -0x1.d3723bbb2232bp-3, -0x1.e17185fee756p-3, -0x1.ef22523a90b97p-3, -0x1.fc843f7a4bdb2p-3, -0x1.04cb7d71beb6ap-2, -0x1.0b2d1fb6b3af5p-2, -0x1.1166eacc491d1p-2, -0x1.1778c992885e4p-2, -0x1.1d62ad63e3ec6p-2, -0x1.23248def6c18ap-2, -0x1.28be6912aa80ep-2, -0x1.2e3042b330fe7p-2, -0x1.337a2497e8ce6p-2, -0x1.389c1e4234de8p-2, -0x1.3d9644c6f07a3p-2, -0x1.4268b2a757f98p-2, -0x1.471387a9e9863p-2, -0x1.4b96e8b342cc2p-2, -0x1.4ff2ff9f0e0eap-2, -0x1.5427fb19045ap-2, -0x1.58360e760b6a5p-2, -0x1.5c1d718d7e3b5p-2, -0x1.5fde6092a437p-2, -0x1.63791bee5eed4p-2, -0x1.66ede8191aa52p-2, -0x1.6a3d0d7500e6dp-2, -0x1.6d66d8287a2fbp-2, -0x1.706b97f90092bp-2, -0x1.734ba0264c822p-2, -0x1.76074745e0281p-2, -0x1.789ee71ef4d1fp-2, -0x1.7b12dc86d0285p-2, -0x1.7d63873d891b8p-2, -0x1.7f9149cb39729p-2, -0x1.819c895da6fa7p-2, -0x1.8385ada666f96p-2, -0x1.854d20b97a23dp-2, -0x1.86f34eec68fd8p-2, -0x1.8878a6b5e57dbp-2, -0x1.89dd988ded1f2p-2, -0x1.8b2296ce773cep-2, -0x1.8c481594a9925p-2, -0x1.8d4e8aa29babbp-2, -0x1.8e366d41a7837p-2, -0x1.8f00362547bdcp-2, -0x1.8fac5f4e8b6ccp-2, -0x1.903b63f018c45p-2, -0x1.90adc052c6a85p-2, -0x1.9103f1bac7ce3p-2, -0x1.913e764d6eebcp-2, -0x1.915dccf788df4p-2, -0x1.916275544a2cfp-2, -0x1.914cef94d9f02p-2, -0x1.911dbc686f407p-2, -0x1.90d55ce50b99cp-2, -0x1.90745270c6672p-2, -0x1.8ffb1eabb8334p-2, -0x1.8f6a435a75aaap-2, -0x1.8ec24251279fbp-2, -0x1.8e039d5f36d5ap-2, -0x1.8d2ed63b8dc4p-2, -0x1.8c446e7170c4ap-2, -0x1.8b44e74deb58fp-2, -0x1.8a30c1cdccd02p-2, -0x1.89087e8c3d191p-2, -0x1.87cc9db1dfa3p-2, -0x1.867d9ee4867fcp-2, -0x1.851c013776a8cp-2, -0x1.83a8431c37ae7p-2, -0x1.8222e253f025ap-2, -0x1.808c5be14e5fbp-2, -0x1.7ee52bfaf7481p-2, -0x1.7d2dcdfe7fca7p-2, -0x1.7b66bc63e8d8fp-2, -0x1.799070b1a4aa1p-2, -0x1.77ab6371186d8p-2, -0x1.75b80c23a0a0cp-2, -0x1.73b6e138155e5p-2, -0x1.71a85800cab4bp-2, -0x1.6f8ce4aa090d1p-2, -0x1.6d64fa3100b84p-2, -0x1.6b310a5b33c9dp-2, -0x1.68f185ae540eep-2, -0x1.66a6db68920cfp-2, -0x1.645179795eca7p-2, -0x1.61f1cc7a9876bp-2, -0x1.5f883faa2656fp-2, -0x1.5d153ce3fa4c5p-2, -0x1.5a992c9c7e198p-2, -0x1.581475db62bc9p-2, -0x1.55877e36d47f9p-2, -0x1.52f2a9cf0f5acp-2, -0x1.50565b4a50934p-2, -0x1.4db2f3d126084p-2, -0x1.4b08d30b17a8p-2, -0x1.4858571ba7fafp-2, -0x1.45a1dc9faa002p-2, -0x1.42e5beaaebec5p-2, -0x1.402456c63112cp-2, -0x1.3d5dfced7af8ap-2, -0x1.3a93078ea0b0fp-2, -0x1.37c3cb882fab8p-2, -0x1.34f09c289433dp-2, -0x1.3219cb2d884e3p-2, -0x1.2f3fa8c3c7a1fp-2, -0x1.2c628387055b8p-2, -0x1.2982a8821fa1cp-2, -0x1.26a0632f93b1bp-2, -0x1.23bbfd7a2b26bp-2, -0x1.20d5bfbde5842p-2, -0x1.1dedf0c915337p-2, -0x1.1b04d5ddb6904p-2, -0x1.181ab2b2f9f97p-2, -0x1.152fc976fb2ep-2, -0x1.12445ad0ade24p-2, -0x1.0f58a5e1f64f4p-2, -0x1.0c6ce849ebfbap-2, -0x1.09815e274b92cp-2, -0x1.0696421b0a298p-2, -0x1.03abcd4b163fcp-2, -0x1.00c2376538dd2p-2, -0x1.fbb36d443ba58p-3, -0x1.f5e4ff90f2e75p-3, -0x1.f0198c60a2fa4p-3, -0x1.ea51778cc7cd6p-3, -0x1.e48d221f51ee3p-3, -0x1.deccea59e5a0bp-3, -0x1.d9112bbd49785p-3, -0x1.d35a3f1108d52p-3, -0x1.cda87a6b3fb9ep-3, -0x1.c7fc313899a55p-3, -0x1.c255b4446f359p-3, -0x1.bcb551c10ee5p-3, -0x1.b71b55502734p-3, -0x1.b188080b5320dp-3, -0x1.abfbb08cc102bp-3, -0x1.a67692f7f66bdp-3, -0x1.a0f8f102ad8e3p-3, -0x1.9b8309fdc97e3p-3, -0x1.96151ade5eb0cp-3, -0x1.90af5e46ca6dfp-3, -0x1.8b520c8fe3c52p-3, -0x1.85fd5bd230063p-3, -0x1.80b17fef2a94cp-3, -0x1.7b6eaa9a92023p-3, -0x1.76350b63c259ep-3, -0x1.7104cfbf1594fp-3, -0x1.6bde230f432dap-3, -0x1.66c12eaec87ddp-3, -0x1.61ae19f952e04p-3, -0x1.5ca50a55256cp-3, -0x1.57a6233c82341p-3, -0x1.52b186470abbcp-3, -0x1.4dc7533323ef9p-3, -0x1.48e7a7ef4b29fp-3, -0x1.4412a0a36a572p-3, -0x1.3f4857ba234cbp-3, -0x1.3a88e5ea0deffp-3, -0x1.35d4623eef527p-3, -0x1.312ae222e1daep-3, -0x1.2c8c796776641p-3, -0x1.27f93a4ebaf8fp-3, -0x1.2371359442715p-3, -0x1.1ef47a7611abbp-3, -0x1.1a8316bd7dd2dp-3, -0x1.161d16c7facdbp-3, -0x1.11c2858fd7375p-3, -0x1.0d736cb4e339ep-3, -0x1.092fd48504f11p-3, -0x1.04f7c404b7b05p-3, -0x1.00cb40f779b11p-3, -0x1.f9549fd0342dfp-4, -0x1.f129e861f8cb6p-4, -0x1.e916600878989p-4, -0x1.e11a08e77fb2p-4, -0x1.d934e2f25b0e6p-4, -0x1.d166ebfb9358dp-4, -0x1.c9b01fc482d93p-4, -0x1.c210780cac076p-4, -0x1.ba87eca0d995dp-4, -0x1.b316736a20937p-4, -0x1.abbc007c9363cp-4, -0x1.a4788625d34ap-4, -0x1.9d4bf4fb629f2p-4, -0x1.96363be8cbc14p-4, -0x1.8f37483d7e1fdp-4, -0x1.884f05ba90035p-4, -0x1.817d5ea0301c2p-4, -0x1.7ac23bbaf220ap-4, -0x1.741d8470dc9c9p-4, -0x1.6d8f1ece3dee9p-4, -0x1.6716ef9251111p-4, -0x1.60b4da3ba30fp-4, -0x1.5a68c11446aecp-4, -0x1.5432853dcf1dap-4, -0x1.4e1206bd10608p-4, -0x1.48072485af367p-4, -0x1.4211bc8571a67p-4, -0x1.3c31abaf5f861p-4, -0x1.3666ce06a7b77p-4, -0x1.30b0fea950cd2p-4, -0x1.2b1017dab2709p-4, -0x1.2583f30dbab65p-4, -0x1.200c68eefa9f7p-4, -0x1.1aa9516e7c6bbp-4, -0x1.155a83c96a6cp-4, -0x1.101fd6937cd58p-4, -0x1.0af91fc02eefp-4, -0x1.05e634abca054p-4, -0x1.00e6ea2434e9dp-4, -0x1.f7f628e3245eap-5, -0x1.ee450ebd5aa1bp-5, -0x1.e4ba2c826463p-5, -0x1.db5528036f24cp-5, -0x1.d215a64724974p-5, -0x1.c8fb4b98fc991p-5, -0x1.c005bb981f552p-5, -0x1.b7349945f078p-5, -0x1.ae878714437e5p-5, -0x1.a5fe26f3212e2p-5, -0x1.9d981a5e3bc95p-5, -0x1.9555026a06039p-5, -0x1.8d347fd0714dep-5, -0x1.853632fd4ff3p-5, -0x1.7d59bc1a5ee42p-5, -0x1.759ebb1b0386p-5, -0x1.6e04cfc79ee21p-5, -0x1.668b99c8a3f94p-5, -0x1.5f32b8b14e08fp-5, -0x1.57f9cc0a08004p-5, -0x1.50e0735a84ca9p-5, -0x1.49e64e3383dd3p-5, -0x1.430afc384b881p-5, -0x1.3c4e1d27ddf5cp-5, -0x1.35af50e5d257p-5, -0x1.2f2e3782f13p-5, -0x1.28ca71457f5e5p-5, -0x1.22839eb14e03dp-5, -0x1.1c59608f6de76p-5, -0x1.164b57f5bababp-5, -0x1.1059264e05f74p-5, -0x1.0a826d5d101fcp-5, -0x1.04c6cf49446eep-5, -0x1.fe4bdd4240296p-6, -0x1.f33edcc2ddc29p-6, -0x1.e865e3f67e352p-6, -0x1.ddc03ab33a0d4p-6, -0x1.d34d29ce24974p-6, -0x1.c90bfb25d8a03p-6, -0x1.befbf9ac8ce22p-6, -0x1.b51c7171b6708p-6, -0x1.ab6cafab5ba08p-6, -0x1.a1ec02beca05bp-6, -0x1.9899ba4914227p-6, -0x1.8f7527270b81fp-6, -0x1.867d9b7cdea33p-6, -0x1.7db26abd5cd15p-6, -0x1.7512e9b0d28b6p-6, -0x1.6c9e6e7b89086p-6, -0x1.645450a3e8d8dp-6, -0x1.5c33e9185629ap-6, -0x1.543c923496cefp-6, -0x1.4c6da7c705a48p-6, -0x1.44c68715533acp-6, -0x1.3d468ee1175dfp-6, -0x1.35ed1f6bee81bp-6, -0x1.2eb99a7b7078ep-6, -0x1.27ab635ccc666p-6, -0x1.20c1dee80e206p-6, -0x1.19fc73833a0fbp-6, -0x1.135a89250521ap-6, -0x1.0cdb89576f2c9p-6, -0x1.067edf39ffbd4p-6, -0x1.0043f783bea1cp-6, -0x1.f454810a2a78bp-7, -0x1.e86254529501dp-7, -0x1.dcb04befc1614p-7, -0x1.d13d4e2b58062p-7, -0x1.c608448b8265cp-7, -0x1.bb101bd440f9ap-7, -0x1.b053c408645aap-7, -0x1.a5d2306a42cdcp-7, -0x1.9b8a577bd46a4p-7, -0x1.917b32fe9c94fp-7, -0x1.87a3bff34a4c6p-7, -0x1.7e02fe98bda6p-7, -0x1.7497f26b03707p-7, -0x1.6b61a221d0c46p-7, -0x1.625f17aecebb2p-7, -0x1.598f603b7b2f6p-7, -0x1.50f18c26e7b75p-7, -0x1.4884af030da89p-7, -0x1.4047df91f6336p-7, -0x1.383a37c2a1e44p-7, -0x1.305ad4ada85f3p-7, -0x1.28a8d69195d17p-7, -0x1.212360cf2a44bp-7, -0x1.19c999e54752p-7, -0x1.129aab6cb2c39p-7, -0x1.0b95c213ab796p-7, -0x1.04ba0d994355ap-7, -0x1.fc0d819144b96p-8, -0x1.eef622e7deac5p-8, -0x1.e22c70de9e2e3p-8, -0x1.d5aee316f2841p-8, -0x1.c97bf720bcf54p-8, -0x1.bd92306f1346fp-8, -0x1.b1f0184ccb0b9p-8, -0x1.a6943dd0d5197p-8, -0x1.9b7d35d236c4ap-8, -0x1.90a99adbfc576p-8, -0x1.86180d20e063dp-8, -0x1.7bc7326e9dcb5p-8, -0x1.71b5b6212afa1p-8, -0x1.67e2491604e53p-8, -0x1.5e4ba19eb5911p-8, -0x1.54f07b73ea6cep-8, -0x1.4bcf97a7ef4e7p-8, -0x1.42e7bc990f88cp-8, -0x1.3a37b5e41b09ep-8, -0x1.31be54567d6a5p-8, -0x1.297a6de07c648p-8, -0x1.216add8748fadp-8, -0x1.198e8356d2b16p-8, -0x1.11e44453daf45p-8, -0x1.0a6b0a6db215p-8, -0x1.0321c46ff7a77p-8, -0x1.f80ecbe8c3d35p-9, -0x1.ea35cea8f610ep-9, -0x1.dcb68b364f928p-9, -0x1.cf8f04ecc90e6p-9, -0x1.c2bd4851d9071p-9, -0x1.b63f6af765897p-9, -0x1.aa138b5f3fd6ep-9, -0x1.9e37d0de3c6b2p-9, -0x1.92aa6b7f63374p-9, -0x1.876993e7744d9p-9, -0x1.7c738b3802b8p-9, -0x1.71c69af29e81fp-9, -0x1.676114dd10e99p-9, -0x1.5d4152e3d875fp-9, -0x1.5365b6fe96229p-9, -0x1.49ccab1364723p-9, -0x1.4074a0da8da53p-9, -0x1.375c11c2ce1c3p-9, -0x1.2e817ed5102f8p-9, -0x1.25e37098e52d7p-9, -0x1.1d8076f88af09p-9, -0x1.155729258223ap-9, -0x1.0d66257d5bb15p-9, -0x1.05ac116e5899dp-9, -0x1.fc4f32b8475d3p-10, -0x1.edaee10aed3b1p-10, -0x1.df74a1d1e0c47p-10, -0x1.d19df655e77a6p-10, -0x1.c4286cf5e69a7p-10, -0x1.b711a0f38d9dbp-10, -0x1.aa573a3e91ac8p-10, -0x1.9df6ed421d262p-10, -0x1.91ee7ab13f939p-10, -0x1.863baf549d5c6p-10, -0x1.7adc63d834df1p-10, -0x1.6fce7c99c6cbfp-10, -0x1.650fe977a4f3dp-10, -0x1.5a9ea59fa75f7p-10, -0x1.5078b75f5705ep-10, -0x1.469c2ff38bc6p-10, -0x1.3d072b59bcf91p-10, -0x1.33b7d02028c8ap-10, -0x1.2aac4f3854bf3p-10, -0x1.21e2e3c8f779ep-10, -0x1.1959d2fff8df7p-10, -0x1.110f6be630317p-10, -0x1.090207329f83ap-10, -0x1.0130071ea5184p-10, -0x1.f32fae74d8b36p-11, -0x1.e46fd8845bc2ep-11, -0x1.d61d87e6e4665p-11, -0x1.c835c9c7824a5p-11, -0x1.bab5bcace1c9ap-11, -0x1.ad9a9028a0385p-11, -0x1.a0e184868970ap-11, -0x1.9487ea7b6e3ep-11, -0x1.888b22d883224p-11, -0x1.7ce89e3be104ap-11, -0x1.719ddcc4a7a56p-11, -0x1.66a86dc7424bcp-11, -0x1.5c05ef821fbe9p-11, -0x1.51b40ed4ae4d1p-11, -0x1.47b086f666b4cp-11, -0x1.3df9212ef166dp-11, -0x1.348bb49000e14p-11, -0x1.2b6625af2a009p-11, -0x1.228666613665cp-11, -0x1.19ea757680589p-11, -0x1.11905e78b4065p-11, -0x1.0976396880fd9p-11, -0x1.019a2a7cd7facp-11, -0x1.f3f4c3c70f127p-12, -0x1.e52a3703c600dp-12, -0x1.d6d13d6f936d8p-12, -0x1.c8e67c4216bep-12, -0x1.bb66aeb787869p-12, -0x1.ae4ea5963dbb1p-12, -0x1.a19b46bcb582bp-12, -0x1.95498caf48bc9p-12, -0x1.89568626894b6p-12, -0x1.7dbf55a12019ap-12, -0x1.728130f700232p-12, -0x1.679960edddc12p-12, -0x1.5d0540d02b53fp-12, -0x1.52c23e051c088p-12, -0x1.48cdd7aab2634p-12, -0x1.3f259e32ba62fp-12, -0x1.35c732fdced7ep-12, -0x1.2cb047fd6743fp-12, -0x1.23de9f52e244p-12, -0x1.1b500af3076fcp-12, -0x1.13026c48f08d9p-12, -0x1.0af3b3ddbd8e4p-12, -0x1.0321e0fe1f7dcp-12, -0x1.f71602c8dac42p-13, -0x1.e85a61c57ecfbp-13, -0x1.da0d321e95f0dp-13, -0x1.cc2ae1e312f28p-13, -0x1.beaff963b5e81p-13, -0x1.b1991a93b545cp-13, -0x1.a4e3006c657dp-13, -0x1.988a7e565f84dp-13, -0x1.8c8c7f90140f2p-13, -0x1.80e6069eb98efp-13, -0x1.75942cb9974b1p-13, -0x1.6a942140342b3p-13, -0x1.5fe3292c6b475p-13, -0x1.557e9e8cb7a5ap-13, -0x1.4b63effca54bp-13, -0x1.4190a0231d16cp-13, -0x1.380245313a6efp-13, -0x1.2eb68865ae73ap-13, -0x1.25ab258fb803bp-13, -0x1.1cddea98509f6p-13, -0x1.144cb709e1b1ep-13, -0x1.0bf57b9de3104p-13, -0x1.03d639ca294e5p-13, -0x1.f7da06a4e4b0cp-14, -0x1.e86ff3b492d6dp-14, -0x1.d96a9cf900fd8p-14, -0x1.cac682bf49b89p-14, -0x1.bc8042a5e41e9p-14, -0x1.ae9496cf05b62p-14, -0x1.a10055202273cp-14, -0x1.93c06e8111ed2p-14, -0x1.86d1ee205317ap-14, -0x1.7a31f8bb061c6p-14, -0x1.6dddcbea8f9b9p-14, -0x1.61d2bd73a2106p-14, -0x1.560e3a9b68cd8p-14, -0x1.4a8dc77ee6d2ep-14, -0x1.3f4efe6ef0ae9p-14, -0x1.344f8f4f52a2bp-14, -0x1.298d3efabd6dep-14, -0x1.1f05e6a7edf8fp-14, -0x1.14b77354572e5p-14, -0x1.0a9fe5322fc16p-14, -0x1.00bd4f187fbf5p-14, -0x1.ee1babee68043p-15, -0x1.db1f609f065d9p-15, -0x1.c8824b5a02e2p-15, -0x1.b6411c497874ap-15, -0x1.a458a3a96e346p-15, -0x1.92c5d0d1bbedap-15, -0x1.8185b14227ccap-15, -0x1.70956fb773e45p-15, -0x1.5ff25340d93cp-15, -0x1.4f99be629d815p-15, -0x1.3f892e38b04b2p-15, -0x1.2fbe399e53a21p-15, -0x1.203690615b257p-15, -0x1.10effa71623e1p-15, -0x1.01e8571cbb7c2p-15, -0x1.e63b3897574c8p-16, -0x1.c91bab8b3d018p-16, -0x1.ac6e48ef35988p-16, -0x1.902f7b821e54ap-16, -0x1.745bd58afa7cfp-16, -0x1.58f00f822188fp-16, -0x1.3de906c7ed2f1p-16, -0x1.2343bc6059803p-16, -0x1.08fd53b623e83p-16, -0x1.de2622d7ebb5cp-17, -0x1.ab04b45ee8e74p-17, -0x1.78916332dd5f4p-17, -0x1.46c772221974bp-17, -0x1.15a25d7656b6ap-17, -0x1.ca3bb1aa02041p-18, -0x1.6a6b9a8e1baf8p-18, -0x1.0bccae6014a89p-18, -0x1.5caf11a44ece8p-19, -0x1.48149325bcbc5p-20, 0x1.2624e9662f898p-23, 0x1.8d46b3bc6813cp-20, 0x1.78c4d231c75b3p-19, 0x1.1469076b5c9ccp-18, 0x1.6b6ae586dd0a6p-18, 0x1.c16d161dd619p-18, 0x1.0b3a3207b558dp-17, 0x1.3542aaa4fbf88p-17, 0x1.5ed216db29aa9p-17, 0x1.87ea78feb804dp-17, 0x1.b08db51dc8c6dp-17, 0x1.d8bd924dcb2dp-17, 0x1.003dddf93edb6p-16, 0x1.13e4e17a40879p-16, 0x1.27548f7c4910dp-16, 0x1.3a8d97c0cb492p-16, 0x1.4d909e8a0dcaap-16, 0x1.605e3d22df604p-16, 0x1.72f702680805dp-16, 0x1.855b73461e418p-16, 0x1.978c0b3ab1a5ep-16, 0x1.a9893ccdd773ap-16, 0x1.bb53720466741p-16, 0x1.cceb0cd59f0cp-16, 0x1.de506795667dcp-16, 0x1.ef83d56187582p-16, 0x1.0042d14300506p-15, 0x1.08ab0a7056e8ep-15, 0x1.10fab621360b3p-15, 0x1.1931f163bd782p-15, 0x1.2150d69a4c6ebp-15, 0x1.29577da4cab8dp-15, 0x1.3145fc0b066a9p-15, 0x1.391c6524059c3p-15, 0x1.40daca3c8d4bdp-15, 0x1.48813abba3f51p-15, 0x1.500fc446afa2cp-15, 0x1.578672e3423fcp-15, 0x1.5ee551184faa4p-15, 0x1.662c680d47589p-15, 0x1.6d5bbfa8ea9e5p-15, 0x1.74735eade10a4p-15, 0x1.7b734ad701781p-15, 0x1.825b88f297b8dp-15, 0x1.892c1cfaf2853p-15, 0x1.8fe50a305c3e4p-15, 0x1.9686532f4294cp-15, 0x1.9d0ffa07dbbbfp-15, 0x1.a3820053a5172p-15, 0x1.a9dc6748c6e9ap-15, 0x1.b01f2fcfd7d4ep-15, 0x1.b64a5a947c919p-15, 0x1.bc5de818e47b3p-15, 0x1.c259d8c59e719p-15, 0x1.c83e2cfb139f8p-15, 0x1.ce0ae51fb7e71p-15, 0x1.d3c001af81cebp-15, 0x1.d95d834973c0cp-15, 0x1.dee36abcde51ap-15, 0x1.e451b915897f5p-15, 0x1.e9a86fa8541dap-15, 0x1.eee7901d12892p-15, 0x1.f40f1c7a76b0cp-15, 0x1.f91f172e50177p-15, 0x1.fe178318493p-15, 0x1.017c31c8d1eeep-14, 0x1.03e0de3af5a83p-14, 0x1.0639c914dd94cp-14, 0x1.0886f4d1a9e6fp-14, 0x1.0ac8643787e49p-14, 0x1.0cfe1a5bbefddp-14, 0x1.0f281aa4ad2b2p-14, 0x1.114668cd1624bp-14, 0x1.135908e5c9d25p-14, 0x1.155fff586198bp-14, 0x1.175b50e8c68a4p-14, 0x1.194b02b7455e7p-14, 0x1.1b2f1a41bdce5p-14, 0x1.1d079d6562995p-14, 0x1.1ed4925fdf55ep-14, 0x1.2095ffd019bccp-14, 0x1.224becb77055bp-14, 0x1.23f6607a3949ep-14, 0x1.259562e059b5ep-14, 0x1.2728fc15e8dfcp-14, 0x1.28b134ab26d8dp-14, 0x1.2a2e159538054p-14, 0x1.2b9fa82d531p-14, 0x1.2d05f631bb7f4p-14, 0x1.2e6109c49a44dp-14, 0x1.2fb0ed6c54c06p-14, 0x1.30f5ac12f1771p-14, 0x1.322f510591b01p-14, 0x1.335de7f3d65a3p-14, 0x1.34817cef5ee1cp-14, 0x1.359a1c6ab9b6dp-14, 0x1.36a7d338ca472p-14, 0x1.37aaae8bc6203p-14, 0x1.38a2bbf43c56p-14, 0x1.3990095febe9fp-14, 0x1.3a72a518c4e39p-14, 0x1.3b4a9dc394901p-14, 0x1.3c18025ed510dp-14, 0x1.3cdae24161e47p-14, 0x1.3d934d1924264p-14, 0x1.3e4152e9788c7p-14, 0x1.3ee5040a1b10ap-14, 0x1.3f7e71251eae9p-14, 0x1.400dab35fb18ep-14, 0x1.4092c3877dcd2p-14, 0x1.410dcbb283d67p-14, 0x1.417ed59c1e95p-14, 0x1.41e5f3741b9a2p-14, 0x1.424337b31efd4p-14, 0x1.4296b51901f72p-14, 0x1.42e07eab314efp-14, 0x1.4320a7b2d0df1p-14, 0x1.435743bae0e79p-14, 0x1.4384668ebb1abp-14, 0x1.43a82437e9645p-14, 0x1.43c290fca8ba7p-14, 0x1.43d3c15ddcb74p-14, 0x1.43dbca156169ep-14, 0x1.43dac0140e6e5p-14, 0x1.43d0b88016131p-14, 0x1.43bdc8b2f80c5p-14, 0x1.43a20637cf2p-14, 0x1.437d86c96c61ep-14, 0x1.43506050631e8p-14, 0x1.431aa8e17b47ap-14, 0x1.42dc76bb8416cp-14, 0x1.4295e045d08f6p-14, 0x1.4246fc0e204a3p-14, 0x1.41efe0c70095bp-14, 0x1.4190a545e5889p-14, 0x1.4129608150963p-14, 0x1.40ba298f3ea86p-14, 0x1.404317a327405p-14, 0x1.3fc4420c5d979p-14, 0x1.3f3dc034308abp-14, 0x1.3eafa99c5b382p-14, 0x1.3e1a15dd1db6p-14, 0x1.3d7d1ca3a19f5p-14, 0x1.3cd8d5b058af3p-14, 0x1.3c2d58d52f397p-14, 0x1.3b7abdf409096p-14, 0x1.3ac11cfcf4c12p-14, 0x1.3a008decbf0efp-14, 0x1.393928cb2c886p-14, 0x1.386b05a974ea9p-14, 0x1.37963ca0d4b02p-14, 0x1.36bae5d0ced9ep-14, 0x1.35d9195dcebb9p-14, 0x1.34f0ef6f9e8cbp-14, 0x1.3402802fe670ep-14, 0x1.330de3c8bb886p-14, 0x1.32133263435c1p-14, 0x1.31128426325b4p-14, 0x1.300bf1348374cp-14, 0x1.2eff91abf60a6p-14, 0x1.2ded7da3e6252p-14, 0x1.2cd5cd2bd47f3p-14, 0x1.2bb8984a30d94p-14, 0x1.2a95f6fb13eaap-14, 0x1.296e012ef7b33p-14, 0x1.2840cec977b98p-14, 0x1.270e77a04782cp-14, 0x1.25d71379c1756p-14, 0x1.249aba0c06634p-14, 0x1.235982fbacd98p-14, 0x1.221385dab56eap-14, 0x1.20c8da278673ep-14, 0x1.1f79974bba9dp-14, 0x1.1e25d49b358d8p-14, 0x1.1ccda953190dap-14, 0x1.1b712c98c50e8p-14, 0x1.1a107578db19cp-14, 0x1.18ab9ae66768dp-14, 0x1.1742b3b9d7b84p-14, 0x1.15d5d6b029f46p-14, 0x1.14651a6a062ddp-14, 0x1.12f0956addc7ep-14, 0x1.11785e182b137p-14, 0x1.0ffc8ab896414p-14, 0x1.0e7d317336c9cp-14, 0x1.0cfa684eb9744p-14, 0x1.0b744530cb8a1p-14, 0x1.09eadddd4362cp-14, 0x1.085e47f572031p-14, 0x1.06ce98f78c272p-14, 0x1.053be63dfc6b7p-14, 0x1.03a644fea6547p-14, 0x1.020dca4a78f59p-14, 0x1.00728b0cb61d6p-14, 0x1.fda93814c809fp-15, 0x1.fa6823c3ac1e2p-15, 0x1.f7220214246edp-15, 0x1.f3d6fba4b628bp-15, 0x1.f08738c359bfap-15, 0x1.ed32e16c91776p-15, 0x1.e9da1d4a7b994p-15, 0x1.e67d13b3f709bp-15, 0x1.e31bebabe0ba3p-15, 0x1.dfb6cbe02e285p-15, 0x1.dc4ddaa9423abp-15, 0x1.d8e13e0952b0fp-15, 0x1.d5711bab5e9b2p-15, 0x1.d1fd98e2e874ap-15, 0x1.ce86daab3d502p-15, 0x1.cb0d05a6ba368p-15, 0x1.c7903e1e65d4cp-15, 0x1.c410a80182f47p-15, 0x1.c08e66e4e5b58p-15, 0x1.bd099e028a596p-15, 0x1.b98270395354dp-15, 0x1.b5f9000c7bb79p-15, 0x1.b26d6fa33f9ffp-15, 0x1.aedfe0c899934p-15, 0x1.ab5074eb04e23p-15, 0x1.a7bf4d1bfadfap-15, 0x1.a42c8a0fe6fd3p-15, 0x1.a0984c1e0490fp-15, 0x1.9d02b33fec42fp-15, 0x1.996bdf11aac03p-15, 0x1.95d3eed17ecbdp-15, 0x1.923b015fbe95ap-15, 0x1.8ea1353ebe81dp-15, 0x1.8b06a892d1e19p-15, 0x1.876b792243be3p-15, 0x1.83cfc4552a888p-15, 0x1.8033a7359bfa6p-15, 0x1.7c973e6fbc38cp-15, 0x1.78faa6517902ap-15, 0x1.755dfacb0712ep-15, 0x1.71c1576ecdf2bp-15, 0x1.6e24d77158d83p-15, 0x1.6a8895a9cd2efp-15, 0x1.66ecac91e9838p-15, 0x1.63513646189bcp-15, 0x1.5fb64c85d42eep-15, 0x1.5c1c08b3c3e18p-15, 0x1.588283d5fd674p-15, 0x1.54e9d69639793p-15, 0x1.5152194236ea3p-15, 0x1.4dbb63cbd7d57p-15, 0x1.4a25cdc98ec9dp-15, 0x1.46916e76ac9cp-15, 0x1.42fe5cb393337p-15, 0x1.3f6caf06362a1p-15, 0x1.3bdc7b9a7e98bp-15, 0x1.384dd8426acbcp-15, 0x1.34c0da76a424ap-15, 0x1.3135975719a9cp-15, 0x1.2dac23aacfbf4p-15, 0x1.2a2493e0d5824p-15, 0x1.269efc10a5b3cp-15, 0x1.231b6ffa3b9e1p-15, 0x1.1f9a0307013b5p-15, 0x1.1c1ac84a04e47p-15, 0x1.189dd2805fff9p-15, 0x1.152334120e73fp-15, 0x1.11aaff1209af5p-15, 0x1.0e35453f011dcp-15, 0x1.0ac21803e8d63p-15, 0x1.0751887857ff8p-15, }}, 
      {{0x1.e4ba6ba93fff5p-1, 0x1.e478a80106196p-1, 0x1.e40eb951417c8p-1, 0x1.e38132190d571p-1, 0x1.e2d52f4fd81f5p-1, 0x1.e20fbed6e3d0ep-1, 0x1.e135779348d9p-1, 0x1.e04a3e872d25fp-1, 0x1.df512f5f036ecp-1, 0x1.de4c9e25a2557p-1, 0x1.dd3e290118e9dp-1, 0x1.dc26d2c0a0e6ap-1, 0x1.db0720f84fbf6p-1, 0x1.d9df3a1a0cd48p-1, 0x1.d8af0152df50fp-1, 0x1.d7762ef1837adp-1, 0x1.d63464cd20f99p-1, 0x1.d4e93e99511d4p-1, 0x1.d3945e5ee258ap-1, 0x1.d235757b85c9cp-1, 0x1.d0cc4a9f894a3p-1, 0x1.cf58bd471c372p-1, 0x1.cddac729923e8p-1, 0x1.cc527c1043537p-1, 0x1.cac0087aa185ap-1, 0x1.c923af67a8e85p-1, 0x1.c77dc78f117a1p-1, 0x1.c5ceb8477b7cap-1, 0x1.c416f64a99a61p-1, 0x1.c257007d74b18p-1, 0x1.c08f5cd95bcd5p-1, 0x1.bec09589f636cp-1, 0x1.bceb364e2741ep-1, 0x1.bb0fca23f27ep-1, 0x1.b92ed94325fe9p-1, 0x1.b748e7672f479p-1, 0x1.b55e7265e8933p-1, 0x1.b36ff10f5a64ap-1, 0x1.b17dd25128932p-1, 0x1.af887c97992f4p-1, 0x1.ad904d65bfd16p-1, 0x1.ab95991e36aa4p-1, 0x1.a998aaf5ebb6cp-1, 0x1.a799c50ad2591p-1, 0x1.a59920989b69ap-1, 0x1.a396ee461ada9p-1, 0x1.a19356866d929p-1, 0x1.9f8e7a097b217p-1, 0x1.9d887237eeef6p-1, 0x1.9b8151b737f7ep-1, 0x1.997924f29d3dbp-1, 0x1.976ff2a6d889bp-1, 0x1.9565bc6e13e66p-1, 0x1.935a7f4a7dceap-1, 0x1.914e342df8f2fp-1, 0x1.8f40d07db9a8dp-1, 0x1.8d324690d9678p-1, 0x1.8b2286292e6b8p-1, 0x1.89117ce5d73fcp-1, 0x1.86ff16af1f5a3p-1, 0x1.84eb3e1b7daf2p-1, 0x1.82d5dccd8f53bp-1, 0x1.80bedbcb0aa9ep-1, 0x1.7ea623ccb6f75p-1, 0x1.7c8b9d878b5bdp-1, 0x1.7a6f31ef2125p-1, 0x1.7850ca71b2a9ap-1, 0x1.7630512de6738p-1, 0x1.740db122ad15ep-1, 0x1.71e8d6597edfap-1, 0x1.6fc1ae0b43f5dp-1, 0x1.6d9826c037c3p-1, 0x1.6b6c306b16e4ep-1, 0x1.693dbc7fe966fp-1, 0x1.670cbe06b1db1p-1, 0x1.64d929aa53fe8p-1, 0x1.62a2f5c3f9126p-1, 0x1.606a1a633b593p-1, 0x1.5e2e91535dff1p-1, 0x1.5bf0561dd1da8p-1, 0x1.59af660a488e4p-1, 0x1.576bc01c8f384p-1, 0x1.552565106abc2p-1, 0x1.52dc5753aae05p-1, 0x1.50909afea547ap-1, 0x1.4e4235cb48e08p-1, 0x1.4bf12f0af43b1p-1, 0x1.499d8f9b38555p-1, 0x1.474761d9ae91bp-1, 0x1.44eeb19702638p-1, 0x1.42938c0952fa6p-1, 0x1.4035ffbe08304p-1, 0x1.3dd61c8b37194p-1, 0x1.3b73f380b097ap-1, 0x1.390f96d8cd4fp-1, 0x1.36a919e91272ap-1, 0x1.34409112bb4efp-1, 0x1.31d611b33dfd3p-1, 0x1.2f69b214d91a8p-1, 0x1.2cfb895f37b58p-1, 0x1.2a8baf88386a4p-1, 0x1.281a3d44e46f4p-1, 0x1.25a74bfa9cba7p-1, 0x1.2332f5b08a71p-1, 0x1.20bd55015544ap-1, 0x1.1e46850d2af5ap-1, 0x1.1bcea16c19bc6p-1, 0x1.1955c620c432dp-1, 0x1.16dc0f8b72429p-1, 0x1.14619a5d829d1p-1, 0x1.11e6838d3f279p-1, 0x1.0f6ae84a14248p-1, 0x1.0ceee5f130b18p-1, 0x1.0a729a028ae37p-1, 0x1.07f622164e511p-1, 0x1.05799bd2afc53p-1, 0x1.02fd24e228f5p-1, 0x1.0080daea1c715p-1, 0x1.fc09b703b839ap-2, 0x1.f71288542fbb4p-2, 0x1.f21c648958cffp-2, 0x1.ed278619ae60fp-2, 0x1.e834271f8c93ap-2, 0x1.e342814b174f7p-2, 0x1.de52cdd4ceed8p-2, 0x1.d9654570e3577p-2, 0x1.d47a20433079fp-2, 0x1.cf9195d3e9511p-2, 0x1.caabdd04eb664p-2, 0x1.c5c92c07b5eaep-2, 0x1.c0e9b853fa4f5p-2, 0x1.bc0db69ecf24fp-2, 0x1.b7355ad2702cdp-2, 0x1.b260d806937e6p-2, 0x1.ad9060794afadp-2, 0x1.a8c4258869b1p-2, 0x1.a3fc57ab6fd61p-2, 0x1.9f39266df3a5bp-2, 0x1.9a7ac06a84159p-2, 0x1.95c1534601673p-2, 0x1.910d0bab67a26p-2, 0x1.8c5e154805b19p-2, 0x1.87b49ac81cb9cp-2, 0x1.8310c5d3e73ep-2, 0x1.7e72bf0cfe60bp-2, 0x1.79daae0c1cd34p-2, 0x1.7548b95f3f021p-2, 0x1.70bd06881189ep-2, 0x1.6c37b9fabb282p-2, 0x1.67b8f71ced79bp-2, 0x1.6340e0454554bp-2, 0x1.5ecf96baf2d2cp-2, 0x1.5a653ab5a5f6fp-2, 0x1.5601eb5dbbfa8p-2, 0x1.51a5c6ccabee7p-2, 0x1.4d50ea0db160cp-2, 0x1.4903711ead8a3p-2, 0x1.44bd76f13f05dp-2, 0x1.407f156c0e4ecp-2, 0x1.3c48656c4a2eap-2, 0x1.38197ec753abap-2, 0x1.33f2784c95107p-2, 0x1.2fd367c7847e7p-2, 0x1.2bbc6201ca908p-2, 0x1.27ad7ac59255p-2, 0x1.23a6c4dff9d38p-2, 0x1.1fa85223a5c2p-2, 0x1.1bb2336b700ddp-2, 0x1.17c4789d3a74ep-2, 0x1.13df30acd63b5p-2, 0x1.1002699f0877bp-2, 0x1.0c2e308ca61edp-2, 0x1.086291a5c52bep-2, 0x1.049f983503559p-2, 0x1.00e54ea2decb8p-2, 0x1.fa677cf2449a8p-3, 0x1.f315e0ccbce74p-3, 0x1.ebd5d882e840ap-3, 0x1.e4a7721a567d3p-3, 0x1.dd8ab9f7a823ep-3, 0x1.d67fbae5efd27p-3, 0x1.cf867e1e18eb6p-3, 0x1.c89f0b4e6b4a4p-3, 0x1.c1c968a21521p-3, 0x1.bb059ac8c9f0ap-3, 0x1.b453a4fe5fc08p-3, 0x1.adb389127faecp-3, 0x1.a725477056817p-3, 0x1.a0a8df264e02dp-3, 0x1.9a3e4dedc3babp-3, 0x1.93e59032c5cf8p-3, 0x1.8d9ea11bce256p-3, 0x1.87697a917673cp-3, 0x1.8146154634454p-3, 0x1.7b3468be019e1p-3, 0x1.75346b560926fp-3, 0x1.6f46124c48aabp-3, 0x1.696951c728256p-3, 0x1.639e1cdd09c8ep-3, 0x1.5de4659bccd09p-3, 0x1.583c1d1043233p-3, 0x1.52a5334d9e28ap-3, 0x1.4d1f9774ca082p-3, 0x1.47ab37bbb4abdp-3, 0x1.4248017492203p-3, 0x1.3cf5e115022a6p-3, 0x1.37b4c23d2b508p-3, 0x1.32848fbec52b7p-3, 0x1.2d6533a40692cp-3, 0x1.285697368cbf6p-3, 0x1.2358a30622c3ap-3, 0x1.1e6b3eef7af07p-3, 0x1.198e5222d07aep-3, 0x1.14c1c32a7242bp-3, 0x1.100577f13b201p-3, 0x1.0b5955c8eb68ap-3, 0x1.06bd417077e57p-3, 0x1.02311f1a3215fp-3, 0x1.fb69a4e3cd8a7p-4, 0x1.f2907d45b4a32p-4, 0x1.e9d68cbb63346p-4, 0x1.e13b97bc81127p-4, 0x1.d8bf61e27ff9fp-4, 0x1.d061adf3d9a49p-4, 0x1.c8223def120ddp-4, 0x1.c000d3159303bp-4, 0x1.b7fd2df64862bp-4, 0x1.b0170e78159d6p-4, 0x1.a84e33e40db1bp-4, 0x1.a0a25cef7d612p-4, 0x1.991347c5c6f6cp-4, 0x1.91a0b211fd50cp-4, 0x1.8a4a590858625p-4, 0x1.830ff96f73b43p-4, 0x1.7bf14fa9535dep-4, 0x1.74ee17bc416a2p-4, 0x1.6e060d5b6e2fdp-4, 0x1.6738ebef6482cp-4, 0x1.60866e9e4b39fp-4, 0x1.59ee5053f21cbp-4, 0x1.53704bc9af7c2p-4, 0x1.4d0c1b8e0baa6p-4, 0x1.46c17a0c3dff9p-4, 0x1.4090219375729p-4, 0x1.3a77cc5df319bp-4, 0x1.34783497f6eefp-4, 0x1.2e9114667934cp-4, 0x1.28c225edb91bfp-4, 0x1.230b2357999f8p-4, 0x1.1d6bc6d9d3a19p-4, 0x1.17e3cabbfa775p-4, 0x1.1272e95d4d71p-4, 0x1.0d18dd3a6902fp-4, 0x1.07d560f2c0de7p-4, 0x1.02a82f4df4652p-4, 0x1.fb220681ee9bdp-5, 0x1.f11f2fe623a84p-5, 0x1.e747518568147p-5, 0x1.dd99e294470dcp-5, 0x1.d4165ac7fca48p-5, 0x1.cabc325f31698p-5, 0x1.c18ae22a651eep-5, 0x1.b881e39407c85p-5, 0x1.afa0b0a851a3fp-5, 0x1.a6e6c41cc765cp-5, 0x1.9e5399577a8c1p-5, 0x1.95e6ac75fca4ep-5, 0x1.8d9f7a5413f3ap-5, 0x1.857d809221a02p-5, 0x1.7d803d9b49453p-5, 0x1.75a730ab55a5p-5, 0x1.6df1d9d4580dep-5, 0x1.665fba040bee8p-5, 0x1.5ef05308f6dc5p-5, 0x1.57a327974f9a8p-5, 0x1.5077bb4da2a0fp-5, 0x1.496d92b940ce8p-5, 0x1.4284335a7196cp-5, 0x1.3bbb23a86ce48p-5, 0x1.3511eb151a93cp-5, 0x1.2e8812109ff61p-5, 0x1.281d220cb5bf1p-5, 0x1.21d0a57fcc556p-5, 0x1.1ba227e7f560dp-5, 0x1.159135cdaa83dp-5, 0x1.0f9d5cc65195ap-5, 0x1.09c62b76a18b6p-5, 0x1.040b3194d1325p-5, 0x1.fcd7ffd533df5p-6, 0x1.f1d050ae1a381p-6, 0x1.e6fe7ba08bad1p-6, 0x1.dc61a8c9d10e8p-6, 0x1.d1f9027aff18ep-6, 0x1.c7c3b53b57d9ep-6, 0x1.bdc0efca70451p-6, 0x1.b3efe321f3439p-6, 0x1.aa4fc27731668p-6, 0x1.a0dfc33c627c7p-6, 0x1.979f1d219b27bp-6, 0x1.8e8d0a158fca4p-6, 0x1.85a8c6460abdep-6, 0x1.7cf1902028247p-6, 0x1.7466a85058047p-6, 0x1.6c0751c2205c1p-6, 0x1.63d2d19faa6dfp-6, 0x1.5bc86f5119de8p-6, 0x1.53e7747ba74d1p-6, 0x1.4c2f2d0099da2p-6, 0x1.449ee6fbefc11p-6, 0x1.3d35f2c2fc63cp-6, 0x1.35f3a2e2ba568p-6, 0x1.2ed74c1dff2a2p-6, 0x1.27e0456b82e07p-6, 0x1.210de7f3b8ef8p-6, 0x1.1a5f8f0e8a4efp-6, 0x1.13d49840dd8e1p-6, 0x1.0d6c633a042d9p-6, 0x1.072651d101f8ep-6, 0x1.0101c801acf75p-6, 0x1.f5fc57d36c4a2p-7, 0x1.ea35cb8b19bfcp-7, 0x1.deaebfda3e4a5p-7, 0x1.d3660da129c51p-7, 0x1.c85a91e9967b6p-7, 0x1.bd8b2ddfb203fp-7, 0x1.b2f6c6cac4ffbp-7, 0x1.a89c4605cb5e5p-7, 0x1.9e7a98f7c9143p-7, 0x1.9490b10bffda9p-7, 0x1.8add83aa03289p-7, 0x1.81600a2d8cd71p-7, 0x1.781741de4d8c3p-7, 0x1.6f022be791858p-7, 0x1.661fcd4fad169p-7, 0x1.5d6f2eef7302p-7, 0x1.54ef5d6979902p-7, 0x1.4c9f69213b0ep-7, 0x1.447e663237b52p-7, 0x1.3c8b6c66f28f6p-7, 0x1.34c5972fdc571p-7, 0x1.2d2c059a27aebp-7, 0x1.25bdda4697275p-7, 0x1.1e7a3b602efcfp-7, 0x1.17605292dcd54p-7, 0x1.106f4d0216c41p-7, 0x1.09a65b3f73fb1p-7, 0x1.0304b141241e2p-7, 0x1.f9130cb0fba1cp-8, 0x1.ec682a50de938p-8, 0x1.e0073737e12b6p-8, 0x1.d3eeb5b8f398dp-8, 0x1.c81d2e90c9b97p-8, 0x1.bc9130d2b18cep-8, 0x1.b14951d55e675p-8, 0x1.a6442d1fc9875p-8, 0x1.9b806455f99f3p-8, 0x1.90fc9f25d1afdp-8, 0x1.86b78b33f07e7p-8, 0x1.7cafdc08a647bp-8, 0x1.72e44afcd0449p-8, 0x1.69539726d63edp-8, 0x1.5ffc8547c3badp-8, 0x1.56dddfb84543dp-8, 0x1.4df67655e23c8p-8, 0x1.45451e703787ap-8, 0x1.3cc8b2b639ca9p-8, 0x1.34801323a9397p-8, 0x1.2c6a24ee78b96p-8, 0x1.2485d27468cc8p-8, 0x1.1cd20b28b67afp-8, 0x1.154dc381d6556p-8, 0x1.0df7f4e75a415p-8, 0x1.06cf9d9fde05dp-8, 0x1.ffa7817e88226p-9, 0x1.f206cc2972c63p-9, 0x1.e4bb34327af28p-9, 0x1.d7c2dbbbe742ep-9, 0x1.cb1bedf59a7a6p-9, 0x1.bec49efa80d13p-9, 0x1.b2bb2bae3e8e9p-9, 0x1.a6fdd99b31f46p-9, 0x1.9b8af6d0ab35bp-9, 0x1.9060d9c18931cp-9, 0x1.857de12310bb1p-9, 0x1.7ae073cbff8acp-9, 0x1.7087009406c91p-9, 0x1.666ffe33784p-9, 0x1.5c99eb236545cp-9, 0x1.53034d7ddb7cbp-9, 0x1.49aab2deb000ep-9, 0x1.408eb0444463fp-9, 0x1.37ade1f0fcfdep-9, 0x1.2f06eb4cbb2dbp-9, 0x1.269876c6e337bp-9, 0x1.1e6135b879c7ap-9, 0x1.165fe046ce306p-9, 0x1.0e93354653f4fp-9, 0x1.06f9fa1dd4b3ap-9, 0x1.ff25f554134c5p-10, 0x1.f0ba1242b1334p-10, 0x1.e2adfbf07a523p-10, 0x1.d4ff6f8b1d02bp-10, 0x1.c7ac364efa741p-10, 0x1.bab22551a2b82p-10, 0x1.ae0f1d4c957e3p-10, 0x1.a1c10a68fcc12p-10, 0x1.95c5e40c15f8bp-10, 0x1.8a1baca43d6ccp-10, 0x1.7ec0717672009p-10, 0x1.73b24a6ca3a7ep-10, 0x1.68ef59e4c1431p-10, 0x1.5e75cc802bcffp-10, 0x1.5443d8f41f0cdp-10, 0x1.4a57bfda730e2p-10, 0x1.40afcb83317e9p-10, 0x1.374a4fc6cf419p-10, 0x1.2e25a9d8dd6e1p-10, 0x1.2540401b9034ep-10, 0x1.1c9881f3d3a3ep-10, 0x1.142ce79de6656p-10, 0x1.0bfbf202ca6a5p-10, 0x1.04042a8e1e2ddp-10, 0x1.f88846098517ap-11, 0x1.e974eab7bf764p-11, 0x1.dacb8721b83f4p-11, 0x1.cc896f0307b96p-11, 0x1.beac058a91483p-11, 0x1.b130bd0d054aap-11, 0x1.a41516b9be74dp-11, 0x1.9756a24fce739p-11, 0x1.8af2fdd4fd1cbp-11, 0x1.7ee7d54d43eb2p-11, 0x1.7332e273e51dp-11, 0x1.67d1ec757cfdfp-11, 0x1.5cc2c7aafebb4p-11, 0x1.5203555637e8p-11, 0x1.4791835ee41efp-11, 0x1.3d6b4c118d956p-11, 0x1.338eb5de810c3p-11, 0x1.29f9d31b00693p-11, 0x1.20aac1c266e74p-11, 0x1.179fab391f66p-11, 0x1.0ed6c4105565fp-11, 0x1.064e4bca8ffa9p-11, 0x1.fc0919433a514p-12, 0x1.ebefb69a179a3p-12, 0x1.dc4d2d941e51bp-12, 0x1.cd1e5048b609ap-12, 0x1.be60047ed84d1p-12, 0x1.b00f43428fd5p-12, 0x1.a229187c75194p-12, 0x1.94aaa289e2a04p-12, 0x1.879111d86fe0cp-12, 0x1.7ad9a882086a3p-12, 0x1.6e81b9eb5cbafp-12, 0x1.6286aa6439edfp-12, 0x1.56e5eec915739p-12, 0x1.4b9d0c26d03f3p-12, 0x1.40a9976010a0ep-12, 0x1.360934d3cc914p-12, 0x1.2bb99806691dep-12, 0x1.21b8834b8d871p-12, 0x1.1803c77208711p-12, 0x1.0e99437132893p-12, 0x1.0576e41803c4p-12, 0x1.f935477ab3e7bp-13, 0x1.e80513e41e7bfp-13, 0x1.d759566939c1bp-13, 0x1.c72e514b5ebe2p-13, 0x1.b7805f7e24308p-13, 0x1.a84bf415f11cfp-13, 0x1.998d99bb3b7fap-13, 0x1.8b41f21f9a793p-13, 0x1.7d65b57598d79p-13, 0x1.6ff5b1eb1af36p-13, 0x1.62eecb27b38dbp-13, 0x1.564df9cafa7bbp-13, 0x1.4a104af0623eap-13, 0x1.3e32dfb38bb56p-13, 0x1.32b2ecb78734bp-13, 0x1.278db9b16e34dp-13, 0x1.1cc0a0f3bb0c4p-13, 0x1.12490efe0bf8bp-13, 0x1.0824820d1330ep-13, 0x1.fca1135c93aaep-14, 0x1.e9958cab7b059p-14, 0x1.d721d1eae2d21p-14, 0x1.c541652dd9debp-14, 0x1.b3efe7efed953p-14, 0x1.a3291a5087a01p-14, 0x1.92e8da5347291p-14, 0x1.832b232475985p-14, 0x1.73ec0c627b114p-14, 0x1.6527c96822486p-14, 0x1.56daa89ea7fb2p-14, 0x1.490112d096defp-14, 0x1.3b978a81ab695p-14, 0x1.2e9aab4a76801p-14, 0x1.22072936eadc1p-14, 0x1.15d9d028ec857p-14, 0x1.0a0f833d99d47p-14, 0x1.fd4a786f7298ep-15, 0x1.e73015d5f1951p-15, 0x1.d1ca2959db7c9p-15, 0x1.bd13278dc7a75p-15, 0x1.a905add9d52d9p-15, 0x1.959c816ef9723p-15, 0x1.82d28e3cc5e6cp-15, 0x1.70a2e5f25b941p-15, 0x1.5f08bf02148cep-15, 0x1.4dff73ab4ca11p-15, 0x1.3d82810a84c43p-15, 0x1.2d8d862e9669p-15, 0x1.1e1c43325620dp-15, 0x1.0f2a985ecd12p-15, 0x1.00b4854d62373p-15, 0x1.e56c50281dfe4p-16, 0x1.ca5778e9420e4p-16, 0x1.b023361d12ca6p-16, 0x1.96c87135556ccp-16, 0x1.7e404a4e3ae53p-16, 0x1.668416b2ce2fp-16, 0x1.4f8d5f6c9f309p-16, 0x1.3955dfd628904p-16, 0x1.23d7843d19309p-16, 0x1.0f0c6887eba03p-16, 0x1.f5ddadcb19c2ep-17, 0x1.cef28d0abd2a9p-17, 0x1.a94cb4b0a6fbdp-17, 0x1.84e1bfaa535ep-17, 0x1.61a79b92c704dp-17, 0x1.3f9486631e79ap-17, 0x1.1e9f0c2a20ecbp-17, 0x1.fd7c09aca18ep-18, 0x1.bfd124237cb1ep-18, 0x1.842c3a4349b9cp-18, 0x1.4a7ca9c893e94p-18, 0x1.12b257894c133p-18, 0x1.b97b575340a31p-19, 0x1.511f1b77db36fp-19, 0x1.d8658457ed342p-20, 0x1.153404e46cc12p-20, 0x1.61cbe469977f1p-22, -0x1.784a666274972p-22, -0x1.0e8ff6458f8cap-20, -0x1.b936b5742f3ep-20, -0x1.2f1b68e644a91p-19, -0x1.7edf5a36e69a9p-19, -0x1.cbfda078ddbf1p-19, -0x1.0b45f847f3b09p-18, -0x1.2f4fa412b2b4dp-18, -0x1.5225f99b8c537p-18, -0x1.73d2c8bcb1913p-18, -0x1.945f8dcbbc97ap-18, -0x1.b3d5742c716b2p-18, -0x1.d23d58c6f7bc4p-18, -0x1.ef9fcc7818c75p-18, -0x1.06028b36549d5p-17, -0x1.13ba9b33f0022p-17, -0x1.20fbf381aac2dp-17, -0x1.2dca4feb065acp-17, -0x1.3a294bca061b3p-17, -0x1.461c630bb2ebbp-17, -0x1.51a6f3316fc8cp-17, -0x1.5ccc3c464e4c6p-17, -0x1.678f61d489b1bp-17, -0x1.71f36bcafe7cbp-17, -0x1.7bfb4766b7b0ap-17, -0x1.85a9c80a5148ep-17, -0x1.8f01a81b4c8c5p-17, -0x1.980589ce2d56ap-17, -0x1.a0b7f7f4492a3p-17, -0x1.a91b66c0f217fp-17, -0x1.b13234892bbb5p-17, -0x1.b8feaa7bf919ap-17, -0x1.c082fd5a04c58p-17, -0x1.c7c14e22123c4p-17, -0x1.cebbaabe76fe3p-17, -0x1.d5740ea76f9cep-17, -0x1.dbec63858d496p-17, -0x1.e22681cd62005p-17, -0x1.e82431554d973p-17, -0x1.ede729e8a2907p-17, -0x1.f37113d66846dp-17, -0x1.f8c3887a6201ap-17, -0x1.fde012c3ad384p-17, -0x1.016417dabeeaap-16, -0x1.03bea772ae059p-16, -0x1.0600697a151b1p-16, -0x1.082a0902e41c5p-16, -0x1.0a3c2b18cc9c9p-16, -0x1.0c376ef968968p-16, -0x1.0e1c6e4973122p-16, -0x1.0febbd494853ep-16, -0x1.11a5eb06b3bb3p-16, -0x1.134b818df7792p-16, -0x1.14dd061921c4bp-16, -0x1.165af93d752fap-16, -0x1.17c5d717e330ep-16, -0x1.191e1777d2bc7p-16, -0x1.1a642e0866113p-16, -0x1.1b988a7884ea8p-16, -0x1.1cbb98a1e9c54p-16, -0x1.1dcdc0ae187a8p-16, -0x1.1ecf673ae18fp-16, -0x1.1fc0ed7d921eap-16, -0x1.20a2b1647709ep-16, -0x1.21750db7ae279p-16, -0x1.22385a387765dp-16, -0x1.22ecebc06bf9cp-16, -0x1.2393145e1a4ebp-16, -0x1.242b237206d69p-16, -0x1.24b565ca0245ep-16, -0x1.253225bb649f9p-16, -0x1.25a1ab3d1adbcp-16, -0x1.26043bfff2eabp-16, -0x1.265a1b86590b2p-16, -0x1.26a38b3bc0199p-16, -0x1.26e0ca89febc2p-16, -0x1.271216ef708d9p-16, -0x1.2737ac12f73f7p-16, -0x1.2751c3d7dd786p-16, -0x1.2760967109284p-16, -0x1.27645a73094e5p-16, -0x1.275d44e6367b6p-16, -0x1.274b895714927p-16, -0x1.272f59e748f95p-16, -0x1.2708e75ce6351p-16, -0x1.26d86131b050fp-16, -0x1.269df5a19278p-16, -0x1.2659d1b8f13f4p-16, -0x1.260c216166885p-16, -0x1.25b50f6f346b2p-16, -0x1.2554c5ad9b7e5p-16, -0x1.24eb6cea3d928p-16, -0x1.24792d011c118p-16, -0x1.23fe2ce711faap-16, -0x1.237a92b4a2e56p-16, -0x1.22ee83af9fb3p-16, -0x1.225a2455380e9p-16, -0x1.21bd98629a44fp-16, -0x1.211902de7ebe6p-16, -0x1.206c8620dceddp-16, -0x1.1fb843db5fed8p-16, -0x1.1efc5d2121324p-16, -0x1.1e38f26dce168p-16, -0x1.1d6e23acced62p-16, -0x1.1c9c1040039d3p-16, -0x1.1bc2d705fb906p-16, -0x1.1ae296606914bp-16, -0x1.19fb6c39821c3p-16, -0x1.190d760a02943p-16, -0x1.1818d0de081bcp-16, -0x1.171d995a70277p-16, -0x1.161bebc118cb7p-16, -0x1.1513e3f61231fp-16, -0x1.14059d838b16dp-16, -0x1.12f1339dce8e8p-16, -0x1.11d6c1276dc14p-16, -0x1.10b660b4ac23bp-16, -0x1.0f902c8f14092p-16, -0x1.0e643eb8c5511p-16, -0x1.0d32b0ef57fe3p-16, -0x1.0bfb9caf24678p-16, -0x1.0abf1b359fc86p-16, -0x1.097d4584460c8p-16, -0x1.08363462c054dp-16, -0x1.06ea006188de3p-16, -0x1.0598c1dbbc7f4p-16, -0x1.044290f95b1e5p-16, -0x1.02e785b0ec828p-16, -0x1.0187b7c98389ep-16, -0x1.00233edc37be5p-16, -0x1.fd7464ab7327ep-17, -0x1.fa9952ef78471p-17, -0x1.f7b576b4928ecp-17, -0x1.f4c8fdd9d4f75p-17, -0x1.f1d415efa09c9p-17, -0x1.eed6ec39c29d1p-17, -0x1.ebd1adb12a367p-17, -0x1.e8c48705d886dp-17, -0x1.e5afa4a0378b8p-17, -0x1.e29332a2a21f4p-17, -0x1.df6f5cead7cb5p-17, -0x1.dc444f127d0aep-17, -0x1.d912347110d02p-17, -0x1.d5d9381bf2483p-17, -0x1.d29984e7af34p-17, -0x1.cf5345685d424p-17, -0x1.cc06a3f27ae11p-17, -0x1.c8b3ca9b21afp-17, -0x1.c55ae3386faf3p-17, -0x1.c1fc17620ec1p-17, -0x1.be9790710db74p-17, -0x1.bb2d77803f757p-17, -0x1.b7bdf56c5ef76p-17, -0x1.b44932d3c5d18p-17, -0x1.b0cf5816a4653p-17, -0x1.ad508d56a5a52p-17, -0x1.a9ccfa76f4d8ep-17, -0x1.a644c71bdff04p-17, -0x1.a2b81aaac3561p-17, -0x1.9f271c49419e6p-17, -0x1.9b91f2ddc3c97p-17, -0x1.97f8c50e199ffp-17, -0x1.945bb93fc1c16p-17, -0x1.90baf5972887p-17, -0x1.8d169ff74a571p-17, -0x1.896ede0126691p-17, -0x1.85c3d5133ba0cp-17, -0x1.8215aa4906da1p-17, -0x1.7e64827a68b4ep-17, -0x1.7ab0823affd9cp-17, -0x1.76f9cdd9d5637p-17, -0x1.734089608794fp-17, -0x1.6f84d892c3d1fp-17, -0x1.6bc6deedb3a01p-17, -0x1.6806bfa76c89p-17, -0x1.64449dae1f232p-17, -0x1.60809ba7b682cp-17, -0x1.5cbadbf105d1cp-17, -0x1.58f3809d84937p-17, -0x1.552aab762a171p-17, -0x1.51607df9733b5p-17, -0x1.4d95195a57ac8p-17, -0x1.49c89e7fc3007p-17, -0x1.45fb2e043a7eep-17, -0x1.422ce83512a64p-17, -0x1.3e5ded11fd9bbp-17, -0x1.3a8e5c4c7ecc9p-17, -0x1.36be554741741p-17, -0x1.32edf715ce18fp-17, -0x1.2f1d607bd94aap-17, -0x1.2b4cafece312bp-17, -0x1.277c038ba15d4p-17, -0x1.23ab79299bd02p-17, -0x1.1fdb2e46c8109p-17, -0x1.1c0b4010faf18p-17, -0x1.183bcb6397bfap-17, -0x1.146cecc72731cp-17, -0x1.109ec070ee7e7p-17, -0x1.0cd16242c060bp-17, -0x1.0904edca5e6c6p-17, -0x1.05397e415d873p-17, -0x1.016f2e8cce6eep-17, -0x1.fb4c3279c74c5p-18, -0x1.f3bcb1198b4b5p-18, -0x1.ec300cc4aa5a6p-18, -0x1.e4a6789bcbe43p-18, -0x1.dd2027141735dp-18, -0x1.d59d49f70687ep-18, -0x1.ce1e1261fa0b4p-18, -0x1.c6a2b0c5b6c87p-18, -0x1.bf2b54e69ccf7p-18, -0x1.b7b82ddbfb6ecp-18, -0x1.b0496a104f757p-18, -0x1.a8df3740d313ep-18, -0x1.a179c27db814cp-18, -0x1.9a193829d9772p-18, -0x1.92bdc3faecb7dp-18, -0x1.8b6790f957bcap-18, -0x1.8416c9808a2e5p-18, -0x1.7ccb973ee6b35p-18, -0x1.75862335e0e9bp-18, -0x1.6e4695ba7b122p-18, -0x1.670d167506a72p-18, -0x1.5fd9cc61bd695p-18, -0x1.58acddd0f9949p-18, -0x1.518670679701ap-18, -0x1.4a66a91f490bp-18, -0x1.434dac4701bcap-18, -0x1.3c3b9d836f7eep-18, -0x1.35309fcf411c7p-18, -0x1.2e2cd57be9c14p-18, -0x1.27306031e705p-18, -0x1.203b60f1a93b3p-18, -0x1.194df813d97d9p-18, -0x1.1268454a22db4p-18, -0x1.0b8a679fd2e45p-18, -0x1.04b47d7a9a7cfp-18, -0x1.fbcd49368ef8fp-19, -0x1.ee41f43ca465dp-19, -0x1.e0c734f9b98fbp-19, -0x1.d35d431ab031ep-19, -0x1.c6045508d8a77p-19, -0x1.b8bc9feb95021p-19, -0x1.ab8657aa5f466p-19, -0x1.9e61aeee042bfp-19, -0x1.914ed722f4ddfp-19, -0x1.844e007b2aa21p-19, -0x1.775f59eff1b54p-19, -0x1.6a831143d9a0bp-19, -0x1.5db95304de0d9p-19, -0x1.51024a8e865f1p-19, -0x1.445e220b84bfcp-19, -0x1.37cd02787287cp-19, -0x1.2b4f13a5d022ap-19, -0x1.1ee47c3a4d03ap-19, -0x1.128d61b4bf797p-19, -0x1.0649e86eac0b9p-19, -0x1.f434673d02a82p-20, -0x1.dbfccab47cfb2p-20, -0x1.c3ed3d329228dp-20, -0x1.ac05fe6e6d5e4p-20, -0x1.94474bec1d17p-20, -0x1.7cb16101d6e0fp-20, -0x1.654476dcc0eadp-20, -0x1.4e00c485f1c2p-20, -0x1.36e67ee766d7dp-20, -0x1.1ff5d8d145f6ep-20, -0x1.092f02ff2cc9cp-20, -0x1.e524583a137d1p-21, -0x1.b83f01995627ap-21, -0x1.8bae57559529p-21, -0x1.5f72aaa96c3f6p-21, -0x1.338c48d97046ap-21, -0x1.07fb7b4082132p-21, -0x1.b9810eb5af96cp-22, -0x1.63b75d9eaf81bp-22, -0x1.0e9a5ef6b65b4p-22, -0x1.74550df5f3044p-23, -0x1.99a10a0384d93p-24, -0x1.353f70c436addp-26, 0x1.f88fe8d5e20b6p-25, 0x1.219285a54b0d4p-23, 0x1.c3a3141470469p-23, 0x1.322a89a7b5bc2p-22, 0x1.81d3ff74e5a7bp-22, 0x1.d0cdb00bcf946p-22, 0x1.0f8bb35dfebe2p-21, 0x1.36587abaca1f3p-21, 0x1.5ccd1a5a1e977p-21, 0x1.82e981b3a7b87p-21, 0x1.a8ada36e95b7fp-21, 0x1.ce1975563f3bp-21, 0x1.f32cf04e312c5p-21, 0x1.0bf4082464a3bp-20, 0x1.1e256a1d94706p-20, 0x1.302a9f08f6c2dp-20, 0x1.4203a95384b04p-20, 0x1.53b08cdb17fdep-20, 0x1.65314ee89b83bp-20, 0x1.7685f62b4d256p-20, 0x1.87ae8ab31372cp-20, 0x1.98ab15ea8856ap-20, 0x1.a97ba292354c9p-20, 0x1.ba203cbabae2fp-20, 0x1.ca98f1bf91935p-20, 0x1.dae5d041946bbp-20, 0x1.eb06e821fdda6p-20, 0x1.fafc4a7cfa691p-20, 0x1.056304d20a224p-19, 0x1.0d321c8c8be96p-19, 0x1.14eb76c4830fap-19, 0x1.1c8f1e6344cdep-19, 0x1.241d1ee28625p-19, 0x1.2b958449b6867p-19, 0x1.32f85b2b5ba3dp-19, 0x1.3a45b0a29e3eep-19, 0x1.417d9250aa01dp-19, 0x1.48a00e5a40a67p-19, 0x1.4fad33655dd47p-19, 0x1.56a51096541bcp-19, 0x1.5d87b58d94909p-19, 0x1.645532653a73dp-19, 0x1.6b0d97ae7975p-19, 0x1.71b0f66f6ba6p-19, 0x1.783f602088f62p-19, 0x1.7eb8e6a9fcaa9p-19, 0x1.851d9c61be427p-19, 0x1.8b6d9408f1e32p-19, 0x1.91a8e0c99bc75p-19, 0x1.97cf96348386ap-19, 0x1.9de1c83e9dbbp-19, 0x1.a3df8b3ee85dap-19, 0x1.a9c8f3ec1d0ebp-19, 0x1.af9e175a9d02bp-19, 0x1.b55f0afa04292p-19, 0x1.bb0be492ee7a9p-19, 0x1.c0a4ba4512972p-19, 0x1.c629a284ec8fdp-19, 0x1.cb9ab4198a1f9p-19, 0x1.d0f8061a8c7fep-19, 0x1.d641afedf4a1dp-19, 0x1.db77c94651f99p-19, 0x1.e09a6a202009p-19, 0x1.e5a9aac05979ap-19, 0x1.eaa5a3b265307p-19, 0x1.ef8e6dc57eccdp-19, 0x1.f464220b892b1p-19, 0x1.f926d9d6cd5afp-19, 0x1.fdd6aeb78802dp-19, 0x1.0139dd3d6b337p-18, 0x1.037f0b942682cp-18, 0x1.05baef801af99p-18, 0x1.07ed963cfb7f1p-18, 0x1.0a170d20e603cp-18, 0x1.0c37619ba5da1p-18, 0x1.0e4ea135e1e16p-18, 0x1.105cd98fe78a1p-18, }}, 
      {{-0x1.e4b75e5bcfc4cp-15, -0x1.eaddabe9f3e68p-13, -0x1.160927d60ac46p-11, -0x1.e963344d4dbc7p-11, -0x1.70e0332ca05cap-10, -0x1.ef7f704aa701dp-10, -0x1.2d715a432e1b9p-9, -0x1.4cc75504d3f3fp-9, -0x1.482e44036d3c1p-9, -0x1.124965c832ca9p-9, -0x1.3db6317d67054p-10, 0x1.c865f5bf43ebbp-13, 0x1.27f4bc61cdd89p-9, 0x1.4479f1736f82dp-8, 0x1.1096e8d6386f6p-7, 0x1.951a0fe8caeb6p-7, 0x1.179d0bf08910dp-6, 0x1.6eeff3383928cp-6, 0x1.cfbeb8d24948ap-6, 0x1.1c88c9efada72p-5, 0x1.54e56875e8e1fp-5, 0x1.9058aa829d90ap-5, 0x1.ce3d394ee086ap-5, 0x1.06f4b58ccb9ffp-4, 0x1.27599a34fd943p-4, 0x1.47f9c65be86b2p-4, 0x1.6884a3041134dp-4, 0x1.88adae19cd82ap-4, 0x1.a82d620e678aap-4, 0x1.c6c1e2b5fa53ep-4, 0x1.e42f755d12392p-4, 0x1.0020652b0e783p-3, 0x1.0d638f213769ep-3, 0x1.19cd1c9574835p-3, 0x1.254c289432461p-3, 0x1.2fd2eaf82cdbap-3, 0x1.395695101c379p-3, 0x1.41cf275033874p-3, 0x1.493741fad85fdp-3, 0x1.4f8bf26b915a7p-3, 0x1.54cc7e72386bep-3, 0x1.58fa2ef2cadcp-3, 0x1.5c181ac95da71p-3, 0x1.5e2af2c1aa73bp-3, 0x1.5f38cf46921c3p-3, 0x1.5f490047ff5fep-3, 0x1.5e63dfb4642dbp-3, 0x1.5c92a6c697eccp-3, 0x1.59df465094f55p-3, 0x1.565442176d63fp-3, 0x1.51fc8f4423958p-3, 0x1.4ce375df880ddp-3, 0x1.47147544d9bbdp-3, 0x1.409b2b6e76fc3p-3, 0x1.39833efa2398ep-3, 0x1.31d84bbe11f19p-3, 0x1.29a5d1c51ce8cp-3, 0x1.20f7268743dddp-3, 0x1.17d76832f7cd1p-3, 0x1.0e5172dc2348fp-3, 0x1.046fd766e97p-3, 0x1.f479a80afa423p-4, 0x1.df849c44b1fd8p-4, 0x1.ca139b2469f58p-4, 0x1.b438f1d687a05p-4, 0x1.9e0625c35a5f3p-4, 0x1.878bf116ddc2p-4, 0x1.70da40e09e125p-4, 0x1.5a0034992ea51p-4, 0x1.430c1edf5707ap-4, 0x1.2c0b8743108d8p-4, 0x1.150b2cf862e4ap-4, 0x1.fc2e149fca0b1p-5, 0x1.ce74b1ac12609p-5, 0x1.a0ff2bfb15834p-5, 0x1.73e1107882139p-5, 0x1.472c890890d14p-5, 0x1.1af2680bceaa6p-5, 0x1.de8468a342deep-6, 0x1.88546ab5bf4a4p-6, 0x1.336effa2ed1fcp-6, 0x1.bfd8087613d77p-7, 0x1.1bc2440cd5e26p-7, 0x1.eb0f43771d3dp-9, -0x1.1801a482ad34fp-10, -0x1.7ad501570b05bp-8, -0x1.545f6843eec31p-7, -0x1.e7c6b0e51389p-7, -0x1.3bc5b11d9b82p-6, -0x1.81cdcc4fc70c2p-6, -0x1.c5f42c706b1f8p-6, -0x1.041959566cdeep-5, -0x1.24424518855c2p-5, -0x1.43730a09677efp-5, -0x1.61aa69f977acbp-5, -0x1.7ee7aeab21ca2p-5, -0x1.9b2aa0dbd8fa4p-5, -0x1.b6737fa97e849p-5, -0x1.d0c2f853a0b0dp-5, -0x1.ea1a1e57bc05dp-5, -0x1.013d31f39d9cap-4, -0x1.0cf2c95ad7751p-4, -0x1.182ee28ec49bcp-4, -0x1.22f2afccacdfcp-4, -0x1.2d3f8547bcf3fp-4, -0x1.3716d636ec786p-4, -0x1.407a3209cd694p-4, -0x1.496b41c307c51p-4, -0x1.51ebc5774248cp-4, -0x1.59fd91ef3545dp-4, -0x1.61a28e6b9d021p-4, -0x1.68dcb289c5d38p-4, -0x1.6fae044769583p-4, -0x1.7618962497566p-4, -0x1.7c1e85626acacp-4, -0x1.81c1f85d4a9ddp-4, -0x1.87051d0184997p-4, -0x1.8bea2759102a2p-4, -0x1.907350314ddafp-4, -0x1.94a2d3d7a5ac6p-4, -0x1.987af0ebeacc5p-4, -0x1.9bfde747742f1p-4, -0x1.9f2df6f7de1bp-4, -0x1.a20d5f4c86ce3p-4, -0x1.a49e5df5afc2bp-4, -0x1.a6e32e3484562p-4, -0x1.a8de081af609bp-4, -0x1.aa911fdab1c1dp-4, -0x1.abfea522592a4p-4, -0x1.ad28c28822934p-4, -0x1.ae119d0140f4cp-4, -0x1.aebb53653f392p-4, -0x1.af27fdfcb07c2p-4, -0x1.af59ae1a8e1cap-4, -0x1.af526dbf90311p-4, -0x1.af143f47150f3p-4, -0x1.aea11d1cca11cp-4, -0x1.adfaf97acd7c2p-4, -0x1.ad23be2f8d3fbp-4, -0x1.ac1d4c6b16fc7p-4, -0x1.aae97c933cacp-4, -0x1.a98a1e1e35fffp-4, -0x1.a800f773586b4p-4, -0x1.a64fc5d163a82p-4, -0x1.a4783d3a26e9dp-4, -0x1.a27c086311a7fp-4, -0x1.a05cc8aa564bbp-4, -0x1.9e1c16106bb97p-4, -0x1.9bbb7f356f0d8p-4, -0x1.993c895a536dbp-4, -0x1.96a0b06578d76p-4, -0x1.93e966ea71ccap-4, -0x1.91181634c2924p-4, -0x1.8e2e1e5558602p-4, -0x1.8b2cd63284cb6p-4, -0x1.88158b9a4bfb3p-4, -0x1.84e98356d2d11p-4, -0x1.81a9f944c1632p-4, -0x1.7e58206b6da16p-4, -0x1.7af52316a6358p-4, -0x1.778222f1f6ea2p-4, -0x1.740039254586dp-4, -0x1.707076729fe5p-4, -0x1.6cd3e35520db9p-4, -0x1.692b8020caed3p-4, -0x1.657845233d1bdp-4, -0x1.61bb22c52830ep-4, -0x1.5df501ac6c348p-4, -0x1.5a26c2dec2fb9p-4, -0x1.56513fe4e79cbp-4, -0x1.52754aee20c43p-4, -0x1.4e93aef41f1fp-4, -0x1.4aad2fdf1aed3p-4, -0x1.46c28aaa1fac5p-4, -0x1.42d4758779e2cp-4, -0x1.3ee3a005332a8p-4, -0x1.3af0b33192487p-4, -0x1.36fc51bf9087fp-4, -0x1.3307182b3a815p-4, -0x1.2f119cddeeecap-4, -0x1.2b1c705272b42p-4, -0x1.27281d38cfb9dp-4, -0x1.23352899f6633p-4, -0x1.1f4411fb18f4bp-4, -0x1.1b555380ba391p-4, -0x1.17696211673p-4, -0x1.1380ad781623fp-4, -0x1.0f9ba08625578p-4, -0x1.0bbaa134f4e5bp-4, -0x1.07de10c713e9ap-4, -0x1.04064be9003a4p-4, -0x1.0033aad1739edp-4, -0x1.f8cd02c27213ep-5, -0x1.f13e3e8513581p-5, -0x1.e9bba00fd9898p-5, -0x1.e245b69532489p-5, -0x1.dadd0990ab18dp-5, -0x1.d3821901adc5bp-5, -0x1.cc355da5337cbp-5, -0x1.c4f7492e6d355p-5, -0x1.bdc8467e5fa4p-5, -0x1.b6a8b9da70419p-5, -0x1.af990121e3c12p-5, -0x1.a89974024c32ep-5, -0x1.a1aa642ae61ep-5, -0x1.9acc1d7ee872cp-5, -0x1.93fee646c048dp-5, -0x1.8d42ff6041ebfp-5, -0x1.8698a46dca48dp-5, -0x1.80000c04554cep-5, -0x1.797967d887779p-5, -0x1.7304e4eaafe3cp-5, -0x1.6ca2abb1c64d4p-5, -0x1.6652e0455fcd3p-5, -0x1.6015a286a4d8ep-5, -0x1.59eb0e48482bdp-5, -0x1.53d33b757fa8cp-5, -0x1.4dce3e3804205p-5, -0x1.47dc271d1df7ap-5, -0x1.41fd0339b8b4p-5, -0x1.3c30dc4d8df53p-5, -0x1.3677b8e55cf5bp-5, -0x1.30d19c7c3f1aap-5, -0x1.2b3e879c133ddp-5, -0x1.25be77fd0a407p-5, -0x1.205168a45323dp-5, -0x1.1af75201ee658p-5, -0x1.15b02a0daabbcp-5, -0x1.107be4634f6afp-5, -0x1.0b5a725df86cbp-5, -0x1.064bc332a40eap-5, -0x1.014fc409ffc22p-5, -0x1.f8ccc032d8bcap-6, -0x1.ef1f01768a304p-6, -0x1.e5961b0cd7ff5p-6, -0x1.dc31d8ca38bbp-6, -0x1.d2f2035618e07p-6, -0x1.c9d66055b98e4p-6, -0x1.c0deb295b9fp-6, -0x1.b80aba324ee52p-6, -0x1.af5a34be30a01p-6, -0x1.a6ccdd6847638p-6, -0x1.9e626d201db3cp-6, -0x1.961a9ab9233d7p-6, -0x1.8df51b0cba1d8p-6, -0x1.85f1a11b2aaf4p-6, -0x1.7e0fde2b729e4p-6, -0x1.764f81e9fe043p-6, -0x1.6eb03a86551eep-6, -0x1.6731b4cfb8ff8p-6, -0x1.5fd39c50c7d22p-6, -0x1.58959b6a1727ap-6, -0x1.51775b6beba84p-6, -0x1.4a7884aeedd26p-6, -0x1.4398beac07641p-6, -0x1.3cd7b0134dffcp-6, -0x1.3634fee2210acp-6, -0x1.2fb050786224bp-6, -0x1.294949ace7e29p-6, -0x1.22ff8ee11e232p-6, -0x1.1cd2c413e5931p-6, -0x1.16c28cf3ae29ap-6, -0x1.10ce8cefdc179p-6, -0x1.0af667497458ap-6, -0x1.0539bf2317f08p-6, -0x1.ff306f20af5c4p-7, -0x1.f422e748bcaebp-7, -0x1.e94a2cfff6314p-7, -0x1.dea586be186fep-7, -0x1.d4343b4ab1a34p-7, -0x1.c9f591d599eb2p-7, -0x1.bfe8d20e62f17p-7, -0x1.b60d443a9e998p-7, -0x1.ac62314b29c33p-7, -0x1.a2e6e2f0676ebp-7, -0x1.999aa3ad7d242p-7, -0x1.907cbeeaa9f43p-7, -0x1.878c81069d545p-7, -0x1.7ec93766f80f6p-7, -0x1.76323087e4fe8p-7, -0x1.6dc6bc0adea6ep-7, -0x1.65862ac4a75dap-7, -0x1.5d6fceca73f13p-7, -0x1.5582fb7e52b33p-7, -0x1.4dbf059adfc5ap-7, -0x1.4623433e3a48ap-7, -0x1.3eaf0bf4499c7p-7, -0x1.3761b8c0617ecp-7, -0x1.303aa4263b706p-7, -0x1.29392a32556ffp-7, -0x1.225ca881b25fep-7, -0x1.1ba47e4911345p-7, -0x1.15100c5b8a95bp-7, -0x1.0e9eb530b4c66p-7, -0x1.084fdcea30cd6p-7, -0x1.0222e958c8968p-7, -0x1.f82e840219709p-8, -0x1.ec58a03ef2f19p-8, -0x1.e0c2fd5860e1fp-8, -0x1.d56c74bc83315p-8, -0x1.ca53e35d158a4p-8, -0x1.bf7829b46d379p-8, -0x1.b4d82bc9ac184p-8, -0x1.aa72d1343f6ebp-8, -0x1.a047051eaec3bp-8, -0x1.9653b648b1038p-8, -0x1.8c97d708b6d6ap-8, -0x1.83125d4cbf6d6p-8, -0x1.79c2429aa286bp-8, -0x1.70a6840fcc0abp-8, -0x1.67be226068a7p-8, -0x1.5f0821d611393p-8, -0x1.56838a4df30e4p-8, -0x1.4e2f67368d745p-8, -0x1.460ac78ceab8ep-8, -0x1.3e14bdd97bb4bp-8, -0x1.364c602c7e3ecp-8, -0x1.2eb0c81a0bcdfp-8, -0x1.274112b5c6269p-8, -0x1.1ffc608e22138p-8, -0x1.18e1d5a76c517p-8, -0x1.11f09976714efp-8, -0x1.0b27d6dae39fp-8, -0x1.0486bc196c023p-8, -0x1.fc18f5ab0bd9cp-9, -0x1.ef7090161f8cbp-9, -0x1.e312b80f47f87p-9, -0x1.d6fde4c77394dp-9, -0x1.cb3093f71bffcp-9, -0x1.bfa949cfb5922p-9, -0x1.b46690ecc722ep-9, -0x1.a966fa44a0f6ap-9, -0x1.9ea91d18d2615p-9, -0x1.942b96e63f249p-9, -0x1.89ed0b5504f46p-9, -0x1.7fec2428134b7p-9, -0x1.7627912c8c146p-9, -0x1.6c9e0828f479bp-9, -0x1.634e44cc31ea2p-9, -0x1.5a37089c53e36p-9, -0x1.51571ae53f566p-9, -0x1.48ad48a73b14dp-9, -0x1.4038648554475p-9, -0x1.37f746b3a6bcdp-9, -0x1.2fe8cce599f8cp-9, -0x1.280bda3c069b5p-9, -0x1.205f57333fa4fp-9, -0x1.18e231912ffd3p-9, -0x1.11935c533c4dbp-9, -0x1.0a71cf9c5e493p-9, -0x1.037c88a303258p-9, -0x1.f965133e2bfd8p-10, -0x1.ec25b36fe1cb8p-10, -0x1.df3909e4c343ap-10, -0x1.d29d383d7009fp-10, -0x1.c650698dad00fp-10, -0x1.ba50d238af1aep-10, -0x1.ae9cafcd7dd0cp-10, -0x1.a33248e37bdfdp-10, -0x1.980fecf710af4p-10, -0x1.8d33f4468c407p-10, -0x1.829cbfaf29869p-10, -0x1.7848b88a3ca65p-10, -0x1.6e36508ab9085p-10, -0x1.6464019ac72e6p-10, -0x1.5ad04db9b37aap-10, -0x1.5179beda08e09p-10, -0x1.485ee6bff0434p-10, -0x1.3f7e5edfd361cp-10, -0x1.36d6c83d5c164p-10, -0x1.2e66cb4a8b3aap-10, -0x1.262d17c74022ep-10, -0x1.1e2864a100461p-10, -0x1.16576fd30db63p-10, -0x1.0eb8fe46c126bp-10, -0x1.074bdbb44a67ap-10, -0x1.000eda83a80cp-10, -0x1.f201a75c0ad09p-11, -0x1.e4414d3eefdd1p-11, -0x1.d6da7231cd4b1p-11, -0x1.c9caee24ecbdap-11, -0x1.bd10a53c68d2ep-11, -0x1.b0a987963c4f1p-11, -0x1.a493911109b46p-11, -0x1.98ccc913981f4p-11, -0x1.8d534254f5a52p-11, -0x1.82251aa54a76dp-11, -0x1.77407ab794662p-11, -0x1.6ca395ebcae6ep-11, -0x1.624caa19f6083p-11, -0x1.5839ff5df3b81p-11, -0x1.4e69e7e3c782ap-11, -0x1.44dabfb4f201cp-11, -0x1.3b8aec8630c7ep-11, -0x1.3278dd862af52p-11, -0x1.29a30b2ca55b4p-11, -0x1.2107f70abefe3p-11, -0x1.18a62b9b7a23ep-11, -0x1.107c3c155a5dap-11, -0x1.0888c43c74baep-11, -0x1.00ca683560449p-11, -0x1.f27fa8b16668bp-12, -0x1.e3cf7a0ed59f9p-12, -0x1.d581bcff97779p-12, -0x1.c793f966220e2p-12, -0x1.ba03c637a982ap-12, -0x1.accec929e4c95p-12, -0x1.9ff2b662ee061p-12, -0x1.936d5029bfa15p-12, -0x1.873c66984c174p-12, -0x1.7b5dd74f277f4p-12, -0x1.6fcf8d2a140efp-12, -0x1.648f7ff637c11p-12, -0x1.599bb429684ebp-12, -0x1.4ef23a9ae225fp-12, -0x1.4491303d170d4p-12, -0x1.3a76bdd8ef6cp-12, -0x1.30a117ca41df8p-12, -0x1.270e7dbd4943dp-12, -0x1.1dbd3a6da70dfp-12, -0x1.14aba3668894cp-12, -0x1.0bd818c3b77p-12, -0x1.034104f42171cp-12, -0x1.f5c9b8fb101cep-13, -0x1.e5843b82570cap-13, -0x1.d5aea1834c18ap-13, -0x1.c6460dd40e43cp-13, -0x1.b747b5abce31fp-13, -0x1.a8b0e03517e82p-13, -0x1.9a7ee622c57e8p-13, -0x1.8caf31465a1c7p-13, -0x1.7f3f3c28f3e1dp-13, -0x1.722c91a63d6d5p-13, -0x1.6574cc893cc37p-13, -0x1.5915972b63929p-13, -0x1.4d0cab155369bp-13, -0x1.4157d0a1e999ap-13, -0x1.35f4dea2f6ee2p-13, -0x1.2ae1ba07deb0bp-13, -0x1.201c5586594f1p-13, -0x1.15a2b144a2e53p-13, -0x1.0b72da85df6eep-13, -0x1.018aeb5807af7p-13, -0x1.efd2148753269p-14, -0x1.dd16d3fab9077p-14, -0x1.cae09231c88cfp-14, -0x1.b92be37c627d6p-14, -0x1.a7f572bf6318fp-14, -0x1.973a00e500311p-14, -0x1.86f6644fe067bp-14, -0x1.7727885237f4ep-14, -0x1.67ca6ca667d45p-14, -0x1.58dc24ec44107p-14, -0x1.4a59d8288fb3cp-14, -0x1.3c40c046cb624p-14, -0x1.2e8e299f2a9e1p-14, -0x1.213f727e328c3p-14, -0x1.14520aafa962p-14, -0x1.07c3730c58bd1p-14, -0x1.f7227a1375078p-15, -0x1.df72149a3ded4p-15, -0x1.c8711881c7513p-15, -0x1.b21b07582d0bp-15, -0x1.9c6b8099bc822p-15, -0x1.875e40eab6838p-15, -0x1.72ef21543541cp-15, -0x1.5f1a1687fc6cep-15, -0x1.4bdb3027359c2p-15, -0x1.392e980e2822cp-15, -0x1.271091a3e7d33p-15, -0x1.157d792f53204p-15, -0x1.0471c32ec0ac5p-15, -0x1.e7d3f76a991bep-16, -0x1.c7c58b95b1f38p-16, -0x1.a8b1b5a0a3befp-16, -0x1.8a9213d2c9499p-16, -0x1.6d606ecd495d9p-16, -0x1.5116b86e1a9d3p-16, -0x1.35af0ab4c1ca8p-16, -0x1.1b23a6b0d193cp-16, -0x1.016ef376cca3ap-16, -0x1.d116fa370c203p-17, -0x1.a0e7e76d2ef31p-17, -0x1.724654d4c2841p-17, -0x1.45282ce696f38p-17, -0x1.19839c7ab4b9p-17, -0x1.de9e21fbd31bp-18, -0x1.8d026d6529cbdp-18, -0x1.3e21ee033c3e4p-18, -0x1.e3d5db40fa60cp-19, -0x1.5098539eed3d3p-19, -0x1.84d342ffb920cp-20, -0x1.c947e38cdb3edp-22, 0x1.2d263b1e4bacp-21, 0x1.961a47ec5c887p-20, 0x1.46401d172dbp-19, 0x1.bd000fd37b142p-19, 0x1.17b4e96c17c27p-18, 0x1.4eccc1829df1dp-18, 0x1.83d5443c77d53p-18, 0x1.b6dbcdbef3eecp-18, 0x1.e7ed64a82de18p-18, 0x1.0b8b5e32633c3p-17, 0x1.22321bb786c83p-17, 0x1.37f0f4c42b0d7p-17, 0x1.4ccdccec0c5efp-17, 0x1.60ce628133161p-17, 0x1.73f84f983eb0ap-17, 0x1.86510b030d1a3p-17, 0x1.97dde94686f78p-17, 0x1.a8a41d88946b5p-17, 0x1.b8a8ba78124f6p-17, 0x1.c7f0b32db6c81p-17, 0x1.d680dc076ea1cp-17, 0x1.e45deb7c354d5p-17, 0x1.f18c7aec458e2p-17, 0x1.fe1107689a753p-17, 0x1.04f7f93b96f77p-16, 0x1.0a96c16862999p-16, 0x1.0fe6f28c2b4eap-16, 0x1.14ea9647c6d31p-16, 0x1.19a3a9e1e1247p-16, 0x1.1e141e9bd4d3p-16, 0x1.223dda03a962ep-16, 0x1.2622b6440517bp-16, 0x1.29c482715bdebp-16, 0x1.2d2502d5b02adp-16, 0x1.3045f138daa02p-16, 0x1.3328fd288d4aep-16, 0x1.35cfcc3c590f8p-16, 0x1.383bfa595d5b6p-16, 0x1.3a6f19f2a4d52p-16, 0x1.3c6ab4488186fp-16, 0x1.3e3049a62f51ep-16, 0x1.3fc1519cb88a7p-16, 0x1.411f3b3d18062p-16, 0x1.424b6d501f07p-16, 0x1.4347468d51418p-16, 0x1.44141dcef55bp-16, 0x1.44b3424625681p-16, 0x1.4525fbac408f8p-16, 0x1.456d8a732f79cp-16, 0x1.458b27f494c62p-16, 0x1.4580069f402dep-16, 0x1.454d522315577p-16, 0x1.44f42f9ca2acfp-16, 0x1.4475bdbe04723p-16, 0x1.43d314f7e4adap-16, 0x1.430d47a083623p-16, 0x1.42256219804acp-16, 0x1.411c6af5bc5cfp-16, 0x1.3ff3631c14f8cp-16, 0x1.3eab45eb0f0c5p-16, 0x1.3d45095a39d3bp-16, 0x1.3bc19e1b693f7p-16, 0x1.3a21efb9ec6cp-16, 0x1.3866e4ba67abp-16, 0x1.36915eb7c3506p-16, 0x1.34a23a816a48dp-16, 0x1.329a5036b53b4p-16, 0x1.307a7362f93c3p-16, 0x1.2e437317d7bf7p-16, 0x1.2bf61a0776c24p-16, 0x1.29932e9d64d8ep-16, 0x1.271b731740b51p-16, 0x1.248fa59c3378ap-16, 0x1.21f08054492afp-16, 0x1.1f3eb97e722ebp-16, 0x1.1c7b0386e48f3p-16, 0x1.19a60d1b4e21dp-16, 0x1.16c0814042fd3p-16, 0x1.13cb0764babdep-16, 0x1.10c6437566292p-16, 0x1.0db2d5efbcc1p-16, 0x1.0a915bf437377p-16, 0x1.07626f5818c03p-16, 0x1.0426a6b6b0ea9p-16, 0x1.00de95826265p-16, 0x1.fb15982953e56p-17, 0x1.f457af7cdf32bp-17, 0x1.ed8485ae3b463p-17, 0x1.e69d299827b8bp-17, 0x1.dfa2a45e16529p-17, 0x1.d895f988f96b8p-17, 0x1.d1782722bf9ebp-17, 0x1.ca4a25d1cb2c2p-17, 0x1.c30ce8f3181fp-17, 0x1.bbc15eb378fcdp-17, 0x1.b4687029a2fb5p-17, 0x1.ad03016d2baa2p-17, 0x1.a591f1af9bd71p-17, 0x1.9e161b522784bp-17, 0x1.969053fdd1934p-17, 0x1.8f016cb7c1317p-17, 0x1.876a31f7fa595p-17, 0x1.7fcb6bbdd2f63p-17, 0x1.7825dda413023p-17, 0x1.707a46f55861p-17, 0x1.68c962bf64951p-17, 0x1.6113e7e5d4949p-17, 0x1.595a8934f9c2ep-17, 0x1.519df5741745fp-17, 0x1.49ded7767b85fp-17, 0x1.421dd62d8426ap-17, 0x1.3a5b94b94f3p-17, 0x1.3298b278c5c38p-17, 0x1.2ad5cb1aa8c7ep-17, 0x1.231376ac7a3cp-17, 0x1.1b5249aadb5d1p-17, 0x1.1392d51022631p-17, 0x1.0bd5a66372cedp-17, 0x1.041b47c736789p-17, 0x1.f8c8800eacfap-18, 0x1.e962254e5acffp-18, 0x1.da047fdec780ep-18, 0x1.cab089f6578p-18, 0x1.bb67378b3ead1p-18, 0x1.ac29766cac962p-18, 0x1.9cf82e5cc63a5p-18, 0x1.8dd441295cb26p-18, 0x1.7ebe8ac3e227cp-18, 0x1.6fb7e15a5e2b3p-18, 0x1.60c1156da1e5bp-18, 0x1.51daf1e9a1f14p-18, 0x1.43063c3ba9f63p-18, 0x1.3443b468f043ap-18, 0x1.25941523fecccp-18, 0x1.16f813e30cd1dp-18, 0x1.087060f4a5991p-18, 0x1.f3fb4f2a4bc59p-19, 0x1.d7411c04ee4b9p-19, 0x1.bab36b238d526p-19, 0x1.9e5375833d0ffp-19, 0x1.82226a9d89d06p-19, 0x1.6621708f9f754p-19, 0x1.4a51a43d3b8e5p-19, 0x1.2eb41979e8ebep-19, 0x1.1349db2c0ccfp-19, 0x1.f027d6e25a3c7p-20, 0x1.ba268785e3e81p-20, 0x1.8491aa350954ep-20, 0x1.4f6b1023bdb9bp-20, 0x1.1ab47a122a58ep-20, 0x1.ccdf3116cb7a2p-21, 0x1.653c1856218e9p-21, 0x1.fd0597822c276p-22, 0x1.316c9cb9a778bp-22, 0x1.9ecc26cc5d4ccp-24, -0x1.80864f8a85c29p-24, -0x1.260be90d5c218p-22, -0x1.ea06dc89c2304p-22, -0x1.5606c6ea17278p-21, -0x1.b60daa235419bp-21, -0x1.0a8aef864a2b5p-20, -0x1.398ea3dbd09fp-20, -0x1.6810f06150f08p-20, -0x1.9610e06e57b63p-20, -0x1.c38d8c2818459p-20, -0x1.f086184e44e55p-20, -0x1.0e7cdaffe1247p-19, -0x1.2473d141720b6p-19, -0x1.3a27938966759p-19, -0x1.4f97cc51c0c92p-19, -0x1.64c42bd9699ep-19, -0x1.79ac6807d056ep-19, -0x1.8e503c5498329p-19, -0x1.a2af69abcd9fp-19, -0x1.b6c9b655b01d9p-19, -0x1.ca9eedde56afep-19, -0x1.de2ee0fb0d773p-19, -0x1.f1796572a7a46p-19, -0x1.023f2b028b515p-18, -0x1.0b9ec929eab27p-18, -0x1.14db7f64bbbefp-18, -0x1.1df54240e756fp-18, -0x1.26ec089a0f5f2p-18, -0x1.2fbfcb8d49549p-18, -0x1.3870866e25c89p-18, -0x1.40fe36bb96b69p-18, -0x1.4968dc14408cfp-18, -0x1.51b0782c37d2p-18, -0x1.59d50ec17f236p-18, -0x1.61d6a5914dd0cp-18, -0x1.69b5444e82cd6p-18, -0x1.7170f49563e03p-18, -0x1.7909c1e2e46e5p-18, -0x1.807fb989119b9p-18, -0x1.87d2eaa5c3c77p-18, -0x1.8f0366184bc43p-18, -0x1.96113e777719cp-18, -0x1.9cfc8807c21ccp-18, -0x1.a3c558b1f7d67p-18, -0x1.aa6bc7f91fccp-18, -0x1.b0efeef165ab9p-18, -0x1.b751e83689eedp-18, -0x1.bd91cfe2e57d4p-18, -0x1.c3afc385bc0b5p-18, -0x1.c9abe21b0653bp-18, -0x1.cf864c01c06d9p-18, -0x1.d53f22f37734dp-18, -0x1.dad689fbae359p-18, -0x1.e04ca56f116c5p-18, -0x1.e5a19ae2d9c06p-18, -0x1.ead591251bd35p-18, -0x1.efe8b0336396p-18, -0x1.f4db213389b28p-18, -0x1.f9ad0e6b1d36dp-18, -0x1.fe5ea33790178p-18, -0x1.017806031bccap-17, -0x1.03b0bb266b89dp-17, -0x1.05d98840c359ep-17, -0x1.07f28509cf1cfp-17, -0x1.09fbc9b1e0bf2p-17, -0x1.0bf56ede77c02p-17, -0x1.0ddf8da68dc97p-17, -0x1.0fba3f8ed2fb7p-17, -0x1.11859e866708bp-17, -0x1.1341c4e35963ap-17, -0x1.14eecd5efae08p-17, -0x1.168cd312c0cp-17, -0x1.181bf174b7c04p-17, -0x1.199c44546445cp-17, -0x1.1b0de7d740169p-17, -0x1.1c70f875f3935p-17, -0x1.1dc592f8c2df8p-17, -0x1.1f0bd474a3823p-17, -0x1.2043da4824a0dp-17, -0x1.216dc21876cabp-17, -0x1.2289a9ce58863p-17, -0x1.2397af933bf16p-17, -0x1.2497f1ce5fd74p-17, -0x1.258a8f21f3ba7p-17, -0x1.266fa6686c26p-17, -0x1.274756b18ae73p-17, -0x1.2811bf3fc53d8p-17, -0x1.28ceff85a2d61p-17, -0x1.297f372325b67p-17, -0x1.2a2285e31554ap-17, -0x1.2ab90bb88ad35p-17, -0x1.2b42e8bc71db1p-17, -0x1.2bc03d2b0ce9p-17, -0x1.2c3129619ae85p-17, -0x1.2c95cddbd87a3p-17, -0x1.2cee4b31d7911p-17, -0x1.2d3ac21593be9p-17, -0x1.2d7b5350baf6fp-17, -0x1.2db01fc276e79p-17, -0x1.2dd9485d4d134p-17, -0x1.2df6ee24eca07p-17, -0x1.2e09322c19696p-17, -0x1.2e103592b0b2bp-17, -0x1.2e0c198395f67p-17, -0x1.2dfcff32a89d9p-17, -0x1.2de307daf0ecbp-17, -0x1.2dbe54bc9c5eap-17, -0x1.2d8f071b38fa8p-17, -0x1.2d55403bcbe9p-17, -0x1.2d11216317745p-17, -0x1.2cc2cbd3ccb5ap-17, -0x1.2c6a60ccd5546p-17, -0x1.2c080187a0705p-17, -0x1.2b9bcf3679eccp-17, -0x1.2b25eb02f9392p-17, -0x1.2aa6760c5448cp-17, -0x1.2a1d9165ebe6dp-17, -0x1.298b5e15ab382p-17, -0x1.28effd1293314p-17, -0x1.284b8f434e8ep-17, -0x1.279e357ccd467p-17, -0x1.26e81080d02a7p-17, -0x1.262940fc8c1f5p-17, -0x1.2561e787699ccp-17, -0x1.249224a19c631p-17, -0x1.23ba18b2e7b9ap-17, -0x1.22d9e40973f84p-17, -0x1.21f1a6d890778p-17, -0x1.210181377f725p-17, -0x1.200993204a1eap-17, -0x1.1f09fc6eb50e5p-17, -0x1.1e02dcdf1f3b7p-17, -0x1.1cf4540d75b0fp-17, -0x1.1bde8174160c5p-17, -0x1.1ac1846aeba79p-17, -0x1.199d7c2661d05p-17, -0x1.187287b674b1bp-17, -0x1.1740c605c646fp-17, -0x1.160855d8b5e67p-17, -0x1.14c955cc77824p-17, -0x1.1383e4563c7edp-17, -0x1.12381fc276791p-17, -0x1.10e62633f7c16p-17, -0x1.0f8e15a32467cp-17, -0x1.0e300bdd3a0eap-17, -0x1.0ccc2683a2b06p-17, -0x1.0b62830b26f8cp-17, -0x1.09f33ebb59d43p-17, -0x1.087e76addd605p-17, -0x1.070447cdcb4fep-17, -0x1.0584ced71158bp-17, -0x1.04002855d3406p-17, -0x1.027670a5e1cebp-17, -0x1.00e7c3f23b8c6p-17, -0x1.fea87c68cc554p-18, -0x1.fb77f6680804dp-18, -0x1.f83e2d0c8fb6fp-18, -0x1.f4fb571b14d79p-18, -0x1.f1afaaf1a9337p-18, -0x1.ee5b5e86d9897p-18, -0x1.eafea768d4376p-18, -0x1.e799babca4f1p-18, -0x1.e42ccd3d98d15p-18, -0x1.e0b8133c4a829p-18, -0x1.dd3bc09e24937p-18, -0x1.d9b808dcc3cd5p-18, -0x1.d62d1f053f9a3p-18, -0x1.d29b35b77706cp-18, -0x1.cf027f25d2ca5p-18, -0x1.cb632d14af658p-18, -0x1.c7bd70d9ad9a3p-18, -0x1.c4117b5b6ef91p-18, -0x1.c05f7d1135095p-18, -0x1.bca7a6026dfdfp-18, -0x1.b8ea25c651d8ap-18, -0x1.b5272b83a6765p-18, -0x1.b15ee5f07299dp-18, -0x1.ad9183518cef7p-18, -0x1.a9bf317a9a9c1p-18, -0x1.a5e81dcddccc6p-18, -0x1.a20c753bcbd38p-18, -0x1.9e2c6442fe178p-18, -0x1.9a4816f0159edp-18, -0x1.965fb8ddb8dcp-18, -0x1.927375346445bp-18, -0x1.8e8376aa6603dp-18, -0x1.8a8fe783b5959p-18, -0x1.8698f1922c4fbp-18, -0x1.829ebe356154ep-18, -0x1.7ea1765aa0a67p-18, -0x1.7aa1427d2ad76p-18, -0x1.769e4aa62af5dp-18, -0x1.7298b66cd88dap-18, -0x1.6e90acf69dfe7p-18, -0x1.6a8654f723256p-18, -0x1.6679d4b084b49p-18, -0x1.626b51f3a85c9p-18, -0x1.5e5af220216bp-18, -0x1.5a48da24ab498p-18, -0x1.56352e7f4120cp-18, -0x1.5220133d5f8fap-18, -0x1.4e09abfc7c48ep-18, -0x1.49f21bea1dff6p-18, -0x1.45d985c40e8d2p-18, -0x1.41c00bd8d80aep-18, -0x1.3da5d008366p-18, -0x1.398af3c338b1fp-18, -0x1.356f980c994d2p-18, -0x1.3153dd795463cp-18, -0x1.2d37e430f5963p-18, -0x1.291bcbede2503p-18, -0x1.24ffb3fde7e21p-18, -0x1.20e3bb429a0a5p-18, -0x1.1cc80031bcbdep-18, -0x1.18aca0d5e0aa6p-18, -0x1.1491bace8d4afp-18, -0x1.10776b512aa94p-18, -0x1.0c5dcf2916b24p-18, -0x1.084502b849369p-18, -0x1.042d21f7c4539p-18, -0x1.0016487868967p-18, -0x1.f80122c69dd3fp-19, -0x1.efd82ef43bce9p-19, -0x1.e7b1ea2f7db03p-19, -0x1.df8e8861ff662p-19, -0x1.d76e3caa32d92p-19, -0x1.cf51395c6bfacp-19, -0x1.c737b00420221p-19, -0x1.bf21d164f621fp-19, -0x1.b70fcd7c36a51p-19, -0x1.af01d381d151p-19, -0x1.a6f811e9a8d0ap-19, -0x1.9ef2b664ddb7dp-19, -0x1.96f1ede2d157bp-19, -0x1.8ef5e492a63f1p-19, -0x1.86fec5e4929bep-19, -0x1.7f0cbc8ac91f2p-19, -0x1.771ff27b16e35p-19, -0x1.6f3890f082794p-19, -0x1.6756c06bff2fdp-19, -0x1.5f7aa8b600062p-19, -0x1.57a470df7f1cap-19, -0x1.4fd43f440c981p-19, -0x1.480a398ae3e84p-19, -0x1.404684a7a68ep-19, -0x1.388944dca6f1bp-19, -0x1.30d29dbbb9a46p-19, -0x1.2922b227b2fddp-19, -0x1.2179a455d120dp-19, -0x1.19d795cf11d2fp-19, -0x1.123ca771a2d7bp-19, -0x1.0aa8f9727576dp-19, }}, 
      {{0x1.9de89d00d14adp-7, 0x1.9ec5fd0d47349p-6, 0x1.37b87ab9725bcp-5, 0x1.a008ac28f0acep-5, 0x1.03d1ae65da988p-4, 0x1.36e62c6679b44p-4, 0x1.68efab9485402p-4, 0x1.99b1cdaa600a9p-4, 0x1.c9091e31ef3eep-4, 0x1.f6e9a05c4ad39p-4, 0x1.11ad5d0600ec5p-3, 0x1.2739007be8bb5p-3, 0x1.3c26fa7498b24p-3, 0x1.5088a418aca59p-3, 0x1.646f8362d5f55p-3, 0x1.77ebda6ddf6eep-3, 0x1.8b0bad8e8b6f4p-3, 0x1.9dda31b158223p-3, 0x1.b05f9041b571ep-3, 0x1.c2a0ed1eb65ffp-3, 0x1.d4a09c64c256ep-3, 0x1.e65e7820ce046p-3, 0x1.f7d848b602bf7p-3, 0x1.04851abb4a197p-2, 0x1.0cf79aba4a124p-2, 0x1.1540bd61dcbe5p-2, 0x1.1d5d6a2016b78p-2, 0x1.254a81b85974fp-2, 0x1.2d0502a5a8619p-2, 0x1.348a26c5db80cp-2, 0x1.3bd77a7a965eep-2, 0x1.42eaeda87cb38p-2, 0x1.49c2df23d2774p-2, 0x1.505e233009c57p-2, 0x1.56bc05c15e057p-2, 0x1.5cdc492fbb831p-2, 0x1.62bf2203947cbp-2, 0x1.68653079edf7cp-2, 0x1.6dcf784ebc90cp-2, 0x1.72ff574cd04a1p-2, 0x1.77f67b123bc6bp-2, 0x1.7cb6d667e17edp-2, 0x1.8142967b66aedp-2, 0x1.859c183c5b30ap-2, 0x1.89c5de104a9c1p-2, 0x1.8dc28605b0ef8p-2, 0x1.9194c0a383041p-2, 0x1.953f486a17145p-2, 0x1.98c4da12abc8fp-2, 0x1.9c282d947c68ep-2, 0x1.9f6beff119899p-2, 0x1.a292bdc599af6p-2, 0x1.a59f1e9aea323p-2, 0x1.a89380ecfeb38p-2, 0x1.ab7236ded39b1p-2, 0x1.ae3d738fe1e6dp-2, 0x1.b0f74906e88edp-2, 0x1.b3a1a6a56aed1p-2, 0x1.b63e581743991p-2, 0x1.b8cf04b1bfd2p-2, 0x1.bb552f36137e1p-2, 0x1.bdd235eb7946ep-2, 0x1.c0475305de342p-2, 0x1.c2b59d4eb7e9ap-2, 0x1.c51e09063f0b4p-2, 0x1.c78168f425634p-2, 0x1.c9e06f9f8222bp-2, 0x1.cc3bb0a67d48bp-2, 0x1.ce93a22ef0847p-2, 0x1.d0e89e69e9fc2p-2, 0x1.d33ae524a2bf7p-2, 0x1.d58a9d62173fp-2, 0x1.d7d7d6f9076c1p-2, 0x1.da228c32ac0b9p-2, 0x1.dc6aa366ec8fap-2, 0x1.deaff09351607p-2, 0x1.e0f236ea66214p-2, 0x1.e3312a5988ecp-2, 0x1.e56c710393391p-2, 0x1.e7a3a4af0251p-2, 0x1.e9d6542692907p-2, 0x1.ec04048b8805bp-2, 0x1.ee2c3298ff79bp-2, 0x1.f04e53d7eaa87p-2, 0x1.f269d7c3729bap-2, 0x1.f47e28ddaa299p-2, 0x1.f68aadb497327p-2, 0x1.f88ec9d7ab3cp-2, 0x1.fa89debdf007ap-2, 0x1.fc7b4c9d28ca5p-2, 0x1.fe62733246245p-2, 0x1.001f593dc9e12p-1, 0x1.0107b5b289391p-1, 0x1.01ea0033bdcap-1, 0x1.02c5eb0d33337p-1, 0x1.039b29dd0d4f2p-1, 0x1.046971d0ccf41p-1, 0x1.053079dcaea5ap-1, 0x1.05effaedb05e5p-1, 0x1.06a7b0167a7e8p-1, 0x1.075756b775c32p-1, 0x1.07feaea24d97ap-1, 0x1.089d7a392014fp-1, 0x1.09337e899e4cbp-1, 0x1.09c08364552dep-1, 0x1.0a4453706051ap-1, 0x1.0abebc3bbd39ap-1, 0x1.0b2f8e48782cbp-1, 0x1.0b969d16e7b0bp-1, 0x1.0bf3bf2d28c58p-1, 0x1.0c46ce1c0f54bp-1, 0x1.0c8fa681b7b3fp-1, 0x1.0cce2809e5dcap-1, 0x1.0d02356c5e8cbp-1, 0x1.0d2bb4695f7ap-1, 0x1.0d4a8dc45ff04p-1, 0x1.0d5ead3d3b463p-1, 0x1.0d680187ea8bcp-1, 0x1.0d667c42e845bp-1, 0x1.0d5a11ec64417p-1, 0x1.0d42b9d65cd6p-1, 0x1.0d206e19bc936p-1, 0x1.0cf32b8895016p-1, 0x1.0cbaf19f8df5cp-1, 0x1.0c77c2769f7edp-1, 0x1.0c29a2b12c605p-1, 0x1.0bd0996d8ef25p-1, 0x1.0b6cb0342bf44p-1, 0x1.0afdf2e61e3dap-1, 0x1.0a846fab8613p-1, 0x1.0a0036e190cabp-1, 0x1.09715b0842debp-1, 0x1.08d7f0b013283p-1, 0x1.08340e6762eb7p-1, 0x1.0785cca7dd7b2p-1, 0x1.06cd45c3c9c9p-1, 0x1.060a95d3598abp-1, 0x1.053ddaa1fb3bp-1, 0x1.0467339bba664p-1, 0x1.0386c1bab4a1cp-1, 0x1.029ca774ab52dp-1, 0x1.01a908a8b5c89p-1, 0x1.00ac0a8d1ea7fp-1, 0x1.ff4ba73ad8e32p-2, 0x1.fd2d17113e0d8p-2, 0x1.fafcb63f4a131p-2, 0x1.f8bad8881704fp-2, 0x1.f667d3addefefp-2, 0x1.f403ff506203ap-2, 0x1.f18fb4cbdc8aep-2, 0x1.ef0b4f188e521p-2, 0x1.ec772aaadc6cp-2, 0x1.e9d3a5540c5ecp-2, 0x1.e7211e23a0a9ap-2, 0x1.e45ff5495e9e8p-2, 0x1.e1908bf7f6142p-2, 0x1.deb3444855f08p-2, 0x1.dbc8811dadfb4p-2, 0x1.d8d0a60a209cdp-2, 0x1.d5cc17342103cp-2, 0x1.d2bb393c89221p-2, 0x1.cf9e71255d622p-2, 0x1.cc76243948337p-2, 0x1.c942b7f3c582bp-2, 0x1.c60491ea0679p-2, 0x1.c2bc17b4875adp-2, 0x1.bf69aed959b78p-2, 0x1.bc0dbcb7219a7p-2, 0x1.b8a8a670c85eap-2, 0x1.b53ad0d9dccb9p-2, 0x1.b1c4a063a712cp-2, 0x1.ae46790aed9afp-2, 0x1.aac0be4665514p-2, 0x1.a733d2f5cf429p-2, 0x1.a3a01951c29cap-2, 0x1.a005f2dc1f20ap-2, 0x1.9c65c05126b65p-2, 0x1.98bfe1993d3e1p-2, 0x1.9514b5bb4aac7p-2, 0x1.91649acfbd3d1p-2, 0x1.8dafedf42dee4p-2, 0x1.89f70b3f9c48bp-2, 0x1.863a4db747998p-2, 0x1.827a0f441d44cp-2, 0x1.7eb6a8a8be62bp-2, 0x1.7af0717812fb2p-2, 0x1.7727c00c6fb54p-2, 0x1.735ce97f4762fp-2, 0x1.6f9041a164727p-2, 0x1.6bc21af3ac08dp-2, 0x1.67f2c6a061f94p-2, 0x1.64229474eeeabp-2, 0x1.6051d2dc23659p-2, 0x1.5c80ced8f839p-2, 0x1.58afd401c44e6p-2, 0x1.54df2c7be85a3p-2, 0x1.510f20f7ec05ap-2, 0x1.4d3ff8ae0c1fap-2, 0x1.4971f95b3109cp-2, 0x1.45a5673e51565p-2, 0x1.41da8516383c4p-2, 0x1.3e11941fb0519p-2, 0x1.3a4ad4140d455p-2, 0x1.3686832812662p-2, 0x1.32c4de0b33514p-2, 0x1.2f061fe72de9fp-2, 0x1.2b4a825ff37abp-2, 0x1.27923d93e647ep-2, 0x1.23dd881c66bdp-2, 0x1.202c970ea92bbp-2, 0x1.1c7f9dfcd64e7p-2, 0x1.18d6cef76ea58p-2, 0x1.15325a8ef664dp-2, 0x1.11926fd5dbe0cp-2, 0x1.0df73c62a0639p-2, 0x1.0a60ec5237fccp-2, 0x1.06cfaa4aa601fp-2, 0x1.03439f7dcde5cp-2, 0x1.ff79e758eb835p-3, 0x1.f8779a52f8a8cp-3, 0x1.f180a1ba789b6p-3, 0x1.ea954492380a7p-3, 0x1.e3b5c7169178p-3, 0x1.dce26ac52a1a4p-3, 0x1.d61b6e65040f4p-3, 0x1.cf610e0ed0c6fp-3, 0x1.c8b3833586468p-3, 0x1.c21304af311dbp-3, 0x1.bb7fc6be04cf6p-3, 0x1.b4f9fb199bba1p-3, 0x1.ae81d0f86e6bp-3, 0x1.a81775197285dp-3, 0x1.a1bb11cdebcfcp-3, 0x1.9b6ccf035dc6ep-3, 0x1.952cd24da4cdap-3, 0x1.8efb3ef12a9b8p-3, 0x1.88d835ed3895fp-3, 0x1.82c3d60669d31p-3, 0x1.7cbe3bd1288c7p-3, 0x1.76c781bc4432ap-3, 0x1.70dfc01b9c9cdp-3, 0x1.6b070d32cfdc6p-3, 0x1.653d7d3ffc4b4p-3, 0x1.5f83228687009p-3, 0x1.59d80d59e4074p-3, 0x1.543c4c286a043p-3, 0x1.4eafeb861df1bp-3, 0x1.4932f63785036p-3, 0x1.43c5753c69583p-3, 0x1.3e676fdaa3f35p-3, 0x1.3918eba8d7c1cp-3, 0x1.33d9ec991f6d2p-3, 0x1.2eaa7503bdd31p-3, 0x1.298a85b1adf03p-3, 0x1.247a1de732cb9p-3, 0x1.1f793b6e4ddf7p-3, 0x1.1a87daa12a137p-3, 0x1.15a5f6746c526p-3, 0x1.10d3888170c6ep-3, 0x1.0c10891077614p-3, 0x1.075cef22aef09p-3, 0x1.02b8b07c2f854p-3, 0x1.fc47835badd79p-4, 0x1.f33c2c3e12029p-4, 0x1.ea4f402eb416p-4, 0x1.e180a19026759p-4, 0x1.d8d030ab40a9cp-4, 0x1.d03dcbc1b7d21p-4, 0x1.c7c94f2077c22p-4, 0x1.bf729531c210ep-4, 0x1.b739768f01823p-4, 0x1.af1dca126362ep-4, 0x1.a71f64e82a864p-4, 0x1.9f3e1a9fbbe4dp-4, 0x1.9779bd3c69707p-4, 0x1.8fd21d45ef527p-4, 0x1.884709d8b55aap-4, 0x1.80d850b5c0621p-4, 0x1.7985be525d7d1p-4, 0x1.724f1de785ed2p-4, 0x1.6b343980f84fp-4, 0x1.6434da0c0b3dp-4, 0x1.5d50c76635e17p-4, 0x1.5687c86b498b7p-4, 0x1.4fd9a3036d2aep-4, 0x1.49461c30c07b2p-4, 0x1.42ccf81cc38bbp-4, 0x1.3c6dfa256bf33p-4, 0x1.3628e4e9f3776p-4, 0x1.2ffd7a575db3p-4, 0x1.29eb7bb4b432cp-4, 0x1.23f2a9aefb7f7p-4, 0x1.1e12c464dd915p-4, 0x1.184b8b720fa6ep-4, 0x1.129cbdfa6d57bp-4, 0x1.0d061ab4cf653p-4, 0x1.07875ff59b1edp-4, 0x1.02204bb90cfdp-4, 0x1.f9a1375a77f9bp-5, 0x1.ef301a77b5abep-5, 0x1.e4ecbb2769dcfp-5, 0x1.dad69363ccb2p-5, 0x1.d0ed1cd5a955p-5, 0x1.c72fd0e5c289ep-5, 0x1.bd9e28cdc3279p-5, 0x1.b4379da89c8dbp-5, 0x1.aafba8827807ap-5, 0x1.a1e9c26822d65p-5, 0x1.99016475f8655p-5, 0x1.904207e6618aap-5, 0x1.87ab261fd1971p-5, 0x1.7f3c38c24e973p-5, 0x1.76f4b9b48794ep-5, 0x1.6ed4233078255p-5, 0x1.66d9efcf9c143p-5, 0x1.5f059a96ade4dp-5, 0x1.57569f010058bp-5, 0x1.4fcc790b69d56p-5, 0x1.4866a53ec8b3ap-5, 0x1.4124a0ba18b95p-5, 0x1.3a05e93c2dcd3p-5, 0x1.3309fd2d002ffp-5, 0x1.2c305ba6a6ba8p-5, 0x1.2578847ddb3dep-5, 0x1.1ee1f84a37d14p-5, 0x1.186c386e081bp-5, 0x1.1216c71dc953cp-5, 0x1.0be127674e74ap-5, 0x1.05cadd388e316p-5, 0x1.ffa6dacc40c0dp-6, 0x1.f3f4bb62c625bp-6, 0x1.e87e699ca488dp-6, 0x1.dd42f4d22d6d1p-6, 0x1.d2416e566e68dp-6, 0x1.c778e981269bdp-6, 0x1.bce87bb80f08fp-6, 0x1.b28f3c779417bp-6, 0x1.a86c455b1558p-6, 0x1.9e7eb2248b2adp-6, 0x1.94c5a0c3b4163p-6, 0x1.8b40315cb6109p-6, 0x1.81ed864e4fe8ep-6, 0x1.78ccc43787187p-6, 0x1.6fdd11fcd9badp-6, 0x1.671d98cd0b315p-6, 0x1.5e8d84257bf67p-6, 0x1.562c01d6015f2p-6, 0x1.4df842047a829p-6, 0x1.45f1772fd15b6p-6, 0x1.3e16d632b9c37p-6, 0x1.36679646035dap-6, 0x1.2ee2f1028a634p-6, 0x1.27882262d1e41p-6, 0x1.205668c43fbafp-6, 0x1.194d04e8165cfp-6, 0x1.126b39f402fe8p-6, 0x1.0bb04d726a471p-6, 0x1.051b875261fbap-6, 0x1.fd5863ceddb32p-7, 0x1.f0c333d1c57a2p-7, 0x1.e4761ce211a48p-7, 0x1.d86fc1f8112dp-7, 0x1.ccaecacd02274p-7, 0x1.c131e3d7ef8b9p-7, 0x1.b5f7be49f86bfp-7, 0x1.aaff100a2d9b8p-7, 0x1.a04693b1110aap-7, 0x1.95cd088386fe1p-7, 0x1.8b91326d85209p-7, 0x1.8191d9fc61e0ap-7, 0x1.77cdcc58a0ebcp-7, 0x1.6e43db3f91382p-7, 0x1.64f2dcfc763e7p-7, 0x1.5bd9ac618159cp-7, 0x1.52f728c050b68p-7, 0x1.4a4a35e25a8d4p-7, 0x1.41d1bc00db885p-7, 0x1.398ca7bcacf3ep-7, 0x1.3179ea15d7189p-7, 0x1.29987862c1a1fp-7, 0x1.21e74c475cb3bp-7, 0x1.1a6563abf0e7fp-7, 0x1.1311c0b3d5d51p-7, 0x1.0beb69b3eaeecp-7, 0x1.04f16928e4c57p-7, 0x1.fc459b5af461p-8, 0x1.eefd53e0a5ac6p-8, 0x1.e2082953ff654p-8, 0x1.d56451252d76dp-8, 0x1.c91008aece90ap-8, 0x1.bd099520ca521p-8, 0x1.b14f436b30775p-8, 0x1.a5df6828c85eep-8, 0x1.9ab85f899503dp-8, 0x1.8fd88d3cf3eb9p-8, 0x1.853e5c5be13bep-8, 0x1.7ae83f52fa3acp-8, 0x1.70d4afcc58ae6p-8, 0x1.67022e9986727p-8, 0x1.5d6f439d1309ep-8, 0x1.541a7db47e7a2p-8, 0x1.4b0272a1a06b8p-8, 0x1.4225bef47335dp-8, 0x1.398305f4abfb1p-8, 0x1.3118f18b31429p-8, 0x1.28e6322bccb0bp-8, 0x1.20e97ebeb0456p-8, 0x1.1921948a2e45p-8, 0x1.118d371c5b74cp-8, 0x1.0a2b3034a584ap-8, 0x1.02fa4fadc6a48p-8, 0x1.f7f2d6cee4e5ap-9, 0x1.ea4ebe6099543p-9, 0x1.dd06195fbc3d3p-9, 0x1.d016b6a14f22fp-9, 0x1.c37e7054a4b5p-9, 0x1.b73b2bd7bf529p-9, 0x1.ab4ad98c4edddp-9, 0x1.9fab74ac80f5ap-9, 0x1.945b032042566p-9, 0x1.89579552f282cp-9, 0x1.7e9f4608eee34p-9, 0x1.74303a35c999dp-9, 0x1.6a08a0d29a3a2p-9, 0x1.6026b2b4b3d6fp-9, 0x1.5688b2648e499p-9, 0x1.4d2cebf52eb3fp-9, 0x1.4411b4dbbbeb3p-9, 0x1.3b356bc779e74p-9, 0x1.3296787a2de89p-9, 0x1.2a334ba0d16cfp-9, 0x1.220a5eac85e28p-9, 0x1.1a1a33ac1ab81p-9, 0x1.12615525d78bcp-9, 0x1.0ade55f195b99p-9, 0x1.038fd1136bb83p-9, 0x1.f8e8d32d109e1p-10, 0x1.eb1594d152597p-10, 0x1.dda34c6b5b457p-10, 0x1.d08f6e87e6f5ap-10, 0x1.c3d77ea149322p-10, 0x1.b7790ed9cef92p-10, 0x1.ab71bfb630634p-10, 0x1.9fbf3fd935e7p-10, 0x1.945f4bc01762ap-10, 0x1.894fad7f984bdp-10, 0x1.7e8e3c8238d91p-10, 0x1.7418dd471a2ecp-10, 0x1.69ed812196b1ep-10, 0x1.600a25f9b947fp-10, 0x1.566cd60e0bfcfp-10, 0x1.4d13a7b5279d2p-10, 0x1.43fcbd2168be8p-10, 0x1.3b26442488a4ep-10, 0x1.328e75f43fdc7p-10, 0x1.2a3396f01e731p-10, 0x1.2213f6679fdeep-10, 0x1.1a2dee61adeebp-10, 0x1.127fe3649d545p-10, 0x1.0b08443ed8b21p-10, 0x1.03c589d0e3f54p-10, 0x1.f96c6daf622fap-11, 0x1.ebb1af6fd8423p-11, 0x1.de5804946d095p-11, 0x1.d15cab504c5eep-11, 0x1.c4bcf3f3867d9p-11, 0x1.b8764088a91e7p-11, 0x1.ac86047348679p-11, 0x1.a0e9c40fdc8d4p-11, 0x1.959f1455f466ep-11, 0x1.8aa39a7b496b8p-11, 0x1.7ff50b989236ap-11, 0x1.75912c5023586p-11, 0x1.6b75d0759d3ccp-11, 0x1.61a0dab6d7cd8p-11, 0x1.58103c47f3524p-11, 0x1.4ec1f48e3a392p-11, 0x1.45b410cefbc92p-11, 0x1.3ce4abde39cb1p-11, 0x1.3451edcf37a1cp-11, 0x1.2bfa0ba6f480fp-11, 0x1.23db470f38e7ep-11, 0x1.1bf3ee0bad67p-11, 0x1.14425aafd4611p-11, 0x1.0cc4f2d679251p-11, 0x1.057a27db2bed5p-11, 0x1.fcc0eca7b154dp-12, 0x1.eeeccb9855f2ep-12, 0x1.e17511063970cp-12, 0x1.d456f65066a05p-12, 0x1.c78fc936f30ffp-12, 0x1.bb1ceb5acf8fdp-12, 0x1.aefbd1c2e68dp-12, 0x1.a32a0460967eep-12, 0x1.97a51d99304d7p-12, 0x1.8c6ac9d040d58p-12, 0x1.8178c6f4bba9p-12, 0x1.76cce41022453p-12, 0x1.6c6500d8ab253p-12, 0x1.623f0d44a9f04p-12, 0x1.58590920b0d03p-12, 0x1.4eb103a822e1p-12, 0x1.45451b1f0e7ddp-12, 0x1.3c137c6f59d4ap-12, 0x1.331a62c644993p-12, 0x1.2a581736149e1p-12, 0x1.21caf0585aa6ep-12, 0x1.197151f1ff71dp-12, 0x1.1149ac9a7da6dp-12, 0x1.09527d640aeb3p-12, 0x1.018a4d8613e28p-12, 0x1.f3df64125942cp-13, 0x1.e50296eaf1111p-13, 0x1.d67b8b03fa6bdp-13, 0x1.c847ad8e3e6a9p-13, 0x1.ba6480e1faba7p-13, 0x1.accf9be9f0574p-13, 0x1.9f86a991ce757p-13, 0x1.928768344271cp-13, 0x1.85cfa912a820ep-13, 0x1.795d4fc9579fep-13, 0x1.6d2e51cb5ec3cp-13, 0x1.6140b5e021d28p-13, 0x1.559293a2d09c6p-13, 0x1.4a22130706bd6p-13, 0x1.3eed6bde71144p-13, 0x1.33f2e562b0976p-13, 0x1.2930d5c0d5307p-13, 0x1.1ea5a1a8faf0fp-13, 0x1.144fbbdedfdf8p-13, 0x1.0a2da4ced1428p-13, 0x1.003dea24e8b06p-13, 0x1.ecfe4ccaf4f0cp-14, 0x1.d9e001138f6e6p-14, 0x1.c71e573c19ff2p-14, 0x1.b4b6ccc4704fdp-14, 0x1.a2a6f5dc585cp-14, 0x1.90ec7caa4d9cdp-14, 0x1.7f8520a0beefdp-14, 0x1.6e6eb5cd4f76bp-14, 0x1.5da724335aabdp-14, 0x1.4d2c67298f1d4p-14, 0x1.3cfc8cb8f3f79p-14, 0x1.2d15b503ee70dp-14, 0x1.1d7611ade501fp-14, 0x1.0e1be54983c33p-14, 0x1.fe0b0592143d6p-15, 0x1.e06299e6a28e1p-15, 0x1.c33b6bb80f8dap-15, 0x1.a6927cc1df037p-15, 0x1.8a64eb4eb01e2p-15, 0x1.6eaff14368acep-15, 0x1.5370e329c7f1bp-15, 0x1.38a52f44711c4p-15, 0x1.1e4a5ca914a91p-15, 0x1.045e0a6250211p-15, 0x1.d5bbdd2cdc7f9p-16, 0x1.a38fab6595eeep-16, 0x1.723343426d2adp-16, 0x1.41a291fe822edp-16, 0x1.11d9acba11708p-16, 0x1.c5a99e08f84eap-17, 0x1.6920b2dc8cbdp-17, 0x1.0e11a049d7e31p-17, 0x1.68eb6686cb05cp-18, 0x1.7119ea8507f42p-19, 0x1.5f712ddacc2bcp-23, -0x1.3fa98cf7fbcb9p-19, -0x1.47ef6ebb21acep-18, -0x1.ed5f7315892b7p-18, -0x1.4817b5920a21fp-17, -0x1.9834c365e800fp-17, -0x1.e70bc92fe1aecp-17, -0x1.1a50beaf2f82p-16, -0x1.407d344a98f9cp-16, -0x1.660d73d0eb72ep-16, -0x1.8b0396a4a0a5cp-16, -0x1.af61a20e2d944p-16, -0x1.d32988158f218p-16, -0x1.f65d285a3402cp-16, -0x1.0c7f2871be581p-15, -0x1.1d875f7418103p-15, -0x1.2e480fc73e934p-15, -0x1.3ec208561d9c8p-15, -0x1.4ef610bb2a025p-15, -0x1.5ee4e99a14aa2p-15, -0x1.6e8f4cf2c6e9fp-15, -0x1.7df5ee7406a42p-15, -0x1.8d197bc83d12p-15, -0x1.9bfa9ce41473p-15, -0x1.aa99f44cfa7a6p-15, -0x1.b8f81f61fcc6ep-15, -0x1.c715b69d66f41p-15, -0x1.d4f34dd8e3c82p-15, -0x1.e291748a69b5ap-15, -0x1.eff0b602347fap-15, -0x1.fd1199a4c001fp-15, -0x1.04fa51918c60ep-14, -0x1.0b4d29588ce48p-14, -0x1.1181929cbeeebp-14, -0x1.1797ca47b9dcap-14, -0x1.1d900bcf78a1p-14, -0x1.236a914d60133p-14, -0x1.292793941dfd8p-14, -0x1.2ec74a451f537p-14, -0x1.3449ebe4eed26p-14, -0x1.39afadee22e11p-14, -0x1.3ef8c4e4c7034p-14, -0x1.442564676d9a9p-14, -0x1.4935bf40cc00ep-14, -0x1.4e2a0777c1218p-14, -0x1.53026e5ed18afp-14, -0x1.57bf24a38c151p-14, -0x1.5c605a5bb1dap-14, -0x1.60e63f13da779p-14, -0x1.655101db8472bp-14, -0x1.69a0d1519bf5ep-14, -0x1.6dd5dbb04c278p-14, -0x1.71f04ed75d0b6p-14, -0x1.75f05857991fcp-14, -0x1.79d6257c26c18p-14, -0x1.7da1e353f3c2cp-14, -0x1.8153bebaeaf66p-14, -0x1.84ebe461eea88p-14, -0x1.886a80d74c82bp-14, -0x1.8bcfc08d9a4f6p-14, -0x1.8f1bcfe362ce7p-14, -0x1.924edb28f35afp-14, -0x1.95690ea75eb17p-14, -0x1.986a96a5986c4p-14, -0x1.9b539f6e8ab7cp-14, -0x1.9e245555244fdp-14, -0x1.a0dce4b9f77d7p-14, -0x1.a37d7a0f1bc31p-14, -0x1.a60641dbf145ap-14, -0x1.a87768c17d834p-14, -0x1.aad11b7ce42b7p-14, -0x1.ad1386eb751c8p-14, -0x1.af3ed80c8f2cdp-14, -0x1.b1533c04b1986p-14, -0x1.b350e01f82d11p-14, -0x1.b537f1d22a2d8p-14, -0x1.b7089ebc63874p-14, -0x1.b8c314aabc16dp-14, -0x1.ba67819790743p-14, -0x1.bbf613ac1566fp-14, -0x1.bd6ef9418bf1bp-14, -0x1.bed260e19262fp-14, -0x1.c0207946f8e6dp-14, -0x1.c159715dfb2cap-14, -0x1.c27d7844830dep-14, -0x1.c38cbd4a2159ep-14, -0x1.c4876fefd4302p-14, -0x1.c56dbfe7f897p-14, -0x1.c63fdd159489dp-14, -0x1.c6fdf78c0b4fbp-14, -0x1.c7a83f8e86295p-14, -0x1.c83ee58ec0453p-14, -0x1.c8c21a2ca745dp-14, -0x1.c9320e34d7f23p-14, -0x1.c98ef29febde5p-14, -0x1.c9d8f8912c26dp-14, -0x1.ca1051550e21ep-14, -0x1.ca352e604cc9bp-14, -0x1.ca47c14dd71c9p-14, -0x1.ca483bddeeef5p-14, -0x1.ca36cff40ab12p-14, -0x1.ca13af95b8cb1p-14, -0x1.c9df0ce872fb1p-14, -0x1.c9991a30159cfp-14, -0x1.c94209ccfce17p-14, -0x1.c8da0e3a4d41p-14, -0x1.c8615a0bd70d3p-14, -0x1.c7d81fec6b7fbp-14, -0x1.c73e929b96dcfp-14, -0x1.c694e4ebfcb7cp-14, -0x1.c5db49c0ee0c9p-14, -0x1.c511f40c8f79fp-14, -0x1.c43916cdf4aa8p-14, -0x1.c350e50e909b5p-14, -0x1.c25991e0a5b08p-14, -0x1.c153505cb261ap-14, -0x1.c03e539fa0741p-14, -0x1.bf1acec8881f9p-14, -0x1.bde8f4f652c55p-14, -0x1.bca8f94611cc9p-14, -0x1.bb5b0ed0577dbp-14, -0x1.b9ff68a772d8fp-14, -0x1.b89639d4fe7d3p-14, -0x1.b71fb5581716cp-14, -0x1.b59c0e22df772p-14, -0x1.b40b77189dcbbp-14, -0x1.b26e230b89914p-14, -0x1.b0c444bab9f43p-14, -0x1.af0e0ecff1f6ep-14, -0x1.ad4bb3ddec7fp-14, -0x1.ab7d665dc7345p-14, -0x1.a9a358ad7d64bp-14, -0x1.a7bdbd0d734fdp-14, -0x1.a5ccc59ed6059p-14, -0x1.a3d0a46174284p-14, -0x1.a1c98b31d89dfp-14, -0x1.9fb7abc72f92bp-14, -0x1.9d9b37b1d86bp-14, -0x1.9b746058e4a24p-14, -0x1.994356f8d0a6p-14, -0x1.97084ca14ba9fp-14, -0x1.94c37233b681ap-14, -0x1.9274f8611ad4bp-14, -0x1.901d0fa8bf3b2p-14, -0x1.8dbbe856203e3p-14, -0x1.8b51b27f84467p-14, -0x1.88de9e0420074p-14, -0x1.8662da8aafd3fp-14, -0x1.83de977fd0498p-14, -0x1.8152041445da8p-14, -0x1.7ebd4f3bcabecp-14, -0x1.7c20a7ab553cbp-14, -0x1.797c3bd7a96ep-14, -0x1.76d039f410aa1p-14, -0x1.741ccff0bde54p-14, -0x1.71622b79c50f3p-14, -0x1.6ea079f56270fp-14, -0x1.6bd7e88323955p-14, -0x1.6908a3fa43027p-14, -0x1.6632d8e8a7b34p-14, -0x1.6356b391a3e5p-14, -0x1.60745fecda161p-14, -0x1.5d8c09a506741p-14, -0x1.5a9ddc17164b1p-14, -0x1.57aa0250e280cp-14, -0x1.54b0a7104f1e6p-14, -0x1.51b1f4c24cc5ep-14, -0x1.4eae1581e046bp-14, -0x1.4ba53317277edp-14, -0x1.489776f6921dbp-14, -0x1.45850a3ffb0e6p-14, -0x1.426e15bdd01d5p-14, -0x1.3f52c1e451097p-14, -0x1.3c3336d0c731bp-14, -0x1.390f9c48cc656p-14, -0x1.35e819b9ace77p-14, -0x1.32bcd6379366dp-14, -0x1.2f8df87d1a06ep-14, -0x1.2c5ba6ea80ca2p-14, -0x1.292607853f25p-14, -0x1.25ed3ff76ab01p-14, -0x1.22b1758f345f7p-14, -0x1.1f72cd3e6a0ccp-14, -0x1.1c316b9a02459p-14, -0x1.18ed74d9bca37p-14, -0x1.15a70cd7c3f12p-14, -0x1.125e571025137p-14, -0x1.0f1376a0a5105p-14, -0x1.0bc68e484b3e2p-14, -0x1.0877c0673b12fp-14, -0x1.05272efe5a406p-14, -0x1.01d4fbaf22958p-14, -0x1.fd028f76ba008p-15, -0x1.f658680a09751p-15, -0x1.efabc21c210d9p-15, -0x1.e8fcddf0ba241p-15, -0x1.e24bfb0b100bcp-15, -0x1.db99582dabd3p-15, -0x1.d4e5335a694eap-15, -0x1.ce2fc9d22a5c5p-15, -0x1.c7795814f4c9cp-15, -0x1.c0c219e1ee5e5p-15, -0x1.ba0a4a3771c07p-15, -0x1.b35223532413ap-15, -0x1.ac99deb20af2dp-15, -0x1.a5e1b510d1f99p-15, -0x1.9f29de6bce5e1p-15, -0x1.987291ff8272ep-15, -0x1.91bc0648c3d74p-15, -0x1.8b067105169eap-15, -0x1.845207331bec5p-15, -0x1.7d9efd12deb1p-15, -0x1.76ed862658414p-15, -0x1.703dd531e9074p-15, -0x1.69901c3cf1a28p-15, -0x1.62e48c921251p-15, -0x1.5c3b56c011848p-15, -0x1.5594aa9a4f2d9p-15, -0x1.4ef0b7396f261p-15, -0x1.484faafc0be5p-15, -0x1.41b1b3876312ap-15, -0x1.3b16fdc80fcd1p-15, -0x1.347fb5f2bad6dp-15, -0x1.2dec0785104e1p-15, -0x1.275c1d4664afap-15, -0x1.20d021488e181p-15, -0x1.1a483ce8cf2bfp-15, -0x1.13c498d0cb5e5p-15, -0x1.0d455cf71e42fp-15, -0x1.06cab0a0a7617p-15, -0x1.0054ba6158a76p-15, -0x1.f3c7403a6760ap-16, -0x1.e6ef0e125e8ep-16, -0x1.da21275899a23p-16, -0x1.cd5dd3c14f367p-16, -0x1.c0a559a923abfp-16, -0x1.b3f7fe16daf4bp-16, -0x1.a75604bdfa511p-16, -0x1.9abfb000a3e41p-16, -0x1.8e3540f222d27p-16, -0x1.81b6f7590cbc7p-16, -0x1.754511b17de12p-16, -0x1.68dfcd2f715bap-16, -0x1.5c8765c128824p-16, -0x1.503c1611a673p-16, -0x1.43fe178ada32ep-16, -0x1.37cda2584e1bfp-16, -0x1.2baaed6988079p-16, -0x1.1f962e74984fap-16, -0x1.138f99f82e4ffp-16, -0x1.0797633e97174p-16, -0x1.f75b78c06d955p-17, -0x1.dfa5ac8ba09f9p-17, -0x1.c80dc156be7dp-17, -0x1.b094144540cb4p-17, -0x1.9939002aff4cap-17, -0x1.81fcdd91d6d28p-17, -0x1.6ae002bf0f4e5p-17, -0x1.53e2c3b80688p-17, -0x1.3d057247b2dd1p-17, -0x1.26485e04a7d73p-17, -0x1.0fabd455df715p-17, -0x1.f26040ef3a993p-18, -0x1.c5ab1702fec59p-18, -0x1.9938b8d80592ap-18, -0x1.6d09b02a9ff8bp-18, -0x1.411e828e81849p-18, -0x1.1577b17942652p-18, -0x1.d42b7499c0115p-19, -0x1.7df22cc5f59b1p-19, -0x1.2844762ed0fcap-19, -0x1.a646674d2a17bp-20, -0x1.fa3d00c5bbdf8p-21, -0x1.544b78c8cccd5p-22, 0x1.476b9fe946798p-22, 0x1.ef5293de82af8p-21, 0x1.9c56ce6c56692p-20, 0x1.1ff1057b83cb6p-19, 0x1.7124d1d41e5c8p-19, 0x1.c1c625850085ep-19, 0x1.08ea307a20f05p-18, 0x1.30a775c8d0fb7p-18, 0x1.581a99e12b488p-18, 0x1.7f435765eb4cdp-18, 0x1.a6216c5ea624bp-18, 0x1.ccb49a2d3612fp-18, 0x1.f2fca583313ebp-18, 0x1.0c7cab2b73b1p-17, 0x1.1f553bec5d46fp-17, 0x1.3207ec3454769p-17, 0x1.4494a4c5b009p-17, 0x1.56fb4feff09ecp-17, 0x1.693bd98a66956p-17, 0x1.7b562eeedeb33p-17, 0x1.8d4a3ef4d727fp-17, 0x1.9f17f9ebafd96p-17, 0x1.b0bf5195c1b42p-17, 0x1.c240392375fc9p-17, 0x1.d39aa52d6fd4ep-17, 0x1.e4ce8bb023d1ap-17, 0x1.f5dbe406c9d1ep-17, 0x1.03615372be37ap-16, 0x1.0bc1672a59273p-16, 0x1.140e2ad63d73fp-16, 0x1.1c479cc769a58p-16, 0x1.246dbbf1abd12p-16, 0x1.2c8087e9185cbp-16, 0x1.348000df6d4cdp-16, 0x1.3c6c27a1c870dp-16, 0x1.4444fd961e25ap-16, 0x1.4c0a84b902f65p-16, 0x1.53bcbf9b0cc0fp-16, 0x1.5b5bb15e899aep-16, 0x1.62e75db51cc49p-16, 0x1.6a5fc8dd81158p-16, 0x1.71c4f7a128d16p-16, 0x1.7916ef51d0858p-16, 0x1.8055b5c7514eep-16, 0x1.8781515d90ab9p-16, 0x1.8e99c8f1878cep-16, 0x1.959f23dfa79d5p-16, 0x1.9c916a01bca85p-16, 0x1.a370a3abec781p-16, 0x1.aa3cd9ab5f1e6p-16, 0x1.b0f61543da77bp-16, 0x1.b79c602cf0263p-16, 0x1.be2fc490ce35ap-16, 0x1.c4b04d09836cfp-16, 0x1.cb1e049f079fcp-16, 0x1.d178f6c55ea8dp-16, 0x1.d7c12f5a1ab47p-16, 0x1.ddf6baa2a7952p-16, 0x1.e419a54a4f7a8p-16, 0x1.ea29fc5fa5745p-16, }}, 
      {{0x1.d3251b5074236p-1, 0x1.d2a3dfc1ef60ep-1, 0x1.d1e785094ff82p-1, 0x1.d101e6ef2d6d4p-1, 0x1.cffd4da9b75b1p-1, 0x1.cede0576f467bp-1, 0x1.cda4d90102a47p-1, 0x1.cc513192924fcp-1, 0x1.cae285f0f24b6p-1, 0x1.c9591ec1f6edap-1, 0x1.c7b6588f01366p-1, 0x1.c5fc90bf9f5fap-1, 0x1.c42ee467eb081p-1, 0x1.c250dda09042p-1, 0x1.c0662235bbe2p-1, 0x1.be722e6428303p-1, 0x1.bc782075b825fp-1, 0x1.ba7a962554947p-1, 0x1.b87b9a5ab3f1fp-1, 0x1.b67ca09b5cf2dp-1, 0x1.b47e8b1ee7c1dp-1, 0x1.b281b87f0c8adp-1, 0x1.b086164afb89bp-1, 0x1.ae8b36348678bp-1, 0x1.ac90640581edbp-1, 0x1.aa94bafec4dadp-1, 0x1.a89739a8ab97ap-1, 0x1.a696d373e6f4cp-1, 0x1.a4927fcfe8444p-1, 0x1.a28946934a8bap-1, 0x1.a07a49bbd660ep-1, 0x1.9e64cca928f15p-1, 0x1.9c483908ae0e4p-1, 0x1.9a2421b5677e1p-1, 0x1.97f843d3b8c17p-1, 0x1.95c486728b42bp-1, 0x1.9388f8f8ed7d8p-1, 0x1.9145d0a2d783ep-1, 0x1.8efb6549cf895p-1, 0x1.8caa2daf66b11p-1, 0x1.8a52bb787c0d6p-1, 0x1.87f5b7012573ep-1, 0x1.8593db2a6977p-1, 0x1.832df13cab7a4p-1, 0x1.80c4ccf3fe64bp-1, 0x1.7e5948c67a6d3p-1, 0x1.7bec4270451e5p-1, 0x1.797e97cd2c82bp-1, 0x1.7711240477d9ap-1, 0x1.74a4bd08ef149p-1, 0x1.723a316ce8bc4p-1, 0x1.6fd246887484dp-1, 0x1.6d6db6ee6c5ap-1, 0x1.6b0d312c2d213p-1, 0x1.68b156cf0d21dp-1, 0x1.665abbaa2dbb4p-1, 0x1.6409e55700598p-1, 0x1.61bf4aeac572ep-1, 0x1.5f7b54db4d02ap-1, 0x1.5d3e5d0d6d786p-1, 0x1.5b08af07d0bdfp-1, 0x1.58da88450bd7dp-1, 0x1.56b418a036b9bp-1, 0x1.549582d79e6a7p-1, 0x1.527edd2179d8ap-1, 0x1.507031ceefcbdp-1, 0x1.4e697ffa0b88bp-1, 0x1.4c6abc3ba2032p-1, 0x1.4a73d16674b0ap-1, 0x1.4884a14534257p-1, 0x1.469d05594daa6p-1, 0x1.44bccf98bc97ap-1, 0x1.42e3cb294c28ep-1, 0x1.4111bd18048d3p-1, 0x1.3f46650ba1cf7p-1, 0x1.3d817df135d3cp-1, 0x1.3bc2bea23651dp-1, 0x1.3a09da8368f63p-1, 0x1.3856821c3bc11p-1, 0x1.36a863a63fcp-1, 0x1.34ff2b948ef04p-1, 0x1.335a851304708p-1, 0x1.31ba1a7d42639p-1, 0x1.301d95cd8ddfep-1, 0x1.2e84a1039f7bcp-1, 0x1.2ceee6838f2b8p-1, 0x1.2b5c116d0bd18p-1, 0x1.29cbcdeb1eb64p-1, 0x1.283dc97cb6817p-1, 0x1.26b1b33646e22p-1, 0x1.25273bfcc3ee7p-1, 0x1.239e16ba4b07fp-1, 0x1.2215f88cc603bp-1, 0x1.208e98eedb7dbp-1, 0x1.1f07b1db7e953p-1, 0x1.1d80ffec6a60dp-1, 0x1.1bfa4273dd8cp-1, 0x1.1a733b91e0e16p-1, 0x1.18ebb04566d2ep-1, 0x1.176368798b404p-1, 0x1.15da2f0f3f905p-1, 0x1.144fd1e3a15ap-1, 0x1.12c421d3457f1p-1, 0x1.1136f2bab03d8p-1, 0x1.0fa81b7439531p-1, 0x1.0e1775d397cbep-1, 0x1.0c84de9f456bap-1, 0x1.0af03587f62b7p-1, 0x1.09595d1e4aefbp-1, 0x1.07c03ac6f5c7bp-1, 0x1.0624b6ad73569p-1, 0x1.0486bbb587cbbp-1, 0x1.02e6376ba0d72p-1, 0x1.014319f443871p-1, 0x1.ff3aabf54466cp-2, 0x1.fbe9c13cfdf0bp-2, 0x1.f89362c2e33f2p-2, 0x1.f53784275e2e5p-2, 0x1.f1d61d80d1ca9p-2, 0x1.ee6f2b33b84p-2, 0x1.eb02adca4614ep-2, 0x1.e790a9cbbdca1p-2, 0x1.e419279393199p-2, 0x1.e09c33287adc3p-2, 0x1.dd19dc13900a9p-2, 0x1.d992353798691p-2, 0x1.d60554a892361p-2, 0x1.d27353838ded5p-2, 0x1.cedc4dc6fc98ap-2, 0x1.cb40622b71cb1p-2, 0x1.c79fb1fcf3ab1p-2, 0x1.c3fa60f4e71dep-2, 0x1.c05095149ceaep-2, 0x1.bca2768095d46p-2, 0x1.b8f02f5c7ef7bp-2, 0x1.b539eba7f0218p-2, 0x1.b17fd91bf8668p-2, 0x1.adc227097a52fp-2, 0x1.aa0106385d681p-2, 0x1.a63ca8c79cd2bp-2, 0x1.a275420e3045bp-2, 0x1.9eab067cd8a6fp-2, 0x1.9ade2b80cf3bap-2, 0x1.970ee76757c4ep-2, 0x1.933d714235fdfp-2, 0x1.8f6a00cd0c327p-2, 0x1.8b94ce539a929p-2, 0x1.87be1298e258cp-2, 0x1.83e606bf2ef3fp-2, 0x1.800ce430fbf9bp-2, 0x1.7c32e48abe096p-2, 0x1.7858418584f24p-2, 0x1.747d34e27b832p-2, 0x1.70a1f8573c37ap-2, 0x1.6cc6c57afba4p-2, 0x1.68ebd5b486dd9p-2, 0x1.651162290c327p-2, 0x1.6137a3abaf119p-2, 0x1.5d5ed2ade723ep-2, 0x1.598727309cf34p-2, 0x1.55b0d8b60b296p-2, 0x1.51dc1e3456c42p-2, 0x1.4e092e08e2a53p-2, 0x1.4a383dec53eeep-2, 0x1.466982e746bd9p-2, 0x1.429d3147adf66p-2, 0x1.3ed37c96d8e4dp-2, 0x1.3b0c97901e35ep-2, 0x1.3748b41820e18p-2, 0x1.33880334b2f85p-2, 0x1.2fcab5054d185p-2, 0x1.2c10f8bc17049p-2, 0x1.285afc977d6a4p-2, 0x1.24a8eddc529fep-2, 0x1.20faf8d07274ap-2, 0x1.1d5148b5e58acp-2, 0x1.19ac07c686e05p-2, 0x1.160b5f301a6p-2, 0x1.126f7710de96ep-2, 0x1.0ed8767489ba1p-2, 0x1.0b468351b824bp-2, 0x1.07b9c287beabcp-2, 0x1.043257dce3dc5p-2, 0x1.00b065fcfc9e7p-2, 0x1.fa681cf0c35fdp-3, 0x1.f37ae38680517p-3, 0x1.ec995e6a83eb8p-3, 0x1.e5c3ca130d9e4p-3, 0x1.defa60bdd6f02p-3, 0x1.d83d5a713b09dp-3, 0x1.d18cecfdee847p-3, 0x1.cae94c014150cp-3, 0x1.c452a8e7df484p-3, 0x1.bdc932f1120cp-3, 0x1.b74d173278c12p-3, 0x1.b0de809c2ea25p-3, 0x1.aa7d97fd5dc26p-3, 0x1.a42a84093371ep-3, 0x1.9de5695c3aad7p-3, 0x1.97ae6a820778bp-3, 0x1.9185a7fb3cd2cp-3, 0x1.8b6b4043e0f4p-3, 0x1.855f4fd9f8cafp-3, 0x1.7f61f1446e3d8p-3, 0x1.79733d1a2dd52p-3, 0x1.73934a098ac8bp-3, 0x1.6dc22cdfd2866p-3, 0x1.67fff89115e59p-3, 0x1.624cbe40247bcp-3, 0x1.5ca88d46aa401p-3, 0x1.5713733d7aeb4p-3, 0x1.518d7c04ffa68p-3, 0x1.4c16b1cdc1c0ep-3, 0x1.46af1d210ee6cp-3, 0x1.4156c4e9bb41cp-3, 0x1.3c0dae7cf36dap-3, 0x1.36d3dda32389ep-3, 0x1.31a954a0ea9b4p-3, 0x1.2c8e1440195d2p-3, 0x1.27821bd8bba0ep-3, 0x1.2285695a27d55p-3, 0x1.1d97f9540dad6p-3, 0x1.18b9c6ff8cb0fp-3, 0x1.13eacc4843c49p-3, 0x1.0f2b01d55eeecp-3, 0x1.0a7a5f12a1985p-3, 0x1.05d8da3960f7fp-3, 0x1.01466859803f9p-3, 0x1.f985fac4b11e2p-4, 0x1.f09d1857276ap-4, 0x1.e7d20cfbf1b93p-4, 0x1.df24ba385d5adp-4, 0x1.d694ff96bd43ep-4, 0x1.ce22bab799dd5p-4, 0x1.c5cdc762b699bp-4, 0x1.bd95ff97e648ep-4, 0x1.b57b3b9faaa48p-4, 0x1.ad7d521bad291p-4, 0x1.a59c18170165ap-4, 0x1.9dd761162b7afp-4, 0x1.962eff26f6675p-4, 0x1.8ea2c2f00c927p-4, 0x1.87327bc05c739p-4, 0x1.7fddf79e3ab89p-4, 0x1.78a50356489cp-4, 0x1.71876a8a1fd4p-4, 0x1.6a84f7bebba6dp-4, 0x1.639d746aa1f6cp-4, 0x1.5cd0a903cd25ep-4, 0x1.561e5d0d52f33p-4, 0x1.4f865724cb218p-4, 0x1.49085d0f6c686p-4, 0x1.42a433c6f254dp-4, 0x1.3c599f86323d2p-4, 0x1.362863d575733p-4, 0x1.301043968aa16p-4, 0x1.2a1101109778bp-4, 0x1.242a5dfb9ee69p-4, 0x1.1e5c1b8bcb7a3p-4, 0x1.18a5fa7c6ed89p-4, 0x1.1307bb1ac1aeap-4, 0x1.0d811d505e801p-4, 0x1.0811e0ad76184p-4, 0x1.02b9c472c694bp-4, 0x1.faf10f369715dp-5, 0x1.f09bd1cb57b65p-5, 0x1.e6734dbad0b7p-5, 0x1.dc76ffc78e43dp-5, 0x1.d2a66470fbc87p-5, 0x1.c900f8043c7cdp-5, 0x1.bf8636ac7ef21p-5, 0x1.b6359c82d9b3cp-5, 0x1.ad0ea59da5b9ap-5, 0x1.a410ce1f6193ep-5, 0x1.9b3b92451a7fdp-5, 0x1.928e6e745b65ap-5, 0x1.8a08df48aa313p-5, 0x1.81aa61a08d2fep-5, 0x1.797272aa2031fp-5, 0x1.71608fef34275p-5, 0x1.6974376104d51p-5, 0x1.61ace7637ea8p-5, 0x1.5a0a1ed81a453p-5, 0x1.528b5d2846cfcp-5, 0x1.4b30224f7b84p-5, 0x1.43f7eee4d04a6p-5, 0x1.3ce2442441d8cp-5, 0x1.35eea3f78b91cp-5, 0x1.2f1c90fea2bfap-5, 0x1.286b8e97d1c03p-5, 0x1.21db20e7791f9p-5, 0x1.1b6accdf75375p-5, 0x1.151a184628ad4p-5, 0x1.0ee889bd3443bp-5, 0x1.08d5a8c7d54a8p-5, 0x1.02e0fdd0f433p-5, 0x1.fa142461bf7f4p-6, 0x1.eea0e0657869dp-6, 0x1.e36746333f021p-6, 0x1.d8666e4ad026ap-6, 0x1.cd9d732e8d4cp-6, 0x1.c30b716bfcfdbp-6, 0x1.b8af87a3cf866p-6, 0x1.ae88d69140567p-6, 0x1.a49681110ff94p-6, 0x1.9ad7ac27e4a3ap-6, 0x1.914b7f083cfaep-6, 0x1.87f12317e4e7p-6, 0x1.7ec7c3f4e8ea1p-6, 0x1.75ce8f7a27a7p-6, 0x1.6d04b5c368445p-6, 0x1.6469693105d7fp-6, 0x1.5bfbde6b2fdd9p-6, 0x1.53bb4c64caf9cp-6, 0x1.4ba6ec5de996dp-6, 0x1.43bdf9e5e41b1p-6, 0x1.3bffb2dd116aap-6, 0x1.346b5776336a1p-6, 0x1.2d002a377cc42p-6, 0x1.25bd6ffb4893p-6, 0x1.1ea26ff08286p-6, 0x1.17ae739abd65fp-6, 0x1.10e0c6d20990ap-6, 0x1.0a38b7c269a47p-6, 0x1.03b596eb1f0fap-6, 0x1.faad6e3b37b1ep-7, 0x1.ee36daf88213bp-7, 0x1.e20622f1b0456p-7, 0x1.d619f9a5a44d7p-7, 0x1.ca71172a9f8a3p-7, 0x1.bf0a3829d72a3p-7, 0x1.b3e41ddaabc19p-7, 0x1.a8fd8dfd7fc3cp-7, 0x1.9e5552d60deafp-7, 0x1.93ea3b258cf4fp-7, 0x1.89bb1a2462c93p-7, 0x1.7fc6c77b7abbdp-7, 0x1.760c1f3d67bdfp-7, 0x1.6c8a01df22a18p-7, 0x1.633f543081fefp-7, 0x1.5a2aff5479cebp-7, 0x1.514bf0b90acb5p-7, 0x1.48a11a0f079ap-7, 0x1.40297141774b8p-7, 0x1.37e3f06cf5541p-7, 0x1.2fcf95d6bb867p-7, 0x1.27eb63e376ff6p-7, 0x1.2036610e0f8e8p-7, 0x1.18af97de1ad27p-7, 0x1.115616de4a1f1p-7, 0x1.0a28f092a2597p-7, 0x1.03273b6e91102p-7, 0x1.f8a02395cd1c5p-8, 0x1.eb4523b751e47p-8, 0x1.de3bbb4bc7817p-8, 0x1.d18235ea85eedp-8, 0x1.c516e6a34cc6cp-8, 0x1.b8f827e9366b4p-8, 0x1.ad245b7da786fp-8, 0x1.a199ea5ae98c2p-8, 0x1.9657449ed4f78p-8, 0x1.8b5ae175593b3p-8, 0x1.80a33f02da29dp-8, 0x1.762ee24ea3559p-8, 0x1.6bfc572d3b10bp-8, 0x1.620a302aa1ba6p-8, 0x1.58570674a7476p-8, 0x1.4ee179c518434p-8, 0x1.45a8304c0f689p-8, 0x1.3ca9d69a3fe77p-8, 0x1.33e51f8b373b1p-8, 0x1.2b58c42fb41abp-8, 0x1.230383b804bccp-8, 0x1.1ae4235e84a03p-8, 0x1.12f96e51fbef8p-8, 0x1.0b4235a0566dep-8, 0x1.03bd502121407p-8, 0x1.f8d334c0bd226p-9, 0x1.ea8bed12c3d78p-9, 0x1.dca298a348e0dp-9, 0x1.cf1511c7c85cbp-9, 0x1.c1e13d96839bep-9, 0x1.b5050bbd249abp-9, 0x1.a87e76578d635p-9, 0x1.9c4b81c6eb8e6p-9, 0x1.906a3c8926f5ep-9, 0x1.84d8bf106feeap-9, 0x1.79952b9b6cd24p-9, 0x1.6e9dae0d4c83ep-9, 0x1.63f07bc6919a6p-9, 0x1.598bd37ddc6a5p-9, 0x1.4f6dfd19464dep-9, 0x1.45954987f6e89p-9, 0x1.3c00129c2cd28p-9, 0x1.32acbae56adbp-9, 0x1.2999ad8b449cp-9, 0x1.20c55e28674ap-9, 0x1.182e48a5f6649p-9, 0x1.0fd2f11770a34p-9, 0x1.07b1e396bb2a1p-9, 0x1.ff936841bf859p-10, 0x1.f031fce58e4a7p-10, 0x1.e13ccbcd76311p-10, 0x1.d2b12aa442e04p-10, 0x1.c48c7dc7018f7p-10, 0x1.b6cc3802413dfp-10, 0x1.a96dda4fc3821p-10, 0x1.9c6ef39559f4dp-10, 0x1.8fcd20644ab9bp-10, 0x1.83860ab959687p-10, 0x1.779769be3cc0dp-10, 0x1.6bff018b3745dp-10, 0x1.60baa2e9ed59dp-10, 0x1.55c82b18d6babp-10, 0x1.4b25838f97ed1p-10, 0x1.40d0a1c428919p-10, 0x1.36c786f09bdbbp-10, 0x1.2d083fda15a56p-10, 0x1.2390e49821776p-10, 0x1.1a5f985d0da67p-10, 0x1.1172893f39a27p-10, 0x1.08c7f002caba2p-10, 0x1.005e0fe48561bp-10, 0x1.f0666cca7f306p-11, 0x1.e08b762c6c1d8p-11, 0x1.d127fecc0c498p-11, 0x1.c238dcdd47484p-11, 0x1.b3baf987b1813p-11, 0x1.a5ab5085525d9p-11, 0x1.9806efc307e51p-11, 0x1.8acaf7023a8bfp-11, 0x1.7df4977bfbc5p-11, 0x1.71811385f6ec8p-11, 0x1.656dbe3891116p-11, 0x1.59b7fb168752ap-11, 0x1.4e5d3db62a719p-11, 0x1.435b096bcd4fcp-11, 0x1.38aef0f5e9d9bp-11, 0x1.2e56962a3ec43p-11, 0x1.244fa9a4e9124p-11, 0x1.1a97ea782f7ecp-11, 0x1.112d25de5b052p-11, 0x1.080d36ec6722dp-11, 0x1.fe6c0c8c776c5p-12, 0x1.ed4b13a883bb7p-12, 0x1.dcb388f42bd7cp-12, 0x1.cca18b9d9b8cep-12, 0x1.bd1153acd01fep-12, 0x1.adff3178ae88fp-12, 0x1.9f678d1eb7d06p-12, 0x1.9146e5fe0ecc3p-12, 0x1.8399d23318cap-12, 0x1.765cfe17a980fp-12, 0x1.698d2bc408fcep-12, 0x1.5d273292b23e8p-12, 0x1.5127fea6dc20cp-12, 0x1.458c90747e58cp-12, 0x1.3a51fc4b693dap-12, 0x1.2f7569e41a10dp-12, 0x1.24f413ee8821bp-12, 0x1.1acb47a3e27dep-12, 0x1.10f86459b7456p-12, 0x1.0778db175db51p-12, 0x1.fc945c5b5feddp-13, 0x1.ead3e1a18582ap-13, 0x1.d9ab8d6650c0ep-13, 0x1.c916c747becadp-13, 0x1.b911165bb56cp-13, 0x1.a9962072657fep-13, 0x1.9aa1a95da276p-13, 0x1.8c2f923b00816p-13, 0x1.7e3bd8c1dffb8p-13, 0x1.70c29695a16e2p-13, 0x1.63c0009a81a8bp-13, 0x1.5730664dc568ap-13, 0x1.4b103123cf1eep-13, 0x1.3f5be3e567577p-13, 0x1.34101a1466d75p-13, 0x1.292987511de09p-13, 0x1.1ea4f6c3883e1p-13, 0x1.147f4a8890bd2p-13, 0x1.0ab57b212739fp-13, 0x1.014496e574837p-13, 0x1.f05382f44c5a6p-14, 0x1.dec466923623ep-14, 0x1.cdd671fb7dc7ep-14, 0x1.bd8466057d6e7p-14, 0x1.adc92a061871dp-14, 0x1.9e9fcaddcfbafp-14, 0x1.90037a031bd1p-14, 0x1.81ef8c96cc2d8p-14, 0x1.745f7a7a1f5f7p-14, 0x1.674edd6e11a15p-14, 0x1.5ab9703321c95p-14, 0x1.4e9b0db21c647p-14, 0x1.42efb02708795p-14, 0x1.37b370520682bp-14, 0x1.2ce284ac68a37p-14, 0x1.227940a2f09bp-14, 0x1.187413d3ca78bp-14, 0x1.0ecf8951342fbp-14, 0x1.058846e92402p-14, 0x1.f93618df7206cp-15, 0x1.e809661fa47dfp-15, 0x1.d7845939d554dp-15, 0x1.c7a105d895d4ep-15, 0x1.b859ae5ff9771p-15, 0x1.a9a8c2aa627a8p-15, 0x1.9b88ded0fdf3ap-15, 0x1.8df4c9f7d4119p-15, 0x1.80e775234a483p-15, 0x1.745bfa130e6cbp-15, 0x1.684d9a25ca045p-15, 0x1.5cb7bd414b53ep-15, 0x1.5195f0c521eedp-15, 0x1.46e3e67e8eaaap-15, 0x1.3c9d73a72ec44p-15, 0x1.32be8fe94f60dp-15, 0x1.29435465d1567p-15, 0x1.2027fac8b951bp-15, 0x1.1768dc5a99a7bp-15, 0x1.0f02711d736cap-15, 0x1.06f14eedbe63ep-15, 0x1.fe64514ea0e57p-16, 0x1.ef839aa54994fp-16, 0x1.e13a4ea9c84eep-16, 0x1.d382774d0c2f9p-16, 0x1.c656521cd8ab7p-16, 0x1.b9b04ec4af2cbp-16, 0x1.ad8b0d95d9e85p-16, 0x1.a1e15e1cb0b02p-16, 0x1.96ae3dbe67fedp-16, 0x1.8becd65c4bd83p-16, 0x1.81987d041ab53p-16, 0x1.77acb0a6de162p-16, 0x1.6e2518d853123p-16, 0x1.64fd8499a7f18p-16, 0x1.5c31e9241cf44p-16, 0x1.53be60c8eca78p-16, 0x1.4b9f29ca0eaf8p-16, 0x1.43d0a54532db8p-16, 0x1.3c4f5622e3cb8p-16, 0x1.3517e00a87768p-16, 0x1.2e270661570d6p-16, 0x1.2779ab4d435ap-16, 0x1.210ccec09a1b8p-16, 0x1.1add8d8a820e9p-16, 0x1.14e9206f05b44p-16, 0x1.0f2cdb45018b7p-16, 0x1.09a62c1b95813p-16, 0x1.04529a6129e73p-16, 0x1.fe5f8c2dcd9a1p-17, 0x1.f476ce08bd069p-17, 0x1.eae697e71a0a3p-17, 0x1.e1aab3e0c0dc3p-17, 0x1.d8bf172126ea1p-17, 0x1.d01fe07b52c21p-17, 0x1.c7c95709ca6f9p-17, 0x1.bfb7e8db0f9c1p-17, 0x1.b7e829a3ab8c7p-17, 0x1.b056d17baa18cp-17, 0x1.a900bba66c08ep-17, 0x1.a1e2e56104107p-17, 0x1.9afa6cb9437c6p-17, 0x1.94448f72259d7p-17, 0x1.8dbea9e682343p-17, 0x1.87663601c5a6bp-17, 0x1.8138ca305a12p-17, 0x1.7b3418687d842p-17, 0x1.7555ed2a8b1ap-17, 0x1.6f9c2e9744231p-17, 0x1.6a04db812ad18p-17, 0x1.648e0a8bf2ae3p-17, 0x1.5f35e94fd7c3ep-17, 0x1.59fabb863ccf4p-17, 0x1.54dada37a06dfp-17, 0x1.4fd4b2f622f36p-17, 0x1.4ae6c71820ff3p-17, 0x1.460faafd9503ap-17, 0x1.414e0558695e9p-17, 0x1.3ca08e7b12c59p-17, 0x1.38060fac8764p-17, 0x1.337d6283c36dp-17, 0x1.2f057042d6ec9p-17, 0x1.2a9d313e9a95dp-17, 0x1.2643ac444318p-17, 0x1.21f7f608a15bp-17, 0x1.1db9309947af5p-17, 0x1.19868ad499bbap-17, 0x1.155f3fe28397p-17, 0x1.114296b6449a3p-17, 0x1.0d2fe18f96792p-17, 0x1.09267d84b1501p-17, 0x1.0525d20b4f2a3p-17, 0x1.012d5089d44d1p-17, 0x1.fa78e7d2e92bcp-18, 0x1.f2a5805a62c1bp-18, 0x1.eadf8417c0725p-18, 0x1.e3261d1bb9c12p-18, 0x1.db78855baf707p-18, 0x1.d3d605fa55396p-18, 0x1.cc3df6963528ep-18, 0x1.c4afbc9e1b0b6p-18, 0x1.bd2acaac6d536p-18, 0x1.b5ae9fe7460bcp-18, 0x1.ae3ac7651715dp-18, 0x1.a6ced79ab6dbcp-18, 0x1.9f6a71c95b24p-18, 0x1.980d41774940ap-18, 0x1.90b6fbe78b325p-18, 0x1.89675f9baca39p-18, 0x1.821e33d7adf95p-18, 0x1.7adb48291af9bp-18, 0x1.739e73f7a548ep-18, 0x1.6c679612dc295p-18, 0x1.6536944aac9e5p-18, 0x1.5e0b5b0791b79p-18, 0x1.56e5dce8162c3p-18, 0x1.4fc612639fc7ap-18, 0x1.48abf96d637a5p-18, 0x1.4197951e08103p-18, 0x1.3a88ed5ff2477p-18, 0x1.33800e9d9ea2bp-18, 0x1.2c7d09754fb6fp-18, 0x1.257ff26d1b97p-18, 0x1.1e88e1ada8785p-18, 0x1.1797f2bb58b3dp-18, 0x1.10ad44379b427p-18, 0x1.09c8f79f94dd1p-18, 0x1.02eb3111b3b6fp-18, 0x1.f8282e2417464p-19, 0x1.ea87a4ad77d09p-19, 0x1.dcf51b1f09356p-19, 0x1.cf70ea6afbb34p-19, 0x1.c1fb6eb704a95p-19, 0x1.b49506fb8ac6ep-19, 0x1.a73e14b2687eap-19, 0x1.99f6fb7d72ef1p-19, 0x1.8cc020dbb3eddp-19, 0x1.7f99ebd9fed61p-19, 0x1.7284c4cddd996p-19, 0x1.6581150c6d4ddp-19, 0x1.588f46af47d95p-19, 0x1.4bafc4519660ep-19, 0x1.3ee2f8d739af2p-19, 0x1.32294f3556481p-19, 0x1.2583323c85e1bp-19, 0x1.18f10c68bd093p-19, 0x1.0c7347b0d0831p-19, 0x1.000a4d59ea532p-19, 0x1.e76d0b9ce743cp-20, 0x1.cef0b0ec6614dp-20, 0x1.b6a057226484ap-20, 0x1.9e7cc828a4bedp-20, 0x1.8686cb167a7d3p-20, 0x1.6ebf23ed6a2c2p-20, 0x1.572693614401bp-20, 0x1.3fbdd6a8ef116p-20, 0x1.2885a744bbd4dp-20, 0x1.117ebad80fa84p-20, 0x1.f55385f5609a7p-21, 0x1.c80eda22f8f6cp-21, 0x1.9b30c46050071p-21, 0x1.6eba8ddfe06c9p-21, 0x1.42ad76b6fcbc2p-21, 0x1.170ab595f0049p-21, 0x1.d7a6ef4d6b7p-22, 0x1.8211c0ab8c293p-22, 0x1.2d5812635c5cfp-22, 0x1.b2f807245ce01p-23, 0x1.0cff3e3699555p-23, 0x1.a326db872adffp-25, -0x1.cd26590a0bde9p-26, -0x1.b4915b26385b2p-24, -0x1.791e7fcab664fp-23, -0x1.0b117d7fd2b68p-22, -0x1.58a9811ea6689p-22, -0x1.a555d14047a08p-22, -0x1.f11509665f97cp-22, -0x1.1df2ecfb1bf33p-21, -0x1.42e38423e52bap-21, -0x1.675bb73fd3987p-21, -0x1.8b5afdc1a07fap-21, -0x1.aee0d9733a1b9p-21, -0x1.d1ecd657f9b8ap-21, -0x1.f47e8aaefeaf9p-21, -0x1.0b4acb6658e16p-20, -0x1.1c18d2891f6eep-20, -0x1.2ca934e73021ap-20, -0x1.3cfbd19527ce9p-20, -0x1.4d108c84abc92p-20, -0x1.5ce74e796a916p-20, -0x1.6c8004f7fc6b8p-20, -0x1.7bdaa237d8912p-20, -0x1.8af71d124a892p-20, -0x1.99d570f55e127p-20, -0x1.a8759dccdbb6p-20, -0x1.b6d7a7f80fa57p-20, -0x1.c4fb9830fb6fep-20, -0x1.d2e17b7f45624p-20, -0x1.e08963238eec8p-20, -0x1.edf36484b2b6bp-20, -0x1.fb1f991a64dcfp-20, -0x1.04070f30267cp-19, -0x1.0a5f8adc7f30cp-19, -0x1.1099523128cc6p-19, -0x1.16b479adf483ep-19, -0x1.1cb117ab38125p-19, -0x1.228f444ddb994p-19, -0x1.284f197f2b587p-19, -0x1.2df0b2e07c1p-19, -0x1.33742dc28c4f7p-19, -0x1.38d9a919937cbp-19, -0x1.3e2145749674bp-19, -0x1.434b24f27f2b1p-19, -0x1.48576b365eff7p-19, -0x1.4d463d5f3a1e2p-19, -0x1.5217c1fcbad1cp-19, -0x1.56cc21044ade4p-19, -0x1.5b6383c85ee75p-19, -0x1.5fde14ec93e1bp-19, -0x1.643c005d85671p-19, -0x1.687d734409c1dp-19, -0x1.6ca29bfec2665p-19, -0x1.70abaa14bbc5bp-19, -0x1.7498ce2d8d6bfp-19, -0x1.786a3a0703779p-19, -0x1.7c20206bb46b5p-19, -0x1.7fbab528b62d2p-19, -0x1.833a2d051f9dap-19, -0x1.869ebdb7ad734p-19, -0x1.89e89ddddd356p-19, -0x1.8d1804f3426fep-19, -0x1.902d2b477b1bep-19, -0x1.932849f56d312p-19, -0x1.96099adae0732p-19, -0x1.98d1588f8de48p-19, -0x1.9b7fbe5c1ba0dp-19, -0x1.9e150831f4584p-19, -0x1.a09172a2e36b4p-19, -0x1.a2f53ad8983bcp-19, -0x1.a5409e8d141e2p-19, -0x1.a773dc0153302p-19, -0x1.a98f31f72a118p-19, -0x1.ab92dfa8102a7p-19, -0x1.ad7f24be4eb96p-19, -0x1.af54414d05455p-19, -0x1.b11275c9419c6p-19, -0x1.b2ba03023fa65p-19, -0x1.b44b2a1a72666p-19, -0x1.b5c62c810732ap-19, -0x1.b72b4beab6378p-19, -0x1.b87aca4a73da6p-19, -0x1.b9b4e9cbeb3e2p-19, -0x1.bad9eccc1896ep-19, -0x1.bbea15d3b7936p-19, -0x1.bce5a790782eap-19, -0x1.bdcce4cf6dacdp-19, -0x1.bea01076b0f41p-19, -0x1.bf5f6d800ef26p-19, -0x1.c00b3ef2f8357p-19, -0x1.c0a3c7df171a5p-19, -0x1.c1294b570ae2ep-19, -0x1.c19c0c6aa9286p-19, -0x1.c1fc4e22a549bp-19, -0x1.c24a537a9d693p-19, -0x1.c2865f5cbf8c8p-19, -0x1.c2b0b49caf59ep-19, -0x1.c2c995f3697a6p-19, -0x1.c2d145fa2f1afp-19, -0x1.c2c807260f60cp-19, -0x1.c2ae1bc4372b2p-19, -0x1.c283c5f50b463p-19, -0x1.c24947a8590bdp-19, -0x1.c1fee299690a7p-19, -0x1.c1a4d84b4c78ep-19, -0x1.c13b6a04e0e06p-19, -0x1.c0c2d8cd3250bp-19, -0x1.c03b65682e48bp-19, -0x1.bfa5505307a5bp-19, -0x1.bf00d9c136ca4p-19, -0x1.be4e4198adb55p-19, -0x1.bd8dc76f6ce3p-19, -0x1.bcbfaa88139f4p-19, -0x1.bbe429cf2714ep-19, -0x1.bafb83d86eb0bp-19, -0x1.ba05f6dbf6976p-19, -0x1.b903c0b39aba6p-19, -0x1.b7f51ed86fe9dp-19, -0x1.b6da4e60ad736p-19, -0x1.b5b38bfd1197bp-19, -0x1.b48113f69f59ep-19, -0x1.b343222c89453p-19, -0x1.b1f9f212758d8p-19, -0x1.b0a5beade3ab9p-19, -0x1.af46c294eab2fp-19, -0x1.addd37ec086c4p-19, -0x1.ac695864b3482p-19, -0x1.aaeb5d3b7188p-19, -0x1.a9637f366bc4cp-19, -0x1.a7d1f6a3e8656p-19, -0x1.a636fb59275b5p-19, -0x1.a492c4b07b9ap-19, -0x1.a2e58988aad53p-19, -0x1.a12f804327409p-19, -0x1.9f70dec360e54p-19, -0x1.9da9da6dad788p-19, -0x1.9bdaa825f68d8p-19, -0x1.9a037c4f0b7dfp-19, -0x1.98248ac9cd46fp-19, -0x1.963e06f468cf2p-19, -0x1.945023a961542p-19, -0x1.925b133f1f6dfp-19, -0x1.905f078740161p-19, -0x1.8e5c31ce1f0ep-19, -0x1.8c52c2d9fc652p-19, -0x1.8a42eaead5d8dp-19, -0x1.882cd9ba1d9fp-19, -0x1.8610be79ff0c5p-19, -0x1.83eec7d558d06p-19, -0x1.81c723ef6c41ap-19, -0x1.7f9a0063c2453p-19, -0x1.7d678a45d56a6p-19, -0x1.7b2fee2120541p-19, -0x1.78f357f906a9ep-19, -0x1.76b1f348a4ab8p-19, -0x1.746beb03071c1p-19, -0x1.722169935c414p-19, -0x1.6fd298dca85f9p-19, -0x1.6d7fa23a15daep-19, -0x1.6b28ae7f4fb7bp-19, -0x1.68cde5f892e62p-19, -0x1.666f706af120ep-19, -0x1.640d7514a91f9p-19, -0x1.61a81aad64d91p-19, -0x1.5f3f8766ab139p-19, -0x1.5cd3e0ec3018bp-19, -0x1.5a654c643285p-19, -0x1.57f3ee701095fp-19, -0x1.557feb2ca3d18p-19, -0x1.53096632defa2p-19, -0x1.509082984031ep-19, -0x1.4e1562ef56b7ep-19, -0x1.4b98294863bd3p-19, -0x1.4918f732152b1p-19, -0x1.4697edb9de693p-19, -0x1.44152d6cd6e12p-19, -0x1.4190d658575e2p-19, -0x1.3f0b080a99bb2p-19, -0x1.3c83e1939f787p-19, -0x1.39fb8185c4271p-19, -0x1.377205f665296p-19, -0x1.34e78c7eca968p-19, -0x1.325c323d179cdp-19, -0x1.2fd013d4c4b7ap-19, -0x1.2d434d6f89ba5p-19, -0x1.2ab5fabe64addp-19, -0x1.282836fa4599dp-19, -0x1.259a1ce4e8ff4p-19, -0x1.230bc6c9c7137p-19, -0x1.207d4e7eee3aep-19, -0x1.1deecd65e347p-19, -0x1.1b605c6ca7c0cp-19, -0x1.18d2140e6b756p-19, -0x1.16440c54c3bffp-19, -0x1.13b65cd86246bp-19, -0x1.11291cc208d2cp-19, -0x1.0e9c62cb7ee27p-19, -0x1.0c104540d1057p-19, -0x1.0984da01082d3p-19, -0x1.06fa367f0d60cp-19, -0x1.04706fc2c6821p-19, -0x1.01e79a6a20a18p-19, -0x1.febf9553e8896p-20, -0x1.f9b2289e163b1p-20, -0x1.f4a7157e5956dp-20, -0x1.ef9e81f424261p-20, -0x1.ea989334efep-20, -0x1.e5956dae2fe0ep-20, -0x1.e095350767776p-20, -0x1.db980c24342a9p-20, -0x1.d69e152631f4p-20, -0x1.d1a7716f26f52p-20, -0x1.ccb441a33ab4p-20, -0x1.c7c4a5aa964fbp-20, -0x1.c2d8bcb3d9fefp-20, -0x1.bdf0a5362bf2ep-20, -0x1.b90c7cf30b45ep-20, -0x1.b42c60f8693e8p-20, -0x1.af506da288ecep-20, -0x1.aa78be9e84cdfp-20, -0x1.a5a56eec37a19p-20, -0x1.a0d698dfe5d89p-20, -0x1.9c0c5624d35b7p-20, -0x1.9746bfbedf225p-20, -0x1.9285ee0cbcbfcp-20, -0x1.8dc9f8c9f694ep-20, -0x1.8912f710eede3p-20, -0x1.8460ff5ccd26ep-20, -0x1.7fb4278bdb918p-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      49, 0x1.fe147ae147ae1p+2, 0x1.42b0698f607fdp+0, -0x1.3f7f8b6228b98p-1, -0x1.e92aba0ebe44ap-14, 
      {{
        {0x1.65c28f5c28f5cp+2, 0x1.6666666666666p+2, 0x1.6ee0207570cc3p-12, -0x1.344c77bc1616ep-11, 0x1.849ca24ced218p-12, -0x1.b5a4db19dcbc8p-14}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.68bf8ed2011c5p-12, -0x1.306dd2a0224d8p-11, 0x1.81545b8988469p-12, -0x1.ad2fc99ddddf2p-14}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.4b415a5f50573p-12, -0x1.1d909c13e2a7ep-11, 0x1.713c2a60698ep-12, -0x1.a3d2b4f43077p-14}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.2f9bd808681d2p-12, -0x1.0b7f28b040f1ap-11, 0x1.617ddd30daeffp-12, -0x1.9abbc7d6b823fp-14}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.15bae07468a42p-12, -0x1.f46a15648123cp-12, 0x1.5216d27f34084p-12, -0x1.91920e7a2121dp-14}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fb157963c78a1p-13, -0x1.d35bc1547e3d2p-12, 0x1.4307bec105fd8p-12, -0x1.886d5e8da0e19p-14}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.cdf04c6db9f5ap-13, -0x1.b3ca8bb6419f5p-12, 0x1.3450719bb65b7p-12, -0x1.7f4755201885fp-14}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.a3e08dc192c4fp-13, -0x1.95adacd4aa4f8p-12, 0x1.25f0f8041bd63p-12, -0x1.7621a846745f7p-14}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.7cc171e91f787p-13, -0x1.78fc5c812fbeep-12, 0x1.17e94e817779p-12, -0x1.6cfbe29e6cfb1p-14}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.586f0e3d10d2dp-13, -0x1.5dadd2add11f8p-12, 0x1.0a397601ecfc7p-12, -0x1.63d6239bef1fcp-14}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.36c658e4fadb6p-13, -0x1.43b94743d6317p-12, 0x1.f9c2dc8b5b3d2p-13, -0x1.5ab062d19da2ep-14}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.17a528d754df9p-13, -0x1.2b15f22edca5bp-12, 0x1.dfc26ebba29dfp-13, -0x1.518aa28158d11p-14}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.f5d46bb2f2dcfp-14, -0x1.13bb0b59e1f61p-12, 0x1.c671a28b88c1p-13, -0x1.4864e2106529fp-14}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.c0ea30ff4cbe3p-14, -0x1.fb3f95601d073p-13, 0x1.add077fd812aap-13, -0x1.3f3f21a8417e9p-14}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.904c9459f995p-14, -0x1.d176d038fe6fdp-13, 0x1.95deef10e2a7bp-13, -0x1.3619613dae086p-14}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.63be4a27021d5p-14, -0x1.aa0a3714a81adp-13, 0x1.7e9d07c5dc00cp-13, -0x1.2cf3a0d3ca635p-14}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.3b03c868359c8p-14, -0x1.84e839c9584ddp-13, 0x1.680ac21c60061p-13, -0x1.23cde069bd2b2p-14}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.15e346bd29e01p-14, -0x1.61ff482d4dcf2p-13, 0x1.52281e1471d5bp-13, -0x1.1aa81fffaa537p-14}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.e8497cc676806p-15, -0x1.413dd216c7399p-13, 0x1.3cf51bae11dc7p-13, -0x1.11825f95adc26p-14}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.ab23d46b19398p-15, -0x1.2292475c0335fp-13, 0x1.2871bae93e6dfp-13, -0x1.085c9f2ba5d79p-14}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.73ec8d5a0ebbfp-15, -0x1.05eb17d340784p-13, 0x1.149dfbc5f8645p-13, -0x1.fe6dbd830df85p-15}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.423e23c0b6ea4p-15, -0x1.d66d66a57b27cp-14, 0x1.0179de444177ep-13, -0x1.ec223caf3451dp-15}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.15b69707febbbp-15, -0x1.a4c713617269ep-14, 0x1.de0ac4c82bcf5p-14, -0x1.d9d6bbdb0210ep-15}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.dbeed3a8c06e3p-16, -0x1.76c01586e41f3p-14, 0x1.ba81104af20e6p-14, -0x1.c78b3b06f008ap-15}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.954b440bc4e95p-16, -0x1.4c354cc24d75p-14, 0x1.98569f10d340ep-14, -0x1.b53fba32e9ceep-15}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.56d3917033404p-16, -0x1.250398c02bc4ep-14, 0x1.778b7119ce84bp-14, -0x1.a2f4395ee251cp-15}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.1fdfd4844dea3p-16, -0x1.0107d92cfc724p-14, 0x1.581f8665e3f1ep-14, -0x1.90a8b88aa4074p-15}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.df9e58dae3007p-17, -0x1.c03ddb6a79549p-15, 0x1.3a12def517a41p-14, -0x1.7e5d37b6aa0f5p-15}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.8c0f7d902996ap-17, -0x1.844b6c0ad3517p-15, 0x1.1d657ac7647cap-14, -0x1.6c11b6e2d5144p-15}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.43ed6f4f915b8p-17, -0x1.4df2239402198p-15, 0x1.021759dcc7b4dp-14, -0x1.59c6360e3714p-15}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.0620932e704cp-17, -0x1.1cebc15effb14p-15, 0x1.d050f86aa0c06p-15, -0x1.477ab53aae496p-15}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.a33eb660a1b5fp-18, -0x1.e1e409898d5edp-16, 0x1.9f31c3a1d368cp-15, -0x1.352f34666406dp-15}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.4adc8c8de329p-18, -0x1.937d5a3ca4959p-16, 0x1.70d1155f4467p-15, -0x1.22e3b3924d418p-15}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.013fc0a48ab4p-18, -0x1.4e16f3893957fp-16, 0x1.452eeda2ec03cp-15, -0x1.109832bdfe1dep-15}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.89530881cd8cp-19, -0x1.112454213fdf9p-16, 0x1.1c4b4c6cd2b2ap-15, -0x1.fc9963d6a7455p-16}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.26ee45b75c83fp-19, -0x1.b831f56d63bcep-17, 0x1.ec4c637972b4fp-16, -0x1.d8026223b461dp-16}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.b0880728026c2p-20, -0x1.5cd0cbf6ea61fp-17, 0x1.a57f3b274ad9bp-16, -0x1.b36b60a4802a5p-16}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.34fe80f59703fp-20, -0x1.0f0c294371cfbp-17, 0x1.642f1fdb6ad25p-16, -0x1.8ed45e611a9a8p-16}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.ac0cba1e74p-21, -0x1.9b96156a5af95p-18, 0x1.285c11b3406e9p-16, -0x1.6a3d5f00d972fp-16}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.1dacce3c9dap-21, -0x1.2fe8db6ceb90fp-18, 0x1.e40c207fd93bp-17, -0x1.45a654d0b2a3ep-16}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.6c5748f7742p-22, -0x1.b1bd3e4cd2a42p-19, 0x1.825a3a413d3d8p-17, -0x1.210f730361574p-16}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.b6e1c7d468bffp-23, -0x1.288ab82391e84p-19, 0x1.2ba2648d06707p-17, -0x1.f8eff4ebe7293p-17}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.eb19d52aaafffp-24, -0x1.7fac2969980aap-20, 0x1.bfc99939adebcp-18, -0x1.afc56913bd10ap-17}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.f1cd16c45b001p-25, -0x1.cced7436c5e0cp-21, 0x1.3e41934d5b9a7p-18, -0x1.668a75ab7d2ebp-17}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.b6db01a156001p-26, -0x1.f2b1f00673661p-22, 0x1.a563466705b37p-19, -0x1.1d8cbb4436cecp-17}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.38efcb81effffp-27, -0x1.cc3bc94b5e641p-23, 0x1.f41dac15c9a33p-20, -0x1.a75508caaa543p-18}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.36c658e600001p-29, -0x1.437b2750095dcp-24, 0x1.ec3bb4052d49cp-21, -0x1.1a3a0cd153a87p-18}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.1fdfd48efffffp-32, -0x1.04a74298870e2p-26, 0x1.331f49472b5b2p-22, -0x1.d1090ac858aedp-20}, 
        {0x1.fcccccccccccdp+2, 0x1.fe147ae147ae1p+2, 0x1.eb19dffffffffp-40, 0x1.e19d49d074cffp-32, 0x1.c19dc688fc002p-26, -0x1.a95e6e51ca5fap-17}, 
      }}, 
      0x1.a25174abd2eep-11, -0x1.e3844e7186ep-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.10e7e80fb987dp-9, -0x1.00d0c535afd66p-8, -0x1.58e2d5fd45628p-8, -0x1.8435d4a57703bp-8, -0x1.7b67f27fe2998p-8, -0x1.3b599e5672a16p-8, -0x1.881546b2e78aep-9, -0x1.7c3eb067c8442p-12, 0x1.8af97c6e59fcap-9, 0x1.ce7b64b1e3e9p-8, 0x1.7e93f4c601b17p-7, 0x1.12be614af4379p-6, 0x1.6c4e7a1dbfb9dp-6, 0x1.ca4f276a59b5p-6, 0x1.15910a1574f37p-5, 0x1.469ea70251594p-5, 0x1.7798a358c82ecp-5, 0x1.a7d6d8fbf9597p-5, 0x1.d6c2abde376ebp-5, 0x1.01ec2de73882dp-4, 0x1.1753d4f195c52p-4, 0x1.2b69e307c1cc8p-4, 0x1.3e0947d38d099p-4, 0x1.4f15a1fbcba8dp-4, 0x1.5e7a63f17b192p-4, 0x1.6c29ddd0df1f4p-4, 0x1.781c4327518e6p-4, 0x1.824ebe9a7b794p-4, 0x1.8ac29f235b59dp-4, 0x1.917ca52374fap-4, 0x1.96846f7f3e6adp-4, 0x1.99e405d94fe8ap-4, 0x1.9ba77ad4e55cap-4, 0x1.9bdca01867bd5p-4, 0x1.9a92c68397ba3p-4, 0x1.97da85ded314bp-4, 0x1.93c588aec9daep-4, 0x1.8e665a2d02595p-4, 0x1.87d035880a0c8p-4, 0x1.8016d6646aac5p-4, 0x1.774e4b1d7642fp-4, 0x1.6d8ac95681da2p-4, 0x1.62e085e26a79ep-4, 0x1.5763905018f94p-4, 0x1.4b27b276725e1p-4, 0x1.3e405472c6e86p-4, 0x1.30c064c2bdcb9p-4, 0x1.22ba445619bebp-4, 0x1.143fb63914755p-4, 0x1.0561d257feb8fp-4, 0x1.ec61f60ec25d6p-5, 0x1.cd79a9ab06fb8p-5, 0x1.ae288168aa392p-5, 0x1.8e8aaf7ce22b4p-5, 0x1.6ebacd7f217efp-5, 0x1.4ed1df10a4612p-5, 0x1.2ee747d4e7639p-5, 0x1.0f10d98db3d6ep-5, 0x1.dec59cbdaacf6p-6, 0x1.9fdfa48b75732p-6, 0x1.61921ef7f6837p-6, 0x1.23fc58bfa18f1p-6, 0x1.ce75ab1bb14ap-7, 0x1.56ce9511df7a8p-7, 0x1.c263673c8d177p-8, 0x1.b720f95808f98p-9, -0x1.a4a1c2727e2f4p-14, -0x1.c78b1e3709e8ap-9, -0x1.bbd0c2cf74cc1p-8, -0x1.4742075dadc2p-7, -0x1.addb3c856c72p-7, -0x1.08d169db7d431p-6, -0x1.3945566140809p-6, -0x1.6843bd2bd1bcp-6, -0x1.95c8449f6c15dp-6, -0x1.c1cfc538510ffp-6, -0x1.ec582f950d509p-6, -0x1.0ab03a0d35d65p-5, -0x1.1e74362368361p-5, -0x1.3178630edf81cp-5, -0x1.43bd78c23a9d5p-5, -0x1.554487c0d0c15p-5, -0x1.660ef18cb913p-5, -0x1.761e61b8372d6p-5, -0x1.8574c78d20da3p-5, -0x1.9414501c2e582p-5, -0x1.a1ff60c02caf4p-5, -0x1.af3891f870778p-5, -0x1.bbc2aaa16302bp-5, -0x1.c7a09b86f10ccp-5, -0x1.d2d57b3cbf1e6p-5, -0x1.dd64824628939p-5, -0x1.e751076f8f232p-5, -0x1.f09e7c59b9408p-5, -0x1.f9506a2b47225p-5, -0x1.00b5372b48287p-4, -0x1.04781bca7fd49p-4, -0x1.07f2c12d82493p-4, -0x1.0b270b6ad70b6p-4, -0x1.0e16e25971d78p-4, -0x1.10c430ad7d68ep-4, -0x1.1330e230a75b4p-4, -0x1.155ee2a587b65p-4, -0x1.17501c2ed5966p-4, -0x1.1906769bfc9d6p-4, -0x1.1a83d5d480f8bp-4, -0x1.1bca18ffb074ep-4, -0x1.1cdb199d22d01p-4, -0x1.1db8aaba2aa6p-4, -0x1.1e6497ed9b2b9p-4, -0x1.1ee0a558adc3p-4, -0x1.1f2e8e7eec1d9p-4, -0x1.1f50063d51c8bp-4, -0x1.1f46b64726328p-4, -0x1.1f143efd4b732p-4, -0x1.1eba373b52237p-4, -0x1.1e3a2c1cabe7cp-4, -0x1.1d95a14044b1ep-4, -0x1.1cce1047fa814p-4, -0x1.1be4e94f13535p-4, -0x1.1adb92df9a0b2p-4, -0x1.19b36a0be3d43p-4, -0x1.186dc27cd3ebdp-4, -0x1.170be6ed8f7fcp-4, -0x1.158f18f85fe89p-4, -0x1.13f8919dcc8cap-4, -0x1.12498157080b2p-4, -0x1.1083104650f55p-4, -0x1.0ea65e8c47f57p-4, -0x1.0cb4847b8507dp-4, -0x1.0aae92a48115dp-4, -0x1.0895924f002fbp-4, -0x1.066a8573714fap-4, -0x1.042e66e441c36p-4, -0x1.01e22ac3e582dp-4, -0x1.ff0d7c5e982abp-5, -0x1.fa3a0f36fb66ep-5, -0x1.f54bcecfd4e4cp-5, -0x1.f0446e2c3ca52p-5, -0x1.eb25941e34f9ep-5, -0x1.e5f0dabd61e89p-5, -0x1.e0a7d0372449cp-5, -0x1.db4bf696700aap-5, -0x1.d5dec32423e65p-5, -0x1.d061a02d72145p-5, -0x1.cad5ec01da8ccp-5, -0x1.c53cf8c2bb018p-5, -0x1.bf980da8b0cffp-5, -0x1.b9e866bdaeb6cp-5, -0x1.b42f33cb69a3ap-5, -0x1.ae6d9a436d33dp-5, -0x1.a8a4b4b4f6217p-5, -0x1.a2d59295daf63p-5, -0x1.9d0138d0df38p-5, -0x1.9728a15631fabp-5, -0x1.914cbcdd42367p-5, -0x1.8b6e716a07301p-5, -0x1.858e9aa194ef7p-5, -0x1.7fae0b68ccffcp-5, -0x1.79cd8d2c741d6p-5, -0x1.73eddff3833bcp-5, -0x1.6e0fba52ee92ep-5, -0x1.6833cad67a522p-5, -0x1.625ab8504919dp-5, -0x1.5c8520c46d4dp-5, -0x1.56b39a0a26abbp-5, -0x1.50e6b2c5e41a5p-5, -0x1.4b1ef3514cb46p-5, -0x1.455cdcd1a10dp-5, -0x1.3fa0e8e964cb7p-5, -0x1.39eb8ae229b3dp-5, -0x1.343d31d0b19d6p-5, -0x1.2e9645f485b89p-5, -0x1.28f72a458e057p-5, -0x1.23603c213d771p-5, -0x1.1dd1d3fb050e5p-5, -0x1.184c4742a5a3cp-5, -0x1.12cfe69d97057p-5, -0x1.0d5cfd53adbe4p-5, -0x1.07f3d2d808bdep-5, -0x1.0294ac3dd6ddbp-5, -0x1.fa7f976d3694cp-6, -0x1.efeadf0b92f4p-6, -0x1.e56ba37c7e75ap-6, -0x1.db025400f10cep-6, -0x1.d0af5cb617ccdp-6, -0x1.c67325b0c1c7ep-6, -0x1.bc4e10263fbb7p-6, -0x1.b2407722a33e9p-6, -0x1.a84ab18fdc3dap-6, -0x1.9e6d148725f32p-6, -0x1.94a7f228a2663p-6, -0x1.8afb972ec44f1p-6, -0x1.81684acb70d1p-6, -0x1.77ee50712454p-6, -0x1.6e8de9d776508p-6, -0x1.65475699bbff8p-6, -0x1.5c1ad26c26117p-6, -0x1.530893bb4ffcap-6, -0x1.4a10ccdfe3485p-6, -0x1.4133ada9df359p-6, -0x1.3871643e82236p-6, -0x1.2fca1bd10fca7p-6, -0x1.273dfb6162d7ap-6, -0x1.1ecd254de450ap-6, -0x1.1677b80ab7e6cp-6, -0x1.0e3dcfb8eed08p-6, -0x1.061f862a2035fp-6, -0x1.fc39e46fd7ee2p-7, -0x1.ec6c4d1d841c4p-7, -0x1.dcd6626228acep-7, -0x1.cd78383e74bcfp-7, -0x1.be51dd04d9922p-7, -0x1.af635a2fd3435p-7, -0x1.a0acb3e5d87ddp-7, -0x1.922de66ed1099p-7, -0x1.83e6e4a88bfa1p-7, -0x1.75d7989a8cf46p-7, -0x1.67ffe5c783b62p-7, -0x1.5a5fab3a0462bp-7, -0x1.4cf6c3a3144bbp-7, -0x1.3fc50350e1637p-7, -0x1.32ca359ca1df3p-7, -0x1.26061cb9c12d8p-7, -0x1.1978737c400f9p-7, -0x1.0d20f063ad747p-7, -0x1.00ff46f793a44p-7, -0x1.ea264d4a52032p-8, -0x1.d2b86fea01b93p-8, -0x1.bbb435600c79fp-8, -0x1.a518cd8c1b36cp-8, -0x1.8ee55e7f1d95ap-8, -0x1.791909e084b7dp-8, -0x1.63b2ee47e4e2ep-8, -0x1.4eb223376abf7p-8, -0x1.3a15b3959ef99p-8, -0x1.25dc9b126dd8p-8, -0x1.1205c9d245343p-8, -0x1.fd2054dcfa73ep-9, -0x1.d6f54e4c51f92p-9, -0x1.b1885392d337dp-9, -0x1.8cd72fd9a5b38p-9, -0x1.68df9ae71f28p-9, -0x1.459f35820bc32p-9, -0x1.23138ff5bd947p-9, -0x1.013a362970ba2p-9, -0x1.c02171b48c5a5p-10, -0x1.7f295d8a2160ap-10, -0x1.3f875b352b5b1p-10, -0x1.0136809c071ccp-10, -0x1.886388ddfd09ap-11, -0x1.10e80c4949343p-11, -0x1.37e089926d539p-12, -0x1.4b9061ecee5ebp-14, 0x1.1a7257f3882d2p-13, 0x1.688afc014e474p-12, 0x1.1f928cc52afdp-11, 0x1.888dc1e88d6f1p-11, 0x1.ef413d8ce045fp-11, 0x1.29db938081688p-10, 0x1.5afcc3b528f7dp-10, 0x1.8b091854b209dp-10, 0x1.ba0560f4b6926p-10, 0x1.e7f65c7ece18fp-10, 0x1.0a70643b97527p-9, 0x1.2064b49513ac5p-9, 0x1.35da83ef0ca45p-9, 0x1.4ad433ad32714p-9, 0x1.5f541ac3a4258p-9, 0x1.735c8167eaccep-9, 0x1.86efa1dab944fp-9, 0x1.9a0fad341a8a8p-9, 0x1.acbed10968e7ep-9, 0x1.beff3b081535p-9, 0x1.d0d318ca067a7p-9, 0x1.e23c93fb1b373p-9, 0x1.f33dccdb3b443p-9, 0x1.01ec6b160f696p-8, 0x1.0a07da6872818p-8, 0x1.11f23179f7d3ap-8, 0x1.19ac6aa211f2bp-8, 0x1.21377f0a90714p-8, 0x1.2894677b80615p-8, 0x1.2fc41b8a376a7p-8, 0x1.36c78fc909e9ep-8, 0x1.3d9fb3c942de4p-8, 0x1.444d710830056p-8, 0x1.4ad1ab6742682p-8, 0x1.512d42d5be354p-8, 0x1.576115348cc02p-8, 0x1.5d6dffa1aa117p-8, 0x1.6354dec334eb8p-8, 0x1.69168e1c0f88fp-8, 0x1.6eb3e690d5567p-8, 0x1.742dbd0d94583p-8, 0x1.7984e1b3767p-8, 0x1.7eba1ff2e3be4p-8, 0x1.83ce400ffe373p-8, 0x1.88c20881943a2p-8, 0x1.8d963f1004fd5p-8, 0x1.924ba9391f7d2p-8, 0x1.96e30bd721a62p-8, 0x1.9b5d2a39cd3d5p-8, 0x1.9fbac4d1ff38bp-8, 0x1.a3fc98a4419f2p-8, 0x1.a8235eca37da4p-8, 0x1.ac2fcd3a07937p-8, 0x1.b02297d99385p-8, 0x1.b3fc717ee3712p-8, 0x1.b7be0c8738339p-8, 0x1.bb681af0428a2p-8, 0x1.befb4df34be2fp-8, 0x1.c27855361813p-8, 0x1.c5dfddec31b4bp-8, 0x1.c9329234b3971p-8, 0x1.cc711902202c3p-8, 0x1.cf9c16924308bp-8, 0x1.d2b42d2ec02a6p-8, 0x1.d5b9fddc1777cp-8, 0x1.d8ae28c481056p-8, 0x1.db914d50f4dd2p-8, 0x1.de6409ee1246ap-8, 0x1.e126fb853e1dep-8, 0x1.e3dabccc45ad1p-8, 0x1.e67fe5aafcc5dp-8, 0x1.e9170af65cc15p-8, 0x1.eba0be9b780ap-8, 0x1.ee1d9013927cdp-8, 0x1.f08e0cc02f573p-8, 0x1.f2f2c0934542p-8, 0x1.f54c35ea95f0dp-8, 0x1.f79af596cea7fp-8, 0x1.f9df86d967dc6p-8, 0x1.fc1a6ec614026p-8, 0x1.fe4c2fcbc7ad4p-8, 0x1.003aa4a10d51ep-7, 0x1.014b1b9af9bf8p-7, 0x1.0257b94355608p-7, 0x1.0360b89a13b02p-7, 0x1.0466535776347p-7, 0x1.0568c205b46e2p-7, 0x1.06683c0d4bcdcp-7, 0x1.0764f7b5bcda2p-7, 0x1.085f2a1a30f5ep-7, 0x1.0957070ca4f8ep-7, 0x1.0a4cc0e90c72ap-7, 0x1.0b4088650e75dp-7, 0x1.0c328c6fa7d14p-7, 0x1.0d22fa2dc8d25p-7, 0x1.0e11fd1010c3bp-7, 0x1.0effbef113eaap-7, 0x1.0fec682c25a96p-7, 0x1.10d81fa8e75bfp-7, 0x1.11c30adfb0133p-7, 0x1.12ad4ddac03bdp-7, 0x1.13970b31b497dp-7, 0x1.148063f9fa784p-7, 0x1.156977aa575dfp-7, 0x1.165263fd26feap-7, 0x1.173b44d9117d3p-7, 0x1.1824344de61cdp-7, 0x1.190d4aa73a508p-7, 0x1.19f69e847f708p-7, 0x1.1ae044e488721p-7, 0x1.1bca51435574p-7, 0x1.1cb4d58c4ff5ap-7, 0x1.1d9fe2254b6b5p-7, 0x1.1e8b85f3c9162p-7, 0x1.1f77ce5e97309p-7, 0x1.2064c74259fe8p-7, 0x1.21527ae01e47ep-7, 0x1.2240f1dda0477p-7, 0x1.2330332607c8dp-7, 0x1.242043fce3af4p-7, 0x1.2511280e5de9cp-7, 0x1.2602e1847aacap-7, 0x1.26f57117a96cdp-7, 0x1.27e8d6191347fp-7, 0x1.28dd0e79a3c0ep-7, 0x1.29d216d1bd9b1p-7, 0x1.2ac7ea6a235dap-7, 0x1.2bbe8343d6f74p-7, 0x1.2cb5da1af744dp-7, 0x1.2dade663354b8p-7, 0x1.2ea69e409210ap-7, 0x1.2f9ff6826bf6ap-7, 0x1.3099e2a859df4p-7, 0x1.319454f2a657p-7, 0x1.328f3e76c057bp-7, 0x1.338a8f31720ebp-7, 0x1.3486362c8d9a4p-7, 0x1.35822144f859cp-7, 0x1.367e3d9e84661p-7, 0x1.377a774333223p-7, 0x1.3876b967f8adp-7, 0x1.3972ee602401fp-7, 0x1.3a6effa8033a3p-7, 0x1.3b6ad5e96c7e4p-7, 0x1.3c6658ff87485p-7, 0x1.3d616ff736ee1p-7, 0x1.3e5c01250e228p-7, 0x1.3f55f22e9fe5ep-7, 0x1.404f281b955cbp-7, 0x1.414787672e0cap-7, 0x1.423ef407eab9ap-7, 0x1.43355172bb011p-7, 0x1.442a829f7db5p-7, 0x1.451e6a1937c5cp-7, 0x1.4610e9e20e4dfp-7, 0x1.4701e3b0e786dp-7, 0x1.47f1390644642p-7, 0x1.48decb1217723p-7, 0x1.49ca7ae218ec3p-7, 0x1.4ab42961e7ab4p-7, 0x1.4b9bb75680e91p-7, 0x1.4c81055bad98bp-7, 0x1.4d63f3e344684p-7, 0x1.4e44632f13c9bp-7, 0x1.4f2233659787ep-7, 0x1.4ffd449a025b6p-7, 0x1.50d576df588b5p-7, 0x1.51aaaa68027b1p-7, 0x1.527cbfa1f9764p-7, 0x1.534b974eb495dp-7, 0x1.541712906e274p-7, 0x1.54df12e7b2ccep-7, 0x1.55a37a2112eeap-7, 0x1.56642a36a29cap-7, 0x1.5721052e89e7cp-7, 0x1.57d9ed02545cp-7, 0x1.588ec39aef073p-7, 0x1.593f6ae9876f1p-7, 0x1.59ebc51d26e1dp-7, 0x1.5a93b4ee037fp-7, 0x1.5b371deba33c9p-7, 0x1.5bd5e4bd62429p-7, 0x1.5c6fef439c34ap-7, 0x1.5d05248a89f96p-7, 0x1.5d956c8f3d8fbp-7, 0x1.5e20afdbe13d1p-7, 0x1.5ea6d7105c09bp-7, 0x1.5f27ca7a23ff5p-7, 0x1.5fa371c469abap-7, 0x1.6019b3ee6b25ap-7, 0x1.608a778c12561p-7, 0x1.60f5a34ec4e64p-7, 0x1.615b1ec4850b5p-7, 0x1.61bad32ab8475p-7, 0x1.6214ac286d7e1p-7, 0x1.6268984233c18p-7, 0x1.62b688e33ec81p-7, 0x1.62fe71e9306dbp-7, 0x1.634048bac64ddp-7, 0x1.637c030bf7692p-7, 0x1.63b1958921f08p-7, 0x1.63e0f2ae5a104p-7, 0x1.640a0a0f1a496p-7, 0x1.642cc8449282ep-7, 0x1.6449179be9999p-7, 0x1.645ee17a3215cp-7, 0x1.646e1046aa3afp-7, 0x1.6476918bb682ep-7, 0x1.647857e90109ep-7, 0x1.64735c7390e1bp-7, 0x1.64679f29412a2p-7, 0x1.64552649dd62bp-7, 0x1.643bfc92356e5p-7, 0x1.641c2e8f6237bp-7, 0x1.63f5c76fabd95p-7, 0x1.63c8cdd9ae8c9p-7, 0x1.63954157a6f0ap-7, 0x1.635b18e5e7b63p-7, 0x1.631a42f92eea7p-7, 0x1.62d2a71a37ae2p-7, 0x1.62842905e707dp-7, 0x1.622eacdb8b68fp-7, 0x1.61d21bc9bdac5p-7, 0x1.616e6879a23e9p-7, 0x1.6103926addbc4p-7, 0x1.6091a79bed655p-7, 0x1.6018c410c2deep-7, 0x1.5f990f18fbbbdp-7, 0x1.5f12b69d51453p-7, 0x1.5e85e916abfc8p-7, 0x1.5df2cf14990b8p-7, 0x1.5d598558076acp-7, 0x1.5cba187fe6f37p-7, 0x1.5c1482fe75fbep-7, 0x1.5b68adcde7ae2p-7, 0x1.5ab673fe5a213p-7, 0x1.59fda88782b81p-7, 0x1.593e1e062772cp-7, 0x1.5877aeefb9eap-7, 0x1.57aa45665dadap-7, 0x1.56d5e140b9dfep-7, 0x1.55fa9b4ed5714p-7, 0x1.5518a51ef3feep-7, 0x1.5430450eb3b4bp-7, 0x1.5341cf0aed8a9p-7, 0x1.524d9af1b85a1p-7, 0x1.5153f9fa063f8p-7, 0x1.50552cb60a9f2p-7, 0x1.4f515b33b224ap-7, 0x1.4e48906b379b3p-7, 0x1.4d3ab9add59a3p-7, 0x1.4c27aa35e5b7ap-7, 0x1.4b0f22721b2ffp-7, 0x1.49f0da30b8768p-7, 0x1.48cc8c7906267p-7, 0x1.47a203a53d2c4p-7, 0x1.4671242fc30cfp-7, 0x1.4539f4acdd49p-7, 0x1.43fca19f91e49p-7, 0x1.42b97c47ea384p-7, 0x1.4170f431160ecp-7, 0x1.40238c122b29bp-7, 0x1.3ed1cb626c2bdp-7, 0x1.3d7c2ea315fc3p-7, 0x1.3c2318ac7312fp-7, 0x1.3ac6c72cf74f2p-7, 0x1.39674c031d9edp-7, 0x1.38048c5001778p-7, 0x1.369e454100425p-7, 0x1.353415caf2fa8p-7, 0x1.33c58c0d348d9p-7, 0x1.325234d01c296p-7, 0x1.30d9ab86d37fp-7, 0x1.2f5ba9470a6cep-7, 0x1.2dd81139d4327p-7, 0x1.2c4ef91c79257p-7, 0x1.2ac0ac97ef088p-7, 0x1.292daa70e45aep-7, 0x1.27969b51f9348p-7, 0x1.25fc42aa62199p-7, 0x1.245f6b1f6adb5p-7, 0x1.22c0d0f77e65cp-7, 0x1.21210d6fa4b34p-7, 0x1.1f8085fcf8ad6p-7, 0x1.1ddf61f552756p-7, 0x1.1c3d88030c4b8p-7, 0x1.1a9aa37451d99p-7, 0x1.18f6302f6e3a5p-7, 0x1.174f8b306b883p-7, 0x1.15a60526afff5p-7, 0x1.13f8f50da1969p-7, 0x1.1247c93cc8853p-7, 0x1.10921614ad089p-7, 0x1.0ed7a1d72cfafp-7, 0x1.0d186d4166c29p-7, 0x1.0b54b83d51473p-7, 0x1.098d01b6ad62dp-7, 0x1.07c2019264674p-7, 0x1.05f49c307a0fbp-7, 0x1.0425cfc326078p-7, 0x1.02569cff0a7cbp-7, 0x1.0087ede3f1c7fp-7, 0x1.fd74fc7658a8ap-8, 0x1.f9dd93173855ep-8, 0x1.f64a0302e4c14p-8, 0x1.f2ba1c5c373ccp-8, 0x1.ef2d2eee101e1p-8, 0x1.eba22a2f91211p-8, 0x1.e817c2d70e0e5p-8, 0x1.e48c965c62e7fp-8, 0x1.e0ff472c42a7ep-8, 0x1.dd6e90293b755p-8, 0x1.d9d951e19b512p-8, 0x1.d63e9e084b3aep-8, 0x1.d29dc56d9e0f5p-8, 0x1.cef66a4ef6fa3p-8, 0x1.cb489444f3f97p-8, 0x1.c794c23e9b264p-8, 0x1.c3dbf0bf727b9p-8, 0x1.c01f91b102d5bp-8, 0x1.bc6170bad3dc9p-8, 0x1.b8a38761ea1cap-8, 0x1.b4e7c7871cb6dp-8, 0x1.b12fe66e52a41p-8, 0x1.ad7d33102f85dp-8, 0x1.a9d08016d557ep-8, 0x1.a62a25046d647p-8, 0x1.a28a13e0f95fbp-8, 0x1.9eeffb218afep-8, 0x1.9b5b68163df5p-8, 0x1.97cbde6ffcd8dp-8, 0x1.9440ddb1d02b5p-8, 0x1.90b9d49785d01p-8, 0x1.8d360a2730f2cp-8, 0x1.89b4895bf6c72p-8, 0x1.86341c777f72dp-8, 0x1.82b3605555abdp-8, 0x1.7f30ef92427d9p-8, 0x1.7bab9c5e24072p-8, 0x1.7822aa102cd6dp-8, 0x1.7495f637116dcp-8, 0x1.710605238070fp-8, 0x1.6d73ede825289p-8, 0x1.69e12b4bc009dp-8, 0x1.664f5eb6a8f15p-8, 0x1.62c0154088c83p-8, 0x1.5f349ce5126e9p-8, 0x1.5badf1e0fe929p-8, 0x1.582cc4d52db2fp-8, 0x1.54b193e84d826p-8, 0x1.513cccea04c29p-8, 0x1.4dceec9564cffp-8, 0x1.4a688f558da84p-8, 0x1.470a6ab570dd8p-8, 0x1.43b52c86e1e56p-8, 0x1.4069457d86ebbp-8, 0x1.3d26ae211b811p-8, 0x1.39ecba9ba150ep-8, 0x1.36ba106a28d34p-8, 0x1.338cc7a4b771ep-8, 0x1.3062b39e2c5edp-8, 0x1.2d39c17a50248p-8, 0x1.2a1053f3cce6ep-8, 0x1.26e5840f1dd9ep-8, 0x1.23b936630c319p-8, 0x1.208c019ecb1f9p-8, 0x1.1d5ef14a0508cp-8, 0x1.1a333a6ffa928p-8, 0x1.1709fa66b9d0bp-8, 0x1.13e410f383815p-8, 0x1.10c21a5007ac8p-8, 0x1.0da481ad56559p-8, 0x1.0a8b9f21bb0e3p-8, 0x1.0777d54f26db7p-8, 0x1.0469a8081a98ep-8, 0x1.0161c92b7305ap-8, 0x1.fcc23369b1463p-9, 0x1.f6d137ef3350cp-9, 0x1.f0f2a8926704cp-9, 0x1.eb28325b5c1f5p-9, 0x1.e572b5ecf9589p-9, 0x1.dfd1e3ba8df41p-9, 0x1.da4409bbbd6cbp-9, 0x1.d4c62f0340aa5p-9, 0x1.cf548278cd019p-9, 0x1.c9eb04c04fdcap-9, 0x1.c486405058c1cp-9, 0x1.bf23df7947c46p-9, 0x1.b9c2fcc61a27cp-9, 0x1.b4641e15ac322p-9, 0x1.af08e0793154cp-9, 0x1.a9b370c9b7027p-9, 0x1.a465fd639f8fp-9, 0x1.9f224da46ebeap-9, 0x1.99e996f5baec5p-9, 0x1.94bc88d8b2689p-9, 0x1.8f9b75b70f9d8p-9, 0x1.8a867f1df602ep-9, 0x1.857db926c80b7p-9, 0x1.8081428fc3d62p-9, 0x1.7b914fc3e59d3p-9, 0x1.76ae26be9ea5dp-9, 0x1.71d8103b5d514p-9, 0x1.6d0f4af9a3d5bp-9, 0x1.68540bc8b5822p-9, 0x1.63a685ade7d25p-9, 0x1.5f06e6a5ba1b2p-9, 0x1.5a75385f3c4d8p-9, 0x1.55f12a84214c3p-9, 0x1.5179e4d38edc5p-9, 0x1.4d0e0365eaadfp-9, 0x1.48abc7b310d2ep-9, 0x1.445167e9eb7dap-9, 0x1.3ffd59d475b3fp-9, 0x1.3bae88e1e7dc8p-9, 0x1.37647f80ef396p-9, 0x1.331f8ba184642p-9, 0x1.2ee0d065f6241p-9, 0x1.2aaa2d123edb8p-9, 0x1.267df310948cap-9, 0x1.225e7d62ca6e1p-9, 0x1.1e4dc49e98d59p-9, 0x1.1a4d090f32683p-9, 0x1.165cad3b5239dp-9, 0x1.127c5425ecdb1p-9, 0x1.0eab37883206ap-9, 0x1.0ae88102d63a3p-9, 0x1.073368b4c78e9p-9, 0x1.038b090d141fep-9, 0x1.ffdc30007d43p-10, 0x1.f8b59d84b512ap-10, 0x1.f19e4ed0b80d6p-10, 0x1.ea92b7a5285b8p-10, 0x1.e390d3d34b564p-10, 0x1.dc98bda9b0bbfp-10, 0x1.d5ac8e148637fp-10, 0x1.cecf93e2d440dp-10, 0x1.c8053781cd734p-10, 0x1.c15000a428108p-10, 0x1.bab112019ef12p-10, 0x1.b4281787fd705p-10, 0x1.adb35bbc07a2dp-10, 0x1.a74fd87821742p-10, 0x1.a0f98f5feb001p-10, 0x1.9aacaa61176d1p-10, 0x1.94674f6a90eabp-10, 0x1.8e2b3704373f6p-10, 0x1.87fdd5b24aa39p-10, 0x1.81e6c31d1b1b4p-10, 0x1.7bed102d1ac9ep-10, 0x1.7614da55fa8c5p-10, 0x1.705e5075730cep-10, 0x1.6ac6a1926b6a8p-10, 0x1.654a2aeca1a97p-10, 0x1.5fe66491c945cp-10, 0x1.5a9a4dcec6313p-10, 0x1.55656247d82b1p-10, 0x1.50462f88c486p-10, 0x1.4b39a766f3db5p-10, 0x1.463b6e413eda1p-10, 0x1.4146bed94958ap-10, 0x1.3c57665498ef5p-10, 0x1.376a97ecfd6e5p-10, 0x1.327f837a9d95bp-10, 0x1.2d979ad38ef6ep-10, 0x1.28b6651c80ebbp-10, 0x1.23e0c785c4733p-10, 0x1.1f1bd6d54e187p-10, 0x1.1a6b889ccef99p-10, 0x1.15d1cbd642af9p-10, 0x1.114e6e8c2e6e9p-10, 0x1.0cdfaa332e00ep-10, 0x1.0882a8a6b1986p-10, 0x1.043395d4d4072p-10, 0x1.ffdbc790d9cbbp-11, 0x1.f75bbea97d0afp-11, 0x1.eee69ff0f1ba6p-11, 0x1.e685d8092638dp-11, 0x1.de4951d2b6803p-11, 0x1.d63f1cf71006cp-11, 0x1.ce6bd9a258383p-11, 0x1.c6c93938c55b9p-11, 0x1.bf4b721c1d5cep-11, 0x1.b7e970088b706p-11, 0x1.b0a193434a4f3p-11, 0x1.a9780e34fd5c5p-11, 0x1.a2719ce4aca6ap-11, 0x1.9b8f862efae91p-11, 0x1.94cf087d7103ap-11, 0x1.8e2adcf17e28bp-11, 0x1.879cd0f858c5p-11, 0x1.811eba9bacd64p-11, 0x1.7aab1c4dc47efp-11, 0x1.743dea66f797cp-11, 0x1.6dd5746c4cbe8p-11, 0x1.6773084c7b39ap-11, 0x1.611ad4742a317p-11, 0x1.5ad2e12e9e3ep-11, 0x1.54a17434d864p-11, 0x1.4e8b77b54baf3p-11, 0x1.489369f716fafp-11, 0x1.42b922abf9dbbp-11, 0x1.3cfaa29501748p-11, 0x1.3755ebaef7b6ap-11, 0x1.31caf64e1c05p-11, 0x1.2c5bb28254effp-11, 0x1.2708e001d30e8p-11, 0x1.21ce731e9a81p-11, 0x1.1ca4e5d269421p-11, 0x1.178813fd0ff2ap-11, 0x1.127c099bbab99p-11, 0x1.0d8910a5efea1p-11, 0x1.08b2bf1cc2c73p-11, 0x1.03f3aa7a45e45p-11, 0x1.fe8476f820343p-12, 0x1.f533643b4b0acp-12, 0x1.ebfc4fc5ec44ep-12, 0x1.e2f042f3592ccp-12, 0x1.da1b477831088p-12, 0x1.d17f3f6c4da4ep-12, 0x1.c91776bfd0eb1p-12, 0x1.c0dd5e7f26b48p-12, 0x1.b8ca550af9319p-12, 0x1.b0d750ddfb607p-12, 0x1.a8fca1e78a835p-12, 0x1.a13302d7c7fd7p-12, 0x1.9975bde9c4097p-12, 0x1.91c48c6860243p-12, 0x1.8a23b22114eeap-12, 0x1.8299e60fe58b4p-12, 0x1.7b2d2ee27a70dp-12, 0x1.73e08220e33cap-12, 0x1.6cb33e24c7edcp-12, 0x1.65a2974df3fbcp-12, 0x1.5eac7c09dbc44p-12, 0x1.57d28db4a0673p-12, 0x1.511aaccca8b1p-12, 0x1.4a8bb67d372ep-12, 0x1.44290d5866c4dp-12, 0x1.3df17b3b55d08p-12, 0x1.37e1dd630f08ep-12, 0x1.31f67601dcd1cp-12, 0x1.2c2781b4b5116p-12, 0x1.2667817ad716dp-12, 0x1.20ac4112a132bp-12, 0x1.1afa403dd1698p-12, 0x1.155f63313cb51p-12, 0x1.0fe0f8b3592e6p-12, 0x1.0a75f668e508ap-12, 0x1.05157e4c96575p-12, 0x1.ff89bf389df8ep-13, 0x1.f523e74b50d52p-13, 0x1.eb09a6c92de44p-13, 0x1.e138aeb0192bp-13, 0x1.d7a80c1325694p-13, 0x1.ce5164559b7b1p-13, 0x1.c531107e0da5p-13, 0x1.bc41f9a9184c6p-13, 0x1.b37a6360933c9p-13, 0x1.aaccad036fa0ep-13, 0x1.a22cdd6542ac5p-13, 0x1.9997e1a07a0f3p-13, 0x1.91165ee3a335fp-13, 0x1.88b76d919976cp-13, 0x1.808642074c19p-13, 0x1.788293997ace3p-13, 0x1.70a2b8cdd9483p-13, 0x1.68def9c6c7123p-13, 0x1.613b048354d42p-13, 0x1.59c27df5b0186p-13, 0x1.527d2cfcc7d1p-13, 0x1.4b68d8300a703p-13, 0x1.447d1afbc188bp-13, 0x1.3db1e7cb42783p-13, 0x1.37024bf10e337p-13, 0x1.306b6573a73bdp-13, 0x1.29eb001182e81p-13, 0x1.2380e4cb75821p-13, 0x1.1d325dbe87b15p-13, 0x1.170a33831f1b6p-13, 0x1.110e85962546dp-13, 0x1.0b34cbc9d6c9fp-13, 0x1.056c4ab80015dp-13, 0x1.ff69ca19cb23ep-14, 0x1.f42d628232ec8p-14, 0x1.e91808432935p-14, 0x1.de1baf6acb80bp-14, 0x1.d34fd001ceadbp-14, 0x1.c8d4f1576caa6p-14, 0x1.beb02ef7e7bf5p-14, 0x1.b4d68bb3eb285p-14, 0x1.ab40c7562bfa9p-14, 0x1.a1ebb01d38ba1p-14, 0x1.98ce1a81f1fa5p-14, 0x1.8fd38392e4ad9p-14, 0x1.86e5eb2ab3ee1p-14, 0x1.7e01d8ee9bb1bp-14, 0x1.753bf91d4cdeap-14, 0x1.6cab5e472eb83p-14, 0x1.6450263b30a0ep-14, 0x1.5c1785eb06fcdp-14, 0x1.53f9416b96baap-14, 0x1.4c04bdb73af0bp-14, 0x1.444c0be5ed9ddp-14, 0x1.3ccfd076e4074p-14, 0x1.3583ce650b909p-14, 0x1.2e5c1e77d625cp-14, 0x1.2752c7d8d7df8p-14, 0x1.2066796597739p-14, 0x1.1997d4531c91fp-14, 0x1.12e7be83cdbb4p-14, 0x1.0c56d70ec146p-14, 0x1.05e589c31c7fbp-14, 0x1.ff288c6a3366cp-15, 0x1.f2c6e5cd0bd12p-15, 0x1.e6a5c4809399cp-15, 0x1.dac241f437b7cp-15, 0x1.cf177447e4355p-15, 0x1.c3a3154e025dep-15, 0x1.b86d2dd02a6dfp-15, 0x1.ad8997f16290ep-15, 0x1.a3027c2b3545ep-15, 0x1.98bc023e89b49p-15, 0x1.8e936c6d691ebp-15, 0x1.8487f3ee9f602p-15, 0x1.7a9c6cff58d0cp-15, 0x1.70dcdd27346b8p-15, 0x1.676b2a44b4a24p-15, 0x1.5e538dc90f9bcp-15, 0x1.55884af1709f3p-15, 0x1.4cf4d6fb9b076p-15, 0x1.4480b459cea78p-15, 0x1.3c1f4cc88e2f8p-15, 0x1.33dfd2ffe6a64p-15, 0x1.2bd2dc27effffp-15, 0x1.23ed35caa5f2fp-15, 0x1.1c221b10b7b55p-15, 0x1.1481e66c9aa94p-15, 0x1.0d203420f2f45p-15, 0x1.05f91a74b7792p-15, 0x1.fdfba5281c712p-16, 0x1.f04a1c1ed29c3p-16, 0x1.e2d92a2ab05a3p-16, 0x1.d5aaa3300c89ap-16, 0x1.c8c1301374b14p-16, 0x1.bc1e7b5d7c63dp-16, }}, 
      {{-0x1.dd23653e66a6p-10, -0x1.cf63c36ffc4a1p-9, -0x1.4a084ee336b06p-8, -0x1.97fba7b6f46b5p-8, -0x1.ccdb4369fdecbp-8, -0x1.e59af8430918dp-8, -0x1.e08f566ee21f5p-8, -0x1.bd2538427d49fp-8, -0x1.7ba75aa3c720cp-8, -0x1.1d1064658dccp-8, -0x1.45c8fb1db1c1bp-9, -0x1.e1fdfaaf9a5f4p-13, 0x1.386bbd735a7dfp-9, 0x1.5c8305e6a5105p-8, 0x1.17a7c6e3d9effp-7, 0x1.89030601123e9p-7, 0x1.00844fe979775p-6, 0x1.3f39cb6ff5cadp-6, 0x1.8004939a3a26ep-6, 0x1.c24e46bef5dc3p-6, 0x1.02c4828296878p-5, 0x1.24984b20c1623p-5, 0x1.46659829d2eap-5, 0x1.67f4f4261a963p-5, 0x1.891467e5c18f1p-5, 0x1.a9976719a7326p-5, 0x1.c956a12017649p-5, 0x1.e82fbd8e1497ap-5, 0x1.0302863535678p-4, 0x1.115e9788b7e0ep-4, 0x1.1f216022af7aap-4, 0x1.2c41ff3adf5b8p-4, 0x1.38b93d12be62bp-4, 0x1.4481652134f4fp-4, 0x1.4f9623433305cp-4, 0x1.59f463cace304p-4, 0x1.639a3632988d4p-4, 0x1.6c86b2191fdap-4, 0x1.74b9de320d116p-4, 0x1.7c3498de0590ap-4, 0x1.82f88232b38edp-4, 0x1.8907e76e2cc81p-4, 0x1.8e65af64d2097p-4, 0x1.9315482f022e5p-4, 0x1.971a961b7d8ep-4, 0x1.9a79e388b7f47p-4, 0x1.9d37d1f6cd059p-4, 0x1.9f594c180e9f6p-4, 0x1.a0e378fb4a0ccp-4, 0x1.a1dbb061800c7p-4, 0x1.a2477016d9c8cp-4, 0x1.a22c520d8229p-4, 0x1.a19003356f18bp-4, 0x1.a0783b6226fbcp-4, 0x1.9eeab6530e626p-4, 0x1.9ced2d5b1203bp-4, 0x1.9a855142c2e02p-4, 0x1.97b8c477e57ccp-4, 0x1.948d163e6c0a7p-4, 0x1.9107bf01dcb73p-4, 0x1.8d2e1d3126939p-4, 0x1.8905721aa97c6p-4, 0x1.8492de86ca848p-4, 0x1.7fdb5feb8ac71p-4, 0x1.7ae3ce64685eep-4, 0x1.75b0dbb0aad23p-4, 0x1.7047128af98dcp-4, 0x1.6aaad6014adb8p-4, 0x1.64e060a29549fp-4, 0x1.5eebc3b0bd746p-4, 0x1.58d0e6af3260fp-4, 0x1.5293878218158p-4, 0x1.4c373b0349f68p-4, 0x1.45bf6dea326ap-4, 0x1.3f2f65c963a38p-4, 0x1.388a41f88a205p-4, 0x1.31d2fc61e43c5p-4, 0x1.2b0c6a3ff3238p-4, 0x1.24393ce23c3ccp-4, 0x1.1d5c028c07991p-4, 0x1.16772774ec54bp-4, 0x1.0f8cf6e9c409bp-4, 0x1.089f9c7fe78aap-4, 0x1.01b1254f0ed7ep-4, 0x1.f5870245ce391p-5, 0x1.e7b10738b3bc3p-5, 0x1.d9e3ca7ec0b53p-5, 0x1.cc2288dd53e2ap-5, 0x1.be704cb5d1c12p-5, 0x1.b0cfefd2703ebp-5, 0x1.a3441d2bc9d77p-5, 0x1.95cf52afdc274p-5, 0x1.8873e3056b97dp-5, 0x1.7b33f7500b04dp-5, 0x1.6e1190efc2667p-5, 0x1.610e8b39bbe0ep-5, 0x1.542c9d2475617p-5, 0x1.476d5aef0f142p-5, 0x1.3ad237a7c17c8p-5, 0x1.2e5c86c2e1de1p-5, 0x1.220d7d7b86a5dp-5, 0x1.15e63455b855dp-5, 0x1.09e7a8668cd1dp-5, 0x1.fc2579938923p-6, 0x1.e4d0777b9199ap-6, 0x1.cdd1b023f10a3p-6, 0x1.b72a5c99b7abap-6, 0x1.a0db8bbafa261p-6, 0x1.8ae6247348eep-6, 0x1.754ae85205458p-6, 0x1.600a74f6c427ep-6, 0x1.4b2546d77fe68p-6, 0x1.369bbadf0cbe8p-6, 0x1.226e10817566ap-6, 0x1.0e9c6b661e513p-6, 0x1.f64daab103772p-7, 0x1.d01a80095dbb3p-7, 0x1.aa9f0bdbfa505p-7, 0x1.85dada9cc93f6p-7, 0x1.61cd50706d64ep-7, 0x1.3e75ad519764ap-7, 0x1.1bd30ef3ca258p-7, 0x1.f3c8e91ddb4c6p-8, 0x1.b1517dda53b55p-8, 0x1.703d6951225a6p-8, 0x1.308a063db6624p-8, 0x1.e469027e3e322p-9, 0x1.6a73b7af0e34ap-9, 0x1.e65bc6b46ca2ap-10, 0x1.fa43c1055a73bp-11, 0x1.92c12dbde44cfp-14, -0x1.8b278e319753ap-11, -0x1.9f2c415a0091bp-10, -0x1.39d62ab4045bfp-9, -0x1.a191ac6c4fa37p-9, -0x1.03683c3311bc6p-8, -0x1.34cd4460243ffp-8, -0x1.64fbfb9bf0b37p-8, -0x1.93f87d5805687p-8, -0x1.c1c6f2371e663p-8, -0x1.ee6b8db117004p-8, -0x1.0cf5465e22c11p-7, -0x1.22241a4698572p-7, -0x1.36c4687fd8aadp-7, -0x1.4ad858b4d54f4p-7, -0x1.5e6215be62604p-7, -0x1.7163cae1ebfddp-7, -0x1.83dfa452f03a8p-7, -0x1.95d7ce7a329f3p-7, -0x1.a74e74fbb1f1cp-7, -0x1.b845c33282f4dp-7, -0x1.c8bfe2a4c3b5ep-7, -0x1.d8befb1af4ac8p-7, -0x1.e845325496cdap-7, -0x1.f754ab24b6d0fp-7, -0x1.02f7c2b6d8c1bp-6, -0x1.0a0beed7180b3p-6, -0x1.10e7e64afc44ap-6, -0x1.178cb3ad16d75p-6, -0x1.1dfb5ef4ff343p-6, -0x1.2434ee1a1c9b1p-6, -0x1.2a3a649d64c43p-6, -0x1.300cc37155a5dp-6, -0x1.35ad08ec9d0d2p-6, -0x1.3b1c307ed007p-6, -0x1.405b32e30ee82p-6, -0x1.456b060cff152p-6, -0x1.4a4c9cc3547f3p-6, -0x1.4f00e6d008522p-6, -0x1.5388d0f1b24c7p-6, -0x1.57e544d2fe643p-6, -0x1.5c1728e3e7442p-6, -0x1.601f605d15b85p-6, -0x1.63fecb4b0134ep-6, -0x1.67b646991982ep-6, -0x1.6b46abe00060ep-6, -0x1.6eb0d1782e9fep-6, -0x1.71f58a843d55bp-6, -0x1.7515a6f577649p-6, -0x1.7811f394550f7p-6, -0x1.7aeb39e55223p-6, -0x1.7da240369e52ep-6, -0x1.8037c9bbeb05fp-6, -0x1.82ac96920e50cp-6, -0x1.850163c8d975p-6, -0x1.8736eb4897391p-6, -0x1.894de3f7c6b84p-6, -0x1.8b47019fff9edp-6, -0x1.8d22f565a43bfp-6, -0x1.8ee26d4d079a6p-6, -0x1.9086147c708e8p-6, -0x1.920e933b3edd5p-6, -0x1.937c8f03762b9p-6, -0x1.94d0aaac1ca0ep-6, -0x1.960b863278bfbp-6, -0x1.972dbef7ad243p-6, -0x1.9837ef97fa765p-6, -0x1.992ab02b34e21p-6, -0x1.9a0695ffa6934p-6, -0x1.9acc34495bf7ep-6, -0x1.9b7c1b583f509p-6, -0x1.9c16d925da8e3p-6, -0x1.9c9cf90751dadp-6, -0x1.9d0f0422af5a1p-6, -0x1.9d6d8134358b4p-6, -0x1.9db8f48686428p-6, -0x1.9df1e02652ccp-6, -0x1.9e18c3bc64978p-6, -0x1.9e2e1cb44310bp-6, -0x1.9e32664100427p-6, -0x1.9e26195b1342ap-6, -0x1.9e09acd991ef3p-6, -0x1.9ddd9554fb8c6p-6, -0x1.9da2453a0819fp-6, -0x1.9d582cee3e679p-6, -0x1.9cffbaa9d3efep-6, -0x1.9c995a9c7e08bp-6, -0x1.9c2576ea45215p-6, -0x1.9ba477a90a07ep-6, -0x1.9b16c2e931583p-6, -0x1.9a7cbcb65637ep-6, -0x1.99d6c723c7e4cp-6, -0x1.9925424b0329p-6, -0x1.98688c560567cp-6, -0x1.97a10191f3226p-6, -0x1.96cefc52c1a7ep-6, -0x1.95f2d507555ebp-6, -0x1.950ce23b5d763p-6, -0x1.941d78a0af40bp-6, -0x1.9324eb19571afp-6, -0x1.92238abd52339p-6, -0x1.9119a6deee1ccp-6, -0x1.90078cfb788d9p-6, -0x1.8eed88da7aae5p-6, -0x1.8dcbe4790bf54p-6, -0x1.8ca2e8207c0ddp-6, -0x1.8b72da8141937p-6, -0x1.8a3c009da6dc6p-6, -0x1.88fe9de05ec4ap-6, -0x1.87baf3fa4e961p-6, -0x1.8671431b2c95ep-6, -0x1.8521c9c8e0edp-6, -0x1.83ccc5079b88p-6, -0x1.82727060b1e63p-6, -0x1.811305dcf4cd9p-6, -0x1.7faebe16548e7p-6, -0x1.7e45d0235cb0dp-6, -0x1.7cd871a53cfbcp-6, -0x1.7b66d6d026c76p-6, -0x1.79f1327918176p-6, -0x1.7877b6215850bp-6, -0x1.76fa91fbac4e4p-6, -0x1.7579f4ec2031bp-6, -0x1.73f60c8734486p-6, -0x1.726f0514f781ap-6, -0x1.70e5099a1344fp-6, -0x1.6f5843e912d2ep-6, -0x1.6dc8dca1cbfa1p-6, -0x1.6c36fb4a1050cp-6, -0x1.6aa2c64d24b0dp-6, -0x1.690c62f458c7bp-6, -0x1.6773f559d346ep-6, -0x1.65d9a0a85dc5bp-6, -0x1.643d86d73b6abp-6, -0x1.629fc8f3204ep-6, -0x1.6100870c348bp-6, -0x1.5f5fe043fe511p-6, -0x1.5dbdf2cde35e3p-6, -0x1.5c1adbef30085p-6, -0x1.5a76b801026ap-6, -0x1.58d1a276253dp-6, -0x1.572bb5e51ea4fp-6, -0x1.55850c0f84ebbp-6, -0x1.53ddbdedad2dp-6, -0x1.5235e3b454ef4p-6, -0x1.508d94d242db4p-6, -0x1.4ee4e7f34ee6cp-6, -0x1.4d3bf30220783p-6, -0x1.4b92cb2abd884p-6, -0x1.49e984dc7cd84p-6, -0x1.484033e3e1884p-6, -0x1.4696eb5d4148p-6, -0x1.44edbdc61e039p-6, -0x1.4344bcfcc84c5p-6, -0x1.419bfa4114e5fp-6, -0x1.3ff38634f579ep-6, -0x1.3e4b70debb057p-6, -0x1.3ca3c9adc9283p-6, -0x1.3afc9f8176c44p-6, -0x1.395600af58bbbp-6, -0x1.37affb08619dp-6, -0x1.360a9be269525p-6, -0x1.3465f0015bd23p-6, -0x1.32c203cd34233p-6, -0x1.311ee31612c98p-6, -0x1.2f7c99318087dp-6, -0x1.2ddb310c221e6p-6, -0x1.2c3ab515e6b51p-6, -0x1.2a9b2f539f74dp-6, -0x1.28fca9615008bp-6, -0x1.275f2c74c4c9cp-6, -0x1.25c2c15f551adp-6, -0x1.2427708ff2787p-6, -0x1.228d420a8a69cp-6, -0x1.20f43d7b0a9c2p-6, -0x1.1f5c6a26b54f1p-6, -0x1.1dc5cef6e87cap-6, -0x1.1c30727c87d44p-6, -0x1.1a9c5af344eecp-6, -0x1.19098e433a425p-6, -0x1.177812038099fp-6, -0x1.15e7eb7c43c64p-6, -0x1.14591fa4c68dep-6, -0x1.12cbb3254e8dbp-6, -0x1.113faa5832706p-6, -0x1.0fb5094bc5cf2p-6, -0x1.0e2bd3c513f44p-6, -0x1.0ca40d42d88b3p-6, -0x1.0b1db9002b9c7p-6, -0x1.0998d9f6a93e2p-6, -0x1.081572dff3e78p-6, -0x1.06938636b5fd2p-6, -0x1.051316375db3ep-6, -0x1.039424e0bb64ep-6, -0x1.0216b3f50fc51p-6, -0x1.009ac4fb95418p-6, -0x1.fe40b285b07ccp-7, -0x1.fb4ee3c652bep-7, -0x1.f8601f7ca5dd2p-7, -0x1.f574670ff09d9p-7, -0x1.f28bbb828ffcdp-7, -0x1.efa61d71a9ca7p-7, -0x1.ecc38d2821493p-7, -0x1.e9e40a919dc76p-7, -0x1.e707954049538p-7, -0x1.e42e2c6fa420cp-7, -0x1.e157cf077f52bp-7, -0x1.de847b9f96d2p-7, -0x1.dbb430840ae71p-7, -0x1.d8e6ebb46b579p-7, -0x1.d61caaf1e234bp-7, -0x1.d3556bb68ca62p-7, -0x1.d0912b3e19ad1p-7, -0x1.cdcfe686d85c1p-7, -0x1.cb119a53b3e69p-7, -0x1.c856432e0dea3p-7, -0x1.c59ddd67ccca6p-7, -0x1.c2e8651dc41e7p-7, -0x1.c035d63ab6873p-7, -0x1.bd862c7a9841ap-7, -0x1.bad9636ddcfc2p-7, -0x1.b82f767c68c85p-7, -0x1.b58860e859a55p-7, -0x1.b2e41dd098bddp-7, -0x1.b042a8331fa7ap-7, -0x1.ada3faef558efp-7, -0x1.ab0810c7fa631p-7, -0x1.a86ee4645c75cp-7, -0x1.a5d870539ddebp-7, -0x1.a344af0e648b9p-7, -0x1.a0b39af892c29p-7, -0x1.9e252e64f4aadp-7, -0x1.9b996397bdd6cp-7, -0x1.991034c5a545ep-7, -0x1.96899c1e7d672p-7, -0x1.940593c7485b2p-7, -0x1.918415df238ddp-7, -0x1.8f051c819837ap-7, -0x1.8c88a1c85ae91p-7, -0x1.8a0e9fcc8c6c7p-7, -0x1.879710a81dd6bp-7, -0x1.8521ee792dd79p-7, -0x1.82af336164101p-7, -0x1.803ed98926fa7p-7, -0x1.7dd0db21654ffp-7, -0x1.7b6532656ab09p-7, -0x1.78fbd99ca6383p-7, -0x1.7694cb1c440a6p-7, -0x1.74300148b762ep-7, -0x1.71cd769754219p-7, -0x1.6f6d258fdd13dp-7, -0x1.6d0f08cdf780bp-7, -0x1.6ab31b027fbe6p-7, -0x1.685956f4a9b5ap-7, -0x1.6601b782f2f2bp-7, -0x1.63ac37a343049p-7, -0x1.6158d2610fcb5p-7, -0x1.5f0782d9530c6p-7, -0x1.5cb84447ea976p-7, -0x1.5a6b122f43e41p-7, -0x1.581fe7f8c7738p-7, -0x1.55d6c14ad5908p-7, -0x1.538f99b5ed2bbp-7, -0x1.514a6d51bdf71p-7, -0x1.4f07380646aacp-7, -0x1.4cc5f5dc5ad65p-7, -0x1.4a86a3173494ap-7, -0x1.48493c1ef9ee9p-7, -0x1.460dbd7726d0cp-7, -0x1.43d423bfc4eb9p-7, -0x1.419c6bbb4c531p-7, -0x1.3f66924f36b4cp-7, -0x1.3d329485e30fp-7, -0x1.3b006f9149d65p-7, -0x1.38d020cce1a8cp-7, -0x1.36a1a5c18b774p-7, -0x1.3474fc18ccc49p-7, -0x1.324a2155fcb79p-7, -0x1.302113e0671fbp-7, -0x1.2df9d1ccd70afp-7, -0x1.2bd458d7e6236p-7, -0x1.29b0a78c32becp-7, -0x1.278ebc600f2bap-7, -0x1.256e95db3f525p-7, -0x1.235032b252f58p-7, -0x1.213391c5fd841p-7, -0x1.1f18b224a79f1p-7, -0x1.1cff930b9ef42p-7, -0x1.1ae833e3895b1p-7, -0x1.18d2943c61502p-7, -0x1.16beb3c669225p-7, -0x1.14ac924a328a1p-7, -0x1.129c2fa26bb48p-7, -0x1.108d8bb86681bp-7, -0x1.0e80a6847ef96p-7, -0x1.0c758012d1b1fp-7, -0x1.0a6c188b702e5p-7, -0x1.0864703c6712cp-7, -0x1.065e87a3540b3p-7, -0x1.045a5f7415718p-7, -0x1.0257f89ae1f2ep-7, -0x1.0057543a2ef1ep-7, -0x1.fcb0e713b6cdap-8, -0x1.f8b6b00bfb1e8p-8, -0x1.f4c0063a6ccf5p-8, -0x1.f0ccec4152afdp-8, -0x1.ecdd64fd52c92p-8, -0x1.e8f172fe40345p-8, -0x1.e50918c2748f3p-8, -0x1.e12458cddcd36p-8, -0x1.dd4335cf163eep-8, -0x1.d965b2ca86bcfp-8, -0x1.d58bd33e2a01cp-8, -0x1.d1b59b396291ep-8, -0x1.cde30f60bc671p-8, -0x1.ca1434db22883p-8, -0x1.c649112a65858p-8, -0x1.c281a9f4e6aa7p-8, -0x1.bebe04ca1ba2p-8, -0x1.bafe26ec7f76cp-8, -0x1.b742152bb9a48p-8, -0x1.b389d3d6ef6bdp-8, -0x1.afd566cb0f8e4p-8, -0x1.ac24d19c001cp-8, -0x1.a87817d24ca28p-8, -0x1.a4cf3d32a0dcap-8, -0x1.a12a4601e8e34p-8, -0x1.9d8937398aacdp-8, -0x1.99ec16a0d8826p-8, -0x1.9652eac593071p-8, -0x1.92bdbad43e2a4p-8, -0x1.8f2c8e4bbdf65p-8, -0x1.8b9f6cbbb59acp-8, -0x1.88165d4e9d33dp-8, -0x1.849166940c4cep-8, -0x1.81108e41e154fp-8, -0x1.7d93d9251a9c6p-8, -0x1.7a1b4b35be281p-8, -0x1.76a6e7ccd4b4ap-8, -0x1.7336b1f0e48cep-8, -0x1.6fcaacb70f18ap-8, -0x1.6c62dbc57e8ccp-8, -0x1.68ff43c7c853cp-8, -0x1.659fea25764d6p-8, -0x1.6244d4dc9de73p-8, -0x1.5eee0b4446db9p-8, -0x1.5b9b958aa7847p-8, -0x1.584d7b7d8cd19p-8, -0x1.5503c4cb4b0a1p-8, -0x1.51be78e2ecc22p-8, -0x1.4e7d9e45fdad8p-8, -0x1.4b413a4962233p-8, -0x1.480951152f257p-8, -0x1.44d5e5c2505a8p-8, -0x1.41a6fa97105fbp-8, -0x1.3e7c915dc91e3p-8, -0x1.3b56abc8dc9f9p-8, -0x1.38354bd7bdca4p-8, -0x1.3518743597278p-8, -0x1.32002841bf6e4p-8, -0x1.2eec6c8e55a33p-8, -0x1.2bdd465a5d9b7p-8, -0x1.28d2bbc090e8dp-8, -0x1.25ccd341a62b8p-8, -0x1.22cb9384a059ap-8, -0x1.1fcf02fa93807p-8, -0x1.1cd7278d83023p-8, -0x1.19e4065c214f1p-8, -0x1.16f5a389e387p-8, -0x1.140c0227b30cep-8, -0x1.1127243827cbep-8, -0x1.0e470acf40c5p-8, -0x1.0b6bb64a8c1cep-8, -0x1.0895269a95b1fp-8, -0x1.05c35b940024dp-8, -0x1.02f6553d07b3fp-8, -0x1.002e140d817c8p-8, -0x1.fad532351854ap-9, -0x1.f557cc56e88d6p-9, -0x1.efe3fb72c5beep-9, -0x1.ea79c5bb99ee1p-9, -0x1.e5193266fc9dcp-9, -0x1.dfc2495999239p-9, -0x1.da7512bf245e4p-9, -0x1.d531968d6202dp-9, -0x1.cff7dbf55df6p-9, -0x1.cac7e8cc66957p-9, -0x1.c5a1c0ffab1e1p-9, -0x1.c085662b0ca6ep-9, -0x1.bb72d76b5461fp-9, -0x1.b66a117c47144p-9, -0x1.b16b0f23bb9fp-9, -0x1.ac75c9da4ff4bp-9, -0x1.a78a3a94eef53p-9, -0x1.a2a85a8d9ad37p-9, -0x1.9dd023ee87a85p-9, -0x1.9901924e77f46p-9, -0x1.943ca2faba343p-9, -0x1.8f81551926646p-9, -0x1.8acfa9a9f4a22p-9, -0x1.8627a35ee2afp-9, -0x1.81894668f369p-9, -0x1.7cf498062e298p-9, -0x1.78699dd89dd0ep-9, -0x1.73e85d00d4717p-9, -0x1.6f70d9074cfd4p-9, -0x1.6b0312bf66342p-9, -0x1.669f075ce8f9bp-9, -0x1.6244aff271b14p-9, -0x1.5df40187dca44p-9, -0x1.59acedd37135fp-9, -0x1.556f647972e67p-9, -0x1.513b54944ef1fp-9, -0x1.4d10ae36f3dd9p-9, -0x1.48ef63a23eb7cp-9, -0x1.44d76a01878cbp-9, -0x1.40c8b9a756c26p-9, -0x1.3cc34de503a53p-9, -0x1.38c724a95cdd5p-9, -0x1.34d43e1112196p-9, -0x1.30ea9c00508b3p-9, -0x1.2d0a41c0ea72ap-9, -0x1.29333387c328bp-9, -0x1.256575ba236d7p-9, -0x1.21a10bd6ec5bep-9, -0x1.1de5f708ba0dcp-9, -0x1.1a343491dbaf6p-9, -0x1.168bbc6aa571bp-9, -0x1.12ec807a2071dp-9, -0x1.0f566cbd9d921p-9, -0x1.0bc9687d29e72p-9, -0x1.08455861ada23p-9, -0x1.04ca20feb3e57p-9, -0x1.0157a93f93cd4p-9, -0x1.fbdbb865516dbp-10, -0x1.f51953c548afep-10, -0x1.ee680e6ef765ap-10, -0x1.e7c7da3d67c7fp-10, -0x1.e138af13a1dbfp-10, -0x1.daba8649da428p-10, -0x1.d44d60e78b64fp-10, -0x1.cdf138924e59fp-10, -0x1.c7a6104bff67fp-10, -0x1.c16be9150d473p-10, -0x1.bb42c5c7aae0ap-10, -0x1.b52aa8f810ebap-10, -0x1.af23921381c1cp-10, -0x1.a92d79af864e7p-10, -0x1.a3484dd857544p-10, -0x1.9d73ef7fe81fbp-10, -0x1.97b0320f9c56dp-10, -0x1.91fcdd9a44964p-10, -0x1.8c59b36228e5ap-10, -0x1.86c673be0459fp-10, -0x1.8142e3b892239p-10, -0x1.7bced13951ec3p-10, -0x1.766a14ab6eff5p-10, -0x1.711490415fbe7p-10, -0x1.6bce2d139082dp-10, -0x1.6696d875c8114p-10, -0x1.616e817a29e3cp-10, -0x1.5c551722a7e41p-10, -0x1.574a88bbf3c74p-10, -0x1.524ec69795019p-10, -0x1.4d61c33996c06p-10, -0x1.4883740bfd22bp-10, -0x1.43b3d143aa4d7p-10, -0x1.3ef2d4b7e581ap-10, -0x1.3a4077c2c3021p-10, -0x1.359cb0857c8aap-10, -0x1.31076f1e65d56p-10, -0x1.2c809b76147p-10, -0x1.2808143f661b7p-10, -0x1.239daf93b7a2ap-10, -0x1.1f413d3bbde5ap-10, -0x1.1af28a3df663fp-10, -0x1.16b164d5ea796p-10, -0x1.127d9fb43f3e9p-10, -0x1.0e571388fc35fp-10, -0x1.0a3d9e70c4a34p-10, -0x1.063121b97ba3p-10, -0x1.02317f301270fp-10, -0x1.fc7d2eba50cc6p-11, -0x1.f4b0932eade22p-11, -0x1.ecfcebb6c5d9dp-11, -0x1.e561fed515d9ap-11, -0x1.dddf9d8f28962p-11, -0x1.d675a3f2f3a86p-11, -0x1.cf23f59e57e7dp-11, -0x1.c7ea7799eb231p-11, -0x1.c0c909ffdd20cp-11, -0x1.b9bf83eb904aap-11, -0x1.b2cdb3136fec6p-11, -0x1.abf35ec0cb0dfp-11, -0x1.a5304c6064482p-11, -0x1.9e84435314adap-11, -0x1.97ef0e4378edcp-11, -0x1.917079bc41934p-11, -0x1.8b08514368b69p-11, -0x1.84b65cf56b08bp-11, -0x1.7e7a6116955fep-11, -0x1.78541f9ad5c9ep-11, -0x1.72435a2aa256bp-11, -0x1.6c47d2af7eb8dp-11, -0x1.6661496e9f891p-11, -0x1.608f79b32f163p-11, -0x1.5ad217c09b41ap-11, -0x1.5528d2e78143dp-11, -0x1.4f935ca56207ep-11, -0x1.4a11729b35cecp-11, -0x1.44a2e6bdaf08ep-11, -0x1.3f47a11b21101p-11, -0x1.39ff992c81022p-11, -0x1.34cac8903fabbp-11, -0x1.2fa91c2eab8dbp-11, -0x1.2a9a6995531e5p-11, -0x1.259e6cafd9288p-11, -0x1.20b4ce955f57dp-11, -0x1.1bdd326fc0ef7p-11, -0x1.17174360ada0bp-11, -0x1.1262be49174ebp-11, -0x1.0dbf747806eaap-11, -0x1.092d475481dcp-11, -0x1.04ac1f9b2da7dp-11, -0x1.003be3dbac99fp-11, -0x1.f7b8e2fd1b142p-12, -0x1.ef1b347c477b2p-12, -0x1.e69e4c7a6929fp-12, -0x1.de41b1c1a07efp-12, -0x1.d604eb34c88e2p-12, -0x1.cde7844aa91d4p-12, -0x1.c5e90a11dffe9p-12, -0x1.be0904e9a499fp-12, -0x1.b646f62b65967p-12, -0x1.aea25fc7dac2cp-12, -0x1.a71ad562cb8d4p-12, -0x1.9fb00e87288adp-12, -0x1.9861ee16ca4cdp-12, -0x1.913077779adf5p-12, -0x1.8a1bb3e3bef08p-12, -0x1.8323931a3e744p-12, -0x1.7c47d507f6496p-12, -0x1.7588053f43671p-12, -0x1.6ee388978c377p-12, -0x1.6859b59534846p-12, -0x1.61e9ecb00c3bfp-12, -0x1.5b93a7a156938p-12, -0x1.55567cfce433ep-12, -0x1.4f321b51810d1p-12, -0x1.4926412273747p-12, -0x1.4332b50421e76p-12, -0x1.3d573e2869b5p-12, -0x1.37939ce23844bp-12, -0x1.31e78449f1414p-12, -0x1.2c529844bfc7fp-12, -0x1.26d46f510cf9fp-12, -0x1.216c9e96fbef8p-12, -0x1.1c1ac4245a998p-12, -0x1.16de8d994c9f7p-12, -0x1.11b7b99ebb57p-12, -0x1.0ca6105abd482p-12, -0x1.07a959ad7804bp-12, -0x1.02c1579ec627cp-12, -0x1.fbdb92ac981dep-13, -0x1.f25ce94b60effp-13, -0x1.e9065c2fc95cap-13, -0x1.dfd7ae25dc96fp-13, -0x1.d6d0a58c4229bp-13, -0x1.cdf0d724f779ep-13, -0x1.c537d0c13ffa7p-13, -0x1.bca4c98b5fd77p-13, -0x1.b4370cb5b8ba9p-13, -0x1.abedee28cf526p-13, -0x1.a3c8dc4a7bf6ep-13, -0x1.9bc75330e2085p-13, -0x1.93e8b44a29cfbp-13, -0x1.8c2c6d8fdcc8bp-13, -0x1.8491cf388d7a3p-13, -0x1.7d1804f281325p-13, -0x1.75bea43d1b16dp-13, -0x1.6e84ff89c0ae8p-13, -0x1.676abf3f89b2ep-13, -0x1.606f70704fb95p-13, -0x1.5992a170bab0dp-13, -0x1.52d3d315d3291p-13, -0x1.4c3277676c2a6p-13, -0x1.45adf9b59e749p-13, -0x1.3f45cf052592dp-13, -0x1.38f9892aa395bp-13, -0x1.32c8e387edaf7p-13, -0x1.2cb3c101361fap-13, -0x1.26ba18458ce7bp-13, -0x1.20dbd4ac6bd16p-13, -0x1.1b18bac0c5b47p-13, -0x1.157060920114ap-13, -0x1.0fe23da3f4c29p-13, -0x1.0a6dc38811407p-13, -0x1.0512695e9f7ffp-13, -0x1.ff9f4f7f6ae2fp-14, -0x1.f549ebdcc0146p-14, -0x1.eb23b16feb676p-14, -0x1.e12bf4fb76a6fp-14, -0x1.d762646a2632dp-14, -0x1.cdc6d6aa01b9dp-14, -0x1.c458fa1036fb8p-14, -0x1.bb181d42a601cp-14, -0x1.b20337e58fb7ap-14, -0x1.a919232b2873cp-14, -0x1.a058d100bf309p-14, -0x1.97c15edcb165p-14, -0x1.8f52096a1aa12p-14, -0x1.870a1b78b2355p-14, -0x1.7ee8e7111c29cp-14, -0x1.76edc4d19cd9ap-14, -0x1.6f18115382b26p-14, -0x1.6767271bbb1e2p-14, -0x1.5fda59c1018f6p-14, -0x1.5870f7ab1892ap-14, -0x1.512a545caafa4p-14, -0x1.4a05d86115e81p-14, -0x1.43031061b6cdcp-14, -0x1.3c21b47b4db4bp-14, -0x1.3561a3769ef14p-14, -0x1.2ec2d080e2a5bp-14, -0x1.28452498bb912p-14, -0x1.21e859f2965dap-14, -0x1.1babe1055d00cp-14, -0x1.158ee35607025p-14, -0x1.0f9067680fc77p-14, -0x1.09af79ec1f8a7p-14, -0x1.03eb3a8dbc996p-14, -0x1.fc85a888bce8bp-15, -0x1.f16b1b5138122p-15, -0x1.e685f485d448dp-15, -0x1.dbd621c61880fp-15, -0x1.d15be95b55fe5p-15, -0x1.c7172e418444p-15, -0x1.bd070ffe3bdd7p-15, -0x1.b32a2e3b5e697p-15, -0x1.a97f3ab00222ap-15, -0x1.a0054c40ed4d3p-15, -0x1.96bbbcf5efe7ap-15, -0x1.8da1d959e692cp-15, -0x1.84b6b7e0de4eep-15, -0x1.7bf941be236p-15, -0x1.736849b5408a3p-15, -0x1.6b029e105670ap-15, -0x1.62c71a962c565p-15, -0x1.5ab4c06c78126p-15, -0x1.52cad070e2d62p-15, -0x1.4b08c412bcde6p-15, -0x1.436e469326d46p-15, -0x1.3bfaff0a70f16p-15, -0x1.34ae63f9dcb17p-15, -0x1.2d87bcf12b529p-15, -0x1.268642eeeca9dp-15, -0x1.1fa9519d1c5abp-15, -0x1.18f0827317727p-15, -0x1.125ba02d998f4p-15, -0x1.0bea7b95c20dep-15, -0x1.059cb4c31f878p-15, -0x1.fee31a520cb97p-16, -0x1.f2cfbc77affbbp-16, -0x1.e6fc94c0885e5p-16, -0x1.db6722133f883p-16, -0x1.d00d8a9bf7494p-16, -0x1.c4ee899e5b943p-16, -0x1.ba0934de8802dp-16, -0x1.af5d1657e4f2ep-16, -0x1.a4ea415e6656ap-16, -0x1.9ab0c17406176p-16, -0x1.90afd00581e78p-16, -0x1.86e5cdb7fc3bfp-16, -0x1.7d5125815d664p-16, -0x1.73f0fefacd661p-16, -0x1.6ac4f509a855p-16, -0x1.61cc6223e92d1p-16, -0x1.590629dba17fap-16, -0x1.5070f4db77788p-16, -0x1.480b6899ca4d5p-16, -0x1.3fd4378f9e769p-16, -0x1.37ca23f87323bp-16, -0x1.2fec0755a0be2p-16, -0x1.283902b5ed77bp-16, -0x1.20aff3f792a8p-16, -0x1.19500ceb353c4p-16, -0x1.1218f393ab0d8p-16, -0x1.0b09f93b6338ap-16, -0x1.0422b6574c8dbp-16, -0x1.fac58428e8445p-17, -0x1.ed9319ad4cfa8p-17, -0x1.e0acb03c77297p-17, -0x1.d4109cc7bde36p-17, -0x1.c7bd2e5105cebp-17, -0x1.bbb0b29270d33p-17, -0x1.afe981fe45dbep-17, -0x1.a46623e0bb68ap-17, -0x1.992561271a86ep-17, -0x1.8e261d2ecfd9bp-17, -0x1.836700f06a5fp-17, -0x1.78e647068860dp-17, -0x1.6ea1fca953f8p-17, -0x1.6498a10953e2ap-17, -0x1.5ac98702b7c3dp-17, -0x1.51345da375012p-17, -0x1.47d8442e4dc8ep-17, -0x1.3eb3d09d536c3p-17, -0x1.35c5ea8ff5719p-17, -0x1.2d0d968ca3e99p-17, -0x1.24893dd643003p-17, -0x1.1c3759844f142p-17, -0x1.1417544fa2e8cp-17, -0x1.0c28e4aa59ea6p-17, -0x1.046b39cb6d484p-17, -0x1.f9ba5518e0a0bp-18, -0x1.eafb1c84ea979p-18, -0x1.dc96704831499p-18, -0x1.ce89ad2d7b2d6p-18, -0x1.c0d1ea2cf48b3p-18, -0x1.b36c6448963b9p-18, -0x1.a65722f603729p-18, -0x1.9991384b7fdf9p-18, -0x1.8d1a25774dae2p-18, -0x1.80f0e8e6fae9bp-18, -0x1.7512f8f7333f8p-18, -0x1.69814cc4b5d4ep-18, -0x1.5e35fa498d86fp-18, -0x1.533292ecfbb27p-18, -0x1.4874d488e425ep-18, -0x1.3dfb2735aab1bp-18, -0x1.33c40336632bdp-18, -0x1.29cdfb36d1c74p-18, -0x1.2017a98a44567p-18, -0x1.169fa0b10bf32p-18, -0x1.0d646b25a0c37p-18, -0x1.046498487133cp-18, -0x1.f73da6d33965cp-19, -0x1.e623e410addd3p-19, -0x1.d579d31289d43p-19, -0x1.c53d6a25b270ep-19, -0x1.b56c438b01fa8p-19, -0x1.a60399f7665c7p-19, -0x1.9700e4bdb88c7p-19, -0x1.8861dc2fd835cp-19, -0x1.7a25fc7020bdbp-19, -0x1.6c4b8c9b41597p-19, -0x1.5ecf1467b3f4ap-19, -0x1.51acb6086a9b4p-19, -0x1.44e2425ab9b36p-19, -0x1.386e012ad4aep-19, -0x1.2c4ecc9eb0887p-19, -0x1.208451f969d3ap-19, -0x1.150cf148fdd18p-19, -0x1.09e5a515f0ab9p-19, -0x1.fe16aa4bc4f97p-20, -0x1.e8f6cfe393167p-20, -0x1.d46855eb0ef9ap-20, -0x1.c069cb0f459eep-20, -0x1.acf9948e48c37p-20, -0x1.9a14112c5b0a4p-20, -0x1.87b4fdd549924p-20, -0x1.75d963b72a1afp-20, -0x1.647ec27202d05p-20, -0x1.53a1ddac02c58p-20, -0x1.433f37cc1bfd9p-20, -0x1.3353b8d808af5p-20, -0x1.23dca2fc81695p-20, -0x1.14d76cc1cf06ep-20, -0x1.064195a79f132p-20, -0x1.f0314667605e4p-21, }}, 
      {{-0x1.46ec7c22d3634p-1, -0x1.3662fa1a7b3cfp-1, -0x1.1d0b39fb4a671p-1, -0x1.fa80245ca473ep-2, -0x1.b2af043556ed3p-2, -0x1.66d27f9289585p-2, -0x1.1a6b1126df2fcp-2, -0x1.a07b673de4f3fp-3, -0x1.14b8992b26686p-3, -0x1.28e3b2b51cf4fp-4, -0x1.0bd6a1dee0ee4p-6, 0x1.0cdee7f4d8965p-5, 0x1.32c47c96eaae6p-4, 0x1.c290a0ada1ffp-4, 0x1.1b91542d04653p-3, 0x1.492a890f0e45ep-3, 0x1.6b2ea6390a7eep-3, 0x1.82d23b44b2815p-3, 0x1.91543e7036b11p-3, 0x1.97f238eb54d86p-3, 0x1.97df8978e3a7bp-3, 0x1.923f3a28bfcc7p-3, 0x1.881fed858abb2p-3, 0x1.7a797395afd63p-3, 0x1.6a2ba5d8541e6p-3, 0x1.57fe38690f64ap-3, 0x1.44a13cd937db5p-3, 0x1.30ae2061acc14p-3, 0x1.1ca8fab520f0ep-3, 0x1.09020cc80b71ep-3, 0x1.ec2eae622781bp-4, 0x1.c86c6d087a9f5p-4, 0x1.a739f29ac8dcap-4, 0x1.88f8cec4006ddp-4, 0x1.6df26aafea06ep-4, 0x1.565ac2b05dbd4p-4, 0x1.4252f05cbb202p-4, 0x1.31eb853f37d74p-4, 0x1.2526b76cf850cp-4, 0x1.1bfa6202c114ap-4, 0x1.1651dba3f795ap-4, 0x1.140fa513a961ep-4, 0x1.150ef1de918b3p-4, 0x1.19250cf002fc7p-4, 0x1.20229ae15e091p-4, 0x1.29d4bbc1a92c8p-4, 0x1.36060dfe18d39p-4, 0x1.447f93fc603a3p-4, 0x1.55097e52e71eep-4, 0x1.676bdc5b715fdp-4, 0x1.7b6f34d546a3fp-4, 0x1.90dd07d09ae0ap-4, 0x1.a7803c045b079p-4, 0x1.bf2578d5ff12ap-4, 0x1.d79b712100b4ap-4, 0x1.f0b31c1f95fbbp-4, 0x1.051ff151abf3cp-3, 0x1.120bddf764fcfp-3, 0x1.1f09a1488a902p-3, 0x1.2c06e0ab6fa94p-3, 0x1.38f299759fe97p-3, 0x1.45bd21df303e2p-3, 0x1.52581f42b2382p-3, 0x1.5eb681994b29cp-3, 0x1.6acc76c5d8bf1p-3, 0x1.768f61ce75ep-3, 0x1.81f5cd6afa186p-3, 0x1.8cf7600f3305bp-3, 0x1.978ccc6556e26p-3, 0x1.a1afc3a77500dp-3, 0x1.ab5ae61cebc18p-3, 0x1.b489b53221a57p-3, 0x1.bd38854a05cd7p-3, 0x1.c564703fdb77bp-3, 0x1.cd0b47e479c47p-3, 0x1.d42b88bcf73d1p-3, 0x1.dac44ce71843bp-3, 0x1.e0d53f49a4147p-3, 0x1.e65e8f395897fp-3, 0x1.eb60e49d39dp-3, 0x1.efdd549f40d21p-3, 0x1.f3d556eeefdap-3, 0x1.f74abb8648037p-3, 0x1.fa3fa0f5cc0f2p-3, 0x1.fcb66b2e745afp-3, 0x1.feb1bac94f709p-3, 0x1.001a326c36201p-2, 0x1.00a0b59bc05aep-2, 0x1.00edfabdbbcc8p-2, 0x1.0103a52f6c65p-2, 0x1.00e364e347e28p-2, 0x1.008ef3a787998p-2, 0x1.000812abc1cb1p-2, 0x1.fea110872c12bp-3, 0x1.fcd43bc0ba108p-3, 0x1.faad3c80c25ecp-3, 0x1.f82fa78d0e959p-3, 0x1.f55f0dfd7bb9bp-3, 0x1.f23efab6ee8b2p-3, 0x1.eed2efe8443d9p-3, 0x1.eb1e65216adcfp-3, 0x1.e724c5683446p-3, 0x1.e2e96db65de05p-3, 0x1.de6fab885f7adp-3, 0x1.d9babbe050a2cp-3, 0x1.d4cdca23d39f9p-3, 0x1.cfabef620e85cp-3, 0x1.ca5831aae3ecdp-3, 0x1.c4d5838cfd78fp-3, 0x1.bf26c38cb5342p-3, 0x1.b94ebc18a474bp-3, 0x1.b350230f1c1e3p-3, 0x1.ad2d99cca9dbdp-3, 0x1.a6e9ad0c22e17p-3, 0x1.a086d4f6f6108p-3, 0x1.9a077544dc9b2p-3, 0x1.936ddd4771d15p-3, 0x1.8cbc484fb9d2cp-3, 0x1.85f4dda96e412p-3, 0x1.7f19b11570e2bp-3, 0x1.782cc30b0fd02p-3, 0x1.71300103253bbp-3, 0x1.6a2545c856b7cp-3, 0x1.630e5a000ed69p-3, 0x1.5becf44dad3ebp-3, 0x1.54c2b9e17acfdp-3, 0x1.4d913ecc444a7p-3, 0x1.465a065eebc38p-3, 0x1.3f1e839a5eb65p-3, 0x1.37e019a236a9fp-3, 0x1.30a01c04adf8p-3, 0x1.295fcf4b52c9ep-3, 0x1.2220694b61a31p-3, 0x1.1ae3118ca4012p-3, 0x1.13a8e1d420e85p-3, 0x1.0c72e662bae35p-3, 0x1.05421e6f8f4cbp-3, 0x1.fc2ef95baecefp-4, 0x1.ede7cf060aad3p-4, 0x1.dfb0730322b31p-4, 0x1.d18a839821b3ap-4, 0x1.c377890fd3126p-4, 0x1.b578f6451e88dp-4, 0x1.a790294d64f0bp-4, 0x1.99be6c9207eefp-4, 0x1.8c04f740f4526p-4, 0x1.7e64edc801547p-4, 0x1.70df62f31d256p-4, 0x1.6375586d71eadp-4, 0x1.5627bef94f74cp-4, 0x1.48f7779634829p-4, 0x1.3be553feeb97p-4, 0x1.2ef2170cb77bdp-4, 0x1.221e754b92008p-4, 0x1.156b1592c231ap-4, 0x1.08d891dba29d3p-4, 0x1.f8ceee97e0a75p-5, 0x1.e0308d7796fc3p-5, 0x1.c7d6eb4f37059p-5, 0x1.afc2dcb797d6cp-5, 0x1.97f520b366005p-5, 0x1.806e6162e96ccp-5, 0x1.692f358fac09ap-5, 0x1.5238218cae0b5p-5, 0x1.3b89973d2cde3p-5, 0x1.2523f6ff7ccc7p-5, 0x1.0f0790eddb2b1p-5, 0x1.f2694ba7d3053p-6, 0x1.c756cebc14e42p-6, 0x1.9cd7f0d49bc76p-6, 0x1.72ecdc4689b7fp-6, 0x1.4995a2ef42d6ep-6, 0x1.20d23d903d68bp-6, 0x1.f1451a5cd3e16p-7, 0x1.a20cb7d4a6a44p-7, 0x1.53fabdf997621p-7, 0x1.070e723747cafp-7, 0x1.768de725ff7d6p-8, 0x1.c28ceb8fcc31cp-9, 0x1.3910fa2bd3a4bp-10, -0x1.09ed2b041cbb6p-10, -0x1.a1f5d668af2c3p-9, -0x1.5d3da27c76627p-8, -0x1.e746a8a13e549p-8, -0x1.378cb244c9e24p-7, -0x1.7a5cb30f5c55p-7, -0x1.bc1532f63767ap-7, -0x1.fcb823d16f041p-7, -0x1.1e23c52a8f7ddp-6, -0x1.3d62bd9e76468p-6, -0x1.5c1a0c47c9acbp-6, -0x1.7a4ac8fec77ddp-6, -0x1.97f6129fe9588p-6, -0x1.b51d0e0ec2194p-6, -0x1.d1c0e50a685dap-6, -0x1.ede2c54619252p-6, -0x1.04c1f0429b6fdp-5, -0x1.1252b62ed1901p-5, -0x1.1fa450d7e24d1p-5, -0x1.2cb75dc868713p-5, -0x1.398c7b95411cp-5, -0x1.462449c11b686p-5, -0x1.527f68918dc07p-5, -0x1.5e9e78b05e346p-5, -0x1.6a821ae524143p-5, -0x1.762af029f67afp-5, -0x1.819999a8eca85p-5, -0x1.8cceb89c94f24p-5, -0x1.97caedc792434p-5, -0x1.a28ed9208beedp-5, -0x1.ad1b19f2acafbp-5, -0x1.b7704f2f0e3bp-5, -0x1.c18f178147c69p-5, -0x1.cb7810d7618b2p-5, -0x1.d52bd7b503957p-5, -0x1.deab071996515p-5, -0x1.e7f638e4c20dcp-5, -0x1.f10e065f6d02ep-5, -0x1.f9f30837a21f3p-5, -0x1.0152eaef11037p-4, -0x1.05938268ecf8dp-4, -0x1.09bb94440758dp-4, -0x1.0dcb69866afcep-4, -0x1.11c34ad716fdep-4, -0x1.15a38085688c4p-4, -0x1.196c52365d111p-4, -0x1.1d1e067a482b6p-4, -0x1.20b8e2b26be41p-4, -0x1.243d2b5dc9937p-4, -0x1.27ab24886e899p-4, -0x1.2b0311f53f722p-4, -0x1.2e4536de981d2p-4, -0x1.3171d584f9cddp-4, -0x1.34892ee733d48p-4, -0x1.378b82ef712bap-4, -0x1.3a7910e5f8407p-4, -0x1.3d5217cd9cd68p-4, -0x1.4016d6614d0b2p-4, -0x1.42c78ab0a5a9ep-4, -0x1.456471b67955bp-4, -0x1.47edc73328312p-4, -0x1.4a63c5fb805b7p-4, -0x1.4cc6a86fd4242p-4, -0x1.4f16a8c9017a2p-4, -0x1.51540101cbe33p-4, -0x1.537eea6e80fdcp-4, -0x1.55979d5ad89ecp-4, -0x1.579e50f1f952bp-4, -0x1.59933b88ab87p-4, -0x1.5b76931288cabp-4, -0x1.5d488d6f5aabep-4, -0x1.5f09605df0c26p-4, -0x1.60b94122d15a5p-4, -0x1.625864243ca5fp-4, -0x1.63e6fcc2711d4p-4, -0x1.65653d88a49p-4, -0x1.66d35894f69ep-4, -0x1.68317ff4728a6p-4, -0x1.697fe5b604eabp-4, -0x1.6abebbb1ce253p-4, -0x1.6bee332b8c859p-4, -0x1.6d0e7c8c5e8fap-4, -0x1.6e1fc763eef1bp-4, -0x1.6f2242aef592dp-4, -0x1.70161d37082e8p-4, -0x1.70fb85d0718a1p-4, -0x1.71d2ab578e17bp-4, -0x1.729bbc7273463p-4, -0x1.7356e73e6587fp-4, -0x1.7404591b22698p-4, -0x1.74a43eb38307p-4, -0x1.7536c43d5498ap-4, -0x1.75bc15ca0417p-4, -0x1.76345f7b61563p-4, -0x1.769fcd8427897p-4, -0x1.76fe8bf7eb004p-4, -0x1.7750c684ec2f8p-4, -0x1.7796a83f7fb05p-4, -0x1.77d05b9c49bd2p-4, -0x1.77fe0a9b6940ep-4, -0x1.781fdf08cda4fp-4, -0x1.783602b492b24p-4, -0x1.78409f8479e8cp-4, -0x1.783fdf5d0ea1dp-4, -0x1.7833ebed9bda7p-4, -0x1.781cee79275e6p-4, -0x1.77fb0fb8cc28fp-4, -0x1.77ce77e6634bap-4, -0x1.77974ee7c0c1cp-4, -0x1.7755bc82c2c09p-4, -0x1.7709e88243194p-4, -0x1.76b3fabd7e13ep-4, -0x1.76541b02e3d19p-4, -0x1.75ea70ec0cc37p-4, -0x1.757723b3a3823p-4, -0x1.74fa5a1ccc359p-4, -0x1.74743a7a30d59p-4, -0x1.73e4eacea249bp-4, -0x1.734c90f4b6d52p-4, -0x1.72ab52bcedd8ap-4, -0x1.720155f86e894p-4, -0x1.714ec06e0145cp-4, -0x1.7093b7bd4693p-4, -0x1.6fd0613c171c1p-4, -0x1.6f04e1da4007cp-4, -0x1.6e315e1d37a2ap-4, -0x1.6d55fa3019d77p-4, -0x1.6c72da0034dbap-4, -0x1.6b882157e86edp-4, -0x1.6a95f3ef2c999p-4, -0x1.699c756e20cf6p-4, -0x1.689bc9617205p-4, -0x1.67941323d69c3p-4, -0x1.668575c39b27ep-4, -0x1.657013efc0cb6p-4, -0x1.64540ff50c484p-4, -0x1.63318bcb0e5a2p-4, -0x1.6208a928c9fdp-4, -0x1.60d9899764cc8p-4, -0x1.5fa44e7dbefe3p-4, -0x1.5e691923aa2aap-4, -0x1.5d280aac6d457p-4, -0x1.5be14408f4686p-4, -0x1.5a94e5e4e7cf4p-4, -0x1.59431095c727ap-4, -0x1.57ebe41370f18p-4, -0x1.568f7ffd1ce07p-4, -0x1.552e03a6ab765p-4, -0x1.53c78e271ddf8p-4, -0x1.525c3e6241585p-4, -0x1.50ec330e53d89p-4, -0x1.4f778ab4a8634p-4, -0x1.4dfe63ac7c44cp-4, -0x1.4c80dc119ff1cp-4, -0x1.4aff11b704c3cp-4, -0x1.4979221aebd25p-4, -0x1.47ef2a62083ecp-4, -0x1.4661475b74b0ep-4, -0x1.44cf958a591b5p-4, -0x1.433a312f85f18p-4, -0x1.41a13650668cap-4, -0x1.4004c0b9ec7ccp-4, -0x1.3e64ec01d4a32p-4, -0x1.3cc1d3854d555p-4, -0x1.3b1b926448ddap-4, -0x1.3972437968a33p-4, -0x1.37c60150d0f5fp-4, -0x1.3616e621e3f22p-4, -0x1.34650bcef4182p-4, -0x1.32b08bea8aad3p-4, -0x1.30f97fbeb67c1p-4, -0x1.2f400052ca5cbp-4, -0x1.2d84266e7209fp-4, -0x1.2bc60a9b0efbdp-4, -0x1.2a05c5245174bp-4, -0x1.28436e17d32ccp-4, -0x1.267f1d4294da8p-4, -0x1.24b8ea2bfbba4p-4, -0x1.22f0ec0f8cf8ep-4, -0x1.212739d84a0dbp-4, -0x1.1f5bea201076fp-4, -0x1.1d8f13330739p-4, -0x1.1bc0cb14d5f0cp-4, -0x1.19f1278508167p-4, -0x1.18203e00ef8b4p-4, -0x1.164e23c4bfa86p-4, -0x1.147aedcbfcf4ep-4, -0x1.12a6b0d20224bp-4, -0x1.10d18151dce9cp-4, -0x1.0efb738488c7p-4, -0x1.0d249b5d6f454p-4, -0x1.0b4d0c8646d5cp-4, -0x1.0974da5c9fd5fp-4, -0x1.079c17f23f834p-4, -0x1.05c2d81025af1p-4, -0x1.03e92d3a51ad7p-4, -0x1.020f29b27e805p-4, -0x1.0034df7960074p-4, -0x1.fcb4c09dec6b5p-5, -0x1.f8ff7b65d6bc2p-5, -0x1.f54a11ca986b2p-5, -0x1.f194a5cde6482p-5, -0x1.eddf58f269c21p-5, -0x1.ea2a4c3860c65p-5, -0x1.e675a018705b6p-5, -0x1.e2c1747f42997p-5, -0x1.df0de8cc7f228p-5, -0x1.db5b1bd5dee94p-5, -0x1.d7a92becd67e3p-5, -0x1.d3f836e3c861bp-5, -0x1.d0485a11213cdp-5, -0x1.cc99b24e29ff9p-5, -0x1.c8ec5bfae7ba2p-5, -0x1.c54072fb737f4p-5, -0x1.c19612ba7b19cp-5, -0x1.bded562a3486p-5, -0x1.ba4657c4e567ep-5, -0x1.b6a1318b7ac1p-5, -0x1.b2fdfd02d915ep-5, -0x1.af5cd33180aa7p-5, -0x1.abbdcc9ecbfe8p-5, -0x1.a82101551ff05p-5, -0x1.a48688e5afc9bp-5, -0x1.a0ee7a6c01448p-5, -0x1.9d58ec9013e13p-5, -0x1.99c5f586fcc4ap-5, -0x1.9635ab1321208p-5, -0x1.92a822858ce4cp-5, -0x1.8f1d70bb5ceefp-5, -0x1.8b95aa23ea1c9p-5, -0x1.8810e2c2e1816p-5, -0x1.848f2e2d38b79p-5, -0x1.81109f8c1f2cp-5, -0x1.7d95499af3471p-5, -0x1.7a1d3ea512fe9p-5, -0x1.76a89085112bcp-5, -0x1.733750a59dc34p-5, -0x1.6fc99003c0dfcp-5, -0x1.6c5f5f31b6f1ep-5, -0x1.68f8ce5947969p-5, -0x1.6595ed3dbcba3p-5, -0x1.6236cb3d9f538p-5, -0x1.5edb77544444dp-5, -0x1.5b84001b3aa1p-5, -0x1.583073cb5fddep-5, -0x1.54e0e03d560c8p-5, -0x1.519552e92534p-5, -0x1.4e4dd8e4fc31bp-5, -0x1.4b0a7ee3599b7p-5, -0x1.47cb5131869b5p-5, -0x1.44905bb775836p-5, -0x1.4159a9f9e4911p-5, -0x1.3e27471e0d929p-5, -0x1.3af93df0fc651p-5, -0x1.37cf98eae649dp-5, -0x1.34aa6232b76a3p-5, -0x1.3189a3a137826p-5, -0x1.2e6d66bdca794p-5, -0x1.2b55b4bbb9221p-5, -0x1.284296757dee5p-5, -0x1.2534146832b22p-5, -0x1.222a36b05358ep-5, -0x1.1f2505091feaap-5, -0x1.1c2486cf17fa1p-5, -0x1.1928c3057a5efp-5, -0x1.1631c05e40038p-5, -0x1.133f8543af8abp-5, -0x1.105217e123214p-5, -0x1.0d697e2a68d65p-5, -0x1.0a85bddf45eb6p-5, -0x1.07a6dc89db864p-5, -0x1.04ccdf7795829p-5, -0x1.01f7cbad7625p-5, -0x1.fe4f4bb4494d8p-6, -0x1.f8b8e4917163fp-6, -0x1.f32c69aef9df1p-6, -0x1.eda9e1eaa1883p-6, -0x1.e831534e7a4ccp-6, -0x1.e2c2c32c683a9p-6, -0x1.dd5e3646e0f66p-6, -0x1.d803b100a9607p-6, -0x1.d2b3378aa1b7ap-6, -0x1.cd6cce0914bf9p-6, -0x1.c83078a3d35c8p-6, -0x1.c2fe3b82e7726p-6, -0x1.bdd61ab1685ccp-6, -0x1.b8b819ecfd2eep-6, -0x1.b3a43c6818d86p-6, -0x1.ae9a84898560cp-6, -0x1.a99af3b47c4f3p-6, -0x1.a4a58a244995dp-6, -0x1.9fba46e4246e6p-6, -0x1.9ad927e75a2c8p-6, -0x1.96022a4154cc1p-6, -0x1.91354a767b8ap-6, -0x1.8c7284d7f5629p-6, -0x1.87b9d5e0e408dp-6, -0x1.830b3a84462ebp-6, -0x1.7e66b05a2ba87p-6, -0x1.79cc35a579c2cp-6, -0x1.753bc92f0442p-6, -0x1.70b569f78e407p-6, -0x1.6c3916cb9d43ep-6, -0x1.67c6cdca08547p-6, -0x1.635e8bf08300dp-6, -0x1.5f004cc1be4e8p-6, -0x1.5aac0a143d2a4p-6, -0x1.5661bc138abbdp-6, -0x1.52215975673aep-6, -0x1.4dead7def813ep-6, -0x1.49be2c6921c08p-6, -0x1.459b4c3a17477p-6, -0x1.41822d1614c99p-6, -0x1.3d72c5d8d4a3fp-6, -0x1.396d0ebfd72edp-6, -0x1.35710179826dfp-6, -0x1.317e98f291bbap-6, -0x1.2d95d0e65613ap-6, -0x1.29b6a540306bp-6, -0x1.25e1116528fdcp-6, -0x1.22150f814aa8fp-6, -0x1.1e5297f40a6b8p-6, -0x1.1a99a0f2b965ap-6, -0x1.16ea1e6ef1bd6p-6, -0x1.134402458073ap-6, -0x1.0fa73cafa76d2p-6, -0x1.0c13bce8a905ep-6, -0x1.088971f3577d6p-6, -0x1.05084b67d8e55p-6, -0x1.01903a3071ca7p-6, -0x1.fc42623974f76p-7, -0x1.f5764a6b3ca42p-7, -0x1.eebc1b851e21fp-7, -0x1.e813c7f3c4bdfp-7, -0x1.e17d44c37bf1ep-7, -0x1.daf887e90d19ep-7, -0x1.d485864b7adeap-7, -0x1.ce2431d8ef72cp-7, -0x1.c7d477eedc9d9p-7, -0x1.c196404f2762p-7, -0x1.bb696cca1ffcap-7, -0x1.b54dd9a197012p-7, -0x1.af435e92bfa23p-7, -0x1.a949d05f4738p-7, -0x1.a36102a41afc1p-7, -0x1.9d88c9ca7edf7p-7, -0x1.97c0fce3473fbp-7, -0x1.920977405c42p-7, -0x1.8c6219a4d42c4p-7, -0x1.86cacae78bea3p-7, -0x1.814377ede9d2fp-7, -0x1.7bcc12ebc6933p-7, -0x1.766491f235e0dp-7, -0x1.710ceceb03637p-7, -0x1.6bc51b3b78cddp-7, -0x1.668d115e88041p-7, -0x1.6164becc073f5p-7, -0x1.5c4c0c7b08ddbp-7, -0x1.5742dc33b1bfbp-7, -0x1.524908c0c0526p-7, -0x1.4d5e66eb56548p-7, -0x1.4882c70d15dd8p-7, -0x1.43b5f6f66388fp-7, -0x1.3ef7c3e899bd8p-7, -0x1.3a47fc7361a19p-7, -0x1.35a672199a669p-7, -0x1.3112fab0ec50dp-7, -0x1.2c8d7175e011fp-7, -0x1.2815b7c83a431p-7, -0x1.23abb57a50a85p-7, -0x1.1f4f5897d59cbp-7, -0x1.1b00948c9ceacp-7, -0x1.16bf60a62de0ap-7, -0x1.128bb60764f0cp-7, -0x1.0e658d4653aedp-7, -0x1.0a4cdc06e61afp-7, -0x1.064192efeef12p-7, -0x1.02439c4d923d5p-7, -0x1.fca5b7289af29p-8, -0x1.f4de5b934f414p-8, -0x1.ed30d54d7f88ap-8, -0x1.e59ccc4a04f61p-8, -0x1.de21e434301d2p-8, -0x1.d6bfbf3257e26p-8, -0x1.cf75ffeedaf63p-8, -0x1.c8444aff637ffp-8, -0x1.c12a4805fdec6p-8, -0x1.ba27a2f715c1dp-8, -0x1.b33c0dc2549f3p-8, -0x1.ac67426770c97p-8, -0x1.a5a904b175774p-8, -0x1.9f0123fba02abp-8, -0x1.986f7acd5590fp-8, -0x1.91f3edbcac216p-8, -0x1.8b8e6845617bp-8, -0x1.853ed8a50e928p-8, -0x1.7f052b54551d9p-8, -0x1.78e147046fb4bp-8, -0x1.72d309e84a42ep-8, -0x1.6cda48ba91217p-8, -0x1.66f6cf7ee748ap-8, -0x1.612863865b54bp-8, -0x1.5b6ec5ecdae42p-8, -0x1.55c9b5b09b1d5p-8, -0x1.5038f0b3e34e1p-8, -0x1.4abc33735eb81p-8, -0x1.455337c213a37p-8, -0x1.3ffdb3581b774p-8, -0x1.3abb572bee0d6p-8, -0x1.358bd050a54cep-8, -0x1.306eca983706ep-8, -0x1.2b63f48fc1eb9p-8, -0x1.266b03dafd1e5p-8, -0x1.2183b8d22ca4ap-8, -0x1.1cade05e81cf5p-8, -0x1.17e9539172304p-8, -0x1.1335f51c2835fp-8, -0x1.0e93ad58b115bp-8, -0x1.0a0265f5defedp-8, -0x1.0582065265204p-8, -0x1.011271402772dp-8, -0x1.f96708da9cae3p-9, -0x1.f0ca326fa5ddep-9, -0x1.e84e0cbf7acf4p-9, -0x1.dff243cee1b16p-9, -0x1.d7b684e5f2abp-9, -0x1.cf9a7f2fdabb9p-9, -0x1.c79de1a589bafp-9, -0x1.bfc05679a4374p-9, -0x1.b8017d37edb8fp-9, -0x1.b060e592e1b9dp-9, -0x1.a8de0d0d7bdep-9, -0x1.a17861054294ep-9, -0x1.9a2f454431ae8p-9, -0x1.93021dbdaba3ap-9, -0x1.8bf0590565cb7p-9, -0x1.84f978d33f231p-9, -0x1.7e1d167f02f68p-9, -0x1.775ae28bdbf7fp-9, -0x1.70b29fc7eebedp-9, -0x1.6a241bc13663bp-9, -0x1.63af26f83c23fp-9, -0x1.5d538ef8cb85dp-9, -0x1.57111b75ab6f6p-9, -0x1.50e78e3c46e06p-9, -0x1.4ad6a4eb9b72p-9, -0x1.44de1b2eee0d2p-9, -0x1.3efdaca1ca835p-9, -0x1.3935160d23b1dp-9, -0x1.338415ef47e36p-9, -0x1.2dea6c390de3cp-9, -0x1.2867d905d512cp-9, -0x1.22fc1a2adb034p-9, -0x1.1da6e7d95a909p-9, -0x1.1867f1225a207p-9, -0x1.133ed99c2b3a9p-9, -0x1.0e2b3964a16dp-9, -0x1.092ca01f7c6dfp-9, -0x1.04429a7f275fp-9, -0x1.fed971e4ef087p-10, -0x1.f5552b68e5d09p-10, -0x1.ebf7b1afcf04ep-10, -0x1.e2c073408b2c7p-10, -0x1.d9aefa49f47ap-10, -0x1.d0c2e5850ba5ep-10, -0x1.c7fbdec90c8a4p-10, -0x1.bf59920ddef3dp-10, -0x1.b6dba73957f61p-10, -0x1.ae81bf89a1ec1p-10, -0x1.a64b75abfb9f7p-10, -0x1.9e385ed36b6fep-10, -0x1.96480b9ff0807p-10, -0x1.8e7a088e3ad47p-10, -0x1.86cdde196ff78p-10, -0x1.7f4310c3f90b6p-10, -0x1.77d92144b7e79p-10, -0x1.708f8d561d39p-10, -0x1.6965d18e32382p-10, -0x1.625b6bfdc29d4p-10, -0x1.5b6fde569c37bp-10, -0x1.54a2ae2caf40dp-10, -0x1.4df362ff7dc72p-10, -0x1.476183279c209p-10, -0x1.40ec91ab49c52p-10, -0x1.3a940e4d9147cp-10, -0x1.34577793a6b25p-10, -0x1.2e364d56dea74p-10, -0x1.283012f997b82p-10, -0x1.224451acd487p-10, -0x1.1c729b965456ep-10, -0x1.16ba8f48dc6d8p-10, -0x1.111bd9667fe94p-10, -0x1.0b9632bc96973p-10, -0x1.06295b003ab9dp-10, -0x1.00d5124de8e1ep-10, -0x1.f732277ec844bp-11, -0x1.ecea251d3b0d8p-11, -0x1.e2d17463bc393p-11, -0x1.d8e7612fe88dfp-11, -0x1.cf2b314372b1ap-11, -0x1.c59c2609acaa2p-11, -0x1.bc397a9cab475p-11, -0x1.b30261621b41ap-11, -0x1.a9f60598c864cp-11, -0x1.a113924b114efp-11, -0x1.985a3c4b5773dp-11, -0x1.8fc94a342958ap-11, -0x1.87601768d6515p-11, -0x1.7f1e10f9d0f4ap-11, -0x1.7702ae061d0b4p-11, -0x1.6f0d67173d4a3p-11, -0x1.673daf9213cc3p-11, -0x1.5f92f2f180b85p-11, -0x1.580c951cc88fep-11, -0x1.50a9f393d6f15p-11, -0x1.496a664328484p-11, -0x1.424d41e828f37p-11, -0x1.3b51df0e0e321p-11, -0x1.3477a5f314b13p-11, -0x1.2dbe13e7a217dp-11, -0x1.2724bc7feff8dp-11, -0x1.20ab3898547d7p-11, -0x1.1a511817a018p-11, -0x1.1415d9a6f97a5p-11, -0x1.0df8ef423591fp-11, -0x1.07f9cb35c577cp-11, -0x1.0217e8e220192p-11, -0x1.f8a59c9f89052p-12, -0x1.ed540956b396ep-12, -0x1.e23a16e12e435p-12, -0x1.d756be92e5ef9p-12, -0x1.cca8f8003ffb5p-12, -0x1.c22fd411af9c3p-12, -0x1.b7ea822062d74p-12, -0x1.add84c94d3f95p-12, -0x1.a3f88d9629e54p-12, -0x1.9a4aa1a72d414p-12, -0x1.90cddb0657023p-12, -0x1.878177541a8cdp-12, -0x1.7e6499775d165p-12, -0x1.75764a607f3ffp-12, -0x1.6cb5828fdd318p-12, -0x1.64213afea0d79p-12, -0x1.5bb87f037b9fbp-12, -0x1.537a75d8d8364p-12, -0x1.4b665f65cef7dp-12, -0x1.437b8c3c0c4f5p-12, -0x1.3bb95ef0332d9p-12, -0x1.341f55bbc959ep-12, -0x1.2cad04b7853cap-12, -0x1.2561ed77067e8p-12, -0x1.1e3d49e5eeec8p-12, -0x1.173dfe561c238p-12, -0x1.1062cda1d44afp-12, -0x1.09aaafead888cp-12, -0x1.031509aadd1bp-12, -0x1.f94329ed99447p-13, -0x1.eca01a8593b85p-13, -0x1.e03fc98a059a7p-13, -0x1.d42082b70c9aep-13, -0x1.c84071aff09fdp-13, -0x1.bc9e1f383e70bp-13, -0x1.b1389b4f85b59p-13, -0x1.a60f5e091fcf8p-13, -0x1.9b2214178a9f5p-13, -0x1.90707696427cp-13, -0x1.85fa2dff4ecbcp-13, -0x1.7bbeb69da3a39p-13, -0x1.71bd453f8e4e6p-13, -0x1.67f4b5e44c73bp-13, -0x1.5e639034ade71p-13, -0x1.55082469a937bp-13, -0x1.4be0b774e1dddp-13, -0x1.42ebad819ff03p-13, -0x1.3a27a859ea12fp-13, -0x1.3193952fb5172p-13, -0x1.292ea2baeb691p-13, -0x1.20f815c475536p-13, -0x1.18ef0ab227cc1p-13, -0x1.1112650b9926p-13, -0x1.09612b0c544b6p-13, -0x1.01db0c4d15301p-13, -0x1.f5009e61514b7p-14, -0x1.e6a1b42ddcbeap-14, -0x1.d896a24bfdcf9p-14, -0x1.cadaf28c5c5d2p-14, -0x1.bd6b3fbd8395dp-14, -0x1.b0471b1005deap-14, -0x1.a36ff9b10ebfdp-14, -0x1.96e62c8d0ce62p-14, -0x1.8aa705e8053f3p-14, -0x1.7eadfd0145a2fp-14, -0x1.72f72d723c506p-14, -0x1.6780935ffb584p-14, -0x1.5c4999722cef6p-14, -0x1.51523a0922862p-14, -0x1.469a93747505cp-14, -0x1.3c22e3584d30ap-14, -0x1.31eb854bccb43p-14, -0x1.27f4b50b36367p-14, -0x1.1e3e1f53be494p-14, -0x1.14c6826b56432p-14, -0x1.0b8bafee02d23p-14, -0x1.028b01db50df6p-14, -0x1.f384058fcff91p-15, -0x1.e25dd3fd294f1p-15, -0x1.d1a1632cad504p-15, -0x1.c14d886a98204p-15, -0x1.b160be001d4f4p-15, -0x1.a1d7e758a8bb3p-15, -0x1.92ae25fb8689ep-15, -0x1.83de55f164733p-15, -0x1.75650e63aa78ep-15, -0x1.6741194f8f0f1p-15, -0x1.5972161e2a12p-15, -0x1.4bf79b9a62d4p-15, -0x1.3ed2b5521f57p-15, -0x1.32071b1b5f73fp-15, -0x1.25978020d4f0ep-15, -0x1.197ffb6a33c42p-15, -0x1.0db7e475d22cbp-15, -0x1.023a9392d7cedp-15, -0x1.ee15f427b844ap-16, -0x1.d85911d55f4b9p-16, -0x1.c3365a13c6a6p-16, -0x1.ae9b10b597fd5p-16, -0x1.9a79b8c455147p-16, -0x1.86cf52249daacp-16, -0x1.739d6561c4988p-16, -0x1.60e4980eb4a18p-16, -0x1.4ea442159841dp-16, -0x1.3cdca949050b8p-16, -0x1.2b90dc4077e7p-16, -0x1.1ac633dfe0ec6p-16, -0x1.0a811bf6acf47p-16, -0x1.f581148ad8da1p-17, -0x1.d6f8806db22bfp-17, -0x1.b95060cec1d67p-17, -0x1.9c7547c90c6a1p-17, -0x1.8061d46b16f21p-17, -0x1.651c3382bcd6dp-17, -0x1.4aa8642ec9c74p-17, -0x1.30fcb7cc8556fp-17, -0x1.1805fd9370b0dp-17, -0x1.ff6bcb2c327b2p-18, -0x1.d014d454b27bap-18, -0x1.a21212c2a01a2p-18, -0x1.756d7cf14b15bp-18, -0x1.4a29684d5826cp-18, -0x1.2043c771604c1p-18, -0x1.ef74d921afd14p-19, -0x1.a10f1f55ca8bap-19, -0x1.552db4fdb6327p-19, -0x1.0b85064cd933dp-19, -0x1.87b6cab350f9ap-20, -0x1.f94bdbce89113p-21, -0x1.d9cee14333771p-22, 0x1.5ea47ec90e508p-25, 0x1.10194754bba79p-21, 0x1.00a4986632217p-20, 0x1.74771da630ee6p-20, 0x1.e4321468b3dadp-20, 0x1.2868bed91d1f9p-19, 0x1.5d5263613713dp-19, 0x1.90c3955fa863ep-19, 0x1.c2b197495468dp-19, 0x1.f31d5a8fbfbcfp-19, 0x1.10f954cff7646p-18, 0x1.277aeedc8674fp-18, 0x1.3cf32e49acf59p-18, 0x1.5162695c0dafbp-18, 0x1.64f36a5c37fd2p-18, 0x1.77d51dcf0814fp-18, 0x1.8a0de1f44bfd2p-18, 0x1.9b82695374c58p-18, 0x1.ac2ac1082736bp-18, 0x1.bc269235b6fc4p-18, 0x1.cb9c13bb6945p-18, 0x1.da91dcaecf456p-18, 0x1.e8f8038a0619p-18, 0x1.f6bf1eaf45531p-18, 0x1.01f1064c06be3p-17, 0x1.0831d21e963e7p-17, 0x1.0e24f29e45eccp-17, 0x1.13cd8104753fap-17, 0x1.192e3c60e7eb8p-17, 0x1.1e49ad38ebc9p-17, 0x1.23226dcec645dp-17, 0x1.27bb2b18013d1p-17, 0x1.2c1614911adefp-17, 0x1.3033f9584a076p-17, 0x1.341452d235d74p-17, 0x1.37b7abf9a6d2fp-17, 0x1.3b240f8ec7a39p-17, 0x1.3e66ba168f4ffp-17, 0x1.4188b4945e97cp-17, 0x1.447da63a0fc47p-17, 0x1.47333c59cf2fdp-17, 0x1.49a9aac4dac09p-17, 0x1.4be362fd698f6p-17, 0x1.4de8fb064234dp-17, 0x1.4fd2acfc94bf3p-17, 0x1.51ac1efec50bdp-17, 0x1.536edbe481dd9p-17, 0x1.550e6a9896959p-17, 0x1.567b428ea68c6p-17, 0x1.57ae48649fa1fp-17, 0x1.58b3b656c70edp-17, 0x1.5998c4a34f555p-17, 0x1.5a577aa889722p-17, 0x1.5ae8b782f8299p-17, 0x1.5b595ac438261p-17, 0x1.5bb87750a001ap-17, 0x1.5c04e2058d781p-17, 0x1.5c35eab2ee4e5p-17, 0x1.5c469c9c62d36p-17, 0x1.5c36dc930d382p-17, 0x1.5c08afa06401p-17, 0x1.5bbe5e6b9334ap-17, 0x1.5b59d628a894cp-17, }}, 
      {{-0x1.4ac4ba7aaeb1bp-1, -0x1.451dc84611075p-1, -0x1.3c2ec2d560a8ep-1, -0x1.3084bf7863f7ep-1, -0x1.22b59dee1907bp-1, -0x1.135267b6ee076p-1, -0x1.02dfb1c25be93p-1, -0x1.e3a3c45595c9ep-2, -0x1.c117d4dccd87bp-2, -0x1.9ebf0545f0b5bp-2, -0x1.7d1c8a84dbee5p-2, -0x1.5c96843d31bf7p-2, -0x1.3d79864f8d6a6p-2, -0x1.1ffc2e062c6d7p-2, -0x1.04428d9ec60b4p-2, -0x1.d4c2a4b38d023p-3, -0x1.a4c1339c7f2f3p-3, -0x1.787ce58fdd048p-3, -0x1.4fe2150de34f2p-3, -0x1.2ad1146130e51p-3, -0x1.0921548592589p-3, -0x1.d5480cb61a271p-4, -0x1.9e4c893ed9803p-4, -0x1.6ce5abdf3e027p-4, -0x1.40a7290eb1b35p-4, -0x1.192512a2256cap-4, -0x1.ebeb191b412f7p-5, -0x1.ad642bd7b2ff1p-5, -0x1.75f0f3410b5bp-5, -0x1.44d6ecfa9df98p-5, -0x1.19665b23b7e15p-5, -0x1.e5f588ea9833ep-6, -0x1.a1f6566639677p-6, -0x1.65b41777aa815p-6, -0x1.302a5f7211d7cp-6, -0x1.006ac15f893e5p-6, -0x1.ab380a82a3112p-7, -0x1.5df2765489754p-7, -0x1.17a16e438e7cap-7, -0x1.ae0bf95824c79p-8, -0x1.3606b110cf06cp-8, -0x1.8a72afaed7941p-9, -0x1.6796d74691928p-10, 0x1.af6acb00516a7p-13, 0x1.c8f856c6cf471p-10, 0x1.ab1030a76c883p-9, 0x1.385428b8d6caep-8, 0x1.9b7613b7c1b93p-8, 0x1.ff9e401820a1p-8, 0x1.32ae89159aac9p-7, 0x1.66930df7c91a3p-7, 0x1.9ba98e974d81dp-7, 0x1.d21369a9f2a76p-7, 0x1.04f3e501de6b1p-6, 0x1.219a6c2dbbf91p-6, 0x1.3f006acf67d3dp-6, 0x1.5d25911ed97a9p-6, 0x1.7c0699112f8ecp-6, 0x1.9b9db46f7cb11p-6, 0x1.bbe2ee5e709c1p-6, 0x1.dccc83551cb27p-6, 0x1.fe4f32295a6e9p-6, 0x1.102f43ed691dp-5, 0x1.2176919c593a5p-5, 0x1.32f677f9f78d2p-5, 0x1.44a7ac2f13279p-5, 0x1.5682b89939294p-5, 0x1.68801063c49a8p-5, 0x1.7a9821b0d5079p-5, 0x1.8cc365e54d441p-5, 0x1.9efa6fcf7ed1dp-5, 0x1.b135f6db06779p-5, 0x1.c36ee042eb115p-5, 0x1.d59e466f47261p-5, 0x1.e7bd7edf3fc36p-5, 0x1.f9c61f58520bcp-5, 0x1.05d9012d3dfbdp-4, 0x1.0ebda55fdafcfp-4, 0x1.178e3350ab347p-4, 0x1.2048089e2d1a2p-4, 0x1.28e8a9fbd1ebap-4, 0x1.316dc3505b4f1p-4, 0x1.39d5277b14605p-4, 0x1.421ccfe24b667p-4, 0x1.4a42dbd0b8404p-4, 0x1.52458fb59d13p-4, 0x1.5a23544f7ba9ap-4, 0x1.61dab5b64c8a7p-4, 0x1.696a626df0e37p-4, 0x1.70d12a4058981p-4, 0x1.780dfd1c026bap-4, 0x1.7f1fe9d9f2e1ep-4, 0x1.86061cf5834ecp-4, 0x1.8cbfdf3b824d8p-4, 0x1.934c94725257ap-4, 0x1.99abba1209ee8p-4, 0x1.9fdce5d6920ecp-4, 0x1.a5dfc48e6e51dp-4, 0x1.abb418ca2bdacp-4, 0x1.b159b99f9c387p-4, 0x1.b6d09177e339ep-4, 0x1.bc189ce3258eep-4, 0x1.c131e975a50eep-4, 0x1.c61c94a73beep-4, 0x1.cad8cad893d07p-4, 0x1.cf66c6269a5dbp-4, 0x1.d3c6cd8f0753cp-4, 0x1.d7f933efe4bb4p-4, 0x1.dbfe572576da4p-4, 0x1.dfd69f2728957p-4, 0x1.e3827d481ea53p-4, 0x1.e7026b6221bbfp-4, 0x1.ea56eb227b365p-4, 0x1.ed8085545a3cep-4, 0x1.f07fc939153cfp-4, 0x1.f3554bf020f53p-4, 0x1.f601a7c2a0a7cp-4, 0x1.f8857bb7bff1cp-4, 0x1.fae16ae48777p-4, 0x1.fd161c07207f8p-4, 0x1.ff243901f1326p-4, 0x1.0086372cd5c2bp-3, 0x1.0167b56c8b244p-3, 0x1.0236ef9caec29p-3, 0x1.02f43ed3d05ddp-3, 0x1.039ffcbc6e693p-3, 0x1.043a836f3ccfdp-3, 0x1.04c42d4dba02bp-3, 0x1.053d54d6dbfa5p-3, 0x1.05a654949f59cp-3, 0x1.05ff86f3c6cf4p-3, 0x1.064946295aa6cp-3, 0x1.0683ec1a6f8b5p-3, 0x1.06afd2438e48bp-3, 0x1.06cd51a1fe74fp-3, 0x1.06dcc29b6f492p-3, 0x1.06de7cf268a05p-3, 0x1.06d2d7ac55847p-3, 0x1.06ba290449af8p-3, 0x1.0694c65cacb1fp-3, 0x1.0663042fd46b1p-3, 0x1.0625360393f84p-3, 0x1.05dbae6082614p-3, 0x1.0586bec3b04c5p-3, 0x1.0526b796d8a45p-3, 0x1.04bbe82bbfc33p-3, 0x1.04469eb36dcd9p-3, 0x1.03c72833d7f42p-3, 0x1.033dd088ad668p-3, 0x1.02aae25aa427ap-3, 0x1.020ea72006abbp-3, 0x1.016967151a261p-3, 0x1.00bb693cde4a8p-3, 0x1.0004f35c7e0f3p-3, 0x1.fe8c93fd08b3fp-4, 0x1.fcff60d9758dcp-4, 0x1.fb62d166239d5p-4, 0x1.f9b7673d30073p-4, 0x1.f7fda1812a782p-4, 0x1.f635fcd1a5ce5p-4, 0x1.f460f35adc148p-4, 0x1.f27efcd2bbcdcp-4, 0x1.f0908e7ca336cp-4, 0x1.ee961b2e3c0a6p-4, 0x1.ec901351334fap-4, 0x1.ea7ee4e7c431bp-4, 0x1.e862fb9d1bbc5p-4, 0x1.e63cc0bc53012p-4, 0x1.e40c9b380fd38p-4, 0x1.e1d2efbcb027ep-4, 0x1.df9020ac665c5p-4, 0x1.dd448e28e6335p-4, 0x1.daf0961a27e5ep-4, 0x1.d8949436cde76p-4, 0x1.d630e20d2e452p-4, 0x1.d3c5d70864f3dp-4, 0x1.d153c878538a8p-4, 0x1.cedb099a990aap-4, 0x1.cc5beba5da82bp-4, 0x1.c9d6bdccd72fdp-4, 0x1.c74bcd49a14b7p-4, 0x1.c4bb6564bc984p-4, 0x1.c225cf7f51106p-4, 0x1.bf8b531c0d90ep-4, 0x1.bcec35e73222cp-4, 0x1.ba48bbbd28d4bp-4, 0x1.b7a126b56a176p-4, 0x1.b4f5b72881d12p-4, 0x1.b246abc09487p-4, 0x1.af94417816638p-4, 0x1.acdeb3a69dea6p-4, 0x1.aa263c092f591p-4, 0x1.a76b12cb88dfbp-4, 0x1.a4ad6e924032dp-4, 0x1.a1ed847cf1fa4p-4, 0x1.9f2b883319cb7p-4, 0x1.9c67abed30a56p-4, 0x1.99a2207a00558p-4, 0x1.96db154ab588dp-4, 0x1.9412b872b8be4p-4, 0x1.914936b934cf6p-4, 0x1.8e7ebb94558f7p-4, 0x1.8bb37148fdb56p-4, 0x1.88e780d43785p-4, 0x1.861b1204dec99p-4, 0x1.834e4b7e7d326p-4, 0x1.808152c1d805ep-4, 0x1.7db44c3287f5cp-4, 0x1.7ae75b1f345p-4, 0x1.781aa1c73804ap-4, 0x1.754e416055723p-4, 0x1.72825a20f23a4p-4, 0x1.6fb70b41ffc9dp-4, 0x1.6cec7309f2e34p-4, 0x1.6a22aed2d74b5p-4, 0x1.6759db0aae6ebp-4, 0x1.6492133dbb924p-4, 0x1.61cb721bde6e9p-4, 0x1.5f06117fc7336p-4, 0x1.5c420a7388efdp-4, 0x1.597f75355bd4bp-4, 0x1.56be693c2cccbp-4, 0x1.53fefd3d113fbp-4, 0x1.51414730c3481p-4, 0x1.4e855c5cb9d97p-4, 0x1.4bcb5153ae467p-4, 0x1.491339fb7201dp-4, 0x1.465d298e75572p-4, 0x1.43a932a67f725p-4, 0x1.40f767370d38dp-4, 0x1.3e47d89fa70efp-4, 0x1.3b9a97a7ff3cap-4, 0x1.38efb484920e9p-4, 0x1.36473edb020fep-4, 0x1.33a145c2f5b34p-4, 0x1.30fdd7cb25eefp-4, 0x1.2e5d0303be7b1p-4, 0x1.2bbed4fb65226p-4, 0x1.29235ac72ab5dp-4, 0x1.268aa0ff61751p-4, 0x1.23f4b3c85f014p-4, 0x1.21619ecfc14p-4, 0x1.1ed16d545b704p-4, 0x1.1c442a2a2d699p-4, 0x1.19b9dfbccd721p-4, 0x1.173298125f2bdp-4, 0x1.14ae5ccb3e428p-4, 0x1.122d37247a60ap-4, 0x1.0faf2ffadb7b4p-4, 0x1.0d344fcefb5eep-4, 0x1.0abc9ec9236cp-4, 0x1.084824bbde02dp-4, 0x1.05d6e925259fbp-4, 0x1.0368f32f00057p-4, 0x1.00fe49b0a6d7ep-4, 0x1.fd2de661d9645p-5, 0x1.f865ebd439ff8p-5, 0x1.f3a4af97ecee4p-5, 0x1.eeea3cff7ae01p-5, 0x1.ea369ed3696d2p-5, 0x1.e589df4fb0875p-5, 0x1.e0e40824ae4ddp-5, 0x1.dc45227e5ab6dp-5, 0x1.d7ad370711191p-5, 0x1.d31c4dea46b62p-5, 0x1.ce926ede46226p-5, 0x1.ca0fa125399d4p-5, 0x1.c593eb8eabfcp-5, 0x1.c11f5478ab495p-5, 0x1.bcb1e1ccce534p-5, 0x1.b84b990ac70cfp-5, 0x1.b3ec7f432d11cp-5, 0x1.af9499232439bp-5, 0x1.ab43eaf566f1cp-5, 0x1.a6fa78a635901p-5, 0x1.a2b845c32403bp-5, 0x1.9e7d557bb287cp-5, 0x1.9a49aaa2173ecp-5, 0x1.961d47ac86d1dp-5, 0x1.91f82eb6bf356p-5, 0x1.8dda618bbf325p-5, 0x1.89c3e1a2750c1p-5, 0x1.85b4b02435934p-5, 0x1.81accdecdb1c1p-5, 0x1.7dac3b8af33bcp-5, 0x1.79b2f93fdf26ep-5, 0x1.75c10700b80a7p-5, 0x1.71d664785af0ep-5, 0x1.6df3110a7092dp-5, 0x1.6a170bd677f86p-5, 0x1.664253ba9a376p-5, 0x1.6274e754b471ap-5, 0x1.5eaec5058112ap-5, 0x1.5aefeaea7f622p-5, 0x1.573856e5d9ea1p-5, 0x1.5388069dd68f2p-5, 0x1.4fdef77675a88p-5, 0x1.4c3d269e1da5dp-5, 0x1.48a2910aff9c3p-5, 0x1.450f337e03a5ep-5, 0x1.41830a844a80bp-5, 0x1.3dfe127802c5dp-5, 0x1.3a8047814a18p-5, 0x1.3709a592b8f48p-5, 0x1.339a28712b8acp-5, 0x1.3031cbae1d6b3p-5, 0x1.2cd08aac64ecbp-5, 0x1.297660a1fbde5p-5, 0x1.26234899b5ecep-5, 0x1.22d73d7474da3p-5, 0x1.1f9239ea4deccp-5, 0x1.1c54388b581e4p-5, 0x1.191d33bf6f973p-5, 0x1.15ed25c6dab25p-5, 0x1.12c408baeac7fp-5, 0x1.0fa1d68f0e9ddp-5, 0x1.0c86891248c3dp-5, 0x1.097219f0bb66fp-5, 0x1.066482b54f95fp-5, 0x1.035dbcca8f0bdp-5, 0x1.005dc17b06b41p-5, 0x1.fac913e539512p-6, 0x1.f4e41e7fb8ab2p-6, 0x1.ef0c94a396884p-6, 0x1.e94267f4daa7dp-6, 0x1.e38589de03333p-6, 0x1.ddd5eb92eea68p-6, 0x1.d8337e1397fbep-6, 0x1.d29e3225e1be5p-6, 0x1.cd15f86c20465p-6, 0x1.c79ac151df6eep-6, 0x1.c22c7d13266ddp-6, 0x1.bccb1bc54ee2fp-6, 0x1.b7768d4f43bdep-6, 0x1.b22ec16d32ffbp-6, 0x1.acf3a7b1d5a5bp-6, 0x1.a7c52f87bb198p-6, 0x1.a2a34832f9f59p-6, 0x1.9d8de0d302906p-6, 0x1.9884e86591576p-6, 0x1.93884dc596bcfp-6, 0x1.8e97ffaf6f62p-6, 0x1.89b3ecc095459p-6, 0x1.84dc0378f021bp-6, 0x1.8010323bca4d8p-6, 0x1.7b5067509f9f9p-6, 0x1.769c90e40d632p-6, 0x1.71f49d08e08f1p-6, 0x1.6d5879b96de0bp-6, 0x1.68c814d90b089p-6, 0x1.64435c35866fbp-6, 0x1.5fca3d8880bap-6, 0x1.5b5ca67895072p-6, 0x1.56fa849a6458fp-6, 0x1.52a3c5719cc1ap-6, 0x1.4e585671e7f03p-6, 0x1.4a1824ffbd97dp-6, 0x1.45e31e70f5cdcp-6, 0x1.41b9300dfdf44p-6, 0x1.3d9a471298d64p-6, 0x1.398650aea950ap-6, 0x1.357d3a07c588bp-6, 0x1.317ef03a3e1a2p-6, 0x1.2d8b6057bb6e8p-6, 0x1.29a2776e2f40ap-6, 0x1.25c42282e6e6ep-6, 0x1.21f04e956b615p-6, 0x1.1e26e8a09b87dp-6, 0x1.1a67dd9c12372p-6, 0x1.16b31a7ac0d7ep-6, 0x1.13088c2a76559p-6, 0x1.0f681f9d75953p-6, 0x1.0bd1c1bf440a8p-6, 0x1.08455f7c28acep-6, 0x1.04c2e5c0dd274p-6, 0x1.014a417b31196p-6, 0x1.fbb6bf35be9fp-7, 0x1.f4ec5a2613803p-7, 0x1.ee352db1551cap-7, 0x1.e79113c8b26d3p-7, 0x1.e0ffe66ce6794p-7, 0x1.da817fa3d89f2p-7, 0x1.d415b98015335p-7, 0x1.cdbc6e214c2acp-7, 0x1.c77577b4bd78bp-7, 0x1.c140b07641a51p-7, 0x1.bb1df2b33956p-7, 0x1.b50d18cf9ee98p-7, 0x1.af0dfd3f5b502p-7, 0x1.a9207a7118d7dp-7, 0x1.a3446b08fcbfcp-7, 0x1.9d79a9aeeeec1p-7, 0x1.97c0114296091p-7, 0x1.92177c7ed16c5p-7, 0x1.8c7fc6677449p-7, 0x1.86f8ca1a6c096p-7, 0x1.818262c157944p-7, 0x1.7c1c6b9eed12ep-7, 0x1.76c6c01568919p-7, 0x1.71813ba2a1f2ep-7, 0x1.6c4bb9e640746p-7, 0x1.6726169e2d849p-7, 0x1.62102da70dcbdp-7, 0x1.5d09dafeea57ap-7, 0x1.5812fac51474bp-7, 0x1.532b6938212d8p-7, 0x1.4e5302bdeea68p-7, 0x1.4989a41070d08p-7, 0x1.44cf299056842p-7, 0x1.4023700c7e7a1p-7, 0x1.3b8654c526293p-7, 0x1.36f7b4ae71063p-7, 0x1.32776d04827d5p-7, 0x1.2e055b3614a47p-7, 0x1.29a15cd677162p-7, 0x1.254b4fa1cf67ap-7, 0x1.210311800e0c6p-7, 0x1.1cc8807d3dd6dp-7, 0x1.189b7ad71fed5p-7, 0x1.147bdef5af5e5p-7, 0x1.10698b6849cb2p-7, 0x1.0c645ee9b47acp-7, 0x1.086c385efe3b4p-7, 0x1.0480f6d7d80bdp-7, 0x1.00a2798f7dc0ap-7, 0x1.f9a13fdc02e49p-8, 0x1.f21693139aca4p-8, 0x1.eaa4ac5233f31p-8, 0x1.e34b4b862b913p-8, 0x1.dc0a3101152bap-8, 0x1.d4e11d776554ep-8, 0x1.cdcfd1fd032f1p-8, 0x1.c6d6101ba707cp-8, 0x1.bff3998e54d2dp-8, 0x1.b92830856a9efp-8, 0x1.b27397a661894p-8, 0x1.abd591c1b44b6p-8, 0x1.a54de21a3d7e3p-8, 0x1.9edc4c4f05bf1p-8, 0x1.9880946022e7p-8, 0x1.923a7eb28b031p-8, 0x1.8c09d01be59f8p-8, 0x1.85ee4dddbfb4p-8, 0x1.7fe7bdaaeede9p-8, 0x1.79f5e5a29966cp-8, 0x1.74188c4bdbe1bp-8, 0x1.6e4f78a1577fcp-8, 0x1.689a71f5b8d5p-8, 0x1.62f93ffadb777p-8, 0x1.5d6baabce4deap-8, 0x1.57f17aa06e0b2p-8, 0x1.528a7863e50f3p-8, 0x1.4d366d234230cp-8, 0x1.47f5225dacb94p-8, 0x1.42c661fc72aa6p-8, 0x1.3da9f6599805bp-8, 0x1.389faa44c9b84p-8, 0x1.33a7490651ecbp-8, 0x1.2ec09e5f1f5d7p-8, 0x1.29eb7685bd055p-8, 0x1.25279e2011a85p-8, 0x1.2074e23ff19fep-8, 0x1.1bd3105128aep-8, 0x1.1741f62102a7fp-8, 0x1.12c161cd9b83fp-8, 0x1.0e5121c93b416p-8, 0x1.09f104da76477p-8, 0x1.05a0da2108ab1p-8, 0x1.0160711e7a4c3p-8, 0x1.fa5f3387b7b9fp-9, 0x1.f21c48e872e42p-9, 0x1.e9f7c3fa37f46p-9, 0x1.e1f1470fc88ddp-9, 0x1.da0875ad388cdp-9, 0x1.d23cf4c7b8143p-9, 0x1.ca8e69ae05fap-9, 0x1.c2fc7a412401ap-9, 0x1.bb86cde2e9dccp-9, 0x1.b42d0c9d312d9p-9, 0x1.aceedec209bccp-9, 0x1.a5cbed4dbcb79p-9, 0x1.9ec3e1efeceep-9, 0x1.97d666fcf1936p-9, 0x1.91032770b454cp-9, 0x1.8a49cef9e7d45p-9, 0x1.83aa0a078f7ddp-9, 0x1.7d2385e286d03p-9, 0x1.76b5f0b3468b8p-9, 0x1.7060f98262caep-9, 0x1.6a24506cd717fp-9, 0x1.63ffa6419f885p-9, 0x1.5df2aceb77e0cp-9, 0x1.57fd170fecbfcp-9, 0x1.521e982f0bb95p-9, 0x1.4c56e4824d31fp-9, 0x1.46a5b0f2d55ffp-9, 0x1.410ab30d15239p-9, 0x1.3b85a0f873523p-9, 0x1.361631728cbd4p-9, 0x1.30bc1bceff47ep-9, 0x1.2b7717fb7d0bep-9, 0x1.2646de87e4922p-9, 0x1.212b28b149242p-9, 0x1.1c23b06e825e4p-9, 0x1.1730307c5b7ddp-9, 0x1.12506467bd558p-9, 0x1.0d84089452f96p-9, 0x1.08cada3eef5c9p-9, 0x1.0424977bc8244p-9, 0x1.ff21fe6224db7p-10, 0x1.f61fa21de7302p-10, 0x1.ed419b0b7eea3p-10, 0x1.e4876b75f793dp-10, 0x1.dbf096fb835c7p-10, 0x1.d37ca275f9296p-10, 0x1.cb2b13ea3b705p-10, 0x1.c2fb725f5edbbp-10, 0x1.baed45df5f8fbp-10, 0x1.b300178b95b9cp-10, 0x1.ab33716ed54dap-10, 0x1.a386deafb66efp-10, 0x1.9bf9eba3f1a7dp-10, 0x1.948c25ee0358ep-10, 0x1.8d3d1c9b726b7p-10, 0x1.860c603d11a8p-10, 0x1.7ef982f6657cdp-10, 0x1.78041882d24d1p-10, 0x1.712bb634a39e4p-10, 0x1.6a6ff2e212f62p-10, 0x1.63d066ca8941ep-10, 0x1.5d4cabb09e07ep-10, 0x1.56e45c8fca73ap-10, 0x1.50971595bc382p-10, 0x1.4a64740504503p-10, 0x1.444c160d0bacep-10, 0x1.3e4d9ab057917p-10, 0x1.3868a1ab8334bp-10, 0x1.329ccb601a6d3p-10, 0x1.2ce9b8dbfd344p-10, 0x1.274f0bf0c8d07p-10, 0x1.21cc675acd0ep-10, 0x1.1c616ef1a9f1ap-10, 0x1.170dc7d93219p-10, 0x1.11d118a8c8a8dp-10, 0x1.0cab0982e8dd9p-10, 0x1.079b441a34d41p-10, 0x1.02a173a6be655p-10, 0x1.fb7a89a0e88bdp-11, 0x1.f1dccb2a8a568p-11, 0x1.e8690a5f13854p-11, 0x1.df1ea7fd9279fp-11, 0x1.d5fd06e3d30a6p-11, 0x1.cd038bdefa412p-11, 0x1.c4319d733c326p-11, 0x1.bb86a397e7ee3p-11, 0x1.b302076e44e9ap-11, 0x1.aaa332ff67d49p-11, 0x1.a26991142cafep-11, 0x1.9a548d362b1f1p-11, 0x1.926393e3986ccp-11, 0x1.8a9612f08fc56p-11, 0x1.82eb7a03f45e8p-11, 0x1.7b633b1525b5bp-11, 0x1.73fccace9f31fp-11, 0x1.6cb7a0c1ba2dep-11, 0x1.65933766ad847p-11, 0x1.5e8f0bf06b291p-11, 0x1.57aa9e0611581p-11, 0x1.50e56f1a57be6p-11, 0x1.4a3f04d076dc5p-11, 0x1.43b6e059f7a24p-11, 0x1.3d4c8e5d9b152p-11, 0x1.36ff948efb3c4p-11, 0x1.30cf7e5556828p-11, 0x1.2abbd7f4ff628p-11, 0x1.24c42efef007fp-11, 0x1.1ee8121de2eb3p-11, 0x1.192710cc0d85dp-11, 0x1.1380bb17ed085p-11, 0x1.0df4a18d282c5p-11, 0x1.0882554f2c065p-11, 0x1.03296864615cap-11, 0x1.fbd2dc4f93267p-12, 0x1.f183f7632263p-12, 0x1.e76550866a9fap-12, 0x1.dd761acd0c2cep-12, 0x1.d3b58dd262275p-12, 0x1.ca22e5318858bp-12, 0x1.c0bd608565931p-12, 0x1.b7844254b105fp-12, 0x1.ae76cfa1cd251p-12, 0x1.a594507e50327p-12, 0x1.9cdc0f7ee7c63p-12, 0x1.944d5a3647826p-12, 0x1.8be7815931598p-12, 0x1.83a9d853771c9p-12, 0x1.7b93b57d13b28p-12, 0x1.73a471bf033dcp-12, 0x1.6bdb6833fb9dbp-12, 0x1.6437f5c6efbcp-12, 0x1.5cb978de87c0bp-12, 0x1.555f5128ce03fp-12, 0x1.4e28df953ea3ap-12, 0x1.4715868262a5p-12, 0x1.4024aa18e9659p-12, 0x1.3955b0bf2bb0dp-12, 0x1.32a80383f98e1p-12, 0x1.2c1b0e6050ff7p-12, 0x1.25ae40380e19p-12, 0x1.1f610a9de191bp-12, 0x1.1932e17581515p-12, 0x1.13233aa1e5828p-12, 0x1.0d318de4e5726p-12, 0x1.075d54fd73e69p-12, 0x1.01a60bf04bef7p-12, 0x1.f81662a2c343fp-13, 0x1.ed188cc9d5012p-13, 0x1.e2519e070c2b4p-13, 0x1.d7c0a295fa77fp-13, 0x1.cd64aa76dab24p-13, 0x1.c33cc8cdde262p-13, 0x1.b948139a773fdp-13, 0x1.af85a3d054a8p-13, 0x1.a5f495aa63f3cp-13, 0x1.9c9408fd6108bp-13, 0x1.936321534d225p-13, 0x1.8a6105bde3e6ep-13, 0x1.818ce077225e1p-13, 0x1.78e5de85658abp-13, 0x1.706b2f93a594ap-13, 0x1.681c061008235p-13, 0x1.5ff797750488ap-13, 0x1.57fd1c897977p-13, 0x1.502bd1641ecfcp-13, 0x1.4882f52d3896ap-13, 0x1.4101c9cc9329fp-13, 0x1.39a793c8bb408p-13, 0x1.32739a8c4a7ep-13, 0x1.2b652905c9105p-13, 0x1.247b8e55f4253p-13, 0x1.1db61e278a7aap-13, 0x1.1714306dc810bp-13, 0x1.10952091aa71ap-13, 0x1.0a384c5f3b2f2p-13, 0x1.03fd131a46f1p-13, 0x1.fbc5aa721ff4cp-14, 0x1.efd1e96f67da6p-14, 0x1.e41dab6f8e4bcp-14, 0x1.d8a7beb2b7addp-14, 0x1.cd6ef89477478p-14, 0x1.c27235a3f0653p-14, 0x1.b7b058c83b02dp-14, 0x1.ad2849d7eb3d3p-14, 0x1.a2d8f43021ddep-14, 0x1.98c145cb48c99p-14, 0x1.8ee02f1ea6899p-14, 0x1.8534a3bb6c357p-14, 0x1.7bbd9ae0e37b3p-14, 0x1.727a10d5e458ep-14, 0x1.696907ff08232p-14, 0x1.608987bf5eac9p-14, 0x1.57da9c6766119p-14, 0x1.4f5b567e7caf9p-14, 0x1.470aca67d8191p-14, 0x1.3ee810a5f4484p-14, 0x1.36f2467a9cbp-14, 0x1.2f288e565a369p-14, 0x1.278a0fa511d0fp-14, 0x1.2015f5f13ae54p-14, 0x1.18cb6fd3ca9e8p-14, 0x1.11a9ae71e538fp-14, 0x1.0aafe472d072dp-14, 0x1.03dd484b4c25fp-14, 0x1.fa622850004bap-15, 0x1.ed550cb6d5c2ep-15, 0x1.e091c3fedc9cp-15, 0x1.d416dccaed03fp-15, 0x1.c7e2ecc9fd065p-15, 0x1.bbf48f619243cp-15, 0x1.b04a64bad9ae9p-15, 0x1.a4e3113f1bc96p-15, 0x1.99bd3d6c93575p-15, 0x1.8ed796081c9aep-15, 0x1.8430ccb44e36ap-15, 0x1.79c797a203ad6p-15, 0x1.6f9ab7cabc189p-15, 0x1.65a8f2e5b61efp-15, 0x1.5bf1166bd3223p-15, 0x1.5271f9c318df5p-15, 0x1.492a79b33cc54p-15, 0x1.4019780441787p-15, 0x1.373dda6fd4e38p-15, 0x1.2e968a41eec75p-15, 0x1.2622749f42f1dp-15, 0x1.1de08b079d47p-15, 0x1.15cfc39eda52bp-15, 0x1.0def197a7c286p-15, 0x1.063d85d29ae47p-15, 0x1.fd7452cbdac28p-16, 0x1.eec7b74ab57d6p-16, 0x1.e073b05b3a363p-16, 0x1.d2764e99ef954p-16, 0x1.c4cdccf2da3a6p-16, 0x1.b77868b34c677p-16, 0x1.aa745ccbf4bacp-16, 0x1.9dc032b09b9a8p-16, 0x1.9159e9a94fea3p-16, 0x1.853fcdd44852dp-16, 0x1.7970e2755c1e5p-16, 0x1.6deac783e87a3p-16, 0x1.62aca340266bap-16, 0x1.57b481c617bdep-16, 0x1.4d00ffb447e0cp-16, 0x1.4290a34cc5d45p-16, 0x1.3861fa85111a2p-16, 0x1.2e739cd2163a9p-16, 0x1.24c42b5ee2713p-16, 0x1.1b5250314ccb2p-16, 0x1.121cbc3a76d8dp-16, 0x1.092224ea94a77p-16, 0x1.00614239e6a04p-16, 0x1.efb19c3c57cf6p-17, 0x1.df0f0bb74b487p-17, 0x1.ced859674dfd7p-17, 0x1.bf0b1d28cb959p-17, 0x1.afa501d1fd0efp-17, 0x1.a0a3c1222d8e4p-17, 0x1.920528275d02fp-17, 0x1.83c7122e2ea3ap-17, 0x1.75e7684fd84f1p-17, 0x1.68641f8e645e5p-17, 0x1.5b3b3148542bbp-17, 0x1.4e6a9559dbc92p-17, 0x1.41f0436d2fb16p-17, 0x1.35ca3b949ec1ap-17, 0x1.29f68ff236d74p-17, 0x1.1e73686f16794p-17, 0x1.133efedb71be1p-17, 0x1.085797fb1ffc4p-17, 0x1.fb76fe15e52efp-18, 0x1.e6d20a76eb062p-18, 0x1.d2bd05a13f7b2p-18, 0x1.bf34af44ec22ep-18, 0x1.ac35d5b7a0e9p-18, 0x1.99bd55b65a70cp-18, 0x1.87c81b5965194p-18, 0x1.765323942d48dp-18, 0x1.655b7ceb1fdf3p-18, 0x1.54de464799a4cp-18, 0x1.44d8ac0100c6fp-18, 0x1.3547e58706c2bp-18, 0x1.2629249ff297p-18, 0x1.1779a65d0a736p-18, 0x1.0936a74c6ee0cp-18, 0x1.f6bad334361f6p-19, 0x1.dbd68d8c8db68p-19, 0x1.c1bb781ee531dp-19, 0x1.a864e19e37f0cp-19, 0x1.8fce5efef20e6p-19, 0x1.77f3ae6b72defp-19, 0x1.60d0a4ab5f36ep-19, 0x1.4a612988a19dp-19, 0x1.34a129197f05fp-19, 0x1.1f8c6d8632874p-19, 0x1.0b1e863695a0ep-19, 0x1.eea5ce91d2455p-20, 0x1.c84a68e73ca5ap-20, 0x1.a322e99c85e6ap-20, 0x1.7f28047e1b463p-20, 0x1.5c52a3c34a6d7p-20, 0x1.3a9b96fc08a37p-20, 0x1.19fb9eb490e43p-20, 0x1.f4d7582ead6fdp-21, 0x1.b7ca12a4585aap-21, 0x1.7cc2aeb956bdbp-21, 0x1.43b4f48973bbcp-21, 0x1.0c950b63f671fp-21, 0x1.aeae9fc711062p-22, 0x1.47e03dd8ff812p-22, 0x1.c94d8df241554p-23, 0x1.09d5ac47abf24p-23, 0x1.449d6713ef751p-25, -0x1.83b718d8d70b4p-25, -0x1.0c9652cf4686ep-23, -0x1.b1fced9cd8c41p-23, -0x1.28a54f95978f3p-22, -0x1.75543c985cf06p-22, -0x1.bf204a9ab1f4ap-22, -0x1.030f75208566p-21, -0x1.2532a5cb8de51p-21, -0x1.4603bc25c9399p-21, -0x1.658bbcedf7758p-21, -0x1.83d2820889be6p-21, -0x1.a0df0dde2d291p-21, -0x1.bcb83d32bb978p-21, -0x1.d7655bb6c9ebfp-21, -0x1.f0ee4dd00251p-21, -0x1.04ad8eb705f13p-20, -0x1.105a22e5e0123p-20, -0x1.1b8166a44bd6dp-20, -0x1.2627bcf37e7b9p-20, -0x1.3051024a6d75fp-20, -0x1.3a0065af46273p-20, -0x1.4338fe58f09c9p-20, -0x1.4bfe3ddfee32bp-20, -0x1.5453d0629c38bp-20, -0x1.5c3d2a4d55a89p-20, -0x1.63bd5c3cdf42bp-20, -0x1.6ad7347f41ff1p-20, -0x1.718d643193e64p-20, -0x1.77e28c47d3677p-20, -0x1.7dd9404eda18dp-20, -0x1.837408aa4059bp-20, -0x1.88b67634ac809p-20, -0x1.8da163b438e7ap-20, -0x1.9237288b71e76p-20, -0x1.967c7e3dc4be7p-20, -0x1.9a72f87047251p-20, -0x1.9e1d4f8d59a86p-20, -0x1.a17e27e1e365cp-20, -0x1.a497f97003b69p-20, -0x1.a76d09f927046p-20, -0x1.a9ff7d1d3ce06p-20, -0x1.ac51624b7611ep-20, -0x1.ae64b688b670ap-20, -0x1.b03b6928d589dp-20, -0x1.b1d769dd65851p-20, -0x1.b33ab1dbacd73p-20, -0x1.b467383aa3c2fp-20, -0x1.b55ecd78a0c8cp-20, -0x1.b622fa533911cp-20, -0x1.b6b53526b8fd4p-20, -0x1.b716ffa1d586dp-20, -0x1.b74a23574f4c4p-20, -0x1.b750a288fed42p-20, -0x1.b72c3e0b7b07bp-20, -0x1.b6de6d527537fp-20, -0x1.b668b3268aa6ap-20, -0x1.b5cc8cf539a1ep-20, -0x1.b50b24ef5d431p-20, -0x1.b4259d54ebf17p-20, -0x1.b31d7f43d7e5bp-20, -0x1.b1f4761e232bcp-20, -0x1.b0abe7724820ap-20, -0x1.af450137ac1d5p-20, -0x1.adc0e3174bf5ep-20, -0x1.ac209dcfd0ad6p-20, -0x1.aa65241fe88abp-20, -0x1.a88f4c0515413p-20, -0x1.a69fea12de738p-20, -0x1.a497fb587d09dp-20, -0x1.a278b5d8b7647p-20, -0x1.a0435fb7d4d0fp-20, -0x1.9df91b62c3a26p-20, -0x1.9b996b7a2e102p-20, -0x1.992aaf4aa26dbp-20, -0x1.96a582ddf1817p-20, -0x1.94105797e612bp-20, -0x1.916a97dba0e3ap-20, -0x1.8eb5197ca4a96p-20, -0x1.8bf0aa715f1a8p-20, -0x1.891e15b4a0042p-20, -0x1.863e1e8a5fa97p-20, -0x1.83517c2179703p-20, -0x1.8058d9249f235p-20, -0x1.7d54d6785084ep-20, -0x1.7a461a44889b4p-20, -0x1.772d5275a1572p-20, -0x1.740b2545b07d5p-20, -0x1.70e0401a924cbp-20, -0x1.6dad3c5bfafeap-20, -0x1.6a729ed39bd4bp-20, -0x1.6730f6e99c8acp-20, -0x1.63e8a3dc4c09ap-20, -0x1.609a9f279126fp-20, -0x1.5d47723753713p-20, -0x1.59ef68df5842p-20, -0x1.5692aef9cf2ccp-20, -0x1.5331ae01b0bcap-20, -0x1.4fccdfb782663p-20, -0x1.4c64d52bb817p-20, -0x1.48fa469722fc4p-20, -0x1.458dad073bd71p-20, -0x1.421f35223c7dep-20, -0x1.3eaefed08d78cp-20, -0x1.3b3d3d4567b12p-20, -0x1.37ca4d81dd99ep-20, -0x1.3456b9ef8ee4fp-20, -0x1.30e3040ecc92cp-20, -0x1.2d6f74afc1f23p-20, -0x1.29fc3f539ab0cp-20, -0x1.2689b4209285fp-20, -0x1.23182b293fb69p-20, -0x1.1fa7e3c305345p-20, -0x1.1c3911f5c9795p-20, -0x1.18cbf1d3668cfp-20, -0x1.1560c2085836p-20, -0x1.11f7c54a18fd3p-20, -0x1.0e913a21cb615p-20, -0x1.0b2d5d1c23447p-20, }}, 
      {{0x1.628faba8613a7p-14, 0x1.63eaef0273cf1p-12, 0x1.4bc57adb8c5dep-11, 0x1.7e1285a9bf865p-11, 0x1.ab0ac674ae442p-12, -0x1.f87bbfc2e21d1p-12, -0x1.077b9750037a9p-9, -0x1.12b796c597be3p-8, -0x1.ca420532badcfp-8, -0x1.5313da4974582p-7, -0x1.d07b0a552e339p-7, -0x1.2d246d2adcb8p-6, -0x1.76a7a37089b1bp-6, -0x1.c330edff3e83p-6, -0x1.089a971218588p-5, -0x1.2f9d4840a3422p-5, -0x1.55ee6719237a6p-5, -0x1.7ae86d6a9715dp-5, -0x1.9df44be23284cp-5, -0x1.be8b430f21437p-5, -0x1.dc388bdef7133p-5, -0x1.f69a93117684cp-5, -0x1.06b1cb073882p-4, -0x1.102cc455d4753p-4, -0x1.17aaa3960f37ap-4, -0x1.1d2097f6e0fb9p-4, -0x1.208ba79a48903p-4, -0x1.21efa686fde73p-4, -0x1.215625549dc07p-4, -0x1.1ecd6a04d7cf9p-4, -0x1.1a67801b7e7ep-4, -0x1.1439673b70f61p-4, -0x1.0c5a628d79fcap-4, -0x1.02e367748e05p-4, -0x1.efdd4f28fece4p-5, -0x1.d72e6226715ap-5, -0x1.bbf13fc00950fp-5, -0x1.9e5db6c71165p-5, -0x1.7eabb9e095e41p-5, -0x1.5d12f8b83843bp-5, -0x1.39ca82528acddp-5, -0x1.15086f05f178ap-5, -0x1.de032352c381dp-6, -0x1.8fd260fad882dp-6, -0x1.3fe18d21fe70fp-6, -0x1.dd1f392d43b2dp-7, -0x1.386e57b64c0c1p-7, -0x1.24b8f0b273a0ep-8, 0x1.473f77fc17a43p-11, 0x1.76d4b3add4768p-8, 0x1.61f7f7f7368d2p-7, 0x1.03cbfe58b32ep-6, 0x1.55e7a978ac0cbp-6, 0x1.a71639d5b680dp-6, 0x1.f723971e723bp-6, 0x1.22f0131b4ff56p-5, 0x1.499056815ee7ep-5, 0x1.6f5f091f91a6ep-5, 0x1.944aa0950d6b7p-5, 0x1.b8437beeb6396p-5, 0x1.db3bcb82ea8c1p-5, 0x1.fd2784503a89fp-5, 0x1.0efe1d5290077p-4, 0x1.1ed88cd890f92p-4, 0x1.2e1f61985c61fp-4, 0x1.3ccfa1fcf3e26p-4, 0x1.4ae6fde0ad51ap-4, 0x1.5863c68a45e2p-4, 0x1.6544e20c631dp-4, 0x1.7189c22f64b48p-4, 0x1.7d3258b14da8dp-4, 0x1.883f0e2dac557p-4, 0x1.92b0b89ac1356p-4, 0x1.9c889291816f1p-4, 0x1.a5c83274693bp-4, 0x1.ae7181898e3c8p-4, 0x1.b686b2f7921c1p-4, 0x1.be0a3ae281949p-4, 0x1.c4fec5dc6d786p-4, 0x1.cb6730e24aa4cp-4, 0x1.d14681ff55949p-4, 0x1.d69fe19d36f34p-4, 0x1.db76947a8c24cp-4, 0x1.dfcdf62ea0b54p-4, 0x1.e3a974307c37p-4, 0x1.e70c894a9aa4fp-4, 0x1.e9fab97cf5831p-4, 0x1.ec778e48115ecp-4, 0x1.ee869364a600bp-4, 0x1.f02b53eccce8ep-4, 0x1.f16957ef5d7a8p-4, 0x1.f244226eb7057p-4, 0x1.f2bf2fbbf68a8p-4, 0x1.f2ddf4249dd85p-4, 0x1.f2a3dae493d87p-4, 0x1.f214454c3bbdp-4, 0x1.f1328a0c06f54p-4, 0x1.f001f49e321bp-4, 0x1.ee85c4b5d381fp-4, 0x1.ecc12dc18f62bp-4, 0x1.eab75662f8d44p-4, 0x1.e86b57efd80bfp-4, 0x1.e5e03de7ab12bp-4, 0x1.e319057628adfp-4, 0x1.e0189ce21a283p-4, 0x1.dce1e318ece07p-4, 0x1.d977a72816b71p-4, 0x1.d5dca7cae199cp-4, 0x1.d21392fda699cp-4, 0x1.ce1f05913f8bfp-4, 0x1.ca018ad8b71cbp-4, 0x1.c5bd9c4a57731p-4, 0x1.c155a143f456fp-4, 0x1.bccbeec8b8a35p-4, 0x1.b822c74bdd4b7p-4, 0x1.b35c5a9a9339dp-4, 0x1.ae7ac5b36b9bbp-4, 0x1.a98012cc24a92p-4, 0x1.a46e3951b4332p-4, 0x1.9f471df72f623p-4, 0x1.9a0c92ead7e17p-4, 0x1.94c057edfff7fp-4, 0x1.8f641aafdb7cfp-4, 0x1.89f9771657083p-4, 0x1.8481f78885ddbp-4, 0x1.7eff1577fec62p-4, 0x1.797239c127cfdp-4, 0x1.73dcbd1d76b95p-4, 0x1.6e3fe8d0b2e43p-4, 0x1.689cf710a8fecp-4, 0x1.62f5139396787p-4, 0x1.5d495c4df2e71p-4, 0x1.579ae1dc7f1a3p-4, 0x1.51eaa814e355cp-4, 0x1.4c39a6cab7cf8p-4, 0x1.4688ca362be4ap-4, 0x1.40d8f36fb9711p-4, 0x1.3b2af9336c867p-4, 0x1.357fa84654a83p-4, 0x1.2fd7c3c8a2c0ap-4, 0x1.2a3405f28561dp-4, 0x1.2495207919c21p-4, 0x1.1efbbcb56226cp-4, 0x1.19687c3d384b2p-4, 0x1.13dbf95f0fd8bp-4, 0x1.0e56c7282775dp-4, 0x1.08d971b322b6fp-4, 0x1.03647ebc1f852p-4, 0x1.fbf0db6d34927p-5, 0x1.f12b6f822c05fp-5, 0x1.e679a02e96924p-5, 0x1.dbdc48e4f736bp-5, 0x1.d15439aa1491fp-5, 0x1.c6e2371de4b3dp-5, 0x1.bc86fb8a02541p-5, 0x1.b243371922112p-5, 0x1.a8178f35ee85fp-5, 0x1.9e049ebe07728p-5, 0x1.940af700079a9p-5, 0x1.8a2b1fccaef26p-5, 0x1.806596a9fb4bdp-5, 0x1.76bacf09efc57p-5, 0x1.6d2b3358a5615p-5, 0x1.63b72517b2c82p-5, 0x1.5a5efc048109ap-5, 0x1.51230616f59eap-5, 0x1.480388ab4c38bp-5, 0x1.3f00c0f79f60fp-5, 0x1.361ae33912962p-5, 0x1.2d521a4e82d7bp-5, 0x1.24a688cda599fp-5, 0x1.1c184a0832782p-5, 0x1.13a771a52c84p-5, 0x1.0b540ab0509aap-5, 0x1.031e1832461a5p-5, 0x1.f60b2d745cc7bp-6, 0x1.e614f97667d24p-6, 0x1.d65973382c204p-6, 0x1.c6d86aae37167p-6, 0x1.b791a3788808ap-6, 0x1.a884d7b2eaaaep-6, 0x1.99b1b7af3b388p-6, 0x1.8b17e7eb7865p-6, 0x1.7cb701409f1e1p-6, 0x1.6e8e93e66e0e4p-6, 0x1.609e29d2a83dap-6, 0x1.52e54600b5f09p-6, 0x1.456362a0fca02p-6, 0x1.3817f1889bdf1p-6, 0x1.2b025f19acf2bp-6, 0x1.1e221467e481p-6, 0x1.117676b18a9fbp-6, 0x1.04fee5be53eccp-6, 0x1.f17577e681077p-7, 0x1.d952a1408e0a5p-7, 0x1.c193f458b931p-7, 0x1.aa381c5c805d6p-7, 0x1.933dc033cfd6ap-7, 0x1.7ca3814d7853cp-7, 0x1.6667fe17d376ap-7, 0x1.5089d612c709cp-7, 0x1.3b07ab9c46767p-7, 0x1.25e022d427fbep-7, 0x1.1111df7374c83p-7, 0x1.f9370969d323ap-8, 0x1.d0f76f7d651acp-8, 0x1.a96244cb15335p-8, 0x1.8274e83e17f0ep-8, 0x1.5c2cc1a852a05p-8, 0x1.36873e2c66ebcp-8, 0x1.1181cf6a8e16bp-8, 0x1.da33dd83b99aep-9, 0x1.929a437772725p-9, 0x1.4c31f836a68ap-9, 0x1.06f63c4fe07dcp-9, 0x1.85c4c31702b62p-10, 0x1.ffc71835c82a6p-11, 0x1.f0febb79a9bcdp-12, -0x1.4bf29ec4822fdp-16, -0x1.08e7360446bf9p-11, -0x1.019445280b863p-10, -0x1.7c9a228381bb5p-10, -0x1.f58d74399c062p-10, -0x1.363b32a7b7ee5p-9, -0x1.70ae7ee6c516cp-9, -0x1.aa2489a3c3235p-9, -0x1.e2a121e1014c7p-9, -0x1.0d140025c028ep-8, -0x1.285e68874bd38p-8, -0x1.43319cfd887f5p-8, -0x1.5d8f6c1a24a8fp-8, -0x1.77799c343bd36p-8, -0x1.90f1e83686dap-8, -0x1.a9f9ffc08612p-8, -0x1.c2938ad9efc5cp-8, -0x1.dac02ea25eae6p-8, -0x1.f2818f4c00a84p-8, -0x1.04eca713d7389p-7, -0x1.106482e0b4d71p-7, -0x1.1ba9239f6839p-7, -0x1.26bb4d727f3d4p-7, -0x1.319bc1cec4613p-7, -0x1.3c4b418186094p-7, -0x1.46ca8d7de47edp-7, -0x1.511a65eddb031p-7, -0x1.5b3b886c0d737p-7, -0x1.652eaebe73ec7p-7, -0x1.6ef48ee22823ap-7, -0x1.788ddc57e2504p-7, -0x1.81fb49d41204ap-7, -0x1.8b3d8a27adb19p-7, -0x1.94554fbf6813bp-7, -0x1.9d434b2e3a695p-7, -0x1.a60829d8de3d3p-7, -0x1.aea49592a32c2p-7, -0x1.b7193548d76fbp-7, -0x1.bf66ae3fb59fp-7, -0x1.c78da5176ad84p-7, -0x1.cf8ebded53bd2p-7, -0x1.d76a9b802d612p-7, -0x1.df21ddf2465a9p-7, -0x1.e6b521f77ba15p-7, -0x1.ee2500d0ce6ffp-7, -0x1.f57210f55ebefp-7, -0x1.fc9ce6ea4aa87p-7, -0x1.01d30ae7a1e61p-6, -0x1.054717a55b57fp-6, -0x1.08aae16a53939p-6, -0x1.0bfeae648b7eap-6, -0x1.0f42c2e8420edp-6, -0x1.1277616ff9368p-6, -0x1.159ccad48d575p-6, -0x1.18b33e92591b7p-6, -0x1.1bbafaf6390bbp-6, -0x1.1eb43d1d393adp-6, -0x1.219f40c204f06p-6, -0x1.247c3fec65c49p-6, -0x1.274b72af0629dp-6, -0x1.2a0d0f16d01e1p-6, -0x1.2cc149496be01p-6, -0x1.2f6853b4b952p-6, -0x1.32025f36434c2p-6, -0x1.348f9b29ec997p-6, -0x1.3710355d6186p-6, -0x1.398459e99da75p-6, -0x1.3bec33012360bp-6, -0x1.3e47e8cf4601ep-6, -0x1.4097a17b8e20cp-6, -0x1.42db814a107bp-6, -0x1.4513aac2104a4p-6, -0x1.47403ec9bfb1ap-6, -0x1.49615cb19c149p-6, -0x1.4b77222e6b204p-6, -0x1.4d81ab4973a1p-6, -0x1.4f811243f1b7p-6, -0x1.51756f8790691p-6, -0x1.535ed9ae944c7p-6, -0x1.553d659d6b1bap-6, -0x1.571126a67edf3p-6, -0x1.58da2ea59c48ap-6, -0x1.5a988e0fb5a45p-6, -0x1.5c4c53f7e9308p-6, -0x1.5df58e0ccecc5p-6, -0x1.5f944891dae4dp-6, -0x1.61288e58a53d9p-6, -0x1.62b268c636599p-6, -0x1.6431dfe60fd0ep-6, -0x1.65a6fa87c0b1bp-6, -0x1.6711be5c4a08p-6, -0x1.6872300cb8958p-6, -0x1.69c85348a795ap-6, -0x1.6b142ace81361p-6, -0x1.6c55b86ff5601p-6, -0x1.6d8cfd1560e32p-6, -0x1.6eb9f8c34ab86p-6, -0x1.6fdcaaa5dbcb6p-6, -0x1.70f5112480023p-6, -0x1.720329fb1a599p-6, -0x1.7306f2535472fp-6, -0x1.740066d9e9578p-6, -0x1.74ef83cf060a5p-6, -0x1.75d445125c208p-6, -0x1.76aea62bff259p-6, -0x1.777ea254217dp-6, -0x1.7844347bc354cp-6, -0x1.78ff57585993ep-6, -0x1.79b0057350c2fp-6, -0x1.7a56393d0da35p-6, -0x1.7af1ed2180fd2p-6, -0x1.7b831b99b071cp-6, -0x1.7c09bf3cdd7e4p-6, -0x1.7c85d2cd85ec7p-6, -0x1.7cf7514359488p-6, -0x1.7d5e35d4429a8p-6, -0x1.7dba7bfb7777fp-6, -0x1.7e0c1f819fdb6p-6, -0x1.7e531c86fb734p-6, -0x1.7e8f6f8fa1441p-6, -0x1.7ec11590f6515p-6, -0x1.7ee80bff2c046p-6, -0x1.7f0450d97c497p-6, -0x1.7f15e2b50303cp-6, -0x1.7f1cc0c61967bp-6, -0x1.7f18eae813906p-6, -0x1.7f0a61a344debp-6, -0x1.7ef126318dfc2p-6, -0x1.7ecd3a8277756p-6, -0x1.7e9ea1404137bp-6, -0x1.7e655dd656d2ep-6, -0x1.7e217478a86e2p-6, -0x1.7dd2ea2ad9845p-6, -0x1.7d79c4c69ded6p-6, -0x1.7d160b00fc059p-6, -0x1.7ca7c46eb12bbp-6, -0x1.7c2ef987dde16p-6, -0x1.7babb3aacb1c6p-6, -0x1.7b1dfd1d7e311p-6, -0x1.7a85e10e3a4cfp-6, -0x1.79e36b934bafep-6, -0x1.7936a9ab4b39fp-6, -0x1.787fa93e24e51p-6, -0x1.77be791eb7a63p-6, -0x1.76f3290c3f1f3p-6, -0x1.761dc9b32af32p-6, -0x1.753e6cac5a71cp-6, -0x1.7455247ccf2ffp-6, -0x1.7362049444bep-6, -0x1.7265214bafbcap-6, -0x1.715e8fe3108b1p-6, -0x1.704e667ec52edp-6, -0x1.6f34bc23ecae3p-6, -0x1.6e11a8b3f2633p-6, -0x1.6ce544e968424p-6, -0x1.6bafaa5455193p-6, -0x1.6a70f35742e8cp-6, -0x1.69293b24062bdp-6, -0x1.67d89db80aadap-6, -0x1.667f37d80eb66p-6, -0x1.651d270b93ap-6, -0x1.63b289984058cp-6, -0x1.623f7e7cf460fp-6, -0x1.60c4256c9facep-6, -0x1.5f409ec88badbp-6, -0x1.5db50b9a23936p-6, -0x1.5c218d8c5fac4p-6, -0x1.5a8646e551d72p-6, -0x1.58e35a800b535p-6, -0x1.5738ebc701ef5p-6, -0x1.55871eaf008bcp-6, -0x1.53ce17b231a79p-6, -0x1.520dfbc887161p-6, -0x1.5046f064fd1fap-6, -0x1.4e791b69b0b9cp-6, -0x1.4ca4a3268af13p-6, -0x1.4ac9ae4e02211p-6, -0x1.48e863ef8bcbbp-6, -0x1.4700eb70dd0d5p-6, -0x1.45136c87229cdp-6, -0x1.43200f30bc633p-6, -0x1.4126fbaf932f5p-6, -0x1.3f285a832b8eep-6, -0x1.3d24546316f3dp-6, -0x1.3b1b1238c1977p-6, -0x1.390cbd1867a19p-6, -0x1.36f97e3986b8ep-6, -0x1.34e17eef0a9cdp-6, -0x1.32c4e89f8f902p-6, -0x1.30a3e4bd9a357p-6, -0x1.2e7e9cc6976aap-6, -0x1.2c553a397ed26p-6, -0x1.2a27e6931abd5p-6, -0x1.27f6cb4f44d2ep-6, -0x1.25c211e091e4dp-6, -0x1.2389e3aaf01dap-6, -0x1.214e69fc697d2p-6, -0x1.1f0fce0461315p-6, -0x1.1cce38ca71f09p-6, -0x1.1a89d32665185p-6, -0x1.1842c5b95eb7bp-6, -0x1.15f938ea316efp-6, -0x1.13ad54e4281c2p-6, -0x1.115f41979bbd8p-6, -0x1.0f0f26bb4807ap-6, -0x1.0cbd2bcc7bf2fp-6, -0x1.0a69780c80bfdp-6, -0x1.0814327a2d722p-6, -0x1.05bd81c78a9e8p-6, -0x1.03658c4ca70c8p-6, -0x1.010c77f9bf3d6p-6, -0x1.fd64d4968df2cp-7, -0x1.f8af108531998p-7, -0x1.f3f7ecc9df1bdp-7, -0x1.ef3fb181f0127p-7, -0x1.ea86a5f3b0653p-7, -0x1.e5cd10a8b39e9p-7, -0x1.e11337853d85cp-7, -0x1.dc595fd4bb73fp-7, -0x1.d79fce44aa497p-7, -0x1.d2e6c6cbac344p-7, -0x1.ce2e8c7ee516dp-7, -0x1.c977615c2b252p-7, -0x1.c4c186132eec1p-7, -0x1.c00d39da536cfp-7, -0x1.bb5aba59023e1p-7, -0x1.b6aa43aeb7cc3p-7, -0x1.b1fc10982bcccp-7, -0x1.ad505aacc3788p-7, -0x1.a8a75aa8d45d6p-7, -0x1.a40148b4ef351p-7, -0x1.9f5e5c996196fp-7, -0x1.9abecdcf98167p-7, -0x1.9622d36925f74p-7, -0x1.918aa3ccb3345p-7, -0x1.8cf67451e303dp-7, -0x1.886678cdbaf8dp-7, -0x1.83dae325d0064p-7, -0x1.7f53e30143b4ap-7, -0x1.7ad1a5aaaef9fp-7, -0x1.7654562e08f05p-7, -0x1.71dc1db278867p-7, -0x1.6d69240466b84p-7, -0x1.68fb9039335ep-7, -0x1.6493894f491d6p-7, -0x1.603136ab4885fp-7, -0x1.5bd4c0567d41p-7, -0x1.577e4eed39cd2p-7, -0x1.532e0b3909b9ep-7, -0x1.4ee41d829e894p-7, -0x1.4aa0acb5b8d76p-7, -0x1.4663dd7c2459fp-7, -0x1.422dd178e2ee4p-7, -0x1.3dfea6c965f84p-7, -0x1.39d677e897356p-7, -0x1.35b55bffcb10bp-7, -0x1.319b67a062327p-7, -0x1.2d88add1157a2p-7, -0x1.297d4142efb37p-7, -0x1.2579357e8da5bp-7, -0x1.217c9fda48aadp-7, -0x1.1d879808d070cp-7, -0x1.199a3820e0416p-7, -0x1.15b49c1639bdap-7, -0x1.11d6e0b1beca8p-7, -0x1.0e01222d42df6p-7, -0x1.0a337aa97dc52p-7, -0x1.066e00bc90082p-7, -0x1.02b0c654f37c3p-7, -0x1.fdf7b043881b8p-8, -0x1.f69e7b3950893p-8, -0x1.ef55f37114107p-8, -0x1.e81e184e811d2p-8, -0x1.e0f6e6074724ap-8, -0x1.d9e0596128af5p-8, -0x1.d2da7340d05f1p-8, -0x1.cbe53b89f4ef8p-8, -0x1.c500c2d4a29f9p-8, -0x1.be2d22a818853p-8, -0x1.b76a7c2126e44p-8, -0x1.b0b8f52a60395p-8, -0x1.aa18b4a8a4381p-8, -0x1.a389de2d6bd6ap-8, -0x1.9d0c8dd548a3dp-8, -0x1.96a0d4f1a03b8p-8, -0x1.9046b7fbfb026p-8, -0x1.89fe2e1d19382p-8, -0x1.83c7225845be6p-8, -0x1.7da17632c5069p-8, -0x1.778d058142775p-8, -0x1.7189aae305c9p-8, -0x1.6b97445cb27e4p-8, -0x1.65b5b77bd7314p-8, -0x1.5fe4f472b6c06p-8, -0x1.5a24f7b341bd3p-8, -0x1.5475c9bb90821p-8, -0x1.4ed77d03be182p-8, -0x1.494a2a44e92ffp-8, -0x1.43cdeb9807a02p-8, -0x1.3e62d71ff7378p-8, -0x1.3908fa09be41fp-8, -0x1.33c054a13a859p-8, -0x1.2e88d8082fba1p-8, -0x1.296265d8a5f89p-8, -0x1.244cd1ae386d4p-8, -0x1.1f47e45018858p-8, -0x1.1a5360080160bp-8, -0x1.156f059ccaac5p-8, -0x1.109a9964b49b1p-8, -0x1.0bd5e7ebde7a8p-8, -0x1.0720c9b7aa834p-8, -0x1.027b25bd33e13p-8, -0x1.fbc9e46904354p-9, -0x1.f2bc6728c8bb5p-9, -0x1.e9cdf35ca90f9p-9, -0x1.e0feb64865f99p-9, -0x1.d84edf6829cf2p-9, -0x1.cfbe94229ccefp-9, -0x1.c74de44a40045p-9, -0x1.befcc118ca85bp-9, -0x1.b6caf7f6d154ap-9, -0x1.aeb831bfbcf45p-9, -0x1.a6c3f67277a51p-9, -0x1.9eedb4870a048p-9, -0x1.9734caa47b036p-9, -0x1.8f98924978588p-9, -0x1.88186a2133befp-9, -0x1.80b3bf1ce9bdcp-9, -0x1.796a13d113e58p-9, -0x1.723b05df1aa8fp-9, -0x1.6b26514d5df55p-9, -0x1.642bd1a06fbd9p-9, -0x1.5d4b806f6bd16p-9, -0x1.5685712be04c6p-9, -0x1.4fd9ca04ac54dp-9, -0x1.4948ba306d454p-9, -0x1.42d26e729e764p-9, -0x1.3c770534b4edap-9, -0x1.363683e1f1158p-9, -0x1.3010cf3678ef1p-9, -0x1.2a05a7cab8004p-9, -0x1.2414ab5f7fe93p-9, -0x1.1e3d5a7a96b5p-9, -0x1.187f210057e68p-9, -0x1.12d95fef160e6p-9, -0x1.0d4b76625ed53p-9, -0x1.07d4c892b8f96p-9, -0x1.0274c46a2d2a6p-9, -0x1.fa55c8573c538p-10, -0x1.efed6064a8bc8p-10, -0x1.e5af81a60c01ap-10, -0x1.db9b81b04fffep-10, -0x1.d1b0e103c103bp-10, -0x1.c7ef4f5f04091p-10, -0x1.be56ad121057ap-10, -0x1.b4e70599dab32p-10, -0x1.aba0839d9fb92p-10, -0x1.a2835ebf41247p-10, -0x1.998fc63771fcfp-10, -0x1.90c5cc4dcd274p-10, -0x1.882556e80b97cp-10, -0x1.7fae1859969e7p-10, -0x1.775f919bfcb77p-10, -0x1.6f391ca6e6dacp-10, -0x1.6739fb7423492p-10, -0x1.5f616700f0a89p-10, -0x1.57ae99d2cd418p-10, -0x1.5020d3328a1a7p-10, -0x1.48b75315fd20dp-10, -0x1.4171519173b0ap-10, -0x1.3a4df6968bd2bp-10, -0x1.334c56fc03d08p-10, -0x1.2c6b79efa84c8p-10, -0x1.25aa66ea4ee3ap-10, -0x1.1f08391819422p-10, -0x1.188432da35efcp-10, -0x1.121dcba9f77c7p-10, -0x1.0bd4b40f61585p-10, -0x1.05a8ce4ad2e4p-10, -0x1.ff343b5995a01p-11, -0x1.f351628df000dp-11, -0x1.e7a91f60f5901p-11, -0x1.dc3b5187e1f2ep-11, -0x1.d107a00941ep-11, -0x1.c60d7f51aca15p-11, -0x1.bb4c440afac0ep-11, -0x1.b0c33b74ae5b3p-11, -0x1.a671c11592fa1p-11, -0x1.9c574a52116fap-11, -0x1.927362a895de8p-11, -0x1.88c59741421e6p-11, -0x1.7f4d55d227764p-11, -0x1.7609c838343dp-11, -0x1.6cf9b93b7dc8p-11, -0x1.641b8dd387982p-11, -0x1.5b6d58885e248p-11, -0x1.52ed0438dbd1bp-11, -0x1.4a988bdab5acp-11, -0x1.426e3080888a6p-11, -0x1.3a6c9f5eb5463p-11, -0x1.3292fe3d725fp-11, -0x1.2ae0dc6ef3abap-11, -0x1.23560ebb79495p-11, -0x1.1bf282f661051p-11, -0x1.14b61971ce587p-11, -0x1.0da08e91dc419p-11, -0x1.06b1776836132p-11, -0x1.ffd09a7174143p-12, -0x1.f289006a5f752p-12, -0x1.e58b146a9568dp-12, -0x1.d8d5f9c514695p-12, -0x1.cc69127d38ad9p-12, -0x1.c043fec41aafp-12, -0x1.b4668ad0cc75cp-12, -0x1.a8d08a428e538p-12, -0x1.9d81a463d7d17p-12, -0x1.92791ad33a2b8p-12, -0x1.87b599a9d8796p-12, -0x1.7d3521d2095ddp-12, -0x1.72f519702e7afp-12, -0x1.68f2833992272p-12, -0x1.5f2a5075e75c9p-12, -0x1.5599b85b2bea1p-12, -0x1.4c3e7e6eca539p-12, -0x1.431717b5e136dp-12, -0x1.3a22a7c17a593p-12, -0x1.3160d899fbcabp-12, -0x1.28d19a84e44f6p-12, -0x1.2074e02b9344dp-12, -0x1.184a6be1e3b9ap-12, -0x1.1051b997ec38p-12, -0x1.088a036937341p-12, -0x1.00f255a998da3p-12, -0x1.f3134e23663ecp-13, -0x1.e49ddd9e3fe8fp-13, -0x1.d6826bc1a91fep-13, -0x1.c8bf4236583e7p-13, -0x1.bb52e247e888dp-13, -0x1.ae3bf2c64659dp-13, -0x1.a179281bd41ccp-13, -0x1.9509344783fddp-13, -0x1.88eac126adeeep-13, -0x1.7d1c69d47a4f1p-13, -0x1.719ca63d63c99p-13, -0x1.6669aa0df469ep-13, -0x1.5b81498f85cc4p-13, -0x1.50e0fb0da6716p-13, -0x1.4685fc0a91e54p-13, -0x1.3c6d8b17932a5p-13, -0x1.32951e52dd932p-13, -0x1.28fa8aad50b62p-13, -0x1.1f9c20c1bc27fp-13, -0x1.1678c401f5fb5p-13, -0x1.0d8ff2a881f84p-13, -0x1.04e1aeaa192dp-13, -0x1.f8dc894452306p-14, -0x1.e86bfd9d1d06ap-14, -0x1.d871b08e6aa3p-14, -0x1.c8ec863cc028p-14, -0x1.b9da2768fcf72p-14, -0x1.ab373b8da1353p-14, -0x1.9cfff36d6b1d3p-14, -0x1.8f3097efbd86fp-14, -0x1.81c5c540d8862p-14, -0x1.74bc385ec16ep-14, -0x1.68106d67ebbaep-14, -0x1.5bbe7057f3bcap-14, -0x1.4fc215eb6c00bp-14, -0x1.44178655e6abbp-14, -0x1.38bbcfb8cbb9ep-14, -0x1.2dad372d3ae0ap-14, -0x1.22eb23036ca71p-14, -0x1.1875a7b7e8a94p-14, -0x1.0e4ce92da29cfp-14, -0x1.0470910063f9ep-14, -0x1.f5bf0f79f0dacp-15, -0x1.e32fdf7820194p-15, -0x1.d12e7325c6194p-15, -0x1.bfb46f8bf317ep-15, -0x1.aebaa68b7d5c1p-15, -0x1.9e3a387a8969cp-15, -0x1.8e2e61d78c4abp-15, -0x1.7e95f4bc7f776p-15, -0x1.6f73737c66fcfp-15, -0x1.60cb6672ba668p-15, -0x1.52a1b2d877032p-15, -0x1.44f73bb5404dp-15, -0x1.37c8fced91e62p-15, -0x1.2b11117c555d2p-15, -0x1.1ec8f127e0b7p-15, -0x1.12eb61bc3d1c1p-15, -0x1.0774e4ffb7586p-15, -0x1.f8c543f28d58dp-16, -0x1.e361fce1850d8p-16, -0x1.ceb5de6f39276p-16, -0x1.bab49bbce4792p-16, -0x1.a7517ba2964d8p-16, -0x1.948139a67aab2p-16, -0x1.823b701ffbb0fp-16, -0x1.707b66c6db0cep-16, -0x1.5f4039207283ap-16, -0x1.4e8c3f09e88e3p-16, -0x1.3e63b0c56ac9p-16, -0x1.2ecabc8c285c1p-16, -0x1.1fc3996bbeffep-16, -0x1.114d57fcce618p-16, -0x1.0363f092a1f29p-16, -0x1.ec0282b0884f1p-17, -0x1.d23be4a0c7535p-17, -0x1.b963326db1fdbp-17, -0x1.a165fef8e7011p-17, -0x1.8a3440d2dd996p-17, -0x1.73c72fa15f7b4p-17, -0x1.5e251e6ef372ep-17, -0x1.495d01aafb186p-17, -0x1.357b584f98d0ap-17, -0x1.2280295a1938cp-17, -0x1.105d2e6f7e46dp-17, -0x1.fdfa8f4e59d54p-18, -0x1.dc9efe103f583p-18, -0x1.bc9a85dc01682p-18, -0x1.9defda4bd46aep-18, -0x1.80a2c8f26bdefp-18, -0x1.64ad4162a43cfp-18, -0x1.49fdfa8a577cap-18, -0x1.307d0a426eda6p-18, -0x1.1810dcd79271fp-18, -0x1.00a157cefd794p-18, -0x1.d433912568ad3p-19, -0x1.a8d5350f4c406p-19, -0x1.7f15a86e97a0bp-19, -0x1.56f11324af285p-19, -0x1.306f09ce1c8f2p-19, -0x1.0b9c8b92a4127p-19, -0x1.d109a08d44ffep-20, -0x1.8e5733bee71b7p-20, -0x1.4f1557a268ae5p-20, -0x1.13254f5f3e7cp-20, -0x1.b4bc6e5a161dfp-21, -0x1.4934c163a9d31p-21, -0x1.c70e9893fe1dp-22, -0x1.07469d4e24c47p-22, -0x1.4b3215863ee5dp-24, 0x1.5ca8d96252298p-24, 0x1.ef90225948b3p-23, 0x1.8fdcc8ac4fcb9p-22, 0x1.0fac64ca87a2fp-21, 0x1.52d875d575df6p-21, 0x1.9164932a83c46p-21, 0x1.cbb49a5a6c531p-21, 0x1.013107e75459bp-20, 0x1.1ae45df03ad08p-20, 0x1.32e9ac438bfa9p-20, 0x1.491a8b7b2d685p-20, 0x1.5d61873c35842p-20, 0x1.6fca924585df6p-20, 0x1.807703cb29aa1p-20, 0x1.8f8d86f632086p-20, 0x1.9d3352872ae7dp-20, 0x1.a98c34d50f7cep-20, 0x1.b4bad65c19d03p-20, 0x1.beddcdfc73c3ep-20, 0x1.c80a84e345f23p-20, 0x1.d0498341c0cdep-20, 0x1.d797c39777603p-20, 0x1.dded3e74c34e3p-20, 0x1.e3451ccb728c8p-20, 0x1.e7a31f84d414ep-20, 0x1.eb13fd81275bp-20, 0x1.eda92198e7d46p-20, 0x1.ef71bed69c206p-20, 0x1.f074f4d7528efp-20, 0x1.f0b1d52226e51p-20, 0x1.f0266b492071p-20, 0x1.eed7a26c60e51p-20, 0x1.ecd2445ceee13p-20, 0x1.ea2572e5b1d5fp-20, 0x1.e6df5357ce4d2p-20, 0x1.e31131ee7d85bp-20, 0x1.ded26234a4badp-20, 0x1.da3577566a60fp-20, 0x1.d53a267ab393dp-20, 0x1.cfd44f436d1d4p-20, 0x1.ca03131c5841ep-20, 0x1.c3d82597dc579p-20, 0x1.bd650d11378c2p-20, 0x1.b6a90bd28df09p-20, 0x1.af984749a9b82p-20, 0x1.a82e1f6513c6ep-20, 0x1.a071c7ef102b4p-20, 0x1.986ed2768e08ap-20, 0x1.902f4b6882cbdp-20, 0x1.87bb632d23fc5p-20, 0x1.7f1b61a8f1e16p-20, 0x1.7658b31eb282dp-20, 0x1.6d7cb9d84e5a4p-20, 0x1.648e1173efab7p-20, 0x1.5b8e59f8f8f85p-20, 0x1.527b35edabccep-20, 0x1.4952407d463cep-20, 0x1.401482161abb9p-20, 0x1.36c6cb970a2cfp-20, 0x1.2d6ece8955d4fp-20, 0x1.24100fd579d84p-20, 0x1.1aabef854028cp-20, 0x1.11442b2736e65p-20, 0x1.07dc430b60fc5p-20, 0x1.fcf0cffae9e8ep-21, 0x1.ea37e7fb2586dp-21, 0x1.d7921abd9b62fp-21, 0x1.c50227a1c00d8p-21, 0x1.b28a05de92ac2p-21, 0x1.a02b72976e26p-21, 0x1.8de92016ff496p-21, 0x1.7bc870e7be48bp-21, 0x1.69d16891ec393p-21, 0x1.5809feaaba2a6p-21, 0x1.4670a1cd4a50cp-21, 0x1.3500dccf10027p-21, 0x1.23bd901a5ef04p-21, 0x1.12ad18bf34c0cp-21, 0x1.01cf5cb4090d8p-21, 0x1.e246b227accb4p-22, 0x1.c1608a0612396p-22, 0x1.a0fecd0c2c509p-22, 0x1.81286a6246db3p-22, 0x1.61de5dd6c63dfp-22, 0x1.43248f13c409cp-22, 0x1.2500b223d1887p-22, 0x1.0772ab5025b02p-22, 0x1.d4dc7e00ebaa5p-23, 0x1.9bc02cd2a787fp-23, 0x1.638072b76fb0fp-23, 0x1.2c3cf3b41cb8ap-23, 0x1.ec4f02262bc53p-24, 0x1.8296531d1fe5ep-24, 0x1.1b08fed732652p-24, 0x1.6af925ea95388p-25, 0x1.48e9a0e1ac0c9p-26, -0x1.caa213524ac87p-29, -0x1.b065bb57f7ap-26, -0x1.8e8df41797b0cp-25, -0x1.201c59f9132c1p-24, -0x1.76bd8b4501a42p-24, -0x1.cb34e89891712p-24, -0x1.0ec01ae799d95p-23, -0x1.36cd1b8fedda2p-23, -0x1.5dbf2646f9e0dp-23, -0x1.83941e60fc055p-23, -0x1.a84986acbe528p-23, -0x1.cbdced658a149p-23, -0x1.ee4e481922816p-23, -0x1.07d16a9237e3bp-22, -0x1.17f20bae84ec5p-22, -0x1.278b3fe831deep-22, -0x1.3694f437758b4p-22, -0x1.44fb61ae0291ep-22, -0x1.52b494276ca59p-22, -0x1.5fdcf0cd47e48p-22, -0x1.6c97f0418dc1ap-22, -0x1.78e7016fffb71p-22, -0x1.84c7ec4e90592p-22, -0x1.902f1ad73371bp-22, -0x1.9afad4119e248p-22, -0x1.a51ef26f878bep-22, -0x1.aea91e87f6424p-22, -0x1.b7ae33064f624p-22, -0x1.c048f8d52a03bp-22, -0x1.c8896ef5d43a4p-22, -0x1.d060bbf1094e6p-22, -0x1.d7bcadbc8557ep-22, -0x1.deab5260cc715p-22, -0x1.e53e3e92da48cp-22, -0x1.eb63348fd37bcp-22, -0x1.f1018a1780a22p-22, -0x1.f61d90d390c56p-22, -0x1.facacb9dd91b3p-22, -0x1.ff16bbc1b3a0bp-22, -0x1.0182e5fef7d28p-21, -0x1.034c057355876p-21, -0x1.04e660ec5c82dp-21, -0x1.0651e34eec41cp-21, }}, 
      {{0x1.78fe8c70dbd75p-5, 0x1.3e06c92dde48cp-4, 0x1.6d6b495807497p-4, 0x1.4ab8ace898454p-4, 0x1.c360b1560f6fcp-5, 0x1.0b7cf68db9fccp-6, -0x1.00b3902a254bp-5, -0x1.57e8dd8997905p-4, -0x1.1b08344941addp-3, -0x1.87e1297d9cde6p-3, -0x1.ee4c953c6daa4p-3, -0x1.25a73856aca52p-2, -0x1.4e7bc28b1664bp-2, -0x1.711bde534200ap-2, -0x1.8d58edf522104p-2, -0x1.a3497f2899a13p-2, -0x1.b3379627d0861p-2, -0x1.bd919e308eb54p-2, -0x1.c2dde816bf036p-2, -0x1.c3b0839063f83p-2, -0x1.c0a33509a07d2p-2, -0x1.ba4f44ece557bp-2, -0x1.b148e44364c1dp-2, -0x1.a61be4ce6a6c4p-2, -0x1.994987699387p-2, -0x1.8b4729b9d0f87p-2, -0x1.7c7da303a47bep-2, -0x1.6d4926e6a96bfp-2, -0x1.5df98b5db39edp-2, -0x1.4ed2d58241ebap-2, -0x1.400df60db67dap-2, -0x1.31d9a35792187p-2, -0x1.245b42a1ca8e6p-2, -0x1.17afd5f333fbdp-2, -0x1.0bece6a088d53p-2, -0x1.0121670751b4cp-2, -0x1.eead0fd473401p-3, -0x1.dd20feb101c34p-3, -0x1.cd9e8039d9187p-3, -0x1.c01e42db2ab9dp-3, -0x1.b492ee2677776p-3, -0x1.aaea351d933d4p-3, -0x1.a30dcbeb1ee49p-3, -0x1.9ce442b998174p-3, -0x1.9851c77f24368p-3, -0x1.9538d098fc96fp-3, -0x1.937ab20327ed3p-3, -0x1.92f81ee92e32bp-3, -0x1.9391996a1b4f7p-3, -0x1.9527d23d20348p-3, -0x1.979bf9aba1c39p-3, -0x1.9ad002fe7396ap-3, -0x1.9ea6dbe685026p-3, -0x1.a30499395821p-3, -0x1.a7ce9b17354dfp-3, -0x1.aceba79e7fc18p-3, -0x1.b243fec2e819ep-3, -0x1.b7c165ce5bcfep-3, -0x1.bd4f2ed3778ecp-3, -0x1.c2da3c1fee4e8p-3, -0x1.c850fd9903801p-3, -0x1.cda36dcb75c53p-3, -0x1.d2c30567db0efp-3, -0x1.d7a2b2b868f77p-3, -0x1.dc36ca6289da9p-3, -0x1.e074fbb2eb93fp-3, -0x1.e45440d91e628p-3, -0x1.e7ccd00d7166ep-3, -0x1.ead809450f277p-3, -0x1.ed706565481bep-3, -0x1.ef9163f1fb0a4p-3, -0x1.f1377a856e6afp-3, -0x1.f260046403e91p-3, -0x1.f30932cd2236ap-3, -0x1.f331fd682dc3bp-3, -0x1.f2da12cdba92bp-3, -0x1.f201c928df8b3p-3, -0x1.f0aa0f2973b86p-3, -0x1.eed45d7501c28p-3, -0x1.ec82a8c610259p-3, -0x1.e9b754c891a7cp-3, -0x1.e67527b33c185p-3, -0x1.e2bf3e92608dp-3, -0x1.de99022e5a179p-3, -0x1.da061c880742dp-3, -0x1.d50a6ede33823p-3, -0x1.cfaa084544b8ep-3, -0x1.c9e91cd4b5f49p-3, -0x1.c3cbfd722267ap-3, -0x1.bd57104559a52p-3, -0x1.b68ec9cec49b4p-3, -0x1.af77a6a550c9p-3, -0x1.a81625cf2dc47p-3, -0x1.a06ec3ad637f6p-3, -0x1.9885f5726923dp-3, -0x1.90602514cbfe3p-3, -0x1.8801adb793f9fp-3, -0x1.7f6ed881599c6p-3, -0x1.76abd9d25709ep-3, -0x1.6dbccee0258fcp-3, -0x1.64a5bba38218p-3, -0x1.5b6a891c8819cp-3, -0x1.520f03dfca6a1p-3, -0x1.4896daf208a11p-3, -0x1.3f059ed72a074p-3, -0x1.355ec0edfd9e9p-3, -0x1.2ba592f1f0f98p-3, -0x1.21dd46b4048c9p-3, -0x1.1808ee005db9ep-3, -0x1.0e2b7aa14798ap-3, -0x1.0447be915d407p-3, -0x1.f4c0d879396adp-4, -0x1.e0f02dd946f52p-4, -0x1.cd2266835f8a6p-4, -0x1.b95c2f7fb9a82p-4, -0x1.a5a1faf6485a9p-4, -0x1.91f8017bdf29ep-4, -0x1.7e624398d9a26p-4, -0x1.6ae48b5243beap-4, -0x1.57826db943625p-4, -0x1.443f4c9c878cp-4, -0x1.311e5816cdd18p-4, -0x1.1e22904b7b985p-4, -0x1.0b4ec70894398p-4, -0x1.f14b42b2f0776p-5, -0x1.cc53328f5fb14p-5, -0x1.a7b9fec8a19ap-5, -0x1.8383f8a40dc4dp-5, -0x1.5fb524f818b67p-5, -0x1.3c513efce9ccap-5, -0x1.195bbb487fc72p-5, -0x1.edaf9623a2ad4p-6, -0x1.a990bd9119be8p-6, -0x1.666051b13aca4p-6, -0x1.2423418aab356p-6, -0x1.c5bc1626231e7p-7, -0x1.4529801950351p-7, -0x1.8d2c2f92585b3p-8, -0x1.2821c0e9db258p-9, 0x1.83ccfab3bb6bfp-10, 0x1.51d5e146caa19p-8, 0x1.1f4705da51505p-7, 0x1.938a034011fcdp-7, 0x1.02d852f6b9c8ep-6, 0x1.3adc1d8aac89dp-6, 0x1.71cf4d6d3557ap-6, 0x1.a7b110b4d825dp-6, 0x1.dc80d317252cp-6, 0x1.081f1d9c55646p-5, 0x1.21749448c7677p-5, 0x1.3a40d7d9c6449p-5, 0x1.52840b6e43089p-5, 0x1.6a3e6a39d3514p-5, 0x1.8170466e9f39cp-5, 0x1.981a076e2521ap-5, 0x1.ae3c289ecc70bp-5, 0x1.c3d738ebe0c16p-5, 0x1.d8ebd9af2aa77p-5, 0x1.ed7abd1f44a8p-5, 0x1.00c252b5ab475p-4, 0x1.0a85323399d9ap-4, 0x1.14066d4df5f75p-4, 0x1.1d467af3538fp-4, 0x1.2645d857965bbp-4, 0x1.2f0508d843c36p-4, 0x1.378495ac4a6c7p-4, 0x1.3fc50d47b692dp-4, 0x1.47c702ebf1719p-4, 0x1.4f8b0e95c237bp-4, 0x1.5711ccdd7d8dfp-4, 0x1.5e5bde78a2377p-4, 0x1.6569e7b51ed12p-4, 0x1.6c3c905656de8p-4, 0x1.72d483a4fee33p-4, 0x1.79327026474f4p-4, 0x1.7f57070af5c9bp-4, 0x1.8542fbe414546p-4, 0x1.8af704bb18125p-4, 0x1.9073da11307a6p-4, 0x1.95ba36719467fp-4, 0x1.9acad5f621184p-4, 0x1.9fa6763480ce4p-4, 0x1.a44dd6685d7aap-4, 0x1.a8c1b754e74dcp-4, 0x1.ad02dacefb599p-4, 0x1.b1120366f5352p-4, 0x1.b4eff47504c9p-4, 0x1.b89d7238c3ad4p-4, 0x1.bc1b41ac3e98cp-4, 0x1.bf6a281e28503p-4, 0x1.c28aeafa62ff1p-4, 0x1.c57e4fd93aa55p-4, 0x1.c8451c8e8c2b2p-4, 0x1.cae016fe7c0f4p-4, 0x1.cd5004d3b2f38p-4, 0x1.cf95ab5a8bb7ep-4, 0x1.d1b1cf8658ccbp-4, 0x1.d3a535efef3e5p-4, 0x1.d570a2b0e9ecbp-4, 0x1.d714d936dd32ep-4, 0x1.d8929c2ded2d4p-4, 0x1.d9eaad7fc95c8p-4, 0x1.db1dce422f6f3p-4, 0x1.dc2cbe90f8da4p-4, 0x1.dd183d7127425p-4, 0x1.dde108cfde5c6p-4, 0x1.de87dd8980b8p-4, 0x1.df0d77543d3ap-4, 0x1.df72908de30e7p-4, 0x1.dfb7e216dafd2p-4, 0x1.dfde2359d637fp-4, 0x1.dfe60a6a254e3p-4, 0x1.dfd04c058a5dep-4, 0x1.df9d9b633654bp-4, 0x1.df4ea9f38bc2cp-4, 0x1.dee4274b6dd8ep-4, 0x1.de5ec149d20ecp-4, 0x1.ddbf244515b34p-4, 0x1.dd05fb055453fp-4, 0x1.dc33ee83fcd2dp-4, 0x1.db49a5a55355fp-4, 0x1.da47c52bc1c2bp-4, 0x1.d92eefebdd06dp-4, 0x1.d7ffc706c0613p-4, 0x1.d6bae9eb0027bp-4, 0x1.d560f613e5244p-4, 0x1.d3f286bc20e41p-4, 0x1.d27034c6c4d13p-4, 0x1.d0da96f06ba59p-4, 0x1.cf324216e6117p-4, 0x1.cd77c952633b1p-4, 0x1.cbabbdc775d09p-4, 0x1.c9ceae56dcabbp-4, 0x1.c7e1276d9b4eap-4, 0x1.c5e3b31c12a02p-4, 0x1.c3d6d95e826eep-4, 0x1.c1bb2057120c1p-4, 0x1.bf910c4885b1ap-4, 0x1.bd591f57c1ef9p-4, 0x1.bb13d9460b99ep-4, 0x1.b8c1b75b607cep-4, 0x1.b6633490e4c6fp-4, 0x1.b3f8c9d954b7cp-4, 0x1.b182ee4e79db6p-4, 0x1.af0217234423cp-4, 0x1.ac76b768ec719p-4, 0x1.a9e13fd4ea37ep-4, 0x1.a7421eb3b0316p-4, 0x1.a499c011f947fp-4, 0x1.a1e88dfe9fa71p-4, 0x1.9f2ef0b6d38c5p-4, 0x1.9c6d4ea1549ebp-4, 0x1.99a40c20f3e83p-4, 0x1.96d38b61c20f5p-4, 0x1.93fc2c46148e2p-4, 0x1.911e4c816caf8p-4, 0x1.8e3a47cfd0a84p-4, 0x1.8b507826646eap-4, 0x1.886135c1be671p-4, 0x1.856cd70e0729ap-4, 0x1.8273b07d411d6p-4, 0x1.7f761469e44b3p-4, 0x1.7c74531b400aep-4, 0x1.796ebae975ee2p-4, 0x1.7665986d3683fp-4, 0x1.735936a089b3p-4, 0x1.7049dee2cb122p-4, 0x1.6d37d8e2bf3bbp-4, 0x1.6a236a8021ef7p-4, 0x1.670cd7ba31d57p-4, 0x1.63f462b83eb85p-4, 0x1.60da4be903c76p-4, 0x1.5dbed2289f728p-4, 0x1.5aa232db7796bp-4, 0x1.5784a9f4702dcp-4, 0x1.546671e821ed3p-4, 0x1.5147c397e8006p-4, 0x1.4e28d643a0a4ep-4, 0x1.4b09df8d085e9p-4, 0x1.47eb138d21948p-4, 0x1.44cca4f20956p-4, 0x1.41aec5185c315p-4, 0x1.3e91a417f6c8fp-4, 0x1.3b7570c23d7e4p-4, 0x1.385a589679e97p-4, 0x1.354087b52f336p-4, 0x1.322828dbe3dc5p-4, 0x1.2f11656e622b5p-4, 0x1.2bfc658aafc44p-4, 0x1.28e9501fb8703p-4, 0x1.25d84afeeb84dp-4, 0x1.22c97ae4b968ap-4, 0x1.1fbd0377a9989p-4, 0x1.1cb307417d05cp-4, 0x1.19aba7a799d74p-4, 0x1.16a704e97e02p-4, 0x1.13a53e284a8dap-4, 0x1.10a671759961cp-4, 0x1.0daabbe46f27dp-4, 0x1.0ab239972d45ep-4, 0x1.07bd05c7efb8cp-4, 0x1.04cb3acadfb0dp-4, 0x1.01dcf20bc79fdp-4, 0x1.fde488138807ap-5, 0x1.f81690aa863cbp-5, 0x1.f2502b26b5c2bp-5, 0x1.ec91830de82a7p-5, 0x1.e6dac239dcb7dp-5, 0x1.e12c10ef54308p-5, 0x1.db8595ef7e96dp-5, 0x1.d5e7768261eaep-5, 0x1.d051d67a64299p-5, 0x1.cac4d8327b37ep-5, 0x1.c5409c8aa1d54p-5, 0x1.bfc542e79bcb3p-5, 0x1.ba52e939e9e7cp-5, 0x1.b4e9ac0be7c6bp-5, 0x1.af89a69327f4ep-5, 0x1.aa32f2c0ab57ep-5, 0x1.a4e5a94d94371p-5, 0x1.9fa1e1c3feb3p-5, 0x1.9a67b284163d9p-5, 0x1.953730c5a65a3p-5, 0x1.9010709799d76p-5, 0x1.8af384e019111p-5, 0x1.85e07f605fef3p-5, 0x1.80d770bd5ec6p-5, 0x1.7bd8688b933aap-5, 0x1.76e3755afad69p-5, 0x1.71f8a4c149ef2p-5, 0x1.6d180361d4278p-5, 0x1.68419cf39d208p-5, 0x1.63757c459642ap-5, 0x1.5eb3ab40c9f3dp-5, 0x1.59fc32e950d39p-5, 0x1.554f1b5fb4096p-5, 0x1.50ac6be4903f6p-5, 0x1.4c142adf37477p-5, 0x1.47865de61c8ebp-5, 0x1.430309c732159p-5, 0x1.3e8a328f06486p-5, 0x1.3a1bdb8e8c8e7p-5, 0x1.35b807600f931p-5, 0x1.315eb7eb5181bp-5, 0x1.2d0fee68991dfp-5, 0x1.28cbab62a9f46p-5, 0x1.2491eeb856dd4p-5, 0x1.2062b79ed8d2bp-5, 0x1.1c3e04a5d8a89p-5, 0x1.1823d3bd0659p-5, 0x1.1414223a3e1cap-5, 0x1.100eecdf1907ap-5, 0x1.0c142fdd96245p-5, 0x1.0823e6dc24848p-5, 0x1.043e0cf95f911p-5, 0x1.00629ccf7ac77p-5, 0x1.f92320ee2ba2cp-6, 0x1.f195c312d2facp-6, 0x1.ea1d12441f773p-6, 0x1.e2b8ffc251b0ep-6, 0x1.db697bdcd3f92p-6, 0x1.d42e75fa54d28p-6, 0x1.cd07dca1ab5e3p-6, 0x1.c5f59d820d469p-6, 0x1.bef7a57a3725bp-6, 0x1.b80de09e9f564p-6, 0x1.b1383a3f63ce3p-6, 0x1.aa769cee2c029p-6, 0x1.a3c8f283a6df7p-6, 0x1.9d2f24244032ap-6, 0x1.96a91a4411c1bp-6, 0x1.9036bcaa81582p-6, 0x1.89d7f276550c6p-6, 0x1.838ca223037a9p-6, 0x1.7d54b18ef8e0dp-6, 0x1.773006021cf8ep-6, 0x1.711e8433e9a32p-6, 0x1.6b201050b9046p-6, 0x1.65348dfead9bp-6, 0x1.5f5be06270cf4p-6, 0x1.5995ea23ebe2fp-6, 0x1.53e28d72f2198p-6, 0x1.4e41ac0b7bb1bp-6, 0x1.48b327395205fp-6, 0x1.4336dfdb70615p-6, 0x1.3dccb66768594p-6, 0x1.38748aed5cbep-6, 0x1.332e3d1caddf4p-6, 0x1.2df9ac4921aa8p-6, 0x1.28d6b770116a5p-6, 0x1.23c53d3c4944dp-6, 0x1.1ec51c0a292c8p-6, 0x1.19d631eb69a14p-6, 0x1.14f85cab3d54dp-6, 0x1.102b79d0e973p-6, 0x1.0b6f66a3ed9aep-6, 0x1.06c4002fcd8dbp-6, 0x1.022923474f886p-6, 0x1.fb3d590f43f99p-7, 0x1.f248f0b748f2cp-7, 0x1.e974c5fe9535cp-7, 0x1.e0c09106759bap-7, 0x1.d82c09a0c503dp-7, 0x1.cfb6e756b2375p-7, 0x1.c760e16ee289ap-7, 0x1.bf29aef30d5edp-7, 0x1.b71106b58dd6fp-7, 0x1.af169f565de34p-7, 0x1.a73a2f4d10a8ap-7, 0x1.9f7b6cebd4553p-7, 0x1.97da0e6659c9fp-7, 0x1.9055c9dbf4fd5p-7, 0x1.88ee555a36ab4p-7, 0x1.81a366e1d24dep-7, 0x1.7a74b46a703d9p-7, 0x1.7361f3e61be4cp-7, 0x1.6c6adb44ce193p-7, 0x1.658f2078db744p-7, 0x1.5ece797c2ebccp-7, 0x1.58289c5657d42p-7, 0x1.519d3f2351997p-7, 0x1.4b2c181a7a765p-7, 0x1.44d4dd9550f8p-7, 0x1.3e974615205c9p-7, 0x1.387308472f05cp-7, 0x1.3267db072122p-7, 0x1.2c75755fd121p-7, 0x1.269b8e8b36ee3p-7, 0x1.20d9ddf26e6a6p-7, 0x1.1b301b2eceecep-7, 0x1.159dfe0d5e401p-7, 0x1.10233e94ca72ap-7, 0x1.0abf950d51ed7p-7, 0x1.0572ba0bd4eb9p-7, 0x1.003c667a00b2p-7, 0x1.f638a73c79fe3p-8, 0x1.ec2476430708bp-8, 0x1.e23bae1dc93abp-8, 0x1.d87dc3a1a8046p-8, 0x1.ceea2c56b0f62p-8, 0x1.c5805e6a1e7c7p-8, 0x1.bc3fd0a34e25ap-8, 0x1.b327fa5ed6b8cp-8, 0x1.aa385393af7b2p-8, 0x1.a17054e2f3fa9p-8, 0x1.98cf77b16e6eep-8, 0x1.90553646a4dc8p-8, 0x1.88010bed28391p-8, 0x1.7fd2750d0e0ddp-8, 0x1.77c8ef3b91a2bp-8, 0x1.6fe3f93c203d1p-8, 0x1.682312f14b733p-8, 0x1.6085bd40d2237p-8, 0x1.590b79ef41d3p-8, 0x1.51b3cb7b70a51p-8, 0x1.4a7e3501e9419p-8, 0x1.436a3a2f40a98p-8, 0x1.3c775f46bfabdp-8, 0x1.35a5293dca61p-8, 0x1.2ef31de95ad15p-8, 0x1.2860c436f874bp-8, 0x1.21eda466b8d93p-8, 0x1.1b99483d1d5eep-8, 0x1.15633b20c39bp-8, 0x1.0f4b0a1f89cd8p-8, 0x1.095043d62ffc3p-8, 0x1.0372783ec67ebp-8, 0x1.fb6270d877393p-9, 0x1.f0182c7e766d5p-9, 0x1.e5054842cda77p-9, 0x1.da28e9a7e77cp-9, 0x1.cf8236b88b969p-9, 0x1.c51056272ce15p-9, 0x1.bad26fad4397dp-9, 0x1.b0c7aca537457p-9, 0x1.a6ef38cfcf3b4p-9, 0x1.9d484313c2426p-9, 0x1.93d1fe1d9d841p-9, 0x1.8a8ba0d26cbf6p-9, 0x1.8174667163ec8p-9, 0x1.788b8e582343fp-9, 0x1.6fd05b76d68f7p-9, 0x1.674213854dc58p-9, 0x1.5edffe16c8549p-9, 0x1.56a963b1af8c8p-9, 0x1.4e9d8d11016f6p-9, 0x1.46bbc2ad86b32p-9, 0x1.3f034ca3c45cdp-9, 0x1.377372fc4e0ccp-9, 0x1.300b7e4bd44ebp-9, 0x1.28cab899e530ep-9, 0x1.21b06e6712178p-9, 0x1.1abbefb4906e6p-9, 0x1.13ec90e02d09dp-9, 0x1.0d41ab35275acp-9, 0x1.06ba9d1777294p-9, 0x1.0056c9bee63b7p-9, 0x1.f42b3110a4284p-10, 0x1.e7ece7e8c35bdp-10, 0x1.dbf190f1f906fp-10, 0x1.d03806a6fd7ecp-10, 0x1.c4bf231085443p-10, 0x1.b985be6a3b023p-10, 0x1.ae8aae9e6038p-10, 0x1.a3ccc7a53c201p-10, 0x1.994adcb86bf18p-10, 0x1.8f03c22c9ceeep-10, 0x1.84f64fb340facp-10, 0x1.7b2162ba5614ap-10, 0x1.7183e09cf08a6p-10, 0x1.681cb85af271ap-10, 0x1.5eeae398d4ddep-10, 0x1.55ed66bc8ac9ep-10, 0x1.4d235017e5424p-10, 0x1.448bb632599aep-10, 0x1.3c25b5682dfb6p-10, 0x1.33f06d3330fb5p-10, 0x1.2beafd7feecccp-10, 0x1.241484726ab78p-10, 0x1.1c6c1ced61635p-10, 0x1.14f0de07c5c04p-10, 0x1.0da1db7b96d45p-10, 0x1.067e26f0a3499p-10, 0x1.ff09a3d98a552p-11, 0x1.f169e04956cep-11, 0x1.e41b33ce1478bp-11, 0x1.d71bdcc23aa8p-11, 0x1.ca6a2b0903a01p-11, 0x1.be0482be329e2p-11, 0x1.b1e95d7b8a3d6p-11, 0x1.a61749fd48bd2p-11, 0x1.9a8cea142c748p-11, 0x1.8f48eeff0498fp-11, 0x1.844a14864413bp-11, 0x1.798f1b68e64cfp-11, 0x1.6f16c3d447e74p-11, 0x1.64dfc8aa8b925p-11, 0x1.5ae8dc404a9a8p-11, 0x1.5130a6ff4d179p-11, 0x1.47b5c8060020dp-11, 0x1.3e76d78a785f6p-11, 0x1.35726a8229d16p-11, 0x1.2ca716f0bbeb3p-11, 0x1.241378474c159p-11, 0x1.1bb633601bfefp-11, 0x1.138df9d399197p-11, 0x1.0b998c8b8874dp-11, 0x1.03d7bd8cb2974p-11, 0x1.f88ee1d89ba91p-12, 0x1.e9cf39b16e60fp-12, 0x1.db6e91250d727p-12, 0x1.cd6b1479de23fp-12, 0x1.bfc30713c524bp-12, 0x1.b274baf6f454cp-12, 0x1.a57e87576d91cp-12, 0x1.98debf725dd2fp-12, 0x1.8c93ab0851f6dp-12, 0x1.809b81a289fdap-12, 0x1.74f4694be3dbfp-12, 0x1.699c78b987371p-12, 0x1.5e91bc2a20324p-12, 0x1.53d23bc0e10acp-12, 0x1.495c01faa7271p-12, 0x1.3f2d211c54065p-12, 0x1.3543b70d4d8dfp-12, 0x1.2b9defbb34c12p-12, 0x1.223a06a815205p-12, 0x1.19164867d101fp-12, 0x1.1031149935447p-12, 0x1.0788e032d972ep-12, 0x1.fe38708f6134dp-13, 0x1.edd3854a40dfcp-13, 0x1.dde07c7042b52p-13, 0x1.ce5cff01dbe62p-13, 0x1.bf46d6f662f65p-13, 0x1.b09be1389414bp-13, 0x1.a259fede6e6aap-13, 0x1.947f086b42aa5p-13, 0x1.8708c5883a62p-13, 0x1.79f4ea81f53dep-13, 0x1.6d411b623ed62p-13, 0x1.60eaf30867a32p-13, 0x1.54f00bb0c4105p-13, 0x1.494e0624d49c9p-13, 0x1.3e028d6f8d2edp-13, 0x1.330b566597c93p-13, 0x1.28661bf21d389p-13, 0x1.1e109a838f3bap-13, 0x1.14088d6a30cfp-13, 0x1.0a4bb083a6909p-13, 0x1.00d7c6da11ca4p-13, 0x1.ef554a269ba53p-14, 0x1.dd847a4470a44p-14, 0x1.cc394fbb3af41p-14, 0x1.bb70536aa332ap-14, 0x1.ab2662361901dp-14, 0x1.9b589de43b855p-14, 0x1.8c04563dca2e1p-14, 0x1.7d26f07276dcap-14, 0x1.6ebdd2b1a2c2bp-14, 0x1.60c657f77c472p-14, 0x1.533dcd411e0b3p-14, 0x1.462176a34a08fp-14, 0x1.396e99010a896p-14, 0x1.2d2284814d762p-14, 0x1.213a9c0f473abp-14, 0x1.15b457269bc88p-14, 0x1.0a8d3ca22ad0ap-14, 0x1.ff85ae922d67bp-15, 0x1.eaa54e61bdecdp-15, 0x1.d67429a403959p-15, 0x1.c2ecd60150ebfp-15, 0x1.b009b6affd7bp-15, 0x1.9dc51ab574679p-15, 0x1.8c196a045e602p-15, 0x1.7b0155d6be715p-15, 0x1.6a77ffb114dc8p-15, 0x1.5a790d557b494p-15, 0x1.4b00a578cec0bp-15, 0x1.3c0b57cabc5eap-15, 0x1.2d95f88af588bp-15, 0x1.1f9d7b074eae6p-15, 0x1.121ed52e90fbbp-15, 0x1.0516f19048b07p-15, 0x1.f1055e6cfd774p-16, 0x1.d8bdd49f1281p-16, 0x1.c1510f60c42f4p-16, 0x1.aab8fd7c3f114p-16, 0x1.94efbfaf2d1b5p-16, 0x1.7fefad685b429p-16, 0x1.6bb350fc8992p-16, 0x1.58355a6c3222p-16, 0x1.457088ec6a91bp-16, 0x1.335f8e4110229p-16, 0x1.21fcf2d36cdf9p-16, 0x1.114303f6fc564p-16, 0x1.012bd4de7a5fcp-16, 0x1.e362ac13380f4p-17, 0x1.c59afe122430fp-17, 0x1.a8f4fff33fbb5p-17, 0x1.8d65db4dff3edp-17, 0x1.72e3bc612b276p-17, 0x1.5965e2a853c7fp-17, 0x1.40e488f4fe634p-17, 0x1.2958ace2694efp-17, 0x1.12bbc525b8afcp-17, 0x1.fa0ef653acbebp-18, 0x1.d06af37510f68p-18, 0x1.a87eaf17bbb16p-18, 0x1.823d2f342fddp-18, 0x1.5d9967d3d9f5p-18, 0x1.3a8653395bb7p-18, 0x1.18f70627e2443p-18, 0x1.f1bd7d69f0a52p-19, 0x1.b461d8bdc65c1p-19, 0x1.79c263dc96326p-19, 0x1.41c6cf0be12e9p-19, 0x1.0c574b8c0a01ep-19, 0x1.b2b96bc764fb2p-20, 0x1.51817ab6ba609p-20, 0x1.e9b7a635e2f05p-21, 0x1.393dba757f3dap-21, 0x1.22873999197f7p-22, -0x1.d0f0321c59f6fp-26, -0x1.4ce77ce596452p-22, -0x1.36cfec83650aep-21, -0x1.bfe8c1192bcc1p-21, -0x1.21040d73be40ep-20, -0x1.5eba210a0b0d2p-20, -0x1.9937700efec5dp-20, -0x1.d099f2be16ef4p-20, -0x1.027e44fe92b29p-19, -0x1.1b3bb4b04b95bp-19, -0x1.32908792bfa0dp-19, -0x1.4887b88468934p-19, -0x1.5d2c79844311ep-19, -0x1.708a70c666e7fp-19, -0x1.82adaea5d1c6dp-19, -0x1.93a270a6efd98p-19, -0x1.a374ddf32a26bp-19, -0x1.b230e8d356725p-19, -0x1.bfe25f66f7f61p-19, -0x1.cc95090df2475p-19, -0x1.d854a162b2afcp-19, -0x1.e32c9de74d925p-19, -0x1.ed27d8d464cfbp-19, -0x1.f6504645ace1fp-19, -0x1.feaedde14deb3p-19, -0x1.0325de5f31cb8p-18, -0x1.069735cc6c063p-18, -0x1.09af180d5a363p-18, -0x1.0c71253781a58p-18, -0x1.0ee10896b6935p-18, -0x1.110278942da0cp-18, -0x1.12d93212577dp-18, -0x1.1468f4766ab2dp-18, -0x1.15b5777234361p-18, -0x1.16c24c3de9bb7p-18, -0x1.1792bb515f836p-18, -0x1.18298aaf0c9dap-18, -0x1.1889327716a0dp-18, -0x1.18b3f1434b0edp-18, -0x1.18ac1e67546c2p-18, -0x1.187445c623f5cp-18, -0x1.180f15094a1f6p-18, -0x1.177f350bdddc4p-18, -0x1.16c6ffb88e37dp-18, -0x1.15e89e72ecb2fp-18, -0x1.14e63a6c3eb1p-18, -0x1.13c1d360ebc1fp-18, -0x1.127da6cc7f68ap-18, -0x1.111bb6c3417cbp-18, -0x1.0f9de04e70994p-18, -0x1.0e05b7ed317b5p-18, -0x1.0c54988e0bd83p-18, -0x1.0a8bbc19ea5ccp-18, -0x1.08ac5526c0394p-18, -0x1.06b7a3d93df37p-18, -0x1.04af039a58454p-18, -0x1.0293f01fb5fc3p-18, -0x1.0067fff816e4bp-18, -0x1.fc59a75b970c9p-19, -0x1.f7c7f9a88109ap-19, -0x1.f31dcc22ddd7dp-19, -0x1.ee5d9138ea707p-19, -0x1.e989675a12142p-19, -0x1.e4a333495fcc6p-19, -0x1.dfac9eaadd97dp-19, -0x1.daa6fb0151d14p-19, -0x1.d5934d59ca6b3p-19, -0x1.d072b971d8dfdp-19, -0x1.cb47121d89b2dp-19, -0x1.c6130222c013p-19, -0x1.c0d98308f396ap-19, -0x1.bb9cf56d767a9p-19, -0x1.b65e8de1cc348p-19, -0x1.b11e9357251bfp-19, -0x1.abdd430c7417dp-19, -0x1.a69b98f3455efp-19, -0x1.a15b54dd400dfp-19, -0x1.9c1e53d560ee5p-19, -0x1.96e5e58109375p-19, -0x1.91b296210b52fp-19, -0x1.8c845fb4dd7efp-19, -0x1.875af90657f05p-19, -0x1.823614aaabae4p-19, -0x1.7d158c3d638f1p-19, -0x1.77f981400c244p-19, -0x1.72e274815983p-19, -0x1.6dd14ab09b71cp-19, -0x1.68c736129801ap-19, -0x1.63c58888e4db2p-19, -0x1.5ecd81570c38fp-19, -0x1.59e025fc3551cp-19, -0x1.54fe3123b5ffbp-19, -0x1.502814d427008p-19, -0x1.4b5e0dd4d21b5p-19, -0x1.46a04c8bc6b2fp-19, -0x1.41ef263cbc905p-19, -0x1.3d4b1b7098ecap-19, -0x1.38b4855acf968p-19, -0x1.342b24aaa36cep-19, -0x1.2fae34520226bp-19, -0x1.2b3d3aa7e6414p-19, -0x1.26d8c8f9e0cf4p-19, -0x1.22822e31bbd0cp-19, -0x1.1e3a50ccb916cp-19, -0x1.1a00e535733e2p-19, -0x1.15d4d828050c2p-19, -0x1.11b586387e2c6p-19, -0x1.0da37abae9087p-19, -0x1.099ff97892933p-19, -0x1.05abfc515ecc3p-19, -0x1.01c7b49d90a0ep-19, -0x1.fbe57846bd3ap-20, -0x1.f458e80c2d3c5p-20, -0x1.ece86dcbf5a04p-20, -0x1.e592c28e77f26p-20, -0x1.de56aa7d60989p-20, -0x1.d7331dd443164p-20, -0x1.d0278f23f83b8p-20, -0x1.c93413df30911p-20, -0x1.c259520b66955p-20, -0x1.bb9828cced476p-20, -0x1.b4f1413a122a6p-20, -0x1.ae64c8c76b18dp-20, -0x1.a7f26ec156146p-20, -0x1.a1999ef3fbd3p-20, -0x1.9b59def3387fp-20, -0x1.95331bee1c13bp-20, -0x1.8f25a86b40af6p-20, -0x1.8931da0e05017p-20, -0x1.83579b27031f6p-20, -0x1.7d965d8d5399ep-20, -0x1.77ed6eb308c33p-20, -0x1.725c31191791ap-20, -0x1.6ce1e23ad4677p-20, -0x1.677d610e09a75p-20, -0x1.622dba539fca3p-20, -0x1.5cf306fe9a65ap-20, -0x1.57ce1d9e18962p-20, -0x1.52bf28f5a7d56p-20, -0x1.4dc5170cb630dp-20, -0x1.48debd282df07p-20, -0x1.440c236c9e174p-20, -0x1.3f4e2b1fba219p-20, -0x1.3aa549c7b4ceap-20, -0x1.36111bd606ff7p-20, -0x1.3190dc4cb6f5ap-20, -0x1.2d23d39209508p-20, -0x1.28c965843664cp-20, -0x1.2480f17e75f8ep-20, -0x1.2049c01ad2a88p-20, -0x1.1c23103bebc2dp-20, -0x1.180c6ed5c465ep-20, -0x1.1405b9fa831fp-20, -0x1.100f047ae2eap-20, -0x1.0c287d0c6e4fap-20, -0x1.08520257f90bp-20, -0x1.048b26d1b34d7p-20, -0x1.00d36973afffbp-20, -0x1.fa54e330c8af5p-21, -0x1.f3201d93aa0c5p-21, -0x1.ec08102d32bb3p-21, -0x1.e50c01e857b22p-21, -0x1.de2b1c24f2a25p-21, -0x1.d764a5e8f2bcep-21, -0x1.d0b8118253dbp-21, -0x1.ca24ec7c4cd4ap-21, -0x1.c3aad386a236ap-21, -0x1.bd496b7f9c71fp-21, -0x1.b700478c69301p-21, -0x1.b0cec13c10f0ap-21, -0x1.aab3eeabbe447p-21, -0x1.a4af023749f31p-21, -0x1.9ebfd2aef85fp-21, -0x1.98e6861130cd5p-21, -0x1.9322a399a7282p-21, -0x1.8d735c6fea5b3p-21, -0x1.87d87c15caabcp-21, -0x1.8251e915d2605p-21, -0x1.7cdeb20c9b475p-21, -0x1.777d9c3cc617bp-21, -0x1.722dfb9b3f9a9p-21, -0x1.6cef784cbce23p-21, -0x1.67c1997170b93p-21, -0x1.62a3d039922ebp-21, -0x1.5d95df0f017cdp-21, -0x1.589831aec5452p-21, -0x1.53ab96d4a9cbfp-21, -0x1.4ed03c4915b66p-21, -0x1.4a04ffe1be3e2p-21, -0x1.45483ea5d9554p-21, -0x1.409965427fbdfp-21, -0x1.3bf9440f8a72p-21, -0x1.3767b90a66b6p-21, -0x1.32e425f50d8f2p-21, -0x1.2e6c6207f746ap-21, -0x1.29ffebb92beb5p-21, -0x1.259f2ff7bdd2ap-21, -0x1.214ac06ea01e2p-21, -0x1.1d02d2042000ep-21, -0x1.18c7418f71b1ep-21, -0x1.1497c28fd9e44p-21, -0x1.107401214b252p-21, -0x1.0c5badeb24867p-21, -0x1.084e7a9c6a829p-21, -0x1.044c131f5b8c5p-21, -0x1.00542019b9371p-21, -0x1.f8ccb1af34a5bp-22, -0x1.f105429bcbfcp-22, -0x1.e95211de43fe6p-22, -0x1.e1b2f9834abe9p-22, -0x1.da267d23397aep-22, -0x1.d2a944145423cp-22, -0x1.cb3912258f64fp-22, -0x1.c3d90ab1dade2p-22, -0x1.bc8dd58cb799dp-22, -0x1.b55774f0ac75p-22, -0x1.ae355770fa3ap-22, -0x1.a72558a37d3e1p-22, -0x1.a0215d72f26c6p-22, -0x1.9926691a4bee3p-22, -0x1.9235fd8d6478fp-22, -0x1.8b532e327eed5p-22, -0x1.8482286f53af1p-22, -0x1.7dc52dd2674f4p-22, -0x1.771921e993a3fp-22, -0x1.707a512d4ba79p-22, -0x1.69ea98f2ebd48p-22, -0x1.636c76981c134p-22, -0x1.5cfc3f8a0f67bp-22, -0x1.5695300568132p-22, -0x1.503784244a2e3p-22, -0x1.49e6179fafe9ap-22, -0x1.43a2be9a1e273p-22, -0x1.3d6dbf2a5e8bcp-22, -0x1.37469fb2229c8p-22, -0x1.312cc60ca07c2p-22, -0x1.2b1fb01de1f7ap-22, }}, 
      {{-0x1.16eedc40ec85p+0, -0x1.ee5d2e3467f11p-1, -0x1.a3d7bbd2b7593p-1, -0x1.5b43adb64791p-1, -0x1.1af8f33e55742p-1, -0x1.cab86519d1946p-2, -0x1.75292d94323bep-2, -0x1.333ab0ae344bbp-2, -0x1.01d8957b73839p-2, -0x1.bb4f6755706bbp-3, -0x1.86e6e4b8ce76cp-3, -0x1.60ca67732534ep-3, -0x1.4435e48d6bb4bp-3, -0x1.2d5520f21c30bp-3, -0x1.1934dfda3121ap-3, -0x1.05a96028f89d4p-3, -0x1.e26164958676bp-4, -0x1.b5a976690aecep-4, -0x1.841e0399dc259p-4, -0x1.4d5eb8d21ef98p-4, -0x1.118bec83a0c2dp-4, -0x1.a2430c68cb54bp-5, -0x1.19b0ebf08f6c8p-5, -0x1.1638acbdbbd92p-6, 0x1.e753822043654p-11, 0x1.3932cb356aeb1p-6, 0x1.3205baa460335p-5, 0x1.c62fb84b3c85fp-5, 0x1.2bc73d2e34eeap-4, 0x1.7264613cf6bd5p-4, 0x1.b65bdebd74f78p-4, 0x1.f733afc57bbd3p-4, 0x1.1a453eff9a7a8p-3, 0x1.370b27de899e6p-3, 0x1.51d1660648fe2p-3, 0x1.6a879ff161ebap-3, 0x1.812642413585ap-3, 0x1.95ad6f7e2241cp-3, 0x1.a823f50614136p-3, 0x1.b8964b3353048p-3, 0x1.c715a4c57715ep-3, 0x1.d3b71011b58eap-3, 0x1.de92ab57dcbacp-3, 0x1.e7c2ecbc1b35bp-3, 0x1.ef63fdbd389dep-3, 0x1.f593298f8509p-3, 0x1.fa6e5d83e4a3cp-3, 0x1.fe13ba72e986cp-3, 0x1.00509aec5a3d7p-2, 0x1.011a24a95be6ep-2, 0x1.0174d7a437be2p-2, 0x1.016e95e87febfp-2, 0x1.0114b038f2b89p-2, 0x1.0073d4c0fb9bcp-2, 0x1.ff30035fb2bb1p-3, 0x1.fd18f7b5cfb0fp-3, 0x1.fab791709013fp-3, 0x1.f81f572cb376p-3, 0x1.f5624a14522fep-3, 0x1.f290e792787cep-3, 0x1.efba3028dc8fep-3, 0x1.ecebaf0ef933bp-3, 0x1.ea3188a413605p-3, 0x1.e79686c742fd7p-3, 0x1.e5242972a9915p-3, 0x1.e2e2b51c957p-3, 0x1.e0d943abaadc8p-3, 0x1.df0dd4d72e4cp-3, 0x1.dd8560c478ed7p-3, 0x1.dc43e97d076bcp-3, 0x1.db4c8d2743aa7p-3, 0x1.daa196bd68b4cp-3, 0x1.da448e60773ep-3, 0x1.da3648e141a5dp-3, 0x1.da76f6f2f52f6p-3, 0x1.db0634082bd13p-3, 0x1.dbe314dbf8efap-3, 0x1.dd0c357d5dbacp-3, 0x1.de7fc6bb70393p-3, 0x1.e03b9ad32d3f1p-3, 0x1.e23d3156f2f23p-3, 0x1.e481c254a8f84p-3, 0x1.e70648c64ea6fp-3, 0x1.e9c78c5f40699p-3, 0x1.ecc22abcddeb1p-3, 0x1.eff2a003fa451p-3, 0x1.f3554ee6e97a6p-3, 0x1.f6e6881209e0cp-3, 0x1.faa290fbd09dep-3, 0x1.fe85aa140325dp-3, 0x1.01460a2c8cfd4p-2, 0x1.03590b2afb698p-2, 0x1.057a0049ae508p-2, 0x1.07a718c3aa1bbp-2, 0x1.09de8c856d454p-2, 0x1.0c1e9db0b5178p-2, 0x1.0e6599ece2f1dp-2, 0x1.10b1db864a229p-2, 0x1.1301ca61c9902p-2, 0x1.1553dcc480d07p-2, 0x1.17a697f49a5b6p-2, 0x1.19f890b4a2702p-2, 0x1.1c486b9dff31cp-2, 0x1.1e94dd5a715b2p-2, 0x1.20dcaac64932p-2, 0x1.231ea8f5f7ef3p-2, 0x1.2559bd2aa700ap-2, 0x1.278cdcb2c417ap-2, 0x1.29b70cba04893p-2, 0x1.2bd7620e7e2ap-2, 0x1.2ded00d44fb47p-2, 0x1.2ff71c347fe3ep-2, 0x1.31f4f5fbf93f2p-2, 0x1.33e5de354a3e2p-2, 0x1.35c932bb88dacp-2, 0x1.379e5ec290397p-2, 0x1.3964da60648c1p-2, 0x1.3b1c2a0e3a6dbp-2, 0x1.3cc3de29c3bb1p-2, 0x1.3e5b9275f6479p-2, 0x1.3fe2ed992cd51p-2, 0x1.4159a0a16a962p-2, 0x1.42bf66852d525p-2, 0x1.441403a94acebp-2, 0x1.4557456c59e66p-2, 0x1.468901ae54f2fp-2, 0x1.47a91661ce5b4p-2, 0x1.48b769200aa4dp-2, 0x1.49b3e6b9e6ba2p-2, 0x1.4a9e82d482692p-2, 0x1.4b7737867b94p-2, 0x1.4c3e04f222021p-2, 0x1.4cf2f0ecb710cp-2, 0x1.4d9606a584ee6p-2, 0x1.4e275648fc905p-2, 0x1.4ea6f4b1d5638p-2, 0x1.4f14fb1b913a5p-2, 0x1.4f7186ceab8d2p-2, 0x1.4fbcb8da96ff4p-2, 0x1.4ff6b5d531789p-2, 0x1.501fa5912a092p-2, 0x1.5037b2ded9408p-2, 0x1.503f0b589df87p-2, 0x1.5035df2592dc4p-2, 0x1.501c60bf2ac5p-2, 0x1.4ff2c4c779632p-2, 0x1.4fb941dab30d5p-2, 0x1.4f7010599f294p-2, 0x1.4f176a43b67a8p-2, 0x1.4eaf8b1789ce6p-2, 0x1.4e38afa6bf12p-2, 0x1.4db315ee85753p-2, 0x1.4d1efcfffd234p-2, 0x1.4c7ca4e3f0144p-2, 0x1.4bcc4e74f6f41p-2, 0x1.4b0e3b448115p-2, 0x1.4a42ad8a8bf7cp-2, 0x1.4969e80cb468fp-2, 0x1.48842dffbe918p-2, 0x1.4791c2f473dc2p-2, 0x1.4692eacb88182p-2, 0x1.4587e9a1ef783p-2, 0x1.447103b89f2bap-2, 0x1.434e7d64b188p-2, 0x1.42209b06ec09fp-2, 0x1.40e7a0fec34a3p-2, 0x1.3fa3d396dc166p-2, 0x1.3e5576f58f0aep-2, 0x1.3cfccf16d961bp-2, 0x1.3b9a1fc6abe01p-2, 0x1.3a2dac925788dp-2, 0x1.38b7b8b8040d6p-2, 0x1.373887206309cp-2, 0x1.35b05a5ee61ddp-2, 0x1.341f74aa1b8d8p-2, 0x1.328617cb5350ap-2, 0x1.30e48514aad82p-2, 0x1.2f3afd634a1f2p-2, 0x1.2d89c11fccc79p-2, 0x1.2bd1103234dfdp-2, 0x1.2a1129f40b764p-2, 0x1.284a4d2ecd4c6p-2, 0x1.267cb82141c04p-2, 0x1.24a8a87c0ac04p-2, 0x1.22ce5b547b026p-2, 0x1.20ee0d1c79b3p-2, 0x1.1f07f9a5da50ep-2, 0x1.1d1c5c262bb93p-2, 0x1.1b2b6f30742fep-2, 0x1.19356caa96052p-2, 0x1.173a8dca4faefp-2, 0x1.153b0b19a05e3p-2, 0x1.13371c77b901ap-2, 0x1.112ef9121b4b7p-2, 0x1.0f22d75da40bap-2, 0x1.0d12ed1706c57p-2, 0x1.0aff6f46bcd69p-2, 0x1.08e8923f7e7abp-2, 0x1.06ce899749a09p-2, 0x1.04b188233d8bbp-2, 0x1.0291bffabd79p-2, 0x1.006f627bd0cdap-2, 0x1.fc954090ad4b1p-3, 0x1.f847527c33c6fp-3, 0x1.f3f558e5d1452p-3, 0x1.ef9fb0731921fp-3, 0x1.eb46b4516a4dfp-3, 0x1.e6eabe3402b87p-3, 0x1.e28c26416c24fp-3, 0x1.de2b430534831p-3, 0x1.d9c8697706531p-3, 0x1.d563ed0f2bea7p-3, 0x1.d0fe1fd09e11bp-3, 0x1.cc97523bb4694p-3, 0x1.c82fd336e5f96p-3, 0x1.c3c7f00770979p-3, 0x1.bf5ff462f94cp-3, 0x1.baf82a882570cp-3, 0x1.b690db44acf6fp-3, 0x1.b22a4de27c778p-3, 0x1.adc4c80f3676fp-3, 0x1.a9608dd823b2dp-3, 0x1.a4fde1c036c9cp-3, 0x1.a09d04dbad2b9p-3, 0x1.9c3e36d794909p-3, 0x1.97e1b5e751505p-3, 0x1.9387beaabe0bcp-3, 0x1.8f308c26e66bep-3, 0x1.8adc57da2eebcp-3, 0x1.868b59daf067bp-3, 0x1.823dc8e6bd195p-3, 0x1.7df3da56e7933p-3, 0x1.79adc206b8683p-3, 0x1.756bb243e8186p-3, 0x1.712ddbd91ac0ep-3, 0x1.6cf46e2b6cbfep-3, 0x1.68bf97540cacbp-3, 0x1.648f842353dedp-3, 0x1.6064600e08294p-3, 0x1.5c3e5516da699p-3, 0x1.581d8bc8c93fcp-3, 0x1.54022b495458bp-3, 0x1.4fec59762d224p-3, 0x1.4bdc3af9ba1p-3, 0x1.47d1f34a0cf67p-3, 0x1.43cda496ccc81p-3, 0x1.3fcf6fb6d56eap-3, 0x1.3bd77425fc0bdp-3, 0x1.37e5d0170917ap-3, 0x1.33faa08efeb66p-3, 0x1.30160178a30f9p-3, 0x1.2c380da6140b9p-3, 0x1.2860dec32eb65p-3, 0x1.24908d45a6a7dp-3, 0x1.20c73068af124p-3, 0x1.1d04de39a6c16p-3, 0x1.1949abaf7ab9cp-3, 0x1.1595acbf895d9p-3, 0x1.11e8f465c7faap-3, 0x1.0e43949eafa3fp-3, 0x1.0aa59e5a6fc56p-3, 0x1.070f217499f7p-3, 0x1.03802cb8399aep-3, 0x1.fff19be00e70ap-4, 0x1.f8f223f59d734p-4, 0x1.f20209b4b017fp-4, 0x1.eb21636e92299p-4, 0x1.e45045b6a9081p-4, 0x1.dd8ec3506630fp-4, 0x1.d6dced26ddf67p-4, 0x1.d03ad2581569ep-4, 0x1.c9a8805169356p-4, 0x1.c32602f108858p-4, 0x1.bcb3649ec917ep-4, 0x1.b650ae550f2d9p-4, 0x1.affde79b3205ap-4, 0x1.a9bb1679c464fp-4, 0x1.a3883f7422711p-4, 0x1.9d65658f6441cp-4, 0x1.97528a66f2905p-4, 0x1.914fae475c1cdp-4, 0x1.8b5cd045b8207p-4, 0x1.8579ee4cff3b6p-4, 0x1.7fa7052038c6dp-4, 0x1.79e41055230a5p-4, 0x1.74310a4e477d6p-4, 0x1.6e8dec3bb3527p-4, 0x1.68faae25e742bp-4, 0x1.63774700cdf14p-4, 0x1.5e03acc08a4e1p-4, 0x1.589fd46a38088p-4, 0x1.534bb21d76962p-4, 0x1.4e073916b4c7p-4, 0x1.48d25bad0a22fp-4, 0x1.43ad0b4fa090fp-4, 0x1.3e973887e9ee2p-4, 0x1.3990d302c7afp-4, 0x1.3499c99ef82d6p-4, 0x1.2fb20a7cffc6dp-4, 0x1.2ad9830c9118ap-4, 0x1.261020159226bp-4, 0x1.2155cdbc707dp-4, 0x1.1caa7782d7f83p-4, 0x1.180e08471e4afp-4, 0x1.13806a4573839p-4, 0x1.0f01871d43dddp-4, 0x1.0a9147dadc1ecp-4, 0x1.062f95032a5fcp-4, 0x1.01dc569edde1p-4, 0x1.fb2ee886860aep-5, 0x1.f2c1aa30b0d15p-5, 0x1.ea70bfb87916bp-5, 0x1.e23bf5c930cccp-5, 0x1.da23183eda241p-5, 0x1.d225f22a5df29p-5, 0x1.ca444ddb31ff1p-5, 0x1.c27df4ee3def4p-5, 0x1.bad2b05eefa4ap-5, 0x1.b342489730d84p-5, 0x1.abcc857c7ec4bp-5, 0x1.a4712e79ee629p-5, 0x1.9d300a8737f5cp-5, 0x1.9608e02d1b8b5p-5, 0x1.8efb75882cfa1p-5, 0x1.8807904c32411p-5, 0x1.812cf5ca40e1dp-5, 0x1.7a6b6afa6918ep-5, 0x1.73c2b48789212p-5, 0x1.6d3296db19c7fp-5, 0x1.66bad6275df0ap-5, 0x1.605b366fd0702p-5, 0x1.5a137b900b024p-5, 0x1.53e369411846cp-5, 0x1.4dcac31d506f5p-5, 0x1.47c94ca33f49ap-5, 0x1.41dec938d04d3p-5, 0x1.3c0afc302aba5p-5, 0x1.364da8ceaf6e1p-5, 0x1.30a69255227bfp-5, 0x1.2b157c07a8182p-5, 0x1.259a2934aa251p-5, 0x1.20345d3aa7717p-5, 0x1.1ae3db8d4443ap-5, 0x1.15a867b9adc9bp-5, 0x1.1081c56a15516p-5, 0x1.0b6fb8685b365p-5, 0x1.067204a05a1bbp-5, 0x1.01886e22c863ap-5, 0x1.f96572527e2b6p-6, 0x1.efe15436ac0dbp-6, 0x1.e6840b2815e4ap-6, 0x1.dd4d20cd2830bp-6, 0x1.d43c1f44f9eacp-6, 0x1.cb50912e56a95p-6, 0x1.c28a01ae474a5p-6, 0x1.b9e7fc75e7e15p-6, 0x1.b16a0dc74f17ep-6, 0x1.a90fc27949c94p-6, 0x1.a0d8a7fa7e9f2p-6, 0x1.98c44c54f64e1p-6, 0x1.90d23e32f42fep-6, 0x1.89020ce50f0abp-6, 0x1.81534868c5b1bp-6, 0x1.79c5816e5f812p-6, 0x1.7258495dd1a27p-6, 0x1.6b0b325af02c3p-6, 0x1.63ddcf493cbd4p-6, 0x1.5ccfb3cf826ddp-6, 0x1.55e0745b26755p-6, 0x1.4f0fa622be559p-6, 0x1.485cdf27efc54p-6, 0x1.41c7b63903e65p-6, 0x1.3b4fc2f2e1ed9p-6, 0x1.34f49dc3aaef7p-6, 0x1.2eb5dfee15c7ep-6, 0x1.2893238cd6448p-6, 0x1.228c03957b171p-6, 0x1.1ca01bdabcee1p-6, 0x1.16cf090e5268bp-6, 0x1.111868c299d1fp-6, 0x1.0b7bd96c4b4d5p-6, 0x1.05f8fa63d52a4p-6, 0x1.008f6be68c966p-6, 0x1.f67d9e2ea055ap-7, 0x1.ec0d8bfda2364p-7, 0x1.e1cde717e3013p-7, 0x1.d7bdf728cafe9p-7, 0x1.cddd05aba8fa1p-7, 0x1.c42a5dee54656p-7, 0x1.baa54d13a979ep-7, 0x1.b14d2214321b7p-7, 0x1.a8212dc03b3dap-7, 0x1.9f20c2be236abp-7, 0x1.964b358cc0618p-7, 0x1.8d9fdc81a52aep-7, 0x1.851e0fc9fda69p-7, 0x1.7cc5296a24fddp-7, 0x1.7494853cf17e2p-7, 0x1.6c8b80f283332p-7, 0x1.64a97c0f128p-7, 0x1.5cedd7e9fb3d4p-7, 0x1.5557f7ad0cccdp-7, 0x1.4de740541c539p-7, 0x1.469b18ac4359dp-7, 0x1.3f72e95294eb7p-7, 0x1.386e1cb29537cp-7, 0x1.318c1f045fd89p-7, 0x1.2acc5e4a67142p-7, 0x1.242e4a51a34adp-7, 0x1.1db154ae1b0d8p-7, 0x1.1754f0b959c11p-7, 0x1.111893926a212p-7, 0x1.0afbb41a05406p-7, 0x1.04fdcaeffa1c8p-7, 0x1.fe3ca4e08de48p-8, 0x1.f2b98d5fc6aa5p-8, 0x1.e7714af3dab78p-8, 0x1.dc62dc9a53f15p-8, 0x1.d18d44b3418aap-8, 0x1.c6ef88fcf4749p-8, 0x1.bc88b28fccb2cp-8, 0x1.b257cdd9d1343p-8, 0x1.a85bea9a3879bp-8, 0x1.9e941bdbf8689p-8, 0x1.94ff77efa0d91p-8, 0x1.8b9d18641a6a5p-8, 0x1.826c19fe595f3p-8, 0x1.796b9cb07d45ap-8, 0x1.709ac39111447p-8, 0x1.67f8b4d2ddee6p-8, 0x1.5f8499be3713fp-8, 0x1.573d9eabf20b1p-8, 0x1.4f22f301c4891p-8, 0x1.4733c93001ec8p-8, 0x1.3f6f56adf1a5p-8, 0x1.37d4d3f5ce11bp-8, 0x1.30637c7e60925p-8, 0x1.291a8eb20b39fp-8, 0x1.21f94be3a697cp-8, 0x1.1afef8423522ap-8, 0x1.142adacc009e6p-8, 0x1.0d7c3d4301f45p-8, 0x1.06f26c234834bp-8, 0x1.008cb69c8d561p-8, 0x1.f494dd1d7e007p-9, 0x1.e855d112e03dap-9, 0x1.dc5af79916abcp-9, 0x1.d0a30491b94bep-9, 0x1.c52cb13dde71ap-9, 0x1.b9f6bc34a3d32p-9, 0x1.aeffe9515ea42p-9, 0x1.a44701980560fp-9, 0x1.99cad3133bdbdp-9, 0x1.8f8a30ade5202p-9, 0x1.8583f20dfb47ep-9, 0x1.7bb6f3753fa39p-9, 0x1.722215ab5a806p-9, 0x1.68c43df4a074bp-9, 0x1.5f9c56149e455p-9, 0x1.56a94c5aa7e7bp-9, 0x1.4dea13b449676p-9, 0x1.455da3beaf366p-9, 0x1.3d02f8d2001f6p-9, 0x1.34d9140066b37p-9, 0x1.2cdefb0608d22p-9, 0x1.2513b8284e677p-9, 0x1.1d765a079a23ap-9, 0x1.1605f3679294cp-9, 0x1.0ec19af573697p-9, 0x1.07a86b140e7ccp-9, 0x1.00b981b46576fp-9, 0x1.f3e800812bda1p-10, 0x1.e6ae17368ce57p-10, 0x1.d9c398626ee57p-10, 0x1.cd26dc3408a4bp-10, 0x1.c0d64287d78dcp-10, 0x1.b4d03336eba51p-10, 0x1.a9131e5252712p-10, 0x1.9d9d7c401f0b3p-10, 0x1.926dcda99ebb6p-10, 0x1.87829b352e5cep-10, 0x1.7cda7514de4c7p-10, 0x1.7273f27559d7cp-10, 0x1.684db0dea0c67p-10, 0x1.5e66539ce96e5p-10, 0x1.54bc83452a706p-10, 0x1.4b4eed65f3e68p-10, 0x1.421c446db05f2p-10, 0x1.39233fc83f4bap-10, 0x1.30629c2953f82p-10, 0x1.27d91bff77d3dp-10, 0x1.1f8587ecb8024p-10, 0x1.1766af41ca8dcp-10, 0x1.0f7b68583e1bcp-10, 0x1.07c290c1a8941p-10, 0x1.003b0d3c14a93p-10, 0x1.f1c792d305b29p-11, 0x1.e3776e9f1a819p-11, 0x1.d5839d5baea45p-11, 0x1.c7ea188380a2bp-11, 0x1.baa8e2214f95dp-11, 0x1.adbe03a193613p-11, 0x1.a1278d06d0461p-11, 0x1.94e39498e05f5p-11, 0x1.88f0370fc5d83p-11, 0x1.7d4b982efaf34p-11, 0x1.71f3e3b3c3db1p-11, 0x1.66e74e72d3214p-11, 0x1.5c24177c88aacp-11, 0x1.51a8891d5ccdfp-11, 0x1.4772f9954ca71p-11, 0x1.3d81cb664557ap-11, 0x1.33d36d26168p-11, 0x1.2a6658cf79acp-11, 0x1.2139129fdc3e2p-11, 0x1.184a27a2f0345p-11, 0x1.0f982c1af1cdap-11, 0x1.0721b9fbd5a88p-11, 0x1.fdcadf5b43799p-12, 0x1.edc3de7874c4ap-12, 0x1.de2bbc1984177p-12, 0x1.ceffca2c00884p-12, 0x1.c03d6313124a5p-12, 0x1.b1e1eb9dbce69p-12, 0x1.a3ead552f6f6fp-12, 0x1.9655a0c9e5d1p-12, 0x1.891fdfcafc505p-12, 0x1.7c47370373975p-12, 0x1.6fc95f191263ap-12, 0x1.63a424fc90c33p-12, 0x1.57d56960033a4p-12, 0x1.4c5b1f4d93f11p-12, 0x1.413349f0cd181p-12, 0x1.365bf9c6fe108p-12, 0x1.2bd349861e4a9p-12, 0x1.21975b19ad2f5p-12, 0x1.17a6551ccc785p-12, 0x1.0dfe612384032p-12, 0x1.049dab03990acp-12, 0x1.f704c247c2ab7p-13, 0x1.e5556b5887546p-13, 0x1.d429c09f6888p-13, 0x1.c37e40c03822p-13, 0x1.b34f7dbce8198p-13, 0x1.a39a20a240634p-13, 0x1.945aec8347bffp-13, 0x1.858ec0af2d543p-13, 0x1.77329a1d00949p-13, 0x1.69439402f16bbp-13, 0x1.5bbee77c7cd91p-13, 0x1.4ea1ea1dcca1fp-13, 0x1.41ea0b5d51482p-13, 0x1.3594d0dbfb644p-13, 0x1.299fd1d122d14p-13, 0x1.1e08b20db86bdp-13, 0x1.12cd1d402874p-13, 0x1.07eac31bc2e3ep-13, 0x1.fabea9ef636f6p-14, 0x1.e6510a4da70bap-14, 0x1.d2880ff8ece42p-14, 0x1.bf5f2c2be299ap-14, 0x1.acd1de8cb9f0dp-14, 0x1.9adbbaf74eb61p-14, 0x1.89786e2c465bdp-14, 0x1.78a3c0f62d60ap-14, 0x1.685999f9b4ccdp-14, 0x1.5895fed5a889cp-14, 0x1.495515567c084p-14, 0x1.3a93252deb62fp-14, 0x1.2c4c99ddae17cp-14, 0x1.1e7e055415e6ap-14, 0x1.11241f808e66bp-14, 0x1.043bc6b9f69bcp-14, 0x1.ef83f68344843p-15, 0x1.d767b3daf79fap-15, 0x1.c01d29eb78979p-15, 0x1.a99ed92e59d2fp-15, 0x1.93e751bff4f37p-15, 0x1.7ef12b72e5683p-15, 0x1.6ab7036d8b12fp-15, 0x1.57337ef3eac03p-15, 0x1.446151ab9dbe5p-15, 0x1.323b44e928eb9p-15, 0x1.20bc3d76bed92p-15, 0x1.0fdf3e0d46143p-15, 0x1.ff3ecbfbf1a0bp-16, 0x1.dfefda6d75bbp-16, 0x1.c1c83fc0b218fp-16, 0x1.a4beb80f99e7ep-16, 0x1.88ca273720267p-16, 0x1.6de1a58be2112p-16, 0x1.53fc92b43a246p-16, 0x1.3b12aa2fe00d3p-16, 0x1.231c12f90ab6bp-16, 0x1.0c1165ae649a3p-16, 0x1.ebd74defdb8f8p-17, 0x1.c1486f3ca242ap-17, 0x1.98697c6d04e95p-17, 0x1.712e202122c9ap-17, 0x1.4b8a3d37c360bp-17, 0x1.2771d8f275a3ep-17, 0x1.04d915ffb5c9ep-17, 0x1.c7687a042d4f3p-18, 0x1.87ef98fb4c9c6p-18, 0x1.4b3112c296b6dp-18, 0x1.1117138569c91p-18, 0x1.b318d5aff2c35p-19, 0x1.48f8ea4e99c24p-19, 0x1.c74bc3490c6ap-20, 0x1.05ef2b5257d7fp-20, 0x1.362f3d14e69ebp-22, -0x1.88bb10c33d225p-22, -0x1.0990ead659a38p-20, -0x1.a8ea0dea9a4bp-20, -0x1.2043b72b299e7p-19, -0x1.6859739e10563p-19, -0x1.acd8fe4a7fb92p-19, -0x1.ede2b96580bf8p-19, -0x1.15ca612669069p-18, -0x1.3305a79a097d9p-18, -0x1.4eb09909c9cfp-18, -0x1.68d82d15c86efp-18, -0x1.818919bafea2p-18, -0x1.98cfea8fc2696p-18, -0x1.aeb9017b6fcdap-18, -0x1.c3508a0b34035p-18, -0x1.d6a269049bedap-18, -0x1.e8ba2f33b125p-18, -0x1.f9a311bc33e2ap-18, -0x1.04b3f4534327p-17, -0x1.0c0999d44323ep-17, -0x1.12d793008fd7ep-17, -0x1.1922dc7b81c37p-17, -0x1.1ef061498f55fp-17, -0x1.24450572ad4b9p-17, -0x1.2925ac36db86ep-17, -0x1.2d9736cacd318p-17, -0x1.319e7a69bbedp-17, -0x1.35402fee089e7p-17, -0x1.3880e14d6600dp-17, -0x1.3b64da0703367p-17, -0x1.3df01e09b2536p-17, -0x1.4026687ffcac1p-17, -0x1.420b31fb92504p-17, -0x1.43a1bc60db59ep-17, -0x1.44ed2187a7759p-17, -0x1.45f060d28ca5cp-17, -0x1.46ae68a78d929p-17, -0x1.472a1ac39efcbp-17, -0x1.47664cc4558edp-17, -0x1.4765c7051a284p-17, -0x1.472b435ebbc91p-17, -0x1.46b96c374f86bp-17, -0x1.4612dbf7da1cdp-17, -0x1.453a1cdeea7a6p-17, -0x1.4431a90387e04p-17, -0x1.42fbe9e321fb2p-17, -0x1.419b36d590366p-17, -0x1.4011d29edbaf8p-17, -0x1.3e61e987a58d5p-17, -0x1.3c8d916558bdbp-17, -0x1.3a96cc0af099p-17, -0x1.387f8ad825b13p-17, -0x1.3649b1530ec08p-17, -0x1.33f715b3367b5p-17, -0x1.31897fb57bdd9p-17, -0x1.2f02a72322f59p-17, -0x1.2c6432957bf06p-17, -0x1.29afb5cfbc8f8p-17, -0x1.26e6aeed63b16p-17, -0x1.240a834582df6p-17, -0x1.211c7e866ef34p-17, -0x1.1e1dd5723fce4p-17, -0x1.1b0fac01bcf39p-17, -0x1.17f31c5846e19p-17, -0x1.14c93c02422a4p-17, -0x1.11931e3b285bbp-17, -0x1.0e51d3160a6efp-17, -0x1.0b0664f4c4e51p-17, -0x1.07b1d67a214fap-17, -0x1.04552272619cbp-17, -0x1.00f13d61bf324p-17, -0x1.fb0e2d454c04ep-18, -0x1.f42f2e8907206p-18, -0x1.ed473d30879b8p-18, -0x1.e657fda2c55f9p-18, -0x1.df62f471242b1p-18, -0x1.d86987ac76357p-18, -0x1.d16d04cfdaa99p-18, -0x1.ca6ea78b4d72p-18, -0x1.c36fa072774c9p-18, -0x1.bc71188e3f15fp-18, -0x1.b57431d87df33p-18, -0x1.ae7a0610eefdp-18, -0x1.a783a5e755a32p-18, -0x1.a09218bf3a6e1p-18, -0x1.99a65b2a34165p-18, -0x1.92c15973da47ap-18, -0x1.8be3ed1f55604p-18, -0x1.850ed1697a5fep-18, -0x1.7e42b87382996p-18, -0x1.77804a280eb97p-18, -0x1.70c833f21c76p-18, -0x1.6a1b2781bacf5p-18, -0x1.6379d1cdb0a15p-18, -0x1.5ce4d0f4bb8e9p-18, -0x1.565ca9e7f5327p-18, -0x1.4fe1d200fd8b9p-18, -0x1.4974bd8e80992p-18, -0x1.4315d8f043d2ap-18, -0x1.3cc59b37eed9ep-18, -0x1.3684694827bddp-18, -0x1.30529aeb18582p-18, -0x1.2a307421d5617p-18, -0x1.241e2a64ee0a7p-18, -0x1.1e1beb9c70cc2p-18, -0x1.1829e4bc210c7p-18, -0x1.124846cb9ceefp-18, -0x1.0c7749d4889e8p-18, -0x1.06b72d4a3f2a8p-18, -0x1.01083589932bdp-18, -0x1.f6d54cefa693ep-19, -0x1.ebbd7928db238p-19, -0x1.e0c94e3abf866p-19, -0x1.d5f90c93c197fp-19, -0x1.cb4cdc0fc332ap-19, -0x1.c0c4d36013c32p-19, -0x1.b660f8591412ep-19, -0x1.ac213b8ab16e3p-19, -0x1.a2057f84dab41p-19, -0x1.980db51a4d5b7p-19, -0x1.8e39fa7bf989cp-19, -0x1.848a9cdc68769p-19, -0x1.7afff19524663p-19, -0x1.719a2001696b7p-19, -0x1.6859055ea0f26p-19, -0x1.5f3c4a126144fp-19, -0x1.56439883ac087p-19, -0x1.4d6ec8559a7d7p-19, -0x1.44bddbc801c2bp-19, -0x1.3c30d8e9a4879p-19, -0x1.33c7a50b3d459p-19, -0x1.2b81fb0415767p-19, -0x1.235f771697ae6p-19, -0x1.1b5fa7fc2f259p-19, -0x1.13821bc005a9fp-19, -0x1.0bc6685df5468p-19, -0x1.042c3280fcb8fp-19, -0x1.f966652c0e08bp-20, -0x1.eab66c04bcb7p-20, -0x1.dc48350ba72b5p-20, -0x1.ce1b89ab09b4bp-20, -0x1.c0302a36af5cp-20, -0x1.b285bd63c00c9p-20, -0x1.a51bc8a7cfb21p-20, -0x1.97f1b12c4752fp-20, -0x1.8b06c56eccefp-20, -0x1.7e5a50271227dp-20, -0x1.71ebadb624181p-20, -0x1.65ba4deffd4e4p-20, -0x1.59c59060bd24p-20, -0x1.4e0c95ed9a7d7p-20, -0x1.428e4b149d684p-20, -0x1.3749be9f387dcp-20, -0x1.2c3e6c51d25p-20, -0x1.216c18e407a21p-20, -0x1.16d25b612e556p-20, -0x1.0c7051ae407eep-20, -0x1.0244d04d89795p-20, -0x1.f09dbb7689f17p-21, -0x1.dd1bf144b13aep-21, -0x1.ca03caa67162p-21, -0x1.b7549330fd52ep-21, -0x1.a50cfdd611d7ep-21, -0x1.932b4f624cbf4p-21, -0x1.81ada7f2eddc6p-21, -0x1.709227bfc318ap-21, -0x1.5fd6f3f6ac4b6p-21, -0x1.4f7a38a26de44p-21, -0x1.3f7a3690c0f02p-21, -0x1.2fd561ae1487cp-21, -0x1.208a6a8be5089p-21, -0x1.11983a654fc45p-21, -0x1.02fdd43cdf2d2p-21, -0x1.e97452b970cbdp-22, -0x1.cd9800e8b3da5p-22, -0x1.b263e979b101dp-22, -0x1.97d5176be6c29p-22, -0x1.7de8af4b2c05dp-22, -0x1.649c28b50f922p-22, -0x1.4bed4cb498535p-22, -0x1.33d9ed81bd8e1p-22, -0x1.1c5f95b95e9bap-22, -0x1.057b7f45c4514p-22, -0x1.de55a12763dd1p-23, -0x1.b2d589b61831bp-23, -0x1.8871028c08947p-23, -0x1.5f21db63e391fp-23, -0x1.36e23c0faadb7p-23, -0x1.0fade07dc66eep-23, -0x1.d303383f826f8p-24, -0x1.88b2acddbb7c9p-24, -0x1.405e96952bc58p-24, -0x1.f3f6b0288a6c5p-25, -0x1.6b018cb93d923p-25, -0x1.cba44b459bdf2p-26, -0x1.916a6f09b0921p-27, 0x1.9775ad7e9f4e1p-29, 0x1.276f958693c1fp-26, 0x1.0a7a2ccf0bffap-25, 0x1.7dd1269315393p-25, 0x1.edcf3e6ec477bp-25, 0x1.2d439fc70a2d9p-24, 0x1.62061253b8985p-24, 0x1.95374c9a4286ap-24, 0x1.c6ded405772e1p-24, 0x1.f703be024a97ep-24, 0x1.12d638ee0f536p-23, 0x1.29701530c508p-23, 0x1.3f5368f9ef60ap-23, 0x1.54843649c8c22p-23, 0x1.69063caa2a62fp-23, 0x1.7cdcf9823c572p-23, 0x1.900be8da4c949p-23, 0x1.a296a97b57619p-23, 0x1.b480e16252bbbp-23, 0x1.c5ce167ef05acp-23, 0x1.d681a5a117759p-23, 0x1.e69ecd39c73f2p-23, 0x1.f628b600083edp-23, 0x1.02913c99ffe61p-22, 0x1.09c79740d2584p-22, 0x1.10b904c3442e8p-22, 0x1.17672e6cfb036p-22, 0x1.1dd3ac5b3c423p-22, 0x1.23ffdcba08a6bp-22, 0x1.29ed00a42b51bp-22, 0x1.2f9c86d059b56p-22, 0x1.350ff30b8b3cdp-22, 0x1.3a4893ff24a0dp-22, 0x1.3f47ab689ab06p-22, 0x1.440eb69a666d3p-22, 0x1.489f418ca6612p-22, 0x1.4cfaa733a0dd7p-22, 0x1.512224ef67cc7p-22, 0x1.5516fda43cd8dp-22, 0x1.58da75ffadc9ap-22, 0x1.5c6db5fe470a9p-22, 0x1.5fd1af3d5b728p-22, 0x1.6307319eb5c22p-22, 0x1.660f37202fe5dp-22, 0x1.68eb16eebbb63p-22, 0x1.6b9c492c77dbcp-22, 0x1.6e23f274a81afp-22, 0x1.7082c7afb0d28p-22, 0x1.72b9d15f24bccp-22, 0x1.74ca142a3c2afp-22, 0x1.76b52663ce58cp-22, 0x1.787c0cead69a8p-22, 0x1.7a1f86a67ff51p-22, 0x1.7ba043810ce33p-22, 0x1.7cff0a498930fp-22, 0x1.7e3cb783c88d9p-22, 0x1.7f5a2ffb95b57p-22, 0x1.80585705a6187p-22, 0x1.81380b0bc7502p-22, 0x1.81fa2659e0925p-22, 0x1.829f80d7408c5p-22, 0x1.8328ef3cb8d64p-22, 0x1.83973dec9f6cap-22, 0x1.83eb294782166p-22, 0x1.84255f5bebbefp-22, 0x1.844696460b935p-22, 0x1.844fa87715486p-22, 0x1.8441b3f36349bp-22, 0x1.841da195a26a1p-22, 0x1.83e3a39c8bed5p-22, 0x1.8393bd4a940a2p-22, 0x1.832e8d874dc4bp-22, 0x1.82b4c2d2db7b1p-22, 0x1.822739db1b272p-22, 0x1.81874471e2e84p-22, 0x1.80d5c8d45fa3dp-22, 0x1.80131fef252bdp-22, 0x1.7f3f73ddcd12ep-22, 0x1.7e5acb4f48391p-22, 0x1.7d6564a5ab707p-22, 0x1.7c601ff8b596ap-22, 0x1.7b4bec733e49cp-22, 0x1.7a290b20b8ed5p-22, 0x1.78f7a71d064e9p-22, 0x1.77b8a662478d1p-22, 0x1.766d0e4305a62p-22, 0x1.751547d15c0f3p-22, 0x1.73b168feda7fcp-22, 0x1.7241a50ce9953p-22, 0x1.70c65cae81b4ep-22, 0x1.6f40054acb38dp-22, 0x1.6daf15d1af618p-22, 0x1.6c13fff39d1d8p-22, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.c6771640665fep-13, -0x1.c7452069b8b85p-12, -0x1.56619b1367b39p-11, -0x1.ca02334656947p-11, -0x1.1f34b00af4de8p-10, -0x1.59966076b85f9p-10, -0x1.93c80c16c1e25p-10, -0x1.cd4513b4b6094p-10, -0x1.02b316ed34dc7p-9, -0x1.1db2895e84849p-9, -0x1.372fb7f1d82f7p-9, -0x1.4eacac9d53638p-9, -0x1.639fe1070e0dbp-9, -0x1.7575c06d0494cp-9, -0x1.8392936c9197ap-9, -0x1.8d54d72622ac4p-9, -0x1.9217e4c5fb104p-9, -0x1.9136bdc639fddp-9, -0x1.8a0ecc8a77818p-9, -0x1.7c026d810ccccp-9, -0x1.667b1f4b2cea5p-9, -0x1.48eb452fec31p-9, -0x1.22cf73bc28f24p-9, -0x1.e75e94ca3f2b6p-10, -0x1.763bca8cc626dp-10, -0x1.e2e7de70e90ecp-11, -0x1.616d133d24228p-12, 0x1.568f263ba9865p-12, 0x1.1909942ee9c42p-10, 0x1.f2423cd6865bep-10, 0x1.70d35a04d18ddp-9, 0x1.f3bed52e30c92p-9, 0x1.40ff1864c1314p-8, 0x1.8dd1d5f049eb8p-8, 0x1.e05cb30472214p-8, 0x1.1c5064252e1bp-7, 0x1.4b4da48665e0fp-7, 0x1.7d22c831129fcp-7, 0x1.b1ca9615dd809p-7, 0x1.e93df42877728p-7, 0x1.11b9f7196b048p-6, 0x1.3030df641fbe6p-6, 0x1.4ffd6d86219a1p-6, 0x1.711880e1e0f41p-6, 0x1.937a26f5a30acp-6, 0x1.b719a66a41653p-6, 0x1.dbed8bcda5531p-6, 0x1.00f5dbe6683a1p-5, 0x1.1484b75870f69p-5, 0x1.289db46c10f3ep-5, 0x1.3d3af1eeb1de8p-5, 0x1.52565a0f1fba2p-5, 0x1.67e9ab28ee316p-5, 0x1.7dee80735e102p-5, 0x1.945e5a7295675p-5, 0x1.ab32a70dba907p-5, 0x1.c264c931ae9cap-5, 0x1.d9ee1fed14f9p-5, 0x1.f1c80cf6ed36ap-5, 0x1.04f5fd4b0f27p-4, 0x1.1129b0726950bp-4, 0x1.1d7be537197acp-4, 0x1.29e96c1475cfcp-4, 0x1.366f2269d3f1dp-4, 0x1.4309f3dda57b6p-4, 0x1.4fb6db7a4485bp-4, 0x1.5c72e48a031eap-4, 0x1.693b2b387d4a6p-4, 0x1.760cdcff9665ap-4, 0x1.82e538e67c205p-4, 0x1.8fc18f992ae34p-4, 0x1.9c9f435eabb95p-4, 0x1.a97bc7f400cc2p-4, 0x1.b654a251543dp-4, 0x1.c327685eb33f9p-4, 0x1.cff1c09cef6e1p-4, 0x1.dcb161c711b2bp-4, 0x1.e964126feb3b8p-4, 0x1.f607a89f35d74p-4, 0x1.014d04b86f3cdp-3, 0x1.078c945c67238p-3, 0x1.0dc18456822c5p-3, 0x1.13eadccbaf28p-3, 0x1.1a07acc7ff7c6p-3, 0x1.20170a2082546p-3, 0x1.26181159e4b61p-3, 0x1.2c09e593d8405p-3, 0x1.31ebb07910308p-3, 0x1.37bca233b4231p-3, 0x1.3d7bf165c9e65p-3, 0x1.4328db2550004p-3, 0x1.48c2a2fb6ef94p-3, 0x1.4e4892e65e064p-3, 0x1.53b9fb5d4dca1p-3, 0x1.59163355e34f4p-3, 0x1.5e5c984aa86b6p-3, 0x1.638c8e41d6bc1p-3, 0x1.68a57fd411ed5p-3, 0x1.6da6de326beb8p-3, 0x1.7290212b4f9c2p-3, 0x1.7760c72dd535p-3, 0x1.7c18554b267a7p-3, 0x1.80b6573586b23p-3, 0x1.853a5f3ccc291p-3, 0x1.89a40647efcf5p-3, 0x1.8df2ebcb9cef8p-3, 0x1.9226b5bd828b4p-3, 0x1.963f108461f7cp-3, 0x1.9a3baee4ca04cp-3, 0x1.9e1c49ea75e12p-3, 0x1.a1e0a0ce712a6p-3, 0x1.a58878d9f85adp-3, 0x1.a9139d46579p-3, 0x1.ac81df19d5bafp-3, 0x1.afd31501e2c3dp-3, 0x1.b3071b2ac7f6ep-3, 0x1.b61dd315032f4p-3, 0x1.b91723689beb8p-3, 0x1.bbf2f7c6b3621p-3, 0x1.beb14099845cfp-3, 0x1.c151f2e3290fep-3, 0x1.c3d5080b6d487p-3, 0x1.c63a7dace9a78p-3, 0x1.c8825561b2aacp-3, 0x1.caac948fd916cp-3, 0x1.ccb9443611159p-3, 0x1.cea870b8a256ep-3, 0x1.d07a29aeebf69p-3, 0x1.d22e81b1b6377p-3, 0x1.d3c58e2a7d2bcp-3, 0x1.d53f6723f1de5p-3, 0x1.d69c271bc1d16p-3, 0x1.d7dbead5f15ap-3, 0x1.d8fed131cb7b4p-3, 0x1.da04fb00917a5p-3, 0x1.daee8ade0e3b3p-3, 0x1.dbbba50b0ba42p-3, 0x1.dc6c6f49d19d3p-3, 0x1.dd0110bca5df5p-3, 0x1.dd79b1c67184dp-3, 0x1.ddd67bed6d927p-3, 0x1.de1799c000b0ep-3, 0x1.de3d36bba3dedp-3, 0x1.de477f35eb21fp-3, 0x1.de36a04798b4cp-3, 0x1.de0ac7b9b56a2p-3, 0x1.ddc423f49cafdp-3, 0x1.dd62e3f0fb4cfp-3, 0x1.dce7372aa91e7p-3, 0x1.dc514d953b828p-3, 0x1.dba157926751bp-3, 0x1.dad785e9ece8bp-3, 0x1.d9f409c31c561p-3, 0x1.d8f7149fd03dep-3, 0x1.d7e0d858c7b4dp-3, 0x1.d6b1871b49146p-3, 0x1.d5695367f6083p-3, 0x1.d4087012c3a3ep-3, 0x1.d28f1043eeea9p-3, 0x1.d0fd6779e25aap-3, 0x1.cf53a98bfbc5dp-3, 0x1.cd920aae04b9p-3, 0x1.cbb8bf7467207p-3, 0x1.c9c7fcd8f14c8p-3, 0x1.c7bff840224d3p-3, 0x1.c5a0e77ee27ebp-3, 0x1.c36b00e09bf6cp-3, 0x1.c11e7b2d9db66p-3, 0x1.bebb8db1baab8p-3, 0x1.bc4270430cc31p-3, 0x1.b9b35b48d9688p-3, 0x1.b70e87c27988fp-3, 0x1.b4542f4e46de9p-3, 0x1.b1848c30709ap-3, 0x1.ae9fd959baf01p-3, 0x1.aba6526e1008ap-3, 0x1.a89833cae8774p-3, 0x1.a575ba8d6ab1fp-3, 0x1.a23f24984eb79p-3, 0x1.9ef4b099752fep-3, 0x1.9b969e0f1b25ep-3, 0x1.98252d4cc9261p-3, 0x1.94a09f7fc8fa8p-3, 0x1.910936b340cc9p-3, 0x1.8d5f35d3df726p-3, 0x1.89a2e0b31ac8cp-3, 0x1.85d47c09f206ep-3, 0x1.81f44d7b3e994p-3, 0x1.7e029b958d5cfp-3, 0x1.79ffadd475ab7p-3, 0x1.75ebcca17c4b4p-3, 0x1.71c741546a84cp-3, 0x1.6d9256333905bp-3, 0x1.694d56716d273p-3, 0x1.64f88e2efe929p-3, 0x1.60944a76be3dp-3, 0x1.5c20d93c415c5p-3, 0x1.579e89595217ep-3, 0x1.530daa8ae3521p-3, 0x1.4e6e8d6d9218p-3, 0x1.49c18379ae902p-3, 0x1.4506defed6139p-3, 0x1.403ef31f1a0d7p-3, 0x1.3b6a13c9baa89p-3, 0x1.368895b57b749p-3, 0x1.319ace5a9202p-3, 0x1.2ca113ec2e75bp-3, 0x1.279bbd51a8a13p-3, 0x1.228b221f5606ap-3, 0x1.1d6f9a8f00ddp-3, 0x1.18497f7816124p-3, 0x1.13192a477d1a9p-3, 0x1.0ddef4f730699p-3, 0x1.089b3a0586c24p-3, 0x1.034e546c40b6p-3, 0x1.fbf13f2eb82d1p-4, 0x1.f134eeb751e5ep-4, 0x1.e6686fda6535bp-4, 0x1.db8c7baaf07ffp-4, 0x1.d0a1cbd2f4fc4p-4, 0x1.c5a91a7f429c3p-4, 0x1.baa3224b10ec7p-4, 0x1.af909e2b56decp-4, 0x1.a4724959ec0adp-4, 0x1.9948df40982a7p-4, 0x1.8e151b63e85aap-4, 0x1.82d7b94e09d14p-4, 0x1.779174798c78p-4, 0x1.6c43083c1b273p-4, 0x1.60ed2fb14300dp-4, 0x1.5590a5a54397fp-4, 0x1.4a2e247fe6a83p-4, 0x1.3ec6662f874dap-4, 0x1.335a24142ad38p-4, 0x1.27ea16eac68c9p-4, 0x1.1c76f6b8ba9f4p-4, 0x1.11017ab77ef52p-4, 0x1.058a59408fd91p-4, 0x1.f4248f7328394p-5, 0x1.dd33f501ba453p-5, 0x1.c64449b446dbdp-5, 0x1.af56f1b742f7ap-5, 0x1.986d4eb70c745p-5, 0x1.8188bfbb76757p-5, 0x1.6aaaa1042ff15p-5, 0x1.53d44be5e72d6p-5, 0x1.3d0716a845f61p-5, 0x1.26445464c30efp-5, 0x1.0f8d54e6552a9p-5, 0x1.f1c6c9141a181p-6, 0x1.c48f984131db7p-6, 0x1.9777a1a1836f8p-6, 0x1.6a8167f5a3abdp-6, 0x1.3daf6639ec6d3p-6, 0x1.11040f7150752p-6, 0x1.c9039ce406775p-7, 0x1.70560b688f7e1p-7, 0x1.18041e468a797p-7, 0x1.8024efbeeda35p-8, 0x1.a216a327e8244p-9, 0x1.1622f7fb09b4dp-11, -0x1.154e1fc4120b4p-9, -0x1.372e485d571c8p-8, -0x1.e2c8bdb5c5cd1p-8, -0x1.46b704d3da2f3p-7, -0x1.9b8af67245bd1p-7, -0x1.efdc27c2feb09p-7, -0x1.21d3505e5b075p-6, -0x1.4b733eb8e02a9p-6, -0x1.74cbf71eefc0ap-6, -0x1.9ddb9bf821b3fp-6, -0x1.c6a059f8c409bp-6, -0x1.ef18683325c7ap-6, -0x1.0ba104136ce9dp-5, -0x1.1f8dc2e71e8c1p-5, -0x1.33519bd511e3bp-5, -0x1.46ebbf65ed63fp-5, -0x1.5a5b636ead672p-5, -0x1.6d9fc313e7751p-5, -0x1.80b81ecc36364p-5, -0x1.93a3bc61dde7fp-5, -0x1.a661e6f39ec2fp-5, -0x1.b8f1eef4cb267p-5, -0x1.cb532a2c94db2p-5, -0x1.dd84f3b4a3bb8p-5, -0x1.ef86abf6f6cebp-5, -0x1.00abdc558a8ebp-4, -0x1.097bc269485b7p-4, -0x1.1232c05a722c7p-4, -0x1.1ad090ed59611p-4, -0x1.2354f18432436p-4, -0x1.2bbfa21c1a776p-4, -0x1.34106549d6eefp-4, -0x1.3c47003649eafp-4, -0x1.44633a9aa7b73p-4, -0x1.4c64debc6b5dbp-4, -0x1.544bb9690b23cp-4, -0x1.5c1799f17244cp-4, -0x1.63c85225428fp-4, -0x1.6b5db64ddc4cp-4, -0x1.72d79d293704p-4, -0x1.7a35dfe48141p-4, -0x1.81785a1698094p-4, -0x1.889ee9ba4b549p-4, -0x1.8fa96f2879581p-4, -0x1.9697cd120728fp-4, -0x1.9d69e879a62eap-4, -0x1.a41fa8ad84a4dp-4, -0x1.aab8f740cecbap-4, -0x1.b135c005122eep-4, -0x1.b795f1038d67p-4, -0x1.bdd97a7650e1p-4, -0x1.c4004ec151939p-4, -0x1.ca0a626b64d59p-4, -0x1.cff7ac171580ap-4, -0x1.d5c8247b77516p-4, -0x1.db7bc65cd8dabp-4, -0x1.e1128e856cad6p-4, -0x1.e68c7bbdd659dp-4, -0x1.ebe98ec5b3ed5p-4, -0x1.f129ca4c17999p-4, -0x1.f64d32e7e5372p-4, -0x1.fb53cf1043211p-4, -0x1.001ed38a730ffp-3, -0x1.0285628b2ce77p-3, -0x1.04dd9a7f2aa95p-3, -0x1.0727823bf2eb5p-3, -0x1.09632173e0c09p-3, -0x1.0b9080b234928p-3, -0x1.0dafa95734cf1p-3, -0x1.0fc0a59444e9fp-3, -0x1.11c38067fc5d8p-3, -0x1.13b8459a42123p-3, -0x1.159f01b86521ep-3, -0x1.1777c21131357p-3, -0x1.194294b110f59p-3, -0x1.1aff885e23494p-3, -0x1.1caeac945ce56p-3, -0x1.1e501181a9dbep-3, -0x1.1fe3c8020ba69p-3, -0x1.2169e19bc4633p-3, -0x1.22e2707b7cc8ep-3, -0x1.244d87707208p-3, -0x1.25ab39e8a56c3p-3, -0x1.26fb9bed0dc13p-3, -0x1.283ec21dd96dap-3, -0x1.2974c1ae9e157p-3, -0x1.2a9db062a7053p-3, -0x1.2bb9a4893206p-3, -0x1.2cc8b4f9bf8bdp-3, -0x1.2dcaf91063c3dp-3, -0x1.2ec088aa1c09fp-3, -0x1.2fa97c2128c37p-3, -0x1.3085ec49738a6p-3, -0x1.3155f26cf477dp-3, -0x1.3219a848211aep-3, -0x1.32d1280661987p-3, -0x1.337c8c3e8b116p-3, -0x1.341befef60318p-3, -0x1.34af6e7c1b6b4p-3, -0x1.353723a8fd997p-3, -0x1.35b32b97e1e7dp-3, -0x1.3623a2c4db692p-3, -0x1.3688a602dc594p-3, -0x1.36e252785c7f7p-3, -0x1.3730c59c0f645p-3, -0x1.37741d319fd06p-3, -0x1.37ac77466a683p-3, -0x1.37d9f22e4e46dp-3, -0x1.37fcac807f5a3p-3, -0x1.3814c51458bfap-3, -0x1.38225afe3fd6fp-3, -0x1.38258d8c91021p-3, -0x1.381e7c448feap-3, -0x1.380d46df5b47fp-3, -0x1.37f20d46f408cp-3, -0x1.37ccef9342addp-3, -0x1.379e0e072c832p-3, -0x1.3765890daa984p-3, -0x1.37238136eecb4p-3, -0x1.36d817358c593p-3, -0x1.36836bdbaf624p-3, -0x1.3625a018554f1p-3, -0x1.35bed4f4942a5p-3, -0x1.354f2b90e7411p-3, -0x1.34d6c52288f53p-3, -0x1.3455c2f0cc8f7p-3, -0x1.33cc46528c4d1p-3, -0x1.333a70ab968b9p-3, -0x1.32a0636a2acacp-3, -0x1.31fe40047b137p-3, -0x1.315427f637ed5p-3, -0x1.30a23cbe27c3ep-3, -0x1.2fe89fdbc2b0bp-3, -0x1.2f2772ccdc598p-3, -0x1.2e5ed70b53149p-3, -0x1.2d8eee0acb5e3p-3, -0x1.2cb7d9367094ap-3, -0x1.2bd9b9eec74c6p-3, -0x1.2af4b1877a5ccp-3, -0x1.2a08e14544f3ap-3, -0x1.29166a5bd2fc5p-3, -0x1.281d6debb3ff1p-3, -0x1.271e0d005dd5ep-3, -0x1.2618688e29391p-3, -0x1.250ca1706367ep-3, -0x1.23fad86767bc6p-3, -0x1.22e32e16bcc34p-3, -0x1.21c5c30342ebdp-3, -0x1.20a2b79166bc6p-3, -0x1.1f7a2c035e766p-3, -0x1.1e4c40776fa46p-3, -0x1.1d1914e6439dp-3, -0x1.1be0c9213f8a2p-3, -0x1.1aa37cd0e6fe1p-3, -0x1.19614f7349176p-3, -0x1.181a605a79f4dp-3, -0x1.16ceceab0fae3p-3, -0x1.157eb95aae413p-3, -0x1.142a3f2e9540bp-3, -0x1.12d17eba4462ap-3, -0x1.1174965e18234p-3, -0x1.1013a44601ad1p-3, -0x1.0eaec66833512p-3, -0x1.0d461a83ee6cep-3, -0x1.0bd9be20441d4p-3, -0x1.0a69ce8af2f9cp-3, -0x1.08f668d736bbdp-3, -0x1.077fa9dcbbf74p-3, -0x1.0605ae3686a05p-3, -0x1.04889241ee8fep-3, -0x1.0308721d9f8cp-3, -0x1.018569a8a13afp-3, -0x1.ffff2902ddd7fp-4, -0x1.fcee1c0a25c8ep-4, -0x1.f9d7e29c8c25ap-4, -0x1.f6bcb26944755p-4, -0x1.f39cc097b4918p-4, -0x1.f07841c5e54e6p-4, -0x1.ed4f6a071b998p-4, -0x1.ea226ce26fd5ep-4, -0x1.e6f17d5188676p-4, -0x1.e3bccdbf4ef7p-4, -0x1.e0849006cff02p-4, -0x1.dd48f5720a27ep-4, -0x1.da0a2eb8ee04dp-4, -0x1.d6c86c005e68ap-4, -0x1.d383dcd93dea8p-4, -0x1.d03cb03f92fp-4, -0x1.ccf31499b6549p-4, -0x1.c9a737b79c73ap-4, -0x1.c65946d211e31p-4, -0x1.c3096e8a30786p-4, -0x1.bfb7dae8c0f4ap-4, -0x1.bc64b75db7135p-4, -0x1.b9102ebfbbac4p-4, -0x1.b5ba6b4bc86cep-4, -0x1.b26396a4ca9b9p-4, -0x1.af0bd9d3603dap-4, -0x1.abb35d458aaf9p-4, -0x1.a85a48ce8efaap-4, -0x1.a500c3a6bf4b9p-4, -0x1.a1a6f46b7af2dp-4, -0x1.9e4d011f0eb9cp-4, -0x1.9af30f28cbc19p-4, -0x1.9799435501e22p-4, -0x1.943fc1d52ce01p-4, -0x1.90e6ae401660dp-4, -0x1.8d8e2b9200aa8p-4, -0x1.8a365c2cf4388p-4, -0x1.86df61d8f99c8p-4, -0x1.83895dc47c2fdp-4, -0x1.80347084a0cdcp-4, -0x1.7ce0ba15b5b6ep-4, -0x1.798e59dba0de5p-4, -0x1.763d6ea266ab9p-4, -0x1.72ee169eac82fp-4, -0x1.6fa06f6e4c8c1p-4, -0x1.6c549618f4332p-4, -0x1.690aa710c5d5p-4, -0x1.65c2be330af4ep-4, -0x1.627cf6c8e0d03p-4, -0x1.5f396b880b7a5p-4, -0x1.5bf83693a6d65p-4, -0x1.58b9717d04139p-4, -0x1.557d354484b36p-4, -0x1.52439a5a6d777p-4, -0x1.4f0cb89fd4c12p-4, -0x1.4bd8a767925a1p-4, -0x1.48a77d7732edap-4, -0x1.45795107f1d83p-4, -0x1.424e37c7bbc1ep-4, -0x1.3f2646da4087ep-4, -0x1.3c0192d9f3e7cp-4, -0x1.38e02fd92e89bp-4, -0x1.35c2316341d8cp-4, -0x1.32a7aa7da016dp-4, -0x1.2f90ada8f3b96p-4, -0x1.2c7d4ce25be57p-4, -0x1.296d99a48e2dep-4, -0x1.2661a4e91179ep-4, -0x1.23597f2972efep-4, -0x1.20553860886cfp-4, -0x1.1d54e00babc4fp-4, -0x1.1a58852c02addp-4, -0x1.17603647c3ad2p-4, -0x1.146c016b8cf6ep-4, -0x1.117bf42ba4146p-4, -0x1.0e901ba553457p-4, -0x1.0ba884803e433p-4, -0x1.08c53aefb75cap-4, -0x1.05e64ab41b436p-4, -0x1.030bbf1c30b6p-4, -0x1.0035a306825d2p-4, -0x1.fac801c593cb7p-5, -0x1.f52dc5669253p-5, -0x1.ef9ca41c6b473p-5, -0x1.ea14b03e3f57bp-5, -0x1.e495fb50a930ap-5, -0x1.df2096089fffdp-5, -0x1.d9b4904e45377p-5, -0x1.d451f93fb1f6fp-5, -0x1.cef8df33e5e0ap-5, -0x1.c9a94fbd85615p-5, -0x1.c46357adcc65p-5, -0x1.bf27031759fcep-5, -0x1.b9f45d511885fp-5, -0x1.b4cb70f904bc7p-5, -0x1.afac47f72afe4p-5, -0x1.aa96eb805f979p-5, -0x1.a58b6419295f9p-5, -0x1.a089b998a6b43p-5, -0x1.9b91f32b50ae7p-5, -0x1.96a41755e12cdp-5, -0x1.91c02bf826eadp-5, -0x1.8ce6364fcad2ap-5, -0x1.88163afb42573p-5, -0x1.83503dfc7575p-5, -0x1.7e9442bbb0b25p-5, -0x1.79e24c0a5d6bbp-5, -0x1.753a5c25c3faap-5, -0x1.709c74b9e9a76p-5, -0x1.6c0896e42fa0ap-5, -0x1.677ec33631477p-5, -0x1.62fef9b8648fp-5, -0x1.5e8939ece6b14p-5, -0x1.5a1d82d21accp-5, -0x1.55bbd2e563efep-5, -0x1.51642825d5af5p-5, -0x1.4d168016c3403p-5, -0x1.48d2d7c27822fp-5, -0x1.44992bbcc9607p-5, -0x1.40697825ad1e7p-5, -0x1.3c43b8abd1247p-5, -0x1.3827e88f26d3ap-5, -0x1.341602a367607p-5, -0x1.300e0152a6d38p-5, -0x1.2c0fde9fb5c84p-5, -0x1.281b9428bb1d7p-5, -0x1.24311b2987a09p-5, -0x1.20506c7e1cbeap-5, -0x1.1c7980a4fec79p-5, -0x1.18ac4fc1a4bfdp-5, -0x1.14e8d19ec502cp-5, -0x1.112efdb0c3ac5p-5, -0x1.0d7ecb17dcbffp-5, -0x1.09d830a297d98p-5, -0x1.063b24cfdb1b9p-5, -0x1.02a79dd15aa72p-5, -0x1.fe3b231b31c8ap-6, -0x1.f739eb448810fp-6, -0x1.f04b7ecc86c71p-6, -0x1.e96fc7d7c52b3p-6, -0x1.e2a6b005d004ap-6, -0x1.dbf020756f29ap-6, -0x1.d54c01c898b24p-6, -0x1.ceba3c28a59c8p-6, -0x1.c83ab74a2e7afp-6, -0x1.c1cd5a71336ep-6, -0x1.bb720c74c7909p-6, -0x1.b528b3c30c9c7p-6, -0x1.aef13664fe01p-6, -0x1.a8cb7a022bcacp-6, -0x1.a2b763e45f05fp-6, -0x1.9cb4d8fb4acbep-6, -0x1.96c3bde015e8ap-6, -0x1.90e3f6d8ead51p-6, -0x1.8b1567dc6fc51p-6, -0x1.8557f4952fedep-6, -0x1.7fab8064f064dp-6, -0x1.7a0fee681d9ebp-6, -0x1.74852178eb878p-6, -0x1.6f0afc32a6dc8p-6, -0x1.69a160f4c2f7bp-6, -0x1.644831e60e504p-6, -0x1.5eff50f7b2331p-6, -0x1.59c69fe82cdb3p-6, -0x1.549e00464c3d7p-6, -0x1.4f855374146cdp-6, -0x1.4a7c7aa98a8c4p-6, -0x1.458356f794299p-6, -0x1.4099c94aa771dp-6, -0x1.3bbfb26d7240bp-6, -0x1.36f4f30b8838ap-6, -0x1.32396bb40a85ep-6, -0x1.2d8cfcdc0aabbp-6, -0x1.28ef86e11b0e8p-6, -0x1.2460ea0bcc7e4p-6, -0x1.1fe1069211b7fp-6, -0x1.1b6fbc9969e6ap-6, -0x1.170cec39669fdp-6, -0x1.12b8757dc3652p-6, -0x1.0e723868ac4b5p-6, -0x1.0a3a14f4d6e43p-6, -0x1.060feb17a44e6p-6, -0x1.01f39ac3347e1p-6, -0x1.fbca07d0af7d9p-7, -0x1.f3c80cf138b5dp-7, -0x1.ebe104d04abffp-7, -0x1.e414af5f32ap-7, -0x1.dc62cc9be0e8p-7, -0x1.d4cb1c94784a6p-7, -0x1.cd4d5f6aee77ep-7, -0x1.c5e955583afe8p-7, -0x1.be9ebeafc84dbp-7, -0x1.b76d5be2b4e0cp-7, -0x1.b054ed82ee698p-7, -0x1.a95534463ee86p-7, -0x1.a26df109693fp-7, -0x1.9b9ee4d2fc94cp-7, -0x1.94e7d0d60322ap-7, -0x1.8e48767508423p-7, -0x1.87c097449a30bp-7, -0x1.814ff50de3bf1p-7, -0x1.7af651d14d0cp-7, -0x1.74b36fc8ef33fp-7, -0x1.6e87116ab7c97p-7, -0x1.6870f96b0555cp-7, -0x1.6270eabec25f4p-7, -0x1.5c86a89d70f46p-7, -0x1.56b1f68394826p-7, -0x1.50f298345c443p-7, -0x1.4b4851bbd635cp-7, -0x1.45b2e770c83d1p-7, -0x1.40321df66bc49p-7, -0x1.3ac5ba3e4990cp-7, -0x1.356d818a046ap-7, -0x1.3029396caa99ap-7, -0x1.2af8a7ccbfa06p-7, -0x1.25db92e55f8a7p-7, -0x1.20d1c147e6b2p-7, -0x1.1bdaf9dd3e732p-7, -0x1.16f703e742c93p-7, -0x1.1225a7021cf1cp-7, -0x1.0d66ab257442cp-7, -0x1.08b9d8a58587fp-7, -0x1.041ef8344da7dp-7, -0x1.ff2ba5c5810e5p-8, -0x1.f63c64435ed9p-8, -0x1.ed6fbf8570394p-8, -0x1.e4c54bf2791b4p-8, -0x1.dc3c9eb6d93ap-8, -0x1.d3d54dc5a4c11p-8, -0x1.cb8eefda9369cp-8, -0x1.c3691c7b6e1dep-8, -0x1.bb636bf938c4fp-8, -0x1.b37d7771c47ep-8, -0x1.abb6d8d0f66afp-8, -0x1.a40f2ad17002dp-8, -0x1.9c8608fe22fc5p-8, -0x1.951b0fb2e8bdp-8, -0x1.8dcddc1da2941p-8, -0x1.869e0c3eac92p-8, -0x1.7f8b3eea38076p-8, -0x1.789513c847941p-8, -0x1.71bb2b55d623ap-8, -0x1.6afd26e4e277cp-8, -0x1.645aa89d20345p-8, -0x1.5dd3537c6b471p-8, -0x1.5766cb56b553dp-8, -0x1.5114b4d6d6473p-8, -0x1.4adcb57e4e69dp-8, -0x1.44be73a5817cap-8, -0x1.3eb9967be5ba4p-8, -0x1.38cdc607c752cp-8, -0x1.32faab2684a7fp-8, -0x1.2d3fef8c197d7p-8, -0x1.279d3dc37249dp-8, -0x1.2212412dab1fp-8, -0x1.1c9ea6024495p-8, -0x1.1742194e78172p-8, -0x1.11fc48f5173cdp-8, -0x1.0ccce3ae014ddp-8, -0x1.07b39905b6538p-8, -0x1.02b0195cc863cp-8, -0x1.fb842bcf30b6ep-9, -0x1.f1d2815a9d606p-9, -0x1.e84a990f62701p-9, -0x1.deebda4416301p-9, -0x1.d5b5adf18fff2p-9, -0x1.cca77eb124d49p-9, -0x1.c3c0b8bb49183p-9, -0x1.bb00c9e57af59p-9, -0x1.b26721a196a8ap-9, -0x1.a9f330faa6c6dp-9, -0x1.a1a46a947dcap-9, -0x1.997a42a89a0dfp-9, -0x1.91742f055cd6bp-9, -0x1.8991a70ae30bep-9, -0x1.81d223aa264acp-9, -0x1.7a351f61f016ap-9, -0x1.72ba163d5f8b4p-9, -0x1.6b6085d11c2a6p-9, -0x1.6427ed398c2ddp-9, -0x1.5d0fcd18829e2p-9, -0x1.5617a7925e6bbp-9, -0x1.4f3f004c9ec45p-9, -0x1.48855c6ad5235p-9, -0x1.41ea428c0f4a2p-9, -0x1.3b6d3ac90f42ap-9, -0x1.350dceb0ca081p-9, -0x1.2ecb894708cecp-9, -0x1.28a5f70087f97p-9, -0x1.229ca5c18ade4p-9, -0x1.1caf24da63714p-9, -0x1.16dd05054f146p-9, -0x1.1125d8636c082p-9, -0x1.0b89327a39e8dp-9, -0x1.0606a830ac65p-9, -0x1.009dcfcc91458p-9, -0x1.f69c81df65ce7p-10, -0x1.ec2f292a5bdedp-10, -0x1.e1f2ca1cb2738p-10, -0x1.d7e69c00ec5e6p-10, -0x1.ce09d8c29de9cp-10, -0x1.c45bbce93fa91p-10, -0x1.badb87925aa79p-10, -0x1.b1887a6bd1dd4p-10, -0x1.a861d9ae0f7dcp-10, -0x1.9f66ec1612c0dp-10, -0x1.9696fadfd9fdbp-10, -0x1.8df151c15622ep-10, -0x1.85753ee27955ep-10, -0x1.7d2212d9a818dp-10, -0x1.74f720a4754e1p-10, -0x1.6cf3bda26665bp-10, -0x1.6517418eaef5ap-10, -0x1.5d61067afba8ap-10, -0x1.55d068c9030d6p-10, -0x1.4e64c724e46f6p-10, -0x1.471d827f48c3cp-10, -0x1.3ff9fe07ae5ep-10, -0x1.38f99f25e9fc4p-10, -0x1.321bcd757e72dp-10, -0x1.2b5ff2be77162p-10, -0x1.24c57af0f571cp-10, -0x1.1e4bd41e4abeep-10, -0x1.17f26e73e7fb3p-10, -0x1.11b8bc34e5b5fp-10, -0x1.0b9e31b515edep-10, -0x1.05a24552aefeep-10, -0x1.ff88dee17db86p-11, -0x1.f40854e3164d5p-11, -0x1.e8c1e56108528p-11, -0x1.ddb48cfb95239p-11, -0x1.d2df4c2dfcf6cp-11, -0x1.c84127457debep-11, -0x1.bdd92654a93afp-11, -0x1.b3a65529d873bp-11, -0x1.a9a7c34328a1bp-11, -0x1.9fdc83c2affc1p-11, -0x1.9643ad659786ep-11, -0x1.8cdc5a77b816dp-11, -0x1.83a5a8c987c8p-11, -0x1.7a9eb9a481ab9p-11, -0x1.71c6b1c157794p-11, -0x1.691cb93cb3889p-11, -0x1.609ffb8c95b74p-11, -0x1.584fa776d98bdp-11, -0x1.502aef04b2cc9p-11, -0x1.4831077b17ff1p-11, -0x1.4061294df55dp-11, -0x1.38ba9017a21afp-11, -0x1.313c7a8db1eb7p-11, -0x1.29e62a773a0e6p-11, -0x1.22b6e4a3200eap-11, -0x1.1badf0dd937abp-11, -0x1.14ca99e6739adp-11, -0x1.0e0c2d6749bd6p-11, -0x1.0771fbea7b9d1p-11, -0x1.00fb58d0f342ep-11, -0x1.f54f3490b0bfap-12, -0x1.e8ec3282e376cp-12, -0x1.dccc62d074b64p-12, -0x1.d0ee82314a1fcp-12, -0x1.c55152ad3296fp-12, -0x1.b9f39b880616fp-12, -0x1.aed429314e4d8p-12, -0x1.a3f1cd30ce78ep-12, -0x1.994b5e15ef366p-12, -0x1.8edfb763f30f7p-12, -0x1.84adb983d4bb6p-12, -0x1.7ab449addca31p-12, -0x1.70f251ded7455p-12, -0x1.6766c0c0ca732p-12, -0x1.5e10899e2a4abp-12, -0x1.54eea4515b17cp-12, -0x1.4c000d30cadafp-12, -0x1.4343c50181e35p-12, -0x1.3ab8d0e613372p-12, -0x1.325e3a4f04969p-12, -0x1.2a330ee95427bp-12, -0x1.223660910b513p-12, -0x1.1a67453eee7aep-12, -0x1.12c4d6fc1a11cp-12, -0x1.0b4e33d19aec9p-12, -0x1.04027db81cc1fp-12, -0x1.f9c1b5170389cp-13, -0x1.ebd0e7f304e03p-13, -0x1.de30eeeb16c82p-13, -0x1.d0e02c4f42672p-13, -0x1.c3dd09c2843acp-13, -0x1.b725f81998e6ep-13, -0x1.aab96f40b5bbbp-13, -0x1.9e95ee21ac6bp-13, -0x1.92b9fa86dbfc9p-13, -0x1.8724210003a4dp-13, -0x1.7bd2f4cb13ed2p-13, -0x1.70c50fb40d53bp-13, -0x1.65f911ff02ccp-13, -0x1.5b6da250572ebp-13, -0x1.51216d8e033d2p-13, -0x1.471326c8fe1b5p-13, -0x1.3d418725f9c0ep-13, -0x1.33ab4dc51218ap-13, -0x1.2a4f3fa6a9cp-13, -0x1.212c27963e656p-13, -0x1.1840d61226511p-13, -0x1.0f8c21334d086p-13, -0x1.070ce496c0b55p-13, -0x1.fd84029336152p-14, -0x1.ed54bb5d588d1p-14, -0x1.dd89cad4e6cd9p-14, -0x1.ce211299fb0edp-14, -0x1.bf187e7c34dfdp-14, -0x1.b06e0449e327ep-14, -0x1.a21fa3a9939b3p-14, -0x1.942b65f2c5de7p-14, -0x1.868f5dffac1a3p-14, -0x1.7949a8098625fp-14, -0x1.6c5869804674p-14, -0x1.5fb9d0e14341dp-14, -0x1.536c1591e72d9p-14, -0x1.476d77bbc6aa2p-14, -0x1.3bbc4022ab451p-14, -0x1.3056c00295139p-14, -0x1.253b50ec8bdb4p-14, -0x1.1a68549c1c652p-14, -0x1.0fdc34d9b86d2p-14, -0x1.05956356c81f9p-14, -0x1.f724b3113ea26p-15, -0x1.e3a3311335f4fp-15, -0x1.d0a351eb9a891p-15, -0x1.be223594821dep-15, -0x1.ac1d0a88fdb2dp-15, -0x1.9a910d8489ae4p-15, -0x1.897b89405c8a1p-15, -0x1.78d9d637a83d8p-15, -0x1.68a95a6ec855cp-15, -0x1.58e7892f97ac7p-15, -0x1.4991e2cf41054p-15, -0x1.3aa5f4747fb7bp-15, -0x1.2c2157e05db2ap-15, -0x1.1e01b331bc6fp-15, -0x1.1044b8aa37c2cp-15, -0x1.02e8267cea48fp-15, -0x1.ebd38d2c0daecp-16, -0x1.d28edcc44c961p-16, -0x1.b9fdfd34c9977p-16, -0x1.a21cc623c2723p-16, -0x1.8ae725048744cp-16, -0x1.74591cb289fap-16, -0x1.5e6ec505d9b99p-16, -0x1.49244a7da1403p-16, -0x1.3475eddb7e5bap-16, -0x1.206003bc8b3f7p-16, -0x1.0cdef447314e3p-16, -0x1.f3de7590f92dap-17, -0x1.cf1acab439b66p-17, -0x1.ab6c290ef8cd5p-17, -0x1.88cbf5fd8db63p-17, -0x1.6733ba61e0de1p-17, -0x1.469d220818507p-17, -0x1.2701faf34c788p-17, -0x1.085c34c7d3dd3p-17, -0x1.d54bc02da9419p-18, -0x1.9bb25b86520afp-18, -0x1.63e0dce700303p-18, -0x1.2dcc23d96afa1p-18, -0x1.f2d29a0369581p-19, }}, 
      {{-0x1.8975625fe69d2p-13, -0x1.89cfe9984b464p-12, -0x1.27c79432a07f5p-11, -0x1.8b17a4ce9d1p-11, -0x1.eee04f59ffc21p-11, -0x1.29889d6f87f9bp-10, -0x1.5bbf73f1fe7f6p-10, -0x1.8df12f71f78d1p-10, -0x1.bfed2d5c21493p-10, -0x1.f1768a5455767p-10, -0x1.1122884a48563p-9, -0x1.290308af21e77p-9, -0x1.402e961b33113p-9, -0x1.56728b46b7aa3p-9, -0x1.6b983c42721a1p-9, -0x1.7f6576a4016fcp-9, -0x1.919d15eb256f1p-9, -0x1.a1ffa9f8a357ep-9, -0x1.b04c2a169100bp-9, -0x1.bc40ad2e8fa09p-9, -0x1.c59b1f6fdad52p-9, -0x1.cc19ee49701d7p-9, -0x1.cf7ca507ef2a5p-9, -0x1.cf84761ac8c93p-9, -0x1.cbf4aecda772bp-9, -0x1.c49314de0c319p-9, -0x1.b9282eaf9cddfp-9, -0x1.a97f77e3dbde9p-9, -0x1.956784c707a9ep-9, -0x1.7cb217635046ep-9, -0x1.5f342922698b7p-9, -0x1.3cc5ebcacfbedp-9, -0x1.1542c4614c54cp-9, -0x1.d112843059be8p-10, -0x1.6cf62614f492fp-10, -0x1.fbf3e050947c3p-11, -0x1.07dae2a976463p-11, 0x1.59d1892b2957bp-18, 0x1.2400e6d89b928p-11, 0x1.2e25438da7e18p-10, 0x1.d5e158e5c6c08p-10, 0x1.44a412ba101c4p-9, 0x1.a433c51710af6p-9, 0x1.04d1fb1a3fc2cp-8, 0x1.3a7b136686cf2p-8, 0x1.73149987b84a2p-8, 0x1.ae9cb0e7374dep-8, 0x1.ed103ad915ca1p-8, 0x1.1735702031f52p-7, 0x1.39538e225dd9cp-7, 0x1.5cdf2406a1d56p-7, 0x1.81d453b942321p-7, 0x1.a82ebb465e63cp-7, 0x1.cfe97bff2a15cp-7, 0x1.f8ff41eccecbep-7, 0x1.11b525be299d7p-6, 0x1.279238a8916bcp-6, 0x1.3e139714dfaeep-6, 0x1.5535d36214945p-6, 0x1.6cf558d7ef1eep-6, 0x1.854e6f7ec2252p-6, 0x1.9e3d3fdeab169p-6, 0x1.b7bdd69fdcf8fp-6, 0x1.d1cc2806df3d5p-6, 0x1.ec6413480c6abp-6, 0x1.03c0b2d7abf72p-5, 0x1.118feeccdab58p-5, 0x1.1f9d969f629a6p-5, 0x1.2de77ea4f805dp-5, 0x1.3c6b77a16fe5ep-5, 0x1.4b274fe31145cp-5, 0x1.5a18d4478984ap-5, 0x1.693dd12a39d0ap-5, 0x1.7894133cf3d9bp-5, 0x1.8819684c52908p-5, 0x1.97cb9ff0c5404p-5, 0x1.a7a88c2dbfdb4p-5, 0x1.b7ae020059197p-5, 0x1.c7d9d9deccc57p-5, 0x1.d829f02a16c96p-5, 0x1.e89c2593359f3p-5, 0x1.f92e5f75241d5p-5, 0x1.04ef44127becp-4, 0x1.0d55479c932aep-4, 0x1.15c834e49cdcap-4, 0x1.1e470953599b2p-4, 0x1.26d0c548257c5p-4, 0x1.2f646c3018b88p-4, 0x1.3801049b0da4cp-4, 0x1.40a5984eedfdbp-4, 0x1.4951345973d8cp-4, 0x1.5202e920b4f5ap-4, 0x1.5ab9ca72a35d7p-4, 0x1.6374ef93a137p-4, 0x1.6c33734c69c9fp-4, 0x1.74f473f73ba0fp-4, 0x1.7db7138c7e343p-4, 0x1.867a77aee186bp-4, 0x1.8f3dc9b6e9cfdp-4, 0x1.980036be113d8p-4, 0x1.a0c0efa94d515p-4, 0x1.a97f2933245aap-4, 0x1.b23a1bf513322p-4, 0x1.baf104706c8dp-4, 0x1.c3a323167f126p-4, 0x1.cc4fbc5008595p-4, 0x1.d4f61883df59cp-4, 0x1.dd95841cca005p-4, 0x1.e62d4f8e7518cp-4, 0x1.eebccf597b347p-4, 0x1.f7435c0e70003p-4, 0x1.ffc0524fe8febp-4, 0x1.04198969c1d4p-3, 0x1.084d8130e3c0ep-3, 0x1.0c7bc4ea7e68p-3, 0x1.10a40b0b7161dp-3, 0x1.14c60c0ea7d9ap-3, 0x1.18e18272d15f6p-3, 0x1.1cf62ab7a156bp-3, 0x1.2103c35a67451p-3, 0x1.250a0cd23a0e9p-3, 0x1.2908c98b920f5p-3, 0x1.2cffbde363aap-3, 0x1.30eeb021c3f83p-3, 0x1.34d5687414f98p-3, 0x1.38b3b0e6c8341p-3, 0x1.3c89555eb6068p-3, 0x1.4056239215f8fp-3, 0x1.4419eb011ffaap-3, 0x1.47d47cee592cfp-3, 0x1.4b85ac569c139p-3, 0x1.4f2d4de8e3315p-3, 0x1.52cb37fdce27bp-3, 0x1.565f428f064b8p-3, 0x1.59e9472e6d90ap-3, 0x1.5d6920fd3697cp-3, 0x1.60deaca2e1771p-3, 0x1.6449c844260aap-3, 0x1.67aa5379d0318p-3, 0x1.6b002f47a6991p-3, 0x1.6e4b3e1348bccp-3, 0x1.718b639b1a176p-3, 0x1.74c084ed45f57p-3, 0x1.77ea885ecc133p-3, 0x1.7b095582b7738p-3, 0x1.7e1cd521642adp-3, 0x1.8124f12ffc942p-3, 0x1.842194c810e9ap-3, 0x1.8712ac1f62c32p-3, 0x1.89f8247fde513p-3, 0x1.8cd1ec3fc318fp-3, 0x1.8f9ff2ba0ce4ep-3, 0x1.92622847052d4p-3, 0x1.95187e35191b4p-3, 0x1.97c2e6c1e372ap-3, 0x1.9a61551378736p-3, 0x1.9cf3bd31ebc9ep-3, 0x1.9f7a14010faabp-3, 0x1.a1f44f3a76c94p-3, 0x1.a4626567b4c18p-3, 0x1.a6c44ddcd5ebfp-3, 0x1.a91a00b31a0c1p-3, 0x1.ab6376c3e7494p-3, 0x1.ada0a9a3fb9c3p-3, 0x1.afd1939ed3e42p-3, 0x1.b1f62fb253321p-3, 0x1.b40e798a9b565p-3, 0x1.b61a6d7e1e9a6p-3, 0x1.b81a0889e8e5ap-3, 0x1.ba0d484e14dc9p-3, 0x1.bbf42b0a786aap-3, 0x1.bdceaf9b836f6p-3, 0x1.bf9cd5773e15dp-3, 0x1.c15e9caa87623p-3, 0x1.c31405d66d41bp-3, 0x1.c4bd122db176dp-3, 0x1.c659c37276fb4p-3, 0x1.c7ea1bf40f0d2p-3, 0x1.c96e1e8ceb2d2p-3, 0x1.cae5cea0ad052p-3, 0x1.cc51301a5517dp-3, 0x1.cdb0476a8af2cp-3, 0x1.cf031985fee2dp-3, 0x1.d049abe3eb52ap-3, 0x1.d184047c9ef52p-3, 0x1.d2b229c8293e4p-3, 0x1.d3d422bd097edp-3, 0x1.d4e9f6cefcc9fp-3, 0x1.d5f3adedd4a65p-3, 0x1.d6f1508455a9ep-3, 0x1.d7e2e7773078ep-3, 0x1.d8c87c23ed93dp-3, 0x1.d9a2185ffd34bp-3, 0x1.da6fc677b676ep-3, 0x1.db31912d69d88p-3, 0x1.dbe783b86f55cp-3, 0x1.dc91a9c4461c1p-3, 0x1.dd300f6fa2a5cp-3, 0x1.ddc2c14b8ae83p-3, 0x1.de49cc5a6d3b4p-3, 0x1.dec53e0f3ac55p-3, 0x1.df35244c791b8p-3, 0x1.df998d635300bp-3, 0x1.dff28812a9247p-3, 0x1.e040238615b09p-3, 0x1.e0826f54f5feap-3, 0x1.e0b97b8164786p-3, 0x1.e0e558772d30dp-3, 0x1.e106170ac19c9p-3, 0x1.e11bc8781d55dp-3, 0x1.e1267e61a4b8p-3, 0x1.e1264acefff72p-3, 0x1.e11b402be2dc8p-3, 0x1.e1057146d8ea3p-3, 0x1.e0e4f14ff7fb6p-3, 0x1.e0b9d3d79bb14p-3, 0x1.e0842ccd067c2p-3, 0x1.e044107d01c34p-3, 0x1.dff9939074602p-3, 0x1.dfa4cb0aeb067p-3, 0x1.df45cc49161e4p-3, 0x1.dedcacff44fa3p-3, 0x1.de698337d21a1p-3, 0x1.ddec655180792p-3, 0x1.dd6569fdda9e9p-3, 0x1.dcd4a83f81d96p-3, 0x1.dc3a37687049cp-3, 0x1.db962f183aeaep-3, 0x1.dae8a73a490eap-3, 0x1.da31b803f6bcfp-3, 0x1.d97179f2c282p-3, 0x1.d8a805ca66212p-3, 0x1.d7d57492e91e3p-3, 0x1.d6f9df96b4296p-3, 0x1.d61560608dab5p-3, 0x1.d52810b9a3837p-3, 0x1.d4320aa7808b3p-3, 0x1.d3336869ff757p-3, 0x1.d22c44793daep-3, 0x1.d11cb9837e643p-3, 0x1.d004e26b1822fp-3, 0x1.cee4da444d4d2p-3, 0x1.cdbcbc532f282p-3, 0x1.cc8ca4097abd6p-3, 0x1.cb54ad0464252p-3, 0x1.ca14f30a78af9p-3, 0x1.c8cd92096a2f5p-3, 0x1.c77ea613e3f09p-3, 0x1.c6284b5f57c66p-3, 0x1.c4ca9e41d13f2p-3, 0x1.c365bb2fc1d0dp-3, 0x1.c1f9beb9d16a1p-3, 0x1.c086c58aafe51p-3, 0x1.bf0cec64e2f5bp-3, 0x1.bd8c50209dc42p-3, 0x1.bc050da98b566p-3, 0x1.ba7741fcb19aap-3, 0x1.b8e30a2640364p-3, 0x1.b748833f700b6p-3, 0x1.b5a7ca6c61ddap-3, 0x1.b400fcda007adp-3, 0x1.b25437bbe82b7p-3, 0x1.b0a1984a4e22cp-3, 0x1.aee93bbff43fap-3, 0x1.ad2b3f581a29bp-3, 0x1.ab67c04c78fc9p-3, 0x1.a99edbd33c4fep-3, 0x1.a7d0af1d0e98cp-3, 0x1.a5fd57531f63cp-3, 0x1.a424f195333adp-3, 0x1.a2479af7bd395p-3, 0x1.a0657081fd04fp-3, 0x1.9e7e8f2c1e89ap-3, 0x1.9c9313dd6d0f6p-3, 0x1.9aa31b6a83ac2p-3, 0x1.98aec29385a0cp-3, 0x1.96b6260264c8ap-3, 0x1.94b962492565bp-3, 0x1.92b893e03a8dap-3, 0x1.90b3d724d5656p-3, 0x1.8eab48574fa13p-3, 0x1.8c9f039990bd4p-3, 0x1.8a8f24ed85bp-3, 0x1.887bc833989b3p-3, 0x1.8665092938537p-3, 0x1.844b0367628a5p-3, 0x1.822dd2613b2adp-3, 0x1.800d9162abap-3, 0x1.7dea5b8f0681ep-3, 0x1.7bc44bdfb954fp-3, 0x1.799b7d2308d7fp-3, 0x1.777009facc706p-3, 0x1.75420cdb3eb3ap-3, 0x1.7311a009cb4c1p-3, 0x1.70dedd9bf119dp-3, 0x1.6ea9df7621af7p-3, 0x1.6c72bf4ab50a5p-3, 0x1.6a399698dc697p-3, 0x1.67fe7eaba3371p-3, 0x1.65c19098f61b2p-3, 0x1.6382e540b73ebp-3, 0x1.6142954bd3712p-3, 0x1.5f00b92b68033p-3, 0x1.5cbd6917ec279p-3, 0x1.5a78bd10615bdp-3, 0x1.5832ccd99488cp-3, 0x1.55ebaffd5b9dap-3, 0x1.53a37dc9e685p-3, 0x1.515a4d510f391p-3, 0x1.4f103567b7095p-3, 0x1.4cc54ca52bcabp-3, 0x1.4a79a962916dfp-3, 0x1.482d61ba57e66p-3, 0x1.45e08b87b1109p-3, 0x1.43933c661ad41p-3, 0x1.414589b0e3feap-3, 0x1.3ef78882bc8dfp-3, 0x1.3ca94db5524a8p-3, 0x1.3a5aede0ed623p-3, 0x1.380c7d5c17912p-3, 0x1.35be103b4b351p-3, 0x1.336fba50a4236p-3, 0x1.31218f2b9db04p-3, 0x1.2ed3a218cfd56p-3, 0x1.2c860621bc2d1p-3, 0x1.2a38ce0c97698p-3, 0x1.27ec0c5c1ffd1p-3, 0x1.259fd34f7847bp-3, 0x1.235434e203678p-3, 0x1.210942cb50fdfp-3, 0x1.1ebf0e7f0109bp-3, 0x1.1c75a92cbbfc6p-3, 0x1.1a2d23c0282c3p-3, 0x1.17e58ee0e1082p-3, 0x1.159efaf27d405p-3, 0x1.1359781495cf7p-3, 0x1.11151622cc22dp-3, 0x1.0ed1e4b4dd74bp-3, 0x1.0c8ff31eb9aaap-3, 0x1.0a4f507099534p-3, 0x1.08100b771ff3fp-3, 0x1.05d232bb7ad27p-3, 0x1.0395d4838889dp-3, 0x1.015afed2096b6p-3, 0x1.fe437ecd8fe9fp-4, 0x1.f9d4477da238fp-4, 0x1.f5687229522d4p-4, 0x1.f10018c111d31p-4, 0x1.ec9b54b137fedp-4, 0x1.e83a3ee2827bap-4, 0x1.e3dcefbaa64cdp-4, 0x1.df837f1ce8bb4p-4, 0x1.db2e046aa6cb2p-4, 0x1.d6dc96840c313p-4, 0x1.d28f4bc8a8dbbp-4, 0x1.ce463a1826251p-4, 0x1.ca0176d2f4fdfp-4, 0x1.c5c116db0866ep-4, 0x1.c1852e9496f47p-4, 0x1.bd4dd1e6d548fp-4, 0x1.b91b143cc5ab2p-4, 0x1.b4ed0886079cbp-4, 0x1.b0c3c137a2297p-4, 0x1.ac9f504ce191p-4, 0x1.a87fc748316b2p-4, 0x1.a4653733fc138p-4, 0x1.a04fb0a3911f1p-4, 0x1.9c3f43b41118p-4, 0x1.9834000d4cbcap-4, 0x1.942df4e2c8d55p-4, 0x1.902d30f4a4d71p-4, 0x1.8c31c29096749p-4, 0x1.883bb792e44ecp-4, 0x1.844b1d6766fa5p-4, 0x1.8060010a86da9p-4, 0x1.7c7a6f0a445dbp-4, 0x1.789a73873c2cdp-4, 0x1.74c01a35b319fp-4, 0x1.70eb6e5e9fc43p-4, 0x1.6d1c7ae0c0b9dp-4, 0x1.69534a31a649ap-4, 0x1.658fe65ecaee1p-4, 0x1.61d2590ea8616p-4, 0x1.5e1aab81cefa6p-4, 0x1.5a68e693ffda6p-4, 0x1.56bd12bd49917p-4, 0x1.531738131fa87p-4, 0x1.4f775e4984fe4p-4, 0x1.4bdd8cb41e64dp-4, 0x1.4849ca47610a3p-4, 0x1.44bc1d99a97b7p-4, 0x1.41348ce469597p-4, 0x1.3db31e0546cdep-4, 0x1.3a37d67f43ea6p-4, 0x1.36c2bb7be6353p-4, 0x1.3353d1cc5dae9p-4, 0x1.2feb1deaaaf4bp-4, 0x1.2c88a3facc179p-4, 0x1.292c67cbe4d98p-4, 0x1.25d66cd961d58p-4, 0x1.2286b64c2d10dp-4, 0x1.1f3d46fbce7d8p-4, 0x1.1bfa216f9e155p-4, 0x1.18bd47dfe868cp-4, 0x1.1586bc371c535p-4, 0x1.12568012f14d2p-4, 0x1.0f2c94c5943e4p-4, 0x1.0c08fb56d1afp-4, 0x1.08ebb4853b0a7p-4, 0x1.05d4c0c756432p-4, 0x1.02c4204cbeafbp-4, 0x1.ff73a5fea417ap-5, 0x1.f96bb108ab1bcp-5, 0x1.f370607b3924fp-5, 0x1.ed81b2955c18dp-5, 0x1.e79fa513d4436p-5, 0x1.e1ca35335aa49p-5, 0x1.dc015fb2e688ap-5, 0x1.d64520d5f0515p-5, 0x1.d0957466bc554p-5, 0x1.caf255b88940bp-5, 0x1.c55bbfa9ddc5fp-5, 0x1.bfd1aca6b80bep-5, 0x1.ba5416aac96cfp-5, 0x1.b4e2f743af659p-5, 0x1.af7e47931b9fp-5, 0x1.aa2600510bcfep-5, 0x1.a4da19cdf2d4cp-5, 0x1.9f9a8bf4e4f4bp-5, 0x1.9a674e4db55d7p-5, 0x1.954057ff20ff3p-5, 0x1.90259fd0ebaf6p-5, 0x1.8b171c2df69cp-5, 0x1.8614c32660f2ep-5, 0x1.811e8a7192b8fp-5, 0x1.7c34677052e35p-5, 0x1.77564f2ed12p-5, 0x1.72843666b64e6p-5, 0x1.6dbe1181154c6p-5, 0x1.6903d4988819ap-5, 0x1.6455737b1237dp-5, 0x1.5fb2e1ac28574p-5, 0x1.5b1c12669cebap-5, 0x1.5690f89e93ca3p-5, 0x1.521187036f729p-5, 0x1.4d9db001ad1a6p-5, 0x1.493565c4d3b89p-5, 0x1.44d89a394ac95p-5, 0x1.40873f0e33898p-5, 0x1.3c4145b73e521p-5, 0x1.38069f6e7dd83p-5, 0x1.33d73d362af17p-5, 0x1.2fb30fda717ep-5, 0x1.2b9a07f3315cep-5, 0x1.278c15e5b368fp-5, 0x1.238929e66b212p-5, 0x1.1f9133fa9faf7p-5, 0x1.1ba423fa235cdp-5, 0x1.17c1e990f6429p-5, 0x1.13ea7440e8a27p-5, 0x1.101db3633f004p-5, 0x1.0c5b962a471acp-5, 0x1.08a40ba2f0696p-5, 0x1.04f702b65686ep-5, 0x1.01546a2b4ec69p-5, 0x1.fb78614fde34fp-6, 0x1.f45c89661421dp-6, 0x1.ed55296b543cap-6, 0x1.e6621df9115b7p-6, 0x1.df83437300898p-6, 0x1.d8b87609e615ap-6, 0x1.d20191be6b12dp-6, 0x1.cb5e7263d279ep-6, 0x1.c4cef3a2c4d02p-6, 0x1.be52f0fbe9d76p-6, 0x1.b7ea45ca8ee8ep-6, 0x1.b194cd474863p-6, 0x1.ab52628a7420ep-6, 0x1.a522e08ec67fcp-6, 0x1.9f062233bca77p-6, 0x1.98fc02400930fp-6, 0x1.93045b63f9103p-6, 0x1.8d1f083bdc022p-6, 0x1.874be352420ddp-6, 0x1.818ac7224177dp-6, 0x1.7bdb8e19c1a21p-6, 0x1.763e129b9f383p-6, 0x1.70b22f01d6b0cp-6, 0x1.6b37bd9fa008p-6, 0x1.65ce98c386412p-6, 0x1.60769ab96592dp-6, 0x1.5b2f9dcc736dap-6, 0x1.55f97c49386fap-6, 0x1.50d4107f704e6p-6, 0x1.4bbf34c3eb298p-6, 0x1.46bac3726cc0dp-6, 0x1.41c696ef77422p-6, 0x1.3ce289aa112a3p-6, 0x1.380e761d798dep-6, 0x1.334a36d2e63d7p-6, 0x1.2e95a66319cbbp-6, 0x1.29f09f7812ea6p-6, 0x1.255afcce972e8p-6, 0x1.20d49937c863fp-6, 0x1.1c5d4f9a99811p-6, 0x1.17f4faf55316ap-6, 0x1.139b765f078ffp-6, 0x1.0f509d08ecb56p-6, 0x1.0b144a3fca4b8p-6, 0x1.06e6596d46eb1p-6, 0x1.02c6a6193641cp-6, 0x1.fd6a17d5c6322p-7, 0x1.f562cd54952f1p-7, 0x1.ed77248299e53p-7, 0x1.e5a6d579b6a1p-7, 0x1.ddf1989c34cf9p-7, 0x1.d65726970063ap-7, 0x1.ced73863ce1dbp-7, 0x1.c771874b29e85p-7, 0x1.c025cce68c3cdp-7, 0x1.b8f3c3224c597p-7, 0x1.b1db243f74e94p-7, 0x1.aadbaad5bd435p-7, 0x1.a3f511d53c4bep-7, 0x1.9d271488252f5p-7, 0x1.96716e9489be5p-7, 0x1.8fd3dbfdd232ap-7, 0x1.894e192670104p-7, 0x1.82dfe2d14d786p-7, 0x1.7c88f6233f4d5p-7, 0x1.764910a46aab7p-7, 0x1.701ff041a8fa6p-7, 0x1.6a0d534dcfd7bp-7, 0x1.6410f882de44cp-7, 0x1.5e2a9f034491ep-7, 0x1.585a065ae7531p-7, 0x1.529eee80647aep-7, 0x1.4cf917d5f1b7ap-7, 0x1.4768432a7d629p-7, 0x1.41ec31ba82736p-7, 0x1.3c84a5310a30ep-7, 0x1.37315fa878669p-7, 0x1.31f223ab63252p-7, 0x1.2cc6b4354656ep-7, 0x1.27aed4b354bedp-7, 0x1.22aa490517fdp-7, 0x1.1db8d57d12d41p-7, 0x1.18da3ee162963p-7, 0x1.140e4a6c4dda2p-7, 0x1.0f54bdccc030cp-7, 0x1.0aad5f26ccbf9p-7, 0x1.0617f5142454fp-7, 0x1.019446a462f44p-7, 0x1.fa4436bb38dc2p-8, 0x1.f1827678ed643p-8, 0x1.e8e2dd69669e1p-8, 0x1.e064fd627c2b3p-8, 0x1.d80869291a706p-8, 0x1.cfccb4716da6ep-8, 0x1.c7b173df68f78p-8, 0x1.bfb63d06e9f28p-8, 0x1.b7daa66bda0dfp-8, 0x1.b01e47827c9dep-8, 0x1.a880b8af673acp-8, 0x1.a101934791ccbp-8, 0x1.99a071905372cp-8, 0x1.925ceebf3411bp-8, 0x1.8b36a6f9e66a7p-8, 0x1.842d3755ee501p-8, 0x1.7d403dd87a177p-8, 0x1.766f59760d064p-8, 0x1.6fba2a123232bp-8, 0x1.6920507f013acp-8, 0x1.62a16e7cbb77ap-8, 0x1.5c3d26b941c98p-8, 0x1.55f31ccfa911bp-8, 0x1.4fc2f54767a79p-8, 0x1.49ac5593f634ep-8, 0x1.43aee414011b9p-8, 0x1.3dca4810bde3p-8, 0x1.37fe29bd29001p-8, 0x1.324a32353facdp-8, 0x1.2cae0b7d466a4p-8, 0x1.27296080c6538p-8, 0x1.21bbdd11bbb33p-8, 0x1.1c652de7aea3cp-8, 0x1.1725009ea7f1p-8, 0x1.11fb03b66ce7dp-8, 0x1.0ce6e69120e6bp-8, 0x1.07e8597296499p-8, 0x1.02ff0d7f02d66p-8, 0x1.fc556973ed2dp-9, 0x1.f2d6040a7346dp-9, 0x1.e97f523f4543ep-9, 0x1.e050bd47e0abfp-9, 0x1.d749b00f063f3p-9, 0x1.ce699732710e7p-9, 0x1.c5afe10020edap-9, 0x1.bd1bfd7428105p-9, 0x1.b4ad5e35bca05p-9, 0x1.ac637694e493cp-9, 0x1.a43dbb878a141p-9, 0x1.9c3ba3a703dcbp-9, 0x1.945ca72d059adp-9, 0x1.8ca03ff16a299p-9, 0x1.8505e966c82edp-9, 0x1.7d8d209805bc7p-9, 0x1.76356425884cdp-9, 0x1.6efe344220a1bp-9, 0x1.67e712b0231bep-9, 0x1.60ef82beaa4bdp-9, 0x1.5a17094676fdfp-9, 0x1.535d2ca716152p-9, 0x1.4cc174c3b7955p-9, 0x1.46436b0060508p-9, 0x1.3fe29a3ee3d85p-9, 0x1.399e8edb80fc6p-9, 0x1.3376d6aa705abp-9, 0x1.2d6b00f41a68ep-9, 0x1.277a9e72af061p-9, 0x1.21a5414e94603p-9, 0x1.1bea7d1b61759p-9, 0x1.1649e6d513b2fp-9, 0x1.10c314dc5b815p-9, 0x1.0b559ef40d904p-9, 0x1.06011e3da0ee1p-9, 0x1.00c52d363afd1p-9, 0x1.f742cf66d6f13p-10, 0x1.ed2ad5c02c267p-10, 0x1.e341aa72bcaafp-10, 0x1.d9868d16b9c31p-10, 0x1.cff8bfdbe639cp-10, 0x1.c697878383828p-10, 0x1.bd622b5a032f1p-10, 0x1.b457f53062d37p-10, 0x1.ab78315681dd3p-10, 0x1.a2c22e940f212p-10, 0x1.9a353e22e9f4bp-10, 0x1.91d0b3a885f3dp-10, 0x1.8993e52faf9a9p-10, 0x1.817e2b22411b3p-10, 0x1.798ee04336e86p-10, 0x1.71c561a809589p-10, 0x1.6a210eb2b04cep-10, 0x1.62a1490b778d5p-10, 0x1.5b45749ac2429p-10, 0x1.540cf7830a1b6p-10, 0x1.4cf73a1a61787p-10, 0x1.4603a6e4d2459p-10, 0x1.3f31aa8e3fd95p-10, 0x1.3880b3e3a2326p-10, 0x1.31f033cde0a9fp-10, 0x1.2b7f9d4b445c9p-10, 0x1.252e656a0bee2p-10, 0x1.1efc034194c38p-10, 0x1.18e7efed697fbp-10, 0x1.12f1a686aa4a7p-10, 0x1.0d18a41e6a892p-10, 0x1.075c67b8251c4p-10, 0x1.01bc7243698dfp-10, 0x1.f8708d2cb8436p-11, 0x1.ed9ed2d0907cdp-11, 0x1.e302c2967e674p-11, 0x1.d89b6d4e13542p-11, 0x1.ce67e7667fc98p-11, 0x1.c46748e367458p-11, 0x1.ba98ad51d181cp-11, 0x1.b0fb33bdb08e4p-11, 0x1.a78dfea59b8f1p-11, 0x1.9e5033f187892p-11, 0x1.9540fce6898ep-11, 0x1.8c5f861cee884p-11, 0x1.83aaff752e11dp-11, 0x1.7b229c0e0855p-11, 0x1.72c59239202a8p-11, 0x1.6a931b7119a73p-11, 0x1.628a744f02b77p-11, 0x1.5aaadc8050931p-11, 0x1.52f396bcc5c5bp-11, 0x1.4b63e8bbcd479p-11, 0x1.43fb1b2b28088p-11, 0x1.3cb879a491714p-11, 0x1.359b52a3ed414p-11, 0x1.2ea2f77e2ab12p-11, 0x1.27cebc56470cap-11, 0x1.211df8155c52dp-11, 0x1.1a90045f827bfp-11, 0x1.14243d8beb9c8p-11, 0x1.0dda029a3f37bp-11, 0x1.07b0b52a63842p-11, 0x1.01a7b972b9b32p-11, 0x1.f77cec6e52c34p-12, 0x1.ebe8a980c8375p-12, 0x1.e09181a4fb056p-12, 0x1.d5765149658b2p-12, 0x1.ca95f9b126af4p-12, 0x1.bfef60e1d61dp-12, 0x1.b581719350e6dp-12, 0x1.ab4b1b1e78d83p-12, 0x1.a14b516c9fd1p-12, 0x1.97810ce6e8522p-12, 0x1.8deb4a659deeap-12, 0x1.84890b1fb237bp-12, 0x1.7b59549c44f9bp-12, 0x1.725b30a05c18ap-12, 0x1.698dad214fafp-12, 0x1.60efdc339da3bp-12, 0x1.5880d3fca699p-12, 0x1.503faea2c6ab3p-12, 0x1.482b8a3e976c4p-12, 0x1.404388cc22902p-12, 0x1.3886d01c0307cp-12, 0x1.30f489c48eab5p-12, 0x1.298be3142bd4ap-12, 0x1.224c0d02561b6p-12, 0x1.1b343c21d95d7p-12, 0x1.1443a8932518cp-12, 0x1.0d798df6a5a09p-12, 0x1.06d52b5e5c1dcp-12, 0x1.0055c3417aac6p-12, 0x1.f3f536dc9e73fp-13, 0x1.e785f9fc9771cp-13, 0x1.db5c688e9853ep-13, 0x1.cf7721a1631p-13, 0x1.c3d4ca8b5da82p-13, 0x1.b8740ed1c97e8p-13, 0x1.ad53a0114f22ep-13, 0x1.a27235e4203a9p-13, 0x1.97ce8dcb22bb3p-13, 0x1.8d676b155e498p-13, 0x1.833b96c8eb1b1p-13, 0x1.7949df8c69c05p-13, 0x1.6f91198f12a4bp-13, 0x1.66101e73816bap-13, 0x1.5cc5cd3844574p-13, 0x1.53b10a223627dp-13, 0x1.4ad0bea78403bp-13, 0x1.4223d95976522p-13, 0x1.39a94dcf47cd8p-13, 0x1.316014924ba67p-13, 0x1.29472b086a838p-13, 0x1.215d936151747p-13, 0x1.19a2547f97c4fp-13, 0x1.121479e7b69a3p-13, 0x1.0ab313ac411ap-13, 0x1.037d3659501aep-13, 0x1.f8e3f5c4b4db2p-14, 0x1.eb20fd1ff2a96p-14, 0x1.ddafc5d9c4a78p-14, 0x1.d08e9b6819dcap-14, 0x1.c3bbd17dcda1p-14, 0x1.b735c3e6cd486p-14, 0x1.aafad6641629dp-14, 0x1.9f09748c6faaap-14, 0x1.936011a72f1a8p-14, 0x1.87fd288e8543dp-14, 0x1.7cdf3b8b5c636p-14, 0x1.7204d436a44b5p-14, 0x1.676c835851a29p-14, 0x1.5d14e0ca1eeep-14, 0x1.52fc8b55aacfcp-14, 0x1.492228980558dp-14, 0x1.3f8464e229c3fp-14, 0x1.3621f31ad5ab1p-14, 0x1.2cf98ca5010b6p-14, 0x1.2409f13f59ff5p-14, 0x1.1b51e6e8595a2p-14, 0x1.12d039c318bcbp-14, 0x1.0a83bbfc178d8p-14, 0x1.026b45add25cdp-14, 0x1.f50b6989d7b7p-15, 0x1.e5a3d9cf96d02p-15, 0x1.d69daeb68b201p-15, 0x1.c7f6c5d539f1fp-15, 0x1.b9ad079790afep-15, 0x1.abbe6713b4bacp-15, 0x1.9e28e1d43b029p-15, 0x1.90ea7faa6cd4p-15, 0x1.8401527f65eedp-15, 0x1.776b7624762d9p-15, 0x1.6b271026b846ep-15, 0x1.5f324fa04ae8ap-15, 0x1.538b6d0da8085p-15, 0x1.4830aa214166fp-15, 0x1.3d205199358ddp-15, 0x1.3258b7146cc06p-15, 0x1.27d836e92b8c4p-15, 0x1.1d9d35fac0911p-15, 0x1.13a62192edc46p-15, 0x1.09f16f3c1a06bp-15, 0x1.007d9c9776e59p-15, 0x1.ee925e6d7526ep-16, 0x1.dca568ed7d4fcp-16, 0x1.cb3182b87d19bp-16, 0x1.ba33e4da282a6p-16, 0x1.a9a9d71aedcb1p-16, 0x1.9990afb7a2d37p-16, 0x1.89e5d31debea4p-16, 0x1.7aa6b3a6d2adp-16, 0x1.6bd0d15623d2dp-16, 0x1.5d61b9949614cp-16, 0x1.4f5706f12cf7ap-16, 0x1.41ae60df8c51ap-16, 0x1.34657b7ccc57ep-16, 0x1.277a174c089e8p-16, 0x1.1aea00fe7ae62p-16, 0x1.0eb31137ea48p-16, 0x1.02d32c4fd2e98p-16, 0x1.ee9084378e065p-17, 0x1.d8209b683dcddp-17, 0x1.c252aa80cbc67p-17, 0x1.ad22d376f4572p-17, 0x1.988d4d8164666p-17, 0x1.848e64a9d6119p-17, 0x1.7122796997856p-17, 0x1.5e460042eacbp-17, 0x1.4bf5815ae569cp-17, 0x1.3a2d981ab48dep-17, 0x1.28eaf2c6d9eb4p-17, 0x1.182a5227ff366p-17, 0x1.07e8892656feep-17, 0x1.f044f8ec5b51fp-18, 0x1.d1aa446d7ad6p-18, 0x1.b3fb03352f6a7p-18, 0x1.9731652b98dd1p-18, 0x1.7b47bb024fe71p-18, 0x1.6038759891f02p-18, 0x1.45fe255424c0cp-18, 0x1.2c937974fdee3p-18, 0x1.13f33f83fecb6p-18, 0x1.f830c55d9e07ep-19, 0x1.c9fbd65a51c83p-19, 0x1.9d3dfb607e1c3p-19, 0x1.71edb594fed04p-19, 0x1.4801bccc4dba7p-19, 0x1.1f70fe549f5a3p-19, 0x1.f06537e5494bap-20, 0x1.a47bd58a01c4dp-20, 0x1.5b14e46867c61p-20, 0x1.141fd5df150fdp-20, 0x1.9f18f7d35bf36p-21, 0x1.1a960dec7acd3p-21, 0x1.35300fc6cc84fp-22, 0x1.f00b519162c35p-25, -0x1.6135a5d562f3fp-23, -0x1.96de49fcfa95ep-22, -0x1.3a80a47dca4a7p-21, -0x1.a59d685037f9ap-21, -0x1.067026d55a065p-20, -0x1.3831c8eeff25ap-20, -0x1.68206af04b48dp-20, -0x1.964890ce10bc5p-20, -0x1.c2b67393f7b48p-20, -0x1.ed7602eba72f3p-20, -0x1.0b4973528b1ffp-19, -0x1.1f0c402a7d1a7p-19, -0x1.3208f65e218b4p-19, -0x1.444502acc00bap-19, -0x1.55c5b0e702dacp-19, -0x1.66902ca1a0fe1p-19, -0x1.76a981e857ee9p-19, -0x1.86169de7a77a8p-19, -0x1.94dc4f994f3dfp-19, -0x1.a2ff486bd065bp-19, -0x1.b0841ce7c3bd5p-19, -0x1.bd6f454d35ea3p-19, -0x1.c9c51e36c2c7p-19, -0x1.d589e92e30ebp-19, -0x1.e0c1cd45ae64cp-19, -0x1.eb70d7ac8ed7ap-19, -0x1.f59afc3d76e93p-19, -0x1.ff441612729e3p-19, -0x1.0437f403872ffp-18, -0x1.08910ea5bf0f3p-18, -0x1.0caf24f237309p-18, -0x1.1093f596864a3p-18, -0x1.1441342f40528p-18, -0x1.17b889860d40ep-18, -0x1.1afb93ccf8bdap-18, -0x1.1e0be6dd0925fp-18, -0x1.20eb0c6fea213p-18, -0x1.239a845bd55ddp-18, -0x1.261bc4cf5901dp-18, -0x1.28703a83f02ap-18, -0x1.2a9948f372e73p-18, -0x1.2c984a93839e8p-18, -0x1.2e6e91062cd32p-18, -0x1.301d654d2601dp-18, -0x1.31a607fe63aa4p-18, -0x1.3309b174ef9bp-18, -0x1.344991fe30b49p-18, -0x1.3566d20cb827bp-18, -0x1.366292635aea8p-18, -0x1.373dec4393f2cp-18, -0x1.37f9f19a419eep-18, -0x1.3897ad2cceeb5p-18, -0x1.391822c17c9e9p-18, -0x1.397c4f479ae41p-18, -0x1.39c52903d4dbdp-18, -0x1.39f39fb77b441p-18, }}, 
      {{-0x1.86910d8b13e59p-3, -0x1.87b26a483602cp-3, -0x1.8989add35a302p-3, -0x1.8c07cb0752872p-3, -0x1.8f1a05c1241acp-3, -0x1.92ab6e0ef6065p-3, -0x1.96a629bdd271ap-3, -0x1.9af47e9e19cd4p-3, -0x1.9f819ecbf6c6ep-3, -0x1.a43a3e1deba3p-3, -0x1.a90cf8fa2032fp-3, -0x1.adea942378266p-3, -0x1.b2c61c0d24e9fp-3, -0x1.b794e97892f05p-3, -0x1.bc4e909e1721p-3, -0x1.c0ecbfc5b706ap-3, -0x1.c56b11dfcca38p-3, -0x1.c9c6d946d7065p-3, -0x1.cdfee6544d76ap-3, -0x1.d2134cdd9ada3p-3, -0x1.d6052b0e3db81p-3, -0x1.d9d67373e38bcp-3, -0x1.dd89bb7bd487dp-3, -0x1.e1220f1dac17p-3, -0x1.e4a2ca02a0ef4p-3, -0x1.e80f762439b2ap-3, -0x1.eb6bafa033a5fp-3, -0x1.eebb0d57401p-3, -0x1.f2010dd5ebc43p-3, -0x1.f54107fe656b7p-3, -0x1.f87e1eebd4678p-3, -0x1.fbbb3890ceb32p-3, -0x1.fefaf69fb85ffp-3, -0x1.011fd8ad8f799p-2, -0x1.02c5b9fde05b5p-2, -0x1.046ffd3466a12p-2, -0x1.061f58061705ap-2, -0x1.07d457cc05b89p-2, -0x1.098f61cdf421fp-2, -0x1.0b50b3e77125ap-2, -0x1.0d18657d04571p-2, -0x1.0ee668b8a430ap-2, -0x1.10ba8c05fdb74p-2, -0x1.12947bc7a9ec7p-2, -0x1.1473c43ed2283p-2, -0x1.1657d39ec6a7p-2, -0x1.183ffc45ef533p-2, -0x1.1a2b771573d2cp-2, -0x1.1c1965e0ba503p-2, -0x1.1e08d5eddf87fp-2, -0x1.1ff8c28044eep-2, -0x1.21e817667cd7fp-2, -0x1.23d5b385065fcp-2, -0x1.25c06b57ba6a2p-2, -0x1.27a70b6422c03p-2, -0x1.29885a978c585p-2, -0x1.2b631c8c2eb1ep-2, -0x1.2d3613b16a288p-2, -0x1.2f000353b9831p-2, -0x1.30bfb181afaf4p-2, -0x1.3273e8cbee60ep-2, -0x1.341b79deaf954p-2, -0x1.35b53cf40dfd7p-2, -0x1.3740131ecf2e5p-2, -0x1.38bae76de6ff9p-2, -0x1.3a24afe96e249p-2, -0x1.3b7c6e6a1cabep-2, -0x1.3cc1314cbb97cp-2, -0x1.3df214033d72fp-2, -0x1.3f0e3f856d8afp-2, -0x1.4014eaa35173p-2, -0x1.41055a3b71863p-2, -0x1.41dee15753fc5p-2, -0x1.42a0e1307cbeap-2, -0x1.434ac9204f28bp-2, -0x1.43dc167d0bb15p-2, -0x1.4454546632ddfp-2, -0x1.44b31b826d17fp-2, -0x1.44f811b10415ap-2, -0x1.4522e9b0dd7eep-2, -0x1.453362bec65abp-2, -0x1.4529482cba544p-2, -0x1.450470f3b237fp-2, -0x1.44c4bf41640ffp-2, -0x1.446a20032e03dp-2, -0x1.43f48a6f5fd81p-2, -0x1.4363ff8dcfab5p-2, -0x1.42b889c0a850dp-2, -0x1.41f23c4e2f46fp-2, -0x1.411132ec2574fp-2, -0x1.4015914d52f13p-2, -0x1.3eff82b1abc36p-2, -0x1.3dcf39796f45fp-2, -0x1.3c84eebb85001p-2, -0x1.3b20e1df52584p-2, -0x1.39a3583a2afc4p-2, -0x1.380c9cb07581cp-2, -0x1.365cff5a8f3cfp-2, -0x1.3494d52d6d1bep-2, -0x1.32b477a6f6e0fp-2, -0x1.30bc447e03ad5p-2, -0x1.2eac9d55e8743p-2, -0x1.2c85e775798fap-2, -0x1.2a488b815ee9dp-2, -0x1.27f4f5399bf29p-2, -0x1.258b933a21276p-2, -0x1.230cd6be48d68p-2, -0x1.2079336710ee1p-2, -0x1.1dd11f03f692ep-2, -0x1.1b15115e3f299p-2, -0x1.184584069be74p-2, -0x1.1562f224f5574p-2, -0x1.126dd84a48d74p-2, -0x1.0f66b4447156fp-2, -0x1.0c4e04f3c0862p-2, -0x1.09244a2250b2dp-2, -0x1.05ea045ceb451p-2, -0x1.029fb4cd7a9e6p-2, -0x1.fe8bba2dd040ep-3, -0x1.f7b9fe64ab4dep-3, -0x1.f0cb3a9b461c7p-3, -0x1.e9c07356660d4p-3, -0x1.e29aad05b26c9p-3, -0x1.db5aebc7e191fp-3, -0x1.d4023331148ccp-3, -0x1.cc91861356cffp-3, -0x1.c509e6492bdf7p-3, -0x1.bd6c54822cc18p-3, -0x1.b5b9d0119ad0ap-3, -0x1.adf356beeb72fp-3, -0x1.a619e4984228ap-3, -0x1.9e2e73c6ce633p-3, -0x1.9631fc65142fap-3, -0x1.8e257457119f6p-3, -0x1.8609cf2441d2cp-3, -0x1.7ddffdd37be16p-3, -0x1.75a8eec8abdebp-3, -0x1.6d658da45ef1p-3, -0x1.6516c32528a35p-3, -0x1.5cbd750ad7c55p-3, -0x1.545a85fb79166p-3, -0x1.4beed56a2d038p-3, -0x1.437b3f7fbdfeep-3, -0x1.3b009d05003d1p-3, -0x1.327fc34ef4afcp-3, -0x1.29f9842c9f67fp-3, -0x1.216eadd69bef2p-3, -0x1.18e00ae058b7bp-3, -0x1.104e622afc487p-3, -0x1.07ba76d9f09e8p-3, -0x1.fe4a1091f13ffp-4, -0x1.ed1da407bb63cp-4, -0x1.dbf1177f39a1cp-4, -0x1.cac5d2aa1845ap-4, -0x1.b99d3579e22d4p-4, -0x1.a878981aee7b3p-4, -0x1.97594af1fa451p-4, -0x1.8640969c5bc4dp-4, -0x1.752fbbf2a90ddp-4, -0x1.6427f40dc0da7p-4, -0x1.532a704e19a6dp-4, -0x1.42385a6538a9ep-4, -0x1.3152d46133a4fp-4, -0x1.207af8ba28c83p-4, -0x1.0fb1da618543ep-4, -0x1.fdf109a611dd5p-5, -0x1.dc9ff84ec857p-5, -0x1.bb727a50a93cep-5, -0x1.9a6a7acc4d4cp-5, -0x1.7989d69cfa54ep-5, -0x1.58d25c888e438p-5, -0x1.3845cd7190703p-5, -0x1.17e5dc8b2712ep-5, -0x1.ef685f1da3c7ep-6, -0x1.af64bde74c02p-6, -0x1.6fc3ec4dc325ep-6, -0x1.3088e78b501b9p-6, -0x1.e36d275edcc86p-7, -0x1.669f782b9daedp-7, -0x1.d55c4f7a98d48p-8, -0x1.be79b33ee7bc7p-9, 0x1.51560e43e372ep-12, 0x1.0790aaf357e12p-8, 0x1.f82ba8c069b4ap-8, 0x1.736eaaf2a616ep-7, 0x1.e9ce81be440b9p-7, 0x1.2f98958f57657p-6, 0x1.69c95126da0fep-6, 0x1.a377853aa3606p-6, 0x1.dca156e20655bp-6, 0x1.0aa27f2131a1p-5, 0x1.26b0630e4024cp-5, 0x1.427985add0b5ep-5, 0x1.5dfd1e53414a3p-5, 0x1.793a6cf92d8d4p-5, 0x1.9430ba0bf98fbp-5, 0x1.aedf56357ca09p-5, 0x1.c9459a29cdb6cp-5, 0x1.e362e67540e7ep-5, 0x1.fd36a34b99c97p-5, 0x1.0b60202c3d6aep-4, 0x1.17ff9a4889709p-4, 0x1.24797f038ad2cp-4, 0x1.30cd90de77c7p-4, 0x1.3cfb95bda70c5p-4, 0x1.490356d3f4b99p-4, 0x1.54e4a08ecbe33p-4, 0x1.609f4282d3dbap-4, 0x1.6c330f593f7a9p-4, 0x1.779fdcbdba311p-4, 0x1.82e5834cf5e8cp-4, 0x1.8e03de83d1963p-4, 0x1.98faccaf1c308p-4, 0x1.a3ca2edbe9524p-4, 0x1.ae71e8c87b636p-4, 0x1.b8f1e0d5bf12fp-4, 0x1.c349fff94ac16p-4, 0x1.cd7a31afe9c6cp-4, 0x1.d78263f0abd71p-4, 0x1.e162872074d2ap-4, 0x1.eb1a8e0600b23p-4, 0x1.f4aa6dbe5d516p-4, 0x1.fe121db1e82a3p-4, 0x1.03a8cbc4ccbbep-3, 0x1.08346b926b67ep-3, 0x1.0cabed47cd162p-3, 0x1.110f50fc7875fp-3, 0x1.155e97d4f310fp-3, 0x1.1999c3fe5ee9bp-3, 0x1.1dc0d8aa38a55p-3, 0x1.21d3da0a499b6p-3, 0x1.25d2cd4cb3677p-3, 0x1.29bdb898222f5p-3, 0x1.2d94a3081cd07p-3, 0x1.315794a97215p-3, 0x1.35069676c4b1dp-3, 0x1.38a1b2552a9ecp-3, 0x1.3c28f310ec18fp-3, 0x1.3f9c645a4d33ap-3, 0x1.42fc12c278d5ep-3, 0x1.46480bb870fefp-3, 0x1.49805d8615e9bp-3, 0x1.4ca5174d37be4p-3, 0x1.4fb64904b8f9ap-3, 0x1.52b40375ba82bp-3, 0x1.559e5838cde77p-3, 0x1.587559b333095p-3, 0x1.5b391b141f76ap-3, 0x1.5de9b05206a55p-3, 0x1.60872e27e937p-3, 0x1.6311aa12a35bep-3, 0x1.65893a4e44e28p-3, 0x1.67edf5d3631f7p-3, 0x1.6a3ff454701c2p-3, 0x1.6c7f4e3b0b9cfp-3, 0x1.6eac1ca5596f3p-3, 0x1.70c679634fcbap-3, 0x1.72ce7ef4085dp-3, 0x1.74c4488304f6p-3, 0x1.76a7f1e57a6f7p-3, 0x1.7879979790171p-3, 0x1.7a3956b999d75p-3, 0x1.7be74d0d509ccp-3, 0x1.7d8398f301ef7p-3, 0x1.7f0e5966ba45ep-3, 0x1.8087adfd684dbp-3, 0x1.81efb6e1f92b7p-3, 0x1.834694d27216bp-3, 0x1.848c691cfa20ep-3, 0x1.85c1559ce69fbp-3, 0x1.86e57cb7b8a37p-3, 0x1.87f9015a17c9ap-3, 0x1.88fc06f4c4448p-3, 0x1.89eeb179839a4p-3, 0x1.8ad125580033dp-3, 0x1.8ba3877aae31ep-3, 0x1.8c65fd439ce84p-3, 0x1.8d18ac894696dp-3, 0x1.8dbbbb936103fp-3, 0x1.8e4f511799db1p-3, 0x1.8ed394365af6bp-3, 0x1.8f48ac777ed4bp-3, 0x1.8faec1c706cdp-3, 0x1.9005fc71c79b6p-3, 0x1.904e852215081p-3, 0x1.908884dc67683p-3, 0x1.90b424fbff5b9p-3, 0x1.90d18f2f82818p-3, 0x1.90e0ed75966aap-3, 0x1.90e26a197e2edp-3, 0x1.90d62fafae561p-3, 0x1.90bc69125fdfcp-3, 0x1.9095415e27b05p-3, 0x1.9060e3ee8613ep-3, 0x1.901f7c5a7d4acp-3, 0x1.8fd136711ca66p-3, 0x1.8f763e3617f68p-3, 0x1.8f0ebfde5b724p-3, 0x1.8e9ae7cc9c1cp-3, 0x1.8e1ae28df1d23p-3, 0x1.8d8edcd66ddc1p-3, 0x1.8cf7037db418fp-3, 0x1.8c53837b9b3ap-3, 0x1.8ba489e4cddc5p-3, 0x1.8aea43e76ac23p-3, 0x1.8a24dec7b5c32p-3, 0x1.895487dcbc6aap-3, 0x1.88796c8d11762p-3, 0x1.8793ba4b7f873p-3, 0x1.86a39e93c825dp-3, 0x1.85a946e76c705p-3, 0x1.84a4e0ca7245cp-3, 0x1.839699c03b08ap-3, 0x1.827e9f485b424p-3, 0x1.815d1edb7b127p-3, 0x1.803245e842ef2p-3, 0x1.7efe41d048648p-3, 0x1.7dc13fe50b8b4p-3, 0x1.7c7b6d64fb886p-3, 0x1.7b2cf7788053ep-3, 0x1.79d60b2f14552p-3, 0x1.7876d57c6264ap-3, 0x1.770f83357484bp-3, 0x1.75a0410de37abp-3, 0x1.74293b951e28dp-3, 0x1.72aa9f33ad62ap-3, 0x1.712498289062dp-3, 0x1.6f97528699415p-3, 0x1.6e02fa31dda3ap-3, 0x1.6c67badd2e77bp-3, 0x1.6ac5c0079f835p-3, 0x1.691d34fa143aap-3, 0x1.676e44c4e375ep-3, 0x1.65b91a3d7b266p-3, 0x1.63fddffc1f508p-3, 0x1.623cc059a824dp-3, 0x1.6075e56d55349p-3, 0x1.5ea9790aab356p-3, 0x1.5cd7a4bf5e14dp-3, 0x1.5b0091d14ca3bp-3, 0x1.5924693c81889p-3, 0x1.574353b14a2fcp-3, 0x1.555d799254c48p-3, 0x1.537302f2dee1p-3, 0x1.51841794f332p-3, 0x1.4f90dee7af058p-3, 0x1.4d9980059b331p-3, 0x1.4b9e21b310738p-3, 0x1.499eea5ca9cbbp-3, 0x1.479c0015c428fp-3, 0x1.459588970a4dbp-3, 0x1.438ba93d1174cp-3, 0x1.417e8706ffa1fp-3, 0x1.3f6e4695446acp-3, 0x1.3d5b0c2859aa2p-3, 0x1.3b44fb9f94eabp-3, 0x1.392c387806026p-3, 0x1.3710e5cb62dfep-3, 0x1.34f3264efec7ap-3, 0x1.32d31c52d084ap-3, 0x1.30b0e9c084e9cp-3, 0x1.2e8cb01aa0476p-3, 0x1.2c66907ba98dcp-3, 0x1.2a3eab9563823p-3, 0x1.281521b012453p-3, 0x1.25ea12a9d0ad3p-3, 0x1.23bd9df5eae92p-3, 0x1.218fe29c4d5d6p-3, 0x1.1f60ff38f705fp-3, 0x1.1d3111fb82b71p-3, 0x1.1b0038a6b05e3p-3, 0x1.18ce9090043fdp-3, 0x1.169c369f67f83p-3, 0x1.1469474ee25acp-3, 0x1.1235deaa4f51p-3, 0x1.1002184f278f5p-3, 0x1.0dce0f6c581e8p-3, 0x1.0b99dec21ba7dp-3, 0x1.0965a0a1e1d41p-3, 0x1.07316eee47611p-3, 0x1.04fd631b0ab2p-3, 0x1.02c9962d1ac3cp-3, 0x1.009620ba9ff88p-3, 0x1.fcc635d63784dp-4, 0x1.f86138ef15e32p-4, 0x1.f3fd79551fd8fp-4, 0x1.ef9b24c157b9ep-4, 0x1.eb3a6810fa47ap-4, 0x1.e6db6f4607e9ep-4, 0x1.e27e6587ebcecp-4, 0x1.de2375242bd69p-4, 0x1.d9cac78f2692ep-4, 0x1.d5748564e661ap-4, 0x1.d120d66a061fcp-4, 0x1.cccfe18c99613p-4, 0x1.c881cce52f0b3p-4, 0x1.c436bdb7e0402p-4, 0x1.bfeed8756816cp-4, 0x1.bbaa40bc4eab1p-4, 0x1.b769195a1977p-4, 0x1.b32b844c944b7p-4, 0x1.aef1a2c31f90bp-4, 0x1.aabb952003cep-4, 0x1.a6897af9df947p-4, 0x1.a25b731d1ab0bp-4, 0x1.9e319b8d55d8ap-4, 0x1.9a0c11870490bp-4, 0x1.95eaf180f27dp-4, 0x1.91ce572ddd741p-4, 0x1.8db65d7e21564p-4, 0x1.89a31ea1616f1p-4, 0x1.8594b4083fe8dp-4, 0x1.818b36661bc2fp-4, 0x1.7d86bdb2d7673p-4, 0x1.7987612ca7bp-4, 0x1.758d3759e836dp-4, 0x1.7198560af97b8p-4, 0x1.6da8d25c20a1ap-4, 0x1.69bec0b774b98p-4, 0x1.65da34d6cc631p-4, 0x1.61fb41c5aef5dp-4, 0x1.5e21f9e355234p-4, 0x1.5a4e6ee4a0748p-4, 0x1.5680b1d626d4ep-4, 0x1.52b8d31e34ca8p-4, 0x1.4ef6e27ed95b5p-4, 0x1.4b3aef17f955cp-4, 0x1.4785076960233p-4, 0x1.43d53954d8b17p-4, 0x1.402b922040bbcp-4, 0x1.3c881e77ab348p-4, 0x1.38eaea6f79e34p-4, 0x1.355401867fa15p-4, 0x1.31c36ea82101ap-4, 0x1.2e393c2e78a97p-4, 0x1.2ab573e47ac8cp-4, 0x1.27381f081c70ep-4, 0x1.23c1464c762b5p-4, 0x1.2050f1dbef028p-4, 0x1.1ce7295a629d2p-4, 0x1.1983f3e74678bp-4, 0x1.1627581fd2215p-4, 0x1.12d15c212688dp-4, 0x1.0f82058a73c7fp-4, 0x1.0c39597f1dd1dp-4, 0x1.08f75ca8e1271p-4, 0x1.05bc1339f5c6dp-4, 0x1.028780ef30e47p-4, 0x1.feb352244bd1ep-5, 0x1.f8651cf686772p-5, 0x1.f2246727de6f4p-5, 0x1.ebf134b147cddp-5, 0x1.e5cb88b60a35cp-5, 0x1.dfb36587ed0c2p-5, 0x1.d9a8ccab5f71ap-5, 0x1.d3abbedb987efp-5, 0x1.cdbc3c0eabe44p-5, 0x1.c7da4379a809p-5, 0x1.c205d3949fc3ap-5, 0x1.bc3eea1eb031ep-5, 0x1.b685842203c15p-5, 0x1.b0d99df7cee2p-5, 0x1.ab3b334c3b7bdp-5, 0x1.a5aa3f225950ep-5, 0x1.a026bbd801b52p-5, 0x1.9ab0a329aa62dp-5, 0x1.9547ee36487ep-5, 0x1.8fec95830742ep-5, 0x1.8a9e90ff1b34ap-5, 0x1.855dd8076ef14p-5, 0x1.802a616a5d658p-5, 0x1.7b04236b519c3p-5, 0x1.75eb13c667f6bp-5, 0x1.70df27b402ba3p-5, 0x1.6be053ec5794p-5, 0x1.66ee8caae74d1p-5, 0x1.6209c5b206613p-5, 0x1.5d31f24e3a4f1p-5, 0x1.58670559a8807p-5, 0x1.53a8f13f6a19fp-5, 0x1.4ef7a7fede639p-5, 0x1.4a531b2ef194p-5, 0x1.45bb3c015312fp-5, 0x1.412ffb45ae8cp-5, 0x1.3cb1496cc5b1p-5, 0x1.383f168b9ca26p-5, 0x1.33d9525e7b103p-5, 0x1.2f7fec4bff4dbp-5, 0x1.2b32d368115f7p-5, 0x1.26f1f676da9ccp-5, 0x1.22bd43efa99d6p-5, 0x1.1e94a9ffcbf27p-5, 0x1.1a78168d65c3bp-5, 0x1.1667773a339b9p-5, 0x1.1262b96643681p-5, 0x1.0e69ca32add56p-5, 0x1.0a7c9684321a7p-5, 0x1.069b0b05d9293p-5, 0x1.02c5142b84d09p-5, 0x1.fdf53c68df7afp-6, 0x1.f6772a5b63692p-6, 0x1.ef0fc9e94de47p-6, 0x1.e7bef272bbbf9p-6, 0x1.e0847b01d79bp-6, 0x1.d9603a4f80891p-6, 0x1.d25206c7d75cp-6, 0x1.cb59b68eae66bp-6, 0x1.c4771f83f66c3p-6, 0x1.bdaa1748020b3p-6, 0x1.b6f2733fbc7ecp-6, 0x1.b0500898da09ap-6, 0x1.a9c2ac4dd9f05p-6, 0x1.a34a332a04ee4p-6, 0x1.9ce671cd568ebp-6, 0x1.96973cb04c7c3p-6, 0x1.905c6827a7bd5p-6, 0x1.8a35c8680efb4p-6, 0x1.84233189b9ed8p-6, 0x1.7e24778bd17b4p-6, 0x1.78396e58033a5p-6, 0x1.7261e9c5cc73bp-6, 0x1.6c9dbd9dc03b6p-6, 0x1.66ecbd9ccc1fp-6, 0x1.614ebd774cfbbp-6, 0x1.5bc390dc2b90fp-6, 0x1.564b0b77d313bp-6, 0x1.50e500f726597p-6, 0x1.4b91450a54a46p-6, 0x1.464fab67ae6fep-6, 0x1.412007ce3f20ap-6, 0x1.3c022e0898aaep-6, 0x1.36f5f1ef50691p-6, 0x1.31fb276b889c8p-6, 0x1.2d11a279690bp-6, 0x1.2839372a77f18p-6, 0x1.2371b9a7f45fbp-6, 0x1.1ebafe3513b91p-6, 0x1.1a14d9313123cp-6, 0x1.157f1f19fa25fp-6, 0x1.10f9a48d70575p-6, 0x1.0c843e4bff7a5p-6, 0x1.081ec13a5ece7p-6, 0x1.03c902638562fp-6, 0x1.ff05adf4e58f9p-7, 0x1.f69828b8049b9p-7, 0x1.ee49202144402p-7, 0x1.e6183f9be7b31p-7, 0x1.de0532f0e6de8p-7, 0x1.d60fa64a14ce2p-7, 0x1.ce3746350dd08p-7, 0x1.c67bbfa62e0a6p-7, 0x1.bedcbffb5b00ap-7, 0x1.b759f4febad6bp-7, 0x1.aff30ce961b28p-7, 0x1.a8a7b665aee89p-7, 0x1.a177a091dfa2ap-7, 0x1.9a627b0244a37p-7, 0x1.9367f5c38e8f3p-7, 0x1.8c87c15cf4341p-7, 0x1.85c18ed22d31dp-7, 0x1.7f150fa57eed6p-7, 0x1.7881f5d98a2f3p-7, 0x1.7207f3f32403ep-7, 0x1.6ba6bcfb0464bp-7, 0x1.655e047f699cdp-7, 0x1.5f2d7e95b4a65p-7, 0x1.5914dfdbc1f83p-7, 0x1.5313dd796b258p-7, 0x1.4d2a2d21c7bf4p-7, 0x1.475785147d68ap-7, 0x1.419b9c1edbd99p-7, 0x1.3bf6299d01e28p-7, 0x1.3666e57ae2c5fp-7, 0x1.30ed883544ac6p-7, 0x1.2b89cada9cc18p-7, 0x1.263b670bf01a2p-7, 0x1.210216fd931b7p-7, 0x1.1bdd9577e4f12p-7, 0x1.16cd9dd7f166dp-7, 0x1.11d1ec100345cp-7, 0x1.0cea3ca843c99p-7, 0x1.08164cbf1b503p-7, 0x1.0355da09afbb3p-7, 0x1.fd5145a866394p-8, 0x1.f41ccc04940eap-8, 0x1.eb0dc61e70e8ep-8, 0x1.e223b41c4aa23p-8, 0x1.d95e1754a5943p-8, 0x1.d0bc724e2a4bap-8, 0x1.c83e48c01f219p-8, 0x1.bfe31f924f2e4p-8, 0x1.b7aa7cdd0f121p-8, 0x1.af93e7e8f91f8p-8, 0x1.a79ee92f06687p-8, 0x1.9fcb0a57f6bf2p-8, 0x1.9817d63c279d8p-8, 0x1.9084d8e31b64dp-8, 0x1.89119f82e0cdfp-8, 0x1.81bdb87f9247cp-8, 0x1.7a88b36abdf74p-8, 0x1.73722102851a4p-8, 0x1.6c799330f00bdp-8, 0x1.659e9d0b239acp-8, 0x1.5ee0d2d03b75fp-8, 0x1.583fc9e89f99p-8, 0x1.51bb18e4c63b7p-8, 0x1.4b52577c1f68p-8, 0x1.45051e8c252b9p-8, 0x1.3ed30816f46bfp-8, 0x1.38bbaf4219888p-8, 0x1.32beb05563bd2p-8, 0x1.2cdba8b966e3ap-8, 0x1.271236f64c961p-8, 0x1.2161fab21a8c4p-8, 0x1.1bca94af8d079p-8, 0x1.164ba6cc679afp-8, 0x1.10e4d3ffe5c11p-8, 0x1.0b95c0595a743p-8, 0x1.065e10fe2a443p-8, 0x1.013d6c2895ff6p-8, 0x1.f866f24b97ba3p-9, 0x1.ee7fc0a85224ep-9, 0x1.e4c4964369155p-9, 0x1.db34c8141784cp-9, 0x1.d1cfad29b43ecp-9, 0x1.c8949ea784d62p-9, 0x1.bf82f7c1a0821p-9, 0x1.b69a15b88b57fp-9, 0x1.add957d604e41p-9, 0x1.a5401f68bcb8ap-9, 0x1.9ccdcfc0ca54ep-9, 0x1.9481ce2b4e9p-9, 0x1.8c5b81eefea44p-9, 0x1.845a5447eb51ep-9, 0x1.7c7db0635223bp-9, 0x1.74c5035c2bdaep-9, 0x1.6d2fbc36378b9p-9, 0x1.65bd4bdab5811p-9, 0x1.5e6d2513bca9ep-9, 0x1.573ebc8860ddep-9, 0x1.503188b86fdeep-9, 0x1.494501f871e77p-9, 0x1.4278a26d0667fp-9, 0x1.3bcbe60742083p-9, 0x1.353e4a801b27ap-9, 0x1.2ecf4f543731dp-9, 0x1.287e75bff54e9p-9, 0x1.224b40bab91bcp-9, 0x1.1c3534f3310ap-9, 0x1.163bd8cab8baep-9, 0x1.105eb451562efp-9, 0x1.0a9d514127661p-9, 0x1.04f73afa88a5ep-9, 0x1.fed7fcff3fe0dp-10, 0x1.f3f654e016c39p-10, 0x1.e9489e099af55p-10, 0x1.decdfc1819e34p-10, 0x1.d48595c932d0dp-10, 0x1.ca6e94f44d0dp-10, 0x1.c08826813d281p-10, 0x1.b6d17a6067d7fp-10, 0x1.ad49c382aa501p-10, 0x1.a3f037cfd4aeep-10, 0x1.9ac4101fc374p-10, 0x1.91c48830d56dp-10, 0x1.88f0dea0b65b7p-10, 0x1.804854e3198f6p-10, 0x1.77ca2f3a4fa3p-10, 0x1.6f75b4aee6c3fp-10, 0x1.674a2f072033ep-10, 0x1.5f46eabf30728p-10, 0x1.576b370138797p-10, 0x1.4fb6659cffea8p-10, 0x1.4827cb004dffp-10, 0x1.40bebe2e53c63p-10, 0x1.397a98b8cfbd8p-10, 0x1.325ab6b7173b9p-10, 0x1.2b5e76bed8146p-10, 0x1.248539dc9e91bp-10, 0x1.1dce638b13c88p-10, 0x1.173959acaa8dcp-10, 0x1.10c584830533ap-10, 0x1.0a724ea787e46p-10, 0x1.043f2504a10c3p-10, 0x1.fc56ed99af702p-11, 0x1.f06d6aea126f6p-11, 0x1.e4c0a9576243fp-11, 0x1.d94f94a4f0736p-11, 0x1.ce191ced3c471p-11, 0x1.c31c3693c7d27p-11, 0x1.b857da3635013p-11, 0x1.adcb049f6acf4p-11, 0x1.a374b6b812e93p-11, 0x1.9953f579ab13cp-11, 0x1.8f67c9e02a3c1p-11, 0x1.85af40dd3692dp-11, 0x1.7c296b48b1969p-11, 0x1.72d55dd60c6aep-11, 0x1.69b231041b762p-11, 0x1.60bf01119aa7dp-11, 0x1.57faedefcd627p-11, 0x1.4f651b354065ep-11, 0x1.46fcb01078227p-11, 0x1.3ec0d73d2bd7ep-11, 0x1.36b0bef4c048bp-11, 0x1.2ecb98e45817cp-11, 0x1.27109a1ee84f5p-11, 0x1.1f7efb120816ep-11, 0x1.1815f77881fa1p-11, 0x1.10d4ce502659cp-11, 0x1.09bac1cc183e9p-11, 0x1.02c7174a6eecdp-11, 0x1.f7f22e8eeef8ep-12, 0x1.eaa01aa66c728p-12, 0x1.dd96900ba362dp-12, 0x1.d0d431e605601p-12, 0x1.c457a941defcap-12, 0x1.b81fa4f84d284p-12, 0x1.ac2ad9984b24fp-12, 0x1.a07801540cb5cp-12, 0x1.9505dbe8d6adcp-12, 0x1.89d32e8c2a48fp-12, 0x1.7edec3d411ec3p-12, 0x1.74276ba714832p-12, 0x1.69abfb231c36dp-12, 0x1.5f6b4c8c425c2p-12, 0x1.55643f37b815dp-12, 0x1.4b95b779544eap-12, 0x1.41fe9e8e3773cp-12, 0x1.389de28b640bcp-12, 0x1.2f72764a0546dp-12, 0x1.267b51546bf4bp-12, 0x1.1db76fd53dfa2p-12, 0x1.1525d282b81f3p-12, 0x1.0cc57e8e1c91ep-12, 0x1.04957d91f5eb3p-12, 0x1.f929bb00bab72p-13, 0x1.e9856121bd52fp-13, 0x1.da3c1a6006268p-13, 0x1.cb4c1bdd2cc5bp-13, 0x1.bcb3a2e12eacfp-13, 0x1.ae70f4b9ebb3fp-13, 0x1.a0825e980aab1p-13, 0x1.92e635740df34p-13, 0x1.859ad5e9abcaap-13, 0x1.789ea41b186c9p-13, 0x1.6bf00b90582eep-13, 0x1.5f8d7f1b46c84p-13, 0x1.537578b786276p-13, 0x1.47a6796d2bd93p-13, 0x1.3c1f0934d31e8p-13, 0x1.30ddb6d922e31p-13, 0x1.25e117d9b215ap-13, 0x1.1b27c851ec1e2p-13, 0x1.10b06adb076bcp-13, 0x1.0679a87161349p-13, 0x1.f90460b20b138p-14, 0x1.e59170082099dp-14, 0x1.d297f5f020487p-14, 0x1.c0157569358e1p-14, 0x1.ae077d3254e33p-14, 0x1.9c6ba7975fb3dp-14, 0x1.8b3f9a43633b6p-14, 0x1.7a81060b7b6e1p-14, 0x1.6a2da6c363677p-14, 0x1.5a434309b8266p-14, 0x1.4abfac1c3a70ap-14, 0x1.3ba0bda6afdf8p-14, 0x1.2ce45d9b97a25p-14, 0x1.1e887c0156557p-14, 0x1.108b12c7b9a2ap-14, 0x1.02ea259fb4c6bp-14, 0x1.eb47839e0dap-15, 0x1.d16bfc0731f9dp-15, 0x1.b83df459f4be3p-15, 0x1.9fb9bea7b9f01p-15, 0x1.87dbbee085babp-15, 0x1.70a06a86290b7p-15, 0x1.5a04485e0ff81p-15, 0x1.4403f02139f86p-15, 0x1.2e9c0a362cedp-15, 0x1.19c94f6269737p-15, 0x1.05888884b2f4p-15, 0x1.e3ad1c922c69ep-16, 0x1.bd6091c7445bp-16, 0x1.98255f9aadb87p-16, 0x1.73f592f459157p-16, 0x1.50cb56306b8ap-16, 0x1.2ea0f0973c78ep-16, 0x1.0d70c5e319d3fp-16, 0x1.da6aab6b84d07p-17, 0x1.9bd27632b3e7p-17, 0x1.5f0e580b151f5p-17, 0x1.2413f1d4af401p-17, 0x1.d5b230b866c89p-18, 0x1.66a7a6ea83c14p-18, 0x1.f5e9741a10dc4p-19, 0x1.250c80da5d7adp-19, 0x1.6a4b876f50a93p-21, -0x1.a6a0f4f682008p-21, -0x1.27c8f685b362p-19, -0x1.dff2ad092ed32p-19, -0x1.492408214fd2fp-18, -0x1.9f758f8cc841bp-18, -0x1.f2fe95c28a857p-18, -0x1.21e7b7533073bp-17, -0x1.48fc0d5000c8cp-17, -0x1.6ec4241ff4181p-17, -0x1.9347aad17a9ebp-17, -0x1.b68e28f261a87p-17, -0x1.d89eff53b0d6ap-17, -0x1.f98168bbaf189p-17, -0x1.0c9e3d50406d3p-16, -0x1.1beb92eabaf1p-16, -0x1.2aac1b9755a26p-16, -0x1.38e32c19d0887p-16, -0x1.469407e8ba95fp-16, -0x1.53c1e176aab95p-16, -0x1.606fda892915ap-16, -0x1.6ca1048757817p-16, -0x1.785860c81ecd9p-16, -0x1.8398e0dcaef9p-16, -0x1.8e6566e09b80fp-16, -0x1.98c0c5c174abp-16, -0x1.a2adc188bd5fdp-16, -0x1.ac2f0fa302c12p-16, -0x1.b5475728ff9bap-16, -0x1.bdf9311ff4c4cp-16, -0x1.c64728c3b4937p-16, -0x1.ce33bbc5705d1p-16, -0x1.d5c15a8cf25e1p-16, -0x1.dcf2687c58393p-16, -0x1.e3c93c317d26cp-16, -0x1.ea481fbfa7ffap-16, -0x1.f07150ebec503p-16, -0x1.f647016e8f7c9p-16, -0x1.fbcb5729ab214p-16, -0x1.008036329f155p-15, -0x1.02f4280509cd7p-15, -0x1.054282ebcf048p-15, -0x1.076c434cf3a7ap-15, -0x1.097260305f5aep-15, -0x1.0b55cb5b537eap-15, -0x1.0d177169412fcp-15, -0x1.0eb839e5b6257p-15, -0x1.10390765b9ccbp-15, -0x1.119ab7a0ca8ecp-15, -0x1.12de23881b9c9p-15, -0x1.14041f5effedep-15, -0x1.150d7ad2f6dbp-15, -0x1.15fb01117e047p-15, -0x1.16cd78df17fecp-15, -0x1.1785a4adcd53ep-15, -0x1.182442b1b9138p-15, -0x1.18aa0cf7a02adp-15, -0x1.1917b978f33f2p-15, -0x1.196dfa3089b89p-15, -0x1.19ad7d2fff4a1p-15, -0x1.19d6ecb1d020fp-15, -0x1.19eaef2db4d21p-15, -0x1.19ea276b5ae68p-15, -0x1.19d534955e9fp-15, -0x1.19acb24bb046cp-15, -0x1.197138b51f8d5p-15, -0x1.19235c91850a4p-15, -0x1.18c3af4ae68c5p-15, -0x1.1852bf0703876p-15, -0x1.17d116b785d57p-15, -0x1.173f3e2a8bd0fp-15, -0x1.169dba1a38c1dp-15, -0x1.15ed0c3e0a2bfp-15, -0x1.152db358ae852p-15, -0x1.14602b48490e5p-15, -0x1.1384ed14f7a37p-15, -0x1.129c6effcf702p-15, -0x1.11a72490f4dc7p-15, -0x1.10a57ea535bb6p-15, -0x1.0f97eb7c8f776p-15, -0x1.0e7ed6c81d8f6p-15, -0x1.0d5aa9b6622f4p-15, -0x1.0c2bcb010b3e2p-15, -0x1.0af29ef9b96c8p-15, -0x1.09af8795eeb9bp-15, -0x1.0862e47c6a4e6p-15, -0x1.070d13105302ep-15, -0x1.05ae6e7db7cf4p-15, -0x1.04474fc4b8847p-15, -0x1.02d80dc5ab71bp-15, -0x1.0160fd4b6bc7fp-15, -0x1.ffc4e22d32c4p-16, -0x1.fcb973d159e8ap-16, -0x1.f9a04d1cebfeep-16, -0x1.f67a07d44dd11p-16, -0x1.f34739fbe1a65p-16, -0x1.f00875ea811efp-16, -0x1.ecbe4a5f0d893p-16, -0x1.e96942921aefap-16, -0x1.e609e648f0b4fp-16, -0x1.e2a0b9e89fcd5p-16, -0x1.df2e3e86a7829p-16, }}, 
      {{-0x1.865005e88046dp-3, -0x1.86b10c810f39ap-3, -0x1.875083de5a4ep-3, -0x1.882b4740511d1p-3, -0x1.893d4e34c0bfp-3, -0x1.8a81ed426544cp-3, -0x1.8bf4121257bb9p-3, -0x1.8d8e77c24d767p-3, -0x1.8f4bd26cc346p-3, -0x1.9126f2309ee65p-3, -0x1.931ade8536ee4p-3, -0x1.9522eac93d2ccp-3, -0x1.973ac4f343754p-3, -0x1.995e7f36dbaa2p-3, -0x1.9b8a955e9ad62p-3, -0x1.9dbbee8c0e79ep-3, -0x1.9fefdc02bf0a7p-3, -0x1.a2241598084dbp-3, -0x1.a456b455b213ep-3, -0x1.a6862bcfa23d7p-3, -0x1.a8b1429def009p-3, -0x1.aad70a5c4d4a7p-3, -0x1.acf6d77f35c6p-3, -0x1.af10393ecf174p-3, -0x1.b122f1c86fa95p-3, -0x1.b32eeed9dbb4p-3, -0x1.b53442dd9a2d2p-3, -0x1.b7331e95e96e1p-3, -0x1.b92bcb5c07b37p-3, -0x1.bb1ea5f37e8b2p-3, -0x1.bd0c19ece1f2cp-3, -0x1.bef49d9058bd3p-3, -0x1.c0d8ae46a2e87p-3, -0x1.c2b8cd7643a02p-3, -0x1.c4957dca5a454p-3, -0x1.c66f40d8e717dp-3, -0x1.c846951ecf67dp-3, -0x1.ca1bf448b3331p-3, -0x1.cbefd1c097f9bp-3, -0x1.cdc2997920e4cp-3, -0x1.cf94aef006299p-3, -0x1.d1666c622cap-3, -0x1.d338222c6d8b3p-3, -0x1.d50a1654a98ffp-3, -0x1.d6dc84375052fp-3, -0x1.d8af9c55d725p-3, -0x1.da838442f0389p-3, -0x1.dc5856a99bfdp-3, -0x1.de2e236c56b1dp-3, -0x1.e004efd9dd70dp-3, -0x1.e1dcb6f5034a8p-3, -0x1.e3b569cd6d2fap-3, -0x1.e58eefe6d5b7ep-3, -0x1.e76927accf2bbp-3, -0x1.e943e6f0f5ce7p-3, -0x1.eb1efb71a3319p-3, -0x1.ecfa2b674b16ep-3, -0x1.eed53616c14ap-3, -0x1.f0afd466d7555p-3, -0x1.f289b977b90e5p-3, -0x1.f462933abfe1dp-3, -0x1.f63a0b095c258p-3, -0x1.f80fc63a0f31ep-3, -0x1.f9e366b2523bcp-3, -0x1.fbb48b74a788cp-3, -0x1.fd82d129f4d16p-3, -0x1.ff4dd2a594cb9p-3, -0x1.008a94b1c4babp-2, -0x1.016c370038804p-2, -0x1.024b9c556ac9ap-2, -0x1.032890c6d825cp-2, -0x1.0402e099f4ec8p-2, -0x1.04da58726a969p-2, -0x1.05aec57cca348p-2, -0x1.067ff595c60d2p-2, -0x1.074db76df7ab3p-2, -0x1.0817daaa4bdb9p-2, -0x1.08de30013213dp-2, -0x1.09a08954a5affp-2, -0x1.0a5eb9c9382a6p-2, -0x1.0b1895da3e9d8p-2, -0x1.0bcdf36b4a93fp-2, -0x1.0c7ea9d710e62p-2, -0x1.0d2a91fbeaa04p-2, -0x1.0dd186461a29p-2, -0x1.0e7362b7f4c51p-2, -0x1.0f1004f022287p-2, -0x1.0fa74c2e0f8eep-2, -0x1.10391954c4f89p-2, -0x1.10c54eec367ecp-2, -0x1.114bd1213fedep-2, -0x1.11cc85c46031ep-2, -0x1.124754475faf9p-2, -0x1.12bc25b9f23fcp-2, -0x1.132ae4c57e257p-2, -0x1.13937da8159fep-2, -0x1.13f5de2ec4863p-2, -0x1.1451f5af41c19p-2, -0x1.14a7b5011d47p-2, -0x1.14f70e767bb78p-2, -0x1.153ff5d4705dap-2, -0x1.1582604b071f8p-2, -0x1.15be446d0b96cp-2, -0x1.15f39a2797ddep-2, -0x1.16225ab97bc76p-2, -0x1.164a80aa81572p-2, -0x1.166c07c29d70ep-2, -0x1.1686ed010d2cdp-2, -0x1.169b2e9370887p-2, -0x1.16a8cbcce1933p-2, -0x1.16afc51d0dcd6p-2, -0x1.16b01c075e7bap-2, -0x1.16a9d31a29c62p-2, -0x1.169cede5f4fe8p-2, -0x1.168970f4d0686p-2, -0x1.166f61c1c2d6dp-2, -0x1.164ec6b053322p-2, -0x1.1627a7042b7fdp-2, -0x1.15fa0ad8dab3bp-2, -0x1.15c5fb19af222p-2, -0x1.158b8179b654ap-2, -0x1.154aa86bda559p-2, -0x1.15037b1b1ce48p-2, -0x1.14b60562f72bp-2, -0x1.146253c7dbbfcp-2, -0x1.1408736fd7024p-2, -0x1.13a8721b53f7cp-2, -0x1.13425e1e03e65p-2, -0x1.12d64657e83e8p-2, -0x1.12643a2e7c2ecp-2, -0x1.11ec498605ccdp-2, -0x1.116e84bb0607bp-2, -0x1.10eafc9bcd1aep-2, -0x1.1061c26230dfp-2, -0x1.0fd2e7ad65d93p-2, -0x1.0f3e7e7bfbe9ep-2, -0x1.0ea49925fbf86p-2, -0x1.0e054a57285c7p-2, -0x1.0d60a5096158cp-2, -0x1.0cb6bc7f2b02p-2, -0x1.0c07a43e53412p-2, -0x1.0b53700abef9cp-2, -0x1.0a9a33e155193p-2, -0x1.09dc03f30e266p-2, -0x1.0918f4a0237bbp-2, -0x1.08511a7364546p-2, -0x1.07848a1da8c17p-2, -0x1.06b35871683e8p-2, -0x1.05dd9a5e72246p-2, -0x1.050364edc4e46p-2, -0x1.0424cd3d8b171p-2, -0x1.0341e87d34b01p-2, -0x1.025acbe9b2f0dp-2, -0x1.016f8cc9d71a4p-2, -0x1.0080406acc625p-2, -0x1.ff19f8396cd64p-3, -0x1.fd2baa5edc25p-3, -0x1.fb35c1deb5afcp-3, -0x1.f9386944dee32p-3, -0x1.f733cb0a842ep-3, -0x1.f52811908728ap-3, -0x1.f315671a2b3p-3, -0x1.f0fbf5c7f423fp-3, -0x1.eedbe792cb83cp-3, -0x1.ecb566475185ep-3, -0x1.ea889b816e66p-3, -0x1.e855b0a814f4ap-3, -0x1.e61ccee93f34fp-3, -0x1.e3de1f361a7a9p-3, -0x1.e199ca3f6cb34p-3, -0x1.df4ff8722228p-3, -0x1.dd00d1f419b0ap-3, -0x1.daac7ea111745p-3, -0x1.d8532607ce983p-3, -0x1.d5f4ef6769dfep-3, -0x1.d39201accd907p-3, -0x1.d12a83705762ep-3, -0x1.cebe9af3aad88p-3, -0x1.cc4e6e1fa9612p-3, -0x1.c9da22828b0dep-3, -0x1.c761dd4e25e16p-3, -0x1.c4e5c35653ea7p-3, -0x1.c265f90f7acacp-3, -0x1.bfe2a28d3bb44p-3, -0x1.bd5be3813b261p-3, -0x1.bad1df3a0a16ap-3, -0x1.b844b8a2324cap-3, -0x1.b5b4923f57d4ep-3, -0x1.b3218e317b02dp-3, -0x1.b08bce324f8e9p-3, -0x1.adf37394aef69p-3, -0x1.ab589f4426265p-3, -0x1.a8bb71c494b49p-3, -0x1.a61c0b31df7b7p-3, -0x1.a37a8b3fc118dp-3, -0x1.a0d71139a33a4p-3, -0x1.9e31bc02908a4p-3, -0x1.9b8aaa1533cfp-3, -0x1.98e1f983ec259p-3, -0x1.9637c7f8ee6e9p-3, -0x1.938c32b66ea6p-3, -0x1.90df5696e39dap-3, -0x1.8e31500d49d71p-3, -0x1.8b823b257e1dp-3, -0x1.88d2338499df7p-3, -0x1.862154695cc0ep-3, -0x1.836fb8aca5186p-3, -0x1.80bd7ac1e4ee2p-3, -0x1.7e0ab4b7add76p-3, -0x1.7b578038378acp-3, -0x1.78a3f689f487fp-3, -0x1.75f030902a436p-3, -0x1.733c46cb92ffdp-3, -0x1.7088515afa602p-3, -0x1.6dd467fbec724p-3, -0x1.6b20a20b5f72ap-3, -0x1.686d168661153p-3, -0x1.65b9dc0acf3c9p-3, -0x1.630708d808c7ap-3, -0x1.6054b2cfa8ecep-3, -0x1.5da2ef763f10cp-3, -0x1.5af1d3f40da5ep-3, -0x1.58417515c90d3p-3, -0x1.5591e74d4e8b2p-3, -0x1.52e33eb26db62p-3, -0x1.50358f03a2f09p-3, -0x1.4d88eba6d72a2p-3, -0x1.4add67aa24e81p-3, -0x1.483315c49562ep-3, -0x1.458a0856e128ep-3, -0x1.42e2516c32829p-3, -0x1.403c02bae0ce9p-3, -0x1.3d972da534a84p-3, -0x1.3af3e33a209fbp-3, -0x1.3852343602bd7p-3, -0x1.35b231035b77ap-3, -0x1.3313e9bb8f35fp-3, -0x1.30776e279aa34p-3, -0x1.2ddccdc0cd27bp-3, -0x1.2b4417b18282p-3, -0x1.28ad5ad5d556cp-3, -0x1.2618a5bc5625ep-3, -0x1.238606a6bdda2p-3, -0x1.20f58b8aa058ep-3, -0x1.1e6742121e302p-3, -0x1.1bdb379c8f3b9p-3, -0x1.1951793f38b91p-3, -0x1.16ca13c5f0e3ap-3, -0x1.144513b3cfc12p-3, -0x1.11c28543d8e5ap-3, -0x1.0f427469a0d18p-3, -0x1.0cc4ecd1f5d3cp-3, -0x1.0a49f9e3880b9p-3, -0x1.07d1a6bf897efp-3, -0x1.055bfe4256fd8p-3, -0x1.02e90b0415933p-3, -0x1.0078d7595705ap-3, -0x1.fc16daa7704fbp-4, -0x1.f741ad850567bp-4, -0x1.f2723a6690342p-4, -0x1.eda893e4ffabcp-4, -0x1.e8e4cc1847ff1p-4, -0x1.e426f4989d7fp-4, -0x1.df6f1e7f9fadep-4, -0x1.dabd5a6997aabp-4, -0x1.d611b876a17fep-4, -0x1.d16c484be385p-4, -0x1.cccd1914bcf4fp-4, -0x1.c8343983f0febp-4, -0x1.c3a1b7d4d3991p-4, -0x1.bf15a1cc7b9d8p-4, -0x1.ba9004bae891fp-4, -0x1.b610ed7c2dba2p-4, -0x1.b19868799d28cp-4, -0x1.ad2681aaf2d0dp-4, -0x1.a8bb449775086p-4, -0x1.a456bc5724e1p-4, -0x1.9ff8f393e06d4p-4, -0x1.9ba1f48a888a9p-4, -0x1.9751c90c2a8a4p-4, -0x1.93087a7f22fe2p-4, -0x1.8ec611e04436ap-4, -0x1.8a8a97c3fc94p-4, -0x1.86561457789edp-4, -0x1.82288f61cb1b6p-4, -0x1.7e0210450f7c6p-4, -0x1.79e29dff8ecb8p-4, -0x1.75ca3f2ce4bfbp-4, -0x1.71b8fa0722899p-4, -0x1.6daed467f49d8p-4, -0x1.69abd3c9c6e86p-4, -0x1.65affd48e79c2p-4, -0x1.61bb55a4acccep-4, -0x1.5dcde140976a7p-4, -0x1.59e7a42579376p-4, -0x1.5608a20296876p-4, -0x1.5230de2ecd44ap-4, -0x1.4e605ba9b7083p-4, -0x1.4a971d1cce5cfp-4, -0x1.46d524dc92402p-4, -0x1.431a74e9ab64ap-4, -0x1.3f670ef20f596p-4, -0x1.3bbaf4522491p-4, -0x1.38162615e7d23p-4, -0x1.3478a4fa0e4fbp-4, -0x1.30e2716d2abe6p-4, -0x1.2d538b90d0222p-4, -0x1.29cbf33ab601ep-4, -0x1.264ba7f5db07ep-4, -0x1.22d2a903a8dbdp-4, -0x1.1f60f55d15b46p-4, -0x1.1bf68bb3c804dp-4, -0x1.18936a7337b43p-4, -0x1.15378fc1d0089p-4, -0x1.11e2f98211389p-4, -0x1.0e95a553b1a2p-4, -0x1.0b4f9094bc312p-4, -0x1.0810b862b2ffap-4, -0x1.04d9199bac532p-4, -0x1.01a8b0df7211ep-4, -0x1.fcfef5213ddcep-5, -0x1.f6bae5ab799b8p-5, -0x1.f0852b34c0615p-5, -0x1.ea5dbd2088a15p-5, -0x1.e4449260c98d7p-5, -0x1.de39a17830804p-5, -0x1.d83ce07c522d9p-5, -0x1.d24e4517dac54p-5, -0x1.cc6dc48cb8cebp-5, -0x1.c69b53b64c974p-5, -0x1.c0d6e70b8d129p-5, -0x1.bb2072a1303fbp-5, -0x1.b577ea2bcefafp-5, -0x1.afdd410205ffbp-5, -0x1.aa506a1e94cd4p-5, -0x1.a4d158227a6fcp-5, -0x1.9f5ffd570c4d4p-5, -0x1.99fc4bb00c995p-5, -0x1.94a634cdbf06p-5, -0x1.8f5da9fef7799p-5, -0x1.8a229c43248b6p-5, -0x1.84f4fc4c5b0f2p-5, -0x1.7fd4ba815b4a8p-5, -0x1.7ac1c6ff91f26p-5, -0x1.75bc119d17653p-5, -0x1.70c389eaaa52ap-5, -0x1.6bd81f35a738fp-5, -0x1.66f9c089f9e65p-5, -0x1.62285cb40ea1p-5, -0x1.5d63e242bb36fp-5, -0x1.58ac3f89291cap-5, -0x1.540162a0b4fcap-5, -0x1.4f63396acfb06p-5, -0x1.4ad1b192d612bp-5, -0x1.464cb88feaee9p-5, -0x1.41d43ba6c551ep-5, -0x1.3d6827eb7d1dcp-5, -0x1.39086a4357968p-5, -0x1.34b4ef6685e14p-5, -0x1.306da3e1e9226p-5, -0x1.2c327418c889p-5, -0x1.28034c468b39ap-5, -0x1.23e018806533dp-5, -0x1.1fc8c4b707086p-5, -0x1.1bbd3cb8408b5p-5, -0x1.17bd6c30a709fp-5, -0x1.13c93ead2fe51p-5, -0x1.0fe09f9cca1cdp-5, -0x1.0c037a51ee024p-5, -0x1.0831ba042fb9ep-5, -0x1.046b49d1c5136p-5, -0x1.00b014c10890cp-5, -0x1.fa000b83f0696p-6, -0x1.f2b60f5f5f7bfp-6, -0x1.eb820aa3b6fe9p-6, -0x1.e463d2bc4a77fp-6, -0x1.dd5b3cf342bd7p-6, -0x1.d6681e745ceeep-6, -0x1.cf8a4c4fadab5p-6, -0x1.c8c19b7c4fddap-6, -0x1.c20de0db10043p-6, -0x1.bb6ef13903c4cp-6, -0x1.b4e4a15222e86p-6, -0x1.ae6ec5d3c86adp-6, -0x1.a80d335f365a2p-6, -0x1.a1bfbe8c00612p-6, -0x1.9b863bea7922dp-6, -0x1.956080060be15p-6, -0x1.8f4e5f678f1b6p-6, -0x1.894fae978be82p-6, -0x1.836442207ac3ep-6, -0x1.7d8bee90f4673p-6, -0x1.77c6887ddadfdp-6, -0x1.7213e48474974p-6, -0x1.6c73d74c7ee6fp-6, -0x1.66e6358a383b8p-6, -0x1.616ad40057375p-6, -0x1.5c01878203f24p-6, -0x1.56aa24f4bc1c7p-6, -0x1.5164815231805p-6, -0x1.4c3071aa1f5ecp-6, -0x1.470dcb24126c1p-6, -0x1.41fc630126f3bp-6, -0x1.3cfc0e9dc0a5dp-6, -0x1.380ca3733452bp-6, -0x1.332df71965af5p-6, -0x1.2e5fdf4863b1bp-6, -0x1.29a231d9f355ap-6, -0x1.24f4c4cb10878p-6, -0x1.20576e3d6cf2cp-6, -0x1.1bca0478d8ff8p-6, -0x1.174c5decb325dp-6, -0x1.12de51313debcp-6, -0x1.0e7fb508f3128p-6, -0x1.0a306061d33f9p-6, -0x1.05f02a56a1f0dp-6, -0x1.01beea301f552p-6, -0x1.fb38eecc6f2c9p-7, -0x1.f31153424dc19p-7, -0x1.eb06b1752b5bdp-7, -0x1.e318b97d6312ap-7, -0x1.db471bda61741p-7, -0x1.d3918974bcbadp-7, -0x1.cbf7b3a01620ap-7, -0x1.c4794c1d0c144p-7, -0x1.bd16051b0236dp-7, -0x1.b5cd9139f1cabp-7, -0x1.ae9fa38c0bb13p-7, -0x1.a78bef9769e33p-7, -0x1.a092295796b11p-7, -0x1.99b2053f156b5p-7, -0x1.92eb3838d5ee5p-7, -0x1.8c3d77a998b36p-7, -0x1.85a8797141fep-7, -0x1.7f2bf3ec232f4p-7, -0x1.78c79df431cdap-7, -0x1.727b2ee230798p-7, -0x1.6c465e8ece082p-7, -0x1.6628e553af81ep-7, -0x1.60227c0c7046ep-7, -0x1.5a32dc1799c16p-7, -0x1.5459bf57832bdp-7, -0x1.4e96e0332a4d1p-7, -0x1.48e9f99700f27p-7, -0x1.4352c6f5ac7afp-7, -0x1.3dd10448b84bcp-7, -0x1.38646e11358cep-7, -0x1.330cc1585fafp-7, -0x1.2dc9bbb0221e8p-7, -0x1.289b1b33a07fbp-7, -0x1.23809e87ab7e6p-7, -0x1.1e7a04db2fb4ep-7, -0x1.19870de794874p-7, -0x1.14a779f114a96p-7, -0x1.0fdb09c708924p-7, -0x1.0b217ec42a2ddp-7, -0x1.067a9acecc749p-7, -0x1.01e6205909dc8p-7, -0x1.fac7a4c1d0323p-8, -0x1.f1e6e8e0e36ffp-8, -0x1.e929953b9001ep-8, -0x1.e08f33165ef8fp-8, -0x1.d8174cce17754p-8, -0x1.cfc16dd7aa1aap-8, -0x1.c78d22c011896p-8, -0x1.bf79f92c262dfp-8, -0x1.b7877fd85168bp-8, -0x1.afb5469835bc1p-8, -0x1.a802de565a137p-8, -0x1.a06fd913abf11p-8, -0x1.98fbc9e708a61p-8, -0x1.91a644fca1aa7p-8, -0x1.8a6edf9567b67p-8, -0x1.8355300660c04p-8, -0x1.7c58cdb7f105fp-8, -0x1.7579512513c53p-8, -0x1.6eb653da8356dp-8, -0x1.680f7075eecdap-8, -0x1.618442a4ffbafp-8, -0x1.5b1467246d764p-8, -0x1.54bf7bbef79fcp-8, -0x1.4e851f4c63739p-8, -0x1.4864f1b06718cp-8, -0x1.425e93d97e245p-8, -0x1.3c71a7bfd3383p-8, -0x1.369dd063f7d02p-8, -0x1.30e2b1cdc2e63p-8, -0x1.2b3ff10af794ap-8, -0x1.25b5342dfce23p-8, -0x1.2042224c8c456p-8, -0x1.1ae6637e525c8p-8, -0x1.15a1a0db8d1d3p-8, -0x1.1073847b91cf4p-8, -0x1.0b5bb9736dc48p-8, -0x1.0659ebd460394p-8, -0x1.016dc8aa54343p-8, -0x1.f92dfbf4bcaf5p-9, -0x1.efaa758272942p-9, -0x1.e6505de33d4fp-9, -0x1.dd1f16e57d42cp-9, -0x1.d416043d269d9p-9, -0x1.cb348b809d745p-9, -0x1.c27a1425361b5p-9, -0x1.b9e6077c12623p-9, -0x1.b177d0ae9079p-9, -0x1.a92edcbaf3d14p-9, -0x1.a10a9a70f0b8ep-9, -0x1.990a7a6e3c763p-9, -0x1.912def1af32b7p-9, -0x1.89746ca62a32ep-9, -0x1.81dd69024acp-9, -0x1.7a685be196293p-9, -0x1.7314beb275d64p-9, -0x1.6be20c9bf2978p-9, -0x1.64cfc27a04948p-9, -0x1.5ddd5ed9e72bdp-9, -0x1.570a61f688683p-9, -0x1.50564db4b848cp-9, -0x1.49c0a59f9d474p-9, -0x1.4348eee4d7cdep-9, -0x1.3ceeb050ec9b7p-9, -0x1.36b1724b884fdp-9, -0x1.3090bed3ab532p-9, -0x1.2a8c217c11f9cp-9, -0x1.24a3276751c8bp-9, -0x1.1ed55f444a0b2p-9, -0x1.1922594a2a924p-9, -0x1.1389a734fd0fep-9, -0x1.0e0adc419e537p-9, -0x1.08a58d2a37515p-9, -0x1.035950225706ap-9, -0x1.fc4b79a68cb18p-10, -0x1.f214d8b0ce6ebp-10, -0x1.e80df2766ff72p-10, -0x1.de35fedfb3e3ep-10, -0x1.d48c38a273c25p-10, -0x1.cb0fdd3ab930cp-10, -0x1.c1c02ce3647d1p-10, -0x1.b89c6a8eba7ecp-10, -0x1.afa3dbdf07d59p-10, -0x1.a6d5c91f5cec8p-10, -0x1.9e317d3c1e149p-10, -0x1.95b645bbddee6p-10, -0x1.8d6372b7ca9d3p-10, -0x1.853856d4efc61p-10, -0x1.7d34473c5df4bp-10, -0x1.75569b94879fdp-10, -0x1.6d9eadf9d143ap-10, -0x1.660bdaf76f2c1p-10, -0x1.5e9d818073a94p-10, -0x1.575302e89654dp-10, -0x1.502bc2dd5209fp-10, -0x1.4927275ecdf15p-10, -0x1.424498b8fdb9ap-10, -0x1.3b83817c92859p-10, -0x1.34e34e786f94ep-10, -0x1.2e636eb24ea34p-10, -0x1.280353609c26ap-10, -0x1.21c26fe3160c6p-10, -0x1.1ba039bc8f32fp-10, -0x1.159c288c033f3p-10, -0x1.0fb5b6060904dp-10, -0x1.09ec5dee39ad4p-10, -0x1.043f9e10c7d47p-10, -0x1.fd5dec7791789p-11, -0x1.f273d0721fbcdp-11, -0x1.e7bfef8ee6562p-11, -0x1.dd415529af29ep-11, -0x1.d2f7106ec28b9p-11, -0x1.c8e0344fb3cb9p-11, -0x1.befbd775af63ep-11, -0x1.b5491435fa49fp-11, -0x1.abc70885a984ep-11, -0x1.a274d5ed4c414p-11, -0x1.9951a17cf597dp-11, -0x1.905c93c08a1c1p-11, -0x1.8794d8b3aa902p-11, -0x1.7ef99fb63cac1p-11, -0x1.768a1b80abd6ep-11, -0x1.6e45821875c15p-11, -0x1.662b0cc4dd836p-11, -0x1.5e39f80373431p-11, -0x1.5671837d1b15bp-11, -0x1.4ed0f1fabe897p-11, -0x1.4757895aa0892p-11, -0x1.4004928514c0cp-11, -0x1.38d759620ef41p-11, -0x1.31cf2cce8ec11p-11, -0x1.2aeb5e9180adp-11, -0x1.242b4352048dp-11, -0x1.1d8e328c88abdp-11, -0x1.17138688f7a71p-11, -0x1.10ba9c5008f2dp-11, -0x1.0a82d3a1e1c86p-11, -0x1.046b8eeb9dbbap-11, -0x1.fce8667b62933p-12, -0x1.f1385084968e9p-12, -0x1.e5c5b067033d7p-12, -0x1.da8f5fa3d204cp-12, -0x1.cf943cb688fd8p-12, -0x1.c4d32b02061d8p-12, -0x1.ba4b12be1cf45p-12, -0x1.affae0e62c8e3p-12, -0x1.a5e18725d3749p-12, -0x1.9bfdfbc8224abp-12, -0x1.924f39a5b5641p-12, -0x1.88d4401331e25p-12, -0x1.7f8c12d070a9ep-12, -0x1.7675b9f6f4be9p-12, -0x1.6d9041e97e40cp-12, -0x1.64dabb438672dp-12, -0x1.5c543ac893a91p-12, -0x1.53fbd9543f922p-12, -0x1.4bd0b3c9eeaeap-12, -0x1.43d1eb0564763p-12, -0x1.3bfea3cacfed5p-12, -0x1.345606b762f2p-12, -0x1.2cd740328e5cp-12, -0x1.2581805e234afp-12, -0x1.1e53fb0820be5p-12, -0x1.174de79be066ap-12, -0x1.106e8113428ffp-12, -0x1.09b505e903bc4p-12, -0x1.0320b809ed826p-12, -0x1.f961b98efd26p-13, -0x1.ecc97992ff23cp-13, -0x1.e07748026c892p-13, -0x1.d469c336be9a6p-13, -0x1.c89f8fe66c396p-13, -0x1.bd17590a92352p-13, -0x1.b1cfcfc5baed9p-13, -0x1.a6c7ab497aecfp-13, -0x1.9bfda8be56f9cp-13, -0x1.91708b2aadf46p-13, -0x1.871f1b5985e2ap-13, -0x1.7d0827c4577dep-13, -0x1.732a8479654p-13, -0x1.69850b0515743p-13, -0x1.60169a5af79ccp-13, -0x1.56de16bf3a704p-13, -0x1.4dda69aefee79p-13, -0x1.450a81cbfae04p-13, -0x1.3c6d52c50debp-13, -0x1.3401d5417d3f8p-13, -0x1.2bc706cbd4b6bp-13, -0x1.23bbe9bc87d1bp-13, -0x1.1bdf8525b5af9p-13, -0x1.1430e4be53e3bp-13, -0x1.0caf18ced64d1p-13, -0x1.0559361d0b5e3p-13, -0x1.fc5cabb0f997cp-14, -0x1.ee5b2b0e8aaa3p-14, -0x1.e0ac2de784a1p-14, -0x1.d34e003310276p-14, -0x1.c63ef625239a1p-14, -0x1.b97d6c0c4e3aap-14, -0x1.ad07c62cf576bp-14, -0x1.a0dc709d875c4p-14, -0x1.94f9df25b8b7cp-14, -0x1.895e8d1b3e197p-14, -0x1.7e08fd4050394p-14, -0x1.72f7b9a3c7a85p-14, -0x1.6829537e59581p-14, -0x1.5d9c6314ff5dcp-14, -0x1.534f8797dd89p-14, -0x1.494167045b6e1p-14, -0x1.3f70ae05052fdp-14, -0x1.35dc0fd4d28f9p-14, -0x1.2c82462145d56p-14, -0x1.236210ec7e1b8p-14, -0x1.1a7a36713450ep-14, -0x1.11c9830638b06p-14, -0x1.094ec902f9ee8p-14, -0x1.0108e0a3820dap-14, -0x1.f1ed4fdb6b4e1p-15, -0x1.e22e052e6d306p-15, -0x1.d2d1b3d547506p-15, -0x1.c3d6395c8a4bcp-15, -0x1.b5397e166f9c3p-15, -0x1.a6f974e6964c1p-15, -0x1.99141b136bfd3p-15, -0x1.8b8778154710cp-15, -0x1.7e519d65885f9p-15, -0x1.7170a653e8cf8p-15, -0x1.64e2b7d2c9c07p-15, -0x1.58a60050276a2p-15, -0x1.4cb8b7847e0e3p-15, -0x1.41191e49f6bbbp-15, -0x1.35c57e7101d4dp-15, -0x1.2abc2a942603ep-15, -0x1.1ffb7df1205b9p-15, -0x1.1581dc3eb3fc7p-15, -0x1.0b4db18486abcp-15, -0x1.015d71f3a0fb7p-15, -0x1.ef5f3380c4875p-16, -0x1.dc8559f735ff4p-16, -0x1.ca2a6ed8f042ap-16, -0x1.b84b98dac82ap-16, -0x1.a6e60d8b914cdp-16, -0x1.95f7110f89e4bp-16, -0x1.857bf5d859cp-16, -0x1.75721c61c2671p-16, -0x1.65d6f2eb14099p-16, -0x1.56a7f53ac0e3cp-16, -0x1.47e2ac549ee01p-16, -0x1.3984ae400ab5fp-16, -0x1.2b8b9dc5fcbecp-16, -0x1.1df52a32c519bp-16, -0x1.10bf0f19bf7e1p-16, -0x1.03e7141923e0cp-16, -0x1.eed6193e6a987p-17, -0x1.d691af603fa58p-17, -0x1.befcbf5897e8cp-17, -0x1.a81334350a90fp-17, -0x1.91d10ee062cabp-17, -0x1.7c3265b21e554p-17, -0x1.67336409c163bp-17, -0x1.52d049e7444d3p-17, -0x1.3f056b7ef1c2dp-17, -0x1.2bcf30dbf623bp-17, -0x1.192a15783dc82p-17, -0x1.0712a7df826f6p-17, -0x1.eb0b12926912bp-18, -0x1.c8feda8f427dcp-18, -0x1.a7fa32bb8a0b6p-18, -0x1.87f6c95d3731fp-18, -0x1.68ee6f436959ep-18, -0x1.4adb1717abaa7p-18, -0x1.2db6d4b35d85ep-18, -0x1.117bdc7845d11p-18, -0x1.ec490559e6969p-19, -0x1.b75675b0a6dabp-19, -0x1.84152e580fe5cp-19, -0x1.527a8fb36ed4dp-19, -0x1.227c350e78f2p-19, -0x1.e81fe6b9f452cp-20, -0x1.8e57b05243ec2p-20, -0x1.378c50bc603e9p-20, -0x1.c7557cd52da17p-21, -0x1.2540b48d09a34p-21, -0x1.116bb612be434p-22, 0x1.cdd61ce76383cp-26, 0x1.409f909ea6d7fp-22, 0x1.2d0f7fdee965fp-21, 0x1.b4cf2bfef4694p-21, 0x1.1bd7b267722bep-20, 0x1.5ae804eeb049ap-20, 0x1.97a822ed3722cp-20, 0x1.d227492fdc67p-20, 0x1.053a2edf3c819p-19, 0x1.204ef8ce75b3bp-19, 0x1.3a59214531d88p-19, 0x1.535f9e647dc18p-19, 0x1.6b693e55bb72ep-19, 0x1.827ca82387fdep-19, 0x1.98a05c87a842fp-19, 0x1.addab6b4017dcp-19, 0x1.c231ed19825a8p-19, 0x1.d5ac122af001p-19, 0x1.e84f151518924p-19, 0x1.fa20c282a8cb7p-19, 0x1.059362a7b36bdp-18, 0x1.0db3539d18e6fp-18, 0x1.1572e8cef1b64p-18, 0x1.1cd4c706849f6p-18, 0x1.23db8385a295p-18, 0x1.2a89a45754ba5p-18, 0x1.30e1a0a181b32p-18, 0x1.36e5e0f1f57fap-18, 0x1.3c98bf913aebp-18, 0x1.41fc88cf52fc7p-18, 0x1.47137b4a6fe28p-18, 0x1.4bdfc83a861cp-18, 0x1.506393bd0a4d6p-18, 0x1.54a0f519847fcp-18, 0x1.5899f70674f26p-18, 0x1.5c5097eed28c1p-18, 0x1.5fc6ca341fac6p-18, 0x1.62fe746ff332p-18, 0x1.65f971b60f9a8p-18, 0x1.68b991d07137ap-18, 0x1.6b40997f321aep-18, 0x1.6d9042b392de2p-18, 0x1.6faa3ccd7caa3p-18, 0x1.71902cd3b7676p-18, 0x1.7343adab6fd21p-18, 0x1.74c65054b2edbp-18, 0x1.76199c1db732cp-18, 0x1.773f0ed94705ap-18, 0x1.78381d121e5bdp-18, 0x1.7906323fba2ep-18, 0x1.79aab0f899eb9p-18, 0x1.7a26f324d561ep-18, 0x1.7a7c4a2b565f1p-18, 0x1.7aabff236dc98p-18, 0x1.7ab75303ea47ep-18, 0x1.7a9f7ed0c656ep-18, 0x1.7a65b3c56e2ecp-18, 0x1.7a0b1b8222548p-18, 0x1.7990d836bf33ap-18, 0x1.78f804cbd8b29p-18, 0x1.7841b50d9b73ap-18, 0x1.776ef5d18dc5fp-18, 0x1.7680cd1ea6f3fp-18, 0x1.75783a5655cd8p-18, 0x1.745636577b1bbp-18, 0x1.731bb3a4be6e6p-18, 0x1.71c99e88e397ep-18, 0x1.7060dd3993d75p-18, 0x1.6ee24ffa58966p-18, 0x1.6d4ed13fcfcc8p-18, 0x1.6ba735cf21ba9p-18, 0x1.69ec4ce0665b1p-18, 0x1.681ee03de1786p-18, 0x1.663fb4636bb9bp-18, 0x1.644f889c40f5ep-18, 0x1.624f172331925p-18, 0x1.603f153d962bap-18, 0x1.5e20335a69159p-18, 0x1.5bf31d2cc66edp-18, 0x1.59b879c7fad4ep-18, 0x1.5770ebba75e52p-18, 0x1.551d1128b992fp-18, 0x1.52bd83e730c1p-18, 0x1.5052d992fcf81p-18, 0x1.4ddda3aaae808p-18, 0x1.4b5e6fa801e7dp-18, 0x1.48d5c71645317p-18, 0x1.46442fa968d0ap-18, 0x1.43aa2b55c7154p-18, 0x1.41083866230a6p-18, 0x1.3e5ed190d12cap-18, 0x1.3bae6e0e4992p-18, 0x1.38f781ad3a321p-18, 0x1.363a7ce69448p-18, 0x1.3377ccf2685e3p-18, 0x1.30afdbdb09a4ep-18, 0x1.2de31090719p-18, 0x1.2b11cefba578ep-18, 0x1.283c780fe5e14p-18, 0x1.256369dcdf195p-18, 0x1.2286ffa0c088fp-18, 0x1.1fa791d95328dp-18, 0x1.1cc5765454eb5p-18, 0x1.19e1004067b8fp-18, 0x1.16fa803ce3a6ap-18, 0x1.141244696a57p-18, 0x1.11289875ba0e2p-18, 0x1.0e3dc5b100828p-18, 0x1.0b52131818668p-18, 0x1.0865c563c2e93p-18, 0x1.05791f1764ef7p-18, 0x1.028c608ea6f47p-18, 0x1.ff3f9014b7bccp-19, 0x1.f967237d2fd18p-19, 0x1.f38fefbe35eadp-19, 0x1.edba6557854b6p-19, 0x1.e7e6f0fa8da1ap-19, 0x1.e215fba21ff01p-19, 0x1.dc47eaaae81acp-19, 0x1.d67d1fe9182f5p-19, 0x1.d0b5f9c08804bp-19, 0x1.caf2d339ba7e1p-19, 0x1.c5340418014e1p-19, 0x1.bf79e0ee27b83p-19, 0x1.b9c4bb3351c81p-19, 0x1.b414e15724cb5p-19, 0x1.ae6a9ed5d017p-19, 0x1.a8c63c4b23b04p-19, 0x1.a327ff847601bp-19, 0x1.9d902b9503193p-19, 0x1.97ff00e62cf93p-19, 0x1.9274bd4a25e0fp-19, 0x1.8cf19c0d33728p-19, 0x1.8775d605eafb2p-19, 0x1.8201a1a62ed86p-19, 0x1.7c95330a45e93p-19, 0x1.7730bc0998f64p-19, 0x1.71d46c4660042p-19, 0x1.6c80713b67f55p-19, 0x1.6734f64b655b4p-19, 0x1.61f224cf0acccp-19, 0x1.5cb824231ea94p-19, 0x1.578719b67d422p-19, 0x1.525f29173220cp-19, 0x1.4d4074000dcfbp-19, 0x1.482b1a64b27f4p-19, 0x1.431f3a7e38d94p-19, 0x1.3e1cf0d7b801cp-19, 0x1.3924585940fd8p-19, 0x1.34358a546ec51p-19, 0x1.2f509e90291f3p-19, 0x1.2a75ab522e84ap-19, 0x1.25a4c56b5afcbp-19, 0x1.20de00413f436p-19, 0x1.1c216dd8bd114p-19, 0x1.176f1ee100c75p-19, 0x1.12c722bc47e68p-19, 0x1.0e298789b146ep-19, 0x1.09965a2f00a08p-19, }}, 
      {{-0x1.5b8250ce81a71p-16, -0x1.5bd4beb8c0bb2p-14, -0x1.87734f06c1f7dp-13, -0x1.5bc611848836dp-12, -0x1.0f64ec94dd887p-11, -0x1.865dedaea985cp-11, -0x1.09871852b3cf1p-10, -0x1.5b028753bed6cp-10, -0x1.b80c786f436d1p-10, -0x1.10957b95eaea5p-9, -0x1.4b7ae614a45f5p-9, -0x1.8d07b5068c582p-9, -0x1.d5904835ab375p-9, -0x1.12b58aa3a6f82p-8, -0x1.3e781be5d5285p-8, -0x1.6e3c91d34f4f5p-8, -0x1.a2300ea817445p-8, -0x1.da7fa4381da1p-8, -0x1.0babd18e72e16p-7, -0x1.2c715e970054dp-7, -0x1.4fa48768151bep-7, -0x1.7557928834938p-7, -0x1.9d9a8a5af04eap-7, -0x1.c87ad916b1012p-7, -0x1.f602fa659af8dp-7, -0x1.131d229e25d95p-6, -0x1.2c926707741e3p-6, -0x1.4761afd801a16p-6, -0x1.6389c3eca269fp-6, -0x1.8107d9cf4d1f8p-6, -0x1.9fd7abe533c64p-6, -0x1.bff3909e15991p-6, -0x1.e15494e422d9cp-6, -0x1.01f94ba997728p-5, -0x1.13e231886195ep-5, -0x1.265fe4b9a7a3p-5, -0x1.396cdcfafd645p-5, -0x1.4d032c1dc977bp-5, -0x1.611c880dbd07dp-5, -0x1.75b253eed8312p-5, -0x1.8abda873979fcp-5, -0x1.a0375b93aa733p-5, -0x1.b61807cdd72dfp-5, -0x1.cc58131da655bp-5, -0x1.e2efb5c814f79p-5, -0x1.f9d7011b124eap-5, -0x1.0882f319a1709p-4, -0x1.143a1e6946572p-4, -0x1.200ce524f772ep-4, -0x1.2bf72438ea7f7p-4, -0x1.37f4b65304a32p-4, -0x1.4401775b15b48p-4, -0x1.501947dc45cb2p-4, -0x1.5c381055e05d8p-4, -0x1.6859c469b3cbep-4, -0x1.747a65de9cfa2p-4, -0x1.8096076eed6dfp-4, -0x1.8ca8cf5b770efp-4, -0x1.98aef9bdba48bp-4, -0x1.a4a4da952f4dfp-4, -0x1.b086df8d5a82dp-4, -0x1.bc51917be2cd8p-4, -0x1.c8019597722cp-4, -0x1.d393ae695a2a1p-4, -0x1.df04bc7d4956ep-4, -0x1.ea51bed2fbc86p-4, -0x1.f577d316e21acp-4, -0x1.003a1ad37e9a7p-3, -0x1.05a220b4cc355p-3, -0x1.0af2b7bdd59fap-3, -0x1.102aab5e60943p-3, -0x1.1548d59ef4399p-3, -0x1.1a4c1ecca1079p-3, -0x1.1f337d1b918ffp-3, -0x1.23fdf442d20cfp-3, -0x1.28aa95135bd52p-3, -0x1.2d387d0c67487p-3, -0x1.31a6d5eeab4c5p-3, -0x1.35f4d54febf24p-3, -0x1.3a21bc303f2a7p-3, -0x1.3e2cd691e7cdep-3, -0x1.42157b14a2e96p-3, -0x1.45db0a9522a22p-3, -0x1.497cefd1114f9p-3, -0x1.4cfa9f1009db9p-3, -0x1.505395d1a5f4dp-3, -0x1.53875a80c8c84p-3, -0x1.56957c2c174bap-3, -0x1.597d9243865b7p-3, -0x1.5c3f3c5ad5534p-3, -0x1.5eda21f0bf78ep-3, -0x1.614df23a9976cp-3, -0x1.639a63f41566fp-3, -0x1.65bf3532d0335p-3, -0x1.67bc2b3d5bc2ap-3, -0x1.6991126566f45p-3, -0x1.6b3dbde4a54c7p-3, -0x1.6cc207bc28e7p-3, -0x1.6e1dd095c98cbp-3, -0x1.6f50ffa74fe55p-3, -0x1.705b82971058p-3, -0x1.713d4d61a1271p-3, -0x1.71f65a407b671p-3, -0x1.7286a99127d18p-3, -0x1.72ee41bcda6cp-3, -0x1.732d2f202a558p-3, -0x1.734383f2d25efp-3, -0x1.7331582f3a3a1p-3, -0x1.72f6c979b07d9p-3, -0x1.7293fb073cde4p-3, -0x1.72091583e5ab5p-3, -0x1.715646f861845p-3, -0x1.707bc2af2abb1p-3, -0x1.6f79c118df447p-3, -0x1.6e507faff989p-3, -0x1.6d0040dbe4b96p-3, -0x1.6b894bd35db18p-3, -0x1.69ebec7e447b8p-3, -0x1.68287356d5a6fp-3, -0x1.663f354a695b7p-3, -0x1.64308b99bbac5p-3, -0x1.61fcd3b8e23d6p-3, -0x1.5fa46f2ee9f18p-3, -0x1.5d27c375516a1p-3, -0x1.5a8739d7594dfp-3, -0x1.57c33f5153aefp-3, -0x1.54dc446ffedfp-3, -0x1.51d2bd300536ap-3, -0x1.4ea720ddb445fp-3, -0x1.4b59e9f5016d2p-3, -0x1.47eb9601ead16p-3, -0x1.445ca5814d4e4p-3, -0x1.40ad9bc23207dp-3, -0x1.3cdefec7b347ap-3, -0x1.38f1572b743ecp-3, -0x1.34e53000c28bbp-3, -0x1.30bb16b85b5b8p-3, -0x1.2c739b04f2efdp-3, -0x1.280f4ec066ca1p-3, -0x1.238ec5d1b078ap-3, -0x1.1ef2961397445p-3, -0x1.1a3b573c18d34p-3, -0x1.1569a2c48a839p-3, -0x1.107e13d27a875p-3, -0x1.0b7947212f54bp-3, -0x1.065bdaebe4343p-3, -0x1.01266ed89a75dp-3, -0x1.f7b347c711f6p-4, -0x1.ecec389639c66p-4, -0x1.e1f8f6f901999p-4, -0x1.d6dacc013063cp-4, -0x1.cb9302d2e4cb8p-4, -0x1.c022e8804735ap-4, -0x1.b48bcbe5cf981p-4, -0x1.a8cefd8750549p-4, -0x1.9cedcf6d61d55p-4, -0x1.90e99503486dep-4, -0x1.84c3a2f52fe83p-4, -0x1.787d4f0ea3c34p-4, -0x1.6c17f0193f632p-4, -0x1.5f94ddbb6577bp-4, -0x1.52f57057154b4p-4, -0x1.463b00e8a2dcfp-4, -0x1.3966e8e56d93bp-4, -0x1.2c7a821a5fdfep-4, -0x1.1f77268a50f5ap-4, -0x1.125e304c1d2aap-4, -0x1.0530f9688f88ep-4, -0x1.efe1b76feab44p-5, -0x1.d53e617ee1edbp-5, -0x1.ba7aa31bf47f6p-5, -0x1.9f992d3224135p-5, -0x1.849caf3249efp-5, -0x1.6987d6cb4b56ap-5, -0x1.4e5d4fa1bb92bp-5, -0x1.331fc306fab8p-5, -0x1.17d1d7afcdafp-5, -0x1.f8ec62d54229cp-6, -0x1.c21ee1aadaefap-6, -0x1.8b4066267ec87p-6, -0x1.545623037d7b9p-6, -0x1.1d6542dceb6adp-6, -0x1.cce5cf30ba76dp-7, -0x1.5f0853a1aaeb5p-7, -0x1.e27861085fdcp-8, -0x1.0716dcd27d3e1p-8, -0x1.5ffffd512174cp-11, 0x1.5d70ff9431585p-9, 0x1.88ff1b882cedap-8, 0x1.316040379fec4p-7, 0x1.9df4c83ab65ccp-7, 0x1.0519d93532ba7p-6, 0x1.3b09d40c20d42p-6, 0x1.70c5b82bcc14ep-6, 0x1.a648f882bf541p-6, 0x1.db8f17e5a096ep-6, 0x1.0849d4c69b833p-5, 0x1.22a928c8aebb6p-5, 0x1.3ce362b02792ap-5, 0x1.56f666193ee7bp-5, 0x1.70e01fbd4f0e2p-5, 0x1.8a9e85a8e1d1dp-5, 0x1.a42f976fb50bbp-5, 0x1.bd915e5ea4e44p-5, 0x1.d6c1edab7f492p-5, 0x1.efbf62a28a0b4p-5, 0x1.0443f268f0a66p-4, 0x1.108cd31937ceap-4, 0x1.1cb971a7571a9p-4, 0x1.28c8f1b37ab01p-4, 0x1.34ba7c49b7b0ep-4, 0x1.408d3ff1d2569p-4, 0x1.4c4070bdd35cfp-4, 0x1.57d348575f003p-4, 0x1.6345060bda68bp-4, 0x1.6e94eed75d38ep-4, 0x1.79c24d6e6537ap-4, 0x1.84cc724661b9ap-4, 0x1.8fb2b39d028fap-4, 0x1.9a746d7e5d77cp-4, 0x1.a51101c9e4a01p-4, 0x1.af87d8363d2c3p-4, 0x1.b9d85e53deb42p-4, 0x1.c402078ea67a3p-4, 0x1.ce044d2e49c4fp-4, 0x1.d7deae55a26e2p-4, 0x1.e190b000ffe0cp-4, 0x1.eb19dd036aed8p-4, 0x1.f479c602d0264p-4, 0x1.fdb001734586p-4, 0x1.035e15c8a6bf6p-3, 0x1.07cef32d8e595p-3, 0x1.0c2a6cc4880bcp-3, 0x1.1070594295868p-3, 0x1.14a09230dcc5ep-3, 0x1.18baf3e79403p-3, 0x1.1cbf5d88879a9p-3, 0x1.20adb0f933c2fp-3, 0x1.2485d2dc880e9p-3, 0x1.2847aa8c4db13p-3, 0x1.2bf322123087ep-3, 0x1.2f88262078f75p-3, 0x1.3306a60a769f3p-3, 0x1.366e93bc95bbdp-3, 0x1.39bfe3b437d61p-3, 0x1.3cfa8cf73801ap-3, 0x1.401e890b3c17ap-3, 0x1.432bd3ecbceebp-3, 0x1.46226c05d3a4p-3, 0x1.49025224d765p-3, 0x1.4bcb8972bf689p-3, 0x1.4e7e176954872p-3, 0x1.511a03c935f73p-3, 0x1.539f588fb7553p-3, 0x1.560e21ec8d6a1p-3, 0x1.58666e37616ebp-3, 0x1.5aa84de539368p-3, 0x1.5cd3d37dc87a9p-3, 0x1.5ee913909e14dp-3, 0x1.60e824aa3c1ebp-3, 0x1.62d11f491bd4dp-3, 0x1.64a41dd299badp-3, 0x1.66613c87cd83ap-3, 0x1.6808997a5cb36p-3, 0x1.699a5481311afp-3, 0x1.6b168f2d381f6p-3, 0x1.6c7d6cbe05dc2p-3, 0x1.6dcf12167d8b8p-3, 0x1.6f0ba5b1790e9p-3, 0x1.70334f96609fap-3, 0x1.7146394dcd12dp-3, 0x1.72448dd62d9b4p-3, 0x1.732e799864c5p-3, 0x1.74042a5c76249p-3, 0x1.74c5cf3e386d1p-3, 0x1.757398a20bebep-3, 0x1.760db8299e362p-3, 0x1.769460a8b9458p-3, 0x1.7707c61a20a7ep-3, 0x1.77681d9475b88p-3, 0x1.77b59d3f3aa24p-3, 0x1.77f07c47d643ap-3, 0x1.7818f2d6b437ap-3, 0x1.782f3a0473d36p-3, 0x1.78338bcf30a6p-3, 0x1.7826230fdbae3p-3, 0x1.78073b6fae12fp-3, 0x1.77d7115db0f7dp-3, 0x1.7795e204641b1p-3, 0x1.7743eb3f7529ep-3, 0x1.76e16b919ea9cp-3, 0x1.766ea21a908edp-3, 0x1.75ebce8d0af5cp-3, 0x1.75593124ff056p-3, 0x1.74b70a9de112fp-3, 0x1.74059c290f011p-3, 0x1.73452764572a7p-3, 0x1.7275ee50a600fp-3, 0x1.71983348c624ap-3, 0x1.70ac38f8529eep-3, 0x1.6fb24252bc76dp-3, 0x1.6eaa928a7ee4cp-3, 0x1.6d956d086a641p-3, 0x1.6c7315631e639p-3, 0x1.6b43cf569b972p-3, 0x1.6a07debc05c8fp-3, 0x1.68bf878181d05p-3, 0x1.676b0da23bffp-3, 0x1.660ab51e90dcbp-3, 0x1.649ec1f461dd1p-3, 0x1.6327781788df5p-3, 0x1.61a51b6a75058p-3, 0x1.6017efb6f0e2bp-3, 0x1.5e8038a70691dp-3, 0x1.5cde39be15ef9p-3, 0x1.5b3236520618ap-3, 0x1.597c7184aacdep-3, 0x1.57bd2e3d451d2p-3, 0x1.55f4af2231c71p-3, 0x1.54233692c0fcbp-3, 0x1.524906a12f89ap-3, 0x1.5066610cc874ep-3, 0x1.4e7b873c3620dp-3, 0x1.4c88ba37f153fp-3, 0x1.4a8e3aa4dc3c2p-3, 0x1.488c48bf04261p-3, 0x1.468324548ac9ap-3, 0x1.44730cc0b80c9p-3, 0x1.425c40e730b6fp-3, 0x1.403eff2f567edp-3, 0x1.3e1b857fcc244p-3, 0x1.3bf2113a22e5p-3, 0x1.39c2df36b147bp-3, 0x1.378e2bc087cebp-3, 0x1.3554329192879p-3, 0x1.33152ecee14e8p-3, 0x1.30d15b05117e3p-3, 0x1.2e88f124de53fp-3, 0x1.2c3c2a7fd9c9fp-3, 0x1.29eb3fc5451c1p-3, 0x1.279668ff14669p-3, 0x1.253ddd8f0bc6ap-3, 0x1.22e1d42c0f7fep-3, 0x1.208282df8be17p-3, 0x1.1e201f03005a1p-3, 0x1.1bbadd3db768fp-3, 0x1.1952f182964dcp-3, 0x1.16e88f0e136d2p-3, 0x1.147be8644f02ep-3, 0x1.120d2f4f49bc5p-3, 0x1.0f9c94dd3f635p-3, 0x1.0d2a495f1f70ep-3, 0x1.0ab67c67262bdp-3, 0x1.08415cc795722p-3, 0x1.05cb18918d2bep-3, 0x1.0353dd13ff03ep-3, 0x1.00dbd6dac007bp-3, 0x1.fcc6635b8035p-4, 0x1.f7d431209ef66p-4, 0x1.f2e16b811d052p-4, 0x1.edee656ddfb5ap-4, 0x1.e8fb704bb4c25p-4, 0x1.e408dbf2c7515p-4, 0x1.df16f6ae50ca5p-4, 0x1.da260d3c6e9d9p-4, 0x1.d5366ace39233p-4, 0x1.d0485907ff6acp-4, 0x1.cb5c2001c09eap-4, 0x1.c6720647be078p-4, 0x1.c18a50db5a785p-4, 0x1.bca543340285cp-4, 0x1.b7c31f406063p-4, 0x1.b2e425679dd21p-4, 0x1.ae08948ae5683p-4, 0x1.a930aa0701bafp-4, 0x1.a45ca1b6217eep-4, 0x1.9f8cb5f1c5de6p-4, 0x1.9ac11f94d23ep-4, 0x1.95fa15fdc11edp-4, 0x1.9137cf10fb4efp-4, 0x1.8c7a7f3b50876p-4, 0x1.87c259748d3cfp-4, 0x1.830f8f423184dp-4, 0x1.7e6250ba47a3p-4, 0x1.79bacc8652b3p-4, 0x1.75192fe65d28p-4, 0x1.707da6b41e2b6p-4, 0x1.6be85b663b4ebp-4, 0x1.67597713a229ep-4, 0x1.62d12176fb22p-4, 0x1.5e4f80f228ad5p-4, 0x1.59d4ba91ea4dep-4, 0x1.5560f21189c02p-4, 0x1.50f449de9fbc4p-4, 0x1.4c8ee31ce8b9dp-4, 0x1.4830ddaa2a69fp-4, 0x1.43da58222ea7dp-4, 0x1.3f8b6fe2c59f7p-4, 0x1.3b44410fdfb4ep-4, 0x1.3704e697aa3b3p-4, 0x1.32cd7a36c3ec1p-4, 0x1.2e9e147c72f42p-4, 0x1.2a76ccceec103p-4, 0x1.2657b96fa4928p-4, 0x1.2240ef7fa792cp-4, 0x1.1e328303f6603p-4, 0x1.1a2c86e9ef768p-4, 0x1.162f0d0bc357dp-4, 0x1.123a2634e204p-4, 0x1.0e4de22677eacp-4, 0x1.0a6a4f9beadd5p-4, 0x1.068f7c4f59778p-4, 0x1.02bd74fe248f1p-4, 0x1.fde88adae0099p-5, 0x1.f667f0dd5ade4p-5, 0x1.eef92fc84aba4p-5, 0x1.e79c598af973fp-5, 0x1.e0517e4880587p-5, 0x1.d918ac60d6d1bp-5, 0x1.d1f1f079d516dp-5, 0x1.cadd558847655p-5, 0x1.c3dae4d8e3ac4p-5, 0x1.bceaa6194a7a1p-5, 0x1.b60c9f60f10b7p-5, 0x1.af40d53a15e89p-5, 0x1.a8874aaa946f1p-5, 0x1.a1e0013cc39f1p-5, 0x1.9b4af90833d4fp-5, 0x1.94c830ba7440ap-5, 0x1.8e57a59fbbdd7p-5, 0x1.87f953ab8d227p-5, 0x1.81ad358143889p-5, 0x1.7b73447c9736bp-5, 0x1.754b78ba0beb2p-5, 0x1.6f35c91f4df3fp-5, 0x1.69322b6383e4ap-5, 0x1.6340941783cbfp-5, 0x1.5d60f6ae01badp-5, 0x1.57934583946bfp-5, 0x1.51d771e6c4201p-5, 0x1.4c2d6c1fe7ddfp-5, 0x1.469523790095ep-5, 0x1.410e864574f4bp-5, 0x1.3b9981e9b5a41p-5, 0x1.363602e2d53a7p-5, 0x1.30e3f4cdf80e4p-5, 0x1.2ba3426fba89ep-5, 0x1.2673d5bb8316ep-5, 0x1.215597daa4e3bp-5, 0x1.1c48713380335p-5, 0x1.174c497086e05p-5, 0x1.1261078715f44p-5, 0x1.0d8691be51b48p-5, 0x1.08bccdb5d4a69p-5, 0x1.0403a06c41ba4p-5, 0x1.feb5dc8ba1a5cp-6, 0x1.f585362556381p-6, 0x1.ec75142a78eep-6, 0x1.e3853c10ceb2bp-6, 0x1.dab5724b2287bp-6, 0x1.d2057a55581d7p-6, 0x1.c97516c022f0fp-6, 0x1.c104093c954d1p-6, 0x1.b8b212a77f723p-6, 0x1.b07ef314950a7p-6, 0x1.a86a69d95348p-6, 0x1.a0743597c75a2p-6, 0x1.989c1449136fcp-6, 0x1.90e1c347b3b1ap-6, 0x1.8944ff59ae1fdp-6, 0x1.81c584ba636fep-6, 0x1.7a630f2453f4cp-6, 0x1.731d59da99ef2p-6, 0x1.6bf41fb2356c2p-6, 0x1.64e71b1b127a8p-6, 0x1.5df606291aa15p-6, 0x1.57209a9caad32p-6, 0x1.506691eb43153p-6, 0x1.49c7a547bdd18p-6, 0x1.43438daa6129ep-6, 0x1.3cda03d8dc96p-6, 0x1.368ac06ded23fp-6, 0x1.30557be0fb635p-6, 0x1.2a39ee8d58e82p-6, 0x1.2437d0b96ace8p-6, 0x1.1e4eda9db5fbcp-6, 0x1.187ec46b94d1bp-6, 0x1.12c74653c6e29p-6, 0x1.0d28188cfa4f4p-6, 0x1.07a0f359f1397p-6, 0x1.02318f0f9d5b5p-6, 0x1.f9b34835f72cep-7, 0x1.ef31d60dd0f2bp-7, 0x1.e4de3902fd192p-7, 0x1.dab7e2c34d2c2p-7, 0x1.d0be45586d22ep-7, 0x1.c6f0d332160e7p-7, 0x1.bd4eff2fd0307p-7, 0x1.b3d83caa75bd8p-7, 0x1.aa8bff7d5b8cdp-7, 0x1.a169bc0f1b7cep-7, 0x1.9870e75a522d2p-7, 0x1.8fa0f6f5ae343p-7, 0x1.86f9611c211dp-7, 0x1.7e799cb43a77ep-7, 0x1.76212157da2e3p-7, 0x1.6def675b53478p-7, 0x1.65e3e7d3ee3fp-7, 0x1.5dfe1c9ed0adp-7, 0x1.563d806732342p-7, 0x1.4ea18eac6735bp-7, 0x1.4729c3c7a6481p-7, 0x1.3fd59cf1ab9e2p-7, 0x1.38a49847da63dp-7, 0x1.319634d18ea8ep-7, 0x1.2aa9f284a4c61p-7, 0x1.23df524a46b4ep-7, 0x1.1d35d60350f96p-7, 0x1.16ad008c26971p-7, 0x1.104455c1146e5p-7, 0x1.09fb5a81ab989p-7, 0x1.03d194b465a6ap-7, 0x1.fb8d1693fd68ap-8, 0x1.efb38c80bf32bp-8, 0x1.e4159d4b830b3p-8, 0x1.d8b25d36939b8p-8, 0x1.cd88e2af03a96p-8, 0x1.c2984651a38a8p-8, 0x1.b7dfa2ef3a01dp-8, 0x1.ad5e1590627a1p-8, 0x1.a312bd794faabp-8, 0x1.98fcbc2d4f784p-8, 0x1.8f1b3571a5616p-8, 0x1.856d4f50110bap-8, 0x1.7bf232198a925p-8, 0x1.72a90867f6881p-8, 0x1.6990ff2090ed2p-8, 0x1.60a945747643dp-8, 0x1.57f10ce323131p-8, 0x1.4f67893a56107p-8, 0x1.470bf09769c6dp-8, 0x1.3edd7b67c49d5p-8, 0x1.36db6468ce253p-8, 0x1.2f04e8a8220c2p-8, 0x1.275947835277dp-8, 0x1.1fd7c2a765fafp-8, 0x1.187f9e103725p-8, 0x1.1150200795dc2p-8, 0x1.0a4891242c336p-8, 0x1.03683c4867c2p-8, 0x1.f95cdd41174b9p-9, 0x1.ec34ef433f878p-9, 0x1.df57520e69a5cp-9, 0x1.d2c2ada36416ap-9, 0x1.c675ae878a103p-9, 0x1.ba6f05c150d98p-9, 0x1.aead68d269d7dp-9, 0x1.a32f91b2eb807p-9, 0x1.97f43ecbbed52p-9, 0x1.8cfa32f1010dfp-9, 0x1.8240355bbe107p-9, 0x1.77c511a3cd3e3p-9, 0x1.6d8797b94bbf8p-9, 0x1.63869bdda485dp-9, 0x1.59c0f69d5c376p-9, 0x1.503584c7c0ab3p-9, 0x1.46e32768c2e73p-9, 0x1.3dc8c3c02e243p-9, 0x1.34e5433b1374ep-9, 0x1.2c37936acfdp-9, 0x1.23bea5fdd5062p-9, 0x1.1b7970b6e2762p-9, 0x1.1366ed64ecd4dp-9, 0x1.0b8619da7e497p-9, 0x1.03d5f7e53df1ep-9, 0x1.f8ab1a89627cep-10, 0x1.ea07c743fc041p-10, 0x1.dbc0110ca3773p-10, 0x1.cdd21aa486c55p-10, 0x1.c03c0e687e631p-10, 0x1.b2fc1e3f1cbefp-10, 0x1.a61083854a29bp-10, 0x1.99777efcf9cc8p-10, 0x1.8d2f58b7afe3bp-10, 0x1.81366005ca33ap-10, 0x1.758aeb617d9bdp-10, 0x1.6a2b585c86f7fp-10, 0x1.5f160b8c9c3f6p-10, 0x1.544970777a90ap-10, 0x1.49c3f97f8f9bfp-10, 0x1.3f841fd0d7f99p-10, 0x1.3588634c92024p-10, 0x1.2bcf4a75c8d3fp-10, 0x1.2257625d91a6ap-10, 0x1.191f3e8f60c67p-10, 0x1.102578fd0a1bcp-10, 0x1.0768b1eb7c9a5p-10, 0x1.fdcf1fbca13d4p-11, 0x1.ed417f08f035dp-11, 0x1.dd25e749869aep-11, 0x1.cd79ca13e0858p-11, 0x1.be3aa4dd975c3p-11, 0x1.af6600d640f2ep-11, 0x1.a0f972bee164bp-11, 0x1.92f29ac4b78abp-11, 0x1.854f2458b403ap-11, 0x1.780cc60994398p-11, 0x1.6b29415da8825p-11, 0x1.5ea262ac854ffp-11, 0x1.527600f732a41p-11, 0x1.46a1fdc45a829p-11, 0x1.3b2444f91558ap-11, 0x1.2ffaccb3339fp-11, 0x1.25239524f88e5p-11, 0x1.1a9ca86e68e7p-11, 0x1.10641a79be122p-11, 0x1.067808d542c66p-11, 0x1.f9ad3520bf034p-12, 0x1.e6fc002bbfc6fp-12, 0x1.d4d8e612815b9p-12, 0x1.c3406c4487ee2p-12, 0x1.b22f2a1279c57p-12, 0x1.a1a1c86a68e76p-12, 0x1.9195018f12025p-12, 0x1.8205a0d3837e3p-12, 0x1.72f082575e1f8p-12, 0x1.645292c27de56p-12, 0x1.5628cf01154b6p-12, 0x1.48704401e1d35p-12, 0x1.3b260e7408494p-12, 0x1.2e475a82dc419p-12, 0x1.21d163991ca9dp-12, 0x1.15c1741d7d615p-12, 0x1.0a14e533ea097p-12, 0x1.fd923cfe4a50ap-13, 0x1.e7b72bc5b3602p-13, 0x1.d2939e886abf3p-13, 0x1.be22b89b7bff3p-13, 0x1.aa5fb8682d556p-13, 0x1.9745f6f08309p-13, 0x1.84d0e75d83ae8p-13, 0x1.72fc168703f4ep-13, 0x1.61c32a82a9d44p-13, 0x1.5121e230f587ep-13, 0x1.411414cc6c5e3p-13, 0x1.3195b179f961bp-13, 0x1.22a2bedd63be9p-13, 0x1.14375aa84722p-13, 0x1.064fb935b6b0fp-13, 0x1.f1d04a33cf7dep-14, 0x1.d7f9fd7958de5p-14, 0x1.bf1577e1b0cc6p-14, 0x1.a71bcf20b8e67p-14, 0x1.9006422d6250ap-14, 0x1.79ce387d0f225p-14, 0x1.646d413cf88b1p-14, 0x1.4fdd1290a65cap-14, 0x1.3c1788d9b4cedp-14, 0x1.2916a5f6b59a4p-14, 0x1.16d4908bb3c93p-14, 0x1.054b934bf9cf9p-14, 0x1.e8ec38919d1b1p-15, 0x1.c89d78764ed0ep-15, 0x1.a9a04bade777ep-15, 0x1.8bea5a4472115p-15, 0x1.6f718d8bcd9fbp-15, 0x1.542c0ed6e804p-15, 0x1.3a104630a5b25p-15, 0x1.2114d90ec692cp-15, 0x1.0930a91cfc3d2p-15, 0x1.e4b5a5fb24387p-16, 0x1.b9155a2cf8205p-16, 0x1.8f6f8cb3b9e09p-16, 0x1.67b3ca4ec61bap-16, 0x1.41d20c32a6778p-16, 0x1.1dbab5d535af2p-16, 0x1.f6bd254780062p-17, 0x1.b55da7b7c4e93p-17, 0x1.773a1cbf2c6edp-17, 0x1.3c36711dc35dep-17, 0x1.0437507bbd9f9p-17, 0x1.9e4442965cb2dp-18, 0x1.39ba014da05c8p-18, 0x1.b53af9c557689p-19, 0x1.017b658e6fe71p-19, 0x1.5f57b30380141p-21, -0x1.2048b3b59e09fp-21, -0x1.bd2e2adae3d95p-20, -0x1.6c107b492282cp-19, -0x1.f0d39babf6e73p-19, -0x1.3699a84d9c4b4p-18, -0x1.70c00f5d9defcp-18, -0x1.a704215759a1fp-18, -0x1.d98bdf5d96216p-18, -0x1.043e19e9534dap-17, -0x1.19fc7c5ad2ed7p-17, -0x1.2e127f00b96ap-17, -0x1.409107f29e102p-17, -0x1.51887e64a9869p-17, -0x1.6108cd9de446bp-17, -0x1.6f2167eecedf3p-17, -0x1.7be14989eff08p-17, -0x1.8756fb4f3c0f8p-17, -0x1.919095928e587p-17, -0x1.9a9bc2d161947p-17, -0x1.a285c257145b9p-17, -0x1.a95b6aded2d0ep-17, -0x1.af292d177c24cp-17, -0x1.b3fb163191abp-17, -0x1.b7dcd23e59a49p-17, -0x1.bad9aea691425p-17, -0x1.bcfc9c8100e1ep-17, -0x1.be5032e7236bp-17, -0x1.bedeb134384c6p-17, -0x1.beb2013d51cbfp-17, -0x1.bdd3b9825b571p-17, -0x1.bc4d1f4010fd7p-17, -0x1.ba27289660898p-17, -0x1.b76a7e86c572dp-17, -0x1.b41f7ef9732b3p-17, -0x1.b04e3ebd4a5a5p-17, -0x1.abfe8b5dfd399p-17, -0x1.a737ed12436b7p-17, -0x1.a201a894236b6p-17, -0x1.9c62c0dfb45dfp-17, -0x1.9661f8f76fbcbp-17, -0x1.9005d5ae2cceap-17, -0x1.89549f43f1c3dp-17, -0x1.82546312cd37dp-17, -0x1.7b0af53184fbap-17, -0x1.737df1fd8591fp-17, -0x1.6bb2bfa49241fp-17, -0x1.63ae8fb604a25p-17, -0x1.5b766081e208ep-17, -0x1.530efea21b34bp-17, -0x1.4a7d06599bfa7p-17, -0x1.41c4e4fadbd98p-17, -0x1.38eada31b81e7p-17, -0x1.2ff2f9661384ap-17, -0x1.26e12afd84839p-17, -0x1.1db92d9a9b3a5p-17, -0x1.147e974d2e53p-17, -0x1.0b34d6d983439p-17, -0x1.01df34de507a9p-17, -0x1.f101a9de4170cp-18, -0x1.de396d7901e2ap-18, -0x1.cb6b6e4b6f1d3p-18, -0x1.b89d22961df1ap-18, -0x1.a5d3bf2185048p-18, -0x1.93143952e3fd1p-18, -0x1.8063492e99c93p-18, -0x1.6dc56b2fc03f8p-18, -0x1.5b3ee2381c6a7p-18, -0x1.48d3b9640a7ffp-18, -0x1.3687c5e1688abp-18, -0x1.245ea88b7c9d5p-18, -0x1.125bcfb29550bp-18, -0x1.008278cd84c3cp-18, -0x1.ddab64293612dp-19, -0x1.bab0b81ca0a0ap-19, -0x1.981a5629bba38p-19, -0x1.75ed51bc37a6bp-19, -0x1.542e6bf60684ap-19, -0x1.32e21651831aep-19, -0x1.120c7586f3829p-19, -0x1.e362c8788bf44p-20, -0x1.a3a8eb372d33dp-20, -0x1.64f1efe74e86cp-20, -0x1.2743ee5a5d13cp-20, -0x1.d548fc99d112dp-21, -0x1.5e31789e2b273p-21, -0x1.d29538d2e728ap-22, -0x1.da733d13947cep-23, -0x1.8be710ac0fbefp-27, 0x1.9fd9124df3021p-23, 0x1.a79dccb2b4be3p-22, 0x1.3d551f7f41d8ap-21, 0x1.a48481a893b7dp-21, 0x1.04aca94c45eb8p-20, 0x1.35e8420b0717cp-20, 0x1.65f3d6f9c74b8p-20, 0x1.94ce8359d3906p-20, 0x1.c277ae1ee1ad3p-20, 0x1.eeef070bc616p-20, 0x1.0d1a41ad8ece8p-19, 0x1.22242d528a23ep-19, 0x1.369582086d7e9p-19, 0x1.4a6e99a49fbbep-19, 0x1.5dafeae877dd6p-19, 0x1.705a080cf5a91p-19, 0x1.826d9d99fc2bcp-19, 0x1.93eb7100ab9d2p-19, 0x1.a4d45f553e41cp-19, 0x1.b5295c300300ap-19, 0x1.c4eb70804b6e9p-19, 0x1.d41bb9600edb9p-19, 0x1.e2bb671ad76c8p-19, 0x1.f0cbbc0987e98p-19, 0x1.fe4e0b8ba940dp-19, 0x1.05a1dc8938ae6p-18, 0x1.0bd71b9535be4p-18, 0x1.11c7834b4f3f6p-18, 0x1.1773daac3f8f8p-18, 0x1.1cdceeef574e7p-18, 0x1.220393193619p-18, 0x1.26e89f8fe1f5bp-18, 0x1.2b8cf1bf5901dp-18, 0x1.2ff16bb7a4515p-18, 0x1.3416f3c7c12b2p-18, 0x1.37fe7429f6ecbp-18, 0x1.3ba8daadcbe5dp-18, 0x1.3f171864642b9p-18, 0x1.424a215681a73p-18, 0x1.4542ec2b19b1dp-18, 0x1.480271e0c6427p-18, 0x1.4a89ad90a9a5ep-18, 0x1.4cd99c21e575bp-18, 0x1.4ef33c06fc4abp-18, 0x1.50d78d003d8d9p-18, 0x1.52878fdda85fp-18, 0x1.54044641a8b0fp-18, 0x1.554eb269688d3p-18, 0x1.5667d6f91e90ap-18, 0x1.5750b6cd655cap-18, 0x1.580a54c1f70acp-18, 0x1.5895b38731169p-18, 0x1.58f3d573dc38ap-18, 0x1.5925bc53142acp-18, 0x1.592c6942d2e3ap-18, 0x1.5908dc8a2d8cbp-18, 0x1.58bc1572b5a0ep-18, 0x1.584712231d276p-18, 0x1.57aacf7da5665p-18, 0x1.56e8490712566p-18, 0x1.560078c099912p-18, 0x1.54f4570669cd8p-18, 0x1.53c4da7771996p-18, 0x1.5272f7dadd8abp-18, 0x1.50ffa208fc517p-18, 0x1.4f6bc9d574e29p-18, 0x1.4db85df3cac3bp-18, 0x1.4be64ae0d15d6p-18, 0x1.49f67ad6db4acp-18, 0x1.47e9d5b3b75d3p-18, 0x1.45c140edacd9fp-18, 0x1.437d9f7d1085ep-18, 0x1.411fd1d030cc9p-18, 0x1.3ea8b5bc54377p-18, 0x1.3c19267154e08p-18, 0x1.3971fc69d8e5ep-18, 0x1.36b40d63cd52cp-18, 0x1.33e02c5650bafp-18, 0x1.30f729682daaap-18, 0x1.2df9d1e1e9c7ep-18, 0x1.2ae8f02f1daecp-18, 0x1.27c54bd2b3d0ep-18, 0x1.248fa95e46993p-18, 0x1.2148ca714b211p-18, 0x1.1df16db147cap-18, 0x1.1a8a4ec517f17p-18, 0x1.17142653998ebp-18, 0x1.138faa02aeb15p-18, 0x1.0ffd8c740325bp-18, 0x1.0c5e7d4178762p-18, 0x1.08b328fba7b93p-18, 0x1.04fc3929f326bp-18, 0x1.013a544ccbbe2p-18, 0x1.fadc3bb779cffp-19, 0x1.f3306c8988d8bp-19, 0x1.eb7275e4a56ebp-19, 0x1.e3a38c98fe824p-19, 0x1.dbc4df7421b95p-19, 0x1.d3d79747795efp-19, 0x1.cbdcd6e9d4f54p-19, 0x1.c3d5bb42a1b69p-19, 0x1.bbc35b521ce66p-19, 0x1.b3a6c8373ec1dp-19, 0x1.ab810d37b2045p-19, 0x1.a3532fcc8972ep-19, 0x1.9b1e2fa7a75dbp-19, 0x1.92e306c6c799ep-19, 0x1.8aa2a975fe396p-19, 0x1.825e065f19ec2p-19, 0x1.7a16068eaf45fp-19, 0x1.71cb8d86b9cdbp-19, 0x1.697f79535aecp-19, 0x1.6132a2889d7e7p-19, 0x1.58e5dc57dd1a2p-19, 0x1.5099f4a00af93p-19, 0x1.484fb3f4b5b0dp-19, 0x1.4007ddae76794p-19, 0x1.37c33002789ep-19, 0x1.2f826403d88e6p-19, 0x1.27462dbc6e1f2p-19, 0x1.1f0f3c3a37abap-19, 0x1.16de399b984d8p-19, 0x1.0eb3cb23bb232p-19, 0x1.069091464bcap-19, 0x1.fcea4f6e5d496p-20, 0x1.ecc44af4be58ap-20, }}, 
      {{0x1.91512acf67efcp-8, 0x1.92020104f3fd7p-7, 0x1.2e3e2997d42fap-6, 0x1.9415ac2fa353fp-6, 0x1.fa642f7cca9fdp-6, 0x1.3070a84103211p-5, 0x1.63952dc065c24p-5, 0x1.966671e882dc1p-5, 0x1.c8a80112e2ebdp-5, 0x1.fa1de971e4aafp-5, 0x1.1547cd844f026p-4, 0x1.2ce4ff38578ap-4, 0x1.43d06f1fa3b2p-4, 0x1.59f7df1f671eep-4, 0x1.6f4d1c9cdb8b1p-4, 0x1.83c5fdcddcc77p-4, 0x1.975c379828843p-4, 0x1.aa0d15515cfafp-4, 0x1.bbd91aec99c1ep-4, 0x1.ccc3994f80236p-4, 0x1.dcd23b9ae3812p-4, 0x1.ec0c932d214dap-4, 0x1.fa7ba70ef5db8p-4, 0x1.0414c53247e7ap-3, 0x1.0a907e394ac79p-3, 0x1.10b689ea109ffp-3, 0x1.168c7ad678197p-3, 0x1.1c17cc7a87c75p-3, 0x1.215dcab9f7b0fp-3, 0x1.26637ececde48p-3, 0x1.2b2da1213ce09p-3, 0x1.2fc08f6e5e964p-3, 0x1.3420469c50236p-3, 0x1.38505f9c503a1p-3, 0x1.3c540ec49ee5fp-3, 0x1.402e25192b369p-3, 0x1.43e1130a861e7p-3, 0x1.476eec43e773ep-3, 0x1.4ad96c3292c06p-3, 0x1.4e21fb01a6fb2p-3, 0x1.5149b2d47727cp-3, 0x1.5451651727b43p-3, 0x1.57399fc891905p-3, 0x1.5a02b2aa1e3b5p-3, 0x1.5cacb449b168fp-3, 0x1.5f3786df96c66p-3, 0x1.61a2dcfe9feap-3, 0x1.63ee3e177b31ap-3, 0x1.66190ad21cc1ep-3, 0x1.68228140d37a4p-3, 0x1.6a09c0f0f9063p-3, 0x1.6bcdcedcc7093p-3, 0x1.6d6d994127f63p-3, 0x1.6ee7fb59aa336p-3, 0x1.703bc103a3959p-3, 0x1.7167aa48b594p-3, 0x1.726a6ed0105b3p-3, 0x1.7342c134f61d5p-3, 0x1.73ef52407a4c6p-3, 0x1.746ed403f3963p-3, 0x1.74bffcd14cb7dp-3, 0x1.74e18a0e46bb2p-3, 0x1.74d242df9a3f1p-3, 0x1.7490faa941c7fp-3, 0x1.741c93612ac42p-3, 0x1.7373ffb215ecbp-3, 0x1.729644ecbb4cdp-3, 0x1.71827cc5b513p-3, 0x1.7037d6df383cap-3, 0x1.6eb59a1e1ab03p-3, 0x1.6cfb25ca26c67p-3, 0x1.6b07f27a232bfp-3, 0x1.68db92cc93789p-3, 0x1.6675b3ee728bfp-3, 0x1.63d61df1abadep-3, 0x1.60fcb3f55a4cdp-3, 0x1.5de974223ffe5p-3, 0x1.5a9c777debd5fp-3, 0x1.5715f1978a2cdp-3, 0x1.535630112fe3ap-3, 0x1.4f5d9a08cd002p-3, 0x1.4b2caf63df2dfp-3, 0x1.46c4080110e3cp-3, 0x1.422452d2ea061p-3, 0x1.3d4e54e6bb43ap-3, 0x1.3842e85abdeafp-3, 0x1.3302fb46665aep-3, 0x1.2d8f8e97bf9ebp-3, 0x1.27e9b4e86a118p-3, 0x1.2212914cedc6p-3, 0x1.1c0b5620980abp-3, 0x1.15d543d033247p-3, 0x1.0f71a7a59ad0cp-3, 0x1.08e1da95ffc21p-3, 0x1.0227401489f8ap-3, 0x1.f68689d5bf467p-4, 0x1.e86ebc31abf85p-4, 0x1.da0a0f78f1ebep-4, 0x1.cb5b8806c54bap-4, 0x1.bc66344c775f2p-4, 0x1.ad2d2ade2070ap-4, 0x1.9db38895ec916p-4, 0x1.8dfc6ecf11p-4, 0x1.7e0b01b8c79d9p-4, 0x1.6de266c1c45dap-4, 0x1.5d85c31c42413p-4, 0x1.4cf83a5a9d7a5p-4, 0x1.3c3ced243cf93p-4, 0x1.2b56f80275026p-4, 0x1.1a497244e0444p-4, 0x1.09176cfc965fdp-4, 0x1.ef87e41b0dfe2p-5, 0x1.cca406aa5e544p-5, 0x1.a98933cb9e1fdp-5, 0x1.863d4aaa71d94p-5, 0x1.62c6163c7719cp-5, 0x1.3f294c276d123p-5, 0x1.1b6c8bc89bc11p-5, 0x1.ef2abab70d47fp-6, 0x1.a752627b8f8ccp-6, 0x1.5f5abe9c6686cp-6, 0x1.174e4cca2d39ap-6, 0x1.9e6eaf8f57114p-7, 0x1.0e3fed673cd74p-7, 0x1.f89063cd4f6f4p-9, -0x1.1d171329058f7p-11, -0x1.431b7c8a520b8p-8, -0x1.30fe45b0c11cap-7, -0x1.c010e93d41fd9p-7, -0x1.2759fa84e9239p-6, -0x1.6e6b0fb051db2p-6, -0x1.b5334433a43a8p-6, -0x1.fbaa5cd84ac36p-6, -0x1.20e4296d23dc1p-5, -0x1.43c2a9cc8c23ep-5, -0x1.666ce01fb568bp-5, -0x1.88df16b1b38b1p-5, -0x1.ab15b1507a146p-5, -0x1.cd0d2d17b17dep-5, -0x1.eec22039e8039p-5, -0x1.08189ce44124fp-4, -0x1.18aba0bd8e0dbp-4, -0x1.29188bbb40db1p-4, -0x1.395dda09eb10cp-4, -0x1.497a13d3fb045p-4, -0x1.596bcd25ca2d9p-4, -0x1.6931a5d1fcbd4p-4, -0x1.78ca495662dbbp-4, -0x1.88346ec159181p-4, -0x1.976ed897b296fp-4, -0x1.a67854bb31ed6p-4, -0x1.b54fbc5197b1p-4, -0x1.c3f3f3ac3039ep-4, -0x1.d263ea2ff6651p-4, -0x1.e09e9a3e2667dp-4, -0x1.eea3091d4d89ep-4, -0x1.fc7046e2b55a9p-4, -0x1.0502b72e1611ap-3, -0x1.0bb0d27d0abd1p-3, -0x1.12420d5cd60bcp-3, -0x1.18b60507b6108p-3, -0x1.1f0c5be8c7863p-3, -0x1.2544b99147462p-3, -0x1.2b5ecaadc93p-3, -0x1.315a40fb5e5b9p-3, -0x1.3736d33ca1c7ep-3, -0x1.3cf43d2ea5606p-3, -0x1.42923f7daf821p-3, -0x1.48109fb9cba47p-3, -0x1.4d6f284b20f4bp-3, -0x1.52ada8660454ep-3, -0x1.57cbf3fecb05fp-3, -0x1.5cc9e3bd48e0bp-3, -0x1.61a754f003ca3p-3, -0x1.6664297f0acccp-3, -0x1.6b0047de79a03p-3, -0x1.6f7b9b0094675p-3, -0x1.73d612478a961p-3, -0x1.780fa176d20c5p-3, -0x1.7c2840a41b471p-3, -0x1.801fec27e30cbp-3, -0x1.83f6a48d95456p-3, -0x1.87ac6e8350d35p-3, -0x1.8b4152c939f39p-3, -0x1.8eb55e206cbd5p-3, -0x1.9208a13986f58p-3, -0x1.953b30a2ccba6p-3, -0x1.984d24b5eaaafp-3, -0x1.9b3e99855d75p-3, -0x1.9e0faec975fdbp-3, -0x1.a0c087cd0918cp-3, -0x1.a3514b59c3c53p-3, -0x1.a5c223a43586ep-3, -0x1.a8133e3783aafp-3, -0x1.aa44cbe0d70f8p-3, -0x1.ac57009a88d3bp-3, -0x1.ae4a137706e7p-3, -0x1.b01e3e8b83d1ep-3, -0x1.b1d3beda6aae1p-3, -0x1.b36ad43da8052p-3, -0x1.b4e3c150c24e1p-3, -0x1.b63ecb5acd796p-3, -0x1.b77c3a3843388p-3, -0x1.b89c5844b1eep-3, -0x1.b99f724466562p-3, -0x1.ba85d74dfc8f2p-3, -0x1.bb4fd8b3e14bep-3, -0x1.bbfdc9eddbd1fp-3, -0x1.bc90008289e59p-3, -0x1.bd06d3f0eb8a6p-3, -0x1.bd629d99f32a2p-3, -0x1.bda3b8aa24af4p-3, -0x1.bdca8203544a8p-3, -0x1.bdd758266fc62p-3, -0x1.bdca9b1d7677ep-3, -0x1.bda4ac65848cdp-3, -0x1.bd65eed916a12p-3, -0x1.bd0ec69a6de2bp-3, -0x1.bc9f98fe2d616p-3, -0x1.bc18cc7623596p-3, -0x1.bb7ac87c571a8p-3, -0x1.bac5f57e49f3p-3, -0x1.b9fabcc87e79ap-3, -0x1.b919887241cf9p-3, -0x1.b822c349bd037p-3, -0x1.b716d8c04f763p-3, -0x1.b5f634d7394b3p-3, -0x1.b4c1440c93409p-3, -0x1.b37873489cbabp-3, -0x1.b21c2fcb5e417p-3, -0x1.b0ace71a9f8cep-3, -0x1.af2b06f040f83p-3, -0x1.ad96fd28e33ccp-3, -0x1.abf137b2fd214p-3, -0x1.aa3a247e3e908p-3, -0x1.a872316b66098p-3, -0x1.a699cc3c68beap-3, -0x1.a4b1628507c72p-3, -0x1.a2b9619bc531p-3, -0x1.a0b2368b40de6p-3, -0x1.9e9c4e03f705cp-3, -0x1.9c78144e6ae36p-3, -0x1.9a45f53db06a3p-3, -0x1.98065c2264c91p-3, -0x1.95b9b3be0893ap-3, -0x1.93606636c53a7p-3, -0x1.90fadd0b988c9p-3, -0x1.8e898108e1db9p-3, -0x1.8c0cba3d61797p-3, -0x1.8984efef9654ap-3, -0x1.86f288937ef9p-3, -0x1.8455e9c0cc09bp-3, -0x1.81af7829672bbp-3, -0x1.7eff97906fcedp-3, -0x1.7c46aac18aa5bp-3, -0x1.798513889d4e7p-3, -0x1.76bb32a9eb9ebp-3, -0x1.73e967da8c048p-3, -0x1.711011b948f97p-3, -0x1.6e2f8dc7d0be5p-3, -0x1.6b4838645148fp-3, -0x1.685a6cc36279fp-3, -0x1.656684ea51f64p-3, -0x1.626cd9a9c8b8ap-3, -0x1.5f6dc298beec4p-3, -0x1.5c69960fcfa7dp-3, -0x1.5960a924dcb47p-3, -0x1.56534fa70421bp-3, -0x1.5341dc1ae96a6p-3, -0x1.502c9fb7495cdp-3, -0x1.4d13ea61e5fa1p-3, -0x1.49f80aacaf05ap-3, -0x1.46d94dd348b44p-3, -0x1.43b7ffb8c8e34p-3, -0x1.40946ae5c53cdp-3, -0x1.3d6ed886a97cap-3, -0x1.3a47906a47c2fp-3, -0x1.371ed900b56ddp-3, -0x1.33f4f75a5f5d1p-3, -0x1.30ca2f2767379p-3, -0x1.2d9ec2b72f501p-3, -0x1.2a72f2f8330fap-3, -0x1.2746ff780b5bap-3, -0x1.241b2663ad09cp-3, -0x1.20efa487e789bp-3, -0x1.1dc4b5520a43p-3, -0x1.1a9a92d0c5c33p-3, -0x1.177175b53805dp-3, -0x1.1449955431e8bp-3, -0x1.112327a79e0dbp-3, -0x1.0dfe61501ac06p-3, -0x1.0adb7596c0b82p-3, -0x1.07ba966f0deabp-3, -0x1.049bf478f6311p-3, -0x1.017fbf0321aa5p-3, -0x1.fccc481a93ce8p-4, -0x1.f69ea09571064p-4, -0x1.f076de49d71ep-4, -0x1.ea55557caa83ap-4, -0x1.e43a57ea7daf2p-4, -0x1.de2634cd89e52p-4, -0x1.d81938e3e0459p-4, -0x1.d213ae75cfa0bp-4, -0x1.cc15dd5c79cbdp-4, -0x1.c6200b089f7f7p-4, -0x1.c0327a898da2p-4, -0x1.ba4d6c943f59ap-4, -0x1.b4711f8a9e05cp-4, -0x1.ae9dcf82e7edp-4, -0x1.a8d3b64f41235p-4, -0x1.a3130b855b4efp-4, -0x1.9d5c04863eda7p-4, -0x1.97aed4862e2fcp-4, -0x1.920bac94a8f7fp-4, -0x1.8c72bba47a9d1p-4, -0x1.86e42e93e7c2ep-4, -0x1.81603034eab2ep-4, -0x1.7be6e955826ebp-4, -0x1.767880c80f212p-4, -0x1.71151b6bbdddp-4, -0x1.6bbcdc34fe36bp-4, -0x1.666fe43602c5p-4, -0x1.612e52a74ac8dp-4, -0x1.5bf844f02cb5p-4, -0x1.56cdd6af6cdaep-4, -0x1.51af21c3d2803p-4, -0x1.4c9c3e54beb8ap-4, -0x1.479542dac6efdp-4, -0x1.429a442847e42p-4, -0x1.3dab5571fe416p-4, -0x1.38c888579319p-4, -0x1.33f1ecec27a5ap-4, -0x1.2f2791bedc218p-4, -0x1.2a6983e3488a9p-4, -0x1.25b7cef9f3fdbp-4, -0x1.21127d38bdff7p-4, -0x1.1c7997733c553p-4, -0x1.17ed25230eaa6p-4, -0x1.136d2c7026122p-4, -0x1.0ef9b238fcb3dp-4, -0x1.0a92ba1abd47fp-4, -0x1.063846795fda6p-4, -0x1.01ea5887b3323p-4, -0x1.fb51e09ea3fcep-5, -0x1.f2e8197119dbbp-5, -0x1.ea97572479b2cp-5, -0x1.e25f933305fa9p-5, -0x1.da40c502eb565p-5, -0x1.d23ae1f571817p-5, -0x1.ca4ddd760204dp-5, -0x1.c279a909012e8p-5, -0x1.babe345a7ffb5p-5, -0x1.b31b6d4cb9ee4p-5, -0x1.ab91400668aebp-5, -0x1.a41f9700ed6e2p-5, -0x1.9cc65b1644793p-5, -0x1.9585738ec6d24p-5, -0x1.8e5cc62ec2a14p-5, -0x1.874c3743de835p-5, -0x1.8053a9b2497b4p-5, -0x1.7972ff01b8383p-5, -0x1.72aa176a36bafp-5, -0x1.6bf8d1e0baa69p-5, -0x1.655f0c238c0c3p-5, -0x1.5edca2c678085p-5, -0x1.5871713ecd305p-5, -0x1.521d51ef26644p-5, -0x1.4be01e32fcfb1p-5, -0x1.45b9ae6a0abacp-5, -0x1.3fa9da0379da5p-5, -0x1.39b07788d7175p-5, -0x1.33cd5ca8d82ap-5, -0x1.2e005e41e5b59p-5, -0x1.2849506c7f385p-5, -0x1.22a8068552fc9p-5, -0x1.1d1c53373b4b7p-5, -0x1.17a60884f3da1p-5, -0x1.1244f7d2a60bp-5, -0x1.0cf8f1ef41d29p-5, -0x1.07c1c71d9a158p-5, -0x1.029f471d56cfdp-5, -0x1.fb22826761647p-6, -0x1.f12f0867f2c25p-6, -0x1.e763bd0fed547p-6, -0x1.ddc03c7008c0fp-6, -0x1.d44421e6125dep-6, -0x1.caef082c701a1p-6, -0x1.c1c089694ef43p-6, -0x1.b8b83f3d57b54p-6, -0x1.afd5c2d223a17p-6, -0x1.a718ace833342p-6, -0x1.9e8095e4a098bp-6, -0x1.960d15de645e4p-6, -0x1.8dbdc4ab4b59ep-6, -0x1.859239ec86811p-6, -0x1.7d8a0d1ae435ep-6, -0x1.75a4d592bb773p-6, -0x1.6de22a9f70541p-6, -0x1.6641a386ad13dp-6, -0x1.5ec2d7933ba9ep-6, -0x1.57655e1f9c50fp-6, -0x1.5028cea033ffep-6, -0x1.490cc0ad396dfp-6, -0x1.4210cc0c4f0d8p-6, -0x1.3b3488b9c45dp-6, -0x1.34778ef1918d7p-6, -0x1.2dd97738050cep-6, -0x1.2759da62294a5p-6, -0x1.20f8519dd6bcbp-6, -0x1.1ab476797e227p-6, -0x1.148de2ebb85a1p-6, -0x1.0e84315a7d8fep-6, -0x1.0896fca222b84p-6, -0x1.02c5e01c10ab2p-6, -0x1.fa20ef4a62b9fp-7, -0x1.eeecbf4850a1p-7, -0x1.e3ee6a1e7ca98p-7, -0x1.d9252ae42b57dp-7, -0x1.ce903de639815p-7, -0x1.c42ee0b181a52p-7, -0x1.ba00521ce89a2p-7, -0x1.b003d252c864cp-7, -0x1.a638a2da0da4p-7, -0x1.9c9e069ed7bd8p-7, -0x1.933341faa8725p-7, -0x1.89f79abc2444cp-7, -0x1.80ea582e8b181p-7, -0x1.780ac320932f2p-7, -0x1.6f5825eb19f36p-7, -0x1.66d1cc77425cfp-7, -0x1.5e77044460b0dp-7, -0x1.56471c6d5aeacp-7, -0x1.4e4165add67c6p-7, -0x1.46653266fd7bp-7, -0x1.3eb1d6a3e419ep-7, -0x1.3726a81dab931p-7, -0x1.2fc2fe3f44844p-7, -0x1.28863228f72bbp-7, -0x1.216f9eb374b91p-7, -0x1.1a7ea072d9faep-7, -0x1.13b295b922eb3p-7, -0x1.0d0ade9895822p-7, -0x1.0686dce5bf761p-7, -0x1.0025f4393f355p-7, -0x1.f3cf13e28d022p-8, -0x1.e7960a65c1086p-8, -0x1.db9f9dd5f6cb3p-8, -0x1.cfeaa39e70ddbp-8, -0x1.c475f4bcee30ep-8, -0x1.b9406dc25386bp-8, -0x1.ae48eed323a28p-8, -0x1.a38e5ba70f42p-8, -0x1.990f9b88ba496p-8, -0x1.8ecb9954a9e33p-8, -0x1.84c14377f152fp-8, -0x1.7aef8beeaf7e1p-8, -0x1.71556841e85b4p-8, -0x1.67f1d18551271p-8, -0x1.5ec3c454ab295p-8, -0x1.55ca40d0a409bp-8, -0x1.4d044a9bcca85p-8, -0x1.4470e8d6ecb5cp-8, -0x1.3c0f261d2e0ap-8, -0x1.33de108013597p-8, -0x1.2bdcb9832ebbep-8, -0x1.240a36176093cp-8, -0x1.1c659e963372ep-8, -0x1.14ee0ebcc377dp-8, -0x1.0da2a5a66ad67p-8, -0x1.068285c769503p-8, -0x1.ff19a9ce5d921p-9, -0x1.f1817834f987ep-9, -0x1.e43acf7af158ep-9, -0x1.d7440edae440cp-9, -0x1.ca9b9c04d7badp-9, -0x1.be3fe311e54c6p-9, -0x1.b22f567624d32p-9, -0x1.a6686ef3cf434p-9, -0x1.9ae9ab8d16f1ep-9, -0x1.8fb191761db5cp-9, -0x1.84beac06ed488p-9, -0x1.7a0f8cacce165p-9, -0x1.6fa2cadbca878p-9, -0x1.657703ffa85d2p-9, -0x1.5b8adb6cec302p-9, -0x1.51dcfa51f1c47p-9, -0x1.486c0fa755489p-9, -0x1.3f36d0206a17dp-9, -0x1.363bf61c1e229p-9, -0x1.2d7a4194d7914p-9, -0x1.24f078110f8dcp-9, -0x1.1c9d649319f21p-9, -0x1.147fd7899dbaap-9, -0x1.0c96a6bf34bc8p-9, -0x1.04e0ad4aae0dp-9, -0x1.fab996fd971bcp-10, -0x1.ec13cdb45364bp-10, -0x1.ddcdd3ee23befp-10, -0x1.cfe588f6cd649p-10, -0x1.c258d610984fp-10, -0x1.b525ae54071c3p-10, -0x1.a84a0e8fb2fb1p-10, -0x1.9bc3fd2787b76p-10, -0x1.8f9189f500798p-10, -0x1.83b0ce262044bp-10, -0x1.781fec1df7e62p-10, -0x1.6cdd0f545718bp-10, -0x1.61e66c356ba4cp-10, -0x1.573a40023e4d8p-10, -0x1.4cd6d0b0bf27bp-10, -0x1.42ba6ccc2f627p-10, -0x1.38e36b5564c96p-10, -0x1.2f502ba3891f4p-10, -0x1.25ff1544c414bp-10, -0x1.1cee97df81bebp-10, -0x1.141d2b12e8c2cp-10, -0x1.0b894e589ee6ep-10, -0x1.033188e668247p-10, -0x1.f628d31e26fe5p-11, -0x1.e6610d4a9c473p-11, -0x1.d708fbba1254cp-11, -0x1.c81de85c2e76dp-11, -0x1.b99d2b6d842bbp-11, -0x1.ab842b3c8f52fp-11, -0x1.9dd05bf04ef57p-11, -0x1.907f3f4e9e12bp-11, -0x1.838e6483163e4p-11, -0x1.76fb67e6d48aap-11, -0x1.6ac3f2c862efdp-11, -0x1.5ee5bb33e5052p-11, -0x1.535e83bc82afbp-11, -0x1.482c1b46593fbp-11, -0x1.3d4c5cd024b86p-11, -0x1.32bd2f3e182fcp-11, -0x1.287c852539afap-11, -0x1.1e885c9704cb3p-11, -0x1.14debeee4f70dp-11, -0x1.0b7dc09b27b88p-11, -0x1.026380f1fd38ep-11, -0x1.f31c53f065f5fp-12, -0x1.e1f7e067471d1p-12, -0x1.d15624f3d6f18p-12, -0x1.c133b37f99b7ap-12, -0x1.b18d31d3fe045p-12, -0x1.a25f593c4eb13p-12, -0x1.93a6f628b8e3ap-12, -0x1.8560e7d2ef0dep-12, -0x1.778a1fe3816f6p-12, -0x1.6a1fa218f1bc6p-12, -0x1.5d1e83eff5dd5p-12, -0x1.5083ec4b0a237p-12, -0x1.444d131ec7f78p-12, -0x1.3877411c06e11p-12, -0x1.2cffcf5d38ddfp-12, -0x1.21e4271365723p-12, -0x1.1721c13638666p-12, -0x1.0cb62633488fcp-12, -0x1.029eed9fca4abp-12, -0x1.f1b37bd60739bp-13, -0x1.dec89823b9ef4p-13, -0x1.cc78b6a6df10cp-13, -0x1.babf79cdd1d01p-13, -0x1.a9989f6596bd6p-13, -0x1.9900000920aa2p-13, -0x1.88f18e95c8cf7p-13, -0x1.7969579d3f564p-13, -0x1.6a6380df0c6bfp-13, -0x1.5bdc48beec185p-13, -0x1.4dd005c2ab505p-13, -0x1.403b260d9a3cdp-13, -0x1.331a2ee1699dcp-13, -0x1.2669bc1e42042p-13, -0x1.1a267fc81584ep-13, -0x1.0e4d418b52e48p-13, -0x1.02dade4558074p-13, -0x1.ef988f1b71e58p-14, -0x1.da3d06868a5bep-14, -0x1.c59d5630d2647p-14, -0x1.b1b3d8488da78p-14, -0x1.9e7b0ce74c9a4p-14, -0x1.8bed993bc1502p-14, -0x1.7a0646b2d66d2p-14, -0x1.68c00229388a9p-14, -0x1.5815db1b1df8bp-14, -0x1.480302df2cc61p-14, -0x1.3882cbdc4492ep-14, -0x1.2990a8caff113p-14, -0x1.1b282bf64db7ep-14, -0x1.0d45067f1035cp-14, -0x1.ffc60f4c1fb78p-15, -0x1.e5fc38312ced9p-15, -0x1.cd249a7cf870fp-15, -0x1.b537811af6e32p-15, -0x1.9e2d6dc0137aep-15, -0x1.87ff179ae3aa2p-15, -0x1.72a56a0e03544p-15, -0x1.5e19837201eb8p-15, -0x1.4a54b3d7bd165p-15, -0x1.37507bd5f8f33p-15, -0x1.25068b5d6a1eap-15, -0x1.1370c08e039f3p-15, -0x1.02892696754ddp-15, -0x1.e493e9339e852p-16, -0x1.c55b192c135acp-16, -0x1.a75cf4af14487p-16, -0x1.8a8ee4d66a3ffp-16, -0x1.6ee6a23214d81p-16, -0x1.545a32cdba68cp-16, -0x1.3adfe838279d3p-16, -0x1.226e5d95e4a7p-16, -0x1.0afc75c7815b6p-16, -0x1.e902b31c85f5ep-17, -0x1.bde8eb8400befp-17, -0x1.949af31a92bd1p-17, -0x1.6d08a96df5329p-17, -0x1.47226be601dbep-17, -0x1.22d91277e5736p-17, -0x1.001dec72af521p-17, -0x1.bdc57a973046fp-18, -0x1.7e33732ce292ap-18, -0x1.416b07f85bffbp-18, -0x1.075254926fa74p-18, -0x1.9fa08a507e1ffp-19, -0x1.359921885d513p-19, -0x1.a0becf55df9e7p-20, -0x1.bf17566a877e5p-21, -0x1.3a059d7212a4ep-23, 0x1.10eec7a96c474p-21, 0x1.2fef254c36d8fp-20, 0x1.cf766bccea5a7p-20, 0x1.33ad3b5cf4449p-19, 0x1.7bf2fe2dd2253p-19, 0x1.c0b09e11ca425p-19, 0x1.0104841de530ep-18, 0x1.200f00029f0cep-18, 0x1.3d8813b1263bbp-18, 0x1.597f83a9e0cb6p-18, 0x1.74048bea75b53p-18, 0x1.8d25e3e74d496p-18, 0x1.a4f1c265bcba7p-18, 0x1.bb75e130cf424p-18, 0x1.d0bf80cea72ccp-18, 0x1.e4db6c12862dcp-18, 0x1.f7d5fb9138ae7p-18, 0x1.04dd8c84b0dd2p-17, 0x1.0d4b215ba2d59p-17, 0x1.15394742cc09cp-17, 0x1.1cad569dea39fp-17, 0x1.23ac76c07313fp-17, 0x1.2a3b9f7730d1cp-17, 0x1.305f9a716d575p-17, 0x1.361d04b6e69a2p-17, 0x1.3b784fff5a824p-17, 0x1.4075c40e80d6p-17, 0x1.451980025649p-17, 0x1.49677b9b8ce3p-17, 0x1.4d63887c3c0acp-17, 0x1.5111535b406c5p-17, 0x1.54746531199dap-17, 0x1.57902461404d4p-17, 0x1.5a67d5d12ed3cp-17, 0x1.5cfe9dfe7bd54p-17, 0x1.5f57821496ecbp-17, 0x1.617568ec1aacep-17, 0x1.635b1c0c1596ep-17, 0x1.650b48a1cf854p-17, 0x1.668880750eb15p-17, 0x1.67d53acfc64e8p-17, 0x1.68f3d560e68c4p-17, 0x1.69e695205b3d2p-17, 0x1.6aafa72375619p-17, 0x1.6b51216bd4b19p-17, 0x1.6bcd03b77895cp-17, 0x1.6c25384291927p-17, 0x1.6c5b94895e3a5p-17, 0x1.6c71d9fef9b4cp-17, 0x1.6c69b6c892bp-17, 0x1.6c44c6694b308p-17, 0x1.6c04926b67807p-17, 0x1.6baa930ba7f8p-17, 0x1.6b382fd1fc3bdp-17, 0x1.6aaec031bd4dap-17, 0x1.6a0f8c20d309p-17, 0x1.695bcca8d5086p-17, 0x1.6894ac77b10b1p-17, 0x1.67bb4865278d2p-17, 0x1.66d0affc238f6p-17, 0x1.65d5e5f97a20bp-17, 0x1.64cbe0c8f6ac3p-17, 0x1.63b38b018c39dp-17, 0x1.628dc3d9e30a3p-17, 0x1.615b5f983e5cfp-17, 0x1.601d28048d0f9p-17, 0x1.5ed3dcd2185bfp-17, 0x1.5d803403eac9dp-17, 0x1.5c22da5210bdap-17, 0x1.5abc738dc171dp-17, 0x1.594d9af95c2b6p-17, 0x1.57d6e3a84e3f1p-17, 0x1.5658d8d3409d2p-17, 0x1.54d3fe2dffcb4p-17, 0x1.5348d039b9ae8p-17, 0x1.51b7c4923fe97p-17, 0x1.50214a39e07ffp-17, 0x1.4e85c9e78be92p-17, 0x1.4ce5a64a3ad18p-17, 0x1.4b413c4f23937p-17, 0x1.4998e36295b9ap-17, 0x1.47ecedb35cdfbp-17, 0x1.463da86acb37fp-17, 0x1.448b5bed2d6f8p-17, 0x1.42d64c1123145p-17, 0x1.411eb8583cf72p-17, 0x1.3f64dc237e5cep-17, 0x1.3da8eee4df593p-17, 0x1.3beb2456ffdap-17, 0x1.3a2baca5e76eap-17, 0x1.386ab49fef4ep-17, 0x1.36a865e2153fbp-17, 0x1.34e4e700dbaadp-17, 0x1.33205bb3914ebp-17, 0x1.315ae4f95de9bp-17, 0x1.2f94a140fbb65p-17, 0x1.2dcdac89e693cp-17, 0x1.2c06208afcc63p-17, 0x1.2a3e14d00e98dp-17, 0x1.28759edca20e7p-17, 0x1.26acd2495c2d7p-17, 0x1.24e3c0e465638p-17, 0x1.231a7ac8f82a2p-17, 0x1.21510e7dabdd9p-17, 0x1.1f87890e77256p-17, 0x1.1dbdf6222c1cep-17, 0x1.1bf46015fa146p-17, 0x1.1a2ad011d01f6p-17, 0x1.18614e2001a15p-17, 0x1.1697e13fc5354p-17, 0x1.14ce8f7aaeac3p-17, 0x1.13055df7269b2p-17, 0x1.113c5109ee5b4p-17, 0x1.0f736c46ed4ccp-17, 0x1.0daab2930d786p-17, 0x1.0be226331eafdp-17, 0x1.0a19c8d944da5p-17, 0x1.08519bb50182bp-17, 0x1.06899f7ef2cdap-17, 0x1.04c1d486e8a97p-17, 0x1.02fa3abea285bp-17, 0x1.0132d1c53e4ep-17, 0x1.fed731e4f5259p-18, 0x1.fb491ec1064ccp-18, 0x1.f7bb67ebda918p-18, 0x1.f42e0adf055d3p-18, 0x1.f0a104cde8f3ep-18, 0x1.ed1452b80e039p-18, 0x1.e987f17968927p-18, 0x1.e5fbddd389655p-18, 0x1.e270147f90adap-18, 0x1.dee4923900824p-18, 0x1.db5953c9922c6p-18, 0x1.d7ce5612ad987p-18, 0x1.d4439619b4861p-18, 0x1.d0b9110f3e69ap-18, 0x1.cd2ec45940d6p-18, 0x1.c9a4ad983187ap-18, 0x1.c61acab0ee3e5p-18, 0x1.c29119d45b318p-18, 0x1.bf07998328ecdp-18, 0x1.bb7e4892bafa6p-18, 0x1.b7f526343a42fp-18, 0x1.b46c31f8b8034p-18, 0x1.b0e36bd4e25d3p-18, 0x1.ad5ad4214eb46p-18, 0x1.a9d26ba3dbcb4p-18, 0x1.a64a338c6417bp-18, 0x1.a2c22d7afb22fp-18, 0x1.9f3a5b80154fbp-18, 0x1.9bb2c01e689f1p-18, 0x1.982b5e4b80438p-18, 0x1.94a43971832acp-18, 0x1.911d55700e786p-18, 0x1.8d96b69b75461p-18, 0x1.8a1061bbe799bp-18, 0x1.868a5c0efa1a3p-18, 0x1.8304ab470ab41p-18, 0x1.7f7f5587ec039p-18, 0x1.7bfa6169d5096p-18, 0x1.7875d5f527b99p-18, 0x1.74f1baa2fc7cap-18, 0x1.716e17585d3dep-18, 0x1.6deaf468f9bfbp-18, 0x1.6a685a9279b8ep-18, 0x1.66e652fbba467p-18, 0x1.6364e731d6b8cp-18, 0x1.5fe42125eb492p-18, 0x1.5c640b2aa8d46p-18, 0x1.58e4aff3e2b72p-18, 0x1.55661a90a7092p-18, 0x1.51e8566a108c7p-18, 0x1.4e6b6f40f29e2p-18, 0x1.4aef712aa5c59p-18, 0x1.4774688e94846p-18, 0x1.43fa6222cf1dep-18, 0x1.40816ae8582d1p-18, 0x1.3d099029d3fddp-18, 0x1.3992df76814fdp-18, 0x1.361d66a196338p-18, 0x1.32a933bdb95a6p-18, 0x1.2f36551911921p-18, 0x1.2bc4d93b1a592p-18, 0x1.2854cee1d70acp-18, 0x1.24e644fd47928p-18, 0x1.21794aae6e871p-18, 0x1.1e0def42344f8p-18, 0x1.1aa4422eb76b8p-18, 0x1.173c531061a58p-18, 0x1.13d631a676166p-18, 0x1.1071edd143b09p-18, 0x1.0d0f978d730a9p-18, 0x1.09af3ef240686p-18, 0x1.0650f42c9f279p-18, 0x1.02f4c77dcb1dep-18, 0x1.ff359270b0a35p-19, 0x1.f886137b9e1f6p-19, 0x1.f1db32f32881dp-19, 0x1.eb3511be48a2bp-19, 0x1.e493d0d0f8696p-19, 0x1.ddf7912354b2ep-19, 0x1.d76073adb5288p-19, 0x1.d0ce996424696p-19, 0x1.ca42232fe905bp-19, 0x1.c3bb31e975a95p-19, 0x1.bd39e65458058p-19, 0x1.b6be611c8b676p-19, 0x1.b048c2cf14329p-19, 0x1.a9d92bd533714p-19, 0x1.a36fbc6fb7ca3p-19, 0x1.9d0c94b41ba25p-19, 0x1.96afd486ac0aep-19, 0x1.90599b978bcafp-19, 0x1.8a0a095d3d74ap-19, 0x1.83c13d1114961p-19, 0x1.7d7f55ab60033p-19, 0x1.774471de23c36p-19, 0x1.7110b014a096ap-19, 0x1.6ae42e6d82624p-19, 0x1.64bf0ab752897p-19, 0x1.5ea1626d1d936p-19, 0x1.588b52b41f1cp-19, 0x1.527cf856aa734p-19, 0x1.4c766fc38a5b7p-19, 0x1.4677d50b54336p-19, 0x1.408143dae965fp-19, 0x1.3a92d778fb009p-19, 0x1.34acaac5ebb95p-19, 0x1.2eced837d8c9p-19, 0x1.28f979d872d2cp-19, 0x1.232ca9438aa62p-19, 0x1.1d687fa230a24p-19, 0x1.17ad15ac7d43fp-19, 0x1.11fa83a2e236bp-19, 0x1.0c50e150fca27p-19, 0x1.06b0460a86568p-19, 0x1.0118c8a87db76p-19, 0x1.f714ff0ff2d18p-20, 0x1.ec0b011095fcep-20, 0x1.e113c2153fbd2p-20, 0x1.d62f6be112cecp-20, 0x1.cb5e27351b751p-20, 0x1.c0a01bcd7dbffp-20, 0x1.b5f5706272091p-20, 0x1.ab5e4aa2a990cp-20, 0x1.a0dacf325575fp-20, 0x1.966b21ace16f3p-20, 0x1.8c0f64a104235p-20, 0x1.81c7b9908ebdp-20, 0x1.779440ee3c994p-20, 0x1.6d751a1bf3f1bp-20, 0x1.636a636da0d09p-20, 0x1.59743a264435p-20, 0x1.4f92ba79597bp-20, 0x1.45c5ff8952f99p-20, 0x1.3c0e2366d72afp-20, 0x1.326b3f10a18b4p-20, 0x1.28dd6a73355a2p-20, 0x1.1f64bc6d9f165p-20, 0x1.16014acf826e4p-20, 0x1.0cb32a561006fp-20, 0x1.037a6eb33b8acp-20, 0x1.f4ae550eee0ep-21, 0x1.e292dec9dd34p-21, 0x1.d0a29bad9d87fp-21, 0x1.beddaab4885ebp-21, 0x1.ad4428c764db4p-21, 0x1.9bd630bef2ec7p-21, 0x1.8a93db6289d04p-21, 0x1.797d3f72444c6p-21, 0x1.689271a3cf42p-21, 0x1.57d384ab13e69p-21, 0x1.4740893938bcep-21, }}, 
      {{-0x1.08d464aca211ep-2, -0x1.095e54c3ae266p-2, -0x1.0a33bd1cae7bdp-2, -0x1.0b4448c05c2f9p-2, -0x1.0c811074aa7f5p-2, -0x1.0dde04a62b9bp-2, -0x1.0f52342aa963fp-2, -0x1.10d7827bfb192p-2, -0x1.126a255e56769p-2, -0x1.1408189369775p-2, -0x1.15b09cf6871abp-2, -0x1.1763caa40fc5p-2, -0x1.192237419b461p-2, -0x1.1aecaee364d41p-2, -0x1.1cc3fd590eafbp-2, -0x1.1ea8c5b8e6101p-2, -0x1.209b663d711d1p-2, -0x1.229be6bca48bap-2, -0x1.24a9f01e934ddp-2, -0x1.26c4cb48b88ecp-2, -0x1.28eb65fdad1abp-2, -0x1.2b1c5c3f7d1fep-2, -0x1.2d5604d9ea312p-2, -0x1.2f967fda5c6c5p-2, -0x1.31dbc5e40ea1p-2, -0x1.3423b77cf7d9cp-2, -0x1.366c2b9ff702p-2, -0x1.38b2fd0fb5bc3p-2, -0x1.3af6161130babp-2, -0x1.3d337a5af7295p-2, -0x1.3f694f2645dbcp-2, -0x1.4195e1689324bp-2, -0x1.43b7aa4f304d2p-2, -0x1.45cd5223fc469p-2, -0x1.47d5b1ca4229p-2, -0x1.49cfd306e5d5p-2, -0x1.4bbaefc78c7dap-2, -0x1.4d96709aab9fcp-2, -0x1.4f61ea86aefddp-2, -0x1.511d1c69b277fp-2, -0x1.52c7ec060745p-2, -0x1.546262da2b8c5p-2, -0x1.55ecaadd90c4bp-2, -0x1.57670b369716fp-2, -0x1.58d1e4f991afp-2, -0x1.5a2daffcd718dp-2, -0x1.5b7af7ca79862p-2, -0x1.5cba58b5921ccp-2, -0x1.5dec7d16ceaf6p-2, -0x1.5f121ab246a69p-2, -0x1.602bf0474e0e2p-2, -0x1.613ac34a10afbp-2, -0x1.623f5dc62e6efp-2, -0x1.633a8c691a0bdp-2, -0x1.642d1cb2dca63p-2, -0x1.6517db4bbd9ecp-2, -0x1.65fb927d53484p-2, -0x1.66d908cda016p-2, -0x1.67b0ffbae61bdp-2, -0x1.68843297040cfp-2, -0x1.6953558146a5cp-2, -0x1.6a1f147da9415p-2, -0x1.6ae812a89ba1ap-2, -0x1.6baee98664b33p-2, -0x1.6c74286d47b57p-2, -0x1.6d38540984735p-2, -0x1.6dfbe5fa531efp-2, -0x1.6ebf4c86e9eccp-2, -0x1.6f82ea6a89622p-2, -0x1.704716b68d9e1p-2, -0x1.710c1cc95ed19p-2, -0x1.71d23c5917283p-2, -0x1.7299a990a64f4p-2, -0x1.73628d3e21b68p-2, -0x1.742d0510f1889p-2, -0x1.74f923e67a12p-2, -0x1.75c6f223da458p-2, -0x1.76966e1b5799cp-2, -0x1.77678c7c0f0e9p-2, -0x1.783a38ca80822p-2, -0x1.790e55e096b18p-2, -0x1.79e3be73d1539p-2, -0x1.7aba45a03f885p-2, -0x1.7b91b7770d855p-2, -0x1.7c69d98f712edp-2, -0x1.7d426b98d279bp-2, -0x1.7e1b27ed226b3p-2, -0x1.7ef3c4226363dp-2, -0x1.7fcbf19a799bdp-2, -0x1.80a35e1074ac4p-2, -0x1.8179b4228d1b6p-2, -0x1.824e9bd833a3bp-2, -0x1.8321bb239764ep-2, -0x1.83f2b65e27699p-2, -0x1.84c130bf9e7a8p-2, -0x1.858ccccf43eb7p-2, -0x1.86552ccf162e8p-2, -0x1.8719f320ad7a2p-2, -0x1.87dac2a3a9a5dp-2, -0x1.88973f0d9a877p-2, -0x1.894f0d3b58b34p-2, -0x1.8a01d37bce2e6p-2, -0x1.8aaf39d4426dp-2, -0x1.8b56ea3e431f6p-2, -0x1.8bf890df4a59p-2, -0x1.8c93dc3a4e0c6p-2, -0x1.8d287d5b6d329p-2, -0x1.8db627fdef646p-2, -0x1.8e3c92acd63b3p-2, -0x1.8ebb76de41ffep-2, -0x1.8f329109ec833p-2, -0x1.8fa1a0bb000c2p-2, -0x1.9008689d99f79p-2, -0x1.9066ae8833f86p-2, -0x1.90bc3b8150c3dp-2, -0x1.9108dbc1a3254p-2, -0x1.914c5eb303e8ep-2, -0x1.918696ec7c1cp-2, -0x1.91b75a2b9fe2bp-2, -0x1.91de814b8f365p-2, -0x1.91fbe839cb2a6p-2, -0x1.920f6de9299b9p-2, -0x1.9218f44323fa5p-2, -0x1.92186017b0b02p-2, -0x1.920d990be6e5bp-2, -0x1.91f889879d0acp-2, -0x1.91d91ea22d391p-2, -0x1.91af480e91257p-2, -0x1.917af806fef65p-2, -0x1.913c233826aa9p-2, -0x1.90f2c0ac3c7b3p-2, -0x1.909ec9b5e718p-2, -0x1.904039db37204p-2, -0x1.8fd70ec0b7adp-2, -0x1.8f634814b9ca7p-2, -0x1.8ee4e77ae8f3ap-2, -0x1.8e5bf07839b66p-2, -0x1.8dc8685f46bbfp-2, -0x1.8d2a563d2571ap-2, -0x1.8c81c2c6c0d62p-2, -0x1.8bceb846becf8p-2, -0x1.8b11428bfb0b3p-2, -0x1.8a496ed89d1cep-2, -0x1.89774bd1c88dp-2, -0x1.889ae96ff1d3ep-2, -0x1.87b458efcf05cp-2, -0x1.86c3acc3ee4dap-2, -0x1.85c8f886e8f99p-2, -0x1.84c450ee338a1p-2, -0x1.83b5cbbd8a536p-2, -0x1.829d7fbaf336ap-2, -0x1.817b84a3507ep-2, -0x1.804ff31f82a84p-2, -0x1.7f1ae4ba0f06cp-2, -0x1.7ddc73d54abcep-2, -0x1.7c94bba200039p-2, -0x1.7b43d81687889p-2, -0x1.79e9e5e651836p-2, -0x1.78870279d6961p-2, -0x1.771b4be6e9df8p-2, -0x1.75a6e0e9676a4p-2, -0x1.7429e0dc32a68p-2, -0x1.72a46bb287932p-2, -0x1.7116a1f190829p-2, -0x1.6f80a4aa3dd84p-2, -0x1.6de2957358b54p-2, -0x1.6c3c9663cd0f1p-2, -0x1.6a8eca0d22652p-2, -0x1.68d953762071p-2, -0x1.671c561598c89p-2, -0x1.6557f5cd5501p-2, -0x1.638c56e51de3p-2, -0x1.61b99e05e1692p-2, -0x1.5fdff034e6d01p-2, -0x1.5dff72cf1d0b2p-2, -0x1.5c184b847122ep-2, -0x1.5a2aa05334d9dp-2, -0x1.583697838e1c8p-2, -0x1.563c57a2ec9abp-2, -0x1.543c077f84a68p-2, -0x1.5235ce23ceeb2p-2, -0x1.5029d2d20b36ep-2, -0x1.4e183cffbedfep-2, -0x1.4c01345139507p-2, -0x1.49e4e095150f8p-2, -0x1.47c369bfb4d2ep-2, -0x1.459cf7e6c3a65p-2, -0x1.4371b33cad27dp-2, -0x1.4141c40c1a296p-2, -0x1.3f0d52b36649dp-2, -0x1.3cd487a0151dp-2, -0x1.3a978b4a47c43p-2, -0x1.385686302f024p-2, -0x1.3611a0d180d42p-2, -0x1.33c903aaea84ep-2, -0x1.317cd73188089p-2, -0x1.2f2d43ce5bc82p-2, -0x1.2cda71d9c9f15p-2, -0x1.2a848997174c1p-2, -0x1.282bb32ff1bc6p-2, -0x1.25d016aff934fp-2, -0x1.2371dc0054fa5p-2, -0x1.21112ae350d0ap-2, -0x1.1eae2af00214p-2, -0x1.1c49038dfc357p-2, -0x1.19e1dbf10d22bp-2, -0x1.1778db150a642p-2, -0x1.150e27b9aafc1p-2, -0x1.12a1e85e734ep-2, -0x1.1034433eaffa2p-2, -0x1.0dc55e4d84128p-2, -0x1.0b555f320877dp-2, -0x1.08e46b4382142p-2, -0x1.0672a785ab702p-2, -0x1.040038a513d4dp-2, -0x1.018d42f3962d8p-2, -0x1.fe33d4c9d0345p-3, -0x1.f94ca5167ededp-3, -0x1.f4653d2826d8ap-3, -0x1.ef7de289eb5f6p-3, -0x1.ea96d9f10ce3ep-3, -0x1.e5b0673706453p-3, -0x1.e0cacd53e6bc4p-3, -0x1.dbe64e58d985ep-3, -0x1.d7032b6af308fp-3, -0x1.d221a4be29f88p-3, -0x1.cd41f99097b4bp-3, -0x1.c8646825e90d5p-3, -0x1.c3892dc30f39ap-3, -0x1.beb086aa2bc01p-3, -0x1.b9daae16b58a5p-3, -0x1.b507de39de2f4p-3, -0x1.b03850372dc68p-3, -0x1.ab6c3c215ef2p-3, -0x1.a6a3d8f7708f3p-3, -0x1.a1df5ca1f6bdbp-3, -0x1.9d1efbf0ab3aap-3, -0x1.9862ea9829b71p-3, -0x1.93ab5b2ff9963p-3, -0x1.8ef87f30bc9cfp-3, -0x1.8a4a86f2a947bp-3, -0x1.85a1a1ac2d956p-3, -0x1.80fdfd70d58e2p-3, -0x1.7c5fc7305ea5cp-3, -0x1.77c72ab6052c4p-3, -0x1.733452a80928cp-3, -0x1.6ea7688760f16p-3, -0x1.6a2094afa08a5p-3, -0x1.659ffe5716adp-3, -0x1.6125cb8f14e89p-3, -0x1.5cb221446c897p-3, -0x1.584523401235p-3, -0x1.53def427f80e1p-3, -0x1.4f7fb5800dac6p-3, -0x1.4b2787ab6c0ecp-3, -0x1.46d689edaae52p-3, -0x1.428cda6c60132p-3, -0x1.3e4a9630c504ep-3, -0x1.3a0fd9298015p-3, -0x1.35dcbe2c94a5dp-3, -0x1.31b15ef975893p-3, -0x1.2d8dd43b3a97p-3, -0x1.2972358af269ap-3, -0x1.255e99721aceap-3, -0x1.2153156d2d71fp-3, -0x1.1d4fbdee54fffp-3, -0x1.1954a660305ap-3, -0x1.1561e128bc7f5p-3, -0x1.11777fac50ee1p-3, -0x1.0d959250af5efp-3, -0x1.09bc288035ce7p-3, -0x1.05eb50ad19522p-3, -0x1.02231854bc325p-3, -0x1.fcc718062974cp-4, -0x1.f5596eac497e3p-4, -0x1.edfd4a0303b8p-4, -0x1.e6b2bda3de8f8p-4, -0x1.df79db62046dfp-4, -0x1.d852b351a51f6p-4, -0x1.d13d53cf7c2a6p-4, -0x1.ca39c9885e32p-4, -0x1.c3481f80def83p-4, -0x1.bc685f1d0aba9p-4, -0x1.b59a90282f64p-4, -0x1.aedeb8dcb04dp-4, -0x1.a834ddebe64bep-4, -0x1.a19d02860dd84p-4, -0x1.9b172862336c2p-4, -0x1.94a34fc633c61p-4, -0x1.8e41778eb65cdp-4, -0x1.87f19d372f0a3p-4, -0x1.81b3bce1df00cp-4, -0x1.7b87d15fd8c01p-4, -0x1.756dd438fe0d6p-4, -0x1.6f65bdb400bc5p-4, -0x1.696f84de57556p-4, -0x1.638b1f94326f1p-4, -0x1.5db8828869f09p-4, -0x1.57f7a14c5cc83p-4, -0x1.52486e57cdd0fp-4, -0x1.4caadb10b24bbp-4, -0x1.471ed7d2f4077p-4, -0x1.41a453f82a36fp-4, -0x1.3c3b3ddf3ebf2p-4, -0x1.36e382f40a8cap-4, -0x1.319d0fb6de08bp-4, -0x1.2c67cfc3f95e2p-4, -0x1.2743addaf67ecp-4, -0x1.223093e61bc34p-4, -0x1.1d2e6b01a01d5p-4, -0x1.183d1b82d83f1p-4, -0x1.135c8cff50949p-4, -0x1.0e8ca653d3e42p-4, -0x1.09cd4dab575dfp-4, -0x1.051e6885d7033p-4, -0x1.007fdbbf1533ep-4, -0x1.f7e3172a8cb5fp-5, -0x1.eee6b75f4a6a3p-5, -0x1.e60a5e49d74b6p-5, -0x1.dd4dd1037117dp-5, -0x1.d4b0d39dadf76p-5, -0x1.cc33292ede3dcp-5, -0x1.c3d493de3fbbcp-5, -0x1.bb94d4eff2157p-5, -0x1.b373acd0c4be6p-5, -0x1.ab70db21c384bp-5, -0x1.a38c1ec39affep-5, -0x1.9bc535e1be046p-5, -0x1.941bddfd5ae3fp-5, -0x1.8c8fd3f81cf4bp-5, -0x1.8520d41eb1eeap-5, -0x1.7dce9a3320d6cp-5, -0x1.7698e176ea61ep-5, -0x1.6f7f64b4eb105p-5, -0x1.6881de4b1587p-5, -0x1.61a00833eefd2p-5, -0x1.5ad99c0fd1405p-5, -0x1.542e532e06ba6p-5, -0x1.4d9de695a1da1p-5, -0x1.47280f0e28275p-5, -0x1.40cc852807824p-5, -0x1.3a8b0144d4d91p-5, -0x1.34633b9f58e7ap-5, -0x1.2e54ec5365b9fp-5, -0x1.285fcb657d62ep-5, -0x1.228390ca4716bp-5, -0x1.1cbff46dc4f1p-5, -0x1.1714ae3a6ac3bp-5, -0x1.1181761ff4298p-5, -0x1.0c06041a0c261p-5, -0x1.06a21036cec74p-5, -0x1.0155529d08fa3p-5, -0x1.f83f0724ae9bep-6, -0x1.ee00b70215505p-6, -0x1.e3ef25fbd666p-6, -0x1.da09c59b7ef51p-6, -0x1.d05007d55c7d8p-6, -0x1.c6c15f12debbp-6, -0x1.bd5d3e3caee16p-6, -0x1.b42318c45c978p-6, -0x1.ab1262adbef29p-6, -0x1.a22a9098031c7p-6, -0x1.996b17c660e7ep-6, -0x1.90d36e2881fc6p-6, -0x1.88630a6295458p-6, -0x1.801963d513919p-6, -0x1.77f5f2a43a4d9p-6, -0x1.6ff82fbf2d96bp-6, -0x1.681f94e6dc5f6p-6, -0x1.606b9cb493a7cp-6, -0x1.58dbc2a0493b2p-6, -0x1.516f83069c8a7p-6, -0x1.4a265b2e96159p-6, -0x1.42ffc94f2562ap-6, -0x1.3bfb4c944a84cp-6, -0x1.35186524161dcp-6, -0x1.2e56942350b5ep-6, -0x1.27b55bb9f3a25p-6, -0x1.21343f1762964p-6, -0x1.1ad2c2765934dp-6, -0x1.14906b20b356fp-6, -0x1.0e6cbf72e248dp-6, -0x1.086746df47fd8p-6, -0x1.027f89f13e859p-6, -0x1.f96a249fec02dp-7, -0x1.ee0ed58245732p-7, -0x1.e2ec3e56d38b6p-7, -0x1.d80179315941ap-7, -0x1.cd4da2701f8edp-7, -0x1.c2cfd8bfd1693p-7, -0x1.b8873d1ec6c86p-7, -0x1.ae72f2e02c7b2p-7, -0x1.a4921faea0a7bp-7, -0x1.9ae3eb8ea94d3p-7, -0x1.916780e0a2407p-7, -0x1.881c0c6291d3fp-7, -0x1.7f00bd31830ebp-7, -0x1.7614c4caad38bp-7, -0x1.6d57570c485e8p-7, -0x1.64c7aa361033dp-7, -0x1.5c64f6e9a3c73p-7, -0x1.542e782a67f4p-7, -0x1.4c236b5d5ffa7p-7, -0x1.44431048b49a7p-7, -0x1.3c8ca912e7de6p-7, -0x1.34ff7a41e8aa6p-7, -0x1.2d9acab9e6d3p-7, -0x1.265de3bbe7baep-7, -0x1.1f4810e43484ap-7, -0x1.1858a02878542p-7, -0x1.118ee1d5d4b6p-7, -0x1.0aea288ea712ep-7, -0x1.0469c9482aab5p-7, -0x1.fc1a368fdbed8p-8, -0x1.efa6f04242e51p-8, -0x1.e378776378b84p-8, -0x1.d78d883ed510dp-8, -0x1.cbe4e3a8e73abp-8, -0x1.c07d4ef8bf748p-8, -0x1.b5559401111fcp-8, -0x1.aa6c81092367p-8, -0x1.9fc0e8c556ee5p-8, -0x1.9551a24f9e48ep-8, -0x1.8b1d891f93a2p-8, -0x1.81237d0277e27p-8, -0x1.77626212ef671p-8, -0x1.6dd920b09c196p-8, -0x1.6486a5776a1f9p-8, -0x1.5b69e136d6a36p-8, -0x1.5281c8e8f5945p-8, -0x1.49cd55a95e13dp-8, -0x1.414b84abe3a77p-8, -0x1.38fb573338e66p-8, -0x1.30dbd2877841bp-8, -0x1.28ebffec7047fp-8, -0x1.212aec980745cp-8, -0x1.1997a9a84a2d4p-8, -0x1.12314c19a4ddap-8, -0x1.0af6ecbcbcafap-8, -0x1.03e7a82c7f5cfp-8, -0x1.fa053d87c23d3p-9, -0x1.ec8de92783d82p-9, -0x1.df67a2b130ebap-9, -0x1.d290c0e05155p-9, -0x1.c607a19e5070bp-9, -0x1.b9caa9edb92b1p-9, -0x1.add845d553a9dp-9, -0x1.a22ee84b546a3p-9, -0x1.96cd0b206366p-9, -0x1.8bb12eea94063p-9, -0x1.80d9daf0ab552p-9, -0x1.76459d14c49fep-9, -0x1.6bf309bfbfa0cp-9, -0x1.61e0bbcc01d69p-9, -0x1.580d54709dc07p-9, -0x1.4e777b2c7869bp-9, -0x1.451dddb1493dbp-9, -0x1.3bff2fcef08d8p-9, -0x1.331a2b5e9ecc1p-9, -0x1.2a6d902e08bcbp-9, -0x1.21f823eb00666p-9, -0x1.19b8b20eb875ap-9, -0x1.11ae0bc9593f1p-9, -0x1.09d707ed99b27p-9, -0x1.023282dc90096p-9, -0x1.f57ebce2c39f6p-10, -0x1.e6f903da9659bp-10, -0x1.d8d1b3c74a1b9p-10, -0x1.cb06b04bf623ap-10, -0x1.bd95e760ef31fp-10, -0x1.b07d512c6e1bp-10, -0x1.a3baefdb960e4p-10, -0x1.974ccf7c05587p-10, -0x1.8b3105d57dcbbp-10, -0x1.7f65b243625ep-10, -0x1.73e8fd8fe4004p-10, -0x1.68b919cd68b8ep-10, -0x1.5dd44232585afp-10, -0x1.5338baf3d0e54p-10, -0x1.48e4d1212108dp-10, -0x1.3ed6da7fd08d2p-10, -0x1.350d3567a432fp-10, -0x1.2b86489f43b8dp-10, -0x1.22408338c83a6p-10, -0x1.193a5c6f23dc1p-10, -0x1.10725383a47ccp-10, -0x1.07e6ef9bd1999p-10, -0x1.ff2d7f3ee7b54p-11, -0x1.ef00b42f2015fp-11, -0x1.df44ba19e8cdep-11, -0x1.cff6dbcfdc0dfp-11, -0x1.c114729f37c6dp-11, -0x1.b29ae61476e92p-11, -0x1.a487abbad7826p-11, -0x1.96d846de4d6a7p-11, -0x1.898a484d4f8fep-11, -0x1.7c9b4e1c31223p-11, -0x1.700903691a9cdp-11, -0x1.63d120204fd4bp-11, -0x1.57f168c16c5f2p-11, -0x1.4c67ae2583da5p-11, -0x1.4131cd463480cp-11, -0x1.364daf048833p-11, -0x1.2bb947f2030ccp-11, -0x1.21729818bda83p-11, -0x1.1777aac5e07dap-11, -0x1.0dc69653da5bbp-11, -0x1.045d7bf562362p-11, -0x1.f6750f038bfd2p-12, -0x1.e4b7de82a2b89p-12, -0x1.d37fe775bdf4ep-12, -0x1.c2c9bf039de2ep-12, -0x1.b2920e09d25acp-12, -0x1.a2d590bc036bap-12, -0x1.93911644aa4fcp-12, -0x1.84c1806613c9dp-12, -0x1.7663c31ec0f24p-12, -0x1.6874e44de8e52p-12, -0x1.5af1fb58f6307p-12, -0x1.4dd830d3e98cfp-12, -0x1.4124be299fc49p-12, -0x1.34d4ed46810a4p-12, -0x1.28e61843aa5e2p-12, -0x1.1d55a913fe3b8p-12, -0x1.122119324ab31p-12, -0x1.0745f1512fa0ap-12, -0x1.f9839216d46b8p-13, -0x1.e5248d2d81cecp-13, -0x1.d16a3ced38fbbp-13, -0x1.be502661f5a66p-13, -0x1.abd1ea08a9863p-13, -0x1.99eb433e4a471p-13, -0x1.889807afd9e11p-13, -0x1.77d426cd83114p-13, -0x1.679ba940bc70dp-13, -0x1.57eab063d770ep-13, -0x1.48bd75bcb012ep-13, -0x1.3a104a7890ad9p-13, -0x1.2bdf96ecb623cp-13, -0x1.1e27da1599c1dp-13, -0x1.10e5a91bc308dp-13, -0x1.0415aed9010fbp-13, -0x1.ef6956c057046p-14, -0x1.d77ee70e0aeb3p-14, -0x1.c065e0e656badp-14, -0x1.aa183e4ee895p-14, -0x1.94902029c2537p-14, -0x1.7fc7cd58f2565p-14, -0x1.6bb9b1e831645p-14, -0x1.58605e3aa2586p-14, -0x1.45b686388b256p-14, -0x1.33b7008787794p-14, -0x1.225cc5c09b856p-14, -0x1.11a2efae54587p-14, -0x1.0184b88a7fbc4p-14, -0x1.e3faf489a09b2p-15, -0x1.c6115b8de9d4ap-15, -0x1.a943d48472dfbp-15, -0x1.8d89c8f8f907ep-15, -0x1.72dadc455af53p-15, -0x1.592eea3b0d768p-15, -0x1.407e05d4c40dfp-15, -0x1.28c077ef14288p-15, -0x1.11eebe060780bp-15, -0x1.f80311f618d6p-16, -0x1.cde377beaa156p-16, -0x1.a570d589efcfep-16, -0x1.7e9db32e40e69p-16, -0x1.595cf5ee540a4p-16, -0x1.35a1de42badacp-16, -0x1.136005a91a474p-16, -0x1.e516b905c92bp-17, -0x1.a6305002869e4p-17, -0x1.69f6002e39abp-17, -0x1.30519af224c92p-17, -0x1.f25b1ea1f5804p-18, -0x1.88e9cc20805f5p-18, -0x1.24267be877b3bp-18, -0x1.87d3204c5c221p-19, -0x1.a03221c49ca2fp-20, -0x1.069fad430fb2fp-22, 0x1.0c89ccb9a76dcp-20, 0x1.2578269b7f4fap-19, 0x1.bd0a6a3b2a3c5p-19, 0x1.269f2c7221935p-18, 0x1.6b2a57ccb7d37p-18, 0x1.ac46267249926p-18, 0x1.ea111e75f7df6p-18, 0x1.1254715c34f7fp-17, 0x1.2e151c4b780e9p-17, 0x1.485886cea5f8p-17, 0x1.612c3e84b3e69p-17, 0x1.789d6a9d796b6p-17, 0x1.8eb8ce737e36fp-17, 0x1.a38acc2bab963p-17, 0x1.b71f6734c22f4p-17, 0x1.c98246bd11418p-17, 0x1.dabeb8212192fp-17, 0x1.eadfb142bb87p-17, 0x1.f9efd2d33e4b4p-17, 0x1.03fcb54cc46ap-16, 0x1.0a833acf307ebp-16, 0x1.10905127d2796p-16, 0x1.1628a950f3cfap-16, 0x1.1b50cf084abc6p-16, 0x1.200d29d21ecb5p-16, 0x1.2461fdf3cb62bp-16, 0x1.28536d63c627cp-16, 0x1.2be578bab4533p-16, 0x1.2f1c001b21f19p-16, 0x1.31fac413761f7p-16, 0x1.3485667c4fd07p-16, 0x1.36bf6b4f582a7p-16, 0x1.38ac397cf6cf1p-16, 0x1.3a4f1bb6d74c2p-16, 0x1.3bab413a52718p-16, 0x1.3cc3be941fa3ep-16, 0x1.3d9b8e5de9178p-16, 0x1.3e3591fd272f8p-16, 0x1.3e949253da92cp-16, 0x1.3ebb4074da1acp-16, 0x1.3eac3650d395ap-16, 0x1.3e69f75c4de75p-16, 0x1.3df6f137ab7e2p-16, 0x1.3d557c4ce81f2p-16, 0x1.3c87dc6e6c1d7p-16, 0x1.3b90416c3e7b4p-16, 0x1.3a70c7abefd68p-16, 0x1.392b78b676b75p-16, 0x1.37c24bc79a592p-16, 0x1.3637265598a98p-16, 0x1.348bdc995024cp-16, 0x1.32c2320ec9a7fp-16, 0x1.30dbd9f4f59e2p-16, 0x1.2eda77ca5ccbfp-16, 0x1.2cbf9fc37bcebp-16, 0x1.2a8cd744529fdp-16, 0x1.2843954f181cbp-16, 0x1.25e542f5d8133p-16, 0x1.23733bc5e2eb4p-16, 0x1.20eece31cba8dp-16, 0x1.1e593bf7db71cp-16, 0x1.1bb3ba87cbe3bp-16, 0x1.18ff73623bf83p-16, 0x1.163d84787c19dp-16, 0x1.136f008937802p-16, 0x1.1094ef78fa4cdp-16, 0x1.0db04eab6c85fp-16, 0x1.0ac211561d1b5p-16, 0x1.07cb20d5306d5p-16, 0x1.04cc5cfa9f656p-16, 0x1.01c69c5da61d3p-16, 0x1.fd75594b1f777p-17, 0x1.f752a5a7aac55p-17, 0x1.f126971913c22p-17, 0x1.eaf296b7dcacfp-17, 0x1.e4b7fdf59501ap-17, 0x1.de781721276cbp-17, 0x1.d8341de52d3dap-17, 0x1.d1ed3fc81d6e8p-17, 0x1.cba49ca2c71f5p-17, 0x1.c55b47154e29cp-17, 0x1.bf1244fe0d603p-17, 0x1.b8ca8fe4261ddp-17, 0x1.b285156633163p-17, 0x1.ac42b7a12c446p-17, 0x1.a6044d98cba2fp-17, 0x1.9fcaa3978a40fp-17, 0x1.99967b8fed203p-17, 0x1.93688d7a72d3fp-17, 0x1.8d4187af0d2bdp-17, 0x1.87220f3c23a56p-17, 0x1.810ac03dd0f3dp-17, 0x1.7afc2e2e5c444p-17, 0x1.74f6e437fc881p-17, 0x1.6efb658067988p-17, 0x1.690a2d771c507p-17, 0x1.6323b01cc2e98p-17, 0x1.5d485a4913c49p-17, 0x1.577891f2f1affp-17, 0x1.51b4b66ede0a7p-17, 0x1.4bfd20b2782d3p-17, 0x1.46522391ef975p-17, 0x1.40b40bfc9d111p-17, 0x1.3b232139357bbp-17, 0x1.359fa51be54e8p-17, 0x1.3029d4405e778p-17, 0x1.2ac1e63c9934ep-17, 0x1.25680dd6602ccp-17, 0x1.201c7934651bdp-17, 0x1.1adf520fa93f6p-17, 0x1.15b0bde0eafedp-17, 0x1.1090de0f53f43p-17, 0x1.0b7fd01c300aap-17, 0x1.067dadccc0ad3p-17, 0x1.018a8d52b1c25p-17, 0x1.f94d02ec6783cp-18, 0x1.efa33372a513dp-18, 0x1.e617c4ffbe8ffp-18, 0x1.dcaaca62cfe6bp-18, 0x1.d35c50b97f6a7p-18, 0x1.ca2c5fb269649p-18, 0x1.c11af9cf2bf7p-18, 0x1.b8281c9ee1cbfp-18, 0x1.af53c1003858p-18, 0x1.a69ddb56f0d9p-18, 0x1.9e065bc7904b2p-18, 0x1.958d2e6a81ae1p-18, 0x1.8d323b8413b76p-18, 0x1.84f567b2844adp-18, 0x1.7cd69422fd2ccp-18, 0x1.74d59ebdad6adp-18, 0x1.6cf2625510707p-18, 0x1.652cb6cff35cap-18, 0x1.5d84715374dd6p-18, 0x1.55f9646e6a29ap-18, 0x1.4e8b603c6e357p-18, 0x1.473a328db6227p-18, 0x1.4005a70b564d6p-18, 0x1.38ed875854352p-18, 0x1.31f19b35857fep-18, 0x1.2b11a89f60e5ap-18, 0x1.244d73ef80806p-18, 0x1.1da4bff67b912p-18, 0x1.17174e1d2077p-18, 0x1.10a4de7c90469p-18, 0x1.0a4d2ff9c1682p-18, 0x1.0410005e910b4p-18, 0x1.fbda18e68ea1ep-19, 0x1.efc82026dd743p-19, 0x1.e3e98c8c6afep-19, 0x1.d83dd2a6709e5p-19, 0x1.ccc465ac2a685p-19, 0x1.c17cb7a6b0a8bp-19, 0x1.b66639950911fp-19, 0x1.ab805b911544dp-19, 0x1.a0ca8cf09aea7p-19, 0x1.96443c67431bfp-19, 0x1.8becd825583a3p-19, 0x1.81c3cdf6829ep-19, 0x1.77c88b5ce8a4p-19, 0x1.6dfa7dacce1e9p-19, 0x1.645912291f8cfp-19, 0x1.5ae3b6179bbc9p-19, 0x1.5199d6dc953d9p-19, 0x1.487ae20e7fcb8p-19, 0x1.3f86458d34decp-19, 0x1.36bb6f94a8e94p-19, 0x1.2e19ced0e0821p-19, 0x1.25a0d26fd6af1p-19, 0x1.1d4fea3268ff1p-19, 0x1.1526867d145efp-19, 0x1.0d2418683ea41p-19, 0x1.054811cc4cfd6p-19, 0x1.fb23caa3b98cp-20, 0x1.ec020cfb2d085p-20, 0x1.dd29d377e060ap-20, 0x1.ce9a08d9e831fp-20, 0x1.c05199def63ccp-20, 0x1.b24f755497e14p-20, 0x1.a4928c2b63431p-20, 0x1.9719d1893813bp-20, 0x1.89e43ad819e87p-20, 0x1.7cf0bfd7fee1p-20, 0x1.703e5aa7a3618p-20, 0x1.63cc07d6c6408p-20, 0x1.5798c67024cd9p-20, 0x1.4ba3980323d5dp-20, 0x1.3feb80ad63e74p-20, 0x1.346f8725a9b16p-20, 0x1.292eb4c3a1a7dp-20, 0x1.1e2815859f231p-20, 0x1.135ab817a8b35p-20, 0x1.08c5addab1df5p-20, 0x1.fcd015cea4f0ap-21, 0x1.e881cc2698a0ep-21, 0x1.d49eb1e99a46p-21, 0x1.c124ffcb8f8e6p-21, 0x1.ae12f40b1ede3p-21, 0x1.9b66d274bdaf3p-21, 0x1.891ee4666b2efp-21, 0x1.773978d3dc8afp-21, 0x1.65b4e440046c1p-21, 0x1.548f80c220c5ap-21, 0x1.43c7ae025ec0fp-21, 0x1.335bd1340e78p-21, 0x1.234a5519c0ba9p-21, 0x1.1391a9fa544dcp-21, 0x1.043045a0a5ad8p-21, 0x1.ea4946a2b75ddp-22, 0x1.ccda8795c03dfp-22, 0x1.b0115a7518bc5p-22, 0x1.93ead66cefc22p-22, 0x1.78641d668842ap-22, 0x1.5d7a5c00ed7f5p-22, 0x1.432ac974531p-22, 0x1.2972a78a2920ap-22, 0x1.104f42805282p-22, 0x1.ef7be1f1d4e8fp-23, 0x1.bf7827cae404cp-23, 0x1.908e2cdfb96c8p-23, 0x1.62b8dbc4438cbp-23, 0x1.35f33329943f8p-23, 0x1.0a38459cf534dp-23, 0x1.bf0672d239755p-24, 0x1.6b9e90a97462ep-24, 0x1.1a2f7efb3c44cp-24, 0x1.955ffc962832bp-25, 0x1.f45bd3798d07ep-26, 0x1.8adb735509a16p-27, -0x1.88b64534de88ep-28, -0x1.8298b825800dbp-26, -0x1.4dfaea6fc1601p-25, -0x1.d733394965cdcp-25, -0x1.2e82e3d157968p-24, -0x1.6fc1674a847e3p-24, -0x1.af5d212f0ef09p-24, -0x1.ed5de99bf7cc2p-24, -0x1.14e5bb88d4dafp-23, -0x1.3256af76bfac9p-23, -0x1.4f058aedd925p-23, -0x1.6af5f822a2d7ap-23, -0x1.862b915c80a92p-23, -0x1.a0a9e12a27953p-23, -0x1.ba7462a1c1215p-23, -0x1.d38e8193bec59p-23, -0x1.ebfb9ac06202fp-23, -0x1.01df7e0c0e5acp-22, -0x1.0d6df2724ccap-22, -0x1.18aac302073bfp-22, -0x1.2397811389ae5p-22, -0x1.2e35b6ffe2319p-22, -0x1.3886e83d7c448p-22, -0x1.428c91770d335p-22, -0x1.4c4828a7c3fecp-22, -0x1.55bb1d38f71d6p-22, -0x1.5ee6d819d9ebep-22, -0x1.67ccbbd868f1ap-22, -0x1.706e24bc8a27cp-22, -0x1.78cc68debceddp-22, -0x1.80e8d8442bf8p-22, -0x1.88c4bcf7845cfp-22, -0x1.90615b1f9a79p-22, -0x1.97bff11a568f1p-22, -0x1.9ee1b79283b02p-22, -0x1.a5c7e197f5b3p-22, -0x1.ac739cb8954a7p-22, -0x1.b2e611187b60ep-22, -0x1.b92061869779p-22, -0x1.bf23ab979e9bdp-22, -0x1.c4f107b88765ep-22, -0x1.ca89894427976p-22, -0x1.cfee3e9cd6f7cp-22, -0x1.d5203143dcd53p-22, -0x1.da2065e82662p-22, -0x1.deefdc7f1e383p-22, -0x1.e38f905b3a2e6p-22, -0x1.e800783d6f9adp-22, -0x1.ec43866caf94fp-22, -0x1.f059a8c83a6dp-22, -0x1.f443c8dc8d117p-22, -0x1.f802cbf49e711p-22, -0x1.fb97932e359cfp-22, -0x1.ff02fb8c64733p-22, -0x1.0122ef0687101p-21, -0x1.02b087dca6915p-21, -0x1.042ab0db2d389p-21, -0x1.0591d0ac68606p-21, -0x1.06e64c1bf0bfbp-21, -0x1.0828861de2514p-21, -0x1.0958dfd76cb89p-21, -0x1.0a77b8a7c6931p-21, -0x1.0b856e3096aa1p-21, -0x1.0c825c5da1ae5p-21, -0x1.0d6edd6caf851p-21, -0x1.0e4b49f59ac7dp-21, -0x1.0f17f8f22029cp-21, -0x1.0fd53fc60541ap-21, -0x1.10837245773aep-21, -0x1.1122e2bd26c8dp-21, -0x1.11b3e1f875f5dp-21, -0x1.1236bf4971bafp-21, -0x1.12abc88fb5bd6p-21, -0x1.13134a3ff1748p-21, -0x1.136d8f69c87e8p-21, -0x1.13bae1bdfb983p-21, -0x1.13fb8995b5092p-21, -0x1.142fcdf8bcacfp-21, -0x1.1457f4a34011bp-21, -0x1.1474420cb9e6p-21, -0x1.1484f96e33261p-21, -0x1.148a5cc6cf548p-21, -0x1.1484ace29c62ap-21, -0x1.1474296045d3ep-21, -0x1.145910b63d873p-21, -0x1.1433a038f035ep-21, -0x1.1404141f87a0bp-21, -0x1.13caa789bfd39p-21, -0x1.1387948475363p-21, -0x1.133b1410114dep-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      49, 0x1.0147ae147ae14p+3, 0x1.400002394f123p+0, 0x1.b46cebf3b7398p+1, -0x1.adef43ce28b94p-8, 
      {{
        {0x1.68f5c28f5c28fp+2, 0x1.699999999999ap+2, 0x1.427384c7fa3eap-6, -0x1.0cb5977341a4ap-5, 0x1.4fe2ffa5a4aa9p-6, -0x1.77192797f440dp-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3d1c4d3197255p-6, -0x1.095d52934294ap-5, 0x1.4d12cf599fa24p-6, -0x1.6fe8e459d6ab7p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.2365316a59834p-6, -0x1.f21c8f904947dp-6, 0x1.3f46e0630dfbcp-6, -0x1.67f36c73cfbd6p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.0b46d2942deaep-6, -0x1.d2dbd97cff79p-6, 0x1.31c7591eb6318p-6, -0x1.603995cad4f7bp-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e95fd242d4f22p-7, -0x1.b4f0fb93bf40ap-6, 0x1.2491fd1a4e352p-6, -0x1.586fc4d2f8a76p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.bf1f1a1dd6e6ap-7, -0x1.9854836f97943p-6, 0x1.17a765b8cb489p-6, -0x1.50aa3bd9c5c06p-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.97aa6bc8268d9p-7, -0x1.7cfef90e522dfp-6, 0x1.0b0769e0a0aabp-6, -0x1.48e38d34cc70ap-8}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.72e175659513ep-7, -0x1.62e8e5eed6562p-6, 0x1.fd64292a18669p-7, -0x1.411d2d402fb29p-8}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.50a4a42efff5ap-7, -0x1.4a0ad328da53ap-6, 0x1.e54ec5c54806p-7, -0x1.3956b835ec9f5p-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.30d5247250fefp-7, -0x1.325d49efbad95p-6, 0x1.cdceab27a313cp-7, -0x1.319048d1f18b6p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.1354e1927e4ddp-7, -0x1.1bd8d36f6bf2dp-6, 0x1.b6e3d8e4b0f64p-7, -0x1.29c9d7ea6e19p-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.f00d0c0f149f4p-8, -0x1.0675f8d5dddd9p-6, 0x1.a08e4f19824dep-7, -0x1.2203676ac8085p-8}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.bd9af6bd07883p-8, -0x1.e45a86a0f15f1p-7, 0x1.8ace0dbe4ce6cp-7, -0x1.1a3cf6cf42e8ap-8}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.8f1bd4730b73bp-8, -0x1.bdee781991eebp-7, 0x1.75a314d527e25p-7, -0x1.1276863b4269fp-8}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.6459749f6f216p-8, -0x1.9998d870a2fe6p-7, 0x1.610d645d82e74p-7, -0x1.0ab015a52fc5bp-8}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.3d1f24da99f1bp-8, -0x1.774aba012f5cep-7, 0x1.4d0cfc5785b87p-7, -0x1.02e9a50fba96bp-8}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.1939b0e70be62p-8, -0x1.56f52f264072fp-7, 0x1.39a1dcc324866p-7, -0x1.f64668f40fc35p-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.f0eec562bb45bp-9, -0x1.38894a3ae006ep-7, 0x1.26cc05a063ef2p-7, -0x1.e6b987c9009fep-9}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.b55004a080d7cp-9, -0x1.1bf81d9a17cb8p-7, 0x1.148b76ef40b6p-7, -0x1.d72ca69da61f4p-9}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.7f39ac08fc4b9p-9, -0x1.0132bb9ef179cp-7, 0x1.02e030afbdae8p-7, -0x1.c79fc5727b744p-9}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.4e514471f2ae9p-9, -0x1.d0546d48ed7a9p-8, 0x1.e39465c3b21adp-8, -0x1.b812e447398f6p-9}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.223f53055a4fap-9, -0x1.a19f420b6299fp-8, 0x1.c292fb0b2762cp-8, -0x1.a886031c12c1p-9}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.f55eb282b5843p-10, -0x1.76281a3b55c61p-8, 0x1.a2bc2135d92dfp-8, -0x1.98f921f0b5ca5p-9}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.ae9fa9f099b04p-10, -0x1.4dd11a8eda569p-8, 0x1.840fd843cb8bcp-8, -0x1.896c40c5a855cp-9}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.6fa480a17553bp-10, -0x1.287c67bc03bc4p-8, 0x1.668e2034f8857p-8, -0x1.79df5f9a4bf6bp-9}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.37d6238abf1cap-10, -0x1.060c2678e5689p-8, 0x1.4a36f90966064p-8, -0x1.6a527e6f29755p-9}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.06a3784a50409p-10, -0x1.ccc4f6f725708p-9, 0x1.2f0a62c10fb6bp-8, -0x1.5ac59d43df4c6p-9}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.b702ba4cc8f72p-11, -0x1.92c316f43e366p-9, 0x1.15085d5bf891p-8, -0x1.4b38bc18ab2b6p-9}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.6bd5521b3419p-11, -0x1.5dd6f6553bdd1p-9, 0x1.f861d1b43ddbcp-9, -0x1.3babdaed81931p-9}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.2ac0572de36e8p-11, -0x1.2dc4de86455ecp-9, 0x1.c9080a770405cp-9, -0x1.2c1ef9c21a31bp-9}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.e5a2b4073b0bp-12, -0x1.025118f381534p-9, 0x1.9c0365004ce4ep-9, -0x1.1c92189739338p-9}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.8643b8d7dbfcfp-12, -0x1.b67fde122db97p-10, 0x1.7153e150044fdp-9, -0x1.0d05376b77ac6p-9}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.35aea30e4aep-12, -0x1.70ab546658e5fp-10, 0x1.48f97f664bf61p-9, -0x1.faf0ac81e8a57p-10}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.e48c77196667fp-13, -0x1.32ad27bbd27dfp-10, 0x1.22f43f42f41dp-9, -0x1.dbd6ea2991369p-10}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.750a5bad94681p-13, -0x1.f81bd5d5ce7a9p-11, 0x1.fe8841cc78d88p-10, -0x1.bcbd27d689ffbp-10}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.19fc10239f0ep-13, -0x1.98ac6197cf6bbp-11, 0x1.bbd2489f7dbf4p-10, -0x1.9da3657630fbbp-10}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a16cec1232ap-14, -0x1.461d186e2a339p-11, 0x1.7dc69300f6653p-10, -0x1.7e89a3433486cp-10}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.2d7c685d54f8p-14, -0x1.fefe4013b88adp-12, 0x1.446520ea14eacp-10, -0x1.5f6fe06863b8p-10}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.a71edaa038701p-15, -0x1.87c73c3419919p-12, 0x1.0fadf27405f5ep-10, -0x1.40562001f8cd3p-10}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.1edcbb304d7p-15, -0x1.24b770a996f84p-12, 0x1.bf420e810e15p-11, -0x1.213c566bf04c8p-10}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.750499a4f43ffp-16, -0x1.a7e251593bd8dp-13, 0x1.687cc160ac64dp-11, -0x1.0222af2815356p-10}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.cc79fbea6f7ffp-17, -0x1.272d606d4a132p-13, 0x1.1b0bf33b0c6d3p-11, -0x1.c6110f8630da9p-11}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.09fd58a392p-17, -0x1.872941c2c0579p-14, 0x1.addf95010a32ep-12, -0x1.87e07d2e2854ep-11}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.198f5f4e9b8p-18, -0x1.e572e823cf49ep-15, 0x1.384f6f73314d2p-12, -0x1.49a1f949b5685p-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.0826ed6395p-19, -0x1.1328134b61758p-15, 0x1.aad74953c28f9p-13, -0x1.0b977f2323228p-11}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.9f08a4ce38p-21, -0x1.110ff5f5c94e1p-16, 0x1.0a49303ead7b8p-13, -0x1.99959f2fe18b6p-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.e95fd243b0001p-23, -0x1.b4bc2db4eb6d9p-18, 0x1.1ed2342d6d394p-14, -0x1.21a5d7b31d349p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.4e51447880001p-25, -0x1.d368b51d53b9dp-20, 0x1.c421316e3b9ccp-16, -0x1.29283964f363cp-13}, 
        {0x1p+3, 0x1.0147ae147ae14p+3, 0x1.a16cec6fffffep-30, -0x1.d45bbd81b712fp-24, 0x1.7e2a18a12bp-18, -0x1.0bdbea28bc47fp-12}, 
      }}, 
      0x1.8593f5e47dbf8p-8, -0x1.9afaa8855d854p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{-0x1.6008601ab99a5p-1, -0x1.5977e894bd611p-1, -0x1.4eeea42fb246dp-1, -0x1.40e82f484460bp-1, -0x1.2fefafabbedc5p-1, -0x1.1c949a630828dp-1, -0x1.07632c8bbdfa1p-1, -0x1.e1bf01f0c8669p-2, -0x1.b3050ba470c6cp-2, -0x1.83709afcfbfd2p-2, -0x1.53beb4c129117p-2, -0x1.24913a78d8038p-2, -0x1.ecdfc338da998p-3, -0x1.9393a06e87fc3p-3, -0x1.3def46905dce3p-3, -0x1.d8f6a58087ce5p-4, -0x1.3f38e1a206398p-4, -0x1.5e5fd98841332p-5, -0x1.498422ed5e4ccp-7, 0x1.4a78f6fe782dbp-6, 0x1.8876d3da972ep-5, 0x1.2bc56285588f2p-4, 0x1.8973d560fe4f6p-4, 0x1.dd92860859888p-4, 0x1.143e602366dd2p-3, 0x1.354cbe8c524d2p-3, 0x1.522c0ed3a66b5p-3, 0x1.6b16d4f0dba89p-3, 0x1.80494001dc471p-3, 0x1.9200304365cffp-3, 0x1.a078675b483cdp-3, 0x1.abeddb55b840cp-3, 0x1.b49b2a8208308p-3, 0x1.bab92b1fe7bc5p-3, 0x1.be7e95037c6c2p-3, 0x1.c01fc153ed946p-3, 0x1.bfce7d88f40c5p-3, 0x1.bdb9ef0b8b328p-3, 0x1.ba0e84748553ap-3, 0x1.b4f5f227e8478p-3, 0x1.ae9738318e018p-3, 0x1.a716af7418e31p-3, 0x1.9e961c9913a99p-3, 0x1.9534c7601cea3p-3, 0x1.8b0f95295af7bp-3, 0x1.804125c119e96p-3, 0x1.74e1f19c07e12p-3, 0x1.690868deff219p-3, 0x1.5cc91297ce7e4p-3, 0x1.5036abbf4a03ap-3, 0x1.436245ad7e51p-3, 0x1.365b63b6d1aep-3, 0x1.293017ad3cc4dp-3, 0x1.1bed1d35e7305p-3, 0x1.0e9df3dee06a4p-3, 0x1.014cf79c3a10bp-3, 0x1.e806f03c36ccdp-4, 0x1.cd939cf518523p-4, 0x1.b34ee31bf6a85p-4, 0x1.994611e49bbp-4, 0x1.7f84fd09a835cp-4, 0x1.66161d729537ep-4, 0x1.4d02af4746b3ep-4, 0x1.3452cd91323d6p-4, 0x1.1c0d8bc3441cep-4, 0x1.04390d378a059p-4, 0x1.d9b5350577b75p-5, 0x1.abed6a4f81cf1p-5, 0x1.7f2253755d1f1p-5, 0x1.535a402203db4p-5, 0x1.289a545e81fa2p-5, 0x1.fdcd4ca69847ap-6, 0x1.ac84a6b948d73p-6, 0x1.5d5f37e477f3p-6, 0x1.105fe2abf9bf2p-6, 0x1.8b104c9fa6c77p-7, 0x1.f360b4264c1cdp-8, 0x1.b277c1b1510c5p-9, -0x1.c2b0e112e575bp-11, -0x1.41614b1fe7d83p-8, -0x1.20fa928e48bdfp-7, -0x1.9d121d3616906p-7, -0x1.0a80f709c7a79p-6, -0x1.446af61a37331p-6, -0x1.7c4d8a9212395p-6, -0x1.b22fb1963d332p-6, -0x1.e618d5c7ec1d4p-6, -0x1.0c08614a1a2dbp-5, -0x1.240fcc53eb747p-5, -0x1.3b26e02884e02p-5, -0x1.5151f1a95d28cp-5, -0x1.66956e5af5c48p-5, -0x1.7af5daea9f834p-5, -0x1.8e77cd7bae5abp-5, -0x1.a11fea2175a9bp-5, -0x1.b2f2dfa778096p-5, -0x1.c3f563f46ad91p-5, -0x1.d42c31264824p-5, -0x1.e39c02bf109c6p-5, -0x1.f24993488bde3p-5, -0x1.001cccdfcec13p-4, -0x1.06b863c3fda5fp-4, -0x1.0cf9e32fdfb8ap-4, -0x1.12e39b423ad01p-4, -0x1.1877d692adb54p-4, -0x1.1db8d9663f871p-4, -0x1.22a8e0f9a4d6cp-4, -0x1.274a22e3ff1aep-4, -0x1.2b9ecc853d6f8p-4, -0x1.2fa902833e612p-4, -0x1.336ae057f9699p-4, -0x1.36e677ea36962p-4, -0x1.3a1dd1308098ep-4, -0x1.3d12e9e34b202p-4, -0x1.3fc7b53b16a94p-4, -0x1.423e1bb6f7ce8p-4, -0x1.4477faed8ac98p-4, -0x1.4677256aeb9f7p-4, -0x1.483d6295859b1p-4, -0x1.49cc6e97a184p-4, -0x1.4b25fa53f268ep-4, -0x1.4c4bab64dea9fp-4, -0x1.4d3f1c1f2c7c2p-4, -0x1.4e01db998624ep-4, -0x1.4e956dbd66945p-4, -0x1.4efb4b5f8f56p-4, -0x1.4f34e258ccc9ep-4, -0x1.4f4395a172233p-4, -0x1.4f28bd7cb74edp-4, -0x1.4ee5a7a99964fp-4, -0x1.4e7b9781e7ddp-4, -0x1.4debc61f8e6d7p-4, -0x1.4d3762aaa786fp-4, -0x1.4c5f92a164cb4p-4, -0x1.4b6571e7c2297p-4, -0x1.4a4a12e796346p-4, -0x1.490e7f0735fd9p-4, -0x1.47b3b711101dcp-4, -0x1.463ab328b1d43p-4, -0x1.44a462cd33534p-4, -0x1.42f1ad6fca84ep-4, -0x1.4123730faccdap-4, -0x1.3f3a8c2b0aa18p-4, -0x1.3d37c98d3b116p-4, -0x1.3b1bf4d6f4148p-4, -0x1.38e7d15393c0ep-4, -0x1.369c1c19826f7p-4, -0x1.34398bb07438p-4, -0x1.31c0d04fd9614p-4, -0x1.2f3294ba7c303p-4, -0x1.2c8f7eae96d19p-4, -0x1.29d82ea3d458p-4, -0x1.270d3fb95b30ep-4, -0x1.242f48503f67ep-4, -0x1.213edaa8a9debp-4, -0x1.1e3c84eaa338bp-4, -0x1.1b28d101f2c34p-4, -0x1.180444e68dae1p-4, -0x1.14cf6326a9caep-4, -0x1.118aab295ffd5p-4, -0x1.0e3699280af05p-4, -0x1.0ad3a64a0ee69p-4, -0x1.0762490143b41p-4, -0x1.03e2f559ebe3p-4, -0x1.00561d11b11d9p-4, -0x1.f9785f49850d2p-5, -0x1.f22b3502412d5p-5, -0x1.eac5929356c7ap-5, -0x1.e3484bfc62efp-5, -0x1.dbb4321559661p-5, -0x1.d40a12be0d7cdp-5, -0x1.cc4ab9348dd02p-5, -0x1.c476ee66ca44fp-5, -0x1.bc8f791f94cd5p-5, -0x1.b4951e29edcfap-5, -0x1.ac88a07f283f3p-5, -0x1.a46ac17fdfc64p-5, -0x1.9c3c41236a111p-5, -0x1.93fdde17fe302p-5, -0x1.8bb055de4ce98p-5, -0x1.835464e964338p-5, -0x1.7aeac6bf68408p-5, -0x1.727436131015fp-5, -0x1.69f16cd46abf1p-5, -0x1.6163243d719d3p-5, -0x1.58ca14de6b929p-5, -0x1.5026f6aa40582p-5, -0x1.477a80fedb16cp-5, -0x1.3ec56aa86fca7p-5, -0x1.360869e148f22p-5, -0x1.2d44344db6ceap-5, -0x1.24797ef88e895p-5, -0x1.1ba8fe521cb0ep-5, -0x1.12d36628d3a7dp-5, -0x1.09f969a243f68p-5, -0x1.011bbb30f1b44p-5, -0x1.f0761911d6581p-6, -0x1.deb01d2a7836fp-6, -0x1.cce6e2db04be8p-6, -0x1.bb1bc8986ab7ep-6, -0x1.a9502b052616bp-6, -0x1.978564d3e984dp-6, -0x1.85bcceaca6815p-6, -0x1.73f7bf11ecc1ep-6, -0x1.62378a46f492ep-6, -0x1.507d82355b1bcp-6, -0x1.3ecaf6528c4e5p-6, -0x1.2d2133814160cp-6, -0x1.1b8183f4e41fp-6, -0x1.09ed2f10d6389p-6, -0x1.f0caf2a249989p-7, -0x1.cdd748507bd02p-7, -0x1.ab01dbcbec40dp-7, -0x1.884d23331ae43p-7, -0x1.65bb8de8480dp-7, -0x1.434f8455600c6p-7, -0x1.210b67b20f179p-7, -0x1.fde3239659708p-8, -0x1.ba08a997f469p-8, -0x1.768bf60ed798fp-8, -0x1.33718d870e738p-8, -0x1.e17bc813c15f5p-9, -0x1.5ceab9503c359p-9, -0x1.b271242fb6f27p-10, -0x1.59b749aefb1d6p-11, 0x1.5b69504b51257p-12, 0x1.58a0594655933p-10, 0x1.2c33246d2f63bp-9, 0x1.ab0e26e0d8d73p-9, 0x1.146cb84fc6162p-8, 0x1.52c6b310d7fcfp-8, 0x1.90914a2f31bbap-8, 0x1.cdc8d8b682245p-8, 0x1.0534e748b7a0cp-7, 0x1.2338586b75845p-7, 0x1.40ed0d08f61fbp-7, 0x1.5e515d45eebf3p-7, 0x1.7b63ac47f372ep-7, 0x1.982268563976cp-7, 0x1.b48c0af7e2893p-7, 0x1.d09f191d0ddeap-7, 0x1.ec5a2327ce268p-7, 0x1.03dde287a068cp-6, 0x1.1161533e675bp-6, 0x1.1eb6bd6fa13bcp-6, 0x1.2bdd80c20cbebp-6, 0x1.38d502ce8ceb5p-6, 0x1.459caf32103b3p-6, 0x1.5233f794ec5eep-6, 0x1.5e9a53a8e22e6p-6, 0x1.6acf4136a8064p-6, 0x1.76d24420e5fcp-6, 0x1.82a2e66848bb8p-6, 0x1.8e40b82e375ccp-6, 0x1.99ab4fb699f94p-6, 0x1.a4e24968e45e3p-6, 0x1.afe547d0393c1p-6, 0x1.bab3f39a970b1p-6, 0x1.c54dfb96aab94p-6, 0x1.cfb314af72ea3p-6, 0x1.d9e2f9ea7a15bp-6, 0x1.e3dd6c5fd6cd2p-6, 0x1.eda233362bddfp-6, 0x1.f7311b9ba8badp-6, 0x1.0044fc5ee2657p-5, 0x1.04d651dfe1d84p-5, 0x1.094c7dd8f7353p-5, 0x1.0da772c286a92p-5, 0x1.11e725ffd6763p-5, 0x1.160b8fd9644c2p-5, 0x1.1a14ab75b0919p-5, 0x1.1e0276d24d93dp-5, 0x1.21d4f2bc2a09cp-5, 0x1.258c22c771ad9p-5, 0x1.29280d47466ffp-5, 0x1.2ca8bb4540aa4p-5, 0x1.300e387a990d1p-5, 0x1.3358933f40f2p-5, 0x1.3687dc8d2495p-5, 0x1.399c27e95cef5p-5, 0x1.3c958b6071a5dp-5, 0x1.3f741f75103f4p-5, 0x1.4237ff28a0b42p-5, 0x1.44e147cb39538p-5, 0x1.4770191a2319cp-5, 0x1.49e49518a3f0cp-5, 0x1.4c3ee00ba13bp-5, 0x1.4e7f206d7b49bp-5, 0x1.50a57ee15b079p-5, 0x1.52b22626f41ap-5, 0x1.54a5430dd6102p-5, 0x1.567f046880b47p-5, 0x1.583f9afeea92ep-5, 0x1.59e73980f5332p-5, 0x1.5b7614795e94fp-5, 0x1.5cec623eef9bap-5, 0x1.5e4a5ae83e2f1p-5, 0x1.5f90383e5b83fp-5, 0x1.60be35af2418ap-5, 0x1.61d4903f543c5p-5, 0x1.62d386769bbb3p-5, 0x1.63bb585518275p-5, 0x1.648c4756c5ddp-5, 0x1.654696467c6ccp-5, 0x1.65ea8951f822ep-5, 0x1.667865d936fcp-5, 0x1.66f0726a0cc33p-5, 0x1.6752f6c25dc2ep-5, 0x1.67a03bba8e575p-5, 0x1.67d88b39c57b9p-5, 0x1.67fc3020343fcp-5, 0x1.680b7638e06cbp-5, 0x1.6806aa336c6c6p-5, 0x1.67ee199617c27p-5, 0x1.67c212ac563e7p-5, 0x1.6782e479e55b3p-5, 0x1.6730deafeb67p-5, 0x1.66cc519fb817ap-5, 0x1.66558e2bc9718p-5, 0x1.65cce5c1783ecp-5, 0x1.6532aa38c948dp-5, 0x1.64872ddfda398p-5, 0x1.63cac36a009c6p-5, 0x1.62fdbdd5786a9p-5, 0x1.6220706bf884cp-5, 0x1.61332eb32c465p-5, 0x1.60364c612429ap-5, 0x1.5f2a1d50ce841p-5, 0x1.5e0ef576bdaa3p-5, 0x1.5ce528d6032ffp-5, 0x1.5bad0b75c5fd2p-5, 0x1.5a66f1567c8d2p-5, 0x1.59132e67a2ae1p-5, 0x1.57b2167d8ab12p-5, 0x1.5643fd475f294p-5, 0x1.54c93644befb1p-5, 0x1.534214bd44f2bp-5, 0x1.51aeebb60e039p-5, 0x1.50100de93cffap-5, 0x1.4e65cdbd0f204p-5, 0x1.4cb07d3b42898p-5, 0x1.4af06e08bc7d2p-5, 0x1.4925f15d6074ep-5, 0x1.475157fc23c18p-5, 0x1.4572f22b526bdp-5, 0x1.438b0fad1ace4p-5, 0x1.4199ffb846917p-5, 0x1.3fa010f13574ep-5, 0x1.3d9d916318d41p-5, 0x1.3b92ce7962e4dp-5, 0x1.398014f981409p-5, 0x1.3765b0fccd432p-5, 0x1.3543edeabb09cp-5, 0x1.331b1673270efp-5, 0x1.30eb748a6a00fp-5, 0x1.2eb5515cd6a05p-5, 0x1.2c78f55fcd0ecp-5, 0x1.2a36a828359bep-5, 0x1.27eeb088ef4b6p-5, 0x1.25a1547accc55p-5, 0x1.234ed91bb0575p-5, 0x1.20f782b7cf622p-5, 0x1.1e9b94b431c0bp-5, 0x1.1c3b518cbd768p-5, 0x1.19d6fade1ec6p-5, 0x1.176ed15d512f5p-5, 0x1.150314cec4286p-5, 0x1.12940408dce05p-5, 0x1.1021dcf0ca8b3p-5, 0x1.0dacdc7810954p-5, 0x1.0b353e9a61c29p-5, 0x1.08bb3e5bd1286p-5, 0x1.063f15c6f242cp-5, 0x1.03c0fdebab12ep-5, 0x1.01412eddb4f6cp-5, 0x1.fd7fbf67417bp-6, 0x1.f87a8d0bd19dbp-6, 0x1.f37330dc3ef02p-6, 0x1.ee6a130c6d1cap-6, 0x1.e95f99cff376ap-6, 0x1.e4542959465abp-6, 0x1.df4823d928556p-6, 0x1.da3be97e7778bp-6, 0x1.d52fd87651f3cp-6, 0x1.d0244cec9a5dcp-6, 0x1.cb19a10cbcbe4p-6, 0x1.c6102d02d1e1p-6, 0x1.c10846fcee4a4p-6, 0x1.bc02432d817fp-6, 0x1.b6fe73c6473c5p-6, 0x1.b1fd2911b3debp-6, 0x1.acfeb14ced929p-6, 0x1.a80358ce576edp-6, 0x1.a30b69f80d6d4p-6, 0x1.9e172d3edb8f1p-6, 0x1.9926e92d2170ap-6, 0x1.943ae246234e6p-6, 0x1.8f535b66a469ap-6, 0x1.8a7095618265dp-6, 0x1.8592cf12d09dap-6, 0x1.80ba45b2c5aeap-6, 0x1.7be7348788454p-6, 0x1.7719d50712dfcp-6, 0x1.72525edb69db1p-6, 0x1.6d9107e5b5e92p-6, 0x1.68d60442ad7c1p-6, 0x1.6421864f9b1d9p-6, 0x1.5f73beaf9453bp-6, 0x1.5accdc510172cp-6, 0x1.562d0c73489e6p-6, 0x1.51947aac95a3dp-6, 0x1.4d0350ef6ba64p-6, 0x1.4879b78fff32dp-6, 0x1.43f7d5493425ep-6, 0x1.3f7dcf40dc29fp-6, 0x1.3b0bc90cd933fp-6, 0x1.36a1e4b63a16cp-6, 0x1.324042bd995fdp-6, 0x1.2de7022050b7cp-6, 0x1.2996405d4639bp-6, 0x1.254e197bb526dp-6, 0x1.210ea8134f684p-6, 0x1.1cd80555ffa62p-6, 0x1.18aa491df0e68p-6, 0x1.148589df4414ep-6, 0x1.1069dcdf8a88p-6, 0x1.0c57562f4eef8p-6, 0x1.084e087473ae9p-6, 0x1.044e055f0376ap-6, 0x1.00575d4d9bd25p-6, 0x1.f8d43ee541b3fp-7, 0x1.f10cb392d6fa5p-7, 0x1.e958321fe4348p-7, 0x1.e1b6d1836af97p-7, 0x1.da28a62affae4p-7, 0x1.d2adc200a7316p-7, 0x1.cb46347e6bec5p-7, 0x1.c3f20ad21c942p-7, 0x1.bcb1500ff957bp-7, 0x1.b5840d73a96acp-7, 0x1.ae6a4a9e51e9ep-7, 0x1.a7640de0e2868p-7, 0x1.a0715c77a0ce3p-7, 0x1.99923a9989ffdp-7, 0x1.92c6ab822fe0cp-7, 0x1.8c0eb14ad7c81p-7, 0x1.856a4ca40f8dep-7, 0x1.7ed97c74487ddp-7, 0x1.785c3d67f0395p-7, 0x1.71f2898a1611cp-7, 0x1.6b9c57d6f79b4p-7, 0x1.65599c6c142b2p-7, 0x1.5f2a47fac01f9p-7, 0x1.590e48e61ae2fp-7, 0x1.53058b64f3632p-7, 0x1.4d0ffa832219cp-7, 0x1.472d8117b5bf7p-7, 0x1.415e0ab443974p-7, 0x1.3ba1846c9421ep-7, 0x1.35f7dd4ee330ep-7, 0x1.30610671c50a1p-7, 0x1.2adcf283da617p-7, 0x1.256b94e4de802p-7, 0x1.200ce05b0e12dp-7, 0x1.1ac0c58e91f77p-7, 0x1.158731819af15p-7, 0x1.10600c43559f7p-7, 0x1.0b4b3817c502cp-7, 0x1.064891443c6efp-7, 0x1.0157ee9ab821cp-7, 0x1.f8f2458f6d44dp-8, 0x1.ef57fc72640c7p-8, 0x1.e5e0a2e70f463p-8, 0x1.dc8bdefa2a1fbp-8, 0x1.d3596017bcf5dp-8, 0x1.ca48e23f5de21p-8, 0x1.c15a2f8a8411p-8, 0x1.b88d1f8bb2b93p-8, 0x1.afe194ee4979cp-8, 0x1.a75778934c4d8p-8, 0x1.9eeeb43f1c45p-8, 0x1.96a72bd41368dp-8, 0x1.8e80b765f3799p-8, 0x1.867b1e435b3f1p-8, 0x1.7e9613f85f135p-8, 0x1.76d137c66ec94p-8, 0x1.6f2c16c18901bp-8, 0x1.67a630608cd98p-8, 0x1.603efcfc7e1e2p-8, 0x1.58f5f55fe57f4p-8, 0x1.51ca9a6b41401p-8, 0x1.4abc7bcec6334p-8, 0x1.43cb3cee1b82cp-8, 0x1.3cf696fe48eaap-8, 0x1.363e5894cceeep-8, 0x1.2fa262bae6785p-8, 0x1.2922a2d4190c4p-8, 0x1.22bf0b86cba7dp-8, 0x1.1c778cdbb318ap-8, 0x1.164c0c78a3d04p-8, 0x1.103c5f312846ap-8, 0x1.0a4844ac8bfb5p-8, 0x1.046f65b8a189bp-8, 0x1.fd62aaf3bbb5ap-9, 0x1.f21b2ab2c81f1p-9, 0x1.e707365a8b8d9p-9, 0x1.dc25b172767f6p-9, 0x1.d1758770a4843p-9, 0x1.c6f5b9c930d75p-9, 0x1.bca56b85ea4c5p-9, 0x1.b283e7c4b2649p-9, 0x1.a890a32df06d3p-9, 0x1.9ecb38316f8d3p-9, 0x1.95335ec6487aep-9, 0x1.8bc8e0ea08dcap-9, 0x1.828b8d7d815fbp-9, 0x1.797b2b4ff4fcap-9, 0x1.70976e168bf54p-9, 0x1.67dfeeb580e01p-9, 0x1.5f5427acc5ed3p-9, 0x1.56f375c63aeb3p-9, 0x1.4ebd1c7f591d9p-9, 0x1.46b04d2b399ep-9, 0x1.3ecc2f8663b87p-9, 0x1.370fea69ce689p-9, 0x1.2f7aab76517ap-9, 0x1.280bacf760b4ep-9, 0x1.20c239cbec499p-9, 0x1.199dafaff1611p-9, 0x1.129d80810c66dp-9, 0x1.0bc132cb58bbap-9, 0x1.0508613021874p-9, 0x1.fce56f17e039fp-10, 0x1.efffd9725fe68p-10, 0x1.e35f71594e8d9p-10, 0x1.d70390650a47cp-10, 0x1.caeb6229c7673p-10, 0x1.bf15d45ed0a57p-10, 0x1.b381950e626a8p-10, 0x1.a82d21a583844p-10, 0x1.9d16e4d7d2129p-10, 0x1.923d5c445adf7p-10, 0x1.879f3b5b39338p-10, 0x1.7d3b806605524p-10, 0x1.731173a8dcbacp-10, 0x1.69208f207ca42p-10, 0x1.5f6855d1730ep-10, 0x1.55e828c942d48p-10, 0x1.4c9f2a54b27d8p-10, 0x1.438c3b79933e2p-10, 0x1.3aae159678929p-10, 0x1.32037676620d2p-10, 0x1.298b4d818d1d9p-10, 0x1.2144d7f68f2f1p-10, 0x1.192fa07c850fbp-10, 0x1.114b6086e069p-10, 0x1.0997cbbb3cde2p-10, 0x1.0214554ad6a54p-10, 0x1.f58004470954dp-11, 0x1.e732b2c235d09p-11, 0x1.d93cfbfd5b8d7p-11, 0x1.cb9ae2b31b0acp-11, 0x1.be48de4a0108ap-11, 0x1.b1448b7261323p-11, 0x1.a48d1303c31b3p-11, 0x1.98231266658f8p-11, 0x1.8c07f1b60d925p-11, 0x1.803d105d8ff1fp-11, 0x1.74c2cf3e94866p-11, 0x1.699816cd601d4p-11, 0x1.5eba62d7ecc27p-11, 0x1.54263e004a093p-11, 0x1.49d7f90168a8fp-11, 0x1.3fcc59edcc1f8p-11, 0x1.360113835174bp-11, 0x1.2c74ed7bd1359p-11, 0x1.2327a4f57a869p-11, 0x1.1a1991ac15d77p-11, 0x1.114b25f54a1edp-11, 0x1.08bc63bbb8409p-11, 0x1.006c622feed6fp-11, 0x1.f0b20d689062fp-12, 0x1.e0fe2d0ab5d0dp-12, 0x1.d1b56b81595bep-12, 0x1.c2d07ddb2b367p-12, 0x1.b44a5b12d75e7p-12, 0x1.a62176b85ce59p-12, 0x1.9857c0d8dfbeep-12, 0x1.8af146c848522p-12, 0x1.7df1fe522b0f3p-12, 0x1.715bc28ac61a4p-12, 0x1.652d6d9273eafp-12, 0x1.59634451e079bp-12, 0x1.4df827ea23562p-12, 0x1.42e6cc250588p-12, 0x1.382a85e3d444dp-12, 0x1.2dbf9e81ec035p-12, 0x1.23a33bcd1e523p-12, 0x1.19d30ef9a9885p-12, 0x1.104d272b78f4ap-12, 0x1.07101da492735p-12, 0x1.fc36b3697bf41p-13, 0x1.eadde025f3e9fp-13, 0x1.da15eec8e8a9ep-13, 0x1.c9dd609b055e1p-13, 0x1.ba300e24378d6p-13, 0x1.ab075adddb378p-13, 0x1.9c5b82d3257cdp-13, 0x1.8e256b6bcbfcap-13, 0x1.80603e19128bcp-13, 0x1.730a34889bd2dp-13, 0x1.6623d618d58a4p-13, 0x1.59ae66a664a87p-13, 0x1.4daa631786fdap-13, 0x1.4216c3178d33cp-13, 0x1.36f0e25dacb8fp-13, 0x1.2c34a5e098856p-13, 0x1.21dd321c7f419p-13, 0x1.17e6b5d9129bap-13, 0x1.0e501f0506839p-13, 0x1.051a4e2b6846ap-13, 0x1.f8898f8401959p-14, 0x1.e7962e490d22fp-14, 0x1.d74ab8004a9dbp-14, 0x1.c79648886951bp-14, 0x1.b86c63a8d6e2ap-14, 0x1.a9c775e3ab30ep-14, 0x1.9ba817b95a76ap-14, 0x1.8e1264fcaba88p-14, 0x1.810af9f2277fp-14, 0x1.74945fdf9496fp-14, 0x1.68ad6357869ep-14, 0x1.5d51e1634b05fp-14, 0x1.527d01575b013p-14, 0x1.4829b37475525p-14, 0x1.3e4fb800a5e06p-14, 0x1.34e22eaef8456p-14, 0x1.2bd5f0d725549p-14, 0x1.23292b5232361p-14, 0x1.1ae17b246023ep-14, 0x1.13017faf9f627p-14, 0x1.0b827b13d3302p-14, 0x1.045aa56af179cp-14, 0x1.fb103636da8ep-15, 0x1.ee224b562a486p-15, 0x1.e1f528bfcbf6p-15, 0x1.d68496b4c62f5p-15, 0x1.cbc486150596p-15, 0x1.c1a94f933067bp-15, 0x1.b828a8fb15532p-15, 0x1.af35954063b5ap-15, 0x1.a6be1c746a9bbp-15, 0x1.9eafb1989d067p-15, 0x1.96ff502bca411p-15, 0x1.8fb4969579308p-15, 0x1.88df0ef90f2bap-15, 0x1.8289d60d4d424p-15, 0x1.7cb1922e347f3p-15, 0x1.774d3fe916f66p-15, 0x1.725c8100ffa51p-15, 0x1.6de4b0940ec95p-15, 0x1.69dd757617dccp-15, 0x1.6629cc13df5ap-15, 0x1.62afc0a31b2e8p-15, 0x1.5f72a46968ddfp-15, 0x1.5c85b633d36a5p-15, 0x1.59e91dea80ce2p-15, 0x1.578981549e3c4p-15, 0x1.556039af9ec09p-15, 0x1.537a82cde3a64p-15, 0x1.51dfbfe6493c9p-15, 0x1.50879bcc7d3e8p-15, 0x1.4f660ee6acaf3p-15, 0x1.4e74683a97455p-15, 0x1.4db17f59b364p-15, 0x1.4d1f25732bffdp-15, 0x1.4cbfbed8feef5p-15, 0x1.4c9435a1ca026p-15, 0x1.4c9a216a435c3p-15, 0x1.4cc8fff534a7bp-15, 0x1.4d124b991330ep-15, 0x1.4d6c5154856a6p-15, 0x1.4ddd18eb24e22p-15, 0x1.4e7052f83ca7cp-15, 0x1.4f24a671355b2p-15, 0x1.4fef8b682caecp-15, 0x1.50d05903d90c5p-15, 0x1.51cfccd842c67p-15, 0x1.52f1117808c71p-15, 0x1.542c295fa9c1bp-15, 0x1.55718f9cc0fc8p-15, 0x1.56bab20e954b7p-15, 0x1.580f6398a3c6fp-15, 0x1.596e46b804506p-15, 0x1.5acf290b47665p-15, 0x1.5c381f13b6759p-15, 0x1.5db0a470facd2p-15, 0x1.5f34175b7df15p-15, 0x1.60bbdae7c3cedp-15, 0x1.62454d733446fp-15, 0x1.63cfc43a6d3dfp-15, 0x1.655af0be7b694p-15, 0x1.66e69a69c85ffp-15, 0x1.6871bd2bdda93p-15, 0x1.69fb57a2c3255p-15, 0x1.6b8331180c2e1p-15, 0x1.6d08e23c2325cp-15, 0x1.6e8c1b183d227p-15, 0x1.700cfbf93ecd5p-15, 0x1.718b400a2295p-15, 0x1.73038a2f6064cp-15, 0x1.7471d0ab899d7p-15, 0x1.75d74640a628ap-15, 0x1.77346cd843b4p-15, 0x1.7885d51822447p-15, 0x1.79cd155e72ec2p-15, 0x1.7b0da12be814ep-15, 0x1.7c47516a3595dp-15, 0x1.7d7956486645cp-15, 0x1.7e9f83d46bfcp-15, 0x1.7fb68d67f4204p-15, 0x1.80bf4aae79337p-15, 0x1.81b98c8f6ec6ep-15, 0x1.82a82e3ae7111p-15, 0x1.838be69f059ffp-15, 0x1.84623781035d6p-15, 0x1.8529f874cd89bp-15, 0x1.85e366e48a5fap-15, 0x1.868e7f9c439d7p-15, 0x1.872b204dfb2c9p-15, 0x1.87b9196d2834ap-15, 0x1.883837d7c688dp-15, 0x1.88a850284b2e2p-15, 0x1.89093bbf52b6bp-15, 0x1.895ae0e7f3bd9p-15, 0x1.899d2b4feef66p-15, 0x1.89cfdcd5025bcp-15, 0x1.89f309c6de957p-15, 0x1.8a0696830defdp-15, 0x1.8a0a69c9f057ap-15, 0x1.89fe73212e57fp-15, 0x1.89e2ab2df891cp-15, 0x1.89b7168fa96e6p-15, 0x1.897bc30a25b11p-15, 0x1.8930bf9c31b33p-15, 0x1.88d60dba6ee7p-15, 0x1.886a9845b7f02p-15, 0x1.87f33d92091b2p-15, 0x1.8767162d0bea6p-15, 0x1.86ce8272dc173p-15, 0x1.86258f1815417p-15, 0x1.856df0da974dep-15, 0x1.84a72af9f7e1fp-15, 0x1.83d09e14ad0fp-15, 0x1.82eb086b8b9e1p-15, 0x1.81f6d0cca88e9p-15, 0x1.80f3ee1594286p-15, 0x1.7fe27be207c86p-15, 0x1.7ec28bd46fe96p-15, 0x1.7d944c9fbe58cp-15, 0x1.7c57d4fcb1d79p-15, 0x1.7b0d607c39c2bp-15, 0x1.79b5108faaa3cp-15, 0x1.784f19d016844p-15, 0x1.76dba810a95d1p-15, 0x1.755ae900a0af1p-15, 0x1.73cd0aa90c477p-15, 0x1.72323d37aa8a3p-15, 0x1.708ab3d17eb1dp-15, 0x1.6ed6a44a43f7p-15, 0x1.6d1645aae598bp-15, 0x1.6b49cde1586abp-15, 0x1.6971752bcc3bap-15, 0x1.678d80cb38b32p-15, 0x1.659e35e06d9ccp-15, 0x1.63a367068fc4ap-15, 0x1.619cb3c5de5cbp-15, 0x1.5f8b84ec94b9p-15, 0x1.5d70b2face616p-15, 0x1.5b4a86e800ae7p-15, 0x1.5919ecd0c2e73p-15, 0x1.56dfd991196c8p-15, 0x1.549c6c261c8dfp-15, 0x1.524f148b76093p-15, 0x1.4ff8380751798p-15, 0x1.4d98937357a4cp-15, 0x1.4b3039437468bp-15, 0x1.48bf4b3184d47p-15, 0x1.4645f33ecf25fp-15, 0x1.43c45cb6cb4a4p-15, 0x1.413af24c1dcdep-15, 0x1.3ea9dcdf46e2cp-15, 0x1.3c1162b1e5064p-15, 0x1.39711655afdfdp-15, 0x1.36ca8c181ecdp-15, 0x1.341ce9c8daa1dp-15, 0x1.316914317ed5fp-15, 0x1.2eae85f7c1e1ap-15, 0x1.2beda21b0d227p-15, 0x1.2926fa3deb916p-15, 0x1.265b2b829da3fp-15, 0x1.23896ac28f198p-15, 0x1.20b283d3646b4p-15, 0x1.1dd69b774af16p-15, 0x1.1af5e44194e3ap-15, 0x1.181096e1aadf2p-15, 0x1.1526eb95f2614p-15, 0x1.1239199405cd8p-15, 0x1.0f4754e47b4b4p-15, 0x1.0c51c8510161fp-15, 0x1.0958a517e9978p-15, 0x1.065c358fa3e08p-15, 0x1.035cb24fdfd68p-15, 0x1.005a14a9c77dep-15, 0x1.faa991baddd15p-16, 0x1.f4996b9bbac4cp-16, 0x1.ee84846b7447fp-16, 0x1.e86b95d08fa3cp-16, 0x1.e24eb802cc5ep-16, 0x1.dc2e351f145e4p-16, 0x1.d60a6a23d4516p-16, 0x1.cfe3b5578ae5fp-16, 0x1.c9ba734bd1e0ap-16, 0x1.c38efec7bc7b4p-16, 0x1.bd61b0fdb1745p-16, 0x1.b732e1a6ebce2p-16, 0x1.b102e70f5d145p-16, 0x1.aad2162abbfd2p-16, 0x1.a4a0c2a5f2efbp-16, 0x1.9e6f3f0953bc6p-16, 0x1.983ddcbf4a951p-16, 0x1.920cebf250862p-16, 0x1.8bdcbb9861a5fp-16, 0x1.85ad98f97edc7p-16, 0x1.7f7fcfcd6ac6p-16, 0x1.7953aa55fd3f1p-16, 0x1.732971f0c3d47p-16, 0x1.6d016e7a6d906p-16, 0x1.66dc311cc56eep-16, 0x1.60b9289aa50d5p-16, 0x1.5a9971378aba9p-16, 0x1.547d05b9a55dbp-16, 0x1.4e6427ba75e37p-16, 0x1.484f119c424a3p-16, 0x1.423dfeefa9f2ep-16, 0x1.3c3136a031adep-16, 0x1.3629147a1c63ep-16, 0x1.3025ee79b29b9p-16, 0x1.2a25a67186d6bp-16, 0x1.242b30119b6dbp-16, 0x1.1e3a2c10c01c2p-16, 0x1.184be81559fc1p-16, 0x1.12639c0f68457p-16, 0x1.0c8149b95718ap-16, 0x1.06a505521cbb6p-16, 0x1.00cfdcf7ffbb2p-16, 0x1.f600e6dd45601p-17, 0x1.ea70eb694c587p-17, 0x1.deee4b790b005p-17, 0x1.d37a3b26b0fe6p-17, 0x1.c814fff8133a9p-17, 0x1.bcbecbf5197p-17, 0x1.b178073a16d94p-17, 0x1.a6414767fd3bcp-17, 0x1.9b19255f79dfcp-17, 0x1.900aa9d58b671p-17, 0x1.84f9cb187f78fp-17, 0x1.7a072c6bcec56p-17, 0x1.6f227ec507f46p-17, 0x1.644d0d0e8c8bfp-17, 0x1.598eedf633d87p-17, 0x1.4ede35ed44beep-17, 0x1.443fb7c2a3e2ap-17, 0x1.39b4129b5e3c6p-17, 0x1.2f3b3a0f7d113p-17, 0x1.24d53579744f2p-17, 0x1.1a823227feca3p-17, 0x1.10425edd22ccp-17, 0x1.0615ec77ec168p-17, 0x1.f7f9c9c7f901p-18, 0x1.e3ef3fc8d7071p-18, 0x1.d00ca84e7319bp-18, 0x1.bc52f2ae0a27dp-18, 0x1.a8c047ed72fe8p-18, 0x1.9556a15f9242dp-18, 0x1.82168bb3b261ap-18, 0x1.6eff7f98bac04p-18, 0x1.5c126d8243165p-18, 0x1.494df903f3dc7p-18, 0x1.36b35de122ce3p-18, 0x1.2443ea0691505p-18, 0x1.11fec0533dfdcp-18, 0x1.ffcae21ccb661p-19, 0x1.dbeac99035a7dp-19, 0x1.b8601679edc22p-19, 0x1.952c111617601p-19, 0x1.724f6e8b212d3p-19, 0x1.4fca893073696p-19, 0x1.2d99e3e2397c9p-19, 0x1.0bc10040689d9p-19, 0x1.d480e321b2bfbp-20, 0x1.922ef4d54fab9p-20, 0x1.508c585db27e1p-20, 0x1.0f995f0f798a9p-20, 0x1.9eac8f0e03a6bp-21, 0x1.1f867e996243p-21, 0x1.438165fae84c4p-22, 0x1.2adaadb5b8bb5p-24, -0x1.5687ebf624a7p-23, -0x1.9e946905fb873p-22, -0x1.478c732ff23fbp-21, -0x1.be6cb96366a16p-21, -0x1.19f61510877c1p-20, -0x1.54064f0bfb55cp-20, -0x1.8d662c91e4c5fp-20, -0x1.c61631e152ac1p-20, -0x1.fe168e673ea29p-20, -0x1.1ab35071bfbf1p-19, -0x1.3603eb7021a86p-19, -0x1.50fd32f274c56p-19, -0x1.6b9dc757e6dbcp-19, -0x1.85ef872492848p-19, -0x1.9fdcd226f980cp-19, -0x1.b97b352ff7c67p-19, -0x1.d2c3437d76437p-19, -0x1.ebb301c553251p-19, -0x1.0226dbf43db88p-18, -0x1.0e4937616f415p-18, -0x1.1a40f841beebep-18, -0x1.260e07c3bcedfp-18, -0x1.31b09add7d737p-18, -0x1.3d28a9fd580b4p-18, -0x1.487556bd1a995p-18, -0x1.539fc3e2969p-18, -0x1.5e93e6773c156p-18, -0x1.696661ea2c8c1p-18, -0x1.740ddef8b091fp-18, -0x1.7e8c8c517fc57p-18, -0x1.88e17953a47aap-18, -0x1.930dad09a1238p-18, -0x1.9d11493f40849p-18, -0x1.a6ec448120ca5p-18, -0x1.b09e9f24fd8bep-18, -0x1.ba277a8f2c53ep-18, -0x1.c3886dbd82079p-18, -0x1.ccc54ba73e29bp-18, -0x1.d5db53f4b6ae7p-18, -0x1.dec866139b995p-18, -0x1.e78e468d98329p-18, -0x1.f02d6526f8961p-18, -0x1.f8a5cb54c28bp-18, -0x1.007b958ef39a5p-17, -0x1.04932ba568ba4p-17, -0x1.08a17d95b39b5p-17, -0x1.0c84e3f5061d3p-17, -0x1.105dbacd6b284p-17, -0x1.14304a2b2274fp-17, -0x1.17f1cc1e4236p-17, -0x1.1b9e9660584bfp-17, -0x1.1f23118a6c45ep-17, -0x1.22a670c9487fdp-17, -0x1.2617778993b4cp-17, -0x1.29768a31ccc9ep-17, -0x1.2cc3d5627ad9bp-17, -0x1.2fffd3f8e521ap-17, -0x1.332a9e92a0706p-17, -0x1.364431cb7fc56p-17, -0x1.394caf486ebddp-17, -0x1.3c443bac5121fp-17, -0x1.3f2ae3cb5fbf1p-17, -0x1.4200db203e613p-17, -0x1.44c7a43fb9ed8p-17, -0x1.477be1ffabc83p-17, -0x1.4a212549a9f1cp-17, -0x1.4cb63561cfe0cp-17, -0x1.4f3b4b67e06afp-17, -0x1.51b0714bc23a5p-17, -0x1.5415e3b619e34p-17, -0x1.566cb0ed4541dp-17, -0x1.58b352b65e8cep-17, -0x1.5aeaf1faeac8ep-17, -0x1.5d12838a9a61dp-17, -0x1.5f2c23d2b0bc1p-17, -0x1.61371ba5c07f6p-17, -0x1.6333335d1123p-17, -0x1.6520b51008f2cp-17, -0x1.66ffc5f014f5fp-17, -0x1.68d04c7826a6cp-17, -0x1.6a93ec8dd483ap-17, -0x1.6c48d35bab303p-17, -0x1.6deef5bb10d1ap-17, -0x1.6f88eb666adc9p-17, -0x1.7114de59e499cp-17, -0x1.72934b79ca4abp-17, -0x1.7404dd8bf262cp-17, -0x1.756906152b443p-17, -0x1.76c04a5fde6a5p-17, -0x1.780ac3ed7d229p-17, -0x1.7948948fa8abp-17, -0x1.7a79dfc74eaa7p-17, -0x1.7b9ec982a46bfp-17, -0x1.7cb775795f6fap-17, -0x1.7dc40675906cep-17, -0x1.7ec4994216c7fp-17, -0x1.7fb939ff331ecp-17, -0x1.80a040b6d60d8p-17, -0x1.8183cc354c984p-17, -0x1.82524845e3fa6p-17, -0x1.83188763a535ap-17, -0x1.83d4b4279ab63p-17, -0x1.848585d0a8cf1p-17, -0x1.852b6e2f384a7p-17, -0x1.85c68140e5192p-17, -0x1.865667bab305p-17, -0x1.86deadf0828dfp-17, -0x1.875895b0f193bp-17, -0x1.87ca568580e7ap-17, -0x1.883201dbaec0cp-17, -0x1.888fab263d0dp-17, -0x1.88e365329cdc7p-17, -0x1.892d716a042ffp-17, -0x1.896df2409a539p-17, -0x1.89a4e96b895e6p-17, -0x1.89d16462a8047p-17, -0x1.89da91d7cd588p-17, -0x1.8a11a3fab4159p-17, -0x1.8a259d4509c32p-17, -0x1.8a3023e68349fp-17, -0x1.8a31799e41871p-17, -0x1.8a2a3808d3ad9p-17, -0x1.8a1a9ac04653fp-17, -0x1.8a02917341edfp-17, -0x1.89e29836bfff6p-17, -0x1.89ba7993e28d5p-17, -0x1.898a39faadb7fp-17, -0x1.8951c1b4d1a8fp-17, -0x1.8916f5d9022eep-17, -0x1.88ca740b721b2p-17, -0x1.887d0710d9e37p-17, -0x1.882713c7e7aaap-17, -0x1.87c9bee7226afp-17, -0x1.87656be065c3dp-17, -0x1.86f9f32f47e59p-17, -0x1.8688842ec0c5fp-17, -0x1.860fb3e87ef0dp-17, -0x1.859023831d50dp-17, -0x1.850a1a1041a21p-17, -0x1.847d73dbf4c22p-17, -0x1.83ea8a6db69b8p-17, -0x1.835158fac6918p-17, -0x1.82b1930a3710cp-17, -0x1.820e0a398fda8p-17, -0x1.8161a851e9804p-17, -0x1.80af43b9b0cb8p-17, -0x1.7ff9ee3dc2a11p-17, -0x1.7f412bd462073p-17, -0x1.7e83fd447497bp-17, -0x1.7db40f3f2822ap-17, -0x1.7ce6cbb7fc35ap-17, -0x1.7c177a9e84f4fp-17, -0x1.7b402eaaeee82p-17, -0x1.7a634d0300c07p-17, -0x1.7981f73ac262fp-17, -0x1.789cabf92a0a1p-17, -0x1.77b298901adaep-17, -0x1.76c39a702446p-17, -0x1.75d056e112542p-17, -0x1.74d86895d571ap-17, -0x1.73db6fdc2cbefp-17, -0x1.72d9434425b03p-17, -0x1.71d3e7e8d708fp-17, -0x1.70cd6119f81d9p-17, -0x1.6fc04faea85c6p-17, -0x1.6eaf5ad1ba6fp-17, -0x1.6d9a8caf2f4fdp-17, -0x1.6c81e265d0f38p-17, -0x1.6b6463ac70dp-17, -0x1.6a4c26e64fd89p-17, -0x1.6921f0bbf6423p-17, -0x1.67fc3cc75247ap-17, -0x1.66d140ddfbe74p-17, -0x1.65a43b992ac82p-17, -0x1.64749dee7946ep-17, -0x1.634186bdaa7b4p-17, -0x1.6214d0a61effdp-17, -0x1.60cfdad60e716p-17, -0x1.5f94ecd796e49p-17, -0x1.5e548d5bd0b65p-17, -0x1.5d12410591d3p-17, -0x1.5bcf0a134638dp-17, -0x1.5a8618836e063p-17, -0x1.593c32f8f6a5cp-17, -0x1.57efd7dd54d25p-17, -0x1.56a11ada3207bp-17, -0x1.555022470138cp-17, -0x1.53fba96189759p-17, -0x1.52a773d40e8ap-17, -0x1.514f8f6d775e2p-17, -0x1.4ff5d3fbf4b04p-17, -0x1.4e9a202b6c5a3p-17, -0x1.4d3c746c02f82p-17, -0x1.4bdd0dc6f48bfp-17, -0x1.4a7b970398028p-17, -0x1.4917e38b9df23p-17, -0x1.47c02b3274b93p-17, -0x1.464a5e668a9a7p-17, -0x1.44e53d2edafcdp-17, -0x1.4379c1a397886p-17, -0x1.422a5c9afd84fp-17, -0x1.40a39134950ep-17, -0x1.3f36e14fb57fbp-17, -0x1.3dc7f6ed9a82ep-17, -0x1.3c57e4c61368ep-17, -0x1.3ae6e94ee2886p-17, -0x1.3976bb3b70dcp-17, -0x1.3801003bfa5abp-17, -0x1.368c2eee22ad1p-17, -0x1.3516a7522e6b5p-17, -0x1.33a034c7f8984p-17, -0x1.3228d5a49422bp-17, -0x1.30b0d0b15c836p-17, -0x1.2f37fb82a1e55p-17, -0x1.2dbe3df16db3p-17, -0x1.2c43d65fe9094p-17, -0x1.2ac8c26c32695p-17, -0x1.294d323188725p-17, -0x1.27d12080b1b73p-17, -0x1.26533d53142a3p-17, -0x1.24d763b74e901p-17, -0x1.2359e9410f6fep-17, -0x1.21dc07c545f33p-17, -0x1.205daf0d2b0fdp-17, -0x1.1ede23cf84ef1p-17, -0x1.1d857fb8725fep-17, -0x1.1be0c1967443bp-17, -0x1.1a624c9f778a5p-17, -0x1.18e22e0f8cef5p-17, -0x1.1761a672e41d9p-17, -0x1.15e9baf1fe6dfp-17, -0x1.146780182f0b9p-17, -0x1.12e4f37f54a5cp-17, -0x1.1174b778375f5p-17, -0x1.0fe437b85227fp-17, -0x1.0e66f34115d3dp-17, -0x1.0ce8172d5083ap-17, -0x1.0b6920fc812e4p-17, -0x1.09e7e9ca5673cp-17, -0x1.086bf9b12587fp-17, -0x1.06edd81783fccp-17, -0x1.056fee43a1745p-17, -0x1.03f264c277658p-17, -0x1.027532a54133fp-17, -0x1.00f8659a2b4f8p-17, -0x1.fef8094fc36a3p-18, -0x1.fc002de97bc5ep-18, -0x1.f90943f04152ep-18, -0x1.f61356f8debd7p-18, -0x1.f31e1169a13c6p-18, -0x1.f03e43d4b33c4p-18, -0x1.ed35d0b357b2ap-18, -0x1.ea46cb11cc842p-18, -0x1.e756f0ed22f21p-18, -0x1.e4680d17a51cdp-18, -0x1.e1782a67411dap-18, -0x1.de52bdfab57c2p-18, -0x1.dba324250edbcp-18, -0x1.d8bb72fab72a5p-18, -0x1.d5d372c8d0af8p-18, -0x1.d2ee59248046ep-18, -0x1.d00a0c5184df7p-18, -0x1.cd25daff891bap-18, -0x1.ca0cf8fa435bdp-18, -0x1.c763f88c82f86p-18, -0x1.c490345b10b4cp-18, -0x1.c17075fd53daap-18, -0x1.bed29839cb487p-18, -0x1.bbfdc3837dc1p-18, -0x1.b92851cd24b56p-18, -0x1.b654a528e05c9p-18, -0x1.b382e69fe7addp-18, -0x1.b0b2e68a4b96p-18, -0x1.ade649198c38ap-18, -0x1.ab1a49b74cc4ap-18, -0x1.a8515d4e68971p-18, -0x1.a589c9f899553p-18, -0x1.a2c4b430989dfp-18, -0x1.a001e40d3bfe2p-18, -0x1.9d415b33f13e1p-18, -0x1.9a83230d0c58dp-18, -0x1.97c7417342cffp-18, -0x1.950db67d51739p-18, -0x1.92567e1259bedp-18, -0x1.8fa169adc802ep-18, -0x1.8ceca3d2f9f2fp-18, -0x1.8a435ab72f612p-18, -0x1.87909a737932cp-18, -0x1.84c83f85cc64dp-18, -0x1.823d04e897e4ep-18, -0x1.7f981d9dcdc49p-18, -0x1.7cf48164d7075p-18, }}, 
      {{-0x1.6184b8643a536p-1, -0x1.5f4cdcb881eb6p-1, -0x1.5bb0a38731707p-1, -0x1.56cba17fb882ep-1, -0x1.50be1639a5944p-1, -0x1.49aa98d911105p-1, -0x1.41b46c829b65p-1, -0x1.38fe507ef8ccbp-1, -0x1.2fa9ac454745bp-1, -0x1.25d6006e7035bp-1, -0x1.1ba08ba627056p-1, -0x1.112416e6e6961p-1, -0x1.0678df4d3df6bp-1, -0x1.f7692bfd4b61cp-2, -0x1.e1d4e07ed2bb4p-2, -0x1.cc568624c33p-2, -0x1.b70b4d5ff19f2p-2, -0x1.a20c3de6e2232p-2, -0x1.8d6e8cd71648fp-2, -0x1.7943f481a2a7dp-2, -0x1.659b0b2483d99p-2, -0x1.527f9682e5fap-2, -0x1.3ffadb050898p-2, -0x1.2e13e51b24a6p-2, -0x1.1ccfcd20d79e1p-2, -0x1.0c31f54c7b301p-2, -0x1.f878847ce6e2ep-3, -0x1.d9de9d0d9cad5p-3, -0x1.bc9532183e5b6p-3, -0x1.a0995ead5af5ap-3, -0x1.85e6a642379a2p-3, -0x1.6c7738610aa57p-3, -0x1.54442c559743fp-3, -0x1.3d45b68ad3725p-3, -0x1.27735724e721fp-3, -0x1.12c403115b24dp-3, -0x1.fe5c8ffdeabd5p-4, -0x1.d950d6a9c1566p-4, -0x1.b6510a654348dp-4, -0x1.95492f123b2d6p-4, -0x1.76254375d208p-4, -0x1.58d1628ffd1dap-4, -0x1.3d39df6ea7157p-4, -0x1.234b5c4dc05d1p-4, -0x1.0af2dd8d8b381p-4, -0x1.e83bb1fe9f6efp-5, -0x1.bd7483b4eef49p-5, -0x1.956d240a15248p-5, -0x1.7003a1faf9b3cp-5, -0x1.4d1731327750ap-5, -0x1.2c88301800261p-5, -0x1.0e382adb7f00cp-5, -0x1.e413b7dd495ddp-6, -0x1.afc254d3ef921p-6, -0x1.7f464d633b719p-6, -0x1.526c0b60bf98ap-6, -0x1.290235682e214p-6, -0x1.02d9a14d1151p-6, -0x1.bf8a8984cb3aap-7, -0x1.7f3449bc6b93ap-7, -0x1.445e8a3f985p-7, -0x1.0ebb2b5d6667dp-7, -0x1.bbff859a438ccp-8, -0x1.63caef5b3c3dcp-8, -0x1.1451bc9e3b1ddp-8, -0x1.9a27502d6314bp-9, -0x1.1b2d71d18c4f6p-9, -0x1.559bf5c9c94e7p-10, -0x1.20b23989999b2p-11, 0x1.b105b6ee8957bp-14, 0x1.5c5c3bc50d59ep-11, 0x1.2a79c421b49f2p-10, 0x1.9159c5028f2fcp-10, 0x1.e4225a222297p-10, 0x1.120b2d4623b67p-9, 0x1.2934074952113p-9, 0x1.381cfd2ecfec2p-9, 0x1.3f4fd00f37ff6p-9, 0x1.3f4f1bd607517p-9, 0x1.3896b1d3ea4b8p-9, 0x1.2b9beafb5a389p-9, 0x1.18cdf9621f9bbp-9, 0x1.0096361135e8cp-9, 0x1.c6b0d0fff5de8p-10, 0x1.82e61d8d7f938p-10, 0x1.367f3b6511e5cp-10, 0x1.c44b09df21a56p-11, 0x1.0cf27618e8329p-11, 0x1.208fb2563013cp-13, -0x1.12039c567f5f7p-12, -0x1.656f97204234ap-11, -0x1.261295041d097p-10, -0x1.9e1830acff218p-10, -0x1.0d2b1fddb14b5p-9, -0x1.4d3061f96f5ecp-9, -0x1.8ee8e7f41c117p-9, -0x1.d2249bcf83b4fp-9, -0x1.0b5b118334688p-8, -0x1.2e395e0f5b29fp-8, -0x1.51990ee0d67edp-8, -0x1.75672b2959fbp-8, -0x1.9991d6ec7dfb5p-8, -0x1.be08447b33d79p-8, -0x1.e2baa69e3d03cp-8, -0x1.03cd11f5e1ff2p-7, -0x1.164c651ffb8fbp-7, -0x1.28d4c154f8eb3p-7, -0x1.3b60030c8771cp-7, -0x1.4de8695cb3b9cp-7, -0x1.606890d9b16b9p-7, -0x1.72db6ebda1891p-7, -0x1.853c4c3d759f9p-7, -0x1.9786c215ebf8cp-7, -0x1.a9b6b45bfe504p-7, -0x1.bbc84e72356e1p-7, -0x1.cdb7ff2e5c3e6p-7, -0x1.df827548ca09p-7, -0x1.f1249bef37558p-7, -0x1.014dcbb5262a7p-6, -0x1.09f260fb99efep-6, -0x1.127ed467d7043p-6, -0x1.1af204aeb35b5p-6, -0x1.234ae742f75b4p-6, -0x1.2b88870d39c3dp-6, -0x1.33aa03369deb2p-6, -0x1.3bae8e02687b5p-6, -0x1.43956bb757d6bp-6, -0x1.4b5df1959f54cp-6, -0x1.530784d8cc482p-6, -0x1.5a9199c6c0916p-6, -0x1.61fbb2cc2db54p-6, -0x1.69455fa68f0dep-6, -0x1.706e3c9785ab4p-6, -0x1.7775f1a1ec714p-6, -0x1.7e5c31d5b6bfap-6, -0x1.8520baa2d01a1p-6, -0x1.8bc35334d3923p-6, -0x1.9243cbe06c638p-6, -0x1.98a1fd91f824fp-6, -0x1.9eddc943461efp-6, -0x1.a4f7177cb0dc1p-6, -0x1.aaedd7db0241p-6, -0x1.b0c2009cfbe46p-6, -0x1.b6738e33b9206p-6, -0x1.bc0282d7c5da4p-6, -0x1.c16ee6272b4fcp-6, -0x1.c6b8c4cc0a104p-6, -0x1.cbe030239d83ap-6, -0x1.d0e53dea6b13ap-6, -0x1.d5c807f1f1474p-6, -0x1.da88abde89438p-6, -0x1.df274ae7b221ep-6, -0x1.e3a4099932e7ep-6, -0x1.e7ff0f9c35e33p-6, -0x1.ec38878434be7p-6, -0x1.f0509e9ddd20bp-6, -0x1.f44784c05d073p-6, -0x1.f81d6c1f206a6p-6, -0x1.fbd2891e52cb8p-6, -0x1.ff67122a2dd0fp-6, -0x1.016d9fc7dbf52p-5, -0x1.0317a5ab7ec48p-5, -0x1.04b1b890683d9p-5, -0x1.063bf703b4036p-5, -0x1.07b6803ff9e69p-5, -0x1.0921741f7c1b2p-5, -0x1.0a7cf3111f52dp-5, -0x1.0bc91e0db25bbp-5, -0x1.0d06168e8a53fp-5, -0x1.0e33fe8587dc3p-5, -0x1.0f52f854bfc05p-5, -0x1.106326c888e45p-5, -0x1.1164ad1238003p-5, -0x1.1257aebfd43f9p-5, -0x1.133c4fb803b02p-5, -0x1.1412b43414f57p-5, -0x1.14db00ba8da19p-5, -0x1.15955a1a064ffp-5, -0x1.1641e564293b3p-5, -0x1.16e0c7e8d07d6p-5, -0x1.177227314d20bp-5, -0x1.17f628fc07343p-5, -0x1.186cf3388551dp-5, -0x1.18d6ac03e3ad8p-5, -0x1.193379a5a4dbfp-5, -0x1.1983828cdf7d1p-5, -0x1.19c6ed4de7657p-5, -0x1.19fde0a00155fp-5, -0x1.1a28835b91246p-5, -0x1.1a46fc79e9878p-5, -0x1.1a597312d9cf4p-5, -0x1.1a600e5aa096ep-5, -0x1.1a5af5a3d09c4p-5, -0x1.1a4a505b4c4fap-5, -0x1.1a2e46089fe5bp-5, -0x1.1a06fe4d6ac12p-5, -0x1.19d4a0e3922e1p-5, -0x1.1997559bd100bp-5, -0x1.194f445b6c5b2p-5, -0x1.18fc951c99023p-5, -0x1.189f6fed23f7p-5, -0x1.1837fcea8ae0bp-5, -0x1.17c6644118678p-5, -0x1.174ace2a6c704p-5, -0x1.16c562eb6f82bp-5, -0x1.16364ad25280ep-5, -0x1.159dae34cfcfap-5, -0x1.14fbb56dffc6fp-5, -0x1.145088dcc6e3bp-5, -0x1.139c50e0b9e8ep-5, -0x1.12df35db0616fp-5, -0x1.12196029950d8p-5, -0x1.114af826ef972p-5, -0x1.107426280fa36p-5, -0x1.0f95127aadbf8p-5, -0x1.0eade5637adc1p-5, -0x1.0dbec71c6e79bp-5, -0x1.0cc7dfd2f6ee5p-5, -0x1.0bc957a6186dp-5, -0x1.0ac356a484a9bp-5, -0x1.09b604cbb3561p-5, -0x1.08a18a06e3bf3p-5, -0x1.07860e2a1e8e8p-5, -0x1.0663b8f08cc24p-5, -0x1.053ab1ffbd6b4p-5, -0x1.040b20e0eddd1p-5, -0x1.02d52cfeaa654p-5, -0x1.0198fda5989b8p-5, -0x1.0056ba01f7ba1p-5, -0x1.fe1d12398fe6p-6, -0x1.fb8123b3db615p-6, -0x1.f8d9f5ec98c89p-6, -0x1.f627d60b8d2e6p-6, -0x1.f36b10e26e99cp-6, -0x1.f0a3f2e8cb872p-6, -0x1.edd2c83871c82p-6, -0x1.eaf7dc88f59d2p-6, -0x1.e8137b2c042cbp-6, -0x1.e525ef09fc597p-6, -0x1.e22f829f62704p-6, -0x1.df307fef6763p-6, -0x1.dc293090448f9p-6, -0x1.d919dd9e999a3p-6, -0x1.d602cfb7c4f17p-6, -0x1.d2e44ef8fa2e4p-6, -0x1.cfbea2fac0bbep-6, -0x1.cc9212d2c8801p-6, -0x1.c95ee508f1701p-6, -0x1.c6255f940deb1p-6, -0x1.c2e5c7ddd31c9p-6, -0x1.bfa062b9747c5p-6, -0x1.bc5574622d718p-6, -0x1.b9054077de61dp-6, -0x1.b5b009fbf1865p-6, -0x1.b256134e4a4f4p-6, -0x1.aef79e2a4bffdp-6, -0x1.ab94eba415c5dp-6, -0x1.a82e3c25c3095p-6, -0x1.a4c3cf6ca61bbp-6, -0x1.a155e486eddc3p-6, -0x1.9de4b9cfbd136p-6, -0x1.9a708cedf4d3cp-6, -0x1.96f99ad0f4034p-6, -0x1.93801fae55a14p-6, -0x1.900457000ebfep-6, -0x1.8c867b829bf85p-6, -0x1.8906c73100258p-6, -0x1.85857344e4c22p-6, -0x1.8202b833dc55cp-6, -0x1.7e7ecdaca7b14p-6, -0x1.7af9ea96eedcap-6, -0x1.77744510e3ebp-6, -0x1.73ee126d863fcp-6, -0x1.706787333fe5fp-6, -0x1.6ce0d71a7dfa7p-6, -0x1.695a350c59fa4p-6, -0x1.65d3d3212bd77p-6, -0x1.624de29f8d594p-6, -0x1.5ec893fb57dbbp-6, -0x1.5b4416d5806bbp-6, -0x1.57c099f9c30d7p-6, -0x1.543e4b6be606dp-6, -0x1.50bd583287691p-6, -0x1.4d3decb8101fp-6, -0x1.49c0345b13e1fp-6, -0x1.464459bb1466bp-6, -0x1.42ca869ee2ff7p-6, -0x1.3f52e3f55a623p-6, -0x1.3bdd99d40fb39p-6, -0x1.386acf76de6bcp-6, -0x1.34faab414340ep-6, -0x1.318d52bfa2aa4p-6, -0x1.2e22eaa7b8c31p-6, -0x1.2abb96d8377a7p-6, -0x1.27577a586793ep-6, -0x1.23f6b7597633ap-6, -0x1.20996f3661dedp-6, -0x1.1d3fc274b0089p-6, -0x1.19e9d0c593ea2p-6, -0x1.1697b906802dp-6, -0x1.134999420dba1p-6, -0x1.0fff8eb0f36c1p-6, -0x1.0cb9b5baffdfp-6, -0x1.097829f8339dcp-6, -0x1.063b06321b58cp-6, -0x1.03026464ca69ap-6, -0x1.ff9cbb81297a6p-7, -0x1.f93e1557251e4p-7, -0x1.f2e90585c3ff3p-7, -0x1.ec9db9b5931cbp-7, -0x1.e65c5dfd4d063p-7, -0x1.e0251cee343a4p-7, -0x1.d9f81fa014db5p-7, -0x1.d3d58d98cb0dcp-7, -0x1.cdbd8ce056b3ap-7, -0x1.c7b0420f7f436p-7, -0x1.c1add0443ba08p-7, -0x1.bbb6592314c46p-7, -0x1.b5c9fce23dd2fp-7, -0x1.afe8da3aacb69p-7, -0x1.aa130eb0a8a82p-7, -0x1.a448b642a6bd4p-7, -0x1.9e89eb79614bp-7, -0x1.98d6c7aa45358p-7, -0x1.932f62c6503a6p-7, -0x1.8d93d36cf6167p-7, -0x1.88042ef05d9bap-7, -0x1.8280895a01b3bp-7, -0x1.7d08f56f4f91fp-7, -0x1.779d84b69abedp-7, -0x1.723e477b85ceap-7, -0x1.6ceb4cd415639p-7, -0x1.67a4a2a556d15p-7, -0x1.626a55a82b58p-7, -0x1.5d3c716d83d22p-7, -0x1.581b0066525c6p-7, -0x1.53060be27ab69p-7, -0x1.4dfd9c1bdc455p-7, -0x1.4901b838552bdp-7, -0x1.4412664f6d94bp-7, -0x1.3f2fab6f5af06p-7, -0x1.3a598ba209f57p-7, -0x1.359009f202587p-7, -0x1.30d3286f7f26ep-7, -0x1.2c22e83571e1cp-7, -0x1.277f496e7be21p-7, -0x1.22e84b5a18277p-7, -0x1.1e5dec51b5871p-7, -0x1.19e029cdbf1fcp-7, -0x1.156f006aa5ed7p-7, -0x1.110a6bedeeba4p-7, -0x1.0cb2674b201c7p-7, -0x1.0866eca8beabbp-7, -0x1.0427f56583561p-7, -0x1.ffeaf4336c061p-8, -0x1.f79ee563e93c1p-8, -0x1.ef6bac591dc77p-8, -0x1.e751362cda78ep-8, -0x1.df4f6e3278f3bp-8, -0x1.d7663eb58f8abp-8, -0x1.cf9591129fcd7p-8, -0x1.c7dd4bf67f8e3p-8, -0x1.c03d55c2c7923p-8, -0x1.b8b5948ad9e59p-8, -0x1.b145ebf294e8p-8, -0x1.a9ee3eaf92806p-8, -0x1.a2ae6eae48ad7p-8, -0x1.9b865cc24f7dcp-8, -0x1.9475e8b644a8p-8, -0x1.8d7cf158e8f9ep-8, -0x1.869b548745cbap-8, -0x1.7fd0ef35481acp-8, -0x1.791d9d771ac4p-8, -0x1.72813a8863768p-8, -0x1.6bfba0d56bab9p-8, -0x1.658caa02decc1p-8, -0x1.5f342ef5e5819p-8, -0x1.58f207dbb569ep-8, -0x1.52c60c323f55fp-8, -0x1.4cb012cfd4f2ap-8, -0x1.46aff1ea234dep-8, -0x1.40c57f1e39e39p-8, -0x1.3af08f77dab45p-8, -0x1.3530f778a1d46p-8, -0x1.2f868b1f2488ap-8, -0x1.29f11dedec5c4p-8, -0x1.247082f25e3a4p-8, -0x1.1f048ccb9c762p-8, -0x1.19ad0daf3ca27p-8, -0x1.1469d7810604cp-8, -0x1.0f3abb9ea89a9p-8, -0x1.0a1f8b4a3b13fp-8, -0x1.051817562aa7cp-8, -0x1.002430509f34dp-8, -0x1.f6874ce2ce7d9p-9, -0x1.ecec934262717p-9, -0x1.e377d5eb287f5p-9, -0x1.da28b0efa9dc7p-9, -0x1.d0fec3adf9a7dp-9, -0x1.c7f9af9d87245p-9, -0x1.bf1910e0fde43p-9, -0x1.b65c860520a27p-9, -0x1.adc3ad43bfa0fp-9, -0x1.a54e248c36c5bp-9, -0x1.9cfb89ad4c2bcp-9, -0x1.94cb7a64c9b47p-9, -0x1.8cbd9468aac85p-9, -0x1.84d1756ff9973p-9, -0x1.7d06bb3bb3aa2p-9, -0x1.755d039ef9303p-9, -0x1.6dd3ec865d5d8p-9, -0x1.666b13ffdf1cdp-9, -0x1.5f22184309b93p-9, -0x1.57f897b82a37ap-9, -0x1.50ee3101acf1ep-9, -0x1.4a0282fd3d40dp-9, -0x1.43352cd165868p-9, -0x1.3c85cdf31b80ep-9, -0x1.35f4062898be6p-9, -0x1.2f7f7594cf96ap-9, -0x1.2927bcbbcf6p-9, -0x1.22ec7c87b8333p-9, -0x1.1ccd5648a466dp-9, -0x1.16c9eb70a5147p-9, -0x1.10e1df1eba19bp-9, -0x1.0b14d391f592ap-9, -0x1.05626ae801454p-9, -0x1.ff9495de964fcp-10, -0x1.f4982cb7226bep-10, -0x1.e9cee4c6eb0cdp-10, -0x1.df3808cc04c9bp-10, -0x1.d4d2e49e7409ep-10, -0x1.ca9ec54b45b07p-10, -0x1.c09af91e65bf5p-10, -0x1.b6c6cfabac718p-10, -0x1.ad2199d7c62dcp-10, -0x1.a3aaa9df6e80fp-10, -0x1.9a61535a95231p-10, -0x1.9144eb37c9e76p-10, -0x1.8854c790409c5p-10, -0x1.7f904032d35d2p-10, -0x1.76f6ae3a1c067p-10, -0x1.6e876bac7d13bp-10, -0x1.6641d4a1aeefap-10, -0x1.5e25467698ceap-10, -0x1.56311fe445e11p-10, -0x1.4e64c109b2f5p-10, -0x1.46bf8b827efabp-10, -0x1.3f40e27585015p-10, -0x1.37e82a702d157p-10, -0x1.30b4ca745dbd1p-10, -0x1.29a6289c7ea04p-10, -0x1.22bbb0a0cc3a9p-10, -0x1.1bf4cc4149fbep-10, -0x1.1550e85560024p-10, -0x1.0ecf732dea874p-10, -0x1.086fdc91827dap-10, -0x1.023195d69b0bep-10, -0x1.f82823c33c2d3p-11, -0x1.ec2d8a4a50f93p-11, -0x1.e0724b3cf8b9ap-11, -0x1.d4f555b2f1bf8p-11, -0x1.c9b59bdc1f57ep-11, -0x1.beb212fecdf77p-11, -0x1.b3e9b3752faa4p-11, -0x1.a95b78ad58ec4p-11, -0x1.9f06611b0eb57p-11, -0x1.94e96e408ca52p-11, -0x1.8b03a49ee5cf9p-11, -0x1.81540c4934c8fp-11, -0x1.77d9afbd32133p-11, -0x1.6e939d4b41f05p-11, -0x1.6580e66c761a1p-11, -0x1.5ca09ffa4f041p-11, -0x1.53f1e23b8b615p-11, -0x1.4b73c8dff4e7fp-11, -0x1.432572c90d65ep-11, -0x1.3b06029af4e06p-11, -0x1.33149cdfbb248p-11, -0x1.2b506aaa667f3p-11, -0x1.23b8960aab918p-11, -0x1.1c4c4c7ebb2fcp-11, -0x1.150abd9adba36p-11, -0x1.0df31b3b85652p-11, -0x1.0704998d46873p-11, -0x1.003e6f29fb69bp-11, -0x1.f33faa92df9acp-12, -0x1.e650101f0fbe8p-12, -0x1.d9ac8d72880f5p-12, -0x1.cd53a7911a9afp-12, -0x1.c143ea5310cbfp-12, -0x1.b57beaa5e6b8ap-12, -0x1.a9fa49e86aee5p-12, -0x1.9ebda6fb59118p-12, -0x1.93c4a34512ef9p-12, -0x1.890df8d0d9536p-12, -0x1.7e9858b9b96e1p-12, -0x1.746276503d0c3p-12, -0x1.6a6b0dcc85f79p-12, -0x1.60b0df0d7c589p-12, -0x1.5732ac3f91d1ep-12, -0x1.4def3a4e97652p-12, -0x1.44e55141e4344p-12, -0x1.3c13bce176fe9p-12, -0x1.33794d62e3291p-12, -0x1.2b14d81ecdae1p-12, -0x1.22e538b0c24f1p-12, -0x1.1ae9506d0ff71p-12, -0x1.132008a432d62p-12, -0x1.0b8850f48dfd4p-12, -0x1.04211fca2874cp-12, -0x1.f9d2e33d24c16p-13, -0x1.ebc090730849fp-13, -0x1.de0953c8affe9p-13, -0x1.d0ab416897949p-13, -0x1.c3a47400764bdp-13, -0x1.b6f30c18999fdp-13, -0x1.aa952fce68f6cp-13, -0x1.9e890ad83a835p-13, -0x1.92ccceb8a6f8cp-13, -0x1.875eb305c01d3p-13, -0x1.7c3cf5b63fe13p-13, -0x1.7165db71726d2p-13, -0x1.66d7b00bbd4f8p-13, -0x1.5c90c77e1a532p-13, -0x1.528f7f747eb79p-13, -0x1.48d240c0fcee5p-13, -0x1.3f577f3ded994p-13, -0x1.361db7cc7d7bbp-13, -0x1.2d236e9fa70e5p-13, -0x1.24672fbed8077p-13, -0x1.1be790946f17ep-13, -0x1.13a32fbda4e08p-13, -0x1.0b98b1ec47b5bp-13, -0x1.03c6be078781ap-13, -0x1.f857f8bdc4cfdp-14, -0x1.e98e336beb444p-14, -0x1.db2d950cb6715p-14, -0x1.cd339798fe71dp-14, -0x1.bf9dc486e2bbap-14, -0x1.b269b3109772fp-14, -0x1.a595070a04c2dp-14, -0x1.991d700231294p-14, -0x1.8d00a8ad743bbp-14, -0x1.813c76896cb85p-14, -0x1.75cea998b1f2ap-14, -0x1.6ab51c2e61835p-14, -0x1.5fedb2f31775fp-14, -0x1.55765d660f9b3p-14, -0x1.4b4d16d7142cap-14, -0x1.416fe75cee62bp-14, -0x1.37dce28f5045dp-14, -0x1.2e922953883aap-14, -0x1.258de51dbb2a8p-14, -0x1.1cce4421ebc78p-14, -0x1.14517e5f316e8p-14, -0x1.0c15d2865b56ap-14, -0x1.0419898e91be8p-14, -0x1.f8b5ef2b2c69ep-15, -0x1.e9b0f6f64f62dp-15, -0x1.db20faec06f7p-15, -0x1.cd02db5916708p-15, -0x1.bf53839c0b03ap-15, -0x1.b20fe07a9aaap-15, -0x1.a5353a1ab40bap-15, -0x1.98c1821cd80b5p-15, -0x1.8cb0c12e9c5cbp-15, -0x1.8101720553539p-15, -0x1.75b0a310ee9cbp-15, -0x1.6abb4ab2f43a9p-15, -0x1.601ee57a3c2d1p-15, -0x1.55d8eaa34ba96p-15, -0x1.4be6c9b03ba37p-15, -0x1.42460f3d8fed5p-15, -0x1.38f48247209e7p-15, -0x1.2fefe3254cc9ep-15, -0x1.2735fd395248p-15, -0x1.1ec4b04ae9051p-15, -0x1.1699ef3d6e1c9p-15, -0x1.0eb3bc65d7453p-15, -0x1.071021d880cd6p-15, -0x1.ff5a4f100e886p-16, -0x1.f1119cee3ded5p-16, -0x1.e3422e1aef1c8p-16, -0x1.d5e823e89a336p-16, -0x1.c8ffe5f11d80cp-16, -0x1.bc8634804b4ebp-16, -0x1.b07819310ddacp-16, -0x1.a4d2bb2b2cdeep-16, -0x1.99932e82917dp-16, -0x1.8eb659ce90435p-16, -0x1.8438fea9b8896p-16, -0x1.7a17daeb66b9cp-16, -0x1.704fc8fe90b07p-16, -0x1.66ddcb681d40dp-16, -0x1.5dbf036558d16p-16, -0x1.54f0a39372355p-16, -0x1.4c6fef1b11dap-16, -0x1.443a47e56b189p-16, -0x1.3c4d406020b2fp-16, -0x1.34a6a1401f29fp-16, -0x1.2d445abbe5061p-16, -0x1.262466041f36dp-16, -0x1.1f44a7937350bp-16, -0x1.18a2e126592f2p-16, -0x1.123cb1cf37782p-16, -0x1.0c0fee0680a32p-16, -0x1.061a506d4d276p-16, -0x1.0059af3030676p-16, -0x1.f5998d3a2e1c5p-17, -0x1.eae357fc31735p-17, -0x1.e08dbb50d0512p-17, -0x1.d695793780899p-17, -0x1.ccf711e716694p-17, -0x1.c3af0e20993f6p-17, -0x1.baba356c3a0ap-17, -0x1.b215a47eb7cc9p-17, -0x1.a9be954fb4d9bp-17, -0x1.a1b235332171bp-17, -0x1.99ed7fc0fe719p-17, -0x1.926d585b669c1p-17, -0x1.8b2ead62651dfp-17, -0x1.842ea04a3d0d4p-17, -0x1.7d6aa97da6d13p-17, -0x1.76e0a126a2839p-17, -0x1.708e9d9b57cf4p-17, -0x1.6a72b2c164fb3p-17, -0x1.648ac12c30fd3p-17, -0x1.5ed47d8a867dfp-17, -0x1.594daa52a1ebp-17, -0x1.53f438e070669p-17, -0x1.4ec5ae3c5dbb5p-17, -0x1.49c192ce701bap-17, -0x1.44e68cb958f97p-17, -0x1.403162c8eb15ap-17, -0x1.3ba0a18c72bf3p-17, -0x1.373285e248a5fp-17, -0x1.32e5325cf8f54p-17, -0x1.2eb709a292618p-17, -0x1.2aa6d389b8441p-17, -0x1.26b3950916c78p-17, -0x1.22dc47a6caf49p-17, -0x1.1f1fb0fd592ccp-17, -0x1.1b7c7764f24b1p-17, -0x1.17f1425d9d925p-17, -0x1.147cc35a570c4p-17, -0x1.111db7b73fcc3p-17, -0x1.0dd2f6052fe02p-17, -0x1.0a9b74450748ep-17, -0x1.077627f8919c3p-17, -0x1.0461097360f66p-17, -0x1.015bb8c5eef88p-17, -0x1.fcd37c1771ca6p-18, -0x1.f70244271f646p-18, -0x1.f15478bb0fba4p-18, -0x1.ebbc2cf93596bp-18, -0x1.e63c2e0931bc5p-18, -0x1.e0d4110fc17ep-18, -0x1.db828fa9cc517p-18, -0x1.d646068a48a13p-18, -0x1.d11cd7c0d81c7p-18, -0x1.cc04cc7ca8793p-18, -0x1.c6fbbf294b19ep-18, -0x1.c20137db6d125p-18, -0x1.bd1460956d8e3p-18, -0x1.b834c4ef25e72p-18, -0x1.b361b4ca0f001p-18, -0x1.ae9a1d5bae61dp-18, -0x1.a9dcc9e035568p-18, -0x1.a5297b0877172p-18, -0x1.a07efca0f1f99p-18, -0x1.9bdcbbfe314b5p-18, -0x1.9741e6d3875c9p-18, -0x1.92ad872f4e957p-18, -0x1.8e1e7dc4341ecp-18, -0x1.8994ad021c18p-18, -0x1.8510e2cbcbb6fp-18, -0x1.8091910afcdf1p-18, -0x1.7c155baef50d8p-18, -0x1.779d492de8227p-18, -0x1.7328436454214p-18, -0x1.6eb46ad830311p-18, -0x1.6a41da3a4c24ep-18, -0x1.65d118c07958bp-18, -0x1.6162266b1c1a3p-18, -0x1.5cf4a14514327p-18, -0x1.588810568c6p-18, -0x1.541bfc0985d47p-18, -0x1.4faff39328969p-18, -0x1.4b43a1978f67bp-18, -0x1.46d6d34262d4ap-18, -0x1.42696296ed8e1p-18, -0x1.3dfcd5968ff62p-18, -0x1.398d44c3ddb23p-18, -0x1.351e019331cbfp-18, -0x1.30adb4f003b69p-18, -0x1.2c3c6f6c1617ep-18, -0x1.27ca21f7767bp-18, -0x1.2356c7b662d4bp-18, -0x1.1ee27c64c82f4p-18, -0x1.1a6bd890cf6b7p-18, -0x1.15f2f2614ac29p-18, -0x1.117b4e42f2562p-18, -0x1.0d0300bfd8383p-18, -0x1.0887716dc49c2p-18, -0x1.040af1272f7b4p-18, -0x1.ff1ad8882e194p-19, -0x1.f61daf8945d99p-19, -0x1.ed1e632974049p-19, -0x1.e41cfa657bbbp-19, -0x1.db198aa38ebdcp-19, -0x1.d2143df876d46p-19, -0x1.c90d6a80ec268p-19, -0x1.c0050c19c0dc2p-19, -0x1.b6fb781d83354p-19, -0x1.adf0d8ae5b6bfp-19, -0x1.a4e56b737a803p-19, -0x1.9bd96c47f9d4cp-19, -0x1.92cd22ad72c24p-19, -0x1.89c0a04f66b3cp-19, -0x1.80b3f259dc1bap-19, -0x1.77a78940dcad3p-19, -0x1.6e9c392d6d72fp-19, -0x1.658f13275223p-19, -0x1.5c862d8fdf94bp-19, -0x1.5380ca4770dffp-19, -0x1.4a7afa01cadaap-19, -0x1.417753aa30142p-19, -0x1.3875d2a8c5642p-19, -0x1.2f76e6c454c1p-19, -0x1.267b0d3253826p-19, -0x1.1d828c83bc232p-19, -0x1.148dc0f8c17e5p-19, -0x1.0b9cefc63b7eep-19, -0x1.02b0a5803a018p-19, -0x1.f392dc2c1ce1ep-20, -0x1.e1cbd5b5b1befp-20, -0x1.d010480331429p-20, -0x1.be6038d1163bcp-20, -0x1.acbbdb2448efp-20, -0x1.9b23cc5549b25p-20, -0x1.8998b4f8cd909p-20, -0x1.781b49fc36937p-20, -0x1.66ac6f1d72cb7p-20, -0x1.554d54e375211p-20, -0x1.43fe76b579665p-20, -0x1.3293601f4dcfdp-20, -0x1.21ce3d6be6befp-20, -0x1.10494cad78104p-20, -0x1.fec3664c913e5p-21, -0x1.dcca00ab92635p-21, -0x1.baf87f0d51e28p-21, -0x1.994fec1530b58p-21, -0x1.77d0552dd4ae6p-21, -0x1.567ab562353ddp-21, -0x1.354c4f90d7d39p-21, -0x1.14502fccf4f21p-21, -0x1.e6fae5d1ccf66p-22, -0x1.a5b2806f17e35p-22, -0x1.64c44ab98ee7ep-22, -0x1.2439c9af22b62p-22, -0x1.c81c00984651fp-23, -0x1.4890665e5708fp-23, -0x1.939c34f0c0a67p-24, -0x1.2f6b3e22a0063p-25, 0x1.8a2f69d7b733ap-26, 0x1.5b20e98d1b953p-24, 0x1.29015763f92d4p-23, 0x1.a395329a88873p-23, 0x1.0ea44f042463ap-22, 0x1.4b0c2da99b9edp-22, 0x1.87009c3b542fp-22, 0x1.c280182a3fd9cp-22, 0x1.fd88f3ea56042p-22, 0x1.1c0cd319d36c9p-21, 0x1.3917a50b6ba4bp-21, 0x1.55e633bb82596p-21, 0x1.7273d833eb0fp-21, 0x1.8ec0d5a7c05c1p-21, 0x1.aaf2ccf8594b4p-21, 0x1.c6c6ecc00e5d4p-21, 0x1.e239464b96e37p-21, 0x1.fd906cbb375ddp-21, 0x1.0c50f2e1eeedap-20, 0x1.19b800a7f0a75p-20, 0x1.26fd707999776p-20, 0x1.3420dab509444p-20, 0x1.4121dd703cac5p-20, 0x1.4e0235a2f43bap-20, 0x1.5ac45f9e81cb5p-20, 0x1.675ff1854cc8ep-20, 0x1.73d85c87a6e17p-20, 0x1.802c830d8f1bap-20, 0x1.8c67423c6ef4cp-20, 0x1.987280d530df6p-20, 0x1.a4699e9cc18d3p-20, 0x1.b01cd30470693p-20, 0x1.bbc66ecfa8269p-20, 0x1.c7596997e0938p-20, 0x1.d2b632e68369ep-20, 0x1.ddeb5863574e2p-20, 0x1.e905436123452p-20, 0x1.f3f9a5c124cd5p-20, 0x1.fec98d1fc1c87p-20, 0x1.04baa89f3ac25p-19, 0x1.09fe75dbb7accp-19, 0x1.0f30301c1cd45p-19, 0x1.144fd52ddbea5p-19, 0x1.195d578b2fa47p-19, 0x1.1e58bb09afe61p-19, 0x1.2341ff6fde7d3p-19, 0x1.281923d20c26p-19, 0x1.2cde27b781648p-19, 0x1.31910d6ac2123p-19, 0x1.3631d6e9e7d69p-19, 0x1.3ac0896c1ddfbp-19, 0x1.3f3d28d5cf7bfp-19, 0x1.43a7b9fec3d19p-19, 0x1.480044111632p-19, 0x1.4c46ce975eb2fp-19, 0x1.507b61b51e8edp-19, 0x1.549e062750d62p-19, 0x1.58aec539e0991p-19, 0x1.5cada8f22d0f6p-19, 0x1.609abc860cb3p-19, 0x1.64760d0119812p-19, 0x1.683fa95a6f484p-19, 0x1.6bf7a18e92978p-19, 0x1.6f9e059fd0eb8p-19, 0x1.7332e564a8b59p-19, 0x1.76b64ff447b88p-19, 0x1.7a2853bae234p-19, 0x1.7d89009c5b634p-19, 0x1.80d867b6ddfaep-19, 0x1.84169c13da8d4p-19, 0x1.8743b1bbbd353p-19, 0x1.8a5fbda38befdp-19, 0x1.8d6adce2c1e6ep-19, 0x1.9062ca14fea02p-19, 0x1.934e7cad239a6p-19, 0x1.96272f8ad4629p-19, 0x1.98ef4b2ef3d5bp-19, 0x1.9ba6e202c92d2p-19, 0x1.9e4e0ad178fep-19, 0x1.a0e4da8c26e05p-19, 0x1.a36b5b510868ap-19, 0x1.a5e168d4e99efp-19, 0x1.a84728c83306fp-19, 0x1.aaa9e9dd1fe93p-19, 0x1.acf76d4180f11p-19, 0x1.af1a92c1174e7p-19, 0x1.b142979ba4968p-19, 0x1.b35b96459a5a2p-19, 0x1.b564b1f3d2c9cp-19, 0x1.b75ddaddb9fbp-19, 0x1.b942d7893110dp-19, 0x1.bb2189938101ap-19, 0x1.bced796d6d3b4p-19, 0x1.beab887575e36p-19, 0x1.c05a4d0f4cc56p-19, 0x1.c1fa16ea034b1p-19, 0x1.c38b540649c42p-19, 0x1.c50e093b3a668p-19, 0x1.c681c978aaf6fp-19, 0x1.c7e9203c0affap-19, 0x1.c92da103a6aa2p-19, 0x1.ca92a53eadc5fp-19, 0x1.cbc842ee77f55p-19, 0x1.ccf8430da2d7p-19, 0x1.ce1e28886d70ap-19, 0x1.cf2ca9c8ddcbcp-19, 0x1.d035ff1f7cf3p-19, 0x1.d1321c333f2acp-19, 0x1.d2204426240b2p-19, 0x1.d301122246548p-19, 0x1.d3d5064339cf6p-19, 0x1.d49c5c77acc5ap-19, 0x1.d5573d5b46c5ap-19, 0x1.d605ba42dc19bp-19, 0x1.d6a8294969099p-19, 0x1.d73e77b8766ffp-19, 0x1.d7c8c7f48c1cdp-19, 0x1.d8476bfbd46c9p-19, 0x1.d8ba581ba0c25p-19, 0x1.d921b5bc49884p-19, 0x1.d97d71f9530bcp-19, 0x1.d9cdf0f16e978p-19, 0x1.da12a434e4c61p-19, 0x1.da4e44e137987p-19, 0x1.da7f6c4798ee4p-19, 0x1.daa3ffca2c65fp-19, 0x1.dabe3a6a1e237p-19, 0x1.dacb9234d0ef1p-19, 0x1.dad1721c2b9bfp-19, 0x1.dacd71516a683p-19, 0x1.dabedc8a0ed31p-19, 0x1.daa6169b2a196p-19, 0x1.da836d99309a5p-19, 0x1.da570bf03fd7p-19, 0x1.da2113053fcc1p-19, 0x1.d9e1a669227e2p-19, 0x1.d998e89f865b1p-19, 0x1.d946facff9b35p-19, 0x1.d8ebfd9cfd813p-19, 0x1.d888119b16ecdp-19, 0x1.d81b57a3d7226p-19, 0x1.d7a5f2840dd78p-19, 0x1.d72803344aa04p-19, 0x1.d6a12e327372cp-19, 0x1.d612cc5ae81d7p-19, 0x1.d57bea45f8aa2p-19, 0x1.d4dce5b896682p-19, 0x1.d43616351789p-19, 0x1.d38749c72c643p-19, 0x1.d2d0f3de788d5p-19, 0x1.d21302db21352p-19, 0x1.d14d9ba0927f2p-19, 0x1.d080dd1780f35p-19, 0x1.cface35edd742p-19, 0x1.ced1bcf30c6e6p-19, 0x1.cdef54d6e9c0bp-19, 0x1.cd085eda98571p-19, 0x1.cc16db0d9e29ep-19, 0x1.cb20c50f6fd22p-19, 0x1.ca263b85b11cbp-19, 0x1.c920f369d167fp-19, 0x1.c817bffe6e6e1p-19, 0x1.c7080f03c9488p-19, 0x1.c5f284303e52fp-19, 0x1.c4d6de3661f06p-19, 0x1.c3b55bcc6bf1bp-19, 0x1.c28e01b32cbdfp-19, 0x1.c1604352b86abp-19, 0x1.c031cc6b80265p-19, 0x1.bef62bcc2800fp-19, 0x1.bdba38749c09dp-19, 0x1.bc77c8a9f0df8p-19, 0x1.bb31678be9dbap-19, 0x1.b9e4cd359956p-19, 0x1.b893ac6899582p-19, 0x1.b73dd2d102502p-19, 0x1.b5e337ffe7098p-19, 0x1.b483cefdd1648p-19, 0x1.b31f2a637d11ap-19, 0x1.b1b5a8b4460dp-19, 0x1.b04a72f3848bap-19, 0x1.aedb49e1eef1ep-19, 0x1.ad66caded5543p-19, 0x1.abee63264d887p-19, 0x1.aa7225a65075fp-19, 0x1.a8f1b0ac1501cp-19, 0x1.a76ce7bc86aa8p-19, 0x1.a5e7beea224fbp-19, 0x1.a46ed3464f67fp-19, 0x1.a2cb1123a2ffep-19, 0x1.a12c90edbb49bp-19, 0x1.9fa87ac47522p-19, 0x1.9e1f7cba14b2cp-19, 0x1.9c8f62458f6fp-19, 0x1.9ad260f7d0992p-19, 0x1.9932a79a58972p-19, 0x1.978f1f3b71d36p-19, 0x1.95e82f0ff5ac8p-19, 0x1.943df924c7849p-19, 0x1.9291b76bd191fp-19, 0x1.90e35ce68d596p-19, 0x1.8f327c1e8120ep-19, 0x1.8d7f25b532349p-19, 0x1.8bc97a54ed43cp-19, 0x1.8a1180598b8c9p-19, 0x1.88575da690598p-19, 0x1.869c3f015ee15p-19, 0x1.84dd6a51b5599p-19, 0x1.831daefc1a82cp-19, 0x1.815bfe8527445p-19, 0x1.7f98714bc969ep-19, 0x1.7dd2bd817dd2fp-19, 0x1.7c0b9ecc5a23p-19, 0x1.7a4547d842995p-19, 0x1.787b2bd0215e4p-19, 0x1.76b0440b9a016p-19, 0x1.74e146e2f604p-19, 0x1.7313e54784d27p-19, 0x1.714591f982cep-19, 0x1.6f758bafd7dcep-19, 0x1.6da43e1e606ebp-19, 0x1.6bd1d218abdc5p-19, 0x1.69fe2778c5ca5p-19, 0x1.682a9fa8102c1p-19, 0x1.66557eb631f48p-19, 0x1.647ece693565fp-19, 0x1.62a8c96883c38p-19, 0x1.60d199dda48fbp-19, 0x1.5ef9b100d63eep-19, 0x1.5d216821456e8p-19, 0x1.5b48704396e2cp-19, 0x1.596f0ab6d0a92p-19, 0x1.57953fb2da24ap-19, 0x1.55bb1b79eab52p-19, 0x1.53e0aaf7d5543p-19, 0x1.5205fb0d7ace6p-19, 0x1.502b1855d6053p-19, 0x1.4e500ea6b5383p-19, 0x1.4c74e683a4429p-19, 0x1.4a999729be4a9p-19, 0x1.48b885f26fcc7p-19, 0x1.46e6ff986661cp-19, 0x1.450860f52f2b2p-19, 0x1.432ce285985e5p-19, 0x1.41528d36e7327p-19, 0x1.3f78306ea6dddp-19, 0x1.3d9e0bb259498p-19, 0x1.3bc40bdd3a894p-19, 0x1.39e9a594bf61fp-19, 0x1.3811a32be65dp-19, 0x1.3637f223a5d07p-19, 0x1.345f5a5eeb5d1p-19, 0x1.328809b40d9a1p-19, 0x1.30b10d01300a1p-19, 0x1.2eda2897fb99ap-19, 0x1.2d03df93a1326p-19, 0x1.2b2e4b0c12f23p-19, 0x1.29594b9f64db9p-19, 0x1.2783bea09a9bp-19, 0x1.259311c5b09b3p-19, 0x1.23ddb587b70f2p-19, 0x1.220d80c44976ap-19, 0x1.203cf8ef35dfep-19, 0x1.1e6d06ce0bdfbp-19, 0x1.1c9df1dcfa6b6p-19, 0x1.1acff148c3c77p-19, 0x1.1902a6be21227p-19, 0x1.17367ebd8b072p-19, 0x1.156b5ea731e9cp-19, 0x1.13a12d26baf6p-19, 0x1.11d7c9387f863p-19, 0x1.1012d12e1ab23p-19, 0x1.0e48ca49cc09cp-19, 0x1.0c83e33695a67p-19, 0x1.0abf561c79e98p-19, 0x1.08fbe7600724ap-19, 0x1.0739e14c8ac5dp-19, 0x1.0578f20de3cefp-19, 0x1.03ba64f132716p-19, 0x1.01fc69c47f6acp-19, 0x1.003fa3bfaab64p-19, 0x1.fd087b9397031p-20, 0x1.f994737d0f352p-20, 0x1.f62335897fc31p-20, 0x1.f2b4d1192ae4ap-20, 0x1.ef4909b48c859p-20, 0x1.ebdd2d9eb71fcp-20, 0x1.e87d97eb8e2abp-20, 0x1.e50ea43ff146p-20, 0x1.e1b776ea67f41p-20, 0x1.de66a7a235e2p-20, 0x1.db18a28d90134p-20, 0x1.d7a9b62ba5aafp-20, 0x1.d454593aab86dp-20, 0x1.d10915db1b329p-20, 0x1.cdbc7d95a3dabp-20, 0x1.ca721a4eaf4a4p-20, 0x1.c727ee7f7f7a4p-20, 0x1.c3e5f6f0e99f9p-20, 0x1.c0a713a544b8ep-20, 0x1.bd6a286cdaac9p-20, 0x1.ba31a0891b1c8p-20, 0x1.b6fc2ec695eb3p-20, 0x1.b3c8d3c1320b1p-20, 0x1.b0919fd5a9c1ap-20, 0x1.ad6406dc920c2p-20, 0x1.aa46d56d9e226p-20, 0x1.a722047d8c307p-20, 0x1.a4009623b5b5p-20, 0x1.a0e2baa7a144p-20, 0x1.9dc8583eb1786p-20, 0x1.9ab0b240abcc3p-20, 0x1.97a3df1b8e007p-20, 0x1.948f25161ace8p-20, 0x1.91840af73c704p-20, 0x1.8e7b2587a5806p-20, 0x1.8b77588c004dep-20, 0x1.8876d4eb6d2fp-20, 0x1.857b91407655p-20, 0x1.82906e19879d4p-20, 0x1.7f8a3ac326b73p-20, 0x1.7c9913859eb0bp-20, 0x1.79aafe3b90218p-20, 0x1.76c093ca86adbp-20, 0x1.73db936cc5698p-20, 0x1.70f6f46321b01p-20, 0x1.6e17c738768fdp-20, 0x1.6b3c5f202c46ep-20, 0x1.6864be5baae64p-20, 0x1.6590e9c2f3399p-20, 0x1.62c0af88aaf15p-20, 0x1.5ff49f79e2257p-20, 0x1.5d2c206d21fc8p-20, 0x1.5a6777c400146p-20, 0x1.57a69ebafcb1fp-20, 0x1.54e9854c87a19p-20, 0x1.5231ca16cfa1cp-20, 0x1.4f7add70acbf3p-20, 0x1.4cc8be6853dfap-20, 0x1.4a2690eafdccfp-20, 0x1.476d8239c1c4dp-20, 0x1.44cb43c378284p-20, 0x1.42283c7117024p-20, 0x1.3fb288385a8c1p-20, 0x1.3cee614f4817cp-20, 0x1.3a58fcbb7468bp-20, 0x1.37c641e38fdbap-20, 0x1.35373e4cb4421p-20, 0x1.32ac74eaf96f3p-20, 0x1.30251622ba14p-20, 0x1.2da16c817a727p-20, 0x1.2b206c92b4d04p-20, 0x1.28a477afe22b7p-20, 0x1.262c441c21ea9p-20, 0x1.23b7990575009p-20, 0x1.214869c4f8459p-20, 0x1.1edbb7302062p-20, 0x1.1c723a474d9dep-20, 0x1.1a0cb52472ceep-20, 0x1.17ab1d2a59fdcp-20, 0x1.154d5fec2e495p-20, 0x1.12f3738053159p-20, 0x1.1098dfb2bc464p-20, 0x1.0e4af83ea11c5p-20, 0x1.0bfc6a2a4b574p-20, 0x1.09b1913e4f0ecp-20, 0x1.076a3490588d1p-20, 0x1.0525515ac379fp-20, 0x1.0311f24b78addp-20, 0x1.00aca63b22406p-20, 0x1.fce823c6a357p-21, 0x1.f8781881dace8p-21, 0x1.f416a48ba02bap-21, 0x1.efc35955e6872p-21, 0x1.eb6f8f56373fp-21, 0x1.e723d0385d6d1p-21, 0x1.e2ef425642852p-21, 0x1.de9cc968bba35p-21, 0x1.da69aec8a954dp-21, 0x1.d63b981da405ap-21, 0x1.d2144ca060a08p-21, 0x1.cdf3facf234c4p-21, 0x1.c9dae5b7fffe8p-21, 0x1.c5c8e5083d56fp-21, 0x1.c1bdf5040b934p-21, 0x1.bdba3ea0cb738p-21, 0x1.b9bd8e3f7cccap-21, 0x1.b5c7ecf240dafp-21, 0x1.b1d954174e328p-21, 0x1.adf1bd6e4040fp-21, 0x1.aa1121f22eb91p-21, 0x1.a6377a19c9a43p-21, 0x1.a264a57569c89p-21, 0x1.9e9dd2e537f61p-21, 0x1.9ad3b30e1153ep-21, 0x1.9715f3cf1f58cp-21, 0x1.935ec29362e1cp-21, 0x1.8fae243fd7e8cp-21, 0x1.8c01ded38f069p-21, 0x1.88235e7dc685p-21, 0x1.84c447288ab09p-21, 0x1.8130241ecde4dp-21, 0x1.7da1037bcf695p-21, 0x1.7a1961d9dc2efp-21, 0x1.7697dc141b1dbp-21, 0x1.731c73dd6dffcp-21, 0x1.6f94de37a3fd8p-21, 0x1.6c39d4f7b845ap-21, 0x1.68d2c3c051c18p-21, 0x1.654c4f1ce1487p-21, 0x1.621633ca5ab81p-21, 0x1.5ec3df9153278p-21, 0x1.5b76621b90f0cp-21, 0x1.582f20f5acbffp-21, 0x1.54ee32a68591p-21, 0x1.51b3ac3323706p-21, 0x1.4e7f41aa0d44fp-21, 0x1.4b513a5257751p-21, 0x1.4829fe8fa3352p-21, 0x1.45073b45e9af3p-21, 0x1.41eb4d08328e5p-21, 0x1.3ed598da0529dp-21, 0x1.3bc6058bfd656p-21, 0x1.38bc90f1a6592p-21, 0x1.35b9315aa0cfdp-21, 0x1.32bbd2801ec26p-21, 0x1.2fc46087b1d5fp-21, 0x1.2cd2cb6bfba52p-21, 0x1.29e6bc88a4083p-21, 0x1.2701ff1b89892p-21, 0x1.2420759551cfep-21, 0x1.2124be43dd7dfp-21, 0x1.1e717cc35b239p-21, 0x1.1ba416491650ap-21, 0x1.18dab68c65ebep-21, }}, 
      std::vector<double>(1200, 0.0), 
      {{0x1.2ec92d23509afp-5, 0x1.20343b5d40956p-4, 0x1.91a52576d741cp-4, 0x1.e77c6ac62a7b3p-4, 0x1.104b4080c16e5p-3, 0x1.1eec14e7ed235p-3, 0x1.20b65e248f802p-3, 0x1.171e566a0d00cp-3, 0x1.03c66cb0414e8p-3, 0x1.d0bb796692337p-4, 0x1.8d12ad73fbf83p-4, 0x1.3faade8c5461cp-4, 0x1.d6b14769e8cfcp-5, 0x1.25460bcb07613p-5, 0x1.bdfe14c9430f3p-7, -0x1.1b61d25adb93ep-7, -0x1.f5261d011b8cap-6, -0x1.a912171421f1cp-5, -0x1.281db8d6c85d8p-4, -0x1.7735c1f415084p-4, -0x1.c133ae3932e14p-4, -0x1.02d3caf4790bdp-3, -0x1.22245bd7febe2p-3, -0x1.3e77c2e9ca052p-3, -0x1.57c81e99567f2p-3, -0x1.6e1b0698fbfe2p-3, -0x1.817f681767771p-3, -0x1.920ba6cab898cp-3, -0x1.9fdbfce6cd25ep-3, -0x1.ab11142c7122p-3, -0x1.b3ced176f950cp-3, -0x1.ba3b4d6d611d3p-3, -0x1.be7df56ca22fdp-3, -0x1.c0bed06a0d277p-3, -0x1.c125e3e43cd7ep-3, -0x1.bfdab547b0afap-3, -0x1.bd03e469fd884p-3, -0x1.b8c6dbc947f95p-3, -0x1.b34793bd58d41p-3, -0x1.aca865bc8f9d5p-3, -0x1.a509ed46746acp-3, -0x1.9c8af44754be7p-3, -0x1.934868ee0f56ap-3, -0x1.895d5b4c422c5p-3, -0x1.7ee3014411af4p-3, -0x1.73f0bf7adffb1p-3, -0x1.689c3635d436fp-3, -0x1.5cf9513023569p-3, -0x1.511a59adb0e62p-3, -0x1.45100a15948dcp-3, -0x1.38e9a28785885p-3, -0x1.2cb4fdf8e1a4fp-3, -0x1.207ea7886a4dp-3, -0x1.1451efa7495bap-3, -0x1.083900d0b49c2p-3, -0x1.f879e7d377a88p-4, -0x1.e0cbc74c2425p-4, -0x1.c975fec195f94p-4, -0x1.b28539dd724fp-4, -0x1.9c0493127491p-4, -0x1.85fdb3c09d107p-4, -0x1.7078f234584d8p-4, -0x1.5b7d6ddcec5b6p-4, -0x1.471129c21c19ap-4, -0x1.3339250ac35aep-4, -0x1.1ff971bc26b8bp-4, -0x1.0d554a1a880dp-4, -0x1.f69e488849a36p-5, -0x1.d3d18883711c6p-5, -0x1.b24699b817fcap-5, -0x1.91fe9e4d64c57p-5, -0x1.72f9b16730a35p-5, -0x1.5537014a921d4p-5, -0x1.38b4e82c71876p-5, -0x1.1d7100d4ad1bbp-5, -0x1.03683d47fcf7dp-5, -0x1.d52def0b0bc66p-6, -0x1.a5f20767c20c3p-6, -0x1.79137f171f6cep-6, -0x1.4e8841bc08c89p-6, -0x1.264585c66dc24p-6, -0x1.003fe4413d49fp-6, -0x1.b8d6dee61f5acp-7, -0x1.75778cc840cap-7, -0x1.364850b3ec319p-7, -0x1.f65e13c63a3f1p-8, -0x1.88222f556e6ecp-8, -0x1.21a6eca279864p-8, -0x1.856b604d4eb6fp-9, -0x1.ac5de807b6fc8p-10, -0x1.a950e0dcbc442p-12, 0x1.7846fe3442926p-11, 0x1.c7e635ef89069p-10, 0x1.5ce8118a08226p-9, 0x1.c95e24c47d1c3p-9, 0x1.14e1038e23911p-8, 0x1.3f3fb6a2b0965p-8, 0x1.640071f0fc5a7p-8, 0x1.8357d48072126p-8, 0x1.9d79c54456c2ep-8, 0x1.b2996366d400ap-8, 0x1.c2e8f943073b8p-8, 0x1.ce99f05daf535p-8, 0x1.d5dcc72ba2d94p-8, 0x1.d8e1082278598p-8, 0x1.d7d541ab22e0bp-8, 0x1.d2e6ffd3f4148p-8, 0x1.ca42c6ff2d62p-8, 0x1.be140f6c0696dp-8, 0x1.ae85419ef911dp-8, 0x1.9bbfb3e17ab06p-8, 0x1.85eba8a220ef5p-8, 0x1.6d304d33e391ep-8, 0x1.51b3b9683cd97p-8, 0x1.339af02f5bdcep-8, 0x1.1309e074743ccp-8, 0x1.e046cc6ba514ap-9, 0x1.961299656026dp-9, 0x1.47b8a21281195p-9, 0x1.eaf092e39243bp-10, 0x1.3f1dc35a7a277p-10, 0x1.18dececbd56d6p-11, -0x1.653f974e6048ep-13, -0x1.d77363248ff23p-11, -0x1.b05b1c3d7d0aep-10, -0x1.3d12a4b35be1fp-9, -0x1.a45a8634e890fp-9, -0x1.06eab898a1441p-8, -0x1.3caab6e977902p-8, -0x1.7357215913ebbp-8, -0x1.aadab5ed13c3dp-8, -0x1.e3210876a23d2p-8, -0x1.0e0b3dcedaca5p-7, -0x1.2ad41d486d726p-7, -0x1.47e21ad7cab57p-7, -0x1.652c8f1cca84ap-7, -0x1.82ab2ee3b0e86p-7, -0x1.a0560774babcdp-7, -0x1.be257dbf82b51p-7, -0x1.dc124d12d6ed8p-7, -0x1.fa15824312445p-7, -0x1.0c143b70392bap-6, -0x1.1b2268504d047p-6, -0x1.2a3240be7a081p-6, -0x1.3940e1ac271d7p-6, -0x1.484b8902886c9p-6, -0x1.574f94dbe0a85p-6, -0x1.664a8421b0dc3p-6, -0x1.7539f55677ed1p-6, -0x1.841ba39e6b3cfp-6, -0x1.92ed6522b87adp-6, -0x1.a1ad2b80b94fcp-6, -0x1.b0590397af09bp-6, -0x1.beef136373d2p-6, -0x1.cd6d97e69de9p-6, -0x1.dbd2e4ccb520cp-6, -0x1.ea1d647f7ad04p-6, -0x1.f84b96f6ff538p-6, -0x1.032e07edf6745p-5, -0x1.0a26bac49a351p-5, -0x1.110f406e10f61p-5, -0x1.17e6fe4a408bdp-5, -0x1.1ead61ffd8d02p-5, -0x1.2561e0ebd2147p-5, -0x1.2c03f7e712e7cp-5, -0x1.32932b1796ca2p-5, -0x1.390f0589338bbp-5, -0x1.3f7718b31977bp-5, -0x1.45cafc28abf2bp-5, -0x1.4c0a4d6eca2cap-5, -0x1.5234afc31a0eap-5, -0x1.5849cbc844693p-5, -0x1.5e494f374c962p-5, -0x1.6432eca7c3f77p-5, -0x1.6a065b63cb192p-5, -0x1.6fc35731255p-5, -0x1.7569a0134affcp-5, -0x1.7af8fa13d3495p-5, -0x1.80712d157c116p-5, -0x1.85d204aaa4734p-5, -0x1.8b1b4fe9732ep-5, -0x1.904ce13ffe1fep-5, -0x1.95668e4d905fcp-5, -0x1.9a682fc220566p-5, -0x1.9f51a141297ep-5, -0x1.a422c1458a7e5p-5, -0x1.a8db71068642ap-5, -0x1.ad7b945f6a025p-5, -0x1.b20311bb5655bp-5, -0x1.b671d203d776ap-5, -0x1.bac7c090f653bp-5, -0x1.bf04cb1a28012p-5, -0x1.c328e1a6a2002p-5, -0x1.c733f68019105p-5, -0x1.cb25fe26369cep-5, -0x1.cefeef439f9dep-5, -0x1.d2bec2a3211f1p-5, -0x1.d66573247ed59p-5, -0x1.d9f2fdb0dc06fp-5, -0x1.dd67612f609a2p-5, -0x1.e0c29e7a96e09p-5, -0x1.e404b8567b67ap-5, -0x1.e72db366a402dp-5, -0x1.ea3d96242f3e7p-5, -0x1.ed3468d38e2cdp-5, -0x1.f012357a9b413p-5, -0x1.f2d707d6bdd5p-5, -0x1.f582ed54ec2f6p-5, -0x1.f815f508af2a7p-5, -0x1.fa902fa330c0cp-5, -0x1.fcf1af6dca0c5p-5, -0x1.ff3a883f2430cp-5, -0x1.00b567ba9ebe3p-4, -0x1.01c14df6f188p-4, -0x1.02c102fffdefcp-4, -0x1.03b493ba8a64cp-4, -0x1.049c0dc17cda8p-4, -0x1.05777f62a2969p-4, -0x1.0646f79b7f087p-4, -0x1.070a86162c393p-4, -0x1.07c23b263788fp-4, -0x1.086e27c590313p-4, -0x1.090e5d91a6dbfp-4, -0x1.09a2eec901b13p-4, -0x1.0a2bee468f30cp-4, -0x1.0aa96f8033004p-4, -0x1.0b1b8682f77cep-4, -0x1.0b8247eff7d7ep-4, -0x1.0bddc8f95e9abp-4, -0x1.0c2e1f5f6a544p-4, -0x1.0c73616d63ab7p-4, -0x1.0cada5f6896b1p-4, -0x1.0cdd0452fd14bp-4, -0x1.0d01945cc0b0fp-4, -0x1.0d1b6e6cb98d1p-4, -0x1.0d2aab57a3d74p-4, -0x1.0d2f646b393f5p-4, -0x1.0d29b36b2e12ep-4, -0x1.0d19b28e75c68p-4, -0x1.0cff7c7c9d7bdp-4, -0x1.0cdb2c49634abp-4, -0x1.0cacdd74871bap-4, -0x1.0c74abe550591p-4, -0x1.0c32b3e7b0b17p-4, -0x1.0be71229d607fp-4, -0x1.0b91e3ba2adfcp-4, -0x1.0b3346023e133p-4, -0x1.0acb56c6b5fc2p-4, -0x1.0a5a342470bf7p-4, -0x1.09dffc8b2b19bp-4, -0x1.095ccebcf12c3p-4, -0x1.08d0c9cac781bp-4, -0x1.083c0d11df681p-4, -0x1.079eb838bdeb4p-4, -0x1.06f8eb2c5e101p-4, -0x1.064ac61d5fe68p-4, -0x1.0594697d349eep-4, -0x1.04d5f5fb47cep-4, -0x1.040f8c820d6cep-4, -0x1.03414e33e0b2dp-4, -0x1.026b5c685b172p-4, -0x1.018dd8a8f8691p-4, -0x1.00a8e4ae5e836p-4, -0x1.ff7944bab30f1p-5, -0x1.fd9267879f4dep-5, -0x1.fb9d762b47037p-5, -0x1.f99ab553173adp-5, -0x1.f78a69ebfe496p-5, -0x1.f56cd91c5c87cp-5, -0x1.f342483df5642p-5, -0x1.f10afcd7cd1b4p-5, -0x1.eec73c97d3c69p-5, -0x1.ec774d4c7a9a2p-5, -0x1.ea1b74de60013p-5, -0x1.e7b3f94a2ae05p-5, -0x1.e541209a84741p-5, -0x1.e2c330e227a56p-5, -0x1.e03a70357b35p-5, -0x1.dda724a4aa8fdp-5, -0x1.db099434e58d9p-5, -0x1.d86204db5a738p-5, -0x1.d5b0bc70671f9p-5, -0x1.d2f600c17dafap-5, -0x1.d032175d98f58p-5, -0x1.cd6545c3b4a71p-5, -0x1.ca8fd139d1637p-5, -0x1.c7b1fed2fb88ep-5, -0x1.c4cc13684cabep-5, -0x1.c1de53931af14p-5, -0x1.bee903a7a76bp-5, -0x1.bbec67afc4041p-5, -0x1.b8e8c3657ad4ap-5, -0x1.b5de5a2d626c9p-5, -0x1.b2cd6f1133362p-5, -0x1.afb644ba9ce1p-5, -0x1.ac991d6da53bcp-5, -0x1.a9763b044d8f7p-5, -0x1.a64ddee9a652p-5, -0x1.a3204a14d19aap-5, -0x1.9fedbd0488d37p-5, -0x1.9cb677be06103p-5, -0x1.997ab9c5c95bep-5, -0x1.963ac20f71da7p-5, -0x1.92f6cf0e0aa6dp-5, -0x1.8faf1e99ce205p-5, -0x1.8c63ee03446a8p-5, -0x1.89157a0961512p-5, -0x1.85c3fecada1c1p-5, -0x1.826fb7c70d12ep-5, -0x1.7f18dfd899af7p-5, -0x1.7bbfb136df126p-5, -0x1.786465733ec94p-5, -0x1.7507357147a6dp-5, -0x1.71a8596405339p-5, -0x1.6e4808ce49373p-5, -0x1.6ae67a7f2ca14p-5, -0x1.6783e48d4a495p-5, -0x1.64207c5441be7p-5, -0x1.60bc767283a04p-5, -0x1.5d5806caa2555p-5, -0x1.59f360760540fp-5, -0x1.568eb5cfcee1ap-5, -0x1.532a3870d5ea8p-5, -0x1.4fc619251c616p-5, -0x1.4c6287f196113p-5, -0x1.48ffb4105f8fcp-5, -0x1.459dcbef1eb6dp-5, -0x1.423cfd2d9897ep-5, -0x1.3edd749c83f4bp-5, -0x1.3b7f5e3c799f6p-5, -0x1.3822e53d17856p-5, -0x1.34c833fc1330fp-5, -0x1.316f7404713cp-5, -0x1.2e18ce0dca21cp-5, -0x1.2ac469fbccfd6p-5, -0x1.27726edd1a198p-5, -0x1.242302ec4699dp-5, -0x1.20d64b8e4f3f7p-5, -0x1.1d8c6d53387fep-5, -0x1.1a458bf5ec09fp-5, -0x1.1701ca5c5a8c8p-5, -0x1.13c14a97c7b64p-5, -0x1.10842de4d8fcap-5, -0x1.0d4a94ac13378p-5, -0x1.0a149e8270ddfp-5, -0x1.06e26a29bee93p-5, -0x1.03b415917d4ebp-5, -0x1.0089bdd7a4085p-5, -0x1.fac6fe92ea428p-6, -0x1.f482eac8dcdb9p-6, -0x1.ee4775ae9deccp-6, -0x1.e814d3065e129p-6, -0x1.e1eb34f953129p-6, -0x1.dbcacc1a31e0ep-6, -0x1.d5b3c768f57e6p-6, -0x1.cfa6544fce5c1p-6, -0x1.c9a29eb8d5437p-6, -0x1.c3a8d0f1d4b1p-6, -0x1.bdb913cddc5e9p-6, -0x1.b7d38e9427a02p-6, -0x1.b1f8670419bc1p-6, -0x1.ac27c17cb13e1p-6, -0x1.a661c0d00ac86p-6, -0x1.a0a6864975a28p-6, -0x1.9af631dc681cbp-6, -0x1.9550e20a043cep-6, -0x1.8fb6b3e4d6dedp-6, -0x1.8a27c31b10036p-6, -0x1.84a429fa57c17p-6, -0x1.7f2c0173bc8bbp-6, -0x1.79bf611fe9f14p-6, -0x1.745e5f43a454cp-6, -0x1.6f0910d42173cp-6, -0x1.69bf897be6a1fp-6, -0x1.6481db9f6646ap-6, -0x1.5f501861f1ccp-6, -0x1.5a2a4faaa538cp-6, -0x1.551090294787ap-6, -0x1.5002e75b32bc3p-6, -0x1.4b01619039278p-6, -0x1.460c09ef87dbfp-6, -0x1.4122ea7c84e81p-6, -0x1.3c460c1bc4ca8p-6, -0x1.377576980d445p-6, -0x1.32b130a76bdfcp-6, -0x1.2df93ff05f764p-6, -0x1.294da90f0dadcp-6, -0x1.24ae6f9a7eca8p-6, -0x1.201b962a1281p-6, -0x1.1b951e5894cb5p-6, -0x1.171b08d08f228p-6, -0x1.12ad554520177p-6, -0x1.0e4c02820af83p-6, -0x1.09f70e6c0c416p-6, -0x1.05ae7607afb01p-6, -0x1.0172357e493a7p-6, -0x1.fa84901c29206p-7, -0x1.f23d5099436b3p-7, -0x1.ea0e9fd054b29p-7, -0x1.e1f86f6d6e4abp-7, -0x1.d9faafde7e277p-7, -0x1.d2154ff0e408bp-7, -0x1.ca483d028c26ep-7, -0x1.c293630ba336ep-7, -0x1.baf6aca6bc251p-7, -0x1.b372031a21956p-7, -0x1.ac054e612b9cp-7, -0x1.a4b0753643faap-7, -0x1.9d735d1d83c3ep-7, -0x1.964dea6e8ec82p-7, -0x1.8f40005deab68p-7, -0x1.88498106a676ap-7, -0x1.816a4d73fa78fp-7, -0x1.7aa245a9cf8d2p-7, -0x1.73f148accb47fp-7, -0x1.6d57348a56c78p-7, -0x1.66d3e65f838c8p-7, -0x1.60673a603dbb1p-7, -0x1.5a110bdfe26c9p-7, -0x1.53d135583403fp-7, -0x1.4da79072dcfp-7, -0x1.4793f613894c3p-7, -0x1.41963e62fabd3p-7, -0x1.3bae40ded53c4p-7, -0x1.35dbd44e2a8b6p-7, -0x1.301ecef4f7ae4p-7, -0x1.2a7706922c833p-7, -0x1.24e4502f583bcp-7, -0x1.1f66808d6cddbp-7, -0x1.19fd6bd378c6p-7, -0x1.14a8e5b2df6dfp-7, -0x1.0f68c15fec7a5p-7, -0x1.0a3cd18e8f9c3p-7, -0x1.0524e87007b2ep-7, -0x1.0020d7b2cf18p-7, -0x1.f660e10d516efp-8, -0x1.eca7074c42d2fp-8, -0x1.e313c2cd59152p-8, -0x1.d9a6b39d88c5p-8, -0x1.d05f796369f84p-8, -0x1.c73db395dcc11p-8, -0x1.be4101b5dd132p-8, -0x1.b569037d997e2p-8, -0x1.acb558f331c3dp-8, -0x1.a425a26f41568p-8, -0x1.9bb9808190a2bp-8, -0x1.937093b9c25d3p-8, -0x1.8b4a7c596c725p-8, -0x1.8346d9fb620f6p-8, -0x1.7b654b4202535p-8, -0x1.73a56d85a63dbp-8, -0x1.6c06dcf02570cp-8, -0x1.64893425ed486p-8, -0x1.5d2c0d0ede1bep-8, -0x1.55ef0103f52e1p-8, -0x1.4ed1a995479f7p-8, -0x1.47d3a14b85bfp-8, -0x1.40f484634143cp-8, -0x1.3a33f1679501ep-8, -0x1.3391898dc0491p-8, -0x1.2d0cf0bbabc23p-8, -0x1.26a5cd2def362p-8, -0x1.205bc6c06f77cp-8, -0x1.1a2e85ea4c8d3p-8, -0x1.141db28febeecp-8, -0x1.0e28f2d32c256p-8, -0x1.084fea13c8559p-8, -0x1.0292384ba3b8p-8, -0x1.f9def3d6e20cbp-9, -0x1.eece9092df977p-9, -0x1.e3f2754f8033dp-9, -0x1.d949cf54abbabp-9, -0x1.ced3ce430ff27p-9, -0x1.c48fa7c235623p-9, -0x1.ba7c9ac9083edp-9, -0x1.b099f1ff36ea2p-9, -0x1.a6e704cfde56dp-9, -0x1.9d6336e30f644p-9, -0x1.940df623fe3f3p-9, -0x1.8ae6b721beb66p-9, -0x1.81ecf0cfae20dp-9, -0x1.792017867c4c3p-9, -0x1.707f987f4da6p-9, -0x1.680ad624808c5p-9, -0x1.5fc125e247474p-9, -0x1.57a1cfd47106ap-9, -0x1.4fac1070dd141p-9, -0x1.47df1c033ecabp-9, -0x1.403a23958a6d2p-9, -0x1.38bc5a97158f7p-9, -0x1.3164fc88b3274p-9, -0x1.2a3351feb40cbp-9, -0x1.2326b444b5b3ep-9, -0x1.1c3e8e67c140cp-9, -0x1.157a5ce12cdc7p-9, -0x1.0ed9abf339451p-9, -0x1.085c121a76d7ep-9, -0x1.02012b10916b4p-9, -0x1.f791244ec24e1p-10, -0x1.eb63b8d50d35ep-10, -0x1.df7927cb2261ep-10, -0x1.d3d0690bc31dep-10, -0x1.c86855e90acddp-10, -0x1.bd3fab1a68a18p-10, -0x1.b2550eaa4e3ebp-10, -0x1.a7a7191c92aadp-10, -0x1.9d3460903fa7fp-10, -0x1.92fb845531a47p-10, -0x1.88fb377a54e63p-10, -0x1.7f3248ddd006cp-10, -0x1.759fa7dec0381p-10, -0x1.6c4265309fe5cp-10, -0x1.6319afe11720dp-10, -0x1.5a24cf1bff6fcp-10, -0x1.5163199b704c9p-10, -0x1.48d3ebf5256acp-10, -0x1.40769f1a64924p-10, -0x1.384a804c9d3ep-10, -0x1.304ecb87527e2p-10, -0x1.2882a8f37bcecp-10, -0x1.20e52d7444242p-10, -0x1.19755de8c1224p-10, -0x1.12323463d5944p-10, -0x1.0b1aa66bb9163p-10, -0x1.042dab4ba5358p-10, -0x1.fad483444a61ep-11, -0x1.ed9ee7456879ap-11, -0x1.e0b8b3d48ec65p-11, -0x1.d4203a5429a16p-11, -0x1.c7d3ee3033e45p-11, -0x1.bbd265b554068p-11, -0x1.b01a5936a2fc5p-11, -0x1.a4aa9ee2c1f5bp-11, -0x1.998221a05c85dp-11, -0x1.8e9fd2973153cp-11, -0x1.840297367251cp-11, -0x1.79a937cb34405p-11, -0x1.6f9253c0b0adap-11, -0x1.65bc5ff98c831p-11, -0x1.5c25b14578e11p-11, -0x1.52cc917f712bcp-11, -0x1.49af5a5484d5ap-11, -0x1.40cc8e08ef9cp-11, -0x1.3822e672e8d61p-11, -0x1.2fb1546c8a14ap-11, -0x1.2776eec143413p-11, -0x1.1f72d596e4e56p-11, -0x1.17a4145f404ecp-11, -0x1.10098dfc648b1p-11, -0x1.08a1fb838c016p-11, -0x1.016bfec921292p-11, -0x1.f4cc836018e2ap-12, -0x1.e71f2bd8d4e35p-12, -0x1.d9ce10d935921p-12, -0x1.ccd7c0ab5f824p-12, -0x1.c03b1192d7b09p-12, -0x1.b3f6d6a78107p-12, -0x1.a8098cf2a40aap-12, -0x1.9c711b4320545p-12, -0x1.912abcd0fcf1p-12, -0x1.8633257b075f5p-12, -0x1.7b86de5ee8464p-12, -0x1.7122c4eae7f0fp-12, -0x1.670484070dba8p-12, -0x1.5d2adb23e0689p-12, -0x1.53958e76f180fp-12, -0x1.4a44e8d692721p-12, -0x1.41393a5f46963p-12, -0x1.3872239c7b7bfp-12, -0x1.2fee4805c0918p-12, -0x1.27ab5971c5111p-12, -0x1.1fa66b912023bp-12, -0x1.17dc746ba701p-12, -0x1.104ac18d7a48fp-12, -0x1.08ef451954223p-12, -0x1.01c8b5e17161bp-12, -0x1.f5acebe3bfd8dp-13, -0x1.e830a383c8a6fp-13, -0x1.db1c4ff8aa406p-13, -0x1.ce6f164cf7773p-13, -0x1.c226e0853736fp-13, -0x1.b64002a0a68fp-13, -0x1.aab5574ba5e37p-13, -0x1.9f80ed0fcbc15p-13, -0x1.949d264e5fb4ep-13, -0x1.8a05ef2e69df4p-13, -0x1.7fb98ac82b426p-13, -0x1.75b88f20aa9e1p-13, -0x1.6c04f9de4ac2ep-13, -0x1.62a0ba1e0d0ddp-13, -0x1.598c5daa963f6p-13, -0x1.50c67bd9c8e75p-13, -0x1.484bff48e16eap-13, -0x1.4018f05171c8cp-13, -0x1.3829411a88e24p-13, -0x1.3079547346c4cp-13, -0x1.29063442c215bp-13, -0x1.21cd822471ca1p-13, -0x1.1acd425ca8acap-13, -0x1.1403bcbad1269p-13, -0x1.0d6f96aef5ac4p-13, -0x1.070ffc9d40f6ep-13, -0x1.00e48afab6d23p-13, -0x1.f5d9bf11c08e1p-14, -0x1.ea50201253bacp-14, -0x1.df28b7403ff6p-14, -0x1.d45e7f1ffffb9p-14, -0x1.c9ebc149c70b2p-14, -0x1.bfcb4056e4608p-14, -0x1.b5f944e4b26afp-14, -0x1.ac74070c76c94p-14, -0x1.a33b3c447acb5p-14, -0x1.9a4f120b47198p-14, -0x1.91af37e28b09dp-14, -0x1.895a737fcc44cp-14, -0x1.814e8c95477b9p-14, -0x1.79886966a8755p-14, -0x1.72047c0c369a6p-14, -0x1.6abfe168f64c8p-14, -0x1.63b975b6d5639p-14, -0x1.5cf15312b757ap-14, -0x1.5666b9e70a3bep-14, -0x1.50166ae197a35p-14, -0x1.49fb0371dcc1bp-14, -0x1.440ece6128ed9p-14, -0x1.3e4d84d9d2f19p-14, -0x1.38b515e88928bp-14, -0x1.33456623313e9p-14, -0x1.2dff74f4ea3bcp-14, -0x1.28e468a995f75p-14, -0x1.23f4bfd9f4a9ap-14, -0x1.1f2fc3608a71cp-14, -0x1.1a9404c16cbc9p-14, -0x1.161fd2230a25p-14, -0x1.11d145707c094p-14, -0x1.0da5a5c61bd87p-14, -0x1.0998c92cde989p-14, -0x1.05a70d63e9de4p-14, -0x1.01cfb46cde092p-14, -0x1.fc28a304eceffp-15, -0x1.f4eb250ccb86dp-15, -0x1.ede28e87179c1p-15, -0x1.e7089fb7b3855p-15, -0x1.e05bf0a7b0c9p-15, -0x1.d9e020601779fp-15, -0x1.d397eb0ee66f8p-15, -0x1.cd81d2588b3e7p-15, -0x1.c799f22cf3fc9p-15, -0x1.c1dc8811c0c47p-15, -0x1.bc464100a6774p-15, -0x1.b6d2fc6a42969p-15, -0x1.b17d2dcd63e3ap-15, -0x1.ac3f422b06878p-15, -0x1.a715b6306f1dep-15, -0x1.a203041e8a078p-15, -0x1.9d0baa548b28ep-15, -0x1.9832f1bd18a35p-15, -0x1.9377c79d88a04p-15, -0x1.8ed7729c80985p-15, -0x1.8a51d1d56e919p-15, -0x1.85e86c033098dp-15, -0x1.8198cdbc89a4bp-15, -0x1.7d5a706504cd6p-15, -0x1.79258dd311cc7p-15, -0x1.74fb371eea02ep-15, -0x1.70e132ae982cfp-15, -0x1.6cd79e2a0626fp-15, -0x1.68d8d1896f04dp-15, -0x1.64e2e4da202dep-15, -0x1.60f9d3bc7916bp-15, -0x1.5d1fe05d5a0f5p-15, -0x1.5952ad2a26c8bp-15, -0x1.558ec754a329dp-15, -0x1.51d251bae6fa4p-15, -0x1.4e1d123545e77p-15, -0x1.4a6faea849f7cp-15, -0x1.46caf74ee42cep-15, -0x1.432f4d4154926p-15, -0x1.3f9c19cabc685p-15, -0x1.3c0f0201f6693p-15, -0x1.3883f248c8c55p-15, -0x1.34f84528b14d5p-15, -0x1.316de40cdb45dp-15, -0x1.2de8541a5836ep-15, -0x1.2a67548024066p-15, -0x1.26e805155ba79p-15, -0x1.236a5f2258a31p-15, -0x1.1ff1093ea46acp-15, -0x1.1c7d0df54827cp-15, -0x1.190c4be284425p-15, -0x1.159a8183b44b4p-15, -0x1.1225fccb0af4ep-15, -0x1.0eb1243ee18f9p-15, -0x1.0b3bc2454ef4cp-15, -0x1.07c3a8d489994p-15, -0x1.044ac06c9df79p-15, -0x1.00d357c921791p-15, -0x1.fab8943084de3p-16, -0x1.f3c7c591048e5p-16, -0x1.ecd321f523149p-16, -0x1.e5da885099a91p-16, -0x1.dede297d85511p-16, -0x1.d7de8804c1cdap-16, -0x1.d0db462b6ad7cp-16, -0x1.c9d3f84351fa2p-16, -0x1.c2c9072d1de3p-16, -0x1.bbba90d51d58bp-16, -0x1.b4a8c0a169a68p-16, -0x1.ad9401ba1904cp-16, -0x1.a67c85aebd1eap-16, -0x1.9f60c0b69a995p-16, -0x1.983ec81cb28a6p-16, -0x1.9117a2cc7e082p-16, -0x1.89ebeffd391bdp-16, -0x1.82ba1d8f80a3p-16, -0x1.7b8365acbbd48p-16, -0x1.744a0be317884p-16, -0x1.6d0e4f8000e62p-16, -0x1.65d01377266d5p-16, -0x1.5e8d56e4963dcp-16, -0x1.57449958a32a6p-16, -0x1.4ff6a8cf6806dp-16, -0x1.48a3bf0bf4e18p-16, -0x1.414d51e55a80dp-16, -0x1.39f4ef295bf5dp-16, -0x1.32995364d8e14p-16, -0x1.2b398f50facbap-16, -0x1.23d67b054c33bp-16, -0x1.1c705e36a0103p-16, -0x1.15076d98b77ap-16, -0x1.0d9bd8cd4bc83p-16, -0x1.062dca4519ab5p-16, -0x1.fd7aec22c9a78p-17, -0x1.ee961d59ee96bp-17, -0x1.dfad7de2d5a22p-17, -0x1.d0c16817306f1p-17, -0x1.c1d2db9589816p-17, -0x1.b2e1b7027378dp-17, -0x1.a3ee81bdbe65bp-17, -0x1.94f9b975cb90ep-17, -0x1.8603cba49a004p-17, -0x1.770d2cfd78e1dp-17, -0x1.68165e47ebf12p-17, -0x1.591fe80aa4387p-17, -0x1.4a2a5273ba0dcp-17, -0x1.3b3613094032p-17, -0x1.2c423187937f1p-17, -0x1.1d5570300bfa9p-17, -0x1.0e64a52fb3b2ap-17, -0x1.fef657606bd3p-18, -0x1.e1286a6d4c94cp-18, -0x1.c3648eafdd6cfp-18, -0x1.a5aa65d537cefp-18, -0x1.87f93a7ca9233p-18, -0x1.6a53824d0b2ddp-18, -0x1.4cbaede8c7399p-18, -0x1.2f2ff76dd74adp-18, -0x1.11b3a96c430f4p-18, -0x1.e88d852d8a8c1p-19, -0x1.add4c604a9435p-19, -0x1.733e7eb36e58cp-19, -0x1.38cd28504b38ep-19, -0x1.fd04d15bc0f75p-20, -0x1.88c0c6f290862p-20, -0x1.14d1eba66b28fp-20, -0x1.4277f791c07e6p-21, -0x1.7014f737c7d7ep-23, 0x1.135a15de37402p-22, 0x1.6e9784d381ff5p-21, 0x1.29595d23e68d3p-20, 0x1.9afb991aabd7bp-20, 0x1.0617685b7a54dp-19, 0x1.3e77ac0d3282fp-19, 0x1.769c87440414bp-19, 0x1.ae83ec0acf236p-19, 0x1.e62e48900f7ap-19, 0x1.0ecead18e7f99p-18, 0x1.2a6475aacbfa9p-18, 0x1.45d5c6ca15606p-18, 0x1.6127d57188f1cp-18, 0x1.7c574fe39124p-18, 0x1.976131ca70c5ep-18, 0x1.b24587d0a7fa7p-18, 0x1.cd05bbf9301d3p-18, 0x1.e7a08701afb9fp-18, 0x1.0109cfeefc63ap-17, 0x1.0e2f6a443370dp-17, 0x1.1b40e39eb409fp-17, 0x1.283dfb21562a8p-17, 0x1.35266cb95a9f2p-17, 0x1.41f9b124e66eap-17, 0x1.4eb783feb288ep-17, 0x1.5b5f7badbd1e7p-17, 0x1.67f2fd0cf7c39p-17, 0x1.746e2cadc7576p-17, 0x1.80d2f2eb8a251p-17, 0x1.8d21b9da1b3bap-17, 0x1.9959083fede54p-17, 0x1.a578d5118fb78p-17, 0x1.b1829ecacecabp-17, 0x1.bd71d8d5e9157p-17, 0x1.c94a1a63bc71ep-17, 0x1.d50a335a8c99fp-17, 0x1.e0b1b03321db5p-17, 0x1.ec405c8ae8861p-17, 0x1.f7b5fe68665f2p-17, 0x1.01892ceae99f2p-16, 0x1.072a9ca86647dp-16, 0x1.0cbf360c93c9ap-16, 0x1.1246f350f2a8cp-16, 0x1.17c1c63a7712cp-16, 0x1.1d2f74a37b858p-16, 0x1.228fd82606297p-16, 0x1.27e33ed22059cp-16, 0x1.2d2937611779cp-16, 0x1.326232a796e5ap-16, 0x1.378dc33ba463dp-16, 0x1.3cab859604471p-16, 0x1.41bba9ad977cp-16, 0x1.46be344ce3891p-16, 0x1.4bb318a41e894p-16, 0x1.509a482b620f1p-16, 0x1.5573b588a5d79p-16, 0x1.5a3f54b3f547dp-16, 0x1.5efd1ac03166bp-16, 0x1.63acfdb2e586p-16, 0x1.684ef473f55c7p-16, 0x1.6ce2f6c636a06p-16, 0x1.7168fd3f6e45fp-16, 0x1.75e10136ecc6dp-16, 0x1.7a4afcb89b7c4p-16, 0x1.7ea6ea87a9e38p-16, 0x1.82f4c6231ac98p-16, 0x1.87348c02b40adp-16, 0x1.8b6639a7dfdecp-16, 0x1.8f89cd6d496b8p-16, 0x1.939f45e88b428p-16, 0x1.97a6a1ebb9883p-16, 0x1.9b9fd013f829dp-16, 0x1.9f8affa38f34ap-16, 0x1.a368021abfc59p-16, 0x1.a736e7e2e83eep-16, 0x1.aaf7b4b41bd62p-16, 0x1.aeaa72a1ae3bap-16, 0x1.b24f2a0c3d607p-16, 0x1.b5e5d7371a79dp-16, 0x1.b96e64713c185p-16, 0x1.bce8b82b725bfp-16, 0x1.c055b4e806611p-16, 0x1.c3b4bf7faefd2p-16, 0x1.c704ea05d8cfdp-16, 0x1.ca47a7624ddc5p-16, 0x1.cd7c611375096p-16, 0x1.d0a36e3f9a908p-16, 0x1.d3bceb74aca57p-16, 0x1.d6c886d4969f2p-16, 0x1.d9c643b337eabp-16, 0x1.dcb67e8475573p-16, 0x1.df98d9a72113bp-16, 0x1.e26dacecc44ecp-16, 0x1.e534fd853b74p-16, 0x1.e7eec95aabeb5p-16, 0x1.ea9b1715f4c9cp-16, 0x1.ed39ddcc53b15p-16, 0x1.efcc2f798a20dp-16, 0x1.f24e99710786cp-16, 0x1.f4c7631e5684bp-16, 0x1.f730d25ce4244p-16, 0x1.f98d9e79861fp-16, 0x1.fbde0ac13667fp-16, 0x1.fe1fd28cfa0e5p-16, 0x1.002af07daf055p-15, 0x1.013f81d35e0e9p-15, 0x1.024d9f03a415fp-15, 0x1.035557541ac04p-15, 0x1.0456b8457b59cp-15, 0x1.0551cc0767534p-15, 0x1.06469c566ccf3p-15, 0x1.073532a5280c1p-15, 0x1.081d9d4889142p-15, 0x1.08ffdfbc7d7c8p-15, 0x1.09dc022049996p-15, 0x1.0ab1ff4ebcb34p-15, 0x1.0b820fff27804p-15, 0x1.0c4c1aabc2a6dp-15, 0x1.0d102561795d4p-15, 0x1.0dce485fc8064p-15, 0x1.0e8686c0ce007p-15, 0x1.0f38f5d8dcf5cp-15, 0x1.0fe59a5fc8b8p-15, 0x1.108c753d5ba04p-15, 0x1.112d99843b2f6p-15, 0x1.11c907347a7dcp-15, 0x1.125edf60c34fdp-15, 0x1.12ef236cf5811p-15, 0x1.1379d9fcbdf7bp-15, 0x1.13ff0877b59b5p-15, 0x1.147eb8204f9cap-15, 0x1.14f91515d05d8p-15, 0x1.156e0df4e8244p-15, 0x1.15ddaae8028d5p-15, 0x1.1647feef451d7p-15, 0x1.16ad160dbc1c8p-15, 0x1.170cfb6bd5c54p-15, 0x1.1767ba570ce6dp-15, 0x1.17bd5e14d259ap-15, 0x1.180df17b833b8p-15, 0x1.18597fc8a569dp-15, 0x1.18a02be004c0ep-15, 0x1.18e1c64b049d2p-15, 0x1.191e8f6f5e2ecp-15, 0x1.1956870ffe0b1p-15, 0x1.1989b2f63d9f3p-15, 0x1.19b8228f516cfp-15, 0x1.19e1df52fedffp-15, 0x1.1a06f5f42ec12p-15, 0x1.1a27723ea25a4p-15, 0x1.1a435cd504a51p-15, 0x1.1a5ac542cf928p-15, 0x1.1a6db4e406988p-15, 0x1.1a7c25ecd4616p-15, 0x1.1a86bf704d561p-15, 0x1.1a8c2660141cep-15, 0x1.1a8dc6c8e3c57p-15, 0x1.1a8b2627b61f5p-15, 0x1.1a843ef10081ap-15, 0x1.1a7938f079488p-15, 0x1.1a6a1c20e909ap-15, 0x1.1a56f2616591bp-15, 0x1.1a3fca62a6bcep-15, 0x1.1a24ac17e3dcp-15, 0x1.1a059c3a96a6bp-15, 0x1.19e297aa90b42p-15, 0x1.19bc46bc38dabp-15, 0x1.19915874f9d0bp-15, 0x1.1963333221012p-15, 0x1.193182e8d3283p-15, 0x1.18fb973a2a98bp-15, 0x1.18c29887a963dp-15, 0x1.1885dfea5e1e8p-15, 0x1.1845a6edbc0fap-15, 0x1.1801f61f305dbp-15, 0x1.17bad5dde35b1p-15, 0x1.1770413a9bea9p-15, 0x1.17225bde9aabbp-15, 0x1.16d157b67fe36p-15, 0x1.167d1c07c22p-15, 0x1.162596a3f2039p-15, 0x1.15cae6c245f51p-15, 0x1.156d1974ee3c8p-15, 0x1.150c3724be5a1p-15, 0x1.14a844b8e96a9p-15, 0x1.144178e55b71bp-15, 0x1.13d898a425bb4p-15, 0x1.136aca1638fbep-15, 0x1.12fb4f1cc49a9p-15, 0x1.1288d80e5d7e1p-15, 0x1.12142793c93a9p-15, 0x1.119c852ae5cb8p-15, 0x1.112126c6efb8cp-15, 0x1.10a3eae57648cp-15, 0x1.10240d41d4e89p-15, 0x1.0fa19d04beb98p-15, 0x1.0f1ca5826f342p-15, 0x1.0e952f4ead79bp-15, 0x1.0e0b455522e4ep-15, 0x1.0d7ef206b1a7p-15, 0x1.0cf03f2e8e1f5p-15, 0x1.0c5f35e339243p-15, 0x1.0bcbda3301d7fp-15, 0x1.0b3638ac24fd8p-15, 0x1.0a9eb35fa15dp-15, 0x1.0a04760bc47cfp-15, 0x1.09686413940f6p-15, 0x1.08ca2bcfb36a5p-15, 0x1.0829dfbf82cdap-15, 0x1.078789a7ad6b2p-15, 0x1.06e333fdc9894p-15, 0x1.063cf5b7e40dep-15, 0x1.0594bf7535cedp-15, 0x1.04eaa9580849ep-15, 0x1.043eab066164ep-15, 0x1.0390ea9e107abp-15, 0x1.02e163ffdb076p-15, 0x1.02301b19c3914p-15, 0x1.017d1aa82a226p-15, 0x1.00c86aca62e96p-15, 0x1.00120b9ceb357p-15, 0x1.feb46f0328926p-16, 0x1.fd4194de0ad5ep-16, 0x1.fbcb149f5390dp-16, 0x1.fa5205bfa1796p-16, 0x1.f8d5fcfca292cp-16, 0x1.f757103dc9c07p-16, 0x1.f5d529f01d533p-16, 0x1.f4509cded3983p-16, 0x1.f2c956365e68p-16, 0x1.f13f69f445863p-16, 0x1.efb2e8c681357p-16, 0x1.ee23e27e51c21p-16, 0x1.ec9266a07bfb1p-16, 0x1.eafe84789e1c8p-16, 0x1.e9684b147d2b6p-16, 0x1.e7cfc8f0e712ap-16, 0x1.e63509b27136ap-16, 0x1.e4976e6b04712p-16, 0x1.e2f9e265723a3p-16, 0x1.e1581f39e9d63p-16, 0x1.dfb4f58eff4b5p-16, 0x1.de100cd6cea33p-16, 0x1.dc69342972e83p-16, 0x1.dac081a460ae8p-16, 0x1.d915fbec3588ap-16, 0x1.d76979afd080ap-16, 0x1.d5bca2a48a377p-16, 0x1.d40c3cf490c55p-16, 0x1.d25b4241f7117p-16, 0x1.d0a8bfb4a59ep-16, 0x1.cef4bbe017d7ep-16, 0x1.cd3f3e0a677bp-16, 0x1.cb886173bd8e9p-16, 0x1.c9d03482141e8p-16, 0x1.c816be4ab3f3dp-16, 0x1.c65be2912c3f9p-16, 0x1.c49c13b77998dp-16, 0x1.c2e305bc3a725p-16, 0x1.c1254e50ea3abp-16, 0x1.bf6624fb80c9dp-16, 0x1.bda612e27a42bp-16, 0x1.bbe5116d80f26p-16, 0x1.ba2325863b38ap-16, 0x1.b860586266dfap-16, 0x1.b69cbb6357fbdp-16, 0x1.b4d856bea5c4cp-16, 0x1.b3132c1cb73a4p-16, 0x1.b14d35f453d0ep-16, 0x1.af87f02ebd85p-16, 0x1.adbf7fb252d23p-16, 0x1.abf82551cdf5cp-16, 0x1.aa2fff40ab712p-16, 0x1.a86752d6672b3p-16, 0x1.a69e2fe23141ap-16, 0x1.a4d495ca4f733p-16, 0x1.a30ab6ecb0717p-16, 0x1.a14077b9db8a1p-16, 0x1.9f75f1b5a969ep-16, 0x1.9dab1a4453bcbp-16, 0x1.9be001e8df808p-16, 0x1.9a14b83337b7dp-16, 0x1.98493e9ece588p-16, 0x1.967d6b23465f3p-16, 0x1.94b2c0310b3f5p-16, 0x1.92e64dac152b7p-16, 0x1.911a330d30e04p-16, 0x1.8f4ebb63b8329p-16, 0x1.8d8327289dc26p-16, 0x1.8bb73510021efp-16, 0x1.89ebcee319183p-16, 0x1.88204172315b9p-16, 0x1.86555bfe03994p-16, 0x1.848a26300b306p-16, 0x1.82bf105d8d807p-16, 0x1.80f4686fee628p-16, 0x1.7f2a15c94a0e8p-16, 0x1.7d600db437e74p-16, 0x1.7b9656591febfp-16, 0x1.79cc0c25c2f4p-16, 0x1.7802f92a40ee6p-16, 0x1.763b60c77c705p-16, 0x1.747280e390235p-16, 0x1.72aa9392e1522p-16, 0x1.70e443caf7281p-16, 0x1.6f1d849dead5ep-16, 0x1.6d575172cfd69p-16, 0x1.6b91aca5a2a1p-16, 0x1.69cc94ab94583p-16, 0x1.6807c928ff191p-16, 0x1.6645b00e27d08p-16, 0x1.6481298ada809p-16, 0x1.62bea1354ab34p-16, 0x1.60fcd395366d1p-16, 0x1.5f3b847b397e9p-16, 0x1.5d7bbe0cf98f7p-16, 0x1.5bbbe7896298ap-16, 0x1.59fe8357039ccp-16, 0x1.583ee01495ffp-16, 0x1.5681bfdeac8c4p-16, 0x1.54c55a39cd54bp-16, 0x1.5309cf91e6136p-16, 0x1.514f5be2d6445p-16, 0x1.4f955dd7e73bcp-16, 0x1.4ddc7eb0305a8p-16, 0x1.4c248bd228048p-16, 0x1.4a6d890160443p-16, 0x1.48b77383da1ebp-16, 0x1.4702c308ebbacp-16, 0x1.454e3c106ca0dp-16, 0x1.439b3d6bf3377p-16, 0x1.41e9310229f83p-16, 0x1.40382c492b9fdp-16, 0x1.3e8832ad8aa91p-16, 0x1.3cd94af53bdf4p-16, 0x1.3b2b76d932862p-16, 0x1.397e9ed015faap-16, 0x1.37d55adce63abp-16, 0x1.36281f81c8d1dp-16, 0x1.347f2dd259a75p-16, 0x1.32d7792ff87c5p-16, 0x1.313213d20b181p-16, 0x1.2f89f489e5a6cp-16, 0x1.2de560d9475e8p-16, 0x1.2c41db5b8f4cap-16, 0x1.2a9f961500bf6p-16, 0x1.28fe9365878b4p-16, 0x1.275e024a33997p-16, 0x1.25c0266c9fc53p-16, 0x1.2422c8136b59dp-16, 0x1.2286b47550f0ep-16, 0x1.20ebe67449b08p-16, 0x1.1f525aaee898ep-16, 0x1.1dba29a2cd7bep-16, 0x1.1c234055a7251p-16, 0x1.1a8d9a42d33c2p-16, 0x1.18f946e28983bp-16, 0x1.1766424173c4dp-16, 0x1.15d49e4baf841p-16, 0x1.1444571a3d8bap-16, 0x1.12b511a8af846p-16, 0x1.1127c8deaa46ep-16, 0x1.0f9b908aee99cp-16, 0x1.0e10b5f8f695dp-16, 0x1.0c8738e857213p-16, 0x1.0aff0bd542a05p-16, 0x1.097c1cba8e193p-16, 0x1.07f2edd7b147fp-16, 0x1.066f38ec2b1dap-16, 0x1.04eca8fba8fb5p-16, 0x1.036b40de9dc56p-16, 0x1.01ed58fb62fd4p-16, 0x1.006f31f1bc12bp-16, 0x1.fde2161cae732p-17, 0x1.faf0c96d50502p-17, 0x1.f7f6ffa44142ap-17, 0x1.f506d438a4315p-17, 0x1.f21901184b3fdp-17, 0x1.ef2dd580283c7p-17, 0x1.ec4373a622b83p-17, 0x1.e96077b38ff7cp-17, 0x1.e67e412747375p-17, 0x1.e39eeebe20be2p-17, 0x1.e0c28e470dee4p-17, 0x1.dde922e1f85fcp-17, 0x1.db12ae42ba6p-17, 0x1.d83f31af39a83p-17, 0x1.d56eaeadc70b6p-17, 0x1.d2a12640b78e6p-17, 0x1.cfd69a6ac9cbfp-17, 0x1.cd0f04d442015p-17, 0x1.ca4c65b5d8b3bp-17, 0x1.c788401759db5p-17, 0x1.c4ca591852fe6p-17, 0x1.c20ecd786f39ap-17, 0x1.bf563d4c36fcep-17, 0x1.bca07c4c4787dp-17, 0x1.b9e902e71f5a9p-17, 0x1.b73e940fcbf3dp-17, 0x1.b49233970ee45p-17, 0x1.b1e8ae3cc7667p-17, 0x1.af424ccd65038p-17, 0x1.ac9edb0f5c9a1p-17, 0x1.a9fe28a0fb621p-17, 0x1.a757046df1327p-17, 0x1.a4c5fe5e610bep-17, 0x1.a230ec103c67dp-17, 0x1.9f92bf07d9c94p-17, 0x1.9d0977cc5594fp-17, 0x1.9a7b99ee5e0c8p-17, 0x1.97f06a627d00ap-17, 0x1.95683978031cp-17, 0x1.92e30ae5abdd2p-17, 0x1.9060d20ef6fc5p-17, 0x1.8de3ef14fd1a2p-17, 0x1.8b65b0164860dp-17, 0x1.88ecbb0aad875p-17, 0x1.867680d54f05dp-17, 0x1.840365aa305ecp-17, 0x1.81935263b0c74p-17, 0x1.7f26421d21b06p-17, 0x1.7cbc34470877p-17, 0x1.7a5527db4bf4bp-17, 0x1.77f11af010e4p-17, 0x1.75900ae4fe2d2p-17, 0x1.7331ed6f1b0ecp-17, 0x1.70d66ffa91d85p-17, 0x1.6e7f8149fef74p-17, 0x1.6c299c4b4de4fp-17, 0x1.69d80c3551076p-17, 0x1.6788609550233p-17, 0x1.653c2690b6cd2p-17, 0x1.62f2e0edc8671p-17, }}, 
      {{-0x1.05aa0aecf85fep+0, -0x1.f3ee207aa274fp-1, -0x1.d4cdfefff4179p-1, -0x1.b224802fa71a2p-1, -0x1.8ec1fa080f0fdp-1, -0x1.6c7b2400a8feep-1, -0x1.4c7217fa8c801p-1, -0x1.2f4afd928a11ap-1, -0x1.1552159400a8cp-1, -0x1.fd2e8d74cf6e4p-2, -0x1.d6043394ee4c7p-2, -0x1.b4c06ff7c7bdp-2, -0x1.98dfc87100b57p-2, -0x1.81cefe0ca7541p-2, -0x1.6ef5aba341217p-2, -0x1.5fbda4537d749p-2, -0x1.5397e1358ccedp-2, -0x1.49ff9ddfc935bp-2, -0x1.427c22cb510abp-2, -0x1.3ca195dd0805p-2, -0x1.3811198241595p-2, -0x1.347871d71bfc2p-2, -0x1.319152c9cb4e9p-2, -0x1.2f20829a65e18p-2, -0x1.2cf4d83627638p-2, -0x1.2ae634c54d082p-2, -0x1.28d47889beda1p-2, -0x1.26a68af3fb916p-2, -0x1.24496314399bp-2, -0x1.21af3118347bbp-2, -0x1.1ece919f39922p-2, -0x1.1ba1d4d191667p-2, -0x1.18265e025036fp-2, -0x1.145c10e810bd4p-2, -0x1.1044d37616f7p-2, -0x1.0be41e0436689p-2, -0x1.073e9ed823381p-2, -0x1.0259e55d41adap-2, -0x1.fa78400ffcdc2p-3, -0x1.efd7c5eac5a91p-3, -0x1.e4dfedf1c206ap-3, -0x1.d99e6a65b5f39p-3, -0x1.ce20ccd3d5becp-3, -0x1.c274535ba2566p-3, -0x1.b6a5c404c4ccfp-3, -0x1.aac151c7d2e67p-3, -0x1.9ed285a31069p-3, -0x1.92e42f9fbff2p-3, -0x1.8700604a3d63ep-3, -0x1.7b30634dc65c4p-3, -0x1.6f7cbdfa11f38p-3, -0x1.63ed31a99e90dp-3, -0x1.5888c1517e6afp-3, -0x1.4d55b7545f596p-3, -0x1.4259aaaa9b0c9p-3, -0x1.37998cb40d40ap-3, -0x1.2d19abbb7cbd8p-3, -0x1.22ddc0c3c3828p-3, -0x1.18e8f8602539p-3, -0x1.0f3df9d4879dbp-3, -0x1.05def2d285c2ap-3, -0x1.f99b41013567ap-4, -0x1.e816abb05e4f9p-4, -0x1.d7320f58d5dccp-4, -0x1.c6eea81eb11cfp-4, -0x1.b74d0bb18befap-4, -0x1.a84d4162d9c8ep-4, -0x1.99eecfc13803p-4, -0x1.8c30c2bb8d60fp-4, -0x1.7f11ba3948c4cp-4, -0x1.728ff8141117ap-4, -0x1.66a96addf763ap-4, -0x1.5b5bb39c8d86bp-4, -0x1.50a42f175368ep-4, -0x1.467fff8195973p-4, -0x1.3cec1620a39cbp-4, -0x1.33e538993a1c6p-4, -0x1.2b68059d31a33p-4, -0x1.2370fdaee003bp-4, -0x1.1bfc854ca4515p-4, -0x1.1506ee221a21bp-4, -0x1.0e8c79fac202ap-4, -0x1.08895e471db37p-4, -0x1.02f9c6abeda3cp-4, -0x1.fbb3b81b22f31p-5, -0x1.f24b89c1b90d6p-5, -0x1.e9b34e4498852p-5, -0x1.e1e35d6549cacp-5, -0x1.dad41d10100dep-5, -0x1.d47e01803b6a5p-5, -0x1.ced98dd8c10edp-5, -0x1.c9df66e069966p-5, -0x1.c58847b8e6325p-5, -0x1.c1cd0808ac62dp-5, -0x1.bea69e35cdcaap-5, -0x1.bc0e24af72403p-5, -0x1.b9fcda7c6cc61p-5, -0x1.b86c2152d786ap-5, -0x1.b755815833847p-5, -0x1.b6b2aa599fe2fp-5, -0x1.b67d753a9f9e2p-5, -0x1.b6afe3c11bff9p-5, -0x1.b744218042d6ep-5, -0x1.b83482babe343p-5, -0x1.b97b8580b4454p-5, -0x1.bb13d427b4805p-5, -0x1.bcf84360c00f9p-5, -0x1.bf23d0b63e30dp-5, -0x1.c191a3c72bd3ep-5, -0x1.c43d0e4fa86c4p-5, -0x1.c7218b5e79dccp-5, -0x1.ca3abee3daf83p-5, -0x1.cd84756165384p-5, -0x1.d0faa359d155dp-5, -0x1.d49964844d2e2p-5, -0x1.d85cfa77f1aeep-5, -0x1.dc41ccaaf778bp-5, -0x1.e04468a3e1ba6p-5, -0x1.e461806172412p-5, -0x1.e895e8cc09c5dp-5, -0x1.ecde99b5a02f8p-5, -0x1.f138ad105114fp-5, -0x1.f5a15e03fc884p-5, -0x1.fa160809fff4dp-5, -0x1.fe94260282d3fp-5, -0x1.018ca8a57fd78p-4, -0x1.03d1a07348b5cp-4, -0x1.0617e45ebe138p-4, -0x1.085e6c60dfa08p-4, -0x1.0aa43de176665p-4, -0x1.0ce86b3c927dp-4, -0x1.0f2a13994f8e6p-4, -0x1.1168628da89c9p-4, -0x1.13a28f6b9f774p-4, -0x1.15d7dccad3a2dp-4, -0x1.18079856fb214p-4, -0x1.1a311a62d729fp-4, -0x1.1c53c547e197fp-4, -0x1.1e6f054375da1p-4, -0x1.208250409a4bep-4, -0x1.228d252aeb1fbp-4, -0x1.248f0b6619c7p-4, -0x1.268792ad90f6cp-4, -0x1.2876530031c6p-4, -0x1.2a5aec1cf8911p-4, -0x1.2c3504d971e2dp-4, -0x1.2e044ae95fa1cp-4, -0x1.2fc872e45e428p-4, -0x1.318137ee7d47cp-4, -0x1.332e5b1d8538p-4, -0x1.34cfa32b934c3p-4, -0x1.3664dc76e0f6cp-4, -0x1.37edd8d866cd1p-4, -0x1.396a6f2bc57afp-4, -0x1.3ada7ae6031bp-4, -0x1.3c3ddbf883befp-4, -0x1.3d9476cb2b975p-4, -0x1.3ede33f55236fp-4, -0x1.401affd7b497fp-4, -0x1.414aca61deb7p-4, -0x1.426d8701427d6p-4, -0x1.43832c7c7badp-4, -0x1.448bb4a87cf9dp-4, -0x1.45871c26fdcp-4, -0x1.467562513e8f3p-4, -0x1.475689260fed9p-4, -0x1.482a95123556ep-4, -0x1.48f18cbafe596p-4, -0x1.49ab78e505a1cp-4, -0x1.4a58645c368a1p-4, -0x1.4af85bcfbc04dp-4, -0x1.4b8b6daa65882p-4, -0x1.4c11aa0040beep-4, -0x1.4c8b227370391p-4, -0x1.4cf7ea203adf7p-4, -0x1.4d581580b494bp-4, -0x1.4dabba525f8f7p-4, -0x1.4df2ef80b2cbp-4, -0x1.4e2dcd128db94p-4, -0x1.4e5c6c1834fecp-4, -0x1.4e7ee698bffcp-4, -0x1.4e95577fd8d89p-4, -0x1.4e9fda8d3e902p-4, -0x1.4e9e8c4669f08p-4, -0x1.4e9189e99c76dp-4, -0x1.4e78f161a8987p-4, -0x1.4e54e13a76cfbp-4, -0x1.4e257896b9c57p-4, -0x1.4dead72739631p-4, -0x1.4da51d1dc47bbp-4, -0x1.4d546b283feb1p-4, -0x1.4cf8e270619fdp-4, -0x1.4c92a483cb466p-4, -0x1.4c21d35deedbap-4, -0x1.4ba6915aec748p-4, -0x1.4b21012e0fa91p-4, -0x1.4a9145e15def5p-4, -0x1.49f782cefb1ddp-4, -0x1.4953db9a95256p-4, -0x1.48a6742b85847p-4, -0x1.47ef70a80cbb6p-4, -0x1.472ef5712c42p-4, -0x1.4665271dd4f7ap-4, -0x1.45922a757cb1dp-4, -0x1.44b6246b1e95p-4, -0x1.43d13a1903724p-4, -0x1.42e390bc92f16p-4, -0x1.41ed4db2c8b05p-4, -0x1.40ee9673db343p-4, -0x1.3fe7908e81bfp-4, -0x1.3ed861a65b4aep-4, -0x1.3dc12f6dbaaadp-4, -0x1.3ca21fa36d6fcp-4, -0x1.3b7b580eef965p-4, -0x1.3a4cfe7d2e952p-4, -0x1.391738bd47d89p-4, -0x1.37da2c9d89907p-4, -0x1.3695ffe893afep-4, -0x1.354ad863314a7p-4, -0x1.33f8dbca5c2a7p-4, -0x1.32a02fcca3c9bp-4, -0x1.3140fa03281a9p-4, -0x1.2fdb5ffd5c146p-4, -0x1.2e6f873d0dedep-4, -0x1.2cfd951e6792p-4, -0x1.2b85aee70ce7fp-4, -0x1.2a07f9cb88602p-4, -0x1.28849adc69da7p-4, -0x1.26fbb705d7d17p-4, -0x1.256d73129c452p-4, -0x1.23d9f3a989a29p-4, -0x1.22415d4a79485p-4, -0x1.20a3d44c3897ep-4, -0x1.1f017cd9e5f27p-4, -0x1.1d5a7af161e89p-4, -0x1.1baef2615aba7p-4, -0x1.19ff06c72398fp-4, -0x1.184adb8d0278ep-4, -0x1.169293e891c7p-4, -0x1.14d652d98a14bp-4, -0x1.13163b24f5a19p-4, -0x1.11526f5947cbap-4, -0x1.0f8b11c976bdp-4, -0x1.0dc0448af608ap-4, -0x1.0bf22974f1482p-4, -0x1.0a20e22006177p-4, -0x1.084c8fe142236p-4, -0x1.067553ccc7955p-4, -0x1.049b4eb49ce7ap-4, -0x1.02bea12345fa1p-4, -0x1.00df6b5df56f5p-4, -0x1.fdfb9ac5029ep-5, -0x1.fa33cdcc6fe92p-5, -0x1.f667aea97adfap-5, -0x1.f2977b9ddbfebp-5, -0x1.eec3725396e6fp-5, -0x1.eaebcfdae65fbp-5, -0x1.e710d0a83ede5p-5, -0x1.e332b0925f216p-5, -0x1.df51aacf7d263p-5, -0x1.db6df9f5278cep-5, -0x1.d787d7f474866p-5, -0x1.d39f7e19594bfp-5, -0x1.cfb525088db07p-5, -0x1.cbc904be275bbp-5, -0x1.c7db548c6ada1p-5, -0x1.c3ec4b185172ap-5, -0x1.bffc1e5a00136p-5, -0x1.bc0b039ab029ap-5, -0x1.b8192f7258cbdp-5, -0x1.b426d5c7fa048p-5, -0x1.b03429cf9a136p-5, -0x1.ac415e08bf3b2p-5, -0x1.a84ea43d515b1p-5, -0x1.a45c2d8094ddbp-5, -0x1.a06a2a2e62df9p-5, -0x1.9c78c9ea52e9ep-5, -0x1.98883b9ff2897p-5, -0x1.9498ad7fd9a3cp-5, -0x1.90aa4cfd025a2p-5, -0x1.8cbd46ca1117p-5, -0x1.88d1c6cda1a94p-5, -0x1.84e7f85a5a7d7p-5, -0x1.810005d3ea94cp-5, -0x1.7d1a19162d479p-5, -0x1.79365b205ccf4p-5, -0x1.7554f42bba113p-5, -0x1.71760badfe8c9p-5, -0x1.6d99c8623c356p-5, -0x1.69c0504bf6dcbp-5, -0x1.65e9c8b1e3718p-5, -0x1.621656142be4ep-5, -0x1.5e461c3159015p-5, -0x1.5a793e02e7bbbp-5, -0x1.56afddc2b3d11p-5, -0x1.52ea1ceb0f596p-5, -0x1.4f281c36988f1p-5, -0x1.4b69fba0eb231p-5, -0x1.47afda66987f6p-5, -0x1.43f9d7056b54ep-5, -0x1.40480f3b1a0f1p-5, -0x1.3c9aa006c05b4p-5, -0x1.38f1a5ae62c16p-5, -0x1.354d3bb6b6f7ep-5, -0x1.31ad7cee5d651p-5, -0x1.2e128364017aap-5, -0x1.2a7c686abb085p-5, -0x1.26eb449d0bd96p-5, -0x1.235f2fdfa66d5p-5, -0x1.1fd8416004465p-5, -0x1.1c568f91d125dp-5, -0x1.18da3033563a2p-5, -0x1.1563385415c85p-5, -0x1.11f1bc4c23f74p-5, -0x1.0e85cfc15fd11p-5, -0x1.0b1f85ad530abp-5, -0x1.07bef05a2708ap-5, -0x1.046421625cbe4p-5, -0x1.010f29b3c887dp-5, -0x1.fb80332fc70d3p-6, -0x1.f4ee01442f0e2p-6, -0x1.ee67db8eacce2p-6, -0x1.e7eddeb9ee37ep-6, -0x1.e18026142ac15p-6, -0x1.db1ecbacf39dp-6, -0x1.d4c9e852c0098p-6, -0x1.ce819395dc27ap-6, -0x1.c845e3cc16827p-6, -0x1.c216ee148c8e8p-6, -0x1.bbf4c65b6be6dp-6, -0x1.b5df7f5dfa9b8p-6, -0x1.afd72aae5ca7ep-6, -0x1.a9dbd8b77c96dp-6, -0x1.a3ed98c0f2bf8p-6, -0x1.9e0c78e1d2ddep-6, -0x1.983886593fb2ap-6, -0x1.9271cce9b4a75p-6, -0x1.8cb8578610564p-6, -0x1.870c3000b6c3p-6, -0x1.816d5f1f77586p-6, -0x1.7bdbeca114063p-6, -0x1.7657df4aa3822p-6, -0x1.70e13cd98b115p-6, -0x1.6b780a0fe429ap-6, -0x1.661c4ac5c1021p-6, -0x1.60ce01d3ca97p-6, -0x1.5b8d312a5eacdp-6, -0x1.5659d9d567915p-6, -0x1.5133fbfa3e44cp-6, -0x1.4c1b96dd9908dp-6, -0x1.4710a8e8b7031p-6, -0x1.42132fadac1a6p-6, -0x1.3d2327eba7e6ap-6, -0x1.38408d9328ed1p-6, -0x1.336b5bcbd6127p-6, -0x1.2ea38cef5c1ep-6, -0x1.29e91aad6d378p-6, -0x1.253bfddc33cfep-6, -0x1.209c2eb207246p-6, -0x1.1c09a4952028bp-6, -0x1.1784561279fdp-6, -0x1.130c39a7c0379p-6, -0x1.0ea144c62ae8ap-6, -0x1.0a436bd48538fp-6, -0x1.05f2a33576902p-6, -0x1.01aede8b8dd7dp-6, -0x1.faf02199492d4p-7, -0x1.f29c58be3c597p-7, -0x1.ea62463b9b4f2p-7, -0x1.e241ccb3d6f97p-7, -0x1.da3acdbbd073ap-7, -0x1.d24d29ea380dep-7, -0x1.ca78c0d10c61p-7, -0x1.c2bd71141ab0dp-7, -0x1.bb1b18651eb94p-7, -0x1.b39193909e87ep-7, -0x1.ac20be884762dp-7, -0x1.a4c8746568828p-7, -0x1.9d888f72746bap-7, -0x1.9660e932a697cp-7, -0x1.8f515a693886bp-7, -0x1.8859bb20cf1bcp-7, -0x1.8179e2b2a3048p-7, -0x1.7ab1a7cdc10cdp-7, -0x1.7400e07dfa3a1p-7, -0x1.6d676232e1f96p-7, -0x1.66e501c69b0c4p-7, -0x1.60799384a03b8p-7, -0x1.5a24eb3114266p-7, -0x1.53e6dc0912e36p-7, -0x1.4dbf38e232422p-7, -0x1.47add3f9bfc99p-7, -0x1.41b27f40a9301p-7, -0x1.3bcd0c2fa99bcp-7, -0x1.35fd4bea28795p-7, -0x1.30430f40466f3p-7, -0x1.2a9e2601f5bcdp-7, -0x1.250e6109ed5b2p-7, -0x1.1f93900c57826p-7, -0x1.1a2d81df6c28bp-7, -0x1.14dc065540756p-7, -0x1.0f9eec5f56b83p-7, -0x1.0a7602be41397p-7, -0x1.0561180a890c5p-7, -0x1.005ffac0ba51fp-7, -0x1.f6e4f2842c3b9p-8, -0x1.ed30c36f224cbp-8, -0x1.e3a3043029517p-8, -0x1.da3b50ba3177cp-8, -0x1.d0f94504b0eaep-8, -0x1.c7dc7cb825752p-8, -0x1.bee493409ebbap-8, -0x1.b611241afe649p-8, -0x1.ad61cad3e5eefp-8, -0x1.a4d622f0ae145p-8, -0x1.9c6dc8197f9dcp-8, -0x1.942855f2be6fp-8, -0x1.8c05680fd1a1dp-8, -0x1.84049a6a6c768p-8, -0x1.7c2588e1d72d9p-8, -0x1.7467cf8a39e13p-8, -0x1.6ccb0ac359b43p-8, -0x1.654ed722b4177p-8, -0x1.5df2d19e80667p-8, -0x1.56b69709c5a96p-8, -0x1.4f99c5105283bp-8, -0x1.489bfa00bb6f4p-8, -0x1.41bcd3578f848p-8, -0x1.3afbf063a4ec5p-8, -0x1.3458f01e6a3ep-8, -0x1.2dd372157491p-8, -0x1.276b164292da1p-8, -0x1.211f7d0495789p-8, -0x1.1af0471bdf2aep-8, -0x1.14dd15a93b416p-8, -0x1.0ee58a30526f3p-8, -0x1.0909469d63ddep-8, -0x1.0347ed580f95ap-8, -0x1.fb42429793407p-9, -0x1.f0290bf86725p-9, -0x1.e5437f53cc476p-9, -0x1.da90e6c79eb64p-9, -0x1.d0108e2fef3cfp-9, -0x1.c5c1c36555f46p-9, -0x1.bba3d6100531cp-9, -0x1.b1b61781f3f88p-9, -0x1.a7f7da8165d9bp-9, -0x1.9e687306e221p-9, -0x1.950735ec3932cp-9, -0x1.8bd378a8a7e99p-9, -0x1.82cc90c12ea0dp-9, -0x1.79f1d4b3bcc3ap-9, -0x1.71429a019248dp-9, -0x1.68be37cd6b33fp-9, -0x1.606405b8abc2dp-9, -0x1.58335cfbfb185p-9, -0x1.502b9914857fep-9, -0x1.484c1862a934dp-9, -0x1.40943cb1ea345p-9, -0x1.39036b86f452fp-9, -0x1.31990e1f81e7ep-9, -0x1.2a54911aaf8c8p-9, -0x1.233563ca3f8b3p-9, -0x1.1c3af74341d64p-9, -0x1.1564bd4333d68p-9, -0x1.0eb2272e1b566p-9, -0x1.0822a4da806bp-9, -0x1.01b5a43d1c43ep-9, -0x1.f6d520e26ebe8p-10, -0x1.ea81ac79315f7p-10, -0x1.de6fb87f4d503p-10, -0x1.d29e1b4c28652p-10, -0x1.c70bad3677519p-10, -0x1.bbb74e1c26ff6p-10, -0x1.b09fe8943466fp-10, -0x1.a5c473f586593p-10, -0x1.9b23f54433cc8p-10, -0x1.90bd7e8a5aa87p-10, -0x1.86902d42eb3cap-10, -0x1.7c9b2685de85ep-10, -0x1.72dd93ad5eb2fp-10, -0x1.69569d5401bf5p-10, -0x1.60056762a4c2ap-10, -0x1.56e90da6f5f74p-10, -0x1.4e00a1c563564p-10, -0x1.454b2b0ffecep-10, -0x1.3cc7a85873f9ep-10, -0x1.3475122fedf89p-10, -0x1.2c5260723d6d3p-10, -0x1.245e8ef0cdc11p-10, -0x1.1c98a23ac31cap-10, -0x1.14ffabf708bb3p-10, -0x1.0d92cc94b2641p-10, -0x1.06513b116b302p-10, -0x1.fe74816c54629p-11, -0x1.f09a5977332eap-11, -0x1.e312c062b614bp-11, -0x1.d5dc88ac520bfp-11, -0x1.c8f680e7c627dp-11, -0x1.bc5f6c2e8a645p-11, -0x1.b015fca2a10d8p-11, -0x1.a418cf9020758p-11, -0x1.986669213507cp-11, -0x1.8cfd360c97dd7p-11, -0x1.81db90c92005ep-11, -0x1.76ffca2a09b49p-11, -0x1.6c68335309071p-11, -0x1.62132850d88d3p-11, -0x1.57ff198850e5bp-11, -0x1.4e2a92d985399p-11, -0x1.44943fcc6eb98p-11, -0x1.3b3aec26f149bp-11, -0x1.321d811e80defp-11, -0x1.293aff9aea058p-11, -0x1.20927867d1146p-11, -0x1.182303698c823p-11, -0x1.0febb709691d6p-11, -0x1.07eba0fa6fcefp-11, -0x1.0021c13c281c9p-11, -0x1.f11a0fc16c338p-12, -0x1.e258ab472da61p-12, -0x1.d3fcfdfa9c8d2p-12, -0x1.c604a20177284p-12, -0x1.b86d2de5b9f38p-12, -0x1.ab343e6d1639p-12, -0x1.9e577d04b14d8p-12, -0x1.91d4a4b6b9a39p-12, -0x1.85a98b551629fp-12, -0x1.79d42e8a374bp-12, -0x1.6e52b9cf65084p-12, -0x1.63237e41e3dbp-12, -0x1.5844e4513e71fp-12, -0x1.4db563fd6c1b6p-12, -0x1.437386c40a645p-12, -0x1.397de8904e975p-12, -0x1.2fd329df6d186p-12, -0x1.2671d5621b30ep-12, -0x1.1d584c6da1f7cp-12, -0x1.1484c6b368713p-12, -0x1.0bf5608f5ebe5p-12, -0x1.03a830a62e647p-12, -0x1.f736c0288dc48p-13, -0x1.e79a7f65c7d78p-13, -0x1.d878a97411ac8p-13, -0x1.c9ceaf89937bp-13, -0x1.bb9a4aa10f173p-13, -0x1.add94837d05f7p-13, -0x1.a08954a19b1bep-13, -0x1.93a7d7b4bd5ecp-13, -0x1.8731f2e79cccdp-13, -0x1.7b24a3a4046e2p-13, -0x1.6f7cea0d573b1p-13, -0x1.64382a4498886p-13, -0x1.595431b603b6ap-13, -0x1.4ecf13c3245dbp-13, -0x1.44a75053f8315p-13, -0x1.3adb5639d32c5p-13, -0x1.31694ac069cc6p-13, -0x1.284ed339cdbbbp-13, -0x1.1f890060b3e9cp-13, -0x1.17146e9e8b64ep-13, -0x1.0eed98f976396p-13, -0x1.07114bd965dd3p-13, -0x1.fefa290875a87p-14, -0x1.f05ec878828dap-14, -0x1.e24efc1efec1cp-14, -0x1.d4cb23dab7b27p-14, -0x1.c7d27ba7a7c85p-14, -0x1.bb63bf269120ep-14, -0x1.af7bf417d5d5fp-14, -0x1.a4163c2735269p-14, -0x1.992cbe78723f1p-14, -0x1.8eb9618d45588p-14, -0x1.84b6a22b1514cp-14, -0x1.7b2049c3f758ep-14, -0x1.71f37c42df426p-14, -0x1.692e83e0e297dp-14, -0x1.60d05e00e0514p-14, -0x1.58d831b9a5d6bp-14, -0x1.5144ac2c362c1p-14, -0x1.4a136967a7f6ep-14, -0x1.4340a1c3f93c2p-14, -0x1.3cc7442017ce8p-14, -0x1.36a18febfcc86p-14, -0x1.30ca1437cad56p-14, -0x1.2b3cc152588f3p-14, -0x1.25f79ca38124ep-14, -0x1.20fabad26b84fp-14, -0x1.1c476de01d4fcp-14, -0x1.17defa1ed74efp-14, -0x1.13c16c5b68505p-14, -0x1.0fed18a503c9dp-14, -0x1.0c5edd7d099f8p-14, -0x1.0912d77878191p-14, -0x1.060514e499c7dp-14, -0x1.03320b7876161p-14, -0x1.0096c6baacaa9p-14, -0x1.fc61b251c0103p-15, -0x1.f7fc5a4462b9p-15, -0x1.f3f9d41743cfcp-15, -0x1.f05717f52d6c5p-15, -0x1.ed12109fc28d4p-15, -0x1.ea2972b5b38a1p-15, -0x1.e79bfa2f182b9p-15, -0x1.e56779198e212p-15, -0x1.e3884dd1bd86cp-15, -0x1.e1f98c1df3384p-15, -0x1.e0b5a8f51f723p-15, -0x1.dfb79292189dp-15, -0x1.defb8e67c6161p-15, -0x1.de7f8e9a95107p-15, -0x1.de42d6a7cc1f4p-15, -0x1.de451633f4965p-15, -0x1.de85885da9bb6p-15, -0x1.df02adf04d86cp-15, -0x1.dfba1d536cedap-15, -0x1.e0a8b60c59047p-15, -0x1.e1caf14de0f5cp-15, -0x1.e31de7f37853p-15, -0x1.e4a0344976717p-15, -0x1.e651842caf664p-15, -0x1.e830ca797dcdcp-15, -0x1.ea3ae226643a8p-15, -0x1.ec6adc44730bcp-15, -0x1.eebb8f6a755d3p-15, -0x1.f1290e01cfb4fp-15, -0x1.f3b149b2276bdp-15, -0x1.f653dad042613p-15, -0x1.f91147b97b8fcp-15, -0x1.fbea374737e4cp-15, -0x1.fedece96e8506p-15, -0x1.00f7495f5016fp-14, -0x1.028ba546cdf25p-14, -0x1.042b845810594p-14, -0x1.05d61dea9b447p-14, -0x1.078ab64d8b22p-14, -0x1.0946ba124248p-14, -0x1.0b08c71da3b94p-14, -0x1.0cd074dbb291p-14, -0x1.0e9e4f70e3799p-14, -0x1.10727ec879bebp-14, -0x1.124bf31be449ap-14, -0x1.14294420bb96dp-14, -0x1.160a16c0ac3f2p-14, -0x1.17ef0bbc992fp-14, -0x1.19d8880e8e64p-14, -0x1.1bc61cd0ea8a3p-14, -0x1.1db6e9379c775p-14, -0x1.1faa17b26ded9p-14, -0x1.219eedffd447fp-14, -0x1.2394a774ad28ep-14, -0x1.258a0a0870c6cp-14, -0x1.277d704fb44acp-14, -0x1.296f09dc0eb4ap-14, -0x1.2b5e45a94942ep-14, -0x1.2d4c99d6d6584p-14, -0x1.2f3a663788f92p-14, -0x1.31275b5136fe6p-14, -0x1.3312db34ca5fep-14, -0x1.34fcc973d933bp-14, -0x1.36e564ab77d41p-14, -0x1.38cc18b515866p-14, -0x1.3aaf2661da688p-14, -0x1.3c8d37139a787p-14, -0x1.3e66612184955p-14, -0x1.403ba62d423e5p-14, -0x1.420cf3a6401f4p-14, -0x1.43d93870c6f74p-14, -0x1.459fde1fff061p-14, -0x1.47623d7773129p-14, -0x1.491fed7187734p-14, -0x1.4ad8af525b9f8p-14, -0x1.4c8be0dc648p-14, -0x1.4e395a3351c39p-14, -0x1.4fe1619f0ceebp-14, -0x1.5183af3b4ae37p-14, -0x1.531f80a52a506p-14, -0x1.54b59201f85bcp-14, -0x1.56462c1528a8fp-14, -0x1.57cfe9233c49ep-14, -0x1.59526fa13f8abp-14, -0x1.5ace0e89aaec9p-14, -0x1.5c42d9062cf3dp-14, -0x1.5db109c6a4d18p-14, -0x1.5f188054277b6p-14, -0x1.6078ca65d7776p-14, -0x1.61d1e64786298p-14, -0x1.63243cb64eff1p-14, -0x1.646ff891b7162p-14, -0x1.65b4c4b337864p-14, -0x1.66f1fc5ff6373p-14, -0x1.68275f98b7f18p-14, -0x1.695544d5f452ep-14, -0x1.6a7b90a69adcbp-14, -0x1.6b9a23d090393p-14, -0x1.6cb137f1a4b8fp-14, -0x1.6dc0feb88fbdcp-14, -0x1.6ec94dfdf82abp-14, -0x1.6fc9fd25e6ed6p-14, -0x1.70c302ec64fb8p-14, -0x1.71b47ca8dc9f4p-14, -0x1.729e6a08a81d6p-14, -0x1.738090a98b6p-14, -0x1.745b16e6fd40fp-14, -0x1.752e2681dbc65p-14, -0x1.75f99bfacf82cp-14, -0x1.76bd8062cc80fp-14, -0x1.7779d5d82b818p-14, -0x1.782e9e65c82eap-14, -0x1.78dbde3c5e214p-14, -0x1.79819b3f1e33fp-14, -0x1.7a1fdd0efdf76p-14, -0x1.7ab6bc6565032p-14, -0x1.7b460b8a516c6p-14, -0x1.7bce0610720a5p-14, -0x1.7c4ea93028d5ep-14, -0x1.7cc7ff3e5d1dbp-14, -0x1.7d3a16466a86cp-14, -0x1.7da4e65181372p-14, -0x1.7e086c824ccfep-14, -0x1.7e64c4e2d892bp-14, -0x1.7eba09c1fa968p-14, -0x1.7f0867299ec05p-14, -0x1.7f4ff6956e1f7p-14, -0x1.7f902dfb465dap-14, -0x1.7fc95ae20139dp-14, -0x1.7ffbeaa744ce4p-14, -0x1.8027b381140e1p-14, -0x1.804cbdf276db3p-14, -0x1.806b18a2a634dp-14, -0x1.8082de87a2a8ep-14, -0x1.8093fa6cdbbacp-14, -0x1.809e9b5773adp-14, -0x1.80a2c9ff24769p-14, -0x1.80a09ac119c3fp-14, -0x1.8098240aea994p-14, -0x1.8089614ad2974p-14, -0x1.80747abe1a9eep-14, -0x1.80597cbec4714p-14, -0x1.8038727a484bep-14, -0x1.80115dd2d0a92p-14, -0x1.7fe42747e2b66p-14, -0x1.7fb0e1b687afap-14, -0x1.7f77f1567bb14p-14, -0x1.7f397a413df11p-14, -0x1.7ef58aef746bdp-14, -0x1.7eac6009b49d3p-14, -0x1.7e5c0c2ab5e3dp-14, -0x1.7e0823e003e67p-14, -0x1.7dad4ffa6ebbp-14, -0x1.7d4dc08229ec7p-14, -0x1.7ce94c51e72a7p-14, -0x1.7c7f9d849ec9fp-14, -0x1.7c10896fa3968p-14, -0x1.7b9c703adb72cp-14, -0x1.7b236de2ea9aap-14, -0x1.7aa5a11bab9eap-14, -0x1.7a22fa4b2a73cp-14, -0x1.799b8f98f1814p-14, -0x1.790f787aa1998p-14, -0x1.787ebc8673aa3p-14, -0x1.77e975d6f5fe1p-14, -0x1.774fb6a21aa07p-14, -0x1.76b18e5fc9866p-14, -0x1.760f102671012p-14, -0x1.75684e5a4a194p-14, -0x1.74bd58f490e32p-14, -0x1.740e41ceda9d9p-14, -0x1.735b1b3feb6c9p-14, -0x1.72a3f6fb9c284p-14, -0x1.71e8e8b9b2e7fp-14, -0x1.712a042ce515bp-14, -0x1.70675d5ea4d5ep-14, -0x1.6fa10a8a996fdp-14, -0x1.6ed71fce267ddp-14, -0x1.6e099c75d274dp-14, -0x1.6d37f827167cfp-14, -0x1.6c62ee94fbf4ap-14, -0x1.6b8ad33d56913p-14, -0x1.6aafbbe6c609p-14, -0x1.69d0ee4165234p-14, -0x1.68ee9ed631431p-14, -0x1.6809de74a81a9p-14, -0x1.6722012cd1401p-14, -0x1.6636f60e3a0eep-14, -0x1.6548d9822ca2p-14, -0x1.6457b3bab4722p-14, -0x1.63639bfdc10fap-14, -0x1.626d11f0c25b3p-14, -0x1.617493af44f95p-14, -0x1.6078a25ad46f3p-14, -0x1.5f7a19e1c4d33p-14, -0x1.5e7903386be9bp-14, -0x1.5d74fdc2b15b6p-14, -0x1.5c6edc759a389p-14, -0x1.5b66ae6ea223ep-14, -0x1.5a5c489edb842p-14, -0x1.594f842848691p-14, -0x1.5840674d21c31p-14, -0x1.572f74c53ca83p-14, -0x1.561c00ed037dep-14, -0x1.5506b2d94fbdp-14, -0x1.53ef6f5585408p-14, -0x1.52d63b9db5977p-14, -0x1.51bb2509859bep-14, -0x1.509e41e22a843p-14, -0x1.4f7f9ccc6aafp-14, -0x1.4e5f2fd9a5bcap-14, -0x1.4d3d25f3847d1p-14, -0x1.4c1979f8119f5p-14, -0x1.4af435728870dp-14, -0x1.49cd714d59261p-14, -0x1.48a53fd8311dbp-14, -0x1.477b8b7db1167p-14, -0x1.465080953cd46p-14, -0x1.4523fdf780778p-14, -0x1.43f62ee51289ap-14, -0x1.42c73b5fd0be4p-14, -0x1.419718e5d89ccp-14, -0x1.4065cbd9b3129p-14, -0x1.3f335eb412748p-14, -0x1.3dffdc8a324cep-14, -0x1.3ccb501a5beb3p-14, -0x1.3b95c3f45d63cp-14, -0x1.3a5f42ee39c21p-14, -0x1.3927d875cde12p-14, -0x1.37ef903dc31b6p-14, -0x1.36b6756ec770bp-14, -0x1.357c923396e0fp-14, -0x1.3441efff49108p-14, -0x1.33069788bc3p-14, -0x1.31ca90e6eb339p-14, -0x1.308de4f622b1dp-14, -0x1.2f509c86b2247p-14, -0x1.2e12c0d647e61p-14, -0x1.2cd45b0d489a1p-14, -0x1.2b957442097ebp-14, -0x1.2a561581d892cp-14, -0x1.29164fce02917p-14, -0x1.27d6149ff8c43p-14, -0x1.269584179f70cp-14, -0x1.25549f233819fp-14, -0x1.24136e15466c9p-14, -0x1.22d1f75683069p-14, -0x1.219042a06920dp-14, -0x1.204e5cae2e22ap-14, -0x1.1f0c5781407c7p-14, -0x1.1dca443dce1bep-14, -0x1.1c881bb4d81dfp-14, -0x1.1b45875a0152dp-14, -0x1.1a025327434c7p-14, -0x1.18bf6a58d5828p-14, -0x1.177cf9e4ac77dp-14, -0x1.163ab36dc53a2p-14, -0x1.14f7fec8c17d2p-14, -0x1.13b4d629e8339p-14, -0x1.1272da6f1545ep-14, -0x1.113108544348cp-14, -0x1.0fef2ba74c6aep-14, -0x1.0ead357c9433dp-14, -0x1.0d6b4ef279a24p-14, -0x1.0c299b7368ffdp-14, -0x1.0ae828ac49efbp-14, -0x1.09a6f56824fc7p-14, -0x1.08664a8b76775p-14, -0x1.072520577df56p-14, -0x1.05e5894ff6d16p-14, -0x1.04a57e95a4625p-14, -0x1.0365fdbf3c7cbp-14, -0x1.0226d5b753eeap-14, -0x1.00e80df50bap-14, -0x1.ff53a2a91b836p-15, -0x1.fcd800c7cf54ep-15, -0x1.fa5d365e7782ep-15, -0x1.f7e356117f14bp-15, -0x1.f56a6fa13dd6cp-15, -0x1.f2f28e89e9f5p-15, -0x1.f07bbb0840ea6p-15, -0x1.ee0629d8aadc9p-15, -0x1.eb9156a0854bcp-15, -0x1.e91dd74b8c69ap-15, -0x1.e6ab9835b2d61p-15, -0x1.e43a95062c78bp-15, -0x1.e1caa84516795p-15, -0x1.df5c06c158414p-15, -0x1.dceef2ed9e0e6p-15, -0x1.da825b99d39e2p-15, -0x1.d8175ed8704cap-15, -0x1.d5aed2b4c96a2p-15, -0x1.d3482af93fddbp-15, -0x1.d0e17983ec825p-15, -0x1.ce7c779f07998p-15, -0x1.cc177d197ff41p-15, -0x1.c9b5ddefc8235p-15, -0x1.c755ebdf39671p-15, -0x1.c4f73c23f998bp-15, -0x1.c29a09f83a744p-15, -0x1.c03e773776835p-15, -0x1.bde4548d59637p-15, -0x1.bb8bde416ff81p-15, -0x1.b9351fd30069ep-15, -0x1.b6e0102024fe1p-15, -0x1.b48cb2c32fb4ep-15, -0x1.b23b0c9b720e7p-15, -0x1.afeb21ffb3d8p-15, -0x1.ad9cf6ab719dcp-15, -0x1.ab508dc2c8c9bp-15, -0x1.a905e4b26defcp-15, -0x1.a6bd2769cdd0ep-15, -0x1.a4761352042c9p-15, -0x1.a230e6ea01cbcp-15, -0x1.9fed9c604cf3ep-15, -0x1.9dac353605019p-15, -0x1.9b6cad59b4234p-15, -0x1.992f0b8c6b802p-15, -0x1.96f34eb09d62dp-15, -0x1.94b9794d2dff9p-15, -0x1.928195447815fp-15, -0x1.904b9cad01edcp-15, -0x1.8e178ce22f7b8p-15, -0x1.8be56d1a0d659p-15, -0x1.89b5d2d5630fap-15, -0x1.87876fbc74df4p-15, -0x1.855bcbc8b51b2p-15, -0x1.8331a477a73aap-15, -0x1.810967bdb75adp-15, -0x1.7ee29dc5fe863p-15, -0x1.7cbe8738291e2p-15, -0x1.7a9c93c7d0547p-15, -0x1.787d42c9ed1d5p-15, -0x1.765ff20b0389ep-15, -0x1.74440688fb0bap-15, -0x1.7229f6de3ca49p-15, -0x1.7012a16f2c1e8p-15, -0x1.6dfc9be2b24ffp-15, -0x1.6be935d0c9a1fp-15, -0x1.69d858243d7cap-15, -0x1.67c85052acf64p-15, -0x1.65bb8b8921498p-15, -0x1.63b0a687a8b75p-15, -0x1.61a7a9e7011d1p-15, -0x1.5fa0f388001fp-15, -0x1.5d9c685389f35p-15, -0x1.5b99eee44c92dp-15, -0x1.5999a0c971613p-15, -0x1.579b50d61d065p-15, -0x1.559eadb9f9f8ap-15, -0x1.53a41dfa78f43p-15, -0x1.51ac71388fdf4p-15, -0x1.4fb72be960453p-15, -0x1.4dc360527dfeap-15, -0x1.4bd19a16c664ep-15, -0x1.49e2e39aa115bp-15, -0x1.47f79a7174aa1p-15, -0x1.460bc1bd3e1fap-15, -0x1.442365e0b344p-15, -0x1.423c243b8dff7p-15, -0x1.4058381ac735fp-15, -0x1.3e76370883d0fp-15, -0x1.3c950f21d73d8p-15, -0x1.3ab7059284df7p-15, -0x1.38db2a1648d51p-15, -0x1.37018c45d8d91p-15, -0x1.352a16483bf3ep-15, -0x1.3354d7447fbd5p-15, -0x1.3181ac5d7eb56p-15, -0x1.2fb0a744dd22p-15, -0x1.2de1cccf5c30fp-15, -0x1.2c15197fe3fbap-15, -0x1.2a4a8d90ee1d1p-15, -0x1.288218dce4071p-15, -0x1.26bc196c2040ep-15, -0x1.24f7ca79e4721p-15, -0x1.2335e42844f7cp-15, -0x1.217610ba53a85p-15, -0x1.1fb841ac45c45p-15, -0x1.1dfc3c707bb67p-15, -0x1.1c4276dfee00ap-15, -0x1.1a8d07932b13fp-15, -0x1.18d78ca4e997cp-15, -0x1.1724b357f299fp-15, -0x1.1572153a44c08p-15, -0x1.13c3c401cf95ap-15, -0x1.12176f4a29856p-15, -0x1.106cf8622c787p-15, -0x1.0ec47ef5333d7p-15, -0x1.0d1e15deee168p-15, -0x1.0b79be0975273p-15, -0x1.09d7a9d3f42edp-15, -0x1.0834007405ea4p-15, -0x1.069982628f237p-15, -0x1.04fdd1d55e465p-15, -0x1.0363f4602e11fp-15, -0x1.01cc41effa0aep-15, -0x1.0036912294b4p-15, -0x1.fd45f642c6098p-16, -0x1.fa22e3369d64bp-16, -0x1.f703ea1ccd764p-16, -0x1.f3e909198986ep-16, -0x1.f0d23db26d766p-16, -0x1.edbf852bda83fp-16, -0x1.eab0dcd7fa97ep-16, -0x1.e7a641ced2aacp-16, -0x1.e49fb0bf808fbp-16, -0x1.e19d25b3f1a99p-16, -0x1.de9fdef679d8bp-16, -0x1.dba4dd10c6b6cp-16, -0x1.d8adae63a9d24p-16, -0x1.d5bb21c0a7579p-16, -0x1.d2ccecc25637bp-16, -0x1.cfe2ddf26510cp-16, -0x1.ccfd4201709d9p-16, -0x1.ca1a9a4ff1f18p-16, -0x1.c738764895561p-16, -0x1.c45e6c9867bddp-16, -0x1.c1881c5053267p-16, -0x1.beb2f18153bedp-16, -0x1.bbe6c95106f7cp-16, -0x1.b91d2f67604ap-16, -0x1.b654f5af4080bp-16, -0x1.b390aaa84ca63p-16, -0x1.b0d0a1ebb77f7p-16, -0x1.ae149d478ffa8p-16, -0x1.ab5c4cde39cf6p-16, -0x1.a8a3f6c5c5432p-16, -0x1.a5f77aeee3995p-16, -0x1.a34b0dc55189dp-16, -0x1.a0a1fc43c4e6ep-16, -0x1.9dfcc6d366469p-16, -0x1.9b5b44ba23209p-16, -0x1.98bd71d47442cp-16, -0x1.96235549269b4p-16, -0x1.938ce5e0af34ap-16, -0x1.90fa1fbc3cd7ap-16, -0x1.8e6b7a9bdbba4p-16, -0x1.8bdf994ade594p-16, -0x1.89588c9af31b7p-16, -0x1.86d329eeafae5p-16, -0x1.8452ddf6add09p-16, -0x1.81d62002719ecp-16, -0x1.7f5d48afa3018p-16, -0x1.7ce764453bd0ap-16, -0x1.7a7307bf6c272p-16, -0x1.7803ea940f27dp-16, -0x1.7599214c11362p-16, -0x1.73331784ce9dep-16, -0x1.70ce9e252edb5p-16, -0x1.6e6d307edc944p-16, -0x1.6c0f8577309ecp-16, -0x1.69b57879659b2p-16, -0x1.675ebeac2b527p-16, -0x1.650c21856c7ddp-16, -0x1.62bc687f7589cp-16, -0x1.606f34c6c73f7p-16, -0x1.5e2714f1f3c0bp-16, -0x1.5be162f98787ap-16, -0x1.599ed04e8d784p-16, -0x1.575fcf157e5dp-16, -0x1.552300acaf9dap-16, -0x1.52ed05a2fc1eep-16, -0x1.50b8f3479bbbcp-16, -0x1.4e883e3d9eed7p-16, -0x1.4c565140e8235p-16, -0x1.4a2c5c7ac198bp-16, -0x1.4804f55ceeeb4p-16, -0x1.45df48bc65351p-16, -0x1.43bbe18880e1cp-16, -0x1.419e023441b37p-16, -0x1.3f84157969467p-16, -0x1.3d6a4ec74fc67p-16, -0x1.3b561175bc176p-16, -0x1.3946879a99cb3p-16, -0x1.373811935fd74p-16, -0x1.352c2c835dc22p-16, -0x1.33235550ee8bp-16, -0x1.311da74fc4bd8p-16, -0x1.2f1ae442d5543p-16, -0x1.2d1ce942e5e65p-16, -0x1.2b1f835c36b76p-16, -0x1.292638258f233p-16, -0x1.272fb9515c1e4p-16, -0x1.253c7e9db511dp-16, -0x1.234c9ea61098p-16, -0x1.215f2566a26f4p-16, -0x1.1f760338b76f3p-16, -0x1.1d8d18a2eb576p-16, -0x1.1ba89b4e83281p-16, -0x1.19c6f3e69ee4cp-16, -0x1.17e829efeb691p-16, -0x1.16071ec4553c9p-16, -0x1.143335d06e682p-16, -0x1.125d01b269984p-16, -0x1.1089a217607d7p-16, -0x1.0eb912e3e727dp-16, -0x1.0ceb4b628a365p-16, -0x1.0b209ac5b98e7p-16, -0x1.09581b1a77caap-16, -0x1.0792bbee026dep-16, -0x1.05d0116ad9497p-16, -0x1.04101d7f65874p-16, -0x1.0252fd6b4dcccp-16, -0x1.00990d698437ep-16, -0x1.fdc105a4f97e7p-17, -0x1.fa567f5c64f9fp-17, -0x1.f6f573318381fp-17, -0x1.f39195ccd89dp-17, -0x1.f0377de6a1a7dp-17, -0x1.ece304340e4d1p-17, -0x1.e9969f7b8c1e7p-17, -0x1.e6477b768858fp-17, -0x1.e30217f572491p-17, -0x1.dfc1b4bfac13fp-17, -0x1.dc86ba0f0a07fp-17, -0x1.d950724475441p-17, -0x1.d6211fdb0ed3fp-17, -0x1.d2f5fbeb64839p-17, -0x1.cfc8de977d5ddp-17, -0x1.cca7655d22cb5p-17, -0x1.c989caaea8e69p-17, -0x1.c6714a70782f7p-17, -0x1.c364ae2a6da02p-17, -0x1.c055c46dee4cfp-17, -0x1.bd4a6610e4fbdp-17, -0x1.ba449c57e17dap-17, -0x1.b744263ffec11p-17, -0x1.b448c14422ebfp-17, -0x1.b1524540e89ccp-17, -0x1.ae79cf1aa79cdp-17, -0x1.ab73b863c89ffp-17, -0x1.a88b8d43621f5p-17, -0x1.a5a7eead1397p-17, -0x1.a2c8791b96df1p-17, -0x1.9febf12d4addfp-17, -0x1.9d1fffe60b55cp-17, -0x1.9a4de5ef386fep-17, -0x1.977c7895fb139p-17, -0x1.94abec683729ap-17, -0x1.91e8b95a09d7ep-17, -0x1.8f2f75bed6224p-17, -0x1.8c7b465852b82p-17, -0x1.89c108144354ap-17, -0x1.870de41b5f145p-17, -0x1.845a1d06fbfb7p-17, -0x1.81b2fbfe2a23bp-17, -0x1.7f10ba156b09p-17, -0x1.7c6e7fab4b8cep-17, -0x1.79cf7dada779dp-17, -0x1.77387701b161ep-17, -0x1.74a453dd5b301p-17, -0x1.72145b87606d2p-17, -0x1.6f8895b032e97p-17, -0x1.6d00ec82c11dcp-17, -0x1.6a7d5f3766078p-17, -0x1.67fde8ce9d1f4p-17, -0x1.658283fe78b88p-17, -0x1.630b317bf188ep-17, -0x1.6097db139ae3ap-17, -0x1.5e288b8d998d2p-17, -0x1.5bbdc27a97ba9p-17, -0x1.59555b1459e4bp-17, -0x1.56f26dee46e45p-17, -0x1.5492eab89e1bbp-17, -0x1.5237494da1c1bp-17, -0x1.4fdf589409a6ep-17, -0x1.4d872c5e4cef5p-17, -0x1.4b3b808e3a6f8p-17, -0x1.48ef53d7c9402p-17, -0x1.46a83f4670e36p-17, -0x1.44621f816d59ap-17, -0x1.42211c0a4fe6cp-17, -0x1.3fe396a364b0ep-17, -0x1.3da2b8f1816cap-17, -0x1.3b73dd229b878p-17, -0x1.39432ccf174c2p-17, -0x1.370ce31930bfbp-17, -0x1.34e8586efb9b1p-17, -0x1.32c14683daf55p-17, -0x1.309d840462deep-17, -0x1.2e7d499fbe466p-17, -0x1.2c6094175527bp-17, -0x1.2a4758e962957p-17, -0x1.28014b2ef311ap-17, -0x1.261f7dbc980a8p-17, -0x1.2410d231d09dcp-17, -0x1.2205395a167f6p-17, -0x1.1ffd1bbc7b2bdp-17, -0x1.1df86491f8968p-17, -0x1.1bf721226962dp-17, -0x1.19f9570a13b03p-17, -0x1.17fef7a89783fp-17, -0x1.1607e7e86d89cp-17, -0x1.141413ff6f87ap-17, -0x1.122370c471e5p-17, -0x1.1035dbd8732a9p-17, -0x1.0e4c781caad2ap-17, -0x1.0c650279f1b7dp-17, -0x1.0a81d52e1db82p-17, -0x1.08a0e4e371011p-17, -0x1.06c3771cb3d4cp-17, -0x1.04e83fe7bdc6ap-17, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{0x1.fcf8885f2ac53p-1, 0x1.fc87fe2974414p-1, 0x1.fbcd9f1d19ed1p-1, 0x1.facb24b4073d7p-1, 0x1.f982daafc998dp-1, 0x1.f7f787d9983f5p-1, 0x1.f62c55f1c00a2p-1, 0x1.f424ba3b7dccap-1, 0x1.f1e45f932284p-1, 0x1.ef6f129b2cc1fp-1, 0x1.ecc8b04565ee3p-1, 0x1.e9f516ca3832ep-1, 0x1.e6f818fe0f382p-1, 0x1.e3d573dec80a4p-1, 0x1.e090c626c375dp-1, 0x1.dd2d89ad78039p-1, 0x1.d9af0e5c4a201p-1, 0x1.d618768077bbp-1, 0x1.d26cb446b45ebp-1, 0x1.ceae8831ec529p-1, 0x1.cae08063e01e7p-1, 0x1.c704f8937d0f4p-1, 0x1.c31e1a91b9497p-1, 0x1.bf2ddf42437cfp-1, 0x1.bb360ff145ac9p-1, 0x1.b73847f30247fp-1, 0x1.b335f67cff2acp-1, 0x1.af3060ab0b101p-1, 0x1.ab28a3a47c37fp-1, 0x1.a71fb6d7d9d74p-1, 0x1.a3166e449f01cp-1, 0x1.9f0d7ccbfdc89p-1, 0x1.9b057682a4826p-1, 0x1.96fed2fe59df6p-1, 0x1.92f9ef9b197e6p-1, 0x1.8ef711b3f23d8p-1, 0x1.8af668cc8a01fp-1, 0x1.86f810a8a1e32p-1, 0x1.82fc134f72c3fp-1, 0x1.7f026af91d5bp-1, 0x1.7b0b03e4ce425p-1, 0x1.7715be1688042p-1, 0x1.73226efbdb4e8p-1, 0x1.6f30e2f7153bdp-1, 0x1.6b40ded0b4a26p-1, 0x1.6752210f2f6e3p-1, 0x1.6364633542f3ep-1, 0x1.5f775ae7400d1p-1, 0x1.5b8abaf7e4582p-1, 0x1.579e345d79fccp-1, 0x1.53b1771016c7ep-1, 0x1.4fc432d1e4989p-1, 0x1.4bd617e27a8ffp-1, 0x1.47e6d79e550dfp-1, 0x1.43f6250b8a92ap-1, 0x1.4003b554e0e34p-1, 0x1.3c0f4034691dfp-1, 0x1.3818804ecbd37p-1, 0x1.341f338066c1bp-1, 0x1.30231b1d60719p-1, 0x1.2c23fc25c739fp-1, 0x1.28219f6ece521p-1, 0x1.241bd1c22ca69p-1, 0x1.201263f49b367p-1, 0x1.1c052af45c483p-1, 0x1.17f3ffd0b25d2p-1, 0x1.13debfbb13d68p-1, 0x1.0fc54c02e67bbp-1, 0x1.0ba78a0c77a4fp-1, 0x1.07856343da95bp-1, 0x1.035ec50c4b5b5p-1, 0x1.fe67415945681p-2, 0x1.f607d672bec05p-2, 0x1.ed9f3af96fbfdp-2, 0x1.e52d67ba3fdafp-2, 0x1.dcb25c8540146p-2, 0x1.d42e1ff6a2495p-2, 0x1.cba0bf3e8f8ap-2, 0x1.c30a4de85c28bp-2, 0x1.ba6ae5a18934ap-2, 0x1.b1c2a600f02e1p-2, 0x1.a911b44e6f25bp-2, 0x1.a0583b4b4e761p-2, 0x1.97966afba12cap-2, 0x1.8ecc7870c200dp-2, 0x1.85fa9d9518d38p-2, 0x1.7d2118f935e97p-2, 0x1.74402da25b1p-2, 0x1.6b5822da7efdap-2, 0x1.62694401c535fp-2, 0x1.5973e06175707p-2, 0x1.50784b00631cbp-2, 0x1.4776da78c17fep-2, 0x1.3e6fe8cf5a4dfp-2, 0x1.3563d34c104ffp-2, 0x1.2c52fa53a62d8p-2, 0x1.233dc142b4acfp-2, 0x1.1a248e49bbbf4p-2, 0x1.1107ca4a3c4fp-2, 0x1.07e7e0b4ce81cp-2, 0x1.fd8a7ed01fd76p-3, 0x1.eb40ad20d52a8p-3, 0x1.d8f33111250dp-3, 0x1.c6a2f375675d4p-3, 0x1.b450e10462bd5p-3, 0x1.a1fdea1beeaf5p-3, 0x1.8fab02867fabfp-3, 0x1.7d5921418b9a5p-3, 0x1.6b094044b18eep-3, 0x1.58bc5c4980befp-3, 0x1.46737493d6cp-3, 0x1.342f8abab80a6p-3, 0x1.21f1a27199134p-3, 0x1.0fbac15207478p-3, 0x1.fb17dd4b4cee8p-4, 0x1.d6cc6660f3ce9p-4, 0x1.b29531f6e0789p-4, 0x1.8e74563e5f91ap-4, 0x1.6a6beb1e3b956p-4, 0x1.467e09c93f122p-4, 0x1.22accc552b00dp-4, 0x1.fdf49aa44f1bep-5, 0x1.b6d14ec56394bp-5, 0x1.6ff3e9a823bf4p-5, 0x1.29609e6ec095bp-5, 0x1.c6373becd09bfp-6, 0x1.3a522c17fe83ep-6, 0x1.5e34c2892211ap-7, 0x1.24c1309d9958p-9, -0x1.94b116aa16a86p-8, -0x1.dc555cff449a6p-7, -0x1.765aeed329d6ep-6, -0x1.fdb4f06a62613p-6, -0x1.421856f171cddp-5, -0x1.84e31a1401ee2p-5, -0x1.c736d1f131159p-5, -0x1.0487ccb85587fp-4, -0x1.2534cb5f83aa8p-4, -0x1.45a07dfdf387fp-4, -0x1.65c903f2389c7p-4, -0x1.85ac833d18aafp-4, -0x1.a54928d2f2909p-4, -0x1.c49d28eb28ad4p-4, -0x1.e3a6bf4d71278p-4, -0x1.013217ce735fep-3, -0x1.1069e2d0739b8p-3, -0x1.1f79eac5cdf6dp-3, -0x1.2e615e1f0e453p-3, -0x1.3d1f6fc5108ddp-3, -0x1.4bb357389e54bp-3, -0x1.5a1c50b0c3cb9p-3, -0x1.68599d37d5e13p-3, -0x1.766a82c733bd2p-3, -0x1.844e4c61a15a6p-3, -0x1.92044a2c5d8e4p-3, -0x1.9f8bd186ccc83p-3, -0x1.ace43d20c940ap-3, -0x1.ba0ced0f95f33p-3, -0x1.c70546e1648f4p-3, -0x1.d3ccb5af87006p-3, -0x1.e062aa2f295dfp-3, -0x1.ecc69ac0b691dp-3, -0x1.f8f8037dcf13ap-3, -0x1.027b3322f2192p-2, -0x1.0860a564b40aep-2, -0x1.0e2c1f49d35a8p-2, -0x1.13dd6a899bf55p-2, -0x1.197453d09214bp-2, -0x1.1ef0aac350474p-2, -0x1.24524200c3ap-2, -0x1.2998ef23b9bc8p-2, -0x1.2ec48ac3ce437p-2, -0x1.33d4f075b0d27p-2, -0x1.38c9fecacc975p-2, -0x1.3da3975051957p-2, -0x1.42619e8da1c8ep-2, -0x1.4703fc0227e08p-2, -0x1.4b8a9a22971d4p-2, -0x1.4ff566559af04p-2, -0x1.544450eff738p-2, -0x1.58774d301d135p-2, -0x1.5c8e51393b52p-2, -0x1.6089560dc7705p-2, -0x1.646857898939ep-2, -0x1.682b545b2914bp-2, -0x1.6bd24dfd45ca8p-2, -0x1.6f5d48af17174p-2, -0x1.72cc4b6ca0826p-2, -0x1.761f5fe6732f9p-2, -0x1.795692790f5fp-2, -0x1.7c71f223d8db2p-2, -0x1.7f71907fb2ff9p-2, -0x1.825581b539cbcp-2, -0x1.851ddc72a845fp-2, -0x1.87cab9e1691c1p-2, -0x1.8a5c359b5738ap-2, -0x1.8cd26d9fb2415p-2, -0x1.8f2d8247cbd6fp-2, -0x1.916d963b734c6p-2, -0x1.9392ce651da38p-2, -0x1.959d51e5d68ffp-2, -0x1.978d4a08f61a4p-2, -0x1.9962e237a4907p-2, -0x1.9b1e47ec3048bp-2, -0x1.9cbfaaa53302ep-2, -0x1.9e473bd891e83p-2, -0x1.9fb52ee65b3ccp-2, -0x1.a109b90b7dcd8p-2, -0x1.a2451154690f9p-2, -0x1.a367708f8f56bp-2, -0x1.a471113fd522cp-2, -0x1.a5622f8eea6fep-2, -0x1.a63b093f97b5ap-2, -0x1.a6fbdd9ffdb4ep-2, -0x1.a7a4ed7bccea4p-2, -0x1.a8367b0e7515ep-2, -0x1.a8b0c9f556f69p-2, -0x1.a9141f21f12dcp-2, -0x1.a960c0cc13bdp-2, -0x1.a996f66418598p-2, -0x1.a9b70885246cep-2, -0x1.a9c140e776148p-2, -0x1.a9b5ea52c014fp-2, -0x1.a99550909450fp-2, -0x1.a95fc05ee4aeap-2, -0x1.a915876297562p-2, -0x1.a8b6f41a33217p-2, -0x1.a84455d0a58dcp-2, -0x1.a7bdfc902624cp-2, -0x1.a7243915359b2p-2, -0x1.a6775cc1c08e7p-2, -0x1.a5b7b9905fbbp-2, -0x1.a4e5a207c0374p-2, -0x1.a401692e2d8c8p-2, -0x1.a30b627d45272p-2, -0x1.a203e1d5d15bfp-2, -0x1.a0eb3b73cea65p-2, -0x1.9fc1c3e29b1ecp-2, -0x1.9e87cff157337p-2, -0x1.9d3db4a76df67p-2, -0x1.9be3c739506f7p-2, -0x1.9a7a5cfd61bffp-2, -0x1.9901cb611255dp-2, -0x1.977a67de2f748p-2, -0x1.95e487f0631f3p-2, -0x1.9440810aeb6ccp-2, -0x1.928ea88e85513p-2, -0x1.90cf53bf898aap-2, -0x1.8f02d7bc46af4p-2, -0x1.8d29897389db2p-2, -0x1.8b43bd9b64ef7p-2, -0x1.8951c8a82928dp-2, -0x1.8753fec397cd9p-2, -0x1.854ab3c453129p-2, -0x1.83363b257a19ap-2, -0x1.8116e7fe8df1fp-2, -0x1.7eed0cfb7ff01p-2, -0x1.7cb8fc5504a19p-2, -0x1.7a7b07c919552p-2, -0x1.78338093c6c42p-2, -0x1.75e2b76817318p-2, -0x1.7388fc694bdd8p-2, -0x1.71269f2448218p-2, -0x1.6ebbee8934668p-2, -0x1.6c4938e55b29ep-2, -0x1.69cecbdd3d6c2p-2, -0x1.674cf466e04cbp-2, -0x1.64c3fec44f6bep-2, -0x1.6234367e58eb3p-2, -0x1.5f9de65f80661p-2, -0x1.5d01586f26b2cp-2, -0x1.5a5ed5ece749fp-2, -0x1.57b6a74c2e6b8p-2, -0x1.5509142fff32dp-2, -0x1.52566366f267dp-2, -0x1.4f9edae767021p-2, -0x1.4ce2bfcbe45fp-2, -0x1.4a22564fb452ep-2, -0x1.475de1cba701ep-2, -0x1.4495a4b311a84p-2, -0x1.41c9e090f3a58p-2, -0x1.3efad60553d3ap-2, -0x1.3c28c4c2c9686p-2, -0x1.3953eb8c32235p-2, -0x1.367c8832971aap-2, -0x1.33a2d79341e8ap-2, -0x1.30c71595f7acp-2, -0x1.2de97d2b62363p-2, -0x1.2b0a484ba615ap-2, -0x1.2829aff51f546p-2, -0x1.2547ec2b46acap-2, -0x1.226533f5c1666p-2, -0x1.1f81bd5f95b6bp-2, -0x1.1c9dbd7686b33p-2, -0x1.19b9684a976adp-2, -0x1.16d4f0edaefa5p-2, -0x1.13f0897362e46p-2, -0x1.110c62f0e3b79p-2, -0x1.0e28ad7d0c734p-2, -0x1.0b45983091965p-2, -0x1.08635126520cp-2, -0x1.0582057bc6e1cp-2, -0x1.02a1e15191c63p-2, -0x1.ff861f98511fp-3, -0x1.f9cb76293e33cp-3, -0x1.f41418b317143p-3, -0x1.ee6057a00f2cdp-3, -0x1.e8b0816996a3ep-3, -0x1.e304e29ac0514p-3, -0x1.dd5dc5d2dc7cap-3, -0x1.d7bb73c843fcep-3, -0x1.d21e334b4e715p-3, -0x1.cc8649497638p-3, -0x1.c6f3f8d0a77e5p-3, -0x1.c1678312b8a87p-3, -0x1.bbe12769096d4p-3, -0x1.b66123584a687p-3, -0x1.b0e7b2946537dp-3, -0x1.ab750f048a6bdp-3, -0x1.a60970c760e4ep-3, -0x1.a0a50e3755bc1p-3, -0x1.9b481bef04cd4p-3, -0x1.95f2cccdcb797p-3, -0x1.90a551fc66d8cp-3, -0x1.8b5fdaf1b7bf1p-3, -0x1.862295779afbdp-3, -0x1.80edadafdb1cp-3, -0x1.7bc14e1936671p-3, -0x1.769d9f9479f8ep-3, -0x1.7182c969b0348p-3, -0x1.6c70f14d66f8p-3, -0x1.67683b65f9543p-3, -0x1.6268ca50fb929p-3, -0x1.5d72bf28a498p-3, -0x1.5886398950c94p-3, -0x1.53a3579707935p-3, -0x1.4eca360316f1p-3, -0x1.49faf011aef0fp-3, -0x1.45359f9f8c2eep-3, -0x1.407a5d27a8767p-3, -0x1.3bc93fc8efca5p-3, -0x1.37225d4c01bd5p-3, -0x1.3285ca28f1e95p-3, -0x1.2df3998d0cccbp-3, -0x1.296bdd60a3b0bp-3, -0x1.24eea64cd50b9p-3, -0x1.207c03c15f707p-3, -0x1.1c1403fa658b9p-3, -0x1.17b6b40642d48p-3, -0x1.13641fcb53f03p-3, -0x1.0f1c520dc0d52p-3, -0x1.0adf5475452d5p-3, -0x1.06ad2f92ed48ep-3, -0x1.0285eae6df61p-3, -0x1.fcd319cc1bf94p-4, -0x1.f4b035ffe0f96p-4, -0x1.eca3334863f87p-4, -0x1.e4ac1890ad05bp-4, -0x1.dccaeadab9659p-4, -0x1.d4ffad4ab45fap-4, -0x1.cd4a613209587p-4, -0x1.c5ab061a80799p-4, -0x1.be2199d12a178p-4, -0x1.b6ae187156687p-4, -0x1.af507c6f5a36p-4, -0x1.a808bea351cd2p-4, -0x1.a0d6d653c98a4p-4, -0x1.99bab9403c2d4p-4, -0x1.92b45bab9b60cp-4, -0x1.8bc3b066a0d7fp-4, -0x1.84e8a8da14b0ap-4, -0x1.7e233510f457fp-4, -0x1.777343c27e57ap-4, -0x1.70d8c25c2a154p-4, -0x1.6a539d0b733c3p-4, -0x1.63e3bec79c01bp-4, -0x1.5d89115b409dap-4, -0x1.57437d6dd84a7p-4, -0x1.5112ea8d15e61p-4, -0x1.4af73f3625be3p-4, -0x1.44f060ded1acep-4, -0x1.3efe33fe817f9p-4, -0x1.39209c171e83p-4, -0x1.33577bbdd9555p-4, -0x1.2da2b4a3c9b79p-4, -0x1.2802279e72c0bp-4, -0x1.2275b4b021986p-4, -0x1.1cfd3b1035524p-4, -0x1.17989933382b9p-4, -0x1.1247acd2e5c85p-4, -0x1.0d0a52f602a5p-4, -0x1.07e067f81d5dcp-4, -0x1.02c9c79128bafp-4, -0x1.fb8c99b9f05d5p-5, -0x1.f1aba4c52b3f2p-5, -0x1.e7f06436f186fp-5, -0x1.de5a8af54503bp-5, -0x1.d4e9cae716998p-5, -0x1.cb9dd501f96f5p-5, -0x1.c27659577993dp-5, -0x1.b973072250daep-5, -0x1.b0938cd333964p-5, -0x1.a7d7981d7c3b5p-5, -0x1.9f3ed6038aaecp-5, -0x1.96c8f2e2d6296p-5, -0x1.8e759a7fce8ep-5, -0x1.864478117058p-5, -0x1.7e35364cace8fp-5, -0x1.76477f6f79d1ep-5, -0x1.6e7afd4ba9938p-5, -0x1.66cf595193762p-5, -0x1.5f443c9a6588ap-5, -0x1.57d94ff24c662p-5, -0x1.508e3be252814p-5, -0x1.4962a8ba066f8p-5, -0x1.42563e98e50a6p-5, -0x1.3b68a577821f5p-5, -0x1.34998530819f8p-5, -0x1.2de885894a71cp-5, -0x1.27554e3a7f901p-5, -0x1.20df86f850af8p-5, -0x1.1a86d77a77de5p-5, -0x1.144ae78417d2bp-5, -0x1.0e2b5eeb4ab41p-5, -0x1.0827e5a09682p-5, -0x1.024023b60a388p-5, -0x1.f8e782cc9206dp-6, -0x1.ed84ce367c5e1p-6, -0x1.e2577ae96c041p-6, -0x1.d75eda9d7370ep-6, -0x1.cc9a3f8f77fdfp-6, -0x1.c208fc8d0fb7fp-6, -0x1.b7aa650022abbp-6, -0x1.ad7dccfa132adp-6, -0x1.a382893e82d7cp-6, -0x1.99b7ef4dcbb28p-6, -0x1.901d556f07d9cp-6, -0x1.86b212b9dee4ap-6, -0x1.7d757f1fc192p-6, -0x1.7466f37515492p-6, -0x1.6b85c979c145ap-6, -0x1.62d15be19f9d3p-6, -0x1.5a49065c7e637p-6, -0x1.51ec259dcaf35p-6, -0x1.49ba176400b46p-6, -0x1.41b23a7fab824p-6, -0x1.39d3eeda3dbe7p-6, -0x1.321e957c913d1p-6, -0x1.2a919094fa6b3p-6, -0x1.232c437d3b166p-6, -0x1.1bee12c0330e7p-6, -0x1.14d6641f0d31p-6, -0x1.0de49e96791fp-6, -0x1.07182a6367b0bp-6, -0x1.007071078c4dep-6, -0x1.f3d9ba9b7bcdfp-7, -0x1.e719b69bdb59ep-7, -0x1.da9fb0e1fda4bp-7, -0x1.ce6a86e8b84e7p-7, -0x1.c27918da6e4e5p-7, -0x1.b6ca49977bc2ap-7, -0x1.ab5cfebbdcb93p-7, -0x1.a03020a479e4cp-7, -0x1.95429a742249cp-7, -0x1.8a935a1817244p-7, -0x1.8021504c04081p-7, -0x1.75eb709dc5be5p-7, -0x1.6bf0b170d1702p-7, -0x1.62300c00f726bp-7, -0x1.58a87c652cbep-7, -0x1.4f590191a61a4p-7, -0x1.46409d59bcf3cp-7, -0x1.3d5e54719c667p-7, -0x1.34b12e6f5e5c5p-7, -0x1.2c3835cbddd04p-7, -0x1.23f277e3b8371p-7, -0x1.1bdf04f70d09ep-7, -0x1.13fcf029f663p-7, -0x1.0c4b4f8417b3p-7, -0x1.04c93beff9828p-7, -0x1.faeba274ed51ap-8, -0x1.eca05c22ec214p-8, -0x1.deaee8059db48p-8, -0x1.d1158ef51500ap-8, -0x1.c3d29f825bc3fp-8, -0x1.b6e46df3a1859p-8, -0x1.aa49543f98e31p-8, -0x1.9dffb2084e51dp-8, -0x1.9205ec9685246p-8, -0x1.865a6ed377129p-8, -0x1.7afba94325d87p-8, -0x1.6fe811fd94c3p-8, -0x1.651e24a8809f3p-8, -0x1.5a9c626fa4653p-8, -0x1.506151fde1e1ap-8, -0x1.466b7f751e83bp-8, -0x1.3cb97c666400ap-8, -0x1.3349dfc9743a8p-8, -0x1.2a1b45f43de8bp-8, -0x1.212c509205d1p-8, -0x1.187ba69a04f3fp-8, -0x1.1007f44679911p-8, -0x1.07cfeb0a9d91p-8, -0x1.ffa4831298975p-9, -0x1.f01b6714b1032p-9, -0x1.e10203e1d9379p-9, -0x1.d255e56211cb1p-9, -0x1.c414a188fb859p-9, -0x1.b63bd8413c893p-9, -0x1.a8c933566d6e4p-9, -0x1.9bba665ed3b42p-9, -0x1.8f0d2ea502dep-9, -0x1.82bf53115355ep-9, -0x1.76cea4128ea73p-9, -0x1.6b38fb879fcdbp-9, -0x1.5ffc3ca713626p-9, -0x1.551653e85a244p-9, -0x1.4a8536ec1c402p-9, -0x1.4046e46347c64p-9, -0x1.365963f873d9ap-9, -0x1.2cbac63687906p-9, -0x1.23692470f596bp-9, -0x1.1a62a0ab374a8p-9, -0x1.11a5657fef752p-9, -0x1.092fa608cbdbep-9, -0x1.00ff9dc5a9a9dp-9, -0x1.f227210719a15p-10, -0x1.e2d39488a37edp-10, -0x1.d4013e4b15bbfp-10, -0x1.c5acd68f2706bp-10, -0x1.b7d3256968bf1p-10, -0x1.aa71029165b6ep-10, -0x1.9d83552f337fdp-10, -0x1.910713a94868p-10, -0x1.84f94373e7e92p-10, -0x1.7956f8de60a63p-10, -0x1.6e1d56e355879p-10, -0x1.63498ef47bca4p-10, -0x1.58d8e0ccfae97p-10, -0x1.4ec89a3d0105p-10, -0x1.451616faa75dep-10, -0x1.3bbec0710392ap-10, -0x1.32c00d8ebd036p-10, -0x1.2a1782962464p-10, -0x1.21c2b0ed14238p-10, -0x1.19bf36ec84436p-10, -0x1.120abfb1476c5p-10, -0x1.0aa302ec40e6ap-10, -0x1.0385c4b2f2485p-10, -0x1.f961aaa2f5899p-11, -0x1.ec442233dc36fp-11, -0x1.dfaec0702518cp-11, -0x1.d39d6d03b0b01p-11, -0x1.c80c26949113fp-11, -0x1.bcf7026614059p-11, -0x1.b25a2c017e61dp-11, -0x1.a831e4d98f217p-11, -0x1.9e7a83f2e946ep-11, -0x1.9530758b32c7fp-11, -0x1.8c503ac23ec98p-11, -0x1.83d669421fbb4p-11, -0x1.7bbfaae99441cp-11, -0x1.7408bd76a7783p-11, -0x1.6cae7231570cep-11, -0x1.65adad99a3102p-11, -0x1.5f0367118519bp-11, -0x1.58aca88dcad0dp-11, -0x1.52a68e414e9fep-11, -0x1.4cee464f392c5p-11, -0x1.4781107885fc4p-11, -0x1.425c3dcef41fp-11, -0x1.3d7d30650527dp-11, -0x1.38e15b01e30ebp-11, -0x1.348640d3d48c4p-11, -0x1.3069752510c4ap-11, -0x1.2c889b0fc2a82p-11, -0x1.28e1653546497p-11, -0x1.2571957360f6dp-11, -0x1.2236fc9ce91adp-11, -0x1.1f2f7a3166337p-11, -0x1.1c58fc16f37fbp-11, -0x1.19b17e535d31fp-11, -0x1.17370ac909bbep-11, -0x1.14e7b8efcd983p-11, -0x1.12c1ad9472b96p-11, -0x1.10c31a93e6ae4p-11, -0x1.0eea3e9b0685dp-11, -0x1.0d3564e5782d2p-11, -0x1.0ba2e4fd1c40bp-11, -0x1.0a31227b579dap-11, -0x1.08de8ccb2e978p-11, -0x1.07a99eeb16ff9p-11, -0x1.0690df30e9c13p-11, -0x1.0592df0db9ecp-11, -0x1.04ae3ad332a81p-11, -0x1.03e199790272dp-11, -0x1.032bac645e103p-11, -0x1.028b2f2ea2c0ap-11, -0x1.01fee76e11859p-11, -0x1.0185a47f721b3p-11, -0x1.011e3f4f942bap-11, -0x1.00c79a25d1365p-11, -0x1.0080a07073f4cp-11, -0x1.004846901ccap-11, -0x1.001d89a5db4cap-11, -0x1.fffedec0df49ap-12, -0x1.ffda0b968521cp-12, -0x1.ffcac63c4f3f8p-12, -0x1.ffcf4b1b39b12p-12, -0x1.ffe5e636415a7p-12, -0x1.000679681acd1p-11, -0x1.00216d87ac651p-11, -0x1.00430bd1cbd66p-11, -0x1.006a97b8382e2p-11, -0x1.00975b9a2b813p-11, -0x1.00c8a89aba81ap-11, -0x1.00fdd6764ff84p-11, -0x1.0136435a40656p-11, -0x1.017153bbe850ap-11, -0x1.01ae723136089p-11, -0x1.01ed0f49bd6c3p-11, -0x1.022ca16830959p-11, -0x1.026ca49d33f8p-11, -0x1.02ac9a81feb47p-11, -0x1.02ec0a13d6b38p-11, -0x1.032a7f9111dcap-11, -0x1.03678c55bb6d4p-11, -0x1.03a2c6b93f6c4p-11, -0x1.03dbc9eced9c8p-11, -0x1.041235daf5952p-11, -0x1.0445af04fffefp-11, -0x1.0475de65d0778p-11, -0x1.04a27150d2009p-11, -0x1.04cb1953cd26cp-11, -0x1.04ef8c193e435p-11, -0x1.050f834a87092p-11, -0x1.052abc730c81fp-11, -0x1.0540f8e3b39fbp-11, -0x1.0551fd979779cp-11, -0x1.055d93184dd3dp-11, -0x1.05638563db166p-11, -0x1.0563a3d1da438p-11, -0x1.055dc0fa8e3dp-11, -0x1.0551b29d57376p-11, -0x1.053f51885490ap-11, -0x1.0526798052164p-11, -0x1.050709294c643p-11, -0x1.04e0e1ef4413ap-11, -0x1.04b3e7f030b17p-11, -0x1.048001e533672p-11, -0x1.0445190d71a72p-11, -0x1.04031918bf6f1p-11, -0x1.03b9f0132384p-11, -0x1.03698e50834f8p-11, -0x1.0311e6592843dp-11, -0x1.02b2ecd5f66eep-11, -0x1.024c987d9679dp-11, -0x1.01dee20284361p-11, -0x1.0169c40059b6cp-11, -0x1.00ed3aeaa6baap-11, -0x1.006944fb99ec6p-11, -0x1.ffbbc44609c5ap-12, -0x1.fe9627ec8e532p-12, -0x1.fd61bb3f5b5adp-12, -0x1.fc1e879ee4216p-12, -0x1.facc9957b28a5p-12, -0x1.f96bff8592981p-12, -0x1.f7fccbf5fcb81p-12, -0x1.f67f130bb08p-12, -0x1.f4f2eba30ed29p-12, -0x1.f3586ef6fdd33p-12, -0x1.f1afb886d3695p-12, -0x1.eff8e5fc3975fp-12, -0x1.ee3417129557bp-12, -0x1.ec616d7e9d5f2p-12, -0x1.ea810cd655d87p-12, -0x1.e8931a7a12637p-12, -0x1.e697bd7dff4e4p-12, -0x1.e48f1e93d9c62p-12, -0x1.e27967f620157p-12, -0x1.e056c552b0dd7p-12, -0x1.de2763b77f169p-12, -0x1.dbeb717dee70ep-12, -0x1.d9a31e38097c4p-12, -0x1.d74e9a9e72b5fp-12, -0x1.d4ee187d1648fp-12, -0x1.d281caa2e92d9p-12, -0x1.d009e4d01dc59p-12, -0x1.cd869ba5e949cp-12, -0x1.caf824963974ep-12, -0x1.c85eb5d42d2fcp-12, -0x1.c5ba8644a2686p-12, -0x1.c30bcd703bf56p-12, -0x1.c052c3744ca6cp-12, -0x1.bd8fa0f588bffp-12, -0x1.bac29f125136bp-12, -0x1.b7ebf75689028p-12, -0x1.b50be3ad9a19fp-12, -0x1.b2229e576e243p-12, -0x1.af3061dc3ed42p-12, -0x1.ac356901094bcp-12, -0x1.a931eebcaca1dp-12, -0x1.a6262e2de348p-12, -0x1.a312628f8f3fcp-12, -0x1.9ff6c7305ad68p-12, -0x1.9cd39767c9a97p-12, -0x1.99a90e8dc7d15p-12, -0x1.967767f14b44ep-12, -0x1.933edecffef0dp-12, -0x1.8fffae4dacf68p-12, -0x1.8cba116ca6042p-12, -0x1.896e430591ce7p-12, -0x1.861c7dc07c25p-12, -0x1.82c4fc0d199cap-12, -0x1.7f67f81c7003dp-12, -0x1.7c05abda2b11cp-12, -0x1.789e50e62b2ebp-12, -0x1.7532208e68e6ep-12, -0x1.71c153c9d0f6fp-12, -0x1.6e4c2331aff36p-12, -0x1.6ad2c6fd019f7p-12, -0x1.675576fb0811fp-12, -0x1.63d46a8f2b9d2p-12, -0x1.604fd8aafb148p-12, -0x1.5cc7f7cb58122p-12, -0x1.593cfdf368a14p-12, -0x1.55af20a865224p-12, -0x1.521e94ee499ddp-12, -0x1.4e8b8f4435201p-12, -0x1.4af643a09222ap-12, -0x1.475ee56e5462dp-12, -0x1.43c5a789baddep-12, -0x1.402abc3d6a863p-12, -0x1.3c8e5540069fp-12, -0x1.38f0a3b1467d4p-12, -0x1.3551d817befa1p-12, -0x1.31b2225e86f73p-12, -0x1.2e11b1d3a85a5p-12, -0x1.2a70b525ac3fbp-12, -0x1.26cf5a61f0094p-12, -0x1.232dcef3315f1p-12, -0x1.1f8c3fa00cadbp-12, -0x1.1bead889ed215p-12, -0x1.1849c52ac488p-12, -0x1.14a930550bc5p-12, -0x1.1109443245cf9p-12, -0x1.0d6a2a425168ep-12, -0x1.09cc0b5a5d251p-12, -0x1.062f0fa4b7aebp-12, -0x1.02935e9ff8f3dp-12, -0x1.fdf23e3cc90c6p-13, -0x1.f6c0ee8bca342p-13, -0x1.ef93191fd4987p-13, -0x1.e8690791934f2p-13, -0x1.e143021fb6f01p-13, -0x1.da214faf30213p-13, -0x1.d30435cc2748cp-13, -0x1.cbebf8a91fe0bp-13, -0x1.c4d8db200b2e8p-13, -0x1.bdcb1eb27f34fp-13, -0x1.b6c3038b628bbp-13, -0x1.afc0c87f80171p-13, -0x1.a8c4ab0e36abfp-13, -0x1.a1cee763caa3p-13, -0x1.9adfb8591a2f5p-13, -0x1.93f75776e6a47p-13, -0x1.8d15fcf645f3bp-13, -0x1.863bdfc2a97d2p-13, -0x1.7f69357b6077cp-13, -0x1.789e3275f0b98p-13, -0x1.71db09c045299p-13, -0x1.6b1fed2208872p-13, -0x1.646d0d1f45598p-13, -0x1.5dc298fac084cp-13, -0x1.5720beb864fcp-13, -0x1.5087ab1f61fcdp-13, -0x1.49f789bcd8824p-13, -0x1.437084e625a3p-13, -0x1.3cf2c5bc1c873p-13, -0x1.367e742d11b9ep-13, -0x1.3013b6f80234bp-13, -0x1.29b2b3afd8249p-13, -0x1.235b8ebd28c4fp-13, -0x1.1d0e6b622447bp-13, -0x1.16cb6bbce6817p-13, -0x1.1092b0caac5eap-13, -0x1.0a645a6b3d962p-13, -0x1.044087638bb2ap-13, -0x1.fc4eaac274ca9p-14, -0x1.f031c1fa09d33p-14, -0x1.e42a8b7e1566cp-14, -0x1.d8393c43065f4p-14, -0x1.cc5e0727a1fe3p-14, -0x1.c0991cfac5808p-14, -0x1.b4eaac846f2b2p-14, -0x1.a952e28a17954p-14, -0x1.9dd1e9d6f9975p-14, -0x1.9267eb4191f07p-14, -0x1.87150db32e336p-14, -0x1.7bd9762deab3ap-14, -0x1.70b547d40a52fp-14, -0x1.65a8a3ee6eedep-14, -0x1.5ab3a9f41c08fp-14, -0x1.4fd6778f2bbfep-14, -0x1.451128a60140cp-14, -0x1.3a63d76022b62p-14, -0x1.2fce9c2db4ed1p-14, -0x1.25518dcf7e462p-14, -0x1.1aecc15bdc009p-14, -0x1.10a04a460e804p-14, -0x1.066c3a651b4acp-14, -0x1.f8a143f600e25p-15, -0x1.e49b1f7638d37p-15, -0x1.d0c621a2475fbp-15, -0x1.bd2261cd78aa4p-15, -0x1.a9aff4568931ap-15, -0x1.966eeab596d2bp-15, -0x1.835f53870ec7cp-15, -0x1.70813a9ac395dp-15, -0x1.5dd4a8ff1ad14p-15, -0x1.4b59a5103288ap-15, -0x1.39103282fadcap-15, -0x1.26f8527335c84p-15, -0x1.1512037009954p-15, -0x1.035d41894fbdbp-15, -0x1.e3b40cb75eccbp-16, -0x1.c1109239516dp-16, -0x1.9ecffd4e33366p-16, -0x1.7cf2331389571p-16, -0x1.5b771421cd70bp-16, -0x1.3a5e7ca4e41fp-16, -0x1.19a8447978932p-16, -0x1.f2a87e817b27ep-17, -0x1.b2c478f41b3c2p-17, -0x1.73a40f30edcb6p-17, -0x1.3546d03922b91p-17, -0x1.ef5886a7dd918p-18, -0x1.75a7d075472a9p-18, -0x1.faf4dd2892128p-19, -0x1.0d9e86c98de3fp-19, -0x1.1a52339150eadp-22, 0x1.8814ad4becfcep-20, 0x1.a861dde8f764fp-19, 0x1.44df7b63b05f3p-18, 0x1.b412310afc84bp-18, 0x1.10e53e560780dp-17, 0x1.4704eb84f7d81p-17, 0x1.7c68e2509c7fdp-17, 0x1.b111eaa7b4e3bp-17, 0x1.e500d2004fda3p-17, 0x1.0c1b35990988p-16, 0x1.2559c727a773cp-16, 0x1.3e3c8c3db0bd9p-16, 0x1.56c3f5e37ff8cp-16, 0x1.6ef0778450e06p-16, 0x1.86c286dc5ff6ap-16, 0x1.9e3a9be6f1a4p-16, 0x1.b55930c93ba95p-16, 0x1.cc1ec1c3aa59bp-16, 0x1.e28bcd2089229p-16, 0x1.f8a0d31f2e488p-16, 0x1.072f2af2c69dbp-15, 0x1.11e26cb6c46c1p-15, 0x1.1c6a71bb0260ap-15, 0x1.26c77db8a5cdfp-15, 0x1.30f9d53abe0e8p-15, 0x1.3b01bd958101bp-15, 0x1.44df7cdff1c93p-15, 0x1.4e9359eafc205p-15, 0x1.581d9c3974d78p-15, 0x1.617e8bf9d0107p-15, 0x1.6ab671fdf0b99p-15, 0x1.73c597b389f53p-15, 0x1.7cac471e24986p-15, 0x1.856acacf2e1p-15, 0x1.8e016ddf65d59p-15, 0x1.96707be7f6f0ep-15, 0x1.9eb840fb9b911p-15, 0x1.a6d909a09536dp-15, 0x1.aed322c9e0839p-15, 0x1.b6a6d9d056a8bp-15, 0x1.be547c6d49245p-15, 0x1.c5dc58b403bedp-15, 0x1.cd3ebd0c184bfp-15, 0x1.d47bf82ac76ffp-15, 0x1.db94590e167fap-15, 0x1.e2882ef68054ap-15, 0x1.e957c960f4ac7p-15, 0x1.f0037802fc9bdp-15, 0x1.f68b8ac3b73e3p-15, 0x1.fcf051b70d7dp-15, 0x1.01990e8c8bf5ap-14, 0x1.04a89ea4518b8p-14, 0x1.07a7016111f3dp-14, 0x1.0a945f0d85026p-14, 0x1.0d70dffe50ea3p-14, 0x1.103cac900afdfp-14, 0x1.12f7ed24b2694p-14, 0x1.15a2ca2168862p-14, 0x1.183d6becc700cp-14, 0x1.1ac7faec04ff5p-14, 0x1.1d429f812ea5ep-14, 0x1.1fad82090a74fp-14, 0x1.2208cad92f79ep-14, 0x1.2454a23e29e83p-14, 0x1.269130797195bp-14, 0x1.28be9dbf6df88p-14, 0x1.2add1235d7763p-14, 0x1.2cecb5f1fe09bp-14, 0x1.2eedb0f6a48aep-14, 0x1.30e02b32ce708p-14, 0x1.32c44c7fe072ap-14, 0x1.349a3c9ff4574p-14, 0x1.3662233c425c7p-14, 0x1.381c27e3c6714p-14, 0x1.39c87209b2fe6p-14, 0x1.3b672903d3496p-14, 0x1.3cf874096dedep-14, 0x1.3e7c7a31d7b67p-14, 0x1.3ff36272d1ad9p-14, 0x1.415d539f42279p-14, 0x1.42ba746645874p-14, 0x1.440aeb519e249p-14, 0x1.454edec4e8bc9p-14, 0x1.468674fc21f5bp-14, 0x1.47b1d40a6728bp-14, 0x1.48d121d91b80fp-14, 0x1.49e48426ebf6ap-14, 0x1.4aec2086977a9p-14, 0x1.4be81c5e1da29p-14, 0x1.4cd89ce598aa8p-14, 0x1.4dbdc7262b468p-14, 0x1.4e97bff9a4f19p-14, 0x1.4f66ac093ebfcp-14, 0x1.502aafccb8bf6p-14, 0x1.50e3ef8992031p-14, 0x1.51928f5288029p-14, 0x1.5236b306815cbp-14, 0x1.52d07e501807p-14, 0x1.536014a497566p-14, 0x1.53e599437ecbep-14, 0x1.54612f35d5aefp-14, 0x1.54d2f94d8bcep-14, 0x1.553b1a252390bp-14, 0x1.5599b41ea0548p-14, 0x1.55eee963291cp-14, 0x1.563adbe2b4409p-14, 0x1.567dad5377546p-14, 0x1.56b77f314d1cdp-14, 0x1.56e872bd5c389p-14, 0x1.5710a8fd7a659p-14, 0x1.573042bc14ba1p-14, 0x1.57476087c2797p-14, 0x1.575622b2aa842p-14, 0x1.575ca95204e19p-14, 0x1.575b143e738fap-14, 0x1.5751831347294p-14, 0x1.5740152e01e18p-14, 0x1.5726e9ae62522p-14, 0x1.57061f762eb3cp-14, 0x1.56ddd528cfce2p-14, 0x1.56ae292b381bfp-14, 0x1.567739a3bae68p-14, 0x1.56392479a1ce8p-14, 0x1.55f4075528a74p-14, 0x1.55a7ff9f9b8c8p-14, 0x1.55552a82d8c86p-14, 0x1.54fba4e96af27p-14, 0x1.549b8b7e3f9e1p-14, 0x1.5434faaccb33ap-14, 0x1.53c80ea0ffefp-14, 0x1.5354e3470fe6dp-14, 0x1.52db944b6feeep-14, 0x1.525c3d1adad5dp-14, 0x1.51d6f8e2711ap-14, 0x1.514be28f98d89p-14, 0x1.50bb14cfd039cp-14, 0x1.5024aa1135454p-14, 0x1.4f88bc823a954p-14, 0x1.4ee76611bc6a1p-14, 0x1.4e40c06f0eb75p-14, 0x1.4d94e50a6939ep-14, 0x1.4ce3ed146cf8dp-14, 0x1.4c2df17e8052ap-14, 0x1.4b730afb0b56cp-14, 0x1.4ab351fdc6ac6p-14, 0x1.49eedebb7bcd9p-14, 0x1.4925c929fb7abp-14, 0x1.48582900bf232p-14, 0x1.478615b914da2p-14, 0x1.46afa68e0283ap-14, 0x1.45d4f27c90c56p-14, 0x1.44f61043e891ap-14, 0x1.44131665b5df7p-14, 0x1.432c1b2624c8ep-14, 0x1.4241348c53eefp-14, 0x1.415278624ff8fp-14, 0x1.405ffc358fe0dp-14, 0x1.3f69d55701619p-14, 0x1.3e7018db1a423p-14, 0x1.3d72db9abfa3cp-14, 0x1.3c723232e0f22p-14, 0x1.3b6e31050c25ap-14, 0x1.3a66ec3764c1bp-14, 0x1.395c77b5534a7p-14, 0x1.384ee72f8e469p-14, 0x1.373e4e1ca5237p-14, 0x1.362abfb90db7dp-14, 0x1.35144f075ca68p-14, 0x1.33fb0ed0676a8p-14, 0x1.32df11a43ac6bp-14, 0x1.31c069da4adf1p-14, 0x1.309f2991314a2p-14, 0x1.2f7b62af3a4c5p-14, 0x1.2e5526e3287bp-14, 0x1.2d2c87a41d235p-14, 0x1.2c019631d446bp-14, 0x1.2ad4639529e9cp-14, 0x1.29a500a0b0adbp-14, 0x1.28737df0ba763p-14, 0x1.273febebcdaf2p-14, 0x1.260a5ac2baeafp-14, 0x1.24d2da7163954p-14, 0x1.23997abea117p-14, 0x1.225e4b3d39a7p-14, 0x1.21215b4bc711dp-14, 0x1.1fe2ba150e465p-14, 0x1.1ea2769055cdfp-14, 0x1.1d609f824a67p-14, 0x1.1c1d437cf153cp-14, 0x1.1ad870dffd8f8p-14, 0x1.199235d93afe8p-14, 0x1.184aa064c788ap-14, 0x1.1701be4dd8e6p-14, 0x1.15b79d2f4472ep-14, 0x1.146c4a7302e31p-14, 0x1.131fd35313c7ap-14, 0x1.11d244d9f302ep-14, 0x1.1083abe3282dap-14, 0x1.0f34151aff40cp-14, 0x1.0de38cff78b71p-14, 0x1.0c921fe09e381p-14, 0x1.0b3fd9e088b82p-14, 0x1.09ecc6f41dcd4p-14, 0x1.0898f2e36b044p-14, 0x1.07446949d9f08p-14, 0x1.05ef3596b54c8p-14, 0x1.0499630d62fb4p-14, 0x1.0342fcc5f4b03p-14, 0x1.01ec0dad6ebb4p-14, 0x1.0094a086701bap-14, 0x1.fe797fd27cc79p-15, 0x1.fbc8ec87e7ae4p-15, 0x1.f9179bb6b437ep-15, 0x1.f665a196b2c33p-15, 0x1.f3b3120e10757p-15, 0x1.f10000b1f61d9p-15, 0x1.ee4c80c79c2f2p-15, 0x1.eb98a54586bb5p-15, 0x1.e8e480d42b2cbp-15, 0x1.e63025cd31af1p-15, 0x1.e37ba63dae714p-15, 0x1.e0c713e748b83p-15, 0x1.de12803fefee9p-15, 0x1.db5dfc726207ap-15, 0x1.d8a999602ce8bp-15, 0x1.d5f567a167128p-15, 0x1.d3417785c05e5p-15, 0x1.d08dd9151b1d3p-15, 0x1.cdda9c10cee98p-15, 0x1.cb27cff329785p-15, 0x1.c87583f1ea81ep-15, 0x1.c5c3c6fd84157p-15, 0x1.c312a7c2a182bp-15, 0x1.c06234aa49f04p-15, 0x1.bdb27bdb34786p-15, 0x1.bb038b39e2d2p-15, 0x1.b855706a52be6p-15, 0x1.b5a838cf3d476p-15, 0x1.b2fbf18bdba2p-15, 0x1.b050a7846547ap-15, 0x1.ada6675f0ce24p-15, 0x1.aafd3d83d6817p-15, 0x1.a855361d85c0fp-15, 0x1.a5ae5d1b331b3p-15, 0x1.a308be308c0b5p-15, 0x1.a06464d542372p-15, 0x1.9dc15c471d6abp-15, 0x1.9b1faf8b1c8c1p-15, 0x1.987f696ca7856p-15, 0x1.95e0947e6f5e4p-15, 0x1.93433b1c53e71p-15, 0x1.90a7676afae09p-15, 0x1.8e0d2358783d7p-15, 0x1.8b74789d529efp-15, 0x1.88dd70bcfb4eep-15, 0x1.86481506c9bacp-15, 0x1.83b46e963fe82p-15, 0x1.812286535c3dcp-15, 0x1.7e9264f3e7802p-15, 0x1.7c0412fbf11e3p-15, 0x1.797798bda7334p-15, 0x1.76ecfe5b4cc52p-15, 0x1.74644bc673f77p-15, 0x1.71dd88c17a267p-15, 0x1.6f58bce004ebfp-15, 0x1.6cd5ef877904bp-15, 0x1.6a5527ef1c8a5p-15, 0x1.67d66d21a56dep-15, 0x1.6559c5fcff767p-15, 0x1.62df39331d948p-15, 0x1.6066cd4a75769p-15, 0x1.5df0889f7d146p-15, 0x1.5b7c7163529bbp-15, 0x1.590a8d9df32c3p-15, 0x1.569ae32e75915p-15, 0x1.542d77cb04226p-15, 0x1.51c251014ef8cp-15, 0x1.4f5974388e6d6p-15, 0x1.4cf2e6b0644fp-15, 0x1.4a8ead81f882ap-15, 0x1.482ccda0a7c1p-15, 0x1.45cd4bda94103p-15, 0x1.43702cd8fdc16p-15, 0x1.4115752056895p-15, 0x1.3ebd29119efafp-15, 0x1.3c674cea97e38p-15, 0x1.3a13e4c58c3f5p-15, 0x1.37c2f49afb726p-15, 0x1.35748041971f2p-15, 0x1.33288b6e471c9p-15, 0x1.30df19b51dbd5p-15, 0x1.2e982e8a1f0c4p-15, 0x1.2c53cd40ba69cp-15, 0x1.2a11f90d8ce7ep-15, 0x1.27d2b505bcff5p-15, 0x1.2596041fce0d2p-15, 0x1.235be934800f9p-15, 0x1.212466fedf245p-15, 0x1.1eef801c33adfp-15, 0x1.1cbd370d96927p-15, 0x1.1a8d8e37a9887p-15, 0x1.186087e2b9aep-15, 0x1.1636263c47e2ap-15, 0x1.140e6b5620651p-15, 0x1.11e95927ac0dap-15, 0x1.0fc6f18e3b9b4p-15, 0x1.0da7364d225cdp-15, 0x1.0b8a290e2c018p-15, 0x1.096fcb626f5d8p-15, 0x1.07581ec1fca1p-15, 0x1.0543248d2085ep-15, 0x1.0330de0bc6dd5p-15, 0x1.01214c6f090abp-15, 0x1.fe28e1a09f6e2p-16, 0x1.fa1498656fb9fp-16, 0x1.f605bf061b7a1p-16, 0x1.f1fc572fe1123p-16, 0x1.edf86264dccb1p-16, 0x1.e9f9e1fd418d3p-16, 0x1.e600d726d5bbfp-16, 0x1.e20d42e6ada42p-16, 0x1.de1f2619dfa18p-16, 0x1.da368174a575cp-16, 0x1.d6535585ded7cp-16, 0x1.d275a2b4d044fp-16, 0x1.ce9d69441572dp-16, 0x1.cacaa9509b04dp-16, 0x1.c6fd62d36de0dp-16, 0x1.c33595a192d51p-16, 0x1.bf73416de9612p-16, 0x1.bbb665c757565p-16, 0x1.b7ff021c81719p-16, 0x1.b44d15ba10ec6p-16, 0x1.b0a09fcc4a9cdp-16, 0x1.acf99f5fab535p-16, 0x1.a9581361153fap-16, 0x1.a5bbfa9ef19d3p-16, 0x1.a22553c8ca607p-16, 0x1.9e941d71ee1d8p-16, 0x1.9b08560e8f9a2p-16, 0x1.9781fbf8b2d02p-16, 0x1.94010d6c750bbp-16, 0x1.9085888be6aabp-16, 0x1.8d0f6b5d2d5fp-16, 0x1.899eb3cd42be5p-16, 0x1.86335fae0dde4p-16, 0x1.82cd6cb915a49p-16, 0x1.7f6cd88eed0fp-16, 0x1.7c11a0b71660dp-16, 0x1.78bbc2a31a54p-16, 0x1.756b3bab133b4p-16, 0x1.722009124896fp-16, 0x1.6eda2803fa591p-16, 0x1.6b99959725068p-16, 0x1.685e4ecc199f5p-16, 0x1.6528508f18274p-16, 0x1.61f797b7916a2p-16, 0x1.5ecc2108e8196p-16, 0x1.5ba5e93306ad3p-16, }}, 
      {{0x1.fd119e5cd4b19p-1, 0x1.fcec0b6a7196fp-1, 0x1.fcada98415be5p-1, 0x1.fc56d293caa8cp-1, 0x1.fbe7ffe07a93p-1, 0x1.fb61c66294f32p-1, 0x1.fac4d2d772158p-1, 0x1.fa11e5cace5f2p-1, 0x1.f949cfbdaecc2p-1, 0x1.f86d6d85431adp-1, 0x1.f77da4f25e96ep-1, 0x1.f67b61ca9074p-1, 0x1.f567931654ffdp-1, 0x1.f44328c3d9506p-1, 0x1.f30f119b185b2p-1, 0x1.f1cc397e5605bp-1, 0x1.f07b87f0fde45p-1, 0x1.ef1ddede6cae4p-1, 0x1.edb4199a1b2bbp-1, 0x1.ec3f0c12c733dp-1, 0x1.eabf82328e9ep-1, 0x1.e9363f66645cap-1, 0x1.e7a3fe47bf2a5p-1, 0x1.e6097063e6e2ap-1, 0x1.e4673e1cbbf01p-1, 0x1.e2be069f554dfp-1, 0x1.e10e5fed31ed7p-1, 0x1.df58d6f52dc04p-1, 0x1.dd9defb9b4c75p-1, 0x1.dbde258206786p-1, 0x1.da19eb14a3b85p-1, 0x1.d851aaf933c83p-1, 0x1.d685c7c06c4b8p-1, 0x1.d4b69c50b4bf4p-1, 0x1.d2e47c3660ea1p-1, 0x1.d10fb3f6875c3p-1, 0x1.cf388963953d3p-1, 0x1.cd5f3bf2de8bfp-1, 0x1.cb8405127ca82p-1, 0x1.c9a7187eea39bp-1, 0x1.c7c8a497d653dp-1, 0x1.c5e8d2b3c4d36p-1, 0x1.c407c7721386bp-1, 0x1.c225a30b18776p-1, 0x1.c042819e0f3c8p-1, 0x1.be5e7b7c9c971p-1, 0x1.bc79a573ba653p-1, 0x1.ba941111e3742p-1, 0x1.b8adccea645ddp-1, 0x1.b6c6e4d5bcc63p-1, 0x1.b4df622f007a4p-1, 0x1.b2f74c0e347afp-1, 0x1.b10ea77fa589bp-1, 0x1.af2577b838a5dp-1, 0x1.ad3bbe46c4a8ap-1, 0x1.ab517b4278f46p-1, 0x1.a966ad7667a4ap-1, 0x1.a77b528a426c8p-1, 0x1.a58f67285f067p-1, 0x1.a3a2e7211bd72p-1, 0x1.a1b5cd8bbd9c2p-1, 0x1.9fc814e4ddae6p-1, 0x1.9dd9b72a86885p-1, 0x1.9beaadf61849fp-1, 0x1.99faf29413937p-1, 0x1.980a7e19e31f8p-1, 0x1.96194979c2e69p-1, 0x1.94274d94e0472p-1, 0x1.9234834bccef1p-1, 0x1.9040e38d60e24p-1, 0x1.8e4c676423d0bp-1, 0x1.8c570802588edp-1, 0x1.8a60beccc2707p-1, 0x1.886985643a839p-1, 0x1.867155ae2d4cap-1, 0x1.847829dc13b4cp-1, 0x1.827dfc71fe78fp-1, 0x1.8082c84c43801p-1, 0x1.7e8688a4626adp-1, 0x1.7c89391530346p-1, 0x1.7a8ad59e590e6p-1, 0x1.788b5aa748879p-1, 0x1.768ac501859dep-1, 0x1.748911ea9027p-1, 0x1.72863f0d49039p-1, 0x1.70824a82f5d3ap-1, 0x1.6e7d32d3e4599p-1, 0x1.6c76f6f7ba153p-1, 0x1.6a6f965578e1cp-1, 0x1.686710c340825p-1, 0x1.665d6685d37c4p-1, 0x1.6452984fe4f8bp-1, 0x1.6246a7413990dp-1, 0x1.603994e59c903p-1, 0x1.5e2b6333aebb2p-1, 0x1.5c1c148b9846ep-1, 0x1.5a0babb598834p-1, 0x1.57fa2be080d8cp-1, 0x1.55e798a01796bp-1, 0x1.53d3f5eb679e9p-1, 0x1.51bf481aff5a5p-1, 0x1.4fa993e7220f3p-1, 0x1.4d92de65eae64p-1, 0x1.4b7b2d0966b7ep-1, 0x1.4962859da3114p-1, 0x1.4748ee46b6684p-1, 0x1.452e6d7ec09dcp-1, 0x1.43130a13e51e7p-1, 0x1.40f6cb2641b81p-1, 0x1.3ed9b825ddf3fp-1, 0x1.3cbbd8d09a39bp-1, 0x1.3a9d353018c97p-1, 0x1.387dd597a5d4fp-1, 0x1.365dc2a21c4c4p-1, 0x1.343d052fc8777p-1, 0x1.321ba6644a905p-1, 0x1.2ff9afa47485bp-1, 0x1.2dd72a942a9a4p-1, 0x1.2bb421143f2d7p-1, 0x1.29909d4051276p-1, 0x1.276ca96ca58ebp-1, 0x1.2548502405839p-1, 0x1.23239c2597655p-1, 0x1.20fe9862ba628p-1, 0x1.1ed94ffce127ep-1, 0x1.1cb3ce436c575p-1, 0x1.1a8e1eb186506p-1, 0x1.18684cebfddf6p-1, 0x1.164264bf22e75p-1, 0x1.141c721ca29aap-1, 0x1.11f6811965775p-1, 0x1.0fd09deb6f044p-1, 0x1.0daad4e7bd1edp-1, 0x1.0b85328029ebap-1, 0x1.095fc3415032ap-1, 0x1.073a93d0710dp-1, 0x1.0515b0e95b1dp-1, 0x1.02f1275c562bcp-1, 0x1.00cd040c0fa86p-1, 0x1.fd52a7d7178a2p-2, 0x1.f90c47f8311dep-2, 0x1.f4c702968b484p-2, 0x1.f082f1e1be6c7p-2, 0x1.ec403019dae56p-2, 0x1.e7fed78b6f503p-2, 0x1.e3bf028b9ab75p-2, 0x1.df80cb7425c65p-2, 0x1.db444c9fa9a08p-2, 0x1.d709a065bd4ffp-2, 0x1.d2d0e117337aep-2, 0x1.ce9a28fa60e47p-2, 0x1.ca65924772524p-2, 0x1.c6333724cacd2p-2, 0x1.c20331a375ac7p-2, 0x1.bdd59bbba1ddep-2, 0x1.b9aa8f492de36p-2, 0x1.b582260843362p-2, 0x1.b15c7991ff4b6p-2, 0x1.ad39a3592e314p-2, 0x1.a919bca715716p-2, 0x1.a4fcde984ec84p-2, 0x1.a0e32219b3231p-2, 0x1.9ccc9fe55c0b3p-2, 0x1.98b9707faebf1p-2, 0x1.94a9ac3481adfp-2, 0x1.909d6b144cf2ap-2, 0x1.8c94c4f175322p-2, 0x1.888fd15da1e88p-2, 0x1.848ea7a72be75p-2, 0x1.80915ed69f2d6p-2, 0x1.7c980dac4bb2cp-2, 0x1.78a2ca9defb7p-2, 0x1.74b1abd472c5ap-2, 0x1.70c4c729b4f61p-2, 0x1.6cdc322674998p-2, 0x1.68f80200434d3p-2, 0x1.65184b979651cp-2, 0x1.613d2375e4f4fp-2, 0x1.5d669dcbdd69fp-2, 0x1.5994ce6fb1d18p-2, 0x1.55c7c8db7203fp-2, 0x1.51ffa02b81805p-2, 0x1.4e3c671d1bdf4p-2, 0x1.4a7e300cf1763p-2, 0x1.46c50cf5d521dp-2, 0x1.43110f6f815f9p-2, 0x1.3f6248ad6dad1p-2, 0x1.3bb8c97db9745p-2, 0x1.3814a2482d662p-2, 0x1.3475e30d48b49p-2, 0x1.30dc9b656ca5ep-2, 0x1.2d48da800f31p-2, 0x1.29baaf230aa0fp-2, 0x1.263227a9fada8p-2, 0x1.22af5205abc9p-2, 0x1.1f323bbb9ea9ap-2, 0x1.1bbaf1e59f2c3p-2, 0x1.184981316787bp-2, 0x1.14ddf5e05a8c7p-2, 0x1.11785bc74c39fp-2, 0x1.0e18be4e5b0adp-2, 0x1.0abf2870db493p-2, 0x1.076ba4bd52381p-2, 0x1.041e3d557f4fbp-2, 0x1.00d6fbee78639p-2, 0x1.fb2bd3a1a431p-3, 0x1.f4b61fb1b1417p-3, 0x1.ee4cecedaed84p-3, 0x1.e7f04b5eddd6cp-3, 0x1.e1a04a37ec657p-3, 0x1.db5cf7d5dd4aap-3, 0x1.d52661c100d81p-3, 0x1.cefc94ae0d83bp-3, 0x1.c8df9c7f4cbafp-3, 0x1.c2cf8445e2fb1p-3, 0x1.bccc5643332d9p-3, 0x1.b6d61bea4e55dp-3, 0x1.b0ecdde1858bep-3, 0x1.ab10a4040848bp-3, 0x1.a54175639a716p-3, 0x1.9f7f584a63e55p-3, 0x1.99ca523cc7153p-3, 0x1.942267fb5582cp-3, 0x1.8e879d84d252cp-3, 0x1.88f9f61842111p-3, 0x1.8379743711538p-3, 0x1.7e0619a746cbap-3, 0x1.789fe775c60f4p-3, 0x1.7346ddf89dd02p-3, 0x1.6dfafcd1688cap-3, 0x1.68bc42efb6ed4p-3, 0x1.638aae938835p-3, 0x1.5e663d4fc9bbp-3, 0x1.594eec0ce9beep-3, 0x1.5444b70b67985p-3, 0x1.4f4799e680eedp-3, 0x1.4a578f96d0ddep-3, 0x1.457492750b3ecp-3, 0x1.409e9c3cb38d4p-3, 0x1.3bd5a60edf3abp-3, 0x1.3719a87501aeap-3, 0x1.326a9b63b4c2dp-3, 0x1.2dc8763d91f5p-3, 0x1.29332fd608f62p-3, 0x1.24aabe743e23p-3, 0x1.202f17d5e9df5p-3, 0x1.1bc031323c55ap-3, 0x1.175dff3cc67fp-3, 0x1.1308762861681p-3, 0x1.0ebf89aa1819ap-3, 0x1.0a832cfc188a9p-3, 0x1.065352e0967f6p-3, 0x1.022feda4c2a43p-3, 0x1.fc31de4765661p-4, 0x1.f41c919294f74p-4, 0x1.ec1fd72a5b6c5p-4, 0x1.e43b903b4787ep-4, 0x1.dc6f9d2508771p-4, 0x1.d4bbdd8031cd5p-4, 0x1.cd2030240143p-4, 0x1.c59c732c22b14p-4, 0x1.be3083fe6d048p-4, 0x1.b6dc3f5084cbep-4, 0x1.af9f812d95a6ep-4, 0x1.a87a24fbec08bp-4, 0x1.a16c058290be1p-4, 0x1.9a74fceecf56bp-4, 0x1.9394e4d9c5b47p-4, 0x1.8ccb964dced62p-4, 0x1.8618e9cbf93eap-4, 0x1.7f7cb75165422p-4, 0x1.78f6d65c97b7p-4, 0x1.72871df2c3539p-4, 0x1.6c2d64a500ce9p-4, 0x1.65e980957c446p-4, 0x1.5fbb477c9131dp-4, 0x1.59a28eaddc3a3p-4, 0x1.539f2b1d36c3ep-4, 0x1.4db0f163ad4cdp-4, 0x1.47d7b5c45a7b2p-4, 0x1.42134c313ce66p-4, 0x1.3c63884ff4127p-4, 0x1.36c83d7e74184p-4, 0x1.31413ed7a106ep-4, 0x1.2bce5f37e25a2p-4, 0x1.266f714199979p-4, 0x1.212447619377p-4, 0x1.1becb3d35f5c2p-4, 0x1.16c888a597dbcp-4, 0x1.11b797be17e7p-4, 0x1.0cb9b2de218a4p-4, 0x1.07ceaba66e53ap-4, 0x1.02f6539b2fb7bp-4, 0x1.fc60f84ff0d4dp-5, 0x1.f2f9ed473e6b5p-5, 0x1.e9b728a7fce73p-5, 0x1.e0984ce35efa1p-5, 0x1.d79cfc575aee2p-5, 0x1.cec4d955c11b3p-5, 0x1.c60f862b44fd2p-5, 0x1.bd7ca52648b81p-5, 0x1.b50bd89d937fep-5, 0x1.acbcc2f6dc5ebp-5, 0x1.a48f06ad2fb04p-5, 0x1.9c8246572cdabp-5, 0x1.949624ad2b0c4p-5, 0x1.8cca448f249f7p-5, 0x1.851e490a98ff4p-5, 0x1.7d91d5602995p-5, 0x1.76248d0930071p-5, 0x1.6ed613bd1d947p-5, 0x1.67a60d76bce1cp-5, 0x1.60941e7952001p-5, 0x1.599feb5590eedp-5, 0x1.52c918ee76e97p-5, 0x1.4c0f4c7dfc4ddp-5, 0x1.45722b99a6d76p-5, 0x1.3ef15c36f7431p-5, 0x1.388c84afb4d29p-5, 0x1.32434bc6197e9p-5, 0x1.2c1558a8dd16cp-5, 0x1.260252f713b27p-5, 0x1.2009e2c404bdcp-5, 0x1.1a2bb09abfe1p-5, 0x1.14676581b242cp-5, 0x1.0ebcaafe048bdp-5, 0x1.092b2b16e537fp-5, 0x1.03b29058b449ap-5, 0x1.fca50bb00c5c4p-6, 0x1.f2156e6934a0bp-6, 0x1.e7b5a1383a7f3p-6, 0x1.dd84fd99c4c88p-6, 0x1.d382de30f23a1p-6, 0x1.c9ae9ecc3704cp-6, 0x1.c0079c6a22673p-6, 0x1.b68d353de70eap-6, 0x1.ad3ec8b38b82ep-6, 0x1.a41bb774116bbp-6, 0x1.9b236369518adp-6, 0x1.92552fc1a9f8ep-6, 0x1.89b080f36fddfp-6, 0x1.8134bcc042334p-6, 0x1.78e14a3812a27p-6, 0x1.70b591bc1ab09p-6, 0x1.68b0fd0182ccap-6, 0x1.60d2f713fed0cp-6, 0x1.591aec581341p-6, 0x1.51884a8d54e92p-6, 0x1.4a1a80d06654dp-6, 0x1.42d0ff9ccb0f5p-6, 0x1.3bab38cea2f62p-6, 0x1.34a89fa4241a4p-6, 0x1.2dc8a8befa988p-6, 0x1.270aca257fa0ap-6, 0x1.206e7b43ce027p-6, 0x1.19f334eca8486p-6, 0x1.1398715a3d0c3p-6, 0x1.0d5dac2ec8cfap-6, 0x1.074262751bbp-6, 0x1.014612a0ef3fep-6, 0x1.f6d0791e477e5p-7, 0x1.eb50c30bc7fdfp-7, 0x1.e00c086924c2ep-7, 0x1.d50151676342p-7, 0x1.ca2fa90946bep-7, 0x1.bf961d228435ep-7, 0x1.b533be56e6d7ap-7, 0x1.ab07a01911ef8p-7, 0x1.a110d8a9210fep-7, 0x1.974e811326724p-7, 0x1.8dbfb52d4ddddp-7, 0x1.84639395f5b3bp-7, 0x1.7b393db16f513p-7, 0x1.723fd7a7d8c72p-7, 0x1.697688625ffaap-7, 0x1.60dc7988cabbbp-7, 0x1.5870d77e8031dp-7, 0x1.5032d15f9519ap-7, 0x1.482198fda8287p-7, 0x1.403c62dc9893dp-7, 0x1.3882662f1531ap-7, 0x1.30f2dcd3040b7p-7, 0x1.298d034ddb4f7p-7, 0x1.225018c8caf75p-7, 0x1.1b3b5f0cc658bp-7, 0x1.144e1a7e75a4ap-7, 0x1.0d87921a069c6p-7, 0x1.06e70f6eebd2cp-7, 0x1.006bde9b73adp-7, 0x1.f42a9c90b18cfp-8, 0x1.e7c55f482be7bp-8, 0x1.dba6acbcafa93p-8, 0x1.cfcd314652dc1p-8, 0x1.c4379e2c5db33p-8, 0x1.b8e4a99b5a90ep-8, 0x1.add30e9b3c4afp-8, 0x1.a3018d0532861p-8, 0x1.986ee97975e74p-8, 0x1.8e19ed54fc58bp-8, 0x1.840166a6d7749p-8, 0x1.7a242825e641bp-8, 0x1.70810925ddc49p-8, 0x1.6716e58cb06ccp-8, 0x1.5de49dc7bcedep-8, 0x1.54e916c0c1b56p-8, 0x1.4c2339d2d8d0fp-8, 0x1.4391f4bf72257p-8, 0x1.3b3439a339f17p-8, 0x1.3308feeacb852p-8, 0x1.2b0f3f4785315p-8, 0x1.2345f9a43485cp-8, 0x1.1bac3119ba1e6p-8, 0x1.1440ece3c514fp-8, 0x1.0d033855539edp-8, 0x1.05f222cd54997p-8, 0x1.fe197f5678d84p-9, 0x1.f0a44c8707eb4p-9, 0x1.e382e3a86de91p-9, 0x1.d6b382f31803cp-9, 0x1.ca347044ae382p-9, 0x1.be03f9094c442p-9, 0x1.b220722484934p-9, 0x1.a68837da9784bp-9, 0x1.9b39adb96b14fp-9, 0x1.90333e8205222p-9, 0x1.85735c117502ap-9, 0x1.7af87f4a7ad27p-9, 0x1.70c127fe878e7p-9, 0x1.66cbdcd77d271p-9, 0x1.5d172b40e5368p-9, 0x1.53a1a751c5e7cp-9, 0x1.4a69ebb61b1a6p-9, 0x1.416e9998b83c2p-9, 0x1.38ae588d2481p-9, 0x1.3027d6796ab94p-9, 0x1.27d9c78065008p-9, 0x1.1fc2e5ebaf7a5p-9, 0x1.17e1f21640012p-9, 0x1.1035b2566c971p-9, 0x1.08bcf2e8e9899p-9, 0x1.017685db23c38p-9, 0x1.f4c285ec6abd9p-10, 0x1.e6f80f53bc4dbp-10, 0x1.d98b6def0c7a4p-10, 0x1.cc7a72bb4e654p-10, 0x1.bfc2f985e9e88p-10, 0x1.b362e8c41f066p-10, 0x1.a758316aa9877p-10, 0x1.9ba0cec4ee606p-10, 0x1.903ac64d56d53p-10, 0x1.85242785d0c44p-10, 0x1.7a5b0bd029c9cp-10, 0x1.6fdd964779ba8p-10, 0x1.65a9f39949912p-10, 0x1.5bbe59df4296dp-10, 0x1.5219087981ee5p-10, 0x1.48b847e8c0352p-10, 0x1.3f9a69a944efp-10, 0x1.36bdc80e1d7f4p-10, 0x1.2e20c61c445e4p-10, 0x1.25c1cf66f2accp-10, 0x1.1d9f57eb9213p-10, 0x1.15b7dbee6aa6fp-10, 0x1.0e09dfd78ebe4p-10, 0x1.0693f010513dap-10, 0x1.fea941c1b5bb9p-11, 0x1.f0951c9c98945p-11, 0x1.e2e8b7f28922bp-11, 0x1.d5a169f918cc2p-11, 0x1.c8bc979936edbp-11, 0x1.bc37b42d8b73dp-11, 0x1.b010414316a24p-11, 0x1.a443ce5986c73p-11, 0x1.98cff8a4ddacp-11, 0x1.8db26acf4ab7bp-11, 0x1.82e8dcbccdbbp-11, 0x1.7871134de56b4p-11, 0x1.6e48e0250e6fdp-11, 0x1.646e216b69973p-11, 0x1.5adec1968cdcp-11, 0x1.5198b72fb9192p-11, 0x1.489a049aa949bp-11, 0x1.3fe0b7de981bfp-11, 0x1.376aea6e5f9c4p-11, 0x1.2f36c0f264eacp-11, 0x1.27426b133d43ap-11, 0x1.1f8c23449eea2p-11, 0x1.18122e9106acp-11, 0x1.10d2dc66a5ee4p-11, 0x1.09cc86648e339p-11, 0x1.02fd90287381p-11, 0x1.f8c8ce3b6f81p-12, 0x1.ebff049a037ebp-12, 0x1.df9ac4574c066p-12, 0x1.d39920da57a87p-12, 0x1.c7f73fa915cafp-12, 0x1.bcb2580ca0f2bp-12, 0x1.b1c7b2b78fdc6p-12, 0x1.a734a96ca8c3ep-12, 0x1.9cf6a6a75707ap-12, 0x1.930b2545601ap-12, 0x1.896fb032d4dafp-12, 0x1.8021e21576e21p-12, 0x1.771f64fb8d561p-12, 0x1.6e65f209d8961p-12, 0x1.65f3512c78b0ap-12, 0x1.5dc558c91fc54p-12, 0x1.55d9ed7084fe5p-12, 0x1.4e2f01939e77dp-12, 0x1.46c29538b637bp-12, 0x1.3f92b5b1d9068p-12, 0x1.389d7d5486641p-12, 0x1.31e113331de2fp-12, 0x1.2b5baad62de52p-12, 0x1.250b83f8c2a89p-12, 0x1.1eeeea43eb1d8p-12, 0x1.1904350d029adp-12, 0x1.1349c7149a732p-12, 0x1.0dbe0e4561494p-12, 0x1.085f83764c761p-12, 0x1.032caa2bfa5e8p-12, 0x1.fc4820b79e16cp-13, 0x1.f2889c6179307p-13, 0x1.e9180b9f7f0b6p-13, 0x1.dff3c63e4287ep-13, 0x1.d719371af02b5p-13, 0x1.ce85dbb35beb3p-13, 0x1.c63743b9c53b6p-13, 0x1.be2b10a9b8a29p-13, 0x1.b65ef55d9aa54p-13, 0x1.aed0b5a80b2d4p-13, 0x1.a77e25ef376fep-13, 0x1.a0652ac8fafeap-13, 0x1.9983b89876a41p-13, 0x1.92d7d32f3ee3cp-13, 0x1.8c5f8d6e11c79p-13, 0x1.861908eacba61p-13, 0x1.8002759335c48p-13, 0x1.7a1a1156f7a0fp-13, 0x1.745e27ce89b9fp-13, 0x1.6ecd11e75b997p-13, 0x1.6965358fdd0cfp-13, 0x1.64250564c384dp-13, 0x1.5f0b00617ccd4p-13, 0x1.5a15b190ec89dp-13, 0x1.5543afc07328bp-13, 0x1.50939d340ddc1p-13, 0x1.4c04275c891a1p-13, 0x1.4794068f1d332p-13, 0x1.4341fdbd8000bp-13, 0x1.3f0cda30b0a28p-13, 0x1.3af37344934d3p-13, 0x1.36f4aa24e1912p-13, 0x1.330f698c49142p-13, 0x1.2f42a58355269p-13, 0x1.2b8d5b22bd89fp-13, 0x1.27ee9055b5383p-13, 0x1.2465539d38f81p-13, 0x1.20f0bbd5cb713p-13, 0x1.1d8fe7fd9c6fep-13, 0x1.1a41fefc362b4p-13, 0x1.17062f6b0f547p-13, 0x1.13dbaf5ffc544p-13, 0x1.10c1bc38039d3p-13, 0x1.0db79a64d3ba8p-13, 0x1.0abc9538f6ea4p-13, 0x1.07cffeb75accp-13, 0x1.04f12f6262f75p-13, 0x1.021f860d7eafdp-13, 0x1.feb4cf5bd40e7p-14, 0x1.f9427e5d99f8bp-14, 0x1.f3e6fa88fda7fp-14, 0x1.eea130832f06p-14, 0x1.e97017da7a8p-14, 0x1.e452b2b3b1867p-14, 0x1.df480d790f28p-14, 0x1.da4f3e8d0812fp-14, 0x1.d56765fc8e13ep-14, 0x1.d08fad3547fc9p-14, 0x1.cbc746bbed92fp-14, 0x1.c70d6de4daf37p-14, 0x1.c261668f7821ap-14, 0x1.bdc27ce25bf24p-14, 0x1.b930050794c9ap-14, 0x1.b4a95aed1833fp-14, 0x1.b02de2055f861p-14, 0x1.abbd0509e1e0dp-14, 0x1.a75635bf16ea9p-14, 0x1.a2f8ecb9e7963p-14, 0x1.9ea4a92642074p-14, 0x1.9a58f090a43a2p-14, 0x1.96154eaed52a3p-14, 0x1.91d9552b56f27p-14, 0x1.8da49b716dba1p-14, 0x1.8976be7bb62d3p-14, 0x1.854f60a277dc7p-14, 0x1.812e296c13531p-14, 0x1.7d12c55eede73p-14, 0x1.78fce5d43fcbbp-14, 0x1.74ec40cbba4fap-14, 0x1.70e090c188832p-14, 0x1.6cd99483ac799p-14, 0x1.68d70f094b93cp-14, 0x1.64d8c74bfe2f5p-14, 0x1.60de8820fc62ep-14, 0x1.5ce820134bf95p-14, 0x1.58f5613f88cb3p-14, 0x1.5506213134ba5p-14, 0x1.511a38c025386p-14, 0x1.4d3183ee6f156p-14, 0x1.494be1c8d4e16p-14, 0x1.4569344648f44p-14, 0x1.41896029e9ed8p-14, 0x1.3dac4ce4dd842p-14, 0x1.39d1e4795ea9dp-14, 0x1.35fa135ef3d62p-14, 0x1.3224c866d53d1p-14, 0x1.2e51f4a17736ep-14, 0x1.2a818b456c02dp-14, 0x1.26b38195e5e1bp-14, 0x1.22e7ceca71eb5p-14, 0x1.1f1e6bf805be1p-14, 0x1.1b5753f9e5e87p-14, 0x1.1792835ba5594p-14, 0x1.13cff8436d972p-14, 0x1.100fb25e3dbfcp-14, 0x1.0c51b2cadd583p-14, 0x1.0895fc06ff8a1p-14, 0x1.04dc91dcaa4b9p-14, 0x1.0125794fe98c2p-14, 0x1.fae17118b3562p-15, 0x1.f37cadaad96acp-15, 0x1.ec1cb8ea011bbp-15, 0x1.e4c1a5573146fp-15, 0x1.dd6b87430edadp-15, 0x1.d61a74aea2c3ep-15, 0x1.cece852f5664dp-15, 0x1.c787d1d38c6bdp-15, 0x1.c0467507be99fp-15, 0x1.b90a8a7bb971fp-15, 0x1.b1d42f0b65a16p-15, 0x1.aaa380a4953ddp-15, 0x1.a3789e3215912p-15, 0x1.9c53a7839a923p-15, 0x1.9534bd38878dfp-15, 0x1.8e1c00ac0f2a8p-15, 0x1.870993e0ddf69p-15, 0x1.7ffd996d8501p-15, 0x1.78f8346afd451p-15, 0x1.71f98862419edp-15, 0x1.6b01b93b7c458p-15, 0x1.6410eb2d9645ap-15, 0x1.5d2742aead33fp-15, 0x1.5644e464dbbeap-15, 0x1.4f69f518b68d6p-15, 0x1.489699a5c6475p-15, 0x1.41caf6eea54d8p-15, 0x1.3b0731d0d1704p-15, 0x1.344b6f171783dp-15, 0x1.2d97d36f3cb37p-15, 0x1.26ec835f07dccp-15, 0x1.2049a338a3626p-15, 0x1.19af57127f07ep-15, 0x1.131dc2bbb2d91p-15, 0x1.0c9509b46d2cdp-15, 0x1.06154f247fabdp-15, 0x1.ff3d6ba86e806p-16, 0x1.f262c04758c6p-16, 0x1.e59ae007b207ap-16, 0x1.d8e60ddfdddcdp-16, 0x1.cc448bcdcb58bp-16, 0x1.bfb69ac92aefcp-16, 0x1.b33c7ab8a4805p-16, 0x1.a6d66a6822c6cp-16, 0x1.9a84a77d6dc0cp-16, 0x1.8e476e6ecd524p-16, 0x1.821efa7a1e7cap-16, 0x1.760b859ced6edp-16, 0x1.6a0d488c6cff8p-16, 0x1.5e247aaedda53p-16, 0x1.52515214616f7p-16, 0x1.46940372760f8p-16, 0x1.3aecc21d06c98p-16, 0x1.2f5bc00147f68p-16, 0x1.23e12da3338afp-16, 0x1.187d3a169bc07p-16, 0x1.0d3012fe1d96dp-16, 0x1.01f9e486e73e8p-16, 0x1.edb5b2cbd1ec8p-17, 0x1.d7a635acb409bp-17, 0x1.c1c5a12e16e9cp-17, 0x1.ac1441d1bbd9fp-17, 0x1.9692611bf70e8p-17, 0x1.814045923a608p-17, 0x1.6c1e32b871675p-17, 0x1.572c69122324bp-17, 0x1.426b26231c13p-17, 0x1.2ddaa46da8e72p-17, 0x1.197b1b768eb88p-17, 0x1.054cbfc5bc8dfp-17, 0x1.e29f85d15d67cp-18, 0x1.bb08a6ea1802fp-18, 0x1.93d53a1dc9e6p-18, 0x1.6d0590cdad48ap-18, 0x1.4699f68990c74p-18, 0x1.2092b1106f493p-18, 0x1.f5e000b7e4954p-19, 0x1.ab643d5a564f1p-19, 0x1.61b2812f0158p-19, 0x1.18cb2a191604dp-19, 0x1.a15d15a0dec1cp-20, 0x1.12b9d5fced30cp-20, 0x1.0b5a1d7178836p-21, -0x1.72371b8161861p-26, -0x1.1f4f3a554a996p-21, -0x1.17eefa5ed3fbdp-20, -0x1.9e9ecfd84a2fdp-20, -0x1.11db87110a782p-19, -0x1.539bdd137522ap-19, -0x1.949076823433ap-19, -0x1.d4b969de2dc38p-19, -0x1.0a0b6bbbbbe13p-18, -0x1.2954749fc71bap-18, -0x1.4837e95d53ce1p-18, -0x1.66b5e8635544cp-18, -0x1.84ce94bc71f95p-18, -0x1.a28216006caedp-18, -0x1.bfd0983d4a3b8p-18, -0x1.dcba4be49e9afp-18, -0x1.f93f65b8ba4b3p-18, -0x1.0ab00f5c25ac7p-17, -0x1.188e5a052c9b7p-17, -0x1.263ab37662adp-17, -0x1.33b53e4e66817p-17, -0x1.40fe1f22f782bp-17, -0x1.4e157c756fff6p-17, -0x1.5afb7eaad8759p-17, -0x1.67b04ffffe3cdp-17, -0x1.74341c80c2f71p-17, -0x1.808711fc67f9cp-17, -0x1.8ca95ffd57851p-17, -0x1.989b37be62b98p-17, -0x1.a45ccc1f4151ep-17, -0x1.afee519d26332p-17, -0x1.bb4ffe47d3969p-17, -0x1.c68209b6bd9dap-17, -0x1.d184acffc7a01p-17, -0x1.dc5822ae60978p-17, -0x1.e6fca6b7eeacep-17, -0x1.f17276737a503p-17, -0x1.fbb9d08fd887cp-17, -0x1.02e97a849e3dep-16, -0x1.07df12900d1e4p-16, -0x1.0cbdd1a8395eap-16, -0x1.1185d9a39ff3cp-16, -0x1.16374cece3e53p-16, -0x1.1ad24e7dd67c4p-16, -0x1.1f5701db6326dp-16, -0x1.23c58b109cb16p-16, -0x1.281e0eaa7f5eap-16, -0x1.2c60b1b311967p-16, -0x1.308d99ad6d53bp-16, -0x1.34a4ec913e7fdp-16, -0x1.38a6d0c5f9f82p-16, -0x1.3c936d1f93ebfp-16, -0x1.406ae8d96069fp-16, -0x1.442d6b92072fap-16, -0x1.47db1d47d2fcfp-16, -0x1.4b7426545285fp-16, -0x1.4ef8af683d211p-16, -0x1.5268e1877166p-16, -0x1.55c4e60584a24p-16, -0x1.590ce681464p-16, -0x1.5c410ce119304p-16, -0x1.5f61834f3139fp-16, -0x1.626e74362df64p-16, -0x1.65680a3ceeecp-16, -0x1.684e70433dadap-16, -0x1.6b21d15e61a0fp-16, -0x1.6de258d5bd247p-16, -0x1.7090321ed9df7p-16, -0x1.732b88da1fd85p-16, -0x1.75b488cfe4741p-16, -0x1.782b5decb405dp-16, -0x1.7a90343e6e7f1p-16, -0x1.7ce337f1228dfp-16, -0x1.7f24954ba0abdp-16, -0x1.815478ac8ad5bp-16, -0x1.83730e874ded7p-16, -0x1.858083616df95p-16, -0x1.877d03cf5b7dcp-16, -0x1.8968bc71a0c0ep-16, -0x1.8b43d9f24a23dp-16, -0x1.8d0e89023c787p-16, -0x1.8ec8f656479b6p-16, -0x1.90734ea49491p-16, -0x1.920dbea1ff75fp-16, -0x1.939872ffab144p-16, -0x1.95139868b6572p-16, -0x1.967f5b7fae027p-16, -0x1.97dbe8dbec667p-16, -0x1.99296d07a0f8ep-16, -0x1.9a68147d80bcep-16, -0x1.9b980ba6a12f1p-16, -0x1.9cb97ed7f7adcp-16, -0x1.9dcc9a509382ap-16, -0x1.9ed18a378fdd6p-16, -0x1.9fc87a99f25a1p-16, -0x1.a0b19768e17p-16, -0x1.a18d0c776061bp-16, -0x1.a25b0578ce732p-16, -0x1.a31badfeb7069p-16, -0x1.a3cf31775ba21p-16, -0x1.a475bb2c044f2p-16, -0x1.a50f763f1e431p-16, -0x1.a59c8daa85c22p-16, -0x1.a61d2c3e30926p-16, -0x1.a6917c9ea5fd4p-16, -0x1.a6f9a942e995bp-16, -0x1.a755dc73b4572p-16, -0x1.a7a64049ff633p-16, -0x1.a7eafead7ee58p-16, -0x1.a82441533a828p-16, -0x1.a85231bc15eb8p-16, -0x1.a874f933fb94cp-16, -0x1.a88cc0d03e606p-16, -0x1.a899b16e8e493p-16, -0x1.a89bf3b438b63p-16, -0x1.a893b00cb561cp-16, -0x1.a8810ea855d7bp-16, -0x1.a864377b95a2bp-16, -0x1.a83d523e5089dp-16, -0x1.a80c866a75a8ap-16, -0x1.a7d1fb3b034dep-16, -0x1.a78dd7ab4dccp-16, -0x1.a7404276ad539p-16, -0x1.a6e962172130ep-16, -0x1.a6895cc4826f1p-16, -0x1.a6205873f472dp-16, -0x1.a5ae7ad6facaap-16, -0x1.a533e95ae405ep-16, -0x1.a4b0c9285abd2p-16, -0x1.a4253f22885a3p-16, -0x1.a3916fe6986fap-16, -0x1.a2f57fcb12fd1p-16, -0x1.a25192df4464ap-16, -0x1.a1a5cceb05368p-16, -0x1.a0f2516e13046p-16, -0x1.a037439f7f8b9p-16, -0x1.9f74c66d8d661p-16, -0x1.9eaafc7d27da5p-16, -0x1.9dda08297835dp-16, -0x1.9d020b83a2cap-16, -0x1.9c232852b7cap-16, -0x1.9b3d8012cf972p-16, -0x1.9a5133f4f522fp-16, -0x1.995e64df1bd8ap-16, -0x1.9865336c09466p-16, -0x1.9765bfeae11a7p-16, -0x1.96602a5edff5ep-16, -0x1.9554927f7d4acp-16, -0x1.944317b80227fp-16, -0x1.932bd92791de9p-16, -0x1.920ef5a0dce8p-16, -0x1.90ec8baab32dp-16, -0x1.8fc4b97f3a428p-16, -0x1.8e979d0c3b3c4p-16, -0x1.8d6553f2fdecfp-16, -0x1.8c2dfb88c1f4dp-16, -0x1.8af1b0d616243p-16, -0x1.89b090972cca3p-16, -0x1.886ab73bbd712p-16, -0x1.872040e75874ap-16, -0x1.85d149719c547p-16, -0x1.847dec65f9e56p-16, -0x1.83264503d06bbp-16, -0x1.81ca6e3ecb47dp-16, -0x1.806a82bef7947p-16, -0x1.7f069ce0cb5b1p-16, -0x1.7d9ed6b57a9b4p-16, -0x1.7c334a0302199p-16, -0x1.7ac410446839ep-16, -0x1.795142aa0ad16p-16, -0x1.77dafa1a0d66ap-16, -0x1.76614f30226d9p-16, -0x1.74e45a3ddb43dp-16, -0x1.7364334b1c339p-16, -0x1.71e0f2166a467p-16, -0x1.705aae14e8632p-16, -0x1.6ed17e72cb512p-16, -0x1.6d457a13f0524p-16, -0x1.6bb6b793c6cc1p-16, -0x1.6a254d45c9567p-16, -0x1.68915135d37b4p-16, -0x1.66fad92854273p-16, -0x1.6561fa9aec303p-16, -0x1.63c6cac48b28cp-16, -0x1.62295e95ee31ap-16, -0x1.6089cab9f2d7fp-16, -0x1.5ee823961d1bfp-16, -0x1.5d447d4aebbfcp-16, -0x1.5b9eebb414164p-16, -0x1.59f78268b020fp-16, -0x1.584e54bc47bbdp-16, -0x1.56a375bedfbf5p-16, -0x1.54f6f83d2c714p-16, -0x1.5348eec17d252p-16, -0x1.51996b93fff8bp-16, -0x1.4fe880badea61p-16, -0x1.4e363ffad68eep-16, -0x1.4c82bad809b36p-16, -0x1.4ace0295e914ep-16, -0x1.49182837fdbfap-16, -0x1.47613c823f437p-16, -0x1.45a94ff975b2ep-16, -0x1.43f072e3d6b95p-16, -0x1.4236b54995b87p-16, -0x1.407c26f528f53p-16, -0x1.3ec0d773bf0b9p-16, -0x1.3d04d615cb726p-16, -0x1.3b4831ef6ccd1p-16, -0x1.398af9d8f4641p-16, -0x1.37cd3c6f53ab6p-16, -0x1.360f0814fe85dp-16, -0x1.34506af1d37d1p-16, -0x1.329172f3d7d44p-16, -0x1.30d22dcfacfbcp-16, -0x1.2f12a90134235p-16, -0x1.2d52f1cbe117fp-16, -0x1.2b93153b50ddbp-16, -0x1.29d32023983a4p-16, -0x1.28131f220643ap-16, -0x1.26531e9d96f1fp-16, -0x1.24932ac73ec91p-16, -0x1.22d34f9acdd36p-16, -0x1.211398ded8933p-16, -0x1.1f541225bd941p-16, -0x1.1d94c6cdee326p-16, -0x1.1bd5c2027bd6bp-16, -0x1.1a170ebb6c44ap-16, -0x1.1858b7be743bcp-16, -0x1.169ac79f69517p-16, -0x1.14dd48c09cbc1p-16, -0x1.1320455384a86p-16, -0x1.1163c7594d1p-16, -0x1.0fa7d8a2f31aap-16, -0x1.0dec82d218f7ep-16, -0x1.0c31cf5982881p-16, -0x1.0a77c77d7bae6p-16, -0x1.08be7454686e9p-16, -0x1.0705dec6fdd9fp-16, -0x1.054e0f912dafep-16, -0x1.03970f4275a1ap-16, -0x1.01e0e63e48866p-16, -0x1.002b9cbc6139p-16, -0x1.fcee759335888p-17, -0x1.f987909097cc9p-17, -0x1.f62299e139a05p-17, -0x1.f2bfa0a1f4e15p-17, -0x1.ef5eb39dbd8c6p-17, -0x1.ebffe14e644c1p-17, -0x1.e8a337dd0b34p-17, -0x1.e548c52365b0dp-17, -0x1.e1f096acbed1fp-17, -0x1.de9ab9b6a63a3p-17, -0x1.db473b32178fp-17, -0x1.d7f627c46c95ap-17, -0x1.d4a78bc84f508p-17, -0x1.d15b734e191c7p-17, -0x1.ce11ea1d40be8p-17, -0x1.cacafbb58908p-17, -0x1.c786b34f2aa2p-17, -0x1.c4451bdc13fc7p-17, -0x1.c1064008b8d51p-17, -0x1.bdca2a3d2cae8p-17, -0x1.ba90e49db7409p-17, -0x1.b75a790b8cfp-17, -0x1.b426f1262fe39p-17, -0x1.b0f6564c53b79p-17, -0x1.adc8b19bfa509p-17, -0x1.aa9e0bf3c7f84p-17, -0x1.a7766df4434cep-17, -0x1.a451dfffc9b98p-17, -0x1.a1306a3ba87cbp-17, -0x1.9e1214918944fp-17, -0x1.9af6e6afd14e1p-17, -0x1.97dee80a471d4p-17, -0x1.94ca1fdae7cafp-17, -0x1.91b8952311548p-17, -0x1.8eaa4eac0a146p-17, -0x1.8b9f5307d49bp-17, -0x1.8897a89231a6ap-17, -0x1.85935570960c8p-17, -0x1.82925f93c8553p-17, -0x1.7f94ccb8a34aep-17, -0x1.7c9aa2683b71cp-17, -0x1.79a3e5f8ef688p-17, -0x1.76b09c8f7c9bdp-17, -0x1.73c0cb1f3d3edp-17, -0x1.70d4766ae0c29p-17, -0x1.6deba3058ef2cp-17, -0x1.6b0655536dfdp-17, -0x1.6824918a1b7f2p-17, -0x1.65465bb1ad0d9p-17, -0x1.626bb7a55d23cp-17, -0x1.5f94a913ea41ap-17, -0x1.5cc13380b5b5ap-17, -0x1.59f15a446dab4p-17, -0x1.5725208d410c9p-17, -0x1.545c895fc4a6dp-17, -0x1.51979797c874ep-17, -0x1.4ed64de92896bp-17, -0x1.4c18aedfb2cdp-17, -0x1.495ebce073179p-17, -0x1.46a87a2a3be53p-17, -0x1.43f5e8d60dd77p-17, -0x1.41470ad80abcdp-17, -0x1.3e9be1ff8a516p-17, -0x1.3bf46ff83a79ep-17, -0x1.3950b64ac84ffp-17, -0x1.36b0b65cf7c42p-17, -0x1.34147172508e9p-17, -0x1.317be8ad7201ap-17, -0x1.2ee71d0f7de13p-17, -0x1.2c560f798c0eep-17, -0x1.29c8c0ad1aa96p-17, -0x1.273f314c225e1p-17, -0x1.24b961da0a663p-17, -0x1.223752bc5df74p-17, -0x1.1fb9043ac2c07p-17, -0x1.1d3e768013f54p-17, -0x1.1ac7a99ab6088p-17, -0x1.18549d7cbbdb2p-17, -0x1.15e551fd010e6p-17, -0x1.1379c6d7a944ap-17, -0x1.1111fbae0c635p-17, -0x1.0eadf00789fd5p-17, -0x1.0c4da3525a01p-17, -0x1.09f114e3955d9p-17, -0x1.079843f7cec67p-17, -0x1.05432fb398018p-17, -0x1.02f1d7242cd3p-17, -0x1.00a4393f803f9p-17, -0x1.fcb4a9c9e2d3p-18, -0x1.f82851bb63c6ap-18, -0x1.f3a367bafce25p-18, -0x1.ef25e905192cbp-18, -0x1.eaafd2ac7ee58p-18, -0x1.e641219b720efp-18, -0x1.e1d9d293ee5cbp-18, -0x1.dd79e2313be0fp-18, -0x1.d9214ce816893p-18, -0x1.d4d00f07c7249p-18, -0x1.d08624bb20be6p-18, -0x1.cc438a08f6cb3p-18, -0x1.c8083ad50fd8fp-18, -0x1.c3d432e1555afp-18, -0x1.bfa76dcd6b08cp-18, -0x1.bb81e718d281bp-18, -0x1.b7639a2323814p-18, -0x1.b34c822c1e518p-18, -0x1.af3c9a5535cdbp-18, -0x1.ab33dda2badb2p-18, -0x1.a73246faf418ep-18, -0x1.a337d12835fb5p-18, -0x1.9f4476d913cc4p-18, -0x1.9b5832a1578b6p-18, -0x1.9772fef9ec9a4p-18, -0x1.9394d64297496p-18, -0x1.8fbdb2c1d2d56p-18, -0x1.8bed8ea5a1813p-18, -0x1.8824640434e98p-18, -0x1.84622cdd0e4p-18, -0x1.80a6e318a98dbp-18, -0x1.7cf28089fb513p-18, -0x1.7944feee5925bp-18, -0x1.759e57eec4f06p-18, -0x1.71fe851fe10fp-18, -0x1.6e658002b8aa2p-18, -0x1.6ad3420569c31p-18, -0x1.6747c483b26fbp-18, -0x1.63c300c72958cp-18, -0x1.6044f008a9c2cp-18, -0x1.5ccd8b6f6126ep-18, -0x1.595ccc12d8527p-18, -0x1.55f2aafaddc82p-18, -0x1.528f211f9a813p-18, -0x1.4f32276a62514p-18, -0x1.4bdbb6b710f25p-18, -0x1.488bc7d2be8dbp-18, -0x1.4542537dc7fdcp-18, -0x1.41ff526bbe5fap-18, -0x1.3ec2bd438883p-18, -0x1.3b8c8ca00bd0dp-18, -0x1.385cb9113a144p-18, -0x1.35333b1b77904p-18, -0x1.32100b38d44e1p-18, -0x1.2ef321d96201bp-18, -0x1.2bdc7763250d1p-18, -0x1.28cc043302941p-18, -0x1.25c1c09d1d959p-18, -0x1.22bda4ec9738bp-18, -0x1.1fbfa964a9d7ap-18, -0x1.1cc7c640f0c46p-18, -0x1.19d5f3b59d51fp-18, -0x1.16ea29efdd6ffp-18, -0x1.140461163c839p-18, -0x1.112491492a4b9p-18, -0x1.0e4ab2a301818p-18, -0x1.0b76bd38cdp-18, -0x1.08a8a91a24989p-18, -0x1.05e06e51ca739p-18, -0x1.031e04e646b5p-18, -0x1.006164d9a8a72p-18, -0x1.fb550c53dc676p-19, -0x1.f5f2c1a42a446p-19, -0x1.f09bd992299b8p-19, -0x1.eb504406b0076p-19, -0x1.e60ff0e5b0cafp-19, -0x1.e0dad00db4c58p-19, -0x1.dbb0d15917811p-19, -0x1.d691e49f48dbdp-19, -0x1.d17df9b413fd9p-19, -0x1.cc7500690d64cp-19, -0x1.c776e88d6cdafp-19, -0x1.c283a1eee9161p-19, -0x1.bd9b1c5af2783p-19, -0x1.b8bd479dab9e1p-19, -0x1.b3ea1383e662dp-19, -0x1.af216fdab5c57p-19, -0x1.aa634c707fba9p-19, -0x1.a5af9914838a1p-19, -0x1.a1064598cd99dp-19, -0x1.9c6741d0a6c9dp-19, -0x1.97d27d935201bp-19, -0x1.9347e8baac8c9p-19, -0x1.8ec7732468d85p-19, -0x1.8a510cb1e7d65p-19, -0x1.85e4a549b1fcdp-19, -0x1.81822cd630ffdp-19, -0x1.7d299347e4bfcp-19, -0x1.78dac894ac8cap-19, -0x1.7495bcb814f83p-19, -0x1.705a5fb4dbcb9p-19, -0x1.6c28a1937e841p-19, -0x1.680072644a5d2p-19, -0x1.63e1c23ebe5cep-19, -0x1.5fcc8141b0391p-19, -0x1.5bc09f9449fb5p-19, -0x1.57be0d65f4ad5p-19, -0x1.53c4baee92915p-19, -0x1.4fd4986f90f41p-19, -0x1.4bed96331530bp-19, -0x1.480fa48d633f9p-19, -0x1.443ab3dbcd9fap-19, -0x1.406eb486b8b14p-19, -0x1.3cab96ffc2976p-19, -0x1.38f14bc4871c3p-19, -0x1.353fc35c144a9p-19, -0x1.3196ee5a4682ap-19, -0x1.2df6bd5c67c87p-19, -0x1.2a5f210d54745p-19, -0x1.26d00a2223279p-19, -0x1.2349695cd1a23p-19, -0x1.1fcb2f8b105aep-19, -0x1.1c554d88082bap-19, -0x1.18e7b43a8e4dep-19, -0x1.158254975f0ccp-19, -0x1.12251f9f6d6c4p-19, -0x1.0ed00661b054dp-19, -0x1.0b82f9fa6c69ep-19, -0x1.083deb93467bep-19, -0x1.0500cc63d5611p-19, -0x1.01cb8db15797fp-19, -0x1.fd3c419fbf3aep-20, -0x1.f6f0ee42855e3p-20, -0x1.f0b5042cb174ap-20, -0x1.ea88665c1b69bp-20, -0x1.e46af7ed78217p-20, -0x1.de5c9c19c7274p-20, -0x1.d85d3639cf09fp-20, -0x1.d26ca9c2b935ap-20, -0x1.cc8ada4a99ca8p-20, -0x1.c6b7ab84318f8p-20, -0x1.c0f30143365fcp-20, -0x1.bb3cbf79a1b88p-20, -0x1.b594ca38dec9ap-20, -0x1.affb05b237fcbp-20, -0x1.aa6f5636df06fp-20, -0x1.a4f1a03899d9cp-20, -0x1.9f81c848e41ecp-20, -0x1.9a1fb31ab32ap-20, -0x1.94cb458095354p-20, -0x1.8f84646f382ap-20, -0x1.8a4af4fb1c7ccp-20, -0x1.851edc5b9ac96p-20, -0x1.7fffffe6d50adp-20, -0x1.7aee45168a89bp-20, -0x1.75e991843cf5ap-20, -0x1.70f1caec948bap-20, }}, 
      std::vector<double>(1200, 0.0), 
      {{0x1.c6d7a031caf65p-8, 0x1.c761442b7de38p-7, 0x1.562d00db71828p-6, 0x1.c95a96574d711p-6, 0x1.1eac88dbc03fdp-5, 0x1.591bc58abbf42p-5, 0x1.93fa928741e7ep-5, 0x1.cf41454559622p-5, 0x1.0570fac252f87p-4, 0x1.2364cc0a5d672p-4, 0x1.41708ed563151p-4, 0x1.5f8742a42524cp-4, 0x1.7d9aebf36875fp-4, 0x1.9b9d03de7f28bp-4, 0x1.b97ed8632f4dp-4, 0x1.d731dd423f92dp-4, 0x1.f4a7ee387fc09p-4, 0x1.08e9c1e05068cp-3, 0x1.1753ede548fd4p-3, 0x1.258c8bf554221p-3, 0x1.338e293efc6fap-3, 0x1.4153d615c10f6p-3, 0x1.4ed9298563184p-3, 0x1.5c1a424a38aeap-3, 0x1.6913c5ae7a8d2p-3, 0x1.75c2dcba94924p-3, 0x1.82253015f85fcp-3, 0x1.8e38e2e6fecafp-3, 0x1.99fc8cf3405c2p-3, 0x1.a56f34368477fp-3, 0x1.b090461c9400bp-3, 0x1.bb5f9082527f6p-3, 0x1.c5dd3a9b8c9p-3, 0x1.d009bdd56bcep-3, 0x1.d9e5dec8d7beap-3, 0x1.e372a64c48e99p-3, 0x1.ecb15ab1703e1p-3, 0x1.f5a3793895667p-3, 0x1.fe4aafc16e32ep-3, 0x1.03546b5fb37e3p-2, 0x1.075ff5bafd198p-2, 0x1.0b4905402d5b8p-2, 0x1.0f10b55361cddp-2, 0x1.12b82c0165b44p-2, 0x1.164097b9a9f39p-2, 0x1.19ab2d3002023p-2, 0x1.1cf92565d4148p-2, 0x1.202bbbda2297p-2, 0x1.23442cdfa191cp-2, 0x1.2643b417d47a8p-2, 0x1.292b8b120b256p-2, 0x1.2bfce80ceabd5p-2, 0x1.2eb8fcd9162c8p-2, 0x1.3160f5db7199cp-2, 0x1.33f5f92d66a66p-2, 0x1.367925d984f71p-2, 0x1.38eb9332d0773p-2, 0x1.3b4e50450a5dep-2, 0x1.3da2635c4350cp-2, 0x1.3fe8c9a203aafp-2, 0x1.422276ce696b8p-2, 0x1.445054eb8cc76p-2, 0x1.46734429a9aadp-2, 0x1.488c1ac27adc5p-2, 0x1.4a9ba4ea55522p-2, 0x1.4ca2a4cd9db99p-2, 0x1.4ea1d299490efp-2, 0x1.5099dc8d202dbp-2, 0x1.528b6716a08edp-2, 0x1.54770cf3604b4p-2, 0x1.565d5f59ea6c5p-2, 0x1.583ee6282b526p-2, 0x1.5a1c2016880e9p-2, 0x1.5bf582eed57fp-2, 0x1.5dcb7bc67d7eep-2, 0x1.5f9e6f3b1e49cp-2, 0x1.616eb9b11ad8fp-2, 0x1.633caf938a382p-2, 0x1.65089d95168b7p-2, 0x1.66d2c8f15cf27p-2, 0x1.689b6fae741ebp-2, 0x1.6a62c8de48b25p-2, 0x1.6c2904df8ebe7p-2, 0x1.6dee4d9e066a9p-2, 0x1.6fb2c6d1ebbdap-2, 0x1.71768e3e6199bp-2, 0x1.7339bbeebed8p-2, 0x1.74fc62729ddbp-2, 0x1.76be8f189ec14p-2, 0x1.78804a27d0c9bp-2, 0x1.7a419717b3f57p-2, 0x1.7c0274c6d2059p-2, 0x1.7dc2ddaff026fp-2, 0x1.7f82c81dd6a8bp-2, 0x1.8142265db241cp-2, 0x1.8300e6f01eba7p-2, 0x1.84bef4b8d6247p-2, 0x1.867c372d19bcep-2, 0x1.88389280d63abp-2, 0x1.89f3e7d294b11p-2, 0x1.8bae155640d0cp-2, 0x1.8d66f67ed22bbp-2, 0x1.8f1e6426e0644p-2, 0x1.90d434b833705p-2, 0x1.92883c5256f8ep-2, 0x1.943a4cf03c45cp-2, 0x1.95ea368cfa8aep-2, 0x1.9797c747aaf2cp-2, 0x1.9942cb8679793p-2, 0x1.9aeb0e18e71p-2, 0x1.9c905859472c9p-2, 0x1.9e32724d842c6p-2, 0x1.9fd122c72e16ap-2, 0x1.a16c2f82d5ec5p-2, 0x1.a3035d46bf357p-2, 0x1.a4967000eb4e8p-2, 0x1.a6252ae47ee7ep-2, 0x1.a7af5086884fap-2, 0x1.a934a2fa2300ep-2, 0x1.aab4e3ec0377dp-2, 0x1.ac2fd4bd63cfep-2, 0x1.ada5369e5522p-2, 0x1.af14caa776f43p-2, 0x1.b07e51f3159b8p-2, 0x1.b1e18db5a7a6ap-2, 0x1.b33e3f55b782p-2, 0x1.b4942883290f9p-2, 0x1.b5e30b4de631bp-2, 0x1.b72aaa3beb3f1p-2, 0x1.b86ac85eb12cbp-2, 0x1.b9a32967f8128p-2, 0x1.bad391bdee83fp-2, 0x1.bbfbc68eb38bap-2, 0x1.bd1b8de331f71p-2, 0x1.be32aeb154f2dp-2, 0x1.bf40f0ed94a5p-2, 0x1.c0461d9bd5f08p-2, 0x1.c141fedfa1c5bp-2, 0x1.c234600badd94p-2, 0x1.c31d0db0b9d4bp-2, 0x1.c3fbd5abbe5d4p-2, 0x1.c4d087336c2fp-2, 0x1.c59af2e4ff412p-2, 0x1.c65aead05e796p-2, 0x1.c7104283920c7p-2, 0x1.c7bacf1585fd6p-2, 0x1.c85a673022d89p-2, 0x1.c8eee319b4507p-2, 0x1.c9781cbda6162p-2, 0x1.c9f5efb4944aap-2, 0x1.ca68394bb22cep-2, 0x1.caced88b845ffp-2, 0x1.cb29ae3df8066p-2, 0x1.cb789cf3d24d5p-2, 0x1.cbbb89097beafp-2, 0x1.cbf258ab2c864p-2, 0x1.cc1cf3d876088p-2, 0x1.cc3b4467343d5p-2, 0x1.cc4d3605e365ap-2, 0x1.cc52b63d5cdc7p-2, 0x1.cc4bb472053bbp-2, 0x1.cc3821e463a7bp-2, 0x1.cc17f1b12f71p-2, 0x1.cbeb18d0d47fp-2, 0x1.cbb18e166cbf6p-2, 0x1.cb6b4a2e3a0afp-2, 0x1.cb18479ba00eap-2, 0x1.cab882b6a14cfp-2, 0x1.ca4bf9a8e56p-2, 0x1.c9d2ac6a4b908p-2, 0x1.c94c9cbd0b84p-2, 0x1.c8b9ce296b7c4p-2, 0x1.c81a45f90d799p-2, 0x1.c76e0b31d9d8ep-2, 0x1.c6b5269088cp-2, 0x1.c5efa282cddb3p-2, 0x1.c51d8b2130fc7p-2, 0x1.c43eee288de25p-2, 0x1.c353daf34708bp-2, 0x1.c25c62722db48p-2, 0x1.c15897251e5a2p-2, 0x1.c0488d135f714p-2, 0x1.bf2c59c3b9094p-2, 0x1.be0414345958fp-2, 0x1.bccfd4d279f97p-2, 0x1.bb8fb571d611ep-2, 0x1.ba43d143ed7efp-2, 0x1.b8ec44cf1e31ep-2, 0x1.b7892de592e68p-2, 0x1.b61aab9c0c776p-2, 0x1.b4a0de408d493p-2, 0x1.b31be750e268cp-2, 0x1.b18be97114e8dp-2, 0x1.aff10861c1bddp-2, 0x1.ae4b68f66234ap-2, 0x1.ac9b310b7dfbdp-2, 0x1.aae0877cd3efep-2, 0x1.a91b941b7626dp-2, 0x1.a74c7fa3e0b4ap-2, 0x1.a57373b40884cp-2, 0x1.a3909ac16b859p-2, 0x1.a1a4200f1f826p-2, 0x1.9fae2fa3e6b4bp-2, 0x1.9daef64047699p-2, 0x1.9ba6a154aea61p-2, 0x1.99955ef79d59cp-2, 0x1.977b5ddbe1005p-2, 0x1.9558cd46dcf9bp-2, 0x1.932ddd06e57a3p-2, 0x1.90fabd69add3cp-2, 0x1.8ebf9f32c9a9ap-2, 0x1.8c7cb3924b9a9p-2, 0x1.8a322c1b74319p-2, 0x1.87e03abb8394ep-2, 0x1.858711b0a213bp-2, 0x1.8326e380e9b05p-2, 0x1.80bfe2f18d21ap-2, 0x1.7e5242fe20417p-2, 0x1.7bde36d002587p-2, 0x1.7963f1b5e9d6cp-2, 0x1.76e3a71b97a19p-2, 0x1.745d8a81abcep-2, 0x1.71d1cf75a3b31p-2, 0x1.6f40a989fd5dap-2, 0x1.6caa4c4e830abp-2, 0x1.6a0eeb48c1baep-2, 0x1.676eb9eca3d68p-2, 0x1.64c9eb953ca33p-2, 0x1.6220b37db98c4p-2, 0x1.5f7344ba7f65fp-2, 0x1.5cc1d23277309p-2, 0x1.5a0c8e987f5c6p-2, 0x1.5753ac6510f34p-2, 0x1.54975dd00e19cp-2, 0x1.51d7d4cabb399p-2, 0x1.4f1542f9e9de5p-2, 0x1.4c4fd9b04dcb3p-2, 0x1.4987c9e8fe7c5p-2, 0x1.46bd444229795p-2, 0x1.43f078f7ed1e5p-2, 0x1.412197df66696p-2, 0x1.3e50d061e50b4p-2, 0x1.3b7e5178520bfp-2, 0x1.38aa49a6c1188p-2, 0x1.35d4e6f82d5b7p-2, 0x1.32fe56fa6412p-2, 0x1.3026c6ba195acp-2, 0x1.2d4e62bf2ba21p-2, 0x1.2a7557090f856p-2, 0x1.279bcf0b66cfep-2, 0x1.24c1f5aac453ap-2, 0x1.21e7f53996e74p-2, 0x1.1f0df775405e5p-2, 0x1.1c3425835335cp-2, 0x1.195aa7eefa793p-2, 0x1.1681a6a6893d2p-2, 0x1.13a948f931aep-2, 0x1.10d1b594e3445p-2, 0x1.0dfb12844de9cp-2, 0x1.0b25852d0bd2dp-2, 0x1.0851324df19b1p-2, 0x1.057e3dfd803f8p-2, 0x1.02accba87c09ep-2, 0x1.ffb9fc2150dc8p-3, 0x1.fa1dee9742be9p-3, 0x1.f485b183bbf59p-3, 0x1.eef1865b9509bp-3, 0x1.e961ad361afa7p-3, 0x1.e3d664cbc4832p-3, 0x1.de4fea7534c6cp-3, 0x1.d8ce7a2a71e1ep-3, 0x1.d3524e82582dfp-3, 0x1.cddba0b247925p-3, 0x1.c86aa88e0a01dp-3, 0x1.c2ff9c87edde8p-3, 0x1.bd9ab1b116e5fp-3, 0x1.b83c1bba05a73p-3, 0x1.b2e40cf34a11fp-3, 0x1.ad92b64e6d70dp-3, 0x1.a848475f077cdp-3, 0x1.a304ee5c0756ap-3, 0x1.9dc8d8211d0bdp-3, 0x1.989430305d295p-3, 0x1.936720b3ff935p-3, 0x1.8e41d2805241dp-3, 0x1.89246d15c904fp-3, 0x1.840f16a33a252p-3, 0x1.7f01f40838eb3p-3, 0x1.79fd28d7989fp-3, 0x1.7500d75a09087p-3, 0x1.700d2090db661p-3, 0x1.6b222438de435p-3, 0x1.664000cd5c7d2p-3, 0x1.6166d38b3325ap-3, 0x1.5c96b87406313p-3, 0x1.57cfca51895e5p-3, 0x1.531222b8e8c84p-3, 0x1.4e5dda0e406dbp-3, 0x1.49b307882e1abp-3, 0x1.4511c13375cb4p-3, 0x1.407a1bf6bb2aep-3, 0x1.3bec2b964bc99p-3, 0x1.376802b7f845dp-3, 0x1.32edb2e70454bp-3, 0x1.2e7d4c981cf25p-3, 0x1.2a16df2d62cdbp-3, 0x1.25ba78fa7c9ebp-3, 0x1.21682748bbf57p-3, 0x1.1d1ff65b44acbp-3, 0x1.18e1f1734350ap-3, 0x1.14ae22d42a8edp-3, 0x1.108493c7f9723p-3, 0x1.0c654ca38a6adp-3, 0x1.085054caded09p-3, 0x1.0445b2b581455p-3, 0x1.00456bf2d921ep-3, 0x1.f89f0a5d1ef7bp-4, 0x1.f0c80469e14b2p-4, 0x1.e905cbeea2674p-4, 0x1.e1586520e603cp-4, 0x1.d9bfd291dd3d6p-4, 0x1.d23c15372d1b5p-4, 0x1.cacd2c73bde0ep-4, 0x1.c37316208192fp-4, 0x1.bc2dce953a7dep-4, 0x1.b4fd50b1356a8p-4, 0x1.ade195e403d35p-4, 0x1.a6da96362f104p-4, 0x1.9fe84851d665fp-4, 0x1.990aa18b5478dp-4, 0x1.924195e9cc1ebp-4, 0x1.8b8d182fad737p-4, 0x1.84ed19e333023p-4, 0x1.7e618b56c3d7ep-4, 0x1.77ea5bb155c21p-4, 0x1.718778f6b936cp-4, 0x1.6b38d00fcda91p-4, 0x1.64fe4cd2b14afp-4, 0x1.5ed7da0ad72p-4, 0x1.58c561810bd23p-4, 0x1.52c6cc0366a63p-4, 0x1.4cdc016d28505p-4, 0x1.4704e8ae82642p-4, 0x1.414167d44a88fp-4, 0x1.3b91640f9945bp-4, 0x1.35f4c1bd52cfcp-4, 0x1.306b646d932ccp-4, 0x1.2af52eeb0cc89p-4, 0x1.259203424706cp-4, 0x1.2041c2c8c898fp-4, 0x1.1b044e242b7d9p-4, 0x1.15d98551128f6p-4, 0x1.10c147aa0aacep-4, 0x1.0bbb73ee4f05ap-4, 0x1.06c7e8487aef4p-4, 0x1.01e6825519118p-4, 0x1.fa2e3e52392bap-5, 0x1.f0b336b07ed75p-5, 0x1.e75ba5f69687bp-5, 0x1.de27436c7c9c7p-5, 0x1.d515c57cb8e12p-5, 0x1.cc26e1c04e50ap-5, 0x1.c35a4d0a625dp-5, 0x1.baafbb73c325cp-5, 0x1.b226e0663236ep-5, 0x1.a9bf6ea76ee58p-5, 0x1.a17918641cc8ap-5, 0x1.99538f3a5e8cbp-5, 0x1.914e84444f5a5p-5, 0x1.8969a8223e502p-5, 0x1.81a4ab04b1b16p-5, 0x1.79ff3cb637c41p-5, 0x1.72790ca4fd471p-5, 0x1.6b11c9ec42218p-5, 0x1.63c9235d75681p-5, 0x1.5c9ec7894787dp-5, 0x1.559264c86151p-5, 0x1.4ea3a94401ac5p-5, 0x1.47d242fe5f25dp-5, 0x1.411ddfdad1868p-5, 0x1.3a862da5ce0abp-5, 0x1.340ada1cae1d4p-5, 0x1.2dab92f546ed4p-5, 0x1.276805e54f67cp-5, 0x1.213fe0a98fa7dp-5, 0x1.1b32d10ce62e9p-5, 0x1.154084ef13c0fp-5, 0x1.0f68aa4b684f8p-5, 0x1.09aaef3f28718p-5, 0x1.0407020fdfe01p-5, 0x1.fcf92262cf2efp-6, 0x1.f2169697b08a1p-6, 0x1.e765be827ef7cp-6, 0x1.dce5f8666592p-6, 0x1.d296a31052dafp-6, 0x1.c8771de16fad3p-6, 0x1.be86c8d933a7cp-6, 0x1.b4c5049f230c5p-6, 0x1.ab31328c458aep-6, 0x1.a1cab4b42ddfp-6, 0x1.9890edede10dep-6, 0x1.8f8341dc3034p-6, 0x1.86a114f5f62cap-6, 0x1.7de9cc8dfd43bp-6, 0x1.755cceda7d76p-6, 0x1.6cf982fc6a241p-6, 0x1.64bf51066a9f2p-6, 0x1.5cada2039c875p-6, 0x1.54c3dffdf675fp-6, 0x1.4d01760462e17p-6, 0x1.4565d030b8861p-6, 0x1.3df05bad45082p-6, 0x1.36a086ba3737cp-6, 0x1.2f75c0b2add9bp-6, 0x1.286f7a119acf6p-6, 0x1.218d24766094bp-6, 0x1.1ace32a925265p-6, 0x1.1432189f026d8p-6, 0x1.0db84b7de88f3p-6, 0x1.076041a04687bp-6, 0x1.012972988e2fp-6, 0x1.f626ae68ca67fp-7, 0x1.ea3ad2ff6cd98p-7, 0x1.de8e498eff33cp-7, 0x1.d3200b38f0ea6p-7, 0x1.c7ef13aaec65cp-7, 0x1.bcfa61236cc35p-7, 0x1.b240f475ba2ep-7, 0x1.a7c1d10db38d3p-7, 0x1.9d7bfcf32903cp-7, 0x1.936e80ccebd91p-7, 0x1.899867e36991p-7, 0x1.7ff8c02315c29p-7, 0x1.768e9a1e7001fp-7, 0x1.6d59090fa5ddep-7, 0x1.645722da174f4p-7, 0x1.5b88000b55751p-7, 0x1.52eabbdc18df1p-7, 0x1.4a7e743091c6p-7, 0x1.42424998e9f22p-7, 0x1.3a355f510d6c3p-7, 0x1.3256db408801ep-7, 0x1.2aa5e5f9f6012p-7, 0x1.2321aaba3b868p-7, 0x1.1bc9576795a8ap-7, 0x1.149c1c9045525p-7, 0x1.0d992d693163p-7, 0x1.06bfbfcc4715bp-7, 0x1.000f0c3680c16p-7, 0x1.f30c9b8bb64d3p-8, 0x1.e649846e58ab6p-8, 0x1.d9d353c6fd793p-8, 0x1.cda88f7b41ae3p-8, 0x1.c1c7c29e7be54p-8, 0x1.b62f7d6bbca2ap-8, 0x1.aade553fb85ccp-8, 0x1.9fd2e491f9283p-8, 0x1.950bcaee28dfcp-8, 0x1.8a87acece5a53p-8, 0x1.8045342c1847cp-8, 0x1.76430f47869fp-8, 0x1.6c7ff1d0b7aa1p-8, 0x1.62fa9446b558p-8, 0x1.59b1b40da9284p-8, 0x1.50a4136641ap-8, 0x1.47d07964adeap-8, 0x1.3f35b1e7a1578p-8, 0x1.36d28d8f1d765p-8, 0x1.2ea5e1b2d5f8ep-8, 0x1.26ae8858bdb7ap-8, 0x1.1eeb602b16b88p-8, 0x1.175b4c6e91b15p-8, 0x1.0ffd34f84279ep-8, 0x1.08d006235b59cp-8, 0x1.01d2b0c6a829ap-8, 0x1.f608545518ae1p-9, 0x1.e8c6d7fb9de25p-9, 0x1.dbdee896cc058p-9, 0x1.cf4e8adef1542p-9, 0x1.c313cc18be716p-9, 0x1.b72cc1ffdfc67p-9, 0x1.ab978ab072252p-9, 0x1.a0524c913402p-9, 0x1.955b363cc40c2p-9, 0x1.8ab07e6b3f78dp-9, 0x1.805063dc08d78p-9, 0x1.76392d3ed3ff6p-9, 0x1.6c69291cb70e2p-9, 0x1.62deadc1fc7e1p-9, 0x1.59981926bbac7p-9, 0x1.5093d0d84c5bfp-9, 0x1.47d041e20c443p-9, 0x1.3f4be0b6f45b7p-9, 0x1.37052919e43dp-9, 0x1.2efa9e0766bc7p-9, 0x1.272ac99e5bdf5p-9, 0x1.1f943d092180dp-9, 0x1.18359066b022ap-9, 0x1.110d62b3c421p-9, 0x1.0a1a59b3f9634p-9, 0x1.035b21daf09ebp-9, 0x1.f99cdc6bcca2p-10, 0x1.ece5f0a967f6cp-10, 0x1.e08f00673c904p-10, 0x1.d49598487560fp-10, 0x1.c8f7516f31a93p-10, 0x1.bdb1d14fc06e4p-10, 0x1.b2c2c983366f8p-10, 0x1.a827f79c45b1cp-10, 0x1.9ddf24fac104dp-10, 0x1.93e6269ffe773p-10, 0x1.8a3add02fabc3p-10, 0x1.80db33e57c26ep-10, 0x1.77c52228799e5p-10, 0x1.6ef6a9a22fa9ep-10, 0x1.666dd6f29a894p-10, 0x1.5e28c159ff38dp-10, 0x1.56258a8f476c3p-10, 0x1.4e625e950aa3ap-10, 0x1.46dd73920c36cp-10, 0x1.3f9509a6f1cd5p-10, 0x1.38876ac617673p-10, 0x1.31b2ea8b6a251p-10, 0x1.2b15e613cdfa2p-10, 0x1.24aec3d643787p-10, 0x1.1e7bf37c3451cp-10, 0x1.187bedba5c57bp-10, 0x1.12ad342a8e09p-10, 0x1.0d0e512551f78p-10, 0x1.079dd79bbe795p-10, 0x1.025a62f23989fp-10, 0x1.fa852db744f49p-11, 0x1.f0aa3e68622fbp-11, 0x1.e7215fba295cep-11, 0x1.dde809314567bp-11, 0x1.d4fbc1ccd021cp-11, 0x1.cc5a1fc14f171p-11, 0x1.c400c830546bcp-11, 0x1.bbed6ee71b34bp-11, 0x1.b41dd6172776p-11, 0x1.ac8fce14e40f6p-11, 0x1.a5413514b82abp-11, 0x1.9e2ff6e8831fdp-11, 0x1.975a0cbf3a2e8p-11, 0x1.90bd7ce475c83p-11, 0x1.8a585a812b03ep-11, 0x1.8428c55cc48bdp-11, 0x1.7e2ce99f8655cp-11, 0x1.7862ff956d6ddp-11, 0x1.72c94b7252a9ap-11, 0x1.6d5e1d14ffd1cp-11, 0x1.681fcfce2a906p-11, 0x1.630cca255b466p-11, 0x1.5e237da088fbp-11, 0x1.5962668aaf699p-11, 0x1.54c80bbd77d6p-11, 0x1.5052fe69bcec1p-11, 0x1.4c01d9e136818p-11, 0x1.47d34361c5b3fp-11, 0x1.43c5e9e0975dfp-11, 0x1.3fd885d638d79p-11, 0x1.3c09d90bbfe23p-11, 0x1.3858ae68864c3p-11, 0x1.34c3d9c03da08p-11, 0x1.314a37a354a29p-11, 0x1.2deaad2d4876ep-11, 0x1.2aa427d6ec3b9p-11, 0x1.27759d462f50ap-11, 0x1.245e0b21e8b29p-11, 0x1.215c76e3046c7p-11, 0x1.1e6feda9a5721p-11, 0x1.1b9784103ffd7p-11, 0x1.18d256012aa62p-11, 0x1.161f868c387abp-11, 0x1.137e3fbd25df8p-11, 0x1.10edb2722c9abp-11, 0x1.0e6d16346a3a6p-11, 0x1.0bfba90f93757p-11, 0x1.0998af6b7e2d2p-11, 0x1.074373e598109p-11, 0x1.04fb472b73ccep-11, 0x1.02bf7fd58b283p-11, 0x1.008f7a43c50bdp-11, 0x1.fcd530f07bdaap-12, 0x1.f8a083eb4a4cap-12, 0x1.f47fc7379ab5p-12, 0x1.f071df0cb13f6p-12, 0x1.ec75b9d6b7476p-12, 0x1.e88a4ff550b63p-12, 0x1.e4aea37b55352p-12, 0x1.e0e1bff0e05bp-12, 0x1.dd22ba147d10ep-12, 0x1.d970af9f74681p-12, 0x1.d5cac7097968cp-12, 0x1.d2302f4efc044p-12, 0x1.cea01fb76fdf9p-12, 0x1.cb19d79d92b8ep-12, 0x1.c79c9e380dc66p-12, 0x1.c427c26392bccp-12, 0x1.c0ba9a6e2eadep-12, 0x1.bd5483e36805p-12, 0x1.b9f4e358cb4c7p-12, 0x1.b69b243c9c09ep-12, 0x1.b346b8a4ad3c8p-12, 0x1.aff7191ed9162p-12, 0x1.acabc48184ddcp-12, 0x1.a9643fbdff7f9p-12, 0x1.a62015b3a9e02p-12, 0x1.a2ded70403f7fp-12, 0x1.9fa019e6d7a8p-12, 0x1.9c637a00e95fbp-12, 0x1.99289839e1403p-12, 0x1.95ef1a93dc094p-12, 0x1.92b6ac0451667p-12, 0x1.8f7efc4c9232fp-12, 0x1.8c47bfd4af48ap-12, 0x1.8910af85ae6b2p-12, 0x1.85d988a5a67c7p-12, 0x1.82a20cb43ab87p-12, 0x1.7f6a0147dd72bp-12, 0x1.7c312febd6bcbp-12, 0x1.78f765ff407dep-12, 0x1.75bc7494a186p-12, 0x1.7280305232dcp-12, 0x1.6f4271528653cp-12, 0x1.6c031307217d8p-12, 0x1.68c1f41a4dec2p-12, 0x1.657ef65295c59p-12, 0x1.6239fe76c6891p-12, 0x1.5ef2f4328f34bp-12, 0x1.5ba9c1fa92ce4p-12, 0x1.585e54f401725p-12, 0x1.55109cd98870cp-12, 0x1.51c08be301dfep-12, 0x1.4e6e16ad936d2p-12, 0x1.4b1934233acf1p-12, 0x1.47c1dd643d013p-12, 0x1.44680db04d70dp-12, 0x1.410bc250e2e78p-12, 0x1.3dacfa837d991p-12, 0x1.3a4bb7656dcd2p-12, 0x1.36e7fbde97935p-12, 0x1.3381cc8eb0935p-12, 0x1.30192fb92b30dp-12, 0x1.2cae2d32c32b8p-12, 0x1.2940ce4f4eb36p-12, 0x1.25d11dcfed9d3p-12, 0x1.225f27d1cda86p-12, 0x1.1eeaf9bd92b3bp-12, 0x1.1b74a2367e179p-12, 0x1.17fc310af7154p-12, 0x1.1481b724f0992p-12, 0x1.1105467ad3644p-12, 0x1.0d86f200f8c6fp-12, 0x1.0a06cd9be5a94p-12, 0x1.0684ee11c86c8p-12, 0x1.030168fd76821p-12, 0x1.fef8a983c901cp-13, 0x1.f7eb90f9784e9p-13, 0x1.f0dbb7f5c1b5fp-13, 0x1.e9c94f58f6ed9p-13, 0x1.e2b489320248bp-13, 0x1.db9d98a9e385ep-13, 0x1.d484b1ec33808p-13, 0x1.cd6a0a13d7be3p-13, 0x1.c64dd7159171ap-13, 0x1.bf304fada09fap-13, 0x1.b811ab4c14977p-13, 0x1.b0f22202aa8a6p-13, 0x1.a9d1ec73333e2p-13, 0x1.a2b143be6ebe3p-13, 0x1.9b9061739249bp-13, 0x1.946f7f7fd2c1ep-13, 0x1.8d4ed81fb5f5fp-13, 0x1.862ea5d01bdffp-13, 0x1.7f0f233f69355p-13, 0x1.77f08b40083dbp-13, 0x1.70d318bb13febp-13, 0x1.69b706a319065p-13, 0x1.629c8fe879f13p-13, 0x1.5b83ef6cd509bp-13, 0x1.546d5ff882bb2p-13, 0x1.4d591c2eb03c2p-13, 0x1.46475e82da67dp-13, 0x1.3f38612fac5f9p-13, 0x1.382c5e2ba79edp-13, 0x1.31238f2168334p-13, 0x1.2a1e2d65b6e7bp-13, 0x1.231c71ef8e6ecp-13, 0x1.1c1e954fbac6p-13, 0x1.1524cfa91ba01p-13, 0x1.0e2f58a8c7492p-13, 0x1.073e677fc2ddap-13, 0x1.005232db89296p-13, 0x1.f2d5e1bfc4c9cp-14, 0x1.e511ae413c739p-14, 0x1.d75835390ada2p-14, 0x1.c9a9df6ccfb31p-14, 0x1.bc0714623fd8p-14, 0x1.ae703a5452a92p-14, 0x1.a0e5b62996df7p-14, 0x1.9367eb6be8a26p-14, 0x1.85f73c4162255p-14, 0x1.7894096161c4bp-14, 0x1.6b3eb2112fa37p-14, 0x1.5df7941a41ea2p-14, 0x1.50bf0bc553bcp-14, 0x1.439573d3cbd2bp-14, 0x1.367b257b2ec84p-14, 0x1.2970785f3a906p-14, 0x1.1c75c28e70b41p-14, 0x1.0f8b587c8dd87p-14, 0x1.02b18cfff8f0dp-14, 0x1.ebd1629a12cc1p-15, 0x1.d26229e7d325bp-15, 0x1.b9160bbc10f77p-15, 0x1.9feda096427acp-15, 0x1.86e97d9dea5ebp-15, 0x1.6e0a34a25cb1ap-15, 0x1.555054138aecfp-15, 0x1.3cbc67028d3a4p-15, 0x1.244ef51e67f32p-15, 0x1.0c0882b61fc65p-15, 0x1.e7d32163ce157p-16, 0x1.b7e53934282f2p-16, 0x1.8848412834936p-16, 0x1.58fd26c504e53p-16, 0x1.2a04d0d05f96dp-16, 0x1.f6c03ea7f7b5dp-17, 0x1.9a1fd73e55908p-17, 0x1.3e2a109e0fbb7p-17, 0x1.c5c1054fef4cfp-18, 0x1.10896fda3eabp-18, 0x1.72c16e32f4166p-20, -0x1.571d5d125ec06p-20, -0x1.06dae27b55f2p-18, -0x1.b6879a0db0b4ap-18, -0x1.326575e77985bp-17, -0x1.88d12faa688c8p-17, -0x1.de85cadfebcd4p-17, -0x1.19c11264295d2p-16, -0x1.43e2939d2c605p-16, -0x1.6da6e441e0a38p-16, -0x1.970d85ae21f06p-16, -0x1.c015ff5ee401cp-16, -0x1.e8bfdee6d2a9fp-16, -0x1.08855beef0786p-15, -0x1.1c7b11ea73456p-15, -0x1.3040e12144175p-15, -0x1.43d69c3b53773p-15, -0x1.573c18c579bafp-15, -0x1.6a712f27ca66ep-15, -0x1.7d75ba9dcf637p-15, -0x1.9049992f9ee5p-15, -0x1.a2ecaba790466p-15, -0x1.b55ed58a52db5p-15, -0x1.c79ffd0cfbc86p-15, -0x1.d9b00b0e69051p-15, -0x1.eb8eeb0ca410ep-15, -0x1.fd3c8b1cdd63fp-15, -0x1.075c6df0b02b3p-14, -0x1.1001e84054881p-14, -0x1.188eaf4e9e55p-14, -0x1.2102bf2527bacp-14, -0x1.295e1502a8884p-14, -0x1.31a0af54c888fp-14, -0x1.39ca8db45375cp-14, -0x1.41dbb0e04c7dep-14, -0x1.49d41ab97c4e4p-14, -0x1.51b3ce3d32a2dp-14, -0x1.597acf80a1254p-14, -0x1.612923acb6607p-14, -0x1.68bed0f8a636bp-14, -0x1.703bdea53179fp-14, -0x1.77a054f85c7b9p-14, -0x1.7eec3d38b5ec6p-14, -0x1.861fa1a803e43p-14, -0x1.8d3a8d7efa43dp-14, -0x1.943d0ce8b910ep-14, -0x1.9b272cfdec9a2p-14, -0x1.a1f8fbbfe8bedp-14, -0x1.a8b28813b4b83p-14, -0x1.af53e1be61fd3p-14, -0x1.b5dd195f87929p-14, -0x1.bc4e406d25197p-14, -0x1.c2a7692f1a246p-14, -0x1.c8e8a6ba1c62ep-14, -0x1.cf120ceb8b605p-14, -0x1.d523b064bb5a2p-14, -0x1.db1da686ed061p-14, -0x1.e100056e49253p-14, -0x1.e6cae3edb7dd4p-14, -0x1.ec7e598a8039ap-14, -0x1.f21a7e7848f39p-14, -0x1.f79f6b9429a33p-14, -0x1.fd0d3a60f3966p-14, -0x1.0132028116b1cp-13, -0x1.03d1f31c3efd5p-13, -0x1.06667caec766fp-13, -0x1.08efad2fd943bp-13, -0x1.0b6d92decdfabp-13, -0x1.0de03c415b8bdp-13, -0x1.1047b8215a683p-13, -0x1.12a4158b134bfp-13, -0x1.14f563caf3f9fp-13, -0x1.173bb26bdee2bp-13, -0x1.197711352e3cbp-13, -0x1.1ba79028a431cp-13, -0x1.1dcd3f80c9d69p-13, -0x1.1fe82faee2f29p-13, -0x1.21f8715937599p-13, -0x1.23fe15590fb53p-13, -0x1.25f92cb921ffap-13, -0x1.27e9c8b3bd233p-13, -0x1.29cffab103046p-13, -0x1.2babd4451fd72p-13, -0x1.2d7d672e9c7a8p-13, -0x1.2f44c554d140fp-13, -0x1.310200c5ff8c9p-13, -0x1.32b52bb5e16a5p-13, -0x1.345e587bf3d2p-13, -0x1.35fd9992222d5p-13, -0x1.37930192db738p-13, -0x1.391ea337888c2p-13, -0x1.3aa091574c8d6p-13, -0x1.3c18dee542602p-13, -0x1.3d879eef09a6fp-13, -0x1.3eece49babeb1p-13, -0x1.4048c329caefdp-13, -0x1.419b4dee35b5ap-13, -0x1.42e49852bc88ep-13, -0x1.4424b5d4cd39cp-13, -0x1.455bba0402b6bp-13, -0x1.4689b880c3f7cp-13, -0x1.47aec4fb0ff28p-13, -0x1.48caf3315543ep-13, -0x1.49de56ef231fp-13, -0x1.4ae9040bca05p-13, -0x1.4beb0e693b8a4p-13, -0x1.4ce489f2cc61fp-13, -0x1.4dd58a9c2b8e8p-13, -0x1.4ebe24602386ap-13, -0x1.4f9e6b3f7caep-13, -0x1.5076733ffe6e2p-13, -0x1.5146506b2af3dp-13, -0x1.520e16cd48631p-13, -0x1.52cdda746e8c2p-13, -0x1.5385af6f55931p-13, -0x1.5435a9cc5f24p-13, -0x1.54dddd98d04a6p-13, -0x1.557e5edfaa014p-13, -0x1.561741a8b180ep-13, -0x1.56a899f799df5p-13, -0x1.57327bcb4e1eap-13, -0x1.57b4fb1caa36cp-13, -0x1.58302bddc26f9p-13, -0x1.58a421f93924cp-13, -0x1.5910f15151e1cp-13, -0x1.5976adbf1cd01p-13, -0x1.59d56b11addb3p-13, -0x1.5a2d3d0d66bep-13, -0x1.5a7e376b13218p-13, -0x1.5ac86dd753fe3p-13, -0x1.5b0bf3f1cb0ap-13, -0x1.5b48dd4c9002ap-13, -0x1.5b7f3d6b5b34cp-13, -0x1.5baf27c2fbadp-13, -0x1.5bd8afb87d3e2p-13, -0x1.5bfbe8a0e4f37p-13, -0x1.5c18e5c051affp-13, -0x1.5c2fba4945558p-13, -0x1.5c40795c3b62cp-13, -0x1.5c4b3607248afp-13, -0x1.5c500344d6989p-13, -0x1.5c4ef3fc687f2p-13, -0x1.5c481b00ba8f5p-13, -0x1.5c3b8b10032cp-13, -0x1.5c2956d33ce01p-13, -0x1.5c1190ddb6adap-13, -0x1.5bf44baca2905p-13, -0x1.5bd199a69db1dp-13, -0x1.5ba98d1b389e3p-13, -0x1.5b7c38429348ap-13, -0x1.5b49ad3d261a4p-13, -0x1.5b11fe131fd0cp-13, -0x1.5ad53cb3ea183p-13, -0x1.5a937af61c089p-13, -0x1.5a4cca9717f7ep-13, -0x1.5a013d3a59227p-13, -0x1.59b0e4696e437p-13, -0x1.595bd193d0263p-13, -0x1.5902160e2565dp-13, -0x1.58a3c3124d3c3p-13, -0x1.5840e9befd549p-13, -0x1.57d99b175eb71p-13, -0x1.576de8030a2e6p-13, -0x1.56fde14d8dc84p-13, -0x1.568997a65483fp-13, -0x1.56111ba06bc5fp-13, -0x1.55947db2427e1p-13, -0x1.5513ce3587d3dp-13, -0x1.548f1d66e87f2p-13, -0x1.54067b65a7333p-13, -0x1.5379f833de5f1p-13, -0x1.52e9a3b627e88p-13, -0x1.52558db33be4cp-13, -0x1.51bdc5d42a3ep-13, -0x1.51225ba429293p-13, -0x1.50835e901625cp-13, -0x1.4fe0dde6a4d3cp-13, -0x1.4f3ae8d86f2acp-13, -0x1.4e918e77638ecp-13, -0x1.4de4ddb711605p-13, -0x1.4d34e56c68221p-13, -0x1.4c81b44d98d91p-13, -0x1.4bcb58f222a8fp-13, -0x1.4b11e1d2c1b6bp-13, -0x1.4a555d4960bf9p-13, -0x1.4995d990eec36p-13, -0x1.48d364c56ba0cp-13, -0x1.480e0ce3dff9fp-13, -0x1.4745dfca3be11p-13, -0x1.467aeb3775783p-13, -0x1.45ad3ccb9da87p-13, -0x1.44dce20794795p-13, -0x1.4409e84d3f1b7p-13, -0x1.43345cdf64c7ep-13, -0x1.425c4ce1caac4p-13, -0x1.4181c559528aap-13, -0x1.40a4d32bccc9bp-13, -0x1.3fc5831fffa97p-13, -0x1.3ee3e1dde903dp-13, -0x1.3dfffbee94ddcp-13, -0x1.3d19ddbc369fcp-13, -0x1.3c3193925451cp-13, -0x1.3b47299d909p-13, -0x1.3a5aabebf9cecp-13, -0x1.396c266cff8bp-13, -0x1.387ba4f191d11p-13, -0x1.3789332c0f38cp-13, -0x1.3694dcb0830bfp-13, -0x1.359eacf4ad618p-13, -0x1.34a6af501187p-13, -0x1.33aceefc213c7p-13, -0x1.32b177143bcdep-13, -0x1.31b45295c6651p-13, -0x1.30b58c6051de1p-13, -0x1.2fb52f35c4362p-13, -0x1.2eb345ba67dbbp-13, -0x1.2dafda74f3c97p-13, -0x1.2caaf7ceb0746p-13, -0x1.2ba4a813bfdaap-13, -0x1.2a9cf573139b1p-13, -0x1.2993e9fe9bcb5p-13, -0x1.28898fab48c57p-13, -0x1.277df05156d0ap-13, -0x1.267115ac658cap-13, -0x1.2563095b8ca9p-13, -0x1.2453d4e176045p-13, -0x1.234381a49f6c7p-13, -0x1.223218ef84f45p-13, -0x1.211fa3f0a2c11p-13, -0x1.200c2bbaab14ep-13, -0x1.1ef7b944a97p-13, -0x1.1de2556a28653p-13, -0x1.1ccc08eb6df2ep-13, -0x1.1bb4dc6d8738bp-13, -0x1.1a9cd87a83ea4p-13, -0x1.198405817d837p-13, -0x1.186a6bd6edc1p-13, -0x1.175013b4d55b2p-13, -0x1.1635053ab5b7ep-13, -0x1.1519486dee97ap-13, -0x1.13fce539c1af5p-13, -0x1.12dfe36f9c84dp-13, -0x1.11c24ac737f4fp-13, -0x1.10a422dea86a1p-13, -0x1.0f85733ab7eecp-13, -0x1.0e66434716d12p-13, -0x1.0d469a564d396p-13, -0x1.0c267fa20339p-13, -0x1.0b05fa4b5e77p-13, -0x1.09e5115ae477p-13, -0x1.08c3cbc0b7d8cp-13, -0x1.07a23054f1841p-13, -0x1.068045d7be622p-13, -0x1.055e12f16ce03p-13, -0x1.043b9e32a3e15p-13, -0x1.0318ee14a8195p-13, -0x1.01f608f98e7d4p-13, -0x1.00d2f52c4aad5p-13, -0x1.ff5f71c1df9c9p-14, -0x1.fd18b469b2248p-14, -0x1.fad1be5daf508p-14, -0x1.f88a9b7ed35bep-14, -0x1.f6435781c56fbp-14, -0x1.f3fbfdef25192p-14, -0x1.f1b49a24219b8p-14, -0x1.ef6d37529c2abp-14, -0x1.ed25e081772e5p-14, -0x1.eadea08d3a303p-14, -0x1.e897822850e93p-14, -0x1.e6508fdb46b3ep-14, -0x1.e409d40527d3bp-14, -0x1.e1c358dc3933cp-14, -0x1.df7d286dc25c5p-14, -0x1.dd374c9eeb062p-14, -0x1.daf1cf2d015c4p-14, -0x1.d8acb9ad81308p-14, -0x1.d668158ea24c1p-14, -0x1.d423ec17ddbdap-14, -0x1.d1e0466a47ec1p-14, -0x1.cf9d2d8099983p-14, -0x1.cd5aaa2fb191p-14, -0x1.cb18c5274aa58p-14, -0x1.c8d786f1cb014p-14, -0x1.c696f7f4e81adp-14, -0x1.c457207207fabp-14, -0x1.c218088673ac3p-14, -0x1.bfd9b82c07c7cp-14, -0x1.bd9c37391239p-14, -0x1.bb5f8d60e990cp-14, -0x1.b923c2348b8bep-14, -0x1.b6e8dd224f9cfp-14, -0x1.b4aee576dbeb6p-14, -0x1.b275e25d662d6p-14, -0x1.b03ddadf9fd71p-14, -0x1.ae06d5e65a08fp-14, -0x1.abd0da3a24167p-14, -0x1.a99bee8313ae3p-14, -0x1.a76819497acb8p-14, -0x1.a53560f6352cep-14, -0x1.a303cbd299327p-14, -0x1.a0d3600960f88p-14, -0x1.9ea423a6e3455p-14, -0x1.9c761c98fd5fep-14, -0x1.9a4950afa07a5p-14, -0x1.981dc59d61cfp-14, -0x1.95f380f79f045p-14, -0x1.93ca883691731p-14, -0x1.91a2e0b617bb6p-14, -0x1.8f7c8fb5b9e93p-14, -0x1.8d579a59046d7p-14, -0x1.8b3405a7e2308p-14, -0x1.8911d68ee1348p-14, -0x1.86f111dfc3f5dp-14, -0x1.84d1bc514d896p-14, -0x1.82b3da8005cap-14, -0x1.809770ee64f07p-14, -0x1.7e7c8404e2e38p-14, -0x1.7c631812d66aep-14, -0x1.7a4b314e3b89ap-14, -0x1.7834d3d3fa783p-14, -0x1.762003a8a94c4p-14, -0x1.740cc4b87c7a5p-14, -0x1.71fb1ad79f498p-14, -0x1.6feb09c29f5eep-14, -0x1.6ddc951e655b2p-14, -0x1.6bcfc078e8a2cp-14, -0x1.69c48f495d7c5p-14, -0x1.67bb04f01a951p-14, -0x1.65b324b73616dp-14, -0x1.63acf1d3108c4p-14, -0x1.61a86f61f8d32p-14, -0x1.5fa5a06ce23c3p-14, -0x1.5da487e78f996p-14, -0x1.5ba528b0d69d8p-14, -0x1.59a78592e2837p-14, -0x1.57aba14367936p-14, -0x1.55b17e6423384p-14, -0x1.53b91f82ade17p-14, -0x1.51c2871935762p-14, -0x1.4fcdb78e982c6p-14, -0x1.4ddab3365aa0ep-14, -0x1.4be97c516f705p-14, -0x1.49fa150dfbc4fp-14, -0x1.480c7f87c596p-14, -0x1.4620bdc8bbd82p-14, -0x1.4436d1c89b843p-14, -0x1.424ebd6da4d11p-14, -0x1.4068828cc24afp-14, -0x1.3e8422e9a887bp-14, -0x1.3ca1a03739f3ep-14, -0x1.3ac0fc1776ca3p-14, -0x1.38e2381c17d1fp-14, -0x1.370555c6bc7ccp-14, -0x1.352a5688b5c27p-14, -0x1.33513bc3acc2ep-14, -0x1.317a06ca0211bp-14, -0x1.2fa4b8de74006p-14, -0x1.2dd15334be95ep-14, -0x1.2bffd6f1ca651p-14, -0x1.2a30452bd11e4p-14, -0x1.28629eea7a06p-14, -0x1.2696e52750d9fp-14, -0x1.24cd18cdc431dp-14, -0x1.23053abb6aac8p-14, -0x1.213f4bc06a28dp-14, -0x1.1f7b4c9f2825bp-14, -0x1.1db93e0d1862bp-14, -0x1.1bf920b29ef84p-14, -0x1.1a3af52b14202p-14, -0x1.187ebc057b6a6p-14, -0x1.16c475c4310ddp-14, -0x1.150c22dd5befap-14, -0x1.1355c3bb38c27p-14, -0x1.11a158bbf45fcp-14, -0x1.0feee23227e6ap-14, -0x1.0e3e6064e104ap-14, -0x1.0c8fd38fea8f7p-14, -0x1.0ae33be3d66dp-14, -0x1.09389986387bcp-14, -0x1.078fec9214a4p-14, -0x1.05e935178eae2p-14, -0x1.0444731c6c24ap-14, -0x1.02a1a69c4fc6bp-14, -0x1.0100cf889552ep-14, -0x1.fec3db914cbfcp-15, -0x1.fb8a0274af5abp-15, -0x1.f85413638136fp-15, -0x1.f5220df2f63cdp-15, -0x1.f1f3f1a5fa30bp-15, -0x1.eec9bdecf2022p-15, -0x1.eba37226922b4p-15, -0x1.e8810d9f9f473p-15, -0x1.e5628f93a122bp-15, -0x1.e247f72d60794p-15, -0x1.df3143866d8acp-15, -0x1.dc1e73a83e88ep-15, -0x1.d90f868c321d4p-15, -0x1.d6047b1b7e1d9p-15, -0x1.d2fd503019bc2p-15, -0x1.cffa04947b98ap-15, -0x1.ccfa9704207fep-15, -0x1.c9ff062bdea5ap-15, -0x1.c70750aa15337p-15, -0x1.c413750ec524cp-15, -0x1.c12371dc375ecp-15, -0x1.be37458710dd7p-15, -0x1.bb4eee763584bp-15, -0x1.b86a6b03cdb1dp-15, -0x1.b589b97ceeaeep-15, -0x1.b2acd821edeccp-15, -0x1.afd3c526fb933p-15, -0x1.acfe7eb3fd08dp-15, -0x1.aa2d02e4d449p-15, -0x1.a75f4fca12981p-15, -0x1.a49563686b47cp-15, -0x1.a1cf3bb9a577bp-15, -0x1.9f0cd6ac6b15fp-15, -0x1.9c4e3224b0a22p-15, -0x1.99934bfbfb12ep-15, -0x1.96dc22015a121p-15, -0x1.9428b1f9f9e76p-15, -0x1.9178f9a10eef2p-15, -0x1.8eccf6a808c34p-15, -0x1.8c24a6b73bedbp-15, -0x1.8980076d63ce5p-15, -0x1.86df166069d84p-15, -0x1.8441d11d647d4p-15, -0x1.81a83528a4de8p-15, -0x1.7f123ffe434fcp-15, -0x1.7c7fef12005b5p-15, -0x1.79f13fcf7b295p-15, -0x1.77662f9a91b21p-15, -0x1.74debbcf8c564p-15, -0x1.725ae1c3072c7p-15, -0x1.6fda9ec297bc8p-15, -0x1.6d5df0146ccdp-15, -0x1.6ae4d2f801cfep-15, -0x1.686f44a607d36p-15, -0x1.65fd42506a8d5p-15, -0x1.638ec922c7f8ap-15, -0x1.6123d64283cap-15, -0x1.5ebc66ced12a6p-15, -0x1.5c5877e1231f9p-15, -0x1.59f8068d0208ep-15, -0x1.579b0fe07138fp-15, -0x1.554190e40604bp-15, -0x1.52eb869af96afp-15, -0x1.5098ee038111dp-15, -0x1.4e49c4169d328p-15, -0x1.4bfe05c8d281ep-15, -0x1.49b5b00983601p-15, -0x1.4770bfc3f22c5p-15, -0x1.452f31dec049p-15, -0x1.42f1033c4604ep-15, -0x1.40b630bae06dap-15, -0x1.3e7eb734ba2fcp-15, -0x1.3c4a938050e58p-15, -0x1.3a19c27053f1p-15, -0x1.37ec40d3e94d1p-15, -0x1.35c20b76ab63dp-15, -0x1.339b1f2104ee3p-15, -0x1.31777897fe27p-15, -0x1.2f57149dbb9d4p-15, -0x1.2d39eff124da4p-15, -0x1.2b20074e828bfp-15, -0x1.2909576f39b4ap-15, -0x1.26f5dd0a1b4a5p-15, }}, 
      {{0x1.fd3185ed21564p-1, 0x1.fcf1ac241f5f5p-1, 0x1.fc8a6d6cce78cp-1, 0x1.fbff6fefbed73p-1, 0x1.fb54a60d84f3ap-1, 0x1.fa8df44529b96p-1, 0x1.f9aefabf032a2p-1, 0x1.f8baf73181c2p-1, 0x1.f7b4b73058464p-1, 0x1.f69e9554e306dp-1, 0x1.f57a7d5b26b0fp-1, 0x1.f449f47d6fccep-1, 0x1.f30e242e9221p-1, 0x1.f1c7e5ea0ffc3p-1, 0x1.f077cf3c70361p-1, 0x1.ef1e3d71b0492p-1, 0x1.edbb608d32054p-1, 0x1.ec4f455422be5p-1, 0x1.ead9de4dbd7ccp-1, 0x1.e95b0baf284e2p-1, 0x1.e7d2a235325adp-1, 0x1.e64070f6b4976p-1, 0x1.e4a4463fb978ap-1, 0x1.e2fdf388e26edp-1, 0x1.e14d50a034027p-1, 0x1.df923e19157ap-1, 0x1.ddcca7191fe49p-1, 0x1.dbfc8296a21aap-1, 0x1.da21d41ca20dcp-1, 0x1.d83cac26d26dep-1, 0x1.d64d282672d3p-1, 0x1.d453723f89a26p-1, 0x1.d24fc0cc5637bp-1, 0x1.d04255b34f5dfp-1, 0x1.ce2b7d9a90084p-1, 0x1.cc0b8f0228135p-1, 0x1.c9e2e94d80839p-1, 0x1.c7b1f3c2c98ddp-1, 0x1.c5791c8654bf6p-1, 0x1.c338d796bb006p-1, 0x1.c0f19dcdcf9dcp-1, 0x1.bea3ebe98ffb4p-1, 0x1.bc50419f966eap-1, 0x1.b9f720bcf132dp-1, 0x1.b7990c53bf7ccp-1, 0x1.b53687f78231dp-1, 0x1.b2d01708a629fp-1, 0x1.b0663c0f8326p-1, 0x1.adf97826c605ap-1, 0x1.ab8a4a74ff6cap-1, 0x1.a9192fb4ebc11p-1, 0x1.a6a6a1cbe440fp-1, 0x1.a433176dcd373p-1, 0x1.a1bf03cdc46c7p-1, 0x1.9f4ad65ac9782p-1, 0x1.9cd6fa878b4d4p-1, 0x1.9a63d79c8afbfp-1, 0x1.97f1d093bec97p-1, 0x1.958143fce792fp-1, 0x1.93128be9ce64p-1, 0x1.90a5fde1a8f4bp-1, 0x1.8e3beadaec90bp-1, 0x1.8bd49f3addf0bp-1, 0x1.897062da3cd68p-1, 0x1.870f790e710c1p-1, 0x1.84b220b6a6fa3p-1, 0x1.8258944c5c848p-1, 0x1.800309f6e2cc3p-1, 0x1.7db1b3a166e7p-1, 0x1.7b64bf131c9acp-1, 0x1.791c56093164ep-1, 0x1.76d89e5234ae4p-1, 0x1.7499b9eaad7c1p-1, 0x1.725fc71a9a1a4p-1, 0x1.702ae093a2553p-1, 0x1.6dfb1d8fc5f28p-1, 0x1.6bd091f05e111p-1, 0x1.69ab4e5d47373p-1, 0x1.678b6064134bdp-1, 0x1.6570d29725ca5p-1, 0x1.635bacaca1901p-1, 0x1.614bf39d119d8p-1, 0x1.5f41a9c1bba37p-1, 0x1.5d3ccef28da0fp-1, 0x1.5b3d60a3980e5p-1, 0x1.59435a020ce35p-1, 0x1.574eb410ba3aep-1, 0x1.555f65c3f91c5p-1, 0x1.5375641d0c72bp-1, 0x1.5190a244ed1fap-1, 0x1.4fb111a67f33bp-1, 0x1.4dd6a2082e193p-1, 0x1.4c0141a4f1e4fp-1, 0x1.4a30dd44b9669p-1, 0x1.486560543a4a6p-1, 0x1.469eb4fc2bb2cp-1, 0x1.44dcc437e4775p-1, 0x1.431f75eb66b82p-1, 0x1.4166b0f8d29b2p-1, 0x1.3fb25b5546cddp-1, 0x1.3e025a1d2d78dp-1, 0x1.3c5691a7f8b9ep-1, 0x1.3aaee59b4e33p-1, 0x1.390b38fda6157p-1, 0x1.376b6e485c8edp-1, 0x1.35cf677938acp-1, 0x1.34370623695b5p-1, 0x1.32a22b7ffa5p-1, 0x1.3110b87dc2c1fp-1, 0x1.2f828dd0ce799p-1, 0x1.2df78c014242ap-1, 0x1.2c6f9379be67cp-1, 0x1.2aea84953f003p-1, 0x1.29683fac7d92dp-1, 0x1.27e8a522d1a4ep-1, 0x1.266b95729498bp-1, 0x1.24f0f139094dfp-1, 0x1.23789941c783cp-1, 0x1.22026e91aef07p-1, 0x1.208e52715f6d6p-1, 0x1.1f1c26773b0bcp-1, 0x1.1dabcc90f1dadp-1, 0x1.1c3d270c98e9cp-1, 0x1.1ad018a14d658p-1, 0x1.1964847766778p-1, 0x1.17fa4e3036c4cp-1, 0x1.169159ed5f18cp-1, 0x1.15298c57b2ac8p-1, 0x1.13c2caa5b1df6p-1, 0x1.125cfaa19886fp-1, 0x1.10f802af074f3p-1, 0x1.0f93c9d043fe1p-1, 0x1.0e3037ab1618ep-1, 0x1.0ccd348d41aeep-1, 0x1.0b6aa970a19ap-1, 0x1.0a087ffee16edp-1, 0x1.08a6a294ddb38p-1, 0x1.0744fc45a74b1p-1, 0x1.05e378dd2f92ap-1, 0x1.048204e29f659p-1, 0x1.03208d9a58253p-1, 0x1.01bf0107a5cf5p-1, 0x1.005d4dee1f47p-1, 0x1.fdf6c7a5765f3p-2, 0x1.fb3265f931649p-2, 0x1.f86d58eb05fcfp-2, 0x1.f5a7841454ecfp-2, 0x1.f2e0cc943a6afp-2, 0x1.f019190efbaa9p-2, 0x1.ed5051acf46c9p-2, 0x1.ea8660190eb0ap-2, 0x1.e7bb2f7ec4183p-2, 0x1.e4eeac87aeb2ap-2, 0x1.e220c558b18d5p-2, 0x1.df51698eb9788p-2, 0x1.dc808a3b1c9ap-2, 0x1.d9ae19df9d331p-2, 0x1.d6da0c6a12ae2p-2, 0x1.d404572fc06e2p-2, 0x1.d12cf0e85c92bp-2, 0x1.ce53d1a8cb86dp-2, 0x1.cb78f2dd9531fp-2, 0x1.c89c4f4516de3p-2, 0x1.c5bde2e9786d8p-2, 0x1.c2ddab1a646c5p-2, 0x1.bffba6668ee2dp-2, 0x1.bd17d495052c2p-2, 0x1.ba32369e51d21p-2, 0x1.b74acea576a1cp-2, 0x1.b4619ff0bdd88p-2, 0x1.b176aee26b364p-2, 0x1.ae8a00f1496fbp-2, 0x1.ab9b9ca12051ap-2, 0x1.a8ab897b0d6c9p-2, 0x1.a5b9d005cab7dp-2, 0x1.a2c679bde0899p-2, 0x1.9fd1910dc90acp-2, 0x1.9cdb214608acdp-2, 0x1.99e33695396d1p-2, 0x1.96e9de0014569p-2, 0x1.93ef255972373p-2, 0x1.90f31b3a4d36fp-2, 0x1.8df5cef9c34f6p-2, 0x1.8af750a51cb95p-2, 0x1.87f7b0f7d4fd6p-2, 0x1.84f70153afe4cp-2, 0x1.81f553b8d5e41p-2, 0x1.7ef2babdfbf57p-2, 0x1.7bef49889c28ep-2, 0x1.78eb13c539a45p-2, 0x1.75e62d9fbb822p-2, 0x1.72e0abbbd4e14p-2, 0x1.6fdaa32d86e85p-2, 0x1.6cd42971b4606p-2, 0x1.69cd5466cfb2dp-2, 0x1.66c63a45a1888p-2, 0x1.63bef19a295bbp-2, 0x1.60b7913c96aafp-2, 0x1.5db0304a63285p-2, 0x1.5aa8e61f866adp-2, 0x1.57a1ca4fca9bfp-2, 0x1.549af4a03cdacp-2, 0x1.51947d00c3007p-2, 0x1.4e8e7b85cae7fp-2, 0x1.4b890862222b3p-2, 0x1.48843be0ec394p-2, 0x1.45802e5fb9d98p-2, 0x1.427cf848c6815p-2, 0x1.3f7ab20d57874p-2, 0x1.3c7974203ef61p-2, 0x1.397956f083c1dp-2, 0x1.367a72e42cbb8p-2, 0x1.337ce05331c85p-2, 0x1.3080b7829047dp-2, 0x1.2d86109f84dc6p-2, 0x1.2a8d03baea251p-2, 0x1.2795a8c4bdbb1p-2, 0x1.24a01787c85e2p-2, 0x1.21ac67a56b129p-2, 0x1.1ebab09192125p-2, 0x1.1bcb098eccaeep-2, 0x1.18dd89aa86a0ep-2, 0x1.15f247b96c007p-2, 0x1.13095a53e9631p-2, 0x1.1022d7d2d633p-2, 0x1.0d3ed64c3f914p-2, 0x1.0a5d6b9056676p-2, 0x1.077ead26826bp-2, 0x1.04a2b04a94cb2p-2, 0x1.01c989ea1e7e1p-2, 0x1.fde69d43d45cbp-3, 0x1.f8402577265e9p-3, 0x1.f29fd4568102dp-3, 0x1.ed05d11b00c5ap-3, 0x1.e772424a7f293p-3, 0x1.e1e54db3cea88p-3, 0x1.dc5f186b25489p-3, 0x1.d6dfc6c6cd88p-3, 0x1.d1677c5c115cdp-3, 0x1.cbf65bfc59f8ap-3, 0x1.c68c87b290a44p-3, 0x1.c12a20c0b3813p-3, 0x1.bbcf479da3779p-3, 0x1.b67c1bf326098p-3, 0x1.b130bc9c1beep-3, 0x1.abed47a2ec719p-3, 0x1.a6b1da40267ffp-3, 0x1.a17e90d94a233p-3, 0x1.9c5386ffc88cap-3, 0x1.9730d77032bb9p-3, 0x1.92169c1194201p-3, 0x1.8d04edf4f693fp-3, 0x1.87fbe5551796dp-3, 0x1.82fb9996419a5p-3, 0x1.7e04214653ec4p-3, 0x1.7915921ce96afp-3, 0x1.743000fbac153p-3, 0x1.6f5381eed1109p-3, 0x1.6a80282da8ebp-3, 0x1.65b6061b6827dp-3, 0x1.60f52d47fa5bp-3, 0x1.5c3dae710cae8p-3, 0x1.578f99832133ep-3, 0x1.52eafd9acff2bp-3, 0x1.4e4fe9061d13ep-3, 0x1.49be6945f15a5p-3, 0x1.45368b0f9fcep-3, 0x1.40b85a4e97618p-3, 0x1.3c43e2261d638p-3, 0x1.37d92cf324f77p-3, 0x1.3378444e3e4ddp-3, 0x1.2f21310d99363p-3, 0x1.2ad3fb471e908p-3, 0x1.2690aa529289bp-3, 0x1.225744cbdae8ep-3, 0x1.1e27d095439ap-3, 0x1.1a0252d9e2e37p-3, 0x1.15e6d0100200bp-3, 0x1.11d54bfb9917fp-3, 0x1.0dcdc9b0da231p-3, 0x1.09d04b96c3c35p-3, 0x1.05dcd369c3096p-3, 0x1.01f3623e5eea3p-3, 0x1.fc27f107de463p-4, 0x1.f47d2c0eb44eap-4, 0x1.ece673ebbcfa6p-4, 0x1.e563c5bfbd7d1p-4, 0x1.ddf51d777758p-4, 0x1.d69a75d15e436p-4, 0x1.cf53c8635520dp-4, 0x1.c8210da088d64p-4, 0x1.c1023cdf3ed7bp-4, 0x1.b9f74c5eb1c4ap-4, 0x1.b300314cefc74p-4, 0x1.ac1cdfccd195p-4, 0x1.a54d4afbd0023p-4, 0x1.9e9164f800494p-4, 0x1.97e91ee5fbeabp-4, 0x1.915468f6cc6a7p-4, 0x1.8ad3326ddc55cp-4, 0x1.846569a6dde71p-4, 0x1.7e0afc1bb4a78p-4, 0x1.77c3d66a596fdp-4, 0x1.718fe45ab5f6fp-4, 0x1.6b6f10e47facbp-4, 0x1.65614635096edp-4, 0x1.5f666db50d25ep-4, 0x1.597e700e7183dp-4, 0x1.53a93531fe57ap-4, 0x1.4de6a45d0fd3p-4, 0x1.4836a41f3c443p-4, 0x1.42991a5fec16fp-4, 0x1.3d0dec63eb804p-4, 0x1.3794fed2eb198p-4, 0x1.322e35bcf7831p-4, 0x1.2cd9749fe023p-4, 0x1.27969e6c9328ep-4, 0x1.2265958c6af79p-4, 0x1.1d463be669702p-4, 0x1.183872e469ea3p-4, 0x1.133c1b783e3c9p-4, 0x1.0e511620bbf11p-4, 0x1.097742eec29b7p-4, 0x1.04ae818a1fb5cp-4, 0x1.ffed626cec02ap-5, 0x1.f69f61b003c9fp-5, 0x1.ed72bdf0b218cp-5, 0x1.e467339622ca9p-5, 0x1.db7c7e64b0365p-5, 0x1.d2b25986f1208p-5, 0x1.ca087f9696d3ep-5, 0x1.c17eaaa531305p-5, 0x1.b9149444d14d7p-5, 0x1.b0c9f5906d7bdp-5, 0x1.a89e8734410ep-5, 0x1.a0920175f3d54p-5, 0x1.98a41c3c93e1cp-5, 0x1.90d48f187e5e6p-5, 0x1.8923114b1298ap-5, 0x1.818f59ce43406p-5, 0x1.7a191f5c025d4p-5, 0x1.72c01875868efp-5, 0x1.6b83fb6a6723fp-5, 0x1.64647e5f94a6ap-5, 0x1.5d6157562a5c5p-5, 0x1.567a3c321fbffp-5, 0x1.4faee2c0c20b5p-5, 0x1.48ff00bf20bb6p-5, 0x1.426a4be040612p-5, 0x1.3bf079d32ed5dp-5, 0x1.35914048fa3bap-5, 0x1.2f4c54fa72831p-5, 0x1.29216dadd3b79p-5, 0x1.2310403c42354p-5, 0x1.1d1882972f4adp-5, 0x1.1739eacd8c407p-5, 0x1.11742f10ddb34p-5, 0x1.0bc705ba2e38ep-5, 0x1.0632254ee0fdbp-5, 0x1.00b54485575a6p-5, 0x1.f6a03492f6a3dp-6, 0x1.ec04bb825631cp-6, 0x1.e1978ca0eba33p-6, 0x1.d758173b8b444p-6, 0x1.cd45cb2bc62d3p-6, 0x1.c36018dfa7239p-6, 0x1.b9a671613fa1dp-6, 0x1.b018465de60ebp-6, 0x1.a6b50a2d3dc58p-6, 0x1.9d7c2fd8061edp-6, 0x1.946d2b1e9f961p-6, 0x1.8b87707f61151p-6, 0x1.82ca753c9f24p-6, 0x1.7a35af62a2e9dp-6, 0x1.71c895cd26074p-6, 0x1.6982a02ce0be4p-6, 0x1.6163470c9a22cp-6, 0x1.596a03d636e41p-6, 0x1.519650d77cc9ep-6, 0x1.49e7a94698f9cp-6, 0x1.425d894683c0ap-6, 0x1.3af76deb25bc7p-6, 0x1.33b4d53d4ddf1p-6, 0x1.2c953e3e800a3p-6, 0x1.259828ec7f688p-6, 0x1.1ebd1644b9d0ep-6, 0x1.180388477c466p-6, 0x1.116b01fb06652p-6, 0x1.0af3076e5baa1p-6, 0x1.049b1dbc048b5p-6, 0x1.fcc596190450dp-7, 0x1.f0932d317fbcap-7, 0x1.e49e11587488cp-7, 0x1.d8e5554e2bf2fp-7, 0x1.cd680dfff6ab3p-7, 0x1.c225528bb895p-7, 0x1.b71c3c43190efp-7, 0x1.ac4be6ae6a0a1p-7, 0x1.a1b36f8f583f5p-7, 0x1.9751f6e32d9d7p-7, 0x1.8d269ee517f09p-7, 0x1.83308c0fcadf7p-7, 0x1.796ee51f39d6p-7, 0x1.6fe0d311f3a47p-7, 0x1.6685812a2844ep-7, 0x1.5d5c1cee927bp-7, 0x1.5463d62b15746p-7, 0x1.4b9bdef138a2p-7, 0x1.43036b985a3e4p-7, 0x1.3a99b2bd985c8p-7, 0x1.325ded43bca4dp-7, 0x1.2a4f5652beee7p-7, 0x1.226d2b573dffep-7, 0x1.1ab6ac01acep-7, 0x1.132b1a4565b1ap-7, 0x1.0bc9ba578c6cap-7, 0x1.0491d2adb002ep-7, 0x1.fb0557f8d23eap-8, 0x1.ed37226b61669p-8, 0x1.dfb79f0e2978cp-8, 0x1.d2856cafb96e8p-8, 0x1.c59f2e8dd3108p-8, 0x1.b9038c5116cc1p-8, 0x1.acb1320843722p-8, 0x1.a0a6d02365133p-8, 0x1.94e31b6e84a0ep-8, 0x1.8964cd0c6a232p-8, 0x1.7e2aa270cb27fp-8, 0x1.73335d5a8a5d8p-8, 0x1.687dc3cd9a025p-8, 0x1.5e08a00cc0c68p-8, 0x1.53d2c0930c34dp-8, 0x1.49daf80d3e522p-8, 0x1.40201d52ee65ap-8, 0x1.36a10b5f7b4f6p-8, 0x1.2d5ca14af7f59p-8, 0x1.2451c242c2685p-8, 0x1.1b7f55822918bp-8, 0x1.12e4464a9c175p-8, 0x1.0a7f83dc2c03dp-8, 0x1.0250016d769d4p-8, 0x1.f4a96c47922dp-9, 0x1.e5193a15fae7cp-9, 0x1.d5ed6a1a76f6ap-9, 0x1.c72401d5827bdp-9, 0x1.b8bb0e62ae606p-9, 0x1.aab0a467d5a5p-9, 0x1.9d02e0041314fp-9, 0x1.8fafe4be357f5p-9, 0x1.82b5dd7362194p-9, 0x1.7612fc45b7708p-9, 0x1.69c57a8a3697dp-9, 0x1.5dcb98b761988p-9, 0x1.52239e5319eccp-9, 0x1.46cbd9e099ff6p-9, 0x1.3bc2a0ce9a049p-9, 0x1.31064f64e935dp-9, 0x1.269548b26e135p-9, 0x1.1c6df67ae7984p-9, 0x1.128ec9245badfp-9, 0x1.08f637a51ebeap-9, 0x1.ff457ee289f31p-10, 0x1.ed25c8d07ddeep-10, 0x1.db8a6184f7a17p-10, 0x1.ca7069fe2efbcp-10, 0x1.b9d50fa2a0982p-10, 0x1.a9b58c1c6d8c3p-10, 0x1.9a0f2534c4fcp-10, 0x1.8adf2caed8a5fp-10, 0x1.7c23002399d6ep-10, 0x1.6dd808dcca1bbp-10, 0x1.5ffbbbb0a7526p-10, 0x1.528b98dd99fb9p-10, 0x1.45852be5d6094p-10, 0x1.38e60b6acb43dp-10, 0x1.2cabd90a18fdep-10, 0x1.20d4413848144p-10, 0x1.155cfb1e1e556p-10, 0x1.0a43c874767b6p-10, 0x1.ff0ceac1254bdp-11, 0x1.ea45b0a2bc9bep-11, 0x1.d62da3b79fab8p-11, 0x1.c2c09930cabf2p-11, 0x1.affa79ffe55a1p-11, 0x1.9dd742924935p-11, 0x1.8c53028d08c86p-11, 0x1.7b69dc88110ecp-11, 0x1.6b1805c9cde1ap-11, 0x1.5b59c6050de5bp-11, 0x1.4c2b7714ef305p-11, 0x1.3d8984bafb7f1p-11, 0x1.2f706c5cb7b2ep-11, 0x1.21dcbcc300763p-11, 0x1.14cb15d7921p-11, 0x1.0838286606127p-11, 0x1.f8416bb60749dp-12, 0x1.e1032009bf7e9p-12, 0x1.caaf31a9e1484p-12, 0x1.b53f8441f18afp-12, 0x1.a0ae1aca6b30cp-12, 0x1.8cf5170de52cep-12, 0x1.7a0eb930f70eap-12, 0x1.67f55f380f8f4p-12, 0x1.56a38492356e3p-12, 0x1.4613c1a018584p-12, 0x1.3640cb41849e8p-12, 0x1.2725726169adep-12, 0x1.18bca3811ad2bp-12, 0x1.0b01664913dc5p-12, 0x1.fbddba2f463f4p-13, 0x1.e300892470bbdp-13, 0x1.cb61e66d155efp-13, 0x1.b4f8b1ddc3c04p-13, 0x1.9fbbfd4a7a9fep-13, 0x1.8ba30bb5181eap-13, 0x1.78a55076c2d5dp-13, 0x1.66ba6e72f2668p-13, 0x1.55da374a95c2bp-13, 0x1.45fcaa8b3a3dfp-13, 0x1.3719f4ed2faffp-13, 0x1.292a6f87bddb1p-13, 0x1.1c269f0eb8711p-13, 0x1.100733115da82p-13, 0x1.04c5053876c3p-13, 0x1.f4b231187ac54p-14, 0x1.e17931708f153p-14, 0x1.cfd1b2a3d44c8p-14, 0x1.bfaeaa48963c3p-14, 0x1.b1035af6dc6fdp-14, 0x1.a3c352e3cb018p-14, 0x1.97e26a851b16cp-14, 0x1.8d54c33a3f524p-14, 0x1.840ec5f490c1ap-14, 0x1.7c0521e633cfp-14, 0x1.752ccb37c0052p-14, 0x1.6f7af9be803a8p-14, 0x1.6ae527bf1ed14p-14, 0x1.676110a4cf2bap-14, 0x1.64e4afd50e60bp-14, 0x1.63663f6d2620cp-14, 0x1.62dc37197e06p-14, 0x1.633d4ae682b3ep-14, 0x1.64806a15db14ep-14, 0x1.669cbdfbe9acap-14, 0x1.6989a8dfdc32ap-14, 0x1.6d3ec4dfb94f3p-14, 0x1.71b3e2d82a8dfp-14, 0x1.76e1095224b5ap-14, 0x1.7cbe73736110bp-14, 0x1.83448ff4dffb6p-14, 0x1.8a6c00160cbcfp-14, 0x1.922d96a0437d1p-14, 0x1.9a8256e344c72p-14, 0x1.a36373bd5fe8cp-14, 0x1.acca4e9f499bbp-14, 0x1.b6b0769ed068bp-14, 0x1.c10fa783d81bep-14, 0x1.cbe1c8dc350cdp-14, 0x1.d720ed15a8d0cp-14, 0x1.e2c75098a4b8ep-14, 0x1.eecf58e6c5471p-14, 0x1.fb3393bec727fp-14, 0x1.03f75b21a9fa3p-13, 0x1.0a7dce11df2c9p-13, 0x1.112aa3672c9a8p-13, 0x1.17fb6e4def3fcp-13, 0x1.1eedd4049a5c5p-13, 0x1.25ff8b755acfcp-13, 0x1.2d2e5cd64fb31p-13, 0x1.34782146640f4p-13, 0x1.3bdac270fa2cp-13, 0x1.43543a2e93da5p-13, 0x1.4ae2922a401f8p-13, 0x1.5283e38786133p-13, 0x1.5a365689ca0bp-13, 0x1.61f8223ca5114p-13, 0x1.69c78c1f8207p-13, 0x1.71a2e7d0bd932p-13, 0x1.798896bbae0fbp-13, 0x1.817707c791267p-13, 0x1.896cb70850815p-13, 0x1.91682d6fdeb2cp-13, 0x1.99680083711c9p-13, 0x1.a16ad20d184b5p-13, 0x1.a96f4fd4e0c27p-13, 0x1.b17433563bb97p-13, 0x1.b9784179fac83p-13, 0x1.c17a4a504e46fp-13, 0x1.c97928cbd0ff4p-13, 0x1.d173c27e69239p-13, 0x1.d96907582293ep-13, 0x1.e157f1657651dp-13, 0x1.e93f84908a299p-13, 0x1.f11ece624f074p-13, 0x1.f8f4e5c5e2761p-13, 0x1.006075661e578p-12, 0x1.04410338f415ep-12, 0x1.081bb53285254p-12, 0x1.0bf0286698f42p-12, 0x1.0fbdfe0a16f1ep-12, 0x1.1384db57e6752p-12, 0x1.1744697617978p-12, 0x1.1afc555c25fe4p-12, 0x1.1eac4fb9275e5p-12, 0x1.22540cdb26d83p-12, 0x1.25f3449631f6bp-12, 0x1.2989b22c8bc31p-12, 0x1.2d171437493c4p-12, 0x1.309b2c8f4d478p-12, 0x1.3415c0366a027p-12, 0x1.37869741bf22cp-12, 0x1.3aed7cc3b7822p-12, 0x1.3e4a3eb6f4e7dp-12, 0x1.419cade9ac68dp-12, 0x1.44e49de92addcp-12, 0x1.4821e4ee49d62p-12, 0x1.4b545bc9a0177p-12, 0x1.4e7bddd0cdd66p-12, 0x1.519848cba55bep-12, 0x1.54a97ce2313ep-12, 0x1.57af5c8aa97b7p-12, 0x1.5aa9cc78230a6p-12, 0x1.5d98b3899d13fp-12, 0x1.607bfab91f4c6p-12, 0x1.63538d0b69c35p-12, 0x1.661f578044945p-12, 0x1.68df4902b0843p-12, 0x1.6b935259c080ep-12, 0x1.6e3b6619dfab4p-12, 0x1.70d7789639272p-12, 0x1.73677fd208f3bp-12, 0x1.75eb7373782eap-12, 0x1.78634cb563779p-12, 0x1.7acf065a62e28p-12, 0x1.7d2e9c9fed62dp-12, 0x1.7f820d31812aap-12, 0x1.81c9571c5819dp-12, 0x1.84047ac363c8dp-12, 0x1.863379d3841f3p-12, 0x1.88565737f8e94p-12, 0x1.8a6d170f5f0adp-12, 0x1.8c77bea062086p-12, 0x1.8e76544f73393p-12, 0x1.9068df940352fp-12, 0x1.924f68ee7d298p-12, 0x1.9429f9de5767p-12, 0x1.95f89cd86fabfp-12, 0x1.97bb5d3d8a9dep-12, 0x1.997247515282ap-12, 0x1.9b1d68311e77p-12, 0x1.9cbccdcb52517p-12, 0x1.9e5086d6e0beap-12, 0x1.9fd8a2cadeeeap-12, 0x1.a15531d68b8d3p-12, 0x1.a2c644d9848fdp-12, 0x1.a42bed5bd0e19p-12, 0x1.a5863d868b495p-12, 0x1.a6d5481ccd43dp-12, 0x1.a81920743d16ep-12, 0x1.a951da6e6eaa2p-12, 0x1.aa7f8a723101ap-12, 0x1.aba24564bf591p-12, 0x1.acba20a3c911fp-12, 0x1.adc731fedaa6ap-12, 0x1.aec98fb1ada75p-12, 0x1.afc1505e0ad3p-12, 0x1.b0ae8b065f6edp-12, 0x1.b19157081b38ep-12, 0x1.b269cc163cbdbp-12, 0x1.b33802343c412p-12, 0x1.b3fc11b0eda5ap-12, 0x1.b4b613219c6c3p-12, 0x1.b5661f5d17f08p-12, 0x1.b60c4f775203fp-12, 0x1.b6a8bcbcc94a1p-12, 0x1.b73b80ae17295p-12, 0x1.b7c4b4fbba14fp-12, 0x1.b844738202845p-12, 0x1.b8bad64503f81p-12, 0x1.b927f76cd3754p-12, 0x1.b98bf141b556bp-12, 0x1.b9e6de289fc9cp-12, 0x1.ba38d89f8d19ep-12, 0x1.ba81fb3a14b2p-12, 0x1.bac2609e5360fp-12, 0x1.bafa23816e48cp-12, 0x1.bb295ea4bce4p-12, 0x1.bb502cd2b4715p-12, 0x1.bb6ea8dc04e8ap-12, 0x1.bb84ed94e36d9p-12, 0x1.bb9315d2448bp-12, 0x1.bb993c67325a8p-12, 0x1.bb977c2284d9fp-12, 0x1.bb8defcc3bad8p-12, 0x1.bb7cb2233cc2dp-12, 0x1.bb63dddb168f6p-12, 0x1.bb438d99efca3p-12, 0x1.bb1bdbf628566p-12, 0x1.baece374910c3p-12, 0x1.bab6be866e5d6p-12, 0x1.ba7987878555bp-12, 0x1.ba3558bc664dfp-12, 0x1.b9ea4c50c8bcfp-12, 0x1.b9987c559fdf2p-12, 0x1.b94002bfd58e1p-12, 0x1.b8e0f9668a24ap-12, 0x1.b87b7a01af5c6p-12, 0x1.b80f9e28a2b75p-12, 0x1.b79d7f50ddfbcp-12, 0x1.b72536cca32e4p-12, 0x1.b6a6ddc9d43bap-12, 0x1.b6228d50b250ep-12, 0x1.b5985e42d4982p-12, 0x1.b5086959fe155p-12, 0x1.b472c7272cb49p-12, 0x1.b3d79011af8dfp-12, 0x1.b336dc562dd8dp-12, 0x1.b290c405b8aep-12, 0x1.b1e55f052b9adp-12, 0x1.b134c50c29386p-12, 0x1.b07f0da480b2bp-12, 0x1.afc4502973c8cp-12, 0x1.af04a3c7287c9p-12, 0x1.ae401f79cc659p-12, 0x1.ad76da0d5209ap-12, 0x1.aca8ea1cbf6c1p-12, 0x1.abd66611a0304p-12, 0x1.aaff6423a9ba6p-12, 0x1.aa23fa584a25p-12, 0x1.a9443e822f8e9p-12, 0x1.a8604640f77c5p-12, 0x1.a7782700e3315p-12, 0x1.a68bf5fa6c0b5p-12, 0x1.a59bc83227238p-12, 0x1.a4a7b2786153cp-12, 0x1.a3afc968f9d52p-12, 0x1.a2b4216b20f2cp-12, 0x1.a1b4ceb149a07p-12, 0x1.a0b1e538e987p-12, 0x1.9fab78ca644dp-12, 0x1.9ea19cf8f1eb1p-12, 0x1.9d94652296909p-12, 0x1.9c83e4701afbcp-12, 0x1.9b702dd4dcbcap-12, 0x1.9a59540ef2afep-12, 0x1.993f69a72148fp-12, 0x1.982280f0ec95ep-12, 0x1.9702ac0a8fb0fp-12, 0x1.95dffcdd2b96bp-12, 0x1.94ba851cc3ff2p-12, 0x1.9392564855e24p-12, 0x1.926781aa09e8cp-12, 0x1.913a18574fe4ep-12, 0x1.900a2b30f4708p-12, 0x1.8ed7cae34e698p-12, 0x1.8da307e6773d6p-12, 0x1.8c6bf27e7e407p-12, 0x1.8b329abb8580dp-12, 0x1.89f7107a0386ap-12, 0x1.88b96362f4de8p-12, 0x1.8779a2ec22ce6p-12, 0x1.8637de585ec7ep-12, 0x1.84f424b7b6a66p-12, 0x1.83ae84e7d25bdp-12, 0x1.82670d9412905p-12, 0x1.811dcd35fa04dp-12, 0x1.7fd2d2156df9cp-12, 0x1.7e862a48fbfd4p-12, 0x1.7d37e3b6243a7p-12, 0x1.7be80c11b6b2dp-12, 0x1.7a96b0e023dbdp-12, 0x1.7943df75c26cap-12, 0x1.77efa4f7264a1p-12, 0x1.769a0e59881b7p-12, 0x1.754328630dccdp-12, 0x1.73eaffab21ed5p-12, 0x1.7291a09adad19p-12, 0x1.7137176d44e27p-12, 0x1.6fdb702fc94bfp-12, 0x1.6e7eb6c2879c3p-12, 0x1.6d20f6d8bb183p-12, 0x1.6bc23bf91a35ep-12, 0x1.6a62917e281fcp-12, 0x1.69020296a6a63p-12, 0x1.67a09a45eb5d2p-12, 0x1.663e6364440acp-12, 0x1.64db689f64172p-12, 0x1.6377b47abdb81p-12, 0x1.6213514fecadap-12, 0x1.60ae494f0b602p-12, 0x1.5f48a67f2b1f2p-12, 0x1.5de272beb2418p-12, 0x1.5c7bb7c3bf39ep-12, 0x1.5b147f1c831c3p-12, 0x1.59acd22fb882dp-12, 0x1.5844ba3cfe87ap-12, 0x1.56dc405d508fdp-12, 0x1.55736d83575c3p-12, 0x1.540a4a7bd6ecdp-12, 0x1.52a0dfee0e6dfp-12, 0x1.5137365c28cf3p-12, 0x1.4fcd56239fd7dp-12, 0x1.4e63477d9f3afp-12, 0x1.4cf9127f615ddp-12, 0x1.4b8ebf1aa80ap-12, 0x1.4a24551e1031dp-12, 0x1.48b9dc357c392p-12, 0x1.474f5bea84197p-12, 0x1.45e4dba4c4a4ep-12, 0x1.447a62aa5104p-12, 0x1.430ff8201062ap-12, 0x1.41a5a30a28ac3p-12, 0x1.403b6a4c5c381p-12, 0x1.3ed154aa6dc4dp-12, 0x1.3d6768c87be47p-12, 0x1.3bfdad2b681e4p-12, 0x1.3a9428393d9d4p-12, 0x1.392ae03987a8bp-12, 0x1.37c1db55ba1f6p-12, 0x1.36591f9986963p-12, 0x1.34f0b2f345ba6p-12, 0x1.33889b3447eecp-12, 0x1.3220de113eae4p-12, 0x1.30b981229cec3p-12, 0x1.2f5289e4e7b1ep-12, 0x1.2debfdb91cccep-12, 0x1.2c85e1e509baap-12, 0x1.2b203b939d9f9p-12, 0x1.29bb0fd552364p-12, 0x1.285663a07bf94p-12, 0x1.26f23bd1a34eep-12, 0x1.258e9d2be0694p-12, 0x1.242b8c593064p-12, 0x1.22c90deacfca4p-12, 0x1.2167265987999p-12, 0x1.2005da060b61ep-12, 0x1.1ea52d3941547p-12, 0x1.1d452424a230dp-12, 0x1.1be5c2e28a55cp-12, 0x1.1a870d768bb7fp-12, 0x1.192907cdbcb2bp-12, 0x1.17cbb5bf08315p-12, 0x1.166f1b0b83b49p-12, 0x1.15133b5eb439cp-12, 0x1.13b81a4ee9343p-12, 0x1.125dbb5d81e7ep-12, 0x1.110421f73e071p-12, 0x1.0fab517488e7ep-12, 0x1.0e534d19c6fa8p-12, 0x1.0cfc18179cf19p-12, 0x1.0ba5b58b3b6b1p-12, 0x1.0a50287ea9b2dp-12, 0x1.08fb73e90c778p-12, 0x1.07a79aaeecf2cp-12, 0x1.06549fa28492p-12, 0x1.0502858400118p-12, 0x1.03b14f01c37cep-12, 0x1.0260feb8b23e7p-12, 0x1.0111973470df4p-12, 0x1.ff8635df512afp-13, 0x1.fceb18a895a3bp-13, 0x1.fa51db77a51a6p-13, 0x1.f7ba82df1093p-13, 0x1.f5251351776ecp-13, 0x1.f291912216a2cp-13, 0x1.f00000853868bp-13, 0x1.ed706590b4259p-13, 0x1.eae2c43c6c83ep-13, 0x1.e8572062c48b3p-13, 0x1.e5cd7dc11dba1p-13, 0x1.e345dff8519f1p-13, 0x1.e0c04a8d1deecp-13, 0x1.de3cc0e8999b9p-13, 0x1.dbbb4658a653cp-13, 0x1.d93bde10667f7p-13, 0x1.d6be8b28a9574p-13, 0x1.d44350a057e0bp-13, 0x1.d1ca315ce5853p-13, 0x1.cf53302abd0eep-13, 0x1.ccde4fbd9e559p-13, 0x1.ca6b92b119a44p-13, 0x1.c7fafb88e54b4p-13, 0x1.c58c8cb15003fp-13, 0x1.c320487f99363p-13, 0x1.c0b63132588dbp-13, 0x1.be4e48f1f22bp-13, 0x1.bbe891d0e07fdp-13, 0x1.b9850dcc1cca8p-13, 0x1.b723becb83f7bp-13, 0x1.b4c4a6a221649p-13, 0x1.b267c70e92dap-13, 0x1.b00d21bb74a28p-13, 0x1.adb4b83f9de36p-13, 0x1.ab5e8c1e904d2p-13, 0x1.a90a9ec8c2de1p-13, 0x1.a6b8f19bf68d5p-13, 0x1.a46985e396ab1p-13, 0x1.a21c5cd8ff224p-13, 0x1.9fd177a3d123bp-13, 0x1.9d88d75a48b74p-13, 0x1.9b427d01877e9p-13, 0x1.98fe698de96p-13, 0x1.96bc9de351fcap-13, 0x1.947d1ad5768c8p-13, 0x1.923fe128241fep-13, 0x1.9004f18f9a989p-13, 0x1.8dcc4cb0c81c4p-13, 0x1.8b95f321873aep-13, 0x1.8961e5690203p-13, 0x1.873023ffe38bbp-13, 0x1.8500af50a2b76p-13, 0x1.82d387b7cfa9ep-13, 0x1.80a8ad8446391p-13, 0x1.7e8020f77c49ep-13, 0x1.7c59e245bc5c4p-13, 0x1.7a35f1966ae5fp-13, 0x1.78144f0441c55p-13, 0x1.75f4fa9d8c9a7p-13, 0x1.73d7f4646e21fp-13, 0x1.71bd3c4f18f3fp-13, 0x1.6fa4d2480a101p-13, 0x1.6d8eb62e48d0dp-13, 0x1.6b7ae7d5995c6p-13, 0x1.69696706b649ep-13, 0x1.675a337f8de17p-13, 0x1.654d4cf3700b9p-13, 0x1.6342b30b53ac7p-13, 0x1.613a656601dfdp-13, 0x1.5f34639847833p-13, 0x1.5d30ad2d35295p-13, 0x1.5b2f41a64b3cep-13, 0x1.5930207ba623p-13, 0x1.5733491c3d482p-13, 0x1.5538baee0727bp-13, 0x1.5340754e303d5p-13, 0x1.514a77914474p-13, 0x1.4f56c1036617dp-13, 0x1.4d6550e87bc55p-13, 0x1.4b76267c54717p-13, 0x1.498940f2e10e6p-13, 0x1.479e9f784b109p-13, 0x1.45b6413131ae4p-13, 0x1.43d0253acde6fp-13, 0x1.41ec4aab1a24fp-13, 0x1.400ab09103c7dp-13, 0x1.3e2b55f48aaa8p-13, 0x1.3c4e39d6e7de8p-13, 0x1.3a735b32bd693p-13, 0x1.389ab8fc33fc8p-13, 0x1.36c4522126339p-13, 0x1.34f025894018cp-13, 0x1.331e321626c78p-13, 0x1.314e76a39c73fp-13, 0x1.2f80f207a0d76p-13, 0x1.2db5a3129f20ap-13, 0x1.2bec888f80dep-13, 0x1.2a25a143d9398p-13, 0x1.2860ebf002b2p-13, 0x1.269e674f3f882p-13, 0x1.24de1217d6917p-13, 0x1.231feafb3825ep-13, 0x1.2163f0a61cbfep-13, 0x1.1faa21c09f1b5p-13, 0x1.1df27cee5ad54p-13, 0x1.1c3d00ce8ea64p-13, 0x1.1a89abfc33cdap-13, 0x1.18d87d0e1e7e4p-13, 0x1.17297297137ccp-13, 0x1.157c8b25eb404p-13, 0x1.13d1c545a95dbp-13, 0x1.12291f7d90587p-13, 0x1.1082985145a9cp-13, 0x1.0ede2e40e3c49p-13, 0x1.0d3bdfc91fea1p-13, 0x1.0b9bab6355defp-13, 0x1.09fd8f85a20abp-13, 0x1.08618aa2fe4a6p-13, 0x1.06c79b2b54da6p-13, 0x1.052fbf8b950e8p-13, 0x1.0399f62dd1f14p-13, 0x1.02063d7956fbbp-13, 0x1.007493d2b4b16p-13, 0x1.fdc9ef37c3e87p-14, 0x1.faaece688da65p-14, 0x1.f797c1f1b2ba4p-14, 0x1.f484c68859e1dp-14, 0x1.f175d8dd1350bp-14, 0x1.ee6af59bf5832p-14, 0x1.eb64196ccfaf2p-14, 0x1.e86140f34863dp-14, 0x1.e56268cefdf6fp-14, 0x1.e2678d9bb8f52p-14, 0x1.df70abf17ff32p-14, 0x1.dc7dc064cd98ap-14, 0x1.d98ec786a4715p-14, 0x1.d6a3bde4b68e5p-14, 0x1.d3bca00982592p-14, 0x1.d0d96a7c74cdcp-14, 0x1.cdfa19c202b2fp-14, 0x1.cb1eaa5bdb0b3p-14, 0x1.c84718c8fae53p-14, 0x1.c5736185c861dp-14, 0x1.c2a3810c2f867p-14, 0x1.bfd773d3d2e0cp-14, 0x1.bd0f365200b78p-14, 0x1.ba4ac4f9fce6ap-14, 0x1.b78a1c3cf9aa8p-14, 0x1.b4cd388a4bdddp-14, 0x1.b214164f6e93ep-14, 0x1.af5eb1f828ed3p-14, 0x1.acad07eea91d2p-14, 0x1.a9ff149ba13c5p-14, 0x1.a754d466504aap-14, 0x1.a4ae43b4af38ap-14, 0x1.a20b5eeb74afap-14, 0x1.9f6c226e4190dp-14, 0x1.9cd08a9fa1adbp-14, 0x1.9a3893e126cd6p-14, 0x1.97a43a93935ebp-14, 0x1.95137b16cb27fp-14, 0x1.928651ca1a9d3p-14, 0x1.8ffcbb0c19273p-14, 0x1.8d76b33ad8b21p-14, 0x1.8af436b3f782dp-14, 0x1.887541d4b2977p-14, 0x1.85f9d0f9ee1e6p-14, 0x1.8381e080580cap-14, 0x1.810d6cc475a12p-14, 0x1.7e9c7222a6a25p-14, 0x1.7c2eecf74efb4p-14, 0x1.79c4d99ed9136p-14, 0x1.775e3475c9fb5p-14, 0x1.74faf9d8d84dep-14, 0x1.729b2624ee878p-14, 0x1.703eb5b74b171p-14, 0x1.6de5a4ed88a76p-14, 0x1.6b8ff025a5afep-14, 0x1.693d93be21ffep-14, 0x1.66ee8c15fc956p-14, 0x1.64a2d58ce1e8bp-14, 0x1.625a6c8305ea4p-14, 0x1.60154d596fd95p-14, 0x1.5dd37471ceda4p-14, 0x1.5b94de2eafd32p-14, 0x1.595986f378048p-14, 0x1.57216b246cc84p-14, 0x1.54ec8726d8adap-14, 0x1.52bad760fdc8ap-14, 0x1.508c583a289bdp-14, 0x1.4e61061ac5e5p-14, 0x1.4c38dd6c5f028p-14, 0x1.4a13da99ac815p-14, 0x1.47f1fa0eb1adp-14, 0x1.45d338389f32bp-14, 0x1.43b791860ec18p-14, 0x1.419f0266e2cc2p-14, 0x1.3f89874c697afp-14, 0x1.3d771ca95adf3p-14, 0x1.3b67bef1ec95bp-14, 0x1.395b6a9bcb4a6p-14, 0x1.37521c1e3b82p-14, 0x1.354bcff20b306p-14, 0x1.33488291a923cp-14, 0x1.3148307928711p-14, 0x1.2f4ad6264edd2p-14, 0x1.2d507018886edp-14, 0x1.2b58fad1155e9p-14, 0x1.296472d2dfef6p-14, 0x1.2772d4a2c3688p-14, 0x1.25841cc74745p-14, 0x1.239847c8f6eecp-14, 0x1.21af523222832p-14, 0x1.1fc9388f0d4d7p-14, 0x1.1de5f76df4cd4p-14, 0x1.1c058b5f05011p-14, 0x1.1a27f0f46ac6p-14, 0x1.184d24c264c6ep-14, 0x1.1675235f1e8e3p-14, 0x1.149fe962fb1aap-14, 0x1.12cd736852c21p-14, 0x1.10fdbe0bae761p-14, 0x1.0f30c5ebaf43ep-14, 0x1.0d6687a928a1bp-14, 0x1.0b9effe70afeap-14, 0x1.09da2b4a9409fp-14, 0x1.0818067b17657p-14, 0x1.06588e22473e4p-14, 0x1.049bbeebfcff3p-14, 0x1.02e1958664bacp-14, 0x1.012a0ea1f342cp-14, 0x1.feea4de2d60b1p-15, 0x1.fb85b653c7f64p-15, 0x1.f82650059691cp-15, 0x1.f4cc146bdd35ap-15, 0x1.f176fcfee9823p-15, 0x1.ee27033bcf8c8p-15, 0x1.eadc20a48d2dap-15, 0x1.e7964ebfc9e1p-15, 0x1.e45587193cba8p-15, 0x1.e119c3416004dp-15, 0x1.dde2fccd9549p-15, 0x1.dab12d585a44bp-15, 0x1.d7844e80d939dp-15, 0x1.d45c59eb86609p-15, 0x1.d1394941a7916p-15, 0x1.ce1b16319f91bp-15, 0x1.cb01ba6ede3a1p-15, 0x1.c7ed2fb1e74dfp-15, 0x1.c4dd6fb8510b6p-15, 0x1.c1d27444e1b5ep-15, 0x1.becc371f5c10ep-15, 0x1.bbcab214e94cbp-15, 0x1.b8cddef78fc17p-15, 0x1.b5d5b79ed4579p-15, 0x1.b2e235e7308a8p-15, 0x1.aff353b282754p-15, 0x1.ad090ae7c071p-15, 0x1.aa235573496cfp-15, 0x1.a7422d4692c96p-15, 0x1.a4658c587a7cap-15, 0x1.a18d6ca522536p-15, 0x1.9eb9c82de3b0ep-15, 0x1.9bea98f99068ap-15, 0x1.991fd91422c2dp-15, 0x1.9659828f00dcp-15, 0x1.93978f80f008bp-15, 0x1.90d9fa05ee489p-15, 0x1.8e20bc3f85dccp-15, 0x1.8b6bd05479b14p-15, 0x1.88bb3070f6b96p-15, 0x1.860ed6c6a8d5p-15, 0x1.8366bd8c6be99p-15, 0x1.80c2defebc4adp-15, 0x1.7e23355f4c723p-15, 0x1.7b87baf5624eep-15, 0x1.78f06a0d8bf96p-15, 0x1.765d3cf9de63ep-15, 0x1.73ce2e11d3d8dp-15, 0x1.714337b2429c8p-15, 0x1.6ebc543d93b0dp-15, 0x1.6c397e1b7b7efp-15, 0x1.69baafb93fbc9p-15, 0x1.673fe3898104dp-15, 0x1.64c9140465b7dp-15, 0x1.62563ba770e82p-15, 0x1.5fe754f5bee25p-15, 0x1.5d7c5a77ad435p-15, 0x1.5b1546bb39ba7p-15, 0x1.58b21453bf61fp-15, 0x1.5652bdda018dfp-15, 0x1.53f73dec690c5p-15, 0x1.519f8f2e8c2adp-15, 0x1.4f4bac49bd075p-15, 0x1.4cfb8fec9306fp-15, 0x1.4aaf34cb1c8e6p-15, 0x1.4866959f041e1p-15, 0x1.4621ad271858p-15, 0x1.43e07627fdfb9p-15, 0x1.41a2eb6b66227p-15, 0x1.3f6907c0c8e1cp-15, 0x1.3d32c5fcca014p-15, 0x1.3b0020f9bbc46p-15, 0x1.38d11397182a7p-15, 0x1.36a598ba0f9bap-15, 0x1.347dab4cf5e97p-15, 0x1.3259463fcd60bp-15, 0x1.30386487cf88ap-15, 0x1.2e1b011fbdd6ep-15, 0x1.2c011707aa33ap-15, 0x1.29eaa1452740ep-15, 0x1.27d79ae30e58ep-15, 0x1.25c7fef1b6addp-15, 0x1.23bbc886c9b1bp-15, 0x1.21b2f2bd43ce8p-15, 0x1.1fad78b5ae683p-15, 0x1.1dab5595a500bp-15, 0x1.1bac84887c084p-15, 0x1.19b100be7b6d7p-15, 0x1.17b8c56da521cp-15, 0x1.15c3cdd0f796bp-15, 0x1.13d215290a1b8p-15, 0x1.11e396bb9a4a5p-15, 0x1.0ff84dd3c71efp-15, 0x1.0e1035c1f4dc9p-15, 0x1.0c2b49dbdc8b7p-15, 0x1.0a49857c70979p-15, 0x1.086ae404007bbp-15, 0x1.068f60d809eadp-15, 0x1.04b6f7634fdf2p-15, 0x1.02e1a315efdc1p-15, 0x1.010f5f6507233p-15, 0x1.fe804f968fb9cp-16, 0x1.fae7ef906ff6bp-16, 0x1.f75595c1ebe3ep-16, 0x1.f3c9393ef212p-16, 0x1.f042d1266c095p-16, 0x1.ecc254a12037cp-16, 0x1.e947bae294342p-16, 0x1.e5d2fb2843b38p-16, 0x1.e2640cba4e31dp-16, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
    }}, 
    {
      51, 0x1p+3, 0x1.16aaeb87624b8p+2, 0x1.3ca1fe5d1a64ep+4, -0x1.e69c6d23a548cp-5, 
      {{
        {0x1.5cccccccccccdp+2, 0x1.6p+2, -0x1.4768df5f1c08dp-5, -0x1.5a988d502c049p-4, 0x1.794911a43c49fp-3, -0x1.6845cdd075bf9p-4}, 
        {0x1.6p+2, 0x1.6333333333333p+2, -0x1.6662ef3bdf59bp-5, -0x1.11d743022b159p-4, 0x1.5e43d567cd0edp-3, -0x1.68431fdf8c9d1p-4}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, -0x1.7e5ba39ddbf26p-5, -0x1.9cfacc034a18ap-5, 0x1.433ecc9d6f5p-3, -0x1.6839f67135a4fp-4}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, -0x1.8fdd53521c0e5p-5, -0x1.2115bf24bbd16p-5, 0x1.283a73bb5816fp-3, -0x1.684b9a4217a16p-4}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, -0x1.9b7253c258699p-5, -0x1.5ffeffede50f6p-6, 0x1.0d34c8299650dp-3, -0x1.67f8849379705p-4}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, -0x1.a1a4f8f4f84p-5, -0x1.26dc4cac56aabp-7, 0x1.e46aafa37404p-4, -0x1.691d87a3a9658p-4}, 
        {0x1.7p+2, 0x1.7333333333333p+2, -0x1.a2ff958d114ecp-5, 0x1.1c0611ff3796dp-9, 0x1.ae3fdb4ae7687p-4, -0x1.6073d7e5c291fp-4}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, -0x1.a00c33f0b891dp-5, 0x1.8a0eeea8d2626p-7, 0x1.7961ae1ba3d2cp-4, -0x1.4dfb74172c3eap-4}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, -0x1.99518aee7a71ap-5, 0x1.51f65ac52bf3bp-6, 0x1.4748c31829fcbp-4, -0x1.3cfb2ccf43cdep-4}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, -0x1.8f4ff262d2f18p-5, 0x1.cb5dd81a8a146p-6, 0x1.17bcaf92ac9d1p-4, -0x1.2b961e2af069dp-4}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, -0x1.82811c5e7e6ecp-5, 0x1.19230c2766841p-5, 0x1.d59922e5444dep-5, -0x1.1a4c107199eep-4}, 
        {0x1.8p+2, 0x1.8333333333333p+2, -0x1.73581526799f8p-5, 0x1.43dcbd7a10282p-5, 0x1.80e8b78ffc86ep-5, -0x1.08fac668b738ap-4}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, -0x1.624143340192fp-5, 0x1.6660e3e59c6b9p-5, 0x1.316a48d6f8c3p-5, -0x1.ef56d96621c51p-5}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, -0x1.4fa2673493b21p-5, 0x1.813477a161d7dp-5, 0x1.ce3a83a8e765p-6, -0x1.ccb71bfffda4ap-5}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, -0x1.3bda9c09edbe9p-5, 0x1.94dc6b7181e95p-5, 0x1.440394dc1b4b2p-6, -0x1.aa17a5deba714p-5}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, -0x1.274256ca0dd49p-5, 0x1.a1ddb38ff65b9p-5, 0x1.885f5fcc2d2p-7, -0x1.87781ca4e116ap-5}, 
        {0x1.9p+2, 0x1.9333333333333p+2, -0x1.122b66bf3268ap-5, 0x1.a8bd43d28cd66p-5, 0x1.3afb6a05b28d3p-8, -0x1.64d8988864b91p-5}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, -0x1.f9c1eacfb4916p-6, 0x1.aa001029eb1d3p-5, -0x1.c4eecdab193cdp-10, -0x1.4239130f19acep-5}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, -0x1.cf4f0ced89382p-6, 0x1.a62b0c7f82aedp-5, -0x1.f3e697167eb6cp-8, -0x1.1f998debac20fp-5}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, -0x1.a579efa5e1c66p-6, 0x1.9dc32cbebde32p-5, -0x1.a682a0b2403eap-7, -0x1.f9f4119b222a1p-6}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, -0x1.7cb1032f3df17p-6, 0x1.914d64d257fe4p-5, -0x1.1f25ec96cba55p-6, -0x1.b4b50688ac4cap-6}, 
        {0x1.ap+2, 0x1.a333333333333p+2, -0x1.55556c289e1f9p-6, 0x1.814ea8a5cfb9ap-5, -0x1.60a77a5e7f16ep-6, -0x1.6f75fec47c1fcp-6}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, -0x1.2fbb03998369ap-6, 0x1.6e4bec224510cp-5, -0x1.97c5fa2f2b4ebp-6, -0x1.2a36ea9d849bdp-6}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, -0x1.0c2856f1ef9b9p-6, 0x1.58ca23398f85fp-5, -0x1.c4816a2d3265fp-6, -0x1.c9f00966c8ddap-7}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, -0x1.d5ad5014ca663p-7, 0x1.414e41bd072f5p-5, -0x1.e6d9d1481b109p-6, -0x1.3f70e4715e719p-7}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, -0x1.97e3da47cec65p-7, 0x1.285d3bf74a4b9p-5, -0x1.fecf159d688c5p-6, -0x1.69ed8f0d95781p-8}, 
        {0x1.bp+2, 0x1.b333333333333p+2, -0x1.5f31a1cff41cap-7, 0x1.0e7c046e5df7cp-5, -0x1.0630cbe3c246cp-5, -0x1.534f1c9246c42p-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, -0x1.2bb964d143976p-7, 0x1.e85f2882cb355p-6, -0x1.07c7f79fa502p-5, 0x1.7f73b1173a5c4p-9}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, -0x1.fb0694818f8cfp-8, 0x1.b3f997df4961fp-6, -0x1.042faec36d42dp-5, 0x1.d6528b0a2805p-8}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, -0x1.a8f9c3c91942p-8, 0x1.80d1cfbd8015p-6, -0x1.f6bc451cdf6b9p-6, 0x1.72a58d44005fep-7}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, -0x1.60f248a73f0f8p-8, 0x1.4fef9af56d951p-6, -0x1.daefda849297cp-6, 0x1.042e48cf0c3a4p-6}, 
        {0x1.cp+2, 0x1.c333333333333p+2, -0x1.2260e5ec1e71ep-8, 0x1.2264c45f7bd0cp-6, -0x1.b3e8e93250c24p-6, 0x1.1f8b61da04b6ep-6}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, -0x1.d907bc7c4dffep-9, 0x1.f1eb1f6a1830cp-7, -0x1.88c7341e69a71p-6, 0x1.0b6a11c2c88d3p-6}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, -0x1.7d08e0b304ee6p-9, 0x1.a75fc0c6ef07bp-7, -0x1.60aa7e4131f86p-6, 0x1.fccc3ff29e94bp-7}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, -0x1.2f28a69ef9a01p-9, 0x1.64a825721d43p-7, -0x1.3a81930effaccp-6, 0x1.def44adf322e2p-7}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, -0x1.dbc192eb4e23ep-10, 0x1.295906091bc88p-7, -0x1.1695a70b0f1c9p-6, 0x1.c221df322eae3p-7}, 
        {0x1.dp+2, 0x1.d333333333333p+2, -0x1.6f82a2fed687cp-10, 0x1.ea037e8596105p-8, -0x1.e9a6396830d2ap-7, 0x1.a5095f6bf9878p-7}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, -0x1.16e1282f0e7e6p-10, 0x1.8e663adf2aec6p-8, -0x1.aa7e6b17fe97ep-7, 0x1.8803a6a429413p-7}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, -0x1.9eacceb07c521p-11, 0x1.3efb14c0abd33p-8, -0x1.6fb11218f8681p-7, 0x1.6af8e5fbee90ep-7}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, -0x1.2d107ef8e7719p-11, 0x1.f5c6292a6ea2fp-9, -0x1.393eef99949e3p-7, 0x1.4def7dd70545fp-7}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, -0x1.a924a70e0dbc3p-12, 0x1.827e6942cf826p-9, -0x1.0727cfec87073p-7, 0x1.30e5bb852fa95p-7}, 
        {0x1.ep+2, 0x1.e333333333333p+2, -0x1.2260e5ec1e6eep-12, 0x1.2260e5f4fec4dp-9, -0x1.b2d78131195bep-8, 0x1.13dc0963cb17ap-7}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, -0x1.7d08e0b304eap-13, 0x1.a75f3266941p-10, -0x1.60157e5ff6086p-8, 0x1.eda4e15b0aa53p-8}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, -0x1.dbc192eb4e1ddp-14, 0x1.2958fc5f15cf5p-10, -0x1.16098fc5813ccp-8, 0x1.b390c434acedfp-8}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, -0x1.16e1282f0e6bp-14, 0x1.8e66355686ea7p-11, -0x1.a967b17b34fcdp-9, 0x1.7980231f49fa6p-8}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, -0x1.2d107ef8e74e1p-15, 0x1.f5c6474e3e3e1p-12, -0x1.3827a6f1d1feep-9, 0x1.3f627d7fea27fp-8}, 
        {0x1.fp+2, 0x1.f333333333333p+2, -0x1.2260e5ec1e28p-16, 0x1.226074a6606d8p-12, -0x1.b0adcf63b119ep-10, 0x1.05756df76eb6p-8}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, -0x1.dbc192eb4d2p-18, 0x1.295c494cdd1bcp-13, -0x1.13cdc09c0846ap-10, 0x1.95a6153ad50ddp-9}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, -0x1.2d107ef8e4cp-19, 0x1.f594db8559d34p-15, -0x1.3437dae190b95p-11, 0x1.25aac0e53a278p-9}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, -0x1.dbc192eb26p-22, 0x1.2ac8fb7b59c7p-16, -0x1.080934b00ed74p-12, 0x1.43e89571a6418p-10}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, -0x1.dbc192e940001p-26, 0x1.fcdbbb6edfef2p-20, -0x1.16c36c15df9p-14, 0x1.b17ba1dbe4258p-10}, 
      }}, 
      -0x1.97e514ae2b255p-6, 0x1.3a580d7fa629dp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.a300c57f36da1p-7, 0x1.f9b1298299d77p-6, 0x1.e9ae946ee379ap-5, 0x1.91b551056e11cp-4, 0x1.2734a5369730ep-3, 0x1.92180a7519248p-3, 0x1.031edbb170799p-2, 0x1.404abcc4615cfp-2, 0x1.7f2b7ac577a43p-2, 0x1.be85244066616p-2, 0x1.fd454734c91ep-2, 0x1.1d410f2d2dd5dp-1, 0x1.3abc3657802a7p-1, 0x1.56c44995816dfp-1, 0x1.7119a11322936p-1, 0x1.898b04e79f7d4p-1, 0x1.9ff3fb4983a6fp-1, 0x1.b43b2b5626a66p-1, 0x1.c650dd4ef6a2ep-1, 0x1.d62d9c8ad189cp-1, 0x1.e3d0fc6fcca2cp-1, 0x1.ef407fd1008f4p-1, 0x1.f886a06b87001p-1, 0x1.ffb1f3bec18d6p-1, 0x1.026a350095c17p+0, 0x1.0401523853116p+0, 0x1.04a9b03c6549p+0, 0x1.046f7ad1d0aeap+0, 0x1.035f72413d188p+0, 0x1.0186ba66f6424p+0, 0x1.fde560f70e189p-1, 0x1.f7618d792f2fep-1, 0x1.ef9cca6fb9298p-1, 0x1.e6b19e3471fc6p-1, 0x1.dcba1802fc456p-1, 0x1.d1cfa9c90dc8ap-1, 0x1.c60b0867ef082p-1, 0x1.b98411c027422p-1, 0x1.ac51b7f0764bap-1, 0x1.9e89f13d47718p-1, 0x1.9041ac19c3216p-1, 0x1.818cc6d5bf991p-1, 0x1.727e0a9e7068cp-1, 0x1.63272950fa54ep-1, 0x1.5398bd9d6dfafp-1, 0x1.43e24d8e69326p-1, 0x1.34124ed992d22p-1, 0x1.24362c4c4edd1p-1, 0x1.145a4d7994e53p-1, 0x1.048a1e26d1dc6p-1, 0x1.e9a02fc738bb6p-2, 0x1.ca6b96e213a63p-2, 0x1.ab87d4a887d06p-2, 0x1.8d04a5d71ec1ep-2, 0x1.6ef0307ba76f7p-2, 0x1.5157215549f9bp-2, 0x1.3444b8063e97bp-2, 0x1.17c2e6401ecdap-2, 0x1.f7b4b61f160bdp-3, 0x1.c12540aea96c7p-3, 0x1.8be44d63ef8c9p-3, 0x1.57fcbfe6c9ecdp-3, 0x1.257796c92d2cfp-3, 0x1.e8b834490fc2ep-4, 0x1.895fe7ed0beffp-4, 0x1.2ceeaf3757ebdp-4, 0x1.a6d4695ad6c4bp-5, 0x1.f3569b1df6c53p-6, 0x1.498f4408d8b4ap-7, -0x1.3c11d52b9a3bdp-7, -0x1.d527849dea815p-6, -0x1.8053ceb86b63cp-5, -0x1.0828be7f5bb8ep-4, -0x1.4d4e46000e104p-4, -0x1.8fa3a71f3d562p-4, -0x1.cf3332c7b1fbfp-4, -0x1.060420a1ed41bp-3, -0x1.231789e30f40bp-3, -0x1.3eda5bbc25c1bp-3, -0x1.5953751a1c8fep-3, -0x1.728a0059faf6p-3, -0x1.8a85673b11aaap-3, -0x1.a14d47b1a19c7p-3, -0x1.b6e96986381bap-3, -0x1.cb61b4d8276d6p-3, -0x1.debe294f9c34bp-3, -0x1.f106d61401929p-3, -0x1.0121e9293d67fp-2, -0x1.093e9b3912f42p-2, -0x1.10dd8aee48b1dp-2, -0x1.1802bcadc4c3ap-2, -0x1.1eb22d0def8aap-2, -0x1.24efce996e8e6p-2, -0x1.2abf87d93a3d3p-2, -0x1.3025319d13a97p-2, -0x1.3524956f7cc4fp-2, -0x1.39c16c420800fp-2, -0x1.3dff5d3b0874bp-2, -0x1.41e1fcaa28f37p-2, -0x1.456ccb25aaac7p-2, -0x1.48a334c601568p-2, -0x1.4b88908756c4cp-2, -0x1.4e201fd3c022bp-2, -0x1.506d0e232e46cp-2, -0x1.527270c4e9603p-2, -0x1.543346becc218p-2, -0x1.55b278c0bfc67p-2, -0x1.56f2d9324da7ap-2, -0x1.57f72449095c6p-2, -0x1.58c2002f7abe6p-2, -0x1.5955fd3977a41p-2, -0x1.59b5961d040c9p-2, -0x1.59e3303d392bp-2, -0x1.59e11bf931961p-2, -0x1.59b19503962a3p-2, -0x1.5956c2cc2347cp-2, -0x1.58d2b8e427a31p-2, -0x1.582777710690dp-2, -0x1.5756ebaae575fp-2, -0x1.5662f0503433bp-2, -0x1.554d4e26cc6edp-2, -0x1.5417bc83d9a07p-2, -0x1.52c3e1c539b9dp-2, -0x1.515353d4f996cp-2, -0x1.4fc798b033db5p-2, -0x1.4e2226e2838dfp-2, -0x1.4c6466014f1ccp-2, -0x1.4a8faf313327bp-2, -0x1.48a54d9e3ce93p-2, -0x1.46a67ef050bc6p-2, -0x1.449473cabaeddp-2, -0x1.42705041de59ap-2, -0x1.403b2c497effep-2, -0x1.3df6142ba804bp-2, -0x1.3ba208fa64ff2p-2, -0x1.394000f8d077cp-2, -0x1.36d0e806f41f6p-2, -0x1.3455a00cf9fafp-2, -0x1.31cf015dda53ep-2, -0x1.2f3ddb18f505ap-2, -0x1.2ca2f38afca15p-2, -0x1.29ff088a22d3ep-2, -0x1.2752cfccb7cap-2, -0x1.249ef7401c432p-2, -0x1.21e4255d69619p-2, -0x1.1f22f975eb02ap-2, -0x1.1c5c0bfe99aeep-2, -0x1.198feede624ccp-2, -0x1.16bf2db420b0cp-2, -0x1.13ea4e1504e17p-2, -0x1.1111cfd07d025p-2, -0x1.0e362d3484d6ep-2, -0x1.0b57db45d3dp-2, -0x1.087749f411d4ap-2, -0x1.0594e454e90f7p-2, -0x1.02b110df0fd1cp-2, -0x1.ff986330efb08p-3, -0x1.f9cd488265cafp-3, -0x1.f4018507c99d7p-3, -0x1.ee35c4511838cp-3, -0x1.e86aaa7c585c4p-3, -0x1.e2a0d477699ecp-3, -0x1.dcd8d848fa0dap-3, -0x1.d71345684aeaap-3, -0x1.d150a50bc555bp-3, -0x1.cb917a5ee7c56p-3, -0x1.c5d642b156084p-3, -0x1.c01f75be1fe33p-3, -0x1.ba6d85f6b942ep-3, -0x1.b4c0e0b496088p-3, -0x1.af19ee5b1c943p-3, -0x1.a9791285fed18p-3, -0x1.a3deac478f359p-3, -0x1.9e4b165f02a82p-3, -0x1.98bea759df1cfp-3, -0x1.9339b1af91148p-3, -0x1.8dbc83e8812a5p-3, -0x1.884768cfdafb5p-3, -0x1.82daa79d33c5bp-3, -0x1.7d76840feb22dp-3, -0x1.781b3e83816fdp-3, -0x1.72c9140c6e5cep-3, -0x1.6d803e9fc3385p-3, -0x1.6840f5382a91p-3, -0x1.630b6beca8fbdp-3, -0x1.5ddfd3fe94b04p-3, -0x1.58be5bedddde4p-3, -0x1.53a72f980afedp-3, -0x1.4e9a785870edp-3, -0x1.49985d1e7f8fcp-3, -0x1.44a102789e4c2p-3, -0x1.3fb48aa099911p-3, -0x1.3ad315927ee1bp-3, -0x1.35fcc127c2a0dp-3, -0x1.3131a92c8f669p-3, -0x1.2c71e76c74a44p-3, -0x1.27bd93bbd6ed6p-3, -0x1.2314c40517fep-3, -0x1.1e778c5b9d205p-3, -0x1.19e5ff10970cep-3, -0x1.15602cc398acp-3, -0x1.10e6246cd998ep-3, -0x1.0c77f3646d4fap-3, -0x1.0815a56c554fbp-3, -0x1.03bf44c0646c5p-3, -0x1.fee9b4512e10ap-4, -0x1.f66cda0e4db1p-4, -0x1.ee0806c0324cep-4, -0x1.e5bb43bbf2501p-4, -0x1.dd8697b480ce4p-4, -0x1.d56a06d73406dp-4, -0x1.cd6592eb6551ap-4, -0x1.c5793b694fccfp-4, -0x1.bda4fd858f898p-4, -0x1.b5e8d439bdd7cp-4, -0x1.ae44b853f91d3p-4, -0x1.a6b8a08ed7b51p-4, -0x1.9f4481aa7ed84p-4, -0x1.97e84e7eedd4ep-4, -0x1.90a3f80747bf5p-4, -0x1.89776d6bd6cddp-4, -0x1.82629c10c46aap-4, -0x1.7b656fa8c7fd5p-4, -0x1.747fd247b3edbp-4, -0x1.6db1ac711d869p-4, -0x1.66fae523db6dap-4, -0x1.605b61e5e5ebcp-4, -0x1.59d306d2a2198p-4, -0x1.5361b6aa3a35p-4, -0x1.4d0752df41548p-4, -0x1.46c3bba1bb1f1p-4, -0x1.4096cfe94ed4cp-4, -0x1.3a806d8130e9dp-4, -0x1.348071166bbcbp-4, -0x1.2e96b64652dfp-4, -0x1.28c317aa4e6e8p-4, -0x1.23056ee0678ccp-4, -0x1.1d5d9492c5915p-4, -0x1.17cb608109641p-4, -0x1.124ea98cf8c8cp-4, -0x1.0ce745c88bf8fp-4, -0x1.07950a828b915p-4, -0x1.0257cc4f6fe5p-4, -0x1.fa5ebe1ecc223p-5, -0x1.f0372be8a2bc8p-5, -0x1.e6388714c216ap-5, -0x1.dc6273873f51ep-5, -0x1.d2b494090b2dep-5, -0x1.c92e8a5da8d09p-5, -0x1.bfcff75278bcdp-5, -0x1.b6987ac92209fp-5, -0x1.ad87b3c19c9b7p-5, -0x1.a49d40683f6fbp-5, -0x1.9bd8be28ac1a7p-5, -0x1.9339c9c2d5faap-5, -0x1.8abfff5e14696p-5, -0x1.826afa97aa10ep-5, -0x1.7a3a568d2010dp-5, -0x1.722dade521fabp-5, -0x1.6a449ada1efa6p-5, -0x1.627eb748679f9p-5, -0x1.5adb9cbec49edp-5, -0x1.535ae48edb9c6p-5, -0x1.4bfc27db05e2bp-5, -0x1.44beffa0fff89p-5, -0x1.3da304c214a2ep-5, -0x1.36a7d00b456fcp-5, -0x1.2fccfa3f0e905p-5, -0x1.29121c214b598p-5, -0x1.2276ce849a478p-5, -0x1.1bfaaa5750103p-5, -0x1.159d48ae7d124p-5, -0x1.0f5e42ce704d1p-5, -0x1.093d32314c5bap-5, -0x1.0339b08d1228fp-5, -0x1.faa6afb4ee03ep-6, -0x1.ef1384baeec5dp-6, -0x1.e3b9155f2ebc6p-6, -0x1.d89697961ccb1p-6, -0x1.cdab422ac4ef1p-6, -0x1.c2f64cd038b32p-6, -0x1.b876f02dc172bp-6, -0x1.ae2c65e62befap-6, -0x1.a415e89c74976p-6, -0x1.9a32b3f91a8dap-6, -0x1.908204b378eap-6, -0x1.870318a12238bp-6, -0x1.7db52ecaec9cdp-6, -0x1.749787846173fp-6, -0x1.6ba96480ad531p-6, -0x1.62ea08e0235a3p-6, -0x1.5a58b933b8c6fp-6, -0x1.51f4bb7761b13p-6, -0x1.49bd570839236p-6, -0x1.41b1d49d72bd1p-6, -0x1.39d17e4b1e9b9p-6, -0x1.321b9f92568d8p-6, -0x1.2a8f857d64893p-6, -0x1.232c7ec11bcfap-6, -0x1.1bf1dbd97ec1p-6, -0x1.14deef182412bp-6, -0x1.0df30c9f63d6cp-6, -0x1.072d8a4be6943p-6, -0x1.008dbf9520182p-6, -0x1.f4260ae2dd52ap-7, -0x1.e7796c94caa5bp-7, -0x1.db145c122686ap-7, -0x1.cef59472fdfedp-7, -0x1.c31bd478d9823p-7, -0x1.b785def04d9e2p-7, -0x1.ac327af07b8f9p-7, -0x1.a12073e199394p-7, -0x1.964e9945325b9p-7, -0x1.8bbbbe4f75692p-7, -0x1.8166b970ea72cp-7, -0x1.774e63f70cfa5p-7, -0x1.6d7199e4994b4p-7, -0x1.63cf3a1262bacp-7, -0x1.5a6626936348ep-7, -0x1.5135454275c0bp-7, -0x1.483b8051cf639p-7, -0x1.3f77c6b2ee9d4p-7, -0x1.36e90c36a5325p-7, -0x1.2e8e4957ec42ep-7, -0x1.26667abaf4249p-7, -0x1.1e70a07e5d438p-7, -0x1.16abbd89e00cap-7, -0x1.0f16d7086994bp-7, -0x1.07b0f432cd8bbp-7, -0x1.00791e7e9a8a3p-7, -0x1.f2dcc45a058e1p-8, -0x1.e51f9e3c628a3p-8, -0x1.d7b8f3746ab05p-8, -0x1.caa6f76bd0ad5p-8, -0x1.bde7e8f953903p-8, -0x1.b17a122d5d2fp-8, -0x1.a55bc6ff0acb3p-8, -0x1.998b630683bd3p-8, -0x1.8e0746b68a56fp-8, -0x1.82cdd4b9d3204p-8, -0x1.77dd70297e992p-8, -0x1.6d347c32e4bc4p-8, -0x1.62d15d797f924p-8, -0x1.58b27d1572993p-8, -0x1.4ed64c96f496p-8, -0x1.453b4a197746bp-8, -0x1.3be0034682acfp-8, -0x1.32c3164b789f4p-8, -0x1.29e330339e4a6p-8, -0x1.213f08c08d724p-8, -0x1.18d55c8f3f048p-8, -0x1.10a4e6ea73fa4p-8, -0x1.08ac5ceaf8ba3p-8, -0x1.00ea6b5a33d67p-8, -0x1.f2bb70630f2e9p-9, -0x1.e409cf54b164ep-9, -0x1.d5bd47acb7013p-9, -0x1.c7d349d886472p-9, -0x1.ba497032ebc17p-9, -0x1.ad1d85c3c2c39p-9, -0x1.a04d83be940d1p-9, -0x1.93d785b72e58ap-9, -0x1.87b9b7014b5edp-9, -0x1.7bf23da86c38ep-9, -0x1.707f284d0f64ap-9, -0x1.655e63b68f3afp-9, -0x1.5a8dbb1e359c8p-9, -0x1.500ae38da4354p-9, -0x1.45d38fcf83db2p-9, -0x1.3be5882006a24p-9, -0x1.323ebfada9d7ep-9, -0x1.28dd6264c47ebp-9, -0x1.1fbfd76230485p-9, -0x1.16e4b743806e4p-9, -0x1.0e4ab89d2c9eap-9, -0x1.05f0975c5022fp-9, -0x1.fba9fa3208641p-10, -0x1.ebece02b24539p-10, -0x1.dca699d92668bp-10, -0x1.cdd39887cbdd5p-10, -0x1.bf7025de74891p-10, -0x1.b17890da4bf9fp-10, -0x1.a3e95c4e4db22p-10, -0x1.96bf63688948ap-10, -0x1.89f7eb68a15c8p-10, -0x1.7d909ed70c9b2p-10, -0x1.718774a9908d7p-10, -0x1.65da8ae347976p-10, -0x1.5a87febff1525p-10, -0x1.4f8dcbe8c3451p-10, -0x1.44e9b935b7d07p-10, -0x1.3a99558af2756p-10, -0x1.309a03c8115f5p-10, -0x1.26e9123ab2788p-10, -0x1.1d83d86d426b9p-10, -0x1.1467d4fbfbc84p-10, -0x1.0b92c45f1766ep-10, -0x1.0302aa46712e5p-10, -0x1.f56b94799d4acp-11, -0x1.e555231ac44d1p-11, -0x1.d5bef3d6cf068p-11, -0x1.c6a5dea7a44ffp-11, -0x1.b806842a6bf9ep-11, -0x1.a9dd504ca4005p-11, -0x1.9c2693e78933ep-11, -0x1.8edea52829e76p-11, -0x1.8201f84738a76p-11, -0x1.758d2b45f2ad1p-11, -0x1.697d08cff92b1p-11, -0x1.5dce89d56f04cp-11, -0x1.527eda20a11a7p-11, -0x1.478b5d9b5b4e3p-11, -0x1.3cf1aea794256p-11, -0x1.32af8d3bdd912p-11, -0x1.28c2bc7795273p-11, -0x1.1f28d7fcc9c55p-11, -0x1.15df353e28d09p-11, -0x1.0ce2e5a0ebef9p-11, -0x1.0430e0aa79dap-11, -0x1.f78c8ea845df5p-12, -0x1.e7413ffb3c57ap-12, -0x1.d77bd32cff008p-12, -0x1.c838f192648d3p-12, -0x1.b9756420e7fcbp-12, -0x1.ab2d96640dd87p-12, -0x1.9d5d7673a273dp-12, -0x1.9000c378dcc47p-12, -0x1.83139313f2f49p-12, -0x1.7692b1f792ab6p-12, -0x1.6a7b9ae5762b1p-12, -0x1.5ecc00bd13e81p-12, -0x1.53812dc38d166p-12, -0x1.48979aa72ec66p-12, -0x1.3e0b04bb6b684p-12, -0x1.33d70032513fep-12, -0x1.29f7b3e2dc28bp-12, -0x1.206a4b6fc0c2bp-12, -0x1.172cd3716232cp-12, -0x1.0e3d8fc5d55bdp-12, -0x1.059a37c9292abp-12, -0x1.fa7f3d30e4df4p-13, -0x1.ea5413cf9b53ep-13, -0x1.daac03f9b131cp-13, -0x1.cb8222474170cp-13, -0x1.bcd3eabe75421p-13, -0x1.aea05021a804ap-13, -0x1.a0e62387c1055p-13, -0x1.93a2ea400ac16p-13, -0x1.86d2cb4196be8p-13, -0x1.7a714e4134b2ap-13, -0x1.6e7a162d19456p-13, -0x1.62e909576d20ep-13, -0x1.57ba08c197811p-13, -0x1.4ce8afde20c6dp-13, -0x1.42705aa62a405p-13, -0x1.384c4ec170963p-13, -0x1.2e77e7e56ef21p-13, -0x1.24eeefe7cf09dp-13, -0x1.1bae326bd1613p-13, -0x1.12b3d93788533p-13, -0x1.09ff0f6ba181cp-13, -0x1.018f264392089p-13, -0x1.f2c5f9e1968d8p-14, -0x1.e2f202fa68d1cp-14, -0x1.d39f092270323p-14, -0x1.c4ca0c6c344dbp-14, -0x1.b670799830279p-14, -0x1.a88f6fde9ce88p-14, -0x1.9b22be5cfa052p-14, -0x1.8e2473b327ec4p-14, -0x1.818d29a1aceb6p-14, -0x1.7554a95d06839p-14, -0x1.6972df917cdf9p-14, -0x1.5de15746190bp-14, -0x1.529cb05a8cf5fp-14, -0x1.47a4b0f7b1d1cp-14, -0x1.3cfa568b574dp-14, -0x1.329d4c13d3e12p-14, -0x1.288b007a0b8f3p-14, -0x1.1ec00daa66736p-14, -0x1.153a531ff7037p-14, -0x1.0bf97fac678c3p-14, -0x1.02fd7f3b4d775p-14, -0x1.f4893bfe79f3dp-15, -0x1.e396c867c2143p-15, -0x1.d31bf7c55e403p-15, -0x1.c312e37be93fap-15, -0x1.b377916a6a58dp-15, -0x1.a44642fb56043p-15, -0x1.9579ce7e6af28p-15, -0x1.870b8aa890488p-15, -0x1.78f4bd76f9e06p-15, -0x1.6b3058c72f20ep-15, -0x1.5dbbf72e28a84p-15, -0x1.509792dfeee67p-15, -0x1.43c3ab2564a88p-15, -0x1.373f09ebd01f9p-15, -0x1.2b06f3b3eb1fcp-15, -0x1.1f197216a8acep-15, -0x1.1375dd8938de6p-15, -0x1.081ad42ab5aa8p-15, -0x1.fa09baa85e536p-16, -0x1.e45f2193f94d2p-16, -0x1.cf2efd080c989p-16, -0x1.ba75af3603a37p-16, -0x1.a631882be3b38p-16, -0x1.926088b1312cbp-16, -0x1.7efecd2b90451p-16, -0x1.6c068087b9be7p-16, -0x1.59724c0258b2bp-16, -0x1.4740f54e2404p-16, -0x1.357422df366f6p-16, -0x1.240973be2483ep-16, -0x1.12f808e78297bp-16, -0x1.0239abe520d2cp-16, -0x1.e3a36288ab902p-17, -0x1.c38876510cc65p-17, -0x1.a41a83e78021p-17, -0x1.854abe2c52dc5p-17, -0x1.67141bade1332p-17, -0x1.4978886ca4d4fp-17, -0x1.2c761431a2e5ap-17, -0x1.1007866d8b626p-17, -0x1.e853880347ce9p-18, -0x1.b1b8735f14406p-18, -0x1.7c3ae60e38cc7p-18, -0x1.47ceb35e22ddcp-18, -0x1.145eb9e770699p-18, -0x1.c3bf6246e4b9dp-19, -0x1.60b7ef38c401fp-19, -0x1.ff6e2f78d6374p-20, -0x1.415401817f3f7p-20, -0x1.0e210e593829ap-21, 0x1.7a2c2ddb9ddefp-23, 0x1.c3961ecc76786p-21, 0x1.90d01af0ae403p-20, 0x1.1e3fc1683355ep-19, 0x1.72613b6fa77ep-19, 0x1.c4c96e6a76c34p-19, 0x1.0ac519b489a66p-18, 0x1.3253180317f04p-18, 0x1.5909c613aafb2p-18, 0x1.7eeaa3970e3d8p-18, 0x1.a3fa1c8dd9709p-18, 0x1.c83abb7e920bcp-18, 0x1.ebafbf8c81faap-18, 0x1.073102383e644p-17, 0x1.182c4e453e1acp-17, 0x1.28c70c9f2906dp-17, 0x1.3900b73036c48p-17, 0x1.48dd21e6c3c9p-17, 0x1.585b6dcf663e1p-17, 0x1.677a7423c5567p-17, 0x1.763ca8cffddcbp-17, 0x1.84a42aa2167d7p-17, 0x1.92b1bba1349bfp-17, 0x1.a0657420bc84bp-17, 0x1.adbf9677ad08ep-17, 0x1.bac21abf92d94p-17, 0x1.c76ecc1193003p-17, 0x1.d3c5624237b15p-17, 0x1.dfc7329eb83eep-17, 0x1.eb74eb3834c7bp-17, 0x1.f6cd2d86ef34cp-17, 0x1.00e850c933eecp-16, 0x1.064057581329fp-16, 0x1.0b6f796539ccap-16, 0x1.1076b0f1ebb4ep-16, 0x1.1555c4d222368p-16, 0x1.1a0d2e8d6d0dfp-16, 0x1.1e9d5740ed34cp-16, 0x1.2305c01878b5dp-16, 0x1.274708679846p-16, 0x1.2b61f2f4f0f27p-16, 0x1.2f56d9958525ap-16, 0x1.3325fda4b3ce1p-16, 0x1.36cfaac041bbap-16, 0x1.3a5433ee19906p-16, 0x1.3db3ee7293a0cp-16, 0x1.40ef3347c4aap-16, 0x1.44064fe710159p-16, 0x1.46f9656e41889p-16, 0x1.49c8c60997586p-16, 0x1.4c753262e3d49p-16, 0x1.4eff12456a59ep-16, 0x1.5166c828c1f64p-16, 0x1.53ac24052eeep-16, 0x1.55cf3f6f3d1b2p-16, 0x1.57d126679fe8bp-16, 0x1.59b25370fd54ap-16, 0x1.5b7327d1ecfa6p-16, 0x1.5d13861908066p-16, 0x1.5e93c8d49f48bp-16, 0x1.5ff4901b6bcccp-16, 0x1.61363b1467a0bp-16, 0x1.62591b304ae41p-16, 0x1.635d890fb5b4ap-16, 0x1.6443e27fc6cc9p-16, 0x1.650c8755d0b34p-16, 0x1.65b7d7f7c2f7ep-16, 0x1.6646351c6361ep-16, 0x1.66b8005fa72d4p-16, 0x1.670d9cdfbd69dp-16, 0x1.67476f344eb6p-16, 0x1.6765ddde60239p-16, 0x1.6769513a93345p-16, 0x1.67522506bafb7p-16, 0x1.672094fcfb58bp-16, 0x1.66d4fb6285fcdp-16, 0x1.666fd323c9953p-16, 0x1.65f1d3aab0a76p-16, 0x1.655b3f237ccb1p-16, 0x1.64ac44bd08a32p-16, 0x1.63e5416ca2ea4p-16, 0x1.6306d4d1ca84p-16, 0x1.621161660a92dp-16, 0x1.61053e4231979p-16, 0x1.5fe2cb6148607p-16, 0x1.5eaa6d93207a5p-16, 0x1.5d5c8b7f8656ep-16, 0x1.5bf98c80f601fp-16, 0x1.5a81d7f9da1c9p-16, 0x1.58f5d4a7acf8dp-16, 0x1.5755e80d99135p-16, 0x1.55a27679747efp-16, 0x1.53dbe43f6e34cp-16, 0x1.520297c69f7dcp-16, 0x1.5016fa3692bcap-16, 0x1.4e1974c43a6e7p-16, 0x1.4c0a6dfc466e7p-16, 0x1.49ea4e9e8ac81p-16, 0x1.47b973363c19ap-16, 0x1.457803706e5cp-16, 0x1.4326ae7cbe9e9p-16, 0x1.40c5ecffe1cc6p-16, 0x1.3e55b460e16c4p-16, 0x1.3bd6e47098561p-16, 0x1.3949a70da9036p-16, 0x1.36ae4ca5f1f8fp-16, 0x1.34055bd0a9fdfp-16, 0x1.314f2e1de6beap-16, 0x1.2e8c1c49763a5p-16, 0x1.2bbc845c5a249p-16, 0x1.28e0c5f34e8f5p-16, 0x1.25f94094d470ap-16, 0x1.2306531c7c2afp-16, 0x1.20085b68b1218p-16, 0x1.1cffb61c11b2ep-16, 0x1.19ecbec390253p-16, 0x1.16cfd0c17ce6ap-16, 0x1.13a9485b38896p-16, 0x1.10798275bb8f1p-16, 0x1.0d40da08bc069p-16, 0x1.09ffa4ddda41fp-16, 0x1.06b639235b7d5p-16, 0x1.0364f92bb20e2p-16, 0x1.000c179a734ccp-16, 0x1.f957f52a99c44p-17, 0x1.f28a55f6d0894p-17, 0x1.ebaf487ebd07dp-17, 0x1.e4c7ee45c3198p-17, 0x1.ddd4ea0df0919p-17, 0x1.d6d6cdc755121p-17, 0x1.cfcdf2cb7531ap-17, 0x1.c8bb62d0cd9bap-17, 0x1.c19f58a169c79p-17, 0x1.ba7a9f8f51da4p-17, 0x1.b34df0be42459p-17, 0x1.ac19cc99e37e7p-17, 0x1.a4dec1c7776c1p-17, 0x1.9d9d64099926fp-17, 0x1.965645dfe5b0ep-17, 0x1.8f09f6ede4e3bp-17, 0x1.87b90417bafecp-17, 0x1.8063f8df5b4d7p-17, 0x1.790b60f1834d3p-17, 0x1.71afc82f46dfp-17, 0x1.6a51b812071bfp-17, 0x1.62f1b14e2deb5p-17, 0x1.5b902bdfdced2p-17, 0x1.542db5e5b7c4fp-17, 0x1.4ccae84c16b61p-17, 0x1.4567ecefe3aabp-17, 0x1.3e05771309415p-17, 0x1.36a3cf4acb6fbp-17, 0x1.2f43be4b6f09ep-17, 0x1.27e597efffb22p-17, 0x1.2089c42c477aap-17, 0x1.1930b2abbbb3dp-17, 0x1.11dacd6d5553fp-17, 0x1.0a887c2bdb042p-17, 0x1.033a3600506abp-17, 0x1.f7e0fa55af873p-18, 0x1.e9570b7a484bdp-18, 0x1.dad7468e96cd4p-18, 0x1.cc6295987d9c3p-18, 0x1.bdfa1c2d6daadp-18, 0x1.af9e6337f810dp-18, 0x1.a1500d2b926b9p-18, 0x1.930fcb89b3516p-18, 0x1.84de4e82336e9p-18, 0x1.76bc43d0eee87p-18, 0x1.68aa56fc9854cp-18, 0x1.5aa9304f0240ep-18, 0x1.4cb9700ec0aa2p-18, 0x1.3edba58ac1355p-18, 0x1.31105f0656efp-18, 0x1.2358643b9c2f6p-18, 0x1.15b469a6a9426p-18, 0x1.08244cc7cba22p-18, 0x1.f5518840da34cp-19, 0x1.da85d011e2512p-19, 0x1.bfe5ee77e6d9fp-19, 0x1.a572b4e2750cdp-19, 0x1.8b2d1a8ab2f55p-19, 0x1.711611518459dp-19, 0x1.572e833d492c2p-19, 0x1.3d77535fb60a5p-19, 0x1.23f15e0db3f6cp-19, 0x1.0a9d77ed6ba37p-19, 0x1.e2f8d22858bfcp-20, 0x1.b11dd326017dfp-20, 0x1.7fab65596d40ap-20, 0x1.4ea34a6c24877p-20, 0x1.1e079981df09ap-20, 0x1.dbb031450724dp-21, 0x1.7c2ae610f59b4p-21, 0x1.1d85fb2216849p-21, 0x1.7f85991addabbp-22, 0x1.8b8bb27953867p-23, 0x1.ba23058f794cp-27, -0x1.50a8a75fcb6d1p-23, -0x1.5ca678943cf78p-22, -0x1.0791032fbe0f4p-21, -0x1.5fe1c92aea4c5p-21, -0x1.b742dedd69f4ep-21, -0x1.06d8c550f2137p-20, -0x1.3198cc4c3361dp-20, -0x1.5bdec093c1bcbp-20, -0x1.85a9993e49a33p-20, -0x1.aef952e132e12p-20, -0x1.d7cd5b184ee6ep-20, -0x1.00128e319f133p-19, -0x1.1400075d3ec15p-19, -0x1.27aedb1699ab9p-19, -0x1.3b1ed0dbd3473p-19, -0x1.4e4fb55b600bep-19, -0x1.61415a41ee152p-19, -0x1.73f395e9a78eep-19, -0x1.866642f8c3404p-19, }}, 
      {{0x1.1c907ba59c177p-7, 0x1.e4a98ad16f1c3p-7, 0x1.94cf1494339fcp-6, 0x1.3837fef9e27fap-5, 0x1.bf89d9ada38a9p-5, 0x1.2e8b7420f0327p-4, 0x1.86c6f6ab579edp-4, 0x1.e6d798c2b4c5dp-4, 0x1.2697e779add87p-3, 0x1.5c2d4aa078ea2p-3, 0x1.937f9dc7b71b6p-3, 0x1.cbf1ad5027f4cp-3, 0x1.027ada13927d6p-2, 0x1.1f0693a68eab2p-2, 0x1.3b64152447254p-2, 0x1.5762655adef9ap-2, 0x1.72d70cccc966ep-2, 0x1.8d9d9996506b3p-2, 0x1.a797209836d5bp-2, 0x1.c0a9c023abedbp-2, 0x1.d8c026fa3e461p-2, 0x1.efc921692e8e5p-2, 0x1.02db96bef2f6ap-1, 0x1.0d400b62abdbcp-1, 0x1.170e4cd9a3afep-1, 0x1.204407435f331p-1, 0x1.28e00dab2aa3p-1, 0x1.30e236713bcebp-1, 0x1.384b3add1dd82p-1, 0x1.3f1c999e0dcebp-1, 0x1.45587c01685cdp-1, 0x1.4b019dacce877p-1, 0x1.501b36aae76e5p-1, 0x1.54a8e79c22b8p-1, 0x1.58aea7df0ef8p-1, 0x1.5c30b58728db4p-1, 0x1.5f3386fbee499p-1, 0x1.61bbbe1cd53f4p-1, 0x1.63ce1cc913b1cp-1, 0x1.656f7aad075d8p-1, 0x1.66a4bc3911cbdp-1, 0x1.6772caa8696c7p-1, 0x1.67de8d003d95ep-1, 0x1.67ece1f12f7dp-1, 0x1.67a29a87b8c3dp-1, 0x1.67047598a3aa8p-1, 0x1.66171bd7b32eap-1, 0x1.64df1c8a212eep-1, 0x1.6360eac3fbf33p-1, 0x1.61a0db2440881p-1, 0x1.5fa32204352e4p-1, 0x1.5d6bd2093a4fbp-1, 0x1.5afedb1845406p-1, 0x1.5860098ffea9dp-1, 0x1.559305d341e2cp-1, 0x1.529b5407ec8bap-1, 0x1.4f7c5411dd2fcp-1, 0x1.4c3941bc50e3p-1, 0x1.48d53508cc254p-1, 0x1.455322a7c25d1p-1, 0x1.41b5dc8295979p-1, 0x1.3e001266bda19p-1, 0x1.3a3452ba5c1dap-1, 0x1.36550b4a1e444p-1, 0x1.32648a205e8c2p-1, 0x1.2e64fe6acea14p-1, 0x1.2a587966e9b55p-1, 0x1.2640ef55b5154p-1, 0x1.22203874e7b57p-1, 0x1.1df811fba3a8cp-1, 0x1.19ca1f17df124p-1, 0x1.1597e9ea701bp-1, 0x1.1162e47f321c1p-1, 0x1.0d2c69c327c5dp-1, 0x1.08f5be78af601p-1, 0x1.04c0122a242e8p-1, 0x1.008c8019b8723p-1, 0x1.f8b82058c965fp-2, 0x1.f05f6f9a03eddp-2, 0x1.e810b58d9d6c2p-2, 0x1.dfcd9831521c9p-2, 0x1.d7979d84ff673p-2, 0x1.cf702d1a8eec8p-2, 0x1.c75891a161473p-2, 0x1.bf51fa660238p-2, 0x1.b75d7cc6ef37fp-2, 0x1.af7c1598f6c99p-2, 0x1.a7aeaa7bf9f7ap-2, 0x1.9ff60b1cbb38p-2, 0x1.9852f268eb5a6p-2, 0x1.90c607b702f91p-2, 0x1.894fdfe4b1c7fp-2, 0x1.81f0fe6d06e9ap-2, 0x1.7aa9d677be016p-2, 0x1.737acbdbd3141p-2, 0x1.6c64341b39d4p-2, 0x1.6566574d5c537p-2, 0x1.5e8170fdac971p-2, 0x1.57b5b0fbc5997p-2, 0x1.51033c1f08547p-2, 0x1.4a6a2cfed7f7bp-2, 0x1.43ea94a3a6dacp-2, 0x1.3d847b2ca3ee5p-2, 0x1.3737e073f2c82p-2, 0x1.3104bca8a43fep-2, 0x1.2aeb00e43c644p-2, 0x1.24ea97b884cb4p-2, 0x1.1f0365b5e77ecp-2, 0x1.193549e97c54ep-2, 0x1.13801e52bfe9cp-2, 0x1.0de3b850a9e63p-2, 0x1.085fe907ee9c6p-2, 0x1.02f47dc174cf9p-2, 0x1.fb428085055a4p-3, 0x1.f0cbee3ff3ca2p-3, 0x1.e684cc1944e25p-3, 0x1.dc6c9c465d5eep-3, 0x1.d282dc5898c0bp-3, 0x1.c8c705c254a7dp-3, 0x1.bf388e5432fb6p-3, 0x1.b5d6e8b324e4p-3, 0x1.aca184c63959ap-3, 0x1.a397d0209287dp-3, 0x1.9ab9365ad98d2p-3, 0x1.9205217222a72p-3, 0x1.897afa14bcdc8p-3, 0x1.811a27ee15eb6p-3, 0x1.78e211eb29772p-3, 0x1.70d21e7955917p-3, 0x1.68e9b3bfe0446p-3, 0x1.612837d55d947p-3, 0x1.598d10f0c2f63p-3, 0x1.5217a59674be7p-3, 0x1.4ac75cc220a75p-3, 0x1.439b9e0d79a65p-3, 0x1.3c93d1d344d12p-3, 0x1.35af615104a8ap-3, 0x1.2eedb6c2a9de1p-3, 0x1.284e3d811803ap-3, 0x1.21d0621826913p-3, 0x1.1b73925e2956p-3, 0x1.15373d880244ep-3, 0x1.0f1ad43adfc1ap-3, 0x1.091dc89c15634p-3, 0x1.033f8e5f37a0cp-3, 0x1.faff35a472a3bp-4, 0x1.efbac9cfb0d63p-4, 0x1.e4b0ca81756e3p-4, 0x1.d9e02c662ebbep-4, 0x1.cf47e7a1d1a94p-4, 0x1.c4e6f7da51048p-4, 0x1.babc5c401a228p-4, 0x1.b0c71794837fbp-4, 0x1.a706302c801f9p-4, 0x1.9d78aff95b845p-4, 0x1.941da480b8314p-4, 0x1.8af41ee6f9c38p-4, 0x1.81fb33e7c02f1p-4, 0x1.7931fbd61e1b2p-4, 0x1.709792995e0c8p-4, 0x1.682b17a92a4aap-4, 0x1.5febae088efap-4, 0x1.57d87c4027591p-4, 0x1.4ff0ac5818acep-4, 0x1.48336bd17f35dp-4, 0x1.409feb9ead6f7p-4, 0x1.3935601ac8f03p-4, 0x1.31f301019be2bp-4, 0x1.2ad809672cf88p-4, 0x1.23e3b7ae5de7dp-4, 0x1.1d154d7ef0276p-4, 0x1.166c0fbbcbfd8p-4, 0x1.0fe746796bcbep-4, 0x1.09863cf3ae4edp-4, 0x1.0348418352a7fp-4, 0x1.fa594b24573b2p-5, 0x1.ee657b2873c02p-5, 0x1.e2b3c1ede59bfp-5, 0x1.d742d43a7b8cp-5, 0x1.cc116ca06edf9p-5, 0x1.c11e4b6bb5e97p-5, 0x1.b668368c0bc73p-5, 0x1.abedf97fb9abcp-5, 0x1.a1ae653e9b46bp-5, 0x1.97a85024be301p-5, 0x1.8dda95dca1474p-5, 0x1.84441749f423ap-5, 0x1.7ae3ba7541333p-5, 0x1.71b86a77c3209p-5, 0x1.68c11766a942dp-5, 0x1.5ffcb63e3d712p-5, 0x1.576a40cd7634ap-5, 0x1.4f08b5a2d0e5dp-5, 0x1.46d717f8d15c8p-5, 0x1.3ed46fa293926p-5, 0x1.36ffc8f829e66p-5, 0x1.2f5834c391f79p-5, 0x1.27dcc82e352dap-5, 0x1.208c9caea3505p-5, 0x1.1966cff658607p-5, 0x1.126a83dfb683bp-5, 0x1.0b96de5c68701p-5, 0x1.04eb096398ea6p-5, 0x1.fccc65c179f9p-6, 0x1.f00f194753382p-6, 0x1.e39c989b4954dp-6, 0x1.d7735688348cep-6, 0x1.cb91cd3c09696p-6, 0x1.bff67e29bb25p-6, 0x1.b49ff1e9030c2p-6, 0x1.a98cb8179898fp-6, 0x1.9ebb673b5a37cp-6, 0x1.942a9ca4e1b67p-6, 0x1.89d8fc5197ecap-6, 0x1.7fc530ce3a63fp-6, 0x1.75edeb19e3e24p-6, 0x1.6c51e28a573eep-6, 0x1.62efd4b0f4818p-6, 0x1.59c685400056ep-6, 0x1.50d4bdeedf6a2p-6, 0x1.48194e6065bbp-6, 0x1.3f930c078e85p-6, 0x1.3740d20f01e91p-6, 0x1.2f2181404355ap-6, 0x1.2733ffeb33ab8p-6, 0x1.1f7739cd91fbp-6, 0x1.17ea1ffac0825p-6, 0x1.108ba8c428013p-6, 0x1.095acfa24772ep-6, 0x1.0256951e4813ep-6, 0x1.f6fbfd77638c2p-7, 0x1.e9a02dc49a647p-7, 0x1.dc97d99073f83p-7, 0x1.cfe128b92366cp-7, 0x1.c37a4c6520f03p-7, 0x1.b7617eda72f02p-7, 0x1.ab950355e1bd3p-7, 0x1.a01325e17762dp-7, 0x1.94da3b32265a2p-7, 0x1.89e8a0780eb5cp-7, 0x1.7f3cbb427fc78p-7, 0x1.74d4f95348fbap-7, 0x1.6aafd07d3c1ebp-7, 0x1.60cbbe7f76ea8p-7, 0x1.572748e143299p-7, 0x1.4dc0fccea6c74p-7, 0x1.44976ef5d59d6p-7, 0x1.3ba93b6559efcp-7, 0x1.32f5056aeafefp-7, 0x1.2a7977728c3a2p-7, 0x1.223542e5f69c5p-7, 0x1.1a27200c4de44p-7, 0x1.124dcdea8e976p-7, 0x1.0aa812248e198p-7, 0x1.0334b8dec1361p-7, 0x1.f7e52940f4d9dp-8, 0x1.e9c0fc6d18a13p-8, 0x1.dbfaa92c389b6p-8, 0x1.ce8ff97fb4feap-8, 0x1.c17ec3474e4bep-8, 0x1.b4c4e809b23ep-8, 0x1.a86054be2c554p-8, 0x1.9c4f019772f46p-8, 0x1.908ef1cfc2e29p-8, 0x1.851e337219565p-8, 0x1.79fadf2a70678p-8, 0x1.6f23181188f05p-8, 0x1.64950b79c2a5dp-8, 0x1.5a4ef0c04db43p-8, 0x1.504f091cce115p-8, 0x1.46939f726520ep-8, 0x1.3d1b08214ff6ep-8, 0x1.33e3a0d8f9d9ap-8, 0x1.2aebd06aa4cb3p-8, 0x1.2232069cc94f4p-8, 0x1.19b4bbff54475p-8, 0x1.117271c0ee84ep-8, 0x1.0969b1854d39ep-8, 0x1.01990d3b40438p-8, 0x1.f3fe3de7593b2p-9, 0x1.e53511781e6d4p-9, 0x1.d6d3e8e672ebfp-9, 0x1.c8d8274b65b33p-9, 0x1.bb3f3ec558beep-9, 0x1.ae06b031ab166p-9, 0x1.a12c0ae26877cp-9, 0x1.94acec55d8a56p-9, 0x1.8886ffefe2831p-9, 0x1.7cb7feb45c33dp-9, 0x1.713daf01ed957p-9, 0x1.6615e44d5780bp-9, 0x1.5b3e7edd3e347p-9, 0x1.50b56b86f8f67p-9, 0x1.4678a36ceaa3fp-9, 0x1.3c862bbe9edf4p-9, 0x1.32dc157aeed8p-9, 0x1.29787d33e6be7p-9, 0x1.20598ad3c931ap-9, 0x1.177d7162aced8p-9, 0x1.0ee26ecc0fc62p-9, 0x1.0686cba46b53fp-9, 0x1.fcd1b5dd969efp-10, 0x1.ed0df3c69f9d1p-10, 0x1.ddbf1f6e76826p-10, 0x1.cee21ace6d86fp-10, 0x1.c073db07d7716p-10, 0x1.b2716801271c2p-10, 0x1.a4d7dc057fd99p-10, 0x1.97a46364da771p-10, 0x1.8ad43c130343cp-10, 0x1.7e64b544ee7fdp-10, 0x1.72532f0cbc273p-10, 0x1.669d19f60a8c7p-10, 0x1.5b3ff6a4f0fe5p-10, 0x1.50395579857c2p-10, 0x1.4586d6396fa63p-10, 0x1.3b2627bf48beep-10, 0x1.311507aea3ff2p-10, 0x1.27514229b0bf1p-10, 0x1.1dd8b18625192p-10, 0x1.14a93dfef2a4bp-10, 0x1.0bc0dd61509cbp-10, 0x1.031d92b65b33p-10, 0x1.f57adbd5b9a71p-11, 0x1.e53d16f230f48p-11, 0x1.d57e283138dcbp-11, 0x1.c63a78ed16e58p-11, 0x1.b76e89efacc47p-11, 0x1.a916f3049da43p-11, 0x1.9b3062924081fp-11, 0x1.8db79d4228babp-11, 0x1.80a97d8fde3ddp-11, 0x1.7402f34791e4bp-11, 0x1.67c102e4bd7b1p-11, 0x1.5be0c4f5b175p-11, 0x1.505f656fc2476p-11, 0x1.453a230c5d77bp-11, 0x1.3a6e4ebf04d86p-11, 0x1.2ff94b4b6583ap-11, 0x1.25d88cfd5c7a2p-11, 0x1.1c09997a3892cp-11, 0x1.128a079bed9fep-11, 0x1.09577f42dbad2p-11, 0x1.006fb90dcee42p-11, 0x1.efa0fbda723b8p-12, 0x1.deef4d22848bfp-12, 0x1.cec6357a91f97p-12, 0x1.bf21a129785bep-12, 0x1.affd97ee9472ep-12, 0x1.a1563c0443471p-12, 0x1.9327c981cbeb8p-12, 0x1.856e961ae6b23p-12, 0x1.78271122d14dep-12, 0x1.6b4dc3a934e2p-12, 0x1.5edf5082143bdp-12, 0x1.52d8740f7cc23p-12, 0x1.473603b506764p-12, 0x1.3bf4ecee6f24ep-12, 0x1.31123417bbf08p-12, 0x1.268af30b18c13p-12, 0x1.1c5c57c6cf5dfp-12, 0x1.1283a34de3448p-12, 0x1.08fe28eb48a27p-12, 0x1.ff929bcb82687p-13, 0x1.edc513245654cp-13, 0x1.dc8ecb3bc042ap-13, 0x1.cbeafcc5414d8p-13, 0x1.bbd50633de445p-13, 0x1.ac486ba452cd3p-13, 0x1.9d40d627f5bd2p-13, 0x1.8eba1261b75abp-13, 0x1.80b00e7e8d5a7p-13, 0x1.731ed7b7a95ebp-13, 0x1.660297b534b99p-13, 0x1.59579242c367ap-13, 0x1.4d1a23c19713dp-13, 0x1.4146c09494669p-13, 0x1.35d9f57914cc1p-13, 0x1.2ad06872a9e4cp-13, 0x1.2026d9c984136p-13, 0x1.15da24b089dfbp-13, 0x1.0be73f5adcc39p-13, 0x1.024b3a80fc07dp-13, 0x1.f20680ec05db9p-14, 0x1.e01927c46bca9p-14, 0x1.cec91c4f0b1a2p-14, 0x1.be113ad7a9e0ap-14, 0x1.adec84ee8d222p-14, 0x1.9e561dfa07dfdp-14, 0x1.8f494952f1551p-14, 0x1.80c16a39f09ep-14, 0x1.72ba05b82243ep-14, 0x1.652ec54eb4a6fp-14, 0x1.581b787df1a61p-14, 0x1.4b7c1460abb7fp-14, 0x1.3f4cb1c34068p-14, 0x1.33898ad72a503p-14, 0x1.282ef979dada7p-14, 0x1.1d39763bf7033p-14, 0x1.12a5977239571p-14, 0x1.08700f951d341p-14, 0x1.fd2b55cb657ecp-15, 0x1.ea269a7092c34p-15, 0x1.d7cbe21266e2ep-15, 0x1.c6155075fd727p-15, 0x1.b4fd3b5d03ff7p-15, 0x1.a47e2c951eefdp-15, 0x1.9492e0d1ddd1dp-15, 0x1.853643ae39e6bp-15, 0x1.76636afc3609fp-15, 0x1.6815939f6e3fbp-15, 0x1.5a482091a64bep-15, 0x1.4cf69ae4ef7eep-15, 0x1.401cb1188dfa9p-15, 0x1.33b635396271fp-15, 0x1.27bf1aa3b2de6p-15, 0x1.1c3374f703639p-15, 0x1.110f78fab54a8p-15, 0x1.064f7ecb6fbd6p-15, 0x1.f7e0072892e55p-16, 0x1.e3db5224f5345p-16, 0x1.d08a6478e0b9dp-16, 0x1.bde6fc8f2a5c7p-16, 0x1.abeb08fe6fe17p-16, 0x1.9a90a61925229p-16, 0x1.89d220fde7199p-16, 0x1.79a9fb40ad667p-16, 0x1.6a12ea3e365b8p-16, 0x1.5b07d211d498cp-16, 0x1.4c83c0423496bp-16, 0x1.3e81e957c7cdbp-16, 0x1.30fda879f3739p-16, 0x1.23f27e837be13p-16, 0x1.175c10bd27c1fp-16, 0x1.0b3629ee35aa8p-16, 0x1.fef97d6454715p-17, 0x1.e857e4426aac3p-17, 0x1.d2802c9ba02afp-17, 0x1.bd6b4cff88f92p-17, 0x1.a9127b7ece4c9p-17, 0x1.956f1ed13b4dcp-17, 0x1.827acd7fa787bp-17, 0x1.702f5a70a1394p-17, 0x1.5e86e2e399d8ep-17, 0x1.4d7bcfecdcea1p-17, 0x1.3d08c781e1d84p-17, 0x1.2d2896200ce9p-17, 0x1.1dd61f2b0a537p-17, 0x1.0f0c5a9a12e54p-17, 0x1.00c659b1af83cp-17, 0x1.e5fe9580ce7c1p-18, 0x1.cb64fd5a21545p-18, 0x1.b1b6f061aa6e5p-18, 0x1.98ec02dfa5dbfp-18, 0x1.80fc69039790dp-18, 0x1.69e0cecba6508p-18, 0x1.5392193650ec4p-18, 0x1.3e094dedba77p-18, 0x1.293fb126aec5dp-18, 0x1.152eee37793bap-18, 0x1.01d114f394d59p-18, 0x1.de40d8a88392ep-19, 0x1.ba2e98abdbabfp-19, 0x1.97603b7e64962p-19, 0x1.75cad87f61597p-19, 0x1.5563d93c54854p-19, 0x1.3620ea5fd8757p-19, 0x1.17f7f08386b7ep-19, 0x1.f5be1d0970932p-20, 0x1.bd996ddea159fp-20, 0x1.876f85a2efeecp-20, 0x1.532f1704a9532p-20, 0x1.20c805a05563fp-20, 0x1.e056f97e6d70fp-21, 0x1.829798ca31f7fp-21, 0x1.2837fef711a55p-21, 0x1.a23d722e216bap-22, 0x1.f4c946dab2d09p-23, 0x1.62cc913a02468p-24, -0x1.0c20043f67dfp-24, -0x1.b1f7d4ac25f28p-23, -0x1.69560d1426974p-22, -0x1.f442485d3343ap-22, -0x1.3cf5722952e7p-21, -0x1.7d3c5fd8bd679p-21, -0x1.bb09da13f0e96p-21, -0x1.f6716beb74b0fp-21, -0x1.17c3209462ad8p-20, -0x1.332d86c57ed2bp-20, -0x1.4d80d57b3d64p-20, -0x1.66c53981acf55p-20, -0x1.7f020a734c73ep-20, -0x1.963e3ca114be1p-20, -0x1.ac80e5a0d675ap-20, -0x1.c1d12880a1e12p-20, -0x1.d635bcad91a76p-20, -0x1.e9b4d89c4debcp-20, -0x1.fc5493b69c30fp-20, -0x1.070d8ed723b79p-19, -0x1.0f8748d242413p-19, -0x1.179a5f586f88cp-19, -0x1.1f4991e6ded21p-19, -0x1.2697856b7704ep-19, -0x1.2d86cf980b63ap-19, -0x1.3419fa4e3f361p-19, -0x1.3a53831afbe22p-19, -0x1.4035d7238c9e9p-19, -0x1.45c345afd0434p-19, -0x1.4afdf5e565681p-19, -0x1.4fe7f660aee14p-19, -0x1.548354c92c40cp-19, -0x1.58d21a0192161p-19, -0x1.5cd63e09c89f7p-19, -0x1.6091b1951a86fp-19, -0x1.64065bebebe04p-19, -0x1.6736018bd3d13p-19, -0x1.6a22477f52922p-19, -0x1.6cccd1122c4fp-19, -0x1.6f37456d07186p-19, -0x1.71633eec8238cp-19, -0x1.73524aef29ca6p-19, -0x1.7505f40b4a372p-19, -0x1.767fbc4d6f53dp-19, -0x1.77c1135ff46ecp-19, -0x1.78cb59a1af3fp-19, -0x1.799feb39a5876p-19, -0x1.7a4029e4194aep-19, -0x1.7aad792331be6p-19, -0x1.7ae92b9c8bc12p-19, -0x1.7af47248c8dabp-19, -0x1.7ad06b6842391p-19, -0x1.7a7e400929fb7p-19, -0x1.79ff24c6a51d5p-19, -0x1.79544e684471ap-19, -0x1.787eee91a79f7p-19, -0x1.77802bd2cbb0cp-19, -0x1.765915dd12c0dp-19, -0x1.750aa91ef39bdp-19, -0x1.7395e68cacf64p-19, -0x1.71fbdaa756702p-19, -0x1.703d8b8ffbe57p-19, -0x1.6e5bf2a01ab2cp-19, -0x1.6c5802308eb7dp-19, -0x1.6a32a8a89958ap-19, -0x1.67ecd657d62b2p-19, -0x1.65877f80bea66p-19, -0x1.630396021de16p-19, -0x1.6061fec08615bp-19, -0x1.5da38dd2c1dabp-19, -0x1.5ac918a3a3a91p-19, -0x1.57d37c1486f24p-19, -0x1.54c38ec222eaep-19, -0x1.519a20080480ep-19, -0x1.4e57fd13de8d7p-19, -0x1.4afdeff90dec9p-19, -0x1.478cc19a19adfp-19, -0x1.44053a3ca1abfp-19, -0x1.40681e83c0921p-19, -0x1.3cb62e4e72f9dp-19, -0x1.38f02436cc2aep-19, -0x1.3516b753d1b4bp-19, -0x1.312aa022579c7p-19, -0x1.2d2c92cea0eadp-19, -0x1.291d3d5d5df3ap-19, -0x1.24fd4fc2646bap-19, -0x1.20cd7a8f5f511p-19, -0x1.1c8e6a1b4eba2p-19, -0x1.1840c5055e521p-19, -0x1.13e52d0d38343p-19, -0x1.0f7c45f1062bdp-19, -0x1.0b06b1d78383ap-19, -0x1.06850d7c3e683p-19, -0x1.01f7f49485409p-19, -0x1.fac00111f38d6p-20, -0x1.f17b8fb95213cp-20, -0x1.e823be2f0a46bp-20, -0x1.deb9b1f30dcfdp-20, -0x1.d53e8c46c35a1p-20, -0x1.cbb36990b81f3p-20, -0x1.c21961db0a69ap-20, -0x1.b87189452fd5ep-20, -0x1.aebcee78255b9p-20, -0x1.a4fc9b70dbaa1p-20, -0x1.9b3197f81fe1dp-20, -0x1.915ce728dd9ddp-20, -0x1.877f893ff5cc1p-20, -0x1.7d9a77cf3bae3p-20, -0x1.73aea76d8138ep-20, -0x1.69bd0b8895344p-20, -0x1.5fc69273e265bp-20, -0x1.55cc26d5b3427p-20, -0x1.4bceac8654362p-20, -0x1.41cf04c7e1dcp-20, -0x1.37ce0dedfa831p-20, -0x1.2dcca150ca30bp-20, -0x1.23cb942727c4bp-20, -0x1.19cbb7b7c6562p-20, -0x1.0fcdd996fcfa2p-20, -0x1.05d2c56ba3f09p-20, -0x1.f7b687368d475p-21, -0x1.e3d027b8171e6p-21, -0x1.cff3e3483097dp-21, -0x1.bc232f8200449p-21, -0x1.a85f7b3fbf11p-21, -0x1.94aa2cafc374p-21, -0x1.8104a1e1e7b5fp-21, -0x1.6d703033f051dp-21, -0x1.59ee24426973dp-21, -0x1.467fc5a6274eap-21, -0x1.33265611e0485p-21, -0x1.1fe311c2a00bbp-21, -0x1.0cb7296869269p-21, -0x1.f3478af940c5dp-22, -0x1.cd54107835bffp-22, -0x1.a7961d26a4ffap-22, -0x1.820fd888134b7p-22, -0x1.5cc35b4f2d0f1p-22, -0x1.37b2b1138a7a1p-22, -0x1.12dfd858f69f4p-22, -0x1.dc99858a33556p-23, -0x1.93f6aa0e1e409p-23, -0x1.4bdaccb51cd32p-23, -0x1.04497fce2e2cp-23, -0x1.7a8c7054c073dp-24, -0x1.db513698ac66ep-25, -0x1.87b7ea40c7784p-26, 0x1.44e9353f0c506p-27, 0x1.63e54f7860f0ap-25, 0x1.3a0c990e11303p-24, 0x1.c0e5458c30724p-24, 0x1.233b98be601dcp-23, 0x1.655e8bbc45a9bp-23, 0x1.a6d8f5fb33cc8p-23, 0x1.e7a853920f394p-23, 0x1.13e51fe0a186ap-22, 0x1.339e3fb1d6037p-22, 0x1.52fe6809daf21p-22, 0x1.7204922b69f61p-22, 0x1.90afbf8955444p-22, 0x1.aefef8aac80b9p-22, 0x1.ccf154bc95518p-22, 0x1.ea85f5f8306e2p-22, 0x1.03de0464be9d1p-21, 0x1.124962003404p-21, 0x1.2084b477544dap-21, 0x1.2e8fa1bdcb59cp-21, 0x1.3c69d51f342d6p-21, 0x1.4a12ff3b7562fp-21, 0x1.578ad5f2dc7b4p-21, 0x1.64d113fa4164ep-21, 0x1.71e5786248a92p-21, 0x1.7ec7c6b072f7dp-21, 0x1.8b77c78f47c0fp-21, 0x1.97f54998329b5p-21, 0x1.a44020af721b2p-21, 0x1.b05823bc9602p-21, 0x1.bc3d2e171250dp-21, 0x1.c7ef1db38a41ap-21, 0x1.d36dd4bee46afp-21, 0x1.deb93f521c7d8p-21, 0x1.e9d148f68381fp-21, 0x1.f4b5e2bc59ff5p-21, 0x1.ff6701160cba7p-21, 0x1.04f24ec25cd34p-20, 0x1.0a175946ee0d6p-20, 0x1.0f22a168e0cc5p-20, 0x1.141428e00288ep-20, 0x1.18ebf34ed4fc5p-20, 0x1.1daa069c22a85p-20, 0x1.224e6a456d3edp-20, 0x1.26d92779949f3p-20, 0x1.2b4a49274f2c7p-20, 0x1.2fa1dc0f4dc51p-20, 0x1.33dfeec707b9ep-20, 0x1.3804919775054p-20, 0x1.3c0fd5c64cbd3p-20, 0x1.4001cc43f0692p-20, 0x1.43da87fb10757p-20, 0x1.479a20fbf005cp-20, 0x1.4b40b03737b5p-20, 0x1.4ece4dc2dacabp-20, 0x1.5243127c8e636p-20, 0x1.559f19fa0d523p-20, 0x1.58e280634eeep-20, 0x1.5c0d640c8ff55p-20, 0x1.5f1fe344f1bcfp-20, 0x1.621a1e66cdb71p-20, 0x1.64fc36c78f8e7p-20, 0x1.67c64ecaecaa7p-20, 0x1.6a788a731c309p-20, 0x1.6d130e646aeb6p-20, 0x1.6f96003cf633bp-20, 0x1.720186161fffcp-20, 0x1.7455c7dde172fp-20, 0x1.7692ee4121cc1p-20, 0x1.78b9227fa6366p-20, 0x1.7ac88e67f52b6p-20, 0x1.7cc15d5a99d56p-20, 0x1.7ea3bb6dc675ap-20, 0x1.806fd574efaccp-20, 0x1.8225d8ffc7ebap-20, 0x1.83c5f43a4a51dp-20, 0x1.855055e26ccadp-20, 0x1.86c52d5316449p-20, 0x1.8824aaa1eb90dp-20, 0x1.896efee955f76p-20, 0x1.8aa45c451824ap-20, 0x1.8bc4f503ed892p-20, 0x1.8cd0fba31f554p-20, 0x1.8dc8a38f12c92p-20, 0x1.8eac1f96e4836p-20, 0x1.8f7ba2f71ed29p-20, 0x1.903762a665b66p-20, 0x1.90df93e606508p-20, 0x1.91746c33314f8p-20, 0x1.91f621590213ep-20, 0x1.9264e96a91714p-20, 0x1.92c0facc15806p-20, 0x1.930a8c2ea4b89p-20, 0x1.9341d49077a76p-20, 0x1.93670b462a319p-20, 0x1.937a67fe99eedp-20, 0x1.937c22913722ap-20, 0x1.936c72c224a44p-20, 0x1.934b906c94407p-20, 0x1.9319b46545739p-20, 0x1.92d71767579a6p-20, 0x1.9283f17a306e6p-20, 0x1.92207b850b02dp-20, 0x1.91acee7017fdap-20, 0x1.912983174dd64p-20, 0x1.909672650d846p-20, 0x1.8ff3f561af89fp-20, 0x1.8f424541551cdp-20, 0x1.8e819b24deb5ap-20, 0x1.8db22fd69a30cp-20, 0x1.8cd43c27ef92ep-20, 0x1.8be7f9daacac9p-20, 0x1.8aeda1577e521p-20, 0x1.89e56b695e28cp-20, 0x1.88cf9109ca5cdp-20, 0x1.87ac4aef3904ep-20, 0x1.867bd1b08d15ep-20, 0x1.853e5dc8b5556p-20, 0x1.83f42791f53e4p-20, 0x1.829d67409366bp-20, 0x1.813a54e4f3ea9p-20, 0x1.7fcb2863ca67ap-20, 0x1.7e501972403e8p-20, 0x1.7cc95f9128b62p-20, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.1695ef244218ep-7, -0x1.4fda835518a8p-6, -0x1.3613448e19f77p-5, -0x1.f52ab84dc123p-5, -0x1.71de97c618b0fp-4, -0x1.fe2b9e7168ddcp-4, -0x1.4dd385c009ddep-3, -0x1.a2fdb287602fap-3, -0x1.fc5de25b59968p-3, -0x1.2bea07c397633p-2, -0x1.59b5d96f3edbep-2, -0x1.86b3c159139e8p-2, -0x1.b223594db5ef1p-2, -0x1.db62e590de54bp-2, -0x1.00f727c3b7e21p-1, -0x1.12ae9de5ca655p-1, -0x1.22b04fbde7a2ap-1, -0x1.30e00d2fc9d88p-1, -0x1.3d2ba2b96bf6p-1, -0x1.47898a65a07d1p-1, -0x1.4ff7affbbcef5p-1, -0x1.567a4dd31798ep-1, -0x1.5b1ae49bcac4ap-1, -0x1.5de74e7bbb3f7p-1, -0x1.5ef0ec7eeccddp-1, -0x1.5e4becb5e6e57p-1, -0x1.5c0ea711ecf95p-1, -0x1.58510efefd77ap-1, -0x1.532c37d185ae8p-1, -0x1.4cb9ea37c0b77p-1, -0x1.451448eaef6ccp-1, -0x1.3c5582ed806d7p-1, -0x1.329791c4a9d5cp-1, -0x1.27f40246d1b1ap-1, -0x1.1c83c6c2283e9p-1, -0x1.105f1163d4b85p-1, -0x1.039d35e7a62cfp-1, -0x1.eca92366eacb8p-2, -0x1.d134f33424966p-2, -0x1.b506592c60dbap-2, -0x1.984395b3a4fcfp-2, -0x1.7b10a13951316p-2, -0x1.5d8f287fad42cp-2, -0x1.3fde8e8183bcap-2, -0x1.221bf2cd123f1p-2, -0x1.04623c48a27dp-2, -0x1.cd944efc7cd56p-3, -0x1.92d4ad26c908bp-3, -0x1.58aeca5dd1d2p-3, -0x1.1f47f8dcfccbcp-3, -0x1.cd83a47674631p-4, -0x1.5e74cc1b3804bp-4, -0x1.e331990ca49e3p-5, -0x1.0e3d6dcadff2p-5, -0x1.f2f9ac855ac11p-8, 0x1.18442224201c5p-6, 0x1.5109f88b47d03p-5, 0x1.0812dfd9cbf02p-4, 0x1.64a5e673abc57p-4, 0x1.be2d6bcea3b32p-4, 0x1.0a4e5a36971e1p-3, 0x1.33f5464c30a01p-3, 0x1.5c08860bfe2aap-3, 0x1.8286a01d6c295p-3, 0x1.a76f79eb3857cp-3, 0x1.cac432c7b179cp-3, 0x1.ec87099b5ccf4p-3, 0x1.065d9f35f8c21p-2, 0x1.15b27ce6e6c28p-2, 0x1.244499f3f496fp-2, 0x1.3216cf25baf12p-2, 0x1.3f2c476ef828fp-2, 0x1.4b88762d8f6aep-2, 0x1.572f0e149f3cp-2, 0x1.6223f8bd844a2p-2, 0x1.6c6b4ed73abfbp-2, 0x1.760950e234428p-2, 0x1.7f02606c6572ep-2, 0x1.875af9bc64c96p-2, 0x1.8f17ade89fc45p-2, 0x1.963d1d59fca03p-2, 0x1.9ccff2bdf76dcp-2, 0x1.a2d4de6d21483p-2, 0x1.a850923f15419p-2, 0x1.ad47bdcacadefp-2, 0x1.b1bf0afe709fdp-2, 0x1.b5bb1b0ce34efp-2, 0x1.b94083a0bf91dp-2, 0x1.bc53cc5572debp-2, 0x1.bef96c7739c8fp-2, 0x1.c135c9066b34ep-2, 0x1.c30d33064799bp-2, 0x1.c483e60c91bc8p-2, 0x1.c59e0710bec9ep-2, 0x1.c65fa37175198p-2, 0x1.c6ccb02315e08p-2, 0x1.c6e90904b0ecbp-2, 0x1.c6b870515bb3ep-2, 0x1.c63e8e2b1d14dp-2, 0x1.c57ef043e0e0ep-2, 0x1.c47d099eecc5ap-2, 0x1.c33c32707b57ap-2, 0x1.c1bfa81cf699dp-2, 0x1.c00a8d509d058p-2, 0x1.be1fea342051p-2, 0x1.bc02acb6100c9p-2, 0x1.b9b5a8e2edfa6p-2, 0x1.b73b994d46b38p-2, 0x1.b4971f7b13232p-2, 0x1.b1cac45a648a6p-2, 0x1.aed8f8babe8a8p-2, 0x1.abc415c7a3baep-2, 0x1.a88e5d8b29037p-2, 0x1.a539fb7143e13p-2, 0x1.a1c904d0172ecp-2, 0x1.9e3d797ad0b8cp-2, 0x1.9a9944517a2aep-2, 0x1.96de3bd926148p-2, 0x1.930e22db4ed37p-2, 0x1.8f2aa8fdf3526p-2, 0x1.8b356b6220356p-2, 0x1.872ff5444893dp-2, 0x1.831bc0930c8bfp-2, 0x1.7efa3686cb06ap-2, 0x1.7accb03a30cf5p-2, 0x1.76947737dfca6p-2, 0x1.7252c6057696dp-2, 0x1.6e08c8b0ec8fdp-2, 0x1.69b79d5457418p-2, 0x1.65605494f4a53p-2, 0x1.6103f22629cb9p-2, 0x1.5ca36d4513cf8p-2, 0x1.583fb12e5f5bbp-2, 0x1.53d99d97239a5p-2, 0x1.4f720720f60ccp-2, 0x1.4b09b7c7e747p-2, 0x1.46a16f509305bp-2, 0x1.4239e3b34f26ep-2, 0x1.3dd3c18219b6ep-2, 0x1.396fac4b5bfdp-2, 0x1.350e3efacb81ap-2, 0x1.30b00c36151e9p-2, 0x1.2c559eb4a9363p-2, 0x1.27ff7995c0b89p-2, 0x1.23ae18b3d8203p-2, 0x1.1f61f0f212015p-2, 0x1.1b1b708720485p-2, 0x1.16daff487c30ep-2, 0x1.12a0feefed2b1p-2, 0x1.0e6dcb5b7d77p-2, 0x1.0a41bacf09874p-2, 0x1.061d1e34d9faap-2, 0x1.02004156d7581p-2, 0x1.fbd6d6296085cp-3, 0x1.f3bdbb3945905p-3, 0x1.ebb5ad4437eb2p-3, 0x1.e3bf1f1cbab71p-3, 0x1.dbda7b5c16b4p-3, 0x1.d40824c0ad49cp-3, 0x1.cc48768c196d8p-3, 0x1.c49bc4d81dd0ep-3, 0x1.bd025ce1ac07dp-3, 0x1.b57c85544101p-3, 0x1.ae0a7e9aebf88p-3, 0x1.a6ac832c57574p-3, 0x1.9f62c7c8fd25bp-3, 0x1.982d7bb5bb80fp-3, 0x1.910cc8feb4714p-3, 0x1.8a00d4bb2f795p-3, 0x1.8309bf44eb4c2p-3, 0x1.7c27a466921e4p-3, 0x1.755a9b8f1b537p-3, 0x1.6ea2b80aef658p-3, 0x1.680009379a7e8p-3, 0x1.61729aada6fdfp-3, 0x1.5afa7467a4f43p-3, 0x1.54979aed1f02ep-3, 0x1.4e4a0f7f81f9ap-3, 0x1.4811d043d50dbp-3, 0x1.41eed865b6089p-3, 0x1.3be12036cb76fp-3, 0x1.35e89d4fec027p-3, 0x1.300542b5d977cp-3, 0x1.2a3700fd011c3p-3, 0x1.247dc666dd37cp-3, 0x1.1ed97efa3b85ap-3, 0x1.194a149d0a30dp-3, 0x1.13cf6f32d49a1p-3, 0x1.0e6974bb2f675p-3, 0x1.0918096a7d9e3p-3, 0x1.03db0fbdee355p-3, 0x1.fd64d12017527p-4, 0x1.f33be66123ab9p-4, 0x1.e93b1afa7272p-4, 0x1.df6227ef39666p-4, 0x1.d5b0c3af02189p-4, 0x1.cc26a237382b7p-4, 0x1.c2c3753621fefp-4, 0x1.b986ec307ea65p-4, 0x1.b070b4a8050cap-4, 0x1.a7807a3ecef82p-4, 0x1.9eb5e6d5699f1p-4, 0x1.9610a2a4a8182p-4, 0x1.8d905457d87c7p-4, 0x1.8534a12b5e957p-4, 0x1.7cfd2d0d9d774p-4, 0x1.74e99abc69edap-4, 0x1.6cf98bdb3eb28p-4, 0x1.652ca105b0fc7p-4, 0x1.5d8279e49b6aap-4, 0x1.55fab548a6897p-4, 0x1.4e94f145d74a2p-4, 0x1.4750cb49e3107p-4, 0x1.402de02c2c84cp-4, 0x1.392bcc3c4ef77p-4, 0x1.324a2b54677b3p-4, 0x1.2b8898ef33ff1p-4, 0x1.24e6b03d4de26p-4, 0x1.1e640c357f716p-4, 0x1.180047a114c45p-4, 0x1.11bafd2860572p-4, 0x1.0b93c7626d71cp-4, 0x1.058a40e660de5p-4, 0x1.ff3c08b61314ep-5, 0x1.f39d59056bce7p-5, 0x1.e837a889d3054p-5, 0x1.dd0a2d7248609p-5, 0x1.d2141e680990cp-5, 0x1.c754b2a9d0347p-5, 0x1.bccb2222b3b0fp-5, 0x1.b276a57adff81p-5, 0x1.a8567625c2182p-5, 0x1.9e69ce72d2b6p-5, 0x1.94afe9a2c93d2p-5, 0x1.8b2803fdd85aap-5, 0x1.81d15ae5e11a7p-5, 0x1.78ab2ce2af045p-5, 0x1.6fb4b9aaf638bp-5, 0x1.66ed422f0bd27p-5, 0x1.5e5408a7d01cp-5, 0x1.55e850a88c874p-5, 0x1.4da95f2edc9f2p-5, 0x1.45967aad9c3dep-5, 0x1.3daeeb1304336p-5, 0x1.35f1f9cdaa471p-5, 0x1.2e5ef1d44a0f8p-5, 0x1.26f51fb1506f7p-5, 0x1.1fb3d18feb81dp-5, 0x1.189a5746f1c6dp-5, 0x1.11a8025f62b6ap-5, 0x1.0adc261750aa1p-5, 0x1.04361764093f7p-5, 0x1.fb6a59ed0a363p-6, 0x1.eeb17e855bb8bp-6, 0x1.e240510ff5893p-6, 0x1.d61589b1426bcp-6, 0x1.ca2fe43b5575ep-6, 0x1.be8e203034ee9p-6, 0x1.b32f00c20c44ap-6, 0x1.a8114cd56af8p-6, 0x1.9d33cf07b6bfdp-6, 0x1.929555b86198ap-6, 0x1.8834b3118aa46p-6, 0x1.7e10bd0cf2ea3p-6, 0x1.74284d7477131p-6, 0x1.6a7a41df685b1p-6, 0x1.61057bafe9072p-6, 0x1.57c8e01249d78p-6, 0x1.4ec357ff1b348p-6, 0x1.45f3d03ea103p-6, 0x1.3d59396b4b41fp-6, 0x1.34f287f16b733p-6, 0x1.2cbeb40bbbd99p-6, 0x1.24bcb9bdcdcd1p-6, 0x1.1ceb98ce1c94bp-6, 0x1.154a54c149e8ap-6, 0x1.0dd7f4d757392p-6, 0x1.0693840a60939p-6, 0x1.fef8221b5efcbp-7, 0x1.f1215c9760437p-7, 0x1.e3a0e3c385f17p-7, 0x1.d674eb330461bp-7, 0x1.c99badc045ccdp-7, 0x1.bd136d79d549bp-7, 0x1.b0da7390b37fbp-7, 0x1.a4ef104a2d411p-7, 0x1.994f9af62a574p-7, 0x1.8dfa71e9b52c2p-7, 0x1.82edfa7aa5c77p-7, 0x1.7828a0f923b24p-7, 0x1.6da8d8a30c437p-7, 0x1.636d1b8faad1p-7, 0x1.5973ea94974aep-7, 0x1.4fbbcd277f4ccp-7, 0x1.46435141f8c17p-7, 0x1.3d090b4cfd489p-7, 0x1.340b961682558p-7, 0x1.2b4992d07b4b1p-7, 0x1.22c1a9140cdb7p-7, 0x1.1a7286e17abc9p-7, 0x1.125ae0959522p-7, 0x1.0a7970d07be71p-7, 0x1.02ccf84eedbc6p-7, 0x1.f6a87b78a07f5p-8, 0x1.e81c1b0e46ed6p-8, 0x1.d9f27382e1e3fp-8, 0x1.cc293426f0edp-8, 0x1.bebe1780b32c4p-8, 0x1.b1aee36cc98c7p-8, 0x1.a4f9693f5315dp-8, 0x1.989b85cd3d05bp-8, 0x1.8c93214babe3cp-8, 0x1.80de2f005f979p-8, 0x1.757aaccdbdefp-8, 0x1.6a66a2b123c4dp-8, 0x1.5fa022508be3p-8, 0x1.552546b0a5234p-8, 0x1.4af434217ab9dp-8, 0x1.410b185f1c03ap-8, 0x1.37682ad4a72e9p-8, 0x1.2e09ace4e73cdp-8, 0x1.24edea1863da1p-8, 0x1.1c1338184ab08p-8, 0x1.1377f66932166p-8, 0x1.0b1a8deaf5f5bp-8, 0x1.02f9703324c36p-8, 0x1.f6262dc2aabe1p-9, 0x1.e6cc0622ba602p-9, 0x1.d7e17a13326a6p-9, 0x1.c963a86b9a6fdp-9, 0x1.bb4fbedc60dc2p-9, 0x1.ada2faee53aap-9, 0x1.a05aab2a94713p-9, 0x1.93743012279e7p-9, 0x1.86ecfc8ddea97p-9, 0x1.7ac295948d259p-9, 0x1.6ef290f3a3aa6p-9, 0x1.637a935d7acd2p-9, 0x1.58584e13e181cp-9, 0x1.4d897cb05a2eap-9, 0x1.430be39375221p-9, 0x1.38dd4f6d7316p-9, 0x1.2efb96158b2c3p-9, 0x1.2564989573cd9p-9, 0x1.1c1645f1b4cb1p-9, 0x1.130e9df4f3b98p-9, 0x1.0a4bb32a054e9p-9, 0x1.01cbab4de9e37p-9, 0x1.f3197bb0c7881p-10, 0x1.e31a617197b75p-10, 0x1.d396a7cc2487dp-10, 0x1.c48af98bba0b6p-10, 0x1.b5f4052e60ebap-10, 0x1.a7ce79c8e00ap-10, 0x1.9a17091a52e5cp-10, 0x1.8cca6e9e8b29cp-10, 0x1.7fe57a113e34bp-10, 0x1.73651abc67b56p-10, 0x1.6746687e62388p-10, 0x1.5b86a7d8d71e2p-10, 0x1.50234781644d6p-10, 0x1.4519d79133826p-10, 0x1.3a67fc2aa73d8p-10, 0x1.300b5ebae3b33p-10, 0x1.2601a17e4c129p-10, 0x1.1c4858825318cp-10, 0x1.12dd0a128a01bp-10, 0x1.09bd36a409de9p-10, 0x1.00e6666295294p-10, 0x1.f0ac7204e4946p-11, 0x1.e014e79d95ba5p-11, 0x1.d0021494e027dp-11, 0x1.c0703e2344448p-11, 0x1.b15bf9448cb09p-11, 0x1.a2c20f78617d8p-11, 0x1.949f5d4d547cep-11, 0x1.86f0b2cfa160fp-11, 0x1.79b2bd5fc7934p-11, 0x1.6ce1fffd1dbc9p-11, 0x1.607adb6db2a86p-11, 0x1.5479a3e00dbffp-11, 0x1.48dabe70249c2p-11, 0x1.3d9abf22d63d6p-11, 0x1.32b67fe2a4799p-11, 0x1.282b2ae3cd018p-11, 0x1.1df6364604a9dp-11, 0x1.141552c5dae5dp-11, 0x1.0a8652a3e8771p-11, 0x1.01470f6f04c06p-11, 0x1.f0aaa9af4f376p-12, 0x1.df5da946b7e92p-12, 0x1.cea24a50eb5d2p-12, 0x1.be7392ca2e5ddp-12, 0x1.aecc806a6dc61p-12, 0x1.9fa82e836779dp-12, 0x1.9101fb523619ap-12, 0x1.82d5a3f93456dp-12, 0x1.751f4f3831e8ap-12, 0x1.67db82eb7763fp-12, 0x1.5b0706e7a1c5fp-12, 0x1.4e9ebecd31d0cp-12, 0x1.429f8824551bdp-12, 0x1.3706281b03fb4p-12, 0x1.2bcf4cf2abf83p-12, 0x1.20f79e2cdc82fp-12, 0x1.167bd11d0572dp-12, 0x1.0c58b889488d8p-12, 0x1.028b4bdbb0c4bp-12, 0x1.f221510dbce1ep-13, 0x1.dfcc25123bc91p-13, 0x1.ce11ede92d182p-13, 0x1.bcedde57b4bc5p-13, 0x1.ac5b7fddf3cdep-13, 0x1.9c569d976d7bcp-13, 0x1.8cdb18b8f8a1bp-13, 0x1.7de4b23e50ea5p-13, 0x1.6f6ee32b930ccp-13, 0x1.6174dd7933947p-13, 0x1.53f1bea60688ep-13, 0x1.46e0e182dd4a3p-13, 0x1.3a3e271bf718fp-13, 0x1.2e060dcfbe36ep-13, 0x1.223586c84bdc9p-13, 0x1.16c9a14940a0dp-13, 0x1.0bbf3fb6cfe6dp-13, 0x1.0113056d1b15ep-13, 0x1.ed830e2ed3b69p-14, 0x1.d98f35d66bedbp-14, 0x1.c64522767dc62p-14, 0x1.b3a059455e048p-14, 0x1.a19cb24102cbcp-14, 0x1.903595ca11365p-14, 0x1.7f657f96d9972p-14, 0x1.6f261a42ae7bcp-14, 0x1.5f70eceed8c33p-14, 0x1.504037d89a36dp-14, 0x1.418f78e39746ep-14, 0x1.335b408b086d9p-14, 0x1.25a06bfcdfd8ap-14, 0x1.185b42c4f485ap-14, 0x1.0b871358876adp-14, 0x1.fe3d33fc89939p-15, 0x1.e639e3ea9e22ep-15, 0x1.cefce04f4fb56p-15, 0x1.b881aecc19f24p-15, 0x1.a2c5912ad4a79p-15, 0x1.8dc5aa4bab4d2p-15, 0x1.797da8cb5db0fp-15, 0x1.65e7b5e42bb8dp-15, 0x1.52fd530ffb4eap-15, 0x1.40b82eda21dacp-15, 0x1.2f1250dda3924p-15, 0x1.1e05c66569902p-15, 0x1.0d8c5b5cd1077p-15, 0x1.fb3f490eabe57p-16, 0x1.dc7261f044778p-16, 0x1.bea57b3f20afbp-16, 0x1.a1cd300deb0f3p-16, 0x1.85e0820aa122ep-16, 0x1.6ad99b7749c98p-16, 0x1.50b4f0d7d8d5bp-16, 0x1.376f500256ed9p-16, 0x1.1f0490cf57df9p-16, 0x1.076f9e15719f3p-16, 0x1.e156610dc081p-17, 0x1.b564e6e762c3ep-17, 0x1.8b021eeacc73bp-17, 0x1.6224bbd4b263ap-17, 0x1.3ac0a4b913cafp-17, 0x1.14c60a7addb1ep-17, 0x1.e04424e976c93p-18, 0x1.99807a81b1406p-18, 0x1.5518fb70be17p-18, 0x1.12ecf12c1658dp-18, 0x1.a5d2cda17e475p-19, 0x1.2a12ae63f20bcp-19, 0x1.65346347da945p-20, 0x1.faf3ffa207501p-22, -0x1.7df4dec792386p-22, -0x1.35c4b4939e97ap-20, -0x1.0226a0a362fd6p-19, -0x1.6595702d29adbp-19, -0x1.c536b0f7f2e7p-19, -0x1.10902918db9cp-18, -0x1.3cbba9033a1e3p-18, -0x1.6731c4cd77518p-18, -0x1.90027615abb01p-18, -0x1.b739802076efdp-18, -0x1.dce21a0d16898p-18, -0x1.0085392f3e6ffp-17, -0x1.11e1e636ecf25p-17, -0x1.228fb3eed8f26p-17, -0x1.32956ab0d5265p-17, -0x1.41f6fa85da132p-17, -0x1.50b5d22d70faep-17, -0x1.5ed2d42a7d092p-17, -0x1.6c50ab431cccep-17, -0x1.7933974e84917p-17, -0x1.857f07e190834p-17, -0x1.913509ce0d369p-17, -0x1.9c5864ece5a44p-17, -0x1.a6ee0a8a0dfb4p-17, -0x1.b0fbe35fe45a4p-17, -0x1.ba86d0cea9638p-17, -0x1.c391fbec16f24p-17, -0x1.cc1f89be84643p-17, -0x1.d431c8d8c928ap-17, -0x1.dbcc03f2174aep-17, -0x1.e2f283ee6f61p-17, -0x1.e9a944f0556c3p-17, -0x1.eff21bb16149ap-17, -0x1.f5cd5a85724bcp-17, -0x1.fb3d6b8bd92a6p-17, -0x1.002409b567668p-16, -0x1.0278d94c15339p-16, -0x1.049ce0445c48ep-16, -0x1.068fa58185418p-16, -0x1.0852c617060b9p-16, -0x1.09e8ba235b19dp-16, -0x1.0b52b8127991cp-16, -0x1.0c91116d83d98p-16, -0x1.0da4961623b87p-16, -0x1.0e8e811ac60ebp-16, -0x1.0f4fc7bc2d02fp-16, -0x1.0fe90c1c1dee8p-16, -0x1.105b0ca7adc6fp-16, -0x1.10a71d7879e3dp-16, -0x1.10cf2176bfd1cp-16, -0x1.10d458c950b2fp-16, -0x1.10b6a4fb63305p-16, -0x1.10760f95f9e05p-16, -0x1.1013ba28a7438p-16, -0x1.0f9070787cb69p-16, -0x1.0eec5fd55fa8bp-16, -0x1.0e2883d2d06e8p-16, -0x1.0d46a2162210fp-16, -0x1.0c47ea05695b1p-16, -0x1.0b2c841650acfp-16, -0x1.09f4daebc53d2p-16, -0x1.08a1ff5203656p-16, -0x1.073487e051669p-16, -0x1.05aca6634a9c6p-16, -0x1.040af220ab4c3p-16, -0x1.0250304c371f8p-16, -0x1.007d0753b4834p-16, -0x1.fd244f7dbe84ep-17, -0x1.f92132f6b0252p-17, -0x1.f4f28c71b76d4p-17, -0x1.f098a2a8cc28cp-17, -0x1.ec1445f7480f6p-17, -0x1.e767558c7ebd1p-17, -0x1.e29287512957p-17, -0x1.dd967eac5186fp-17, -0x1.d874bdc7db47ap-17, -0x1.d32eaedd37f7p-17, -0x1.cdc564df74b7bp-17, -0x1.c839c781fe36p-17, -0x1.c28cc64f16258p-17, -0x1.bcbfb8584e2ap-17, -0x1.b6d3e7316f9b7p-17, -0x1.b0ca193b5a783p-17, -0x1.aaa376a21809ap-17, -0x1.a460fc7ef9342p-17, -0x1.9e03263e3bd64p-17, -0x1.978aea6f5c424p-17, -0x1.90f96b8375d7p-17, -0x1.8a4fd664c062dp-17, -0x1.838f698467b8ep-17, -0x1.7cb8cc946a88ep-17, -0x1.75ccfaa420ac2p-17, -0x1.6ecce4099e2e9p-17, -0x1.67b907f17878fp-17, -0x1.60926bac38de1p-17, -0x1.595a223b5187p-17, -0x1.521109c61bd4bp-17, -0x1.4ab7f220eb2dfp-17, -0x1.434fad46d7a79p-17, -0x1.3bd90de67c5b5p-17, -0x1.3454e4ecb2704p-17, -0x1.2cc4023010803p-17, -0x1.25272d4d201a4p-17, -0x1.1d7f16224b391p-17, -0x1.15cc80cf01dcdp-17, -0x1.0e1062a157f05p-17, -0x1.064b8439659f8p-17, -0x1.fcfd51b4acc82p-18, -0x1.ed5497b3e9985p-18, -0x1.dd9e112c4e669p-18, -0x1.cddbd339c3d9bp-18, -0x1.be0f63d492945p-18, -0x1.ae3a2b3abd1e3p-18, -0x1.9e5d15fe3176fp-18, -0x1.8e797b7fa0a64p-18, -0x1.7e90edc5f319fp-18, -0x1.6ea4bc99fp-18, -0x1.5eb62588b00ep-18, -0x1.4ec667402aaa7p-18, -0x1.3ed6bf90c3c8ap-18, -0x1.2ee8689bb0295p-18, -0x1.1efc97659d7a9p-18, -0x1.0f147ba256c44p-18, -0x1.fe62809a4b961p-19, -0x1.dea8188e15465p-19, -0x1.befc04b760625p-19, -0x1.9f608324d5c23p-19, -0x1.7fd7ca4d23196p-19, -0x1.6063eeda5a5f4p-19, -0x1.4106c0624b033p-19, -0x1.21c23b1db663ap-19, -0x1.02988cd450b99p-19, -0x1.c7188f3475cp-20, -0x1.893e37485b267p-20, -0x1.4ba51a40f8a9cp-20, -0x1.0e50d54477a19p-20, -0x1.a28bbf16e094dp-21, -0x1.290f7c79fa78fp-21, -0x1.6066e86961995p-22, -0x1.bff286bb901aep-24, 0x1.fc4a3e70e9378p-24, 0x1.6cb993e08f7b9p-22, 0x1.2c75cbad5844fp-21, 0x1.a1ce0965e6a85p-21, 0x1.0b2fb51bcf8bdp-20, 0x1.451201d4475b6p-20, 0x1.7e8b0c3d1ce4p-20, 0x1.b79807db3ce2p-20, 0x1.f03633387d525p-20, 0x1.14316a906856bp-19, 0x1.300da32a51d03p-19, 0x1.4bae7d4568d76p-19, 0x1.6712b773db611p-19, 0x1.82392e58b4ffbp-19, 0x1.9d2122f4efe3p-19, 0x1.b7c8f1ec32d06p-19, 0x1.d22f609c30d24p-19, 0x1.ec541ee894e3dp-19, 0x1.031aa7c1e5915p-18, 0x1.0fe92be97e324p-18, 0x1.1c95310c603f1p-18, 0x1.291e215f5c685p-18, 0x1.358391b0d9587p-18, 0x1.41c51b4e3d9f5p-18, 0x1.4de2569b46c5fp-18, 0x1.59dade3fe988bp-18, 0x1.65ae509033ccbp-18, 0x1.715c4ff7de27p-18, 0x1.7ce48331ff7c6p-18, 0x1.8846955eac777p-18, 0x1.938235dba9fd7p-18, 0x1.9e971772c9d63p-18, 0x1.a984ef708fc19p-18, 0x1.b44b75d6ffdcfp-18, 0x1.beea676dd22bbp-18, 0x1.c961884af2634p-18, 0x1.d3b09f18655eap-18, 0x1.ddd76b8eaad2fp-18, 0x1.e7d5d76338fe9p-18, 0x1.f1aba4d4df5a9p-18, 0x1.fb587d5e56a82p-18, 0x1.026e3f627487p-17, 0x1.071ba8e2d9364p-17, 0x1.0bb46a67bf9bfp-17, 0x1.103877aa540a6p-17, 0x1.14a7d0c77aee2p-17, 0x1.1902544a65096p-17, 0x1.1d480ad2590abp-17, 0x1.2178e1a546e76p-17, 0x1.2594cac8a5f8p-17, 0x1.299bc49824814p-17, 0x1.2d8dcbbb6ffffp-17, 0x1.316adcecfe581p-17, 0x1.3532f63080505p-17, 0x1.38e6171f968ffp-17, 0x1.3c8440dcf8559p-17, 0x1.400d75c87a41dp-17, 0x1.4381b931491d9p-17, 0x1.46e10f51760b8p-17, 0x1.4a2b7dc730ba5p-17, 0x1.4d610cbb60504p-17, 0x1.5081c6c91d9dap-17, 0x1.538db33571fdap-17, 0x1.5684d838eb612p-17, 0x1.5967517786c18p-17, 0x1.5c3521bbc8e1bp-17, 0x1.5eee6041bd375p-17, 0x1.61930daa16e1ap-17, 0x1.642340a7a4efcp-17, 0x1.669f0ce00be2p-17, 0x1.690685393f8eep-17, 0x1.6b59be4454515p-17, 0x1.6d98cd9d29961p-17, 0x1.6fc3c6bf12b9dp-17, 0x1.71dabbc0c6736p-17, 0x1.73ddcd24dd4a4p-17, 0x1.75cd16667403ap-17, 0x1.77a8ad99e5949p-17, 0x1.7970a4397cdb4p-17, 0x1.7b2519ee78f04p-17, 0x1.7cc62c93c6532p-17, 0x1.7e53f91ebf56bp-17, 0x1.7fce9d0ecffefp-17, 0x1.813636831e1d2p-17, 0x1.828ae430af4bdp-17, 0x1.83ccc575f1bb1p-17, 0x1.84fbfabe08aabp-17, 0x1.8618a63819c2cp-17, 0x1.8722ea76ddc3dp-17, 0x1.881ae5802b13dp-17, 0x1.8900b764dd31dp-17, 0x1.89d4927c4069bp-17, 0x1.8a9696f58245dp-17, 0x1.8b46dd4fe5f81p-17, 0x1.8be59066d1b23p-17, 0x1.8c72d7bccf5c9p-17, 0x1.8ceed97526c2ap-17, 0x1.8d59bc1b13ff7p-17, 0x1.8db3a6b6a8b8fp-17, 0x1.8dfcc0c0a4addp-17, 0x1.8e35321b05f23p-17, 0x1.8e5d2317de7edp-17, 0x1.8e74bca59dbbcp-17, 0x1.8e7c286f4272ep-17, 0x1.8e73902a6c532p-17, 0x1.8e5b1c0ac43afp-17, 0x1.8e32f2a5d2236p-17, 0x1.8dfb465c47a06p-17, 0x1.8db4450b7bcaap-17, 0x1.8d5e0f173c0fbp-17, 0x1.8cf8d2557417ep-17, 0x1.8c84bc12a6781p-17, 0x1.8c01f8054d3fdp-17, 0x1.8b70b1eab249fp-17, 0x1.8ad115f5bd6dbp-17, 0x1.8a2351121d6fdp-17, 0x1.89678ff8fda0bp-17, 0x1.889dfcedd9452p-17, 0x1.87c6c21814494p-17, 0x1.86e219679863bp-17, 0x1.85f025e63baap-17, 0x1.84f1130efa14p-17, 0x1.83e51124e68bdp-17, 0x1.82cc4d940a19ap-17, 0x1.81a6f59799389p-17, 0x1.8075368b9ea0bp-17, 0x1.7f373ddefc933p-17, 0x1.7ded39086e48ap-17, 0x1.7c97558a6d379p-17, 0x1.7b35c0e6f5753p-17, 0x1.79c8a89d8ebf4p-17, 0x1.78503a258189dp-17, }}, 
      {{0x1.052fb6bfa1799p-1, 0x1.33ad9225c5d2p-1, 0x1.701557cf7c84bp-1, 0x1.b16a83204845p-1, 0x1.f1bff49bc423ap-1, 0x1.16abd7b90c1cfp+0, 0x1.30ffe458a2ae3p+0, 0x1.474e4e2bb00c5p+0, 0x1.596964834c06cp+0, 0x1.67640bc42ceaap+0, 0x1.717acab4f92a5p+0, 0x1.78033fd86a671p+0, 0x1.7b6057b6c59ccp+0, 0x1.7bfa0a4f25b86p+0, 0x1.7a37b4ef70209p+0, 0x1.767c5fb94021bp+0, 0x1.7124697aa268bp+0, 0x1.6a843577e5806p+0, 0x1.62e78ffdc856ap+0, 0x1.5a91919cb891bp+0, 0x1.51bcd790b1087p+0, 0x1.489bf2fe8e28ep+0, 0x1.3f59f90f205b7p+0, 0x1.361b244fa227ep+0, 0x1.2cfd7c7b1090cp+0, 0x1.24197d48e17p+0, 0x1.1b82b75b5a7b5p+0, 0x1.13486831149b6p+0, 0x1.0b760745d0af2p+0, 0x1.0413c77f53931p+0, 0x1.fa4e196a360c9p-1, 0x1.ed65ab379d63ep-1, 0x1.e170354d12537p-1, 0x1.d66c45282c594p-1, 0x1.cc559ad87bfedp-1, 0x1.c325ad6654aep-1, 0x1.bad41f298ed53p-1, 0x1.b35723850b911p-1, 0x1.aca3d7690b9ebp-1, 0x1.a6ae8de9c0b6ap-1, 0x1.a16b122102be6p-1, 0x1.9cccdf7b1c087p-1, 0x1.98c75177797bfp-1, 0x1.954dcbd4f2fe7p-1, 0x1.9253dc05da5f6p-1, 0x1.8fcd54af6c0acp-1, 0x1.8dae63f6258d7p-1, 0x1.8beba543668d9p-1, 0x1.8a7a2eee9404cp-1, 0x1.894f9c9cd9268p-1, 0x1.8862167b9815dp-1, 0x1.87a855fcde82ap-1, 0x1.8719a87a387d4p-1, 0x1.86adefa51bf5ep-1, 0x1.865da11455f1bp-1, 0x1.8621c37398435p-1, 0x1.85f3ec133f9f1p-1, 0x1.85ce39e121123p-1, 0x1.85ab519bb3266p-1, 0x1.8586578a10623p-1, 0x1.855aeab7d9247p-1, 0x1.85251e18ab889p-1, 0x1.84e1732f5625p-1, 0x1.848cd319fcb53p-1, 0x1.842488fba74fcp-1, 0x1.83a63b53beb3p-1, 0x1.830fe65a8a8bap-1, 0x1.825fd5e22a005p-1, 0x1.81949fd61a3fap-1, 0x1.80ad1eb596855p-1, 0x1.7fa86c659e4bcp-1, 0x1.7e85dd2e5de11p-1, 0x1.7d44faf75daa1p-1, 0x1.7be580bd177dap-1, 0x1.7a675643a5361p-1, 0x1.78ca8c06d570ap-1, 0x1.770f5762ae57dp-1, 0x1.75360ef0dbbbp-1, 0x1.733f27161679fp-1, 0x1.712b2ebf02a38p-1, 0x1.6efacc4b9069ap-1, 0x1.6caebaab8b972p-1, 0x1.6a47c6afda82cp-1, 0x1.67c6cc8b6a3f5p-1, 0x1.652cb586cd365p-1, 0x1.627a75dd3df91p-1, 0x1.5fb10ac344f48p-1, 0x1.5cd178903cdc2p-1, 0x1.59dcc90c90207p-1, 0x1.56d409e349e09p-1, 0x1.53b84b3697d41p-1, 0x1.508a9e597ca7cp-1, 0x1.4d4c14ab176f8p-1, 0x1.49fdbe91cf689p-1, 0x1.46a0aa94dfb2fp-1, 0x1.4335e48b9403fp-1, 0x1.3fbe74e4e8987p-1, 0x1.3c3b6000b6f96p-1, 0x1.38ada59a835ecp-1, 0x1.3516404641fc8p-1, 0x1.317624fd96b3p-1, 0x1.2dce42bd8493cp-1, 0x1.2a1f82375ba6bp-1, 0x1.266ac58e2f0ffp-1, 0x1.22b0e82586aa9p-1, 0x1.1ef2be7c0eebp-1, 0x1.1b31161085fd2p-1, 0x1.176cb550d13b1p-1, 0x1.13a65b8fce742p-1, 0x1.0fdec10161b1dp-1, 0x1.0c1696bcc79d2p-1, 0x1.084e86c2a12abp-1, 0x1.04873408ff83bp-1, 0x1.00c13a8bd250dp-1, 0x1.f9fa5ec23f934p-2, 0x1.f27741a6bf7f3p-2, 0x1.eafa2cfc5fbfap-2, 0x1.e38422de52ee3p-2, 0x1.dc16189643e63p-2, 0x1.d4b0f6e79c3f7p-2, 0x1.cd559a6077e6fp-2, 0x1.c604d3af86839p-2, 0x1.bebf67f6acbf3p-2, 0x1.b7861122ca559p-2, 0x1.b0597e4183b9dp-2, 0x1.a93a53d8423bfp-2, 0x1.a2292c3808be2p-2, 0x1.9b2697d4baa95p-2, 0x1.94331d994fa2p-2, 0x1.8d4f3b39f5b66p-2, 0x1.867b6588f4ffp-2, 0x1.7fb808c907048p-2, 0x1.790588fd33113p-2, 0x1.7264423a5d7a5p-2, 0x1.6bd488f6d4571p-2, 0x1.6556aa5742cadp-2, 0x1.5eeaec7b350ap-2, 0x1.58918ec93abc6p-2, 0x1.524aca363a5b7p-2, 0x1.4c16d18d6275p-2, 0x1.45f5d1b584951p-2, 0x1.3fe7f1f452c99p-2, 0x1.39ed542ea60b7p-2, 0x1.34061527d6b92p-2, 0x1.2e324cbf99f3ep-2, 0x1.28720e2bcb555p-2, 0x1.22c56830760b2p-2, 0x1.1d2c655845be4p-2, 0x1.17a70c29a240fp-2, 0x1.12355f57ad77bp-2, 0x1.0cd75df3b40c1p-2, 0x1.078d039e799e6p-2, 0x1.025648b524581p-2, 0x1.fa6644f734211p-3, 0x1.f047068d0069p-3, 0x1.e64eb54e5a318p-3, 0x1.dc7d2b21306f4p-3, 0x1.d2d23cf8d6d51p-3, 0x1.c94dbb1d269f1p-3, 0x1.bfef71731d1d2p-3, 0x1.b6b727c0a9e91p-3, 0x1.ada4a1e9174fap-3, 0x1.a4b7a0277f1b7p-3, 0x1.9befdf4c5b6c4p-3, 0x1.934d18f932024p-3, 0x1.8acf03d3d018ap-3, 0x1.827553b52e6d3p-3, 0x1.7a3fb9dbcccddp-3, 0x1.722de51f54dd6p-3, 0x1.6a3f821db4b54p-3, 0x1.62743b61d10e8p-3, 0x1.5acbb98aec9d8p-3, 0x1.5345a376def39p-3, 0x1.4be19e6a3d5e7p-3, 0x1.449f4e32d86cfp-3, 0x1.3d7e5547771ffp-3, 0x1.367e54e6aba6bp-3, 0x1.2f9eed3a1c13bp-3, 0x1.28dfbd741ed61p-3, 0x1.224063ed3db01p-3, 0x1.1bc07e3c59da1p-3, 0x1.155fa94f3e183p-3, 0x1.0f1d8184eec6fp-3, 0x1.08f9a2c7d08fdp-3, 0x1.02f3a8a430e3bp-3, 0x1.fa165cb6444fap-4, 0x1.ee7f9dea544a8p-4, 0x1.e3224aadf4287p-4, 0x1.d7fd98accf7d6p-4, 0x1.cd10bd98fcf9ap-4, 0x1.c25aef48cc24bp-4, 0x1.b7db63d360fep-4, 0x1.ad9151af6bb1fp-4, 0x1.a37befd35380cp-4, 0x1.999a75d274383p-4, 0x1.8fec1bf6110bap-4, 0x1.86701b53648c4p-4, 0x1.7d25ade1365dfp-4, 0x1.740c0e8e6e4p-4, 0x1.6b2279591cf33p-4, 0x1.62682b63e9ffcp-4, 0x1.59dc630811de9p-4, 0x1.517e5fe47ba25p-4, 0x1.494d62ec22eddp-4, 0x1.4148ae75ee6c2p-4, 0x1.396f864ec0cd5p-4, 0x1.31c12fc7ec966p-4, 0x1.2a3cf1c395028p-4, 0x1.22e214bd4dd5p-4, 0x1.1bafe2d3c5837p-4, 0x1.14a5a7d48a935p-4, 0x1.0dc2b148437dep-4, 0x1.07064e7c7f34ap-4, 0x1.006fd08a40c8ap-4, 0x1.f3fd14b688c61p-5, 0x1.e763a160a6507p-5, 0x1.db11f4520e457p-5, 0x1.cf06be9655749p-5, 0x1.c340b50fd2e1cp-5, 0x1.b7be907e8e788p-5, 0x1.ac7f0d8536d95p-5, 0x1.a180ecb157f89p-5, 0x1.96c2f283488d2p-5, 0x1.8c43e7750a57p-5, 0x1.820297fdee81ep-5, 0x1.77fdd49433c3dp-5, 0x1.6e3471aef50ebp-5, 0x1.64a547c95c4d9p-5, 0x1.5b4f3365b13eep-5, 0x1.5231150e6c3ebp-5, 0x1.4949d154b3f3bp-5, 0x1.409850cdc99a2p-5, 0x1.381b80113ccdap-5, 0x1.2fd24fb88255ep-5, 0x1.27bbb45e91a21p-5, 0x1.1fd6a69d8ea6fp-5, 0x1.1822230a0e78ap-5, 0x1.109d2a2d2da91p-5, 0x1.0946c07e2ce97p-5, 0x1.021dee5fd91cp-5, 0x1.f643803790622p-6, 0x1.e8a28bbf2e007p-6, 0x1.db57276c780d5p-6, 0x1.ce5f82fff27eap-6, 0x1.c1b9d5d39142fp-6, 0x1.b5645ecb9945cp-6, 0x1.a95d644a35e0fp-6, 0x1.9da334240f27p-6, 0x1.923423932be4p-6, 0x1.870e8f265c44cp-6, 0x1.7c30daadd49efp-6, 0x1.71997127157cdp-6, 0x1.6746c4aa8efaep-6, 0x1.5d374e5b45239p-6, 0x1.53698e578af2fp-6, 0x1.49dc0ba8ae6fdp-6, 0x1.408d543078265p-6, 0x1.377bfc9475933p-6, 0x1.2ea6a02889c91p-6, 0x1.260be0da28607p-6, 0x1.1daa671d3535dp-6, 0x1.1580e1d9f3135p-6, 0x1.0d8e065adf5a6p-6, 0x1.05d090392e89ap-6, 0x1.fc8e8291a67d3p-7, 0x1.ede1c302fa19bp-7, 0x1.df987dd2b1f9cp-7, 0x1.d1b05b00ed69ap-7, 0x1.c4270e58c908ap-7, 0x1.b6fa574a72b6dp-7, 0x1.aa2800c4b4febp-7, 0x1.9dade10cc0227p-7, 0x1.9189d993f0105p-7, 0x1.85b9d6cc3988p-7, 0x1.7a3bcffc8ece8p-7, 0x1.6f0dc7165ddb9p-7, 0x1.642dc88d15d96p-7, 0x1.5999eb2f500ap-7, 0x1.4f505001517b6p-7, 0x1.454f22172bc3ap-7, 0x1.3b94966c912cep-7, 0x1.321eebbca970fp-7, 0x1.28ec6a562610dp-7, 0x1.1ffb63f173f2dp-7, 0x1.174a3385b97dfp-7, 0x1.0ed73d20d9a2cp-7, 0x1.06a0edc24bf9cp-7, 0x1.fd4b76712f6d3p-8, 0x1.edc847ffe5483p-8, 0x1.deb55e40792c1p-8, 0x1.d00fd810c015ep-8, 0x1.c1d4e4cc86f3ap-8, 0x1.b401c3f7b2e22p-8, 0x1.a693c4e6b983cp-8, 0x1.9988466a87d39p-8, 0x1.8cdcb68577328p-8, 0x1.808e922b4915bp-8, 0x1.749b650b02eadp-8, 0x1.6900c95d43966p-8, 0x1.5dbc67af8a2ap-8, 0x1.52cbf6a59cf59p-8, 0x1.482d3aad6cb41p-8, 0x1.3dde05a757f82p-8, 0x1.33dc36895abe2p-8, 0x1.2a25b906b1678p-8, 0x1.20b88544e4dccp-8, 0x1.17929fa399c63p-8, 0x1.0eb21895ddc09p-8, 0x1.06150c865ec6p-8, 0x1.fb7347763785dp-9, 0x1.eb3c245a740c1p-9, 0x1.db812e9a59b38p-9, 0x1.cc3efb6340d99p-9, 0x1.bd72356f055eep-9, 0x1.af179c3cbde03p-9, 0x1.a12c035db2949p-9, 0x1.93ac51eca7d42p-9, 0x1.8695823a81c9bp-9, 0x1.79e4a1aa5ae96p-9, 0x1.6d96d0ab034c5p-9, 0x1.61a942b1aca94p-9, 0x1.56193e18ade7cp-9, 0x1.4ae41bce340d3p-9, 0x1.400746c9dc6afp-9, 0x1.35803b51ac9ap-9, 0x1.2b4c8624a0ddcp-9, 0x1.2169c3a7a4167p-9, 0x1.17d59f3465b0bp-9, 0x1.0e8dd2a299395p-9, 0x1.05902616203abp-9, 0x1.f9b4e0161903ap-10, 0x1.e8d52b20f812dp-10, 0x1.d87d151d1e759p-10, 0x1.c8a8a3e946864p-10, 0x1.b953fb4efebcp-10, 0x1.aa7b5c36ab0d3p-10, 0x1.9c1b2327346c4p-10, 0x1.8e2fc634dfe1dp-10, 0x1.80b5d2aa3d788p-10, 0x1.73a9ead88179bp-10, 0x1.6708c47f33e13p-10, 0x1.5acf28257fa21p-10, 0x1.4ef9f18bc0428p-10, 0x1.4386111a82d3ep-10, 0x1.38708de775f92p-10, 0x1.2db687b3f95e4p-10, 0x1.23553835dfdd7p-10, 0x1.1949f31575f75p-10, 0x1.0f92245405cap-10, 0x1.062b4d39848bdp-10, 0x1.fa2600a29e94cp-11, 0x1.e88dbaa1fa992p-11, 0x1.d7891bc624f83p-11, 0x1.c71388574dda8p-11, 0x1.b72876f452fc7p-11, 0x1.a7c3761cd19dp-11, 0x1.98e0348d37883p-11, 0x1.8a7a8a31d620fp-11, 0x1.7c8e7f20b31bbp-11, 0x1.6f184e64e1ea9p-11, 0x1.62146360fdf81p-11, 0x1.557f51eccffe4p-11, 0x1.4955cac118a0cp-11, 0x1.3d948ed5ca25cp-11, 0x1.323864b988c44p-11, 0x1.273e128a0062dp-11, 0x1.1ca25e1af4284p-11, 0x1.1262134dbdda2p-11, 0x1.087a0f020dd63p-11, 0x1.fdce97a01e2p-12, 0x1.eb4dda6f5443ap-12, 0x1.d96c8c8c0ace2p-12, 0x1.c825b3acf50dep-12, 0x1.b774a868bcf97p-12, 0x1.a754ff1c7bc9cp-12, 0x1.97c26bee869e9p-12, 0x1.88b8a88fa02c8p-12, 0x1.7a3361d460fbp-12, 0x1.6c2e313100197p-12, 0x1.5ea4a321746abp-12, 0x1.51924872ad435p-12, 0x1.44f2cdca5e5f4p-12, 0x1.38c2135cbd711p-12, 0x1.2cfc3ecf89b93p-12, 0x1.219dc2de72949p-12, 0x1.16a35b27c001cp-12, 0x1.0c09fdb94b004p-12, 0x1.01cec69165c7ap-12, 0x1.efddc4b4e570cp-13, 0x1.dccefa8a9c77ep-13, 0x1.ca6b728300cd7p-13, 0x1.b8ad592d2976ep-13, 0x1.a78ed01c2fb31p-13, 0x1.970a057bd0c3ap-13, 0x1.8719515c07f4dp-13, 0x1.77b7524049e7bp-13, 0x1.68df01fff2521p-13, 0x1.5a8bbce544358p-13, 0x1.4cb9384429008p-13, 0x1.3f636aee4fc2fp-13, 0x1.32866f3ea3fb6p-13, 0x1.261e690693f08p-13, 0x1.1a2777d2fa40dp-13, 0x1.0e9db836d08ccp-13, 0x1.037d4ffb2d5cap-13, 0x1.f184fa6abd8b5p-14, 0x1.dcd342ae821b7p-14, 0x1.c8de8bad4b7ebp-14, 0x1.b5a0392abdb4dp-14, 0x1.a311ff5729bbdp-14, 0x1.912de521f787ep-14, 0x1.7fee47196ffc2p-14, 0x1.6f4dd3ce9cd91p-14, 0x1.5f477a566e2c9p-14, 0x1.4fd64954cf6b9p-14, 0x1.40f54775ec6b5p-14, 0x1.329f57dfcf2fep-14, 0x1.24cf3cf86a9bcp-14, 0x1.177fbefe38b31p-14, 0x1.0aabe8091e28dp-14, 0x1.fc9e6fb571936p-15, 0x1.e4cb643613febp-15, 0x1.cdd7791e68c5dp-15, 0x1.b7bbbea3ada0dp-15, 0x1.a2711a4a16088p-15, 0x1.8df02b799d9f9p-15, 0x1.7a3190c067c77p-15, 0x1.672e5ad99edcdp-15, 0x1.54e05d55d1beap-15, 0x1.434222d9387d3p-15, 0x1.324e84a48435ep-15, 0x1.2200204022c62p-15, 0x1.1250ff9ec8885p-15, 0x1.033aaeade741bp-15, 0x1.e96d716b314a8p-16, 0x1.cd7e8b07df85ap-16, 0x1.b29eeab912cdp-16, 0x1.98c67bd1c6479p-16, 0x1.7fedb201e4686p-16, 0x1.680c42bcfb1fap-16, 0x1.5118980bc7aeap-16, 0x1.3b0864ca842e6p-16, 0x1.25d1fb3f16c12p-16, 0x1.116d8113e6ba7p-16, 0x1.fbaa6d723cdp-17, 0x1.d60955cfb393ep-17, 0x1.b1eed7ee98b9ep-17, 0x1.8f5031c82a0f8p-17, 0x1.6e20ad1b7c2fbp-17, 0x1.4e52d74c54823p-17, 0x1.2fd9ab0e29a1cp-17, 0x1.12a8cd3f5d8d5p-17, 0x1.ed682fbabfb92p-18, 0x1.b7de68f297834p-18, 0x1.849b4ac46a3b9p-18, 0x1.53860bf5693b7p-18, 0x1.24869cb958b08p-18, 0x1.ef0d60eb2d2f2p-19, 0x1.98e6f6f7823b3p-19, 0x1.467d7c35cf06fp-19, 0x1.ef764ff14de5dp-20, 0x1.59171f55ccc59p-20, 0x1.93600d8239bd8p-21, 0x1.043cea7ddc389p-22, -0x1.03f5df89924d9p-22, -0x1.794a2d65431b3p-21, -0x1.321340b33106ep-20, -0x1.a17498a159fa4p-20, -0x1.057e605e07ccp-19, -0x1.37746b4a4f3f1p-19, -0x1.66bec76fb8f9bp-19, -0x1.9381a8e334e9fp-19, -0x1.bde0487523a53p-19, -0x1.e5f88fc988976p-19, -0x1.05ef743bda5a7p-18, -0x1.17cf19597a65bp-18, -0x1.289ec70d90fd5p-18, -0x1.3863e289b0f98p-18, -0x1.4726f12fbd596p-18, -0x1.54f187a158fd1p-18, -0x1.61cb3ec3fc1b9p-18, -0x1.6db8f3edb2287p-18, -0x1.78bf12eecc1fp-18, -0x1.82e443221fc45p-18, -0x1.8c31950c8e9ccp-18, -0x1.94b07ea2e4361p-18, -0x1.9c6914332667ap-18, -0x1.a361f2b919956p-18, -0x1.a9a176bc9a9dcp-18, -0x1.af2ee4b6cd8e7p-18, -0x1.b4126fdabb61ap-18, -0x1.b854325f13309p-18, -0x1.bbfafa36ea83p-18, -0x1.bf0ba59f99b1ap-18, -0x1.c1895f8b796dbp-18, -0x1.c376e78aa6f68p-18, -0x1.c4d818e31625bp-18, -0x1.c5b1cb6b77f06p-18, -0x1.c608422acc4bp-18, -0x1.c5dec81369215p-18, -0x1.c5391229397e6p-18, -0x1.c41c35b6fc7e4p-18, -0x1.c28de45121cf7p-18, -0x1.c0931962c1498p-18, -0x1.be2fa0b49ec3cp-18, -0x1.bb668d5f5886p-18, -0x1.b83b06097bc9ep-18, -0x1.b4b0d42b2eeb7p-18, -0x1.b0cc63afbd799p-18, -0x1.ac91de0df770dp-18, -0x1.a803e40a5d1e3p-18, -0x1.a3240082496d7p-18, -0x1.9df52586fdb4bp-18, -0x1.987c9214cd6c3p-18, -0x1.92be93bbcef53p-18, -0x1.8cbc0da58e7e8p-18, -0x1.8675817658e07p-18, -0x1.7fee454037074p-18, -0x1.792ae39ed2dbp-18, -0x1.722e22f6ada8p-18, -0x1.6af977ffb4ab3p-18, -0x1.638f02418c83cp-18, -0x1.5bf179930894p-18, -0x1.54232b9cc31dfp-18, -0x1.4c25e4f68f37dp-18, -0x1.43fb984bbf0fcp-18, -0x1.3ba7163a36d49p-18, -0x1.332c03102dbdbp-18, -0x1.2a8d045ace53bp-18, -0x1.21caa0694969bp-18, -0x1.18e5927d960a3p-18, -0x1.0fe03a225244cp-18, -0x1.06bc6da6b0178p-18, -0x1.faf61bc5db0d3p-19, -0x1.e83c6cac0528cp-19, -0x1.d552789d7c5d9p-19, -0x1.c23d17ea81dc9p-19, -0x1.aefdc375cd746p-19, -0x1.9b96b1f3f04bp-19, -0x1.880c54478b511p-19, -0x1.74618190f5a44p-19, -0x1.6097825fd2ad6p-19, -0x1.4cb0e3a2c9ed9p-19, -0x1.38b0e04ebfd49p-19, -0x1.249a4e691322ep-19, -0x1.10702ac48c989p-19, -0x1.f86d74d4dda8fp-20, -0x1.cfe384a1e4133p-20, -0x1.a743fb664021ep-20, -0x1.7e9256924a901p-20, -0x1.55d621419937bp-20, -0x1.2d125a3fb4412p-20, -0x1.0449aa06b127bp-20, -0x1.b7040dc8129bbp-21, -0x1.6581f696aa866p-21, -0x1.1415780c61ac3p-21, -0x1.858b415634ee6p-22, -0x1.c66611e6294b9p-23, -0x1.04dbe95fbb065p-24, 0x1.815375ade039fp-24, 0x1.0165db4eb57c3p-22, 0x1.a1ea2022ebea5p-22, 0x1.20e982e3998c6p-21, 0x1.708eb4c231f78p-21, 0x1.bfde593f2720dp-21, 0x1.0767fd47ab288p-20, 0x1.2ead379a3f832p-20, 0x1.55b9eca2737abp-20, 0x1.7c8c9cf9c7841p-20, 0x1.a321ef975fc89p-20, 0x1.c976ccc6688bap-20, 0x1.ef8aac3a1d0fcp-20, 0x1.0aad042865a56p-19, 0x1.1d708904d2146p-19, 0x1.300e96c4727efp-19, 0x1.428608e247bf5p-19, 0x1.54d5b47d36934p-19, 0x1.66fc6deafbe7cp-19, 0x1.78f9119815f87p-19, 0x1.8aca7fe73578p-19, 0x1.9c6fb31101472p-19, 0x1.ade7ffb018205p-19, 0x1.bf327ebe7d804p-19, 0x1.d04d852e53f6dp-19, 0x1.e137fe9a5959cp-19, 0x1.f1f0e67d6b75ep-19, 0x1.013c37dc836aap-18, 0x1.096728be841d8p-18, 0x1.11782b50bbd3cp-18, 0x1.196ebb9f1e73ap-18, 0x1.214a75b13793ep-18, 0x1.290b7ad54bbe8p-18, 0x1.30b176ba69211p-18, 0x1.383bd36e71fe3p-18, 0x1.3faa40dfa5875p-18, 0x1.46fc80de83d68p-18, 0x1.4e32521413f62p-18, 0x1.554b722a7df0ep-18, 0x1.5c47a13a970d2p-18, 0x1.6326a30800883p-18, 0x1.69e83e1ab4041p-18, 0x1.708c3bae7a943p-18, 0x1.771267c5297eep-18, 0x1.7d7a90cbd59ccp-18, 0x1.83c486dfb452ap-18, 0x1.89f01ba3cb953p-18, 0x1.8ffd320a36cc8p-18, 0x1.95ebd310491cep-18, 0x1.9bbbe87dc9fd2p-18, 0x1.a16d3cd89abfdp-18, 0x1.a6ff61156813cp-18, 0x1.ac7263be1365dp-18, 0x1.b1c668e62b2e7p-18, 0x1.b6fb6954e750dp-18, 0x1.bc111aed22f3cp-18, 0x1.c10775dfb75edp-18, 0x1.c5de80c1082a6p-18, 0x1.ca963b9bfbb24p-18, 0x1.cf2ea440066f4p-18, 0x1.d3a7b954b1294p-18, 0x1.d8017b754efc7p-18, 0x1.dc3bedb7ec9bp-18, 0x1.e0571620ded39p-18, 0x1.e452fdfe9984cp-18, 0x1.e82fb1c529ff6p-18, 0x1.ebed3ff59f1dap-18, 0x1.ef8bb776da206p-18, 0x1.f30b27157ff0cp-18, 0x1.f66b9fa9445d5p-18, 0x1.f9ad3627206afp-18, 0x1.fccfffc5cbc13p-18, 0x1.ffd41c9e98c9cp-18, 0x1.015ceaf2e3f4dp-17, 0x1.02c0882e0f3bcp-17, 0x1.0414ee32d7ee8p-17, 0x1.055a560f5c071p-17, 0x1.0690a3f2eacaep-17, 0x1.07b7fe7b71f6ep-17, 0x1.08d07e71bcc6dp-17, 0x1.09da2b83cde36p-17, 0x1.0ad51d4c37b79p-17, 0x1.0bc16bec8e629p-17, 0x1.0c9f2e48bc686p-17, 0x1.0d6e7b52bc96p-17, 0x1.0e2f6a8ed6f3fp-17, 0x1.0ee21438353bap-17, 0x1.0f86914f438bbp-17, 0x1.101cfba0fc91dp-17, 0x1.10a56db5f0785p-17, 0x1.112002912e96bp-17, 0x1.118cd5686e79p-17, 0x1.11ec01b161c8bp-17, 0x1.123da3baca431p-17, 0x1.1281d96ae4d51p-17, 0x1.12b8c0d7e1b8p-17, 0x1.12e275794c93fp-17, 0x1.12ff1ea414b0bp-17, 0x1.130ed7721f6e3p-17, 0x1.1311b31cec31ep-17, 0x1.1307e6a068f1fp-17, 0x1.12f1839ffd91bp-17, 0x1.12ceab2284028p-17, 0x1.129f8077961d3p-17, 0x1.12642cec23e79p-17, 0x1.121cc6d036ffcp-17, 0x1.11c97a8f2c8cep-17, 0x1.116a6582ba70fp-17, 0x1.10ffa76da3117p-17, 0x1.108965b81ec44p-17, 0x1.1007c45aafb47p-17, 0x1.0f7ae6dc8e745p-17, 0x1.0ee2f0ef98bebp-17, 0x1.0e400690dc0aep-17, 0x1.0d924bfe283f7p-17, 0x1.0cd9e5954be77p-17, 0x1.0c16f7bde658dp-17, 0x1.0b49a7012dfa2p-17, 0x1.0a72181684a8ap-17, 0x1.09907010f969ep-17, 0x1.08a4d4ad90caep-17, 0x1.07af6a1920c21p-17, 0x1.06b053ae63734p-17, 0x1.05a7bcf93f10dp-17, 0x1.0495c71ede702p-17, 0x1.037a9b1831278p-17, 0x1.0256586255d77p-17, 0x1.012926f87d518p-17, 0x1.ffe65a6a4dd6p-18, 0x1.fd69217f6fbdcp-18, 0x1.fadaeeec83755p-18, 0x1.f83c0e564f503p-18, 0x1.f58cc92b6370bp-18, 0x1.f2cd6773e2fc9p-18, 0x1.effe3a91d563bp-18, 0x1.ed1f8f2286a46p-18, 0x1.ea31ad70cc5efp-18, 0x1.e734da9a6e184p-18, 0x1.e42964340756ap-18, 0x1.e10f95c71dcfbp-18, 0x1.dde7b9981f959p-18, 0x1.dab21997541ap-18, 0x1.d76eff6f86f54p-18, 0x1.d41eb47f737bp-18, 0x1.d0c181e44ad16p-18, 0x1.cd57b0aa0bf9dp-18, 0x1.c9e18a1e662f8p-18, 0x1.c65f57043a7bfp-18, 0x1.c2d15d0548e71p-18, 0x1.bf37e24b3deb5p-18, 0x1.bb9336057c2e9p-18, 0x1.b7e39d7daaaedp-18, 0x1.b429594156415p-18, 0x1.b064b2876861fp-18, 0x1.ac95f01e56139p-18, 0x1.a8bd577e35d05p-18, 0x1.a4db2db20c9e8p-18, 0x1.a0efb7608ec45p-18, 0x1.9cfb38c3101a6p-18, 0x1.98fdf5a2f60d2p-18, 0x1.94f8315a69732p-18, 0x1.90ea2ee36a3efp-18, 0x1.8cd430dd9a26dp-18, 0x1.88b67946910d4p-18, 0x1.849148eee26c2p-18, 0x1.8064df92e5dbap-18, 0x1.7c3180a92bac4p-18, 0x1.77f76cf2d1f0cp-18, 0x1.73b6e0336d7d7p-18, 0x1.6f701a4ae71d2p-18, 0x1.6b235a28c94dp-18, 0x1.66d0dd986d48p-18, 0x1.6278e1cc12b7dp-18, 0x1.5e1ba37a68915p-18, 0x1.59b95eeea195dp-18, 0x1.55524fcbae39bp-18, 0x1.50e6b0800ececp-18, 0x1.4c76bad7f660dp-18, 0x1.4802abd28d486p-18, 0x1.438aba4b383e6p-18, 0x1.3f0f1e8a3f69ep-18, 0x1.3a90116262ab7p-18, 0x1.360dca59a4e09p-18, 0x1.3188804c95f13p-18, 0x1.2d006985f9f46p-18, 0x1.2875bbb6e6b5ep-18, 0x1.23e8abf1b467dp-18, 0x1.1f596eb3fb642p-18, 0x1.1ac837db68edbp-18, 0x1.16353aa76e182p-18, 0x1.11a0a9b955657p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.862f0a9c2ee08p-1, -0x1.86335d05cdeeep-1, -0x1.8638fc3a2ea99p-1, -0x1.863da3d768c8cp-1, -0x1.863e55517e0b7p-1, -0x1.86377a9257547p-1, -0x1.8625097aade22p-1, -0x1.8602a643cfcbcp-1, -0x1.85cbc37d7f7d4p-1, -0x1.857bbeea695fp-1, -0x1.850dfaddaff2p-1, -0x1.847df3fee1893p-1, -0x1.83c75386dd987p-1, -0x1.82e5fe258b2d5p-1, -0x1.81d61fd2291fbp-1, -0x1.809434d190ef4p-1, -0x1.7f1d10419dc1dp-1, -0x1.7d6de0789d51ap-1, -0x1.7b843184c55fep-1, -0x1.795dee12f75e1p-1, -0x1.76f95efe6bcd4p-1, -0x1.745529c4a95ffp-1, -0x1.71704e12dd9cfp-1, -0x1.6e4a229b6ef1ap-1, -0x1.6ae2515cb17e3p-1, -0x1.6738d37c276bap-1, -0x1.634decd49308p-1, -0x1.5f22275091e15p-1, -0x1.5ab64e2757ac1p-1, -0x1.560b690d79d7p-1, -0x1.5122b7689256bp-1, -0x1.4bfdab91b46a9p-1, -0x1.469de6304ef71p-1, -0x1.410531b5106f3p-1, -0x1.3b357dfa9ad8p-1, -0x1.3530dc106f8e3p-1, -0x1.2ef97a333491ep-1, -0x1.28919ff4798a9p-1, -0x1.21fbaa934cf62p-1, -0x1.1b3a09864048ap-1, -0x1.144f3b36eeff1p-1, -0x1.0d3dc9eeaa873p-1, -0x1.060848f393ceap-1, -0x1.fd62a3aa47a6fp-2, -0x1.ee7703cdddd28p-2, -0x1.df52efd08d2d5p-2, -0x1.cffba3ae77b79p-2, -0x1.c07655daec1b9p-2, -0x1.b0c8338a74f97p-2, -0x1.a0f65d4a0382dp-2, -0x1.9105e3dfdae6dp-2, -0x1.80fbc572e9f97p-2, -0x1.70dceaf54080bp-2, -0x1.60ae25ce5b35fp-2, -0x1.50742dc20dd7dp-2, -0x1.40339f10e2f14p-2, -0x1.2ff0f8ced9af5p-2, -0x1.1fb09b6d88789p-2, -0x1.0f76c776acbb6p-2, -0x1.fe8f38e8b9a5ep-3, -0x1.de4e300833618p-3, -0x1.be322a242fd1bp-3, -0x1.9e4296746c324p-3, -0x1.7e869c984eb4ap-3, -0x1.5f051be0e1322p-3, -0x1.3fc4aad7f4ea8p-3, -0x1.20cb96fffc355p-3, -0x1.021fe4c8828a2p-3, -0x1.c78e9f66681a1p-4, -0x1.8b8e954b636f4p-4, -0x1.504a00c902a7fp-4, -0x1.15caa8676a3b2p-4, -0x1.b8338a67cf252p-5, -0x1.4680090b22c44p-5, -0x1.ad1627ea4c294p-6, -0x1.a18f8d441fdebp-7, 0x1.f3ad857399409p-12, 0x1.b925fa3d4d9bcp-7, 0x1.ad6cbd3b800c7p-6, 0x1.3d22ccf2e93bep-5, 0x1.a1848fd9fd424p-5, 0x1.01e92e182e93fp-4, 0x1.3201e7a09282fp-4, 0x1.6108b43f9f1c3p-4, 0x1.8efa41922386ap-4, 0x1.bbd3a7dd1154dp-4, 0x1.e79266ca52d02p-4, 0x1.091a31101c779p-3, 0x1.1ddbef3addeb3p-3, 0x1.320dbef2f14dcp-3, 0x1.45af1e6205d86p-3, 0x1.58bfb7298ebaep-3, 0x1.6b3f5cc09804ap-3, 0x1.7d2e0ad492a76p-3, 0x1.8e8be3add8374p-3, 0x1.9f592e987a2d8p-3, 0x1.af965651edd0dp-3, 0x1.bf43e77c1fbe1p-3, 0x1.ce628f165b41ep-3, 0x1.dcf318fc6b8cbp-3, 0x1.eaf66e6c5f6d4p-3, 0x1.f86d949335f01p-3, 0x1.02acd5905b5eap-2, 0x1.08ddf57164018p-2, 0x1.0ecad2342f092p-2, 0x1.14741f561f5d8p-2, 0x1.19da9ae3dfff1p-2, 0x1.1eff0cd6c883ep-2, 0x1.23e246765af4fp-2, 0x1.288521bddf004p-2, 0x1.2ce880c61d237p-2, 0x1.310d4d3347e2p-2, 0x1.34f477a706b63p-2, 0x1.389ef736ab892p-2, 0x1.3c0dc8e58ac66p-2, 0x1.3f41ef237368ap-2, 0x1.423c714f3ea38p-2, 0x1.44fe5b3d6fb09p-2, 0x1.4788bcc2daf43p-2, 0x1.49dca9434badep-2, 0x1.4bfb374417eeap-2, 0x1.4de5800298b77p-2, 0x1.4f9c9f0e7d043p-2, 0x1.5121b1e7e001ep-2, 0x1.5275d7a11bd8fp-2, 0x1.539a30844701ep-2, 0x1.548fddbc485acp-2, 0x1.5558010178c0ep-2, 0x1.55f3bc49b98d1p-2, 0x1.5664317bf1e0dp-2, 0x1.56aa8226e4affp-2, 0x1.56c7cf3b45957p-2, 0x1.56bd38c902c58p-2, 0x1.568bddbfac5d3p-2, 0x1.5634dbb1e7783p-2, 0x1.55b94e9bdda8p-2, 0x1.551a50ac9420fp-2, 0x1.5458fa1215802p-2, 0x1.537660c8647e3p-2, 0x1.5273986b17734p-2, 0x1.5151b2099ae98p-2, 0x1.5011bbfdf880ap-2, 0x1.4eb4c1c61cda3p-2, 0x1.4d3bcbdf845eap-2, 0x1.4ba7dfa53e95fp-2, 0x1.49f9ff303447dp-2, 0x1.48332939a3335p-2, 0x1.465458ffbb926p-2, 0x1.445e862c4c802p-2, 0x1.4252a4bd72104p-2, 0x1.4031a4f0322e8p-2, 0x1.3dfc732cf8e09p-2, 0x1.3bb3f7f5e3358p-2, 0x1.395917d6c82a8p-2, 0x1.36ecb356f1e47p-2, 0x1.346fa6ec76867p-2, 0x1.31e2caf121b1ep-2, 0x1.2f46f398dedb4p-2, 0x1.2c9cf0e999033p-2, 0x1.29e58eb47c7acp-2, 0x1.272194909338fp-2, 0x1.2451c5d6a5525p-2, 0x1.2176e19e58bd8p-2, 0x1.1e91a2bc80ff7p-2, 0x1.1ba2bfc288c15p-2, 0x1.18aaeafefa982p-2, 0x1.15aad27f09c3ap-2, 0x1.12a320111b552p-2, 0x1.0f9479483f07dp-2, 0x1.0c7f7f808dad1p-2, 0x1.0964cfe4629edp-2, 0x1.064503725ff17p-2, 0x1.0320af043c144p-2, 0x1.fff0c6ac8e912p-3, 0x1.f9995a1f3e841p-3, 0x1.f33c29961916ap-3, 0x1.ecda3e40f2d05p-3, 0x1.e674995df8fbep-3, 0x1.e00c344edced3p-3, 0x1.d9a200af04858p-3, 0x1.d336e86aa4b1dp-3, 0x1.cccbcdd6c4205p-3, 0x1.c6618bca11f2bp-3, 0x1.bff8f5b671a34p-3, 0x1.b992d7c34bf24p-3, 0x1.b32ff6e8755c3p-3, 0x1.acd11109b3c55p-3, 0x1.a676dd12c8f77p-3, 0x1.a0220b13fcabp-3, 0x1.99d3445f13a23p-3, 0x1.938b2ba4adae4p-3, 0x1.8d4a5d11f4a16p-3, 0x1.87116e6e9fb1dp-3, 0x1.80e0ef3b346fcp-3, 0x1.7ab968cf7f252p-3, 0x1.749b5e7938f33p-3, 0x1.6e874d9ad4a41p-3, 0x1.687dadca5ed59p-3, 0x1.627ef0f078889p-3, 0x1.5c8b836757d73p-3, 0x1.56a3cc19c3659p-3, 0x1.50c82ca215bb8p-3, 0x1.4af9016922b7ap-3, 0x1.4536a1c516d8ep-3, 0x1.3f8160182fd53p-3, 0x1.39d989ef59eaep-3, 0x1.343f6820a4bc1p-3, 0x1.2eb33ee98a6cbp-3, 0x1.29354e0d00376p-3, 0x1.23c5d0f155cp-3, 0x1.1e64febdd26e3p-3, 0x1.19130a7816162p-3, 0x1.13d023212d1a9p-3, 0x1.0e9c73d26377dp-3, 0x1.097823d9c35d6p-3, 0x1.046356d64ac57p-3, 0x1.febc59a782582p-4, 0x1.f4d184cc86c61p-4, 0x1.eb06618ad9c2fp-4, 0x1.e15b1bce4b326p-4, 0x1.d7cfd9342c26p-4, 0x1.ce64b93f65be9p-4, 0x1.c519d58bd04aep-4, 0x1.bbef4200c8e39p-4, 0x1.b2e50d02eea48p-4, 0x1.a9fb3fa50b08cp-4, 0x1.a131ddd8418e7p-4, 0x1.9888e69b464p-4, 0x1.90005428dafe4p-4, 0x1.87981c256709bp-4, 0x1.7f502fcbb3b2dp-4, 0x1.77287c18d42cep-4, 0x1.6f20e9f72ce7p-4, 0x1.67395e68a00bfp-4, 0x1.5f71baafddc1cp-4, 0x1.57c9dc78d4fc7p-4, 0x1.50419e004b957p-4, 0x1.48d8d63a966fap-4, 0x1.418f58f976efbp-4, 0x1.3a64f7111eaa3p-4, 0x1.33597e7c542cap-4, 0x1.2c6cba7fc4245p-4, 0x1.259e73cc76f8ep-4, 0x1.1eee70a16fc5cp-4, 0x1.185c74ec76d16p-4, 0x1.11e8426a108e1p-4, 0x1.0b9198c4a261cp-4, 0x1.055835b2c69b8p-4, 0x1.fe77aa29aa70ap-5, 0x1.f278622339702p-5, 0x1.e6b20464a901fp-5, 0x1.db23fefb8dc7ap-5, 0x1.cfcdbd256c2eap-5, 0x1.c4aea782fc8fep-5, 0x1.b9c62449f18efp-5, 0x1.af13977541c79p-5, 0x1.a49662f3fb1e4p-5, 0x1.9a4de6d6a8da8p-5, 0x1.9039817b500edp-5, 0x1.86588fb7fecap-5, 0x1.7caa6d040aeb9p-5, 0x1.732e739fe7467p-5, 0x1.69e3fcbbb1e65p-5, 0x1.60ca609c6a952p-5, 0x1.57e0f6bfee79cp-5, 0x1.4f2715ffa35a3p-5, 0x1.469c14b1f11cdp-5, 0x1.3e3f48ca8334p-5, 0x1.361007f9573b3p-5, 0x1.2e0da7c8a78b8p-5, 0x1.26377db9ab744p-5, 0x1.1e8cdf6041238p-5, 0x1.170d227d7bf9ap-5, 0x1.0fb79d1920c5dp-5, 0x1.088ba59a18b91p-5, 0x1.018892dddcd0cp-5, 0x1.f55b789dcf98dp-6, 0x1.e7f4f3f44624p-6, 0x1.dadc4946d8d1dp-6, 0x1.ce102bb248b8cp-6, 0x1.c18f500db8fbfp-6, 0x1.b5586d0e35f42p-6, 0x1.a96a3b68929dap-6, 0x1.9dc375f18e387p-6, 0x1.9262d9bc5e3f6p-6, 0x1.8747263799338p-6, 0x1.7c6f1d4898bdep-6, 0x1.71d983655db81p-6, 0x1.67851facf8eacp-6, 0x1.5d70bbfe8310dp-6, 0x1.539b250eb8871p-6, 0x1.4a032a7c411acp-6, 0x1.40a79ee298b3fp-6, 0x1.378757ebcf0b6p-6, 0x1.2ea12e60ea587p-6, 0x1.25f3fe393bc8ap-6, 0x1.1d7ea6a87c3a3p-6, 0x1.15400a2bc43c2p-6, 0x1.0d370e957c2aep-6, 0x1.05629d183cae9p-6, 0x1.fb8344a155b62p-7, 0x1.eca61c9cc1ae1p-7, 0x1.de2ba937a71a9p-7, 0x1.d011d88acd578p-7, 0x1.c2569fbf1617ap-7, 0x1.b4f7fb1819a0cp-7, 0x1.a7f3edfd3a5efp-7, 0x1.9b488300e6a0ap-7, 0x1.8ef3cbe68f974p-7, 0x1.82f3e1a70f3d6p-7, 0x1.7746e473afcdap-7, 0x1.6beafbb7dd3b3p-7, 0x1.60de56197f444p-7, 0x1.561f29782656ep-7, 0x1.4babb2eaf62bfp-7, 0x1.418236bd7994dp-7, 0x1.37a1006b560e2p-7, 0x1.2e06629b0b24dp-7, 0x1.24b0b717917cp-7, 0x1.1b9e5ec917846p-7, 0x1.12cdc1acd5484p-7, 0x1.0a3d4ecbfec15p-7, 0x1.01eb7c31f7c34p-7, 0x1.f3ad8dc33614dp-8, 0x1.e3fb6593c94bcp-8, 0x1.d4bd9573a6414p-8, 0x1.c5f140a74729cp-8, 0x1.b79397feef716p-8, 0x1.a9a1d9baafea3p-8, 0x1.9c19516d5691dp-8, 0x1.8ef757de45fdap-8, 0x1.823952ea4821bp-8, 0x1.75dcb5639e07dp-8, 0x1.69defef0f45c9p-8, 0x1.5e3dbbebcb87ap-8, 0x1.52f6853df7448p-8, 0x1.4807003e597b3p-8, 0x1.3d6cde8d2b611p-8, 0x1.3325ddef8dacbp-8, 0x1.292fc82a91f56p-8, 0x1.1f8872ddd0ab4p-8, 0x1.162dbf5d9c43bp-8, 0x1.0d1d9a8c97e4ap-8, 0x1.0455fcb518964p-8, 0x1.f7a9d2c47c393p-9, 0x1.e730de71505bap-9, 0x1.d73d4f9dfeed7p-9, 0x1.c7cb6f0cdb785p-9, 0x1.b8d79ac5061c8p-9, 0x1.aa5e45c2f31e4p-9, 0x1.9c5bf7a80451ep-9, 0x1.8ecd4c6a6345fp-9, 0x1.81aef404959e5p-9, 0x1.74fdb225477b3p-9, 0x1.68b65ddef808dp-9, 0x1.5cd5e157a8e13p-9, 0x1.51593978e41e3p-9, 0x1.463d759fd4707p-9, 0x1.3b7fb74db6b7dp-9, 0x1.311d31d87a55ap-9, 0x1.27132a1be53a1p-9, 0x1.1d5ef62adda92p-9, 0x1.13fdfd011323p-9, 0x1.0aedb63579475p-9, 0x1.022ba9accc4adp-9, 0x1.f36ade99c80d6p-10, 0x1.e3115d6118e72p-10, 0x1.d3463db78b737p-10, 0x1.c4050be181af7p-10, 0x1.b54971cb00354p-10, 0x1.a70f36740c06cp-10, 0x1.99523d5e7523p-10, 0x1.8c0e85fd16e8p-10, 0x1.7f402b24bfcb4p-10, 0x1.72e3627e0a038p-10, 0x1.66f47bf9347b7p-10, 0x1.5b6fe14320802p-10, 0x1.5052153c07a96p-10, 0x1.4597b37040ae8p-10, 0x1.3b3d6f91a65bcp-10, 0x1.314014f396cfbp-10, 0x1.279c8608381b6p-10, 0x1.1e4fbbdf6318cp-10, 0x1.1556c5a74c1c8p-10, 0x1.0caec82ed41e4p-10, 0x1.0454fd69be216p-10, 0x1.f88d67ecf65a9p-11, 0x1.e9029d4be6cebp-11, 0x1.da04880948a6cp-11, 0x1.cb8e3bcc0db53p-11, 0x1.bd9af1e2a4ef6p-11, 0x1.b02608603d54fp-11, 0x1.a32b013dbc2d4p-11, 0x1.96a5817e39c93p-11, 0x1.8a915057028b3p-11, 0x1.7eea565af4918p-11, 0x1.73ac9ca9f931ep-11, 0x1.68d44c23509c3p-11, 0x1.5e5dac9bc01b7p-11, 0x1.54452417010e2p-11, 0x1.4a8736053f86dp-11, 0x1.4120828327121p-11, 0x1.380dc59e5df1cp-11, 0x1.2f4bd69cd9ed3p-11, 0x1.26d7a747e3bc2p-11, 0x1.1eae433a2f064p-11, 0x1.16cccf317bd54p-11, 0x1.0f3088637884dp-11, 0x1.07d6c3d67ad51p-11, 0x1.00bcedbc8c971p-11, 0x1.f3c111a5044d3p-12, 0x1.e67e5b83d5d7cp-12, 0x1.d9ad150d59496p-12, 0x1.cd48c3ad9ebecp-12, 0x1.c14d151dc64eep-12, 0x1.b5b5de3f3e4a2p-12, 0x1.aa7f1a001a498p-12, 0x1.9fa4e844f87a3p-12, 0x1.95238cd7b30b1p-12, 0x1.8af76e5c85f8dp-12, 0x1.811d154e82bf8p-12, 0x1.77912afee13b1p-12, 0x1.6e50789c378d1p-12, 0x1.6557e63f9a507p-12, 0x1.5ca479fc6fa87p-12, 0x1.543356f8c60cdp-12, 0x1.4c01bc89c05f5p-12, 0x1.440d05556adcdp-12, 0x1.3c52a6795006ep-12, 0x1.34d02eb7bb1e7p-12, 0x1.2d8345a7ed6c5p-12, 0x1.2669aaec4ddc1p-12, 0x1.1f81356ec6b4ap-12, 0x1.18c7d29f11cf4p-12, 0x1.123b85b87407ap-12, 0x1.0bda670a938e2p-12, 0x1.05a2a347babp-12, 0x1.ff24f5ae72bb9p-13, 0x1.f350825864e5cp-13, 0x1.e7c4b84249d07p-13, 0x1.dc7e86ad0dcfbp-13, 0x1.d17aff2e3db41p-13, 0x1.c6b7547f954cp-13, 0x1.bc30d9566a1b2p-13, 0x1.b1e4ff429f685p-13, 0x1.a7d15596f9d12p-13, 0x1.9df38857b53e3p-13, 0x1.94495f308bddbp-13, 0x1.8ad0bc742f8c7p-13, 0x1.81879c1f707fcp-13, 0x1.786c12e566ad9p-13, 0x1.6f7c4d42ce144p-13, 0x1.66b68e97fa0e9p-13, 0x1.5e193048eb82bp-13, 0x1.55a2a0e3761bbp-13, 0x1.4d51634dc0b86p-13, 0x1.45240df81ca29p-13, 0x1.3d194a1617c1cp-13, 0x1.352fd2e12f2b8p-13, 0x1.2d6674d98b1a9p-13, 0x1.25bc0d12f318ep-13, 0x1.1e2f8884c9aeap-13, 0x1.16bfe36018e91p-13, 0x1.0f6c286a3f531p-13, 0x1.0833705d4463p-13, 0x1.0114e14df4cafp-13, 0x1.f41f5c29a251p-14, 0x1.e6462b7a0916ep-14, 0x1.d89cc5f4a69d3p-14, 0x1.cb21d73dfaaaep-14, 0x1.bdd420337c7e6p-14, 0x1.b0b275ec9fa19p-14, 0x1.a3bbc0c83978cp-14, 0x1.96eefb7cd57b2p-14, 0x1.8a4b3234f50ebp-14, 0x1.7dcf81b4ec281p-14, 0x1.717b1682ed72p-14, 0x1.654d2c19242bep-14, 0x1.59450c20cfe04p-14, 0x1.4d620db30c115p-14, 0x1.41a3949fb725fp-14, 0x1.360910bcafaf6p-14, 0x1.2a91fd3abc903p-14, 0x1.1f3de000efb8cp-14, 0x1.140c490d139fbp-14, 0x1.08fcd1dc41accp-14, 0x1.fc1e39b5938ebp-15, 0x1.e685a9a77082ep-15, 0x1.d12f58d44c91p-15, 0x1.bc1abb32c2ac9p-15, 0x1.a747526c26acbp-15, 0x1.92b4acefe4ffbp-15, 0x1.7e62650cf72d2p-15, 0x1.6a502017cc2b4p-15, 0x1.567d8d96f4406p-15, 0x1.42ea66777a42bp-15, 0x1.2f966c4d6ac6bp-15, 0x1.1c81689f5530cp-15, 0x1.09ab2c3128d81p-15, 0x1.ee271cba1128dp-16, 0x1.c974d8ea1734dp-16, 0x1.a53f524d87e3ep-16, 0x1.818657daa5536p-16, 0x1.5e49c103f5c93p-16, 0x1.3b896cba496a4p-16, 0x1.1945406e2cf14p-16, 0x1.eefa4e3822f01p-17, 0x1.ac6220da5a442p-17, 0x1.6ac1dfc97b2ddp-17, 0x1.2a19782507e65p-17, 0x1.d4d1b740b892p-18, 0x1.575ffe3f94ebap-18, 0x1.b7bb657feeb5p-19, 0x1.892b0d909351fp-20, -0x1.558e26a3487c8p-22, -0x1.161aa97b3047cp-19, -0x1.fda55e1ebb57dp-19, -0x1.70a9145efbbep-18, -0x1.e090b0f637935p-18, -0x1.2744de169b7c9p-17, -0x1.5d4a3cedb8afbp-17, -0x1.92589dfcef303p-17, -0x1.c67031ee3dc43p-17, -0x1.f99131c65c401p-17, -0x1.15ddefb4c7641p-16, -0x1.2e78431751ddfp-16, -0x1.4697bdae57328p-16, -0x1.5e3c8f4ac9d33p-16, -0x1.7566ed183dc3bp-16, -0x1.8c1711d05133ap-16, -0x1.a24d3de159ed4p-16, -0x1.b809b7935d614p-16, -0x1.cd4ccb20fca1p-16, -0x1.e216cad76ed59p-16, -0x1.f6680f2a5c30dp-16, -0x1.05207b639d628p-15, -0x1.0ed0f34f4ac4ap-15, -0x1.1845a4f9736a6p-15, -0x1.217ec930da6fap-15, -0x1.2a7c9bf2e18adp-15, -0x1.333f5c6ad1a9fp-15, -0x1.3bc74cf11a8dbp-15, -0x1.4414b30987c79p-15, -0x1.4c27d76018f64p-15, -0x1.540105c1cb4b8p-15, -0x1.5ba08d1812dc9p-15, -0x1.6306bf61d7517p-15, -0x1.6a33f1aa11228p-15, -0x1.71287bff2cfe2p-15, -0x1.77e4b966071ecp-15, -0x1.7e6907d2dd2b5p-15, -0x1.84b5c81b6cb24p-15, -0x1.8acb5dead4b88p-15, -0x1.90aa2fb30c4fdp-15, -0x1.9652a69ee8edbp-15, -0x1.9bc52e8519092p-15, -0x1.a10235d77c74ap-15, -0x1.a60a2d938f9ebp-15, -0x1.aadd893203556p-15, -0x1.af7cbe973c8fcp-15, -0x1.b3e84601dfc72p-15, -0x1.b82099f974d07p-15, -0x1.bc26373af9155p-15, -0x1.bff99ca9e397dp-15, -0x1.c39b4b3c7f53ep-15, -0x1.c70bc5ea09c98p-15, -0x1.ca4b91978bd48p-15, -0x1.cd5b3505153b8p-15, -0x1.d03b38bc22ed2p-15, -0x1.d2ec26fbe8165p-15, -0x1.d56e8ba630b35p-15, -0x1.d7c2f42bf64f8p-15, -0x1.d9e9ef7b9efc7p-15, -0x1.dbe40ded72b93p-15, -0x1.ddb1e130f711ep-15, -0x1.df53fc3937d9fp-15, -0x1.e0caf32a40b39p-15, -0x1.e2175b46dea5ep-15, -0x1.e339cade16c2ap-15, -0x1.e432d9378874cp-15, -0x1.e5031e8172d25p-15, -0x1.e5ab33bf2d96p-15, -0x1.e62bb2b686e8ap-15, -0x1.e68535deb84abp-15, -0x1.e6b8584ce2775p-15, -0x1.e6c5b5a3971abp-15, -0x1.e6adea01e8088p-15, -0x1.e67191f1ce8dep-15, -0x1.e6114a583117ep-15, -0x1.e58db06353e37p-15, -0x1.e4e7617abc69bp-15, -0x1.e41efb2f8c69fp-15, -0x1.e3351b2cb5ae3p-15, -0x1.e22a5f265e49p-15, -0x1.e0ff64cb8490ap-15, -0x1.dfb4c9b6bb709p-15, -0x1.de4b2b6059769p-15, -0x1.dcc3270f0f4fap-15, -0x1.db1d59c9f8356p-15, -0x1.d95a604a1cc4p-15, -0x1.d77ad6ee67a24p-15, -0x1.d57f59ad480bap-15, -0x1.d36884087125bp-15, -0x1.d136f10071575p-15, -0x1.ceeb3b0746941p-15, -0x1.cc85fbf57cf92p-15, -0x1.ca07ccfe477cbp-15, -0x1.c77146a38b483p-15, -0x1.c4c300ab21487p-15, -0x1.c1fd921405011p-15, -0x1.bf21910c90dfp-15, -0x1.bc2f92e7db2ap-15, -0x1.b9282c139c976p-15, -0x1.b60bf00f1f50ap-15, -0x1.b2db71617e83cp-15, -0x1.af97419102949p-15, -0x1.ac3ff11adc0f3p-15, -0x1.a8d60f6ab5885p-15, -0x1.a55a2ad277edep-15, -0x1.a1ccd082ae16dp-15, -0x1.9e2e8c830aeap-15, -0x1.9a7fe9ab5971p-15, -0x1.96c1719cbb769p-15, -0x1.92f3acba437dcp-15, -0x1.8f1722238d9cbp-15, -0x1.8b2c57af4653cp-15, -0x1.8733d1e3b844dp-15, -0x1.832e13f2f837ap-15, -0x1.7f1b9fb4acfcfp-15, -0x1.7afcf5a18a8c2p-15, -0x1.76d294cde62ecp-15, -0x1.729cfae6b20bap-15, -0x1.6e5ca42c7800ep-15, -0x1.6a120b6eeb186p-15, -0x1.65bdaa0aa5fc9p-15, -0x1.615ff7e3d6ec3p-15, -0x1.5cf96b64820c8p-15, -0x1.588a7979434f8p-15, -0x1.5413958dccf91p-15, -0x1.4f95318a91e7bp-15, -0x1.4b0fbdd3e1845p-15, -0x1.4683a9459c853p-15, -0x1.41f16132a641ap-15, -0x1.3d595162d81d6p-15, -0x1.38bbe41202733p-15, -0x1.341981ed5a562p-15, -0x1.2f7292135756fp-15, -0x1.2ac77a136893bp-15, -0x1.26189deb64a23p-15, -0x1.21666008d16c7p-15, -0x1.1cb1214770bbep-15, -0x1.17f940f0c3345p-15, -0x1.133f1cbd0992ap-15, -0x1.0e8310d322167p-15, -0x1.09c577c7acbb7p-15, -0x1.0506aa9ebd5f3p-15, -0x1.004700cc5869ep-15, -0x1.f70da069077abp-16, -0x1.ed8cda5812868p-16, -0x1.e40c54f50591cp-16, -0x1.da8cb2b6098c2p-16, -0x1.d10e92f8955b9p-16, -0x1.c792920785e87p-16, -0x1.be19491ce1eaap-16, -0x1.b4a34e63d3c1bp-16, -0x1.ab3134fdf5949p-16, -0x1.a1c38d07087a7p-16, -0x1.985ae39642d3fp-16, -0x1.8ef7c2c4fe382p-16, -0x1.859ab1b38f911p-16, -0x1.7c44348b3a77dp-16, -0x1.72f4cc848a1a4p-16, -0x1.69acf7ec739p-16, -0x1.606d3228facdap-16, -0x1.5735f3bd03be3p-16, -0x1.4e07b24fdb3f2p-16, -0x1.44e2e0b22c0efp-16, -0x1.3bc7eee31b5e3p-16, -0x1.32b74a1587f7p-16, -0x1.29b15cb850bb3p-16, -0x1.20b68e79ba605p-16, -0x1.17c7444ecea03p-16, -0x1.0ee3e07af9613p-16, -0x1.060cc293d635ap-16, -0x1.fa848f12071f2p-17, -0x1.e909935627625p-17, -0x1.d7a94164beb3dp-17, -0x1.c6644388d7aeap-17, -0x1.b53b3ef93b321p-17, -0x1.a42ed3e377999p-17, -0x1.933f9d7d83dd8p-17, -0x1.826e320d18473p-17, -0x1.71bb22fdfad82p-17, -0x1.6126fced55c4bp-17, -0x1.50b247b510d0cp-17, -0x1.405d8680280ccp-17, -0x1.302937d52b704p-17, -0x1.2015d5a5b0f0ap-17, -0x1.1023d55f65a4cp-17, -0x1.0053a7f92c84ep-17, -0x1.e14b74059c156p-18, -0x1.c234e7654c184p-18, -0x1.a36471eebd47ap-18, -0x1.84dad30989278p-18, -0x1.6698c1c682dbap-18, -0x1.489eed014f5fap-18, -0x1.2aedfb7d61badp-18, -0x1.0d868bfff7a53p-18, -0x1.e0d26aee68b21p-19, -0x1.a72d0e1892e1ap-19, -0x1.6e1e10a2d7c81p-19, -0x1.35a672a5ae611p-19, -0x1.fb8e4aec47519p-20, -0x1.8d0217d07146dp-20, -0x1.1fa9f4ea815acp-20, -0x1.670ede4274f53p-21, -0x1.226fdec1bb59ap-22, 0x1.08b8db06c7f59p-23, 0x1.13211d81f458ap-21, 0x1.e19e82c331cabp-21, 0x1.56d22bf83192p-20, 0x1.bb98609bca611p-20, 0x1.0f908521decf2p-19, 0x1.40b5b6296cb6p-19, 0x1.713b71099084p-19, 0x1.a1216f330f13cp-19, 0x1.d067759eee305p-19, 0x1.ff0d5493562eep-19, 0x1.168973b716bc5p-18, 0x1.2d3c0a352240ap-18, 0x1.439e6637b50edp-18, 0x1.59b0856581f91p-18, 0x1.6f726a8503968p-18, 0x1.84e41d604cfe3p-18, 0x1.9a05aaa206f7p-18, 0x1.aed723c1ee609p-18, 0x1.c3589ee946e9dp-18, 0x1.d78a36d6e8534p-18, 0x1.eb6c0ac194b6ep-18, 0x1.fefe3e4392167p-18, 0x1.09207ca134a5ep-17, 0x1.129a33e87ab52p-17, 0x1.1bec5d0a5322bp-17, 0x1.25171217b2167p-17, 0x1.2e1a6f1428d8cp-17, 0x1.36f691e99a343p-17, 0x1.3fab9a59aa57ep-17, 0x1.4839a9f3bf5adp-17, 0x1.50a0e409e94d1p-17, 0x1.58e16da28d556p-17, }}, 
      {{-0x1.862dfa9169f03p-1, -0x1.862f7ffe5203fp-1, -0x1.8631b752520ebp-1, -0x1.863429ff0449cp-1, -0x1.8636390eabcabp-1, -0x1.863722a39a338p-1, -0x1.863607cb0aa7cp-1, -0x1.8631f25442c56p-1, -0x1.8629da753ad07p-1, -0x1.861cac1887412p-1, -0x1.86094bbdfe156p-1, -0x1.85ee9ae1c8426p-1, -0x1.85cb7be4e793dp-1, -0x1.859ed5778c036p-1, -0x1.856795893713ep-1, -0x1.8524b3c51cea5p-1, -0x1.84d533a2c0e5ep-1, -0x1.84782613a4814p-1, -0x1.840caad73c872p-1, -0x1.8391f17e60695p-1, -0x1.83073a272d447p-1, -0x1.826bd5f9e70e9p-1, -0x1.81bf276edabe3p-1, -0x1.8100a264b18d2p-1, -0x1.802fcc0e01a6p-1, -0x1.7f4c3abc49fdp-1, -0x1.7e55958de81ap-1, -0x1.7d4b9404010f2p-1, -0x1.7c2dfd84c9724p-1, -0x1.7afca8ce0cfdbp-1, -0x1.79b77b5b64919p-1, -0x1.785e68c312cb3p-1, -0x1.76f1720c1bffep-1, -0x1.7570a4ffd7c57p-1, -0x1.73dc1b78dd66ep-1, -0x1.7233fab0f456ep-1, -0x1.7078728f5f73ep-1, -0x1.6ea9bcf8b3aebp-1, -0x1.6cc81d2128abdp-1, -0x1.6ad3dee2347f9p-1, -0x1.68cd56141425cp-1, -0x1.66b4ddebc89c1p-1, -0x1.648ad85deedf7p-1, -0x1.624fad86c7766p-1, -0x1.6003cb17a60bep-1, -0x1.5da7a3c9f5f75p-1, -0x1.5b3baed7f0b83p-1, -0x1.58c0677b0fda9p-1, -0x1.56364c7045b2bp-1, -0x1.539ddf81f1f27p-1, -0x1.50f7a51788db2p-1, -0x1.4e4423cad979cp-1, -0x1.4b83e402da85p-1, -0x1.48b76f93e228p-1, -0x1.45df51652946cp-1, -0x1.42fc151b75f55p-1, -0x1.400e46c8cc93dp-1, -0x1.3d1672a0faed9p-1, -0x1.3a1524b2ddaf4p-1, -0x1.370ae8a6300c8p-1, -0x1.33f8497dc1bc2p-1, -0x1.30ddd15de9bbdp-1, -0x1.2dbc095708fecp-1, -0x1.2a937933f7a52p-1, -0x1.2764a74c32bc4p-1, -0x1.24301859a0f76p-1, -0x1.20f64f51c8c6fp-1, -0x1.1db7cd424e3e1p-1, -0x1.1a751130932cfp-1, -0x1.172e97fc5677bp-1, -0x1.13e4dc45291afp-1, -0x1.10985652988aep-1, -0x1.0d497bfeebad3p-1, -0x1.09f8c0a44d7dbp-1, -0x1.06a6950c49a6dp-1, -0x1.03536761753d3p-1, -0x1.ffff464654344p-2, -0x1.f95762366977p-2, -0x1.f2afeeaaaf422p-2, -0x1.ec09b2311388bp-2, -0x1.e5656dc3aa3d3p-2, -0x1.dec3dcc17775ap-2, -0x1.d825b4ea16b68p-2, -0x1.d18ba65c0cd23p-2, -0x1.caf65b959cc6p-2, -0x1.c4667977f0171p-2, -0x1.bddc9f4c6aa79p-2, -0x1.b75966cc04a39p-2, -0x1.b0dd6428827eap-2, -0x1.aa69261766824p-2, -0x1.a3fd35de7e74ep-2, -0x1.9d9a1761e7f79p-2, -0x1.974049336d41cp-2, -0x1.90f044a321296p-2, -0x1.8aaa7dd119eb6p-2, -0x1.846f63c031a38p-2, -0x1.7e3f6069b594ap-2, -0x1.781ad8d1eabeap-2, -0x1.72022d1d4f223p-2, -0x1.6bf5b8a688bcdp-2, -0x1.65f5d214e76a9p-2, -0x1.6002cb736d5bfp-2, -0x1.5a1cf248457f8p-2, -0x1.54448fac9ea23p-2, -0x1.4e79e864d468dp-2, -0x1.48bd3cf8ddc5ep-2, -0x1.430ec9cced936p-2, -0x1.3d6ec73a3dd57p-2, -0x1.37dd69a7f5606p-2, -0x1.325ae1a41ce3cp-2, -0x1.2ce75bfc9bdf8p-2, -0x1.278301d830527p-2, -0x1.222df8cf59a77p-2, -0x1.1ce863052e865p-2, -0x1.17b25f4013db8p-2, -0x1.128c090250b04p-2, -0x1.0d7578a274b6ap-2, -0x1.086ec3638d92cp-2, -0x1.0377fb8d252acp-2, -0x1.fd22610601432p-3, -0x1.f374ddb940dafp-3, -0x1.e9e780f8f33f3p-3, -0x1.e07a594dc386dp-3, -0x1.d72d70315f137p-3, -0x1.ce00ca3b15eebp-3, -0x1.c4f4674bccfe2p-3, -0x1.bc0842b943d03p-3, -0x1.b33c5378ac3eep-3, -0x1.aa908c4884f56p-3, -0x1.a204dbd9bb3dap-3, -0x1.99992cf81334cp-3, -0x1.914d66b1c6916p-3, -0x1.89216c7e6ab28p-3, -0x1.81151e6509badp-3, -0x1.792859217ccc7p-3, -0x1.715af648f40a8p-3, -0x1.69accc6dc5017p-3, -0x1.621daf426513dp-3, -0x1.5aad6fbb9b58cp-3, -0x1.535bdc31f55e1p-3, -0x1.4c28c08260e37p-3, -0x1.4513e62e0f821p-3, -0x1.3e1d147988fb5p-3, -0x1.3744108af95fep-3, -0x1.30889d87b94dfp-3, -0x1.29ea7cb119115p-3, -0x1.23696d8060934p-3, -0x1.1d052dc2122c2p-3, -0x1.16bd79b0759f3p-3, -0x1.10920c0d5b69ap-3, -0x1.0a829e3b2d82fp-3, -0x1.048ee85543e02p-3, -0x1.fd6d428f0e91ap-4, -0x1.f1f2fdcab1a23p-4, -0x1.e6ae6bffa2a3cp-4, -0x1.db9ef4f693d79p-4, -0x1.d0c3fec87e588p-4, -0x1.c61cee070dd4bp-4, -0x1.bba925e3bc438p-4, -0x1.b1680855b2b62p-4, -0x1.a758f63e531b6p-4, -0x1.9d7b4f8c98b4bp-4, -0x1.93ce735f36415p-4, -0x1.8a51c02589cc6p-4, -0x1.810493bf5b35cp-4, -0x1.77e64b9b7ef7fp-4, -0x1.6ef644d5529c2p-4, -0x1.6633dc5122593p-4, -0x1.5d9e6ed778902p-4, -0x1.5535592f601f3p-4, -0x1.4cf7f8379d118p-4, -0x1.44e5a8fee3672p-4, -0x1.3cfdc8db1002bp-4, -0x1.353fb57f6b4c2p-4, -0x1.2daacd11faa3bp-4, -0x1.263e6e3fe4dccp-4, -0x1.1ef9f850f206cp-4, -0x1.17dccb3a297fdp-4, -0x1.10e647af963dbp-4, -0x1.0a15cf353638ep-4, -0x1.036ac42f18d9p-4, -0x1.f9c913e16622cp-5, -0x1.ed050996e070fp-5, -0x1.e0883439025bcp-5, -0x1.d45160b3e31bcp-5, -0x1.c85f5e3e11d96p-5, -0x1.bcb0fe6ff35f4p-5, -0x1.b1451559cd52ap-5, -0x1.a61a79988385ep-5, -0x1.9b300469108a5p-5, -0x1.908491bacabf6p-5, -0x1.86170040741c2p-5, -0x1.7be6318025f15p-5, -0x1.71f109e220072p-5, -0x1.683670be843c6p-5, -0x1.5eb5506a0449p-5, -0x1.556c96418f013p-5, -0x1.4c5b32b504246p-5, -0x1.43801950f3a3dp-5, -0x1.3ada40c775657p-5, -0x1.3268a2f8208d9p-5, -0x1.2a2a3cf724c46p-5, -0x1.221e0f13976a4p-5, -0x1.1a431cdcf18f4p-5, -0x1.12986d27cd75ap-5, -0x1.0b1d0a11e8319p-5, -0x1.03d001056cad9p-5, -0x1.f960c57723dbap-6, -0x1.eb7a867d27eaep-6, -0x1.ddeb73d6116c2p-6, -0x1.d0b1c2e13cd22p-6, -0x1.c3cbafa483d26p-6, -0x1.b7377ccb7b2d9p-6, -0x1.aaf373a593797p-6, -0x1.9efde4233dff5p-6, -0x1.935524d217171p-6, -0x1.87f792d8262e9p-6, -0x1.7ce391ee337cap-6, -0x1.72178c59503a5p-6, -0x1.6791f2e3861ffp-6, -0x1.5d513cd3cbb38p-6, -0x1.5353e7e537c7dp-6, -0x1.4998783d87ep-6, -0x1.401d7862fdb12p-6, -0x1.36e179319c31dp-6, -0x1.2de311cfd1991p-6, -0x1.2520dfa28c2d8p-6, -0x1.1c998640d60c9p-6, -0x1.144baf66dffb9p-6, -0x1.0c360ae8a900fp-6, -0x1.04574ea4269ebp-6, -0x1.f95c6ce62325bp-7, -0x1.ea730838937c9p-7, -0x1.dbeffe89bff18p-7, -0x1.cdd0eac19f59bp-7, -0x1.c0137346cad6p-7, -0x1.b2b549dec6ad6p-7, -0x1.a5b42b8dbb9a6p-7, -0x1.990de075c0e98p-7, -0x1.8cc03bb5b05fep-7, -0x1.80c91b479ea6dp-7, -0x1.752667def1334p-7, -0x1.69d614c62f372p-7, -0x1.5ed61fbc83c2dp-7, -0x1.542490d301f9bp-7, -0x1.49bf7a49bad51p-7, -0x1.3fa4f86ca81ebp-7, -0x1.35d331706063ep-7, -0x1.2c48554ec9c84p-7, -0x1.23029da3a39c2p-7, -0x1.1a004d8909e5ep-7, -0x1.113fb173e6c33p-7, -0x1.08bf1f1079bf3p-7, -0x1.007cf51ec8a3cp-7, -0x1.f0ef369e5eca4p-8, -0x1.e15b043de76cep-8, -0x1.d23a4569f9db8p-8, -0x1.c389fd7d28b2cp-8, -0x1.b5474098b278cp-8, -0x1.a76f335e933d9p-8, -0x1.99ff0aac03bacp-8, -0x1.8cf40b543c90ap-8, -0x1.804b89dba238ap-8, -0x1.7402ea3369b92p-8, -0x1.68179f75a45dbp-8, -0x1.5c872ba1b544fp-8, -0x1.514f1f5963b75p-8, -0x1.466d199e6324bp-8, -0x1.3bdec790578ccp-8, -0x1.31a1e42b8310bp-8, -0x1.27b43807fb79ep-8, -0x1.1e1399197b679p-8, -0x1.14bdea6fcc546p-8, -0x1.0bb11bf7d9c5fp-8, -0x1.02eb2a3d69b6ep-8, -0x1.f4d43c5ae8a1dp-9, -0x1.e45819b26779ap-9, -0x1.d45e2e73c45c7p-9, -0x1.c4e2d3ea3f62bp-9, -0x1.b5e27a4426deep-9, -0x1.a759a81e819fap-9, -0x1.9944fa1242b27p-9, -0x1.8ba12242ceeb8p-9, -0x1.7e6ae7edf3292p-9, -0x1.719f26fd8dbfdp-9, -0x1.653acf9a79e8ap-9, -0x1.593ae5c115937p-9, -0x1.4d9c80d73fd6p-9, -0x1.425ccb43daaa7p-9, -0x1.37790207caec5p-9, -0x1.2cee74588535fp-9, -0x1.22ba833c159c5p-9, -0x1.18daa1269f776p-9, -0x1.0f4c519981b03p-9, -0x1.060d28c3cfa56p-9, -0x1.fa359648e2cb8p-10, -0x1.e8e5da5b85729p-10, -0x1.d826a5d519e28p-10, -0x1.c7f39f4943bafp-10, -0x1.b8488b19be172p-10, -0x1.a9214ac990127p-10, -0x1.9a79dc52f7fb5p-10, -0x1.8c4e598047c06p-10, -0x1.7e9af747b4d7dp-10, -0x1.715c052a18411p-10, -0x1.648dec9472b73p-10, -0x1.582d304475413p-10, -0x1.4c366baf9487cp-10, -0x1.40a6526d1ae78p-10, -0x1.3579afa2e5efap-10, -0x1.2aad6574fb34cp-10, -0x1.203e6c77d4f29p-10, -0x1.1629d32544b4dp-10, -0x1.0c6cbd54100f1p-10, -0x1.030463b2274cbp-10, -0x1.f3dc2682f126fp-11, -0x1.e24e59aec53edp-11, -0x1.d15a493da8889p-11, -0x1.c0fb0339361cfp-11, -0x1.b12bba6cb129dp-11, -0x1.a1e7c5780f096p-11, -0x1.932a9de75f23cp-11, -0x1.84efdf4fc99c6p-11, -0x1.773346707591fp-11, -0x1.69f0b058511e4p-11, -0x1.5d241990ab526p-11, -0x1.50c99d4c01e27p-11, -0x1.44dd74997b6c3p-11, -0x1.395bf59d05cabp-11, -0x1.2e4192cb54c7ep-11, -0x1.238ada2a211a2p-11, -0x1.19347494f2e28p-11, -0x1.0f3b2505e6354p-11, -0x1.059bc7e249b27p-11, -0x1.f8a6a497f12cdp-12, -0x1.e6bda2eb88d4fp-12, -0x1.d576d3f813ad5p-12, -0x1.c4ccae82cc706p-12, -0x1.b4b9d59d5a84cp-12, -0x1.a539176dd9daep-12, -0x1.96456bfe0bc21p-12, -0x1.87d9f4119f972p-12, -0x1.79f1f802e9f76p-12, -0x1.6c88e6a6e4e44p-12, -0x1.5f9a543804a66p-12, -0x1.5321f94788b7bp-12, -0x1.471bb1b55d6bbp-12, -0x1.3b837baed256fp-12, -0x1.305576b231903p-12, -0x1.258de299ec717p-12, -0x1.1b291eace8b2dp-12, -0x1.1123a8b528ab6p-12, -0x1.077a1c1c1279p-12, -0x1.fc5262194b8a4p-13, -0x1.ea5b77363949fp-13, -0x1.d90955e2f4c5ep-13, -0x1.c85611041c98cp-13, -0x1.b83bee7e0f114p-13, -0x1.a8b565ae75b42p-13, -0x1.99bd1def9356ap-13, -0x1.8b4ded2651ec6p-13, -0x1.7d62d65867fcbp-13, -0x1.6ff7084c723b4p-13, -0x1.6305dc3427187p-13, -0x1.568ad45e60382p-13, -0x1.4a819af2a942bp-13, -0x1.3ee600b5d25ap-13, -0x1.33b3fbd65141bp-13, -0x1.28e7a6c0b0467p-13, -0x1.1e7d3efca069fp-13, -0x1.147124118763bp-13, -0x1.0abfd672f8401p-13, -0x1.0165f674f7ff3p-13, -0x1.f0c0868f32324p-14, -0x1.df5733f3344c7p-14, -0x1.ce89e903d3deep-14, -0x1.be52d1a033d4dp-14, -0x1.aeac4fc70cc3p-14, -0x1.9f90f9d38673ep-14, -0x1.90fb98c4703c4p-14, -0x1.82e726920991fp-14, -0x1.754ecc900d1adp-14, -0x1.682de1d9da06p-14, -0x1.5b7fe9cb9067bp-14, -0x1.4f40928595bacp-14, -0x1.436bb37c9976fp-14, -0x1.37fd4c12fd4fdp-14, -0x1.2cf1823e29fdep-14, -0x1.2244a13521aedp-14, -0x1.17f31829d6d76p-14, -0x1.0df9790afb69cp-14, -0x1.04547750b61e7p-14, -0x1.f601cda27c112p-15, -0x1.e3f775408b6f3p-15, -0x1.d28407ebcf873p-15, -0x1.c1a1e23c1df84p-15, -0x1.b14b98e48dd72p-15, -0x1.a17bf6b10ca99p-15, -0x1.922dfa990c196p-15, -0x1.835cd5dd1ac47p-15, -0x1.7503ea373d2aep-15, -0x1.671ec8191847bp-15, -0x1.59a92cf6fef5ep-15, -0x1.4c9f01a1c6b76p-15, -0x1.3ffc58b05b06ep-15, -0x1.33bd6cf0c68c9p-15, -0x1.27de9febf6acfp-15, -0x1.1c5c7870463d3p-15, -0x1.1133a12dd0d1p-15, -0x1.0660e75a1b7e4p-15, -0x1.f7c272c303ed4p-16, -0x1.e3634b4423d8p-16, -0x1.cf9eb269c5137p-16, -0x1.bc6f3d778e0b1p-16, -0x1.a9cfba7ed2da8p-16, -0x1.97bb2e21f8604p-16, -0x1.862cd175e7117p-16, -0x1.75200ff1c03d2p-16, -0x1.6490856ff425cp-16, -0x1.5479fc40f8599p-16, -0x1.44d86b5436456p-16, -0x1.35a7f46862554p-16, -0x1.26e4e2541ceedp-16, -0x1.188ba7580e521p-16, -0x1.0a98db82f878dp-16, -0x1.fa12764976705p-17, -0x1.dfb34aa0c4d78p-17, -0x1.c60e34d033588p-17, -0x1.ad1d7574f1ddbp-17, -0x1.94db8a5afcd81p-17, -0x1.7d432be16638bp-17, -0x1.664f4a80aa81p-17, -0x1.4ffb0c63c088bp-17, -0x1.3a41cb1683fc9p-17, -0x1.251f11530f929p-17, -0x1.108e98db370c2p-17, -0x1.f91890d0312ebp-18, -0x1.d228636e5ed0ep-18, -0x1.ac451f3a8bc25p-18, -0x1.8767886bd89dp-18, -0x1.6388ae3c75332p-18, -0x1.40a1e78a07caap-18, -0x1.1eaccf952377bp-18, -0x1.fb4685d91cbfep-19, -0x1.bafeb8c8caba1p-19, -0x1.7c76e46dfd412p-19, -0x1.3fa4269f7cbb9p-19, -0x1.047c0934b18b8p-19, -0x1.95e8fa0476cfp-20, -0x1.2607a9e97f4dcp-20, -0x1.7283057cc37a7p-21, -0x1.3e125c445b1e4p-22, 0x1.7405d2519b1afp-24, 0x1.ec77f30ee6fe6p-22, 0x1.b848a2c976dc1p-21, 0x1.3a62d2bbdc871p-20, 0x1.95e86dcf4f9d5p-20, 0x1.eec38bef7e216p-20, 0x1.22810c8b1d3cbp-19, 0x1.4c58c534a4898p-19, 0x1.74ef720af8e82p-19, 0x1.9c4b5f876b82bp-19, 0x1.c272a73c55de4p-19, 0x1.e76b3278151e3p-19, 0x1.059d5e601180ep-18, 0x1.16f36b0dac96bp-18, 0x1.27ba72b59ab49p-18, 0x1.37f51543490cap-18, 0x1.47a5e0201c8f4p-18, 0x1.56cf4f34756b1p-18, 0x1.6573cdcd294d6p-18, 0x1.7395b7802f42cp-18, 0x1.813758ff4f668p-18, 0x1.8e5af0e65a021p-18, 0x1.9b02b079a0592p-18, 0x1.a730bc55cd0f7p-18, 0x1.b2e72d25d7ea9p-18, 0x1.be28104358627p-18, 0x1.c8f56851790c6p-18, 0x1.d3512dd10e8bfp-18, 0x1.dd3d4fa7888f9p-18, 0x1.e6bbb3a47ffd8p-18, 0x1.efce36fa77a93p-18, 0x1.f876aeb69ccb9p-18, 0x1.005b741530a58p-17, 0x1.044854a98fab1p-17, 0x1.0802d89cd633cp-17, 0x1.0b8bdc2807eaep-17, 0x1.0ee4386318c06p-17, 0x1.120cc36c09bep-17, 0x1.1506508d34c0fp-17, 0x1.17d1b05f4316cp-17, 0x1.1a6fb0eb28b72p-17, 0x1.1ce11dc6f1576p-17, 0x1.1f26c032e1398p-17, 0x1.21415f32b90ffp-17, 0x1.2331bfa7678d3p-17, 0x1.24f8a463b26acp-17, 0x1.2696ce43c198cp-17, 0x1.280cfc3e61619p-17, 0x1.295beb7749d54p-17, 0x1.2a84574f1f1e3p-17, 0x1.2b86f9729bd2dp-17, 0x1.2c6489e7a9cc5p-17, 0x1.2d1dbf1a18b4cp-17, 0x1.2db34de5e3fbdp-17, 0x1.2e25e9a1eb151p-17, 0x1.2e7644293c16ap-17, 0x1.2ea50de1fe52bp-17, 0x1.2eb2f5c595f5cp-17, 0x1.2ea0a966b9e8fp-17, 0x1.2e6ed4f64b361p-17, 0x1.2e1e2348a3e49p-17, 0x1.2daf3dd93207fp-17, 0x1.2d22ccce2a715p-17, 0x1.2c7976fbbbfbp-17, 0x1.2bb3e1e491175p-17, 0x1.2ad2b1bc7a7d9p-17, 0x1.29d68969c6e09p-17, 0x1.28c00a85fdfedp-17, 0x1.278fd55d83addp-17, 0x1.264688f04ee0fp-17, 0x1.24e4c2f18818ap-17, 0x1.236b1fc5ad5f2p-17, 0x1.21da3a820dfc4p-17, 0x1.2032acebc6e82p-17, 0x1.1e750f77011abp-17, 0x1.1ca1f943b7e86p-17, 0x1.1aba001cb70b3p-17, 0x1.18bdb8751da55p-17, 0x1.16adb566c9dep-17, 0x1.148a88af5ef1cp-17, 0x1.1254c2add226bp-17, 0x1.100cf261563dfp-17, 0x1.0db3a564f3c02p-17, 0x1.0b4967edcf22p-17, 0x1.08cec4c7e52fep-17, 0x1.06444554610c8p-17, 0x1.03aa7186d8028p-17, 0x1.0101cfe20230cp-17, 0x1.fc95caeb2f3eep-18, 0x1.f70c6bb79c6f7p-18, 0x1.f168866c1b133p-18, 0x1.ebab1c5628bd2p-18, 0x1.e5d52bc8f2dc3p-18, 0x1.dfe7b019a6334p-18, 0x1.d9e3a198b61d4p-18, 0x1.d3c9f58e1f0c3p-18, 0x1.cd9b9e3599c2ep-18, 0x1.c7598ab98ee78p-18, 0x1.c104a731bcd9cp-18, 0x1.ba9ddc9ce74d6p-18, 0x1.b42610dfb59e5p-18, 0x1.ad9e26c024ec7p-18, 0x1.a706fde230ed6p-18, 0x1.a06172c489b74p-18, 0x1.99ae5ec1601b7p-18, 0x1.92ee9808a0785p-18, 0x1.8c22f1a058c21p-18, 0x1.854c3b60dc74ap-18, 0x1.7e6b41f48c5f7p-18, 0x1.7780ced614b7fp-18, 0x1.708da85064bdbp-18, 0x1.6992917d80161p-18, 0x1.62904a467a797p-18, 0x1.5b878f6357febp-18, 0x1.54791a5af24cep-18, 0x1.4d65a1811c299p-18, 0x1.464dd7fa9d3afp-18, 0x1.3f326dbcd65fbp-18, 0x1.38140f8f44333p-18, 0x1.30f3670bc158dp-18, 0x1.29d11aa0a98b3p-18, 0x1.22adcd92a95fdp-18, 0x1.1b8a1ffef660fp-18, 0x1.1466aede1de67p-18, 0x1.0d44140716398p-18, 0x1.0622e630e2882p-18, 0x1.fe0771ee81902p-19, 0x1.efce39b8a3f9ep-19, 0x1.e19b3e971da69p-19, 0x1.d36f953cbd7bdp-19, 0x1.c54c4c4439ae6p-19, 0x1.b7326c3435e4bp-19, 0x1.a922f7871b06dp-19, 0x1.9b1eeab678ad6p-19, 0x1.8d273c4271255p-19, 0x1.7f3cdcbbbf436p-19, 0x1.7160b6cfe477ep-19, 0x1.6393af54512b5p-19, 0x1.55d6a54fbc7b1p-19, 0x1.482a7205671a6p-19, 0x1.3a8fe902711f9p-19, 0x1.2d07d824d50b1p-19, 0x1.1f9307aa4062dp-19, 0x1.12323a3d306cfp-19, 0x1.04e62d0469e59p-19, 0x1.ef5f2f558cdd2p-20, 0x1.d51e58dda93dep-20, 0x1.bb0b305efe4a6p-20, 0x1.a12704f286e6p-20, 0x1.87731b2ac9b33p-20, 0x1.6df0ad2c34133p-20, 0x1.54a0ead570ddep-20, 0x1.3b84f9cfed4c4p-20, 0x1.229df5b23a5f9p-20, 0x1.09ecf01dd739ap-20, 0x1.e2e5e1ae6a985p-21, 0x1.b261ebd29615ep-21, 0x1.824fe784f4aafp-21, 0x1.52b1aab410da2p-21, 0x1.2388f88e7dccbp-21, 0x1.e9af0386b4766p-22, 0x1.8d3dc98dde104p-22, 0x1.31c15c104ed9fp-22, 0x1.ae7960e47ec7ap-23, 0x1.f6ca6436ddee5p-24, 0x1.292e2e9e1f598p-25, -0x1.9339da222377dp-25, -0x1.11e3fb89b5b74p-23, -0x1.bcf06c5ce263bp-23, -0x1.32f7b982a4d25p-22, -0x1.866e7cbb74bcbp-22, -0x1.d8da9451a28c6p-22, -0x1.151d19d24db1ap-21, -0x1.3d45d63cb682fp-21, -0x1.64e6b74a7c612p-21, -0x1.8bff0391abc4fp-21, -0x1.b28e101e18be4p-21, -0x1.d8934032fc745p-21, -0x1.fe0e05088fdb4p-21, -0x1.117eeec69444dp-20, -0x1.23b12b0bab64dp-20, -0x1.359d841ab994bp-20, -0x1.4743cd333db2p-20, -0x1.58a3dfefec21ap-20, -0x1.69bd9c266335ap-20, -0x1.7a90e7c654131p-20, -0x1.8b1daebc932ccp-20, -0x1.9b63e2d00d611p-20, -0x1.ab637b80d097ap-20, -0x1.bb1c75f1a76dcp-20, -0x1.ca8ed4c2d27b3p-20, -0x1.d9ba9ff499facp-20, -0x1.e89fe4cbee552p-20, -0x1.f73eb5b0f688cp-20, -0x1.02cb950a5cf05p-19, -0x1.09d4af26561aap-19, -0x1.10bab9bcaf40ep-19, -0x1.177dc7b5d577ap-19, -0x1.1e1dee41c55bfp-19, -0x1.249b44cb8e99fp-19, -0x1.2af5e4eab05a6p-19, -0x1.312dea547ee9cp-19, -0x1.374372cec5d9p-19, -0x1.3d369e2036578p-19, -0x1.43078e04983d4p-19, -0x1.48b6661efb2f2p-19, -0x1.4e434bec21691p-19, -0x1.53ae66b4db8adp-19, -0x1.58f7df818cb26p-19, -0x1.5e1fe10dac472p-19, -0x1.632697b977b8fp-19, -0x1.680c317d936ccp-19, -0x1.6cd0dddef7c11p-19, -0x1.7174cde34541fp-19, -0x1.75f8340339d39p-19, -0x1.7a5b44201999dp-19, -0x1.7e9e33776c24p-19, -0x1.82c13896411ddp-19, -0x1.86c48b4f2672ap-19, -0x1.8aa864acf2355p-19, -0x1.8e6cfee84bcfap-19, -0x1.9212955dcba76p-19, -0x1.959964811aea2p-19, -0x1.9901a9d3a758ap-19, -0x1.9c4ba3d9169bfp-19, -0x1.9f77920ddc16bp-19, -0x1.a285b4dbe8c19p-19, -0x1.a5764d9057852p-19, -0x1.a8499e52998p-19, -0x1.aaffea198ac4cp-19, -0x1.ad9974a23ca05p-19, -0x1.b01682672b197p-19, -0x1.b2775895e6fc4p-19, -0x1.b4bc3d06992bbp-19, -0x1.b6e57631f01fcp-19, -0x1.b8f34b2a46e0cp-19, -0x1.bae60390be61cp-19, -0x1.bcbde78d38268p-19, -0x1.be7b3fc769a53p-19, -0x1.c01e555cd82dap-19, -0x1.c1a771d9b17edp-19, -0x1.c316df305ceeap-19, -0x1.c46ce7b278e3ap-19, -0x1.c5a9d60881e52p-19, -0x1.c6cdf529824f7p-19, -0x1.c7d9905680b0ep-19, -0x1.c8ccf310d9138p-19, -0x1.c9a8691362d1ap-19, -0x1.ca6c3e4d1d41ap-19, -0x1.cb18bed8f5e5ep-19, -0x1.cbae36f79a0aap-19, -0x1.cc2cf308ff2d8p-19, -0x1.cc953f8666c1dp-19, -0x1.cce768fc1cc85p-19, -0x1.cd23bc02fc2dap-19, -0x1.cd4a853a92d6ep-19, -0x1.cd5c11441a652p-19, -0x1.cd58acbbd688p-19, -0x1.cd40a4348ad88p-19, -0x1.cd14443120a73p-19, -0x1.ccd3d920350cfp-19, -0x1.cc7faf563d8b1p-19, -0x1.cc181308fcbf6p-19, -0x1.cb9d504bcc61fp-19, -0x1.cb0fb30912a7p-19, -0x1.ca6f86fe04c53p-19, -0x1.c9bd17b6f872p-19, -0x1.c8f8b08a30421p-19, -0x1.c8229c9400c28p-19, -0x1.c73b26b244057p-19, -0x1.c642998110006p-19, -0x1.c5393f5717054p-19, -0x1.c41f6240b264fp-19, -0x1.c2f54bfcb22a5p-19, -0x1.c1bb45f88764p-19, -0x1.c071994dd8722p-19, -0x1.bf188ebdf3ffap-19, -0x1.bdb06eaf51b6ap-19, -0x1.bc3981296739p-19, -0x1.bab40dd2f0497p-19, -0x1.b9205bed8615dp-19, -0x1.b77eb2553c104p-19, -0x1.b5cf577bfa1ebp-19, -0x1.b4129166c0c7dp-19, -0x1.b248a5ab4f603p-19, -0x1.b071d96e303f7p-19, -0x1.ae8e715f96e5p-19, -0x1.ac9eb1b9a9482p-19, -0x1.aaa2de3e0d3b5p-19, -0x1.a89b3a345cf83p-19, -0x1.a688086805cbp-19, -0x1.a4698b25814b8p-19, -0x1.a24004394decp-19, -0x1.a00bb4ecc632ep-19, -0x1.9dccde06eccbdp-19, -0x1.9b83bfc8cbda4p-19, -0x1.993099ec8ca8fp-19, -0x1.96d3aba32dfbp-19, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.169d728ed030ap-9, 0x1.1645ce291d2adp-8, 0x1.a06e06c7fd70ap-8, 0x1.148f5a08db0d9p-7, 0x1.57bbe2e8a504ep-7, 0x1.9931e2d24bc28p-7, 0x1.d84f59b71b908p-7, 0x1.0a2fe6deaf21bp-6, 0x1.2650d8c913d86p-6, 0x1.4025f0cad9b1ap-6, 0x1.574970524fb9bp-6, 0x1.6b56cf1c3206bp-6, 0x1.7becd3aee9a86p-6, 0x1.88af5a6cdf562p-6, 0x1.9148ca405404bp-6, 0x1.956b39cd4268ap-6, 0x1.94d14a95707a6p-6, 0x1.8f3ec0f174007p-6, 0x1.8480e07a29282p-6, 0x1.746e94b058355p-6, 0x1.5ee86d867a58ap-6, 0x1.43d87709f7686p-6, 0x1.2331f2dd20e87p-6, 0x1.f9e1f324f90ep-7, 0x1.a23412a1dec5cp-7, 0x1.3f730cff8273ap-7, 0x1.a38cca5a7d5ecp-8, 0x1.658ce4ab4a7a5p-9, -0x1.4ba71e51d2285p-10, -0x1.6cea21b608ce2p-8, -0x1.4d4645000c54ep-7, -0x1.ed886ee892381p-7, -0x1.4b69c66478cdp-6, -0x1.a45c5d07538dbp-6, -0x1.00b0cc5e2a6cdp-5, -0x1.311e509fd940dp-5, -0x1.63574e549176p-5, -0x1.973b8e3efb688p-5, -0x1.ccaa41defe51ap-5, -0x1.01c1197ae1ed6p-4, -0x1.1dd0f7c8bbe5cp-4, -0x1.3a73f95967c48p-4, -0x1.579964d231ec5p-4, -0x1.75309b1044883p-4, -0x1.932926b2cac06p-4, -0x1.b172ca2d6e01fp-4, -0x1.cffd8c7502589p-4, -0x1.eeb9c458b366dp-4, -0x1.06cc114d021f1p-3, -0x1.1644dd6afb22bp-3, -0x1.25c005a8b9304p-3, -0x1.353681dd471cep-3, -0x1.44a18577fcd13p-3, -0x1.53fa81ef9809p-3, -0x1.633b28c4c9566p-3, -0x1.725d6d1fec20cp-3, -0x1.815b851152f17p-3, -0x1.902fea7b45bap-3, -0x1.9ed55bac638d6p-3, -0x1.ad46dbb0e563p-3, -0x1.bb7fb260db304p-3, -0x1.c97b6c311cc7bp-3, -0x1.d735d9cc8bc51p-3, -0x1.e4ab0f7aad654p-3, -0x1.f1d76458a4e9fp-3, -0x1.feb771690d117p-3, -0x1.05a4083f8d76fp-2, -0x1.0bc32d84856dcp-2, -0x1.11b7d45edbe41p-2, -0x1.1780c7187366p-2, -0x1.1d1ceda8cc637p-2, -0x1.228b4ceac6813p-2, -0x1.27cb05ca65437p-2, -0x1.2cdb546bf707bp-2, -0x1.31bb8f4dd8c4dp-2, -0x1.366b266601318p-2, -0x1.3ae9a23c623c7p-2, -0x1.3f36a3031b86ap-2, -0x1.4351dfad67d9bp-2, -0x1.473b25060f78ep-2, -0x1.4af254c62c406p-2, -0x1.4e7764ace39d5p-2, -0x1.51ca5d98b98bcp-2, -0x1.54eb5aa30dbbp-2, -0x1.57da883e3fc18p-2, -0x1.5a982356ed9a1p-2, -0x1.5d247878b516ep-2, -0x1.5f7fe2f6d121fp-2, -0x1.61aacc18e3b7p-2, -0x1.63a5aa4c2becp-2, -0x1.657100596d85dp-2, -0x1.670d5c9faf09ap-2, -0x1.687b5854085abp-2, -0x1.69bb96c6945b1p-2, -0x1.6acec4acad263p-2, -0x1.6bb59770840b9p-2, -0x1.6c70cc86220a6p-2, -0x1.6d0128c5de712p-2, -0x1.6d6777cc4d631p-2, -0x1.6da48b5fae2dep-2, -0x1.6db93adac8ba2p-2, -0x1.6da6629d40ae1p-2, -0x1.6d6ce3814b5a5p-2, -0x1.6d0da256bec38p-2, -0x1.6c89876369821p-2, -0x1.6be17de89f3e6p-2, -0x1.6b1673ade74f2p-2, -0x1.6a295890b8cfap-2, -0x1.691b1e192b1abp-2, -0x1.67ecb7137e15dp-2, -0x1.669f172e68b2fp-2, -0x1.6533329e0b5c3p-2, -0x1.63a9fdc36cc76p-2, -0x1.62046cd8665cp-2, -0x1.6043739fe3263p-2, -0x1.5e68051a4e97bp-2, -0x1.5c73133e1df99p-2, -0x1.5a658eb45393fp-2, -0x1.58406698d7eabp-2, -0x1.5604883e97783p-2, -0x1.53b2def7395b6p-2, -0x1.514c53de60057p-2, -0x1.4ed1cda848cc9p-2, -0x1.4c443073b77bap-2, -0x1.49a45d9f0dc24p-2, -0x1.46f333a0709e6p-2, -0x1.44318de0e46f4p-2, -0x1.4160449a3e45bp-2, -0x1.3e802cb7d5546p-2, -0x1.3b9217b9d628ap-2, -0x1.3896d39b213c5p-2, -0x1.358f2ab996fa2p-2, -0x1.327be3c0bc168p-2, -0x1.2f5dc1969c4b8p-2, -0x1.2c35834ad509p-2, -0x1.2903e407ae26ap-2, -0x1.25c99b052e1e3p-2, -0x1.22875b7e0f6c3p-2, -0x1.1f3dd4a682d9ep-2, -0x1.1bedb1a4ae6c4p-2, -0x1.1897998aca9f1p-2, -0x1.153c2f52d752p-2, -0x1.11dc11dbc4c9dp-2, -0x1.0e77dbe811a4fp-2, -0x1.0b10241db7117p-2, -0x1.07a57d0762614p-2, -0x1.04387516e2ecdp-2, -0x1.00c996a8b8e88p-2, -0x1.fab2d01180b01p-3, -0x1.f3d0d6efb1c8ep-3, -0x1.ecee3e6517cf1p-3, -0x1.e60bfaf1282b4p-3, -0x1.df2af92a86835p-3, -0x1.d84c1dd1615bcp-3, -0x1.d17045e350dfcp-3, -0x1.ca9846b099059p-3, -0x1.c3c4edf2b8316p-3, -0x1.bcf701e427111p-3, -0x1.b62f41593abdcp-3, -0x1.af6e63da0c1b9p-3, -0x1.a8b519bd503d1p-3, -0x1.a2040c4412d56p-3, -0x1.9b5bddb63775ap-3, -0x1.94bd297fb8c8bp-3, -0x1.8e28844e83804p-3, -0x1.879e7c30f3fbep-3, -0x1.811f98b4c8ecfp-3, -0x1.7aac5b069829cp-3, -0x1.74453e119fdbdp-3, -0x1.6deab69ff085ap-3, -0x1.679d337ae00aep-3, -0x1.615d1d8bba4a3p-3, -0x1.5b2ad7fc9a2e2p-3, -0x1.5506c0596eb8cp-3, -0x1.4ef12eb10c5fbp-3, -0x1.48ea75b65546fp-3, -0x1.42f2e2e158b01p-3, -0x1.3d0abe90742b4p-3, -0x1.37324c295c28p-3, -0x1.3169ca3a0da6bp-3, -0x1.2bb172999bd99p-3, -0x1.26097a88d2acbp-3, -0x1.207212d2a729cp-3, -0x1.1aeb67ec6f90fp-3, -0x1.1575a215db3b6p-3, -0x1.1010e578a33e6p-3, -0x1.0abd5247ee874p-3, -0x1.057b04df65ecbp-3, -0x1.004a15e1f4af7p-3, -0x1.f65534b045e43p-4, -0x1.ec39479c3e89cp-4, -0x1.e24080e2b0f58p-4, -0x1.d86af65b6bb89p-4, -0x1.ceb8b794c2cd3p-4, -0x1.c529ce0c52bbep-4, -0x1.bbbe3d66cf391p-4, -0x1.b27603a7022b6p-4, -0x1.a9511963c8181p-4, -0x1.a04f71fd2d229p-4, -0x1.9770fbd0906b1p-4, -0x1.8eb5a06bd040ap-4, -0x1.861d44bf7e1a5p-4, -0x1.7da7c95017b22p-4, -0x1.75550a6641648p-4, -0x1.6d24e03e02006p-4, -0x1.65171f34fd921p-4, -0x1.5d2b97f7b1441p-4, -0x1.556217ada9d5bp-4, -0x1.4dba6824bc359p-4, -0x1.46344ffb3a739p-4, -0x1.3ecf92c928bb8p-4, -0x1.378bf148703bap-4, -0x1.3069297c13a95p-4, -0x1.2966f6d6669ecp-4, -0x1.2285125e45e2dp-4, -0x1.1bc332d354a63p-4, -0x1.15210cd1431cp-4, -0x1.0e9e52f21a62cp-4, -0x1.083ab5ef9600cp-4, -0x1.01f5e4c388252p-4, -0x1.f79f198ea0d3dp-5, -0x1.eb8eb3a4c48dcp-5, -0x1.dfb9ecafc6f45p-5, -0x1.d4201706c1fb9p-5, -0x1.c8c082a940b22p-5, -0x1.bd9a7d751ba7ep-5, -0x1.b2ad535a9d2dcp-5, -0x1.a7f84e8eed129p-5, -0x1.9d7ab7bccb418p-5, -0x1.9333d633aa25ap-5, -0x1.8922f0151cdb7p-5, -0x1.7f474a80b664fp-5, -0x1.75a029be50606p-5, -0x1.6c2cd166c7539p-5, -0x1.62ec848b3775ap-5, -0x1.59de85dab6cb1p-5, -0x1.510217c6a0fcfp-5, -0x1.48567ca574911p-5, -0x1.3fdaf6d4488cdp-5, -0x1.378ec8d6eab17p-5, -0x1.2f713576a0571p-5, -0x1.27817fdf9d99fp-5, -0x1.1fbeebbd387bbp-5, -0x1.1828bd54d8525p-5, -0x1.10be399fad7b4p-5, -0x1.097ea6634181ep-5, -0x1.02694a48d694p-5, -0x1.f6fad9e7506b2p-6, -0x1.e974ae2c2e1a7p-6, -0x1.dc3ea50b7e2e1p-6, -0x1.cf57549d0863cp-6, -0x1.c2bd558931cfcp-6, -0x1.b66f432b22c5ap-6, -0x1.aa6bbbb0ee943p-6, -0x1.9eb16039ead34p-6, -0x1.933ed4f334d97p-6, -0x1.8812c1327bdf5p-6, -0x1.7d2bcf8f0db3cp-6, -0x1.7288adf947c7bp-6, -0x1.68280dd06a759p-6, -0x1.5e08a3f6e39fep-6, -0x1.542928e51378bp-6, -0x1.4a8858baa4c5ep-6, -0x1.4124f34e7e447p-6, -0x1.37fdbc3d59208p-6, -0x1.2f117af6fe9fp-6, -0x1.265efaca58999p-6, -0x1.1de50af0373edp-6, -0x1.15a27e94ebc15p-6, -0x1.0d962ce0ca418p-6, -0x1.05bef0ff90211p-6, -0x1.fc37544d7ddfcp-7, -0x1.ed567735deeddp-7, -0x1.ded919686833bp-7, -0x1.d0bd11c3124edp-7, -0x1.c3003f56bb4b8p-7, -0x1.b5a0896a8f384p-7, -0x1.a89bdf7dbc6e6p-7, -0x1.9bf039479dcb1p-7, -0x1.8f9b96b660786p-7, -0x1.839bffec30892p-7, -0x1.77ef853b21e2ep-7, -0x1.6c943f1fa4334p-7, -0x1.61884e39c4168p-7, -0x1.56c9db453f10ap-7, -0x1.4c57171083ae2p-7, -0x1.422e3a7275d3ap-7, -0x1.384d863f4e7f6p-7, -0x1.2eb3433c7167ep-7, -0x1.255dc21364854p-7, -0x1.1c4b5b43de42bp-7, -0x1.137a6f150876ap-7, -0x1.0ae96585ec2a7p-7, -0x1.0296ae3d451b8p-7, -0x1.f50180f0f1653p-8, -0x1.e54c35f42c671p-8, -0x1.d60a87ef4db88p-8, -0x1.c739920dbf5fdp-8, -0x1.b8d67e14d3206p-8, -0x1.aade843c36f3p-8, -0x1.9d4eeb05a6b6dp-8, -0x1.90250713b0e16p-8, -0x1.835e3affab74ap-8, -0x1.76f7f72f13359p-8, -0x1.6aefb9a83e587p-8, -0x1.5f430de67a45dp-8, -0x1.53ef8cadce755p-8, -0x1.48f2dbddfb603p-8, -0x1.3e4aae454eab7p-8, -0x1.33f4c37308229p-8, -0x1.29eee7897bb54p-8, -0x1.2036f31001124p-8, -0x1.16cacac4865fbp-8, -0x1.0da85f6d1b116p-8, -0x1.04cdada93c8acp-8, -0x1.f8717b8663e6dp-9, -0x1.e7cf47027f981p-9, -0x1.d7b0fbee1f2b5p-9, -0x1.c812eeadae071p-9, -0x1.b8f189853e87fp-9, -0x1.aa494c3bb361bp-9, -0x1.9c16cbbd936e6p-9, -0x1.8e56b1c0dc827p-9, -0x1.8105bc68b2388p-9, -0x1.7420bde964p-9, -0x1.67a49c2d5e7b3p-9, -0x1.5b8e507a31b1bp-9, -0x1.4fdae7165a9b2p-9, -0x1.44877eefea772p-9, -0x1.3991494361ef8p-9, -0x1.2ef589433bdefp-9, -0x1.24b193c0891f5p-9, -0x1.1ac2ced4016fdp-9, -0x1.1126b187d963dp-9, -0x1.07dac382d9c2bp-9, -0x1.fdb939679473fp-10, -0x1.ec53c9fb5670cp-10, -0x1.db80a7cab8097p-10, -0x1.cb3b607f1886bp-10, -0x1.bb7f9fc003032p-10, -0x1.ac492e937abdfp-10, -0x1.9d93f2c056592p-10, -0x1.8f5bee31bfd3fp-10, -0x1.819d3e5d7795bp-10, -0x1.74541babce92bp-10, -0x1.677cd8e1b19d6p-10, -0x1.5b13e28cc9445p-10, -0x1.4f15be7216f2ap-10, -0x1.437f0afd721e4p-10, -0x1.384c7eb443404p-10, -0x1.2d7ae7a9b258bp-10, -0x1.23072af54772ep-10, -0x1.18ee442b6bec1p-10, -0x1.0f2d44d85b798p-10, -0x1.05c153fd263e4p-10, -0x1.f94f5b1c427d7p-11, -0x1.e7bb43e860d44p-11, -0x1.d6c12b20004b1p-11, -0x1.c65c007e8b894p-11, -0x1.b686d9c803bd4p-11, -0x1.a73cf1dcf87ep-11, -0x1.9879a7d10d5e6p-11, -0x1.8a387e05b2499p-11, -0x1.7c75194a54f19p-11, -0x1.6f2b3fff7f2fep-11, -0x1.6256d93e89ea3p-11, -0x1.55f3ec05545bfp-11, -0x1.49fe9e666da93p-11, -0x1.3e7334bc4d9e5p-11, -0x1.334e10e0d06f3p-11, -0x1.288bb168fdca6p-11, -0x1.1e28b0e46d697p-11, -0x1.1421c52080f78p-11, -0x1.0a73be6fbd9bcp-11, -0x1.011b86f4f1652p-11, -0x1.f02c43e338418p-12, -0x1.dec1562ff21bfp-12, -0x1.cdf0abc1ccee9p-12, -0x1.bdb4d9cc79bfap-12, -0x1.ae08a27e271f7p-12, -0x1.9ee6f3c1757bp-12, -0x1.904ae606f3dfap-12, -0x1.822fbb132311fp-12, -0x1.7490dcd46ef9ap-12, -0x1.6769dc3f40ff2p-12, -0x1.5ab67031dd0e6p-12, -0x1.4e72745da5a86p-12, -0x1.4299e836fb0dep-12, -0x1.3728edebf9129p-12, -0x1.2c1bc960e566dp-12, -0x1.216edf32b9149p-12, -0x1.171eb3bf325dbp-12, -0x1.0d27ea32fc66cp-12, -0x1.0387439ee953p-12, -0x1.f4733c2280a1bp-13, -0x1.e277e769e61b2p-13, -0x1.d116b3f02f34p-13, -0x1.c04a016a87fddp-13, -0x1.b00c62c7ca99p-13, -0x1.a0589c989f3f6p-13, -0x1.9129a3852393fp-13, -0x1.827a9acb8814ap-13, -0x1.7446d2c75b9f7p-13, -0x1.6689c783f457ap-13, -0x1.593f1f592072p-13, -0x1.4c62a98e94c8bp-13, -0x1.3ff05d0ab9a92p-13, -0x1.33e457074ed3cp-13, -0x1.283ad9d371d22p-13, -0x1.1cf04b9b68954p-13, -0x1.1201353878ec8p-13, -0x1.076a410a54a57p-13, -0x1.fa5073b3657fcp-14, -0x1.e670137e1d28cp-14, -0x1.d32d722c799d8p-14, -0x1.c082dae563b28p-14, -0x1.ae6ad143229acp-14, -0x1.9ce00f62d5c4ap-14, -0x1.8bdd83fe2977fp-14, -0x1.7b5e50949f4cap-14, -0x1.6b5dc7a82ef86p-14, -0x1.5bd76afcef2b4p-14, -0x1.4cc6e9ee924fbp-14, -0x1.3e281fce09b7ap-14, -0x1.2ff7124958311p-14, -0x1.222fefe5b7bc1p-14, -0x1.14cf0e83781f1p-14, -0x1.07d0e9e9988bp-14, -0x1.f66444c02945dp-15, -0x1.dddef6afe64b8p-15, -0x1.c60bb42d124ep-15, -0x1.aee488e158318p-15, -0x1.9863bf1ee3a97p-15, -0x1.8283dd7573f04p-15, -0x1.6d3fa46a2eba8p-15, -0x1.58920c357764bp-15, -0x1.44764295b6227p-15, -0x1.30e7a8bacea14p-15, -0x1.1de1d13aef56ap-15, -0x1.0b607e1e104acp-15, -0x1.f2bf3de736533p-16, -0x1.cfb69dfa173ddp-16, -0x1.ad9fa6cde68f4p-16, -0x1.8c73332a7c096p-16, -0x1.6c2a6aecc3accp-16, -0x1.4cbebfd4598c8p-16, -0x1.2e29ea7275a51p-16, -0x1.1065e725afb0cp-16, -0x1.e6d9e680f7c54p-17, -0x1.ae7314772f304p-17, -0x1.778cc605a196p-17, -0x1.421cdac758686p-17, -0x1.0e199f2112983p-17, -0x1.b6f38ee42d4c7p-18, -0x1.5468d6c9274fcp-18, -0x1.e904062f04ba6p-19, -0x1.2e5d6c399b0cdp-19, -0x1.e2f9f748c3552p-21, 0x1.bfb6e59245c96p-22, 0x1.c7bf01a24b97cp-20, 0x1.8b1720404c219p-19, 0x1.16dc279b9802ap-18, 0x1.65ee48ef0b71ep-18, 0x1.b2ce34ceb9a3ap-18, 0x1.fd87b0d4e064cp-18, 0x1.231306b20adb3p-17, 0x1.465a15d2e7f7cp-17, 0x1.689e41888465dp-17, 0x1.89e4934ba31e3p-17, 0x1.aa31e4fa99c7cp-17, 0x1.c98ae33e4c24bp-17, 0x1.e7f40fee2032cp-17, 0x1.02b8e21dff7cfp-16, 0x1.11041978310a1p-16, 0x1.1eddb538a1f86p-16, 0x1.2c47ab55daf68p-16, 0x1.3943e183feb0ap-16, 0x1.45d42e19da48cp-16, 0x1.51fa58e9864dfp-16, 0x1.5db81c12b99c5p-16, 0x1.690f24cbe683dp-16, 0x1.7401142245843p-16, 0x1.7e8f7faa8bc78p-16, 0x1.88bbf23276e6cp-16, 0x1.9287ec64727a8p-16, 0x1.9bf4e56364b44p-16, 0x1.a5044b5bdb835p-16, 0x1.adb78416eacb6p-16, 0x1.b60fed80f0d8ep-16, 0x1.be0ede226cb43p-16, 0x1.c5b5a59e1db2bp-16, 0x1.cd058d200d771p-16, 0x1.d3ffd7ccc24b4p-16, 0x1.daa5c3215d5adp-16, 0x1.e0f887583ee44p-16, 0x1.e6f957c2dc1fcp-16, 0x1.eca96320b0659p-16, 0x1.f209d3e9e392fp-16, 0x1.f71bd0a1935b7p-16, 0x1.fbe07c1af6ca7p-16, 0x1.002c7adcb3aeep-15, 0x1.02432cd8a51c7p-15, 0x1.0434e0a08dab4p-15, 0x1.06022174c6e87p-15, 0x1.07ab794e27c44p-15, 0x1.093170f686fbfp-15, 0x1.0a94901eb279fp-15, 0x1.0bd55d7386f87p-15, 0x1.0cf45eae3ea9bp-15, 0x1.0df218a6b2dfbp-15, 0x1.0ecf0f6497c62p-15, 0x1.0f8bc62b984d5p-15, 0x1.1028bf88eaf19p-15, 0x1.10a67d5fc3c2p-15, 0x1.110580f4395dfp-15, 0x1.11464af57c491p-15, 0x1.11695b8391a75p-15, 0x1.116f323991c6p-15, 0x1.11584e3363ebdp-15, 0x1.11252e14bc9e6p-15, 0x1.10d6500b3c969p-15, 0x1.106c31d5e479bp-15, 0x1.0fe750c6f4c11p-15, 0x1.0f4829c60579ap-15, 0x1.0e8f395219b06p-15, 0x1.0dbcfb83c59b9p-15, 0x1.0cd1ec0f5bf82p-15, 0x1.0bce8642ff5cdp-15, 0x1.0ab34506a010ap-15, 0x1.0980a2dbf3658p-15, 0x1.083719dd8eefdp-15, 0x1.06d723bd418bap-15, 0x1.056139c0e7469p-15, 0x1.03d5d4c2bacbfp-15, 0x1.02356d2caea4dp-15, 0x1.00807af5e2899p-15, 0x1.fd6eeb3dbe817p-16, 0x1.f9b5a85e6c2ffp-16, 0x1.f5d61a65998ecp-16, 0x1.f1d12d68c15bfp-16, 0x1.eda7cc73cd6f8p-16, 0x1.e95ae180a7e2dp-16, 0x1.e4eb556e91da8p-16, 0x1.e05a0ffa837bep-16, 0x1.dba7f7b41d812p-16, 0x1.d6d5f1f6b05b5p-16, 0x1.d1e4e2df329f5p-16, 0x1.ccd5ad4068d73p-16, 0x1.c7a9329b84285p-16, 0x1.c2605313babf5p-16, 0x1.bcfbed6a592b5p-16, 0x1.b77cdeefad852p-16, 0x1.b1e4037c7efa6p-16, 0x1.ac3235658a1f8p-16, 0x1.a6684d7314f8dp-16, 0x1.a08722d72c05ap-16, 0x1.9a8f8b2669f92p-16, 0x1.94825a4af19fep-16, 0x1.8e60627e62cbap-16, 0x1.882a743ea4462p-16, 0x1.81e15e44e5933p-16, 0x1.7b85ed7d38be1p-16, 0x1.7518ecfe221p-16, 0x1.6e9b2601d6ae6p-16, 0x1.680d5fdb8d4c7p-16, 0x1.61705ff0bd819p-16, 0x1.5ac4e9b06a536p-16, 0x1.540bbe8a6ee8bp-16, 0x1.4d459deaef345p-16, 0x1.4673453267eecp-16, 0x1.3f956fad8fb9ep-16, 0x1.38acd68faa726p-16, 0x1.31ba30eba30ep-16, 0x1.2abe33ad095ffp-16, 0x1.23b99193181ep-16, 0x1.1cacfb2b9344dp-16, 0x1.15991ece1f89dp-16, 0x1.0e7ea894fdd4ep-16, 0x1.075e425a0b1d8p-16, 0x1.003893b05bfd6p-16, 0x1.f21c83c05b3d5p-17, 0x1.e3bfdfc6ac685p-17, 0x1.d55c7cc76fe06p-17, 0x1.c6f39769a5008p-17, 0x1.b88667a20ebe6p-17, 0x1.aa1620af23276p-17, 0x1.9ba3f110a52dfp-17, 0x1.8d310282cbd45p-17, 0x1.7ebe79fc65274p-17, 0x1.704d77adad5d8p-17, 0x1.61df16f804068p-17, 0x1.53746e6c17aafp-17, 0x1.450e8fc926fd6p-17, 0x1.36ae87f71b3fp-17, 0x1.28555f07d571bp-17, 0x1.1a041836e74b4p-17, 0x1.0bbbb1ec8afbep-17, 0x1.fafa4b6c778e3p-18, 0x1.de92d09a43026p-18, 0x1.c242d326afcfap-18, 0x1.a60c292ca71c8p-18, 0x1.89f09f1ff6ee4p-18, 0x1.6df1f7d38f3e9p-18, 0x1.5211ec8a78765p-18, 0x1.36522ced34d67p-18, 0x1.1ab45f180ab09p-18, 0x1.fe743f4458365p-19, 0x1.c7ca03439de5ap-19, 0x1.916d1d754a616p-19, 0x1.5b608e49f5a3bp-19, 0x1.25a74385722b4p-19, 0x1.e0883073dc31ep-20, 0x1.7673a9da64d8cp-20, 0x1.0d165f6a6113dp-20, 0x1.48eb3119dd938p-21, 0x1.e4b3c17cef543p-23, -0x1.54101872173d8p-23, -0x1.219dfcd6c12d7p-21, -0x1.ec9785e6b72f4p-21, -0x1.5af3bd3309818p-20, -0x1.bec27cf8235fep-20, -0x1.10d9da887fe38p-19, -0x1.41e19d7d6c61cp-19, -0x1.727683521aa6bp-19, -0x1.a29699052426bp-19, -0x1.d23ffc75a7da6p-19, -0x1.00b86e2844737p-18, -0x1.1813bbe838f44p-18, -0x1.2f310f5158255p-18, -0x1.460f985e104abp-18, -0x1.5cae8f18b5112p-18, -0x1.730d3383c7b16p-18, -0x1.892acd7c8e5c9p-18, -0x1.9f06acb1ba7b1p-18, -0x1.b4a02883dd9d1p-18, -0x1.c9f69ff5c9b42p-18, -0x1.df09799310a88p-18, -0x1.f3d823578d1a4p-18, -0x1.0431094d0377dp-17, -0x1.0e5361f8dd164p-17, -0x1.1852dd8e3a8d5p-17, -0x1.222f4177c1942p-17, -0x1.2be8569c1a6eap-17, -0x1.357de95243449p-17, -0x1.3eefc956e89b7p-17, -0x1.483dc9bf692d4p-17, -0x1.5167c0ee97ed6p-17, -0x1.5a6d888426d57p-17, -0x1.634efd5384564p-17, -0x1.6c0bff5814e31p-17, -0x1.74a471a6fb069p-17, -0x1.7d183a63e09ccp-17, -0x1.856742b4b6e06p-17, -0x1.8d9176b395208p-17, -0x1.9596c56424d42p-17, -0x1.9d7720a383952p-17, -0x1.a5327d1fdcedep-17, -0x1.acc8d249db874p-17, -0x1.b43a1a491626ep-17, -0x1.bb8651ee08552p-17, -0x1.c2ad78a6f9da9p-17, -0x1.c9af9074f335cp-17, -0x1.d08c9ddba6cb5p-17, -0x1.d744a7d77fd2fp-17, -0x1.ddd7b7cfffdf3p-17, -0x1.e445d98d04075p-17, -0x1.ea8f1b29b28cep-17, -0x1.f0b38d089e59ap-17, -0x1.f6b341c7d932bp-17, -0x1.fc8e4e339da1bp-17, -0x1.0122649e7cc37p-16, -0x1.03eb65f4fb591p-16, -0x1.06a238a5f32bcp-16, -0x1.0946eb3aa8dc3p-16, -0x1.0bd98d3576f85p-16, -0x1.0e5a2f0d86b4cp-16, -0x1.10c8e22728adfp-16, -0x1.1325b8d09bd8ep-16, -0x1.1570c63a35443p-16, -0x1.17aa1e7116221p-16, -0x1.19d1d65b1d6eap-16, -0x1.1be803aef225cp-16, -0x1.1decbcf020de5p-16, -0x1.1fe01969fff1dp-16, -0x1.21c23128e4038p-16, -0x1.23931cf576baep-16, -0x1.2552f64f61fdfp-16, -0x1.2701d768ba201p-16, -0x1.289fdb1f43b48p-16, -0x1.2a2d1cf7f8666p-16, -0x1.2ba9b91ac575ep-16, -0x1.2d15cc4c9fa0ep-16, -0x1.2e7173eadcbe8p-16, -0x1.2fbccde5859ffp-16, -0x1.30f7f8bbd4f2bp-16, -0x1.322313766f3p-16, -0x1.333e3da1c1765p-16, -0x1.3449974c63348p-16, -0x1.354540ff284cep-16, -0x1.36315bb96933cp-16, -0x1.370e08ee16421p-16, -0x1.37db6a7d9b56p-16, -0x1.3899a2b153604p-16, -0x1.3948d4382a947p-16, -0x1.39e922224c53ep-16, -0x1.3a7aafdc62d86p-16, -0x1.3afda12b80edbp-16, -0x1.3b721a287b8d2p-16, -0x1.3bd83f3d707adp-16, -0x1.3c303520a1c7ap-16, -0x1.3c7a20d09aa0ap-16, -0x1.3cb6279044fd4p-16, -0x1.3ce46ee38100dp-16, -0x1.3d051c8abc8edp-16, -0x1.3d18567fe2959p-16, -0x1.3d1e42f36e61p-16, -0x1.3d17084735d0ep-16, -0x1.3d02cd0b74be8p-16, -0x1.3ce1b7fbfc68dp-16, -0x1.3cb3effc68d71p-16, -0x1.3c799c1452a0cp-16, -0x1.3c32e36c721a4p-16, -0x1.3bdfed4c0a8ffp-16, -0x1.3b80e11512b09p-16, -0x1.3b15e6415366cp-16, -0x1.3a9f245ea8c2dp-16, -0x1.3a1cc30c53fep-16, -0x1.398ee9f9ffff2p-16, -0x1.38f5c0e1dc77dp-16, -0x1.38516f87cac3ap-16, -0x1.37a21db57b82ep-16, -0x1.36e7f3381886ap-16, -0x1.362317de00083p-16, -0x1.3553b374baf65p-16, -0x1.3479edc557d03p-16, -0x1.3395ee91f64dbp-16, -0x1.32a7dd93b0b46p-16, -0x1.31afe27857c7ap-16, -0x1.30ae24dfcb477p-16, -0x1.2fa2cc59dcc97p-16, -0x1.2e8e00644324fp-16, -0x1.2d6fe86888d2dp-16, -0x1.2c48abb9bd0ecp-16, -0x1.2b18719267427p-16, -0x1.29df61123b089p-16, -0x1.289da13b57737p-16, -0x1.275358f3b0c7bp-16, -0x1.2600aeff9b49dp-16, -0x1.24a5ca01665dp-16, -0x1.2342d076f8058p-16, }}, 
      {{-0x1.af2e30ff8f8ddp-1, -0x1.af36d38bf2e6ep-1, -0x1.af3f0d4188379p-1, -0x1.af3ff530cafe6p-1, -0x1.af3253339e8b8p-1, -0x1.af0f5d55cc2c2p-1, -0x1.aed1273cb839ep-1, -0x1.ae72db7e73752p-1, -0x1.adf0d040d6fb9p-1, -0x1.ad48839e07076p-1, -0x1.ac7888bae7addp-1, -0x1.ab806be0017a9p-1, -0x1.aa6091fe06838p-1, -0x1.a91a16a4ed749p-1, -0x1.a7aeaa7444c8bp-1, -0x1.a6207352ce334p-1, -0x1.a471ef3790dc9p-1, -0x1.a2a5d9f13d1e2p-1, -0x1.a0bf161793864p-1, -0x1.9ec09925ebf8fp-1, -0x1.9cad5aa063e55p-1, -0x1.9a8846126d4e9p-1, -0x1.98542faa8828cp-1, -0x1.9613cb3180aaap-1, -0x1.93c9a51a108dp-1, -0x1.91781d66ecb2cp-1, -0x1.8f2164283f96ep-1, -0x1.8cc77755aa74fp-1, -0x1.8a6c21cea4c5dp-1, -0x1.8810fb501d967p-1, -0x1.85b769335c06fp-1, -0x1.83609fcf19a8fp-1, -0x1.810da45897acdp-1, -0x1.7ebf4f26db331p-1, -0x1.7c764e3e65d9cp-1, -0x1.7a33280f74b9ep-1, -0x1.77f63e5435143p-1, -0x1.75bfd0ff631acp-1, -0x1.7390012e6e54cp-1, -0x1.7166d4149ee6bp-1, -0x1.6f4435d6bb287p-1, -0x1.6d27fc507abc6p-1, -0x1.6b11e9be96107p-1, -0x1.6901af498d77fp-1, -0x1.66f6ef6e64394p-1, -0x1.64f140436ea1bp-1, -0x1.62f02d98238b5p-1, -0x1.60f33aef7d71fp-1, -0x1.5ef9e554fffa2p-1, -0x1.5d03a50ce13e1p-1, -0x1.5b0fef202fb29p-1, -0x1.591e36c609f07p-1, -0x1.572deeab36db1p-1, -0x1.553e8a198e08fp-1, -0x1.534f7e00bd239p-1, -0x1.516041e20504bp-1, -0x1.4f7050a09570bp-1, -0x1.4d7f29382f2e4p-1, -0x1.4b8c4f5bb241ep-1, -0x1.49974bfd37e97p-1, -0x1.479fadc150444p-1, -0x1.45a5095ee919dp-1, -0x1.43a6f9ed5fe46p-1, -0x1.41a52122278c2p-1, -0x1.3f9f277f601fdp-1, -0x1.3d94bc74ac994p-1, -0x1.3b85967381cb5p-1, -0x1.397172f81758bp-1, -0x1.37581688134b2p-1, -0x1.35394ca7fb099p-1, -0x1.3314e7c85e344p-1, -0x1.30eac12ba2f7p-1, -0x1.2ebab8c5505fbp-1, -0x1.2c84b5139aa94p-1, -0x1.2a48a2f3f1e48p-1, -0x1.280675733d339p-1, -0x1.25be259a6551bp-1, -0x1.236fb237c29f1p-1, -0x1.211b1fa5f6ce3p-1, -0x1.1ec07790b3491p-1, -0x1.1c5fc8b7d9d01p-1, -0x1.19f926b1677a3p-1, -0x1.178ca9aa8670fp-1, -0x1.151a6e282021dp-1, -0x1.12a294c73ca36p-1, -0x1.102541fd7c7ddp-1, -0x1.0da29dd9e8364p-1, -0x1.0b1ad3c651deap-1, -0x1.088e12497f31ap-1, -0x1.05fc8aca44eb2p-1, -0x1.03667153c1193p-1, -0x1.00cbfc5ad59a8p-1, -0x1.fc5ac90a04794p-2, -0x1.f715c8e1730cep-2, -0x1.f1c970fe8e199p-2, -0x1.ec763d40b5c8fp-2, -0x1.e71cac3e9016fp-2, -0x1.e1bd3ee40b3ep-2, -0x1.dc587813f4403p-2, -0x1.d6eedc4d32439p-2, -0x1.d180f153b0dfbp-2, -0x1.cc0f3ddcfc6fcp-2, -0x1.c69a494097034p-2, -0x1.c1229b2bfd90fp-2, -0x1.bba8bb5a5cfc1p-2, -0x1.b62d314feccep-2, -0x1.b0b08418e6d8ep-2, -0x1.ab333a0c0bed6p-2, -0x1.a5b5d890a9541p-2, -0x1.a038e3e80d718p-2, -0x1.9abcdefa598ddp-2, -0x1.95424b269d65dp-2, -0x1.8fc9a81625357p-2, -0x1.8a537392ebb94p-2, -0x1.84e029610f2a1p-2, -0x1.7f70431b3b1fbp-2, -0x1.7a043811ec876p-2, -0x1.749c7d2d74d98p-2, -0x1.6f3984d2a9a55p-2, -0x1.69dbbeca228a9p-2, -0x1.64839829f2b7bp-2, -0x1.5f317b41bf232p-2, -0x1.59e5cf891f077p-2, -0x1.54a0f9902a0b2p-2, -0x1.4f635af21cc55p-2, -0x1.4a2d5249ff64bp-2, -0x1.44ff3b2933a35p-2, -0x1.3fd96e0fd0867p-2, -0x1.3abc4066bba43p-2, -0x1.35a8047b67bdap-2, -0x1.309d097d1cfap-2, -0x1.2b9b9b7bbe706p-2, -0x1.26a40367f37f4p-2, -0x1.21b687149f64bp-2, -0x1.1cd369399892bp-2, -0x1.17fae97788e27p-2, -0x1.132d445ce26a5p-2, -0x1.0e6ab36bded9cp-2, -0x1.09b36d216e158p-2, -0x1.0507a4fd0c9b8p-2, -0x1.00678b89690c4p-2, -0x1.f7a69ccba5635p-3, -0x1.ee9630a0ab7e7p-3, -0x1.e59e22610fddcp-3, -0x1.dcbebc45c495bp-3, -0x1.d3f8430962c34p-3, -0x1.cb4af600f791p-3, -0x1.c2b70f35c07cfp-3, -0x1.ba3cc37fb1ee4p-3, -0x1.b1dc42a0b13b8p-3, -0x1.a995b7607b17ap-3, -0x1.a16947a90d0fdp-3, -0x1.995714a392f96p-3, -0x1.915f3ad5b27e3p-3, -0x1.8981d23f392dep-3, -0x1.81beee780901ap-3, -0x1.7a169ece3a892p-3, -0x1.7288ee64713a1p-3, -0x1.6b15e4503b2fp-3, -0x1.63bd83b888a6bp-3, -0x1.5c7fcbf41e3b7p-3, -0x1.555cb8a7fd6e4p-3, -0x1.4e5441e5b4907p-3, -0x1.47665c498fe44p-3, -0x1.4092f9189de12p-3, -0x1.39da065e8154cp-3, -0x1.333b6f0b042f2p-3, -0x1.2cb71b0f6a18ap-3, -0x1.264cef7b73ddbp-3, -0x1.1ffcce9a1572cp-3, -0x1.19c6980dc9741p-3, -0x1.13aa28ec92d79p-3, -0x1.0da75bdb934f3p-3, -0x1.07be092a3ac0ap-3, -0x1.01ee06ed07e8ep-3, -0x1.f86e522fbb5f1p-4, -0x1.ed32832fbff0ep-4, -0x1.e22840d9ac63p-4, -0x1.d74f2784370ddp-4, -0x1.cca6d00e164d1p-4, -0x1.c22ed00ddbb27p-4, -0x1.b7e6ba00d8ee2p-4, -0x1.adce1d78eec21p-4, -0x1.a3e487496226dp-4, -0x1.9a2981b29eff4p-4, -0x1.909c948cf8324p-4, -0x1.873d45724c2dep-4, -0x1.7e0b17e6ad253p-4, -0x1.75058d7ff1f07p-4, -0x1.6c2c260c3ad32p-4, -0x1.637e5fb76d514p-4, -0x1.5afbb72f9ecfdp-4, -0x1.52a3a7c87915dp-4, -0x1.4a75ab9d922b4p-4, -0x1.42713bb3c034dp-4, -0x1.3a95d019648c6p-4, -0x1.32e2e005b62e3p-4, -0x1.2b57e1f709e5p-4, -0x1.23f44bd01eb7dp-4, -0x1.1cb792f46d8aep-4, -0x1.15a12c638167dp-4, -0x1.0eb08cd35bc58p-4, -0x1.07e528c9e7f8cp-4, -0x1.013e74b580192p-4, -0x1.f577ca0912a66p-5, -0x1.e8b9dc7850629p-5, -0x1.dc420a1c2cb1cp-5, -0x1.d00f3cdb2ab04p-5, -0x1.c4205f4717c2ep-5, -0x1.b8745cc394953p-5, -0x1.ad0a21aafd832p-5, -0x1.a1e09b71b4e37p-5, -0x1.96f6b8c7dfbcep-5, -0x1.8c4b69b992c98p-5, -0x1.81dd9fcd84e4dp-5, -0x1.77ac4e2242515p-5, -0x1.6db66989f64bfp-5, -0x1.63fae8a4c92b2p-5, -0x1.5a78c3f9e4a18p-5, -0x1.512ef60f1e7d8p-5, -0x1.481c7b7f5a158p-5, -0x1.3f40530fa2237p-5, -0x1.36997dc30c4c5p-5, -0x1.2e26feed64ec7p-5, -0x1.25e7dc44b2fcdp-5, -0x1.1ddb1df19ac15p-5, -0x1.15ffce9ea4e13p-5, -0x1.0e54fb867747ep-5, -0x1.06d9b480ff74ap-5, -0x1.ff1a181f4cffdp-6, -0x1.f0dc2ed0fc991p-6, -0x1.e2f7dd0111f0bp-6, -0x1.d56b582a27043p-6, -0x1.c834db68582d8p-6, -0x1.bb52a78887b67p-6, -0x1.aec30315f21p-6, -0x1.a2843a662ed34p-6, -0x1.96949fa3b0d74p-6, -0x1.8af28ad6c06f4p-6, -0x1.7f9c59ed1468ep-6, -0x1.749070c004287p-6, -0x1.69cd39196c396p-6, -0x1.5f5122b75148bp-6, -0x1.551aa34e4aaf9p-6, -0x1.4b28368ab97afp-6, -0x1.41785e10efd39p-6, -0x1.3809a17c3e386p-6, -0x1.2eda8e5cf2817p-6, -0x1.25e9b8356bdb3p-6, -0x1.1d35b87632d56p-6, -0x1.14bd2e792d743p-6, -0x1.0c7ebf7bf7b3cp-6, -0x1.04791699764fdp-6, -0x1.f955c985273e7p-7, -0x1.ea25c16c96361p-7, -0x1.db5f8df1f6404p-7, -0x1.cd00b39628461p-7, -0x1.bf06c23e39c9fp-7, -0x1.b16f551e5f1adp-7, -0x1.a43812a3a2cafp-7, -0x1.975eac5cb5616p-7, -0x1.8ae0dee1957ecp-7, -0x1.7ebc71ba664f7p-7, -0x1.72ef37455f2ep-7, -0x1.67770c9be55a6p-7, -0x1.5c51d976ddd7ep-7, -0x1.517d90126a1cbp-7, -0x1.46f82d10d1823p-7, -0x1.3cbfb75ceedcp-7, -0x1.32d2400c02433p-7, -0x1.292de23f06bfap-7, -0x1.1fd0c30393b23p-7, -0x1.16b9113446563p-7, -0x1.0de50558d6ad2p-7, -0x1.0552e185d0604p-7, -0x1.fa01e277fe6c1p-8, -0x1.e9db128f3edeep-8, -0x1.da2e0f3e8fd5dp-8, -0x1.caf7a6856037fp-8, -0x1.bc34b832819f7p-8, -0x1.ade235a1215aep-8, -0x1.9ffd217590746p-8, -0x1.92828f59d6cd3p-8, -0x1.856fa3ba31f65p-8, -0x1.78c19381a8947p-8, -0x1.6c75a3d69a1b6p-8, -0x1.608929d75472cp-8, -0x1.54f98a56da04ep-8, -0x1.49c43999c4cacp-8, -0x1.3ee6bb1372881p-8, -0x1.345ea12365a91p-8, -0x1.2a298cd2f809ep-8, -0x1.20452d934a41bp-8, -0x1.16af40fbba9a1p-8, -0x1.0d65928887eefp-8, -0x1.0465fb5a247b1p-8, -0x1.f75cc3e9a9467p-9, -0x1.e679740174413p-9, -0x1.d61e081508c84p-9, -0x1.c6469a8927a39p-9, -0x1.b6ef5e91858b7p-9, -0x1.a8149fb56027ap-9, -0x1.99b2c1552ec86p-9, -0x1.8bc63e31b267fp-9, -0x1.7e4ba7f4444cap-9, -0x1.713fa6b85febbp-9, -0x1.649ef896c57fbp-9, -0x1.586671317dcd3p-9, -0x1.4c92f9419350ap-9, -0x1.41218e261b811p-9, -0x1.360f4174afae8p-9, -0x1.2b59388b75011p-9, -0x1.20fcac2458f84p-9, -0x1.16f6e7e9f38fcp-9, -0x1.0d454a0dc93cap-9, -0x1.03e542e022cd5p-9, -0x1.f5a8a8d2a8a9ep-10, -0x1.e42024099ca8ap-10, -0x1.d32c3ffa6dd1dp-10, -0x1.c2c866548cf04p-10, -0x1.b2f0212094027p-10, -0x1.a39f1a01c81fcp-10, -0x1.94d1197b7fca7p-10, -0x1.86820638d6197p-10, -0x1.78ade4577f86dp-10, -0x1.6b50d4b60f319p-10, -0x1.5e671444cfe75p-10, -0x1.51ecfb59e5194p-10, -0x1.45defd08c8015p-10, -0x1.3a39a67c28246p-10, -0x1.2ef99e52dc95p-10, -0x1.241ba40021a34p-10, -0x1.199c8f2e91bb2p-10, -0x1.0f794f25f5981p-10, -0x1.05aeea3485432p-10, -0x1.f874fa35021ep-11, -0x1.e63274f0f4c81p-11, -0x1.d490d4825eae9p-11, -0x1.c38ad25af40a5p-11, -0x1.b31b5066f4361p-11, -0x1.a33d5800e817dp-11, -0x1.93ec18eb02d0fp-11, -0x1.8522e84ce039fp-11, -0x1.76dd3fb787ff3p-11, -0x1.6916bc2e85628p-11, -0x1.5bcb1d361198cp-11, -0x1.4ef643e69e3bp-11, -0x1.42943205cf54ap-11, -0x1.36a1092316fbdp-11, -0x1.2b1909bab9cddp-11, -0x1.1ff8925cec13fp-11, -0x1.153c1ed9fd05cp-11, -0x1.0ae0477321cfcp-11, -0x1.00e1c01067b4fp-11, -0x1.ee7aaef5e37d5p-12, -0x1.dbdfed362d20ep-12, -0x1.c9ed3f77acdb8p-12, -0x1.b89cdba4db7acp-12, -0x1.a7e927946d69fp-12, -0x1.97ccb7a95552ap-12, -0x1.88424d7c7aedp-12, -0x1.7944d68ce1adep-12, -0x1.6acf6af809ca4p-12, -0x1.5cdd4c3bba348p-12, -0x1.4f69e3fe1da52p-12, -0x1.4270c2de56517p-12, -0x1.35ed9f4c86431p-12, -0x1.29dc546962606p-12, -0x1.1e38e0ec6d2b9p-12, -0x1.12ff6611637a1p-12, -0x1.082c268d14cafp-12, -0x1.fb770b1184e53p-13, -0x1.e7540b488eba2p-13, -0x1.d3e88ffe8e01fp-13, -0x1.c12e1690c2e73p-13, -0x1.af1e55a52de8cp-13, -0x1.9db33b61a85ccp-13, -0x1.8ce6ebaf4bab2p-13, -0x1.7cb3be8b7904fp-13, -0x1.6d143e610f48bp-13, -0x1.5e03266fda829p-13, -0x1.4f7b613f21b33p-13, -0x1.417807197915cp-13, -0x1.33f45c93e435fp-13, -0x1.26ebd11ef7df4p-13, -0x1.1a59fda36efdp-13, -0x1.0e3aa327f4a9dp-13, -0x1.0289a9809a533p-13, -0x1.ee863c102820cp-14, -0x1.d8c664c515119p-14, -0x1.c3cc7691e4cb2p-14, -0x1.af915eba17112p-14, -0x1.9c0e4c0cbca5cp-14, -0x1.893cacb10f2f3p-14, -0x1.77162c015600ep-14, -0x1.6594b07631259p-14, -0x1.54b259a42b78ep-14, -0x1.44697e45a8716p-14, -0x1.34b4aa54eae3ap-14, -0x1.258e9d33a4d73p-14, -0x1.16f247e31fdfbp-14, -0x1.08dacb4871588p-14, -0x1.f686ecfdd6987p-15, -0x1.dc4f8a6f8e56bp-15, -0x1.c306bc4f5601ep-15, -0x1.aaa422fc8278ap-15, -0x1.931faed8a0b11p-15, -0x1.7c719d6603262p-15, -0x1.66927685d670dp-15, -0x1.517b09c600abcp-15, -0x1.3d246bc64d682p-15, -0x1.2987f3b41c714p-15, -0x1.169f38dda6a0ap-15, -0x1.04641051ac6f5p-15, -0x1.e5a1153b2784cp-16, -0x1.c3bde321a0c9fp-16, -0x1.a3138c3d9a116p-16, -0x1.83977ca04ee51p-16, -0x1.653f8684de732p-16, -0x1.4801de735a3dep-16, -0x1.2bd5178fcf13p-16, -0x1.10b01ff7e6eb1p-16, -0x1.ed147a9c24339p-17, -0x1.bab612bfeadd4p-17, -0x1.8a34ddc00126bp-17, -0x1.5b814c969625dp-17, -0x1.2e8c65c987e98p-17, -0x1.0347bf903e5f7p-17, -0x1.b34af464d54c1p-18, -0x1.6330755164cf8p-18, -0x1.16264aa45cecap-18, -0x1.982763b4f64e7p-19, -0x1.09c1a70846927p-19, -0x1.01dae71811095p-20, 0x1.40b894413f5c8p-26, 0x1.016b4362cd78ap-20, 0x1.f3b05349b430ep-20, 0x1.6e1095a48789ap-19, 0x1.dd8502f5f473bp-19, 0x1.242d17374cad9p-18, 0x1.5759c17d6822bp-18, 0x1.885993b0dab04p-18, 0x1.b73d05cc91aaap-18, 0x1.e413fac9efb55p-18, 0x1.0776e36aaef79p-17, 0x1.1bec9a9923154p-17, 0x1.2f7246f61c7e1p-17, 0x1.420ecdaaa56f7p-17, 0x1.53c8d79bb9ee3p-17, 0x1.64a6d3f9655b7p-17, 0x1.74aefaa9d098cp-17, 0x1.83e74e996b361p-17, 0x1.92559ff5a7e42p-17, 0x1.9fff8e52e7602p-17, 0x1.acea8abbbf0fap-17, 0x1.b91bd9a201bep-17, 0x1.c49894c8658fdp-17, 0x1.cf65ad144444dp-17, 0x1.d987ec39d3522p-17, 0x1.e303f6782d9e7p-17, 0x1.ebde4c24507d5p-17, 0x1.f41b4b3259e85p-17, 0x1.fbbf30a86905cp-17, 0x1.01670d02a1884p-16, 0x1.04a6034a42134p-16, 0x1.079e6c57cb47ap-16, 0x1.0a522b7ee608fp-16, 0x1.0cc316cd98fbap-16, 0x1.0ef2f79820e48p-16, 0x1.10e38b0331e8ep-16, 0x1.129682844cc62p-16, 0x1.140d845f183adp-16, 0x1.154a2c191e62dp-16, 0x1.164e0aecad957p-16, 0x1.171aa832f4aabp-16, 0x1.17b181c82ed6bp-16, 0x1.18140c701be68p-16, 0x1.1843b431e42c2p-16, 0x1.1841dcb148a9fp-16, 0x1.180fe1801660fp-16, 0x1.17af166faf3d3p-16, 0x1.1720c7dce09p-16, 0x1.16663af813ac4p-16, 0x1.1580ae0a8fac3p-16, 0x1.147158b6cfa52p-16, 0x1.13396c3883d54p-16, 0x1.11da139aa3e68p-16, 0x1.105473f318fb7p-16, 0x1.0ea9ac98b1aecp-16, 0x1.0cdad751ca57fp-16, 0x1.0ae908857e8c5p-16, 0x1.08d54f6806d75p-16, 0x1.06a0b6269bf26p-16, 0x1.044c420ec87eep-16, 0x1.01d8f3b4119cp-16, 0x1.fe8f8e2bf8e1fp-17, 0x1.f9336783d84ap-17, 0x1.f39f59df98703p-17, 0x1.edd54349d27b8p-17, 0x1.e7d6f99f5f293p-17, 0x1.e1a64ac34ca18p-17, 0x1.db44fcd2c190fp-17, 0x1.d4b4ce555b883p-17, 0x1.cdf7766ddf826p-17, 0x1.c70ea501cd311p-17, 0x1.bffc02e1c621dp-17, 0x1.b8c131f3294c2p-17, 0x1.b15fcd53a2d31p-17, 0x1.a9d9697641029p-17, 0x1.a22f944879538p-17, 0x1.9a63d55002d96p-17, 0x1.9277adc5b08d7p-17, 0x1.8a6c98ae7176cp-17, 0x1.82440af6c247ap-17, 0x1.79ff738b79a3dp-17, 0x1.71a03b71bc3a6p-17, 0x1.6927c5d4cd5cp-17, 0x1.609770213e4d6p-17, 0x1.57f092151d97p-17, 0x1.4f347dd1b0c6ap-17, 0x1.46647feba0249p-17, 0x1.3d81df7d4a3a5p-17, 0x1.348dde34958fdp-17, 0x1.2b89b85f75126p-17, 0x1.2276a4f996144p-17, 0x1.1955d5ba4af8ap-17, 0x1.102877252e18p-17, 0x1.06efb08fd5348p-17, 0x1.fb59485cf0eep-18, 0x1.e8c0de402f26ep-18, 0x1.d61852ef0e995p-18, 0x1.c361cc8b1408fp-18, 0x1.b09f6746c3db1p-18, 0x1.9dd33577b9f36p-18, 0x1.8aff3fa839ceep-18, 0x1.782584a65ab54p-18, 0x1.6547f993e2dfp-18, 0x1.526889fa6fef4p-18, 0x1.3f8917e079e85p-18, 0x1.2cab7bd2b4216p-18, 0x1.19d184f4a8627p-18, 0x1.06fcf9122ac05p-18, 0x1.e85f295681914p-19, 0x1.c2d6160d5f15dp-19, 0x1.9d620c8528cd8p-19, 0x1.78064ec047ba9p-19, 0x1.52c60cadb4552p-19, 0x1.2da4643f2f0eap-19, 0x1.08a461889f927p-19, 0x1.c791fdb6708e2p-20, 0x1.7e2a49efa9282p-20, 0x1.351756394927ap-20, 0x1.d8bd5ca76bf3p-21, 0x1.480b76fd46a39p-21, 0x1.704712e1b36cbp-22, 0x1.487eef6e4fb7ap-24, -0x1.949613ef1fb85p-23, -0x1.e4e5b7822eadcp-22, -0x1.7ecea54c790f8p-21, -0x1.0517d135a8134p-20, -0x1.4a466aad62895p-20, -0x1.8eeec09ea9de8p-20, -0x1.d30c94bf22a0bp-20, -0x1.0b4de44d88cb4p-19, -0x1.2ccc2eabfc6cdp-19, -0x1.4dff39b8b9778p-19, -0x1.6ee525317b51p-19, -0x1.8f7c2036ccb87p-19, -0x1.afc26921c1dffp-19, -0x1.cfb64d58fa0fbp-19, -0x1.ef562931ff343p-19, -0x1.075033e47b08dp-18, -0x1.16c9c16af8e0fp-18, -0x1.26170144c6952p-18, -0x1.35373eb2c8aa5p-18, -0x1.4429cc07884b8p-18, -0x1.52ee0292b987bp-18, -0x1.6183428e7154fp-18, -0x1.6fe8f30aabce2p-18, -0x1.7e1e81d7b7669p-18, -0x1.8c2363717b2b2p-18, -0x1.99f712eb202a5p-18, -0x1.a79911d6595b3p-18, -0x1.b508e82f7e95ap-18, -0x1.c246244ad5077p-18, -0x1.cf505abb066dbp-18, -0x1.dc27263ccd14dp-18, -0x1.e8ca27a2f2db3p-18, -0x1.f53905bd200ap-18, -0x1.00b9b6a0bf1bp-17, -0x1.06bc885bc8a21p-17, -0x1.0ca4d4313f009p-17, -0x1.1272791558865p-17, -0x1.182558c3b6eb3p-17, -0x1.1dbd57b3d7c2ep-17, -0x1.233a5d0e9754ep-17, -0x1.289c52a0f85b4p-17, -0x1.2de324d2d55a3p-17, -0x1.330ec29b2f10bp-17, -0x1.381f1d74bcea2p-17, -0x1.3d1429521dbedp-17, -0x1.41eddc93ec848p-17, -0x1.46ac2ffc86201p-17, -0x1.4b4f1ea3eea17p-17, -0x1.4fd6a5edf53b6p-17, -0x1.5442c57e489fcp-17, -0x1.58937f2e18405p-17, -0x1.5cc8d70086ebdp-17, -0x1.60e2d316ebfc3p-17, -0x1.64e17ba6f9524p-17, -0x1.68c4daee6e6b5p-17, -0x1.6c8cfd2826c79p-17, -0x1.7039f082c5ed1p-17, -0x1.73cbc513e5e6fp-17, -0x1.77428cce4758p-17, -0x1.7a9e5b7689692p-17, -0x1.7ddf46997f543p-17, -0x1.8105657fd39edp-17, -0x1.8410d1247be94p-17, -0x1.8701a429a34d2p-17, -0x1.89d7facee486cp-17, -0x1.8c93f2e6c753cp-17, -0x1.8f35abcbced95p-17, -0x1.91bd465696fb1p-17, -0x1.942ae4d453b07p-17, -0x1.967eaafb5964cp-17, -0x1.98b8bde1f154p-17, -0x1.9ad943f50b51bp-17, -0x1.9ce064ed39732p-17, -0x1.9ece49c563473p-17, -0x1.a0a31cb1497ecp-17, -0x1.a25f09141dc2cp-17, -0x1.a4023b76b2c69p-17, -0x1.a58ce17ea2ca9p-17, -0x1.a6ff29e429363p-17, -0x1.a8594469baf48p-17, -0x1.a99b61d327329p-17, -0x1.aac5b3dbe2d3fp-17, -0x1.abd86d2e5ff48p-17, -0x1.acd3c15c2adb2p-17, -0x1.adb7e4d4621a8p-17, -0x1.ae850cdaffaa3p-17, -0x1.af3b6f81a9fdcp-17, -0x1.afdb439e58d2ap-17, -0x1.b064c0c322df6p-17, -0x1.b0d81f3640d4fp-17, -0x1.b13597ea231bfp-17, -0x1.b17d647666f38p-17, -0x1.b1afbf0efcf38p-17, -0x1.b1cce27d043a1p-17, -0x1.b1d50a16ed21cp-17, -0x1.b1c871b934ba8p-17, -0x1.b1a755bf5fabcp-17, -0x1.b171f2fc12d41p-17, -0x1.b12886b2d67d3p-17, -0x1.b0cb4e9108989p-17, -0x1.b05a88a6af478p-17, -0x1.afd6735f00729p-17, -0x1.af3f4d7c04e4dp-17, -0x1.ae95560dc3215p-17, -0x1.add8cc6c99e94p-17, -0x1.ad09f033628dep-17, -0x1.ac290137c8f8ep-17, -0x1.ab363f8797ebfp-17, -0x1.aa31eb5fa019bp-17, -0x1.a91c4526e3a3cp-17, -0x1.a7f58d68fc287p-17, -0x1.a6be04d03d14cp-17, -0x1.a575ec205bfcep-17, -0x1.a41d8430c55f3p-17, -0x1.a2b50de7d2384p-17, -0x1.a13cca3625f1bp-17, -0x1.9fb4fa1011079p-17, -0x1.9e1dde698eeecp-17, -0x1.9c77b8313f223p-17, -0x1.9ac2c84cd3722p-17, -0x1.98ff4f91b74fep-17, -0x1.972d8ec315f61p-17, -0x1.954dc68b5e336p-17, -0x1.936037797bedbp-17, -0x1.916521fdcc787p-17, -0x1.8f5cc662f9c22p-17, -0x1.8d4764cbb58b8p-17, -0x1.8b253d2e6dce8p-17, -0x1.88f68f516bc9cp-17, -0x1.86bb9ac6fbb28p-17, -0x1.84749eea2bb7cp-17, -0x1.8221dadb4e7f2p-17, -0x1.7fc38d7d1663ep-17, -0x1.7d59f56fa1409p-17, -0x1.7ae5510e0b4bfp-17, -0x1.7865de6bd99bdp-17, -0x1.75dbdb520b4e2p-17, -0x1.7347853a6befdp-17, -0x1.70a9194dfa33bp-17, -0x1.6e00d461cf4fdp-17, -0x1.6b4ef2f3eddbcp-17, -0x1.6893b12b6e7d6p-17, -0x1.65cf4ad28f7ebp-17, -0x1.6301fb55116dap-17, -0x1.602bfdbeaf1dfp-17, -0x1.5d4d8cb80959ap-17, -0x1.5a66e2847081bp-17, -0x1.57783900739ecp-17, -0x1.5481c99f0b7abp-17, -0x1.5183cd691d3f9p-17, -0x1.4e7e7cf9f224cp-17, -0x1.4b72107d66f35p-17, -0x1.485ebfae7a5e2p-17, -0x1.4544c1d724393p-17, -0x1.42244dccd5f16p-17, -0x1.3efd99eee0af4p-17, -0x1.3bd0dc25a07bbp-17, -0x1.389e49e0aeef9p-17, -0x1.356618167e9cp-17, -0x1.32287b43677cdp-17, -0x1.2ee5a766cab85p-17, -0x1.2b9dd0024c51ep-17, -0x1.2851281933574p-17, -0x1.24ffe22f32032p-17, -0x1.21aa304754a37p-17, -0x1.1e5043e36b94p-17, -0x1.1af24e02d1ef8p-17, -0x1.17907f22c3743p-17, -0x1.142b073c4a071p-17, -0x1.10c215c3bd955p-17, -0x1.0d55d9a75d16ep-17, -0x1.09e68151baf8dp-17, -0x1.06743aa66e265p-17, -0x1.02ff330234c3ep-17, -0x1.ff0f2e7443d7ep-18, -0x1.f81b273818b9cp-18, -0x1.f122a7db22d05p-18, -0x1.ea2606db843e3p-18, -0x1.e32599a593494p-18, -0x1.dc21b4939d895p-18, -0x1.d51aaaee6ac37p-18, -0x1.ce10ceed20f4ep-18, -0x1.c70471b4d5ee5p-18, -0x1.bff5e3591ad51p-18, -0x1.b8e572db04421p-18, -0x1.b1d36e2b0cc14p-18, -0x1.aac022282a7dp-18, -0x1.a3abda9fe3fe8p-18, -0x1.9c96e24dc8b61p-18, -0x1.958182db57e79p-18, -0x1.8e6c04e5b5b4bp-18, -0x1.8756aff8b8a0dp-18, -0x1.8041ca9032703p-18, -0x1.792d9a1939507p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      54, 0x1.6p+2, 0x1.f7202d18debddp+1, 0x1.195e95b740e9ep+3, 0x1.3b5572cc0a816p-4, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.7da4acd224716p-3, -0x1.b83043fc90e5ep-2, 0x1.b08f14947fdfdp-1, -0x1.2c15c87d2973ap+0}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.55a660a6ca224p-3, -0x1.6aade72a4d0b9p-2, 0x1.56888ba226a3p-1, -0x1.0034b3d9ba95ap+0}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.348d1580e42a6p-3, -0x1.2ddbdadfc33c8p-2, 0x1.09abef473b767p-1, -0x1.b5cef3dc92536p-1}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.18cd94101bea2p-3, -0x1.fe954dfe2127dp-3, 0x1.90002eff7e398p-2, -0x1.67a617197b79ap-1}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.0118143a0b151p-3, -0x1.b95f5ee2d5dafp-3, 0x1.241b281172c8bp-2, -0x1.1a8f28973f866p-1}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.d8b07a34775e4p-4, -0x1.876d98171548fp-3, 0x1.9ead37c825daep-3, -0x1.997dd3fb96c22p-2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.b36a4a04501b2p-4, -0x1.641a51da0accfp-3, 0x1.23d444fcabd31p-3, -0x1.0183fb00b1772p-2}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.9122a2f275af1p-4, -0x1.4ac85a3cf20a3p-3, 0x1.ad26269286c5ap-4, -0x1.7188c550e8a01p-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.71156e799e0afp-4, -0x1.36b5ff730ae4bp-3, 0x1.75b808f99713ep-4, -0x1.dae8c41ff049fp-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.52f0832020ea8p-4, -0x1.243f629cd169ap-3, 0x1.6cd0787f642c1p-4, -0x1.8e010d3185afep-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.369d455544889p-4, -0x1.1261485c2cc5p-3, 0x1.5de3a19a558f2p-4, -0x1.5ca648f64876ep-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.1c0a484e8a54ep-4, -0x1.013660822109ep-3, 0x1.50d098777fa43p-4, -0x1.6389e28878de5p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.03265ca7701c8p-4, -0x1.e168f3f467762p-4, 0x1.437b6cc594b58p-4, -0x1.5b5b7441c4e0bp-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7c120c2e0101p-5, -0x1.c1b68abc4a144p-4, 0x1.3674cb9cb6edp-4, -0x1.5736c7913abdp-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ac505dc8013bp-5, -0x1.a34f9ae891fap-4, 0x1.2995f0edab1f9p-4, -0x1.51fd1c60dcaaap-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.83d981f9297ddp-5, -0x1.862fa544d332dp-4, 0x1.1ce93fdd3c72dp-4, -0x1.4d0da999bc3acp-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5e3c19bd37555p-5, -0x1.6a51c947ca256p-4, 0x1.106befe77896fp-4, -0x1.480a53ad536bbp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3b582c4701f9p-5, -0x1.4fb1407ca5c39p-4, 0x1.041ebff75f0fcp-4, -0x1.430c51ed05814p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1b0e3b955957bp-5, -0x1.36493d71a281fp-4, 0x1.f002f9c9c41c2p-5, -0x1.3e0ce2a1602b3p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.fa7e88e60c358p-6, -0x1.1e14f494543e2p-4, 0x1.d82868ca767f5p-5, -0x1.390dd557118f5p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.c3997ced9347ap-6, -0x1.070f99d1e3a19p-4, 0x1.c0adc59721fb1p-5, -0x1.340ead92d6ebap-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.91313806bc1a8p-6, -0x1.e268c2739da0fp-5, 0x1.a993122c1ea94p-5, -0x1.2f0f8db4c6682p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.630a948eec576p-6, -0x1.b8fcfda55258ep-5, 0x1.92d84df1c2fb2p-5, -0x1.2a1068b818607p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.38eb627b7b18p-6, -0x1.91d24d48b7429p-5, 0x1.7c7d794a5ac08p-5, -0x1.2511504fc33c9p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.129a6759b0e8fp-6, -0x1.6cdf1974c78ebp-5, 0x1.668293445f4f5p-5, -0x1.20120ab47a575p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.dfbebc9d8f916p-7, -0x1.4a19ca212dd88p-5, 0x1.50e79f43a2ef4p-5, -0x1.1b136d50ca28bp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a105f02fd6505p-7, -0x1.2978c7bbadabcp-5, 0x1.3bac90aa6092bp-5, -0x1.16125c41ae504p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.689db6146fd3cp-7, -0x1.0af278f8f78bbp-5, 0x1.26d1968bd9e6p-5, -0x1.111a71a8a1befp-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.361b462578c6ep-7, -0x1.dcfa95f7de533p-6, 0x1.12560138cdc48p-5, -0x1.0c0060e2afa0ap-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0915c36cf0b8p-7, -0x1.a81f25cf7ce3cp-6, 0x1.fc78c0b601311p-6, -0x1.0765c25a2ba64p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c24c7849743a1p-8, -0x1.773ffee0860fp-6, 0x1.d4f649f54771ep-6, -0x1.fef0c384c4a18p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7bcf837135792p-8, -0x1.4a4511d07e5f3p-6, 0x1.aea43b4b524c6p-6, -0x1.e8707e37ce80ep-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3df0e1b88162p-8, -0x1.21098c5bbb131p-6, 0x1.8a0231d3ef9bap-6, -0x1.d2ef1d64e5a15p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.07f4f3428eb1p-8, -0x1.f6c65ef8b607ep-7, 0x1.66fd0f9f91961p-6, -0x1.bd297038ce9e5p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b250dde4df1d4p-9, -0x1.b250de9bc88b2p-7, 0x1.4599f401b54a7p-6, -0x1.a7760ff7742ep-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.61c0c4d62326ap-9, -0x1.745f1fd8d1513p-7, 0x1.25d77f9bf2fa5p-6, -0x1.91bdc8644537bp-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1cf4641e7b8d9p-9, -0x1.3c9dc4a0c7a46p-7, 0x1.07b610946dc95p-6, -0x1.7c06d12db1f0dp-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.c56e6406627f1p-10, -0x1.0ab968003c9ddp-7, 0x1.d66b1b6200e11p-7, -0x1.664f7fd68875dp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.63caa4928815ap-10, -0x1.bcbd4db90d067p-8, 0x1.a0abfb683935ep-7, -0x1.509846a5161c1p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.12d72c6ad5319p-10, -0x1.6e743b389a3c7p-8, 0x1.6e2ebd9c42b1ep-7, -0x1.3ae106fd5e82ep-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a11df23049cc6p-11, -0x1.29f0d19059d6p-8, 0x1.3ef362f64151ap-7, -0x1.2529c90908891p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.361cc64580036p-11, -0x1.dd18937e78859p-9, 0x1.12f9eb34e6707p-7, -0x1.0f728abd69acfp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.c24c78497440cp-12, -0x1.773fb992d5455p-9, 0x1.d484acca93922p-8, -0x1.f3769837303b2p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.3df0e1b8816cbp-12, -0x1.21098760e7d75p-9, 0x1.89994928b2bccp-8, -0x1.c8081e53b04b8p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.b250dde4df2a4p-13, -0x1.b250ddec5cd69p-10, 0x1.4531ab028b7e8p-8, -0x1.9c99979bd9012p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1cf4641e7b9e7p-13, -0x1.3c9dc477b33b9p-10, 0x1.074dd444c48b7p-8, -0x1.712b40d58bfa3p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.63caa492883bp-14, -0x1.bcbd4e87c2454p-11, 0x1.9fdb7b7cabe5dp-9, -0x1.45bc371d31085p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a11df2304a1ep-15, -0x1.29f0ce85b8c4p-11, 0x1.3e23048d8394ep-9, -0x1.1a4fc93ba39d8p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c24c784974d01p-16, -0x1.773fd0453a9f6p-12, 0x1.d2e2f6c40b659p-10, -0x1.ddb33de19c2a2p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b250dde4e0802p-17, -0x1.b250347955e96p-13, 0x1.43939766c2f34p-10, -0x1.870f94e8e3997p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.63caa4928b2p-18, -0x1.bcc23e48b4c5bp-14, 0x1.9c843bdb63be5p-11, -0x1.2f5cb64ec0eeep-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c24c78498p-20, -0x1.771adab459c48p-15, 0x1.ccff9cf1dff8fp-12, -0x1.b73c053a96ae9p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.63caa492bffffp-22, -0x1.bee3b70de34b8p-17, 0x1.8aea66d0a4b1ap-13, -0x1.e47763aadb01dp-11}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.63caa496cp-26, -0x1.7c8bfea508902p-20, 0x1.a0f178dbb8601p-15, -0x1.442d83b33302fp-10}, 
      }}, 
      0x1.310ab8a518c46p-6, -0x1.d62926351ead6p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.7b154b57e367ap-6, -0x1.23e99d140f73p-7, 0x1.b3e02a686644bp-7, 0x1.566d7121b9ae9p-5, 0x1.32620e7467e59p-4, 0x1.c4f8731d56eep-4, 0x1.2e4f5d9a728bep-3, 0x1.79e94056fdeaep-3, 0x1.c2fcb13c1025cp-3, 0x1.03d744ba8c515p-2, 0x1.234719dbdd5dfp-2, 0x1.3f45a8b0f133bp-2, 0x1.5775101ce1be8p-2, 0x1.6b9bd5ccd7337p-2, 0x1.7b9f376d8358fp-2, 0x1.877de4f76e2e8p-2, 0x1.8f4b3cc71b305p-2, 0x1.932b11f819acfp-2, 0x1.934dfab42f5d5p-2, 0x1.8fee1e5dbe24p-2, 0x1.894c7999a4348p-2, 0x1.7fae8e14a2048p-2, 0x1.735c737f3501ap-2, 0x1.649f3e942c259p-2, 0x1.53bfb2c43192bp-2, 0x1.4105342e0e3dp-2, 0x1.2cb4f0d692b9cp-2, 0x1.1711399622f3cp-2, 0x1.005903fc4d2a3p-2, 0x1.d18f1e9356701p-3, 0x1.a1284e84cf8bfp-3, 0x1.6fe400429fca1p-3, 0x1.3e204f15a01c3p-3, 0x1.0c330d9df7d9fp-3, 0x1.b4d3cd3740982p-4, 0x1.521529e63b557p-4, 0x1.e14cb5370d9ccp-5, 0x1.21e9cf63120c8p-5, 0x1.9b03dfb8cb65dp-7, -0x1.3e222ccb38f7dp-7, -0x1.0065e75592908p-5, -0x1.ab60f90d21e0fp-5, -0x1.280c41379ce4ep-4, -0x1.771f4ae0925f5p-4, -0x1.c2cb67611e7cdp-4, -0x1.057d30d200393p-3, -0x1.27ce9edce460ep-3, -0x1.4855bd6732df7p-3, -0x1.6711338a16e5cp-3, -0x1.84023cf401712p-3, -0x1.9f2c5d57c5463p-3, -0x1.b895189941021p-3, -0x1.d043b066d517ap-3, -0x1.e640e6cc0d079p-3, -0x1.fa96c508de46cp-3, -0x1.06a8334328a44p-2, -0x1.0f3ce3f617409p-2, -0x1.170fcd531543cp-2, -0x1.1e278e6ebd97cp-2, -0x1.248afa9950ce6p-2, -0x1.2a4108f9025cep-2, -0x1.2f50c5cfa020ep-2, -0x1.33c1455c22562p-2, -0x1.3799987ceb54ap-2, -0x1.3ae0c2f26429cp-2, -0x1.3d9db30522538p-2, -0x1.3fd73a7318e5p-2, -0x1.41940848d1fdap-2, -0x1.42daa3b95e206p-2, -0x1.43b167df2bdcap-2, -0x1.441e805c09a5dp-2, -0x1.4427e6d8d2b75p-2, -0x1.43d36146ea552p-2, -0x1.432680b2198d4p-2, -0x1.4226a0a44f6c7p-2, -0x1.40d8e6df8cec2p-2, -0x1.3f424370f96aap-2, -0x1.3d6771102cdfcp-2, -0x1.3b4cf5c7e51e5p-2, -0x1.38f723dd089ap-2, -0x1.366a1af27176dp-2, -0x1.33a9c95c17547p-2, -0x1.30b9ed94541a2p-2, -0x1.2d9e17cb09fa4p-2, -0x1.2a59ab81ac6f2p-2, -0x1.26efe12c2178p-2, -0x1.2363c7d6d068p-2, -0x1.1fb846c63a9a2p-2, -0x1.1bf01f1835f5dp-2, -0x1.180ded5b57ba1p-2, -0x1.14142b25a9a5p-2, -0x1.100530a1f5db2p-2, -0x1.0be336141944dp-2, -0x1.07b05554d8d88p-2, -0x1.036e8b40092b8p-2, -0x1.fe3f722cba44ap-3, -0x1.f58b4ba38650dp-3, -0x1.ecc3fed132657p-3, -0x1.e3ecb812c74c1p-3, -0x1.db08767093c1ep-3, -0x1.d21a0de4b1e86p-3, -0x1.c924295d37ed1p-3, -0x1.c0294ccd49653p-3, -0x1.b72bd6fb15d03p-3, -0x1.ae2e035445ba3p-3, -0x1.a531eb9a024ep-3, -0x1.9c39897fe0502p-3, -0x1.9346b83a3ee6ep-3, -0x1.8a5b35e4afa66p-3, -0x1.8178a4e868493p-3, -0x1.78a08d4b65247p-3, -0x1.6fd45de9b772fp-3, -0x1.67156da52949ap-3, -0x1.5e64fc7b0ae1ep-3, -0x1.55c4349edd6b7p-3, -0x1.4d342b701fa86p-3, -0x1.44b5e273ef4d7p-3, -0x1.3c4a483c20027p-3, -0x1.33f2394150304p-3, -0x1.2bae80bf5e7e3p-3, -0x1.237fd97766cddp-3, -0x1.1b66ee71dd1e4p-3, -0x1.13645bb4a8d73p-3, -0x1.0b78af01e992cp-3, -0x1.03a46868b1237p-3, -0x1.f7cff5fc6ecc5p-4, -0x1.e8879ae23759fp-4, -0x1.d970753b20464p-4, -0x1.ca8b244adfe59p-4, -0x1.bbd831f2b8285p-4, -0x1.ad5813a1f5fa6p-4, -0x1.9f0b2b9559be5p-4, -0x1.90f1c99e07fa6p-4, -0x1.830c2c15d7da2p-4, -0x1.755a80ebee49fp-4, -0x1.67dce673cff85p-4, -0x1.5a936c1458cdp-4, -0x1.4d7e1360a3aa4p-4, -0x1.409cd0c1ea7c1p-4, -0x1.33ef8c29c25e7p-4, -0x1.277621df9c2bp-4, -0x1.1b306338b9dfbp-4, -0x1.0f1e174e8235bp-4, -0x1.033efb9084dbbp-4, -0x1.ef2588dbc136cp-5, -0x1.d8323c0b1bfbfp-5, -0x1.c1a35952b022dp-5, -0x1.ab781ae881d0cp-5, -0x1.95afadc22a7f7p-5, -0x1.80493256ea603p-5, -0x1.6b43bdf760409p-5, -0x1.569e5bc7ab56fp-5, -0x1.42580d5aa043dp-5, -0x1.2e6fcb9b0114dp-5, -0x1.1ae487ec81135p-5, -0x1.07b52d027809p-5, -0x1.e9c13ebdc8f52p-6, -0x1.c4cb7bafac5cbp-6, -0x1.a086c59948a6bp-6, -0x1.7cf0c9bf09711p-6, -0x1.5a072e32eaf49p-6, -0x1.37c7933fc862dp-6, -0x1.162f94be6ed87p-6, -0x1.ea799772d977p-7, -0x1.a9d99dc5c38cap-7, -0x1.6a7a665ffd421p-7, -0x1.2c571984d349fp-7, -0x1.ded5c325bd288p-8, -0x1.6761d656a8e2ap-8, -0x1.e4919930db5dap-9, -0x1.fe043f9fdf677p-10, -0x1.e022f10741a7bp-13, 0x1.7d0255f10dcbfp-10, 0x1.969abd039867fp-9, 0x1.352e979d453c3p-8, 0x1.9ced7ef7a8964p-8, 0x1.01499dab39e9cp-7, 0x1.33146d6aa8ff1p-7, 0x1.63dba8d69878dp-7, 0x1.93a3bb9aeb78dp-7, 0x1.c271036478bf4p-7, 0x1.f047ce12b90e4p-7, 0x1.0e962d7e73a81p-6, 0x1.24916cd558273p-6, 0x1.3a17b47c20382p-6, 0x1.4f2b0b53463bap-6, 0x1.63cd6fd357999p-6, 0x1.7800d8440c0e5p-6, 0x1.8bc7325a9a3efp-6, 0x1.9f22631e26713p-6, 0x1.b214463a22d4bp-6, 0x1.c49eaea02c258p-6, 0x1.d6c366a9d149dp-6, 0x1.e884302b40dfep-6, 0x1.f9e2c42f0747p-6, 0x1.0570694b50b46p-5, 0x1.0dc0012ca9822p-5, 0x1.15e0f8e0a566bp-5, 0x1.1dd41b5662802p-5, 0x1.259a2f548ea59p-5, 0x1.2d33f770dba3bp-5, 0x1.34a231cdef844p-5, 0x1.3be598630976fp-5, 0x1.42fee11a0615ap-5, 0x1.49eebddfb297bp-5, 0x1.50b5dcc28d529p-5, 0x1.5754e7e2a6998p-5, 0x1.5dcc85727ec0ep-5, 0x1.641d57cc4f793p-5, 0x1.6a47fd9370e89p-5, 0x1.704d11d783965p-5, 0x1.762d2c1734ae3p-5, 0x1.7be8e0682eee5p-5, 0x1.8180bf4e9f72ep-5, 0x1.86f556060cb98p-5, 0x1.8c472e7485bp-5, 0x1.9176cf5d25b87p-5, 0x1.9684bc6488a25p-5, 0x1.9b71762b9c8b6p-5, 0x1.a03d7a54ebc4fp-5, 0x1.a4e943a036e75p-5, 0x1.a97549fc8f4e8p-5, 0x1.ade202a09d5d6p-5, 0x1.b22fe01e7214p-5, 0x1.b65f527113e36p-5, 0x1.ba70c716760f8p-5, 0x1.be64a91f3a93p-5, 0x1.c23b614177f43p-5, 0x1.c5f555e5d527fp-5, 0x1.c992eb3ed6ba1p-5, 0x1.cd148361a0364p-5, 0x1.d07a7e4a470e8p-5, 0x1.d3c539f93f3a4p-5, 0x1.d6f51283891dfp-5, 0x1.da0a62218d53ap-5, 0x1.dd058141df552p-5, 0x1.dfe6c68fd169p-5, 0x1.e2ae86fd3a3e6p-5, 0x1.e55d15f0b639ap-5, 0x1.e7f2c5386375cp-5, 0x1.ea6fe52a39003p-5, 0x1.ecd4c4b2087cdp-5, 0x1.ef21b159e605fp-5, 0x1.f156f752b774ep-5, 0x1.f374e18a2e5cep-5, 0x1.f57bb9acddcabp-5, 0x1.f76bc834afa99p-5, 0x1.f945548d8c6f9p-5, 0x1.fb08a508ed0a5p-5, 0x1.fcb5fef073ab3p-5, 0x1.fe4da69b4cb52p-5, 0x1.ffcfdf66e1be3p-5, 0x1.009e75e4b987fp-4, 0x1.014a86ac2c186p-4, 0x1.01ec426c7a1e2p-4, 0x1.0283c92373d2ap-4, 0x1.03113a714e3d2p-4, 0x1.0394b5993157dp-4, 0x1.040e598c02bcdp-4, 0x1.047e44e7040c4p-4, 0x1.04e495f1ab3b1p-4, 0x1.05416ab0bc528p-4, 0x1.0594e0dce766ep-4, 0x1.05df15e7087ep-4, 0x1.06202708159a9p-4, 0x1.0658313783b34p-4, 0x1.06875134b61a8p-4, 0x1.06ada38873a06p-4, 0x1.06cb44821b9fdp-4, 0x1.06e0504f43e71p-4, 0x1.06ece2d597de6p-4, 0x1.06f117de9b3cp-4, 0x1.06ed0b02285ep-4, 0x1.06e0d7b4ff5eap-4, 0x1.06cc9942bf6bfp-4, 0x1.06b06ad18e81cp-4, 0x1.068c676cb9defp-4, 0x1.0660a9f67cc9ep-4, 0x1.062d4d2de680ap-4, 0x1.05f26bc1164f1p-4, 0x1.05b02036b63f3p-4, 0x1.056684fe0dbbfp-4, 0x1.0515b469a2903p-4, 0x1.04bdc8b645818p-4, 0x1.045edc0557207p-4, 0x1.03f90864c100bp-4, 0x1.038c67c9a0654p-4, 0x1.03191413ee818p-4, 0x1.029f270dc2a7cp-4, 0x1.021eba6c9p-4, 0x1.0197e7d166185p-4, 0x1.010ac8c9f1ea4p-4, 0x1.007776cf3e61bp-4, 0x1.ffbc1695dd32ep-5, 0x1.fe7d3f15da529p-5, 0x1.fd3299b2cb6bap-5, 0x1.fbdc58bff3fa6p-5, 0x1.fa7aae76c88f5p-5, 0x1.f90dccedb9cebp-5, 0x1.f795e60fc586dp-5, 0x1.f6132ba4e6a84p-5, 0x1.f485cf4ced817p-5, 0x1.f2ee02835c131p-5, 0x1.f14bf69c5a067p-5, 0x1.ef9fdcc1f6bffp-5, 0x1.ede9e5fab0fb1p-5, 0x1.ec2a43227a043p-5, 0x1.ea6124ea6b218p-5, 0x1.e88ebbd8d4b43p-5, 0x1.e6b33849c6bc1p-5, 0x1.e4ceca6ba7eb4p-5, 0x1.e2e1a23f81ffcp-5, 0x1.e0ebef97ccd7fp-5, 0x1.deede2168ee2dp-5, 0x1.dce7a92ccfafp-5, 0x1.dad9741c2634p-5, 0x1.d8c371ecc46afp-5, 0x1.d6a5d17821434p-5, 0x1.d480c1600ab4ap-5, 0x1.d254700ec2993p-5, 0x1.d0210bb68f24ap-5, 0x1.cde6c24d1dc07p-5, 0x1.cba5c1904797cp-5, 0x1.c95e36f9bd335p-5, 0x1.c7104fc9c3c86p-5, 0x1.c4bc38fed56fbp-5, 0x1.c2621f5a18498p-5, 0x1.c0022f591ea87p-5, 0x1.bd9c95369dac9p-5, 0x1.bb317ce3ad5bfp-5, 0x1.b8c1120f5a974p-5, 0x1.b64b801259502p-5, 0x1.b3d0f201c4093p-5, 0x1.b15192a69dcb7p-5, 0x1.aecd8c8295a37p-5, 0x1.ac4509c984a69p-5, 0x1.a9b83464b4befp-5, 0x1.a72735ea7ca95p-5, 0x1.a492379cbb862p-5, 0x1.a1f9625cfdd83p-5, 0x1.9f5cdeb39237ep-5, 0x1.9cbcd4cfa8a31p-5, 0x1.9a196c8a880bcp-5, 0x1.9772cd6e9cb55p-5, 0x1.94c91eb0b95b5p-5, 0x1.921c874f4a0bdp-5, 0x1.8f6d2dc2ea9f5p-5, 0x1.8cbb383a15897p-5, 0x1.8a06cc6b06152p-5, 0x1.87500f98d86aep-5, 0x1.8497269641ddap-5, 0x1.81dc35d5e2012p-5, 0x1.7f1f616c10489p-5, 0x1.7c60cd2fa7044p-5, 0x1.79a09ca868f79p-5, 0x1.76def30b69fabp-5, 0x1.741bf32a1afcdp-5, 0x1.7157bf56157aap-5, 0x1.6e92794ca9774p-5, 0x1.6bcc4238c1455p-5, 0x1.69053ab5991f5p-5, 0x1.663d82eddac91p-5, 0x1.63753abfa524ep-5, 0x1.60ac81c84a5adp-5, 0x1.5de377889fe8dp-5, 0x1.5b1a3b414f033p-5, 0x1.5850ebdb51f17p-5, 0x1.5587a7b400b6cp-5, 0x1.52be8c776f96ep-5, 0x1.4ff5b6ffe968bp-5, 0x1.4d2d4361facb1p-5, 0x1.4a654d0edfd41p-5, 0x1.479def0faab7ap-5, 0x1.44d74445944e5p-5, 0x1.4211679590b2p-5, 0x1.3f4c73f97a1f9p-5, 0x1.3c88845c19ea8p-5, 0x1.39c5b3598ddd7p-5, 0x1.37041ae8f4ec6p-5, 0x1.3443d40e3a3e1p-5, 0x1.3184f6ab50fc1p-5, 0x1.2ec7999502891p-5, 0x1.2c0bd2a987841p-5, 0x1.2951b756c786cp-5, 0x1.26995cf889597p-5, 0x1.23e2d936815f7p-5, 0x1.212e423086ff3p-5, 0x1.1e7bae67c0822p-5, 0x1.1bcb3469aab21p-5, 0x1.191cea4f1492ep-5, 0x1.1670e532bd167p-5, 0x1.13c738c34c43p-5, 0x1.111ff71c67b08p-5, 0x1.0e7b30dd55667p-5, 0x1.0bd8f59f3b15dp-5, 0x1.09395490c51a4p-5, 0x1.069c5d205b27cp-5, 0x1.04021f81d8934p-5, 0x1.016aacec54668p-5, 0x1.fdac2eedbb8a9p-6, 0x1.f888e3450b101p-6, 0x1.f36b9b431495p-6, 0x1.ee547918d6ccp-6, 0x1.e9439b897b01cp-6, 0x1.e4391d23435dp-6, 0x1.df35145ea517ep-6, 0x1.da37948240d19p-6, 0x1.d540af2e925c7p-6, 0x1.d05076331a1e1p-6, 0x1.cb66fd39dec01p-6, 0x1.c6845aee777b1p-6, 0x1.c1a8a936a93c2p-6, 0x1.bcd4048a2f155p-6, 0x1.b8068a78c6a02p-6, 0x1.b34057c137241p-6, 0x1.ae81865f58deap-6, 0x1.a9ca2bfde7a9ep-6, 0x1.a51a592262b92p-6, 0x1.a0721943290fp-6, 0x1.9bd173cf31f7bp-6, 0x1.97386dfd358dbp-6, 0x1.92a70d01d46a1p-6, 0x1.8e1d583cb7b74p-6, 0x1.899b5ac6fbc2dp-6, 0x1.8521241adfbdp-6, 0x1.80aec79693931p-6, 0x1.7c445b113c996p-6, 0x1.77e1f4de5a422p-6, 0x1.7387a99d37226p-6, 0x1.6f358a4c43f8bp-6, 0x1.6aeba2e798101p-6, 0x1.66a9f9c8010e2p-6, 0x1.62708fe200a69p-6, 0x1.5e3f61f141b8fp-6, 0x1.5a166a6b2bd93p-6, 0x1.55f5a3efcd055p-6, 0x1.51dd0badf865p-6, 0x1.4dcca32599fecp-6, 0x1.49c470d9f283bp-6, 0x1.45c47fcd70214p-6, 0x1.41ccddfe7afb5p-6, 0x1.3ddd9a5ca7568p-6, 0x1.39f6c2b705babp-6, 0x1.361861ff49b13p-6, 0x1.32427f053cb02p-6, 0x1.2e751ba716091p-6, 0x1.2ab03480e6506p-6, 0x1.26f3c139ac2a8p-6, 0x1.233fb59ff5058p-6, 0x1.1f9403acf5163p-6, 0x1.1bf09e15ab161p-6, 0x1.18557acf94862p-6, 0x1.14c294f192647p-6, 0x1.1137ed179ebb6p-6, 0x1.0db58882cdd83p-6, 0x1.0a3b6f24f379ap-6, 0x1.06c9a95e48dd5p-6, 0x1.03603e1ade4eap-6, 0x1.fffe6351061fep-7, 0x1.f94d0a4ba93d1p-7, 0x1.f2ac6c3e7a914p-7, 0x1.ec1c7c07384c7p-7, 0x1.e59d231b027fdp-7, 0x1.df2e41423dbd7p-7, 0x1.d8cfae7fd423cp-7, 0x1.d2813f845fbc8p-7, 0x1.cc42cbd54847cp-7, 0x1.c61433c745961p-7, 0x1.bff56445d55dcp-7, 0x1.b9e657238e623p-7, 0x1.b3e70ff7ae627p-7, 0x1.adf796d977ee5p-7, 0x1.a817f318209e7p-7, 0x1.a24827e035456p-7, 0x1.9c88338d22e4dp-7, 0x1.96d810c2fdad9p-7, 0x1.9137b74af8f3dp-7, 0x1.8ba71af30756p-7, 0x1.8626284c6712ep-7, 0x1.80b4c0c385cedp-7, 0x1.7b52b95e16551p-7, 0x1.75ffdcc7d427bp-7, 0x1.70bbf1a8c14f2p-7, 0x1.6b86c281418f2p-7, 0x1.666024899482dp-7, 0x1.6147fb5200ef9p-7, 0x1.5c3e38333519cp-7, 0x1.5742d602c69b5p-7, 0x1.5255d2d98f26ap-7, 0x1.4d772a990def4p-7, 0x1.48a6d4878f48ap-7, 0x1.43e4c4ef329d8p-7, 0x1.3f30f0d9bd477p-7, 0x1.3a8b5136e9968p-7, 0x1.35f3e224ca2f5p-7, 0x1.316a9ddd31ccep-7, 0x1.2cef7541c4dp-7, 0x1.288249f61b72cp-7, 0x1.2422ed66f5c3cp-7, 0x1.1fd12562b8445p-7, 0x1.1b8cb41bb9fabp-7, 0x1.1755601b61ccp-7, 0x1.132af9d2de296p-7, 0x1.0f0d5de43ddbfp-7, 0x1.0afc740f12b91p-7, 0x1.06f82b1719effp-7, 0x1.030072ffb6f3ap-7, 0x1.fe2a7051b3a87p-8, 0x1.f66cc3cac19a5p-8, 0x1.eec7aac694fdep-8, 0x1.e73af7832995bp-8, 0x1.dfc68ee782f84p-8, 0x1.d86a6ba074305p-8, 0x1.d126951e740cap-8, 0x1.c9fb0d579358p-8, 0x1.c2e7be1453834p-8, 0x1.bbec6fbff47b6p-8, 0x1.b508cde7318f5p-8, 0x1.ae3c74bf4285p-8, 0x1.a786fe55c7952p-8, 0x1.a0e80a3ab3935p-8, 0x1.9a5f41b0cd513p-8, 0x1.93ec5bca0679cp-8, 0x1.8d8f200336c1fp-8, 0x1.874762d0ce2c2p-8, 0x1.8114fb4e8680ap-8, 0x1.7af7b73a20a68p-8, 0x1.74ef546fe2c9p-8, 0x1.6efb8477355a3p-8, 0x1.691bf999c1432p-8, 0x1.6350778487d51p-8, 0x1.5d98de4790028p-8, 0x1.57f52846eebbfp-8, 0x1.52655ade3c7f9p-8, 0x1.4ce9716c1ebacp-8, 0x1.47814e7ba317bp-8, 0x1.422cbb22fc66p-8, 0x1.3ceb7266caedbp-8, 0x1.37bd2cced6f7fp-8, 0x1.32a1a1cc68099p-8, 0x1.2d98827efb41p-8, 0x1.28a17b84a2531p-8, 0x1.23bc434a1b4d2p-8, 0x1.1ee8a8e90f1e3p-8, 0x1.1a2694702956fp-8, 0x1.1575f5cdccd23p-8, 0x1.10d6af1b1d03p-8, 0x1.0c4887a01e274p-8, 0x1.07cb2e9c44c4bp-8, 0x1.035e4b302f747p-8, 0x1.fe031f82dd5acp-9, 0x1.f5698d26c76fp-9, 0x1.ecefa600d7904p-9, 0x1.e49552977486fp-9, 0x1.dc5a831932d07p-9, 0x1.d43f149614495p-9, 0x1.cc42c11222d12p-9, 0x1.c465256f4e3dp-9, 0x1.bca5d85121c41p-9, 0x1.b504762026744p-9, 0x1.ad808bd986aaap-9, 0x1.a61977fd2cb72p-9, 0x1.9ece76a4e88d1p-9, 0x1.979ee2c1fc36ep-9, 0x1.908a6ff4ad102p-9, 0x1.899120c8f1efcp-9, 0x1.82b3041af0087p-9, 0x1.7beff60bcf475p-9, 0x1.754791379d51ap-9, 0x1.6eb94d61b34d1p-9, 0x1.6844a7c172156p-9, 0x1.61e934e54c4d3p-9, 0x1.5ba699e75b34dp-9, 0x1.557c836384974p-9, 0x1.4f6aa8c7a2e5dp-9, 0x1.4970d726e588fp-9, 0x1.438ef2acf7019p-9, 0x1.3dc4e58b5e1d6p-9, 0x1.381286c0c9339p-9, 0x1.327792078c41cp-9, 0x1.2cf3bd41c2ffap-9, 0x1.2786cd0c5da67p-9, 0x1.22307c47e002ap-9, 0x1.1cf044443cf05p-9, 0x1.17c558dac6837p-9, 0x1.12af0011d8b4ep-9, 0x1.0daceb1df820cp-9, 0x1.08bf241ae1b49p-9, 0x1.03e5a99db4002p-9, 0x1.fe40599215eaap-10, 0x1.f4dc526edc2cbp-10, 0x1.eb9e5cc55fca5p-10, 0x1.e2860bd65bcdbp-10, 0x1.d99335a853664p-10, 0x1.d0c5923592f21p-10, 0x1.c81c92b09197ap-10, 0x1.bf9780fa6eb81p-10, 0x1.b735b6e93f0c7p-10, 0x1.aef6c3b125c4ap-10, 0x1.a6da716943a2ap-10, 0x1.9ee0a9a659101p-10, 0x1.970943466ed5fp-10, 0x1.8f53dd587da3cp-10, 0x1.87bff73477425p-10, 0x1.804d3bc061342p-10, 0x1.78fb98366ce1ep-10, 0x1.71cacffd3a663p-10, 0x1.6ab9fc5ff3035p-10, 0x1.63c7d07c5e497p-10, 0x1.5cf381b57fcabp-10, 0x1.563d0a3e2b83ap-10, 0x1.4fa459544f83fp-10, 0x1.49289ceaa5988p-10, 0x1.42c88ab0372d7p-10, 0x1.3c832fce98121p-10, 0x1.365847e6017cdp-10, 0x1.3047dc1f7b01cp-10, 0x1.2a51cb1caa7bdp-10, 0x1.2475b36375ae9p-10, 0x1.1eb31cc8083b2p-10, 0x1.19099ac5aa46bp-10, 0x1.1378d4ccf066ep-10, 0x1.0e008160e270bp-10, 0x1.08a0616fe741ep-10, 0x1.03583f3149e15p-10, 0x1.fc4fd1185944ep-11, 0x1.f21e36ec8d072p-11, 0x1.e81ae34c295bap-11, 0x1.de44e88de13bfp-11, 0x1.d49bbf5201c6cp-11, 0x1.cb1f93ace0d48p-11, 0x1.c1d0a8c759eap-11, 0x1.b8ae2fc7e7163p-11, 0x1.afb644692230ap-11, 0x1.a6e7a0772a661p-11, 0x1.9e424582b5212p-11, 0x1.95c5d580a6b9cp-11, 0x1.8d709f34344bap-11, 0x1.8540ec7051563p-11, 0x1.7d36445628009p-11, 0x1.7550c33fd64ffp-11, 0x1.6d8ff88b68d46p-11, 0x1.65f2dec29dcafp-11, 0x1.5e78682f108a4p-11, 0x1.571fcdce80bf8p-11, 0x1.4fe8923a9443ep-11, 0x1.48d2697b1cbfbp-11, 0x1.41dd1baaa9bf2p-11, 0x1.3b0867e64b626p-11, 0x1.3453f0a20a6bep-11, 0x1.2dbf3d7bee6f3p-11, 0x1.2749cfcab5b36p-11, 0x1.20f330c65c4e2p-11, 0x1.1abae084736ebp-11, 0x1.14a03fd308555p-11, 0x1.0ea2b67c3a597p-11, 0x1.08c212d83d014p-11, 0x1.02feb4cf7e8c6p-11, 0x1.fab1e36dc1befp-12, 0x1.ef9fc0da2f1d7p-12, 0x1.e4c33f85ebb8ep-12, 0x1.da1ab4e166157p-12, 0x1.cfa61c4e0c60dp-12, 0x1.c563d03aa416fp-12, 0x1.bb521914b922ap-12, 0x1.b171812d795e6p-12, 0x1.a7c2d363f2fp-12, 0x1.9e4544bc473fap-12, 0x1.94f74633c6f1dp-12, 0x1.8bd76eb37c5dcp-12, 0x1.82e488bb9054ap-12, 0x1.7a1d6a867c86p-12, 0x1.7180f9fa945dep-12, 0x1.690e53e86fd0fp-12, 0x1.60c4e7d922818p-12, 0x1.58a46826a7d7cp-12, 0x1.50ac8f5b31401p-12, 0x1.48dce397b72f7p-12, 0x1.4134a6964581p-12, 0x1.39b30018bfbffp-12, 0x1.32573d4e3ffa1p-12, 0x1.2b20e37ddc359p-12, 0x1.240f803e61156p-12, 0x1.1d227e9e11874p-12, 0x1.16594e08c672ap-12, 0x1.0fb3c80fcc64ep-12, 0x1.093246ac2c868p-12, 0x1.02d43d0932dcfp-12, 0x1.f92de0f0a3d8cp-13, 0x1.ecf0d6dbde25ap-13, 0x1.e0f1770c698d9p-13, 0x1.d52e31761013dp-13, 0x1.c9a687678a94bp-13, 0x1.be5c517e34ea8p-13, 0x1.b34f272f40b56p-13, 0x1.a87cf2c244998p-13, 0x1.9de43a29ccf0ep-13, 0x1.93843bf94ce59p-13, 0x1.895c55d52b6d3p-13, 0x1.7f6b9df673bcep-13, 0x1.75b0b87dcfa95p-13, 0x1.6c29ddc09501cp-13, 0x1.62d52fb087d17p-13, 0x1.59b132954f325p-13, 0x1.50bd20c7b05ffp-13, 0x1.47f8c0c97f645p-13, 0x1.3f63d41dab019p-13, 0x1.36fda01304024p-13, 0x1.2ec4eac1086ccp-13, 0x1.26b88474df5f8p-13, 0x1.1ed7f1abb1a91p-13, 0x1.17235c66861e6p-13, 0x1.0f9aa2d994dcfp-13, 0x1.083ca8fd4c1b3p-13, 0x1.0107bcd51e983p-13, 0x1.f3f4fbbb7c5ddp-14, 0x1.e629631da17e6p-14, 0x1.d8ad8dd0d7e48p-14, 0x1.cb7d904a0749p-14, 0x1.be94001a2ad5cp-14, 0x1.b1f024c609899p-14, 0x1.a59149003e82bp-14, 0x1.997993bdd33dfp-14, 0x1.8da8f57ca251ep-14, 0x1.821c21b593c27p-14, 0x1.76d0d32941cb2p-14, 0x1.6bc6005e010e4p-14, 0x1.60faf72131f24p-14, 0x1.566f152888157p-14, 0x1.4c21bb80b712cp-14, 0x1.42122b0455994p-14, 0x1.383f2a88a65fap-14, 0x1.2ea6a66c63c2p-14, 0x1.2545d5cbaf89bp-14, 0x1.1c1a48bd3e855p-14, 0x1.132312ee4d0b6p-14, 0x1.0a608ed549d59p-14, 0x1.01d2b4e84d902p-14, 0x1.f2f000b4d20dbp-15, 0x1.e29cfd58c3288p-15, 0x1.d2ab55f868854p-15, 0x1.c31c31d715737p-15, 0x1.b3eef9177de8p-15, 0x1.a5207f79ab00cp-15, 0x1.96acdf63e5334p-15, 0x1.8890f85c3ce3ep-15, 0x1.7aca58d0936f3p-15, 0x1.6d56fffeab225p-15, 0x1.6035dba49c4d1p-15, 0x1.5368998939bfdp-15, }}, 
      {{-0x1.b0b3f4ee615dcp-6, -0x1.6173273463148p-6, -0x1.c55f1867f93a6p-7, -0x1.d5dfc0acc742dp-9, 0x1.1eb9dc0384008p-7, 0x1.747186687495p-6, 0x1.36cce97f29e02p-5, 0x1.ba34a51405cb2p-5, 0x1.20c3c0b6b468p-4, 0x1.6519200d27ad6p-4, 0x1.a8fc3045ccef2p-4, 0x1.eb78eb91b326p-4, 0x1.15e198eb44502p-3, 0x1.3499e1d6eb14dp-3, 0x1.51a272e01e3e6p-3, 0x1.6cc773d79e232p-3, 0x1.85e25bd037e26p-3, 0x1.9cd84d4212f1cp-3, 0x1.b1988c97c1143p-3, 0x1.c41b150710aa8p-3, 0x1.d45f4d0d12b5bp-3, 0x1.e26adaf28f982p-3, 0x1.ee4897fb40438p-3, 0x1.f807a0baa2658p-3, 0x1.ffba80f6bc928p-3, 0x1.02bb3c6e3a8ep-2, 0x1.04a96ce2a1b65p-2, 0x1.05b43c250f892p-2, 0x1.05e898d88476cp-2, 0x1.0553c164f54eep-2, 0x1.0403172429de7p-2, 0x1.0203f893966adp-2, 0x1.fec74354a327ap-3, 0x1.f85e23367f6fdp-3, 0x1.f0e5eafab0869p-3, 0x1.e8772e44d6dd9p-3, 0x1.df299f4a159b2p-3, 0x1.d513fa5ea97a1p-3, 0x1.ca4bf715adbbbp-3, 0x1.bee63e1ce19c2p-3, 0x1.b2f6632c23e47p-3, 0x1.a68ee26aad74dp-3, 0x1.99c120a155f33p-3, 0x1.8c9d6ddfa653bp-3, 0x1.7f330a0758c93p-3, 0x1.71902b01cec1bp-3, 0x1.63c20436466ap-3, 0x1.55d4cee0d83b7p-3, 0x1.47d3d38dc2a98p-3, 0x1.39c97410f71e7p-3, 0x1.2bbf35c44bbcfp-3, 0x1.1dbdcbfb51975p-3, 0x1.0fcd22c8f6003p-3, 0x1.01f469f14832ap-3, 0x1.e8743f55dd941p-4, 0x1.cd4835f9ed99dp-4, 0x1.b26f2baa57711p-4, 0x1.97f26e19121a2p-4, 0x1.7dda38a73c1c4p-4, 0x1.642dc7a429d69p-4, 0x1.4af36a7580615p-4, 0x1.3230948acf4e9p-4, 0x1.19e9ed7b69924p-4, 0x1.0223609410f4p-4, 0x1.d5c057f0dabf7p-5, 0x1.a845de70b9e67p-5, 0x1.7bdb71d865da2p-5, 0x1.508426bbea3cfp-5, 0x1.2642202a359b6p-5, 0x1.fa2d4a267c524p-6, 0x1.aa046918b1742p-6, 0x1.5c09316565c21p-6, 0x1.1039f2617e41ap-6, 0x1.8d27b045ac7ffp-7, 0x1.fc4c2e99cff23p-8, 0x1.cd9677b188ce7p-9, -0x1.324d072d06f5dp-11, -0x1.2b0b6404edbdcp-8, -0x1.13cac38b49e9fp-7, -0x1.8e02d86151cp-7, -0x1.021edacbff28p-6, -0x1.3b45f7de5bd09p-6, -0x1.727f6585a3756p-6, -0x1.a7d40f47ea004p-6, -0x1.db4d1cc782223p-6, -0x1.0679f2f62a124p-5, -0x1.1e68f41ea242dp-5, -0x1.35785eb0d9e62p-5, -0x1.4bad095b6eea1p-5, -0x1.610bd0ce6c6b5p-5, -0x1.759994631be7p-5, -0x1.895b33048b944p-5, -0x1.9c55886e4319ap-5, -0x1.ae8d6ab10dd43p-5, -0x1.c007a7fdb99c6p-5, -0x1.d0c904a0ab9b5p-5, -0x1.e0d639493fe62p-5, -0x1.f033f18eec9abp-5, -0x1.fee6ca80cee76p-5, -0x1.0679a8c7826bcp-4, -0x1.0d2f01c6b5b77p-4, -0x1.1395a5ed111afp-4, -0x1.19afc1d798841p-4, -0x1.1f7f78c51b536p-4, -0x1.2506e459a4035p-4, -0x1.2a4814620d48ap-4, -0x1.2f450ec875b47p-4, -0x1.33ffcf590992cp-4, -0x1.387a47b96ad61p-4, -0x1.3cb65f598922bp-4, -0x1.40b5f36b2df7fp-4, -0x1.447ad6e0cefb6p-4, -0x1.4806d2720abdbp-4, -0x1.4b5ba4a13d916p-4, -0x1.4e7b01d008dafp-4, -0x1.5166944500883p-4, -0x1.541ffc53234fcp-4, -0x1.56a8d057ea97bp-4, -0x1.59029ce8112cdp-4, -0x1.5b2ee4eb5f1fdp-4, -0x1.5d2f21b398fc5p-4, -0x1.5f04c32256657p-4, -0x1.60b12fc98b478p-4, -0x1.6235c50c738ecp-4, -0x1.6393d74d28c13p-4, -0x1.64ccb203c5cfap-4, -0x1.65e197fbe89e3p-4, -0x1.66d3c34fd55f3p-4, -0x1.67a465c7ccbd5p-4, -0x1.6854a8d746e55p-4, -0x1.68e5add03b568p-4, -0x1.69588e1e0f6bp-4, -0x1.69ae5b4faa96cp-4, -0x1.69e81f52aac67p-4, -0x1.6a06dc9669e17p-4, -0x1.6a0b8e364019ep-4, -0x1.69f72819532c5p-4, -0x1.69ca972b4faaap-4, -0x1.6986c171fa783p-4, -0x1.692c863e9964ap-4, -0x1.68bcbe52d978fp-4, -0x1.68383c05cb6e9p-4, -0x1.679fcb6d71547p-4, -0x1.66f43281ebff5p-4, -0x1.66363143c80afp-4, -0x1.656681e2e6e6cp-4, -0x1.6485d8dc3c34p-4, -0x1.6394e529ce71cp-4, -0x1.6294505df649ep-4, -0x1.6184bec62f78cp-4, -0x1.6066cf91261fap-4, -0x1.5f3b1cef67e5fp-4, -0x1.5e023c34e673cp-4, -0x1.5cbcbdfc5d2dbp-4, -0x1.5b6b2e3e65b81p-4, -0x1.5a0e14815ae76p-4, -0x1.58a5f3eb4930ap-4, -0x1.57334b656cacdp-4, -0x1.55b695ba54265p-4, -0x1.543049b35a08fp-4, -0x1.52a0da333c8e9p-4, -0x1.5108b658583d9p-4, -0x1.4f684992899cbp-4, -0x1.4dbffbc0b9a9fp-4, -0x1.4c10314b6df01p-4, -0x1.4a594b4177daep-4, -0x1.489ba765401ap-4, -0x1.46d7a059ae3dbp-4, -0x1.450d8db72233bp-4, -0x1.433dc40130e2ap-4, -0x1.416894f153e13p-4, -0x1.3f8e4f6b4dca1p-4, -0x1.3daf3f9d95b3p-4, -0x1.3bcbaf16e95dp-4, -0x1.39e3e4da1fab7p-4, -0x1.37f825733a67cp-4, -0x1.3608b30aee7b9p-4, -0x1.3415cd7a10e64p-4, -0x1.321fb259fda42p-4, -0x1.30269d269ac1dp-4, -0x1.2e2ac72c80e72p-4, -0x1.2c2c67c418d71p-4, -0x1.2a2bb447dea04p-4, -0x1.2828e02deade4p-4, -0x1.26241d16657b6p-4, -0x1.241d9adb02cb4p-4, -0x1.2215879e47a54p-4, -0x1.200c0fda0410fp-4, -0x1.1e015e6f60cf1p-4, -0x1.1bf59cadb4307p-4, -0x1.19e8f26c4781bp-4, -0x1.17db860aff39bp-4, -0x1.15cd7c857e0c4p-4, -0x1.13bef97e1a83cp-4, -0x1.11b01f4674181p-4, -0x1.0fa10efc4eab2p-4, -0x1.0d91e86a1354cp-4, -0x1.0b82ca476acdp-4, -0x1.0973d21f9d78cp-4, -0x1.07651c674e972p-4, -0x1.0556c480de1bdp-4, -0x1.0348e4d32c18bp-4, -0x1.013b96b89b3fap-4, -0x1.fe5de560d2431p-5, -0x1.fa4620801c17ap-5, -0x1.f6300c05565dbp-5, -0x1.f21bd395a3c2ap-5, -0x1.ee09a11fc46a5p-5, -0x1.e9f99cfbe2315p-5, -0x1.e5ebedfb1b527p-5, -0x1.e1e0b973679c2p-5, -0x1.ddd823527fb28p-5, -0x1.d9d24e1873da3p-5, -0x1.d5cf5b04cc0dap-5, -0x1.d1cf69f9a54a6p-5, -0x1.cdd299b14252bp-5, -0x1.c9d907a74caa5p-5, -0x1.c5e2d034ee08p-5, -0x1.c1f00e969d1ddp-5, -0x1.be00dcf74961cp-5, -0x1.ba155478b643ep-5, -0x1.b62d8d3d63f91p-5, -0x1.b2499e71516e2p-5, -0x1.ae699e5292f33p-5, -0x1.aa8da23a359bcp-5, -0x1.a6b5bea3fc79cp-5, -0x1.a2e207316db59p-5, -0x1.9f128ebbe7c32p-5, -0x1.9b47674a94597p-5, -0x1.9780a243f35bcp-5, -0x1.93be501dd6281p-5, -0x1.900080c8059b8p-5, -0x1.8c474371e01a3p-5, -0x1.8892a6a61ee9dp-5, -0x1.84e2b84d8c07cp-5, -0x1.813785b380b07p-5, -0x1.7d911b89dbbcep-5, -0x1.79ef85f780e21p-5, -0x1.7652d08af291p-5, -0x1.72bb065013a6ap-5, -0x1.6f2831cd821eep-5, -0x1.6b9a5d0824f33p-5, -0x1.68119186fb0fbp-5, -0x1.648dd85e40c74p-5, -0x1.610f3a28a124fp-5, -0x1.5d95bf1161908p-5, -0x1.5a216ed68ae8p-5, -0x1.56b250cbced4fp-5, -0x1.53486bdd14d24p-5, -0x1.4fe3c6982d225p-5, -0x1.4c846721ac0f2p-5, -0x1.492a53460d683p-5, -0x1.45d5907554f14p-5, -0x1.428623c741445p-5, -0x1.3f3c11fda7ef6p-5, -0x1.3bf75f8730374p-5, -0x1.38b810817743cp-5, -0x1.357e28bbc541ap-5, -0x1.3249abb8b28aap-5, -0x1.2f1a9cac2b3b7p-5, -0x1.2bf0fe934c9dep-5, -0x1.28ccd408da0cp-5, -0x1.25ae1f7beee91p-5, -0x1.2294e3098301dp-5, -0x1.1f812094d0204p-5, -0x1.1c72d9c06a622p-5, -0x1.196a0ff14c9cbp-5, -0x1.1666c4502da62p-5, -0x1.1368f7cccd77p-5, -0x1.1070ab1b25a49p-5, -0x1.0d7ddeb006c9ep-5, -0x1.0a9092ec038d7p-5, -0x1.07a8c7c919ac9p-5, -0x1.04c67d2f43a0fp-5, -0x1.01e9b2c9c74e7p-5, -0x1.fe24d02874a5fp-6, -0x1.f88138afb80b6p-6, -0x1.f2e89d5ee5b2ep-6, -0x1.ed5afc20938b7p-6, -0x1.e7d85265eda42p-6, -0x1.e2609d5fb2516p-6, -0x1.dcf3d9dedfa7cp-6, -0x1.d792046669583p-6, -0x1.d23b19222955p-6, -0x1.ccef13f1073ep-6, -0x1.c7adf0608b709p-6, -0x1.c277a9b3366fep-6, -0x1.bd4c3adf85ad9p-6, -0x1.b82b9e926685ep-6, -0x1.b315cf308804cp-6, -0x1.ae0ac6d7e38e6p-6, -0x1.a90a7f614bdcbp-6, -0x1.a414f26128e1cp-6, -0x1.9f2a19347a558p-6, -0x1.9a49ecd1ab065p-6, -0x1.9574662a27dd2p-6, -0x1.90a97dd73464ep-6, -0x1.8be92c0d2c7fp-6, -0x1.873368ffc4929p-6, -0x1.82882c8c70b8cp-6, -0x1.7de76e5b4b2c1p-6, -0x1.795125dcfc12cp-6, -0x1.74c54a4b463b7p-6, -0x1.7043d2a9f4f61p-6, -0x1.6bccb5ca93763p-6, -0x1.675fea4af72aep-6, -0x1.62fd6689fed8ep-6, -0x1.5ea520cd0f7ecp-6, -0x1.5a570f19254dp-6, -0x1.56132747caac7p-6, -0x1.51d95f04da08dp-6, -0x1.4da9abcf308d4p-6, -0x1.498402f9b1194p-6, -0x1.456859ac505b6p-6, -0x1.4156a4e827af2p-6, -0x1.3d4ed978bc294p-6, -0x1.3950ec15602c8p-6, -0x1.355cd13fe859bp-6, -0x1.31727d5886ffep-6, -0x1.2d91e49ae0175p-6, -0x1.29bafb17ee5d6p-6, -0x1.25edb4d5f64aap-6, -0x1.222a0589b444ap-6, -0x1.1e6fe0f615d49p-6, -0x1.1abf3aa399868p-6, -0x1.1718060257f8dp-6, -0x1.137a366295165p-6, -0x1.0fe5bef6e5abp-6, -0x1.0c5a92d655ac9p-6, -0x1.08d8a4f8fcd73p-6, -0x1.055fe838fb4d8p-6, -0x1.01f04f5e110b8p-6, -0x1.fd139a20bf11cp-7, -0x1.f658a7c65ef2dp-7, -0x1.efafac8998167p-7, -0x1.e9188d4783bbdp-7, -0x1.e2932e8f8e553p-7, -0x1.dc1f74d3ce945p-7, -0x1.d5bd44449af6dp-7, -0x1.cf6c810c44e7p-7, -0x1.c92d0f1556da6p-7, -0x1.c2fed22c52c95p-7, -0x1.bce1adfe44443p-7, -0x1.b6d58615aae9ap-7, -0x1.b0da3df018331p-7, -0x1.aaefb8aeea845p-7, -0x1.a515d9b2a3f4ap-7, -0x1.9f4c83ff8de47p-7, -0x1.99939a8c34acap-7, -0x1.93eb00321f1ddp-7, -0x1.8e5297b3ded63p-7, -0x1.88ca43bfb96c9p-7, -0x1.8351e6f45ff7cp-7, -0x1.7de963e2fd6a2p-7, -0x1.78909d0fb53bbp-7, -0x1.734774f080163p-7, -0x1.6e0dcde9c6135p-7, -0x1.68e38a4c4ef8dp-7, -0x1.63c88c5508848p-7, -0x1.5ebcb62ebeee8p-7, -0x1.59bfe9f895641p-7, -0x1.54d209cc7bb22p-7, -0x1.4ff2f7b983445p-7, -0x1.4b2296003c1ebp-7, -0x1.4660c6ae8351dp-7, -0x1.41ad6bfa9e8edp-7, -0x1.3d0867fdc400ap-7, -0x1.38719ce9e551bp-7, -0x1.33e8ecc76e216p-7, -0x1.2f6e3999b7e56p-7, -0x1.2b01655c48657p-7, -0x1.26a2520601063p-7, -0x1.2250e1a44b4c8p-7, -0x1.1e0cf655fb298p-7, -0x1.19d6725a2533ap-7, -0x1.15ad380bcf212p-7, -0x1.119129db7c15dp-7, -0x1.0d822a42414e8p-7, -0x1.09801bbd08f8bp-7, -0x1.058ae09e40805p-7, -0x1.01a25b6c9d981p-7, -0x1.fb8cdc7b726afp-8, -0x1.f3edf7333b89ap-8, -0x1.ec67cbc73e36bp-8, -0x1.e4fa1f6e7af17p-8, -0x1.dda4b7cbebe92p-8, -0x1.d6675ae936defp-8, -0x1.cf41cf32ac949p-8, -0x1.c833db5a75ee2p-8, -0x1.c13d46216ae8fp-8, -0x1.ba5dd64223e31p-8, -0x1.b39552294a004p-8, -0x1.ace38094f0c4dp-8, -0x1.a64827c54efc5p-8, -0x1.9fc30e24fdbe6p-8, -0x1.9953fa9e37301p-8, -0x1.92fab47692102p-8, -0x1.8cb7039450355p-8, -0x1.8688b07b2d6f3p-8, -0x1.806f843c214b8p-8, -0x1.7a6b4849a833fp-8, -0x1.747bc640b56acp-8, -0x1.6ea0c7d798fa9p-8, -0x1.68da168046c94p-8, -0x1.63277b94c397p-8, -0x1.5d88c04ef7a9fp-8, -0x1.57fdadf30ffa2p-8, -0x1.52860e06a4fa4p-8, -0x1.4d21aa8a1724cp-8, -0x1.47d04e10ee27dp-8, -0x1.4291c41435103p-8, -0x1.3d65d8ad3e5ep-8, -0x1.384c58a75e85fp-8, -0x1.33451118dc2a4p-8, -0x1.2e4fcf84218dcp-8, -0x1.296c615a6ae78p-8, -0x1.249a93f77b398p-8, -0x1.1fda34968fc64p-8, -0x1.1b2b104d18b45p-8, -0x1.168cf43b9e3f4p-8, -0x1.11ffadc85f464p-8, -0x1.0d830abc09fcep-8, -0x1.0916d9854343dp-8, -0x1.04bae966973fep-8, -0x1.006f0a26c101ap-8, -0x1.f8661937e93bbp-9, -0x1.f00d8419e6b1bp-9, -0x1.e7d3f84baae6cp-9, -0x1.dfb919aa514ebp-9, -0x1.d7bc8c46ef3ffp-9, -0x1.cfddf4322589p-9, -0x1.c81cf56317415p-9, -0x1.c07933d89b838p-9, -0x1.b8f253832cca4p-9, -0x1.b187f8d4f6a97p-9, -0x1.aa39c91b8ac99p-9, -0x1.a3076a8ff772p-9, -0x1.9bf084dae8f2dp-9, -0x1.94f4c11226c08p-9, -0x1.8e13c9ab73352p-9, -0x1.874d4a552ec1dp-9, -0x1.80a0efc8eba4p-9, -0x1.7a0e67703aabdp-9, -0x1.73955f7060617p-9, -0x1.6d35869630664p-9, -0x1.66ee8b9a8ab66p-9, -0x1.60c01daf30a9cp-9, -0x1.5aa9ec12c16a8p-9, -0x1.54aba5f62bc59p-9, -0x1.4ec4facf231a1p-9, -0x1.48f59a8e52605p-9, -0x1.433d36819ea5ap-9, -0x1.3d9b8061d677ap-9, -0x1.38102bb45b716p-9, -0x1.329aed1a77658p-9, -0x1.2d3b7a55c875cp-9, -0x1.27f18a2a5fb5bp-9, -0x1.22bcd450d2512p-9, -0x1.1d9d11753cc84p-9, -0x1.1891fb460c36p-9, -0x1.139b4c10ab8dcp-9, -0x1.0eb8bebdebbecp-9, -0x1.09ea0e4822bep-9, -0x1.052ef58e9c781p-9, -0x1.00872f3862e6bp-9, -0x1.f7e4ebf56a77dp-10, -0x1.eee10a0cf06dp-10, -0x1.e60230fb70facp-10, -0x1.dd47db8682f1p-10, -0x1.d4b1871826472p-10, -0x1.cc3eb37f1f361p-10, -0x1.c3eee27f6e867p-10, -0x1.bbc197524a9dfp-10, -0x1.b3b6573c689fcp-10, -0x1.abcca924b5c2p-10, -0x1.a40416202e6aep-10, -0x1.9c5c2966bda97p-10, -0x1.94d46fc4b1ab8p-10, -0x1.8d6c75a510d6dp-10, -0x1.8623c92af55d5p-10, -0x1.7ef9f414ab69dp-10, -0x1.77ee81a4912efp-10, -0x1.7100fcc4dc356p-10, -0x1.6a30f21dc4a88p-10, -0x1.637df114ad8bfp-10, -0x1.5ce78c3725e06p-10, -0x1.566d58ff2168ap-10, -0x1.500eeee475fbep-10, -0x1.49cbe6b70416ap-10, -0x1.43a3dabe2248cp-10, -0x1.3d9664902e0bdp-10, -0x1.37a321d667dd9p-10, -0x1.31c9af62f357bp-10, -0x1.2c09ae4178ff6p-10, -0x1.2662c03ec1de5p-10, -0x1.20d48803d4ae7p-10, -0x1.1b5ea796ee1adp-10, -0x1.1600bfec8dab8p-10, -0x1.10ba6f7804368p-10, -0x1.0b8b5663b248ap-10, -0x1.06731520b3277p-10, -0x1.01714f21c51p-10, -0x1.f90b566793d92p-11, -0x1.ef5fa67471a95p-11, -0x1.e5dee6d10c157p-11, -0x1.dc8872b00bf6ap-11, -0x1.d35ba68a85503p-11, -0x1.ca57df58c1399p-11, -0x1.c17c79e8a1fd1p-11, -0x1.b8c8d7c61387cp-11, -0x1.b03c58c6db93p-11, -0x1.a7d663b585d7ap-11, -0x1.9f96627c94711p-11, -0x1.977bc15e832adp-11, -0x1.8f85ecac9957bp-11, -0x1.87b44ed53f433p-11, -0x1.80065056b4668p-11, -0x1.787b58164433bp-11, -0x1.7112cfa69a135p-11, -0x1.69cc2554a1e3fp-11, -0x1.62a6cc1f87bd5p-11, -0x1.5ba23c31a41b8p-11, -0x1.54bdf162ec2bfp-11, -0x1.4df96a0d245bap-11, -0x1.4754264549aedp-11, -0x1.40cda74643b3bp-11, -0x1.3a656edb7188p-11, -0x1.341afee7f091ep-11, -0x1.2dedd979c3cb5p-11, -0x1.27dd81c1d8db5p-11, -0x1.21e97cfa9ecafp-11, -0x1.1c1154c1750eep-11, -0x1.165495fc956f4p-11, -0x1.10b2d02a046cfp-11, -0x1.0b2b93512a4c2p-11, -0x1.05be6e98e6f8fp-11, -0x1.006af077d6c87p-11, -0x1.f6614f2287b45p-12, -0x1.ec1e4b8dc7172p-12, -0x1.e20bffa97a6c5p-12, -0x1.d8299a084d8dfp-12, -0x1.ce765278704c2p-12, -0x1.c4f15966ca09fp-12, -0x1.bb99f1b4a8598p-12, -0x1.b26f542053452p-12, -0x1.a970c7116a0c6p-12, -0x1.a09d90ecad658p-12, -0x1.97f4f760d9151p-12, -0x1.8f763d5aca712p-12, -0x1.8720a3a5b8e9fp-12, -0x1.7ef36c2efa264p-12, -0x1.76edde391d986p-12, -0x1.6f0f493f65405p-12, -0x1.675705262537cp-12, -0x1.5fc46fc795dddp-12, -0x1.5856e91fca287p-12, -0x1.510dd00e28b49p-12, -0x1.49e881890318fp-12, -0x1.42e65a9d59dd5p-12, -0x1.3c06bb398ed11p-12, -0x1.354907184cb5p-12, -0x1.2eaca47f5b447p-12, -0x1.2830fb3d96a8ap-12, -0x1.21d575dfe9181p-12, -0x1.1b99842d7026cp-12, -0x1.157c9c742be5dp-12, -0x1.0f7e39f727372p-12, -0x1.099dd9e60393dp-12, -0x1.03daf82ca002bp-12, -0x1.fc6a1c12836a6p-13, -0x1.f15721f160a6fp-13, -0x1.e67bf27dcdfd9p-13, -0x1.dbd7778ca7dabp-13, -0x1.d168ae40c391dp-13, -0x1.c72e9e1000918p-13, -0x1.bd285dfe841dbp-13, -0x1.b355108be23adp-13, -0x1.a9b3dc478bffdp-13, -0x1.a043de6150366p-13, -0x1.97043fc81f296p-13, -0x1.8df407b7d5356p-13, -0x1.851253d85b374p-13, -0x1.7c5e438fe7aacp-13, -0x1.73d6f9d9c3e43p-13, -0x1.6b7b9c45ec358p-13, -0x1.634b5584b9de2p-13, -0x1.5b45591e4135bp-13, -0x1.5368efb3d440dp-13, -0x1.4bb553280ca68p-13, -0x1.4429dbd1f26c1p-13, -0x1.3cc5bb8f0a3acp-13, -0x1.3588443a8c2bap-13, -0x1.2e70bbb4e554bp-13, -0x1.277e68c4e422ap-13, -0x1.20b094b231fp-13, -0x1.1a06890a2e0e1p-13, -0x1.137f93b796d61p-13, -0x1.0d1b0c18efc05p-13, -0x1.06d853fb57845p-13, -0x1.00b6d61e25769p-13, -0x1.f56c030c91c5fp-14, -0x1.e9aa85a3e1311p-14, -0x1.de27fe508d8d7p-14, -0x1.d2e32aacf606fp-14, -0x1.c7dac9dec2115p-14, -0x1.bd0da8652b366p-14, -0x1.b27a9dedb1dd8p-14, -0x1.a82085975a9ap-14, -0x1.9dfe3f920aad7p-14, -0x1.9412b9ef1c51fp-14, -0x1.8a5cf04aa175ap-14, -0x1.80dbe02dfa8b2p-14, -0x1.778e8188fab1ap-14, -0x1.6e73cbb81eaa3p-14, -0x1.658abfa6d8bc3p-14, -0x1.5cd26bbd0caa8p-14, -0x1.5449e6a2c6a86p-14, -0x1.4bf047783998ap-14, -0x1.43c4a4a2242b9p-14, -0x1.3bc61467e5dc1p-14, -0x1.33f3b00d85fbdp-14, -0x1.2c4c989f571dap-14, -0x1.24cff8b761f55p-14, -0x1.1d7d0451c2413p-14, -0x1.1652f70f57882p-14, -0x1.0f5110a4b6e01p-14, -0x1.08768eb808043p-14, -0x1.01c2a7722928dp-14, -0x1.f66913ce85718p-15, -0x1.e996d1dc72a8ep-15, -0x1.dd0d065d5a798p-15, -0x1.d0ca4339bd38ap-15, -0x1.c4cd219170d31p-15, -0x1.b9143dcbb0aeep-15, -0x1.ad9e3e0c4992dp-15, -0x1.a269d70c7b30ep-15, -0x1.97759ce77fc55p-15, -0x1.8cc042475233bp-15, -0x1.824869e559c91p-15, -0x1.780cd27ce24a5p-15, -0x1.6e0c4b5be4aebp-15, -0x1.6445a9443bc91p-15, -0x1.5ab7c3a393247p-15, -0x1.516175e16a28ap-15, -0x1.48419f6e20a9bp-15, -0x1.3f57242bdcf7ep-15, -0x1.36a0ec47d798ap-15, -0x1.2e1de4088409p-15, -0x1.25cd02a1d9fd1p-15, -0x1.1dad40ed0cca4p-15, -0x1.15bda02a4e8a3p-15, -0x1.0dfd2a4f3e979p-15, -0x1.066af097a9d9dp-15, -0x1.fe0c0717621d4p-16, -0x1.ef9ad607f9974p-16, -0x1.e18054dfbb4cep-16, -0x1.d3baa0294469ap-16, -0x1.c64824585804ep-16, -0x1.b926c58c564e1p-16, -0x1.ac5553b2b12fap-16, -0x1.9fd1f0e2703b1p-16, -0x1.939aeb2405edbp-16, -0x1.87aea1fb16f0fp-16, -0x1.7c0b70e506b9dp-16, -0x1.70afbed753971p-16, -0x1.659a0ffccd412p-16, -0x1.5ac8f3563530bp-16, -0x1.503af33d28435p-16, -0x1.45ee9c8866069p-16, -0x1.3be28601ce54fp-16, -0x1.321550c2c1eadp-16, -0x1.2885a6e1605d9p-16, -0x1.1f322e084d42bp-16, -0x1.1619a218f02f8p-16, -0x1.0d3ab9951c60ep-16, -0x1.0494358d02953p-16, -0x1.f849b7bb7276dp-17, -0x1.e7d6ec83e7242p-17, -0x1.d7cdac1b6e3f8p-17, -0x1.c82bb1f5a4d88p-17, -0x1.b8eed46918fd3p-17, -0x1.aa14f4618df52p-17, -0x1.9b9be3431e30ep-17, -0x1.8d8160e8b84bfp-17, -0x1.7fc33fb99e241p-17, -0x1.725f5bc9e12edp-17, -0x1.655444c0fd7d5p-17, -0x1.589fa166a73cbp-17, -0x1.4c3f9365b9405p-17, -0x1.403211960ae77p-17, -0x1.347547115880cp-17, -0x1.2907610127ad3p-17, -0x1.1de6a09b43544p-17, -0x1.13116358b7665p-17, -0x1.0885fb9e1cf7bp-17, -0x1.fc856b0d5fc8p-18, -0x1.e88bd6a2df5b4p-18, -0x1.d51c038ab9f92p-18, -0x1.c232f4b71650cp-18, -0x1.afcd579b2c18p-18, -0x1.9de87879d88ffp-18, -0x1.8c80ca29153a6p-18, -0x1.7b93f53c02623p-18, -0x1.6b1eefe3016e5p-18, -0x1.5b1edc50bf443p-18, -0x1.4b917da819d0fp-18, -0x1.3c7365266813ep-18, -0x1.2dc218ff6e5fap-18, -0x1.1f7b9bde2d8fp-18, -0x1.119d1a39b7714p-18, -0x1.042425ed71faep-18, -0x1.ee1d311a762fp-19, -0x1.d4b4135a1ffdp-19, -0x1.bc0832e615312p-19, -0x1.a414f27cfb602p-19, -0x1.8cd5fa735c57fp-19, -0x1.7647288bad068p-19, -0x1.60646b0beaeb9p-19, -0x1.4b296a9fadce2p-19, -0x1.3691d43ec26aap-19, -0x1.2299c19148f9fp-19, -0x1.0f3d6b56b5dbbp-19, -0x1.f8f288917f653p-20, -0x1.d493688fa7893p-20, -0x1.b155fa9cbbd18p-20, -0x1.8f330e57ca1cep-20, -0x1.6e23d378f00e1p-20, -0x1.4e2148631a118p-20, -0x1.2f2522cecc409p-20, -0x1.1128cfe92233cp-20, -0x1.e84beb7ec38adp-21, -0x1.b02caafbaf045p-21, -0x1.79e78c57b1122p-21, -0x1.457070eb75b87p-21, -0x1.12bb827401f73p-21, -0x1.c37a905439d2ap-22, -0x1.64d557008daa7p-22, -0x1.0971caf0038acp-22, -0x1.62757f349716cp-23, -0x1.706d3cebf006dp-24, -0x1.3fdec6f6a9e4p-27, 0x1.14ac1a20bc61bp-24, 0x1.22fd47e4df9eap-23, 0x1.b60c60b0890f4p-23, 0x1.21d69e07365a8p-22, 0x1.65fc041e7d21cp-22, 0x1.a79bc5158a134p-22, 0x1.e6b43c199fbedp-22, 0x1.11ae2c015af36p-21, 0x1.2ed229af40102p-21, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.094fcd7fcf943p-3, 0x1.fb6861e4c4ffep-3, 0x1.64aea11f58cdbp-2, 0x1.b7073a857c58p-2, 0x1.f49e63a11b00ap-2, 0x1.0f620fcbd662cp-1, 0x1.1bc7574931f37p-1, 0x1.20b62f9ea3b1bp-1, 0x1.1f6f1ac57cc09p-1, 0x1.1926f38a57de5p-1, 0x1.0efad7d10e3b6p-1, 0x1.01e9e12ee2022p-1, 0x1.e5a5445dd62d5p-2, 0x1.c4e6219d67b95p-2, 0x1.a2d3ee4241049p-2, 0x1.807297fcf0582p-2, 0x1.5e920e592004dp-2, 0x1.3dd44d3745ba4p-2, 0x1.1eb3664ea810fp-2, 0x1.018749b3d5c13p-2, 0x1.cd164bb7dfb4ap-3, 0x1.9bc4913aa2605p-3, 0x1.6f38eda2abe15p-3, 0x1.4773748454319p-3, 0x1.245b58b24f83ap-3, 0x1.05c48fe11f80ep-3, 0x1.d6e93654400abp-4, 0x1.aa4d18ad67963p-4, 0x1.851cbc9aff415p-4, 0x1.66b76d402a442p-4, 0x1.4e7848c47c1a1p-4, 0x1.3bb9ddfd772cep-4, 0x1.2dd90b5e16a2p-4, 0x1.24373cab3882bp-4, 0x1.1e3c2186df3adp-4, 0x1.1b56f2dd3016ep-4, 0x1.1aff5ab2f049p-4, 0x1.1cb60ec3a7101p-4, 0x1.20052afb017d8p-4, 0x1.2480576909e74p-4, 0x1.29c4c7398d04p-4, 0x1.2f791283c8e0bp-4, 0x1.354cf52feee6dp-4, 0x1.3af8ff33c097p-4, 0x1.403e2c9e92aaep-4, 0x1.44e579389b55p-4, 0x1.48bf6a2002b34p-4, 0x1.4ba3920c6280bp-4, 0x1.4d70163c44cdbp-4, 0x1.4e0931bd0ad51p-4, 0x1.4d58baace431ap-4, 0x1.4b4da9908c0adp-4, 0x1.47dba4a37b12cp-4, 0x1.42fa8f490f95fp-4, 0x1.3ca61ddef0888p-4, 0x1.34dd6d5d961fdp-4, 0x1.2ba2a02d8b4cap-4, 0x1.20fa80ebc6715p-4, 0x1.14ec2ac994aa4p-4, 0x1.0780b83a7f431p-4, 0x1.f185ed90a0775p-5, 0x1.d17e3fbf4f4f2p-5, 0x1.af052ff0d08afp-5, 0x1.8a3766b175d61p-5, 0x1.633301a8f83f5p-5, 0x1.3a1734df3fdc4p-5, 0x1.0f03f41466616p-5, 0x1.c4334dd26410fp-6, 0x1.66f1c802bf18bp-6, 0x1.06846939fb75ep-6, 0x1.465782b8169d3p-7, 0x1.e93c24168b4eep-9, -0x1.5a4e05c0c2dedp-9, -0x1.2bd5cc5d32ac7p-7, -0x1.02805e086fd3bp-6, -0x1.70d05ef0c723dp-6, -0x1.e0a306d68aep-6, -0x1.28e13af6611c8p-5, -0x1.61fd71aab74f1p-5, -0x1.9b8d551a1def2p-5, -0x1.d57928f47bc58p-5, -0x1.07d524387199ep-4, -0x1.250592be5b4ffp-4, -0x1.4243a3437946fp-4, -0x1.5f85a135edfe9p-4, -0x1.7cc25dd0a4db8p-4, -0x1.99f12d1f60498p-4, -0x1.b709e2af5e4a1p-4, -0x1.d404cdf5975cdp-4, -0x1.f0dab650c92ebp-4, -0x1.06c26b8725c3ep-3, -0x1.14fe6d8fd0c18p-3, -0x1.231e6c6476feap-3, -0x1.311fa69ed1558p-3, -0x1.3eff8c2299382p-3, -0x1.4cbbbbe6a739fp-3, -0x1.5a5201dcac47fp-3, -0x1.67c054ca82adp-3, -0x1.7504d458f7913p-3, -0x1.821dc6e45659bp-3, -0x1.8f0997c76245cp-3, -0x1.9bc6d54a112cbp-3, -0x1.a8542f11277fep-3, -0x1.b4b07434792e1p-3, -0x1.c0da91af95721p-3, -0x1.ccd190bf3bdaap-3, -0x1.d8949567b2091p-3, -0x1.e422dd1332228p-3, -0x1.ef7bbd08d4defp-3, -0x1.fa9ea13962b3ep-3, -0x1.02c5857b99739p-2, -0x1.082047e2f3512p-2, -0x1.0d5f6c1f4bbb2p-2, -0x1.1282cf72a2699p-2, -0x1.178a57aa63088p-2, -0x1.1c75f287dcb04p-2, -0x1.21459561be7bcp-2, -0x1.25f93ca44a77p-2, -0x1.2a90eb6766636p-2, -0x1.2f0cab1fddb59p-2, -0x1.336c8b2446f1ap-2, -0x1.37b0a060b1584p-2, -0x1.3bd904faef404p-2, -0x1.3fe5d80bc86afp-2, -0x1.43d73d383010cp-2, -0x1.47ad5c7eb0264p-2, -0x1.4b6861e567ba3p-2, -0x1.4f087d35c199dp-2, -0x1.528de1bc8ea9fp-2, -0x1.55f8c6127fdacp-2, -0x1.594963cd8137cp-2, -0x1.5c7ff7637483bp-2, -0x1.5f9cbfdd5f5b2p-2, -0x1.629ffeb095dcp-2, -0x1.6589f78616ba9p-2, -0x1.685af010a9b27p-2, -0x1.6b132fd2d368p-2, -0x1.6db3000eec608p-2, -0x1.703aab7d63b66p-2, -0x1.72aa7e385162p-2, -0x1.7502c595b1ff8p-2, -0x1.7743cff3b2022p-2, -0x1.796decab80d76p-2, -0x1.7b816be1882d3p-2, -0x1.7d7e9e61b85d3p-2, -0x1.7f65d59714258p-2, -0x1.8137635a6b805p-2, -0x1.82f399d5b8f9ep-2, -0x1.849acb81173c5p-2, -0x1.862d4af2c5c1ap-2, -0x1.87ab6ad062f2ap-2, -0x1.89157db670ef4p-2, -0x1.8a6bd6261512cp-2, -0x1.8baec675e10aap-2, -0x1.8cdea0aff4f82p-2, -0x1.8dfbb687c6294p-2, -0x1.8f0659568bdcfp-2, -0x1.8ffed9f98cef1p-2, -0x1.90e588cb46c8ap-2, -0x1.91bab593bfb7bp-2, -0x1.927eaf72a6e6cp-2, -0x1.9331c4f10cf2cp-2, -0x1.93d443d832b8cp-2, -0x1.94667931b9462p-2, -0x1.94e8b13e28c3ap-2, -0x1.955b377403d7dp-2, -0x1.95be56615812bp-2, -0x1.961257cbb792cp-2, -0x1.965784882eeeap-2, -0x1.968e247914e58p-2, -0x1.96b67e9c49abap-2, -0x1.96d0d8f857a9bp-2, -0x1.96dd789b17293p-2, -0x1.96dca19ad732ep-2, -0x1.96ce970ea2e04p-2, -0x1.96b39b1069504p-2, -0x1.968beeb7e0cb1p-2, -0x1.9657d21f56366p-2, -0x1.9617845d0000ap-2, -0x1.95cb439389e33p-2, -0x1.95734cc440a7bp-2, -0x1.950fdc11bd375p-2, -0x1.94a12c90ccadep-2, -0x1.9427785dd68efp-2, -0x1.93a2f897ee179p-2, -0x1.9313e5633f3ffp-2, -0x1.927a75ee9361cp-2, -0x1.91d6e0726e488p-2, -0x1.91295a412b1e5p-2, -0x1.907217ad8aeaap-2, -0x1.8fb14c302e079p-2, -0x1.8ee72a4d9eaf2p-2, -0x1.8e13e3aaf53bfp-2, -0x1.8d37a9105813ap-2, -0x1.8c52aa67fde28p-2, -0x1.8b6516cafe8cfp-2, -0x1.8a6f1c6eabc91p-2, -0x1.8970e8bf3bc4cp-2, -0x1.886aa8635f04dp-2, -0x1.875c873a94067p-2, -0x1.8646b0555cbb9p-2, -0x1.85294e18632fcp-2, -0x1.84048a20406bcp-2, -0x1.82d88d5287524p-2, -0x1.81a57fecafe35p-2, -0x1.806b8979b9748p-2, -0x1.7f2ad0df7819p-2, -0x1.7de37c5de98c4p-2, -0x1.7c95b193fbdap-2, -0x1.7b4195857b931p-2, -0x1.79e74c9c2bf52p-2, -0x1.7886fab6539f5p-2, -0x1.7720c314d1689p-2, -0x1.75b4c87f4f0efp-2, -0x1.74432d2790eb2p-2, -0x1.72cc12c387f9ap-2, -0x1.714f9a85afcd7p-2, -0x1.6fcde524132a5p-2, -0x1.6e4712de44c75p-2, -0x1.6cbb437e8fa72p-2, -0x1.6b2a965d558d4p-2, -0x1.69952a6434b6ap-2, -0x1.67fb1e11f3eccp-2, -0x1.665c8f7dd0b4ap-2, -0x1.64b99c57dcfcbp-2, -0x1.631261f26da39p-2, -0x1.6166fd3c1565p-2, -0x1.5fb78ac75ce48p-2, -0x1.5e0426d228097p-2, -0x1.5c4ced3f6ef3p-2, -0x1.5a91f999b749ep-2, -0x1.58d3671dce644p-2, -0x1.571150b5b4547p-2, -0x1.554bd0fdedfc4p-2, -0x1.538302461a24ep-2, -0x1.51b6fe9705f6fp-2, -0x1.4fe7dfa7d39cbp-2, -0x1.4e15bef8de148p-2, -0x1.4c40b5b1ef8d7p-2, -0x1.4a68dcc335bccp-2, -0x1.488e4cd8d3708p-2, -0x1.46b11e5e26635p-2, -0x1.44d1697bbb6e3p-2, -0x1.42ef462347879p-2, -0x1.410acc03274e7p-2, -0x1.3f24128f7b52dp-2, -0x1.3d3b3101bf696p-2, -0x1.3b503e58860f8p-2, -0x1.3963515818114p-2, -0x1.37748095501a4p-2, -0x1.3583e25fe4e61p-2, -0x1.33918cd958a45p-2, -0x1.319d95ea91f48p-2, -0x1.2fa8134690972p-2, -0x1.2db11a6ac5d47p-2, -0x1.2bb8c09ff3774p-2, -0x1.29bf1afa5adc6p-2, -0x1.27c43e5b406a5p-2, -0x1.25c83f6d2ccbp-2, -0x1.23cb32a857383p-2, -0x1.21cd2c5a2f583p-2, -0x1.1fce408c8063ap-2, -0x1.1dce83214276ap-2, -0x1.1bce07c42a727p-2, -0x1.19cce1eeefc8cp-2, -0x1.17cb24e80707p-2, -0x1.15c8e3c34dcd5p-2, -0x1.13c631627bd5fp-2, -0x1.11c320725aea2p-2, -0x1.0fbfc36ea31fcp-2, -0x1.0dbc2c9e5ed1ep-2, -0x1.0bb86e1a07034p-2, -0x1.09b499bfd04c7p-2, -0x1.07b0c13ec6324p-2, -0x1.05acf611c91ddp-2, -0x1.03a949807bdb3p-2, -0x1.01a5cc9d514cep-2, -0x1.ff4520892539cp-3, -0x1.fb3f4a5abff71p-3, -0x1.f73a37844b47ep-3, -0x1.f3360891bab91p-3, -0x1.ef32dd9c96da2p-3, -0x1.eb30d6577b885p-3, -0x1.e7301206e8abp-3, -0x1.e330af871c2d8p-3, -0x1.df32cd47f6dcep-3, -0x1.db36894e6f99ep-3, -0x1.d73c01332ffc4p-3, -0x1.d3435222b4de6p-3, -0x1.cf4c98dc69aa7p-3, -0x1.cb57f1b2a5b71p-3, -0x1.c765788a374a2p-3, -0x1.c37548d9bffd8p-3, -0x1.bf877dac513f9p-3, -0x1.bb9c319f34fa8p-3, -0x1.b7b37ed197ea6p-3, -0x1.b3cd7f0fc156fp-3, -0x1.afea4ba1c0494p-3, -0x1.ac09fd6677d43p-3, -0x1.a82caccdbe11ap-3, -0x1.a45271d6b88fcp-3, -0x1.a07b64119965bp-3, -0x1.9ca79a9db461bp-3, -0x1.98d72c2ab9eefp-3, -0x1.950a2ef990597p-3, -0x1.9140b8da86027p-3, -0x1.8d7adf26140a1p-3, -0x1.89b8b6d6123e9p-3, -0x1.85fa5464c023ap-3, -0x1.823fcbe27f988p-3, -0x1.7e8930ef5e4c9p-3, -0x1.7ad696bb954a3p-3, -0x1.77281007d8214p-3, -0x1.737daf25c65f2p-3, -0x1.6fd785fb82bfdp-3, -0x1.6c35a5f1a4d53p-3, -0x1.689820191c7a8p-3, -0x1.64ff0504f2053p-3, -0x1.616a64dec8a7ap-3, -0x1.5dda4f634ac57p-3, -0x1.5a4ed3e07d943p-3, -0x1.56c8013d3b236p-3, -0x1.5345e5e9cb12cp-3, -0x1.4fc88ff496372p-3, -0x1.4c500cfdc0f9ap-3, -0x1.48dc6a3ae3141p-3, -0x1.456db4776852cp-3, -0x1.4203f81682708p-3, -0x1.3e9f41126e9c8p-3, -0x1.3b3f9afd0b02cp-3, -0x1.37e5110035cb9p-3, -0x1.348fade0eae9cp-3, -0x1.313f7bfd0314cp-3, -0x1.2df4854ef4511p-3, -0x1.2aaed365f807dp-3, -0x1.276e6f7af0cfap-3, -0x1.2433625aed591p-3, -0x1.20fdb476f5c1p-3, -0x1.1dcd6dd214171p-3, -0x1.1aa29620d2dccp-3, -0x1.177d34ac4c12dp-3, -0x1.145d506253c91p-3, -0x1.1142efd231d9bp-3, -0x1.0e2e1932d054p-3, -0x1.0b1ed26028a91p-3, -0x1.081520d751e06p-3, -0x1.051109c51e743p-3, -0x1.021291f6aa791p-3, -0x1.fe337bc467768p-4, -0x1.f84d234b3d446p-4, -0x1.f272221256a48p-4, -0x1.eca27efd64cdcp-4, -0x1.e6de405b653bap-4, -0x1.e1256bc9e6637p-4, -0x1.db780654e3712p-4, -0x1.d5d6146c8fd69p-4, -0x1.d03f99dec73ddp-4, -0x1.cab499db6c663p-4, -0x1.c53516f63eda4p-4, -0x1.bfc1131d09039p-4, -0x1.ba588faa52ffep-4, -0x1.b4fb8d660b841p-4, -0x1.afaa0c8081de8p-4, -0x1.aa640cd9f1313p-4, -0x1.a5298d8da6b09p-4, -0x1.9ffa8d648a891p-4, -0x1.9ad70a90285abp-4, -0x1.95bf02ca43b61p-4, -0x1.90b2732c3a6cep-4, -0x1.8bb1584a072dfp-4, -0x1.86bbae28fb742p-4, -0x1.81d1704bd1c5p-4, -0x1.7cf299c4681f3p-4, -0x1.781f253ae563bp-4, -0x1.73570cfe677cep-4, -0x1.6e9a4afe8271bp-4, -0x1.69e8d8d039b7fp-4, -0x1.6542af9dd7674p-4, -0x1.60a7c81e7ee48p-4, -0x1.5c181a840dff7p-4, -0x1.57939e853e90ap-4, -0x1.531a4b4d2cbf4p-4, -0x1.4eac17a1d2fb4p-4, -0x1.4a48f9e7b61d5p-4, -0x1.45f0e83b1f519p-4, -0x1.41a3d881f5a96p-4, -0x1.3d61c07457f21p-4, -0x1.392a95973ec19p-4, -0x1.34fe4d2ca2d35p-4, -0x1.30dcdc21a7af4p-4, -0x1.2cc636f84d69fp-4, -0x1.28ba51bd303e2p-4, -0x1.24b91fec3a1e1p-4, -0x1.20c294ad83f89p-4, -0x1.1cd6a2b61850ap-4, -0x1.18f53c857c83cp-4, -0x1.151e5479709b9p-4, -0x1.1151dce7c6242p-4, -0x1.0d8fc82526f01p-4, -0x1.09d808836d79cp-4, -0x1.062a903528394p-4, -0x1.028751361ff99p-4, -0x1.fddc7a53472a3p-5, -0x1.f6be8a8232e35p-5, -0x1.efb4b4649d4d8p-5, -0x1.e8bed87f2c6c1p-5, -0x1.e1dcd69c4952fp-5, -0x1.db0e8e1602eabp-5, -0x1.d453de259aa7ep-5, -0x1.cdaca633c01f6p-5, -0x1.c718c5f6bc58fp-5, -0x1.c0981d85ceef4p-5, -0x1.ba2a8d37964c9p-5, -0x1.b3cff55eb4dc6p-5, -0x1.ad8835fbf2fcbp-5, -0x1.a7532e7118f2bp-5, -0x1.a130bd479a1cp-5, -0x1.9b20c0176f994p-5, -0x1.952313903236bp-5, -0x1.8f3793b0f776dp-5, -0x1.895e1c1be6f22p-5, -0x1.83968873c36bp-5, -0x1.7de0b4b1fd5e2p-5, -0x1.783c7d7d4dbdp-5, -0x1.72a9bfe592ecfp-5, -0x1.6d2859f8d83f3p-5, -0x1.67b829db5e1c6p-5, -0x1.62590dc82d707p-5, -0x1.5d0ae3aab4b7bp-5, -0x1.57cd88d3aaaep-5, -0x1.52a0d9c7f7dbbp-5, -0x1.4d84b22e804d7p-5, -0x1.4878ece0100a6p-5, -0x1.437d6423ad8p-5, -0x1.3e91f2006e487p-5, -0x1.39b6709e4ae87p-5, -0x1.34eabab165f8dp-5, -0x1.302eabb6648d4p-5, -0x1.2b82200caae6fp-5, -0x1.26e4f4dc4e8d8p-5, -0x1.225707d47ccefp-5, -0x1.1dd836e127be9p-5, -0x1.19685fc8fc7d4p-5, -0x1.15075ffc0012cp-5, -0x1.10b514653ac6dp-5, -0x1.0c7159397666ep-5, -0x1.083c0a07c1532p-5, -0x1.041501c038f43p-5, -0x1.fff835d146489p-6, -0x1.f7e25fd66c701p-6, -0x1.efe8370e3ce0dp-6, -0x1.e809726f8ca99p-6, -0x1.e045cacbdd1d4p-6, -0x1.d89cfb13bc0c7p-6, -0x1.d10ebff01c904p-6, -0x1.c99ad729f29cp-6, -0x1.c240fefa2e5cbp-6, -0x1.bb00f57a7754ep-6, -0x1.b3da784e1a5b7p-6, -0x1.accd4490f869bp-6, -0x1.a5d9167ffdae2p-6, -0x1.9efda98bd8f4fp-6, -0x1.983ab815f4f1p-6, -0x1.918ffb721e723p-6, -0x1.8afd2c3edf05bp-6, -0x1.8482031bddebp-6, -0x1.7e1e399df569bp-6, -0x1.77d18b2fe943ep-6, -0x1.719bb599be2bdp-6, -0x1.6b7c79003f52cp-6, -0x1.65739768048e9p-6, -0x1.5f80d3de6feb3p-6, -0x1.59a3f1c15e043p-6, -0x1.53dcb449e90b9p-6, -0x1.4e2ade697f412p-6, -0x1.488e32fe01907p-6, -0x1.430674eaea4e7p-6, -0x1.3d9366e8b8408p-6, -0x1.3834caf88be2ep-6, -0x1.32ea620f0bd6cp-6, -0x1.2db3eb917a5c8p-6, -0x1.28912616eda0ep-6, -0x1.2381d0290e4d6p-6, -0x1.1e85a97cfe624p-6, -0x1.199c73e494d2dp-6, -0x1.14c5f3c85dfcp-6, -0x1.1001f0081729ap-6, -0x1.0b5031467ba6fp-6, -0x1.06b0810ac40ffp-6, -0x1.0222a9115034cp-6, -0x1.fb4ce5961a2b1p-7, -0x1.f2774fc643d0cp-7, -0x1.e9c425031bedep-7, -0x1.e132fbd8f2708p-7, -0x1.d8c36c7df42a2p-7, -0x1.d0750f6c37397p-7, -0x1.c8477b4722862p-7, -0x1.c03a439e70844p-7, -0x1.b84cf759ccee3p-7, -0x1.b07f24fb83802p-7, -0x1.a8d05a293286ep-7, -0x1.a140272c7a296p-7, -0x1.99ce203134e5fp-7, -0x1.9279ddc6f0a7cp-7, -0x1.8b42fc7d69121p-7, -0x1.84291bad0c745p-7, -0x1.7d2bdbdc7debfp-7, -0x1.764add735efe3p-7, -0x1.6f85c054fdacfp-7, -0x1.68dc250242998p-7, -0x1.624dadc66f764p-7, -0x1.5bda009f4b198p-7, -0x1.5580c7505573cp-7, -0x1.4f41ae1ba8884p-7, -0x1.491c614029da8p-7, -0x1.43108a8322546p-7, -0x1.3d1dd01ed4508p-7, -0x1.3743d55f04a1ap-7, -0x1.31823caa7c441p-7, -0x1.2bd8a93d7c25dp-7, -0x1.2646c00599bb8p-7, -0x1.20cc284122e14p-7, -0x1.1b688bfcb9223p-7, -0x1.161b9856bf988p-7, -0x1.10e4fcf4ef9edp-7, -0x1.0bc46a96621eap-7, -0x1.06b9917d96d6ap-7, -0x1.01c420a624658p-7, -0x1.f9c78caa3579fp-8, -0x1.f03063c8e32f1p-8, -0x1.e6c22baa20501p-8, -0x1.dd7c52ae362eap-8, -0x1.d45e4f6aedcc2p-8, -0x1.cb679cb548d02p-8, -0x1.c297b4295ada7p-8, -0x1.b9ee0a7abbca7p-8, -0x1.b16a0f8dc861ep-8, -0x1.a90b313134688p-8, -0x1.a0d0dea7dd048p-8, -0x1.98ba884d8c376p-8, -0x1.90c79e176220ep-8, -0x1.88f792fae31a3p-8, -0x1.8149da7dccd76p-8, -0x1.79bdf2de145e5p-8, -0x1.725360c8a57b8p-8, -0x1.6b09ac7b4d1d4p-8, -0x1.63e05bca7f987p-8, -0x1.5cd6ef32203a7p-8, -0x1.55ece2c61492cp-8, -0x1.4f21b24d40873p-8, -0x1.4874de116b744p-8, -0x1.41e5ede25c7d3p-8, -0x1.3b74714189441p-8, -0x1.351ffd3c3726bp-8, -0x1.2ee82916af08p-8, -0x1.28cc8af1db348p-8, -0x1.22ccb5e0311e7p-8, -0x1.1ce83aba2d884p-8, -0x1.171eaafb78172p-8, -0x1.116f9a296f30ap-8, -0x1.0bda9b2975c6p-8, -0x1.065f3c904ab9fp-8, -0x1.00fd0a5319fd1p-8, -0x1.f7672b757fcfcp-9, -0x1.ed04f829141f6p-9, -0x1.e2d2ca52b6d78p-9, -0x1.d8cff600e7b29p-9, -0x1.cefbc534762d9p-9, -0x1.c55574d312731p-9, -0x1.bbdc3c389901ep-9, -0x1.b28f56ca7ca5ap-9, -0x1.a96e0782d13efp-9, -0x1.a077983e28e05p-9, -0x1.97ab56bf47cb7p-9, -0x1.8f08962bcba4p-9, -0x1.868eb12e9a4edp-9, -0x1.7e3d09f14c79p-9, -0x1.761305cf3dd33p-9, -0x1.6e10072066879p-9, -0x1.66336d11bade1p-9, -0x1.5e7c961b61601p-9, -0x1.56eae782a5aa7p-9, -0x1.4f7dc5eeb07edp-9, -0x1.483488d5d0ca4p-9, -0x1.410e79f77d6acp-9, -0x1.3a0ae9f01f1dbp-9, -0x1.332942f9871f1p-9, -0x1.2c69099f2b1a7p-9, -0x1.25c9b9da62b87p-9, -0x1.1f4ac5a3aeb51p-9, -0x1.18eb91bf1eabcp-9, -0x1.12ab8bdbdc004p-9, -0x1.0c8a2f63e4361p-9, -0x1.068700c8b4887p-9, -0x1.00a1832d298a6p-9, -0x1.f5b267496d3b7p-10, -0x1.ea5b19e6089a9p-10, -0x1.df3c1b7fa0a86p-10, -0x1.d45478e83648ep-10, -0x1.c9a34f2adda85p-10, -0x1.bf27c50c3c1ap-10, -0x1.b4e0ffc44085p-10, -0x1.aace1b17b7f29p-10, -0x1.a0ee2f498571fp-10, -0x1.974061f840ab9p-10, -0x1.8dc3ea9943d58p-10, -0x1.8477f9f3ccfbbp-10, -0x1.7b5b9e2da0276p-10, -0x1.726dd2a0fd5f9p-10, -0x1.69adb2dc44aaap-10, -0x1.611a880b0ba46p-10, -0x1.58b39b146b653p-10, -0x1.50780dcae42dfp-10, -0x1.4866eba0dbb0ep-10, -0x1.407f563b25b69p-10, -0x1.38c0973753cd5p-10, -0x1.312a0aef45091p-10, -0x1.29bb072595607p-10, -0x1.2272d6c5b5f29p-10, -0x1.1b50c2d12fa0bp-10, -0x1.1454197c5719p-10, -0x1.0d7c2fd912c9dp-10, -0x1.06c860b8a6f1dp-10, -0x1.00380b9b4f8cep-10, -0x1.f39528ac1d32bp-11, -0x1.e6fec3744af8cp-11, -0x1.daabb2b4eb6c6p-11, -0x1.ce9ab61ba6e21p-11, -0x1.c2ca8be014bdfp-11, -0x1.b73a0c989847dp-11, -0x1.abe83b78aa97fp-11, -0x1.a0d42418912d6p-11, -0x1.95fc9bd0ce1b4p-11, -0x1.8b6042569bc75p-11, -0x1.80fdddad62af1p-11, -0x1.76d47fd95b585p-11, -0x1.6ce31e0d8a7fap-11, -0x1.63287d51c522p-11, -0x1.59a35a82820fcp-11, -0x1.5052baef2213ap-11, -0x1.4735c64690b72p-11, -0x1.3e4b8ae905ac6p-11, -0x1.3592fca083febp-11, -0x1.2d0b11611b50ap-11, -0x1.24b2d134440aap-11, -0x1.1c8956da9604bp-11, -0x1.148dca90d9225p-11, -0x1.0cbf5b8c8f759p-11, -0x1.051d3bfc62824p-11, -0x1.fb4d34fd524b2p-12, -0x1.ecb547e85ecbep-12, -0x1.de710e6afc11dp-12, -0x1.d07eefb441ed7p-12, -0x1.c2dd552e010fdp-12, -0x1.b58aa165b8652p-12, -0x1.a8854001b68f7p-12, -0x1.9bcbcd0d4beb1p-12, -0x1.8f5d28883a414p-12, -0x1.83382a099c711p-12, -0x1.775b3a49baa5p-12, -0x1.6bc45acb5de44p-12, -0x1.6072018fa91dap-12, -0x1.5563000b6a7bp-12, -0x1.4a95d7ed9fe36p-12, -0x1.40090c815540ep-12, -0x1.35bb9c2060569p-12, -0x1.2bac97e1db728p-12, -0x1.21dac36cd9d72p-12, -0x1.1844bf35196cp-12, -0x1.0ee9381561c1ap-12, -0x1.05c6ea50c2b82p-12, -0x1.f9b9337478506p-13, -0x1.e85221b255522p-13, -0x1.d756575539131p-13, -0x1.c6c3b5b4031c5p-13, -0x1.b698420a987a8p-13, -0x1.a6d20e3ee3cb2p-13, -0x1.976f1eacf3343p-13, -0x1.886d6444c1652p-13, -0x1.79cacdfb51386p-13, -0x1.6b8562b2d4a31p-13, -0x1.5d9b48a815773p-13, -0x1.500ab10612484p-13, -0x1.42d1c58da12b8p-13, -0x1.35eeb8fc405cbp-13, -0x1.295fef6c92a45p-13, -0x1.1d241451858b2p-13, -0x1.11396f1cec53fp-13, -0x1.059d725b67afdp-13, -0x1.f49bc330fd5f2p-14, -0x1.de92b6b4355e4p-14, -0x1.c91c5abdf256dp-14, -0x1.b435c9c948d0fp-14, -0x1.9fdd2d36db09dp-14, -0x1.8c0fcbb3deadep-14, -0x1.78ca3f25f962dp-14, -0x1.66096c991e92bp-14, -0x1.53ca94f0bc0f4p-14, -0x1.420b0ffbc0ecbp-14, -0x1.30c82b16e7907p-14, -0x1.1fff0a1b950aap-14, -0x1.0faca1bbf8de2p-14, -0x1.ff9bfc2b5a40ap-15, -0x1.e0c0a6ec0f7ebp-15, -0x1.c2c2604d19957p-15, -0x1.a59cf2cd2ddbbp-15, -0x1.894beb839c26cp-15, -0x1.6dcac3bd35a7ap-15, -0x1.53149daf4bc37p-15, -0x1.3924987cda563p-15, -0x1.1ff6790413c36p-15, -0x1.0786d6c123814p-15, -0x1.dfa3ef7c7b5e8p-16, -0x1.b1a6c790de256p-16, -0x1.850c5ffd97c05p-16, -0x1.59cb9739a3d92p-16, -0x1.2fdd736cb8da7p-16, -0x1.073c544567d2dp-16, -0x1.bfbcfcf1d8817p-17, -0x1.7371b903733c7p-17, -0x1.29894a5766597p-17, -0x1.c3ecb5921da31p-18, -0x1.3962f76b40a1ep-18, -0x1.66be076dd09f5p-19, -0x1.8df3cb9cc79dep-21, 0x1.2e73d204082fcp-20, 0x1.89989cba3497dp-19, 0x1.39e70e80c0121p-18, 0x1.ab037c7c079e5p-18, 0x1.0c1bdb28b4c04p-17, 0x1.40ccec6f783f7p-17, 0x1.73a0be82dc72fp-17, 0x1.a4a49e3fb7f4p-17, 0x1.d3e71065a7d6ap-17, 0x1.00badc7859606p-16, 0x1.16ad84c5e1d53p-16, 0x1.2bcf5d8f2a439p-16, 0x1.40248e4106718p-16, 0x1.53b2a3ded1ee1p-16, 0x1.667f837d83ef8p-16, 0x1.788f931c58293p-16, 0x1.89e5a2cf3ec93p-16, 0x1.9a86d0f472948p-16, 0x1.aa773587ed4dap-16, 0x1.b9bc9b10c723bp-16, 0x1.c85bf15d8706ep-16, 0x1.d65a13daa6ee8p-16, 0x1.e3bb15b1f4903p-16, 0x1.f082dad6e4d24p-16, 0x1.fcb3a6af72b9ap-16, }}, 
      {{0x1.ff2111df3489bp-7, 0x1.8cd52d322a54ep-4, 0x1.905f350656191p-3, 0x1.2d2d71ea81ea5p-2, 0x1.8809686c412b6p-2, 0x1.d39cbd5c6d096p-2, 0x1.06fa8f774a771p-1, 0x1.1b8e27b7ede7p-1, 0x1.28232e1b4a3ecp-1, 0x1.2da386ae1c042p-1, 0x1.2d1bee0fdc8edp-1, 0x1.279f5bfdad8aap-1, 0x1.1e356fb03398p-1, 0x1.11d04154685c6p-1, 0x1.03471fb43aff9p-1, 0x1.e6a9170574d3fp-2, 0x1.c52c94bc50fe1p-2, 0x1.a31d9109f6178p-2, 0x1.814e7f7d2a02ap-2, 0x1.60648bae57f46p-2, 0x1.40dd0666d898ap-2, 0x1.2312cda546da3p-2, 0x1.074377f12fd3fp-2, 0x1.db2842b166d3dp-3, 0x1.ac2b908dec1d1p-3, 0x1.819265f724441p-3, 0x1.5b44ba269bf95p-3, 0x1.3916e1afb79afp-3, 0x1.1acea5bb333eap-3, 0x1.002790954dca1p-3, 0x1.d1ad04b88bd33p-4, 0x1.a91942e6dbb86p-4, 0x1.85f374d527c56p-4, 0x1.679c446b4210dp-4, 0x1.4d785911e4bc6p-4, 0x1.36f28d433f7ecp-4, 0x1.237d8a85942f3p-4, 0x1.1294e6bef268ap-4, 0x1.03bdd8fdeebacp-4, 0x1.ed0f32b374378p-5, 0x1.d51700cc8c3e8p-5, 0x1.bed9e052464c2p-5, 0x1.a9b228012917bp-5, 0x1.950d0f4bf6f84p-5, 0x1.8069c4beb13d9p-5, 0x1.6b5870e25e784p-5, 0x1.5579241645b32p-5, 0x1.3e7ab9d389341p-5, 0x1.2619be919e6cdp-5, 0x1.0c1f560f44619p-5, 0x1.e0c050c257dd9p-6, 0x1.a576ae76dc02ap-6, 0x1.6632ff4aa2689p-6, 0x1.22d790d5fa03fp-6, 0x1.b6abeef2254bbp-7, 0x1.1f5aadf99072bp-7, 0x1.ff46211ff2d03p-9, -0x1.3e23c935cdd56p-10, -0x1.ae546aec67454p-8, -0x1.8e13082b6591bp-7, -0x1.261298ba99755p-6, -0x1.887e09ce99268p-6, -0x1.ee1520aa4ed1ap-6, -0x1.2b4ed617c45efp-5, -0x1.60ed6a45d1a99p-5, -0x1.97c6ec314f78p-5, -0x1.cfbb5b7e8d53ep-5, -0x1.0455329c05a92p-4, -0x1.2139d49bc767p-4, -0x1.3e7b7bd5b6e9ap-4, -0x1.5c0a433dfc149p-4, -0x1.79d68f4b5125fp-4, -0x1.97d120f7749cp-4, -0x1.b5eb2595424a2p-4, -0x1.d416440e068b2p-4, -0x1.f244a7ebac7b5p-4, -0x1.0834853ba6abfp-3, -0x1.173b5cfe56df4p-3, -0x1.2630cfa0c9ae9p-3, -0x1.350f209f6fe22p-3, -0x1.43d0e39cd5961p-3, -0x1.5270fcb40119bp-3, -0x1.60eaa02df5e2dp-3, -0x1.6f3951b7457e1p-3, -0x1.7d58e32dd9a7fp-3, -0x1.8b457320c8f1cp-3, -0x1.98fb6b0aa2be9p-3, -0x1.a6777d586ced7p-3, -0x1.b3b6a33d78213p-3, -0x1.c0b61a5ff3606p-3, -0x1.cd73625fbb0aap-3, -0x1.d9ec3a40a8538p-3, -0x1.e61e9dbf2535cp-3, -0x1.f208c2957eefap-3, -0x1.fda915bad54d7p-3, -0x1.047f1c504ee5ep-2, -0x1.0a037f3b2469ep-2, -0x1.0f6134ba63139p-2, -0x1.1497d41d3edf2p-2, -0x1.19a7099ac8987p-2, -0x1.1e8e9510c1b18p-2, -0x1.234e48cc83ff1p-2, -0x1.27e6085d710c6p-2, -0x1.2c55c773c0791p-2, -0x1.309d88c8476f4p-2, -0x1.34bd5d11a3f0ap-2, -0x1.38b56201cad36p-2, -0x1.3c85c151c8bb2p-2, -0x1.402eafd70411bp-2, -0x1.43b06ca5102bfp-2, -0x1.470b40396c4d5p-2, -0x1.4a3f7bb418033p-2, -0x1.4d4d7819904f2p-2, -0x1.503595a08bc32p-2, -0x1.52f83b09ef03cp-2, -0x1.5595d501cb1ap-2, -0x1.580ed58c30442p-2, -0x1.5a63b379ac809p-2, -0x1.5c94e9e4b9857p-2, -0x1.5ea2f7b9a3542p-2, -0x1.608e5f43de576p-2, -0x1.6257a5c57014fp-2, -0x1.63ff53157ad18p-2, -0x1.6585f143a3a7cp-2, -0x1.66ec0c4590795p-2, -0x1.683231a771a64p-2, -0x1.6958f04479769p-2, -0x1.6a60d8053335cp-2, -0x1.6b4a799f331c5p-2, -0x1.6c16665fcd549p-2, -0x1.6cc52ff8926fdp-2, -0x1.6d57684af1466p-2, -0x1.6dcda1415a254p-2, -0x1.6e286ca851b62p-2, -0x1.6e685c0561aabp-2, -0x1.6e8e0077b34e8p-2, -0x1.6e99ea9e444ccp-2, -0x1.6e8caa77d004bp-2, -0x1.6e66cf49dd222p-2, -0x1.6e28e78d519fap-2, -0x1.6dd380d9dfacep-2, -0x1.6d6727d2096f6p-2, -0x1.6ce46812f4affp-2, -0x1.6c4bcc26aaa8dp-2, -0x1.6b9ddd7715617p-2, -0x1.6adb2441e37fap-2, -0x1.6a04278d528ep-2, -0x1.69196d1dd366cp-2, -0x1.681b796fe8faap-2, -0x1.670acfb2175dep-2, -0x1.65e7f1ba07c69p-2, -0x1.64b35ffe32fd8p-2, -0x1.636d999564061p-2, -0x1.62171c3286fe9p-2, -0x1.60b0641bf2e07p-2, -0x1.5f39ec269e01bp-2, -0x1.5db42db84527dp-2, -0x1.5c1fa0c66102dp-2, -0x1.5a7cbbce759bdp-2, -0x1.58cbf3d21de74p-2, -0x1.570dbc5a01fep-2, -0x1.55428775edfbep-2, -0x1.536ac5b90ade7p-2, -0x1.5186e63570435p-2, -0x1.4f97567d4cd5ep-2, -0x1.4d9c82a4c6936p-2, -0x1.4b96d5414d82ep-2, -0x1.4986b7653c672p-2, -0x1.476c90a055a6cp-2, -0x1.4548c70183045p-2, -0x1.431bbf15aa1cfp-2, -0x1.40e5dbe7df6c9p-2, -0x1.3ea77f00e48fep-2, -0x1.3c6108674a21ep-2, -0x1.3a12d69f74923p-2, -0x1.37bd46ab7c7abp-2, -0x1.3560b40c4c0e6p-2, -0x1.32fd78c2abd2p-2, -0x1.3093ed4f60134p-2, -0x1.2e2468b185c6ep-2, -0x1.2baf4068fce61p-2, -0x1.2934c8763569cp-2, -0x1.26b5535e0955ep-2, -0x1.24313228e689bp-2, -0x1.21a8b461ea7dap-2, -0x1.1f1c2817abb18p-2, -0x1.1c8bd9df3d178p-2, -0x1.19f814d745497p-2, -0x1.176122a83ac9ap-2, -0x1.14c74b84607e1p-2, -0x1.122ad62701fa1p-2, -0x1.0f8c07d88e2fap-2, -0x1.0ceb2471fabafp-2, -0x1.0a486e5f25741p-2, -0x1.07a4269f27ffp-2, -0x1.04fe8cc3bb39dp-2, -0x1.0257def4a202p-2, -0x1.ff60b3e3df035p-3, -0x1.fa107231779edp-3, -0x1.f4bf6cca97c5ep-3, -0x1.ef6e14e93d738p-3, -0x1.ea1cd908a343dp-3, -0x1.e4cc24ed53893p-3, -0x1.df7c61ab0e964p-3, -0x1.da2df5ad16ff6p-3, -0x1.d4e144bcbc61ap-3, -0x1.cf96b00467992p-3, -0x1.ca4e96151317ep-3, -0x1.c50952ec06f6ep-3, -0x1.bfc73ffa20dabp-3, -0x1.ba88b42b8d4ffp-3, -0x1.b54e03edf7176p-3, -0x1.b01781386c7d4p-3, -0x1.aae57b8f655f7p-3, -0x1.a5b8400e4cf8cp-3, -0x1.a090196ceb438p-3, -0x1.9b6d5008103abp-3, -0x1.965029e85c331p-3, -0x1.9138eac971c25p-3, -0x1.8c27d421c518ep-3, -0x1.871d252a85bfbp-3, -0x1.82191ae784d0bp-3, -0x1.7d1bf02ef55d1p-3, -0x1.7825ddb101b97p-3, -0x1.733719ffa566p-3, -0x1.6e4fd996674c8p-3, -0x1.69704ee34fc57p-3, -0x1.6498aa4ec3619p-3, -0x1.5fc91a438e144p-3, -0x1.5b01cb36ab844p-3, -0x1.5642e7b0cff5dp-3, -0x1.518c9854762a2p-3, -0x1.4cdf03e7f5069p-3, -0x1.483a4f5d7764cp-3, -0x1.439e9ddb736e7p-3, -0x1.3f0c10c4704a5p-3, -0x1.3a82c7bfe1be2p-3, -0x1.3602e0c0adae4p-3, -0x1.318c781019463p-3, -0x1.2d1fa85429864p-3, -0x1.28bc8a9911cbp-3, -0x1.246336595f83p-3, -0x1.2013c186385dbp-3, -0x1.1bce408e7c5d1p-3, -0x1.1792c667d0f73p-3, -0x1.1361649639064p-3, -0x1.0f3a2b3477e89p-3, -0x1.0b1d28fc52534p-3, -0x1.070a6b4ebae9p-3, -0x1.0301fe3afb559p-3, -0x1.fe07d9103b1afp-4, -0x1.f6207f75f35a6p-4, -0x1.ee4e003d5e2dfp-4, -0x1.e69069987a87dp-4, -0x1.dee7c764911f4p-4, -0x1.d75423398238dp-4, -0x1.cfd58478f3c3p-4, -0x1.c86bf05d23f8ep-4, -0x1.c1176a081076p-4, -0x1.b9d7f291696cdp-4, -0x1.b2ad891331561p-4, -0x1.ab982abccb41p-4, -0x1.a497d2db8c923p-4, -0x1.9dac7aec922fap-4, -0x1.96d61aa8d9416p-4, -0x1.9014a81398cb5p-4, -0x1.896817877bd1dp-4, -0x1.82d05bc3bc888p-4, -0x1.7c4d65f974a17p-4, -0x1.75df25d7cdfadp-4, -0x1.6f858999c8453p-4, -0x1.69407e1038536p-4, -0x1.630feeb2ac9d2p-4, -0x1.5cf3c5a74c6e8p-4, -0x1.56ebebd0f6658p-4, -0x1.50f848da7d1ebp-4, -0x1.4b18c3427233cp-4, -0x1.454d4066b07d5p-4, -0x1.3f95a48cd6c5bp-4, -0x1.39f1d2f326abp-4, -0x1.3461add54ef8cp-4, -0x1.2ee5167a2df6cp-4, -0x1.297bed3d4dd6p-4, -0x1.24261199b14d5p-4, -0x1.1ee3623365d6bp-4, -0x1.19b3bce198cf6p-4, -0x1.1496feb817f0cp-4, -0x1.0f8d0410c6599p-4, -0x1.0a95a894d1344p-4, -0x1.05b0c745c566bp-4, -0x1.00de3a8674873p-4, -0x1.f83bb84746909p-5, -0x1.eedf0ab947521p-5, -0x1.e5a61dd662a86p-5, -0x1.dc90a219138cbp-5, -0x1.d39e4711ccab3p-5, -0x1.cacebb734d7bp-5, -0x1.c221ad28806dep-5, -0x1.b996c95cf51c1p-5, -0x1.b12dbc8e69cb1p-5, -0x1.a8e6329a27593p-5, -0x1.a0bfd6caa4962p-5, -0x1.98ba53e520cf9p-5, -0x1.90d554368aecdp-5, -0x1.891081a00a3fap-5, -0x1.816b85a3831bcp-5, -0x1.79e6097117b46p-5, -0x1.727fb5ee253c2p-5, -0x1.6b3833c67cd93p-5, -0x1.640f2b73afefbp-5, -0x1.5d044548e4734p-5, -0x1.5617297d2ac45p-5, -0x1.4f4780358e97bp-5, -0x1.4894f18ece252p-5, -0x1.41ff25a63d2dp-5, -0x1.3b85c4a5fdea8p-5, -0x1.352876c7d03efp-5, -0x1.2ee6e4640aadap-5, -0x1.28c0b5f6a7bd1p-5, -0x1.22b59427f0566p-5, -0x1.1cc527d498007p-5, -0x1.16ef1a133be5bp-5, -0x1.1133143fdd6d4p-5, -0x1.0b90bffd6d001p-5, -0x1.0607c7407aac7p-5, -0x1.0097d454ab525p-5, -0x1.f68123c665c08p-6, -0x1.ec0355f139c52p-6, -0x1.e1b59614bdc62p-6, -0x1.d7973bf87259bp-6, -0x1.cda7a049fe6dbp-6, -0x1.c3e61ca718129p-6, -0x1.ba520ba8811edp-6, -0x1.b0eac8eb84505p-6, -0x1.a7afb11f242e9p-6, -0x1.9ea022053e5e8p-6, -0x1.95bb7a826680ep-6, -0x1.8d011a9e6860ep-6, -0x1.847063904de22p-6, -0x1.7c08b7b9438dp-6, -0x1.73c97ab62ca34p-6, -0x1.6bb21161868f5p-6, -0x1.63c1e1ddc3ae5p-6, -0x1.5bf8539bb0175p-6, -0x1.5454cf61e27ccp-6, -0x1.4cd6bf51e4ffp-6, -0x1.457d8ee5e6133p-6, -0x1.3e48aaf5473a1p-6, -0x1.373781b2ef0cp-6, -0x1.304982b07817bp-6, -0x1.297e1ee331982p-6, -0x1.22d4c8ac6d4bdp-6, -0x1.1c4cf3dfdde63p-6, -0x1.15e615ce29716p-6, -0x1.0f9fa54533318p-6, -0x1.09791a9047f99p-6, -0x1.0371ef73ee741p-6, -0x1.fb133e4dbe365p-7, -0x1.ef7f4c99a5e81p-7, -0x1.e42705ee08ab9p-7, -0x1.d909694eb8bf1p-7, -0x1.ce2578b51199dp-7, -0x1.c37a392adf9d3p-7, -0x1.b906b2c8bf7f7p-7, -0x1.aec9f0e477dfbp-7, -0x1.a4c301e4dde79p-7, -0x1.9af0f7424e53bp-7, -0x1.9152e55bd7304p-7, -0x1.87e7e36935daep-7, -0x1.7eaf0b613a0d3p-7, -0x1.75a779fe9550ap-7, -0x1.6cd04ed337c4ep-7, -0x1.6428ac65e0fc7p-7, -0x1.5bafb856944a2p-7, -0x1.53649b7440677p-7, -0x1.4b4681c352ad1p-7, -0x1.43549a68423adp-7, -0x1.3b8e1781791c8p-7, -0x1.33f22df43db1ep-7, -0x1.2c801543960d1p-7, -0x1.2537076ac5fep-7, -0x1.1e1640e85ae8fp-7, -0x1.171d00cb3851fp-7, -0x1.104a88e6f09bp-7, -0x1.099e1e04cdac8p-7, -0x1.0317080d26de2p-7, -0x1.f9692430f6e68p-8, -0x1.ecec14bb80cf6p-8, -0x1.e0b58404638fcp-8, -0x1.d4c419b3234aap-8, -0x1.c916823bc9b2fp-8, -0x1.bdab6e69b6711p-8, -0x1.b2819335e2584p-8, -0x1.a797a9c81a5fbp-8, -0x1.9cec6fe783878p-8, -0x1.927ea868aa368p-8, -0x1.884d1bc0d0d5fp-8, -0x1.7e56986a15f79p-8, -0x1.7499f30a148cfp-8, -0x1.6b16064342d4fp-8, -0x1.61c9b240f8f0dp-8, -0x1.58b3dc0bd36ecp-8, -0x1.4fd36cd7c8b25p-8, -0x1.472751710370cp-8, -0x1.3eae79e7ba98bp-8, -0x1.3667d98f8e58fp-8, -0x1.2e526752e85f9p-8, -0x1.266d1e42f6701p-8, -0x1.1eb6fe417f02fp-8, -0x1.172f0c936a91dp-8, -0x1.0fd4544299843p-8, -0x1.08a5e61a90b9p-8, -0x1.01a2d855b45f1p-8, -0x1.f5948bf85fdep-9, -0x1.e8369c4a2607cp-9, -0x1.db2a2660eeafap-9, -0x1.ce6d746364293p-9, -0x1.c1fed53b61bf1p-9, -0x1.b5dc9ca05562dp-9, -0x1.aa0523bf77a83p-9, -0x1.9e76ca6639b5bp-9, -0x1.932ff871d5c9ep-9, -0x1.882f1f1ecd20ep-9, -0x1.7d72b9ddeceafp-9, -0x1.72f94eccd7d6p-9, -0x1.68c16dbc03b64p-9, -0x1.5ec9af90ce65bp-9, -0x1.5510b497ae624p-9, -0x1.4b9523123e5b4p-9, -0x1.4255a5f09a4b2p-9, -0x1.3950ebee3aadfp-9, -0x1.3085a72ed8596p-9, -0x1.27f28d5ed89f6p-9, -0x1.1f965872f1447p-9, -0x1.176fc7b0ab7f1p-9, -0x1.0f7da105a002ep-9, -0x1.07beb257b95ebp-9, -0x1.0031d24bc4ad4p-9, -0x1.f1abc0fda6661p-10, -0x1.e3538a11b14dbp-10, -0x1.d558deed3b258p-10, -0x1.c7b9aaf6128f2p-10, -0x1.ba73e378ba6fdp-10, -0x1.ad8585896af56p-10, -0x1.a0ec949abe277p-10, -0x1.94a719d5bd2a1p-10, -0x1.88b323a35ede6p-10, -0x1.7d0ec61f3fdb6p-10, -0x1.71b81c3bc534ep-10, -0x1.66ad49a53273fp-10, -0x1.5bec7d1628044p-10, -0x1.5173f2876bbe5p-10, -0x1.4741f4a7ebb76p-10, -0x1.3d54dcd91341bp-10, -0x1.33ab11fa8bf99p-10, -0x1.2a43063bfd0bcp-10, -0x1.211b34b8d711p-10, -0x1.18321f85e5d1bp-10, -0x1.0f864e82dc22ep-10, -0x1.07164ebe7de34p-10, -0x1.fdc164afc7b5bp-11, -0x1.edc81fe4c9552p-11, -0x1.de3e04d76e2aap-11, -0x1.cf205186dd24ep-11, -0x1.c06c4dd625d6cp-11, -0x1.b21f4ef70b5cbp-11, -0x1.a436bc0a34bddp-11, -0x1.96b01262f53d4p-11, -0x1.8988e7e0db5e1p-11, -0x1.7cbeea7a9c4e2p-11, -0x1.704fdd136ae01p-11, -0x1.643992d8c17a8p-11, -0x1.5879eaa34d70fp-11, -0x1.4d0ecbfbacf12p-11, -0x1.41f626890ac95p-11, -0x1.372df2cc474dfp-11, -0x1.2cb432b6ebb5dp-11, -0x1.2286f0f709f8fp-11, -0x1.18a43f2c2d684p-11, -0x1.0f0a33184d79ap-11, -0x1.05b6e5cfa2e97p-11, -0x1.f950ea3d71498p-12, -0x1.e7ba0f8864053p-12, -0x1.d6a5a478af3a8p-12, -0x1.c61035c8d2c06p-12, -0x1.b5f677b3d95b7p-12, -0x1.a655441ecc42fp-12, -0x1.97299436703bdp-12, -0x1.887077830d291p-12, -0x1.7a270bf478db9p-12, -0x1.6c4a7b437ece7p-12, -0x1.5ed7fb01a614dp-12, -0x1.51ccd29eaa756p-12, -0x1.45265d800858cp-12, -0x1.38e20b08c5a16p-12, -0x1.2cfd584f37245p-12, -0x1.2175c7adf84aap-12, -0x1.1648d9b2442f6p-12, -0x1.0b740e331a0a5p-12, -0x1.00f4e55ce85b3p-12, -0x1.ed91d88da978ep-13, -0x1.d9db86d9c0d5ep-13, -0x1.c6c249057d584p-13, -0x1.b441c8cb07465p-13, -0x1.a255e2d588964p-13, -0x1.90fa9d22f83a1p-13, -0x1.802c1a0d0248ep-13, -0x1.6fe68d65bffa3p-13, -0x1.602639112db8dp-13, -0x1.50e771b32943bp-13, -0x1.4226aacc8ab5ap-13, -0x1.33e07f82cd208p-13, -0x1.2611b5179eadbp-13, -0x1.18b7316de5051p-13, -0x1.0bcde9596d24p-13, -0x1.fea59e164baedp-14, -0x1.e68593230d8cfp-14, -0x1.cf3573804ceaap-14, -0x1.b8af0b6d87319p-14, -0x1.a2ec494cce9eep-14, -0x1.8de74b8f3c8acp-14, -0x1.799a665c93f4bp-14, -0x1.66002a3df8368p-14, -0x1.531367d0e6e74p-14, -0x1.40cf28c62920dp-14, -0x1.2f2e9d5cbe48dp-14, -0x1.1e2d0794c420cp-14, -0x1.0dc5b01ebb415p-14, -0x1.fbe7d7955aa05p-15, -0x1.dd665f4055cb5p-15, -0x1.bffe548c7826fp-15, -0x1.a3a7a2f6f74bp-15, -0x1.885abbd6fd24bp-15, -0x1.6e1062510f58fp-15, -0x1.54c16af46eb6cp-15, -0x1.3c669015ac90cp-15, -0x1.24f8710fc7706p-15, -0x1.0e6fb6795675cp-15, -0x1.f18a5ed87c8d4p-16, -0x1.c7e3b18c99e4ep-16, -0x1.9fdd9cfee32bdp-16, -0x1.796a808789cadp-16, -0x1.547d77de4f27ep-16, -0x1.310a5eb3d849ep-16, -0x1.0f05f6e6ca7dp-16, -0x1.dccaeeb901cbep-17, -0x1.9e3c35b692b4fp-17, -0x1.6249bb314618bp-17, -0x1.28dd21186e256p-17, -0x1.e3c0b5d9c4ed1p-18, -0x1.7a7cd71144e7bp-18, -0x1.15c7a1c7c532ap-18, -0x1.6af9e743b4a35p-19, -0x1.65eb2ca3d1854p-20, -0x1.a04219523e36ep-26, 0x1.48cd9789fcdb5p-20, 0x1.44428afa35f8fp-19, 0x1.dc951a06a5f4dp-19, 0x1.36cfb49d89ee9p-18, 0x1.7bd019d03e789p-18, 0x1.bd6ac327123e6p-18, 0x1.fbbf6ef93cd41p-18, 0x1.1b771092c1d9cp-17, 0x1.378a77eb28c9ep-17, 0x1.5227148128737p-17, 0x1.6b586474cd205p-17, 0x1.832960d430167p-17, 0x1.99a587125cdd7p-17, 0x1.aed90bce8f479p-17, 0x1.c2d05128c0bdcp-17, 0x1.d59741ee3e96bp-17, 0x1.e73903c91b295p-17, 0x1.f7c03769a260ap-17, 0x1.039b88b868643p-16, 0x1.0ad3b44fbdd4ap-16, 0x1.118d45429693p-16, 0x1.17cc9a219ab53p-16, 0x1.1d95e5be4f0bp-16, 0x1.22ed58325748cp-16, 0x1.27d733399ae73p-16, 0x1.2c579949f135bp-16, 0x1.30727b20eb98ap-16, 0x1.342bbca29dbc5p-16, 0x1.37878ff373e6fp-16, 0x1.3a8a7a010b4c1p-16, 0x1.3d38bef4a517p-16, 0x1.3f95cf4aededp-16, 0x1.41a48c75cdb29p-16, 0x1.4367a7c2855ddp-16, 0x1.44e25db233b1p-16, 0x1.461807dc5b27ep-16, 0x1.470bdc8921eecp-16, 0x1.47c0946396affp-16, 0x1.48389e1c4004p-16, 0x1.48766da9ec523p-16, 0x1.487c98352e237p-16, 0x1.484dbdf6c0b4ap-16, 0x1.47ec63d9c7a4bp-16, 0x1.475ad909364f8p-16, 0x1.469b33c560b21p-16, 0x1.45af63cfa96ffp-16, 0x1.449952a5166aap-16, 0x1.435afac9c8412p-16, 0x1.41f6594e24cb8p-16, 0x1.406d413474bbcp-16, 0x1.3ec15007b3d0ep-16, 0x1.3cf430c297874p-16, 0x1.3b07e7684dae6p-16, 0x1.38fea4c41c9cap-16, 0x1.36da3a9b11f2p-16, 0x1.349bf6b00218bp-16, 0x1.32451fbda8981p-16, 0x1.2fd75fd4ffbd3p-16, 0x1.2d5497f8e0a46p-16, 0x1.2abe67ea0b88ep-16, 0x1.2815fea7c2921p-16, 0x1.255c54828510fp-16, 0x1.2292705673874p-16, 0x1.1fb973498a372p-16, 0x1.1cd281727f3e6p-16, 0x1.19deaf4bb56c1p-16, 0x1.16defe4decdb4p-16, 0x1.13d4606bd842dp-16, 0x1.10bfbaf70d0bdp-16, 0x1.0da1e73158187p-16, 0x1.0a7bb47487de8p-16, 0x1.074df08547735p-16, 0x1.04196f8156d6bp-16, 0x1.00df052bde4cp-16, 0x1.fb3ecf20d3df2p-17, 0x1.f4b641e3e500fp-17, 0x1.ee2563c59a54ap-17, 0x1.e78d9ee90d49ap-17, 0x1.e0f0c3a3914bfp-17, 0x1.da504f27533edp-17, 0x1.d3ad309a9cdc2p-17, 0x1.cd084eea5eae2p-17, 0x1.c6634501d2ae6p-17, 0x1.bfbf810ec03f9p-17, 0x1.b91deb90f2311p-17, 0x1.b27f2661f270bp-17, 0x1.abe403245d31ap-17, 0x1.a54d857eaba3p-17, 0x1.9ebca976a128ep-17, 0x1.98324432abadep-17, 0x1.91af0534055adp-17, 0x1.8b33811eb6c4ap-17, 0x1.84c03d546397fp-17, 0x1.7e55c123f9e14p-17, 0x1.77f495034001ap-17, 0x1.719d461b7d019p-17, 0x1.6b505d5ce6dedp-17, 0x1.650e59c1d0679p-17, 0x1.5ed7b4688bbb2p-17, 0x1.58ace778a566dp-17, 0x1.528e64f30e607p-17, 0x1.4c7c7d8633df7p-17, 0x1.467758a83735cp-17, 0x1.407f0f7fdff0bp-17, 0x1.3a9420cedab3ap-17, 0x1.34b73ea7ffaf4p-17, 0x1.2ee8cb25894dbp-17, 0x1.2928e8c42caf8p-17, 0x1.2377ef816f057p-17, 0x1.1dd636130ep-17, 0x1.1843bf6dce157p-17, 0x1.12c0823eea0a1p-17, 0x1.0d4caa8d55567p-17, 0x1.07e87c7f75f3bp-17, 0x1.0294331e1d337p-17, 0x1.fa9ffb609bfc1p-18, 0x1.f0380a75900d3p-18, 0x1.e5f0d27e92843p-18, 0x1.dbca834e5ca65p-18, 0x1.d1c52edb043fdp-18, 0x1.c7e0d3e061321p-18, 0x1.be1d6d9ddb946p-18, 0x1.b47afff8ed114p-18, 0x1.aaf99aafe9d04p-18, 0x1.a1994f146c0a3p-18, 0x1.985a21cbf1f36p-18, 0x1.8f3c06693d72bp-18, 0x1.863ee937f043fp-18, 0x1.7d62b9dd21c31p-18, 0x1.74a7672967d4dp-18, 0x1.6c0cc6997809p-18, 0x1.6392a9d68cc46p-18, 0x1.5b38e11399b9ep-18, 0x1.52ffae96e81a5p-18, 0x1.4ae727afb29d9p-18, 0x1.42ef08a749f11p-18, 0x1.3b17313fb85d3p-18, 0x1.335f67fd5b295p-18, 0x1.2bc73d5e1a2bbp-18, 0x1.244e70d02a37dp-18, 0x1.1cf4e5e8db24fp-18, 0x1.15ba72e643852p-18, 0x1.0e9edb7b1394ep-18, 0x1.07a1deb537d8ap-18, 0x1.00c346a74926ep-18, 0x1.f405bbf0cac36p-19, 0x1.e6c0d7a5a493ep-19, 0x1.d9b78be1cadffp-19, 0x1.cce95ba8c27f8p-19, 0x1.c055a89c458cap-19, 0x1.b3fc0dcce3ac2p-19, 0x1.a7db846ca9782p-19, 0x1.9bf388bb84fe8p-19, 0x1.9043e1ead0f85p-19, 0x1.84cbdc8fcf667p-19, 0x1.798ab9627d12ap-19, 0x1.6e7ff457108cap-19, 0x1.63aad6ee888f1p-19, 0x1.590ad42a29b7ap-19, 0x1.4e9f6740d2e26p-19, 0x1.4468022386891p-19, 0x1.3a63fe416741ap-19, 0x1.3092a685add46p-19, 0x1.26f370d6fd59ap-19, 0x1.1d85e2a9d87f2p-19, 0x1.144957b3627a5p-19, 0x1.0b3d28aa9a60bp-19, 0x1.02609669e82ffp-19, 0x1.f365e573ea7e7p-20, 0x1.e2676170fa6d3p-20, 0x1.d1c475c09a5a3p-20, 0x1.c17be323e66eep-20, 0x1.b18c55251c8dcp-20, 0x1.a1f491a51c528p-20, 0x1.92b35033030dep-20, 0x1.83c7525a051c7p-20, 0x1.752f62e946f0ep-20, 0x1.66ea56b3bafe4p-20, 0x1.58f705e5f6047p-20, 0x1.4b543ebccde02p-20, 0x1.3e00bf8adc278p-20, 0x1.30fb422ca59e3p-20, 0x1.24428c118d67fp-20, 0x1.17d56f23f1749p-20, 0x1.0bb2bd160d57fp-20, 0x1.ffb282ddfda57p-21, 0x1.e890291c3fbb7p-21, 0x1.d1fa94006d717p-21, 0x1.bbf0fd4d254e5p-21, 0x1.a670a18f5db5ap-21, 0x1.917748c5af88cp-21, 0x1.7d024b3c034d1p-21, 0x1.690fbe860b9a1p-21, 0x1.559d4db869cefp-21, 0x1.42a8d93bb185p-21, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.7f701d0d159ebp-5, -0x1.7f051817e4a43p-5, -0x1.7e3f2e5dd5a64p-5, -0x1.7d0319ab68127p-5, -0x1.7b2e14515836p-5, -0x1.789838114ab6bp-5, -0x1.7516bcb12ad19p-5, -0x1.707df7488c2aep-5, -0x1.6aa30eaacc59ep-5, -0x1.635d633843553p-5, -0x1.5a87aceff8282p-5, -0x1.5000d4a456999p-5, -0x1.43ac8e40436f1p-5, -0x1.3573babc82245p-5, -0x1.254498eab7da7p-5, -0x1.1312cc8d44acfp-5, -0x1.fdae8682fb81p-6, -0x1.d11ffd0bbb17p-6, -0x1.a07f9347bea38p-6, -0x1.6bdbc319265e2p-6, -0x1.334b27b60544p-6, -0x1.edd765137d5d3p-7, -0x1.6dc3bb6acebe2p-7, -0x1.cd5f8515b2b14p-8, -0x1.63e775deefe35p-9, 0x1.d7b8aaa359b9dp-10, 0x1.a96a3e16436b2p-8, 0x1.73cc7def03d62p-7, 0x1.0be26e4e33e58p-6, 0x1.601139c092d4ap-6, 0x1.b6338a9a19756p-6, 0x1.0704c9a32285p-5, 0x1.33a9a0d82b617p-5, 0x1.60e85432a7005p-5, 0x1.8ea12f6cb4a1bp-5, 0x1.bcb4ec91dd76ap-5, 0x1.eb04dbba73742p-5, 0x1.0cb98360d1bb6p-4, 0x1.23f12887e823bp-4, 0x1.3b1b49c8a23d1p-4, 0x1.522a5a78c7bfp-4, 0x1.69115f1aeef42p-4, 0x1.7fc3f5e9dd82bp-4, 0x1.96365db2dbff5p-4, 0x1.ac5d7b11ed3adp-4, 0x1.c22edc2530888p-4, 0x1.d7a0bacee2acap-4, 0x1.eca9fd9f4de2dp-4, 0x1.00a11bc0ea069p-3, 0x1.0ab0d324955e3p-3, 0x1.1480981c1115p-3, 0x1.1e0d305215076p-3, 0x1.2753b1e7aca2p-3, 0x1.3051810b5c62cp-3, 0x1.39044d489b939p-3, 0x1.416a0e9d188f5p-3, 0x1.49810260abdc4p-3, 0x1.5147a80be8fd7p-3, 0x1.58bcbde870adp-3, 0x1.5fdf3db527588p-3, 0x1.66ae594762098p-3, 0x1.6d29773128402p-3, 0x1.73502f73a5c67p-3, 0x1.79224843ce0bep-3, 0x1.7e9fb2e65cd9p-3, 0x1.83c888a755a4fp-3, 0x1.889d07f063167p-3, 0x1.8d1d91808e3f3p-3, 0x1.914aa5c71ee25p-3, 0x1.9524e262bf202p-3, 0x1.98acffc571066p-3, 0x1.9be3cefd4d39ap-3, 0x1.9eca37a1a2ecap-3, 0x1.a16135e39effap-3, 0x1.a3a9d8c158e5cp-3, 0x1.a5a54059dcaa8p-3, 0x1.a7549c6090481p-3, 0x1.a8b92aae446acp-3, 0x1.a9d435edf5fap-3, 0x1.aaa7146371b9ep-3, 0x1.ab3326c9d5b12p-3, 0x1.ab79d747faf27p-3, 0x1.ab7c9878ef6ffp-3, 0x1.ab3ce4868fbeap-3, 0x1.aabc3c548d62bp-3, 0x1.a9fc26ba1ca41p-3, 0x1.a8fe2fc8c7c5bp-3, 0x1.a7c3e81ee1137p-3, 0x1.a64ee4443935dp-3, 0x1.a4a0bc0fe50d9p-3, 0x1.a2bb0a15eaa8cp-3, 0x1.a09f6b1bdfe8cp-3, 0x1.9e4f7d938b985p-3, 0x1.9bcce11add6b1p-3, 0x1.9919360073786p-3, 0x1.96361ccc4100dp-3, 0x1.932535cbc71d6p-3, 0x1.8fe820a18e6c7p-3, 0x1.8c807bd795356p-3, 0x1.88efe4747b796p-3, 0x1.8537f59340169p-3, 0x1.815a47fd846dcp-3, 0x1.7d5871c8416f1p-3, 0x1.793405f2f97d9p-3, 0x1.74ee940968eb1p-3, 0x1.7089a7c7cbeaep-3, 0x1.6c06c8c1d37f5p-3, 0x1.67677a0c6acc4p-3, 0x1.62ad39ea63afdp-3, 0x1.5dd9817c3cc2cp-3, 0x1.58edc473133a5p-3, 0x1.53eb70c6ff1ebp-3, 0x1.4ed3ee70de3cdp-3, 0x1.49a89f27d26e4p-3, 0x1.446ade227419dp-3, 0x1.3f1bffdbf2f97p-3, 0x1.39bd51dd2607dp-3, 0x1.34501a89bcb7bp-3, 0x1.2ed598f18a6ccp-3, 0x1.294f04a60da15p-3, 0x1.23bd8d9438e33p-3, 0x1.1e225be2820b7p-3, 0x1.187e8fd33cf99p-3, 0x1.12d341ab3ba96p-3, 0x1.0d21819cbc6f8p-3, 0x1.076a57b6816a4p-3, 0x1.01aec3d72644ep-3, 0x1.f7df7b48fd457p-4, 0x1.ec5c690e1148bp-4, 0x1.e0d61f528646ep-4, 0x1.d54e5bf5b6adp-4, 0x1.c9c6cc6f164efp-4, 0x1.be410de31bb5p-4, 0x1.b2bead3f051c6p-4, 0x1.a741275b3814p-4, 0x1.9bc9e923ee4ccp-4, 0x1.905a4fc7cdce6p-4, 0x1.84f3a8ec40c27p-4, 0x1.799732e7077b7p-4, 0x1.6e461cfcd50d2p-4, 0x1.630187a48dc77p-4, 0x1.57ca84ced2ca2p-4, 0x1.4ca2183181acdp-4, 0x1.41893796d5048p-4, 0x1.3680cb2fc88a5p-4, 0x1.2b89ade97024p-4, 0x1.20a4adc4ebc6ep-4, 0x1.15d28c319d6efp-4, 0x1.0b13fe695df76p-4, 0x1.0069adce522d1p-4, 0x1.eba870943b3bp-5, 0x1.d6a8615c48a19p-5, 0x1.c1d43e2923cc2p-5, 0x1.ad2d0283c292dp-5, 0x1.98b3960d4a4d7p-5, 0x1.8468cd429cdadp-5, 0x1.704d6a3f6a82bp-5, 0x1.5c621d8056596p-5, 0x1.48a786a3c1d49p-5, 0x1.351e3528cf54ap-5, 0x1.21c6a92c4eefp-5, 0x1.0ea15423291aap-5, 0x1.f75d3323fef2p-6, 0x1.d1dd9f83637fcp-6, 0x1.acc480e104508p-6, 0x1.881252ff2af5p-6, 0x1.63c77b392d8d1p-6, 0x1.3fe449ce9ff77p-6, 0x1.1c68fb25f39dcp-6, 0x1.f2ab720c984ep-7, 0x1.ad55379067d9fp-7, 0x1.68cf56f9e48bdp-7, 0x1.2519c218b04fp-7, 0x1.c4689d231e1d8p-8, 0x1.403d6fe5c8f6ep-8, 0x1.7b6286d495926p-9, 0x1.e619927392126p-11, -0x1.0a3745c94f3cbp-10, -0x1.8085f5ed5ff6ep-9, -0x1.3c5d9f172f9dfp-8, -0x1.b6df312e1fbf9p-8, -0x1.17e4a0036ef82p-7, -0x1.538eb97a57cf7p-7, -0x1.8e6ec38845c83p-7, -0x1.c885a64e903d3p-7, -0x1.00ea292419271p-6, -0x1.1d2ddf90a1a94p-6, -0x1.390e755039368p-6, -0x1.548c6bd129018p-6, -0x1.6fa84692fd085p-6, -0x1.8a628ab54d4e6p-6, -0x1.a4bbbe8ec138bp-6, -0x1.beb4694c0c507p-6, -0x1.d84d1296a5ca3p-6, -0x1.f186424301d25p-6, -0x1.05304003037a2p-5, -0x1.116e2998bdadap-5, -0x1.1d7d213b95a55p-5, -0x1.295d69d942fa7p-5, -0x1.350f45dc314afp-5, -0x1.4092f7165b1b6p-5, -0x1.4be8beaef3e5p-5, -0x1.5710dd12c7449p-5, -0x1.620b91e7252fep-5, -0x1.6cd91bff3da1fp-5, -0x1.7779b953c9443p-5, -0x1.81eda6fcdd4d3p-5, -0x1.8c35212dcdbb1p-5, -0x1.96506332f7e99p-5, -0x1.a03fa7715d97dp-5, -0x1.aa032767ed2cfp-5, -0x1.b39b1bb25d8e7p-5, -0x1.bd07bc0d7c732p-5, -0x1.c6493f5cd0f2dp-5, -0x1.cf5fdbb181132p-5, -0x1.d84bc6525507ap-5, -0x1.e10d33c4c19f2p-5, -0x1.e9a457d6e3b49p-5, -0x1.f21165aa4f6f6p-5, -0x1.fa548fbfa26f8p-5, -0x1.013704015d7e9p-4, -0x1.052effebc17fbp-4, -0x1.091254139d54bp-4, -0x1.0ce118b71688ep-4, -0x1.109b65e4ddaa5p-4, -0x1.1441538357bfap-4, -0x1.17d2f957e13efp-4, -0x1.1b506f0e22f73p-4, -0x1.1eb9cc3f72ef6p-4, -0x1.220f287a34922p-4, -0x1.25509b49387fp-4, -0x1.287e3c3b0f83cp-4, -0x1.2b9822e94dee5p-4, -0x1.2e9e66ffb8863p-4, -0x1.3191204355bb1p-4, -0x1.347066995dbfdp-4, -0x1.373c520e07a41p-4, -0x1.39f4fadb2828fp-4, -0x1.3c9a796ea8796p-4, -0x1.3f2ce670c73b2p-4, -0x1.41ac5aca288a1p-4, -0x1.4418efa9abb8cp-4, -0x1.4672be8a09d41p-4, -0x1.48b9e1373639bp-4, -0x1.4aee71d3816f2p-4, -0x1.4d108adc7b95ap-4, -0x1.4f20472f94b88p-4, -0x1.511dc20e79069p-4, -0x1.530917232a5ebp-4, -0x1.54e26283d4059p-4, -0x1.56a9c0b6571b7p-4, -0x1.585f4eb393841p-4, -0x1.5a0329ea68db3p-4, -0x1.5b95704270566p-4, -0x1.5d16401e70cf6p-4, -0x1.5e85b85e8d248p-4, -0x1.5fe3f8622bb34p-4, -0x1.6131200997a1ep-4, -0x1.626d4fb760b74p-4, -0x1.6398a8517311fp-4, -0x1.64b34b41f1a74p-4, -0x1.65bd5a77c9283p-4, -0x1.66b6f8670715fp-4, -0x1.67a04808ee57ap-4, -0x1.68796cdbd0b3p-4, -0x1.69428ae2a91ddp-4, -0x1.69fbc6a47af2fp-4, -0x1.6aa5452b7a712p-4, -0x1.6b3f2c03faa53p-4, -0x1.6bc9a13b25ab8p-4, -0x1.6c44cb5d810cfp-4, -0x1.6cb0d1753f161p-4, -0x1.6d0ddb086055ep-4, -0x1.6d5c1016a3252p-4, -0x1.6d9b99174a041p-4, -0x1.6dcc9ef6b2d25p-4, -0x1.6def4b13c6713p-4, -0x1.6e03c73d404abp-4, -0x1.6e0a3daed031cp-4, -0x1.6e02d90e18333p-4, -0x1.6dedc4678844bp-4, -0x1.6dcb2b2b1b853p-4, -0x1.6d9b3928f5a5ap-4, -0x1.6d5e1a8de458cp-4, -0x1.6d13fbdfc8d65p-4, -0x1.6cbd09f9e348ep-4, -0x1.6c5972090ec0ap-4, -0x1.6be96187e23b9p-4, -0x1.6b6d063ac1516p-4, -0x1.6ae48e2bd9b27p-4, -0x1.6a5027a713fc3p-4, -0x1.69b00135f3aap-4, -0x1.6904499b6bf0ep-4, -0x1.684d2fcfaac1p-4, -0x1.678ae2fbd90c6p-4, -0x1.66bd9275d3a95p-4, -0x1.65e56dbbe1386p-4, -0x1.6502a4705ee34p-4, -0x1.641566556cc25p-4, -0x1.631de34897178p-4, -0x1.621c4b3e811e2p-4, -0x1.6110ce3e8e72ep-4, -0x1.5ffb9c5e90b41p-4, -0x1.5edce5be76e51p-4, -0x1.5db4da8403262p-4, -0x1.5c83aad684a6p-4, -0x1.5b4986da9a5e5p-4, -0x1.5a069eadfbcc5p-4, -0x1.58bb22634bafcp-4, -0x1.576741fdf476fp-4, -0x1.560b2d6e0e586p-4, -0x1.54a7148c545f8p-4, -0x1.533b271622733p-4, -0x1.51c794a9824f9p-4, -0x1.504c8cc146932p-4, -0x1.4eca3eb13519dp-4, -0x1.4d40d9a24100ap-4, -0x1.4bb08c8ed4d7fp-4, -0x1.4a19863f2c246p-4, -0x1.487bf545c0edep-4, -0x1.46d807fbc8f69p-4, -0x1.452dec7dc61fp-4, -0x1.437dd0a82ad8p-4, -0x1.41c7e214102cap-4, -0x1.400c4e13ffacep-4, -0x1.3e4b41b0d274dp-4, -0x1.3c84e9a6a2d96p-4, -0x1.3ab97261d5a87p-4, -0x1.38e907fc35b3cp-4, -0x1.3713d63a25009p-4, -0x1.353a0887e47a8p-4, -0x1.335bc9f6f0c3dp-4, -0x1.3179453b728c1p-4, -0x1.2f92a4a9c7e23p-4, -0x1.2da812342383dp-4, -0x1.2bb9b7683d3d3p-4, -0x1.29c7bd6d1d8ep-4, -0x1.27d24d00fbf34p-4, -0x1.25d98e77351eep-4, -0x1.23dda9b655f1p-4, -0x1.21dec6363d235p-4, -0x1.1fdd0afe51e33p-4, -0x1.1dd89ea3d0c3dp-4, -0x1.1bd1a7482d456p-4, -0x1.19c84a978a94fp-4, -0x1.17bcadc74887bp-4, -0x1.15aef594a4d11p-4, -0x1.139f46437425ap-4, -0x1.118dc39ceb61p-4, -0x1.0f7a90ee81a5ep-4, -0x1.0d65d108e3e95p-4, -0x1.0b4fa63efdf44p-4, -0x1.093832651718cp-4, -0x1.071f96d00214ap-4, -0x1.0505f4546020ep-4, -0x1.02eb6b45f5f25p-4, -0x1.00d01b771799bp-4, -0x1.fd6848704329ap-5, -0x1.f92f48ae0d9e9p-5, -0x1.f4f5743de1dddp-5, -0x1.f0bb06afe0eaep-5, -0x1.ec803a8d7c996p-5, -0x1.e84549591d20cp-5, -0x1.e40a6b8de7682p-5, -0x1.dfcfd89fa40bbp-5, -0x1.db95c6fac3951p-5, -0x1.d75c6c04847b6p-5, -0x1.d323fc1b3548cp-5, -0x1.ceecaa9693f3cp-5, -0x1.cab6a9c84a6cdp-5, -0x1.c6822afc896e3p-5, -0x1.c24f5e7aba841p-5, -0x1.be1e73864d2cap-5, -0x1.b9ef985fa3a2ap-5, -0x1.b5c2fa45108b4p-5, -0x1.b198c573efbb7p-5, -0x1.ad712529da15p-5, -0x1.a94c43a5ea46fp-5, -0x1.a52a4a2a1db3fp-5, -0x1.a10b60fcc41f3p-5, -0x1.9cefaf6a0a71ap-5, -0x1.98d75bc595537p-5, -0x1.94c28b6c2f208p-5, -0x1.90b162c58a9e5p-5, -0x1.8ca405461695dp-5, -0x1.889a9570de719p-5, -0x1.849534d9848bbp-5, -0x1.8094042644929p-5, -0x1.7c972312061e1p-5, -0x1.789eb06e7f72dp-5, -0x1.74aaca26681bbp-5, -0x1.70bb8d3fb28c5p-5, -0x1.6cd115ddd64cep-5, -0x1.68eb7f44250e5p-5, -0x1.650ae3d82edfdp-5, -0x1.612f5d2429345p-5, -0x1.5d5903d964afap-5, -0x1.5987efd2ce8f9p-5, -0x1.55bc381772c96p-5, -0x1.51f5f2dd0f649p-5, -0x1.4e35358aabb4bp-5, -0x1.4a7a14bb35e88p-5, -0x1.46c4a44027fcp-5, -0x1.4314f724340f1p-5, -0x1.3f6b1fadf54dfp-5, -0x1.3bc72f62a350ep-5, -0x1.38293708d009dp-5, -0x1.349146ab2179p-5, -0x1.30ff6d9b1a83p-5, -0x1.2d73ba73daa09p-5, -0x1.29ee3b1ce8d1p-5, -0x1.266efcccfc15ep-5, -0x1.22f60c0cc935fp-5, -0x1.1f8374b9ccfb4p-5, -0x1.1c1742091d7acp-5, -0x1.18b17e8a3560cp-5, -0x1.15523429c7aecp-5, -0x1.11f96c348aadfp-5, -0x1.0ea72f5a0af92p-5, -0x1.0b5b85af74acap-5, -0x1.081676b25f66cp-5, -0x1.04d8094b9c64ap-5, -0x1.01a043d1fb79bp-5, -0x1.fcde581a2d6b3p-6, -0x1.f6898e7026f98p-6, -0x1.f0423408c5d91p-6, -0x1.ea08513905e69p-6, -0x1.e3dbed4d738f6p-6, -0x1.ddbd0e8f98316p-6, -0x1.d7abba4b5a84bp-6, -0x1.d1a7f4d4682b3p-6, -0x1.cbb1c18b831a1p-6, -0x1.c5c922e3dbae7p-6, -0x1.bfee1a684b17p-6, -0x1.ba20a8c08ba1bp-6, -0x1.b460cdb66fa07p-6, -0x1.aeae883b0116p-6, -0x1.a909d66b9b0cbp-6, -0x1.a372b596fd4c9p-6, -0x1.9de922424d115p-6, -0x1.986d182e0861cp-6, -0x1.92fe925af966fp-6, -0x1.8d9d8b0f11d6bp-6, -0x1.8849fbda3a679p-6, -0x1.8303dd9b17b6bp-6, -0x1.7dcb2883c11aap-6, -0x1.789fd41e6c343p-6, -0x1.7381d75209039p-6, -0x1.6e712866d6407p-6, -0x1.696dbd0ad8d81p-6, -0x1.64778a564f322p-6, -0x1.5f8e84d01a9bfp-6, -0x1.5ab2a07212e31p-6, -0x1.55e3d0ad4a74ep-6, -0x1.5122086e4ac06p-6, -0x1.4c6d3a213ac77p-6, -0x1.47c557b5f4cd2p-6, -0x1.432a52a41b4f4p-6, -0x1.3e9c1bef1a4c2p-6, -0x1.3a1aa42a0775cp-6, -0x1.35a5db7b8806p-6, -0x1.313db1a19bd51p-6, -0x1.2ce215f56437ap-6, -0x1.2892f76ed3a3ap-6, -0x1.245044a84e8e9p-6, -0x1.2019ebe23ab3ep-6, -0x1.1befdb068ad6ap-6, -0x1.17d1ffac2da96p-6, -0x1.13c0471a74f88p-6, -0x1.0fba9e4c6ec17p-6, -0x1.0bc0f1f42b4a4p-6, -0x1.07d32e7def853p-6, -0x1.03f1401364a35p-6, -0x1.001b129eae527p-6, -0x1.f8a1239b04c5cp-7, -0x1.f123522826c91p-7, -0x1.e9bc876020bf5p-7, -0x1.e26c9956f0721p-7, -0x1.db335dbedb944p-7, -0x1.d410a9edfe9d4p-7, -0x1.cd0452e3b0033p-7, -0x1.c60e2d4dd2917p-7, -0x1.bf2e0d8df3ad1p-7, -0x1.b863c7be7a7c5p-7, -0x1.b1af2fb77fcbfp-7, -0x1.ab101913d2fe9p-7, -0x1.a4865735a4e92p-7, -0x1.9e11bd4b2d0dfp-7, -0x1.97b21e53422d8p-7, -0x1.91674d21b7bb8p-7, -0x1.8b311c63cd9eap-7, -0x1.850f5ea45dcc1p-7, -0x1.7f01e6500b4a1p-7, -0x1.790885b949cb7p-7, -0x1.73230f1c40b2dp-7, -0x1.6d5154a2b24f6p-7, -0x1.67932867ba48fp-7, -0x1.61e85c7b72b6bp-7, -0x1.5c50c2e68f5c4p-7, -0x1.56cc2dadbf32cp-7, -0x1.515a6ed5230e3p-7, -0x1.4bfb5863821d5p-7, -0x1.46aebc65921ddp-7, -0x1.41746cf108d0ap-7, -0x1.3c4c3c27ad92ep-7, -0x1.3735fc3a42926p-7, -0x1.32317f6b599ap-7, -0x1.2d3e981222f48p-7, -0x1.285d189d1ced9p-7, -0x1.238cd394b4671p-7, -0x1.1ecd9b9dd3b34p-7, -0x1.1a1f437c4a4eep-7, -0x1.15819e153061ep-7, -0x1.10f47e713b31fp-7, -0x1.0c77b7bef2c1dp-7, -0x1.080b1d54e3ecap-7, -0x1.03ae82b3aba8bp-7, -0x1.fec377101f9b4p-8, -0x1.f6493759a5377p-8, -0x1.ededee595a378p-8, -0x1.e5b14488206dap-8, -0x1.dd92e2c5dbefbp-8, -0x1.d592725cd7b93p-8, -0x1.cdaf9d04f8328p-8, -0x1.c5ea0ce6e19ep-8, -0x1.be416c9ee5a96p-8, -0x1.b6b5673ff21f6p-8, -0x1.af45a8564fbf6p-8, -0x1.a7f1dbea62c5cp-8, -0x1.a0b9ae830c089p-8, -0x1.999ccd283a7dbp-8, -0x1.929ae56522678p-8, -0x1.8bb3a54a711f9p-8, -0x1.84e6bb708cfcfp-8, -0x1.7e33d6f96e34ep-8, -0x1.779aa792b3afap-8, -0x1.711add7752d1p-8, -0x1.6ab429715e554p-8, -0x1.64663cdba6e6ap-8, -0x1.5e30c9a33299dp-8, -0x1.58138248c81f1p-8, -0x1.520e19e23b2e2p-8, -0x1.4c20441bce0eap-8, -0x1.4649b5394b119p-8, -0x1.408a221728bd3p-8, -0x1.3ae1402b9f9dcp-8, -0x1.354ec5877a005p-8, -0x1.2fd268d71da88p-8, -0x1.2a6be1635fc49p-8, -0x1.251ae7123490dp-8, -0x1.1fdf326758caap-8, -0x1.1ab87c84f0289p-8, -0x1.15a67f2c0915ap-8, -0x1.10a8f4bd27bd6p-8, -0x1.0bbf9838a1871p-8, -0x1.06ea253f02b22p-8, -0x1.02285811573dp-8, -0x1.faf3db22d8f6p-9, -0x1.f1bd4683e4052p-9, -0x1.e8ac6e8d461bfp-9, -0x1.dfc0d0c8a91c9p-9, -0x1.d6f9ec01fc59ep-9, -0x1.ce57404772578p-9, -0x1.c5d84ee967747p-9, -0x1.bd7c9a7a03e7dp-9, -0x1.b543a6cd0a36ep-9, -0x1.ad2cf8f724302p-9, -0x1.a538174db432p-9, -0x1.9d64896608d0ep-9, -0x1.95b1d814e96fbp-9, -0x1.8e1f8d6da66e9p-9, -0x1.86ad34c161a58p-9, -0x1.7f5a5a9e13e0fp-9, -0x1.78268ccdbae6fp-9, -0x1.71115a5516551p-9, -0x1.6a1a5372bbbfep-9, -0x1.6341099dfb897p-9, -0x1.5c850f85942ccp-9, -0x1.55e5f90e6d6bbp-9, -0x1.4f635b5243b8fp-9, -0x1.48fccc9e48607p-9, -0x1.42b1e471ab2a5p-9, -0x1.3c823b7c0c59fp-9, -0x1.366d6b9c1a04ep-9, -0x1.30730fde0181ap-9, -0x1.2a92c479ac7b5p-9, -0x1.24cc26d11eacp-9, -0x1.1f1ed56ed667fp-9, -0x1.198a7003d3a5cp-9, -0x1.140e976612ff6p-9, -0x1.0eaaed8e954aap-9, -0x1.095f1597b060dp-9, -0x1.042ab3badddc3p-9, -0x1.fe1ada9e6b0fep-10, -0x1.f40dd18e4fb3p-10, -0x1.ea2d9b5d5681cp-10, -0x1.e079895285425p-10, -0x1.d6f0eedfb0e0ep-10, -0x1.cd93219d6f5aap-10, -0x1.c45f7947713f1p-10, -0x1.bb554fb7c096cp-10, -0x1.b27400e2e458ep-10, -0x1.a9baead38ec96p-10, -0x1.a1296da61b6c9p-10, -0x1.98beeb84628c9p-10, -0x1.907ac8a1b1e63p-10, -0x1.885c6b35c6e2p-10, -0x1.80633b79563e9p-10, -0x1.788ea3a0c3dbap-10, -0x1.70de0fd843ef5p-10, -0x1.6950ee3f0fcb6p-10, -0x1.61e6aee3131a5p-10, -0x1.5a9ec3bca7c05p-10, -0x1.5378a0a98a728p-10, -0x1.4c73bb690f10cp-10, -0x1.458f8b971d1e7p-10, -0x1.3ecb8aa7ede3fp-10, -0x1.382733e37cdf6p-10, -0x1.31a20460d66fp-10, -0x1.2b3b7b01d8329p-10, -0x1.24f3186e7b34bp-10, -0x1.1ec85f103b5ap-10, -0x1.18bad30de785fp-10, -0x1.12c9fa46d0be3p-10, -0x1.0cf55c4e7be9ap-10, -0x1.073c8267ff1d3p-10, -0x1.019ef781b3772p-10, -0x1.f83890605d1cbp-11, -0x1.ed680555100abp-11, -0x1.e2cb6d8ad4c94p-11, -0x1.d861ebddb4b4fp-11, -0x1.ce2aa65306bc2p-11, -0x1.c424c6115ce56p-11, -0x1.ba4f775730f39p-11, -0x1.b0a9e971d5f2p-11, -0x1.a7334eb5a453ep-11, -0x1.9deadc743601ap-11, -0x1.94cfcaf4c43c5p-11, -0x1.8be1556a9eaap-11, -0x1.831eb9ecff305p-11, -0x1.7a87396eae11ap-11, -0x1.721a17b572797p-11, -0x1.69d69b510e2aap-11, -0x1.61bc0d93d661dp-11, -0x1.59c9ba894a68ap-11, -0x1.51fef0ee58ed8p-11, -0x1.4a5b02292f5d1p-11, -0x1.42dd42409e7f6p-11, -0x1.3b8507d47dc2bp-11, -0x1.3451ac1514cccp-11, -0x1.2d428abb90567p-11, -0x1.2657020133378p-11, -0x1.1f8e729869c8fp-11, -0x1.18e83fa4049fcp-11, -0x1.1263ceaff336ep-11, -0x1.0c0087a93668ep-11, -0x1.05bdd4d6b418ap-11, -0x1.ff3645a12ccd6p-12, -0x1.f32fc0f3de62p-12, -0x1.e766fdf011be5p-12, -0x1.dbdae357498ddp-12, -0x1.d08a5c5360692p-12, -0x1.c574586629c93p-12, -0x1.ba97cb5d1b342p-12, -0x1.aff3ad40b87f6p-12, -0x1.a586fa486751ep-12, -0x1.9b50b2ca40bbp-12, -0x1.914fdb2e4460dp-12, -0x1.87837be0d0c81p-12, -0x1.7deaa14340eeap-12, -0x1.74845b9f4cf5ep-12, -0x1.6b4fbf196a195p-12, -0x1.624be3a33a67fp-12, -0x1.5977e4eec4e6fp-12, -0x1.50d2e25ff28c7p-12, -0x1.485bff01af79ap-12, -0x1.40126177183fp-12, -0x1.37f533ef6bfe5p-12, -0x1.3003a419b84b8p-12, -0x1.283ce31767f95p-12, -0x1.20a025719df84p-12, -0x1.192ca30b052fbp-12, -0x1.11e197144a2eep-12, -0x1.0abe40018baa1p-12, -0x1.03c1df7c047eep-12, -0x1.f9d774b0ec497p-13, -0x1.ec7631145aefbp-13, -0x1.df5e8a306a20dp-13, -0x1.d28f1c23eb5d5p-13, -0x1.c606890782f8bp-13, -0x1.b9c378d67a289p-13, -0x1.adc4995b95b22p-13, -0x1.a2089e182a1dcp-13, -0x1.968e4030ffe78p-13, -0x1.8b543e57ee6a5p-13, -0x1.80595cb7b65a1p-13, -0x1.759c64dd41b57p-13, -0x1.6b1c25a6ff5e8p-13, -0x1.60d7732c7p-13, -0x1.56cd26abfc898p-13, -0x1.4cfc1e786348bp-13, -0x1.43633de313958p-13, -0x1.3a016d29b2568p-13, -0x1.30d599644e29ep-13, -0x1.27deb46ffbeb1p-13, -0x1.1f1bb4de419b6p-13, -0x1.168b95e1f35dap-13, -0x1.0e2d573da4de8p-13, -0x1.05fffd3082b68p-13, -0x1.fc0520cd21fa4p-14, -0x1.ec683bc9b30f6p-14, -0x1.dd276df449f85p-14, -0x1.ce40e2593db8ep-14, -0x1.bfb2cc54bf857p-14, -0x1.b17b676fc4c8dp-14, -0x1.a398f73e0a2f8p-14, -0x1.9609c741a9fb8p-14, -0x1.88cc2ac8660dbp-14, -0x1.7bde7ccaf835ep-14, -0x1.6f3f1fd191454p-14, -0x1.62ec7dd2a12dep-14, -0x1.56e50815628b3p-14, -0x1.4b273712ecf1bp-14, -0x1.3fb18a5be612p-14, -0x1.348288780cf11p-14, -0x1.2998beca79edbp-14, -0x1.1ef2c1758fdedp-14, -0x1.148f2b40e5997p-14, -0x1.0a6c9d7a0ec09p-14, -0x1.0089bfdc84e6bp-14, -0x1.edca80eb97aabp-15, -0x1.dafba715fa706p-15, -0x1.c8a4670048a8fp-15, -0x1.b6c24177311bbp-15, -0x1.a552c31db70dep-15, -0x1.9453843ce80fp-15, -0x1.83c2288f4573ep-15, -0x1.739c5f10cbec1p-15, -0x1.63dfe1cfecd85p-15, -0x1.548a75bf399cdp-15, -0x1.4599ea856c4b1p-15, -0x1.370c1a504532fp-15, -0x1.28dee9a65139cp-15, -0x1.1b10473ddc9d2p-15, -0x1.0d9e2bcdc7e5bp-15, -0x1.008699e3bc6e5p-15, -0x1.e78f3b7040eb2p-16, -0x1.cebe9a0e8a956p-16, -0x1.b6978dca132bfp-16, -0x1.9f16672ba0141p-16, }}, 
      {{-0x1.7f869dd314f1fp-5, -0x1.7f63f332a2dc1p-5, -0x1.7f26348d3eff6p-5, -0x1.7ec7bd35318fcp-5, -0x1.7e412dba92f6cp-5, -0x1.7d89cfa85f542p-5, -0x1.7c97f8b056c1cp-5, -0x1.7b6167870ae51p-5, -0x1.79db978b2eb87p-5, -0x1.77fc0a08da9fbp-5, -0x1.75b884da645a1p-5, -0x1.730746a74428dp-5, -0x1.6fdf314536cb1p-5, -0x1.6c37eae74757ep-5, -0x1.6809f6e0a8b52p-5, -0x1.634ec6d38bce9p-5, -0x1.5e00c52f7f366p-5, -0x1.581b59e793366p-5, -0x1.519aea4595e93p-5, -0x1.4a7cd4b680aa5p-5, -0x1.42bf695cf6725p-5, -0x1.3a61e02374e51p-5, -0x1.31644cf1d1cap-5, -0x1.27c79292b0d6p-5, -0x1.1d8d54beb0f02p-5, -0x1.12b7e9ada9e24p-5, -0x1.074a4b7aa6118p-5, -0x1.f690132c90eabp-6, -0x1.dd6a74e938d2fp-6, -0x1.c32cdb2ee8d3ap-6, -0x1.a7e13c198eb8dp-6, -0x1.8b924ae22a0a8p-6, -0x1.6e4b5f0065871p-6, -0x1.50185c75948f9p-6, -0x1.31059d47ba0a2p-6, -0x1.111fdc2f4b0b2p-6, -0x1.e0e840efb76eap-7, -0x1.9e1f5623f6178p-7, -0x1.59ffc9a752f99p-7, -0x1.14a49bc801b9bp-7, -0x1.9c51b938c83edp-8, -0x1.0d4f1eddd26eap-8, -0x1.f1dc833299a56p-10, 0x1.601074133223bp-12, 0x1.53c9944f068f4p-9, 0x1.3f006b28a76edp-8, 0x1.d52123ac7e772p-8, 0x1.360aa18707f9ap-7, 0x1.81d6254e11376p-7, 0x1.cddb82fa0b12bp-7, 0x1.0d01e7f842ab3p-6, 0x1.331c6cfb16201p-6, 0x1.5932973367636p-6, 0x1.7f3a0ffae8d5dp-6, 0x1.a528e587cd6bdp-6, 0x1.caf58c7ad878fp-6, 0x1.f096e0d74fb34p-6, 0x1.0b021338d111fp-5, 0x1.1d9a8470a06ecp-5, 0x1.3010cd80f8c62p-5, 0x1.42612b084471p-5, 0x1.54880c3743ba2p-5, 0x1.6682120bd7847p-5, 0x1.784c0e69f5328p-5, 0x1.89e30317b2935p-5, 0x1.9b4420a116cedp-5, 0x1.ac6cc527da669p-5, 0x1.bd5a7b2329832p-5, 0x1.ce0af812edfa3p-5, 0x1.de7c1b29fcf57p-5, 0x1.eeabebf20d8fep-5, 0x1.fe9898ec2ef3ap-5, 0x1.07203b18046c5p-4, 0x1.0ed0fe05fdb77p-4, 0x1.165de2d3f4ee1p-4, 0x1.1dc647d618494p-4, 0x1.25099b770bc13p-4, 0x1.2c275b91667acp-4, 0x1.331f14ccea0f3p-4, 0x1.39f061ffc4988p-4, 0x1.409aeb942578p-4, 0x1.471e66f25563fp-4, 0x1.4d7a95ef70861p-4, 0x1.53af4640d3e7dp-4, 0x1.59bc50f44347bp-4, 0x1.5fa199ecc4586p-4, 0x1.655f0f6419137p-4, 0x1.6af4a970ccfbap-4, 0x1.70626990ae6d7p-4, 0x1.75a85a3799145p-4, 0x1.7ac68e626a487p-4, 0x1.7fbd212df62bbp-4, 0x1.848c3571d676ep-4, 0x1.8933f55ee729ep-4, 0x1.8db49221468bep-4, 0x1.920e4385aaeb2p-4, 0x1.964147a1ed90dp-4, 0x1.9a4de28097037p-4, 0x1.9e345dcf4bb18p-4, 0x1.a1f5088ff8a6dp-4, 0x1.a59036cc917fdp-4, 0x1.a906414d4a7f6p-4, 0x1.ac578551297abp-4, 0x1.af846448d284fp-4, 0x1.b28d439377b7dp-4, 0x1.b5728c3dcff56p-4, 0x1.b834aac30f5a2p-4, 0x1.bad40ecfaad79p-4, 0x1.bd512b05ff976p-4, 0x1.bfac74c4b7741p-4, 0x1.c1e663eed3a7bp-4, 0x1.c3ff72b56a017p-4, 0x1.c5f81d62fc01ap-4, 0x1.c7d0e2285f0efp-4, 0x1.c98a40eb2975ep-4, 0x1.cb24bb15b2448p-4, 0x1.cca0d3687d4e7p-4, 0x1.cdff0dcd26b38p-4, 0x1.cf3fef2acc26ap-4, 0x1.d063fd3bd0c57p-4, 0x1.d16bbe65277bdp-4, 0x1.d257b98eed6a4p-4, 0x1.d32875fe820c4p-4, 0x1.d3de7b31f4a8bp-4, 0x1.d47a50bcd6e13p-4, 0x1.d4fc7e2677e52p-4, 0x1.d5658ac96c22dp-4, 0x1.d5b5fdb484a62p-4, 0x1.d5ee5d8d08668p-4, 0x1.d60f307250f23p-4, 0x1.d618fbe2b8de1p-4, 0x1.d60c44a1cfaaap-4, 0x1.d5e98e9fdf6dbp-4, 0x1.d5b15ce2befa2p-4, 0x1.d564316fd7e4ep-4, 0x1.d5028d3777456p-4, 0x1.d48cf001579ap-4, 0x1.d403d85a5780ap-4, 0x1.d367c383660dbp-4, 0x1.d2b92d6196b03p-4, 0x1.d1f8906f5ca28p-4, 0x1.d12665aed8caap-4, 0x1.d043249d44991p-4, 0x1.cf4f432772ddp-4, 0x1.ce4b359f517p-4, 0x1.cd376eb269f95p-4, 0x1.cc145f6160038p-4, 0x1.cae276f86aa4dp-4, 0x1.c9a22308a4c6ap-4, 0x1.c853cf6258fedp-4, 0x1.c6f7e6100b68p-4, 0x1.c58ecf52747c8p-4, 0x1.c418f19d2f63p-4, 0x1.c296b194344c3p-4, 0x1.c108720a10cf8p-4, 0x1.bf6e93fec7683p-4, 0x1.bdc9769f6262ep-4, 0x1.bc1977462a66ep-4, 0x1.ba5ef17b69bcp-4, 0x1.b89a3ef6d169ep-4, 0x1.b6cbb7a15b3e3p-4, 0x1.b4f3b197b6ce1p-4, 0x1.b312812d2e177p-4, 0x1.b12878eefc7c3p-4, 0x1.af35e9a81653dp-4, 0x1.ad3b226544ef2p-4, 0x1.ab387079b8792p-4, 0x1.a92e1f83daf01p-4, 0x1.a71c7972805b1p-4, 0x1.a503c68a5654ep-4, 0x1.a2e44d6b9d79dp-4, 0x1.a0be53182067fp-4, 0x1.9e921af953363p-4, 0x1.9c5fe6e6bb0b7p-4, 0x1.9a27f72c6c94fp-4, 0x1.97ea8a91bbebap-4, 0x1.95a7de600763bp-4, 0x1.93602e69a39c4p-4, 0x1.9113b510dae91p-4, 0x1.8ec2ab4f00f7p-4, 0x1.8c6d48bb9564fp-4, 0x1.8a13c39370366p-4, 0x1.87b650bff54fep-4, 0x1.855523de4a698p-4, 0x1.82f06f468d5bdp-4, 0x1.8088641306339p-4, 0x1.7e1d322751b57p-4, 0x1.7baf0837847d7p-4, 0x1.793e13cf3fb22p-4, 0x1.76ca8158b7779p-4, 0x1.74547c23a95fep-4, 0x1.71dc2e6c3decep-4, 0x1.6f61c161d4c8p-4, 0x1.6ce55d2dbb29fp-4, 0x1.6a6728f9c893p-4, 0x1.67e74af6e14d4p-4, 0x1.6565e8635dd6cp-4, 0x1.62e32591559f2p-4, 0x1.605f25ecc966ep-4, 0x1.5dda0c01b14bp-4, 0x1.5b53f981e8ddbp-4, 0x1.58cd0f4afd292p-4, 0x1.56456d6bd7836p-4, 0x1.53bd332a466e7p-4, 0x1.51347f0866cd7p-4, 0x1.4eab6ec9e9be2p-4, 0x1.4c221f79349f2p-4, 0x1.4998ad6c627a2p-4, 0x1.470f344a20a9ap-4, 0x1.4485cf0e698acp-4, 0x1.41fc980f1ba59p-4, 0x1.3f73a9006eb47p-4, 0x1.3ceb1af946b7fp-4, 0x1.3a63067765161p-4, 0x1.37db83637711dp-4, 0x1.3554a915027cp-4, 0x1.32ce8e5634d55p-4, 0x1.304949678e06ep-4, 0x1.2dc4f0036ef43p-4, 0x1.2b419761850b9p-4, 0x1.28bf543a19b06p-4, 0x1.263e3ac942dc2p-4, 0x1.23be5ed1f73fcp-4, 0x1.213fd3a102605p-4, 0x1.1ec2ac0fe09ap-4, 0x1.1c46fa877d677p-4, 0x1.19ccd102d7cd4p-4, 0x1.175441118c8f6p-4, 0x1.14dd5bda454e2p-4, 0x1.1268321d133bcp-4, 0x1.0ff4d435ae06p-4, 0x1.0d83521d9e2adp-4, 0x1.0b13bb6e4f8c6p-4, 0x1.08a61f630fcaep-4, 0x1.063a8cdaf88ffp-4, 0x1.03d1125ac165ap-4, 0x1.0169be0e83d53p-4, 0x1.fe093b96d2b5ap-5, 0x1.f9437e2291fb2p-5, 0x1.f4825e1866f85p-5, 0x1.efc5f52bde3bbp-5, 0x1.eb0e5c6ec53f3p-5, 0x1.e65bac53e8afep-5, 0x1.e1adfcb1afe0dp-5, 0x1.dd0564c49ccb6p-5, 0x1.d861fb31b74ecp-5, 0x1.d3c3d608d91d9p-5, 0x1.cf2b0ac6e5446p-5, 0x1.ca97ae57ec55dp-5, 0x1.c609d51934cadp-5, 0x1.c18192db34f67p-5, 0x1.bcfefae37728ep-5, 0x1.b8821fee6f0b4p-5, 0x1.b40b143137c32p-5, 0x1.af99e95b49fe3p-5, 0x1.ab2eb0981c2d4p-5, 0x1.a6c97a90bb01ep-5, 0x1.a26a576d50546p-5, 0x1.9e1156d6a1982p-5, 0x1.99be87f77fe2cp-5, 0x1.9571f97e31442p-5, 0x1.912bb99dcbb18p-5, 0x1.8cebd60f8cc58p-5, 0x1.88b25c1421518p-5, 0x1.847f5874f0731p-5, 0x1.8052d785545e5p-5, 0x1.7c2ce523d544p-5, 0x1.780d8cbb5b6c4p-5, 0x1.73f4d9445c645p-5, 0x1.6fe2d546033f2p-5, 0x1.6bd78ad7592fep-5, 0x1.67d303a06396ap-5, 0x1.63d548db42671p-5, 0x1.5fde63554e34ap-5, 0x1.5bee5b702f361p-5, 0x1.58053922f8db3p-5, 0x1.542303fb3b88fp-5, 0x1.5047c31e1f212p-5, 0x1.4c737d4972482p-5, 0x1.48a638d4c1c1dp-5, 0x1.44dffbb26bf03p-5, 0x1.4120cb70b3434p-5, 0x1.3d68ad3ad26bbp-5, 0x1.39b7a5da0fd94p-5, 0x1.360db9b6d2474p-5, 0x1.326aecd9b873cp-5, 0x1.2ecf42ecab901p-5, 0x1.2b3abf3bfa7c3p-5, 0x1.27ad64b76f07fp-5, 0x1.242735f3687aap-5, 0x1.20a83529f8372p-5, 0x1.1d30643bfa81bp-5, 0x1.19bfc4b2375cdp-5, 0x1.165657be80efdp-5, 0x1.12f41e3cd2a1ap-5, 0x1.0f9918b4735e5p-5, 0x1.0c4547591c6f4p-5, 0x1.08f8aa0c1b0c7p-5, 0x1.05b3405d78f71p-5, 0x1.0275098d229dep-5, 0x1.fe7c091827e19p-6, 0x1.f81c5ffb035ebp-6, 0x1.f1cb14700bc53p-6, 0x1.eb88228d9c317p-6, 0x1.e55385d5955e7p-6, 0x1.df2d3937bf0a4p-6, 0x1.d9153714268a4p-6, 0x1.d30b793d8b723p-6, 0x1.cd0ff8fbc1acep-6, 0x1.c722af0e1b52cp-6, 0x1.c14393add2802p-6, 0x1.bb729e907764cp-6, 0x1.b5afc6ea5e52bp-6, 0x1.affb03710d19ep-6, 0x1.aa544a5da6469p-6, 0x1.a4bb916f61becp-6, 0x1.9f30cdedf8011p-6, 0x1.99b3f4ac146cep-6, 0x1.9444fa09c4b9ap-6, 0x1.8ee3d1f6ebf37p-6, 0x1.89906ff5b08a4p-6, 0x1.844ac71cec7d8p-6, 0x1.7f12ca1a9ef04p-6, 0x1.79e86b3656b38p-6, 0x1.74cb9c53a3da9p-6, 0x1.6fbc4ef47b3bep-6, 0x1.6aba743ba4805p-6, 0x1.65c5fcef26166p-6, 0x1.60ded97aa311ap-6, 0x1.5c04f9f1c44d6p-6, 0x1.57384e1294301p-6, 0x1.5278c547e0c42p-6, 0x1.4dc64eab9342ap-6, 0x1.4920d90909065p-6, 0x1.448852df6de6dp-6, 0x1.3ffcaa64022b9p-6, 0x1.3b7dcd8472cbp-6, 0x1.370ba9e919bc1p-6, 0x1.32a62cf7498abp-6, 0x1.2e4d43d38da9cp-6, 0x1.2a00db63e5d7bp-6, 0x1.25c0e051fdffp-6, 0x1.218d3f0d63fa1p-6, 0x1.1d65e3cdb2c84p-6, 0x1.194aba94bc5bep-6, 0x1.153baf30b1fedp-6, 0x1.1138ad3e3f58ep-6, 0x1.0d41a02aa62a5p-6, 0x1.09567335cf78p-6, 0x1.057711745e202p-6, 0x1.01a365d1b13f6p-6, 0x1.fbb6b623d9d6cp-7, 0x1.f43db7a7e84cfp-7, 0x1.ecdba526b8fb6p-7, 0x1.e5905354c4b69p-7, 0x1.de5b96a79d241p-7, 0x1.d73d4359bc09fp-7, 0x1.d0352d6e35108p-7, 0x1.c94328b4607a3p-7, 0x1.c26708cb84738p-7, 0x1.bba0a12660d49p-7, 0x1.b4efc50eae388p-7, 0x1.ae5447a89a43cp-7, 0x1.a7cdfbf63036dp-7, 0x1.a15cb4daac648p-7, 0x1.9b00451dcfa7ep-7, 0x1.94b87f6f208f1p-7, 0x1.8e85366911c8p-7, 0x1.88663c9429f6p-7, 0x1.825b646a193afp-7, 0x1.7c648058bb0d2p-7, 0x1.768162c5126b8p-7, 0x1.70b1de0e2b547p-7, 0x1.6af5c4900075ep-7, 0x1.654ce8a641e64p-7, 0x1.5fb71caf109cp-7, 0x1.5a34330db2dbp-7, 0x1.54c3fe2d33861p-7, 0x1.4f665082f7965p-7, 0x1.4a1afc9144174p-7, 0x1.44e1d4e9b3879p-7, 0x1.3fbaac2f9a7a8p-7, 0x1.3aa5551a6c815p-7, 0x1.35a1a27802ae7p-7, 0x1.30af672eda36fp-7, 0x1.2bce764045d9ap-7, 0x1.26fea2ca944b8p-7, 0x1.223fc00b23807p-7, 0x1.1d91a16069f6p-7, 0x1.18f41a4befaabp-7, 0x1.1466fe743c87p-7, 0x1.0fea21a6b6739p-7, 0x1.0b7d57d97354p-7, 0x1.0720752d00e0bp-7, 0x1.02d34dee1e24dp-7, 0x1.fd2b6d2ec441bp-8, 0x1.f4cf07a5bdd0fp-8, 0x1.ec9114f766514p-8, 0x1.e4713f3f1a153p-8, 0x1.dc6f310048bb2p-8, 0x1.d48a952952b33p-8, 0x1.ccc317164b777p-8, 0x1.c5186293a1078p-8, 0x1.bd8a23e0af671p-8, 0x1.b61807b23f489p-8, 0x1.aec1bb34e2a94p-8, 0x1.a786ec0f462a2p-8, 0x1.a0674864632b7p-8, 0x1.99627ed5acd64p-8, 0x1.92783e8512edfp-8, 0x1.8ba83716f83f3p-8, 0x1.84f218b415125p-8, 0x1.7e55940b43a9ep-8, 0x1.77d25a532e125p-8, 0x1.71681d4bfc823p-8, 0x1.6b168f40db7a1p-8, 0x1.64dd630983946p-8, 0x1.5ebc4c0b96d55p-8, 0x1.58b2fe3bfd21cp-8, 0x1.52c12e202328dp-8, 0x1.4ce690cf2bca1p-8, 0x1.4722dbf30cf01p-8, 0x1.4175c5c9a0e02p-8, 0x1.3bdf05259c3cbp-8, 0x1.365e516f81372p-8, 0x1.30f362a678942p-8, 0x1.2b9df16119cc9p-8, 0x1.265db6ce2563cp-8, 0x1.21326cb52c19ap-8, 0x1.1c1bcd772ecb4p-8, 0x1.1719940f27cf6p-8, 0x1.122b7c12899fep-8, 0x1.0d5141b1b6c29p-8, 0x1.088aa1b85952fp-8, 0x1.03d7598db9241p-8, 0x1.fe6e4e6a09deap-9, 0x1.f553929b0dee2p-9, 0x1.ec5dfe25aa51dp-9, 0x1.e38d10b9d9f5fp-9, 0x1.dae04b4096b2p-9, 0x1.d2572fdbe6cbap-9, 0x1.c9f141e6e3275p-9, 0x1.c1ae05f58c806p-9, 0x1.b98d01d4931cep-9, 0x1.b18dbc891a917p-9, 0x1.a9afbe504e3b7p-9, 0x1.a1f2909ef9ab9p-9, 0x1.9a55be20ffdap-9, 0x1.92d8d2b8c4477p-9, 0x1.8b7b5b7e845b1p-9, 0x1.843ce6bf964bp-9, 0x1.7d1d03fd95711p-9, 0x1.761b43ed8aae7p-9, 0x1.6f373876f5497p-9, 0x1.687074b2cc793p-9, 0x1.61c68cea6e5dep-9, 0x1.5b39169687172p-9, 0x1.54c7a85dda94cp-9, 0x1.4e71da141eba9p-9, 0x1.483744b89c184p-9, 0x1.42178274e1c5dp-9, 0x1.3c122e9b5f59fp-9, 0x1.3626e5a5fdc0dp-9, 0x1.305545349acc7p-9, 0x1.2a9cec0b8b869p-9, 0x1.24fd7a120acebp-9, 0x1.1f7690509954cp-9, 0x1.1a07d0ef68466p-9, 0x1.14b0df34a1149p-9, 0x1.0f715f82a9d93p-9, 0x1.0a48f756707d7p-9, 0x1.05374d4593899p-9, 0x1.003c08fc9a274p-9, 0x1.f6ada67a41c4cp-10, 0x1.ed0eabb7e44a4p-10, 0x1.e39a777e4aeb1p-10, 0x1.da5061b85f002p-10, 0x1.d12fc46be203ep-10, 0x1.c837fbb574e25p-10, 0x1.bf6865c4a3c98p-10, 0x1.b6c062d7d5d52p-10, 0x1.ae3f5538425aap-10, 0x1.a5e4a135cd703p-10, 0x1.9dafad22e113cp-10, 0x1.959fe15053d3dp-10, 0x1.8db4a80925d08p-10, 0x1.85ed6d8e56813p-10, 0x1.7e49a0129432ep-10, 0x1.76c8afb5f246fp-10, 0x1.6f6a0e81a1b3bp-10, 0x1.682d3063ace47p-10, 0x1.61118b2a9d156p-10, 0x1.5a16968106eafp-10, 0x1.533bcbe952b45p-10, 0x1.4c80a6b952046p-10, 0x1.45e4a415c226bp-10, 0x1.3f6742ee0a3ffp-10, 0x1.390803f7d5684p-10, 0x1.32c669aa8f7e4p-10, 0x1.2ca1f83b1806p-10, 0x1.269a3597401dp-10, 0x1.20aea96173368p-10, 0x1.1adedcec4953bp-10, 0x1.152a5b3626be8p-10, 0x1.0f90b0e4d2c27p-10, 0x1.0a116c410684p-10, 0x1.04ac1d3210e5cp-10, 0x1.fec0aa72da494p-11, 0x1.f45b4edce99fdp-11, 0x1.ea2750f3ebe44p-11, 0x1.e023dd23b43a7p-11, 0x1.d65022e994662p-11, 0x1.ccab54cbba6cfp-11, 0x1.c334a8509a9b1p-11, 0x1.b9eb55f64496bp-11, 0x1.b0ce9929df2fp-11, 0x1.a7ddb03f29cbdp-11, 0x1.9f17dc67d2a14p-11, 0x1.967c61ab484a1p-11, 0x1.8e0a86ddec66dp-11, 0x1.85c19598f1d45p-11, 0x1.7da0da321cb4ep-11, 0x1.75a7a3b32c3b5p-11, 0x1.6dd543d1d867ap-11, 0x1.66290ee78453dp-11, 0x1.5ea25be91ca3cp-11, 0x1.5740845ecd6c6p-11, 0x1.5002e45c537b2p-11, 0x1.48e8da788ee28p-11, 0x1.41f1c7c5e8bf8p-11, 0x1.3b1d0fca22592p-11, 0x1.346a1876978adp-11, 0x1.2dd84a20870ap-11, 0x1.27670f7915fd3p-11, 0x1.2115d585f28dbp-11, 0x1.1ae40b998160ap-11, 0x1.14d1234b42e9p-11, 0x1.0edc907072983p-11, 0x1.0905c9146e702p-11, 0x1.034c4571595b3p-11, 0x1.fb5effd19d41cp-12, 0x1.f05de9f924dbp-12, 0x1.e594468eee886p-12, 0x1.db0116ebf0eacp-12, 0x1.d0a3607edfe8fp-12, 0x1.c67a2cbd81961p-12, 0x1.bc8489173796ap-12, 0x1.b2c186e6dc7c1p-12, 0x1.a9303b655952dp-12, 0x1.9fcfbf9bec606p-12, 0x1.969f3056b9499p-12, 0x1.8d9dae179605fp-12, 0x1.84ca5d08a23abp-12, 0x1.7c2464ef7a68ep-12, 0x1.73aaf1201a7efp-12, 0x1.6b5d30707a68ep-12, 0x1.633a552b41cb1p-12, 0x1.5b419503df127p-12, 0x1.537229099b8f9p-12, 0x1.4bcb4d9baadefp-12, 0x1.444c425cdbbdbp-12, 0x1.3cf44a278f933p-12, 0x1.35c2ab01ef3adp-12, 0x1.2eb6ae1239055p-12, 0x1.27cf9f92c8061p-12, 0x1.210ccec7075cdp-12, 0x1.1a6d8def8451dp-12, 0x1.13f1323f45274p-12, 0x1.0d9713d0017d1p-12, 0x1.075e8d97f6c91p-12, 0x1.0146fd5e20ba9p-12, 0x1.f69f87602d68fp-13, 0x1.eaf087ae77c7p-13, 0x1.df7fc79c5f776p-13, 0x1.d44c186caada9p-13, 0x1.c954509b9e301p-13, 0x1.be974bca5e44fp-13, 0x1.b413eaab2a682p-13, 0x1.a9c912ed77be8p-13, 0x1.9fb5af2a26b6ap-13, 0x1.95d8aed0a3924p-13, 0x1.8c3106136301ep-13, 0x1.82bdadd53605dp-13, 0x1.797da396e243ep-13, 0x1.706fe964a4beap-13, 0x1.679385c3face9p-13, 0x1.5ee783a1c27ap-13, 0x1.566af240c8afep-13, 0x1.4e1ce527a52b5p-13, 0x1.45fc7410766c4p-13, 0x1.3e08bad6ed57cp-13, 0x1.3640d968ad1f4p-13, 0x1.2ea3f3b36d655p-13, 0x1.27313195c2a0bp-13, 0x1.1fe7bece3d5b4p-13, 0x1.18c6caebd14ep-13, 0x1.11cd893e38e25p-13, 0x1.0afb30c62475bp-13, 0x1.044efc262fc5ap-13, 0x1.fb905327d9f42p-14, 0x1.eecbf591c4592p-14, 0x1.e24f69e794fafp-14, 0x1.d6194154e9931p-14, 0x1.ca2813b626507p-14, 0x1.be7a7f7c9489ep-14, 0x1.b30f29937a093p-14, 0x1.a7e4bd4368928p-14, 0x1.9cf9ec18ec502p-14, 0x1.924d6dc857786p-14, 0x1.87de0014bb1f2p-14, 0x1.7daa66b5825efp-14, 0x1.73b16b3d3184fp-14, 0x1.69f1dd0034031p-14, 0x1.606a90fc15068p-14, 0x1.571a61bf900d7p-14, 0x1.4e002f5218369p-14, 0x1.451adf1c7ba7ep-14, 0x1.3c695bd17661ep-14, 0x1.33ea9556b2f6fp-14, 0x1.2b9d80ae14ef8p-14, 0x1.238117dfcc95cp-14, 0x1.1b9459e3a522cp-14, 0x1.13d64a8c410ddp-14, 0x1.0c45f271400ap-14, 0x1.04e25eda7cc6ap-14, 0x1.fb55435668b2cp-15, 0x1.ed3ba29b98021p-15, 0x1.df76113f21351p-15, 0x1.d202cdba7370bp-15, 0x1.c4e01f1e59e9fp-15, 0x1.b80c54ed6c2cp-15, 0x1.ab85c6f568f28p-15, 0x1.9f4ad52b842d9p-15, 0x1.9359e78699501p-15, 0x1.87b16ddafed41p-15, 0x1.7c4fdfb8a0b2p-15, 0x1.7133bc4664ecep-15, 0x1.665b8a2080679p-15, 0x1.5bc5d7371ef3p-15, 0x1.517138acd0ff5p-15, 0x1.475c4ab557b1cp-15, 0x1.3d85b07692d0ep-15, 0x1.33ec13e750d15p-15, 0x1.2a8e25b156809p-15, 0x1.216a9d121adc8p-15, 0x1.188037bc79b78p-15, 0x1.0fcdb9bb4bdcfp-15, 0x1.0751ed53cbb04p-15, 0x1.fe1745d333244p-16, 0x1.edf361c381a71p-16, 0x1.de35e70dac174p-16, 0x1.cedc99dab9875p-16, 0x1.bfe549b408116p-16, 0x1.b14dd14bd69c3p-16, 0x1.a3141648c8ffdp-16, 0x1.9536091505c72p-16, 0x1.87b1a4aa9ec05p-16, 0x1.7a84ee609af5bp-16, 0x1.6dadf5bca7c3ap-16, 0x1.612ad441b6572p-16, 0x1.54f9ad3ffafa2p-16, 0x1.4918ada8e8b58p-16, 0x1.3d860bde731acp-16, 0x1.324007893b3ap-16, 0x1.2744e96a99594p-16, 0x1.1c930332a248fp-16, 0x1.1228af53b355bp-16, 0x1.080450d9943d9p-16, 0x1.fc48a6825b2bp-17, 0x1.e90e549c70bcdp-17, 0x1.d656a3c893f01p-17, 0x1.c41e9bbf5b472p-17, 0x1.b26353def6271p-17, 0x1.a121f2dd81451p-17, 0x1.9057ae7f62f19p-17, 0x1.8001cb4fe214cp-17, 0x1.701d9c57a9632p-17, 0x1.60a882d6281d3p-17, 0x1.519fedfd7872p-17, 0x1.43015aad6af91p-17, 0x1.34ca533231439p-17, 0x1.26f86eff89541p-17, 0x1.19895270d1eaap-17, 0x1.0c7aae8e5a82cp-17, 0x1.ff94818fa9c52p-18, 0x1.e6eba579b4879p-18, 0x1.cef673f9caca2p-18, 0x1.b7b0af9d1c375p-18, 0x1.a11631e9c3edap-18, 0x1.8b22eaea2e7eep-18, 0x1.75d2e0c03aedp-18, 0x1.61222f37171adp-18, 0x1.4d0d0753fcdebp-18, 0x1.398faeef67bb1p-18, 0x1.26a6804b776b1p-18, 0x1.144de9adb3fd6p-18, 0x1.02826cf986143p-18, 0x1.e2813ea17e87bp-19, 0x1.c10a515cb0265p-19, 0x1.a0998711ff7c8p-19, 0x1.812878ebd59dep-19, 0x1.62b0e399577dp-19, 0x1.452ca69a02399p-19, 0x1.2895c390275e1p-19, 0x1.0ce65d89cf15dp-19, 0x1.e43170c1e07ffp-20, 0x1.b04e701c5a7afp-20, 0x1.7e18c00a276e4p-20, 0x1.4d85a52670fd5p-20, 0x1.1e8aa08489bep-20, 0x1.e23adce504c86p-21, 0x1.8a680aa27990cp-21, 0x1.358928c428e97p-21, 0x1.c7160aa9f9d02p-22, 0x1.28b5b72852701p-22, 0x1.1f9946e01e2eap-23, -0x1.e4892ab0ed224p-29, -0x1.245cfd06f40a8p-23, -0x1.1b85ec5d026dap-22, -0x1.9ff0e1f33b47p-22, -0x1.0fc8121f6805fp-21, -0x1.4d41dd8e97c44p-21, -0x1.88757a9718a4ap-21, -0x1.c17235ba7f5d3p-21, -0x1.f84702ac9dcd5p-21, -0x1.16813f0c6b755p-20, -0x1.2fd977b510cb4p-20, -0x1.4833254710596p-20, -0x1.5f9518ddcd24p-20, -0x1.7605fb8ef08ap-20, -0x1.8b8c4f3a3f4a5p-20, -0x1.a02e6f60425dbp-20, -0x1.b3f291ea48353p-20, -0x1.c6dec7fb9963dp-20, -0x1.d8f8feaea63d5p-20, -0x1.ea46ffd90bbeep-20, -0x1.face72c9ddf39p-20, -0x1.054a6e8248405p-19, -0x1.0ccfd17a6ce52p-19, -0x1.13fa045178969p-19, -0x1.1acb9931dc55dp-19, -0x1.214712c00d7ap-19, -0x1.276ee471494bep-19, -0x1.2d4572dc8553ep-19, -0x1.32cd140dda57bp-19, -0x1.38080fd3201f3p-19, -0x1.3cf8a00ba0b53p-19, -0x1.41a0f0f33e0d4p-19, -0x1.46032170010d6p-19, -0x1.4a214356e6bcbp-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.48aaad01ae53fp-9, -0x1.448518acbeef5p-8, -0x1.dcd066c2ed976p-8, -0x1.350f3e0576eb9p-7, -0x1.7509eb311cff9p-7, -0x1.ad8774182d1ddp-7, -0x1.de0b7287632a9p-7, -0x1.0331341079e9ap-6, -0x1.134acd3527d0cp-6, -0x1.1f6fa5d2ced6ep-6, -0x1.27cfdf1c16685p-6, -0x1.2ca9975a584fap-6, -0x1.2e446d1092906p-6, -0x1.2ced8f95ca5ffp-6, -0x1.28f4622ff2e7fp-6, -0x1.22a7b34a79a67p-6, -0x1.1a5384d593706p-6, -0x1.103f5dfb7efaap-6, -0x1.04ad1a032218fp-6, -0x1.efb04a043b829p-7, -0x1.d3ea2a5b2e2ap-7, -0x1.b6631e41eca7fp-7, -0x1.9768c83f5e008p-7, -0x1.773bb5bbb261ep-7, -0x1.56102ad4557abp-7, -0x1.340f12429904ep-7, -0x1.1156ffc7255cep-7, -0x1.dbfa6fbf8436dp-8, -0x1.941d66b9315abp-8, -0x1.4b2231321f7c9p-8, -0x1.01074d49ccbe8p-8, -0x1.6b80424f4ba0fp-9, -0x1.a4da442f62c84p-10, -0x1.b4c75c0437dfap-12, 0x1.a11854ec364a1p-11, 0x1.0a847e0b02001p-9, 0x1.b07f8d372b815p-9, 0x1.2d4d821d12cb9p-8, 0x1.849f99a71a59fp-8, 0x1.de6b95402f6b6p-8, 0x1.1d73c37c323c7p-7, 0x1.4d24a2e965103p-7, 0x1.7e62dc7ceeb58p-7, 0x1.b148197dc105p-7, 0x1.e5ecee7842fa6p-7, 0x1.0e344c61d39b3p-6, 0x1.2a6861fb4183cp-6, 0x1.479caba190a13p-6, 0x1.65da2554c948p-6, 0x1.8528c1efdd1b1p-6, 0x1.a58f5d5fabc61p-6, 0x1.c713b27c9b795p-6, 0x1.e9ba545e00c33p-6, 0x1.06c3557b714a7p-5, 0x1.193d79626c769p-5, 0x1.2c4c1fa9f8c1dp-5, 0x1.3fef402b256d3p-5, 0x1.5426448574a9dp-5, 0x1.68f00cd6bc655p-5, 0x1.7e4af55427caep-5, 0x1.9434dca14eddp-5, 0x1.aaab2ac33f4e5p-5, 0x1.c1aad88e9624p-5, 0x1.d93077719a1e1p-5, 0x1.f138397d21dcbp-5, 0x1.04defcc8b969fp-4, 0x1.115ea1cb4d122p-4, 0x1.1e18ae5521a0cp-4, 0x1.2b0aa597d14d9p-4, 0x1.3831ef58464d6p-4, 0x1.458bdbc0a6e32p-4, 0x1.5315a70da1555p-4, 0x1.60cc7d1231cf4p-4, 0x1.6ead7c8e1a6fcp-4, 0x1.7cb5ba542f38p-4, 0x1.8ae2443e8eba6p-4, 0x1.993023efa814dp-4, 0x1.a79c615fa47b7p-4, 0x1.b6240536718c5p-4, 0x1.c4c41af338ab1p-4, 0x1.d379b2e2798adp-4, 0x1.e241e3e46b4c4p-4, 0x1.f119cd0597a0ep-4, 0x1.fffe96ebd122ap-4, 0x1.0776ba8cf9d1p-3, 0x1.0ef1d3866db6ap-3, 0x1.166f3c9a10febp-3, 0x1.1deda2e49e458p-3, 0x1.256bbac3ce473p-3, 0x1.2ce840241cf39p-3, 0x1.3461f6c196dccp-3, 0x1.3bd7aa5ccf833p-3, 0x1.43482ee529ce8p-3, 0x1.4ab260999173dp-3, 0x1.5215242092c78p-3, 0x1.596f6698df05bp-3, 0x1.60c01da30840fp-3, 0x1.680647654ffd9p-3, 0x1.6f40ea8a4131bp-3, 0x1.766f163ac3d2cp-3, 0x1.7d8fe2143bf4fp-3, 0x1.84a26e1b4f4cap-3, 0x1.8ba5e2abb5573p-3, 0x1.9299706598c0bp-3, 0x1.997c5018cb1d9p-3, 0x1.a04dc2ae37295p-3, 0x1.a70d110fc9d57p-3, 0x1.adb98c0f0d183p-3, 0x1.b4528c4ab20dcp-3, 0x1.bad7721327723p-3, 0x1.c147a54e6a321p-3, 0x1.c7a2955b21a95p-3, 0x1.cde7b8f32d629p-3, 0x1.d4168e0d9e2f6p-3, 0x1.da2e99c043f09p-3, 0x1.e02f6820c6613p-3, 0x1.e6188c2552922p-3, 0x1.ebe99f84f1504p-3, 0x1.f1a24297731c6p-3, 0x1.f7421c350973ep-3, 0x1.fcc8d9957f57dp-3, 0x1.011b17178f926p-2, 0x1.03c4e9ca9cb5ep-2, 0x1.0661c4ab2ddf9p-2, 0x1.08f18a6d16e3dp-2, 0x1.0b74209f7dd56p-2, 0x1.0de96f9b7ad5cp-2, 0x1.105162728b7adp-2, 0x1.12abe6dce7db6p-2, 0x1.14f8ed27b2393p-2, 0x1.173868230771dp-2, 0x1.196a4d0ff3495p-2, 0x1.1b8e938e4f987p-2, 0x1.1da5358a89f91p-2, 0x1.1fae2f2b5e02fp-2, 0x1.21a97ebf8256ep-2, 0x1.239724ab4ea07p-2, 0x1.25772356635a1p-2, 0x1.27497f1953c42p-2, 0x1.290e3e2b5b4b4p-2, 0x1.2ac5689022532p-2, 0x1.2c6f080596ccap-2, 0x1.2e0b27f1e4753p-2, 0x1.2f99d5518c515p-2, 0x1.311b1ea5a1f8fp-2, 0x1.328f13e23782ap-2, 0x1.33f5c65cfe35dp-2, 0x1.354f48bc19d06p-2, 0x1.369baee538d97p-2, 0x1.37db0dece8534p-2, 0x1.390d7c0636271p-2, 0x1.3a331072990e1p-2, 0x1.3b4be3722fffdp-2, 0x1.3c580e3450cabp-2, 0x1.3d57aac875acp-2, 0x1.3e4ad40f81fcdp-2, 0x1.3f31a5ad69d37p-2, 0x1.400c3bfb3bb8dp-2, 0x1.40dab3f98f84fp-2, 0x1.419d2b435ec9bp-2, 0x1.4253c00143b6ap-2, 0x1.42fe90dd25f05p-2, 0x1.439dbcf654eabp-2, 0x1.443163d60d936p-2, 0x1.44b9a56470224p-2, 0x1.4536a1dde5a05p-2, 0x1.45a879c8f3617p-2, 0x1.460f4dec7ea52p-2, 0x1.466b3f467d492p-2, 0x1.46bc6f0317f4cp-2, 0x1.4702fe7434f05p-2, 0x1.473f0f097322bp-2, 0x1.4770c2488d4b9p-2, 0x1.479839c6288cep-2, 0x1.47b5971f0659fp-2, 0x1.47c8fbf1a226ep-2, 0x1.47d289d82be5p-2, 0x1.47d26262e9d93p-2, 0x1.47c8a712f2d9ap-2, 0x1.47b579554bf01p-2, 0x1.4798fa7e59fd5p-2, 0x1.47734bc5ad85bp-2, 0x1.47448e42204acp-2, 0x1.470ce2e646e64p-2, 0x1.46cc6a7d303d4p-2, 0x1.468345a76e65ap-2, 0x1.463194d86ac0ep-2, 0x1.45d77853fe42p-2, 0x1.4575102c4b3b5p-2, 0x1.450a7c3fd843fp-2, 0x1.4497dc37e6ed3p-2, 0x1.441d4f8701e24p-2, 0x1.439af567c5f73p-2, 0x1.4310ecdbd8141p-2, 0x1.427f54ab12197p-2, 0x1.41e64b62d609p-2, 0x1.4145ef5593507p-2, 0x1.409e5e9a6ca0ep-2, 0x1.3fefb70d09503p-2, 0x1.3f3a164d8350bp-2, 0x1.3e7d99c078c8fp-2, 0x1.3dba5e8f387f5p-2, 0x1.3cf081a80a6b3p-2, 0x1.3c201fbe8e43fp-2, 0x1.3b49554c33215p-2, 0x1.3a6c3e90c0431p-2, 0x1.3988f792ee8eap-2, 0x1.389f9c2116b91p-2, 0x1.37b047d1e446dp-2, 0x1.36bb16051da89p-2, 0x1.35c021e46cc7fp-2, 0x1.34bf866436f94p-2, 0x1.33b95e4477206p-2, 0x1.32adc4119d8cbp-2, 0x1.319cd225735a8p-2, 0x1.3086a2a800e7cp-2, 0x1.2f6b4f9071356p-2, 0x1.2e4af2a5f85c7p-2, 0x1.2d25a580b75fap-2, 0x1.2bfb818a9b96ep-2, 0x1.2acca0003b77dp-2, 0x1.299919f1b049cp-2, 0x1.2861084365bbdp-2, 0x1.272483aee90b5p-2, 0x1.25e3a4c3aaf7ap-2, 0x1.249e83e7bf838p-2, 0x1.2355395892b7ap-2, 0x1.2207dd2b93b8p-2, 0x1.20b6874edb73ap-2, 0x1.1f614f89c37edp-2, 0x1.1e084d7d76c57p-2, 0x1.1cab98a579e1ap-2, 0x1.1b4b4858239d9p-2, 0x1.19e773c711f05p-2, 0x1.188031ff8c823p-2, 0x1.171599eae4fdcp-2, 0x1.15a7c24ec558cp-2, 0x1.1436c1cd78d68p-2, 0x1.12c2aee626f66p-2, 0x1.114b9ff50678ap-2, 0x1.0fd1ab3381df5p-2, 0x1.0e54e6b8586a5p-2, 0x1.0cd56877ac9b2p-2, 0x1.0b53464310f5cp-2, 0x1.09ce95c9840b8p-2, 0x1.08476c976900cp-2, 0x1.06bde0167270fp-2, 0x1.0532058d880bp-2, 0x1.03a3f2209f6cdp-2, 0x1.0213bad090285p-2, 0x1.0081747ae04e5p-2, 0x1.fdda67b309525p-3, 0x1.faae1b053e695p-3, 0x1.f77e2bd067d28p-3, 0x1.f44ac2afaebdbp-3, 0x1.f11407f4af7p-3, 0x1.edda23a6bd077p-3, 0x1.ea9d3d821f16p-3, 0x1.e75d7cf7420b3p-3, 0x1.e41b0929dd0f7p-3, 0x1.e0d608f013799p-3, 0x1.dd8ea2d18ad4fp-3, 0x1.da44fd067c81ap-3, 0x1.d6f93d76bf6a1p-3, 0x1.d3ab89b8cff62p-3, 0x1.d05c0710cbae3p-3, 0x1.cd0ada6f7305dp-3, 0x1.c9b828711ed65p-3, 0x1.c664155cb95ep-3, 0x1.c30ec522b117p-3, 0x1.bfb85b5beff43p-3, 0x1.bc60fb48cb948p-3, 0x1.b908c7cff819dp-3, 0x1.b5afe37d82eabp-3, 0x1.b2567081bf60cp-3, 0x1.aefc90b045f06p-3, 0x1.aba2657eec46ap-3, 0x1.a8481004c2ae4p-3, 0x1.a4edb0f912561p-3, 0x1.a19368b268c8fp-3, 0x1.9e3957259c5c1p-3, 0x1.9adf9be4ddcf8p-3, 0x1.9786561ecbb0ap-3, 0x1.942da49d904aep-3, 0x1.90d5a5c5fdd61p-3, 0x1.8d7e7796ba7a3p-3, 0x1.8a2837a76d341p-3, 0x1.86d30327f6298p-3, 0x1.837ef6dfab636p-3, 0x1.802c2f2c9f34dp-3, 0x1.7cdac802ef6dap-3, 0x1.798adcec1f1bap-3, 0x1.763c8906712ccp-3, 0x1.72efe704590e9p-3, 0x1.6fa5112be6e83p-3, 0x1.6c5c215648f04p-3, 0x1.691530ef4da43p-3, 0x1.65d058f4f5d4fp-3, 0x1.628db1f70dbc9p-3, 0x1.5f4d5416cee02p-3, 0x1.5c0f570691c6ep-3, 0x1.58d3d2097dee7p-3, 0x1.559adbf355e5ap-3, 0x1.52648b283a9acp-3, 0x1.4f30f59c874b6p-3, 0x1.4c0030d4b0177p-3, 0x1.48d251e52dc6p-3, 0x1.45a76d7273376p-3, 0x1.427f97b0ed64cp-3, 0x1.3f5ae4650b4b1p-3, 0x1.3c3966e354c9cp-3, 0x1.391b321087a96p-3, 0x1.36005861bc8d6p-3, 0x1.32e8ebdc9d7d6p-3, 0x1.2fd4fe179e307p-3, 0x1.2cc4a03a426b8p-3, 0x1.29b7e2fd6d2bcp-3, 0x1.26aed6abb7bb5p-3, 0x1.23a98b21d6d8fp-3, 0x1.20a80fcf00c0ep-3, 0x1.1daa73b5630b1p-3, 0x1.1ab0c56aa073fp-3, 0x1.17bb131855ae5p-3, 0x1.14c96a7ca53f5p-3, 0x1.11dbd8ead08b8p-3, 0x1.0ef26b4bd1c57p-3, 0x1.0c0d2e1f0692ap-3, 0x1.092c2d7adb919p-3, 0x1.064f750d826e1p-3, 0x1.0377101dae1dap-3, 0x1.00a3098b56259p-3, 0x1.fba6d7a10aa06p-4, 0x1.f61082044f01dp-4, 0x1.f08325a1c26bp-4, 0x1.eafed513e8716p-4, 0x1.e583a23038d4ep-4, 0x1.e0119e090348dp-4, 0x1.daa8d8ef3fe3p-4, 0x1.d54962748801p-4, 0x1.cff3496d09e65p-4, 0x1.caa69bf17fdf7p-4, 0x1.c5636761438a8p-4, 0x1.c029b8645a168p-4, 0x1.baf99aed921a4p-4, 0x1.b5d31a3ca874bp-4, 0x1.b0b640e074369p-4, 0x1.aba318b91610ep-4, 0x1.a699aafa3798bp-4, 0x1.a19a002d47063p-4, 0x1.9ca42033bf43dp-4, 0x1.97b812497b408p-4, 0x1.92d5dd06fdff1p-4, 0x1.8dfd8663d0a2fp-4, 0x1.892f13b8dc44dp-4, 0x1.846a89c2c8e05p-4, 0x1.7fafeca46189ap-4, 0x1.7aff3fe8fd629p-4, 0x1.76588686e7dbbp-4, 0x1.71bbc2e1ce69ap-4, 0x1.6d28f6cd3083ap-4, 0x1.68a0238ed0b06p-4, 0x1.642149e127558p-4, 0x1.5fac69f5d71cp-4, 0x1.5b41837822631p-4, 0x1.56e0958f610cdp-4, 0x1.52899ee1764b6p-4, 0x1.4e3c9d9546c7cp-4, 0x1.49f98f552ef5cp-4, 0x1.45c0715177ffbp-4, 0x1.41914042cbd0ep-4, 0x1.3d6bf86ca86bfp-4, 0x1.3950959fd1d94p-4, 0x1.353f133cc143cp-4, 0x1.31376c36149e4p-4, 0x1.2d399b12f9879p-4, 0x1.294599f1958bep-4, 0x1.255b62896eedp-4, 0x1.217aee2dce60bp-4, 0x1.1da435d01fc1ep-4, 0x1.19d732024f95ep-4, 0x1.1613daf9242cep-4, 0x1.125a288e931p-4, 0x1.0eaa12441263cp-4, 0x1.0b038f44e6118p-4, 0x1.07669668696c5p-4, 0x1.03d31e3451f99p-4, 0x1.00491cdef2393p-4, 0x1.f99110a2e1fd8p-5, 0x1.f2a2ac5402a37p-5, 0x1.ebc6f77c25203p-5, 0x1.e4fddc38f9be8p-5, 0x1.de47441f4a55fp-5, 0x1.d7a3183f3e108p-5, 0x1.d11141288d00cp-5, 0x1.ca91a6eead083p-5, 0x1.c424312ceb645p-5, 0x1.bdc8c70a825c9p-5, 0x1.b77f4f3e9db2ap-5, 0x1.b147b014531c7p-5, 0x1.ab21cf6e908a3p-5, 0x1.a50d92cbfcb35p-5, 0x1.9f0adf4ac7ce5p-5, 0x1.991999ac75f39p-5, 0x1.9339a65996d9bp-5, 0x1.8d6ae96572503p-5, 0x1.87ad4691a6a72p-5, 0x1.8200a151bb7ap-5, 0x1.7c64dccea5001p-5, 0x1.76d9dbea3d27fp-5, 0x1.715f8142ab765p-5, 0x1.6bf5af35bf2b6p-5, 0x1.669c47e440429p-5, 0x1.61532d352f34bp-5, 0x1.5c1a40d8f48afp-5, 0x1.56f1644c89c25p-5, 0x1.51d878dc8c5eap-5, 0x1.4ccf5fa84b027p-5, 0x1.47d5f9a4c03b1p-5, 0x1.42ec279f7edfdp-5, 0x1.3e11ca419388ap-5, 0x1.3946c21256e42p-5, 0x1.348aef7a32549p-5, 0x1.2fde32c558f06p-5, 0x1.2b406c266f453p-5, 0x1.26b17bb9288d1p-5, 0x1.22314184d6846p-5, 0x1.1dbf9d7eeb874p-5, 0x1.195c6f8d6cd9dp-5, 0x1.1507978959aep-5, 0x1.10c0f54106e72p-5, 0x1.0c88687a69f9fp-5, 0x1.085dd0f5588a3p-5, 0x1.04410e6dbee3p-5, 0x1.0032009dc2ba5p-5, 0x1.f8610e7fb8ea2p-6, 0x1.f0790421c99d4p-6, 0x1.e8aba1a428db1p-6, 0x1.e0f8a695f558bp-6, 0x1.d95fd296c2c56p-6, 0x1.d1e0e55a51e1p-6, 0x1.ca7b9eac33771p-6, 0x1.c32fbe734f32fp-6, 0x1.bbfd04b552881p-6, 0x1.b4e3319a06f86p-6, 0x1.ade2056e94a78p-6, 0x1.a6f940a8ad005p-6, 0x1.a028a3e99e223p-6, 0x1.996ff001507d9p-6, 0x1.92cee5f13008ap-6, 0x1.8c4546eefcd26p-6, 0x1.85d2d467867a3p-6, 0x1.7f775001560fp-6, 0x1.79327b9f3e99ep-6, 0x1.73041962daa84p-6, 0x1.6cebebaef6228p-6, 0x1.66e9b529e3061p-6, 0x1.60fd38bfbc87bp-6, 0x1.5b2639a4951a1p-6, 0x1.55647b569227bp-6, 0x1.4fb7c19ff365bp-6, 0x1.4a1fd099088e1p-6, 0x1.449c6caa141acp-6, 0x1.3f2d5a8d2209ap-6, 0x1.39d25f4fbfaaep-6, 0x1.348b4054b09e2p-6, 0x1.2f57c3558c974p-6, 0x1.2a37ae6442658p-6, 0x1.252ac7eca15p-6, 0x1.2030d6b5bddacp-6, 0x1.1b49a1e350365p-6, 0x1.1674f0f70063ep-6, 0x1.11b28bd19d3cdp-6, 0x1.0d023ab452c61p-6, 0x1.0863c641c5123p-6, 0x1.03d6f77f22b19p-6, 0x1.feb72faa5657ep-7, 0x1.f5e2e2222e6fcp-7, 0x1.ed309acb1869ep-7, 0x1.e49feed6dd249p-7, 0x1.dc3074456b3cbp-7, 0x1.d3e1c1e644f85p-7, 0x1.cbb36f59f26a4p-7, 0x1.c3a5151351cf2p-7, 0x1.bbb64c58bc495p-7, 0x1.b3e6af453e509p-7, 0x1.ac35d8c982ba7p-7, 0x1.a4a364ace259ap-7, 0x1.9d2eef8e2a6ecp-7, 0x1.95d816e461b09p-7, 0x1.8e9e78ff84e27p-7, 0x1.8781b5091932bp-7, 0x1.80816b04c0004p-7, 0x1.799d3bd0a068fp-7, 0x1.72d4c925ce05cp-7, 0x1.6c27b598a5ce8p-7, 0x1.6595a498e76ebp-7, 0x1.5f1e3a72084e7p-7, 0x1.58c11c4b430dep-7, 0x1.527df02794b47p-7, 0x1.4c545ce5c7f32p-7, 0x1.46440a4050b13p-7, 0x1.404ca0cd34d33p-7, 0x1.3a6dc9fdd022ep-7, 0x1.34a7301e97a6bp-7, 0x1.2ef87e56c728fp-7, 0x1.296160a802384p-7, 0x1.23e183edecfeap-7, 0x1.1e7895dda8624p-7, 0x1.192645056126ap-7, 0x1.13ea40cbb2703p-7, 0x1.0ec4396f0e557p-7, 0x1.09b3e00512078p-7, 0x1.04b8e679dc3bfp-7, 0x1.ffa5ff1e893e6p-8, 0x1.f603bdb83ccc5p-8, 0x1.ec8a7196bc9acp-8, 0x1.e3398536a0ffbp-8, 0x1.da1064b93b4f2p-8, 0x1.d10e7de2f19d3p-8, 0x1.c83340191123ep-8, 0x1.bf7e1c600c774p-8, 0x1.b6ee85596397ap-8, 0x1.ae83ef4172f6dp-8, 0x1.a63dcfed64446p-8, 0x1.9e1b9ec8ef17ap-8, 0x1.961cd4d416c9ap-8, 0x1.8e40eca0b94dp-8, 0x1.868762507397cp-8, 0x1.7eefb391f487p-8, 0x1.77795f9ebdd15p-8, 0x1.7023e73870b93p-8, 0x1.68eecca66dc8bp-8, 0x1.61d993b33417dp-8, 0x1.5ae3c1a9aa0e1p-8, 0x1.540cdd52b073ap-8, 0x1.4d546ef23b593p-8, 0x1.46ba0044b2366p-8, 0x1.403d1c7c408d6p-8, 0x1.39dd503df0cb1p-8, 0x1.339a299ef989cp-8, 0x1.2d733821e00bp-8, 0x1.27680cb3a12bp-8, 0x1.217839a8dc4c4p-8, 0x1.1ba352bae60dfp-8, 0x1.15e8ed04f0af5p-8, 0x1.10489f010721bp-8, 0x1.0ac20085368b4p-8, 0x1.0554aac084487p-8, 0x1.0000383818472p-8, 0x1.f5888988537b5p-9, 0x1.eb40db1a0d3e8p-9, 0x1.e128a2103ce1ep-9, 0x1.d73f1de9e3124p-9, 0x1.cd8390b4508e4p-9, 0x1.c3f53f04f3c1ep-9, 0x1.ba936ff36e708p-9, 0x1.b15d6d1377945p-9, 0x1.a852826edcc4ap-9, 0x1.9f71fe7f72b83p-9, 0x1.96bb3228f4544p-9, 0x1.8e2d70b326697p-9, 0x1.85c80fc3934bcp-9, 0x1.7d8a67579ecc1p-9, 0x1.7573d1be95b13p-9, 0x1.6d83ab936f80cp-9, 0x1.65b953b707a0bp-9, 0x1.5e142b49cc8c6p-9, 0x1.569395a61e1dap-9, 0x1.4f36f859ff025p-9, 0x1.47fdbb217ed7ep-9, 0x1.40e747e0575cbp-9, 0x1.39f30a9c5b9c9p-9, 0x1.332071775a60ap-9, 0x1.2c6eeca96953fp-9, 0x1.25ddee7ac2f2cp-9, 0x1.1f6ceb3e30a59p-9, 0x1.191b594b1a3a1p-9, 0x1.12e8b0f7cc879p-9, 0x1.0cd46c93b29p-9, 0x1.06de08617b7dbp-9, 0x1.010502919a23p-9, 0x1.f691b678c98d8p-10, 0x1.eb5228b8f8dd8p-10, 0x1.e04a6392979f8p-10, 0x1.d5797262a7254p-10, 0x1.cade64295eeafp-10, 0x1.c0784b7ed183dp-10, 0x1.b6463e889d7eep-10, 0x1.ac4756edf1528p-10, 0x1.a27ab1cdf727p-10, 0x1.98df6fb3fcca4p-10, 0x1.8f74b48da96eap-10, 0x1.8639a79f7fb15p-10, 0x1.7d2d737b309f2p-10, 0x1.744f45f4734c9p-10, 0x1.6b9e5016ece49p-10, 0x1.6319c61bfff31p-10, 0x1.5ac0df603d1bap-10, 0x1.5292d659698f4p-10, 0x1.4a8ee88c7b5f7p-10, 0x1.42b45683860edp-10, 0x1.3b0263c3d8ab2p-10, 0x1.337856c41ac76p-10, 0x1.2c1578e29b006p-10, 0x1.24d9165b6e37p-10, 0x1.1dc27e3f66f73p-10, 0x1.16d10269b5787p-10, 0x1.1003f7778b47bp-10, 0x1.095ab4bdc9eb2p-10, 0x1.02d4944073e1dp-10, 0x1.f8e1e5521d443p-11, 0x1.ec5e5e7b98e2fp-11, 0x1.e01d57b116ac8p-11, 0x1.d41d99bb9f84ep-11, 0x1.c85df268031e1p-11, 0x1.bcdd34751ff1bp-11, 0x1.b19a37834888p-11, 0x1.a693d802415bbp-11, 0x1.9bc8f720c4874p-11, 0x1.91387abb8cbfep-11, 0x1.86e14d4ccdc09p-11, 0x1.7cc25ddb71ef1p-11, 0x1.72da9feb6a0d1p-11, 0x1.69290b6cef243p-11, 0x1.5fac9cace113bp-11, 0x1.56645444d76d9p-11, 0x1.4d4f370bbd0ap-11, 0x1.446c4e05fcd0ap-11, 0x1.3bbaa656a995cp-11, 0x1.3339512fe488bp-11, 0x1.2ae763c472478p-11, 0x1.22c3f738642e4p-11, 0x1.1ace289317ed1p-11, 0x1.130518b04e0e2p-11, 0x1.0b67ec31cf3f7p-11, 0x1.03f5cb71dd661p-11, 0x1.f95bc4e8dafdbp-12, 0x1.eb1ec1b402ce3p-12, 0x1.dd32f3a39db4ep-12, 0x1.cf96c81816bd6p-12, 0x1.c248b359d7c24p-12, 0x1.b547307ed068ep-12, 0x1.a890c14fa30a7p-12, 0x1.9c23ee2f4b45bp-12, 0x1.8fff4600b68acp-12, 0x1.84215e0dc156cp-12, 0x1.7888d1eec5p-12, 0x1.6d344371e1f48p-12, 0x1.62225a8323f1ep-12, 0x1.5751c5142d179p-12, 0x1.4cc13704e1adap-12, 0x1.426f6a0b63d42p-12, 0x1.385b1d9ede6cbp-12, 0x1.2e8316decfcbcp-12, 0x1.24e6207d7e2a1p-12, 0x1.1b830aaa09e79p-12, 0x1.1258aafa6b17bp-12, 0x1.0965dc5507eb2p-12, 0x1.00a97edd1ed47p-12, 0x1.f044efb8820bbp-13, 0x1.df9f635bf8902p-13, 0x1.cf603758096ffp-13, 0x1.bf855431aab47p-13, 0x1.b00cac1a045ebp-13, 0x1.a0f43ac50a882p-13, 0x1.923a0544c011ep-13, 0x1.83dc19e05b7b6p-13, 0x1.75d88fefc083p-13, 0x1.682d87b81a015p-13, 0x1.5ad92a43db6d6p-13, 0x1.4dd9a9402d7cap-13, 0x1.412d3ed8cca52p-13, 0x1.34d22d955f389p-13, 0x1.28c6c03663044p-13, 0x1.1d0949916b4c9p-13, 0x1.119824721cf4dp-13, 0x1.0671b37655f5dp-13, 0x1.f728c1dcb11c7p-14, 0x1.e1fd3d78e5e16p-14, 0x1.cd5dcc68f0387p-14, 0x1.b9476ffb4c66bp-14, 0x1.a5b737e2a5bb8p-14, 0x1.92aa41f9d6c45p-14, 0x1.801dba0cf1b69p-14, 0x1.6e0ed9956554dp-14, 0x1.5c7ae7854ca6fp-14, 0x1.4b5f380a6ab13p-14, 0x1.3ab92c57034eep-14, 0x1.2a863269acaebp-14, 0x1.1ac3c4d50429dp-14, 0x1.0b6f6a88346f4p-14, 0x1.f90d6d3914095p-15, 0x1.dc0e903998204p-15, 0x1.bfdd93a77c8dfp-15, 0x1.a475e42ece8f7p-15, 0x1.89d3052e5fa22p-15, 0x1.6ff09051416aep-15, 0x1.56ca35335f2b4p-15, 0x1.3e5bb8f7f30a9p-15, 0x1.26a0f5ee1c4cfp-15, 0x1.0f95db350b416p-15, 0x1.f26cd8b7b40c4p-16, 0x1.c6fd821207129p-16, 0x1.9cd609423c384p-16, 0x1.73eeebd60d513p-16, 0x1.4c40cd78c0e53p-16, 0x1.25c47745564c7p-16, 0x1.0072d71f64c4fp-16, 0x1.b889fe1316768p-17, 0x1.7268490fe0ee2p-17, 0x1.2e733fee3d3b8p-17, 0x1.d93bafd4aa623p-18, 0x1.59b69305e3733p-18, 0x1.bc7c3d3e9c8a3p-19, 0x1.9ae7263e6234cp-20, -0x1.9dceba0195bp-23, -0x1.f348afa5c59cfp-20, -0x1.d210d47118817p-19, -0x1.51a7c997e0449p-18, -0x1.b6c66c4e5224fp-18, -0x1.0c3d002103f44p-17, -0x1.3b6be08c07575p-17, -0x1.68fa3d25353a8p-17, -0x1.94f2448f71dd1p-17, -0x1.bf5def6011c04p-17, -0x1.e847011b99a01p-17, -0x1.07db84959fc23p-16, -0x1.1adbb1e5e64bdp-16, -0x1.2d289d869dc45p-16, -0x1.3ec6c3dc732e6p-16, -0x1.4fba891b943afp-16, -0x1.600839bbeb787p-16, -0x1.6fb40ae8a2a8dp-16, -0x1.7ec21af52f2f9p-16, -0x1.8d3671c4d7694p-16, -0x1.9b150134c4dadp-16, -0x1.a861a589e1b64p-16, -0x1.b52025d87d2ebp-16, -0x1.c1543468ae16cp-16, -0x1.cd016f1a42edap-16, -0x1.d82b5fca21695p-16, -0x1.e2d57cb152dfbp-16, -0x1.ed0328c546879p-16, -0x1.f6b7b414630dfp-16, -0x1.fff65c250041ep-16, -0x1.04612626ee4f9p-15, -0x1.088f4f08d675ap-15, -0x1.0c872cb994aa1p-15, -0x1.104a3aa784c3bp-15, -0x1.13d9ebd6a7d35p-15, }}, 
      {{-0x1.8e480de5453f7p-5, -0x1.8de3b4099841ep-5, -0x1.8ce550429188ep-5, -0x1.8af309f8158fbp-5, -0x1.87b825607c22fp-5, -0x1.82eeab0bd97efp-5, -0x1.7c633edb8dee5p-5, -0x1.73f5924d6e1dfp-5, -0x1.69970878024b7p-5, -0x1.5d487ec768ac8p-5, -0x1.4f17c23ac058ep-5, -0x1.3f1cf95c3ea15p-5, -0x1.2d7828a4797a5p-5, -0x1.1a4ee56ee9789p-5, -0x1.05ca42fc84013p-5, -0x1.e02a00cd4abcbp-6, -0x1.b2b3f6ad55a5ep-6, -0x1.8385d181d3f5cp-6, -0x1.52eea4e99fea4p-6, -0x1.2137ac33519aap-6, -0x1.dd46812e64e3fp-7, -0x1.76d8747aa094cp-7, -0x1.0f8b599750917p-7, -0x1.4f6bbdc78d245p-8, -0x1.fcfe08d76ccd3p-10, 0x1.43eaa1aeb5a68p-10, 0x1.20e9505d1318p-8, 0x1.f04a5f5b2788fp-8, 0x1.5f7835af14c37p-7, 0x1.c66000d32b1ddp-7, 0x1.166b41187ba89p-6, 0x1.496e0b20ed81fp-6, 0x1.7c3b2ee2c5d51p-6, 0x1.aed79907a86b9p-6, 0x1.e149db1b37551p-6, 0x1.09cce1484d5f3p-5, 0x1.22e7fed1e62d6p-5, 0x1.3bfae69287497p-5, 0x1.550a6101082e8p-5, 0x1.6e1b42a1f8bc5p-5, 0x1.87325499d07edp-5, 0x1.a0544130fadfcp-5, 0x1.b98583b3d4cbcp-5, 0x1.d2ca5b280902ap-5, 0x1.ec26bf61a163p-5, 0x1.02cf2c09d13bcp-4, 0x1.0f9a3ac47f8e7p-4, 0x1.1c7605612a574p-4, 0x1.2963d46171698p-4, 0x1.3664bd71a9b43p-4, 0x1.4379a2057a903p-4, 0x1.50a32e5c18615p-4, 0x1.5de1d8e3a90ccp-4, 0x1.6b35e1f5b8f74p-4, 0x1.789f53e83b808p-4, 0x1.861e036fa4902p-4, 0x1.93b1904f1d963p-4, 0x1.a15966540bc2cp-4, 0x1.af14be99e97c6p-4, 0x1.bce2a1132d2c2p-4, 0x1.cac1e6535c76ep-4, 0x1.d8b139961efe7p-4, 0x1.e6af1afe5296fp-4, 0x1.f4b9e207cdb9p-4, 0x1.0167e01305393p-3, 0x1.087761c4bb975p-3, 0x1.0f8a6d0286659p-3, 0x1.169fea06bfc19p-3, 0x1.1db6b3e5ae5ffp-3, 0x1.24cd9a1cc1fdcp-3, 0x1.2be36224b6367p-3, 0x1.32f6c90374414p-3, 0x1.3a0684dacc53bp-3, 0x1.411146711a1a6p-3, 0x1.4815bab15bd92p-3, 0x1.4f128c204665bp-3, 0x1.560664444a9dfp-3, 0x1.5cefecfea2694p-3, 0x1.63cdd1d3d5ecdp-3, 0x1.6a9ec122591b2p-3, 0x1.71616d46300fdp-3, 0x1.78148da8c63abp-3, 0x1.7eb6dfbc5ae81p-3, 0x1.854727e2a0a0ep-3, 0x1.8bc4323e709a4p-3, 0x1.922cd3708eaf1p-3, 0x1.987fe93fb8d3cp-3, 0x1.9ebc5b2c60209p-3, 0x1.a4e11af08a1e9p-3, 0x1.aaed24ec8175ep-3, 0x1.b0df80810a4fcp-3, 0x1.b6b74057fab9p-3, 0x1.bc73829c0e86ap-3, 0x1.c2137120f4f0dp-3, 0x1.c796417c8e2eep-3, 0x1.ccfb35126f099p-3, 0x1.d24199129c478p-3, 0x1.d768c66c9d966p-3, 0x1.dc7021b7ee0f7p-3, 0x1.e1571b12c427bp-3, 0x1.e61d2df840d77p-3, 0x1.eac1e10ef6fcep-3, 0x1.ef44c5f0b7974p-3, 0x1.f3a578ec959fdp-3, 0x1.f7e3a0c3ecb1fp-3, 0x1.fbfeee63403ffp-3, 0x1.fff71c97b85e3p-3, 0x1.01e5f7e0f5975p-2, 0x1.03be9ac3501aap-2, 0x1.0585623f13514p-2, 0x1.073a3df164c7ap-2, 0x1.08dd219f745eap-2, 0x1.0a6e050d94fcap-2, 0x1.0bece3d691efbp-2, 0x1.0d59bd4374765p-2, 0x1.0eb49423de608p-2, 0x1.0ffd6ea71e492p-2, 0x1.113456361ca2ep-2, 0x1.1259574e38764p-2, 0x1.136c815d2b20ap-2, 0x1.146de69e0208p-2, 0x1.155d9bf73e89dp-2, 0x1.163bb8da1fa8ap-2, 0x1.1708572320e92p-2, 0x1.17c392fbb333dp-2, 0x1.186d8abd259f3p-2, 0x1.19065ed4cdf5dp-2, 0x1.198e31a95afcbp-2, 0x1.1a0527815a25ap-2, 0x1.1a6b666adf168p-2, 0x1.1ac116244b42cp-2, 0x1.1b06600628d6cp-2, 0x1.1b3b6eee10989p-2, 0x1.1b606f2a8edfbp-2, 0x1.1b758e67f83d8p-2, 0x1.1b7afb9e2dd8p-2, 0x1.1b70e6ff33fe4p-2, 0x1.1b5781e69d9a3p-2, 0x1.1b2efec9b8452p-2, 0x1.1af791286ep-2, 0x1.1ab16d7ed2712p-2, 0x1.1a5cc9374fc93p-2, 0x1.19f9da9d60d43p-2, 0x1.1988d8d0db4d8p-2, 0x1.1909fbb9af2f6p-2, 0x1.187d7bfc1e853p-2, 0x1.17e392ed5d78fp-2, 0x1.173c7a888ebd1p-2, 0x1.16886d641c517p-2, 0x1.15c7a6a75beecp-2, 0x1.14fa62007ea64p-2, 0x1.1420db9abda37p-2, 0x1.133b5014c4808p-2, 0x1.1249fc774f103p-2, 0x1.114d1e2bf635cp-2, 0x1.1044f2f428488p-2, 0x1.0f31b8e047b9fp-2, 0x1.0e13ae46ec7abp-2, 0x1.0ceb11bc43479p-2, 0x1.0bb822098df2fp-2, 0x1.0a7b1e24b7081p-2, 0x1.0934452805189p-2, 0x1.07e3d649dfa23p-2, 0x1.068a10d4aad29p-2, 0x1.0527341eba29ep-2, 0x1.03bb7f8252829p-2, 0x1.02473255c2f6ep-2, 0x1.00ca8be39191fp-2, 0x1.fe8b96c575d2bp-3, 0x1.fb725fde077f4p-3, 0x1.f849f102c931dp-3, 0x1.f512c7d10a4aap-3, 0x1.f1cd6182a0987p-3, 0x1.ee7a3adf4372fp-3, 0x1.eb19d02e12d15p-3, 0x1.e7ac9d2751644p-3, 0x1.e4331ce656fbbp-3, 0x1.e0adc9dbba577p-3, 0x1.dd1d1dbfb7a88p-3, 0x1.d9819184d4a55p-3, 0x1.d5db9d4ac3f32p-3, 0x1.d22bb8518e0c4p-3, 0x1.ce7258ed02474p-3, 0x1.caaff4786b993p-3, 0x1.c6e4ff4a9aa99p-3, 0x1.c311ecaa33a26p-3, 0x1.bf372ec254d61p-3, 0x1.bb5536978e52dp-3, 0x1.b76c73fd316bcp-3, 0x1.b37d558af3d1ep-3, 0x1.af884892ee282p-3, 0x1.ab8db917fc3a2p-3, 0x1.a78e11c471a4ap-3, 0x1.a389bbe133a4dp-3, 0x1.9f811f4d3025cp-3, 0x1.9b74a27538328p-3, 0x1.9764aa4c3f8fep-3, 0x1.93519a43f7d16p-3, 0x1.8f3bd445d88p-3, 0x1.8b23b8ac87222p-3, 0x1.8709a63da54bbp-3, 0x1.82edfa2404b7bp-3, 0x1.7ed10fea3fa81p-3, 0x1.7ab34175b4ab1p-3, 0x1.7694e701f053cp-3, 0x1.7276571c6c454p-3, 0x1.6e57e6a0bfb65p-3, 0x1.6a39e8b52d318p-3, 0x1.661caec791f8ep-3, 0x1.6200888ab54a1p-3, 0x1.5de5c3f4004eap-3, 0x1.59ccad398b5fp-3, 0x1.55b58ed08b263p-3, 0x1.51a0b16c1da61p-3, 0x1.4d8e5bfc6c8d8p-3, 0x1.497ed3ae2daep-3, 0x1.45725bea761edp-3, 0x1.41693656e0f16p-3, 0x1.3d63a2d61240dp-3, 0x1.3961df888262cp-3, 0x1.356428cd9ae56p-3, 0x1.316ab94521d7p-3, 0x1.2d75c9d0f193fp-3, 0x1.29859196f44f5p-3, 0x1.259a46036d03ep-3, 0x1.21b41acb7c34ep-3, 0x1.1dd341efee91fp-3, 0x1.19f7ebc0484cep-3, 0x1.162246de0a7cbp-3, 0x1.1252804038b73p-3, 0x1.0e88c3371452ap-3, 0x1.0ac539700d4ecp-3, 0x1.07080af9e9c7cp-3, 0x1.03515e491ce87p-3, 0x1.ff42b07891ecap-4, 0x1.f7f03841efcdep-4, 0x1.f0ab9770eac46p-4, 0x1.e9750e79a97e2p-4, 0x1.e24cdacc37e58p-4, 0x1.db3336df1e157p-4, 0x1.d4285a3a4d82p-4, 0x1.cd2c79822dcbp-4, 0x1.c63fc682fe007p-4, 0x1.bf62703c5e5cap-4, 0x1.b894a2ed05f98p-4, 0x1.b1d6881eb99d9p-4, 0x1.ab2846b255e25p-4, 0x1.a48a02ec05562p-4, 0x1.9dfbde7f9f14p-4, 0x1.977df89d17d43p-4, 0x1.91106dfd146a1p-4, 0x1.8ab358ed8b087p-4, 0x1.8466d15e7c732p-4, 0x1.7e2aeceeb9ae1p-4, 0x1.77ffbef8b5485p-4, 0x1.71e5589f5d46fp-4, 0x1.6bdbc8dafadc8p-4, 0x1.65e31c86127c5p-4, 0x1.5ffb5e6a44a06p-4, 0x1.5a24974d29fd6p-4, 0x1.545ecdfd2b7d4p-4, 0x1.4eaa075e4e16ap-4, 0x1.49064676f49d1p-4, 0x1.43738c7c95409p-4, 0x1.3df1d8e05c67bp-4, 0x1.3881295bbf2cfp-4, 0x1.332179fcf649bp-4, 0x1.2dd2c5336687fp-4, 0x1.289503dbed95cp-4, 0x1.23682d4d15b04p-4, 0x1.1e4c37632ca21p-4, 0x1.1941168c3e41cp-4, 0x1.1446bdd3ed564p-4, 0x1.0f5d1eef2eed7p-4, 0x1.0a842a47e11b7p-4, 0x1.05bbcf083e8ap-4, 0x1.0103fb262dcb4p-4, 0x1.f8b936dcd991bp-5, 0x1.ef8b371f228bfp-5, 0x1.e67dcc49c93a8p-5, 0x1.dd90c9822a32p-5, 0x1.d4c3fff180d45p-5, 0x1.cc173ed9a06a5p-5, 0x1.c38a53a95c50ap-5, 0x1.bb1d0a10966c7p-5, 0x1.b2cf2c13f5aap-5, 0x1.aaa082204809ep-5, 0x1.a290d31d80c1cp-5, 0x1.9a9fe4816408dp-5, 0x1.92cd7a61d1c75p-5, 0x1.8b195786b95f8p-5, 0x1.83833d7bacb3ep-5, 0x1.7c0aeca118673p-5, 0x1.74b0243d1edf8p-5, 0x1.6d72a28c1666p-5, 0x1.665224d0a6df4p-5, 0x1.5f4e6763947a3p-5, 0x1.586725c321e05p-5, 0x1.519c1aa21b7d5p-5, 0x1.4aecfff683c7ep-5, 0x1.44598f07e9b0cp-5, 0x1.3de1807d5d418p-5, 0x1.37848c6b0c46p-5, 0x1.31426a5f80a99p-5, 0x1.2b1ad1708e42ap-5, 0x1.250d7847dbfd3p-5, 0x1.1f1a152f1e8f7p-5, 0x1.19405e1bf6ff9p-5, 0x1.138008bb7a9bbp-5, 0x1.0dd8ca7d66808p-5, 0x1.084a589efcec9p-5, 0x1.02d46835930f1p-5, 0x1.faed5c718dc15p-6, 0x1.f061bf18c9879p-6, 0x1.e6056213fd5e5p-6, 0x1.dbd7af145dcdcp-6, 0x1.d1d80fdb28adep-6, 0x1.c805ee4af9327p-6, 0x1.be60b4787e566p-6, 0x1.b4e7ccbaa75afp-6, 0x1.ab9aa1ba37939p-6, 0x1.a2789e80c5039p-6, 0x1.99812e8736e92p-6, 0x1.90b3bdc3a75c9p-6, 0x1.880fb8b6c916p-6, 0x1.7f948c78b750bp-6, 0x1.7741a6c5567f1p-6, 0x1.6f1676081fd0ep-6, 0x1.6712696779513p-6, 0x1.5f34f0cf922b8p-6, 0x1.577d7cfcb888dp-6, 0x1.4feb7f8548b07p-6, 0x1.487e6ae31890fp-6, 0x1.4135b27c7f5d6p-6, 0x1.3a10caace4d5ep-6, 0x1.330f28cce7b61p-6, 0x1.2c30433a1008bp-6, 0x1.2573915e28d04p-6, 0x1.1ed88bb629cd7p-6, 0x1.185eabd8c0dd6p-6, 0x1.12056c7c80917p-6, 0x1.0bcc497da6a1dp-6, 0x1.05b2bfe38f57p-6, 0x1.ff709bcb927f8p-7, 0x1.f3b8e5e1b2c58p-7, 0x1.e83d5f55505ccp-7, 0x1.dcfd0bed311e3p-7, 0x1.d1f6f1f2b5871p-7, 0x1.c72a1a38bd927p-7, 0x1.bc9590221e636p-7, 0x1.b23861a771dd6p-7, 0x1.a8119f5c58178p-7, 0x1.9e205c743cf6bp-7, 0x1.9463aec687308p-7, 0x1.8adaaed259883p-7, 0x1.818477c1c5e6p-7, 0x1.7860276c9578ep-7, 0x1.6f6cde5a8f5e1p-7, 0x1.66a9bfc56264dp-7, 0x1.5e15f19a0bf02p-7, 0x1.55b09c79ea66ep-7, 0x1.4d78ebbb569b1p-7, 0x1.456e0d69e8781p-7, 0x1.3d8f32465cb11p-7, 0x1.35db8dc61833cp-7, 0x1.2e525612614b6p-7, 0x1.26f2c4073e8ddp-7, 0x1.1fbc1331f6a4fp-7, 0x1.18ad81cf5db5ap-7, 0x1.11c650c9cb84ep-7, 0x1.0b05c3b6c1adp-7, 0x1.046b20d458f68p-7, 0x1.fbeb620cdf491p-8, 0x1.ef497fa72c57cp-8, 0x1.e2ef36c36fdfdp-8, 0x1.d6db28e52c846p-8, 0x1.cb0bfcc00a12cp-8, 0x1.bf805e2ffe4fbp-8, 0x1.b436fe3103358p-8, 0x1.a92e92d663ebep-8, 0x1.9e65d741d24d7p-8, 0x1.93db8b9a016bp-8, 0x1.898e75012359ep-8, 0x1.7f7d5d8adfe61p-8, 0x1.75a714323116fp-8, 0x1.6c0a6ccef00c6p-8, 0x1.62a6400b1e04fp-8, 0x1.59796b58083d5p-8, 0x1.5082d0e30a6bbp-8, 0x1.47c1578a52a2ep-8, 0x1.3f33ead14a938p-8, 0x1.36d97ad4f4b26p-8, 0x1.2eb0fc3ffc878p-8, 0x1.26b9683ede113p-8, 0x1.1ef1bc739df92p-8, 0x1.1758fae9ad69cp-8, 0x1.0fee2a096fe0dp-8, 0x1.08b0548bdd27bp-8, 0x1.019e896deea89p-8, 0x1.f56fb7c7f5807p-9, 0x1.e7f6c69a3463dp-9, 0x1.dad0764c9adbfp-9, 0x1.cdfb05fb8fb09p-9, 0x1.c174bccc3e62p-9, 0x1.b53be9d2ba4e7p-9, 0x1.a94ee3f84f706p-9, 0x1.9dac09e1bff99p-9, 0x1.9251c1d56026ap-9, 0x1.873e79a178713p-9, 0x1.7c70a68250806p-9, 0x1.71e6c50884681p-9, 0x1.679f58ff53277p-9, 0x1.5d98ed52f6287p-9, 0x1.53d213f6fdd16p-9, 0x1.4a4965ccf3e3ap-9, 0x1.40fd828adaf45p-9, 0x1.37ed10a1ddbe1p-9, 0x1.2f16bd253cef8p-9, 0x1.26793bb12164fp-9, 0x1.1e134651a8ecbp-9, 0x1.15e39d6a360aap-9, 0x1.0de9079ca0c41p-9, 0x1.062251b0e1054p-9, 0x1.fd1c9cf95166fp-10, 0x1.ee57ad9657d0dp-10, 0x1.dff3928a6dbacp-10, 0x1.d1ee14b2b036p-10, 0x1.c44508489a2c2p-10, 0x1.b6f64cb308623p-10, 0x1.a9ffcc57d57abp-10, 0x1.9d5f7c6dd90bcp-10, 0x1.91135ccf38e65p-10, 0x1.851977cc5c7e3p-10, 0x1.796fe1ff19be7p-10, 0x1.6e14ba1e20e9dp-10, 0x1.630628d191b8ep-10, 0x1.584260871c7fcp-10, 0x1.4dc79d476c179p-10, 0x1.4394248b661fp-10, 0x1.39a645124c696p-10, 0x1.2ffc56b7ee306p-10, 0x1.2694ba4bfaa18p-10, 0x1.1d6dd96923018p-10, 0x1.1486264d0f5a8p-10, 0x1.0bdc1bb09d79fp-10, 0x1.036e3ca0f4295p-10, 0x1.f67628b14f097p-11, 0x1.e6826c336558bp-11, 0x1.d6fe7a0fa57bp-11, 0x1.c7e7980661375p-11, 0x1.b93b1b07d388p-11, 0x1.aaf666eb15e23p-11, 0x1.9d16ee2782895p-11, 0x1.8f9a318dd4e83p-11, 0x1.827dc002bba93p-11, 0x1.75bf363a8dbcap-11, 0x1.695c3e7580671p-11, 0x1.5d52903d79299p-11, 0x1.519ff024a8138p-11, 0x1.46422f8466889p-11, 0x1.3b372c3e3db77p-11, 0x1.307cd07caf5dfp-11, 0x1.26111275e11c4p-11, 0x1.1bf1f42ec0edfp-11, 0x1.121d833f58f44p-11, 0x1.0891d8979e6cdp-11, 0x1.fe9a308b79123p-12, 0x1.ec9ae27a186c8p-12, 0x1.db223a3b9aa5bp-12, 0x1.ca2cbffcaa7bep-12, 0x1.b9b71068f54bp-12, 0x1.a9bddc3ffe391p-12, 0x1.9a3de7ec88c27p-12, 0x1.8b340b1d95e68p-12, 0x1.7c9d305fe37aep-12, 0x1.6e7654bbac046p-12, 0x1.60bc875076438p-12, 0x1.536ce8f65290ep-12, 0x1.4684abde0d9cbp-12, 0x1.3a011334a2fe7p-12, 0x1.2ddf72c76dd26p-12, 0x1.221d2eaa7c137p-12, 0x1.16b7bae0437d5p-12, 0x1.0bac9b0268b3cp-12, 0x1.00f961ed27b3ap-12, 0x1.ed3762d6776ebp-13, 0x1.d92273c8f3eb6p-13, 0x1.c5af7418c5d72p-13, 0x1.b2d9fd2772baep-13, 0x1.a09dc3b3f1d7ep-13, 0x1.8ef69744163e3p-13, 0x1.7de0618dc58bdp-13, 0x1.6d5725e4f23f3p-13, 0x1.5d5700ab3c796p-13, 0x1.4ddc26c2d9527p-13, 0x1.3ee2e502b9ef8p-13, 0x1.30679fb0047bap-13, 0x1.2266d1f8cce2cp-13, 0x1.14dd0d7119b7ep-13, 0x1.07c6f991fd6e9p-13, 0x1.f642a67913bc9p-14, 0x1.ddd1d87d3ce79p-14, 0x1.c63555b33d25fp-14, 0x1.af6712997d69fp-14, 0x1.99612ac1228efp-14, 0x1.841ddfeacfa1fp-14, 0x1.6f979926d4be7p-14, 0x1.5bc8e1fa7efddp-14, 0x1.48ac698bee26ep-14, 0x1.363d01cf37a28p-14, 0x1.24759eb9f4e3bp-14, 0x1.1351557842355p-14, 0x1.02cb5ba934daep-14, 0x1.e5be0d39ab88ap-15, 0x1.c70f95302ccb3p-15, 0x1.a98274349d436p-15, 0x1.8d0e0a53ceea2p-15, 0x1.71a9f14344b35p-15, 0x1.574dfb04f4e66p-15, 0x1.3df230948fba6p-15, 0x1.258ed099ec3e5p-15, 0x1.0e1c4e2452b5p-15, 0x1.ef269ed468d0ep-16, 0x1.c3d959246e3bap-16, 0x1.9a42dd01e7149p-16, 0x1.72559b5c322f6p-16, 0x1.4c0461fdf760ep-16, 0x1.27425955e2f1dp-16, 0x1.040302417a9e8p-16, 0x1.c47467d959d0bp-17, 0x1.83b833712a28dp-17, 0x1.45ba626426112p-17, 0x1.0a649019352a3p-17, 0x1.a341e8c53b43p-18, 0x1.36b4bf4e44466p-18, 0x1.9df0dc8b45d5bp-19, 0x1.af938a02ba249p-20, 0x1.aa648106c0a37p-23, -0x1.338ac3abf03cbp-20, -0x1.45c2e598a2fecp-19, -0x1.e999e2ce70379p-19, -0x1.42c7fc68a5039p-18, -0x1.8cf469b820316p-18, -0x1.d3731bc301bfbp-18, -0x1.0b3203c776993p-17, -0x1.2af31d5a7e536p-17, -0x1.490bf09dd1f67p-17, -0x1.658b25a263034p-17, -0x1.807ef948eec3p-17, -0x1.99f53ffae1359p-17, -0x1.b1fb6859cc843p-17, -0x1.c89e7dd1efeddp-17, -0x1.ddeb2b26893fdp-17, -0x1.f1edbce7ccf06p-17, -0x1.025911ef7d0edp-16, -0x1.0b21fbb3bf41fp-16, -0x1.13573bdf4b744p-16, -0x1.1afe48232bd45p-16, -0x1.221c6cd9de7efp-16, -0x1.28b6ce1db2226p-16, -0x1.2ed268d1d5301p-16, -0x1.347413a9d5dbfp-16, -0x1.39a0802764316p-16, -0x1.3e5c3b94fcf71p-16, -0x1.42abaffa9e653p-16, -0x1.46932509231a5p-16, -0x1.4a16c106a4cb7p-16, -0x1.4d3a89ad1b568p-16, -0x1.5002650848684p-16, -0x1.52721a4d97566p-16, -0x1.548d52af0e86p-16, -0x1.56579a27e50b1p-16, -0x1.57d460468d992p-16, -0x1.5906f8eef5755p-16, -0x1.59f29d1ac5f61p-16, -0x1.5a9a6b9188973p-16, -0x1.5b0169a09cefap-16, -0x1.5b2a83c98aaecp-16, -0x1.5b188e7055c2ep-16, -0x1.5ace468493583p-16, -0x1.5a4e52250df8ap-16, -0x1.599b41418ecf4p-16, -0x1.58b78e353446fp-16, -0x1.57a59e5fe2cc3p-16, -0x1.5667c2b96eac1p-16, -0x1.5500386531514p-16, -0x1.5371293de3cd4p-16, -0x1.51bcac5f07335p-16, -0x1.4fe4c6ada2e57p-16, -0x1.4deb6b57db90cp-16, -0x1.4bd27c57efe66p-16, -0x1.499bcaed4f106p-16, -0x1.47491818312f1p-16, -0x1.44dc150ecab01p-16, -0x1.425663b2bc2d4p-16, -0x1.3fb996fe7853fp-16, -0x1.3d07337384dadp-16, -0x1.3a40af86cafd7p-16, -0x1.376774073b496p-16, -0x1.347cdc8298005p-16, -0x1.318237a93595ep-16, -0x1.2e78c7ad07d08p-16, -0x1.2b61c29f8df7p-16, -0x1.283e52cdd6714p-16, -0x1.250f971a3d9ffp-16, -0x1.21d6a34ef01aep-16, -0x1.1e9480769927fp-16, -0x1.1b4a2d2baa795p-16, -0x1.17f89dead7367p-16, -0x1.14a0bd5e94b74p-16, -0x1.11436cabc41eep-16, -0x1.0de183bcac57p-16, -0x1.0a7bd186b9ef5p-16, -0x1.07131c52da3d2p-16, -0x1.03a822001b63fp-16, -0x1.003b9846d3d5ap-16, -0x1.f99c59ef69f9bp-17, -0x1.f2c10c77be4c7p-17, -0x1.ebe685a4e5519p-17, -0x1.e50df495f8584p-17, -0x1.de387a7f4a3fcp-17, -0x1.d7672b1de7941p-17, -0x1.d09b0d21be5b4p-17, -0x1.c9d51a9cb5c65p-17, -0x1.c3164164ca964p-17, -0x1.bc5f637d491fp-17, -0x1.b5b1577756269p-17, -0x1.af0ce8d430c2ap-17, -0x1.a872d85fcdaf5p-17, -0x1.a1e3dc8d0ed1dp-17, -0x1.9b60a1cc00395p-17, -0x1.94e9cae1045cp-17, -0x1.8e7ff13497c58p-17, -0x1.8823a528d14d5p-17, -0x1.81d56e6567683p-17, -0x1.7b95cc25151c2p-17, -0x1.75653580be7fep-17, -0x1.6f4419b5e62f5p-17, -0x1.6932e0706f44cp-17, -0x1.6331ea0b67901p-17, -0x1.5d418fd2ec45ep-17, -0x1.576224479de0dp-17, -0x1.5193f35be14eap-17, -0x1.4bd742b0a16c5p-17, -0x1.462c51d1e31ep-17, -0x1.40935a6fd1cbcp-17, -0x1.3b0c9094bae05p-17, -0x1.359822dbaddb7p-17, -0x1.30363aa54873ep-17, -0x1.2ae6fc4cb5e1cp-17, -0x1.25aa87563a2b9p-17, -0x1.2080f6a4022bbp-17, -0x1.1b6a609fa2707p-17, -0x1.1666d76c5bfffp-17, -0x1.117669107bcd5p-17, -0x1.0c991f9fbb47dp-17, -0x1.07cf0165205dp-17, -0x1.0318110d2b036p-17, -0x1.fce89b93bfd49p-18, -0x1.f3c766f7eb467p-18, -0x1.eacc75aa85256p-18, -0x1.e1f7b2fbd656ep-18, -0x1.d949046bc26f7p-18, -0x1.d0c049e732f4p-18, -0x1.c85d5e1338ad1p-18, -0x1.c0201686d91c2p-18, -0x1.b8084408e33b2p-18, -0x1.b015b2cbd5eb5p-18, -0x1.a8482aa5fac3ep-18, -0x1.a09f6f4a4aed6p-18, -0x1.991b407e8ef1ap-18, -0x1.91bb5a4afcdbcp-18, -0x1.8a7f75326170dp-18, -0x1.8367465f0e4ebp-18, -0x1.7c727fd31649cp-18, -0x1.75a0d096a5468p-18, -0x1.6ef1e4e434b9fp-18, -0x1.68656654051a2p-18, -0x1.61fafc052d573p-18, -0x1.5bb24abf9d251p-18, -0x1.558af5209f4dep-18, -0x1.4f849bc0b0d4dp-18, -0x1.499edd5515b83p-18, -0x1.43d956d590a93p-18, -0x1.3e33a39ba52fcp-18, -0x1.38ad5d858b7dap-18, -0x1.33461d11fcd66p-18, -0x1.2dfd79829ec3bp-18, -0x1.28d308f4b288bp-18, -0x1.23c6608039df5p-18, -0x1.1ed714538c9d8p-18, -0x1.1a04b7cb0bf4dp-18, -0x1.154edd8c9afb1p-18, -0x1.10b517a06c613p-18, -0x1.0c36f78884201p-18, -0x1.07d40e5313ee2p-18, -0x1.038becb31b6c5p-18, -0x1.febc462903da5p-19, -0x1.f6948364954a9p-19, -0x1.ee9fb14bccaacp-19, -0x1.e6dcefffe5c33p-19, -0x1.df4b5fab7e78bp-19, -0x1.d7ea20a49e467p-19, -0x1.d0b8538e35acp-19, -0x1.c9b5197ffbd68p-19, -0x1.c2df9414fa905p-19, -0x1.bc36e59117db1p-19, -0x1.b5ba30fe50656p-19, -0x1.af689a4690bc4p-19, -0x1.a9414644d701fp-19, -0x1.a3435ae96fe92p-19, -0x1.9d6dff4e05d22p-19, -0x1.97c05bc6dc723p-19, -0x1.923999f49c984p-19, -0x1.8cd8e4e0a934dp-19, -0x1.879d690f65e7bp-19, -0x1.828654897a8fap-19, -0x1.7d92d6f520671p-19, -0x1.78c221a9b5c4p-19, -0x1.741367b7b7eb1p-19, -0x1.6f85ddfa1f92bp-19, -0x1.6b18bb21a9883p-19, -0x1.66cb37c8ea68ep-19, -0x1.629c8e774541dp-19, -0x1.5e8bfbaf66c7ap-19, -0x1.5a98bdff912f2p-19, -0x1.56c2160603bc3p-19, -0x1.53074678d8558p-19, -0x1.4f679433db991p-19, -0x1.4be24642016b7p-19, -0x1.4876a5deaeb3fp-19, -0x1.4523fe7e06c5cp-19, -0x1.41e99dd556c32p-19, -0x1.3ec6d3e2b3c7bp-19, -0x1.3bbaf2ef73499p-19, -0x1.38c54f91f0323p-19, -0x1.35e540b9d409bp-19, -0x1.331a1fb15404fp-19, -0x1.3063481c143fap-19, -0x1.2dc017fe2b698p-19, -0x1.2b2fefbfb50a4p-19, -0x1.28b2322c5be8cp-19, -0x1.26464472bd3edp-19, -0x1.23eb8e2a5e9d6p-19, -0x1.21a179594a76fp-19, -0x1.1f677265f4052p-19, -0x1.1d3ce821b4701p-19, -0x1.1b214bc87a1a2p-19, -0x1.19141103332acp-19, -0x1.1714adda68c4ap-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      38, 0x1.851eb851eb852p+2, 0x1.a16432f56e29bp+0, 0x1.be80409f76b87p+1, -0x1.0ab55734ec1ep-7, 
      {{
        {0x1.0f5c28f5c28f6p+2, 0x1.1p+2, 0x1.9010342b02c3p-6, -0x1.b2d9ef372bbcap-5, 0x1.627f992ce31b6p-5, -0x1.02949a290974ep-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.876fd96632566p-6, -0x1.abccd4fb45717p-5, 0x1.5e9ea63912535p-5, -0x1.f840d6a002121p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.5e60e42697c5ep-6, -0x1.89af02339fc66p-5, 0x1.4bb5d15fdf0c6p-5, -0x1.e9f65ef18021ep-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.38a3570d30d2cp-6, -0x1.696e68a468e93p-5, 0x1.39562dd06a3e5p-5, -0x1.dc16f971d516ep-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.16082712a1f7ep-6, -0x1.4afd83918aaf3p-5, 0x1.277bb7a8f2405p-5, -0x1.ce1ae368ea99fp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.ecc34095836d1p-7, -0x1.2e4ef3de719e8p-5, 0x1.16278255030ddp-5, -0x1.c0267d56684ap-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b306cbc93122dp-7, -0x1.13555059c8debp-5, 0x1.055944082bf19p-5, -0x1.b23007f378ef1p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.7e84e454c21fap-7, -0x1.f406650b7cecfp-6, 0x1.ea222111486aep-6, -0x1.a43a1fdbb74b8p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.4eea2d030f796p-7, -0x1.c49666566c73cp-6, 0x1.ca9dc51401123p-6, -0x1.964411e7dde75p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.23e5f6d5564cfp-7, -0x1.983fd68973e4fp-6, 0x1.ac2576ef6a06bp-6, -0x1.884e0e1905f19p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.fa5482066f819p-8, -0x1.6ee7e77f0b8dep-6, 0x1.8eb935e0bcc8p-6, -0x1.7a58079255b5dp-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.b4d771f57201bp-8, -0x1.4873cb18ccd6bp-6, 0x1.7259021c298dap-6, -0x1.6c6201c60dfc5p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.76c374c086821p-8, -0x1.24c8b3366818ap-6, 0x1.5704db93b54e1p-6, -0x1.5e6bfbc7e098fp-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.3f8c9e1d477a7p-8, -0x1.03cbd1b810ba8p-6, 0x1.3cbcc24b1e0f6p-6, -0x1.5075f5d709809p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.0eac5e2e176f9p-8, -0x1.cac4b0fbae129p-7, 0x1.2380b64163bfp-6, -0x1.427fefe29dc42p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c743030441f17p-9, -0x1.92e2f2cfa9632p-7, 0x1.0b50b776cb1d2p-6, -0x1.3489e9ef2fa86p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.7be0622aad72fp-9, -0x1.5fbcccac41c36p-7, 0x1.e8598bd682479p-7, -0x1.2693e3fb745a5p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.3a43e4a0e6ca5p-9, -0x1.311ca251a6e35p-7, 0x1.bc29c33d973a6p-7, -0x1.189dde07d721p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.018b4e11f37d6p-9, -0x1.06ccd78008196p-7, 0x1.92121522d08f3p-7, -0x1.0aa7d8142e07fp-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a1be3604d25b3p-10, -0x1.c12f9fef29bb9p-8, 0x1.6a128186300d7p-7, -0x1.f963a4410032ap-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.4ee501a0db3a3p-10, -0x1.7c8fdef0f915bp-8, 0x1.442b0867b6701p-7, -0x1.dd779859c15e6p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0906db676d59p-10, -0x1.3f4f3385dd16ap-8, 0x1.205ba9c761892p-7, -0x1.c18b8c728a79cp-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.9d6a22f6295a4p-11, -0x1.0902652e34dc5p-8, 0x1.fd48cb4a61804p-8, -0x1.a59f808a9b81dp-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.3d2cc762fade4p-11, -0x1.b27c76d4bc652p-9, 0x1.be0a780263c6ap-8, -0x1.89b374a5ad3dap-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.dd9c0e4dd0518p-12, -0x1.5f2efb75768dbp-9, 0x1.82fc59b656961p-8, -0x1.6dc768b5b8caap-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.5fe251739524fp-12, -0x1.1745e73f3dc4ep-9, 0x1.4c1e7067e144bp-8, -0x1.51db5cee7f0cep-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.f99157e6efc3ep-13, -0x1.b3d5926653532p-10, 0x1.1970bc10e7cfcp-8, -0x1.35ef508f7203fp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.608270ac5a61ep-13, -0x1.4c8e60a14e805p-10, 0x1.d5e67990609ebp-9, -0x1.1a03466711f3ap-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.da4f5fc3aa9bfp-14, -0x1.ee12ae7572509p-11, 0x1.814be47174d5ep-9, -0x1.fc2e67f7fbb97p-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3178cb959ab8p-14, -0x1.6333281edd0b7p-11, 0x1.3511bb3f7578ep-9, -0x1.c45680c9085dbp-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.749dc10ec66ffp-15, -0x1.ea48d6a661bc8p-12, 0x1.e26fe975ced64p-10, -0x1.8c7db3837d2d5p-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.a7d9d60f972p-16, -0x1.411960325913p-12, 0x1.6b7d66ce5c7c5p-10, -0x1.54a840f1ce6c9p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b75be54037c02p-17, -0x1.8849054d437e8p-13, 0x1.054aecec3828fp-10, -0x1.1cc649a580b76p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.9010342b008p-18, -0x1.b2d91c1518d3bp-14, 0x1.5fb87a752317ep-11, -0x1.ca261520ae0cfp-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.2c263a99ccp-19, -0x1.a0e61d24b29ep-15, 0x1.ac8d4ea37756dp-12, -0x1.5962deb42fc2ap-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.46a608a958p-21, -0x1.39e664cd8a05bp-16, 0x1.baa3f86eb55f4p-13, -0x1.db6a31c7119a6p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.76c374c0cp-24, -0x1.278c6a92fed78p-18, 0x1.3ac881ee88d49p-14, -0x1.bc39237f5864p-12}, 
        {0x1.8333333333333p+2, 0x1.851eb851eb852p+2, 0x1.da4f5f9fffffep-30, -0x1.47d6735625401p-24, 0x1.81fe984437ffdp-17, -0x1.4fb16bbba647p-10}, 
      }}, 
      0x1.869e3c7e3580ap-5, -0x1.23895d71a2526p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.58f10ea85b37ep-2, 0x1.6a0e89c2b0da2p-2, 0x1.82a1eb5bf4c7ep-2, 0x1.9eb6de615ab93p-2, 0x1.ba9b57881e2e6p-2, 0x1.d33bbd6e371p-2, 0x1.e64239c57f6bp-2, 0x1.f21463bac9029p-2, 0x1.f5bf9d8efda31p-2, 0x1.f0de532ea0871p-2, 0x1.e37be205350a6p-2, 0x1.cdfa1f7a21423p-2, 0x1.b0f9da5ec111ep-2, 0x1.8d46cff2a31a3p-2, 0x1.63c7120a85f9cp-2, 0x1.356d9f7102dd6p-2, 0x1.032fd6f50eb42p-2, 0x1.9bfacd2330bbfp-3, 0x1.2d74b285b9eeap-3, 0x1.78ebad1658daap-4, 0x1.2a069f8a600ccp-5, -0x1.3864304e20a52p-6, -0x1.2e0560fc6058cp-4, -0x1.0457ec7c1e578p-3, -0x1.6e2b1bbf2e748p-3, -0x1.d3c0dc2ac89eap-3, -0x1.1a407add73d9ap-2, -0x1.47f9bbed0628dp-2, -0x1.72ded4f806da7p-2, -0x1.9acf7e4936bcep-2, -0x1.bfb7031a322c2p-2, -0x1.e18ad01cc81d8p-2, -0x1.00248d8b4f946p-1, -0x1.0dfbd0f3cc3ccp-1, -0x1.1a51432bae9fdp-1, -0x1.252da29003364p-1, -0x1.2e9be344eee29p-1, -0x1.36a8c3f14069dp-1, -0x1.3d626e4221201p-1, -0x1.42d821d9f0fbap-1, -0x1.4719e8cd29f74p-1, -0x1.4a38556914c14p-1, -0x1.4c4448c394614p-1, -0x1.4d4ec13126768p-1, -0x1.4d68afd21870fp-1, -0x1.4ca2d4a8c3f89p-1, -0x1.4b0da0b81fde9p-1, -0x1.48b91d8ce4c09p-1, -0x1.45b4d97fe4a27p-1, -0x1.420fd80fe7ebep-1, -0x1.3dd885cdf3f0ep-1, -0x1.391caf700775p-1, -0x1.33e97bb16dd92p-1, -0x1.2e4b679f49423p-1, -0x1.284e44f205594p-1, -0x1.21fd3a38901e3p-1, -0x1.1b62c46b7cb4fp-1, -0x1.1488b9b35a15ap-1, -0x1.0d784d47b5105p-1, -0x1.063a13f07ea17p-1, -0x1.fdac12b226e94p-2, -0x1.eea72b7dca19p-2, -0x1.df732817b1cf3p-2, -0x1.d01cb0645e3bep-2, -0x1.c0af6b3cb3096p-2, -0x1.b1360b9d80c6cp-2, -0x1.a1ba5da126916p-2, -0x1.92455387097e5p-2, -0x1.82df1251a8a31p-2, -0x1.738efe40597d8p-2, -0x1.645bc6c3f8917p-2, -0x1.554b722b7c582p-2, -0x1.466368c0d9902p-2, -0x1.37a87f82628c9p-2, -0x1.291f0250ba9c5p-2, -0x1.1acabda5b29f6p-2, -0x1.0caf07ca8883bp-2, -0x1.fd9d931a16p-3, -0x1.e2590d036d405p-3, -0x1.c794c9869a332p-3, -0x1.ad5468967b082p-3, -0x1.939aeb9b5e3b4p-3, -0x1.7a6ac27012181p-3, -0x1.61c5d777e283dp-3, -0x1.49ad9b0dfa85cp-3, -0x1.32230e1c02c77p-3, -0x1.1b26cc2034ad8p-3, -0x1.04b91465e4f85p-3, -0x1.ddb3a58a49e1fp-4, -0x1.b3114f34e2ba1p-4, -0x1.8989debe3179p-4, -0x1.611b92fe08be4p-4, -0x1.39c43dc3c3522p-4, -0x1.13814f8a0c975p-4, -0x1.dc9fc50c2874ap-5, -0x1.9459897fd1f9bp-5, -0x1.4e290268d1d4fp-5, -0x1.0a06d135adc52p-5, -0x1.8fd6638261d27p-6, -0x1.0f9c126e71b9ep-6, -0x1.269bcaf78a83ep-7, -0x1.ada96e09ab31cp-10, 0x1.673e12492483dp-8, 0x1.9584d63a78ac1p-7, 0x1.38105a715a257p-6, 0x1.a1cbbfd7cb06fp-6, 0x1.040394eaebb54p-5, 0x1.356a9c770f6b4p-5, 0x1.65244a7884f3cp-5, 0x1.9339f0a006cdep-5, 0x1.bfb4d8e39b794p-5, 0x1.ea9e41d9cf761p-5, 0x1.09ffad0324c02p-4, 0x1.1df09e06883b3p-4, 0x1.3126761efcb13p-4, 0x1.43a5aa7c6e8ffp-4, 0x1.5572a20f99a03p-4, 0x1.6691b4c745f36p-4, 0x1.77072a40fcfap-4, 0x1.86d738ec8c1a7p-4, 0x1.960605ab8eb7cp-4, 0x1.a497a2f4f6c3fp-4, 0x1.b290103b8f051p-4, 0x1.bff339d7d32f7p-4, 0x1.ccc4f89608d9ap-4, 0x1.d909114b58607p-4, 0x1.e4c334e8c7dd1p-4, 0x1.eff7006716e07p-4, 0x1.faa7fc8de46ecp-4, 0x1.026ccf0827129p-3, 0x1.0747a2ddd1efep-3, 0x1.0be6203d4b1f3p-3, 0x1.1049e3b92a39ep-3, 0x1.14748026da6c3p-3, 0x1.18677ebc15819p-3, 0x1.1c245f2823431p-3, 0x1.1fac97b8e8eeap-3, 0x1.2301958480e2cp-3, 0x1.2624bc93718p-3, 0x1.2917680c39539p-3, 0x1.2bdaea5b94fe6p-3, 0x1.2e708d61ce9d2p-3, 0x1.30d992a9b07edp-3, 0x1.3317339b4f86ep-3, 0x1.352aa1a1e797dp-3, 0x1.3715065b1db86p-3, 0x1.38d783d69e0bp-3, 0x1.3a7334cb05c99p-3, 0x1.3be92cb7ae3a7p-3, 0x1.3d3a7811fa568p-3, 0x1.3e681c87ff35p-3, 0x1.3f731938037e4p-3, 0x1.405c66cee8d81p-3, 0x1.4124f7adbe6c6p-3, 0x1.41cdb829a45e6p-3, 0x1.42578ec75f55ap-3, 0x1.42c35c5ac100cp-3, 0x1.4311fc20c0b72p-3, 0x1.434443f450584p-3, 0x1.435b048d36fd5p-3, 0x1.435709a68670bp-3, 0x1.43391a1140d1ap-3, 0x1.4301f7d615767p-3, 0x1.42b2606e83117p-3, 0x1.424b0cf64f6cep-3, 0x1.41ccb2421df85p-3, 0x1.413800ef87dfap-3, 0x1.408da58aa6a76p-3, 0x1.3fce48c208bf8p-3, 0x1.3efa8f8bb4a9ep-3, 0x1.3e131b3344a78p-3, 0x1.3d188968eb7ep-3, 0x1.3c0b74645c6b2p-3, 0x1.3aec7310a2f59p-3, 0x1.39bc1929f6cfep-3, 0x1.387af7480e31ap-3, 0x1.37299ae96051dp-3, 0x1.35c88e8f3992p-3, 0x1.345859e2bf86p-3, 0x1.32d981ceda164p-3, 0x1.314c8889b560cp-3, 0x1.2fb1ed9b66022p-3, 0x1.2e0a2df0f5a32p-3, 0x1.2c55c3fa067b6p-3, 0x1.2a9527c1a4bc9p-3, 0x1.28c8cef89ff41p-3, 0x1.26f12cf9ad36cp-3, 0x1.250eb2d3bec0ep-3, 0x1.2321cf5e6329dp-3, 0x1.212aef4d66999p-3, 0x1.1f2a7d440d13fp-3, 0x1.1d20e1d6c41e1p-3, 0x1.1b0e838e351d8p-3, 0x1.18f3c6f1d4624p-3, 0x1.16d10e9957536p-3, 0x1.14a6bb3cd1cd3p-3, 0x1.12752bbd9d32ap-3, 0x1.103cbd270f628p-3, 0x1.0dfdcab3a302dp-3, 0x1.0bb8add3404efp-3, 0x1.096dbe38c5df6p-3, 0x1.071d51e6b66c4p-3, 0x1.04c7bd350675ep-3, 0x1.026d52d2c984fp-3, 0x1.000e63c7c0a0cp-3, 0x1.fb567ef3f2b3fp-4, 0x1.f688676ec0c37p-4, 0x1.f1b3197e53d16p-4, 0x1.ecd72a8ef8318p-4, 0x1.e7f52cfeff743p-4, 0x1.e30db02041ab8p-4, 0x1.de21403e4cb71p-4, 0x1.d93066aad7f85p-4, 0x1.d43ba9ccc2efep-4, 0x1.cf438d2bbce03p-4, 0x1.ca4891764114fp-4, 0x1.c54b3483c2ccep-4, 0x1.c04bf157a372dp-4, 0x1.bb4b4027e2562p-4, 0x1.b64996683086bp-4, 0x1.b14766d4f860ep-4, 0x1.ac45217bbe0a6p-4, 0x1.a74333bfcbb69p-4, 0x1.a242085cedd26p-4, 0x1.9d42076afd032p-4, 0x1.984396646f7p-4, 0x1.9347182f4c7d9p-4, 0x1.8e4ced264faf9p-4, 0x1.895573205633p-4, 0x1.846105758dd8ap-4, 0x1.7f6ffd0331beap-4, 0x1.7a82b02fa680fp-4, 0x1.759972f06245ep-4, 0x1.70b496d1a6744p-4, 0x1.6bd46afeb354bp-4, 0x1.66f93c494bf2ap-4, 0x1.6223552ff3219p-4, 0x1.5d52fde30993ep-4, 0x1.58887c499bb99p-4, 0x1.53c41406f6f0ap-4, 0x1.4f06068193a56p-4, 0x1.4a4e92ead09e4p-4, 0x1.459df646b307fp-4, 0x1.40f46b732b89p-4, 0x1.3c522b2e9d571p-4, 0x1.37b76c1dc3f99p-4, 0x1.332462d18179dp-4, 0x1.2e9941cd50b5bp-4, 0x1.2a16398e97a57p-4, 0x1.259b78947ac11p-4, 0x1.21292b67e9936p-4, 0x1.1cbf7ca333d91p-4, 0x1.185e94f893933p-4, 0x1.14069b39315dbp-4, 0x1.0fb7b45b9b283p-4, 0x1.0b720382c66fcp-4, 0x1.0735aa05ca231p-4, 0x1.0302c7781bef9p-4, 0x1.fdb2f3633d2d8p-5, 0x1.f573b9ac5c28cp-5, 0x1.ed4816b9884d5p-5, 0x1.e5303c2cc049dp-5, 0x1.dd2c586a6a699p-5, 0x1.d53c96a8e481bp-5, 0x1.cd611f01502cdp-5, 0x1.c59a168085611p-5, 0x1.bde79f36b611p-5, 0x1.b649d84520ff8p-5, 0x1.aec0ddeb041dbp-5, 0x1.a74cc993c04f8p-5, 0x1.9fedb1e748c5p-5, 0x1.98a3aadc50761p-5, 0x1.916ec5ca860bdp-5, 0x1.8a4f117ae0643p-5, 0x1.83449a34a9375p-5, 0x1.7c4f69c7d72d8p-5, 0x1.756f87976362bp-5, 0x1.6ea4f8a74021fp-5, 0x1.67efbfaf39d22p-5, 0x1.614fdd32fd8abp-5, 0x1.5ac54f9820c77p-5, 0x1.54501337280c7p-5, 0x1.4df022636e59fp-5, 0x1.47a5756c31fbap-5, 0x1.4170029d82612p-5, 0x1.3b4fbe494652ap-5, 0x1.35449addafa92p-5, 0x1.2f4e890776535p-5, 0x1.296d77d6d418fp-5, 0x1.23a154da83dfp-5, 0x1.1dea0c2714fb4p-5, 0x1.18478849d27c7p-5, 0x1.12b9b231bc5ffp-5, 0x1.0d407120726fep-5, 0x1.07dbaab3e0e3ap-5, 0x1.028b430f64d14p-5, 0x1.fa9e3a37258ffp-6, 0x1.f04e358cb1cbp-6, 0x1.e6263a5228da4p-6, 0x1.dc260905d496ep-6, 0x1.d24d601182a18p-6, 0x1.c89bfb434eb43p-6, 0x1.bf1193676716ep-6, 0x1.b5adde458f153p-6, 0x1.ac708f1e912d5p-6, 0x1.a359578c4f712p-6, 0x1.9a67e873d72ap-6, 0x1.919bf2a45e217p-6, 0x1.88f526d69855ep-6, 0x1.807334fe7cc06p-6, 0x1.7815cb2fdc57p-6, 0x1.6fdc9490479cap-6, 0x1.67c738dc5680ap-6, 0x1.5fd55cd83a7b7p-6, 0x1.5806a3948069dp-6, 0x1.505ab02d9fa4fp-6, 0x1.48d1275edc117p-6, 0x1.4169b02679991p-6, 0x1.3a23f3318556ap-6, 0x1.32ff992271919p-6, 0x1.2bfc484cca49p-6, 0x1.2519a2cdfd4ecp-6, 0x1.1e5745ded30d2p-6, 0x1.17b4cad13894fp-6, 0x1.1131c98d9dbb8p-6, 0x1.0acddbc6db969p-6, 0x1.04889fbf9ef43p-6, 0x1.fcc3730ea9681p-7, 0x1.f0b1a41517df1p-7, 0x1.e4db2828d4229p-7, 0x1.d93f50577761p-7, 0x1.cddd617f81299p-7, 0x1.c2b4903f923f8p-7, 0x1.b7c4025a8fc0cp-7, 0x1.ad0ad5940a894p-7, 0x1.a2882a14432a5p-7, 0x1.983b2d0d54afp-7, 0x1.8e23200f87106p-7, 0x1.843f5a53d12e7p-7, 0x1.7a8f4303c3c4dp-7, 0x1.711245caf4a89p-7, 0x1.67c7c50e8a9e5p-7, 0x1.5eaf0e487981ap-7, 0x1.55c7549eeeae8p-7, 0x1.4d0fb3e088308p-7, 0x1.44873b46ebcbfp-7, 0x1.3c2cfcdb6eff6p-7, 0x1.34001cf929bdfp-7, 0x1.2bffdd7533d54p-7, 0x1.242ba1291846cp-7, 0x1.1c82e6840ebcdp-7, 0x1.15053a19bcd92p-7, 0x1.0db2248b51c8p-7, 0x1.068918fbf84dep-7, 0x1.ff12d333777cap-8, 0x1.f1648c111add2p-8, 0x1.e405883ce0971p-8, 0x1.d6f3dfc4f890ep-8, 0x1.ca2dbba87b76fp-8, 0x1.bdb175800466p-8, 0x1.b17dabe6b531ap-8, 0x1.a591484284988p-8, 0x1.99eb74559b88dp-8, 0x1.8e8b800e25b1p-8, 0x1.8370bc1bdbea1p-8, 0x1.789a5328e0292p-8, 0x1.6e072e7bec30bp-8, 0x1.63b5ef92e44d8p-8, 0x1.59a4ff5d75b64p-8, 0x1.4fd2aa4ec417ap-8, 0x1.463d3d4a43c9ap-8, 0x1.3ce31cc5d6106p-8, 0x1.33c2d5c9f3e8ep-8, 0x1.2adb2c46fecd6p-8, 0x1.222b2538e2a07p-8, 0x1.19b20532487cdp-8, 0x1.116f3c4329488p-8, 0x1.096241937ab5cp-8, 0x1.018a6ce63390fp-8, 0x1.f3cdbf9da18cap-9, 0x1.e4ed0e6a2c216p-9, 0x1.d6705b66a4b2ap-9, 0x1.c8551ba6e9ca8p-9, 0x1.ba98b03349142p-9, 0x1.ad3860cf64743p-9, 0x1.a03164cbace2fp-9, 0x1.938111786a71ep-9, 0x1.87252170e4528p-9, 0x1.7b1be763349bfp-9, 0x1.6f6442f39a9aep-9, 0x1.63fd581fe7c09p-9, 0x1.58e636d7c7b7ep-9, 0x1.4e1da985ba99fp-9, 0x1.43a23ec7efaf8p-9, 0x1.39727390c6adcp-9, 0x1.2f8ccc9839d3ep-9, 0x1.25efbed2492fp-9, 0x1.1c99734397355p-9, 0x1.13879c48d42c9p-9, 0x1.0ab7931a99044p-9, 0x1.0226c068c88d6p-9, 0x1.f3a62358e11a2p-10, 0x1.e37653ea7cecap-10, 0x1.d3bc5c0271dcdp-10, 0x1.c476b24932556p-10, 0x1.b5a35dfe99025p-10, 0x1.a73ff4007d24cp-10, 0x1.994a06321c939p-10, 0x1.8bbf9545c83bp-10, 0x1.7e9f21ee9322ep-10, 0x1.71e73fa69eabep-10, 0x1.6595da574d03cp-10, 0x1.59a7ae4dea726p-10, 0x1.4e186fd74a314p-10, 0x1.42e3aab691abfp-10, 0x1.3805cc8b6c621p-10, 0x1.2d7ca10a33727p-10, 0x1.2346ef48270f8p-10, 0x1.19638e3120adbp-10, 0x1.0fd0a99059d91p-10, 0x1.068bb6b1b882cp-10, 0x1.fb23f90178ebbp-11, 0x1.e9c2737545dadp-11, 0x1.d8f0008c525f8p-11, 0x1.c8ab175966e68p-11, 0x1.b8f24e429a1b9p-11, 0x1.a9c30c7112ef9p-11, 0x1.9b18ea60b7afap-11, 0x1.8cee206fad8bp-11, 0x1.7f3cd58cb4b67p-11, 0x1.720079d3f4b24p-11, 0x1.6536463bca8bap-11, 0x1.58dcb701a8056p-11, 0x1.4cf2663ec9fedp-11, 0x1.4174d6d8a1d6p-11, 0x1.365fd9e60bcap-11, 0x1.2bae04c65d68cp-11, 0x1.215a2934b7125p-11, 0x1.1760cc110284bp-11, 0x1.0dc033e5d9462p-11, 0x1.047740f0481dap-11, 0x1.f7091f394575bp-12, 0x1.e5cca305cf17p-12, 0x1.d5347d10df9b2p-12, 0x1.c53b2f6497c7ap-12, 0x1.b5db1ec6af6c6p-12, 0x1.a70f41ff2eeacp-12, 0x1.98d2e3a210957p-12, 0x1.8b220993bcfd2p-12, 0x1.7dfa8cd1e043cp-12, 0x1.715acdfffffa6p-12, 0x1.653e266110feep-12, 0x1.599bf27704a39p-12, 0x1.4e6b6da579d61p-12, 0x1.43a724c920b55p-12, 0x1.394ba8c9477cfp-12, 0x1.2f556d4312522p-12, 0x1.25c14c2ba577cp-12, 0x1.1c8d6b4f4aae2p-12, 0x1.13b8b1f6c7011p-12, 0x1.0b41cad544091p-12, 0x1.0326dc4e02b6fp-12, 0x1.f6cbbdb502df5p-13, 0x1.e7f7cb56c6a84p-13, 0x1.d9c6dd246f53fp-13, 0x1.cc2d333f1a7dbp-13, 0x1.bf28156f5ce7p-13, 0x1.b2b9c489769ebp-13, 0x1.a6dc9ec18a53fp-13, 0x1.9b84f048aa79ep-13, 0x1.90ac371770b7cp-13, 0x1.864f1aa625be2p-13, 0x1.7c65637162ed9p-13, 0x1.72e4e2a1f7b9cp-13, 0x1.69c7e643649a4p-13, 0x1.610d3765982e4p-13, 0x1.58b497f1e5f82p-13, 0x1.50bd257721994p-13, 0x1.4925adcaf5e06p-13, 0x1.41ed5d937fb84p-13, 0x1.3b13a355b489fp-13, 0x1.3493f5a74b4bfp-13, 0x1.2e61a38b1c927p-13, 0x1.28720d9a2f78dp-13, 0x1.22c7b7a1f49e8p-13, 0x1.1d653fcad85f1p-13, 0x1.1843faa19b2c8p-13, 0x1.136121fbe31d9p-13, 0x1.0ec01bb52c4e4p-13, 0x1.0a5e20bbb0e18p-13, 0x1.0632133e98efp-13, 0x1.0233cb6d1a4f5p-13, 0x1.fcbf8edf0462ep-14, 0x1.f56d230a3bc26p-14, 0x1.ee725eec168f9p-14, 0x1.e7cc9fbe46b3ep-14, 0x1.e177e0217b8bep-14, 0x1.db751b307db8ep-14, 0x1.d5c579ec16e37p-14, 0x1.d063e6f263b87p-14, 0x1.cb46d16c8768dp-14, 0x1.c65f80422ecf3p-14, 0x1.c1a775458a239p-14, 0x1.bd25a6b8c3b87p-14, 0x1.b8d517616072ap-14, 0x1.b4b052bda70adp-14, 0x1.b0bfafaf72fabp-14, 0x1.ad040d407ab6fp-14, 0x1.a975f9a20071p-14, 0x1.a60d0d6f18297p-14, 0x1.a2c012abd95cbp-14, 0x1.9f8aa5a815f07p-14, 0x1.9c70db10e5cecp-14, 0x1.9974f5592695p-14, 0x1.9691a00f18663p-14, 0x1.93c5143ce33a2p-14, 0x1.911292320c483p-14, 0x1.8e77cc29d5f5ep-14, 0x1.8bee55b7d0982p-14, 0x1.8973cb7b81902p-14, 0x1.870a4062e81fdp-14, 0x1.84ad64a45ed5bp-14, 0x1.82593a0b17e29p-14, 0x1.800dc9903ca62p-14, 0x1.7dc7da2c6b295p-14, 0x1.7b8c66b40cc7ep-14, 0x1.795bbcd0a4109p-14, 0x1.773292500e37p-14, 0x1.75101e00ecdfap-14, 0x1.72f20db3e8b33p-14, 0x1.70d3295c5de16p-14, 0x1.6eb307e1dbbd5p-14, 0x1.6c95017c41baep-14, 0x1.6a76916c75a43p-14, 0x1.6856ec5a54f0ep-14, 0x1.6638818214ce3p-14, 0x1.64193880663edp-14, 0x1.61f666e7ed617p-14, 0x1.5fcf4ed0b034ep-14, 0x1.5da38eda0e826p-14, 0x1.5b73d9acfeb41p-14, 0x1.59426f22435e3p-14, 0x1.570ca0a8a9cd8p-14, 0x1.54cf91c77c696p-14, 0x1.528b09f037c57p-14, 0x1.50418a713da9fp-14, 0x1.4df3568af5f24p-14, 0x1.4b9e830bc8821p-14, 0x1.4943300aad374p-14, 0x1.46e22247efe7bp-14, 0x1.447ab3bc7ce72p-14, 0x1.420b0d87264d8p-14, 0x1.3f93fd178f7d3p-14, 0x1.3d14e96bf46f6p-14, 0x1.3a8e89d151f18p-14, 0x1.380224b4a39dp-14, 0x1.356e63217b915p-14, 0x1.32d2a285df6b1p-14, 0x1.302f114fd916ap-14, 0x1.2d83f6e96afe8p-14, 0x1.2ad181ffadc2dp-14, 0x1.2817ad8af5883p-14, 0x1.25569edbfc51dp-14, 0x1.228f4374f6ef5p-14, 0x1.1fc1096a6bbe1p-14, 0x1.1ceadf5b57cf8p-14, 0x1.1a0ddc472a2c9p-14, 0x1.172ac56cd724fp-14, 0x1.1440f2852bedp-14, 0x1.115080747d851p-14, 0x1.0e59d77806de4p-14, 0x1.0b5d99557a331p-14, 0x1.085baaaf1fb7ep-14, 0x1.05539fef49383p-14, 0x1.02459d3952739p-14, 0x1.fe650530ea0a9p-15, 0x1.f835316e81065p-15, 0x1.f1fb33a1f0d1ep-15, 0x1.ebb77dc864d0ap-15, 0x1.e56aa80075b1dp-15, 0x1.df152d79431a1p-15, 0x1.d8b77f11f6b45p-15, 0x1.d25211de05d5ep-15, 0x1.cbe56153d0702p-15, 0x1.c571db85e23a8p-15, 0x1.bef7da5a40104p-15, 0x1.b87810734e5a4p-15, 0x1.b1f30095de8f3p-15, 0x1.ab687e4d3ca8fp-15, 0x1.a4d9b0761b0b7p-15, 0x1.9e46cf459ab52p-15, 0x1.97b028ebc08c7p-15, 0x1.911643e6e8a9p-15, 0x1.8a79b940a568p-15, 0x1.83db46270325ap-15, 0x1.7d3ae89ea2777p-15, 0x1.7698e74b9e16p-15, 0x1.6ff63ee2a02eep-15, 0x1.695334b517c84p-15, 0x1.62b016f63ff5fp-15, 0x1.5c0d66acacf46p-15, 0x1.556b9b73cd00bp-15, 0x1.4ecb2563e246p-15, 0x1.482c71a0ff7d1p-15, 0x1.418febb9b145fp-15, 0x1.3af5fdf434fedp-15, 0x1.345f11ea6cff4p-15, 0x1.2dcb9199e173p-15, 0x1.273be57191fa1p-15, 0x1.20b06e73e6986p-15, 0x1.1a298b1d24972p-15, 0x1.13a7afdac7746p-15, 0x1.0d2b2914c4c5ap-15, 0x1.06b4689cef6bfp-15, 0x1.0043ba54190e2p-15, 0x1.f3b2e5aefc427p-16, 0x1.e6ebffd3636fcp-16, 0x1.da335b0193918p-16, 0x1.cd89d4e0ef35bp-16, 0x1.c0efb5a94a5ecp-16, 0x1.b465f204f017ep-16, 0x1.a7ed0729f5b08p-16, 0x1.9b858c41b74dcp-16, 0x1.8f3021dab9b18p-16, 0x1.82ed5dbaccbbbp-16, 0x1.76bdd024ddc4ep-16, 0x1.6aa20569157d4p-16, 0x1.5e9a85f8cb5d7p-16, 0x1.52a7d814508dfp-16, 0x1.46ca770aeda4p-16, 0x1.3b02e4b64968ap-16, 0x1.2f51981cb36cep-16, 0x1.23b7068e066bfp-16, 0x1.1833a28b131f9p-16, 0x1.0cc7d9f13ef8dp-16, 0x1.01741386b3fc3p-16, 0x1.ec7163a91f0b9p-17, 0x1.d62c3f1939c29p-17, 0x1.c0197a602e152p-17, 0x1.aa39b6aa6d674p-17, 0x1.948da68956cf4p-17, 0x1.7f15e86608b9p-17, 0x1.69d32f3497633p-17, 0x1.54c60d4629fbdp-17, 0x1.3fef19e04347ep-17, 0x1.2b4ecf46f48fdp-17, 0x1.16e5b0f13b50ap-17, 0x1.02b440afc92a1p-17, 0x1.dd75e81dc2d1cp-18, 0x1.b5f4728cef25bp-18, 0x1.8ee4f1336c39ap-18, 0x1.6848232450219p-18, 0x1.421ec151a3ab1p-18, 0x1.1c6973f803decp-18, 0x1.ee51b02afb04cp-19, 0x1.a4bafb08dbaa4p-19, 0x1.5c0fd0278a4fap-19, 0x1.14511ec5cc40bp-19, 0x1.9aff7c0790441p-20, 0x1.0f39225bf2b1dp-20, 0x1.0a9eda927f14ap-21, -0x1.5d38e69a2997ep-27, -0x1.11ca2cb20d5f1p-21, -0x1.0d2f971ce169dp-20, -0x1.8f98bbc4ed676p-20, -0x1.080ff95210eb6p-19, -0x1.4762af6a67d0bp-19, -0x1.85c47079b82cbp-19, -0x1.c3351f8ce0103p-19, -0x1.ffb4719da7c66p-19, -0x1.1da173c2f426p-18, -0x1.3af066627e056p-18, -0x1.57c71f94130f7p-18, -0x1.7425c7daaba8fp-18, -0x1.900c8e17f2f77p-18, -0x1.ab7c085ff5fbdp-18, -0x1.c67393782df2cp-18, -0x1.e0f464869b01ap-18, -0x1.fafe73c82a48fp-18, -0x1.0a48f40166afep-17, -0x1.16d7e9506be2cp-17, -0x1.232bf71de01cap-17, -0x1.2f4572c9dbda6p-17, -0x1.3b2497b0f9f4cp-17, -0x1.46c9a59d967bfp-17, -0x1.5234df0a55324p-17, -0x1.5d668839a6964p-17, -0x1.685ee8c673da8p-17, -0x1.731e49f7bd4acp-17, -0x1.7da4f88427d36p-17, -0x1.87f34697abe47p-17, -0x1.92098cf71fd15p-17, -0x1.9be82bddce6f4p-17, -0x1.a58f443e26322p-17, -0x1.aeff727806635p-17, -0x1.b8390dd72f38p-17, -0x1.c13c1bdc604cap-17, -0x1.ca0963ddcd94cp-17, -0x1.d2a12ce94d23dp-17, -0x1.db03d1add44eap-17, -0x1.e331b9cea9392p-17, -0x1.eb2b4e82b1bc3p-17, -0x1.f2f0fa47e97f5p-17, -0x1.fa83290f29cefp-17, -0x1.00f1242107f84p-16, -0x1.048763616c8d5p-16, -0x1.08048a6bea683p-16, -0x1.0b68d20c235dp-16, -0x1.0eb473adf3507p-16, -0x1.11e7a9547142p-16, -0x1.1502ad96fd92bp-16, -0x1.1805bba5f1c7ap-16, -0x1.1af10f4c24356p-16, -0x1.1dc4e4c2f9f8cp-16, -0x1.208177bc13ebfp-16, -0x1.2327059d9dc0fp-16, -0x1.25b5ce7c91dabp-16, -0x1.282e0c6729197p-16, -0x1.2a8ffed0f301bp-16, -0x1.2cdbe4144c1ep-16, -0x1.2f11fa1b389fbp-16, -0x1.31327dc8de21fp-16, -0x1.333dbba34761fp-16, -0x1.3533f4807e57ep-16, -0x1.37152eac00453p-16, -0x1.38e1f15d51762p-16, -0x1.3a9a63d3993c9p-16, -0x1.3c3ec38044277p-16, -0x1.3dcf505b43237p-16, -0x1.3f4c49a205c1p-16, -0x1.40b5eead7180ap-16, -0x1.420c8be539507p-16, -0x1.4350494b692fep-16, -0x1.44817c3a0f40bp-16, -0x1.45a05b4075971p-16, -0x1.46ad295d2c58p-16, -0x1.47a82351bcb8ep-16, -0x1.48918b0b18675p-16, -0x1.4969a009fb339p-16, -0x1.4a30a18496a34p-16, -0x1.4ae6cecd76985p-16, -0x1.4b8c670c26b7bp-16, -0x1.4c21a9371eb02p-16, -0x1.4ca6d40c87112p-16, -0x1.4d1c2608524e9p-16, -0x1.4d81dd70b6586p-16, -0x1.4dd8386c968cfp-16, -0x1.4e1f74fe59772p-16, -0x1.4e57d0f3ef89ap-16, -0x1.4e818951ac85cp-16, }}, 
      {{0x1.54d2872321d19p-2, 0x1.5ac6acd27da95p-2, 0x1.63d2a355868cap-2, 0x1.6f03c49faa9adp-2, 0x1.7b634c3bd710fp-2, 0x1.880db6017b276p-2, 0x1.943e69336bd1ap-2, 0x1.9f54341732b4cp-2, 0x1.a8d177e94671ep-2, 0x1.b059da1c8be0dp-2, 0x1.b5aeb1d22a66fp-2, 0x1.b8aaf514adb6dp-2, 0x1.b93f19dab901cp-2, 0x1.b76d2c5deccc9p-2, 0x1.b3453cbeb1701p-2, 0x1.ace2332923c5dp-2, 0x1.a4670e2216888p-2, 0x1.99fc87f97b1e3p-2, 0x1.8dcf1c95cef9bp-2, 0x1.800d66e2754ffp-2, 0x1.70e6cc69370e6p-2, 0x1.608a6d8cfdc5ap-2, 0x1.4f2651360b272p-2, 0x1.3ce6c358f4874p-2, 0x1.29f5de77606d9p-2, 0x1.167b38fbd302ep-2, 0x1.029bb0190bba3p-2, 0x1.dcf2953e0c6dbp-3, 0x1.b4665db6121fcp-3, 0x1.8bcb4ee34a9ep-3, 0x1.63546740e0466p-3, 0x1.3b2f4009953a1p-3, 0x1.13844b6e8315cp-3, 0x1.d8ee35a9b796cp-4, 0x1.8c4d55cee33c2p-4, 0x1.415b65fd9b074p-4, 0x1.f08bd31ff0428p-5, 0x1.62662de681e06p-5, 0x1.b109d06a01e3p-6, 0x1.4c6b69eca915p-7, -0x1.6d81c18b0c859p-8, -0x1.537d232e2b49ep-6, -0x1.20fb7508422d9p-5, -0x1.935a33ae5595ep-5, -0x1.006aa52692b32p-4, -0x1.34b6c7f109bafp-4, -0x1.6694b9b4c8efcp-4, -0x1.960a23fbd0ba3p-4, -0x1.c31ecf80c1007p-4, -0x1.eddc587f24157p-4, -0x1.0b26f4fa889a2p-3, -0x1.1e3fffafa1f04p-3, -0x1.304016324bf51p-3, -0x1.412e74fb32d74p-3, -0x1.5112b4426839dp-3, -0x1.5ff4b37ac0a18p-3, -0x1.6ddc8707050c3p-3, -0x1.7ad26801fd88bp-3, -0x1.86dea5ed75f31p-3, -0x1.92099a1d4472cp-3, -0x1.9c5b9cb50a184p-3, -0x1.a5dcfb117781ap-3, -0x1.ae95ef7c3ffap-3, -0x1.b68e9a08c09e1p-3, -0x1.bdcefa7f27a03p-3, -0x1.c45eeb38de326p-3, -0x1.ca461cd871a31p-3, -0x1.cf8c12c301d5ap-3, -0x1.d4382049644fp-3, -0x1.d8516669e6a03p-3, -0x1.dbded21c80461p-3, -0x1.dee71b151146p-3, -0x1.e170c2f2d80d3p-3, -0x1.e38214c61f597p-3, -0x1.e52124edba8bep-3, -0x1.e653d13486dep-3, -0x1.e71fc12df17fbp-3, -0x1.e78a66c4f2c63p-3, -0x1.e798fef76ec8ep-3, -0x1.e75092b65ff8cp-3, -0x1.e6b5f7e4fa83ap-3, -0x1.e5cdd2714ca9p-3, -0x1.e49c958172284p-3, -0x1.e32684b0b4ac6p-3, -0x1.e16fb55b69bd5p-3, -0x1.df7c0ff15efd9p-3, -0x1.dd4f5150ea9e5p-3, -0x1.daed0c25be1fap-3, -0x1.d858aa494f70ep-3, -0x1.d5956e23e931fp-3, -0x1.d2a6740ba88c7p-3, -0x1.cf8eb3a117b94p-3, -0x1.cc5101274679ep-3, -0x1.c8f00ed6ee2bdp-3, -0x1.c56e6e2b9b576p-3, -0x1.c1ce9129ceae9p-3, -0x1.be12cb9e56947p-3, -0x1.ba3d5452fd73dp-3, -0x1.b6504645efdc2p-3, -0x1.b24da1c682864p-3, -0x1.ae374d91d1a54p-3, -0x1.aa0f17f352e36p-3, -0x1.a5d6b7c77d7d9p-3, -0x1.a18fcd81e661ap-3, -0x1.9d3be426fb0fdp-3, -0x1.98dc723d8d42ep-3, -0x1.9472dab7de702p-3, -0x1.90006dd337797p-3, -0x1.8b8669f0002fap-3, -0x1.8705fc6128efdp-3, -0x1.828042331961p-3, -0x1.7df648ebdc1f4p-3, -0x1.79690f426ec4cp-3, -0x1.74d985cf033b5p-3, -0x1.70488fb4b7287p-3, -0x1.6bb7034315f68p-3, -0x1.6725aa9170d87p-3, -0x1.6295441407827p-3, -0x1.5e06832a027fap-3, -0x1.597a10a5865cfp-3, -0x1.54f08b4e9a22ep-3, -0x1.506a885f2a317p-3, -0x1.4be893fa3c893p-3, -0x1.476b319e0d7fap-3, -0x1.42f2dc908ba6ap-3, -0x1.3e80084681306p-3, -0x1.3a1320c5e4322p-3, -0x1.35ac8b0c1df89p-3, -0x1.314ca55da08acp-3, -0x1.2cf3c79b5d2fbp-3, -0x1.28a243a0aecabp-3, -0x1.24586588b768ep-3, -0x1.201673fa7c7b3p-3, -0x1.1bdcb07076756p-3, -0x1.17ab577c1faf5p-3, -0x1.1382a1064f79bp-3, -0x1.0f62c08cc2292p-3, -0x1.0b4be55c8b3dfp-3, -0x1.073e3ac99e83ep-3, -0x1.0339e8638709ap-3, -0x1.fe7e2450efc2ep-4, -0x1.f69bb168adb92p-4, -0x1.eeccb2dda900ep-4, -0x1.e7115d6d423a2p-4, -0x1.df69e015243eap-4, -0x1.d7d6646174855p-4, -0x1.d0570eb780904p-4, -0x1.c8ebfe9c7ed6bp-4, -0x1.c1954ef884989p-4, -0x1.ba5316563d581p-4, -0x1.b325671fe9acbp-4, -0x1.ac0c4fd908dd9p-4, -0x1.a507db54ab813p-4, -0x1.9e1810e9423d1p-4, -0x1.973cf4a229bcfp-4, -0x1.9076876f28a8ap-4, -0x1.89c4c74f8d818p-4, -0x1.8327af7cfd28cp-4, -0x1.7c9f38935723p-4, -0x1.762b58b712c8ep-4, -0x1.6fcc03b91a5ap-4, -0x1.69812b3898f01p-4, -0x1.634abec36fcfdp-4, -0x1.5d28abf56d22p-4, -0x1.571ade959d7b6p-4, -0x1.512140b19e56ap-4, -0x1.4b3bbab7ad099p-4, -0x1.456a339000b3dp-4, -0x1.3fac90b4365dfp-4, -0x1.3a02b645bbe5bp-4, -0x1.346c87248dc6p-4, -0x1.2ee9e500c503dp-4, -0x1.297ab06eeed17p-4, -0x1.241ec8fb6f23p-4, -0x1.1ed60d3a734d1p-4, -0x1.19a05ad8b6285p-4, -0x1.147d8eaabdd77p-4, -0x1.0f6d84bbdb45ap-4, -0x1.0a70185c70c03p-4, -0x1.0585242f4570ap-4, -0x1.00ac8235e0f73p-4, -0x1.f7cc17b8d549p-5, -0x1.ee63340a62892p-5, -0x1.e51e0a2785b3fp-5, -0x1.dbfc49ee99b88p-5, -0x1.d2fda2687da35p-5, -0x1.ca21c1dad5ce6p-5, -0x1.c16855d9c109p-5, -0x1.b8d10b5915c49p-5, -0x1.b05b8ebcc1984p-5, -0x1.a8078be7f920ap-5, -0x1.9fd4ae4b66525p-5, -0x1.97c2a0f2d00b5p-5, -0x1.8fd10e926b16cp-5, -0x1.87ffa193abd1dp-5, -0x1.804e04218e99dp-5, -0x1.78bbe02e40b01p-5, -0x1.7148df995b1cep-5, -0x1.69f4ac0527ddp-5, -0x1.62beef10468f3p-5, -0x1.5ba7524f27a8dp-5, -0x1.54ad7f51d66cfp-5, -0x1.4dd11fb02804ap-5, -0x1.4711dd113e525p-5, -0x1.406f61333828cp-5, -0x1.39e955f2dad2p-5, -0x1.337f6552f1b3fp-5, -0x1.2d31398328f54p-5, -0x1.26fe7ce7428eep-5, -0x1.20e6da1c8522bp-5, -0x1.1ae9fc000dc27p-5, -0x1.15078db484709p-5, -0x1.0f3f3aa7c7d58p-5, -0x1.0990ae985ff4bp-5, -0x1.03fb959a9e8d3p-5, -0x1.fcff383ad8e32p-6, -0x1.f238ddddc8692p-6, -0x1.e7a37680ddc1cp-6, -0x1.dd3e5d57532efp-6, -0x1.d308ee6c05d22p-6, -0x1.c90286aa07c4dp-6, -0x1.bf2a83e41c3dp-6, -0x1.b58044dbbaa86p-6, -0x1.ac032947c67c2p-6, -0x1.a2b291db0d512p-6, -0x1.998de04aa3ed2p-6, -0x1.909477540d1d5p-6, -0x1.87c5bac31544dp-6, -0x1.7f210f7750546p-6, -0x1.76a5db69456d8p-6, -0x1.6e5385af4613cp-6, -0x1.662976821df65p-6, -0x1.5e2717419cb9bp-6, -0x1.564bd278f6f12p-6, -0x1.4e9713e2f0e8fp-6, -0x1.4708486dc74b1p-6, -0x1.3f9ede3ecb103p-6, -0x1.385a44b5c95e6p-6, -0x1.3139ec7039b36p-6, -0x1.2a3d474c4d18ep-6, -0x1.2363c86bda29ep-6, -0x1.1cace43721af3p-6, -0x1.1618105f6633dp-6, -0x1.0fa4c3e1438efp-6, -0x1.09527706db828p-6, -0x1.0320a369ce45dp-6, -0x1.fa1d87ea15ea7p-7, -0x1.ee38a9cd0a86p-7, -0x1.e291a7a1f819dp-7, -0x1.d7277f3c1ab18p-7, -0x1.cbf9311a10e56p-7, -0x1.c105c066077b7p-7, -0x1.b64c3309541a3p-7, -0x1.abcb919d515fbp-7, -0x1.a182e76e5f4e9p-7, -0x1.9771428039b97p-7, -0x1.8d95b38f11bc6p-7, -0x1.83ef4e0f54094p-7, -0x1.7a7d282e1ae6dp-7, -0x1.713e5ad17a308p-7, -0x1.683201987deep-7, -0x1.5f573adad5e2p-7, -0x1.56ad27a8259e2p-7, -0x1.4e32ebc7045ecp-7, -0x1.45e7adb3d4ca3p-7, -0x1.3dca969f7f45fp-7, -0x1.35dad26e494a6p-7, -0x1.2e178fb69949bp-7, -0x1.267fffbf6e07bp-7, -0x1.1f13567e72293p-7, -0x1.17d0ca958276p-7, -0x1.10b7954fb8f65p-7, -0x1.09c6f29e5b11fp-7, -0x1.02fe2116143eep-7, -0x1.f8b8c3d92d2acp-8, -0x1.ebc1f1ed0894ap-8, -0x1.df16594a97066p-8, -0x1.d2b48c020b11fp-8, -0x1.c69b21603148p-8, -0x1.bac8b5bb9407ep-8, -0x1.af3bea904e80ep-8, -0x1.a3f36665bb97bp-8, -0x1.98edd4c8b6119p-8, -0x1.8e29e64834826p-8, -0x1.83a6507118513p-8, -0x1.7961cdc88978cp-8, -0x1.6f5b1dc2f26f5p-8, -0x1.659104b72be65p-8, -0x1.5c024bcf14c3dp-8, -0x1.52adc0f8761aap-8, -0x1.499236d9233c9p-8, -0x1.40ae84c7f70b1p-8, -0x1.380186c9e46dap-8, -0x1.2f8a1d9069b85p-8, -0x1.27472e750d7fdp-8, -0x1.1f37a36ef42f7p-8, -0x1.175a6b01e6103p-8, -0x1.0fae7828da04ap-8, -0x1.0832c240cc8c5p-8, -0x1.00e644f887ba9p-8, -0x1.f39000909ea42p-9, -0x1.e5adf0e19167p-9, -0x1.d8246bfac847dp-9, -0x1.caf18b8929106p-9, -0x1.be1371c10caebp-9, -0x1.b188493cd1ce2p-9, -0x1.a54e44cb804dcp-9, -0x1.99639f39f5c88p-9, -0x1.8dc69b2358ea6p-9, -0x1.827582d30d4acp-9, -0x1.776ea839d3123p-9, -0x1.6cb064d8e805dp-9, -0x1.623919d09490fp-9, -0x1.580730c5ffec4p-9, -0x1.4e191a6db4b1fp-9, -0x1.446d4e4e0f64ep-9, -0x1.3b024c465d481p-9, -0x1.31d69b068e18fp-9, -0x1.28e8c80e18559p-9, -0x1.2037679ae8be8p-9, -0x1.17c114977d9dap-9, -0x1.0f8470998c8f6p-9, -0x1.078023eb28f2p-9, -0x1.ff65bb26fc7d6p-10, -0x1.f036a6ac14e23p-10, -0x1.e1708343bc146p-10, -0x1.d310d6de9af5cp-10, -0x1.c515341e6c576p-10, -0x1.b77b39e3be993p-10, -0x1.aa4092da379b7p-10, -0x1.9d62f514bff1bp-10, -0x1.90e021cbc60f2p-10, -0x1.84b5e54776d1fp-10, -0x1.78e216f85a0c5p-10, -0x1.6d6299ae0e57bp-10, -0x1.62355bd076e79p-10, -0x1.5758577d47559p-10, -0x1.4cc99270b8ddp-10, -0x1.42871dace9389p-10, -0x1.388f14e2ba761p-10, -0x1.2edf9db22fp-10, -0x1.2576e6e703022p-10, -0x1.1c5327e7a93dap-10, -0x1.1372a085172c3p-10, -0x1.0ad3993d83a8p-10, -0x1.027463dab2fc9p-10, -0x1.f4a6b856c2145p-11, -0x1.e4ddd11bb2631p-11, -0x1.d58af4264619ap-11, -0x1.c6ab184c6680cp-11, -0x1.b83b477df1166p-11, -0x1.aa389c841bc5cp-11, -0x1.9ca04084979d5p-11, -0x1.8f6f68e656b9bp-11, -0x1.82a3564917024p-11, -0x1.7639550a24cd3p-11, -0x1.6a2ebf3f98493p-11, -0x1.5e80ff6795c34p-11, -0x1.532d92b451cb1p-11, -0x1.48320a2b8abecp-11, -0x1.3d8c0a6c7101cp-11, -0x1.333949f393125p-11, -0x1.29378e73245b4p-11, -0x1.1f84aa6441a7fp-11, -0x1.161e7a5e2697ep-11, -0x1.0d02e29414f5fp-11, -0x1.042fcda51a9f5p-11, -0x1.f7465a1e4d6bap-12, -0x1.e6b5fac0b8a2cp-12, -0x1.d6aa944adebc4p-12, -0x1.c72056f6d5898p-12, -0x1.b8139d0abd653p-12, -0x1.a980e002f2efap-12, -0x1.9b64b678f1dbap-12, -0x1.8dbbd0475b39cp-12, -0x1.8082f30696253p-12, -0x1.73b6f620b59c4p-12, -0x1.6754bdd4ece69p-12, -0x1.5b5938868c0cbp-12, -0x1.4fc15acfe5e2bp-12, -0x1.448a2548ad60cp-12, -0x1.39b0aa78082dp-12, -0x1.2f321580b7528p-12, -0x1.250bad28f8a9ep-12, -0x1.1b3ad234a6062p-12, -0x1.11bcfb8ed3326p-12, -0x1.088fb368c1c88p-12, -0x1.ff612cd5ae74fp-13, -0x1.ee3aa6f179a44p-13, -0x1.dda753dc31cecp-13, -0x1.cda2cbc6b4f3fp-13, -0x1.be28b7f6a3823p-13, -0x1.af34ce7089bf9p-13, -0x1.a0c2d6695ef03p-13, -0x1.92ceb21e2fb2cp-13, -0x1.85546667507dap-13, -0x1.78501c133eb2ap-13, -0x1.6bbe1af5c44fcp-13, -0x1.5f9ac3a9633d9p-13, -0x1.53e28e676059fp-13, -0x1.48920fed49a9p-13, -0x1.3da5fe3532749p-13, -0x1.331b2e4a423eap-13, -0x1.28ee8bb34a6ecp-13, -0x1.1f1d0d916e987p-13, -0x1.15a3c0a9602fep-13, -0x1.0c7fc6594c4b7p-13, -0x1.03ae4c57784f4p-13, -0x1.f6594e08d54f4p-14, -0x1.e5f0729bff3a5p-14, -0x1.d61ce9c26a704p-14, -0x1.c6d9acb6c1fddp-14, -0x1.b821c8db56ad9p-14, -0x1.a9f06a2bb27c3p-14, -0x1.9c40f003e2e25p-14, -0x1.8f0ef9a81af04p-14, -0x1.8256595a265b2p-14, -0x1.7612f37af2cdp-14, -0x1.6a40ab0eb7c3dp-14, -0x1.5edb708046038p-14, -0x1.53df653ad12ecp-14, -0x1.4948f06fad63bp-14, -0x1.3f14b204df588p-14, -0x1.353f6258bda85p-14, -0x1.2bc5bb0f40333p-14, -0x1.22a4760505e16p-14, -0x1.19d856cf9ff63p-14, -0x1.115e33597d193p-14, -0x1.0932fecb7614p-14, -0x1.0153d90628841p-14, -0x1.f37c2971b95fcp-15, -0x1.e4de44101da96p-15, -0x1.d6c8d37091e3cp-15, -0x1.c9367e2c00879p-15, -0x1.bc21f5e25629ep-15, -0x1.af864b6567c9p-15, -0x1.a35f11b7d7a52p-15, -0x1.97a83c023f062p-15, -0x1.8c5ddf9011621p-15, -0x1.817c06cddf29dp-15, -0x1.76fead4f4b28ap-15, -0x1.6ce1dd9b2475bp-15, -0x1.6321cca03edcfp-15, -0x1.59badf629f551p-15, -0x1.50a9a4eabe9a8p-15, -0x1.47ead808f21c7p-15, -0x1.3f7b5d7ee430bp-15, -0x1.375824f3f6ac8p-15, -0x1.2f7e073914146p-15, -0x1.27e9d5242c9f1p-15, -0x1.20988ca66185bp-15, -0x1.198773709891cp-15, -0x1.12b40366bc62ap-15, -0x1.0c1bd2a9aa1acp-15, -0x1.05bc8bbf767b4p-15, -0x1.ff27d044a8a49p-16, -0x1.f33f4f921003cp-16, -0x1.e7bb2d3b30fc3p-16, -0x1.dc9739d70b97dp-16, -0x1.d1cf96137406ap-16, -0x1.c760a6bac1ecep-16, -0x1.bd46e70c4b6cbp-16, -0x1.b37ec59359515p-16, -0x1.aa04a55733ac1p-16, -0x1.a0d4e80c1705dp-16, -0x1.97ec1010d436bp-16, -0x1.8f470788a4d97p-16, -0x1.86e3239616d08p-16, -0x1.7ebdc49a5dba8p-16, -0x1.76d41b3445fcp-16, -0x1.6f2374ca4fff5p-16, -0x1.67a92969e23a8p-16, -0x1.6062cab31e2fap-16, -0x1.594e1f774e4b5p-16, -0x1.52690ccc3431p-16, -0x1.4bb18210ab167p-16, -0x1.45258681ce487p-16, -0x1.3ec35c6135dcbp-16, -0x1.38896f24cbc69p-16, -0x1.327609536391p-16, -0x1.2c873a363dfdbp-16, -0x1.26bb024327adfp-16, -0x1.210f91ff63b22p-16, -0x1.1b8398fc73d11p-16, -0x1.1615e0adc7062p-16, -0x1.10c56f5f36595p-16, -0x1.0b90ee3500d7dp-16, -0x1.0676fa96dcc8fp-16, -0x1.01764ed5509c6p-16, -0x1.f91b65d5df1a9p-17, -0x1.ef780f8d8df48p-17, -0x1.e600ad5edf7fap-17, -0x1.dcb3804bf2732p-17, -0x1.d38ec51f3e362p-17, -0x1.ca90c859a0e8cp-17, -0x1.c1b811246e398p-17, -0x1.b9035384961e8p-17, -0x1.b07131adc3e3ap-17, -0x1.a80008fa3986dp-17, -0x1.9fae168cd4d75p-17, -0x1.9779d7fd4aaf4p-17, -0x1.8f6229de01247p-17, -0x1.876643648cbdep-17, -0x1.7f8571b6624dbp-17, -0x1.77beaa15da309p-17, -0x1.7010d13db082dp-17, -0x1.687b06ecba00cp-17, -0x1.60fc6c394d0c4p-17, -0x1.59941ddeafde8p-17, -0x1.5241495bdd3cfp-17, -0x1.4b0333fa5cd93p-17, -0x1.43d93e6d8db61p-17, -0x1.3cc2e8a6a3067p-17, -0x1.35bfc211ba7eap-17, -0x1.2ecf4a550abe3p-17, -0x1.27f0fc8505b2ap-17, -0x1.212460d4a594cp-17, -0x1.1a6905dcfa72cp-17, -0x1.13be70e119605p-17, -0x1.0d242ee44ce9cp-17, -0x1.0699fb324de1p-17, -0x1.001f9e073adc5p-17, -0x1.f369b0865a051p-18, -0x1.e6b2c7d079524p-18, -0x1.da19e805dd95ep-18, -0x1.cd9ec1770ecap-18, -0x1.c140fdc6f57e5p-18, -0x1.b500387ae727dp-18, -0x1.a8dc1155d21d7p-18, -0x1.9cd41cbac08a9p-18, -0x1.90e7f9f4e85f9p-18, -0x1.8517843fe15a9p-18, -0x1.7962bdb957fb4p-18, -0x1.6dc9830b41967p-18, -0x1.624b9f49d5009p-18, -0x1.56e8e94cd6396p-18, -0x1.4ba137c45ee57p-18, -0x1.40747330eac7p-18, -0x1.356294e154de3p-18, -0x1.2a6b8f05bdfebp-18, -0x1.1f8f5a83a0d04p-18, -0x1.14ce0928830bcp-18, -0x1.0a278d72d0c57p-18, -0x1.ff379c44eeaf6p-19, -0x1.ea55a427368dep-19, -0x1.d5a9550521f1cp-19, -0x1.c132d3279a907p-19, -0x1.acf226d41d966p-19, -0x1.98e7389de6f62p-19, -0x1.85129cbfab072p-19, -0x1.7173e4552fd89p-19, -0x1.5e0a663701943p-19, -0x1.4ad8b8e063ef3p-19, -0x1.37dca0d0461b8p-19, -0x1.25171456be748p-19, -0x1.128834393ee5ap-19, -0x1.00302da858b67p-19, -0x1.dc1e1f78215dcp-20, -0x1.b849f84fe0752p-20, -0x1.94e414ee29e18p-20, -0x1.71ecc608f5ff1p-20, -0x1.4f646d2bfa025p-20, -0x1.2d4b396ad7dd8p-20, -0x1.0ba1701cf98ap-20, -0x1.d4ce59ed3e689p-21, -0x1.933909adb0558p-21, -0x1.52838765f1502p-21, -0x1.12ae5328c6efdp-21, -0x1.a77339b9af7fcp-22, -0x1.2b4b561e05fecp-22, -0x1.61caebc37500dp-23, -0x1.c210093b84095p-25, 0x1.f4f5fd289270dp-25, 0x1.67794faa9bb8fp-23, 0x1.2717a087222d4p-22, 0x1.98af761c8a3c5p-22, 0x1.04420edff6845p-21, 0x1.3b4ae13e9f522p-21, 0x1.717244f97a5c4p-21, 0x1.a6b86caf4c55cp-21, 0x1.db1d7e34f56cdp-21, 0x1.0750de2a11bd6p-20, 0x1.20a2b62a14998p-20, 0x1.39846e2c19a3ep-20, 0x1.51f634c7c5b9cp-20, 0x1.69f842d96818ep-20, 0x1.818ad46fefb0ep-20, 0x1.98ae2bfa51719p-20, 0x1.af62981c7e61fp-20, 0x1.c5a85dde8c1dap-20, 0x1.db7fd4238727cp-20, 0x1.f0e9561556263p-20, 0x1.02f29eadb5c67p-19, 0x1.0d39f68d12e83p-19, 0x1.174af157f72ffp-19, 0x1.2125bdc0858a8p-19, 0x1.2aca9caa6f051p-19, 0x1.3439c9cb774a5p-19, 0x1.3d73837342132p-19, 0x1.46780e72258aep-19, 0x1.4f47b00591f66p-19, 0x1.57e2b01a23d34p-19, 0x1.6049594b4df36p-19, 0x1.687bf8b89dfe3p-19, 0x1.707addd620545p-19, 0x1.78465a62cf418p-19, 0x1.7fdec2502b4e6p-19, 0x1.87446b93b74cep-19, 0x1.8e77ae423afadp-19, 0x1.9578e4f657ad5p-19, 0x1.9c486c78dc645p-19, 0x1.a2e6a2bc10e53p-19, 0x1.a953e82debd44p-19, 0x1.af909cfc2a99p-19, 0x1.b59d1d0ae3eddp-19, 0x1.bb7a46eab54d1p-19, 0x1.c12748e46d5fap-19, 0x1.c6a60c64af1f9p-19, 0x1.cbf5c75bc5dd1p-19, 0x1.d1179942e83bp-19, 0x1.d60bb9ff7bf7cp-19, 0x1.dad29a3251b27p-19, 0x1.df6ca9cab8375p-19, 0x1.e3da5a2703a8fp-19, 0x1.e81c1dfbf15cep-19, 0x1.ec32691bbb817p-19, 0x1.f01db0683178bp-19, 0x1.f3de69ca796c1p-19, 0x1.f77519ba27655p-19, 0x1.fae20f478037ap-19, 0x1.fe25ec531945fp-19, 0x1.00a08dbf94976p-18, 0x1.021a0be165739p-18, 0x1.037fae11e488bp-18, 0x1.04d1b1e543871p-18, 0x1.06105573a4af8p-18, 0x1.073bd72871cc3p-18, 0x1.0854721e493fdp-18, 0x1.095a6f606a15cp-18, 0x1.0a4e017983b95p-18, 0x1.0b2f67c2e956ep-18, 0x1.0bfef13dc9c22p-18, 0x1.0cbcd0f58ae55p-18, 0x1.0d69442b0bf38p-18, 0x1.0e048e16c39aep-18, 0x1.0e8eee9242c24p-18, 0x1.0f08a4e8f73f5p-18, 0x1.0f71f0aa9c1cfp-18, 0x1.0fcb114c028ap-18, 0x1.1014463919486p-18, 0x1.104dcda661b71p-18, 0x1.1077ea8c6a8f4p-18, 0x1.1092d8fed78e2p-18, 0x1.109ed91dc4f76p-18, 0x1.109c2976a73a7p-18, 0x1.108b091cb8de5p-18, 0x1.106bb6b4f0dc2p-18, 0x1.103e70885b0c6p-18, 0x1.10037436a6cd5p-18, 0x1.0fbb21d952474p-18, 0x1.0f651c55f5d86p-18, 0x1.0f02b3b2d5851p-18, 0x1.0e934aa45d8ffp-18, 0x1.0e1762311031ep-18, 0x1.0d8f37ede6d97p-18, 0x1.0cfb039700be6p-18, 0x1.0c5b02d55ea3dp-18, 0x1.0baf719367436p-18, 0x1.0af88a60b85d6p-18, 0x1.0a368a3cfa43cp-18, 0x1.0969ab1bd7a2fp-18, 0x1.0892263c9ef41p-18, 0x1.07b035f553d02p-18, 0x1.06c412ff1238cp-18, 0x1.05cdf1fb3da9bp-18, 0x1.04ce526d8f6c8p-18, 0x1.03c4b57ac0a6ep-18, 0x1.02b20b1aa39c5p-18, 0x1.019642756f73dp-18, 0x1.00716e0564793p-18, 0x1.fe88812c3b39dp-19, 0x1.fc1ce8e13b13dp-19, 0x1.f9a0cfe20482p-19, 0x1.f7149e1eb483dp-19, 0x1.f478c2bd1793bp-19, 0x1.f1cda9f5639c2p-19, 0x1.ef13b242065bp-19, 0x1.ec4b40cf4386fp-19, 0x1.e974bcabf954cp-19, 0x1.e6908abb2fd31p-19, 0x1.e39f0d81d246dp-19, 0x1.e0a0a77d3421cp-19, 0x1.dd95b979d7e39p-19, 0x1.da7ea2cedec8cp-19, 0x1.d75bc296c8456p-19, 0x1.d42d768d13683p-19, 0x1.d0f41b08add7bp-19, 0x1.cdb00bf79a312p-19, 0x1.ca61a3aabc6d6p-19, 0x1.c7093b66d54dbp-19, 0x1.c3a72b6c7261fp-19, 0x1.c03bcaedd0928p-19, 0x1.bcc77006a8a7cp-19, 0x1.b94a6fb907179p-19, 0x1.b5c51deac1323p-19, 0x1.b237cd69463c2p-19, 0x1.aea2cfe7a1d7p-19, 0x1.ab0675fed02acp-19, 0x1.a7630f2eae48bp-19, 0x1.a3b8e9e0c2ac7p-19, 0x1.a008536b7e386p-19, 0x1.9c5198202da7bp-19, 0x1.9895035ba88dbp-19, 0x1.94d2df1e9bdbcp-19, 0x1.910b6eb8db07cp-19, 0x1.8d3efd467c5cdp-19, 0x1.896de2e0a278cp-19, 0x1.85984c513b8e8p-19, 0x1.81be868b23adap-19, 0x1.7de0d6dcafb6bp-19, 0x1.79ff7f63c778ap-19, 0x1.761ac1544694ep-19, 0x1.7232dd23cd455p-19, 0x1.6e48122929a75p-19, 0x1.6a5a9ddd3ef79p-19, 0x1.666abb4f6d9ddp-19, 0x1.6278a8cff901p-19, 0x1.5e84a72fd3b8dp-19, 0x1.5a8eebac1739ep-19, 0x1.5697a9236d2c9p-19, 0x1.529f13592ed93p-19, 0x1.4ea59e3f27d56p-19, 0x1.4aab0c35e74ebp-19, 0x1.46aff6c0cb50bp-19, 0x1.42b46597f76fep-19, 0x1.3eb89a0c735a2p-19, 0x1.3abcb92876773p-19, 0x1.36c0fd7da1e29p-19, 0x1.32c596e01a56cp-19, 0x1.2ecab369af7d2p-19, 0x1.2ad08147e7e8dp-19, 0x1.26d72dc8b8452p-19, 0x1.22dee565a715dp-19, 0x1.1ee7d3b2e2eb3p-19, 0x1.1af2235975ff1p-19, 0x1.16fdfe1a869dbp-19, 0x1.130b8cd3f16ecp-19, 0x1.0f1af782f899bp-19, 0x1.0b2c654531461p-19, 0x1.073ffc57b1c6ap-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.27e82dba8508ap-8, -0x1.c09cdd4d42ap-7, -0x1.cdcf7ced79705p-6, -0x1.7c6dddf3caab1p-5, -0x1.0ea73c1eaf206p-4, -0x1.5ae8ee13d87ecp-4, -0x1.9a8a05903db99p-4, -0x1.c723a56a5be4ap-4, -0x1.dc7410fe423eep-4, -0x1.d8320192825aap-4, -0x1.b9c02608482fdp-4, -0x1.81d6f7a05c29fp-4, -0x1.3230e56245c76p-4, -0x1.9a7d9b35e242dp-5, -0x1.579cf316231dp-6, 0x1.85786650d71c3p-7, 0x1.868facea8a2d2p-5, 0x1.5eb27622a5b5p-4, 0x1.ffe261d00b2b3p-4, 0x1.52004afd4c3bcp-3, 0x1.a43b86d522ba8p-3, 0x1.f57bb7150756ep-3, 0x1.225f7a03cb16bp-2, 0x1.48944b630c7dp-2, 0x1.6d000efc17ce3p-2, 0x1.8f57a53bedad8p-2, 0x1.af5fdb5874f1bp-2, 0x1.ccec0e642404cp-2, 0x1.e7dcb863a8336p-2, 0x1.000efd73cd077p-1, 0x1.0ad3181784db8p-1, 0x1.143a45d2183eap-1, 0x1.1c47e8e7cc651p-1, 0x1.230293fa7b9edp-1, 0x1.28737fcfc8c08p-1, 0x1.2ca60ec0d730cp-1, 0x1.2fa75ce88c71ep-1, 0x1.3185dcdb480bfp-1, 0x1.325100604f29p-1, 0x1.3218ebaa4dcf8p-1, 0x1.30ee3202ae30bp-1, 0x1.2ee19ba1e372fp-1, 0x1.2c03f42f8ec4bp-1, 0x1.2865e0e251826p-1, 0x1.2417bd48847bfp-1, 0x1.1f297e24aa4e6p-1, 0x1.19aa99ef3ce9ep-1, 0x1.13a9f66dcf3d2p-1, 0x1.0d35daac5b19dp-1, 0x1.065be4aa0ed65p-1, 0x1.fe5204599e4b9p-2, 0x1.ef52d8a24e8c6p-2, 0x1.dfd14b05d6df9p-2, 0x1.cfe2f30dd8613p-2, 0x1.bf9bfe7e80826p-2, 0x1.af0f37ce2e7edp-2, 0x1.9e4e0ed3403f4p-2, 0x1.8d68a3436d03dp-2, 0x1.7c6dd0add3f4cp-2, 0x1.6b6b3b5cd919bp-2, 0x1.5a6d5e33b3049p-2, 0x1.497f98e2b6a9cp-2, 0x1.38ac3e989e20ap-2, 0x1.27fca4b0036c6p-2, 0x1.17793170070cap-2, 0x1.07296a890df4dp-2, 0x1.ee2806ae0216ap-3, 0x1.ce7dd573a467fp-3, 0x1.af5eb0f7c241cp-3, 0x1.90d3b47992f1cp-3, 0x1.72e4bf91f6055p-3, 0x1.55988dd845ac6p-3, 0x1.38f4cd48716e5p-3, 0x1.1cfe3391500aep-3, 0x1.01b8922aeceb1p-3, 0x1.ce4dd295194f3p-4, 0x1.9a96f373104bap-4, 0x1.684fab0fe70efp-4, 0x1.3779df8005553p-4, 0x1.081656031e37ap-4, 0x1.b4499ce2e7369p-5, 0x1.5b4839488212ep-5, 0x1.05248087b4e4dp-5, 0x1.63b1eb015d4f4p-6, 0x1.857b1eeb51813p-7, 0x1.3adf927b8df03p-9, -0x1.ba13f4a138bc9p-8, -0x1.fdf247b364601p-7, -0x1.8a15fea230041p-6, -0x1.07f935ecce7aep-5, -0x1.48533c228e0fcp-5, -0x1.862598b36ca0cp-5, -0x1.c17d3d5509a4fp-5, -0x1.fa67739e5e59dp-5, -0x1.1878e5b0c7c61p-4, -0x1.3295055851051p-4, -0x1.4b8f0fd4ca8bcp-4, -0x1.636e0984d2393p-4, -0x1.7a38fe748fc92p-4, -0x1.8ff6fcda5287ep-4, -0x1.a4af1075a2066p-4, -0x1.b8683e5ccaa53p-4, -0x1.cb2980ffbb04bp-4, -0x1.dcf9c50f4c7a9p-4, -0x1.eddfe64078828p-4, -0x1.fde2acbd76ba4p-4, -0x1.06846579b07e5p-3, -0x1.0dac6d9feeebbp-3, -0x1.146caf38059b1p-3, -0x1.1ac85d133b8aep-3, -0x1.20c29baf13fbp-3, -0x1.265e80ce7979bp-3, -0x1.2b9f12eaf69aep-3, -0x1.308748caca40fp-3, -0x1.351a0957366ebp-3, -0x1.395a2b43fa067p-3, -0x1.3d4a74e1630dp-3, -0x1.40ed9c1fd7c83p-3, -0x1.44464665c8539p-3, -0x1.4757088897fe3p-3, -0x1.4a2266f2a069p-3, -0x1.4caad5a0e42fep-3, -0x1.4ef2b8335761dp-3, -0x1.50fc622a5350cp-3, -0x1.52ca17075a86p-3, -0x1.545e0a6bf72b2p-3, -0x1.55ba6061bde3ep-3, -0x1.56e12d99fe3eap-3, -0x1.57d47798a51b6p-3, -0x1.589634fbf6842p-3, -0x1.59284dcf6ebb1p-3, -0x1.598c9bc894318p-3, -0x1.59c4ea8bd4a8fp-3, -0x1.59d2f80072897p-3, -0x1.59b8749ed6b2p-3, -0x1.597703b8853fep-3, -0x1.59103bc65dc74p-3, -0x1.5885a6baaf6ecp-3, -0x1.57d8c251122d3p-3, -0x1.570b005bcdbebp-3, -0x1.561dc7103a7acp-3, -0x1.55127155178a9p-3, -0x1.53ea4f145a684p-3, -0x1.52a6a587bbafdp-3, -0x1.5148af7e8a8acp-3, -0x1.4fd19da82a9dep-3, -0x1.4e4296e4f8adcp-3, -0x1.4c9cb88f44a45p-3, -0x1.4ae116b9cfe64p-3, -0x1.4910bc740191dp-3, -0x1.472cac176d1eap-3, -0x1.4535df8d6836bp-3, -0x1.432d4886c89d3p-3, -0x1.4113d0b710d02p-3, -0x1.3eea5a1bc67b4p-3, -0x1.3cb1bf3fd8012p-3, -0x1.3a6ad36effeb2p-3, -0x1.381662e693c32p-3, -0x1.35b53312c6a12p-3, -0x1.334802cf68871p-3, -0x1.30cf8a9b12662p-3, -0x1.2e4c7cbfb182bp-3, -0x1.2bbf85821eec2p-3, -0x1.29294b5c3e142p-3, -0x1.268a6f32020f2p-3, -0x1.23e38c782dd02p-3, -0x1.213539577548cp-3, -0x1.1e8006d97156fp-3, -0x1.1bc4811b7e629p-3, -0x1.19032f7955c32p-3, -0x1.163c94ac49653p-3, -0x1.13712ee992d39p-3, -0x1.10a1780a17d03p-3, -0x1.0dcde5b5f2fa7p-3, -0x1.0af6e9878438ep-3, -0x1.081cf1257d0adp-3, -0x1.0540665c8189ap-3, -0x1.0261af403fed2p-3, -0x1.ff025c9fef587p-4, -0x1.f93e852a5b59cp-4, -0x1.f3788f7450dc6p-4, -0x1.edb12c3d7193dp-4, -0x1.e7e905e4803b9p-4, -0x1.e220c0a3f419cp-4, -0x1.dc58fac8fb8b2p-4, -0x1.d6924cdcb7527p-4, -0x1.d0cd49c678c87p-4, -0x1.cb0a7ef2a709p-4, -0x1.c54a7482574c6p-4, -0x1.bf8dad7b0a31ep-4, -0x1.b9d4a7f04edadp-4, -0x1.b41fdd219eb89p-4, -0x1.ae6fc1973882p-4, -0x1.a8c4c544ad8d9p-4, -0x1.a31f53b0f04d3p-4, -0x1.9d7fd41c82868p-4, -0x1.97e6a99faf3f1p-4, -0x1.925433464afdp-4, -0x1.8cc8cc226fef4p-4, -0x1.8744cb6e5b5bbp-4, -0x1.81c884ab9590fp-4, -0x1.7c5447c0d544fp-4, -0x1.76e86113f7ab8p-4, -0x1.7185199ecce98p-4, -0x1.6c2ab70373974p-4, -0x1.66d97ba3a1565p-4, -0x1.6191a6baaf22cp-4, -0x1.5c537476fc3b1p-4, -0x1.571f1e0ff19b3p-4, -0x1.51f4d9d84467ep-4, -0x1.4cd4db4f0f389p-4, -0x1.47bf53323b098p-4, -0x1.42b46f931bd5ap-4, -0x1.3db45beba4d51p-4, -0x1.38bf4131dca96p-4, -0x1.33d545e8a5334p-4, -0x1.2ef68e2eb435p-4, -0x1.2a233bcd51329p-4, -0x1.255b6e48927a5p-4, -0x1.209f42f08c99p-4, -0x1.1beed4f272acfp-4, -0x1.174a3d683c7ddp-4, -0x1.12b193668d62dp-4, -0x1.0e24ec0986151p-4, -0x1.09a45a81a792dp-4, -0x1.052ff021883c3p-4, -0x1.00c7bc6c31d32p-4, -0x1.f8d79a468f122p-5, -0x1.f0385ca863c89p-5, -0x1.e7b1d4c871d14p-5, -0x1.df441437926bcp-5, -0x1.d6ef29633c1d1p-5, -0x1.ceb31facaec58p-5, -0x1.c68fff80fb435p-5, -0x1.be85ce70e89a8p-5, -0x1.b6948f47d6274p-5, -0x1.aebc42213857dp-5, -0x1.a6fce47cd6464p-5, -0x1.9f56715252d44p-5, -0x1.97c8e124d9a97p-5, -0x1.90542a174fc92p-5, -0x1.88f84000b3a77p-5, -0x1.81b514801e3f4p-5, -0x1.7a8a970ffa8cep-5, -0x1.7378b518514c5p-5, -0x1.6c7f5a004797ap-5, -0x1.659e6f3f13992p-5, -0x1.5ed5dc6d09decp-5, -0x1.58258754f97d2p-5, -0x1.518d5405ae8d1p-5, -0x1.4b0d24e299cf9p-5, -0x1.44a4dab419ad5p-5, -0x1.3e5454b887e3ap-5, -0x1.381b70b1ee748p-5, -0x1.31fa0af4cb283p-5, -0x1.2beffe7704aa5p-5, -0x1.25fd24def24d6p-5, -0x1.20215692469a5p-5, -0x1.1a5c6ac49c483p-5, -0x1.14ae378541b13p-5, -0x1.0f1691cc52f2dp-5, -0x1.09954d875cc7bp-5, -0x1.042a3da608e17p-5, -0x1.fdaa684e14978p-6, -0x1.f32c044a97e98p-6, -0x1.e8d8efc9ce881p-6, -0x1.deb0c9beac07p-6, -0x1.d4b32f9cbcf2dp-6, -0x1.cadfbd6c4d8c9p-6, -0x1.c1360ddf1854ep-6, -0x1.b7b5ba672405fp-6, -0x1.ae5e5b4f4b488p-6, -0x1.a52f87d35fc7ep-6, -0x1.9c28d635abd8dp-6, -0x1.9349dbd080ed2p-6, -0x1.8a922d24b786fp-6, -0x1.82015de7dc237p-6, -0x1.7997011506b9p-6, -0x1.7152a9045380cp-6, -0x1.6933e781dbadbp-6, -0x1.613a4de8cf147p-6, -0x1.59656d353c528p-6, -0x1.51b4d60e3a56dp-6, -0x1.4a2818c928d7bp-6, -0x1.42bec56c2e91dp-6, -0x1.3b786bb7d8e42p-6, -0x1.34549b3cc5929p-6, -0x1.2d52e37c313fap-6, -0x1.2672d40aff36ep-6, -0x1.1fb3fcab8f62ep-6, -0x1.1915ed553b24dp-6, -0x1.12983628acfe4p-6, -0x1.0c3a675a626f2p-6, -0x1.05fc1123ebf92p-6, -0x1.ffb987966791ep-7, -0x1.f3b81f8ccec6bp-7, -0x1.e7f30be947237p-7, -0x1.dc696fae7a756p-7, -0x1.d11a6f67a9fe7p-7, -0x1.c605311d6c274p-7, -0x1.bb28dbfd37d5bp-7, -0x1.b08497dbc7513p-7, -0x1.a6178cd2ecc48p-7, -0x1.9be0e337490a9p-7, -0x1.91dfc3ffd62e8p-7, -0x1.881359868b3e5p-7, -0x1.7e7ad05b09b65p-7, -0x1.751557cdbdf0dp-7, -0x1.6be221eeed14dp-7, -0x1.62e062f416aaap-7, -0x1.5a0f503ac82e3p-7, -0x1.516e1f52c77a6p-7, -0x1.48fc05869f575p-7, -0x1.40b83836e8188p-7, -0x1.38a1eddb75ep-7, -0x1.30b85f7cd7486p-7, -0x1.28faca1a3a0f7p-7, -0x1.21686f2c120e4p-7, -0x1.1a00942879b96p-7, -0x1.12c2810a5357fp-7, -0x1.0bad7e5df0072p-7, -0x1.04c0d3980df77p-7, -0x1.fbf78ce53514ap-8, -0x1.eebb37637ae63p-8, -0x1.e1cb325a013c5p-8, -0x1.d52610e97a93p-8, -0x1.c8ca723c69a42p-8, -0x1.bcb70394dea27p-8, -0x1.b0ea7ebdba533p-8, -0x1.a563a50f24e7bp-8, -0x1.9a21388b82362p-8, -0x1.8f21f57d644fdp-8, -0x1.84648f07f015fp-8, -0x1.79e7b03431ed6p-8, -0x1.6faa017ba22fp-8, -0x1.65aa313400ae6p-8, -0x1.5be6fc2bd19c6p-8, -0x1.525f338d6fad8p-8, -0x1.4911bdd3a2c5ep-8, -0x1.3ffd920f9fdbdp-8, -0x1.3721ae954a5e1p-8, -0x1.2e7d0dccd233ep-8, -0x1.260e9ccc73ea7p-8, -0x1.1dd537033d7d7p-8, -0x1.15cfa8a79e42p-8, -0x1.0dfcb75d8ecb4p-8, -0x1.065b2e80e46b7p-8, -0x1.fdd3d6da683b5p-9, -0x1.ef4fcc6373f51p-9, -0x1.e12868479594ep-9, -0x1.d35c06a0a3dc5p-9, -0x1.c5e91f4ed05fdp-9, -0x1.b8ce2935eaefap-9, -0x1.ac097e9f307cep-9, -0x1.9f994b6c51ac8p-9, -0x1.937b8af948179p-9, -0x1.87ae16322829ap-9, -0x1.7c2ebce276a5ep-9, -0x1.70fb624788d8ap-9, -0x1.6612156afe325p-9, -0x1.5b712060150d6p-9, -0x1.51170beb339a6p-9, -0x1.470296a380916p-9, -0x1.3d32a03968dcep-9, -0x1.33a60c748b3d2p-9, -0x1.2a5ba57f8979ap-9, -0x1.215207426cdd2p-9, -0x1.18879afc23e5ep-9, -0x1.0ffaa386e2b69p-9, -0x1.07a9534529596p-9, -0x1.ff23c46c8a6c5p-10, -0x1.ef653f3ce90c5p-10, -0x1.e013fc4375ea8p-10, -0x1.d12d3b7bda151p-10, -0x1.c2aea5272fbbfp-10, -0x1.b49646693b96p-10, -0x1.a6e27295115c2p-10, -0x1.99918ca0c4fa4p-10, -0x1.8ca1cdfd90696p-10, -0x1.8011250442275p-10, -0x1.73dd382803bedp-10, -0x1.68038237e47fap-10, -0x1.5c816e4a2790cp-10, -0x1.515460fe35bd6p-10, -0x1.4679b41cdf577p-10, -0x1.3beebbe3f9786p-10, -0x1.31b0e7cd4ecb5p-10, -0x1.27bdf5dc4c66p-10, -0x1.1e14175d85545p-10, -0x1.14b1e8bb8ef77p-10, -0x1.0b963c94c0a11p-10, -0x1.02bfdb630d636p-10, -0x1.f45abf413fa5cp-11, -0x1.e3ba7a59434eap-11, -0x1.d39bc088bdc91p-11, -0x1.c3fb806fd9f7cp-11, -0x1.b4d69cdd28016p-11, -0x1.a629955cb10bap-11, -0x1.97f04775931b4p-11, -0x1.8a2617ab9d454p-11, -0x1.7cc6868bd302bp-11, -0x1.6fcdd8422bc27p-11, -0x1.63395a57bb38p-11, -0x1.570719c20c719p-11, -0x1.4b354a8046622p-11, -0x1.3fc1d92c00659p-11, -0x1.34aa6964392d1p-11, -0x1.29eca4aa52c48p-11, -0x1.1f868b2dadcd4p-11, -0x1.15767dfa4672p-11, -0x1.0bbaf0ccabd5dp-11, -0x1.0251e63e86495p-11, -0x1.f271209448b96p-12, -0x1.e0d6d91e40f37p-12, -0x1.cfcdc22fba1e5p-12, -0x1.bf4fec4eff911p-12, -0x1.af595803a11b3p-12, -0x1.9fe76a4fb3c57p-12, -0x1.90f7a5610d4f9p-12, -0x1.8286a7de40e75p-12, -0x1.7490212c5e806p-12, -0x1.670f901f37204p-12, -0x1.5a012760ec55cp-12, -0x1.4d6247308312dp-12, -0x1.41313efec7f1cp-12, -0x1.356c76002d34fp-12, -0x1.2a11852817e04p-12, -0x1.1f1cccfaf9e55p-12, -0x1.1489c5405c5aep-12, -0x1.0a53e3678985dp-12, -0x1.0077852e64408p-12, -0x1.ede486c03cc3bp-13, -0x1.db85268754329p-13, -0x1.c9cdff156190fp-13, -0x1.b8bab6b24d9fbp-13, -0x1.a844bdd692bfbp-13, -0x1.9863f300431c9p-13, -0x1.89109b26f0c0fp-13, -0x1.7a45548239492p-13, -0x1.6bff22c8f6e56p-13, -0x1.5e3bd995807cp-13, -0x1.50f8ee6095eb8p-13, -0x1.443346dbfd01bp-13, -0x1.37e72db775e83p-13, -0x1.2c105d8ec5904p-13, -0x1.20aa8c37e39e5p-13, -0x1.15b1da98be997p-13, -0x1.0b22a4cfbbcbp-13, -0x1.00f9c14bf88aep-13, -0x1.ee6a7579f2eccp-14, -0x1.dba6fb0ece118p-14, -0x1.c9a20b6f8962fp-14, -0x1.b84f78328ea4bp-14, -0x1.a7a2f73194b17p-14, -0x1.9794a8a7d31abp-14, -0x1.881f621598a49p-14, -0x1.793ddaf84607dp-14, -0x1.6aeb4e5722611p-14, -0x1.5d24a3ebf4ac7p-14, -0x1.4fe7c26d5d4a5p-14, -0x1.43324e7b24cb3p-14, -0x1.3701505d7bdb2p-14, -0x1.2b519ed7bed6bp-14, -0x1.201eeec72367ap-14, -0x1.1561a784a6bd3p-14, -0x1.0b11bcb3911ep-14, -0x1.012cf4c71ebd2p-14, -0x1.ef68a74be6cb6p-15, -0x1.dd47b52fae6dcp-15, -0x1.cbe752069dcb4p-15, -0x1.bb3e635068b04p-15, -0x1.ab47e72cf64fep-15, -0x1.9bf8bc11b857p-15, -0x1.8d435202e514cp-15, -0x1.7f1fd9998e126p-15, -0x1.718c36d3aa9eep-15, -0x1.648788bca2598p-15, -0x1.581022585ded5p-15, -0x1.4c23fad2f12f5p-15, -0x1.40c1858aa673ap-15, -0x1.35e784e67a883p-15, -0x1.2b8fc8077e8efp-15, -0x1.21a9f7e45eb92p-15, -0x1.182876e1b3b7bp-15, -0x1.0f0e095037058p-15, -0x1.065d9e8b51fc1p-15, -0x1.fc1d19e4923abp-16, -0x1.ec3a025927fd5p-16, -0x1.dd19b2b1ffcf9p-16, -0x1.ceb491efc4d37p-16, -0x1.c0f3561b692adp-16, -0x1.b3c13839b5007p-16, -0x1.a715169c99ef1p-16, -0x1.9aefd9629981ep-16, -0x1.8f538f552f0bp-16, -0x1.843c7d113b791p-16, -0x1.79a538e7b0288p-16, -0x1.6f8e7b89e1bc2p-16, -0x1.65f92b4cc0ebdp-16, -0x1.5cde8e4171c4ep-16, -0x1.54328d52c55e1p-16, -0x1.4be2eb0ecbb55p-16, -0x1.43e773a0946e5p-16, -0x1.3c48437e409a4p-16, -0x1.34feec44b9b9bp-16, -0x1.2e046ea575a1ap-16, -0x1.27628f349b843p-16, -0x1.211a0334d343ep-16, -0x1.1b216801b9585p-16, -0x1.156e3a6fd1091p-16, -0x1.0ff51363085bp-16, -0x1.0ab06ef8d3551p-16, -0x1.05a4f7bfc2228p-16, -0x1.00d51a00b4d3cp-16, -0x1.f874531d0ad52p-17, -0x1.efa37f725a0aap-17, -0x1.e73edf97c6e06p-17, -0x1.df4059af7bfd2p-17, -0x1.d7981837b466p-17, -0x1.d03fe3dbf9d21p-17, -0x1.c93c20c2ac3ep-17, -0x1.c2821a1732c4cp-17, -0x1.bc07d808fc77cp-17, -0x1.b5cce760a98p-17, -0x1.afc9215038ec3p-17, -0x1.aa07ce3c683dap-17, -0x1.a489258a7311bp-17, -0x1.9f44d87a0e405p-17, -0x1.9a38807dac85p-17, -0x1.955e1d82db5bap-17, -0x1.90a8edbf23d4fp-17, -0x1.8c17863c3e937p-17, -0x1.87b13dd64acbap-17, -0x1.836faf090f349p-17, -0x1.7f50811fd5773p-17, -0x1.7b58d7f5f8936p-17, -0x1.77834a9908696p-17, -0x1.73c926fe42d93p-17, -0x1.70283602263fp-17, -0x1.6c9f14df1d6p-17, -0x1.692edafe9ea53p-17, -0x1.65dc342c74933p-17, -0x1.62a06c9457be5p-17, -0x1.5f7463afc0a89p-17, -0x1.5c5716c0e2625p-17, -0x1.594dc3c2f1cbap-17, -0x1.565883615ece8p-17, -0x1.53726408c0b16p-17, -0x1.509b27d05e016p-17, -0x1.4dd40ea20d9bep-17, -0x1.4b1b10028caf5p-17, -0x1.486b698a67acp-17, -0x1.45c6817b895c7p-17, -0x1.432a60b56d02ap-17, -0x1.409829af50b36p-17, -0x1.3e123626735d3p-17, -0x1.3b94f53040c77p-17, -0x1.391e70c1a4ec9p-17, -0x1.36ae8b56adac8p-17, -0x1.34455ddc5a2a5p-17, -0x1.31e2c9d24cc0bp-17, -0x1.2f863d420c9e4p-17, -0x1.2d2f83d7f18f5p-17, -0x1.2ae029807fe71p-17, -0x1.2896604d3ef9fp-17, -0x1.264f3d6a7069bp-17, -0x1.240caa496a1e6p-17, -0x1.21cfd9a5c0a96p-17, -0x1.1f96cc92bb2a8p-17, -0x1.1d613d9b81d5bp-17, -0x1.1b2f8fd733841p-17, -0x1.1902a50370fc6p-17, -0x1.16d9b9b2d466ap-17, -0x1.14b35be6b1b43p-17, -0x1.128f5a33d9f7bp-17, -0x1.106f1f24b7141p-17, -0x1.0e52c63fbb472p-17, -0x1.0c39357c9e311p-17, -0x1.0a226a03e031fp-17, -0x1.080e88b4b7bbdp-17, -0x1.05fd99fdba63fp-17, -0x1.03ef99b9e3c8fp-17, -0x1.01e4896b71343p-17, -0x1.ffb8e40810d0dp-18, -0x1.fbae9de98639p-18, -0x1.f7aa0da2f85aep-18, -0x1.f3abbf1aca191p-18, -0x1.efb3d9b1c513bp-18, -0x1.ebc11094151fcp-18, -0x1.e7d4ec5457f3bp-18, -0x1.e3eefa477cfd9p-18, -0x1.e00ef88e85e16p-18, -0x1.dc351f7d3fa8ap-18, -0x1.d861cfe1ce788p-18, -0x1.d495b51f97b9cp-18, -0x1.d0cfedec6a79dp-18, -0x1.cd1036197d939p-18, -0x1.c957c23d99b17p-18, -0x1.c5a64cb1352aep-18, -0x1.c1fba67c1bec1p-18, -0x1.be580a5a9de0bp-18, -0x1.babba1631b1ffp-18, -0x1.b7268785b02e8p-18, -0x1.b398d4e7759a1p-18, -0x1.b012a0b70e05ap-18, -0x1.ac9401b878eap-18, -0x1.a91d0f6f2f5cap-18, -0x1.a5ade42254c05p-18, -0x1.a246994674fe8p-18, -0x1.9ee73c96807cp-18, -0x1.9b8fd9228ec66p-18, -0x1.9840a49f9f433p-18, -0x1.94f98cc4d6e4bp-18, -0x1.91bac6dc68f8dp-18, -0x1.8e8444edcade3p-18, -0x1.8b55ff360c957p-18, -0x1.883047041c4e1p-18, -0x1.8512f0bdb5953p-18, -0x1.81fe4d4889ff7p-18, -0x1.7ef208d3cbcdcp-18, -0x1.7bee7402ee422p-18, -0x1.78f379a14c0dp-18, -0x1.76011d37dcafep-18, -0x1.73176a9a1cf2ep-18, -0x1.703666a68131p-18, -0x1.6d5e13b9101c9p-18, -0x1.6a8e72dde7735p-18, -0x1.67c783ddba7cp-18, -0x1.650940e67ded9p-18, -0x1.6253b43a08696p-18, -0x1.5fa6ccac40aacp-18, -0x1.5d02898d2b6bep-18, -0x1.5a66e446c0436p-18, -0x1.57d3d56ae4c6fp-18, -0x1.554954381e6b5p-18, -0x1.52c755e1a65a8p-18, -0x1.504dce3b97a97p-18, -0x1.4ddcb48e17041p-18, -0x1.4b73f63a236a3p-18, -0x1.4913893381bdcp-18, -0x1.46bb5d353a198p-18, -0x1.446b5ac72f132p-18, -0x1.4223766827b9bp-18, -0x1.3fe39df1388ccp-18, -0x1.3dabba2446a06p-18, -0x1.3b7bb7f1c1fc9p-18, -0x1.395382e31dd92p-18, -0x1.3733034c481dfp-18, -0x1.351a21a669e69p-18, -0x1.3308c5d9fa17bp-18, -0x1.30fed77ee79e8p-18, -0x1.2efc3b6e91f11p-18, -0x1.2d00d87cafc5fp-18, -0x1.2b0c931ca5d1ep-18, -0x1.291f4fbf4191dp-18, -0x1.2738f1f56a273p-18, -0x1.25595cdf172d3p-18, -0x1.23807334c13edp-18, -0x1.21ae1775b0e12p-18, -0x1.1fe21470e967cp-18, -0x1.1e1cb058d2d0ep-18, -0x1.1c5d16fad6b02p-18, -0x1.1aa3b8a7eca24p-18, -0x1.18f04e3741683p-18, -0x1.1742adbe1c179p-18, -0x1.159ab7b0bdcep-18, -0x1.13f852204059ap-18, -0x1.125b5c6d0effp-18, -0x1.10c3b19736b6p-18, -0x1.0f3124a8a7d16p-18, -0x1.0da39f8f2f9bdp-18, -0x1.0c1b0255d4e6ap-18, -0x1.0a97264abbd87p-18, -0x1.0917e92354aa1p-18, -0x1.079d2aaff5e0bp-18, -0x1.0626a635c4c0ap-18, -0x1.04b491c9ede69p-18, -0x1.034671952d236p-18, -0x1.01dc461222801p-18, -0x1.0075fcd349498p-18, -0x1.fe2677766a3a6p-19, -0x1.fb682f802d271p-19, -0x1.f8b0b8cbb698dp-19, -0x1.f5ffd0313b6b9p-19, -0x1.f3552eaed3a2cp-19, -0x1.f0b08e5b4cdadp-19, -0x1.ee11b0777173fp-19, -0x1.eb7852c118072p-19, -0x1.e8e431e639573p-19, -0x1.e6550bac3a039p-19, -0x1.e3ca9ee733a13p-19, -0x1.e144aa43f9b7bp-19, -0x1.dec2ed31ffe3p-19, -0x1.dc452a434179bp-19, -0x1.d9cb209e4b2d2p-19, -0x1.d7548fe383b3bp-19, -0x1.d4e143325a192p-19, -0x1.d270f4a9178e1p-19, -0x1.d00369da9198p-19, -0x1.cd9868f3f5826p-19, -0x1.cb2fb76b56d7bp-19, -0x1.c8c91b6d1b6edp-19, -0x1.c6645c000766ap-19, -0x1.c401410e7cac2p-19, -0x1.c19f937016295p-19, -0x1.bf3f1cd966ep-19, -0x1.bcdfa7e0e57b2p-19, -0x1.ba8100077517fp-19, -0x1.b822f1c70032ap-19, -0x1.b5c54a8d6675ep-19, -0x1.b367d8bc62cap-19, -0x1.b10a6b990b9aap-19, -0x1.aeacd341f1541p-19, -0x1.ac4ee0f09e7a8p-19, -0x1.a9f069e742fa7p-19, -0x1.a7913fd5c5d9cp-19, -0x1.a5312dff58569p-19, -0x1.a2d016950c2c5p-19, -0x1.a06dcbaaa2f44p-19, -0x1.9e0a23c9fce72p-19, -0x1.9ba4f82802ed8p-19, -0x1.993e241515378p-19, -0x1.96d576d23c8f9p-19, -0x1.946aca27fc4b5p-19, -0x1.91fe2ca8a5d73p-19, -0x1.8f8f3ed50fa51p-19, -0x1.8d1df352d83cfp-19, -0x1.8aaa2a669962fp-19, -0x1.8833c69d93656p-19, -0x1.85baac8b01433p-19, -0x1.833ec19322cc9p-19, -0x1.80bfc681bf2dp-19, -0x1.7e3de36c97494p-19, -0x1.7bb8c3981b9efp-19, -0x1.7930679bd1a5dp-19, -0x1.76a4afb90c61bp-19, -0x1.74158bede2a3fp-19, -0x1.7182e12c27623p-19, -0x1.6eec9aa5d3315p-19, -0x1.6c52a4f46fe73p-19, -0x1.69b4ed261e2e6p-19, -0x1.6713613ff7c1ap-19, -0x1.646df03c79976p-19, -0x1.61c48a024d954p-19, -0x1.5f171f7be0fc8p-19, -0x1.5c65a27b74d86p-19, -0x1.59b005b35a5a5p-19, -0x1.56f63c9bc4ebcp-19, -0x1.54383b8624dc2p-19, -0x1.5175f8395feb2p-19, }}, 
      {{0x1.4ee42fce5fcdcp-2, 0x1.b01cc8f63bfc5p-2, 0x1.076e4a4d7695ap-1, 0x1.29d478c029397p-1, 0x1.3b17962632729p-1, 0x1.3b3f2b17f6fc6p-1, 0x1.2c74385efaddfp-1, 0x1.11c436415e7e1p-1, 0x1.dcd477534b12ap-2, 0x1.8ad7fa13e7fb6p-2, 0x1.32d3ee490c72p-2, 0x1.b237fd6cd3e73p-3, 0x1.022ca0364c1eep-3, 0x1.6a6e5d566e5a6p-5, -0x1.0396dcc66757p-5, -0x1.9c0cc66729dp-4, -0x1.4b7ed34f0befep-3, -0x1.b8d9e97a11016p-3, -0x1.0b22266b23ba7p-2, -0x1.32313967a8eacp-2, -0x1.5216af60f3b44p-2, -0x1.6b6ad72b0de33p-2, -0x1.7ed62b14f85d8p-2, -0x1.8d082e96f2617p-2, -0x1.96b070b81dd92p-2, -0x1.9c795c062630dp-2, -0x1.9f0484843e3ap-2, -0x1.9ee82bc324487p-2, -0x1.9cadbbaaa0183p-2, -0x1.98d102f1f4292p-2, -0x1.93c0052ccef57p-2, -0x1.8ddb3840ed1a6p-2, -0x1.8776106e82c6p-2, -0x1.80d7c20dd4124p-2, -0x1.7a3c24cd5a1cap-2, -0x1.73d4a945d0fb9p-2, -0x1.6dc9564bb7b74p-2, -0x1.6839c51ae98efp-2, -0x1.633e15effcf46p-2, -0x1.5ee7d9c1ac542p-2, -0x1.5b42eea6b1d36p-2, -0x1.58564c6fc1c1bp-2, -0x1.5624c01324408p-2, -0x1.54ad95eb34768p-2, -0x1.53ed334714979p-2, -0x1.53dd9fb46e56bp-2, -0x1.5476fe8030856p-2, -0x1.55aff95009f6bp-2, -0x1.577e1d11aac2ap-2, -0x1.59d62a9038385p-2, -0x1.5cac5be089c8p-2, -0x1.5ff49fab55178p-2, -0x1.63a2cb446d9f9p-2, -0x1.67aac47cda95p-2, -0x1.6c00a41934377p-2, -0x1.7098d1c8f56cfp-2, -0x1.75681a7cb397p-2, -0x1.7a63c1ce377acp-2, -0x1.7f818f24b61d2p-2, -0x1.84b7d7378550fp-2, -0x1.89fd825a6806p-2, -0x1.8f4a102e516afp-2, -0x1.949598fe125c2p-2, -0x1.99d8cd4b0da8bp-2, -0x1.9f0cf3bf7cd02p-2, -0x1.a42be5ef8487ap-2, -0x1.a9300c0ff5dabp-2, -0x1.ae1457f2539bp-2, -0x1.b2d43f644db26p-2, -0x1.b76bb6294990ap-2, -0x1.bbd727a8209edp-2, -0x1.c013706fc9a57p-2, -0x1.c41dd7a79d472p-2, -0x1.c7f40884d690fp-2, -0x1.cb940bce12a19p-2, -0x1.cefc4183d6fb8p-2, -0x1.d22b5aaf4ae62p-2, -0x1.d5205368c604bp-2, -0x1.d7da6d11fcdbdp-2, -0x1.da5928d3861e8p-2, -0x1.dc9c425495e2ep-2, -0x1.dea3aabac1d85p-2, -0x1.e06f83e66a282p-2, -0x1.e2001bf8333a5p-2, -0x1.e355e91121928p-2, -0x1.e471855bcc485p-2, -0x1.e553ab4cc50ffp-2, -0x1.e5fd3228c216dp-2, -0x1.e66f0abe17f6p-2, -0x1.e6aa3c610c009p-2, -0x1.e6afe21580f8fp-2, -0x1.e68127f8131f5p-2, -0x1.e61f48cfb748ap-2, -0x1.e58b8bd7d72ccp-2, -0x1.e4c742b2d3b6dp-2, -0x1.e3d3c787c4c64p-2, -0x1.e2b27b4e619cap-2, -0x1.e164c43687975p-2, -0x1.dfec0c3d5b86fp-2, -0x1.de49bfdcf43ffp-2, -0x1.dc7f4ce199e49p-2, -0x1.da8e215328939p-2, -0x1.d877aa7ae088ap-2, -0x1.d63d540c77e94p-2, -0x1.d3e087555a1b1p-2, -0x1.d162aa8b70981p-2, -0x1.cec52031d8fep-2, -0x1.cc0946807ca9ep-2, -0x1.c93076ef014fbp-2, -0x1.c63c05c3d4b38p-2, -0x1.c32d41acdbb08p-2, -0x1.c0057375600bbp-2, -0x1.bcc5ddb7b4153p-2, -0x1.b96fbc9c8fe3p-2, -0x1.b60445b0a294fp-2, -0x1.b284a7b29a9c7p-2, -0x1.aef20a6f73eacp-2, -0x1.ab4d8eafe7d9bp-2, -0x1.a7984e1db0eeap-2, -0x1.a3d35b3460b23p-2, -0x1.9fffc14101924p-2, -0x1.9c1e845a2c434p-2, -0x1.9830a15f1f182p-2, -0x1.94370e045a9d3p-2, -0x1.9032b8db39885p-2, -0x1.8c24895b0ec37p-2, -0x1.880d5ff6b093ap-2, -0x1.83ee162c67585p-2, -0x1.7fc77e9bce74ep-2, -0x1.7b9a651f5b5f5p-2, -0x1.77678ee299239p-2, -0x1.732fba7e6f923p-2, -0x1.6ef3a013e221ep-2, -0x1.6ab3f16b674a9p-2, -0x1.66715a12ce70ap-2, -0x1.622c7f7b2f0d9p-2, -0x1.5de601196564p-2, -0x1.599e78869e999p-2, -0x1.555679a0839dcp-2, -0x1.510e92aa60837p-2, -0x1.4cc74c6eb5683p-2, -0x1.48812a5ef7cddp-2, -0x1.443caab596bbep-2, -0x1.3ffa4697f3726p-2, -0x1.3bba723635ac7p-2, -0x1.377d9ceabdcf9p-2, -0x1.3344315bed3d2p-2, -0x1.2f0e959d803ffp-2, -0x1.2add2b4e7fd7ap-2, -0x1.26b04fb6fa57dp-2, -0x1.22885be89e048p-2, -0x1.1e65a4ded4243p-2, -0x1.1a487b9adca49p-2, -0x1.16312d3f00361p-2, -0x1.1220032ccaa8cp-2, -0x1.0e154323bdcadp-2, -0x1.0a112f5c28099p-2, -0x1.0614069f660b7p-2, -0x1.021e0462cb58cp-2, -0x1.fc5ec1c8b1a19p-3, -0x1.f490a28999dffp-3, -0x1.ecd20f3bee263p-3, -0x1.e5236632ecf59p-3, -0x1.dd8500149edap-3, -0x1.d5f7300c8122p-3, -0x1.ce7a43f6ed185p-3, -0x1.c70e848815d27p-3, -0x1.bfb435767a00cp-3, -0x1.b86b95a8d6113p-3, -0x1.b134df61bcab1p-3, -0x1.aa104865b7b53p-3, -0x1.a2fe021c1de1cp-3, -0x1.9bfe39b5dc975p-3, -0x1.95111856776ffp-3, -0x1.8e36c3395fd1cp-3, -0x1.876f5bd26b7afp-3, -0x1.80baffebfa335p-3, -0x1.7a19c9c7fad79p-3, -0x1.738bd0434849ep-3, -0x1.6d1126f6ea4dbp-3, -0x1.66a9de54b9f4p-3, -0x1.605603c1a1d28p-3, -0x1.5a15a1b17f29fp-3, -0x1.53e8bfc54a3abp-3, -0x1.4dcf62e8825d2p-3, -0x1.47c98d6b583b1p-3, -0x1.41d73f199a908p-3, -0x1.3bf8755193f8bp-3, -0x1.362d2b1d2c642p-3, -0x1.3075594cde832p-3, -0x1.2ad0f68d959acp-3, -0x1.253ff77ea3fbbp-3, -0x1.1fc24ec5456dfp-3, -0x1.1a57ed20c5383p-3, -0x1.1500c18009468p-3, -0x1.0fbcb916fbe3cp-3, -0x1.0a8bbf73241aap-3, -0x1.056dbe8777908p-3, -0x1.00629ec829336p-3, -0x1.f6d48e61d43a2p-4, -0x1.ed093ab91c56p-4, -0x1.e3630b2aac709p-4, -0x1.d9e1c5cb29e32p-4, -0x1.d0852e4cc1d7cp-4, -0x1.c74d061b49c49p-4, -0x1.be390c78f56fbp-4, -0x1.b548fe9c2bb3bp-4, -0x1.ac7c97cceff47p-4, -0x1.a3d39180e4b22p-4, -0x1.9b4da3741c135p-4, -0x1.92ea83c10442cp-4, -0x1.8aa9e6f7f4ce7p-4, -0x1.828b803769a89p-4, -0x1.7a8f014468bbap-4, -0x1.72b41aa1e37bp-4, -0x1.6afa7ba660fffp-4, -0x1.6361d290224e9p-4, -0x1.5be9cc9863aa7p-4, -0x1.54921606fb825p-4, -0x1.4d5a5a45ef27ep-4, -0x1.464243f4f3d35p-4, -0x1.3f497cfbe92d7p-4, -0x1.386fae9c10814p-4, -0x1.31b4818031239p-4, -0x1.2b179dcc39169p-4, -0x1.2498ab2cdc726p-4, -0x1.1e3750e73bd66p-4, -0x1.17f335e8393adp-4, -0x1.11cc00d30a5cbp-4, -0x1.0bc1580ef0d8ap-4, -0x1.05d2e1d4168b6p-4, -0x1.00004437f035dp-4, -0x1.f4924a72ecddbp-5, -0x1.e95a559a9a56ap-5, -0x1.de57f5d35510dp-5, -0x1.d38a77237349dp-5, -0x1.c8f125c0c7ccep-5, -0x1.be8b4e24eacefp-5, -0x1.b4583d2074944p-5, -0x1.aa573feda8884p-5, -0x1.a087a442d4559p-5, -0x1.96e8b86456aeap-5, -0x1.8d79cb360983bp-5, -0x1.843a2c4bd1605p-5, -0x1.7b292bf93a032p-5, -0x1.72461b602a0ap-5, -0x1.69904c7ec5452p-5, -0x1.6107123cda3a9p-5, -0x1.58a9c07918c66p-5, -0x1.5077ac160bdc4p-5, -0x1.48702b05bcf11p-5, -0x1.4092945501e52p-5, -0x1.38de4038847ebp-5, -0x1.31528814b6e28p-5, -0x1.29eec687862ffp-5, -0x1.22b25771e44c9p-5, -0x1.1b9c9800bb73p-5, -0x1.14ace6b56c3dep-5, -0x1.0de2a36de6039p-5, -0x1.073d2f6c0eecap-5, -0x1.00bbed5c8ae46p-5, -0x1.f4bc82b9f40c4p-6, -0x1.e8472203c8b6cp-6, -0x1.dc1686b8ece88p-6, -0x1.d02982002d2fbp-6, -0x1.c47ee80f9b3f9p-6, -0x1.b91590366b78dp-6, -0x1.adec54e4b603fp-6, -0x1.a30213b145b5ap-6, -0x1.9855ad5f4fb9dp-6, -0x1.8de605e58e9c6p-6, -0x1.83b2047604cb3p-6, -0x1.79b89384bef4ap-6, -0x1.6ff8a0cc80fffp-6, -0x1.66711d5123399p-6, -0x1.5d20fd607a8a6p-6, -0x1.54073893383d9p-6, -0x1.4b22c9cd50097p-6, -0x1.4272af4802a19p-6, -0x1.39f5ea8bdcdc1p-6, -0x1.31ab807ede47p-6, -0x1.29927960e879cp-6, -0x1.21a9e0c8e06e7p-6, -0x1.19f0c59ece061p-6, -0x1.12663a1558ffep-6, -0x1.0b0953a671fdcp-6, -0x1.03d92b15348b5p-6, -0x1.f9a9b8e825ca2p-7, -0x1.ebf70e570ee5ep-7, -0x1.de989bf866a69p-7, -0x1.d18cadf14bd23p-7, -0x1.c4d196edceed3p-7, -0x1.b865affc4b42ep-7, -0x1.ac47586fcac5ep-7, -0x1.a074f5d601d3ep-7, -0x1.94ecf405c6034p-7, -0x1.89adc53dd76f8p-7, -0x1.7eb5e2420da99p-7, -0x1.7403ca62ad28p-7, -0x1.699603610efedp-7, -0x1.5f6b19343a2f9p-7, -0x1.55819dbffc76dp-7, -0x1.4bd8289a80f09p-7, -0x1.426d56f9323a8p-7, -0x1.393fcbcdec99dp-7, -0x1.304e300777881p-7, -0x1.279732d5cd28p-7, -0x1.1f1989cc22c44p-7, -0x1.16d3f0c5cb7ebp-7, -0x1.0ec5298b407cp-7, -0x1.06ebfb5211131p-7, -0x1.fe8e64985128bp-8, -0x1.efab3ed2852b8p-8, -0x1.e12c30728e2bbp-8, -0x1.d30eef5038146p-8, -0x1.c5513d22bd0aap-8, -0x1.b7f0e796cb5edp-8, -0x1.aaebc92b8c368p-8, -0x1.9e3fc871a8bfep-8, -0x1.91ead68e3026dp-8, -0x1.85eaed715ba6cp-8, -0x1.7a3e0e5ddaf62p-8, -0x1.6ee24158222b2p-8, -0x1.63d595c4d5c6p-8, -0x1.5916240bf5adep-8, -0x1.4ea20fab6c201p-8, -0x1.447788ea640b8p-8, -0x1.3a94cd6f261b4p-8, -0x1.30f827522a834p-8, -0x1.279fead07ce3fp-8, -0x1.1e8a734a24fa1p-8, -0x1.15b6208f25ba9p-8, -0x1.0d2155771bf5ap-8, -0x1.04ca785844d93p-8, -0x1.f95fea9b5de26p-9, -0x1.e9a0832c2cda8p-9, -0x1.da53bdd842777p-9, -0x1.cb76bb5856716p-9, -0x1.bd06b9d6b0bd6p-9, -0x1.af01108a4621bp-9, -0x1.a16327b9fc83ep-9, -0x1.942a6f78cad67p-9, -0x1.8754580aefc12p-9, -0x1.7ade4e860e2d7p-9, -0x1.6ec5bee6e6dbap-9, -0x1.63081b0708929p-9, -0x1.57a2e449e0e78p-9, -0x1.4c93b5119fe86p-9, -0x1.41d84730ac6c6p-9, -0x1.376e756975ecfp-9, -0x1.2d54374decf77p-9, -0x1.238798475e898p-9, -0x1.1a06ac02a4907p-9, -0x1.10cf83871f5a9p-9, -0x1.07e0265504deep-9, -0x1.fe6d236f80ed7p-10, -0x1.eda17cb33a596p-10, -0x1.dd595415c432ap-10, -0x1.cd90c53c1a477p-10, -0x1.be441e04650bap-10, -0x1.af6fe998149f6p-10, -0x1.a110f27a9c364p-10, -0x1.93243aef2a3a2p-10, -0x1.85a6ec6eb055ap-10, -0x1.789640f55005bp-10, -0x1.6bef6c15cd8e2p-10, -0x1.5faf8b519f63ep-10, -0x1.53d3a326e183p-10, -0x1.4858a7d58cb5ep-10, -0x1.3d3b8da1620d4p-10, -0x1.32795b75ce867p-10, -0x1.280f3463cffd1p-10, -0x1.1dfa62855fa3ap-10, -0x1.14385df197029p-10, -0x1.0ac6d17d89f44p-10, -0x1.01a398cf4c4cep-10, -0x1.f199681ce4b0ep-11, -0x1.e08065a2ca195p-11, -0x1.cff83df591562p-11, -0x1.bffcdf699084p-11, -0x1.b08a16a418595p-11, -0x1.a19ba2b509093p-11, -0x1.932d48debaf79p-11, -0x1.853adae8e25fap-11, -0x1.77c034474aa7fp-11, -0x1.6ab93f1a183f1p-11, -0x1.5e220d042d74ap-11, -0x1.51f6fc21b91b1p-11, -0x1.4634cfc5dc643p-11, -0x1.3ad8a7ec63703p-11, -0x1.2fdfd8f20dbf6p-11, -0x1.2547bc63db666p-11, -0x1.1b0d9745ba067p-11, -0x1.112e9f979455bp-11, -0x1.07a81237152dap-11, -0x1.fcee7ef97ed37p-12, -0x1.eb32fd9cb2b64p-12, -0x1.da1820c440bf9p-12, -0x1.c99811d42009cp-12, -0x1.b9acc3f7b3c21p-12, -0x1.aa505e349c255p-12, -0x1.9b7dae2d36221p-12, -0x1.8d3053658ef59p-12, -0x1.7f6486621c366p-12, -0x1.7216ad9364731p-12, -0x1.65430ab1b7739p-12, -0x1.58e5bd73a0eafp-12, -0x1.4cfb00a85a98fp-12, -0x1.417f522a09153p-12, -0x1.366f83a72879cp-12, -0x1.2bc8828286b95p-12, -0x1.2186ff89aa17dp-12, -0x1.17a730e51063cp-12, -0x1.0e24e8143824fp-12, -0x1.04fbfcf6f3d6p-12, -0x1.f85193090a8fep-13, -0x1.e750bfc67d884p-13, -0x1.d6f0b0623a149p-13, -0x1.c72cc187f2d95p-13, -0x1.b7ffcf617913dp-13, -0x1.a9642d2e09867p-13, -0x1.9b542300d0a3fp-13, -0x1.8dca83eeb6d99p-13, -0x1.80c2fda357ad7p-13, -0x1.7439ef9c3dec6p-13, -0x1.682be039db02bp-13, -0x1.5c94e83384e15p-13, -0x1.51706d7c840e3p-13, -0x1.46b956dd03ca9p-13, -0x1.3c6aa0e9c002bp-13, -0x1.327ff517a2d1ep-13, -0x1.28f5de3b4956bp-13, -0x1.1fc98a471cf6ap-13, -0x1.16f8478895545p-13, -0x1.0e7efd9b9bee5p-13, -0x1.0659ec4c2567cp-13, -0x1.fd09c2e215766p-14, -0x1.edf7b66ac477ep-14, -0x1.df774a6f043f1p-14, -0x1.d183b5087427ap-14, -0x1.c418ce195bd36p-14, -0x1.b732569bf738p-14, -0x1.aacbd70d3b7f7p-14, -0x1.9ee08fed6bad5p-14, -0x1.936b7aa04aac8p-14, -0x1.8867a099e7b47p-14, -0x1.7dd064d4ade38p-14, -0x1.73a16afa005c3p-14, -0x1.69d6c12d27739p-14, -0x1.606d4cd640936p-14, -0x1.57623cf8768f2p-14, -0x1.4eb19a66379f9p-14, -0x1.4655ee4f506ddp-14, -0x1.3e49d3dde662ep-14, -0x1.3689548e45c11p-14, -0x1.2f115c34981a5p-14, -0x1.27dedf54d968dp-14, -0x1.20ef0fed1f62ap-14, -0x1.1a3fb5c73538ep-14, -0x1.13cef439a6aacp-14, -0x1.0d9ae435213f4p-14, -0x1.07a178216d8b4p-14, -0x1.01e09e715019bp-14, -0x1.f8abf72714faap-15, -0x1.edfc8b381a05cp-15, -0x1.e3ac43666c297p-15, -0x1.d9b8002ba96cap-15, -0x1.d01e9c2ead5bbp-15, -0x1.c6dc05749479bp-15, -0x1.bde9fc6fd1f55p-15, -0x1.b5444a0ce6f81p-15, -0x1.ace80eca6eb09p-15, -0x1.a4d0a8c5a6325p-15, -0x1.9cf8d1eea7d97p-15, -0x1.955d0bb83e66p-15, -0x1.8dfb95aa171fcp-15, -0x1.86d31ad8d3016p-15, -0x1.7fe2192d142c4p-15, -0x1.79270108727cap-15, -0x1.72a0729f13b2dp-15, -0x1.6c4d2f8b40ba5p-15, -0x1.662a96044a9efp-15, -0x1.60330f7486167p-15, -0x1.5a61d8542d884p-15, -0x1.54b72e218018bp-15, -0x1.4f3342b8c1579p-15, -0x1.49d2f8710bff2p-15, -0x1.4494a2eeda57ep-15, -0x1.3f78de80cf38dp-15, -0x1.3a7e138249d91p-15, -0x1.35a067ed6fdap-15, -0x1.30dc6844cf15dp-15, -0x1.2c305d6f79574p-15, -0x1.279c0f956259fp-15, -0x1.231f795589e18p-15, -0x1.1eb9c4924524fp-15, -0x1.1a69e40ce3756p-15, -0x1.162fb62af4fe8p-15, -0x1.120b228b126d2p-15, -0x1.0dfaf48cce08ep-15, -0x1.09fd345da1c87p-15, -0x1.060f0c26ffaebp-15, -0x1.022f27538e3bbp-15, -0x1.fcbd3e7272946p-16, -0x1.f538cda7ac0c1p-16, -0x1.edceb1c0f123cp-16, -0x1.e681b427b9aaep-16, -0x1.df51fc7437a65p-16, -0x1.d83ca477d2945p-16, -0x1.d13e680615babp-16, -0x1.ca53c50126d43p-16, -0x1.c37b0f3628855p-16, -0x1.bcb5b97de64fp-16, -0x1.b6048ec73db9dp-16, -0x1.af6597f84e281p-16, -0x1.a8d82bdaf5186p-16, -0x1.a25d73a22d268p-16, -0x1.9bf49a5ecac08p-16, -0x1.959b4f477c654p-16, -0x1.8f50b3b1b5f01p-16, -0x1.89159b4abf533p-16, -0x1.82e892b00b588p-16, -0x1.7cc834f87c2d6p-16, -0x1.76b4912a50bd3p-16, -0x1.70ac73898fc6fp-16, -0x1.6ab1ea5946a02p-16, -0x1.64c54bd413af8p-16, -0x1.5ee57197c0c9ep-16, -0x1.591226798c53fp-16, -0x1.534a974f921f2p-16, -0x1.4d8ccb22cd1f8p-16, -0x1.47d8c14035d22p-16, -0x1.422ffdce22265p-16, -0x1.3c91a5fd87c9p-16, -0x1.36fd8fa246cc1p-16, -0x1.3174d7ab70334p-16, -0x1.2bf6c59c36bf4p-16, -0x1.26826883cfef5p-16, -0x1.211797d4b681fp-16, -0x1.1bb64a08f2d2p-16, -0x1.165ee4068b0bep-16, -0x1.11128910625c5p-16, -0x1.0bd044f454395p-16, -0x1.0696e6606e144p-16, -0x1.01665c1668755p-16, -0x1.f87fe167931e4p-17, -0x1.ee47f924bf9d1p-17, -0x1.e4235d34fd425p-17, -0x1.da1269b411cbp-17, -0x1.d015f84caf14dp-17, -0x1.c62da9a34bc12p-17, -0x1.bc57fdc42263ap-17, -0x1.b295407f8d44bp-17, -0x1.a8e5bbfd5ff84p-17, -0x1.9f4a0812889fdp-17, -0x1.95c39fc3564acp-17, -0x1.8c513e93ffba3p-17, -0x1.82f24f1bdbcbap-17, -0x1.79a70f449a61dp-17, -0x1.706fd5500d1f2p-17, -0x1.674ce3162126cp-17, -0x1.5e3e3ddc37b1fp-17, -0x1.55440f9623b91p-17, -0x1.4c5f83985d27ap-17, -0x1.438ff0016a963p-17, -0x1.3ad3bfe1d41edp-17, -0x1.322c4b26962ap-17, -0x1.299ab95656425p-17, -0x1.211deffd00474p-17, -0x1.18b5ea54405bp-17, -0x1.10632661e8c14p-17, -0x1.0826860263e99p-17, -0x1.ffff43bd0c604p-18, -0x1.efdb0ddc2d0efp-18, -0x1.dfe06ace68573p-18, -0x1.d011d09af0269p-18, -0x1.c06fa9b40d23fp-18, -0x1.b0f87c0c51ad8p-18, -0x1.a1ac75150cddap-18, -0x1.928bf550a18e9p-18, -0x1.839727d74be5ap-18, -0x1.74ce1cf0717ebp-18, -0x1.6630ec2b7c67ap-18, -0x1.57bfbd1670c15p-18, -0x1.497a9b58d7f76p-18, -0x1.3b615491a4cd7p-18, -0x1.2d74727136afbp-18, -0x1.1fb42cd339ea3p-18, -0x1.121edc6bcfb69p-18, -0x1.04b65702c8f71p-18, -0x1.eef3f7cda1a94p-19, -0x1.d4d286b776437p-19, -0x1.bb08a7561197cp-19, -0x1.a19728c564b73p-19, -0x1.887facf8d2c74p-19, -0x1.6fbf22e36d84fp-19, -0x1.5754445c7a8c9p-19, -0x1.3f4248369020ap-19, -0x1.2787dc3072d94p-19, -0x1.1023eb0c924ep-19, -0x1.f22d3ebf20839p-20, -0x1.c4bfd254b97e2p-20, -0x1.97ff168c1d2d9p-20, -0x1.6bea708bbbaabp-20, -0x1.40813757b7188p-20, -0x1.15c2b8c44f79ap-20, -0x1.d75c87d922215p-21, -0x1.8486795a6d288p-21, -0x1.33020177461b9p-21, -0x1.c59a2ac06ca34p-22, -0x1.27cad69cb6679p-22, -0x1.192df5c5bd36fp-23, 0x1.8134075daff1ep-27, 0x1.442c0f8dde30cp-23, 0x1.35968dca22fbfp-22, 0x1.c68a1e700a9fcp-22, 0x1.2a80400167d71p-21, 0x1.7076206bd0c8fp-21, 0x1.b52dbde5889b7p-21, 0x1.f8aa389d5836ep-21, 0x1.1d7545fb2d95bp-20, 0x1.3df96c470be1dp-20, 0x1.5de2cc04de004p-20, 0x1.7d32573a5ce27p-20, 0x1.9be934828628cp-20, 0x1.ba089a04e1318p-20, 0x1.d791c2ff0b2c9p-20, 0x1.f485eecca957ep-20, 0x1.08733cd37f1bdp-19, 0x1.165a30c870ffp-19, 0x1.23f89e3b039dbp-19, 0x1.314f208ca435p-19, 0x1.3e5e60f04c5b6p-19, 0x1.4b270990901fap-19, 0x1.57a9c6fedd99p-19, 0x1.63e749fcace19p-19, 0x1.6fe0457ffb0e9p-19, 0x1.7b9529b8a3bf1p-19, 0x1.8707548eb0b6cp-19, 0x1.9236d0c30cdd3p-19, 0x1.9d248907cebbap-19, 0x1.a7d144fdeec95p-19, 0x1.b23da98acbabap-19, 0x1.bc6a6c38af353p-19, 0x1.c6584ef78ef83p-19, 0x1.d00805901366ap-19, 0x1.d97a45fa42fc7p-19, 0x1.e2afcd3e5e43bp-19, 0x1.eba95607649e2p-19, 0x1.f4679a951e673p-19, 0x1.fceb5428d7d78p-19, 0x1.029aa0aa19245p-18, 0x1.06a30ce0b21c8p-18, 0x1.0a8f4cbc2aaap-18, 0x1.0e5fbd6af12fap-18, 0x1.1214bc5e8a44fp-18, 0x1.15aea6c88671dp-18, 0x1.192dd987c4027p-18, 0x1.1c92b0e24fc0cp-18, 0x1.1fddab0305b5cp-18, 0x1.230e8ef45ad2p-18, 0x1.2626c3209097bp-18, 0x1.2925ccc701c5fp-18, 0x1.2c0c4b1480b3p-18, 0x1.2eda9dac220d2p-18, 0x1.31911c77be31ap-18, 0x1.34301cec1c434p-18, 0x1.36b7f90c7a223p-18, 0x1.39290cd18fc7ap-18, 0x1.3b83bdb5a9962p-18, 0x1.3dc8595758301p-18, 0x1.3ff7353c736d5p-18, 0x1.4210ae40a7e47p-18, 0x1.44151d504e338p-18, 0x1.4604df86c82b7p-18, 0x1.47dfe8885f723p-18, 0x1.49a78dd704072p-18, 0x1.4b5b236268ad9p-18, 0x1.4cfb62fb2999p-18, 0x1.4e88cbc07a4a5p-18, 0x1.50031b0bfe009p-18, 0x1.516b38a465e4bp-18, 0x1.52c1449266f5bp-18, 0x1.5405908d87b39p-18, 0x1.55386d510e54bp-18, 0x1.565a2b1476412p-18, 0x1.576b1953a1eeep-18, 0x1.586b86c219cf1p-18, 0x1.595bc156d29e4p-18, 0x1.5a3c1659c6598p-18, 0x1.5b0cd24aec4ebp-18, 0x1.5bce411dfbcd2p-18, 0x1.5c80adf9d0ap-18, 0x1.5d246289512ddp-18, 0x1.5db9a8e1d932cp-18, 0x1.5e40ca5b3c4afp-18, 0x1.5eba0c7e3da1dp-18, 0x1.5f25b908433dcp-18, 0x1.5f8415e92f4f5p-18, 0x1.5fd56852fd5cdp-18, 0x1.6019f51b8d15dp-18, 0x1.60520054e151cp-18, 0x1.607dcd437acaep-18, 0x1.609d9e5ccf8c4p-18, 0x1.60b1b5473835dp-18, 0x1.60ba52d9e3e13p-18, 0x1.60b7b7230076cp-18, 0x1.60aa2163a1cebp-18, 0x1.6091d00e77f4dp-18, 0x1.606f00c685ffdp-18, 0x1.6041f06464f7bp-18, 0x1.600adafd1bfdp-18, 0x1.5fc9fbe7c5c25p-18, 0x1.5f7f8d96d6939p-18, 0x1.5f2bc7bbe1842p-18, 0x1.5ecee46f4015dp-18, 0x1.5e692172ff05p-18, 0x1.5dfaadb54fbd9p-18, 0x1.5d83c2826be08p-18, 0x1.5d0496227bfa1p-18, 0x1.5c7d5d4c5ef59p-18, 0x1.5bee4bc802ea7p-18, 0x1.5b5797064e349p-18, 0x1.5ab971edd70d2p-18, 0x1.5a1405299336ap-18, 0x1.59678a8da1705p-18, 0x1.58b43338eba4p-18, 0x1.57fa2e34459e7p-18, 0x1.5739a7b2ae8f8p-18, 0x1.5672cf72b4f43p-18, 0x1.55a5d8af57a73p-18, 0x1.54d2c2db448eep-18, 0x1.53fa13e37ece1p-18, 0x1.531ba9a63e9b8p-18, 0x1.5237c8c71f9b5p-18, 0x1.514e998bcae61p-18, 0x1.50604ad7f2284p-18, 0x1.4f6cfeaf393dbp-18, 0x1.4e74dd0fb3456p-18, 0x1.4d780dbfbf2bap-18, 0x1.4c76b702bb02fp-18, 0x1.4b70fe6ba5ddcp-18, 0x1.4a6708e3213a4p-18, 0x1.4958faab23d89p-18, 0x1.4846f75cc4388p-18, 0x1.473121ec7d92p-18, 0x1.46179ca9fe41ep-18, 0x1.44fa89470ea39p-18, 0x1.43da08d72d0d7p-18, 0x1.42b63bc055845p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.73334bca27a73p-2, 0x1.7382ddb98dbd2p-2, 0x1.740a4683e0fd3p-2, 0x1.74cd12e29446ap-2, 0x1.75cf403e5107ep-2, 0x1.7714a79e679bap-2, 0x1.78a081a9e0ca3p-2, 0x1.7a750984e7293p-2, 0x1.7c933e9ab6de3p-2, 0x1.7efac256c8d45p-2, 0x1.81a9cd6b2d0ecp-2, 0x1.849d37dc7edd8p-2, 0x1.87d08f37e1f66p-2, 0x1.8b3e36cf78afdp-2, 0x1.8edf8e72bfc45p-2, 0x1.92ad1cb857a04p-2, 0x1.969eba87a1796p-2, 0x1.9aabbe1a493cap-2, 0x1.9ecb242570fe4p-2, 0x1.a2f3b63eb0fb3p-2, 0x1.a71c2de39aadap-2, 0x1.ab3b53cc33658p-2, 0x1.af481b6450bbcp-2, 0x1.b339ba6e8569cp-2, 0x1.b707bcefd9495p-2, 0x1.baaa159760c3fp-2, 0x1.be192ae1e810bp-2, 0x1.c14de14187d02p-2, 0x1.c441a29481af9p-2, 0x1.c6ee633728783p-2, 0x1.c94ea4fac1351p-2, 0x1.cb5d7847db815p-2, 0x1.cd167bae2cd82p-2, 0x1.ce75da1ee55dbp-2, 0x1.cf7848091c5e3p-2, 0x1.d01aff8a87295p-2, 0x1.d05bbbe15a6ddp-2, 0x1.d038b4472c458p-2, 0x1.cfb09657e0c27p-2, 0x1.cec280233c1c9p-2, 0x1.cd6dfa03b2ac3p-2, 0x1.cbb2f0515873cp-2, 0x1.c991ad0480475p-2, 0x1.c70ad158acc17p-2, 0x1.c41f4f7dc55b5p-2, 0x1.c0d0646333c65p-2, 0x1.bd1f91a67acc1p-2, 0x1.b90e97ad0db3ep-2, 0x1.b49f6fef90e19p-2, 0x1.afd4477b58671p-2, 0x1.aaaf79adb8374p-2, 0x1.a5338b2bc66e1p-2, 0x1.9f63251831f0bp-2, 0x1.99411088241f7p-2, 0x1.92d0323771c5ep-2, 0x1.8c13867bd4e9cp-2, 0x1.850e1d7674fffp-2, 0x1.7dc317829e542p-2, 0x1.7635a1e03a4a4p-2, 0x1.6e68f39857b2fp-2, 0x1.66604a99dd384p-2, 0x1.5e1ee90c59a32p-2, 0x1.55a812d6c1396p-2, 0x1.4cff0b57e06a3p-2, 0x1.4427134e270e7p-2, 0x1.3b2366ec83bc8p-2, 0x1.31f73c19ee7ebp-2, 0x1.28a5c0d952822p-2, 0x1.1f3219d789d7cp-2, 0x1.159f611d2ff8fp-2, 0x1.0bf0a4e20dff9p-2, 0x1.0228e6800b151p-2, 0x1.f096330716598p-3, 0x1.dcb445ae7d7c5p-3, 0x1.c8b1b0130f417p-3, 0x1.b493fd532bb21p-3, 0x1.a06097751aaadp-3, 0x1.8c1cc67611567p-3, 0x1.77cdaf7ee8f9fp-3, 0x1.6378543b89cd8p-3, 0x1.4f21925256849p-3, 0x1.3ace22f8f6bbdp-3, 0x1.26829aa423224p-3, 0x1.124368d01e1b5p-3, 0x1.fc29afbfa203p-4, 0x1.d3f61a211367fp-4, 0x1.abf411010ababp-4, 0x1.842b4a8d444ccp-4, 0x1.5ca333334a1d2p-4, 0x1.3562ee0b2d90bp-4, 0x1.0e71555be6ec4p-4, 0x1.cfa9f66da32bap-5, 0x1.832854501a7cp-5, 0x1.3769cbf35d162p-5, 0x1.d8f3b21f744c5p-6, 0x1.44c6da907289ap-6, 0x1.64c3c83193b9dp-7, 0x1.0ec4a925349e9p-9, -0x1.b30950cd839f4p-8, -0x1.f2ba3bc924b1fp-7, -0x1.83e70d8a739d9p-6, -0x1.062831f09d43dp-5, -0x1.49452c13083dbp-5, -0x1.8b4389b043c78p-5, -0x1.cc1cd5cc231ecp-5, -0x1.05e587be749d6p-4, -0x1.252453bb40da5p-4, -0x1.43c83ec7dd785p-4, -0x1.61ceef214ddbfp-4, -0x1.7f36401468705p-4, -0x1.9bfc40ba90c9fp-4, -0x1.b81f32b55ea49p-4, -0x1.d39d88e9965ep-4, -0x1.ee75e639dcd42p-4, -0x1.04538e20b000cp-3, -0x1.1118150774ed8p-3, -0x1.1d881d70445b2p-3, -0x1.29a3527017de8p-3, -0x1.356973f0bbf1ap-3, -0x1.40da56106ae8fp-3, -0x1.4bf5e0823a22cp-3, -0x1.56bc0def7839ap-3, -0x1.612ceb5a13193p-3, -0x1.6b48978026804p-3, -0x1.750f4240c1e5p-3, -0x1.7e812c0209cadp-3, -0x1.879ea518b64dp-3, -0x1.90680d311bb9cp-3, -0x1.98ddd2b9c0c2fp-3, -0x1.a100724f99226p-3, -0x1.a8d0762bfc725p-3, -0x1.b04e75946124ap-3, -0x1.b77b144bfa612p-3, -0x1.be5702073629p-3, -0x1.c4e2f9e13e0bfp-3, -0x1.cb1fc1d37c32p-3, -0x1.d10e2a2f2f48ap-3, -0x1.d6af0d192ebecp-3, -0x1.dc034e07d3e1cp-3, -0x1.e10bd9431c15cp-3, -0x1.e5c9a36715c06p-3, -0x1.ea3da8e89543ep-3, -0x1.ee68ed9c48e8p-3, -0x1.f24c7c402203ep-3, -0x1.f5e966073070ap-3, -0x1.f940c227e5b55p-3, -0x1.fc53ad6ccee17p-3, -0x1.ff2349c7c7b8cp-3, -0x1.00d85ef3d5cb5p-2, -0x1.01fe9a6847bc3p-2, -0x1.0304eebb3aac6p-2, -0x1.03ebf52d4af25p-2, -0x1.04b4489595452p-2, -0x1.055e8532e4bd6p-2, -0x1.05eb487e24f95p-2, -0x1.065b30fe1be7cp-2, -0x1.06aede1c6897dp-2, -0x1.06e6effbc62adp-2, -0x1.0704074f95fdap-2, -0x1.0706c534a91dep-2, -0x1.06efcb0b4d72p-2, -0x1.06bfba52994bbp-2, -0x1.06773484f5d6cp-2, -0x1.0616daf5e23b4p-2, -0x1.059f4eb0f2164p-2, -0x1.0511305a0040dp-2, -0x1.046d200e9340cp-2, -0x1.03b3bd4875256p-2, -0x1.02e5a6c172106p-2, -0x1.02037a5841cf3p-2, -0x1.010dd4f698909p-2, -0x1.0005527851f4cp-2, -0x1.fdd51b277cc6cp-3, -0x1.fb7c3f860ae91p-3, -0x1.f901425d37575p-3, -0x1.f665513190deep-3, -0x1.f3a996946c2d3p-3, -0x1.f0cf39ff0ae18p-3, -0x1.edd75fafcb59cp-3, -0x1.eac3288946d59p-3, -0x1.e793b1f361763p-3, -0x1.e44a15be3d258p-3, -0x1.e0e76a06fdcd9p-3, -0x1.dd6cc11e65e9ap-3, -0x1.d9db297129232p-3, -0x1.d633ad720069p-3, -0x1.d277538568a42p-3, -0x1.cea71deefdf48p-3, -0x1.cac40ac074595p-3, -0x1.c6cf13ca1d0d1p-3, -0x1.c2c92e8ce61d4p-3, -0x1.beb34c2dda659p-3, -0x1.ba8e596b0163p-3, -0x1.b65b3e91ab2fbp-3, -0x1.b21adf7609dep-3, -0x1.adce1b6c19f4ap-3, -0x1.a975cd41cb192p-3, -0x1.a512cb3a5911dp-3, -0x1.a0a5e70ad9867p-3, -0x1.9c2fedd7e33a4p-3, -0x1.97b1a8344cfd6p-3, -0x1.932bda20f9c6fp-3, -0x1.8e9f430da76a9p-3, -0x1.8a0c9ddab4795p-3, -0x1.8574a0dbd1de8p-3, -0x1.80d7fddba11abp-3, -0x1.7c37622022f53p-3, -0x1.7793767000539p-3, -0x1.72ecdf189574dp-3, -0x1.6e443bf4c3167p-3, -0x1.699a28746f85dp-3, -0x1.64ef3ba4b79cfp-3, -0x1.60440838c7c13p-3, -0x1.5b991c934a6ap-3, -0x1.56ef02d076bf1p-3, -0x1.524640d09ec0ep-3, -0x1.4d9f5843494dbp-3, -0x1.48fac6b2c90d1p-3, -0x1.445905904696fp-3, -0x1.3fba8a4036cb4p-3, -0x1.3b1fc6273e3cp-3, -0x1.368926b76e4fep-3, -0x1.31f7157ddec08p-3, -0x1.2d69f83098056p-3, -0x1.28e230bccc07dp-3, -0x1.24601d5550cf8p-3, -0x1.1fe41881618d2p-3, -0x1.1b6e792b90e77p-3, -0x1.16ff92b0f8dadp-3, -0x1.1297b4f093fp-3, -0x1.0e372c5abd276p-3, -0x1.09de4200df634p-3, -0x1.058d3ba534a7bp-3, -0x1.01445bcaadd11p-3, -0x1.fa07c389d6006p-4, -0x1.f198139080aeep-4, -0x1.e93a19f39fa8cp-4, -0x1.e0ee42ff5464dp-4, -0x1.d8b4f521df9b4p-4, -0x1.d08e910bf4a2fp-4, -0x1.c87b71d0f7b26p-4, -0x1.c07bed07432a4p-4, -0x1.b89052e847eddp-4, -0x1.b0b8ee709fa96p-4, -0x1.a8f6057ffa263p-4, -0x1.a147d8f8eaf4cp-4, -0x1.99aea4e084122p-4, -0x1.922aa07dcfd49p-4, -0x1.8abbfe78fed8fp-4, -0x1.8362ecfa701d3p-4, -0x1.7c1f95c971271p-4, -0x1.74f21e6abd6d8p-4, -0x1.6ddaa83eb5479p-4, -0x1.66d9509f4cba3p-4, -0x1.5fee30fdaa0dcp-4, -0x1.59195eff7349fp-4, -0x1.525aec9bc551p-4, -0x1.4bb2e837d54eap-4, -0x1.45215cc3375fdp-4, -0x1.3ea651d3c4a68p-4, -0x1.3841cbc12669p-4, -0x1.31f3cbbffc0a9p-4, -0x1.2bbc4ffc9e7ecp-4, -0x1.259b53b57d00dp-4, -0x1.1f90cf551637bp-4, -0x1.199cb88b82867p-4, -0x1.13bf026798acbp-4, -0x1.0df79d6fa691p-4, -0x1.084677b9bb361p-4, -0x1.02ab7d03874f5p-4, -0x1.fa4d2d9394283p-5, -0x1.ef6f58beab807p-5, -0x1.e4bd4607420eap-5, -0x1.da36bbf1d3c06p-5, -0x1.cfdb7d33cdb05p-5, -0x1.c5ab48de164dfp-5, -0x1.bba5da86b4b1bp-5, -0x1.b1caea7191214p-5, -0x1.a81a2db85d325p-5, -0x1.9e9356719793ep-5, -0x1.953613d6b60dap-5, -0x1.8c0212696c8e7p-5, -0x1.82f6fc181a165p-5, -0x1.7a1478615a6dcp-5, -0x1.715a2c76bae7ap-5, -0x1.68c7bb5e9774ep-5, -0x1.605cc615200a7p-5, -0x1.5818ebac8b9fbp-5, -0x1.4ffbc96c70546p-5, -0x1.4804faf04c5a2p-5, -0x1.40341a454271fp-5, -0x1.3888c00705c56p-5, -0x1.3102837bf5749p-5, -0x1.29a0fab078bd9p-5, -0x1.2263ba9187543p-5, -0x1.1b4a570677f3bp-5, -0x1.1454630a0c5edp-5, -0x1.0d8170c2b2023p-5, -0x1.06d1119a11426p-5, -0x1.0042d653df7f5p-5, -0x1.f3ac9e47f00b9p-6, -0x1.e716178786a4fp-6, -0x1.dac1370dcca32p-6, -0x1.cead1ade91774p-6, -0x1.c2d8e080d70d2p-6, -0x1.b743a5242d9cp-6, -0x1.abec85c4cc799p-6, -0x1.a0d29f4e5001bp-6, -0x1.95f50ebd4563ap-6, -0x1.8b52f13f79c66p-6, -0x1.80eb64530b5c1p-6, -0x1.76bd85e45edf4p-6, -0x1.6cc8746ad37a5p-6, -0x1.630b4f04665b4p-6, -0x1.598535902f6f5p-6, -0x1.503548c7c8294p-6, -0x1.471aaa57a35ccp-6, -0x1.3e347cf662d87p-6, -0x1.3581e47b14ef2p-6, -0x1.2d0205f27bb64p-6, -0x1.24b407b35dfa1p-6, -0x1.1c971171ddae9p-6, -0x1.14aa4c51f21f9p-6, -0x1.0cece2f8d98a2p-6, -0x1.055e019dca9b3p-6, -0x1.fbf9ac335f46cp-7, -0x1.ed911fec2a0afp-7, -0x1.df80c0f694545p-7, -0x1.d1c6f57b6182ep-7, -0x1.c462275488556p-7, -0x1.b750c424c725p-7, -0x1.aa913d6dae0f3p-7, -0x1.9e2208a458c3dp-7, -0x1.92019f44a54b6p-7, -0x1.862e7ee32e24bp-7, -0x1.7aa7293decfc6p-7, -0x1.6f6a244b77ebp-7, -0x1.6475fa4934b5p-7, -0x1.59c939c83a453p-7, -0x1.4f6275b9130d3p-7, -0x1.4540457661fa6p-7, -0x1.3b6144ce73dbap-7, -0x1.31c4140bb86ccp-7, -0x1.286757fc350cdp-7, -0x1.1f49b9f812557p-7, -0x1.1669e7e71edb4p-7, -0x1.0dc6944574f98p-7, -0x1.055e762749018p-7, -0x1.fa60927751d49p-8, -0x1.ea759b9d6669cp-8, -0x1.daf991958ef52p-8, -0x1.cbea077226e34p-8, -0x1.bd449982afa2cp-8, -0x1.af06ed52019d5p-8, -0x1.a12eb1a319b0ap-8, -0x1.93b99e6c863e4p-8, -0x1.86a574d2b010bp-8, -0x1.79efff20e4e6ap-8, -0x1.6d9710c14ac56p-8, -0x1.61988633a0346p-8, -0x1.55f245031321p-8, -0x1.4aa23bbaf8ef8p-8, -0x1.3fa661da8bc1p-8, -0x1.34fcb7c7f0c3bp-8, -0x1.2aa346c21f206p-8, -0x1.209820d233f9ep-8, -0x1.16d960bbd773dp-8, -0x1.0d6529ecdf811p-8, -0x1.0439a86c48f85p-8, -0x1.f6aa21915af9dp-9, -0x1.e56b400b95ff5p-9, -0x1.d4b3371354d68p-9, -0x1.c47ea21254323p-9, -0x1.b4ca2ce8397fep-9, -0x1.a59293c1690bcp-9, -0x1.96d4a2ed4a568p-9, -0x1.888d36b38fa76p-9, -0x1.7ab93b289fd18p-9, -0x1.6d55ac01c3bc1p-9, -0x1.605f9467c4c92p-9, -0x1.53d40ec9b9f66p-9, -0x1.47b044aeeb5d7p-9, -0x1.3bf16e88463dfp-9, -0x1.3094d3813907fp-9, -0x1.2597c95046c8p-9, -0x1.1af7b40731dd9p-9, -0x1.10b205e2d630fp-9, -0x1.06c43f1ad6fp-9, -0x1.fa57db6173da8p-10, -0x1.e7cd5a7e77b4fp-10, -0x1.d5e44d9267d7bp-10, -0x1.c4982110cc10bp-10, -0x1.b3e45b788a6c1p-10, -0x1.a3c49cf15b2acp-10, -0x1.94349ee93716ep-10, -0x1.853033b1a892cp-10, -0x1.76b3461d6275fp-10, -0x1.68b9d91dc065cp-10, -0x1.5b400760ba055p-10, -0x1.4e4202eedaa63p-10, -0x1.41bc14c9e9bdfp-10, -0x1.35aa9c8b3b88ep-10, -0x1.2a0a10033e0e1p-10, -0x1.1ed6fad8fe417p-10, -0x1.140dfe2a5608bp-10, -0x1.09abd02c594d1p-10, -0x1.ff5a77993a462p-11, -0x1.ec1e40a60a88bp-11, -0x1.d99ce209147f5p-11, -0x1.c7d0698bc85fcp-11, -0x1.b6b30b7f62a8p-11, -0x1.a63f2205aed9ap-11, -0x1.966f2c5c3b4e7p-11, -0x1.873dce282ae71p-11, -0x1.78a5cec4b37f9p-11, -0x1.6aa21891e5cc5p-11, -0x1.5d2db8465600fp-11, -0x1.5043dc42c1259p-11, -0x1.43dfd3e62aabap-11, -0x1.37fd0ee4a8ceap-11, -0x1.2c971ca0ac30ap-11, -0x1.21a9ab847edbep-11, -0x1.1730885f3ab37p-11, -0x1.0d279dc3aa8e8p-11, -0x1.038af36777aa2p-11, -0x1.f4ad5b0c330b9p-12, -0x1.e30e188a2ff17p-12, -0x1.d230d6353e9b1p-12, -0x1.c20e806b06d18p-12, -0x1.b2a037d038966p-12, -0x1.a3df5028f0cddp-12, -0x1.95c54f3591c53p-12, -0x1.884beb95d2656p-12, -0x1.7b6d0baca09d1p-12, -0x1.6f22c489fc50ep-12, -0x1.636758d941a6fp-12, -0x1.583537d2ebe17p-12, -0x1.4d86fc33964c6p-12, -0x1.43576b358a30cp-12, -0x1.39a1739020d24p-12, -0x1.30602c790bd13p-12, -0x1.278ed4acdc94p-12, -0x1.1f28d1799bf74p-12, -0x1.1729adcdc5a2cp-12, -0x1.0f8d194b0ecc8p-12, -0x1.084ee75e97a3dp-12, -0x1.016b0e5be2811p-12, -0x1.f5bb4d3888b1ep-13, -0x1.e945d346e12b1p-13, -0x1.dd6e628a942f7p-13, -0x1.d22deda4b7de3p-13, -0x1.c77da48c42facp-13, -0x1.bd56f2f7b5ae6p-13, -0x1.b3b37ec9e3077p-13, -0x1.aa8d2686ab656p-13, -0x1.a1ddffd28c355p-13, -0x1.99a055f5a8b1fp-13, -0x1.91cea8689f246p-13, -0x1.8a63a96c577dcp-13, -0x1.835a3c9f6c8c2p-13, -0x1.7cad75a3f7d7bp-13, -0x1.765896c79df4bp-13, -0x1.70570fb51c952p-13, -0x1.6aa47c2bcd84ep-13, -0x1.653ca2be5f39ep-13, -0x1.601b7397de2e4p-13, -0x1.5b3d07474ef95p-13, -0x1.569d9d927b481p-13, -0x1.52399c50577cbp-13, -0x1.4e0d8e4819de4p-13, -0x1.4a16221728c7ap-13, -0x1.4650291cde3b7p-13, -0x1.42b8966e88f49p-13, -0x1.3f4c7dcf433f5p-13, -0x1.3c0912add1a84p-13, -0x1.38eba72d711bp-13, -0x1.35f1ab2b4703bp-13, -0x1.3318ab51a2914p-13, -0x1.305e502c90a31p-13, -0x1.2dc05d466f0d5p-13, -0x1.2b3cb048c8f02p-13, -0x1.28d14022ac94ap-13, -0x1.267c1c349b3c2p-13, -0x1.243b6b80b0e54p-13, -0x1.220d6be1696c8p-13, -0x1.1ff0714412ecbp-13, -0x1.1de2e4ebe196dp-13, -0x1.1be344b2f7523p-13, -0x1.19f02256452e2p-13, -0x1.180822c3142aap-13, -0x1.1629fd6b1dd86p-13, -0x1.14547b9b31183p-13, -0x1.128677d823243p-13, -0x1.10bedd3ee409fp-13, -0x1.0efca6e93f4dp-13, -0x1.0d3edf557c6c7p-13, -0x1.0b849fd478bbbp-13, -0x1.09cd0ffba4872p-13, -0x1.08176518b42afp-13, -0x1.0662e1aa3c5fap-13, -0x1.04aed4dd04967p-13, -0x1.02fa9a0c08954p-13, -0x1.01459844450d6p-13, -0x1.ff1e839917088p-14, -0x1.fbae2761c453bp-14, -0x1.f8392aa20e402p-14, -0x1.f4beafe208f5ep-14, -0x1.f13dec9d0a412p-14, -0x1.edb62874722ep-14, -0x1.ea26bc64a3e42p-14, -0x1.e68f1202a6479p-14, -0x1.e2eea2be2518ap-14, -0x1.df44f72b5015cp-14, -0x1.db91a64f37d3fp-14, -0x1.d7d454f59a517p-14, -0x1.d40cb50814386p-14, -0x1.d03a84f0e9199p-14, -0x1.cc5d8efbbbd57p-14, -0x1.c875a8be697bcp-14, -0x1.c482b28799228p-14, -0x1.c08496d22321cp-14, -0x1.bc7b49bb741ep-14, -0x1.b866c880e3e6p-14, -0x1.b44718ff5b2f2p-14, -0x1.b01c49394034ap-14, -0x1.abe66ede49ba6p-14, -0x1.a7a5a6d8c2927p-14, -0x1.a35a14df7a8e2p-14, -0x1.9f03e30c0478ep-14, -0x1.9aa34173624acp-14, -0x1.963865c1ec65bp-14, -0x1.91c38adcd7179p-14, -0x1.8d44f085edc32p-14, -0x1.88bcdb032ecf5p-14, -0x1.842b92c972b5ap-14, -0x1.7f91642b11056p-14, -0x1.7aee9f0a5a1bcp-14, -0x1.7643968bf37dfp-14, -0x1.7190a0cf13251p-14, -0x1.6cd616a755e02p-14, -0x1.6814535a6025ep-14, -0x1.634bb460c03f2p-14, -0x1.5e7c992792ff5p-14, -0x1.59a762d5d5617p-14, -0x1.54cc741483a86p-14, -0x1.4fec30d857e8dp-14, -0x1.4b06fe2e2b92cp-14, -0x1.461d420a7c3eap-14, -0x1.412f6319d9c33p-14, -0x1.3c3dc896244cfp-14, -0x1.3748da1959b83p-14, -0x1.3250ff7637c5ap-14, -0x1.2d56a090e6981p-14, -0x1.285a253ae42ebp-14, -0x1.235bf5105c7bep-14, -0x1.1e5c7756bcea8p-14, -0x1.195c12dd8c21dp-14, -0x1.145b2de08c87ap-14, -0x1.0f5a2dec6632cp-14, -0x1.0a5977c2d09a2p-14, -0x1.05596f4257dd1p-14, -0x1.005a774e9c2edp-14, -0x1.f6b9e377220ffp-15, -0x1.ecc27e6e82a49p-15, -0x1.e2cf7e6d57b48p-15, -0x1.d8e19fc6a8279p-15, -0x1.cef99c16529dfp-15, -0x1.c5182a20987a1p-15, -0x1.bb3dfdb4fdb8p-15, -0x1.b16bc792c3db1p-15, -0x1.a7a235517ebcdp-15, -0x1.9de1f149f27f5p-15, -0x1.942ba27fcce9ep-15, -0x1.8a7fec8edd01ep-15, -0x1.80df6f99d1e93p-15, -0x1.774ac83b82419p-15, -0x1.6dc28f78ced8dp-15, -0x1.64475ab453f07p-15, -0x1.5ad9bba200f1cp-15, -0x1.517a4041349f6p-15, -0x1.482972d1f7ccap-15, -0x1.3ee7d9cf54a5cp-15, -0x1.35b5f7eaa691ap-15, -0x1.2c944c05c528dp-15, -0x1.23835133aefcap-15, -0x1.1a837eb41f01bp-15, -0x1.119547f4106d5p-15, -0x1.08b91c8cb07e7p-15, -0x1.ffded08b6135dp-16, -0x1.ee71262ea5c77p-16, -0x1.dd2a025ce2b43p-16, -0x1.cc0a25dd7e1b6p-16, -0x1.bb1249f2d3942p-16, -0x1.aa4320638c7d2p-16, -0x1.999d53876484ep-16, -0x1.892186563ae81p-16, -0x1.78d054725e4f5p-16, -0x1.68aa523e12555p-16, -0x1.58b00cec4aa13p-16, -0x1.48e20a92215acp-16, -0x1.3940ca3ad3f97p-16, -0x1.29ccc3fb9d7d8p-16, -0x1.1a866909150c9p-16, -0x1.0b6e23cc3ebc3p-16, -0x1.f908aff7f11p-17, -0x1.db92c562fa504p-17, -0x1.be7b3507f7befp-17, -0x1.a1c29f3d9e897p-17, -0x1.856997b93c573p-17, -0x1.6970a5c23f975p-17, -0x1.4dd84462fc58fp-17, -0x1.32a0e29f6a574p-17, -0x1.17cae3aec14a8p-17, -0x1.faad3e5b5f197p-18, -0x1.c688c2b60c3a6p-18, -0x1.9328d69aaf7c1p-18, -0x1.608de6507c49p-18, -0x1.2eb848affdaa1p-18, -0x1.fb507f29a0d9ep-19, -0x1.9abbf098e86fp-19, -0x1.3bb3181ac101dp-19, -0x1.bc6c01ad81415p-20, -0x1.04891f0680f86p-20, -0x1.3ef41b651c556p-22, 0x1.87e445e044fbp-22, 0x1.109a3c0306d4ep-20, 0x1.bc27d060dbbedp-20, 0x1.3251b4fe9cb81p-19, 0x1.8507732f0d33ep-19, 0x1.d636319b69a49p-19, 0x1.12ef8f2bf7ecdp-18, 0x1.3a01c2eefe0d8p-18, 0x1.605269164f83ep-18, 0x1.85e244ecccde6p-18, 0x1.aab227a9386ffp-18, 0x1.cec2eff4409f6p-18, 0x1.f215897f18107p-18, 0x1.0a55765229161p-17, 0x1.1b420ef6d7284p-17, 0x1.2bd116d726be3p-17, 0x1.3c031bd601947p-17, 0x1.4bd8b1523e86dp-17, 0x1.5b526ff56743dp-17, 0x1.6a70f58a3cbd7p-17, 0x1.7934e4c44e197p-17, 0x1.879ee50e2cb1bp-17, 0x1.95afa25d933c7p-17, 0x1.a367cd03faf99p-17, 0x1.b0c8197b9dbebp-17, 0x1.bdd1403f22fe7p-17, 0x1.ca83fd9ac231ap-17, 0x1.d6e11179cf3cdp-17, 0x1.e2e93f44f7d9ep-17, 0x1.ee9d4db26e203p-17, 0x1.f9fe0698778a7p-17, 0x1.02861b6408bd5p-16, 0x1.07e456f338983p-16, 0x1.0d1a1f1e8ae8dp-16, 0x1.1227de4bccdedp-16, 0x1.170e000f870c1p-16, 0x1.1bccf118e0e0cp-16, 0x1.20651f1e6722bp-16, 0x1.24d6f8ccc7ea4p-16, 0x1.2922edb6604eep-16, 0x1.2d496e3db9c2fp-16, 0x1.314aeb898e961p-16, 0x1.3527d7723d5c7p-16, 0x1.38e0a46e86c09p-16, 0x1.3c75c587c0dc1p-16, 0x1.3fe7ae4990d89p-16, 0x1.4336d2b0e7c6bp-16, 0x1.4663a71e429aap-16, 0x1.496ea04870e8p-16, 0x1.4c58332d35d14p-16, 0x1.4f20d50127d98p-16, 0x1.51c8fb27b60fbp-16, 0x1.54511b225ffb4p-16, 0x1.56b9aa850e6d6p-16, 0x1.59031ee97ff83p-16, 0x1.5b2dede3b5ec9p-16, 0x1.5d3a8cf5c2191p-16, 0x1.5f297183c1351p-16, 0x1.60fb10cbef2ddp-16, 0x1.62afdfd8b84c3p-16, 0x1.644853766f807p-16, 0x1.65c4e02b9dc53p-16, 0x1.6725fa2df5dc9p-16, 0x1.686c1557ba9fcp-16, 0x1.6997a521225d6p-16, 0x1.6aa91c95c9688p-16, 0x1.6ba0ee4cb4622p-16, 0x1.6c7f8c5e8d43bp-16, 0x1.6d4568600a257p-16, 0x1.6df2f35a311a1p-16, 0x1.6e889dc045f5fp-16, 0x1.6f06d76c4ccbdp-16, 0x1.6f6e0f949b78p-16, 0x1.6fbeb4c7a9698p-16, 0x1.6ff934e46b442p-16, 0x1.701dfd1522dbap-16, 0x1.702d79ca3ab57p-16, 0x1.702816b1cba8bp-16, 0x1.700e3eb59dfadp-16, 0x1.6fe05bf3c74dap-16, 0x1.6f9ed7ba43a4p-16, 0x1.6f4a1a83082ep-16, 0x1.6ee28befdf511p-16, 0x1.6e6892c3fdbe7p-16, 0x1.6ddc94e2876d2p-16, 0x1.6d3ef7483d304p-16, 0x1.6c901e0b22a45p-16, 0x1.6bd06c542bc5ap-16, 0x1.6b00445d99901p-16, 0x1.6a20076fe15cfp-16, 0x1.693015dd31badp-16, 0x1.6830cf00fcf96p-16, 0x1.6722913c5e1aap-16, 0x1.6605b9f3cc1cep-16, 0x1.64daa58dcf3c5p-16, 0x1.63a1af701a091p-16, 0x1.625b31fed76b9p-16, 0x1.610786992c68cp-16, 0x1.5fa70598fae22p-16, 0x1.5e3a06517440dp-16, 0x1.5cc0df0f1b9fp-16, 0x1.5b3be513f3f57p-16, 0x1.59ab6c9880a24p-16, 0x1.580fc8ca9bcf6p-16, 0x1.56694bccc811ep-16, 0x1.54b846b63574fp-16, 0x1.52fd09912eacbp-16, 0x1.5137e35c26951p-16, 0x1.4f6922086b49ap-16, 0x1.4d91127a1875p-16, 0x1.4bb0008935624p-16, 0x1.49c637011b814p-16, 0x1.47d3ffa07a014p-16, 0x1.45d9a31a9dad6p-16, 0x1.43d7691804a49p-16, 0x1.41cd9835edf08p-16, 0x1.3fbc7606bdaebp-16, 0x1.3da44712f7d34p-16, 0x1.3b854edbfc8fp-16, 0x1.395fcfdad04d4p-16, 0x1.37340b814a581p-16, 0x1.3502423b7c698p-16, 0x1.32cab37152716p-16, 0x1.308d9d8746bap-16, 0x1.2e4b3ddf5d639p-16, 0x1.2c03d0db1aa1bp-16, }}, 
      {{0x1.7321cdf252d72p-2, 0x1.733c2dad464bcp-2, 0x1.7368b66fdfce1p-2, 0x1.73a82cc078ff4p-2, 0x1.73fb7b91eb40ep-2, 0x1.74639a54ecc5bp-2, 0x1.74e175a4a7a56p-2, 0x1.7575dbd9978c4p-2, 0x1.76216df2d63afp-2, 0x1.76e494c2554c6p-2, 0x1.77bf79fe77b1bp-2, 0x1.78b204b6c795p-2, 0x1.79bbd89c8f716p-2, 0x1.7adc5791c0512p-2, 0x1.7c12a4fa567fep-2, 0x1.7d5daa5ac9e3dp-2, 0x1.7ebc1cddecdc8p-2, 0x1.802c836cbddbbp-2, 0x1.81ad3d11ea584p-2, 0x1.833c87709b007p-2, 0x1.84d88522766bbp-2, 0x1.867f43db5a8bfp-2, 0x1.882ec23a58b02p-2, 0x1.89e4f536f7bf7p-2, 0x1.8b9fcd1fe743ap-2, 0x1.8d5d3a2547174p-2, 0x1.8f1b306c79aa4p-2, 0x1.90d7abae903a3p-2, 0x1.9290b26496602p-2, 0x1.94445886add63p-2, 0x1.95f0c1e40cb92p-2, 0x1.9794241ab7558p-2, 0x1.992cc836292a8p-2, 0x1.9ab90bfc5f3e2p-2, 0x1.9c3762f09a2c7p-2, 0x1.9da657131626fp-2, 0x1.9f048964a0091p-2, 0x1.a050b234a611p-2, 0x1.a189a13fed61fp-2, 0x1.a2ae3da5bd0c2p-2, 0x1.a3bd85b8cd9a2p-2, 0x1.a4b68eb0ee03ep-2, 0x1.a5988441dbae1p-2, 0x1.a662a81b618dfp-2, 0x1.a7145156738bap-2, 0x1.a7acebd29ae9cp-2, 0x1.a82bf786b2b8dp-2, 0x1.a89107c7a18cp-2, 0x1.a8dbc2876bd9ap-2, 0x1.a90bdf8ec3779p-2, 0x1.a92127b2e9777p-2, 0x1.a91b740985872p-2, 0x1.a8faad1be3617p-2, 0x1.a8beca1ace23fp-2, 0x1.a867d01420ce3p-2, 0x1.a7f5d12af2d1ap-2, 0x1.a768ebd328ce1p-2, 0x1.a6c14a11117c6p-2, 0x1.a5ff20bd9db63p-2, 0x1.a522aecf9e0b7p-2, 0x1.a42c3caa69b8fp-2, 0x1.a31c1b72324cdp-2, 0x1.a1f2a466399fp-2, 0x1.a0b0384113765p-2, 0x1.9f553e9f08d6dp-2, 0x1.9de2256aac5eep-2, 0x1.9c57604f9c2dap-2, 0x1.9ab5683371c3bp-2, 0x1.98fcbab4ceb6fp-2, 0x1.972dd9b06bd68p-2, 0x1.95494acc1763cp-2, 0x1.934f97077fa39p-2, 0x1.91414a52a3f32p-2, 0x1.8f1ef329c932ap-2, 0x1.8ce92236c6dbbp-2, 0x1.8aa069f782fcp-2, 0x1.88455e696c425p-2, 0x1.85d894b9cb6a1p-2, 0x1.835aa2fab9e25p-2, 0x1.80cc1fdc8d4f4p-2, 0x1.7e2da26b8fe07p-2, 0x1.7b7fc1d1d276ep-2, 0x1.78c3151ceed46p-2, 0x1.75f833078970fp-2, 0x1.731fb1c66b63ap-2, 0x1.703a26d90780cp-2, 0x1.6d4826dd42383p-2, 0x1.6a4a456651199p-2, 0x1.674114d692c48p-2, 0x1.642d263c2e03p-2, 0x1.610f09305e1b1p-2, 0x1.5de74bb944518p-2, 0x1.5ab67a2e1e132p-2, 0x1.577d1f1dc16a8p-2, 0x1.543bc3373a613p-2, 0x1.50f2ed3478955p-2, 0x1.4da321c6e1e9fp-2, 0x1.4a4ce385bc3f7p-2, 0x1.46f0b2de4b043p-2, 0x1.438f0e0590c95p-2, 0x1.402870eb95a03p-2, 0x1.3cbd5530234e6p-2, 0x1.394e3218ddd3dp-2, 0x1.35db7c88a63dp-2, 0x1.3265a6f83698bp-2, 0x1.2eed216fe0332p-2, 0x1.2b72598260a77p-2, 0x1.27f5ba48bd107p-2, 0x1.2477ac5f0fff7p-2, 0x1.20f895e23f39ap-2, 0x1.1d78da6e8d5ccp-2, 0x1.19f8db1ef4f19p-2, 0x1.1678f68d47a63p-2, 0x1.12f988d2fe54dp-2, 0x1.0f7aeb8ab815ap-2, 0x1.0bfd75d25420bp-2, 0x1.08817c4da59d6p-2, 0x1.05075129b11bdp-2, 0x1.018f44206fc05p-2, 0x1.fc3344fa17a5ap-3, 0x1.f54d6e4128fabp-3, 0x1.ee6d950e2e467p-3, 0x1.e794459a48104p-3, 0x1.e0c2076b5a404p-3, 0x1.d9f75d607a8c4p-3, 0x1.d334c5befd39ap-3, 0x1.cc7aba4023b7ep-3, 0x1.c5c9b01f47419p-3, 0x1.bf22182892ddfp-3, 0x1.b8845ec82eda5p-3, 0x1.b1f0ec19d16bbp-3, 0x1.ab6823f8c28a4p-3, 0x1.a4ea6610327cbp-3, 0x1.9e780debdeab6p-3, 0x1.981173090ca88p-3, 0x1.91b6e8e7c1075p-3, 0x1.8b68bf1c33c6ap-3, 0x1.8527416077bf8p-3, 0x1.7ef2b7a6589d4p-3, 0x1.78cb66295419cp-3, 0x1.72b18d80c0163p-3, 0x1.6ca56ab20954dp-3, 0x1.66a73743074eep-3, 0x1.60b7294c5fep-3, 0x1.5ad5738bff2c6p-3, 0x1.550245778dc51p-3, 0x1.4f3dcb4eef97ap-3, 0x1.49882e2ebe782p-3, 0x1.43e19422bf64p-3, 0x1.3e4a20384fda7p-3, 0x1.38c1f290c35f1p-3, 0x1.33492873b046cp-3, 0x1.2ddfdc612a0b7p-3, 0x1.28862623ddb7bp-3, 0x1.233c1ae31d9c1p-3, 0x1.1e01cd34c48dep-3, 0x1.18d74d2efb3e8p-3, 0x1.13bca879dfa9ap-3, 0x1.0eb1ea61016a7p-3, 0x1.09b71be4b2f6dp-3, 0x1.04cc43cb36c9cp-3, 0x1.ffe2cd637313dp-4, 0x1.f64d0e3a4e7cap-4, 0x1.ecd74b1580999p-4, 0x1.e38181011692fp-4, 0x1.da4ba93b15ebep-4, 0x1.d135b9537ef34p-4, 0x1.c83fa34be221dp-4, 0x1.bf6955b68a289p-4, 0x1.b6b2bbd52ada7p-4, 0x1.ae1bbdb721407p-4, 0x1.a5a440573dd01p-4, 0x1.9d4c25b908eecp-4, 0x1.95134d05a4696p-4, 0x1.8cf992a81790ap-4, 0x1.84fed06931407p-4, 0x1.7d22dd8ae244fp-4, 0x1.75658ee31ad7cp-4, 0x1.6dc6b6f627dd9p-4, 0x1.6646261090129p-4, 0x1.5ee3aa606f341p-4, 0x1.579f100e500a9p-4, 0x1.507821558417cp-4, 0x1.496ea69bf9ca3p-4, 0x1.4282668990823p-4, 0x1.3bb3261eea953p-4, 0x1.3500a8cbbd228p-4, 0x1.2e6ab0849f4edp-4, 0x1.27f0fdd859131p-4, 0x1.21935004afb05p-4, 0x1.1b51650ab4b41p-4, 0x1.152af9c293bp-4, 0x1.0f1fc9eee336ap-4, 0x1.092f904f775b4p-4, 0x1.035a06b3b8857p-4, 0x1.fb3dcc18fbc93p-5, 0x1.effbccfadd59dp-5, 0x1.e4ed7edbd27c2p-5, 0x1.da124f32e49ddp-5, 0x1.cf69aa3f5a5a4p-5, 0x1.c4f2fb27bc96fp-5, 0x1.baadac17f639ep-5, 0x1.b099265e8a998p-5, 0x1.a6b4d288ec271p-5, 0x1.9d00187ef353ap-5, 0x1.937a5f9d7770bp-5, 0x1.8a230ed00f89cp-5, 0x1.80f98ca9fcf7p-5, 0x1.77fd3f7e427b9p-5, 0x1.6f2d8d76eb729p-5, 0x1.6689dcab89bb8p-5, 0x1.5e119336e6e05p-5, 0x1.55c4174bf2aa1p-5, 0x1.4da0cf49edbbp-5, 0x1.45a721cfd6de5p-5, 0x1.3dd675cf1ccf8p-5, 0x1.362e329d98b1ep-5, 0x1.2eadc006d463ap-5, 0x1.2754865ca24ccp-5, 0x1.2021ee8704e88p-5, 0x1.191562136f2ep-5, 0x1.122e4b435dd8fp-5, 0x1.0b6c151a514ffp-5, 0x1.04ce2b6b25b13p-5, 0x1.fca7f5c9a23c8p-6, 0x1.eff9e23d1410ap-6, 0x1.e390f946b2b8ap-6, 0x1.d76c19fa3d13ep-6, 0x1.cb8a257dfed4ep-6, 0x1.bfe9ff1eaec1cp-6, 0x1.b48a8c622ff6ep-6, 0x1.a96ab5195ac24p-6, 0x1.9e896370bce8fp-6, 0x1.93e5840063a27p-6, 0x1.897e05dab7babp-6, 0x1.7f51da9a690b6p-6, 0x1.755ff66f7325dp-6, 0x1.6ba7502b4e2dbp-6, 0x1.6226e14c38e4p-6, 0x1.58dda607bad9fp-6, 0x1.4fca9d5459292p-6, 0x1.46ecc8f27c49bp-6, 0x1.3e432d74a494p-6, 0x1.35ccd246da6e7p-6, 0x1.2d88c1b566d14p-6, 0x1.257608f2eb5ap-6, 0x1.1d93b81dc14ccp-6, 0x1.15e0e244bf2ep-6, 0x1.0e5c9d6b5bcf9p-6, 0x1.0706028d3b7a5p-6, 0x1.ffb85b424e6bap-7, 0x1.f1bc7b36e3634p-7, 0x1.e416a8dfbc71cp-7, 0x1.d6c52e25ed60cp-7, 0x1.c9c65af5ce46dp-7, 0x1.bd18853fbf27ap-7, 0x1.b0ba08f7fc531p-7, 0x1.a4a948158a8cbp-7, 0x1.98e4aa9052e8cp-7, 0x1.8d6a9e5e5c12bp-7, 0x1.8239977055102p-7, 0x1.77500fad403dcp-7, 0x1.6cac86ed76d25p-7, 0x1.624d82f4fb0d1p-7, 0x1.58318f6d20198p-7, 0x1.4e573ddd89106p-7, 0x1.44bd25a48eb59p-7, 0x1.3b61e3ef28cc5p-7, 0x1.32441bb025cf5p-7, 0x1.29627596fa172p-7, 0x1.20bba00606e8fp-7, 0x1.184e4f086a752p-7, 0x1.10193c4759e53p-7, 0x1.081b26ff1855ep-7, 0x1.0052d3f3826f1p-7, 0x1.f17e1ac872e09p-8, 0x1.e2bd4600edad2p-8, 0x1.d460d3b523ce8p-8, 0x1.c66678b64eb5ep-8, 0x1.b8cbf46801b73p-8, 0x1.ab8f10a5677f3p-8, 0x1.9eada1a61403fp-8, 0x1.922585e242ae9p-8, 0x1.85f4a5f6a7df8p-8, 0x1.7a18f487fcebbp-8, 0x1.6e906e260c5p-8, 0x1.6359192e83e94p-8, 0x1.587105af6b687p-8, 0x1.4dd64d4958a26p-8, 0x1.438713116abbp-8, 0x1.3981837312a6fp-8, 0x1.2fc3d411a949fp-8, 0x1.264c43a9d6947p-8, 0x1.1d1919f2e9b5ep-8, 0x1.1428a77ffcf3dp-8, 0x1.0b7945a113989p-8, 0x1.030956443c1a4p-8, 0x1.f5ae87acf35dp-9, 0x1.e5c3024996477p-9, 0x1.d64d127a462ffp-9, 0x1.c749be9ef3998p-9, 0x1.b8b61d1dafe26p-9, 0x1.aa8f5424db9e7p-9, 0x1.9cd2996d80497p-9, 0x1.8f7d31fdecf7bp-9, 0x1.828c71ec6fbc3p-9, 0x1.75fdbc2266e1p-9, 0x1.69ce821f78f76p-9, 0x1.5dfc43bd2aeb3p-9, 0x1.52848ef2b6d3bp-9, 0x1.4764ff994eda3p-9, 0x1.3c9b3f30c2151p-9, 0x1.322504a479c47p-9, 0x1.28001410cd414p-9, 0x1.1e2a3e88df478p-9, 0x1.14a161dcd9d4ep-9, 0x1.0b636860b6c36p-9, 0x1.026e48b38afefp-9, 0x1.f3800b0e4116ep-10, 0x1.e2ad5ad06d389p-10, 0x1.d260b50e94f03p-10, 0x1.c29665038ec38p-10, 0x1.b34acc5822fb7p-10, 0x1.a47a62b786c4cp-10, 0x1.9621b56565e0fp-10, 0x1.883d66d4e52b4p-10, 0x1.7aca2e40eb9f9p-10, 0x1.6dc4d745991f9p-10, 0x1.612a417b0a7cp-10, 0x1.54f7601131562p-10, 0x1.4929396cc21a7p-10, 0x1.3dbce6c5aaeb8p-10, 0x1.32af93c6a9a7ep-10, 0x1.27fe7e2e010a3p-10, 0x1.1da6f56fe062cp-10, 0x1.13a65a5987575p-10, 0x1.09fa1eb5d8ae1p-10, 0x1.009fc4f36d7a6p-10, 0x1.ef29bf9737a3bp-11, 0x1.ddae23d6089c2p-11, 0x1.ccc81b36aa21cp-11, 0x1.bc7328dcac386p-11, 0x1.acaaedd432511p-11, 0x1.9d6b286d0d05bp-11, 0x1.8eafb398858f3p-11, 0x1.807486498d0b8p-11, 0x1.72b5b2d770016p-11, 0x1.656f666381dfap-11, 0x1.589de8402d2b7p-11, 0x1.4c3d995baf5c3p-11, 0x1.404af3acb04b7p-11, 0x1.34c289a166e47p-11, 0x1.29a10591764ebp-11, 0x1.1ee32931f5b72p-11, 0x1.1485cd0c1434dp-11, 0x1.0a85dff5c5f8cp-11, 0x1.00e0668d3ca8ep-11, 0x1.ef24f56cf93c5p-12, 0x1.dd32963711381p-12, 0x1.cbe4355d53084p-12, 0x1.bb34805e932e3p-12, 0x1.ab1e4b61353fcp-12, 0x1.9b9c9045abf55p-12, 0x1.8caa6dbda5d31p-12, 0x1.7e432666f2c7ep-12, 0x1.70621feb619ddp-12, 0x1.6302e22527583p-12, 0x1.562116469eb3bp-12, 0x1.49b88606ede7dp-12, 0x1.3dc51ad2ed6p-12, 0x1.3242dd01a20a4p-12, 0x1.272df30d3002cp-12, 0x1.1c82a0cfffcecp-12, 0x1.123d46c5ca7d7p-12, 0x1.085a61501b311p-12, 0x1.fdad0ffe2427bp-13, 0x1.eb5cd9bbc339ep-13, 0x1.d9bdb785df41bp-13, 0x1.c8c973485ae3fp-13, 0x1.b87a07dc9fc86p-13, 0x1.a8c99fc0ab97fp-13, 0x1.99b293d477adfp-13, 0x1.8b2f6a1e7a703p-13, 0x1.7d3ad497008e2p-13, 0x1.6fcfaffa29015p-13, 0x1.62e902a0fe4fap-13, 0x1.5681fb609df16p-13, 0x1.4a95f070bcebep-13, 0x1.3f205e5720a2bp-13, 0x1.341ce6dae48f1p-13, 0x1.29874ffc1859ap-13, 0x1.1f5b82f32e754p-13, 0x1.15958b34b84d8p-13, 0x1.0c31957caae66p-13, 0x1.032beede07959p-13, 0x1.f50207b15bc8ap-14, 0x1.e45abee9c1385p-14, 0x1.d45b54c737d2fp-14, 0x1.c4fd5449fa783p-14, 0x1.b63a8065dbda6p-14, 0x1.a80cd26449fcep-14, 0x1.9a6e784e63f25p-14, 0x1.8d59d36221452p-14, 0x1.80c9769089cf4p-14, 0x1.74b82506aa077p-14, 0x1.6920d0bcf2938p-14, 0x1.5dfe99139ae63p-14, 0x1.534cc9740c40bp-14, 0x1.4906d7ff2d84bp-14, 0x1.3f2864402b714p-14, 0x1.35ad35eb3cba5p-14, 0x1.2c913ba1e02f7p-14, 0x1.23d089c224fb6p-14, 0x1.1b67593a39cefp-14, 0x1.135206675425p-14, 0x1.0b8d0ff95a8f6p-14, 0x1.041515dfa2553p-14, 0x1.f9cdb0799f736p-15, 0x1.ebfe6cc2e085cp-15, 0x1.deb65b9a13ff2p-15, 0x1.d1efb26ff74c5p-15, 0x1.c5a4df42d9575p-15, 0x1.b9d086cbfb9cap-15, 0x1.ae6d82b669d3ap-15, 0x1.a376dfe3f7ed3p-15, 0x1.98e7dcbe10b02p-15, 0x1.8ebbe793758bp-15, 0x1.84ee9cffc8339p-15, 0x1.7b7bc65f5a582p-15, 0x1.725f584f96f9ep-15, 0x1.6995713793a58p-15, 0x1.611a57dcbeaafp-15, 0x1.58ea7a02afef2p-15, 0x1.51026b129bf0ep-15, 0x1.495ee2cf48afp-15, 0x1.41fcbc11cf13bp-15, 0x1.3ad8f38df6a64p-15, 0x1.33f0a6a3b0eccp-15, 0x1.2d411235bb185p-15, 0x1.26c7918b7d505p-15, 0x1.20819d393985ep-15, 0x1.1a6cca13060bdp-15, 0x1.1486c82577068p-15, 0x1.0ecd61b8fa0cp-15, 0x1.093e7a59af725p-15, 0x1.03d80de8a7745p-15, 0x1.fd305f6b6244dp-16, 0x1.f2fa133b9f6e9p-16, 0x1.e909b6650f39bp-16, 0x1.df5bf1cc5fbdap-16, 0x1.d5ed96803d7bp-16, 0x1.ccbb9c2d00d32p-16, 0x1.c3c31fa0d2de3p-16, 0x1.bb01615612a6fp-16, 0x1.b273c40ceb5a1p-16, 0x1.aa17cb71dc627p-16, 0x1.a1eb1acce6699p-16, 0x1.99eb73bc5799bp-16, 0x1.9216b4fca24dcp-16, 0x1.8a6ad9349f0f2p-16, 0x1.82e5f5d233ee2p-16, 0x1.7b8639ed660c2p-16, 0x1.7449ed3685d16p-16, 0x1.6d2f6eec49b84p-16, 0x1.663534db4e60cp-16, 0x1.5f59ca6902049p-16, 0x1.589bcfa1881fep-16, 0x1.51f9f853a5e56p-16, 0x1.4b730b30a038fp-16, 0x1.4505e0f55aeadp-16, 0x1.3eb1639c09627p-16, 0x1.38748d9313a13p-16, 0x1.324e68fd26e7dp-16, 0x1.2c3e0ef71883p-16, 0x1.2642a6e41c729p-16, 0x1.205b65c3bcdcp-16, 0x1.1a878d893403cp-16, 0x1.14c66c7c99cd6p-16, 0x1.0f175c9f7869bp-16, 0x1.0979c31900565p-16, 0x1.03ed0fa881163p-16, 0x1.fce1783598ddp-17, 0x1.f208978cbeb0ap-17, 0x1.e74e9617f9783p-17, 0x1.dcb29dbb9a0fdp-17, 0x1.d233e892cf234p-17, 0x1.c7d1c0111c719p-17, 0x1.bd8b7c2701c2bp-17, 0x1.b3608272f1a92p-17, 0x1.a950457b42e74p-17, 0x1.9f5a43ef240fcp-17, 0x1.957e07efa7876p-17, 0x1.8bbb265fb09c4p-17, 0x1.82113e3c65149p-17, 0x1.787ff7fc772d1p-17, 0x1.6f0704f59b18ep-17, 0x1.65a61ec88e545p-17, 0x1.5c5d06d766826p-17, 0x1.532b85bad15adp-17, 0x1.4a116ac36deb1p-17, 0x1.410e8b7e7f9cfp-17, 0x1.3822c3410de1fp-17, 0x1.2f4df2b66be96p-17, 0x1.268fff778c6c8p-17, 0x1.1de8d3a44f534p-17, 0x1.15585d837a1ap-17, 0x1.0cde8f24de60ap-17, 0x1.047b5e0a4bf13p-17, 0x1.f85d85ac6c768p-18, 0x1.e7f171f388702p-18, 0x1.d7b27cd877dd4p-18, 0x1.c7a0a6c40a1b9p-18, 0x1.b7bbf414bf4b4p-18, 0x1.a8046c9cf4c0dp-18, 0x1.987a1b2ceb606p-18, 0x1.891d0d1ca0b7fp-18, 0x1.79ed51e407139p-18, 0x1.6aeafab48951ap-18, 0x1.5c161a14bb003p-18, 0x1.4d6ec38d59bfdp-18, 0x1.3ef50b50c7269p-18, 0x1.30a905ec3ca8ap-18, 0x1.228ac7fcc358ep-18, 0x1.149a65ec8858ap-18, 0x1.06d7f3b0f3d6ap-18, 0x1.f287091817fa3p-19, 0x1.d7ba55aa4e24p-19, 0x1.bd49ef8bd25f9p-19, 0x1.a335f69059cd9p-19, 0x1.897e8793556bap-19, 0x1.7023bc27530dbp-19, 0x1.5725aa4e6cde5p-19, 0x1.3e84642e67385p-19, 0x1.263ff7d39f9c4p-19, 0x1.0e586efab2a87p-19, 0x1.ed9b9dbb8d8d7p-20, 0x1.bf403010b9b96p-20, 0x1.919e8c50e4d57p-20, 0x1.64b69fdcda935p-20, 0x1.38884dda9a513p-20, 0x1.0d136ef702abp-20, 0x1.c4afa279e2337p-21, 0x1.70aa6ff89961dp-21, 0x1.1e16b74c0008p-21, 0x1.99e7a6a661c15p-22, 0x1.f5042372a9d9fp-23, 0x1.77ec3482d3571p-24, -0x1.dd79b1088081p-25, -0x1.a4fd66db35695p-23, -0x1.66759245d989dp-22, -0x1.f796264618dc5p-22, -0x1.42f1776a2fcb4p-21, -0x1.88af4b728aa84p-21, -0x1.cd05fa496016fp-21, -0x1.07fb821d1ef51p-20, -0x1.28c1ff4ab9b8ep-20, -0x1.48d749be40f51p-20, -0x1.683c40c3b596fp-20, -0x1.86f1cdb632891p-20, -0x1.a4f8e3d6236f2p-20, -0x1.c252801858761p-20, -0x1.deffa8f55d03p-20, -0x1.fb016e3528844p-20, -0x1.0b2c745e03464p-19, -0x1.18839d2b4fa18p-19, -0x1.2586c6c310a1bp-19, -0x1.32368a9d012c1p-19, -0x1.3e9386497003fp-19, -0x1.4a9e5b55dbb8ep-19, -0x1.5657af32d7bep-19, -0x1.61c02b0ee8453p-19, -0x1.6cd87bb767981p-19, -0x1.77a1517bd038p-19, -0x1.821b600bd9226p-19, -0x1.8c475e57572d7p-19, -0x1.9626066eb601ap-19, -0x1.9fb81565ffee6p-19, -0x1.a8fe4b306a2b8p-19, -0x1.b1f96a870c582p-19, -0x1.baaa38bf1cdd5p-19, -0x1.c3117dac9192dp-19, -0x1.cb300381d0b08p-19, -0x1.d30696b5f3482p-19, -0x1.da9605e163ebbp-19, -0x1.e1df2199990bep-19, -0x1.e8e2bc59293a5p-19, -0x1.efa1aa5bb27edp-19, -0x1.f61cc1829a974p-19, -0x1.fc54d934615ep-19, -0x1.01256521c4115p-18, -0x1.03ffb767687ebp-18, -0x1.06b9d112b5742p-18, -0x1.09542054844f1p-18, -0x1.0bcf13d73f864p-18, -0x1.0e2b1ab172a1fp-18, -0x1.1068a459ec934p-18, -0x1.1288209ae902ep-18, -0x1.1489ff82a1d52p-18, -0x1.166eb156b063ap-18, -0x1.1836a6887fab4p-18, -0x1.19e24fa72a245p-18, -0x1.1b721d5536408p-18, -0x1.1ce6803a69e2ap-18, -0x1.1e3fe8fc11f92p-18, -0x1.1f7ec82f2cb82p-18, -0x1.20a38e4dd1a36p-18, -0x1.21aeababbf1e3p-18, -0x1.22a0906ae0332p-18, -0x1.2379ac72066c7p-18, -0x1.243a6f629ed3ep-18, -0x1.24e34890725eep-18, -0x1.2574a6f6daab3p-18, -0x1.25eef92e7fa3cp-18, -0x1.2652ad6650a82p-18, -0x1.26a03158c1114p-18, -0x1.26d7f24578158p-18, -0x1.26fa5ce6f9ad9p-18, -0x1.2707dd6cd3d9dp-18, -0x1.2700df74f5768p-18, -0x1.26e5ce01405b9p-18, -0x1.26b713726b5a1p-18, -0x1.2675197f90cc3p-18, -0x1.262049300e9cp-18, -0x1.25b90ad5803aep-18, -0x1.253fc60581426p-18, -0x1.24b4e194f24f3p-18, -0x1.2418c3906cb55p-18, -0x1.236bd13703ec4p-18, -0x1.22ae6ef6bb133p-18, -0x1.21e1006574019p-18, -0x1.2103e83e35792p-18, -0x1.2017885a43b81p-18, -0x1.1f1c41b0648bdp-18, -0x1.1e12744e9c78p-18, -0x1.1cfa7f5633d0fp-18, -0x1.1bd4c0f8980c8p-18, -0x1.1aa19673204c7p-18, -0x1.19615c0c6851p-18, -0x1.18146d112e9dap-18, -0x1.16bb23d12e00ap-18, -0x1.1555d99e32ab4p-18, -0x1.13e4e6c6dcc4cp-18, -0x1.1268a295a9b1p-18, -0x1.10e1634fa64aep-18, -0x1.0f4f7e30cac19p-18, -0x1.0db3476bce34ep-18, -0x1.0c0d1226fff3fp-18, -0x1.0a5d307c6a5d5p-18, -0x1.08a3f37895d1p-18, -0x1.06e1ab1779dbap-18, -0x1.0516a6457f2d2p-18, -0x1.034332dd6f8f6p-18, -0x1.01679da7a2ea3p-18, -0x1.ff0864b4c68e6p-19, -0x1.fb327731a13fcp-19, -0x1.f74e05e62293dp-19, -0x1.f35ba1cbc4d74p-19, -0x1.ef5bd9b4c7a0bp-19, -0x1.eb4f3a4c6c58ap-19, -0x1.e7364e18dcc14p-19, -0x1.e3119d79201d5p-19, -0x1.dee1aea858b6dp-19, -0x1.daa705bd859cfp-19, -0x1.d66224ae26d4ap-19, -0x1.d2138b4e8ea04p-19, -0x1.cdbbb7530b874p-19, -0x1.c95b245359bf2p-19, -0x1.c4f24bcb46e1ep-19, -0x1.c081a51c86983p-19, -0x1.bc09a5938687ap-19, -0x1.b78ac0674e0a7p-19, -0x1.b30566bc92358p-19, -0x1.ae7a07aaed80ep-19, -0x1.a9e9103c5bc58p-19, -0x1.a552eb7321246p-19, -0x1.a0b8024bf2da5p-19, -0x1.9c18bbc168147p-19, -0x1.97757cceb77e3p-19, -0x1.92cea87549fe8p-19, -0x1.8e249fbf43d03p-19, -0x1.8977c1c2ab8dap-19, -0x1.84c86ba656552p-19, -0x1.8016f8a5c3435p-19, -0x1.7b63c2151171cp-19, -0x1.76af1f64ea6ddp-19, -0x1.71f966275da6p-19, -0x1.6d42ea158ac9ap-19, -0x1.688bfd0fd765ap-19, -0x1.63d4ef261768bp-19, -0x1.5f1e0e9c415d5p-19, -0x1.5a67a7ec48d74p-19, -0x1.55b205ce13a9cp-19, -0x1.50fd713a172dp-19, -0x1.4c4a316ecf4ffp-19, -0x1.47988bf55b3p-19, -0x1.42e8c4a6c6a08p-19, -0x1.3e3b1db1ccc1p-19, -0x1.398fd79cae617p-19, -0x1.34e7314cb6cfbp-19, -0x1.3041680b52a4dp-19, -0x1.2b9eb789f229ep-19, -0x1.26ff59e84342p-19, -0x1.226387b883a4ep-19, -0x1.1dcb7805b0fc1p-19, -0x1.19376057168a6p-19, -0x1.14a774b4a80c1p-19, -0x1.101be7aef40b9p-19, -0x1.0b94ea62aea6cp-19, -0x1.0712ac7da780fp-19, -0x1.02955c455ab83p-19, -0x1.fc3a4d33fd273p-20, -0x1.f3546dfa9b15dp-20, -0x1.ea796f2d967d6p-20, -0x1.e1a9a27339ec5p-20, -0x1.d8e556d2d5a06p-20, -0x1.d02cd8bb1924dp-20, -0x1.c780721061001p-20, -0x1.bee06a36efd5fp-20, -0x1.b64d061c1087p-20, -0x1.adc68840e8a99p-20, -0x1.a54d30c3fca8bp-20, -0x1.9ce13d6ba1647p-20, -0x1.9482e9af5c93fp-20, -0x1.8c326ebd430d7p-20, -0x1.83f0038b6c586p-20, -0x1.7bbbdcddaae3bp-20, -0x1.73962d5143ec1p-20, -0x1.6b7f2564989b1p-20, -0x1.6376f381f2bb4p-20, -0x1.5b7dc407b5e2dp-20, -0x1.5393c1554691ep-20, -0x1.4bb913ce3decep-20, -0x1.43ede1ebf584ap-20, -0x1.3c32503d7cf63p-20, -0x1.3486817524c09p-20, -0x1.2cea967212883p-20, -0x1.255eae4b06e0bp-20, -0x1.1de2e654aa3d3p-20, -0x1.16775a2ba6f07p-20, -0x1.0f1c23bc8bf16p-20, -0x1.07d15b4dff6a3p-20, -0x1.009717852d4f7p-20, -0x1.f2dadae0013ebp-21, -0x1.e4a8e121925dbp-21, -0x1.d69865c5c87d3p-21, -0x1.c8a989cef045p-21, -0x1.badc6b50b7c89p-21, -0x1.ad312585e1c37p-21, -0x1.9fa7d0de28bf7p-21, -0x1.92408312692bdp-21, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.431c60290d263p-8, -0x1.4326db30f2054p-7, -0x1.e4e7c31fadae3p-7, -0x1.4382733f1f876p-6, -0x1.94e064d4c315p-6, -0x1.e6b0787b2ce13p-6, -0x1.1c88964162aeep-5, -0x1.460bf39ab758dp-5, -0x1.6fe6b8dcf3a83p-5, -0x1.9a15e7637abd4p-5, -0x1.c48ea6f4604a4p-5, -0x1.ef3e53d7e5dd4p-5, -0x1.0d057a2f3af6p-4, -0x1.2269fcce22162p-4, -0x1.37b99904eae1ep-4, -0x1.4cdeec47c8ed6p-4, -0x1.61c2d74999fcfp-4, -0x1.764d09c02adc3p-4, -0x1.8a6487e1175d8p-4, -0x1.9df0261208bcep-4, -0x1.b0d6f885598ccp-4, -0x1.c300b57c11eaep-4, -0x1.d45609adeba5ep-4, -0x1.e4c0deee83067p-4, -0x1.f42c959445511p-4, -0x1.014318b89452dp-3, -0x1.07de3daeae735p-3, -0x1.0de00c379ef6ep-3, -0x1.1341cc033789bp-3, -0x1.17fdbce76a17dp-3, -0x1.1c0f166b2df54p-3, -0x1.1f7204604b604p-3, -0x1.2223a107fce03p-3, -0x1.2421ed338f8e3p-3, -0x1.256bc6c706c2cp-3, -0x1.2600ddf8c1d97p-3, -0x1.25e1a99e65f4dp-3, -0x1.250f5acd3561dp-3, -0x1.238bd00a79b54p-3, -0x1.2159884023d46p-3, -0x1.1e7b95a1c39c7p-3, -0x1.1af590a70c72fp-3, -0x1.16cb8b3ab2aeep-3, -0x1.12020436f3b27p-3, -0x1.0c9ddb442e113p-3, -0x1.06a44529974c2p-3, -0x1.001ac09c7d8fdp-3, -0x1.f20e172e645eap-4, -0x1.e2de327c1534ap-4, -0x1.d2b210acf6632p-4, -0x1.c19634a489bcbp-4, -0x1.af9755de31a5ap-4, -0x1.9cc250d30d011p-4, -0x1.89241881e6054p-4, -0x1.74c9a912baf5bp-4, -0x1.5fbffb8db756p-4, -0x1.4a13fa9c6b93p-4, -0x1.33d2784aedcbdp-4, -0x1.1d0824bdea9c2p-4, -0x1.05c185d22a9a6p-4, -0x1.dc15df3363c5p-5, -0x1.abe0fb5502975p-5, -0x1.7afc1a65bef4p-5, -0x1.497e6f8e751fbp-5, -0x1.177e9dbb84c85p-5, -0x1.ca255fb0a2dc4p-6, -0x1.64a02470f3ffdp-6, -0x1.fd2e346355ad6p-7, -0x1.3065008cab41dp-7, -0x1.8cc9ee04c78f4p-9, 0x1.a8791fab70c47p-9, 0x1.3744f9db380f4p-7, 0x1.01fe091c09432p-6, 0x1.6800697033172p-6, 0x1.cd89a3c051bb9p-6, 0x1.193d90d211d6dp-5, 0x1.4b5bd72d5624bp-5, 0x1.7d11b9ea47e97p-5, 0x1.ae51fb7d7c7efp-5, 0x1.df1009a49cc25p-5, 0x1.079ffd736e94p-4, 0x1.1f6b45e94cd65p-4, 0x1.36e48e006f7b4p-4, 0x1.4e06d57372a95p-4, 0x1.64cd6a3e6f1e4p-4, 0x1.7b33e6e06a01p-4, 0x1.9136308ddd20ep-4, 0x1.a6d0755726cecp-4, 0x1.bbff2a4565027p-4, 0x1.d0bf097000b0ap-4, 0x1.e50d100d11033p-4, 0x1.f8e67c7e42a4bp-4, 0x1.0624662e12a99p-3, 0x1.0f98dd409361ep-3, 0x1.18cf9e8ad623dp-3, 0x1.21c7c1cf36bb2p-3, 0x1.2a807a870a1dbp-3, 0x1.32f916ed87025p-3, 0x1.3b30ff0d2a6c6p-3, 0x1.4327b3cff1e5cp-3, 0x1.4adcce12bd32bp-3, 0x1.524ffdbc0d2a3p-3, 0x1.598108d6636b6p-3, 0x1.606fcaae6a86fp-3, 0x1.671c32f514585p-3, 0x1.6d8644e5cb96bp-3, 0x1.73ae1670d3e27p-3, 0x1.7993cf69f2b0fp-3, 0x1.7f37a8bb649dcp-3, 0x1.8499eb9d3de84p-3, 0x1.89baf0d12ff73p-3, 0x1.8e9b1fe2bd8ep-3, 0x1.933aee6be3dccp-3, 0x1.979adf5e36a8p-3, 0x1.9bbb82506960ap-3, 0x1.9f9d72d0444a3p-3, 0x1.a34157b905b01p-3, 0x1.a6a7e28e1d916p-3, 0x1.a9d1ceda4586ap-3, 0x1.acbfe192e348dp-3, 0x1.af72e87fb255fp-3, 0x1.b1ebb9a6ab054p-3, 0x1.b42b32bc14933p-3, 0x1.b6323896bdbe7p-3, 0x1.b801b6a8497dep-3, 0x1.b99a9e798a87cp-3, 0x1.bafde72adb322p-3, 0x1.bc2c8cf8655aep-3, 0x1.bd2790c24ee97p-3, 0x1.bdeff798bdb72p-3, 0x1.be86ca4ba0663p-3, 0x1.beed14fe351dap-3, 0x1.bf23e6be3bb1dp-3, 0x1.bf2c511ec5259p-3, 0x1.bf0767d695f73p-3, 0x1.beb64062061bfp-3, 0x1.be39f1a858825p-3, 0x1.bd9393a479644p-3, 0x1.bcc43f110ac8cp-3, 0x1.bbcd0d17bf34bp-3, 0x1.baaf1703ee4f1p-3, 0x1.b96b75f853a5p-3, 0x1.b80342a7deea3p-3, 0x1.b6779511a3cb5p-3, 0x1.b4c9843fb1048p-3, 0x1.b2fa2608ea01ep-3, 0x1.b10a8ed5b54c6p-3, 0x1.aefbd16777d84p-3, 0x1.accefea2de168p-3, 0x1.aa85255cc8905p-3, 0x1.a81f5229e77c3p-3, 0x1.a59e8f30e05b5p-3, 0x1.a303e3fefd9e7p-3, 0x1.a050555f4defcp-3, 0x1.9d84e534307dep-3, 0x1.9aa292532dbbcp-3, 0x1.97aa5863201b6p-3, 0x1.949d2fbc909c3p-3, 0x1.917c0d4c3addep-3, 0x1.8e47e277ac665p-3, 0x1.8b019d03f0269p-3, 0x1.87aa26fe3041fp-3, 0x1.844266a64c545p-3, 0x1.80cb3e5b464fcp-3, 0x1.7d458c89826ccp-3, 0x1.79b22b9ac7b47p-3, 0x1.7611f1e7f06d9p-3, 0x1.7265b1ac40c08p-3, 0x1.6eae38fa53bc3p-3, 0x1.6aec51b28d249p-3, 0x1.6720c17b073ebp-3, 0x1.634c49b8ebe48p-3, 0x1.5f6fa78b2c8efp-3, 0x1.5b8b93c68c25bp-3, 0x1.57a0c2f2eb9f8p-3, 0x1.53afe549d26a7p-3, 0x1.4fb9a6b618384p-3, 0x1.4bbeaed4b575fp-3, 0x1.47bfa0f6a1cdep-3, 0x1.43bd1c23b7e7ep-3, 0x1.3fb7bb1e94bb3p-3, 0x1.3bb01469637ddp-3, 0x1.37a6ba4b8ba2ep-3, 0x1.339c3ad8373bap-3, 0x1.2f911ff5a5699p-3, 0x1.2b85ef6540f8bp-3, 0x1.277b2acc6c2bbp-3, 0x1.23714fbdf64cdp-3, 0x1.1f68d7c43e86bp-3, 0x1.1b62386be53c6p-3, 0x1.175de34f12ea2p-3, 0x1.135c46214a008p-3, 0x1.0f5dcabbabfa3p-3, 0x1.0b62d729beddcp-3, 0x1.076bcdb698c8cp-3, 0x1.03790cfa72647p-3, 0x1.ff15dfd12d301p-4, 0x1.f7439bbb4b952p-4, 0x1.ef7bf55c54236p-4, 0x1.e7bf8d6ad8ef4p-4, 0x1.e00efdc91f7ccp-4, 0x1.d86ad9a3b7076p-4, 0x1.d0d3ad908f372p-4, 0x1.c949ffae41d8fp-4, 0x1.c1ce4fc3cb6c5p-4, 0x1.ba6117606c279p-4, 0x1.b302c9fbca128p-4, 0x1.abb3d51639d5fp-4, 0x1.a474a0592735p-4, 0x1.9d458db790e0fp-4, 0x1.9626f98e9d748p-4, 0x1.8f193ac6217bcp-4, 0x1.881ca2f1319f5p-4, 0x1.81317e6e9e1d8p-4, 0x1.7a5814895c527p-4, 0x1.7390a798d1d06p-4, 0x1.6cdb7520ffa1p-4, 0x1.6638b5f27f6efp-4, 0x1.5fa89e4a52f1ep-4, 0x1.592b5df179d46p-4, 0x1.52c1205c4d041p-4, 0x1.4c6a0cc99836fp-4, 0x1.462646616a6e5p-4, 0x1.3ff5ec539d78p-4, 0x1.39d919f60aeddp-4, 0x1.33cfe6e26d4a4p-4, 0x1.2dda6713ea164p-4, 0x1.27f8ab043d711p-4, 0x1.222abfc88800dp-4, 0x1.1c70af2dbb9acp-4, 0x1.16ca7fd49da94p-4, 0x1.1138354d670dep-4, 0x1.0bb9d032f7d23p-4, 0x1.064f4e459ac8dp-4, 0x1.00f8aa856081dp-4, 0x1.f76bba9808c26p-5, 0x1.ed0db8ccc5675p-5, 0x1.e2d7365af81f8p-5, 0x1.d8c8153e01792p-5, 0x1.cee032ead5404p-5, 0x1.c51f687f3bf06p-5, 0x1.bb858af025f2dp-5, 0x1.b2126b37164bfp-5, 0x1.a8c5d67e94e1p-5, 0x1.9f9f964db17d9p-5, 0x1.969f70b29ea14p-5, 0x1.8dc5286c5007bp-5, 0x1.85107d132f90ep-5, 0x1.7c812b40e18p-5, 0x1.7416ecb7191fcp-5, 0x1.6bd178857e7f6p-5, 0x1.63b0832ea4948p-5, 0x1.5bb3becc1d7b7p-5, 0x1.53dadb31986c3p-5, 0x1.4c25860f1f909p-5, 0x1.44936b126969p-5, 0x1.3d2434074ce2cp-5, 0x1.35d788f749b1ap-5, 0x1.2ead10483a099p-5, 0x1.27a46eda1e3ddp-5, 0x1.20bd4824148fcp-5, 0x1.19f73e507084cp-5, 0x1.1351f25802a5p-5, 0x1.0ccd041c89f4cp-5, 0x1.0668128257993p-5, 0x1.0022bb891f085p-5, 0x1.f3f938c80a1dfp-6, 0x1.e7eaa321c58b5p-6, 0x1.dc18eddd7fef5p-6, 0x1.d0834fa729a5ap-6, 0x1.c528fe4294274p-6, 0x1.ba092eb3ff8a5p-6, 0x1.af2315673476dp-6, 0x1.a475e655405edp-6, 0x1.9a00d528c750fp-6, 0x1.8fc31561029dep-6, 0x1.85bbda7368cabp-6, 0x1.7bea57ec0f018p-6, 0x1.724dc18cbcf51p-6, 0x1.68e54b6ac41c3p-6, 0x1.5fb02a0ba2b55p-6, 0x1.56ad92807b05ap-6, 0x1.4ddcba8051738p-6, 0x1.453cd88131dbap-6, 0x1.3ccd23d03246ep-6, 0x1.348cd4a86fda5p-6, 0x1.2c7b2448e386dp-6, 0x1.24974d09428a9p-6, 0x1.1ce08a6dd0bb7p-6, 0x1.1556193a400b7p-6, 0x1.0df73783958a2p-6, 0x1.06c324c1262eap-6, 0x1.ff7243b93aad3p-7, 0x1.f1b0e28272a1cp-7, 0x1.e440add4195fbp-7, 0x1.d72030df141e3p-7, 0x1.ca4dfa2868982p-7, 0x1.bdc89ba0e6636p-7, 0x1.b18eaabb86f51p-7, 0x1.a59ec08217f3cp-7, 0x1.99f779a8b1535p-7, 0x1.8e97769f9d264p-7, 0x1.837d5ba3df983p-7, 0x1.78a7d0ce95f2ap-7, 0x1.6e158222e91fbp-7, 0x1.63c51f9ae54aep-7, 0x1.59b55d3324541p-7, 0x1.4fe4f2f533281p-7, 0x1.46529d00f207cp-7, 0x1.3cfd1b94e5bfbp-7, 0x1.33e3331578202p-7, 0x1.2b03ac134f89p-7, 0x1.225d535095028p-7, 0x1.19eef9c55fc44p-7, 0x1.11b774a3317bfp-7, 0x1.09b59d57a856ep-7, 0x1.01e8518e4f708p-7, 0x1.f49ce6638ddebp-8, 0x1.e5cdd0d7fb715p-8, 0x1.d761374b7ca1fp-8, 0x1.c954f70b45ca3p-8, 0x1.bba6f5dc76029p-8, 0x1.ae5521f776afdp-8, 0x1.a15d7201d9b9dp-8, 0x1.94bde50711e64p-8, 0x1.8874827036994p-8, 0x1.7c7f59fa8dbdbp-8, 0x1.70dc83ad34379p-8, 0x1.658a1fcde7b0bp-8, 0x1.5a8656d4adeap-8, 0x1.4fcf595eaaa1dp-8, 0x1.4563602043de3p-8, 0x1.3b40abd668214p-8, 0x1.31658537118e5p-8, 0x1.27d03ce1531ep-8, 0x1.1e7f2b4c776a8p-8, 0x1.1570b0b68a049p-8, 0x1.0ca3351281ed5p-8, 0x1.041527f5a707ep-8, 0x1.f78a010942426p-9, 0x1.e7627ac00709bp-9, 0x1.d7b0c920eafb9p-9, 0x1.c87206e491825p-9, 0x1.b9a35d41a8596p-9, 0x1.ab4203c2dc837p-9, 0x1.9d4b401c3620bp-9, 0x1.8fbc65ffe8187p-9, 0x1.8292d6f2cbe1bp-9, 0x1.75cc021fb52f4p-9, 0x1.6965642b3c63dp-9, 0x1.5d5c87067d9f8p-9, 0x1.51af01c1f0929p-9, 0x1.465a785fc8679p-9, 0x1.3b5c9ba648faep-9, 0x1.30b328f1c831fp-9, 0x1.265bea065ff14p-9, 0x1.1c54b4e1c65b2p-9, 0x1.129b6b8cf9045p-9, 0x1.092dfbede4c8dp-9, 0x1.000a5f98fddd1p-9, 0x1.ee5d3746457c1p-10, 0x1.dd3180e6423ddp-10, 0x1.cc8dd326ed04dp-10, 0x1.bc6e7b08cccbbp-10, 0x1.accfdb1bbca35p-10, 0x1.9dae6b23a9473p-10, 0x1.8f06b7bd70776p-10, 0x1.80d562042eaa1p-10, 0x1.73171f36c748bp-10, 0x1.65c8b85e6b611p-10, 0x1.58e709f5349adp-10, 0x1.4c6f038d8e36fp-10, 0x1.405da77a5594cp-10, 0x1.34b00a77bc5ecp-10, 0x1.296353549fcf5p-10, 0x1.1e74ba9c7fd5dp-10, 0x1.13e18a42726ffp-10, 0x1.09a71d4c987cfp-10, 0x1.ff85bf020eb4bp-11, 0x1.ec649a250da21p-11, 0x1.d9e5e49dea71dp-11, 0x1.c804d69cdba88p-11, 0x1.b6bcc745de5dep-11, 0x1.a6092c1234cdcp-11, 0x1.95e59833b4c87p-11, 0x1.864dbbfa029bp-11, 0x1.773d6439bf69ep-11, 0x1.68b079b5906d5p-11, 0x1.5aa30088da93p-11, 0x1.4d111794f83b8p-11, 0x1.3ff6f7efc0494p-11, 0x1.3350f45456a7dp-11, 0x1.271b7895b258dp-11, 0x1.1b530913acb2fp-11, 0x1.0ff44231c6d44p-11, 0x1.04fbd7cfa259fp-11, 0x1.f4cd2988caefcp-12, 0x1.e062b4b6057p-12, 0x1.ccb23fa28de37p-12, 0x1.b9b5e3b0cfb8ep-12, 0x1.a767e430523aap-12, 0x1.95c2ad66dae48p-12, 0x1.84c0d39e9b5c4p-12, 0x1.745d1237b30b7p-12, 0x1.64924abee6b03p-12, 0x1.555b840619644p-12, 0x1.46b3e942a1c98p-12, 0x1.3896c92e1eb9ep-12, 0x1.2aff952d376cdp-12, 0x1.1de9e07803674p-12, 0x1.11515f47cdc3bp-12, 0x1.0531e607cb483p-12, 0x1.f30ed116931cp-13, 0x1.dc9bf289fafc1p-13, 0x1.c703910a0255ep-13, 0x1.b23e476e54c87p-13, 0x1.9e44e94fe15adp-13, 0x1.8b108198c2116p-13, 0x1.789a51197c9afp-13, 0x1.66dbcd25cc554p-13, 0x1.55ce9e3bdbdb1p-13, 0x1.456c9ead057b8p-13, 0x1.35afd952198c9p-13, 0x1.26928844c2642p-13, 0x1.180f139db5cbfp-13, 0x1.0a20103caf5c6p-13, 0x1.f9807d2d10968p-14, 0x1.dfd51310b3ebp-14, 0x1.c7340a6282bc1p-14, 0x1.af93dbaab51e1p-14, 0x1.98eb4d84683f5p-14, 0x1.83317278e5309p-14, 0x1.6e5da6e8cfdc7p-14, 0x1.5a678ef9ecb81p-14, 0x1.47471498582fap-14, 0x1.34f4657fb014fp-14, 0x1.2367f14e17126p-14, 0x1.129a67a8d20dfp-14, 0x1.0284b665273e3p-14, 0x1.e6400f80858dcp-15, 0x1.c8cb813af0666p-15, 0x1.ac9efda8734bdp-15, 0x1.91ae2f0bfa86cp-15, 0x1.77ed2afe30b25p-15, 0x1.5f506f3e045aep-15, 0x1.47ccde9a762ffp-15, 0x1.3157bdf1d0456p-15, 0x1.1be6b13c8427ep-15, 0x1.076fb8b43babbp-15, 0x1.e7d25c0005658p-16, 0x1.c29382f936c69p-16, 0x1.9f10ef26179aep-16, 0x1.7d394c4a0cf3ep-16, 0x1.5cfbe4076ead2p-16, 0x1.3e4898eec1457p-16, 0x1.210fe1bfb4f17p-16, 0x1.0542c4b67532dp-16, 0x1.d5a5a5f8734d1p-17, 0x1.a364489d14fecp-17, 0x1.73a6a52b810f2p-17, 0x1.4652eb87e9bd2p-17, 0x1.1b503f75a4529p-17, 0x1.e50d615b93a5fp-18, 0x1.97be66440958p-18, 0x1.4e872ef3ab3fbp-18, 0x1.093d07ab3fd15p-18, 0x1.8f6db26d5af2dp-19, 0x1.139a3667cb055p-19, 0x1.3d671ae285d4ep-20, 0x1.8384936e09b3ep-22, -0x1.bba882192d787p-22, -0x1.3281f32385911p-20, -0x1.ea6852c9b928bp-20, -0x1.4b8d1805916b5p-19, -0x1.9c87cca011099p-19, -0x1.e85df2ba2c06dp-19, -0x1.17a377fcf512dp-18, -0x1.38bbfc3cb3824p-18, -0x1.57921174fa636p-18, -0x1.743e3de110a0dp-18, -0x1.8ed80c0c7acfp-18, -0x1.a77613fb029abp-18, -0x1.be2e03edddd38p-18, -0x1.d314a909ecabfp-18, -0x1.e63df78f69c59p-18, -0x1.f7bd12f721f0ep-18, -0x1.03d22ac5e678fp-17, -0x1.0b02ac14e730ep-17, -0x1.11787cc23b8cdp-17, -0x1.173bb29200187p-17, -0x1.1c540d2221335p-17, -0x1.20c8f93abc8b9p-17, -0x1.24a1940465d04p-17, -0x1.27e4ae19171c8p-17, -0x1.2a98ce88491bbp-17, -0x1.2cc435c13df31p-17, -0x1.2e6ce05f59d05p-17, -0x1.2f9889cb78357p-17, -0x1.304caeef90529p-17, -0x1.308e90b756f47p-17, -0x1.3063367b7eaa6p-17, -0x1.2fcf705e755a7p-17, -0x1.2ed7d996e5f1ap-17, -0x1.2d80da9d627bp-17, -0x1.2bceab46fee83p-17, -0x1.29c554d048547p-17, -0x1.2768b3dce0c1fp-17, -0x1.24bc7a5df4347p-17, -0x1.21c43158353bcp-17, -0x1.1e833ab2fae58p-17, -0x1.1afcd2e989e03p-17, -0x1.173412ab5bc11p-17, -0x1.132bf06b8b7aep-17, -0x1.0ee741ecc0dbbp-17, -0x1.0a68bdb234ebbp-17, -0x1.05b2fc6e4b2dap-17, -0x1.00c87a490cca8p-17, -0x1.f757307a74b97p-18, -0x1.ecbd3aaa46455p-18, -0x1.e1c76fb3b16e4p-18, -0x1.d679fceda5e5fp-18, -0x1.cad8e2b9a6d46p-18, -0x1.bee7f699618f3p-18, -0x1.b2aae52eee59bp-18, -0x1.a62534334de65p-18, -0x1.995a445d0c456p-18, -0x1.8c4d5336915a6p-18, -0x1.7f017cc01529ap-18, -0x1.7179bd1b14d02p-18, -0x1.63b8f2204973bp-18, -0x1.55c1dce27cb9dp-18, -0x1.4797231a2c8fbp-18, -0x1.393b508a1b6b8p-18, -0x1.2ab0d85983addp-18, -0x1.1bfa164a891b4p-18, -0x1.0d194fecc5a2p-18, -0x1.fc216b7abc8ffp-19, -0x1.ddc4c89c2921ep-19, -0x1.bf20caa39892cp-19, -0x1.a0396126ff5ffp-19, -0x1.811259d884bf2p-19, -0x1.61af624d28596p-19, -0x1.421409a855d0cp-19, -0x1.2243c24ed706ep-19, -0x1.0241e3716673p-19, -0x1.c42355120d9f7p-20, -0x1.836c7974fc2a9p-20, -0x1.4265503638d13p-20, -0x1.0113c9ff74a83p-20, -0x1.7efb5c42bab71p-21, -0x1.f6a2750622a5p-22, -0x1.dcd09952baa42p-23, 0x1.aa25bfd9d403cp-26, 0x1.2468a3e83782ep-22, 0x1.176b135302573p-21, 0x1.9ceb7ae1fee5bp-21, 0x1.1155e457479a4p-20, 0x1.545138cb25fa5p-20, 0x1.97630e28d99b8p-20, 0x1.da86cf6147f75p-20, 0x1.0edbfee8b59f3p-19, 0x1.3079180b4e494p-19, 0x1.521888839a969p-19, 0x1.73b82f4559c02p-19, 0x1.9555f45d5e26cp-19, 0x1.b6efc8825dffcp-19, 0x1.d883a4b10c12ep-19, 0x1.fa0f89df64e5fp-19, 0x1.0dc8c045c2ed7p-18, 0x1.1e83cc32a0e38p-18, 0x1.2f37f40a77b5cp-18, 0x1.3fe4467d5d99ep-18, 0x1.5087d56f91531p-18, 0x1.6121b5e41fe81p-18, 0x1.71b0ffdffe0d4p-18, 0x1.8234ce52b69a7p-18, 0x1.92ac3efb2429bp-18, 0x1.a316725cc3834p-18, 0x1.b3728ba631c1dp-18, 0x1.c3bfb0ae5bbf4p-18, 0x1.d3fd09e45ce3fp-18, 0x1.e429c2441bb3fp-18, 0x1.f44507412eeddp-18, 0x1.02270462f4b49p-17, 0x1.0a21fc9caec39p-17, 0x1.121306b479438p-17, 0x1.19f9be477abe7p-17, 0x1.21d5c026882fep-17, 0x1.29a6aa5459deap-17, 0x1.316c1c02306f4p-17, 0x1.3925b592e5746p-17, 0x1.40d3189aa8d9fp-17, 0x1.4873e7dfd8ec7p-17, 0x1.5007c75fa7dfcp-17, 0x1.578e5c4d3ebcap-17, 0x1.5f074d1302ca3p-17, 0x1.6672414e7c654p-17, 0x1.6dcee1dbc0efbp-17, 0x1.751cd8d54ec98p-17, 0x1.7c5bd1959c835p-17, 0x1.838b78bad2e95p-17, 0x1.8aab7c29488fep-17, 0x1.91bb8b106ed55p-17, 0x1.98bb55e54d8dap-17, 0x1.9faa8e6dfd85p-17, 0x1.a688e7c154e95p-17, 0x1.ad56164c674bap-17, 0x1.b411cfd700c86p-17, 0x1.babbcb83f99dbp-17, 0x1.c153c1d6c606cp-17, 0x1.c7d96cb0e0bfp-17, 0x1.ce4c875947bd3p-17, 0x1.d4acce8245b5p-17, 0x1.dafa0046d282bp-17, 0x1.e133dc32e8133p-17, 0x1.e75a234267ecep-17, 0x1.ed6c97e7db202p-17, 0x1.f36afe092452ep-17, 0x1.f9551b045b777p-17, 0x1.ff2ab5b3486dep-17, 0x1.0275cb36d8f1fp-16, 0x1.054bc386a93abp-16, 0x1.08172976c84f3p-16, 0x1.0ad7e3777f8ffp-16, 0x1.0d8dd8bbd3401p-16, 0x1.1038f1392701bp-16, 0x1.12d915aa95e18p-16, 0x1.156e2f90a1a24p-16, 0x1.17f82930f40bfp-16, 0x1.1a76ed9838575p-16, 0x1.1cea6899afcfdp-16, 0x1.1f5286d0b4c7p-16, 0x1.21af359e25171p-16, 0x1.2400632b7da6fp-16, 0x1.2645fe68f5781p-16, 0x1.287ff70f13551p-16, 0x1.2aae3d9ece3f3p-16, 0x1.2cd0c3606b09bp-16, 0x1.2ee77a63bc7b7p-16, 0x1.30f2558014e5cp-16, 0x1.32f1485236ae1p-16, 0x1.34e4473e2f2ap-16, 0x1.36cb476eac91p-16, 0x1.38a63ed260925p-16, 0x1.3a75241d6956fp-16, 0x1.3c37eec779877p-16, 0x1.3dee970be0f1dp-16, 0x1.3f9915e7abe96p-16, 0x1.41376518a4e9fp-16, 0x1.42c97f1d9ed01p-16, 0x1.444f5f33c1d08p-16, 0x1.45c90156cb9ap-16, 0x1.4736623f6ed73p-16, 0x1.48977f6188e4fp-16, 0x1.49ec56eba0d71p-16, 0x1.4b34e7c4190e2p-16, 0x1.4c713189148e3p-16, 0x1.4da1348e2de32p-16, 0x1.4ec4f1dc15d9cp-16, 0x1.4fdc6b2ce4439p-16, 0x1.50e7a2ebeb4a4p-16, 0x1.51e69c340887cp-16, 0x1.52d95acc4c42cp-16, 0x1.53bfe328381f1p-16, 0x1.549a3a64419a5p-16, 0x1.55686644a9e39p-16, 0x1.562a6d3328801p-16, 0x1.56e0563d6857ep-16, 0x1.578a29129c043p-16, 0x1.5827ee00e3ff6p-16, 0x1.58b9adf4b80b2p-16, 0x1.593f7275493fdp-16, 0x1.59b945a1d91bp-16, 0x1.5a273231cfd5ap-16, 0x1.5a894370413c1p-16, 0x1.5adf853b3fbdcp-16, 0x1.5b2a03ff43ba1p-16, 0x1.5b68ccb808b79p-16, 0x1.5b9beceaecf5dp-16, 0x1.5bc372a63f71fp-16, 0x1.5bdf6c80399c2p-16, 0x1.5befe9917c74ep-16, 0x1.5bf4f97482988p-16, 0x1.5beeac435da01p-16, 0x1.5bdd12944b59ap-16, 0x1.5bc03d77439a4p-16, 0x1.5b983e73c6317p-16, 0x1.5b652787baadfp-16, 0x1.5b270b22c65f5p-16, 0x1.5addfc23bc9c9p-16, 0x1.5a8a0dd860cc2p-16, 0x1.5a2b53f8d373cp-16, 0x1.59c1e2a62149cp-16, 0x1.594dce662fcfep-16, 0x1.58cf2c23438c5p-16, 0x1.584611280ae87p-16, 0x1.57b2931c4a786p-16, 0x1.5714c80639bd6p-16, 0x1.566cc643fd928p-16, 0x1.55baa489a6675p-16, 0x1.54fe79e0c2b92p-16, 0x1.54385da406811p-16, 0x1.5368677c9c7e9p-16, 0x1.528eaf60a6deep-16, 0x1.51ab4d90ce7fap-16, 0x1.50be5a962e6d5p-16, 0x1.4fc7ef3e1c776p-16, 0x1.4ec82498586a7p-16, 0x1.4dbf13f60e6bdp-16, 0x1.4cacd6e5fb10dp-16, 0x1.4b918732528a3p-16, 0x1.4a6d3eddfaep-16, 0x1.49401822e949ep-16, 0x1.480a2d6ee9d85p-16, 0x1.46cb9961e8a01p-16, 0x1.458476ccfd736p-16, 0x1.4434e0addd45cp-16, 0x1.42dcf22cbdbcdp-16, 0x1.417cc69b41359p-16, 0x1.401479717af4dp-16, 0x1.3ea4264b5d44ap-16, 0x1.3d2be8e7091b6p-16, 0x1.3babdd22f9bc7p-16, 0x1.3a241efc6b6e5p-16, 0x1.3894ca8b81bb6p-16, 0x1.36fdfc01be028p-16, 0x1.355fcfa7be48dp-16, 0x1.33ba61dd36bd5p-16, 0x1.320dcf13ec371p-16, 0x1.305a33cf97626p-16, 0x1.2e9faca28863p-16, 0x1.2cde562d0be72p-16, 0x1.2b164d1a42ab6p-16, 0x1.2947ae20837a3p-16, 0x1.277295fda8557p-16, 0x1.25972174f2083p-16, 0x1.23b56d4d6edcep-16, 0x1.21cd9650aa1b5p-16, 0x1.1fdfb9484a6dp-16, 0x1.1debf2fcca007p-16, 0x1.1bf26033785e5p-16, 0x1.19f31dadcfa2cp-16, 0x1.17ee4826feb49p-16, 0x1.15e3fc51e6c7ap-16, 0x1.13d456d7d943fp-16, 0x1.11bf74560ff97p-16, 0x1.0fa5715efe5a9p-16, 0x1.0d866a75dcd08p-16, 0x1.0b627c0e46031p-16, 0x1.0939c289f7d3dp-16, }}, 
      {{0x1.b3ee0cb6d89d9p-2, 0x1.b439d3285c8a2p-2, 0x1.b4c446e97be36p-2, 0x1.b596b006bfee7p-2, 0x1.b6b65d49e053ap-2, 0x1.b823e466222bbp-2, 0x1.b9db799b47d8fp-2, 0x1.bbd5c78f42ap-2, 0x1.be08f0676a6e2p-2, 0x1.c0698878ad241p-2, 0x1.c2eb72adc47d8p-2, 0x1.c58294e054dd6p-2, 0x1.c823627edcf63p-2, 0x1.cac340409ec0fp-2, 0x1.cd58c5cbbd9ecp-2, 0x1.cfdbe2f957eb9p-2, 0x1.d245ee6206d9p-2, 0x1.d491a26ec3d66p-2, 0x1.d6bb0d87837e9p-2, 0x1.d8bf794459e5ap-2, 0x1.da9d4bd3ff7c8p-2, 0x1.dc53e62603e72p-2, 0x1.dde380d563202p-2, 0x1.df4d09533f98dp-2, 0x1.e09200690d41ep-2, 0x1.e1b45ad400af9p-2, 0x1.e2b6647705638p-2, 0x1.e39aa66ab7f11p-2, 0x1.e463d00978f8dp-2, 0x1.e514a2f6b98d3p-2, 0x1.e5afe20a1df28p-2, 0x1.e63842f7569d7p-2, 0x1.e6b0628154ba3p-2, 0x1.e71abb015cfccp-2, 0x1.e7799d079b3e6p-2, 0x1.e7cf29da64e05p-2, 0x1.e81d4f9a9f92cp-2, 0x1.e865c6d641296p-2, 0x1.e8aa11552fba9p-2, 0x1.e8eb79f0afa2ep-2, 0x1.e92b15499229fp-2, 0x1.e969c335979a6p-2, 0x1.e9a830c094821p-2, 0x1.e9e6daa1e8ccdp-2, 0x1.ea26100aa677fp-2, 0x1.ea65f5b443bb5p-2, 0x1.eaa6891b1138ep-2, 0x1.eae7a3d28c8cap-2, 0x1.eb28fee478e17p-2, 0x1.eb6a362e099e3p-2, 0x1.ebaacbb0979d4p-2, 0x1.ebea2acd4f2dbp-2, 0x1.ec27ab64f5e58p-2, 0x1.ec6294d65f513p-2, 0x1.ec9a20d77874ap-2, 0x1.eccd7e25f5345p-2, 0x1.ecfbd30d94ba2p-2, 0x1.ed243fc2c818p-2, 0x1.ed45e0914549p-2, 0x1.ed5fcfde8702ap-2, 0x1.ed712800d506dp-2, 0x1.ed7904ebba8a4p-2, 0x1.ed7685b331057p-2, 0x1.ed68cde6fb6dcp-2, 0x1.ed4f06c7e5aefp-2, 0x1.ed286058b631dp-2, 0x1.ecf4124cc2691p-2, 0x1.ecb15cd61f4aep-2, 0x1.ec5f895570494p-2, 0x1.ebfdeaed583bbp-2, 0x1.eb8bdefb8c9b4p-2, 0x1.eb08cd797b998p-2, 0x1.ea742946744b6p-2, 0x1.e9cd705d262dap-2, 0x1.e9142bf63d72ap-2, 0x1.e847f099d2965p-2, 0x1.e7685e214f79p-2, 0x1.e6751fab47505p-2, 0x1.e56deb82c2b41p-2, 0x1.e45282fb56617p-2, 0x1.e322b24348d84p-2, 0x1.e1de502d00d71p-2, 0x1.e0853df0d2ab1p-2, 0x1.df1766e837baep-2, 0x1.dd94c043622fbp-2, 0x1.dbfd48ba0dec9p-2, 0x1.da510838633eep-2, 0x1.d8900f889eb9fp-2, 0x1.d6ba77fa33e1ap-2, 0x1.d4d063070490ep-2, 0x1.d2d1f9f73abc4p-2, 0x1.d0bf6d8449d16p-2, 0x1.ce98f57b876abp-2, 0x1.cc5ed060c6a61p-2, 0x1.ca11431150b8fp-2, 0x1.c7b098679246dp-2, 0x1.c53d20dfbe21p-2, 0x1.c2b7323db1f6p-2, 0x1.c01f273448ec3p-2, 0x1.bd755f0e54021p-2, 0x1.baba3d59618b7p-2, 0x1.b7ee2992784dap-2, 0x1.b5118ed4dd17dp-2, 0x1.b224db8b06e9p-2, 0x1.af288121ced5p-2, 0x1.ac1cf3bdea9c9p-2, 0x1.a902a9f3c4003p-2, 0x1.a5da1c81b0c44p-2, 0x1.a2a3c60c8fcb1p-2, 0x1.9f6022ded6b4fp-2, 0x1.9c0fb0aa05071p-2, 0x1.98b2ee4a8302p-2, 0x1.954a5b8de6ep-2, 0x1.91d678fb9a53fp-2, 0x1.8e57c79fd69a4p-2, 0x1.8acec8d8f8e02p-2, 0x1.873bfe271820dp-2, 0x1.839fe8fdde3c4p-2, 0x1.7ffb0a9894008p-2, 0x1.7c4de3d052f53p-2, 0x1.7898f4f455de9p-2, 0x1.74dcbda458239p-2, 0x1.7119bcacf5933p-2, 0x1.6d506fe6037fap-2, 0x1.69815412cef49p-2, 0x1.65ace4c4365acp-2, 0x1.61d39c3c8eb45p-2, 0x1.5df5f3554b359p-2, 0x1.5a14616654c07p-2, 0x1.562f5c2f04124p-2, 0x1.524757c0b4859p-2, 0x1.4e5cc66ae002ap-2, 0x1.4a7018a8b8b16p-2, 0x1.4681bd102c2fp-2, 0x1.4292204250b9dp-2, 0x1.3ea1acdd217edp-2, 0x1.3ab0cb6e89272p-2, 0x1.36bfe268a4a8bp-2, 0x1.32cf56173c974p-2, 0x1.2edf88965ef8dp-2, 0x1.2af0d9ca1617ep-2, 0x1.2703a7572cefap-2, 0x1.23184c9cf7142p-2, 0x1.1f2f22b01188ap-2, 0x1.1b48805612d6ap-2, 0x1.1764ba0220484p-2, 0x1.138421d259524p-2, 0x1.0fa7078e192d2p-2, 0x1.0bcdb8a4fd05fp-2, 0x1.07f8802ea58aap-2, 0x1.0427a6eb320f2p-2, 0x1.005b734466c83p-2, 0x1.f928529ee71a5p-3, 0x1.f1a4159eb5626p-3, 0x1.ea2aae6fcf595p-3, 0x1.e2bc9762688c5p-3, 0x1.db5a463761966p-3, 0x1.d4042c29517ffp-3, 0x1.ccbab5f67bbbp-3, 0x1.c57e4beba207cp-3, 0x1.be4f51efac163p-3, 0x1.b72e27900a84ap-3, 0x1.b01b280dd5388p-3, 0x1.a916aa6b97e16p-3, 0x1.a221017bb322ep-3, 0x1.9b3a7bef5c13dp-3, 0x1.946364661c286p-3, 0x1.8d9c017dd5effp-3, 0x1.86e495e335219p-3, 0x1.803d606290217p-3, 0x1.79a69bf927a47p-3, 0x1.73207fe6b57ddp-3, 0x1.6cab3fbf56e77p-3, 0x1.66470b7daff72p-3, 0x1.5ff40f9556535p-3, 0x1.59b2750567017p-3, 0x1.5382616b51dcap-3, 0x1.4d63f715c91c7p-3, 0x1.47575517cde2bp-3, 0x1.415c975bd72ccp-3, 0x1.3b73d6b70fa36p-3, 0x1.359d28fc91a83p-3, 0x1.2fd8a110bce5ap-3, 0x1.2a264efc78849p-3, 0x1.248640008293dp-3, 0x1.1ef87ea8a5ed7p-3, 0x1.197d12deebb64p-3, 0x1.141401feb51d1p-3, 0x1.0ebd4ee7be3bcp-3, 0x1.0978fa11030ffp-3, 0x1.0447019b868b8p-3, 0x1.fe4ec2c9ececp-4, 0x1.f434263446a63p-4, 0x1.ea3e1c92a8713p-4, 0x1.e06c90e8cd7dbp-4, 0x1.d6bf6a4585ec3p-4, 0x1.cd368be631a58p-4, 0x1.c3d1d559d1a5bp-4, 0x1.ba9122a3aa725p-4, 0x1.b1744c5d66244p-4, 0x1.a87b27d8d3ed8p-4, 0x1.9fa587410ccf7p-4, 0x1.96f339bb2fd15p-4, 0x1.8e640b8692016p-4, 0x1.85f7c61c61051p-4, 0x1.7dae304ec64acp-4, 0x1.75870e6779739p-4, 0x1.6d822245c46a3p-4, 0x1.659f2b7bfa90cp-4, 0x1.5ddde76c5bfacp-4, 0x1.563e116566d06p-4, 0x1.4ebf62bd9545ep-4, 0x1.476192ee8609dp-4, 0x1.402457af900c9p-4, 0x1.3907650fbdee2p-4, 0x1.320a6d8f362cfp-4, 0x1.2b2d22380a749p-4, 0x1.246f32b66f1a1p-4, 0x1.1dd04d70611bfp-4, 0x1.17501f9caf628p-4, 0x1.10ee555972842p-4, 0x1.0aaa99c1ee792p-4, 0x1.04849703def4ap-4, 0x1.fcf7ece861bp-5, 0x1.f120c1465236dp-5, 0x1.e582fadff3657p-5, 0x1.da1de8378bacfp-5, 0x1.cef0d6b832c67p-5, 0x1.c3fb12d99aa76p-5, 0x1.b93be842ced21p-5, 0x1.aeb2a1ebd051ap-5, 0x1.a45e8a3e27047p-5, 0x1.9a3eeb3465bcbp-5, 0x1.90530e78997aap-5, 0x1.869a3d81bed7dp-5, 0x1.7d13c1b0266a1p-5, 0x1.73bee468e2286p-5, 0x1.6a9aef30335f5p-5, 0x1.61a72bc2ff8a4p-5, 0x1.58e2e42f5429cp-5, 0x1.504d62ebf8e23p-5, 0x1.47e5f2ef16381p-5, 0x1.3fabdfc3f5d79p-5, 0x1.379e759fe1adep-5, 0x1.2fbd01761df55p-5, 0x1.2806d10b12434p-5, 0x1.207b330697bdp-5, 0x1.1919770574312p-5, 0x1.11e0edaa0e0cfp-5, 0x1.0ad0e8ac554d4p-5, 0x1.03e8bae8e767fp-5, 0x1.fa4f70dee6e71p-6, 0x1.ed1a6d20d454cp-6, 0x1.e03117d3dd0c4p-6, 0x1.d39220e833352p-6, 0x1.c73c3b191fd82p-6, 0x1.bb2e1c02e000ep-6, 0x1.af667c3729106p-6, 0x1.a3e417508366bp-6, 0x1.98a5ac0456ccap-6, 0x1.8da9fc33d9deap-6, 0x1.82efccfbca704p-6, 0x1.7875e6c30f46bp-6, 0x1.6e3b154846aeep-6, 0x1.643e27ae4086ep-6, 0x1.5a7df0877119dp-6, 0x1.50f945e06b949p-6, 0x1.47af01496798cp-6, 0x1.3e9dffdecb97ep-6, 0x1.35c52250df266p-6, 0x1.2d234cea9517bp-6, 0x1.24b7679783e6bp-6, 0x1.1c805de906164p-6, 0x1.147d1f1a97a5dp-6, 0x1.0cac9e156f322p-6, 0x1.050dd17356fa3p-6, 0x1.fb3f6701ba03fp-7, 0x1.ecc2847d94461p-7, 0x1.dea2fec5ed206p-7, 0x1.d0dee0b0f62edp-7, 0x1.c3743c7e91f95p-7, 0x1.b6612bd66a2f5p-7, 0x1.a9a3cfc4cedc1p-7, 0x1.9d3a50b68a344p-7, 0x1.9122de73c2515p-7, 0x1.855bb019cf874p-7, 0x1.79e304142919bp-7, 0x1.6eb720146df2ap-7, 0x1.63d651098ac2dp-7, 0x1.593eeb161f52dp-7, 0x1.4eef498614f17p-7, 0x1.44e5cec381298p-7, 0x1.3b20e44ac3b79p-7, 0x1.319efa9e16ea6p-7, 0x1.285e89385eebfp-7, 0x1.1f5e0e7f81d66p-7, 0x1.169c0fb628e97p-7, 0x1.0e1718ece48c8p-7, 0x1.05cdbcf2e96edp-7, 0x1.fb7d2a8c96f36p-8, 0x1.ebd08407b0253p-8, 0x1.dc92d3acfeb47p-8, 0x1.cdc173cca2aadp-8, 0x1.bf59cb8e5ba49p-8, 0x1.b1594ece4ea33p-8, 0x1.a3bd7df908404p-8, 0x1.9683e5e735f92p-8, 0x1.89aa1fb895a96p-8, 0x1.7d2dd0ae91fcap-8, 0x1.710caa067822ap-8, 0x1.654468d3428e2p-8, 0x1.59d2d5d72c882p-8, 0x1.4eb5c55cd76cbp-8, 0x1.43eb17103b44cp-8, 0x1.3970b5d764b5cp-8, 0x1.2f4497aafe96dp-8, 0x1.2564bd6ebb6ebp-8, 0x1.1bcf32c9c32b1p-8, 0x1.12820dfec82dcp-8, 0x1.097b6fc4348e9p-8, 0x1.00b9831c5b964p-8, 0x1.f074fa5b1f475p-9, 0x1.dff93a34e5c9cp-9, 0x1.cffc57b444221p-9, 0x1.c07af82114f4cp-9, 0x1.b171d3cdacba9p-9, 0x1.a2ddb5c7f82c9p-9, 0x1.94bb7b8ae6afdp-9, 0x1.870814b05bdc7p-9, 0x1.79c082a335498p-9, 0x1.6ce1d851c6902p-9, 0x1.606939e0f01f1p-9, 0x1.5453dc5f98022p-9, 0x1.489f057a92201p-9, 0x1.3d480b316916dp-9, 0x1.324c538b64743p-9, 0x1.27a9544d09a79p-9, 0x1.1d5c92aeb4bd1p-9, 0x1.1363a3135d016p-9, 0x1.09bc28c055495p-9, 0x1.0063d595a167dp-9, 0x1.eeb0d38e1857p-10, 0x1.dd2f672b8fb09p-10, 0x1.cc3f1e15dc3dap-10, 0x1.bbdbcb65933aap-10, 0x1.ac015cb1a70a5p-10, 0x1.9cabd988fa14p-10, 0x1.8dd762ede8e96p-10, 0x1.7f8032d26128dp-10, 0x1.71a29b96c4721p-10, 0x1.643b0789c9cf5p-10, 0x1.5745f86a1637cp-10, 0x1.4ac006e9af13ap-10, 0x1.3ea5e2331f58bp-10, 0x1.32f44f70331ap-10, 0x1.27a829521ec26p-10, 0x1.1cbe5f9bdee2dp-10, 0x1.1233f6ade6658p-10, 0x1.08060713c9a92p-10, 0x1.fc637a26dc505p-11, 0x1.e968b07c82c86p-11, 0x1.d71656076adadp-11, 0x1.c567348b3a527p-11, 0x1.b45639dcfa914p-11, 0x1.a3de77125132p-11, 0x1.93fb1fb50183ep-11, 0x1.84a788f96387p-11, 0x1.75df28f809d6dp-11, 0x1.679d95eb078b7p-11, 0x1.59de856eb8931p-11, 0x1.4c9dcbc55dc5bp-11, 0x1.3fd75b1e55c98p-11, 0x1.338742e0ba428p-11, 0x1.27a9aef962e09p-11, 0x1.1c3ae72bb072dp-11, 0x1.11374e65b8388p-11, 0x1.069b6217b790fp-11, 0x1.f8c7731d26093p-12, 0x1.e51a0aa3e3c9dp-12, 0x1.d2281d08ebcfp-12, 0x1.bfeb6c9013af2p-12, 0x1.ae5dea497e33cp-12, 0x1.9d79b4e59b048p-12, 0x1.8d39178e92c68p-12, 0x1.7d9688c810305p-12, 0x1.6e8ca954cc0b8p-12, 0x1.60164321f4022p-12, 0x1.522e48383cef7p-12, 0x1.44cfd1b1e4e5dp-12, 0x1.37f61eb77aa48p-12, 0x1.2b9c9380fb303p-12, 0x1.1fbeb85cd33a4p-12, 0x1.145838bbcee33p-12, 0x1.0964e24310dfep-12, 0x1.fdc147c4c4eabp-13, 0x1.e98f19e0459cep-13, 0x1.d62b9893d0a87p-13, 0x1.c38f5ef48bf3ap-13, 0x1.b1b343c6610f9p-13, 0x1.a09057da8ee7bp-13, 0x1.901fe47892a95p-13, 0x1.805b69ce02affp-13, 0x1.713c9d6a43123p-13, 0x1.62bd68c19e97bp-13, 0x1.54d7e7b9eef0cp-13, 0x1.4786673ed3ad7p-13, 0x1.3ac363df8c468p-13, 0x1.2e89887457e3fp-13, 0x1.22d3accdb2c1ap-13, 0x1.179cd46934bb5p-13, 0x1.0ce02d305dacfp-13, 0x1.02990e3dee10bp-13, 0x1.f185ed58db2ecp-14, 0x1.deb318d4224e7p-14, 0x1.ccb1362cdab71p-14, 0x1.bb7825c977e8cp-14, 0x1.ab000f0e13cb1p-14, 0x1.9b415e4137903p-14, 0x1.8c34c27bc8a2dp-14, 0x1.7dd32ba66fdfap-14, 0x1.7015c8875b2dp-14, 0x1.62f604d8338cep-14, 0x1.566d876c62057p-14, 0x1.4a7630634a433p-14, 0x1.3f0a1762b75ecp-14, 0x1.342389e1ac8c4p-14, 0x1.29bd097d03048p-14, 0x1.1fd14a57b0323p-14, 0x1.165b3184aafaap-14, 0x1.0d55d37e45616p-14, 0x1.04bc72a5737d9p-14, 0x1.f914fb9941e23p-15, 0x1.e9771d9d67e41p-15, 0x1.da96d2579450fp-15, 0x1.cc6bf165133fep-15, 0x1.beeea0657becap-15, 0x1.b217506f945f2p-15, 0x1.a5debb9cdd592p-15, 0x1.9a3de2a2d03a5p-15, 0x1.8f2e0a7fa7218p-15, 0x1.84a8ba3455ac3p-15, 0x1.7aa7b89553c7bp-15, 0x1.71250a2797861p-15, 0x1.681aef0ce10acp-15, 0x1.5f83e0ff853cfp-15, 0x1.575a915f209d3p-15, 0x1.4f99e749e816fp-15, 0x1.483cfdc5b4657p-15, 0x1.413f21f7faafdp-15, 0x1.3a9bd165f7769p-15, 0x1.344eb84849144p-15, 0x1.2e53afe79d616p-15, 0x1.28a6bd096e979p-15, 0x1.23440e6559909p-15, 0x1.1e27fb27a1651p-15, 0x1.194f0180d4e56p-15, 0x1.14b5c53daa591p-15, 0x1.10590e6cb198dp-15, 0x1.0c35c8114081p-15, 0x1.0848fed86690fp-15, 0x1.048fdfe0ac8c2p-15, 0x1.0107b786980a3p-15, 0x1.fb5be07a6e42fp-16, 0x1.f50022e0574d9p-16, 0x1.eef77cdb40a6ap-16, 0x1.e93d6ab32b04p-16, 0x1.e3cd9c52f7401p-16, 0x1.dea3f352ac689p-16, 0x1.d9bc81109ec4dp-16, 0x1.d51384dd9df39p-16, 0x1.d0a56a3340109p-16, 0x1.cc6ec6facd4b1p-16, 0x1.c86c59e629688p-16, 0x1.c49b08d3ca41fp-16, 0x1.c0f7df409c636p-16, 0x1.bd800ccc1dcb1p-16, 0x1.ba30e3c0490a3p-16, 0x1.b707d7af834dp-16, 0x1.b4027c1671d39p-16, 0x1.b11e8313b0738p-16, 0x1.ae59bc231a83p-16, 0x1.abb212e73db46p-16, 0x1.a9258dfcae29bp-16, 0x1.a6b24dd8230fcp-16, 0x1.a4568bb0665c9p-16, 0x1.a210986e084aep-16, 0x1.9fdedbaf13f88p-16, 0x1.9dbfd2c6643d5p-16, 0x1.9bb20fcc0fd95p-16, 0x1.99b438b5a53b9p-16, 0x1.97c50677935cdp-16, 0x1.95e3442c6d66bp-16, 0x1.940dce46aa8p-16, 0x1.924391c81e874p-16, 0x1.90838b82710abp-16, 0x1.8eccc75b75347p-16, 0x1.8d1e5f9c9a39ap-16, 0x1.8b777c4bf9fe2p-16, 0x1.89d752843d677p-16, 0x1.883d23d6135cap-16, 0x1.86a83db1e93a2p-16, 0x1.8517f8d608cefp-16, 0x1.838bb8c1896b5p-16, 0x1.8202eb2e6c3e1p-16, 0x1.807d07910360ap-16, 0x1.7ef98e9bf3074p-16, 0x1.7d7809c69dabp-16, 0x1.7bf80adc98877p-16, 0x1.7a792b92de122p-16, 0x1.78fb0d1c1b4d7p-16, 0x1.777d57c6338d3p-16, 0x1.75ffba9845371p-16, 0x1.7481eaf8ec5bcp-16, 0x1.7303a453e83ap-16, 0x1.7184a7c7099b8p-16, 0x1.7004bbcfa39e8p-16, 0x1.6e83ac00fce6p-16, 0x1.6d0148b7289d4p-16, 0x1.6b7d66d08e213p-16, 0x1.69f7df6dc53c5p-16, 0x1.68708fae44dbep-16, 0x1.66e7587409e9bp-16, 0x1.655c1e29a5859p-16, 0x1.63cec88aa2c35p-16, 0x1.623f426e0a487p-16, 0x1.60ad7993b8a6dp-16, 0x1.5f195e729d762p-16, 0x1.5d82e40cae508p-16, 0x1.5be9ffc293311p-16, 0x1.5a4ea929b7503p-16, 0x1.58b0d9e61ed95p-16, 0x1.57108d84ccbe9p-16, 0x1.556dc155d43d7p-16, 0x1.53c8744daa97bp-16, 0x1.5220a6e2d2ee6p-16, 0x1.50765af19812bp-16, 0x1.4ec9939f237c7p-16, 0x1.4d1a553d773c8p-16, 0x1.4b68a53159218p-16, 0x1.49b489da7d99dp-16, 0x1.47fe0a7c76954p-16, 0x1.46452f295376cp-16, 0x1.448a00aebd4cp-16, 0x1.42cc8881923a7p-16, 0x1.410cd0aaf4055p-16, 0x1.3f4ae3b9402ep-16, 0x1.3d86ccae81b81p-16, 0x1.3bc096f2a8808p-16, 0x1.39f84e459b1c5p-16, 0x1.382dfeb30d3cbp-16, 0x1.3661b48400b7bp-16, 0x1.34937c3490b92p-16, 0x1.32c362699a5dap-16, 0x1.30f173e604be2p-16, 0x1.2f1dbd82f2c8p-16, 0x1.2d484c27bfc2p-16, 0x1.2b712cc0a6fcbp-16, 0x1.29986c37f577dp-16, 0x1.27be1770b182cp-16, 0x1.25e23b3eacdffp-16, 0x1.2404e4622e5c3p-16, 0x1.22261f8320e74p-16, 0x1.2045f92c5e0d7p-16, 0x1.1e647dc690ae9p-16, 0x1.1c81b9950c816p-16, 0x1.1a9db8b30062p-16, 0x1.18b8870f99b08p-16, 0x1.16d2306c366d6p-16, 0x1.14eac05ab146ep-16, 0x1.130242397dc2ap-16, 0x1.1118c133e1e36p-16, 0x1.0f2e4840107dbp-16, 0x1.0d42e21d466f2p-16, 0x1.0b5699537e3c3p-16, 0x1.0969783346459p-16, 0x1.077b88d4aaa3bp-16, 0x1.058cd5164d201p-16, 0x1.039d669e48e8fp-16, 0x1.01ad46da287b1p-16, 0x1.ff78fdfe1d683p-17, 0x1.fb96301353b44p-17, 0x1.f7b2357f1987ap-17, 0x1.f3cd1f5ea5bf1p-17, 0x1.efe6fe6181414p-17, 0x1.ebffe2ced1ad3p-17, 0x1.e817dc833a0ap-17, 0x1.e42efaf558d0dp-17, 0x1.e0454d3711f3p-17, 0x1.dc5ae1f8ee1ap-17, 0x1.d86fc78ad8e2fp-17, 0x1.d4840bdeac45p-17, 0x1.d097bc8c49ba2p-17, 0x1.ccaae6d4bb86bp-17, 0x1.c8bd97a302cf6p-17, 0x1.c4cfdb8fee769p-17, 0x1.c0e1bee5d97a5p-17, 0x1.bcf34da1c84dp-17, 0x1.b904937773952p-17, 0x1.b5159bd5263f2p-17, 0x1.b12671e4a4132p-17, 0x1.ad37208f416cap-17, 0x1.a947b2812e4d8p-17, 0x1.a558322ca04b1p-17, 0x1.a168a9cb8a1b9p-17, 0x1.9d7923624b04p-17, 0x1.9989a8c41a25ep-17, 0x1.959a4395d712dp-17, 0x1.91aafd4fce521p-17, 0x1.8dbbdf403c216p-17, 0x1.89ccf28f659dcp-17, 0x1.85de404204755p-17, 0x1.81efd13a03b1cp-17, 0x1.7e01ae3c47c8ap-17, 0x1.7a13dfeff3419p-17, 0x1.76266ee2929b4p-17, 0x1.723963898d3abp-17, 0x1.6e4cc6462613dp-17, 0x1.6a609f668a995p-17, 0x1.6674f72743acp-17, 0x1.6289d5b61326ap-17, 0x1.5e9f433493717p-17, 0x1.5ab547b978e2fp-17, 0x1.56cbeb5254d42p-17, 0x1.52e336048a9fbp-17, 0x1.4efb2fd1caefp-17, 0x1.4b13e0b76eb71p-17, 0x1.472d50affd573p-17, 0x1.434787b6d4c51p-17, 0x1.3f628dc69a7edp-17, 0x1.3b7e6adc33761p-17, 0x1.379b26f76bab8p-17, 0x1.33b8ca1d9bf48p-17, 0x1.2fd75c5a112b3p-17, 0x1.2bf6e5be3a961p-17, 0x1.28176e63d77ccp-17, 0x1.2438fe6cd063ep-17, 0x1.205b9e052a68dp-17, 0x1.1c7f55630b94bp-17, 0x1.18a42cc6c235cp-17, 0x1.14ca2c7da6be2p-17, 0x1.10f15ce1be60dp-17, 0x1.0d19c658d8f3dp-17, 0x1.094371579d2dap-17, 0x1.056e665f7ecd8p-17, 0x1.019aae003d61p-17, 0x1.fb90a1af0c9aap-18, 0x1.f3eeaf2357ab9p-18, 0x1.ec4f95d793cd1p-18, 0x1.e4b3676206ad8p-18, 0x1.dd1a3577f33bep-18, 0x1.d58411ed583a7p-18, 0x1.cdf10eb3a22f5p-18, 0x1.c6613ddb7c4fp-18, 0x1.bed4b192a8865p-18, 0x1.b74b7c24d9f5p-18, 0x1.afc5affdade87p-18, 0x1.a8435fa531838p-18, 0x1.a0c49dbf24171p-18, 0x1.99497d0d9fee9p-18, 0x1.91d2106c40e7cp-18, 0x1.8a5e6ad1c9d6ep-18, 0x1.82ee9f4e2d90cp-18, 0x1.7b82c109669dcp-18, 0x1.741ae348aad94p-18, 0x1.6cb719661bba9p-18, 0x1.655776d2141a4p-18, 0x1.5dfc0f13034d1p-18, 0x1.56a4f5c26539bp-18, 0x1.4f523e8cd155ap-18, 0x1.4803fd302a047p-18, 0x1.40ba457a64ba8p-18, 0x1.39752b4c57ae5p-18, 0x1.3234c2921915dp-18, 0x1.2af91f4541573p-18, 0x1.23c2556a9b023p-18, 0x1.1c907911f2aep-18, 0x1.15639e5136ef6p-18, 0x1.0e3bd946ed43dp-18, 0x1.07193e146fc56p-18, 0x1.fff7c1c33635p-19, 0x1.f1c7abb6f1d07p-19, 0x1.e3a2625ae2f02p-19, 0x1.d5880e0788c4dp-19, 0x1.c778d70eea538p-19, 0x1.b974e5bd12f8fp-19, 0x1.ab7c62516098ap-19, 0x1.9d8f74fe7e6cap-19, 0x1.8fae45e703c0dp-19, 0x1.81d8fd1fc929dp-19, 0x1.740fc2a14d048p-19, 0x1.6652be4b6c59fp-19, 0x1.58a217e146413p-19, 0x1.4afdf7087ac23p-19, 0x1.3d66833f58e39p-19, 0x1.2fdbe3ddf35e6p-19, 0x1.225e4013bcfddp-19, 0x1.14edbee21e3c2p-19, 0x1.078a8722e1e71p-19, 0x1.f4697ef3e71a2p-20, 0x1.d9d91cab8b0bep-20, 0x1.bf6433d708eb3p-20, 0x1.a50b1068c964ep-20, 0x1.8acdfdd6fd442p-20, 0x1.70ad4716d75ap-20, 0x1.56a9368f30ec7p-20, 0x1.3cc2162b80aa4p-20, 0x1.22f82f3c15f5cp-20, 0x1.094bca7704348p-20, 0x1.df7a5fe7f0b7p-21, 0x1.ac994e5ea9213p-21, 0x1.79f4edf774bb9p-21, 0x1.478dcaf26c162p-21, 0x1.1564702f50048p-21, 0x1.c6f2ce40047bp-22, 0x1.639a6f88a10dep-22, 0x1.00c0d158d5552p-22, 0x1.3ccdfb6feb1efp-23, 0x1.e46fdbed91b5bp-25, -0x1.26498ddb2fc0ap-25, -0x1.0b3b133dcbf86p-23, -0x1.cbdc1e5dbce12p-23, -0x1.45b9c8c8d572cp-22, -0x1.a4ffc05ae8584p-22, -0x1.01df818d58211p-21, -0x1.30fb50f6515e7p-21, -0x1.5fd2d8ac4a704p-21, -0x1.8e65a4d51a2bap-21, -0x1.bcb34360a3d0ap-21, -0x1.eabb4427886e7p-21, -0x1.0c3e9c79cf6bbp-20, -0x1.22fc5ac344239p-20, -0x1.3996a7c514182p-20, -0x1.500d4f5b26d45p-20, -0x1.66601e53a6883p-20, -0x1.7c8ee2814a82dp-20, -0x1.92996abe02e0cp-20, -0x1.a87f86ef2d607p-20, -0x1.be41080473ffcp-20, -0x1.d3ddbff88d863p-20, -0x1.e95581d28740ap-20, -0x1.fea821aeaea36p-20, -0x1.09eaba592c216p-19, -0x1.146ea889c2bep-19, -0x1.1edfc7101f037p-19, -0x1.293e021ffbd5dp-19, -0x1.33894678664d7p-19, -0x1.3dc181612d1fbp-19, -0x1.47e6a0b00f0f1p-19, -0x1.51f892ca1e048p-19, -0x1.5bf746a10ec42p-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      42, 0x1.399999999999ap+2, 0x1.118f72f79c965p+1, 0x1.065890352b791p+2, -0x1.4e6b413c15fe6p-5, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c6b251ffb2f9fp-4, -0x1.4c486acac777cp-2, 0x1.63136b8f8aa8cp-2, -0x1.1356d3312e94dp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.87b8cf32ff97bp-4, -0x1.29ceccfcedef9p-2, 0x1.4e6ce88573f71p-2, -0x1.11a72b3a86d67p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.4f6faa1db34edp-4, -0x1.0964377f7bce3p-2, 0x1.39e6c54776a7p-2, -0x1.10382d0165c23p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.1d6dc96d0bc55p-4, -0x1.d60b573cd8528p-3, 0x1.257c284dc2386p-2, -0x1.0eb7db987cfep-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.e2954bf4e7e88p-5, -0x1.9d60b02f13b28p-3, 0x1.112e5e3bec0bcp-2, -0x1.0d3c2d31251bp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.953c95970849dp-5, -0x1.68c2bef4bdba1p-3, 0x1.f9fa1c16df53dp-3, -0x1.0bbf45f359e7p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.5202aa2403e3dp-5, -0x1.382bcf3b51aadp-3, 0x1.d1d09e6591d75p-3, -0x1.0a429f0dc604ep-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.1819e857c0909p-5, -0x1.0b962ad32f72fp-3, 0x1.a9e039bd1a89fp-3, -0x1.08c62f9dc94eep-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.cd6ba68cfd94cp-6, -0x1.c5f838e57a0c6p-4, 0x1.8228e5cbd5f1p-3, -0x1.0748a1ff3996ap-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.7a1624b9b360ep-6, -0x1.7cafda2ac72a1p-4, 0x1.5aaacd7f26e76p-3, -0x1.05cf55a55bf6ep-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.349ee2bf8e064p-6, -0x1.3b47d778f2af1p-4, 0x1.33654d7325e8fp-3, -0x1.044622674d3a9p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f6e781b25c971p-7, -0x1.01b4a2193a56dp-4, 0x1.0c5ac84a0d864p-3, -0x1.02f849754cd81p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.9a09cfe3d47dfp-7, -0x1.9fd6a45d79417p-5, 0x1.cb04adbdb7328p-4, -0x1.00ccee374667ap-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.4f89934b9a63p-7, -0x1.4bbd225d075ddp-5, 0x1.7dfa6646bbac7p-4, -0x1.01dc41dd429b9p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.145040832f7a6p-7, -0x1.071438d814789p-5, 0x1.309eb8eac14aep-4, -0x1.dab868a677bffp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.caa1779e5f48fp-8, -0x1.a28d3519cfdbcp-6, 0x1.d2d2ec09f8431p-5, -0x1.868e8b0002944p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.7f79cc93c6f5cp-8, -0x1.50e74c9f7f8ffp-6, 0x1.5da828bd2aaf8p-5, -0x1.38fb0bb93f0dp-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.4276561ba472bp-8, -0x1.145c8f11247p-6, 0x1.ff867da4c924bp-6, -0x1.d2670b5bbb087p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.0fd6bafee3d91p-8, -0x1.d068fdaa7abc1p-7, 0x1.739ac709443bp-6, -0x1.374b78aa8309p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.c99ae5349dd2p-9, -0x1.8f6d945bd24dp-7, 0x1.16375609501fp-6, -0x1.1d941bd8b6762p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.7eff89bd1a0bap-9, -0x1.5c1188b068dadp-7, 0x1.d6c23d519cb4bp-7, -0x1.f1045e946487cp-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3df7c3b9f5769p-9, -0x1.2edb3f1267a3dp-7, 0x1.b17b83067b909p-7, -0x1.14e54d9f7b4e5p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.0597c9a9d8d27p-9, -0x1.0595bc26caedbp-7, 0x1.87f2b761c2ab7p-7, -0x1.f968fe7f439cbp-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.aa235d03c3b09p-10, -0x1.c0921d3725d42p-8, 0x1.620ad77e9d98fp-7, -0x1.e53488a0cd1cfp-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5743218ea48d3p-10, -0x1.7d66bd6197355p-8, 0x1.3da6e6d8f49d7p-7, -0x1.c97350a79edf2p-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.111b351f1fbb2p-10, -0x1.414d43a818c2p-8, 0x1.1b57da65fbe67p-7, -0x1.afb7fa381d5aap-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.ac98060091871p-11, -0x1.0bdefe5566994p-8, 0x1.f5edb5a9f365fp-8, -0x1.9571dfbc9c868p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4b141b3af669p-11, -0x1.b9702735e16b8p-9, 0x1.b91ca0e74250dp-8, -0x1.7b50f3e768d68p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f677ba096a9ap-12, -0x1.66e7cd3f94737p-9, 0x1.8036e2b7bf641p-8, -0x1.6126118504fffp-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7591596b4ad62p-12, -0x1.1f5c1d9b8bb04p-9, 0x1.4b3df9b0983dep-8, -0x1.46fddab11210cp-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.0f3833cc5c167p-12, -0x1.c408563853583p-10, 0x1.1a317f493beecp-8, -0x1.2cd4ec308d99cp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7eff89bd1a0b7p-13, -0x1.5c2e2026ba804p-10, 0x1.da231e1d80963p-9, -0x1.12ac30d3dd159p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.0597c9a9d8d14p-13, -0x1.0597c9ac4dcfbp-10, 0x1.87bc42aabe41ap-9, -0x1.f106c128dcacap-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5743218ea48a8p-14, -0x1.7d6708b6d1059p-11, 0x1.3d2e727e36c19p-9, -0x1.bcb5617842e6cp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.ac98060091848p-15, -0x1.0bdf043db2e35p-11, 0x1.f4f347bebfd82p-10, -0x1.8863285425046p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.f677ba096a9ap-16, -0x1.66e7ca5d1b43p-12, 0x1.7f3beed8b4bd9p-10, -0x1.5414142fcb9eap-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.0f3833cc5c06p-16, -0x1.c40871ac2f024p-13, 0x1.1935e8ca5e0e6p-10, -0x1.1fb9457fd30e8p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.0597c9a9d8ep-17, -0x1.0597639ebfa45p-13, 0x1.85c974ae70aafp-11, -0x1.d71477fd93b9bp-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.ac98060090dffp-19, -0x1.0be1fd69f9705p-14, 0x1.f0ed07c4bbe78p-12, -0x1.6d6fb09aa054ap-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0f3833cc5affep-20, -0x1.c3dbec1380f45p-16, 0x1.15aa0434c21cp-12, -0x1.088e305ddb009p-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.ac98060094p-23, -0x1.0d2a887c1f53cp-17, 0x1.dbb936582e0a5p-14, -0x1.23cc8fd2582f2p-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ac9805ffc0001p-27, -0x1.ca6a20b2f109p-21, 0x1.f6422708aa8p-16, -0x1.8682dfdf8c9d2p-11}, 
      }}, 
      0x1.6f75affc5f86fp-7, -0x1.1b2ec1b8acc1ep-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      {{0x1.403b7d201f5fep-4, 0x1.dc84760fb6f76p-4, 0x1.3a351b599c13cp-3, 0x1.83611649ab36p-3, 0x1.c948b67a8f63dp-3, 0x1.05c32ddf05e5ep-2, 0x1.24e592ea60133p-2, 0x1.41ee9aae556dfp-2, 0x1.5ccac9739e9b1p-2, 0x1.756efb9047c4fp-2, 0x1.8bd742e3eedecp-2, 0x1.a005dc0dae348p-2, 0x1.b2022d88681d9p-2, 0x1.c1d7e048976e9p-2, 0x1.cf96137a23719p-2, 0x1.db4ea68405c5p-2, 0x1.e5159c5aada97p-2, 0x1.ed009356678e1p-2, 0x1.f32651d1ba401p-2, 0x1.f79e637217bf9p-2, 0x1.fa80c57afb9cfp-2, 0x1.fbe5a0a87647cp-2, 0x1.fbe50d5d625b8p-2, 0x1.fa96e2c11fe06p-2, 0x1.f8128d8bf190bp-2, 0x1.f46eef129921ap-2, 0x1.efc2423bc8e4dp-2, 0x1.ea22067995dcap-2, 0x1.e3a2ef5f7a55ap-2, 0x1.dc58d8a590017p-2, 0x1.d456bd7a10144p-2, 0x1.cbaeb3c477bdcp-2, 0x1.c271e9dafcb1ep-2, 0x1.b8b0a6d2f94b7p-2, 0x1.ae7a4cbfb4abcp-2, 0x1.a3dd5cd68a385p-2, 0x1.98e77c77a58bfp-2, 0x1.8da57b298413dp-2, 0x1.82235a22dc7f4p-2, 0x1.766c53236c0a1p-2, 0x1.6a8ae20fc5074p-2, 0x1.5e88c9f96c7d2p-2, 0x1.526f209492ffap-2, 0x1.4646551b59b6p-2, 0x1.3a1638c2b8e87p-2, 0x1.2de606851a7a2p-2, 0x1.21bc6bc175965p-2, 0x1.159f8f540c305p-2, 0x1.0995194ac5953p-2, 0x1.fb4472087ab4cp-3, 0x1.e39759bbe611dp-3, 0x1.cc2b9095e068cp-3, 0x1.b508f18f3aa24p-3, 0x1.9e36995572189p-3, 0x1.87baef2d37147p-3, 0x1.719baf6b216c4p-3, 0x1.5bddf489443d8p-3, 0x1.4686400a35b6ep-3, 0x1.319882feac11ap-3, 0x1.1d1825d0c9ba1p-3, 0x1.09081094706c6p-3, 0x1.ead5646e02e6ep-4, 0x1.c484108fa3012p-4, 0x1.9f1f4bdb538e4p-4, 0x1.7aa9733dabcfp-4, 0x1.57242db1f44d4p-4, 0x1.349072c6bbf5ap-4, 0x1.12ee99d126de2p-4, 0x1.e47cccc347184p-5, 0x1.a4fe220d03a7bp-5, 0x1.675ea76ab0e38p-5, 0x1.2b9ae7ada430dp-5, 0x1.e35d2aaa2a271p-6, 0x1.732944163fc53p-6, 0x1.068e8ec8d2d72p-6, 0x1.3b008091efa47p-7, 0x1.bf83408c0c848p-9, -0x1.517f89ce5424ap-9, -0x1.11e1540ba1db3p-7, -0x1.c8c4dd51c1926p-7, -0x1.3c969d6bc6375p-6, -0x1.919f2cbc9ce41p-6, -0x1.e38e93ec7e63ep-6, -0x1.193bd9cd8bf08p-5, -0x1.3f36e0ad45109p-5, -0x1.63c21794c0674p-5, -0x1.86e750b777608p-5, -0x1.a8b0699aca3e6p-5, -0x1.c92746093d6ebp-5, -0x1.e855c7c251b51p-5, -0x1.0322e2871456fp-4, -0x1.118083b411b35p-4, -0x1.1f48a034b3a41p-4, -0x1.2c80036f49d37p-4, -0x1.392b68c21c5b8p-4, -0x1.454f7905f912fp-4, -0x1.50f0c936bfea3p-4, -0x1.5c13d7f594094p-4, -0x1.66bd0c18f8bf7p-4, -0x1.70f0b43d4558fp-4, -0x1.7ab3048362898p-4, -0x1.8408163724b65p-4, -0x1.8cf3e6bb0e031p-4, -0x1.957a57151607ap-4, -0x1.9d9f2b1837a32p-4, -0x1.a56609b0b3083p-4, -0x1.acd27b786d641p-4, -0x1.b3e7ebc887952p-4, -0x1.baa9a7db73b9p-4, -0x1.c11adf711659ap-4, -0x1.c73ea4968e42cp-4, -0x1.cd17ebe20f4cbp-4, -0x1.d2a98ddb09402p-4, -0x1.d7f6455354dfap-4, -0x1.dd00b1abd5903p-4, -0x1.e1cb56ca9412cp-4, -0x1.e6589d7294d93p-4, -0x1.eaaad410bb20ep-4, -0x1.eec42f3033de8p-4, -0x1.f2a6ca785813p-4, -0x1.f654a8e7308aep-4, -0x1.f9cfb5ffce34fp-4, -0x1.fd19c6079ba4ep-4, -0x1.001a4b9faefb3p-3, -0x1.0190e94b8160ep-3, -0x1.02f185765743bp-3, -0x1.043ce0fc5b965p-3, -0x1.0573b2316435ep-3, -0x1.0696a5f06af6ap-3, -0x1.07a660f9af968p-3, -0x1.08a37eea500b7p-3, -0x1.098e95016c6fep-3, -0x1.0a682e64f4814p-3, -0x1.0b30d0731e15fp-3, -0x1.0be8f92500adbp-3, -0x1.0c911fe92aabep-3, -0x1.0d29b5ccbebedp-3, -0x1.0db325d3dc38ap-3, -0x1.0e2dd5633b9cap-3, -0x1.0e9a2400cffcbp-3, -0x1.0ef86e3755335p-3, -0x1.0f49088b17fdcp-3, -0x1.0f8c45544d9c5p-3, -0x1.0fc2719746cbbp-3, -0x1.0febd732df266p-3, -0x1.1008bbb49a9a8p-3, -0x1.1019615f619e4p-3, -0x1.101e072dc3f8p-3, -0x1.1016e8a88fb1bp-3, -0x1.10044085062acp-3, -0x1.0fe643a0ada32p-3, -0x1.0fbd26eebd54p-3, -0x1.0f891c355070ap-3, -0x1.0f4a53653bc6p-3, -0x1.0f00fa762b171p-3, -0x1.0ead3dc232b33p-3, -0x1.0e4f48f776625p-3, -0x1.0de742ec787acp-3, -0x1.0d75565e74b86p-3, -0x1.0cf9a8e50562ap-3, -0x1.0c7460b6cd788p-3, -0x1.0be5a38e3774fp-3, -0x1.0b4d94d59a304p-3, -0x1.0aac586715b82p-3, -0x1.0a021159379edp-3, -0x1.094ee1dbe2a72p-3, -0x1.0892ecd721ff2p-3, -0x1.07ce525db5dcfp-3, -0x1.070135faa06c3p-3, -0x1.062bb7e4d8f8p-3, -0x1.054df95a77469p-3, -0x1.04681b86c17f5p-3, -0x1.037a3f7fe41b8p-3, -0x1.02848646974c6p-3, -0x1.01871100f5699p-3, -0x1.008201e0716ebp-3, -0x1.feeaee6c94e24p-4, -0x1.fcc32ae2b13f9p-4, -0x1.fa8cfa6704f2ap-4, -0x1.f848a08818d07p-4, -0x1.f5f660c621b5cp-4, -0x1.f396811d759aap-4, -0x1.f12943e0884f6p-4, -0x1.eeaeeff6da046p-4, -0x1.ec27cc68f1b7ep-4, -0x1.e99419c2206b8p-4, -0x1.e6f423e76a53dp-4, -0x1.e4483030b5114p-4, -0x1.e19085b85e90bp-4, -0x1.decd6c4283343p-4, -0x1.dbff2ce7717c1p-4, -0x1.d9260cdc0142ap-4, -0x1.d64258182aa91p-4, -0x1.d354568dd5806p-4, -0x1.d05c51a5fbc08p-4, -0x1.cd5a92a5e43dp-4, -0x1.ca4f6338d9637p-4, -0x1.c73b0e380658p-4, -0x1.c41ddc8cd674dp-4, -0x1.c0f818d6a2cd5p-4, -0x1.bdca0d23875f5p-4, -0x1.ba9403da8021dp-4, -0x1.b756471e4dc3cp-4, -0x1.b4112116c17f9p-4, -0x1.b0c4dc0084454p-4, -0x1.ad71c1c0e91c2p-4, -0x1.aa181c3b44df2p-4, -0x1.a6b8356c1bf26p-4, -0x1.a35255bff3e3bp-4, -0x1.9fe6c7425a42ep-4, -0x1.9c75d28b59bf7p-4, -0x1.98ffc02bfbafep-4, -0x1.9584d8458a3c3p-4, -0x1.92056298ead04p-4, -0x1.8e81a6881acd9p-4, -0x1.8af9eadddbc1dp-4, -0x1.876e75ad15181p-4, -0x1.83df8d3a44942p-4, -0x1.804d7654b4aecp-4, -0x1.7cb8766924adbp-4, -0x1.7920d053fc848p-4, -0x1.7586c8e11d925p-4, -0x1.71eaa19c30cd8p-4, -0x1.6e4c9cf6553ddp-4, -0x1.6aacfc4737e3ap-4, -0x1.670c002e12355p-4, -0x1.6369e7da59624p-4, -0x1.5fc6f3354fa63p-4, -0x1.5c235f8c4498ep-4, -0x1.587f6aad807bcp-4, -0x1.54db51ca112b7p-4, -0x1.51374ddb64b83p-4, -0x1.4d939c38d8496p-4, -0x1.49f075b6f158fp-4, -0x1.464e134dda44fp-4, -0x1.42acace2fa0dfp-4, -0x1.3f0c7979d57c6p-4, -0x1.3b6daf0b462a4p-4, -0x1.37d082a1438f6p-4, -0x1.34352851f8d03p-4, -0x1.309bd32a934f7p-4, -0x1.2d04b52011936p-4, -0x1.296fff9b6163ap-4, -0x1.25dde24cf622dp-4, -0x1.224e8c541024cp-4, -0x1.1ec22bb18f787p-4, -0x1.1b38ed45cd9fbp-4, -0x1.17b2fcfc14707p-4, -0x1.143085bdcd23bp-4, -0x1.10b1b162b73b9p-4, -0x1.0d36a8aff3473p-4, -0x1.09bf936db2738p-4, -0x1.064c984f5e0e5p-4, -0x1.02dddcd85893p-4, -0x1.fee70b6301b61p-5, -0x1.f81b6ce1e8a3p-5, -0x1.f1592358e53dcp-5, -0x1.eaa071d11b761p-5, -0x1.e3f1994780805p-5, -0x1.dd4cd8918b58dp-5, -0x1.d6b26c6936d2dp-5, -0x1.d0228f9642e3bp-5, -0x1.c99d7ad8e8771p-5, -0x1.c32365292051ap-5, -0x1.bcb483497060dp-5, -0x1.b65108311c3bap-5, -0x1.aff9258a80f12p-5, -0x1.a9ad0937853cep-5, -0x1.a36ce0ec1491fp-5, -0x1.9d38d649d3976p-5, -0x1.97111356d919ap-5, -0x1.90f5bfcc6aa84p-5, -0x1.8ae701a85089fp-5, -0x1.84e4fcd9dda2ep-5, -0x1.7eefd34898235p-5, -0x1.7907a4ab85ad8p-5, -0x1.732c8ed8dae2p-5, -0x1.6d5ead94aebdp-5, -0x1.679e1c992ebb8p-5, -0x1.61eaf52b802adp-5, -0x1.5c45502647f9ap-5, -0x1.56ad445bd6ed2p-5, -0x1.5122e689f811fp-5, -0x1.4ba649176855ap-5, -0x1.46377b134cc83p-5, -0x1.40d68ba7651d8p-5, -0x1.3b8387f6b1d87p-5, -0x1.363e7d5eb19ap-5, -0x1.310778e61db5ep-5, -0x1.2bde86fb770c5p-5, -0x1.26c3b1ff7f021p-5, -0x1.21b7015d097c8p-5, -0x1.1cb87924077f6p-5, -0x1.17c81ae41123fp-5, -0x1.12e5e642f7223p-5, -0x1.0e11db3c8f64p-5, -0x1.094bfc04970eep-5, -0x1.04944b18344f9p-5, -0x1.ffd5988d909bdp-6, -0x1.f69f034ba2522p-6, -0x1.ed84d1e62a997p-6, -0x1.e486f7dc307e2p-6, -0x1.dba55c5baee35p-6, -0x1.d2dfe30e63842p-6, -0x1.ca366fffb4035p-6, -0x1.c1a8ed5545242p-6, -0x1.b9374e8a25d31p-6, -0x1.b0e18f50ed8acp-6, -0x1.a8a7ad29a3146p-6, -0x1.a0899f61f6fa9p-6, -0x1.9887508c2b821p-6, -0x1.90a09a2f5499ep-6, -0x1.88d547b37dfc5p-6, -0x1.81251d7737873p-6, -0x1.798fe3ae46117p-6, -0x1.72156f1514cbdp-6, -0x1.6ab5a64ee59aep-6, -0x1.63707fce4ed06p-6, -0x1.5c45f9d480bbap-6, -0x1.55360cef66c96p-6, -0x1.4e40a020c7291p-6, -0x1.4765820e4f1e5p-6, -0x1.40a4695bd9816p-6, -0x1.39fcfe4714d38p-6, -0x1.336ee8c890a93p-6, -0x1.2cf9dec6576c1p-6, -0x1.269daf4155473p-6, -0x1.205a432525844p-6, -0x1.1a2f9959b56cbp-6, -0x1.141db6e4ec51ep-6, -0x1.0e249665a8e7dp-6, -0x1.08441733d915bp-6, -0x1.027bf64c38594p-6, -0x1.f997a57f2a0c6p-7, -0x1.ee66770bcc98cp-7, -0x1.e3638415cefe2p-7, -0x1.d88e12d4d532cp-7, -0x1.cde5a340b486dp-7, -0x1.c369f58e90ffdp-7, -0x1.b91b05bd84882p-7, -0x1.aef8e9022c1e8p-7, -0x1.a503afd52b1c9p-7, -0x1.9b3b36a10d53cp-7, -0x1.919f08b4f76bep-7, -0x1.882e6ab18a5b6p-7, -0x1.7ee86ec0dde4dp-7, -0x1.75cc1f436a2dbp-7, -0x1.6cd89dc01d688p-7, -0x1.640d32c363b7ep-7, -0x1.5b6958a1bb67ap-7, -0x1.52ecc32ceaf48p-7, -0x1.4a9760d25afbcp-7, -0x1.426949b8d9e1cp-7, -0x1.3a629532acca2p-7, -0x1.32832881290e6p-7, -0x1.2aca97a33d83bp-7, -0x1.23382d578690fp-7, -0x1.1bcb11f42547cp-7, -0x1.1482704e30fbbp-7, -0x1.0d5d83f419db7p-7, -0x1.065b90937ff08p-7, -0x1.fef7ba3f76f3p-8, -0x1.f17b8f8a1b405p-8, -0x1.e441d42c025bbp-8, -0x1.d74a56adf72fdp-8, -0x1.ca954b1eb1fdcp-8, -0x1.be22d44fd9e3dp-8, -0x1.b1f297ee3725ep-8, -0x1.a603ad81f596ap-8, -0x1.9a54e5a34d5bep-8, -0x1.8ee52248fe273p-8, -0x1.83b370f969acfp-8, -0x1.78bec9def3543p-8, -0x1.6e05bbffa3b58p-8, -0x1.63866399cb47p-8, -0x1.593ed419f7de3p-8, -0x1.4f2da9a6e8229p-8, -0x1.45524fd601bfp-8, -0x1.3bacc6c72340cp-8, -0x1.323d225ebf7dep-8, -0x1.29032663edc5ep-8, -0x1.1ffe43fdbea23p-8, -0x1.172ddc03ca86dp-8, -0x1.0e9187400319ap-8, -0x1.062915f5595d9p-8, -0x1.fbe86d56f7abfp-9, -0x1.ebe3eb397bdb8p-9, -0x1.dc4117d4558bbp-9, -0x1.ccfb70438e2f6p-9, -0x1.be0ec051c8447p-9, -0x1.af78037e31dfep-9, -0x1.a1357a995436ep-9, -0x1.93463d4334957p-9, -0x1.85a9bd670e507p-9, -0x1.785fa70c11252p-9, -0x1.6b67c4d20a4cbp-9, -0x1.5ec219a6e7797p-9, -0x1.526eef8adc009p-9, -0x1.466ea88666415p-9, -0x1.3ac12e70b70d9p-9, -0x1.2f6560f7ba1ccp-9, -0x1.2458dd9ace6a5p-9, -0x1.19986d26e03f2p-9, -0x1.0f2044e7f2dp-9, -0x1.04ec4a8c6caedp-9, -0x1.f5f137a450879p-10, -0x1.e284fba921eap-10, -0x1.cf91ab8452637p-10, -0x1.bd17ae765a6fcp-10, -0x1.ab1803c78aa16p-10, -0x1.99940d924f6afp-10, -0x1.888d1589eadb6p-10, -0x1.78035f55dda7bp-10, -0x1.67f5dd1722501p-10, -0x1.5863842e12711p-10, -0x1.494c3413e701cp-10, -0x1.3aafccab44cb6p-10, -0x1.2c8bda638c279p-10, -0x1.1ed9d44ffbb23p-10, -0x1.118ee2c5f42cp-10, -0x1.04a02f5b127bep-10, -0x1.f010545678f91p-11, -0x1.d78cece2f9913p-11, -0x1.bfb75b4c72a04p-11, -0x1.a8903d891d05ap-11, -0x1.921bc8f06730bp-11, -0x1.7c5f1c484e389p-11, -0x1.6757f6a3165e2p-11, -0x1.52fdccde14a1ap-11, -0x1.3f4bd5565e8c6p-11, -0x1.2c46605bd0d49p-11, -0x1.19f591eb56bc3p-11, -0x1.085c889f04cep-11, -0x1.eee93ff3660ep-12, -0x1.ce5844c6a9daep-12, -0x1.aed7bcf9be5cdp-12, -0x1.904e58051ca7dp-12, -0x1.72c01e6fd1e5ap-12, -0x1.562c72f391361p-12, -0x1.3a83525876c1ep-12, -0x1.1fc48228cdc67p-12, -0x1.0603c83aa37ebp-12, -0x1.da8ed3f2e9722p-13, -0x1.aafb8a7026ff5p-13, -0x1.7d24175052a48p-13, -0x1.510033c5b8088p-13, -0x1.26ab2a6cadd2fp-13, -0x1.fc8ac7215ee8ap-14, -0x1.afa242d9f1122p-14, -0x1.66680a0dcea6ap-14, -0x1.208ad9a321eap-14, -0x1.bb29471b067d2p-15, -0x1.3a8d049d8f8f5p-15, -0x1.7f7eb8f2a0eaap-16, -0x1.2af1d6504df29p-17, 0x1.2bdccd9ec8e08p-18, 0x1.2260f85fc707ep-16, 0x1.ef9697a3b6659p-16, 0x1.591be7b9d6425p-15, 0x1.b57cb468f41b9p-15, 0x1.06ad23e609dc1p-14, 0x1.3073494b1873p-14, 0x1.57ff21c13ee5dp-14, 0x1.7d2a48b26214cp-14, 0x1.9ff036115f2efp-14, 0x1.c07c526c531a9p-14, 0x1.df010e68c529dp-14, 0x1.fb8c608a76dcep-14, 0x1.0b1f135cb65fap-13, 0x1.179d312ad7d93p-13, 0x1.2320c8264fdefp-13, 0x1.2dae7a7791be7p-13, 0x1.377bfcbe9a492p-13, 0x1.408d1b8dd0717p-13, 0x1.48dd450396e92p-13, 0x1.5078423ee3d37p-13, 0x1.57609a2482227p-13, 0x1.5d9aec17a6eadp-13, 0x1.632efa92d5f27p-13, 0x1.681688c54f147p-13, 0x1.6c4a8d981f7d3p-13, 0x1.6fd6ad73c223dp-13, 0x1.72cd07ab6b821p-13, 0x1.753b3db73a075p-13, 0x1.772a5f8283304p-13, 0x1.788edeb3cde2ap-13, 0x1.7961c4f3963a7p-13, 0x1.79bb0a04ff60ep-13, 0x1.79924098a0c07p-13, 0x1.78ef0abe4d152p-13, 0x1.77d2d906f49cp-13, 0x1.7636ef46eaf01p-13, 0x1.7443a5a08ed8cp-13, 0x1.7207d4414a862p-13, 0x1.6f71b34cd5b72p-13, 0x1.6c818d70a5579p-13, 0x1.693f385ad72ecp-13, 0x1.659f016798c9fp-13, 0x1.61a18b4cd1143p-13, 0x1.5d596064699e2p-13, 0x1.58d304d0a7748p-13, 0x1.540ff44670c8ap-13, 0x1.4f114d39cb0b6p-13, 0x1.49db98bace384p-13, 0x1.4464a9023fcfp-13, 0x1.3ea2f743f64ebp-13, 0x1.38b32d87fde8p-13, 0x1.329a826cc581ep-13, 0x1.2c561de7ee2d5p-13, 0x1.25ca22854c80ap-13, 0x1.1f0562fc52537p-13, 0x1.182a4365dcb78p-13, 0x1.113a9e3fc48b3p-13, 0x1.0a275aa54d4b6p-13, 0x1.02f944b669fb6p-13, 0x1.f75a1e3fa13d6p-14, 0x1.e8738f8ba1bep-14, 0x1.d955b5c9d5e16p-14, 0x1.ca13e82def804p-14, 0x1.bab2a56204b32p-14, 0x1.ab3219292597cp-14, 0x1.9b91a98ec3f9ap-14, 0x1.8bd424abf2ac9p-14, 0x1.7c0066f2860bfp-14, 0x1.6c0f7812dc7e1p-14, 0x1.5bf531fd7a4ddp-14, 0x1.4bd7ea41f28c1p-14, 0x1.3bc2b78ea165bp-14, 0x1.2b9774b5cc749p-14, 0x1.1b4e2d7322771p-14, 0x1.0af8c42a119cap-14, 0x1.f557c62d96d76p-15, 0x1.d4d2cc349f943p-15, 0x1.b45f3e3cf7c05p-15, 0x1.940132a5a9065p-15, 0x1.7397d88379386p-15, 0x1.533e7db25a73ep-15, 0x1.3308b20c24d91p-15, 0x1.12f6beb9898a3p-15, 0x1.e61193fb913ffp-16, 0x1.a683e21892303p-16, 0x1.674b83c841p-16, 0x1.286ca127e9f77p-16, 0x1.d3d79b205c556p-17, 0x1.57ac16326a2bfp-17, 0x1.b8c0043424388p-18, 0x1.86f2fac8d00c3p-19, -0x1.7c22e90c5dd2ap-21, -0x1.202b43277c0cap-18, -0x1.07969480be972p-17, -0x1.7e0bb45debc3ep-17, -0x1.f391adb9e0727p-17, -0x1.33f2399eff60cp-16, -0x1.6d707636dca1p-16, -0x1.a647b7f758fe4p-16, -0x1.de9968e78983bp-16, -0x1.0b245ed20818p-15, -0x1.26a4c355a374dp-15, -0x1.41cf9c5603b44p-15, -0x1.5ca4a428c96a2p-15, -0x1.7722a5855c0f1p-15, -0x1.914830347c8cfp-15, -0x1.ab13cad1195acp-15, -0x1.c48430722f469p-15, -0x1.dd9879f081ed1p-15, -0x1.f650100051861p-15, -0x1.0754dff7ee436p-14, -0x1.1351c195fe881p-14, -0x1.1f1f8cbcc35cdp-14, -0x1.2abcd013f721ap-14, -0x1.36293358dae94p-14, -0x1.4165669f62af1p-14, -0x1.4c70b20eb8311p-14, -0x1.574c13ee56278p-14, -0x1.61f4bd6af9165p-14, -0x1.6c6b9dc863afep-14, -0x1.76b19e86fd829p-14, -0x1.80c5a5d5ff5d1p-14, -0x1.8aa7d441bdb55p-14, -0x1.94583b31a95aep-14, -0x1.9dd6e74667457p-14, -0x1.a724098f98f7cp-14, -0x1.b03ea9cf099c7p-14, -0x1.b927ef994d8e9p-14, -0x1.c1df94460b74ap-14, -0x1.ca65af94439p-14, -0x1.d2ba6bf61740bp-14, -0x1.dadde2e019b73p-14, -0x1.e2d0382432da4p-14, -0x1.ea916d027a8f6p-14, -0x1.f22206a6857dap-14, -0x1.f9825cc665163p-14, -0x1.005912f2531dap-13, -0x1.03d8f0b762bp-13, -0x1.0740f25d4a738p-13, -0x1.0a90dff4c3c43p-13, -0x1.0dc959f26beep-13, -0x1.10ea72f4e8f84p-13, -0x1.13f3dc0535fcdp-13, -0x1.16e662e2fbcd4p-13, -0x1.19c1fbb8cc25p-13, -0x1.1c86bcfd59ff1p-13, -0x1.1f34d135a54aep-13, -0x1.21cc726415c02p-13, -0x1.244dc611cd8b7p-13, -0x1.26b8fedc64181p-13, -0x1.290e4da9a106ap-13, -0x1.2b4de80ca629dp-13, -0x1.2d78070be95f6p-13, -0x1.2f8cd7db13fd9p-13, -0x1.318c97cd584f5p-13, -0x1.33777d5ee43d5p-13, -0x1.354db9f865ca6p-13, -0x1.370f7c8847feap-13, -0x1.38bd10cced84ap-13, -0x1.3a56935f6baa3p-13, -0x1.3bdc930739516p-13, -0x1.3d4f429e707a4p-13, -0x1.3eaddd9e5a4f7p-13, -0x1.3ff9af34e996p-13, -0x1.41327109e98d7p-13, -0x1.4258d022c4b69p-13, -0x1.436ce7bc2ce3p-13, -0x1.446ed5d680649p-13, -0x1.455ed44886058p-13, -0x1.463d2458dd85p-13, -0x1.470a07b30d7acp-13, -0x1.47c5b68438ffdp-13, -0x1.4870707f62a3ep-13, -0x1.490a74a8a5464p-13, -0x1.4993ff173e8bcp-13, -0x1.4a0d4d3d11ba5p-13, -0x1.4a769e839beffp-13, -0x1.4ad02be6918a2p-13, -0x1.4b1a32b587c9cp-13, -0x1.4b54f9d5f9241p-13, -0x1.4b80b2eae33d8p-13, -0x1.4b9dd797898dp-13, -0x1.4bac070674c5cp-13, -0x1.4bac15ba14444p-13, -0x1.4b9e08615cf54p-13, -0x1.4b8246017617bp-13, -0x1.4b58d7c5305d3p-13, -0x1.4b21d21e62185p-13, -0x1.4addcdaa4aa5p-13, -0x1.4a8cd72b71fe7p-13, -0x1.4a2f43eb28783p-13, -0x1.49c53a60160bep-13, -0x1.494ef4d791f99p-13, -0x1.48ccaef3b9d55p-13, -0x1.483ea7e55408bp-13, -0x1.47a5113d2818p-13, -0x1.47002c4b7e3c2p-13, -0x1.465035586a181p-13, -0x1.45954fbbca1ap-13, -0x1.44cfc7ed5572p-13, -0x1.43ffcf2ef8b4ep-13, -0x1.43259c857fd8fp-13, -0x1.42416a39b4965p-13, -0x1.415369ba5a481p-13, -0x1.405bd0afbe62dp-13, -0x1.3f5ad71f6c328p-13, -0x1.3e5092562fa3dp-13, -0x1.3d3d9da216e9fp-13, -0x1.3c21b9db24b41p-13, -0x1.3afd570311e2dp-13, -0x1.39d091c56f3f8p-13, -0x1.389b8d0db23cep-13, -0x1.375ea5402d14p-13, -0x1.3619f56a4535ap-13, -0x1.34cdaec86db18p-13, -0x1.337a025bf8fdfp-13, -0x1.321f2a97b36bap-13, -0x1.30bd4b333b9ap-13, -0x1.2f548eef73b96p-13, -0x1.2de536b6076a3p-13, -0x1.2c6f19d5bf40ep-13, -0x1.2af33eaa16e7ap-13, -0x1.29710191472fcp-13, -0x1.27e8d20877a69p-13, -0x1.265ada3d2cbb8p-13, -0x1.24c7527adb08ap-13, -0x1.232e6aadb3cffp-13, -0x1.21900edf50b3fp-13, -0x1.1fecb7ad964a2p-13, -0x1.1e445f971948bp-13, -0x1.1c975c0d81aabp-13, -0x1.1ae5a8f890d9fp-13, -0x1.192f7b18ffcfp-13, -0x1.1774ffe81da03p-13, -0x1.15b65c978aac2p-13, -0x1.13f3b0d7ed84dp-13, -0x1.122d2a3cab30dp-13, -0x1.1062e9ac68304p-13, -0x1.0e9504a37cc3fp-13, -0x1.0cc3ce60cd73ep-13, -0x1.0aef3c65b104dp-13, -0x1.0917801b10ec3p-13, -0x1.073cc13196ca1p-13, -0x1.055f1d0653d3p-13, -0x1.037eb2c975b62p-13, -0x1.019b998b5c2cdp-13, -0x1.ff6bfcb29d326p-14, -0x1.fb9c019680ff5p-14, -0x1.f7c7f9b32ed4ap-14, -0x1.f3ef554ad44e6p-14, -0x1.f012a25bf57d4p-14, -0x1.ec3225818a6ddp-14, -0x1.e84e20e607307p-14, -0x1.e466c538c45bep-14, -0x1.e07c3eedf04bap-14, -0x1.dc8edb0325481p-14, -0x1.d89ecbd4ef208p-14, -0x1.d4ac34be599cfp-14, -0x1.d0b7669798186p-14, -0x1.ccc070a1785bp-14, -0x1.c8c7e71e5307p-14, -0x1.c4cd97e67a84ap-14, -0x1.c0d1d052f738p-14, -0x1.bcd4c1b307d62p-14, -0x1.b8d69cc5c9fc9p-14, -0x1.b4d79461234f3p-14, -0x1.b0d7d617d5ccep-14, -0x1.acd79275cbcc6p-14, -0x1.a8d6f04b9d7b4p-14, -0x1.a4d6238311f07p-14, -0x1.a0d54c66d1dffp-14, -0x1.9cd494f483f82p-14, -0x1.98d42f9902264p-14, -0x1.94d443b8f05d6p-14, -0x1.90d4faddd7047p-14, -0x1.8cd6785d72856p-14, -0x1.88d8cabd76b6fp-14, -0x1.84dc3a6648106p-14, -0x1.80e0ebf67a6ep-14, -0x1.7ce6f33cb20aap-14, -0x1.78ee6772e40d6p-14, -0x1.74f780e25ac2dp-14, -0x1.71025fb74984ep-14, -0x1.6d0f1d83d63f3p-14, -0x1.691ddd94df011p-14, -0x1.652eb796e15c1p-14, -0x1.6141cf2bb4d6fp-14, -0x1.5d574503266c3p-14, -0x1.596f3683670fcp-14, -0x1.5589b1992cc52p-14, -0x1.51a6fd4873115p-14, -0x1.4dc6d2f26001fp-14, -0x1.49e999472f99cp-14, -0x1.460fe81f386a3p-14, -0x1.423916e828342p-14, -0x1.3e64b6df03072p-14, -0x1.3a94d7ce51015p-14, -0x1.36c7c6fc2822ap-14, -0x1.32fe2fb5e389cp-14, -0x1.2f382dc351b28p-14, -0x1.2b75d230a708ep-14, -0x1.27b72c6f45eecp-14, -0x1.23fc64d7a5b11p-14, -0x1.20457c05043c9p-14, -0x1.1c9286890edd5p-14, -0x1.18e39b5c1713dp-14, -0x1.1538d3b0e3577p-14, -0x1.119234f84444ap-14, -0x1.0defdade9e4a6p-14, -0x1.0a51d1a58239p-14, -0x1.06b81e33439e5p-14, -0x1.0322e441a2094p-14, -0x1.ff244b74f3a86p-15, -0x1.f80bf2f7e23f9p-15, -0x1.f0fccf438a60fp-15, -0x1.e9f7080b7e07ap-15, -0x1.e2fa95fb0dcd9p-15, -0x1.dc07c7f14120dp-15, -0x1.d51f29405a95p-15, -0x1.ce3f20e8edbd8p-15, -0x1.c7696ca8df5f7p-15, -0x1.c09dae45177d7p-15, -0x1.b9dbd9cb713acp-15, -0x1.b32415bd20906p-15, -0x1.ac76a0b3cd43dp-15, -0x1.a5d347d0e4282p-15, -0x1.9f3a2f57fd33ep-15, -0x1.98ab73e06a726p-15, -0x1.92271a3da0859p-15, -0x1.8bad59e590056p-15, -0x1.853e0ce2ca9c7p-15, -0x1.7ed952467d313p-15, -0x1.787f2fe98c35fp-15, -0x1.722ff0d5960bap-15, -0x1.6beb57e9c9458p-15, -0x1.65b17ec55aecp-15, -0x1.5f82791d0db6p-15, -0x1.595e14d369ef7p-15, -0x1.53454bbc82416p-15, -0x1.4d36fb5308729p-15, -0x1.47339e0bb17ddp-15, -0x1.413b897be5f18p-15, -0x1.3b4e216640219p-15, -0x1.356be051193e6p-15, -0x1.2f94bf23ddc85p-15, -0x1.29c8b4c3d7a6p-15, -0x1.2407a7aed12eap-15, -0x1.1e51fc32c6a5cp-15, -0x1.18a775c128d39p-15, -0x1.130802b3375abp-15, -0x1.0d73bd8cbb6f4p-15, -0x1.07eaa70c457fep-15, -0x1.026c9e0f9d28ap-15, -0x1.f9f3d980bdabbp-16, -0x1.ef24f895c84cep-16, -0x1.e46c66d41e5e3p-16, -0x1.d9ca298fbc2a7p-16, -0x1.cf3e4f1178569p-16, -0x1.c4c8db21e3f2ep-16, -0x1.ba6983631cc22p-16, -0x1.b020ee465117p-16, -0x1.a5ee8c4b55bp-16, -0x1.9bd2956773cd3p-16, -0x1.91ccc24338dabp-16, -0x1.87dd19c7f0786p-16, -0x1.7e03c1028ad9fp-16, -0x1.74444bcffae5p-16, -0x1.6a93a55c3acdp-16, -0x1.60fcfc3b24844p-16, -0x1.577c531186dc2p-16, -0x1.4e117ae1e7898p-16, -0x1.44bcb4bc5f1e1p-16, -0x1.3b7f7c5d455b6p-16, -0x1.325529a9bbf67p-16, -0x1.294227c87b57cp-16, -0x1.2044efa6125dp-16, -0x1.175d73160e1bep-16, -0x1.0e8b9b7be851ep-16, -0x1.05cf898e4fc87p-16, -0x1.fa5188107fcbbp-17, -0x1.e92eb049eff92p-17, -0x1.d836aebd4219ap-17, -0x1.c76a69a157dd6p-17, -0x1.b6c7e6a08e664p-17, -0x1.a652c4afc8415p-17, -0x1.9602428d8a6fp-17, -0x1.85de8833ebeb9p-17, -0x1.75e4b69b26e6ep-17, -0x1.6614b27e30df5p-17, -0x1.566eb8c2ae96ap-17, -0x1.46f12907a4e3cp-17, -0x1.379d8040350f6p-17, -0x1.2872ea308f346p-17, -0x1.19703e386e93p-17, -0x1.0a97e2b253c88p-17, -0x1.f7d7fcb2c8f8fp-18, -0x1.dabefc52a3f2cp-18, -0x1.bdfcb816b1163p-18, -0x1.a196c79746a91p-18, -0x1.856f09e3fbb53p-18, -0x1.699dd16ae797fp-18, -0x1.4e1b5719590fdp-18, -0x1.32e7c7beb71c6p-18, -0x1.1801d3c1dbdbfp-18, -0x1.fad3a8ff6546cp-19, -0x1.c63e9c24607b3p-19, -0x1.92411f94e705ep-19, -0x1.5ee7291e6fe8dp-19, -0x1.2c11d49767c63p-19, -0x1.f3bdf5865f663p-20, -0x1.9081861a9e835p-20, -0x1.2e6f206cb29ffp-20, -0x1.9b0dc83b50aebp-21, -0x1.b7199c0116826p-22, -0x1.e57367c5b5d0cp-25, 0x1.392cba39bd385p-22, 0x1.5436dc24d1714p-21, 0x1.05d8c58158223p-20, 0x1.5feb385e1d75ep-20, 0x1.b8e7829a80c35p-20, 0x1.0861118a07a3fp-19, 0x1.33c506deb4304p-19, 0x1.5e98ab59d70bfp-19, 0x1.88e3790a24d99p-19, 0x1.b2a366d8abb96p-19, 0x1.dbda1c73a689ep-19, 0x1.024708926d3cfp-18, 0x1.165b7c0e4fd5p-18, 0x1.2a2d2343d12b1p-18, 0x1.3dba575c54831p-18, 0x1.5106ecfd548acp-18, 0x1.640c7738e0372p-18, 0x1.76db18dec2029p-18, 0x1.89614d1dd5069p-18, 0x1.9baa0f4a052f6p-18, 0x1.adb29caee4f44p-18, 0x1.bf7b2db610ae5p-18, 0x1.d104067399841p-18, 0x1.e24ec6cb1a4bp-18, 0x1.f35b19bf85246p-18, 0x1.02110183717bfp-17, 0x1.0a5db0ab99d2ep-17, 0x1.12887227b3018p-17, 0x1.1a95bf89fa02fp-17, 0x1.22834d2128d1ap-17, 0x1.2a543d5128c9dp-17, 0x1.32076f9767218p-17, 0x1.399e89c0ed168p-17, 0x1.41169757a0eaap-17, 0x1.48733b7a8e542p-17, 0x1.4fb2d6aac1908p-17, 0x1.56e1f236b92eap-17, 0x1.5dddfea023814p-17, 0x1.64c8392f27f6fp-17, 0x1.6b9985ab17674p-17, 0x1.724d91c2ee374p-17, 0x1.78f308df93e56p-17, 0x1.7f65daf894524p-17, 0x1.85c987773e09cp-17, 0x1.8c14327c7d6d5p-17, 0x1.92426e5f5f9b8p-17, 0x1.9856705f6e645p-17, 0x1.9e524d0baf96ap-17, 0x1.a433c7885ebf3p-17, 0x1.a9fc226bafacep-17, 0x1.afab3c57e7911p-17, 0x1.b541b942c3d7cp-17, 0x1.babe70ecc698cp-17, 0x1.c023f05ba6942p-17, 0x1.c57082bc2266bp-17, 0x1.caa5090eb56fp-17, 0x1.cfc1dbd792b22p-17, 0x1.d4c72b384b5dfp-17, 0x1.d9b31e3b81588p-17, 0x1.de8acc67c34dap-17, 0x1.e34bb1caaa319p-17, 0x1.e7f39d7b4cbc3p-17, 0x1.ec85ce7bbd79bp-17, 0x1.f1020b3d4882fp-17, 0x1.f567df9571dcp-17, 0x1.f9b7927cb6bf3p-17, 0x1.fdf1e8402cc15p-17, 0x1.010b363ff4f6dp-16, 0x1.030c00ce143eep-16, 0x1.0510059cc31dp-16, 0x1.07027afd50541p-16, 0x1.08ecf582c9c02p-16, 0x1.0ac9105a806bfp-16, 0x1.0c9bcf378cfap-16, 0x1.0e673a71ee6d3p-16, 0x1.1023d08c249a9p-16, 0x1.11dd016ba3447p-16, 0x1.13895f61a63e9p-16, 0x1.152bf0d2d33a7p-16, 0x1.16c54f78ba3bdp-16, 0x1.185529f9fd09p-16, 0x1.19db664d9efedp-16, 0x1.1b5d581e30f62p-16, 0x1.1ccc0a8f28405p-16, 0x1.1e379f3cc7609p-16, 0x1.1f99392bd8d53p-16, 0x1.20f22dd77d40fp-16, 0x1.22426f3c998b3p-16, 0x1.238a64be89012p-16, 0x1.24c991c1626e8p-16, 0x1.2600374a90878p-16, 0x1.272e2158c76f8p-16, 0x1.2853788302433p-16, 0x1.29710e71f4896p-16, 0x1.2a8680d74967dp-16, 0x1.2b937d006ae33p-16, 0x1.2c98c18cb36dap-16, 0x1.2d9423a762a3dp-16, 0x1.2e8c0a5663724p-16, 0x1.2f79faf4ee4a5p-16, 0x1.30604f272b773p-16, 0x1.313f04aad387p-16, 0x1.3216bf528545bp-16, 0x1.32e39338a64d8p-16, 0x1.33af1a0e61aafp-16, 0x1.34715ecac1985p-16, 0x1.352abe1c976e2p-16, 0x1.35db4d90e3cb9p-16, 0x1.368abc60f72c8p-16, 0x1.37300b5733e79p-16, 0x1.37cec46529726p-16, 0x1.38689caf401dp-16, 0x1.38f1e520979bfp-16, 0x1.3982f7c761bcap-16, 0x1.3a075dfb2b7a3p-16, 0x1.3a855d911f07cp-16, 0x1.3afd10affe908p-16, 0x1.3b6ea35d05db2p-16, 0x1.3bd9e6e7207bbp-16, 0x1.3c3edd79f476p-16, 0x1.3c9e335a58498p-16, 0x1.3cfaa47de2765p-16, 0x1.3d4b0a0ec4decp-16, 0x1.3d9c385735736p-16, 0x1.3ddfd6a38526dp-16, 0x1.3e1dd4d91af65p-16, 0x1.3e5e8ff6b5c21p-16, 0x1.3e95a230f43bap-16, 0x1.3ec751664d2cep-16, 0x1.3ef3cac307219p-16, 0x1.3f1ac1ce50a0ap-16, 0x1.3f3bba62b80f5p-16, 0x1.3f58f0e4bb79p-16, 0x1.3f708fe3053eep-16, 0x1.3f82f8d5bc2aap-16, 0x1.3f9060940ae5ep-16, 0x1.3f992972d81dcp-16, 0x1.3f9ce42c451a1p-16, 0x1.3f9c095a6dcdep-16, 0x1.3f964a701cdafp-16, 0x1.3f8b78eaebdd8p-16, 0x1.3f7cca65aea12p-16, 0x1.3f696446af935p-16, 0x1.3f5180fe43f95p-16, 0x1.3f357a21d9dfp-16, 0x1.3f14eb5dceceap-16, 0x1.3eeff97982ab8p-16, 0x1.3ec7073e85206p-16, 0x1.3e9a0e125cd71p-16, 0x1.3e68ca014288p-16, 0x1.3e332c8f6bb0ap-16, 0x1.3dfa1b347ecbcp-16, 0x1.3dbcec9c63885p-16, 0x1.3d7bee13c6f68p-16, 0x1.3d371663efd0ep-16, 0x1.3cee610b8ebf6p-16, 0x1.3ca21165e982fp-16, 0x1.3c526d0a3468ap-16, 0x1.3bfec0ddb7d92p-16, 0x1.3ba70ad27dbb2p-16, 0x1.3b4d6cff2416ap-16, 0x1.3af0b4ece902ap-16, 0x1.3a8e0be18acc1p-16, 0x1.3a299419db54cp-16, 0x1.39c1f2b789da9p-16, 0x1.3956c00ec48e8p-16, 0x1.38e835bcbc259p-16, 0x1.38772a82c661p-16, 0x1.3802f4c772d41p-16, 0x1.378b99d5a200cp-16, 0x1.371153fb21de5p-16, 0x1.3694194eecfdfp-16, 0x1.3613f5cfe9e2cp-16, 0x1.3590ee6f8245ep-16, 0x1.350b35d04d22ap-16, 0x1.3482743b1870ap-16, 0x1.33f7af5dca4b3p-16, 0x1.3369de23c095bp-16, 0x1.32d98867ca621p-16, 0x1.3246e41ce7116p-16, 0x1.31b122b8c851p-16, 0x1.3118d314708a8p-16, 0x1.307f0815c5a03p-16, 0x1.2fe2ceb16b823p-16, 0x1.2f43885818099p-16, 0x1.2ea22a30949c1p-16, 0x1.2dfe50404d113p-16, 0x1.2d512c73173d3p-16, 0x1.2cb12738791c4p-16, 0x1.2c072e103e833p-16, 0x1.2b5b2d75155fbp-16, 0x1.2aacf66da19a9p-16, 0x1.29fcbb3c6b16cp-16, 0x1.294ab8dd31fd7p-16, 0x1.2896a5262d353p-16, 0x1.27e0ba0d3ecc3p-16, 0x1.2728f08c9ee81p-16, 0x1.266f6154182dfp-16, 0x1.25b3ecc82ad02p-16, 0x1.24f6e374796abp-16, 0x1.2437ebd22299ep-16, 0x1.2377523006897p-16, 0x1.22b55679f0dd3p-16, 0x1.21ecad945c93cp-16, 0x1.212c1f6f8cd3bp-16, 0x1.2064eff4e36e9p-16, 0x1.1f9d09445198ep-16, 0x1.1ed343d826a21p-16, 0x1.1e0808f322bb9p-16, 0x1.1d3b4452f6235p-16, 0x1.1c6ccbc9ebf48p-16, 0x1.1b9dde797eb95p-16, 0x1.1acd0e9c2930fp-16, 0x1.19fb1d17164a7p-16, 0x1.192802e42c063p-16, 0x1.18538a01511f4p-16, 0x1.1776dfce22658p-16, 0x1.16a7762814058p-16, 0x1.15cf317728254p-16, 0x1.14f62d236bdabp-16, 0x1.141c4916f9197p-16, 0x1.1340e4b20158dp-16, 0x1.1264c689d098bp-16, 0x1.1187c71c0c7fap-16, 0x1.10a9a7b83b365p-16, 0x1.0fc8118c088a5p-16, 0x1.0eea60a06d17cp-16, 0x1.0e097df0c0959p-16, 0x1.0d283039d1eedp-16, 0x1.0c4620cdfc66ep-16, 0x1.0b60a80d321p-16, 0x1.0a7e649d90cc6p-16, 0x1.0999ab6088c29p-16, 0x1.08b4184d438bbp-16, 0x1.07cdc906689e8p-16, 0x1.06e70119fe70cp-16, 0x1.05ff5f0096ef5p-16, 0x1.0517289e48ef6p-16, 0x1.042e829255f5bp-16, 0x1.0344da749871cp-16, 0x1.025adcef76b56p-16, 0x1.0171b42135061p-16, 0x1.008582632ad02p-16, 0x1.ff33f04423bf3p-17, 0x1.fd5bc75597d9dp-17, 0x1.fb82ad94bb20bp-17, 0x1.f9a91772cfb9p-17, 0x1.f7ceca9c5e978p-17, 0x1.f5f343c80c835p-17, 0x1.f416c5748fa14p-17, 0x1.f23c2c38466dbp-17, 0x1.f05d0e1c527acp-17, 0x1.ee7e5c41ae369p-17, 0x1.eca399a9a0feap-17, 0x1.eac04fdecab5ep-17, 0x1.e8e06228454a2p-17, 0x1.e7001e6ee6f5ap-17, 0x1.e51f6a7aaddcbp-17, 0x1.e33dfd9fec85fp-17, 0x1.e15c36c2db194p-17, 0x1.df7a8b4f8fb25p-17, 0x1.dd98b5a5b3071p-17, 0x1.dbb5c4a834a64p-17, 0x1.d9d30d8c0884fp-17, 0x1.d7f06dd02a4fp-17, 0x1.d60d1d4db23dep-17, 0x1.d429e2979ee35p-17, 0x1.d24673b38c34bp-17, 0x1.d06aee4bf7cc6p-17, 0x1.ce7f9e643d56ap-17, 0x1.cc9c0cf4f013fp-17, 0x1.cab886fd95511p-17, 0x1.c8d5cd8b39d43p-17, 0x1.c6f1c9cfabe0cp-17, 0x1.c50e7038f4e01p-17, 0x1.c32b3e945fbbfp-17, 0x1.c14834fceac7p-17, 0x1.bf654b28a16bdp-17, 0x1.bd826df7f0325p-17, 0x1.bba058af43a3bp-17, 0x1.b9be146723aa5p-17, 0x1.b7dc284fefc04p-17, 0x1.b5fa7d6f3d629p-17, 0x1.b4195a68a6aa9p-17, 0x1.b23854e8af322p-17, 0x1.b05801df95deap-17, 0x1.ae779fada7e82p-17, 0x1.ac98511a0f90fp-17, 0x1.aab8e351ba359p-17, 0x1.a8da37607e023p-17, 0x1.a6fc103eb5a68p-17, 0x1.a51e0159f3e4fp-17, 0x1.a340f0663916ap-17, 0x1.a1645758e0bcep-17, 0x1.9f884955fae8ep-17, 0x1.9daccc4aaf7a2p-17, 0x1.9bd1f36f4a01ap-17, 0x1.99efa7368552ap-17, 0x1.981e18b4d48c7p-17, 0x1.9645521fc84afp-17, 0x1.946d3f87b15cp-17, 0x1.92960b82430abp-17, 0x1.90bee6eb6659ap-17, 0x1.8ee91038c696fp-17, 0x1.8d13f8e307d0ap-17, 0x1.8b3f8ca6eb097p-17, 0x1.896bd11f3aa29p-17, 0x1.87990bc02e26cp-17, 0x1.85c7715054213p-17, 0x1.83f62f5023ce3p-17, 0x1.8225b7f278d53p-17, 0x1.8056b27fc72ecp-17, 0x1.7e888a8094fd9p-17, 0x1.7cba80056c8eep-17, 0x1.7aee1831fa89bp-17, 0x1.7922249cb2c4ap-17, 0x1.7757e9d0c9cf4p-17, 0x1.758c29f3199eep-17, 0x1.73c5832e64d85p-17, 0x1.71fdcd0863805p-17, 0x1.70372bf2f6e5fp-17, 0x1.6e71735ad53bcp-17, 0x1.6caca5604c99ap-17, 0x1.6ae95a0b9124p-17, 0x1.692701b2cce9ep-17, 0x1.676547529012p-17, 0x1.65a5039a88f4cp-17, 0x1.63e5d2e5637fp-17, 0x1.6227e64dd47cdp-17, 0x1.606abaf7a8a47p-17, 0x1.5eaea489f6c58p-17, 0x1.5cf46e9c2c193p-17, 0x1.5b3aad565d021p-17, 0x1.5981c4321fd31p-17, 0x1.57caef6ffa9dap-17, 0x1.5614fd59a0dap-17, 0x1.54600292d4a0fp-17, 0x1.52ac2ba78ccf9p-17, 0x1.50f9da5421943p-17, 0x1.4f48a67718794p-17, 0x1.4d97cf71edbcep-17, 0x1.4be9a0859cbc7p-17, 0x1.4a3915d7f6a0bp-17, 0x1.48903360d8902p-17, 0x1.46e51632371cp-17, 0x1.453b50e5af98cp-17, 0x1.4392f2502108cp-17, 0x1.41ebbcf449213p-17, 0x1.4045d7dd5710dp-17, 0x1.3ea1909fa053ap-17, 0x1.3cfdcd86c2beep-17, 0x1.3b5beb67d5cbfp-17, 0x1.39bb4478de3b9p-17, 0x1.381be92735e87p-17, 0x1.367dcfe2a647fp-17, 0x1.34e12049909edp-17, 0x1.3345f58c73843p-17, 0x1.31abfb7d2528ep-17, 0x1.30130fc72a764p-17, 0x1.2e7bd8edfac07p-17, 0x1.2ce63476d039ep-17, 0x1.2b4ee944f8d38p-17, 0x1.29be1d0629cd4p-17, 0x1.282c37049dd13p-17, 0x1.269bd0e24f3b1p-17, 0x1.250cd14ede1b9p-17, 0x1.237f36bf478f1p-17, 0x1.21f2ca9c83338p-17, 0x1.2067cc56d102ep-17, 0x1.1ede5fed54fa7p-17, 0x1.1d566f352f3fep-17, 0x1.1bcf89e44971bp-17, 0x1.1a4a2befcc8dp-17, 0x1.18c6611d514f2p-17, 0x1.174303a8aa496p-17, 0x1.15c2fd726d06ap-17, 0x1.144367e673377p-17, 0x1.12c500bc0b061p-17, }}, 
      {{0x1.163b3416d32eep-4, 0x1.9faa62e05dd04p-4, 0x1.1392ce140e56p-3, 0x1.560f136ccadccp-3, 0x1.970a885b79eecp-3, 0x1.d64de1e401755p-3, 0x1.09d4fab5f8f0ap-2, 0x1.277bb68aaec02p-2, 0x1.440b297e3a82ep-2, 0x1.5f76c2b310c57p-2, 0x1.79b50d1d44303p-2, 0x1.92bf62622cf05p-2, 0x1.aa919e3d4380dp-2, 0x1.c129d1a5e9c82p-2, 0x1.d687ff5183921p-2, 0x1.eaadd7ea158a2p-2, 0x1.fd9e834548114p-2, 0x1.07af32fce1f39p-1, 0x1.0ff9797898c4dp-1, 0x1.17b13fa0062c2p-1, 0x1.1eda0da3a3d33p-1, 0x1.2577b76c3d6afp-1, 0x1.2b8e4e0cffd15p-1, 0x1.3122111e1b7b5p-1, 0x1.3637635378b62p-1, 0x1.3ad2bf72baf31p-1, 0x1.3ef8af8269a45p-1, 0x1.42adc48adba9dp-1, 0x1.45f68fb35f26p-1, 0x1.48d79c0bd94edp-1, 0x1.4b5569ce51e27p-1, 0x1.4d7469949b27ep-1, 0x1.4f38f8da27edep-1, 0x1.50a75ee75e6bap-1, 0x1.51c3ca4cf68dap-1, 0x1.52924edd25d5ap-1, 0x1.5316e4870bbdfp-1, 0x1.535565257819ep-1, 0x1.53518cc1c4c34p-1, 0x1.530ef8651cf2p-1, 0x1.52912628f8f0dp-1, 0x1.51db749e4e5eap-1, 0x1.50f1236b6b69bp-1, 0x1.4fd5534a4ca3dp-1, 0x1.4e8b06541a067p-1, 0x1.4d1520efc3db6p-1, 0x1.4b7669a5de2cfp-1, 0x1.49b18a2ada007p-1, 0x1.47c9106594aecp-1, 0x1.45bf6e3b74402p-1, 0x1.4396fafd79e98p-1, 0x1.4151f4656ba94p-1, 0x1.3ef27e223b24fp-1, 0x1.3c7aa3d6da462p-1, 0x1.39ec593fe3bf3p-1, 0x1.37497b0d1d9cap-1, 0x1.3493cf9c6d081p-1, 0x1.31cd07b457091p-1, 0x1.2ef6bf39da0fep-1, 0x1.2c127dced7afbp-1, 0x1.2921b7dac043ap-1, 0x1.2625cec7ab7c7p-1, 0x1.232011b2af3ebp-1, 0x1.2011be72cf4c6p-1, 0x1.1cfc01e6fd0f8p-1, 0x1.19dff8b97fa43p-1, 0x1.16beafe5bda28p-1, 0x1.13992565c8dd8p-1, 0x1.107048b964d54p-1, 0x1.0d44fb4eaf653p-1, 0x1.0a1811e431dd8p-1, 0x1.06ea537e40de5p-1, 0x1.03bc7b7219901p-1, 0x1.008f394e9cec2p-1, 0x1.fac662609b22cp-2, 0x1.f471f923f9b77p-2, 0x1.ee225513fac8cp-2, 0x1.e7d88139926e1p-2, 0x1.e195750ff28a5p-2, 0x1.db5a16b732568p-2, 0x1.d5273b11216cdp-2, 0x1.cefda6cac56fp-2, 0x1.c8de0f13f9aaep-2, 0x1.c2c91a86c41dep-2, 0x1.bcbf614d1f66ep-2, 0x1.b6c16f63c3a3ep-2, 0x1.b0cfc3071fcb6p-2, 0x1.aaeacf42e816ep-2, 0x1.a512fbbd68487p-2, 0x1.9f48a5501879dp-2, 0x1.998c1f65476e9p-2, 0x1.93ddb3101aeb3p-2, 0x1.8e3da110556b5p-2, 0x1.88ac219eaa20dp-2, 0x1.83296515559efp-2, 0x1.7db594687a208p-2, 0x1.7850d1ac90012p-2, 0x1.72fb389106febp-2, 0x1.6db4de461ce0ep-2, 0x1.687dd2fe1d77ep-2, 0x1.6356213d98ebp-2, 0x1.5e3dceb913acfp-2, 0x1.5934dc9dc6026p-2, 0x1.543b47db69235p-2, 0x1.4f51097fe020ap-2, 0x1.4a761705ccfecp-2, 0x1.45aa629827f1cp-2, 0x1.40eddb5babbc7p-2, 0x1.3c406daf85a73p-2, 0x1.37a2036d7e013p-2, 0x1.3312841f98304p-2, 0x1.2e91d51c3640ap-2, 0x1.2a1fda50fa4dcp-2, 0x1.25bc7533ed1bap-2, 0x1.216786422fa73p-2, 0x1.1d20ec7325b92p-2, 0x1.18e8858b66593p-2, 0x1.14be2e3ecee3ep-2, 0x1.10a1c2735d992p-2, 0x1.0c931d08f57cap-2, 0x1.089218840cecep-2, 0x1.049e8ea52be1ep-2, 0x1.00b858dbf0d8cp-2, 0x1.f9bea04ec92dbp-3, 0x1.f2269aaf1f68ep-3, 0x1.eaa852106e1a6p-3, 0x1.e343776eac4efp-3, 0x1.dbf7bbb83bfacp-3, 0x1.d4c4cfeeca13dp-3, 0x1.cdaa65279a37p-3, 0x1.c6a82d0228ed9p-3, 0x1.bfbdd907e105cp-3, 0x1.b8eb1b9970d39p-3, 0x1.b22fa78079747p-3, 0x1.ab8b301750c4cp-3, 0x1.a4fd696de5bd1p-3, 0x1.9e86086037554p-3, 0x1.9824c27cf0341p-3, 0x1.91d94e2d4bd44p-3, 0x1.8ba362e024e66p-3, 0x1.8582b857dba66p-3, 0x1.7f77081e27042p-3, 0x1.79800bf474cd3p-3, 0x1.739d7f631f149p-3, 0x1.6dcf1df230c2fp-3, 0x1.6814a4cb328ffp-3, 0x1.626dd1f2418bcp-3, 0x1.5cda646f2901ep-3, 0x1.575a1c8a579f7p-3, 0x1.51ecba7d27768p-3, 0x1.4c92012881f7ap-3, 0x1.4749b34fab4e5p-3, 0x1.4213951adf23cp-3, 0x1.3cef6b2eab26fp-3, 0x1.37dcfbf06b984p-3, 0x1.32dc0e3f22681p-3, 0x1.2dec69d73ff2ap-3, 0x1.290dd80f16ee9p-3, 0x1.244021e43c67p-3, 0x1.1f8313387c83dp-3, 0x1.1ad6766c54eaep-3, 0x1.163a18e60a64ap-3, 0x1.11adc760b0122p-3, 0x1.0d31503e4d778p-3, 0x1.08c4829449388p-3, 0x1.04672d9f3f31ep-3, 0x1.0019230e3d9e4p-3, 0x1.f7b467438fb09p-4, 0x1.ef54620bf813cp-4, 0x1.e711dc55ab64fp-4, 0x1.deec7e2daae58p-4, 0x1.d6e3ef828d899p-4, 0x1.cef7d9fdbe517p-4, 0x1.c727e8d9ffe24p-4, 0x1.bf73c7f2a180ep-4, 0x1.b7db24df3b728p-4, 0x1.b05daf5077f5p-4, 0x1.a8fb161dbc0f2p-4, 0x1.a1b30a895a902p-4, 0x1.9a853e62b3ffdp-4, 0x1.937164d4e973cp-4, 0x1.8c7733ac56c85p-4, 0x1.85965dd7a9949p-4, 0x1.7ece9a560d5d2p-4, 0x1.781f9f8ad9c9p-4, 0x1.7189271bca77ep-4, 0x1.6b0ae83a5c482p-4, 0x1.64a49cfad3b46p-4, 0x1.5e55fff5d0784p-4, 0x1.581eccb45f094p-4, 0x1.51febd8329ca5p-4, 0x1.4bf592d7a6832p-4, 0x1.460306f773af6p-4, 0x1.4026d9958faa5p-4, 0x1.3a60c916e7364p-4, 0x1.34b0958dbbd96p-4, 0x1.2f15feae05eb1p-4, 0x1.2990c57d7f87fp-4, 0x1.2420abd9e613bp-4, 0x1.1ec573a59f2afp-4, 0x1.197edfb85da88p-4, 0x1.144cb3279c7b9p-4, 0x1.0f2eb1d98c54bp-4, 0x1.0a24a03387006p-4, 0x1.052e43065d214p-4, 0x1.004b5fd5ffd8ep-4, 0x1.f6f7790757397p-5, 0x1.ed7e3cc28ccbep-5, 0x1.e42a9f798b896p-5, 0x1.dafc290633941p-5, 0x1.d1f26c1e40633p-5, 0x1.c90cf875db768p-5, 0x1.c04b6032fb4e7p-5, 0x1.b7ad375a74dd2p-5, 0x1.af320bfb6703ap-5, 0x1.a6d977a5df371p-5, 0x1.9ea30dc1e6ac6p-5, 0x1.968e64211e62ep-5, 0x1.8e9b127fa60aep-5, 0x1.86c8ad96f5687p-5, 0x1.7f16d19e21d94p-5, 0x1.7785143c77ed7p-5, 0x1.70131201e1058p-5, 0x1.68c065f73ebf7p-5, 0x1.618ca845ff47p-5, 0x1.5a7778b6e575bp-5, 0x1.538073fb0bb2bp-5, 0x1.4ca736d368ac1p-5, 0x1.45eb610a3adfp-5, 0x1.3f4c91790db04p-5, 0x1.38ca662d508f6p-5, 0x1.3264870fab87bp-5, 0x1.2c1a8ef741956p-5, 0x1.25ec22fb31bcdp-5, 0x1.1fd8e5fb7766cp-5, 0x1.19e07bfd6f3f9p-5, 0x1.140289ef0243p-5, 0x1.0e3eb6da1aeeep-5, 0x1.0894a416e4024p-5, 0x1.0303fd6fc4604p-5, 0x1.fb18d21dcb54cp-6, 0x1.f05b1f793daddp-6, 0x1.e5ce318959c74p-6, 0x1.db71632b0fbb1p-6, 0x1.d144044d7f1dbp-6, 0x1.c7456cd75c13bp-6, 0x1.bd74f5f5399b2p-6, 0x1.b3d1f8ed122cfp-6, 0x1.aa5bd0a6c7446p-6, 0x1.a111da66cee56p-6, 0x1.97f37407ea98ap-6, 0x1.8efffd401a88ep-6, 0x1.8636d6210cf72p-6, 0x1.7d976453829ap-6, 0x1.752108f76481bp-6, 0x1.6cd32aa4e4e74p-6, 0x1.64ad301541becp-6, 0x1.5cae81ec4ee5dp-6, 0x1.54d68a14c2bcfp-6, 0x1.4d24b3f06d88cp-6, 0x1.45986c5bbf93p-6, 0x1.3e3121a00aba5p-6, 0x1.36ee43e5935d7p-6, 0x1.2fcf45f64c636p-6, 0x1.28d3949ec15d5p-6, 0x1.21faaa577aa2fp-6, 0x1.1b43fa640d46ap-6, 0x1.14aefbf867899p-6, 0x1.0e3b278566226p-6, 0x1.07e7f5ffa8556p-6, 0x1.01b4e78430d2p-6, 0x1.f742e6a1dff3bp-7, 0x1.eb5a345462fdfp-7, 0x1.dfaeb6ba30d07p-7, 0x1.d43f706c23a4ep-7, 0x1.c90b67147478p-7, 0x1.be11a2955cd73p-7, 0x1.b35130d3d3814p-7, 0x1.a8c9173eeb808p-7, 0x1.9e786ee34533ap-7, 0x1.945e47e40fa8p-7, 0x1.8a79b8809a5e1p-7, 0x1.80c9d9a479f9ap-7, 0x1.774dc3803ad13p-7, 0x1.6e04a0b27b3efp-7, 0x1.64ed86d3d41eap-7, 0x1.5c079e6e05c22p-7, 0x1.5352083ed51aap-7, 0x1.4acbff8154e8p-7, 0x1.42749e9ed4fd9p-7, 0x1.3a4b19cf67667p-7, 0x1.324ea2c973c63p-7, 0x1.2a7e6dd9a88b8p-7, 0x1.22d9b2b8631ebp-7, 0x1.1b5fab92e6f6ap-7, 0x1.140f98a62d4bp-7, 0x1.0ce8ab4a31859p-7, 0x1.05ea3394321b7p-7, 0x1.fe26e311dd867p-8, 0x1.f0c753a832b63p-8, 0x1.e3b4567c2ad98p-8, 0x1.d6ec62d68527dp-8, 0x1.ca6e33ee888e2p-8, 0x1.be38609a8596cp-8, 0x1.b2498e2d99546p-8, 0x1.a6a06f4ae79f1p-8, 0x1.9b3bae28b8a38p-8, 0x1.901a04f2a99a2p-8, 0x1.853a2c7e7c185p-8, 0x1.7a9ae4001e126p-8, 0x1.703ae903b9a73p-8, 0x1.66190ad506b38p-8, 0x1.5c340b5ee5b6p-8, 0x1.528abf50f1a42p-8, 0x1.491bf751d658bp-8, 0x1.3fe694d359178p-8, 0x1.36e97738fcc65p-8, 0x1.2e2388e6dfecfp-8, 0x1.2593a88855e11p-8, 0x1.1d38ced190fc6p-8, 0x1.1511e61bb4f75p-8, 0x1.0d1dde7ccbb9dp-8, 0x1.055bad1d7b5a9p-8, 0x1.fb9497417e7e5p-9, 0x1.ecd173422853ep-9, 0x1.de6bfaad8e03bp-9, 0x1.d06243c002c9bp-9, 0x1.c2b27817bcf8ep-9, 0x1.b55abf1fb5f5p-9, 0x1.a8594e54bd7f6p-9, 0x1.9bac583c09cc4p-9, 0x1.8f5210e4c7cc7p-9, 0x1.8348afca8ba3fp-9, 0x1.778e6f95fdf52p-9, 0x1.6c2197d08df44p-9, 0x1.610078d9af0d7p-9, 0x1.562975e1a9e58p-9, 0x1.4b9afe5209dcap-9, 0x1.415391d17a8f5p-9, 0x1.3751973d5440ap-9, 0x1.2d93c0e7387b1p-9, 0x1.24186b4cec22cp-9, 0x1.1ade28bacdc98p-9, 0x1.11e392ff5a2cap-9, 0x1.09270c6f90928p-9, 0x1.00a7374706784p-9, 0x1.f0c55923a3281p-10, 0x1.e0b023d610a55p-10, 0x1.d10c40e88bad3p-10, 0x1.c1d7327616055p-10, 0x1.b30e86de2f2acp-10, 0x1.a4afdb7c88cc4p-10, 0x1.96b8cecfb8bdbp-10, 0x1.8927013722746p-10, 0x1.7bf80c3ce0d76p-10, 0x1.6f298c17d7abfp-10, 0x1.62b91c97b6592p-10, 0x1.56a46c86a6a46p-10, 0x1.4ae9413c9298ap-10, 0x1.3f857d599255ep-10, 0x1.347715b8a1e69p-10, 0x1.29bc0d1bc3101p-10, 0x1.1f527b2ec30f6p-10, 0x1.153865553b1d8p-10, 0x1.0b6be6eb02e1bp-10, 0x1.01eb2ceb5b3a7p-10, 0x1.f168aaf7c3a36p-11, 0x1.df8b0871ebf3cp-11, 0x1.ce39be9d5bd41p-11, 0x1.bd712cf36a9bap-11, 0x1.ad2dc6bad948dp-11, 0x1.9d6c3ddf1ef4ap-11, 0x1.8e294ec7de04p-11, 0x1.7f61cb9ef3e33p-11, 0x1.71128d7a67413p-11, 0x1.6338789c99df7p-11, 0x1.55d07eecd7269p-11, 0x1.48d7b7dfd0cb3p-11, 0x1.3c4b5d297c7f5p-11, 0x1.3028a4a03c6cdp-11, 0x1.246ca60e62a72p-11, 0x1.1914d50f5ce85p-11, 0x1.0e1e83087c25ep-11, 0x1.038717598d4c3p-11, 0x1.f297f9cba9d92p-12, 0x1.ded584081af18p-12, 0x1.cbc1bfe41868dp-12, 0x1.b95782b70d4bbp-12, 0x1.a791fecadf8fdp-12, 0x1.966c8b4c3e343p-12, 0x1.85e2b03a60752p-12, 0x1.75f062d2a6c1ep-12, 0x1.66907ae1899dbp-12, 0x1.57c083b4aa6cp-12, 0x1.497b738cf9f6ap-12, 0x1.3bbe1a5cb123ep-12, 0x1.2e84da3703a34p-12, 0x1.21cbfaf611a5p-12, 0x1.158f99f675e4ep-12, 0x1.09cbfc623b486p-12, 0x1.fcf9ee9d3ad91p-13, 0x1.e73f08630fe92p-13, 0x1.d25ea4f33d2d2p-13, 0x1.be527fa5d9b4dp-13, 0x1.ab141cf85d879p-13, 0x1.989d09bfb3851p-13, 0x1.86e6ef90f1f4p-13, 0x1.75ed610733938p-13, 0x1.65a6f6652ac03p-13, 0x1.56135f725518cp-13, 0x1.472c9ebbe7073p-13, 0x1.38edb8ae7d026p-13, 0x1.2b50bfa58a2d7p-13, 0x1.1e5024bf0b3bcp-13, 0x1.11e663475bae3p-13, 0x1.060e8be24272fp-13, 0x1.f586e88dd10e6p-14, 0x1.e000a1375ed8cp-14, 0x1.cb8070a50cdf9p-14, 0x1.b7fd58e42bb6p-14, 0x1.a56d0e48a2911p-14, 0x1.93c7513411018p-14, 0x1.83045d4ca934dp-14, 0x1.731df4bb4fc33p-14, 0x1.640e212d21bp-14, 0x1.55ce8a6c7a1d5p-14, 0x1.485825b76762cp-14, 0x1.3ba334b505a2ap-14, 0x1.2fa7cfab1af5ap-14, 0x1.245ec7848e08bp-14, 0x1.19c0db79d8383p-14, 0x1.0fcad445c4af2p-14, 0x1.0673c4d1f0c34p-14, 0x1.fb6af7e5e2655p-15, 0x1.eb12c2e57a0e2p-15, 0x1.dbd15ac1cbd7ep-15, 0x1.cd9a818c3a101p-15, 0x1.c0654e02a549p-15, 0x1.b428fa5e8f9c7p-15, 0x1.a8dbd2b74af45p-15, 0x1.9e757137eba5p-15, 0x1.94ed4084d4b8bp-15, 0x1.8c3a30470acfap-15, 0x1.8455b5ad1e132p-15, 0x1.7d2f78d710578p-15, 0x1.76c0c1867e8ddp-15, 0x1.7105f1194cdbbp-15, 0x1.6bf6a307aa578p-15, 0x1.678a5fa7dda04p-15, 0x1.63b9c6c2835bap-15, 0x1.6077932e8a792p-15, 0x1.5dbfc23c143c3p-15, 0x1.5b8a3c5c7557bp-15, 0x1.59d26c970a798p-15, 0x1.5891f8a04afb7p-15, 0x1.57c1d8ecb30cap-15, 0x1.575bfc7091e5cp-15, 0x1.575b58dcfe8fbp-15, 0x1.57b949772ec1fp-15, 0x1.587468e7b09bbp-15, 0x1.5983bbd61d4cdp-15, 0x1.5ae0c708635e5p-15, 0x1.5c8eeec4cfd62p-15, 0x1.5e810e97d8a13p-15, 0x1.60b6cded2f97ep-15, 0x1.632b35217e226p-15, 0x1.65d8cdcc261bbp-15, 0x1.68ba68594971fp-15, 0x1.6bcc4a64f4875p-15, 0x1.6f0bd09de0febp-15, 0x1.727642942ded7p-15, 0x1.7607a0f4278d9p-15, 0x1.79baf84a32e44p-15, 0x1.7d8d19d0ee13dp-15, 0x1.817ad5da7cb73p-15, 0x1.8581d540189c6p-15, 0x1.899e41dcb838p-15, 0x1.8dcec4aa2db5cp-15, 0x1.9210b1016a9d7p-15, 0x1.9661718e941a5p-15, 0x1.9abbb9698e156p-15, 0x1.9f250fd3afca6p-15, 0x1.a39449cef81ddp-15, 0x1.a806b1c4a42c4p-15, 0x1.ac7cadac11fbdp-15, 0x1.b0f3b30cf6bcfp-15, 0x1.b569e6c8b8ef8p-15, 0x1.b9de14f88f5cbp-15, 0x1.be4eb1726810ep-15, 0x1.c2b99455a6f01p-15, 0x1.c71c6869f8502p-15, 0x1.cb76955046c0ap-15, 0x1.cfc54bdfbeb42p-15, 0x1.d407ab41cff95p-15, 0x1.d83caafce5044p-15, 0x1.dc6334ba87b0fp-15, 0x1.e07ae0d214709p-15, 0x1.e47f39651934fp-15, 0x1.e8782f53a4a12p-15, 0x1.ec5af757db86bp-15, 0x1.f02a590971d82p-15, 0x1.f3e5422ff4ab9p-15, 0x1.f78b4eac98321p-15, 0x1.fb1b66673efe5p-15, 0x1.fe9516335727bp-15, 0x1.00fbef896569ap-14, 0x1.02a1833e05881p-14, 0x1.043a62e303957p-14, 0x1.05c7fa0d7f607p-14, 0x1.07487eca3e68cp-14, 0x1.08bc0015a8a5ep-14, 0x1.0a225df0f2e49p-14, 0x1.0b7b2559297d8p-14, 0x1.0cc683e465945p-14, 0x1.0e04a2e6a54e6p-14, 0x1.0f34d8cc374d4p-14, 0x1.10574c9527369p-14, 0x1.116be09a9aa81p-14, 0x1.127281811b028p-14, 0x1.136b082a8043bp-14, 0x1.1455769813681p-14, 0x1.1531c30180501p-14, 0x1.16005ddcbdaa4p-14, 0x1.16c00dd161c08p-14, 0x1.1771d1192437ap-14, 0x1.1815942aefe24p-14, 0x1.18ab3e91d0202p-14, 0x1.1932c32af9cdbp-14, 0x1.19ac4fd346d06p-14, 0x1.1a17eac2a974p-14, 0x1.1a758a258da2cp-14, 0x1.1ac541d05c3b5p-14, 0x1.1b071f5147654p-14, 0x1.1b3b1f510adep-14, 0x1.1b618ec8a7821p-14, 0x1.1b7ab81d58148p-14, 0x1.1b86496433b7fp-14, 0x1.1b8492042b0acp-14, 0x1.1b75b20949e73p-14, 0x1.1b59b3ae81325p-14, 0x1.1b30c6a824305p-14, 0x1.1afb085ac075p-14, 0x1.1ab85e41ac56ap-14, 0x1.1a69d2245a554p-14, 0x1.1a0e85eeac65dp-14, 0x1.19a71708d0429p-14, 0x1.1933fb7e4bcaap-14, 0x1.18b44082f2995p-14, 0x1.18291eb299c99p-14, 0x1.179274c95bd0cp-14, 0x1.16f07ad1cdcfap-14, 0x1.1643045bca8afp-14, 0x1.158bdbee2a939p-14, 0x1.14c75bbc52a71p-14, 0x1.13f961a712a0ap-14, 0x1.1320e1172d0f8p-14, 0x1.123e55f8db821p-14, 0x1.115100f8552a4p-14, 0x1.105a08086d91bp-14, 0x1.0f594cfdd4c0fp-14, 0x1.0e4ee115027f1p-14, 0x1.0d3b178e06e85p-14, 0x1.0c1e022b1286cp-14, 0x1.0af804e40a42fp-14, 0x1.09c92d2636efp-14, 0x1.08919588bcc96p-14, 0x1.07517105d1f89p-14, 0x1.06090ce220ca6p-14, 0x1.04b89719096d2p-14, 0x1.03604056227fbp-14, 0x1.01fdfaacb2328p-14, 0x1.00987b8b39f0ep-14, 0x1.fe530c98bbf86p-15, 0x1.fb66bedf9369dp-15, 0x1.f86c75301128fp-15, 0x1.f56492a6fa2ecp-15, 0x1.f24f76310b75ap-15, 0x1.ef2d802f78e6dp-15, 0x1.ebff152b7c5fdp-15, 0x1.e8c47724b99f1p-15, 0x1.e57e6534f3daep-15, 0x1.e22a22aea62e3p-15, 0x1.decfa3da8d84ap-15, 0x1.db67df167f2cdp-15, 0x1.d7f604838979ep-15, 0x1.d479ffd2e0305p-15, 0x1.d0f47a7b10eb7p-15, 0x1.cd65743539c3dp-15, 0x1.c9cd8ce33e8f4p-15, 0x1.c62ce93df0bb9p-15, 0x1.c28411c5d0c75p-15, 0x1.bed3134103e5dp-15, 0x1.bb1a52bdef1ffp-15, 0x1.b75a317e9abbcp-15, 0x1.b3933bcbe6ebep-15, 0x1.afc57fcb37665p-15, 0x1.abf1411c95f41p-15, 0x1.a816dd6990d54p-15, 0x1.a436964dad9dcp-15, 0x1.a050eca55e993p-15, 0x1.9c65e7af1e318p-15, 0x1.9875f7840df2ep-15, 0x1.947ea74efb1dcp-15, 0x1.908862c50dcbcp-15, 0x1.8c8b707804b27p-15, 0x1.888a821f46c8p-15, 0x1.8485ed99433a1p-15, 0x1.807e33cff819dp-15, 0x1.7c739908e6f72p-15, 0x1.7865ecc197035p-15, 0x1.7455d616003b9p-15, 0x1.70438763fafaep-15, 0x1.6c2f2445cec64p-15, 0x1.6818fa1f21a8cp-15, 0x1.6401eb7ff24f7p-15, 0x1.5fe83fc80469cp-15, 0x1.5bce1e460dbeap-15, 0x1.57b83c05e785fp-15, 0x1.5397d65527331p-15, 0x1.4f7bcda789d28p-15, 0x1.4b5f520d628ecp-15, 0x1.47430a4ce8b03p-15, 0x1.432703a39d702p-15, 0x1.3f0b8db4c726ep-15, 0x1.3af071dda6c5p-15, 0x1.36d60b19b7335p-15, 0x1.32bcf31961255p-15, 0x1.2ea4e44452f51p-15, 0x1.2a8e282610d45p-15, 0x1.26790a134e24cp-15, 0x1.22659962d17f7p-15, 0x1.1e54037f812bep-15, 0x1.1a446d33fdad9p-15, 0x1.1637281de22a6p-15, 0x1.122c3ca510056p-15, 0x1.0e23b253dc198p-15, 0x1.0a1dfe1a7fedp-15, 0x1.061d9530f06p-15, 0x1.021b5f756bd3ap-15, 0x1.fc3b8d904eb4cp-16, 0x1.f449a1d9be623p-16, 0x1.ec5d5ab62b4dap-16, 0x1.e47820dcf6cc4p-16, 0x1.dc99d2dbb00fep-16, 0x1.d4c335090a2a3p-16, 0x1.ccf4c4ac02ea8p-16, 0x1.c52e49b372a4ap-16, 0x1.bd7031949750dp-16, 0x1.b5ba50b582f46p-16, 0x1.ae0cf0df1bb6dp-16, 0x1.a668f1ca3fb06p-16, 0x1.9ecdb290ec75fp-16, 0x1.973bc5a717d9fp-16, 0x1.8fb5144010943p-16, 0x1.88351eca462f3p-16, 0x1.80c09e25ce751p-16, 0x1.795608ef5a997p-16, 0x1.71f599cd0a165p-16, 0x1.6a9fe497c46b4p-16, 0x1.63549c3cbd03cp-16, 0x1.5c13cfa684a6ap-16, 0x1.54de027a41409p-16, 0x1.4db7b1ef17741p-16, 0x1.46944c3fd9df5p-16, 0x1.3f7fb27e33b3cp-16, 0x1.38769efb2c2bp-16, 0x1.3179307f7389ep-16, 0x1.2a87ce314fe58p-16, 0x1.23a1f9c0c416ep-16, 0x1.1cc7ef6c2c536p-16, 0x1.15f9dec7b5d04p-16, 0x1.0f37cefb60729p-16, 0x1.08822017cd4adp-16, 0x1.01d8b38ec77c4p-16, 0x1.f67714aaf996ap-17, 0x1.e956ea38aa9ap-17, 0x1.dc457a252c86bp-17, 0x1.cf5f3091f1f58p-17, 0x1.c289ac13341fep-17, 0x1.b5cd8e91295eap-17, 0x1.a92ab885ac2e1p-17, 0x1.9c9fc1ec97566p-17, 0x1.9035d1eb4d14bp-17, 0x1.83de24a4760e7p-17, 0x1.77a349e8e8c17p-17, 0x1.6b84bf47550a8p-17, 0x1.5f7c7e9c0abd9p-17, 0x1.53909ab23a513p-17, 0x1.47be1c8c79bd2p-17, 0x1.3c06cdb752bc1p-17, 0x1.30696d473c208p-17, 0x1.24e7bcab0937cp-17, 0x1.197fb859dd8b7p-17, 0x1.0e325af76db35p-17, 0x1.02f9aeec69444p-17, 0x1.efceef45a90bap-18, 0x1.d9d3dc0a7ac48p-18, 0x1.c40e2955a1786p-18, 0x1.ae7f0f57089a1p-18, 0x1.992528ca989aap-18, 0x1.83ff639a891adp-18, 0x1.6f0f8fd235a79p-18, 0x1.5a56de64b96fcp-18, 0x1.45be8fd72e68p-18, 0x1.318072f7a5de4p-18, 0x1.1d65d00db239ep-18, 0x1.097fad9e6a292p-18, 0x1.eb9e826b9af2p-19, 0x1.c4a9e1d36e107p-19, 0x1.9e1e58c862bb4p-19, 0x1.77f8bafb94335p-19, 0x1.523ecb6155275p-19, 0x1.2ceed1232d81ep-19, 0x1.080cc2eb8f0bfp-19, 0x1.c709ed8a062a9p-20, 0x1.7ed4937a2192fp-20, 0x1.37832adb33f5cp-20, 0x1.e1f0d032b33b2p-21, 0x1.567a800bfd052p-21, 0x1.99389ec842dafp-22, 0x1.1146f152d6ccap-23, -0x1.095fac24befabp-23, -0x1.8ed5902942d62p-22, -0x1.4adee13625604p-21, -0x1.ccc384279d711p-21, -0x1.2687a28df6fb7p-20, -0x1.65e6e49f7a2fcp-20, -0x1.a4807661cc15p-20, -0x1.e250838cf4634p-20, -0x1.0fac1f3acdc33p-19, -0x1.2da7af5e0da48p-19, -0x1.4b89fcc4df1e7p-19, -0x1.68eb87d778f38p-19, -0x1.85e60ed461636p-19, -0x1.a27e9aaaa0e65p-19, -0x1.beb764f24d434p-19, -0x1.da9333c506b9dp-19, -0x1.f60e94490563ap-19, -0x1.08950cc332809p-18, -0x1.15f37bd6bd5b8p-18, -0x1.232234d862c05p-18, -0x1.30236f57fc71fp-18, -0x1.3cf71a78a2b7ep-18, -0x1.499bd7e177aa1p-18, -0x1.5611f1275b9bep-18, -0x1.625b478c06977p-18, -0x1.6e763fecf55f8p-18, -0x1.7a6df5559a99p-18, -0x1.862060960f715p-18, -0x1.91bc7949e06aep-18, -0x1.9d238ec25fd05p-18, -0x1.a873563d5658ap-18, -0x1.b37388a22dacp-18, -0x1.be5a586fc74efp-18, -0x1.c91633ebed8b7p-18, -0x1.d3a6fd5e6a069p-18, -0x1.de0dce462e7efp-18, -0x1.e84b1a819a90bp-18, -0x1.f25cebfb466b5p-18, -0x1.fc45bd4a2baabp-18, -0x1.0302d16534024p-17, -0x1.07ce984cd5c53p-17, -0x1.0c85b196d8e63p-17, -0x1.1128d3f25a2cap-17, -0x1.15b7dd4290f9dp-17, -0x1.1a3314f7e9fbfp-17, -0x1.1e9af088c90c4p-17, -0x1.22ef289d08059p-17, -0x1.2730577ccf95fp-17, -0x1.2b5dd05615d64p-17, -0x1.2f786e3ea4c6dp-17, -0x1.337ff20824db8p-17, -0x1.377440799aaa1p-17, -0x1.3b57a1c0d065p-17, -0x1.3f262aa75e9a7p-17, -0x1.42e54b56d8ffep-17, -0x1.4691796739d21p-17, -0x1.4a2b1c9d75547p-17, -0x1.4db36d9b3606cp-17, -0x1.5129b2b192bb6p-17, -0x1.548e649e1d801p-17, -0x1.57e20cc748b11p-17, -0x1.5b24ea446f327p-17, -0x1.5e56f4124b276p-17, -0x1.617735b60e5aep-17, -0x1.64870561f22e3p-17, -0x1.67864aabc71bap-17, -0x1.6a759a735d4f8p-17, -0x1.6d54fc8584911p-17, -0x1.702388819ad77p-17, -0x1.72e26949c8e3ep-17, -0x1.7591c877a9c85p-17, -0x1.7831747f72dcep-17, -0x1.7ac7a426a45d4p-17, -0x1.7d41e2a04c844p-17, -0x1.7fb3ea144ab6bp-17, -0x1.8216b74c0d207p-17, -0x1.84698455d6fb9p-17, -0x1.86aff8ca3fb36p-17, -0x1.88e71b3e47e32p-17, -0x1.8b0fa40886f88p-17, -0x1.8d29b8e1222f5p-17, -0x1.8f36162ae6e71p-17, -0x1.9133dc8cbd58ap-17, -0x1.9324559cd4ca4p-17, -0x1.9507108061e68p-17, -0x1.96dc3e6ba84dbp-17, -0x1.98a40f004c718p-17, -0x1.9a5f5a4fb3cc1p-17, -0x1.9c0ce0dedb066p-17, -0x1.9dad9cf472ffep-17, -0x1.9f414b79f1b5cp-17, -0x1.a0c8af82568d1p-17, -0x1.a243739f36061p-17, -0x1.a3b1d1ed85f07p-17, -0x1.a514d54162b0bp-17, -0x1.a66abb4a7269dp-17, -0x1.a7b5428ef5ea4p-17, -0x1.a8f3590e790f3p-17, -0x1.aa2645c4b5791p-17, -0x1.ab4e41a0f5f61p-17, -0x1.ac6a2a69e7871p-17, -0x1.ad7626b76664cp-17, -0x1.ae8075c6e099p-17, -0x1.af7afac12ef58p-17, -0x1.b06a9b1f4bbc5p-17, -0x1.b14fec97087d6p-17, -0x1.b22abbf22cc0ap-17, -0x1.b2f9a4a1983bcp-17, -0x1.b3c0813a3a56cp-17, -0x1.b47c11c44a90ap-17, -0x1.b52d9fbcf2442p-17, -0x1.b5d53222ea176p-17, -0x1.b672e318c28dp-17, -0x1.b706c1647fbe1p-17, -0x1.b7915dfdd1addp-17, -0x1.b812c3ac7e02ep-17, -0x1.b88ab573e6a45p-17, -0x1.b8f9184e5bc98p-17, -0x1.b95de3ea08b11p-17, -0x1.b9b875226575fp-17, -0x1.ba0eaecf5916ap-17, -0x1.ba59b1345cdeap-17, -0x1.ba9bfbcc97d81p-17, -0x1.bad5c6ef5cecp-17, -0x1.bb067223635efp-17, -0x1.bb30a5140ee14p-17, -0x1.bb51d03151118p-17, -0x1.bb6aee5db5194p-17, -0x1.bb7d2d13a01e2p-17, -0x1.bb8574e11aa96p-17, -0x1.bb7e8ec8bf09ap-17, -0x1.bb80da62ca005p-17, -0x1.bb73f48610a33p-17, -0x1.bb5d2751c9afdp-17, -0x1.bb42b9f39f5bdp-17, -0x1.bb1f8f3c6975p-17, -0x1.baf5320ee8adcp-17, -0x1.bac3ea710938dp-17, -0x1.ba8c0d8ea7d8bp-17, -0x1.ba4d038d15906p-17, -0x1.ba0755050719ep-17, -0x1.b9bb8fd965797p-17, -0x1.b9686e2586659p-17, -0x1.b91071822cb09p-17, -0x1.b8b0ecccb2d5cp-17, -0x1.b84bbbb8f2833p-17, -0x1.b7e099f75a76p-17, -0x1.b76f62ad6909cp-17, -0x1.b6f8490dd4e02p-17, -0x1.b67b69092c0ddp-17, -0x1.b5f8bd26091b5p-17, -0x1.b566b7cb54544p-17, -0x1.b4e30fbea325ep-17, -0x1.b44fc00f8dc79p-17, -0x1.b3b77d7f63bb7p-17, -0x1.b319d855c3d0cp-17, -0x1.b2765abf7493ep-17, -0x1.b1cf34d88ddf1p-17, -0x1.b12237e6b8631p-17, -0x1.b07045adc8e7ep-17, -0x1.afb97a10a0f36p-17, -0x1.aefed1c68ef5cp-17, -0x1.ae3ef1e2a5aa6p-17, -0x1.ad7a7be1a02a9p-17, -0x1.acb14699379c8p-17, -0x1.abe412171f911p-17, -0x1.ab11fe131208dp-17, -0x1.aa3cb806bb9p-17, -0x1.a961dceccd587p-17, -0x1.a8842c7dfd5a5p-17, -0x1.a7a22fc7845bap-17, -0x1.a6bc4f2c9fc79p-17, -0x1.a5d2395a4e9d7p-17, -0x1.a4e47a8658507p-17, -0x1.a3f2f10ee421ep-17, -0x1.a2fd459915cf6p-17, -0x1.a204f9555e722p-17, -0x1.a109170bc9213p-17, -0x1.a009bccc8f2f6p-17, -0x1.9f0689239c7f8p-17, -0x1.9e0072b976314p-17, -0x1.9cf6f2a1f61c8p-17, -0x1.9be87eb88e50ap-17, -0x1.9ada989198699p-17, -0x1.99c7e5555b912p-17, -0x1.98b20b69e05b7p-17, -0x1.979e8c18f619bp-17, -0x1.967e56130903dp-17, -0x1.955fdb5f1960dp-17, -0x1.943ee5b78d66cp-17, -0x1.931a91cab174p-17, -0x1.91f87e9da829bp-17, -0x1.90cc8ed81bb5cp-17, -0x1.8fa45ab8f1edap-17, -0x1.8e7400fd65e5fp-17, -0x1.8d4419f285d36p-17, -0x1.8c0d7c54efb97p-17, -0x1.8add3542eff91p-17, -0x1.89a68908c054p-17, -0x1.886dcf545647ep-17, -0x1.8732f50456f53p-17, -0x1.85f63cd2d9c61p-17, -0x1.84b736965c265p-17, -0x1.83768f2332d33p-17, -0x1.8233ea1fc836ep-17, -0x1.80ef63220216bp-17, -0x1.7fa9332869e46p-17, -0x1.7e615cf634549p-17, -0x1.7d17881cb1064p-17, -0x1.7bcc2bd645ccap-17, -0x1.7a7fda7686f8ap-17, -0x1.79316b723ad11p-17, -0x1.77e1a15604c22p-17, -0x1.769090e6a57bdp-17, -0x1.753e01262239p-17, -0x1.73ea0c892b027p-17, -0x1.7294dec6a5fddp-17, -0x1.713e733aeb5b3p-17, -0x1.6fe25aeba6d01p-17, -0x1.6e8dfbf1e3893p-17, -0x1.6d33c75922824p-17, -0x1.6bdb7103531f8p-17, -0x1.6a7cecb7e0c4dp-17, -0x1.691f8c454c097p-17, -0x1.67c1fc1840d29p-17, -0x1.666286fb43143p-17, -0x1.6503191574bcbp-17, -0x1.63a272d57bf78p-17, -0x1.6240db238136cp-17, -0x1.60defed4d56b6p-17, -0x1.5f7c279eff46fp-17, -0x1.5e184f2f8f266p-17, -0x1.5cb728757a7c6p-17, -0x1.5b4e76bb10029p-17, -0x1.59e9d439f9224p-17, -0x1.5883d51112b05p-17, -0x1.571d0278497fdp-17, -0x1.55b5f16d9d321p-17, -0x1.544eb3c6cd996p-17, -0x1.52e6e88a9834bp-17, -0x1.517e74aa0bfaap-17, -0x1.5015d6aae6e8ep-17, -0x1.4eace9b84db1fp-17, -0x1.4d43a28495c06p-17, -0x1.4bda37b72227p-17, -0x1.4a705c12b399ap-17, -0x1.4906658da88bfp-17, -0x1.479baefefb728p-17, -0x1.463228a3a6ff8p-17, -0x1.44c7c24060e1ap-17, -0x1.435d4ac69fa9ep-17, -0x1.41f2c049198cp-17, -0x1.40882c5e7cf4bp-17, -0x1.3f1dc252ef36dp-17, -0x1.3db3341b51aafp-17, -0x1.3c4aa3f06c8e2p-17, -0x1.3ade18d77b7fep-17, -0x1.3973892b59549p-17, -0x1.3809ace1da54ep-17, -0x1.369f82a3bd89fp-17, -0x1.353590b85a861p-17, -0x1.33cbed2117e29p-17, -0x1.325cfd5ad2bc2p-17, -0x1.30f91c7d6fep-17, -0x1.2f901d29773fp-17, -0x1.2e2761e0646b4p-17, -0x1.2cbee2740b9d7p-17, -0x1.2b56c3ced5277p-17, -0x1.29ef0b7116258p-17, -0x1.288776b12af1cp-17, -0x1.2720832b7476p-17, -0x1.25b9eb61fc3bbp-17, -0x1.245540025135dp-17, -0x1.22ef2e403b7b9p-17, -0x1.218891d3deb7fp-17, -0x1.20233552e906ep-17, -0x1.1ebda353a324dp-17, -0x1.1d5b6cdd20b07p-17, -0x1.1bf814314ec7ap-17, -0x1.1a9588d183a2dp-17, -0x1.19335cf3a20cep-17, -0x1.17d14376e5833p-17, -0x1.16708e0e740dp-17, -0x1.15104051cf10dp-17, -0x1.13b06f5131ebcp-17, -0x1.125131fb3f848p-17, -0x1.10f2c8d5953dep-17, -0x1.0f951760f7049p-17, -0x1.0e38042eb9c8dp-17, -0x1.0cdb61b93b042p-17, -0x1.0b7fba6b38e8ap-17, -0x1.0a24b9511e798p-17, -0x1.08ca7df6dbbd8p-17, -0x1.0770ff206de7cp-17, -0x1.06186567f2a8dp-17, -0x1.04c07172b59a2p-17, -0x1.03693ab1c1c6p-17, -0x1.0212e0b566664p-17, -0x1.00bd9096ff2dbp-17, -0x1.fed1b6c0165d6p-18, -0x1.fc29be6b4912p-18, -0x1.f983d2079a412p-18, -0x1.f6dfd1bc3352bp-18, -0x1.f43d44041f5c8p-18, -0x1.f19c3e60281fcp-18, -0x1.eefd4464a184ap-18, -0x1.ec5fc06ed9494p-18, -0x1.e9c5069189168p-18, -0x1.e72b2dc33057fp-18, -0x1.e493df135a57ep-18, -0x1.e1fe182b91f3dp-18, -0x1.df6b116fdc313p-18, -0x1.dcd7e655dc17fp-18, -0x1.da4806ddd0171p-18, -0x1.d7ba1a3c5d8dfp-18, -0x1.d52df822b73f5p-18, -0x1.d2a3a473b0eaep-18, -0x1.d01b962806cb3p-18, -0x1.cd95782a39863p-18, -0x1.cb116f555a941p-18, -0x1.c88f5988d4d9p-18, -0x1.c60f9fab20277p-18, -0x1.c391a4943e479p-18, -0x1.c11599df8fda4p-18, -0x1.be9bcf1a4ea8ap-18, -0x1.bc23040441369p-18, -0x1.b9aeb6803652cp-18, -0x1.b73b3a0399211p-18, -0x1.b4c9f13310fc9p-18, -0x1.b25ae9bb43346p-18, -0x1.afedbc1ec6411p-18, -0x1.ad8282e937fb5p-18, -0x1.ab1a82b6926d5p-18, -0x1.a8b4246649f9dp-18, -0x1.a64fb0593b7b4p-18, -0x1.a3ed76835c4f6p-18, -0x1.a18d9fa36d999p-18, -0x1.9f2c229877e35p-18, -0x1.9cd4caf8b23f9p-18, -0x1.9a7bab495172ap-18, -0x1.9824f1170b106p-18, -0x1.95d054a77c902p-18, -0x1.937dbc807dc7ep-18, -0x1.912da82c7458cp-18, -0x1.8edfc2fffc50ep-18, -0x1.8c9427e33440fp-18, -0x1.8a4b010a7c87fp-18, -0x1.88041f4492feep-18, -0x1.85bf2ce14a579p-18, -0x1.837cd3fcae706p-18, -0x1.813cb7b7d293dp-18, -0x1.7efefaf8a9c96p-18, -0x1.7cc38977a3b6cp-18, -0x1.7a8aeafe4615bp-18, -0x1.785391ab07c95p-18, -0x1.761d239f55742p-18, -0x1.73ecd0bce3f69p-18, -0x1.71bd198da9a19p-18, -0x1.6f8fa5315027bp-18, -0x1.6d6435b991f9ap-18, -0x1.6b3b685f5d28bp-18, -0x1.691501be0de75p-18, -0x1.66f0e95c46c3cp-18, -0x1.64cf1e568a819p-18, -0x1.62afb56cd7c12p-18, -0x1.609257c20604dp-18, -0x1.5e76f2b6557d5p-18, -0x1.5c62d033adc68p-18, -0x1.5a49569b3b2b5p-18, -0x1.58358e3833549p-18, -0x1.562430a60a23bp-18, -0x1.54152eb499764p-18, -0x1.520897b503243p-18, -0x1.4ffe38b0b6f71p-18, -0x1.4df61625fef4cp-18, -0x1.4bf0126b37094p-18, -0x1.49ed5c67191bbp-18, -0x1.47ec7a2da767ep-18, -0x1.45ede8cb1a41dp-18, -0x1.43f22fcff4d7cp-18, -0x1.41f7f56516fe2p-18, -0x1.400062f14b19cp-18, -0x1.3e0b296005ee4p-18, -0x1.3c186399e6995p-18, -0x1.3a27f8919abb1p-18, -0x1.3839c88b340c1p-18, -0x1.364df4904ac38p-18, -0x1.3464837e740b7p-18, -0x1.327d6e0ae17f5p-18, -0x1.309888d6cd579p-18, -0x1.2eb602a09d0b8p-18, -0x1.2cd614dfa5226p-18, -0x1.2af8112f27325p-18, -0x1.291c879e0186ap-18, -0x1.27433e195ef18p-18, -0x1.256c48073e934p-18, -0x1.2397ce89174bp-18, -0x1.21c58e87e2dbep-18, -0x1.1ff599dff616dp-18, -0x1.1e27b87fc774ep-18, -0x1.1c5c07d7c85c2p-18, -0x1.1a934f0b6f127p-18, -0x1.18cc717d56609p-18, -0x1.17085000ef90dp-18, -0x1.1545a6bb2b249p-18, -0x1.13859138de5cap-18, -0x1.11c7db1128994p-18, -0x1.100c5349e58b3p-18, -0x1.0e5325ac447e6p-18, -0x1.0c9c14ec2bba5p-18, -0x1.0ae7790404eb9p-18, -0x1.0935138fd60afp-18, -0x1.0784a88df057dp-18, -0x1.05d6a332da8ddp-18, -0x1.042b08109e8c2p-18, -0x1.02815fb634fc2p-18, -0x1.00da06ce33525p-18, -0x1.fe69bf8c2dc4dp-19, -0x1.fb24f707f683dp-19, -0x1.f7e29df52b11dp-19, -0x1.f4a5800786d17p-19, -0x1.f16c9f127979cp-19, -0x1.ee3a2a32c8e49p-19, -0x1.eb08968581418p-19, -0x1.e7dcff5e3280ep-19, -0x1.e4b5a18601f18p-19, -0x1.e192a6a934eddp-19, -0x1.de73ebce2a73fp-19, -0x1.db596c89f4534p-19, -0x1.d843a49a2f66ap-19, -0x1.d531b06311562p-19, -0x1.d2241567ef637p-19, -0x1.cf1aad0b0fd82p-19, -0x1.cc15b53e9fd8ap-19, -0x1.c914f6bf4612bp-19, -0x1.c618406b2d3acp-19, -0x1.c31f56a7ef608p-19, -0x1.c02b62b17f2aap-19, -0x1.bd3b352448d44p-19, -0x1.ba4f5879967f7p-19, -0x1.b7676fc8b1e07p-19, -0x1.b48392f1e8112p-19, -0x1.b1a400c229f33p-19, -0x1.aec889ee59961p-19, -0x1.abf1258f24b87p-19, -0x1.a91dac68edf0ep-19, -0x1.a64e587aaf322p-19, -0x1.a382220a26b7fp-19, -0x1.a0bbcd9a732e5p-19, -0x1.9df8b96e7b03ep-19, -0x1.9b3939851367p-19, -0x1.987e45224ecc7p-19, -0x1.95c68beb32284p-19, -0x1.931377aa6620fp-19, -0x1.906420d69b95dp-19, -0x1.8db892be4088p-19, -0x1.8b10eac0cebbbp-19, -0x1.886d307ed19d8p-19, -0x1.85cd7bdf8dd91p-19, -0x1.83318b4488f5fp-19, -0x1.80996fbab0469p-19, -0x1.7e0538d10b19dp-19, -0x1.7b74f56b400b9p-19, -0x1.78e7fa61c9ca7p-19, -0x1.765f4f1da50f1p-19, -0x1.73d9fa4ae6133p-19, -0x1.715910cfa12bfp-19, -0x1.6edaa51d28a3fp-19, -0x1.6c61a990fb569p-19, -0x1.69eb859f46a75p-19, -0x1.677926b0dc85fp-19, -0x1.650a73d82fdb6p-19, -0x1.629f39d3f4498p-19, -0x1.6037d5d89df18p-19, -0x1.5dd43ee07580bp-19, -0x1.5b7418fba161ep-19, -0x1.59177c55faf1p-19, -0x1.56be9997f83dbp-19, -0x1.54693f75b03d6p-19, -0x1.52178664a205fp-19, -0x1.4fc943d0b7552p-19, -0x1.4d7ea6937f30ep-19, -0x1.4b3758fe1c14ep-19, -0x1.48f382b58dc77p-19, -0x1.46b399a67d25dp-19, -0x1.4476a11613921p-19, -0x1.423d4abbd5dcep-19, -0x1.4007717522a1fp-19, -0x1.3dd50c1f877e6p-19, -0x1.3ba609e88ae48p-19, -0x1.397a6c0d8bc8bp-19, -0x1.3752dedad5c2bp-19, -0x1.352c48bf11eb7p-19, -0x1.330bbe6ff08d5p-19, -0x1.30ed68515885ap-19, -0x1.2ed2b696690e5p-19, -0x1.2cbb36071c014p-19, -0x1.2aa6c0743a9eep-19, -0x1.2895add67954ep-19, -0x1.2688dae5b8058p-19, -0x1.247d551900fcfp-19, -0x1.227607def01c8p-19, -0x1.2071eb6fa0009p-19, -0x1.1e70fe6c0831cp-19, -0x1.1c73379b5b332p-19, -0x1.1a78958a70253p-19, -0x1.188140f85365bp-19, -0x1.168cf4e4d908p-19, -0x1.149bd5fd45e1ap-19, -0x1.12adb76c29755p-19, -0x1.10c2bc2a20c92p-19, -0x1.0eda797a7c5f3p-19, -0x1.0cf5ec0fd21aep-19, -0x1.0b13def6a1d5fp-19, -0x1.09351b9f2ff29p-19, -0x1.07597768794c2p-19, -0x1.0580cca57f48fp-19, -0x1.03aad1c10a404p-19, -0x1.01d7ebb8bf713p-19, -0x1.0007ed00980c8p-19, -0x1.fc765b95e751ep-20, -0x1.f8e220d9e729ap-20, -0x1.f553c5fb6d6ep-20, -0x1.f1cb4ed23075bp-20, -0x1.ee4877b847d9bp-20, -0x1.eacb939fc1464p-20, -0x1.e75457890e324p-20, -0x1.e3e28f698a026p-20, }}, 
      {{-0x1.a49edb0494decp-1, -0x1.88fd6a646ece3p-1, -0x1.646907bb3616dp-1, -0x1.386d76d4e1688p-1, -0x1.069d46724ab9p-1, -0x1.a0f9b5b0c5a04p-2, -0x1.2eea974f6758bp-2, -0x1.7333225945e36p-3, -0x1.0d1763b0c2acfp-4, 0x1.9103362ebb4bep-5, 0x1.49ec72425e40fp-3, 0x1.13e1a48e183c9p-2, 0x1.7dcbf6b08213cp-2, 0x1.e1db47a58cd29p-2, 0x1.1fb5d86410384p-1, 0x1.4b044d8161242p-1, 0x1.72b322f1df894p-1, 0x1.96ade89dc889dp-1, 0x1.b6eede0cccbf7p-1, 0x1.d37c7e9f55082p-1, 0x1.ec6754a2d5c93p-1, 0x1.00e40834c426bp+0, 0x1.09def00a5923ep+0, 0x1.1136802791e76p+0, 0x1.16febfb9d7d6ap+0, 0x1.1b4d1648247fep+0, 0x1.1e37d6a9ccbb2p+0, 0x1.1fd5db4f5f812p+0, 0x1.203e322d6e824p+0, 0x1.1f87d6a418946p+0, 0x1.1dc977ccfe455p+0, 0x1.1b194987e08e3p+0, 0x1.178cdedc760d8p+0, 0x1.13390c6157008p+0, 0x1.0e31d18fd1582p+0, 0x1.088a48154fb91p+0, 0x1.02549849c0885p+0, 0x1.f743e3d89a676p-1, 0x1.e905118e50ad3p-1, 0x1.da0b287932271p-1, 0x1.ca72a33f9210dp-1, 0x1.ba561091f380fp-1, 0x1.a9ce1f9c848dap-1, 0x1.98f1ae71536f6p-1, 0x1.87d5dad0a631bp-1, 0x1.768e14547ef1dp-1, 0x1.652c2fa167ceap-1, 0x1.53c07a4b388edp-1, 0x1.4259cf33127a8p-1, 0x1.3105aa723b92fp-1, 0x1.1fd03dc1f6ae3p-1, 0x1.0ec48442a8e76p-1, 0x1.fbd8aac00976p-2, 0x1.daa0efd03a695p-2, 0x1.b9f16798a17bap-2, 0x1.99d7c6ec25accp-2, 0x1.7a6008855c526p-2, 0x1.5b948c7f2ca1p-2, 0x1.3d7e364a205e8p-2, 0x1.2024890f1be12p-2, 0x1.038dc2d11e3b9p-2, 0x1.cf7debbba77e7p-3, 0x1.99784230fdd94p-3, 0x1.65108dc855b73p-3, 0x1.324b051014e39p-3, 0x1.012a39d3170aep-3, 0x1.a35e7cf3becb6p-4, 0x1.47b3945901082p-4, 0x1.dea16971f29c6p-5, 0x1.3461461977189p-5, 0x1.2130a842bcde7p-6, -0x1.996c8199d70ebp-10, -0x1.47bdfee6130dp-6, -0x1.34ba6354bd14cp-5, -0x1.bf77eac74c77cp-5, -0x1.221a095eb4552p-4, -0x1.61869965a50edp-4, -0x1.9e119b8ea104ep-4, -0x1.d7cbb1884fa05p-4, -0x1.0763054f861aep-3, -0x1.218924a5efe14p-3, -0x1.3a613533d46d7p-3, -0x1.51f4572c0e30cp-3, -0x1.684bc23ef7bfbp-3, -0x1.7d70bc2843e6ep-3, -0x1.916c8f8db7c1ep-3, -0x1.a4488522e2d52p-3, -0x1.b60ddb939a74cp-3, -0x1.c6c5c1b87142p-3, -0x1.d67950aa7b6a7p-3, -0x1.e531866e6e931p-3, -0x1.f2f7423dc2c3fp-3, -0x1.ffd33fa8e36d4p-3, -0x1.05e709d13e672p-2, -0x1.0b7814b4032d1p-2, -0x1.10a0dffa7c31cp-2, -0x1.156573f540771p-2, -0x1.19c9c0cd58cb9p-2, -0x1.1dd19de76edcep-2, -0x1.2180c92c4b0b3p-2, -0x1.24dae6b98777ep-2, -0x1.27e380756266ep-2, -0x1.2a9e06102c29cp-2, -0x1.2d0dccaeb2412p-2, -0x1.2f360f35c59d5p-2, -0x1.3119ee3892bf1p-2, -0x1.32bc703c1f00ap-2, -0x1.342082078f566p-2, -0x1.3548f6d8ce1f1p-2, -0x1.363888d797fa1p-2, -0x1.36f1d97fbd422p-2, -0x1.377772058528p-2, -0x1.37cbc3dc99c16p-2, -0x1.37f12934ce2aep-2, -0x1.37e9e59751894p-2, -0x1.37b82664e5492p-2, -0x1.375e036ab3284p-2, -0x1.36dd7f85a3321p-2, -0x1.3638894ee554dp-2, -0x1.3570fb8f926eap-2, -0x1.34889e0abfe2cp-2, -0x1.338125f944016p-2, -0x1.325c36b893fccp-2, -0x1.311b6271303ap-2, -0x1.2fc02a8ea58d2p-2, -0x1.2e4c0067b1c8cp-2, -0x1.2cc045e8c9df2p-2, -0x1.2b1e4e0199b6cp-2, -0x1.29675d2b4d7e9p-2, -0x1.279caa3e9181fp-2, -0x1.25bf5e8a6ff52p-2, -0x1.23d096ee574a7p-2, -0x1.21d163ab152e8p-2, -0x1.1fc2c97ad09e2p-2, -0x1.1da5c1bd7f9a6p-2, -0x1.1b7b3b08bb9adp-2, -0x1.1944199866398p-2, -0x1.170137b462e93p-2, -0x1.14b3662587249p-2, -0x1.125b6c93bca54p-2, -0x1.0ffa0a27537dp-2, -0x1.0d8ff558a362p-2, -0x1.0b1ddce205baep-2, -0x1.08a467bcc02b6p-2, -0x1.062435b2727bdp-2, -0x1.039ddf787b488p-2, -0x1.0111f71a7ef91p-2, -0x1.fd0210867a8b1p-3, -0x1.f7d730c9ca5e9p-3, -0x1.f2a44ee19ef2dp-3, -0x1.ed6a5e6f2985dp-3, -0x1.e82a493eda267p-3, -0x1.e2e4ee91beb5ep-3, -0x1.dd9b23f2ce693p-3, -0x1.d84db58c4eb7ap-3, -0x1.d2fd66936385fp-3, -0x1.cdaaf2081c08p-3, -0x1.c85709dd14e07p-3, -0x1.c3025982a6cd9p-3, -0x1.bdad83c1d97dfp-3, -0x1.b859250489103p-3, -0x1.b305d28c67917p-3, -0x1.adb41b0e4c35ap-3, -0x1.a8648712fdefbp-3, -0x1.a317990fcbafep-3, -0x1.9dcdcdc0e1514p-3, -0x1.98879c7a299acp-3, -0x1.934576dcbc15dp-3, -0x1.8e07ca4ac89b3p-3, -0x1.88cefe7ffc4b5p-3, -0x1.839b76de710fp-3, -0x1.7e6d92553c156p-3, -0x1.7945ab76e6796p-3, -0x1.742418ba55135p-3, -0x1.6f092c814a73ep-3, -0x1.69f535d22691fp-3, -0x1.64e87ecf39856p-3, -0x1.5fe34fb16c3f9p-3, -0x1.5ae5ec3089eefp-3, -0x1.55f094feceeabp-3, -0x1.51038786df7d1p-3, -0x1.4c1efe884d9bcp-3, -0x1.4743313eced6bp-3, -0x1.42705469da9b3p-3, -0x1.3da69a16a5dep-3, -0x1.38e630c5b5765p-3, -0x1.342f45ce25e3cp-3, -0x1.2f8203059e189p-3, -0x1.2ade9023afb51p-3, -0x1.26451284ac394p-3, -0x1.21b5ad51b1bfp-3, -0x1.1d3080e42b693p-3, -0x1.18b5ac8e4c1fep-3, -0x1.14454cbe5d165p-3, -0x1.0fdf7c143cccep-3, -0x1.0b84534c8132ap-3, -0x1.0733e92a10984p-3, -0x1.02ee52ddd0c6dp-3, -0x1.fd6746c35ca3p-4, -0x1.f507d88f3241fp-4, -0x1.ecbe7abd734e8p-4, -0x1.e48b49ad51bd9p-4, -0x1.dc6e5ea2bdf15p-4, -0x1.d467cfb546c03p-4, -0x1.cc77b05302924p-4, -0x1.c49e10a3c50c3p-4, -0x1.bcdafe4ccb0cep-4, -0x1.b52e84490eb58p-4, -0x1.ad98aa4cb018dp-4, -0x1.a61976994d42p-4, -0x1.9eb0ec4535208p-4, -0x1.975f0c19a6f2fp-4, -0x1.9023d4a863c2dp-4, -0x1.88ff423b10f43p-4, -0x1.81f14effd2d51p-4, -0x1.7af9f2e2f919fp-4, -0x1.741924118684fp-4, -0x1.6d4ed672afb67p-4, -0x1.669afc5292093p-4, -0x1.5ffd85da6070cp-4, -0x1.597661832ad2cp-4, -0x1.53057c9bd1985p-4, -0x1.4caac1e7500f8p-4, -0x1.46661b027b3a4p-4, -0x1.4037703c8c32ap-4, -0x1.3a1ea810751c9p-4, -0x1.341ba7acd1a8ep-4, -0x1.2e2e52e8f2b5fp-4, -0x1.28568c39c559ep-4, -0x1.229434e6e8d9p-4, -0x1.1ce72d4ad62f5p-4, -0x1.174f534f89014p-4, -0x1.11cc85a65e0ap-4, -0x1.0c5ea0c011fc3p-4, -0x1.070580470d42cp-4, -0x1.01c0fefba215cp-4, -0x1.f921ed137dcf6p-5, -0x1.eeea7fdad7f4p-5, -0x1.e4db669988c1p-5, -0x1.daf44fa640d57p-5, -0x1.d134e8171cea1p-5, -0x1.c79cdb667cba2p-5, -0x1.be2bd4484e582p-5, -0x1.b4e17b20cd7ccp-5, -0x1.abbd783332f13p-5, -0x1.a2bf71ea6fca3p-5, -0x1.99e70dd45a409p-5, -0x1.9133f0b888268p-5, -0x1.88a5be166c43cp-5, -0x1.803c18f4f8c61p-5, -0x1.77f6a378556bap-5, -0x1.6fd4fec175fb1p-5, -0x1.67d6cb98b824dp-5, -0x1.5ffbaa0a555c2p-5, -0x1.584339cb8c4c2p-5, -0x1.50ad197f6bdbbp-5, -0x1.4938e823a7099p-5, -0x1.41e6440bd2517p-5, -0x1.3ab4cb1cfa353p-5, -0x1.33a41af21eedfp-5, -0x1.2cb3d1076a638p-5, -0x1.25e38a6e033c5p-5, -0x1.1f32e46973c42p-5, -0x1.18a17c20d8099p-5, -0x1.122eeeeb133fdp-5, -0x1.0bdad9919da49p-5, -0x1.05a4d9853769dp-5, -0x1.ff1917064fe51p-6, -0x1.f32319f216f47p-6, -0x1.e766f6d453832p-6, -0x1.dbe3e8f960662p-6, -0x1.d0992cab02cdp-6, -0x1.c585fe5d44813p-6, -0x1.baa99bf715f49p-6, -0x1.b00343470e559p-6, -0x1.a59232527f3d4p-6, -0x1.9b55a73fe87afp-6, -0x1.914ce2971cf71p-6, -0x1.8777251a6e123p-6, -0x1.7dd3b116c381fp-6, -0x1.7461caa59e5ebp-6, -0x1.6b20b737afd5bp-6, -0x1.620fbc3169726p-6, -0x1.592e1faed6d9ap-6, -0x1.507b277724a2ap-6, -0x1.47f61b412146ap-6, -0x1.3f9e449f566e3p-6, -0x1.3772ef232efe9p-6, -0x1.2f73697d0a3f8p-6, -0x1.279f03dfeb719p-6, -0x1.1ff50f98c0044p-6, -0x1.1874de60f6c2ep-6, -0x1.111dc1bb332a9p-6, -0x1.09ef09a9788d2p-6, -0x1.02e809f4def58p-6, -0x1.f8102f8263a6ap-7, -0x1.ea9d16ec74e96p-7, -0x1.dd758650c8adbp-7, -0x1.d0983e28f8f31p-7, -0x1.c4040090d2bacp-7, -0x1.b7b78fddc8c1cp-7, -0x1.abb1ad09ef618p-7, -0x1.9ff111a2254fp-7, -0x1.94747a8278885p-7, -0x1.893aa8d2db214p-7, -0x1.7e426882080aep-7, -0x1.738a92b512928p-7, -0x1.69120a21413dap-7, -0x1.5ed7b940bd069p-7, -0x1.54da8c96e54d9p-7, -0x1.4b1967d558825p-7, -0x1.41932844eac98p-7, -0x1.3846a3ea19c4ap-7, -0x1.2f32b0e5eaefap-7, -0x1.26562b8ab6ec2p-7, -0x1.1dafffd2c3b4cp-7, -0x1.153f2ae5cff65p-7, -0x1.0d02bb18012f9p-7, -0x1.04f9c858c67c6p-7, -0x1.fa46d5fde8e92p-8, -0x1.eafd693facd8ep-8, -0x1.dc154b51e4618p-8, -0x1.cd8c655c548fdp-8, -0x1.bf609423d60eep-8, -0x1.b18fbd75df3c1p-8, -0x1.a417e6e2121afp-8, -0x1.96f73bb82e93fp-8, -0x1.8a2c1a8592bf6p-8, -0x1.7db504e61e0fap-8, -0x1.719090ca83cb6p-8, -0x1.65bd44cccc6cdp-8, -0x1.5a398bbabbd58p-8, -0x1.4f03a8dab1625p-8, -0x1.4419bcecc816cp-8, -0x1.3979ddbd27632p-8, -0x1.2f2229dae31f7p-8, -0x1.2510e5e9d96b9p-8, -0x1.1b44834f5a2d5p-8, -0x1.11bba4b0e16d2p-8, -0x1.08751694e04efp-8, -0x1.fedf80ea73f36p-9, -0x1.ed550cf97a127p-9, -0x1.dc485c30a1582p-9, -0x1.cbb6a6d27b77bp-9, -0x1.bb9ccb4633dc8p-9, -0x1.abf77f65df011p-9, -0x1.9cc3858d43ad8p-9, -0x1.8dfdc968a516p-9, -0x1.7fa3827a56279p-9, -0x1.71b22c81c2e09p-9, -0x1.64279006a198ap-9, -0x1.5701c6e5c2375p-9, -0x1.4a3f1c5d2337ep-9, -0x1.3ddde61f32092p-9, -0x1.31dc3e211f6f9p-9, -0x1.2637ea75f36fap-9, -0x1.1aee692ccca99p-9, -0x1.0ffd191714c9fp-9, -0x1.056172e7154a1p-9, -0x1.f6322857455e4p-10, -0x1.e24365a35eb07p-10, -0x1.cef2241138835p-10, -0x1.bc3a2bf077854p-10, -0x1.aa17cfbb3358cp-10, -0x1.98880cc9a08cdp-10, -0x1.878864fb04eddp-10, -0x1.77164d620c374p-10, -0x1.672eca380b925p-10, -0x1.57ce52c817606p-10, -0x1.48f120c698292p-10, -0x1.3a93a59beba2p-10, -0x1.2cb292720e86fp-10, -0x1.1f4aa68b8a111p-10, -0x1.125837da2505p-10, -0x1.05d7349ce5298p-10, -0x1.f3870786adad7p-11, -0x1.dc33404cca1dfp-11, -0x1.c5adc3ea4c228p-11, -0x1.aff2a98b19c25p-11, -0x1.9afe2a47a7c91p-11, -0x1.86cc1627e24bep-11, -0x1.7357aab5e71cfp-11, -0x1.609c3ee6bf387p-11, -0x1.4e9586f84dd63p-11, -0x1.3d3fdd988802dp-11, -0x1.2c976d9dc1914p-11, -0x1.1c9737203cef6p-11, -0x1.0d38ad22c454ap-11, -0x1.fce8d5efeb5cfp-12, -0x1.e086da29dcb44p-12, -0x1.c53fd06a5759cp-12, -0x1.ab0ad47737a03p-12, -0x1.91e0ca5f07d31p-12, -0x1.79bba6a1a2303p-12, -0x1.6295aed7d8c45p-12, -0x1.4c69b12632a03p-12, -0x1.3732edea7b3c9p-12, -0x1.22ed3a912dd0cp-12, -0x1.0f948e1e86113p-12, -0x1.fa4827fafa66p-13, -0x1.d72a492a6376fp-13, -0x1.b5be49741aa0fp-13, -0x1.95efd8ab7364ap-13, -0x1.77a99a5e93abep-13, -0x1.5ad5c12d9070bp-13, -0x1.3f5ff5ce57b7ap-13, -0x1.25384345af5d4p-13, -0x1.0c549080b1021p-13, -0x1.e95ce48d6b98ap-14, -0x1.bc8323a9ba3fep-14, -0x1.9212d64d3c7f4p-14, -0x1.6a031f500f4bfp-14, -0x1.4448709527971p-14, -0x1.20d288c0977b2p-14, -0x1.ff2120dd9bfa7p-15, -0x1.c0e92c52733cfp-15, -0x1.86e2479891991p-15, -0x1.50e4e29a3102cp-15, -0x1.1eb3875e5a63dp-15, -0x1.dff8ad28eae44p-16, -0x1.88dec2bbba596p-16, -0x1.37b75f4638cc5p-16, -0x1.d8b894ca69272p-17, -0x1.4d665c2fb08ccp-17, -0x1.9a7673abb8e55p-18, -0x1.60775da31cd47p-19, 0x1.200c4ba99759bp-21, 0x1.c5e8c58dab2bbp-19, 0x1.8dd1b5b6f00cap-18, 0x1.12c4234ede8e4p-17, 0x1.552b8a71d5f3ep-17, 0x1.8e17d7123560bp-17, 0x1.bdb13dc8d8868p-17, 0x1.e475f819bcc24p-17, 0x1.019e47c353e5ap-16, 0x1.0d856d245f634p-16, 0x1.1642d1d7fa569p-16, 0x1.1be68043deb03p-16, 0x1.1e87bd1f24e95p-16, 0x1.1e5e576b6997ep-16, 0x1.1b8017aaf8675p-16, 0x1.15d97911b6f1bp-16, 0x1.0d73c1f3410edp-16, 0x1.02884e0e22698p-16, 0x1.eaac8d504dd4p-17, 0x1.cbf72a3b4cc92p-17, 0x1.a8e8910dcd56ap-17, 0x1.8175071ff165ep-17, 0x1.55c28d11e7955p-17, 0x1.262288c036823p-17, 0x1.e5fa3bc4bfdfep-18, 0x1.79a4186748a51p-18, 0x1.07ee25e79cedbp-18, 0x1.216d4aa4f8ce1p-19, 0x1.44537faf0bf8ep-22, -0x1.b180765c4322cp-20, -0x1.e1a73a94df6bbp-19, -0x1.7957f2712b0b9p-18, -0x1.02eca88f9b91ap-17, -0x1.4aeec2a79e1adp-17, -0x1.947094ef565cdp-17, -0x1.df4859e0fb5f5p-17, -0x1.15b6fd8887b2ap-16, -0x1.3c6bf3c412199p-16, -0x1.63b75e247bcbbp-16, -0x1.8b819021f8cbfp-16, -0x1.b3b3a67b94348p-16, -0x1.dc40910c889d1p-16, -0x1.028ba1de5c5f1p-15, -0x1.1712cc3c8b4e7p-15, -0x1.2bb7c59330f47p-15, -0x1.4073f4d9e7eeap-15, -0x1.5535a450854dbp-15, -0x1.69f877ec03172p-15, -0x1.7eba80b4fdb4ap-15, -0x1.9375e7e15a50fp-15, -0x1.a825b7cb6a21ep-15, -0x1.bcc5121b08906p-15, -0x1.d14f60ede9d74p-15, -0x1.e5c25a26ee2e3p-15, -0x1.fa1ab70c1d7f4p-15, -0x1.072a0809736b6p-14, -0x1.1134404ed896dp-14, -0x1.1b2a196bade18p-14, -0x1.250a54a798a52p-14, -0x1.2ed3ba6436c6ap-14, -0x1.388505fa676b6p-14, -0x1.421c6959e8b06p-14, -0x1.4b98b3cf3a54p-14, -0x1.54f8561dfd7f4p-14, -0x1.5e39b8af9eb4dp-14, -0x1.675bb083c13dcp-14, -0x1.705d0688c1c67p-14, -0x1.793d39bbc8d11p-14, -0x1.81fb38686af79p-14, -0x1.8a95f180e98d6p-14, -0x1.930ca6386a8e8p-14, -0x1.9b5dc1ee370a7p-14, -0x1.a388b91ddbd6cp-14, -0x1.ab8d208ffce2cp-14, -0x1.b36b6d42282c6p-14, -0x1.bb22eeaca697ep-14, -0x1.c2b337dc9973ap-14, -0x1.ca1bfec9a5359p-14, -0x1.d15b46a90d32p-14, -0x1.d86f55a33d784p-14, -0x1.df5ab92895ed9p-14, -0x1.e61d642718baap-14, -0x1.ecb69e942b1ccp-14, -0x1.f3222f5653b1ap-14, -0x1.f96127ddc45f6p-14, -0x1.ff7771d56a605p-14, -0x1.02b2aeaf344d3p-13, -0x1.05941f8d12799p-13, -0x1.08609d0e21526p-13, -0x1.0b17a087f30d8p-13, -0x1.0db7fbf2be5eap-13, -0x1.10428d65a116ep-13, -0x1.12b8463ecb9e8p-13, -0x1.15195f6a6ff37p-13, -0x1.1765b58a17b46p-13, -0x1.199d09edd6a1dp-13, -0x1.1bbf6c3df596ep-13, -0x1.1dcd173e7bcffp-13, -0x1.1fc574e7b8b4cp-13, -0x1.21a76c6c09152p-13, -0x1.2375c85dabefcp-13, -0x1.2531488fa24dep-13, -0x1.26d78955bcc63p-13, -0x1.2867d18e39778p-13, -0x1.29e357fa3cdbdp-13, -0x1.2b4bb9bc21a07p-13, -0x1.2ca12d84f2ff2p-13, -0x1.2de39b99a184ep-13, -0x1.2f133e01076bep-13, -0x1.302e4154401a6p-13, -0x1.3135e208b1d4ap-13, -0x1.322b414de22c5p-13, -0x1.330e76ef0a7cdp-13, -0x1.33df7b6316c16p-13, -0x1.349e816c148e5p-13, -0x1.354bb99bf0a89p-13, -0x1.35e733117595fp-13, -0x1.367124cf8ab67p-13, -0x1.36e9f90e5dc52p-13, -0x1.3751d79a04984p-13, -0x1.37a7a8e19b4f1p-13, -0x1.37eddaf93c4d4p-13, -0x1.3824be92d318bp-13, -0x1.384a7b816a3d1p-13, -0x1.38603f05098d9p-13, -0x1.38655c73f665bp-13, -0x1.385b59200be9cp-13, -0x1.384327a9169d4p-13, -0x1.381cec6007cbbp-13, -0x1.37e6a5d92eba1p-13, -0x1.37a1fd8b89e1bp-13, -0x1.374fb23003137p-13, -0x1.36efba91a958p-13, -0x1.368228a892a1fp-13, -0x1.36072f30b0df3p-13, -0x1.357f0d2167bb9p-13, -0x1.34ea140c9bdddp-13, -0x1.34487eaa0de5ap-13, -0x1.339a8aeed23dcp-13, -0x1.32e05993f15ddp-13, -0x1.321a3de316b59p-13, -0x1.3148cbd01021cp-13, -0x1.306b8c9440e1bp-13, -0x1.2f8350ef73591p-13, -0x1.2e90320dedd3ap-13, -0x1.2d929ac4b2bd3p-13, -0x1.2c8a582f1d872p-13, -0x1.2b76d7afba2e3p-13, -0x1.2a5a4e2ccd438p-13, -0x1.29348e28e8f25p-13, -0x1.280451e0d5019p-13, -0x1.26cb11a43af9bp-13, -0x1.25890e064e638p-13, -0x1.243e3f3e561abp-13, -0x1.22eaddd9caeebp-13, -0x1.218ef79c7c329p-13, -0x1.202b1239cc8a7p-13, -0x1.1ebf31038d8c2p-13, -0x1.1d4b90f89d0e4p-13, -0x1.1bd07619116c6p-13, -0x1.1a4e1e515ae63p-13, -0x1.18c4b6dcf4385p-13, -0x1.17346d6bcd0d2p-13, -0x1.159d6e887aa23p-13, -0x1.1400026a84988p-13, -0x1.125c8936cb1a9p-13, -0x1.10b2e71b65b54p-13, -0x1.0f036e54804d1p-13, -0x1.0d4e4e9937e14p-13, -0x1.0b937286e70c9p-13, -0x1.09d384a164bc3p-13, -0x1.080e985ea11e5p-13, -0x1.064482d3952fbp-13, -0x1.0475e9c28f23ep-13, -0x1.02a2d7affd645p-13, -0x1.00cb69a4e7739p-13, -0x1.fddf4fe146357p-14, -0x1.fa204529c174ap-14, -0x1.f6593e9ae17d5p-14, -0x1.f28af6447a80cp-14, -0x1.eeb5b0bde3008p-14, -0x1.ead9aa76c7533p-14, -0x1.e6f75abe6b493p-14, -0x1.e30f082217e5bp-14, -0x1.df20f5a70b972p-14, -0x1.db2d76420feeep-14, -0x1.d734de8223a0ep-14, -0x1.d3376efae64bdp-14, -0x1.cf3584a5248a4p-14, -0x1.cb2f4abd6a26fp-14, -0x1.c7254944331c8p-14, -0x1.c3181687e6ae8p-14, -0x1.bf064c65524b2p-14, -0x1.baf1e9ae7a121p-14, -0x1.b6dab669d05e8p-14, -0x1.b2c0da61746cap-14, -0x1.aea4bb1477908p-14, -0x1.aa86666a35169p-14, -0x1.a666532ee4983p-14, -0x1.a244aeb708b8ep-14, -0x1.9e21828dcbd6fp-14, -0x1.99fd3b8b00726p-14, -0x1.95d7ff1d6f96p-14, -0x1.91b21cfddf5c8p-14, -0x1.8d8bb7127a563p-14, -0x1.8965114d6919bp-14, -0x1.853e594a5449dp-14, -0x1.8117c7a770b7p-14, -0x1.7cf18e7cf0157p-14, -0x1.78cbe4a5f5d57p-14, -0x1.74a6ecf9f393fp-14, -0x1.70831cb691863p-14, -0x1.6c5fefde6f4bap-14, -0x1.683e4db6eed41p-14, -0x1.641e3055f80e7p-14, -0x1.5fffa490df53ep-14, -0x1.5be2e38715707p-14, -0x1.57c814acc2b24p-14, -0x1.53af8ea1b54ddp-14, -0x1.4f993052c19c6p-14, -0x1.4b8541976a6b3p-14, -0x1.4773d6be2ae53p-14, -0x1.4365404992df9p-14, -0x1.3f5991057094ap-14, -0x1.3b50d3178bcd9p-14, -0x1.374b4819866e6p-14, -0x1.334914b145a49p-14, -0x1.2f4a4202f7ea3p-14, -0x1.2b4ee1f43bdb1p-14, -0x1.275721ad0395dp-14, -0x1.236339272f9cep-14, -0x1.1f733c2471e13p-14, -0x1.1b872a1f9917ap-14, -0x1.179f3b2a8d7f5p-14, -0x1.13bb944760cbp-14, -0x1.0fdc37d1521cbp-14, -0x1.0c0181d41119fp-14, -0x1.082abdd6604fp-14, -0x1.0458e2d7deb83p-14, -0x1.008bba6183a39p-14, -0x1.f986bdc89d925p-15, -0x1.f1ff9d883a246p-15, -0x1.ea82725940356p-15, -0x1.e30f64e0b06e7p-15, -0x1.dba69509c37cap-15, -0x1.d447ef55bf322p-15, -0x1.ccf41dcf82794p-15, -0x1.c5aab67cc50dcp-15, -0x1.be6c323705e56p-15, -0x1.b738230adb92fp-15, -0x1.b00ed175717c4p-15, -0x1.a8f2143361d54p-15, -0x1.a1dfc43e2bc67p-15, -0x1.9ad8c182b9efcp-15, -0x1.93dd39190f6fep-15, -0x1.8ced292f7057p-15, -0x1.86093017ee455p-15, -0x1.7f306b9b557b4p-15, -0x1.7863d4a761bdcp-15, -0x1.71a316066d915p-15, -0x1.6aee35f771d0ap-15, -0x1.64455fbe67dffp-15, -0x1.5da8ffb41e701p-15, -0x1.57188e00eeeb5p-15, -0x1.50948df0956ddp-15, -0x1.4a1c88dbf6148p-15, -0x1.43b12f3344a67p-15, -0x1.3d52448b00b1bp-15, -0x1.36ff8dcf39d35p-15, -0x1.30b9f53db0624p-15, -0x1.2a8091f313133p-15, -0x1.2453d923c4e3fp-15, -0x1.1e33941cfbd9p-15, -0x1.1820038ffd088p-15, -0x1.12195dcee4727p-15, -0x1.0c1f91bc8a5bep-15, -0x1.06324e94f7fe5p-15, -0x1.00511582a2abfp-15, -0x1.f4fbbd7d7ca3cp-16, -0x1.e96de6b960002p-16, -0x1.ddfa044381503p-16, -0x1.d29f893a5ca0bp-16, -0x1.c75e6388b9229p-16, -0x1.bc373e5e08934p-16, -0x1.b129ae4921db1p-16, -0x1.a635cf3b59377p-16, -0x1.9b5b9ee1c2727p-16, -0x1.909b28919c10dp-16, -0x1.85f3d72070f22p-16, -0x1.7b6659d4dbcfdp-16, -0x1.70f2d07f97ffbp-16, -0x1.6698aa1c0e5fdp-16, -0x1.5c57b75f2f691p-16, -0x1.523073ed07d5ep-16, -0x1.4822ffc25d1d9p-16, -0x1.3e2e9e72b036ep-16, -0x1.3453a4db88fbdp-16, -0x1.2a91828ef865dp-16, -0x1.20e8f54bcacb7p-16, -0x1.17595665575cap-16, -0x1.0de315123d757p-16, -0x1.04862d2dee28cp-16, -0x1.f6840504da229p-17, -0x1.e42d313c9ec3dp-17, -0x1.d20964fe3ac5cp-17, -0x1.c01335e672bb9p-17, -0x1.ae52aa660bfcp-17, -0x1.9cc0f804d555ep-17, -0x1.8b5fb9c0209f7p-17, -0x1.7a2f91c5c0b36p-17, -0x1.69317d1e4ccccp-17, -0x1.5863623fa1908p-17, -0x1.47c5035607a2dp-17, -0x1.37569c06c722p-17, -0x1.2717e77199b26p-17, -0x1.1709d8438ca31p-17, -0x1.072a3203080a3p-17, -0x1.eef4723489cd1p-18, -0x1.cff08ed3ba1f7p-18, -0x1.b14a7404da90ep-18, -0x1.93032b027dbddp-18, -0x1.7514d61effd99p-18, -0x1.5789c1860490dp-18, -0x1.3a540bf50c621p-18, -0x1.1d7bd8b73aa8cp-18, -0x1.00f7557f07de8p-18, -0x1.c9b1951251046p-19, -0x1.921cdaa59877cp-19, -0x1.5b36f59130c36p-19, -0x1.2504f6749bae6p-19, -0x1.df08ad702a086p-20, -0x1.756ab3374c2c6p-20, -0x1.0d1b5fe661746p-20, -0x1.4c52b13e5c7b3p-21, -0x1.024395497af84p-22, 0x1.1d6724703871dp-23, 0x1.0d3cadf562fb1p-21, 0x1.d0764954f430ap-21, 0x1.488a64a2992fp-20, 0x1.a78dd8aff6e04p-20, 0x1.02a025da05439p-19, 0x1.30d7358edb91bp-19, 0x1.5e68ffaed2fecp-19, 0x1.8b5cb9e0b3eaep-19, 0x1.b7ae5881d7725p-19, 0x1.e362ecf459194p-19, 0x1.073a01fd04b08p-18, 0x1.1c7527d5ad87p-18, 0x1.3160a449e1ad5p-18, 0x1.4601b5808f26ep-18, 0x1.5a5205ffbb549p-18, 0x1.6e5884a3f1497p-18, 0x1.8211cf5608f7ep-18, 0x1.9582db7ad231dp-18, 0x1.a8a690e532f83p-18, 0x1.bb80bd4c47012p-18, 0x1.ce104495cafcbp-18, 0x1.e0593b2c10c0ep-18, 0x1.f25788eba59e8p-18, 0x1.0208444ef0925p-17, 0x1.0ac07d3898645p-17, 0x1.13555d2e75f39p-17, 0x1.1bc731ec77139p-17, 0x1.241658769deb9p-17, 0x1.2c438a035dbf9p-17, 0x1.344de2bcf05a6p-17, 0x1.3c36c0649416cp-17, 0x1.4401f775aa1fcp-17, 0x1.4ba60a18c5142p-17, 0x1.532a6e1de5602p-17, 0x1.5a8e59501d935p-17, 0x1.61d33fdbe41bbp-17, 0x1.68f7a1aec8279p-17, 0x1.6ffc7366fb00cp-17, 0x1.76e12d59f14c6p-17, 0x1.7da7532015899p-17, 0x1.844e794998812p-17, 0x1.8ad6518d573d6p-17, 0x1.91402e5c612ccp-17, 0x1.978c098a7d366p-17, 0x1.9dba487c48b55p-17, 0x1.a3cb1c69be72ep-17, 0x1.a9bdc14a21e0bp-17, 0x1.af946fa1dfe35p-17, 0x1.b54dba31e35fcp-17, 0x1.baebe49d4e96ap-17, 0x1.c06d2b2f845edp-17, 0x1.c5d2da66a4374p-17, 0x1.cb1d28a04445fp-17, 0x1.d04ac91637be8p-17, 0x1.d55ec76de2c1ep-17, 0x1.da571e6b7803dp-17, 0x1.df36d4cc0004p-17, 0x1.e3fb4c957ea4cp-17, 0x1.e8a4cb20a1536p-17, 0x1.ed35dfdbe92d3p-17, 0x1.f1aa612efd8e7p-17, 0x1.f60c3b73cf916p-17, 0x1.fa51dfc3cdfe1p-17, 0x1.fe7f289d0e99bp-17, 0x1.0149e052759cp-16, 0x1.034798e7288f3p-16, 0x1.05398663160e4p-16, 0x1.0720dfc4db69bp-16, 0x1.08fbfa07986cbp-16, 0x1.0acb697903c51p-16, 0x1.0c8f819013da4p-16, 0x1.0e487bf940aaap-16, 0x1.0ff6189d19523p-16, 0x1.1198e63a56c5p-16, 0x1.1330b311bdd4ep-16, 0x1.14bdceb8a6003p-16, 0x1.164031f4ef981p-16, 0x1.17b8016b0ab5ep-16, 0x1.192507f7845bep-16, 0x1.1a88d5a042185p-16, 0x1.1be1ec3fe5fd7p-16, 0x1.1d310ff0b5116p-16, 0x1.1e763fcd7681bp-16, 0x1.1fb14d93e9d78p-16, 0x1.20e32939b377dp-16, 0x1.220b3ae364b93p-16, 0x1.2329c02815a25p-16, 0x1.243f40173073ep-16, 0x1.254addef5f4bdp-16, 0x1.264c4f7e39f1p-16, 0x1.274860fd847f1p-16, 0x1.2839462e50239p-16, 0x1.291ffb039440ep-16, 0x1.2a01062494bacp-16, 0x1.2ad7f6ea5a88p-16, 0x1.2ba67f588c347p-16, 0x1.2c6cded7115cfp-16, 0x1.2d2a923b8ae22p-16, 0x1.2de09085eddc5p-16, 0x1.2e8eb1a8eb45fp-16, 0x1.2f34369dca3e6p-16, 0x1.2fd11805b5569p-16, 0x1.30683d53e968cp-16, 0x1.30f7a04c31bc5p-16, 0x1.317ebc4464aa4p-16, 0x1.31fe3320adbddp-16, 0x1.32768b02a0b68p-16, 0x1.32e7b211d923p-16, 0x1.3351b992461e5p-16, 0x1.33b4d735b2e54p-16, 0x1.340e385d1c4fp-16, 0x1.346653e016fa5p-16, 0x1.34b4e5b59bf0cp-16, 0x1.34fcba0b0c939p-16, 0x1.353ddce822676p-16, 0x1.357885cee6b0ep-16, 0x1.35ace165dfa7fp-16, 0x1.35db3e8837bd2p-16, 0x1.360388d68c5a2p-16, 0x1.3625366fc5564p-16, 0x1.36408403f1201p-16, 0x1.36566c9e97e7fp-16, 0x1.3666fb44976e8p-16, 0x1.367167d950e94p-16, 0x1.3675b6746ab5bp-16, 0x1.3673d4aba7be2p-16, 0x1.366dcad2e47ebp-16, 0x1.36627241bf8f8p-16, 0x1.36511a68c1012p-16, 0x1.363a47c54a1dap-16, 0x1.361e320ec80c1p-16, 0x1.35fda12a261cap-16, 0x1.35d7bfb9d308p-16, 0x1.35ad063500bb1p-16, 0x1.357c807b8c322p-16, 0x1.354871651b14fp-16, 0x1.350f48744cd37p-16, 0x1.34d1a5d933faep-16, 0x1.348f37f875db6p-16, 0x1.3447ec161d9c9p-16, 0x1.33fc9f314bee4p-16, 0x1.33ac8a878e0e5p-16, 0x1.3358e766cf925p-16, 0x1.33007fd0ce566p-16, 0x1.32a4401b0645dp-16, 0x1.3245e265501abp-16, 0x1.31df01da66aa4p-16, 0x1.317622d3bc3bap-16, 0x1.310abe2f3f4c6p-16, 0x1.309a75a68f3fbp-16, 0x1.3027dd536a3e5p-16, 0x1.2faf64ce35e68p-16, 0x1.2f34f0e9654ecp-16, 0x1.2eb52f695840ep-16, 0x1.2e32fc05c12e5p-16, 0x1.2dacb3a3e4c89p-16, 0x1.2d2478806d1e4p-16, 0x1.2c985cf30b335p-16, 0x1.2c0932291e85ap-16, 0x1.2b7690dceb1f6p-16, 0x1.2ae065c4e5bfp-16, 0x1.2a47b1312ec3bp-16, 0x1.29abf66f11075p-16, 0x1.290d22cc44502p-16, 0x1.286bca2cd36f6p-16, 0x1.27c74b0693443p-16, 0x1.271fd85719915p-16, 0x1.2675a920c300ep-16, 0x1.25c9200d6aac4p-16, 0x1.2519ce12454dep-16, 0x1.246873949341ep-16, 0x1.23b433804151dp-16, 0x1.22fcfa568d069p-16, 0x1.2243b49046f6cp-16, 0x1.21885f39f263dp-16, 0x1.20cab0747bbb4p-16, 0x1.200a588a6fe29p-16, 0x1.1f45cc4f75f99p-16, 0x1.1e837e2e56a3dp-16, 0x1.1dbd95c3174cfp-16, 0x1.1cf5736d75fc2p-16, 0x1.1c2999bbf69c9p-16, 0x1.1b5cb64fc3256p-16, 0x1.1a8e680c7ec81p-16, 0x1.19bcf07ca9945p-16, 0x1.18ebdf1a60c46p-16, 0x1.1817c7a3875e2p-16, 0x1.1742586055ca8p-16, 0x1.166a2cfeddca1p-16, 0x1.15909925096ep-16, 0x1.14b61e974097p-16, 0x1.13dbd710fe95dp-16, 0x1.12fc052559f2bp-16, 0x1.121bfb018e0efp-16, 0x1.113af3b2e0297p-16, 0x1.10598c1127eecp-16, 0x1.0f75ee34fade7p-16, 0x1.0e8feb8f9e757p-16, 0x1.0da9c3441d9e6p-16, 0x1.0cc289340d0ebp-16, 0x1.0bd9a901430cbp-16, 0x1.0aef4238b93ap-16, 0x1.0a040da567f34p-16, 0x1.091741ca31fbep-16, 0x1.082a50c7092b5p-16, 0x1.073bd603aa3ap-16, 0x1.064b765d53547p-16, 0x1.055b41af71da8p-16, 0x1.0469f815db2e7p-16, 0x1.037798b9b7318p-16, 0x1.028454aea4fefp-16, 0x1.0190695f44f4fp-16, 0x1.009a2c39fec7p-16, 0x1.ff4a0e3d599d3p-17, 0x1.fd5ee42424f76p-17, 0x1.fb6f7e0b4aep-17, 0x1.f97cb1cd2025cp-17, 0x1.f78d559d7ea66p-17, 0x1.f59b2c44546b1p-17, 0x1.f3a7314105fd1p-17, 0x1.f1b2762a1504bp-17, 0x1.efb66c9a55d0fp-17, 0x1.edc39ec3d804fp-17, 0x1.ebcbf0cbb3945p-17, 0x1.e9d34c6475c3dp-17, 0x1.e7d87f315ca01p-17, 0x1.e5dd6e8daccf5p-17, 0x1.e3e0cd1255663p-17, 0x1.e1e526e13b2b2p-17, 0x1.dfe7e3cc9f75dp-17, 0x1.ddeafbc183211p-17, 0x1.dbea2fc39ed62p-17, 0x1.d9ee273f87335p-17, 0x1.d7ec06d497b1fp-17, 0x1.d5e9ab308acbep-17, 0x1.d3ea1c76511dbp-17, 0x1.d1ea082ece82bp-17, 0x1.cfe827c2a1e2dp-17, 0x1.cde65cdeea275p-17, 0x1.cbe422c796cc3p-17, 0x1.c9e36320435afp-17, 0x1.c7e05e2662fc8p-17, 0x1.c5dd2f539125bp-17, 0x1.c3dae5d26df05p-17, 0x1.c1d8d9cbdbb81p-17, 0x1.bfd60706bf9edp-17, 0x1.bdd2b4178d9a3p-17, 0x1.bbcfbe21caad7p-17, 0x1.b9cebaba1e51bp-17, 0x1.b7cb9c0d25b02p-17, 0x1.b5c8a94a64beap-17, 0x1.b3c8205a7d5a4p-17, 0x1.b1c6b6beeddep-17, 0x1.afc3f98a8481ep-17, 0x1.adc2c902f9e6fp-17, 0x1.abc29276d7a53p-17, 0x1.a9c2497027d89p-17, 0x1.a7c0ff870d2e6p-17, 0x1.a5c28bf120013p-17, 0x1.a3c3e658edb0ap-17, 0x1.a1c453091ac0fp-17, 0x1.9fc5f44f3b316p-17, 0x1.9dc85617f4b79p-17, 0x1.9bcbbd8ef14d6p-17, 0x1.99cfdd56c4758p-17, 0x1.97d4e1e7f06e1p-17, 0x1.95d7f286803eap-17, 0x1.93de9e233819ep-17, 0x1.91e3df30af1cep-17, 0x1.8feb4299d2c43p-17, 0x1.8df2d6eb89c25p-17, 0x1.8bfd1996b443dp-17, 0x1.8a060e45e19eap-17, 0x1.880f48e990ed1p-17, 0x1.8619c1d1dbe61p-17, 0x1.84272dede7647p-17, 0x1.823491254e54ap-17, 0x1.8040cc1241705p-17, 0x1.7e5093c032e4ap-17, 0x1.7c608684e60c2p-17, 0x1.7a70a6764eb74p-17, 0x1.78828b8df241p-17, 0x1.7695f25fb8064p-17, 0x1.74a9f39cbce2dp-17, 0x1.72bdf5c096bd4p-17, 0x1.70d4c19415cd5p-17, 0x1.6eec2560567c8p-17, 0x1.6d046cf0fe45ap-17, 0x1.6b1cb96f7d5e9p-17, 0x1.693801e2e7676p-17, 0x1.6755aa66d7509p-17, 0x1.65714acfeebap-17, 0x1.638dd3df8930ep-17, 0x1.61aed80d6e485p-17, 0x1.5fd03f9826da6p-17, 0x1.5df18e2963615p-17, 0x1.5c10d102dfeb5p-17, 0x1.5a395e6dc2786p-17, 0x1.585f2eaeb7c01p-17, 0x1.568635dcb2064p-17, 0x1.54af37bb426a7p-17, 0x1.52d88da443112p-17, 0x1.5103bcacbc319p-17, 0x1.4f309a05d9d6ap-17, 0x1.4d5ea18400bd6p-17, 0x1.4b8dbe21246fp-17, 0x1.49be62423611fp-17, 0x1.47f11f3f2cac6p-17, 0x1.4624440c1922dp-17, 0x1.4459ed1b83312p-17, 0x1.429030ba5faa8p-17, 0x1.40c7f9faa1511p-17, 0x1.3efedd6d64cb9p-17, 0x1.3d3cfd19e06d5p-17, 0x1.3b78c4c2164d1p-17, 0x1.39b6d76161d3bp-17, 0x1.37f5fcc8d712ap-17, 0x1.36371940ec41cp-17, 0x1.3479d0925b09bp-17, 0x1.32bd9defba6c5p-17, 0x1.310335556f0b3p-17, 0x1.2f4a99fbe1aa9p-17, 0x1.2d935818d51acp-17, 0x1.2bdcfd91f1332p-17, 0x1.2a2928f4d0126p-17, 0x1.287393822c1dep-17, 0x1.26c66922fc53bp-17, 0x1.2516108f67aeap-17, 0x1.236865c1cfb89p-17, 0x1.21bb65e2081e5p-17, 0x1.2011e4a05848dp-17, 0x1.1e68bbe7624cdp-17, 0x1.1cc0e103ca71cp-17, 0x1.1b1b80ff71211p-17, 0x1.197511f7e6b1bp-17, 0x1.17d47ccee9b56p-17, 0x1.1633dcfb05716p-17, 0x1.1495174a7e4dap-17, 0x1.12f62d54e8a4fp-17, 0x1.115a2f6e4cabcp-17, 0x1.0fc138ee0b276p-17, 0x1.0e2845a864e28p-17, 0x1.0c913715bfaadp-17, 0x1.0afba9131c97fp-17, 0x1.09682f99fb497p-17, 0x1.07d6843aed863p-17, 0x1.0646379234f8p-17, 0x1.04b6c26687125p-17, 0x1.032af36f1a6aep-17, 0x1.019fce56ad0f9p-17, 0x1.001576c8e8702p-17, 0x1.fd1ae610af1ffp-18, 0x1.fa0eb3318bb0ep-18, 0x1.f70676908e9a6p-18, 0x1.f4015eb906459p-18, 0x1.f0fdf1c4e50ecp-18, 0x1.edfd9e6de2801p-18, 0x1.eb0248be29583p-18, 0x1.e80c05559901p-18, 0x1.e517499bdf10dp-18, 0x1.e224b7ac6383p-18, 0x1.df3678210b71bp-18, 0x1.dc4d7d1812013p-18, 0x1.d9641a788b6dbp-18, 0x1.d680b9fc85f53p-18, 0x1.d3a018363bfe6p-18, 0x1.d0c26714f1588p-18, 0x1.cde95b4784f2fp-18, 0x1.cb137d0470d22p-18, 0x1.c83da0bb6e7b7p-18, 0x1.c56e319645f1fp-18, 0x1.c2a4329fddd2dp-18, 0x1.bfdb20b77c74p-18, 0x1.bd13e7f18b556p-18, 0x1.ba52999be13bap-18, 0x1.b7939b2e18b37p-18, 0x1.b4d865c68acd5p-18, 0x1.b221a7c9ad50fp-18, 0x1.af6ac901f385ep-18, 0x1.acb99480ce33dp-18, 0x1.aa0bb733c8f03p-18, 0x1.a7616813bf714p-18, 0x1.a4b878f94b102p-18, 0x1.a2145618c4022p-18, 0x1.9f73b20f910ebp-18, 0x1.9cd63f1034b5ep-18, 0x1.9a3c1ee5db7f2p-18, 0x1.97a5e093920fep-18, 0x1.951091e20445ap-18, 0x1.928108e8329d9p-18, 0x1.8ff424118756bp-18, 0x1.8d6b0c8d77c0dp-18, 0x1.8ae3f211a4a16p-18, 0x1.88609162357fp-18, 0x1.85e0739d53494p-18, 0x1.8365e2a68c342p-18, 0x1.80ea3fcf7ce12p-18, 0x1.7e74c8aa9a7p-18, 0x1.7c01769d24f82p-18, 0x1.79916ddd00446p-18, 0x1.772688fa416a2p-18, 0x1.74bc9e1291454p-18, 0x1.72566ea615962p-18, 0x1.6ff3a859b499cp-18, 0x1.6d9401f57fb16p-18, 0x1.6b37976581b7bp-18, 0x1.68da9cb13949dp-18, 0x1.6688b8728a8c6p-18, 0x1.643557ec55e0dp-18, 0x1.61e5a54ae1aafp-18, 0x1.5f97d25232759p-18, 0x1.5d5185acac432p-18, 0x1.5b096efce6fb8p-18, 0x1.58c5bfc73145p-18, 0x1.5685e9fc67d74p-18, 0x1.54499f36de89bp-18, 0x1.520fd50a0617ap-18, 0x1.4fd88a74de762p-18, 0x1.4da4a4532950ap-18, 0x1.4b74f7e5e5a75p-18, 0x1.49468c4a91632p-18, 0x1.471aabd52f6e9p-18, 0x1.44f61a57b77ap-18, 0x1.42d0a819f0febp-18, 0x1.40aef770ec588p-18, 0x1.3e906707cb3a3p-18, 0x1.3c7415b2a17a1p-18, 0x1.3a5ca811d27ddp-18, 0x1.3847673adafc2p-18, 0x1.3634cdcd3c7p-18, 0x1.3425978472e21p-18, 0x1.321a04db30bccp-18, 0x1.300f6d33fe2fdp-18, 0x1.2e07ed41c5219p-18, 0x1.2c059d564315bp-18, 0x1.2a04b4871bfb2p-18, 0x1.280690d471b6cp-18, 0x1.260bb892c2f64p-18, 0x1.2413f2a085c65p-18, 0x1.221f84035ad75p-18, 0x1.202a7b268106cp-18, 0x1.1e3bc05f285d3p-18, 0x1.1c5153adc7446p-18, 0x1.1a6630d5e3ce7p-18, 0x1.187e7b80f69f4p-18, 0x1.169ad49bfaffdp-18, 0x1.14ba474da2b0ep-18, 0x1.12db090445258p-18, 0x1.10ff176222705p-18, 0x1.0f257b2979f2bp-18, 0x1.0d4f75d1da55ap-18, 0x1.0b7b95ce87287p-18, 0x1.09ab132bbeffep-18, 0x1.07dd943f0d41p-18, 0x1.061232c70665ap-18, 0x1.0449b9960f9fcp-18, 0x1.02833307f4fadp-18, 0x1.00c025409a431p-18, 0x1.fdff298566165p-19, 0x1.fa845645f7554p-19, 0x1.f70cb3c634956p-19, 0x1.f39b2dc15d8f7p-19, 0x1.f02f28ab2a663p-19, 0x1.ecc8f301b2665p-19, 0x1.e96763ed53157p-19, 0x1.e6094d3e61595p-19, 0x1.e2b1a4bd40ecbp-19, 0x1.df632fc392222p-19, 0x1.dc145f7ad63ecp-19, 0x1.d8c98971f2498p-19, 0x1.d58670ff3876bp-19, 0x1.d24b7d6477ad1p-19, 0x1.cf13ca8fe93e5p-19, 0x1.cbdf69badffcfp-19, 0x1.c8af8e8e4fa8p-19, 0x1.c584b418442ffp-19, 0x1.c26141f9effc6p-19, 0x1.bf422a4cbd9fp-19, 0x1.bc26c2d07c2a1p-19, 0x1.b90e78a6e5edap-19, 0x1.b5ff083b05ae5p-19, 0x1.b2f3258717a77p-19, 0x1.afeab26bf80c4p-19, 0x1.ace674af1cb01p-19, 0x1.a9e890ee26f03p-19, 0x1.a6f172b8de9abp-19, 0x1.a3fb987b2cf24p-19, }}, 
      {{-0x1.b3fdb2e6795a4p-1, -0x1.aa81ab7e3af4ap-1, -0x1.9db154a502fdbp-1, -0x1.8de90248324b2p-1, -0x1.7b8aaac709f7ap-1, -0x1.66f922ea3ca1dp-1, -0x1.5094d7eac79e9p-1, -0x1.38b99a9f34319p-1, -0x1.1fbd32c13a179p-1, -0x1.05ee87300f2fp-1, -0x1.d72a69ae7db85p-2, -0x1.a1e2ec1ff952bp-2, -0x1.6c788776714bp-2, -0x1.374f3d90320c5p-2, -0x1.02bde7ab9e1d5p-2, -0x1.9e1e3ea726848p-3, -0x1.39046cd14fb9bp-3, -0x1.ad30d976777b4p-4, -0x1.dcc6d33ed8078p-5, -0x1.b1701ed9cb816p-7, 0x1.ebff02a6b3673p-6, 0x1.24d0d9c69ab28p-4, 0x1.c707b7b66b85ep-4, 0x1.30bdb6987e33ep-3, 0x1.7a0a8ca74184dp-3, 0x1.bf66c508a7854p-3, 0x1.006ac677a4fefp-2, 0x1.1f2ff01a669b2p-2, 0x1.3c09d5888ff65p-2, 0x1.57018130980d5p-2, 0x1.7021b90a30fb1p-2, 0x1.8776aee1448afp-2, 0x1.9d0dba0daaee6p-2, 0x1.b0f5192ca135dp-2, 0x1.c33bbb4cde8d8p-2, 0x1.d3f10fdee3ab1p-2, 0x1.e324dd2207455p-2, 0x1.f0e71ad787788p-2, 0x1.fd47d3caf15ecp-2, 0x1.042b852370e73p-1, 0x1.091250a29dcfcp-1, 0x1.0d60246510985p-1, 0x1.111cb6dea8fe2p-1, 0x1.144f96272bb4fp-1, 0x1.17002266c7d6ap-1, 0x1.1935899c06c98p-1, 0x1.1af6c3bfabc9ep-1, 0x1.1c4a905472f52p-1, 0x1.1d377485ea84ap-1, 0x1.1dc3b9a1f567fp-1, 0x1.1df56c7381717p-1, 0x1.1dd25cfd4269ep-1, 0x1.1d601e52e77eep-1, 0x1.1ca4074003d24p-1, 0x1.1ba332d0edb6ep-1, 0x1.1a62814df5907p-1, 0x1.18e699538fd9ap-1, 0x1.1733e91924f57p-1, 0x1.154ea7d82093bp-1, 0x1.133ad73cfc20fp-1, 0x1.10fc453383b81p-1, 0x1.0e968d433fd6p-1, 0x1.0c0d1a40d4463p-1, 0x1.0963283ef5532p-1, 0x1.069bc61152d26p-1, 0x1.03b9d713bf206p-1, 0x1.00c014de3e581p-1, 0x1.fb6221e445f0dp-2, 0x1.f51e6ce8a19b3p-2, 0x1.eeb99771fcaedp-2, 0x1.e837e83303177p-2, 0x1.e19d624fd071ap-2, 0x1.daedc92a6fd23p-2, 0x1.d42ca3106b613p-2, 0x1.cd5d3c1b49874p-2, 0x1.c682a91dc0374p-2, 0x1.bf9fca438457bp-2, 0x1.b8b74de35b36dp-2, 0x1.b1cbb2b05c85ep-2, 0x1.aadf4a84db232p-2, 0x1.a3f43c8d82c76p-2, 0x1.9d0c87962331bp-2, 0x1.962a0436383afp-2, 0x1.8f4e66f792a9ap-2, 0x1.887b41f990015p-2, 0x1.81b207ac9488bp-2, 0x1.7af40b9d4bb29p-2, 0x1.744284f253497p-2, 0x1.6d9e8fc70bae6p-2, 0x1.67092ecdd64a5p-2, 0x1.60834cf09284p-2, 0x1.5a0dbe7c15dbdp-2, 0x1.53a942cc0008cp-2, 0x1.4d568572a4ae5p-2, 0x1.47161f7f55b3ap-2, 0x1.40e898b4b7d08p-2, 0x1.3ace688b4070fp-2, 0x1.34c7f76ee895p-2, 0x1.2ed59f88f4c08p-2, 0x1.28f7adf22a008p-2, 0x1.232e635a072f4p-2, 0x1.1d79f502026dp-2, 0x1.17da8d7f96615p-2, 0x1.12504d8947a34p-2, 0x1.0cdb4c9feff45p-2, 0x1.077b99cf42523p-2, 0x1.02313c42bfc94p-2, 0x1.f9f867ccf7dedp-3, 0x1.efb8f3f3c8f61p-3, 0x1.e5a403216f468p-3, 0x1.dbb97034c7b41p-3, 0x1.d1f90b8e92e34p-3, 0x1.c8629c5559981p-3, 0x1.bef5e08f2658bp-3, 0x1.b5b28e96b2e9bp-3, 0x1.ac985578054bdp-3, 0x1.a3a6ddb980b5ap-3, 0x1.9addc9eb2fec8p-3, 0x1.923cb76c3f0dap-3, 0x1.89c33e94e182ep-3, 0x1.8170f3d673682p-3, 0x1.794567ad6e952p-3, 0x1.7140275a2269p-3, 0x1.6960bd2891b2cp-3, 0x1.61a6b0f4d528ep-3, 0x1.5a1188665fcacp-3, 0x1.52a0c75d9b4b8p-3, 0x1.4b53f0247dbe6p-3, 0x1.442a83d18722ap-3, 0x1.3d24026f96b2bp-3, 0x1.363feb6485c8cp-3, 0x1.2f7dbd701c783p-3, 0x1.28dcf7191a32p-3, 0x1.225d16b86e924p-3, 0x1.1bfd9ab606105p-3, 0x1.15be01b3449aap-3, 0x1.0f9dcaa8af41ap-3, 0x1.099c751160a2fp-3, 0x1.03b98107c89a4p-3, 0x1.fbe8debe01788p-4, 0x1.f09983699afb2p-4, 0x1.e583f54c2825bp-4, 0x1.daa73b72a3db8p-4, 0x1.d0025f5b26144p-4, 0x1.c5946c6d4af55p-4, 0x1.bb5c70a420c6ap-4, 0x1.b1597c778353p-4, 0x1.a78aa2f1dbd51p-4, 0x1.9deef9db07c4ap-4, 0x1.9485995ab1db1p-4, 0x1.8b4d9cf0feeb7p-4, 0x1.824622994575fp-4, 0x1.796e4b5c821fep-4, 0x1.70c53acb13e98p-4, 0x1.684a17fab6428p-4, 0x1.5ffc0cb49ecf6p-4, 0x1.57da45af3ec36p-4, 0x1.4fe3f2d4965eap-4, 0x1.481846bb294aep-4, 0x1.4076779d0c19dp-4, 0x1.38fdbde1a1e1ap-4, 0x1.31ad55b5f80b6p-4, 0x1.2a847dc8d8a17p-4, 0x1.238277e32c473p-4, 0x1.1ca6890c1d131p-4, 0x1.15eff8576d649p-4, 0x1.0f5e116c4b93p-4, 0x1.08f0215132722p-4, 0x1.02a5786ec1fadp-4, 0x1.f8fad43ae2a8cp-5, 0x1.ecee9956d6892p-5, 0x1.e124f1d46c649p-5, 0x1.d59c953757188p-5, 0x1.ca544040fb926p-5, 0x1.bf4ab55b7ac07p-5, 0x1.b47ebbfb821dep-5, 0x1.a9ef217ac9b39p-5, 0x1.9f9ab782bceffp-5, 0x1.958055959dc9fp-5, 0x1.8b9ed80a2dd04p-5, 0x1.81f51fdc714a9p-5, 0x1.788214e756b56p-5, 0x1.6f44a0960c208p-5, 0x1.663bb3b421243p-5, 0x1.5d6642ceabeaap-5, 0x1.54c347c37b9adp-5, 0x1.4c51c02ab2449p-5, 0x1.4410aebb5573ep-5, 0x1.3bff1aa0c45e2p-5, 0x1.341c0f4534d8dp-5, 0x1.2c669c0a9d4ap-5, 0x1.24ddd5e4ac793p-5, 0x1.1d80d44c1115cp-5, 0x1.164eb41f0a81ap-5, 0x1.0f4695b97b04bp-5, 0x1.08679db7d5174p-5, 0x1.01b0f472a509dp-5, 0x1.f6438c7b2fbc3p-6, 0x1.e9728701d6678p-6, 0x1.dced403a5201bp-6, 0x1.d0b22790a12f2p-6, 0x1.c4bfb3bd2f573p-6, 0x1.b9146290b98abp-6, 0x1.adaeb917a24e7p-6, 0x1.a28d431e178f8p-6, 0x1.97ae938937391p-6, 0x1.8d1143bd15727p-6, 0x1.82b3f3635097ap-6, 0x1.78954b2a2d6f3p-6, 0x1.6eb3f5fa96f7p-6, 0x1.650ea8650754dp-6, 0x1.5ba41b81ab994p-6, 0x1.52730f6a1aaa8p-6, 0x1.497a4b36da8a9p-6, 0x1.40b89672735f4p-6, 0x1.382cc6c2050ebp-6, 0x1.2fd5b23d63ab3p-6, 0x1.27b235958c5cp-6, 0x1.1fc133e943104p-6, 0x1.1801923858899p-6, 0x1.1072415b0f693p-6, 0x1.09123210c9f16p-6, 0x1.01e05c7e76273p-6, 0x1.f5b77bc38d92ap-7, 0x1.e806ace239a81p-7, 0x1.daac5acfbf7cdp-7, 0x1.cda6a0d740dcfp-7, 0x1.c0f39856f9297p-7, 0x1.b49171e9a12ap-7, 0x1.a87e5d3688b85p-7, 0x1.9cb8960ca4e68p-7, 0x1.913e658bd3925p-7, 0x1.860e15603a95dp-7, 0x1.7b25fd8dcd416p-7, 0x1.70847cc307fc3p-7, 0x1.6627fa81662f1p-7, 0x1.5c0ee6723d478p-7, 0x1.5237b9ab9517cp-7, 0x1.48a0ed62ce4bdp-7, 0x1.3f490e8eb1162p-7, 0x1.362eaa0f28abap-7, 0x1.2d50566ba4b6cp-7, 0x1.24acafa25099dp-7, 0x1.1c425d1eeb7d1p-7, 0x1.141007fd9d0bp-7, 0x1.0c146477bad4cp-7, 0x1.044e2bd7ee437p-7, 0x1.f9783ba74263bp-8, 0x1.eaba0595a0f6p-8, 0x1.dc5f4ca75222cp-8, 0x1.ce65bb5f8d1c5p-8, 0x1.c0cb04f15a03ep-8, 0x1.b38ce7a819f03p-8, 0x1.a6a93589fb609p-8, 0x1.9a1dc10cb82f1p-8, 0x1.8de87158c9a1fp-8, 0x1.820734789bdd1p-8, 0x1.76780525ddec7p-8, 0x1.6b38e938c83ep-8, 0x1.6047f1431b7ebp-8, 0x1.55a337cb96ab7p-8, 0x1.4b48e27163ba6p-8, 0x1.413720bcaedep-8, 0x1.376c2dd23cc5bp-8, 0x1.2de648a9d7ab7p-8, 0x1.24a3c4863466ap-8, 0x1.1ba2f1f81492p-8, 0x1.12e23696dd76ep-8, 0x1.0a5ff631d8aafp-8, 0x1.021aa488b0342p-8, 0x1.f42182c1818d3p-9, 0x1.e48191a3a149ap-9, 0x1.d5529294a886fp-9, 0x1.c691af40358e4p-9, 0x1.b83c1db312ee8p-9, 0x1.aa4f264a982ffp-9, 0x1.9cc824435965ep-9, 0x1.8fa4806e1cdc2p-9, 0x1.82e1a1c8ce98p-9, 0x1.767d1ea44be55p-9, 0x1.6a7483109cbb3p-9, 0x1.5ec570614f24ap-9, 0x1.536d9780b87f8p-9, 0x1.486ab20658759p-9, 0x1.3dba9178501a6p-9, 0x1.335b071bb1a1ep-9, 0x1.2949f7244665fp-9, 0x1.1f854f870db81p-9, 0x1.160b1a2f595d3p-9, 0x1.0cd9511389b2fp-9, 0x1.03ee0f7511da1p-9, 0x1.f68ee8e5c4d47p-10, 0x1.e5c750381ef67p-10, 0x1.d581cd4e4f13cp-10, 0x1.c5bad81202a14p-10, 0x1.b66f1c6d489dfp-10, 0x1.a79b21d325116p-10, 0x1.993bcdf6201e4p-10, 0x1.8b4de7fbcffe5p-10, 0x1.7dce5b6d4dc3bp-10, 0x1.70ba290fe0538p-10, 0x1.640e42c3ea862p-10, 0x1.57c7e315c77b2p-10, 0x1.4be435610ade4p-10, 0x1.4060792c4928cp-10, 0x1.353a10cd6156ap-10, 0x1.2a6e596bfe073p-10, 0x1.1ffac934c0673p-10, 0x1.15dcecefb414ep-10, 0x1.0c12525e5898fp-10, 0x1.0298a2588f40ap-10, 0x1.f2db2b9dbb966p-11, 0x1.e11dc8bc689e5p-11, 0x1.cff4c7340f484p-11, 0x1.bf5bdef5e8494p-11, 0x1.af4ef2be8fa04p-11, 0x1.9fc9fc3dfac1ep-11, 0x1.90c9134bf3079p-11, 0x1.824858dbe7b52p-11, 0x1.74441b056af77p-11, 0x1.66b8a8c16a8bp-11, 0x1.59a27cc65b01ep-11, 0x1.4cfe199589e15p-11, 0x1.40c817f2f2be8p-11, 0x1.34fd2b1be6135p-11, 0x1.299a1e38d20efp-11, 0x1.1e9bdb3ddfe83p-11, 0x1.13ff6adb61f4ap-11, 0x1.09c1dd4b75a0dp-11, 0x1.ffc09e004722fp-12, 0x1.ecaff439a2989p-12, 0x1.da4c4dc02b706p-12, 0x1.c890428dc0f43p-12, 0x1.b776a937827f3p-12, 0x1.a6fa4bc480c79p-12, 0x1.971660daa09c8p-12, 0x1.87c60fc8d6971p-12, 0x1.7904cb1af7d4ep-12, 0x1.6ace5b71938c5p-12, 0x1.5d1dfebd989f9p-12, 0x1.4feff89d1bd59p-12, 0x1.433fd6357cd4cp-12, 0x1.370998ca29d0ap-12, 0x1.2b4996f680413p-12, 0x1.1ffb820c678b8p-12, 0x1.151bd9b1be25p-12, 0x1.0aa6caf2ecee7p-12, 0x1.0098fbe22a541p-12, 0x1.eddde3ad55132p-13, 0x1.db4af305a0e7p-13, 0x1.c97305f3766a9p-13, 0x1.b84fd8f9d1bc9p-13, 0x1.a7db7b2831038p-13, 0x1.9810058dd55d4p-13, 0x1.88e7d059cf0bep-13, 0x1.7a5d018ca9b9cp-13, 0x1.6c6a2f31e909bp-13, 0x1.5f09e2dead1dcp-13, 0x1.52371dd521b27p-13, 0x1.45ece3831b69ep-13, 0x1.3a26814dd076bp-13, 0x1.2edf7db7dbcddp-13, 0x1.241335a251ccdp-13, 0x1.19bd6fa740d23p-13, 0x1.0fda00078fd59p-13, 0x1.0664e87194f73p-13, 0x1.fab44438e6cc3p-14, 0x1.e96b4a908bbe2p-14, 0x1.d8e74a3898e23p-14, 0x1.c9213003c81c2p-14, 0x1.ba115e9e2f296p-14, 0x1.abb12ca48a516p-14, 0x1.9dfa32daad8dap-14, 0x1.90e5b6c75caf8p-14, 0x1.846db3376081ap-14, 0x1.788c32ca14c6cp-14, 0x1.6d3b612e59997p-14, 0x1.6275c95dca401p-14, 0x1.583547c2a779cp-14, 0x1.4e75a48ff0b33p-14, 0x1.4530c052ec577p-14, 0x1.3c629e6239711p-14, 0x1.34060522ee1d1p-14, 0x1.2c163519243cbp-14, 0x1.248f019a17d6bp-14, 0x1.1d6ba96bfcf09p-14, 0x1.16a8544bc5bb6p-14, 0x1.10405ce3b2141p-14, 0x1.0a30056f289a6p-14, 0x1.0473339286309p-14, 0x1.fe0d02b2c0182p-15, 0x1.f3cd0514ab5fp-15, 0x1.ea1e000f62f46p-15, 0x1.e0fcb3c667f6fp-15, 0x1.d8605696f3152p-15, 0x1.d043ff55f54ecp-15, 0x1.c8a1ecaae893dp-15, 0x1.c17473818bca9p-15, 0x1.bab5e14fc0a95p-15, 0x1.b460ebfa5e13bp-15, 0x1.ae6f1d66aaa78p-15, 0x1.a8dd3fb1d0fdcp-15, 0x1.a3a4702d732cep-15, 0x1.9ec0b115b84a4p-15, 0x1.9a2da023ea6a3p-15, 0x1.95e70d5c67e7bp-15, 0x1.91e8b739e41a4p-15, 0x1.8e3021437b03cp-15, 0x1.8ab4e8848aaa9p-15, 0x1.87792ed9b08a8p-15, 0x1.8477ce38294bcp-15, 0x1.81adc39738fd2p-15, 0x1.7f17c676ce756p-15, 0x1.7cb17e823ab33p-15, 0x1.7a783bcb56df6p-15, 0x1.786aaffdf857bp-15, 0x1.76830f6da0405p-15, 0x1.74c0efe7f4198p-15, 0x1.7320c351df206p-15, 0x1.71a03f8e371ap-15, 0x1.703c9be8e2867p-15, 0x1.6ef3d2719921ap-15, 0x1.6dc3c81564588p-15, 0x1.6caac179481e9p-15, 0x1.6ba717bd736f5p-15, 0x1.6ab71d1c58d18p-15, 0x1.69d912d0fbfc9p-15, 0x1.690b2bde3d8cdp-15, 0x1.684ba565b1a7cp-15, 0x1.6798f781dba13p-15, 0x1.66f102781d264p-15, 0x1.6653da173bc54p-15, 0x1.65bebd60e156p-15, 0x1.6531560282e8bp-15, 0x1.64a993ad3e2cp-15, 0x1.642676b81f8fp-15, 0x1.63a6b3b962cdp-15, 0x1.6329998339c3fp-15, 0x1.62ae148c7d29ep-15, 0x1.6233a38da85a2p-15, 0x1.61b917545f1ebp-15, 0x1.613dcb2a17d6p-15, 0x1.60c132a149e1bp-15, 0x1.6042ee5ffc871p-15, 0x1.5fc0f8bef6c6cp-15, 0x1.5f3ae6789dba6p-15, 0x1.5eb15f1f22a45p-15, 0x1.5e22f0881e608p-15, 0x1.5d8fba9c6127dp-15, 0x1.5cf684a3a0214p-15, 0x1.5c56fb5d2884dp-15, 0x1.5bb0a661f86dfp-15, 0x1.5b038b0cfdd07p-15, 0x1.5a4e7307a7e79p-15, 0x1.59921540c7316p-15, 0x1.58cde1ab7d5acp-15, 0x1.58013631e8087p-15, 0x1.572b928e8f8bcp-15, 0x1.564d101e749e9p-15, 0x1.556692743c038p-15, 0x1.5476c51654503p-15, 0x1.537c7f3901feep-15, 0x1.527a6c8cc2e11p-15, 0x1.516e352ddab43p-15, 0x1.50587aa4bae29p-15, 0x1.4f394a7d85ef8p-15, 0x1.4e1044d4a8548p-15, 0x1.4cdd7ee8acff2p-15, 0x1.4ba104cd438a8p-15, 0x1.4a5a8c60b6325p-15, 0x1.490a524def9fbp-15, 0x1.47b0621baac96p-15, 0x1.464d0a892602fp-15, 0x1.44dfb8a7e9d98p-15, 0x1.4368f52883068p-15, 0x1.41e8213ab9dcdp-15, 0x1.405e35e4f3d0dp-15, 0x1.3ecad185934b3p-15, 0x1.3d2e1d703ff93p-15, 0x1.3b88290c1312bp-15, 0x1.39d893d57849ap-15, 0x1.3821280ee5f88p-15, 0x1.3660ee73477bep-15, 0x1.3496e27dfb1b2p-15, 0x1.32c516ef783d2p-15, 0x1.30ea3f50771b5p-15, 0x1.2f077ee446402p-15, 0x1.2d1caa5f27d95p-15, 0x1.2b29c917d7289p-15, 0x1.292f0056dcc69p-15, 0x1.272d2e2240fb3p-15, 0x1.252300fb0bffep-15, 0x1.2312381203d95p-15, 0x1.20f9f9e317d8cp-15, 0x1.1edad554c4e24p-15, 0x1.1cb4f8904524bp-15, 0x1.1a88ad5d87432p-15, 0x1.185543f9eb945p-15, 0x1.161cf16d15452p-15, 0x1.13ddb2a926286p-15, 0x1.11992abb13694p-15, 0x1.0f4eef1aa83e9p-15, 0x1.0cff15018add3p-15, 0x1.0aaa026d08a0dp-15, 0x1.084fa3db173dbp-15, 0x1.05f0b050d50ap-15, 0x1.038d24348cbf4p-15, 0x1.0124698c77379p-15, 0x1.fd714490d57dfp-16, 0x1.f88fbbefc9f6fp-16, 0x1.f3a77d9814273p-16, 0x1.eeb6f1865b2c1p-16, 0x1.e9bfcd0295a64p-16, 0x1.e4c1d077cad4bp-16, 0x1.dfbd4e41979f5p-16, 0x1.dab31f0e06fe5p-16, 0x1.d5a3514c57d91p-16, 0x1.d08e78934d97p-16, 0x1.cb73f04d6ed58p-16, 0x1.c655f8d5ec34ep-16, 0x1.c133bc3d4bef1p-16, 0x1.bc0d8bdf229d3p-16, 0x1.b6e4805ad5fe8p-16, 0x1.b1b687ad4fbe1p-16, 0x1.ac866758fc359p-16, 0x1.a75458821b1dap-16, 0x1.a22097148c312p-16, 0x1.9cea94f08fe48p-16, 0x1.97b2d43b0e523p-16, 0x1.9279eca0cbb5cp-16, 0x1.8d404e54a51cap-16, 0x1.8805f54e89452p-16, 0x1.82cb8a0a4b0c5p-16, 0x1.7d91bd5844608p-16, 0x1.7857b6c74ff29p-16, 0x1.731e2f358163fp-16, 0x1.6de5afa8a130fp-16, 0x1.68ae29b1effdp-16, 0x1.63783344cabcbp-16, 0x1.5e43ef1545bc1p-16, 0x1.5911cab0d3e75p-16, 0x1.53e23691fb708p-16, 0x1.4eb40d997e7fap-16, 0x1.49898cc2ccbafp-16, 0x1.44621b844c655p-16, 0x1.3f3d3b248a863p-16, 0x1.3a1c5dd4e328dp-16, 0x1.34fe10654dfcdp-16, 0x1.2fe454455dc5fp-16, 0x1.2acf756ebedaap-16, 0x1.25bd80b77cc53p-16, 0x1.20b0bc1e1d7a2p-16, 0x1.1baa15670620ep-16, 0x1.16a5429275992p-16, 0x1.11a6c37cfc178p-16, 0x1.0cada914f3ddbp-16, 0x1.07ba5a78244e5p-16, 0x1.02cc3a29bb571p-16, 0x1.fbc7ac31b855bp-17, 0x1.f203a03535351p-17, 0x1.e84c3882cae2bp-17, 0x1.dea09468db18cp-17, 0x1.d50276bae0747p-17, 0x1.cb6f8a53aa7ddp-17, 0x1.c1ea472af353p-17, 0x1.b8739ba03213ep-17, 0x1.af0bc415c5499p-17, 0x1.a5b1b4beac5aap-17, 0x1.9c65cd02883ddp-17, 0x1.932811c0facb5p-17, 0x1.89f6027cf85dp-17, 0x1.80da82e320dfdp-17, 0x1.77c9ec6e58571p-17, 0x1.6ec957953b07cp-17, 0x1.65d8c5d7e14cp-17, 0x1.5cf847d6b51b2p-17, 0x1.5427dc851e382p-17, 0x1.4b67940d1610bp-17, 0x1.42b7c8bdf7e6bp-17, 0x1.3a1888f28a2bap-17, 0x1.318b2c4b94437p-17, 0x1.290bbf306fb9ap-17, 0x1.20a0b4ce66251p-17, 0x1.18469482b90f3p-17, 0x1.0ffc67dba0877p-17, 0x1.07c3e580ae5bbp-17, 0x1.ff3b044abd17dp-18, 0x1.ef1130a92b08fp-18, 0x1.df0b5631575c6p-18, 0x1.cf2974d077819p-18, 0x1.bf68ab7b3c6d8p-18, 0x1.afce310e611a3p-18, 0x1.a058cc69070d4p-18, 0x1.9107ec6b9b69fp-18, 0x1.81d8aca587f76p-18, 0x1.72ce77a45049bp-18, 0x1.63ea0397349p-18, 0x1.552c18b8a8d24p-18, 0x1.46909213045bbp-18, 0x1.381a5c16faf77p-18, 0x1.29ca822d31416p-18, 0x1.1ba002dd38418p-18, 0x1.0d950e0f810d8p-18, 0x1.ff70c12e05c1ap-19, 0x1.e3f468d32801ep-19, 0x1.c8c7528ac47b2p-19, 0x1.ade5922dde60bp-19, 0x1.9348d2a66fe17p-19, 0x1.78fa622799d8cp-19, 0x1.5ef89cc727bfap-19, 0x1.453e64a5a288p-19, 0x1.2bccdf6293065p-19, 0x1.12a6bed970b6dp-19, 0x1.f393fa9591edfp-20, 0x1.c27082d85a79cp-20, 0x1.91dc4f40d3a95p-20, 0x1.61e0952a0d442p-20, 0x1.3292a54614d7dp-20, 0x1.039512f74bd71p-20, 0x1.aa94e04d2ad9cp-21, 0x1.4f456f4be3e3bp-21, 0x1.e9e49894b39c8p-22, 0x1.3799d26d11f6fp-22, 0x1.0ecff7e3b793ap-23, -0x1.329bf4dab6ba7p-25, -0x1.a372bdf927252p-23, -0x1.7b25b9fac096dp-22, -0x1.1121392a27e7fp-21, -0x1.6399fd445e2a5p-21, -0x1.b4ee02eeea0b3p-21, -0x1.0297980506497p-20, -0x1.2a29da036051p-20, -0x1.5131d40f34a9ap-20, -0x1.77aee17e7a6b9p-20, -0x1.9da1c8a8ae516p-20, -0x1.c309dc32db558p-20, -0x1.e7ed8522c3a69p-20, -0x1.061f49a1b52bdp-19, -0x1.181017f691283p-19, -0x1.29b53992b8922p-19, -0x1.3b17348cc1f19p-19, -0x1.4c39a4acea588p-19, -0x1.5d1a02640de66p-19, -0x1.6db8f4b147cf3p-19, -0x1.7e102a7676cbep-19, -0x1.8e2cb6c7cca51p-19, -0x1.9e0928c38328p-19, -0x1.ada92e611f4d7p-19, -0x1.bd04e5c578dbep-19, -0x1.cc1fea9afedcbp-19, -0x1.db004278e33bbp-19, -0x1.e99fd21af8ad6p-19, -0x1.f7fe807fb9795p-19, -0x1.03116a465fa5ap-18, -0x1.0a05e17663216p-18, -0x1.10dd83a8ea5c7p-18, -0x1.179585ddcf906p-18, -0x1.1e2f0958a080dp-18, -0x1.24acce8aec85fp-18, -0x1.2b0cad4a8df6ap-18, -0x1.314dff79686d2p-18, -0x1.37730593f4eabp-18, -0x1.3d775022662cap-18, -0x1.4369cc76b2d51p-18, -0x1.493a4d1cb6335p-18, -0x1.4eee987bd86cp-18, -0x1.5487067f61ee6p-18, -0x1.5a062cbcb908ep-18, -0x1.5f68fcf6e25ep-18, -0x1.64b04c57c95c3p-18, -0x1.69dcacedc87c2p-18, -0x1.6ef06ac078f65p-18, -0x1.73e6b742d392ap-18, -0x1.78c552a9fd016p-18, -0x1.7d89305356a96p-18, -0x1.8237e5ae78b92p-18, -0x1.86cd6d085edb8p-18, -0x1.8b40fed60fd8p-18, -0x1.8fa15204f6e73p-18, -0x1.93e9a5f817984p-18, -0x1.98197f32ccd25p-18, -0x1.9c3225c1c8395p-18, -0x1.a030183e2cbfep-18, -0x1.a419926a2c91p-18, -0x1.a7e99952565cdp-18, -0x1.aba3756a16d52p-18, -0x1.af47a80609961p-18, -0x1.b2d56c5c57633p-18, -0x1.b649aef82464fp-18, -0x1.b9aa9d18dd3c8p-18, -0x1.bcf3ccf5be916p-18, -0x1.c02afc5afeaf4p-18, -0x1.c349d32519563p-18, -0x1.c653b457645fep-18, -0x1.c94a76386218p-18, -0x1.cc28c26e7da21p-18, -0x1.cef4fd8c940b4p-18, -0x1.d1ac989fd0e08p-18, -0x1.d451c5823c8aep-18, -0x1.d6e2f9d21c1a9p-18, -0x1.d95edca7c0c4bp-18, -0x1.dbc659a327dccp-18, -0x1.de1c7fc07b6cp-18, -0x1.e065128f6e28ep-18, -0x1.e292efe40d3ecp-18, -0x1.e4b17fd026ab2p-18, -0x1.e6bca412f3efap-18, -0x1.e8b7007d6ca0ap-18, -0x1.eaa0cdd1d6146p-18, -0x1.ec779db5f61f9p-18, -0x1.ee3d56dd9c83ap-18, -0x1.eff200d3d9d12p-18, -0x1.f195c69d1def7p-18, -0x1.f32884bccd281p-18, -0x1.f4ac62766e565p-18, -0x1.f61f425d22957p-18, -0x1.f78154e333c0bp-18, -0x1.f8d3ec9a8209ap-18, -0x1.fa18160e0c567p-18, -0x1.fb4c0e6bc7885p-18, -0x1.fc6f2ac441e7ep-18, -0x1.fd84c2ffa547dp-18, -0x1.fe8b2db0fa29bp-18, -0x1.ff84e639e30d9p-18, -0x1.00375e3f38119p-17, -0x1.00a5957b25d03p-17, -0x1.010c627e2e1f2p-17, -0x1.016bc6fbffc5dp-17, -0x1.01c4c73a7dc51p-17, -0x1.02174e6a39d8ep-17, -0x1.02620b679e3b7p-17, -0x1.02a971614542dp-17, -0x1.02e6cd1195f09p-17, -0x1.032015ca38c82p-17, -0x1.03533fe641278p-17, -0x1.03800ff100fb1p-17, -0x1.03a5bb1df4592p-17, -0x1.03c5ad363272p-17, -0x1.03e00bbd35609p-17, -0x1.03f4bc6858353p-17, -0x1.0403e640e4e22p-17, -0x1.040c81a274e8ep-17, -0x1.041080334f88ap-17, -0x1.040ea20127b2p-17, -0x1.040838cd2a328p-17, -0x1.03fc5cf9caf88p-17, -0x1.03ea9ad41063bp-17, -0x1.03d4e06192307p-17, -0x1.03b75d5cc652p-17, -0x1.0397e1e2b1c25p-17, -0x1.0372615c364cbp-17, -0x1.034a004acb893p-17, -0x1.031992696b27ep-17, -0x1.02e60c982021fp-17, -0x1.02ae9c5caa5ddp-17, -0x1.02723fec1a167p-17, -0x1.023125455d2b1p-17, -0x1.01eb461e7dea2p-17, -0x1.01a271a0d6f63p-17, -0x1.01552cdb2bba9p-17, -0x1.0103ba9facc4bp-17, -0x1.00ad9edfe7deep-17, -0x1.0054400470a5fp-17, -0x1.ffeda83fdfdap-18, -0x1.ff2b57bf94efbp-18, -0x1.fe61b31a5c642p-18, -0x1.fd8ff6963dae1p-18, -0x1.fcb7374fa603fp-18, -0x1.fbd680863f3c4p-18, -0x1.faf09bca89853p-18, -0x1.fa03588f976f2p-18, -0x1.f91084b6b175bp-18, -0x1.f8150e97f275bp-18, -0x1.f71448d50ce41p-18, -0x1.f60cc34724a4fp-18, -0x1.f500296b78ecap-18, -0x1.f3eb4602f1749p-18, -0x1.f2d269122494p-18, -0x1.f1b293fb8405bp-18, -0x1.f08f3dd21849cp-18, -0x1.ef64775beb9d2p-18, -0x1.ee3479947781cp-18, -0x1.ecfe66ba138e8p-18, -0x1.ebc4fbe2ece5bp-18, -0x1.ea84d01857feep-18, -0x1.e94104bdedb3fp-18, -0x1.e7f788c47b494p-18, -0x1.e6a91a1a344d9p-18, -0x1.e555968ce8dffp-18, -0x1.e3fde9586343fp-18, -0x1.e2a25d368eac5p-18, -0x1.e14192511061bp-18, -0x1.dfdcfdc7e474dp-18, -0x1.de78b3d4a2fcbp-18, -0x1.dd092159e1302p-18, -0x1.db975344535ddp-18, -0x1.da2214550912bp-18, -0x1.d8aa93b714f28p-18, -0x1.d72e51798beacp-18, -0x1.d5af0fe9dbe34p-18, -0x1.d42b8dc5e475ep-18, -0x1.d2a5bc82d87cdp-18, -0x1.d11c4b37e8d48p-18, -0x1.cf8ede0e5ca16p-18, -0x1.cdfed1274c67cp-18, -0x1.cc6bb70762b6bp-18, -0x1.cad5dddcd3c1dp-18, -0x1.c93d41323712dp-18, -0x1.c7a068a8362bap-18, -0x1.c602594bae0bap-18, -0x1.c4608fe29d728p-18, -0x1.c2bdfd7b7dfa9p-18, -0x1.c117c273f9d96p-18, -0x1.bf6fa21765822p-18, -0x1.bdc56c557336ap-18, -0x1.bc16c56107d53p-18, -0x1.ba685f09e79c7p-18, -0x1.b8b61cad1ed75p-18, -0x1.b7044e86a95fap-18, -0x1.b54f1a3ef6165p-18, -0x1.b396b3e389271p-18, -0x1.b1de1bc02969dp-18, -0x1.b021cef6b04acp-18, -0x1.ae6753ef93c7dp-18, -0x1.aca9c2834954cp-18, -0x1.aaead2b37d7c6p-18, -0x1.a9297221fb2a6p-18, -0x1.a7665cb167ebap-18, -0x1.a5a23a3cbd288p-18, -0x1.a3de0e1e8afe9p-18, -0x1.a217ea6583e4ap-18, -0x1.a050757b9a024p-18, -0x1.9e8810da7cd7dp-18, -0x1.9cbee18d81261p-18, -0x1.9af412d928d7ap-18, -0x1.9928f1875c349p-18, -0x1.975c6743e467cp-18, -0x1.958f46ea38379p-18, -0x1.93c174cdec65bp-18, -0x1.91f2899c993dbp-18, -0x1.9022a54237d14p-18, -0x1.8e537cc89116ap-18, -0x1.8c83057f43ea4p-18, -0x1.8ab273e281d3bp-18, -0x1.88e14ea13d544p-18, -0x1.870ec320dce33p-18, -0x1.853d24f5cf18dp-18, -0x1.836aa8ee3fc1p-18, -0x1.819777e00424bp-18, -0x1.7fc4d8bd7786dp-18, -0x1.7df1067c8ad8bp-18, -0x1.7c1ad6a5bad18p-18, -0x1.7a4b519cd5bb6p-18, -0x1.787772e08dfc6p-18, -0x1.76a1ffd5ea3c4p-18, -0x1.74d05d05b46bep-18, -0x1.72fcd088e6fe1p-18, -0x1.7129d090a5e63p-18, -0x1.6f56c4caece75p-18, -0x1.6d830e6124148p-18, -0x1.6bb0d3b66d1b5p-18, -0x1.69deebe5d49abp-18, -0x1.680c25411e595p-18, -0x1.66385e711d08bp-18, -0x1.646815915a8e5p-18, -0x1.62985b4eb9d28p-18, -0x1.60c78e5a06e1ap-18, -0x1.5ef6cc8ff7ad6p-18, -0x1.5d26e923a4d1ep-18, -0x1.5b579669e25bfp-18, -0x1.5988d6f13f0f5p-18, -0x1.57bb1699d63c3p-18, -0x1.55eb22115847fp-18, -0x1.54210316d738dp-18, -0x1.525545ce3f8d2p-18, -0x1.50899d2ecada9p-18, -0x1.4ebe981c373e1p-18, -0x1.4cf45d9499c32p-18, -0x1.4b2b99952f0b7p-18, -0x1.496396262073cp-18, -0x1.479c8c831244ap-18, -0x1.45d5cb31bba9ap-18, -0x1.440f83c591468p-18, -0x1.424ac22ae8014p-18, -0x1.4087842224aa4p-18, -0x1.3ec4dafd79ed5p-18, -0x1.3d0293f1ddb34p-18, -0x1.3b40c95b3a5fdp-18, -0x1.3981559d189fp-18, -0x1.37c3948cacbd2p-18, -0x1.36058effcb463p-18, -0x1.3448c8f02f0d3p-18, -0x1.328c7cb04e908p-18, -0x1.30d26e325923bp-18, -0x1.2f1943e164485p-18, -0x1.2d615e6c58a0ap-18, -0x1.2ba9e251d01f9p-18, -0x1.29f43410db2a5p-18, -0x1.283fcbd806059p-18, -0x1.268cebac9cfp-18, -0x1.24daf6ac43e0fp-18, -0x1.2329c75d91852p-18, -0x1.217a53ef6a9c5p-18, -0x1.1fcb333d76bd2p-18, -0x1.1e1f6f36c8817p-18, -0x1.1c73d2a5cd7d5p-18, -0x1.1ac9bfdfcdab3p-18, -0x1.1922715385571p-18, -0x1.177886fb7d8d4p-18, -0x1.15d246ec41fffp-18, -0x1.142ebd2dad531p-18, -0x1.128b282aab489p-18, -0x1.10e99e8c089e5p-18, -0x1.0f48c91da397dp-18, -0x1.0dab551bba11p-18, -0x1.0c0bd93b2c958p-18, -0x1.0a6fa37678c32p-18, -0x1.08d373c08508p-18, -0x1.073bd33a9e09cp-18, -0x1.05a41882da593p-18, -0x1.040e33908e95p-18, -0x1.02799231144bfp-18, -0x1.00e5fed079f66p-18, -0x1.fea910b003c76p-19, -0x1.fb88f15a8cfe3p-19, -0x1.f86baf414e77dp-19, -0x1.f5524e6d93f1fp-19, -0x1.f23b569f7f422p-19, -0x1.ef271bd0f3ae3p-19, -0x1.ec165d7ccea32p-19, -0x1.e908d5932d911p-19, -0x1.e5fe6eadbb8d4p-19, -0x1.e2f807f936f9cp-19, -0x1.dff43e84932fep-19, -0x1.dcf2cbd1706ccp-19, -0x1.d9f52c2d3dd42p-19, -0x1.d6fb19a744c87p-19, -0x1.d4042e2f17b05p-19, -0x1.d10fdaa748a95p-19, -0x1.ce1cf6f7c8c65p-19, -0x1.cb31fe9955fbp-19, -0x1.c8498914a1e4cp-19, -0x1.c564018ae0a33p-19, -0x1.c27db5bfbf1b9p-19, -0x1.bf9d3ab3cc851p-19, -0x1.bcc04ce69015p-19, -0x1.b9e5ecb2d0eb8p-19, -0x1.b7114b69db54cp-19, -0x1.b43e40e783d2p-19, -0x1.b16f4a4269b9fp-19, -0x1.aea0f2dbeee44p-19, -0x1.abd73ee7050ffp-19, -0x1.a912a7d4be6d9p-19, -0x1.a6541f6a7257cp-19, -0x1.a392082caf045p-19, -0x1.a0d4e32eecb0ep-19, -0x1.9e1bc7e04fd9p-19, -0x1.9b68524cbc1e5p-19, -0x1.98b7047a067dep-19, -0x1.960767cb45f1bp-19, -0x1.935c20af4baa6p-19, -0x1.90b57ce674ad9p-19, -0x1.8e11142b3beep-19, -0x1.8b6f3655bdfc1p-19, -0x1.88d1c62a96554p-19, -0x1.86369a28d6b64p-19, -0x1.83a05ff197375p-19, -0x1.810cb9a747769p-19, -0x1.7e7bae2dab4a5p-19, -0x1.7beeaa35f18d5p-19, -0x1.79652cf8107d1p-19, -0x1.76ded12ebbdf4p-19, -0x1.745bd384a6287p-19, -0x1.71dc57d1ac6b4p-19, -0x1.6f5ed9bce8016p-19, -0x1.6ce5d1e98959bp-19, -0x1.6a72004a41a97p-19, -0x1.67fe5e7b278e1p-19, -0x1.658e096e44037p-19, -0x1.6322855b9b0ep-19, -0x1.60ba3a78d87fep-19, -0x1.5e54f999c9371p-19, -0x1.5bf2d31a86ca4p-19, -0x1.598f829005501p-19, -0x1.573796578bd79p-19, -0x1.54e01c77f2698p-19, -0x1.528ba1e06f7d6p-19, -0x1.50394e33f5f51p-19, -0x1.4deac1fafc34ap-19, -0x1.4b9f1de2de97cp-19, -0x1.4957e52d8602dp-19, -0x1.4712b39361c7ap-19, -0x1.44d0de963afc4p-19, -0x1.4292b185682bp-19, -0x1.4058c2e318733p-19, -0x1.3e1faec2672edp-19, -0x1.3bea69b2a2256p-19, -0x1.39b79497fbcd3p-19, -0x1.378afbfb46e7ap-19, -0x1.355f65fcac65p-19, -0x1.3336c80389253p-19, -0x1.31117f38b3539p-19, -0x1.2ef1024110fb1p-19, -0x1.2cd21234c4b32p-19, -0x1.2ab5eab717731p-19, -0x1.289da799cf1ep-19, -0x1.2688dc31e0048p-19, -0x1.247643ddd5015p-19, -0x1.2266a4a091c11p-19, -0x1.205a0645f3a41p-19, -0x1.1e528555e59fap-19, -0x1.1c4c31f2b4989p-19, -0x1.1a48b689fe2aap-19, -0x1.1849677bb0d12p-19, -0x1.164c9dead14b3p-19, -0x1.14523ef77d6fcp-19, -0x1.125bb4d83cacp-19, -0x1.1068561ec166cp-19, -0x1.0e77c67c4274fp-19, -0x1.0c88dd24ea03bp-19, -0x1.0a9e5245b9c39p-19, -0x1.08b6e544f2bc5p-19, -0x1.06d1dbecdb9f8p-19, -0x1.04eeff7dab667p-19, -0x1.0310150437092p-19, -0x1.0134d90e0bfc5p-19, -0x1.feb701ae21f4ep-20, -0x1.fb0ccc57dbe8dp-20, -0x1.f761660562a48p-20, -0x1.f3c25a55cbbc7p-20, -0x1.f024ef2e2d8d4p-20, -0x1.ec8f946a59315p-20, -0x1.e8ff42b25197p-20, -0x1.e5773e49cb927p-20, -0x1.e1f1a47dd1458p-20, -0x1.de719d8304602p-20, -0x1.daf7a0bf308c5p-20, -0x1.d78444217e0f5p-20, -0x1.d4162045edde9p-20, -0x1.d0abf7571f743p-20, -0x1.cd4989f01c037p-20, -0x1.c9ebc2406b5dcp-20, -0x1.c691af0bf168p-20, -0x1.c33eb9ef6df3cp-20, -0x1.bff210194a4c2p-20, -0x1.bca9ee1068d0fp-20, -0x1.b9655278942fep-20, -0x1.b628a7beb089cp-20, -0x1.b2f064f58a3e5p-20, -0x1.afbd4d4d58da2p-20, -0x1.ac8ee395b0908p-20, -0x1.a967130214e34p-20, -0x1.a644f126eb158p-20, -0x1.a3244d2199edfp-20, -0x1.a00b1149733d8p-20, -0x1.9cf84d553e45cp-20, -0x1.99eab1d42e2b2p-20, -0x1.96e030be8c57ep-20, -0x1.93d935ed6e212p-20, -0x1.90dbe897f4c72p-20, -0x1.8de16e14457cdp-20, -0x1.8aebf4aac37bcp-20, -0x1.87fbd2e807cbfp-20, -0x1.850fc0aa60b6cp-20, -0x1.8228d89b04d16p-20, -0x1.7f476b5f6f9f7p-20, -0x1.7c6ac61f2723ep-20, -0x1.7991eee07921bp-20, -0x1.76be47115ca53p-20, -0x1.73f169fbad6b5p-20, -0x1.71278b7288701p-20, -0x1.6e62bf587e65ap-20, -0x1.6ba24e6da6f07p-20, -0x1.68e6bfa480f9ep-20, -0x1.6630148dfff4dp-20, -0x1.637e1ebc681a5p-20, -0x1.60cf5fdafe5b2p-20, -0x1.5e282b275b97fp-20, -0x1.5b833bd996599p-20, -0x1.58e3d0f26f14p-20, -0x1.564962cdcc411p-20, -0x1.53b16e020a2d1p-20, -0x1.5120010fbab41p-20, -0x1.4e92a2169d6c3p-20, -0x1.4c08e90358e0cp-20, -0x1.4983cb6ef93ccp-20, -0x1.4704e89f51987p-20, -0x1.448855c8f8c07p-20, -0x1.42135b2e1db2p-20, -0x1.3f9c80cb7f3b2p-20, -0x1.3d2df00eb77b8p-20, -0x1.3ac34dcf78fd6p-20, -0x1.385ccc2968737p-20, -0x1.35fa14c5eb35ep-20, -0x1.339c79e5a47cep-20, -0x1.3143cd23ad62bp-20, -0x1.2eebd17199a18p-20, -0x1.2c9bbc1d13967p-20, -0x1.2a4d9f9ffc935p-20, -0x1.2805321bce5adp-20, -0x1.25be90f85e6a2p-20, -0x1.237de19fab70ep-20, -0x1.214134947dfep-20, -0x1.1f0856772af94p-20, -0x1.1cd2bc77e0987p-20, -0x1.1aa0e3ba87d76p-20, -0x1.1874131dfeb49p-20, -0x1.164ace79eea97p-20, -0x1.142503d729c0fp-20, -0x1.1202dddc8d586p-20, -0x1.0fe58bf729d5dp-20, -0x1.0dcbc07483314p-20, -0x1.0bb5053e4b5f3p-20, -0x1.09a2cf35d9ef9p-20, -0x1.07942ff8071dp-20, -0x1.0589a19d66f9p-20, -0x1.03829b2524aa8p-20, -0x1.017e6c199aad9p-20, -0x1.fefcac5c1bd14p-21, -0x1.fb03b1d13556ap-21, -0x1.f714ad5e3b4cbp-21, -0x1.f329316d71658p-21, -0x1.ef46c428ac587p-21, -0x1.eb6aed47a9e3fp-21, -0x1.e7969abe18eb2p-21, -0x1.e3c8265e11317p-21, -0x1.e00259cf8cc95p-21, -0x1.dc42558d7f78dp-21, -0x1.d88a286f38e77p-21, -0x1.d4d785048b513p-21, -0x1.d12d1f5468bp-21, -0x1.cd87097c2fe0bp-21, -0x1.c9e948b13f75cp-21, -0x1.c6542de6d4d46p-21, -0x1.c2c3fbd0b1c66p-21, -0x1.bf38902d794d5p-21, -0x1.bbb6753f871d2p-21, -0x1.b839dda87788ap-21, -0x1.b4c4007ecc18bp-21, -0x1.b153810654c8p-21, -0x1.adea6652c6c95p-21, -0x1.aa87e3d31bc9bp-21, -0x1.a72c9eabedae2p-21, -0x1.a3d7773fc66c5p-21, -0x1.a084c9c9c728ap-21, -0x1.9d3a9b9df4f28p-21, -0x1.99f78a927e4f1p-21, -0x1.96ba2ab3bd174p-21, -0x1.9382e0cde8a68p-21, -0x1.905214c29c31fp-21, -0x1.8d252e1da5cd1p-21, -0x1.8a006fdbab076p-21, -0x1.86e128bc28bbdp-21, -0x1.83c8266fcacbfp-21, -0x1.80b3b9d80cb59p-21, -0x1.7da50d93eb93p-21, -0x1.7a9d2ad006145p-21, -0x1.779d9c2fe2ffap-21, -0x1.749edc1d5fbep-21, -0x1.71a7d6e0ef1a6p-21, -0x1.6eb5a01fd4d5ap-21, -0x1.6bca5b98d22d2p-21, -0x1.68e4eea5024cbp-21, -0x1.660400a0f6b51p-21, -0x1.6328c620ea6abp-21, -0x1.6053132c7bbe8p-21, -0x1.5d82b261cd3e6p-21, -0x1.5ab7c339a123cp-21, -0x1.57f1aad080061p-21, -0x1.5531d623480ecp-21, -0x1.5275e5d07a291p-21, -0x1.4fc1c32ffcbb5p-21, -0x1.4d0f94f43383dp-21, -0x1.4a67999bd81cap-21, -0x1.47be64daa1965p-21, -0x1.451cd66994746p-21, -0x1.42813e77f2f3ap-21, -0x1.3feaa7f7bb842p-21, -0x1.3d58d68c7e961p-21, -0x1.3acb579526a37p-21, -0x1.38431ed54ceafp-21, -0x1.35bfe32cab19ep-21, -0x1.33417b836621dp-21, -0x1.30c6f91c3ebcdp-21, -0x1.2e545dfd23d53p-21, -0x1.2be373b65793dp-21, -0x1.2978292dd3041p-21, -0x1.2710af3e24383p-21, -0x1.24ae486b1d1ddp-21, -0x1.225184ed5ba43p-21, -0x1.1ff93dbcd1de1p-21, -0x1.1da536fdf0011p-21, -0x1.1b5583af58c39p-21, -0x1.190b53132749dp-21, -0x1.16c4bee4fb6c4p-21, -0x1.1481a97511ceep-21, -0x1.1243f531f0e0dp-21, -0x1.100b47ce377a6p-21, -0x1.0dd5fc32b5259p-21, -0x1.0ba58c79e85f4p-21, -0x1.09798e6d6b3ecp-21, -0x1.0751436019e8ep-21, -0x1.052c431f841p-21, -0x1.030d1dad15d3bp-21, -0x1.00f2376274128p-21, -0x1.fdb6a743267d7p-22, -0x1.f98fa82a85c77p-22, -0x1.f571d1b92ec9ap-22, -0x1.f15bb1094d5eap-22, -0x1.ed4d590cf4f88p-22, -0x1.e947491bc8c1cp-22, -0x1.e5489e9e33ffbp-22, -0x1.e1531c9b8d24ep-22, -0x1.dd663c19d10e4p-22, -0x1.d97e81a3afbf6p-22, -0x1.d5a1487220b02p-22, -0x1.d1c7ecbbfc3a5p-22, -0x1.cdf8e05b02013p-22, -0x1.ca315c611995cp-22, -0x1.c67151f96fe47p-22, -0x1.c2ba0cf532da6p-22, -0x1.bf072cd20f23p-22, -0x1.bb5ce9730e922p-22, -0x1.b7ba13b422c49p-22, -0x1.b41e8fdf2eb49p-22, -0x1.b08a7abf54119p-22, -0x1.acfd09b4d3211p-22, -0x1.a976a3d8eeb09p-22, -0x1.a5f78786b92ap-22, -0x1.a280f90575551p-22, -0x1.9f0eb52a35fb3p-22, -0x1.9ba3bbeb4129ep-22, -0x1.984026381da3fp-22, -0x1.94e3d9a7f97fbp-22, -0x1.919094db4c3d7p-22, -0x1.8e4105ef541ddp-22, -0x1.8af6ad5cde1f8p-22, -0x1.87b341e0052f2p-22, -0x1.8479d0a8d149bp-22, -0x1.814591c8cbc76p-22, -0x1.7e185404fd889p-22, -0x1.7aedce75ca6afp-22, -0x1.77cd0a1a4fcdcp-22, -0x1.74b238c6e18cp-22, -0x1.719d1c77bbc5p-22, -0x1.6e8e4d236a2e8p-22, -0x1.6b85a6e360f4dp-22, -0x1.688391510c467p-22, -0x1.6587012a38b1ep-22, }}, 
      {{-0x1.0540c18f301b3p-8, -0x1.1adf4be530fcp-7, -0x1.ded3d979693b8p-7, -0x1.60f052bee600bp-6, -0x1.dbac3144a94b5p-6, -0x1.2ccfbeb2250dep-5, -0x1.6aaf9955ca517p-5, -0x1.a519111680a53p-5, -0x1.da0e50022ed75p-5, -0x1.03f7c3d1f727ep-4, -0x1.16bb42bc3df6ep-4, -0x1.24d78ab72f2a1p-4, -0x1.2df75434fb17ep-4, -0x1.31e5b41db59ddp-4, -0x1.3089974dfccbdp-4, -0x1.29e187eba03bdp-4, -0x1.1dffbb635a70fp-4, -0x1.0d068298aa254p-4, -0x1.ee4a3660d1cdcp-5, -0x1.b929c8c776829p-5, -0x1.7b2de3ee1a881p-5, -0x1.34e3de0f92348p-5, -0x1.cdc175d7e1a74p-6, -0x1.237c1dc937cd7p-6, -0x1.b0bc0fa4ca392p-8, 0x1.5bbacfe44bc97p-8, 0x1.24a96eae3c8a1p-6, 0x1.fbd3eda047449p-6, 0x1.6da4beb0f79edp-5, 0x1.e0f7dd6eb69ffp-5, 0x1.2badf026d3963p-4, 0x1.6827ce009609cp-4, 0x1.a5ac3c319794bp-4, 0x1.e40151e63549p-4, 0x1.11784a6fc3eabp-3, 0x1.31237dc9a56dap-3, 0x1.50ea6e009363ap-3, 0x1.70b6f4641e9bp-3, 0x1.907486d3206b1p-3, 0x1.b0102b97897dcp-3, 0x1.cf787158056f9p-3, 0x1.ee9d4ee31eb82p-3, 0x1.06b810d267847p-2, 0x1.15f1c9ff25f58p-2, 0x1.24f5c713cf951p-2, 0x1.33be8f1a553d7p-2, 0x1.42473875c74eep-2, 0x1.508b5c292588ap-2, 0x1.5e870fa891bb7p-2, 0x1.6c36d9fbcc4eep-2, 0x1.7997aeec74431p-2, 0x1.86a6e8127e192p-2, 0x1.936239ef799adp-2, 0x1.9fc7b18184795p-2, 0x1.abd5ac3889842p-2, 0x1.b78ad2633e9acp-2, 0x1.c2e611ddd6816p-2, 0x1.cde698fb81391p-2, 0x1.d88bd1e8e681ep-2, 0x1.e2d55e63c1904p-2, 0x1.ecc311d6ef5b5p-2, 0x1.f654efd338ef9p-2, 0x1.ff8b28f2b1234p-2, 0x1.04330a10a9a06p-1, 0x1.087315dd5ce8ap-1, 0x1.0c86076384e81p-1, 0x1.106c3c6588a27p-1, 0x1.142620eea73c1p-1, 0x1.17b42de2b64f4p-1, 0x1.1b16e73940ccdp-1, 0x1.1e4edb56d4bcep-1, 0x1.215ca224184abp-1, 0x1.2440db5b601a8p-1, 0x1.26fc2ef2037d9p-1, 0x1.298f4a0a9951ap-1, 0x1.2bfae04573434p-1, 0x1.2e3fa9ec93d82p-1, 0x1.305e63499df36p-1, 0x1.3257cc62fa0e8p-1, 0x1.342ca7e2ce19ap-1, 0x1.35ddbab5bb0a8p-1, 0x1.376bcb87b2a7dp-1, 0x1.38d7a227626bep-1, 0x1.3a2206ecde12cp-1, 0x1.3b4bc325a28f6p-1, 0x1.3c559f0533794p-1, 0x1.3d406292149a5p-1, 0x1.3e0cd539410ddp-1, 0x1.3ebbbcd295611p-1, 0x1.3f4dddc120bdcp-1, 0x1.3fc3fb492712cp-1, 0x1.401ed5b15e4c6p-1, 0x1.405f2bbe4a741p-1, 0x1.4085b99feda3bp-1, 0x1.409338f577d81p-1, 0x1.408860a47566cp-1, 0x1.4065e4d016c3ep-1, 0x1.402c76c4a5fb9p-1, 0x1.3fdcc492756d9p-1, 0x1.3f777930f5b64p-1, 0x1.3efd3c8ef7c64p-1, 0x1.3e6eb3585c98p-1, 0x1.3dcc7f02df503p-1, 0x1.3d173db4cf7eap-1, 0x1.3c4f8a50eb54ap-1, 0x1.3b75fc775fd4bp-1, 0x1.3a8b2877c4748p-1, 0x1.398f9f686d06p-1, 0x1.3883ef1a1a13p-1, 0x1.3768a22c27e9p-1, 0x1.363e400affea2p-1, 0x1.35054d0bf1c92p-1, 0x1.33be4a5de550fp-1, 0x1.3269b636da666p-1, 0x1.31080bc1aaf77p-1, 0x1.2f99c33ab0489p-1, 0x1.2e1f520613cc9p-1, 0x1.2c992abc2ed5bp-1, 0x1.2b07bcf7926dap-1, 0x1.296b762fb0597p-1, 0x1.27c4c084801a2p-1, 0x1.261403e749991p-1, 0x1.2459a5f15f119p-1, 0x1.22960951821dbp-1, 0x1.20c98ea0eccf1p-1, 0x1.1ef4942f8bbabp-1, 0x1.1d1775d05a8b7p-1, 0x1.1b328d4a9b5acp-1, 0x1.1946324bdb56ep-1, 0x1.1752ba5e5ea18p-1, 0x1.155878fb2999bp-1, 0x1.1357bf8eed56fp-1, 0x1.1150dde7db457p-1, 0x1.0f4421b5b404cp-1, 0x1.0d31d6eacd5f5p-1, 0x1.0b1a47b4f77a7p-1, 0x1.08fdbc8aa747ep-1, 0x1.06dc7c37e9548p-1, 0x1.04b6cbe5f3c82p-1, 0x1.028cef4145008p-1, 0x1.005f280985094p-1, 0x1.fc5b6e2347d07p-2, 0x1.f7f1b6b5f3eafp-2, 0x1.f381a4c11d8e1p-2, 0x1.ef0bb113085cap-2, 0x1.ea90515002fe1p-2, 0x1.e60ff887df012p-2, 0x1.e18b174773c94p-2, 0x1.dd021baa7ba5cp-2, 0x1.d87570a1290ep-2, 0x1.d3e57fce8b83fp-2, 0x1.cf52af911c953p-2, 0x1.cabd644bd8659p-2, 0x1.c62600789a506p-2, 0x1.c18ce3886ebdcp-2, 0x1.bcf26b3e52aa7p-2, 0x1.b856f2a7521a4p-2, 0x1.b3bad4c69359fp-2, 0x1.af1e678ea7be5p-2, 0x1.aa820072b6f04p-2, 0x1.a5e5f3838af86p-2, 0x1.a14a912c44c1dp-2, 0x1.9cb029cdbbaadp-2, 0x1.98170ab6ca3ddp-2, 0x1.937f7f429c146p-2, 0x1.8ee9d294c98a3p-2, 0x1.8a564af39aa9cp-2, 0x1.85c530a39345bp-2, 0x1.8136c694cb376p-2, 0x1.7cab50a301075p-2, 0x1.78230f9382712p-2, 0x1.739e42fec76fbp-2, 0x1.6f1d28aeea7cap-2, 0x1.6a9ffcdbde657p-2, 0x1.6626f9f864945p-2, 0x1.61b2584a0ad96p-2, 0x1.5d4251a09dd46p-2, 0x1.58d7196658bffp-2, 0x1.5470e4a91c294p-2, 0x1.500fe63445ad4p-2, 0x1.4bb44fd8224c4p-2, 0x1.475e4f4e54709p-2, 0x1.430e157c9a932p-2, 0x1.3ec3cddfd89a9p-2, 0x1.3a7fa33fea73fp-2, 0x1.3641c1fdaa245p-2, 0x1.320a5052e0637p-2, 0x1.2dd9761c9a7a2p-2, 0x1.29af593b9bc47p-2, 0x1.258c1e0be5fcp-2, 0x1.216fe736aa7edp-2, 0x1.1d5ad7c7a1e74p-2, 0x1.194d0ee5704ecp-2, 0x1.1546ac12a9f43p-2, 0x1.1147cd2beab55p-2, 0x1.0d508ed8cac67p-2, 0x1.09610c7d4931bp-2, 0x1.05795fb332775p-2, 0x1.0199a1ec42683p-2, 0x1.fb83d53a3785fp-3, 0x1.f3e4a0b08a87cp-3, 0x1.ec55d0b1c7659p-3, 0x1.e4d78da4d00dbp-3, 0x1.dd69fda5940d8p-3, 0x1.d60d4477513ffp-3, 0x1.cec183d815d41p-3, 0x1.c786db4018b16p-3, 0x1.c05d67d06f45cp-3, 0x1.b945454dcf69p-3, 0x1.b23e8c9cb5103p-3, 0x1.ab4954c0240e6p-3, 0x1.a465b32fe483ap-3, 0x1.9d93bb1317272p-3, 0x1.96d37cadf6772p-3, 0x1.90250ad23d5b9p-3, 0x1.89886fb431461p-3, 0x1.82fdb838015bp-3, 0x1.7c84ee72d0e84p-3, 0x1.761e19efa53c9p-3, 0x1.6fc943cb8ebc3p-3, 0x1.69866efcccb45p-3, 0x1.63559e0281e8cp-3, 0x1.5d36d43c9927cp-3, 0x1.572a1144fe215p-3, 0x1.512f53f3a5b23p-3, 0x1.4b4699c4b3a01p-3, 0x1.456fdcfefc0a1p-3, 0x1.3fab1a3b57acfp-3, 0x1.39f84862a1b56p-3, 0x1.3457604c4cacbp-3, 0x1.2ec856d022634p-3, 0x1.294b2461cbc54p-3, 0x1.23dfb96c23b36p-3, 0x1.1e8609bf19ea2p-3, 0x1.193e06c1b5936p-3, 0x1.1407a0ce0b4f3p-3, 0x1.0ee2c708c7cd8p-3, 0x1.09cf67202851bp-3, 0x1.04cd70037ef8fp-3, 0x1.ffb997eb3c56p-4, 0x1.f5facd73da713p-4, 0x1.ec5e5567fc2fep-4, 0x1.e2e401950097dp-4, 0x1.d98ba3aae0bedp-4, 0x1.d0550ac0f6e6fp-4, 0x1.c74004464e5e6p-4, 0x1.be4c5c7469f77p-4, 0x1.b579dda9c141p-4, 0x1.acc8510a185f6p-4, 0x1.a4377e3ab3992p-4, 0x1.9bc72bcf5d578p-4, 0x1.93771eaf0e22dp-4, 0x1.8b471b63eafcdp-4, 0x1.8336e2f618e6bp-4, 0x1.7b4638abc3671p-4, 0x1.7374dc8826302p-4, 0x1.6bc28e09dafaep-4, 0x1.642f0be68f776p-4, 0x1.5cba13c2a4551p-4, 0x1.5563626b36365p-4, 0x1.4e2ab3f2b0b24p-4, 0x1.470fc3883f127p-4, 0x1.40124bdb8b8e7p-4, 0x1.393206ba1b792p-4, 0x1.326ead65906fap-4, 0x1.2bc7f877e7ecp-4, 0x1.253da0af453f8p-4, 0x1.1ecf5cebad652p-4, 0x1.187ce4f462585p-4, 0x1.1245effc339d9p-4, 0x1.0c2a31fc0747p-4, 0x1.062963bed928p-4, 0x1.00433a25dcd3fp-4, 0x1.f4eed5c87b796p-5, 0x1.e98b5675f7b1bp-5, 0x1.de5b6055d38e7p-5, 0x1.d35e5ce0c0d58p-5, 0x1.c893b3baec3d2p-5, 0x1.bdfad4c4d69efp-5, 0x1.b39323072cc31p-5, 0x1.a95c0a4c341c1p-5, 0x1.9f54f46c8aaa5p-5, 0x1.957d4a7b6f8fep-5, 0x1.8bd474ba5fe53p-5, 0x1.8259dfaff3175p-5, 0x1.790cf112a9b5p-5, 0x1.6fed13f4592b9p-5, 0x1.66f9b2df34277p-5, 0x1.5e3239976a7e7p-5, 0x1.559614257f952p-5, 0x1.4d24aedae296p-5, 0x1.44dd760c4213ap-5, 0x1.3cbfd5ca86284p-5, 0x1.34cb39bdf241p-5, 0x1.2cff0ec3f88e4p-5, 0x1.255ac0799ae37p-5, 0x1.1dddc58b19d8bp-5, 0x1.168788ce29b1bp-5, 0x1.0f577f1bcbc56p-5, 0x1.084d1b959f717p-5, 0x1.0167d2f9a722dp-5, 0x1.f54e271d1665bp-6, 0x1.e814a67d750a2p-6, 0x1.db2205beb65ffp-6, 0x1.ce752d36f2a8fp-6, 0x1.c20d071d88acep-6, 0x1.b5e88a1a88365p-6, 0x1.aa06ad26eceaap-6, 0x1.9e666cc33605fp-6, 0x1.9306c5e764fc4p-6, 0x1.87e6b3ae0f4dap-6, 0x1.7d052742cb304p-6, 0x1.72611a3760808p-6, 0x1.67f97f1a7a643p-6, 0x1.5dcd4ed73771dp-6, 0x1.53db8a5b68866p-6, 0x1.4a233c1f09d34p-6, 0x1.40a377b1165d5p-6, 0x1.375b54247bb9ep-6, 0x1.2e49ec8263f9ap-6, 0x1.256e5580fa6bdp-6, 0x1.1cc79db5c5c3ep-6, 0x1.1454ce1010b55p-6, 0x1.0c14ed86f144ap-6, 0x1.040705a79cfd5p-6, 0x1.f85452dc7de4p-7, 0x1.e8faee0439b2ap-7, 0x1.da002f43fcef3p-7, 0x1.cb62848d79423p-7, 0x1.bd2062858c675p-7, 0x1.af383a721ad6bp-7, 0x1.a1a86f7fa2ae8p-7, 0x1.946f5218ceae6p-7, 0x1.878b225aefe7ap-7, 0x1.7afa1b95d16f6p-7, 0x1.6eba7edf9d29fp-7, 0x1.62caa1c646df8p-7, 0x1.5728f33954207p-7, 0x1.4bd3f9ddd4e0bp-7, 0x1.40ca6bf9e2655p-7, 0x1.360af040ea37bp-7, 0x1.2b943efa46d6p-7, 0x1.21650e2f1d888p-7, 0x1.177bd386ef42dp-7, 0x1.0dd73296899d3p-7, 0x1.04758a7b86b74p-7, 0x1.f6aaa70d8ec82p-8, 0x1.e4ea20845ad23p-8, 0x1.d3a6ac9bb99aap-8, 0x1.c2dda2c3b8568p-8, 0x1.b28c8b387ba51p-8, 0x1.a2b124c017d03p-8, 0x1.93495265bc117p-8, 0x1.8453029436152p-8, 0x1.75cc06e68d35ap-8, 0x1.67b20499e7b7p-8, 0x1.5a027766c9159p-8, 0x1.4cbacaf768063p-8, 0x1.3fd876e1e3a51p-8, 0x1.3359064e8b9f9p-8, 0x1.273a113440232p-8, 0x1.1b793c1084556p-8, 0x1.10144943a2833p-8, 0x1.050928d40e53ap-8, 0x1.f4ac156e53837p-9, 0x1.dff2946b33b23p-9, 0x1.cbe281efdcf5p-9, 0x1.b87850a3ec63cp-9, 0x1.a5b0247c8c51fp-9, 0x1.9385fbde8e6c9p-9, 0x1.81f5f35f80ab5p-9, 0x1.70fc4dbff9d2ep-9, 0x1.609554c3899f5p-9, 0x1.50bd1581e5ff9p-9, 0x1.416f6b2793015p-9, 0x1.32a83f7394237p-9, 0x1.2463e9ef09943p-9, 0x1.169f56ba4c186p-9, 0x1.0957e165bee96p-9, 0x1.f915dcc23440dp-10, 0x1.e06bb6b598603p-10, 0x1.c8ab5b65f3287p-10, 0x1.b1cf1f3d7aaf5p-10, 0x1.9bd192af5c037p-10, 0x1.86adaf335b31dp-10, 0x1.725e63f7717dap-10, 0x1.5eddd50639dd1p-10, 0x1.4c255c75cdd19p-10, 0x1.3a2dc8c63701ep-10, 0x1.28f04cb164534p-10, 0x1.1866ede7c0d5dp-10, 0x1.088c96de9f9dfp-10, 0x1.f2b9a936b990dp-11, 0x1.d5a63e65214d6p-11, 0x1.b9d79677e6039p-11, 0x1.9f45a0dbe996bp-11, 0x1.85e9089fe3e3dp-11, 0x1.6dbaf633255abp-11, 0x1.56b4cb4ac15cbp-11, 0x1.40cf8937cb893p-11, 0x1.2c0365b88c4c6p-11, 0x1.1846571afcab6p-11, 0x1.058eca16f7b96p-11, 0x1.e7a3b0a94634ep-12, 0x1.c60937fa49c99p-12, 0x1.a639386f9ee0ap-12, 0x1.8821c7bc1b819p-12, 0x1.6bb4862173e61p-12, 0x1.50e8bacb880e2p-12, 0x1.37b2fbd7f1451p-12, 0x1.200aeef11cf1fp-12, 0x1.09e7ddb01afc2p-12, 0x1.ea7fed6e88ac7p-13, 0x1.c410995bc470cp-13, 0x1.a06c82b4e927fp-13, 0x1.7f809345485dep-13, 0x1.613ac5a2284dap-13, 0x1.4585cc635b47bp-13, 0x1.2c3d8eecd175ep-13, 0x1.153b4f6288772p-13, 0x1.005544941caf3p-13, 0x1.dadef871f73acp-14, 0x1.b8f3d46533d63p-14, 0x1.9acdf3e19ac1fp-14, 0x1.8051a9092df01p-14, 0x1.696c4091c11cbp-14, 0x1.560da2e64e958p-14, 0x1.4615cff1a2ef1p-14, 0x1.3957c4349637cp-14, 0x1.2faff874ab6acp-14, 0x1.2910ef398f8c2p-14, 0x1.25732f185fc82p-14, 0x1.24c7d78a470b9p-14, 0x1.26e8141e0b224p-14, 0x1.2b96cfb261bbbp-14, 0x1.328b8256726cfp-14, 0x1.3b963e87bfed3p-14, 0x1.46a87ed3783fep-14, 0x1.53ae34258a4edp-14, 0x1.62830acf890a4p-14, 0x1.73152338ff37p-14, 0x1.85684e9415f46p-14, 0x1.99722968a4047p-14, 0x1.af0f0e09c478ap-14, 0x1.c6185e5308d89p-14, 0x1.de7da8baa6f36p-14, 0x1.f83bbc9b93ef1p-14, 0x1.09ab4024c09d6p-13, 0x1.17e066af30dc4p-13, 0x1.26afa8f43ef4dp-13, 0x1.3606dfc08e7dcp-13, 0x1.45d08dac7a60dp-13, 0x1.55fe54b0f8526p-13, 0x1.66930e86085d5p-13, 0x1.7788b12fa075dp-13, 0x1.88c92fc54b9d7p-13, 0x1.9a4b03f42823fp-13, 0x1.ac12d5f74055p-13, 0x1.be1eed9070208p-13, 0x1.d0649ffdbf9dfp-13, 0x1.e2d8dc54c0677p-13, 0x1.f574ff880c6cep-13, 0x1.041a51a3dfd91p-12, 0x1.0d8dba2eda737p-12, 0x1.1712a2fe6788p-12, 0x1.20a47557e28p-12, 0x1.2a3e3240f3294p-12, 0x1.33dd455fefccp-12, 0x1.3d7e10b9a1d7ep-12, 0x1.471cdfac8336cp-12, 0x1.50bc32c0dca32p-12, 0x1.5a5a1815fb4b7p-12, 0x1.63ee96f9aef91p-12, 0x1.6d7821e8f5921p-12, 0x1.76f6038b2940bp-12, 0x1.8065b9c7fd179p-12, 0x1.89c5e12cbf72ap-12, 0x1.9314f56af2329p-12, 0x1.9c5116467a62fp-12, 0x1.a57a24994b80dp-12, 0x1.ae904a0b968d9p-12, 0x1.b790ebbcb7e91p-12, 0x1.c07959c037d1cp-12, 0x1.c9479cbcd7c9cp-12, 0x1.d1f9764421732p-12, 0x1.da8ff256bb124p-12, 0x1.e30b4e0e3f831p-12, 0x1.eb682407e2b5p-12, 0x1.f3a7022a973fdp-12, 0x1.fbc697acc3c38p-12, 0x1.01e332dd94548p-11, 0x1.05d3747df12a5p-11, 0x1.09b17eb009b52p-11, 0x1.0d7c59dc883e3p-11, 0x1.1134f50b04cc1p-11, 0x1.14db35be4440bp-11, 0x1.186e920c59822p-11, 0x1.1befc375651a5p-11, 0x1.1f5e5bfeae3abp-11, 0x1.22b9987122aeap-11, 0x1.260098bcef12ep-11, 0x1.293347511306p-11, 0x1.2c519a348c0cp-11, 0x1.2f5b5477871bep-11, 0x1.3251149061fa1p-11, 0x1.35336e1d22492p-11, 0x1.3800cb7a268edp-11, 0x1.3ab8fefa0fc0bp-11, 0x1.3d5c27612192bp-11, 0x1.3fec0c0536ce6p-11, 0x1.4267dccddd8dcp-11, 0x1.44cdd632e08d4p-11, 0x1.471df2f496844p-11, 0x1.49592dd85e339p-11, 0x1.4b7f381dccfadp-11, 0x1.4d904fb4a8886p-11, 0x1.4f8d21ed34273p-11, 0x1.517535a9594d1p-11, 0x1.53482e7dd9232p-11, 0x1.5506134557565p-11, 0x1.56af11318c7dbp-11, 0x1.58435ed98b629p-11, 0x1.59c30b03e7b12p-11, 0x1.5b2e3c4c05cd8p-11, 0x1.5c8532f681defp-11, 0x1.5dc87dd2061a1p-11, 0x1.5ef74df64cf6p-11, 0x1.60118d5080d3dp-11, 0x1.6118432fc3fecp-11, 0x1.620bdaf0e1b1ap-11, 0x1.62ec10bfd71bfp-11, 0x1.63b89a890a005p-11, 0x1.6471a0736196cp-11, 0x1.65176ecf69cbap-11, 0x1.65aa301404de3p-11, 0x1.662a953489961p-11, 0x1.66987a9b62e47p-11, 0x1.66f3de9f4ccb9p-11, 0x1.673d04f196fbfp-11, 0x1.67741a1c9565ep-11, 0x1.67996a05d991fp-11, 0x1.67ad295dba44ep-11, 0x1.67af6f249f4d2p-11, 0x1.67a0b574667fdp-11, 0x1.6780eb67f5ae9p-11, 0x1.6750630576772p-11, 0x1.670f8ea9bf88cp-11, 0x1.66be370859efap-11, 0x1.665ca9c3d54ebp-11, 0x1.65eb6c57acf98p-11, 0x1.656a9874225d6p-11, 0x1.64da8106a2bd3p-11, 0x1.643b112e173cap-11, 0x1.638cc9a998a9ap-11, 0x1.62cf9cba3cd17p-11, 0x1.62041c7f83119p-11, 0x1.612a699e8f6fap-11, 0x1.6042923c1d26fp-11, 0x1.5f4cfb3039456p-11, 0x1.5e49d74833739p-11, 0x1.5d3969149698ap-11, 0x1.5c1bec71711d2p-11, 0x1.5af198db337f6p-11, 0x1.59bab134b730fp-11, 0x1.58776c1a6ac73p-11, 0x1.57280a2f6a2bep-11, 0x1.55ccc037b9a43p-11, 0x1.5465d3aeb3bfcp-11, 0x1.52f380b02c006p-11, 0x1.5175fc987b902p-11, 0x1.4fed6c4ce3c68p-11, 0x1.4e5a5692f8287p-11, 0x1.4cbcae7b73666p-11, 0x1.4b14ce3e95ab1p-11, 0x1.4962e0655bdd5p-11, 0x1.47a726ced97acp-11, 0x1.45e1e11e2924fp-11, 0x1.4413428ddf802p-11, 0x1.423b89b35d16ep-11, 0x1.405aec25c44d9p-11, 0x1.3e71a9970b49cp-11, 0x1.3c803bb76948bp-11, 0x1.3a85f4cd001d6p-11, 0x1.3883fc4ccab9cp-11, 0x1.367a3cee6437bp-11, 0x1.3468e2885ab2p-11, 0x1.325035b5558b5p-11, 0x1.30305a79b9c59p-11, 0x1.2e09916ee859bp-11, 0x1.2bdc052f4f46ap-11, 0x1.29a7fac320c5ap-11, 0x1.276d98a2c392p-11, 0x1.252d12c8885e9p-11, 0x1.22e6a008a3839p-11, 0x1.209a77ab6b2fap-11, 0x1.1e48c1e24a68p-11, 0x1.1bf1b74da06d4p-11, 0x1.199587302cbbfp-11, 0x1.17345fa7d32aep-11, 0x1.14ce72bb9caa1p-11, 0x1.1263f536189bdp-11, 0x1.0ff50c1dd006dp-11, 0x1.0d81ebce1884cp-11, 0x1.0b0ac5ef8277ap-11, 0x1.088fc0076d2d5p-11, 0x1.061107db3f617p-11, 0x1.038eca1584af1p-11, 0x1.01093628314ecp-11, 0x1.fd00e66e0f0afp-12, 0x1.f7e952ae8c1c9p-12, 0x1.f2cc0fe3c8091p-12, 0x1.eda96efb543dep-12, 0x1.e881bdacf3345p-12, 0x1.e3554a188cb4cp-12, 0x1.de2477ce6ed7p-12, 0x1.d8ef5efaab474p-12, 0x1.d3b686bea1ffcp-12, 0x1.ce7ab953b566bp-12, 0x1.c93a8b6677bd5p-12, 0x1.c3f7eeaee4b39p-12, 0x1.beb29c9d2473ap-12, 0x1.b96af1326c62p-12, 0x1.b42126a5dbb2fp-12, 0x1.aed58758dcf64p-12, 0x1.a98847998a63bp-12, 0x1.a439b241f0a06p-12, 0x1.9eea0fe559a06p-12, 0x1.999997a32e65cp-12, 0x1.944882db43177p-12, 0x1.8ef72ec5cf56ap-12, 0x1.89a5b6aa3b32ep-12, 0x1.845464c6183fdp-12, 0x1.7f0369fcaf0e7p-12, 0x1.79b31ed686867p-12, 0x1.74638d0ec7626p-12, 0x1.6f151462956cbp-12, 0x1.69c7d8d30a5abp-12, 0x1.647be6139695ep-12, 0x1.5f3201514e97ap-12, 0x1.59e9c2f6603a4p-12, 0x1.54a39a3506a99p-12, 0x1.4f5fbc723311cp-12, 0x1.4a1e50a34a418p-12, 0x1.44df7db6a0d56p-12, 0x1.3fa37f5d14a62p-12, 0x1.3a6a888dd98ebp-12, 0x1.3534c5517b177p-12, 0x1.300255d2c7ebp-12, 0x1.2ad35dcb3b973p-12, 0x1.25a81d91ca2a6p-12, 0x1.2080b69f4500cp-12, 0x1.1b5d49972b436p-12, 0x1.163e0598cf89p-12, 0x1.11231b571e709p-12, 0x1.0c0c86fe2f9f8p-12, 0x1.06fa93f1d85f9p-12, 0x1.01ed59ec5c204p-12, 0x1.f9c9f883c8cefp-13, 0x1.efc33fc94d199p-13, 0x1.e5c6c04c218cdp-13, 0x1.dbd4aff0eaf6p-13, 0x1.d1ed6b85aefbcp-13, 0x1.c810ffd73c9a1p-13, 0x1.be401c7bfdc04p-13, 0x1.b47a6240a130cp-13, 0x1.aac058506076bp-13, 0x1.a1122df896ba5p-13, 0x1.97701b264eaa9p-13, 0x1.8dda4df93334fp-13, 0x1.8450f3d1c8104p-13, 0x1.7ad4426eb4f73p-13, 0x1.71642fd603556p-13, 0x1.6801944a31789p-13, 0x1.5eabe99640043p-13, 0x1.55639f7cc2a06p-13, 0x1.4c28f896fca38p-13, 0x1.42fc5f9e73262p-13, 0x1.39dc950884b3bp-13, 0x1.30cb4f45576ep-13, 0x1.27c8292034046p-13, 0x1.1ed33de82108ap-13, 0x1.15ecc001219dfp-13, 0x1.0d14e49654822p-13, 0x1.044b41150473fp-13, 0x1.f72154fd1e5ep-14, 0x1.e5c8e4989e8c3p-14, 0x1.d4903f1cbc58cp-14, 0x1.c374b4fad381ap-14, 0x1.b277739078ff8p-14, 0x1.a198d0a2295efp-14, 0x1.90d8d1c43c2a5p-14, 0x1.8037cd4f63ad4p-14, 0x1.6fb5bb65cf20cp-14, 0x1.5f52d2bddfc6ap-14, 0x1.4f0ee4c01c479p-14, 0x1.3eeb1db01014ap-14, 0x1.2ee694a8d96cep-14, 0x1.1f01bb9dd6a81p-14, 0x1.0f3cd3192b982p-14, 0x1.ff2fb2536611fp-15, 0x1.e0258cf946dbap-15, 0x1.c15afffcb11d6p-15, 0x1.a2d0d5749e8f2p-15, 0x1.848729bd46f0fp-15, 0x1.6681a3dc4d7ddp-15, 0x1.48ba5f3e35218p-15, 0x1.2b33f9bcd728fp-15, 0x1.0deeaa3b11b7fp-15, 0x1.e1d5af024e96p-16, 0x1.a8509b36f0703p-16, 0x1.6f4cddad366e7p-16, 0x1.36cc79e61f048p-16, 0x1.fd9f20179a5f2p-17, 0x1.8eaccc2f038e9p-17, 0x1.20b8d63022ee2p-17, 0x1.679a9eeee35dap-18, 0x1.1fac635d63c4fp-19, -0x1.1794f499a7855p-20, -0x1.19965cae03a1fp-18, -0x1.eb3c56b84af63p-18, -0x1.5d6c7154b47d8p-17, -0x1.c434951de62a2p-17, -0x1.14fc403045316p-16, -0x1.475baea895ef3p-16, -0x1.79392c6d66cfbp-16, -0x1.aa94969629d46p-16, -0x1.db6e5b27ef81ep-16, -0x1.05e35c115056bp-15, -0x1.1dcedd1e291b6p-15, -0x1.3579cadbecef3p-15, -0x1.4ce41c4f05217p-15, -0x1.640e5634c44edp-15, -0x1.7af8fca639592p-15, -0x1.91a351ecc9263p-15, -0x1.a80d8df9129b5p-15, -0x1.be383205346c2p-15, -0x1.d423e5b1e9453p-15, -0x1.e9d01f4f08905p-15, -0x1.ff3d20b56b6dcp-15, -0x1.0a35a6c5915d9p-14, -0x1.14ad635482b91p-14, -0x1.1f0605e965cb3p-14, -0x1.293f809fe3bccp-14, -0x1.3359fc208c61fp-14, -0x1.3d557868dbe52p-14, -0x1.473258faf4ceep-14, -0x1.50f05067a7fa8p-14, -0x1.5a9057edb3b6p-14, -0x1.64126e2b4e467p-14, -0x1.6d73eeede46d5p-14, -0x1.76b8825289d5bp-14, -0x1.7fe0ef85d2365p-14, -0x1.88e7e1af3f69dp-14, -0x1.91d2b66c075e2p-14, -0x1.9aa06ec8abe0ep-14, -0x1.a350500671c92p-14, -0x1.abe2e6be57f0dp-14, -0x1.b4584204ab477p-14, -0x1.bcb089ee428b4p-14, -0x1.c4ebeeb55728dp-14, -0x1.cd0a972dfed14p-14, -0x1.d50c9faeb8b28p-14, -0x1.dcf22d150b428p-14, -0x1.e4bb789ad5b0ap-14, -0x1.ec688753927b3p-14, -0x1.f3f99e464c321p-14, -0x1.fb6f01721963p-14, -0x1.01644c4158205p-13, -0x1.05035d3f52104p-13, -0x1.0894b9dae20fp-13, -0x1.0c1881a60ed1p-13, -0x1.0f8ebe4315445p-13, -0x1.12f7b0de60982p-13, -0x1.165318fc604d1p-13, -0x1.19a10405d3477p-13, -0x1.1ce25583a9bep-13, -0x1.20165457edbp-13, -0x1.233d3e688a546p-13, -0x1.265749b85e8e4p-13, -0x1.29647191557bap-13, -0x1.2c64d0216c70ap-13, -0x1.2f588b331b11ap-13, -0x1.323fc0a5c70bp-13, -0x1.351a5ed5e14f9p-13, -0x1.37e8b6f4d862dp-13, -0x1.3aaa94a7eeaa3p-13, -0x1.3d604ee154b5bp-13, -0x1.4009eb77a1896p-13, -0x1.42a761a2e0e14p-13, -0x1.4538ef408eedbp-13, -0x1.47be9b3e74a03p-13, -0x1.4a3871e7e4a96p-13, -0x1.4ca6a905495cbp-13, -0x1.4f093b7c5222ap-13, -0x1.5160227a82b95p-13, -0x1.53abbddec3941p-13, -0x1.55ec1399add6p-13, -0x1.5820eac6b3de6p-13, -0x1.5a4ad56a4393fp-13, -0x1.5c699b8b30991p-13, -0x1.5e7d5ba1d5996p-13, -0x1.60863786c7494p-13, -0x1.62845379174bfp-13, -0x1.647781e70370ap-13, -0x1.6660368bed205p-13, -0x1.683e561f4e51p-13, -0x1.6a12002b84d91p-13, -0x1.6bdb4bf87fb6ap-13, -0x1.6d9a5f4ef5ff3p-13, -0x1.6f4f310dd34bcp-13, -0x1.70f9e4ec914dfp-13, -0x1.729a962758ee8p-13, -0x1.74315e9727e9fp-13, -0x1.75be50a6378d8p-13, -0x1.7741804293e78p-13, -0x1.78bb15426af86p-13, -0x1.7a2b022b0895bp-13, -0x1.7b9178dfcca9ep-13, -0x1.7cee7ad1a264dp-13, -0x1.7e423bb7c51f4p-13, -0x1.7f8cce08e0e5bp-13, -0x1.80ce2bb1e607ap-13, -0x1.8207124958843p-13, -0x1.8335d58e0ea73p-13, -0x1.845c427e329f9p-13, -0x1.8579f920c0a29p-13, -0x1.868ef1e0eb789p-13, -0x1.879b3abcab5b2p-13, -0x1.889e8b46258bep-13, -0x1.899a4c4f08f9fp-13, -0x1.8a8d410efc01ap-13, -0x1.8b77e4d768841p-13, -0x1.8c5a50ccb4fd4p-13, -0x1.8d349da4798a2p-13, -0x1.8e06ca89cf9a8p-13, -0x1.8ed11fb156d09p-13, -0x1.8f939aa54fd15p-13, -0x1.904e403eb13b6p-13, -0x1.910114810ed0cp-13, -0x1.91ac5d9f9f268p-13, -0x1.924f864aff274p-13, -0x1.92ec3e252baf2p-13, -0x1.93811186c545p-13, -0x1.940e9409914p-13, -0x1.9494d79d3bf37p-13, -0x1.9513cd058b6d6p-13, -0x1.958bf6806622dp-13, -0x1.95fcfa53642f5p-13, -0x1.96670e50cad0fp-13, -0x1.96ca655a1309ep-13, -0x1.9726ca4528b98p-13, -0x1.977c788eaefbbp-13, -0x1.97cbaa02e5a6cp-13, -0x1.9814614154223p-13, -0x1.9856bd9ff48c4p-13, -0x1.989216ed0f88cp-13, -0x1.98c77ebac107dp-13, -0x1.98f6ab155f886p-13, -0x1.991f9ee67095ep-13, -0x1.99427f6a4df3cp-13, -0x1.995f4f0a7cfcap-13, -0x1.99762e031e998p-13, -0x1.998732568f777p-13, -0x1.999159658412cp-13, -0x1.9997d58779774p-13, -0x1.999780adc3132p-13, -0x1.9991a8663fdc1p-13, -0x1.99864c2e97bffp-13, -0x1.9975710b9a231p-13, -0x1.995f2d8e928b1p-13, -0x1.99439462f0368p-13, -0x1.9922b7126e034p-13, -0x1.98f8b8e308e32p-13, -0x1.98d17fe4bdc5cp-13, -0x1.98a13c1499314p-13, -0x1.986c09f2365dbp-13, -0x1.9831d04ec92e6p-13, -0x1.97f2cd53e218p-13, -0x1.97aee2d49b45dp-13, -0x1.9766433c70159p-13, -0x1.9718edee2f107p-13, -0x1.96c6f68055da7p-13, -0x1.9670aa11a9d23p-13, -0x1.9615b85d3fbf6p-13, -0x1.95b64733ed943p-13, -0x1.95528edca27dcp-13, -0x1.94ea89fef5164p-13, -0x1.947e0eb493e63p-13, -0x1.940dcac8cf52ep-13, -0x1.9399144283b6cp-13, -0x1.9320786d28663p-13, -0x1.92a3ceaae46c2p-13, -0x1.92232afefde21p-13, -0x1.919ea43a2913dp-13, -0x1.91164321fa49p-13, -0x1.908a0ed90a416p-13, -0x1.8ff9be3f22f33p-13, -0x1.8f66a4177b401p-13, -0x1.8ecf827e1179dp-13, -0x1.8e34d6270db13p-13, -0x1.8d967fc098209p-13, -0x1.8cf4e31507593p-13, -0x1.8c4fc843e1249p-13, -0x1.8ba784a8183eep-13, -0x1.8afb9cd70a6a9p-13, -0x1.8a4cadce7c308p-13, -0x1.899a853da228ep-13, -0x1.88e7da4c4c7f3p-13, -0x1.882cdd524ab92p-13, -0x1.877157e93109bp-13, -0x1.86b3080082ad3p-13, -0x1.85f1f2449586fp-13, -0x1.852cbd699b5efp-13, -0x1.84665e8e26702p-13, -0x1.839c776009a43p-13, -0x1.82d00483c5f8ep-13, -0x1.8200a6372d5bbp-13, -0x1.812e76c707541p-13, -0x1.805a124d5a9ep-13, -0x1.7f82f3f00abdfp-13, -0x1.7ea95e680cb98p-13, -0x1.7dcd473040b6p-13, -0x1.7ceec7a5ca322p-13, -0x1.7c0ddaa016decp-13, -0x1.7b2aa46cee482p-13, -0x1.7a4507c86af9ap-13, -0x1.795d5c449d536p-13, -0x1.78736504e54d3p-13, -0x1.77873f5e5044bp-13, -0x1.7698dc78a6581p-13, -0x1.75a892fd1d5bbp-13, -0x1.74b657f7de80dp-13, -0x1.73c1ed977272ep-13, -0x1.72cb92c1701fcp-13, -0x1.71d36292b1d52p-13, -0x1.70d93d15334f4p-13, -0x1.6fdd457d1e7b1p-13, -0x1.6edf78471fbacp-13, -0x1.6ddfffefa3096p-13, -0x1.6cdbbe1f6bbccp-13, -0x1.6bdbde03020f1p-13, -0x1.6ad734be85e09p-13, -0x1.69d15ead9939p-13, -0x1.68c940ff4df84p-13, -0x1.67bfe87bce9cp-13, -0x1.66b5409741cc3p-13, -0x1.65a87c2202fbfp-13, -0x1.649b2c84cb2abp-13, -0x1.638c1171b122p-13, -0x1.627b92f8c03dp-13, -0x1.6169d3c9456c2p-13, -0x1.6056b9203c76bp-13, -0x1.5f423ba4c2811p-13, -0x1.5e2e43aa7502fp-13, -0x1.5d15e2bb14ac1p-13, -0x1.5bfe037b5e494p-13, -0x1.5ae4d78768451p-13, -0x1.59caa61c232d4p-13, -0x1.58af5d0bad0d6p-13, -0x1.579317171637ep-13, -0x1.5675ba273e398p-13, -0x1.55577de4901cfp-13, -0x1.543830ed322b7p-13, -0x1.5317f83e22e4ep-13, -0x1.51f6e7b2a566p-13, -0x1.50d50a3c2c004p-13, -0x1.4fb22984d186fp-13, -0x1.4e8e922987ae8p-13, -0x1.4d6912a10a6ddp-13, -0x1.4c451458e94ffp-13, -0x1.4b1f3c11b276fp-13, -0x1.49f8aef29d7b8p-13, -0x1.48d16f44d766ap-13, -0x1.47a9985782b67p-13, -0x1.468099f44b5e7p-13, -0x1.4557fd81ee027p-13, -0x1.442eff0eaa7b7p-13, -0x1.4304100272a5dp-13, -0x1.41d92b3f60184p-13, -0x1.40ae21e643e8ap-13, -0x1.3f826ddf4d4cap-13, -0x1.3e5648efe266cp-13, -0x1.3d29f7c3d69dp-13, -0x1.3bfb89e7d506ap-13, -0x1.3acf5f1a6049dp-13, -0x1.39a1a5a75b8c5p-13, -0x1.3873a8ac663bep-13, -0x1.37454a89cf1b8p-13, -0x1.3616abc1a5c9ep-13, -0x1.34e7bd3d5ff16p-13, -0x1.33b88a5c4128bp-13, -0x1.32892d20d593ap-13, -0x1.315a0a4de1cbap-13, -0x1.3029ee943d4e6p-13, -0x1.2efb86441a254p-13, -0x1.2dc9b493d663fp-13, -0x1.2c99fbdafe549p-13, -0x1.2b692604a41cfp-13, -0x1.2a38c1000ba3dp-13, -0x1.29084361b7dbp-13, -0x1.27d7becf02473p-13, -0x1.26a72c164fafep-13, -0x1.257672ad9514ep-13, -0x1.244603f13e7a8p-13, -0x1.2315769f31992p-13, -0x1.21e4efdb5a814p-13, -0x1.20b473bdbd3d2p-13, -0x1.1f8411fafa617p-13, -0x1.1e53cb271c9f6p-13, -0x1.1d23a5450f267p-13, -0x1.1bf377c1b8b4cp-13, -0x1.1ac38c607c045p-13, -0x1.1993b77d1892p-13, -0x1.186426e2f6da8p-13, -0x1.1734c43a2fe33p-13, -0x1.16058292bc7b5p-13, -0x1.14d67aa8eeecbp-13, -0x1.13a7b2d9fe7a8p-13, -0x1.12793180ce21p-13, -0x1.114afddb7a414p-13, -0x1.101cea8902d7cp-13, -0x1.0eef2892a893fp-13, -0x1.0dc1c5242443fp-13, -0x1.0c94ae4f9fc16p-13, -0x1.0b67e5f4fc3dp-13, -0x1.0a3b699861694p-13, -0x1.090f5e11f56f1p-13, -0x1.07e3988f7addcp-13, -0x1.06b8451732df9p-13, -0x1.058d4371a999ep-13, -0x1.0461b36a5a0dcp-13, -0x1.03389c61997bbp-13, -0x1.020f24a6a83b3p-13, -0x1.00e58988a1f43p-13, -0x1.ff79707e62b37p-14, -0x1.fd28bc1ad6c51p-14, -0x1.fad8bdf65a91ep-14, -0x1.f889c46795fcbp-14, -0x1.f63bfdd50122dp-14, -0x1.f3ef609322b28p-14, -0x1.f1a3677fce8bp-14, -0x1.ef58bdd6b6b82p-14, -0x1.ed0ecb0230049p-14, -0x1.eac625cfc61e1p-14, -0x1.e87e89b2d118fp-14, -0x1.e6381277d1e7p-14, -0x1.e3f266af72666p-14, -0x1.e1ae9a2a422b7p-14, -0x1.df6b9601cfcf7p-14, -0x1.dd29c8ccddee7p-14, -0x1.dae93ec55929cp-14, -0x1.d8a9a8aea45ddp-14, -0x1.d66b653296f3bp-14, -0x1.d42ecf898d2a7p-14, -0x1.d1f354de1b3e7p-14, -0x1.cfb8d6d376c16p-14, -0x1.cd7fc9f329e4fp-14, -0x1.cb47e8bbf9e58p-14, -0x1.c90e323e79335p-14, -0x1.c6dcc7809cc87p-14, -0x1.c4a91f0f3b0cap-14, -0x1.c276dba978adfp-14, -0x1.c04604c57cb82p-14, -0x1.be1668f9ed1edp-14, -0x1.bbe8601d29bc2p-14, -0x1.b9bbae7e69e23p-14, -0x1.b79072d2d112fp-14, -0x1.b566c6ad3f7fp-14, -0x1.b33e94e5f234p-14, -0x1.b117a1480f17bp-14, -0x1.aef25696e9912p-14, -0x1.acce727080ffp-14, -0x1.aaac121710cbap-14, -0x1.a88b63c9ed786p-14, -0x1.a66877f9f8982p-14, -0x1.a44e55ecc1e59p-14, -0x1.a231efd078a94p-14, -0x1.a017873ce3f27p-14, -0x1.9dfea16f10becp-14, -0x1.9be73c554d4abp-14, -0x1.99d1282ef1d68p-14, -0x1.97bcbfa5297d8p-14, -0x1.95aa350c59fddp-14, -0x1.939915c709e45p-14, -0x1.9189cd65d0984p-14, -0x1.8f7bf5ae1cddcp-14, -0x1.8d6fb00d84567p-14, -0x1.8b614ca0fd43cp-14, -0x1.895c743177374p-14, -0x1.875520c532bdp-14, -0x1.854f9073c34b8p-14, -0x1.834bbf6b5d0dep-14, -0x1.814977710d746p-14, -0x1.7f48f100c4a89p-14, -0x1.7d4a2d91d557bp-14, -0x1.7b4d0df7a5dafp-14, -0x1.7950338eb991cp-14, -0x1.77585621916adp-14, -0x1.755fc1d4c9001p-14, -0x1.736999dc55642p-14, -0x1.717552ba1b6c4p-14, -0x1.6f815b5821f2cp-14, -0x1.6d9137447ad23p-14, -0x1.6ba1d809abda1p-14, -0x1.69b44681d5fb7p-14, -0x1.67c863d42780dp-14, -0x1.65de5d3e22257p-14, -0x1.63f601405a2ffp-14, -0x1.620f6bd61e4e9p-14, -0x1.602aa64c6d273p-14, -0x1.5e478d67945bfp-14, -0x1.5c662ee079c1ep-14, -0x1.5a874cad4b48ap-14, -0x1.58a90b363ab79p-14, -0x1.56cd1b28e1accp-14, -0x1.54f2d9576417fp-14, -0x1.531a7816a3d5bp-14, -0x1.5143d9e1b7667p-14, -0x1.4f6f1eca3574ap-14, -0x1.4d9c1dfa7238dp-14, -0x1.4bcac76459ef6p-14, -0x1.49fd9f4f6ecb9p-14, -0x1.482dcdb875f11p-14, -0x1.4661d97b1f77p-14, -0x1.449878881e9bcp-14, -0x1.42cf904cd5ccdp-14, -0x1.41090dc92041cp-14, -0x1.3f446be75587ep-14, -0x1.3d8185df345fcp-14, -0x1.3bc084808ae2cp-14, -0x1.3a01476fc9d8p-14, -0x1.3843d712cdfbap-14, -0x1.3688381c79123p-14, -0x1.34ce46f2b043ap-14, -0x1.33163f422be91p-14, -0x1.31600f3c4bf75p-14, -0x1.2fab9a8417ed4p-14, -0x1.2df8feefe368ep-14, -0x1.2c4822a79f024p-14, -0x1.2a9a87c56eb8ap-14, -0x1.28ec016882cb6p-14, -0x1.2740854643c77p-14, -0x1.2596e9fa2c079p-14, -0x1.23ef50d1b0b41p-14, -0x1.22492698138d5p-14, -0x1.20a4f48accef6p-14, -0x1.1f02876dea5fp-14, -0x1.1d61e88dc2f95p-14, -0x1.1bc30c593b041p-14, -0x1.1a260c7120ff5p-14, -0x1.188adf0a4c135p-14, -0x1.16f15faf64779p-14, -0x1.1559bdfd8aa1dp-14, -0x1.13c3da7d7d718p-14, -0x1.122fc85d23619p-14, -0x1.109d6ff21f45ap-14, -0x1.0f0d089a2d7a2p-14, -0x1.0d7e395dda744p-14, -0x1.0bf158b41ea75p-14, -0x1.0a661bf37aa4ep-14, -0x1.08dcb8bd0b2b8p-14, -0x1.07551c2b7ff6ap-14, -0x1.05cf230bec837p-14, -0x1.044b1469d328dp-14, -0x1.02c8c050f5418p-14, -0x1.01482a944aef6p-14, -0x1.ff92b07a2da32p-15, -0x1.fc988e4401022p-15, -0x1.f9a0f9f55a9d3p-15, -0x1.f6aebb37b3c22p-15, -0x1.f3bf21b930ffdp-15, -0x1.f0d30b38a9171p-15, -0x1.edea7f958956ap-15, -0x1.eb0508e4e61f9p-15, -0x1.e82359a339562p-15, -0x1.e5452dcf963fap-15, -0x1.e26a574cdafdcp-15, -0x1.df92e0040626ep-15, -0x1.dcbef6dca79e8p-15, -0x1.d9ee8a3cb01aep-15, -0x1.d721731dec104p-15, -0x1.d457bd3dcd037p-15, -0x1.d1919aa8ca04ep-15, -0x1.cecee0a7d8ed1p-15, -0x1.cc0f24a96f288p-15, -0x1.c9532ebe8c3f8p-15, -0x1.c69a37629d79fp-15, -0x1.c3e5420921ad2p-15, -0x1.c130c202d84abp-15, -0x1.be84bd8dc4841p-15, -0x1.bbd984fbf01ep-15, -0x1.b931b9124756ap-15, -0x1.b68d01bc6e2a1p-15, -0x1.b3ebaea006c84p-15, -0x1.b14df194afcdap-15, -0x1.aeb37f92b8154p-15, -0x1.ac1bfa8df73c6p-15, -0x1.a987fea1a8954p-15, -0x1.a6f7477114555p-15, -0x1.a46988f142ee2p-15, -0x1.a1dfa5a5526a7p-15, -0x1.9f58a11cb407p-15, -0x1.9cd517ca309a1p-15, -0x1.9a54950c418ebp-15, -0x1.97d722ef926bep-15, -0x1.955d5371871d6p-15, -0x1.92e6883486889p-15, -0x1.9072e533e3221p-15, -0x1.8e025fa8491d2p-15, -0x1.8b9532bb84dadp-15, -0x1.892b26264bd8bp-15, -0x1.86c590a104f6cp-15, -0x1.84604ac8368c3p-15, -0x1.81fbf238bc43bp-15, -0x1.7fa27e80ffb5cp-15, -0x1.7d4805cc655p-15, -0x1.7af0c53a27c26p-15, -0x1.789cc768abep-15, -0x1.764bb4149b3b5p-15, -0x1.73fdb4e1b7a83p-15, -0x1.71b30864ba792p-15, -0x1.6f6aea1cb8b17p-15, -0x1.6d263095859p-15, -0x1.6ae478473142bp-15, -0x1.68a5c7428345p-15, -0x1.666a1c99ad5efp-15, -0x1.6431634dba726p-15, -0x1.61fbd1777be52p-15, -0x1.5fc9278bd57fbp-15, -0x1.5d996c84135b6p-15, -0x1.5b6cac5a1732p-15, -0x1.594309c387082p-15, -0x1.57192da30addp-15, -0x1.54f847a162052p-15, -0x1.52d74bd5cd7d5p-15, -0x1.50b94ea793906p-15, -0x1.4e9e3ed179ac4p-15, -0x1.4c8619da44ed9p-15, -0x1.4a70b0a823325p-15, -0x1.485e31c398aep-15, -0x1.464e9de266c47p-15, -0x1.44420a282f525p-15, -0x1.42380d691697dp-15, -0x1.4030f90206035p-15, -0x1.3e2cc77fbcc55p-15, -0x1.3c2a3f57bf5edp-15, -0x1.3a2cd1fe08fbp-15, -0x1.3831212565daep-15, -0x1.3637e7db8d6a7p-15, }}, 
      {{0x1.07b1e8827df77p-1, 0x1.796f031b3f00cp-1, 0x1.dac73cb8b96b4p-1, 0x1.1570b3daa22efp+0, 0x1.3503d98a9806dp+0, 0x1.4c9e76f8b5773p+0, 0x1.5cf8cd01d6f1ap+0, 0x1.66e7aaa7bc45ep+0, 0x1.6b4a296d4901bp+0, 0x1.6afd3d36f64adp+0, 0x1.66d381a4fb23fp+0, 0x1.5f90205cd9a56p+0, 0x1.55e3f38c3f991p+0, 0x1.4a6c41d63d1cep+0, 0x1.3db29aaea72d9p+0, 0x1.302d7728c3f84p+0, 0x1.224157a574501p+0, 0x1.14422f0432d9ap+0, 0x1.0674f30cd79dcp+0, 0x1.f222728d61082p-1, 0x1.d88599c78e6dfp-1, 0x1.c056627485ca9p-1, 0x1.a9c6143ee67d8p-1, 0x1.94f6ca8f68e44p-1, 0x1.81fdc8cd5c15bp-1, 0x1.70e58f93ac99fp-1, 0x1.61afb682c4136p-1, 0x1.54568d3c0593fp-1, 0x1.48ce87b49f9c3p-1, 0x1.3f0779a25c566p-1, 0x1.36eda5e6cb5b4p-1, 0x1.306aa5ee891a3p-1, 0x1.2b662e502ac94p-1, 0x1.27c6b480f4239p-1, 0x1.2571f9860aa55p-1, 0x1.244d7d1cbe94cp-1, 0x1.243edc7a0e717p-1, 0x1.252c1e2bd8978p-1, 0x1.26fbf023c12d7p-1, 0x1.2995d6f29dc4dp-1, 0x1.2ce252f603267p-1, 0x1.30caf9f05f139p-1, 0x1.353a8adfdc4dp-1, 0x1.3a1cf94d3e9b9p-1, 0x1.3f5f7356b1c45p-1, 0x1.44f0638f903d6p-1, 0x1.4abf6e3ae0ea8p-1, 0x1.50bd6c250cc63p-1, 0x1.56dc6348c939p-1, 0x1.5d0f7c38bdfd4p-1, 0x1.634af7f0965edp-1, 0x1.69842404915f6p-1, 0x1.6fb14cad28b7fp-1, 0x1.75c9b10ddb5e3p-1, 0x1.7bc575384c032p-1, 0x1.819d951ab6debp-1, 0x1.874bd74f65e2ep-1, 0x1.8ccac044d8b52p-1, 0x1.921585aec65a3p-1, 0x1.9728025490137p-1, 0x1.9bfeaa9449dcep-1, 0x1.a09680dc11c27p-1, 0x1.a4ed0aedc394p-1, 0x1.a90047da106d7p-1, 0x1.accea5d1ad357p-1, 0x1.b056f97cdb8bdp-1, 0x1.b39874a389c7fp-1, 0x1.b6929e3c1906ep-1, 0x1.b9454aaca6ccbp-1, 0x1.bbb094327854fp-1, 0x1.bdd4d4e6b6879p-1, 0x1.bfb29f18f303bp-1, 0x1.c14ab874379d8p-1, 0x1.c29e1457a23f7p-1, 0x1.c3adcdfe16e5cp-1, 0x1.c47b248b1a6fp-1, 0x1.c5077625f9bfbp-1, 0x1.c5543c3a5ea72p-1, 0x1.c56307320eb27p-1, 0x1.c5357b6f671c6p-1, 0x1.c4cd4dc9d905ap-1, 0x1.c42c40b829b8dp-1, 0x1.c35421808ce7p-1, 0x1.c246c5ca81193p-1, 0x1.c106091b9ec38p-1, 0x1.bf93cb6d2b4d5p-1, 0x1.bdf1ee22482bcp-1, 0x1.bc225369d4ccfp-1, 0x1.ba26dc0ec7d4dp-1, 0x1.b801662f7bf2bp-1, 0x1.b5b3cc6e6f9bdp-1, 0x1.b33fe3d335085p-1, 0x1.b0a77bd415b99p-1, 0x1.adec5cebde76bp-1, 0x1.ab1047f65d1c1p-1, 0x1.a814f5868a665p-1, 0x1.a4fc15472d728p-1, 0x1.a1c74da84e3fap-1, 0x1.9e783b0e672a9p-1, 0x1.9b10700d87017p-1, 0x1.979174ab7b425p-1, 0x1.93fcc666bcbdbp-1, 0x1.9053d7eb787d5p-1, 0x1.8c98111958973p-1, 0x1.88caced72914bp-1, 0x1.84ed63298e9adp-1, 0x1.8101151e28c48p-1, 0x1.7d0720e7e80d9p-1, 0x1.7900b7efd3db4p-1, 0x1.74ef00f37ee6cp-1, 0x1.70d318166539ap-1, 0x1.6cae0f0acc02dp-1, 0x1.6880ed808ecap-1, 0x1.644cb0b66a345p-1, 0x1.60124c40b66bcp-1, 0x1.5bd2a9fcee941p-1, 0x1.578eaa56d1367p-1, 0x1.5347247a72cd6p-1, 0x1.4efce68984fd6p-1, 0x1.4ab0b5e16d129p-1, 0x1.46634f58ed404p-1, 0x1.42156770256e6p-1, 0x1.3dc7aabaa2906p-1, 0x1.397abdaf26de1p-1, 0x1.352f3d69b6344p-1, 0x1.30e5bf91bbad9p-1, 0x1.2c9ed2af86c17p-1, 0x1.285afe622bfabp-1, 0x1.241ac3ad0688ap-1, 0x1.1fde9cfba3004p-1, 0x1.1ba6feae021c7p-1, 0x1.177456e8911fep-1, 0x1.13470e36bebe8p-1, 0x1.0f1f8769c3b6ap-1, 0x1.0afe1ff10d242p-1, 0x1.06e3300f14accp-1, 0x1.02cf0b007bfdfp-1, 0x1.fd83fe5d85079p-2, 0x1.f578acbeb797bp-2, 0x1.ed7cabbd7aed6p-2, 0x1.e5907d4c3e88ap-2, 0x1.ddb49b2efeddfp-2, 0x1.d5e97739bed58p-2, 0x1.ce2f7b5e00bdep-2, 0x1.c6870a964e32p-2, 0x1.bef080873ed13p-2, 0x1.b76c321e5c75cp-2, 0x1.affa6dccd987ep-2, 0x1.a89b7be12b009p-2, 0x1.a14f9e4b9a401p-2, 0x1.9a1711c55ddcp-2, 0x1.92f20d17ab4a7p-2, 0x1.8be0c1fe810e1p-2, 0x1.84e35cf084f93p-2, 0x1.7dfa05bf3b0abp-2, 0x1.7724df840d8bdp-2, 0x1.706408b9a5f1p-2, 0x1.69b79c1a2f42p-2, 0x1.631fafa00c736p-2, 0x1.5c9c559513e09p-2, 0x1.562d9ce1f7823p-2, 0x1.4fd3906d3149p-2, 0x1.498e3802fd7fdp-2, 0x1.435d97ef0563fp-2, 0x1.3d41b18f7f23p-2, 0x1.373a82fd7a446p-2, 0x1.3148081ace354p-2, 0x1.2b6a39785eb7dp-2, 0x1.25a10d07a1c88p-2, 0x1.1fec76e5cae9fp-2, 0x1.1a4c682a33226p-2, 0x1.14c0d00c0ae7fp-2, 0x1.0f499b8fd0982p-2, 0x1.09e6b5bacebb3p-2, 0x1.04980770a0b2dp-2, 0x1.febaefa892d02p-3, 0x1.f46dda058ecc1p-3, 0x1.ea489444da924p-3, 0x1.e04ae3630d2b5p-3, 0x1.d674890fda185p-3, 0x1.ccc543a829466p-3, 0x1.c33ccfc5ff06ap-3, 0x1.b9dae6a63c764p-3, 0x1.b09f3f8c38e6cp-3, 0x1.a7898f23efa6ep-3, 0x1.9e998971563f1p-3, 0x1.95cede0f028e8p-3, 0x1.8d293c9ca9f3cp-3, 0x1.84a8524b2f6c1p-3, 0x1.7c4bcb0c61eaep-3, 0x1.74134fd5f7fe3p-3, 0x1.6bfe8b57cfd8bp-3, 0x1.640d23ac5fd27p-3, 0x1.5c3ebf51c836p-3, 0x1.549303adac287p-3, 0x1.4d099496d4e19p-3, 0x1.45a21577e7a77p-3, 0x1.3e5c280b93076p-3, 0x1.37376e6af1388p-3, 0x1.30338946670f9p-3, 0x1.295018d51a9b3p-3, 0x1.228cbcd35be1ep-3, 0x1.1be91469f15eap-3, 0x1.1564be8058f91p-3, 0x1.0eff594bbb1d3p-3, 0x1.08b8834f2bfedp-3, 0x1.028fda69478f8p-3, 0x1.f909f89d8ea19p-4, 0x1.ed2f0eb887ad4p-4, 0x1.e18e31143a2f2p-4, 0x1.d6269bb607985p-4, 0x1.caf78a38d2bd9p-4, 0x1.c000384df718cp-4, 0x1.b53fe2a9bdbc9p-4, 0x1.aab5c3dff5538p-4, 0x1.a0611b1c2a84dp-4, 0x1.96412499d618p-4, 0x1.8c551f2c1c5b9p-4, 0x1.829c495648e78p-4, 0x1.7915e2bcd5888p-4, 0x1.6fc12cbe3132ap-4, 0x1.669d676eaf9e9p-4, 0x1.5da9d655c4574p-4, 0x1.54e5bca3fd3bep-4, 0x1.4c505f7e5ae9dp-4, 0x1.43e903b249a2p-4, 0x1.3baef10553fb5p-4, 0x1.33a16f2c5b531p-4, 0x1.2bbfc851e2166p-4, 0x1.240946f677fbfp-4, 0x1.1c7d36d7e9ffep-4, 0x1.151ae803a33a7p-4, 0x1.0de1a7440b0e9p-4, 0x1.06d0c63887d5p-4, 0x1.ffcf2dd375a0bp-5, 0x1.f24ada780cdc5p-5, 0x1.e5133dcd31eacp-5, 0x1.d827073a78471p-5, 0x1.cb84e356bd806p-5, 0x1.bf2b8b1d42ce7p-5, 0x1.b319b57cef0c7p-5, 0x1.a74e1ec5e0322p-5, 0x1.9bc784ba51448p-5, 0x1.9084aa754bd08p-5, 0x1.858455b87547bp-5, 0x1.7ac5507e7be5dp-5, 0x1.704667a064003p-5, 0x1.66066bf360d4dp-5, 0x1.5c0432281907fp-5, 0x1.523e916cd10aep-5, 0x1.48b4660b32687p-5, 0x1.3f648f650a42cp-5, 0x1.364def1101a21p-5, 0x1.2d6f6df68b6c1p-5, 0x1.24c7f42ac2404p-5, 0x1.1c56713aa381ap-5, 0x1.1419d5dfad71cp-5, 0x1.0c11174fd7073p-5, 0x1.043b2ee8eaecfp-5, 0x1.f92e32e91c657p-6, 0x1.ea47ad36fff7dp-6, 0x1.dbc0d56925099p-6, 0x1.cd97ba0a8b1e7p-6, 0x1.bfca712f0a3ep-6, 0x1.b2571a3bf7bb4p-6, 0x1.a53bd7ed10c84p-6, 0x1.9876d682be8b7p-6, 0x1.8c064a43a2927p-6, 0x1.7fe86c97915a3p-6, 0x1.741b7b457ba41p-6, 0x1.689dc4f61aff2p-6, 0x1.5d6d9271d53f6p-6, 0x1.52893da0064afp-6, 0x1.47ef226be388dp-6, 0x1.3d9da4219be73p-6, 0x1.33932cee8c05ap-6, 0x1.29ce2e67427c8p-6, 0x1.204d1fff9df63p-6, 0x1.170e7dcb63ff7p-6, 0x1.0e10cfcf0d5b7p-6, 0x1.0552a07c4efabp-6, 0x1.f9a5030af5a36p-7, 0x1.e91e18a36e19ap-7, 0x1.d90dba47a3b3p-7, 0x1.c9713542c9d9bp-7, 0x1.ba45da5ba4fd9p-7, 0x1.ab890a626b577p-7, 0x1.9d383853bfad5p-7, 0x1.8f50d5912c17p-7, 0x1.81d071eead995p-7, 0x1.74b49f30ed193p-7, 0x1.67faf873d9564p-7, 0x1.5ba121f8742ccp-7, 0x1.4fa4d2df9f8dep-7, 0x1.4403c204a0885p-7, 0x1.38bbbcb7f29f2p-7, 0x1.2dca913ec8efcp-7, 0x1.232e251a0d21dp-7, 0x1.18e4659dba7c9p-7, 0x1.0eeb4bfabd1acp-7, 0x1.0540d80a84afep-7, 0x1.f7c60e9adf6dbp-8, 0x1.e59fe2d501cb7p-8, 0x1.d40b5922ed62ep-8, 0x1.c304b3a814498p-8, 0x1.b28857de506cbp-8, 0x1.a292b2a7fe9fdp-8, 0x1.9320576438eb7p-8, 0x1.842ded77df679p-8, 0x1.75b81f19e7cbfp-8, 0x1.67bbacd19f257p-8, 0x1.5a3575561d01bp-8, 0x1.4d222ae02c45fp-8, 0x1.407eb59146f36p-8, 0x1.34480a111654p-8, 0x1.287b333092f2p-8, 0x1.1d1559ccf1ca6p-8, 0x1.1213bd210b0f4p-8, 0x1.0773b31f3c749p-8, 0x1.fa653ac083d5bp-9, 0x1.e69bc04f6e197p-9, 0x1.d385ce16c500ep-9, 0x1.c11e4132dd253p-9, 0x1.af5ff791b6263p-9, 0x1.9e45fb2b89444p-9, 0x1.8dcb73285997p-9, 0x1.7debd3d91d96dp-9, 0x1.6ea2bf111a303p-9, 0x1.5fec086f83db2p-9, 0x1.51c39342c8b35p-9, 0x1.442562a789889p-9, 0x1.370d7a9b7d091p-9, 0x1.2a77c73727874p-9, 0x1.1e603dfa76ad4p-9, 0x1.12c2c908029ap-9, 0x1.079b8c632c898p-9, 0x1.f9cd790fc519cp-10, 0x1.e541968f4c39ep-10, 0x1.d18cde054b093p-10, 0x1.bea8d0ff3dd77p-10, 0x1.ac8f932fb0d64p-10, 0x1.9b3af8330d6b1p-10, 0x1.8aa50ce5136f9p-10, 0x1.7ac84192daf29p-10, 0x1.6b9d6ef238ed3p-10, 0x1.5d1f09aff96a1p-10, 0x1.4f46c8194ae84p-10, 0x1.420ee1e3bc986p-10, 0x1.3571b95795f5dp-10, 0x1.296a0eed19e92p-10, 0x1.1df3194f23b8ap-10, 0x1.1308276481f6cp-10, 0x1.08a4ea8fc9abcp-10, 0x1.fd8a2b662decep-11, 0x1.eac8e30331201p-11, 0x1.d8fcdd78784cbp-11, 0x1.c81d2f4089cf8p-11, 0x1.b820b590e4f73p-11, 0x1.a8fec98475c32p-11, 0x1.9aaee814746f6p-11, 0x1.8d28f39fa205bp-11, 0x1.806522d06642cp-11, 0x1.745bbb16926bdp-11, 0x1.6905d6ef0e07ep-11, 0x1.5e5d03d6b3535p-11, 0x1.545b7c126ec44p-11, 0x1.4afb76a325d3cp-11, 0x1.4236cc003a627p-11, 0x1.3a074c5b4e511p-11, 0x1.3266d7d5952b2p-11, 0x1.2b4f60bf6d33ep-11, 0x1.24bb58c8c040dp-11, 0x1.1ea501ef43e31p-11, 0x1.1906bbfab45f2p-11, 0x1.13dab67056637p-11, 0x1.0f1b4b09c8408p-11, 0x1.0ac34be725acdp-11, 0x1.06ce3c709ab6p-11, 0x1.0337e239ae0fbp-11, 0x1.fff9d839b3ce7p-12, 0x1.fa3144d490712p-12, 0x1.f50fb43f9be4cp-12, 0x1.f08ca25d62acfp-12, 0x1.eca0dcd718b4bp-12, 0x1.e945d68ed0a1bp-12, 0x1.e674822029c1bp-12, 0x1.e4260780811d6p-12, 0x1.e251e46b49d54p-12, 0x1.e0f0310cde7c9p-12, 0x1.dff8a4ec0d418p-12, 0x1.df647786362d6p-12, 0x1.df2dc616e28dcp-12, 0x1.df4e8008c7a4ap-12, 0x1.dfc2e4630bdcfp-12, 0x1.e085561e4385p-12, 0x1.e191c5dcccc12p-12, 0x1.e2e3fd0863b1bp-12, 0x1.e47809ee5d2c9p-12, 0x1.e64a5f8d39ae2p-12, 0x1.e8573186c63fp-12, 0x1.ea99ef0b98ec3p-12, 0x1.ed0e47e256adap-12, 0x1.efaeef7097a47p-12, 0x1.f276dee9ce233p-12, 0x1.f561029ac5432p-12, 0x1.f868a1b17e6ep-12, 0x1.fb89bfa80a88bp-12, 0x1.fec149f2222f1p-12, 0x1.0106712b8e282p-11, 0x1.02b53ba1a40d7p-11, 0x1.046c05928bba5p-11, 0x1.0629e311eb39dp-11, 0x1.07edd8a25af64p-11, 0x1.09b6b22ba3033p-11, 0x1.0b8331098a778p-11, 0x1.0d52c02d48229p-11, 0x1.0f23ddc1cb2ddp-11, 0x1.10f5e9e50a119p-11, 0x1.12c74c7d4b79bp-11, 0x1.149614f74c3b2p-11, 0x1.16608a5f8a69bp-11, 0x1.18258cd7face1p-11, 0x1.19e47f9c804b6p-11, 0x1.1b9ce8a1ce414p-11, 0x1.1d4e4aaae84c6p-11, 0x1.1ef8571da29ffp-11, 0x1.209acffaf8487p-11, 0x1.22352939a72c3p-11, 0x1.23c69661a94a3p-11, 0x1.254e7eca7af2p-11, 0x1.26cc8114c827dp-11, 0x1.2840ddb32d15ep-11, 0x1.29ab131540a6fp-11, 0x1.2b0acaa64ea57p-11, 0x1.2c5ed9e8be773p-11, 0x1.2da62e93bd8fap-11, 0x1.2ee01fcfd334ep-11, 0x1.300c918b7bf65p-11, 0x1.312b5c7efc25ep-11, 0x1.323c1c8219efap-11, 0x1.333ea54b1941p-11, 0x1.3433421ec89ddp-11, 0x1.3519f4a92037ap-11, 0x1.35f2489a9f036p-11, 0x1.36bc187664f02p-11, 0x1.3776d9b9d0851p-11, 0x1.38230aa79dda9p-11, 0x1.38c0bb18c5f55p-11, 0x1.3950075b40aaep-11, 0x1.39d08b653b7ffp-11, 0x1.3a422f291db15p-11, 0x1.3aa4886c7212ep-11, 0x1.3af78552d155cp-11, 0x1.3b3b2ccc5c12ep-11, 0x1.3b6fc67c5dbp-11, 0x1.3b94fb1fbd1bep-11, 0x1.3baab024dd932p-11, 0x1.3bb13c38c1b14p-11, 0x1.3ba89eef971ffp-11, 0x1.3b919844e0e59p-11, 0x1.3b6b518a104e3p-11, 0x1.3b360b21165b1p-11, 0x1.3af23d39531e3p-11, 0x1.3a9fc88421598p-11, 0x1.3a3efd5007af9p-11, 0x1.39cfe25b6651bp-11, 0x1.39528745c1bc9p-11, 0x1.38c715ab3e33cp-11, 0x1.382db1d4033cfp-11, 0x1.3786544971c6fp-11, 0x1.36d1635e17656p-11, 0x1.360efbe5eb65dp-11, 0x1.353f424e91594p-11, 0x1.346230990df8p-11, 0x1.3378286b46c16p-11, 0x1.32812249ab94bp-11, 0x1.317d88330d49dp-11, 0x1.306d636cd1bc8p-11, 0x1.2f50f59aaaf7p-11, 0x1.2e2875dcf0e5fp-11, 0x1.2cf42ec8c1ba1p-11, 0x1.2bb413f577efap-11, 0x1.2a689ca75fcbbp-11, 0x1.2911ba27a086dp-11, 0x1.27afda34b3e8cp-11, 0x1.264303da9b9ebp-11, 0x1.24cb9dac612e2p-11, 0x1.2349c75916499p-11, 0x1.21bdb4cd6e879p-11, 0x1.2027a7b195e33p-11, 0x1.1e87d644ebcd9p-11, 0x1.1cde497be8e68p-11, 0x1.1b2b71ee62d27p-11, 0x1.196f70ddaabf2p-11, 0x1.17aa8449adc8fp-11, 0x1.15dcd777db9f9p-11, 0x1.1406af90d5ff5p-11, 0x1.12281c12d9089p-11, 0x1.1041b3b553d5fp-11, 0x1.0e5339db772e4p-11, 0x1.0c5d3dab6e674p-11, 0x1.0a5fc70255311p-11, 0x1.085b25544aaabp-11, 0x1.064f8a6eb1053p-11, 0x1.043d192e542d1p-11, 0x1.02240c72be8c9p-11, 0x1.0004a7e237d8ap-11, 0x1.fbbe395260ce3p-12, 0x1.f7677a8370734p-12, 0x1.f304cc6a9ee14p-12, 0x1.ee97246d96b54p-12, 0x1.ea1ea7d7db599p-12, 0x1.e59c2cfad1cbap-12, 0x1.e10fd7764657dp-12, 0x1.dc79e81c6275ap-12, 0x1.d7db01a800604p-12, 0x1.d33345c9183ccp-12, 0x1.ce832ad23edabp-12, 0x1.c9cb1a51c740dp-12, 0x1.c50b9dc2661a8p-12, 0x1.c0450a8aae919p-12, 0x1.bb778413237c1p-12, 0x1.b6a3bf2b80f8ep-12, 0x1.b1c991e2dc989p-12, 0x1.ace9ab25fba1p-12, 0x1.a8044c6344e81p-12, 0x1.a31a1572bfa2cp-12, 0x1.9e2b33114771dp-12, 0x1.9937cb3881474p-12, 0x1.944030e98dfaep-12, 0x1.8f44e5244d48bp-12, 0x1.8a46160e846a8p-12, 0x1.8544681d5627ep-12, 0x1.803ff63eea006p-12, 0x1.7b391d7bf59cap-12, 0x1.762ff8c376db5p-12, 0x1.7124e68b88f5fp-12, 0x1.6c1849da205bbp-12, 0x1.670a5c0a87b8fp-12, 0x1.61fb8c4c8c473p-12, 0x1.5cec0b20bcd74p-12, 0x1.57dc247bd171ap-12, 0x1.52cb97debfaddp-12, 0x1.4dbbd046ca35bp-12, 0x1.48ac39a17725dp-12, 0x1.439d093b4d1e9p-12, 0x1.3e8eb5eb4539cp-12, 0x1.39814c8e4ee67p-12, 0x1.3475931cf9f3ep-12, 0x1.2f6b64466d06bp-12, 0x1.2a62c794c733dp-12, 0x1.255c1ea44b5b8p-12, 0x1.2057e5a3389b6p-12, 0x1.1b5601745f877p-12, 0x1.1656edaa4fbbdp-12, 0x1.115a99b6e862cp-12, 0x1.0c616c248b02ap-12, 0x1.076b7e7347326p-12, 0x1.02790ffd27009p-12, 0x1.fb14c109a4137p-13, 0x1.f13f305e5b535p-13, 0x1.e7717c0b5b42fp-13, 0x1.ddac570af6e81p-13, 0x1.d3ef8c94f240bp-13, 0x1.ca3c389676488p-13, 0x1.c0922e581447dp-13, 0x1.b6f24409b7c8ep-13, 0x1.ad5c02f97c61fp-13, 0x1.a3d0334288b96p-13, 0x1.9a4f195e2f462p-13, 0x1.90d7c0cbc8d4p-13, 0x1.876e0d533f284p-13, 0x1.7e0e93e06cd9bp-13, 0x1.74baa915cb74p-13, 0x1.6b72f5ec0f712p-13, 0x1.6237a4677099fp-13, 0x1.59089f7d10b25p-13, 0x1.4fe6603c399d4p-13, 0x1.46d122f305ec9p-13, 0x1.3dc8ff2fa37dep-13, 0x1.34ce8c5fb5a73p-13, 0x1.2be142c09948ap-13, 0x1.2302398e7ba0ap-13, 0x1.1a3116ccdf787p-13, 0x1.116dc9021f22fp-13, 0x1.08b8f24090e04p-13, 0x1.0012ee876104p-13, 0x1.eef6e21ce7a2dp-14, 0x1.dde5b8e931533p-14, 0x1.ccf2741817d17p-14, 0x1.bc1cc6686f682p-14, 0x1.ab66722ef94bcp-14, 0x1.9acf1817fe0e5p-14, 0x1.8a56bd0afc75dp-14, 0x1.79fd6e8813f6bp-14, 0x1.69c3a109ae345p-14, 0x1.59a9be01d2878p-14, 0x1.49aff5ab1e57ap-14, 0x1.39d626c9968acp-14, 0x1.2a1d3a9667ca4p-14, 0x1.1a847b432cd94p-14, 0x1.0b0d3bd0af8ecp-14, 0x1.f769b92268aedp-15, 0x1.d9008789d4d69p-15, 0x1.bad68b7ba3cb1p-15, 0x1.9cf0024c22b1fp-15, 0x1.7f4cca575d166p-15, 0x1.61ebbdbdbf177p-15, 0x1.44cea54e1b9e5p-15, 0x1.27f58ec8b471fp-15, 0x1.0b5fb2aed3dp-15, 0x1.de1ad0b14ba8fp-16, 0x1.a5fe7b9f0e9aap-16, 0x1.6e6acc6e6b839p-16, 0x1.37607df1d052p-16, 0x1.00dd4e8a8d53p-16, 0x1.95c710d4d5f32p-17, 0x1.2afa118b2949ep-17, 0x1.8222eb00ac5dfp-18, 0x1.6146f7305e608p-19, -0x1.ea21bd1d1e83ep-22, -0x1.d7b6da3c30debp-19, -0x1.b6e6e3a755766p-18, -0x1.3fee63f2eeb26p-17, -0x1.a34fa521ae2fdp-17, -0x1.02cecb369cc35p-16, -0x1.336f988ca1c36p-16, -0x1.6386bc848884bp-16, -0x1.9317783ee3c7ap-16, -0x1.c21d12c6ed865p-16, -0x1.f09bc3451c857p-16, -0x1.0f4952e48640fp-15, -0x1.2600f3791649p-15, -0x1.3c754efb0d6a9p-15, -0x1.52a6127e2b39bp-15, -0x1.6892aa6f3f142p-15, -0x1.7e3d1602bf3e3p-15, -0x1.93a564393608p-15, -0x1.a8c99321e3496p-15, -0x1.bdab4dedb3de7p-15, -0x1.d24a62587778dp-15, -0x1.e6a7fce2f1863p-15, -0x1.fac3c0c6be93cp-15, -0x1.074ee8f388b2p-14, -0x1.111a6b6ff1813p-14, -0x1.1ac6266f948bdp-14, -0x1.24517706253b1p-14, -0x1.2dbcd89e3e69ap-14, -0x1.3706fde0cb24bp-14, -0x1.403160efb5d6cp-14, -0x1.493c19c4a5091p-14, -0x1.52270c93840e3p-14, -0x1.5af1cfca99539p-14, -0x1.639d307d29fe5p-14, -0x1.6c29ab34645e4p-14, -0x1.7497243653339p-14, -0x1.7ce5644c02f2ap-14, -0x1.851486fde61b5p-14, -0x1.8d25620dc5e2p-14, -0x1.951771a5c7818p-14, -0x1.9cea8c593e476p-14, -0x1.a4a043b28ffd8p-14, -0x1.ac3760241518fp-14, -0x1.b3b1a5cc91d78p-14, -0x1.bb0d8ea02f069p-14, -0x1.c24bed382282p-14, -0x1.c96cf6572b2c3p-14, -0x1.d07146d66fc32p-14, -0x1.d7587005f54e6p-14, -0x1.de22bbd4d25fap-14, -0x1.e4d06ce571f96p-14, -0x1.eb6272d8df3b7p-14, -0x1.f1d6dd31c9e56p-14, -0x1.f82fe7dfc5cecp-14, -0x1.fe6d2644f5aabp-14, -0x1.0247ef127007ap-13, -0x1.054af5a27f14ep-13, -0x1.0840720c192e7p-13, -0x1.0b287e770fcb8p-13, -0x1.0e0332aac597dp-13, -0x1.10d08e3ffe8d9p-13, -0x1.1390c6ac49f26p-13, -0x1.1643a18ed0bbfp-13, -0x1.18e9a6ba3850cp-13, -0x1.1b82bbad8e301p-13, -0x1.1e0eda9ea9943p-13, -0x1.208ebc961dea7p-13, -0x1.2301ae546304p-13, -0x1.2567d1c70078p-13, -0x1.27c1f8537d13cp-13, -0x1.2a0f96e1679d6p-13, -0x1.2c5172995007fp-13, -0x1.2e86cac6e4165p-13, -0x1.30b029668bb0ep-13, -0x1.32cdf1af86d02p-13, -0x1.34df60227981ap-13, -0x1.36e56c4d05f9bp-13, -0x1.38dfe18ef165ep-13, -0x1.3acf06799d397p-13, -0x1.3cb2cb14fffafp-13, -0x1.3e8afbfbbb5e8p-13, -0x1.4057f021fa286p-13, -0x1.4219fe8af464ap-13, -0x1.43d1d53797a41p-13, -0x1.457dbfb30878p-13, -0x1.471f371e6b791p-13, -0x1.48b5e9861d1a4p-13, -0x1.4a4222187659ep-13, -0x1.4bc417252b205p-13, -0x1.4d3b95137a1e1p-13, -0x1.4ea8be157fbf7p-13, -0x1.500bc33b1927ep-13, -0x1.5164ae46293f1p-13, -0x1.52b420e606b6bp-13, -0x1.53f92ab93f772p-13, -0x1.55349bc79222p-13, -0x1.56665ebea2c0bp-13, -0x1.578ea574ad0d7p-13, -0x1.58ad741331a69p-13, -0x1.59c2e6e62f13dp-13, -0x1.5acee820cf4f4p-13, -0x1.5bd21c3a82a5cp-13, -0x1.5ccbfd14ea427p-13, -0x1.5dbd34989599ap-13, -0x1.5ea545eea44cbp-13, -0x1.5f84ac65567d8p-13, -0x1.605b651d0c5a3p-13, -0x1.61297a22ce5ep-13, -0x1.61ef1ada49dc1p-13, -0x1.62ac62b28e743p-13, -0x1.6361785155f4dp-13, -0x1.640e65f085ed8p-13, -0x1.64b2a6dd98c93p-13, -0x1.654f7fc588ecp-13, -0x1.65e47544ab855p-13, -0x1.66719d865e3f9p-13, -0x1.66f6aa81ae84ep-13, -0x1.677422e8d8d1fp-13, -0x1.67ea2d6088bdcp-13, -0x1.6858cd94e6c0ep-13, -0x1.68c01d34cd922p-13, -0x1.691fdf9e63b05p-13, -0x1.6978a4d5e2e74p-13, -0x1.69ca314fd478cp-13, -0x1.6a150de0986ddp-13, -0x1.6a58d15c167f8p-13, -0x1.6a959a9571b9bp-13, -0x1.6acbfd704174ap-13, -0x1.6afaebeb71abap-13, -0x1.6b23f519819p-13, -0x1.6b46500751972p-13, -0x1.6b62f2cc5297cp-13, -0x1.6b7813d6058fbp-13, -0x1.6b8767bcd2cd8p-13, -0x1.6b90a979cac6dp-13, -0x1.6b93e30a0b1b8p-13, -0x1.6b90f6181bc33p-13, -0x1.6b883053240dfp-13, -0x1.6b79a1161c6b6p-13, -0x1.6b654c6b574b9p-13, -0x1.6b4b48e633a0ep-13, -0x1.6b2b9958b8db8p-13, -0x1.6b06752fdcc2p-13, -0x1.6adbe48d398e9p-13, -0x1.6aac062287436p-13, -0x1.6a76ca1dc7e2fp-13, -0x1.6a3c3fe9746f6p-13, -0x1.69fc9420fd7fdp-13, -0x1.69b7c4b4eba6bp-13, -0x1.696e34717b771p-13, -0x1.691fa556fa26bp-13, -0x1.68cc6227d2382p-13, -0x1.68740511e13e6p-13, -0x1.681733b51f4cbp-13, -0x1.67b59ccf97311p-13, -0x1.674faec3f62c4p-13, -0x1.66e4dacc6d997p-13, -0x1.6675f27b177e7p-13, -0x1.66027cc66d595p-13, -0x1.658b210d86ba5p-13, -0x1.650f3e36dcb0bp-13, -0x1.648f43247d409p-13, -0x1.640af35b9f9a2p-13, -0x1.6382fb362bbfdp-13, -0x1.62f6e019e0975p-13, -0x1.62672126a7812p-13, -0x1.61d37247fa65ep-13, -0x1.613bb2c621ac5p-13, -0x1.60a0702fef23fp-13, -0x1.6001b361ed2d8p-13, -0x1.5f5f4bc775dbdp-13, -0x1.5eb9425b2fec1p-13, -0x1.5e0fde44d2c78p-13, -0x1.5d6375763bbe8p-13, -0x1.5cb34bfcecf6ep-13, -0x1.5bffc9808807fp-13, -0x1.5b49104af6bdp-13, -0x1.5a8f68ceba94ep-13, -0x1.59d2aa4b8df5dp-13, -0x1.5912d84b5e3dbp-13, -0x1.584ffd4ca31d9p-13, -0x1.578a3d0cff701p-13, -0x1.56c19f530f043p-13, -0x1.55f621c0887efp-13, -0x1.5527e77955604p-13, -0x1.5456f88759eedp-13, -0x1.53836818e9fe4p-13, -0x1.52ad3fcbb240dp-13, -0x1.51d4633cac11cp-13, -0x1.50f92d5d5bb13p-13, -0x1.501b69af64a13p-13, -0x1.4f3b6ada88166p-13, -0x1.4e58f409211p-13, -0x1.4d7446b5abe9cp-13, -0x1.4c8d5dbe3014ap-13, -0x1.4ba3ebf2006eap-13, -0x1.4ab8a847bb41dp-13, -0x1.49cb0866d0fddp-13, -0x1.48dbb9dfabfadp-13, -0x1.47ea3436bc28bp-13, -0x1.46f674047a804p-13, -0x1.46011b6819636p-13, -0x1.4509f231ac5a1p-13, -0x1.4410cc5f34ffep-13, -0x1.4315d28b89458p-13, -0x1.4218f4297f949p-13, -0x1.411aa1fb5d9a2p-13, -0x1.401a8f860c5bep-13, -0x1.3f18c2fe1c31dp-13, -0x1.3e159c7445f3ep-13, -0x1.3d10d190423d9p-13, -0x1.3c0a7b2fb8c47p-13, -0x1.3b02ba6e1c09dp-13, -0x1.39f9a6d62482fp-13, -0x1.38ef0013e198ep-13, -0x1.37e32e2812524p-13, -0x1.36d5e7b9db0dfp-13, -0x1.35c76dbf0e82ap-13, -0x1.34b7c0defbb9p-13, -0x1.33a6d1747f144p-13, -0x1.32949bbeb5116p-13, -0x1.3181a631cc2dbp-13, -0x1.306d65f463b06p-13, -0x1.2f581f0aec25dp-13, -0x1.2e41ceb2196e6p-13, -0x1.2d2a747c41e6ap-13, -0x1.2c12524c0004cp-13, -0x1.2af92d55db86bp-13, -0x1.29df1b582ffc1p-13, -0x1.28c43582eaa32p-13, -0x1.27a86ce880569p-13, -0x1.268c0412f4b47p-13, -0x1.256ee758a293bp-13, -0x1.2450eba1a40fbp-13, -0x1.233227fa1a9d4p-13, -0x1.2212f142f9684p-13, -0x1.20f3045389d9ep-13, -0x1.1fd26f26cdc3dp-13, -0x1.1eb16227afa2dp-13, -0x1.1d8fac5e3636fp-13, -0x1.1c6d9b0820cefp-13, -0x1.1b4afa23c7244p-13, -0x1.1a27cbb9d1bfcp-13, -0x1.190378362051cp-13, -0x1.17e01f5c78d9bp-13, -0x1.16bc1cd7e68a5p-13, -0x1.15975ebf9a5e2p-13, -0x1.147232c36c2fcp-13, -0x1.134cd6095d716p-13, -0x1.122737a064b6bp-13, -0x1.110156d88b319p-13, -0x1.0fdb4888ed87p-13, -0x1.0eb3b1bd7ae2ep-13, -0x1.0d8e8b1208bb6p-13, -0x1.0c67f41bae44cp-13, -0x1.0b4127056077dp-13, -0x1.0a1a34244e76dp-13, -0x1.08f332eba4324p-13, -0x1.07cc1ff04c025p-13, -0x1.06a516ec02682p-13, -0x1.057e0ef76163dp-13, -0x1.0456e0be3640bp-13, -0x1.032fa189cae7p-13, -0x1.0208922f8250bp-13, -0x1.00e1a139bc568p-13, -0x1.ff7576aaca3f7p-14, -0x1.fd279d50d7563p-14, -0x1.fad9c4e633cadp-14, -0x1.f88cc7037d389p-14, -0x1.f6401bb2935dp-14, -0x1.f3f36d9e57fa4p-14, -0x1.f1a749e18dba1p-14, -0x1.ef5b4a03031a7p-14, -0x1.ed0fdba7555eap-14, -0x1.eac50d2ba8531p-14, -0x1.e87aa3b8f6a55p-14, -0x1.e630c962dcc4ap-14, -0x1.e3e77f3a69c38p-14, -0x1.e19ed5c622a92p-14, -0x1.df56f92dea9afp-14, -0x1.dd0ffb4f4b9cep-14, -0x1.dac8fc734c2dp-14, -0x1.d8830c1fa9702p-14, -0x1.d63d984283d8ep-14, -0x1.d3f9b44f9bcb1p-14, -0x1.d1b61fd45af55p-14, -0x1.cf735594053c9p-14, -0x1.cd338b33219fdp-14, -0x1.caf0801a2d2a2p-14, -0x1.c8b0736c0ec5dp-14, -0x1.c671c7958bc69p-14, -0x1.c4340d169a08p-14, -0x1.c1f60de95d7bdp-14, -0x1.bfbaaf496931bp-14, -0x1.bd8035353b7bp-14, -0x1.bb45a9921a3b5p-14, -0x1.b90ce314650c1p-14, -0x1.b6d4706a700d6p-14, -0x1.b49eb93127f62p-14, -0x1.b269658de4bb9p-14, -0x1.b03554482e47ap-14, -0x1.ae02647658953p-14, -0x1.abd0989d265e9p-14, -0x1.a9a02b3b82ef4p-14, -0x1.a7710759d9ca5p-14, -0x1.a5431b71c426bp-14, -0x1.a3167bb27a77ep-14, -0x1.a0eb40533eb43p-14, -0x1.9ec16c6772449p-14, -0x1.9c98d34f9a8b1p-14, -0x1.9a71a6398e9f5p-14, -0x1.984bf4ac69925p-14, -0x1.96279ca8a2d1p-14, -0x1.9404e02ff40cp-14, -0x1.91e32006290cfp-14, -0x1.8fc34f2eb25e7p-14, -0x1.8da4d601859dbp-14, -0x1.8b87ee12c4af9p-14, -0x1.896c463ba41efp-14, -0x1.8750757bc865ap-14, -0x1.8539ba91457b8p-14, -0x1.83236dd31ab94p-14, -0x1.810e51f9e4eb9p-14, -0x1.7efa1b89a8837p-14, -0x1.7ce7e1bf861f1p-14, -0x1.7ad753be8e613p-14, -0x1.78c80dc2a4d0cp-14, -0x1.76bb726acf4efp-14, -0x1.74afca9e75381p-14, -0x1.72a5e747a2392p-14, -0x1.709d2ffe8774dp-14, -0x1.6e96875094976p-14, -0x1.6c91b565c6ba4p-14, -0x1.6a8fd37f18d0bp-14, -0x1.688d2a853027bp-14, -0x1.668d13314fa29p-14, -0x1.648ee3799e16ep-14, -0x1.6292aba7b26b6p-14, -0x1.609820c3e8becp-14, -0x1.5e9f2205e4b3ep-14, -0x1.5ca7e71df6307p-14, -0x1.5ab2f385459bap-14, -0x1.58bf3e64d96c7p-14, -0x1.56cd6a23e0631p-14, -0x1.54dd649eab30cp-14, -0x1.52eed9184085ep-14, -0x1.5102b9f575033p-14, -0x1.4f1809290ca3p-14, -0x1.4d2ed4748ff49p-14, -0x1.4b484865c7c7ep-14, -0x1.49633063afd9ap-14, -0x1.477fe72b79166p-14, -0x1.459e7db2cf864p-14, -0x1.43bf0d7eb59d1p-14, -0x1.41e093385d5a1p-14, -0x1.400510a6a17bcp-14, -0x1.3e2bdccb48a9bp-14, -0x1.3c530eb3ad9a4p-14, -0x1.3a7c51f2a0739p-14, -0x1.38a8154790dcbp-14, -0x1.36d596f944f88p-14, -0x1.3504e5bba5f33p-14, -0x1.33361cd1d2837p-14, -0x1.3167efc94055fp-14, -0x1.2f9dc28add7e9p-14, -0x1.2dd4f0123dd3ep-14, -0x1.2c0da4d2ebf11p-14, -0x1.2a4824f212295p-14, -0x1.28849e6a40f66p-14, -0x1.26c305703e585p-14, -0x1.25037cf343591p-14, -0x1.23459df10eeb2p-14, -0x1.2189dec08372cp-14, -0x1.1fcfab81f9513p-14, -0x1.1e18ae733dffbp-14, -0x1.1c619869dab27p-14, -0x1.1aad90faf04b4p-14, -0x1.18fa809fbe265p-14, -0x1.174a513421976p-14, -0x1.159bedcf32659p-14, -0x1.13ef3960e0843p-14, -0x1.124475689860ep-14, -0x1.109bd686ef3cdp-14, -0x1.0ef4d0d9ad338p-14, -0x1.0d4fca9713c2ep-14, -0x1.0bacc0d2879f1p-14, -0x1.0a0bb49790a47p-14, -0x1.086c75eb00dc3p-14, -0x1.06ced0035b11ep-14, -0x1.05334aebe5663p-14, -0x1.039a2983bb8e7p-14, -0x1.0202686476d3cp-14, -0x1.006c7f4858d68p-14, -0x1.fdb1c5c6ef4b7p-15, -0x1.fa8df1af5048p-15, -0x1.f76d6625f3eefp-15, -0x1.f45194c6637abp-15, -0x1.f1390793d1be2p-15, -0x1.ee246d47df66fp-15, -0x1.eb129d446f4f2p-15, -0x1.e8062db93146ap-15, -0x1.e4fd437fdb8c8p-15, -0x1.e1f764b4ad02p-15, -0x1.def50c6507644p-15, -0x1.dbf6f91b03b7bp-15, -0x1.d8fd5ccb96141p-15, -0x1.d60638bc5caacp-15, -0x1.d3141ea37d19cp-15, -0x1.d0242eb1fb2a2p-15, -0x1.cd397437c1421p-15, -0x1.ca50374aa32a5p-15, -0x1.c76d3e8acb6b1p-15, -0x1.c48cf3387aabbp-15, -0x1.c1b11fa7434c1p-15, -0x1.bed804f3548bdp-15, -0x1.bc02750bccf4p-15, -0x1.b930ae39cd552p-15, -0x1.b6637bfc6b5ddp-15, -0x1.b399d5cd933b6p-15, -0x1.b0d1f0693bc09p-15, -0x1.ae0fc42dfc754p-15, -0x1.ab50d943a99bdp-15, -0x1.a89522b3a047dp-15, -0x1.a5dd041f2dc3cp-15, -0x1.a328e2c10a5d4p-15, -0x1.a078392fd1943p-15, -0x1.9dca96388024fp-15, -0x1.9b217831fb3e2p-15, -0x1.987b8c4a8857dp-15, -0x1.95d927b22602bp-15, -0x1.933a12582ea31p-15, -0x1.909f00eeea538p-15, -0x1.8e082616abff2p-15, -0x1.8b72dfe6f2955p-15, -0x1.88e1c29333113p-15, -0x1.8655905b6b967p-15, -0x1.83cc20b51ec13p-15, -0x1.81458f5697167p-15, -0x1.7ec11dfea8f8ep-15, -0x1.7c43c5d57b09ap-15, -0x1.79c81379ad3fp-15, -0x1.774fe7f3b2a78p-15, -0x1.74daf4cabe11ep-15, -0x1.726959dddcc2p-15, -0x1.6ffb8afae6bf3p-15, -0x1.6d91594b21e99p-15, -0x1.6b2a5f2eae9cfp-15, -0x1.68c5fe878312p-15, -0x1.666538168869dp-15, -0x1.6409098295032p-15, -0x1.61af3583aaa1dp-15, -0x1.5f592d0b3f808p-15, -0x1.5d05f4e5e8df1p-15, -0x1.5ab6345128642p-15, -0x1.5867e5b91fbe8p-15, -0x1.5621214186b22p-15, -0x1.53db2d270be32p-15, -0x1.519916911ad58p-15, -0x1.4f592c52e85a6p-15, -0x1.4d1d5570dd9abp-15, -0x1.4ae52c189a033p-15, -0x1.48af7fbeac32ap-15, -0x1.467d61bc3df24p-15, -0x1.444e68f315facp-15, -0x1.4222011b8d049p-15, -0x1.3ff97dab39ebdp-15, -0x1.3dd4abef0721dp-15, -0x1.3bb07f657fbbep-15, -0x1.39932d1e03125p-15, -0x1.3776b1a969accp-15, -0x1.355dfb24f7a3p-15, -0x1.3347fff0a7343p-15, -0x1.3135a5a1d3742p-15, -0x1.2f25ff43c0715p-15, -0x1.2d195860ac591p-15, -0x1.2b100c56b81a6p-15, -0x1.2908a00650ca4p-15, -0x1.27070096de73ap-15, -0x1.2505da9102cbep-15, -0x1.2308f2a10d241p-15, -0x1.210dec5ae1f49p-15, -0x1.1f16360fc4ed3p-15, -0x1.1d22cd12f2993p-15, -0x1.1b3197c84c375p-15, -0x1.1942e81dfd406p-15, -0x1.17573a44dc8f9p-15, -0x1.156ebfa2a86a1p-15, -0x1.13894468d603dp-15, -0x1.11a68de421e0bp-15, -0x1.0fc6733e189fbp-15, -0x1.0de9ae79de731p-15, -0x1.0c100b7f011ddp-15, -0x1.0a3854145cc1ap-15, -0x1.0863e59276b23p-15, -0x1.06923a01a6b9ap-15, -0x1.04c3e9a15c208p-15, -0x1.02f7e19c6f00dp-15, -0x1.012eb7cedf877p-15, -0x1.fecfe691ce0d3p-16, -0x1.fb4867557bdcap-16, -0x1.f7c7c2ce6cd2ep-16, -0x1.f44e0600e53fep-16, -0x1.f0d4a3c0de3dbp-16, -0x1.ed6303151ef4ap-16, -0x1.e9f799fbca8d5p-16, -0x1.e6901f8d0291p-16, -0x1.e32f9541fcc09p-16, -0x1.dfd385f4bee9cp-16, -0x1.dc7d5ff0658e7p-16, -0x1.d92b599d59f8dp-16, -0x1.d5dfd9db432fdp-16, -0x1.d2983e629ee58p-16, -0x1.cf56904951c48p-16, -0x1.cc1b325cf636ep-16, -0x1.c8e3d96f2418cp-16, -0x1.c5b154ad535dp-16, -0x1.c284965324215p-16, -0x1.bf5c7f052953fp-16, -0x1.bc3a0121073bcp-16, -0x1.b91bd9eb350a5p-16, -0x1.b6027b09f4316p-16, -0x1.b2ef624ab0f2p-16, -0x1.afe0b356da905p-16, -0x1.acd6f75e3b68ap-16, -0x1.a9d0f707f8805p-16, -0x1.a6d09ddaff78fp-16, -0x1.a3d59d8ed25fep-16, -0x1.a0df47b919b66p-16, -0x1.9deddfaf1f4bbp-16, -0x1.9b00bfe7e0113p-16, -0x1.981814e72e438p-16, -0x1.95355a0fbf9fp-16, -0x1.925680aa3448ap-16, -0x1.8f7cd437c6e1ap-16, -0x1.8ca76a2f0ce96p-16, -0x1.89d6f2a3848aep-16, -0x1.870a0962e2cc9p-16, -0x1.844429f4c967dp-16, -0x1.8180525e73064p-16, -0x1.7ec23b36c8e55p-16, -0x1.7c07f872498a8p-16, -0x1.795289f0ffff9p-16, -0x1.76a2c1f9727ccp-16, -0x1.73f5ef72ceef5p-16, -0x1.714de4ce7c8dp-16, -0x1.6eaa6c4aef08dp-16, -0x1.6c0b3ade793c5p-16, -0x1.697070cecb23ep-16, -0x1.66d97e46837f3p-16, -0x1.64480feb03935p-16, -0x1.61b9f5a853d35p-16, -0x1.5f3056a7b539p-16, -0x1.5caa5cd010471p-16, -0x1.5a2b26f495a87p-16, -0x1.57ad4233a6775p-16, -0x1.5533ec1b0e98ap-16, -0x1.52bf79a9081c4p-16, -0x1.504f7c704848bp-16, -0x1.4de31395a8bfp-16, -0x1.4b7a94ab16571p-16, -0x1.4916490dfc073p-16, -0x1.46b6d00f71c7p-16, -0x1.4459e12d8baap-16, -0x1.4201163ad1ab1p-16, -0x1.3fae680c696cep-16, -0x1.3d5d9abf1d785p-16, -0x1.3b10f967bb955p-16, -0x1.38c8a246a0611p-16, -0x1.3682e49dbb0dp-16, -0x1.34436157d129bp-16, -0x1.320691798f482p-16, -0x1.2fcd3227202fbp-16, -0x1.2d98bc6a5fde8p-16, -0x1.2b67ce90639fp-16, -0x1.29396d7e8c3edp-16, -0x1.270e6421b4c8bp-16, -0x1.24e935b8a5732p-16, -0x1.22c691a3de991p-16, -0x1.20a7b41623669p-16, -0x1.1e8c660e3c77ep-16, -0x1.1c75101f5982bp-16, -0x1.1a611a5c7a07dp-16, -0x1.184fb4c9475ap-16, -0x1.164317df8138ap-16, -0x1.143a97c3551bfp-16, -0x1.1234aac4af3a8p-16, -0x1.1031e82d7e3abp-16, -0x1.0e33264127db6p-16, -0x1.0c383ebaa1baap-16, -0x1.0a40063a89635p-16, -0x1.084b757921762p-16, -0x1.065ad48c1c415p-16, -0x1.046c6b3551ec3p-16, -0x1.0280e1f6e1fa1p-16, -0x1.009af84d4b1b4p-16, -0x1.fd6fd1580c2fbp-17, -0x1.f9aef4288b844p-17, -0x1.f5f41b3336377p-17, -0x1.f2402a162e6ffp-17, -0x1.ee935064885cbp-17, -0x1.eaed084802dbp-17, -0x1.e74cc28c20c98p-17, -0x1.e3b24bac5f96ap-17, -0x1.e01e8ca65eb21p-17, -0x1.dc9125f2cfc89p-17, -0x1.d909f730034c1p-17, -0x1.d589bec9e8ebdp-17, -0x1.d20e2b769632dp-17, -0x1.ce998fa2d4769p-17, -0x1.cb2bd7d1947a6p-17, -0x1.c7c378938f834p-17, -0x1.c46008a24085ep-17, -0x1.c101137863829p-17, -0x1.bdaded077f3c1p-17, -0x1.ba5e27869154dp-17, -0x1.b713408c47928p-17, -0x1.b3cdda8417fbep-17, -0x1.b08e22bac770dp-17, -0x1.ad55f53c4df9p-17, -0x1.aa2307d26adb2p-17, -0x1.a6f5909d1b27cp-17, -0x1.a3cbae6e617e1p-17, -0x1.a0aa5deea0333p-17, -0x1.9d8de3156dd44p-17, -0x1.9a76680a49afp-17, -0x1.97636dea7a444p-17, -0x1.94580f99bddddp-17, -0x1.91524135d81f6p-17, -0x1.8e5067b3add11p-17, }}, 
      {{-0x1.69937738bbc3p-1, -0x1.0a351c13b06b2p-1, -0x1.4452ad7ca62b1p-2, -0x1.d376cd7eb8ebep-4, 0x1.3a97f534ea80bp-4, 0x1.ff36fd691b933p-3, 0x1.9aa8f689731adp-2, 0x1.0f576795146f2p-1, 0x1.460454c70c31cp-1, 0x1.7201f702493efp-1, 0x1.943ece0448c3ap-1, 0x1.adce7697ab8a2p-1, 0x1.bfd196379abdap-1, 0x1.cb658efd305a5p-1, 0x1.d199e287bb8e6p-1, 0x1.d369b4fad6c0ep-1, 0x1.d1b842638c6b8p-1, 0x1.cd4f6a87eb45ep-1, 0x1.c6dfa9a096d84p-1, 0x1.bf010524e4b5cp-1, 0x1.b63491ea2e0e2p-1, 0x1.ace652515c6ffp-1, 0x1.a36f3dbedd1f2p-1, 0x1.9a1751ffd223fp-1, 0x1.9117984c6e6bep-1, 0x1.889c111956563p-1, 0x1.80c57e138717p-1, 0x1.79ab064d637d1p-1, 0x1.735bb27be3598p-1, 0x1.6ddfc159e8199p-1, 0x1.6939d52a40723p-1, 0x1.6567fcfd58fabp-1, 0x1.62649c052f831p-1, 0x1.6027322a83527p-1, 0x1.5ea508c3c72e4p-1, 0x1.5dd1c63f413f2p-1, 0x1.5d9feb4ba80d3p-1, 0x1.5e013cb3bd4c6p-1, 0x1.5ee71ae32221ap-1, 0x1.6042cac6b5d18p-1, 0x1.6205b0d19518bp-1, 0x1.642180dc8d3f9p-1, 0x1.668863721a945p-1, 0x1.692d12f7dbea8p-1, 0x1.6c02f14de6983p-1, 0x1.6efe17320e087p-1, 0x1.72135ebc7cbb4p-1, 0x1.75386935204c3p-1, 0x1.7863a1491ebffp-1, 0x1.7b8c3acd809c7p-1, 0x1.7eaa2f999da67p-1, 0x1.81b63aa9cf6c1p-1, 0x1.84a9d23d3a74cp-1, 0x1.877f201a0122cp-1, 0x1.8a30f99afa2c8p-1, 0x1.8cbad6efbafe4p-1, 0x1.8f18ca102e242p-1, 0x1.914775853c4e6p-1, 0x1.9344031e390f8p-1, 0x1.950c1ad1ed958p-1, 0x1.969dd971f79e9p-1, 0x1.97f7c816eb009p-1, 0x1.9918d379a3fc7p-1, 0x1.9a004383e58ffp-1, 0x1.9aadb3973446ep-1, 0x1.9b210ac642a7bp-1, 0x1.9b5a74cce3bddp-1, 0x1.9b5a5b304899bp-1, 0x1.9b215ec92e95ep-1, 0x1.9ab051e4a27e3p-1, 0x1.9a083256504afp-1, 0x1.992a24ac7fdd6p-1, 0x1.98176ede93cfep-1, 0x1.96d173ef44ae3p-1, 0x1.9559afcf78219p-1, 0x1.93b1b359f5d88p-1, 0x1.91db20d99f05cp-1, 0x1.8fd7a8a379e03p-1, 0x1.8da906458205bp-1, 0x1.8b50fd92ef78ap-1, 0x1.88d1583969639p-1, 0x1.862be3766bad9p-1, 0x1.83626e02b156ap-1, 0x1.8076c62bb0a0ap-1, 0x1.7d6ab85049522p-1, 0x1.7a400cfd72e8fp-1, 0x1.76f8881a8cc0bp-1, 0x1.7395e74c75e28p-1, 0x1.7019e11fa08bp-1, 0x1.6c86241594669p-1, 0x1.68dc55b30492ap-1, 0x1.651e1224f7d8fp-1, 0x1.614ceb5d4b128p-1, 0x1.5d6a68bf2abbap-1, 0x1.597806b86bbe9p-1, 0x1.5577366b2888dp-1, 0x1.51695d7b9eaap-1, 0x1.4d4fd5d130bb3p-1, 0x1.492bed9738603p-1, 0x1.44fee7047e4ap-1, 0x1.40c9f87b88f5bp-1, 0x1.3c8e4c86a01b3p-1, 0x1.384d01dffc916p-1, 0x1.34072ba00929ep-1, 0x1.2fbdd155df3a6p-1, 0x1.2b71ef360a88fp-1, 0x1.272476493fcdep-1, 0x1.22d64ca5b41p-1, 0x1.1e884da77d45dp-1, 0x1.1a3b4a2df027dp-1, 0x1.15f008d8345cap-1, 0x1.11a7464f52e95p-1, 0x1.0d61b56db157fp-1, 0x1.091fffc34a9f8p-1, 0x1.04e2c5914cc2p-1, 0x1.00aa9e45f75ffp-1, 0x1.f8f03164bf404p-2, 0x1.f09776b3dda7ap-2, 0x1.e84c0956c2681p-2, 0x1.e00ed6d6c61dbp-2, 0x1.d7e0bda1d54f4p-2, 0x1.cfc28df00a903p-2, 0x1.c7b509f806e91p-2, 0x1.bfb8e6c452756p-2, 0x1.b7cecc8bc67f1p-2, 0x1.aff757363b9b6p-2, 0x1.a83316f5e1c06p-2, 0x1.a08290a26295fp-2, 0x1.98e63e4ca7b29p-2, 0x1.915e8f9b336d4p-2, 0x1.89ebea57bd15p-2, 0x1.828eaad2bebdcp-2, 0x1.7b472451435d9p-2, 0x1.7415a16f1bcaep-2, 0x1.6cfa649088a71p-2, 0x1.65f5a84272819p-2, 0x1.5f079f92d859ap-2, 0x1.58307677f7afdp-2, 0x1.5170521ef9d1bp-2, 0x1.4ac7513ee6efdp-2, 0x1.44358c88ce533p-2, 0x1.3dbb16ba520ddp-2, 0x1.3757fd25c6e6fp-2, 0x1.310c47dde88b9p-2, 0x1.2ad7f9fb37fd4p-2, 0x1.24bb11e545325p-2, 0x1.1eb58991d56d1p-2, 0x1.18c756c12cdb8p-2, 0x1.12f06b401215ap-2, 0x1.0d30b523725ffp-2, 0x1.07881ee0047ffp-2, 0x1.01f68fa52c9a5p-2, 0x1.f8f7d6f459d58p-3, 0x1.ee302717a630ap-3, 0x1.e395cc373b72cp-3, 0x1.d9287dea289b9p-3, 0x1.cee7eee72e35ap-3, 0x1.c4d3cd1673d8p-3, 0x1.baebc2830073ep-3, 0x1.b12f75309a51dp-3, 0x1.a79e873c4041ep-3, 0x1.9e3897b5fd51bp-3, 0x1.94fd423f8fb54p-3, 0x1.8bec1fa88b1a8p-3, 0x1.8304c61e6983dp-3, 0x1.7a46c973c4b43p-3, 0x1.71b1bac2feb7cp-3, 0x1.694529a467d2ap-3, 0x1.6100a3b9d5575p-3, 0x1.58e3b4a4b475cp-3, 0x1.50ede6c8a58bp-3, 0x1.491ec317ecb67p-3, 0x1.4175d16186f9p-3, 0x1.39f2983e8ab98p-3, 0x1.32949ddcf16dep-3, 0x1.2b5b66ff895dp-3, 0x1.244677f737feep-3, 0x1.1d5554d858f56p-3, 0x1.1687811383f23p-3, 0x1.0fdc7fd70ba0ap-3, 0x1.0953d451b6c7dp-3, 0x1.02ed00e0f9814p-3, 0x1.f94f117f8c4eep-4, 0x1.ed05ddc8adcaep-4, 0x1.e0fd6d13c01cap-4, 0x1.d534c55ed47abp-4, 0x1.c9aaeeaa723fdp-4, 0x1.be5ef11f79261p-4, 0x1.b34fd5a6a9ce9p-4, 0x1.a87ca5fd48b01p-4, 0x1.9de46ecb69567p-4, 0x1.93863b0136925p-4, 0x1.896119551920bp-4, 0x1.7f741921a7c34p-4, 0x1.75be4b867838ap-4, 0x1.6c3ec2e855af2p-4, 0x1.62f493e9ca9aep-4, 0x1.59ded4a23fef5p-4, 0x1.50fc9d38bdd8bp-4, 0x1.484d07c881279p-4, 0x1.3fcf305ecc69dp-4, 0x1.37823552f49b8p-4, 0x1.2f6536dfac392p-4, 0x1.2777579866929p-4, 0x1.1fb7bc16b0707p-4, 0x1.18258b9718ab5p-4, 0x1.10bfef5f5f94ap-4, 0x1.0986137259534p-4, 0x1.027725541ff15p-4, 0x1.f724ac3400531p-5, 0x1.e9adb0a9d73fep-5, 0x1.dc87c3b2810eap-5, 0x1.cfb154bcb293ep-5, 0x1.c328d848a1855p-5, 0x1.b6ecc9e58e501p-5, 0x1.aafba742ae70bp-5, 0x1.9f53f44289e7fp-5, 0x1.93f43af86c18cp-5, 0x1.88db08ad41da6p-5, 0x1.7e06f2b9423c2p-5, 0x1.73769029de961p-5, 0x1.69287fb18956fp-5, 0x1.5f1b63c0370f3p-5, 0x1.554de5046c8e7p-5, 0x1.4bbeb04f27908p-5, 0x1.426c7814da09ap-5, 0x1.3955f3ab5598p-5, 0x1.3079e017b7343p-5, 0x1.27d6fec05321ep-5, 0x1.1f6c16684fe91p-5, 0x1.1737f38e601bfp-5, 0x1.0f39653e64bb7p-5, 0x1.076f42b75e9fap-5, 0x1.ffb0cc4a6bd69p-6, 0x1.f0e75e1780367p-6, 0x1.e28003e4b402cp-6, 0x1.d47890c83159ap-6, 0x1.c6cedfcff4d5fp-6, 0x1.b980d9d97744cp-6, 0x1.ac8c6a794deddp-6, 0x1.9fef8ba5be053p-6, 0x1.93a83fb575d67p-6, 0x1.87b49160132bcp-6, 0x1.7c129545608c1p-6, 0x1.70c06797d1e03p-6, 0x1.65bc2f71c8fe7p-6, 0x1.5b041b29e25f6p-6, 0x1.5096629ee36afp-6, 0x1.467146b8b9ffap-6, 0x1.3c930f0ef3995p-6, 0x1.32fa0debb3defp-6, 0x1.29a49cce4abc9p-6, 0x1.20911cdb4505p-6, 0x1.17bdf87c90644p-6, 0x1.0f29a1595d0adp-6, 0x1.06d291f995cap-6, 0x1.fd6e96cd2899fp-7, 0x1.edacadabad70fp-7, 0x1.de5c8b3c04a5fp-7, 0x1.cf7b60b309827p-7, 0x1.c1066c84f0f3ap-7, 0x1.b2fafda800e67p-7, 0x1.a5566fde7858p-7, 0x1.98162ee276166p-7, 0x1.8b37b1ab9e486p-7, 0x1.7eb87f86d3c08p-7, 0x1.72962be9909b8p-7, 0x1.66ce58cfbdc7p-7, 0x1.5b5eb3d33dedfp-7, 0x1.5044f6c3cd9bcp-7, 0x1.457ee742b151ep-7, 0x1.3b0a5c2d65441p-7, 0x1.30e53601073abp-7, 0x1.270d609644a89p-7, 0x1.1d80d36317122p-7, 0x1.143d91c343abp-7, 0x1.0b41ab83d5482p-7, 0x1.028b391037e7ep-7, 0x1.f430c4eb3aeebp-8, 0x1.e3ceab468017ap-8, 0x1.d3ec9ce094b2fp-8, 0x1.c4872404a305cp-8, 0x1.b59ae1c62a978p-8, 0x1.a724889e91c5ap-8, 0x1.9920d90a9653ap-8, 0x1.8b8cb3acdc035p-8, 0x1.7e6500c1c1febp-8, 0x1.71a6c25a62e89p-8, 0x1.654f0ac1ef58cp-8, 0x1.595aff6851aa6p-8, 0x1.4dc7d9857aedap-8, 0x1.4292de1dd89c5p-8, 0x1.37b9611936ad4p-8, 0x1.2d38cefa04bb5p-8, 0x1.230e98c6039e8p-8, 0x1.193846585254p-8, 0x1.0fb37b099bf5fp-8, 0x1.067dd286db717p-8, 0x1.fb2a16a562d6dp-9, 0x1.e9eddfde4c1a8p-9, 0x1.d9429fc8c793fp-9, 0x1.c9241f836c99cp-9, 0x1.b98e2e64d4523p-9, 0x1.aa7cc51083c4dp-9, 0x1.9bebf130165a9p-9, 0x1.8dd7dca8ba5bbp-9, 0x1.803cd42fc7805p-9, 0x1.73173b67c5cd8p-9, 0x1.66639955375e4p-9, 0x1.5a1e7b099f10fp-9, 0x1.4e449c67b02d8p-9, 0x1.42d29e74dc6b4p-9, 0x1.37c559ea59b4fp-9, 0x1.2d19a60107d15p-9, 0x1.22cc756f69b8ep-9, 0x1.18dad927593a2p-9, 0x1.0f41fd7a3d9d8p-9, 0x1.05ff24b404f12p-9, 0x1.fa1f671fdcc5p-10, 0x1.e8e21ec313b3p-10, 0x1.d841649da75bp-10, 0x1.c838413ba5a9cp-10, 0x1.b8c1ccd5cd1a6p-10, 0x1.a9d929486c6eep-10, 0x1.9b79a9bd1b6a8p-10, 0x1.8d9ec0ff10f6p-10, 0x1.80442ab750b3ap-10, 0x1.7365c7c5e7459p-10, 0x1.66ffb2e05dfb7p-10, 0x1.5b0e109ee7b4ap-10, 0x1.4f8d2c0cb977bp-10, 0x1.44795edc4c3c1p-10, 0x1.39cef4f6ce53cp-10, 0x1.2f8a50a8dced9p-10, 0x1.25a7cb20cb16dp-10, 0x1.1c23fcd877da8p-10, 0x1.12fb888ca683fp-10, 0x1.0a2b48cc0acecp-10, 0x1.01b05038662f8p-10, 0x1.f30fb2bd4ec1cp-11, 0x1.e35e4932351cap-11, 0x1.d4472bb111c36p-11, 0x1.c5c54ff1858dap-11, 0x1.b7d2fb91c1ee3p-11, 0x1.aa6ba1c5b16d7p-11, 0x1.9d8998041dafp-11, 0x1.9127d560bce3bp-11, 0x1.8541977be9ddcp-11, 0x1.79d2322cb1a4ep-11, 0x1.6ed54c88adf6dp-11, 0x1.6446f576968c3p-11, 0x1.5a233f23ba477p-11, 0x1.506693b0ad0eep-11, 0x1.470d625c68e2cp-11, 0x1.3e143b01a13c3p-11, 0x1.357762facc7c1p-11, 0x1.2d3358f4b75acp-11, 0x1.254478114df29p-11, 0x1.1da764ae3ff11p-11, 0x1.1658c88152a57p-11, 0x1.0f557ea50b0d6p-11, 0x1.089a88d7748e8p-11, 0x1.0224dad5c932ap-11, 0x1.f7e3b80fa3b72p-12, 0x1.ebfe05e98d182p-12, 0x1.e09421da25a63p-12, 0x1.d5a195d93ce9dp-12, 0x1.cb21a56e78aa8p-12, 0x1.c10faaff49362p-12, 0x1.b76718ce21594p-12, 0x1.ae236ff6df5b1p-12, 0x1.a54096d156f51p-12, 0x1.9cba586287a15p-12, 0x1.948c968e6ef8bp-12, 0x1.8cb32ebb70f3dp-12, 0x1.852a1c6b1657dp-12, 0x1.7deda62d65c9cp-12, 0x1.76fa8f4089514p-12, 0x1.704dadbb80a4cp-12, 0x1.69e47894ce732p-12, 0x1.63bc566b4979ep-12, 0x1.5dd246b45df26p-12, 0x1.58238a70d859bp-12, 0x1.52ad8fc863f1dp-12, 0x1.4d6e2e566d3a4p-12, 0x1.4862d78c09393p-12, 0x1.43893ffd962f3p-12, 0x1.3ede8f2986a3ep-12, 0x1.3a6022a31e948p-12, 0x1.360b296d025a5p-12, 0x1.31dd716119ad1p-12, 0x1.2dd4f7ba9e1c3p-12, 0x1.29effbd912c46p-12, 0x1.262ca7d91d1ddp-12, 0x1.2289aee9bc64ep-12, 0x1.1f058a94df514p-12, 0x1.1b9edadb6f71fp-12, 0x1.185453cef877dp-12, 0x1.1524d7fff4728p-12, 0x1.120f26f8f0548p-12, 0x1.0f11e57e1ef59p-12, 0x1.0c2b6219207c6p-12, 0x1.095a4c2fcea4dp-12, 0x1.069cf1a1bbfd3p-12, 0x1.03f1bf8031ecfp-12, 0x1.0157452a858bdp-12, 0x1.fd9893bc6dab1p-13, 0x1.f89fa3d660ebbp-13, 0x1.f3c291f406a74p-13, 0x1.eeffe93a71a9bp-13, 0x1.ea567727aa868p-13, 0x1.e5c50eafbec61p-13, 0x1.e14ac61b32fb2p-13, 0x1.dce5fa2b85521p-13, 0x1.d8950454d964cp-13, 0x1.d4578da9e2a37p-13, 0x1.d02b4021efdb2p-13, 0x1.cc1032e3283ap-13, 0x1.c803e85e75466p-13, 0x1.c4045a54c998bp-13, 0x1.c00f7f7396da2p-13, 0x1.bc24048a26dbp-13, 0x1.b841431708b25p-13, 0x1.b466b4804c42ap-13, 0x1.b093cf09cb7c8p-13, 0x1.acc83e4c9cac9p-13, 0x1.a903c0f0d6d6fp-13, 0x1.a545bbddec218p-13, 0x1.a18d4a6c22a72p-13, 0x1.9dd9bf8cba4aep-13, 0x1.9a2aee6848c9cp-13, 0x1.968070ea90fcfp-13, 0x1.92da5f6afd6f3p-13, 0x1.8f3843c11f0a3p-13, 0x1.8b98a710a2409p-13, 0x1.87fa5fc98cd04p-13, 0x1.845cc121969fp-13, 0x1.80bf955fbd99fp-13, 0x1.7d22bdc67105bp-13, 0x1.7985e21925edp-13, 0x1.75e8b992c3514p-13, 0x1.724baa9b50fe4p-13, 0x1.6eaebac065d5p-13, 0x1.6b11804aeb844p-13, 0x1.677327e7cec2p-13, 0x1.63d45059465e2p-13, 0x1.6034a1878935bp-13, 0x1.5c9451ca6da7fp-13, 0x1.58f3b377e8134p-13, 0x1.5551fc32e443ap-13, 0x1.51af82f85b7ep-13, 0x1.4e0b6765844bcp-13, 0x1.4a65cc7320d86p-13, 0x1.46be7fd8da2a2p-13, 0x1.43160b7171ad3p-13, 0x1.3f6beccef4b14p-13, 0x1.3bbff0258b72cp-13, 0x1.38125e6762f66p-13, 0x1.3463fd3f762bap-13, 0x1.30b39f7878717p-13, 0x1.2d0239fd307fap-13, 0x1.294fb48fa4e68p-13, 0x1.259ba1cfe9241p-13, 0x1.21e6aae151047p-13, 0x1.1e30f12cfa6d3p-13, 0x1.1a7a6620254dp-13, 0x1.16c2fa7570ec2p-13, 0x1.130ad7db77dbap-13, 0x1.0f521c9c46673p-13, 0x1.0b988c33752d8p-13, 0x1.07deaf673483cp-13, 0x1.0424886efed41p-13, 0x1.006a4a176fdbbp-13, 0x1.f95f59554266ap-14, 0x1.f1ea67ebd2afap-14, 0x1.ea74f5a6e6084p-14, 0x1.e30087945bdefp-14, 0x1.db8c6af8caf3dp-14, 0x1.d419585f5e581p-14, 0x1.cca79850e7e82p-14, 0x1.c53732e3b9426p-14, 0x1.bdc9422ca0d5ap-14, 0x1.b65d150a71b91p-14, 0x1.aef315827771dp-14, 0x1.a78bc38d7bc08p-14, 0x1.a026ce7d9b871p-14, 0x1.98c56ef2ad136p-14, 0x1.91676c3834c3bp-14, 0x1.8a0d06ae99e4cp-14, 0x1.82b6b872929e2p-14, 0x1.7b64dc13d245cp-14, 0x1.7416e26ada724p-14, 0x1.6ccde5317e373p-14, 0x1.6589aa8475cfbp-14, 0x1.5e4aa218476a3p-14, 0x1.57111378928f5p-14, 0x1.4fdd33aef15e7p-14, 0x1.48afccdbd64c7p-14, 0x1.4187f2997cb7ep-14, 0x1.3a668f85a23a9p-14, 0x1.334c5a99e56fp-14, 0x1.2c38c6bb2f5cdp-14, 0x1.252c6a53fece8p-14, 0x1.1e2772957ab5bp-14, 0x1.1729eb0b06f3p-14, 0x1.103467f48ea96p-14, 0x1.0946f006f6b09p-14, 0x1.0261b7d70b3c6p-14, 0x1.f70a8b9693d14p-15, 0x1.e9620ea0f795p-15, 0x1.dbcc5da4f3522p-15, 0x1.ce479ec484402p-15, 0x1.c0d62753d9ef9p-15, 0x1.b377b749bf141p-15, 0x1.a62bc900c9417p-15, 0x1.98f4107cc59b9p-15, 0x1.8bd0521ff9c0fp-15, 0x1.7ec0ddf89b708p-15, 0x1.71c5baddd3421p-15, 0x1.64e002077844fp-15, 0x1.580fcf83725c1p-15, 0x1.4b5470357b199p-15, 0x1.3eaf51a40f2a7p-15, 0x1.321fd977ae4e7p-15, 0x1.25a70a85f3ba8p-15, 0x1.194522aff3139p-15, 0x1.0cfa8b5686058p-15, 0x1.00c6a4ce62762p-15, 0x1.e953fe63106a5p-16, 0x1.d14a5d8f57054p-16, 0x1.b9714a74a7affp-16, 0x1.a1c6a0bf44506p-16, 0x1.8a4dc3cf3b882p-16, 0x1.7305bd8451c87p-16, 0x1.5beedf91ddc86p-16, 0x1.4509c6ed8e07dp-16, 0x1.2e5674f24cca6p-16, 0x1.17d53133f37acp-16, 0x1.01860bbb3cf28p-16, 0x1.d6d47cbdfe11p-17, 0x1.ab0460a31201ap-17, 0x1.7f9c3b66758a1p-17, 0x1.549a76f088cb5p-17, 0x1.29fcdde3e8d38p-17, 0x1.ff9a62791604bp-18, 0x1.ac0398c53786dp-18, 0x1.59413809133d8p-18, 0x1.074b74d0b8c86p-18, 0x1.6c5fc5b7f6233p-19, 0x1.97a8d5003335ep-20, 0x1.671bc70965496p-22, -0x1.c17d21cb44b03p-21, -0x1.0bffcd79068ap-19, -0x1.a5e6cfde85a0ap-19, -0x1.1f176ad45bbdcp-18, -0x1.6a65d5c439a9p-18, -0x1.b4ddd58efa92p-18, -0x1.fe7e30a9734c9p-18, -0x1.23a61f646f607p-17, -0x1.47a07f0e91171p-17, -0x1.6b2ea55fbf102p-17, -0x1.8e53d501fe26fp-17, -0x1.b10d4e7ccfe52p-17, -0x1.d3600f571deaep-17, -0x1.f544c0ec592eep-17, -0x1.0b600f8ddf257p-16, -0x1.1be70ca26c66cp-16, -0x1.2c3ad73cfcb83p-16, -0x1.3c58dd284896fp-16, -0x1.4c421d187b0d1p-16, -0x1.5bf32b3d3599ap-16, -0x1.6b7654b7cb3cfp-16, -0x1.7ac1f0be79482p-16, -0x1.89d916a1d300cp-16, -0x1.98bbeb5238eb5p-16, -0x1.a76a8b840a238p-16, -0x1.b5e5417433ad4p-16, -0x1.c42c7ac0508ffp-16, -0x1.d240051e66fc2p-16, -0x1.e020b1c8d32c8p-16, -0x1.edccff7d61324p-16, -0x1.fb440c21765b2p-16, -0x1.0447352da8cf4p-15, -0x1.0ad145b2c5137p-15, -0x1.1143023d6dc9bp-15, -0x1.179b1bf743308p-15, -0x1.1dda51a321124p-15, -0x1.2400a69b39a22p-15, -0x1.2a0e459282ea7p-15, -0x1.30035a99817bap-15, -0x1.35e0ca050762ep-15, -0x1.3ba52f7180017p-15, -0x1.41513e1fb28f4p-15, -0x1.46e56e20627eap-15, -0x1.4c61f3a551d42p-15, -0x1.51c6a7b3543b5p-15, -0x1.5713bdd628835p-15, -0x1.5c4946d4afab7p-15, -0x1.6167b08d50bfdp-15, -0x1.666e7b0919416p-15, -0x1.6b5eb1acf3f88p-15, -0x1.7037453fbd812p-15, -0x1.74f94ea4277e8p-15, -0x1.79a5c03a9c582p-15, -0x1.7e3ba5c662829p-15, -0x1.82bad7e73dbe4p-15, -0x1.8723b36d3f8d8p-15, -0x1.8b77219c53c28p-15, -0x1.8fb48dfbc9ee7p-15, -0x1.93dc1b3d5c52dp-15, -0x1.97ee74acc3389p-15, -0x1.9bebac46a6f78p-15, -0x1.9fd3b6b52b3c8p-15, -0x1.a3a6ae3bc9dfep-15, -0x1.a764dc17098d9p-15, -0x1.ab0e6c55088bbp-15, -0x1.aea3cbe798c58p-15, -0x1.b226efc6c40ap-15, -0x1.b59215d6fc4cdp-15, -0x1.b8eb4a0773d5ep-15, -0x1.bc2f353a9f7b2p-15, -0x1.bf61137f9f07ep-15, -0x1.c27f0d3a5978ap-15, -0x1.c58ad5f991504p-15, -0x1.c8826d183095cp-15, -0x1.cb66e15f1ca11p-15, -0x1.ce395d37ec549p-15, -0x1.d0f903e866b36p-15, -0x1.d3a6a0ac1901p-15, -0x1.d641bddc0aaefp-15, -0x1.d8cacbb6e90c6p-15, -0x1.db42064400668p-15, -0x1.dda7aa808c489p-15, -0x1.dffbbee9d1568p-15, -0x1.e23eaf6bdf85ep-15, -0x1.e46fdb7d09d54p-15, -0x1.e690a62c5d9c3p-15, -0x1.e8a04cf204bc2p-15, -0x1.eaa02cc1fc718p-15, -0x1.ec8e7ddf395d5p-15, -0x1.ee6d0fc849e51p-15, -0x1.f03b8bed4e1bfp-15, -0x1.f1fa24a1da1p-15, -0x1.f3a8e63f05527p-15, -0x1.f54739633f484p-15, -0x1.f6d70a2653189p-15, -0x1.f8579b2363e82p-15, -0x1.f9c9b741b1bacp-15, -0x1.fb2bd1d270934p-15, -0x1.fc7f488a8cd64p-15, -0x1.fdc49833a5833p-15, -0x1.fefb8000610cbp-15, -0x1.0011b8b00fdd1p-14, -0x1.009f04a9c86fcp-14, -0x1.012516f4c6cbap-14, -0x1.01a4ae9735aedp-14, -0x1.021d5ec44a2d4p-14, -0x1.028f2d0dbcf5fp-14, -0x1.02fa9c1604825p-14, -0x1.035f55ab78eap-14, -0x1.03bd44a94e896p-14, -0x1.04154ab3cea9cp-14, -0x1.0466decd9d7e1p-14, -0x1.04b280720da52p-14, -0x1.04f7a33208909p-14, -0x1.0536b83b7186fp-14, -0x1.056fd70d3db42p-14, -0x1.05a340b4c88afp-14, -0x1.05d0bce8909f4p-14, -0x1.05f86c65aeebcp-14, -0x1.061a709dc824p-14, -0x1.0636ef3c4bc12p-14, -0x1.064da86b428c7p-14, -0x1.065f0d6c0074fp-14, -0x1.066b0de11c483p-14, -0x1.06725a9759c2fp-14, -0x1.0674283e114bp-14, -0x1.06701dbc74829p-14, -0x1.066773ac219abp-14, -0x1.0659d9e00898fp-14, -0x1.064748b90ef6ep-14, -0x1.062fcdd323453p-14, -0x1.0613af9be3de3p-14, -0x1.05f2960e447eap-14, -0x1.05cd0007d99d5p-14, -0x1.05a319683a8fap-14, -0x1.05746a60cc4ep-14, -0x1.05414b97b76eep-14, -0x1.05096d4bec498p-14, -0x1.04cdc4bd8b6dcp-14, -0x1.048d9aaece0c4p-14, -0x1.0449bf4ec9013p-14, -0x1.04014c7e25b02p-14, -0x1.03b4dc63df0f8p-14, -0x1.03645c9a57394p-14, -0x1.03102d37c36c3p-14, -0x1.02b80641ee7f3p-14, -0x1.025c1d53292dep-14, -0x1.01fca501690c3p-14, -0x1.019983dcb84bep-14, -0x1.0132760e45a6ep-14, -0x1.00c7e16f78112p-14, -0x1.005a07c6e058bp-14, -0x1.ffd0e557efc73p-15, -0x1.fee86cfee3c68p-15, -0x1.fdf85f4d814cbp-15, -0x1.fd019d6dc1028p-15, -0x1.fc04b775032c1p-15, -0x1.fb01f648cc03ep-15, -0x1.f9f8df07f773bp-15, -0x1.f8e95afc0fd6p-15, -0x1.f7d419679a56p-15, -0x1.f6b9134a581c9p-15, -0x1.f59851a297eep-15, -0x1.f4726e27907bep-15, -0x1.f3468d8d40c2ap-15, -0x1.f2157902c4504p-15, -0x1.f0df2a821104dp-15, -0x1.efa3a3dae83f8p-15, -0x1.ee63063515da3p-15, -0x1.ed1d0966a8c8bp-15, -0x1.ebd2f99a8f322p-15, -0x1.ea83890b71eb4p-15, -0x1.e930256d83c83p-15, -0x1.e7d77efb02913p-15, -0x1.e67a9c95aa2b4p-15, -0x1.e5195cf40673p-15, -0x1.e3b3b55b46914p-15, -0x1.e249ea1ec60a5p-15, -0x1.e0dc198cf9c3fp-15, -0x1.df6ad2956d16p-15, -0x1.ddf4f87f1615p-15, -0x1.dc7a84e370876p-15, -0x1.dafdc2532d413p-15, -0x1.d97d3b0e3d79p-15, -0x1.d7f926264c56cp-15, -0x1.d670f75220aa2p-15, -0x1.d4e569aa9b50ep-15, -0x1.d356bf97e86ccp-15, -0x1.d1c5015c5f0ebp-15, -0x1.d0304f477d539p-15, -0x1.ce97fd27dade7p-15, -0x1.ccfd063e49751p-15, -0x1.cb5ef972f4ca2p-15, -0x1.c9bec5e546f21p-15, -0x1.c81b6d1893c2ep-15, -0x1.c675428394c07p-15, -0x1.c4cc65eace502p-15, -0x1.c321f48cff29dp-15, -0x1.c173a400ea11p-15, -0x1.bfc3ba0388ecdp-15, -0x1.be110c3598a5fp-15, -0x1.bc5d5a6bbdbe8p-15, -0x1.baa6bc2950071p-15, -0x1.b8eddee103718p-15, -0x1.b73351d6fbe26p-15, -0x1.b5767cf2794d7p-15, -0x1.b3b7ed55bdf9bp-15, -0x1.b1f7acc5dd388p-15, -0x1.b035a781385f8p-15, -0x1.ae71f482d763cp-15, -0x1.acac717b98b58p-15, -0x1.aae582de570f3p-15, -0x1.a91d38e62f998p-15, -0x1.a753964537c58p-15, -0x1.a5886081661e7p-15, -0x1.a3bbcc178a75p-15, -0x1.a1edcf87356edp-15, -0x1.a01e8082a6b07p-15, -0x1.9e4e9f468a676p-15, -0x1.9c7d7a63fbd87p-15, -0x1.9aab94fec1d3dp-15, -0x1.98d8709ae99a3p-15, -0x1.97041d43a3154p-15, -0x1.952f500607656p-15, -0x1.93599847a44b6p-15, -0x1.918287378880ep-15, -0x1.8fab7a06f8328p-15, -0x1.8dd35222af2ebp-15, -0x1.8bfb55b42d11ep-15, -0x1.8a2234a61e0a7p-15, -0x1.88489e4a75d26p-15, -0x1.866e0ba6c7dadp-15, -0x1.8493ce942081ep-15, -0x1.82b90450cef99p-15, -0x1.80de4aa46fc07p-15, -0x1.7f02e6ee05d2ep-15, -0x1.7d26ba4052cd8p-15, -0x1.7b4aaea0def73p-15, -0x1.796ed050b65cp-15, -0x1.7792b58e86a73p-15, -0x1.75b65e9844cddp-15, -0x1.73da1556ba02dp-15, -0x1.71fe3583c4382p-15, -0x1.70223b9374c8bp-15, -0x1.6e45e41c9fbf1p-15, -0x1.6c69a755031ebp-15, -0x1.6a8e2fe0af866p-15, -0x1.68b28a933f7fdp-15, -0x1.66d72f6d3ba63p-15, -0x1.64fc15f6b46c1p-15, -0x1.63216041fef07p-15, -0x1.6146f80b2dc9fp-15, -0x1.5f6cf168f816bp-15, -0x1.5d93594860c0ap-15, -0x1.5bba322f5e8dep-15, -0x1.59e192825bcaep-15, -0x1.58097b858083dp-15, -0x1.563194036e7d9p-15, -0x1.545a9ca12e548p-15, -0x1.5284077fda8fp-15, -0x1.50ae6b3c47203p-15, -0x1.4ed9354a66145p-15, -0x1.4d04f2f0166c8p-15, -0x1.4b316faa612a6p-15, -0x1.495dde4d36538p-15, -0x1.478bf262aad2p-15, -0x1.45ba264ad64bap-15, -0x1.43ea02bcb587fp-15, -0x1.421a51821f072p-15, -0x1.404aee5ffb527p-15, -0x1.3e7d2d163585ap-15, -0x1.3caff67db947fp-15, -0x1.3ae4584812622p-15, -0x1.39193cd179ee2p-15, -0x1.374ed2503b04cp-15, -0x1.3585cc03f511fp-15, -0x1.33bdcc57aab8ep-15, -0x1.31f6f760aa113p-15, -0x1.3030e16d4b74fp-15, -0x1.2e6c0a8b77d88p-15, -0x1.2ca845e5a6511p-15, -0x1.2ae5c73981d04p-15, -0x1.2924a7694a62dp-15, -0x1.27645479e92f1p-15, -0x1.25a57ec242348p-15, -0x1.23e7756b7f4ffp-15, -0x1.222adde114cb8p-15, -0x1.206fa7425c0ffp-15, -0x1.1eb5c06b4f2dcp-15, -0x1.1cfd286469941p-15, -0x1.1b45799a1774bp-15, -0x1.198f578a1e90fp-15, -0x1.17daa478b7f1cp-15, -0x1.16273ce11bd48p-15, -0x1.1475415024881p-15, -0x1.12c497ddbe064p-15, -0x1.1115459497b92p-15, -0x1.0f673f8d7222cp-15, -0x1.0dba9c3af3838p-15, -0x1.0c0f969fb073bp-15, -0x1.0a66188c4bb4fp-15, -0x1.08be33affd229p-15, -0x1.0717627a40f3ap-15, -0x1.0571cc191d692p-15, -0x1.03ce862bc397fp-15, -0x1.022c55295c6aap-15, -0x1.008b94ac8c79ep-15, -0x1.fdd9080f82c82p-16, -0x1.fa9d81a3b13fdp-16, -0x1.f765c875b442cp-16, -0x1.f430d580e24b8p-16, -0x1.f0fe9ee29f642p-16, -0x1.edcee399f079p-16, -0x1.eaa389ec72759p-16, -0x1.e77c5cba4a88fp-16, -0x1.e456e114ce695p-16, -0x1.e134362eac19ep-16, -0x1.de1537ce04f7ap-16, -0x1.daf98830f4a8dp-16, -0x1.d7e10b4f58d51p-16, -0x1.d4cc225a6909fp-16, -0x1.d1bd6197d5ca6p-16, -0x1.ceabe0e3ec06ap-16, -0x1.cba0f0289403bp-16, -0x1.c898bc489f0b1p-16, -0x1.c593db0edee46p-16, -0x1.c292bf8aa3717p-16, -0x1.bf9498e93b477p-16, -0x1.bc9a44f872a7ap-16, -0x1.b9a36be63f67ap-16, -0x1.b6af9010f2c33p-16, -0x1.b3be738aca2b2p-16, -0x1.b0d17099f1172p-16, -0x1.ade81df081dabp-16, -0x1.ab01f6a204ebep-16, -0x1.a81ed0247bdfcp-16, -0x1.a53ef8d30b324p-16, -0x1.a263135942974p-16, -0x1.9f8b3b8a788f7p-16, -0x1.9cb59c389552ap-16, -0x1.99e41128ea73bp-16, -0x1.97153b09bec4fp-16, -0x1.944a342dfa6ap-16, -0x1.9182f4fc99a59p-16, -0x1.8ebf00f8cfc9fp-16, -0x1.8bfef57a26e23p-16, -0x1.89413cae8dee8p-16, -0x1.86877a77df391p-16, -0x1.83d198a651c99p-16, -0x1.811f7c1f13c2p-16, -0x1.7e6f9670506aap-16, -0x1.7bc39ab1a72d7p-16, -0x1.791b665221a63p-16, -0x1.7676a3280148ap-16, -0x1.73d533d1c963fp-16, -0x1.71370468bedfp-16, -0x1.6e9b77efc881fp-16, -0x1.6c0515f1b1082p-16, -0x1.697199450e039p-16, -0x1.66e1eecc4085ap-16, -0x1.6454d50bcfb82p-16, -0x1.61cbebbc8553cp-16, -0x1.5f461dd69cba7p-16, -0x1.5cc3281083265p-16, -0x1.5a44860ee3955p-16, -0x1.57c90155dbdd2p-16, -0x1.555242f2f6cefp-16, -0x1.52dc7b7784cbp-16, -0x1.506b443c7b98bp-16, -0x1.4dfd8b17d9f0cp-16, -0x1.4b93323228ea4p-16, -0x1.492c189a251b7p-16, -0x1.46c8a43c9c38p-16, -0x1.44688c9b2e722p-16, -0x1.420be3589a0dbp-16, -0x1.3fb254674875p-16, -0x1.3d5c612bbf1d8p-16, -0x1.3b09ebbc9348cp-16, -0x1.38bac3e255a18p-16, -0x1.366ee278bcb33p-16, -0x1.342648c8d0efcp-16, -0x1.31e12225eec2cp-16, -0x1.2f9fa31827ee7p-16, -0x1.2d60a76ec4eep-16, -0x1.2b25d5816da22p-16, -0x1.28ee0d74a09afp-16, -0x1.26b9bddfeee67p-16, -0x1.24883b136aa61p-16, -0x1.225bfb167c41p-16, -0x1.202f853a51a4ep-16, -0x1.1e0945edf0842p-16, -0x1.1be49027302b5p-16, -0x1.19c3d7ada52fp-16, -0x1.17a64d1dc3e7ep-16, -0x1.158bd0a66c1ecp-16, -0x1.1374c7f9bfd81p-16, -0x1.1161a5441ba46p-16, -0x1.0f51092d77867p-16, -0x1.0d43d7e4dabb5p-16, -0x1.0b38e0c6e1f14p-16, -0x1.0931dde200b9ap-16, -0x1.072e988bde1abp-16, -0x1.052dccce50041p-16, -0x1.0330fefb076d2p-16, -0x1.01362b10b0aap-16, -0x1.fe7d97f2128bap-17, -0x1.fa95f4126fd26p-17, -0x1.f6b48ca6d010dp-17, -0x1.f2d8eecc0c82cp-17, -0x1.ef02fc62b4664p-17, -0x1.eb35463367304p-17, -0x1.e76bd7f3738b5p-17, -0x1.e3a8f44807ea9p-17, -0x1.dfec171f30847p-17, -0x1.dc340a43626p-17, -0x1.d884b0d1ee69bp-17, -0x1.d4d9e9a803172p-17, -0x1.d13704265ad39p-17, -0x1.cd96e68675957p-17, -0x1.c9fe77efe4722p-17, -0x1.c66bf066fed46p-17, -0x1.c2df813ba0e35p-17, -0x1.bf5942a3ac66cp-17, -0x1.bbd72d0605a84p-17, -0x1.b85c6df007135p-17, -0x1.b4e5b13142da5p-17, -0x1.b178dc2ca03a4p-17, -0x1.ae0e7a58565bap-17, -0x1.aaaaf69579e1fp-17, -0x1.a74d3bea6b141p-17, -0x1.a3f4fe14741a8p-17, -0x1.a0a1fdeffd009p-17, -0x1.9d559a1c7ce0ep-17, -0x1.9a0d23744be05p-17, -0x1.96cc8ba900ffap-17, -0x1.93904554066abp-17, -0x1.90598aeee3fadp-17, -0x1.8d28673360a2bp-17, -0x1.89fcf94ba579ep-17, -0x1.86d797ad7b68ap-17, -0x1.83b6b23a865a4p-17, -0x1.809b12cbb291ap-17, -0x1.7d843f9a418ddp-17, -0x1.7a74b1ed32aaap-17, -0x1.776b4a917f438p-17, -0x1.746552763df62p-17, -0x1.7165638a86293p-17, -0x1.6e69ec7a01a28p-17, -0x1.6b74cce588d1fp-17, -0x1.6883fc50015a6p-17, -0x1.6598a891225bp-17, -0x1.62b3b64185b52p-17, -0x1.5fd222d36b3b3p-17, -0x1.5cf646f6a205ep-17, -0x1.5a1fd58c20706p-17, -0x1.574ecad30d3c2p-17, -0x1.54826499d6809p-17, -0x1.51b9ee9b938e6p-17, -0x1.4ef762bf21b7fp-17, -0x1.4c3b7f33e866ap-17, -0x1.4982b0cf63e39p-17, -0x1.46cecf8f630d9p-17, -0x1.4420b46a091e5p-17, -0x1.4176f819309bap-17, -0x1.3ed191a0fa0d7p-17, -0x1.3c3270467a042p-17, -0x1.3997160feb8bcp-17, -0x1.3700c6a98777p-17, -0x1.346d8587002p-17, -0x1.31e1d3d67aff7p-17, -0x1.2f5a7cff1adcbp-17, -0x1.2cd6910203de9p-17, -0x1.2a5692ef4d8edp-17, -0x1.27dc6770d1cf6p-17, -0x1.25684fde3bb64p-17, -0x1.22f633ab4fb2dp-17, -0x1.208b4ceb4a1dap-17, -0x1.1e217778d5c33p-17, -0x1.1bbf4a1f8b8a5p-17, -0x1.195fd4c2353e1p-17, -0x1.1704a4579d88ap-17, -0x1.14ade0d03fbacp-17, -0x1.125e1c6733796p-17, -0x1.10105274e1c0dp-17, -0x1.0dc6b220b0bc6p-17, -0x1.0b81cfb07dd8ep-17, -0x1.094273fce8027p-17, -0x1.0706fcbdbdfcep-17, -0x1.04ccd23818c45p-17, -0x1.029a5841ccabcp-17, -0x1.006b37adb98bep-17, -0x1.fc7fd69210145p-18, -0x1.f83124387bdb5p-18, -0x1.f3ec059cdb1f2p-18, -0x1.efae917d2a258p-18, -0x1.eb794ce037e89p-18, -0x1.e74b454e319f2p-18, -0x1.e3261b7ebb64cp-18, -0x1.df08c245f9693p-18, -0x1.daf28ee68ebb8p-18, -0x1.d6e6339b90cebp-18, -0x1.d2e3743459a43p-18, -0x1.cee1aed5d35dap-18, -0x1.caea41b6d8a5bp-18, -0x1.c6ff3d1fba0d4p-18, -0x1.c319606560d9p-18, -0x1.bf3997d4873ddp-18, -0x1.bb65044f57bf1p-18, -0x1.b79216f7e9a28p-18, -0x1.b3c9e831d55a6p-18, -0x1.b0093bd0137e2p-18, -0x1.ac4f2e630cc52p-18, -0x1.a89c9e1744636p-18, -0x1.a4f215fc19033p-18, -0x1.a14fe57052ecdp-18, -0x1.9db4310c2ec46p-18, -0x1.9a1ca14f770d2p-18, -0x1.968d439910dc8p-18, -0x1.9309603b74ad4p-18, -0x1.8f88db5889774p-18, -0x1.8c10b516eff61p-18, -0x1.889dfb0ddf82p-18, -0x1.85323bcfb211fp-18, -0x1.81cfd09a230c3p-18, -0x1.7e71591d8cda9p-18, -0x1.7b1bc9df0dfc6p-18, -0x1.77cb59b43cf36p-18, -0x1.747f402ab5db2p-18, -0x1.713c96eb530e9p-18, -0x1.6e02b3183b971p-18, -0x1.6acca4314138fp-18, -0x1.679daec238885p-18, -0x1.6475095a39223p-18, -0x1.6150e93fdd18ap-18, -0x1.5e3587efe2dc3p-18, -0x1.5b228f4b3f133p-18, -0x1.5815dc70f202bp-18, -0x1.5508008be8449p-18, -0x1.52057da8dcef3p-18, -0x1.4f099e70b2725p-18, -0x1.4c12907e8fa6cp-18, -0x1.49230f14f9292p-18, -0x1.4638265689ebp-18, -0x1.4353814ad4bacp-18, -0x1.4075cce9516dbp-18, -0x1.3d9ca20b1a58bp-18, -0x1.3aca26cd35eb8p-18, -0x1.37fd807be4d13p-18, -0x1.3537658e5239dp-18, -0x1.3273298513a44p-18, -0x1.2fb91aa24fc11p-18, -0x1.2d0423630c5d4p-18, -0x1.2a5453c3aa4a6p-18, -0x1.27a8a854d3dabp-18, -0x1.2502e8f9deb5cp-18, -0x1.22635e2441177p-18, -0x1.1fc9d0e17bc9fp-18, -0x1.1d351fcecb01p-18, -0x1.1aa4d1c66f288p-18, -0x1.181b75c6b6ec1p-18, -0x1.15987b82c404ep-18, -0x1.13165dc7a3469p-18, -0x1.109d3ec6586f3p-18, -0x1.0e27f3f7ed4d3p-18, -0x1.0bb9b71434511p-18, -0x1.094ee4b206bbcp-18, -0x1.06e9567004e6cp-18, -0x1.04879f78397f7p-18, -0x1.022bc12023ba5p-18, -0x1.ffae51e59e9f9p-19, -0x1.fb078673b17f4p-19, -0x1.f6716c0eae9cdp-19, -0x1.f1e1c073e7bb6p-19, -0x1.ed5aadbb2687ap-19, -0x1.e8deace58f1cbp-19, -0x1.e46ecbc1802d5p-19, -0x1.e0050fd1eaa8ap-19, -0x1.dba742dafe513p-19, -0x1.d74e4492724a5p-19, -0x1.d3030132e311fp-19, -0x1.cebce7130de7p-19, -0x1.ca81ddc7b47a4p-19, -0x1.c653cc8372c4bp-19, -0x1.c22b05c91db2bp-19, -0x1.be0a3dafd4897p-19, -0x1.b9f49347eb95p-19, -0x1.b5e621fbb0837p-19, -0x1.b1e229baba18p-19, -0x1.addf09c07b743p-19, -0x1.a9ef2dfa26bfp-19, -0x1.a6067f80d9ab2p-19, -0x1.a224e2a134ddfp-19, -0x1.9e4932f83e5d1p-19, -0x1.9a75b3a8f7cb2p-19, -0x1.96ab5067f6814p-19, -0x1.92eaf84e54c22p-19, -0x1.8f321e43b4b0ap-19, -0x1.8b81d64621cf8p-19, -0x1.87d8006006171p-19, -0x1.8434eb91b8785p-19, -0x1.809dc18b2e622p-19, -0x1.7d0bc1f9f883bp-19, -0x1.7983417a08f6ap-19, -0x1.7601121946beap-19, -0x1.72878c4869638p-19, -0x1.6f120051ef862p-19, -0x1.6bac9ec82319dp-19, -0x1.6845dd33c41fcp-19, -0x1.64eac14be4c7cp-19, -0x1.619488bd69c8p-19, -0x1.5e472464568ebp-19, -0x1.5b04b2108b8a3p-19, -0x1.57c49c51b723cp-19, -0x1.548ccd03fb4fap-19, -0x1.515ca35424aafp-19, -0x1.4e334c994a444p-19, -0x1.4b110df0c5cfbp-19, -0x1.47f655ffcc694p-19, -0x1.44e1f890d60c3p-19, -0x1.41d36ce4916cp-19, -0x1.3ecd0092ed40bp-19, -0x1.3bca979b23fa2p-19, -0x1.38d7d81928002p-19, -0x1.35e1c516d89f1p-19, -0x1.32f3a14e83b75p-19, -0x1.300eb023079c1p-19, -0x1.2d31495eea0c4p-19, -0x1.2a58881f9813ap-19, -0x1.27857d91cd435p-19, -0x1.24b962a26907ap-19, -0x1.21f5ca299d82ap-19, -0x1.1f3418637a4f6p-19, -0x1.1c78e06083357p-19, -0x1.19caf387c608cp-19, -0x1.171bee180d7d7p-19, -0x1.14749d7374987p-19, -0x1.11d2d90e909a6p-19, -0x1.0f3a786b8f95bp-19, -0x1.0ca25daad57dfp-19, -0x1.0a134d137b958p-19, -0x1.0788b58e13f55p-19, -0x1.0507859554b9ap-19, -0x1.028b48d60351fp-19, -0x1.0010a08911d53p-19, -0x1.fb33865294028p-20, -0x1.f66010bff33cbp-20, -0x1.f1903950299efp-20, -0x1.eccc4556a9f4fp-20, -0x1.e813ede2f3259p-20, -0x1.e3654895d303dp-20, -0x1.dec04497250e4p-20, -0x1.da20a1baf596p-20, -0x1.d5938cc52b142p-20, -0x1.d113cb3485305p-20, -0x1.cc97fcce0869p-20, -0x1.c82726796db27p-20, -0x1.c3c1550a8e725p-20, -0x1.bf683d81ca4d8p-20, -0x1.bb14873eddedfp-20, -0x1.b6cc4276debaap-20, -0x1.b28b70276ffdp-20, -0x1.ae564139a3adep-20, -0x1.aa39b0c03055dp-20, -0x1.a60cb14af7c12p-20, -0x1.a1f9f01bfd65dp-20, -0x1.9deb12c56a577p-20, -0x1.99e3e978d22acp-20, -0x1.95e894105c824p-20, -0x1.91f7e733ecbbfp-20, -0x1.8e0c0cd62ba23p-20, -0x1.8a31190a329c8p-20, -0x1.8658c50849a78p-20, -0x1.828a9994e9774p-20, -0x1.7ec56d4d2d819p-20, -0x1.7b08e1d2e7284p-20, -0x1.7757d1a0c56bdp-20, -0x1.73a9cbca452cp-20, -0x1.70074cdf27eefp-20, -0x1.6c6f7061bc3e7p-20, -0x1.68de3e266cc6fp-20, -0x1.6551ab54d7dbap-20, -0x1.61d60a65695aap-20, -0x1.5e5a14a248d5ap-20, -0x1.5aec7b93f5cf7p-20, -0x1.5782f2f26d339p-20, -0x1.541ff32cc9e78p-20, -0x1.50c47a3f6473p-20, -0x1.4d7772d0b3d4ep-20, -0x1.4a30445c0b8d9p-20, -0x1.46f03b142733fp-20, -0x1.43b01d6a8fcfp-20, -0x1.4081e428cee27p-20, -0x1.3d58ade507d6ep-20, -0x1.3a3501c29eda7p-20, -0x1.371a87fb598abp-20, -0x1.3403f42cf56f5p-20, -0x1.30f914bad8cbfp-20, -0x1.2df2ce7156e65p-20, }}, 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      {{-0x1.f93bdad6a38e7p-6, -0x1.7a3dcfe31b23ap-5, -0x1.f70d3cb96d269p-5, -0x1.3964aedff023bp-4, -0x1.7698bf76964b6p-4, -0x1.b303b8885e90ap-4, -0x1.ee87ed43e853p-4, -0x1.14849db097a7p-3, -0x1.3136917f93612p-3, -0x1.4d4d6bb9a2355p-3, -0x1.68bda4f54b231p-3, -0x1.837c9759df993p-3, -0x1.9d807efc3c835p-3, -0x1.b6c0784c681f2p-3, -0x1.cf347ce2e7a3p-3, -0x1.e6d55ef2d873fp-3, -0x1.fd9cc39d88e5dp-3, -0x1.09c28e2e57a3ap-2, -0x1.1444cfd915254p-2, -0x1.1e5320a35d711p-2, -0x1.27ebd4ce3403ep-2, -0x1.310d96ba8a498p-2, -0x1.39b7628506edp-2, -0x1.41e88196eef44p-2, -0x1.49a0863747279p-2, -0x1.50df4725baa44p-2, -0x1.57a4db4779ca9p-2, -0x1.5df1956ce944cp-2, -0x1.63c60035d38c1p-2, -0x1.6922da189b01fp-2, -0x1.6e09118ff4daep-2, -0x1.7279c171c01fp-2, -0x1.76762d70b484p-2, -0x1.79ffbec9f1e35p-2, -0x1.7d18011ec923ep-2, -0x1.7fc09f7a9bd8ep-2, -0x1.81fb618425bd7p-2, -0x1.83ca28d93c66ap-2, -0x1.852eee93a634dp-2, -0x1.862bc0f587b04p-2, -0x1.86c2c13ba6b6cp-2, -0x1.86f62193b29b9p-2, -0x1.86c823349d9a7p-2, -0x1.863b149717142p-2, -0x1.85514fcc3214ep-2, -0x1.840d38f046497p-2, -0x1.82713cb8295bp-2, -0x1.807fcf16f2064p-2, -0x1.7e3b69fa81bp-2, -0x1.7ba68c1d30e49p-2, -0x1.78c3b7eb135edp-2, -0x1.7595727956b96p-2, -0x1.721e428e6992dp-2, -0x1.6e60afb9a1bbap-2, -0x1.6a5f4179431e7p-2, -0x1.661c7e6dcf391p-2, -0x1.619aeb99ac958p-2, -0x1.5cdd0bac40ad9p-2, -0x1.57e55e57b4fe5p-2, -0x1.52b65fb0aa9ecp-2, -0x1.4d5287973bd12p-2, -0x1.47bc4928b0502p-2, -0x1.41f61239668ddp-2, -0x1.3c024ad672cb1p-2, -0x1.35e354ce8f4f2p-2, -0x1.2f9b8b41f898ap-2, -0x1.292d4238e81ffp-2, -0x1.229ac64056251p-2, -0x1.1be65c0cc729dp-2, -0x1.15124022e5c32p-2, -0x1.0e20a685a8fc6p-2, -0x1.0713ba69e1089p-2, -0x1.ffdb3bdde7721p-3, -0x1.f160d3b93c2p-3, -0x1.e2bc5acb33045p-3, -0x1.d3f1dbddf47cap-3, -0x1.c5054db851254p-3, -0x1.b5fa92be9e58cp-3, -0x1.a6d5789c4dc5ep-3, -0x1.9799b7f5f394dp-3, -0x1.884af4238abbcp-3, -0x1.78ecbaf2bd73dp-3, -0x1.69828470f8a2bp-3, -0x1.5a0fb2bd0bc4p-3, -0x1.4a9791e02ea03p-3, -0x1.3b1d57ae2832cp-3, -0x1.2ba423ac6660cp-3, -0x1.1c2efeffcff59p-3, -0x1.0cc0dc611a5cfp-3, -0x1.fab9302ee02acp-4, -0x1.dc09eff252d0dp-4, -0x1.bd7956e4e1666p-4, -0x1.9f0c972316022p-4, -0x1.80c8b63139896p-4, -0x1.62b28d29595a2p-4, -0x1.44cec8f36eec3p-4, -0x1.2721ea872a669p-4, -0x1.09b047370a7cp-4, -0x1.d8fc120897bb4p-5, -0x1.9f1e5df69a70bp-5, -0x1.65cf1b3004d1ap-5, -0x1.2d159e6418388p-5, -0x1.e9f1d1c04ff95p-6, -0x1.7aff5308207b1p-6, -0x1.0d607b875280bp-6, -0x1.4242cad1c886dp-7, -0x1.b26c626bf2235p-9, 0x1.988183656a979p-9, 0x1.35db169bc83a3p-7, 0x1.0140d6562e77ep-6, 0x1.6600f87d45f4fp-6, 0x1.c9256b2276acep-6, 0x1.15531bb6e97a3p-5, 0x1.453df9d1f49cdp-5, 0x1.744fe0369dddap-5, 0x1.a285a30961ac6p-5, 0x1.cfdc58d840ed5p-5, 0x1.fc51592fb7eafp-5, 0x1.13f11d95ee962p-4, 0x1.29466a031fea5p-4, 0x1.3e279ad080868p-4, 0x1.5293d687d443cp-4, 0x1.668a608f18dd7p-4, 0x1.7a0a986b65c83p-4, 0x1.8d13f9035a648p-4, 0x1.9fa617e1584a9p-4, 0x1.b1c0a475b49e5p-4, 0x1.c363675920a05p-4, 0x1.d48e418f73b45p-4, 0x1.e5412bcafcb13p-4, 0x1.f57c35b099cdcp-4, 0x1.029fc28e5b81bp-3, 0x1.0a45aab4adadcp-3, 0x1.11affb5ab7b0ep-3, 0x1.18dee696af135p-3, 0x1.1fd2a82aa10a7p-3, 0x1.268b852a52522p-3, 0x1.2d09cba2057adp-3, 0x1.334dd23e2dd53p-3, 0x1.3957f7f425da1p-3, 0x1.3f28a3abe82cbp-3, 0x1.44c043eaea023p-3, 0x1.4a1f4e8011a5p-3, 0x1.4f464030df14p-3, 0x1.54359c67cea63p-3, 0x1.58edece3f8573p-3, 0x1.5d6fc169fe35fp-3, 0x1.61bbaf764e5a2p-3, 0x1.65d251f0b942cp-3, 0x1.69b448e16e34ap-3, 0x1.6d6239275cb82p-3, 0x1.70dccc2ffdd9bp-3, 0x1.7424afb095e2fp-3, 0x1.773a9560e783dp-3, 0x1.7a1f32b7594c4p-3, 0x1.7cd340a6a1b1bp-3, 0x1.7f577b5ce8095p-3, 0x1.81aca2046f925p-3, 0x1.83d37685b4d18p-3, 0x1.85ccbd4b206c7p-3, 0x1.87993d062ef94p-3, 0x1.8939be7623bffp-3, 0x1.8aaf0c303bdf8p-3, 0x1.8bf9f269671dfp-3, 0x1.8d1b3ec17e77ep-3, 0x1.8e13c010005b9p-3, 0x1.8ee44632471edp-3, 0x1.8f8da1db3e164p-3, 0x1.9010a46491c97p-3, 0x1.906e1fa155fc5p-3, 0x1.90a6e5b223502p-3, 0x1.90bbc8daa02c7p-3, 0x1.90ad9b5883e32p-3, 0x1.907d2f3bf5461p-3, 0x1.902b564158eaep-3, 0x1.8fb8e1ac80274p-3, 0x1.8f26a22537e58p-3, 0x1.8e756795285cep-3, 0x1.8da6010715834p-3, 0x1.8cb93c8765d49p-3, 0x1.8bafe705f6793p-3, 0x1.8a8acc3939473p-3, 0x1.894ab6828b065p-3, 0x1.87f06ed3cd66p-3, 0x1.867cbc962ea89p-3, 0x1.84f06592252aep-3, 0x1.834c2dd897c01p-3, 0x1.8190d7ad2067ap-3, 0x1.7fbf23717a14fp-3, 0x1.7dd7cf91fe434p-3, 0x1.7bdb987335db6p-3, 0x1.79cb3860800d8p-3, 0x1.77a7677bb1389p-3, 0x1.7570dbadbefa3p-3, 0x1.7328489860c6fp-3, 0x1.70ce5f88a50a7p-3, 0x1.6e63cf6a7acf9p-3, 0x1.6be944bd19f32p-3, 0x1.695f698859b69p-3, 0x1.66c6e552d7c9ep-3, 0x1.64205d1900844p-3, 0x1.616c7344e08ap-3, 0x1.5eabc7a6c528dp-3, 0x1.5bdef76e9ff92p-3, 0x1.59069d2625db7p-3, 0x1.562350abb2fd7p-3, 0x1.5335a72dcfd78p-3, 0x1.503e3327788ebp-3, 0x1.4d3d845cf9df7p-3, 0x1.4a3427d97d12fp-3, 0x1.4722a7ed2b3fdp-3, 0x1.44098c2bed1c7p-3, 0x1.40e9596cb4099p-3, 0x1.3dc291c95b48fp-3, 0x1.3a95b49f08bf5p-3, 0x1.37633e8f12881p-3, 0x1.342ba98066b84p-3, 0x1.30ef6ca163b7ep-3, 0x1.2daefc6a2adfbp-3, 0x1.2a6aca9f5e66ep-3, 0x1.272346554fe7cp-3, 0x1.23d8dbf386da5p-3, 0x1.208bf538bb2a8p-3, 0x1.1d3cf93f19b23p-3, 0x1.19ec4c80f07d8p-3, 0x1.169a50dda4f31p-3, 0x1.1347659efcaa8p-3, 0x1.0ff3e77eb8114p-3, 0x1.0ca030ac68df2p-3, 0x1.094c98d39b3a3p-3, 0x1.05f975222f3b5p-3, 0x1.02a7184efd371p-3, 0x1.feaba54156915p-4, 0x1.f80be3e96f47bp-4, 0x1.f16f838d72df7p-4, 0x1.ead7166f9b398p-4, 0x1.e4432a2c5862p-4, 0x1.ddb447c9da27ep-4, 0x1.d72af3c7d90a3p-4, 0x1.d0a7ae2f9e796p-4, 0x1.ca2af2a4618abp-4, 0x1.c3b53873be0eap-4, 0x1.bd46f2a67ad17p-4, 0x1.b6e090116f866p-4, 0x1.b0827b669166dp-4, 0x1.aa2d1b46365a5p-4, 0x1.a3e0d25059e16p-4, 0x1.9d9dff361c0ddp-4, 0x1.9764fccb3eb9p-4, 0x1.91362217c4dabp-4, 0x1.8b11c26994ddep-4, 0x1.84f82d662bd91p-4, 0x1.7ee9af1c53f0ep-4, 0x1.78e69015dcd75p-4, 0x1.72ef1569560d9p-4, 0x1.6d0380cbc0e08p-4, 0x1.672410a23c3ddp-4, 0x1.61510013a5fa2p-4, 0x1.5b8a871a2e8bep-4, 0x1.55d0da94d998fp-4, 0x1.50242c58ecc02p-4, 0x1.4a84ab4349f9bp-4, 0x1.44f28349ac6acp-4, 0x1.3f6ddd8bcf3a5p-4, 0x1.39f6e06473813p-4, 0x1.348daf7a4a13ep-4, 0x1.2f326bd0b6989p-4, 0x1.29e533d874e23p-4, 0x1.24a6238016e31p-4, 0x1.1f75544459759p-4, 0x1.1a52dd40529d9p-4, 0x1.153ed33d76ccep-4, 0x1.103948c370968p-4, 0x1.0b424e27cbb42p-4, 0x1.0659f19d7279fp-4, 0x1.01803f43fb716p-4, 0x1.f96a826d90aadp-5, 0x1.eff1ff37dfdacp-5, 0x1.e6970165f347fp-5, 0x1.dd5991c6c6ebdp-5, 0x1.d439b595e79bfp-5, 0x1.cb376e97b16dap-5, 0x1.c252bb35237d7p-5, 0x1.b98b969740a94p-5, 0x1.b0e1f8c20baap-5, 0x1.a855d6af12efdp-5, 0x1.9fe722678e046p-5, 0x1.9795cb1e0d262p-5, 0x1.8f61bd47b7988p-5, 0x1.874ae2b5195d7p-5, 0x1.7f5122aa86529p-5, 0x1.777461f805ae7p-5, 0x1.6fb48310d4499p-5, 0x1.681166226eedap-5, 0x1.608ae92b3370bp-5, 0x1.5920e8108b3e8p-5, 0x1.51d33cb4aa914p-5, 0x1.4aa1bf0bde5fdp-5, 0x1.438c45316ac2fp-5, 0x1.3c92a37bfa856p-5, 0x1.35b4ac919cb55p-5, 0x1.2ef2317b5deefp-5, 0x1.284b01b86c22ep-5, 0x1.21beeb50cfc11p-5, 0x1.1b4dbae7b9ed9p-5, 0x1.14f73bcd6927fp-5, 0x1.0ebb3810a0dffp-5, 0x1.0899788fbb01fp-5, 0x1.0291c509504f3p-5, 0x1.f947c858f28adp-6, 0x1.ed9f37514dc14p-6, 0x1.e229607a2f966p-6, 0x1.d6e5cb8fdc676p-6, 0x1.cbd3fea9b60eep-6, 0x1.c0f37e56dc186p-6, 0x1.b643cdb9fc5d6p-6, 0x1.abc46ea46e151p-6, 0x1.a174e1b09adb9p-6, 0x1.9754a65b96bb1p-6, 0x1.8d633b1e143e6p-6, 0x1.83a01d849d562p-6, 0x1.7a0aca471980cp-6, 0x1.70a2bd5f9cfd6p-6, 0x1.676772209fff9p-6, 0x1.5e58634a78981p-6, 0x1.55750b203649ap-6, 0x1.4cbce37bd8f3cp-6, 0x1.442f65e1dd729p-6, 0x1.3bcc0b9433a85p-6, 0x1.33924da499b6bp-6, 0x1.2b81a506577bcp-6, 0x1.23998a9f66489p-6, 0x1.1bd9775905859p-6, 0x1.1440e42fb3d38p-6, 0x1.0ccf4a42aa363p-6, 0x1.058422e2be8c4p-6, 0x1.fcbdcf418a80ap-7, 0x1.eebe24b6cb135p-7, 0x1.e1083a98e3a61p-7, 0x1.d39b062b5cfp-7, 0x1.c6757d9a5de93p-7, 0x1.b99698125efbfp-7, 0x1.acfd4dd6d8d91p-7, 0x1.a0a8985825d21p-7, 0x1.949772486b805p-7, 0x1.88c8d7af925b5p-7, 0x1.7d3bc5fe7de73p-7, 0x1.71ef3c2152d2p-7, 0x1.66e23a9101e2ap-7, 0x1.5c13c363f48a3p-7, 0x1.5182da5df8a5fp-7, 0x1.472e84ff56e5bp-7, 0x1.3d15ca933b629p-7, 0x1.3337b43d5bb5cp-7, 0x1.29934d06f0f07p-7, 0x1.2027a1eaef5bbp-7, 0x1.16f3c1e19f9c1p-7, 0x1.0df6bdeb8bd9bp-7, 0x1.052fa91bc015bp-7, 0x1.f93b3142e10e9p-8, 0x1.e87f47a2193e7p-8, 0x1.d829c859640cep-8, 0x1.c838ead822eeep-8, 0x1.b8aaeb077feb7p-8, 0x1.a97e09581616bp-8, 0x1.9ab08ace5dacap-8, 0x1.8c40b90e2ae3ap-8, 0x1.7e2ce2654095cp-8, 0x1.707359d4f0013p-8, 0x1.6312771a9e7eap-8, 0x1.560896b78e58ep-8, 0x1.495419f7ae41cp-8, 0x1.3cf366f7ae70bp-8, 0x1.30e4e8aa123c3p-8, 0x1.25270edbb14dcp-8, 0x1.19b84e374b8d5p-8, 0x1.0e9720486d20cp-8, 0x1.03c2037dbea5p-8, 0x1.f26ef6549d92dp-9, 0x1.ddec1f0cffc0dp-9, 0x1.c9f89b60534d2p-9, 0x1.b6918f5471fd4p-9, 0x1.a3b428b72d805p-9, 0x1.915d9f1b37ed3p-9, 0x1.7f8b33d3b3299p-9, 0x1.6e3a31eedb32dp-9, 0x1.5d67ee2fabc12p-9, 0x1.4d11c7064fbb4p-9, 0x1.3d352487e978p-9, 0x1.2dcf7865577adp-9, 0x1.1ede3de10f904p-9, 0x1.105ef9c443855p-9, 0x1.024f3a530fdc9p-9, 0x1.e9592e8019c5ap-10, 0x1.cee9633e4539ep-10, 0x1.b54a67af04931p-10, 0x1.9c77a32a73fa5p-10, 0x1.846c8f73e6e6ap-10, 0x1.6d24b89a6cec2p-10, 0x1.569bbcd85395ap-10, 0x1.40cd4c70e3a27p-10, 0x1.2bb5298e0fa07p-10, 0x1.174f281ca1779p-10, 0x1.03972da76a4b9p-10, 0x1.e1126263d1548p-11, 0x1.bc427623ade23p-11, 0x1.98b6c990823abp-11, 0x1.7667b1b3d3027p-11, 0x1.554da54cf09a7p-11, 0x1.35613c7f7aadap-11, 0x1.169b307ff251dp-11, 0x1.f1e8b67e5c5c6p-12, 0x1.b8cb6e2b67ac6p-12, 0x1.81d0bcda51e66p-12, 0x1.4ceb16d2dcd3cp-12, 0x1.1a0d2f2122448p-12, 0x1.d253edcdac82ep-13, 0x1.7469394e4378ep-13, 0x1.1a41172881ee5p-13, 0x1.8785ab7141707p-14, 0x1.c358e797884a6p-15, 0x1.0b1bedcaeae06p-16, -0x1.5565885f41f84p-16, -0x1.cdc4c9888e49dp-15, -0x1.7200eacd28ff4p-14, -0x1.f6e0f39426a4bp-14, -0x1.3ad6d13e5aefcp-13, -0x1.7748a0e6778b5p-13, -0x1.b0daa2c44a1fp-13, -0x1.e7a12726ebcf1p-13, -0x1.0dd80b0cfc085p-12, -0x1.268d7867a03ccp-12, -0x1.3dfa69868130ep-12, -0x1.54283a4da386ap-12, -0x1.6920155567812p-12, -0x1.7ceaf4a09190fp-12, -0x1.8f91a24e8a269p-12, -0x1.a11cb94ff7334p-12, -0x1.b194a617c047dp-12, -0x1.c101a74e84401p-12, -0x1.cf6bce80d4032p-12, -0x1.dcdb00cf589acp-12, -0x1.e956f79d9b5d5p-12, -0x1.f4e7414025a85p-12, -0x1.ff9341a73a0efp-12, -0x1.04b11985b167bp-11, -0x1.092d934b42bbfp-11, -0x1.0d428285dfe68p-11, -0x1.10f347b867993p-11, -0x1.14432fd8fa1a3p-11, -0x1.173574a480949p-11, -0x1.19cd3ceee9ca1p-11, -0x1.1c0d9cf4c84c6p-11, -0x1.1df996abc6cd4p-11, -0x1.1f941a117da65p-11, -0x1.20e0057af29d6p-11, -0x1.21e025e20e041p-11, -0x1.22973732344aep-11, -0x1.2307e495eb50cp-11, -0x1.2334c8c175078p-11, -0x1.23206e3e4bf22p-11, -0x1.22cd4fb4da5abp-11, -0x1.223dd8359d95ap-11, -0x1.217463815ffcdp-11, -0x1.20733e514d153p-11, -0x1.1f3ca69d579ccp-11, -0x1.1dd2cbe253b63p-11, -0x1.1c37cf66fdae7p-11, -0x1.1a6dc47fc1aecp-11, -0x1.1876b0d2b32b1p-11, -0x1.16548c9a31de9p-11, -0x1.140942e64b32dp-11, -0x1.1196b1dda85c3p-11, -0x1.0efeaafe329a3p-11, -0x1.0c42f35a8ed8cp-11, -0x1.096543dad0cd7p-11, -0x1.066749784353p-11, -0x1.034aa57b1607fp-11, -0x1.0010edb5b4663p-11, -0x1.f977597f91b96p-12, -0x1.f298c46123b0dp-12, -0x1.eb8905b0328c8p-12, -0x1.e44af1f04064cp-12, -0x1.dce148f6f9787p-12, -0x1.d54eb65a33d58p-12, -0x1.cd95d1db085c6p-12, -0x1.c5b91fd26d45ap-12, -0x1.bdbb119802045p-12, -0x1.b59e05eb6ae16p-12, -0x1.ad644958275c9p-12, -0x1.a510169b321e3p-12, -0x1.9ca3970455212p-12, -0x1.9420e2d7dd574p-12, -0x1.8b8a01add2d82p-12, -0x1.82e0ead0a9f45p-12, -0x1.7a278598cafdp-12, -0x1.715fa9c7a0e53p-12, -0x1.688b1fe0a43a5p-12, -0x1.5faba18242fb7p-12, -0x1.56c2d9bbc15fp-12, -0x1.4dd2656208c6ap-12, -0x1.44dbd363e695dp-12, -0x1.3be0a51b471d9p-12, -0x1.32e24e9e47195p-12, -0x1.29e2370e5c87ep-12, -0x1.20e1b8e68bdf2p-12, -0x1.17e222483e6b7p-12, -0x1.0ee4b545d8ac2p-12, -0x1.05eaa82c94702p-12, -0x1.f9ea4b99da81fp-13, -0x1.e80a9b850349fp-13, -0x1.d6386972af309p-13, -0x1.c475c96659773p-13, -0x1.b2c4ba93cff2ep-13, -0x1.a12727e5d999ap-13, -0x1.8f9ee87ce239fp-13, -0x1.7e2dc03041a26p-13, -0x1.6cd5600b37e75p-13, -0x1.5b9766c7341b2p-13, -0x1.4a7561444a413p-13, -0x1.3970cafe3858cp-13, -0x1.288b0e80b82a6p-13, -0x1.17c585d86be2bp-13, -0x1.07217b0271b3ep-13, -0x1.ed4050b1cfad9p-14, -0x1.cc8571fd1cee2p-14, -0x1.ac14928d000bfp-14, -0x1.8befce3641bd7p-14, -0x1.6c1924c3accbfp-14, -0x1.4c927abdc2668p-14, -0x1.2d5d9a29357cap-14, -0x1.0e7c3345848b4p-14, -0x1.dfdfba8a9d049p-15, -0x1.a3742e06d1524p-15, -0x1.67b88f691cd5cp-15, -0x1.2caf7f265f57ap-15, -0x1.e4b6e232ed9eep-16, -0x1.717d5b95dca29p-16, -0x1.ff6d4ee906591p-17, -0x1.1ecd626c82863p-17, -0x1.0488a8b39705ep-19, 0x1.331b75d522524p-18, 0x1.713c42cf11437p-17, 0x1.22f1f9e6a461ap-16, 0x1.8bbff004e113p-16, 0x1.f305d09417f05p-16, 0x1.2c60d502c4ba2p-15, 0x1.5e78e528e746p-15, 0x1.8fca5e7bed73cp-15, 0x1.c054a4791246ap-15, 0x1.f01737669c22cp-15, 0x1.0f88d9af6677fp-14, 0x1.26a1e7b0e27d3p-14, 0x1.3d56ae373cdbcp-14, 0x1.53a7224ffcc9cp-14, 0x1.699345281b1f5p-14, 0x1.7f1b239eea12ap-14, 0x1.943ed5ddc704fp-14, 0x1.a8fe7eef849b9p-14, 0x1.bd5a4c5c8721cp-14, 0x1.d15275c89142cp-14, 0x1.e4e73c93a73cap-14, 0x1.f818eb7bfd684p-14, 0x1.0573eb216ae3ap-13, 0x1.0eaa2ca9abe29p-13, 0x1.17af6cb60c102p-13, 0x1.2083e1a4ee09p-13, 0x1.2927c5ab47f6bp-13, 0x1.319b56abb1e1fp-13, 0x1.39ded6100f746p-13, 0x1.41f288a2a51b5p-13, 0x1.49d6b66970549p-13, 0x1.518baa817192p-13, 0x1.5911b2fbb22aep-13, 0x1.606920baf656dp-13, 0x1.6792475216b1ep-13, 0x1.6e8d7ce3ef12dp-13, 0x1.755b1a0308072p-13, 0x1.7bfb7993334e3p-13, 0x1.826ef8ab602d2p-13, 0x1.88b5f6780e49p-13, 0x1.8ed0d41fafe6dp-13, 0x1.94bff4a656395p-13, 0x1.9a83bcd3a1bedp-13, 0x1.a01c9317dd273p-13, 0x1.a58adf733e905p-13, 0x1.aacf0b5cdb4c3p-13, 0x1.afe981aad6e83p-13, 0x1.b4daae7b289f6p-13, 0x1.b9a2ff1d4e972p-13, 0x1.be42e1fbccdddp-13, 0x1.c2bac687d742p-13, 0x1.c70b1d23be1bp-13, 0x1.cb34570f78677p-13, 0x1.cf36e65510322p-13, 0x1.d3133db598c64p-13, 0x1.d6c9d09759d66p-13, 0x1.da5b12f3eeed7p-13, 0x1.ddc779470f4f5p-13, 0x1.e10f787e64f6fp-13, 0x1.e43385e8ef637p-13, 0x1.e7341727ed4e8p-13, 0x1.ea11a21f44aedp-13, 0x1.eccc9ce781daap-13, 0x1.ef657dbf6613p-13, 0x1.f1dcbafeadb5ap-13, 0x1.f432cb0891f9ep-13, 0x1.f668243f66682p-13, 0x1.f87d3cf8107c8p-13, 0x1.fa728b6e5dc3ep-13, 0x1.fc4885b957453p-13, 0x1.fdffa1c09bed5p-13, 0x1.ff9855319ff59p-13, 0x1.00898abaa161p-12, 0x1.01382bd31ee95p-12, 0x1.01d84843c80d5p-12, 0x1.026a1a3d9d33fp-12, 0x1.02eddbbce0f96p-12, 0x1.0363c6849e77ep-12, 0x1.03cc141ae49c2p-12, 0x1.0426fdc4c7d3dp-12, 0x1.0474bc829b94ep-12, 0x1.04b5890c730cap-12, 0x1.04e99bce97734p-12, 0x1.05112ce65dd93p-12, 0x1.052c741ee7569p-12, 0x1.053ba8ee48cfdp-12, 0x1.053f027273ad5p-12, 0x1.0536b76eb9f2fp-12, 0x1.0522fe48f029bp-12, 0x1.05040d074bfd4p-12, 0x1.04da194da61f1p-12, 0x1.04a5585b68a72p-12, 0x1.0465ff098a106p-12, 0x1.041c41c84026cp-12, 0x1.03c8549d708eep-12, 0x1.036a6b2295b18p-12, 0x1.0302b8833af8ep-12, 0x1.02916f7b5ae19p-12, 0x1.0216c255d1c3p-12, 0x1.0192e2eae381cp-12, 0x1.0106029f37b46p-12, 0x1.007052622c71ap-12, 0x1.ffa4055a1d9c1p-13, 0x1.fe568703d3086p-13, 0x1.fcf888d4f5958p-13, 0x1.fb8a68eed7d7p-13, 0x1.fa0c847ee678dp-13, 0x1.f87f37bd05696p-13, 0x1.f6e2ddea4e4b2p-13, 0x1.f537d1500ed95p-13, 0x1.f37e6b3e2b79ep-13, 0x1.f1b7040ad9e28p-13, 0x1.efe1f3114e6cap-13, 0x1.edff8eb11d8f1p-13, 0x1.ec102c4da5721p-13, 0x1.ea14204df59dbp-13, 0x1.e80bbe1bbfdbep-13, 0x1.e5f75823c368p-13, 0x1.e3d73fd550a25p-13, 0x1.e1abc5a21050fp-13, 0x1.df7538fea78e8p-13, 0x1.dd33e8622077ap-13, 0x1.dae82146daa93p-13, 0x1.d892302a1d5d1p-13, 0x1.d632608d35d7bp-13, 0x1.d3c8fcf599a27p-13, 0x1.d1564eed4e20dp-13, 0x1.ceda9f03fd15ep-13, 0x1.cc5634cf45b49p-13, 0x1.c9c956ebbe3b3p-13, 0x1.c7344afd96fafp-13, 0x1.c49755b1a5db7p-13, 0x1.c1f2babea44f1p-13, 0x1.bf46bce58cffcp-13, 0x1.bc939df350a83p-13, 0x1.b9d99ec1c2f7dp-13, 0x1.b718ff38a6fc9p-13, 0x1.b451fe4f41c26p-13, 0x1.b184da0d3532fp-13, 0x1.aeb1cf8c4d41p-13, 0x1.abd91af9ae8cbp-13, 0x1.a8faf796fa38ap-13, 0x1.a6179fbc6df33p-13, 0x1.a32f4cd9bd091p-13, 0x1.a04237780b803p-13, 0x1.9d50973b557b2p-13, 0x1.9a5aa2e3df9ddp-13, 0x1.9760905024a5fp-13, 0x1.9462947e8a44p-13, 0x1.9160e38e9a8f3p-13, 0x1.8e5bb0c35db33p-13, 0x1.8b532e849c65ap-13, 0x1.88478e60df81dp-13, 0x1.8539010f2de43p-13, 0x1.8227b670fcb5ep-13, 0x1.7f13dd9395e9dp-13, 0x1.7bfda4b28053cp-13, 0x1.78e53939244bcp-13, 0x1.75cac7c46ae91p-13, 0x1.72ae7c250a2dfp-13, 0x1.6f90816153ffep-13, 0x1.6c7101b6dc97ap-13, 0x1.6950269cc4dfbp-13, 0x1.662e18c57936p-13, 0x1.630b0020a8061p-13, 0x1.5fe703dd33e2p-13, 0x1.5cc24a6b54721p-13, 0x1.599cf97e407f1p-13, 0x1.5677360e806bfp-13, 0x1.5351245ba6a99p-13, 0x1.502ae7ee760dbp-13, 0x1.4d04a39aa6e2ep-13, 0x1.49de798114741p-13, 0x1.46b88b11cdc5cp-13, 0x1.4392f90dc33a9p-13, 0x1.406de388f3388p-13, 0x1.3d4969ec93338p-13, 0x1.3a25aaf8a3334p-13, 0x1.3702c4c641339p-13, 0x1.33e0d4c982ebap-13, 0x1.30bff7d3739cap-13, 0x1.2da04a13ec0c1p-13, 0x1.2a81e71bc2c31p-13, 0x1.2764e9dea6bc7p-13, 0x1.24496cb50a491p-13, 0x1.212f895e05d8fp-13, 0x1.1e1759018f6f9p-13, 0x1.1b00f4322113cp-13, 0x1.17ec72eebb1f5p-13, 0x1.14d9eca4e1276p-13, 0x1.11c9783255238p-13, 0x1.0ebb2be73dc4fp-13, 0x1.0baf1d87e284cp-13, 0x1.08a5624e856bp-13, 0x1.059e0eed488bap-13, 0x1.029937902a083p-13, 0x1.ff2ddfbd7e6e6p-14, 0x1.f92e95fc09066p-14, 0x1.f334b7247030dp-14, 0x1.ed4067816cc05p-14, 0x1.e751ca63958c3p-14, 0x1.e1690224b3857p-14, 0x1.db86302b904aep-14, 0x1.d5a974ef58a76p-14, 0x1.cfd2effb4c85ep-14, 0x1.ca02bff2066a7p-14, 0x1.c4390291092bep-14, 0x1.be75d4b422725p-14, 0x1.b8b95258cd34dp-14, 0x1.b30396a1bbd9bp-14, 0x1.ad54bbda14dfbp-14, 0x1.a7acdb789f513p-14, 0x1.a20c0e2334923p-14, 0x1.9c726bb1fd37ep-14, 0x1.96e00b32c7472p-14, 0x1.915502ec1d091p-14, 0x1.8bd168606f26fp-14, 0x1.865550513170dp-14, 0x1.80e0cec20e573p-14, 0x1.7b73f6fc1a086p-14, 0x1.760edb90b5ee4p-14, 0x1.70b18e5c9e816p-14, 0x1.6b5c208ae1b12p-14, 0x1.660ea297ff166p-14, 0x1.60c92454ba269p-14, 0x1.5b8bb4e91d658p-14, 0x1.565662d7307dep-14, 0x1.51293bfe0e8bep-14, 0x1.4c044d9c82fdp-14, 0x1.46e7a453e3ddep-14, 0x1.41d34c2ae2119p-14, 0x1.3cc75090530c7p-14, 0x1.37c3bc5dc709bp-14, 0x1.32c899da32598p-14, 0x1.2dd5f2bcb1582p-14, 0x1.28ebd02f0e6d2p-14, 0x1.240a3ad0639ap-14, 0x1.1f313ab799fd8p-14, 0x1.1a60d7760179cp-14, 0x1.15991819c6d91p-14, 0x1.10da03307a85dp-14, 0x1.0c239ec96e00cp-14, 0x1.0775f0781df44p-14, 0x1.02d0fd568bb45p-14, 0x1.fc69940f7eeafp-15, 0x1.f342b573ed211p-15, 0x1.ea2d6651f32dbp-15, 0x1.e129ad40c856p-15, 0x1.d8378ffba1222p-15, 0x1.cf5713664362p-15, 0x1.c6883b915789ep-15, 0x1.bdcb0bbeb0b19p-15, 0x1.b51f866595a83p-15, 0x1.ac85ad36eaaf4p-15, 0x1.a3fd812164f09p-15, 0x1.9b8702558f799p-15, 0x1.93223049f3e23p-15, 0x1.8acf09bec9886p-15, 0x1.828d8cc2164ap-15, 0x1.7a5db6b3b605ap-15, 0x1.723f84491da7ap-15, 0x1.6a32f190dd004p-15, 0x1.6237f9f68916p-15, 0x1.5a4e984666b29p-15, 0x1.5276c6b0e4a83p-15, 0x1.4ab07ece7d221p-15, 0x1.42fbb9a2f24ep-15, 0x1.3b586fa0c6d4ap-15, 0x1.33c698acd20fcp-15, 0x1.2c462c2155127p-15, 0x1.24d720d198997p-15, 0x1.1d796d0d3d858p-15, 0x1.162d06a34f5ep-15, 0x1.0ef1e2e51de5dp-15, 0x1.07c7f6a9f66ep-15, 0x1.00af3651e0981p-15, 0x1.f34f2b916d38ep-16, 0x1.e56211124f2b4p-16, 0x1.d797033f25c61p-16, 0x1.c9ede75a17123p-16, 0x1.bc66a1d43f865p-16, 0x1.af011653624f2p-16, 0x1.a1bd27b7b7dbep-16, 0x1.949ab820ba737p-16, 0x1.8799a8f30eb15p-16, 0x1.7ab9dadd856d4p-16, 0x1.6dfb2dde4dea3p-16, 0x1.615d814854b21p-16, 0x1.54e0b3c7b27e1p-16, 0x1.4884a3677b7b9p-16, 0x1.3c492d95fbc35p-16, 0x1.302e2f29aa1f7p-16, 0x1.243384656c701p-16, 0x1.185908fe4177ap-16, 0x1.0c9e981f30f13p-16, 0x1.01040c6d5707ap-16, 0x1.eb128019e94e3p-17, 0x1.d45c194b3c869p-17, 0x1.bde496cd11c38p-17, 0x1.a7abaa143be84p-17, 0x1.91b103b5a859fp-17, 0x1.7bf4536dd3156p-17, 0x1.66754828d4f8dp-17, 0x1.51339009fbe13p-17, 0x1.3c2ed8749f8b3p-17, 0x1.2766ce1180b8cp-17, 0x1.12db1cd76bc67p-17, 0x1.fd16e0266a2ccp-18, 0x1.d4eee4dafc7dp-18, 0x1.ad3d9be3ae818p-18, 0x1.8602582cf1e94p-18, 0x1.5f3c6b8597394p-18, 0x1.38eb26ab38fafp-18, 0x1.130dd957bac08p-18, 0x1.db47a49b61281p-19, 0x1.9158bec8fdd73p-19, 0x1.484d9b2bcb914p-19, 0x1.0024d216c4ac5p-19, 0x1.71b9f49b917ccp-20, 0x1.c9d2a47007ad8p-21, 0x1.675393853c153p-22, -0x1.7c3170e00f6cbp-23, -0x1.6e5587ab4a6d3p-21, -0x1.3d1bbba0215eap-20, -0x1.c15bf6da8a6a2p-20, -0x1.21f72c6a6b27bp-19, -0x1.626ae34b9802ep-19, -0x1.a20a935c541ep-19, -0x1.e0d7b0a58dedap-19, -0x1.0f69d7ea992a7p-18, -0x1.2e0003150d9d5p-18, -0x1.4c2f14b2192f5p-18, -0x1.69f7c7d893b1cp-18, -0x1.875ad7cefadebp-18, -0x1.a4590000fa17fp-18, -0x1.c0f2fbf74a3e7p-18, -0x1.dd29875081ecp-18, -0x1.f8fd5dba63585p-18, -0x1.0a379d73b8193p-17, -0x1.17bfed43f56d7p-17, -0x1.2517fc21104bp-17, -0x1.324027d5f515cp-17, -0x1.3f38ce21501a7p-17, -0x1.4c024cb39c123p-17, -0x1.589d012942015p-17, -0x1.6509490835289p-17, -0x1.714781be9c50ap-17, -0x1.7d58089cc7dd7p-17, -0x1.893b3ad308b1p-17, -0x1.94f1756f6fb5ap-17, -0x1.a07b155a82cadp-17, -0x1.abd87753d650bp-17, -0x1.b709f7ef355ffp-17, -0x1.c20ff3923bdb6p-17, -0x1.cceac672809f6p-17, -0x1.d79acc91699cfp-17, -0x1.e22061b9345d2p-17, -0x1.ec7be17dc2a5cp-17, -0x1.f6ada736e3b4bp-17, -0x1.005b06ff83abcp-16, -0x1.054ab858802bdp-16, -0x1.0a2614f2b32bep-16, -0x1.0eed49f87376p-16, -0x1.13a0847175dcfp-16, -0x1.183ff140cf111p-16, -0x1.1ccbbd2483378p-16, -0x1.214414b4cc018p-16, -0x1.25a9246254df5p-16, -0x1.29fb1875da71bp-16, -0x1.2e3a1d0fb8affp-16, -0x1.32665e267b698p-16, -0x1.36800785b112ap-16, -0x1.3a8744cdc99eep-16, -0x1.3e7c417322f2fp-16, -0x1.425f28bccd483p-16, -0x1.463025c471f42p-16, -0x1.49ef63758552dp-16, -0x1.4d9d0c8c44cf5p-16, -0x1.51394b94671a3p-16, -0x1.54c44aea02065p-16, -0x1.583e34b7fb561p-16, -0x1.5ba732f7aea8ep-16, -0x1.5eff6f701df4ap-16, -0x1.624713b55e862p-16, -0x1.657e49284d587p-16, -0x1.68a538f5d3024p-16, -0x1.6bbc0c1648119p-16, -0x1.6ec2eb4e0d15ep-16, -0x1.71b9ff2b658c2p-16, -0x1.74a17006aa4f8p-16, -0x1.77796602ab98ep-16, -0x1.7a42090b71c7dp-16, -0x1.7cfb80d5b6a32p-16, -0x1.7fa5f4df2bf6bp-16, -0x1.82418c6db3419p-16, -0x1.84ce6e8ec5ab3p-16, -0x1.874cc2182c7b3p-16, -0x1.89bcada6f0b8bp-16, -0x1.8c1e579e8a32bp-16, -0x1.8e71e62956653p-16, -0x1.90b77f3898795p-16, -0x1.92ef4883c23e7p-16, -0x1.9519678824e6bp-16, -0x1.9736018891e9ap-16, -0x1.99453b8da1a1ap-16, -0x1.9b473a655375dp-16, -0x1.9d3c22a336edp-16, -0x1.9f24189fbf75ap-16, -0x1.a0ff4077a3b59p-16, -0x1.a2cdbe0cda766p-16, -0x1.a48fb50694e16p-16, -0x1.a64548cfad238p-16, -0x1.a7ee9c9785155p-16, -0x1.a98bd35216ce7p-16, -0x1.ab1d0fb746fc1p-16, -0x1.aca27443a03b6p-16, -0x1.ae1c2337b99d2p-16, -0x1.af8a3e9775891p-16, -0x1.b0ece82b621a1p-16, -0x1.b244418045d3ap-16, -0x1.b3906be68626p-16, -0x1.b4d1887225453p-16, -0x1.b607b7fb9def1p-16, -0x1.b7331b1f68ec4p-16, -0x1.b853d23dfa2e2p-16, -0x1.b969fd7b90878p-16, -0x1.ba75bcc04e2c8p-16, -0x1.bb772fb8d39f3p-16, -0x1.bc6e75d64573p-16, -0x1.bd5bae4d454a9p-16, -0x1.be3ef8169c9ep-16, -0x1.bf1871f053985p-16, -0x1.bfe83a5c539c5p-16, -0x1.c0ae6fa1109aap-16, -0x1.c16b2fc9b3953p-16, -0x1.c21e98a605016p-16, -0x1.c2c8c7cb4b703p-16, -0x1.c369da9333f93p-16, -0x1.c401ee1c1b017p-16, -0x1.c4911f4a9ab64p-16, -0x1.c5178ac87206ap-16, -0x1.c5954d041663fp-16, -0x1.c60a82324fed3p-16, -0x1.c677464df7dc8p-16, -0x1.c6dbb517b63c4p-16, -0x1.c737ea15ec48cp-16, -0x1.c78c0095805ccp-16, -0x1.c7d813aa438b7p-16, -0x1.c81c3e2e9ec26p-16, -0x1.c8589ac359246p-16, -0x1.c88d43d06900ep-16, -0x1.c8ba53860887ap-16, -0x1.c8dfe3da9b836p-16, -0x1.c8fe0e8cb9c4bp-16, -0x1.c914ed23049e9p-16, -0x1.c92498ec2d62ap-16, -0x1.c92d2aff19684p-16, -0x1.c92ebc3ad45cp-16, -0x1.c9296547e17a3p-16, -0x1.c91d3e97c4a9bp-16, -0x1.c90a60643a2a6p-16, -0x1.c8f0e2b131252p-16, -0x1.c8d0dd4caed9cp-16, -0x1.c8aa67cdb1456p-16, -0x1.c87d9995d282fp-16, -0x1.c84a89d1550aap-16, -0x1.c8114f77028cep-16, -0x1.c7d201483832p-16, -0x1.c78cb5d185d9ap-16, -0x1.c741836b96d9bp-16, -0x1.c6f0803a3ad5ep-16, -0x1.c699c22ca752ap-16, -0x1.c63d5eff7808ep-16, -0x1.c5db6c3b1efb3p-16, -0x1.c573ff347603ep-16, -0x1.c5072d0dc5d7ap-16, -0x1.c4950ab6b1d88p-16, -0x1.c41dacec0c216p-16, -0x1.c3a1283892507p-16, -0x1.c31f90f54628bp-16, -0x1.c298fb499bafdp-16, -0x1.c20d7b2ace675p-16, -0x1.c17d245e0c24cp-16, -0x1.c0e80a77b61d8p-16, -0x1.c04e40daa0823p-16, -0x1.bfafdaba00cf3p-16, -0x1.bf0ceb1994b62p-16, -0x1.be6584cca8cbdp-16, -0x1.bdb9ba77536cbp-16, -0x1.bd099e8edb0f5p-16, -0x1.bc5543599e7cap-16, -0x1.bb9cbaeed790ap-16, -0x1.bae017386bff7p-16, -0x1.ba1f69f212478p-16, -0x1.b95ac4a91471dp-16, -0x1.b89238be5ca62p-16, -0x1.b7c5d76567ac1p-16, -0x1.b6f5b1a4993a2p-16, -0x1.b621d855f8bfbp-16, -0x1.b54a5c27d215cp-16, -0x1.b46f4d9bf00e7p-16, -0x1.b390bd0876caep-16, -0x1.b2aeba98e94ccp-16, -0x1.b1c9564d185d5p-16, -0x1.b0e09ff9e8b5bp-16, -0x1.aff4a74ac10c7p-16, -0x1.af057bbfec797p-16, -0x1.ae132cafe75d7p-16, -0x1.ad1dc9488619cp-16, -0x1.ac25608d7ac24p-16, -0x1.ab2a0159612bdp-16, -0x1.aa2bba5e94eeep-16, -0x1.a92a9a2737e39p-16, -0x1.a826af147d44ap-16, -0x1.a72007607f7ffp-16, -0x1.a616b11db5ddp-16, -0x1.a50aba36a762bp-16, -0x1.a3fc307024d12p-16, -0x1.a2eb2167456b7p-16, -0x1.a1d79a92db818p-16, -0x1.a0c1a944623a2p-16, -0x1.9fa95aa6bda35p-16, -0x1.9e8ebbbf8b351p-16, -0x1.9d71d96f31abp-16, -0x1.9c52c07164e29p-16, -0x1.9b317d5c8c5eep-16, -0x1.9a0e1ca370075p-16, -0x1.98e8aa944b159p-16, -0x1.97c133593ea7ap-16, -0x1.9697c2f9ccc66p-16, -0x1.956c655947c0fp-16, -0x1.943f263850cd7p-16, -0x1.931011356d318p-16, -0x1.91df31cbdca92p-16, -0x1.90ac9354d956ap-16, -0x1.8f784108715f3p-16, -0x1.8e4245fc72381p-16, -0x1.8d0aad25072ccp-16, -0x1.8bd181568519bp-16, -0x1.8a96cd4339d07p-16, -0x1.895a9b7d9f952p-16, -0x1.881cf677ca1f3p-16, -0x1.86dde883956fcp-16, -0x1.859d7bd3aefdap-16, -0x1.845bba7ac1dbfp-16, -0x1.8318ae6c700bcp-16, -0x1.81d4617dc9614p-16, -0x1.808edd64ec661p-16, -0x1.7f482bb92c8ap-16, -0x1.7e0055f4acddap-16, -0x1.7cb76572e67dp-16, -0x1.7b6d6371d95dbp-16, -0x1.7a2259129afb7p-16, -0x1.78d64f5848d8dp-16, -0x1.77894f2a06aabp-16, -0x1.763b6151f5e49p-16, -0x1.74ec8e7d92ac9p-16, -0x1.739cdf3edee5ep-16, -0x1.724c5c0bb25e6p-16, -0x1.70fb0d3dc59dbp-16, -0x1.6fa8fb1493f6p-16, -0x1.6e562db384427p-16, -0x1.6d02ad231561bp-16, -0x1.6bae815230297p-16, -0x1.6a59b2140c68bp-16, -0x1.69044722a0ecbp-16, -0x1.67ae481d982b4p-16, -0x1.6657bc8add7e8p-16, -0x1.6500abd7352f9p-16, -0x1.63a91d55df825p-16, -0x1.625118412ddddp-16, -0x1.60f8a3bb081b2p-16, -0x1.5f9fc6cc3a89dp-16, -0x1.5e468865eca2ep-16, -0x1.5cecef60e15c7p-16, -0x1.5b93027db0cf3p-16, -0x1.5a38c8662c2d4p-16, -0x1.58de47abe656ep-16, -0x1.578386c9d1765p-16, -0x1.56288c23c3c84p-16, -0x1.54cd5e06ab7d5p-16, -0x1.537202a961db1p-16, -0x1.5216802c04c8p-16, -0x1.50badc98b678p-16, -0x1.4f5f1de449a3bp-16, -0x1.4e0349ecd65d7p-16, -0x1.4ca7667c0c8a7p-16, -0x1.4b4b7945fc992p-16, -0x1.49ef87e9414c2p-16, -0x1.489397f099bc4p-16, -0x1.4737aed14992cp-16, -0x1.45dbd1ec8fbcap-16, -0x1.4480068f80f2p-16, -0x1.432451f2efeecp-16, -0x1.41c8b93c275b6p-16, -0x1.406d417cb5eafp-16, -0x1.3f11efb2bd9efp-16, -0x1.3db6c8c93611cp-16, -0x1.3c5bd197e1a84p-16, -0x1.3b010ee449c4fp-16, -0x1.39a6856073512p-16, -0x1.384c39acaca07p-16, -0x1.36f23056b1aa7p-16, -0x1.35986dda06d56p-16, -0x1.343ef6a0b2decp-16, -0x1.32e5cf029f9c4p-16, -0x1.318cfb467732ep-16, -0x1.30347fa18adefp-16, -0x1.2edc6037c2612p-16, -0x1.2d84a11c9df5ep-16, -0x1.2c2d4651f88f4p-16, -0x1.2ad653c9e421dp-16, -0x1.297fcd65798fap-16, -0x1.2829b6f579583p-16, -0x1.26d4143b3004dp-16, -0x1.257ee8e70f4fbp-16, -0x1.242a389a8d53p-16, -0x1.22d606e72bef6p-16, -0x1.2182574ed95a8p-16, -0x1.202f2d44ac317p-16, -0x1.1edc8c2c32355p-16, -0x1.1d8a775a590a9p-16, -0x1.1c38f215228fap-16, -0x1.1ae7ff93efcdap-16, -0x1.1997a2ffb7038p-16, -0x1.1847df730b932p-16, -0x1.16f8b7fa9aaa2p-16, -0x1.15aa2f949e065p-16, -0x1.145c493208707p-16, -0x1.130f07b5922e9p-16, -0x1.11c26df4c5ca1p-16, -0x1.10767eb7cd9fp-16, -0x1.0f2b3cb93249cp-16, -0x1.0de0aaa6f7ffep-16, -0x1.0c96cb21a486p-16, -0x1.0b4da0bd6c635p-16, -0x1.0a052e0185f16p-16, -0x1.08bd7568d2b1ap-16, -0x1.07767961d2557p-16, -0x1.06303c4e8e90dp-16, -0x1.04eac08573469p-16, -0x1.03a60850547e4p-16, -0x1.026215edcf79p-16, -0x1.011eeb9089948p-16, -0x1.ffb916bf0d85fp-17, -0x1.fd35eeed98c9ap-17, -0x1.fab463cd0c74dp-17, -0x1.f834796879ebap-17, -0x1.f5b633b456e78p-17, -0x1.f339968f69d0cp-17, -0x1.f0bea5c321a7ap-17, -0x1.ee45650366755p-17, -0x1.ebcdd7ef630efp-17, -0x1.e9580211443b6p-17, -0x1.e6e3e6df05583p-17, -0x1.e47189b9d1d2ap-17, -0x1.e200edef819e9p-17, -0x1.df9216b9635d4p-17, -0x1.dd25073e02543p-17, -0x1.dab9c28ff6578p-17, -0x1.d8504baf13df6p-17, -0x1.d5e8a58874addp-17, -0x1.d382d2f612ecdp-17, -0x1.d11ed6c038ad1p-17, -0x1.cebcb39c5b581p-17, -0x1.cc5c6c2e95451p-17, -0x1.c9fe0308c93a2p-17, -0x1.c7a17aabc6f9bp-17, -0x1.c546d586df2cap-17, -0x1.c2ee15f850e94p-17, -0x1.c0973e4dad23ep-17, -0x1.be4250c36363ep-17, -0x1.bbef4f865b0d6p-17, -0x1.b99e3cb23d44fp-17, -0x1.b74f1a53ab4eep-17, -0x1.b501ea66cabe6p-17, -0x1.b2b6aed84a4e5p-17, -0x1.b06d6985b6e8bp-17, -0x1.ae261c3cdd1fcp-17, -0x1.abe0c8bd1786dp-17, -0x1.a99d70b66258dp-17, -0x1.a75c15ca9cd93p-17, -0x1.a51cb98cdaf26p-17, -0x1.a2df5d823d621p-17, -0x1.a0a403217e6edp-17, -0x1.9e6aabd3d70c2p-17, -0x1.9c3358f449451p-17, -0x1.99fe0bd0f73a9p-17, -0x1.97cac5a9fe95bp-17, -0x1.959987b2ef3adp-17, -0x1.936a5311e343p-17, -0x1.913d28e05fcdap-17, -0x1.8f120a2b5671fp-17, -0x1.8ce8f7f2ea27fp-17, -0x1.8ac1f32b7fa9bp-17, -0x1.889cfcbc9bc72p-17, -0x1.867a1582af206p-17, -0x1.84593e4d6a2p-17, -0x1.823a77e1b9b51p-17, -0x1.801dc2f836af4p-17, -0x1.7e03203ef5cbfp-17, -0x1.7bea905832289p-17, -0x1.79d413db9014p-17, -0x1.77bfab55b2697p-17, -0x1.75ad574865cc7p-17, -0x1.739d182b4211ap-17, -0x1.718eee6af619ep-17, -0x1.6f82da6a87c1bp-17, }}, 
      {{-0x1.b5dcba71f4af3p-6, -0x1.48199881256dp-5, -0x1.b4ea299a883acp-5, -0x1.10a14f3e49a55p-4, -0x1.468313b6e4d04p-4, -0x1.7c0c5b66725c2p-4, -0x1.b12f8e36a1e71p-4, -0x1.e5df8e48df16cp-4, -0x1.0d07e0ae96daap-3, -0x1.26da0c248b58ap-3, -0x1.40608a55b4568p-3, -0x1.5995e685b23efp-3, -0x1.7274f7c87ed77p-3, -0x1.8af8e1c09e441p-3, -0x1.a31d14d33c0fep-3, -0x1.badd4de43b8acp-3, -0x1.d23595aa84d4p-3, -0x1.e9223fab17534p-3, -0x1.ff9fe8e80a846p-3, -0x1.0ad5bb27917cap-2, -0x1.15a109794da7ap-2, -0x1.2030970ac2faap-2, -0x1.2a833c8a31252p-2, -0x1.3497f298c2e8dp-2, -0x1.3e6dd0a61ccb1p-2, -0x1.48040bc463ac1p-2, -0x1.5159f57773083p-2, -0x1.5a6efa81ba74p-2, -0x1.6342a1b0e4ffap-2, -0x1.6bd48aac315e5p-2, -0x1.74246cc613d7cp-2, -0x1.7c3215d28cd8dp-2, -0x1.83fd690360f87p-2, -0x1.8b865dcb26f79p-2, -0x1.92ccfec7f9205p-2, -0x1.99d168b66a8cp-2, -0x1.a093c96d385ffp-2, -0x1.a7145ee20da6bp-2, -0x1.ad53763793d28p-2, -0x1.b3516ad4edd19p-2, -0x1.b90ea586a3dc7p-2, -0x1.be8b9ba8f3adbp-2, -0x1.c3c8ce5b696ep-2, -0x1.c8c6c9bd91647p-2, -0x1.cd86243493cbcp-2, -0x1.d2077db9715b1p-2, -0x1.d64b7f2fa27ep-2, -0x1.da52d9c3c6fe4p-2, -0x1.de1e465219279p-2, -0x1.e1ae84d454cadp-2, -0x1.e5045bd6b7f7cp-2, -0x1.e82097f3d3fa4p-2, -0x1.eb040b56d3217p-2, -0x1.edaf8d43eabddp-2, -0x1.f023f9a6a1d28p-2, -0x1.f26230a5aa0fap-2, -0x1.f46b163bf7858p-2, -0x1.f63f91d6d6dbbp-2, -0x1.f7e08df8c0121p-2, -0x1.f94ef7e09c5a2p-2, -0x1.fa8bbf354f88ep-2, -0x1.fb97d5b542b79p-2, -0x1.fc742ee9b9fbap-2, -0x1.fd21bfddca8b6p-2, -0x1.fda17ed8b905bp-2, -0x1.fdf4631b98b6p-2, -0x1.fe1b64a1fefa7p-2, -0x1.fe177be5a9ce6p-2, -0x1.fde9a1a4ebbd2p-2, -0x1.fd92ceabc6cddp-2, -0x1.fd13fb9f8d824p-2, -0x1.fc6e20ccf45b4p-2, -0x1.fba235f873576p-2, -0x1.fab13230e0fdap-2, -0x1.f99c0ba42d015p-2, -0x1.f863b7762a396p-2, -0x1.f70929994b54cp-2, -0x1.f58d54a945fb3p-2, -0x1.f3f129c786cdep-2, -0x1.f235987966e2bp-2, -0x1.f05b8e8812048p-2, -0x1.ee63f7e210f67p-2, -0x1.ec4fbe7e66236p-2, -0x1.ea1fca41330bcp-2, -0x1.e7d500e1d77f1p-2, -0x1.e57045d280818p-2, -0x1.e2f27a2918ccfp-2, -0x1.e05c7c8992908p-2, -0x1.ddaf291180c25p-2, -0x1.daeb5944efbdep-2, -0x1.d811e3fc7d2e5p-2, -0x1.d5239d549bebap-2, -0x1.d221569e03592p-2, -0x1.cf0bde4f3c333p-2, -0x1.cbe3fff742706p-2, -0x1.c8aa8431375ffp-2, -0x1.c560309917b54p-2, -0x1.c205c7c171196p-2, -0x1.be9c092a0d267p-2, -0x1.bb23b1378c147p-2, -0x1.b79d792be4f9cp-2, -0x1.b40a171fc6c95p-2, -0x1.b06a3dfcd5381p-2, -0x1.acbe9d78b061bp-2, -0x1.a907e210cff9dp-2, -0x1.a546b5071c7bfp-2, -0x1.a17bbc5f488ccp-2, -0x1.9da79adce1516p-2, -0x1.99caf0020f93dp-2, -0x1.95e6580f01c97p-2, -0x1.91fa6c01fd3a2p-2, -0x1.8e07c1980a67ap-2, -0x1.8a0eeb4e3af2ap-2, -0x1.861078638265p-2, -0x1.820cf4db19f6bp-2, -0x1.7e04e97f6d198p-2, -0x1.79f8dbe584af8p-2, -0x1.75e94e70f23c9p-2, -0x1.71d6c0582d013p-2, -0x1.6dc1ada963309p-2, -0x1.69aa8f4fb7585p-2, -0x1.6591db18e3d09p-2, -0x1.617803bb4191ep-2, -0x1.5d5d78dc2a857p-2, -0x1.5942a716b7507p-2, -0x1.5527f802ce7c2p-2, -0x1.510dd23c85dc7p-2, -0x1.4cf4996bccf8bp-2, -0x1.48dcae4c5e42ep-2, -0x1.44c66eb5f63d4p-2, -0x1.40b235a4c58e6p-2, -0x1.3ca05b421f56ep-2, -0x1.389134ed5d9eap-2, -0x1.34851544fb6b1p-2, -0x1.307c4c2fd90d1p-2, -0x1.2c7726e6b0d0dp-2, -0x1.2875effdb2d13p-2, -0x1.2478ef6e438a7p-2, -0x1.20806aa0de0c2p-2, -0x1.1c8ca47715d63p-2, -0x1.189ddd55af237p-2, -0x1.14b4532ed58d3p-2, -0x1.10d0418c63653p-2, -0x1.0cf1e19a3f7d7p-2, -0x1.09196a30c5ef4p-2, -0x1.05470fdf43cbp-2, -0x1.017b04f679d21p-2, -0x1.fb6af32650d8ep-3, -0x1.f3ed3751438e9p-3, -0x1.ec7d2e16be0ep-3, -0x1.e51b2af72f592p-3, -0x1.ddc77d5fb033ap-3, -0x1.d68270bf275edp-3, -0x1.cf4c4c9b6eb7cp-3, -0x1.c82554a65c2ecp-3, -0x1.c10dc8d2c6595p-3, -0x1.ba05e5697225bp-3, -0x1.b30de31de387p-3, -0x1.ac25f72319e64p-3, -0x1.a54e5340314f7p-3, -0x1.9e8725e4d6c17p-3, -0x1.97d09a3da843ap-3, -0x1.912ad848681eep-3, -0x1.8a9604e8041bcp-3, -0x1.841241f87b53ap-3, -0x1.7d9fae6290fdbp-3, -0x1.773e662f517e4p-3, -0x1.70ee829b68d7ep-3, -0x1.6ab01a2a43742p-3, -0x1.648340b8fbe85p-3, -0x1.5e68079114d41p-3, -0x1.585e7d7af60f3p-3, -0x1.5266aed037b39p-3, -0x1.4c80a58dab2f3p-3, -0x1.46ac6965307p-3, -0x1.40e9ffcf48365p-3, -0x1.3b396c1c6b787p-3, -0x1.359aaf8625333p-3, -0x1.300dc93fec04ap-3, -0x1.2a92b687b6497p-3, -0x1.252972b656d02p-3, -0x1.1fd1f74f9089ep-3, -0x1.1a8c3c11ebc83p-3, -0x1.15583706451bbp-3, -0x1.1035dc8f1dbf4p-3, -0x1.0b251f77a5a5p-3, -0x1.0625f102846b9p-3, -0x1.013840f8578f3p-3, -0x1.f8b7fb6bf4242p-4, -0x1.ef222874eda3p-4, -0x1.e5aee0698dec2p-4, -0x1.dc5df8228434fp-4, -0x1.d32f420d9e3acp-4, -0x1.ca228e4799a5ap-4, -0x1.c137aab57882dp-4, -0x1.b86e631d4c87bp-4, -0x1.afc6813e7212cp-4, -0x1.a73fcce9538cdp-4, -0x1.9eda0c169e4a2p-4, -0x1.969502fdf8c25p-4, -0x1.8e70742c2e81cp-4, -0x1.866c2098e36c2p-4, -0x1.7e87c7bbbcb8ep-4, -0x1.76c327a10ef7ap-4, -0x1.6f1dfcfe095e5p-4, -0x1.67980344656bdp-4, -0x1.6030f4b5991afp-4, -0x1.58e88a758bd4cp-4, -0x1.51be7c9cd2e0cp-4, -0x1.4ab2824a7418p-4, -0x1.43c451b530cafp-4, -0x1.3cf3a03c5af66p-4, -0x1.36402278343fdp-4, -0x1.2fa98c49dc5afp-4, -0x1.292f90eaca726p-4, -0x1.22d1e2fbd9aabp-4, -0x1.1c903493e3d3ap-4, -0x1.166a374df17d2p-4, -0x1.105f9c56fd277p-4, -0x1.0a70147b4d993p-4, -0x1.049b503366a8ap-4, -0x1.fdc1ff6129b94p-5, -0x1.f281a5d227cbdp-5, -0x1.e774f347a30dp-5, -0x1.dc9b47079dab3p-5, -0x1.d1f4002644ae8p-5, -0x1.c77e7d9b37914p-5, -0x1.bd3a1e56155eep-5, -0x1.b326415257155p-5, -0x1.a94245aa75e2ap-5, -0x1.9f8d8aaa63922p-5, -0x1.96076fe157a0ep-5, -0x1.8caf5532f423fp-5, -0x1.83849ae7c87bp-5, -0x1.7a86a1bd2d974p-5, -0x1.71b4caf48af72p-5, -0x1.690e7861fbe5dp-5, -0x1.60930c7a60997p-5, -0x1.5841ea60dad85p-5, -0x1.501a75f3ba011p-5, -0x1.481c13d8d83afp-5, -0x1.4046298970894p-5, -0x1.38981d5d6b4dap-5, -0x1.3111569627e6dp-5, -0x1.29b13d68c74bfp-5, -0x1.22773b07f6955p-5, -0x1.1b62b9ad3f6e6p-5, -0x1.147324a1e3035p-5, -0x1.0da7e8473f6b3p-5, -0x1.0700721ec4207p-5, -0x1.007c30d1747a6p-5, -0x1.f435286e0bbfcp-6, -0x1.e7b61ab91c2ebp-6, -0x1.db7a1d159d714p-6, -0x1.cf8016983acc7p-6, -0x1.c3c6f0e3d95acp-6, -0x1.b84d9833e793fp-6, -0x1.ad12fb65fd9d6p-6, -0x1.a2160c02c8c18p-6, -0x1.9755be464e041p-6, -0x1.8cd1092783209p-6, -0x1.8286e65f47cb1p-6, -0x1.7876526ec09d8p-6, -0x1.6e9e4ca51e3e3p-6, -0x1.64fdd724c9029p-6, -0x1.5b93f6e80792fp-6, -0x1.525fb3c514984p-6, -0x1.49601871b2fp-6, -0x1.409432863efc5p-6, -0x1.37fb12803fe2ep-6, -0x1.2f93cbc488e86p-6, -0x1.275d74a0dfa7p-6, -0x1.1f57264d2f91p-6, -0x1.177ffcec5a3bep-6, -0x1.0fd7178c938ebp-6, -0x1.085b982765471p-6, -0x1.010ca3a148f08p-6, -0x1.f3d2c391ce28bp-7, -0x1.e5e1faabf4782p-7, -0x1.d84547cfc915ap-7, -0x1.cafb0c07c876bp-7, -0x1.be01ae26102a4p-7, -0x1.b1579abf939d3p-7, -0x1.a4fb4426d2355p-7, -0x1.98eb2265f29cep-7, -0x1.8d25b338693dep-7, -0x1.81a97a040c5f4p-7, -0x1.7674ffd1beb53p-7, -0x1.6b86d3458e9c2p-7, -0x1.60dd889686841p-7, -0x1.5677b985f4d7dp-7, -0x1.4c5405565e0acp-7, -0x1.427110c20f3b1p-7, -0x1.38cd85f1521c5p-7, -0x1.2f68147047f07p-7, -0x1.263f71247ed5cp-7, -0x1.1d5256422f677p-7, -0x1.149f834130571p-7, -0x1.0c25bcd1ae354p-7, -0x1.03e3ccd0a2a1ap-7, -0x1.f7b1047812aaap-8, -0x1.e805624dc4bcep-8, -0x1.d8c26559ee476p-8, -0x1.c9e5c9ccfe5a4p-8, -0x1.bb6d55b706f6dp-8, -0x1.ad56d8ee5a15ep-8, -0x1.9fa02cf5bd68ap-8, -0x1.924734e259fbp-8, -0x1.8549dd41780c1p-8, -0x1.78a61bfdf56p-8, -0x1.6c59f04596fa3p-8, -0x1.6063626e21b44p-8, -0x1.54c083da402a6p-8, -0x1.496f6ede5d1d1p-8, -0x1.3e6e46a541974p-8, -0x1.33bb3714b7dc8p-8, -0x1.295474b211a22p-8, -0x1.1f383c8688p-8, -0x1.1564d403aa948p-8, -0x1.0bd888e7b553bp-8, -0x1.0291b121e5c5dp-8, -0x1.f31d556dd7277p-9, -0x1.e19bb74a5b74dp-9, -0x1.d09b63927fc08p-9, -0x1.c01945848b4d8p-9, -0x1.b01257acf496ep-9, -0x1.a083a3af7fc58p-9, -0x1.916a4210929fbp-9, -0x1.82c359feb3429p-9, -0x1.748c211c2420dp-9, -0x1.66c1db48dc549p-9, -0x1.5961da6cb9ed2p-9, -0x1.4c697e41d212ap-9, -0x1.3fd6341f5c89bp-9, -0x1.33a576c4a297fp-9, -0x1.27d4ce243d481p-9, -0x1.1c61cf2fe9fd7p-9, -0x1.114a1ba46e3a9p-9, -0x1.068b61d618774p-9, -0x1.f846b8faf706dp-10, -0x1.e41fa5093f231p-10, -0x1.d09d2da905431p-10, -0x1.bdbb104618a66p-10, -0x1.ab75218303056p-10, -0x1.99c74cd6af31ap-10, -0x1.88ad942aca9c7p-10, -0x1.78240f7b99495p-10, -0x1.6826ec77d1a1ep-10, -0x1.58b26e222301p-10, -0x1.49c2ec738266fp-10, -0x1.3b54d3fe1eef4p-10, -0x1.2d64a591c6728p-10, -0x1.1feef5e0e1066p-10, -0x1.12f06d26b301p-10, -0x1.0665c6ce4a1f3p-10, -0x1.f497a23589c2cp-11, -0x1.dd3ed9a092dfbp-11, -0x1.c6bb19bcc8aa5p-11, -0x1.b1066c1623246p-11, -0x1.9c1afd3e169bfp-11, -0x1.87f31c25c8d9p-11, -0x1.7489397aabe7bp-11, -0x1.61d7e7052cfd3p-11, -0x1.4fd9d7095742p-11, -0x1.3e89dba9930b6p-11, -0x1.2de2e64bb5fa9p-11, -0x1.1de006ff830e2p-11, -0x1.0e7c6be7f0772p-11, -0x1.ff66c14c6bbecp-12, -0x1.e3009b8d9ef8cp-12, -0x1.c7bd7061665dap-12, -0x1.ad94812d362b7p-12, -0x1.947d45d519871p-12, -0x1.7c6f6ba5a9586p-12, -0x1.6562d4434f2ebp-12, -0x1.4f4f949cbbcd9p-12, -0x1.3a2df3e1fbeafp-12, -0x1.25f66a7f81c9bp-12, -0x1.12a1a11caa172p-12, -0x1.00286f9ef08abp-12, -0x1.dd07b86074027p-13, -0x1.bb5a34940d4b3p-13, -0x1.9b3b13876cdb6p-13, -0x1.7c9d6bc9cec27p-13, -0x1.5f74a8f7b3b3bp-13, -0x1.43b489eed364p-13, -0x1.29511f0a7a53cp-13, -0x1.103ec865611e1p-13, -0x1.f0e4684b20793p-14, -0x1.c3c0b9998b3cp-14, -0x1.98fd0f25d043fp-14, -0x1.70848589e2c0cp-14, -0x1.4a42c85c44cf4p-14, -0x1.26240f09c80b4p-14, -0x1.041519c2f9dffp-14, -0x1.c8065ce5c01a3p-15, -0x1.8bb82b8d68bdfp-15, -0x1.531c3083e008ap-15, -0x1.1e0ff6bb7be4fp-15, -0x1.d8e3faeb3419bp-16, -0x1.7c43656698685p-16, -0x1.25fedb93f0f37p-16, -0x1.abb1a83a5bd07p-17, -0x1.172b065c3b047p-17, -0x1.1beb40b198a88p-18, -0x1.f412ea270ce39p-22, 0x1.9106d484e5ae3p-19, 0x1.9c37747e0d755p-18, 0x1.2e54d5489c182p-17, 0x1.85515e1a4862ep-17, 0x1.d372b98c16caap-17, 0x1.0c8bb5b0efdd7p-16, 0x1.2b4d93fa7036ap-16, 0x1.462b72b83b1a6p-16, 0x1.5d507663645e7p-16, 0x1.70e67528541b2p-16, 0x1.8115ff044732bp-16, 0x1.8e0665c2db25ap-16, 0x1.97ddc4d077cc1p-16, 0x1.9ec108dde7b81p-16, 0x1.a2d3f765f2dbbp-16, 0x1.a439360278fp-16, 0x1.a31251a24fa18p-16, 0x1.9f7fc595c4979p-16, 0x1.99a1027588e9ep-16, 0x1.919474e678ea4p-16, 0x1.87778c3844fap-16, 0x1.7b66c0e256576p-16, 0x1.6d7d9adb2d34p-16, 0x1.5dd6b7cd779dep-16, 0x1.4c8bd12f5af3bp-16, 0x1.39b5c22ff0cb7p-16, 0x1.256c8d8da5c2p-16, 0x1.0fc76349fc16fp-16, 0x1.f1b94c6e21141p-17, 0x1.c183e2e024106p-17, 0x1.8f183b53dbb09p-17, 0x1.5a9e8cdbfeb9p-17, 0x1.243d9e608e12bp-17, 0x1.d835a14209ca9p-18, 0x1.64b44fcd774a8p-18, 0x1.dc795665be326p-19, 0x1.d4460c5484a95p-20, -0x1.a336756994c4bp-24, -0x1.08c117efb539p-19, -0x1.042e1176f502ep-18, -0x1.85bc353520fp-18, -0x1.0469ff1d4b743p-17, -0x1.46a04fb75ffafp-17, -0x1.8967b3e50dd76p-17, -0x1.cca7d964009c2p-17, -0x1.0824b6591299p-16, -0x1.2a1b08cf5d5b8p-16, -0x1.4c2c2e0d21005p-16, -0x1.6e4de4967988cp-16, -0x1.90765c09a904dp-16, -0x1.b29c31c7285b3p-16, -0x1.d4b66dad0e6d8p-16, -0x1.f6bc7ee02311ep-16, -0x1.0c531c5996e13p-15, -0x1.1d35e7cc32769p-15, -0x1.2e02eb164981ap-15, -0x1.3eb69d286a93bp-15, -0x1.4f4da12bebecdp-15, -0x1.5fc4c5231fbdep-15, -0x1.701900905fc63p-15, -0x1.80477328895d8p-15, -0x1.904d638b0c3aep-15, -0x1.a0283e04b7503p-15, -0x1.afd5935808e46p-15, -0x1.bf53178eaf5cbp-15, -0x1.ce9ea0d2f614dp-15, -0x1.ddb6265119982p-15, -0x1.ec97bf1dca13p-15, -0x1.fb41a12838208p-15, -0x1.04d91016ca58ap-14, -0x1.0bf3d65bedc48p-14, -0x1.12f06990df7e2p-14, -0x1.19ce1d5053576p-14, -0x1.208c522bbe23ep-14, -0x1.272a7536851a1p-14, -0x1.2da7ff950ff4cp-14, -0x1.3404760e664e3p-14, -0x1.3a3f68a137371p-14, -0x1.4058721bde3d4p-14, -0x1.464f37b70188fp-14, -0x1.4c2368b268835p-14, -0x1.51d4bdf5dc559p-14, -0x1.5762f9b3121e6p-14, -0x1.5ccde70b7f4b4p-14, -0x1.621559b80676fp-14, -0x1.67392db3990ffp-14, -0x1.6c3946e76b431p-14, -0x1.711590da77d4cp-14, -0x1.75cdfe6291617p-14, -0x1.7a628958247bfp-14, -0x1.7ed3324c3112p-14, -0x1.832000405b90dp-14, -0x1.8749006070c58p-14, -0x1.8b4e45bee8131p-14, -0x1.8f2fe912fec36p-14, -0x1.92ee0878b05e2p-14, -0x1.9688c732c0fbp-14, -0x1.9a004d6e6e60cp-14, -0x1.9d54c809303d8p-14, -0x1.a0866857efcb3p-14, -0x1.a39563efee5b3p-14, -0x1.a681f471ff143p-14, -0x1.a94c5756c5b74p-14, -0x1.abf4cdbcf925ep-14, -0x1.ae7b9c38695c2p-14, -0x1.b0e10aa3918a6p-14, -0x1.b32563f1bfb3fp-14, -0x1.b548f603895fap-14, -0x1.b74c117bdb35p-14, -0x1.b92f0997049b2p-14, -0x1.baf2340329d3ep-14, -0x1.bc95e8b8b9b16p-14, -0x1.be1a81d615269p-14, -0x1.bf805b7af5fcep-14, -0x1.c0c7d3a5c88a3p-14, -0x1.c1f14a121003cp-14, -0x1.c2fd2017a8649p-14, -0x1.c3ebb88bbe139p-14, -0x1.c4bd77a1f9c89p-14, -0x1.c572c2cf8f395p-14, -0x1.c60c00aea5d99p-14, -0x1.c68998e371f3bp-14, -0x1.c6ebf401ad3afp-14, -0x1.c7337b73573a5p-14, -0x1.c7609960655b6p-14, -0x1.c773b896e8049p-14, -0x1.c76d4474e3aa4p-14, -0x1.c74da8d1dc6ap-14, -0x1.c71551ea5da71p-14, -0x1.c6c4ac4bbb4cp-14, -0x1.c65c24c064f7cp-14, -0x1.c5dc283d7b9f1p-14, -0x1.c54523d0ba0c1p-14, -0x1.c497848f64609p-14, -0x1.c3d3b785c41b2p-14, -0x1.c2fa29a7510cdp-14, -0x1.c20b47bf85715p-14, -0x1.c1077e6321b84p-14, -0x1.bfef39e2a626fp-14, -0x1.bec2e63c74352p-14, -0x1.bd82ef1093a5ep-14, -0x1.bc2fbf9446fd2p-14, -0x1.bac9c2868f8c8p-14, -0x1.b9516224fd291p-14, -0x1.b7c70820f860ep-14, -0x1.b62b1d95cba46p-14, -0x1.b47e0aff02e75p-14, -0x1.b2c0382f6461ep-14, -0x1.b0f20c4809be2p-14, -0x1.af13edb0b2b94p-14, -0x1.ad26420f34c93p-14, -0x1.ab296e40d68dap-14, -0x1.a91dd652b2a76p-14, -0x1.a703dd7b7470ap-14, -0x1.a4dbe61500e3cp-14, -0x1.a2a65196cb01bp-14, -0x1.a06380901691p-14, -0x1.9e13d2a321fc8p-14, -0x1.9bb7a67fe75a5p-14, -0x1.994f59e00f82dp-14, -0x1.96db49823dfbfp-14, -0x1.945bd126b8edap-14, -0x1.91d14b8b12e7dp-14, -0x1.8f3c1267aad4fp-14, -0x1.8c9c7e6c11d2p-14, -0x1.89f2e73c5290ap-14, -0x1.873fa36e85d2ep-14, -0x1.8483088868e33p-14, -0x1.81bd6afd4f327p-14, -0x1.7eef1e2c3adffp-14, -0x1.7c18745e59c66p-14, -0x1.7939bec55bfbep-14, -0x1.76534d7a91eb3p-14, -0x1.73656f7d8e20fp-14, -0x1.707072b378b73p-14, -0x1.6d74a3e67bcc3p-14, -0x1.6a724ec4fd2b6p-14, -0x1.6769bde1a32acp-14, -0x1.645b3ab2e3894p-14, -0x1.61470d9329fcp-14, -0x1.5e2d7dc0bfae6p-14, -0x1.5b0ed15e7212p-14, -0x1.57eb4d738bd87p-14, -0x1.54c335ecd6bc7p-14, -0x1.5196cd9cca57fp-14, -0x1.4e66563cd5fcap-14, -0x1.4b32106dde70fp-14, -0x1.47fa3bb975969p-14, -0x1.44bf1692e5076p-14, -0x1.4180de584f08bp-14, -0x1.3e3fcf542d2bcp-14, -0x1.3afc24be9bf29p-14, -0x1.37b618bececf7p-14, -0x1.346de46cc4a22p-14, -0x1.3123bfd2cbed7p-14, -0x1.2dd7e1ef428p-14, -0x1.2a8a80b66834ap-14, -0x1.273bd11439729p-14, -0x1.23ec06ee33848p-14, -0x1.209b552599338p-14, -0x1.1d49ed9936c23p-14, -0x1.19f80127b299p-14, -0x1.16a5bfb18bfbbp-14, -0x1.1353581b5e331p-14, -0x1.1000f85009f3dp-14, -0x1.0caecd4317e08p-14, -0x1.095d02f2e194ap-14, -0x1.060bc46b07f75p-14, -0x1.02bb3bc6cd73fp-14, -0x1.fed72466f82d3p-15, -0x1.f839dfe5cca36p-15, -0x1.f19ef8bb9247dp-15, -0x1.eb06bbcccd40cp-15, -0x1.e4717435c163cp-15, -0x1.dddf6b4ff1da7p-15, -0x1.d750e8b6d8762p-15, -0x1.d0c6324d2365dp-15, -0x1.ca3f8c42020eap-15, -0x1.c3bd391639533p-15, -0x1.bd3f79a158a48p-15, -0x1.b6c68d1705c52p-15, -0x1.b052b10c2653p-15, -0x1.a9e4217c5b194p-15, -0x1.a37b18cececefp-15, -0x1.9d17cfdc17bb9p-15, -0x1.96ba7df2f4ce2p-15, -0x1.906358ddd8c9cp-15, -0x1.8a1294e839472p-15, -0x1.83c864e376ab7p-15, -0x1.7d84fa2c9dbc3p-15, -0x1.774884b176db9p-15, -0x1.711332f58b2ddp-15, -0x1.6ae53217aeb17p-15, -0x1.64beadd72404bp-15, -0x1.5e9fd098954b4p-15, -0x1.5888c36baed8dp-15, -0x1.5279ae0fd11d2p-15, -0x1.4c72b6f96b2cap-15, -0x1.4674035715847p-15, -0x1.407db71696d3ap-15, -0x1.3a8ff4ea2322cp-15, -0x1.34aade4d2e2c6p-15, -0x1.2ece93896b777p-15, -0x1.28fb33bbeb44bp-15, -0x1.2330dcda04ae8p-15, -0x1.1d6fabb604568p-15, -0x1.17b7bc043bfe3p-15, -0x1.1209285ff1b25p-15, -0x1.0c640a4fd1f11p-15, -0x1.06c87a4afa93bp-15, -0x1.01368fbdbfd26p-15, -0x1.f75cc21c2fdcfp-16, -0x1.ec600740d0477p-16, -0x1.e17717b88cdc7p-16, -0x1.d6a21a611b4f7p-16, -0x1.cbe134310a877p-16, -0x1.c134883fd8d61p-16, -0x1.b69c37cf1d70ep-16, -0x1.ac18625305b35p-16, -0x1.a1a9257b909cp-16, -0x1.974e9d3ceba12p-16, -0x1.8d08e3d7a673p-16, -0x1.82d811e1ae577p-16, -0x1.78bc3e4e617edp-16, -0x1.6eb57e76e9af9p-16, -0x1.64c3e62211a3p-16, -0x1.5ae7878cce871p-16, -0x1.512073722bb1ap-16, -0x1.476eb912d95fbp-16, -0x1.3dd2663d400a7p-16, -0x1.344b8755349eap-16, -0x1.2ada275b56f46p-16, -0x1.217e4ff50909dp-16, -0x1.183809737fa8ap-16, -0x1.0f075adb56e8cp-16, -0x1.05ec49ebddec1p-16, -0x1.f9cdb64b474cp-17, -0x1.e7ee23a4cf345p-17, -0x1.d639e016cfe74p-17, -0x1.c4b0ed816779p-17, -0x1.b3534b7f583cbp-17, -0x1.a220f77385c44p-17, -0x1.9119ec968bd1p-17, -0x1.803e24037d189p-17, -0x1.6f8d94c4922efp-17, -0x1.5f0833e06159ap-17, -0x1.4eadf465f38fdp-17, -0x1.3e7ec7790ac3bp-17, -0x1.2e7a9c5e89e58p-17, -0x1.1ea1608880aa2p-17, -0x1.0ef2ffa16f93bp-17, -0x1.fedec730b905fp-18, -0x1.e02ce958a848cp-18, -0x1.c1d032eea0e15p-18, -0x1.a3c86df2eb94ep-18, -0x1.8615614885b36p-18, -0x1.68b6d0c99f75cp-18, -0x1.4bac7d5e1db8p-18, -0x1.2ef6250f9eb52p-18, -0x1.1293831e17d0dp-18, -0x1.ed08a027d4ef8p-19, -0x1.b59083b48da5ap-19, -0x1.7ebe1798c165bp-19, -0x1.4890bd95a9d24p-19, -0x1.1307d29c3a2bfp-19, -0x1.bc455de7f5738p-20, -0x1.53c14cbc6a343p-20, -0x1.d90420e95b512p-21, -0x1.0d0c7ea8d8718p-21, -0x1.0e633b45c48e2p-23, 0x1.06b3c4da0e638p-22, 0x1.47ce983d2b7ddp-21, 0x1.04e4325450869p-20, 0x1.64a5340824982p-20, 0x1.c32be857b02adp-20, 0x1.103cf6876a2dfp-19, 0x1.3e487335e62a2p-19, 0x1.6bb93f6f9beb3p-19, 0x1.9890336a4418bp-19, 0x1.c4ce2a3b7ab9cp-19, 0x1.f07401bb9858ep-19, 0x1.0dc14d34f96edp-18, 0x1.22fd6ba8c07cdp-18, 0x1.37eecef71c2dap-18, 0x1.4c95eb08d561ap-18, 0x1.60f334e548404p-18, 0x1.750722a4ebd4dp-18, 0x1.88d22b652d33cp-18, 0x1.9c54c73c0933p-18, 0x1.af8f6f2c7f755p-18, 0x1.c2829d1a4aafbp-18, 0x1.d52ecbbe9240ap-18, 0x1.e794769cb2428p-18, 0x1.f9b419f73d43bp-18, 0x1.05c719627b401p-17, 0x1.0e919f52f9cbdp-17, 0x1.1739ddecd72e2p-17, 0x1.1fc0149a75445p-17, 0x1.2824830bb515ap-17, 0x1.30676931065bdp-17, 0x1.38890736dbed3p-17, 0x1.40899d80da661p-17, 0x1.48696ca54a8e5p-17, 0x1.5028b568ab735p-17, 0x1.57c7b8b9437fcp-17, 0x1.5f46b7aaf44d5p-17, 0x1.66a5f372fb25ep-17, 0x1.6de5ad63ca05cp-17, 0x1.750626e926a73p-17, 0x1.7c07a1842b4abp-17, 0x1.82ea5ec790ffp-17, 0x1.89aea053eb7f8p-17, 0x1.9054a7d404c79p-17, 0x1.96dcb6f952965p-17, 0x1.9d470f7864bep-17, 0x1.a393f305a598ap-17, 0x1.a9c3a351f7e6p-17, 0x1.afd662078fc03p-17, 0x1.b5cc70c6d9f97p-17, 0x1.bba6112331091p-17, 0x1.c16384a009967p-17, 0x1.c7050cae1f036p-17, 0x1.cc8aeaa867c2bp-17, 0x1.d1f55fd16badap-17, 0x1.d744ad50b72c9p-17, 0x1.dc7914300932cp-17, 0x1.e192d558cab96p-17, 0x1.e692319191c27p-17, 0x1.eb77697be9888p-17, 0x1.f042bd91b45bcp-17, 0x1.f4f46e22f3d1fp-17, 0x1.f98cbb53bda2cp-17, 0x1.fe0be519f11b9p-17, 0x1.0139159d8a767p-16, 0x1.035fe6a52bc74p-16, 0x1.057a85533c4a7p-16, 0x1.0789113c0c2c5p-16, 0x1.098ba9d7e1385p-16, 0x1.0b826e820e1a8p-16, 0x1.0d6d7e780f63fp-16, 0x1.0f4cf8d8ab717p-16, 0x1.1120fca32c431p-16, 0x1.12e9a8b6989b1p-16, 0x1.14a71bd0e7591p-16, 0x1.1659748e338ep-16, 0x1.1800d1682247bp-16, 0x1.199d50b528a8cp-16, 0x1.1b2f10a7cdacbp-16, 0x1.1cb62f4e0f3bdp-16, 0x1.1e32ca90c0c22p-16, 0x1.1fa50032f3253p-16, 0x1.210cedd169b16p-16, 0x1.226ab0e201573p-16, 0x1.23be66b32709cp-16, 0x1.25082c6b52707p-16, 0x1.26481f08893dfp-16, 0x1.277e5b5fe84b1p-16, 0x1.28aafe1d2edb6p-16, 0x1.29ce23c241f3cp-16, 0x1.2ae7e8a6dd179p-16, 0x1.2bf868f81c1b7p-16, 0x1.2cffc0b816446p-16, 0x1.2dfe0bbd7b8f4p-16, 0x1.2ef365b34908p-16, 0x1.2fdfea186eb72p-16, 0x1.30c3b43f86da7p-16, 0x1.319edf4e8dd65p-16, 0x1.3271863e9239ep-16, 0x1.333bc3db6128dp-16, 0x1.33fdb2c3630c4p-16, 0x1.34b76d6755adbp-16, 0x1.35690e0a07c25p-16, 0x1.3612aec028a4p-16, 0x1.36b469702e603p-16, 0x1.374e57d21c12ap-16, 0x1.37e0936f4e03cp-16, 0x1.386b35a257caap-16, 0x1.38ee5796e045ap-16, 0x1.396a12497887cp-16, 0x1.39de7e8796cd7p-16, 0x1.3a4bb4ef7dfc9p-16, 0x1.3ab1cdf00a7b5p-16, 0x1.3b10e1c8a5f03p-16, 0x1.3b690889417e6p-16, 0x1.3bba5a1245eb6p-16, 0x1.3c04ee1485ee1p-16, 0x1.3c48dc1134185p-16, 0x1.3c863b59cc804p-16, 0x1.3cbd23102bcfap-16, 0x1.3cedaa269a126p-16, 0x1.3d17e75f9e09dp-16, 0x1.3d3bf14e19ff9p-16, 0x1.3d59de554bc52p-16, 0x1.3d71c4a8cf962p-16, 0x1.3d83ba4cc13d8p-16, 0x1.3d8fd515b1ff3p-16, 0x1.3d962aa8c05fap-16, 0x1.3d96d07baadf8p-16, 0x1.3d91dbd4d0b4ap-16, 0x1.3d8761cb5689ap-16, 0x1.3d77774736582p-16, 0x1.3d62310155bf8p-16, 0x1.3d47a383a9536p-16, 0x1.3d27e32944766p-16, 0x1.3d03041e7e19bp-16, 0x1.3cd91a6102083p-16, 0x1.3caa39c009d3bp-16, 0x1.3c7675dc61ep-16, 0x1.3c3de2288f93bp-16, 0x1.3c0091e9002e7p-16, 0x1.3bbe98343f8cep-16, 0x1.3b7807f300cdcp-16, 0x1.3b2cf3e05686ap-16, 0x1.3add6e89d612ep-16, 0x1.3a898a4fbfedap-16, 0x1.3a3159653a0fcp-16, 0x1.39d4edd0613b1p-16, 0x1.3974596a9bd83p-16, 0x1.390fade0a40cep-16, 0x1.38a6fcb2d6ff9p-16, 0x1.383a5735531bp-16, 0x1.37c9ce9038e86p-16, 0x1.375573bfe11a2p-16, 0x1.36dd5794ebae3p-16, 0x1.36618ab48dbffp-16, 0x1.35e21d98d262dp-16, 0x1.355f2090d2d65p-16, 0x1.34d8a3c0d63adp-16, 0x1.344eb72296be8p-16, 0x1.33c16a8576374p-16, 0x1.3330cd8ebe446p-16, 0x1.329cefb9d377ep-16, 0x1.3205e0587859cp-16, 0x1.316bae930149cp-16, 0x1.30ce6968840e5p-16, 0x1.302e1faf3075ep-16, 0x1.2f8ae0148d96bp-16, 0x1.2ee4b91d9fffap-16, 0x1.2e3bb9271f0abp-16, 0x1.2d8fee65de117p-16, 0x1.2ce166e6e65d9p-16, 0x1.2c30308fb8bbap-16, 0x1.2b7c591e94d14p-16, 0x1.2ac5ee2ad6c9cp-16, 0x1.2a0cfd2511476p-16, 0x1.29519357408c1p-16, 0x1.2893bde53dc45p-16, 0x1.27d389ccdb21cp-16, 0x1.271103e62f83cp-16, 0x1.264c38e3da33ap-16, 0x1.2585355339a83p-16, 0x1.24bc059cb44cdp-16, 0x1.23f0b6040c17cp-16, 0x1.232352a894953p-16, 0x1.2253e7856a632p-16, 0x1.21828071b40bap-16, 0x1.20af2920f42a2p-16, 0x1.1fd9ed2343c8ep-16, 0x1.1f02d7e594acap-16, 0x1.1e29f4b20aadep-16, 0x1.1d4f4eb027ae1p-16, 0x1.1c72f0e505f4ep-16, 0x1.1b94e633a3d99p-16, 0x1.1ab5395d4a158p-16, 0x1.19d3f5018a52cp-16, 0x1.18f1239ebd467p-16, 0x1.180ccf923186bp-16, 0x1.1727031860ddap-16, 0x1.163fc84d3bf1fp-16, 0x1.1557292c85124p-16, 0x1.146d2f91fc297p-16, 0x1.1381e539a333p-16, 0x1.129553bffc334p-16, 0x1.11a784a252b74p-16, 0x1.10b8813ef297fp-16, 0x1.0fc852d585a73p-16, 0x1.0ed7028749024p-16, 0x1.0de4995745fecp-16, 0x1.0cf1202a9475dp-16, 0x1.0bfc9fc89dc73p-16, 0x1.0b0720db706fdp-16, 0x1.0a10abefeee01p-16, 0x1.091949761337ap-16, 0x1.082101c126c1bp-16, 0x1.0727dd0828ff8p-16, 0x1.062de365d6dd6p-16, 0x1.05331cd918397p-16, 0x1.0437914542e75p-16, 0x1.033b48723a649p-16, 0x1.023e4a0cb2dc3p-16, 0x1.01409da6879eep-16, 0x1.00424ab6f4c8p-16, 0x1.fe86b13589475p-17, 0x1.fc879d293c721p-17, 0x1.fa87679a7258dp-17, 0x1.f8861ea7686e5p-17, 0x1.f683d03b6c9a7p-17, 0x1.f4808a0f78df6p-17, 0x1.f27c59aa88607p-17, 0x1.f0774c6230257p-17, 0x1.ee716f5b3abfbp-17, 0x1.ec6acf89ea94bp-17, 0x1.ea6379b26bb84p-17, 0x1.e85b7a6958828p-17, 0x1.e652de14668p-17, 0x1.e449b0ea9bc43p-17, 0x1.e23ffef4e63bep-17, 0x1.e035d40e81ff6p-17, 0x1.de2b3be54e59bp-17, 0x1.dc2041fa74f5p-17, 0x1.da14f1a2ea1dep-17, 0x1.d80956079dc32p-17, 0x1.d5fd7a2607405p-17, 0x1.d3f168d0c555ap-17, 0x1.d1e52cafe7a79p-17, 0x1.cfd8d0414ddc9p-17, 0x1.cdcc5dd910d17p-17, 0x1.cbbfdfa22401ep-17, 0x1.c9b35f9eb7881p-17, 0x1.c7a6e7a8847e5p-17, 0x1.c59a81714049cp-17, 0x1.c38e36830a217p-17, 0x1.c182104105427p-17, 0x1.bf7617e7859c9p-17, 0x1.bd6a568c8d342p-17, 0x1.bb5ed52050b79p-17, 0x1.b9539c6d614abp-17, 0x1.b748b51950d16p-17, 0x1.b53e27a509d86p-17, 0x1.b333fc6d0659p-17, 0x1.b12a3ba9eb5e1p-17, 0x1.af20ed7111ecap-17, 0x1.ad1819b481405p-17, 0x1.ab0fc84376434p-17, 0x1.a90800cb135fep-17, 0x1.a700cad66c08dp-17, 0x1.a4fa2dcedf837p-17, 0x1.a2f430fcb5fdep-17, 0x1.a0eedb8778781p-17, 0x1.9eea347624a57p-17, 0x1.9ce642af81f4p-17, 0x1.9ae30cfac2f51p-17, 0x1.98e099ffd1becp-17, 0x1.96def0476e2fep-17, 0x1.94de163bafa3ap-17, 0x1.92de12288988p-17, 0x1.90deea3bd6e52p-17, 0x1.8ee0a485dd825p-17, 0x1.8ce346f9b5a94p-17, 0x1.8ae6d76d78443p-17, 0x1.88eb5b9abc3f2p-17, 0x1.86f0d91ee73c3p-17, 0x1.84f7557b502ap-17, 0x1.82fed615d3b3fp-17, 0x1.8107603924f6ep-17, 0x1.7f10f914ea534p-17, 0x1.7d1ba5be2530dp-17, 0x1.7b276b2fd4d86p-17, 0x1.79344e4ac120ap-17, 0x1.774253d610501p-17, 0x1.7551807fc19cp-17, 0x1.7361d8dcb17b7p-17, 0x1.71736168f3014p-17, 0x1.6f861e88519p-17, 0x1.6d9a14867c166p-17, 0x1.6baf47972ed9dp-17, 0x1.69c5bbd6af675p-17, 0x1.67dd754a25ed4p-17, 0x1.65f677dfa751fp-17, 0x1.6410c76ea9ef5p-17, 0x1.622c67b85d7bep-17, 0x1.60495c67c4fbcp-17, 0x1.5e67a9122fcf3p-17, 0x1.5c875137481b9p-17, 0x1.5aa8584187878p-17, 0x1.58cac1868c42p-17, 0x1.56ee90470a98cp-17, 0x1.5513c7af55e15p-17, 0x1.533a6ad7cb1e2p-17, 0x1.51627cc49a3bp-17, 0x1.4f8c00665348dp-17, 0x1.4db6f89a5b82dp-17, 0x1.4be3682ab8b4dp-17, 0x1.4a1151ce9fc29p-17, 0x1.4840b82ac9d4p-17, 0x1.46719dd14b8c2p-17, 0x1.44a4054232b2fp-17, 0x1.42d7f0ebbfb58p-17, 0x1.410d632a673bep-17, 0x1.3f445e4930d86p-17, 0x1.3d7ce48218981p-17, 0x1.3bb6f7fe11e5p-17, 0x1.39f29ad54bb0bp-17, 0x1.382fcf0f8c8afp-17, 0x1.366e96a44bb57p-17, 0x1.34aef37afd609p-17, 0x1.32f0e76b39943p-17, 0x1.3134743d02f2dp-17, 0x1.2f799ba917929p-17, 0x1.2dc05f58cf8e2p-17, 0x1.2c08c0e6c309bp-17, 0x1.2a52c1decc13p-17, 0x1.289e63bdff227p-17, 0x1.26eba7f36da9bp-17, 0x1.253a8fdfee4d9p-17, 0x1.238b1cd644195p-17, 0x1.21dd501bb9b4dp-17, 0x1.20312ae7ea572p-17, 0x1.1e86ae651edffp-17, 0x1.1cdddbb0a3bbdp-17, 0x1.1b36b3daac808p-17, 0x1.199137e6b6ee6p-17, 0x1.17ed68cbced1ap-17, 0x1.164b47747e4c9p-17, 0x1.14aad4bf1cf68p-17, 0x1.130c117e26e7p-17, 0x1.116efe7818402p-17, 0x1.0fd39c67e0e7cp-17, 0x1.0e39ebfced2d6p-17, 0x1.0ca1eddb62761p-17, 0x1.0b0ba29c44213p-17, 0x1.09770acd93abep-17, 0x1.07e426f2ad803p-17, 0x1.0652f784181a6p-17, 0x1.04c37cf00e628p-17, 0x1.0335b79a8b591p-17, 0x1.01a9a7dd242fbp-17, 0x1.001f4e07c98b8p-17, 0x1.fd2d54c0cac0fp-18, 0x1.fa1f7a4665ff6p-18, 0x1.f7150d064918p-18, 0x1.f40e0d532a4f7p-18, 0x1.f10a7b6d877bdp-18, 0x1.ee0a5783de829p-18, 0x1.eb0da1b2a701bp-18, 0x1.e8145a0502fedp-18, 0x1.e51e8074bd2c9p-18, 0x1.e22c14ea9d145p-18, 0x1.df3d173efb3cbp-18, 0x1.dc5187398af9ep-18, 0x1.d9696491f8f4p-18, 0x1.d684aef0353abp-18, 0x1.d3a365ec6ea88p-18, 0x1.d0c5890fa393cp-18, 0x1.cdeb17d3b6d94p-18, 0x1.cb1411a3dd196p-18, 0x1.c84075dc81564p-18, 0x1.c57043cc14c47p-18, 0x1.c2a37ab2d447ep-18, 0x1.bfda19c32261ap-18, 0x1.bd1420222ea5fp-18, 0x1.ba518ce756ebdp-18, 0x1.b7925f1d5ad79p-18, 0x1.b4d695c2088e6p-18, 0x1.b21e2fc658abdp-18, 0x1.af692c0f58967p-18, 0x1.acb7897595c5cp-18, 0x1.aa0946c5c3c7ap-18, 0x1.a75e62c11c3b3p-18, 0x1.a4b6dc1d142a4p-18, 0x1.a212b18417f61p-18, 0x1.9f71e195736b6p-18, 0x1.9cd46ae593c35p-18, 0x1.9a3a4bfe6bf17p-18, 0x1.97a3835f49fb5p-18, 0x1.95100f7d883b6p-18, 0x1.927feec445087p-18, 0x1.8ff31f94ef5dbp-18, 0x1.8d69a0474724bp-18, 0x1.8ae36f29ac787p-18, 0x1.88608a8128deep-18, 0x1.85e0f089dd19ap-18, 0x1.83649f7700925p-18, 0x1.80eb9572fab7fp-18, 0x1.7e75d0a002accp-18, 0x1.7c034f1797ceap-18, 0x1.79940eeb6fcabp-18, 0x1.77280e2515c55p-18, 0x1.74bf4ac643fd9p-18, 0x1.7259c2c94e72ap-18, 0x1.6ff77420c20b1p-18, 0x1.6d985cb81b9bfp-18, 0x1.6b3c7a73ad1a4p-18, 0x1.68e3cb30a35fp-18, 0x1.668e4cc5a9ddfp-18, 0x1.643bfd027b1a2p-18, 0x1.61ecd9b07d284p-18, 0x1.5fa0e092afcfdp-18, 0x1.5d580f65dcad9p-18, 0x1.5b1263e0c62eep-18, 0x1.58cfdbb443d0bp-18, 0x1.5690748b7cec1p-18, 0x1.54542c0bd7b4fp-18, 0x1.521affd56472dp-18, 0x1.4fe4ed82c2689p-18, 0x1.4db1f2a97696bp-18, 0x1.4b820cd9da25ep-18, 0x1.4955399f7eb55p-18, 0x1.472b7680f4b4fp-18, 0x1.4504c1005dd17p-18, 0x1.42e1169b1bac4p-18, 0x1.40c074ca3fb0ep-18, 0x1.3ea2d9029aef2p-18, 0x1.3c8840b4a396fp-18, 0x1.3a70a94d091e9p-18, 0x1.385c10344ba24p-18, 0x1.364a72cf43ef5p-18, 0x1.343bce7f1564fp-18, 0x1.323020a126758p-18, 0x1.3027668fad4e8p-18, 0x1.2e219da135598p-18, 0x1.2c1ec329494ap-18, 0x1.2a1ed4782799ap-18, 0x1.2821cedb12f25p-18, 0x1.2627af9c6b423p-18, 0x1.24307403ad27ap-18, 0x1.223c195597fd5p-18, 0x1.204a9cd45197fp-18, 0x1.1e5bfbbf77daep-18, 0x1.1c70335438ee9p-18, 0x1.1a8740cd73d27p-18, 0x1.18a12163c1025p-18, 0x1.16bdd24d9bf7fp-18, 0x1.14dd50bf6a5fap-18, 0x1.12ff99eba01f6p-18, 0x1.1124ab02bec3bp-18, 0x1.0f4c81339fdc8p-18, 0x1.0d7719ab3c34cp-18, 0x1.0ba471951dacfp-18, 0x1.09d4861b1a0d9p-18, 0x1.08075465b06a9p-18, 0x1.063cd99bf61d3p-18, 0x1.047512e3aaf13p-18, 0x1.02affd61788dbp-18, 0x1.00ed9638b1e55p-18, 0x1.fe5bb517acb5fp-19, 0x1.fae18ef856dfp-19, 0x1.f76cb45483432p-19, 0x1.f3fd1f6b6f392p-19, 0x1.f092ca7ad1d42p-19, 0x1.ed2dafbf10ecbp-19, 0x1.e9cdc97320d84p-19, 0x1.e67311d108ff8p-19, 0x1.e31d8311b9c94p-19, 0x1.dfcd176d4c03cp-19, 0x1.dc81c91b2b8dp-19, 0x1.d93b925216bf3p-19, 0x1.d5fa6d4861e3p-19, 0x1.d2be5433ffd51p-19, 0x1.cf87414aa0938p-19, 0x1.cc552ec1e1165p-19, 0x1.c92816cf576adp-19, 0x1.c5fff3a8b82bbp-19, 0x1.c2dcbf83f7f04p-19, 0x1.bfbe749761346p-19, 0x1.bca50d19a5a3bp-19, 0x1.b99083422c7fap-19, 0x1.b680d148c5f41p-19, 0x1.b375f16658078p-19, 0x1.b06fddd44dea1p-19, 0x1.ad6e90cd6654ep-19, 0x1.aa72048d17e54p-19, 0x1.a77a33504745dp-19, 0x1.a4871754f5535p-19, 0x1.a198aada946d5p-19, 0x1.9eaee82203d9ap-19, 0x1.9bc9c96d9212dp-19, 0x1.98e949014a9a8p-19, 0x1.960d6122c3d25p-19, 0x1.93360c199247p-19, 0x1.9063442f06f8dp-19, 0x1.8d9503ae7d2dep-19, 0x1.8acb44e550122p-19, 0x1.88060222f380cp-19, 0x1.854535b91573bp-19, 0x1.8288d9fba051bp-19, 0x1.7fd0e940d0d65p-19, 0x1.7d1d5de1565ap-19, 0x1.7a6e323853f93p-19, 0x1.77c360a3860cbp-19, 0x1.751ce3833a17bp-19, 0x1.727ab53a7d79p-19, 0x1.6fdcd02f16808p-19, 0x1.6d432ec99aea5p-19, 0x1.6aadcb758af6dp-19, 0x1.681ca0a14e88cp-19, 0x1.658fa8be5b313p-19, 0x1.6306de41293bap-19, 0x1.60823ba14ec5dp-19, 0x1.5e01bb5995141p-19, 0x1.5b8557e80b976p-19, 0x1.590d0bce0f6b9p-19, 0x1.5698d190421e5p-19, 0x1.5428a3b6a1e55p-19, 0x1.51bc7ccca797dp-19, 0x1.4f54576159217p-19, 0x1.4cf02e07395d9p-19, 0x1.4a8ffb546f4afp-19, 0x1.4833b9e2b8357p-19, 0x1.45db644f8b73dp-19, 0x1.4386f53c10079p-19, 0x1.4136674d3a966p-19, 0x1.3ee9b52bc14f7p-19, }}, 
      {{-0x1.174e862ff34e2p-1, -0x1.17e9b1ca3d0c2p-1, -0x1.18bcf094f365cp-1, -0x1.19c2b0d24cebdp-1, -0x1.1af448c07113ap-1, -0x1.1c4a37f302ee6p-1, -0x1.1dbc65cb8560ep-1, -0x1.1f425aeaacecep-1, -0x1.20d3747184fe1p-1, -0x1.22671095d8084p-1, -0x1.23f4b480b32f7p-1, -0x1.25742bb8a6abcp-1, -0x1.26dda1877f5e9p-1, -0x1.2829b4e5061d2p-1, -0x1.2951877c23bap-1, -0x1.2a4ec861ec9cbp-1, -0x1.2b1bbb11f0276p-1, -0x1.2bb33b3adb749p-1, -0x1.2c10bddbdd404p-1, -0x1.2c3050275d0b4p-1, -0x1.2c0e9493546f8p-1, -0x1.2ba8be73827a4p-1, -0x1.2afc8c6e25652p-1, -0x1.2a0842111f085p-1, -0x1.28caa0c37a15bp-1, -0x1.2742e04656882p-1, -0x1.2570a6f0353bp-1, -0x1.235401c682e23p-1, -0x1.20ed5c9301b82p-1, -0x1.1e3d7a0d371d6p-1, -0x1.1b456c2b4fc08p-1, -0x1.18068ca9d3858p-1, -0x1.148275d60c9efp-1, -0x1.10bafba40a047p-1, -0x1.0cb22516a97bcp-1, -0x1.086a25fdf364dp-1, -0x1.03e5590e5d51cp-1, -0x1.fe4c74a4155d3p-2, -0x1.f45ec3e7f519p-2, -0x1.ea06fec830f43p-2, -0x1.df4aa9a4c930fp-2, -0x1.d42f65fd97476p-2, -0x1.c8baeab5a0ea3p-2, -0x1.bcf2fcf3af33bp-2, -0x1.b0dd69993cb0cp-2, -0x1.a47fff488942ep-2, -0x1.97e088f272e4bp-2, -0x1.8b04c8e4a213bp-2, -0x1.7df274509915ap-2, -0x1.70af2f445dc29p-2, -0x1.6340890d94ba6p-2, -0x1.55abf9001e86bp-2, -0x1.47f6db9989249p-2, -0x1.3a266ffae20d9p-2, -0x1.2c3fd5b2d83dep-2, -0x1.1e480ad242a63p-2, -0x1.1043ea459cd02p-2, -0x1.02382a6e2ab6fp-2, -0x1.e852b7ebcd7ap-3, -0x1.cc37d1b32bacp-3, -0x1.b02827494df95p-3, -0x1.942bedb5aa981p-3, -0x1.784b091771b1dp-3, -0x1.5c8d0c1986ac3p-3, -0x1.40f937acaf607p-3, -0x1.25967b01c9162p-3, -0x1.0a6b73be5d2c8p-3, -0x1.defcdccc6b79ap-4, -0x1.a9aacdea046d1p-4, -0x1.74ec1346f1b03p-4, -0x1.40cb67a767f38p-4, -0x1.0d52ea41971f8p-4, -0x1.b51842382f228p-5, -0x1.50fff749666fep-5, -0x1.dcdb55e4fc892p-6, -0x1.1ae1e5729bb97p-6, -0x1.70c2452ba1892p-8, 0x1.7c777224ee47dp-8, 0x1.16f0b69d004ecp-6, 0x1.cb315e5291814p-6, 0x1.3de59adda135dp-5, 0x1.9455c899e89dfp-5, 0x1.e8e0d465573a2p-5, 0x1.1dbfa25f3e624p-4, 0x1.4615419581239p-4, 0x1.6d6e6a5f1b1f5p-4, 0x1.93c8a94dacf22p-4, 0x1.b921f13c37f95p-4, 0x1.dd789792e6bfcp-4, 0x1.0065a84797f0ep-3, 0x1.118c95c91012fp-3, 0x1.2230c7bb46fbdp-3, 0x1.32521b7848c68p-3, 0x1.41f0967be8c85p-3, 0x1.510c649ee50fep-3, 0x1.5fa5d6589d75cp-3, 0x1.6dbd5f07e4d46p-3, 0x1.7b5393436326bp-3, 0x1.88692731e6aa9p-3, 0x1.94feeceb1ac7dp-3, 0x1.a115d2e0d51bap-3, 0x1.acaee251669c4p-3, 0x1.b7cb3dc308952p-3, 0x1.c26c1f88b9ebep-3, 0x1.cc92d850a2acdp-3, 0x1.d640cdbc2d5dbp-3, 0x1.df777901eb337p-3, 0x1.e838659959289p-3, 0x1.f0852ff092443p-3, 0x1.f85f842bfee7ap-3, 0x1.ffc91cefedc7cp-3, 0x1.0361e11a15d7ep-2, 0x1.06a8a410be823p-2, 0x1.09b9c6fc7a52p-2, 0x1.0c963e828b452p-2, 0x1.0f3f03ca51841p-2, 0x1.11b513ff8386cp-2, 0x1.13f96fd920201p-2, 0x1.160d1b250c5d2p-2, 0x1.17f11c58523abp-2, 0x1.19a67c23e47a9p-2, 0x1.1b2e450dd8a5p-2, 0x1.1c89830f044d3p-2, 0x1.1db94334dfb07p-2, 0x1.1ebe9347a402ep-2, 0x1.1f9a817480e95p-2, 0x1.204e1bfbdc5e8p-2, 0x1.20da70e37d595p-2, 0x1.21408dac8e4b6p-2, 0x1.21817f0d5bc1dp-2, 0x1.219e50aeb6f88p-2, 0x1.21980cece1fbcp-2, 0x1.216fbc9bf11e1p-2, 0x1.212666cf80c4ep-2, 0x1.20bd10a5adf59p-2, 0x1.2034bd15349aep-2, 0x1.1f8e6cbe9b532p-2, 0x1.1ecb1dc053444p-2, 0x1.1debcb8db5f8cp-2, 0x1.1cf16ec8c6719p-2, 0x1.1bdcfd1e9efep-2, 0x1.1aaf692673aa3p-2, 0x1.1969a24311138p-2, 0x1.180c9486c2f65p-2, 0x1.169928998812dp-2, 0x1.151043a183932p-2, 0x1.1372c72d8d296p-2, 0x1.11c19121d557bp-2, 0x1.0ffd7ba67c751p-2, 0x1.0e275d1816478p-2, 0x1.0c4007f9f7032p-2, 0x1.0a484aea44d8dp-2, 0x1.0840f097af4aap-2, 0x1.062abfb8bff53p-2, 0x1.04067b04b022ep-2, 0x1.01d4e12db515fp-2, 0x1.ff2d59b95853ep-3, 0x1.fa99295c34fa3p-3, 0x1.f5ee9660dc322p-3, 0x1.f12efdc6e5f0bp-3, 0x1.ec5bb471cf5b7p-3, 0x1.e776072c52a49p-3, 0x1.e27f3aadc6c09p-3, 0x1.dd788ba16d72cp-3, 0x1.d8632eaf9b75dp-3, 0x1.d34050889088p-3, 0x1.ce1115f0fd983p-3, 0x1.c8d69bd0060f3p-3, 0x1.c391f73ebc366p-3, 0x1.be443598f206p-3, 0x1.b8ee5c8f52edep-3, 0x1.b3916a3aa285fp-3, 0x1.ae2e5530248e9p-3, 0x1.a8c60c96fdde1p-3, 0x1.a359783e8f1e1p-3, 0x1.9de978b5b43adp-3, 0x1.9876e762cb7f1p-3, 0x1.9302969c837a5p-3, 0x1.8d8d51c350e86p-3, 0x1.8817dd5b8bb97p-3, 0x1.82a2f72814709p-3, 0x1.7d2f56457e54cp-3, 0x1.77bdab45b304cp-3, 0x1.724ea04bf266cp-3, 0x1.6ce2d9293981dp-3, 0x1.677af378eb508p-3, 0x1.621786bdc6fadp-3, 0x1.5cb9247f11146p-3, 0x1.57605865e7142p-3, 0x1.520da85abfa72p-3, 0x1.4cc194a2fbbabp-3, 0x1.477c97fe8e649p-3, 0x1.423f27c5a68dbp-3, 0x1.3d09b406624a3p-3, 0x1.37dca7a2717a9p-3, 0x1.32b8686cacfd9p-3, 0x1.2d9d574699a74p-3, 0x1.288bd03dc8e9fp-3, 0x1.23842aa91c779p-3, 0x1.1e86b945e08cdp-3, 0x1.1993ca54b1745p-3, 0x1.14aba7b6334dp-3, 0x1.0fce970791851p-3, 0x1.0afcd9bebeff7p-3, 0x1.0636ad46719dep-3, 0x1.017c4b19e038p-3, 0x1.f99bd1c05f4bbp-4, 0x1.f057710f3115fp-4, 0x1.e72bd0c06c196p-4, 0x1.de19466d1a915p-4, 0x1.d52020db62cc4p-4, 0x1.cc40a8322d75cp-4, 0x1.c37b1e2c186eap-4, 0x1.bacfbe49aba76p-4, 0x1.b23ebe02cc761p-4, 0x1.a9c84cf772ee1p-4, 0x1.a16c951fa2faap-4, 0x1.992bbafa92e6p-4, 0x1.9105ddbd0e401p-4, 0x1.88fb177f0d948p-4, 0x1.810b7d687f98dp-4, 0x1.79371fdd450d4p-4, 0x1.717e0aa85bf92p-4, 0x1.69e0452639611p-4, 0x1.625dd26e530cep-4, 0x1.5af6b17bd7f4bp-4, 0x1.53aadd55920dbp-4, 0x1.4c7a4d34fc8d1p-4, 0x1.4564f4ac843e2p-4, 0x1.3e6ac3ccf4642p-4, 0x1.378ba74a194cp-4, 0x1.30c7889e8bb76p-4, 0x1.2a1e4e2eb1cb5p-4, 0x1.238fdb6aef86ep-4, 0x1.1d1c10f10ace8p-4, 0x1.16c2ccacc4a03p-4, 0x1.1083e9f7a8804p-4, 0x1.0a5f41b812a41p-4, 0x1.0454aa7f70338p-4, 0x1.fcc7f14f74ab8p-5, 0x1.f119fce05f72dp-5, 0x1.e59f1832998d9p-5, 0x1.da56e0000b4c4p-5, 0x1.cf40ed708541bp-5, 0x1.c45cd64d4d91ap-5, 0x1.b9aa2d3331f57p-5, 0x1.af2881c33bab3p-5, 0x1.a4d760d1f84a9p-5, 0x1.9ab6549561b35p-5, 0x1.90c4e4d16eefep-5, 0x1.870297034d578p-5, 0x1.7d6eee8b4c7dfp-5, 0x1.74096cd57a7adp-5, 0x1.6ad191810279ep-5, 0x1.61c6da8644c87p-5, 0x1.58e8c45bb9434p-5, 0x1.5036ca199b174p-5, 0x1.47b0659c6b331p-5, 0x1.3f550fa641ac4p-5, 0x1.37243fff02da7p-5, 0x1.2f1d6d9374497p-5, 0x1.27400e933a4e3p-5, 0x1.1f8b988dc0b4fp-5, 0x1.17ff808e1fc69p-5, 0x1.109b3b35eedd8p-5, 0x1.095e3cd71ffc2p-5, 0x1.0247f98cd97cbp-5, 0x1.f6afcaa6bb5e7p-6, 0x1.e91ae83e04517p-6, 0x1.dbd033e46d85ap-6, 0x1.cece95e562d1ep-6, 0x1.c214f6fb66dfdp-6, 0x1.b5a24076e7764p-6, 0x1.a9755c6370795p-6, 0x1.9d8d35ab374cap-6, 0x1.91e8b839205d2p-6, 0x1.8686d11921f9dp-6, 0x1.7b666e973cc5dp-6, 0x1.7086805cf3f42p-6, 0x1.65e5f78d5c855p-6, 0x1.5b83c6dfc70c6p-6, 0x1.515ee2b916f9ep-6, 0x1.47764143c49dcp-6, 0x1.3dc8da869d92fp-6, 0x1.3455a87a48826p-6, 0x1.2b1ba71d93fabp-6, 0x1.2219d488a2a8cp-6, 0x1.194f30fee9addp-6, 0x1.10babf002443ep-6, 0x1.085b83582c7f6p-6, 0x1.0030852ddaf69p-6, 0x1.f0719c21a3b8p-7, 0x1.e0e6d40cd4defp-7, 0x1.d1becf2b33b2ap-7, 0x1.c2f7afa4127ecp-7, 0x1.b48f9ccc78f9ap-7, 0x1.a684c339c30b7p-7, 0x1.98d554d2ad135p-7, 0x1.8b7f88dec9711p-7, 0x1.7e819c146bfe6p-7, 0x1.71d9d0a52bd5ep-7, 0x1.65866e48df427p-7, 0x1.5985c2475f3eep-7, 0x1.4dd61f80dfdacp-7, 0x1.4275de75100bep-7, 0x1.37635d49140f1p-7, 0x1.2c9cffcc31d15p-7, 0x1.22212f7b77dbp-7, 0x1.17ee5b844b998p-7, 0x1.0e02f8c5ea6e6p-7, 0x1.045d81d1fe297p-7, 0x1.f5f8edd849b0dp-8, 0x1.e3bcbc114b85cp-8, 0x1.d203859473ed1p-8, 0x1.c0ca6cfe1061fp-8, 0x1.b00ea0399f4dep-8, 0x1.9fcd5878cba88p-8, 0x1.9003da28b7f6ap-8, 0x1.80af74e6054f2p-8, 0x1.71cd836f94fd2p-8, 0x1.635b6b97fa0dbp-8, 0x1.55569e35e04ebp-8, 0x1.47bc971321d0bp-8, 0x1.3a8adcdaea9f7p-8, 0x1.2dbf0106d6249p-8, 0x1.21569fcb0c663p-8, 0x1.154f600193c34p-8, 0x1.09a6f314c2128p-8, 0x1.fcb629d1b39bbp-9, 0x1.e6d31789c73b6p-9, 0x1.d1a05075c1644p-9, 0x1.bd198a1ebef78p-9, 0x1.a93a8e40a8bc3p-9, 0x1.95ff3a972c1e9p-9, 0x1.836380a95c888p-9, 0x1.716365943990ap-9, 0x1.5ffb01d4c2517p-9, 0x1.4f268110d0e12p-9, 0x1.3ee221df74de8p-9, 0x1.2f2a35908745ap-9, 0x1.1ffb1ff3d22e3p-9, 0x1.1151571f509a6p-9, 0x1.032963352e18cp-9, 0x1.eaffbc52cb243p-10, 0x1.d0a2e70dc09afp-10, 0x1.b735c068bb915p-10, 0x1.9eb1e47283569p-10, 0x1.8711110327605p-10, 0x1.704d25453c9d4p-10, 0x1.5a60213daf1e4p-10, 0x1.454425541779dp-10, 0x1.30f371dab07c4p-10, 0x1.1d686696a92abp-10, 0x1.0a9d82484add3p-10, 0x1.f11ac4666a26ap-11, 0x1.ce65834e4584dp-11, 0x1.ad10f31191b68p-11, 0x1.8d12ffb6b4318p-11, 0x1.6e61ce944e94fp-11, 0x1.50f3bd665cap-11, 0x1.34bf616394968p-11, 0x1.19bb8653fb046p-11, 0x1.ffbe5b53afae4p-12, 0x1.ce431b357267ep-12, 0x1.9ef4207645409p-12, 0x1.71c0a5367288dp-12, 0x1.469847ca28484p-12, 0x1.1d6b08f9b952fp-12, 0x1.ec52948c75a0dp-13, 0x1.a187986111e6fp-13, 0x1.5a575909cf477p-13, 0x1.16a4c95583ca4p-13, 0x1.aca71fe4576a8p-14, 0x1.3290083655665p-14, 0x1.7d9ca94816c89p-15, 0x1.44b588fc691e1p-16, -0x1.68624468f53ccp-18, -0x1.e1f933b622d92p-16, -0x1.a9d7c9719fbaep-15, -0x1.2bfe7dddea8f6p-14, -0x1.7de475e667addp-14, -0x1.cacafbc060546p-14, -0x1.096f0adcfcb28p-13, -0x1.2b2453b54f19cp-13, -0x1.4a9a3bc3e5465p-13, -0x1.67e51ad2c6959p-13, -0x1.8318bff20a5e4p-13, -0x1.9c487446017c6p-13, -0x1.b386fdc8e983fp-13, -0x1.c8e6a2051133cp-13, -0x1.dc7928c3d5a13p-13, -0x1.ee4fdeb370818p-13, -0x1.fe7b980200737p-13, -0x1.06865977771abp-12, -0x1.0d098d298146ep-12, -0x1.12cf240eb69ecp-12, -0x1.17dea3e404201p-12, -0x1.1c3f5c60a1eaap-12, -0x1.1ff868666dc6bp-12, -0x1.2310af2c72faap-12, -0x1.258ee566668d5p-12, -0x1.27798e655e19ep-12, -0x1.28d6fd349d08cp-12, -0x1.29ad55b1b7e22p-12, -0x1.2a028d9fdca16p-12, -0x1.29dc6db660eaep-12, -0x1.294092aae9017p-12, -0x1.28346e35a091ep-12, -0x1.26bd48130097fp-12, -0x1.24e03eff663f7p-12, -0x1.22a249aec438fp-12, -0x1.200837bf72c27p-12, -0x1.1d16b2a95be46p-12, -0x1.19d23ea73bc53p-12, -0x1.163f3b9dfea7p-12, -0x1.1261e5fdbc172p-12, -0x1.0e3e579e84f58p-12, -0x1.09d8889a6a5e3p-12, -0x1.053450227a4abp-12, -0x1.0055654ed2586p-12, -0x1.f67ebfd94bc6dp-13, -0x1.ebeb728d3c0dcp-13, -0x1.e0f799d1dbaa4p-13, -0x1.d5a9b2c7c2013p-13, -0x1.ca0802103e42cp-13, -0x1.be1895402bb13p-13, -0x1.b1e1444b00373p-13, -0x1.a567b2e7941bep-13, -0x1.98b151eaf7608p-13, -0x1.8bc3609f1d91bp-13, -0x1.7ea2ee119343ap-13, -0x1.7154da5820cbfp-13, -0x1.63ddd7d3af202p-13, -0x1.56426c690539dp-13, -0x1.4886f2b393434p-13, -0x1.3aaf9b31f8aeep-13, -0x1.2cc06d6b24fedp-13, -0x1.1ebd490e900aap-13, -0x1.10a9e70ca2acep-13, -0x1.0289daab538f1p-13, -0x1.e8c125232f933p-14, -0x1.cc62b39c915c5p-14, -0x1.affeb1b3db755p-14, -0x1.939b2d24fedd5p-14, -0x1.773df2600e939p-14, -0x1.5aec8e6b0fff7p-14, -0x1.3eac50b73ab23p-14, -0x1.22824ce84ba58p-14, -0x1.06735c990eee4p-14, -0x1.d508421c99ef2p-15, -0x1.9d7209c79639ap-15, -0x1.662c7b560ccddp-15, -0x1.2f3f9b0894821p-15, -0x1.f16612b62bedfp-16, -0x1.851c0c110c1e7p-16, -0x1.19aee60cbde83p-16, -0x1.5e575da143d29p-17, -0x1.167b114b7559p-18, 0x1.17613076ca75ap-19, 0x1.14d4047ba155ep-17, 0x1.e1a0c45269cf9p-17, 0x1.561572abe23cp-16, 0x1.ba2ff68fffdefp-16, 0x1.0e8ba0dada88ep-15, 0x1.3f619a2b7b3bbp-15, 0x1.6f961b31a76fap-15, 0x1.9f2599817d414p-15, 0x1.ce0cca1c6f533p-15, 0x1.fc489f4d42cb3p-15, 0x1.14eb2348c1032p-14, 0x1.2b5993491a924p-14, 0x1.416e6e9638a2p-14, 0x1.57289ec14878ap-14, 0x1.6c87270db1afbp-14, 0x1.8189238bc2b8p-14, 0x1.962dc82fe59e2p-14, 0x1.aa745ff8717f3p-14, 0x1.be5c4c1507968p-14, 0x1.d1e503165311cp-14, 0x1.e50e1021c3f8p-14, 0x1.f7d7122aea238p-14, 0x1.051fdd99958e1p-13, 0x1.0e23e7c680228p-13, 0x1.16f792934c467p-13, 0x1.1f9ad16b7a1dp-13, 0x1.280d9fdabbb9bp-13, 0x1.30500136ecb94p-13, 0x1.3862004fb883fp-13, 0x1.4043af1f4ec7p-13, 0x1.47f5267dc5612p-13, 0x1.4f7685d6133bdp-13, 0x1.56c7f2de0c5cp-13, 0x1.5de9994fbe21p-13, 0x1.64dbaaa56b737p-13, 0x1.6b9e5dd662ed8p-13, 0x1.7231ef1747b7ep-13, 0x1.78969f9c05577p-13, 0x1.7eccb55ab793bp-13, 0x1.84d47ad0ea3dep-13, 0x1.8aae3ecab8276p-13, 0x1.905a542ba9c03p-13, 0x1.95d911b8ee7c7p-13, 0x1.9b2ad1e59fbe6p-13, 0x1.a04ff2a0be00ep-13, 0x1.a548d5244e3d7p-13, 0x1.aa15ddc5f7ed4p-13, 0x1.aeb773c919bd9p-13, 0x1.b32e01335bf97p-13, 0x1.b779f2a17bb2ep-13, 0x1.bb9bb71df2668p-13, 0x1.bf93bff8abd6bp-13, 0x1.c36280a0da22ap-13, 0x1.c7086e7e9b06ap-13, 0x1.ca8600cf834e7p-13, 0x1.cddbb082f43cp-13, 0x1.d109f81958067p-13, 0x1.d41153827fdeap-13, 0x1.d6f23ffe658aep-13, 0x1.d9ad3bfeabf6p-13, 0x1.dc42c7095ccc5p-13, 0x1.deb3619c7f2b7p-13, 0x1.e0ff8d12ca0c1p-13, 0x1.e327cb895a142p-13, 0x1.e52c9fc64a643p-13, 0x1.e70e8d2028448p-13, 0x1.e8ce17662a478p-13, 0x1.ea6bc2c9d51cfp-13, 0x1.ebe813c9174a6p-13, 0x1.ed438f19809dfp-13, 0x1.ee7eb9938e57dp-13, 0x1.ef9a181fbd4b3p-13, 0x1.f0962fa3a6cd9p-13, 0x1.f17384f021f5p-13, 0x1.f2329cb01e62dp-13, 0x1.f2d3fb5839818p-13, 0x1.f35825172b07ap-13, 0x1.f3bf9dc62fae4p-13, 0x1.f40ae8dad6c94p-13, 0x1.f43a8958ee7f5p-13, 0x1.f44f01c56c362p-13, 0x1.f448d419dc197p-13, 0x1.f42881b826344p-13, 0x1.f3ee8b5f04faep-13, 0x1.f39b711f05a47p-13, 0x1.f32fb24ff834cp-13, 0x1.f2abcd8703747p-13, 0x1.f210408d3e382p-13, 0x1.f15d885678639p-13, 0x1.f09420f90a09ep-13, 0x1.efb485a54ec8cp-13, 0x1.eebf309e34c2ap-13, 0x1.edb49b31d74e8p-13, 0x1.ec953db2a45ddp-13, 0x1.eb618f710e654p-13, 0x1.ea1a06b55dcc4p-13, 0x1.e8bf18ba17e14p-13, 0x1.e75139a6631a6p-13, 0x1.e5d0dc895aed9p-13, 0x1.e43e7355017acp-13, 0x1.e29a6eda23819p-13, 0x1.e0e53ec42ded7p-13, 0x1.df1f5195a49c7p-13, 0x1.dd4914a47e207p-13, 0x1.db62f416f57efp-13, 0x1.d96d5ae0afb54p-13, 0x1.d768b2c02864bp-13, 0x1.d555643c1bcb4p-13, 0x1.d333d6a1a794ap-13, 0x1.d104700219b45p-13, 0x1.cec79531976b9p-13, 0x1.cc7da9c55e88p-13, 0x1.ca271012a60eep-13, 0x1.c7c4292d75e6fp-13, 0x1.c55554e7ed4c1p-13, 0x1.c2daf1d18cdd5p-13, 0x1.c0555d36b4022p-13, 0x1.bdc4f32064912p-13, 0x1.bb2a0e53ff425p-13, 0x1.b88508537aa0ep-13, 0x1.b5d6395d5020bp-13, 0x1.b31df86cef695p-13, 0x1.b05c9b3b5a28dp-13, 0x1.ad92763f6ed68p-13, 0x1.aabfdcaeed01dp-13, 0x1.a7e5207f25dc9p-13, 0x1.a502926618dbep-13, 0x1.a21881db5966ep-13, 0x1.9f273d197f3c2p-13, 0x1.9c2f111f3f777p-13, 0x1.993049b0ff316p-13, 0x1.962b315a2b924p-13, 0x1.9320116f2b04dp-13, 0x1.900f320e8cc13p-13, 0x1.8cf8da2328d59p-13, 0x1.89dd4f65e7038p-13, 0x1.86bcd65f7acdep-13, 0x1.8397b26aaebdep-13, 0x1.806e25b64e60ep-13, 0x1.7d4071472898p-13, 0x1.7a0ed4fa7ee4ap-13, 0x1.76d98f8805ea8p-13, 0x1.73a0de845689dp-13, 0x1.7064fe633e8bp-13, 0x1.6d262a7a1b344p-13, 0x1.69e49d0244147p-13, 0x1.66a08f1bc42bbp-13, 0x1.635a38cf7adacp-13, 0x1.6011d111f2c49p-13, 0x1.5cc78dc5e1511p-13, 0x1.597ba3bed252cp-13, 0x1.562e46c3bef49p-13, 0x1.52dfa991b3118p-13, 0x1.4f8ffddea1625p-13, 0x1.4c3f745bfb52p-13, 0x1.48ee3cb99816p-13, 0x1.459c85a84634dp-13, 0x1.424a7cdcb1b74p-13, 0x1.3ef84f123f8bp-13, 0x1.3ba6280d99a1ap-13, 0x1.3854329fd094ap-13, 0x1.350298a906646p-13, 0x1.31b1831b326f5p-13, 0x1.2e6119fd24761p-13, 0x1.2b11846d32f4dp-13, 0x1.27c2e8a43ff4ap-13, 0x1.24756bf858147p-13, 0x1.212932dfccf8ep-13, 0x1.1dde60f3d0bbp-13, 0x1.1a9518f37c86cp-13, 0x1.174d7cc6845bbp-13, 0x1.1407ad803dabbp-13, 0x1.10c3cb623e64p-13, 0x1.0d81f5df4b3a3p-13, 0x1.0a424b9e2bd9bp-13, 0x1.0704ea7c5dbe1p-13, 0x1.03c9ef91181ep-13, 0x1.0091772fcfee9p-13, 0x1.fab739d663cbfp-14, 0x1.f450f72fa8ddep-14, 0x1.edf05a9df7401p-14, 0x1.e79596e2828d8p-14, 0x1.e140dd530835cp-14, 0x1.daf25ddea513cp-14, 0x1.d4aa4713a9058p-14, 0x1.ce68c624ca2f7p-14, 0x1.c82e06ee61422p-14, 0x1.c1fa33fbf6d02p-14, 0x1.bbcd768d3cec3p-14, 0x1.b5a7f69b5d729p-14, 0x1.af89dade20b02p-14, 0x1.a97348d13babdp-14, 0x1.a36464b90ab7ap-14, 0x1.9d5d51a80b808p-14, 0x1.975e31838c73ep-14, 0x1.91672508deef3p-14, 0x1.8b784bd21e6cdp-14, 0x1.8591c45b45e0ap-14, 0x1.7fb3ac06b40fep-14, 0x1.79de1f225dee6p-14, 0x1.741138ec4a22dp-14, 0x1.6e4d13973efcp-14, 0x1.6891c84fc39fcp-14, 0x1.62df6f4054675p-14, 0x1.5d361f965d07dp-14, 0x1.5795ef86560dbp-14, 0x1.51fef450a2049p-14, 0x1.4c714245c6b06p-14, 0x1.46ececcac45c8p-14, 0x1.4172065daceffp-14, 0x1.3c00a099af931p-14, 0x1.3698cc3b7f4ecp-14, 0x1.313a99257fd77p-14, 0x1.2be61663d132fp-14, 0x1.269b5230ad27ap-14, 0x1.215a59f817babp-14, 0x1.1c233a5c4039ep-14, 0x1.16f5ff39421e5p-14, 0x1.11d2b3a90461ep-14, 0x1.0cb9620766a6dp-14, 0x1.07aa13f5aa5fep-14, 0x1.02a4d25e8d0ep-14, 0x1.fb534af3caf01p-15, 0x1.f17129a06779cp-15, 0x1.e7a34e7d12f7ep-15, 0x1.dde9c5f3a2f8p-15, 0x1.d4449b2537cfdp-15, 0x1.cab3d7f0eae65p-15, 0x1.c13784fae68e1p-15, 0x1.b7cfa9b2fdf82p-15, 0x1.ae7c4c5bbfa65p-15, 0x1.a53d72108304ap-15, 0x1.9c131ecca44a8p-15, 0x1.92fd557163f62p-15, 0x1.89fc17cc8e3d7p-15, 0x1.810f669e8a187p-15, 0x1.783741a0ed3d5p-15, 0x1.6f73a78bed5c7p-15, 0x1.66c4961d19f18p-15, 0x1.5e2a0a1cc7029p-15, 0x1.55a3ff63f42cdp-15, 0x1.4d3270e22cd82p-15, 0x1.44d558a32f7ddp-15, 0x1.3c8cafd4507b6p-15, 0x1.34586eca31334p-15, 0x1.2c388d0608364p-15, 0x1.242d013b09d9cp-15, 0x1.1c35c15376bb4p-15, 0x1.1452c2760d589p-15, 0x1.0c83f90ac612p-15, 0x1.04c958c03b081p-15, 0x1.fa45a92067adp-16, 0x1.eb20bd897aebcp-16, 0x1.dc23d1f9c1ad3p-16, 0x1.cd4ec86251afbp-16, 0x1.bea1817110e2bp-16, 0x1.b01bdc99433b1p-16, 0x1.a1bdb81ccd64fp-16, 0x1.9386f114f2276p-16, 0x1.8577637ac58f5p-16, 0x1.778eea2fe8e23p-16, 0x1.69cd5f06b167bp-16, 0x1.5c329aca71c9ep-16, 0x1.4ebe754792755p-16, 0x1.4170c553a718p-16, 0x1.344960d4dc3a8p-16, 0x1.27481cc9d0effp-16, 0x1.1a6ccd511cef6p-16, 0x1.0db745b0e9695p-16, 0x1.0127585dce84p-16, 0x1.e979ae0439dafp-17, 0x1.d0ef250a7fdb6p-17, 0x1.b8aeb623d7923p-17, 0x1.a0b8003a8f3c5p-17, 0x1.890aa0db8a3bap-17, 0x1.71a63442545cp-17, 0x1.5a8a556669811p-17, 0x1.43b69e07b6bcp-17, 0x1.2d2aa6bb149bep-17, 0x1.16e606f5f8987p-17, 0x1.00e8551a1a863p-17, 0x1.d6624d03360ddp-18, 0x1.ab801f15679a2p-18, 0x1.812947443b1e9p-18, 0x1.575cea9c9f329p-18, 0x1.2e1a2c7405247p-18, 0x1.05602e7e4ffd3p-18, 0x1.ba5c21c53a785p-19, 0x1.6b05e49b6c1bdp-19, 0x1.1cbbe01086666p-19, 0x1.9ef898233e25dp-20, 0x1.068abc1ad2d24p-20, 0x1.c0aa48d5721e2p-22, -0x1.215c1e35c3446p-23, -0x1.6cf65068044f1p-21, -0x1.46c80148a74d9p-20, -0x1.d515b8cfd598p-20, -0x1.30b3fdf2e5eeap-19, -0x1.75e13d5b7f117p-19, -0x1.ba14742203a55p-19, -0x1.fd4f7d0f7ap-19, -0x1.1fca1a0b2d28dp-18, -0x1.40723b1a2d49cp-18, -0x1.60a110ab52ca9p-18, -0x1.80578a1e5f4p-18, -0x1.9f96972e2fd8ep-18, -0x1.be5f27e2b493ap-18, -0x1.dcb22c832648dp-18, -0x1.fa90958a0d0d6p-18, -0x1.0bfda9cb38433p-17, -0x1.1a79abb0b89ebp-17, -0x1.28bcc8d8ec8f8p-17, -0x1.36c779a75c5afp-17, -0x1.449a367aa3443p-17, -0x1.523577a608f58p-17, -0x1.5f99b56c9638ep-17, -0x1.6cc767fb49e1p-17, -0x1.79bf0763e957bp-17, -0x1.86810b97d5a35p-17, -0x1.930dec6356996p-17, -0x1.9f66216893ebcp-17, -0x1.ab8a221a8b53cp-17, -0x1.b77a65b858e2fp-17, -0x1.c337634927f0ep-17, -0x1.cec1919772c63p-17, -0x1.da19672d2d2ffp-17, -0x1.e53f5a4f042a7p-17, -0x1.f033e0f8cabfep-17, -0x1.faf770d966a3p-17, -0x1.02c53fa738ed2p-16, -0x1.07f6c0b098fbap-16, -0x1.0d1075e172a0ap-16, -0x1.121299649efep-16, -0x1.16fd65353d1fep-16, -0x1.1bd1131d5afdep-16, -0x1.208ddcb4256e3p-16, -0x1.2533fb5c6a3ddp-16, -0x1.29c3a8430e08dp-16, -0x1.2e3d1c5d8d9a2p-16, -0x1.32a09068c983ap-16, -0x1.36ee3ce774092p-16, -0x1.3b265a20a1a21p-16, -0x1.3f49201eb445ep-16, -0x1.4356c6ae14482p-16, -0x1.474f855bf0687p-16, -0x1.4b33937505d09p-16, -0x1.4f032804962fbp-16, -0x1.52be79d342743p-16, -0x1.5665bf6615cccp-16, -0x1.59f92efd7c7c3p-16, -0x1.5d78fe940eb94p-16, -0x1.60e563de18584p-16, -0x1.643e9448525f6p-16, -0x1.6784c4f70f2d7p-16, -0x1.6ab82ac58cd0ep-16, -0x1.6dd8fa453f725p-16, -0x1.70e767bcac0e4p-16, -0x1.73e3a726f97cdp-16, -0x1.76cdec33300d2p-16, -0x1.79a66a437920cp-16, -0x1.7c6d546c93608p-16, -0x1.7f22dd7539f9ap-16, -0x1.81c737d586172p-16, -0x1.845a95b666b12p-16, -0x1.86dd28f105a06p-16, -0x1.894f230e81b93p-16, -0x1.8bb0b5472a13ap-16, -0x1.8e02108241841p-16, -0x1.9043655592859p-16, -0x1.9274e404ecccdp-16, -0x1.9496bc82248fdp-16, -0x1.96a91e6c1fb06p-16, -0x1.98ac390ef4b84p-16, -0x1.9aa03b638991ep-16, -0x1.9c85540f71aabp-16, -0x1.9e5bb1644c8a1p-16, -0x1.a023815feb49ep-16, -0x1.a1dcf1ac129e4p-16, -0x1.a3882f9e10303p-16, -0x1.a5256836b1f85p-16, -0x1.a6b4c8221991ap-16, -0x1.a8367bb7cb5b6p-16, -0x1.a9aaaefa62dp-16, -0x1.ab118d977e58p-16, -0x1.ac6b42e7a1beep-16, -0x1.adb7f9ee6e678p-16, -0x1.aef7dd5a3a17dp-16, -0x1.b02b178464b8ap-16, -0x1.b151d2711d3f2p-16, -0x1.b26c37cf603cp-16, -0x1.b37a70f91e0c5p-16, -0x1.b47ca6f34e4dep-16, -0x1.b573026def271p-16, -0x1.b65dabc408286p-16, -0x1.b73ccafbcab9fp-16, -0x1.b81087c69da26p-16, -0x1.b8d9098155f45p-16, -0x1.b9967734680dbp-16, -0x1.ba48f793e0637p-16, -0x1.baf0b0ff83ee7p-16, -0x1.bb8dc98318f27p-16, -0x1.bc2066d6ac2b6p-16, -0x1.bca8ae5e85459p-16, -0x1.bd26c52b7d561p-16, -0x1.bd9acffb004b3p-16, -0x1.be04f3379d0a8p-16, -0x1.be6552f8f08bp-16, -0x1.bebc13042d4cdp-16, -0x1.bf0956cc12b41p-16, -0x1.bf4d41713740ap-16, -0x1.bf87f5c29458ep-16, -0x1.bfb9963d8fa7ep-16, -0x1.bfe2450e53beep-16, -0x1.c002240ffeeb8p-16, -0x1.c01954cd00e4cp-16, -0x1.c027f87fa242dp-16, -0x1.c02e3012098a3p-16, -0x1.c02c1c1e8c98cp-16, -0x1.c021dcf03de12p-16, -0x1.c00f9283422a9p-16, -0x1.bff55c84e79fap-16, -0x1.bfd35a54330a2p-16, -0x1.bfa9ab020f619p-16, -0x1.bf786d51edc35p-16, -0x1.bf3fbfb9db107p-16, -0x1.beffc06335838p-16, -0x1.beb88d2aa1e17p-16, -0x1.be6a43a0af0cp-16, -0x1.be15010a6900dp-16, -0x1.bdb8e2614112p-16, -0x1.bd560453b1787p-16, -0x1.bcec8345c2a2p-16, -0x1.bc7c7b5160f17p-16, -0x1.bc060846c3c91p-16, -0x1.bb8945acb70a6p-16, -0x1.bb064ec11595cp-16, -0x1.ba7d3e796c23ep-16, -0x1.b9ee2f83156p-16, -0x1.b9593c438c0d7p-16, -0x1.b8be7ed9840d7p-16, -0x1.b81e111cb22b5p-16, -0x1.b7780c9e8df1bp-16, -0x1.b6cc8aaa82aa6p-16, -0x1.b61ba44678476p-16, -0x1.b5657233500bbp-16, -0x1.b4aa0ced7d4e4p-16, -0x1.b3e98cad224cep-16, -0x1.b3240966c5095p-16, -0x1.b2599acbc06adp-16, -0x1.b18a584a6563ap-16, -0x1.b0b6590eacec7p-16, -0x1.afddb402d17fep-16, -0x1.af007fcf989a3p-16, -0x1.ae1ed2dca2b56p-16, -0x1.ad38c3510e226p-16, -0x1.ac4e6713f188ep-16, -0x1.ab5fd3cc96fdbp-16, -0x1.aa6d1ee345c55p-16, -0x1.a9765d819af5bp-16, -0x1.a87ba492f4d3dp-16, -0x1.a77d08c4841edp-16, -0x1.a67a9e8669693p-16, -0x1.a5747a0bed4d6p-16, -0x1.a46aaf4be3dep-16, -0x1.a35d520127dddp-16, -0x1.a24c75aafb4ebp-16, -0x1.a1382d8da0ecdp-16, -0x1.a0208cb2c057cp-16, -0x1.9f05a5e9df212p-16, -0x1.9de78bc90f2d8p-16, -0x1.9cc650ace3e59p-16, -0x1.9ba206b934c44p-16, -0x1.9a7abfd9a35ddp-16, -0x1.99508dc208e69p-16, -0x1.982381eed550fp-16, -0x1.96f3ada573763p-16, -0x1.95c121f4d9ec9p-16, -0x1.948befb5ea24ep-16, -0x1.9354278c26b8bp-16, -0x1.9219d9e5edc88p-16, -0x1.90dd16fcb91cfp-16, -0x1.8f9deed5cf6ap-16, -0x1.8e5c7142df3b8p-16, -0x1.8d18ade241402p-16, -0x1.8bd2b41f5de32p-16, -0x1.8a8a93331a1b5p-16, -0x1.89405a244ab55p-16, -0x1.87f417c857e63p-16, -0x1.86a5dac3b206dp-16, -0x1.8555b189de8c6p-16, -0x1.8403aa5e0ea25p-16, -0x1.82afd353bb875p-16, -0x1.815a3a4f2bdc2p-16, -0x1.8002ed0582c54p-16, -0x1.7ea9f8fd4c6e1p-16, -0x1.7d4f6b8f1331bp-16, -0x1.7bf351e5a4c7cp-16, -0x1.7a95b8feb465cp-16, -0x1.7936adab0b06p-16, -0x1.77d63c8ec8421p-16, -0x1.767472224df38p-16, -0x1.75115ab27e2cp-16, -0x1.73ad0260e9535p-16, -0x1.7247752436a32p-16, -0x1.70e0bec8e1a9ep-16, -0x1.6f78eaf17a6c6p-16, -0x1.6e100516fd4efp-16, -0x1.6ca618892764p-16, -0x1.6b3b306eeec21p-16, -0x1.69cf57c71cb81p-16, -0x1.686299688bc53p-16, -0x1.66f500025a09cp-16, -0x1.6586961c7e702p-16, -0x1.641766184c89fp-16, -0x1.62a77a30acc4dp-16, -0x1.6136dc7a6d1ebp-16, -0x1.5fc596e4b7524p-16, -0x1.5e53b3398a9e4p-16, -0x1.5ce13b1e266a7p-16, -0x1.5b6e381313a5dp-16, -0x1.59fab374b42b9p-16, -0x1.5886b67be7c6p-16, -0x1.57124a3e261f9p-16, -0x1.559d77ad9c4ep-16, -0x1.54284799fd114p-16, -0x1.52b2c2b0cf5e9p-16, -0x1.513cf17d9a551p-16, -0x1.4fc6dc6a26179p-16, -0x1.4e508bbf1bc4bp-16, -0x1.4cda07a472fd9p-16, -0x1.4b6358217638ep-16, -0x1.49ec851d32734p-16, -0x1.4875965ee6274p-16, -0x1.46fe938e989f8p-16, -0x1.45878434d8642p-16, -0x1.44106fbb7c581p-16, -0x1.42995d6df01acp-16, -0x1.412254798a8p-16, -0x1.3fab5bedaa62cp-16, -0x1.3e347abc2e42bp-16, -0x1.3cbdb7ba051a4p-16, -0x1.3b47199f364bdp-16, -0x1.39d0a7071077cp-16, -0x1.385a6670d2d2dp-16, -0x1.36e45e4000036p-16, -0x1.356e94bc4883ap-16, -0x1.33f910122fa4dp-16, -0x1.3283d6535fdd8p-16, -0x1.310eed76d776fp-16, -0x1.2f9a5b5908f9dp-16, -0x1.2e2625bc7e084p-16, -0x1.2cb2524a28ca1p-16, -0x1.2b3ee6915865fp-16, -0x1.29cbe808198f9p-16, -0x1.28595c0be93bdp-16, -0x1.26e747e18511cp-16, -0x1.2575b0b54bf97p-16, -0x1.24049b9ba6978p-16, -0x1.22940d916abdep-16, -0x1.21240b7bc5152p-16, -0x1.1fb49a28ce453p-16, -0x1.1e45be4fc100ap-16, -0x1.1cd77c912e9eap-16, -0x1.1b69d97724934p-16, -0x1.19fcd975d8a76p-16, -0x1.189080ebaa693p-16, -0x1.1724d4212d435p-16, -0x1.15b9d749bac33p-16, -0x1.144f8e83d5518p-16, -0x1.12e5fdd8ffd7bp-16, -0x1.117d293e2f9ap-16, -0x1.1015149436242p-16, -0x1.0eadc3a7c201bp-16, -0x1.0d473a319f985p-16, -0x1.0be17bd74b6e8p-16, -0x1.0a7c8c2acf953p-16, -0x1.09186eab10c1fp-16, -0x1.07b526c439ac3p-16, -0x1.0652b7cfefa7bp-16, -0x1.04f1251551ec2p-16, -0x1.039071c963818p-16, -0x1.0230a10f77567p-16, -0x1.00d1b5f8ec844p-16, -0x1.fee7670ba814fp-17, -0x1.fc2d394a22779p-17, -0x1.f974e868d1bfcp-17, -0x1.f6be7a01badebp-17, -0x1.f409f38dff9p-17, -0x1.f1575a65bbc34p-17, -0x1.eea6b3c0b56e1p-17, -0x1.ebf804b74bc73p-17, -0x1.e94b524220cecp-17, -0x1.e6a0a13a89b6ap-17, -0x1.e3f7f65bb370ep-17, -0x1.e151564274912p-17, -0x1.deacc56d955bfp-17, -0x1.dc0a483ec4c57p-17, -0x1.d969e2fa6bc43p-17, -0x1.d6cb99c860057p-17, -0x1.d42f70b462bf5p-17, -0x1.d1956bae2f19fp-17, -0x1.cefd8e89cc55p-17, -0x1.cc67dd00a6cdep-17, -0x1.c9d45ab10fbc7p-17, -0x1.c7430b1ee2eedp-17, -0x1.c4b3f1b43f40ap-17, -0x1.c22711c1726e5p-17, -0x1.bf9c6e7d7958p-17, -0x1.bd140b06734c8p-17, -0x1.ba8dea61cd456p-17, -0x1.b80a0f7ca2756p-17, -0x1.b5887d2c63751p-17, -0x1.b309362ea2612p-17, -0x1.b08c3d29b4432p-17, -0x1.ae1194ad555bcp-17, -0x1.ab993f32541c4p-17, -0x1.a9233f1b21436p-17, -0x1.a6af96b4caa04p-17, -0x1.a43e48361e938p-17, -0x1.a1cf55c0d37ebp-17, -0x1.9f62c161aa5acp-17, -0x1.9cf88d10ae213p-17, -0x1.9a90bab159448p-17, -0x1.982b4c13273e6p-17, -0x1.95c842f1c41ebp-17, -0x1.9367a0f558edp-17, -0x1.910967b2d3b77p-17, -0x1.8ead98abfbbf7p-17, -0x1.8c54355062265p-17, -0x1.89fd3efcbf133p-17, -0x1.87a8b6fbe25f9p-17, -0x1.85569e86d4bc5p-17, -0x1.8306f6c507412p-17, -0x1.80b9c0cc88be7p-17, -0x1.7e6efda27797ep-17, -0x1.7c26ae3b18d2ep-17, -0x1.79e0d37a487fcp-17, -0x1.779d6e33ac2a3p-17, -0x1.755c7f2aa5e13p-17, -0x1.731e07133acc6p-17, -0x1.70e20691b12c8p-17, -0x1.6ea87e3aeb267p-17, -0x1.6c716e9540603p-17, -0x1.6a3cd817c2a76p-17, -0x1.680abb2b45ac7p-17, -0x1.65db182a2b21p-17, -0x1.63adef60fa09bp-17, -0x1.6183410dee55bp-17, -0x1.5f5b0d623e91cp-17, -0x1.5d3554812cad1p-17, -0x1.5b12168145e8bp-17, -0x1.58f1536bb5e79p-17, -0x1.56d30b3d542d4p-17, -0x1.54b73de62269bp-17, -0x1.529deb49ef532p-17, -0x1.5087134072076p-17, -0x1.4e72b5957266ap-17, -0x1.4c60d208fed43p-17, -0x1.4a51684fb1d24p-17, -0x1.48447812e7797p-17, -0x1.463a00f0b9de7p-17, -0x1.4432027c8ab32p-17, -0x1.422c7c3ece19p-17, -0x1.40296db5b2ab2p-17, -0x1.3e28d654c3188p-17, -0x1.3c2ab5859fe84p-17, -0x1.3a2f0aa7e640fp-17, -0x1.3835d51138693p-17, -0x1.363f140dddcp-17, -0x1.344ac6e082759p-17, -0x1.3258ecc29d4a9p-17, -0x1.306984e47b863p-17, -0x1.2e7c8e6db9271p-17, -0x1.2c92087cc5abdp-17, -0x1.2aa9f227f52bbp-17, -0x1.28c44a7cb64a6p-17, -0x1.26e110809a179p-17, -0x1.25004330c237p-17, -0x1.2321e182b8c2dp-17, -0x1.2145ea63c2ecbp-17, -0x1.1f6c5cba00ca4p-17, -0x1.1d953763aba4p-17, -0x1.1bc07937e8ccbp-17, -0x1.19ee210679ef1p-17, -0x1.181e2d984e08ep-17, -0x1.16509daf2a841p-17, -0x1.148570064a9abp-17, -0x1.12bca35224d4bp-17, -0x1.10f63640bd768p-17, -0x1.0f322779be23ep-17, -0x1.0d70759e903f1p-17, -0x1.0bb11f4a98248p-17, -0x1.09f423132c3afp-17, -0x1.08397f87ff742p-17, -0x1.06813332d2c1ap-17, -0x1.04cb3c980479ep-17, -0x1.03179a3664888p-17, -0x1.01664a8786ddap-17, -0x1.ff6e97ff456dap-18, -0x1.fc153a1c28a6ap-18, -0x1.f8c07839fed87p-18, -0x1.f5704f23bd32ap-18, -0x1.f224bb9ab637fp-18, -0x1.eeddba56d2866p-18, -0x1.eb9b4807323f7p-18, -0x1.e85d615204f85p-18, -0x1.e52402d4e4cep-18, -0x1.e1ef29251e74ap-18, -0x1.debed0cfa643p-18, -0x1.db92f6599ecd9p-18, -0x1.d86b964059c38p-18, -0x1.d548acf991941p-18, -0x1.d22a36f3a4cf2p-18, -0x1.cf103095dabdfp-18, -0x1.cbfa96405fee1p-18, -0x1.c8e9644cbf3fap-18, -0x1.c5dc970dc2311p-18, -0x1.c2d42ad0054f2p-18, -0x1.bfd01bd980e15p-18, -0x1.bcd0666aca004p-18, -0x1.b9d506bdb2f2p-18, -0x1.b6ddf9077165p-18, -0x1.b3eb3976a4049p-18, -0x1.b0fcc4356c059p-18, -0x1.ae129568211bdp-18, -0x1.ab2ca92e82b67p-18, -0x1.a84afba337294p-18, -0x1.a56d88dc33b98p-18, -0x1.a2944ceb3314dp-18, -0x1.9fbf43dce9d33p-18, -0x1.9cee69bac7d1p-18, -0x1.9a21ba891720bp-18, -0x1.9759324955ddcp-18, -0x1.9494ccf81ea4bp-18, -0x1.91d4868f6cc81p-18, -0x1.8f185b04f0012p-18, -0x1.8c60464b9ac5ap-18, -0x1.89ac4452b6cb4p-18, -0x1.86fc5106e9e1ap-18, -0x1.845068516b9b3p-18, -0x1.81a886193e523p-18, -0x1.7f04a6420fcb2p-18, -0x1.7c64c4adcbdcdp-18, -0x1.79c8dd3afdad5p-18, -0x1.7730ebc718837p-18, -0x1.749cec2bff1c7p-18, -0x1.720cda43168a8p-18, -0x1.6f80b1e230745p-18, -0x1.6cf86edef0ac8p-18, -0x1.6a740d0bd6923p-18, -0x1.67f3883afa54cp-18, -0x1.6576dc3c1e0fap-18, -0x1.62fe04de30985p-18, -0x1.6088fdeec2915p-18, -0x1.5e17c339f1a92p-18, -0x1.5baa508b69fe4p-18, -0x1.5940a1ad10db5p-18, -0x1.56dab26913062p-18, -0x1.54787e878c13ap-18, -0x1.521a01d1643d6p-18, -0x1.4fbf380d9ae68p-18, -0x1.4d681d03f4e1fp-18, -0x1.4b14ac7acf02cp-18, -0x1.48c4e2391075ep-18, -0x1.4678ba04e6c96p-18, -0x1.44302fa4baa18p-18, -0x1.41eb3eded65f2p-18, -0x1.3fa9e37992827p-18, -0x1.3d6c193b9d269p-18, -0x1.3b31dbeba0f1p-18, -0x1.38fb2750fcac4p-18, -0x1.36c7f733022a5p-18, -0x1.34984759f4c6cp-18, -0x1.326c138e34afdp-18, -0x1.304357994aaa6p-18, -0x1.2e1e0f44e0575p-18, -0x1.2bfc365c03e1dp-18, -0x1.29ddc8aa04055p-18, -0x1.27c2c1fbb3bc7p-18, -0x1.25ab1e1e6a97cp-18, -0x1.2396d8e0c4b3fp-18, -0x1.2185ee128ffdbp-18, -0x1.1f78598478e54p-18, -0x1.1d6e17091a755p-18, -0x1.1b6722735f8f9p-18, -0x1.19637798c7ff2p-18, -0x1.1763124efc335p-18, -0x1.1565ee6e667b8p-18, -0x1.136c07cfdca9cp-18, -0x1.11755a4eb90bdp-18, }}, 
      {{-0x1.16fa2711b74c1p-1, -0x1.172e83b0fe7ffp-1, -0x1.177699a79bc0ep-1, -0x1.17d141087a06ap-1, -0x1.183d114feb858p-1, -0x1.18b86c34bf9cep-1, -0x1.1941886107ffep-1, -0x1.19d67bb23743dp-1, -0x1.1a7544c3bf2b5p-1, -0x1.1b1bd3a0f40ccp-1, -0x1.1bc8118d34cbep-1, -0x1.1c77e7de34932p-1, -0x1.1d2945ed1929bp-1, -0x1.1dda262905bc8p-1, -0x1.1e88925966f41p-1, -0x1.1f32a7207815dp-1, -0x1.1fd696cf79592p-1, -0x1.2072ab9e47715p-1, -0x1.210549579a8a2p-1, -0x1.218cee8a7b8bdp-1, -0x1.220835507a594p-1, -0x1.2275d3b70e1bfp-1, -0x1.22d49bd95660bp-1, -0x1.23237bb63593bp-1, -0x1.23617ccd97a06p-1, -0x1.238dc38e82847p-1, -0x1.23a78e9e88f55p-1, -0x1.23ae36022a459p-1, -0x1.23a12a2cc32c4p-1, -0x1.237ff2fdd9c8ep-1, -0x1.234a2eb0c9909p-1, -0x1.22ff90c321075p-1, -0x1.229fe0d56afd2p-1, -0x1.222af98987454p-1, -0x1.21a0c76141385p-1, -0x1.2101479f5d8dap-1, -0x1.204c872cfc122p-1, -0x1.1f82a184d0b5fp-1, -0x1.1ea3bfa57027ap-1, -0x1.1db0170ba80abp-1, -0x1.1ca7e8b5a52d7p-1, -0x1.1b8b802f778fep-1, -0x1.1a5b32a95b957p-1, -0x1.19175e180c55ap-1, -0x1.17c0685f44348p-1, -0x1.1656be867619ap-1, -0x1.14dad3f7b6b17p-1, -0x1.134d21c8b9ccp-1, -0x1.11ae260db9d86p-1, -0x1.0ffe633612bbap-1, -0x1.0e3e5f7250ae1p-1, -0x1.0c6ea4236ddap-1, -0x1.0a8fbd52edcf7p-1, -0x1.08a239338b277p-1, -0x1.06a6a7aa20b28p-1, -0x1.049d99de79504p-1, -0x1.0287a1d3b0e5ep-1, -0x1.00655207d0e8ap-1, -0x1.fc6e7a34a33e5p-2, -0x1.f7fbeaf25ad74p-2, -0x1.f3741a28651c7p-2, -0x1.eed82a2c86a89p-2, -0x1.ea293b486bf5ep-2, -0x1.e5686b4210cedp-2, -0x1.e096d4ee3c844p-2, -0x1.dbb58fcc869dfp-2, -0x1.d6c5afac5829p-2, -0x1.d1c8445a6d2dbp-2, -0x1.ccbe595653ad9p-2, -0x1.c7a8f58f76401p-2, -0x1.c2891b2938ec9p-2, -0x1.bd5fc745c3185p-2, -0x1.b82df1d70b396p-2, -0x1.b2f48d75c159cp-2, -0x1.adb4873dbb2d3p-2, -0x1.a86ec6af8b865p-2, -0x1.a3242d96ea20ep-2, -0x1.9dd597f5a3a0cp-2, -0x1.9883dbf2bf866p-2, -0x1.932fc9cd95bb7p-2, -0x1.8dda2bd490dd4p-2, -0x1.8883c65f5b4c8p-2, -0x1.832d57cc38ffep-2, -0x1.7dd79880547afp-2, -0x1.78833aeacb758p-2, -0x1.7330eb8a3e11p-2, -0x1.6de150f4bd6c1p-2, -0x1.68950be1dab17p-2, -0x1.634cb736baeb2p-2, -0x1.5e08e813f8315p-2, -0x1.58ca2de5332cap-2, -0x1.5391127229623p-2, -0x1.4e5e19f1302e6p-2, -0x1.4931c31af4c3p-2, -0x1.440c873f5ca94p-2, -0x1.3eeeda5b6f061p-2, -0x1.39d92b302aed2p-2, -0x1.34cbe35a28031p-2, -0x1.2fc76769f6e07p-2, -0x1.2acc16fd1d971p-2, -0x1.25da4cd7a2452p-2, -0x1.20f25efe0a34dp-2, -0x1.1c149ecfbf055p-2, -0x1.17415921c5a0bp-2, -0x1.1278d659b4f83p-2, -0x1.0dbb5a88de021p-2, -0x1.0909258796e6cp-2, -0x1.046273109c9c1p-2, -0x1.ff8ef5b8ef298p-3, -0x1.f670e179c4646p-3, -0x1.ed6b09703514ep-3, -0x1.e47dc6483f04fp-3, -0x1.dba96983902b8p-3, -0x1.d2ee3daf58dffp-3, -0x1.ca4c8699c2924p-3, -0x1.c1c48186e292fp-3, -0x1.b95665652e302p-3, -0x1.b10263015a2c3p-3, -0x1.a8c8a5399da1cp-3, -0x1.a0a951304ce65p-3, -0x1.98a4867dc5625p-3, -0x1.90ba5f6197044p-3, -0x1.88eaf0f2f6bebp-3, -0x1.81364b505dea5p-3, -0x1.799c79ce64a08p-3, -0x1.721d8325bd8afp-3, -0x1.6ab969a0613bbp-3, -0x1.63702b45d694cp-3, -0x1.5c41c2069f488p-3, -0x1.552e23e6bec6bp-3, -0x1.4e35432759d26p-3, -0x1.47570e6f74ea7p-3, -0x1.409370f3c0cdp-3, -0x1.39ea529d8b147p-3, -0x1.335b9830b504dp-3, -0x1.2ce72370d035p-3, -0x1.268cd345440bfp-3, -0x1.204c83dc9675dp-3, -0x1.1a260ecec3965p-3, -0x1.14194b3eb60e8p-3, -0x1.0e260dfad467ep-3, -0x1.084c299cb0d6bp-3, -0x1.028b6ea7d4485p-3, -0x1.f9c7574f55d01p-4, -0x1.eea95a992ec02p-4, -0x1.e3bc7d104f1fcp-4, -0x1.d9005150f1963p-4, -0x1.ce7466e57cddep-4, -0x1.c4184a79ffd54p-4, -0x1.b9eb860e10251p-4, -0x1.afeda12502b03p-4, -0x1.a61e20f4ad4cbp-4, -0x1.9c7c88928cd53p-4, -0x1.9308591f74828p-4, -0x1.89c111f1c00d9p-4, -0x1.80a630be12715p-4, -0x1.77b731beaaa11p-4, -0x1.6ef38fd952c57p-4, -0x1.665ac4c3f2f95p-4, -0x1.5dec4927cd276p-4, -0x1.55a794c36cf0ap-4, -0x1.4d8c1e8b4e99ep-4, -0x1.45995cc9478e1p-4, -0x1.3dcec53ab6434p-4, -0x1.362bcd2d824eep-4, -0x1.2eafe99bf13bap-4, -0x1.275a8f475b363p-4, -0x1.202b32d1c47e3p-4, -0x1.192148d6621dbp-4, -0x1.123c4601122b6p-4, -0x1.0b7b9f24cfafdp-4, -0x1.04dec95125deep-4, -0x1.fcca73cd5cde8p-5, -0x1.f01ccd5537e25p-5, -0x1.e3b38bb2b88ecp-5, -0x1.d78d9c70ab728p-5, -0x1.cba9ee4d903c4p-5, -0x1.c007715bae76ep-5, -0x1.b4a5171f86dfep-5, -0x1.a981d2acb566ep-5, -0x1.9e9c98c145f0ap-5, -0x1.93f45fdf8fedep-5, -0x1.89882066a1906p-5, -0x1.7f56d4a9441e7p-5, -0x1.755f7903aaa2ep-5, -0x1.6ba10befcd151p-5, -0x1.621a8e1885ca5p-5, -0x1.58cb026b72f29p-5, -0x1.4fb16e29a924fp-5, -0x1.46ccd8f744b54p-5, -0x1.3e1c4ce9df194p-5, -0x1.359ed695f4549p-5, -0x1.2d53851b41906p-5, -0x1.25396a302713cp-5, -0x1.1d4f9a2c16682p-5, -0x1.15952c11140d2p-5, -0x1.0e09399455e2p-5, -0x1.06aadf260b498p-5, -0x1.fef277f09bf24p-6, -0x1.f0e6e40a9c351p-6, -0x1.e3314c2971613p-6, -0x1.d5cfff80cbf0ap-6, -0x1.c8c152f0aa1b6p-6, -0x1.bc03a10bf3815p-6, -0x1.af954a1dd33e8p-6, -0x1.a374b42dce4d9p-6, -0x1.97a04b02b1a8ep-6, -0x1.8c1680245f351p-6, -0x1.80d5cadc834e2p-6, -0x1.75dca83646ab4p-6, -0x1.6b299afcfeb67p-6, -0x1.60bb2bb9f2dbap-6, -0x1.568fe8b139a05p-6, -0x1.4ca665ddbae27p-6, -0x1.42fd3cec6118dp-6, -0x1.39930d368bep-6, -0x1.30667bbbbc172p-6, -0x1.2776331a9719ap-6, -0x1.1ec0e3893c29bp-6, -0x1.164542ccfad26p-6, -0x1.0e020c3173669p-6, -0x1.05f6007f268aap-6, -0x1.fc3fcbe3051edp-7, -0x1.ecfd1058d904p-7, -0x1.de217062ad101p-7, -0x1.cfaa98a7c9e21p-7, -0x1.c196405c57acep-7, -0x1.b3e229290bfcep-7, -0x1.a68c1f123875ep-7, -0x1.9991f85e11b75p-7, -0x1.8cf1957a74c6cp-7, -0x1.80a8e0e20aa07p-7, -0x1.74b5cf00ed1eap-7, -0x1.69165e18cd36bp-7, -0x1.5dc89624afa89p-7, -0x1.52ca88bc37af3p-7, -0x1.481a50f6a7191p-7, -0x1.3db6134d7c259p-7, -0x1.339bfd7ecbd3ap-7, -0x1.29ca466f5f88ap-7, -0x1.203f2e0c90b54p-7, -0x1.16f8fd2dfe571p-7, -0x1.0df6057714081p-7, -0x1.0534a1386a5adp-7, -0x1.f96666a236c79p-8, -0x1.e8e04e1feaaf9p-8, -0x1.d8d3e02948e2p-8, -0x1.c93e1461b56dfp-8, -0x1.ba1bf292e05b3p-8, -0x1.ab6a926f1582ep-8, -0x1.9d271b5392511p-8, -0x1.8f4ec40b18535p-8, -0x1.81ded29080e77p-8, -0x1.74d49bd19dc14p-8, -0x1.682d83723e51p-8, -0x1.5be6fb8f8e1b1p-8, -0x1.4ffe84839f89p-8, -0x1.4471aca962891p-8, -0x1.393e1020dd9abp-8, -0x1.2e615893d9b32p-8, -0x1.23d93cfae052p-8, -0x1.19a38162a7ed8p-8, -0x1.0fbdf6b1febfcp-8, -0x1.06267a701f21cp-8, -0x1.f9b5ed16ebcc7p-9, -0x1.e7b2c241f8f3cp-9, -0x1.d63f7888178a6p-9, -0x1.c5582b8d592e7p-9, -0x1.b4f90e0505c11p-9, -0x1.a51e69447f833p-9, -0x1.95c49cd7518eep-9, -0x1.86e81e1452ba2p-9, -0x1.788577b4125c7p-9, -0x1.6a994968654fap-9, -0x1.5d2047752da12p-9, -0x1.50173a4a5f33cp-9, -0x1.437afe1f50862p-9, -0x1.3748828f2fa41p-9, -0x1.2b7cca36d1df9p-9, -0x1.2014ea53c19a7p-9, -0x1.150e0a64abe85p-9, -0x1.0a6563caf6dcfp-9, -0x1.0018416daac05p-9, -0x1.ec47febb8a78cp-10, -0x1.d90c14f77eb36p-10, -0x1.c677c03cd4a5p-10, -0x1.b4861b763d756p-10, -0x1.a332611e6214dp-10, -0x1.9277ea957d5ebp-10, -0x1.82522f7994247p-10, -0x1.72bcc50145815p-10, -0x1.63b35d59174f9p-10, -0x1.5531c70390f0fp-10, -0x1.4733ec3bb2b2ep-10, -0x1.39b5d25a20801p-10, -0x1.2cb3993d022p-10, -0x1.20297ab1fda4ap-10, -0x1.1413c9e31c50bp-10, -0x1.086ef2c5fd76ep-10, -0x1.fa6ef31b84555p-11, -0x1.e4d3f43e8c067p-11, -0x1.d0064f0f76b12p-11, -0x1.bbff96ebad531p-11, -0x1.a8b98b6ace1bfp-11, -0x1.962e175a815ep-11, -0x1.84574fbf60a8ep-11, -0x1.732f72da0d4bap-11, -0x1.62b0e73143d66p-11, -0x1.52d63aa05ebd5p-11, -0x1.439a216a91c03p-11, -0x1.34f77552b58d9p-11, -0x1.26e934b75170bp-11, -0x1.196a81b300512p-11, -0x1.0c76a1415a719p-11, -0x1.0008fa6802348p-11, -0x1.e83a2ac83e389p-12, -0x1.d15d35b877874p-12, -0x1.bb72a62b161ecp-12, -0x1.a6724a5b9f3f2p-12, -0x1.92542cb2639c7p-12, -0x1.7f1092479e302p-12, -0x1.6c9ff96fb2278p-12, -0x1.5afb184daf41cp-12, -0x1.4a1adb6dd5f72p-12, -0x1.39f86467de9d3p-12, -0x1.2a8d08883cec4p-12, -0x1.1bd24f80eb827p-12, -0x1.0dc1f221cdcdap-12, -0x1.0055d9175bff6p-12, -0x1.e71037601c42bp-13, -0x1.cea5fd52b221bp-13, -0x1.b761e605dc9cdp-13, -0x1.a13929b0c553ap-13, -0x1.8c215484e513bp-13, -0x1.7810447a786f6p-13, -0x1.64fc2729f1caap-13, -0x1.52db77b367c38p-13, -0x1.41a4fcb01912p-13, -0x1.314fc6313e06ap-13, -0x1.21d32bca6c813p-13, -0x1.1326caa740e8ap-13, -0x1.054283ab22016p-13, -0x1.f03cf33ab8fa8p-14, -0x1.d7661ebf9ecfdp-14, -0x1.bff1cc6032733p-14, -0x1.a9d1b7e6da639p-14, -0x1.94f8131af2603p-14, -0x1.8157827d417c1p-14, -0x1.6ee31a1dfe1f6p-14, -0x1.5d8e5a830b40ep-14, -0x1.4d4d2da1aaf6ap-14, -0x1.3e13e3ebb7d7fp-14, -0x1.2fd7316f0cee5p-14, -0x1.228c2b0635725p-14, -0x1.162843992f8f9p-14, -0x1.0aa14971c3ab2p-14, -0x1.ffdac73de49d4p-15, -0x1.ec061ed4aa05cp-15, -0x1.d9b23bb9193ffp-15, -0x1.c8cd62a5dd86dp-15, -0x1.b9467643fbddap-15, -0x1.ab0cf2912ce52p-15, -0x1.9e10e864fbabdp-15, -0x1.9242f91045019p-15, -0x1.8794521b00e9ep-15, -0x1.7df6a91edfd55p-15, -0x1.755c37ba653ap-15, -0x1.6db7b79ef6681p-15, -0x1.66fc5eba80d0bp-15, -0x1.611ddb78aa1d6p-15, -0x1.5c10511e07ceap-15, -0x1.57c8543c0d824p-15, -0x1.543ae73d2c374p-15, -0x1.515d77068977ep-15, -0x1.4f25d7b0a8a5ep-15, -0x1.4d8a415727eb3p-15, -0x1.4c814cfcece8ep-15, -0x1.4c01f18800aebp-15, -0x1.4c0380cf16652p-15, -0x1.4c7da4bdf9a6ap-15, -0x1.4d685c8cd2f1cp-15, -0x1.4ebbfa09c589cp-15, -0x1.50711ef68adf6p-15, -0x1.5280ba771d06ap-15, -0x1.54e406942b2e9p-15, -0x1.579485cdf8234p-15, -0x1.5a8c00c1af118p-15, -0x1.5dc483dd47d4dp-15, -0x1.61385d265360ep-15, -0x1.64e21a0de8373p-15, -0x1.68bc8556554c1p-15, -0x1.6cc2a50621485p-15, -0x1.70efb86c837d2p-15, -0x1.753f3631a4d01p-15, -0x1.79acca7631ab4p-15, -0x1.7e3455016468p-15, -0x1.82d1e77a9e69p-15, -0x1.8781c3b1bae64p-15, -0x1.8c4059f21a65p-15, -0x1.910a4764c813cp-15, -0x1.95dc547c8002ap-15, -0x1.9ab3736ed8a5dp-15, -0x1.9f8cbeb81e2b9p-15, -0x1.a46577abba265p-15, -0x1.a93b050cc820cp-15, -0x1.ae0af1b48d276p-15, -0x1.b2d2eb404bfd4p-15, -0x1.b790c0cc33f4ap-15, -0x1.bc4261b53530ap-15, -0x1.c0e5dc66e2c56p-15, -0x1.c5795d30640b9p-15, -0x1.c9fb2d2579f2ep-15, -0x1.ce69b1049ac41p-15, -0x1.d2c3682944787p-15, -0x1.d706eb83813fap-15, -0x1.db32ec99cbb4p-15, -0x1.df4634924ea55p-15, -0x1.e33fa34385284p-15, -0x1.e71e2e4c3f99ap-15, -0x1.eae0e0344faecp-15, -0x1.ee86d792304d8p-15, -0x1.f20f46396cf0dp-15, -0x1.f579706eeb6aep-15, -0x1.f8c4ac237abcp-15, -0x1.fbf060357c498p-15, -0x1.fefc03b877026p-15, -0x1.00f38ea12e1efp-14, -0x1.0258a11f81d11p-14, -0x1.03ad0b24be93ep-14, -0x1.04f0a545333b2p-14, -0x1.06234e8dec8eep-14, -0x1.0744ec3974b29p-14, -0x1.08556966a5f8bp-14, -0x1.0954b6d27d4e4p-14, -0x1.0a42ca93f48cp-14, -0x1.0b1f9fda4ef56p-14, -0x1.0beb36addd1f3p-14, -0x1.0ca593b276683p-14, -0x1.0d4ebfec9d8cfp-14, -0x1.0de6c8881515dp-14, -0x1.0e6dbea129539p-14, -0x1.0ee3b70f5c852p-14, -0x1.0f48ca32665ddp-14, -0x1.0f9d13c089a39p-14, -0x1.0fe0b29713621p-14, -0x1.1013c88c99985p-14, -0x1.10367a4499b85p-14, -0x1.1048ef052191fp-14, -0x1.104b508d90e75p-14, -0x1.103dcaef30a44p-14, -0x1.10208c67175ap-14, -0x1.0ff3c539dc84fp-14, -0x1.0fb7a7902ca41p-14, -0x1.0f6c675506183p-14, -0x1.0f123a1554366p-14, -0x1.0ea956e084c0ap-14, -0x1.0e31f62a7ed01p-14, -0x1.0dac51af1f378p-14, -0x1.0d18a45610697p-14, -0x1.0c772a188fc8ap-14, -0x1.0bc81fe7c84e8p-14, -0x1.0b0bc39473425p-14, -0x1.0a4253b766e79p-14, -0x1.096c0f9b14f2dp-14, -0x1.0889372620936p-14, -0x1.079a0ac6a3c4cp-14, -0x1.069ecb5ea2ba4p-14, -0x1.0597ba3128fccp-14, -0x1.048518d0427c9p-14, -0x1.0367290bc5f7cp-14, -0x1.023e2ce0e108p-14, -0x1.010a666a6ed96p-14, -0x1.ff982fa40101dp-15, -0x1.fd0706832e40dp-15, -0x1.fa61d5ac55016p-15, -0x1.f7a921253b7adp-15, -0x1.f4dd6ca6ebe93p-15, -0x1.f1ff3b865821fp-15, -0x1.ef0f109e2d99ep-15, -0x1.ec0d6e39eb27dp-15, -0x1.e8fad601d628p-15, -0x1.e5d7c8e7f8ccp-15, -0x1.e2a4c7164c88ep-15, -0x1.df624fddcce81p-15, -0x1.dc10e1a67d2e4p-15, -0x1.d8b0f9e094008p-15, -0x1.d54314f6131f8p-15, -0x1.d1c7ae3dad7c5p-15, -0x1.ce3f3fee2deb9p-15, -0x1.caaa4312c18d4p-15, -0x1.c7092f8007a43p-15, -0x1.c35c7bca0917dp-15, -0x1.bfa49d3a682a5p-15, -0x1.bbe207c7c2119p-15, -0x1.b8152e0d75cd6p-15, -0x1.b43e8143f32e2p-15, -0x1.b05e7139f015p-15, -0x1.ac756c4e0a828p-15, -0x1.a883df68c3ff2p-15, -0x1.a48a35f761cc8p-15, -0x1.a088d9e7129f3p-15, -0x1.9c8033a0b6d69p-15, -0x1.9870aa04ef52p-15, -0x1.945aa268cf7c2p-15, -0x1.903e8092f1559p-15, -0x1.8c1ca6b8c26cep-15, -0x1.87f5757c6cd72p-15, -0x1.83c94beb41dd5p-15, -0x1.7f98877c325ap-15, -0x1.7b63840ed95e6p-15, -0x1.772a9bea9e423p-15, -0x1.72ee27be798d7p-15, -0x1.6eae7ea0a32f6p-15, -0x1.6a6bf60ef7bbfp-15, -0x1.6626e1ef3c282p-15, -0x1.61df948ffc15bp-15, -0x1.5d965ea98df45p-15, -0x1.594b8f5eefdcbp-15, -0x1.54ff743fa88c8p-15, -0x1.50b259491e64fp-15, -0x1.4c6488e86b6e7p-15, -0x1.48164bfca3925p-15, -0x1.43c7e9d8d7184p-15, -0x1.3f79a846a204p-15, -0x1.3b2bcb888a721p-15, -0x1.36de965cdf38cp-15, -0x1.32924a004d652p-15, -0x1.2e47263128c85p-15, -0x1.29fd69324fa31p-15, -0x1.25b54fce8760ap-15, -0x1.216f155bdc8ebp-15, -0x1.1d2af3bee37ddp-15, -0x1.18e9236e96affp-15, -0x1.14a9db779c275p-15, -0x1.106d518037a62p-15, -0x1.0c33b9cc20772p-15, -0x1.07fd47403ac05p-15, -0x1.03ca2b669b0d4p-15, -0x1.ff352ce513b3dp-16, -0x1.f6dd6e88fac56p-16, -0x1.ee8d76dcacf08p-16, -0x1.e6459e6ed7361p-16, -0x1.de063b41c2614p-16, -0x1.d5cfa0d3447f1p-16, -0x1.cda22025e040bp-16, -0x1.c57e07c8d28d9p-16, -0x1.bd63a3e12716dp-16, -0x1.b5533e321c60fp-16, -0x1.ad4d1e260d1b8p-16, -0x1.a55188d7097d7p-16, -0x1.9d60c1177ab7ap-16, -0x1.957b077b19fd5p-16, -0x1.8da09a5f82abep-16, -0x1.85d1b5f5456dcp-16, -0x1.7e0e94483f4b4p-16, -0x1.76576d4904b6fp-16, -0x1.6eac76d4daf1ap-16, -0x1.670de4bf19001p-16, -0x1.5f7be8d957d2ap-16, -0x1.57f6b2fc6e596p-16, -0x1.507e7110f036ep-16, -0x1.49134f17f0e74p-16, -0x1.41b577334dd8fp-16, -0x1.3a6511ae8c3cfp-16, -0x1.33224506e46edp-16, -0x1.2bed35f435634p-16, -0x1.24c60770c6906p-16, -0x1.1dacdac23ccccp-16, -0x1.16a1cf811fb0fp-16, -0x1.0fa503a1cf2eep-16, -0x1.08b6937c175cbp-16, -0x1.01d699d36ab29p-16, -0x1.f60a5fbdc547cp-17, -0x1.e884daa274e92p-17, -0x1.db1cd0c11b0d9p-17, -0x1.cdd26b9c4f595p-17, -0x1.c0a5d1dc65c6cp-17, -0x1.b397275ea4a4cp-17, -0x1.a6a68d44b157ep-17, -0x1.99d42202e1342p-17, -0x1.8d20016f8dbe3p-17, -0x1.808a44d196852p-17, -0x1.741302ee7f8adp-17, -0x1.67ba50191e591p-17, -0x1.5b803e3f733dap-17, -0x1.4f64dcf8c2cc6p-17, -0x1.43683992ec1b2p-17, -0x1.378a5f20db78ap-17, -0x1.2bcb56870d87bp-17, -0x1.202b26898605ep-17, -0x1.14a9d3d847cd6p-17, -0x1.0947611d00868p-17, -0x1.fc079e0daa54fp-18, -0x1.e5be38af45418p-18, -0x1.cfb28be0293ddp-18, -0x1.b9e48db7d6299p-18, -0x1.a45430bc148c3p-18, -0x1.8f0163f89b491p-18, -0x1.79ec131633e8dp-18, -0x1.6514267227cecp-18, -0x1.507983349186dp-18, -0x1.3c1c0b66b6249p-18, -0x1.27fb9e097f34dp-18, -0x1.1418172a72747p-18, -0x1.00714ff93474ap-18, -0x1.da0e3db9cddbap-19, -0x1.b3b2af0fb0e9fp-19, -0x1.8dcf961952e65p-19, -0x1.68648fe3a94fp-19, -0x1.4371348b3e469p-19, -0x1.1ef51761d5d8bp-19, -0x1.f5df8e29e8238p-20, -0x1.aec19ba5f222ap-20, -0x1.688f62dee217ap-20, -0x1.2347e70e9704cp-20, -0x1.bdd44690a26fbp-21, -0x1.36ea157cfa767p-21, -0x1.639e241bb0b0fp-22, -0x1.740825cec4c05p-24, 0x1.4c0960e3c14a8p-23, 0x1.a57ab0683a3d6p-22, 0x1.50b25bd3e274dp-21, 0x1.cce3d069ea5bdp-21, 0x1.23aa17c13b657p-20, 0x1.6002ff3612231p-20, 0x1.9b7de6e3724e3p-20, 0x1.d61c1c86200d6p-20, 0x1.07ef7988f2e84p-19, 0x1.2463e13bdc5ddp-19, 0x1.406bf3b94976p-19, 0x1.5c0861a79eedbp-19, 0x1.7739dddd1e5ep-19, 0x1.92011d46796aep-19, 0x1.ac5ed6cd115b3p-19, 0x1.c653c34011116p-19, 0x1.dfe09d3b4b2a8p-19, 0x1.f906211077b46p-19, 0x1.08e2865834e8bp-18, 0x1.150f0fc9fa0a7p-18, 0x1.21090d530b03ep-18, 0x1.2cd0e017e258dp-18, 0x1.3866e9e0b6bdfp-18, 0x1.43cb8d0fc07f5p-18, 0x1.4eff2c971a061p-18, 0x1.5a022beece7b4p-18, 0x1.64d4ef0b9cd9dp-18, 0x1.6f77da54f74b5p-18, 0x1.79eb529c716edp-18, 0x1.842fbd14c6938p-18, 0x1.8e457f48ed34fp-18, 0x1.982cff13c461bp-18, 0x1.a1e6a297ecf1dp-18, 0x1.ab72d0376f6edp-18, 0x1.b4d1ee8bda2d2p-18, 0x1.be04645e85719p-18, 0x1.c70a98a12971cp-18, 0x1.cfe4f2668274ap-18, 0x1.d893d8db43ec7p-18, 0x1.e117b33f08f87p-18, 0x1.e970e8dd80dacp-18, 0x1.f19fe10821749p-18, 0x1.f9a5030f4ffc9p-18, 0x1.00c05b1e2082ep-17, 0x1.0499b0e56af75p-17, 0x1.085eb671ef04ap-17, 0x1.0c0f9f4b84afcp-17, 0x1.0fac9eead2772p-17, 0x1.1335e8b683cf3p-17, 0x1.16abb00093cbdp-17, 0x1.1a0e2803cfb45p-17, 0x1.1d5d83e125fffp-17, 0x1.2099f69d69301p-17, 0x1.23c3b31ef4d64p-17, 0x1.26daec2b450dap-17, 0x1.29dfd464d807ep-17, 0x1.2cd29e48fcddfp-17, 0x1.2fb37c2db994ep-17, 0x1.3282a03fdb123p-17, 0x1.35403c80d9f94p-17, 0x1.37ec82c50ba0ep-17, 0x1.3a87a4b1d42f6p-17, 0x1.3d11d3bbcc9cp-17, 0x1.3f8b4125298a3p-17, 0x1.41f41dfbedf9ep-17, 0x1.444c9b1888c1p-17, 0x1.4694e91c091b7p-17, 0x1.48cd386ecc6dfp-17, 0x1.4af5b93ee725dp-17, 0x1.4d0e9b7ee19e1p-17, 0x1.4f180ee4672ep-17, 0x1.511242e6eebc6p-17, 0x1.52fd66be8195ep-17, 0x1.54d9a9628a9f1p-17, 0x1.56a73988b9d8ep-17, 0x1.586645a3e425bp-17, 0x1.5a16fbe2f8ac2p-17, 0x1.5bb98a300050fp-17, 0x1.5d4e1e2f21832p-17, 0x1.5ed4e53db9a69p-17, 0x1.604e0c718aab8p-17, 0x1.61b9c097d75aap-17, 0x1.63182e34953fbp-17, 0x1.64698181b9f55p-17, 0x1.65ade66e75b51p-17, 0x1.66e5889e751cp-17, 0x1.681093694cba6p-17, 0x1.692f31d9ea673p-17, 0x1.6a418eadf2666p-17, 0x1.6b47d4552dda6p-17, 0x1.6c422cf111b5ep-17, 0x1.6d30c25442cb1p-17, 0x1.6e13be021cbd6p-17, 0x1.6eeb492e5001bp-17, 0x1.6fb78cbc7a1b3p-17, 0x1.7078b13fcdb24p-17, 0x1.712edefab7c9bp-17, 0x1.71da3dde9a919p-17, 0x1.727af58b7e242p-17, 0x1.73112d4fdf85dp-17, 0x1.739d0c28758fp-17, 0x1.741eb8bfebbefp-17, 0x1.7496596ecb2d4p-17, 0x1.7504143b43c5ep-17, 0x1.75680ed9153a7p-17, 0x1.75c26ea9722f7p-17, 0x1.761358baf907ap-17, 0x1.765af1c998823p-17, 0x1.76995e3e85a44p-17, 0x1.76cec2303e9abp-17, 0x1.76fb41627dc1dp-17, 0x1.771eff4643bbcp-17, 0x1.773a1ef9fb781p-17, 0x1.774cc34966065p-17, 0x1.77570eadb8da2p-17, 0x1.7759234db92c9p-17, 0x1.775322fde174ap-17, 0x1.77452f406e5fap-17, 0x1.772f69459423dp-17, 0x1.7711f1eba5699p-17, 0x1.76ece9bf3d169p-17, 0x1.76c070fb6818cp-17, 0x1.768ca789d4f56p-17, 0x1.7651ad0314a31p-17, 0x1.760fa0aede457p-17, 0x1.75c6a1843d4b9p-17, 0x1.7576ce29d80d2p-17, 0x1.752044f62dc35p-17, 0x1.74c323efe5cbap-17, 0x1.745f88ce11f35p-17, 0x1.73f590f87dba8p-17, 0x1.73855987fc26ep-17, 0x1.730eff46c9c32p-17, 0x1.72929eb0c6448p-17, 0x1.721053f3dadcfp-17, 0x1.71883af0497ebp-17, 0x1.70fa6f390d6aep-17, 0x1.70670c143d312p-17, 0x1.6fce2c7b69cd1p-17, 0x1.6f2feb1bf68fap-17, 0x1.6e8c62577f716p-17, 0x1.6de3ac443c82dp-17, 0x1.6d35e2ad72557p-17, 0x1.6c831f13ce37ap-17, 0x1.6bcb7aadd52c9p-17, 0x1.6b0f0e6858a7fp-17, 0x1.6a4df2e6d2c9bp-17, 0x1.69884083e3bfcp-17, 0x1.68be0f51b3c51p-17, 0x1.67ef771a64fbbp-17, 0x1.671c8f6096922p-17, 0x1.66456f5fd249fp-17, 0x1.656a2e0cf43b4p-17, 0x1.648ae216a9a71p-17, 0x1.63a7a1e5e442p-17, 0x1.62c0839e5906ap-17, 0x1.61d59d1eedbc6p-17, 0x1.60e7040234e8p-17, 0x1.5ff4cd9ef261bp-17, 0x1.5eff0f0895d48p-17, 0x1.5e05dd0fa6d43p-17, 0x1.5d094c424691dp-17, 0x1.5c0970ecaeadbp-17, 0x1.5b065f19aa46p-17, 0x1.5a002a9328f63p-17, 0x1.58f6e6e2a0d68p-17, 0x1.57eaa7519bb78p-17, 0x1.56db7eea31a1dp-17, 0x1.55c980778a8ap-17, 0x1.54b4be8655ee2p-17, 0x1.539d4b65552fep-17, 0x1.52833925d04fcp-17, 0x1.5166999c2d3fdp-17, 0x1.50477e60632dep-17, 0x1.4f25f8ce6a7e4p-17, 0x1.4e021a06d0a82p-17, 0x1.4cdbf2ef2e628p-17, 0x1.4bb39432ae634p-17, 0x1.4a890e42941eep-17, 0x1.495c7156ae5abp-17, 0x1.482dcd6de1869p-17, 0x1.46fd324ea5431p-17, 0x1.45caaf8784a4fp-17, 0x1.4496546f9ce21p-17, 0x1.436030271d018p-17, 0x1.42285197c4f75p-17, 0x1.40eec7756d1c9p-17, 0x1.3fb3a03e83b54p-17, 0x1.3e76ea3c8265p-17, 0x1.3d38b3846f4f4p-17, 0x1.3bf909f760864p-17, 0x1.3ab7fb42f00e3p-17, 0x1.397594e1c7396p-17, 0x1.3831e41c2260fp-17, 0x1.36ecf60842be4p-17, 0x1.35a6d78add886p-17, 0x1.345f9557a6975p-17, 0x1.33173bf1d1a96p-17, 0x1.31cdd7ac7b4dcp-17, 0x1.308374ab2d9f8p-17, 0x1.2f381ee263b46p-17, 0x1.2debe217fae2ep-17, 0x1.2c9ec9e3a8ef4p-17, 0x1.2b50e1af8280fp-17, 0x1.2a0234b85f953p-17, 0x1.28b2ce0e56dc4p-17, 0x1.2762b8954196ap-17, 0x1.2611ff0530bf9p-17, 0x1.24c0abead3846p-17, 0x1.236ec9a7f6cf1p-17, 0x1.221c6273fc2b9p-17, 0x1.20c9805c48e48p-17, 0x1.1f762d44bb08dp-17, 0x1.1e2272e81d254p-17, 0x1.1cce5ad88c4ccp-17, 0x1.1b79ee7ffeb34p-17, 0x1.1a253720bb263p-17, 0x1.18d03dd5a6952p-17, 0x1.177b0b92c916dp-17, 0x1.1625a925b2a55p-17, 0x1.14d01f35ef6b3p-17, 0x1.137a76457b0e8p-17, 0x1.1224b6b1221c7p-17, 0x1.10cee8b0f4523p-17, 0x1.0f791458b0fc9p-17, 0x1.0e2341982b215p-17, 0x1.0ccd783bbbec3p-17, 0x1.0b77bfeca1f1bp-17, 0x1.0a2220316d455p-17, 0x1.08cca06e6cdb7p-17, 0x1.077747e60aea6p-17, 0x1.06221db93847bp-17, 0x1.04cd28e7d5092p-17, 0x1.03787051151c2p-17, 0x1.0223fab3da584p-17, 0x1.00cfceaf17812p-17, 0x1.fef7e58474f9cp-18, 0x1.fc50da9b218dbp-18, 0x1.f9aa892540222p-18, 0x1.f704fd692f156p-18, 0x1.f46043712af6ep-18, 0x1.f1bc670c1dc41p-18, 0x1.ef1973ce6bd6ep-18, 0x1.ec7775128c156p-18, 0x1.e9d675f9eb5b9p-18, 0x1.e736816d7a4aap-18, 0x1.e497a21e78c6bp-18, 0x1.e1f9e2872004dp-18, 0x1.df5d4ceb6b70bp-18, 0x1.dcc1eb59c835p-18, 0x1.da27c7ab98aa3p-18, 0x1.d78eeb85faedap-18, 0x1.d4f7605a80324p-18, 0x1.d2612f67d7f5dp-18, 0x1.cfcc61ba60b25p-18, 0x1.cd39002ce7403p-18, 0x1.caa7136947181p-18, 0x1.c816a3e90a4a7p-18, 0x1.c587b9f60d809p-18, 0x1.c2fa5dab21f8bp-18, 0x1.c06e96f4aae5ap-18, 0x1.bde46d9133066p-18, 0x1.bb5be91223acdp-18, 0x1.b8d510dc6d5bp-18, 0x1.b64fec28eb33cp-18, 0x1.b3cc82051111ep-18, 0x1.b14ad9539c817p-18, 0x1.aecaf8cd0aa2ep-18, 0x1.ac4ce70036fbp-18, 0x1.a9d0aa52e20e5p-18, 0x1.a756490268671p-18, 0x1.a4ddc9243da89p-18, 0x1.a26730a658ef4p-18, 0x1.9ff2855006a54p-18, 0x1.9d7fccc2406bbp-18, 0x1.9b0f0c783fd02p-18, 0x1.98a049c8106eap-18, 0x1.963389e30ec3fp-18, 0x1.93c8d1d66d573p-18, 0x1.9160268bcb787p-18, 0x1.8ef98cc9afcp-18, 0x1.8c95093408081p-18, 0x1.8a32a04c9864ap-18, 0x1.87d256738f001p-18, 0x1.85742fe7f9b48p-18, 0x1.831830c845bb3p-18, 0x1.80be5d12c801cp-18, 0x1.7e66b8a626f24p-18, 0x1.7c114741dc271p-18, 0x1.79be0c86933eep-18, 0x1.776d0bf6cd004p-18, 0x1.751e48f71e2eep-18, 0x1.72d1c6ceccebap-18, 0x1.708788a83595bp-18, 0x1.6e3f919132d7fp-18, 0x1.6bf9e47b9341dp-18, 0x1.69b6843d91c25p-18, 0x1.6775739239f5ep-18, 0x1.6536b519dd75cp-18, 0x1.62fa4b5a72185p-18, 0x1.60c038bff517cp-18, 0x1.5e887f9cddc93p-18, 0x1.5c53222a92a25p-18, 0x1.5a202289bf67dp-18, 0x1.57ef82c2b7767p-18, 0x1.55c144c5d6081p-18, 0x1.53956a6bee9c9p-18, 0x1.516bf576b70b5p-18, 0x1.4f44e7911025ap-18, 0x1.4d20424f6ae21p-18, 0x1.4afe073022938p-18, 0x1.48de379bf0c7cp-18, 0x1.46c0d4e626593p-18, 0x1.44a5e04d275f4p-18, 0x1.428d5afac565dp-18, 0x1.4077460473e24p-18, 0x1.3e63a26bb2d8cp-18, 0x1.3c52711e6cd2fp-18, 0x1.3a43b2f74f5c2p-18, 0x1.383768be0e74p-18, 0x1.362d9327b9df2p-18, 0x1.342632d715ed9p-18, 0x1.3221485cfb2bfp-18, 0x1.301ed4388e982p-18, 0x1.2e1ed6d7a19c4p-18, 0x1.2c215096f12ep-18, 0x1.2a2641c276cccp-18, 0x1.282daa95cccf6p-18, 0x1.26378b3c5beedp-18, 0x1.2443e3d1ab66bp-18, 0x1.2252b461aa74dp-18, 0x1.2063fce90bb81p-18, 0x1.1e77bd5573e19p-18, 0x1.1c8df585d6cep-18, 0x1.1aa6a54ab0e13p-18, 0x1.18c1cc663fce1p-18, 0x1.16df6a8cdac9bp-18, 0x1.14ff7f653a99bp-18, 0x1.13220a88a1117p-18, 0x1.11470b8322915p-18, 0x1.0f6e81d400d21p-18, 0x1.0d986ceddfa35p-18, 0x1.0bc4cc36ec1f2p-18, 0x1.09f39f0921d66p-18, 0x1.0824e4b29c62fp-18, 0x1.06589c75cf9bap-18, 0x1.048ec589b23d3p-18, 0x1.02c75f19fc2cp-18, 0x1.010268476ecc9p-18, 0x1.fe7fc0501f0cdp-19, 0x1.faff8b8e90abep-19, 0x1.f784304c60dd9p-19, 0x1.f40dac779749fp-19, 0x1.f09bfdea5972ep-19, 0x1.ed2f226b76c8dp-19, 0x1.e9c717aec60dbp-19, 0x1.e663db557293ap-19, 0x1.e3056aee88e57p-19, 0x1.dfabc3f76b37fp-19, 0x1.dc56e3dbf4948p-19, 0x1.d906c7f6fa8d1p-19, 0x1.d5bb6d92e1f5fp-19, 0x1.d274d1e9b9fe1p-19, 0x1.cf32f22598fe6p-19, 0x1.cbf5cb6125ac5p-19, 0x1.c8bd5aa7f355cp-19, 0x1.c5899cf6affedp-19, 0x1.c25a8f3b86f51p-19, 0x1.bf302e569f0e6p-19, 0x1.bc0a771a6c84p-19, 0x1.b8e9664bcc9eap-19, 0x1.b5ccf8a287fdap-19, 0x1.b2b52ac9b121bp-19, 0x1.afa1f95fd7ba6p-19, 0x1.ac9360f75fb22p-19, 0x1.a9895e16d961p-19, 0x1.a683ed39499b5p-19, 0x1.a3830ace802a1p-19, 0x1.a086b33b5981cp-19, 0x1.9d8ee2d9f7415p-19, 0x1.9a9b95fa3b8e7p-19, 0x1.97acc8e1f579p-19, 0x1.94c277cd10d3bp-19, 0x1.91dc9eedf7ap-19, 0x1.8efb3a6debfb9p-19, 0x1.8c1e466d14cf1p-19, 0x1.8945bf02e46a6p-19, 0x1.8671a03e6efc6p-19, 0x1.83a1e626810eap-19, 0x1.80d68cb9dd33bp-19, 0x1.7e0f8fefa73fdp-19, 0x1.7b4cebb79421bp-19, 0x1.788e9bf9ffca2p-19, 0x1.75d49c9854ef9p-19, 0x1.731ee96d461fap-19, 0x1.706d7e4cec4cbp-19, 0x1.6dc057050f705p-19, 0x1.6b176f5d64398p-19, 0x1.6872c317c3f74p-19, 0x1.65d24df05ab6ep-19, 0x1.63360b9dda91ap-19, 0x1.609df7d1bb162p-19, 0x1.5e0a0e387cba7p-19, 0x1.5b7a4a79a4d3p-19, 0x1.58eea83821e09p-19, 0x1.56672312865cbp-19, 0x1.53e3b6a30389bp-19, 0x1.51645e7fbf56ep-19, 0x1.4ee9163b145dbp-19, 0x1.4c71d96385329p-19, 0x1.49fea384177a1p-19, 0x1.478f7024906ffp-19, 0x1.45243ac968389p-19, 0x1.42bcfef4196dfp-19, 0x1.4059b8236243dp-19, 0x1.3dfa61d337d91p-19, 0x1.3b9ef77d07eeep-19, 0x1.39477497f28e5p-19, 0x1.36f3d498de356p-19, 0x1.34a412f2a0c4cp-19, 0x1.32582b162994bp-19, 0x1.30101872aeff8p-19, 0x1.2dcbd675c1673p-19, 0x1.2b8b608b79e73p-19, 0x1.294eb21ea4692p-19, 0x1.2715c698db509p-19, 0x1.24e099629ba7ep-19, 0x1.22af25e39010fp-19, 0x1.208167829158cp-19, 0x1.1e5759a5ae895p-19, 0x1.1c30f7b291cb6p-19, 0x1.1a0e3d0e6c39p-19, 0x1.17ef251e199b5p-19, 0x1.15d3ab4658e8ep-19, 0x1.13bbcaebd3c3ep-19, 0x1.11a77f73386b2p-19, 0x1.0f96c441735f8p-19, 0x1.0d8994bb9cf16p-19, 0x1.0b7fec4738aap-19, 0x1.0979c64a546c4p-19, 0x1.07771e2b8062dp-19, 0x1.0577ef5203754p-19, 0x1.037c3525f9d5ap-19, 0x1.0183eb10599cbp-19, 0x1.ff1e18f6299a9p-20, 0x1.fb3b29a267b0ap-20, 0x1.f75efefddba62p-20, 0x1.f3898fe35a277p-20, 0x1.efbad3308d11p-20, 0x1.ebf2bfc5fb815p-20, 0x1.e8314c871d725p-20, 0x1.e476705ab10acp-20, 0x1.e0c2222ac6252p-20, 0x1.dd1458e4dfbf6p-20, 0x1.d96d0b7a5bbdfp-20, 0x1.d5cc30e054f22p-20, 0x1.d231c00fd3862p-20, 0x1.ce9db0062811ep-20, 0x1.cb0ff7c4cda11p-20, 0x1.c7888e519d94dp-20, 0x1.c4076ab714d0bp-20, 0x1.c08c840435c0bp-20, 0x1.bd17d14cf955dp-20, 0x1.b9a949aa2b488p-20, 0x1.b640e439baccep-20, 0x1.b2de981ec2a4ep-20, 0x1.af825c81a5f31p-20, 0x1.ac2c28902abeap-20, 0x1.a8dbf37dacae7p-20, 0x1.a591b48319933p-20, 0x1.a24d62df20acap-20, 0x1.9f0ef5d67339cp-20, 0x1.9bd664b38bfaap-20, 0x1.98a3a6c6eb243p-20, 0x1.9576b367512c8p-20, 0x1.924f81f1ab319p-20, 0x1.8f2e09c953894p-20, 0x1.8c12425809afap-20, 0x1.88fc230e0f197p-20, 0x1.85eba36240916p-20, 0x1.82e0bad23c43fp-20, 0x1.7fdb60e23bb3bp-20, 0x1.7cdb8d1d75b8dp-20, 0x1.79e1371609c02p-20, 0x1.76ec566507ddap-20, 0x1.73fce2aaaa718p-20, 0x1.7112d38e326abp-20, 0x1.6e2e20be2588ep-20, 0x1.6b4ec1f050aabp-20, 0x1.6874aee1e6eeep-20, 0x1.659fdf576856dp-20, 0x1.62d04b1cea691p-20, 0x1.6005ea05efd7p-20, 0x1.5d40b3edb11f5p-20, 0x1.5a80a0b6e536ap-20, 0x1.57c5a84c00f1p-20, 0x1.550fc29f2a531p-20, 0x1.525ee7aa5fc5p-20, 0x1.4fb30f6f82732p-20, 0x1.4d0c31f842b41p-20, 0x1.4a6a475653eacp-20, 0x1.47cd47a350da8p-20, 0x1.45352b00ec138p-20, 0x1.42a1e998ce838p-20, 0x1.40137b9ccecccp-20, 0x1.3d89d946cc617p-20, 0x1.3b04fad8ea5p-20, 0x1.3884d89d6b85fp-20, 0x1.36096ae6db299p-20, 0x1.3392aa0fffeb9p-20, 0x1.31208e7bf43d4p-20, 0x1.2eb31096208c9p-20, 0x1.2c4a28d24db68p-20, 0x1.29e5cfac94e33p-20, 0x1.2785fda9846a8p-20, 0x1.252aab5609ec3p-20, 0x1.22d3d1478710cp-20, 0x1.2081681bee5bfp-20, 0x1.1e3368798f4b1p-20, 0x1.1be9cb0f53703p-20, 0x1.19a4889475cf3p-20, 0x1.176399c8f5023p-20, 0x1.1526f77521152p-20, 0x1.12ee9a6a1b7fcp-20, 0x1.10ba7b8168772p-20, 0x1.0e8a939d47b42p-20, 0x1.0c5edba87809cp-20, 0x1.0a374c9662f97p-20, 0x1.0813df62fb61ap-20, 0x1.05f48d12d750dp-20, 0x1.03d94eb32edebp-20, 0x1.01c21d59d9678p-20, 0x1.ff5de44ab774cp-21, 0x1.fb3f8c79bac17p-21, 0x1.f72925a0427a2p-21, 0x1.f31aa22f35be7p-21, 0x1.ef13f4a8a74f4p-21, 0x1.eb150fa0251b4p-21, 0x1.e71de5ba38bc2p-21, 0x1.e32e69acfacdfp-21, 0x1.df468e3f9b7e6p-21, 0x1.db66464adaae9p-21, 0x1.d78d84b872fe9p-21, 0x1.d3bc3c835ad34p-21, 0x1.cff260b7d4f09p-21, 0x1.cc2fe4737302fp-21, 0x1.c874bae4f9f3ap-21, 0x1.c4c0d74c5874cp-21, 0x1.c1142cfac0991p-21, 0x1.bd6eaf526ea54p-21, 0x1.b9d051c6f59d3p-21, 0x1.b63907dcb9c22p-21, 0x1.b2a8c5297debdp-21, 0x1.af1f7d53dbb81p-21, 0x1.ab9d2413d3a8p-21, 0x1.a821ad321fba4p-21, 0x1.a4ad0c88ab16cp-21, 0x1.a13f3602239c4p-21, 0x1.9dd81d9a4fe1ap-21, 0x1.9a77b75dcd091p-21, 0x1.971df76a36a38p-21, 0x1.93cad1edf6803p-21, 0x1.907e3b283e372p-21, 0x1.8d38276914c46p-21, 0x1.89f88b113cb46p-21, 0x1.86bf5a923a991p-21, 0x1.838c8a6e2cea9p-21, 0x1.80600f37cda44p-21, 0x1.7d39dd9260bedp-21, 0x1.7a19ea31ebc24p-21, 0x1.770029dac879dp-21, 0x1.73ec9162007ebp-21, 0x1.70df15acd515cp-21, 0x1.6dd7abb12bca6p-21, 0x1.6ad64874fb51ap-21, 0x1.67dae10ed2a9ap-21, 0x1.64e56aa52e3c8p-21, 0x1.61f5da6f0ee8cp-21, 0x1.5f0c25b35736ap-21, 0x1.5c2841c9433f5p-21, 0x1.594a2417f43adp-21, 0x1.5671c216b922cp-21, 0x1.539f114cb14eep-21, 0x1.50d2075116b4ep-21, 0x1.4e0a99cad74c4p-21, 0x1.4b48be70d4ed5p-21, 0x1.488c6b099cafp-21, 0x1.45d5956b88912p-21, 0x1.4324337c7a4f9p-21, 0x1.40783b3213a57p-21, 0x1.3dd1a2915be9ap-21, 0x1.3b305faf2197fp-21, 0x1.389468af6897p-21, 0x1.35fdb3c5d3981p-21, 0x1.336c3734fc3a1p-21, 0x1.30dfe94f07c38p-21, 0x1.2e58c0753afd7p-21, 0x1.2bd6b31808f58p-21, 0x1.2959b7b7295bcp-21, 0x1.26e1c4e12a0f9p-21, 0x1.246ed133e0cd2p-21, 0x1.2200d35bbbb3fp-21, 0x1.1f97c214725d9p-21, 0x1.1d33942808af2p-21, 0x1.1ad4406fbfcf4p-21, 0x1.1879bdd31ce31p-21, 0x1.16240348ad485p-21, 0x1.13d307d54c0a9p-21, 0x1.1186c28c9569p-21, 0x1.0f3f2a9073155p-21, 0x1.0cfc371149dc1p-21, 0x1.0abddf4dd184fp-21, 0x1.08841a92fbec1p-21, 0x1.064ee03c1c34cp-21, 0x1.041e27b261f88p-21, 0x1.01f1e86d6d8b3p-21, 0x1.ff9433e4e8ed4p-22, 0x1.fb4d67aa8b9e6p-22, 0x1.f70f5b6df22cdp-22, 0x1.f2d9fe8e2c9a5p-22, 0x1.eead40846d8aap-22, 0x1.ea8910e6bca2ap-22, 0x1.e66d5f6563857p-22, 0x1.e25a1bccc59b2p-22, 0x1.de4f3603a557bp-22, 0x1.da4c9e0c1e2f7p-22, 0x1.d6524402fda55p-22, 0x1.d260181fa03e7p-22, 0x1.ce760ab44a83bp-22, 0x1.ca940c2d03b3ep-22, }}, 
      {{-0x1.4aa054b604f6cp-12, -0x1.755c04cd522f1p-11, -0x1.4d9222e30b926p-10, -0x1.063d94d63fc66p-9, -0x1.7c61115ddf2ap-9, -0x1.04f80d5ce6c28p-8, -0x1.57d753502711p-8, -0x1.b7301f08e3894p-8, -0x1.11b04fd2b361fp-7, -0x1.4e604f91e51d9p-7, -0x1.91cf9e7fcde3fp-7, -0x1.dc2093da4e2c4p-7, -0x1.16b7d1b4e1308p-6, -0x1.42e971b2b6d49p-6, -0x1.72acde12dc355p-6, -0x1.a6065da5a066ep-6, -0x1.dcf6c266c0a61p-6, -0x1.0bbdb74a3dcc9p-5, -0x1.2ac73224ef19bp-5, -0x1.4b932eecb8694p-5, -0x1.6e1b76b109b9bp-5, -0x1.925851244b868p-5, -0x1.b84099b444c74p-5, -0x1.dfc9d677bd4d4p-5, -0x1.0474283c83c41p-4, -0x1.19c79678bbb7fp-4, -0x1.2fd8438a8508p-4, -0x1.469ec50c077ebp-4, -0x1.5e13459155ac7p-4, -0x1.762d9177df411p-4, -0x1.8ee5236ef3281p-4, -0x1.a83130a12500fp-4, -0x1.c208b46a9b05cp-4, -0x1.dc627b8c41657p-4, -0x1.f7352ecf711f7p-4, -0x1.093bae8898578p-3, -0x1.170fc25766603p-3, -0x1.25120e285915cp-3, -0x1.333dcd8939a03p-3, -0x1.418e400481036p-3, -0x1.4ffeac94fcc3dp-3, -0x1.5e8a64cc03cap-3, -0x1.6d2cc7acee02ap-3, -0x1.7be14440df587p-3, -0x1.8aa35be65bcc5p-3, -0x1.996ea46049ee6p-3, -0x1.a83ec9a835d9dp-3, -0x1.b70f8f87ab381p-3, -0x1.c5dcd2fc9b9bcp-3, -0x1.d4a28b6c91bb3p-3, -0x1.e35ccbaa83aafp-3, -0x1.f207c2d2d6e3cp-3, -0x1.004fde808d65bp-2, -0x1.079091f15e40cp-2, -0x1.0ec43f94f28bbp-2, -0x1.15e93a71afe5cp-2, -0x1.1cfde4d92b05ep-2, -0x1.2400b07a2feafp-2, -0x1.2af01e6828fa8p-2, -0x1.31cabf18f5499p-2, -0x1.388f325a326e1p-2, -0x1.3f3c273ed8d3fp-2, -0x1.45d05c060d854p-2, -0x1.4c4a9dfbde291p-2, -0x1.52a9c95496436p-2, -0x1.58ecc9035546bp-2, -0x1.5f12968c6502bp-2, -0x1.651a39d3dbdaep-2, -0x1.6b02c8e8f685bp-2, -0x1.70cb67ce911f5p-2, -0x1.767348411b0b6p-2, -0x1.7bf9a97a5bd82p-2, -0x1.815dd7f3495a7p-2, -0x1.869f2d2439556p-2, -0x1.8bbd0f43a5373p-2, -0x1.90b6f103b3607p-2, -0x1.958c514eb7a7ap-2, -0x1.9a3cbb02d23e7p-2, -0x1.9ec7c4acd64ffp-2, -0x1.a32d1042955ep-2, -0x1.a76c4adcb4c11p-2, -0x1.ab852c7022d6ap-2, -0x1.af7777874c69cp-2, -0x1.b342f8fb21bb7p-2, -0x1.b6e787ac09116p-2, -0x1.ba65043acb1d3p-2, -0x1.bdbb58c1939e4p-2, -0x1.c0ea788d105cbp-2, -0x1.c3f25fd5c3283p-2, -0x1.c6d31379947e5p-2, -0x1.c98ca0b5b78d4p-2, -0x1.cc1f1ce0e8d0dp-2, -0x1.ce8aa5261aa21p-2, -0x1.d0cf5e3f9491cp-2, -0x1.d2ed74329a381p-2, -0x1.d4e51a0b9c8e3p-2, -0x1.d6b6899b06f8dp-2, -0x1.d8620332af7ddp-2, -0x1.d9e7cd63f2efep-2, -0x1.db4834be8b248p-2, -0x1.dc838b9023991p-2, -0x1.dd9a29a4b8673p-2, -0x1.de8c6c07c621cp-2, -0x1.df5ab4c653d5ep-2, -0x1.e0056ab1dc081p-2, -0x1.e08cf924216c3p-2, -0x1.e0f1cfc3ef5b4p-2, -0x1.e134624ad021ap-2, -0x1.e155284bbf502p-2, -0x1.e1549cfada41fp-2, -0x1.e1333ef61a46bp-2, -0x1.e0f1900f14ec8p-2, -0x1.e0901515ccf78p-2, -0x1.e00f55a4963a3p-2, -0x1.df6fdbed0da0ap-2, -0x1.deb234862c066p-2, -0x1.ddd6ee3b72f73p-2, -0x1.dcde99dd3bb4bp-2, -0x1.dbc9ca122107ep-2, -0x1.da9913298dfbp-2, -0x1.d94d0aef6e689p-2, -0x1.d7e6488105c54p-2, -0x1.d6656422e74d6p-2, -0x1.d4caf718146ddp-2, -0x1.d3179b7a3ec3bp-2, -0x1.d14bec133218fp-2, -0x1.cf6884375c40fp-2, -0x1.cd6dffa17abedp-2, -0x1.cb5cfa4f6b923p-2, -0x1.c936106019409p-2, -0x1.c6f9ddf28993fp-2, -0x1.c4a8ff0603a07p-2, -0x1.c2440f5b54fb2p-2, -0x1.bfcbaa5728f0ap-2, -0x1.bd406ae578c43p-2, -0x1.baa2eb5e09f9ap-2, -0x1.b7f3c569fdbd2p-2, -0x1.b53391ea6d041p-2, -0x1.b262e8e006d7ap-2, -0x1.af826153ba76ep-2, -0x1.ac9291405d0adp-2, -0x1.a9940d7d4ee05p-2, -0x1.a68769aa183fp-2, -0x1.a36d381afba8fp-2, -0x1.a04609c678ad3p-2, -0x1.9d126e33bca97p-2, -0x1.99d2f369f83e9p-2, -0x1.968825e09babp-2, -0x1.9332907070cep-2, -0x1.8fd2bc458fc0dp-2, -0x1.8c6930d22a7fep-2, -0x1.88f673c227496p-2, -0x1.857b08ef8a927p-2, -0x1.81f77257a7c6ep-2, -0x1.7e6c3011131cp-2, -0x1.7ad9c04255c82p-2, -0x1.77409f1957ddfp-2, -0x1.73a146c380ac6p-2, -0x1.6ffc2f6687ebfp-2, -0x1.6c51cf19f1204p-2, -0x1.68a299e12b769p-2, -0x1.64ef01a658c3cp-2, -0x1.61377635abcddp-2, -0x1.5d7c653961655p-2, -0x1.59be3a364d443p-2, -0x1.55fd5e88f5dcfp-2, -0x1.523a39633a432p-2, -0x1.4e752fca7dc6cp-2, -0x1.4aaea49653fc9p-2, -0x1.46e6f86facc12p-2, -0x1.431e89d075aa9p-2, -0x1.3f55b503b0e6ep-2, -0x1.3b8cd425faef5p-2, -0x1.37c43f267d4e3p-2, -0x1.33fc4bc8492fep-2, -0x1.30354da412b51p-2, -0x1.2c6f962a4d788p-2, -0x1.28ab74a5a41dap-2, -0x1.24e9363dc7659p-2, -0x1.212925fa91447p-2, -0x1.1d6b8cc7755e5p-2, -0x1.19b0b177418fdp-2, -0x1.15f8d8c822a26p-2, -0x1.12444567f201dp-2, -0x1.0e9337f8c105p-2, -0x1.0ae5ef15a5be5p-2, -0x1.073ca757c0f8bp-2, -0x1.03979b5b7a4d8p-2, -0x1.ffee078be748ep-3, -0x1.f8b62e9555c2ep-3, -0x1.f188156297e7ap-3, -0x1.ea6421b75a3b2p-3, -0x1.e34ab597e7629p-3, -0x1.dc3c2f55bd455p-3, -0x1.d538e99c67ab7p-3, -0x1.ce413b7e9b11cp-3, -0x1.c75578838a6dcp-3, -0x1.c075f0b476fedp-3, -0x1.b9a2f0aa6976fp-3, -0x1.b2dcc19c236f6p-3, -0x1.ac23a96c2b401p-3, -0x1.a577eab70bbd6p-3, -0x1.9ed9c4e1a2e94p-3, -0x1.98497427991afp-3, -0x1.91c731a9e8dd8p-3, -0x1.8b53337d7dac3p-3, -0x1.84edacb9defffp-3, -0x1.7e96cd87ec134p-3, -0x1.784ec3309cecfp-3, -0x1.7215b82bca745p-3, -0x1.6bebd42ef766dp-3, -0x1.65d13c3c1e948p-3, -0x1.5fc612b071473p-3, -0x1.59ca77531d94ap-3, -0x1.53de876400751p-3, -0x1.4e025daa50d0dp-3, -0x1.483612833ab81p-3, -0x1.4279bbf06c886p-3, -0x1.3ccd6da68b70bp-3, -0x1.3731391b99e2ap-3, -0x1.31a52d9540fd1p-3, -0x1.2c29583704d9dp-3, -0x1.26bdc4105931ap-3, -0x1.21627a2aa001cp-3, -0x1.1c178197009d7p-3, -0x1.16dcdf7c29a22p-3, -0x1.11b29723e52f1p-3, -0x1.0c98aa08955c7p-3, -0x1.078f17e285994p-3, -0x1.0295deb516361p-3, -0x1.fb59f5b7924dp-4, -0x1.f1a8ce2e35bacp-4, -0x1.e818393276fcp-4, -0x1.dea8262538257p-4, -0x1.d558817ca1533p-4, -0x1.cc2934dc8eae5p-4, -0x1.c31a272e9f734p-4, -0x1.ba2b3cb9f9526p-4, -0x1.b15c573aab0f1p-4, -0x1.a8ad55f8a915cp-4, -0x1.a01e15de7e6c8p-4, -0x1.97ae718f968c8p-4, -0x1.8f5e417e24035p-4, -0x1.872d5c00b6ae9p-4, -0x1.7f1b956765c6ap-4, -0x1.7728c0109fa9cp-4, -0x1.6f54ac7d988b5p-4, -0x1.679f296657801p-4, -0x1.600803cd645e1p-4, -0x1.588f07131480ap-4, -0x1.5133fd087535p-4, -0x1.49f6ae01d8bd5p-4, -0x1.42d6e0e8ff93cp-4, -0x1.3bd45b4ee38f9p-4, -0x1.34eee17d21674p-4, -0x1.2e26368705d6bp-4, -0x1.277a1c5a35f7cp-4, -0x1.20ea53cefe967p-4, -0x1.1a769cb8412e5p-4, -0x1.141eb5f30599ep-4, -0x1.0de25d75ada42p-4, -0x1.07c1505eccc48p-4, -0x1.01bb4b03a4072p-4, -0x1.f7a011fc865b5p-5, -0x1.ebfe8a769fd6p-5, -0x1.e091740ee6cdbp-5, -0x1.d5584238dfefbp-5, -0x1.ca52675bbdd05p-5, -0x1.bf7f54eb311abp-5, -0x1.b4de7b7f8ba5p-5, -0x1.aa6f4aed3bb05p-5, -0x1.a031325ba0bcep-5, -0x1.9623a05b38e38p-5, -0x1.8c4602fb30e92p-5, -0x1.8297c7de4b15cp-5, -0x1.79185c4f3245p-5, -0x1.6fc72d5425227p-5, -0x1.66a3a7c212327p-5, -0x1.5dad384f16ef6p-5, -0x1.54e34ba46741p-5, -0x1.4c454e6fa6cf9p-5, -0x1.43d2ad73b1bbp-5, -0x1.3b8ad598d1e59p-5, -0x1.336d33fc704e6p-5, -0x1.2b79360031f08p-5, -0x1.23ae49589ae62p-5, -0x1.1c0bdc1b22b1dp-5, -0x1.14915ccbcaec5p-5, -0x1.0d3e3a6a33c3dp-5, -0x1.0611e47e3609dp-5, -0x1.fe179647fbc71p-6, -0x1.f056be2f658c5p-6, -0x1.e2e0238147344p-6, -0x1.d5b2aa7805432p-6, -0x1.c8cd38ce5ebep-6, -0x1.bc2eb5d31a29ap-6, -0x1.afd60a7bee35p-6, -0x1.a3c221777a6e7p-6, -0x1.97f1e73e879b9p-6, -0x1.8c644a246d37ep-6, -0x1.81183a66b6246p-6, -0x1.760caa3c05efdp-6, -0x1.6b408de23591dp-6, -0x1.60b2dbabcd98cp-6, -0x1.56628c0ca6e79p-6, -0x1.4c4e99a6001e4p-6, -0x1.42760151d233ep-6, -0x1.38d7c22d7fb1bp-6, -0x1.2f72dda3e7034p-6, -0x1.26465776d01bcp-6, -0x1.1d5135c7bde48p-6, -0x1.149281202b2fep-6, -0x1.0c0944793332ep-6, -0x1.03b48d42b22e3p-6, -0x1.f726d6d39961p-7, -0x1.e749e2bdf1c49p-7, -0x1.d7d0683709df1p-7, -0x1.c8b8964d3684bp-7, -0x1.ba00a1339a01cp-7, -0x1.aba6c24a3a5a2p-7, -0x1.9da93825473e8p-7, -0x1.90064693657dep-7, -0x1.82bc36a325f3cp-7, -0x1.75c956a7b606p-7, -0x1.692bfa3cac23cp-7, -0x1.5ce27a4925c09p-7, -0x1.50eb3502085abp-7, -0x1.45448deb9dd74p-7, -0x1.39ecedda7303fp-7, -0x1.2ee2c2f38ca5cp-7, -0x1.242480abf4e9ap-7, -0x1.19b09fc7a5036p-7, -0x1.0f859e57c9db2p-7, -0x1.05a1ffb88132dp-7, -0x1.f808991c09b39p-8, -0x1.e5562582626ddp-8, -0x1.d329caf76608ep-8, -0x1.c180ba47076edp-8, -0x1.b0582eac1f8b7p-8, -0x1.9fad6dc5936bap-8, -0x1.8f7dc78abaf62p-8, -0x1.7fc6963eeaf65p-8, -0x1.70853e640dee9p-8, -0x1.61b72eac9ba12p-8, -0x1.5359dfecca704p-8, -0x1.456ad50ad83f3p-8, -0x1.37e79aef00021p-8, -0x1.2acdc87268af8p-8, -0x1.1e1afe4dba68dp-8, -0x1.11cce70718d19p-8, -0x1.05e136df58174p-8, -0x1.f4ab577ddd668p-9, -0x1.de501a445d9dfp-9, -0x1.c8ac580a74d31p-9, -0x1.b3bbc59eb29b6p-9, -0x1.9f7a2a7c0cd08p-9, -0x1.8be3609efd7a3p-9, -0x1.78f3545a187c5p-9, -0x1.66a60429aa21ap-9, -0x1.54f78086f443ap-9, -0x1.43e3ebbab6bccp-9, -0x1.336779af23cc4p-9, -0x1.237e6fc16fb61p-9, -0x1.14252492bdb08p-9, -0x1.0557ffd8dab8ap-9, -0x1.ee26f45cb8ebcp-10, -0x1.d2a839c4a4afdp-10, -0x1.b82d03901ef2p-10, -0x1.9eaea60cd5292p-10, -0x1.862695cd5438ep-10, -0x1.6e8e67469f4e6p-10, -0x1.57dfce6da3d6cp-10, -0x1.42149e542d1a8p-10, -0x1.2d26c8c577057p-10, -0x1.19105de3059c9p-10, -0x1.05cb8bc0a5685p-10, -0x1.e6a53c02ad75ap-11, -0x1.c33ffae739d5p-11, -0x1.a15c5f5b02a54p-11, -0x1.80efad52d09e8p-11, -0x1.61ef60c4d9403p-11, -0x1.44512ce3512bap-11, -0x1.280afb5573c0fp-11, -0x1.0d12eb729c94dp-11, -0x1.e6bea2fb20d46p-12, -0x1.b5cd6bbfcb63dp-12, -0x1.873fa8ce96328p-12, -0x1.5b0337044c38cp-12, -0x1.310656fd0657cp-12, -0x1.0937ab91e1c25p-12, -0x1.c70c70b54d822p-13, -0x1.7fc2c05dead4ap-13, -0x1.3c71c75a4854bp-13, -0x1.f9f37efd3d4fap-14, -0x1.8277309e7f5bfp-14, -0x1.1231e828adceep-14, -0x1.51d093ec09227p-15, -0x1.198151c006a16p-16, 0x1.59ea59ffce6dfp-18, 0x1.ad300ab94e09ap-16, 0x1.75bbb01750c89p-15, 0x1.0488f769c0c57p-14, 0x1.4880f45716c29p-14, 0x1.86f829b82cd03p-14, 0x1.c01fbf259450bp-14, 0x1.f427ae45bc33dp-14, 0x1.119f640c75f82p-13, 0x1.26c95d1867a4ap-13, 0x1.39a809f2bddc9p-13, 0x1.4a5125ba233bp-13, 0x1.58d9e18934484p-13, 0x1.6556e6fabf99ap-13, 0x1.6fdc5aa473fbap-13, 0x1.787dde8af2285p-13, 0x1.7f4e949015b53p-13, 0x1.846120da3ade8p-13, 0x1.87c7ac3020b1p-13, 0x1.8993e6533c2f2p-13, 0x1.89d7084fba8cfp-13, 0x1.88a1d6c419ccbp-13, 0x1.8604a4253f578p-13, 0x1.820f52f69e70bp-13, 0x1.7cd157fd9b16cp-13, 0x1.7659bc6e84ad8p-13, 0x1.6eb7200fd377ep-13, 0x1.65f7bb57703eep-13, 0x1.5c29617f534d4p-13, 0x1.51598294e63f1p-13, 0x1.45952d7fa4d32p-13, 0x1.38e912002c4a2p-13, 0x1.2b6182a9772dcp-13, 0x1.1d0a76d08e575p-13, 0x1.0def8c76897fdp-13, 0x1.fc38145ae9bb5p-14, 0x1.db35c1dfe44b1p-14, 0x1.b8ed5bf20ef55p-14, 0x1.9573791c409d4p-14, 0x1.70dc0f8eb97a7p-14, 0x1.4b3a789a35431p-14, 0x1.24a174250d48bp-14, 0x1.fa46580d7d33fp-15, 0x1.a9a26ec0808ap-15, 0x1.57793bc2969a7p-15, 0x1.03ebb6095396ap-15, 0x1.5e3384dc95d42p-16, 0x1.6488e7d22df99p-17, 0x1.1177f2d857fe8p-22, -0x1.571d20a06fb8p-17, -0x1.5d0128bc5078ep-16, -0x1.07ee0ed7ee089p-15, -0x1.61f5bfde6abfbp-15, -0x1.bc7e9854c440cp-15, -0x1.0bb836141f2e5p-14, -0x1.3959f670ad70dp-14, -0x1.67195229281bbp-14, -0x1.94eb77a7e676dp-14, -0x1.c2c5fc4a14723p-14, -0x1.f09ed9d858172p-14, -0x1.0f363603cbba6p-13, -0x1.2612b7070bb5p-13, -0x1.3ce07c1dda12dp-13, -0x1.539b3ed18e517p-13, -0x1.6a3ee4e5eec57p-13, -0x1.80c77f388c3ebp-13, -0x1.973148a3da3c2p-13, -0x1.ad78a4ea4e91bp-13, -0x1.c39a1fa41e49dp-13, -0x1.d9926b34670c2p-13, -0x1.ef5e5fc34cbaep-13, -0x1.027d7d1ddbda4p-12, -0x1.0d32ada79436ep-12, -0x1.17cd633f60817p-12, -0x1.224c5094c179bp-12, -0x1.2cae38ced1d9p-12, -0x1.36f1ef1977d51p-12, -0x1.41165631791a9p-12, -0x1.4b1a5ff665fa3p-12, -0x1.54fd0cfc7dd47p-12, -0x1.5ebd6c2212d5ep-12, -0x1.685a9a26b00f9p-12, -0x1.71d3c14499b17p-12, -0x1.7b2818cc5fca7p-12, -0x1.8456e4c259acfp-12, -0x1.8d5f757e58c6dp-12, -0x1.9641274e55096p-12, -0x1.9efb6219cecfp-12, -0x1.a78d990770c45p-12, -0x1.aff74a25f3e1ep-12, -0x1.b837fe14a786ap-12, -0x1.c04f47b04f41cp-12, -0x1.c83cc3c00029ep-12, -0x1.d00018a542f87p-12, -0x1.d798f60d01422p-12, -0x1.df0714a28d511p-12, -0x1.e64a35c4987cep-12, -0x1.ed62233bb06d7p-12, -0x1.f44eaef29bfecp-12, -0x1.fb0fb2b071f33p-12, -0x1.00d287e9cbca6p-11, -0x1.04075787b136bp-11, -0x1.072640155f9a9p-11, -0x1.0a2f3ce026d28p-11, -0x1.0d224c8049a94p-11, -0x1.0fff70ba86f59p-11, -0x1.12c6ae628bc78p-11, -0x1.15780d3e0a6b2p-11, -0x1.181397e88061dp-11, -0x1.1a995bb7c4517p-11, -0x1.1d0968a14bb2cp-11, -0x1.1f63d120222a8p-11, -0x1.21a8aa1b26b0cp-11, -0x1.23d80acc58f68p-11, -0x1.25f20ca8b0273p-11, -0x1.27f6cb488d7d7p-11, -0x1.29e66450a1af4p-11, -0x1.2bc0f75baf7a8p-11, -0x1.2d86a5e4e1bp-11, -0x1.2f37933234286p-11, -0x1.30d3e4401fdb6p-11, -0x1.325bbfad3cd4fp-11, -0x1.33cf4da6eaf36p-11, -0x1.352eb7d62f901p-11, -0x1.367a294d2c81dp-11, -0x1.37b1ce7520409p-11, -0x1.38d5d4fcdfa36p-11, -0x1.39e66bc7d72bfp-11, -0x1.3ae3c2dd55824p-11, -0x1.3bce0b58aa0ep-11, -0x1.3ca57759638a4p-11, -0x1.3d6a39f427b84p-11, -0x1.3e1c8723ecccbp-11, -0x1.3ebc93bb90fcep-11, -0x1.3f4a955833b3cp-11, -0x1.3fc6c2535968ap-11, -0x1.403151b61de7p-11, -0x1.408a7b2c648f4p-11, -0x1.40d276f8779b8p-11, -0x1.41097de733p-11, -0x1.412fc94441c3bp-11, -0x1.414592cf0e962p-11, -0x1.414b14afd7c02p-11, -0x1.4140896d23e88p-11, -0x1.41262be1873c1p-11, -0x1.40fc3731bc5a1p-11, -0x1.40c2e6c33bcdep-11, -0x1.407a7632c3feep-11, -0x1.4023214b962c1p-11, -0x1.3fbd23febe365p-11, -0x1.3f48ba5ad356fp-11, -0x1.3ec62083c0b7bp-11, -0x1.3e3592ab0d449p-11, -0x1.3d974d084f2d9p-11, -0x1.3ceb8bd1ed8b1p-11, -0x1.3c328b3623fc7p-11, -0x1.3b6c8754399eep-11, -0x1.3a99bc360d946p-11, -0x1.39ba65c9c1b87p-11, -0x1.38cebfdbc627fp-11, -0x1.37d70610f706cp-11, -0x1.36d373e0fb1eep-11, -0x1.35c44491002cfp-11, -0x1.34a9b32e9558fp-11, -0x1.3383fa8a9aa04p-11, -0x1.325355349ac1dp-11, -0x1.3117fd76276b7p-11, -0x1.2fd22d4e8e926p-11, -0x1.2e821e6e86ca6p-11, -0x1.2d280a345eaaap-11, -0x1.2bc429a7e6d7cp-11, -0x1.2a56b5771bae9p-11, -0x1.28dfe5f2617edp-11, -0x1.275ff3094ffd3p-11, -0x1.25d7144770debp-11, -0x1.244580d151ffap-11, -0x1.22ab6f6190c8cp-11, -0x1.210916462a088p-11, -0x1.1f5eab5de051bp-11, -0x1.1dac6415ba37cp-11, -0x1.1bf27566d19c7p-11, -0x1.1a3113d3fdd52p-11, -0x1.18687367d0ae7p-11, -0x1.1698c7b2af22p-11, -0x1.14c243c8e2649p-11, -0x1.12e51a4110c2bp-11, -0x1.11017d326b0dep-11, -0x1.0f179e336125ep-11, -0x1.0d27ae5805374p-11, -0x1.0b31de310dba9p-11, -0x1.09365dca52254p-11, -0x1.07355ca9ffcccp-11, -0x1.052f09cf56fe2p-11, -0x1.032393b203756p-11, -0x1.0113284115211p-11, -0x1.fdfbe9c4b7f4dp-12, -0x1.f9c84ce38493ap-12, -0x1.f58bd2812ddcdp-12, -0x1.f146d22a7fcfcp-12, -0x1.ecf9a25559d94p-12, -0x1.e8a4986006d7bp-12, -0x1.e4480890b2d86p-12, -0x1.dfe44614e9d6ap-12, -0x1.db79a301749b2p-12, -0x1.d7087051d947fp-12, -0x1.d290fde89f59ep-12, -0x1.ce139a8f00d86p-12, -0x1.c99093f58c034p-12, -0x1.c50836b3ffbebp-12, -0x1.c07ace49f4e91p-12, -0x1.bbe8a51f1fa86p-12, -0x1.b75204840c1d9p-12, -0x1.b2b734b2ad9b7p-12, -0x1.ae187ccf4622ep-12, -0x1.a97622e9038fdp-12, -0x1.a4d06bfb29bc8p-12, -0x1.a0279bee01329p-12, -0x1.9b7bf597c81c1p-12, -0x1.96cdbabe1a1a1p-12, -0x1.921d2c16f4938p-12, -0x1.8d6a894a143p-12, -0x1.88b610f25492ap-12, -0x1.8400009f365d6p-12, -0x1.7f4894d623e69p-12, -0x1.7a90091420378p-12, -0x1.75d697cf56112p-12, -0x1.711c7a78af7fdp-12, -0x1.6c61e97da1ac5p-12, -0x1.67a71c49d34bcp-12, -0x1.62ec4948e6a43p-12, -0x1.5e31a5e8687e2p-12, -0x1.597766997dc99p-12, -0x1.54bdbed30d1c1p-12, -0x1.5004e11361865p-12, -0x1.4b4cfee251d1bp-12, -0x1.469648d3449d3p-12, -0x1.41e0ee870b7ebp-12, -0x1.3d2d1eae47801p-12, -0x1.387b070b418ccp-12, -0x1.33cad474066d2p-12, -0x1.2f1cb2d4a4fcp-12, -0x1.2a70cd3142065p-12, -0x1.25c74da84d7f5p-12, -0x1.21205d74db47fp-12, -0x1.1c7c24f08e868p-12, -0x1.17dacb960b33cp-12, -0x1.133c780327b4p-12, -0x1.0ea14ffb2f8dap-12, -0x1.0a09786929b9cp-12, -0x1.0575156213b2cp-12, -0x1.00e44a272ef98p-12, -0x1.f8ae7250b2d45p-13, -0x1.ef9c080cd2555p-13, -0x1.e691972a85968p-13, -0x1.dd8f5fbcd9349p-13, -0x1.d495a04681618p-13, -0x1.cba495be3dfddp-13, -0x1.c2bc7b93d3504p-13, -0x1.b9dd8bb4e082ep-13, -0x1.b107fe90ed44cp-13, -0x1.a83c0b1e7ad2bp-13, -0x1.9f79e6dfa8049p-13, -0x1.96c1c5e67a606p-13, -0x1.8e13dada0a29bp-13, -0x1.857056fa90029p-13, -0x1.7cd76a26613d6p-13, -0x1.744942de2c547p-13, -0x1.6bc60e4a05729p-13, -0x1.634df83dc5249p-13, -0x1.5ae12b3d4dd2bp-13, -0x1.527fd0819cca3p-13, -0x1.4a2a0ffcebaedp-13, -0x1.41e0105f50074p-13, -0x1.39a1f71b11d2ep-13, -0x1.316fe8695c333p-13, -0x1.294a074ec0249p-13, -0x1.2130759f38371p-13, -0x1.19235402e5d36p-13, -0x1.1122c1fa64372p-13, -0x1.092edde2f034ap-13, -0x1.0147c4fafcf01p-13, -0x1.f2db26cc69c81p-14, -0x1.e340c86420d74p-14, -0x1.d3c0a2b3da981p-14, -0x1.c45ae795f09c5p-14, -0x1.b50fc6d1f90efp-14, -0x1.a5df6e241498fp-14, -0x1.96ca0945a2c2ep-14, -0x1.87cfc1f53db0ap-14, -0x1.78f0bffeb385fp-14, -0x1.6a2d294358f6p-14, -0x1.5b8521c23b671p-14, -0x1.4cf8cb9f72435p-14, -0x1.3e88472c98a09p-14, -0x1.3033b2f025c5ep-14, -0x1.21fb2bad66ec5p-14, -0x1.13decc6c1f775p-14, -0x1.05deae802cf57p-14, -0x1.eff5d3213ce02p-15, -0x1.d467273f9f5b2p-15, -0x1.b9118225278efp-15, -0x1.9df5096e6459fp-15, -0x1.8311df9a229c3p-15, -0x1.68682417c5fep-15, -0x1.4df7f354ae28ap-15, -0x1.33c166cb2459p-15, -0x1.19c4950fda897p-15, -0x1.000191dfd821ep-15, -0x1.ccf0dc5bf242ep-16, -0x1.9a527061b2bb5p-16, -0x1.6827f6df0a746p-16, -0x1.3671819f2100ep-16, -0x1.052f1d4287e4p-16, -0x1.a8c1a2b4e0bffp-17, -0x1.480d41027b06bp-17, -0x1.d08221d125dc7p-18, -0x1.12ba08b65597ep-18, -0x1.5b081fb5f9fd2p-20, 0x1.8d988675cdde4p-20, 0x1.1bbec6e5bd113p-18, 0x1.d2484c75f7047p-18, 0x1.4381940166631p-17, 0x1.9cf7f008867d6p-17, 0x1.f58785ccb336ep-17, 0x1.2698546c236f1p-16, 0x1.51f9da49b2bc7p-16, 0x1.7ce8860c8f7c5p-16, 0x1.a7648d0653f53p-16, 0x1.d16e28370eb53p-16, 0x1.fb0594367e8dbp-16, 0x1.121588902d1c2p-15, 0x1.266f713fc8207p-15, 0x1.3a90a79c64b63p-15, 0x1.4e7950bbc1076p-15, 0x1.6229934c3fbc5p-15, 0x1.75a1978b6d71fp-15, 0x1.88e1873c6acdbp-15, 0x1.9be98d9e34579p-15, 0x1.aeb9d761f355ep-15, 0x1.c15292a1d95fp-15, 0x1.d3b3eed7de03cp-15, 0x1.e5de1cd4d1249p-15, 0x1.f7d14eb741ae8p-15, 0x1.04c6dbf14b92bp-14, 0x1.0d89c67b418b5p-14, 0x1.163181e331b53p-14, 0x1.1ebe29a8751eep-14, 0x1.272fd9dbb941cp-14, 0x1.2f86af1b0888ep-14, 0x1.37c2c68dbfc06p-14, 0x1.3fe43de09c03bp-14, 0x1.47eb3341a1c39p-14, 0x1.4fd7c55c6aa7fp-14, 0x1.57aa135645b0cp-14, 0x1.5f623cca7bb9dp-14, 0x1.670061c698525p-14, 0x1.6e84a2c6d1bd6p-14, 0x1.75ef20b26314dp-14, 0x1.7d3ffcd819f06p-14, 0x1.847758ead96cap-14, 0x1.8b9556fe3a8ecp-14, 0x1.929a198320f28p-14, 0x1.9985c3446095ep-14, 0x1.a05877639ced3p-14, 0x1.a71259560815p-14, 0x1.adb38ce13f04bp-14, 0x1.b43c36184c1fbp-14, 0x1.baac795856314p-14, 0x1.c1047b45dcd0dp-14, 0x1.c74460c9d063bp-14, 0x1.cd6c4f0e7ee26p-14, 0x1.d37c6b7ce919ap-14, 0x1.d974dbb9ee7c9p-14, 0x1.df55c5a363592p-14, 0x1.e51f4f4d811e7p-14, 0x1.ead19f00483a2p-14, 0x1.f06cdb34f793fp-14, 0x1.f5f12a9344fbap-14, 0x1.fb5eb3eee8758p-14, 0x1.005acf22ab2e7p-13, 0x1.02fb085d98bbfp-13, 0x1.0590194cf2566p-13, 0x1.081a15a69c8eap-13, 0x1.0a991130903fep-13, 0x1.0d0d1fbfcf0cp-13, 0x1.0f76553732039p-13, 0x1.11d4c5865f08ap-13, 0x1.142884a8a4134p-13, 0x1.1671a6a400652p-13, 0x1.18b03f881ca06p-13, 0x1.1ae4636d4846p-13, 0x1.1d0e267382e9ap-13, 0x1.1f2d9cc17d4a4p-13, 0x1.2142da839eebdp-13, 0x1.234df3eb2ed18p-13, 0x1.254efd2d5e7ebp-13, 0x1.27460a8266fc1p-13, 0x1.29333024afc46p-13, 0x1.2b16824ff1311p-13, 0x1.2cf0154057ccdp-13, 0x1.2ebffd31c1c59p-13, 0x1.30864e5eec27ap-13, 0x1.32431d00a3b37p-13, 0x1.33f67d4cf2ff5p-13, 0x1.35a0837680564p-13, 0x1.374143abc30e8p-13, 0x1.38d8d2164495ep-13, 0x1.3a6742da12212p-13, 0x1.3becaa14d6fd1p-13, 0x1.3d691bdd4aa3fp-13, 0x1.3edcac4286812p-13, 0x1.40476f4b64b62p-13, 0x1.41a978f5dfc72p-13, 0x1.4302dd367b486p-13, 0x1.4453aff797d4bp-13, 0x1.459c0518e209bp-13, 0x1.46dbf06ec6eacp-13, 0x1.481385c1ee92ep-13, 0x1.4942d8ceaa49ep-13, 0x1.4a69fd446466fp-13, 0x1.4b8906c51a1b9p-13, 0x1.4ca008e4eadc9p-13, 0x1.4daf1729a430ap-13, 0x1.4eb6450a2edfp-13, 0x1.4fb5a5ee08babp-13, 0x1.50ad4d2ceff73p-13, 0x1.519d4e0e650f1p-13, 0x1.5285bbc947af4p-13, 0x1.5366a98370ef7p-13, 0x1.54402a51336adp-13, 0x1.55125134f9128p-13, 0x1.55dd311eed9c1p-13, 0x1.56a0dcec98b95p-13, 0x1.575d6768896dap-13, 0x1.5812e34a007c5p-13, 0x1.58c163347eebp-13, 0x1.5968f9b77df2dp-13, 0x1.5a09b94e1c22dp-13, 0x1.5aa3b45ed804cp-13, 0x1.5b36fd3b38beap-13, 0x1.5bc3a61f8c51ep-13, 0x1.5c49c1328e6fcp-13, 0x1.5cc9608539a29p-13, 0x1.5d4296126a87cp-13, 0x1.5db573beb6611p-13, 0x1.5e220b582953bp-13, 0x1.5e886e95eb6f7p-13, 0x1.5ee8af1815729p-13, 0x1.5f42de67905cdp-13, 0x1.5f970df5c45ecp-13, 0x1.5fe54f1c6e846p-13, 0x1.602db31d7579p-13, 0x1.60704b22ae14fp-13, 0x1.60ad283da0d1p-13, 0x1.60e45b6776dccp-13, 0x1.6115f580c2462p-13, 0x1.61420751573e1p-13, 0x1.6168a18831136p-13, 0x1.6189d4bb3d0ddp-13, 0x1.61a5b16730ffcp-13, 0x1.61bc47ef6e72fp-13, 0x1.61cda89df8c06p-13, 0x1.61d9e3a340d27p-13, 0x1.61e1091614ee4p-13, 0x1.61e328f37911fp-13, 0x1.61e0531e9ed99p-13, 0x1.61d89760b141p-13, 0x1.61cc0568de8c9p-13, 0x1.61baaccc39a9p-13, 0x1.61a49d0598d7ep-13, 0x1.6189e57594c94p-13, 0x1.616a956260f98p-13, 0x1.6146bbf7cf4c2p-13, 0x1.611e68474aa3dp-13, 0x1.60f1a947c3121p-13, 0x1.60c08dd59f6d5p-13, 0x1.608b24b2b19bdp-13, 0x1.60517c8618dap-13, 0x1.6013a3dc678f4p-13, 0x1.5fd1a9278761cp-13, 0x1.5f8b9abeb6828p-13, 0x1.5f4186de7eabdp-13, 0x1.5ef37ba8b43a9p-13, 0x1.5ea187247293cp-13, 0x1.5e4bb73e123c5p-13, 0x1.5df219c74bf9bp-13, 0x1.5d94bc7714ca9p-13, 0x1.5d33ace9c0212p-13, 0x1.5ccef8a0e95e5p-13, 0x1.5c66ad037f877p-13, 0x1.5bfad75dcb945p-13, 0x1.5b8b84e18d422p-13, 0x1.5b18c2a5e828dp-13, 0x1.5aa29da75d6d3p-13, 0x1.5a2922c7f27c2p-13, 0x1.59ac5ecf34a4ap-13, 0x1.592c5e6a44cddp-13, 0x1.58a92e2bdbf78p-13, 0x1.5822da8c4deep-13, 0x1.57996fe9ae386p-13, 0x1.570cfa87d498ep-13, 0x1.567d869071c4fp-13, 0x1.55eb20130662cp-13, 0x1.5555d30507f7cp-13, 0x1.54bdab41e39cp-13, 0x1.5422b48b2201bp-13, 0x1.5384fa887077p-13, 0x1.52e488c7bf86p-13, 0x1.52416abd32be1p-13, 0x1.519babc34120ep-13, 0x1.50f3571ae4df7p-13, 0x1.504877eba8dcfp-13, 0x1.4f9b194393108p-13, 0x1.4eeb461773c8dp-13, 0x1.4e390942e9467p-13, 0x1.4d846d88626f5p-13, 0x1.4ccd7d91346d3p-13, 0x1.4c1443edde3b2p-13, 0x1.4b58cb16050b5p-13, 0x1.4a9b1d688396ep-13, 0x1.49db452b860a3p-13, 0x1.49194c8cb1a66p-13, 0x1.48553da12dc34p-13, 0x1.478f2265dc8e3p-13, 0x1.46c704bf5a235p-13, 0x1.45fcee7a25fccp-13, 0x1.4530e94aab0d9p-13, 0x1.4462fecd6a173p-13, 0x1.439338871e97dp-13, 0x1.42c19fe4ce19cp-13, 0x1.41ee3e3be3397p-13, 0x1.41191cca5713fp-13, 0x1.404244b6d6354p-13, 0x1.3f69bf10af7afp-13, 0x1.3e8f94d02271p-13, 0x1.3db3ced67971p-13, 0x1.3cd675ee17249p-13, 0x1.3bf792ca87a2cp-13, 0x1.3b172e08c87eap-13, 0x1.3a35502f53965p-13, 0x1.395201ae3764bp-13, 0x1.386d4adf40706p-13, 0x1.3787340606ceap-13, 0x1.369fc55034649p-13, 0x1.35b706d5831a4p-13, 0x1.34cd0097f1189p-13, 0x1.33e1ba83ba7bp-13, 0x1.32f53c6fa7ac9p-13, 0x1.32078e1d2dd4fp-13, 0x1.3118b73878c0ap-13, 0x1.3028bf5885002p-13, 0x1.2f37adff550c6p-13, 0x1.2e458a9a11b3bp-13, 0x1.2d525c8126ec8p-13, 0x1.2c5e2af86a909p-13, 0x1.2b68fd2f2f471p-13, 0x1.2a72da405f8a6p-13, 0x1.297bc932c4cffp-13, 0x1.2883d0f918a59p-13, 0x1.278af87214e8p-13, 0x1.2691466899973p-13, 0x1.2596c193e1fb1p-13, 0x1.249b70979b27fp-13, 0x1.239f5a040e542p-13, 0x1.22a284561e23fp-13, 0x1.21a4f5f79eef4p-13, 0x1.20a6b53f5d0f8p-13, 0x1.1fa7c8714567dp-13, 0x1.1ea835be6f4d9p-13, 0x1.1da803455aaecp-13, 0x1.1ca7371214ffdp-13, 0x1.1ba5d71e49724p-13, 0x1.1aa3e9516c30bp-13, 0x1.19a17380d47dcp-13, 0x1.189e7b6fdc3a6p-13, 0x1.179b06d021a6dp-13, 0x1.16971b4187626p-13, 0x1.1592be524bd6bp-13, 0x1.148df57f56adfp-13, 0x1.1388c634503e2p-13, 0x1.128335cb9d07ep-13, 0x1.117d498e9af6bp-13, 0x1.107706b5d204p-13, 0x1.0f707268fe1fdp-13, 0x1.0e6991bf2eb72p-13, 0x1.0d6269bef4a3cp-13, 0x1.0c5aff5e8f359p-13, 0x1.0b53578400e9cp-13, 0x1.0a4b77050bd0dp-13, 0x1.094362a78d6dcp-13, 0x1.083b1f21936dep-13, 0x1.0732b1195ac2p-13, 0x1.062a1d25932c5p-13, 0x1.052167cd6f76fp-13, 0x1.04189588cdfc4p-13, 0x1.030faac0566p-13, 0x1.0206abcd90faap-13, 0x1.00fd9cfb13e29p-13, 0x1.ffe905095a831p-14, 0x1.fdd6c12ec8765p-14, 0x1.fbc476a34f86ep-14, 0x1.f9b22d87021ebp-14, 0x1.f79feddd3cc7fp-14, 0x1.f58dbf8cda6adp-14, 0x1.f37baa60872b2p-14, 0x1.f169b6072c7e9p-14, 0x1.ef57ea13e490bp-14, 0x1.ed464dfe42514p-14, 0x1.eb34e922cf8e7p-14, 0x1.e923c2c320c56p-14, 0x1.e712e205e1be7p-14, 0x1.e5024df76b127p-14, 0x1.e2f20d89e0ca3p-14, 0x1.e0e2279547fcap-14, 0x1.ded2a2d7e816p-14, 0x1.dcc385f691197p-14, 0x1.dab4d77cbfa82p-14, 0x1.d8a69ddcd8741p-14, 0x1.d698df705c7e1p-14, 0x1.d48ba27861c7bp-14, 0x1.d27eed1d784ep-14, 0x1.d072c570041cp-14, 0x1.ce673168a5c61p-14, 0x1.cc5c36e83335ep-14, 0x1.ca51dbb7fdeb6p-14, 0x1.c848258a25daep-14, 0x1.c63f19f9e348fp-14, 0x1.c436be8b712c4p-14, 0x1.c22f18ac7b111p-14, 0x1.c0282db4802d2p-14, 0x1.be2202e4a2bcap-14, 0x1.bc1c9d68261bap-14, 0x1.ba180254c53e4p-14, 0x1.b81436aa790b5p-14, 0x1.b6113f5401453p-14, 0x1.b40f21272c987p-14, 0x1.b20de0e4c6983p-14, 0x1.b00d8339076e9p-14, 0x1.ae0e0cbba5e06p-14, 0x1.ac0f81f0332ccp-14, 0x1.aa11e74613d87p-14, 0x1.a8154118d9c04p-14, 0x1.a61993b0a72d3p-14, 0x1.a41ee341f6fcap-14, 0x1.a22533ee19d2fp-14, 0x1.a02c89c36cb17p-14, 0x1.9e34e8bd5d76fp-14, 0x1.9c3e54c4abe84p-14, 0x1.9a48d1afcbdd9p-14, 0x1.98546342da739p-14, 0x1.96610d2fcd3e2p-14, 0x1.946ed316f84f4p-14, 0x1.927db886e2425p-14, 0x1.908dc0fc6c96ap-14, 0x1.8e9eefe36ec9bp-14, 0x1.8cb148967468bp-14, 0x1.8ac4ce5f1e294p-14, 0x1.88d9847667cf1p-14, 0x1.86ef6e049bebap-14, 0x1.85068e21a8b79p-14, 0x1.831ee7d5502bap-14, 0x1.81387e1752282p-14, 0x1.7f5353cf6c74fp-14, 0x1.7d6f6bd5e4068p-14, 0x1.7b8cc8f35a1e2p-14, 0x1.79ab6de11061ep-14, 0x1.77cb5d493ef8fp-14, 0x1.75ec99c70c138p-14, 0x1.740f25e6c8a0bp-14, 0x1.723304262a4fdp-14, 0x1.705836f45b3cdp-14, 0x1.6e7ec0b225e49p-14, 0x1.6ca6a3b247a67p-14, 0x1.6acfe23976e47p-14, 0x1.68fa7e7e716c5p-14, 0x1.67267aaa88ccbp-14, 0x1.6553d8d9472e2p-14, 0x1.63829b18ea2e8p-14, 0x1.61b2c36a9c2a4p-14, 0x1.5fe453c243f54p-14, 0x1.5e174e06f7f75p-14, 0x1.5c4bb4131e0efp-14, 0x1.5a8187b47718ap-14, 0x1.58b8caac4d696p-14, 0x1.56f17eafa93a5p-14, 0x1.552ba567580bbp-14, 0x1.5367407031ffep-14, 0x1.51a4515b3a1a4p-14, 0x1.4fe2d9ad96dc6p-14, 0x1.4e22dae112e56p-14, 0x1.4c645663daa72p-14, 0x1.4aa74d98d8d01p-14, 0x1.48ebc1d7e6364p-14, 0x1.4731b46dbdf3cp-14, 0x1.4579269c3e9cep-14, 0x1.43c2199a9916ap-14, 0x1.420c8e9545c78p-14, 0x1.405886ae523c3p-14, 0x1.3ea602fd81c27p-14, 0x1.3cf504902fafdp-14, 0x1.3b458c69dde05p-14, 0x1.39979b83f09ep-14, 0x1.37eb32cdf3fcp-14, 0x1.3640532de66b1p-14, 0x1.3496fd8004d7cp-14, 0x1.32ef329722efbp-14, 0x1.3148f33cdcd9fp-14, 0x1.2fa440317868fp-14, 0x1.2e011a2c32346p-14, 0x1.2c5f81db5b81p-14, 0x1.2abf77e43e25ep-14, 0x1.2920fce3a0f4ap-14, 0x1.2784116d7a433p-14, 0x1.25e8b60d5752bp-14, 0x1.244eeb466c29bp-14, 0x1.22b6b1938c31dp-14, 0x1.2120096785e8bp-14, 0x1.1f8af32cfdc45p-14, 0x1.1df76f46a7aa2p-14, 0x1.1c657e0f753aep-14, 0x1.1ad51fda8c75p-14, 0x1.194654f37829ap-14, 0x1.17b91d9e50b33p-14, 0x1.162d7a17a28efp-14, 0x1.14a36a94db2b8p-14, 0x1.131aef440af0ap-14, 0x1.1194084c400a4p-14, 0x1.100eb5cd92d64p-14, 0x1.0e8af7e117d7bp-14, 0x1.0d08ce99306bp-14, 0x1.0b883a018bac7p-14, 0x1.0a093a1f20e2cp-14, 0x1.088bcef094eacp-14, 0x1.070ff86df9b99p-14, 0x1.0595b68920258p-14, 0x1.041d092daafefp-14, 0x1.02a5f040fd3a1p-14, 0x1.01306ba295a1p-14, 0x1.ff78f657baee9p-15, 0x1.fc943d60f25d1p-15, 0x1.f9b2abfc6eeebp-15, 0x1.f6d441ba81a05p-15, 0x1.f3f8fe20662a6p-15, 0x1.f120e0a825d1ap-15, 0x1.ee4be8c10436p-15, 0x1.eb7a15cf9c81ap-15, 0x1.e8ab672ddcb97p-15, 0x1.e5dfdc2b95227p-15, 0x1.e317740e233a7p-15, 0x1.e0522e1117d01p-15, 0x1.dd90096610d19p-15, 0x1.dad10534f4635p-15, 0x1.d815209c3abcp-15, 0x1.d55c5ab0c1773p-15, 0x1.d2a6b27e49af6p-15, 0x1.cff427077d65ap-15, 0x1.cd44b745e7f03p-15, 0x1.ca98622aa11e2p-15, 0x1.c7ef269dbba87p-15, 0x1.c549037f14b8cp-15, 0x1.c2a5f7a600537p-15, 0x1.c00601e1a2b1p-15, 0x1.bd6920f932e5fp-15, 0x1.bacf53abbd463p-15, 0x1.b83898b0bd99ap-15, 0x1.b5a4eeb7d7696p-15, 0x1.b314546948ee4p-15, 0x1.b086c865d45e3p-15, 0x1.adfc494704045p-15, 0x1.ab74d59f493d5p-15, 0x1.a8f06bf9fb06p-15, 0x1.a66f0adbae9d5p-15, 0x1.a3f0b0c22189cp-15, 0x1.a1755c247f7ecp-15, 0x1.9efd0b737c4dcp-15, 0x1.9c87bd194749ap-15, 0x1.9a156f79f533bp-15, 0x1.97a620f35d49p-15, 0x1.9539cfdd6aaf1p-15, 0x1.92d07a8a1d2c6p-15, 0x1.906a1f4596d93p-15, 0x1.8e06bc566cd41p-15, 0x1.8ba64ffd72a7cp-15, 0x1.8948d8764500cp-15, 0x1.86ee53f6df65p-15, 0x1.8496c0b045894p-15, 0x1.82421cce41628p-15, 0x1.7ff066779763cp-15, 0x1.7da19bce41948p-15, 0x1.7b55baef3250ep-15, 0x1.790cc1f2e1293p-15, 0x1.76c6aeecf5221p-15, 0x1.74837fecc1b9ap-15, 0x1.724332fd10808p-15, 0x1.7005c62476207p-15, 0x1.6dcb37653e2fbp-15, 0x1.6b9384bd9e59fp-15, 0x1.695eac27ccb6ep-15, 0x1.672cab9a01977p-15, 0x1.64fd8106b40cdp-15, 0x1.62d12a5c8a6aep-15, 0x1.60a7a58697874p-15, 0x1.5e80f06c4e1ddp-15, 0x1.5c5d08f1a700fp-15, 0x1.5a3becf746ee6p-15, 0x1.581d9a5a6218ap-15, 0x1.56020ef5221d2p-15, 0x1.53e9489e57d57p-15, 0x1.51d34529f9cd8p-15, 0x1.4fc00268d5001p-15, 0x1.4daf7e28fce35p-15, 0x1.4ba1b6359672ap-15, 0x1.4996a85718ac7p-15, 0x1.478e52534ac5p-15, 0x1.4588b1ed4b5afp-15, 0x1.4385c4e5e3555p-15, 0x1.418588fb3d1c2p-15, 0x1.3f87fbe95f17fp-15, 0x1.3d8d1b69ce613p-15, 0x1.3b94e53400f68p-15, 0x1.399f56fd235ebp-15, 0x1.37ac6e786900ep-15, 0x1.35bc2956eafeep-15, 0x1.33ce8547e0c65p-15, 0x1.31e37ff89e42dp-15, 0x1.2ffb1714b0552p-15, 0x1.2e154845e7a19p-15, 0x1.2c3211345df8p-15, 0x1.2a516f8695abcp-15, 0x1.287360e177c6cp-15, 0x1.2697e2e88112bp-15, 0x1.24bef33dafb8fp-15, 0x1.22e88f81ae227p-15, 0x1.2114b553ca525p-15, 0x1.1f436252245fbp-15, 0x1.1d7494199f53fp-15, 0x1.1ba84845f6c9p-15, 0x1.19de7c71d42acp-15, 0x1.18172e36e67edp-15, 0x1.16525b2de2c07p-15, 0x1.149000ee85adfp-15, 0x1.12d01d0fb6bb4p-15, 0x1.1112ad2785e88p-15, 0x1.0f57aecb5531p-15, 0x1.0d9f1f8fb53c4p-15, 0x1.0be8fd08a9761p-15, 0x1.0a3544c97b61dp-15, 0x1.0883f46503614p-15, 0x1.06d5096d7e315p-15, 0x1.05288174c6ebap-15, 0x1.037e5a0c3a9p-15, }}, 
      {{-0x1.20f3f17f8ed0cp-5, -0x1.aeeb388c324eep-5, -0x1.1d079cf25d271p-4, -0x1.60d8487ca79bp-4, -0x1.a2a372bd7474dp-4, -0x1.e237c9a579103p-4, -0x1.0fbaad40da37bp-3, -0x1.2d25d31bb33bfp-3, -0x1.495bc1bd3271ep-3, -0x1.64607c631bf17p-3, -0x1.7e3c9491030e8p-3, -0x1.96fc3238b5f6cp-3, -0x1.aeae3276bfd5p-3, -0x1.c5635f3648e6fp-3, -0x1.db2dc05c3058ep-3, -0x1.f02005f418bcfp-3, -0x1.0226850d4c628p-2, -0x1.0be3b474dfdbdp-2, -0x1.15509635a5365p-2, -0x1.1e75c53be13eap-2, -0x1.275b5933db6c7p-2, -0x1.3008d4463e4d1p-2, -0x1.388516c0ffc46p-2, -0x1.40d657c767638p-2, -0x1.49022237a3e6bp-2, -0x1.510d550927eb3p-2, -0x1.58fc267ba4064p-2, -0x1.60d2298294b71p-2, -0x1.689254ec463d3p-2, -0x1.703f0bd4f06f2p-2, -0x1.77da2706b1122p-2, -0x1.7f64fef5e99cdp-2, -0x1.86e07616a255ap-2, -0x1.8e4d0353509aep-2, -0x1.95aabc77976a2p-2, -0x1.9cf9606a972c4p-2, -0x1.a438611c2708p-2, -0x1.ab66ed0ee9144p-2, -0x1.b283f86eeb3ap-2, -0x1.b98e45a93ac6cp-2, -0x1.c0846d7cdc6b3p-2, -0x1.c764e680e26bfp-2, -0x1.ce2e0c1e1ae74p-2, -0x1.d4de24fcf4858p-2, -0x1.db7368e9fffbep-2, -0x1.e1ec0634d4a1ep-2, -0x1.e846268e19eafp-2, -0x1.ee7ff36a50696p-2, -0x1.f49799ef6e60cp-2, -0x1.fa8b4e73c5235p-2, -0x1.002ca7ca6a319p-1, -0x1.02fff47661fd7p-1, -0x1.05bebab697c11p-1, -0x1.086830b2ec0fap-1, -0x1.0afb961ecde9cp-1, -0x1.0d7834f1f056ap-1, -0x1.0fdd62002e2ddp-1, -0x1.122a7d736b26ep-1, -0x1.145ef32a1e851p-1, -0x1.167a3afd08625p-1, -0x1.187bd8ee71da2p-1, -0x1.1a635d452863bp-1, -0x1.1c306495476bap-1, -0x1.1de297b8b8cd1p-1, -0x1.1f79abb9320a7p-1, -0x1.20f561ad5130fp-1, -0x1.2255868a609a1p-1, -0x1.2399f2ec1fda5p-1, -0x1.24c28ad3e01d2p-1, -0x1.25cf3d6018d66p-1, -0x1.26c0047d8dd39p-1, -0x1.2794e492fcf63p-1, -0x1.284dec2839638p-1, -0x1.28eb33898431fp-1, -0x1.296cdc67df77ep-1, -0x1.29d3117705b9p-1, -0x1.2a1e0609a20bfp-1, -0x1.2a4df5ac542ap-1, -0x1.2a6323bffd197p-1, -0x1.2a5ddb13c9deap-1, -0x1.2a3e6d7f5afcdp-1, -0x1.2a05337d6c29bp-1, -0x1.29b28bc7457p-1, -0x1.2946daf144096p-1, -0x1.28c28b08b6f72p-1, -0x1.28260b33496ap-1, -0x1.2771cf502c384p-1, -0x1.26a64f9b2a5f8p-1, -0x1.25c40851cbc01p-1, -0x1.24cb795aa9b1fp-1, -0x1.23bd25ef0c8acp-1, -0x1.22999446edc96p-1, -0x1.21614d476e4bfp-1, -0x1.2014dc33d1b79p-1, -0x1.1eb4ce6109d84p-1, -0x1.1d41b2ebddd82p-1, -0x1.1bbc1a71ae687p-1, -0x1.1a2496cbdfep-1, -0x1.187bbacdea4fp-1, -0x1.16c21a060aea3p-1, -0x1.14f848809b334p-1, -0x1.131eda8e04697p-1, -0x1.1136648b4b4dap-1, -0x1.0f3f7aad2e82p-1, -0x1.0d3ab0cdcc4d9p-1, -0x1.0b289a3cc92c5p-1, -0x1.0909c991eb11cp-1, -0x1.06ded0821feabp-1, -0x1.04a83fb6e1128p-1, -0x1.0266a6a7e8144p-1, -0x1.001a9377289f8p-1, -0x1.fb89259e0097cp-2, -0x1.f6ca5f851c32ap-2, -0x1.f1f9e7604ab6fp-2, -0x1.ed18cc4b91deap-2, -0x1.e828198f4939dp-2, -0x1.e328d670e2981p-2, -0x1.de1c06076e931p-2, -0x1.d902a713bd22p-2, -0x1.d3ddb3dbf6238p-2, -0x1.ceae220a9684ep-2, -0x1.c974e290a60bdp-2, -0x1.c432e18b0e025p-2, -0x1.bee9062af50fap-2, -0x1.b99832a0f8a9ep-2, -0x1.b441440b2f734p-2, -0x1.aee51265d1c5ap-2, -0x1.a984707e6d97cp-2, -0x1.a4202be986822p-2, -0x1.9eb90cfa89432p-2, -0x1.994fd6bdf4d96p-2, -0x1.93e546f59d0f7p-2, -0x1.8e7a1616ee481p-2, -0x1.890ef74b1897dp-2, -0x1.83a498710606ep-2, -0x1.7e3ba221051c3p-2, -0x1.78d4b7b212956p-2, -0x1.73707740a2308p-2, -0x1.6e0f79b6db18dp-2, -0x1.68b252d6284adp-2, -0x1.635991420b599p-2, -0x1.5e05be8c20dd5p-2, -0x1.58b75f413671dp-2, -0x1.536ef2f76f9f7p-2, -0x1.4e2cf45d54bebp-2, -0x1.48f1d949caf3ep-2, -0x1.43be12ccd447cp-2, -0x1.3e920d4113767p-2, -0x1.396e305dfbb4fp-2, -0x1.3452df4a9f3bep-2, -0x1.2f4078b10cc1fp-2, -0x1.2a3756d230e71p-2, -0x1.2537cf9a2755cp-2, -0x1.204234b4f5e28p-2, -0x1.1b56d3a3a0827p-2, -0x1.1675f5d187958p-2, -0x1.119fe0aa0e51cp-2, -0x1.0cd4d5ae73c1fp-2, -0x1.0815128bdc258p-2, -0x1.0360d13179fafp-2, -0x1.fd708fcda57e4p-3, -0x1.f43752c42c4b2p-3, -0x1.eb1649bcf0c9cp-3, -0x1.e20dcc6527f9fp-3, -0x1.d91e2bcd7ad5cp-3, -0x1.d047b2969a5dfp-3, -0x1.c78aa51da5ea2p-3, -0x1.bee741a85e73dp-3, -0x1.b65dc0910ffebp-3, -0x1.adee547238271p-3, -0x1.a5992a51cdb0ep-3, -0x1.9d5e69cc29176p-3, -0x1.953e353e84704p-3, -0x1.8d38a9f10570bp-3, -0x1.854de04054381p-3, -0x1.7d7debc6a63e7p-3, -0x1.75c8db844effcp-3, -0x1.6e2eba07b4f5dp-3, -0x1.66af8d94c3823p-3, -0x1.5f4b584bb233cp-3, -0x1.5802184f45777p-3, -0x1.50d3c7ea58535p-3, -0x1.49c05db4d7a2ep-3, -0x1.42c7ccb803ba3p-3, -0x1.3bea049219dcdp-3, -0x1.3526f19940977p-3, -0x1.2e7e7cfdd6a59p-3, -0x1.27f08cec02f7ep-3, -0x1.217d04aca03d8p-3, -0x1.1b23c4c56fb5cp-3, -0x1.14e4ab189b347p-3, -0x1.0ebf930382d45p-3, -0x1.08b4557cdb9fp-3, -0x1.02c2c932149bbp-3, -0x1.f9d5854819a5bp-4, -0x1.ee5828862f483p-4, -0x1.e30d1d1497d1p-4, -0x1.d7f400344b994p-4, -0x1.cd0c6ba4edf8ap-4, -0x1.c255f5d74f86ep-4, -0x1.b7d0321e940a5p-4, -0x1.ad7ab0e00daadp-4, -0x1.a354ffc1b3053p-4, -0x1.995ea9d74add8p-4, -0x1.8f9737ce52b69p-4, -0x1.85fe301891e23p-4, -0x1.7c9317156d9edp-4, -0x1.73556f39fb18ap-4, -0x1.6a44b937d7384p-4, -0x1.61607422c52p-4, -0x1.58a81d951b165p-4, -0x1.501b31d303aa1p-4, -0x1.47b92bec92b81p-4, -0x1.3f8185debb288p-4, -0x1.3773b8b322c11p-4, -0x1.2f8f3c9edec6ep-4, -0x1.27d389201be73p-4, -0x1.2040151ab8c98p-4, -0x1.18d456f3d53b4p-4, -0x1.118fc4ac6082bp-4, -0x1.0a71d3faa5443p-4, -0x1.0379fa62e1669p-4, -0x1.f94f5a9dc8a9ap-5, -0x1.ebf4c4498a12dp-5, -0x1.dee31cb954d95p-5, -0x1.d2194f2b63a4p-5, -0x1.c5964753f1587p-5, -0x1.b958f18394b6ep-5, -0x1.ad603acbfbb99p-5, -0x1.a1ab112302db8p-5, -0x1.96386384408b4p-5, -0x1.8b07221103bcdp-5, -0x1.80163e2ed67dfp-5, -0x1.7564aaa48db27p-5, -0x1.6af15bb5ec4dap-5, -0x1.60bb473de984dp-5, -0x1.56c164c79dd91p-5, -0x1.4d02ada5e6731p-5, -0x1.437e1d09c2b1p-5, -0x1.3a32b0177a52p-5, -0x1.311f65fa8f115p-5, -0x1.28433ff88aecfp-5, -0x1.1f9d4182ae9ep-5, -0x1.172c7046874b8p-5, -0x1.0eefd43d7a3eap-5, -0x1.06e677bb49c32p-5, -0x1.fe1ecef73ced3p-6, -0x1.eed3655d381e9p-6, -0x1.dfe8d6090f2dp-6, -0x1.d15d4971199d5p-6, -0x1.c32eed353fe9ep-6, -0x1.b55bf43129b32p-6, -0x1.a7e2968cb90eap-6, -0x1.9ac111cb021b3p-6, -0x1.8df5a8d7c5e3p-6, -0x1.817ea41378494p-6, -0x1.755a515dd975ap-6, -0x1.6987041f4970bp-6, -0x1.5e031550ba8p-6, -0x1.52cce3827ec6bp-6, -0x1.47e2d2e1ceaefp-6, -0x1.3d434d3d3254bp-6, -0x1.32ecc207d2dfdp-6, -0x1.28dda65bbb8a2p-6, -0x1.1f1474fb142b8p-6, -0x1.158fae5062ab9p-6, -0x1.0c4dd86de3874p-6, -0x1.034d7f0bfad33p-6, -0x1.f51a670d9091bp-7, -0x1.e41719b5d8e2dp-7, -0x1.d38e4f4315c95p-7, -0x1.c37d4c171771p-7, -0x1.b3e15fb8421bdp-7, -0x1.a4b7e4c55dfbap-7, -0x1.95fe40e7fbf16p-7, -0x1.87b1e4c5c23b1p-7, -0x1.79d04bf07c791p-7, -0x1.6c56fcd51ee3ep-7, -0x1.5f4388a9b171ap-7, -0x1.52938b5a515a9p-7, -0x1.4644ab75378bp-7, -0x1.3a549a15eafdbp-7, -0x1.2ec112cf8f5f5p-7, -0x1.2387db96849e7p-7, -0x1.18a6c4a92f4b7p-7, -0x1.0e1ba87834efap-7, -0x1.03e46b8dff9a9p-7, -0x1.f3fdf8eb50e8ap-8, -0x1.e0d2a742c8b31p-8, -0x1.ce42e6a0c60ep-8, -0x1.bc4acee87a83ap-8, -0x1.aae68b2bda66fp-8, -0x1.9a125974d3c62p-8, -0x1.89ca8a8daca08p-8, -0x1.7a0b81c8ebbc3p-8, -0x1.6ad1b4c88605ep-8, -0x1.5c19ab448b4e1p-8, -0x1.4ddffed15ccdep-8, -0x1.40215aa57d7f7p-8, -0x1.32da7b5f0edc9p-8, -0x1.26082ec8ff161p-8, -0x1.19a7539fe7123p-8, -0x1.0db4d956bf0a6p-8, -0x1.022dbfdb882fap-8, -0x1.ee1e2eb736364p-9, -0x1.d8ac00106dfa3p-9, -0x1.c3ff53b59e6adp-9, -0x1.b012a8b2cc4f3p-9, -0x1.9ce09cb62a2f1p-9, -0x1.8a63eb990f47ep-9, -0x1.78976ee9750d1p-9, -0x1.67761d738a0c7p-9, -0x1.56fb0acbc5bdap-9, -0x1.472166d974394p-9, -0x1.37e47d619c034p-9, -0x1.293fb5929498dp-9, -0x1.1b2e919060e6fp-9, -0x1.0dacae01525f2p-9, -0x1.00b5c19b8eeb4p-9, -0x1.e88b3966d1b83p-10, -0x1.d0b05194bc136p-10, -0x1.b9d2d03e3a946p-10, -0x1.a3eaea7c36ea8p-10, -0x1.8ef10526baee7p-10, -0x1.7addb3f9df8f5p-10, -0x1.67a9b8bcf7b45p-10, -0x1.554e026b8e5ebp-10, -0x1.43c3ac60a9c1ep-10, -0x1.3303fd83d4191p-10, -0x1.23086778540fp-10, -0x1.13ca85ceb43e9p-10, -0x1.05441d387b2cbp-10, -0x1.eede357b9b2d7p-11, -0x1.d48b25ebde59fp-11, -0x1.bb838283735c5p-11, -0x1.a3bc0e1000bb6p-11, -0x1.8d29d5ea7c337p-11, -0x1.77c230796a99ap-11, -0x1.637abbb940cd1p-11, -0x1.50495bc8b5e9ap-11, -0x1.3e24397ac0174p-11, -0x1.2d01c0ecb74b7p-11, -0x1.1cd8a02162596p-11, -0x1.0d9fc5a16f1dep-11, -0x1.fe9cbe4148393p-12, -0x1.e3b7b04f580e7p-12, -0x1.ca7fb18767796p-12, -0x1.b2e488729e9aep-12, -0x1.9cd66f7c5914ap-12, -0x1.8846126d2a1cep-12, -0x1.75248befe79f1p-12, -0x1.63636321309b9p-12, -0x1.52f489285e4dep-12, -0x1.43ca56daa80f9p-12, -0x1.35d78a669c22ep-12, -0x1.290f450ac7e0dp-12, -0x1.1d6508d532e8bp-12, -0x1.12ccb66d1b757p-12, -0x1.093a8ae4f1162p-12, -0x1.00a31d9756b5p-12, -0x1.f1f6bc18c51c1p-13, -0x1.e47123d02141fp-13, -0x1.d8a0a5c65e108p-13, -0x1.ce711997cd22dp-13, -0x1.c5cef721e7723p-13, -0x1.bea752a950164p-13, -0x1.b8e7d911f954cp-13, -0x1.b47ecc2a62cd8p-13, -0x1.b15aff080a5d9p-13, -0x1.af6bd27390ecbp-13, -0x1.aea1316758023p-13, -0x1.aeeb8d9f5ce0ep-13, -0x1.b03bdc3a3c72cp-13, -0x1.b283926926c2dp-13, -0x1.b5b4a23179608p-13, -0x1.b9c1773de9a57p-13, -0x1.be9cf3c0aac1ap-13, -0x1.c43a6d660b263p-13, -0x1.ca8daa5325353p-13, -0x1.d18ade37fdb87p-13, -0x1.d926a76f2fea9p-13, -0x1.e1560c2d4381ap-13, -0x1.ea0e77bd81e31p-13, -0x1.f345b7cea094fp-13, -0x1.fcf1f9cda37e7p-13, -0x1.0384e4277854cp-12, -0x1.08c20442ee56bp-12, -0x1.0e2bfbe442e8cp-12, -0x1.13be949192799p-12, -0x1.1975c17bda9f9p-12, -0x1.1f4d9e559f1a7p-12, -0x1.25426e2fbb985p-12, -0x1.2b509a5d348ffp-12, -0x1.3174b15ca9415p-12, -0x1.37ab65c8998fap-12, -0x1.3df18d4d30a26p-12, -0x1.44441fa476d5fp-12, -0x1.4aa03598589ddp-12, -0x1.5103080a28b92p-12, -0x1.5769ef0090045p-12, -0x1.5dd260b9e4186p-12, -0x1.6439f0c541ff5p-12, -0x1.6a9e4f20a453ep-12, -0x1.70fd475bd8e1p-12, -0x1.7754bfc121502p-12, -0x1.7da2b882e3874p-12, -0x1.83e54aee14983p-12, -0x1.8a1aa8a28bfeep-12, -0x1.90411acec1794p-12, -0x1.9657017158282p-12, -0x1.9c5ad29efe7a3p-12, -0x1.a24b19ccebd46p-12, -0x1.a826771fe2c1fp-12, -0x1.adeb9ebfde649p-12, -0x1.b399582f31402p-12, -0x1.b92e7da6c86cfp-12, -0x1.bea9fb768fc8fp-12, -0x1.c40acf694eb81p-12, -0x1.c950082ce2afcp-12, -0x1.ce78c4bea182fp-12, -0x1.d38433dac899dp-12, -0x1.d871937089e92p-12, -0x1.dd403019a3ef3p-12, -0x1.e1ef6494cb9e8p-12, -0x1.e67e99448770dp-12, -0x1.eaed43b0fe2eep-12, -0x1.ef3ae60d897cfp-12, -0x1.f3670ec11bae9p-12, -0x1.f77157f23afccp-12, -0x1.fb5967161885p-12, -0x1.ff1eec8285d1fp-12, -0x1.0160d181c717fp-11, -0x1.0320a7b9a3f3fp-11, -0x1.04cee02a6d04ep-11, -0x1.066b66b94757cp-11, -0x1.07f62bbf305abp-11, -0x1.096f23dac2a0ep-11, -0x1.0ad647c31fd5cp-11, -0x1.0c2b941c5e72ap-11, -0x1.0d6f094cdf9d9p-11, -0x1.0ea0ab545c95p-11, -0x1.0fc081a3ddd8bp-11, -0x1.10ce96f6f1d9bp-11, -0x1.11caf92ddd2a8p-11, -0x1.12b5b9294008dp-11, -0x1.138eeaa68f58p-11, -0x1.1456a41dbfdb4p-11, -0x1.150cfea01a388p-11, -0x1.15b215b7bdf2ep-11, -0x1.164607486d618p-11, -0x1.16c8f37127776p-11, -0x1.173afc6efa518p-11, -0x1.179c468067025p-11, -0x1.17ecf7c9dcd08p-11, -0x1.182d383b2e2eep-11, -0x1.185d31758b031p-11, -0x1.187d0eb2a9901p-11, -0x1.188cfcacc6a71p-11, -0x1.188d298702642p-11, -0x1.187dc4b6f8d9p-11, -0x1.185efeeedfccp-11, -0x1.18310a0873dbcp-11, -0x1.17f418f0998d8p-11, -0x1.17a85f93b126ap-11, -0x1.174e12ca8f219p-11, -0x1.16e568482d487p-11, -0x1.166e9687e9e6p-11, -0x1.15e9d4bc93346p-11, -0x1.15575abfe7e2dp-11, -0x1.14b76102af28p-11, -0x1.140a207d77761p-11, -0x1.134fd2a1db63dp-11, -0x1.1288b14c50d89p-11, -0x1.11b4f6b685a1bp-11, -0x1.10d4dd6a56f4ep-11, -0x1.0fe8a0350dap-11, -0x1.0ef07a1b46f03p-11, -0x1.0deca64d40395p-11, -0x1.0cdd601bb8c93p-11, -0x1.0bc2e2ed2b732p-11, -0x1.0a9d6a337a7ffp-11, -0x1.096d3162019f4p-11, -0x1.083273e424d27p-11, -0x1.06ed6d141e64dp-11, -0x1.059e583273854p-11, -0x1.0445705d924fap-11, -0x1.02e2f089c64d5p-11, -0x1.01771379c03bp-11, -0x1.000213b732859p-11, -0x1.fd085717f253ep-12, -0x1.f9fb29f6d113bp-12, -0x1.f6dd1378318d6p-12, -0x1.f3ae8663aec8bp-12, -0x1.f06ff4cfe1086p-12, -0x1.ed21d017a5bf6p-12, -0x1.e9c488cfb07aep-12, -0x1.e6588ebce1f53p-12, -0x1.e2de50cb20dc8p-12, -0x1.df563d047300fp-12, -0x1.dbc0c088dd1dep-12, -0x1.d81e47868c0c3p-12, -0x1.d46f3d3281027p-12, -0x1.d0b40bc1b6faap-12, -0x1.cced1c62b42e3p-12, -0x1.c91ad7376ad52p-12, -0x1.c53da34f913ep-12, -0x1.c155e6a3522abp-12, -0x1.bd64060e7412ap-12, -0x1.b968654bd3b5fp-12, -0x1.b56366f13528dp-12, -0x1.b1556c6b450eep-12, -0x1.ad3ed5fa23a64p-12, -0x1.a92002ae0ee57p-12, -0x1.a4f950648dda8p-12, -0x1.a0cb1bc5b1a7fp-12, -0x1.9c95c041bfe3dp-12, -0x1.9859980f282d1p-12, -0x1.9416fc286a70cp-12, -0x1.8fce444acf806p-12, -0x1.8b7fc6f4b8465p-12, -0x1.872bd964aa94p-12, -0x1.82d2cf9861175p-12, -0x1.7e74fc4c139b5p-12, -0x1.7a12b0f9e99e5p-12, -0x1.75ac3dd9aea92p-12, -0x1.7141f1e0c3e5ap-12, -0x1.6cd41ac1fb309p-12, -0x1.686304ee0c31cp-12, -0x1.63eefb93dd516p-12, -0x1.5f7848a1127b8p-12, -0x1.5aff34c2c9d3bp-12, -0x1.5684076655411p-12, -0x1.520706ba6d93cp-12, -0x1.4d8877b006a37p-12, -0x1.49089dfbd3f8ap-12, -0x1.4487bc17888ddp-12, -0x1.400613433b0bcp-12, -0x1.3b83e3872417fp-12, -0x1.37016bb5277e9p-12, -0x1.327ee96ab03aap-12, -0x1.2dfc99129d271p-12, -0x1.297ab5e72c56ep-12, -0x1.24f979f41302ap-12, -0x1.20791e1882ff4p-12, -0x1.1bf9da09871fep-12, -0x1.177be45427bfep-12, -0x1.12ff725ff093dp-12, -0x1.0e84b8712482fp-12, -0x1.0a0be9ab64cc3p-12, -0x1.0595381420c59p-12, -0x1.0120d4952ccap-12, -0x1.f95dddfecb87ep-13, -0x1.f07f6c1a9db96p-13, -0x1.e7a6aecbc2521p-13, -0x1.ded3ff3e85228p-13, -0x1.d607b4832e962p-13, -0x1.cd42239382a02p-13, -0x1.c4839f58a6566p-13, -0x1.bbcc78b0cb01p-13, -0x1.b31cfe74f094cp-13, -0x1.aa757d7ed9b7dp-13, -0x1.a1d640aefb457p-13, -0x1.993f90f25ab45p-13, -0x1.90b1b5489084fp-13, -0x1.882cf2c9ab291p-13, -0x1.7fb18cac76cc5p-13, -0x1.773fc44c294aap-13, -0x1.6ed7d92edf1d5p-13, -0x1.667a090b2d322p-13, -0x1.5e268fcec493ep-13, -0x1.55dda7a40d433p-13, -0x1.4d9f88f8856a9p-13, -0x1.456c6a82a6f9fp-13, -0x1.3d4481482aee8p-13, -0x1.352800a3eeedfp-13, -0x1.2d171a4c268b2p-13, -0x1.2511fe585bp-13, -0x1.1d18db4761e62p-13, -0x1.152bde059ce47p-13, -0x1.0d4b31f2a03d9p-13, -0x1.057700e775316p-13, -0x1.fb5ee6790664bp-14, -0x1.ebe95f9ea85b6p-14, -0x1.dc8db8116b318p-14, -0x1.cd4c37c4a8617p-14, -0x1.be2523d9c879cp-14, -0x1.af18beab1220bp-14, -0x1.a02747d8265f4p-14, -0x1.9150fc50822e1p-14, -0x1.8296165fc372fp-14, -0x1.73f6cdb82ee07p-14, -0x1.6573577ed510bp-14, -0x1.570be655c07bfp-14, -0x1.48c0aa67b8fp-14, -0x1.3a91d1730c454p-14, -0x1.2c7f86d441a3cp-14, -0x1.1e89f3914f065p-14, -0x1.10b13e6416187p-14, -0x1.02f58bc4d8125p-14, -0x1.eaadfbea4c1ddp-15, -0x1.cfab6a13e742ap-15, -0x1.b4e39dec55de2p-15, -0x1.9a56cf2984aap-15, -0x1.800531660fd1fp-15, -0x1.65eef434b22b1p-15, -0x1.4c1443355c7a6p-15, -0x1.327546276dbe9p-15, -0x1.191220fe37771p-15, -0x1.ffd5e7e782b92p-16, -0x1.cdffb7384c703p-16, -0x1.9ca1e1f055dd5p-16, -0x1.6bbc93100d17bp-16, -0x1.3b4feebb396abp-16, -0x1.0b5c125db791ep-16, -0x1.b7c2299fb7c6ep-17, -0x1.59be0cf1dc2d8p-17, -0x1.f957c5cdf2a3ap-18, -0x1.411766bee44e8p-18, -0x1.1575e8a771395p-19, 0x1.4ded8b6db185bp-21, 0x1.b8a583245977bp-19, 0x1.8d0489b88142ap-18, 0x1.1de9b6c5be606p-17, 0x1.745ff32137e14p-17, 0x1.c9e5411065a71p-17, 0x1.0f3cf8ff0a394p-16, 0x1.390f30aee9789p-16, 0x1.62697a38fa37fp-16, 0x1.8b4c0d0661ae8p-16, 0x1.b3b7252ba625ep-16, 0x1.dbab034a4527cp-16, 0x1.0193f63a5bc33p-15, 0x1.15171508fb499p-15, 0x1.285f04e06d91ep-15, 0x1.3b6bee9ec09ffp-15, 0x1.4e3dfd226596dp-15, 0x1.60d55d3d60a8fp-15, 0x1.73323da7c4e3cp-15, 0x1.8554cef2a1d49p-15, 0x1.973d437b3bc27p-15, 0x1.a8ebcf5ec87d9p-15, 0x1.ba60a86d2d198p-15, 0x1.cb9c061dc6cacp-15, 0x1.dc9e2182a03e2p-15, 0x1.ed67353cca0dcp-15, 0x1.fdf77d70dca43p-15, 0x1.07279bdd847f4p-14, 0x1.0f3751921584ep-14, 0x1.172b000b4d64bp-14, 0x1.1f02c82996589p-14, 0x1.26becb73228b2p-14, 0x1.2e5f2c0ee01a3p-14, 0x1.35e40cbeeb35cp-14, 0x1.3d4d90dbb23b8p-14, 0x1.449bdc4ed448bp-14, 0x1.4bcf138e2e461p-14, 0x1.52e75b96f00f9p-14, 0x1.59e4d9e9044b1p-14, 0x1.60c7b48223669p-14, 0x1.679011d94eb59p-14, 0x1.6e3e18da65dbbp-14, 0x1.74d1f0e1725b7p-14, 0x1.7b4bc1b6778cap-14, 0x1.81abb388fb99p-14, 0x1.87f1eeec0e929p-14, 0x1.8e1e9cd1de3efp-14, 0x1.9431e687ce4b1p-14, 0x1.9a2bf5b28f97ep-14, 0x1.a00cf449f08d3p-14, 0x1.a5d50c9535cacp-14, 0x1.ab84692745febp-14, 0x1.b11b34daee979p-14, 0x1.b6999acf54f5dp-14, 0x1.bbffc66447e7fp-14, 0x1.c14de336e4618p-14, 0x1.c6841d1e098dcp-14, 0x1.cba2a0270120ep-14, 0x1.d0a998924d7d4p-14, 0x1.d59932d03a994p-14, 0x1.da719b7deeccp-14, 0x1.df32ff622521bp-14, 0x1.e3dd8b6a288aap-14, 0x1.e8716ca6f6ab6p-14, 0x1.eceed04a3209ap-14, 0x1.f155e3a36ab12p-14, 0x1.f5a6d41d22645p-14, 0x1.f9e1cf3a3213ap-14, 0x1.fe0702930d1b4p-14, 0x1.010b4de9952a8p-13, 0x1.0308645b2bc5fp-13, 0x1.04fadb833b9cdp-13, 0x1.06e2ca4c5d60dp-13, 0x1.08c047a5b2cafp-13, 0x1.0a936a81baaabp-13, 0x1.0c5c49d5215b4p-13, 0x1.0e1afc95a422dp-13, 0x1.0fcf99b90214ep-13, 0x1.117a3833d0216p-13, 0x1.131aeef884161p-13, 0x1.14b1d4f66ae7dp-13, 0x1.163f01189b624p-13, 0x1.17c28a450776ap-13, 0x1.193c875b89f0fp-13, 0x1.1aad0f34efab7p-13, 0x1.1c1438a209c4dp-13, 0x1.1d721a6ad65a3p-13, 0x1.1ec6cb4da68ddp-13, 0x1.201261fe36249p-13, 0x1.2154f524ebab2p-13, 0x1.228e9b5df3adcp-13, 0x1.23bf6b3892e19p-13, 0x1.24e77b3651926p-13, 0x1.2606e1ca39fb9p-13, 0x1.271db5583b8ddp-13, 0x1.282c0c3457445p-13, 0x1.2931fca1fc9cbp-13, 0x1.2a2f9cd365a8ap-13, 0x1.2b2502e8e683cp-13, 0x1.2c1244f0534d3p-13, 0x1.2cf778e46287ap-13, 0x1.2dd4b4ac13136p-13, 0x1.2eaa0e1a1a43bp-13, 0x1.2f779aec53c13p-13, 0x1.303d70cb3085dp-13, 0x1.30fba54930a7fp-13, 0x1.31b24de279113p-13, 0x1.32617ffc3076cp-13, 0x1.330950e416ddcp-13, 0x1.33a9d5d00ce8cp-13, 0x1.344323dda340dp-13, 0x1.34d55011962d9p-13, 0x1.35606f57866d2p-13, 0x1.35e496817b1a2p-13, 0x1.3661da476d7a9p-13, 0x1.36d84f470571dp-13, 0x1.37480a032f37cp-13, 0x1.37b11ee3c05fbp-13, 0x1.3813a23516915p-13, 0x1.386fa827d87bdp-13, 0x1.38c544d0a2117p-13, 0x1.39148c27a50dbp-13, 0x1.395d920865675p-13, 0x1.39a06a31705b3p-13, 0x1.39dd284429fb9p-13, 0x1.3a13dfc47fb9bp-13, 0x1.3a44a4189e89dp-13, 0x1.3a6f8888bbf1fp-13, 0x1.3a94a03eee67cp-13, 0x1.3ab3fe46dfda8p-13, 0x1.3acdb58d9c28ep-13, 0x1.3ae1d8e17281p-13, 0x1.3af07af1b9ee3p-13, 0x1.3af9ae4e9fce6p-13, 0x1.3afd8568ff4a3p-13, 0x1.3afc129242b4ep-13, 0x1.3af567fc3769dp-13, 0x1.3ae997b8ec78dp-13, 0x1.3ad8b3ba8a1dcp-13, 0x1.3ac2cdd345247p-13, 0x1.3aa7f7b53579fp-13, 0x1.3a8842f23873p-13, 0x1.3a63c0fbdec88p-13, 0x1.3a3a83235191ep-13, 0x1.3a0c9a9943dbep-13, 0x1.39da186de9a6ap-13, 0x1.39a30d90cadc6p-13, 0x1.39678ad0c6057p-13, 0x1.3927a0dc0e7abp-13, 0x1.38e3604004c44p-13, 0x1.389ad96946cfcp-13, 0x1.384e1ca3a43adp-13, 0x1.37fd3a1a06e7bp-13, 0x1.37a841d681671p-13, 0x1.374f43c2408e3p-13, 0x1.36f24fa5972ccp-13, 0x1.36917527eebcfp-13, 0x1.362cc3cfcccacp-13, 0x1.35c44b02e0771p-13, 0x1.35581a060190dp-13, 0x1.34e83ffd3348ep-13, 0x1.3474cbebab66ap-13, 0x1.33fdccb3d6c8fp-13, 0x1.3383511771b7fp-13, 0x1.330567b787e52p-13, 0x1.32841f1483bb1p-13, 0x1.31ff858e3e94p-13, 0x1.3177a964053aep-13, 0x1.30ec98b4b5a4ap-13, 0x1.305e617ec53e2p-13, 0x1.2fcd11a05770cp-13, 0x1.2f38b6d74dd92p-13, 0x1.2ea15ec16266p-13, 0x1.2e0716dc3b28ep-13, 0x1.2d69ec8578bfcp-13, 0x1.2cc9ecfad240cp-13, 0x1.2c27255a2f59ap-13, 0x1.2b81a2a1bc202p-13, 0x1.2ad971b007b21p-13, 0x1.2a2e9f441ab9fp-13, 0x1.298137fd97dc1p-13, 0x1.28d1485cd3218p-13, 0x1.281edcc2eb30ap-13, 0x1.276a0171ef218p-13, 0x1.26b2c28cf7b68p-13, 0x1.25f92c1845156p-13, 0x1.253d49f9674f9p-13, 0x1.247f27f758813p-13, 0x1.23bed1ba99a3cp-13, 0x1.22fc52cd56958p-13, 0x1.2237b69b893a4p-13, 0x1.21710873211cfp-13, 0x1.20a853841e756p-13, 0x1.1fdda2e0be4adp-13, 0x1.1f11017d9d948p-13, 0x1.1e427a31d18bep-13, 0x1.1d7217b71beap-13, 0x1.1c9fe4aa0c3bbp-13, 0x1.1bcbeb8a204dfp-13, 0x1.1af636b9ee83fp-13, 0x1.1a1ed07f502c4p-13, 0x1.1945c3038f70ap-13, 0x1.186b1853808e8p-13, 0x1.178eda5fb0ad3p-13, 0x1.16b112fc8f4cep-13, 0x1.15d1cbe28f9a4p-13, 0x1.14f10eae612d4p-13, 0x1.140ee4e114108p-13, 0x1.132b57e03593fp-13, 0x1.124670f6073e8p-13, 0x1.11603951acbep-13, 0x1.1078ba0748b99p-13, 0x1.0f8ffc1031f67p-13, 0x1.0ea6084b23fb6p-13, 0x1.0dbae77c592f8p-13, 0x1.0ccea24dc1cc1p-13, 0x1.0be1414f32b2ep-13, 0x1.0af2ccf68b42cp-13, 0x1.0a034d9fe260bp-13, 0x1.0912cb8db3813p-13, 0x1.08214ee908fdap-13, 0x1.072edfc1af6bbp-13, 0x1.063b860e560a5p-13, 0x1.054749acca342p-13, 0x1.045232621e1aep-13, 0x1.035c47dad236p-13, 0x1.026591ab024c2p-13, 0x1.016e174e9a973p-13, 0x1.0075e0297cb2dp-13, 0x1.fef9e70f65e68p-14, 0x1.fd06b13b35762p-14, 0x1.fb122d101da1p-14, 0x1.f91c68993569ap-14, 0x1.f72571b349f37p-14, 0x1.f52d560d3c2f8p-14, 0x1.f334232850203p-14, 0x1.f139e6589abc2p-14, 0x1.ef3eacc54bca5p-14, 0x1.ed4283690f293p-14, 0x1.eb45771271affp-14, 0x1.e947946430725p-14, 0x1.e748e7d591054p-14, 0x1.e5497db2c493dp-14, 0x1.e349621d3387cp-14, 0x1.e148a10bf0d4ap-14, 0x1.df47464bf7376p-14, 0x1.dd455d808fe5p-14, 0x1.db42f223bb065p-14, 0x1.d9400f866ec4dp-14, 0x1.d73cc0d115649p-14, 0x1.d5391103ba4d4p-14, 0x1.d3350af670b9p-14, 0x1.d130b959c531ep-14, 0x1.cf2c26b703d38p-14, 0x1.cd275d70895bap-14, 0x1.cb2267c22ba5dp-14, 0x1.c91d4fc17a85cp-14, 0x1.c7181f5e34defp-14, 0x1.c512e0628d195p-14, 0x1.c30d9c738c354p-14, 0x1.c1085d1150d8ep-14, 0x1.bf032b978467bp-14, 0x1.bcfe113d96751p-14, 0x1.baf917172aa8p-14, 0x1.b8f446145efc3p-14, 0x1.b6efa702223a6p-14, 0x1.b4eb428a93723p-14, 0x1.b2e7213542d44p-14, 0x1.b0e34b679860fp-14, 0x1.aedfc96514c22p-14, 0x1.acdca34fc0fbfp-14, 0x1.aad9e1287113bp-14, 0x1.a8d78acf031d3p-14, 0x1.a6d5a802d61f9p-14, 0x1.a4d440631223fp-14, 0x1.a2d35b6ee293bp-14, 0x1.a0d30085e10b5p-14, 0x1.9ed336e85324bp-14, 0x1.9cd405b78514p-14, 0x1.9ad573f61f954p-14, 0x1.98d78888710fbp-14, 0x1.96da4a34bdee5p-14, 0x1.94ddbfa3890a4p-14, 0x1.92e1ef5fdbe84p-14, 0x1.90e6dfd7a37e4p-14, 0x1.8eec975bff494p-14, 0x1.8cf31c218bb31p-14, 0x1.8afa74409ec84p-14, 0x1.8902a5b5a7553p-14, 0x1.870bb6616c7dep-14, 0x1.8515ac096602dp-14, 0x1.83208c57ec2c7p-14, 0x1.812c5cdca0a2bp-14, 0x1.7f39230cb0b88p-14, 0x1.7d46e44310afep-14, 0x1.7b55a5c0c539cp-14, 0x1.79656cad3db67p-14, 0x1.77763e16959a3p-14, 0x1.75881ef1da525p-14, 0x1.739b141b4e772p-14, 0x1.71af2256a7958p-14, 0x1.6fc44e4f5f11fp-14, 0x1.6dda9c990a3f5p-14, 0x1.6bf211af7f4cdp-14, 0x1.6a0ab1f730c9ap-14, 0x1.682481bd565bp-14, 0x1.663f85384f184p-14, 0x1.645bc087dca12p-14, 0x1.627937b55984ep-14, 0x1.6097eeb404332p-14, 0x1.5eb7e9614146ap-14, 0x1.5cd92b84e5334p-14, 0x1.5afbb8d151d12p-14, 0x1.591f94e3e46dfp-14, 0x1.5744c3452af19p-14, 0x1.556b476909281p-14, 0x1.539324af02135p-14, 0x1.51bc5e628957fp-14, 0x1.4fe6f7bb374d1p-14, 0x1.4e12f3dd00d44p-14, 0x1.4c4055d86f606p-14, 0x1.4a6f20aae0e89p-14, 0x1.489f573ed8cbp-14, 0x1.46d0fc6c24e8fp-14, 0x1.450412f824728p-14, 0x1.43389d95ea7d5p-14, 0x1.416e9ee68ceb8p-14, 0x1.3fa619796f004p-14, 0x1.3ddf0fcc5f753p-14, 0x1.3c19844bca8edp-14, 0x1.3a5579530793p-14, 0x1.3892f12c8a24dp-14, 0x1.36d1ee1219362p-14, 0x1.3512722d0cd1ep-14, 0x1.33547f9670e06p-14, 0x1.31981857406c2p-14, 0x1.2fdd3e68ac9b6p-14, 0x1.2e23f3b44e97p-14, 0x1.2c6c3a14473eap-14, 0x1.2ab613537648bp-14, 0x1.2901812dc532fp-14, 0x1.274e855050833p-14, 0x1.259d2159904f9p-14, 0x1.23ed56d9834c9p-14, 0x1.223f2751f98f8p-14, 0x1.20929436beb5cp-14, 0x1.1ee79eedc0fc6p-14, 0x1.1d3e48cf396bbp-14, 0x1.1b969325f38a7p-14, 0x1.19f07f2f77e0bp-14, 0x1.184c0e1c2a6a3p-14, 0x1.16a9410f87796p-14, 0x1.150819204e979p-14, 0x1.13689758a99cp-14, 0x1.11cabcb66d863p-14, 0x1.102e8a2b3359ep-14, 0x1.0e94009c7eacp-14, 0x1.0cfb20e403b65p-14, 0x1.0b63ebcfcd2bdp-14, 0x1.09ce62224e0e6p-14, 0x1.083a8492a0bbbp-14, 0x1.06a853ccb95dbp-14, 0x1.0517d07182bdap-14, 0x1.0388fb16fedf3p-14, 0x1.01fbd4488101bp-14, 0x1.00705c86da4dbp-14, 0x1.fdcd2890e5051p-15, 0x1.fabcf7f2d68acp-15, 0x1.f7b027f7bbd6cp-15, 0x1.f4a6b94ff885ap-15, 0x1.f1a0ac98469eep-15, 0x1.ee9e025a2fa2ep-15, 0x1.eb9ebb0c42969p-15, 0x1.e8a2d71277cfdp-15, 0x1.e5aa56be594f9p-15, 0x1.e2b53a4f56587p-15, 0x1.dfc381f31a9edp-15, 0x1.dcd52dc5dc77fp-15, 0x1.d9ea3dd27e5b4p-15, 0x1.d702b212e6137p-15, 0x1.d41e8a7064253p-15, 0x1.d13dc6c3d3278p-15, 0x1.ce6066d5da0eep-15, 0x1.cb866a5f401fbp-15, 0x1.c8afd1093b1cep-15, 0x1.c5dc9a6d86b31p-15, 0x1.c30cc616c8fe1p-15, 0x1.c0405380dd1cdp-15, 0x1.bd774218fbe84p-15, 0x1.bab1913dde2d3p-15, 0x1.b7ef404034a62p-15, 0x1.b5304e62db24dp-15, 0x1.b274badaf282bp-15, 0x1.afbc84d0354bdp-15, 0x1.ad07ab5d3e00ep-15, 0x1.aa562d8fad476p-15, 0x1.a7a80a6866151p-15, 0x1.a4fd40dbc8c62p-15, 0x1.a255cfd208248p-15, 0x1.9fb1b627354b3p-15, 0x1.9d10f2ab8ffeep-15, 0x1.9a738423c2d8bp-15, 0x1.97d969490d6d6p-15, 0x1.9542a0c96fe62p-15, 0x1.92af2947fd817p-15, 0x1.901f015d0ab1ap-15, 0x1.8d9227963d52dp-15, 0x1.8b089a76eab47p-15, 0x1.8882587849511p-15, 0x1.85ff600976eebp-15, 0x1.837faf8fd30d1p-15, 0x1.810345673323fp-15, 0x1.7e8a1fe1f3ee3p-15, 0x1.7c143d4937059p-15, 0x1.79a19bdd280fbp-15, 0x1.773239d50c98ap-15, 0x1.74c6155f79c13p-15, 0x1.725d2ca28b5f1p-15, 0x1.6ff77dbc13e7cp-15, 0x1.6d9506c1b26afp-15, 0x1.6b35c5c10d4c8p-15, 0x1.68d9b8c011ad9p-15, 0x1.6680ddbcf08aep-15, 0x1.642b32ae6f70ep-15, 0x1.61d8b5840d3bbp-15, 0x1.5f89642613063p-15, 0x1.5d3d3c75ce2b7p-15, 0x1.5af43c4dcf53bp-15, 0x1.58ae6181e50cfp-15, 0x1.566ba9df5064ep-15, 0x1.542c132d1035fp-15, 0x1.51ef9b2bd9f27p-15, 0x1.4fb63f96498fcp-15, 0x1.4d7ffe2120efap-15, 0x1.4b4cd47b4e5bfp-15, 0x1.491cc04e19905p-15, 0x1.46efbf3d54016p-15, 0x1.44c5cee76bf4fp-15, 0x1.429eece58d4b7p-15, 0x1.407b16cbde637p-15, 0x1.3e5a4a2984c89p-15, 0x1.3c3c8488cd31ap-15, 0x1.3a21c36f61e7ap-15, 0x1.380a045e4bdacp-15, 0x1.35f544d22345dp-15, 0x1.33e38243318c1p-15, 0x1.31d4ba259202bp-15, 0x1.2fc8e9e93fa1bp-15, 0x1.2dc00efa4bc74p-15, 0x1.2bba26c0e7f21p-15, 0x1.29b72ea18a251p-15, 0x1.27b723fd15fap-15, 0x1.25ba0430e098p-15, 0x1.23bfcc96dc4bep-15, 0x1.21c87a85c47c9p-15, 0x1.1fd40b51178b5p-15, 0x1.1de27c4943808p-15, 0x1.1bf3cabbce09ap-15, 0x1.1a07f3f3558e1p-15, 0x1.181ef537b0e38p-15, 0x1.1638cbce21bedp-15, 0x1.145574f94988ep-15, 0x1.1274edf95890cp-15, 0x1.1097340c2406ap-15, 0x1.0ebc446d3ae0bp-15, 0x1.0ce41c5603c3p-15, 0x1.0b0eb8fdc8e3p-15, 0x1.093c1799dbb2ap-15, 0x1.076c355da2edap-15, 0x1.059f0f7aafdbp-15, 0x1.03d4a320d953p-15, 0x1.020ced7e64752p-15, 0x1.0047ebbff4cep-15, 0x1.fd0b36215f4c7p-16, 0x1.f98bf134bdea6p-16, 0x1.f612030ae432ep-16, 0x1.f29d65f2550b4p-16, 0x1.ef2e14372bf99p-16, 0x1.ebc4082360285p-16, 0x1.e85f3bfeee313p-16, 0x1.e4ffaa0fe9689p-16, 0x1.e1a54c9aa37f5p-16, 0x1.de501de1f5498p-16, 0x1.db0018273c95ap-16, 0x1.d7b535aa7f7bp-16, 0x1.d46f70aabb9d8p-16, 0x1.d12ec365c44f7p-16, 0x1.cdf32818a549cp-16, 0x1.cabc98ff94425p-16, 0x1.c78b105640e85p-16, 0x1.c45e8857bdd4ep-16, 0x1.c136fb3ecfcebp-16, 0x1.be146345f4463p-16, 0x1.baf6baa7930dbp-16, 0x1.b7ddfb9dfda13p-16, 0x1.b4ca2063a5311p-16, 0x1.b1bb233336043p-16, 0x1.aeb0fe47a2ff1p-16, 0x1.abababdc67ef3p-16, 0x1.a8ab262d79b08p-16, 0x1.a5af6777836d3p-16, 0x1.a2b869f7e4745p-16, 0x1.9fc627ece9df4p-16, 0x1.9cd89b95c30a1p-16, 0x1.99efbf32c0fccp-16, 0x1.970b8d0552187p-16, 0x1.942bff503540ap-16, 0x1.915110576f0bep-16, 0x1.8e7aba6084da9p-16, 0x1.8ba8f7b284c3cp-16, 0x1.88dbc296128dbp-16, 0x1.861315559b8f7p-16, 0x1.834eea3d478f1p-16, 0x1.808f3b9b2f852p-16, 0x1.7dd403bf4f337p-16, 0x1.7b1d3cfbc48e2p-16, 0x1.786ae1a4b178p-16, 0x1.75bcec109c512p-16, 0x1.7313569826775p-16, 0x1.706e1b966b63ap-16, 0x1.6dcd3568d11bcp-16, 0x1.6b309e6f618bbp-16, 0x1.6898510c9bafap-16, 0x1.660447a5c2d74p-16, 0x1.63747ca2b703dp-16, 0x1.60e8ea6e32e0fp-16, 0x1.5e618b75b907bp-16, 0x1.5bde5a29c38e2p-16, 0x1.595f50fdb2bb9p-16, 0x1.56e46a67f9b5ep-16, 0x1.546da0e21c57ep-16, 0x1.51faeee8c588p-16, 0x1.4f8c4efbdaacdp-16, 0x1.4d21bb9e8b876p-16, 0x1.4abb2f5746ab9p-16, 0x1.4858a4afe4bc7p-16, 0x1.45fa1635acbebp-16, 0x1.439f7e796058ep-16, 0x1.4148d80f3eb52p-16, 0x1.3ef61d8f173d8p-16, 0x1.3ca749946f13ep-16, 0x1.3a5c56be6721ap-16, 0x1.38153fafe8c45p-16, 0x1.35d1ff0f74cddp-16, 0x1.33928f87863cbp-16, 0x1.3156ebc65abfep-16, 0x1.2f1f0e7e246f1p-16, 0x1.2ceaf264f4e55p-16, 0x1.2aba9234e148p-16, 0x1.288de8abf8e92p-16, 0x1.2664f08c5b9dcp-16, 0x1.243fa49c36dbep-16, 0x1.221dffa5de3aap-16, 0x1.1ffffc77c8905p-16, 0x1.1de595e4a4d7cp-16, 0x1.1bcec6c34ea93p-16, 0x1.19bb89eeebc51p-16, 0x1.17abda46e5982p-16, 0x1.159fb2aef6ec2p-16, 0x1.13970e0f30f32p-16, 0x1.1191e75406169p-16, 0x1.0f90396e5d6bdp-16, 0x1.0d91ff5373b81p-16, 0x1.0b9733fd03caap-16, 0x1.099fd2694a172p-16, 0x1.07abd59afb578p-16, 0x1.05bb38995e7cep-16, 0x1.03cdf67032061p-16, 0x1.01e40a2fdb8eap-16, 0x1.fffaddda8ec3ap-17, 0x1.fc343f841ec77p-17, 0x1.f8742f98cdc87p-17, 0x1.f4baa45e635c1p-17, 0x1.f1079423f3dffp-17, 0x1.ed5af541e63dfp-17, 0x1.e9b4be1a33556p-17, 0x1.e614e5180b2fcp-17, 0x1.e27b60b0623ccp-17, 0x1.dee8276162a56p-17, 0x1.db5b2fb306804p-17, 0x1.d7d47036978e4p-17, 0x1.d453df873f581p-17, 0x1.d0d9744978818p-17, 0x1.cd65252baa6ecp-17, 0x1.c9f6e8e5b3175p-17, 0x1.c68eb63947951p-17, 0x1.c32c83f1aef71p-17, 0x1.bfd048e408df8p-17, 0x1.bc79fbef0ca9ap-17, 0x1.b92993fb712d1p-17, 0x1.b5df07fb63d4dp-17, 0x1.b29a4eeb43f93p-17, 0x1.af5b5fd0d91c8p-17, 0x1.ac2231bc1f901p-17, 0x1.a8eebbc67bcf7p-17, 0x1.a5c0f5138a06fp-17, 0x1.a298d4d075763p-17, 0x1.9f76523485ac2p-17, 0x1.9c596480b8342p-17, 0x1.9942030004525p-17, 0x1.963025073b4ecp-17, 0x1.9323c1f50cc87p-17, 0x1.901cd1321c533p-17, 0x1.8d1b4a30cd96p-17, 0x1.8a1f246d94ffap-17, 0x1.8728576eafb75p-17, 0x1.8436dac4504a8p-17, 0x1.814aa608879d2p-17, 0x1.7e63b0df56357p-17, 0x1.7b81f2f6a959cp-17, 0x1.78a56406411fcp-17, 0x1.75cdfbcfdd199p-17, 0x1.72fbb21ee74e7p-17, 0x1.702e7ec91432ap-17, 0x1.6d6659ad764dfp-17, 0x1.6aa33ab58a49cp-17, 0x1.67e519d3fe364p-17, 0x1.652bef063f4c1p-17, 0x1.6277b252b1145p-17, 0x1.5fc85bca60a2dp-17, 0x1.5d1de3874fea9p-17, 0x1.5a7841ae2d4b5p-17, 0x1.57d76e6ccd03fp-17, 0x1.553b61fb64cf4p-17, 0x1.52a4149b6e8acp-17, 0x1.50117e9894904p-17, 0x1.4d839847fdda8p-17, 0x1.4afa5a08c1e3bp-17, 0x1.4875bc439e489p-17, 0x1.45f5b76b09f2cp-17, }}, 
      {{-0x1.257912d24a52bp-1, -0x1.25f4127a70989p-1, -0x1.268f91b57b2bdp-1, -0x1.27400ee8ca99ap-1, -0x1.27fa8d3d68016p-1, -0x1.28b53c621207ap-1, -0x1.2967ce2c515a7p-1, -0x1.2a0b95063ebc2p-1, -0x1.2a9b7e6fe56f3p-1, -0x1.2b13f74035351p-1, -0x1.2b72c339c0a1ap-1, -0x1.2bb6ce8dbcfc1p-1, -0x1.2bdffdc0b936bp-1, -0x1.2beefed8ad35ap-1, -0x1.2be51da21a6a6p-1, -0x1.2bc41c136a569p-1, -0x1.2b8e0f4c0ce42p-1, -0x1.2b45414f46c2bp-1, -0x1.2aec175cf9971p-1, -0x1.2a84fca3d16dp-1, -0x1.2a1250f1964fdp-1, -0x1.29965afb03da3p-1, -0x1.29133dd0ed2c3p-1, -0x1.288af11a123cfp-1, -0x1.27ff3badf9802p-1, -0x1.2771b03423796p-1, -0x1.26e3ab72f499ap-1, -0x1.265654024188ap-1, -0x1.25ca9b1de351ep-1, -0x1.25413e5cf8a56p-1, -0x1.24baca1a38712p-1, -0x1.24379c60e44c4p-1, -0x1.23b7e838749cdp-1, -0x1.233bb92efd21p-1, -0x1.22c2f7078b33p-1, -0x1.224d69766297ep-1, -0x1.21dabbd915b7dp-1, -0x1.216a80dc03d9cp-1, -0x1.20fc3601d6d8ap-1, -0x1.208f4704425e1p-1, -0x1.20231107831a3p-1, -0x1.1fb6e59c06965p-1, -0x1.1f4a0d8b39c2ep-1, -0x1.1edbcb6dd4f4ep-1, -0x1.1e6b5e0b0eeaap-1, -0x1.1df8028108331p-1, -0x1.1d80f63774703p-1, -0x1.1d05789e164a4p-1, -0x1.1c84ccb913bb9p-1, -0x1.1bfe3a7d7631ep-1, -0x1.1b71100069cbdp-1, -0x1.1adca27bee2f2p-1, -0x1.1a404f2bca07ap-1, -0x1.199b7c05915dp-1, -0x1.18ed984e94347p-1, -0x1.18361d12787aap-1, -0x1.17748d7d32cdep-1, -0x1.16a8771afbc2cp-1, -0x1.15d17200baf41p-1, -0x1.14ef20df4c15p-1, -0x1.14013103daa3cp-1, -0x1.13075a476d76dp-1, -0x1.12015eefa1319p-1, -0x1.10ef0b826166dp-1, -0x1.0fd0368e5a31ap-1, -0x1.0ea4c069b1d48p-1, -0x1.0d6c92e87e3a5p-1, -0x1.0c27a10c488d6p-1, -0x1.0ad5e6add6805p-1, -0x1.0977682251a77p-1, -0x1.080c31dccbc16p-1, -0x1.0694580d06d46p-1, -0x1.050ff63c500dfp-1, -0x1.037f2ee92655p-1, -0x1.01e22b22517b8p-1, -0x1.00391a21fb6abp-1, -0x1.fd0861d29e061p-2, -0x1.f98753ba1707ep-2, -0x1.f5ef88c6e0325p-2, -0x1.f2418907ab82fp-2, -0x1.ee7de51080b0ep-2, -0x1.eaa53542498c6p-2, -0x1.e6b8191737f04p-2, -0x1.e2b7367450e9cp-2, -0x1.dea3390073bc2p-2, -0x1.da7cd18104c55p-2, -0x1.d644b53c75e02p-2, -0x1.d1fb9d62c161cp-2, -0x1.cda2467bf6eb4p-2, -0x1.c9396fdcda806p-2, -0x1.c4c1db21a628ap-2, -0x1.c03c4baee46f3p-2, -0x1.bba98638568e2p-2, -0x1.b70a504de4135p-2, -0x1.b25f6fee6fedfp-2, -0x1.ada9ab208afa8p-2, -0x1.a8e9c790dc77dp-2, -0x1.a4208a3627c3ep-2, -0x1.9f4eb6faced5ap-2, -0x1.9a75106bac10ap-2, -0x1.9594576c2195bp-2, -0x1.90ad4aef32154p-2, -0x1.8bc0a7b5876efp-2, -0x1.86cf281030235p-2, -0x1.81d983a7fa16cp-2, -0x1.7ce06f4934fd2p-2, -0x1.77e49cb3bf672p-2, -0x1.72e6ba6f28c97p-2, -0x1.6de773a2cb76bp-2, -0x1.68e76ff1ae9c5p-2, -0x1.63e7535a0c311p-2, -0x1.5ee7be184e6acp-2, -0x1.59e94c8d650f7p-2, -0x1.54ec972844e62p-2, -0x1.4ff232526fd8ap-2, -0x1.4afaae5f5f849p-2, -0x1.4606977eb0cep-2, -0x1.411675b0e6ab8p-2, -0x1.3c2accbeaaaa2p-2, -0x1.37441c32607f6p-2, -0x1.3262df53f6acp-2, -0x1.2d878d26c7c3bp-2, -0x1.28b298697a528p-2, -0x1.23e46f97badd7p-2, -0x1.1f1d7cedafe45p-2, -0x1.1a5e266d172e7p-2, -0x1.15a6cde3e68e8p-2, -0x1.10f7d0f45be38p-2, -0x1.0c51891e60309p-2, -0x1.07b44bca2b52ap-2, -0x1.03206a5408a9fp-2, -0x1.fd2c64325c674p-3, -0x1.f42bd90b167ecp-3, -0x1.eb3fbe44feb9bp-3, -0x1.e268974cbffc6p-3, -0x1.d9a6e0097bb77p-3, -0x1.d0fb0cfeaf40cp-3, -0x1.c8658b6f4de9fp-3, -0x1.bfe6c181f3af6p-3, -0x1.b77f0e660e31dp-3, -0x1.af2eca79d8cb2p-3, -0x1.a6f647711f6d7p-3, -0x1.9ed5d07c970b7p-3, -0x1.96cdaa71c6419p-3, -0x1.8ede13f3586e7p-3, -0x1.87074599cb648p-3, -0x1.7f49721c5b8fep-3, -0x1.77a4c67a207c7p-3, -0x1.70196a2345828p-3, -0x1.68a77f2241918p-3, -0x1.614f2245119edp-3, -0x1.5a106b464e22cp-3, -0x1.52eb6cf62009cp-3, -0x1.4be03562f7324p-3, -0x1.44eece020357bp-3, -0x1.3e173bd7588bep-3, -0x1.37597f9db8365p-3, -0x1.30b595edf3292p-3, -0x1.2a2b7765dce15p-3, -0x1.23bb18cec1df3p-3, -0x1.1d646b436036cp-3, -0x1.17275c555362ap-3, -0x1.1103d631f1984p-3, -0x1.0af9bfc6900e4p-3, -0x1.0508fce42ff8bp-3, -0x1.fe62dcc508c85p-4, -0x1.f2e5e484a729bp-4, -0x1.e79ac79e67d1bp-4, -0x1.dc813781270e8p-4, -0x1.d198e0b423cb4p-4, -0x1.c6e16b165d517p-4, -0x1.bc5a7a1c6c407p-4, -0x1.b203ad0d00f45p-4, -0x1.a7dc9f3becf84p-4, -0x1.9de4e843be8e2p-4, -0x1.941c1c3ddb786p-4, -0x1.8a81cbf93e624p-4, -0x1.8115852fabcd1p-4, -0x1.77d6d2b9820afp-4, -0x1.6ec53cc0111bp-4, -0x1.65e048ee857bep-4, -0x1.5d277aa163509p-4, -0x1.549a531497a6ap-4, -0x1.4c38519020be7p-4, -0x1.4400f39351345p-4, -0x1.3bf3b4feb2ca8p-4, -0x1.3410103c8ba4cp-4, -0x1.2c557e6808f2ep-4, -0x1.24c37773174f5p-4, -0x1.1d59724aeaed8p-4, -0x1.1616e4fb3bd19p-4, -0x1.0efb44d03d74cp-4, -0x1.0806067757d15p-4, -0x1.01369e1ea28acp-4, -0x1.f518ff265c5p-5, -0x1.e80e3cbc3af9ap-5, -0x1.db4bdbc1296bep-5, -0x1.ced0c2dd0da85p-5, -0x1.c29bd8d0cb438p-5, -0x1.b6ac04a773e1ap-5, -0x1.ab002de557bfep-5, -0x1.9f973cb50132bp-5, -0x1.94701a1227c35p-5, -0x1.8989aff2a46d8p-5, -0x1.7ee2e96d7a558p-5, -0x1.747ab2dffb5c6p-5, -0x1.6a4ffa11115bep-5, -0x1.6061ae52c614dp-5, -0x1.56aec0a20597p-5, -0x1.4d3623c4b14c5p-5, -0x1.43f6cc6610529p-5, -0x1.3aefb131a3d29p-5, -0x1.321fcaec6d0e6p-5, -0x1.2986148cb554bp-5, -0x1.21218b505e2fcp-5, -0x1.18f12ed1c67ap-5, -0x1.10f4011b50a86p-5, -0x1.092906b99a7b3p-5, -0x1.018f46cc628e9p-5, -0x1.f44b962c72b5bp-6, -0x1.e5d74015f2209p-6, -0x1.d7bfa9ba32d63p-6, -0x1.ca02f713c1d08p-6, -0x1.bc9f51c90ed14p-6, -0x1.af92e94091014p-6, -0x1.a2dbf2b2f520bp-6, -0x1.9678a93b5a35ap-6, -0x1.8a674de5b06ccp-6, -0x1.7ea627bb586e9p-6, -0x1.733383cdfe3c1p-6, -0x1.680db540de04p-6, -0x1.5d3315506a7fep-6, -0x1.52a203586ee11p-6, -0x1.4858e4d8cb44ep-6, -0x1.3e562578b7fb8p-6, -0x1.34983708c7ed3p-6, -0x1.2b1d91839edbbp-6, -0x1.21e4b30d6baecp-6, -0x1.18ec1ff2472adp-6, -0x1.103262a36c836p-6, -0x1.07b60bb369576p-6, -0x1.feeb63a2a6544p-7, -0x1.eedfe38604b28p-7, -0x1.df46dcbccdee7p-7, -0x1.d01da10415159p-7, -0x1.c1618e197224ep-7, -0x1.b3100da8d6a85p-7, -0x1.a5269538eecfap-7, -0x1.97a2a61629b3dp-7, -0x1.8a81cd3c6b9ecp-7, -0x1.7dc1a33f948dbp-7, -0x1.715fcc32f172dp-7, -0x1.6559f78f80496p-7, -0x1.59ade01951932p-7, -0x1.4e594bc3ef52fp-7, -0x1.435a0b95f10fep-7, -0x1.38adfb8bb4b7ap-7, -0x1.2e530279731f5p-7, -0x1.244711ec8c872p-7, -0x1.1a88260c4d72cp-7, -0x1.1114457a0f1f6p-7, -0x1.07e98130dcd55p-7, -0x1.fe0be8c94aca4p-8, -0x1.eccf88c1f39c6p-8, -0x1.dc1a40ced037bp-8, -0x1.cbe8831b2913ap-8, -0x1.bc36d535eb8aap-8, -0x1.ad01cfccb20d7p-8, -0x1.9e461e666701cp-8, -0x1.90007f1d81bc1p-8, -0x1.822dc25a16b83p-8, -0x1.74caca8b96794p-8, -0x1.67d48be278b5bp-8, -0x1.5b480c09d1d6ap-8, -0x1.4f2261e0daf4dp-8, -0x1.4360b5349a33dp-8, -0x1.38003e79818b6p-8, -0x1.2cfe46854e065p-8, -0x1.22582648fc653p-8, -0x1.180b468b142bp-8, -0x1.0e151fa22fbe9p-8, -0x1.0473392fcffabp-8, -0x1.f64653b70f227p-9, -0x1.e4452e1d33a9bp-9, -0x1.d2de69600471bp-9, -0x1.c20d89c1dc2ffp-9, -0x1.b1ce2f736b6b2p-9, -0x1.a21c160ea22fdp-9, -0x1.92f31412d6259p-9, -0x1.844f1a61f88c8p-9, -0x1.762c33bf04a9ep-9, -0x1.6886844d90b0cp-9, -0x1.5b5a4912cdb56p-9, -0x1.4ea3d7779c99bp-9, -0x1.425f9ccc52317p-9, -0x1.368a1dcda142fp-9, -0x1.2b1ff62ada3dap-9, -0x1.201dd80dc5e45p-9, -0x1.15808ba3dd8fdp-9, -0x1.0b44eea91a73fp-9, -0x1.0167f3f436308p-9, -0x1.efcd460899d5cp-10, -0x1.dd7c2f2062dfap-10, -0x1.cbd7022e900b5p-10, -0x1.bad844e7af35cp-10, -0x1.aa7aa2de54876p-10, -0x1.9ab8ecadd5505p-10, -0x1.8b8e17288afe3p-10, -0x1.7cf53a8941d7fp-10, -0x1.6ee991a7c17bap-10, -0x1.61667930c14fep-10, -0x1.54676ee0a4871p-10, -0x1.47e810c1a6962p-10, -0x1.3be41c6d23ae7p-10, -0x1.30576e4ffd3b3p-10, -0x1.253e00f23d478p-10, -0x1.1a93ec42347c3p-10, -0x1.105564e2035b3p-10, -0x1.067ebb78a833bp-10, -0x1.fa18b80c8a7dfp-11, -0x1.e7f59a7669731p-11, -0x1.d68d5fa52d1eap-11, -0x1.c5d97bdf03d09p-11, -0x1.b5d394fabf1bfp-11, -0x1.a67581269d13bp-11, -0x1.97b945b4d38e1p-11, -0x1.899915ee27859p-11, -0x1.7c0f51ead21d1p-11, -0x1.6f16857061bc8p-11, -0x1.62a966d5795a9p-11, -0x1.56c2d5eba8f28p-11, -0x1.4b5ddaee86c06p-11, -0x1.4075a57848508p-11, -0x1.36058b7c6f1ap-11, -0x1.2c09084754d27p-11, -0x1.227bbb8295acdp-11, -0x1.1959683ff08b4p-11, -0x1.109df4084eb74p-11, -0x1.084565f0878c2p-11, -0x1.004be5b30e706p-11, -0x1.f15b759db03fep-12, -0x1.e2ce97551aa2bp-12, -0x1.d4ea397a0d5ffp-12, -0x1.c7a79f752e70bp-12, -0x1.bb00458dd4d54p-12, -0x1.aeeddf574dedcp-12, -0x1.a36a5627aa6c1p-12, -0x1.986fc795c0d92p-12, -0x1.8df884022eda1p-12, -0x1.83ff0d27c446dp-12, -0x1.7a7e14b4b3beap-12, -0x1.71707aec4a95ep-12, -0x1.68d14d5161a59p-12, -0x1.609bc5587612dp-12, -0x1.58cb47210685ap-12, -0x1.515b6037ea1d3p-12, -0x1.4a47c660d30dbp-12, -0x1.438c5667855f9p-12, -0x1.3d2512f830571p-12, -0x1.370e237fd8c2dp-12, -0x1.3143d312eb18ep-12, -0x1.2bc28f5ae5e21p-12, -0x1.2686e78bb6eaap-12, -0x1.218d8b5ecfac2p-12, -0x1.1cd34a15ad7p-12, -0x1.185511827330cp-12, -0x1.140fed16dffb1p-12, -0x1.100104f97eaefp-12, -0x1.0c259d20ece59p-12, -0x1.087b1474fe71dp-12, -0x1.04fee3f5c9a1bp-12, -0x1.01ae9de87995dp-12, -0x1.fd0fda140364fp-13, -0x1.f711278d8c5c7p-13, -0x1.f15cd6ef84671p-13, -0x1.ebeec749f6c9p-13, -0x1.e6c3029a14054p-13, -0x1.e1d5bc643d52dp-13, -0x1.dd235055c1f11p-13, -0x1.d8a840f242c5bp-13, -0x1.d4613649dd45bp-13, -0x1.d04afcb83e179p-13, -0x1.cc6283ac71191p-13, -0x1.c8a4dc799a04p-13, -0x1.c50f39308d978p-13, -0x1.c19eeb81c25cbp-13, -0x1.be5163a72c09ep-13, -0x1.bb242f55d561cp-13, -0x1.b814f8b7fc03cp-13, -0x1.b521856e1b8dap-13, -0x1.b247b597645bdp-13, -0x1.af8582e19966bp-13, -0x1.acd8ffa02e823p-13, -0x1.aa4055ea05c58p-13, -0x1.a7b9c6bde5521p-13, -0x1.a543a92da9fc5p-13, -0x1.a2dc698fc8f11p-13, -0x1.a08288b6be2cp-13, -0x1.9e349b2ec56a2p-13, -0x1.9bf14881cb953p-13, -0x1.99b74a804d31ep-13, -0x1.97856c90d3f4fp-13, -0x1.955a8b0453d7bp-13, -0x1.933592702dd4cp-13, -0x1.91157f0cd964bp-13, -0x1.8ef95c1a1d1e5p-13, -0x1.8ce04347caf62p-13, -0x1.8ac95c241589fp-13, -0x1.88b3db8d7df53p-13, -0x1.869f0329eccep-13, -0x1.848a20e20064ap-13, -0x1.82748e6118486p-13, -0x1.805db098ba488p-13, -0x1.7e44f749246aap-13, -0x1.7c29dc8c52aebp-13, -0x1.7a0be46629acbp-13, -0x1.77ea9c58121a6p-13, -0x1.75c59af7e8653p-13, -0x1.739c7f8a77532p-13, -0x1.716ef1a1f828dp-13, -0x1.6f3ca0beed654p-13, -0x1.6d0543f50783bp-13, -0x1.6ac89993491afp-13, -0x1.688666ce25317p-13, -0x1.663e776dc804cp-13, -0x1.63f09d7ea77bcp-13, -0x1.619cb1051c048p-13, -0x1.5f428fb35fbcfp-13, -0x1.5ce21ca2ae585p-13, -0x1.5a7b400e64a12p-13, -0x1.580de711ec0d6p-13, -0x1.559a03695f7bp-13, -0x1.531f8b33b16eap-13, -0x1.509e78b7cb6d7p-13, -0x1.4e16ca2b846b9p-13, -0x1.4b88817cff517p-13, -0x1.48f3a41de17b8p-13, -0x1.46583ad09571fp-13, -0x1.43b6517790d6fp-13, -0x1.410df6e624d85p-13, -0x1.3e5f3cb3abea6p-13, -0x1.3baa37104a21ap-13, -0x1.38eefc9b1fbe8p-13, -0x1.362da63a36e0fp-13, -0x1.33664ef455d23p-13, -0x1.309913cc02a69p-13, -0x1.2dc6139c3483cp-13, -0x1.2aed6ef6b0bf6p-13, -0x1.280f48032c582p-13, -0x1.252bc26052ecp-13, -0x1.22430305f7d2bp-13, -0x1.1f553028972ecp-13, -0x1.1c62711dda67dp-13, -0x1.196aee4284ee9p-13, -0x1.166ed0e191719p-13, -0x1.136e431bfce99p-13, -0x1.10696fd20772p-13, -0x1.0d60828dc6e66p-13, -0x1.0a53a76dcc6a6p-13, -0x1.07430b119e517p-13, -0x1.042eda86b9222p-13, -0x1.0117433670e11p-13, -0x1.fbf8e5a9c85acp-14, -0x1.f5bd2ea124c9ap-14, -0x1.ef7bbd85b455fp-14, -0x1.e934eec232553p-14, -0x1.e2e91edd6fa8fp-14, -0x1.dc98aa5fdd548p-14, -0x1.d643edba49523p-14, -0x1.cfeb452dda422p-14, -0x1.c98f0cb5839adp-14, -0x1.c32f9ff08baa1p-14, -0x1.bccd5a0e64423p-14, -0x1.b66895bbaca43p-14, -0x1.b001ad1048d57p-14, -0x1.a998f97e64f2ap-14, -0x1.a32ed3c28d64ap-14, -0x1.9cc393d493b9ap-14, -0x1.965790da19081p-14, -0x1.8feb21193ab9cp-14, -0x1.897e99ec7f467p-14, -0x1.83124fb72c7f2p-14, -0x1.7ca695daec8e5p-14, -0x1.763bbeade0231p-14, -0x1.6fd21b716154ap-14, -0x1.6969fc4a3d95ep-14, -0x1.6303b0387441cp-14, -0x1.5c9f85102db59p-14, -0x1.563dc7737d13cp-14, -0x1.4fdec2cc7cd25p-14, -0x1.4982c147f7137p-14, -0x1.432a0bd0ba361p-14, -0x1.3cd4ea0b1c0ecp-14, -0x1.3683a2518c9a5p-14, -0x1.303679b0f8c5ep-14, -0x1.29edb3e609599p-14, -0x1.23a9935b0e488p-14, -0x1.1d6a5925af199p-14, -0x1.173045054f46p-14, -0x1.10fb9561edfeap-14, -0x1.0acc874b41071p-14, -0x1.04a3567838694p-14, -0x1.fd007a8d09b8fp-15, -0x1.f0c6e975b8737p-15, -0x1.e49a6902ad989p-15, -0x1.d87b65db8d04cp-15, -0x1.cc6a49f98bb98p-15, -0x1.c0677caa0278dp-15, -0x1.b47362909bdb6p-15, -0x1.a88e5daad28c3p-15, -0x1.9cb8cd5326057p-15, -0x1.90f30e457f62p-15, -0x1.853d7aa3175cbp-15, -0x1.799869f73252ep-15, -0x1.6e04313bc19cfp-15, -0x1.628122df5be64p-15, -0x1.570f8eca12673p-15, -0x1.4bafc2635db59p-15, -0x1.406208989fbd4p-15, -0x1.3526a9e2ae905p-15, -0x1.29fdec4cab0bp-15, -0x1.1ee8137ac17cep-15, -0x1.13e560b0db308p-15, -0x1.08f612d9c5c38p-15, -0x1.fc34cd1c948ffp-16, -0x1.e6a52c384ad39p-16, -0x1.d13db31b44db7p-16, -0x1.bbfecd62b751cp-16, -0x1.a6e8e2432668ep-16, -0x1.91fc5498516fbp-16, -0x1.7d3982f4c7ed2p-16, -0x1.68a0c7b0ad0bcp-16, -0x1.543278fb3037ap-16, -0x1.3feee8e909eb9p-16, -0x1.2bd6658579cfdp-16, -0x1.17e938e2726edp-16, -0x1.0427a9284ebe7p-16, -0x1.e123f14be8ee6p-17, -0x1.ba50cbc2560bap-17, -0x1.93d6574def0fbp-17, -0x1.6db50237c2025p-17, -0x1.47ed3398b7f71p-17, -0x1.227f4b79d544ap-17, -0x1.fad745e626ecdp-18, -0x1.b165189c3787dp-18, -0x1.68a8a648ea733p-18, -0x1.20a27900b9613p-18, -0x1.b2a61bf2040dfp-19, -0x1.2575ab917163p-19, -0x1.3368d293cd221p-20, -0x1.ec60a7f934fcap-24, 0x1.e5f7a0b6b9316p-21, 0x1.00edddef447b4p-19, 0x1.86ec71c5a0a61p-19, 0x1.05bca7e45c1abp-18, 0x1.474a1cf7cc22cp-18, 0x1.881e83ce1c44dp-18, 0x1.c839d28eb2c45p-18, 0x1.03ce04d07a7d4p-17, 0x1.232299b83029fp-17, 0x1.421ab219255bfp-17, 0x1.60b65cd6a4982p-17, 0x1.7ef5ad80eedbcp-17, 0x1.9cd8bc395dc32p-17, 0x1.ba5fa59638043p-17, 0x1.d78a8a883a492p-17, 0x1.f459903ff2385p-17, 0x1.08667008e1f6ap-16, 0x1.167253aec59d1p-16, 0x1.24508bb9a7088p-16, 0x1.320132bd1f9f3p-16, 0x1.3f84652bf1dccp-16, 0x1.4cda414bbd1fdp-16, 0x1.5a02e72831ed6p-16, 0x1.66fe788765b5dp-16, 0x1.73cd18ddbe1f3p-16, 0x1.806eed427ad54p-16, 0x1.8ce41c63aba2dp-16, 0x1.992cce7b306e6p-16, 0x1.a5492d43bd8aap-16, 0x1.b13963ed48b44p-16, 0x1.bcfd9f120f8b1p-16, 0x1.c8960cac9c68ep-16, 0x1.d402dc0c788cp-16, 0x1.df443dcc44628p-16, 0x1.ea5a63c789373p-16, 0x1.f5458110a135ap-16, 0x1.0002e4f35a29cp-15, 0x1.054db9d5f7134p-15, 0x1.0a835a6e25869p-15, 0x1.0fa3e2820bc23p-15, 0x1.14af6e5b272cp-15, 0x1.19a61ac2407dbp-15, 0x1.1e8804faa54f3p-15, 0x1.23554abdc0075p-15, 0x1.280e0a36d7115p-15, 0x1.2cb261ff01653p-15, 0x1.31427118bb95fp-15, 0x1.35be56ec22f7ep-15, 0x1.3a263342e6321p-15, 0x1.3e7a2644501d5p-15, 0x1.42ba50717d82cp-15, 0x1.46e6d2a1525c8p-15, 0x1.4affcdfd2e667p-15, 0x1.4f0563fd21c88p-15, 0x1.52f7b66448a93p-15, 0x1.56d6e73d93ec2p-15, 0x1.5aa318d841f3bp-15, 0x1.5e5c6dc46a7bbp-15, 0x1.620308cf976c3p-15, 0x1.65970d01fda41p-15, 0x1.69189d9af27d2p-15, 0x1.6c87de0e0032dp-15, 0x1.6fe4f1fffccf6p-15, 0x1.732ffd43fb437p-15, 0x1.766923d86086p-15, 0x1.799089e3ec177p-15, 0x1.7ca653b30b194p-15, 0x1.7faaa5b54c8b5p-15, 0x1.829da47a7ce7ap-15, 0x1.857f74b036d5dp-15, 0x1.88503b1f55f7ap-15, 0x1.8b101ca978d6dp-15, 0x1.8dbf3e4656decp-15, 0x1.905dc5017b378p-15, 0x1.92ebd5f846f71p-15, 0x1.9569965715068p-15, 0x1.97d72b5784058p-15, 0x1.9a34ba3e1db14p-15, 0x1.9c82685843d36p-15, 0x1.9ec05afa04b2p-15, 0x1.a0eeb77be0b96p-15, 0x1.a30da339301ep-15, 0x1.a51d438dfd0fdp-15, 0x1.a71dbdd546c59p-15, 0x1.a90f376715558p-15, 0x1.aaf1d596c900ep-15, 0x1.acc5bdb1434e1p-15, 0x1.ae8b14fb0abc2p-15, 0x1.b04200aeb345fp-15, 0x1.b1eaa5fb8ef5p-15, 0x1.b3852a03a7c93p-15, 0x1.b511b1da732dp-15, 0x1.b6906283574bfp-15, 0x1.b80160f02428fp-15, 0x1.b964d1ffc8839p-15, 0x1.babada7c786cfp-15, 0x1.bc039f1ab1707p-15, 0x1.bd3f4477ebde4p-15, 0x1.be6def193f1e5p-15, 0x1.bf8fc36a2e004p-15, 0x1.c0a4e5bb719b3p-15, 0x1.c1ad7a41c76b1p-15, 0x1.c2a9a514cdd7ep-15, 0x1.c3998a2da0f6dp-15, 0x1.c47d4d662c298p-15, 0x1.c555127809e2dp-15, 0x1.c620fcfb4413ap-15, 0x1.c6e1306585007p-15, 0x1.c795d00930abdp-15, 0x1.c83eff1466795p-15, 0x1.c8dce090250abp-15, 0x1.c96f975f17a51p-15, 0x1.c9f7463d04a28p-15, 0x1.ca740fbe09168p-15, 0x1.cae6164db576ap-15, 0x1.cb4d7c2e5693ep-15, 0x1.cbaa63782f71ep-15, 0x1.cbfcee18c5dabp-15, 0x1.cc453dd23f851p-15, 0x1.cc83743a61ea8p-15, 0x1.ccb7b2ba435fap-15, 0x1.cce21a8db8cdbp-15, 0x1.cd02ccc27fafap-15, 0x1.cd19ea37bb491p-15, 0x1.cd27939d7d09p-15, 0x1.cd2be974404fdp-15, 0x1.cd270c0c58286p-15, 0x1.cd191b8558ae9p-15, 0x1.cd0237cd9f715p-15, 0x1.cce280a1fbe65p-15, 0x1.ccba158d40cdap-15, 0x1.cc8915e7d7079p-15, 0x1.cc4fa0d74ccfp-15, 0x1.cc0dd54e05bdap-15, 0x1.cbc3d20acc306p-15, 0x1.cb71b5989463bp-15, 0x1.cb179e4dd5a38p-15, 0x1.cab5aa4c94bddp-15, 0x1.ca4bf7821f8e8p-15, 0x1.c9daa3a68a366p-15, 0x1.c961cc3c7c4e1p-15, 0x1.c8e18e91082fep-15, 0x1.c85a07bb74908p-15, 0x1.c7cb549cf8c2cp-15, 0x1.c73591e06f9ddp-15, 0x1.c698dbfa38813p-15, 0x1.c5f54f2809ef2p-15, 0x1.c54b0770ce99dp-15, 0x1.c49a20a4a0587p-15, 0x1.c3e2b65c7601cp-15, 0x1.c324e3fa0ee28p-15, 0x1.c260c4a7dd7c1p-15, 0x1.c19673590b1e8p-15, 0x1.c0c60ac915e91p-15, 0x1.bfefa57bfee82p-15, 0x1.bf135dbe1f356p-15, 0x1.be314da455b96p-15, 0x1.bd498f0b960a7p-15, 0x1.bc5c3b992831cp-15, 0x1.bb696cbaa0621p-15, 0x1.ba713ba5d766cp-15, 0x1.b973c158dac9cp-15, 0x1.b8711699f34f6p-15, 0x1.b76953f7b7b2ep-15, 0x1.b65c91c906864p-15, 0x1.b54ae82d14f7bp-15, 0x1.b4346f0b9391dp-15, 0x1.b3193e14a8778p-15, 0x1.b1f96cc0f5844p-15, 0x1.b0d51251acd53p-15, 0x1.afac45d0ce652p-15, 0x1.ae7f1e10faa75p-15, 0x1.ad4db1adc7ea8p-15, 0x1.ac18170bad177p-15, 0x1.aade6458565b9p-15, 0x1.a9a0af8aa01dfp-15, 0x1.a85f0e629f486p-15, 0x1.a719966a028efp-15, 0x1.a5d05cf40a825p-15, 0x1.a483771da9fd3p-15, 0x1.a332f9cdd4af3p-15, 0x1.a1def9b57b262p-15, 0x1.a0878b4fc6f9p-15, 0x1.9f2cc2e24cdcep-15, 0x1.9dceb47d36cbcp-15, 0x1.9c6d73fb75bd2p-15, 0x1.9b091502e9479p-15, 0x1.99a1ab048ed36p-15, 0x1.9837493cc7dc2p-15, 0x1.96ca02b370473p-15, 0x1.9559ea3c23ecfp-15, 0x1.93e7127673329p-15, 0x1.92718dce23885p-15, 0x1.90f96e7b4a6ecp-15, 0x1.8f7ec682ba454p-15, 0x1.8e01a7b5ff689p-15, 0x1.8c8223b3d153cp-15, 0x1.8b004be8255c9p-15, 0x1.897c318c7ce22p-15, 0x1.87f5e5a834ec7p-15, 0x1.866d7910b7e51p-15, 0x1.84e2fc69a7bddp-15, 0x1.8356802541be2p-15, 0x1.81c8148487391p-15, 0x1.8037c997968b4p-15, 0x1.7ea5af3dd2603p-15, 0x1.7d11d5263f5f2p-15, 0x1.7b7c4acfbf419p-15, 0x1.79e51f89503bep-15, 0x1.784c62725b88ep-15, 0x1.76b2227af41ap-15, 0x1.75166e6429d19p-15, 0x1.737954c043281p-15, 0x1.71dae3f2ffd39p-15, 0x1.703b2a3207bf4p-15, 0x1.6e9a358511992p-15, 0x1.6cf813c62feb5p-15, 0x1.6b54d2a210297p-15, 0x1.69b07f9862dp-15, 0x1.680b27fc1e67ep-15, 0x1.6664d8f3cb2f7p-15, 0x1.64bd9f79b86cfp-15, 0x1.6315885c66b7dp-15, 0x1.616ca03ebe035p-15, 0x1.5fc2f398669cbp-15, 0x1.5e188eb60ce6dp-15, 0x1.5c6d7db9ab363p-15, 0x1.5ac1cc9b0226fp-15, 0x1.59158727abb55p-15, 0x1.5768b90387b01p-15, 0x1.55bb6da904dbap-15, 0x1.540db0696fd9cp-15, 0x1.525f8c6d4944ep-15, 0x1.50b10cb46e0aap-15, 0x1.4f023c16a5bcp-15, 0x1.4d532543d2788p-15, 0x1.4ba3d2c437e84p-15, 0x1.49f44ef8b428cp-15, 0x1.4844a41b3fb3ep-15, 0x1.4694dc3f1e5fep-15, 0x1.44e501514eb36p-15, 0x1.43351d18c7ddap-15, 0x1.41853936ab6ecp-15, 0x1.3fd55f26be666p-15, 0x1.3e25983f9cb8ep-15, 0x1.3c75edb313be4p-15, 0x1.3ac6688e76dcdp-15, 0x1.391711badc6dp-15, 0x1.3767f1fd8bf87p-15, 0x1.35b911f83c8edp-15, 0x1.340a7a295710bp-15, 0x1.325c32ec59ap-15, 0x1.30ae447a1affcp-15, 0x1.2f00b6e91584cp-15, 0x1.2d53922daec8p-15, 0x1.2ba6de1ab3971p-15, 0x1.29faa26180aa9p-15, 0x1.284ee6924df32p-15, 0x1.26a3b21c764bap-15, 0x1.24f90c4ed46dbp-15, 0x1.234efc580d29cp-15, 0x1.21a58946f3ec7p-15, 0x1.1ffcba0acf8eep-15, 0x1.1e54957387604p-15, 0x1.1cad2231f9416p-15, 0x1.1b0666d862d92p-15, 0x1.196069da8769p-15, 0x1.17bb318e12e15p-15, 0x1.1616c42ae980bp-15, 0x1.147327cb6966fp-15, 0x1.12d0626cb80b1p-15, 0x1.112e79ef20447p-15, 0x1.0f8d74163484bp-15, 0x1.0ded56893ee4dp-15, 0x1.0c4e26d375069p-15, 0x1.0aafea6445e6ep-15, 0x1.0912a68f8dbfcp-15, 0x1.0776608e2b30fp-15, 0x1.05db1d7e0ac73p-15, 0x1.0440e26262cb6p-15, 0x1.02a7b42417c7ap-15, 0x1.010f979201b4p-15, 0x1.fef122c239349p-16, 0x1.fbc54c59f9323p-16, 0x1.f89bb4f030f09p-16, 0x1.f5746557a6c6ap-16, 0x1.f24f6631d709fp-16, 0x1.ef2cbfef5bd2p-16, 0x1.ec0c7ad09e3b5p-16, 0x1.e8ee9ee6455f3p-16, 0x1.e5d33411c72ap-16, 0x1.e2ba4205fe3c1p-16, 0x1.dfa3d047a803bp-16, 0x1.dc8fe62defcf7p-16, 0x1.d97e8ae2f86f1p-16, 0x1.d66fc56453d17p-16, 0x1.d3639c838b34dp-16, 0x1.d05a16e6b95aep-16, 0x1.cd533b08cfb57p-16, 0x1.ca4f0f3a320bap-16, 0x1.c74d99a1b083fp-16, 0x1.c44ee03c7e466p-16, 0x1.c152e8deb106fp-16, 0x1.be59b933eeae4p-16, 0x1.bb6356bfd5d5cp-16, 0x1.b86fc6de7c995p-16, 0x1.b57f0ec50c3cfp-16, 0x1.b29133826f8d3p-16, 0x1.afa639ff48c94p-16, 0x1.acbe26fea4565p-16, 0x1.a9d8ff1e81a8dp-16, 0x1.a6f6c6d82f801p-16, 0x1.a4178280e8fc3p-16, 0x1.a13b364a334adp-16, 0x1.9e61e6425039ap-16, 0x1.9b8b9654c5adep-16, 0x1.98b84a4acd554p-16, 0x1.95e805cbdaac9p-16, 0x1.931acc5de5f06p-16, 0x1.9050a165d9a41p-16, 0x1.8d8988283b2f5p-16, 0x1.8ac583c9681dbp-16, 0x1.8804974dec96ep-16, 0x1.8546c59b31075p-16, 0x1.828c117815c4ep-16, 0x1.7fd47d8ce787ep-16, 0x1.7d200c63f6046p-16, 0x1.7a6ec06a050bdp-16, 0x1.77c09beea69f3p-16, 0x1.7515a124c2674p-16, 0x1.726dd222f58a6p-16, 0x1.6fc930e42e51cp-16, 0x1.6d27bf47a7d66p-16, 0x1.6a897f1172319p-16, 0x1.67ee71eaff002p-16, 0x1.65569963576d4p-16, 0x1.62c1f6efa2397p-16, 0x1.60308beb654d7p-16, 0x1.5da2599905fcdp-16, 0x1.5b1761222a4dbp-16, 0x1.588fa397eab07p-16, 0x1.560b21f37e37ep-16, 0x1.5389dd165ea06p-16, 0x1.510bd5ca96224p-16, 0x1.4e910cc352718p-16, 0x1.4c19829d24dfp-16, 0x1.49a537de3edffp-16, 0x1.47342cf6e558bp-16, 0x1.44c66241e105ap-16, 0x1.425bd80501a04p-16, 0x1.3ff48e70f1322p-16, 0x1.3d9085a1c8853p-16, 0x1.3b2fbd9f6e419p-16, 0x1.38d2365deed69p-16, 0x1.3677efbdbf7ep-16, 0x1.3420e98c28e18p-16, 0x1.31cd2383bc8ecp-16, 0x1.2f7c9d4c3a4e1p-16, 0x1.2d2f567b21b0ep-16, 0x1.2ae54e93fdbadp-16, 0x1.289e8508acf08p-16, 0x1.265af939be4bcp-16, 0x1.241aaa76a746bp-16, 0x1.21dd97fe22f96p-16, 0x1.1fa3c0fe72f4p-16, 0x1.1d6d2495b1643p-16, 0x1.1b39c1d22b273p-16, 0x1.190997b2951cbp-16, 0x1.16dca526319f3p-16, 0x1.14b2e90d55d23p-16, 0x1.128c6239a9c41p-16, 0x1.10690f6e425eap-16, 0x1.0e48ef5fffccap-16, 0x1.0c2c00b5b51b7p-16, 0x1.0a124208cd3ddp-16, 0x1.07fbb1e5499b5p-16, 0x1.05e84ec9df9b4p-16, 0x1.03d81728690d9p-16, 0x1.01cb096615e37p-16, 0x1.ff8247b7854dbp-17, 0x1.fb74c9ac166e6p-17, 0x1.f76d952ba8d49p-17, 0x1.f36ca6a0d1be6p-17, 0x1.ef71fa5f06296p-17, 0x1.eb7d8ca3718e1p-17, 0x1.e78f59956d7d3p-17, 0x1.e3a75d46e22ebp-17, 0x1.dfc593b4d80fcp-17, 0x1.dbe9f8c7b5bb7p-17, 0x1.d8148853e444fp-17, 0x1.d4453e1a3fa09p-17, 0x1.d07c15c867584p-17, 0x1.ccb90af955dd9p-17, 0x1.c8fc1935b2aefp-17, 0x1.c5453bf41bd7ap-17, 0x1.c1946e99d7324p-17, 0x1.bde9ac7b1d59fp-17, 0x1.ba44f0db6d403p-17, 0x1.b6a636edff77cp-17, 0x1.b30d79d625524p-17, 0x1.af7ab4a7b4f68p-17, 0x1.abede267980cfp-17, 0x1.a866fe0c01124p-17, 0x1.a4e6027ca66d8p-17, 0x1.a16aea934b594p-17, 0x1.9df5b11c36103p-17, 0x1.9a8650d646dbbp-17, 0x1.971cc4737293fp-17, 0x1.93b906996407fp-17, 0x1.905b11e19d239p-17, 0x1.8d02e0d99985bp-17, 0x1.89b06e0364619p-17, 0x1.8663b3d5d395p-17, 0x1.831cacbcfaf37p-17, 0x1.7fdb531a5bd46p-17, 0x1.7c9fa14535c81p-17, 0x1.7969918b084b9p-17, 0x1.76391e2fb9b2p-17, 0x1.730e416dec2b8p-17, 0x1.6fe8f57745d46p-17, 0x1.6cc93474ce617p-17, 0x1.69aef8872d187p-17, 0x1.669a3bc7050bep-17, 0x1.638af8452d4f8p-17, 0x1.6081280adf161p-17, 0x1.5d7cc51a3312dp-17, 0x1.5a7dc96e555b1p-17, 0x1.57842efbb3843p-17, 0x1.548fefb0531bap-17, 0x1.51a10574225b4p-17, 0x1.4eb76a292f36cp-17, 0x1.4bd317abd2e17p-17, 0x1.48f407d309925p-17, 0x1.461a3470c00cdp-17, 0x1.43459751d785p-17, 0x1.40762a3ea87abp-17, 0x1.3dabe6fb19ed8p-17, 0x1.3ae6c746f0e9dp-17, 0x1.3826c4ddeff3dp-17, 0x1.356bd9782b7aep-17, 0x1.32b5feca220fep-17, 0x1.30052e85262cbp-17, 0x1.2d596257623dap-17, 0x1.2ab293ec22fe1p-17, 0x1.2810bcec26288p-17, 0x1.2573d6fda66cdp-17, 0x1.22dbdbc4a5398p-17, 0x1.2048c4e31238ap-17, 0x1.1dba8bf91adcfp-17, 0x1.1b312aa53453bp-17, 0x1.18ac9a84569adp-17, 0x1.162cd5324cc69p-17, 0x1.13b1d449adcdp-17, 0x1.113b9164280a1p-17, 0x1.0eca061aba9b4p-17, 0x1.0c5d2c05d436bp-17, 0x1.09f4fcbd83979p-17, 0x1.079171d988a45p-17, 0x1.053284f197bbcp-17, 0x1.02d82f9d89443p-17, 0x1.00826b7571bc7p-17, 0x1.fc626423a980cp-18, 0x1.f7c8fa17a1669p-18, 0x1.f3388bfa592bcp-18, 0x1.eeb10d0130e36p-18, 0x1.ea3270638f273p-18, 0x1.e5bca95b15433p-18, 0x1.e14fab240460dp-18, 0x1.dceb68fd9d383p-18, 0x1.d88fd62a1c51p-18, 0x1.d43ce5ef48651p-18, 0x1.cff28b967d548p-18, 0x1.cbb0ba6d07cddp-18, 0x1.c77765c465945p-18, 0x1.c34680f27ad2ep-18, 0x1.bf1dff51ebbfap-18, 0x1.bafdd4421f7dep-18, 0x1.b6e5f327b28b7p-18, 0x1.b2d64f6c979c6p-18, 0x1.aecedc8046e01p-18, 0x1.aacf8dd83a3b8p-18, 0x1.a6d856efaab45p-18, 0x1.a2e92b482cf33p-18, 0x1.9f01fe69c571p-18, 0x1.9b22c3e307043p-18, 0x1.974b6f495eaeap-18, 0x1.937bf43943c06p-18, 0x1.8fb4465671c66p-18, 0x1.8bf4594bfddf2p-18, 0x1.883c20cc52b16p-18, 0x1.848b9091bb0ffp-18, 0x1.80e29c5e8a09cp-18, 0x1.7d4137fd20f7ap-18, 0x1.79a757400e099p-18, 0x1.7614ee026d693p-18, 0x1.7289f027d59fcp-18, 0x1.6f06519c8443cp-18, 0x1.6b8a0655a1fe1p-18, 0x1.6815025145b6p-18, 0x1.64a73996bae52p-18, 0x1.6140a036befcp-18, 0x1.5de12a4b4242cp-18, 0x1.5a88cbf806a9bp-18, 0x1.5737796a60f3ep-18, 0x1.53ed26d9688fap-18, 0x1.50a9c8863f11bp-18, 0x1.4d6d52bbf9702p-18, 0x1.4a37b9d004503p-18, 0x1.4708f221e8129p-18, 0x1.43e0f01bb781bp-18, 0x1.40bfa831ee625p-18, 0x1.3da50ee3af6bcp-18, 0x1.3a9118bae64adp-18, 0x1.3783ba4c206ebp-18, 0x1.347ce8371ad84p-18, 0x1.317c9726454c1p-18, 0x1.2e82bbcf3c3ebp-18, 0x1.2b8f4af2d008dp-18, 0x1.28a2395d50223p-18, 0x1.25bb7be6378afp-18, 0x1.22db077038e6fp-18, 0x1.2000d0e99a6fep-18, 0x1.1d2ccd4c15f69p-18, 0x1.1a5ef19d55b0fp-18, 0x1.179732eeafeacp-18, 0x1.14d5865d0b597p-18, 0x1.1219e11188e14p-18, 0x1.0f643840d57dap-18, 0x1.0cb4812baf20fp-18, 0x1.0a0ab11e9e60bp-18, 0x1.0766bd7275914p-18, 0x1.04c89b8c10361p-18, 0x1.023040dc97e41p-18, 0x1.ff3b45c2b45bp-19, 0x1.fa216e47b46cdp-19, 0x1.f512e6743468fp-19, 0x1.f00f998c6475ap-19, 0x1.eb1772ed9fd34p-19, 0x1.e62a5e0dc9b8cp-19, 0x1.e148467c23319p-19, 0x1.dc7117e0868b3p-19, 0x1.d7a4bdfc0421p-19, 0x1.d2e324a8a386ap-19, 0x1.ce2c37d99ee88p-19, 0x1.c97fe39bb4e6fp-19, 0x1.c4de1414608e1p-19, 0x1.c046b583509cbp-19, 0x1.bbb9b440b449ap-19, 0x1.b736fcbe68c12p-19, 0x1.b2be7b87b76d7p-19, 0x1.ae501d4100122p-19, 0x1.a9ebcea941f18p-19, 0x1.a5917c985f597p-19, 0x1.a14113ffd0ea6p-19, 0x1.9cfa81e9f2e3ep-19, 0x1.98bdb37b1a6b6p-19, 0x1.948a95f139e4p-19, 0x1.906116a49c481p-19, 0x1.8c41230613f52p-19, 0x1.882aa8a14051dp-19, 0x1.841d951a841b7p-19, 0x1.8019d63030952p-19, 0x1.7c1f59ba03d36p-19, 0x1.782e0da91e5bdp-19, 0x1.7445e0087ba07p-19, 0x1.7066befcdef91p-19, 0x1.6c9098c495621p-19, 0x1.68c35bb75d459p-19, 0x1.64fef646d4032p-19, 0x1.614356fd8747bp-19, 0x1.5d906c80541e3p-19, 0x1.59e6258cbfd09p-19, 0x1.564470fa7b49p-19, 0x1.52ab3dba2f3dcp-19, 0x1.4f1a7ad5fb97p-19, 0x1.4b92177194415p-19, 0x1.481202c9b2cbp-19, 0x1.449a2c3495ca3p-19, 0x1.412a8321e000bp-19, 0x1.3dc2f71a18f67p-19, 0x1.3a6377bf3e3e1p-19, 0x1.370bf4cc82e48p-19, 0x1.33bc5e15ac4ddp-19, 0x1.3074a388134edp-19, 0x1.2d34b5293fecdp-19, 0x1.29fc8318d5a95p-19, 0x1.26cbfd8ed5e7bp-19, 0x1.23a314dc830d2p-19, 0x1.2081b96af7a37p-19, 0x1.1d67dbbc6366ap-19, 0x1.1a556c6b2c2dep-19, 0x1.174a5c2b46113p-19, 0x1.14469bc8a19e5p-19, 0x1.114a1c284246ep-19, 0x1.0e54ce46f2e98p-19, 0x1.0b66a33a6733fp-19, 0x1.087f8c300a1cap-19, 0x1.059f7a6d7b8e3p-19, 0x1.02c65f50a6e28p-19, 0x1.ffe8589e98453p-20, 0x1.fa51a5ef669c8p-20, 0x1.f4c889df82532p-20, 0x1.ef4ce7ea6f9bp-20, 0x1.e9dea3bbc1792p-20, 0x1.e47da12d6bbbcp-20, 0x1.df29c449f4736p-20, 0x1.d9e2f1499b4d1p-20, 0x1.d4a90c94401afp-20, 0x1.cf7bfac0c97dap-20, 0x1.ca5ba0940de26p-20, 0x1.c547e301f296fp-20, 0x1.c040a72bc00d8p-20, 0x1.bb45d261d6d22p-20, 0x1.b6574a21ede6ap-20, 0x1.b174f417e370ap-20, 0x1.ac9eb61cfd57p-20, 0x1.a7d47637f27adp-20, 0x1.a3161a9cf3f0fp-20, 0x1.9e6389ad0de71p-20, 0x1.99bca9f5c22f5p-20, 0x1.95216231985d3p-20, 0x1.909199474190ap-20, 0x1.8c0d364bb52e5p-20, 0x1.8794207e8416fp-20, 0x1.83263f4ba4ab5p-20, 0x1.7ec37a49cdfb3p-20, 0x1.7a6bb93b91158p-20, 0x1.761ee40f8289cp-20, 0x1.71dce2df7d53ap-20, 0x1.6da59df0ff16dp-20, 0x1.6978fdb365544p-20, 0x1.6556eac1c059p-20, 0x1.613f4de0d6cep-20, 0x1.5d320fff8d7b8p-20, 0x1.592f1a37425d8p-20, 0x1.553655ca78876p-20, 0x1.5147ac2663977p-20, 0x1.4d6306e133e91p-20, 0x1.49884fbad71e7p-20, 0x1.45b7709c1063dp-20, 0x1.41f05396b6b19p-20, 0x1.3e32e2e587d52p-20, 0x1.3a7f08eb14e51p-20, 0x1.36d4b0333209p-20, 0x1.3333c370d89a1p-20, 0x1.2f9c2d8007e7cp-20, 0x1.2c0dd963275edp-20, 0x1.2888b2457f7dap-20, 0x1.250ca37884ec2p-20, 0x1.21999875ccda3p-20, 0x1.1e2f7cdd006b2p-20, 0x1.1ace3c753320bp-20, 0x1.1775c32bacb87p-20, 0x1.1425fd141870ap-20, 0x1.10ded668459f1p-20, 0x1.0da03b8808903p-20, 0x1.0a6a18f8ba352p-20, 0x1.073c5b6538b74p-20, 0x1.0416ef9d242a1p-20, 0x1.00f9c29647689p-20, 0x1.fbc982d60c943p-21, 0x1.f5afb2b73dad8p-21, 0x1.efa5ef94c67d8p-21, 0x1.e9ac147f2cbc9p-21, 0x1.e3c1fccc16198p-21, 0x1.dde7841b68b57p-21, 0x1.d81c8654757ep-21, 0x1.d260dfa59805fp-21, 0x1.ccb46c83ee1dep-21, 0x1.c71709aa294d6p-21, 0x1.c1889419e2efdp-21, 0x1.bc08e917b9765p-21, 0x1.b697e62f2eff6p-21, 0x1.b135692eafc4fp-21, 0x1.abe1502a327eep-21, 0x1.a69b7978d769ap-21, 0x1.a163c3b5dfb14p-21, 0x1.9c3a0dbefca29p-21, 0x1.971e36b4dea1dp-21, 0x1.92101df9ff07ap-21, 0x1.8d0fa332188bbp-21, 0x1.881ca6441919cp-21, 0x1.8337075549bc6p-21, 0x1.7e5ea6ce9b9ap-21, 0x1.7993655534907p-21, 0x1.74d523d3025e4p-21, 0x1.7023c36c125dp-21, 0x1.6b7f2588b409ep-21, 0x1.66e72bca92b8cp-21, 0x1.625bb816ad74dp-21, 0x1.5ddcac8b81403p-21, 0x1.5969eb88e1b2fp-21, 0x1.550357a83430bp-21, 0x1.50a8d3c21185cp-21, 0x1.4c5a42ea06b29p-21, 0x1.48178870aba55p-21, 0x1.43e087e1654d4p-21, 0x1.3fb52501d242ep-21, }}, 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
    }}, 
    {
      33, 0x1.228f5c28f5c29p+2, 0x1.db3e3e9331462p+3, 0x1.51a2f4e1ddc2p+5, -0x1.4dc7a5a3fee8p-4, 
      {{
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.5bfef935f4d4p-2, -0x1.9077ada49d014p+2, 0x1.73b7b707dd853p+5, -0x1.1721541cce2bcp+7}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.016a242663df7p-3, -0x1.542b5492260d6p+1, 0x1.987aa2b9f6d3fp+4, -0x1.7e0984385a9b7p+6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.6e2b2214159c6p-5, -0x1.a44cbe4016ca4p-1, 0x1.66837396b4229p+3, -0x1.d720f785df8b4p+5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.8e254793749ddp-6, -0x1.2347b309b0788p-3, 0x1.2f58491984d99p+1, -0x1.13aa3e7fb0c12p+4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.576b38501b00bp-6, -0x1.1a444eb5728b5p-5, -0x1.b7401e61c1015p-3, 0x1.02a1ccfe4b30ap+1}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.368b956b15158p-6, -0x1.4dd2d9bea5e55p-5, 0x1.6aeece67807b7p-4, -0x1.173393dffe135p-1}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.17ace78430484p-6, -0x1.26bdc235777d1p-5, 0x1.be41cf44f957dp-8, 0x1.22aed6d1b6914p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.f58ab05e2020cp-7, -0x1.18714a7412bc3p-5, 0x1.cc6242667fcfdp-6, -0x1.5c0f2f13ff2d5p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.bf94c53dd038ap-7, -0x1.0408a6d8b2bd2p-5, 0x1.63f74de0800f7p-6, 0x1.b40df1f104026p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8d61a74cf8a63p-7, -0x1.e3a74454e4fb8p-6, 0x1.74516d5989cfbp-6, -0x1.bce07c10e2f96p-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5ed9937041a8ap-7, -0x1.bf417711bb77dp-6, 0x1.63a29be5b47ffp-6, -0x1.c5a68a5d4a7b4p-9}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.33e369cb73ee4p-7, -0x1.9c1e1491baafcp-6, 0x1.5b21161a5b1a5p-6, -0x1.2f3ec94a4d28ep-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.0c64adc17897ep-7, -0x1.79f92122e9b8dp-6, 0x1.4fc1ee8df835ap-6, -0x1.2cc306526ac53p-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d0830be8b26a8p-8, -0x1.58f61a17c0243p-6, 0x1.447a9e514767ep-6, -0x1.3f6ba4aad9187p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.8eb9788a7f8dap-8, -0x1.391cc30cbe34fp-6, 0x1.38802e8adf43cp-6, -0x1.4c6a04d5921e5p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.532f7ba8ed7cbp-8, -0x1.1a7c4d71d0f47p-6, 0x1.2c09018fa9c9p-6, -0x1.5aecfc66bb90fp-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1da53602d1fa3p-8, -0x1.fa43da3e53373p-7, 0x1.1f0684e56926dp-6, -0x1.6907d48bee89cp-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.dbb01daa87573p-9, -0x1.c236bcf0f7b85p-7, 0x1.117ca02029ce7p-6, -0x1.773e92fa6e281p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.870567b7342cap-9, -0x1.8cec72965aa75p-7, 0x1.036a4769f8e02p-6, -0x1.856dd7afe8abep-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3cba329edb3fdp-9, -0x1.5a803e64b3076p-7, 0x1.e99f850d26b34p-7, -0x1.939f1cffe7e27p-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.f871e7a25e445p-10, -0x1.2b0d5e5124d44p-7, 0x1.cb59fc79f54f5p-7, -0x1.a1cfd99f08473p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.89cd5b74c8466p-10, -0x1.fd5e237368a82p-8, 0x1.ac03ff5ad4b01p-7, -0x1.b000b866fa4dep-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.2c45df8660b07p-10, -0x1.ab012f33ef5b9p-8, 0x1.8b9d8b1fe850cp-7, -0x1.be31973ca28b9p-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.bd1f59432e5a2p-11, -0x1.5f3a5e1cba6f5p-8, 0x1.6a269fc828eccp-7, -0x1.cc6253b2c3102p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.3ea82b13bdcc4p-11, -0x1.1a402e24c1cb3p-8, 0x1.479f3fe78d7efp-7, -0x1.da939998fce9cp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b4c61beeba365p-12, -0x1.b8923c11bf6a5p-9, 0x1.2407612f47535p-7, -0x1.e8c2dc1e3ea8cp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1aee1eb201908p-12, -0x1.4b17536091e83p-9, 0x1.febe548d3874p-8, -0x1.f6f9a2b807411p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.53d5c25690d87p-13, -0x1.d8f95e4b9cdp-10, 0x1.b34c15be6a90fp-8, -0x1.028a2e2fe3061p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.6ecd37e24f5cp-14, -0x1.3a5e1aedd6d97p-10, 0x1.65bc3b167342ap-8, -0x1.09cbe2dddacc5p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.5095bcdfb6c41p-15, -0x1.76714ac59ef34p-11, 0x1.15ff10a0b19f4p-8, -0x1.104a3e9c5be8dp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d51b0f7251a01p-17, -0x1.7170c767fa4ep-12, 0x1.889e6216c5b04p-9, -0x1.19a1a63ea9851p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.74e970cb0e3ffp-19, -0x1.ebbfa20e135d5p-14, 0x1.bf479648bff55p-10, -0x1.1839e316199a8p-7}, 
        {0x1.2p+2, 0x1.228f5c28f5c29p+2, 0x1.e500ac0e7068fp-24, -0x1.68f21f62a7ca7p-17, 0x1.bc087d85b8283p-12, -0x1.290c465d109c7p-7}, 
      }}, 
      0x1.c6c38213ef903p-4, -0x1.4131d804cf928p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.fef1f2a574993p-4, 0x1.013089f9dfaep-3, 0x1.0385200bf2e6cp-3, 0x1.05d58a815e11cp-3, 0x1.07788ee4cab36p-3, 0x1.07d489135837cp-3, 0x1.066dcba49ea12p-3, 0x1.02ed41cc61aa4p-3, 0x1.fa42b3215c316p-4, 0x1.e9f661899aaefp-4, 0x1.d5134f7045511p-4, 0x1.bbe71d6b99b2p-4, 0x1.9ee374b6322efp-4, 0x1.7e92f4d5a9a86p-4, 0x1.5b8f65ecc45c2p-4, 0x1.36796547627e6p-4, 0x1.0ff1855e04829p-4, 0x1.d125d1565c1c5p-5, 0x1.81de67a8e551dp-5, 0x1.33177112a463bp-5, 0x1.cb7e3b502094ap-6, 0x1.354b1261f3f9ap-6, 0x1.49ef9b141f63fp-7, 0x1.ba9e66ae76feep-10, -0x1.96cc0a8681393p-8, -0x1.bcd3389293cfp-7, -0x1.4df63c2c8d1f6p-6, -0x1.b401ea152778p-6, -0x1.082eb3747ce65p-5, -0x1.317df8ae7a79dp-5, -0x1.55f748d80ea52p-5, -0x1.75afbc180944ap-5, -0x1.90c6de53cf86p-5, -0x1.a764c0d78eda9p-5, -0x1.b9b839e70c58bp-5, -0x1.c7f557ddfeeecp-5, -0x1.d25402cb9f13cp-5, -0x1.d90ed0e05efbfp-5, -0x1.dc61fe3b343ecp-5, -0x1.dc8a966e0f235p-5, -0x1.d9c5b9a20f595p-5, -0x1.d4500216c73a4p-5, -0x1.cc65109c5c865p-5, -0x1.c23f232a077c6p-5, -0x1.b616baab0237ap-5, -0x1.a822801354667p-5, -0x1.9897046ab41dep-5, -0x1.87a697caf3078p-5, -0x1.758145f3ff0b6p-5, -0x1.6254ca06b0197p-5, -0x1.4e4c72b0e353ap-5, -0x1.39913a9517b8bp-5, -0x1.2449ba6fa8f5ap-5, -0x1.0e9a3b24275ap-5, -0x1.f149724b85415p-6, -0x1.c511d61ea8877p-6, -0x1.98c8a5105b489p-6, -0x1.6ca49e2dc8a83p-6, -0x1.40d84f1b8f37ap-6, -0x1.15923d7a91b68p-6, -0x1.d5fa0687a9bb2p-7, -0x1.827edf5423ce8p-7, -0x1.30f9396bf63c7p-7, -0x1.c3508a2eb1dc6p-8, -0x1.2988d1d6c5c7cp-8, -0x1.29fea5445b65bp-9, -0x1.82f32b27e3387p-14, 0x1.060bb4a6ec93ep-9, 0x1.05f4ac482b0f3p-8, 0x1.828ab2a33c753p-8, 0x1.f89bb26db754bp-8, 0x1.3402b1558e472p-7, 0x1.68570f40442e3p-7, 0x1.99429d44bb5bcp-7, 0x1.c6c0cbbf8b0abp-7, 0x1.f0d0e0e026343p-7, 0x1.0bbacc603da33p-6, 0x1.1d5a6941976d4p-6, 0x1.2d4bb7509f974p-6, 0x1.3b9483e383e81p-6, 0x1.483bcee8824aap-6, 0x1.5349c2d994cf3p-6, 0x1.5cc798b0a0aa1p-6, 0x1.64bf655d04e4ap-6, 0x1.6b3c169358f91p-6, 0x1.704951d8c110bp-6, 0x1.73f35a014c9afp-6, 0x1.7646ffa1e9bfdp-6, 0x1.775187259dap-6, 0x1.77208ef054519p-6, 0x1.75c20b8b25143p-6, 0x1.73442621e0793p-6, 0x1.6fb5322b677f9p-6, 0x1.6b239f82bc399p-6, 0x1.659debf211403p-6, 0x1.5f32904b12b3ap-6, 0x1.57eff8e3d6fa9p-6, 0x1.4fe47891b9b35p-6, 0x1.471e3fda4fe51p-6, 0x1.3dab526610177p-6, 0x1.33997c6af189ap-6, 0x1.28f64f28dfaa3p-6, 0x1.1dcf1b7939122p-6, 0x1.1230ee5224515p-6, 0x1.06287d0ad3691p-6, 0x1.f38452501675bp-7, 0x1.da140ad7ded7ap-7, 0x1.c01778b7927a9p-7, 0x1.a5a538ac91147p-7, 0x1.8ad3486b9f10fp-7, 0x1.6fb6cfd1279e2p-7, 0x1.54642334f809cp-7, 0x1.38eef00a77a2ep-7, 0x1.1d69f8943fd28p-7, 0x1.01e73c19e6ebep-7, 0x1.ccf01c0b29805p-8, 0x1.965971329e0dfp-8, 0x1.602a0fefc186dp-8, 0x1.2a7fb114fab61p-8, 0x1.eaecb4587c05cp-9, 0x1.8251ed75c41f6p-9, 0x1.1b6169e424d93p-9, 0x1.6c94466d6ac0ep-10, 0x1.4ce42b83c93cp-11, -0x1.b50e3f4482f52p-14, -0x1.b0cfc198c8519p-11, -0x1.9089d53c100aap-10, -0x1.21ba9b644300ap-9, -0x1.78765c41535a9p-9, -0x1.cc5c683cbae94p-9, -0x1.0ea9b4c8cea5ep-8, -0x1.35a25afb52699p-8, -0x1.5b0df0ce9410cp-8, -0x1.7ee36d44d250ap-8, -0x1.a11b39ba49b52p-8, -0x1.c1ae79c02eed4p-8, -0x1.e097934174021p-8, -0x1.fdd2100e222efp-8, -0x1.0cad3a1f327p-7, -0x1.1997035b8a9ep-7, -0x1.25a5a3065a433p-7, -0x1.30d8c43b127c3p-7, -0x1.3b307aab235eep-7, -0x1.44ad37ef35d31p-7, -0x1.4d4fee6c2aadep-7, -0x1.5519e4f53f608p-7, -0x1.5c0cc25501a04p-7, -0x1.622a74ad1181p-7, -0x1.6775565160ed5p-7, -0x1.6beffa9eda2c4p-7, -0x1.6f9d54d4d3564p-7, -0x1.72807c2a51ac3p-7, -0x1.749ce618d4448p-7, -0x1.75f64ec62f2cbp-7, -0x1.76907ff7494c6p-7, -0x1.766f9b3dc3e74p-7, -0x1.7597d483849e5p-7, -0x1.740dd0c64d263p-7, -0x1.71d60607c0e0ep-7, -0x1.6ef53ece4bc6fp-7, -0x1.6b704e872a68bp-7, -0x1.674c507a40a96p-7, -0x1.628e4db5b2659p-7, -0x1.5d3b7fd2a1e1dp-7, -0x1.575926dc3db2dp-7, -0x1.50ec93babbd98p-7, -0x1.49fb41a666ff4p-7, -0x1.428a8bfaa35adp-7, -0x1.3a9ff1a713fa7p-7, -0x1.3240ecbdbc94bp-7, -0x1.29730a959b00ep-7, -0x1.203bc4ef3aee2p-7, -0x1.16a0a5e8050e7p-7, -0x1.0ca729aac4e5cp-7, -0x1.0254c6794b08p-7, -0x1.ef5de909426b1p-8, -0x1.d9766ced8da6ap-8, -0x1.c2fd85a71d719p-8, -0x1.abfe1525cfa71p-8, -0x1.9482a5d06092dp-8, -0x1.7c9588b5a8fe9p-8, -0x1.64415dbe99e54p-8, -0x1.4b9007c643a9cp-8, -0x1.328bc87af6543p-8, -0x1.193e18d47717bp-8, -0x1.ff625df25153ep-9, -0x1.cbdcc4ff7db59p-9, -0x1.97fe300e4fdcep-9, -0x1.63d8c5e7e8c35p-9, -0x1.2f7ec1b01f63p-9, -0x1.f6030ce832b74p-10, -0x1.8ce5137531599p-10, -0x1.23c524177fd87p-10, -0x1.7586afeafce06p-11, -0x1.4800d37277bcdp-12, 0x1.665c7b8f0a752p-14, 0x1.f940b85c5e54bp-12, 0x1.cb433a7553695p-11, 0x1.4c3dd16e855ap-10, 0x1.b209979682c7cp-10, 0x1.0b74fda6ad45fp-9, 0x1.3d62ecd71846ep-9, 0x1.6ec21881620a6p-9, 0x1.9f867df35b759p-9, 0x1.cfa4da97e8deap-9, 0x1.ff11ff4b7b975p-9, 0x1.16e1b37a767e1p-8, 0x1.2dd79d67bf579p-8, 0x1.4465aff0e72e3p-8, 0x1.5a87697e92c34p-8, 0x1.703882503edc6p-8, 0x1.8574928a6b547p-8, 0x1.9a37dc9a44d6dp-8, 0x1.ae7e95d77b93dp-8, 0x1.c24536010ac3fp-8, 0x1.d588610bde21cp-8, 0x1.e8450fca68f74p-8, 0x1.fa784184cf652p-8, 0x1.060faee0974f5p-7, 0x1.0e9be0dafb045p-7, 0x1.16dfa4530a1fdp-7, 0x1.1ed9dca36a65cp-7, 0x1.26898af1f9bb4p-7, 0x1.2deddee782576p-7, 0x1.350603e887b64p-7, 0x1.3bd148aa1eae6p-7, 0x1.424f18daafa07p-7, 0x1.487ee9d2f4b9ep-7, 0x1.4e604d0516629p-7, 0x1.53f2dabe7f616p-7, 0x1.59366147e373ap-7, 0x1.5e2a8bc6c238dp-7, 0x1.62cf56997b69bp-7, 0x1.6724a59fd3077p-7, 0x1.6b2a802b319dep-7, 0x1.6ee0fd0758f29p-7, 0x1.724836471729bp-7, 0x1.7560756404055p-7, 0x1.7829f21872289p-7, 0x1.7aa50d234c62ep-7, 0x1.7cd22e3ad0d13p-7, 0x1.7eb1c2663ceb4p-7, 0x1.804458a5f139dp-7, 0x1.818a738da7ae6p-7, 0x1.8284b8cdb416ap-7, 0x1.8333d76159f47p-7, 0x1.83987a067251fp-7, 0x1.83b3791719bd5p-7, 0x1.83858d069244bp-7, 0x1.830f9e66533c5p-7, 0x1.82528555b9fcfp-7, 0x1.814f3551dab91p-7, 0x1.8006a467a8468p-7, 0x1.7e79d92144bbp-7, 0x1.7ca9d51ddbb2p-7, 0x1.7a97aa5a7ea7ep-7, 0x1.784474247e538p-7, 0x1.75b14c7476c4ep-7, 0x1.72df5c5d7e101p-7, 0x1.6fcfd9657d5b5p-7, 0x1.6c83ec53192e6p-7, 0x1.68fcd9951b5d5p-7, 0x1.653bd7d0f8649p-7, 0x1.61422c8363fabp-7, 0x1.5d111ed8562cbp-7, 0x1.58a9f8eb1cbb8p-7, 0x1.540e0c285fe13p-7, 0x1.4f3eb3139839ap-7, 0x1.4a3d3a6c5a564p-7, 0x1.450b04112e4c8p-7, 0x1.3fa96bd7b339p-7, 0x1.3a19c78ff683p-7, 0x1.345d7c812ef04p-7, 0x1.2e75e9e3befbep-7, 0x1.286476eba840cp-7, 0x1.222a860e6d00ep-7, 0x1.1bc97c50651f3p-7, 0x1.1542bd0bbe7bbp-7, 0x1.0e97acf1f0841p-7, 0x1.07c9b0166d34ep-7, 0x1.00da28c23568bp-7, 0x1.f394f89bbc26p-8, 0x1.e538221420bc5p-8, 0x1.d6a08d8b482cfp-8, 0x1.c7d0fbbe21f71p-8, 0x1.b8cc2bfdfbea6p-8, 0x1.a994d693d497ap-8, 0x1.9a2dab0914fedp-8, 0x1.8a9959091279p-8, 0x1.7ada8af82ce1fp-8, 0x1.6af3eedbc433dp-8, 0x1.5ae82644082a7p-8, 0x1.4ab9d235bf2b1p-8, 0x1.3a6b84af5e6f3p-8, 0x1.29ffcc01ce086p-8, 0x1.19792d0d9933bp-8, 0x1.08da26ac13d22p-8, 0x1.f04a534ca835ap-9, 0x1.ceb96fc658fd7p-9, 0x1.ad066e0ef2f26p-9, 0x1.8b3614b2058b7p-9, 0x1.694d054b67274p-9, 0x1.47500ac1382b7p-9, 0x1.2543938f1ebbfp-9, 0x1.032c2d5bbb4b3p-9, 0x1.c21c4b73410e4p-10, 0x1.7ddbb2b1185d1p-10, 0x1.399f3ea3a2e19p-10, 0x1.eade5c21654f2p-11, 0x1.62a7f3b301accp-11, 0x1.b55676ca62c79p-12, 0x1.4bdfcda5dc9fbp-13, -0x1.a310dc91187fcp-14, -0x1.76a821e1a7c15p-12, -0x1.41cedcba65efcp-11, -0x1.c7c4001dd6971p-11, -0x1.2692c10a23a4p-10, -0x1.68f2a3959442ep-10, -0x1.aafab24f68d98p-10, -0x1.eca46b78d4f6dp-10, -0x1.16f4b3e2df266p-9, -0x1.3761a43aeefb7p-9, -0x1.5795e3d5d60edp-9, -0x1.778ea2b0d5a7bp-9, -0x1.9748e0df4622fp-9, -0x1.b6c1ea4fd46a8p-9, -0x1.d5f6f1cbdcbc3p-9, -0x1.f4e553bd5e284p-9, -0x1.09c542a892213p-8, -0x1.18f1fe549cce7p-8, -0x1.27f7abf50f666p-8, -0x1.36d523e9832e5p-8, -0x1.458948801427dp-8, -0x1.5413083b4a023p-8, -0x1.62715dd3f84cdp-8, -0x1.70a34a9d7185cp-8, -0x1.7ea7d66fba93dp-8, -0x1.8c7e18e7304b7p-8, -0x1.9a252c11b2564p-8, -0x1.a79c433dfa044p-8, -0x1.b4e27c2501dedp-8, -0x1.c1f7213a41089p-8, -0x1.ced974776c6d1p-8, -0x1.db88c9ce147b3p-8, -0x1.e80479c949a0fp-8, -0x1.f44bef14117c2p-8, -0x1.002f4896f42e9p-7, -0x1.061de8695d188p-7, -0x1.0bf19c64edc6bp-7, -0x1.11aa220be3d06p-7, -0x1.17473f1ffd103p-7, -0x1.1cc8c29b45e94p-7, -0x1.222e773649c0cp-7, -0x1.27782fe770fdcp-7, -0x1.2ca5c3eaa4be7p-7, -0x1.31b711ff2dbe4p-7, -0x1.36abfe443e24ep-7, -0x1.3b846c75e8d9fp-7, -0x1.404046c656182p-7, -0x1.44df7fb77606bp-7, -0x1.49620407fede5p-7, -0x1.4dc7c2f96ea94p-7, -0x1.5210b9d56b909p-7, -0x1.563cdadc96664p-7, -0x1.5a4c1efa62424p-7, -0x1.5e3e827cf2e31p-7, -0x1.62140637404b8p-7, -0x1.65ccacbcdc48dp-7, -0x1.69687ccf7395fp-7, -0x1.6ce786c08aab6p-7, -0x1.7049dffff55d8p-7, -0x1.738fa52f41594p-7, -0x1.76b8f32b9b467p-7, -0x1.79c5ec977efc8p-7, -0x1.7cb6b91905787p-7, -0x1.7f8b7ad95fa86p-7, -0x1.82444db5e8d3fp-7, -0x1.84e14cbf07eb1p-7, -0x1.87628bd3483e7p-7, -0x1.89c81b6d8453cp-7, -0x1.8c120c1d7516p-7, -0x1.8e40735f1e8p-7, -0x1.905378ca1bb7dp-7, -0x1.924b4660997cep-7, -0x1.94282a5a9a165p-7, -0x1.95ea790645052p-7, -0x1.97929a252055p-7, -0x1.9920f6ce6845p-7, -0x1.9a95f493b88fcp-7, -0x1.9bf1e638863b5p-7, -0x1.9d3504e23b662p-7, -0x1.9e5f6a78e9458p-7, -0x1.9f7112624f0adp-7, -0x1.a069e60066e43p-7, -0x1.a149c9401cabep-7, -0x1.a210b114b143fp-7, -0x1.a2beb3c69312ep-7, -0x1.a3541b84614d7p-7, -0x1.a3d16a2b83b6fp-7, -0x1.a4376044654f3p-7, -0x1.a486d705fbb4bp-7, -0x1.a4c0c01c25a18p-7, -0x1.a4e5efdc703e4p-7, -0x1.a4f70b1337bb5p-7, -0x1.a4f4668f49949p-7, -0x1.a4ddfcdf655d5p-7, -0x1.a4b37ba0cb313p-7, -0x1.a4744fc1cfa6fp-7, -0x1.a41fca5dfa36bp-7, -0x1.a3b56101bb869p-7, -0x1.a334cc02b53cdp-7, -0x1.a29e3033c5228p-7, -0x1.a1f23d321b8b6p-7, -0x1.a132130bb8f22p-7, -0x1.a05f42cd95de9p-7, -0x1.9f7b80e59bc87p-7, -0x1.9e886ba102429p-7, -0x1.9d8753091638bp-7, -0x1.9c78fda9f4be6p-7, -0x1.9b5d89f30679p-7, -0x1.9a346d5cd55c5p-7, -0x1.98fc93eafa937p-7, -0x1.97b49afe6e619p-7, -0x1.965b1c93d7ce4p-7, -0x1.94eefc5b188e3p-7, -0x1.936fadf13648cp-7, -0x1.91dd658f20328p-7, -0x1.9039227b87f8ep-7, -0x1.8e849caa4d71ep-7, -0x1.8cc20c538c1d9p-7, -0x1.8af3d893042c9p-7, -0x1.891c38dc2881dp-7, -0x1.873ce6e606cc9p-7, -0x1.8556d70b0f325p-7, -0x1.836a1d33a707ep-7, -0x1.81760266f4ac9p-7, -0x1.7f791e8c80623p-7, -0x1.7d71c1f5b7a64p-7, -0x1.7b5e2d775cd32p-7, -0x1.793cf6df5cfap-7, -0x1.770d4d2356d8fp-7, -0x1.74cf1d5b9911bp-7, -0x1.728324a7468c5p-7, -0x1.702ad36ccb8fbp-7, -0x1.6dc81f63a3f51p-7, -0x1.6b5d38ec7f1cdp-7, -0x1.68ec397b0533p-7, -0x1.6676d9a145db9p-7, -0x1.63fe3bcf92b26p-7, -0x1.6182d466e317p-7, -0x1.5f0470fa7dff7p-7, -0x1.5c825aabc2f89p-7, -0x1.59fb91d88ca69p-7, -0x1.576eff1479eep-7, -0x1.54dbb401e0da4p-7, -0x1.524114e4630f9p-7, -0x1.4f9ef4bb39d2ap-7, -0x1.4cf59abab5856p-7, -0x1.4a45b23675b78p-7, -0x1.479032b448a72p-7, -0x1.44d628d9cba38p-7, -0x1.421886e29fb11p-7, -0x1.3f58068941c2dp-7, -0x1.3c950eb03987bp-7, -0x1.39cfb5f54c5c9p-7, -0x1.3707e92284a76p-7, -0x1.343d8eb371153p-7, -0x1.3170b1b9d131ep-7, -0x1.2ea1885adc487p-7, -0x1.2bd0877e7e195p-7, -0x1.28fe3b2679acdp-7, -0x1.262b43e62adafp-7, -0x1.23582e8f6a5fbp-7, -0x1.208570e9f1eedp-7, -0x1.1db368cd3f263p-7, -0x1.1ae260bff504ep-7, -0x1.1812917549fb2p-7, -0x1.154415e824ba8p-7, -0x1.1276d06fc1b6ep-7, -0x1.0faa4a601c063p-7, -0x1.0cdda3446eecbp-7, -0x1.0a0fa4cd87ec5p-7, -0x1.073f0a495fdeep-7, -0x1.046aefa860ca2p-7, -0x1.01934c71f3f43p-7, -0x1.fd72819e30638p-8, -0x1.f7bdcfb770143p-8, -0x1.f20dba81fff8p-8, -0x1.ec670923f453fp-8, -0x1.e6ccc5bf58d08p-8, -0x1.e13fc29613dd9p-8, -0x1.dbbeeee220b3fp-8, -0x1.d64837583d6dap-8, -0x1.d0d98a212e54p-8, -0x1.cb71a058daceep-8, -0x1.c61054fa88313p-8, -0x1.c0b666706db97p-8, -0x1.bb64b372ff658p-8, -0x1.b61adf74de0fap-8, -0x1.b0d683b596a5bp-8, -0x1.ab930ebc203acp-8, -0x1.a64b2b867827dp-8, -0x1.a0fb8627d8685p-8, -0x1.9ba507a781e24p-8, -0x1.964d86c7b5705p-8, -0x1.90fde9b25a03ep-8, -0x1.8bbee09473e8p-8, -0x1.8695b6bc919cbp-8, -0x1.8182fe498d0bfp-8, -0x1.7c8363fd702ep-8, -0x1.7791a2b33bbdep-8, -0x1.72a8815bcbfb1p-8, -0x1.6dc446db1766p-8, -0x1.68e38fbb57f15p-8, -0x1.64079466592f9p-8, -0x1.5f33be8f1636bp-8, -0x1.5a6c5638e695ap-8, -0x1.55b456fe666f5p-8, -0x1.510b50e797c5ap-8, -0x1.4c6ccf031032p-8, -0x1.47d1b0522239dp-8, -0x1.4333d93a9e12dp-8, -0x1.3e91759d803cfp-8, -0x1.39ee9da5b9dap-8, -0x1.3553d158f4101p-8, -0x1.30ca013205a0ap-8, -0x1.2c56b9dd4a00cp-8, -0x1.27faaac3f1707p-8, -0x1.23b2c709de113p-8, -0x1.1f7a61509de08p-8, -0x1.1b4cc53d065c1p-8, -0x1.17261d333975dp-8, -0x1.13040380e8d22p-8, -0x1.0ee5a3b4ff6e6p-8, -0x1.0acc2079d0acfp-8, -0x1.06ba45f6b4551p-8, -0x1.02b3bfd8a3ef3p-8, -0x1.fd76eab90ee1ap-9, -0x1.f5a46c44e2a37p-9, -0x1.eded2a0dd917bp-9, -0x1.e64b46ecadae7p-9, -0x1.deb8d8f2e3506p-9, -0x1.d73312683e771p-9, -0x1.cfbb57f691bffp-9, -0x1.c855d07ea0682p-9, -0x1.c10684a526a29p-9, -0x1.b9d03122263dcp-9, -0x1.b2b4af17e2fc2p-9, -0x1.abb52e28e8b63p-9, -0x1.a4d1465ac5229p-9, -0x1.9e06d49f2d1a3p-9, -0x1.975405f9937bep-9, -0x1.90b8c5cbc557ep-9, -0x1.8a342afeae832p-9, -0x1.83c18d85498c9p-9, -0x1.7d5a72bb8096p-9, -0x1.76fb5bed81eafp-9, -0x1.70a5bde31133ap-9, -0x1.6a5dfbabbd13dp-9, -0x1.6428b947c8e9ap-9, -0x1.5e0982d3a9b83p-9, -0x1.5803021dae3e9p-9, -0x1.5218d7ddcfa32p-9, -0x1.4c50474ed4b4bp-9, -0x1.46ab94d50dbabp-9, -0x1.4123418972c57p-9, -0x1.3ba75436fb23ep-9, -0x1.362b5d07880cp-9, -0x1.30b1116132e6p-9, -0x1.2b44ced9b3408p-9, -0x1.25ef2f1a62d11p-9, -0x1.20aed3654ee63p-9, -0x1.1b8145dbc38c1p-9, -0x1.166d5fd9ee67bp-9, -0x1.117cece675902p-9, -0x1.0cb02279cf633p-9, -0x1.07fbfba2eb5dp-9, -0x1.03514fa487972p-9, -0x1.fd49a23689e5dp-10, -0x1.f3ea1b714c37bp-10, -0x1.ea94b5da1c1e4p-10, -0x1.e15da8fbc11dap-10, -0x1.d84b8df175567p-10, -0x1.cf5b274f56581p-10, -0x1.c6965afd8aa7dp-10, -0x1.be163f94e5bbap-10, -0x1.b5eaa88b9e3cp-10, -0x1.ae0674966ec12p-10, -0x1.a6421b6351c29p-10, -0x1.9e7090eb442d7p-10, -0x1.968671c940b83p-10, -0x1.8ea6b3f339619p-10, -0x1.86f29b7daeb9ep-10, -0x1.7f609beeacfb8p-10, -0x1.77dc6a1e944b4p-10, -0x1.7072c7dec8e32p-10, -0x1.693e98ff5e231p-10, -0x1.62476dc2c34acp-10, -0x1.5b862d920c37dp-10, -0x1.54f1c1cd0ad5ap-10, -0x1.4e7bfc7650cc4p-10, -0x1.480c2fe8c4f0cp-10, -0x1.418f34ca61bbdp-10, -0x1.3b10dd4abfc06p-10, -0x1.34af924147d38p-10, -0x1.2e724dfa16572p-10, -0x1.2847051f79fd4p-10, -0x1.222e6c0dbdd2ap-10, -0x1.1c4459a94cf36p-10, -0x1.1697b49c10932p-10, -0x1.111ee4bbaa011p-10, -0x1.0bca87cd7f62bp-10, -0x1.0684eec076eaap-10, -0x1.0133791de22c3p-10, -0x1.f7bd62703f034p-11, -0x1.ed537cf101532p-11, -0x1.e31fdfee04802p-11, -0x1.d8f2679b6128ep-11, -0x1.ceeb217e0acfcp-11, -0x1.c5342c4b6487dp-11, -0x1.bbbcf45e6e37dp-11, -0x1.b26d47e82e9dap-11, -0x1.a94603d90808ap-11, -0x1.a055325704b13p-11, -0x1.97a6a5ce9924ap-11, -0x1.8f38d119ca521p-11, -0x1.86ea82e18903ep-11, -0x1.7e9366a3da3c5p-11, -0x1.764774e78772ap-11, -0x1.6e34c98286264p-11, -0x1.6645fb51c3236p-11, -0x1.5e5cf9944d9ffp-11, -0x1.56a210fb6dc09p-11, -0x1.4f355db2e2f32p-11, -0x1.4801a2591254bp-11, -0x1.40eee61cfe37ep-11, -0x1.3a05809d2d2aep-11, -0x1.334a6283d6702p-11, -0x1.2c998ec7b9951p-11, -0x1.25f8ef53d8e11p-11, -0x1.1f779729655fdp-11, -0x1.18f41cc2c7ap-11, -0x1.12920568847f6p-11, -0x1.0c739f39d6d8fp-11, -0x1.067da50c2c3aep-11, -0x1.009a8f49fa942p-11, -0x1.f591a17d26c9bp-12, -0x1.ea1a191874708p-12, -0x1.ded69593a4563p-12, -0x1.d3cfa5c10e719p-12, -0x1.c908d53b34051p-12, -0x1.be8d091b864c2p-12, -0x1.b46f3ff530687p-12, -0x1.aa951fd9f6acap-12, -0x1.a0ca12249bb49p-12, -0x1.972963d99986ep-12, -0x1.8da79f8922b45p-12, -0x1.8425d7ce4f53p-12, -0x1.7af30509b9bf8p-12, -0x1.722077906280fp-12, -0x1.697819c2952dcp-12, -0x1.60dfc76ed448ap-12, -0x1.58800426ec26ap-12, -0x1.5089403f111dfp-12, -0x1.48b4398db7e9ap-12, -0x1.40df029348315p-12, -0x1.39021260bc455p-12, -0x1.3150b310be08fp-12, -0x1.2a01de848fc96p-12, -0x1.22e1a0016e212p-12, -0x1.1bd682b553dd9p-12, -0x1.14e69ed22d0eap-12, -0x1.0e1864f6f61ap-12, -0x1.076f3874efc2cp-12, -0x1.00ea8d1881925p-12, -0x1.f510e44973867p-13, -0x1.e88d26765ad06p-13, -0x1.dc46c5d1f69bdp-13, -0x1.d03a02dfee224p-13, -0x1.c466af5e57c15p-13, -0x1.b8f160e9f77p-13, -0x1.ae11320e8f86ep-13, -0x1.a38075d3e64abp-13, -0x1.98f22e67f9b9p-13, -0x1.8e52636142bd9p-13, -0x1.83dbd2058d6d4p-13, -0x1.79ebe8b876d1bp-13, -0x1.7041a8ef9ac39p-13, -0x1.66a7f0ed1499dp-13, -0x1.5d39713d0c53ap-13, -0x1.544f061ef0f44p-13, -0x1.4ba6196b8e959p-13, -0x1.42d3e3744bbe9p-13, -0x1.3a0bd204f6b84p-13, -0x1.31c1ec6f8941dp-13, -0x1.29b7db08a579ap-13, -0x1.21c7b5056e75p-13, -0x1.19fa4271b4abap-13, -0x1.1257ce32439d3p-13, -0x1.0ae2383a18d54p-13, -0x1.0398da07a2fdcp-13, -0x1.f8f5b316172cap-14, -0x1.eb0eeea35065p-14, -0x1.dd7bb012b9c1ap-14, -0x1.d0392e34f3c6fp-14, -0x1.c343023f520c7p-14, -0x1.b6942491b3738p-14, -0x1.aa29f1efbebe3p-14, -0x1.9e02cf3c4a643p-14, -0x1.92194018b5726p-14, -0x1.86742c480f3e5p-14, -0x1.7b57a15572ac8p-14, -0x1.70be15b624867p-14, -0x1.660978be29f88p-14, -0x1.5b42533edc1f3p-14, -0x1.510742b250d7fp-14, -0x1.472e97374afp-14, -0x1.3d69e70d5dc19p-14, -0x1.33e7e483d476fp-14, -0x1.2adc7df6ed35ep-14, -0x1.21b0a79392a1bp-14, -0x1.18b9b23a5c707p-14, -0x1.103619b8a275bp-14, -0x1.07d5743362031p-14, -0x1.ff33c86e039dcp-15, -0x1.ef1f11ef6d287p-15, -0x1.df707346c492ap-15, -0x1.d026097d9ec52p-15, -0x1.c13e32c83d444p-15, -0x1.b2b521db3c811p-15, -0x1.a487d7c1f5371p-15, -0x1.96b36217158edp-15, -0x1.8935db63136b2p-15, -0x1.7c0dcea2f0602p-15, -0x1.6f398c62adf5dp-15, -0x1.62b86023c99f1p-15, -0x1.5688a1e98b724p-15, -0x1.4aa44dde019cfp-15, -0x1.3f0cbbf18af32p-15, -0x1.33bd0b1cbf713p-15, -0x1.28b4c88255a4dp-15, -0x1.1df0d773325a6p-15, -0x1.13642dc0ac8c5p-15, -0x1.092127892d739p-15, -0x1.feb6edb87d88dp-16, -0x1.eb46f27f8d974p-16, -0x1.d8505e68d98d1p-16, -0x1.c60cf50773dc2p-16, -0x1.b42fa5c91f77fp-16, -0x1.a2d1e9acf4552p-16, -0x1.91b5253a09c65p-16, -0x1.8152dbb0c5459p-16, -0x1.713954ec1288bp-16, -0x1.617b961862861p-16, -0x1.5228b99218323p-16, -0x1.433f2e5dd2682p-16, -0x1.34bdb38dca1c9p-16, -0x1.269ea02e7a8cfp-16, -0x1.18e0b258db84ep-16, -0x1.0b81aae8ef44p-16, -0x1.fcfdafe1d8715p-17, -0x1.e3a9cee10a10bp-17, -0x1.cb0930e175ed2p-17, -0x1.b30e9d3118b31p-17, -0x1.9bbc46d4bfe59p-17, -0x1.8506efb5816e8p-17, -0x1.6ef7961fc2ecfp-17, -0x1.59797cb6bc284p-17, -0x1.449ff665a771bp-17, -0x1.305a3c92bcf13p-17, -0x1.1ca898bdea736p-17, -0x1.098e058ece11bp-17, -0x1.edae3f7388a5cp-18, -0x1.c96dc4454060bp-18, -0x1.a613ef325bd32p-18, -0x1.84043d0ccb85ep-18, -0x1.62c71d38f7775p-18, -0x1.42538899a0475p-18, -0x1.22ecfe5ca95fp-18, -0x1.043033b3192f6p-18, -0x1.cde5f3e3eb9a6p-19, -0x1.95389d61c93dap-19, -0x1.5df72ba74dbc7p-19, -0x1.27daa678a7d41p-19, -0x1.e69202f38c11fp-20, -0x1.80b858a71adcp-20, -0x1.1e02cb5f288c4p-20, -0x1.7cafb49ea52cap-21, -0x1.868e95b73f029p-22, -0x1.f24e11844776fp-26, 0x1.3d3a01c070002p-22, 0x1.475e861eed10fp-21, 0x1.eac3624a515ffp-21, 0x1.446c3f838addp-20, 0x1.90ff20f5765e9p-20, 0x1.db21a27aa2484p-20, 0x1.116fd356c4f5p-19, 0x1.3420c125435e2p-19, 0x1.55a96b5ee4249p-19, 0x1.761a2fe47a27p-19, 0x1.9575901c814a3p-19, 0x1.b39013a896254p-19, 0x1.d126c9f94fd26p-19, 0x1.ed3529bbf0912p-19, 0x1.043c2d24901c4p-18, 0x1.11604c3029378p-18, 0x1.1e0bc648dbe6ep-18, 0x1.2a428190ba477p-18, 0x1.360afa6736b8cp-18, 0x1.4166d7aadcd5ep-18, 0x1.4c223af0ce862p-18, 0x1.56c1374ea9b11p-18, 0x1.60e177632af63p-18, 0x1.6ad34e800bc8cp-18, 0x1.74038f5f838bep-18, 0x1.7cc821c62d6b6p-18, 0x1.855f972a979bbp-18, 0x1.8d999c109494ep-18, 0x1.95793dbc10d7p-18, 0x1.9d2497865681ep-18, 0x1.a4378d3fcf507p-18, 0x1.ab1044cb16da4p-18, 0x1.b19e5a63763a3p-18, 0x1.b7ed8d5bc8956p-18, 0x1.bdd8aa8576bbp-18, 0x1.c37cdcd5b821dp-18, 0x1.c8e6efd55e3bbp-18, 0x1.cdb252aee1745p-18, 0x1.d2bada3b84f6fp-18, 0x1.d74f2ddfd5687p-18, 0x1.db99d371518cp-18, 0x1.dfb559ddbed5ap-18, 0x1.e374f4b78d914p-18, 0x1.e70323ae9056p-18, 0x1.ea491fbaae0b9p-18, 0x1.ed5675544ed73p-18, 0x1.f04f969c8585bp-18, 0x1.f2f01eb9e1368p-18, 0x1.f5697021d61e5p-18, 0x1.f7a8c6352c612p-18, 0x1.f9b1afe0ee1a1p-18, 0x1.fb8a446da07ccp-18, 0x1.fd31806f7123p-18, 0x1.fea1e1d38855bp-18, 0x1.ffe9a26e04063p-18, 0x1.0083f15378434p-17, 0x1.00fb80478d42ap-17, 0x1.015bc8016058p-17, 0x1.01a7c1d60680bp-17, 0x1.01e7ba28738b2p-17, 0x1.01fab1966572cp-17, 0x1.0214a2c2f8994p-17, 0x1.0213386ede39ap-17, 0x1.01fe4d1fd4e27p-17, 0x1.01d83fd189c64p-17, 0x1.01a309c4b784cp-17, 0x1.015609e3fea7dp-17, 0x1.00fcaa7858a6bp-17, 0x1.009775c9ec418p-17, 0x1.001baed7cc0d7p-17, 0x1.ff2667c54fabfp-18, 0x1.fdf5e8b7d2cf1p-18, 0x1.fc9dcfd69a326p-18, 0x1.fb3735f40adb3p-18, 0x1.f9b03e3955ed1p-18, 0x1.f80dd85f13543p-18, 0x1.f668061ebdf6dp-18, 0x1.f48a1b32f9e2p-18, 0x1.f2a427e34a6cep-18, 0x1.f092ea32a7d06p-18, 0x1.ee6ca701da5efp-18, 0x1.ec3ada2c521c1p-18, 0x1.e9f0fa8d123acp-18, 0x1.e7a3757fb3be5p-18, 0x1.e5348a5b9e389p-18, 0x1.e2c7c36bfcbbfp-18, 0x1.e005f623b916ap-18, 0x1.dd3f0f85e1c24p-18, 0x1.da7b5685fba2cp-18, 0x1.d7c1f69fd2f6bp-18, 0x1.d4da49d5961ffp-18, 0x1.d1e5c27776dcep-18, 0x1.ced454a93623fp-18, 0x1.cbb5936c37ecdp-18, 0x1.c896068f089cep-18, 0x1.c52c4715d70dap-18, 0x1.c213d1336a0c9p-18, 0x1.be9b280eefc32p-18, 0x1.bb630c20e2e81p-18, 0x1.b7f2c69ead7bcp-18, 0x1.b4767f69d67a3p-18, 0x1.b0ead4de21825p-18, 0x1.ad55b2e3ba7acp-18, 0x1.a9b89adc06be7p-18, 0x1.a608e1b3cbcc8p-18, 0x1.a24eb53a57926p-18, 0x1.9e90b3bb8ebfep-18, 0x1.9ad413afc9fa2p-18, 0x1.970cd8aec4507p-18, 0x1.9331cc5054e78p-18, }}, 
      {{0x1.feb93f99c2184p-4, 0x1.00d303fade572p-3, 0x1.02f3ec3c4465bp-3, 0x1.055c89cf352fbp-3, 0x1.079e095c1b99dp-3, 0x1.094acc4c54c91p-3, 0x1.09ffc4ffb070fp-3, 0x1.096a3fbf68c8fp-3, 0x1.074abe1586631p-3, 0x1.03759f93268d8p-3, 0x1.fba48c419ff7bp-4, 0x1.ecb28efc8fcf7p-4, 0x1.da2432d1c0882p-4, 0x1.c421182a154ddp-4, 0x1.aae48625beac6p-4, 0x1.8eb8a7efb191dp-4, 0x1.6ff230f67ccd8p-4, 0x1.4eec87a72a2f9p-4, 0x1.2c06773083d68p-4, 0x1.079f6fc9355cdp-4, 0x1.c42a7e36c6f75p-5, 0x1.7784a03354127p-5, 0x1.29f8bc05ea3ffp-5, 0x1.b84d65e0180efp-6, 0x1.1d438ac569c4fp-6, 0x1.07be823954f33p-7, -0x1.2efe663840ef5p-10, -0x1.4cabcc47f2e83p-7, -0x1.359a0060f5c16p-6, -0x1.c01d46cf16d0ap-6, -0x1.22acf3e8d72ccp-5, -0x1.62709492324a7p-5, -0x1.9f2cf3324ecf6p-5, -0x1.d8bf5449acf54p-5, -0x1.0787221d3dea4p-4, -0x1.210431fd2f1p-4, -0x1.38d1c2a8de09ep-4, -0x1.4eee226485c3cp-4, -0x1.635a6a4cc76dep-4, -0x1.761a4d3bf47c9p-4, -0x1.8733a35d12f03p-4, -0x1.96ae26f54eb87p-4, -0x1.a4933661e4487p-4, -0x1.b0ed8e0430ef9p-4, -0x1.bbc8fd0c1eca7p-4, -0x1.c5324d6c35204p-4, -0x1.cd36f73a7ce44p-4, -0x1.d3e50e407a6p-4, -0x1.d94b1246ca7cep-4, -0x1.dd77ce94bd57p-4, -0x1.e07a2fc460635p-4, -0x1.e2614889ca37ap-4, -0x1.e33c215e39469p-4, -0x1.e319b52727131p-4, -0x1.e208d86fe4ba7p-4, -0x1.e01825b763a7ap-4, -0x1.dd55f7ddea7a2p-4, -0x1.d9d0637132b14p-4, -0x1.d59527d246ecep-4, -0x1.d0b1ab74f359dp-4, -0x1.cb32f55ac2fecp-4, -0x1.c525a4a38b5cdp-4, -0x1.be95ebb2891efp-4, -0x1.b78f8f675ee44p-4, -0x1.b01de4867c8b6p-4, -0x1.a84bced0f7843p-4, -0x1.a023c1cfb7de6p-4, -0x1.97afbd374191ap-4, -0x1.8ef94f8dc8ec9p-4, -0x1.86099251823fp-4, -0x1.7ce92f21814dfp-4, -0x1.73a05df142f34p-4, -0x1.6a36ea30d7b87p-4, -0x1.60b42ccc55ba3p-4, -0x1.571f1a171bc9ep-4, -0x1.4d7e3ac7a9234p-4, -0x1.43d7b018c1c36p-4, -0x1.3a313cd5f37afp-4, -0x1.3090404283fap-4, -0x1.26f9bb7f10a38p-4, -0x1.1d7255de3387bp-4, -0x1.13fe5f36d80cep-4, -0x1.0aa1d0c4fbf0ap-4, -0x1.01605333dfd14p-4, -0x1.f07a80fc751f2p-5, -0x1.de774d83c816fp-5, -0x1.ccbc97b35fd66p-5, -0x1.bb4f652a18bp-5, -0x1.aa342ccd2a10ap-5, -0x1.996ef4a50a7e5p-5, -0x1.89033ef14d10fp-5, -0x1.78f423d02b3e2p-5, -0x1.694450997199ep-5, -0x1.59f6045c90058p-5, -0x1.4b0b20c9c81c9p-5, -0x1.3c852fa5bf30dp-5, -0x1.2e655e8a0d8e8p-5, -0x1.20ac9151e7821p-5, -0x1.135b5b1d44af9p-5, -0x1.06720773ea1afp-5, -0x1.f3e141311bb6cp-6, -0x1.dbade76dc7ebp-6, -0x1.c449234b310d3p-6, -0x1.adb1aff9f0c8ap-6, -0x1.97e5ea7c583c7p-6, -0x1.82e3ce4e8eef5p-6, -0x1.6ea9036f52393p-6, -0x1.5b32d9caff0d6p-6, -0x1.487e70cd9032fp-6, -0x1.36889314c98bdp-6, -0x1.254dde8411e71p-6, -0x1.14cabfe15f508p-6, -0x1.04fb6e7d5a6b9p-6, -0x1.ebb7e67930549p-7, -0x1.ced07d556d8dbp-7, -0x1.b33833dbd6bdap-7, -0x1.98e6628b7a1bfp-7, -0x1.7fd2490002298p-7, -0x1.67f2e47ba81cbp-7, -0x1.513f2b52c525bp-7, -0x1.3badf29b57cbdp-7, -0x1.2735eb25a4564p-7, -0x1.13cde03146437p-7, -0x1.016c7cc20da4dp-7, -0x1.e010cba76643cp-8, -0x1.bf30c58a51f81p-8, -0x1.a0262fccb82ffp-8, -0x1.82ded039fbdc1p-8, -0x1.674846cb3077bp-8, -0x1.4d509098e861ep-8, -0x1.34e5c5168a227p-8, -0x1.1df635440ab24p-8, -0x1.087084fe5720bp-8, -0x1.e886c5a5390c1p-9, -0x1.c2bc555afba3p-9, -0x1.9f6033a1ff2eap-9, -0x1.7e521b250d27ap-9, -0x1.5f7226c2e236ep-9, -0x1.42a1257ef6036p-9, -0x1.27c080191dcccp-9, -0x1.0eb2cd48f1572p-9, -0x1.eeb5778ff1082p-10, -0x1.c3389dc9bfd9bp-10, -0x1.9ab83ccf40432p-10, -0x1.74feeacbc280ap-10, -0x1.51d8938f40146p-10, -0x1.3113bbe2552ccp-10, -0x1.127fb27ef4c6fp-10, -0x1.ebda9e02e2699p-11, -0x1.b65ecd96f8063p-11, -0x1.8434eed89b28ap-11, -0x1.5508d9e020e12p-11, -0x1.2889af79cc6d8p-11, -0x1.fcd25cc4721b7p-12, -0x1.acbbea461eab4p-12, -0x1.603e54ed13eecp-12, -0x1.16d289f7b5d4fp-12, -0x1.9ff025fbc71f1p-13, -0x1.165f8b0c157c7p-13, -0x1.2012d015efb82p-14, -0x1.813c498aae111p-18, 0x1.d9cb98e04b027p-15, 0x1.f0760cfcecb25p-14, 0x1.7a069a064da59p-13, 0x1.fc918a81ab577p-13, 0x1.404211039847p-12, 0x1.833dcbef144bcp-12, 0x1.c78884e817569p-12, 0x1.06b36ac2871c1p-11, 0x1.2a8d3dcae0fap-11, 0x1.4f6fa669f2b31p-11, 0x1.75777277f8d1ap-11, 0x1.9cbd5b462af79p-11, 0x1.c55913cbf574dp-11, 0x1.ef60f0e376a37p-11, 0x1.0d73bf30ece7p-10, 0x1.23ff30d067dbfp-10, 0x1.3b5ae765984bfp-10, 0x1.538d81336b7f7p-10, 0x1.6c9cd07a37655p-10, 0x1.868e8f60fb757p-10, 0x1.a1667f8980e2ap-10, 0x1.bd288d015ab37p-10, 0x1.d9d7d57d5db0cp-10, 0x1.f775900b81195p-10, 0x1.0b01d04a9587ap-9, 0x1.1ac1438a7bd63p-9, 0x1.2af950df6cf6bp-9, 0x1.3ba99b4969ff6p-9, 0x1.4cd19aeca1963p-9, 0x1.5e7073e5fef95p-9, 0x1.708511d9803c1p-9, 0x1.830e06f54910cp-9, 0x1.9609df184e6c4p-9, 0x1.a976cf801ece6p-9, 0x1.bd52973dd41afp-9, 0x1.d19b471f4d7bfp-9, 0x1.e64e663511ea5p-9, 0x1.fb6934818634ep-9, 0x1.08749a8b53ed5p-8, 0x1.13659c987b731p-8, 0x1.1e86393253399p-8, 0x1.29d4d1245ecbep-8, 0x1.354faddef76f9p-8, 0x1.40f545356f036p-8, 0x1.4cc3a9a51d628p-8, 0x1.58b9275134be2p-8, 0x1.64d3efff8e42ap-8, 0x1.711205d24bd7p-8, 0x1.7d718a78e9419p-8, 0x1.89f0913f313bap-8, 0x1.968d1435ee4a6p-8, 0x1.a3452f97c62bep-8, 0x1.b016db2fc4acdp-8, 0x1.bcffcff54c3bep-8, 0x1.c9fe69beb934p-8, 0x1.d71070e44a5e8p-8, 0x1.e433a59935eb9p-8, 0x1.f1664f86b709p-8, 0x1.fea624d6edea8p-8, 0x1.05f896271f7c8p-7, 0x1.0ca2b7a42eb73p-7, 0x1.1350566b6585dp-7, 0x1.1a008fbf6f509p-7, 0x1.20b24c79e3593p-7, 0x1.27649094d583fp-7, 0x1.2e1662542c474p-7, 0x1.34c6c309254c3p-7, 0x1.3b74b70cc97cfp-7, 0x1.421f5594a38c1p-7, 0x1.48c5943ed76adp-7, 0x1.4f66ac4dcd15ep-7, 0x1.5601852cf6cfdp-7, 0x1.5c955438b4e73p-7, 0x1.6321275415bedp-7, 0x1.69a41fe6bb59ap-7, 0x1.701d5f4f26145p-7, 0x1.768c1a7347299p-7, 0x1.7cef6b615c8e5p-7, 0x1.834691fa29281p-7, 0x1.8990bcf84ffb4p-7, 0x1.8fcd1d7684275p-7, 0x1.95fb0d1fc3f4ap-7, 0x1.9c19a85f8e48p-7, 0x1.a22866727c1ccp-7, 0x1.a826728cbfa81p-7, 0x1.ae13271cb94c8p-7, 0x1.b3ede429a7646p-7, 0x1.b9b5fb4dc7fd5p-7, 0x1.bf6ad363f0ceep-7, 0x1.c50bd49295d38p-7, 0x1.ca9867b1adbfep-7, 0x1.d0100830bd591p-7, 0x1.d5721cddc8575p-7, 0x1.dabe3613ff71ap-7, 0x1.dff3bf3853b8cp-7, 0x1.e512466fa3fbp-7, 0x1.ea1962d7c3f4dp-7, 0x1.ef089985e3703p-7, 0x1.f3df8480fc919p-7, 0x1.f89db5e6bc953p-7, 0x1.fd42e77711f33p-7, 0x1.00e7503cf5c97p-6, 0x1.03204ceebd95p-6, 0x1.054c45149108bp-6, 0x1.076b0a93cbe4cp-6, 0x1.097c7bf3f8d0cp-6, 0x1.0b807e9133a0ap-6, 0x1.0d76ef311ab87p-6, 0x1.0f5fb5f5562b5p-6, 0x1.113aac2a702dfp-6, 0x1.1307cbe7a9a06p-6, 0x1.14c6f5b11f4dep-6, 0x1.1678183909f03p-6, 0x1.181b23a5f7884p-6, 0x1.19b0073c39187p-6, 0x1.1b36c01b2cf2fp-6, 0x1.1caf33ba2bc28p-6, 0x1.1e1966d08016ep-6, 0x1.1f754f831c9adp-6, 0x1.20c2eaa45e86fp-6, 0x1.220234b0ecb21p-6, 0x1.23332888b347ap-6, 0x1.2455d2e5bbc85p-6, 0x1.256a3119c398fp-6, 0x1.26704b4eacc4ap-6, 0x1.27681ac6afb07p-6, 0x1.2851be2ef6c0cp-6, 0x1.292d3123b74fdp-6, 0x1.29fa89560af5p-6, 0x1.2ab9c8b3b8954p-6, 0x1.2b6b084c08626p-6, 0x1.2c0e561f4fc91p-6, 0x1.2ca3c3ff903dep-6, 0x1.2d2b65607884p-6, 0x1.2da54f5beba63p-6, 0x1.2e119bb7c2a56p-6, 0x1.2e705d49139d3p-6, 0x1.2ec1affe3a23fp-6, 0x1.2f05ac8b9779ep-6, 0x1.2f3c6f6b8aef8p-6, 0x1.2f66164a7251ap-6, 0x1.2f82bc8950328p-6, 0x1.2f928338a258cp-6, 0x1.2f9584f95f82ep-6, 0x1.2f8be8994e96cp-6, 0x1.2f75d00e63126p-6, 0x1.2f53596ef405ap-6, 0x1.2f24ad9fd0e04p-6, 0x1.2ee9e93687025p-6, 0x1.2ea337504ffap-6, 0x1.2e50be22b38a4p-6, 0x1.2df2a18272656p-6, 0x1.2d8909d9e54c3p-6, 0x1.2d141e8aa33b3p-6, 0x1.2c9408060c478p-6, 0x1.2c08f050c2fd7p-6, 0x1.2b7300e6e10d9p-6, 0x1.2ad263277b544p-6, 0x1.2a27419f45995p-6, 0x1.2971c8ebf3965p-6, 0x1.28b225162974cp-6, 0x1.27e8799b043c6p-6, 0x1.271501f7b3202p-6, 0x1.2637dc9002656p-6, 0x1.255140a47f549p-6, 0x1.246154308eb36p-6, 0x1.236844edb28d8p-6, 0x1.226646c91cb01p-6, 0x1.215b7f8d9ce7fp-6, 0x1.20481f47041bbp-6, 0x1.1f2c5711e835bp-6, 0x1.1e08530a85f62p-6, 0x1.1cdc412c1021ap-6, 0x1.1ba84f595d68dp-6, 0x1.1a6caba3fba79p-6, 0x1.192984cfb7564p-6, 0x1.17df0a67ac998p-6, 0x1.168d64ba20077p-6, 0x1.1534cc12bdd8bp-6, 0x1.13d562a196e75p-6, 0x1.126f5f8ef7d96p-6, 0x1.1102ebd11e33ap-6, 0x1.0f9036127981fp-6, 0x1.0e176abe55f9bp-6, 0x1.0c98bbd18a74p-6, 0x1.0b1450809e614p-6, 0x1.098a526197378p-6, 0x1.07faf96305e28p-6, 0x1.066669c16d2b8p-6, 0x1.04ccd16b9548cp-6, 0x1.032e5cd19171dp-6, 0x1.018b36938ad5ep-6, 0x1.ffc7138e84c7p-7, 0x1.fc6f031425776p-7, 0x1.f90e8ce83642p-7, 0x1.f5a61125a9998p-7, 0x1.f235d5cb524c5p-7, 0x1.eebe2c27082e2p-7, 0x1.eb3f7925a28abp-7, 0x1.e7ba00148df8ap-7, 0x1.e42e09c5ca676p-7, 0x1.e09bf87570653p-7, 0x1.dd040fcf45e6dp-7, 0x1.d966a118a5c36p-7, 0x1.d5c3f8b0b5b8cp-7, 0x1.d21c624ae863p-7, 0x1.ce7028c387efcp-7, 0x1.cabf953467a8cp-7, 0x1.c70af423cefdbp-7, 0x1.c3528d83644e3p-7, 0x1.bf96aaedeb761p-7, 0x1.bbd78bb0e4111p-7, 0x1.b8158007ad59dp-7, 0x1.b450c6fe0988bp-7, 0x1.b089a367c8aap-7, 0x1.acc05b49b3245p-7, 0x1.a8f52db69a41bp-7, 0x1.a5285b24e5b66p-7, 0x1.a15a239e7098cp-7, 0x1.9d8ac52a91c8p-7, 0x1.99ba7a4de81fp-7, 0x1.95e98ac1f03f8p-7, 0x1.92181f4a4e33cp-7, 0x1.8e4685fd770d4p-7, 0x1.8a74eecf15cdbp-7, 0x1.86a39a43f10a1p-7, 0x1.82d2b9b9797a1p-7, 0x1.7f0289ddd0b26p-7, 0x1.7b3339cc8cd5ep-7, 0x1.7764fd3dfb571p-7, 0x1.739809f0a3da2p-7, 0x1.6fcc8d8ae1d39p-7, 0x1.6c02bbbaed95cp-7, 0x1.683ac1bbdf4acp-7, 0x1.6474d01b7ee4dp-7, 0x1.60b115b49cd6p-7, 0x1.5cefc225c7256p-7, 0x1.5931015677ff7p-7, 0x1.55750636af228p-7, 0x1.51bbf24434f1ep-7, 0x1.4e05f8b73698cp-7, 0x1.4a533cd20a2bep-7, 0x1.46a3e72ca6f5bp-7, 0x1.42f81af67c59p-7, 0x1.3f4ff2c7e689ap-7, 0x1.3baba2fc9724ep-7, 0x1.380b41c31e2a2p-7, 0x1.346eeaea8b486p-7, 0x1.30d6c3f52589p-7, 0x1.2d42ef0517821p-7, 0x1.29b38934ac34dp-7, 0x1.2628b95e3868dp-7, 0x1.22a29de5abfe8p-7, 0x1.1f215df8d065p-7, 0x1.1ba518c277629p-7, 0x1.182de5c356c35p-7, 0x1.14bbe08b2ca17p-7, 0x1.114f21532764p-7, 0x1.0de7bd150f03fp-7, 0x1.0a85c39fb1aafp-7, 0x1.07294273acebap-7, 0x1.03d2482f645dep-7, 0x1.0080e7e2622b1p-7, 0x1.fa6a618748814p-8, 0x1.f3de6c0cdd7fp-8, 0x1.ed5e2c61a39f9p-8, 0x1.e6e9cc9ffb2e2p-8, 0x1.e081858451a5ap-8, 0x1.da258bbd853c1p-8, 0x1.d3d60d7f74eabp-8, 0x1.cd933ae8cd4fep-8, 0x1.c75d0907434f5p-8, 0x1.c133cc47eed6cp-8, 0x1.bb173f7ef562ap-8, 0x1.b507a145fa097p-8, 0x1.af04cab652019p-8, 0x1.a90ed06b5bfebp-8, 0x1.a325ac83a6275p-8, 0x1.9d496739706bfp-8, 0x1.977a1537e573bp-8, 0x1.91b7cf08c8ce9p-8, 0x1.8c02b8f168eeap-8, 0x1.865af0b5e37ccp-8, 0x1.80c09bc6aaf85p-8, 0x1.7b33dfa7d8ae5p-8, 0x1.75b4d8331fb6cp-8, 0x1.704394b192b64p-8, 0x1.6ae0192fbf65p-8, 0x1.658a5f629494fp-8, 0x1.6042500f46a01p-8, 0x1.5b07db08717a5p-8, 0x1.55daf42c64f33p-8, 0x1.50bb7a170eaa1p-8, 0x1.4ba968b34583ep-8, 0x1.46a4ba47e48e4p-8, 0x1.41ad701c6ba4p-8, 0x1.3cc38eb5fd91cp-8, 0x1.37e716f75b7d2p-8, 0x1.33181b834017fp-8, 0x1.2e56a2e75a01cp-8, 0x1.29a2ab52c099ep-8, 0x1.24fc4ae554128p-8, 0x1.206386d217f41p-8, 0x1.1bd84fee5207ap-8, 0x1.175a9bb996fdcp-8, 0x1.12ea52c0d8f5cp-8, 0x1.0e876849e339ep-8, 0x1.0a31cd73f7beap-8, 0x1.05e93aa9630cep-8, 0x1.01adfaeeda0f6p-8, 0x1.faff65a5d4b1ap-9, 0x1.f2bccc0569f5fp-9, 0x1.ea940ae8148ebp-9, 0x1.e284f714a0606p-9, 0x1.da8f6dbe035e6p-9, 0x1.d2b34e98be81p-9, 0x1.caf07bb289d52p-9, 0x1.c346d670b8631p-9, 0x1.bbb6374c2032p-9, 0x1.b43e92667a949p-9, 0x1.acdfc8605ff1fp-9, 0x1.a599b8991551ep-9, 0x1.9e6c43f735bedp-9, 0x1.9756ef263c91bp-9, 0x1.905a29d0cf6d3p-9, 0x1.8975ac267cc52p-9, 0x1.82a94c953c543p-9, 0x1.7bf4e61184409p-9, 0x1.755833f657776p-9, 0x1.6ed2f0975590ep-9, 0x1.6864dc65681d9p-9, 0x1.620db5908c81dp-9, 0x1.5bcd4444f9fdp-9, 0x1.55a3569f34f2p-9, 0x1.4f8fb608e6645p-9, 0x1.499229e492aep-9, 0x1.43aa86872e584p-9, 0x1.3dd89b25c8ad2p-9, 0x1.381c4693ea0ccp-9, 0x1.32754f5c9648ep-9, 0x1.2ce386f2a3d2ep-9, 0x1.2766c6dad835p-9, 0x1.21febe8630678p-9, 0x1.1cab9573bfdb6p-9, 0x1.176d2cd80dbcep-9, 0x1.12434acb345a4p-9, 0x1.0d2dee8e5b87p-9, 0x1.082cb9d742d5dp-9, 0x1.033f47832da3cp-9, 0x1.fcca87e678aadp-10, 0x1.f33caf769d558p-10, 0x1.e9d4b4af47f83p-10, 0x1.e0921c65ba482p-10, 0x1.d77457d7b35adp-10, 0x1.ce7b2e3216e12p-10, 0x1.c5a66c54b2f02p-10, 0x1.bcf5f8aa11897p-10, 0x1.b469db89081edp-10, 0x1.ac00d55b9f905p-10, 0x1.a3badd2e8c887p-10, 0x1.9b96e41da0777p-10, 0x1.9393326faea23p-10, 0x1.8bb1e41ec970ep-10, 0x1.83f1be014f54ep-10, 0x1.7c5304a2a3842p-10, 0x1.74d56a05269a1p-10, 0x1.6d7868fdd40cep-10, 0x1.663b65d3b1023p-10, 0x1.5f1dc69d4897dp-10, 0x1.581ee99a93181p-10, 0x1.513e165c32087p-10, 0x1.4a7aa20d5b651p-10, 0x1.43d429efe9c36p-10, 0x1.3d4a632e3ef33p-10, 0x1.36dd7c5b879dep-10, 0x1.308d97d75088fp-10, 0x1.2a5a94e50348cp-10, 0x1.2443f53c95efp-10, 0x1.1e48d80353c89p-10, 0x1.1868aa77e133p-10, 0x1.12a2c47537449p-10, 0x1.0cf66889f5511p-10, 0x1.07637e751ee4cp-10, 0x1.01e9ebd5adba4p-10, 0x1.f9137ef6162cp-11, 0x1.ee857c7706223p-11, 0x1.e428f8084ffedp-11, 0x1.d9fce3ad2a648p-11, 0x1.d001786b3b1ffp-11, 0x1.c634e0edc12ap-11, 0x1.bc97844d7388ep-11, 0x1.b325916de4ff1p-11, 0x1.a9df15341f1dcp-11, 0x1.a0c3432b285d3p-11, 0x1.97d2509fda753p-11, 0x1.8f0cab36cc216p-11, 0x1.8672381233ceap-11, 0x1.7e01d8bb4ccf8p-11, 0x1.75bac605561ecp-11, 0x1.6d9c13c9d702fp-11, 0x1.65a4c1459ca99p-11, 0x1.5dd486c028633p-11, 0x1.562a9936a3445p-11, 0x1.4ea630d54226ep-11, 0x1.474697c4e9fb4p-11, 0x1.400b19789a23dp-11, 0x1.38f2ff138404cp-11, 0x1.31fdd6375b95dp-11, 0x1.2b2afa16c4bbbp-11, 0x1.247bf5b94b705p-11, 0x1.1deecf3cbbec7p-11, 0x1.178365f4b154dp-11, 0x1.1138b9bbb9be5p-11, 0x1.0b0da86473125p-11, 0x1.05014376e473cp-11, 0x1.fe2662d5920dap-12, 0x1.f286b79c29957p-12, 0x1.e7230f35dfbdbp-12, 0x1.dbfa2f6195045p-12, 0x1.d10b3a77e74ebp-12, 0x1.c6546bbe12125p-12, 0x1.bbd4c3333d946p-12, 0x1.b18d4d79487p-12, 0x1.a77afe83549d2p-12, 0x1.9da06027a5c69p-12, 0x1.93fb2e823bffap-12, 0x1.8a88cc20d8d9fp-12, 0x1.814708f12fd0cp-12, 0x1.78347ef944745p-12, 0x1.6f503cbb4556bp-12, 0x1.669aa53e56e55p-12, 0x1.5e1558f893e25p-12, 0x1.55bebb254395ap-12, 0x1.4d964a5c690f6p-12, 0x1.4598e4e376545p-12, 0x1.3dc9381c8112p-12, 0x1.36223999de0b5p-12, 0x1.2ea5d6099e26cp-12, 0x1.275320c60fc2dp-12, 0x1.2028b82a13fa4p-12, 0x1.19251aae2a8efp-12, 0x1.1246fe648d58cp-12, 0x1.0b8dda4f480ccp-12, 0x1.04f9fdd84fd59p-12, 0x1.fd145f9f480ddp-13, 0x1.f07e3810ce05ep-13, 0x1.e42f99a22d698p-13, 0x1.d82645cb08c0ep-13, 0x1.cc650a298585bp-13, 0x1.c0e8c471515c6p-13, 0x1.b5ad3d1128d67p-13, 0x1.aaac3d8ede832p-13, 0x1.9fe3228506235p-13, 0x1.955a9dbb88e56p-13, 0x1.8b0e5af0f4d2cp-13, 0x1.80fe540e710e8p-13, 0x1.7728a56da3ce9p-13, 0x1.6d8ae3eeff16p-13, 0x1.642507396c504p-13, 0x1.5af649fcf1acdp-13, 0x1.51fd01806e622p-13, 0x1.4938dfd43ebb4p-13, 0x1.40a784a1276f5p-13, 0x1.384d3a34b938bp-13, 0x1.30208f8b6b597p-13, 0x1.282478d5777acp-13, 0x1.2054c4d77ff1dp-13, 0x1.18b2b0811b369p-13, 0x1.113e9fb9b7e7fp-13, 0x1.09f839fd92b13p-13, 0x1.02dbcce3c1082p-13, 0x1.f7d5e621d8d77p-14, 0x1.ea4b4b1ea7921p-14, 0x1.dd1273f5db95ap-14, 0x1.d0297cd18a42fp-14, 0x1.c38be8f562bd3p-14, 0x1.b7394e29e4396p-14, 0x1.ab310f48c4976p-14, 0x1.9f72746037b21p-14, 0x1.93fca3a60d81cp-14, 0x1.88cbef36d68afp-14, 0x1.7ddf53120a9c9p-14, 0x1.733717b055454p-14, 0x1.68d291d4dab1fp-14, 0x1.5eaa5eefaa59bp-14, 0x1.54c31c31d914p-14, 0x1.4b0df5033644cp-14, 0x1.41aebafaa6e09p-14, 0x1.387cec9738129p-14, 0x1.2f88464bc1436p-14, 0x1.26cba0a2d2b2bp-14, 0x1.1e463bbf5a61ap-14, 0x1.15f6945200824p-14, 0x1.0dd8f76694151p-14, 0x1.05efd068a8678p-14, 0x1.fc72f1ff5c3a2p-15, 0x1.ed6d69109df42p-15, 0x1.dec4e5df36c87p-15, 0x1.d07c3fce4085fp-15, 0x1.c27aab1c7f122p-15, 0x1.b5021a12b491ap-15, 0x1.a7c605896b706p-15, 0x1.9adf4b2e42d6ap-15, 0x1.8e4e1975de42bp-15, 0x1.821499cfcbedp-15, 0x1.762534cd64029p-15, 0x1.6a865c56da316p-15, 0x1.5f27319b40163p-15, 0x1.54307542b792cp-15, 0x1.49776f0ad0ccp-15, 0x1.3efb0f089b63p-15, 0x1.34d33fd6bb1e3p-15, 0x1.2ae046ecbf5abp-15, 0x1.21332e31ed89ep-15, 0x1.17cde5b3e6e8fp-15, 0x1.0eaaa5f45ec9ap-15, 0x1.05c015a5cbec7p-15, 0x1.fa264bdec6c4p-16, 0x1.e94f29ab48abep-16, 0x1.d8e33f1dd9b4fp-16, 0x1.c8f13c0f83091p-16, 0x1.b96359b556915p-16, 0x1.aa45ebc376b51p-16, 0x1.9b92fa147e314p-16, 0x1.8d426977c597dp-16, 0x1.7f562e4b0e824p-16, 0x1.71cf2c9ff28eap-16, 0x1.64a6a569f3193p-16, 0x1.57ec7702b8bd2p-16, 0x1.4b7fc0e97988fp-16, 0x1.3f5e84c61fa1dp-16, 0x1.3396b9cafab06p-16, 0x1.2835795962bd6p-16, 0x1.1d1d0b65616a5p-16, 0x1.1257b65563587p-16, 0x1.07c98415360f1p-16, 0x1.fb46a207ea392p-17, 0x1.e78b62961a97dp-17, 0x1.d44beafd1d484p-17, 0x1.c1a59e200e321p-17, 0x1.af9bba62aa0bp-17, 0x1.9e1162b35fcf9p-17, 0x1.8d02157154d41p-17, 0x1.7c724d24ff772p-17, 0x1.6c5f6b732978bp-17, 0x1.5ccf241306fb4p-17, 0x1.4db206773a2ddp-17, 0x1.3f1077b8e98bcp-17, 0x1.30d4164c32824p-17, 0x1.22f5514635161p-17, 0x1.15b0b8faaa802p-17, 0x1.08c7cb61d2b39p-17, 0x1.f8476c93feb93p-18, 0x1.e041c961fcaf8p-18, 0x1.c962d1339900ap-18, 0x1.b1c9fa773c074p-18, 0x1.9be35603fa5ddp-18, 0x1.867276ff46102p-18, 0x1.723e35f66048p-18, 0x1.5db2640b424fbp-18, 0x1.4a0f6efa3afddp-18, 0x1.3743b8067b99bp-18, 0x1.2547bc77eed15p-18, 0x1.13c80762c2d72p-18, 0x1.02846aa7cb964p-18, 0x1.e44eb145ef1f2p-19, 0x1.c4db875eea004p-19, 0x1.a642f6dcac881p-19, 0x1.88d45ed0e546ap-19, 0x1.6c4d7f190d38fp-19, 0x1.50a74ececcfd4p-19, 0x1.3609671f8e11ep-19, 0x1.1c62d5674a81ep-19, 0x1.03b9c59d5a0a7p-19, 0x1.d7cfb38c2e0dfp-20, 0x1.a997255d7d286p-20, 0x1.7dc9d4fc0f11ap-20, 0x1.5306c8222b868p-20, 0x1.2a167e16515bfp-20, 0x1.02bc0a1dd01d7p-20, 0x1.b98dceb0f672fp-21, 0x1.70bd6ab1d3dc6p-21, 0x1.2aad89a8ec89ep-21, 0x1.cedc3a9bfbbccp-22, 0x1.4db728e700626p-22, 0x1.a41518e9c340bp-23, 0x1.75d5b3c49dcb8p-24, -0x1.8bd82dab2c4bcp-26, -0x1.038b9973542b9p-23, -0x1.d2bb7ef958f5bp-23, -0x1.4d4610e8219aap-22, -0x1.af7c88a75bfbfp-22, -0x1.04e40339bd59dp-21, -0x1.2fc276b6c7729p-21, -0x1.59b55f484d21fp-21, -0x1.80cf787e4a8f1p-21, -0x1.a5a716dd4fecfp-21, -0x1.c8beaa3f6f53dp-21, -0x1.eb503fca40415p-21, -0x1.059bc34a68e02p-20, -0x1.1448baf6896a3p-20, -0x1.23d23b93ddc59p-20, -0x1.317b73f46b314p-20, -0x1.3d5970ff48971p-20, -0x1.48a5b51cca9ffp-20, -0x1.55665fc5d03c2p-20, -0x1.5e790f0a58bd3p-20, -0x1.68c3338dd70d7p-20, -0x1.72500f681b8e4p-20, -0x1.7a6185ad49944p-20, -0x1.8041c27c9ba26p-20, -0x1.8a50275d534d4p-20, -0x1.90be04e7d2d46p-20, -0x1.9913f1fca6a85p-20, -0x1.99f786e7b9e58p-20, -0x1.a12efe1aad509p-20, -0x1.a5f665fed182bp-20, -0x1.aa262581445ccp-20, -0x1.ad5f354b4cc89p-20, -0x1.b12c657fae0f7p-20, -0x1.b310987096beep-20, -0x1.b53444a60f6d8p-20, -0x1.b79ed0813c40ap-20, -0x1.b8a0b198f5eb5p-20, -0x1.b9b00d794d8bfp-20, -0x1.ba593008298f4p-20, -0x1.ba81fac6bce16p-20, -0x1.ba4febba4418bp-20, -0x1.b9c43ad3303a3p-20, -0x1.b8db66e2048b3p-20, -0x1.b7a38384dff0cp-20, -0x1.b6306eb26e575p-20, -0x1.b46b7da7728efp-20, -0x1.b262fa9c98bbfp-20, -0x1.b011ffac0f175p-20, -0x1.ad58cc5c998f2p-20, -0x1.aa598d406698p-20, -0x1.a75c3c86c242p-20, -0x1.a3cacd3969f9bp-20, -0x1.a01602227e348p-20, -0x1.9cb163eb06228p-20, -0x1.978250cc68936p-20, -0x1.942c4466a65fbp-20, -0x1.8fc4a5b81a136p-20, -0x1.8b1fec78987c8p-20, -0x1.864d4d0f19c3fp-20, -0x1.81750abd70c8fp-20, -0x1.7c21477b6646ep-20, -0x1.76dd80f2b8e3dp-20, -0x1.7013cf8dc4c8cp-20, -0x1.6c1669d1502b8p-20, -0x1.65fe554483f53p-20, -0x1.5fae74933ac8ep-20, -0x1.5abfc29846edbp-20, -0x1.544b75b0aa977p-20, -0x1.4dba61cfd51c4p-20, -0x1.476ff87b106b6p-20, -0x1.40d2e31245931p-20, -0x1.3b3e488b3503p-20, -0x1.3378926d03326p-20, -0x1.2c74a108ce895p-20, -0x1.259bc5dc15d44p-20, -0x1.20108a1d7a763p-20, -0x1.1861f020bee04p-20, -0x1.11c5c77ad0cf7p-20, -0x1.0a32a598e96p-20, -0x1.001a082567509p-20, -0x1.f5da964ab9edbp-21, -0x1.e820feb5e05ffp-21, -0x1.da429effbb7edp-21, -0x1.caad7b51eabdp-21, -0x1.bcd097fc67711p-21, -0x1.ae0ed1a4fb7a7p-21, -0x1.9dc3a16c51ad7p-21, -0x1.8d6c8c4da6936p-21, -0x1.80f41f40c69b6p-21, -0x1.717c15616d328p-21, -0x1.629c81386823ap-21, -0x1.536a3a9951f4dp-21, -0x1.44665364d4294p-21, -0x1.35fd6e869a89ap-21, -0x1.24e6e3c800746p-21, -0x1.16b943f57b128p-21, -0x1.07f5685c562p-21, -0x1.ef27d79468715p-22, -0x1.d0ab4a34e8521p-22, -0x1.b4c26275c1bb4p-22, -0x1.9593adc67696fp-22, -0x1.776ed04f3a5afp-22, -0x1.5664971f54587p-22, -0x1.3a8570edf2b16p-22, -0x1.1abd2dbfef5bdp-22, -0x1.0143cc9feef0cp-22, -0x1.c591944252ab7p-23, -0x1.82d1362f7d461p-23, -0x1.48fdfc1cef042p-23, -0x1.0c8cdc43c5432p-23, -0x1.a77e2a0963b52p-24, -0x1.2ffe31eef85b3p-24, -0x1.7ac3d453b9db2p-25, -0x1.2544ae929448dp-26, 0x1.eae9b79d9d126p-27, 0x1.352ad3ed9b485p-25, 0x1.20a9412c7fe99p-24, 0x1.8a008c2896df6p-24, 0x1.f5dd8a10f342ep-24, 0x1.35fb39d0b4c5ep-23, 0x1.6bdcef9f8aadcp-23, 0x1.a5c24dfae53b8p-23, 0x1.dfeefe365e11ep-23, 0x1.0c135efc166ep-22, 0x1.27510201a0aa7p-22, 0x1.3fac970b38fdbp-22, 0x1.5a38cca217e23p-22, 0x1.727d6a48673a2p-22, 0x1.8fe299ccc7923p-22, 0x1.ad9db9528e159p-22, 0x1.c7ffe5aae8ff8p-22, 0x1.e0689119d9c3ep-22, 0x1.f8a0ab9ea9ec1p-22, 0x1.0979c665b2d79p-21, 0x1.16079ceb0b071p-21, 0x1.23b9c2b86d605p-21, 0x1.2fa9ee2a300eep-21, 0x1.3d08eba73c7cfp-21, 0x1.47a0e6204f9cp-21, 0x1.5569746ea6449p-21, 0x1.5fec3587b31bep-21, 0x1.6c03f4f888683p-21, 0x1.77525bf9c6924p-21, 0x1.82f3a51b43e5cp-21, 0x1.8e792c424a6c6p-21, 0x1.99c8c797d2a8p-21, 0x1.a4fba8812bfcep-21, 0x1.b02cde44f6041p-21, 0x1.bb70f1f825922p-21, 0x1.c59ae9e77a8a2p-21, 0x1.cf0c0ac27f3ap-21, 0x1.db1ce63fa8d7fp-21, }}, 
      {{0x1.fe08018369288p-4, 0x1.ff0a6c1648dbfp-4, 0x1.004c1a3dfee29p-3, 0x1.014326f837516p-3, 0x1.0250d4a721daap-3, 0x1.035a1827249eap-3, 0x1.04445b707a504p-3, 0x1.04f6ecacd1c5ep-3, 0x1.055bf16eb5ce2p-3, 0x1.0560f324f92aep-3, 0x1.04f71acb7994ep-3, 0x1.0413323aceec9p-3, 0x1.02ad7a2bd2746p-3, 0x1.00c167149f1dp-3, 0x1.fc9a980e5855cp-4, 0x1.f6a402e814d64p-4, 0x1.efa507fa2f2fp-4, 0x1.e7a73729d7c5ap-4, 0x1.deb7032736927p-4, 0x1.d4e32d7a45fe7p-4, 0x1.ca3c237886258p-4, 0x1.bed38b7993ddp-4, 0x1.b2bbd0d892a73p-4, 0x1.a607bf5aded1ap-4, 0x1.98ca3319e4928p-4, 0x1.8b15d6454d926p-4, 0x1.7cfce80d138dbp-4, 0x1.6e911511200ecp-4, 0x1.5fe34217ff1f6p-4, 0x1.510393ede7eafp-4, 0x1.42013aa9b977bp-4, 0x1.32ea79db9c233p-4, 0x1.23cc9bba60f1bp-4, 0x1.14b3f5f008ce1p-4, 0x1.05abd5135377ap-4, 0x1.ed7d2af5c556fp-5, 0x1.cfeb62a65194dp-5, 0x1.b2b34ac3fc3b6p-5, 0x1.95e440b80eea8p-5, 0x1.798be1685eb3cp-5, 0x1.5db64d94854eap-5, 0x1.426e2809448aap-5, 0x1.27bca299c6dddp-5, 0x1.0da9a7b922896p-5, 0x1.e87820d81db22p-6, 0x1.b6f2b6ebe4f7ap-6, 0x1.86cc3cdb81949p-6, 0x1.580bfc9ad8327p-6, 0x1.2ab77a5adfedcp-6, 0x1.fda4d022bd549p-7, 0x1.a8be958019bdap-7, 0x1.56be1511b6534p-7, 0x1.07a32eff423f1p-7, 0x1.76d6af53d335ap-8, 0x1.c8481a464217bp-9, 0x1.5c876639d69dep-10, -0x1.81fda6885abf6p-11, -0x1.6426fcc5c22efp-9, -0x1.2e6e8fa1477fep-8, -0x1.a568327a57592p-8, -0x1.0b8cdd0debab7p-7, -0x1.41cf140a3a988p-7, -0x1.7588f2e005c3p-7, -0x1.a6c9500844502p-7, -0x1.d59f87532b238p-7, -0x1.010dad55c2c93p-6, -0x1.162673ec4c5acp-6, -0x1.2a22456f36b1bp-6, -0x1.3d09673285469p-6, -0x1.4ee426a74818ap-6, -0x1.5fbae1067df4dp-6, -0x1.6f95f8186a878p-6, -0x1.7e7dc63205e1dp-6, -0x1.8c7a999a37609p-6, -0x1.9994b2c2d71a6p-6, -0x1.a5d43dba7e9e6p-6, -0x1.b14148d5a218ep-6, -0x1.bbe3cdb8d8993p-6, -0x1.c5c3a4bca0a5dp-6, -0x1.cee882995994p-6, -0x1.d759fbc49d9e3p-6, -0x1.df1f7af3cdd25p-6, -0x1.e6403de9ff894p-6, -0x1.ecc35c46c93ddp-6, -0x1.f2afc63a3ef52p-6, -0x1.f80c3c03a14fap-6, -0x1.fcdf5033760a8p-6, -0x1.0097b6316ff72p-5, -0x1.0281615c8d96fp-5, -0x1.042fafe0e6c4bp-5, -0x1.05a58e9065f17p-5, -0x1.06e5d271c9259p-5, -0x1.07f33b5e42f31p-5, -0x1.08d06fd672f4dp-5, -0x1.097fffaab5a26p-5, -0x1.0a04639cf692bp-5, -0x1.0a5ffe38ad6e1p-5, -0x1.0a951d757fc47p-5, -0x1.0aa5f9e4aeb9bp-5, -0x1.0a94b31a6dc06p-5, -0x1.0a6355cf63773p-5, -0x1.0a13dc1fb78b3p-5, -0x1.09a82616c9c98p-5, -0x1.0921fe4527c5p-5, -0x1.088322b79ceccp-5, -0x1.07cd3d1ba68abp-5, -0x1.0701e091ee015p-5, -0x1.062295670927ep-5, -0x1.0530d524edab9p-5, -0x1.042dfb00d1a48p-5, -0x1.031b56f3702adp-5, -0x1.01fa2c35edbccp-5, -0x1.00cbaccb03dc2p-5, -0x1.ff21f376c96e9p-6, -0x1.fc96517c2d84ap-6, -0x1.f9f67f8024c91p-6, -0x1.f7446bacbeedbp-6, -0x1.f481f0f4e08eep-6, -0x1.f1b0c86c8b6f6p-6, -0x1.eed296db9151fp-6, -0x1.ebe8ec93d45e7p-6, -0x1.e8f53d157a203p-6, -0x1.e5f8eaf37b404p-6, -0x1.e2f543286cf6bp-6, -0x1.dfeb7b85474d8p-6, -0x1.dcdcbae344cabp-6, -0x1.d9ca0c0ec5a86p-6, -0x1.d6b476751f458p-6, -0x1.d39ce27129fdp-6, -0x1.d08431ab2691p-6, -0x1.cd6b34629da63p-6, -0x1.ca52aa427410bp-6, -0x1.c73b459fb822dp-6, -0x1.c425a624bc7dbp-6, -0x1.c1126816e59adp-6, -0x1.be02129ac9061p-6, -0x1.baf52812bab97p-6, -0x1.b7ec1c5453b82p-6, -0x1.b4e755cf879b4p-6, -0x1.b1e731c80e782p-6, -0x1.aeec0a8209c8cp-6, -0x1.abf62a85d8dbp-6, -0x1.a905d40938131p-6, -0x1.a61b4666606b4p-6, -0x1.a336b6ea739bcp-6, -0x1.a05850ebb299ep-6, -0x1.9d803b3e82c63p-6, -0x1.9aae9655c03e3p-6, -0x1.97e37b24f6ff1p-6, -0x1.951eff408393p-6, -0x1.926133c57ef25p-6, -0x1.8faa2278b1dfcp-6, -0x1.8cf9ce0befa56p-6, -0x1.8a50375d09063p-6, -0x1.87ad60364ea18p-6, -0x1.85113af8202c3p-6, -0x1.827bc3c508e93p-6, -0x1.7fecf06ba077ep-6, -0x1.7d64acbf84822p-6, -0x1.7ae2e784ab5bp-6, -0x1.78678a9768515p-6, -0x1.75f27f0fa56b9p-6, -0x1.7383ab2fa6f1fp-6, -0x1.711af798b25c3p-6, -0x1.6eb842e2adf6dp-6, -0x1.6c5b710ccc6d4p-6, -0x1.6a0463fcf13a3p-6, -0x1.67b2fc47bf065p-6, -0x1.656717bc66447p-6, -0x1.6320917e4930dp-6, -0x1.60df47a5894bp-6, -0x1.5ea31946dbcd2p-6, -0x1.5c6bdfc113d99p-6, -0x1.5a3979ea57717p-6, -0x1.580bc04d7ebf5p-6, -0x1.55e291efc1b5ep-6, -0x1.53bdca69d33e7p-6, -0x1.519d425c3a336p-6, -0x1.4f80d62b385c8p-6, -0x1.4d686015c6599p-6, -0x1.4b53becc1222ap-6, -0x1.4942d0e91b126p-6, -0x1.473572a16a392p-6, -0x1.452b821e70353p-6, -0x1.4324cd53446b8p-6, -0x1.41214d9759d54p-6, -0x1.3f20d333de441p-6, -0x1.3d233e3145b9bp-6, -0x1.3b287067899fep-6, -0x1.39304672393b7p-6, -0x1.373aaa96b6ca4p-6, -0x1.35477a87446fep-6, -0x1.33569b0090212p-6, -0x1.3167ee14f2c96p-6, -0x1.2f7b5bfbcc518p-6, -0x1.2d90cb659dafep-6, -0x1.2ba8206fc8c15p-6, -0x1.29c1428c03f8cp-6, -0x1.27dc20ad2caep-6, -0x1.25f89ce88013dp-6, -0x1.2416a0a1c3da6p-6, -0x1.22361b7f812cep-6, -0x1.2056f6f0c5aa6p-6, -0x1.1e791e1c0416p-6, -0x1.1c9c818cdc531p-6, -0x1.1ac113f412217p-6, -0x1.18e6bf7d41f93p-6, -0x1.170d75536a218p-6, -0x1.15352777dc183p-6, -0x1.135dc87da7915p-6, -0x1.11874cb1fc284p-6, -0x1.0fb1a79c86021p-6, -0x1.0ddcc912df877p-6, -0x1.0c08aacb1464bp-6, -0x1.0a35461f151d4p-6, -0x1.086284ea174d9p-6, -0x1.069066aeb409p-6, -0x1.04beeca2e6249p-6, -0x1.02ee061444e09p-6, -0x1.011dae581a744p-6, -0x1.fe9bc002442f8p-7, -0x1.fafd2d964765ep-7, -0x1.f75fa27e4fb92p-7, -0x1.f3c3107ae3551p-7, -0x1.f027741609e95p-7, -0x1.ec8cc91691db5p-7, -0x1.e8f30ca906436p-7, -0x1.e55a3c6c2f79dp-7, -0x1.e1c257c834648p-7, -0x1.de2b59b5af97dp-7, -0x1.da9550734d6dep-7, -0x1.d70027638229p-7, -0x1.d36bf8f8f2b19p-7, -0x1.cfd8bd2f30ba3p-7, -0x1.cc46798598026p-7, -0x1.c8b53648bbd28p-7, -0x1.c524fa098b1c5p-7, -0x1.c195cd2c6e20ap-7, -0x1.be07b52459953p-7, -0x1.ba7aba6e9d234p-7, -0x1.b6eee6527284bp-7, -0x1.b3644b38e3fd8p-7, -0x1.afdadf42a0cd1p-7, -0x1.ac52c3389f5f3p-7, -0x1.a8cbf24d52ae3p-7, -0x1.a5468b7f2c73ep-7, -0x1.a1c29326d8ebdp-7, -0x1.9e400d53716b7p-7, -0x1.9abf1671eb448p-7, -0x1.973fb0ffe3363p-7, -0x1.93c1f797fb678p-7, -0x1.9045f2fd31fb9p-7, -0x1.8ccba5d4e46bep-7, -0x1.8953339e63676p-7, -0x1.85dca6c502b49p-7, -0x1.8268082bb14fdp-7, -0x1.7ef570be2e25ap-7, -0x1.7b84eba713c7dp-7, -0x1.78168eda5c852p-7, -0x1.74aa63cc0387dp-7, -0x1.714084e3fc5ffp-7, -0x1.6dd8eec5bd416p-7, -0x1.6a73cc89449c1p-7, -0x1.671122b11ea51p-7, -0x1.63b0ff05e9be8p-7, -0x1.605378b4e7792p-7, -0x1.5cf8a1f8d8003p-7, -0x1.59a08cdcd026p-7, -0x1.564b4aab576eap-7, -0x1.52f8e99bab6eep-7, -0x1.4fa97be672b41p-7, -0x1.4c5d10422e252p-7, -0x1.4913b627de2d3p-7, -0x1.45cd84390e2eap-7, -0x1.428a85e3abb9dp-7, -0x1.3f4ad5e991985p-7, -0x1.3c0e734b5de0cp-7, -0x1.38d585bbe282bp-7, -0x1.35a0139a935bep-7, -0x1.326e222aa1945p-7, -0x1.2f3fc676f75e8p-7, -0x1.2c1512f56627dp-7, -0x1.28ee1f07d3ae4p-7, -0x1.25cae6bb774b9p-7, -0x1.22ab8529bfb0ap-7, -0x1.1f9006e9430d5p-7, -0x1.1c78845eba555p-7, -0x1.1964f9939845p-7, -0x1.16557fa870842p-7, -0x1.134a1e45dc29dp-7, -0x1.1042eb8b39157p-7, -0x1.0d3fedae24515p-7, -0x1.0a4136b5b049cp-7, -0x1.0746cd7244152p-7, -0x1.0450bef64b91ep-7, -0x1.015f1892009bfp-7, -0x1.fce3cea1c1dd7p-8, -0x1.f712774792996p-8, -0x1.f14a202c63dafp-8, -0x1.eb8aecbf26978p-8, -0x1.e5d4f8db233a2p-8, -0x1.e0288555aca3p-8, -0x1.da855054e1b1ap-8, -0x1.d4eb8be0b912p-8, -0x1.cf5b6043d994dp-8, -0x1.c9d4c786d428bp-8, -0x1.c457dde0bd014p-8, -0x1.bee4a4bfcc1d9p-8, -0x1.b97b48f2ef8dcp-8, -0x1.b41bba8260462p-8, -0x1.aec61b74e3599p-8, -0x1.a97a7e2cc62b1p-8, -0x1.a438dab3127eep-8, -0x1.9f0151a05ddaap-8, -0x1.99d3ddf2340d7p-8, -0x1.94b087965e227p-8, -0x1.8f976a95d96efp-8, -0x1.8a888c28e93e5p-8, -0x1.8583e3e03fe53p-8, -0x1.808988118f80cp-8, -0x1.7b9984e78dc22p-8, -0x1.76b3db76d9d33p-8, -0x1.71d8a0bf7b706p-8, -0x1.6d07b6a3997c6p-8, -0x1.684148d1a9b0fp-8, -0x1.63853c0826813p-8, -0x1.5ed3aae09582p-8, -0x1.5a2c9acc39a86p-8, -0x1.558fe98a1c892p-8, -0x1.50fdc7f2eac19p-8, -0x1.4c762c4f93cd9p-8, -0x1.47f9053f9deb7p-8, -0x1.438663698c27dp-8, -0x1.3f1e44a5a5bebp-8, -0x1.3ac0a7a729f2p-8, -0x1.366d8df0a0b8dp-8, -0x1.3224ea235674fp-8, -0x1.2de6be1781559p-8, -0x1.29b31405eb6ap-8, -0x1.2589dc7ab1b3p-8, -0x1.216b17a0e0377p-8, -0x1.1d56badfdb7cfp-8, -0x1.194ccae5bdc9fp-8, -0x1.154d41aec6f8p-8, -0x1.11581cd44167cp-8, -0x1.0d6d431ab8a57p-8, -0x1.098cc5dac12d3p-8, -0x1.05b6a848e6243p-8, -0x1.01eab365ac3a9p-8, -0x1.fc5206bd712b5p-9, -0x1.f4e3041a3cf41p-9, -0x1.ed8882e42d7b1p-9, -0x1.e64244e24b81bp-9, -0x1.df10358660bd8p-9, -0x1.d7f237313e8c3p-9, -0x1.d0e85b46a923fp-9, -0x1.c9f23c878a54dp-9, -0x1.c31030562556cp-9, -0x1.bc4226527b3adp-9, -0x1.b587888c89ee3p-9, -0x1.aee09f795fbbbp-9, -0x1.a84d5c91f46bp-9, -0x1.a1cd71d34a6e3p-9, -0x1.9b60e4e128d07p-9, -0x1.9507953d36e29p-9, -0x1.8ec16aaf8ffdp-9, -0x1.888e4af09b3e5p-9, -0x1.826e1a1806808p-9, -0x1.7c60b21a57db5p-9, -0x1.76660e40ac0c6p-9, -0x1.707e0a4ec7a4dp-9, -0x1.6aa86d3ed7954p-9, -0x1.64e55d8c6ac4bp-9, -0x1.5f3433b42bff2p-9, -0x1.599556372d265p-9, -0x1.5408a72505e96p-9, -0x1.4e8dadb93b9dap-9, -0x1.49248581ce5ep-9, -0x1.43cd072daf03dp-9, -0x1.3e8711894d4b7p-9, -0x1.395280ce8940ep-9, -0x1.342f39232b80cp-9, -0x1.2f1cf3902a8b1p-9, -0x1.2a1bbf66db2cep-9, -0x1.252b8a7adfc46p-9, -0x1.204be1cb6928ap-9, -0x1.1b7cf5f9de7fcp-9, -0x1.16be90bb02ab2p-9, -0x1.121045ef5ed7ap-9, -0x1.0d7257419a3c2p-9, -0x1.08e49bd604f2bp-9, -0x1.0466a2702d61fp-9, -0x1.fff0fd82fb6d8p-10, -0x1.f73405a6c7856p-10, -0x1.ee961feb4a29fp-10, -0x1.e616f42caa53bp-10, -0x1.ddb6479aa5a59p-10, -0x1.d573e73aac87fp-10, -0x1.cd4f552eb7bd9p-10, -0x1.c5485c9d963f7p-10, -0x1.bd5eed88093aap-10, -0x1.b59258fc43d4fp-10, -0x1.ade29ab1fa1cbp-10, -0x1.a64f7fd173db7p-10, -0x1.9ed89a2fd2955p-10, -0x1.977d54798d7bcp-10, -0x1.903e6b0c27289p-10, -0x1.891a5d274082ap-10, -0x1.8211b2bdf5a83p-10, -0x1.7b240208ee816p-10, -0x1.7450a58357cf1p-10, -0x1.6d976f16efd75p-10, -0x1.66f867fcf31f3p-10, -0x1.607290f9fe193p-10, -0x1.5a06927b5b589p-10, -0x1.53b3dfe00182p-10, -0x1.4d79e6e8e8bep-10, -0x1.47585ea37911dp-10, -0x1.414f3b86b5439p-10, -0x1.3b5e3cc2dea72p-10, -0x1.35851321b8e0cp-10, -0x1.2fc370552e35p-10, -0x1.2a19266c93facp-10, -0x1.24853a12cfe86p-10, -0x1.1f084502c2784p-10, -0x1.19a1f8375e3eep-10, -0x1.14516fd6e1b5bp-10, -0x1.0f16e3b966af8p-10, -0x1.09f20ea121d52p-10, -0x1.04e28e0d91e5cp-10, -0x1.ffcffccf1f4c1p-11, -0x1.f605c609fe112p-11, -0x1.ec625c58663fcp-11, -0x1.e2e9a825a077cp-11, -0x1.d997979005f6bp-11, -0x1.d06da2f0516dp-11, -0x1.c76b4c9cdd4ebp-11, -0x1.be8ef9f3ef89ep-11, -0x1.b5d8fab093ba5p-11, -0x1.ad485cdaa8f1cp-11, -0x1.a4dcbac552c3bp-11, -0x1.9c9596cf557dp-11, -0x1.9472970294ae9p-11, -0x1.8c731bb7a21b8p-11, -0x1.8496bab26f70bp-11, -0x1.7cdd11eb87cb9p-11, -0x1.7545a79c144ddp-11, -0x1.6dcffa0679e91p-11, -0x1.667b8a4d22b58p-11, -0x1.5f47e5b251837p-11, -0x1.583478d483b86p-11, -0x1.5140c67ffb5bcp-11, -0x1.4a6d1ebaf999bp-11, -0x1.43b83c0732e02p-11, -0x1.3d21c14e98319p-11, -0x1.36a932c74e3bp-11, -0x1.304e40f77c2b1p-11, -0x1.2a10897621c9bp-11, -0x1.23eebae3007d6p-11, -0x1.1de9eccc269f3p-11, -0x1.1801cf9091009p-11, -0x1.123400198a67ap-11, -0x1.0c81c67fd97f3p-11, -0x1.06ea56f16cfb6p-11, -0x1.016d12e7f0136p-11, -0x1.f8148236f3e62p-12, -0x1.ed81897e4a948p-12, -0x1.e3204adf55a9fp-12, -0x1.d8f1e8d950e93p-12, -0x1.cef084e61519ap-12, -0x1.c5233e77fd9adp-12, -0x1.bb830dbbff6c7p-12, -0x1.b21129540f808p-12, -0x1.a8cd2aa91676bp-12, -0x1.9fb612cc68477p-12, -0x1.96cb3859c2d0bp-12, -0x1.8e0bf2e7d5fc6p-12, -0x1.85778ce9f2c23p-12, -0x1.7d0d341683ebp-12, -0x1.74cbe4ab9f628p-12, -0x1.6cb3861627a6ep-12, -0x1.64c3ce75e98c1p-12, -0x1.5cfc61e77e206p-12, -0x1.555c1258b10f7p-12, -0x1.4ddf440f8f8d5p-12, -0x1.468a03ab311cp-12, -0x1.3f5999c971e0dp-12, -0x1.384cbf1564307p-12, -0x1.3163ca250dcbep-12, -0x1.2a9de99f6d8f5p-12, -0x1.23fa60e252605p-12, -0x1.1d78aa5429bc8p-12, -0x1.17181823b7552p-12, -0x1.10d82edc8eac1p-12, -0x1.0ab88c953a2ecp-12, -0x1.04b89a0ba1d68p-12, -0x1.fdb01dc992e91p-13, -0x1.f229f59cd9483p-13, -0x1.e6e24bad37a62p-13, -0x1.dbd60a230fb5fp-13, -0x1.d0ff82f4fc48cp-13, -0x1.c664f27811351p-13, -0x1.bc057e2aa696fp-13, -0x1.b1d5ebdb7c008p-13, -0x1.a7e070d9a8508p-13, -0x1.9e212fad698bfp-13, -0x1.948faedcf6c42p-13, -0x1.8b34e8fa2b573p-13, -0x1.820d2104682c9p-13, -0x1.791561fb2394fp-13, -0x1.704df6adbd6cdp-13, -0x1.67b4f489212fep-13, -0x1.5f4a8f8f67bbdp-13, -0x1.570e52c436943p-13, -0x1.4efeb6b73a7bdp-13, -0x1.471b6a0e9df79p-13, -0x1.3f62d0a058764p-13, -0x1.37d425ce333ap-13, -0x1.307187ed7a2c2p-13, -0x1.2933a626d36b3p-13, -0x1.222178ac179c9p-13, -0x1.1b35f71a5043fp-13, -0x1.146a42aa7ba1cp-13, -0x1.0dcb039931478p-13, -0x1.074ee815225e7p-13, -0x1.00f6e38f3365ep-13, -0x1.f584d19fed463p-14, -0x1.e961b5865d4edp-14, -0x1.dd82f62f848cap-14, -0x1.d1e712ca56f06p-14, -0x1.c68d134e46b8cp-14, -0x1.bb7483da53fd5p-14, -0x1.b096ded282bfbp-14, -0x1.a5fc4704d2c67p-14, -0x1.9b9b057a177e2p-14, -0x1.9175a7d18fd3cp-14, -0x1.878b2505aae8dp-14, -0x1.7dda3d3c991f5p-14, -0x1.7462acc4d58b5p-14, -0x1.6b1c3ccb8e29dp-14, -0x1.620ea120ff63bp-14, -0x1.593afc7a3eaebp-14, -0x1.5094295bdba68p-14, -0x1.48214d9ae8a9ep-14, -0x1.3fdf0c9c64946p-14, -0x1.37cdcdb11c7bcp-14, -0x1.2fecf8d4e86bcp-14, -0x1.283c2cca43bddp-14, -0x1.20b216db76d9ap-14, -0x1.195adcea3a549p-14, -0x1.122f3f109c4cfp-14, -0x1.0b2f73997d3ddp-14, -0x1.0454f5b195d38p-14, -0x1.fb499db49be7p-15, -0x1.ee3a0f554ed33p-15, -0x1.e17979fc59831p-15, -0x1.d50672a6aaa95p-15, -0x1.c8df26ac0aed5p-15, -0x1.bcfb025c11ae7p-15, -0x1.b1637791a2ee8p-15, -0x1.a616ddaffad13p-15, -0x1.9b089be19e3aap-15, -0x1.903f8466b9fd6p-15, -0x1.85b8e1d2f253cp-15, -0x1.7b7314619b3f7p-15, -0x1.716c988282566p-15, -0x1.67a4116f3c7bep-15, -0x1.5e18a44e3a921p-15, -0x1.54c998f160da2p-15, -0x1.4ba956adf6647p-15, -0x1.42d25ebaaec0fp-15, -0x1.3a2969e05f8c2p-15, -0x1.31b5e105e1c27p-15, -0x1.297a3e7bef14dp-15, -0x1.2172ee6a853a2p-15, -0x1.199d144ce0e9ep-15, -0x1.11f8756a0cee2p-15, -0x1.0a848c9a8c576p-15, -0x1.033f849df0d02p-15, -0x1.f84df0c86cd9fp-16, -0x1.ea818650dd399p-16, -0x1.dcfc042764c88p-16, -0x1.cfd07e87fe078p-16, -0x1.c311ba6fd7859p-16, -0x1.b68505f0cb11bp-16, -0x1.aa5c262b36317p-16, -0x1.9e8464be79122p-16, -0x1.92f4695fb141ep-16, -0x1.87ab8cf21b8fdp-16, -0x1.7cade6921a12cp-16, -0x1.71f88d1785fabp-16, -0x1.6786369ae5626p-16, -0x1.5d63a0af5fd1cp-16, -0x1.5376080479fd7p-16, -0x1.49d6e6b50af36p-16, -0x1.405994c41c404p-16, -0x1.373e1592adce5p-16, -0x1.2e5900e04c4eap-16, -0x1.25a1bd743de3p-16, -0x1.1d2b62545144dp-16, -0x1.14eea3fab9bf4p-16, -0x1.0ce86b1d006b8p-16, -0x1.0516d534c5717p-16, -0x1.faf2f3617c1bcp-17, -0x1.ec3199001703fp-17, -0x1.ddba748a7be0ep-17, -0x1.cfb5e3aa7e669p-17, -0x1.c20e4aeaa16b2p-17, -0x1.b4a3e25e029fdp-17, -0x1.a7b7c41dd612cp-17, -0x1.9b35674668f4cp-17, -0x1.8f068f53eae19p-17, -0x1.830806d43a71fp-17, -0x1.77513f4644ea2p-17, -0x1.6c1e67171e5f5p-17, -0x1.61229b8c69818p-17, -0x1.566ddae877df9p-17, -0x1.4c11a0fd88931p-17, -0x1.41edeb7b3461cp-17, -0x1.3813ee462c393p-17, -0x1.2e8b898696c56p-17, -0x1.2541cc712ea37p-17, -0x1.1c331b7ca88ffp-17, -0x1.1359160831854p-17, -0x1.0ae6d299e3104p-17, -0x1.027a10235c9c8p-17, -0x1.f4e57d65fb7dep-18, -0x1.e5450e83e0d3fp-18, -0x1.d6075bf54810ep-18, -0x1.c74358750ce9ap-18, -0x1.b8efa388ef9edp-18, -0x1.aad8da0d4b85fp-18, -0x1.9d39de4dacb28p-18, -0x1.9017c834157dap-18, -0x1.833b42e274c79p-18, -0x1.76c982b36e928p-18, -0x1.6ab2bd29da5b5p-18, -0x1.5ef7c7621c79dp-18, -0x1.5393e48453d23p-18, -0x1.487f16312951dp-18, -0x1.3dbde9ba6cf9ap-18, -0x1.33502aeb7d7e8p-18, -0x1.293509aea9afp-18, -0x1.1f70c710acb13p-18, -0x1.160fe22b894acp-18, -0x1.0caecfbaa9721p-18, -0x1.03bff1da996d6p-18, -0x1.f562b5c29a2f5p-19, -0x1.e53520d088d63p-19, -0x1.d49a6ab0f046ap-19, -0x1.c4c1db902f411p-19, -0x1.b5757f8994497p-19, -0x1.a6970e6933edep-19, -0x1.98533a8578e4bp-19, -0x1.8a4445ab01ab6p-19, -0x1.7c9a86d1bc55bp-19, -0x1.6f5891c22a12ep-19, -0x1.62bf179e917aap-19, -0x1.565e5afc572f6p-19, -0x1.4a64500fabd8ep-19, -0x1.3e4982ddf2d75p-19, -0x1.33b50cf2f4766p-19, -0x1.28db026eff644p-19, -0x1.1e43d09f7eadep-19, -0x1.140338c9efb2bp-19, -0x1.0a41ed3e8f409p-19, -0x1.00bb551166d27p-19, -0x1.ef552e906dd1p-20, -0x1.dcb7a13fd43e2p-20, -0x1.cc45f53b2454p-20, -0x1.bc336ddbc61dfp-20, -0x1.ab57bc20dbe31p-20, -0x1.9c6547728a1f6p-20, -0x1.8ccd038b94821p-20, -0x1.7dfafaf951f83p-20, -0x1.70034ea8b8a89p-20, -0x1.62aa5e40ef274p-20, -0x1.5571a6401adbdp-20, -0x1.489fcf42b7ee1p-20, -0x1.3ccbc8b1049f6p-20, -0x1.30fb75deb8debp-20, -0x1.260aaf6383a9p-20, -0x1.1a9b6fb10dc87p-20, -0x1.0feccfc5bfe31p-20, -0x1.05db06c4a0cdp-20, -0x1.f813900cd5fcfp-21, -0x1.e51b49083a6bcp-21, -0x1.d2f3867ca0b6ap-21, -0x1.c16fcf496b53cp-21, -0x1.b196d38978a5fp-21, -0x1.a1611b04c976fp-21, -0x1.911cf4a019defp-21, -0x1.811fde065fb9dp-21, -0x1.73e569b92ac67p-21, -0x1.65f997f44d21fp-21, -0x1.58f57587a9642p-21, -0x1.4a4bfd61d44d4p-21, -0x1.3eaeaa713c54cp-21, -0x1.330cffce8da41p-21, -0x1.272caa91884a6p-21, -0x1.1c332e417cfaep-21, -0x1.122c4592aa241p-21, -0x1.085f7628f3e69p-21, -0x1.fd83e58144d35p-22, -0x1.eafa8f873a2abp-22, -0x1.d91991da7e879p-22, -0x1.c860e52ad1a91p-22, -0x1.b855230771e1p-22, -0x1.a9639b30db883p-22, -0x1.9a3bca5a26a49p-22, -0x1.8ad61b1a89814p-22, -0x1.7fcdbe972c72dp-22, -0x1.73001feb65a52p-22, -0x1.651ea68dc654fp-22, -0x1.5aed40f5b5d69p-22, -0x1.540d96428122cp-22, -0x1.45ef0d9640fb4p-22, -0x1.3dd17df4f51d7p-22, -0x1.32cd5fd5d9d72p-22, -0x1.2cef6c0b4bc4bp-22, -0x1.21a80a9bbd5acp-22, -0x1.189e64e93227dp-22, -0x1.10dcd94cdb8ecp-22, -0x1.0ab69a043cf8fp-22, -0x1.04fdd1129b9f4p-22, -0x1.f73907a6a9996p-23, -0x1.ec84690ea2169p-23, -0x1.e4eb765374079p-23, -0x1.d9b6d4469a10fp-23, -0x1.d0e7ca9148e9ap-23, -0x1.c8236dbf6c5fap-23, -0x1.bf7468e66f9e3p-23, -0x1.b7ba6371cd42fp-23, -0x1.b08558e7aa135p-23, -0x1.aa69fda25f0e7p-23, -0x1.a421546aca648p-23, -0x1.9cd2d36a32c26p-23, -0x1.9a26f0e0a5cffp-23, -0x1.94a17abb75cd8p-23, -0x1.90c05b0e3b8b9p-23, -0x1.8d785caca2927p-23, -0x1.8a2ddc3dc09b2p-23, -0x1.87a00ea80ea3p-23, -0x1.85370478a62aep-23, -0x1.831fc198497cbp-23, -0x1.816f553b77304p-23, -0x1.805c43af340cbp-23, -0x1.81ff1d1123c4cp-23, -0x1.7b24efc1c4394p-23, -0x1.80e56f061df06p-23, -0x1.80f8072deca35p-23, -0x1.81b8532775697p-23, -0x1.7de5bc2e62222p-23, -0x1.7f9051bc2eae2p-23, -0x1.8175d876bd6edp-23, -0x1.81d4146afd007p-23, -0x1.836b3256cba28p-23, -0x1.860be58f4cd5dp-23, -0x1.88f6a72f4d99p-23, -0x1.88bf973718ea4p-23, -0x1.8aebc5e3c92efp-23, -0x1.8f445d4113802p-23, -0x1.8dd663408d264p-23, -0x1.8f631e33eb402p-23, -0x1.962d7bda250edp-23, -0x1.9c7f2ca0aa4fep-23, -0x1.982d835e0f72bp-23, -0x1.a1b8a9f552d56p-23, -0x1.a2e025c93bd6ep-23, -0x1.a4e1a6f464129p-23, -0x1.a91bb2d2c7e99p-23, -0x1.afd7eeb8403dap-23, -0x1.aed48ecaf3955p-23, -0x1.b355dd29a3526p-23, -0x1.b2e717ac5b9fap-23, -0x1.bfaa1b71bf198p-23, -0x1.be90d055e31c5p-23, -0x1.c1a604be41301p-23, -0x1.c534c6eb87e28p-23, -0x1.caa4db6d59b22p-23, -0x1.cb6f7b7c3eb2bp-23, -0x1.d2723448dfcebp-23, -0x1.d69b3de71bba2p-23, -0x1.d74ab64fe98ffp-23, -0x1.dca1fc3ec8328p-23, -0x1.dfe7b4107d123p-23, -0x1.e3561169ab274p-23, -0x1.e765c1184e055p-23, -0x1.eb66eb08dee15p-23, -0x1.ef6feb155cf73p-23, -0x1.f3a2320158ea5p-23, -0x1.f7bc06e70a8p-23, -0x1.fb607ccf14a76p-23, -0x1.fecd18e2bd2a7p-23, -0x1.01210729f8544p-22, -0x1.02d470034f834p-22, -0x1.050b5b7f82e94p-22, -0x1.0756a20827813p-22, -0x1.08a0948aacac1p-22, -0x1.0adeab46c27b5p-22, -0x1.0c7361d6575b5p-22, -0x1.0cf479aa5b55cp-22, -0x1.11931f342f4bfp-22, -0x1.115c42fbb80f8p-22, -0x1.12f9ca03c0571p-22, -0x1.14a1ec7086501p-22, -0x1.162f30d9ae671p-22, -0x1.1737cb5ea457ap-22, -0x1.19402dff15a21p-22, -0x1.1ae5c082678f7p-22, -0x1.1db658aa0a165p-22, -0x1.1d0e635eae6f1p-22, -0x1.1f0b1c7e5933bp-22, -0x1.212a8dae6555fp-22, -0x1.20598eb121843p-22, -0x1.226fea899c4dcp-22, -0x1.24adc656eb03ep-22, -0x1.25b96974cb70dp-22, -0x1.27095cc04f4c8p-22, -0x1.279c2e7cac9b1p-22, -0x1.297dd16bf2facp-22, -0x1.2ad3ba93d7b5fp-22, -0x1.2c1df1b65a8cdp-22, -0x1.2b9c64eb88625p-22, -0x1.2d7664bde2169p-22, -0x1.2dc962fb75636p-22, -0x1.2fadd660956f6p-22, -0x1.32740c0a9d222p-22, -0x1.3202040d6f894p-22, -0x1.327b6557fbc65p-22, -0x1.32d60ea7cf9b8p-22, -0x1.344616a3c410ap-22, -0x1.3445d097f203ep-22, -0x1.34daea04a80b3p-22, -0x1.35fc8b1bd68d5p-22, -0x1.3723aef6304dep-22, -0x1.36d732c3cee94p-22, -0x1.378a7f0a71343p-22, -0x1.37f50ec62d8a1p-22, -0x1.388d2aaf188a4p-22, -0x1.38c2adbed009p-22, -0x1.38838455c87ap-22, -0x1.3a850defc32acp-22, -0x1.39d29d9a2017p-22, -0x1.39747a910acb1p-22, -0x1.3b173a39ccffcp-22, -0x1.3b5727f1518fep-22, -0x1.3a0dc2da3c6bfp-22, -0x1.3aa34f5d93af9p-22, -0x1.3ab85e33214f5p-22, -0x1.3b11f3e595353p-22, -0x1.3ad9d37f80d97p-22, -0x1.3b7dec5a48f6ap-22, -0x1.3994515367101p-22, -0x1.39af605b5bfdp-22, -0x1.3af14f4b6f02fp-22, -0x1.3a4303cd8ae0ep-22, -0x1.3a6f20b1095a2p-22, -0x1.39ffb08f7801cp-22, -0x1.39e388edfd76ep-22, -0x1.39478f356ab2bp-22, -0x1.38899c5525e36p-22, -0x1.3a42cb409ba5fp-22, -0x1.37adf539cbebfp-22, -0x1.38b8da5061849p-22, -0x1.374d421e7fb7cp-22, -0x1.36fa0320819fcp-22, -0x1.36b1d5881b189p-22, -0x1.35ddb723bd4b6p-22, -0x1.356f459cba61ap-22, -0x1.3503a0b38c679p-22, -0x1.34749f7ce3f1bp-22, -0x1.33ca177bd924cp-22, -0x1.328fb35ea77p-22, -0x1.31b94b07b77a5p-22, -0x1.309a1d34e1ad3p-22, -0x1.301cf66381bc7p-22, -0x1.2fdf371196f06p-22, -0x1.2f0e2735e2d46p-22, -0x1.2e29d816e2c2cp-22, -0x1.2cda8c04f4722p-22, -0x1.2c0940163e01bp-22, -0x1.2b1f21188e675p-22, -0x1.2ab2326b83e06p-22, -0x1.298363363fe5p-22, -0x1.28bef57c8c93fp-22, -0x1.26f4e4b4ac2f5p-22, -0x1.265345567e054p-22, -0x1.25056a857f7f2p-22, -0x1.23e7919454bb9p-22, -0x1.227a25116e5dfp-22, -0x1.2144cb99a365bp-22, -0x1.2019b66a70a39p-22, -0x1.1edca49206828p-22, -0x1.1d8da047f4278p-22, -0x1.1c3fcf1bd10c7p-22, -0x1.1b336d1ca0dd1p-22, -0x1.19aa1cf690aadp-22, -0x1.175afc071a2e3p-22, -0x1.17ca0d7b87e36p-22, }}, 
      {{0x1.f104a015426f6p-10, 0x1.c3d2167504ae2p-9, 0x1.2c405564baf44p-8, 0x1.683cc96c22cfbp-8, 0x1.acb6b1442f603p-8, 0x1.09486edbfc35dp-7, 0x1.579134664e4ap-7, 0x1.c88cd81b8a389p-7, 0x1.2fd6b1707c0e3p-6, 0x1.8e4ebe52a5d57p-6, 0x1.fde35cf06b1cfp-6, 0x1.3dc2a46bca8b5p-5, 0x1.81a21bde470ddp-5, 0x1.c8564e5f182b3p-5, 0x1.07c66648e5cf8p-4, 0x1.2a7e152b33175p-4, 0x1.4b3f11b10d0f3p-4, 0x1.691150fb2487bp-4, 0x1.831e2f90432abp-4, 0x1.98b3ffa9cfd34p-4, 0x1.a9474fc11f592p-4, 0x1.b4727fb27b833p-4, 0x1.b9f3edce2542bp-4, 0x1.b9ab34e6fc99p-4, 0x1.b395dae14b761p-4, 0x1.a7cb93b1a1f72p-4, 0x1.967a6f75d2c6ap-4, 0x1.7fe3129daf90ap-4, 0x1.645517a021a3ap-4, 0x1.442bb3b952a07p-4, 0x1.1fcaa72f591f9p-4, 0x1.ef370553ca42dp-5, 0x1.98168461c3577p-5, 0x1.3b1072bc9a85p-5, 0x1.b2014bdfd3b4dp-6, 0x1.cafccbf98a6bp-7, 0x1.23c0e1d70e7adp-10, -0x1.8c63da0f2744p-7, -0x1.a24ac60f2ef02p-6, -0x1.40516fc6b17bbp-5, -0x1.aff2a4768541ap-5, -0x1.0fb52ad10c18ep-4, -0x1.4712f1a0fb53ep-4, -0x1.7dcf6121dfa0ap-4, -0x1.b3ad2c2986c1ep-4, -0x1.e874d8e3218f5p-4, -0x1.0dfa4ee686d69p-3, -0x1.270014c4eeb3cp-3, -0x1.3f3830e5f2eb4p-3, -0x1.56918e226b061p-3, -0x1.6cfd6fb0f8bc7p-3, -0x1.826f4e675c277p-3, -0x1.96dcb8fa51bfcp-3, -0x1.aa3d2d840a418p-3, -0x1.bc89f5a59b0b3p-3, -0x1.cdbe05554b17cp-3, -0x1.ddd5dc43736e5p-3, -0x1.eccf68be4659cp-3, -0x1.faa9eb6bbe092p-3, -0x1.03b2eccb59d0fp-2, -0x1.09826066d3298p-2, -0x1.0ec4961b9d3cbp-2, -0x1.137b463b3ae6bp-2, -0x1.17a8907d2f85ep-2, -0x1.1b4ef19260d2cp-2, -0x1.1e7138f8ea3acp-2, -0x1.21127f4767ceep-2, -0x1.23361cff43aedp-2, -0x1.24dfa17d6e325p-2, -0x1.2612cb48f449ep-2, -0x1.26d37ff1c1ab4p-2, -0x1.2725c5c80a0c2p-2, -0x1.270dbce0fde22p-2, -0x1.268f9a01a156ap-2, -0x1.25afa0644078p-2, -0x1.24721d46ee68ap-2, -0x1.22db62ff98838p-2, -0x1.20efc47d50537p-2, -0x1.1eb39181d06e6p-2, -0x1.1c2b12bd84f28p-2, -0x1.195a865d2076ap-2, -0x1.16461d37f341dp-2, -0x1.12f1f82065df6p-2, -0x1.0f6225276f4bdp-2, -0x1.0b9a9dc7fa854p-2, -0x1.079f44e245cf8p-2, -0x1.0373e50f40521p-2, -0x1.fe385ebc01766p-3, -0x1.f5377413e557dp-3, -0x1.ebebfedeeb722p-3, -0x1.e25cbae82332bp-3, -0x1.d890295cc1ac7p-3, -0x1.ce8c8fe9c24aap-3, -0x1.c457f86ef85dap-3, -0x1.b9f83062573e6p-3, -0x1.af72c88d208b7p-3, -0x1.a4cd15546af3fp-3, -0x1.9a0c2f7dcc6a7p-3, -0x1.8f34f3e4aa136p-3, -0x1.844c04d00a713p-3, -0x1.7955cafa356aap-3, -0x1.6e5675f4b1cd2p-3, -0x1.6351fd8a5828dp-3, -0x1.584c23cb10c7fp-3, -0x1.4d48755e780bbp-3, -0x1.424a4a7a3ececp-3, -0x1.3754ca8c36c5cp-3, -0x1.2c6aeb8629f15p-3, -0x1.218f738aba91fp-3, -0x1.16c4fc6782be4p-3, -0x1.0c0df3139cb53p-3, -0x1.016c99c1a0d7ap-3, -0x1.edc614b108085p-4, -0x1.d8e66dee87f4cp-4, -0x1.c43dd847bfe8cp-4, -0x1.afcfa3a7b5788p-4, -0x1.9b9eda04cc55bp-4, -0x1.87ae451c8e571p-4, -0x1.74006bc856a45p-4, -0x1.6097991a15f0ep-4, -0x1.4d75e0156d7bbp-4, -0x1.3a9d190a7dbdfp-4, -0x1.280ee8611bb68p-4, -0x1.15ccc27ac3a71p-4, -0x1.03d7e81fd1981p-4, -0x1.e462db256fd0bp-5, -0x1.c1b47cb02d42dp-5, -0x1.9fa631b62500cp-5, -0x1.7e392bc465729p-5, -0x1.5d6e5683776ddp-5, -0x1.3d465312f9256p-5, -0x1.1dc17f7d843a5p-5, -0x1.fdc004217de2p-6, -0x1.c14387725afd5p-6, -0x1.860ce1c6d3edcp-6, -0x1.4c1b160e4560ap-6, -0x1.136cc758852d2p-6, -0x1.b8006452820f9p-7, -0x1.4ba687bf9c0dp-7, -0x1.c38eae2083e3ep-8, -0x1.e97630464d425p-9, -0x1.563508f2e753ap-11, 0x1.34b6516c10b22p-9, 0x1.5ab775006816ap-8, 0x1.0b2e38942d0e6p-7, 0x1.66ac806223664p-7, 0x1.bfde3ebb1710fp-7, 0x1.0b65b1345d99ap-6, 0x1.35be1a1161ae3p-6, 0x1.5efc96dcbfbfp-6, 0x1.872573420ed12p-6, 0x1.ae3d0d72e2b5ep-6, 0x1.d447e1923de56p-6, 0x1.f94a7832fc865p-6, 0x1.0ea4ab62c7dbdp-5, 0x1.2024873325d91p-5, 0x1.31271d2aa7d92p-5, 0x1.41aebfe35724dp-5, 0x1.51bdba0539c66p-5, 0x1.6156561857ea7p-5, 0x1.707adef573fcp-5, 0x1.7f2da0823eb74p-5, 0x1.8d70ddabf12cp-5, 0x1.9b46d39fdd078p-5, 0x1.a8b1bb4215e1fp-5, 0x1.b5b3ca8f7417cp-5, 0x1.c24f31976c048p-5, 0x1.ce8613fcb7041p-5, 0x1.da5a8f233f92cp-5, 0x1.e5ceba8c9ef98p-5, 0x1.f0e4a771bd2bbp-5, 0x1.fb9e5b3a8cbaep-5, 0x1.02fee911f0526p-4, 0x1.08027f21020acp-4, 0x1.0cdae5878a09ap-4, 0x1.11890da9b10fdp-4, 0x1.160de3bbc1b45p-4, 0x1.1a6a4d04a39cdp-4, 0x1.1e9f2b9e6f49ap-4, 0x1.22ad5d0f2482p-4, 0x1.2695b99263c24p-4, 0x1.2a59155b4eccfp-4, 0x1.2df83d76f3999p-4, 0x1.3173fb9783ed4p-4, 0x1.34cd13a45ca84p-4, 0x1.38044713e30f1p-4, 0x1.3b1a511881e37p-4, 0x1.3e0fe7d5b9047p-4, 0x1.40e5bc8e5adcap-4, 0x1.439c7d3a4397ep-4, 0x1.4634d2a38eb54p-4, 0x1.48af625e8e7d8p-4, 0x1.4b0cccf7b8b41p-4, 0x1.4d4dadcc2d1cfp-4, 0x1.4f729d30e2405p-4, 0x1.517c2f406c2ccp-4, 0x1.536af4f724543p-4, 0x1.553f7b5f3cd45p-4, 0x1.56fa4b17a4b2bp-4, 0x1.589be94407de4p-4, 0x1.5a24d82a0f083p-4, 0x1.5b95961c23d63p-4, 0x1.5cee9f1c8fa07p-4, 0x1.5e306bd9b43b3p-4, 0x1.5f5b7130ae5cep-4, 0x1.607021982ac6bp-4, 0x1.616eeca4e0506p-4, 0x1.62583ee8a3aaep-4, 0x1.632c83a8ccb9ap-4, 0x1.63ec2288e60fep-4, 0x1.64978098eb713p-4, 0x1.652f01968e2b1p-4, 0x1.65b305e4158d7p-4, 0x1.6623ec4aa1bc6p-4, 0x1.668211cfc2514p-4, 0x1.66cdd1d9a3c2dp-4, 0x1.67078504ccbcp-4, 0x1.672f828ae0671p-4, 0x1.67461fa78726cp-4, 0x1.674bb0b356467p-4, 0x1.674087956ebb3p-4, 0x1.6724f57eff597p-4, 0x1.66f94a3fb0228p-4, 0x1.66bdd3940c301p-4, 0x1.6672deab5fce4p-4, 0x1.6618b701afeabp-4, 0x1.65afa6cbbff0dp-4, 0x1.6537f7930416ap-4, 0x1.64b1f1b4cd1d6p-4, 0x1.641ddcd7e0c58p-4, 0x1.637bfeb12dddep-4, 0x1.62cc9d9eaf756p-4, 0x1.620ffd31c111p-4, 0x1.614661721c661p-4, 0x1.60700d57d86b4p-4, 0x1.5f8d430182445p-4, 0x1.5e9e4433b7a8ep-4, 0x1.5da35126d77bdp-4, 0x1.5c9caa70d008cp-4, 0x1.5b8a8f18d7a1fp-4, 0x1.5a6d3de59f78dp-4, 0x1.5944f518d7c5fp-4, 0x1.5811f2677c94bp-4, 0x1.56d47312a1b9fp-4, 0x1.558cb3785f86p-4, 0x1.543aef568c6d8p-4, 0x1.52df62b29a4e3p-4, 0x1.517a47defec57p-4, 0x1.500bd9fa1c6dap-4, 0x1.4e9452c71cc92p-4, 0x1.4d13ec1888055p-4, 0x1.4b8adeef98bcp-4, 0x1.49f9644b896b3p-4, 0x1.485fb3e33231dp-4, 0x1.46be05abb59e5p-4, 0x1.4514916c287e3p-4, 0x1.43638dc82710fp-4, 0x1.41ab317a2e60ap-4, 0x1.3febb28971a0dp-4, 0x1.3e2546a3ada21p-4, 0x1.3c582329ad0f3p-4, 0x1.3a847d09105b9p-4, 0x1.38aa887151585p-4, 0x1.36ca79994ffcfp-4, 0x1.34e48428e7929p-4, 0x1.32f8db53d8276p-4, 0x1.3107b1c45517bp-4, 0x1.2f11398241e27p-4, 0x1.2d15a4bafccep-4, 0x1.2b1524b61483ep-4, 0x1.290fea9416004p-4, 0x1.270626ed3d82p-4, 0x1.24f809e9a2109p-4, 0x1.22e5c30bde142p-4, 0x1.20cf8180384cbp-4, 0x1.1eb573d048caep-4, 0x1.1c97c88a71453p-4, 0x1.1a76ad16ef9c6p-4, 0x1.18524ed1f1627p-4, 0x1.162adae11e858p-4, 0x1.14007d7cbbf9ep-4, 0x1.11d3625aaf82ep-4, 0x1.0fa3b48d5c0aep-4, 0x1.0d719f40d3368p-4, 0x1.0b3d4c888e406p-4, 0x1.0906e62dc3374p-4, 0x1.06ce9555fec9ep-4, 0x1.049482fac7921p-4, 0x1.0258d74ad6a18p-4, 0x1.001bba0044fcfp-4, 0x1.fbbaa426a7f29p-5, 0x1.f73b8c0aecfc7p-5, 0x1.f2ba77ce554b3p-5, 0x1.ee37b283df7c1p-5, 0x1.e9b38623fc07bp-5, 0x1.e52e3b639c897p-5, 0x1.e0a819d4265bp-5, 0x1.dc216830ba667p-5, 0x1.d79a6b9a973b7p-5, 0x1.d313686396e64p-5, 0x1.ce8ca18e9ccd1p-5, 0x1.ca0658e600f6cp-5, 0x1.c580cf2a5dba3p-5, 0x1.c0fc44774e3d6p-5, 0x1.bc78f6a89e42bp-5, 0x1.b7f723c5c39fap-5, 0x1.b377079dd76ap-5, 0x1.aef8dd5a34d3fp-5, 0x1.aa7cde89ac2cap-5, 0x1.a60343c0bd2b8p-5, 0x1.a18c444fde0a5p-5, 0x1.9d181703c9249p-5, 0x1.98a6f0bcfb4d5p-5, 0x1.9439055547c93p-5, 0x1.8fce87e5a293bp-5, 0x1.8b67aa3583ba9p-5, 0x1.87049c9899b2ap-5, 0x1.82a58e465136fp-5, 0x1.7e4aad89e163cp-5, 0x1.79f42773e4c94p-5, 0x1.75a227e238c85p-5, 0x1.7154d97410459p-5, 0x1.6d0c655219cap-5, 0x1.68c8f50d6395bp-5, 0x1.648aaf0b6d784p-5, 0x1.6051ba673816ep-5, 0x1.5c1e3b8edd1a5p-5, 0x1.57f0567f558fbp-5, 0x1.53c82f057898dp-5, 0x1.4fa5e5bff8618p-5, 0x1.4b899ba7ebd85p-5, 0x1.47737102d4433p-5, 0x1.436383c9b2975p-5, 0x1.3f59f1ba16e64p-5, 0x1.3b56d77231329p-5, 0x1.375a5040fcec3p-5, 0x1.336476b1b5d17p-5, 0x1.2f75641abb32p-5, 0x1.2b8d309170ac2p-5, 0x1.27abf3c2a614p-5, 0x1.23d1c3af3fa4dp-5, 0x1.1ffeb6052492ap-5, 0x1.1c32df08b5b05p-5, 0x1.186e5256b76b2p-5, 0x1.14b12256efa0ap-5, 0x1.10fb61353392ap-5, 0x1.0d4d1f1a68fcp-5, 0x1.09a66b8654683p-5, 0x1.060756a08f6e1p-5, 0x1.026fed6ec6ec7p-5, 0x1.fdc07aa5a2af6p-6, 0x1.f6b0a4189f57cp-6, 0x1.efb06e72dd555p-6, 0x1.e8bfee9ade5f7p-6, 0x1.e1df38197a35bp-6, 0x1.db0e5c5937482p-6, 0x1.d44d6df7f406p-6, 0x1.cd9c7959ad00ap-6, 0x1.c6fb8c28da8f1p-6, 0x1.c06ab619a1a66p-6, 0x1.b9e9ff56c3636p-6, 0x1.b37970934b1ddp-6, 0x1.ad19132e62457p-6, 0x1.a6c8ebdfa727p-6, 0x1.a088fe86b630ap-6, 0x1.9a594da958e59p-6, 0x1.9439da8498789p-6, 0x1.8e2aa4bf6d2e2p-6, 0x1.882baafeca436p-6, 0x1.823cebecbf1cdp-6, 0x1.7c5e65c0d5647p-6, 0x1.76901684cf8ep-6, 0x1.70d1f99373ac4p-6, 0x1.6b240e39b65c7p-6, 0x1.65864c8e0458p-6, 0x1.5ff8ad6b637a7p-6, 0x1.5a7b29413a25cp-6, 0x1.550db2b732314p-6, 0x1.4fb03b59cb178p-6, 0x1.4a62b2535a9ap-6, 0x1.4525058061bf8p-6, 0x1.3ff722551dfd6p-6, 0x1.3ad8f8b3457a9p-6, 0x1.35ca772655fcp-6, 0x1.30cb9231b1b7ep-6, 0x1.2bdc3ed0274bfp-6, 0x1.26fc73891219dp-6, 0x1.222c265b85649p-6, 0x1.1d6b4d6a31688p-6, 0x1.18b9d635803cdp-6, 0x1.1417ab3fe0513p-6, 0x1.0f84b25876cb8p-6, 0x1.0b00c8049e8d6p-6, 0x1.068bc68c9ee5ep-6, 0x1.022586bc923ep-6, 0x1.fb9bc7aa47cffp-7, 0x1.f3097bd825db8p-7, 0x1.ea93f9da91c6dp-7, 0x1.e23b24a04971ep-7, 0x1.d9feeeba6ddf7p-7, 0x1.d1df515e3d58fp-7, 0x1.c9dc4d5d59e34p-7, 0x1.c1f5d5235c5b5p-7, 0x1.ba2bcab384517p-7, 0x1.b27df704dd459p-7, 0x1.aaec05fdd2707p-7, 0x1.a3758a919075ap-7, 0x1.9c1a0800dff79p-7, 0x1.94d8f679752eep-7, 0x1.8db1dc1014c15p-7, 0x1.86a4559afbe75p-7, 0x1.7fb01de0b7654p-7, 0x1.78d51596d75cbp-7, 0x1.721342fb11e81p-7, 0x1.6b6abfaee2f38p-7, 0x1.64dbb3d0acd8fp-7, 0x1.5e663e67249b1p-7, 0x1.580a63c85723ep-7, 0x1.51c7ff1c361a8p-7, 0x1.4b9ebdc7603bfp-7, 0x1.458e1fbb4b468p-7, 0x1.3f958164ef3e7p-7, 0x1.39b42c2cccba8p-7, 0x1.33e970f49338dp-7, 0x1.2e34ad71c66b5p-7, 0x1.28956d5cdf4bp-7, 0x1.230b7521a62a5p-7, 0x1.1d96b50f6fae4p-7, 0x1.18374fd995c9cp-7, 0x1.12ed868a872b1p-7, 0x1.0db9a28121c45p-7, 0x1.089bda6e7dfb9p-7, 0x1.039447e4452c3p-7, 0x1.fd45944858facp-8, 0x1.f38e1818bdbc2p-8, 0x1.ea010f6382c59p-8, 0x1.e09d15a559d32p-8, 0x1.d760b34cbe59p-8, 0x1.ce4a67cf68afcp-8, 0x1.c558ea4e78353p-8, 0x1.bc8b3f1254607p-8, 0x1.b3e0cb1c713cbp-8, 0x1.ab5957c52f044p-8, 0x1.a2f50484992a7p-8, 0x1.9ab42b57a5b54p-8, 0x1.92973c6e97f67p-8, 0x1.8a9e978ef4558p-8, 0x1.82ca6a00550bcp-8, 0x1.7b1a97b1e2307p-8, 0x1.738eb27e4d8b4p-8, 0x1.6c25ff9eb3ddfp-8, 0x1.64df8cf908ab1p-8, 0x1.5dba43fe74f3dp-8, 0x1.56b50de4323dep-8, 0x1.4fcee972733c9p-8, 0x1.4906fe6c6940ap-8, 0x1.425ca9bfb171p-8, 0x1.3bcf8187ef4ddp-8, 0x1.355f531cea588p-8, 0x1.2f0c02c2db885p-8, 0x1.28d589c26a4f6p-8, 0x1.22bbe4daf4ff3p-8, 0x1.1cbee1735bc02p-8, 0x1.16de32bb62d89p-8, 0x1.1119641f9ffe9p-8, 0x1.0b6fe56e36379p-8, 0x1.05e1297ec87fbp-8, 0x1.006cac23c7a1cp-8, 0x1.f623f02b07118p-9, 0x1.eba168c7c6848p-9, 0x1.e1512397f9849p-9, 0x1.d7328e3c7ae7fp-9, 0x1.cd450a28e47e7p-9, 0x1.c387ec7263821p-9, 0x1.b9fa840492011p-9, 0x1.b09c23f61d80bp-9, 0x1.a76c28c0c59a8p-9, 0x1.9e69ee150c1aep-9, 0x1.9594b3891c5c1p-9, 0x1.8ceb78bed9743p-9, 0x1.846ce5b5bdcdep-9, 0x1.7c1751da83c85p-9, 0x1.73e8fcc4b2dcdp-9, 0x1.6be068d835342p-9, 0x1.63fcb4ff91d4bp-9, 0x1.5c3dd74368c1bp-9, 0x1.54a489d1241a5p-9, 0x1.4d31e24f14d15p-9, 0x1.45e6c06392416p-9, 0x1.3ec35c67ad00ap-9, 0x1.37c71c33bc92ap-9, 0x1.30f0bbe973c3bp-9, 0x1.2a3eac376dc71p-9, 0x1.23af783c5b2a7p-9, 0x1.1d4211bafae5dp-9, 0x1.16f5ebbce9d71p-9, 0x1.10cad3e9b0014p-9, 0x1.0ac0ab5babb63p-9, 0x1.04d6c0d130709p-9, 0x1.fe17684914043p-10, 0x1.f2bac62bc7053p-10, 0x1.e7927fd86075bp-10, 0x1.dc9b0ff9f17fep-10, 0x1.d1d411539da88p-10, 0x1.c73ffd70769dp-10, 0x1.bce39ca655fa7p-10, 0x1.b2c3a909f5533p-10, 0x1.a8e21bc4f4706p-10, 0x1.9f3e0e90cd86dp-10, 0x1.95d408f0d5b5p-10, 0x1.8c9f4b6fe3046p-10, 0x1.839b52a1d47b6p-10, 0x1.7ac4c37c1a818p-10, 0x1.7219eecb674d4p-10, 0x1.699aec666a523p-10, 0x1.614938037ad3ap-10, 0x1.5926bc37f24c9p-10, 0x1.51346da2dfbd2p-10, 0x1.49710777cf96ep-10, 0x1.41d8c84c6f605p-10, 0x1.3a6669354b2f2p-10, 0x1.3315580fb7d8cp-10, 0x1.2be3b84fd2892p-10, 0x1.24d33b6240289p-10, 0x1.1de83633f7df8p-10, 0x1.172727ac3cd16p-10, 0x1.10927dfb39bfcp-10, 0x1.0a29c320af9a5p-10, 0x1.03ea5671091eep-10, 0x1.fba15609fc1adp-11, 0x1.efb26c406115p-11, 0x1.e401f73957537p-11, 0x1.d88c0b4dc2203p-11, 0x1.cd4e5651f666dp-11, 0x1.c2494a4403b1ep-11, 0x1.b77edb0c7c0c1p-11, 0x1.acf1dffa4795cp-11, 0x1.a2a42acff2599p-11, 0x1.989525097e704p-11, 0x1.8ec20b21f69eap-11, 0x1.85263b6b2d2f2p-11, 0x1.7bbd633e7d4dp-11, 0x1.728557cd96f1bp-11, 0x1.697da86345095p-11, 0x1.60a78fb8f4b9fp-11, 0x1.58041c7518518p-11, 0x1.4f93afdace463p-11, 0x1.4756405ee9e22p-11, 0x1.3f4bc077f43cp-11, 0x1.3772cfdd58a5dp-11, 0x1.2fc974238656dp-11, 0x1.284df440dde8fp-11, 0x1.20ff27192d51bp-11, 0x1.19dba314c11d4p-11, 0x1.12e012177ac3dp-11, 0x1.0c083287028aap-11, 0x1.05515b9dffc35p-11, 0x1.fd7704d9c3176p-12, 0x1.f0906562d67fcp-12, 0x1.e3f1bcf2f810dp-12, 0x1.d79cf6af1df4ep-12, 0x1.cb935524ca36p-12, 0x1.bfd6bf7f5a20fp-12, 0x1.b46afe4b96ee9p-12, 0x1.a950e8a68245cp-12, 0x1.9e7fee8639f0cp-12, 0x1.93e77f1fb8007p-12, 0x1.897a8e9edd9dep-12, 0x1.7f39a63045b97p-12, 0x1.752fbf1bb7913p-12, 0x1.6b6385bb6e101p-12, 0x1.61d310dd13b8bp-12, 0x1.587ae1cfede57p-12, 0x1.4f602aad37684p-12, 0x1.468af3f2dba06p-12, 0x1.3dfa18ef2bf55p-12, 0x1.35a1ddf01e4fap-12, 0x1.2d72e6266dap-12, 0x1.2561e84aef772p-12, 0x1.1d6d1845274b4p-12, 0x1.159b7292ed088p-12, 0x1.0df5c3dc6703dp-12, 0x1.067d4f6784c3ap-12, 0x1.fe5f6a9c1422dp-13, 0x1.f021988999f7bp-13, 0x1.e2546cd746df8p-13, 0x1.d503952a68659p-13, 0x1.c82201c9d7176p-13, 0x1.bb8cc924a2ae8p-13, 0x1.af1cc1ced8eb9p-13, 0x1.a2c73babef756p-13, 0x1.96a87ccfc575bp-13, 0x1.8adb1dbe45479p-13, 0x1.7f561afc5111cp-13, 0x1.7406bd776581fp-13, 0x1.68f7485c6a029p-13, 0x1.5e3bfa6ea79fdp-13, 0x1.53da1e3f79b4fp-13, 0x1.49caca18d0ae1p-13, 0x1.400410ac17d81p-13, 0x1.3678ef13c687bp-13, 0x1.2d146b76cb18ep-13, 0x1.23c6d97547299p-13, 0x1.1a998d86b1ed1p-13, 0x1.11a3be81a1e79p-13, 0x1.08e9c48e0bf8ap-13, 0x1.005c6d74ceebp-13, 0x1.eff717df78096p-14, 0x1.dfb76c926a4d7p-14, 0x1.d00c8146b182p-14, 0x1.c0e5e387e408dp-14, 0x1.b22b499b49768p-14, 0x1.a3bbb6010618fp-14, 0x1.956e51dfa3d9ap-14, 0x1.874dd8687a5cap-14, 0x1.798dea464415bp-14, 0x1.6c2585033824ap-14, 0x1.5eefb1095120ap-14, 0x1.5202e1ba338fp-14, 0x1.457ce3e161f7fp-14, 0x1.395047ea1f75dp-14, 0x1.2d69f34005f2fp-14, 0x1.21c8f3f51c914p-14, 0x1.16765a2cb7f0dp-14, 0x1.0b78b5e7d87cap-14, 0x1.00cf811f2b171p-14, 0x1.ecbf526be5cafp-15, 0x1.d81b103c4d062p-15, 0x1.c3ce0d7b3fdcp-15, 0x1.b0143b369bf3p-15, 0x1.9cce4cdf1d768p-15, 0x1.89d3f602e7319p-15, 0x1.775898f93346bp-15, 0x1.65837d6ff8737p-15, 0x1.5436efd77e4bep-15, 0x1.43515c76c90cp-15, 0x1.32dc55c77bb81p-15, 0x1.22dd26e564d11p-15, 0x1.132485333e7efp-15, 0x1.03b88e58768ap-15, 0x1.e955dace38e1ep-16, 0x1.cb9e84792907ap-16, 0x1.aea326741b991p-16, 0x1.92b8c96b29734p-16, 0x1.7796aaecbb669p-16, 0x1.5d07a220491b8p-16, 0x1.42ff9296e9648p-16, 0x1.298da660cb672p-16, 0x1.10b04b3b20ff5p-16, 0x1.f0fa3da9b33bcp-17, 0x1.c1da68811d1cdp-17, 0x1.941b1668801bfp-17, 0x1.67ea6294915dcp-17, 0x1.3cfd7298118e9p-17, 0x1.12d5a0d45e79cp-17, 0x1.d35fbbfeaa44dp-18, 0x1.82dcf53c622fcp-18, 0x1.3390c7f2291cfp-18, 0x1.cdc91d11d18b5p-19, 0x1.3a2f3b191f02dp-19, 0x1.54e9b1ceae913p-20, 0x1.d4b397c4ec4c5p-23, -0x1.ae4fc78ba79d6p-21, -0x1.dd54e5a59be19p-20, -0x1.6e6efef886bcep-19, -0x1.ec19066c19045p-19, -0x1.33ff88448c9c7p-18, -0x1.7035fc64bd89fp-18, -0x1.a9adbbb88bf57p-18, -0x1.e17b3ec73e1fep-18, -0x1.0bfb5afa2ed67p-17, -0x1.267f74d88b0ap-17, -0x1.404f91482801bp-17, -0x1.59558ebe8453bp-17, -0x1.719fd6034d80dp-17, -0x1.8932927880063p-17, -0x1.a01250a168639p-17, -0x1.b645b700c69dfp-17, -0x1.cbd199ada485cp-17, -0x1.e0b8d30652471p-17, -0x1.f4d779932a9b3p-17, -0x1.03fd895ce9264p-16, -0x1.0d354b0bc38c7p-16, -0x1.163b3692774efp-16, -0x1.1f18341106d09p-16, -0x1.27affa42d94f9p-16, -0x1.2fd7939541f92p-16, -0x1.37af54063921ap-16, -0x1.3f50ca4e2258cp-16, -0x1.46b1ce994a601p-16, -0x1.4da6e02515f62p-16, -0x1.544fb62ec8e52p-16, -0x1.5adec64dc7df3p-16, -0x1.614262dc9c3bbp-16, -0x1.673f5d514cebep-16, -0x1.6cf6b926aca6ap-16, -0x1.7276ea4511113p-16, -0x1.77c1d4c4602c3p-16, -0x1.7cd0c1521ac6bp-16, -0x1.81a4bc6e3cbd7p-16, -0x1.863ef3be79fe1p-16, -0x1.8a9fddc0bd26ep-16, -0x1.8ec925713d366p-16, -0x1.92bbd4f7f3064p-16, -0x1.9678a2e1855afp-16, -0x1.9a00d8fa0ed52p-16, -0x1.9d56ec59ba81cp-16, -0x1.a07babe5caacp-16, -0x1.a3709ee2aca5p-16, -0x1.a637123650ec2p-16, -0x1.a8ce4def71edap-16, -0x1.ab29121237d6bp-16, -0x1.ad490ede2fbbap-16, -0x1.af4f12328ae73p-16, -0x1.b13ab09a8309bp-16, -0x1.b2ee5290a3e5cp-16, -0x1.b466c141a0321p-16, -0x1.b5c54cb8bb319p-16, -0x1.b6f7cf4bd76c8p-16, -0x1.b7fd6f309f06cp-16, -0x1.b8e1aad9cc7cdp-16, -0x1.b9a2b135de47fp-16, -0x1.ba351e2dd1012p-16, -0x1.baa5a66e9b512p-16, -0x1.baf60d884a18fp-16, -0x1.bb215230631eep-16, -0x1.bb2b4fc39a821p-16, -0x1.bb1436551a407p-16, -0x1.bad9e8cb20a01p-16, -0x1.ba7f4a84e88abp-16, -0x1.ba04b27b3859fp-16, -0x1.b96b400bf7f36p-16, -0x1.b8b386b1152a4p-16, -0x1.b7ddbe17e18f1p-16, -0x1.b6ea70798c6fcp-16, -0x1.b5d9bb07d585p-16, -0x1.b4ac8e89e48d5p-16, -0x1.b3668d54cb4f3p-16, -0x1.b2041b60b7a19p-16, -0x1.b0880c7b02756p-16, -0x1.aef2a4f6b1eb9p-16, -0x1.ad446068cfe9ap-16, -0x1.ab7ef969d3486p-16, -0x1.a9a1224030cbbp-16, -0x1.a7a79b6ee3ddfp-16, -0x1.a59b562082a41p-16, -0x1.a37947145a26fp-16, -0x1.a14079ed4c1b9p-16, -0x1.9ef05ddadb3c5p-16, -0x1.9c8dc83c98176p-16, -0x1.9a18b5048df93p-16, -0x1.978cfaa3fed8ap-16, -0x1.94efd4e6eda53p-16, -0x1.92400f836ade7p-16, -0x1.8f7dd9764044dp-16, -0x1.8caa0ac3f13f2p-16, -0x1.89c5bd59a51f1p-16, -0x1.86d04042e5b18p-16, -0x1.83caf00c09b5dp-16, -0x1.80b55840c8687p-16, -0x1.7d90b74311daap-16, -0x1.7a5dc5ce1118dp-16, -0x1.771a88902f135p-16, -0x1.73cca21dd87bap-16, -0x1.706f5d907d91fp-16, -0x1.6d063804ee3f5p-16, -0x1.698db9da30cf7p-16, -0x1.660b4c8d7f8acp-16, -0x1.627c4c62bb04p-16, -0x1.5ee20840c5e2cp-16, -0x1.5b3afce45779bp-16, -0x1.5794aa7bbbddap-16, -0x1.53d406ce56859p-16, -0x1.500c93f7b0ca7p-16, -0x1.4c3affd5c924ap-16, -0x1.486cd5c672762p-16, -0x1.448618c0d772ep-16, -0x1.409ea65523c76p-16, -0x1.3caebbc0a7364p-16, -0x1.38b7ca62f5447p-16, -0x1.34b68d591c1e3p-16, -0x1.30b0fd6f78deap-16, -0x1.2ca34f5fb0658p-16, -0x1.288edc1fa4137p-16, -0x1.24757c2e7bfb3p-16, -0x1.2055f5f66f80ep-16, -0x1.1c313399ee274p-16, -0x1.18076f6df9211p-16, -0x1.13d8b69676936p-16, -0x1.0fa5af018f727p-16, -0x1.0b6eed0ba6c8fp-16, -0x1.073433952d431p-16, -0x1.02f51fdd9f247p-16, -0x1.fd65487c214c6p-17, -0x1.f4dabbfb5ccb5p-17, -0x1.ec4bd10f9af3dp-17, -0x1.e3b7dbfe9ad4ap-17, -0x1.db1ea03fe59e4p-17, -0x1.d2813608f0bedp-17, -0x1.c9e110e710bccp-17, -0x1.c13f1882956ecp-17, -0x1.b899cfe5b8101p-17, -0x1.aff54d0b4242dp-17, -0x1.a74a1154792a3p-17, -0x1.9ea13c5c64089p-17, -0x1.95f7b99e72fb8p-17, -0x1.8d4e22061ee59p-17, -0x1.84a502f881ee5p-17, -0x1.7bfd95fe9a659p-17, -0x1.735855a25388cp-17, -0x1.6abe05307861p-17, -0x1.621260b6a1757p-17, -0x1.5972543fe94e9p-17, -0x1.50d7028d0a2b8p-17, -0x1.483bae8b96d0dp-17, -0x1.3fa978da02ac4p-17, -0x1.371c0b1f43fap-17, -0x1.2e8f2b27e5f92p-17, -0x1.2606e083657f1p-17, -0x1.1d7cb02601267p-17, -0x1.150976b0b3f6bp-17, -0x1.0c95f1bdc3a09p-17, -0x1.04291dce615e5p-17, -0x1.f78b0539775bfp-18, -0x1.e6ca7d38e2dd8p-18, -0x1.d6143509dcc38p-18, -0x1.c579dc48277fap-18, -0x1.b5077859417fep-18, -0x1.a463fd0eccfadp-18, -0x1.93f6f2b45cd77p-18, -0x1.839cffaa994e5p-18, -0x1.735b17ccae396p-18, -0x1.632025a9ccd8ep-18, -0x1.52fd3861935bdp-18, -0x1.42f92928561d7p-18, -0x1.330bcd691812dp-18, -0x1.231874ac805e7p-18, -0x1.1350c45929aap-18, -0x1.0398700ecc7d1p-18, -0x1.e7effce4b82c8p-19, -0x1.c8e3d2027ac2cp-19, -0x1.aa04c63062452p-19, -0x1.8b5c9f6d1442cp-19, -0x1.6cd6fc094cb6bp-19, -0x1.4e8cde240f2b2p-19, -0x1.307886c431599p-19, -0x1.1296cd12ad871p-19, -0x1.e9cfb0b712698p-20, -0x1.aede40cdbb9cfp-20, -0x1.7453d51859d79p-20, -0x1.3a6cd2f2673bap-20, -0x1.0097f666f4bd2p-20, -0x1.8ed1b111d4fb8p-21, -0x1.1d4036b0ded34p-21, -0x1.5950a14cae06cp-22, -0x1.e766be30e78a8p-24, 0x1.8f84bcb0f2c11p-24, 0x1.3fa7b5758aac4p-22, 0x1.0ca78e4147d17p-21, 0x1.78b5dbc4b9fb2p-21, 0x1.e3c8fa293b1eap-21, 0x1.26fc07f3baa1ep-20, 0x1.5b8da7d02afdap-20, 0x1.8fbce10fe5425p-20, 0x1.c341c7bede84fp-20, 0x1.f65cf81292ea7p-20, 0x1.146cf0be1e602p-19, 0x1.2d7dd4e92b7efp-19, 0x1.4644cb9c2963dp-19, 0x1.5eda095581afbp-19, 0x1.773040343b996p-19, 0x1.8f38cde8a2354p-19, 0x1.a70416b403fb3p-19, 0x1.be8154882099cp-19, 0x1.d5d0d31e0151bp-19, 0x1.ecf06f64d1cdep-19, 0x1.01ca90a4685edp-18, 0x1.0d105be6ac9c5p-18, 0x1.182f12d6c1399p-18, 0x1.2325b3a808d5fp-18, 0x1.2dfe708c98d25p-18, 0x1.38c0506b59a53p-18, 0x1.435137314544dp-18, 0x1.4dcc6ad4d795dp-18, 0x1.581fd5c749fe2p-18, 0x1.624048f89f8f9p-18, 0x1.6c65981c4ed6fp-18, 0x1.763b7d6644272p-18, 0x1.80229f209f7d1p-18, 0x1.89cc6bc1a9236p-18, 0x1.93557ffdf3cb2p-18, 0x1.9cbee36e87d48p-18, 0x1.a6058d7682678p-18, 0x1.af29ddf0020cfp-18, 0x1.b82c3a9fdf76ap-18, 0x1.c10d8a19f057bp-18, 0x1.c9caf572e45bcp-18, 0x1.d262f5cde3d23p-18, 0x1.dae62e1907a97p-18, 0x1.e340fdeea91ffp-18, }}, 
      {{0x1.b6570362837c3p-10, 0x1.a0fa8b21d13cbp-9, 0x1.24017ae52f1f5p-8, 0x1.6a24881b50464p-8, 0x1.a9c085503dc48p-8, 0x1.ec2c986b94a6ap-8, 0x1.1d9c494cc1c87p-7, 0x1.4fddf8e6f5eefp-7, 0x1.905a75350ff4dp-7, 0x1.e16e6dd0063c2p-7, 0x1.2224bc7bee556p-6, 0x1.5c8025ff476f3p-6, 0x1.9f583170f9c22p-6, 0x1.e9d629070177bp-6, 0x1.1d6ab338dbbb2p-5, 0x1.487d0bb84fee4p-5, 0x1.75630da189fc3p-5, 0x1.a3559e9948659p-5, 0x1.d18d4a1cd8edfp-5, 0x1.ff48778f00843p-5, 0x1.15e823444be05p-4, 0x1.2b3e0f9ed632ap-4, 0x1.3f5a186da1a0ep-4, 0x1.51f974c8f778fp-4, 0x1.62e2de640a1aep-4, 0x1.71e697d1a9f64p-4, 0x1.7ede37858c26bp-4, 0x1.89ac436ed0c64p-4, 0x1.923ba57e2c5bbp-4, 0x1.987f0c16b69e8p-4, 0x1.9c7034264b8b6p-4, 0x1.9e0f3857eb64cp-4, 0x1.9d61d41d324f5p-4, 0x1.9a72b3cd103fbp-4, 0x1.9550ba8c91341p-4, 0x1.8e0e66820fac3p-4, 0x1.84c13ac3d706bp-4, 0x1.798121053154ep-4, 0x1.6c67f72434075p-4, 0x1.5d910f21d3b1bp-4, 0x1.4d18ccb68f7efp-4, 0x1.3b1c431594a94p-4, 0x1.27b8e4752cd83p-4, 0x1.130c3cccd2a86p-4, 0x1.fa6763cfa2ap-5, 0x1.cc98893b0efebp-5, 0x1.9ce4eb83c3989p-5, 0x1.6b8434a86a8ecp-5, 0x1.38ac79ced9bf3p-5, 0x1.0491f80c975d6p-5, 0x1.9ecdf755d5ecbp-6, 0x1.32b77e0f3bd63p-6, 0x1.8a79a7a088aa8p-7, 0x1.5ad78a38c6efbp-8, -0x1.889f07502a662p-10, -0x1.1067ac8bb550dp-7, -0x1.effb0ce24d812p-7, -0x1.67a12a7ead30cp-6, -0x1.d6dd427b76ba9p-6, -0x1.22ba4cb6cf2fbp-5, -0x1.59971c11dfa09p-5, -0x1.8feaa93da9202p-5, -0x1.c59c953439775p-5, -0x1.fa967558bc55cp-5, -0x1.1761df8a0a56fp-4, -0x1.3108d996d8da8p-4, -0x1.4a37a55b6c70cp-4, -0x1.62e692f4c2ab6p-4, -0x1.7b0ebcd9cdcddp-4, -0x1.92a9ff73ab307p-4, -0x1.a9b2f057b6ceep-4, -0x1.c024d502d621bp-4, -0x1.d5fb992fb225p-4, -0x1.eb33c66553667p-4, -0x1.ffca796fc4fbep-4, -0x1.09dead3716886p-3, -0x1.13854a1d1e70cp-3, -0x1.1cd86596ed795p-3, -0x1.25d78b2c85786p-3, -0x1.2e827bf05d40cp-3, -0x1.36d92ac247b39p-3, -0x1.3edbb8b656169p-3, -0x1.468a71e2a55bp-3, -0x1.4de5c9fd55786p-3, -0x1.54ee59411697dp-3, -0x1.5ba4d96e4c986p-3, -0x1.620a22e4ba1c2p-3, -0x1.681f29afecaf7p-3, -0x1.6de4fb8665d2p-3, -0x1.735cbc6c2ddfep-3, -0x1.7887a532ec711p-3, -0x1.7d6700b7aad07p-3, -0x1.81fc29e36a0e9p-3, -0x1.86488a0e579f5p-3, -0x1.8a4d96d94a59cp-3, -0x1.8e0cd0651ca21p-3, -0x1.9187c0043ac2ep-3, -0x1.94bff6536eb9cp-3, -0x1.97b70a1ad222fp-3, -0x1.9a6e96ea63701p-3, -0x1.9ce83bc84ede1p-3, -0x1.9f259a17d6803p-3, -0x1.a12854c12d8cp-3, -0x1.a2f20f038ed6dp-3, -0x1.a4846b696f34dp-3, -0x1.a5e10b3f2e867p-3, -0x1.a7098dc65b526p-3, -0x1.a7ff8f7d10f6fp-3, -0x1.a8c4a914a1986p-3, -0x1.a95a6fc435371p-3, -0x1.a9c273f3754b9p-3, -0x1.a9fe40e636c4ap-3, -0x1.aa0f5c8f69121p-3, -0x1.a9f74739fced9p-3, -0x1.a9b77ac9f2b4fp-3, -0x1.a9516adc46ddp-3, -0x1.a8c68471e87e7p-3, -0x1.a8182d6c19431p-3, -0x1.a747c4ee6f5f9p-3, -0x1.a656a2a88c8b1p-3, -0x1.a54616fe90c2p-3, -0x1.a4176b0e66a19p-3, -0x1.a2cbe02067777p-3, -0x1.a164b00fe63fap-3, -0x1.9fe30d28f95fdp-3, -0x1.9e4821d4d4907p-3, -0x1.9c95112808afdp-3, -0x1.9acaf621c4511p-3, -0x1.98eae47e89c64p-3, -0x1.96f5e81fdeecfp-3, -0x1.94ed0576631e5p-3, -0x1.92d13981abffcp-3, -0x1.90a379bd0b37ep-3, -0x1.8e64b49b49299p-3, -0x1.8c15d0de8307cp-3, -0x1.89b7aeabf3cbep-3, -0x1.874b26b9d5762p-3, -0x1.84d10b0c60d79p-3, -0x1.824a26e9c1a93p-3, -0x1.7fb73ef6a960bp-3, -0x1.7d1910f97efbcp-3, -0x1.7a7054b09e28fp-3, -0x1.77bdbb5f3fe2ap-3, -0x1.7501f00fadde2p-3, -0x1.723d97dc08ab6p-3, -0x1.6f71521ab9742p-3, -0x1.6c9db81c16171p-3, -0x1.69c35dc51d7adp-3, -0x1.66e2d18dcf956p-3, -0x1.63fc9c7596804p-3, -0x1.6111424ec8c32p-3, -0x1.5e2141e198516p-3, -0x1.5b2d150d8122fp-3, -0x1.5835310b0b2acp-3, -0x1.553a062590e2bp-3, -0x1.523c0087b552fp-3, -0x1.4f3b87a84b1e5p-3, -0x1.4c38fec60833bp-3, -0x1.4934c54fd961fp-3, -0x1.462f36719ef83p-3, -0x1.4328a9b4bdcb6p-3, -0x1.402172c937efbp-3, -0x1.3d19e1e715a4ap-3, -0x1.3a124374e8cap-3, -0x1.370ae0fb97cabp-3, -0x1.3404007907f68p-3, -0x1.30fde4cae6016p-3, -0x1.2df8cdeddb4e9p-3, -0x1.2af4f8cd1b72bp-3, -0x1.27f29fa545994p-3, -0x1.24f1f9ec01ee7p-3, -0x1.21f33c95c5356p-3, -0x1.1ef699ea4ba69p-3, -0x1.1bfc41d8fde66p-3, -0x1.190462298bf96p-3, -0x1.160f261e98703p-3, -0x1.131cb6faa79c1p-3, -0x1.102d3bf94ae4dp-3, -0x1.0d40da4a9b383p-3, -0x1.0a57b5369fa72p-3, -0x1.0771ee41d1015p-3, -0x1.048fa4f2af989p-3, -0x1.01b0f778a883cp-3, -0x1.fdac0472bfbafp-4, -0x1.f7fdc055e6713p-4, -0x1.f25754a87c4dap-4, -0x1.ecb8f1ac5443dp-4, -0x1.e722c4ae11c6ap-4, -0x1.e194f815ef094p-4, -0x1.dc0fb4057a19bp-4, -0x1.d6931df4f654dp-4, -0x1.d11f597e70d3fp-4, -0x1.cbb4876453d3fp-4, -0x1.c652c7147dbb3p-4, -0x1.c0fa356c36a33p-4, -0x1.bbaaed520b7d9p-4, -0x1.b665084aaf8ccp-4, -0x1.b1289dbb5e45ap-4, -0x1.abf5c323ab9dbp-4, -0x1.a6cc8d1f7612bp-4, -0x1.a1ad0e2939825p-4, -0x1.9c97574dbd744p-4, -0x1.978b786ac4de7p-4, -0x1.92897fceab58ap-4, -0x1.8d917aad77828p-4, -0x1.88a3747874d5ep-4, -0x1.83bf7831c3916p-4, -0x1.7ee58f6dfe96p-4, -0x1.7a15c2688f861p-4, -0x1.755018985d66ap-4, -0x1.7094986be1624p-4, -0x1.6be3474335c43p-4, -0x1.673c29e587044p-4, -0x1.629f43e1f64c9p-4, -0x1.5e0c978439445p-4, -0x1.598427bf7cd9bp-4, -0x1.5505f5711b6a8p-4, -0x1.509200b7d658cp-4, -0x1.4c284a15693ap-4, -0x1.47c8d0369ff86p-4, -0x1.437391c6162e1p-4, -0x1.3f288cd5bef23p-4, -0x1.3ae7be48299d8p-4, -0x1.36b1234d183ecp-4, -0x1.3284b7c259292p-4, -0x1.2e62775cd12dfp-4, -0x1.2a4a5d4d5ce63p-4, -0x1.263c642e616b8p-4, -0x1.223886234d4ddp-4, -0x1.1e3ebd24c3eeap-4, -0x1.1a4f0215c9a93p-4, -0x1.16694e9910e82p-4, -0x1.128d9a5eb0a36p-4, -0x1.0ebbddfe63eabp-4, -0x1.0af411037a8c5p-4, -0x1.07362ad25ba4cp-4, -0x1.0382227063f7ep-4, -0x1.ffafdd7c92fdap-5, -0x1.f86f0bc6b92ecp-5, -0x1.f141bc4f3ccd4p-5, -0x1.ea27da7ba204p-5, -0x1.e32150f07d2b6p-5, -0x1.dc2e0b1b34412p-5, -0x1.d54df1873f711p-5, -0x1.ce80ef55201fp-5, -0x1.c7c6ec046d4efp-5, -0x1.c11fd0338cc44p-5, -0x1.ba8b84b2e834p-5, -0x1.b409efff28af2p-5, -0x1.ad9af9e6bbaf3p-5, -0x1.a73e889574eecp-5, -0x1.a0f4829c37ee5p-5, -0x1.9abcce485de05p-5, -0x1.949750627f35fp-5, -0x1.8e83eeb8f7d3cp-5, -0x1.88828d9e701b3p-5, -0x1.829311ab778d2p-5, -0x1.7cb55f7bd3ecdp-5, -0x1.76e95a8e1515ap-5, -0x1.712ee695514c8p-5, -0x1.6b85e6959eed5p-5, -0x1.65ee3e7664d14p-5, -0x1.6067cfe9a1e2bp-5, -0x1.5af27df83fd06p-5, -0x1.558e2b1a042e7p-5, -0x1.503ab8d830e74p-5, -0x1.4af8092d52b9ap-5, -0x1.45c5fe188845cp-5, -0x1.40a478c643746p-5, -0x1.3b935aab02e23p-5, -0x1.36928407cf44ep-5, -0x1.31a1d6d131561p-5, -0x1.2cc13312458ecp-5, -0x1.27f0796e748f9p-5, -0x1.232f8a6d2519ep-5, -0x1.1e7e462c55a1fp-5, -0x1.19dc8d87f2f2ap-5, -0x1.154a3f675c5b5p-5, -0x1.10c73c7c0924dp-5, -0x1.0c536473d47b5p-5, -0x1.07ee970420975p-5, -0x1.0398b3bfecea1p-5, -0x1.fea333b81a882p-6, -0x1.f63253594cc7cp-6, -0x1.edde843c1964fp-6, -0x1.e5a7857cc7052p-6, -0x1.dd8d140437d25p-6, -0x1.d58ef1350f13p-6, -0x1.cdacd9954790ap-6, -0x1.c5e68ccd417b2p-6, -0x1.be3bc7beb4794p-6, -0x1.b6ac4a964e9d8p-6, -0x1.af37d24d96e5ap-6, -0x1.a7de1dfd38063p-6, -0x1.a09eeba0d1045p-6, -0x1.9979f9b41c3fdp-6, -0x1.926f06f8f058dp-6, -0x1.8b7dd0df1f7dap-6, -0x1.84a618230c883p-6, -0x1.7de79a3e60da5p-6, -0x1.77421578aad6ep-6, -0x1.70b5460101b7dp-6, -0x1.6a40f05c2b50ap-6, -0x1.63e4d12252034p-6, -0x1.5da0a625b000bp-6, -0x1.577430300a63fp-6, -0x1.515f2ebb15744p-6, -0x1.4b61613de13acp-6, -0x1.457a871eab2f2p-6, -0x1.3faa613fd4897p-6, -0x1.39f0affb0cd59p-6, -0x1.344d324dec29cp-6, -0x1.2ebfaa33646a8p-6, -0x1.2947d87faed25p-6, -0x1.23e57de7da334p-6, -0x1.1e985baf88efbp-6, -0x1.196033eb9ceacp-6, -0x1.143cc877caa09p-6, -0x1.0f2ddb24bea76p-6, -0x1.0a332e9c80f6ep-6, -0x1.054c85ea20495p-6, -0x1.0079a41a36d1bp-6, -0x1.f77496d4c3615p-7, -0x1.ee1c833502769p-7, -0x1.e4ea91522797ep-7, -0x1.dbde4cc989edp-7, -0x1.d2f73cde60d66p-7, -0x1.ca34eba062df9p-7, -0x1.c196e5cddad03p-7, -0x1.b91cb43ef3448p-7, -0x1.b0c5e42dd5fc9p-7, -0x1.a89202d777aafp-7, -0x1.a0809e1227badp-7, -0x1.989143b742af6p-7, -0x1.90c382bb7ff67p-7, -0x1.8916eafbc4a78p-7, -0x1.818b0d7166057p-7, -0x1.7a1f7bdc731cap-7, -0x1.72d3c6ffeeea8p-7, -0x1.6ba78495423ddp-7, -0x1.649a4597a94d1p-7, -0x1.5daba12bb3dd6p-7, -0x1.56db2bd30249ep-7, -0x1.50287c5d03247p-7, -0x1.499329ad3a231p-7, -0x1.431acd2463864p-7, -0x1.3cbefe188a93p-7, -0x1.367f557e80e92p-7, -0x1.305b716aee1p-7, -0x1.2a52eb3d175b8p-7, -0x1.24656020343b5p-7, -0x1.1e926dbf14badp-7, -0x1.18d9b202a7ab5p-7, -0x1.133acc0b241b9p-7, -0x1.0db55c022493dp-7, -0x1.084902757ba1dp-7, -0x1.02f56332f64fap-7, -0x1.fb743dd3cbc33p-8, -0x1.f12db22d3a7bdp-8, -0x1.e71672a168437p-8, -0x1.dd2dc60eda7dep-8, -0x1.d372f7569317cp-8, -0x1.c9e55a46f4252p-8, -0x1.c0843ca9f669p-8, -0x1.b74ef232e1e3bp-8, -0x1.ae44cea6fe546p-8, -0x1.a56527f68a983p-8, -0x1.9caf5619a00aep-8, -0x1.9422b433370adp-8, -0x1.8bbe9b7981a23p-8, -0x1.83826a2960515p-8, -0x1.7b6d8285045dcp-8, -0x1.737f41edaa46cp-8, -0x1.6bb70e8c6d4e7p-8, -0x1.64144b9f95e71p-8, -0x1.5c965f73e3559p-8, -0x1.553cb3cbfae3bp-8, -0x1.4e06b1b1aec19p-8, -0x1.46f3c517354fep-8, -0x1.40035c104715ap-8, -0x1.3934e600e9f1ep-8, -0x1.3287d33909a89p-8, -0x1.2bfb99cfe3261p-8, -0x1.258fabadbd6cbp-8, -0x1.1f437c89b58a6p-8, -0x1.1916907fd8b73p-8, -0x1.130858053930dp-8, -0x1.0d185271cf819p-8, -0x1.0745fdd1e2852p-8, -0x1.0190d77eb987p-8, -0x1.f7f0c12950311p-9, -0x1.ecf8390473222p-9, -0x1.e2371b906db39p-9, -0x1.d7ac762d666f3p-9, -0x1.cd575679395f6p-9, -0x1.c336cfc4cd09p-9, -0x1.b949f89a7836dp-9, -0x1.af8febd6ab46ap-9, -0x1.a607c52491832p-9, -0x1.9cb0a930afec9p-9, -0x1.9389b50aae2eep-9, -0x1.8a9214fc2389ap-9, -0x1.81c8ef4d3556bp-9, -0x1.792d7007c8fd2p-9, -0x1.70bec4087c01dp-9, -0x1.687c274fa401ap-9, -0x1.6064aa93a7914p-9, -0x1.5877ad53e144ep-9, -0x1.50b452e94000dp-9, -0x1.4919df3c12d49p-9, -0x1.41a79180fc957p-9, -0x1.3a5cabf3d727ep-9, -0x1.33387d42a06ecp-9, -0x1.2c3a4c8a40b1cp-9, -0x1.25617098f9ab5p-9, -0x1.1ead3984c1561p-9, -0x1.181cf4e381763p-9, -0x1.11aff7979d612p-9, -0x1.0b659938cd7a4p-9, -0x1.053d31f73af5fp-9, -0x1.fe6c31090e261p-10, -0x1.f29f4a04291fep-10, -0x1.e71268de2b48fp-10, -0x1.dbc454d466e6dp-10, -0x1.d0b3d7cecc0b5p-10, -0x1.c5dfc668034acp-10, -0x1.bb46f77dc254cp-10, -0x1.b0e85d831a956p-10, -0x1.a6c2e48802678p-10, -0x1.9cd57b0ce1ab3p-10, -0x1.931f0fea93399p-10, -0x1.899e6d94c69cep-10, -0x1.8052fae9543a7p-10, -0x1.773b13ac5b9ap-10, -0x1.6e564363cc215p-10, -0x1.65a30c19b3061p-10, -0x1.5d207cc8ae7efp-10, -0x1.54cda2977c26bp-10, -0x1.4ca97deb8d16bp-10, -0x1.44b318fd2d7c6p-10, -0x1.3ce98d297cc6ep-10, -0x1.354bfab151074p-10, -0x1.2dd98de5e13c6p-10, -0x1.269170732af32p-10, -0x1.1f72d5b8f8d1ap-10, -0x1.187cf55a3e626p-10, -0x1.11af03e494ec8p-10, -0x1.0b083261918fp-10, -0x1.0487b1d87c906p-10, -0x1.fc59690885d3bp-11, -0x1.efece82f92cc2p-11, -0x1.e3c821215067bp-11, -0x1.d7e9872db13d3p-11, -0x1.cc4fb3d93d04ap-11, -0x1.c0f91ba987094p-11, -0x1.b5e452d445a7p-11, -0x1.ab0fff7f0ad6fp-11, -0x1.a07ad38f01323p-11, -0x1.962380b705b9ep-11, -0x1.8c08d58bdab01p-11, -0x1.82299202a70a5p-11, -0x1.7884720527a19p-11, -0x1.6f185df58b569p-11, -0x1.65e42ba23c42fp-11, -0x1.5ce69e15d2245p-11, -0x1.541e8a683bea9p-11, -0x1.4b8ac1477bf26p-11, -0x1.432a232ef54a9p-11, -0x1.3afb50025c683p-11, -0x1.32fe19b29b3bfp-11, -0x1.2b2fe85b544e1p-11, -0x1.2390e97ec6fc6p-11, -0x1.1c1fb43f4ba4bp-11, -0x1.14db37840d411p-11, -0x1.0dc2895d6e14cp-11, -0x1.06d4b3edee911p-11, -0x1.0010c5b93267ap-11, -0x1.f2eba5a6d8c0bp-12, -0x1.e605e7f47fb6dp-12, -0x1.d96e9cfca7f71p-12, -0x1.cd23f7b2b5dep-12, -0x1.c12473eb8fa3cp-12, -0x1.b56e662bc87d5p-12, -0x1.a9ffc1b49c311p-12, -0x1.9ed7de06d16d2p-12, -0x1.93f479cfee5bcp-12, -0x1.895457fdaaf88p-12, -0x1.7ef5e44e4f66bp-12, -0x1.74d7c810a439ap-12, -0x1.6af8751b43656p-12, -0x1.61566c4b7b82dp-12, -0x1.57f04446e48f6p-12, -0x1.4ec48fc806176p-12, -0x1.45d1f14251c2cp-12, -0x1.3d171c60203e6p-12, -0x1.3492c870d32dap-12, -0x1.2c43b01e7632cp-12, -0x1.2428a00e1114p-12, -0x1.1c406316268dbp-12, -0x1.1489deca5ebbp-12, -0x1.0d03e4a5db448p-12, -0x1.05ad5dea4ffa4p-12, -0x1.fd0a9db3436ccp-13, -0x1.ef14acfa57a75p-13, -0x1.e177be78eaf78p-13, -0x1.d4318e8e58d27p-13, -0x1.c7400f7cd44f6p-13, -0x1.baa1e989c61b5p-13, -0x1.ae54e76e3ac33p-13, -0x1.a256cbac85941p-13, -0x1.96a570c1d528cp-13, -0x1.8b3ef7b8b970ep-13, -0x1.80216657d10eap-13, -0x1.754b18cfe2abap-13, -0x1.6aba905bd96e9p-13, -0x1.606e0608abb97p-13, -0x1.56640c89f814ep-13, -0x1.4c9b35c62dc0fp-13, -0x1.43114fb2c84d2p-13, -0x1.39c78eb68aa4ep-13, -0x1.30b85fc3b401ep-13, -0x1.27e42c28663b8p-13, -0x1.1f4bc7d253a57p-13, -0x1.16e8a3eee70cdp-13, -0x1.0ebd43db0a3dfp-13, -0x1.06c7f844530b4p-13, -0x1.fe0f002999d28p-14, -0x1.eef501f332feep-14, -0x1.e03f3c70dbddfp-14, -0x1.d1eb015da6a47p-14, -0x1.c3f58fb9f3dc5p-14, -0x1.b65c4f6529f44p-14, -0x1.a91c6e86671a8p-14, -0x1.9c33ae0e27916p-14, -0x1.8fa0679ec953dp-14, -0x1.836115771a7f9p-14, -0x1.7774622704b96p-14, -0x1.6bd8a25527bf9p-14, -0x1.608baa2c3959fp-14, -0x1.558ab1256ec8dp-14, -0x1.4ad3debcc442bp-14, -0x1.40652895f56e9p-14, -0x1.363c2022f2f99p-14, -0x1.2c577b08ae5f4p-14, -0x1.22b5b48ddc0eep-14, -0x1.1955ebeb07882p-14, -0x1.1036ba79fecccp-14, -0x1.0756556d82121p-14, -0x1.fd658a3b7b166p-15, -0x1.ec9769753fc36p-15, -0x1.dc40c243ab966p-15, -0x1.cc525e5890d49p-15, -0x1.bcd5e0449af6ep-15, -0x1.adc1fd7861107p-15, -0x1.9f15424a3667ep-15, -0x1.90ce0c02e968cp-15, -0x1.82eb17e160b0ap-15, -0x1.756a7f8d977b6p-15, -0x1.6848c43b73fcap-15, -0x1.5b840bcc48309p-15, -0x1.4f19da728fa4ap-15, -0x1.4306eeb29bfe6p-15, -0x1.3749eaa24f677p-15, -0x1.2be03e126b523p-15, -0x1.20c79ef5c6596p-15, -0x1.15fdfe4c53b8ep-15, -0x1.0b815daf16db4p-15, -0x1.014fcbf3678d4p-15, -0x1.eecbb6242e40ap-16, -0x1.db8a7cc2d8964p-16, -0x1.c8d2de0970258p-16, -0x1.b6ab75bcfdeafp-16, -0x1.a50569df6e7fp-16, -0x1.93e23e107d27bp-16, -0x1.833cbcfed78d6p-16, -0x1.7310401841f96p-16, -0x1.635a4f98b7487p-16, -0x1.5418ecfce704dp-16, -0x1.454966c20d59dp-16, -0x1.36e8116b21eedp-16, -0x1.28f3443abd775p-16, -0x1.1b620977c584fp-16, -0x1.0e42e40ce50eap-16, -0x1.017dd9303e7f8p-16, -0x1.ea4443266959p-17, -0x1.d24c3f9f65113p-17, -0x1.bb11284568cf3p-17, -0x1.a4883533431dbp-17, -0x1.8eab34ef7ddc2p-17, -0x1.7977356ddc59p-17, -0x1.64e73d750afebp-17, -0x1.50f7f21e133d6p-17, -0x1.3dadd3d701fcp-17, -0x1.2afc800256decp-17, -0x1.18e865ddfbefdp-17, -0x1.075cf0142cc7p-17, -0x1.ecb9207e70a8ep-18, -0x1.cc09744f33229p-18, -0x1.ac45f30b429a9p-18, -0x1.8d9197fa26bf4p-18, -0x1.6fe0508b8ff58p-18, -0x1.5327aea86c3c5p-18, -0x1.375efe084912bp-18, -0x1.1c81656c5ac67p-18, -0x1.029282e4fe0fap-18, -0x1.d2f65e1b554ecp-19, -0x1.a295545b94e65p-19, -0x1.73e3f008f046fp-19, -0x1.46c864f23c061p-19, -0x1.1b6544713f0dcp-19, -0x1.e347d842b6773p-20, -0x1.927f2d3f1a1cdp-20, -0x1.44670b4e0b383p-20, -0x1.f36c86bb2552cp-21, -0x1.6333aad463bdap-21, -0x1.b0abed4493eb4p-22, -0x1.4ada859da17e4p-23, 0x1.6c74246d2f7dbp-24, 0x1.520dcd2b065d3p-22, 0x1.1f813e87f2524p-21, 0x1.91000fa65c54fp-21, 0x1.fdf4c08ea4a5dp-21, 0x1.336442733eed9p-20, 0x1.655b5620e2f89p-20, 0x1.9516f6b7c71b9p-20, 0x1.c2c8464d00d1bp-20, 0x1.ee96e28305d39p-20, 0x1.0c1ad3f367d25p-19, 0x1.2008bcbe7051ap-19, 0x1.32f91fce6e3d6p-19, 0x1.450ac9ba72432p-19, 0x1.5641a8e6ddffep-19, 0x1.6694175018f15p-19, 0x1.760386852b3bdp-19, 0x1.84a7ce1fd2f3dp-19, 0x1.927ceebe2deb8p-19, 0x1.9f90aa83bc5abp-19, 0x1.abe3b34810fd4p-19, 0x1.b77b3ec6f03p-19, 0x1.c25ed613ebfd6p-19, 0x1.cc8f8a9f5fa7ep-19, 0x1.d61476db93286p-19, 0x1.def12f7cd4a86p-19, 0x1.e726497e5d96p-19, 0x1.eeb406a7590f1p-19, 0x1.f5bb954176406p-19, 0x1.fc20fda6f8112p-19, 0x1.00dd86f963349p-18, 0x1.03bd064fa39e3p-18, 0x1.060d6218039fp-18, 0x1.082c743ea477dp-18, 0x1.0a0a65c08163ep-18, 0x1.0ba56d75ab0d4p-18, 0x1.0d01e892e98ebp-18, 0x1.0e2b12de9ed7p-18, 0x1.0f1c47ad3ba17p-18, 0x1.0fcceac000c1ep-18, 0x1.1055e2e79e818p-18, 0x1.109d83bce4471p-18, 0x1.10b344391a77ap-18, 0x1.1070bb68afe5ap-18, 0x1.10538edc1857ap-18, 0x1.0fdb48ca9d894p-18, 0x1.0f3e75326ad9p-18, 0x1.0e7469867115ap-18, 0x1.0d77ed126043dp-18, 0x1.0c58ee14f507bp-18, 0x1.0b0e6ecf12a2cp-18, 0x1.098a30ca69bcdp-18, 0x1.080af4031abb1p-18, 0x1.06518c7444809p-18, 0x1.04829583ff0ap-18, 0x1.028cfe54ae578p-18, 0x1.0073ef18e7848p-18, 0x1.fc80ced553f7cp-19, 0x1.f7db177d4c04bp-19, 0x1.f2ee50c607cf9p-19, 0x1.eddba9745ee36p-19, 0x1.e8934ccd391d3p-19, 0x1.e30243d2d2fe7p-19, 0x1.dd44a66c5b6a4p-19, 0x1.d7707f337733bp-19, 0x1.d16e9d0d3a825p-19, 0x1.cb1d9f32b4777p-19, 0x1.c4bfaa7662b8ap-19, 0x1.be355e18d09bep-19, 0x1.b784fa0e67755p-19, 0x1.b0acb59c17859p-19, 0x1.a9b0d3d77a3cdp-19, 0x1.a2c05c3f782acp-19, 0x1.9b89464e71107p-19, 0x1.9400297485c8cp-19, 0x1.8c956478a4a81p-19, 0x1.84f79705cf69p-19, 0x1.7d4bc143d9638p-19, 0x1.7587db442ed2dp-19, 0x1.6dca771a68a5cp-19, 0x1.65d3638895bd2p-19, 0x1.5dc9799d223f6p-19, 0x1.55bc92af7b78dp-19, 0x1.4d96bac9bedeep-19, 0x1.45537a60c9cedp-19, 0x1.3d06a8ac9d8fap-19, 0x1.34b1b779dda96p-19, 0x1.2c4f026a92366p-19, 0x1.23dda63f70b98p-19, 0x1.1b66c95b8a0b8p-19, 0x1.12dc6607f654fp-19, 0x1.0a4ba5e3b0b42p-19, 0x1.01bb8e0907baap-19, 0x1.f25e8dd94aaa4p-20, 0x1.e0f0192d10227p-20, 0x1.cf97d6641c4fp-20, 0x1.be5d0cc684759p-20, 0x1.ad32573444c89p-20, 0x1.9c1fd16b7cdbcp-20, 0x1.89f68c34db6f6p-20, 0x1.788290b875b96p-20, 0x1.67616fa457ddfp-20, 0x1.566421679476dp-20, 0x1.449a08a7d5b8p-20, 0x1.33100c0a0388fp-20, 0x1.21bcb938494f8p-20, 0x1.104e4e43de624p-20, 0x1.fdf267fac1605p-21, 0x1.dbcccd7a29278p-21, 0x1.b9505a37bc038p-21, 0x1.96d0d43052ce7p-21, 0x1.74931a4bf9e8fp-21, 0x1.525efb34b707ap-21, 0x1.305c8e3ed5e53p-21, 0x1.0e8d55a56085fp-21, 0x1.d9b4bb7e7149ap-22, 0x1.969aaa4fd18f5p-22, 0x1.53bc4fb6ba299p-22, 0x1.113c57aa0b091p-22, 0x1.9e8f198e368a3p-23, 0x1.1aa31010a537p-23, 0x1.302b68cc0f0dep-24, 0x1.5e29c4ebdc1a2p-27, -0x1.ad2dd7030cd6p-25, -0x1.d798da5b24d7cp-24, -0x1.6b2d0905c2ad8p-23, -0x1.e9c9679bce556p-23, -0x1.33b9514348aabp-22, -0x1.72161446bf943p-22, -0x1.b001b42cd64a5p-22, -0x1.edb4a62da771p-22, -0x1.14f844037be4bp-21, -0x1.33968e59ed24cp-21, -0x1.518910f5b92e4p-21, -0x1.6f40aee2e58bdp-21, -0x1.8c507b00325fdp-21, -0x1.a986ed0856135p-21, -0x1.c67a646722c2bp-21, -0x1.e30503d7fc9dp-21, -0x1.ff4aedf753e78p-21, -0x1.0db5ea689ed32p-20, -0x1.1b9c3eb26650ap-20, -0x1.294005a78556bp-20, -0x1.36d133076961ap-20, -0x1.443ffc399241bp-20, -0x1.5196f14bc85d8p-20, -0x1.5e710b614265bp-20, -0x1.6b8cc3afe5482p-20, -0x1.7872c40a69c5fp-20, -0x1.84dce7cafb124p-20, -0x1.919faf6307c6fp-20, -0x1.9dd673874c497p-20, -0x1.a9eb38bc32ef3p-20, -0x1.b6058adc1de36p-20, -0x1.c110f6ebd004p-20, -0x1.cd2fdd373c4d1p-20, -0x1.d907589097c34p-20, -0x1.e490a16b22faap-20, -0x1.ef0409ff681a6p-20, -0x1.fa8ca9c1d8a37p-20, -0x1.02a7d0cd5942ep-19, -0x1.07fa7ec51e648p-19, -0x1.0d41866535ebcp-19, -0x1.1260de264d0cdp-19, -0x1.17820fa161f7ep-19, -0x1.1c822707c5b44p-19, -0x1.215e6d12f35c5p-19, -0x1.263843174a27bp-19, -0x1.2af40ff1e4637p-19, -0x1.2f9b2839e78f6p-19, -0x1.342f9b2773ad7p-19, -0x1.38ae54db26d8cp-19, -0x1.3d1755a9545ecp-19, -0x1.416ae59778e67p-19, -0x1.45a8701a0f7edp-19, -0x1.49cf054a12dd9p-19, -0x1.4dddd750d68c2p-19, -0x1.51d84ad0aae7p-19, -0x1.55bccb7e0a446p-19, -0x1.599114bc816e5p-19, -0x1.5d50dcdae87c6p-19, -0x1.60f0efd89e5c4p-19, -0x1.64844793dd7f4p-19, -0x1.67fbdd7ea50eap-19, -0x1.6b5add7eee2ccp-19, -0x1.6eacaab9e88bfp-19, -0x1.71ed994f02ad2p-19, -0x1.750f1d4cad381p-19, -0x1.78204ccf0c9ebp-19, -0x1.7b1bafb9f78dp-19, -0x1.7dfd8cb524eaap-19, -0x1.80d3cf73d0cdp-19, -0x1.8391a51462b72p-19, -0x1.8628b93fa2781p-19, -0x1.88c6e29cc5418p-19, -0x1.8b4b09b929f5dp-19, -0x1.8dbbbd5c8b18cp-19, -0x1.8fff0499a848ap-19, -0x1.924719b2158afp-19, -0x1.947c79cfd7328p-19, -0x1.9697de847d366p-19, -0x1.98a3f782ea1c2p-19, -0x1.9ab0fba72d5bp-19, -0x1.9c7bd9208aadp-19, -0x1.9e4764399290bp-19, -0x1.a0002022bfdf9p-19, -0x1.a18cdccb1ff17p-19, -0x1.a32a561ae1086p-19, -0x1.a4a7ce5613dfap-19, -0x1.a61cd8127d8dfp-19, -0x1.a747ca5188d23p-19, -0x1.a8c998b139dbfp-19, -0x1.a9fbbc3225eb8p-19, -0x1.ab1e0300ebf38p-19, -0x1.ac17d401292a5p-19, -0x1.ad25a6496063p-19, -0x1.ae133dff197ebp-19, -0x1.aedf622989487p-19, -0x1.af9a136d7bdaap-19, -0x1.b074e1f76d2efp-19, -0x1.b11a817b0ddfep-19, -0x1.b1b2ea19b78f8p-19, -0x1.b23cc64e704f7p-19, -0x1.b2acaf313dfc5p-19, -0x1.b30bcc6c8331p-19, -0x1.b36f27876c37p-19, -0x1.b3ae6dff535bap-19, -0x1.b3d7a4e112b9p-19, -0x1.b407930cad66p-19, -0x1.b41b6a925d6b4p-19, -0x1.b410d00255979p-19, -0x1.b409c7134063dp-19, -0x1.b3f003df5e071p-19, -0x1.b3bbec51e677bp-19, -0x1.b38e70b8f34ap-19, -0x1.b34dc87e503b9p-19, -0x1.b2e37e286755fp-19, -0x1.b27fd2a0f4567p-19, -0x1.b21c13bf960fap-19, -0x1.b19610002b463p-19, -0x1.b10c0d6ff0cafp-19, -0x1.b06a7cb0ece03p-19, -0x1.afc2e5aab1ad3p-19, -0x1.af07817a93643p-19, -0x1.ae40f044c0c54p-19, -0x1.ad83f147e099ep-19, -0x1.ac91661a7e04ep-19, -0x1.abb350b856166p-19, -0x1.aab0727663bfcp-19, -0x1.a9a80de9fa2ap-19, -0x1.a89c0f6dafae2p-19, -0x1.a7784595504fap-19, -0x1.a652af79365bcp-19, -0x1.a52414919d564p-19, -0x1.a3e547d8640f6p-19, -0x1.a2999f4cc9c03p-19, -0x1.a135f4cc50ad9p-19, -0x1.9fd68b4d8172ep-19, -0x1.9e76429c3a791p-19, -0x1.9cedb44afb30bp-19, -0x1.9b775a9784a34p-19, -0x1.99efed9fad182p-19, -0x1.984999dc59e49p-19, -0x1.96a48df9bb2bbp-19, -0x1.95035256286bp-19, -0x1.9349ffb835cbfp-19, -0x1.919847b28f671p-19, -0x1.8fcdbdb855e73p-19, -0x1.8df0c6bc644b8p-19, -0x1.8c1d44083498ap-19, -0x1.8a1b5e5dd6cfap-19, -0x1.8852461b133acp-19, -0x1.865b2030347d6p-19, -0x1.84587452b20d6p-19, -0x1.82530a9616e7dp-19, -0x1.80468fcc38a86p-19, -0x1.7e311e4de1cf3p-19, -0x1.7c13213afd532p-19, -0x1.79ee4afd04df6p-19, -0x1.77c5011a6a513p-19, -0x1.758d877f7f297p-19, -0x1.734e0020d4965p-19, -0x1.712c44d3e05f2p-19, }}, 
      {{-0x1.6c1f3537b3014p-2, -0x1.435b59852619ap-2, -0x1.1d31a837f94acp-2, -0x1.0c8e6471d85ep-2, -0x1.1ab478689e195p-2, -0x1.48a9df95b940dp-2, -0x1.91ecf153ad69p-2, -0x1.ef028f9d086c6p-2, -0x1.2bb5bc3caea3p-1, -0x1.617af1994e9c4p-1, -0x1.954275b488083p-1, -0x1.c43825ed2d476p-1, -0x1.ec4e73ad5f85p-1, -0x1.061a28c223aadp+0, -0x1.119f57fca13cep+0, -0x1.18a634c30c3a5p+0, -0x1.1b5484e30596ep+0, -0x1.19f8877ac3d77p+0, -0x1.14fc85553b40cp+0, -0x1.0cdc228ca95dbp+0, -0x1.021b89968e41bp+0, -0x1.ea80c6551c829p-1, -0x1.cd98eca46a54cp-1, -0x1.ae737d8142eb5p-1, -0x1.8def8529ab23ep-1, -0x1.6cd3e2e019fbp-1, -0x1.4bcdb1ad55477p-1, -0x1.2b6ffd29d1df6p-1, -0x1.0c346f1ade153p-1, -0x1.dcf95bc35a257p-2, -0x1.a528623b97d8dp-2, -0x1.7164b8a63bd72p-2, -0x1.41f974cd2e93cp-2, -0x1.17127db944664p-2, -0x1.e181e54c42242p-3, -0x1.9dfeb47c8d782p-3, -0x1.636b13cfb3218p-3, -0x1.317873688bd17p-3, -0x1.07c079c6daeddp-3, -0x1.cb957baa417fbp-4, -0x1.962393bafe4e9p-4, -0x1.6e0edea665164p-4, -0x1.5230efe7d9c4fp-4, -0x1.415f81c844c87p-4, -0x1.3a7193e958f21p-4, -0x1.3c4399718af49p-4, -0x1.45bad0ed777e7p-4, -0x1.55c7dd748bfb4p-4, -0x1.6b68b7762cbd4p-4, -0x1.85aa0a9ad78eap-4, -0x1.a3a8266f9d726p-4, -0x1.c48f8f7da1002p-4, -0x1.e79d38f5f5617p-4, -0x1.060f3cbe899bap-3, -0x1.18b860f48f4b1p-3, -0x1.2b8099d81d63fp-3, -0x1.3e260b783afeap-3, -0x1.506e1ea8396e7p-3, -0x1.622527a2ae5b7p-3, -0x1.731e03f4925c2p-3, -0x1.8331b5192eb17p-3, -0x1.923ef9b39926ep-3, -0x1.a029e69eae451p-3, -0x1.acdb835ffb7f6p-3, -0x1.b84167e465f7bp-3, -0x1.c24d5dcfa6fe7p-3, -0x1.caf50369a2e07p-3, -0x1.d23172e39f839p-3, -0x1.d7feecf3386afp-3, -0x1.dc5c88431307ap-3, -0x1.df4be58b97bb6p-3, -0x1.e0d0e885bdb4bp-3, -0x1.e0f174bdf12e1p-3, -0x1.dfb53097e5b34p-3, -0x1.dd2549bd15ccep-3, -0x1.d94c406e003c2p-3, -0x1.d435b49169894p-3, -0x1.cdee370bd09afp-3, -0x1.c6831f410079cp-3, -0x1.be02636c8dfbap-3, -0x1.b47a7401c1e64p-3, -0x1.a9fa1b2bc120ap-3, -0x1.9e905ed32076ap-3, -0x1.924c659c4b5e5p-3, -0x1.853d5e2eaccf2p-3, -0x1.77726a2a56bp-3, -0x1.68fa89fe1bfd9p-3, -0x1.59e48cad92a73p-3, -0x1.4a3f00173df74p-3, -0x1.3a1823a981b12p-3, -0x1.297dddfc72894p-3, -0x1.187db24199f5bp-3, -0x1.0724b86d22eedp-3, -0x1.eaff2da0e9092p-4, -0x1.c734f8ebcec1dp-4, -0x1.a302398f973a5p-4, -0x1.7e7d59b37c5fbp-4, -0x1.59bbc236a047p-4, -0x1.34d1d83deb614p-4, -0x1.0fd2fc3f0f1bcp-4, -0x1.d5a316a4eea3ep-5, -0x1.8bbdc003689b3p-5, -0x1.4216aa5bf2d7ep-5, -0x1.f1992da0f487fp-6, -0x1.5ff8b1022343ep-6, -0x1.9f03753f4eba8p-7, -0x1.019a108022c0fp-8, 0x1.34a9381874d2ep-8, 0x1.b20b29c3cd5e4p-7, 0x1.63037628d69b3p-6, 0x1.eaff57349ad38p-6, 0x1.386bdca70515bp-5, 0x1.7a370b5a593a4p-5, 0x1.bad362b699c39p-5, 0x1.fa346b88c8fb4p-5, 0x1.1c277f8ca3aep-4, 0x1.3a8c999c930c3p-4, 0x1.58452627b6d12p-4, 0x1.754d598f5ca53p-4, 0x1.91a1efc6bc33bp-4, 0x1.ad402537a48cfp-4, 0x1.c825b319ee0d3p-4, 0x1.e250c53824cb1p-4, 0x1.fbbff2e2265fep-4, 0x1.0a391e2b90ab8p-3, 0x1.16338092b686ep-3, 0x1.21cefcb390a5dp-3, 0x1.2d0b9a3eeba4fp-3, 0x1.37e987dbe7a5bp-3, 0x1.426917f8e7c93p-3, 0x1.4c8ac07dddd2fp-3, 0x1.564f17316be57p-3, 0x1.5fb6ce0297726p-3, 0x1.68c2b2944931bp-3, 0x1.7173acc343e11p-3, 0x1.79cab9de98451p-3, 0x1.81c8ec1f7f865p-3, 0x1.896f6a1e6526ep-3, 0x1.90bf6b73fdedfp-3, 0x1.97ba362db08ecp-3, 0x1.9e611f20619a3p-3, 0x1.a4b58856d73e5p-3, 0x1.aab8ddefd36a4p-3, 0x1.b06c95014eaafp-3, 0x1.b5d22bfa6264dp-3, 0x1.baeb28a7a3d4ep-3, 0x1.bfb91594694aap-3, 0x1.c43d81db68582p-3, 0x1.c87a0177d1e0fp-3, 0x1.cc702b348b81ep-3, 0x1.d021969b1f15bp-3, 0x1.d38fdc4e55204p-3, 0x1.d6bc96229d8d1p-3, 0x1.d9a95d6167af6p-3, 0x1.dc57c96ef3dcep-3, 0x1.dec96fb1955c9p-3, 0x1.e0ffe4465fc6fp-3, 0x1.e2fcb86041633p-3, 0x1.e4c17932e4066p-3, 0x1.e64fb0020c728p-3, 0x1.e7a8e28630e67p-3, 0x1.e8ce924143f2p-3, 0x1.e9c23b774f5ecp-3, 0x1.ea8554e19ad89p-3, 0x1.eb19500dbcf58p-3, 0x1.eb7f9994da728p-3, 0x1.ebb9981c9001dp-3, 0x1.ebc8abeb8e1a7p-3, 0x1.ebae2efedcdf3p-3, 0x1.eb6b758bd7bd7p-3, 0x1.eb01cdb84414fp-3, 0x1.ea727f1572ba8p-3, 0x1.e9beca492a44ep-3, 0x1.e8e7e99e4e9a2p-3, 0x1.e7ef112936ce2p-3, 0x1.e6d56e9e5e788p-3, 0x1.e59c28c408dabp-3, 0x1.e4445fdc767a4p-3, 0x1.e2cf2d871af32p-3, 0x1.e13da54681952p-3, 0x1.df90d4597b904p-3, 0x1.ddc9c1499e108p-3, 0x1.dbe96c5cf9ca3p-3, 0x1.d9f0cf7555435p-3, 0x1.d7e0deb47c9f8p-3, 0x1.d5ba88122bb02p-3, 0x1.d37eb381068cdp-3, 0x1.d12e42f485249p-3, 0x1.ceca129b5914ep-3, 0x1.cc52f8deb957ap-3, 0x1.c9c9c6ea45ee3p-3, 0x1.c72f482758024p-3, 0x1.c48442a371b08p-3, 0x1.c1c97720778c6p-3, 0x1.beffa118f3579p-3, 0x1.bc277727ccc5ap-3, 0x1.b941aaeaad038p-3, 0x1.b64ee91c2ab2ep-3, 0x1.b34fd9b921829p-3, 0x1.b0452004c565dp-3, 0x1.ad2f5aaba247ap-3, 0x1.aa0f2439374f5p-3, 0x1.a6e512b41d6dep-3, 0x1.a3b1b7e66d9ddp-3, 0x1.a075a1a513d0ep-3, 0x1.9d315983f7527p-3, 0x1.99e5654624befp-3, 0x1.96924703a7ca3p-3, 0x1.93387cd5a4f31p-3, 0x1.8fd8817591ba5p-3, 0x1.8c72cc163fap-3, 0x1.8907d022fdfedp-3, 0x1.8597fe00ffbc2p-3, 0x1.8223c2b1cfeb8p-3, 0x1.7eab880d4b742p-3, 0x1.7b2fb4c543b15p-3, 0x1.77b0acb0eba19p-3, 0x1.742ed075b25ebp-3, 0x1.70aa7e142318dp-3, 0x1.6d2410805f571p-3, 0x1.699be0530cb01p-3, 0x1.6612433917abbp-3, 0x1.62878c41059c2p-3, 0x1.5efc0c4610ad5p-3, 0x1.5b701160a37e8p-3, 0x1.57e3e75e55171p-3, 0x1.5457d7c3f0bfdp-3, 0x1.50cc29bf83addp-3, 0x1.4d4122664168dp-3, 0x1.49b7048581dc6p-3, 0x1.462e11166c82bp-3, 0x1.42a686858ee18p-3, 0x1.3f20a1c1d3692p-3, 0x1.3b9c9d689407fp-3, 0x1.381ab262fcab8p-3, 0x1.349b17c9d305ap-3, 0x1.311e02ab91216p-3, 0x1.2da3a6bb7d661p-3, 0x1.2a2c3576fd9d5p-3, 0x1.26b7def7bf5fbp-3, 0x1.2346d1a3d0c44p-3, 0x1.1fd93a312c222p-3, 0x1.1c6f44088fc94p-3, 0x1.1909189c212fap-3, 0x1.15a6e060b1f5bp-3, 0x1.1248c1fa3f8c9p-3, 0x1.0eeee28c1c7eap-3, 0x1.0b996639ef9c1p-3, 0x1.08486f513f2a2p-3, 0x1.04fc1f4712208p-3, 0x1.01b495ee98d0ep-3, 0x1.fce3e3dcc98c5p-4, 0x1.f668a13010f47p-4, 0x1.eff79c671e266p-4, 0x1.e9910b4d273c9p-4, 0x1.e335217ad8aebp-4, 0x1.dce4108c6517dp-4, 0x1.d69e079b3548dp-4, 0x1.d063338db6169p-4, 0x1.ca33bf49d7172p-4, 0x1.c40fd350e204fp-4, 0x1.bdf7968a1b113p-4, 0x1.b7eb2dc009081p-4, 0x1.b1eabb8bcd1b1p-4, 0x1.abf66136628bcp-4, 0x1.a60e3d8b4c742p-4, 0x1.a0326d84266d7p-4, 0x1.9a630d0c8c5dep-4, 0x1.94a03539c5357p-4, 0x1.8ee9fe769ef47p-4, 0x1.89407ed5cec95p-4, 0x1.83a3cb6176bcbp-4, 0x1.7e13f71cc1b4dp-4, 0x1.789113ab73043p-4, 0x1.731b30f1530e2p-4, 0x1.6db25d9b41e25p-4, 0x1.6856a6c608461p-4, 0x1.63081801ada11p-4, 0x1.5dc6bc13562f7p-4, 0x1.58929bc823a18p-4, 0x1.536bbf051a001p-4, 0x1.4e522c2f0cb18p-4, 0x1.4945e866861cap-4, 0x1.4446f7a25d323p-4, 0x1.3f555ca6d3fccp-4, 0x1.3a71194faa11cp-4, 0x1.359a2daa1f915p-4, 0x1.30d099dcb5bc6p-4, 0x1.2c145beaa9e14p-4, 0x1.2765716c35b2cp-4, 0x1.22c3d6581ab62p-4, 0x1.1e2f86384ce83p-4, 0x1.19a87b6bc7b56p-4, 0x1.152eaf5ce6942p-4, 0x1.10c21aa9069c4p-4, 0x1.0c62b5017e11fp-4, 0x1.0810758bf098ep-4, 0x1.03cb51e74e293p-4, 0x1.ff267f9459cfdp-5, 0x1.f6d066c2a739p-5, 0x1.ee9440c119364p-5, 0x1.e671f33ecc278p-5, 0x1.de6963611bd4cp-5, 0x1.d67a740c6a458p-5, 0x1.cea5076786a4dp-5, 0x1.c6e8fdfd55631p-5, 0x1.bf4637960adeap-5, 0x1.b7bc91f6eb3a9p-5, 0x1.b04beb143606fp-5, 0x1.a8f41dace750fp-5, 0x1.a1b505562531dp-5, 0x1.9a8e7c28ca408p-5, 0x1.93805ac16645bp-5, 0x1.8c8a79750046ep-5, 0x1.85acaf71fff5p-5, 0x1.7ee6d30b1fb5dp-5, 0x1.7838b9c366f5ap-5, 0x1.71a2384b268f2p-5, 0x1.6b2322800a635p-5, 0x1.64bb4b8631a9bp-5, 0x1.5e6a85f74a07fp-5, 0x1.5830a3cade22dp-5, 0x1.520d7616b2e6cp-5, 0x1.4c00cde7020c3p-5, 0x1.460a7b5239909p-5, 0x1.402a4e28a156cp-5, 0x1.3a601582568cap-5, 0x1.34aba0141bf1ep-5, 0x1.2f0cbc2c222d5p-5, 0x1.298337aa178d5p-5, 0x1.240ee017f8eb4p-5, 0x1.1eaf82a7fe634p-5, 0x1.1964ec4aec36dp-5, 0x1.142ee9a46fbd6p-5, 0x1.0f0d4713cad2ap-5, 0x1.09ffd0c55bf47p-5, 0x1.0506529ff10eep-5, 0x1.0020989ab0884p-5, 0x1.f69cdb5f78eabp-6, 0x1.ed1f3c0840b51p-6, 0x1.e3c7e84bdde0ap-6, 0x1.da9677a00ee71p-6, 0x1.d18a7fc5cff3ep-6, 0x1.c8a3971210787p-6, 0x1.bfe153f83575cp-6, 0x1.b7434d0b81c5ep-6, 0x1.aec9181f69a7cp-6, 0x1.a6724b26d16d3p-6, 0x1.9e3e7cf8c0a62p-6, 0x1.962d43b81e3f2p-6, 0x1.8e3e35f4bb59ep-6, 0x1.8670ea3d48951p-6, 0x1.7ec4f754a995bp-6, 0x1.7739f47b32c76p-6, 0x1.6fcf7980b5c61p-6, 0x1.68851e041306p-6, 0x1.615a7acc61bf7p-6, 0x1.5a4f28819a049p-6, 0x1.5362c04f5ff0cp-6, 0x1.4c94dc06e49bp-6, 0x1.45e5157e62f68p-6, 0x1.3f5306c1fc918p-6, 0x1.38de4b36d91f7p-6, 0x1.32867d9594756p-6, 0x1.2c4b39ee1756ep-6, 0x1.262c1c4b253a3p-6, 0x1.2028c1338d971p-6, 0x1.1a40c634d34e2p-6, 0x1.1473c9bd2fb2bp-6, 0x1.0ec16af513664p-6, 0x1.092949a2e7412p-6, 0x1.03ab06a83fe08p-6, 0x1.fc8c88150b1fbp-7, 0x1.f1f547f205613p-7, 0x1.e78f939aea6aep-7, 0x1.dd5ab15d76707p-7, 0x1.d355e9143b988p-7, 0x1.c98082949a116p-7, 0x1.bfd9c629b401dp-7, 0x1.b660fd276d54fp-7, 0x1.ad1572980b70dp-7, 0x1.a3f6738389e7p-7, 0x1.9b0350d8aa866p-7, 0x1.923b5b9a66089p-7, 0x1.899def7d9b668p-7, 0x1.812a60fc83955p-7, 0x1.78e012c222455p-7, 0x1.70be61b20e203p-7, 0x1.68c4ae6618eep-7, 0x1.60f257d887cffp-7, 0x1.5946bb5e21e0bp-7, 0x1.51c134de3dccbp-7, 0x1.4a611ed49c1b3p-7, 0x1.4325d337b1d55p-7, 0x1.3c0eace58b835p-7, 0x1.351b0b8881413p-7, 0x1.2e4a540b117bbp-7, 0x1.279bf2656cac6p-7, 0x1.210f5a0f32f3ep-7, 0x1.1aa40558094ffp-7, 0x1.1459738fd95cep-7, 0x1.0e2f268635251p-7, 0x1.08249ea0bb876p-7, 0x1.0239581878f98p-7, 0x1.f8d992429c406p-8, 0x1.ed7cc58c70ac3p-8, 0x1.e25b15429db3ep-8, 0x1.d773582cc8636p-8, 0x1.ccc456c18deaep-8, 0x1.c24ceb1119722p-8, 0x1.b80bff92ef912p-8, 0x1.ae00958d5c6b9p-8, 0x1.a429ca4478e87p-8, 0x1.9a86d2457238bp-8, 0x1.9116f51506db2p-8, 0x1.87d9826c94a85p-8, 0x1.7ecdc5fa8b358p-8, 0x1.75f3008e25abap-8, 0x1.6d485d1e6161dp-8, 0x1.64ccee4a85b5p-8, 0x1.5c7faf6427ce1p-8, 0x1.545f8b0713d16p-8, 0x1.4c6b6583953e4p-8, 0x1.44a228df7f995p-8, 0x1.3d02d03b4fe7dp-8, 0x1.358c71d333765p-8, 0x1.2e3e45adfeb72p-8, 0x1.2717a3d72b74fp-8, 0x1.201801f036e49p-8, 0x1.193ee880f952ep-8, 0x1.128be61434275p-8, 0x1.0bfe80d1c0befp-8, 0x1.0596346f9dda9p-8, 0x1.fea4ad642b11dp-9, 0x1.f2645cd6b680ap-9, 0x1.e669bbda718a5p-9, 0x1.dab2f7bb59157p-9, 0x1.cf3e34d287f8cp-9, 0x1.c4099c66db07cp-9, 0x1.b91378a43236fp-9, 0x1.ae5a48700a8bap-9, 0x1.a3dcbe9f7755bp-9, 0x1.9999cb3413467p-9, 0x1.8f908d2e339a8p-9, 0x1.85c044cfadcc3p-9, 0x1.7c28405a36f68p-9, 0x1.72c7ca1246de4p-9, 0x1.699e15cded4cbp-9, 0x1.60aa3636e5e25p-9, 0x1.57eb19caf6a55p-9, 0x1.4f5f86f78f61fp-9, 0x1.47063f7fedfa9p-9, 0x1.3eddf0e05f3c9p-9, 0x1.36e53e04ab92cp-9, 0x1.2f1aef09e3ba8p-9, 0x1.277ddd2695e4dp-9, 0x1.200cff9004506p-9, 0x1.18c76c914246p-9, 0x1.11ac550a0382fp-9, 0x1.0abaf9fba431ep-9, 0x1.03f2a27f4604dp-9, 0x1.faa529a37ef47p-10, 0x1.edb41ce3c1438p-10, 0x1.e1107e225ca77p-10, 0x1.d4b893e937db8p-10, 0x1.c8aaa0a3dbfd8p-10, 0x1.bce4ee7e7ce32p-10, 0x1.b165e2744a675p-10, 0x1.a62bf4075e9dbp-10, 0x1.9b35c447957f9p-10, 0x1.9081ec001208ep-10, 0x1.860f2e0568ca2p-10, 0x1.7bdc3b7d70564p-10, 0x1.71e7c6221e6fp-10, 0x1.68307ec25c3dep-10, 0x1.5eb5148ed1494p-10, 0x1.557436c16efdcp-10, 0x1.4c6c90f6de548p-10, 0x1.439cc22ca3828p-10, 0x1.3b03526853dd3p-10, 0x1.329eb590d7d22p-10, 0x1.2a6d4c04d02cdp-10, 0x1.226d797d8eec2p-10, 0x1.1a9dc664df06dp-10, 0x1.12fd3f257aff2p-10, 0x1.0b8af5eb79302p-10, 0x1.04468ae887eeap-10, 0x1.fa5f5f0b0b86bp-11, 0x1.ec8c0a16146ap-11, 0x1.df11dd9604f8fp-11, 0x1.d1eef64640bc7p-11, 0x1.c520eedbd446dp-11, 0x1.b8a532dbd5d8ep-11, 0x1.ac793525d89cap-11, 0x1.a09aab542cf8ap-11, 0x1.9507af81af79ep-11, 0x1.89bea2cbdc794p-11, 0x1.7ebdf2a392533p-11, 0x1.7403c5286ddb1p-11, 0x1.698dc4013d2b8p-11, 0x1.5f591c8210504p-11, 0x1.5562ed51e1602p-11, 0x1.4ba8ec4fdc859p-11, 0x1.4229e29aad7d6p-11, 0x1.38e5e1cfb8982p-11, 0x1.2fdd9f9c9ec24p-11, 0x1.2711c0b139137p-11, 0x1.1e82092e2cb66p-11, 0x1.162d2b9c32e82p-11, 0x1.0e10e3b057fe7p-11, 0x1.062a9da5fe8d9p-11, 0x1.fcef9e77d842fp-12, 0x1.eded13aea334dp-12, 0x1.df4a82694291dp-12, 0x1.d105dede32cfp-12, 0x1.c31e7ff9cea27p-12, 0x1.b593ce3e2bfb4p-12, 0x1.a864b15f4307ap-12, 0x1.9b8ec988bad39p-12, 0x1.8f0e1222d6b85p-12, 0x1.82dd8730ac6e7p-12, 0x1.76f89e5a57f4cp-12, 0x1.6b5d8b24a94f8p-12, 0x1.600b3df205513p-12, 0x1.5503b6c37459ep-12, 0x1.4a4866ff6656p-12, 0x1.3fd97c2e3df1cp-12, 0x1.35b5481522da6p-12, 0x1.2bd8c9669e68bp-12, 0x1.224081051a24p-12, 0x1.18e90f05ecb8ep-12, 0x1.0fcf839deebfcp-12, 0x1.06f188d87f60dp-12, 0x1.fc9add9dcb789p-13, 0x1.ebc42b73ddf57p-13, 0x1.db5e12f58e9a4p-13, 0x1.cb682a34e0406p-13, 0x1.bbe17bca6e7d5p-13, 0x1.acc7e83eb2d21p-13, 0x1.9e17e0a118fa7p-13, 0x1.8fccd930682cap-13, 0x1.81e296a7afab1p-13, 0x1.7455d0bbb186fp-13, 0x1.67248549ec83ap-13, 0x1.5a4da7b7bac06p-13, 0x1.4dd04b177efep-13, 0x1.41aaf977dca92p-13, 0x1.35dbee1ab3075p-13, 0x1.2a6159d75cc1fp-13, 0x1.1f3912af05f3ap-13, 0x1.1460f8fc39374p-13, 0x1.09d43352fd401p-13, 0x1.ff27720dae229p-14, 0x1.eb382efb73606p-14, 0x1.d7d4f811485cap-14, 0x1.c4f6d7dd990c9p-14, 0x1.b298afe879f8cp-14, 0x1.a0b81efd8c566p-14, 0x1.8f5457e93c0d1p-14, 0x1.7e6c8ddeb03cap-14, 0x1.6dff811e84103p-14, 0x1.5e0b925aeb14ap-14, 0x1.4e8f623b4b05cp-14, 0x1.3f8a5c23d1c49p-14, 0x1.30fa796b6e521p-14, 0x1.22d9392e674b6p-14, 0x1.151c7e266c5eep-14, 0x1.07bc31c062761p-14, 0x1.f56d2d7d2d0d9p-15, 0x1.dc1df075661e4p-15, 0x1.c38fe18995a37p-15, 0x1.abb9b85aed46fp-15, 0x1.94955c3dcc425p-15, 0x1.7e251bef458a7p-15, 0x1.686c34cfda96dp-15, 0x1.5365a408cff07p-15, 0x1.3f044ccdc5978p-15, 0x1.2b38499a220b3p-15, 0x1.17f5200661ee9p-15, 0x1.053653a75af57p-15, 0x1.e5ff85ff850dbp-16, 0x1.c2a97f8b87a3fp-16, 0x1.a06991fa09a1cp-16, 0x1.7f37c6888881dp-16, 0x1.5f1239ad08fb7p-16, 0x1.400568d8a9733p-16, 0x1.2213f1c720b98p-16, 0x1.052d984570e4bp-16, 0x1.d2634c6e7f921p-17, 0x1.9bf4a5fc0c7c4p-17, 0x1.66f8aae82ae21p-17, 0x1.339623699fc9ap-17, 0x1.01ec626d3674dp-17, 0x1.a3c27ad73188bp-18, 0x1.46aa496ff91b5p-18, 0x1.d92c86891ed0dp-19, 0x1.2b6746a63eff4p-19, 0x1.0864d9caacf4ap-20, -0x1.cff70c7e02dc2p-23, -0x1.70cf8a1e43908p-20, -0x1.4e6ce9951eeadp-19, -0x1.df9f836c62db6p-19, -0x1.363973a1f0e4p-18, -0x1.7a672160ff654p-18, -0x1.bc241ae7c806ap-18, -0x1.fb73e48f70e48p-18, -0x1.1c433f14fa4fbp-17, -0x1.39b4dc8a4d41ep-17, -0x1.55fbf67bdef6fp-17, -0x1.710c502c2e39p-17, -0x1.8af78d71d704fp-17, -0x1.a3dfb53a972f2p-17, -0x1.bbd7b7e166b57p-17, -0x1.d2ec28ccaa58p-17, -0x1.e93b754941964p-17, -0x1.fe9a55e94efc6p-17, -0x1.098a3aba64dddp-16, -0x1.136281c5ecf3dp-16, -0x1.1cd122533d457p-16, -0x1.25cf223fbd08bp-16, -0x1.2e6306ecb161ap-16, -0x1.3694f78e39c03p-16, -0x1.3e63a4d660b7cp-16, -0x1.45dc3ef90eea2p-16, -0x1.4cee1c6696c32p-16, -0x1.53a3c121e2fb5p-16, -0x1.5a046690f7261p-16, -0x1.601981b76e1bp-16, -0x1.65e3656280a4fp-16, -0x1.6b5a9db847d4dp-16, -0x1.70842e8b6e47fp-16, -0x1.7567c286f5834p-16, -0x1.7a003eba626fep-16, -0x1.7e499e1b5e3e8p-16, -0x1.82490c998b225p-16, -0x1.86061c53c1c08p-16, -0x1.897ee8acad316p-16, -0x1.8cb5d7d7f43fdp-16, -0x1.8fb2e42b332a5p-16, -0x1.927530c7326c4p-16, -0x1.94fd50bff98ebp-16, -0x1.975267cf7caffp-16, -0x1.996f3b0d1d535p-16, -0x1.9b4f5f0398d55p-16, -0x1.9cf8e290bfa3bp-16, -0x1.9e70e89a88367p-16, -0x1.9fb8bc7d541f6p-16, -0x1.a0cf62960c7d4p-16, -0x1.a1bc5276df564p-16, -0x1.a27736ce8de19p-16, -0x1.a30584c2a065fp-16, -0x1.a366af6a8e8aep-16, -0x1.a39acdf5dbc51p-16, -0x1.a3a3cfc10fc31p-16, -0x1.a389492b57f86p-16, -0x1.a348fa5b6a58dp-16, -0x1.a2e50360f78b5p-16, -0x1.a25e3c87555fcp-16, -0x1.a1b3687543d92p-16, -0x1.a0e218ea22de1p-16, -0x1.9fea94bf9f83cp-16, -0x1.9ee06a86989a6p-16, -0x1.9db00ef65c083p-16, -0x1.9c5e38d411cc5p-16, -0x1.9aef6b98af2c1p-16, -0x1.9965f9282315dp-16, -0x1.97c5484f0b0bdp-16, -0x1.960974b1288dcp-16, -0x1.94263f200e6ebp-16, -0x1.923af5e1afb7p-16, -0x1.9030ed6140e92p-16, -0x1.8e0fed08026d9p-16, -0x1.8bd19bf10dffbp-16, -0x1.898a7c08d06dap-16, -0x1.87296617f6786p-16, -0x1.84b2aaf8b5fffp-16, -0x1.82273e668e8f4p-16, -0x1.7f8a5342a8bebp-16, -0x1.7cda669893ee7p-16, -0x1.7a17c0c30d6e7p-16, -0x1.7744067e4e897p-16, -0x1.745df8c2404d9p-16, -0x1.7168aead76693p-16, -0x1.6e63151f91bb6p-16, -0x1.6b52ac34da9b3p-16, -0x1.68342d40e0656p-16, -0x1.6504dff1037d9p-16, -0x1.61c94d67e3103p-16, -0x1.5e82b71874359p-16, -0x1.5b2f7dd0ac9e3p-16, -0x1.57cea106a4a7cp-16, -0x1.5462c91c5efa1p-16, -0x1.50f010e0f59ffp-16, -0x1.4d735410af8eep-16, -0x1.49eb99f07e9e1p-16, -0x1.46594569277ecp-16, -0x1.42bfcb149ce99p-16, -0x1.3f1e81ccb14f1p-16, -0x1.3b75091a96b6dp-16, -0x1.37c48d1ba2eeap-16, -0x1.340d28c1ccabbp-16, -0x1.304f3e1b9f17p-16, -0x1.2c8b3e0cb37c1p-16, -0x1.28c1652e17bdap-16, -0x1.24f211a3c05a8p-16, -0x1.211dd6ddced2bp-16, -0x1.1d4545f3efc96p-16, -0x1.19687809dcf8bp-16, -0x1.1587c6bf624e3p-16, -0x1.11a3e3610dda6p-16, -0x1.0dbd22e052fb9p-16, -0x1.09d0fd3dc4752p-16, -0x1.05e1652d244fep-16, -0x1.01f1ef68352f3p-16, -0x1.fc05080d9477bp-17, -0x1.f4210df02597cp-17, -0x1.ec2f0702190ebp-17, -0x1.e440b6dd3d5e1p-17, -0x1.dc5c06cf679dcp-17, -0x1.d476f30ee7b3bp-17, -0x1.cc7e6ce2381f2p-17, -0x1.c484d96232cb2p-17, -0x1.bc939c088b60cp-17, -0x1.b4a1491511615p-17, -0x1.acb534a7244d3p-17, -0x1.a4c8c89ff81e5p-17, -0x1.9cdc5e66eaa6ep-17, -0x1.94f92b4a4c563p-17, -0x1.8d12d2b8bc9bbp-17, -0x1.85303546f2ba1p-17, -0x1.7d5358e8c620ap-17, -0x1.757808f6d3894p-17, -0x1.6da32fa14fe8ap-17, -0x1.65d3d32f27fd4p-17, -0x1.5e0977cdaeb5ap-17, -0x1.564580917d4e8p-17, -0x1.4e87f72f2eefdp-17, -0x1.46ce5d6fade8cp-17, -0x1.3f1de8f8aa63ap-17, -0x1.3773b166dbf13p-17, -0x1.2fd18b6c2f957p-17, -0x1.2835a3a86e915p-17, -0x1.20a3c2fe7b8afp-17, -0x1.191957df2aa2ap-17, -0x1.1196264a87ab8p-17, -0x1.0a1d20ca6deccp-17, -0x1.02ad30dfb52cp-17, -0x1.f68b8c456d6bep-18, -0x1.e7d225c96832bp-18, -0x1.d92a171d0cf73p-18, -0x1.ca99358406884p-18, -0x1.bc1a69389ecefp-18, -0x1.adb29958720e9p-18, -0x1.9f6083a795f3cp-18, -0x1.9124ac858d07ep-18, -0x1.82ffedc6d9bf6p-18, -0x1.74f040e645cd6p-18, -0x1.66f9da85f6c1bp-18, -0x1.591c09bebecf3p-18, -0x1.4b514374a82d8p-18, -0x1.3da1d2117894bp-18, -0x1.300d2dc1647abp-18, -0x1.229f41bd878fp-18, -0x1.152cba370bb0ep-18, -0x1.07def5cfcd77dp-18, -0x1.f557735b09c86p-19, -0x1.db31b0e7aa7dcp-19, -0x1.c126dadbbb2b1p-19, -0x1.a76c43243e004p-19, -0x1.8dded9ba0856fp-19, -0x1.7486b473220f6p-19, -0x1.5bad725dda427p-19, -0x1.429ce72a09cf3p-19, -0x1.29dd10dd71e39p-19, -0x1.11549fd85d5d6p-19, -0x1.f23cb87794989p-20, -0x1.c21b92ac16133p-20, -0x1.9293c0a51cc6cp-20, -0x1.63747a561696dp-20, -0x1.34bac3a2ea727p-20, -0x1.0688ba611dbaap-20, -0x1.b1561b7eb492bp-21, -0x1.56bd09118d0b4p-21, -0x1.f9ef6b925a6a8p-22, -0x1.484fcdd458ec5p-22, -0x1.30f32c002df32p-23, 0x1.5863ebee9b0cfp-26, 0x1.834e29cf2c4bap-23, 0x1.6be5b3a1d737cp-22, 0x1.0a207dd1370b4p-21, 0x1.5d5e7a0466a9cp-21, 0x1.afab82394805ep-21, 0x1.008234765afc9p-20, 0x1.28b945a6dd09bp-20, 0x1.50768d8d7e3efp-20, 0x1.77bb2bc84d69ep-20, 0x1.9e85b5d809295p-20, 0x1.c4d3f6e500e4dp-20, 0x1.eaaa3f6fb46ecp-20, 0x1.080762604ba95p-19, 0x1.1a7bd9f2bec45p-19, 0x1.2cd8a4a70898cp-19, 0x1.3eb10de85a62bp-19, 0x1.506d64ae624b9p-19, 0x1.61ed1f28bede8p-19, 0x1.7333fd73149ddp-19, 0x1.843c905bf5cdap-19, 0x1.9504ba52c3ef2p-19, 0x1.a59638c6cc0e9p-19, 0x1.b5f0d5d3223fdp-19, 0x1.c5cc372779816p-19, 0x1.d5e6d5a8f2428p-19, 0x1.e57f64c8cb19ep-19, 0x1.f4eabbc7ffd5ep-19, 0x1.0207e3dd92c0fp-18, 0x1.098992b799e75p-18, 0x1.10e0510b9cd7p-18, 0x1.1819ff7c6066ap-18, 0x1.1f3ced19ac2e7p-18, 0x1.264ba0f19888cp-18, 0x1.2d250e84d26c2p-18, 0x1.33ec6239c3f27p-18, 0x1.3a96a36c6facbp-18, 0x1.41234c8cd16fp-18, 0x1.479d2334744bdp-18, 0x1.4dec42e113b92p-18, 0x1.54297b7c0258bp-18, 0x1.5a37fe92de2f5p-18, 0x1.604713dcf49dcp-18, 0x1.662bfec75719dp-18, 0x1.6bf5f1be76692p-18, 0x1.719c9101d1b72p-18, 0x1.7732f4c6df2ecp-18, 0x1.7ca924561267ap-18, 0x1.8202dfa7db811p-18, 0x1.87418536bf97ep-18, 0x1.8c69a9976abdp-18, 0x1.917e5c261bb0ep-18, 0x1.96641730f7216p-18, 0x1.9b36ac18e9fe5p-18, 0x1.9ff1a4f96e5b6p-18, 0x1.a490a0ac398e4p-18, 0x1.a9178b5a11cf7p-18, 0x1.ad818c2333829p-18, 0x1.b1d42bbac9353p-18, 0x1.b6125fdc9c2e9p-18, 0x1.ba326528bf2f6p-18, 0x1.be350065dc113p-18, 0x1.c22620e22eaa9p-18, 0x1.c5fdd7de64e7p-18, 0x1.c99cc07568803p-18, 0x1.cd56c3b7d5f4dp-18, 0x1.d0dff56d24551p-18, 0x1.d456d6d50a6e6p-18, 0x1.d7b576efb2b93p-18, 0x1.daf86293cbd9dp-18, 0x1.de256bf16a49p-18, 0x1.e13a953e1b8d8p-18, 0x1.e4318c0ec1f45p-18, 0x1.e71a664e45118p-18, 0x1.e9e8d493ee1f2p-18, 0x1.eca5acb68f6b2p-18, 0x1.ef4d50173ff7dp-18, 0x1.f1d887b2c46b1p-18, 0x1.f45154002223ap-18, 0x1.f6b078adf2572p-18, 0x1.f8f716e638db2p-18, 0x1.fb3032f30d55bp-18, 0x1.fd4decb78252dp-18, 0x1.ff5fd13fcfb75p-18, 0x1.00ac2a142aee5p-17, 0x1.019cce3ee0159p-17, 0x1.02842a5b1ebb5p-17, 0x1.035fd70bb18c6p-17, 0x1.043400baf2f4cp-17, 0x1.04ffb870f3876p-17, 0x1.05bbcf6cc6d68p-17, 0x1.0672def2c1289p-17, 0x1.071fcb6da3c4cp-17, 0x1.07c283e51477dp-17, 0x1.085b41adc9dabp-17, 0x1.08e9e415b4e72p-17, 0x1.097218223b383p-17, 0x1.09f06b2466731p-17, 0x1.0a6715c3434a5p-17, 0x1.0ac42a7c26e89p-17, 0x1.0b34238f2836dp-17, 0x1.0b8ed65be984fp-17, 0x1.0bdfee641142p-17, 0x1.0c2d11af18126p-17, 0x1.0c6de0277dd03p-17, 0x1.0ca4a55b9a27ep-17, 0x1.0cd523128522cp-17, 0x1.0cfe707ba29f8p-17, 0x1.0d1fe18c8c23fp-17, 0x1.0d3a09912d8ep-17, 0x1.0d4b22ec7eefbp-17, 0x1.0d51e3eb710dep-17, 0x1.0d4ce634446f1p-17, 0x1.0d4e384fed4d9p-17, }}, 
      {{-0x1.78257acfff9dcp-2, -0x1.6855e100f99a8p-2, -0x1.5541814157449p-2, -0x1.4492207e496d3p-2, -0x1.3a3b9d8f6f61ap-2, -0x1.3861e8f369726p-2, -0x1.3fa7a2e41181bp-2, -0x1.4f98183d9a52cp-2, -0x1.670b41a70bf7cp-2, -0x1.84779df6b5a22p-2, -0x1.a62f8e9bed398p-2, -0x1.ca8c108b20d8dp-2, -0x1.f008299829c9dp-2, -0x1.0aa84c318c4afp-1, -0x1.1ca57dd12e7e7p-1, -0x1.2d8b8a24730adp-1, -0x1.3d0617c3f2225p-1, -0x1.4ada1ea24c616p-1, -0x1.56e2d5fac4ad6p-1, -0x1.610e6588ccc49p-1, -0x1.695a9b650687fp-1, -0x1.6fd1ce61ac1e7p-1, -0x1.748806ad859fap-1, -0x1.7798795fd50dbp-1, -0x1.79235bc0b7755p-1, -0x1.794c0d544c308p-1, -0x1.783793eb05b1dp-1, -0x1.760b628ba6fa3p-1, -0x1.72ec63835f004p-1, -0x1.6efe3bc807dddp-1, -0x1.6a62c102eccdep-1, -0x1.653998a8b5f37p-1, -0x1.5f9ff9869dad9p-1, -0x1.59b0897808c89p-1, -0x1.5383514bf3f7cp-1, -0x1.4d2dc1a4618c9p-1, -0x1.46c2c56414385p-1, -0x1.4052ddfbe422bp-1, -0x1.39ec4601528e9p-1, -0x1.339b18bfe35cdp-1, -0x1.2d697c328a0c1p-1, -0x1.275fcc50e6c31p-1, -0x1.2184c61a5094bp-1, -0x1.1bddb18ca58e5p-1, -0x1.166e8a42e1892p-1, -0x1.113a268fd72a4p-1, -0x1.0c425b172e813p-1, -0x1.07881c12184b2p-1, -0x1.030b9cbd4c3c5p-1, -0x1.fd98d800b227p-2, -0x1.f5931bce2348dp-2, -0x1.ee03253d2a895p-2, -0x1.e6e5558b16745p-2, -0x1.e03574d68d8bfp-2, -0x1.d9eed36a8ebfbp-2, -0x1.d40c672e9f055p-2, -0x1.ce88e471c5b93p-2, -0x1.c95ed382f7b69p-2, -0x1.c488a371b2461p-2, -0x1.c000ba7b22a33p-2, -0x1.bbc1848d61f94p-2, -0x1.b7c57f8d73513p-2, -0x1.b40745163ffd8p-2, -0x1.b08192b0c7e62p-2, -0x1.ad2f501050e9dp-2, -0x1.aa0b945b56bf9p-2, -0x1.a711a9fc6372fp-2, -0x1.a43d11e18f856p-2, -0x1.a18985d83c52bp-2, -0x1.9ef2f9f018d15p-2, -0x1.9c759d9302966p-2, -0x1.9a0ddb884cfb4p-2, -0x1.97b8599560ebcp-2, -0x1.9571f7f92a0dcp-2, -0x1.9337cfce503e7p-2, -0x1.91073226a8668p-2, -0x1.8edda6079cf1dp-2, -0x1.8cb8e6cade8ddp-2, -0x1.8a96e24f3078dp-2, -0x1.8875b6d256f99p-2, -0x1.8653b0d576886p-2, -0x1.842f48df5c5d6p-2, -0x1.8207217a54d2cp-2, -0x1.7fda04e7cfefcp-2, -0x1.7da6e2d7bd3ecp-2, -0x1.7b6cce35a0176p-2, -0x1.792afb083dac4p-2, -0x1.76e0bc8151d5fp-2, -0x1.748d828fd62bp-2, -0x1.7230d7ee0bbe3p-2, -0x1.6fca60900601fp-2, -0x1.6d59d73ab6c69p-2, -0x1.6adf0c0b7dfdbp-2, -0x1.6859e2d47b9bfp-2, -0x1.65ca5135e973fp-2, -0x1.63305d13ebcb5p-2, -0x1.608c1b698977p-2, -0x1.5dddae75f685ep-2, -0x1.5b2544caf9a5bp-2, -0x1.5863179b490b3p-2, -0x1.559769f1071edp-2, -0x1.52c2876eaf53ep-2, -0x1.4fe4c32167248p-2, -0x1.4cfe76a0d4cc4p-2, -0x1.4a1001501ab8ep-2, -0x1.4719c76d7f4f2p-2, -0x1.441c312e4194fp-2, -0x1.4117aa51cb0b9p-2, -0x1.3e0ca127e79bap-2, -0x1.3afb85e4f2852p-2, -0x1.37e4ca4c90ab8p-2, -0x1.34c8e1039c7f6p-2, -0x1.31a83d33fd8ddp-2, -0x1.2e83521a8dfeep-2, -0x1.2b5a927f8f512p-2, -0x1.282e707cc2bc2p-2, -0x1.24ff5d3c33f67p-2, -0x1.21cdc87b6c7b4p-2, -0x1.1e9a207f1a395p-2, -0x1.1b64d1b473f8ep-2, -0x1.182e468a99ab8p-2, -0x1.14f6e759eb069p-2, -0x1.11bf1a15e7d66p-2, -0x1.0e8742497fbb1p-2, -0x1.0b4fc0fff4968p-2, -0x1.0818f48e3d993p-2, -0x1.04e33857ff213p-2, -0x1.01aee52e52c05p-2, -0x1.fcf8a1bba89f4p-3, -0x1.f6979cf99936cp-3, -0x1.f03b5be5db7c3p-3, -0x1.e9e478ace113bp-3, -0x1.e393878d5873dp-3, -0x1.dd49170f5c4d4p-3, -0x1.d705af84b1e89p-3, -0x1.d0c9d3c8eea95p-3, -0x1.ca9600c71e0bdp-3, -0x1.c46aae01aa97dp-3, -0x1.be484d2905eedp-3, -0x1.b82f49e54e426p-3, -0x1.b2200b47553f4p-3, -0x1.ac1af2f6822efp-3, -0x1.a6205cb10b0ecp-3, -0x1.a0309fadaa2e8p-3, -0x1.9a4c0e3ca86dap-3, -0x1.9472f56c0627p-3, -0x1.8ea59d928657bp-3, -0x1.88e44a953e4f6p-3, -0x1.832f3b9725281p-3, -0x1.7d86ab65e4ffcp-3, -0x1.77ead098ee289p-3, -0x1.725bddb61fb5cp-3, -0x1.6cda014ccaf8ap-3, -0x1.676565d92dddep-3, -0x1.61fe3224d1541p-3, -0x1.5ca4899375fd6p-3, -0x1.57588bd08a361p-3, -0x1.521a553ff4225p-3, -0x1.4ce9ff2666891p-3, -0x1.47c79f815ce5ep-3, -0x1.42b349688e027p-3, -0x1.3dad0d163d7f4p-3, -0x1.38b4f8039115bp-3, -0x1.33cb1504f9343p-3, -0x1.2eef6c86c1dddp-3, -0x1.2a22047a383f8p-3, -0x1.2562e07142d4cp-3, -0x1.20b201bfcb9acp-3, -0x1.1c0f67c34602fp-3, -0x1.177b0fe3d3dbfp-3, -0x1.12f4f58d0e239p-3, -0x1.0e7d1230eb6adp-3, -0x1.0a135dbb6316p-3, -0x1.05b7ce5bb4b47p-3, -0x1.016a58c1c24e7p-3, -0x1.fa55e0219f7bp-4, -0x1.f1f30c667f44ap-4, -0x1.e9ac16ca3860ap-4, -0x1.e180de35b53d2p-4, -0x1.d9713e81814fdp-4, -0x1.d17d115b0fa79p-4, -0x1.c9a42e3f499f8p-4, -0x1.c1e66bd8a0fc3p-4, -0x1.ba439ddd7a47p-4, -0x1.b2bb957f40d0cp-4, -0x1.ab4e2467076dep-4, -0x1.a3fb194fce3cep-4, -0x1.9cc241b75708bp-4, -0x1.95a36a0559ccfp-4, -0x1.8e9e5da40f0eep-4, -0x1.87b2e63bc7fd2p-4, -0x1.80e0cd39b51bp-4, -0x1.7a27daaabb862p-4, -0x1.7387d5b116634p-4, -0x1.6d00845633a61p-4, -0x1.6691ac675cc13p-4, -0x1.603b1320f1ce5p-4, -0x1.59fc7d4acb7b5p-4, -0x1.53d5aee570263p-4, -0x1.4dc66abaa622ap-4, -0x1.47ce735cba1f2p-4, -0x1.41ed8c97b6cbbp-4, -0x1.3c23786c7a251p-4, -0x1.366ff841a9988p-4, -0x1.30d2cf3c0c478p-4, -0x1.2b4bbf34fbcbcp-4, -0x1.25da89679870fp-4, -0x1.207eef4fddd73p-4, -0x1.1b38b296bf10ep-4, -0x1.160794ce272bp-4, -0x1.10eb5781d5f28p-4, -0x1.0be3bc6c69404p-4, -0x1.06f08593b457ap-4, -0x1.021174ae5561p-4, -0x1.fa8c965b1e819p-5, -0x1.f11d985b718cdp-5, -0x1.e7d572d0ca303p-5, -0x1.deb3ac095e067p-5, -0x1.d5b7c940ce9f3p-5, -0x1.cce150a0b693ap-5, -0x1.c42fc8fced422p-5, -0x1.bba2b9d44f5b8p-5, -0x1.b339ab81f82b2p-5, -0x1.aaf426b5a6ee2p-5, -0x1.a2d1b501a2d18p-5, -0x1.9ad1e0556a754p-5, -0x1.92f4338156cf7p-5, -0x1.8b383a717f52ep-5, -0x1.839d81d01bbfcp-5, -0x1.7c2396c7dcc7ap-5, -0x1.74ca07605fe09p-5, -0x1.6d9062a6afc07p-5, -0x1.667638951b4d8p-5, -0x1.5f7b19eea8afep-5, -0x1.589e987db94cap-5, -0x1.51e046b507851p-5, -0x1.4b3fb81dce49p-5, -0x1.44bc81057ecbfp-5, -0x1.3e5637645773fp-5, -0x1.380c7165ad635p-5, -0x1.31dec66cf3553p-5, -0x1.2bccce4121ba1p-5, -0x1.25d622b5d2cb5p-5, -0x1.1ffa5decd77b3p-5, -0x1.1a391b14fe884p-5, -0x1.1491f698bac4cp-5, -0x1.0f048da86a9e3p-5, -0x1.09907e5671358p-5, -0x1.0435683bbce09p-5, -0x1.fde5d65ac3644p-6, -0x1.f39151c79de76p-6, -0x1.e96c86a4be3e1p-6, -0x1.df76bbe94e7f1p-6, -0x1.d5af39de80b79p-6, -0x1.cc154abc12e1dp-6, -0x1.c2a83bf1645b2p-6, -0x1.b9675b5b26db2p-6, -0x1.b051f9cf61d18p-6, -0x1.a7676a50cd91fp-6, -0x1.9ea70006045fep-6, -0x1.961013c2219b2p-6, -0x1.8da1fb979082cp-6, -0x1.855c13a83399fp-6, -0x1.7d3db7f4b49fcp-6, -0x1.754646e467b03p-6, -0x1.6d75213c26cdap-6, -0x1.65c9a8fd31378p-6, -0x1.5e4341d1a671p-6, -0x1.56e1526e7d7e3p-6, -0x1.4fa342a2ce757p-6, -0x1.48887dd26b4c9p-6, -0x1.41906dbe88b5dp-6, -0x1.3aba818d952ep-6, -0x1.3406280fd1e4p-6, -0x1.2d72d3a9f7c06p-6, -0x1.26fff6f55a235p-6, -0x1.20ad074cf2d8p-6, -0x1.1a797bebdd739p-6, -0x1.1464cd0d93a8p-6, -0x1.0e6e7601029b5p-6, -0x1.0895f2a652c6ep-6, -0x1.02dac123f2c04p-6, -0x1.fa78c30888a6cp-7, -0x1.ef74aa7c81fb8p-7, -0x1.e4a83f91edf94p-7, -0x1.da128c089d0e4p-7, -0x1.cfb29f48412aep-7, -0x1.c587878762468p-7, -0x1.bb905a90626cfp-7, -0x1.b1cc2ede3f95p-7, -0x1.a83a2144643f2p-7, -0x1.9ed94f6590a85p-7, -0x1.95a8da44a03cdp-7, -0x1.8ca7e635c99b4p-7, -0x1.83d59a951859ap-7, -0x1.7b3122dbf9bf6p-7, -0x1.72b9ac8e893f1p-7, -0x1.6a6e68b48286ap-7, -0x1.624e8edfa9f49p-7, -0x1.5a5953c734ab8p-7, -0x1.528df06f869fdp-7, -0x1.4aeb9aac3e15ep-7, -0x1.4371a1ea8ddc8p-7, -0x1.3c1f411b5b22p-7, -0x1.34f3be4ee869ep-7, -0x1.2dee631121965p-7, -0x1.270e79eea77bfp-7, -0x1.205350f5116fep-7, -0x1.19bc3de802967p-7, -0x1.13488d01ce70ap-7, -0x1.0cf7918bcb0d4p-7, -0x1.06c8b517c824p-7, -0x1.00bb45ba30b76p-7, -0x1.f59d4e24e7054p-8, -0x1.ea046df8c7dcdp-8, -0x1.deaab4b214578p-8, -0x1.d38ef0da49343p-8, -0x1.c8aff1a1a5f0cp-8, -0x1.be0c8a4f77915p-8, -0x1.b3a397b59e039p-8, -0x1.a973f9d823ce1p-8, -0x1.9f7c93ecf7218p-8, -0x1.95bc50f4ccc7ep-8, -0x1.8c321abdc2c7ap-8, -0x1.82dce65b47082p-8, -0x1.79bba81219beap-8, -0x1.70cd5caf8ad6dp-8, -0x1.6811038beb11p-8, -0x1.5f859f7aafd4dp-8, -0x1.572a395a4331cp-8, -0x1.4efddcf9e0a0fp-8, -0x1.46ff9aa2eeb1ap-8, -0x1.3f2e873cbc18fp-8, -0x1.3789bba2ce416p-8, -0x1.3010547e7b574p-8, -0x1.28c17230ab336p-8, -0x1.219c39aa0ff96p-8, -0x1.1a9fd170be374p-8, -0x1.13cb688192be7p-8, -0x1.0d1e296852059p-8, -0x1.06974e6d622cep-8, -0x1.00360a0d18d7ep-8, -0x1.f3f3313c541f1p-9, -0x1.e7c26f55eb31dp-9, -0x1.dbd85474bfd7dp-9, -0x1.d0336aac6ab7ep-9, -0x1.c4d244da43fddp-9, -0x1.b9b3796cd1cf6p-9, -0x1.aed5a07d61655p-9, -0x1.a4376680dcc87p-9, -0x1.99d77cba698afp-9, -0x1.8fb487b0d9023p-9, -0x1.85cd44b80b306p-9, -0x1.7c206f12c0c3cp-9, -0x1.72accd16f63cp-9, -0x1.6971288660388p-9, -0x1.606c4e5ef6721p-9, -0x1.579d17bb4affcp-9, -0x1.4f02601989dd2p-9, -0x1.469b03289c3edp-9, -0x1.3e65eb09e51d1p-9, -0x1.3662072145934p-9, -0x1.2e8e3f529d905p-9, -0x1.26e98e7b070fbp-9, -0x1.1f72edd71602dp-9, -0x1.18295e6030795p-9, -0x1.110be5b1eb08fp-9, -0x1.0a198de6e83d3p-9, -0x1.035163bbec91bp-9, -0x1.f964fafa63772p-10, -0x1.ec77e3ad4c4a3p-10, -0x1.dfd9b94ca682ep-10, -0x1.d388c6e646e1bp-10, -0x1.c783496117594p-10, -0x1.bbc79da5fa187p-10, -0x1.b054152c854d5p-10, -0x1.a5272d33f2a66p-10, -0x1.9a3f41d6942e8p-10, -0x1.8f9ac8f576438p-10, -0x1.853840510aa4cp-10, -0x1.7b162e39970cap-10, -0x1.7133238328fd2p-10, -0x1.678da89faf772p-10, -0x1.5e2455fad46dep-10, -0x1.54f61b94a1c09p-10, -0x1.4c010f1228282p-10, -0x1.434466062b1bdp-10, -0x1.3abe9dc3e7228p-10, -0x1.326e7d3927fbfp-10, -0x1.2a52cb46a07ap-10, -0x1.226a545db1d14p-10, -0x1.1ab3ef144c22p-10, -0x1.132e76ba2cb78p-10, -0x1.0bd8be99c59acp-10, -0x1.04b1b0a950bfp-10, -0x1.fb707a2e9c448p-11, -0x1.edd6aa27c0264p-11, -0x1.e093d315c3e96p-11, -0x1.d3a6099653081p-11, -0x1.c70b1e16f2cb4p-11, -0x1.bac14afb4732ep-11, -0x1.aec69275b09a5p-11, -0x1.a3193e5bf8422p-11, -0x1.97b7632334f6ep-11, -0x1.8c9f2f4b95f55p-11, -0x1.81cf2c347a33cp-11, -0x1.7744f75449de8p-11, -0x1.6cff908cd4534p-11, -0x1.62fd1ebcd21fep-11, -0x1.593c0df764f12p-11, -0x1.4fbab44652b1dp-11, -0x1.4677973d3113fp-11, -0x1.3d714e74b439dp-11, -0x1.34a6511eb2177p-11, -0x1.2c154d590304fp-11, -0x1.23bcd7499fff9p-11, -0x1.1b9b915a46b95p-11, -0x1.13b01a828e24p-11, -0x1.0bf92d8ff4692p-11, -0x1.047586b56066fp-11, -0x1.fa47bd9744829p-12, -0x1.ec05eafe0930fp-12, -0x1.de23344b11a53p-12, -0x1.d09d3d8d4e51ep-12, -0x1.c371d6be8ef95p-12, -0x1.b69ec50ac43a5p-12, -0x1.aa21e53aa199ep-12, -0x1.9df912c048eb3p-12, -0x1.92224d3936758p-12, -0x1.869b93409d8d4p-12, -0x1.7b62e6dc291b1p-12, -0x1.7076307ba386ap-12, -0x1.65d43622e0433p-12, -0x1.5b7a122c25fc2p-12, -0x1.51672cd237aefp-12, -0x1.4798ab872d98bp-12, -0x1.3e0d5751cc6bfp-12, -0x1.34c32b17703c8p-12, -0x1.2bb8cb5ccb3d7p-12, -0x1.22ec53cd757acp-12, -0x1.1a5c8072ebe61p-12, -0x1.1207a378f9f9dp-12, -0x1.09ec5b0d08cfbp-12, -0x1.02093b6e6c35p-12, -0x1.f4b9bd74b4588p-13, -0x1.e5cba1c3bc14fp-13, -0x1.d7457eff2d5cp-13, -0x1.c924cd8415d31p-13, -0x1.bb66fdf0481fdp-13, -0x1.ae09797221ee1p-13, -0x1.a108e1c83b6ddp-13, -0x1.946486d3bf12dp-13, -0x1.8819b601f8076p-13, -0x1.7c24a257a3313p-13, -0x1.708404841d528p-13, -0x1.6535abf6de523p-13, -0x1.5a3746b64e9afp-13, -0x1.4f86ba57ceb9ep-13, -0x1.45225956a412ep-13, -0x1.3b081adff957cp-13, -0x1.3135e2b15c8adp-13, -0x1.27a9f2059db03p-13, -0x1.1e629d8a5e09bp-13, -0x1.155e0b492fa19p-13, -0x1.0c9a734dba4d5p-13, -0x1.04160e71f7331p-13, -0x1.f79eb131e593bp-14, -0x1.e788c913183a4p-14, -0x1.d7e7844bfa9a5p-14, -0x1.c8b94ac0eb68ap-14, -0x1.b9f817c4f7fd7p-14, -0x1.aba355195113p-14, -0x1.9db76ec6433bp-14, -0x1.90317d6b24256p-14, -0x1.830ee8074c967p-14, -0x1.764d0e491f9b6p-14, -0x1.69e95daef36c9p-14, -0x1.5de145e3f25ffp-14, -0x1.5232366efe35dp-14, -0x1.46d99779aae17p-14, -0x1.3bd5859f0dd35p-14, -0x1.3123f7ab08794p-14, -0x1.26c24f342f1bap-14, -0x1.1cace553bd0dep-14, -0x1.12e65c0efb162p-14, -0x1.09681d42f201ep-14, -0x1.0031c08de449p-14, -0x1.ee81a7a91be09p-15, -0x1.dd27af5a8c16ep-15, -0x1.cc52c1e3e71b5p-15, -0x1.bbfe8c684fde6p-15, -0x1.ac26b0789cc8ap-15, -0x1.9cc8b36d2302fp-15, -0x1.8de14b0b86691p-15, -0x1.7f6c802c73426p-15, -0x1.7167254399c06p-15, -0x1.63cec89d69012p-15, -0x1.569ebec428fdfp-15, -0x1.49d6d7efadaaap-15, -0x1.3d72bd788669bp-15, -0x1.316e53d38c3b3p-15, -0x1.25c9615e77f92p-15, -0x1.1a81b2d8676eep-15, -0x1.0f916f4b22261p-15, -0x1.04f95af35cab4p-15, -0x1.f569b7cfee0a9p-16, -0x1.e1862a7f39502p-16, -0x1.ce426c363373dp-16, -0x1.bb9de196c2cbfp-16, -0x1.a98d2847048bp-16, -0x1.980d9c33a7438p-16, -0x1.871ae9110b36bp-16, -0x1.76b6bd4b92c34p-16, -0x1.66da12e8211a9p-16, -0x1.577cb5ab1f312p-16, -0x1.489f5b298909dp-16, -0x1.3a3d2b3d56f49p-16, -0x1.2c52210c367p-16, -0x1.1edc4a0ae3a7fp-16, -0x1.11d9c5670f1c8p-16, -0x1.05437f48126d5p-16, -0x1.f22514101d06cp-17, -0x1.daab5fcb21536p-17, -0x1.c3e6147df1c46p-17, -0x1.adea1552d8fa1p-17, -0x1.98ad4a447301dp-17, -0x1.842a2327893d5p-17, -0x1.705b0fcffd079p-17, -0x1.5d3a80e7fd80cp-17, -0x1.4ac322026a985p-17, -0x1.38f06f3462031p-17, -0x1.27be0e6cecd39p-17, -0x1.1720a5dda1aabp-17, -0x1.071f67a30ad61p-17, -0x1.ef57c13063bb5p-18, -0x1.d18d7ffb6349ep-18, -0x1.b4d68da28fc4dp-18, -0x1.9927c4f72e2eap-18, -0x1.7e7f9e1240eccp-18, -0x1.64d2534257c93p-18, -0x1.4c19d2d2ada38p-18, -0x1.3454b113f83cdp-18, -0x1.1d6fef43e509fp-18, -0x1.076651e5cb01fp-18, -0x1.e46054216140fp-19, -0x1.bb9da5409f29bp-19, -0x1.94777cf85186p-19, -0x1.6ed9dff0860dap-19, -0x1.4ab95c91ed4aap-19, -0x1.2819558453abdp-19, -0x1.0716f5b67f1d2p-19, -0x1.cdccfb95ebfep-20, -0x1.90c3246c1dc0cp-20, -0x1.562502c126321p-20, -0x1.1e03d5b18263cp-20, -0x1.d092fdb96cf57p-21, -0x1.69c4a61e9c20fp-21, -0x1.077ac1589b0e9p-21, -0x1.5357d755d2dd9p-22, -0x1.405b91b14c86dp-23, 0x1.5cbb81b8f5ca4p-27, 0x1.5bddebed64d0ap-23, 0x1.4957a94c579adp-22, 0x1.dd3c7ef419b74p-22, 0x1.34eb38922a4ebp-21, 0x1.77b1f175281e4p-21, 0x1.b7120417b2b63p-21, 0x1.f3351ab4ed98cp-21, 0x1.161e10f5a0612p-20, 0x1.314a909955679p-20, 0x1.4a8e20d4d476p-20, 0x1.628b20913f424p-20, 0x1.7933165e24aaep-20, 0x1.8e6de9c63f39ep-20, 0x1.a2555d8d1d21p-20, 0x1.b5097288ca132p-20, 0x1.c68b80f24d681p-20, 0x1.d6deecd2f7dc5p-20, 0x1.e611b2fb18111p-20, 0x1.f434c2a3cccd9p-20, 0x1.008aed0c863c2p-19, 0x1.0694e532f9a4ap-19, 0x1.0c1c959f1f7c9p-19, 0x1.11133b429939bp-19, 0x1.15a44eb940c3dp-19, 0x1.19bbba0df0653p-19, 0x1.1d698bd7ad96cp-19, 0x1.20afe2a0cfc33p-19, 0x1.238814327989dp-19, 0x1.26056090847eep-19, 0x1.2825020dcb61fp-19, 0x1.29e4b7faebb46p-19, 0x1.2b415100ac7eep-19, 0x1.2c5e28f2847b9p-19, 0x1.2d18d7b2697a9p-19, 0x1.2d9ba5f03270bp-19, 0x1.2dd14fb921e36p-19, 0x1.2d8fd526d6e62p-19, 0x1.2d24d0b1e6444p-19, 0x1.2c762f6f0d134p-19, 0x1.2b8810d7d39aep-19, 0x1.2a5b440208a49p-19, 0x1.28f148037058cp-19, 0x1.274d3a654a316p-19, 0x1.256cbc9b55208p-19, 0x1.236478d48f91dp-19, 0x1.212167e6351d2p-19, 0x1.1eac34536507fp-19, 0x1.1c1d533870546p-19, 0x1.194efec3c209bp-19, 0x1.164b28045bb06p-19, 0x1.1347fd26103f7p-19, 0x1.10181266fdf9fp-19, 0x1.0c80b6b65857dp-19, 0x1.08f927966bfd1p-19, 0x1.054a44548fe6p-19, 0x1.017e198a19cf7p-19, 0x1.fb1fd4d781856p-20, 0x1.f3123870b866ap-20, 0x1.eacf9eb191a1ap-20, 0x1.e2531a965c074p-20, 0x1.d9a334a5effb2p-20, 0x1.d09a1226d0fd2p-20, 0x1.c7e0cd6f0ed2dp-20, 0x1.bea5e23a3d2b7p-20, 0x1.b56e952366ab7p-20, 0x1.abfd376674e7ap-20, 0x1.a25053c6b0756p-20, 0x1.989d0097c63ebp-20, 0x1.8ed76cd70856ap-20, 0x1.84f77aab4838cp-20, 0x1.7ae24ef4a2d4p-20, 0x1.70c7088c81193p-20, 0x1.66abe5c1ed911p-20, 0x1.5c64f7909fb87p-20, 0x1.521e588330ca6p-20, 0x1.47bad2897e23p-20, 0x1.3d51a357c8845p-20, 0x1.32df74ce2e0fcp-20, 0x1.2851614c07ca1p-20, 0x1.1dc15b8be5639p-20, 0x1.133030986ed3ap-20, 0x1.089a7009af716p-20, 0x1.fc01115712953p-21, 0x1.e6c395137d1d9p-21, 0x1.d18cc9a150c7ep-21, 0x1.bc4759b254b6dp-21, 0x1.a6ce1368b0e4fp-21, 0x1.91e3d1fe4b3ddp-21, 0x1.7caab4b8bcac6p-21, 0x1.67801250d853dp-21, 0x1.5253c5144f37ep-21, 0x1.3d564404988p-21, 0x1.2818cc248996cp-21, 0x1.133a1345c8b6fp-21, 0x1.fce936e3519edp-22, 0x1.d38d64836d045p-22, 0x1.a99d82002addep-22, 0x1.8076a7feffb75p-22, 0x1.575c628ae64bcp-22, 0x1.2d7990bcdec76p-22, 0x1.05fad9febd749p-22, 0x1.bb17f73a059e8p-23, 0x1.6b27d060729dcp-23, 0x1.1b95daeae4db9p-23, 0x1.98016dbae6f39p-24, 0x1.f563b0195313dp-25, 0x1.79cb035436878p-26, -0x1.0d9855c0a4933p-26, -0x1.b031961c17d34p-25, -0x1.70a31ef7cdebfp-24, -0x1.03c376d0e9802p-23, -0x1.5107d0b35e57bp-23, -0x1.997b657a09bb7p-23, -0x1.e2bb0e56159edp-23, -0x1.15e09baa22ce5p-22, -0x1.3a4d2b9109558p-22, -0x1.5e13c8c96ad27p-22, -0x1.818e4403d7bbbp-22, -0x1.a50cc09dfc746p-22, -0x1.c7f6840cc6902p-22, -0x1.ea279fe84143fp-22, -0x1.05cf51e0333f2p-21, -0x1.16dcb926fb4b5p-21, -0x1.276f7d293a919p-21, -0x1.37e2ba4648c0dp-21, -0x1.48351385026b3p-21, -0x1.583c6143c9476p-21, -0x1.680fcdb6a399cp-21, -0x1.77cf5812d943fp-21, -0x1.874cb802ee831p-21, -0x1.968a9104782ccp-21, -0x1.a56747a3c7eb7p-21, -0x1.b464bdbcc47aap-21, -0x1.c2f0352191561p-21, -0x1.d17bb283e6f42p-21, -0x1.dfac8bff6a9bdp-21, -0x1.eda7bdfbf03e8p-21, -0x1.fb89933d0dde9p-21, -0x1.0493c51f74998p-20, -0x1.0b468b168acap-20, -0x1.11dcd0084b24dp-20, -0x1.18579c88d9323p-20, -0x1.1ebb20d6ae5dep-20, -0x1.25074fcd6b059p-20, -0x1.2b3773dab0e5fp-20, -0x1.3148587ff2492p-20, -0x1.373ea63784d19p-20, -0x1.3d1c3ad482c64p-20, -0x1.42dd4d6be4034p-20, -0x1.4880f4fb04744p-20, -0x1.4e232b2fd728ap-20, -0x1.539944e6d3d35p-20, -0x1.58e8d60677003p-20, -0x1.5e1b5f1e6209bp-20, -0x1.6333eaf67f44bp-20, -0x1.68632070eadaap-20, -0x1.6d5f008d4c92ep-20, -0x1.7201c50ade669p-20, -0x1.76860a085fce1p-20, -0x1.7b4d762e0ffe9p-20, -0x1.7fff4506bb8ffp-20, -0x1.846e080302812p-20, -0x1.88cf4447e449cp-20, -0x1.8cfc26ba1082ap-20, -0x1.911beec3ea4bep-20, -0x1.953772b2ebf96p-20, -0x1.990eb7dcf0496p-20, -0x1.9ceb8b423e189p-20, -0x1.a0b3d8c4844c2p-20, -0x1.a45819503042ep-20, -0x1.a7ed5b7d62ea6p-20, -0x1.ab637b27f1fe1p-20, -0x1.aebfd0e9f8288p-20, -0x1.b2052f31c933ep-20, -0x1.b52a2e4676f02p-20, -0x1.b8321d79d1988p-20, -0x1.bb3c6cae29207p-20, -0x1.be17b35d9fce5p-20, -0x1.c0e606d78e4f9p-20, -0x1.c399861f3facp-20, -0x1.c6434bcf00652p-20, -0x1.c8c7dcfde5fe6p-20, -0x1.cb3a624e5da09p-20, -0x1.cd95570ae471dp-20, -0x1.cfdb82f5e1acap-20, -0x1.d20ddeb76755fp-20, -0x1.d42d295670744p-20, -0x1.d62f569e1604ap-20, -0x1.d828fb279cc2cp-20, -0x1.da00aafcbeee4p-20, -0x1.dbc8a7b7f431dp-20, -0x1.dd74bb5c97e48p-20, -0x1.df11e93953d85p-20, -0x1.e0984b75f57fbp-20, -0x1.e209fd0640a2dp-20, -0x1.e369beea7c654p-20, -0x1.e4b1a3cf2a167p-20, -0x1.e5df29e2c9857p-20, -0x1.e71250bf34edep-20, -0x1.e820ed6992cbap-20, -0x1.e9150b270b81fp-20, -0x1.e9dfa8e9da67dp-20, -0x1.ead14b813f23cp-20, -0x1.ebaa05016ef4bp-20, -0x1.ec68d39cd7316p-20, -0x1.eced3b43ce462p-20, -0x1.ed99f612b6bb1p-20, -0x1.ee10b630d50b7p-20, -0x1.ee7f27632d08ap-20, -0x1.eedd232e4cd2bp-20, -0x1.eee98276f571fp-20, -0x1.ef438ba66e04cp-20, -0x1.ef7d26d6cb4fbp-20, -0x1.efa4c9d2805e7p-20, -0x1.efa59f7032d16p-20, -0x1.efa7ffc6c00bfp-20, -0x1.ef87080fd4b7bp-20, -0x1.ef5ca5d32b9a4p-20, -0x1.ef30155834a75p-20, -0x1.eeda4b826e784p-20, -0x1.ee96a964d5a65p-20, -0x1.ee26f86b8773dp-20, -0x1.edb7926b27d7fp-20, -0x1.ed345a7a9d197p-20, -0x1.eca898f32148p-20, -0x1.ec11916fe9161p-20, -0x1.eb6c50d6ee0edp-20, -0x1.eab74c90eac06p-20, -0x1.e9f2fd079563ep-20, -0x1.e92169e8a4038p-20, -0x1.e842f3fbe7336p-20, -0x1.e757594f3fd89p-20, -0x1.e6615d990c329p-20, -0x1.e5607608a9c94p-20, -0x1.e45316430dp-20, -0x1.e337e85693f27p-20, -0x1.e20cfea7404e9p-20, -0x1.e0d879fd0caacp-20, -0x1.dfa1e9334c374p-20, -0x1.de5911a06e3efp-20, -0x1.dd1d9d738a872p-20, -0x1.dbace37967921p-20, -0x1.da47bd1243dfbp-20, -0x1.d8d17fcea82b7p-20, -0x1.d756b875762f9p-20, -0x1.d5cf2732257f9p-20, -0x1.d436a3f682902p-20, -0x1.d29f5088b727fp-20, -0x1.d1023674011b8p-20, -0x1.cf394da16d299p-20, -0x1.cd9e159ad2309p-20, -0x1.cbdbfb4bbda4dp-20, -0x1.ca1b064c07596p-20, -0x1.c83fe97c2ba4bp-20, -0x1.c67b6041f7fbfp-20, -0x1.c499a9673f499p-20, -0x1.c2a94a263bc8ap-20, -0x1.c0bdacb6280d2p-20, -0x1.bed3079a0cae9p-20, -0x1.bcc1b0bd71c6dp-20, -0x1.baba55808818cp-20, -0x1.b8a92b1bd8b0ap-20, -0x1.b69b76c46da98p-20, -0x1.b48f5973391dep-20, -0x1.b25991f3cf19bp-20, -0x1.b0415adddfbabp-20, -0x1.adfdb422bd40bp-20, -0x1.abdc901f123e3p-20, -0x1.a9a1ed3527874p-20, -0x1.a765762948f83p-20, -0x1.a50b6947c5015p-20, -0x1.a2cc977919012p-20, -0x1.a07a654ebc27dp-20, -0x1.9e2200fa328edp-20, -0x1.9bc559296d981p-20, -0x1.996aa5ba321bap-20, -0x1.970f80fbed3b4p-20, -0x1.949f5446550dp-20, -0x1.922f54c946d23p-20, -0x1.8fbf8192539ffp-20, -0x1.8d483c8129d78p-20, -0x1.8ace5669432a6p-20, -0x1.884d3eeb05a47p-20, -0x1.85c6392f8a7f5p-20, -0x1.8353d61ff01d4p-20, -0x1.80ca857ad9258p-20, -0x1.7e2b17f876ca1p-20, -0x1.7ba56aa2bb7f9p-20, -0x1.7915ff59ae6afp-20, -0x1.7663df9ef0049p-20, -0x1.73dc0e44e726dp-20, -0x1.713e435d0ce4ap-20, -0x1.6ea3751ed490ap-20, -0x1.6c089cb7d70e5p-20, -0x1.6967f111c52d4p-20, -0x1.66c2c4bfd86bdp-20, -0x1.6419261d35c57p-20, -0x1.616849db4e397p-20, -0x1.5ebe35e6bc7b4p-20, -0x1.5c1016799defbp-20, -0x1.5965d8355ac6fp-20, -0x1.56c07e41d3909p-20, -0x1.5402b538c7a9fp-20, -0x1.5156db6ada2cdp-20, -0x1.4e9c5140d10a3p-20, -0x1.4be1e3c1de8d8p-20, -0x1.492dd170ff0b8p-20, -0x1.466d7e683d3afp-20, -0x1.43c3186907888p-20, -0x1.410d8033b6026p-20, -0x1.3e46adf8fc079p-20, -0x1.3b8f49a39390fp-20, -0x1.38cf87a93919ap-20, -0x1.36165bebea416p-20, -0x1.335ffd54ee666p-20, -0x1.309d6daa15501p-20, -0x1.2de556d0e0175p-20, -0x1.2b2b23c8889b2p-20, -0x1.286e921cf0ac4p-20, -0x1.25aec847272e6p-20, -0x1.22f009e618738p-20, -0x1.203734be7a62dp-20, -0x1.1d7ea1ea54fa3p-20, -0x1.1ac4e4905b258p-20, -0x1.17f1972a26028p-20, -0x1.1552a758ba234p-20, -0x1.1298b584375dap-20, -0x1.0fdd43a86afc4p-20, -0x1.0d2f11e4d2a9dp-20, -0x1.0a764e837999p-20, -0x1.07b993a24c4ap-20, -0x1.0504f3f682d2cp-20, -0x1.025428cb3f1abp-20, -0x1.ff47d29ac15dap-21, -0x1.f9eb287d84f98p-21, -0x1.f48d441fa84d1p-21, -0x1.ef2c09fcb9f5ap-21, -0x1.e9cdaeffa3508p-21, -0x1.e480cdf2b8a18p-21, }}, 
      {{0x1.36092076e21b2p-14, 0x1.aaa1702a37a57p-12, 0x1.1ba839b238b6dp-10, 0x1.056178c88cc4ap-9, 0x1.7c5a595a8197dp-9, 0x1.cdd06f1bfe921p-9, 0x1.d9ab11d4ef8f7p-9, 0x1.8a95fa378a051p-9, 0x1.b068fe755158p-10, -0x1.ca7198b5fbebep-12, -0x1.9b3e8d3d1df9bp-9, -0x1.9b8bce4a9a1dp-8, -0x1.3c5738b9fede7p-7, -0x1.ab0f090c0a2c2p-7, -0x1.09390453bc7eap-6, -0x1.35b756d67cf12p-6, -0x1.57d7e8c517815p-6, -0x1.6ce9ffcddaa58p-6, -0x1.72c692e1a95c7p-6, -0x1.67d64d27f5c99p-6, -0x1.4b0fdb62273eep-6, -0x1.1bf082904abaep-6, -0x1.b4e146427042dp-7, -0x1.0deb449f21bcap-7, -0x1.1213ce6ee4e96p-9, 0x1.4a6116e905732p-8, 0x1.ac9839a4656bep-7, 0x1.675b74bc56113p-6, 0x1.0213a3e0f64d3p-5, 0x1.557db59ead813p-5, 0x1.ad0ca7cb9163fp-5, 0x1.03f05047ae088p-4, 0x1.328e8b8ddeb21p-4, 0x1.61f6037f9f084p-4, 0x1.91c03ea260133p-4, 0x1.c18c49bd5b77dp-4, 0x1.f0ff7367e630cp-4, 0x1.0fe2e565bf3bfp-3, 0x1.26c938a405d51p-3, 0x1.3d0fdf7ed7152p-3, 0x1.5297a1d255034p-3, 0x1.6744d5f895fcfp-3, 0x1.7aff4a2e7db7bp-3, 0x1.8db2234b95fbep-3, 0x1.9f4bb2ca8dc8ep-3, 0x1.afbd490be00f8p-3, 0x1.befb0b0cda6bap-3, 0x1.ccfbc1f13f34dp-3, 0x1.d9b8a58d86ca6p-3, 0x1.e52d2836215c7p-3, 0x1.ef56c9e608c56p-3, 0x1.f834ec6470802p-3, 0x1.ffc8a88011a73p-3, 0x1.030a4f986e96cp-2, 0x1.058e66f898c94p-2, 0x1.07733429994d7p-2, 0x1.08bbdb7532b6p-2, 0x1.096bfc5d55145p-2, 0x1.0987a2a29183bp-2, 0x1.091336d955b39p-2, 0x1.08136fba4d1f7p-2, 0x1.068d44d28ed5cp-2, 0x1.0485e2f16b4b3p-2, 0x1.0202a20fc3e41p-2, 0x1.fe11f8768314bp-3, 0x1.f73d0a39597e2p-3, 0x1.ef91c383a20f2p-3, 0x1.e71b81b916f1ap-3, 0x1.dde5a700ee9aep-3, 0x1.d3fb8d5e7d414p-3, 0x1.c9687afb3051ap-3, 0x1.be3798650b102p-3, 0x1.b273e7d5a62ecp-3, 0x1.a6283de9f7dc9p-3, 0x1.995f3aef7a33ap-3, 0x1.8c23453812427p-3, 0x1.7e7e83e24c038p-3, 0x1.707ada37ef652p-3, 0x1.6221e3ab77557p-3, 0x1.537cf05f6fec2p-3, 0x1.4495021c149adp-3, 0x1.3572ca51d73a4p-3, 0x1.261ea842b7283p-3, 0x1.16a0a7c6326b1p-3, 0x1.07008079841e4p-3, 0x1.ee8b2b51f89aep-4, 0x1.ceedec15e15fep-4, 0x1.af36b9050b6c1p-4, 0x1.8f7261083be8ap-4, 0x1.6fad0e40442b5p-4, 0x1.4ff2487768dacp-4, 0x1.304cf7e92478bp-4, 0x1.10c767f24ac88p-4, 0x1.e2d695b1fb50ap-5, 0x1.a4837b0e10d72p-5, 0x1.66a695e14baacp-5, 0x1.294fe0af35b08p-5, 0x1.d91c89de25602p-6, 0x1.60df4131ff95p-6, 0x1.d403465c57d99p-7, 0x1.d26dfe4eee862p-8, 0x1.858e14ad48d41p-15, -0x1.c5d17db48be05p-8, -0x1.c3eefb4533ddcp-7, -0x1.50b5c4204ce3dp-6, -0x1.bd9ffa1af71e1p-6, -0x1.14542da1b6f5ep-5, -0x1.48e14b1461127p-5, -0x1.7c71dcad03269p-5, -0x1.af010a555bf8p-5, -0x1.e08a9af35ee7p-5, -0x1.088575aa62a5cp-4, -0x1.203f71e6b1e53p-4, -0x1.3771f941b2294p-4, -0x1.4e1c0195a98p-4, -0x1.643cbced1f3cap-4, -0x1.79d3950536c94p-4, -0x1.8ee02739f7f2ap-4, -0x1.a36244b0729c2p-4, -0x1.b759ec1aac0b7p-4, -0x1.cac746c763fa9p-4, -0x1.ddaaa9552216ap-4, -0x1.f0048daa0f6c5p-4, -0x1.00eac81fc07ddp-3, -0x1.098f38d25fca1p-3, -0x1.11f0083cbcaep-3, -0x1.1a0db372da3afp-3, -0x1.21e8c662d475dp-3, -0x1.2981d8f9ca597p-3, -0x1.30d98dd3ac77bp-3, -0x1.37f0934848241p-3, -0x1.3ec7a18eb847dp-3, -0x1.455f788b71486p-3, -0x1.4bb8e0f7f97b1p-3, -0x1.51d4abed9520bp-3, -0x1.57b3afa68c9ddp-3, -0x1.5d56c8537d437p-3, -0x1.62bed8c5be039p-3, -0x1.67ecc803ef7a1p-3, -0x1.6ce17fd962f52p-3, -0x1.719deeb1e498ap-3, -0x1.762306a2772a2p-3, -0x1.7a71bb180202dp-3, -0x1.7e8b00f1727d4p-3, -0x1.826fcff5edcf3p-3, -0x1.8621211b7d615p-3, -0x1.899fece71a2fdp-3, -0x1.8ced2c19a6f65p-3, -0x1.9009d8c662d83p-3, -0x1.92f6ec67c0bf1p-3, -0x1.95b55ec678bd2p-3, -0x1.984626cb8640ep-3, -0x1.9aaa3b6ad5661p-3, -0x1.9ce291fd8b3b2p-3, -0x1.9ef01cffca3c5p-3, -0x1.a0d3cd5b10c31p-3, -0x1.a28e92af5b81dp-3, -0x1.a4215ac89f2fbp-3, -0x1.a58d0fc84ac0bp-3, -0x1.a6d29954f6c92p-3, -0x1.a7f2dd1f520e6p-3, -0x1.a8eebeaea7385p-3, -0x1.a9c71dcd9c1c6p-3, -0x1.aa7cd706e2c34p-3, -0x1.ab10c44148622p-3, -0x1.ab83bcf48dbf2p-3, -0x1.abd6956e5da8dp-3, -0x1.ac0a1df4cdd3fp-3, -0x1.ac1f23c60b773p-3, -0x1.ac16716be53bcp-3, -0x1.abf0ce94a3367p-3, -0x1.abaeff1e69c28p-3, -0x1.ab51c37abbdfp-3, -0x1.aad9d8d611295p-3, -0x1.aa47f9b2dcf4ep-3, -0x1.a99cdd7221b66p-3, -0x1.a8d937fceab19p-3, -0x1.a7fdb98adff18p-3, -0x1.a70b0f90fb612p-3, -0x1.a601e4b26ee99p-3, -0x1.a4e2e06381c15p-3, -0x1.a3aea7164dd0fp-3, -0x1.a265d9a4a353ep-3, -0x1.a109164dabd89p-3, -0x1.9f98f825f704bp-3, -0x1.9e1618288841bp-3, -0x1.9c810bd88c538p-3, -0x1.9ada65bb4c70dp-3, -0x1.9922b587221f4p-3, -0x1.975a8892b3ac4p-3, -0x1.9582696382feep-3, -0x1.939ae019e9f4p-3, -0x1.91a471fdeebedp-3, -0x1.8f9fa180f912ep-3, -0x1.8d8ceed5bef2cp-3, -0x1.8b6cd7bdbfca2p-3, -0x1.893fd7bce029ap-3, -0x1.870667ea80784p-3, -0x1.84c0fec835531p-3, -0x1.8270108ce12c4p-3, -0x1.80140f5636954p-3, -0x1.7dad6b039ffbep-3, -0x1.7b3c917ae7236p-3, -0x1.78c1ee6819646p-3, -0x1.763deb3b7e113p-3, -0x1.73b0ef66c4c87p-3, -0x1.711b605b0baedp-3, -0x1.6e7da18a83e2ep-3, -0x1.6bd814c704bc2p-3, -0x1.692b19b7c066p-3, -0x1.66770e14561dep-3, -0x1.63bc4dee459bfp-3, -0x1.60fb335117405p-3, -0x1.5e34169fc27edp-3, -0x1.5b674ea0b2be9p-3, -0x1.5895307270a3bp-3, -0x1.55be0f409d8d3p-3, -0x1.52e23c9f700edp-3, -0x1.5002087f61aap-3, -0x1.4d1dc15d40897p-3, -0x1.4a35b3f226c3fp-3, -0x1.474a2b9287df7p-3, -0x1.445b72100f85dp-3, -0x1.4169cf8a5d9cdp-3, -0x1.3e758acd919acp-3, -0x1.3b7ee91135d84p-3, -0x1.38862e173be14p-3, -0x1.358b9c507907ap-3, -0x1.328f74bfaa007p-3, -0x1.2f91f712b1615p-3, -0x1.2c93615d5c616p-3, -0x1.2993f0b5e972cp-3, -0x1.2693e064d374dp-3, -0x1.23936ab127307p-3, -0x1.2092c88a13e43p-3, -0x1.1d92318b9cd06p-3, -0x1.1a91dc226dc7ep-3, -0x1.1791fd46d4b76p-3, -0x1.1492c8ef89dfep-3, -0x1.1194719bf5c91p-3, -0x1.0e9728b06835bp-3, -0x1.0b9b1e57e8c53p-3, -0x1.08a081a30aceap-3, -0x1.05a78065f3cd3p-3, -0x1.02b04747ea3eep-3, -0x1.ff760369effe7p-4, -0x1.f98fb455115edp-4, -0x1.f3adf379026bp-4, -0x1.edd1115c25fefp-4, -0x1.e7f95be23eb6ap-4, -0x1.e2271f1393537p-4, -0x1.dc5aa491c1481p-4, -0x1.d694342b9107bp-4, -0x1.d0d4131121d75p-4, -0x1.cb1a84b8f8142p-4, -0x1.c567cabc5f2b9p-4, -0x1.bfbc24363ce5p-4, -0x1.ba17ce91c86fap-4, -0x1.b47b051c4cffep-4, -0x1.aee601431b686p-4, -0x1.a958fa71350b5p-4, -0x1.a3d42653dd566p-4, -0x1.9e57b85446504p-4, -0x1.98e3e25d0fa93p-4, -0x1.9378d4646057cp-4, -0x1.8e16bc8d2f32cp-4, -0x1.88bdc72b6b449p-4, -0x1.836e1eb733d3p-4, -0x1.7e27ec2a64705p-4, -0x1.78eb568ce4e32p-4, -0x1.73b88362bcd7bp-4, -0x1.6e8f96624c8d3p-4, -0x1.6970b1b9e903cp-4, -0x1.645bf5cfb9ba9p-4, -0x1.5f51819d2a143p-4, -0x1.5a5172572e197p-4, -0x1.555be3fff4e62p-4, -0x1.5070f09876eb4p-4, -0x1.4b90b0f064e59p-4, -0x1.46bb3c904a35bp-4, -0x1.41f0a93cdeaacp-4, -0x1.3d310b594aa1ep-4, -0x1.387c75cf650ddp-4, -0x1.33d2fa8cd86bp-4, -0x1.2f34a9bd05b54p-4, -0x1.2aa192624d2ecp-4, -0x1.2619c222c851bp-4, -0x1.219d45925da93p-4, -0x1.1d2c27d5d39bcp-4, -0x1.18c672eddb9d4p-4, -0x1.146c2f9143d7ap-4, -0x1.101d655ae3523p-4, -0x1.0bda1ab944752p-4, -0x1.07a2550d07121p-4, -0x1.03761893323b6p-4, -0x1.feaad0e60e929p-5, -0x1.f6808d89d4155p-5, -0x1.ee6d695a735eap-5, -0x1.e6716453716cp-5, -0x1.de8c7cc36bb5fp-5, -0x1.d6beaefb346d7p-5, -0x1.cf07f57b8a907p-5, -0x1.c76848a3bb01ap-5, -0x1.bfdf9fabfed92p-5, -0x1.b86def608197ep-5, -0x1.b1132b9431ff3p-5, -0x1.a9cf45e113ebdp-5, -0x1.a2a22ebeef558p-5, -0x1.9b8bd4c036af9p-5, -0x1.948c25116d103p-5, -0x1.8da30b50097cbp-5, -0x1.86d07243bb729p-5, -0x1.801442b23ba8ep-5, -0x1.796e642090545p-5, -0x1.72debd397ee1p-5, -0x1.6c65333665954p-5, -0x1.6601a9d92d584p-5, -0x1.5fb403f51ee7bp-5, -0x1.597c236fd705ap-5, -0x1.5359e8ce480fp-5, -0x1.4d4d339b2127ap-5, -0x1.4755e2718a7a8p-5, -0x1.4173d2baee737p-5, -0x1.3ba6e1c2abd68p-5, -0x1.35eeeaca8a9a1p-5, -0x1.304bc95226651p-5, -0x1.2abd5724a59e4p-5, -0x1.25436da271c93p-5, -0x1.1fdde60e8e799p-5, -0x1.1a8c979b7da11p-5, -0x1.154f59c2dbd4p-5, -0x1.10260382ad0c8p-5, -0x1.0b106a95ef703p-5, -0x1.060e6489a8acep-5, -0x1.011fc6579b165p-5, -0x1.f888c8b0bee8fp-6, -0x1.eef8254326355p-6, -0x1.e58d494463a78p-6, -0x1.dc47da8b1fe8fp-6, -0x1.d3277ec2ca26ep-6, -0x1.ca2bda5707f77p-6, -0x1.c1549164a9e3ap-6, -0x1.b8a147120f5b5p-6, -0x1.b0119e3f688e2p-6, -0x1.a7a5390b54b45p-6, -0x1.9f5bb9efb0857p-6, -0x1.9734c19b72374p-6, -0x1.8f2ff0b15f24cp-6, -0x1.874ce9684a7e1p-6, -0x1.7f8b4b09ccc58p-6, -0x1.77eab6540506ep-6, -0x1.706aca7cb811ep-6, -0x1.690b27cbf375cp-6, -0x1.61cb6ddefbf3cp-6, -0x1.5aab3c81ea51fp-6, -0x1.53aa32ee05fc1p-6, -0x1.4cc7f2432830fp-6, -0x1.46041893a1c5ap-6, -0x1.3f5e45d0b06dfp-6, -0x1.38d61c518b9aap-6, -0x1.326b3ac209c68p-6, -0x1.2c1d41690c073p-6, -0x1.25ebd1e3e36bdp-6, -0x1.1fd68c61414b2p-6, -0x1.19dd11c87626ap-6, -0x1.13ff03350a732p-6, -0x1.0e3c022251734p-6, -0x1.0893b04ae05fp-6, -0x1.0305afe28cc9dp-6, -0x1.fb2347ffeed5dp-7, -0x1.f06e60cd31ae5p-7, -0x1.e5ebf37f75ab9p-7, -0x1.db9b484cfff75p-7, -0x1.d17baf26d0c45p-7, -0x1.c78c704e9dfbbp-7, -0x1.bdccd8a9ef2a6p-7, -0x1.b43c38431849ap-7, -0x1.aad9da91aefdap-7, -0x1.a1a50d5f8deb3p-7, -0x1.989d1e9f7d9f1p-7, -0x1.8fc15d42587a9p-7, -0x1.871119beeb61p-7, -0x1.7e8ba8cbb184p-7, -0x1.76305e8b00251p-7, -0x1.6dfe96bc9606ap-7, -0x1.65f5ae47a0d67p-7, -0x1.5e1505452d6b8p-7, -0x1.565bfd0118cc5p-7, -0x1.4ec9fa9a2f052p-7, -0x1.475e5c5da6be3p-7, -0x1.401882a5ec0acp-7, -0x1.38f7ce17b209p-7, -0x1.31fb9922fb611p-7, -0x1.2b23402fc0a56p-7, -0x1.246e20715d823p-7, -0x1.1ddb9acd32d97p-7, -0x1.176b14e9f85f4p-7, -0x1.111bfb1d9a4b3p-7, -0x1.0aedc2057c619p-7, -0x1.04dfe4156d327p-7, -0x1.fde3be4a31242p-8, -0x1.f2466d7449ccp-8, -0x1.e6e6d46f37d09p-8, -0x1.dbc3ec955a43ep-8, -0x1.d0dca4aecb719p-8, -0x1.c62fddcb735f5p-8, -0x1.bbbc6f2cbd93dp-8, -0x1.b1812b594184cp-8, -0x1.a77cdfb50ddebp-8, -0x1.9dae6856b985p-8, -0x1.9414b3d7d8264p-8, -0x1.8aaec387d6245p-8, -0x1.817bb12c0800dp-8, -0x1.787ab408c2621p-8, -0x1.6fab09c7c0279p-8, -0x1.670c0051a663p-8, -0x1.5e9ce2ecca9ccp-8, -0x1.565cefc023244p-8, -0x1.4e4b5041b312ep-8, -0x1.466718a9e2544p-8, -0x1.3eaf475abb7c7p-8, -0x1.3722cac57ce14p-8, -0x1.2fc08a65e43aep-8, -0x1.28877a3f29d5fp-8, -0x1.2176910e912b9p-8, -0x1.1a8ce75c4ce9ap-8, -0x1.13c9bc669f158p-8, -0x1.0d2c62a36b261p-8, -0x1.06b44e0359ffcp-8, -0x1.0061054f33edbp-8, -0x1.f4642b7f0435cp-9, -0x1.e84e041c906c4p-9, -0x1.dc7e89034884ap-9, -0x1.d0f46b1ccd7ffp-9, -0x1.c5ae2cfb996dfp-9, -0x1.baaa2748822bfp-9, -0x1.afe681900b3a8p-9, -0x1.a5616bb787137p-9, -0x1.9b190e0c4c0bap-9, -0x1.910bbba41db06p-9, -0x1.8737f4061708cp-9, -0x1.7d9c704709a97p-9, -0x1.743822c430e6cp-9, -0x1.6b0a302781eabp-9, -0x1.6211df05cc943p-9, -0x1.594e84dd27548p-9, -0x1.50bf71d265b1p-9, -0x1.4863df3c4b70dp-9, -0x1.403ae454dce1p-9, -0x1.38437223d725cp-9, -0x1.307c567d30e18p-9, -0x1.28e44a6e16d87p-9, -0x1.2179f3b2f6e9ep-9, -0x1.1a3c01db6cc9cp-9, -0x1.132933d81e202p-9, -0x1.0c4061dafbaa6p-9, -0x1.05808334d179cp-9, -0x1.fdd163421130ap-10, -0x1.f0f05a9d5a70cp-10, -0x1.e45c73f52307p-10, -0x1.d81460cf15c1fp-10, -0x1.cc16f4e1f433ep-10, -0x1.c062b66cde351p-10, -0x1.b4f62c9a11197p-10, -0x1.a9cfb711cf1bbp-10, -0x1.9eed9605c9e08p-10, -0x1.944e20eae0f1cp-10, -0x1.89efb69f92c15p-10, -0x1.7fd0c353a718bp-10, -0x1.75efdff2e0e0ep-10, -0x1.6c4bab84cebcep-10, -0x1.62e2d8716c09fp-10, -0x1.59b4150df8899p-10, -0x1.50be12375d228p-10, -0x1.47ff8706c5da5p-10, -0x1.3f7736547000ep-10, -0x1.3723f1fb3a49p-10, -0x1.2f04958235d03p-10, -0x1.2717f77211404p-10, -0x1.1f5cd5ac2b9f4p-10, -0x1.17d1c8152e40cp-10, -0x1.10754108a28c2p-10, -0x1.0945a8844687p-10, -0x1.02418b624e8bcp-10, -0x1.f6cf81f9584b3p-11, -0x1.e96f085d5f7f6p-11, -0x1.dc60eb8289954p-11, -0x1.cfa4c56a6f7dep-11, -0x1.c339fa50e1cd9p-11, -0x1.b71f6180f42e7p-11, -0x1.ab5318a48c63cp-11, -0x1.9fd2ab64b004p-11, -0x1.949b6f0d05e4cp-11, -0x1.89aae37d033f5p-11, -0x1.7efefa10f6941p-11, -0x1.74962b900b07p-11, -0x1.6a6f4983b2281p-11, -0x1.608951ed0ecdap-11, -0x1.56e28e5aa5e9ap-11, -0x1.4d78d6fd9a10dp-11, -0x1.44496682af5e4p-11, -0x1.3b50d2a27f1a5p-11, -0x1.328c9d68f774ep-11, -0x1.29fbe708bf04dp-11, -0x1.219ea71dfd41fp-11, -0x1.1976254c18993p-11, -0x1.1183c8529f276p-11, -0x1.09c75d41a962fp-11, -0x1.023fbafb0e341p-11, -0x1.f5d531746a58ap-12, -0x1.e78a2261cbbd2p-12, -0x1.d998e47fa28a7p-12, -0x1.cbfd327c5741ep-12, -0x1.beb44fe58c41ep-12, -0x1.b1bd1dd5d331dp-12, -0x1.a517b29aa1b5fp-12, -0x1.98c484275de41p-12, -0x1.8cc329af22b02p-12, -0x1.81114a3fd9c88p-12, -0x1.75aa9b622a668p-12, -0x1.6a89650f714e3p-12, -0x1.5fa8ceb011f37p-12, -0x1.550636ced3b87p-12, -0x1.4aa1ff7c7205ap-12, -0x1.407ed23d3233fp-12, -0x1.369f7008e0f93p-12, -0x1.2d04df58910d7p-12, -0x1.23adc84893285p-12, -0x1.1a9710cb80db8p-12, -0x1.11bce49a89eb7p-12, -0x1.091b762e62236p-12, -0x1.00af730b6aeabp-12, -0x1.f0ed3e83d52aap-13, -0x1.e0de1d8080fe4p-13, -0x1.d130e7f1c5a5p-13, -0x1.c1e5a24054ab2p-13, -0x1.b2fd2cd39378ap-13, -0x1.a4778f9a46addp-13, -0x1.9652d0c896236p-13, -0x1.888bafabc764bp-13, -0x1.7b1cc43c0cfd8p-13, -0x1.6e01511c83cc1p-13, -0x1.61371c94dd3e6p-13, -0x1.54bc41041277bp-13, -0x1.4890b4084fa32p-13, -0x1.3cb430b5951fap-13, -0x1.3125ecc296923p-13, -0x1.25e4c5c09330fp-13, -0x1.1af02d13f8952p-13, -0x1.104589dfab4e3p-13, -0x1.05e2755e4357fp-13, -0x1.f78a237d958e6p-14, -0x1.e3d6842614f18p-14, -0x1.d0a6263556cf1p-14, -0x1.bdf228ae4bc82p-14, -0x1.abb247e78b95bp-14, -0x1.99e0c77e0e2c5p-14, -0x1.887c13e4a08fdp-14, -0x1.778567dbd8d1cp-14, -0x1.66fd146ae0c03p-14, -0x1.56e32268b67a7p-14, -0x1.47379629add2ap-14, -0x1.37fa2becc965ap-14, -0x1.292c83d92c056p-14, -0x1.1ace04017bcddp-14, -0x1.0cd70cdea5414p-14, -0x1.fe7425ef0f72fp-15, -0x1.e3d86c2ed25ecp-15, -0x1.c9d9892d6cf9bp-15, -0x1.b086d70dfa6f2p-15, -0x1.97e64c10fdfe7p-15, -0x1.7ff4bff16053dp-15, -0x1.68aab618bcf62p-15, -0x1.520d98f90fdcp-15, -0x1.3c2778e636744p-15, -0x1.26f49bb456edbp-15, -0x1.12619a2551b7dp-15, -0x1.fcabd1029fdefp-16, -0x1.d57ec78dfafc6p-16, -0x1.af344137426bbp-16, -0x1.89dcff73c3c09p-16, -0x1.659334aac2be6p-16, -0x1.425378af7c126p-16, -0x1.2012df30ae981p-16, -0x1.fdbc13059b618p-17, -0x1.bd93f18ccbfefp-17, -0x1.7fc9bef50bbabp-17, -0x1.4432e94cba8e7p-17, -0x1.0a684790b1cd4p-17, -0x1.a3eed19e9e422p-18, -0x1.357be07fa5163p-18, -0x1.941a7572f15f7p-19, -0x1.88ae6d1dd5928p-20, 0x1.2f8eaba7db135p-25, 0x1.902ed045c24cep-20, 0x1.8537cf6847614p-19, 0x1.1db9acb5c84ecp-18, 0x1.754c41dd35a14p-18, 0x1.c976dced3ccd5p-18, 0x1.0d42c7ff9d747p-17, 0x1.34637e802bae1p-17, 0x1.5a5ac318a0fa7p-17, 0x1.7f562809ac1f1p-17, 0x1.a33ecbd6c286ep-17, 0x1.c5da1b3743655p-17, 0x1.e71e9be975bfap-17, 0x1.039cf92d1b73ap-16, 0x1.1317bfbc505e3p-16, 0x1.21e4d8538ffc7p-16, 0x1.2ffc7eec4e0a1p-16, 0x1.3d6a9932663c6p-16, 0x1.4a3fdd78b496ap-16, 0x1.5692ab8240934p-16, 0x1.62808ec8d2ab9p-16, 0x1.6e04a89152cbfp-16, 0x1.78fca9defa6c4p-16, 0x1.83712efb96dacp-16, 0x1.8d7be9c3079ffp-16, 0x1.970f1ecef008ap-16, 0x1.a018e8a207e1bp-16, 0x1.a8a395e1b4b2p-16, 0x1.b0bcf3f3bfd8p-16, 0x1.b8672f0ac38a2p-16, 0x1.bf9d9a48ad766p-16, 0x1.c65e52562e22fp-16, 0x1.cca756c28f585p-16, 0x1.d2905438ba42fp-16, 0x1.d82998040b8cep-16, 0x1.dd6a8f2ac0093p-16, 0x1.e242f75715d7ep-16, 0x1.e6bd9a6548e17p-16, 0x1.eae719cac1c06p-16, 0x1.eeb1bddf3e705p-16, 0x1.f2130c507b66ap-16, 0x1.f51476dae0cebp-16, 0x1.f7c21b39ad847p-16, 0x1.fa19fe5fafbeap-16, 0x1.fc1b7ce549633p-16, 0x1.fdd5e35d1353dp-16, 0x1.ff487e68c545p-16, 0x1.0037915e248c1p-15, 0x1.00ac2692dbe56p-15, 0x1.00fbec8c83bfp-15, 0x1.01211367acf3bp-15, 0x1.0121c04f116e7p-15, 0x1.0101575251bdap-15, 0x1.00c2c6c75113dp-15, 0x1.0064259ea9d4ep-15, 0x1.ffcfa9b4a4b8ep-16, 0x1.fe94bf619e6fap-16, 0x1.fd1d15b272758p-16, 0x1.fb6705d6ab3c4p-16, 0x1.f96ef7b0fa88dp-16, 0x1.f73cac5008e5ep-16, 0x1.f4d9719ddcd12p-16, 0x1.f2421089e2c9ap-16, 0x1.ef79829af44d9p-16, 0x1.ec8672df6b271p-16, 0x1.e95be36942f58p-16, 0x1.e5f92bb45f7bbp-16, 0x1.e266a54b57e3ap-16, 0x1.deae067cb73a6p-16, 0x1.dac56d1ef7f5ap-16, 0x1.d6a842bae43dfp-16, 0x1.d261fc32fddc2p-16, 0x1.cdf8dada4bd19p-16, 0x1.c96f707415953p-16, 0x1.c4bf5413f65e2p-16, 0x1.bfde602fa7eadp-16, 0x1.bada7baabf093p-16, 0x1.b5b5b36f12be3p-16, 0x1.b06d6cac020c8p-16, 0x1.ab072f64ef404p-16, 0x1.a57e7d1dc2d33p-16, 0x1.9fd7490c9ea2dp-16, 0x1.9a122eb82bd86p-16, 0x1.942fea58a9706p-16, 0x1.8e31be3855c32p-16, 0x1.8818992c832cap-16, 0x1.81e5ba9c9dce9p-16, 0x1.7b96fe7600515p-16, 0x1.752b2649723dcp-16, 0x1.6ea5b5f14febcp-16, 0x1.680d73974546dp-16, 0x1.6164b45bf9355p-16, 0x1.5aa7c890392dfp-16, 0x1.53d246cc8b414p-16, 0x1.4ce8ebb0114cep-16, 0x1.45ef799eb1c5ep-16, 0x1.3ee61f5edc1a8p-16, 0x1.37c6c92987044p-16, 0x1.30961ec5a4d55p-16, 0x1.295ac6967ef9ap-16, 0x1.2215e8c4dadc3p-16, 0x1.1abdbf0cfcd36p-16, 0x1.1358ae32293c1p-16, 0x1.0be70b139f7dap-16, 0x1.046c997dd3819p-16, 0x1.f9ce2e0b819ffp-17, 0x1.eaaf50ee3f34fp-17, 0x1.db7eb15eeea35p-17, 0x1.cc3d19b3239b3p-17, 0x1.bcec3c5d187bbp-17, 0x1.ad8d6c6b8428ap-17, 0x1.9e21a24a25d85p-17, 0x1.8eaa0e19c1d05p-17, 0x1.7f28ce3b832f8p-17, 0x1.6f9edb0654e8ep-17, 0x1.600df5817e513p-17, 0x1.5076f9b0ff079p-17, 0x1.40dad05eb1f07p-17, 0x1.313841ec41cd9p-17, 0x1.218f8a6709753p-17, 0x1.11e9203df93fap-17, 0x1.0246f9e16cac1p-17, 0x1.e54866d8c9f55p-18, 0x1.c5f4110408a06p-18, 0x1.a6b53105f700bp-18, 0x1.87776809acf11p-18, 0x1.684ab4c8ee12dp-18, 0x1.491f03916f3aep-18, 0x1.2a05ecfe79aa1p-18, 0x1.0afb32e4ffe37p-18, 0x1.d8065324be80dp-19, 0x1.9a43793715892p-19, 0x1.5ca01b9f7ce09p-19, 0x1.1f33f8623c91ap-19, 0x1.c3fce93d7fc23p-20, 0x1.49ec04227a251p-20, 0x1.a0a1914557ed3p-21, 0x1.5cb31347b0afbp-22, -0x1.0bb90eb8b1b8fp-23, -0x1.3327ef2079001p-21, -0x1.112630e87e8d3p-20, -0x1.88275812ef121p-20, -0x1.fe967b2a767ep-20, -0x1.3a36552331886p-19, -0x1.74c50c4c2250ap-19, -0x1.af0727ca4ca2bp-19, -0x1.e8effdf93741dp-19, -0x1.113f00ee09f76p-18, -0x1.2dd7fabaeec62p-18, -0x1.4a40854e6a162p-18, -0x1.6678b9465dcffp-18, -0x1.828021d793edcp-18, -0x1.9e52f4e19d25ap-18, -0x1.b9f0d8b55b032p-18, -0x1.d5576e95ddf6fp-18, -0x1.f08e5dcbe88c7p-18, -0x1.05c394197bdafp-17, -0x1.1323b613acf7cp-17, -0x1.2068157077d1cp-17, -0x1.2d8eb29964567p-17, -0x1.3a97a57bec7eep-17, -0x1.47827e4e0b1cp-17, -0x1.544e89967ee49p-17, -0x1.60fae5b4d64a2p-17, -0x1.6d87d53004db9p-17, -0x1.79f46a7feebd2p-17, -0x1.86415da79c58p-17, -0x1.926d09ab27832p-17, -0x1.9e76d6f33f853p-17, -0x1.aa613bb024541p-17, -0x1.b626fec0b30c2p-17, -0x1.c1cb5c63c2509p-17, -0x1.cd4c35f91e6e9p-17, -0x1.d8ad8d52f9e5fp-17, -0x1.e3e839a7156eep-17, -0x1.ef01698362a21p-17, -0x1.f9f67b3947c2dp-17, -0x1.026434bbc874bp-16, -0x1.07b784eb176ffp-16, -0x1.0cfdd617960b7p-16, -0x1.1230b0ce9afffp-16, -0x1.1751a06d26554p-16, -0x1.1c5b5f7361d75p-16, -0x1.215843a9f7a85p-16, -0x1.263fd5381390ap-16, -0x1.2b14a4c14a3d9p-16, -0x1.2fd64f30d4111p-16, -0x1.3486326b93548p-16, -0x1.39217e40769c7p-16, -0x1.3daa9ed810a4dp-16, -0x1.42211e39989c8p-16, -0x1.4683c173eb3b2p-16, -0x1.4ad373359366ap-16, -0x1.4f0fccc007dd6p-16, -0x1.5338c5245f67ep-16, -0x1.574e7876b724p-16, -0x1.5b50c0c90b743p-16, -0x1.5f3f7dde7dec6p-16, -0x1.631add9cbbfdcp-16, -0x1.66e31d51c8a64p-16, -0x1.6a980279df0cfp-16, -0x1.6e395bbc77abp-16, -0x1.71c70daf4ac6ap-16, -0x1.75415f5c1602ep-16, -0x1.78a87978e1e16p-16, -0x1.7bfc317e2fd63p-16, -0x1.7f3c61b8902bbp-16, -0x1.8268f0147f4a8p-16, -0x1.8582d533bca8bp-16, -0x1.8887cbafd427dp-16, -0x1.8b7ba647b3499p-16, -0x1.8e5b28e0970a2p-16, -0x1.9127894395df6p-16, -0x1.93e0bf65cd25bp-16, -0x1.9686d4f0244c3p-16, -0x1.9919b2e960e51p-16, -0x1.9b996f564af33p-16, -0x1.9e04da599e528p-16, -0x1.a0603cf3cadb4p-16, -0x1.a2a77d2e42944p-16, -0x1.a4dba980f262fp-16, -0x1.a6fdf8856808dp-16, -0x1.a90c4ab7757f5p-16, -0x1.ab08086f90d89p-16, -0x1.acf21837e70d2p-16, -0x1.aec9b708c8b6ep-16, -0x1.b09019d37b938p-16, -0x1.b241a5535c5fap-16, -0x1.b3e1e86161333p-16, -0x1.b57010cabe5a4p-16, -0x1.b6ec316c86f92p-16, -0x1.b8567f2412ab1p-16, -0x1.b9afa9c02b114p-16, -0x1.baf5ea28c4f6p-16, -0x1.bc28c009eb244p-16, -0x1.bd4f378cd2b26p-16, -0x1.be6187abb1729p-16, -0x1.bf628c11570a6p-16, -0x1.c05186dac25e9p-16, -0x1.c130f2c5c2af7p-16, -0x1.c1fed1006413ep-16, -0x1.c2baf3c3553cbp-16, -0x1.c3662fa8469p-16, -0x1.c403017775152p-16, -0x1.c48d97b266b3p-16, -0x1.c5085194dcf42p-16, -0x1.c572b827fb853p-16, -0x1.c5ccc5a58bb1dp-16, -0x1.c616ef9c1deb5p-16, -0x1.c650bbd76beb3p-16, -0x1.c67b9f4a24609p-16, -0x1.c69674cc49e6ap-16, -0x1.c6a1a730c6cd5p-16, -0x1.c69d8a712729fp-16, -0x1.c68a4c9bffd69p-16, -0x1.c667e2eca25dbp-16, -0x1.c6369fd637fddp-16, -0x1.c5f5934917513p-16, -0x1.c5a76b1bf462p-16, -0x1.c549b8826dc5fp-16, -0x1.c4de2243bc1d2p-16, -0x1.c463de16260fcp-16, -0x1.c3db66e12eba3p-16, -0x1.c345473567b2p-16, -0x1.c2a1285e955c3p-16, -0x1.c1ef190687a62p-16, -0x1.c12fd057308dcp-16, -0x1.c0631475d340ep-16, -0x1.bf892020d7a23p-16, -0x1.bea1f3d10cd03p-16, -0x1.bdae69a8746e8p-16, -0x1.bcacdb5db99f8p-16, -0x1.bb9f4d39393bcp-16, -0x1.ba84c00cb872ap-16, -0x1.b95e2cbb53f14p-16, -0x1.b82b3978e3832p-16, -0x1.b6ec97efe89b2p-16, -0x1.b5a206a4bc01bp-16, -0x1.b44b4bf489b17p-16, -0x1.b2e92637aadcep-16, -0x1.b17b46ee5692fp-16, -0x1.b00296b6371bdp-16, -0x1.ae7f5aee496ccp-16, -0x1.acef0b56957abp-16, -0x1.ab551e50a2dp-16, -0x1.a9b0670bf0145p-16, -0x1.a800740c26a6fp-16, -0x1.a6469752161d4p-16, -0x1.a482f8946c527p-16, -0x1.a2b43e9376cb5p-16, -0x1.a0dc2a150da1ep-16, -0x1.9efa023c5a423p-16, -0x1.9d0d1e1a85a2ap-16, -0x1.9b192fc0cf9aep-16, -0x1.9918c5b53dfa6p-16, -0x1.9712b4137710dp-16, -0x1.9501a6708afa9p-16, -0x1.92e7cdfbd9e5ap-16, -0x1.90c547dfd887cp-16, -0x1.8e9a0d2311b5p-16, -0x1.8c664e83cb3afp-16, -0x1.8a2a38400a7eep-16, -0x1.87e5f89018685p-16, -0x1.859989de11d43p-16, -0x1.83450d9688719p-16, -0x1.80e98241d10a9p-16, -0x1.7e8633d52e5bep-16, }}, 
      {{-0x1.9f7d512d951e9p-12, -0x1.165705e57129cp-6, -0x1.34d12bfdf24f4p-5, -0x1.7f062a464a268p-5, -0x1.1a08a14b356dbp-5, 0x1.00efa7a7f2832p-9, 0x1.e99084a5f5189p-5, 0x1.10d8aec7da6p-3, 0x1.b916af770731ap-3, 0x1.3280abf497255p-2, 0x1.842571ffd00afp-2, 0x1.cca0694cf019ap-2, 0x1.044116b349bdcp-1, 0x1.1ad99b16a59cap-1, 0x1.29a4378f88749p-1, 0x1.30a662511cfa4p-1, 0x1.304466d3d8834p-1, 0x1.2926f29d686ep-1, 0x1.1c23b750c8f46p-1, 0x1.0a29b1cfe5fbep-1, 0x1.e8625dab0d0d5p-2, 0x1.b65ec023c4a76p-2, 0x1.801a5285c7ecp-2, 0x1.47416ef07e115p-2, 0x1.0d52dc276ce24p-2, 0x1.a736e55d4bc7bp-3, 0x1.36697a4c591c7p-3, 0x1.941768f56180bp-4, 0x1.8e2ffe1b4ce7p-5, 0x1.000c011a81d03p-9, -0x1.4f47a02dc15c1p-5, -0x1.46d67038bfb9fp-4, -0x1.d5140e96caab5p-4, -0x1.2920c035a8a46p-3, -0x1.5f4d3281a870cp-3, -0x1.8d5075ca204b4p-3, -0x1.b38785aa982b9p-3, -0x1.d264a390d520dp-3, -0x1.ea698410e44c9p-3, -0x1.fc2242776a836p-3, -0x1.04108973fb108p-2, -0x1.077d5308b02bap-2, -0x1.08a196b4c55e4p-2, -0x1.07c5f8a1b65a8p-2, -0x1.0530b57a7ae0dp-2, -0x1.0124e74783c18p-2, -0x1.f7c3f3261075p-3, -0x1.eb468fc236d73p-3, -0x1.dd3fc2b54f328p-3, -0x1.ce14d53ad0f24p-3, -0x1.be22292f64464p-3, -0x1.adbb49f19285p-3, -0x1.9d2b1f177dce4p-3, -0x1.8cb43a398939ep-3, -0x1.7c9138c7b2442p-3, -0x1.6cf52e72b3969p-3, -0x1.5e0c142129f06p-3, -0x1.4ffb3a76dedeep-3, -0x1.42e1c14d3f0acp-3, -0x1.36d9125e5268dp-3, -0x1.2bf55b765b419p-3, -0x1.22460535dda2ep-3, -0x1.19d6246ba978fp-3, -0x1.12ace44d5ede2p-3, -0x1.0ccdebccbaeebp-3, -0x1.0839bd0269755p-3, -0x1.04ee10a044818p-3, -0x1.02e62c2d11e54p-3, -0x1.021b32d7df132p-3, -0x1.028470a19864ep-3, -0x1.04179f2c76697p-3, -0x1.06c924dc7e50fp-3, -0x1.0a8c4e812d15cp-3, -0x1.0f5383830e383p-3, -0x1.151075c1912ffp-3, -0x1.1bb44cd80e6f3p-3, -0x1.232fcdbb492d1p-3, -0x1.2b737e52b14e2p-3, -0x1.346fc5a8f155fp-3, -0x1.3e1508b59fd9ap-3, -0x1.4853c40bb82aep-3, -0x1.531ca21cf9f61p-3, -0x1.5e608ef5ffac9p-3, -0x1.6a10c916a9aeep-3, -0x1.761ef03b942eap-3, -0x1.827d11514caf4p-3, -0x1.8f1db11ed1108p-3, -0x1.9bf3d419c3a9ap-3, -0x1.a8f305b27b834p-3, -0x1.b60f5d4b09042p-3, -0x1.c33d81f2b4186p-3, -0x1.d072ad0217d2ep-3, -0x1.dda4abc815bb4p-3, -0x1.eac9dfe10421bp-3, -0x1.f7d93ea2d2c5fp-3, -0x1.0265281cce4f9p-2, -0x1.08ca96c9a65bp-2, -0x1.0f193ed51a893p-2, -0x1.154db968816e7p-2, -0x1.1b64e39197e3bp-2, -0x1.215bdc2508b79p-2, -0x1.273001e6d961ap-2, -0x1.2cdef15fbc7b4p-2, -0x1.3266822d22c5bp-2, -0x1.37c4c4fc094bp-2, -0x1.3cf801604d173p-2, -0x1.41feb27d0845fp-2, -0x1.46d785495f67bp-2, -0x1.4b81563e13c6ep-2, -0x1.4ffb2e08cf605p-2, -0x1.54443fdba4f26p-2, -0x1.585be6e5442a9p-2, -0x1.5c41a3d7e2febp-2, -0x1.5ff51ab71a83fp-2, -0x1.6376109ae2ed8p-2, -0x1.66c469dd1d1c7p-2, -0x1.69e02788fe15p-2, -0x1.6cc96587ff101p-2, -0x1.6f80593abf5b4p-2, -0x1.72054ef0ac3a6p-2, -0x1.7458a84002e08p-2, -0x1.767adafaa193ap-2, -0x1.786c6ede9eafp-2, -0x1.7a2dfc10054afp-2, -0x1.7bc02a577fd27p-2, -0x1.7d23af0f3671dp-2, -0x1.7e594bc5aa08p-2, -0x1.7f61cdc4899b4p-2, -0x1.803e0c3ae1d9ep-2, -0x1.80eee6e07c6c7p-2, -0x1.817545d3238cbp-2, -0x1.81d2181dfec51p-2, -0x1.820652462288bp-2, -0x1.8212ee2aa896fp-2, -0x1.81f8ea4eab8f3p-2, -0x1.81b9483084c21p-2, -0x1.81550bfe9ad2fp-2, -0x1.80cd3c83de6aap-2, -0x1.8022e1cc81e81p-2, -0x1.7f57043d65802p-2, -0x1.7e6aacec73465p-2, -0x1.7d5ee4f7448d3p-2, -0x1.7c34b44d828bcp-2, -0x1.7aed218ead048p-2, -0x1.7989323526748p-2, -0x1.7809e9d35f973p-2, -0x1.76704938ad851p-2, -0x1.74bd4e8979b66p-2, -0x1.72f1f56ff2134p-2, -0x1.710f365cc0a99p-2, -0x1.6f1605e73ad94p-2, -0x1.6d07550f7f35dp-2, -0x1.6ae4115fa1462p-2, -0x1.68ad24553fbd6p-2, -0x1.666372f4dfaccp-2, -0x1.6407ddf2e72c8p-2, -0x1.619b42042d8eep-2, -0x1.5f1e775abf234p-2, -0x1.5c925150e6ac8p-2, -0x1.59f79e9508454p-2, -0x1.574f2969e677cp-2, -0x1.5499b77889d78p-2, -0x1.51d8097f8696p-2, -0x1.4f0adb5756f99p-2, -0x1.4c32e4348deacp-2, -0x1.4950d6c87c902p-2, -0x1.466560f78d331p-2, -0x1.43712bc61696dp-2, -0x1.4074db824ab93p-2, -0x1.3d711004c9c24p-2, -0x1.3a6664a38c069p-2, -0x1.3755701342829p-2, -0x1.343ec46241e95p-2, -0x1.3122ef3f6c05p-2, -0x1.2e027a18da3a5p-2, -0x1.2addea1b696c9p-2, -0x1.27b5c01252d61p-2, -0x1.248a7896574eap-2, -0x1.215c8c27d073dp-2, -0x1.1e2c6f5e01c23p-2, -0x1.1afa92df3d5b8p-2, -0x1.17c763577b372p-2, -0x1.149349b8dfc1bp-2, -0x1.115eab22264adp-2, -0x1.0e29e92e72c8ap-2, -0x1.0af561f3a96ebp-2, -0x1.07c16ffebbc77p-2, -0x1.048e6a6f896ap-2, -0x1.015ca51569224p-2, -0x1.fc58e1054521p-3, -0x1.f5fc3479e55f9p-3, -0x1.efa3d94f79077p-3, -0x1.e9505e3145967p-3, -0x1.e3024c066c11bp-3, -0x1.dcba25e72535p-3, -0x1.d6786987043fp-3, -0x1.d03d8f349e19ap-3, -0x1.ca0a09f64e528p-3, -0x1.c3de47b3e848ap-3, -0x1.bdbab13e64386p-3, -0x1.b79faa933955dp-3, -0x1.b18d934116aa4p-3, -0x1.ab84c618bfeb3p-3, -0x1.a585996d7f6ep-3, -0x1.9f905f78354adp-3, -0x1.99a5661302922p-3, -0x1.93c4f70d9683bp-3, -0x1.8def5864d677fp-3, -0x1.8824cc29d6ccdp-3, -0x1.826590d382d03p-3, -0x1.7cb1e13f54969p-3, -0x1.7709f4a9c4f5ap-3, -0x1.716dff11d40a2p-3, -0x1.6bde312b93cap-3, -0x1.665ab88384f48p-3, -0x1.60e3bf88898a8p-3, -0x1.5b796dcbd1efdp-3, -0x1.561be7da6af87p-3, -0x1.50cb4f922ebb1p-3, -0x1.4b87c4018f1bap-3, -0x1.465161c6fd06fp-3, -0x1.412842e0b468ap-3, -0x1.3c0c7ed3398d2p-3, -0x1.36fe2aea82ec5p-3, -0x1.31fd5a0480ae7p-3, -0x1.2d0a1cd77a312p-3, -0x1.282481fe19f02p-3, -0x1.234c95fd11d72p-3, -0x1.1e826367febddp-3, -0x1.19c5f2da2164dp-3, -0x1.15174b2f77cebp-3, -0x1.107671465e949p-3, -0x1.0be36877da436p-3, -0x1.075e324f28506p-3, -0x1.02e6cecef5f2cp-3, -0x1.fcfa78eb71b0bp-4, -0x1.f442f056937p-4, -0x1.eba6fb2b0a30fp-4, -0x1.e3268d816a632p-4, -0x1.dac19915ce50fp-4, -0x1.d2780d0152c78p-4, -0x1.ca49d5dd8ca89p-4, -0x1.c236de1c1e28p-4, -0x1.ba3f0d8f5221cp-4, -0x1.b2624a5451ca4p-4, -0x1.aaa0781947187p-4, -0x1.a2f9787b93a8cp-4, -0x1.9b6d2b978584ep-4, -0x1.93fb6f39d9424p-4, -0x1.8ca41fdce01a5p-4, -0x1.8567180d3d2ffp-4, -0x1.7e4430ceb54bep-4, -0x1.773b418c77e1cp-4, -0x1.704c2068aa319p-4, -0x1.6976a1f96d3b6p-4, -0x1.62ba9980bed56p-4, -0x1.5c17d92f4caa2p-4, -0x1.558e31e2ed8b7p-4, -0x1.4f1d735609975p-4, -0x1.48c56c426d696p-4, -0x1.4285ea3dd9a36p-4, -0x1.3c5eba1ac7e43p-4, -0x1.364fa7b28783fp-4, -0x1.30587defee653p-4, -0x1.2a7907328c282p-4, -0x1.24b10cd7c0a5cp-4, -0x1.1f005793a53c1p-4, -0x1.1966afc6ccdcfp-4, -0x1.13e3dcbb2ce51p-4, -0x1.0e77a5a273b95p-4, -0x1.0921d0d6a9e1bp-4, -0x1.03e2248dd61f1p-4, -0x1.fd70cca47aedp-5, -0x1.f348b6d80a647p-5, -0x1.e94b915db010ap-5, -0x1.df78e5829d57ep-5, -0x1.d5d03bed7409bp-5, -0x1.cc511ca3c9f7dp-5, -0x1.c2fb0fd4785b8p-5, -0x1.b9cd9cb98bc8ep-5, -0x1.b0c84ab7940f1p-5, -0x1.a7eaa0cd6b7f8p-5, -0x1.9f3425d3bd257p-5, -0x1.96a4609d84d25p-5, -0x1.8e3ad7ef1f13cp-5, -0x1.85f712cb99d13p-5, -0x1.7dd8979feeaadp-5, -0x1.75deee22f48f8p-5, -0x1.6e099d305b8acp-5, -0x1.66582c8239f38p-5, -0x1.5eca237beff4cp-5, -0x1.575f0a69023d7p-5, -0x1.501669ae2613fp-5, -0x1.48efca18ae62ap-5, -0x1.41eab4f4cbb74p-5, -0x1.3b06b3fd23997p-5, -0x1.344351b635721p-5, -0x1.2da01881eb92bp-5, -0x1.271c94795b62ep-5, -0x1.20b8514875ad6p-5, -0x1.1a72db8f5a418p-5, -0x1.144bc038c51ebp-5, -0x1.0e428e4afa0ap-5, -0x1.0856d4135ea2bp-5, -0x1.028821291a652p-5, -0x1.f9ac0bc0a2263p-6, -0x1.ee802717cabcep-6, -0x1.e38bb7b91876bp-6, -0x1.d8cde48345192p-6, -0x1.ce45d326c34ffp-6, -0x1.c3f2ad64e1788p-6, -0x1.b9d39eedf93b7p-6, -0x1.afe7d3b1e63ffp-6, -0x1.a62e7ac32e89fp-6, -0x1.9ca6c49610b9fp-6, -0x1.934fe3a49f98fp-6, -0x1.8a290c7cc9036p-6, -0x1.8131757e2abf2p-6, -0x1.786856eca6b48p-6, -0x1.6fcceb382781ep-6, -0x1.675e6eed0ecbep-6, -0x1.5f1c208e6ba6p-6, -0x1.57054064bcb7bp-6, -0x1.4f1911726c4e2p-6, -0x1.4756d844c7bf8p-6, -0x1.3fbddbdc77abcp-6, -0x1.384d650bb8768p-6, -0x1.3104bee3f2ffdp-6, -0x1.29e336a0c0b0fp-6, -0x1.22e81b8dcc583p-6, -0x1.1c12bf20ed145p-6, -0x1.15627503a591cp-6, -0x1.0ed692ebf4fa7p-6, -0x1.086e70c7105fcp-6, -0x1.0229689e43717p-6, -0x1.f80dad4af767cp-7, -0x1.ec0c324e3c7f1p-7, -0x1.e04d21b25a5a5p-7, -0x1.d4cf3f7f13bc7p-7, -0x1.c99156b26f161p-7, -0x1.be923364b9e9dp-7, -0x1.b3d0a89fa0d7bp-7, -0x1.a94b8bfb115e8p-7, -0x1.9f01b7f29e401p-7, -0x1.94f20b3e1d297p-7, -0x1.8b1b68f6794bap-7, -0x1.817cb79ef6f75p-7, -0x1.7814e1fa69d54p-7, -0x1.6ee2d7c190ee6p-7, -0x1.65e58bcb92f13p-7, -0x1.5d1bf569f8cd9p-7, -0x1.54850fb40a2e7p-7, -0x1.4c1fd9cb85a9bp-7, -0x1.43eb56ef2000ap-7, -0x1.3be68e884bb63p-7, -0x1.34108b64abe26p-7, -0x1.2c685d07ffdfp-7, -0x1.24ed1636fdd9cp-7, -0x1.1d9dcdbc4bf1fp-7, -0x1.16799e822bd12p-7, -0x1.0f7fa6a2e0589p-7, -0x1.08af07bbc1088p-7, -0x1.0206e835e3f05p-7, -0x1.f70ce184e914fp-8, -0x1.ea599ccd5b3eap-8, -0x1.ddf262ded6c0ap-8, -0x1.d1d59aec057afp-8, -0x1.c601b3e1bad0dp-8, -0x1.ba7523d83182ap-8, -0x1.af2e682048eb6p-8, -0x1.a42c04a29fa4ap-8, -0x1.996c84c2bc41dp-8, -0x1.8eee7b1d48529p-8, -0x1.84b07fa5df415p-8, -0x1.7ab13269b6029p-8, -0x1.70ef37b7f9991p-8, -0x1.67693b06783abp-8, -0x1.5e1dec62cab2ep-8, -0x1.550c018989942p-8, -0x1.4c3235f8e1953p-8, -0x1.438f4b3dce165p-8, -0x1.3b2209032f3f9p-8, -0x1.32e93edaa8c48p-8, -0x1.2ae3bf3f6d75fp-8, -0x1.23106cdcbdec8p-8, -0x1.1b6e228466beap-8, -0x1.13fbd0fd17e13p-8, -0x1.0cb8641a29afcp-8, -0x1.05a2d09a18b85p-8, -0x1.fd741bcd2b47cp-9, -0x1.effa2d21bef13p-9, -0x1.e2d5d0bd66de6p-9, -0x1.d60508736f7cdp-9, -0x1.c985ddc0e6917p-9, -0x1.bd5662235b994p-9, -0x1.b174b5ee28e7p-9, -0x1.a5df063ec35bep-9, -0x1.9a9390ab754d2p-9, -0x1.8f90a33708edap-9, -0x1.84d49a536c357p-9, -0x1.7a5ddf7db7aacp-9, -0x1.702ae6067a47ap-9, -0x1.663a25a5f704cp-9, -0x1.5c8a16f3b409bp-9, -0x1.53193263ecb55p-9, -0x1.49e5f33aba023p-9, -0x1.40eec2675f512p-9, -0x1.38322737534b4p-9, -0x1.2fae9917f9974p-9, -0x1.2762a5fac2f58p-9, -0x1.1f4ce8d0f392ap-9, -0x1.176c0f3976316p-9, -0x1.0fbede002e3dfp-9, -0x1.084429780e806p-9, -0x1.00fad8697404bp-9, -0x1.f3c3b340c2e66p-10, -0x1.e5f03a45a5c59p-10, -0x1.d8792510e14e5p-10, -0x1.cb5c42372f6bep-10, -0x1.be974ea3cc5f3p-10, -0x1.b227f6968d5c7p-10, -0x1.a60bdd3b29ab2p-10, -0x1.9a40a86172e9ep-10, -0x1.8ec40d9f54b93p-10, -0x1.8393de392155bp-10, -0x1.78ae11c8137a6p-10, -0x1.6e10cde35201dp-10, -0x1.63ba60d260ffp-10, -0x1.59a940c130a2bp-10, -0x1.4fdbfe88fefe9p-10, -0x1.465137270ad62p-10, -0x1.3d078046ee6ccp-10, -0x1.33fd7b65481c9p-10, -0x1.2b318a162320bp-10, -0x1.22a2263933b72p-10, -0x1.1a4d8c711c3a1p-10, -0x1.1232020afc335p-10, -0x1.0a4dcf593ec7p-10, -0x1.029f431ebb475p-10, -0x1.f649829dab0a1p-11, -0x1.e7b9aa358094dp-11, -0x1.d98c4d86f5876p-11, -0x1.cbbf0f2acb375p-11, -0x1.be4fc45ab2faep-11, -0x1.b13c7164f34cbp-11, -0x1.a4833150cb97ep-11, -0x1.98222297bbb3dp-11, -0x1.8c1754111db15p-11, -0x1.8060baa25bca1p-11, -0x1.74fc2eb0473fap-11, -0x1.69e760058e677p-11, -0x1.5f201a3c2fc21p-11, -0x1.54a40c2ddd88fp-11, -0x1.4a70d4c0e535ep-11, -0x1.4084595ccbcd6p-11, -0x1.36dc8f8bb97e9p-11, -0x1.2d7792bfa704ap-11, -0x1.2453a6ede202cp-11, -0x1.1b6f32f150825p-11, -0x1.12c8b36962398p-11, -0x1.0a5eb2b6aaff8p-11, -0x1.022fc1eba8bcdp-11, -0x1.f474db4d1a759p-12, -0x1.e4fa7534e7934p-12, -0x1.d5ed4a66d3919p-12, -0x1.c74a5b2464135p-12, -0x1.b90eb4e84762fp-12, -0x1.ab378fffb5cb4p-12, -0x1.9dc231fabf069p-12, -0x1.90ac3b23f2f4p-12, -0x1.83f2fd392bcd2p-12, -0x1.779455ffc1bcp-12, -0x1.6b8de6a879d3fp-12, -0x1.5fdd6505c7eb6p-12, -0x1.54809537af41cp-12, -0x1.497543ba641a9p-12, -0x1.3eb9499d461d6p-12, -0x1.344a88969a7eep-12, -0x1.2a26e0716bfd5p-12, -0x1.204c21d47ff2p-12, -0x1.16b813f1280c1p-12, -0x1.0d686d9e48c5ap-12, -0x1.045ae9e8f7a98p-12, -0x1.f71ab9020d067p-13, -0x1.e5fcc22b69fe1p-13, -0x1.d5585e07da48ap-13, -0x1.c52ba2a9d4415p-13, -0x1.b574a76bae8d3p-13, -0x1.a631814ef562fp-13, -0x1.975fca34fcf5dp-13, -0x1.88fc8949973d2p-13, -0x1.7b045ebc0e9b2p-13, -0x1.6d73cf98acaf4p-13, -0x1.6047792f40f7fp-13, -0x1.537c490825703p-13, -0x1.470f9972a4613p-13, -0x1.3aff0ed85d655p-13, -0x1.2f4863f384ab7p-13, -0x1.23e90efb1ab2ep-13, -0x1.18de20475bf84p-13, -0x1.0e243716a8c5ep-13, -0x1.03b7f1f78202dp-13, -0x1.f32d17dc53fbcp-14, -0x1.df7c0d7a1a212p-14, -0x1.cc5ba7856671ap-14, -0x1.b9cb6e23244dfp-14, -0x1.a7cb48b51f95bp-14, -0x1.96595c53b181fp-14, -0x1.8572253fbee2ep-14, -0x1.751006d26b061p-14, -0x1.652d53f19c52p-14, -0x1.55c46df3bc56ap-14, -0x1.46d121e00fec4p-14, -0x1.384f99ba9476dp-14, -0x1.2a3cdf017ff3p-14, -0x1.1c978795b5a3ap-14, -0x1.0f5e2547c5022p-14, -0x1.028ecb34497bfp-14, -0x1.ec4ccb05e09c3p-15, -0x1.d441889d98b45p-15, -0x1.bcf133a8a2269p-15, -0x1.a6520f2b90b71p-15, -0x1.9061713110fp-15, -0x1.7b193d4086093p-15, -0x1.667cbfe6bd24bp-15, -0x1.528c8ed7cfe9p-15, -0x1.3f4768b32365ap-15, -0x1.2ca9090a57f8dp-15, -0x1.1aab04883ae2p-15, -0x1.09462f7c185f5p-15, -0x1.f0e7403be258ap-16, -0x1.d05a6da117185p-16, -0x1.b0dbcfdb77dep-16, -0x1.9263c09d05f0ep-16, -0x1.74ec27d1195a7p-16, -0x1.58717624df654p-16, -0x1.3cf0c93bbf465p-16, -0x1.2266507af6351p-16, -0x1.08cc767f9b122p-16, -0x1.e0369cb00d443p-17, -0x1.b09373ced42acp-17, -0x1.829e533e6467fp-17, -0x1.5648b4dbbe6d7p-17, -0x1.2b88e73fa26ecp-17, -0x1.025808e4d53e5p-17, -0x1.b55f8eb891dc2p-18, -0x1.6910399085cbp-18, -0x1.1fb0562ee50b5p-18, -0x1.b25c581d1d3edp-19, -0x1.2aedd0a159d69p-19, -0x1.51f3257df0b19p-20, -0x1.60680ec2f8f5ep-22, 0x1.2e94a6d89c7edp-21, 0x1.7cd79026ef12bp-20, 0x1.2c70ce130448cp-19, 0x1.95ea6d049f478p-19, 0x1.fb02bf61ca5d7p-19, 0x1.2de930dd05cffp-18, 0x1.5c33abe693d4bp-18, 0x1.8868c9651b5cep-18, 0x1.b2912d7d20d94p-18, 0x1.dab5d10a60d2ap-18, 0x1.006ff20c844ccp-17, 0x1.128ac901e02b3p-17, 0x1.23b0ace4d4326p-17, 0x1.33ed82766d5cp-17, 0x1.4352814048215p-17, 0x1.51edd6d71069ap-17, 0x1.5fc4338f0f698p-17, 0x1.6cd2b80d66542p-17, 0x1.79158f03f3976p-17, 0x1.849794ac239a5p-17, 0x1.8f5e8cfec324ap-17, 0x1.996a768a58883p-17, 0x1.a2babc9ea2727p-17, 0x1.ab54f9ac12498p-17, 0x1.b344a623cee34p-17, 0x1.ba97356ab57fp-17, 0x1.c15786ebdd80cp-17, 0x1.c78a75e18297ep-17, 0x1.cd2ce02b5555ep-17, 0x1.d240c0c90b3c7p-17, 0x1.d6c7638e78f24p-17, 0x1.dac2fafd9ed07p-17, 0x1.de382f70a1adep-17, 0x1.e122e100e9d35p-17, 0x1.e38410523e6bdp-17, 0x1.e562e691519c6p-17, 0x1.e6cc253c2047dp-17, 0x1.e7ce9333bb87dp-17, 0x1.e86f826143afcp-17, 0x1.e8a985472959fp-17, 0x1.e877083195723p-17, 0x1.e7e0957269a9ep-17, 0x1.e6ea6ce2f3d91p-17, 0x1.e59822705a87ep-17, 0x1.e3e536f894a23p-17, 0x1.e1cdf9e823ddep-17, 0x1.df5ea697fc808p-17, 0x1.dc990bc507d54p-17, 0x1.d982dec46e375p-17, 0x1.d62376c75603bp-17, 0x1.d280d25e74937p-17, 0x1.ce9ade0be3ee9p-17, 0x1.ca6d6c7dbb0c7p-17, 0x1.c5fb735ece747p-17, 0x1.c148e8285cc02p-17, 0x1.bc58bca0488ep-17, 0x1.b728fd2130dfbp-17, 0x1.b1b7579d3631dp-17, 0x1.ac088484d5a1dp-17, 0x1.a6259a1441b06p-17, 0x1.a00fe432b257cp-17, 0x1.99c615d0a378p-17, 0x1.93561d8599332p-17, 0x1.8cb6507bec606p-17, 0x1.85ea29e0fe2d2p-17, 0x1.7ef63dcaec213p-17, 0x1.77da917f0ed04p-17, 0x1.7095661821a8cp-17, 0x1.692970f9b4476p-17, 0x1.619a6213a470fp-17, 0x1.59e6f3763ae0dp-17, 0x1.521a42159085fp-17, 0x1.4a2931dc36c18p-17, 0x1.421ad33c63c04p-17, 0x1.39f13afb322ccp-17, 0x1.31b044dbce927p-17, 0x1.29598edd0a8cep-17, 0x1.20eb40e500092p-17, 0x1.18677af991e9dp-17, 0x1.0fd06fb69900ep-17, 0x1.0726d2c53f154p-17, 0x1.fcd49537fe96bp-18, 0x1.eb36a3201d03ep-18, 0x1.d97c623355bf5p-18, 0x1.c7a5538d274ecp-18, 0x1.b5b47e1a674dap-18, 0x1.a3afdc86eb9eap-18, 0x1.9197e04001db1p-18, 0x1.7f6e72efc4edp-18, 0x1.6d39295a2800bp-18, 0x1.5af60e526d36cp-18, 0x1.48a38fab8b7f1p-18, 0x1.36464417f5116p-18, 0x1.23e2ca08a69a7p-18, 0x1.117a57e6e057ep-18, 0x1.fe16c3c36e21bp-19, 0x1.d948525cf64a1p-19, 0x1.b46cac831b281p-19, 0x1.8f9530e725c53p-19, 0x1.6ac1f61417f55p-19, 0x1.45f84c13b762dp-19, 0x1.21338620f2773p-19, 0x1.f913fb1c6c634p-20, 0x1.afeb2ca5aa024p-20, 0x1.66f74575c8bbap-20, 0x1.1e279cc8b4b07p-20, 0x1.ab3e9ca943ef2p-21, 0x1.1a9087e8e3c5bp-21, 0x1.14539c25babb8p-22, -0x1.4301ccf060322p-27, -0x1.27eb7dba39e4ep-22, -0x1.223f942432566p-21, -0x1.afd6686793ad2p-21, -0x1.1e56334d8ae08p-20, -0x1.6454200267a0dp-20, -0x1.a9ebbf48f30b1p-20, -0x1.ef567f0b8376dp-20, -0x1.19f679ae45d83p-19, -0x1.3c1d743ea616cp-19, -0x1.5e076107922dcp-19, -0x1.7fc6874447d11p-19, -0x1.a1210e28cb245p-19, -0x1.c2485f894a202p-19, -0x1.e32f33a56e9cap-19, -0x1.01e8fb2a6a6ap-18, -0x1.121598975bee6p-18, -0x1.221de67bea27fp-18, -0x1.3203870b300e7p-18, -0x1.41c2f4dc7b8b4p-18, -0x1.515a4a5f11ed3p-18, -0x1.60c912f0bdf48p-18, -0x1.70162bc84d508p-18, -0x1.7f34d1866ade2p-18, -0x1.8e2afbbaa90f6p-18, -0x1.9cf92cafb2856p-18, -0x1.ab9c51b1368cdp-18, -0x1.ba13c14931757p-18, -0x1.c8613de45bf0ap-18, -0x1.d682f3a303ee2p-18, -0x1.e4779468c82ddp-18, -0x1.f23c9c2ea2fd4p-18, -0x1.ffd6cdcbe7eefp-18, -0x1.06a0ddd8d623ep-17, -0x1.0d40a996685ebp-17, -0x1.13c81ae356a73p-17, -0x1.1a37e9d266491p-17, -0x1.2090ba27d333p-17, -0x1.26d165eb8841p-17, -0x1.2cfa16b0b6e76p-17, -0x1.330aa3aa4030dp-17, -0x1.3902ee6d38899p-17, -0x1.3ee2f54b429eep-17, -0x1.44aa9b6731dd1p-17, -0x1.4a59a353dead8p-17, -0x1.4fefcfee2fafp-17, -0x1.556d3e3cbf9d8p-17, -0x1.5ad1d2a3cee98p-17, -0x1.601d434bb9c39p-17, -0x1.654f93d9a410bp-17, -0x1.6a6a795e75421p-17, -0x1.6f6b654166fffp-17, -0x1.745269940959ap-17, -0x1.791f735ccb7f8p-17, -0x1.7dd352c8086cep-17, -0x1.8271ee72a595bp-17, -0x1.86f55719f6d67p-17, -0x1.8b5b5ea916e32p-17, -0x1.8fa7c9eb8226p-17, -0x1.93e1a35308ec5p-17, -0x1.980292a3cdb0cp-17, -0x1.9c071f58cb2p-17, -0x1.9ff2eec591eb6p-17, -0x1.a3c482a4bb453p-17, -0x1.a77d82c3db3ebp-17, -0x1.ab1e84e8d5e4fp-17, -0x1.aea451acd9fd2p-17, -0x1.b212485d6e85ap-17, -0x1.b567d76d0975ap-17, -0x1.b8a43288bbb1p-17, -0x1.bbc813781d452p-17, -0x1.bed2f60d0c006p-17, -0x1.c1c5315e27f18p-17, -0x1.c49f0d181610cp-17, -0x1.c76020e17b9cap-17, -0x1.ca088d7fa3e1p-17, -0x1.cc9a0590b68bdp-17, -0x1.cf122c1c6828fp-17, -0x1.d172ef4db97c8p-17, -0x1.d3bb499505e3cp-17, -0x1.d5ecbac8f3b6fp-17, -0x1.d80577def3f1cp-17, -0x1.da0724db4e3bcp-17, -0x1.dbf17167c3db6p-17, -0x1.ddc45fc9af20ep-17, -0x1.df8031385b5b9p-17, -0x1.e125211dd8c0fp-17, -0x1.e2b2bcfa66f8p-17, -0x1.e42a95406a286p-17, -0x1.e58b03025091dp-17, -0x1.e6d575445c09p-17, -0x1.e808fbb84a44cp-17, -0x1.e926e6057b3aep-17, -0x1.ea2ed2281ddffp-17, -0x1.eb20cc40b0cap-17, -0x1.ebfd68fcf6dd8p-17, -0x1.ecc4402ed8994p-17, -0x1.ed75623f90583p-17, -0x1.ee1301f17e05bp-17, -0x1.ee9a9d82cc2aap-17, -0x1.ef0cec911030dp-17, -0x1.ef684a59a754dp-17, -0x1.efb4a5a3a1d42p-17, -0x1.efeb9ca9481f3p-17, -0x1.f00e15538b26fp-17, -0x1.f01a27eabb8eap-17, -0x1.f0164d68e5facp-17, -0x1.effc471e0855p-17, -0x1.efcfafaad4a73p-17, -0x1.ef903bdacc642p-17, -0x1.ef39038cd1a4p-17, -0x1.eed73dbf3b8b1p-17, -0x1.ee607bc1e5722p-17, -0x1.edd81929d200dp-17, -0x1.ed3a9b5b15f63p-17, -0x1.ec8d78f42bafap-17, -0x1.ebcd7c5242eap-17, -0x1.eafc4fef4daa1p-17, -0x1.ea1a9876e8a73p-17, -0x1.e926258931ad2p-17, -0x1.e822fe16d8fabp-17, -0x1.e70d5cc50e6b5p-17, -0x1.e5e84063ceae7p-17, -0x1.e4b28150c760cp-17, -0x1.e36d02ce4808p-17, -0x1.e217c3c73e073p-17, -0x1.e0b2ddcfccbc8p-17, -0x1.df3e833b0d5a6p-17, -0x1.ddbae6dfef693p-17, -0x1.dc284e5ab6ce4p-17, -0x1.da86f03ccfdp-17, -0x1.d8d6f4c586297p-17, -0x1.d718bf6d40184p-17, -0x1.d54c62a7ff182p-17, -0x1.d37216be88b17p-17, -0x1.d18a0213dff77p-17, -0x1.cf9426d41703ep-17, -0x1.cd9116132ed87p-17, -0x1.cb818cdd13ea6p-17, -0x1.c964a581c2367p-17, -0x1.c73de1ad8c4c1p-17, -0x1.c5052fc908e35p-17, -0x1.c2c334f0de5d8p-17, -0x1.c074b27e77c84p-17, -0x1.be1aa97bdd63cp-17, -0x1.bbb4da106a58ap-17, -0x1.b94330bc31de7p-17, -0x1.b6c704f479d68p-17, -0x1.b43ff3a3a276ap-17, -0x1.b1a96024ac2abp-17, -0x1.af1097260ec74p-17, -0x1.ac692bbd92927p-17, -0x1.a9b83780ed1f2p-17, -0x1.a6fbda7a6a114p-17, -0x1.a437aa2b8de16p-17, -0x1.a168d6b3fac6p-17, -0x1.9e902de19ba46p-17, -0x1.9baf11771c424p-17, -0x1.98c67b93ab7dfp-17, -0x1.95d150f4c73aap-17, -0x1.92d540953c7dp-17, -0x1.8fd08ceb53185p-17, -0x1.8cc4bec9a2e07p-17, -0x1.89b114fc35d14p-17, -0x1.8693076568bd2p-17, -0x1.837063c326e86p-17, -0x1.804266e1ecf99p-17, -0x1.7d11de69366d5p-17, -0x1.79d8224b85acdp-17, -0x1.7697cd5465a09p-17, -0x1.734eb712cb9efp-17, -0x1.7002121b15b14p-17, -0x1.6cadd39cfc38ep-17, -0x1.695339180fadbp-17, -0x1.65f2a5eb7c806p-17, -0x1.628cfe9dd48fbp-17, -0x1.5f22a1fabbf1dp-17, -0x1.5bb01e0c6c48fp-17, -0x1.58393f5657bfdp-17, -0x1.54bdc00381654p-17, -0x1.513cfc8c55b3fp-17, -0x1.4db7c31d802bap-17, -0x1.4a2d9194241f2p-17, -0x1.469ef244a20e7p-17, -0x1.430e016134df3p-17, -0x1.3f77634e8efe7p-17, -0x1.3bdb45e7e69e5p-17, -0x1.383daf6a17fabp-17, -0x1.349c1f45a1bf2p-17, -0x1.30f30ce125c8cp-17, -0x1.2d4d3ae679b8bp-17, -0x1.29a13c2ca6f8ep-17, -0x1.25f28a89bf131p-17, -0x1.224146f69634cp-17, -0x1.1e8d22ebe112ap-17, -0x1.1ad66013f6f0cp-17, -0x1.171cf9928cdb2p-17, -0x1.1361178e589b6p-17, -0x1.0fa3abdb9c06p-17, -0x1.0be432f94dbcdp-17, -0x1.082350bd9d3a2p-17, -0x1.046128c65255ep-17, -0x1.009c03ef82f3bp-17, -0x1.f9adae7f435d5p-18, -0x1.f21e8a0981504p-18, -0x1.ea8db99f887bep-18, -0x1.e2fbfa9315ec5p-18, -0x1.db671b698180ep-18, -0x1.d3d43ab9123f3p-18, -0x1.cc3dcc161d959p-18, -0x1.c4a4b265b9466p-18, -0x1.bd0d61c776b87p-18, -0x1.b5749b72b576bp-18, -0x1.addc9d8ec1b1cp-18, -0x1.a64594f432153p-18, -0x1.9eabacd3f3478p-18, -0x1.97147d12bdaebp-18, -0x1.8f7df968efc48p-18, -0x1.87e832943f419p-18, -0x1.805366f49dbc2p-18, -0x1.78bfa9047d138p-18, -0x1.712f147acf3d4p-18, -0x1.699fe67acdb1p-18, -0x1.621344f497eddp-18, -0x1.5a7feb253b31ap-18, -0x1.52ffcdad702fcp-18, -0x1.4b794048d6f7fp-18, -0x1.43f649a336817p-18, -0x1.3c78139afad28p-18, -0x1.34fb9a94fcd73p-18, -0x1.2d821909504ep-18, -0x1.260d18dcee7f2p-18, -0x1.1e9c57106b104p-18, -0x1.172fa7b65892bp-18, -0x1.0fc76d9c167efp-18, -0x1.08633c63f8a05p-18, -0x1.01032f14539d7p-18, -0x1.f3493ddefea8ap-19, -0x1.e4a5c242f9aa5p-19, }}, 
      {{-0x1.797ccf8ab47cep-1, -0x1.3a2a0926c5ebap-1, -0x1.306dd39175f95p-1, -0x1.5915c3be130f1p-1, -0x1.a03fb99ada6ddp-1, -0x1.f20e48d0d76cap-1, -0x1.1ff6221451767p+0, -0x1.40956e0c94354p+0, -0x1.58f87eb89db12p+0, -0x1.68e3bb22a3d32p+0, -0x1.7123fc92cdab5p+0, -0x1.730cc952c5674p+0, -0x1.701e69b81f6ep+0, -0x1.69cd4b45c793fp+0, -0x1.616254c6d3609p+0, -0x1.57ec7fa03f2dbp+0, -0x1.4e3d9672d9758p+0, -0x1.44ed9a9eb3ef8p+0, -0x1.3c61b768c6863p+0, -0x1.34d4b8f075616p+0, -0x1.2e5fbd9e674eep+0, -0x1.29025fa33dd25p+0, -0x1.24a9f16bb01b3p+0, -0x1.2137a2b300774p+0, -0x1.1e85877376e0cp+0, -0x1.1c6a8f0a06731p+0, -0x1.1abd86058e88dp+0, -0x1.1957433fea3b3p+0, -0x1.1814229bf1fa7p+0, -0x1.16d4eead4b6afp+0, -0x1.157f5801b2a95p+0, -0x1.13fe15293d0ddp+0, -0x1.1240c2cea4b54p+0, -0x1.103b97237583cp+0, -0x1.0de6f80ba9f77p+0, -0x1.0b3f0045e8d1dp+0, -0x1.0842fcde39298p+0, -0x1.04f4e9d8bc1fep+0, -0x1.0158f34caa159p+0, -0x1.fae9fcf5d398ep-1, -0x1.f2a07a40d070fp-1, -0x1.e9e598cdc5e97p-1, -0x1.e0cabf9f47a24p-1, -0x1.d761f039c433cp-1, -0x1.cdbd4c01d508ep-1, -0x1.c3eeaf2d03333p-1, -0x1.ba075eba7a1aep-1, -0x1.b017c84f3e7p-1, -0x1.a62f52c8785aep-1, -0x1.9c5c3ca6b7435p-1, -0x1.92ab853d746cep-1, -0x1.8928df07dc3bap-1, -0x1.7fdeaa97e3794p-1, -0x1.76d5f93da1b45p-1, -0x1.6e1695439d8f7p-1, -0x1.65a70db96a8e2p-1, -0x1.5d8cc493911a1p-1, -0x1.55cbfedd0b662p-1, -0x1.4e67f6e818e42p-1, -0x1.4762f015f0aacp-1, -0x1.40be4b665b865p-1, -0x1.3a7a9bfe3ef2dp-1, -0x1.3497bb14b16f8p-1, -0x1.2f14db1a05a8ep-1, -0x1.29f09a15f693ep-1, -0x1.2529134e8c12fp-1, -0x1.20bbf036d881bp-1, -0x1.1ca6788c2405ap-1, -0x1.18e5a17e39da8p-1, -0x1.15761bc227004p-1, -0x1.12546083e809bp-1, -0x1.0f7cbd394c219p-1, -0x1.0ceb5e5a94d07p-1, -0x1.0a9c59251d9c7p-1, -0x1.088bb46079118p-1, -0x1.06b57056c7b66p-1, -0x1.05158df0d8d87p-1, -0x1.03a8151af2126p-1, -0x1.02691a6b22143p-1, -0x1.0154c416f3526p-1, -0x1.00674e3fdcb72p-1, -0x1.ff3a1d47a8c6ap-2, -0x1.fde4ef74e61fp-2, -0x1.fcc83690fa8b9p-2, -0x1.fbdd58f5e9b09p-2, -0x1.fb1e0319c7eb1p-2, -0x1.fa842a1970ec7p-2, -0x1.fa0a0d877f9aep-2, -0x1.f9aa388f04ee9p-2, -0x1.f95f8286173d2p-2, -0x1.f9250f1284031p-2, -0x1.f8f64daa06578p-2, -0x1.f8cef8e826d34p-2, -0x1.f8ab155533a43p-2, -0x1.f886effd61d31p-2, -0x1.f85f1cab4d975p-2, -0x1.f830741ae0174p-2, -0x1.f7f811925c35ep-2, -0x1.f7b350f053a58p-2, -0x1.f75fcc08f42eep-2, -0x1.f6fb582ad9cc1p-2, -0x1.f68403b66e36ap-2, -0x1.f5f8137c28843p-2, -0x1.f555ffefe2e14p-2, -0x1.f49c72b3370acp-2, -0x1.f3ca44307740ap-2, -0x1.f2de786645f53p-2, -0x1.f1d83cda29b54p-2, -0x1.f0b6e61cf8c8fp-2, -0x1.ef79ecd620732p-2, -0x1.ee20ebcf033ap-2, -0x1.ecab9d93380d1p-2, -0x1.eb19da157fccbp-2, -0x1.e96b949286274p-2, -0x1.e7a0d980c8ba7p-2, -0x1.e5b9ccc973d3bp-2, -0x1.e3b6a79a0d72p-2, -0x1.e197b6a7599b1p-2, -0x1.df5d58d1563fbp-2, -0x1.dd07fd0cedc9ap-2, -0x1.da9820f270a58p-2, -0x1.d80e4fa85bbe3p-2, -0x1.d56b2003da213p-2, -0x1.d2af3352ef8bep-2, -0x1.cfdb348546ed9p-2, -0x1.ccefd68e4682cp-2, -0x1.c9edd3531910ap-2, -0x1.c6d5eb1bbf06ep-2, -0x1.c3a8e3358b524p-2, -0x1.c06784fbf758cp-2, -0x1.bd129d76f733dp-2, -0x1.b9aafc6018225p-2, -0x1.b631731bdb332p-2, -0x1.b2a6d4857b354p-2, -0x1.af0bf4511f578p-2, -0x1.ab61a612aa5f7p-2, -0x1.a7a8bce8d1513p-2, -0x1.a3e20b58a4244p-2, -0x1.a00e627ac8545p-2, -0x1.9c2e916af797cp-2, -0x1.984365595ebcbp-2, -0x1.944da92cea468p-2, -0x1.904e24cb47ca3p-2, -0x1.8c459cf9f0368p-2, -0x1.8834d36ff97afp-2, -0x1.841c866717a1fp-2, -0x1.7ffd7025b5765p-2, -0x1.7bd8470eea4c1p-2, -0x1.77adbdafcaedbp-2, -0x1.737e82635809dp-2, -0x1.6f4b3f08bc81ep-2, -0x1.6b1499265a4efp-2, -0x1.66db31ff8adf8p-2, -0x1.629fa64dddbd2p-2, -0x1.5e628e12dc158p-2, -0x1.5a247cc291da8p-2, -0x1.55e6015dfa646p-2, -0x1.51a7a6522bc78p-2, -0x1.4d69f15456481p-2, -0x1.492d637dddcc5p-2, -0x1.44f2797c940ebp-2, -0x1.40b9ab8bd732bp-2, -0x1.3c836d58e413ep-2, -0x1.38502e12d62c3p-2, -0x1.3420589d13d84p-2, -0x1.2ff453a445473p-2, -0x1.2bcc81934d5f3p-2, -0x1.27a9409368167p-2, -0x1.238aeab3fd8fap-2, -0x1.1f71d6144453ap-2, -0x1.1b5e54eebe4b1p-2, -0x1.1750b5939239ap-2, -0x1.13494280fe29cp-2, -0x1.0f484288f8066p-2, -0x1.0b4df8f4ca512p-2, -0x1.075aa58c67056p-2, -0x1.036e84a2c63p-2, -0x1.ff139e5060314p-3, -0x1.f75975b1461fp-3, -0x1.efaef49d3ce69p-3, -0x1.e8147a2c7f096p-3, -0x1.e08a5f75bcd36p-3, -0x1.d910f7c1d9832p-3, -0x1.d1a890bc3a983p-3, -0x1.ca5172a5c8bedp-3, -0x1.c30be09949005p-3, -0x1.bbd818871bce1p-3, -0x1.b4b6536897a58p-3, -0x1.ada6c571f4e83p-3, -0x1.a6a99e4b4db26p-3, -0x1.9fbf092ce7adfp-3, -0x1.98e72d0f94f87p-3, -0x1.92222cbc914b3p-3, -0x1.8b7026f95aaccp-3, -0x1.84d136b73913ep-3, -0x1.7e45733fa213ap-3, -0x1.77ccf05362087p-3, -0x1.7167be451d66ep-3, -0x1.6b15ea14b2567p-3, -0x1.64d77d9241312p-3, -0x1.5eac7f8ae3bf4p-3, -0x1.5894f3f249496p-3, -0x1.5290dbe979aa6p-3, -0x1.4ca035df1d3d6p-3, -0x1.46c2fdbce0813p-3, -0x1.40f92cf0a50dp-3, -0x1.3b42ba8c5805fp-3, -0x1.359f9b689f236p-3, -0x1.300fc2416aa2ap-3, -0x1.2a931fc22e0c1p-3, -0x1.2529a2a089f7cp-3, -0x1.1fd337ba0e595p-3, -0x1.1a8fca25688bdp-3, -0x1.155f434a3bcedp-3, -0x1.10418af4420f7p-3, -0x1.0b36877ad5923p-3, -0x1.063e1daefb3b8p-3, -0x1.015831134d526p-3, -0x1.f90947a7e7b65p-4, -0x1.ef86add465935p-4, -0x1.e628544aaaf14p-4, -0x1.dcedf88455958p-4, -0x1.d3d755effd24cp-4, -0x1.cae426021e552p-4, -0x1.c2142069be8b8p-4, -0x1.b966fb1cddcd8p-4, -0x1.b0dc6a7ac1418p-4, -0x1.a874216dfe5a4p-4, -0x1.a02dd17fbfafbp-4, -0x1.98092af4a91adp-4, -0x1.9005dcdaa248cp-4, -0x1.882395344449bp-4, -0x1.806200f1ab01cp-4, -0x1.78c0cc218bc93p-4, -0x1.713fa1fc9fa96p-4, -0x1.69de2cf9a6351p-4, -0x1.629c16e93462ep-4, -0x1.5b7908f027a1bp-4, -0x1.5474abb9e2703p-4, -0x1.4d8ea76690859p-4, -0x1.46c6a3b5be1b1p-4, -0x1.401c480f06572p-4, -0x1.398f3b9916935p-4, -0x1.331f25430e492p-4, -0x1.2ccbabbf3d44ap-4, -0x1.269475aa2470ap-4, -0x1.2079298f6c858p-4, -0x1.1a796deae9857p-4, -0x1.1494e956ff659p-4, -0x1.0ecb426d5286bp-4, -0x1.091c1ff4e876dp-4, -0x1.038728cea6c03p-4, -0x1.fc1808250cb82p-5, -0x1.f154b215e28fcp-5, -0x1.e6c39ea03811dp-5, -0x1.dc641da1f6551p-5, -0x1.d2357f8cfa102p-5, -0x1.c837159fb443dp-5, -0x1.be6831deaeef9p-5, -0x1.b4c8270923019p-5, -0x1.ab5648f739c82p-5, -0x1.a211ec3f45aa4p-5, -0x1.98fa66b1189c8p-5, -0x1.900f0f1b3bc5fp-5, -0x1.874f3d553c917p-5, -0x1.7eba4a6bc91a9p-5, -0x1.764f908c64da3p-5, -0x1.6e0e6b011b07ap-5, -0x1.65f63681e80e7p-5, -0x1.5e0650ef4b1e2p-5, -0x1.563e19a7e4448p-5, -0x1.4e9cf12b315eap-5, -0x1.4722398744b9ep-5, -0x1.3fcd560a138f9p-5, -0x1.389dab839917ap-5, -0x1.3192a01a38119p-5, -0x1.2aab9b7e17851p-5, -0x1.23e806e45e902p-5, -0x1.1d474cee11888p-5, -0x1.16c8d9e2a914cp-5, -0x1.106c1b734b4a9p-5, -0x1.0a3080e25d9dbp-5, -0x1.04157afde35edp-5, -0x1.fc34f84156866p-6, -0x1.f07df07e1b60dp-6, -0x1.e504c9bd3d165p-6, -0x1.d9c87284fe3dap-6, -0x1.cec7dc17dce0bp-6, -0x1.c401fb56c2d0cp-6, -0x1.b975c80c80625p-6, -0x1.af223d79f13a7p-6, -0x1.a50659d7cc204p-6, -0x1.9b211eb142287p-6, -0x1.917190d7e025ep-6, -0x1.87f6b8589dfd1p-6, -0x1.7eafa089473ap-6, -0x1.759b57d9940bep-6, -0x1.6cb8f0211ff47p-6, -0x1.64077e4b2b2b7p-6, -0x1.5b861a6b63334p-6, -0x1.5333dfbb6c57cp-6, -0x1.4b0fec7814ffbp-6, -0x1.431962c83515dp-6, -0x1.3b4f67463b9f2p-6, -0x1.33b121ebad0a2p-6, -0x1.2c3dbde1fe3d8p-6, -0x1.24f4694d8fdecp-6, -0x1.1dd4558d50af9p-6, -0x1.16dcb70aa7f33p-6, -0x1.100cc508e0757p-6, -0x1.0963b9bd54c5p-6, -0x1.02e0d3482a784p-6, -0x1.f906a33f1af4bp-7, -0x1.ec94f0da4e825p-7, -0x1.e06b1bf382ba9p-7, -0x1.d487b757be6a9p-7, -0x1.c8e95b92a5606p-7, -0x1.bd8ea6bcd6a31p-7, -0x1.b2763c99cd882p-7, -0x1.a79ec6c5b42b4p-7, -0x1.9d06f4617239bp-7, -0x1.92ad7a10e0bbfp-7, -0x1.889112317edf6p-7, -0x1.7eb07c2f1d1fap-7, -0x1.750a7d42ce383p-7, -0x1.6b9ddfaa74d94p-7, -0x1.62697320019d2p-7, -0x1.596c0c73be995p-7, -0x1.50a4859374f49p-7, -0x1.4811bd9aa610dp-7, -0x1.3fb298a4bd6fcp-7, -0x1.3785ffd08006fp-7, -0x1.2f8ae1335a0e7p-7, -0x1.27c02fc2b53dfp-7, -0x1.2024e342ef347p-7, -0x1.18b7f83344bfep-7, -0x1.11786fccfaadap-7, -0x1.0a654fb700823p-7, -0x1.037da2972ca4ap-7, -0x1.f980edb0f7086p-8, -0x1.ec59c0a32dd1p-8, -0x1.df83ecc33d3c7p-8, -0x1.d2fdaa912d81dp-8, -0x1.c6c53abe9378ap-8, -0x1.bad8e68d13ap-8, -0x1.af36ff5fb881dp-8, -0x1.a3dddf2694485p-8, -0x1.98cbe7bb2f1eap-8, -0x1.8dff825ba1df1p-8, -0x1.837720e47ee67p-8, -0x1.79313cd5a8779p-8, -0x1.6f2c56720b27dp-8, -0x1.6566f67182ef1p-8, -0x1.5bdfac82c5795p-8, -0x1.52950fd0d795fp-8, -0x1.4985bebe2064dp-8, -0x1.40b05e7b6c6b2p-8, -0x1.38139ba13cc1fp-8, -0x1.2fae29712b25cp-8, -0x1.277ec192ba6f5p-8, -0x1.1f8424c6f9acfp-8, -0x1.17bd1a54e27dfp-8, -0x1.10286ef250eap-8, -0x1.08c4f693662a4p-8, -0x1.01918aca106ap-8, -0x1.f51a16d4c00d1p-9, -0x1.e76cbc97cbcd6p-9, -0x1.da18de479fb3cp-9, -0x1.cd1c5edcec00cp-9, -0x1.c0752d603c77bp-9, -0x1.b42143fdd75d4p-9, -0x1.a81ea8119614bp-9, -0x1.9c6b6a3ff6307p-9, -0x1.9105a513f1cbp-9, -0x1.85eb7def9ab25p-9, -0x1.7b1b2399ead91p-9, -0x1.7092cfef40446p-9, -0x1.6650c42b3511cp-9, -0x1.5c534ba93ac3p-9, -0x1.5298baf1b8fc2p-9, -0x1.491f6fd508e85p-9, -0x1.3fe5d1cd88cbep-9, -0x1.36ea50e16a546p-9, -0x1.2e2b6849e5929p-9, -0x1.25a79e94ff533p-9, -0x1.1d5d7c17dd037p-9, -0x1.154b9c142de46p-9, -0x1.0d709b1125022p-9, -0x1.05cb1f5af4369p-9, -0x1.fcb3abada489cp-10, -0x1.ee36e2f8229d7p-10, -0x1.e01d56441fabep-10, -0x1.d2648338f4299p-10, -0x1.c509f36b28053p-10, -0x1.b80b404b574e7p-10, -0x1.ab66121d6de8fp-10, -0x1.9f1822eb1cecp-10, -0x1.931f3e718823p-10, -0x1.87794478866acp-10, -0x1.7c2421f61887cp-10, -0x1.711dd80d45f62p-10, -0x1.6664707946836p-10, -0x1.5bf60185e6e5fp-10, -0x1.51d0a55805c3ep-10, -0x1.47f27bbd302f6p-10, -0x1.3e59ab241cbe4p-10, -0x1.3504566e080edp-10, -0x1.2bf0b2676c9dbp-10, -0x1.231cf88288794p-10, -0x1.1a876fc3258d3p-10, -0x1.122e6ec07e895p-10, -0x1.0a1061160a7ep-10, -0x1.022bc573f86bbp-10, -0x1.f4fe56164608ep-11, -0x1.e612635e1c272p-11, -0x1.d791059507cedp-11, -0x1.c9779dcae83acp-11, -0x1.bbc38dab5682ep-11, -0x1.ae72367c05ff3p-11, -0x1.a180f348980f3p-11, -0x1.94ed1a409475dp-11, -0x1.88b4027506d44p-11, -0x1.7cd30c3c3dc08p-11, -0x1.7147a98eafed9p-11, -0x1.660f68f626997p-11, -0x1.5b27fa0f45474p-11, -0x1.508f326966e7cp-11, -0x1.46430c5ac06abp-11, -0x1.3c41a3b8def1ep-11, -0x1.32892c7e42762p-11, -0x1.2917e94848144p-11, -0x1.1fec20ba2ffd9p-11, -0x1.170419edf7358p-11, -0x1.0e5e058e456cdp-11, -0x1.05f81b7662b3p-11, -0x1.fba0ec0a81ecfp-12, -0x1.ebca7be5e473p-12, -0x1.dc692944e6a0bp-12, -0x1.cd796758153c9p-12, -0x1.bef7c2b92d83p-12, -0x1.b0e109f1cc375p-12, -0x1.a3323f376a555p-12, -0x1.95e8a1270ec62p-12, -0x1.89019dfdb0675p-12, -0x1.7c7acabed0e88p-12, -0x1.7051d2db4ca45p-12, -0x1.64846bc0dda1cp-12, -0x1.5910483328576p-12, -0x1.4df30f6c2784bp-12, -0x1.432a5aa197b4p-12, -0x1.38b3b10fb071ep-12, -0x1.2e8cb19f56995p-12, -0x1.24b2ea08e6c16p-12, -0x1.1b23ef2c64969p-12, -0x1.11dd848d799a9p-12, -0x1.08dd818f5cd94p-12, -0x1.0021db16caef4p-12, -0x1.ef514dd052fd1p-13, -0x1.dee0347cc6f98p-13, -0x1.ceecf481d7161p-13, -0x1.bf7437d5a4d3ap-13, -0x1.b072bef8cc86ep-13, -0x1.a1e54919e9f4fp-13, -0x1.93c892e0d1255p-13, -0x1.861962c673583p-13, -0x1.78d484d167fe9p-13, -0x1.6bf6e1c516a6ep-13, -0x1.5f7d6eb414c0bp-13, -0x1.5365589965925p-13, -0x1.47abee8e91995p-13, -0x1.3c4e76fbc494ep-13, -0x1.314a77c92a30dp-13, -0x1.269d6c5b4156dp-13, -0x1.1c44e11e88764p-13, -0x1.123e70645547p-13, -0x1.0887c10a9d8e4p-13, -0x1.fe3d0e1742a0ep-14, -0x1.ec0100a5d3f35p-14, -0x1.da56dea0cd8dbp-14, -0x1.c93a28560c1d2p-14, -0x1.b8a66121701e6p-14, -0x1.a897082eca7fp-14, -0x1.9907b1ced3321p-14, -0x1.89f4283327576p-14, -0x1.7b591a17985f7p-14, -0x1.6d33097280f09p-14, -0x1.5f7f6066c0717p-14, -0x1.523b9f28074bfp-14, -0x1.45654b2c2149ep-14, -0x1.38f9a7d948e77p-14, -0x1.2cf59ef391c24p-14, -0x1.2155df4adc79fp-14, -0x1.161713264162dp-14, -0x1.0b35fce037ccp-14, -0x1.00af9604aa607p-14, -0x1.ed023f358df58p-15, -0x1.d95038f777355p-15, -0x1.c643fcf0300acp-15, -0x1.b3d8cfddb3fd4p-15, -0x1.a208eba060149p-15, -0x1.90ce268e75f62p-15, -0x1.8022cfde0f7f4p-15, -0x1.7001b04620132p-15, -0x1.60669bb61172bp-15, -0x1.514f6d0d8c4a9p-15, -0x1.42ba5aed4287dp-15, -0x1.34a5d889d034dp-15, -0x1.270f3eb388622p-15, -0x1.19f30441caff3p-15, -0x1.0d4c3fa6eb4ebp-15, -0x1.01161e3435789p-15, -0x1.ea97d9e958382p-16, -0x1.d3d36d446d234p-16, -0x1.bdd7be0c4c5bdp-16, -0x1.a89ee8c04cc1fp-16, -0x1.9424d7f5d5a51p-16, -0x1.80658a8434e24p-16, -0x1.6d5c80de40469p-16, -0x1.5b03ef6bfc84ep-16, -0x1.49548a7607f66p-16, -0x1.38460040a7cc9p-16, -0x1.27d090dbae43dp-16, -0x1.17f02d1751cacp-16, -0x1.08a0448393815p-16, -0x1.f3c1591d0b5d9p-17, -0x1.d76068a411bdep-17, -0x1.bc18efb89089p-17, -0x1.a1e28df84d214p-17, -0x1.88b2624022bcp-17, -0x1.707cc5d4e0374p-17, -0x1.59369b6a07ac9p-17, -0x1.42d5df363ap-17, -0x1.2d50e9e26dfb7p-17, -0x1.18a1e9b046fe5p-17, -0x1.04c19dfebdedbp-17, -0x1.e357d9551bc72p-18, -0x1.beb97a07743e6p-18, -0x1.9b9f09c548f6cp-18, -0x1.79fdbc8421f38p-18, -0x1.59c7287f4d466p-18, -0x1.3aed20cfb586dp-18, -0x1.1d619cac21f0cp-18, -0x1.0116c5844da95p-18, -0x1.cc0823c2bd842p-19, -0x1.98435570fb7f7p-19, -0x1.66d0acc1b905dp-19, -0x1.37a015094fad4p-19, -0x1.0aa0b8c2af17ap-19, -0x1.bf82ab2e9173cp-20, -0x1.6de1a74dfd38bp-20, -0x1.203f0cf2f79a4p-20, -0x1.acaf051fb28a7p-21, -0x1.20610f8a44eb9p-21, -0x1.3661b066e7b89p-22, -0x1.cd6b5e2535b9ap-25, 0x1.6c025d40ba143p-23, 0x1.993486db13f3ep-22, 0x1.3825850b9925bp-21, 0x1.9dc1431cb80ep-21, 0x1.fd916409c0dddp-21, 0x1.2bddd6d6ae5d4p-20, 0x1.5631ff551d17fp-20, 0x1.7dd831633ba7fp-20, 0x1.a2ddec97f0cdep-20, 0x1.c55664135cabfp-20, 0x1.e56449281ede4p-20, 0x1.019b2095cf57ep-19, 0x1.0f79b2a694fd2p-19, 0x1.1c54cf95cfda4p-19, 0x1.282fa54cd0257p-19, 0x1.330458133927p-19, 0x1.3ce4d9cbb62f4p-19, 0x1.45d939a6dc41ep-19, 0x1.4de4139f8cbb1p-19, 0x1.55073d25ee4b8p-19, 0x1.5b4b55f7a722fp-19, 0x1.60bf986a977c7p-19, 0x1.65755632c8c0cp-19, 0x1.697ad947ca23ep-19, 0x1.6cd78703c9dbdp-19, 0x1.6f89468a50f4p-19, 0x1.7195f3de805e4p-19, 0x1.72fdbda427026p-19, 0x1.73c60fa7a5a74p-19, 0x1.73f631aa92d18p-19, 0x1.738a8cf3659d1p-19, 0x1.728574629ffabp-19, 0x1.70f0721da884p-19, 0x1.6edb7538178bbp-19, 0x1.6c583e6c7ac37p-19, 0x1.696db9b1631ebp-19, 0x1.6616cc04b3d69p-19, 0x1.624e8ae3dc7c9p-19, 0x1.5e1edcb19c254p-19, 0x1.598ddfbb97d4ep-19, 0x1.549ff485e3217p-19, 0x1.4f50897d01c39p-19, 0x1.499ea18517b9fp-19, 0x1.43961ab3c2773p-19, 0x1.3d3a83cae4cb3p-19, 0x1.3692d17b9afecp-19, 0x1.2fa7ae7ad0319p-19, 0x1.28803730d5224p-19, 0x1.211cd456501a5p-19, 0x1.1979b3843f125p-19, 0x1.1199f486d508fp-19, 0x1.0982f06f88899p-19, 0x1.01379c87654cep-19, 0x1.f16f741f287a7p-20, 0x1.dffe76118d4b9p-20, 0x1.ce27f5bde0671p-20, 0x1.bc00b22668858p-20, 0x1.a98b29b04c001p-20, 0x1.96cbe2c0c18ccp-20, 0x1.83d9414bf23e3p-20, 0x1.70a0ad1165c08p-20, 0x1.5d29e8c1d16cp-20, 0x1.4980043ec341cp-20, 0x1.35a2c0e7617a3p-20, 0x1.218f02e296f45p-20, 0x1.0d4ad68c83649p-20, 0x1.f1bb723ec528dp-21, 0x1.c88cfcb990cbfp-21, 0x1.9f2f8f130cf1ep-21, 0x1.757ebd0090fffp-21, 0x1.4b9984c162c4bp-21, 0x1.21812bedfe2ddp-21, 0x1.ee93185c18502p-22, 0x1.99f48b6f6b6ecp-22, 0x1.45129b76f6eefp-22, 0x1.e00316b9f27e4p-23, 0x1.359e2fa246a4fp-23, 0x1.1613485caca5ap-24, -0x1.fc23223da66d6p-27, -0x1.958ed9e0fee6fp-24, -0x1.75b90dcacf4c7p-23, -0x1.104e94a112a5bp-22, -0x1.65af15c2fea93p-22, -0x1.bae5f4bec9d4ep-22, -0x1.07f939c118682p-21, -0x1.326772b8ef8c6p-21, -0x1.5cb2e8b7740f7p-21, -0x1.86e06b6438846p-21, -0x1.b0f3aafcb3867p-21, -0x1.dae35d31b466ep-21, -0x1.02531d148c943p-20, -0x1.171dcb3995cd3p-20, -0x1.2bd273db8a57cp-20, -0x1.40686141feb0bp-20, -0x1.54e5af55617e1p-20, -0x1.694869be0bef3p-20, -0x1.7d8fdd80bc03cp-20, -0x1.91b7b9ffdfcd7p-20, -0x1.a5c495f610979p-20, -0x1.b9ab06535680ep-20, -0x1.cd6e7430a9b84p-20, -0x1.e10de9b2bfbffp-20, -0x1.f48ab15e78219p-20, -0x1.03f02d0c34148p-19, -0x1.0d892b777a5efp-19, -0x1.17114b3d80196p-19, -0x1.207e6c868241fp-19, -0x1.29dabf0effd58p-19, -0x1.3322ecfbdc122p-19, -0x1.3c55c400a32b8p-19, -0x1.45728cb3794f4p-19, -0x1.4e7813baef4d7p-19, -0x1.576741e7b505cp-19, -0x1.604619b05446ep-19, -0x1.6904aafa1df36p-19, -0x1.71aff97bd1085p-19, -0x1.7a430d651330fp-19, -0x1.82c2a51d1a823p-19, -0x1.8b22b425044e2p-19, -0x1.936d81c54e8e5p-19, -0x1.9ba0a28fca334p-19, -0x1.a3bb7b816165fp-19, -0x1.abbce5c129da7p-19, -0x1.b3a521bfa4eb6p-19, -0x1.bb751b634765fp-19, -0x1.c32b953a5d399p-19, -0x1.cac8c03e996f4p-19, -0x1.d24b472681eb3p-19, -0x1.d9b6126d261acp-19, -0x1.e10531b9d24b6p-19, -0x1.e83a968f969c1p-19, -0x1.ef56d430767d6p-19, -0x1.f658c2d9d68a8p-19, -0x1.fd40504a4f819p-19, -0x1.0207231f443c4p-18, -0x1.05611ee3e3d09p-18, -0x1.08ae025b91777p-18, -0x1.0bec7fa2be101p-18, -0x1.0f1f32bab8786p-18, -0x1.1243e825df725p-18, -0x1.155c5577a4ba7p-18, -0x1.18670a0b9669ep-18, -0x1.1b6478e49472cp-18, -0x1.1e551827d20ccp-18, -0x1.2138657eceffcp-18, -0x1.240e8ddfb533bp-18, -0x1.26d794fd4464cp-18, -0x1.2993881e500e9p-18, -0x1.2c427c61cc75p-18, -0x1.2ee47720f0925p-18, -0x1.31796db8ac367p-18, -0x1.3401591d88d42p-18, -0x1.367c52268e9d1p-18, -0x1.38ea6b2613857p-18, -0x1.3b4ba18e3851bp-18, -0x1.3da0045b7db9ep-18, -0x1.3fe83b48e7bafp-18, -0x1.422371a780d4p-18, -0x1.4451a89ff4922p-18, -0x1.4672fe3da7c62p-18, -0x1.4887e202f4511p-18, -0x1.4a917de57f8d2p-18, -0x1.4c8e2d50ceb7dp-18, -0x1.4e7cb0ef3c8e1p-18, -0x1.505f282dcabafp-18, -0x1.52375e7e03d3dp-18, -0x1.5403b08aeda99p-18, -0x1.55c2dd37bd8e1p-18, -0x1.57762037a0445p-18, -0x1.591cecdab6ef4p-18, -0x1.5ab82c2edd908p-18, -0x1.5c480328f79d2p-18, -0x1.5dcb2b1348b87p-18, -0x1.5f4333b5fae9bp-18, -0x1.60afd40ec4986p-18, -0x1.6210c573fb429p-18, -0x1.636667aa6d878p-18, -0x1.64b0952e5f94fp-18, -0x1.65ef7568d7bc8p-18, -0x1.67233df52fca4p-18, -0x1.684bb62519986p-18, -0x1.6968ee7a5d3c1p-18, -0x1.6a7c257e33224p-18, -0x1.6b83bfb72653ep-18, -0x1.6c80f0cafa4b5p-18, -0x1.6d7366aabe53cp-18, -0x1.6e5b88a0f2c14p-18, -0x1.6f38e7680d053p-18, -0x1.700bfe10565a6p-18, -0x1.70d4d2dee92a6p-18, -0x1.7193771a8771ep-18, -0x1.7248101a29d65p-18, -0x1.72f2c12937cf9p-18, -0x1.739358befb053p-18, -0x1.742a6b318417fp-18, -0x1.74b78135bf5c9p-18, -0x1.753b0fe1f77d7p-18, -0x1.75b4f6229b681p-18, -0x1.76258ec0139a3p-18, -0x1.768cc74cf87d1p-18, -0x1.76eab57d6109bp-18, -0x1.773f9f2bd5703p-18, -0x1.778b65f36bad7p-18, -0x1.77ce068db6aa2p-18, -0x1.780891991feaep-18, -0x1.7839d815d37p-18, -0x1.7862282dfd8f8p-18, -0x1.7881774ee938bp-18, -0x1.7899e2b7b4351p-18, -0x1.78a9ab4e316d9p-18, -0x1.78b11bafae217p-18, -0x1.78af3ccf72fe7p-18, -0x1.78a6ec776b833p-18, -0x1.789589fbcdc14p-18, -0x1.787c9832699d4p-18, -0x1.785be83f7f758p-18, -0x1.7831ff9a60ca3p-18, -0x1.78031962e4e76p-18, -0x1.77cbff1344e81p-18, -0x1.778dabc7c1c8cp-18, -0x1.77474301bbe14p-18, -0x1.76fa35fab4341p-18, -0x1.76a5c3d837a13p-18, -0x1.764a735ec3669p-18, -0x1.75e8a2cf08cddp-18, -0x1.757f00dfbe3d5p-18, -0x1.751007fc2a85p-18, -0x1.749959d431db1p-18, -0x1.741cb69828a74p-18, -0x1.739973856a2bbp-18, -0x1.73100d288c138p-18, -0x1.72807d07194bdp-18, -0x1.71eac2a27cf46p-18, -0x1.714eef60984d7p-18, -0x1.70ad21f21b41bp-18, -0x1.70058120a028p-18, -0x1.6f581fa7423b8p-18, -0x1.6ea507614d3fp-18, -0x1.6dec66bc806ebp-18, -0x1.6d2e525f06b38p-18, -0x1.6c6adce5e1283p-18, -0x1.6ba20deff58adp-18, -0x1.6ad3eb8ec666bp-18, -0x1.6a00bc382ab55p-18, -0x1.6928c3bea6d75p-18, -0x1.684ba8399f4d4p-18, -0x1.676a88bd4abbap-18, -0x1.66830b90a8d4fp-18, -0x1.65979784cdc54p-18, -0x1.64a779bdc8ad2p-18, -0x1.63b2e9e61e929p-18, -0x1.62b9dfc7541bbp-18, -0x1.61bc5d7bf7f5cp-18, -0x1.60bad30028b2dp-18, -0x1.5fb529c02fe65p-18, -0x1.5ea9f0ed16109p-18, -0x1.5d9d45b72b60cp-18, -0x1.5c8b4f53933ffp-18, -0x1.5b75cb36e331bp-18, -0x1.5a5bd35a559b6p-18, -0x1.593f089236591p-18, -0x1.581e3da49e1b1p-18, -0x1.56f9a3c0c133p-18, -0x1.55d1d966d966ep-18, -0x1.54a71c7aa833cp-18, -0x1.5377f72ec31a7p-18, -0x1.524613b5e58d9p-18, -0x1.5110e5bafd9a5p-18, -0x1.4fd92e88acc9ap-18, -0x1.4e9e71daa86c4p-18, -0x1.4d5f9407e1083p-18, -0x1.4c1f647074a81p-18, -0x1.4adadf35e528ep-18, -0x1.4994ff0c3aab4p-18, -0x1.484be4f32a1c6p-18, -0x1.4700444ad04cap-18, -0x1.45b19ff4321f7p-18, -0x1.44612c0132f9ap-18, -0x1.430e0bd8b0d0ap-18, -0x1.41b8908cffd4p-18, -0x1.4060d952c8475p-18, -0x1.3f07217787f4p-18, -0x1.3dab9d346d75ep-18, -0x1.3c4d2fa99b0a6p-18, -0x1.3aed07b841a7bp-18, -0x1.398b1cffb5ac1p-18, -0x1.382742a090a0dp-18, -0x1.36c18025876e4p-18, -0x1.355a04fc80e57p-18, -0x1.33f0c0ef17fbdp-18, -0x1.328682c00f07ep-18, -0x1.311a2ccfb62dfp-18, -0x1.2fabd1ae56af1p-18, -0x1.2e3cc74b09571p-18, -0x1.2ccc32117a148p-18, -0x1.2b59008330ad1p-18, -0x1.29e67d66f56f1p-18, -0x1.2871dc2cce35p-18, -0x1.26fc29cc3af1cp-18, -0x1.25856a2d8d183p-18, -0x1.240d7e1e7f273p-18, -0x1.22947f66bf63p-18, -0x1.211a787c77eecp-18, -0x1.1f9f6cc4ced2dp-18, -0x1.1e23ad83d488ap-18, -0x1.1ca70eb6e3108p-18, -0x1.1b29d109c6452p-18, -0x1.19abf4181cf8cp-18, -0x1.182cdd6c187a1p-18, -0x1.16adcf72555d2p-18, -0x1.152da0dd9cf7cp-18, -0x1.13ad0b361b9cdp-18, -0x1.122c1e8d65c85p-18, -0x1.10aa840f8d9c8p-18, -0x1.0f290c427f625p-18, -0x1.0da6d7137ab5bp-18, -0x1.0c2407db3db8dp-18, -0x1.0aa14bf15a723p-18, -0x1.091e30d2c5bfap-18, -0x1.079b0e0fc0598p-18, -0x1.0617e3af09e7p-18, -0x1.04942ecf1290dp-18, -0x1.0310b3148cc34p-18, -0x1.018d26300b908p-18, -0x1.00098ead506a8p-18, -0x1.fd0be71c41907p-19, -0x1.fa04bcdf5ab1ep-19, -0x1.f6fe4a254dc9p-19, -0x1.f3f800105fdf6p-19, -0x1.f0f234ebf1f4ap-19, -0x1.edea15a688343p-19, -0x1.eae791c0454d7p-19, -0x1.e7e2dace863e1p-19, -0x1.e4dee1562c916p-19, -0x1.e1dc3c2fa38aep-19, -0x1.ded9cfedd2434p-19, -0x1.dbd80caf1fa05p-19, -0x1.d8d768f4333a3p-19, -0x1.d5d7d3dba46cap-19, -0x1.d2d942a3330c4p-19, -0x1.cfdbd7f2d7e8fp-19, -0x1.ccdf711a45decp-19, -0x1.c9e42236f12d5p-19, -0x1.c6e928184aa8cp-19, -0x1.c3f1773965bfdp-19, }}, 
      {{0x1.933149417155ap-1, 0x1.9316271f1b309p-1, 0x1.92e905196d905p-1, 0x1.92a9ff289b065p-1, 0x1.925931b5c7ff7p-1, 0x1.91f6b21fb82c8p-1, 0x1.918288030df4fp-1, 0x1.90fca7ee9a04dp-1, 0x1.9064efcbe8e85p-1, 0x1.8fbb24fe87cfp-1, 0x1.8efef411a61cfp-1, 0x1.8e2ff1b656bedp-1, 0x1.8d4d9ccdccdc9p-1, 0x1.8c57613c64e9fp-1, 0x1.8b4c9b47f3ccap-1, 0x1.8a2c9b4b2f126p-1, 0x1.88f6a98fd7cecp-1, 0x1.87aa0a28fefa8p-1, 0x1.864600ae1a7d9p-1, 0x1.84c9d3be84c91p-1, 0x1.8334d03b54411p-1, 0x1.81864c2b3bedap-1, 0x1.7fbda9411ed16p-1, 0x1.7dda570257c2dp-1, 0x1.7bdbd48d31ceap-1, 0x1.79c1b202dc3d3p-1, 0x1.778b919a3196dp-1, 0x1.753928621ae03p-1, 0x1.72ca3ebb35bb4p-1, 0x1.703eb090cda4dp-1, 0x1.6d966d5943876p-1, 0x1.6ad177e5c1b99p-1, 0x1.67efe608a6284p-1, 0x1.64f1e0197ed1dp-1, 0x1.61d7a05cca499p-1, 0x1.5ea1725506d92p-1, 0x1.5b4fb201edc85p-1, 0x1.57e2cb1217c97p-1, 0x1.545b380ab0786p-1, 0x1.50b981685bc8p-1, 0x1.4cfe3cbbf5171p-1, 0x1.492a0bc568f19p-1, 0x1.453d9b8e91056p-1, 0x1.4139a387ad10dp-1, 0x1.3d1ee4a6d047ap-1, 0x1.38ee288b68c16p-1, 0x1.34a840a6cce43p-1, 0x1.304e056aa0ce8p-1, 0x1.2be0557db1dc7p-1, 0x1.276014f7d7df9p-1, 0x1.22ce2ca542bd3p-1, 0x1.1e2b89518ed28p-1, 0x1.19791b1adad68p-1, 0x1.14b7d4cd09a9ap-1, 0x1.0fe8ab454d8c2p-1, 0x1.0b0c94ddfe7bbp-1, 0x1.062488e2b78c1p-1, 0x1.01317f0ca5ad9p-1, 0x1.f868de0dcf1b1p-2, 0x1.ee5c9ff59a9dep-2, 0x1.e4403047944bfp-2, 0x1.da1578d5a35fap-2, 0x1.cfde6011c3d44p-2, 0x1.c59cc860db693p-2, 0x1.bb528f7ab1d3fp-2, 0x1.b1018dd66e3e8p-2, 0x1.a6ab9622f361bp-2, 0x1.9c5274ca72ab5p-2, 0x1.91f7ef8091f2ap-2, 0x1.879dc4da81726p-2, 0x1.7d45abf061803p-2, 0x1.72f154075e842p-2, 0x1.68a26443ee17dp-2, 0x1.5e5a7b63a090ep-2, 0x1.541b2f7e03053p-2, 0x1.49e60dcc0f9a9p-2, 0x1.3fbc9a75bb1a6p-2, 0x1.35a050652d6f6p-2, 0x1.2b92a11f452d5p-2, 0x1.2194f4a1024cap-2, 0x1.17a8a941880ep-2, 0x1.0dcf139863c8fp-2, 0x1.04097e67d0f36p-2, 0x1.f4b255157ee97p-3, 0x1.e17e9dccaf4f8p-3, 0x1.ce7a30bd9f3f3p-3, 0x1.bba7539ebab3bp-3, 0x1.a908380a32e46p-3, 0x1.969efb795e508p-3, 0x1.846da7455d3bdp-3, 0x1.727630acd3fddp-3, 0x1.60ba78de6dbafp-3, 0x1.4f3c4d07fc6f3p-3, 0x1.3dfd6669fdfd8p-3, 0x1.2cff6a6f5421p-3, 0x1.1c43eac90dd3cp-3, 0x1.0bcc658e081c4p-3, 0x1.f7348abc92774p-4, 0x1.d75dc313db8b4p-4, 0x1.b816fc76f0458p-4, 0x1.9962994adcb0cp-4, 0x1.7b42d6661f1a3p-4, 0x1.5db9cb7816117p-4, 0x1.40c96b761b858p-4, 0x1.2473850e0be7fp-4, 0x1.08b9c31df2438p-4, 0x1.db3b5a611fd4cp-5, 0x1.a6414ffd055fbp-5, 0x1.7287ebe7674fdp-5, 0x1.40116f71c211ap-5, 0x1.0edfd981cf678p-5, 0x1.bde9cf6645d84p-6, 0x1.60a42efeaead1p-6, 0x1.05f14ed85e746p-6, 0x1.5ba660fca8fa5p-7, 0x1.612d71b0f3fcp-8, 0x1.56b9221dd3159p-12, -0x1.2bf665671e572p-8, -0x1.317be1e2d0fefp-7, -0x1.c7ccc9e0adb52p-7, -0x1.2c77a46f150adp-6, -0x1.7272c8540d2dbp-6, -0x1.b5d950b773534p-6, -0x1.f6ad2244617bfp-6, -0x1.1a7841cc181f1p-5, -0x1.38530d503e792p-5, -0x1.54e874fc78f8fp-5, -0x1.703a27249a6bfp-5, -0x1.8a49fdd1db506p-5, -0x1.a319fd730bdbdp-5, -0x1.baac538dc4bd2p-5, -0x1.d1035570fb3b8p-5, -0x1.e6217ee919c4ap-5, -0x1.fa0970f5ea528p-5, -0x1.065ef8414debdp-4, -0x1.0f20f28ffb327p-4, -0x1.174c2be086404p-4, -0x1.1ee238bd466e2p-4, -0x1.25e4bd22708d6p-4, -0x1.2c556be0a355cp-4, -0x1.32360600fe6c5p-4, -0x1.37885a2ad5c54p-4, -0x1.3c4e440b17611p-4, -0x1.4089abbd676e2p-4, -0x1.443c85370c262p-4, -0x1.4768cfb3a3108p-4, -0x1.4a109523bf552p-4, -0x1.4c35e99d66911p-4, -0x1.4ddaeace85dc3p-4, -0x1.4f01bf715f2d4p-4, -0x1.4fac96c2ed2cap-4, -0x1.4fdda7fb53468p-4, -0x1.4f9731c85974cp-4, -0x1.4edb79c9f06ap-4, -0x1.4daccc10d22abp-4, -0x1.4c0d7a9f312f2p-4, -0x1.49ffdceb874bbp-4, -0x1.47864f657ebe6p-4, -0x1.44a332fcfc109p-4, -0x1.4158ecab4d604p-4, -0x1.3da9e4fe73fb7p-4, -0x1.399887a69a6ccp-4, -0x1.35274305ac96fp-4, -0x1.305887c119cbbp-4, -0x1.2b2ec855bc764p-4, -0x1.25ac78adec47cp-4, -0x1.1fd40db9b516ap-4, -0x1.19a7fd093d59ep-4, -0x1.132abc694ee0fp-4, -0x1.0c5ec18210bbfp-4, -0x1.05468177e65f5p-4, -0x1.fbc8e11cf39dbp-5, -0x1.ec76039bd2837p-5, -0x1.dc994d544e09ep-5, -0x1.cc379d58f6278p-5, -0x1.bb55ce3e6241bp-5, -0x1.a9f8b576cee7ep-5, -0x1.982522b216e75p-5, -0x1.85dfdf41ec44fp-5, -0x1.732dad8259ea6p-5, -0x1.601348469b631p-5, -0x1.4c95624a2614p-5, -0x1.38b8a5a5ff5e3p-5, -0x1.2481b34a4dbaep-5, -0x1.0ff5227c2747dp-5, -0x1.f62f00af20c99p-6, -0x1.cbda9eab75d8ap-6, -0x1.a0f60daed30d6p-6, -0x1.758a2567164cep-6, -0x1.499fa593d7b0fp-6, -0x1.1d3f353427c6ap-6, -0x1.e0e2c378fefbep-7, -0x1.867d3ca98e1a7p-7, -0x1.2b5e863d3780dp-7, -0x1.9f2e320e5da74p-8, -0x1.ccdcd45c721f8p-9, -0x1.64ee075aca551p-11, 0x1.1c48683cdf5d5p-9, 0x1.49b85811332a6p-8, 0x1.0300047ae373bp-7, 0x1.616e90e32cd14p-7, 0x1.c018fe2d3831ap-7, 0x1.0f785ccd287b9p-6, 0x1.3ef3b8cca7f6dp-6, 0x1.6e778b4800525p-6, 0x1.9dfcedcad588cp-6, 0x1.cd7d1b8fcfb74p-6, 0x1.fcf171cf85fb1p-6, 0x1.1629b80455efp-5, 0x1.2dce5c209725p-5, 0x1.456387a042d57p-5, 0x1.5ce62e61ae1c6p-5, 0x1.745355d455cb8p-5, 0x1.8ba8150c1b85ep-5, 0x1.a2e194d1642c2p-5, 0x1.b9fd0fae0d657p-5, 0x1.d0f7d1f74b827p-5, 0x1.e7cf39d49234dp-5, 0x1.fe80b74379afbp-5, 0x1.0a84e60c65341p-4, 0x1.15b405ff5517fp-4, 0x1.20cc8e3806bf1p-4, 0x1.2bcd5a58b7828p-4, 0x1.36b54ee36c0f1p-4, 0x1.41835933b9e38p-4, 0x1.4c366f773acfap-4, 0x1.56cd90a4d69e5p-4, 0x1.6147c472d7799p-4, 0x1.6ba41b4bd09a3p-4, 0x1.75e1ae426bab3p-4, 0x1.7fff9f0420eb9p-4, 0x1.89fd17cacdecdp-4, 0x1.93d94b4d63925p-4, 0x1.9d9374af7ba58p-4, 0x1.a72ad7700a3e4p-4, 0x1.b09ebf5715e35p-4, 0x1.b9ee80629bae4p-4, 0x1.c31976b287597p-4, 0x1.cc1f0673dd4c7p-4, 0x1.d4fe9bcb24e78p-4, 0x1.ddb7aabdfc2edp-4, 0x1.e649af1c0b5f8p-4, 0x1.eeb42c672aafep-4, 0x1.f6f6adbaf60c4p-4, 0x1.ff10c5b3b62ecp-4, 0x1.0381072a55b15p-3, 0x1.07651476ebeddp-3, 0x1.0b345f009419ap-3, 0x1.0eeebe939e744p-3, 0x1.12940e79c73f9p-3, 0x1.16242d6c2682dp-3, 0x1.199efd84dc11cp-3, 0x1.1d0464308cf59p-3, 0x1.20544a1fb5bc1p-3, 0x1.238e9b37d450ap-3, 0x1.26b3468465d9fp-3, 0x1.29c23e27c4ed4p-3, 0x1.2cbb774be492bp-3, 0x1.2f9eea12f8d0ap-3, 0x1.326c9187f8833p-3, 0x1.35246b8f15867p-3, 0x1.37c678d617da6p-3, 0x1.3a52bcc4b4604p-3, 0x1.3cc93d6ccf5d4p-3, 0x1.3f2a037ab54fdp-3, 0x1.41751a2552e44p-3, 0x1.43aa8f1e65df7p-3, 0x1.45ca7282aa851p-3, 0x1.47d4d6ca11c9bp-3, 0x1.49c9d0b7f07b3p-3, 0x1.4ba9774b4385ap-3, 0x1.4d73e3aef0b38p-3, 0x1.4f29312a1c8a2p-3, 0x1.50c97d1089d2fp-3, 0x1.5254e6b306572p-3, 0x1.53cb8f4ff2debp-3, 0x1.552d9a03d69ffp-3, 0x1.567b2bba0ed46p-3, 0x1.57b46b1d952bdp-3, 0x1.58d98089dfc27p-3, 0x1.59ea95fbe2833p-3, 0x1.5ae7d70324c5ap-3, 0x1.5bd170b2ff61ap-3, 0x1.5ca79193fa6e4p-3, 0x1.5d6a699549c92p-3, 0x1.5e1a29fe72f5dp-3, 0x1.5eb70561170d7p-3, 0x1.5f412f8ae0bebp-3, 0x1.5fb8dd77a00afp-3, 0x1.601e45438cb7dp-3, 0x1.60719e1db1369p-3, 0x1.60b3203a87aebp-3, 0x1.60e304c6bf7f6p-3, 0x1.610185da315edp-3, 0x1.610ede6b01375p-3, 0x1.610b4a40f3e9dp-3, 0x1.60f705e8f02a6p-3, 0x1.60d24ea8b4234p-3, 0x1.609d6272befdfp-3, 0x1.60587fda63c32p-3, 0x1.6003e6081c718p-3, 0x1.5f9fd4ae04a8fp-3, 0x1.5f2c8bfc91e8ep-3, 0x1.5eaa4c977a6cdp-3, 0x1.5e19578ad4549p-3, 0x1.5d79ee4066efap-3, 0x1.5ccc527536f7dp-3, 0x1.5c10c62f3fa7cp-3, 0x1.5b478bb36f8cap-3, 0x1.5a70e57bccec9p-3, 0x1.598d162dd9826p-3, 0x1.589c60912bp-3, 0x1.579f07863938cp-3, 0x1.56954dfd62d4fp-3, 0x1.557f76ee288e7p-3, 0x1.545dc54e9d345p-3, 0x1.53307c0b125fbp-3, 0x1.51f7ddfdf2e5ep-3, 0x1.50b42de7d6778p-3, 0x1.4f65ae67cf4d6p-3, 0x1.4e0ca1f3e5928p-3, 0x1.4ca94ad1d1423p-3, 0x1.4b3beb0fdabap-3, 0x1.49c4c47e052e9p-3, 0x1.484418a758cb5p-3, 0x1.46ba28cb6b45ap-3, 0x1.452735d81e181p-3, 0x1.438b806386153p-3, 0x1.41e748a60fab9p-3, 0x1.403ace74d1c88p-3, 0x1.3e86513c103a7p-3, 0x1.3cca0ff9f1f91p-3, 0x1.3b06493967cep-3, 0x1.393b3b0d435eap-3, 0x1.3769230b7f785p-3, 0x1.35903e48af0fcp-3, 0x1.33b0c953ab961p-3, 0x1.31cb00315e91fp-3, 0x1.2fdf1e58c6282p-3, 0x1.2ded5eaf1f76bp-3, 0x1.2bf5fb843f8e6p-3, 0x1.29f92e8f18679p-3, 0x1.27f730ea664d3p-3, 0x1.25f03b118a23cp-3, 0x1.23e484dd8de94p-3, 0x1.21d445824b82dp-3, 0x1.1fbfb38bc68f1p-3, 0x1.1da704dba33f4p-3, 0x1.1b8a6ea6c84a5p-3, 0x1.196a25732bf96p-3, 0x1.17465d15bd5aep-3, 0x1.151f48b077ad4p-3, 0x1.12f51ab09b9d3p-3, 0x1.10c804cd058a5p-3, 0x1.0e983804aa805p-3, 0x1.0c65e49d385e9p-3, 0x1.0a313a21d4c9ap-3, 0x1.07fa6761fbc72p-3, 0x1.05c19a7081889p-3, 0x1.038700a2ae99cp-3, 0x1.014ac68f801f9p-3, 0x1.fe1a301dfdebp-4, 0x1.f99c407373f47p-4, 0x1.f51c12d0b3bccp-4, 0x1.f099fa669ceb9p-4, 0x1.ec1648e535a37p-4, 0x1.e7914e7b73f8dp-4, 0x1.e30b59d731a18p-4, 0x1.de84b82560bb7p-4, 0x1.d9fdb5126909cp-4, 0x1.d5769acaaa235p-4, 0x1.d0efb1fb423dbp-4, 0x1.cc6941d2e4ccbp-4, 0x1.c7e39002f781p-4, 0x1.c35ee0c0c2a06p-4, 0x1.bedb76c6d6248p-4, 0x1.ba59935690473p-4, 0x1.b5d97639cac21p-4, 0x1.b15b5dc4b4095p-4, 0x1.acdf86d7b4d76p-4, 0x1.a8662ce19a53ep-4, 0x1.a3ef89e1c03b4p-4, 0x1.9f7bd66a6c485p-4, 0x1.9b0b49a33eb9ep-4, 0x1.969e194bcf87ap-4, 0x1.923479be5219bp-4, 0x1.8dce9df261cfep-4, 0x1.896cb77fe6766p-4, 0x1.850ef6a20c6e6p-4, 0x1.80b58a3a57c0ep-4, 0x1.7c609fd3d13b4p-4, 0x1.781063a63deccp-4, 0x1.73c5009979a62p-4, 0x1.6f7ea048d449bp-4, 0x1.6b3d6b06943a6p-4, 0x1.670187df7491cp-4, 0x1.62cb1c9e4abdep-4, 0x1.5e9a4dcfa8137p-4, 0x1.5a6f3ec5942e4p-4, 0x1.564a119b55377p-4, 0x1.522ae7393c0ap-4, 0x1.4e11df5889531p-4, 0x1.49ff1887530c1p-4, 0x1.45f2b02c76f95p-4, 0x1.41ecc28b99a68p-4, 0x1.3ded6ac92d4d5p-4, 0x1.39f4c2ee7862dp-4, 0x1.3602e3edb1402p-4, 0x1.3217e5a613d0cp-4, 0x1.2e33dee80309cp-4, 0x1.2a56e5792d5ebp-4, 0x1.26810e18b5c9cp-4, 0x1.22b26c8360df5p-4, 0x1.1eeb1377c2961p-4, 0x1.1b2b14ba7290fp-4, 0x1.1772811a3a142p-4, 0x1.13c168744df0bp-4, 0x1.1017d9b8821a5p-4, 0x1.0c75e2ed776f7p-4, 0x1.08db9134d6dfbp-4, 0x1.0548f0cf81aa9p-4, 0x1.01be0d21bfaep-4, 0x1.fc75e16edd883p-5, 0x1.f57f4a906007p-5, 0x1.ee9867771e646p-5, 0x1.e7c1485a4987ep-5, 0x1.e0f9fbe174445p-5, 0x1.da428f2cc617ap-5, 0x1.d39b0ddd28a2dp-5, 0x1.cd03821c71f7fp-5, 0x1.c67bf4a572c1ep-5, 0x1.c0046ccc09b37p-5, 0x1.b99cf0851a76ap-5, 0x1.b345846e8603fp-5, 0x1.acfe2bd70c758p-5, 0x1.a6c6e8c61854fp-5, 0x1.a09fbc038e7d2p-5, 0x1.9a88a51f7f5eap-5, 0x1.9481a279c4eb1p-5, 0x1.8e8ab1499daf2p-5, 0x1.88a3cda52734ap-5, 0x1.82ccf288d20eep-5, 0x1.7d0619debe541p-5, 0x1.774f3c8605714p-5, 0x1.71a85259ea4eap-5, 0x1.6c115239053bap-5, 0x1.668a320c5089ap-5, 0x1.6112e6ce1deeep-5, 0x1.5bab649103772p-5, 0x1.56539e86a545p-5, 0x1.510b87067bcf3p-5, 0x1.4bd30f946a9d6p-5, 0x1.46aa28e75bf27p-5, 0x1.4190c2efbe8e6p-5, 0x1.3c86ccdddc627p-5, 0x1.378c35283361ap-5, 0x1.32a0e991a95f9p-5, 0x1.2dc4d72fabe1p-5, 0x1.28f7ea703fbdfp-5, 0x1.243a0f1fec2bp-5, 0x1.1f8b306f9d51fp-5, 0x1.1aeb38fa6799cp-5, 0x1.165a12cb340f6p-5, 0x1.11d7a76259756p-5, 0x1.0d63dfbb20367p-5, 0x1.08fea4511e969p-5, 0x1.04a7dd25964bcp-5, 0x1.005f71c4accbbp-5, 0x1.f84a92950f9abp-6, 0x1.eff294d0b823dp-6, 0x1.e7b6b6d2cd6fp-6, 0x1.df96c46f849cp-6, 0x1.d79288c26f674p-6, 0x1.cfa9ce37c8bc7p-6, 0x1.c7dc5e959eceep-6, 0x1.c02a0304fe99dp-6, 0x1.b892841a9a615p-6, 0x1.b115a9df92aebp-6, 0x1.a9b33bd9e31dcp-6, 0x1.a26b0114b3b87p-6, 0x1.9b3cc028839eap-6, 0x1.94283f43150d2p-6, 0x1.8d2d442f422bep-6, 0x1.864b945c92873p-6, 0x1.7f82f4e6af764p-6, 0x1.78d32a9cc094cp-6, 0x1.723bfa0873cb2p-6, 0x1.6bbd2774ec01ap-6, 0x1.655676f5adb75p-6, 0x1.5f07ac6d1c699p-6, 0x1.58d08b931151bp-6, 0x1.52b0d7fb0894p-6, 0x1.4ca8551a6d66p-6, 0x1.46b6c64e79d61p-6, 0x1.40dbeee224a5bp-6, 0x1.3b179213ca2e8p-6, 0x1.3569731aba88bp-6, 0x1.2fd1552c8f66ep-6, 0x1.2a4efb8281f18p-6, 0x1.24e2295e798f8p-6, 0x1.1f8aa20ffdd5dp-6, 0x1.1a4828f90fd4ep-6, 0x1.151a8192d170cp-6, 0x1.10016f7216342p-6, 0x1.0afcb64bb9bb8p-6, 0x1.060c19f8fbc1ap-6, 0x1.012f5e7b9fa77p-6, 0x1.f8cc9003b2a36p-7, 0x1.ef6135d48d625p-7, 0x1.e61c378f47411p-7, 0x1.dcfd1ec8eaa18p-7, 0x1.d403758d01dc9p-7, 0x1.cb2ec6646ca06p-7, 0x1.c27e9c5bd86b2p-7, 0x1.b9f2830a3ea75p-7, 0x1.b18a0696b1733p-7, 0x1.a944b3be67bep-7, 0x1.a12217da640f9p-7, 0x1.9921c0e49705bp-7, 0x1.91433d7d7f124p-7, 0x1.89861cf0cdb71p-7, 0x1.81e9ef3a54878p-7, 0x1.7a6e450aaa63fp-7, 0x1.7312afcb5be55p-7, 0x1.6bd6c1a34d0a8p-7, 0x1.64ba0d7a98032p-7, 0x1.5dbc26fe7a0d2p-7, 0x1.56dca2a4dc65ep-7, 0x1.501b15afe1745p-7, 0x1.4977163108655p-7, 0x1.42f03b0c5d06ap-7, 0x1.3c861bfb8081dp-7, 0x1.3638519037ee3p-7, 0x1.300675373015bp-7, 0x1.29f0213a691f9p-7, 0x1.23f4f0c373a5ap-7, 0x1.1e147fddc7afp-7, 0x1.184e6b7865213p-7, 0x1.12a2516834046p-7, 0x1.0d0fd06949e66p-7, 0x1.07968820a91dfp-7, 0x1.0236191dce84p-7, 0x1.f9dc49b79f6d3p-8, 0x1.ef7c9b856c971p-8, 0x1.e54c6e50f027p-8, 0x1.db4b0aa3fffp-8, 0x1.d177bae7d8851p-8, 0x1.c7d1cb66a4c0ep-8, 0x1.be588a4ca59abp-8, 0x1.b50b47a967352p-8, 0x1.abe955700b2dep-8, 0x1.a2f2077876a34p-8, 0x1.9a24b37f542c7p-8, 0x1.9180b12669235p-8, 0x1.890559f46ecc1p-8, 0x1.80b209552218fp-8, 0x1.78861c98b80d1p-8, 0x1.7080f2f355c94p-8, 0x1.68a1ed7c8927cp-8, 0x1.60e86f2e4a90ap-8, 0x1.5953dce404b6cp-8, 0x1.51e39d5974a5p-8, 0x1.4a97192958892p-8, 0x1.436dbacbdc597p-8, 0x1.3c66ee9565557p-8, 0x1.358222b446ddep-8, 0x1.2ebec72fa1f17p-8, 0x1.281c4de4ad16dp-8, 0x1.219a2a8565f7bp-8, 0x1.1b37d295aecap-8, 0x1.14f4bd699d676p-8, 0x1.0ed064229ee6fp-8, 0x1.08ca41ad3ec14p-8, 0x1.02e1d2be617f1p-8, 0x1.fa2d2ba195afp-9, 0x1.eed0164422513p-9, 0x1.e3ab696022931p-9, 0x1.d8be2c6b6a843p-9, 0x1.ce076a5057c15p-9, 0x1.c38631673adb9p-9, 0x1.b939937069a1bp-9, 0x1.af20a58d5f583p-9, 0x1.a53a803ac20fep-9, 0x1.9b863f48db1bbp-9, 0x1.920301d5bc7ep-9, 0x1.88afea457c91ap-9, 0x1.7f8c1e3bc5b8cp-9, 0x1.7696c69489ee9p-9, 0x1.6dcf0f5cc46bbp-9, 0x1.653427cb1e954p-9, 0x1.5cc54238e5fbap-9, 0x1.5481941a35704p-9, 0x1.4c6855f6c8adap-9, 0x1.4478c3623e31dp-9, 0x1.3cb21af48f241p-9, 0x1.35139e42563fep-9, 0x1.2d9c91d5484b2p-9, 0x1.264c3d2420eeap-9, 0x1.1f21ea8b01d6dp-9, 0x1.181ce743be2p-9, 0x1.113c835dd0317p-9, 0x1.0a8011b68512dp-9, 0x1.03e6e7f12d638p-9, 0x1.fae0bcddde5bdp-10, 0x1.ee37a08e933eep-10, 0x1.e1d1367f59c03p-10, 0x1.d5ac3f8777dap-10, 0x1.c9c781bad175cp-10, 0x1.be21c85a1e71ap-10, 0x1.b2b9e3c23434ap-10, 0x1.a78ea95d23a33p-10, 0x1.9c9ef391dde68p-10, 0x1.91e9a1b4562d2p-10, 0x1.876d97f600defp-10, 0x1.7d29bf55af8fep-10, 0x1.731d05904e203p-10, 0x1.69465d10acab9p-10, 0x1.5fa4bce08c99fp-10, 0x1.563720982ca19p-10, 0x1.4cfc884fa3884p-10, 0x1.43f3f88f05445p-10, 0x1.3b1c7a3eed733p-10, 0x1.32751a99ca56fp-10, 0x1.29fceb1bf8f5fp-10, 0x1.21b30174e54fap-10, 0x1.19967777ffc8bp-10, 0x1.11a66b0df084p-10, 0x1.09e1fe25776a1p-10, 0x1.024856a4f93ep-10, 0x1.f5b13cb77502dp-11, 0x1.e72405e5a4591p-11, 0x1.d8e76bbf1022cp-11, 0x1.caf9d8a8b61c7p-11, 0x1.bd59be65ee964p-11, 0x1.b00595fc73477p-11, 0x1.a2fbdf986aa2dp-11, 0x1.963b226f99a51p-11, 0x1.89c1eca6bc33ap-11, 0x1.7d8ed3360c4acp-11, 0x1.71a071cdb1bfbp-11, 0x1.65f56abc10f8fp-11, 0x1.5a8c66d1e678cp-11, 0x1.4f64154896ef2p-11, 0x1.447b2ba830419p-11, 0x1.39d065ad4651ep-11, 0x1.2f62852f513fcp-11, 0x1.2530520816ba4p-11, 0x1.1b3899f95aa3ep-11, 0x1.117a3095e60c7p-11, 0x1.07f3ef2730d9dp-11, 0x1.fd49692cbe263p-12, 0x1.eb16caa6c4b94p-12, 0x1.d94dd67bdddc2p-12, 0x1.c7ec6b1c02229p-12, 0x1.b6f071796afe2p-12, 0x1.a657dcda1aef6p-12, 0x1.9620aaaa4517cp-12, 0x1.8648e2517528fp-12, 0x1.76ce950505d3p-12, 0x1.67afdd9c55f56p-12, 0x1.58eae06696bc5p-12, 0x1.4a7dcb00e2b44p-12, 0x1.3c66d42a0da53p-12, 0x1.2ea43b9b0350fp-12, 0x1.213449dda2e12p-12, 0x1.14155023b474dp-12, 0x1.0745a81fae8cfp-12, 0x1.f58767bc69232p-13, 0x1.dd1bbb3bd3e5fp-13, 0x1.c5452f5410b7ap-13, 0x1.ae00b868ecdddp-13, 0x1.974b5a6326be2p-13, 0x1.812228631c8bcp-13, 0x1.6b82447ded327p-13, 0x1.5668df71e960ap-13, 0x1.41d338649dbb8p-13, 0x1.2dbe9c99caa09p-13, 0x1.1a2867317da9fp-13, 0x1.070e00e58cab6p-13, 0x1.e8d9bf899cd88p-14, 0x1.c4850ded7f69bp-14, 0x1.a1190cf0da5ffp-14, 0x1.7e90f5bb57ed5p-14, 0x1.5ce81a286f5ecp-14, 0x1.3c19e44a7f88ep-14, 0x1.1c21d5f5e8003p-14, 0x1.f9f7108ddaddap-15, 0x1.bd45566556275p-15, 0x1.82260a1fea7dfp-15, 0x1.4890e45611adbp-15, 0x1.107dc8a3e6e58p-15, 0x1.b3c989b0ac237p-16, 0x1.497c203571113p-16, 0x1.c40828617b6d9p-17, 0x1.f549d1aa7680fp-18, 0x1.b589d8fa2c142p-20, -0x1.0fdf1dd683f49p-18, -0x1.41598ddcb7a2bp-17, -0x1.f5a847e539a8ep-17, -0x1.527b59cf05a56p-16, -0x1.a7af9d85d056p-16, -0x1.fa7ddf36d836ep-16, -0x1.257965c7c049ap-15, -0x1.4c8d668a77b0fp-15, -0x1.728106cfde3d1p-15, -0x1.975a3bcb6470bp-15, -0x1.bb1edba881d47p-15, -0x1.ddd49e237baa3p-15, -0x1.ff811d3a6e45p-15, -0x1.1014eadbbc559p-14, -0x1.1fea13ee6e714p-14, -0x1.2f42abf98fa17p-14, -0x1.3e214773086abp-14, -0x1.4c886d6946252p-14, -0x1.5a7a97ca034f7p-14, -0x1.67fa33ae7f222p-14, -0x1.7509a19860565p-14, -0x1.81ab35bb46d7dp-14, -0x1.8de1383e6a31fp-14, -0x1.99ade57b83b1cp-14, -0x1.a5136e43a0d73p-14, -0x1.b013f81778f08p-14, -0x1.bab19d6c89f19p-14, -0x1.c4ee6de105754p-14, -0x1.cecc6e7d26634p-14, -0x1.d84d99e9282e4p-14, -0x1.e173e0a91aab4p-14, -0x1.ea4129516f38cp-14, -0x1.f2b750c05f172p-14, -0x1.fad82a5077267p-14, -0x1.0152c0078953p-13, -0x1.051089776342ap-13, -0x1.08a64d7bfede6p-13, -0x1.0c14e3bda866fp-13, -0x1.0f5d1fa121446p-13, -0x1.127fd05e9f215p-13, -0x1.157dc118e3575p-13, -0x1.1857b8f3d18eap-13, -0x1.1b0e7b2ab37efp-13, -0x1.1da2c725b8563p-13, -0x1.2015588e74503p-13, -0x1.2266e76427902p-13, -0x1.249828129599ep-13, -0x1.26a9cb82cbf3fp-13, -0x1.289c7f307c9f7p-13, -0x1.2a70ed3bad1d1p-13, -0x1.2c27bc7c6e0f4p-13, -0x1.2dc19093c162ap-13, -0x1.2f3f09fdb7362p-13, -0x1.30a0c6233618p-13, -0x1.31e75f6a64e16p-13, -0x1.33136d47a02efp-13, -0x1.3425844dca1d6p-13, -0x1.351e363cca27bp-13, -0x1.35fe12132ea8bp-13, -0x1.36c5a41bb5069p-13, -0x1.377575fc54469p-13, -0x1.380e0ec4e90dbp-13, -0x1.388ff2fd9a78ep-13, -0x1.38fba4b45a2d3p-13, -0x1.3951a38a3dac7p-13, -0x1.39926cc114036p-13, -0x1.39be7b47e18a8p-13, -0x1.39d647c81a9b6p-13, -0x1.39da48b055c0ap-13, -0x1.39caf24212ee6p-13, -0x1.39a8b69c6ccb6p-13, -0x1.397405c85819cp-13, -0x1.392d4dc297d93p-13, -0x1.38d4fa87e9c53p-13, -0x1.386b761fa2008p-13, -0x1.37f128a4fb49bp-13, -0x1.37667851caf8dp-13, -0x1.36cbc989028bfp-13, -0x1.36217edfa1488p-13, -0x1.3567f9265e828p-13, -0x1.349f97734bc82p-13, -0x1.33c8b72aa3624p-13, -0x1.32e3b406e7314p-13, -0x1.31f0e822cf684p-13, -0x1.30f0ac001c25ap-13, -0x1.2fe35690f4f76p-13, -0x1.2ec93d3f2cd8p-13, -0x1.2da2b3f4c6d3p-13, -0x1.2c700d234a37cp-13, -0x1.2b3199ca8b304p-13, -0x1.29e7a98105106p-13, -0x1.28928a7a286c9p-13, -0x1.2732898da9e5cp-13, -0x1.25c7f23d89182p-13, -0x1.24530ebd5e802p-13, -0x1.22d427f8b0c64p-13, -0x1.214b85992febdp-13, -0x1.1fb96e0c351e5p-13, -0x1.1e1e268975afbp-13, -0x1.1c79f3187e68ep-13, -0x1.1acd169707085p-13, -0x1.1917d2bd590fp-13, -0x1.175a682441f7dp-13, -0x1.1595164a75518p-13, -0x1.13c81b99bc68p-13, -0x1.11f3b56b8a1acp-13, -0x1.1018200edf911p-13, -0x1.0e3596cbbb54ap-13, -0x1.0c4c53e8f41ddp-13, -0x1.0a5c90b0179e6p-13, -0x1.08668571a0aabp-13, -0x1.066a698a3465fp-13, -0x1.046873662193p-13, -0x1.0260d885b55d7p-13, -0x1.0053cd816de8dp-13, -0x1.fc830c1b91c9cp-14, -0x1.f85469fe0cd7fp-14, -0x1.f41c189ad95fp-14, -0x1.efda7a304fb64p-14, -0x1.eb8fef522db7ap-14, -0x1.e73cd6f1b034ep-14, -0x1.e2e18e635f5a7p-14, -0x1.de7e7165bc405p-14, -0x1.da13da28024c3p-14, -0x1.d5a221511e9e1p-14, -0x1.d1299e04a27ap-14, -0x1.ccaaa5e9a6e41p-14, -0x1.c8258d3118ea3p-14, -0x1.c39aa69a41c4fp-14, -0x1.bf0a4379849edp-14, -0x1.ba74b3bdfc21p-14, -0x1.b5da45f5a8815p-14, -0x1.b13b4754ab63bp-14, -0x1.ac9803b8f6014p-14, -0x1.a7f0c5af52fdp-14, -0x1.a345d679943c3p-14, -0x1.9e977e1294193p-14, -0x1.99e60332cc77ap-14, -0x1.9531ab54fbe64p-14, -0x1.907ababbb4936p-14, -0x1.8bc174748d417p-14, -0x1.87061a5ca76bep-14, -0x1.8248ed2614fbbp-14, -0x1.7d8a2c5b3a3b1p-14, -0x1.78ca16620f2e1p-14, -0x1.7408e88217e9ep-14, -0x1.6f46dee6b6845p-14, -0x1.6a8434a34327ap-14, -0x1.65c123b795d23p-14, -0x1.60fde51317f1fp-14, -0x1.5c3ab09882f07p-14, -0x1.5777bd21ac9d8p-14, -0x1.52b54082ccdacp-14, -0x1.4df36f8dda55cp-14, -0x1.49327e1632052p-14, -0x1.44729ef3ee7b3p-14, -0x1.3fb404069416p-14, -0x1.3af6de38e389ep-14, -0x1.363b5d83e786bp-14, -0x1.3181b0f17b6f5p-14, -0x1.2cca069f77423p-14, -0x1.28148bc41f686p-14, -0x1.23616caf5abc7p-14, -0x1.1eb0d4cdc33fbp-14, -0x1.1a02eeac0ffacp-14, -0x1.1557e3f9bbf48p-14, -0x1.10afdd8bc8b7fp-14, -0x1.0c0b035ec1b8cp-14, -0x1.07697c9afaf43p-14, -0x1.02cb6f95738ffp-14, -0x1.fc6203a696e1cp-15, -0x1.f334b018b8486p-15, -0x1.ea0f2c5b871afp-15, -0x1.e0f1beb7a8096p-15, -0x1.d7dcabeae27d1p-15, -0x1.ced0372a01f14p-15, -0x1.c5cca227c5cedp-15, -0x1.bcd22d1a55e6ap-15, -0x1.b3e116be5ead9p-15, -0x1.aaf99c5b905b7p-15, -0x1.a21bf9c99ea96p-15, -0x1.99486974b635fp-15, -0x1.907f24617d2ep-15, -0x1.87c062328bbd2p-15, -0x1.7f0c592bb7d9p-15, -0x1.76633e35c702fp-15, -0x1.6dc544e4267dbp-15, -0x1.65329f78e2983p-15, -0x1.5cab7ee69b7a3p-15, -0x1.543012d757192p-15, -0x1.4bc089af27a4p-15, -0x1.435d10903ee86p-15, -0x1.3b05d35f5776ep-15, -0x1.32bafcc656bc4p-15, -0x1.2a7cb63928b87p-15, -0x1.224b27fa98774p-15, -0x1.1a26791e1324cp-15, -0x1.120ecf8c40c0ep-15, -0x1.0a045006ba336p-15, -0x1.02071e2bcff37p-15, -0x1.f42eb8f445d94p-16, -0x1.e46a58a813057p-16, -0x1.d4c15c06ccdecp-16, -0x1.c534017a00e27p-16, }}, 
      {{0x1.9332ee845c1c2p-1, 0x1.931cb8e6b47fep-1, 0x1.92f7c204e5bf3p-1, 0x1.92c41adfd8fdcp-1, 0x1.9281d6882b4ecp-1, 0x1.9231069582bc3p-1, 0x1.91d1b7bccbd49p-1, 0x1.9163eed5dfac2p-1, 0x1.90e7a67eacb2ep-1, 0x1.905ccd6e46eb3p-1, 0x1.8fc3457690d04p-1, 0x1.8f1ae326bc81fp-1, 0x1.8e636dfa3c54dp-1, 0x1.8d9ca0fcf3646p-1, 0x1.8cc62bcd45ba8p-1, 0x1.8bdfb3e5c7ecbp-1, 0x1.8ae8d61a3c63p-1, 0x1.89e12835ce9f7p-1, 0x1.88c83aaace976p-1, 0x1.879d9a4691846p-1, 0x1.8660d1de54b49p-1, 0x1.85116bec2fap-1, 0x1.83aef415126c8p-1, 0x1.8238f892a4d73p-1, 0x1.80af0b7d6e531p-1, 0x1.7f10c3f5170cp-1, 0x1.7d5dbf25c6061p-1, 0x1.7b95a12a91c94p-1, 0x1.79b815cdcb0e3p-1, 0x1.77c4d1287c353p-1, 0x1.75bb9022f0993p-1, 0x1.739c18d85a1cbp-1, 0x1.71663adfe5927p-1, 0x1.6f19cf7d9abe6p-1, 0x1.6cb6b9bd6d043p-1, 0x1.6a3ce67ad4001p-1, 0x1.67ac4c5724b3fp-1, 0x1.6504eba0d143bp-1, 0x1.6246ce2d81fcap-1, 0x1.5f720728dcee7p-1, 0x1.5c86b2d9a75ap-1, 0x1.5984f65ec3556p-1, 0x1.566cff65682a3p-1, 0x1.533f03d9cf3cp-1, 0x1.4ffb41936e474p-1, 0x1.4ca1fdfdbd2dap-1, 0x1.493385be61749p-1, 0x1.45b02c59891cbp-1, 0x1.42184bd523a3fp-1, 0x1.3e6c445b94034p-1, 0x1.3aac7bde62733p-1, 0x1.36d95db968755p-1, 0x1.32f35a56dfcd8p-1, 0x1.2efae6d4ab484p-1, 0x1.2af07cab30631p-1, 0x1.26d49955fbe47p-1, 0x1.22a7bdfe735b6p-1, 0x1.1e6a6f28be69ap-1, 0x1.1a1d34631247ap-1, 0x1.15c097f77c8aap-1, 0x1.115526a04aa36p-1, 0x1.0cdb6f3f1b47fp-1, 0x1.08540296ab5fdp-1, 0x1.03bf73076115fp-1, 0x1.fe3ca89d36e25p-2, 0x1.f4e276918961dp-2, 0x1.eb717b6c3cd36p-2, 0x1.e1eae4048ace7p-2, 0x1.d84fde1cb7e8cp-2, 0x1.cea197fba0d78p-2, 0x1.c4e1400b60e7cp-2, 0x1.bb10047ced4c4p-2, 0x1.b12f12f08131ep-2, 0x1.a73f9822b374ep-2, 0x1.9d42bf9e0df17p-2, 0x1.9339b370ff4bep-2, 0x1.89259be7f9014p-2, 0x1.7f079f4b91bc1p-2, 0x1.74e0e1a286fa4p-2, 0x1.6ab284776b00ap-2, 0x1.607da6a1e1a4ap-2, 0x1.564364133c6bdp-2, 0x1.4c04d5a65343p-2, 0x1.41c310f275bc7p-2, 0x1.377f28214d408p-2, 0x1.2d3a29c79328fp-2, 0x1.22f520c076b73p-2, 0x1.18b1140b91788p-2, 0x1.0e6f06ad52c8fp-2, 0x1.042ff791c0267p-2, 0x1.f3e9c2e2e7ce2p-3, 0x1.df7d7571746c4p-3, 0x1.cb1ceae17babbp-3, 0x1.b6c9fe55466f4p-3, 0x1.a28681d90cf93p-3, 0x1.8e543e407ceb2p-3, 0x1.7a34f307ac3e8p-3, 0x1.662a5637598bp-3, 0x1.5236144c45b5bp-3, 0x1.3e59d0219ab73p-3, 0x1.2a9722de28f16p-3, 0x1.16ef9be4778e5p-3, 0x1.0364c0c56c199p-3, 0x1.dff01a6b1b70cp-4, 0x1.b955e60967424p-4, 0x1.92fdb43014784p-4, 0x1.6cea40ccb9cb2p-4, 0x1.471e33ed11379p-4, 0x1.219c21c0003acp-4, 0x1.f8cd15353982p-5, 0x1.aeffb602075bbp-5, 0x1.65d4d765a0de2p-5, 0x1.1d5103763f94fp-5, 0x1.aaf13a0f88572p-6, 0x1.1c9fbfb1ab9e7p-6, 0x1.1f6b83184e58ap-7, 0x1.0ec7019499ebdp-12, -0x1.0b91429a1809fp-7, -0x1.0e4e3327c7adap-6, -0x1.954ea1fe3ff62p-6, -0x1.0d61a0b1ce638p-5, -0x1.4f52d7b276367p-5, -0x1.9077e9edc6298p-5, -0x1.d0cdefdbb38b8p-5, -0x1.082913105af84p-4, -0x1.2780f695a806dp-4, -0x1.466d6467136ebp-4, -0x1.64ed2feb72a8bp-4, -0x1.82ff3dd1029a3p-4, -0x1.a0a283d5e5ab2p-4, -0x1.bdd6088f439a7p-4, -0x1.da98e32f397ffp-4, -0x1.f6ea3b499d56p-4, -0x1.0964a44bd339cp-3, -0x1.171aa95d5a557p-3, -0x1.2496d87f0d0adp-3, -0x1.31d8e50c0feb6p-3, -0x1.3ee089f52209fp-3, -0x1.4bad89a06b09bp-3, -0x1.583fadc8f67f3p-3, -0x1.6496c75deffc1p-3, -0x1.70b2ae61a187fp-3, -0x1.7c9341c8380bcp-3, -0x1.8838675668f39p-3, -0x1.93a20b7fe30ap-3, -0x1.9ed02145ab17cp-3, -0x1.a9c2a21462869p-3, -0x1.b4798da276437p-3, -0x1.bef4e9ce4698p-3, -0x1.c934c27c4c605p-3, -0x1.d33929753c7dcp-3, -0x1.dd02364434167p-3, -0x1.e6900614ecbecp-3, -0x1.efe2bb9206a0cp-3, -0x1.f8fa7ec365fdp-3, -0x1.00ebbe765203p-2, -0x1.053cf435d4f9ep-2, -0x1.0970fc4bb2cdp-2, -0x1.0d87f4cf5258dp-2, -0x1.1181fe338ef04p-2, -0x1.155f3b3650aabp-2, -0x1.191fd0d040d81p-2, -0x1.1cc3e6249401ap-2, -0x1.204ba470f324ap-2, -0x1.23b736fd7dfecp-2, -0x1.2706cb0cef37fp-2, -0x1.2a3a8fccdd931p-2, -0x1.2d52b6461daa7p-2, -0x1.304f714d497ecp-2, -0x1.3330f573634aep-2, -0x1.35f778f6a4c35p-2, -0x1.38a333b36dffdp-2, -0x1.3b345f155c6acp-2, -0x1.3dab360887131p-2, -0x1.4007f4eae455p-2, -0x1.424ad97dd7f9ap-2, -0x1.447422d7e95c1p-2, -0x1.46841156a274ep-2, -0x1.487ae6909f479p-2, -0x1.4a58e547c07e1p-2, -0x1.4c1e515b9098bp-2, -0x1.4dcb6fbbd2052p-2, -0x1.4f60865b3cb4bp-2, -0x1.50dddc2264999p-2, -0x1.5243b8e2d5cc6p-2, -0x1.5392654a56f47p-2, -0x1.54ca2ad66077bp-2, -0x1.55eb53c7c085cp-2, -0x1.56f62b166f142p-2, -0x1.57eafc65915a1p-2, -0x1.58ca13f7ae1d1p-2, -0x1.5993bea31340bp-2, -0x1.5a4849c66bb66p-2, -0x1.5ae8033d839b9p-2, -0x1.5b73395643c1ep-2, -0x1.5bea3ac5d851cp-2, -0x1.5c4d569e0d84cp-2, -0x1.5c9cdc42db6ffp-2, -0x1.5cd91b6024612p-2, -0x1.5d0263dfa722ap-2, -0x1.5d1905df1f6c9p-2, -0x1.5d1d51a69c6e8p-2, -0x1.5d0f979f05f82p-2, -0x1.5cf02848d7ba2p-2, -0x1.5cbf543309636p-2, -0x1.5c7d6bf22e992p-2, -0x1.5c2ac017c43bcp-2, -0x1.5bc7a129b272ap-2, -0x1.5b545f99ff89p-2, -0x1.5ad14bbeb47e2p-2, -0x1.5a3eb5c9f428bp-2, -0x1.599cedc240f95p-2, -0x1.58ec437af945ap-2, -0x1.582d068cff1e5p-2, -0x1.575f864f947aep-2, -0x1.568411d166e5ap-2, -0x1.559af7d1cbf8bp-2, -0x1.54a486ba2e3c2p-2, -0x1.53a10c97a750ep-2, -0x1.5290d714d0344p-2, -0x1.51743373b837p-2, -0x1.504b6e88119d2p-2, -0x1.4f16d4b18b19p-2, -0x1.4dd6b1d653f06p-2, -0x1.4c8b515dd5584p-2, -0x1.4b34fe2b92149p-2, -0x1.49d4029a3678ap-2, -0x1.4868a876d6953p-2, -0x1.46f338fc554dap-2, -0x1.4573fccef99b7p-2, -0x1.43eb3bf82e09bp-2, -0x1.42593de26c9c5p-2, -0x1.40be495552bd7p-2, -0x1.3f1aa471e195fp-2, -0x1.3d6e94aee66bap-2, -0x1.3bba5ed58be6ap-2, -0x1.39fe46fe143d3p-2, -0x1.383a908cbbd66p-2, -0x1.366f7e2ec1bf1p-2, -0x1.349d51d797b3cp-2, -0x1.32c44cbe394fdp-2, -0x1.30e4af5aa74c3p-2, -0x1.2efeb9638820dp-2, -0x1.2d12a9cbef598p-2, -0x1.2b20bec145772p-2, -0x1.292935a956137p-2, -0x1.272c4b207e90fp-2, -0x1.252a3af800db2p-2, -0x1.232340347722cp-2, -0x1.2117950c6582bp-2, -0x1.1f0772e6f2c88p-2, -0x1.1cf3125abb30cp-2, -0x1.1adaab2cc2ccfp-2, -0x1.18be744f8875fp-2, -0x1.169ea3e236a5ap-2, -0x1.147b6f2ff006ap-2, -0x1.12550aaf38998p-2, -0x1.102baa017c526p-2, -0x1.0dff7ff2b089bp-2, -0x1.0bd0be790eefcp-2, -0x1.099f96b4eca5fp-2, -0x1.076c38f0a9f8bp-2, -0x1.0536d4a0b969p-2, -0x1.02ff9863c2dbdp-2, -0x1.00c6b202d941bp-2, -0x1.fd189ce399aaap-3, -0x1.f8a1339f1ec42p-3, -0x1.f4277ecd5ed21p-3, -0x1.efabd35bd6edbp-3, -0x1.eb2e8491aa9cdp-3, -0x1.e6afe4111a88cp-3, -0x1.e23041d91bc07p-3, -0x1.ddafec4718523p-3, -0x1.d92f3018d4d75p-3, -0x1.d4ae586e768afp-3, -0x1.d02daeccad716p-3, -0x1.cbad7b1efe2ap-3, -0x1.c72e03ba2ef07p-3, -0x1.c2af8d5ece1fcp-3, -0x1.be325b3bdb03bp-3, -0x1.b9b6aef18acffp-3, -0x1.b53cc89422b34p-3, -0x1.b0c4e6aefa616p-3, -0x1.ac4f464785a6p-3, -0x1.a7dc22e0874f5p-3, -0x1.a36bb67d4f87fp-3, -0x1.9efe39a51819p-3, -0x1.9a93e3666fa02p-3, -0x1.962ce95abf291p-3, -0x1.91c97fa9e07d6p-3, -0x1.8d69d90dc449cp-3, -0x1.890e26d62e407p-3, -0x1.84b698ec81119p-3, -0x1.80635dd794f0ap-3, -0x1.7c14a2bfa4185p-3, -0x1.77ca937241dc4p-3, -0x1.73855a665c48cp-3, -0x1.6f4520c04f5a6p-3, -0x1.6b0a0e56001fcp-3, -0x1.66d449b2fee57p-3, -0x1.62a3f81cbf5ecp-3, -0x1.5e793d96c9c56p-3, -0x1.5a543ce701153p-3, -0x1.56351799eb0abp-3, -0x1.521bee06fd682p-3, -0x1.4e08df54f6aa6p-3, -0x1.49fc097e34fb2p-3, -0x1.45f589551c174p-3, -0x1.41f57a8871886p-3, -0x1.3dfbf7a7ca759p-3, -0x1.3a091a27efc79p-3, -0x1.361cfa674e9d7p-3, -0x1.3237afb261b75p-3, -0x1.2e59504822cc7p-3, -0x1.2a81f15e777adp-3, -0x1.26b1a7269ff96p-3, -0x1.22e884d1a5ca4p-3, -0x1.1f269c94c525dp-3, -0x1.1b6bffaddd6f3p-3, -0x1.17b8be67d396p-3, -0x1.140ce81efaa03p-3, -0x1.10688b45752a8p-3, -0x1.0ccbb56796e8fp-3, -0x1.093673303ab82p-3, -0x1.05a8d06d1df54p-3, -0x1.0222d8132dc36p-3, -0x1.fd492885aa647p-4, -0x1.f65c1c9886f3dp-4, -0x1.ef7e9d67565acp-4, -0x1.e8b0ba6afbd06p-4, -0x1.e1f281953adc4p-4, -0x1.db43ff59128bcp-4, -0x1.d4a53eb308d33p-4, -0x1.ce16493160d14p-4, -0x1.c79726fc46858p-4, -0x1.c127dedde8ee8p-4, -0x1.bac8764a84533p-4, -0x1.b478f16853eadp-4, -0x1.ae39531785476p-4, -0x1.a8099cf9f8bbfp-4, -0x1.a1e9cf7b11979p-4, -0x1.9bd9e9d758a38p-4, -0x1.95d9ea241decep-4, -0x1.8fe9cd56f515bp-4, -0x1.8a098f4d2d9a3p-4, -0x1.84392ad32db54p-4, -0x1.7e7899abb7fbp-4, -0x1.78c7d4971e214p-4, -0x1.7326d35a5e50cp-4, -0x1.6d958cc62a4ccp-4, -0x1.6813f6bdd6acep-4, -0x1.62a2063e37f8ep-4, -0x1.5d3faf6463444p-4, -0x1.57ece5745e9aap-4, -0x1.52a99adfb762dp-4, -0x1.4d75c14c02977p-4, -0x1.4851499943aa1p-4, -0x1.433c23e8411b2p-4, -0x1.3e363fa0bcbe5p-4, -0x1.393f8b77984bbp-4, -0x1.3457f574e014p-4, -0x1.2f7f6af9c1d42p-4, -0x1.2ab5d8c665194p-4, -0x1.25fb2affb5381p-4, -0x1.214f4d350c7afp-4, -0x1.1cb22a65cb6e5p-4, -0x1.1823ad06d8143p-4, -0x1.13a3bf08033a3p-4, -0x1.0f3249d958b48p-4, -0x1.0acf36705aa85p-4, -0x1.067a6d4d1ec24p-4, -0x1.0233d67f5a013p-4, -0x1.fbf6b356a0047p-5, -0x1.f3a1bc1d6b423p-5, -0x1.eb68950ad5ec5p-5, -0x1.e34b0b1c60cdap-5, -0x1.db48ea9e7275dp-5, -0x1.d361ff3558277p-5, -0x1.cb9613e6179fdp-5, -0x1.c3e4f31f14e3fp-5, -0x1.bc4e66c08941cp-5, -0x1.b4d23824cdfccp-5, -0x1.ad7030287e29ep-5, -0x1.a62817326965ap-5, -0x1.9ef9b53b5e147p-5, -0x1.97e4d1d5c422ep-5, -0x1.90e934350d8d3p-5, -0x1.8a06a33506e2cp-5, -0x1.833ce560ebf8ap-5, -0x1.7c8bc0fa64bp-5, -0x1.75f2fc0049ca4p-5, -0x1.6f725c354a6d8p-5, -0x1.6909a72664f97p-5, -0x1.62b8a2313cad2p-5, -0x1.5c7f128a40818p-5, -0x1.565cbd42adc5bp-5, -0x1.5051674e7203bp-5, -0x1.4a5cd589dd645p-5, -0x1.447eccbf350f6p-5, -0x1.3eb711ac1a9ebp-5, -0x1.39056906dd0c6p-5, -0x1.336997838c68fp-5, -0x1.2de361d9024fp-5, -0x1.28728cc5bc995p-5, -0x1.2316dd1491655p-5, -0x1.1dd017a141a8bp-5, -0x1.189e015cf2718p-5, -0x1.13805f527e649p-5, -0x1.0e76f6aaa0879p-5, -0x1.09818cb00aa37p-5, -0x1.049fe6d351c7ap-5, -0x1.ffa3955d7b339p-6, -0x1.f62dfc13fb37fp-6, -0x1.ecde8dbb719a6p-6, -0x1.e3b4d6ae05cd1p-6, -0x1.dab063b565f83p-6, -0x1.d1d0c2113e0c6p-6, -0x1.c9157f7d692b4p-6, -0x1.c07e2a37fdc42p-6, -0x1.b80a510711362p-6, -0x1.afb9833e4db46p-6, -0x1.a78b50c45147ep-6, -0x1.9f7f4a17d971bp-6, -0x1.97950054b24a2p-6, -0x1.8fcc05388978dp-6, -0x1.8823eb276937dp-6, -0x1.809c453038f72p-6, -0x1.7934a710ce1dfp-6, -0x1.71eca53a0daeep-6, -0x1.6ac3d4d3a67b5p-6, -0x1.63b9cbbfd1abfp-6, -0x1.5cce209ebe23ap-6, -0x1.56006ad1e77acp-6, -0x1.4f50427f4158fp-6, -0x1.48bd40942ca02p-6, -0x1.4246fec8555eap-6, -0x1.3bed17a054f14p-6, -0x1.35af26704f38p-6, -0x1.2f8cc75e317fcp-6, -0x1.298597641603bp-6, -0x1.239934523a5bbp-6, -0x1.1dc73cd1061aap-6, -0x1.180f5062dec22p-6, -0x1.12710f65cdf8fp-6, -0x1.0cec1b151bcbp-6, -0x1.0780158ab36e2p-6, -0x1.022ca1c07b5cdp-6, -0x1.f9e2c7231b8b9p-7, -0x1.ef9bff767e0bfp-7, -0x1.e58437bc30577p-7, -0x1.db9abcfd812cfp-7, -0x1.d1dede0d50837p-7, -0x1.c84feb8981adcp-7, -0x1.beed37dbfb7eep-7, -0x1.b5b6173b8978p-7, -0x1.aca9dfaca2396p-7, -0x1.a3c7e901d3ep-7, -0x1.9b0f8cdc295afp-7, -0x1.928026ab533b4p-7, -0x1.8a1913ad8cf6ap-7, -0x1.81d9b2ef8c041p-7, -0x1.79c1654c1a86fp-7, -0x1.71cf8d6b8ecb4p-7, -0x1.6a038fc3377f3p-7, -0x1.625cd294818ecp-7, -0x1.5adabdec12bc8p-7, -0x1.537cbba0abef6p-7, -0x1.4c42375205defp-7, -0x1.452a9e675f7fep-7, -0x1.3e35600e2e37p-7, -0x1.3761ed3866bfcp-7, -0x1.30afb89ae0f3cp-7, -0x1.2a1e36ab865f6p-7, -0x1.23acdd9f699ep-7, -0x1.1d5b2568b6bap-7, -0x1.172887b4b5b46p-7, -0x1.11147fe96a889p-7, -0x1.0b1e8b2373647p-7, -0x1.054628338e5aep-7, -0x1.ff15af3839aacp-8, -0x1.f3d8371d5a6ddp-8, -0x1.e8d2efd27730ap-8, -0x1.de04e4674b7d3p-8, -0x1.d36d233980fcep-8, -0x1.c90abdef1cf4p-8, -0x1.bedcc970cb1f2p-8, -0x1.b4e25de3db707p-8, -0x1.ab1a96a41ce58p-8, -0x1.a184923de6cf2p-8, -0x1.981f7267c06cep-8, -0x1.8eea5bfbf9e5ep-8, -0x1.85e476f24420fp-8, -0x1.7d0cee594d1e2p-8, -0x1.7462f04fd4ec3p-8, -0x1.6be5adfe3f4fep-8, -0x1.63945b8fa9d98p-8, -0x1.5b6e302b2259ep-8, -0x1.537265eccb9aap-8, -0x1.4ba039dedaaf6p-8, -0x1.43f6ebf2a138fp-8, -0x1.3c75bef95f156p-8, -0x1.351bf89d609f3p-8, -0x1.2de8e15aa0cbfp-8, -0x1.26dbc477d51f6p-8, -0x1.1ff3effef8257p-8, -0x1.1930b4b635defp-8, -0x1.12916618b6b07p-8, -0x1.0c155a4f23622p-8, -0x1.05bbea287dd8ep-8, -0x1.ff08e225947c5p-9, -0x1.f2dc9a27635c3p-9, -0x1.e6f1bd8267a16p-9, -0x1.db471274a363bp-9, -0x1.cfdb643f44b97p-9, -0x1.c4ad83185339p-9, -0x1.b9bc441b86feep-9, -0x1.af06813bfb40bp-9, -0x1.a48b1935917f5p-9, -0x1.9a48ef7deb744p-9, -0x1.903eec365c212p-9, -0x1.866bfc1d0ad53p-9, -0x1.7ccf107e66b33p-9, -0x1.73671f26ef388p-9, -0x1.6a3322546f77fp-9, -0x1.613218a7e867ap-9, -0x1.5863051735f12p-9, -0x1.4fc4eede92cacp-9, -0x1.4756e172b8d0ep-9, -0x1.3f17ec7297898p-9, -0x1.370723992a2e3p-9, -0x1.2f239eaf8de3ap-9, -0x1.276c797f3fe89p-9, -0x1.1fe0d3c437be5p-9, -0x1.187fd11eee2c5p-9, -0x1.114899070c972p-9, -0x1.0a3a56bd71c3dp-9, -0x1.0354393f4442ep-9, -0x1.f92ae66fbdfd8p-10, -0x1.ebfa75e862ad8p-10, -0x1.df1594a9f3db3p-10, -0x1.d27abd840d5b3p-10, -0x1.c628723a4bf97p-10, -0x1.ba1d3b6a49c64p-10, -0x1.ae57a8720e5bcp-10, -0x1.a2d64f56f0d9cp-10, -0x1.9797ccac0dcc6p-10, -0x1.8c9ac379965e8p-10, -0x1.81dddd2410e96p-10, -0x1.775fc953c44d3p-10, -0x1.6d1f3ddc70f97p-10, -0x1.631af6a54d82ep-10, -0x1.5951b591207fdp-10, -0x1.4fc24266aed56p-10, -0x1.466b6ab9a03d6p-10, -0x1.3d4c01d2a8e56p-10, -0x1.3462e099aa553p-10, -0x1.2baee57e1e5bap-10, -0x1.232ef4614216cp-10, -0x1.1ae1f67f993a1p-10, -0x1.12c6da5b30bbfp-10, -0x1.0adc93a5d6403p-10, -0x1.03221b2b74e48p-10, -0x1.f72cdd7a464ebp-11, -0x1.e8712237faee8p-11, -0x1.da0f13c92d026p-11, -0x1.cc04caf49fed3p-11, -0x1.be5069e6599f6p-11, -0x1.b0f01c07869b7p-11, -0x1.a3e215d6fb9acp-11, -0x1.972494c225c2cp-11, -0x1.8ab5defe62a8dp-11, -0x1.7e9443631951p-11, -0x1.72be194408174p-11, -0x1.6731c04c0fcc6p-11, -0x1.5beda058bc6c6p-11, -0x1.50f02955df9f6p-11, -0x1.4637d319e539ep-11, -0x1.3bc31d42a937cp-11, -0x1.31908f129ec77p-11, -0x1.279eb74e97364p-11, -0x1.1dec2c1bcdfdfp-11, -0x1.14778adea4029p-11, -0x1.0b3f781a01accp-11, -0x1.02429f4e24d81p-11, -0x1.f2ff65b2ac8cp-12, -0x1.e1ead7af96c94p-12, -0x1.d1451409eb8fp-12, -0x1.c10ba739fbb7ep-12, -0x1.b13c2a7b83882p-12, -0x1.a1d44393d2d84p-12, -0x1.92d1a4967e8b9p-12, -0x1.84320bab87d3ep-12, -0x1.75f342d6451c8p-12, -0x1.68131fbdab242p-12, -0x1.5a8f8374d7639p-12, -0x1.4d665a446350fp-12, -0x1.40959b756cefcp-12, -0x1.341b491c0c1c6p-12, -0x1.27f56fe42feedp-12, -0x1.1c2226de29405p-12, -0x1.109f8f4c4c69bp-12, -0x1.056bd47130a1fp-12, -0x1.f50a56bf4dd43p-13, -0x1.dfd3a592e60ap-13, -0x1.cb3025a3babd2p-13, -0x1.b71c79baec5a3p-13, -0x1.a39556cad7687p-13, -0x1.909783959fbbcp-13, -0x1.7e1fd853f1b1fp-13, -0x1.6c2b3e5ca584bp-13, -0x1.5ab6afd267bdp-13, -0x1.49bf374cf1d81p-13, -0x1.3941ef87a8a06p-13, -0x1.293c030f52243p-13, -0x1.19aaabf38a098p-13, -0x1.0a8b3377a8784p-13, -0x1.f7b5e388f9609p-14, -0x1.db2e9b3d8d61cp-14, -0x1.bf7b783307729p-14, -0x1.a497809f84a6ap-14, -0x1.8a7dd635708b2p-14, -0x1.7129b595fa451p-14, -0x1.589675ca2fddbp-14, -0x1.40bf87b4680b7p-14, -0x1.29a0758f39e9bp-14, -0x1.1334e2666c50dp-14, -0x1.faf113304c89ap-15, -0x1.d0ce7ca891b5dp-15, -0x1.a7f9d6413dc7fp-15, -0x1.806b22bc96875p-15, -0x1.5a1a91a1e1a02p-15, -0x1.35007e515a389p-15, -0x1.11156f1d367a6p-15, -0x1.dca428cf7b94ap-16, -0x1.995e8f7efee74p-16, -0x1.584c161abd131p-16, -0x1.195f0f63b12f6p-16, -0x1.b91436ea93c5ep-17, -0x1.43804c4004e8ap-17, -0x1.a3d19557db45cp-18, -0x1.90d2bcd080d7ep-19, 0x1.6d1ec0397fba7p-23, 0x1.afaa76ee502fep-19, 0x1.9d0a35395be46p-18, 0x1.2d9acdf740514p-17, 0x1.894211b148c8ap-17, 0x1.e190bff8e188ep-17, 0x1.1b4e1b0959efp-16, 0x1.443cab725c4b6p-16, 0x1.6b9e46d48ec7ap-16, 0x1.917ce83f411acp-16, 0x1.b5e25171596dp-16, 0x1.d8d80c14d4428p-16, 0x1.fa676aee3572ep-16, 0x1.0d4cc58b1a92cp-15, 0x1.1cbbaa8c06993p-15, 0x1.2b84bf0d26bc8p-15, 0x1.39ac447cc1559p-15, 0x1.473663adc11d9p-15, 0x1.54272d63f0a2p-15, 0x1.60829ad6f1965p-15, 0x1.6c4c8e34839a5p-15, 0x1.7788d3255bcf3p-15, 0x1.823b1f46bb335p-15, 0x1.8c6712a77a94ap-15, 0x1.96103840a79a9p-15, 0x1.9f3a066bea5c1p-15, 0x1.a7e7df547399bp-15, 0x1.b01d116d62b01p-15, 0x1.b7dcd7dc66732p-15, 0x1.bf2a5ae92d80cp-15, 0x1.c608b0665215p-15, 0x1.cc7adc1aeed78p-15, 0x1.d283d0257dceep-15, 0x1.d8266d62d4cf9p-15, 0x1.dd6583ce3cddap-15, 0x1.e243d2e250cb5p-15, 0x1.e6c409f5beb96p-15, 0x1.eae8c89575e6ap-15, 0x1.eeb49ee2b235dp-15, 0x1.f22a0de5c05abp-15, 0x1.f54b87e59b37ep-15, 0x1.f81b70be07026p-15, 0x1.fa9c1e2d01bdep-15, 0x1.fccfd82a7a2f5p-15, 0x1.feb8d92e78f03p-15, 0x1.002ca742b6a94p-14, 0x1.00d9ac4afaf28p-14, 0x1.01648596cc3c4p-14, 0x1.01ce36e458f0cp-14, 0x1.0217bdeb70254p-14, 0x1.024212813fd56p-14, 0x1.024e26b944e37p-14, 0x1.023ce706f5e74p-14, 0x1.020f3a5ce6e98p-14, 0x1.01c6024ca8788p-14, 0x1.01621b266a35dp-14, 0x1.00e45c161b2d4p-14, 0x1.004d9741c7c3dp-14, 0x1.ff3d33ca8b09fp-15, 0x1.fdb058df63054p-15, 0x1.fbf6253c1dffap-15, 0x1.fa10172e19a57p-15, 0x1.f7ffa406b2a8fp-15, 0x1.f5c63854c7359p-15, 0x1.f365381207204p-15, 0x1.f0ddfed726a07p-15, 0x1.ee31e00a081e3p-15, 0x1.eb62270e72d7cp-15, 0x1.e87017721ed09p-15, 0x1.e55ced1a7ad2cp-15, 0x1.e229dc70db505p-15, 0x1.ded8128dbf71p-15, 0x1.db68b56171252p-15, 0x1.d7dce3dd4926p-15, 0x1.d435b61dba348p-15, 0x1.d0743d8ea19b7p-15, 0x1.cc998512443ebp-15, 0x1.c8a691283329bp-15, 0x1.c49c600fab985p-15, 0x1.c07be9ed6cf2p-15, 0x1.bc4620ebb5c62p-15, 0x1.b7fbf160d5d96p-15, 0x1.b39e41eae99f2p-15, 0x1.af2df394f3c67p-15, 0x1.aaabe1f3e6544p-15, 0x1.a618e346ab83p-15, 0x1.a175c89484c68p-15, 0x1.9cc35dcb11e68p-15, 0x1.980269daa4df1p-15, 0x1.9333aed3154bbp-15, 0x1.8e57e9fed119dp-15, 0x1.896fd3fd9aba2p-15, 0x1.847c20dfe7a5bp-15, 0x1.7f7d803fc976bp-15, 0x1.7a749d5b514edp-15, 0x1.75621f2b73ecap-15, 0x1.7046a87db0a3dp-15, 0x1.6b22d80b593fp-15, 0x1.65f7488f5693p-15, 0x1.60c490dd6a40ep-15, 0x1.5b8b43f773623p-15, 0x1.564bf1252b268p-15, 0x1.510724064d434p-15, 0x1.4bbd64a77fab3p-15, 0x1.466f3797b9186p-15, 0x1.411d1dfb1b773p-15, 0x1.3bc7959d5b065p-15, 0x1.366f1904e57f9p-15, 0x1.31141f84f1ab1p-15, 0x1.2bb71d4f9c479p-15, 0x1.265883867f794p-15, 0x1.20f8c04da83aap-15, 0x1.1b983ed9ddd7cp-15, 0x1.1637678244569p-15, 0x1.10d69fcf656bfp-15, 0x1.0b764a8b4016dp-15, 0x1.0616c7d05d1c6p-15, 0x1.00b8751898f05p-15, 0x1.f6b75a95e7249p-16, 0x1.ec0191960b31bp-16, 0x1.e1503b0b01fc2p-16, 0x1.d6a3fdfd91e57p-16, 0x1.cbfd7cc09a00ep-16, 0x1.c15d55063fb07p-16, 0x1.b6c41ffdee8abp-16, 0x1.ac32726c9d291p-16, 0x1.a1a8dcc47598ep-16, 0x1.9727eb3ab6648p-16, 0x1.8cb025e04d217p-16, 0x1.824210b9aa1d2p-16, 0x1.77de2bd24cc37p-16, 0x1.6d84f352c685ep-16, 0x1.6336df96984abp-16, 0x1.58f46541ac6bap-16, 0x1.4ebdf552dd8a6p-16, 0x1.4493fd38b0e32p-16, 0x1.3a76e6e419a83p-16, 0x1.306718dbf58e2p-16, 0x1.2664f64fc04ddp-16, 0x1.1c70df2839205p-16, 0x1.128b301ada404p-16, 0x1.08b442b9e7139p-16, 0x1.fdd8db0c56ce8p-17, 0x1.ea6807fdead82p-17, 0x1.d716ad6492b2fp-17, 0x1.c3e5669b024c5p-17, 0x1.b0d4c959baa22p-17, 0x1.9de565d54911dp-17, 0x1.8b17c6d7f7524p-17, 0x1.786c71e447f2ep-17, 0x1.65e3e74f98727p-17, 0x1.537ea25f840f7p-17, 0x1.413d1961dd807p-17, 0x1.2f1fbdcaafb7cp-17, 0x1.1d26fc4e6453ap-17, 0x1.0b533cfb19aa9p-17, 0x1.f349c69e33b6p-18, 0x1.d0389caa905afp-18, 0x1.ad73b175f1ca5p-18, 0x1.8afbb1d203172p-18, 0x1.68d14235c081ep-18, 0x1.46f4feea6beebp-18, 0x1.25677c341c1b8p-18, 0x1.04294686e3679p-18, 0x1.c675c5510894fp-19, 0x1.85399bbc52ff8p-19, 0x1.449efc2fc9e2fp-19, 0x1.04a6c42a88a5fp-19, 0x1.8aa3863a0de9cp-20, 0x1.0d41756a13caap-20, 0x1.22517caaa8963p-21, 0x1.65aaf19ec590fp-24, -0x1.8c9e0f9d6f0afp-22, -0x1.b6b97f134d774p-21, -0x1.5244014e98b33p-20, -0x1.c7dc5ed0fd922p-20, -0x1.1e1282a0ef744p-19, -0x1.578e9c7171dabp-19, -0x1.90622a41059b5p-19, -0x1.c88ce47ceb0a3p-19, -0x1.0007472ced71ap-18, -0x1.1b737acac305cp-18, -0x1.368af91d54af4p-18, -0x1.514db3336f41bp-18, -0x1.6bbb9f076dc4ep-18, -0x1.85d4b764fb61fp-18, -0x1.9f98fbc98c12cp-18, -0x1.b908704732502p-18, -0x1.d2231d705042p-18, -0x1.eae910398848fp-18, -0x1.01ad2cedf16d4p-17, -0x1.0dbb87dfee90bp-17, -0x1.199fa5b162275p-17, -0x1.2559951f8db69p-17, -0x1.30e966d8b69b1p-17, -0x1.3c4f2d714c5bbp-17, -0x1.478afd59032bp-17, -0x1.529ceccd00de2p-17, -0x1.5d8513ccfb772p-17, -0x1.68438c128972ap-17, -0x1.72d87103f9169p-17, -0x1.7d43dfaa2d81ep-17, -0x1.8785f6a5f3b13p-17, -0x1.919ed62604731p-17, -0x1.9b8e9fdc5519dp-17, -0x1.a55576f426688p-17, -0x1.aef3800896a4ep-17, -0x1.b868e11a99757p-17, -0x1.c1b5c187a6c67p-17, -0x1.cada49ffdc72cp-17, -0x1.d3d6a47d3eb72p-17, -0x1.dcaafc3b16e93p-17, -0x1.e5577dabb8e48p-17, -0x1.eddc5671f137dp-17, -0x1.f639b5568f7bep-17, -0x1.fe6fca40dc9fap-17, -0x1.033f63169fdb5p-16, -0x1.07336d933ab12p-16, -0x1.0b141e1e96f8fp-16, -0x1.0ee18ec007798p-16, -0x1.129bd9f981bfcp-16, -0x1.16431ac47c1dfp-16, -0x1.19d76c8e2e963p-16, -0x1.1d58eb332b264p-16, -0x1.20c7b2fce5d61p-16, -0x1.2423e09cee9ecp-16, -0x1.276d912a218fdp-16, -0x1.2aa4e21d13ad2p-16, -0x1.2dc9f14c8368p-16, -0x1.30dcdcea754f7p-16, -0x1.33ddc381109fp-16, -0x1.36ccc3ee5a218p-16, -0x1.39a9fd61d06c6p-16, -0x1.3c758f597adf3p-16, -0x1.3f2f999e757dep-16, -0x1.41d83c41fa2cep-16, -0x1.446f979ae0191p-16, -0x1.46f5cc4271128p-16, -0x1.496afb11288fap-16, -0x1.4bcf451c2a702p-16, -0x1.4e22cbb2c03c5p-16, -0x1.5065b05b9d76dp-16, -0x1.529814d209fe1p-16, -0x1.54ba1b034bd6dp-16, -0x1.56cbe50c84413p-16, -0x1.58cd953723134p-16, -0x1.5abf4df6f7bp-16, -0x1.5ca131e87c5bfp-16, -0x1.5e7363cd93cffp-16, -0x1.6036068b11472p-16, -0x1.61e93d275b046p-16, -0x1.638d2ac70eac7p-16, -0x1.6521f2ab7665ep-16, -0x1.66a7b830555b9p-16, -0x1.681e9ec948292p-16, -0x1.6986ca0037d1p-16, -0x1.6ae05d733055ep-16, -0x1.6c2b7cd188f26p-16, -0x1.6d684bdb73b01p-16, }}, 
      {{0x1.9337dedf37d7dp-1, 0x1.933076f8de3adp-1, 0x1.932421d78c9c2p-1, 0x1.9312e32273f6fp-1, 0x1.92fcbf3ebd8dcp-1, 0x1.92e1babe17135p-1, 0x1.92c1d9c9b5448p-1, 0x1.929d1f962c6c7p-1, 0x1.92738de87c3bdp-1, 0x1.924524b11f80cp-1, 0x1.9211e1bf2fbaep-1, 0x1.91d9c08b95835p-1, 0x1.919cba1af58c7p-1, 0x1.915ac4f42d6f2p-1, 0x1.9113d528d4eb8p-1, 0x1.90c7dc6d0690ep-1, 0x1.9076ca3bc48ffp-1, 0x1.90208c0565923p-1, 0x1.8fc50d65acdadp-1, 0x1.8f64385f654cbp-1, 0x1.8efdf59b95d3fp-1, 0x1.8e922caaa1f4p-1, 0x1.8e20c445e9379p-1, 0x1.8da9a290a9bbap-1, 0x1.8d2cad572c05ap-1, 0x1.8ca9ca4b6704bp-1, 0x1.8c20df3e7f02ap-1, 0x1.8b91d256a5ea6p-1, 0x1.8afc8a4111adep-1, 0x1.8a60ee5fcb39bp-1, 0x1.89bee6f347aaap-1, 0x1.89165d3fc2897p-1, 0x1.88673bae6919dp-1, 0x1.87b16dea75f67p-1, 0x1.86f4e0fa63057p-1, 0x1.8631835562cf6p-1, 0x1.856744f5551dp-1, 0x1.84961765715c2p-1, 0x1.83bdedcde180cp-1, 0x1.82debcfc853e9p-1, 0x1.81f87b6b1d979p-1, 0x1.810b214313c57p-1, 0x1.8016a85f17bd8p-1, 0x1.7f1b0c4ac6786p-1, 0x1.7e184a408cfc4p-1, 0x1.7d0e6125f4cddp-1, 0x1.7bfd5186874ccp-1, 0x1.7ae51d8d7071fp-1, 0x1.79c5c8fe068a8p-1, 0x1.789f592b5b6f7p-1, 0x1.7771d4eef6ad7p-1, 0x1.763d449ed6f4bp-1, 0x1.7501b202d80f9p-1, 0x1.73bf28499397ap-1, 0x1.7275b3fcd7029p-1, 0x1.712562f5c22a3p-1, 0x1.6fce4450a1001p-1, 0x1.6e70686095f9ap-1, 0x1.6d0be0a31f8afp-1, 0x1.6ba0bfb38aeffp-1, 0x1.6a2f193e6176ep-1, 0x1.68b701f4d8a6p-1, 0x1.67388f8053186p-1, 0x1.65b3d875f9521p-1, 0x1.6428f44a7439fp-1, 0x1.6297fb45cef04p-1, 0x1.61010677869adp-1, 0x1.5f642faacfd8fp-1, 0x1.5dc1915b1288bp-1, 0x1.5c1946a8a3ff7p-1, 0x1.5a6b6b4dbf7e4p-1, 0x1.58b81b93c260fp-1, 0x1.56ff7448ace96p-1, 0x1.554192b4e8bfep-1, 0x1.537e949158ae5p-1, 0x1.51b697fdae813p-1, 0x1.4fe9bb770cc62p-1, 0x1.4e181dceefca9p-1, 0x1.4c41de2260b54p-1, 0x1.4a671bd170506p-1, 0x1.4887f676fbb69p-1, 0x1.46a48de0b6b56p-1, 0x1.44bd02077de04p-1, 0x1.42d17307ed774p-1, 0x1.40e2011b3cb24p-1, 0x1.3eeecc905c8e1p-1, 0x1.3cf7f5c55740ap-1, 0x1.3afd9d20f1353p-1, 0x1.38ffe30c879a8p-1, 0x1.36fee7ee2d65cp-1, 0x1.34facc23037bdp-1, 0x1.32f3aff9cae94p-1, 0x1.30e9b3adb15ffp-1, 0x1.2edcf76152ec5p-1, 0x1.2ccd9b19f34d2p-1, 0x1.2abbbebaea882p-1, 0x1.28a782014483p-1, 0x1.2691047f9216ap-1, 0x1.24786599eaf43p-1, 0x1.225dc4821c2dap-1, 0x1.2041403405957p-1, 0x1.1e22f77222e1p-1, 0x1.1c0308c23e22p-1, 0x1.19e1926a4dcafp-1, 0x1.17beb26d77a4ap-1, 0x1.159a86893eddep-1, 0x1.13752c32d2decp-1, 0x1.114ec094873b7p-1, 0x1.0f27608b6c6acp-1, 0x1.0cff28a50be44p-1, 0x1.0ad6351d4491bp-1, 0x1.08aca1dc498e9p-1, 0x1.06828a74be5efp-1, 0x1.04580a21f260ap-1, 0x1.022d3bc639b35p-1, 0x1.000239e9620ecp-1, 0x1.fbae3d6e89af2p-2, 0x1.f75807fce259bp-2, 0x1.f302065de5f85p-2, 0x1.eeac6ab26259cp-2, 0x1.ea576659c9b9bp-2, 0x1.e60329f05049fp-2, 0x1.e1afe54d36267p-2, 0x1.dd5dc7813fe88p-2, 0x1.d90cfed5565dep-2, 0x1.d4bdb8c9538d2p-2, 0x1.d0702212f2e92p-2, 0x1.cc24669cec9e2p-2, 0x1.c7dab18632bc4p-2, 0x1.c3932d2153c49p-2, 0x1.bf4e02f3fff45p-2, 0x1.bb0b5bb6af8c8p-2, 0x1.b6cb5f5469a57p-2, 0x1.b28e34eaa9cb1p-2, 0x1.ae5402c963113p-2, 0x1.aa1cee7322619p-2, 0x1.a5e91c9d4abcap-2, 0x1.a1b8b1306a8cp-2, 0x1.9d8bcf48af4dbp-2, 0x1.996299366d7a6p-2, 0x1.953d307ec25e6p-2, 0x1.911bb5dc4cd1bp-2, 0x1.8cfe493ffc5ddp-2, 0x1.88e509d1f1fbp-2, 0x1.84d015f279dfdp-2, 0x1.80bf8b3b14b46p-2, 0x1.7cb3867f96538p-2, 0x1.78ac23cf529dfp-2, 0x1.74a97e765da8p-2, 0x1.70abb0fedd0e2p-2, 0x1.6cb2d53264482p-2, 0x1.68bf041b6618ap-2, 0x1.64d05606abb4bp-2, 0x1.60e6e284e1e81p-2, 0x1.5d02c06c2bf23p-2, 0x1.592405d9c6a7ep-2, 0x1.554ac833b3f16p-2, 0x1.51771c2a73e99p-2, 0x1.4da915bac497p-2, 0x1.49e0c82f6fb73p-2, 0x1.461e46231ceffp-2, 0x1.4261a1822fe0dp-2, 0x1.3eaaeb8cac5ccp-2, 0x1.3afa34d823dfep-2, 0x1.374f8d51a6199p-2, 0x1.33ab043fbea89p-2, 0x1.300ca84471849p-2, 0x1.2c74875f41f6ep-2, 0x1.28e2aeef3d877p-2, 0x1.25572bb509fedp-2, 0x1.21d209d4fae1bp-2, 0x1.1e5354d928af1p-2, 0x1.1adb17b38ac17p-2, 0x1.17695cc017c99p-2, 0x1.13fe2dc6e6b97p-2, 0x1.109993fe5252ap-2, 0x1.0d3b980d1f586p-2, 0x1.09e4420ca4f4ep-2, 0x1.0693998af66fdp-2, 0x1.0349a58d0dc69p-2, 0x1.00066c90f7959p-2, 0x1.f993e91fffc78p-3, 0x1.f3288601bebb5p-3, 0x1.eccab9b3d0412p-3, 0x1.e67a8d26650acp-3, 0x1.e0380851967a9p-3, 0x1.da033239bcb4bp-3, 0x1.d3dc10f3c3cf1p-3, 0x1.cdc2a9a986485p-3, 0x1.c7b7009e1b2e5p-3, 0x1.c1b919322444bp-3, 0x1.bbc8f5e81d0ccp-3, 0x1.b5e69868a566ep-3, 0x1.b0120186be21cp-3, 0x1.aa4b314412baep-3, 0x1.a49226d52d219p-3, 0x1.9ee6e0a5ade03p-3, 0x1.99495c5c81a1ap-3, 0x1.93b996e006p-3, 0x1.8e378c5a30f7cp-3, 0x1.88c3383cb1508p-3, 0x1.835c95450396cp-3, 0x1.7e039d8088d88p-3, 0x1.78b84a508a07p-3, 0x1.737a946e3fbf3p-3, 0x1.6e4a73eeccep-3, 0x1.6927e04732173p-3, 0x1.6412d05035ff5p-3, 0x1.5f0b3a4a4eff6p-3, 0x1.5a1113e178fp-3, 0x1.5524523108fd9p-3, 0x1.5044e9c776fdp-3, 0x1.4b72ceaa1df3ep-3, 0x1.46adf458f2f45p-3, 0x1.41f64dd2340dap-3, 0x1.3d4bcd960d909p-3, 0x1.38ae65aa31403p-3, 0x1.341e079d6adf8p-3, 0x1.2f9aa48b26ac2p-3, 0x1.2b242d1ef0cf7p-3, 0x1.26ba9197e2572p-3, 0x1.225dc1cc10d11p-3, 0x1.1e0dad2bec4fap-3, 0x1.19ca42c58d993p-3, 0x1.1593714807db9p-3, 0x1.11692706a4629p-3, 0x1.0d4b51fc1663dp-3, 0x1.0939dfcda5fe7p-3, 0x1.0534bdce50ad3p-3, 0x1.013bd901dac3dp-3, 0x1.fa9e3c3fb74c2p-4, 0x1.f2dcf32d77d62p-4, 0x1.eb33af1d50243p-4, 0x1.e3a247d8f1514p-4, 0x1.dc2894a921877p-4, 0x1.d4c66c5b63d62p-4, 0x1.cd7ba54783e2ap-4, 0x1.c64815551000ep-4, 0x1.bf2b9200b8e92p-4, 0x1.b825f061a6df3p-4, 0x1.b137052ea6635p-4, 0x1.aa5ea4c34dda3p-4, 0x1.a39ca32508d0dp-4, 0x1.9cf0d408071bp-4, 0x1.965b0ad41ffbap-4, 0x1.8fdb1aa99a34cp-4, 0x1.8970d665da0fp-4, 0x1.831c10a8022eep-4, 0x1.7cdc9bd576552p-4, 0x1.76b24a1e50932p-4, 0x1.709ced81b8f19p-4, 0x1.6a9c57d22b7fp-4, 0x1.64b05ab9aad7ep-4, 0x1.5ed8c7bdd8a54p-4, 0x1.59157043fc837p-4, 0x1.53662594f3291p-4, 0x1.4dcab8e10c50fp-4, 0x1.4842fb43cec72p-4, 0x1.42cebdc7acfaep-4, 0x1.3d6dd1699f87cp-4, 0x1.3820071cb06fep-4, 0x1.32e52fcd6f784p-4, 0x1.2dbd1c65510ep-4, 0x1.28a79dcdfccfcp-4, 0x1.23a484f485925p-4, 0x1.1eb3a2cc8f465p-4, 0x1.19d4c8535dd2bp-4, 0x1.1507c692d8524p-4, 0x1.104c6ea46fd1cp-4, 0x1.0ba291b3fa71ap-4, 0x1.070a010278b6dp-4, 0x1.02828de8c7af5p-4, 0x1.fc1813b48627cp-5, 0x1.f34c8ccea5a98p-5, 0x1.eaa22a7fd2b1p-5, 0x1.e218906bd93cp-5, 0x1.d9af627f24b47p-5, 0x1.d16644f34851bp-5, 0x1.c93cdc5377a5p-5, 0x1.c132cd80ca047p-5, 0x1.b947bdb66b50cp-5, 0x1.b17b528da119cp-5, 0x1.a9cd3201baa6ap-5, 0x1.a23d0273d232bp-5, 0x1.9aca6aae80cb1p-5, 0x1.937511e95f28ap-5, 0x1.8c3c9fcc78d05p-5, 0x1.8520bc7395af8p-5, 0x1.7e2110716b173p-5, 0x1.773d44d2adc0dp-5, 0x1.7075032109c9bp-5, 0x1.69c7f565f8337p-5, 0x1.6335c62d7d2bfp-5, 0x1.5cbe2088c7b87p-5, 0x1.5660b010bbeabp-5, 0x1.501d20e858249p-5, 0x1.49f31fbf0b3a5p-5, 0x1.43e259d2ebf8bp-5, 0x1.3dea7cf2d04cap-5, 0x1.380b378059823p-5, 0x1.32443871de09p-5, 0x1.2c952f543c59ep-5, 0x1.26fdcc4c9a28p-5, 0x1.217dc01a09898p-5, 0x1.1c14bc1715241p-5, 0x1.16c2723b3ded7p-5, 0x1.1186951c57247p-5, 0x1.0c60d7efdb9aep-5, 0x1.0750ee8c1e67cp-5, 0x1.02568d6975447p-5, 0x1.fae2d34684624p-6, 0x1.f14271f1e7e5fp-6, 0x1.e7cb639dd9134p-6, 0x1.de7d165eaee99p-6, 0x1.d556f995d9f4dp-6, 0x1.cc587df3458d3p-6, 0x1.c381157698b94p-6, 0x1.bad03370510f9p-6, 0x1.b2454c82bea26p-6, 0x1.a9dfd6a2d9372p-6, 0x1.a19f491906031p-6, 0x1.99831c81a0e31p-6, 0x1.918acacd89ccdp-6, 0x1.89b5cf4272eadp-6, 0x1.8203a67b2b335p-6, 0x1.7a73ce67be134p-6, 0x1.7305c64d7f646p-6, 0x1.6bb90ec6f7051p-6, 0x1.648d29c3b3cf6p-6, 0x1.5d819a8808bfp-6, 0x1.5695e5aca79cfp-6, 0x1.4fc9911e31d07p-6, 0x1.491c241ca7696p-6, 0x1.428d273abfa63p-6, 0x1.3c1c245d2d113p-6, 0x1.35c8a6b9d71p-6, 0x1.2f923ad6e5b5dp-6, 0x1.29786e89ce496p-6, 0x1.237ad0f64b62ep-6, 0x1.1d98f28d377c4p-6, 0x1.17d2650b5a221p-6, 0x1.1226bb7827122p-6, 0x1.0c958a2463505p-6, 0x1.071e66a8c8d35p-6, 0x1.01c0e7e4859a1p-6, 0x1.f8f94bf783943p-7, 0x1.eea274abfe355p-7, 0x1.e47c7f39059aap-7, 0x1.da86a3713a582p-7, 0x1.d0c01ba3db04cp-7, 0x1.c72824993b49p-7, 0x1.bdbdfd8f06dbap-7, 0x1.b480e834847d6p-7, 0x1.ab7028a6b9fefp-7, 0x1.a28b056c7dfb2p-7, 0x1.99d0c77271a43p-7, 0x1.9140ba06e5747p-7, 0x1.88da2ad5ae64p-7, 0x1.809c69e3ea3b5p-7, 0x1.7886c98baa9p-7, 0x1.70989e779cf17p-7, 0x1.68d13f9e9df8ep-7, 0x1.6130063f2ecbdp-7, 0x1.59b44ddafce97p-7, 0x1.525d74323a1f2p-7, 0x1.4b2ad93efe567p-7, 0x1.441bdf309dd8cp-7, 0x1.3d2fea66e87e4p-7, 0x1.3666616d60238p-7, 0x1.2fbeacf679f47p-7, 0x1.293837d6bbf8ep-7, 0x1.22d26effe2ee1p-7, 0x1.1c8cc17bf394ap-7, 0x1.1666a06864c2fp-7, 0x1.105f7ef10fa04p-7, 0x1.0a76d24b4f05p-7, 0x1.04ac11b0f74f8p-7, 0x1.fdfd6cb6ab12ep-8, 0x1.f2dc76fc5462cp-8, 0x1.e7f43c854d17ep-8, 0x1.dd43bb84b53cdp-8, 0x1.d2c9f60450bc3p-8, 0x1.c885f1da75115p-8, 0x1.be76b89fdccbp-8, 0x1.b49b57a58e7aep-8, 0x1.aaf2dfeab2c0fp-8, 0x1.a17c661271606p-8, 0x1.98370259db479p-8, 0x1.8f21d08dc173bp-8, 0x1.863bf000a2e92p-8, 0x1.7d84838082bf5p-8, 0x1.74fab14cea152p-8, 0x1.6c9da30ccb9f5p-8, 0x1.646c85c48043fp-8, 0x1.5c6689cbc295dp-8, 0x1.548ae2c3bc0b1p-8, 0x1.4cd8c78d04699p-8, 0x1.454f723dc4f21p-8, 0x1.3dee2017d5125p-8, 0x1.36b4117ed4d6cp-8, 0x1.2fa089ee7e873p-8, 0x1.28b2cff0c3111p-8, 0x1.21ea2d142ad73p-8, 0x1.1b45ede2286f1p-8, 0x1.14c561d577304p-8, 0x1.0e67db50815d9p-8, 0x1.082caf93e9355p-8, 0x1.021336b517128p-8, 0x1.f835972980794p-9, 0x1.ec8597ab4664bp-9, 0x1.e1152fa6589efp-9, 0x1.d5e3253084d5dp-9, 0x1.caee43ac442f8p-9, 0x1.c0355bb66e6bfp-9, 0x1.b5b7431437e59p-9, 0x1.ab72d4a135c34p-9, 0x1.a166f03d91744p-9, 0x1.97927abc49aep-9, 0x1.8df45dd1c35bcp-9, 0x1.848b88024be98p-9, 0x1.7b56ec90d4fc5p-9, 0x1.7255836ddaf21p-9, 0x1.698649266e491p-9, 0x1.60e83ed341888p-9, 0x1.587a6a08272fbp-9, 0x1.503bd4c34c176p-9, 0x1.482b8d5d0a62ap-9, 0x1.4048a6777df29p-9, 0x1.389236ee9032ep-9, 0x1.310759c7dfde6p-9, 0x1.29a72e23195b7p-9, 0x1.2270d72a3bf3cp-9, 0x1.1b637c022b0c1p-9, 0x1.147e47bb58b0cp-9, 0x1.0dc0694286a7bp-9, 0x1.07291351e0736p-9, 0x1.00b77c61f5d03p-9, 0x1.f4d5bd36777adp-10, 0x1.e884ef8e7588fp-10, 0x1.dc7b1284dc0a5p-10, 0x1.d0b6afdbb105p-10, 0x1.c5365841f7a69p-10, 0x1.b9f8a337e7f52p-10, 0x1.aefc2ef349674p-10, 0x1.a43fa044645a7p-10, 0x1.99c1a27add056p-10, 0x1.8f80e74b374cbp-10, 0x1.857c26b4b4a9fp-10, 0x1.7bb21ee70629bp-10, 0x1.72219428dc373p-10, 0x1.68c950be83ea9p-10, 0x1.5fa824d0c7e4cp-10, 0x1.56bce65444036p-10, 0x1.4e0670f0f03f5p-10, 0x1.4583a5e9e8585p-10, 0x1.3d336c05bdfc8p-10, 0x1.3514af76cc103p-10, 0x1.2d2661c41d741p-10, 0x1.256779b26ff1p-10, 0x1.1dd6f32d87143p-10, 0x1.1673cf31ed62p-10, 0x1.0f3d13b6e1718p-10, 0x1.0831cb9895395p-10, 0x1.01510682b6fe2p-10, 0x1.f533b1b69056ap-11, 0x1.e816b75b9a014p-11, 0x1.db49592d38accp-11, 0x1.cec9db5d34e95p-11, 0x1.c2968aee6747fp-11, 0x1.b6adbd8d4748ep-11, 0x1.ab0dd168d9c33p-11, 0x1.9fb52d0c65022p-11, 0x1.94a23f3980fb9p-11, 0x1.89d37ec2f1bc8p-11, 0x1.7f476a67bf4f1p-11, 0x1.74fc88af10a2p-11, 0x1.6af167c443e99p-11, 0x1.61249d542079dp-11, 0x1.5794c669df6c1p-11, 0x1.4e40874d0f23fp-11, 0x1.45268b600885ap-11, 0x1.3c4584fea6d33p-11, 0x1.339c2d5debc11p-11, 0x1.2b29446b909fcp-11, 0x1.22eb90ae7b677p-11, 0x1.1ae1df2799c5bp-11, 0x1.130b033346e0dp-11, 0x1.0b65d66ae38bcp-11, 0x1.03f138873a7dbp-11, 0x1.f9581e867f052p-12, 0x1.eb2a8c7e37d04p-12, 0x1.dd579dc7f7cb5p-12, 0x1.cfdd409047b1ap-12, 0x1.c2b96e26b3e7cp-12, 0x1.b5ea2ac7f8d17p-12, 0x1.a96d8568b402dp-12, 0x1.9d4197811dce4p-12, 0x1.916484d9d3bd3p-12, 0x1.85d47b58d6601p-12, 0x1.7a8fb2d014563p-12, 0x1.6f946ccc0af3ap-12, 0x1.64e0f46434855p-12, 0x1.5a739e0aff3cdp-12, 0x1.504ac75ff9502p-12, 0x1.4664d7015bde3p-12, 0x1.3cc03c5f6372ap-12, 0x1.335b6f901e13ep-12, 0x1.2a34f123ba1fbp-12, 0x1.214b49f9c68bep-12, 0x1.189d0b1764feap-12, 0x1.1028cd7db8b4p-12, 0x1.07ed320176843p-12, 0x1.ffd1c2461ec73p-13, 0x1.f03515cea475cp-13, 0x1.e101cd623b87dp-13, 0x1.d2356636a1194p-13, 0x1.c3cd6ba79be5cp-13, 0x1.b5c776edfb3ecp-13, 0x1.a8212ed7a185cp-13, 0x1.9ad8478155831p-13, 0x1.8dea82116be9p-13, 0x1.8155ac73c803ap-13, 0x1.7517a1173f4adp-13, 0x1.692e46ac05c45p-13, 0x1.5d978fe352f1bp-13, 0x1.52517b30a5143p-13, 0x1.475a128ad118cp-13, 0x1.3caf6b3053aep-13, 0x1.324fa56a9ef32p-13, 0x1.2838ec53ddc02p-13, 0x1.1e69759d1f6a4p-13, 0x1.14df815620104p-13, 0x1.0b9959b62e6d8p-13, 0x1.029552e4cfecap-13, 0x1.f3a3958a7569fp-14, 0x1.e29a518296a11p-14, 0x1.d20bbb2dc137ap-14, 0x1.c1f4c6495bcd7p-14, 0x1.b25278729b169p-14, 0x1.a321e8c47ff14p-14, 0x1.94603f79ccc6ep-14, 0x1.860ab58efe2a6p-14, 0x1.781e9466ed218p-14, 0x1.6a99357062d25p-14, 0x1.5d7801cf42064p-14, 0x1.50b87204aba5ap-14, 0x1.44580d9b8e814p-14, 0x1.38546ad535d94p-14, 0x1.2cab2e57c8015p-14, 0x1.215a0ade8e969p-14, 0x1.165ec0ebc3a2bp-14, 0x1.0bb71e7be71a9p-14, 0x1.0160feba3f382p-14, 0x1.eeb4936fd2305p-15, 0x1.db41e844a5d93p-15, 0x1.c865fdfca2cf5p-15, 0x1.b61ceec1e6dc5p-15, 0x1.a462ec5a5fc3ep-15, 0x1.93343f9f4f9dap-15, 0x1.828d47fde8a5dp-15, 0x1.726a7af576df7p-15, 0x1.62c8639a0f511p-15, 0x1.53a3a21ab1f6fp-15, 0x1.44f8eb4915ecap-15, 0x1.36c5082379e2bp-15, 0x1.2904d5620643fp-15, 0x1.1bb5430482398p-15, 0x1.0ed353e55f9cbp-15, 0x1.025c1d4b4567ap-15, 0x1.ec998d0277a4ep-16, 0x1.d54510d95ca2dp-16, 0x1.beb55a520b707p-16, 0x1.a8e51f47c3382p-16, 0x1.93cf3676aee47p-16, 0x1.7f6e96bc78ea2p-16, 0x1.6bbe565ea94d3p-16, 0x1.58b9aa5131c26p-16, 0x1.465be58621da9p-16, 0x1.34a0783b41a06p-16, 0x1.2382ef5132a44p-16, 0x1.12fef3a145917p-16, 0x1.0310495a8698cp-16, 0x1.e7659ec259cfep-17, 0x1.c9c4fd5d92298p-17, 0x1.ad36d3757f94bp-17, 0x1.91b377c261e13p-17, 0x1.773371a18ccc5p-17, 0x1.5daf77f67e41dp-17, 0x1.452070097e409p-17, 0x1.2d7f6c7bc771p-17, 0x1.16c5ac34bded8p-17, 0x1.00ec995a0bf7bp-17, 0x1.d7db90990131bp-18, 0x1.af85ed57f97b8p-18, 0x1.88cc14bf7f0c2p-18, 0x1.63a2214417d49p-18, 0x1.3ffc7a2fdb853p-18, 0x1.1dcfd1ca4af9ap-18, 0x1.fa2247360754fp-19, 0x1.bb6b65592dba3p-19, 0x1.7f660fb4e5fcap-19, 0x1.45fde04f40dadp-19, 0x1.0f1ef650936a4p-19, 0x1.b56be5866664bp-20, 0x1.515feb2b0bddp-20, 0x1.e3ea69f5c7a09p-21, 0x1.2e0fd8557de97p-21, 0x1.01d497ae3cf3p-22, -0x1.1e52245f22f7ep-24, -0x1.80a0408d6d841p-22, -0x1.54e7d7df7f0bbp-21, -0x1.e1d04fa5eef71p-21, -0x1.33a364f397504p-20, -0x1.72c3788c65847p-20, -0x1.ae6570c415829p-20, -0x1.e6a599844d145p-20, -0x1.0dcfc09c04b83p-19, -0x1.26b6fea101cd3p-19, -0x1.3e159752d938dp-19, -0x1.53f8431d2f2d2p-19, -0x1.686b6489b70f3p-19, -0x1.7b7b0a576af6bp-19, -0x1.8d32f1745d7b4p-19, -0x1.9d9e8713f952ep-19, -0x1.acc8ea8deafe7p-19, -0x1.babcef53b3f5fp-19, -0x1.c7851ec0d9202p-19, -0x1.d32bb9f3df3fep-19, -0x1.ddbabb94c573bp-19, -0x1.e73bd98908ba7p-19, -0x1.efb886a9ec8acp-19, -0x1.f739f46eac66p-19, -0x1.fdc914860a86ap-19, -0x1.01b74d32bccecp-18, -0x1.04197e6f0a563p-18, -0x1.060f3bc5e2e6p-18, -0x1.079c862fd299fp-18, -0x1.08c54280dfe95p-18, -0x1.098d3a1ebdab1p-18, -0x1.09f81bacdb073p-18, -0x1.0a097bbc56607p-18, -0x1.09c4d56a63991p-18, -0x1.092d8b0a91708p-18, -0x1.0846e6c166767p-18, -0x1.07141b1ed962bp-18, -0x1.059843b889b9bp-18, -0x1.03d665ba895cap-18, -0x1.01d170794aa6cp-18, -0x1.ff187bf909a1ep-19, -0x1.fa1327127e01fp-19, -0x1.f4984453a193fp-19, -0x1.eead0e5c83d3p-19, -0x1.e85699570c153p-19, -0x1.e199d3eef72aep-19, -0x1.da7b884e95e6fp-19, -0x1.d3005cfe23a66p-19, -0x1.cb2cd5d38d957p-19, -0x1.c30554d534dc7p-19, -0x1.ba8e1b0ee317fp-19, -0x1.b1cb4971d4bb6p-19, -0x1.a8c0e19eba359p-19, -0x1.9f72c6b528148p-19, -0x1.95e4be1ea9fb4p-19, -0x1.8c1a704c7f374p-19, -0x1.821769782e401p-19, -0x1.77df1a5a3621bp-19, -0x1.6d74d8e36b012p-19, -0x1.62dbe0e8b029bp-19, -0x1.581754d1a6fdfp-19, -0x1.4d2a3e3fc7d0ap-19, -0x1.42178eb47c853p-19, -0x1.36e2202e04e39p-19, -0x1.2b8cb5c4226d2p-19, -0x1.2019fc3ebbdbcp-19, -0x1.148c8aab04bd2p-19, -0x1.08e6e2edc6116p-19, -0x1.fa56e49ec0a28p-20, -0x1.e2b92407ff9fbp-20, -0x1.caf90f61721afp-20, -0x1.b31b0be5971fdp-20, -0x1.9b2359b9df3d8p-20, -0x1.831614e21db23p-20, -0x1.6af7363f1debap-20, -0x1.52ca946ad8c6cp-20, -0x1.3a93e4b34510bp-20, -0x1.2256bbe81c83p-20, -0x1.0a168f444acc3p-20, -0x1.e3ad6a749782cp-21, -0x1.b334cc94c8c6p-21, -0x1.82c97b9dfc1dfp-21, -0x1.52717579a77a4p-21, -0x1.223280d7f7715p-21, -0x1.e4245d3e9bc06p-22, -0x1.842bb6ce1bd3cp-22, -0x1.248561990f53cp-22, -0x1.8a769b65b0e49p-23, -0x1.995c2b0588a3p-24, -0x1.f872a0e9fa8d3p-28, 0x1.586e727373a3cp-24, 0x1.67315a49a470cp-23, 0x1.108d400d1e2cdp-22, 0x1.6cf18266f472dp-22, 0x1.c8bdf315ece8cp-22, 0x1.11f5b058ec01ap-21, 0x1.3f3973935baa3p-21, 0x1.6c26f6dd4bbbap-21, 0x1.98bb12761505p-21, 0x1.c4f2c23a43e96p-21, 0x1.f0cb24a9176bfp-21, 0x1.0e20bcf621bb1p-20, 0x1.23a99176ec56ap-20, 0x1.38fed03529f49p-20, 0x1.4e1f4905f7b2p-20, 0x1.6309dacad97dbp-20, 0x1.77bd7302d5b57p-20, 0x1.8c390d5d5b9fep-20, 0x1.a07bb359c1786p-20, 0x1.b4847be31926ep-20, 0x1.c8528ae8bc7dcp-20, 0x1.dbe511066c445p-20, 0x1.ef3b4b22b7412p-20, 0x1.012a410ce2798p-19, 0x1.0a98052d8d996p-19, 0x1.13e6a1d0a48fep-19, 0x1.1d15cc499241p-19, 0x1.26253f3c93357p-19, 0x1.2f14ba756f144p-19, 0x1.37e402c0f6014p-19, 0x1.4092e1c6be8b4p-19, 0x1.492125e46de76p-19, 0x1.518ea20a290cep-19, 0x1.59db2d9848a1fp-19, 0x1.6206a43ce770dp-19, 0x1.6a10e5d16b18dp-19, 0x1.71f9d63c07eep-19, 0x1.79c15d4dbf439p-19, 0x1.816766a5fe492p-19, 0x1.88ebe1939260dp-19, 0x1.904ec0f6f191ap-19, 0x1.978ffb267e434p-19, 0x1.9eaf89d2bc902p-19, 0x1.a5ad69eac794bp-19, 0x1.ac899b81021e3p-19, 0x1.b34421b2c0db4p-19, 0x1.b9dd029014409p-19, 0x1.c05447010f194p-19, 0x1.c6a9faaee6d6bp-19, 0x1.ccde2bed35e32p-19, 0x1.d2f0eba2c6a09p-19, 0x1.d8e24d3467868p-19, 0x1.deb2666e7ebc4p-19, 0x1.e4614f70b00cp-19, 0x1.e9ef22976743cp-19, 0x1.ef5bfc6aaa63fp-19, 0x1.f4a7fb88f81d7p-19, 0x1.f9d340954c33cp-19, 0x1.feddee24e7ecp-19, 0x1.01e414565e427p-18, 0x1.04490b377f984p-18, 0x1.069defb67dd72p-18, 0x1.08e2d6a9d9591p-18, 0x1.0b17d5b63f374p-18, 0x1.0d3d034694139p-18, 0x1.0f5276847e91ep-18, 0x1.115847517f56dp-18, 0x1.134e8e3e63581p-18, 0x1.15356484a75f5p-18, 0x1.170ce3ff81e94p-18, 0x1.18d52725530d4p-18, 0x1.1a8e490108009p-18, 0x1.1c38652ba5382p-18, 0x1.1dd397c61d80ap-18, 0x1.1f5ffd7311292p-18, 0x1.20ddb3510ee29p-18, 0x1.224cd6f4cfb89p-18, 0x1.23ad866373e7ep-18, 0x1.24ffe00d29c61p-18, 0x1.264402c7a8d9ap-18, 0x1.277a0dc96c0b7p-18, 0x1.28a220a426b0fp-18, 0x1.29bc5b3fe6d14p-18, 0x1.2ac8ddd65f303p-18, 0x1.2bc7c8ee86171p-18, 0x1.2cb93d5797077p-18, 0x1.2d9d5c24fa261p-18, 0x1.2e7446aa4ecfdp-18, 0x1.2f3e1e76609ep-18, 0x1.2ffb054f5729cp-18, 0x1.30ab1d2ed235ep-18, 0x1.314e883e81362p-18, 0x1.31e568d3d3ac5p-18, 0x1.326fe16cc773p-18, 0x1.32ee14ab93577p-18, 0x1.33602553ad983p-18, 0x1.33c6364670f81p-18, 0x1.34206a7fb9beep-18, 0x1.346ee512d5bcfp-18, 0x1.34b1c92754061p-18, 0x1.34e939f632edap-18, 0x1.35155ac6b6628p-18, 0x1.35364eeb57159p-18, 0x1.354c39bfab849p-18, 0x1.35573ea5184b3p-18, 0x1.35578100d2417p-18, 0x1.354d24389771ep-18, 0x1.35384bb0aa979p-18, 0x1.35191ac937496p-18, 0x1.34efb4dc2c9c1p-18, 0x1.34bc3d3adeb2cp-18, 0x1.347ed72bbbe82p-18, 0x1.3437a5e8786f2p-18, 0x1.33e6cc9bc94p-18, 0x1.338c6e5f6e498p-18, 0x1.3328ae3a6622dp-18, 0x1.32bbaf1ea6f4ap-18, 0x1.324593e7832b3p-18, 0x1.31c67f5852c17p-18, 0x1.313e941a31edcp-18, 0x1.30adf4ba0d0dbp-18, 0x1.3014c3a7baed8p-18, 0x1.2f7323345ee23p-18, 0x1.2ec93590a1621p-18, 0x1.2e171ccad674dp-18, 0x1.2d5cfacdfd76cp-18, 0x1.2c9af16094791p-18, 0x1.2bd1222355ba3p-18, 0x1.2affae8f65dep-18, 0x1.2a26b7f56ff08p-18, 0x1.29465f7cc36c8p-18, 0x1.285ec6215f93fp-18, 0x1.27700cb343e78p-18, 0x1.267a53d5d35a9p-18, 0x1.257dbbfe6645ap-18, 0x1.247a6572c8bf5p-18, 0x1.23707048f1fa4p-18, 0x1.225ffc666aee3p-18, 0x1.2149297e7fbc3p-18, 0x1.202c17118b895p-18, 0x1.1f08e46ce1b9ep-18, 0x1.1ddfb0a96d6fcp-18, 0x1.1cb09aab08a33p-18, 0x1.1b7bc1200dbebp-18, 0x1.1a4142804b46dp-18, 0x1.19013d0c6a842p-18, 0x1.17bbcecd8852ep-18, 0x1.1671159441957p-18, 0x1.15212ef88968fp-18, 0x1.13cc385923b2p-18, 0x1.12724eda75e4ep-18, 0x1.11138f66b1f78p-18, 0x1.0fb016ad386eap-18, 0x1.0e480121e55fbp-18, 0x1.0cdb6afccf4d1p-18, 0x1.0b6a703a538b3p-18, 0x1.09f52c9a12445p-18, 0x1.087bbb9ea94bdp-18, 0x1.06fe388dce58fp-18, 0x1.057cbe6fb3f52p-18, 0x1.03f7680ec80e9p-18, 0x1.026e4ff7564b6p-18, 0x1.00e19077d99b4p-18, 0x1.fea2873ff077ap-19, 0x1.fb7b068164d3ap-19, 0x1.f84cd1d838ae5p-19, 0x1.f5181beb97639p-19, 0x1.f1dd16e38fad2p-19, 0x1.ee9bf469d8c94p-19, 0x1.eb54e5a91847dp-19, 0x1.e8081b4d64526p-19, 0x1.e4b5c583ca09dp-19, 0x1.e15e13fa0fd85p-19, 0x1.de0135de39807p-19, 0x1.da9f59df66a12p-19, 0x1.d738ae2d31e06p-19, 0x1.d3cd6077cdbddp-19, 0x1.d05d9defe572p-19, 0x1.cce99346da9c8p-19, 0x1.c9716caf286bp-19, 0x1.c5f555dbb4eep-19, 0x1.c2757a00af09p-19, 0x1.bef203d3400c7p-19, 0x1.bb6b1d89c2794p-19, 0x1.b7e0f0dc53d8ep-19, 0x1.b453a7052571ep-19, 0x1.b0c368bffa93ap-19, 0x1.ad305e4b1bda8p-19, 0x1.a99aaf670f214p-19, 0x1.a6028357911c9p-19, 0x1.a26800e37b69fp-19, 0x1.9ecb4e5546444p-19, 0x1.9b2c917b1d44p-19, 0x1.978befa7d3cb1p-19, 0x1.93e98db2f1b2dp-19, 0x1.90458ff8cdd13p-19, 0x1.8ca01a5b866c7p-19, 0x1.88f95043ab49dp-19, 0x1.8551549fc2e43p-19, 0x1.81a849e58ef82p-19, 0x1.7dfe52125c116p-19, 0x1.7a538eab976bap-19, }}, 
      {{0x1.be4fcc10de834p-8, 0x1.be5116f33e6fep-7, 0x1.4ebd84711cbc3p-6, 0x1.be5177e71d153p-6, 0x1.16f135187678ap-5, 0x1.4eb764523ed14p-5, 0x1.867b40e3ce25fp-5, 0x1.be3dfa0ce898ep-5, 0x1.f6024722df9cbp-5, 0x1.16e645143326fp-4, 0x1.32d16381c1f1ep-4, 0x1.4ec63b0d432f8p-4, 0x1.6ac91d9012424p-4, 0x1.86dec48fa2ffdp-4, 0x1.a30c1e112c2f5p-4, 0x1.bf5617cf9169ap-4, 0x1.dbc16bb765871p-4, 0x1.f8526fdce6a32p-4, 0x1.0a8675bf0bcd3p-3, 0x1.18f9f90abff47p-3, 0x1.2784e2859f999p-3, 0x1.3627de1909f52p-3, 0x1.44e31a79391bfp-3, 0x1.53b643e6da8ecp-3, 0x1.62a081ddb37f4p-3, 0x1.71a0776464105p-3, 0x1.80b445aa07c0bp-3, 0x1.8fd9909beb8f4p-3, 0x1.9f0d851e6c894p-3, 0x1.ae4ce097b5dap-3, 0x1.bd93f98094cf2p-3, 0x1.ccdec8b64ac24p-3, 0x1.dc28f34f7dc86p-3, 0x1.eb6dd4be3237cp-3, 0x1.faa8890fe5799p-3, 0x1.04e9fb9222009p-2, 0x1.0c756d5cabbafp-2, 0x1.13f3e71916fbcp-2, 0x1.1b62aa0128b7cp-2, 0x1.22beefd688a1cp-2, 0x1.2a05ef25e4f9dp-2, 0x1.3134df48e517cp-2, 0x1.3848fc23c092bp-2, 0x1.3f3f899c8aebcp-2, 0x1.4615d6cb58b6dp-2, 0x1.4cc940e33abb3p-2, 0x1.535735d4d173p-2, 0x1.59bd36abc95a6p-2, 0x1.5ff8d9a916373p-2, 0x1.6607cc1c227dfp-2, 0x1.6be7d3fd8375cp-2, 0x1.7196d14df7118p-2, 0x1.7712bf3cb5832p-2, 0x1.7c59b5183303dp-2, 0x1.8169e70c94223p-2, 0x1.8641a6b326b97p-2, 0x1.8adf6376376e4p-2, 0x1.8f41aacc98796p-2, 0x1.936728502a92bp-2, 0x1.974ea5b2a8f9cp-2, 0x1.9af70a93e2bbp-2, 0x1.9e5f5c3c78d76p-2, 0x1.a186bd400d6a6p-2, 0x1.a46c6d09c0f51p-2, 0x1.a70fc755a31c2p-2, 0x1.a9704399a463cp-2, 0x1.ab8d74606140fp-2, 0x1.ad670697fdd73p-2, 0x1.aefcc0d71f13dp-2, 0x1.b04e8299d3c88p-2, 0x1.b15c43782fb06p-2, 0x1.b22612581cb8dp-2, 0x1.b2ac149bc2d6bp-2, 0x1.b2ee854dca8a9p-2, 0x1.b2edb44c88ff8p-2, 0x1.b2aa05751388ap-2, 0x1.b223efcf0771p-2, 0x1.b15bfcb9c3ab5p-2, 0x1.b052c71baacb9p-2, 0x1.af08fa93f1acap-2, 0x1.ad7f52af6762ap-2, 0x1.abb69a20899a5p-2, 0x1.a9afa9fb2ed7fp-2, 0x1.a76b68f3f6f5fp-2, 0x1.a4eacaa3ac8d6p-2, 0x1.a22ececeb2fcfp-2, 0x1.9f3880b08d5ecp-2, 0x1.9c08f64b8abe8p-2, 0x1.98a14fbc9cd56p-2, 0x1.9502b6934cfd4p-2, 0x1.912e5d2dcd96cp-2, 0x1.8d257e191dc64p-2, 0x1.88e95b752918ep-2, 0x1.847b3e5ce06dep-2, 0x1.7fdc76522fff7p-2, 0x1.7b0e58adcbf0fp-2, 0x1.76124012bac2bp-2, 0x1.70e98be593fd8p-2, 0x1.6b959fc7617e7p-2, 0x1.6617e31416a25p-2, 0x1.6071c0648c296p-2, 0x1.5aa4a513faaaap-2, 0x1.54b200c8e7473p-2, 0x1.4e9b450174fadp-2, 0x1.4861e4a31693cp-2, 0x1.4207538d98172p-2, 0x1.3b8d06317b2a1p-2, 0x1.34f471299bf2cp-2, 0x1.2e3f08d81bcd3p-2, 0x1.276e41069163ap-2, 0x1.20838c8970173p-2, 0x1.19805ce6ae32dp-2, 0x1.126621ff99a37p-2, 0x1.0b3649bde4p-2, 0x1.03f23fc3d67dcp-2, 0x1.f936da3f60063p-3, 0x1.ea6670044c9f5p-3, 0x1.db7606f00e4bbp-3, 0x1.cc685e4dddce6p-3, 0x1.bd402e1a24e1bp-3, 0x1.ae0026882fa49p-3, 0x1.9eaaef8dda4fbp-3, 0x1.8f4328753b319p-3, 0x1.7fcb6774383c5p-3, 0x1.70463949e251ap-3, 0x1.60b620e1964cep-3, 0x1.511d96fbc17dep-3, 0x1.417f09dc38dd5p-3, 0x1.31dcdcfe0350fp-3, 0x1.223968cc80202p-3, 0x1.1296fa61d55ebp-3, 0x1.02f7d34a7cf4ep-3, 0x1.e6bc529bb817p-4, 0x1.c7984c7786db1p-4, 0x1.a887cf7d7974cp-4, 0x1.898efe65fbc35p-4, 0x1.6ab1e303de0f2p-4, 0x1.4bf46e04212f8p-4, 0x1.2d5a76b65e49bp-4, 0x1.0ee7badd7b858p-4, 0x1.e13fbd10cf668p-5, 0x1.a50cd7e53a0f9p-5, 0x1.693da6d83dda9p-5, 0x1.2dd8d6917c487p-5, 0x1.e5c9bf593b051p-6, 0x1.70d00d66708f4p-6, 0x1.f9a1708e22b68p-7, 0x1.13aef20e60f01p-7, 0x1.7efa1008388c2p-10, -0x1.636f97437446ap-8, -0x1.910130c7f58dep-7, -0x1.36f45a23c7052p-6, -0x1.a42d745c1b48ap-6, -0x1.08114ac9e302bp-5, -0x1.3d65686a5d654p-5, -0x1.720ece7195396p-5, -0x1.a60969b2419eep-5, -0x1.d95157fb8bc27p-5, -0x1.05f173cecea8dp-4, -0x1.1edd4b73b12e6p-4, -0x1.376a89cee9318p-4, -0x1.4f979d369809dp-4, -0x1.67630b2a4baecp-4, -0x1.7ecb70061801bp-4, -0x1.95cf7eb3309d9p-4, -0x1.ac6e005631cbep-4, -0x1.c2a5d3fb3f7ebp-4, -0x1.d875ee401d52ep-4, -0x1.eddd58fc76aa3p-4, -0x1.016d99742feb5p-3, -0x1.0bb757a0a5fcap-3, -0x1.15cb8ab6cd1efp-3, -0x1.1fa9e04f6524p-3, -0x1.29520fb9464bep-3, -0x1.32c3d9c95cbabp-3, -0x1.3bff08aa2c4ep-3, -0x1.45036faaee691p-3, -0x1.4dd0eb0e4d3d4p-3, -0x1.56675fd8d44dfp-3, -0x1.5ec6bb9f1d398p-3, -0x1.66eef453c5183p-3, -0x1.6ee0081539648p-3, -0x1.7699fcfb60d36p-3, -0x1.7e1ce0e536196p-3, -0x1.8568c9465902dp-3, -0x1.8c7dd2f49882cp-3, -0x1.935c21f590fcap-3, -0x1.9a03e14c551ccp-3, -0x1.a07542c735795p-3, -0x1.a6b07ecdb0aa6p-3, -0x1.acb5d42e8bd79p-3, -0x1.b28587ee2391ap-3, -0x1.b81fe514f5d8bp-3, -0x1.bd853c7e7280cp-3, -0x1.c2b5e4a8165a9p-3, -0x1.c7b23980d5869p-3, -0x1.cc7a9c38ddbe3p-3, -0x1.d10f7311ba3fbp-3, -0x1.d571292eda3e9p-3, -0x1.d9a02e667d5c4p-3, -0x1.dd9cf713143d7p-3, -0x1.e167fbe50f12p-3, -0x1.e501b9b529052p-3, -0x1.e86ab15733383p-3, -0x1.eba3676d5f48cp-3, -0x1.eeac643c0dc7fp-3, -0x1.f186337e2dd4p-3, -0x1.f431643a20a2fp-3, -0x1.f6ae88973b62p-3, -0x1.f8fe35b3d4f05p-3, -0x1.fb21037bed883p-3, -0x1.fd178c8079229p-3, -0x1.fee26dcf3cbfdp-3, -0x1.00412365aced1p-2, -0x1.00fbdc833901dp-2, -0x1.01a1b40d3be6ap-2, -0x1.0232fcc211343p-2, -0x1.02b00a3f097adp-2, -0x1.031930ee4dd71p-2, -0x1.036ec5f521339p-2, -0x1.03b11f2271968p-2, -0x1.03e092ddc86e4p-2, -0x1.03fd78168edefp-2, -0x1.04082633ac391p-2, -0x1.0400f50382fe6p-2, -0x1.03e83cac4096ap-2, -0x1.03be559c8f16dp-2, -0x1.0383987c9beb1p-2, -0x1.03385e1f7c9ebp-2, -0x1.02dcff74ef8f2p-2, -0x1.0271d57b73b3fp-2, -0x1.01f73932c047dp-2, -0x1.016d838e92a47p-2, -0x1.00d50d69db8f2p-2, -0x1.002e2f7a44eb7p-2, -0x1.fef28488216cp-3, -0x1.fd6d3c1cab59ep-3, -0x1.fbcd35af23761p-3, -0x1.fa1320952edabp-3, -0x1.f83fab67aa425p-3, -0x1.f65383ede227p-3, -0x1.f44f5709863dap-3, -0x1.f233d0a33a639p-3, -0x1.f0019b97e74dfp-3, -0x1.edb961a6a4467p-3, -0x1.eb5bcb5f5b61fp-3, -0x1.e8e980120502p-3, -0x1.e66325be996b3p-3, -0x1.e3c961059d2a5p-3, -0x1.e11cd51953b96p-3, -0x1.de5e23af9159ap-3, -0x1.db8decf430894p-3, -0x1.d8accf7c1ec42p-3, -0x1.d5bb68390a3c5p-3, -0x1.d2ba526d9fd42p-3, -0x1.cfaa27a26af18p-3, -0x1.cc8b7f9b3e894p-3, -0x1.c95ef04d3818bp-3, -0x1.c6250dd54cb8ep-3, -0x1.c2de6a6f6bba3p-3, -0x1.bf8b966e20cb2p-3, -0x1.bc2d2032c6607p-3, -0x1.b8c394264155ap-3, -0x1.b54f7cb2342dap-3, -0x1.b1d1623abf108p-3, -0x1.ae49cb18b7699p-3, -0x1.aab93b945d4e2p-3, -0x1.a72035e08b284p-3, -0x1.a37f3a16597dap-3, -0x1.9fd6c63139755p-3, -0x1.9c27560b7ff49p-3, -0x1.9871635b5dce6p-3, -0x1.94b565b04504cp-3, -0x1.90f3d270b8793p-3, -0x1.8d2d1cd883687p-3, -0x1.8961b5f74e22dp-3, -0x1.85920caf9e151p-3, -0x1.81be8db62dc71p-3, -0x1.7de7a3919f73cp-3, -0x1.7a0db69a93e7dp-3, -0x1.76312cfc0c24fp-3, -0x1.72526ab422fa9p-3, -0x1.6e71d1951e94dp-3, -0x1.6a8fc146c86a1p-3, -0x1.66ac97481614cp-3, -0x1.62c8aef11eb3ep-3, -0x1.5ee461754ebfap-3, -0x1.5b0005e5ecca1p-3, -0x1.571bf134d84e1p-3, -0x1.533876378a767p-3, -0x1.4f55e5aa59bf4p-3, -0x1.4b748e33edf76p-3, -0x1.4794bc68faa0ep-3, -0x1.43b6bad0254c7p-3, -0x1.3fdad1e626024p-3, -0x1.3c014822164ap-3, -0x1.382a61f9f417ep-3, -0x1.345661e74e11ap-3, -0x1.3085886c1f52dp-3, -0x1.2cb81417ce60cp-3, -0x1.28ee418c5c7efp-3, -0x1.25284b83b3ccfp-3, -0x1.21666ad5150ecp-3, -0x1.1da8d67ab413dp-3, -0x1.19efc3976230ep-3, -0x1.163b657c65959p-3, -0x1.128bedaf61594p-3, -0x1.0ee18bf059acep-3, -0x1.0b3c6e3fd5143p-3, -0x1.079cc0e50bb1bp-3, -0x1.0402ae7432b84p-3, -0x1.006e5fd4d34c7p-3, -0x1.f9bff890697e4p-4, -0x1.f2af52dfbb4f5p-4, -0x1.ebab16a829fa8p-4, -0x1.e4b388d4f5e15p-4, -0x1.ddc8eb394e198p-4, -0x1.d6eb7c9da54f9p-4, -0x1.d01b78cd12f99p-4, -0x1.c95918a2c29cbp-4, -0x1.c2a492176a1c9p-4, -0x1.bbfe184ed1a21p-4, -0x1.b565dba55b81ep-4, -0x1.aedc09bd8a612p-4, -0x1.a860cd8d8ade6p-4, -0x1.a1f44f6cc98b4p-4, -0x1.9b96b5216cc08p-4, -0x1.954821eddc2a8p-4, -0x1.8f08b69e37729p-4, -0x1.88d89195c5b1bp-4, -0x1.82b7cedc59ce1p-4, -0x1.7ca6882ba6224p-4, -0x1.76a4d4fc84b4cp-4, -0x1.70b2ca942c15cp-4, -0x1.6ad07c1151c47p-4, -0x1.64fdfa79382b6p-4, -0x1.5f3b54c4a970cp-4, -0x1.598897ecd5f36p-4, -0x1.53e5cef821031p-4, -0x1.4e530306cdc1ap-4, -0x1.48d03b5f9227ap-4, -0x1.435d7d7c1195p-4, -0x1.3dfacd153702ep-4, -0x1.38a82c2f6dc93p-4, -0x1.33659b26c1ef6p-4, -0x1.2e3318bad942fp-4, -0x1.2910a21acfedap-4, -0x1.23fe32f0ef931p-4, -0x1.1efbc56e436c5p-4, -0x1.1a0952560e212p-4, -0x1.1526d109104eap-4, -0x1.10543790b7d52p-4, -0x1.0b917aaa1bc7ap-4, -0x1.06de8dd0daccep-4, -0x1.023b6349d137dp-4, -0x1.fb4fd85b49733p-5, -0x1.f24830e658bbdp-5, -0x1.e95fadf35972p-5, -0x1.e0962b25dd948p-5, -0x1.d7eb821a5897dp-5, -0x1.cf5f8a79a557p-5, -0x1.c6f21a0c416cap-5, -0x1.bea304cd23ec3p-5, -0x1.b6721cfc57f02p-5, -0x1.ae5f33313179ap-5, -0x1.a66a166c386d7p-5, -0x1.9e929428bbf41p-5, -0x1.96d8786e110f7p-5, -0x1.8f3b8de07e812p-5, -0x1.87bb9dd1dcb13p-5, -0x1.80587051d25cap-5, -0x1.7911cc3dc9d78p-5, -0x1.71e777508dfe7p-5, -0x1.6ad93631990ccp-5, -0x1.63e6cc84068f4p-5, -0x1.5d0ffcf542232p-5, -0x1.5654894b53572p-5, -0x1.4fb43272e1c57p-5, -0x1.492eb88cefff5p-5, -0x1.42c3dafc2f068p-5, -0x1.3c73587217b9fp-5, -0x1.363ceefbaa895p-5, -0x1.30205c0de0b2ep-5, -0x1.2a1d5c91d39e1p-5, -0x1.2433acf093497p-5, -0x1.1e63091eb0b99p-5, -0x1.18ab2ca7777a7p-5, -0x1.130bd2b7ec6p-5, -0x1.0d84b62969c18p-5, -0x1.0815918c0694ap-5, -0x1.02be1f30ab336p-5, -0x1.fafc3265b7162p-6, -0x1.f0aa7304898d7p-6, -0x1.e68673d7f3656p-6, -0x1.dc8fa846e1b3dp-6, -0x1.d2c583966a75fp-6, -0x1.c92778facb769p-6, -0x1.bfb4fba7b5c3cp-6, -0x1.b66d7ee03da99p-6, -0x1.ad5076062ba48p-6, -0x1.a45d54a8e5e25p-6, -0x1.9b938e93c32c9p-6, -0x1.92f297dbfe1f5p-6, -0x1.8a79e4ee1dbf7p-6, -0x1.8228ea9ae5083p-6, -0x1.79ff1e23dc7p-6, -0x1.71fbf54746f2bp-6, -0x1.6a1ee64bdbffep-6, -0x1.6267680be2609p-6, -0x1.5ad4f1ffe2435p-6, -0x1.5366fc490f822p-6, -0x1.4c1cffbb1eb8fp-6, -0x1.44f675e5d1e27p-6, -0x1.3df2d91e0ebbap-6, -0x1.3711a4869de61p-6, -0x1.305254187dac2p-6, -0x1.29b464aad6796p-6, -0x1.233753faa407fp-6, -0x1.1cdaa0b1e41ccp-6, -0x1.169dca6e81b63p-6, -0x1.108051c8f0b5cp-6, -0x1.0a81b85a556eep-6, -0x1.04a180c273355p-6, -0x1.fdbe5d5a7ee31p-7, -0x1.f2748db05439fp-7, -0x1.e7649e2e0fe7dp-7, -0x1.dc8d9cb19b01fp-7, -0x1.d1ee9957c8409p-7, -0x1.c786a6847df23p-7, -0x1.bd54d8ea7d6b4p-7, -0x1.b35847925e63cp-7, -0x1.a9900be120c78p-7, -0x1.9ffb419e54f88p-7, -0x1.969906f99f67dp-7, -0x1.8d687c8fd6d9ep-7, -0x1.8468c56f9a263p-7, -0x1.7b99071d86447p-7, -0x1.72f86997f788ep-7, -0x1.6a86175a38831p-7, -0x1.62413d5f86a41p-7, -0x1.5a290b2569c91p-7, -0x1.523cb2ade45dfp-7, -0x1.4a7b68811c648p-7, -0x1.42e463aeac60ep-7, -0x1.3b76ddce9efd9p-7, -0x1.3432130209b6dp-7, -0x1.2d1541f364408p-7, -0x1.261fabd67d1fep-7, -0x1.1f5094681ad02p-7, -0x1.18a741ed51778p-7, -0x1.1222fd32b3bcep-7, -0x1.0bc3118ae4952p-7, -0x1.0586cccd4751dp-7, -0x1.fedafea86c78ap-8, -0x1.f2ecf7f5d597p-8, -0x1.e7423036b9b18p-8, -0x1.dbd9571761121p-8, -0x1.d0b121371f9c9p-8, -0x1.c5c848228defbp-8, -0x1.bb1d8a4d195c3p-8, -0x1.b0afab0a922b2p-8, -0x1.a67d72881cd42p-8, -0x1.9c85adc4b95e3p-8, -0x1.92c72e89a1efdp-8, -0x1.8940cb624f4cfp-8, -0x1.7ff15f93ec173p-8, -0x1.76d7cb14d22ffp-8, -0x1.6df2f283a0cd7p-8, -0x1.6541bf1de3f16p-8, -0x1.5cc31eb6b4d5ap-8, -0x1.547603ad08b91p-8, -0x1.4c5964e1a628dp-8, -0x1.446c3dad2bbe9p-8, -0x1.3cad8dd594d31p-8, -0x1.351c59838dc74p-8, -0x1.2db7a938389c7p-8, -0x1.267e89c1a9e91p-8, -0x1.1f700c305947bp-8, -0x1.188b45cbbf82dp-8, -0x1.11cf5006f4306p-8, -0x1.0b3b48756da48p-8, -0x1.04ce50bf52d5cp-8, -0x1.fd0f1d2bd62eep-9, -0x1.f0cc574f8caa2p-9, -0x1.e4d2ab29dc102p-9, -0x1.d9207bc6379c3p-9, -0x1.cdb433e35733ep-9, -0x1.c28c45dae6dcdp-9, -0x1.b7a72b8a00dccp-9, -0x1.ad0366385bb5ap-9, -0x1.a29f7e8081476p-9, -0x1.987a0436e376cp-9, -0x1.8e918e5221625p-9, -0x1.84e4bad1fb629p-9, -0x1.7b722ea77677cp-9, -0x1.7238959c239b5p-9, -0x1.6936a239e0195p-9, -0x1.606b0db24e6bep-9, -0x1.57d497c6b19a8p-9, -0x1.4f7206afa0111p-9, -0x1.47422704a5936p-9, -0x1.3f43cba4610a5p-9, -0x1.3775cd9c40ec9p-9, -0x1.2fd70c10d3b64p-9, -0x1.28666c255f2a1p-9, -0x1.2122d8e4be15ap-9, -0x1.1a0b43298e71bp-9, -0x1.131ea1865b01bp-9, -0x1.0c5bf02eac522p-9, -0x1.05c230df93bc3p-9, -0x1.fea0d5916d862p-10, -0x1.f20b54ea71558p-10, -0x1.e5c2036a47b17p-10, -0x1.d9c30f0d2a901p-10, -0x1.ce0cafff642ddp-10, -0x1.c29d286fdc00ap-10, -0x1.b772c464aab57p-10, -0x1.ac8bd98f6f20cp-10, -0x1.a1e6c720f02aap-10, -0x1.9781f59fa5d2bp-10, -0x1.8d5bd6bbea197p-10, -0x1.8372e52665de6p-10, -0x1.79c5a4665896ap-10, -0x1.7052a0afe3648p-10, -0x1.67186ebba172cp-10, -0x1.5e15ab9e0ec64p-10, -0x1.5548fc9f48015p-10, -0x1.4cb10f13edc33p-10, -0x1.444c9835af14fp-10, -0x1.3c1a54fca9c28p-10, -0x1.341909f948cd1p-10, -0x1.2c47832ec4ff2p-10, -0x1.24a493ed8ddb3p-10, -0x1.1d2f16ae80953p-10, -0x1.15e5eceec48d6p-10, -0x1.0ec7ff0bad6c6p-10, -0x1.07d43c1fd1beap-10, -0x1.010999df16625p-10, -0x1.f4ce28eb8703cp-11, -0x1.e7d75cca2a672p-11, -0x1.db2ce0c528762p-11, -0x1.ceccd26de0428p-11, -0x1.c2b55b3a5edaap-11, -0x1.b6e4b0459f983p-11, -0x1.ab5912104640dp-11, -0x1.a010cc4244b0dp-11, -0x1.950a356d9bccap-11, -0x1.8a43aed1ec832p-11, -0x1.7fbba420fbc86p-11, -0x1.75708b44e387bp-11, -0x1.6b60e424a1a6bp-11, -0x1.618b386da681fp-11, -0x1.57ee1b5a8de1p-11, -0x1.4e88297d133afp-11, -0x1.455808875a2a5p-11, -0x1.3c5c6717f0b6ep-11, -0x1.3393fc84f397dp-11, -0x1.2afd88a8f0fe4p-11, -0x1.2297d3b0aece8p-11, -0x1.1a61ade9b8953p-11, -0x1.1259ef917a394p-11, -0x1.0a7f78a5d9b5cp-11, -0x1.02d130b620177p-11, -0x1.f69c0d6977199p-12, -0x1.e7e9e195c3173p-12, -0x1.d989d855e591ap-12, -0x1.cb79f9cca5236p-12, -0x1.bdb85b825ca56p-12, -0x1.b04320140a1f1p-12, -0x1.a31876de8eaf2p-12, -0x1.96369bb03797p-12, -0x1.899bd677c990bp-12, -0x1.7d467af83be6ap-12, -0x1.7134e87c227bbp-12, -0x1.6565898b9cbcap-12, -0x1.59d6d3a279436p-12, -0x1.4e8746e9dc653p-12, -0x1.43756df0e6f2cp-12, -0x1.389fdd6916622p-12, -0x1.2e0533e25541dp-12, -0x1.23a41989de0c2p-12, -0x1.197b3fe8b1e4dp-12, -0x1.0f8961a69a9e7p-12, -0x1.05cd424957dcdp-12, -0x1.f88b5bf6575b3p-13, -0x1.e5e2f29b9efb8p-13, -0x1.d39f020320b81p-13, -0x1.c1bd53993d25bp-13, -0x1.b03bc046c6bbap-13, -0x1.9f1830056802ep-13, -0x1.8e5099765509bp-13, -0x1.7de30179ef22fp-13, -0x1.6dcd7acc336cfp-13, -0x1.5e0e25a0a4f02p-13, -0x1.4ea32f42a125ap-13, -0x1.3f8ad1b6e4ef1p-13, -0x1.30c3536039804p-13, -0x1.224b06a4f9754p-13, -0x1.142049973973p-13, -0x1.064185a069ca4p-13, -0x1.f15a5e5a2d747p-14, -0x1.d6c38ab523968p-14, -0x1.bcbba3520cecfp-14, -0x1.a33fcf5960d5ap-14, -0x1.8a4d4985da8ecp-14, -0x1.71e15f8ffed53p-14, -0x1.59f9719e9ac5p-14, -0x1.4292f1baf3f14p-14, -0x1.2bab63480ec62p-14, -0x1.15405a7bf6827p-14, -0x1.fe9ef7c25064ap-15, -0x1.d3acf7aaa350ap-15, -0x1.a9a63c1c59aa4p-15, -0x1.80866a490329cp-15, -0x1.5849443762b69p-15, -0x1.30eaa7e7842adp-15, -0x1.0a668e6ed90e1p-15, -0x1.c972164c8bcf9p-16, -0x1.7fbc95ac5181fp-16, -0x1.37a525d3be869p-16, -0x1.e24902b27097fp-17, -0x1.5867221a0a018p-17, -0x1.a32daa14fe9a7p-18, -0x1.372a759ae2fbfp-19, 0x1.9855784df4ea4p-20, 0x1.61ebd276f961bp-18, 0x1.2c039b7d14995p-17, 0x1.a44004046a198p-17, 0x1.0cdb8baf0d739p-16, 0x1.463a416720d48p-16, 0x1.7e41d75bd2cd2p-16, 0x1.b4f7e05ba6f5dp-16, 0x1.ea61cef8f5e79p-16, 0x1.0f427b49b4fa4p-15, 0x1.28b3462d607dep-15, 0x1.4185d42917767p-15, 0x1.59bca32172bep-15, 0x1.715a2359a45bcp-15, 0x1.8860b7e328b06p-15, 0x1.9ed2b710a0d77p-15, 0x1.b4b26adfe1985p-15, 0x1.ca021166580f1p-15, 0x1.dec3dd33ecf23p-15, 0x1.f2f9f5b7ed951p-15, 0x1.03533bcfcced1p-14, 0x1.0ce5ba993de31p-14, 0x1.16357b55a5d2fp-14, 0x1.1f437d473f9acp-14, 0x1.2810bafde12adp-14, 0x1.309e2a815f65ap-14, 0x1.38ecbd767b2ep-14, 0x1.40fd614590ff9p-14, 0x1.48d0ff3e4893p-14, 0x1.50687cbb079f2p-14, 0x1.57c4bb41d483dp-14, 0x1.5ee698a5b2604p-14, 0x1.65ceef2668ea9p-14, 0x1.6c7e958dc47b5p-14, 0x1.72f65f4dc8645p-14, 0x1.79371c9be1dd6p-14, 0x1.7f419a8c82e2bp-14, 0x1.8516a32d0ee42p-14, 0x1.8ab6fd9cc9459p-14, 0x1.90236e25a1d3p-14, 0x1.955cb65298931p-14, 0x1.9a63950691a5cp-14, 0x1.9f38c6919ad71p-14, 0x1.a3dd04c585564p-14, 0x1.a85107092fa2bp-14, 0x1.ac95826c91d9ap-14, 0x1.b0ab29baa2698p-14, 0x1.b492ad8a37b96p-14, 0x1.b84cbc4f55e6bp-14, 0x1.bbda026b29d6fp-14, 0x1.bf3b2a3b47233p-14, 0x1.c270dc283912bp-14, 0x1.c57bbeb4035fbp-14, 0x1.c85c768789f57p-14, 0x1.cb13a67f6a5e2p-14, 0x1.cda1efb84fe23p-14, 0x1.d007f19ab5bd4p-14, 0x1.d24649e5857d4p-14, 0x1.d45d94ba3e18ep-14, 0x1.d64e6ca5964d4p-14, 0x1.d8196aaa7e11cp-14, 0x1.d9bf264adbfb7p-14, 0x1.db4035902866p-14, 0x1.dc9d2d148debdp-14, 0x1.ddd6a0097bf11p-14, 0x1.deed2040d91f6p-14, 0x1.dfe13e3356e44p-14, 0x1.e0b3890782164p-14, 0x1.e1648e982fac3p-14, 0x1.e1f4db7b0646ap-14, 0x1.e264fb05622fep-14, 0x1.e2b57752a3737p-14, 0x1.e2e6d948c634bp-14, 0x1.e2f9a89dc2fc2p-14, 0x1.e2ee6bdbf1031p-14, 0x1.e2c5a8669af07p-14, 0x1.e27fe27da965dp-14, 0x1.e21d9d420c801p-14, 0x1.e19f5ab88368cp-14, 0x1.e1059bcdcfccp-14, 0x1.e050e0599c0ap-14, 0x1.df81a7218909fp-14, 0x1.de986ddb724a7p-14, 0x1.dd95b130dec93p-14, 0x1.dc79ecc107d31p-14, 0x1.db459b22c3026p-14, 0x1.d9f935e6a7af1p-14, 0x1.d895359980086p-14, 0x1.d71a11c5d565ep-14, 0x1.d58840f58032bp-14, 0x1.d3e038b2f5323p-14, 0x1.d2226d8b85f55p-14, 0x1.d04f530fdd27bp-14, 0x1.ce675bd5329b5p-14, 0x1.cc6af976c3c8bp-14, 0x1.ca5a9c967ef1fp-14, 0x1.c836b4de35619p-14, 0x1.c5ffb1003656ap-14, 0x1.c3b5feb830334p-14, 0x1.c15a0acbb0633p-14, 0x1.beec410a9a414p-14, 0x1.bc6d0c4feb728p-14, 0x1.b9dcd682469c7p-14, 0x1.b73c0893f6ffp-14, 0x1.b48b0a8407aep-14, 0x1.b1ca435dfd4f7p-14, 0x1.aefa193a302ep-14, 0x1.ac1af13e67255p-14, 0x1.a92d2f9d374e7p-14, 0x1.a63137971403ap-14, 0x1.a3276b7a1879dp-14, 0x1.a0102ca257bbcp-14, 0x1.9cebdb79901aep-14, 0x1.99bad777c2535p-14, 0x1.967d7f23486c4p-14, 0x1.9334301049074p-14, 0x1.8fdf46e13b99cp-14, 0x1.8c7f1f471d918p-14, 0x1.891414014bc7bp-14, 0x1.859e7edd77b1bp-14, 0x1.821eb8b7c2c33p-14, 0x1.7e95197b0c125p-14, 0x1.7b01f820f9b5cp-14, 0x1.7765aab186eadp-14, 0x1.73c0864383441p-14, 0x1.7012defcb4e3ap-14, 0x1.6c5d0811ad3ebp-14, 0x1.689f53c628c63p-14, 0x1.64da136d6954ep-14, 0x1.610d9769e9a02p-14, 0x1.5d3a2f2d8cc67p-14, 0x1.5960293a021c7p-14, 0x1.557fd320c7842p-14, 0x1.51997983cad5fp-14, 0x1.4dad68152680bp-14, 0x1.49bbe997addecp-14, 0x1.45c547df12806p-14, 0x1.41c9cbd07ffe8p-14, 0x1.3dc9bd62cbe63p-14, 0x1.39c5639eaf2f7p-14, 0x1.35bd049f3111p-14, 0x1.31b0e5921b316p-14, 0x1.2da14ab8c4ac9p-14, 0x1.298e77682eb8ep-14, 0x1.2578ae096a9cep-14, 0x1.2160301a7266p-14, 0x1.1d453e2eb3facp-14, 0x1.192817ef88b85p-14, 0x1.1508fc1c57dafp-14, 0x1.10e8288c12c6ap-14, 0x1.0cc5da2d8f196p-14, 0x1.08a24d082479dp-14, 0x1.047dbc3c6ccdbp-14, 0x1.00586204e2eeep-14, 0x1.f864ef6e1154ap-15, 0x1.f0186b8837f23p-15, 0x1.e7cba7739cc7bp-15, 0x1.df7f1085c93c4p-15, 0x1.d73312514a989p-15, 0x1.cee816a70db4cp-15, 0x1.c69e859809308p-15, 0x1.be56c57793875p-15, 0x1.b6113add365b9p-15, 0x1.adce48a729a67p-15, 0x1.a58e4ffc2af9dp-15, 0x1.9d51b04ca4efdp-15, 0x1.9518c75680449p-15, 0x1.8ce3f12724e35p-15, 0x1.84b3881d322bbp-15, 0x1.7c87e4eaab96fp-15, 0x1.74615e9860f9fp-15, 0x1.6c404a87f32cp-15, 0x1.6424fc7630f39p-15, 0x1.5c0fc67d49cb3p-15, 0x1.5400f91873632p-15, 0x1.4bf8e325798cap-15, 0x1.43f7d1e814785p-15, 0x1.3bfe110c9489bp-15, 0x1.340beaaac37d3p-15, 0x1.2c21a747f71cbp-15, 0x1.243f8ddaf62ap-15, 0x1.1c65e3ce13007p-15, 0x1.1494ed02518b9p-15, 0x1.0cccebd2d1b28p-15, 0x1.050e211732c06p-15, 0x1.fab1984d96be5p-16, 0x1.eb5a55b70cd56p-16, 0x1.dc16f32a26b51p-16, 0x1.cce7e67990958p-16, 0x1.bdcda2901fae8p-16, 0x1.aec897768bde8p-16, 0x1.9fd9325a327d5p-16, 0x1.90ffdd944b089p-16, 0x1.823d00b0b29c7p-16, 0x1.739100739fd67p-16, 0x1.64fc3ee01d99bp-16, 0x1.567f1b3e971dfp-16, 0x1.4819f224eb44cp-16, 0x1.39cd1d7bdd792p-16, 0x1.2b98f485602c3p-16, 0x1.1d7dcbe4f0f18p-16, 0x1.0f7bf5a580fc2p-16, 0x1.0193c13f917d9p-16, 0x1.e78af742c3486p-17, 0x1.cc22de6c36b4fp-17, 0x1.b0efc7d535a21p-17, 0x1.95f23e6c1cad5p-17, 0x1.7b2ac841c5ec9p-17, 0x1.6099e6973e226p-17, 0x1.464015eb8409p-17, 0x1.2c1dce078dc21p-17, 0x1.1233820fdedap-17, 0x1.f1034121200bdp-18, 0x1.be1127162d01cp-18, 0x1.8b91810985724p-18, 0x1.5985112caad81p-18, 0x1.27ec90f1fb5dap-18, 0x1.ed91624aae74p-19, 0x1.8c343418fc52dp-19, 0x1.2bc2d706b01f5p-19, 0x1.987cf44dc5d2fp-20, 0x1.b6a0f0b770964p-21, 0x1.0012ba7efc632p-23, -0x1.32d6e379b60d6p-21, -0x1.50f7052de49c8p-20, -0x1.034f522e3a22dp-19, -0x1.5d3057a158704p-19, -0x1.b61dd2084856p-19, -0x1.070b87abab039p-18, -0x1.328db610f2fcep-18, -0x1.5d9529b926ba1p-18, -0x1.88219f4734076p-18, -0x1.b232da5b9c35bp-18, -0x1.dbc8a57a9ca3ep-18, -0x1.027168faac23fp-17, -0x1.16c09be52a0e9p-17, -0x1.2ad1dac64ff54p-17, -0x1.3ea5182469f35p-17, -0x1.523a49b31849cp-17, -0x1.65916848f17ddp-17, -0x1.78aa6fd0c8014p-17, -0x1.8b855f3cbde3cp-17, -0x1.9e223876a5c56p-17, -0x1.b08100588d4fep-17, -0x1.c2a1be9a5d4b1p-17, -0x1.d4847dc59f6e9p-17, -0x1.e6294b2be6a88p-17, -0x1.f79036d7b7636p-17, -0x1.045ca9bf6eec6p-16, -0x1.0cd25b3bcb346p-16, -0x1.15293bd5bc2efp-16, -0x1.1d6158c51ce34p-16, -0x1.257ac07ebfae6p-16, -0x1.2d7582af3427bp-16, -0x1.3551b033ababfp-16, -0x1.3d0f5b1405595p-16, -0x1.44ae967c97bf1p-16, -0x1.4c2f76b8d3732p-16, -0x1.5392112d76af1p-16, -0x1.5ad67c51b9ea4p-16, -0x1.61fccfa9daa7dp-16, -0x1.690523c2b2522p-16, -0x1.6fef9229b14efp-16, -0x1.76bc356747eefp-16, -0x1.7d6b28fbfa78fp-16, -0x1.83fc895885507p-16, -0x1.8a7073d82bf49p-16, -0x1.90c706bcba80cp-16, -0x1.97006127795a6p-16, -0x1.9d1ca314c40c1p-16, -0x1.a31bed56ea8bcp-16, -0x1.a8fe618fa7546p-16, -0x1.aec4222c38ae6p-16, -0x1.b46d525f9f1bbp-16, -0x1.b9fa161cd6p-16, -0x1.bf6a92139d734p-16, }}, 
      {{0x1.82842d5ce49b2p-8, 0x1.8284d0c50b58dp-7, 0x1.21e41f91360cfp-6, 0x1.8285d28d810bp-6, 0x1.e326d257b4188p-6, 0x1.21e32d352fdd9p-5, 0x1.5231ee82edc7p-5, 0x1.827fa7b05ce0bp-5, 0x1.b2ccb4e8c6b47p-5, 0x1.e319eab019626p-5, 0x1.09b4511aa050ep-4, 0x1.21dd5dbc9a656p-4, 0x1.3a094b3ba1716p-4, 0x1.52398276a8019p-4, 0x1.6a6f9b447b8a2p-4, 0x1.82ad5099d7f0dp-4, 0x1.9af4738876c8bp-4, 0x1.b346ddc5c0f4dp-4, 0x1.cba6644a039b3p-4, 0x1.e414ca7bd76f2p-4, 0x1.fc93b63f73d09p-4, 0x1.0a925294acb2cp-3, 0x1.16e4717ee6b5bp-3, 0x1.2340c0ca6a01ep-3, 0x1.2fa7a915841bcp-3, 0x1.3c19700e0b6d9p-3, 0x1.4896367d0854ap-3, 0x1.551df6f70975cp-3, 0x1.61b08524f5208p-3, 0x1.6e4d8d979a34p-3, 0x1.7af496175abddp-3, 0x1.87a4fe6124ba9p-3, 0x1.945e0141f7ed5p-3, 0x1.a11eb602c39e8p-3, 0x1.ade612173405cp-3, 0x1.bab2eb02dea45p-3, 0x1.c783f8694130dp-3, 0x1.d457d63e2abffp-3, 0x1.e12d070d1612dp-3, 0x1.ee01f64f29ac7p-3, 0x1.fad4fac87ee9fp-3, 0x1.03d22c731f6cdp-2, 0x1.0a37228c11c1dp-2, 0x1.109873104393ap-2, 0x1.16f52bab8df8ap-2, 0x1.1d4c556d77857p-2, 0x1.239cf5d87ba6fp-2, 0x1.29e60fe6824c5p-2, 0x1.3026a501a55fap-2, 0x1.365db5f0a1c51p-2, 0x1.3c8a43b677679p-2, 0x1.42ab5064e4c56p-2, 0x1.48bfdfe19ec02p-2, 0x1.4ec6f89e2b301p-2, 0x1.54bfa442789cfp-2, 0x1.5aa8f04a54fa2p-2, 0x1.6081ee9600f8fp-2, 0x1.6649b5ee2f8afp-2, 0x1.6bff627bca6d1p-2, 0x1.71a21633e2331p-2, 0x1.7730f93841e63p-2, 0x1.7cab3a2d188f3p-2, 0x1.82100e843bbcp-2, 0x1.875eb2be844eap-2, 0x1.8c966aa3cbb8cp-2, 0x1.91b6817215f1p-2, 0x1.96be4a0461f45p-2, 0x1.9bad1ef1b900cp-2, 0x1.a08262a4f1f5dp-2, 0x1.a53d7f6db0c23p-2, 0x1.a9dde78b2168ap-2, 0x1.ae631530e3292p-2, 0x1.b2cc8a86a0b5bp-2, 0x1.b719d1a2bdaebp-2, 0x1.bb4a7c808bbfap-2, 0x1.bf5e24f26cf57p-2, 0x1.c3546c903de78p-2, 0x1.c72cfca26c6a1p-2, 0x1.cae7860a06706p-2, 0x1.ce83c1261ad5dp-2, 0x1.d2016db6aee9p-2, 0x1.d56052bd94cdfp-2, 0x1.d8a03e5d5d35cp-2, 0x1.dbc105b6a3c1ep-2, 0x1.dec284c3eecd5p-2, 0x1.e1a49e344e986p-2, 0x1.e4673b44f09d2p-2, 0x1.e70a4b99cc6e3p-2, 0x1.e98dc51596fd1p-2, 0x1.ebf1a3b116aabp-2, 0x1.ee35e95200989p-2, 0x1.f05a9da177dc1p-2, 0x1.f25fcde24652ap-2, 0x1.f4458cc6efa3ep-2, 0x1.f60bf247a9e03p-2, 0x1.f7b31b7855ae5p-2, 0x1.f93b2a5e848c3p-2, 0x1.faa445c79f2bp-2, 0x1.fbee991f36e48p-2, 0x1.fd1a5445921fep-2, 0x1.fe27ab667f859p-2, 0x1.ff16d6d074d82p-2, 0x1.ffe812cc0dae5p-2, 0x1.004dcfb9f30cp-1, 0x1.0098e04671633p-1, 0x1.00d55eaf74042p-1, 0x1.0103704704a46p-1, 0x1.01233bfa1a825p-1, 0x1.0134ea3db1af5p-1, 0x1.0138a4fc2614dp-1, 0x1.012e9782d42f2p-1, 0x1.0116ee7000cf4p-1, 0x1.00f1d7a10cf3p-1, 0x1.00bf8220f2665p-1, 0x1.00801e170f8f7p-1, 0x1.0033dcb63ee01p-1, 0x1.ffb5e05883adcp-2, 0x1.feeb1722f10edp-2, 0x1.fe07c5b1ddca8p-2, 0x1.fd0c558172027p-2, 0x1.fbf931854e07bp-2, 0x1.facec60a92d7dp-2, 0x1.f98d809a9a152p-2, 0x1.f835cfde56707p-2, 0x1.f6c823825f297p-2, 0x1.f544ec1baa27dp-2, 0x1.f3ac9b0cf12b5p-2, 0x1.f1ffa26cc361fp-2, 0x1.f03e74ec45289p-2, 0x1.ee6985be9d842p-2, 0x1.ec8148810e402p-2, 0x1.ea863123b9c59p-2, 0x1.e878b3d31478ep-2, 0x1.e65944e200bbdp-2, 0x1.e42858b496762p-2, 0x1.e1e663ab8ffbcp-2, 0x1.df93da1063cbp-2, 0x1.dd31300200945p-2, 0x1.dabed96230d31p-2, 0x1.d83d49c3a0afbp-2, 0x1.d5acf458870d1p-2, 0x1.d30e4be1eb983p-2, 0x1.d061c29f90034p-2, 0x1.cda7ca406f391p-2, 0x1.cae0d3d3dc37bp-2, 0x1.c80d4fbb335e8p-2, 0x1.c52dad9c268ccp-2, 0x1.c2425c5399816p-2, 0x1.bf4bc9e90cb97p-2, 0x1.bc4a63829d679p-2, 0x1.b93e9559895bap-2, 0x1.b628caaf424aep-2, 0x1.b3096dc303b7dp-2, 0x1.afe0e7c7f04edp-2, 0x1.acafa0dbac2b7p-2, 0x1.a975fffd7a9d4p-2, 0x1.a6346b05d38d7p-2, 0x1.a2eb469e75cc4p-2, 0x1.9f9af63aebb77p-2, 0x1.9c43dc1187f1dp-2, 0x1.98e65914d00ebp-2, 0x1.9582cced55a0dp-2, 0x1.921995f3fd3d3p-2, 0x1.8eab112caaa5cp-2, 0x1.8b379a4154becp-2, 0x1.87bf8b7d7eac4p-2, 0x1.84433dca0f0dcp-2, 0x1.80c308a98476ep-2, 0x1.7d3f42348876fp-2, 0x1.79b83f16db074p-2, 0x1.762e528c8f56p-2, 0x1.72a1ce5fa2bb1p-2, 0x1.6f1302e5e2654p-2, 0x1.6b823eff1cae3p-2, 0x1.67efd013a43b1p-2, 0x1.645c021317b9cp-2, 0x1.60c71f7375b4p-2, 0x1.5d3171307109ap-2, 0x1.599b3ecb0d1ap-2, 0x1.5604ce49762f9p-2, 0x1.526e64371a91p-2, 0x1.4ed843a50044ap-2, 0x1.4b42ae2a531ebp-2, 0x1.47ade3e52c6d5p-2, 0x1.441a237b904c7p-2, 0x1.4087aa1c9d8d5p-2, 0x1.3cf6b381f1f49p-2, 0x1.396779f13ca61p-2, 0x1.35da363e00102p-2, 0x1.324f1fcb7e80cp-2, 0x1.2ec66c8ed325ep-2, 0x1.2b4051113231fp-2, 0x1.27bd007251e84p-2, 0x1.243cac6af5f61p-2, 0x1.20bf854fa2d2ap-2, 0x1.1d45ba136db4cp-2, 0x1.19cf784af1eaap-2, 0x1.165cec2f63a9bp-2, 0x1.12ee40a1bd411p-2, 0x1.0f839f2e0d494p-2, 0x1.0c1d300edad02p-2, 0x1.08bb1a30a61c8p-2, 0x1.055d83357efdcp-2, 0x1.02048f78b1192p-2, 0x1.fd60c42510cfdp-3, 0x1.f6c239b84bf58p-3, 0x1.f02dc0e6d02f3p-3, 0x1.e9a3987dcb623p-3, 0x1.e323fce3f285cp-3, 0x1.dcaf2821ae3a9p-3, 0x1.d64551e9719a3p-3, 0x1.cfe6afa019d2dp-3, 0x1.c99374657476dp-3, 0x1.c34bd11cd05a8p-3, 0x1.bd0ff475aa976p-3, 0x1.b6e00af460d6fp-3, 0x1.b0bc3efb0509dp-3, 0x1.aaa4b8d22af6fp-3, 0x1.a4999eb1d3b2fp-3, 0x1.9e9b14ca55926p-3, 0x1.98a93d4d54d2ep-3, 0x1.92c43876c18b1p-3, 0x1.8cec2495d59acp-3, 0x1.87211e16218eap-3, 0x1.81633f888c53p-3, 0x1.7bb2a1ac655ebp-3, 0x1.760f5b7866281p-3, 0x1.70798223bb83fp-3, 0x1.6af1292f0a9f7p-3, 0x1.6576626d6c4c6p-3, 0x1.60093e0d65aa1p-3, 0x1.5aa9caa1dfedp-3, 0x1.5558152b0b0a9p-3, 0x1.5014291f4226cp-3, 0x1.4ade1073e2cffp-3, 0x1.45b5d3a615476p-3, 0x1.409b79c38bfd3p-3, 0x1.3b8f0873379d1p-3, 0x1.369083fde7c1cp-3, 0x1.319fef56e038p-3, 0x1.2cbd4c245e6d7p-3, 0x1.27e89ac809c25p-3, 0x1.2321da675bf1p-3, 0x1.1e6908f3ed4f9p-3, 0x1.19be2333b3dffp-3, 0x1.152124c92a9fbp-3, 0x1.1092083b6c881p-3, 0x1.0c10c6fe2fe28p-3, 0x1.079d5979b7101p-3, 0x1.0337b712a368p-3, 0x1.fdbfac636b3b8p-4, 0x1.f52b5896eb0c8p-4, 0x1.ecb25bcf9089fp-4, 0x1.e4549d52c4d22p-4, 0x1.dc1202aa60bb1p-4, 0x1.d3ea6fb335916p-4, 0x1.cbddc6ab77efdp-4, 0x1.c3ebe840e437fp-4, 0x1.bc14b39ebfdb9p-4, 0x1.b458067b9ed68p-4, 0x1.acb5bd26fb6a3p-4, 0x1.a52db2969750ep-4, 0x1.9dbfc0739d9b1p-4, 0x1.966bbf27a72cfp-4, 0x1.8f3185e972p-4, 0x1.8810eac970a33p-4, 0x1.8109c2be1dea9p-4, 0x1.7a1be1b01fe42p-4, 0x1.73471a862ea1fp-4, 0x1.6c8b3f30c90ecp-4, 0x1.65e820b5b2de9p-4, 0x1.5f5d8f3b39803p-4, 0x1.58eb5a1347185p-4, 0x1.52914fc63ae76p-4, 0x1.4c4f3e1d8eab9p-4, 0x1.4624f22e4410ap-4, 0x1.401238631c788p-4, 0x1.3a16dc869c837p-4, 0x1.3432a9ccd7d4ap-4, 0x1.2e656add080efp-4, 0x1.28aee9daef932p-4, 0x1.230ef07005b3fp-4, 0x1.1d8547d4722fcp-4, 0x1.1811b8d7ccd9cp-4, 0x1.12b40be9b391dp-4, 0x1.0d6c092221414p-4, 0x1.083978499c347p-4, 0x1.031c20e12a395p-4, 0x1.fc2794542e016p-5, 0x1.f240765b06849p-5, 0x1.e882758793a9fp-5, 0x1.deed1f375b13bp-5, 0x1.d5800082b0d1cp-5, 0x1.cc3aa64a54648p-5, 0x1.c31c9d44b6d85p-5, 0x1.ba25720ad4829p-5, 0x1.b154b124be2c6p-5, 0x1.a8a9e715c33dcp-5, 0x1.a024a0683964bp-5, 0x1.97c469b8f7e29p-5, 0x1.8f88cfc26fa13p-5, 0x1.87715f67703f1p-5, 0x1.7f7da5bd99b87p-5, 0x1.77ad301771874p-5, 0x1.6fff8c0e2c1e3p-5, 0x1.6874478b1f21p-5, 0x1.610af0d0e3bf5p-5, 0x1.59c316842cb58p-5, 0x1.529c47b44348ep-5, 0x1.4b9613e3443bdp-5, 0x1.44b00b0e068d3p-5, 0x1.3de9bdb3bbd9fp-5, 0x1.3742bcdd46dbap-5, 0x1.30ba9a2446f56p-5, 0x1.2a50e7b9e2a97p-5, 0x1.2405386d4230cp-5, 0x1.1dd71fb1d112ap-5, 0x1.17c631a535d93p-5, 0x1.11d2031507a0ap-5, 0x1.0bfa298446c7cp-5, 0x1.063e3b30942f1p-5, 0x1.009dcf17259e7p-5, 0x1.f630f9f31c5f5p-6, 0x1.eb5bbac45eeep-6, 0x1.e0bb13511ba43p-6, 0x1.d64e37eaabccfp-6, 0x1.cc145e8c6c4acp-6, 0x1.c20cbee2fd36ep-6, 0x1.b836925310363p-6, 0x1.ae9113ffded74p-6, 0x1.a51b80d125cc3p-6, 0x1.9bd51778ce82cp-6, 0x1.92bd187837a17p-6, 0x1.89d2c62509683p-6, 0x1.811564adcc251p-6, 0x1.78843a1e15cebp-6, 0x1.701e8e6251968p-6, 0x1.67e3ab4b50977p-6, 0x1.5fd2dc91725f5p-6, 0x1.57eb6fd783954p-6, 0x1.502cb4ad48e2bp-6, 0x1.4895fc91c7b75p-6, 0x1.41269af53a9b2p-6, 0x1.39dde53abe6e8p-6, 0x1.32bb32b9c1091p-6, 0x1.2bbddcbf28121p-6, 0x1.24e53e8e2d418p-6, 0x1.1e30b56107f6dp-6, 0x1.179fa06954a9dp-6, 0x1.113160d035fdep-6, 0x1.0ae559b65088cp-6, 0x1.04baf03377c9ap-6, 0x1.fd6316ac68d89p-7, 0x1.f191284610cd5p-7, 0x1.e5feeb272b10cp-7, 0x1.daab392af9efp-7, 0x1.cf94f012315c1p-7, 0x1.c4baf1800769ap-7, 0x1.ba1c22f706d0cp-7, 0x1.afb76dd5670a6p-7, 0x1.a58bbf5123aa9p-7, 0x1.9b980873dcd87p-7, 0x1.91db3e1634e39p-7, 0x1.885458db1b8d7p-7, 0x1.7f02552ac0a8ap-7, 0x1.75e4332d39509p-7, 0x1.6cf8f6c4fae85p-7, 0x1.643fa788fa9ebp-7, 0x1.5bb750beb93e6p-7, 0x1.535f0153fbf53p-7, 0x1.4b35cbd85f1b5p-7, 0x1.433ac676aa35ep-7, 0x1.3b6d0aedf107p-7, 0x1.33cbb68ab5523p-7, 0x1.2c55ea1f88d62p-7, 0x1.250ac9fde456p-7, 0x1.1de97dee88fap-7, 0x1.16f13129f3p-7, 0x1.1021125096f0ep-7, 0x1.09785362faaadp-7, 0x1.02f629b9b77a5p-7, 0x1.f9339bfab7628p-8, 0x1.ecc4f83c715abp-8, 0x1.e09ee69834b5p-8, 0x1.d4bfebdbb79b5p-8, 0x1.c9269331e64bfp-8, 0x1.bdd16e11c3f8cp-8, 0x1.b2bf142d4c7edp-8, 0x1.a7ee236003a44p-8, 0x1.9d5d3f9da6ae6p-8, 0x1.930b12e076616p-8, 0x1.88f64d17c2065p-8, 0x1.7f1da4161c4eep-8, 0x1.757fd37fb488dp-8, 0x1.6c1b9cb86f5c2p-8, 0x1.62efc6d21da75p-8, 0x1.59fb1e7a9f6p-8, 0x1.513c75e9f9802p-8, 0x1.48b2a4d07b26ep-8, 0x1.405c8844ba794p-8, 0x1.383902b1ddcap-8, 0x1.3046fbc585566p-8, 0x1.2885605e0cd47p-8, 0x1.20f32278c5684p-8, 0x1.198f39200f3a6p-8, 0x1.1258a059a016fp-8, 0x1.0b4e5914da192p-8, 0x1.046f69193260ep-8, 0x1.fb75b5e92690dp-9, 0x1.ee5f7bd3b8de7p-9, 0x1.e19a4bbf0b59fp-9, 0x1.d524569c6f32fp-9, 0x1.c8fbd65f45b44p-9, 0x1.bd1f0dda94f88p-9, 0x1.b18c489ef6b22p-9, 0x1.a641dad8c20e8p-9, 0x1.9b3e212e43accp-9, 0x1.907f809e5ff9dp-9, 0x1.8604665f5ab48p-9, 0x1.7bcb47bdc7897p-9, 0x1.71d2a1fbf4d8bp-9, 0x1.6818fa3151f9dp-9, 0x1.5e9cdd2a530ap-9, 0x1.555cdf485dbbfp-9, 0x1.4c579c625337ep-9, 0x1.438bb7a4ec621p-9, 0x1.3af7db73e8acdp-9, 0x1.329ab94af29aep-9, 0x1.2a73099f5cfe6p-9, 0x1.227f8bc1b71f4p-9, 0x1.1abf05c00c04dp-9, 0x1.1330444826403p-9, 0x1.0bd21a8a50b05p-9, 0x1.04a3621c6104fp-9, 0x1.fb45f5b9de95fp-10, 0x1.ed9f95ae346b5p-10, 0x1.e0517c4cb9b66p-10, 0x1.d3598db617472p-10, 0x1.c6b5b9bd3d1a4p-10, 0x1.ba63fbb1f069ap-10, 0x1.ae625a2ac1bdap-10, 0x1.a2aee6d0852dap-10, 0x1.9747be2a22721p-10, 0x1.8c2b0768ee537p-10, 0x1.8156f435fbcadp-10, 0x1.76c9c07fac306p-10, 0x1.6c81b2484ec0bp-10, 0x1.627d197564842p-10, 0x1.58ba4f9f1920bp-10, 0x1.4f37b7e0d2e54p-10, 0x1.45f3beaa781ap-10, 0x1.3cecd991d3d6cp-10, 0x1.342187255fc31p-10, 0x1.2b904ebf15b75p-10, 0x1.2337c058270d2p-10, 0x1.1b16745d7e996p-10, 0x1.132b0b849175cp-10, 0x1.0b742ea11d5b9p-10, 0x1.03f08e7b8327ep-10, 0x1.f93dc74ed0d58p-11, 0x1.eafbdcb7433a7p-11, 0x1.dd18ec9448ab5p-11, 0x1.cf9294f1b8b4ep-11, 0x1.c26682362d93ap-11, 0x1.b5926ed7437a6p-11, 0x1.a914230e93a5p-11, 0x1.9ce9749056fc3p-11, 0x1.9110464352d61p-11, 0x1.858687f94df27p-11, 0x1.7a4a3629ad622p-11, 0x1.6f5959ac1782p-11, 0x1.64b207755f14bp-11, 0x1.5a526054db922p-11, 0x1.503890b3269ap-11, 0x1.4662d051ca91p-11, 0x1.3ccf620cc4445p-11, 0x1.337c939bb2cfp-11, 0x1.2a68bd55cdf1ap-11, 0x1.219241f5c0433p-11, 0x1.18f78e5ecc66ap-11, 0x1.10971963a6df5p-11, 0x1.086f638d6510cp-11, 0x1.007ef6e478e9cp-11, 0x1.f188cd7342995p-12, 0x1.e27c9ee13a1cp-12, 0x1.d3d6ac97a97e1p-12, 0x1.c5945271483e6p-12, 0x1.b7b2fd394f463p-12, 0x1.aa302a492409ep-12, 0x1.9d0967267cd04p-12, 0x1.903c5123d7e61p-12, 0x1.83c695032ab93p-12, 0x1.77a5ee9a9cb8cp-12, 0x1.6bd828794a4ffp-12, 0x1.605b1b907656cp-12, 0x1.552caedc824f4p-12, 0x1.4a4ad7103b5e7p-12, 0x1.3fb39641fcfd7p-12, 0x1.3564fb9a58552p-12, 0x1.2b5d23045a606p-12, 0x1.219a34df3accfp-12, 0x1.181a65b2a1c8dp-12, 0x1.0edbf5e325a91p-12, 0x1.05dd316988ecep-12, 0x1.fa38df1433287p-13, 0x1.e930251e1b41p-13, 0x1.d89d0f07e833ap-13, 0x1.c87c8be298b91p-13, 0x1.b8cb9f36f079cp-13, 0x1.a987608467d84p-13, 0x1.9aacfac26f1c9p-13, 0x1.8c39abe4ac877p-13, 0x1.7e2ac462da246p-13, 0x1.707da6c1782d2p-13, 0x1.632fc71faa955p-13, 0x1.563eaac46271ap-13, 0x1.49a7e7b12a52dp-13, 0x1.3d69243623124p-13, 0x1.31801686beabdp-13, 0x1.25ea84541fd8bp-13, 0x1.1aa642671ce4bp-13, 0x1.0fb1343d7376bp-13, 0x1.05094baa04c54p-13, 0x1.f55910ead9886p-14, 0x1.e131f00678f05p-14, 0x1.cd9969eecd75ep-14, 0x1.ba8bcdbb9f792p-14, 0x1.a80583a9fe1d9p-14, 0x1.96030c74d5988p-14, 0x1.848100af75407p-14, 0x1.737c102640c13p-14, 0x1.62f10143ebc7fp-14, 0x1.52dcb07868315p-14, 0x1.433c0fa2b52f8p-14, 0x1.340c25814bf8ap-14, 0x1.254a0d22655e6p-14, 0x1.16f2f55c91c73p-14, 0x1.09042043c50c6p-14, 0x1.f6f5c552e6f0bp-15, 0x1.dca947330951dp-15, 0x1.c31db7bd0788cp-15, 0x1.aa4e2b0e319b3p-15, 0x1.9235d6db663cfp-15, 0x1.7ad0118b4dd65p-15, 0x1.641851518693p-15, 0x1.4e0a2b51d9afcp-15, 0x1.38a152c9e1d17p-15, 0x1.23d9983e70cecp-15, 0x1.0faee8afcb08bp-15, 0x1.f83a99a0c8deep-16, 0x1.d241d085a2f6cp-16, 0x1.ad6bf1ba8bb0ap-16, 0x1.89b1abdf182eap-16, 0x1.670bdf211e039p-16, 0x1.45739bdac4896p-16, 0x1.24e2214123356p-16, 0x1.0550dc18ee993p-16, 0x1.cd72cadcd84ap-17, 0x1.922b02b9055ccp-17, 0x1.58be3bb4a568fp-17, 0x1.2120a3204832ep-17, 0x1.d68d6ac97646p-18, 0x1.6e4a77a93afb1p-18, 0x1.096294fc921c6p-18, 0x1.4f80f880407eep-19, 0x1.253dd087bdc0ap-20, -0x1.204b35fcf5cdep-22, -0x1.a93e93a3fc205p-20, -0x1.7f4912cfe0fc3p-19, -0x1.12160bd140411p-18, -0x1.61b65c9d40621p-18, -0x1.ae973544002f7p-18, -0x1.f8c9db913a552p-18, -0x1.202f9273b4cf4p-17, -0x1.42b3bcb834865p-17, -0x1.63f96b9adf0e4p-17, -0x1.84086a8a1bd69p-17, -0x1.a2e852dbd764ap-17, -0x1.c0a08d2fd03dp-17, -0x1.dd3852d380b08p-17, -0x1.f8b6af19e8905p-17, -0x1.099140512589ep-16, -0x1.16413d4e182b9p-16, -0x1.226e93035795ep-16, -0x1.2e1c716dfdd51p-16, -0x1.394df49def184p-16, -0x1.4406254532766p-16, -0x1.4e47f94340acep-16, -0x1.5816542d19cf3p-16, -0x1.617407d0dc337p-16, -0x1.6a63d4b33cd74p-16, -0x1.72e86a8d873cp-16, -0x1.7b0468c5b4c67p-16, -0x1.82ba5ee361652p-16, -0x1.8a0ccd002bd6bp-16, -0x1.90fe24374ce57p-16, -0x1.9790c70e970c5p-16, -0x1.9dc709ded0604p-16, -0x1.a3a3333863ba2p-16, -0x1.a9277c43e48a9p-16, -0x1.ae56111fde351p-16, -0x1.b331113f53f53p-16, -0x1.b7ba8fc03a676p-16, -0x1.bbf493c217428p-16, -0x1.bfe118baa7f18p-16, -0x1.c3820ec62b48dp-16, -0x1.c6d95af630ee2p-16, -0x1.c9e8d79d47789p-16, -0x1.ccb2549950b05p-16, -0x1.cf37979b6cfe6p-16, -0x1.d17a5c6bfdfa8p-16, -0x1.d37c55300ac77p-16, -0x1.d53f2aa944da3p-16, -0x1.d6c47c74f4738p-16, -0x1.d80de14a9d0b1p-16, -0x1.d91ce7363b77bp-16, -0x1.d9f313d1c8057p-16, -0x1.da91e47dd92b2p-16, -0x1.daface96201edp-16, -0x1.db2f3fa795c25p-16, -0x1.db309da2247b1p-16, -0x1.db00470a1d6f5p-16, -0x1.da9f932796604p-16, -0x1.da0fd23486dc1p-16, -0x1.d9524d8ad9303p-16, -0x1.d86847cdc011bp-16, -0x1.d752fd148f385p-16, -0x1.d613a31392ed9p-16, -0x1.d4ab69436c94ep-16, -0x1.d31b7905f00e4p-16, -0x1.d164f5cdbe368p-16, -0x1.cf88fd3f95a47p-16, -0x1.cd88a7563c7cap-16, -0x1.cb65068498c7ap-16, -0x1.c91f27d4a60f6p-16, -0x1.c6b813083bc1ep-16, -0x1.c430cab76500ap-16, -0x1.c18a4c6e37737p-16, -0x1.bec590c8d956bp-16, -0x1.bbe38b906f8f7p-16, -0x1.b8e52bd5074adp-16, -0x1.b5cb5c0866eb4p-16, -0x1.b29702170b4eap-16, -0x1.af48ff80fe2a7p-16, -0x1.abe23171a05b5p-16, -0x1.a86370d68abbdp-16, -0x1.a4cd92764983cp-16, -0x1.a1216705a546fp-16, -0x1.9d5fbb3cd0922p-16, -0x1.998957ec85adep-16, -0x1.959f0210f3c58p-16, -0x1.91a17ae6030ccp-16, -0x1.8d917ff89aec6p-16, -0x1.896fcb39dad27p-16, -0x1.853d131032f96p-16, -0x1.80fa0a68b9b6ap-16, -0x1.7ca760c77a7fp-16, -0x1.7845c25805c4ep-16, -0x1.73d5d7fcc19fdp-16, -0x1.6f58475e5a286p-16, -0x1.6acdb2fa2c424p-16, -0x1.6636ba30d6978p-16, -0x1.6193f9546a04bp-16, -0x1.5ce609b60e3aap-16, -0x1.582d81b2b66c7p-16, -0x1.536af4c011141p-16, -0x1.4e9ef37948276p-16, -0x1.49ca0babbad1dp-16, -0x1.44ecc86182f7cp-16, -0x1.4007b1ee31d14p-16, -0x1.3b1b4dfa151ap-16, -0x1.36281f8cb841dp-16, -0x1.312ea7175c3fp-16, -0x1.2c2f628036419p-16, -0x1.272acd2c076cbp-16, -0x1.22216008243fep-16, -0x1.1d13919484a6p-16, -0x1.1801d5eca3371p-16, -0x1.12ec9ed139b0cp-16, -0x1.0dd45bb128251p-16, -0x1.08b979b2a1558p-16, -0x1.039c63bb688c3p-16, -0x1.fcfb04f3a8578p-17, -0x1.f2ba78d8556c4p-17, -0x1.e877ebd349498p-17, -0x1.de34225466b75p-17, -0x1.d3efdc9bbc613p-17, -0x1.c9abd6c963715p-17, -0x1.bf68c8ebe607ep-17, -0x1.b52767105d3fdp-17, -0x1.aae8614f6b09ap-17, -0x1.a0ac63dbc61afp-17, -0x1.96741710fe133p-17, -0x1.8c401f80d302bp-17, -0x1.82111dff2a6ccp-17, -0x1.77e7afb06ffb4p-17, -0x1.6dc46e1719b32p-17, -0x1.63a7ef1f57c96p-17, -0x1.5992c52bc21c7p-17, -0x1.4f857f2202a69p-17, -0x1.4580a876a16d2p-17, -0x1.3b84c93a2e58dp-17, -0x1.3192662318eb8p-17, -0x1.27aa009aac8e7p-17, -0x1.1dcc16c922f9fp-17, -0x1.13f9239fcac02p-17, -0x1.0a319ee3e245ep-17, -0x1.0075fd3af924ap-17, -0x1.ed8d6069c7f44p-18, -0x1.da484caceb075p-18, -0x1.c71d96482763fp-18, -0x1.b40e0e58fbc33p-18, -0x1.a11a80261b3fep-18, -0x1.8e43b13372f0ap-18, -0x1.7b8a6156203abp-18, -0x1.68ef4acb59bb9p-18, -0x1.5673224a10af2p-18, -0x1.441697154cd2p-18, -0x1.31da5310eb9a6p-18, -0x1.1fbefad41b851p-18, -0x1.0dc52dbdd4fap-18, -0x1.f7db0c0b93b8bp-19, -0x1.d47131a033b7bp-19, -0x1.b14dec7d49301p-19, -0x1.8e7253096f354p-19, -0x1.6bdf71ee76b22p-19, -0x1.49964c4150c0ep-19, -0x1.2797dba2fd683p-19, -0x1.05e5106780f3dp-19, -0x1.c8fda369bef62p-20, -0x1.86cbfb49fa4e1p-20, -0x1.4536d2d2f6fa1p-20, -0x1.043fc2da8a284p-20, -0x1.87d0a5db4af3dp-21, -0x1.0863f31f723b6p-21, -0x1.147872070220ap-22, -0x1.ab843f6359aaep-26, 0x1.b8e72027cd0f9p-23, 0x1.d106363be6cd9p-22, 0x1.617d8cdaf2622p-21, 0x1.d926f1db6ed27p-21, 0x1.27be9e9f67d9p-20, 0x1.623f4019d7cbcp-20, 0x1.9c1474bc9cf89p-20, 0x1.d53d62727a8ddp-20, 0x1.06dc9eb904635p-19, 0x1.22c3a40161bd5p-19, 0x1.3e53692229b08p-19, 0x1.598b9cf7acfb1p-19, 0x1.746bf50ec770ep-19, 0x1.8ef42d87515b8p-19, 0x1.a92408f6a62f2p-19, 0x1.c2fb50488d58ap-19, 0x1.dc79d2a4fb975p-19, 0x1.f59f655450617p-19, 0x1.0735f1d1c5513p-18, 0x1.136f9764c75bfp-18, 0x1.1f7c96e444713p-18, 0x1.2b5ce6a9d21f3p-18, 0x1.37107fdae3705p-18, 0x1.42975e5af08c8p-18, 0x1.4df180bd8b0b5p-18, 0x1.591ee839bfc12p-18, 0x1.641f989d13f4dp-18, 0x1.6ef3983edb5cp-18, 0x1.799aeff299abap-18, 0x1.8415aafabe164p-18, 0x1.8e63d6fd075aap-18, 0x1.988583f691105p-18, 0x1.a27ac42f1eafbp-18, 0x1.ac43ac2c0aa83p-18, 0x1.b5e052a45e0d7p-18, 0x1.bf50d07652485p-18, 0x1.c895409901f86p-18, 0x1.d1adc012cc0adp-18, 0x1.da9a6dec7feb2p-18, 0x1.e35b6b25fca86p-18, 0x1.ebf0daaa9e3c6p-18, 0x1.f45ae1468349ap-18, 0x1.fc99a59a4fc14p-18, 0x1.0256a807ed138p-17, 0x1.064b05688ba3bp-17, 0x1.0a2a00de0baffp-17, 0x1.0df3b12c39f6ep-17, 0x1.11a82de61bdeep-17, 0x1.15478f6906c78p-17, 0x1.18d1eed741084p-17, 0x1.1c476612c920cp-17, 0x1.1fa80fb8415edp-17, 0x1.22f4071a58c1p-17, 0x1.262b683c6374dp-17, 0x1.294e4fcda3e05p-17, 0x1.2c5cdb23d2d7p-17, 0x1.2f572836dd154p-17, 0x1.323d559c56f1dp-17, 0x1.350f82828972dp-17, 0x1.37cdceabc2b0bp-17, 0x1.3a785a69f7ef4p-17, 0x1.3d0f469a199acp-17, 0x1.3f92b49fcebe2p-17, 0x1.4202c660a217p-17, 0x1.445f9e40297dp-17, 0x1.46a95f1b6b4f3p-17, 0x1.48e02c4518bc8p-17, 0x1.4b042980a4a62p-17, 0x1.4d157afeb2822p-17, 0x1.4f144558a4916p-17, 0x1.5100ad8cda565p-17, 0x1.52dad8faba718p-17, 0x1.54a2ed5ea56f1p-17, 0x1.565910ce71a1ep-17, 0x1.57fd69b571413p-17, 0x1.59901ed063565p-17, 0x1.5b11572a53e5bp-17, 0x1.5c813a189411ep-17, 0x1.5ddfef374de2cp-17, 0x1.5f2d9e6656059p-17, 0x1.606a6fc523ef6p-17, 0x1.61968baf6fbb5p-17, 0x1.62b21aba13c4bp-17, 0x1.63bd45aff8577p-17, 0x1.64b8358e9068fp-17, 0x1.65a313822550cp-17, 0x1.667e08e33a16dp-17, 0x1.67493f33c4f6cp-17, 0x1.6804e01bb1dcp-17, 0x1.68b115659e839p-17, 0x1.694e08fc7ea49p-17, 0x1.69dbe4e8a0208p-17, 0x1.6a5ad34c431dep-17, 0x1.6acafe6111833p-17, 0x1.6b2c90760117bp-17, 0x1.6b7fb3ebed0eap-17, 0x1.6bc49332df64ap-17, 0x1.6bfb58c7add32p-17, 0x1.6c242f31c2008p-17, 0x1.6c3f4100477b4p-17, 0x1.6c4cb8c73e53ep-17, 0x1.6c4cc11dda9f1p-17, 0x1.6c3f849bb834ap-17, 0x1.6c252dd6ab85p-17, 0x1.6bfde760616edp-17, 0x1.6bc9dbc44a04ap-17, 0x1.6b8935853e268p-17, 0x1.6b3c1f1b8438dp-17, 0x1.6ae2c2f26754p-17, 0x1.6a7d4b669102dp-17, 0x1.6a0be2c3d5c4cp-17, 0x1.698eb342fd3d8p-17, 0x1.6905e7086ca7cp-17, 0x1.6871a821cc6e2p-17, 0x1.67d2208405ad7p-17, 0x1.67277a09de3dfp-17, 0x1.6671de7284e1fp-17, 0x1.65b1775f15b9cp-17, 0x1.64e66e5113b6p-17, 0x1.6410eca8e93f6p-17, 0x1.63311ba4a9b79p-17, 0x1.6247245e33034p-17, 0x1.61532fc9156e3p-17, 0x1.605566b24014dp-17, 0x1.5f4df1bd9c673p-17, 0x1.5e3cf964ff394p-17, 0x1.5d22a5f672a65p-17, 0x1.5bff1f93be73bp-17, 0x1.5ad28e3038e6p-17, 0x1.599d198fd785cp-17, 0x1.585ee945b58adp-17, 0x1.571824b386a04p-17, 0x1.55c8f307db04dp-17, 0x1.54717b3cf5394p-17, 0x1.5311e417b0fap-17, 0x1.51aa5426f1b0dp-17, 0x1.503af1c242d0ap-17, 0x1.4ec3e308cbc7bp-17, 0x1.4d454de03640ap-17, 0x1.4bbf57f419fc5p-17, 0x1.4a3226b4ffe56p-17, 0x1.489ddf572391ep-17, 0x1.4702a6d20df32p-17, 0x1.4560a1df943b8p-17, 0x1.43b7f4fad67b1p-17, 0x1.4208c45fd13acp-17, 0x1.4053340afef27p-17, 0x1.3e9767b7dbdcp-17, 0x1.3cd582e0448a7p-17, 0x1.3b0da8bc41be8p-17, 0x1.393ffc418bbdep-17, 0x1.376ca0220f4d2p-17, 0x1.3593b6cc26096p-17, 0x1.33b5626a358f9p-17, 0x1.31d1c4e16f1e4p-17, 0x1.2fe8ffd1b37bcp-17, 0x1.2dfb349511b02p-17, 0x1.2c08843f4225ep-17, 0x1.2a110f9d7d284p-17, 0x1.2814f735a4e0ap-17, 0x1.26145b4648387p-17, 0x1.240f5bc6106d2p-17, 0x1.2206186394d21p-17, }}, 
      {{0x1.c4c1a3c0973e7p-1, 0x1.c4a29795dfcdbp-1, 0x1.c47225035a144p-1, 0x1.c432d289004d2p-1, 0x1.c3e56087af8a1p-1, 0x1.c388219552f72p-1, 0x1.c316fc9e52222p-1, 0x1.c28bdd7ff7873p-1, 0x1.c1df5c5f57562p-1, 0x1.c109727870a6cp-1, 0x1.c002220a2303fp-1, 0x1.bec202d9c7293p-1, 0x1.bd42ad26c883p-1, 0x1.bb7f02644135ep-1, 0x1.b973566660231p-1, 0x1.b71d7d80f50bdp-1, 0x1.b47cc4d54b5e4p-1, 0x1.b191da1b1b364p-1, 0x1.ae5ea7cef913fp-1, 0x1.aae62a122f0d2p-1, 0x1.a72c3fcf43d31p-1, 0x1.a3357afb5620ep-1, 0x1.9f06f21d57697p-1, 0x1.9aa614a94dca9p-1, 0x1.9618833a81ce2p-1, 0x1.9163ec4c5308p-1, 0x1.8c8dedbce39d7p-1, 0x1.879bfb2469bdap-1, 0x1.829348dccf332p-1, 0x1.7d78bb746c61ap-1, 0x1.7850db314d49ap-1, 0x1.731fcb3e0d465p-1, 0x1.6de94413db796p-1, 0x1.68b090b4c907ep-1, 0x1.63788e4cc116bp-1, 0x1.5e43add53f7c3p-1, 0x1.5913f75f27305p-1, 0x1.53eb0eae52a1ep-1, 0x1.4eca38db12dd3p-1, 0x1.49b262b675543p-1, 0x1.44a427b68e4e6p-1, 0x1.3f9fd9380122p-1, 0x1.3aa585e9728f9p-1, 0x1.35b5013c6f467p-1, 0x1.30cdeabd883ffp-1, 0x1.2befb53b05e1fp-1, 0x1.2719ada68afbbp-1, 0x1.224b01a269e3p-1, 0x1.1d82c5af4597p-1, 0x1.18bffaf1ed962p-1, 0x1.1401948c3abc9p-1, 0x1.0f467c8626aa8p-1, 0x1.0a8d98465cd6dp-1, 0x1.05d5cc9b333dcp-1, 0x1.011e01565b4f1p-1, 0x1.f8ca48fd71073p-2, 0x1.ef545a39445c5p-2, 0x1.e5d83b4b009dap-2, 0x1.dc540c185bc8cp-2, 0x1.d2c60af7b8ba2p-2, 0x1.c92c9786bdc1bp-2, 0x1.bf8634edc5f32p-2, 0x1.b5d18b9c165b5p-2, 0x1.ac0d6a88a886cp-2, 0x1.a238c8030199p-2, 0x1.9852c21f2f8a9p-2, 0x1.8e5a9ec7822f5p-2, 0x1.844fcb7e22de2p-2, 0x1.7a31dcd80521ep-2, 0x1.70008dba2f43cp-2, 0x1.65bbbe61a2fbdp-2, 0x1.5b63733dafea5p-2, 0x1.50f7d3a3d10ap-2, 0x1.46792863a285ap-2, 0x1.3be7da40f2d1p-2, 0x1.314470595fe2dp-2, 0x1.268f8e7a6f3bbp-2, 0x1.1bc9f36c94443p-2, 0x1.10f4773719e0ep-2, 0x1.061009607a1b4p-2, 0x1.f63b5e5c8c2bbp-3, 0x1.e03d03cebb125p-3, 0x1.ca275a35c0506p-3, 0x1.b3fcd9dbcebbbp-3, 0x1.9dc018e3b1a5bp-3, 0x1.8773c809a27cdp-3, 0x1.711aaf7adf33ap-3, 0x1.5ab7abc61d826p-3, 0x1.444daae68e6adp-3, 0x1.2ddfa96ac90afp-3, 0x1.1770afb8a4a01p-3, 0x1.0103cf6ec500cp-3, 0x1.d53841c8a0988p-4, 0x1.a879818e2da41p-4, 0x1.7bd19bb07aee1p-4, 0x1.4f46cd8ea98f9p-4, 0x1.22df50573ac62p-4, 0x1.ed42aa6c60cp-5, 0x1.9526037ba93d1p-5, 0x1.3d74d9121ebeap-5, 0x1.cc7668579794dp-6, 0x1.1f09e75b538c2p-6, 0x1.caee37970a3bcp-8, -0x1.c2ed73e92e6dbp-9, -0x1.c4569574cf746p-7, -0x1.8a973ec5394b9p-6, -0x1.18c602b4f8dcfp-5, -0x1.6b7a51b6c879ap-5, -0x1.bd5e5700769a9p-5, -0x1.07341423a2cbcp-4, -0x1.2f47147a8f794p-4, -0x1.56e3863a504dap-4, -0x1.7e04ec1a6ccaep-4, -0x1.a4a6f2b40f795p-4, -0x1.cac571409806ap-4, -0x1.f05c6a38f2fa8p-4, -0x1.0ab405eba2a52p-3, -0x1.1cf2583e3f971p-3, -0x1.2ee76f7d9d688p-3, -0x1.4091a564bb02cp-3, -0x1.51ef6a0d37fc2p-3, -0x1.62ff43f10e28bp-3, -0x1.73bfcfe1b2732p-3, -0x1.842fc0f54a47ep-3, -0x1.944de06a85d23p-3, -0x1.a4190d83c0e64p-3, -0x1.b3903d59f12b2p-3, -0x1.c2b27aa7f46a7p-3, -0x1.d17ee58ebcceep-3, -0x1.dff4b352e98fap-3, -0x1.ee132e1435971p-3, -0x1.fbd9b47f41d87p-3, -0x1.04a3dcbd11ffdp-2, -0x1.0b2e61e614288p-2, -0x1.118c36e09c187p-2, -0x1.17bd3264995d6p-2, -0x1.1dc13489d7f4dp-2, -0x1.239826943d6c2p-2, -0x1.2941fabe902b6p-2, -0x1.2ebeac03eba9p-2, -0x1.340e3de8179f5p-2, -0x1.3930bc3ed59dap-2, -0x1.3e263af2586a1p-2, -0x1.42eed5c8ff977p-2, -0x1.478ab02a792cap-2, -0x1.4bf9f4e465835p-2, -0x1.503cd5eea4823p-2, -0x1.54538c2f5a462p-2, -0x1.583e573ed17d5p-2, -0x1.5bfd7d2b4c9b3p-2, -0x1.5f914a3ce048dp-2, -0x1.62fa10b96ed1cp-2, -0x1.663828a8d7e6bp-2, -0x1.694bef996dddcp-2, -0x1.6c35c864cb43cp-2, -0x1.6ef61af50e764p-2, -0x1.718d540a96fc2p-2, -0x1.73fbe5024ac3ap-2, -0x1.7642439c7b782p-2, -0x1.7860e9c46bedfp-2, -0x1.7a58555890792p-2, -0x1.7c2907f38b80ep-2, -0x1.7dd386b5f4626p-2, -0x1.7f585a10f4826p-2, -0x1.80b80d91be13ep-2, -0x1.81f32fadebf67p-2, -0x1.830a5190cce0dp-2, -0x1.83fe06e99f1e1p-2, -0x1.84cee5bacd93ep-2, -0x1.857d862a2465p-2, -0x1.860a82520de64p-2, -0x1.86767613d7051p-2, -0x1.86c1feeb00d6ep-2, -0x1.86edbbc19ee13p-2, -0x1.86fa4cc5ca758p-2, -0x1.86e8534029ce6p-2, -0x1.86b8716b88bcap-2, -0x1.866b4a4d8fa3cp-2, -0x1.860181908ab3cp-2, -0x1.857bbb5e50c4ep-2, -0x1.84da9c3c3c332p-2, -0x1.841ec8e840473p-2, -0x1.8348e63712d1dp-2, -0x1.825998f36def5p-2, -0x1.815185be666e4p-2, -0x1.803150f0d434fp-2, -0x1.7ef99e7dcedaap-2, -0x1.7dab11d636f7fp-2, -0x1.7c464dcd4c30ep-2, -0x1.7acbf47e52299p-2, -0x1.793ca7333501dp-2, -0x1.7799064c3afa5p-2, -0x1.75e1b128afe83p-2, -0x1.741746109495fp-2, -0x1.723a621f438dp-2, -0x1.704ba12f0e5dp-2, -0x1.6e4b9dc5d0bcep-2, -0x1.6c3af1026b729p-2, -0x1.6a1a328b32713p-2, -0x1.67e9f87d3a632p-2, -0x1.65aad75c8d8ap-2, -0x1.635d62053b346p-2, -0x1.6102299d42a95p-2, -0x1.5e99bd875443bp-2, -0x1.5c24ab565f806p-2, -0x1.59a37ec1f1134p-2, -0x1.5716c19b56e6p-2, -0x1.547efbc38529bp-2, -0x1.51dcb321bc7b9p-2, -0x1.4f306b9ae6ff1p-2, -0x1.4c7aa709abfcdp-2, -0x1.49bbe53732fdp-2, -0x1.46f4a3d48fc45p-2, -0x1.44255e74db28bp-2, -0x1.414e8e87e6455p-2, -0x1.3e70ab5590689p-2, -0x1.3b8c29f9b2fbap-2, -0x1.38a17d60a12fep-2, -0x1.35b116443b73p-2, -0x1.32bb63298662dp-2, -0x1.2fc0d05eceef5p-2, -0x1.2cc1c7fa4b63bp-2, -0x1.29beb1d93e2d7p-2, -0x1.26b7f39f8e115p-2, -0x1.23adf0b7d51f5p-2, -0x1.20a10a53de7b7p-2, -0x1.1d919f6d93dc3p-2, -0x1.1a800cc84edf5p-2, -0x1.176cacf28ff65p-2, -0x1.1457d84817672p-2, -0x1.1141e4f457236p-2, -0x1.0e2b26f53d776p-2, -0x1.0b13f01e55ec7p-2, -0x1.07fc901c38742p-2, -0x1.04e55478466c4p-2, -0x1.01ce889cb033dp-2, -0x1.fd70ebb1815cap-3, -0x1.f746c6cad49cbp-3, -0x1.f11f2cd42b50fp-3, -0x1.eafaa4034b5c4p-3, -0x1.e4d9ae7f73d6cp-3, -0x1.debcca6c46b1bp-3, -0x1.d8a471f5123bap-3, -0x1.d2911b587e0ap-3, -0x1.cc8338f48e167p-3, -0x1.c67b3952f6c86p-3, -0x1.c0798735bae1fp-3, -0x1.ba7e89a415f3bp-3, -0x1.b48aa3f7a462bp-3, -0x1.ae9e35e9c73eap-3, -0x1.a8b99ba14307cp-3, -0x1.a2dd2dc00c315p-3, -0x1.9d09417145c7ap-3, -0x1.973e287765e93p-3, -0x1.917c313a8011dp-3, -0x1.8bc3a6d6b0d36p-3, -0x1.8614d12aa4d28p-3, -0x1.806ff4e634dffp-3, -0x1.7ad553991e37bp-3, -0x1.75452bc1c0e83p-3, -0x1.6fbfb8dbf5186p-3, -0x1.6a45336fe3d25p-3, -0x1.64d5d120e352ap-3, -0x1.5f71c4bc5fa87p-3, -0x1.5a193e48ba89bp-3, -0x1.54cc6b1429647p-3, -0x1.4f8b75c38f0b7p-3, -0x1.4a5686614e57dp-3, -0x1.452dc26c07affp-3, -0x1.40114ce5584f4p-3, -0x1.3b01466078226p-3, -0x1.35fdcd10cfb7cp-3, -0x1.3106fcd878339p-3, -0x1.2c1cef569c79ap-3, -0x1.273fbbf5ca829p-3, -0x1.226f77fa25063p-3, -0x1.1dac368f773ep-3, -0x1.18f608d72d62dp-3, -0x1.144cfdf629fbbp-3, -0x1.0fb123227d44p-3, -0x1.0b2283b0f259ap-3, -0x1.06a1292282073p-3, -0x1.022d1b3196f01p-3, -0x1.fb8cbfbe5edc7p-4, -0x1.f2d9f6ffa6ea5p-4, -0x1.ea41e190d3d24p-4, -0x1.e1c481b5b25fp-4, -0x1.d961d6a503d9p-4, -0x1.d119dca12457bp-4, -0x1.c8ec8d1044003p-4, -0x1.c0d9de945f2d1p-4, -0x1.b8e1c522bef52p-4, -0x1.b104321b36d91p-4, -0x1.a941145ef8e32p-4, -0x1.a198586705806p-4, -0x1.9a09e85a4a6d8p-4, -0x1.9295ac2353b01p-4, -0x1.8b3b8985a9598p-4, -0x1.83fb6432c227ap-4, -0x1.7cd51dde9941bp-4, -0x1.75c89653e2acfp-4, -0x1.6ed5ab87dcb5ap-4, -0x1.67fc39adc0c33p-4, -0x1.613c1b49d25cfp-4, -0x1.5a9529440c03fp-4, -0x1.54073afa69894p-4, -0x1.4d922652d6082p-4, -0x1.4735bfccb160bp-4, -0x1.40f1da91faec5p-4, -0x1.3ac6488819536p-4, -0x1.34b2da604553ap-4, -0x1.2eb75fa790f34p-4, -0x1.28d3a6d693672p-4, -0x1.23077d60b815ap-4, -0x1.1d52afc32c238p-4, -0x1.17b5099373b0cp-4, -0x1.122e558d9f622p-4, -0x1.0cbe5da22b5c7p-4, -0x1.0764eb03831f9p-4, -0x1.0221c6332635p-4, -0x1.f9e96e1cfc76ap-5, -0x1.efbb09b6acf1ep-5, -0x1.e5b7eca806c7fp-5, -0x1.dbdfa36657092p-5, -0x1.d231b97e8ce7ep-5, -0x1.c8adb9ab8663p-5, -0x1.bf532debb737fp-5, -0x1.b6219f96377bbp-5, -0x1.ad18976f278ecp-5, -0x1.a4379dbb7ee2ep-5, -0x1.9b7e3a543d205p-5, -0x1.92ebf4b8ff131p-5, -0x1.8a80542207e9cp-5, -0x1.823adf91a67edp-5, -0x1.7a1b1de519814p-5, -0x1.722095e4da36p-5, -0x1.6a4ace545d4d3p-5, -0x1.62994e014c418p-5, -0x1.5b0b9bd23525bp-5, -0x1.53a13ed4b4be4p-5, -0x1.4c59be4b19dap-5, -0x1.4534a1b995f6fp-5, -0x1.3e3170f2e346dp-5, -0x1.374fb4246e262p-5, -0x1.308ef3e2139d4p-5, -0x1.29eeb9315ca51p-5, -0x1.236e8d9449e22p-5, -0x1.1d0dfb13b0e59p-5, -0x1.16cc8c491fb16p-5, -0x1.10a9cc6867ecp-5, -0x1.0aa54748a6d7ap-5, -0x1.04be896cfd10ap-5, -0x1.fdea401999d34p-6, -0x1.f2913237430a7p-6, -0x1.e77106a168f44p-6, -0x1.dc88dc5c24026p-6, -0x1.d1d7d40ebe648p-6, -0x1.c75d101091fe8p-6, -0x1.bd17b475404cp-6, -0x1.b306e7182b91ep-6, -0x1.a929cfa7548b1p-6, -0x1.9f7f97ada17f1p-6, -0x1.96076a9c653d1p-6, -0x1.8cc075d4757fcp-6, -0x1.83a9e8ae91659p-6, -0x1.7ac2f4833dfc5p-6, -0x1.720accb217787p-6, -0x1.6980a6a8922b1p-6, -0x1.6123b9e83c196p-6, -0x1.58f3400c836f4p-6, -0x1.50ee74cfef811p-6, -0x1.49149610ec066p-6, -0x1.4164e3d617c7dp-6, -0x1.39dea052290afp-6, -0x1.32810fe754085p-6, -0x1.2b4b792a5da49p-6, -0x1.243d24e527c1ap-6, -0x1.1d555e18f028ap-6, -0x1.1693720035611p-6, -0x1.0ff6b010173ccp-6, -0x1.097e69f984b9cp-6, -0x1.0329f3a9ffa27p-6, -0x1.f9f1469818e08p-7, -0x1.edd3a28eb097p-7, -0x1.e1f9b0810f92dp-7, -0x1.d6622a318167ap-7, -0x1.cb0bcdd9ba868p-7, -0x1.bff55e28f5836p-7, -0x1.b51da2412f2bep-7, -0x1.aa8365b42d23cp-7, -0x1.a025787fe2a8p-7, -0x1.9602af0a5f199p-7, -0x1.8c19e21d63de4p-7, -0x1.8269eee175f66p-7, -0x1.78f1b6d8849c8p-7, -0x1.6fb01fd83b743p-7, -0x1.66a41403fd765p-7, -0x1.5dcc81c661344p-7, -0x1.55285bca8449cp-7, -0x1.4cb698f4e45efp-7, -0x1.4476345c0c641p-7, -0x1.3c662d40d1135p-7, -0x1.348587067440ap-7, -0x1.2cd3492a6b233p-7, -0x1.254e7f3bddd3cp-7, -0x1.1df638d307f93p-7, -0x1.16c989883c91dp-7, -0x1.0fc788eae77c3p-7, -0x1.08ef527833f16p-7, -0x1.0240059182955p-7, -0x1.f7718ae5c6f02p-8, -0x1.eab1725266679p-8, -0x1.de3e17106b94ep-8, -0x1.d215d640f9319p-8, -0x1.c637146a7b4c4p-8, -0x1.baa03d63fd863p-8, -0x1.af4fc440509f4p-8, -0x1.a44423392d78cp-8, -0x1.997bdb99e300dp-8, -0x1.8ef575aa1350cp-8, -0x1.84af8098602fdp-8, -0x1.7aa89264b3199p-8, -0x1.70df47caae14ap-8, -0x1.6752442bf4492p-8, -0x1.5e00317a5b3a6p-8, -0x1.54e7c022057bfp-8, -0x1.4c07a6f39bccdp-8, -0x1.435ea30e58e1cp-8, -0x1.3aeb77ca16072p-8, -0x1.32aceea18093ap-8, -0x1.2aa1d71c22e1cp-8, -0x1.22c906b883859p-8, -0x1.1b2158d66529dp-8, -0x1.13a9aea0f4205p-8, -0x1.0c60eef91452p-8, -0x1.0546065fb877fp-8, -0x1.fcafcdc0b3f7dp-9, -0x1.ef2b0ff6fe662p-9, -0x1.e1fbcd2295c67p-9, -0x1.d5200998a7acbp-9, -0x1.c895d418b81fbp-9, -0x1.bc5b45a2bf16ep-9, -0x1.b06e814d42079p-9, -0x1.a4cdb41bc8a4dp-9, -0x1.997714d597fdfp-9, -0x1.8e68e3dca8285p-9, -0x1.83a16b0515333p-9, -0x1.791efd6cb9c39p-9, -0x1.6edff75322124p-9, -0x1.64e2bdf1c9c94p-9, -0x1.5b25bf5503e41p-9, -0x1.51a7723497b07p-9, -0x1.486655cd77d92p-9, -0x1.3f60f1bb649bcp-9, -0x1.3695d5d2e782p-9, -0x1.2e0399fc0b207p-9, -0x1.25a8de0d04c2ap-9, -0x1.1d8449a5a680ap-9, -0x1.15948c0b0f40cp-9, -0x1.0dd85c0391547p-9, -0x1.064e77b3668fep-9, -0x1.fdeb48f3046d5p-10, -0x1.ef995d99a9416p-10, -0x1.e1a4d43430753p-10, -0x1.d40b61441f5afp-10, -0x1.c6cac6afc95acp-10, -0x1.b9e0d380b2a58p-10, -0x1.ad4b63a2637f1p-10, -0x1.a1085fa1fc0fcp-10, -0x1.9515bc6ede4e9p-10, -0x1.89717b1c3ebacp-10, -0x1.7e19a8a32d8e3p-10, -0x1.730c5da6245efp-10, -0x1.6847be34c8abfp-10, -0x1.5dc9f9909f5abp-10, -0x1.539149f390141p-10, -0x1.499bf45594f5dp-10, -0x1.3fe84834e6662p-10, -0x1.36749f5df67d5p-10, -0x1.2d3f5db4900b1p-10, -0x1.2446f0fe1ed8ep-10, -0x1.1b89d0ac5e612p-10, -0x1.13067da927a0cp-10, -0x1.0abb8222e22adp-10, -0x1.02a77159d0555p-10, -0x1.f591cedd29eccp-11, -0x1.e63d1261e5537p-11, -0x1.d74e07def9a33p-11, -0x1.c8c21a9155994p-11, -0x1.ba96c5f7badf1p-11, -0x1.acc99577ffcbfp-11, -0x1.9f582404300d5p-11, -0x1.92401bc32858p-11, -0x1.857f35b8de555p-11, -0x1.79133971d2fcdp-11, -0x1.6cf9fcaeee892p-11, -0x1.6131631353ee8p-11, -0x1.55b75dd38f8aap-11, -0x1.4a89eb667c087p-11, -0x1.3fa7173757ee9p-11, -0x1.350cf9595bc9cp-11, -0x1.2ab9b63cf1259p-11, -0x1.20ab7e660b1a9p-11, -0x1.16e08e2455429p-11, -0x1.0d572d4bd631fp-11, -0x1.040daef0428a2p-11, -0x1.f604e24183139p-12, -0x1.e467b949d861fp-12, -0x1.d340c977c9fecp-12, -0x1.c28d0db7f3048p-12, -0x1.b24994e826288p-12, -0x1.a273815bdc722p-12, -0x1.930808641c81dp-12, -0x1.840471d8fdebep-12, -0x1.756617a6adb1bp-12, -0x1.672a655b15c29p-12, -0x1.594ed7b7c0807p-12, -0x1.4bd0fc456d112p-12, -0x1.3eae70e86de4ep-12, -0x1.31e4e37a7a748p-12, -0x1.257211633f70fp-12, -0x1.1953c73556a5fp-12, -0x1.0d87e04d0954dp-12, -0x1.020c46702b21ap-12, -0x1.edbde2e2cae91p-13, -0x1.d7fbcda963e6fp-13, -0x1.c2ce72ebf13c2p-13, -0x1.ae3212644e3e3p-13, -0x1.9a23052315259p-13, -0x1.869dbce86856cp-13, -0x1.739ec3815d042p-13, -0x1.6122ba28f9d87p-13, -0x1.4f2658eb94b6dp-13, -0x1.3da66e0f1c966p-13, -0x1.2c9fdd7e3056bp-13, -0x1.1c0fa036d9d34p-13, -0x1.0bf2c3bd2b5c1p-13, -0x1.f88cd31e39de9p-14, -0x1.da0f8d4019d38p-14, -0x1.bc6845a31652fp-14, -0x1.9f91b0e892875p-14, -0x1.8386a79379c8ep-14, -0x1.6842251208ad2p-14, -0x1.4dbf46ce23f2fp-14, -0x1.33f94b43b06b7p-14, -0x1.1aeb911bafe77p-14, -0x1.0291964da8168p-14, -0x1.d5cdee8c4a225p-15, -0x1.a7cedc264c597p-15, -0x1.7b1da32ca78c6p-15, -0x1.4fb229700983dp-15, -0x1.25848b4de8142p-15, -0x1.f91a34573a859p-16, -0x1.a988b609580c5p-16, -0x1.5c4609f5b7d3fp-16, -0x1.1143ffeef4e7cp-16, -0x1.90e98d3a5dd2bp-17, -0x1.0395d1bddc326p-17, -0x1.e9ca59d55341fp-19, 0x1.5335a871a3d42p-22, 0x1.174fb144dcaf5p-18, 0x1.08d02627c16dep-17, 0x1.822a3039ed754p-17, 0x1.f7ccf5a899dd3p-17, 0x1.34e76effa4c1cp-16, 0x1.6c22deeac7395p-16, 0x1.a1a36d732d89ap-16, 0x1.d5737812612c4p-16, 0x1.03ce8c66a17ccp-15, 0x1.1c1514106144dp-15, 0x1.33921f6c8d6efp-15, 0x1.4a4a5bf297c36p-15, 0x1.60425909b3501p-15, 0x1.757e88e4ca893p-15, 0x1.8a034155be828p-15, 0x1.9dd4bc9d0fc92p-15, 0x1.b0f71a31b51e6p-15, 0x1.c36e5f85a49a3p-15, 0x1.d53e78c2c0b98p-15, 0x1.e66b3983ce229p-15, 0x1.f6f85d861cf4dp-15, 0x1.0374c4ad1bd9p-14, 0x1.0b212584dae86p-14, 0x1.12830d5ffc0cbp-14, 0x1.199c2db292524p-14, 0x1.206e2d9e60089p-14, 0x1.26faaa3cea843p-14, 0x1.2d4336e8bb49cp-14, 0x1.33495d8535dffp-14, 0x1.390e9ec27e434p-14, 0x1.3e947260b6327p-14, 0x1.43dc4770e3243p-14, 0x1.48e78493aefap-14, 0x1.4db78836815d2p-14, 0x1.524da8cf4418p-14, 0x1.56ab35157d68fp-14, 0x1.5ad17439da69fp-14, 0x1.5ec1a61cd39adp-14, 0x1.627d0382e1f1ap-14, 0x1.6604be4723183p-14, 0x1.695a018d4d4dcp-14, 0x1.6c7df1f13be9ap-14, 0x1.6f71adb4f7d57p-14, 0x1.72364cee608e1p-14, 0x1.74cce1b1d3bf3p-14, 0x1.7736783d3b032p-14, 0x1.79741720d2263p-14, 0x1.7b86bf666289fp-14, 0x1.7d6f6cb823bd5p-14, 0x1.7f2f1585f4623p-14, 0x1.80c6ab28e0bf1p-14, 0x1.82371a069f968p-14, 0x1.838149b355a4p-14, 0x1.84a61d1258367p-14, 0x1.85a67275c8b77p-14, 0x1.868323bd29e7cp-14, 0x1.873d06739c7aep-14, 0x1.87d4ebebf5899p-14, 0x1.884ba15dcba21p-14, 0x1.88a1efff67403p-14, 0x1.88d89d2058a3cp-14, 0x1.88f06a42e2fa7p-14, 0x1.88ea1533f2a28p-14, 0x1.88c65823725e3p-14, 0x1.8885e9bae7883p-14, 0x1.88297d33f2e7p-14, 0x1.87b1c26d5f1f7p-14, 0x1.871f66006251p-14, 0x1.8673115444f71p-14, 0x1.85ad6ab242fa5p-14, 0x1.84cf155832c49p-14, 0x1.83d8b18b01d07p-14, 0x1.82cadca80ea72p-14, 0x1.81a6313649c2ep-14, 0x1.806b46f6e521dp-14, 0x1.7f1ab2f4d085ep-14, 0x1.7db5079508d51p-14, 0x1.7c3ad4a4f41e4p-14, 0x1.7aaca7691d17dp-14, 0x1.790b0aab2e959p-14, 0x1.775686c76b213p-14, 0x1.758fa1b9ab282p-14, 0x1.73b6df2a952abp-14, 0x1.71ccc07b72db2p-14, 0x1.6fd1c4d23966p-14, 0x1.6dc669254da1ep-14, 0x1.6bab28463a367p-14, 0x1.69807aece5aa5p-14, 0x1.6746d7c1a5de1p-14, 0x1.64feb367d53c2p-14, 0x1.62a880874d70ap-14, 0x1.6044afd622fbep-14, 0x1.5dd3b021b5cfcp-14, 0x1.5b55ee5782e02p-14, 0x1.58cbd58e0e053p-14, 0x1.5635cf0cf4c62p-14, 0x1.53944255573fdp-14, 0x1.50e79529c9117p-14, 0x1.4e302b95857fp-14, 0x1.4b6e67f470383p-14, 0x1.48a2aaf9d4349p-14, 0x1.45cd53b73dc3bp-14, 0x1.42eebfa40c2ddp-14, 0x1.40074aa325f33p-14, 0x1.3d174f09ef248p-14, 0x1.3a1f25a61bb75p-14, 0x1.371f25c42c179p-14, 0x1.3417a534cf134p-14, 0x1.3108f852d526bp-14, 0x1.2df37208d6246p-14, 0x1.2ad763d682ea3p-14, 0x1.27b51dd5d6d7ep-14, 0x1.248ceec06531ap-14, 0x1.215f23f409f71p-14, 0x1.1e2c09782a1f2p-14, 0x1.1af3ea01eaa84p-14, 0x1.17b70ef962993p-14, 0x1.1475c07dea908p-14, 0x1.1130456a3c97ep-14, 0x1.0de6e35966e9ep-14, 0x1.0a99deaa2efa1p-14, 0x1.07497a83cf169p-14, 0x1.03f5f8d9c83a6p-14, 0x1.009f9a6f99eecp-14, 0x1.fa8d3dba7d101p-15, 0x1.f3d6892407a93p-15, 0x1.ed1b91b239364p-15, 0x1.e65ccfb962fc5p-15, 0x1.df9ab95310f17p-15, 0x1.d8d5c2653c3fdp-15, 0x1.d20e5ca935baap-15, 0x1.cb44f7b1b8826p-15, 0x1.c47a00f27247bp-15, 0x1.bdade3c5f9d5cp-15, 0x1.b6e1097404a93p-15, 0x1.b013d937a07e4p-15, 0x1.a946b846467b5p-15, 0x1.a27a09d46f91bp-15, 0x1.9bae2f1cf9152p-15, 0x1.94e3876650128p-15, 0x1.8e1a7008333fcp-15, 0x1.87534471bf809p-15, 0x1.808e5e2f3e72bp-15, 0x1.79cc14eea4d41p-15, 0x1.730cbe86ce081p-15, 0x1.6c50aefb73be5p-15, 0x1.659838835d0d8p-15, 0x1.5ee3ab8d36ec8p-15, 0x1.583356c590dc1p-15, 0x1.5187871aee22ap-15, 0x1.4ae087c3e172bp-15, 0x1.443ea243a6b29p-15, 0x1.3da21e6fbb21bp-15, 0x1.370b4274093d4p-15, 0x1.307a52d84b365p-15, 0x1.29ef92857a047p-15, 0x1.236b42c9985f7p-15, 0x1.1ceda35d1a9dp-15, 0x1.1676f268176eep-15, 0x1.10076c85ffc4p-15, 0x1.099f4ccb45b3bp-15, 0x1.033eccc943ed5p-15, 0x1.f9cc4927cf0abp-16, 0x1.ed2b158995813p-16, 0x1.e09a69028613bp-16, 0x1.d41aaafc05b2p-16, 0x1.c7ac4007819fbp-16, 0x1.bb4f89e77cd33p-16, 0x1.af04e799665fbp-16, 0x1.a2ccb55c930b6p-16, 0x1.96a74cbc8421ep-16, 0x1.8a9504992eab6p-16, 0x1.7e96312ee2146p-16, 0x1.72ab24201f502p-16, 0x1.66d42c7d67b92p-16, 0x1.5b1196cdf3f86p-16, 0x1.4f63ad17b9a9ap-16, 0x1.43cab6e8e1366p-16, 0x1.3846f95f6a331p-16, 0x1.2cd8b730f3c37p-16, 0x1.218030b3ba1f9p-16, 0x1.163da3e69da93p-16, 0x1.0b114c7a29ce8p-16, 0x1.fff6c7acfc7fep-17, 0x1.e9f8424b08ef1p-17, 0x1.d42772b3df971p-17, 0x1.be84be6f99679p-17, 0x1.a91086b7060b5p-17, 0x1.93cb28853236bp-17, 0x1.7eb4fca6aa9dap-17, 0x1.69ce57c7be643p-17, 0x1.55178a85d74ecp-17, 0x1.4090e17f0a66p-17, 0x1.2c3aa55ef3b31p-17, 0x1.18151aefb6f5cp-17, 0x1.0420832886f76p-17, 0x1.e0ba367b8ce32p-18, 0x1.b996395dd3deap-18, 0x1.92d57aaac1628p-18, 0x1.6c785ee5da0afp-18, 0x1.467f43820cbdbp-18, 0x1.20ea7eff58ecdp-18, 0x1.f774c20bafb99p-19, 0x1.adde6509be284p-19, 0x1.65126b9475192p-19, 0x1.1d114d4acf6ecp-19, 0x1.abb6e9fdca217p-20, 0x1.1ee281e0bd602p-20, 0x1.274c0c04aa5f6p-21, 0x1.40403c2a0bd06p-25, -0x1.f8245b6a2c30fp-22, -0x1.047ae7fe53307p-20, -0x1.89532c5ec2b7bp-20, -0x1.0648dab20fe49p-19, -0x1.471b3551d9dfcp-19, -0x1.8720a4bcc809ap-19, -0x1.c659324eb884bp-19, -0x1.026278f0208b6p-18, -0x1.213200c7bfa13p-18, -0x1.3f9b44c7dca97p-18, -0x1.5d9e5dfb3ee75p-18, -0x1.7b3b6a43ad05cp-18, -0x1.98728c435498dp-18, -0x1.b543eb413196bp-18, -0x1.d1afb31348d52p-18, -0x1.edb614063ee9ep-18, -0x1.04aba16186fe6p-17, -0x1.1249bc1cc1dbap-17, -0x1.1fb578c3aaeeap-17, -0x1.2ceef7f1f468bp-17, -0x1.39f65c423e8fcp-17, -0x1.46cbca43c1113p-17, -0x1.536f686f78d37p-17, -0x1.5fe15f1d6e47p-17, -0x1.6c21d87769d53p-17, -0x1.7831007012068p-17, -0x1.840f04b67ee38p-17, -0x1.8fbc14acea4a3p-17, -0x1.9b38615d0019bp-17, -0x1.a6841d6e08808p-17, -0x1.b19f7d19fc274p-17, -0x1.bc8ab62367e15p-17, -0x1.c745ffca7df58p-17, -0x1.d1d192c4ef545p-17, -0x1.dc2da931bb7fbp-17, -0x1.e65a7e90e2d88p-17, -0x1.f0584fb95183bp-17, -0x1.fa275ace1d602p-17, -0x1.01e3ef9b3562p-16, -0x1.069d0ec9e04bap-16, -0x1.0b3f2bdc48273p-16, -0x1.0fca684f63fe7p-16, -0x1.143ee62f6c91ap-16, -0x1.189cc8134dbaap-16, -0x1.1ce43118b938bp-16, -0x1.211544df8557dp-16, -0x1.25302784ebe3p-16, -0x1.2934fd9fbca4dp-16, -0x1.2d23ec3c15688p-16, -0x1.30fd18d76f01ep-16, -0x1.34c0a95c3aa59p-16, -0x1.386ec41e048eap-16, -0x1.3c078fd573563p-16, -0x1.3f8b339c5c306p-16, -0x1.42f9d6e9cae8ep-16, -0x1.4653a18e4aba5p-16, -0x1.4998bbb044c2fp-16, -0x1.4cc94dc84a4cbp-16, -0x1.4fe5809cf5e0dp-16, -0x1.52ed7d3fe78b4p-16, -0x1.55e16d0a48c81p-16, -0x1.58c17998b1e9ap-16, -0x1.5b8dccc836ef1p-16, -0x1.5e4690b2cf571p-16, -0x1.60ebefac62f62p-16, -0x1.637e143ef5426p-16, -0x1.65fd2927cc1aap-16, -0x1.6869595467b6ap-16, -0x1.6ac2cfdf0d10ep-16, -0x1.6d09b80b9b40ap-16, -0x1.6f3e3d44d7b93p-16, -0x1.71608b19973a3p-16, -0x1.7370cd3965c46p-16, -0x1.756f2f71f8512p-16, -0x1.775bddac3bd1fp-16, -0x1.793703e999829p-16, -0x1.7b00ce411db01p-16, -0x1.7cb968dd23158p-16, -0x1.7e60fff883016p-16, -0x1.7ff7bfdbd1ba3p-16, -0x1.817dd4db12813p-16, -0x1.82f36b5359916p-16, -0x1.8458afa81a87ep-16, -0x1.85adce40d8cc8p-16, -0x1.86f2f386d517cp-16, -0x1.88284be2d2c0fp-16, -0x1.894e03baddc45p-16, -0x1.8a64476fbbc2p-16, -0x1.8b6b435b47e5bp-16, -0x1.8c6323ce2f8edp-16, -0x1.8d4c150d9507dp-16, -0x1.8e2643515e751p-16, -0x1.8ef1dac1e7ae6p-16, -0x1.8faf0776719aep-16, -0x1.905df572e5557p-16, -0x1.90fed0a635d7fp-16, -0x1.9191c4e8541f4p-16, -0x1.9216fdf8c3fffp-16, -0x1.928ea77c8d686p-16, -0x1.92f8ecfc75b1ep-16, -0x1.9355f9e3a678ap-16, -0x1.93a5f97df2747p-16, -0x1.93e916f60795p-16, -0x1.941f7d5431f42p-16, -0x1.9449577cb36aap-16, -0x1.9466d02e5b466p-16, -0x1.9478120106396p-16, -0x1.947d4764360fep-16, -0x1.94769a9de30c1p-16, -0x1.946435c8fdfe6p-16, -0x1.944642d410a18p-16, -0x1.941ceb802df1ep-16, -0x1.93e8595fa545ep-16, -0x1.93a8b5d4e947ap-16, -0x1.935e2a11355bfp-16, -0x1.9308df13b6e74p-16, -0x1.92a8fda825bc1p-16, -0x1.923eae65d932ep-16, -0x1.91ca19aeec638p-16, -0x1.914b67af01cfdp-16, -0x1.90c2c05a64bb3p-16, -0x1.90304b6d17c65p-16, -0x1.8f94306a1319p-16, -0x1.8eee969a362b2p-16, -0x1.8e3fa50b5f05ap-16, -0x1.8d87828fd7432p-16, -0x1.8cc655bd7114bp-16, -0x1.8bfc44ecb702bp-16, -0x1.8b29763827354p-16, -0x1.8a4e0f7bdc43bp-16, }}, 
      {{0x1.c4c8cfdae89a6p-1, 0x1.c4be40cbe95bep-1, 0x1.c4ad66779cc2fp-1, 0x1.c496f6e9552dfp-1, 0x1.c47b6ee309eep-1, 0x1.c45ae53ca9a2cp-1, 0x1.c434f9540acep-1, 0x1.c408d6775d18ep-1, 0x1.c3d5450aa6208p-1, 0x1.c398c3131550dp-1, 0x1.c3519f5f63f41p-1, 0x1.c2fe140750f0cp-1, 0x1.c29c5e39b3c39p-1, 0x1.c22ad23f8862ap-1, 0x1.c1a7eb444c09dp-1, 0x1.c11256e6e555p-1, 0x1.c068fcdf25251p-1, 0x1.bfab032dbce53p-1, 0x1.bed7cf600a80bp-1, 0x1.bdef057550fb9p-1, 0x1.bcf084ecff971p-1, 0x1.bbdc6479b73ffp-1, 0x1.bab2ecc57a581p-1, 0x1.b97492a30fa2p-1, 0x1.b821f0f864ed1p-1, 0x1.b6bbc29e8c802p-1, 0x1.b542dc6644f02p-1, 0x1.b3b8276409fe7p-1, 0x1.b21c9b9c8dc26p-1, 0x1.b0713b220750ep-1, 0x1.aeb70dabefa0cp-1, 0x1.acef1cad541efp-1, 0x1.ab1a6fe9a813bp-1, 0x1.a93a0a84d59dap-1, 0x1.a74ee888f560ap-1, 0x1.a559fcda7825dp-1, 0x1.a35c2f928242dp-1, 0x1.a1565cb6a0ab8p-1, 0x1.9f495344c03c6p-1, 0x1.9d35d48a5c1a2p-1, 0x1.9b1c93be0c252p-1, 0x1.98fe35d305cfep-1, 0x1.96db517e95574p-1, 0x1.94b46f68224c1p-1, 0x1.928a0a7cea1dcp-1, 0x1.905c90612cac5p-1, 0x1.8e2c61f92701cp-1, 0x1.8bf9d404c698cp-1, 0x1.89c52fc99199fp-1, 0x1.878eb3c6c6662p-1, 0x1.8556947034146p-1, 0x1.831cfcecc5668p-1, 0x1.80e20fd621b2p-1, 0x1.7ea5e7f72aa25p-1, 0x1.7c6899077c488p-1, 0x1.7a2a3062601f5p-1, 0x1.77eab5b7f29f1p-1, 0x1.75aa2bb7765a8p-1, 0x1.736890b20e124p-1, 0x1.7125df354755bp-1, 0x1.6ee20e9d0ad0ep-1, 0x1.6c9d139caefe9p-1, 0x1.6a56e0bf0aee8p-1, 0x1.680f66dd836acp-1, 0x1.65c6958e1fab1p-1, 0x1.637c5b88d1cbap-1, 0x1.6130a7041f723p-1, 0x1.5ee3660974f46p-1, 0x1.5c9486c16ab13p-1, 0x1.5a43f7b8553a6p-1, 0x1.57f1a81b79272p-1, 0x1.559d87ef426e7p-1, 0x1.5347883ee1cf6p-1, 0x1.50ef9b45b1b09p-1, 0x1.4e95b492c9999p-1, 0x1.4c39c9271d4b3p-1, 0x1.49dbcf8e8c2ep-1, 0x1.477bbff43fa4bp-1, 0x1.45199432b153ep-1, 0x1.42b547dfb5807p-1, 0x1.404ed854db8ccp-1, 0x1.3de644b47975p-1, 0x1.3b7b8debaaa45p-1, 0x1.390eb6b193b8bp-1, 0x1.369fc3842693fp-1, 0x1.342ebaa2b3094p-1, 0x1.31bba406780dp-1, 0x1.2f46895976447p-1, 0x1.2ccf75ebb6c38p-1, 0x1.2a5676a7368ffp-1, 0x1.27db9a02a97fp-1, 0x1.255eeff33bc9dp-1, 0x1.22e089dd7d3a3p-1, 0x1.20607a85983d8p-1, 0x1.1dded5fef7d5bp-1, 0x1.1b5bb19b7abf3p-1, 0x1.18d723da517d8p-1, 0x1.165144569f0d7p-1, 0x1.13ca2bb5f4348p-1, 0x1.1141f396bc85ep-1, 0x1.0eb8b67eac484p-1, 0x1.0c2e8fc945abp-1, 0x1.09a39b967ef79p-1, 0x1.0717f6b99d18cp-1, 0x1.048bbea84912p-1, 0x1.01ff1169f0aa5p-1, 0x1.fee41b0eef283p-2, 0x1.f9c9a3f6857b4p-2, 0x1.f4aefc434d2c5p-2, 0x1.ef9463537485p-2, 0x1.ea7a190d326bbp-2, 0x1.e5605dc22c14ap-2, 0x1.e0477213be144p-2, 0x1.db2f96d83ada9p-2, 0x1.d6190d01155b9p-2, 0x1.d104158205f75p-2, 0x1.cbf0f13921b6bp-2, 0x1.c6dfe0d7f02eap-2, 0x1.c1d124cd7498ap-2, 0x1.bcc4fd31312bap-2, 0x1.b7bba9af212fbp-2, 0x1.b2b56974a7291p-2, 0x1.adb27b1e6c067p-2, 0x1.a8b31ca72e014p-2, 0x1.a3b78b577c1aep-2, 0x1.9ec003b655dbfp-2, 0x1.99ccc17ab1192p-2, 0x1.94ddff7ddd6p-2, 0x1.8ff3f7aec1fa1p-2, 0x1.8b0ee305ef0aep-2, 0x1.862ef97a80e76p-2, 0x1.815471f7cb8b1p-2, 0x1.7c7f8253ce98bp-2, 0x1.77b05f466365bp-2, 0x1.72e73c612c182p-2, 0x1.6e244c082f2bdp-2, 0x1.6967bf6b297c8p-2, 0x1.64b1c67f83eb7p-2, 0x1.60028ffaed81cp-2, 0x1.5b5a494e9619ep-2, 0x1.56b91ea2fb7dcp-2, 0x1.521f3ad451c51p-2, 0x1.4d8cc76f6de22p-2, 0x1.4901ecaf4233p-2, 0x1.447ed17ad5c6cp-2, 0x1.40039b63bcf04p-2, 0x1.3b906ea507b79p-2, 0x1.37256e22a1c2bp-2, 0x1.32c2bb6924282p-2, 0x1.2e6876ae0b169p-2, 0x1.2a16bed05185ap-2, 0x1.25cdb1596be69p-2, 0x1.218d6a7e9d6dap-2, 0x1.1d560522a15d1p-2, 0x1.19279ad7aa123p-2, 0x1.150243e1a7c38p-2, 0x1.10e61738dd875p-2, 0x1.0cd32a8cb7013p-2, 0x1.08c99246e1ca6p-2, 0x1.04c9618ea3fcp-2, 0x1.00d2aa4c6a24p-2, 0x1.f9cafa5b17858p-3, 0x1.f203d3508a00ep-3, 0x1.ea4ffbffb2924p-3, 0x1.e2af8e91d0184p-3, 0x1.db22a2dbc955p-3, 0x1.d3a94e676cd6ep-3, 0x1.cc43a47cf3ba7p-3, 0x1.c4f1b62cc3c1dp-3, 0x1.bdb392596b79ap-3, 0x1.b68945c1ccfc7p-3, 0x1.af72db0b81e34p-3, 0x1.a8705acd5eep-3, 0x1.a181cb9a1fcedp-3, 0x1.9aa7320b36f6p-3, 0x1.93e090cbb4066p-3, 0x1.8d2de8a3457e9p-3, 0x1.868f38814c874p-3, 0x1.80047d8802673p-3, 0x1.798db317a5006p-3, 0x1.732ad2d9b403dp-3, 0x1.6cdbd4cc2aa07p-3, 0x1.66a0af4cc1fe2p-3, 0x1.607957242caedp-3, 0x1.5a65bf9153e25p-3, 0x1.5465da5486872p-3, 0x1.4e7997baa78a4p-3, 0x1.48a0e6a84456bp-3, 0x1.42dbb4a4a9932p-3, 0x1.3d29ede4dd7c1p-3, 0x1.378b7d568986fp-3, 0x1.32004caad0ac8p-3, 0x1.2c8844610ed31p-3, 0x1.27234bd17cf59p-3, 0x1.21d14937bae62p-3, 0x1.1c9221bd41514p-3, 0x1.1765b983aecfap-3, 0x1.124bf3aefd37bp-3, 0x1.0d44b26f92dfp-3, 0x1.084fd70c318d9p-3, 0x1.036d41ebc5c69p-3, 0x1.fd39a53e24023p-4, 0x1.f3bccfd462d46p-4, 0x1.ea63bf9bf4369p-4, 0x1.e12e2f226f779p-4, 0x1.d81bd7937b583p-4, 0x1.cf2c70caa4f9fp-4, 0x1.c65fb164e9658p-4, 0x1.bdb54ed1eaa01p-4, 0x1.b52cfd64d211ep-4, 0x1.acc67064e7471p-4, 0x1.a4815a1dc42c8p-4, 0x1.9c5d6bef49f79p-4, 0x1.945a565d2fab3p-4, 0x1.8c77c91e4442ep-4, 0x1.84b5732b5b8bdp-4, 0x1.7d1302cde604ep-4, 0x1.759025ae30c97p-4, 0x1.6e2c88e1548f1p-4, 0x1.66e7d8f6ccad5p-4, 0x1.5fc1c205bbd0fp-4, 0x1.58b9efb9d9c6fp-4, 0x1.51d00d600f7a1p-4, 0x1.4b03c5f2c06eap-4, 0x1.4454c425bc74ep-4, 0x1.3dc2b271e47b2p-4, 0x1.374d3b207877ep-4, 0x1.30f4085619db5p-4, 0x1.2ab6c41d76385p-4, 0x1.24951871a891p-4, 0x1.1e8eaf48476d7p-4, 0x1.18a3329b27a72p-4, 0x1.12d24c71cf559p-4, 0x1.0d1ba6ea9ed87p-4, 0x1.077eec43ab3e5p-4, 0x1.01fbc6e3521fap-4, 0x1.f923c2c100d94p-5, 0x1.ee81cd15639c4p-5, 0x1.e41102e355c66p-5, 0x1.d9d0bad9d337fp-5, 0x1.cfc04c45a3b2cp-5, 0x1.c5df0f1f2b95fp-5, 0x1.bc2c5c17b9b6cp-5, 0x1.b2a78ca64a994p-5, 0x1.a94ffb13cec1p-5, 0x1.a0250286f1a44p-5, 0x1.9725ff0f624ebp-5, 0x1.8e524db09fd18p-5, 0x1.85a94c6c524bp-5, 0x1.7d2a5a4c29d7ep-5, 0x1.74d4d76b4ced4p-5, 0x1.6ca824ff4e03cp-5, 0x1.64a3a560c0db8p-5, 0x1.5cc6bc1356026p-5, 0x1.5510cdcd90522p-5, 0x1.4d81408015196p-5, 0x1.46177b5c9749dp-5, 0x1.3ed2e6dc59cd8p-5, 0x1.37b2ecc658233p-5, 0x1.30b6f8350b68cp-5, 0x1.29de759bd8236p-5, 0x1.2328d2cc1ecafp-5, 0x1.1c957ef9f2f71p-5, 0x1.1623eac083bbfp-5, 0x1.0fd388262d797p-5, 0x1.09a3caa038474p-5, 0x1.039427164b6fep-5, 0x1.fb4827cb2a8b2p-6, 0x1.efa611c749039p-6, 0x1.e440fec1f7401p-6, 0x1.d917e456c2be6p-6, 0x1.ce29bb1fcbee7p-6, 0x1.c3757eb95e9edp-6, 0x1.b8fa2dc4f8bf3p-6, 0x1.aeb6c9ebe35c8p-6, 0x1.a4aa57e14a226p-6, 0x1.9ad3df63e0dd9p-6, 0x1.91326b3f20248p-6, 0x1.87c5094c0b14p-6, 0x1.7e8aca718d9a8p-6, 0x1.7582c2a47a5b6p-6, 0x1.6cac08e7233e2p-6, 0x1.6405b7489952fp-6, 0x1.5b8eeae37ef0bp-6, 0x1.5346c3dca23c4p-6, 0x1.4b2c65611f5a5p-6, 0x1.433ef5a44d26fp-6, 0x1.3b7d9ddd4e72p-6, 0x1.33e78a445e459p-6, 0x1.2c7bea0fc923cp-6, 0x1.2539ef70b2e52p-6, 0x1.1e20cf8f8e7c3p-6, 0x1.172fc28853928p-6, 0x1.1066036682301p-6, 0x1.09c2d020eb465p-6, 0x1.0345699533914p-6, 0x1.f9da27066f031p-7, 0x1.ed7229105b6c5p-7, 0x1.e1516c333a404p-7, 0x1.d576890053445p-7, 0x1.c9e01da46b872p-7, 0x1.be8ccddcabe2dp-7, 0x1.b37b42eb4afb8p-7, 0x1.a8aa2b8bde931p-7, 0x1.9e183be775fa2p-7, 0x1.93c42d8870f34p-7, 0x1.89acbf4e147p-7, 0x1.7fd0b55ff3adcp-7, 0x1.762ed921172cdp-7, 0x1.6cc5f922fc3fp-7, 0x1.6394e918678dep-7, 0x1.5a9a81c8038d4p-7, 0x1.51d5a0fee9d27p-7, 0x1.49452982f9c08p-7, 0x1.40e803051ca0ap-7, 0x1.38bd1a135daep-7, 0x1.30c3600af52e9p-7, 0x1.28f9cb0a3b572p-7, 0x1.215f55e27f998p-7, 0x1.19f30009d4b0bp-7, 0x1.12b3cd8ccb397p-7, 0x1.0ba0c7001d834p-7, 0x1.04b8f972638c1p-7, 0x1.fbf6ecbb30829p-8, 0x1.eecea7318dbbdp-8, 0x1.e1f756932719p-8, 0x1.d56f37aba751bp-8, 0x1.c9348faa46f14p-8, 0x1.bd45ac04ef9f6p-8, 0x1.b1a0e25b85f81p-8, 0x1.a644905b1db71p-8, 0x1.9b2f1ba1542b7p-8, 0x1.905ef19fca318p-8, 0x1.85d2877f8176bp-8, 0x1.7b885a0499296p-8, 0x1.717eed71f58bbp-8, 0x1.67b4cd6d0eef4p-8, 0x1.5e288ce1f5e3p-8, 0x1.54d8c5e76c7dep-8, 0x1.4bc419a32b021p-8, 0x1.42e9302e4767cp-8, 0x1.3a46b879d7bb3p-8, 0x1.31db6833b8833p-8, 0x1.29a5fbab733d1p-8, 0x1.21a535b77872ap-8, 0x1.19d7df9a78c5ep-8, 0x1.123cc8e8e63d5p-8, 0x1.0ad2c76eca493p-8, 0x1.0398b715ba778p-8, 0x1.f91af396294ccp-9, 0x1.eb5feecce5537p-9, 0x1.ddfe3b20aac89p-9, 0x1.d0f3bf521e6bcp-9, 0x1.c43e6d5fcfaap-9, 0x1.b7dc42552934p-9, 0x1.abcb4619abe39p-9, 0x1.a0098b40ba4e6p-9, 0x1.94952ed9f1a61p-9, 0x1.896c584214f5dp-9, 0x1.7e8d38f45c04fp-9, 0x1.73f60c5c52562p-9, 0x1.69a517a860ba6p-9, 0x1.5f98a99ca4033p-9, 0x1.55cf1a667e9b8p-9, 0x1.4c46cb70ac2a5p-9, 0x1.42fe2737c14cdp-9, 0x1.39f3a11f66354p-9, 0x1.3125b547e91d1p-9, 0x1.2892e864883b8p-9, 0x1.2039c79237068p-9, 0x1.1818e82ee96ddp-9, 0x1.102ee7b178c6ep-9, 0x1.087a6b81fd3f5p-9, 0x1.00fa20d2e8f7cp-9, 0x1.f35978f4acb29p-10, 0x1.e521f59896987p-10, 0x1.d74b3eea4e70fp-10, 0x1.c9d2eaa9c17fep-10, 0x1.bcb69cb566ffep-10, 0x1.aff406c296b8cp-10, 0x1.a388e81721977p-10, 0x1.97730d43dc57fp-10, 0x1.8bb04fe045e8ep-10, 0x1.803e96474aa99p-10, 0x1.751bd354ed56ep-10, 0x1.6a4606252116ep-10, 0x1.5fbb39d389332p-10, 0x1.5579853c7f562p-10, 0x1.4b7f0abebf4ap-10, 0x1.41c9f7fe81c34p-10, 0x1.385885a92e096p-10, 0x1.2f28f73a6d28ap-10, 0x1.26399ac1eba6dp-10, 0x1.1d88c8aa57999p-10, 0x1.1514e38112e0ap-10, 0x1.0cdc57bf179fbp-10, 0x1.04dd9b92bc6ebp-10, 0x1.fa2e5d54aa702p-11, 0x1.eb0f33ffd171ap-11, 0x1.dc5adf4b415a2p-11, 0x1.ce0e9526e13f8p-11, 0x1.c0279cea85a43p-11, 0x1.b2a34ef4a8032p-11, 0x1.a57f144add1c7p-11, 0x1.98b8663b9c5b2p-11, 0x1.8c4cce02165fcp-11, 0x1.8039e46bc231cp-11, 0x1.747d517f8e66ep-11, 0x1.6914cc26a84a6p-11, 0x1.5dfe19d6d6c37p-11, 0x1.53370e3ec4dbp-11, 0x1.48bd8af38ce91p-11, 0x1.3e8f7f201942dp-11, 0x1.34aae735d927p-11, 0x1.2b0dcc9f34e08p-11, 0x1.21b645736cabbp-11, 0x1.18a2742bdaf21p-11, 0x1.0fd0875af5472p-11, 0x1.073eb96477c31p-11, 0x1.fdd6a06e2b64cp-12, 0x1.eda93a0f7fa69p-12, 0x1.ddf1f81c0817ep-12, 0x1.ceada8840d02bp-12, 0x1.bfd92e373c213p-12, 0x1.b17180a606cddp-12, 0x1.a373ab44fca8cp-12, 0x1.95dccd138d3cp-12, 0x1.88aa182443ed7p-12, 0x1.7bd8d128849aap-12, 0x1.6f664efdf0e63p-12, 0x1.634ffa3ec6a02p-12, 0x1.57934cd429f97p-12, 0x1.4c2dd18b149c1p-12, 0x1.411d23ab6b195p-12, 0x1.365eee9145bf5p-12, 0x1.2bf0ed4889a73p-12, 0x1.21d0ea2a8a616p-12, 0x1.17fcbe7e30ff7p-12, 0x1.0e7252196cc74p-12, 0x1.052f9b05c2643p-12, 0x1.f8653a4bc433dp-13, 0x1.e6f2d3bbcfa04p-13, 0x1.d6043f7a9a874p-13, 0x1.c595d4556dcafp-13, 0x1.b5a4022390e28p-13, 0x1.a62b51254c829p-13, 0x1.97286166cdde4p-13, 0x1.8897ea26d147p-13, 0x1.7a76b94005f54p-13, 0x1.6cc1b29685bfep-13, 0x1.5f75cf88b4b99p-13, 0x1.52901e62ab1fbp-13, 0x1.460dc1d5e5a97p-13, 0x1.39ebf0732ffefp-13, 0x1.2e27f428216abp-13, 0x1.22bf29bfc6e58p-13, 0x1.17af0065c9f12p-13, 0x1.0cf4f92cf6568p-13, 0x1.028ea69884c23p-13, 0x1.f0f3584f751c1p-14, 0x1.dd677bca6661fp-14, 0x1.ca753ff02e8e6p-14, 0x1.b8184c704a28cp-14, 0x1.a64c6788ed5dcp-14, 0x1.950d7539b27ccp-14, 0x1.8457767a80f5ap-14, 0x1.74268877ec0fp-14, 0x1.6476e3d4a754ap-14, 0x1.5544dbee7b3d4p-14, 0x1.468cde2926163p-14, 0x1.384b713c6c157p-14, 0x1.2a7d34875ed45p-14, 0x1.1d1edf67b8e75p-14, 0x1.102d409522e1ap-14, 0x1.03a53d809887bp-14, 0x1.ef07a371a7645p-15, 0x1.d78c1ca0aea43p-15, 0x1.c0d23293d479bp-15, 0x1.aad45a0e162e5p-15, 0x1.958d2f7497bdcp-15, 0x1.80f775bc8f8dep-15, 0x1.6d0e155d7f8dbp-15, 0x1.59cc1b4c77bc3p-15, 0x1.472cb7fc01f63p-15, 0x1.352b3e6432c01p-15, 0x1.23c323105f2d4p-15, 0x1.12effb337a387p-15, 0x1.02ad7bc125791p-15, 0x1.e5eef11eca94fp-16, 0x1.c793c6f6d902dp-16, 0x1.aa41972b038ffp-16, 0x1.8df0b8a4025d8p-16, 0x1.7299b980a2135p-16, 0x1.58355d8b7a517p-16, 0x1.3ebc9cbf54d1p-16, 0x1.2628a1d19b462p-16, 0x1.0e72c8c860309p-16, 0x1.ef293b3585599p-17, 0x1.c30fb5b0da00ap-17, 0x1.988cd0b9d0e6bp-17, 0x1.6f94b410d10c6p-17, 0x1.481bdd0c98bb1p-17, 0x1.22171c2d510fp-17, 0x1.faf72594bd18dp-18, 0x1.b47d618a995dfp-18, 0x1.70ac64ae0b58p-18, 0x1.2f703bceeeb9dp-18, 0x1.e16b07c82b453p-19, 0x1.68d2cbf687c26p-19, 0x1.e9e64d0766a69p-20, 0x1.0b510498bdcap-20, 0x1.ad04b2fd12c5fp-23, -0x1.2edc64ff64c43p-21, -0x1.5c1ca5ad3e4b2p-20, -0x1.0c551dafefa07p-19, -0x1.66aa50f442c6fp-19, -0x1.bd2be550157ddp-19, -0x1.07fb7da7af67cp-18, -0x1.2f93f0c8db5e9p-18, -0x1.556d0d5fb736cp-18, -0x1.799431b1104dap-18, -0x1.9c165bc74d727p-18, -0x1.bd002c32519cfp-18, -0x1.dc5de8b61f876p-18, -0x1.fa3b7ee29fe64p-18, -0x1.0b52434c30fcap-17, -0x1.18d222416d2cp-17, -0x1.25a2d639c8e12p-17, -0x1.31c9b1dc8372bp-17, -0x1.3d4be1ae6ab8ap-17, -0x1.482e6d2a95d4ep-17, -0x1.527637d0b693dp-17, -0x1.5c28022cc4a71p-17, -0x1.65486adac7c79p-17, -0x1.6ddbef7c4eaffp-17, -0x1.75e6edad16b4fp-17, -0x1.7d6da3ebb8054p-17, -0x1.847432808ed43p-17, -0x1.8afe9c585bed1p-17, -0x1.9110c7de1fd5fp-17, -0x1.96ae7fc9c37f1p-17, -0x1.9bdb73ec17489p-17, -0x1.a09b39f381f8ep-17, -0x1.a4f14e2bc140ep-17, -0x1.a8e11435e8579p-17, -0x1.ac6dd7bf7ae22p-17, -0x1.af9acd2e11ac2p-17, -0x1.b26b124ace609p-17, -0x1.b4e1aee743337p-17, -0x1.b701957c40554p-17, -0x1.b8cda3c6e6f8ep-17, -0x1.ba48a35d913b8p-17, -0x1.bb754a42ff9e5p-17, -0x1.bc563b73a30e4p-17, -0x1.bcee0770deaa4p-17, -0x1.bd3f2cc411742p-17, -0x1.bd4c1883268fap-17, -0x1.bd1726cb94fc4p-17, -0x1.bca2a33f5d7abp-17, -0x1.bbf0c978f6bfbp-17, -0x1.bb03c57ff7e2cp-17, -0x1.b9ddb4389d96p-17, -0x1.b880a3cf17f2p-17, -0x1.b6ee94212acbp-17, -0x1.b52977242debdp-17, -0x1.b333314767738p-17, -0x1.b10d99d4ec9d6p-17, -0x1.aeba7b4da6d2dp-17, -0x1.ac3b93c51671cp-17, -0x1.a99295369acf5p-17, -0x1.a6c125dd34555p-17, -0x1.a3c8e0846cbefp-17, -0x1.a0ab54d855dcep-17, -0x1.9d6a07b3c545bp-17, -0x1.9a06736bbb1f8p-17, -0x1.96820817cffc3p-17, -0x1.92de2bd9c4c5cp-17, -0x1.8f1c3b22184b9p-17, -0x1.8b3d88f31ee8cp-17, -0x1.87435f2150cb3p-17, -0x1.832efe9246ffap-17, -0x1.7f019f7a33622p-17, -0x1.7abc7196a63ddp-17, -0x1.76609c686a75ep-17, -0x1.71ef3f6ac4fc5p-17, -0x1.6d69724a38587p-17, -0x1.68d0451870659p-17, -0x1.6424c07f26561p-17, -0x1.5f67e5f2e954ep-17, -0x1.5a9aafe16a8e5p-17, -0x1.55be11e15f9fdp-17, -0x1.50d2f8df212a1p-17, -0x1.4bda4b492b68dp-17, -0x1.46d4e939fec8dp-17, -0x1.41c3aca25e05p-17, -0x1.3ca769715f682p-17, -0x1.3780edbaaf279p-17, -0x1.325101dd89341p-17, -0x1.2d1868a91ed9bp-17, -0x1.27d7df8027ccdp-17, -0x1.22901e7c4f313p-17, -0x1.1d41d88fc9ccbp-17, -0x1.17edbba53de6ep-17, -0x1.129470c101b81p-17, -0x1.0d369c1f1d541p-17, -0x1.07d4dd51bdda8p-17, -0x1.026fcf5e7824p-17, -0x1.fa1011b50c981p-18, -0x1.ef3c380dc702dp-18, -0x1.e4652dd6118d7p-18, -0x1.d98c06dd3cba3p-18, -0x1.ceb1cee6c54ccp-18, -0x1.c3d789db9e271p-18, -0x1.b8fe33fa280d5p-18, -0x1.ae26c2047d64cp-18, -0x1.a352216e81fedp-18, -0x1.9881388a4771cp-18, -0x1.8db4e6b2297d5p-18, -0x1.82ee0474be3b8p-18, -0x1.782d63bc1abccp-18, -0x1.6d73cff5b3498p-18, -0x1.62c20e39dfb16p-18, -0x1.5818dd7057663p-18, -0x1.4d78f675ee63cp-18, -0x1.42e30c3f8f5a1p-18, -0x1.3857cbfe58f49p-18, -0x1.2dd7dd3fb3d72p-18, -0x1.2363e20fe54eep-18, -0x1.18fc771a152b6p-18, -0x1.0ea233c7bd22ep-18, -0x1.0455aa5e65d9fp-18, -0x1.f42ed03ea87fcp-19, -0x1.dfcfeac63406ep-19, -0x1.cb8fab6cbc5ep-19, -0x1.b76f0fed10bc9p-19, -0x1.a36f0cd5f1a1cp-19, -0x1.8f908dc2efebep-19, -0x1.7bd4758e45f5ap-19, -0x1.683b9e83a892cp-19, -0x1.54c6da910770ap-19, -0x1.4176f377a10c6p-19, -0x1.2e4caaf83f451p-19, -0x1.1b48bb04fc4b6p-19, -0x1.086bd5eb51305p-19, -0x1.eb6d4cff711a3p-20, -0x1.c653a094ba728p-20, -0x1.a18bdf5f260a8p-20, -0x1.7d173432b01b1p-20, -0x1.58f6bc3dc6d43p-20, -0x1.352b875934f4fp-20, -0x1.11b69853de796p-20, -0x1.dd31ca7bf3038p-21, -0x1.97a6af62c73f8p-21, -0x1.52cd9a30e3d4dp-21, -0x1.0ea82df167356p-21, -0x1.966fecc3b9948p-22, -0x1.10fcd1065e8a9p-22, -0x1.19f38c7c7b0f5p-23, -0x1.4d2bcfd088516p-27, 0x1.dac7fa4f9bd6cp-24, 0x1.ecac25a37ac68p-23, 0x1.7480c8ad33efep-22, 0x1.f1303223b4f74p-22, 0x1.363143f9d2cecp-21, 0x1.730b14535982dp-21, 0x1.af24cbddf21f4p-21, 0x1.ea7dbe5f21155p-21, 0x1.128aa89ed5df5p-20, 0x1.2f757d8a2384fp-20, 0x1.4bff21a4a8057p-20, 0x1.682760d2f3873p-20, 0x1.83ee0efc50747p-20, 0x1.9f5307d91225ap-20, 0x1.ba562ec0a4221p-20, 0x1.d4f76e7b92417p-20, 0x1.ef36b9161e9c4p-20, 0x1.048a03d8b7e31p-19, 0x1.1147ad2baddd1p-19, 0x1.1dd45be7d79ecp-19, 0x1.2a3016b9373fdp-19, 0x1.365ae7805c90ap-19, 0x1.4254db3c38b1ap-19, 0x1.4e1e01f66a9ebp-19, 0x1.59b66eb06f6e9p-19, 0x1.651e374cfa8d1p-19, 0x1.7055748052c9cp-19, 0x1.7b5c41ba84793p-19, 0x1.8632bd1675ee7p-19, 0x1.90d9074745d8p-19, 0x1.9b4f438553b88p-19, 0x1.a595977dd3326p-19, 0x1.afac2b4113488p-19, 0x1.b99329311405ep-19, 0x1.c34abdf06e92fp-19, 0x1.ccd3185384ad6p-19, 0x1.d62c694f3bc6ep-19, 0x1.df56e3e8929f2p-19, 0x1.e852bd267bf07p-19, 0x1.f1202c015a18cp-19, 0x1.f9bf695474e48p-19, 0x1.011857e79ada2p-18, 0x1.053a1df33e7fcp-18, 0x1.094525e2dc811p-18, 0x1.0d398fa17c1c9p-18, 0x1.11177be6e66e1p-18, 0x1.14df0c3229e28p-18, 0x1.189062c2a665fp-18, 0x1.1c2ba29166cf6p-18, 0x1.1fb0ef4a93aa7p-18, 0x1.23206d477abb4p-18, 0x1.267a418833a4fp-18, 0x1.29be91ad87b8fp-18, 0x1.2ced83f2bca95p-18, 0x1.30073f282ec26p-18, 0x1.330beaad56697p-18, 0x1.35fbae6ab8db9p-18, 0x1.38d6b2ccb23f9p-18, 0x1.3b9d20be5914ap-18, 0x1.3e4f21a354232p-18, 0x1.40ecdf535212p-18, 0x1.437684146c92ep-18, 0x1.45ec3a9667792p-18, 0x1.484e2decfdfe5p-18, 0x1.4a9c898c4136ep-18, 0x1.4cd77942af709p-18, 0x1.4eff2934ce141p-18, 0x1.5113c5d8d43f8p-18, 0x1.53157bf1de9fdp-18, 0x1.5504788b5400ap-18, 0x1.56e0e8f4e7cfp-18, 0x1.58aafabe15b85p-18, 0x1.5a62dbb1f32d4p-18, 0x1.5c08b9d362511p-18, 0x1.5d9cc35894ccep-18, 0x1.5f1f26a75d961p-18, 0x1.609012510f69dp-18, 0x1.61efb50f24781p-18, 0x1.633e3dbf19b36p-18, 0x1.647bdb5f0375ep-18, 0x1.65a8bd09c882ap-18, 0x1.66c511f3e512p-18, 0x1.67d10967e4f28p-18, 0x1.68ccd2c2ba355p-18, 0x1.69b89d70eee95p-18, 0x1.6a9498eb4d0fap-18, 0x1.6b60f4b383f85p-18, 0x1.6c1de0512742ap-18, 0x1.6ccb8b4ef75d2p-18, 0x1.6d6a2537836cep-18, 0x1.6df9dd929b4eap-18, 0x1.6e7ae3e270e3ep-18, 0x1.6eed67a0b1042p-18, 0x1.6f51983bcf289p-18, 0x1.6fa7a514b8911p-18, 0x1.6fefbd7be4d9ep-18, 0x1.702a10af11c63p-18, 0x1.7056cdd6af7dbp-18, 0x1.70762403af13dp-18, 0x1.7088422d02a88p-18, 0x1.708d572d66befp-18, 0x1.708591c115f66p-18, 0x1.70712083ca957p-18, 0x1.705031ee8cc76p-18, 0x1.7022f45590b35p-18, 0x1.6fe995e691ab9p-18, 0x1.6fa444a67efb2p-18, 0x1.6f532e6f9c926p-18, 0x1.6ef680efed32bp-18, 0x1.6e8e69a74870cp-18, 0x1.6e1b15e5959b4p-18, 0x1.6d9cb2c919f1dp-18, 0x1.6d136d3d043fdp-18, 0x1.6c7f71f797e94p-18, 0x1.6be0ed78acb4bp-18, 0x1.6b380c083cb49p-18, 0x1.6a84f9b50cb56p-18, 0x1.69c7e25305b1dp-18, 0x1.6900f179f576ep-18, 0x1.683052845e8e8p-18, 0x1.6756308e218b1p-18, 0x1.6672b6731e8a1p-18, 0x1.65860ece0723dp-18, 0x1.649063f755d29p-18, 0x1.6391e0041581bp-18, 0x1.628aacc4ee498p-18, 0x1.617af3c51db3fp-18, 0x1.6062de495cd93p-18, 0x1.5f42954ee06c7p-18, 0x1.5e1a418a7911dp-18, 0x1.5cea0b67e0a9dp-18, 0x1.5bb21b08ac3f4p-18, 0x1.5a7298437d143p-18, 0x1.592baaa358047p-18, 0x1.57dd7966ec30cp-18, 0x1.56882b7fbdfdfp-18, 0x1.552be79181598p-18, 0x1.53c8d3f16ac53p-18, 0x1.525f16a5acc4fp-18, 0x1.50eed564eb376p-18, 0x1.4f783595a16b6p-18, 0x1.4dfb5c4d724dcp-18, 0x1.4c786e50e900ap-18, 0x1.4aef9012e1d29p-18, 0x1.4960e5b437cfdp-18, 0x1.47cc93032f749p-18, 0x1.4632bb7b40332p-18, 0x1.44938244b351dp-18, 0x1.42ef0a34581cfp-18, 0x1.414575cb3ab1p-18, 0x1.3f96e736289dcp-18, 0x1.3de3804db6164p-18, 0x1.3c2b6295c8582p-18, 0x1.3a6eaf3d99fe1p-18, 0x1.38ad871f92ef9p-18, 0x1.36e80ac0f91d7p-18, 0x1.351e5a51c4fc2p-18, 0x1.335095acbeap-18, 0x1.317edc5751a4p-18, 0x1.2fa94d8143aa2p-18, 0x1.2dd00804eb689p-18, 0x1.2bf32a6746917p-18, 0x1.2a12d2d7cf2a9p-18, 0x1.282f1f307f4cap-18, 0x1.26482cf5c1dc3p-18, 0x1.245e1956b23dp-18, 0x1.2271012cf927dp-18, 0x1.208100fd0d3aap-18, 0x1.1e8e34f6733f4p-18, 0x1.1c98b8f3a0c5p-18, 0x1.1aa0a87a07a82p-18, 0x1.18a61eba749c1p-18, 0x1.16a936914c465p-18, 0x1.14aa0a86942d8p-18, 0x1.12a8b4ce1472ep-18, 0x1.10a54f479bd7bp-18, 0x1.0e9ff37f970fbp-18, 0x1.0c98baaf0053p-18, 0x1.0a8fbdbb8c55p-18, 0x1.088515381cb1ap-18, 0x1.0678d964e035cp-18, 0x1.046b222fac39p-18, 0x1.025c07347fc2dp-18, 0x1.004b9fbda2ab6p-18, 0x1.fc7405881903bp-19, 0x1.f84e8ddf6b145p-19, 0x1.f427052fb0e94p-19, 0x1.effd97870feadp-19, 0x1.ebd27053d7beap-19, 0x1.e7a5ba6541a9ep-19, 0x1.e3779fec75215p-19, 0x1.df484a7d29317p-19, 0x1.db17e30e8550bp-19, 0x1.d6e691fbfd947p-19, 0x1.d2b47f0674133p-19, 0x1.ce81d1547fcc7p-19, 0x1.ca4eaf73676afp-19, 0x1.c61b3f584e2e7p-19, 0x1.c1e7a661790bbp-19, 0x1.bdb40956c7ba6p-19, 0x1.b9808c6a87b1dp-19, 0x1.b54d533ad0eadp-19, 0x1.b11a80d20b9cep-19, 0x1.ace837a859af3p-19, 0x1.a8b699a414f73p-19, 0x1.a485c81baf69dp-19, 0x1.a055e3d5e7909p-19, 0x1.9c270d0b1dcd6p-19, 0x1.97f963663caaep-19, 0x1.93cd0606701ffp-19, 0x1.8fa2137f48b94p-19, 0x1.8b78a9da1fda8p-19, 0x1.8750e69704ab1p-19, 0x1.832ae6ae15629p-19, 0x1.7f06c690d929dp-19, 0x1.7ae4a22aca73fp-19, 0x1.76c494e282c16p-19, 0x1.72a6b99b110a4p-19, 0x1.6e8b2ab50cb7cp-19, 0x1.6a72020f93dbbp-19, 0x1.665b59097941bp-19, 0x1.6247488256d42p-19, 0x1.5e35e8dba49dfp-19, 0x1.5a2751fa13d25p-19, 0x1.561b9b46ef97dp-19, 0x1.5212dbb086865p-19, 0x1.4e0d29aba15a5p-19, 0x1.4a0a9b34be47cp-19, 0x1.460b45d12b714p-19, 0x1.420f3e900d323p-19, 0x1.3e169a0b7a50dp-19, 0x1.3a216c6a2b2f9p-19, 0x1.362fc96023db3p-19, 0x1.3241c42fbef1ap-19, 0x1.2e576fab3103ap-19, 0x1.2a70de355ddf6p-19, 0x1.268e21c33303fp-19, 0x1.22af4bdcb7b8cp-19, 0x1.1ed46d9e486p-19, 0x1.1afd97b98eeb9p-19, 0x1.172ada7719d7bp-19, }}, 
      {{-0x1.dad6ae318ece7p-16, -0x1.da98693d3ce7dp-14, -0x1.0aad5bf46a643p-12, -0x1.d94d7c6f722fap-12, -0x1.70f452024cf72p-11, -0x1.08f84709239fp-10, -0x1.67b259b12795bp-10, -0x1.d4a3876d9a30dp-10, -0x1.27f21ee9d527dp-9, -0x1.6cd638050e3a6p-9, -0x1.b928c272687d3p-9, -0x1.06902e52dc295p-8, -0x1.347dbddd77a77p-8, -0x1.667dc9b943e3p-8, -0x1.9caff746d61dep-8, -0x1.d7304b61578b7p-8, -0x1.0b0a654de3e51p-7, -0x1.2cb5afde2d831p-7, -0x1.509c0ca27a358p-7, -0x1.76b9e396e890cp-7, -0x1.9f057de52b503p-7, -0x1.c96eb700b99c2p-7, -0x1.f5dedbb4ac5cfp-7, -0x1.121c59920398bp-6, -0x1.2a2c5673cc1bbp-6, -0x1.430a977e62dc3p-6, -0x1.5c9f7f071d8e8p-6, -0x1.76d0dd5831a9bp-6, -0x1.91823735e9156p-6, -0x1.ac9511e7cbdbap-6, -0x1.c7e9429e19f3p-6, -0x1.e35d3f4d2fa38p-6, -0x1.fece6f5c0e716p-6, -0x1.0d0cbd6316d1ap-5, -0x1.1a8d4b4859a85p-5, -0x1.27d6e6d74bf97p-5, -0x1.34d7a2d27a208p-5, -0x1.417dbf383bb99p-5, -0x1.4db7c6ab4a9cp-5, -0x1.5974a9380de23p-5, -0x1.64a3d46c5bc14p-5, -0x1.6f3548c3905a5p-5, -0x1.7919ac72a4506p-5, -0x1.82425ba7adfd7p-5, -0x1.8aa1765624918p-5, -0x1.9229ebadaef84p-5, -0x1.98cf835c6f288p-5, -0x1.9e86e4bfda1a5p-5, -0x1.a3459c2873233p-5, -0x1.a7021e555976dp-5, -0x1.a9b3ca4c984dap-5, -0x1.ab52e9b4c9701p-5, -0x1.abd8afd3d429p-5, -0x1.ab3f37559987dp-5, -0x1.a9817efc0a9d4p-5, -0x1.a69b6558e8031p-5, -0x1.a289a3afb60dap-5, -0x1.9d49c81cff3edp-5, -0x1.96da2f1e39628p-5, -0x1.8f39fc93e8e31p-5, -0x1.86691455eb5bcp-5, -0x1.7c681270052b8p-5, -0x1.7138431b0f4c1p-5, -0x1.64db9a8574bf7p-5, -0x1.5754ac7bdb493p-5, -0x1.48a6a4015c759p-5, -0x1.38d53ae4e27p-5, -0x1.27e4b15fe46d7p-5, -0x1.15d9c5c91e8aap-5, -0x1.02b9ac649753ep-5, -0x1.dd140eb1c71eep-6, -0x1.b2a1bda0daf2bp-6, -0x1.86293298a9428p-6, -0x1.57b7e85af4d05p-6, -0x1.275bf8eea2268p-6, -0x1.ea481f3ccde8cp-7, -0x1.823eb6e8d0034p-7, -0x1.16bb046aa1002p-7, -0x1.4fba4f7150166p-8, -0x1.ae2fe983b21c9p-10, 0x1.fb47cb70a4c5p-10, 0x1.6f1b560eeb1c9p-8, 0x1.32858c311e8bcp-7, 0x1.b02dab49062c3p-7, 0x1.183161cf18d13p-6, 0x1.5980a7d858c74p-6, 0x1.9bf2cd4824f45p-6, 0x1.df75e8306713fp-6, 0x1.11fc0382ffe44p-5, 0x1.34b39c0a1ab28p-5, 0x1.57d8c8472d38ep-5, 0x1.7b6299a1b7474p-5, 0x1.9f482b7bb99a8p-5, 0x1.c380a632dc293p-5, 0x1.e80341f7eedf5p-5, 0x1.0663a4bf1fdc2p-4, 0x1.18e20e422fe1p-4, 0x1.2b78991bee172p-4, 0x1.3e230dba99dbp-4, 0x1.50dd4272bbfe5p-4, 0x1.63a31c7d6004cp-4, 0x1.767090e6546cep-4, 0x1.8941a56af6aa8p-4, 0x1.9c12714a17e97p-4, 0x1.aedf1e057563fp-4, 0x1.c1a3e81534893p-4, 0x1.d45d1f8de0631p-4, 0x1.e70728b94b197p-4, 0x1.f99e7ca2b6f7ep-4, 0x1.060fd4cb5bdd1p-3, 0x1.0f43a9cb8b017p-3, 0x1.18691a61948b8p-3, 0x1.217e8eda731aap-3, 0x1.2a827ae98bfp-3, 0x1.33735dcc7e388p-3, 0x1.3c4fc269d57acp-3, 0x1.45163f6ac880ap-3, 0x1.4dc577502a8f4p-3, 0x1.565c1882c02f8p-3, 0x1.5ed8dd5f13ac9p-3, 0x1.673a8c3cfd2eap-3, 0x1.6f7ff77302818p-3, 0x1.77a7fd55b297ep-3, 0x1.7fb1883330b13p-3, 0x1.879b8e4b051e9p-3, 0x1.8f6511c2721bep-3, 0x1.970d20955f349p-3, 0x1.9e92d48411be6p-3, 0x1.a5f552fdd3d5dp-3, 0x1.ad33cd08b091ap-3, 0x1.b44d7f266d007p-3, 0x1.bb41b136e74a6p-3, 0x1.c20fb657fd613p-3, 0x1.c8b6ecc322d5dp-3, 0x1.cf36bda8cba53p-3, 0x1.d58e9d09ce4a3p-3, 0x1.dbbe098ee2e83p-3, 0x1.e1c48c5e5e56dp-3, 0x1.e7a1b8f050a4ap-3, 0x1.ed552ce124f7fp-3, 0x1.f2de8fc2e2797p-3, 0x1.f83d92ed2fb49p-3, 0x1.fd71f14c34938p-3, 0x1.013db7973f83dp-2, 0x1.03aced08fd199p-2, 0x1.0606843811973p-2, 0x1.084a6cc4c2fadp-2, 0x1.0a789a9857aebp-2, 0x1.0c9105ca4a05fp-2, 0x1.0e93aa854d8b1p-2, 0x1.108088ec2a168p-2, 0x1.1257a4fe78fc5p-2, 0x1.1419067d52655p-2, 0x1.15c4b8cfec947p-2, 0x1.175acae83d604p-2, 0x1.18db4f27a3255p-2, 0x1.1a465b439ee06p-2, 0x1.1b9c082aa678ap-2, 0x1.1cdc71e914111p-2, 0x1.1e07b78e3e405p-2, 0x1.1f1dfb11baf2ap-2, 0x1.201f6138d6a0dp-2, 0x1.210c117c41a0fp-2, 0x1.21e435edfb796p-2, 0x1.22a7fb1f802cap-2, 0x1.235790083b02bp-2, 0x1.23f325ec45d86p-2, 0x1.247af04373a46p-2, 0x1.24ef24a0afdd4p-2, 0x1.254ffa99afae2p-2, 0x1.259dabaefc726p-2, 0x1.25d8733457796p-2, 0x1.26008e397b785p-2, 0x1.26163b733cfa6p-2, 0x1.2619bb25079edp-2, 0x1.260b4f0ac2b07p-2, 0x1.25eb3a4313dc2p-2, 0x1.25b9c13a0be52p-2, 0x1.2577299435ddep-2, 0x1.2523ba1a0e2b8p-2, 0x1.24bfbaa3e0e4bp-2, 0x1.244b74060ffb2p-2, 0x1.23c72ffdc211dp-2, 0x1.2333391dfb513p-2, 0x1.228fdabd1cb54p-2, 0x1.21dd60e2d14e9p-2, 0x1.211c18365e07fp-2, 0x1.204c4ded60404p-2, 0x1.1f6e4fbaf18cbp-2, 0x1.1e826bbf381cp-2, 0x1.1d88f077592dbp-2, 0x1.1c822cadd9ed5p-2, 0x1.1b6e6f6b63b31p-2, 0x1.1a4e07e7f0f07p-2, 0x1.1921457c5d82fp-2, 0x1.17e877945fb29p-2, 0x1.16a3eda0e3b4dp-2, 0x1.1553f70acda8fp-2, 0x1.13f8e3261c561p-2, 0x1.12930125703p-2, 0x1.1122a00df0eabp-2, 0x1.0fa80eab97544p-2, 0x1.0e239b85d62e6p-2, 0x1.0c9594d49e121p-2, 0x1.0afe4875c2f6p-2, 0x1.095e03e2bef27p-2, 0x1.07b51426cc8a2p-2, 0x1.0603c5d55e307p-2, 0x1.044a6500eff8bp-2, 0x1.02893d322f786p-2, 0x1.00c0995f7cf25p-2, 0x1.fde187c982c4dp-3, 0x1.fa340cf733b9ap-3, 0x1.f6795467addadp-3, 0x1.f2b1eed89aa8dp-3, 0x1.eede6b97f82adp-3, 0x1.eaff5876f54eep-3, 0x1.e71541bd829b2p-3, 0x1.e320b21e67b22p-3, 0x1.df2232ac037bp-3, 0x1.db1a4acd9ac9fp-3, 0x1.d7098035382a5p-3, 0x1.d2f056d625981p-3, 0x1.cecf50dbebebfp-3, 0x1.caa6eea1e6ef9p-3, 0x1.c677aeab5e434p-3, 0x1.c2420d9c23169p-3, 0x1.be068631bd408p-3, 0x1.b9c5913d0ab19p-3, 0x1.b57fa59c6ba2cp-3, 0x1.b135383666647p-3, 0x1.ace6bbf4c1ed2p-3, 0x1.a894a1c01b8d1p-3, 0x1.a43f587bf3616p-3, 0x1.9fe74d03279b9p-3, 0x1.9b8cea24ddbcep-3, 0x1.973098a1df0c3p-3, 0x1.92d2bf2a5a331p-3, 0x1.8e73c25c0bc5bp-3, 0x1.8a1404c0d057fp-3, 0x1.85b3e6cd93cf5p-3, 0x1.8153c6e1a5dd2p-3, 0x1.7cf40146658d1p-3, 0x1.7894f02f4e771p-3, 0x1.7436ebba57be9p-3, 0x1.6fda49f0ab08p-3, 0x1.6b7f5ec7ae1d2p-3, 0x1.67267c225f407p-3, 0x1.62cff1d2f7decp-3, 0x1.5e7c0d9ce2d0cp-3, 0x1.5a2b1b36f8fbbp-3, 0x1.55dd644dffe97p-3, 0x1.519330877244bp-3, 0x1.4d4cc58485e74p-3, 0x1.490a66e573e0dp-3, 0x1.44cc564cf7072p-3, 0x1.4092d3640b9d4p-3, 0x1.3c5e1bdde6655p-3, 0x1.382e6b7c188e8p-3, 0x1.3403fc12f2167p-3, 0x1.2fdf058e11074p-3, 0x1.2bbfbdf51a0ccp-3, 0x1.27a65970a8743p-3, 0x1.23930a4f5cf5p-3, 0x1.1f86010b1dbbfp-3, 0x1.1b7f6c4e79a57p-3, 0x1.177f78fa2c031p-3, 0x1.1386522ac7f6dp-3, 0x1.0f94213e7ff3fp-3, 0x1.0ba90ddb0eac2p-3, 0x1.07c53df3ba60cp-3, 0x1.03e8d5cf6e315p-3, 0x1.0013f80ef699p-3, 0x1.f88d8b669479dp-4, 0x1.f102bc47d6b6ep-4, 0x1.e987be6ab5a5ap-4, 0x1.e21cca5f45d01p-4, 0x1.dac215a9cce69p-4, 0x1.d377d2d0131dbp-4, 0x1.cc3e3166bb952p-4, 0x1.c5155e1ebc696p-4, 0x1.bdfd82d2e69a3p-4, 0x1.b6f6c695830ep-4, 0x1.b0014dbdedd28p-4, 0x1.a91d39f64f458p-4, 0x1.a24aaa4948ed3p-4, 0x1.9b89bb2fb92f3p-4, 0x1.94da869e760efp-4, 0x1.8e3d241405a1fp-4, 0x1.87b1a8a65d613p-4, 0x1.81382710960b1p-4, 0x1.7ad0afc099b66p-4, 0x1.747b50e4c839ap-4, 0x1.6e3816798fc7ap-4, 0x1.68070a56f8e28p-4, 0x1.61e8343e20b66p-4, 0x1.5bdb99e6a39f6p-4, 0x1.55e13f0bf617ap-4, 0x1.4ff9257aa233dp-4, 0x1.4a234d1d7685fp-4, 0x1.445fb40a95dc1p-4, 0x1.3eae56907297cp-4, 0x1.390f2f42abc2cp-4, 0x1.33823706cad34p-4, 0x1.2e076520ecae3p-4, 0x1.289eaf403e545p-4, 0x1.2348098b6445dp-4, 0x1.1e0366acbb056p-4, 0x1.18d0b7de74c59p-4, 0x1.13afecf693e73p-4, 0x1.0ea0f472c32a3p-4, 0x1.09a3bb84042c1p-4, 0x1.04b82e1a3ae4dp-4, 0x1.ffbc6ddf1e303p-5, 0x1.f62b7f27547ap-5, 0x1.ecbd60ed8bcc9p-5, 0x1.e371e1e92fb8ep-5, 0x1.da48cebe1f8cap-5, 0x1.d141f211dad37p-5, 0x1.c85d14a054d38p-5, 0x1.bf99fd5071d75p-5, 0x1.b6f871482a09fp-5, 0x1.ae7834006162bp-5, 0x1.a619075853328p-5, 0x1.9ddaaba8b8069p-5, 0x1.95bcdfd681fe1p-5, 0x1.8dbf61654cc5dp-5, 0x1.85e1ec896a5bcp-5, 0x1.7e243c399a52fp-5, 0x1.76860a4064e8bp-5, 0x1.6f070f4d1b53p-5, 0x1.67a703047f0b3p-5, 0x1.60659c11133e4p-5, 0x1.5942903304b06p-5, 0x1.523d944fcd03dp-5, 0x1.4b565c816f433p-5, 0x1.448c9c25583cbp-5, 0x1.3de005eaf446p-5, 0x1.37504be1dcdb1p-5, 0x1.30dd1f87ba97p-5, 0x1.2a8631d5c82e7p-5, 0x1.244b334e00f76p-5, 0x1.1e2bd407fc69p-5, 0x1.1827c3bd6d123p-5, 0x1.123eb1d651744p-5, 0x1.0c704d74d011bp-5, 0x1.06bc4580b5e6bp-5, 0x1.012248b2b910fp-5, 0x1.f7440b3e9c158p-6, 0x1.ec7655828010fp-6, 0x1.e1dacd07eb2ffp-6, 0x1.d770ce9abd661p-6, 0x1.cd37b70f3e873p-6, 0x1.c32ee354bfdf5p-6, 0x1.b955b087c9afp-6, 0x1.afab7c0391b1dp-6, 0x1.a62fa372ea89ap-6, 0x1.9ce184e0a0cbcp-6, 0x1.93c07ec75476fp-6, 0x1.8acbf020a6b6ep-6, 0x1.820338740035ap-6, 0x1.7965b7e4b594bp-6, 0x1.70f2cf3fa632ap-6, 0x1.68a9e008683c9p-6, 0x1.608a4c85e74fbp-6, 0x1.589377ce7879bp-6, 0x1.50c4c5d388e4ap-6, 0x1.491d9b6cb5381p-6, 0x1.419d5e627f2a2p-6, 0x1.3a43757882fdfp-6, 0x1.330f4877377eap-6, 0x1.2c0040353b466p-6, 0x1.2515c6a0343f6p-6, 0x1.1e4f46c549cfdp-6, 0x1.17ac2cd91ababp-6, 0x1.112be63f70277p-6, 0x1.0acde1925fb35p-6, 0x1.04918ea929f54p-6, 0x1.fcecbd3d64899p-7, 0x1.f0f787aeff28cp-7, 0x1.e542640ef64ccp-7, 0x1.d9cc3c6e82f74p-7, 0x1.ce93fd92558dbp-7, 0x1.c39896fbd7de9p-7, 0x1.b8d8faf1d9f7ep-7, 0x1.ae541e889a53ap-7, 0x1.a408f9a9116ep-7, 0x1.99f68717dc3fdp-7, 0x1.901bc47b4151bp-7, 0x1.8677b260eb382p-7, 0x1.7d095442d6fdep-7, 0x1.73cfb08be442fp-7, 0x1.6ac9d09bbde13p-7, 0x1.61f6c0ca5903bp-7, 0x1.5955906ad3cdp-7, 0x1.50e551cdf5b21p-7, 0x1.48a51a44312b7p-7, 0x1.4094021f168d3p-7, 0x1.38b124b28e6f2p-7, 0x1.30fba0555b4b6p-7, 0x1.2972966180837p-7, 0x1.22152b33f618bp-7, 0x1.1ae2862c3e466p-7, 0x1.13d9d1ab7a0ddp-7, 0x1.0cfa3b1315305p-7, 0x1.0642f2c33b22dp-7, 0x1.ff665831ad899p-8, 0x1.f2943ad6bffa7p-8, 0x1.e60e00148d5efp-8, 0x1.d9d22073fa904p-8, 0x1.cddf1a61ea265p-8, 0x1.c23372282bfdfp-8, 0x1.b6cdb1e6354b2p-8, 0x1.abac69893ac3dp-8, 0x1.a0ce2ec3d6d1fp-8, 0x1.96319d0540dfcp-8, 0x1.8bd5556feee4bp-8, 0x1.81b7fed011834p-8, 0x1.77d8459160ca9p-8, 0x1.6e34dbb4b13ccp-8, 0x1.64cc78c53e85dp-8, 0x1.5b9dd9cd5c3bap-8, 0x1.52a7c14b1721dp-8, 0x1.49e8f72465479p-8, 0x1.4160489b1b508p-8, 0x1.390c88408883cp-8, 0x1.30ec8de8ec03p-8, 0x1.28ff369e99c91p-8, 0x1.21436494df335p-8, 0x1.19b7ff1ad6efep-8, 0x1.125bf28de6c9ap-8, 0x1.0b2e304c15c4ep-8, 0x1.042daea6453d8p-8, 0x1.fab2d1a473c72p-9, 0x1.ed60bdb8f07d1p-9, 0x1.e0632b34305ep-9, 0x1.d3b82d34cd3cp-9, 0x1.c75de030f8f46p-9, 0x1.bb5269d940741p-9, 0x1.af93f8fb88b7fp-9, 0x1.a420c565718dbp-9, 0x1.98f70fc71bf8fp-9, 0x1.8e15219568ecap-9, 0x1.83794cec62ccfp-9, 0x1.7921ec7181ca6p-9, 0x1.6f0d6335d6e67p-9, 0x1.653a1c9861c26p-9, 0x1.5ba68c2842656p-9, 0x1.52512d86f014cp-9, 0x1.4938844a6f9b6p-9, 0x1.405b1bdfd2c09p-9, 0x1.37b7876d2cb1ep-9, 0x1.2f4c61b475ae8p-9, 0x1.27184cf5d0823p-9, 0x1.1f19f2d227417p-9, 0x1.1750042e0c247p-9, 0x1.0fb939145ac47p-9, 0x1.0854509968e6dp-9, 0x1.012010be1a91fp-9, 0x1.f4368ca6074a1p-10, 0x1.e68989b8355bap-10, 0x1.d936cce877c85p-10, 0x1.cc3c1761e748cp-10, 0x1.bf97370d158e7p-10, 0x1.b34606589329ap-10, 0x1.a7466c01768fap-10, 0x1.9b965adcf038p-10, 0x1.9033d1a20e03cp-10, 0x1.851cdab3b26edp-10, 0x1.7a4f8beb650e3p-10, 0x1.6fca0664669bdp-10, 0x1.658a764753ff8p-10, 0x1.5b8f12966818fp-10, 0x1.51d61cfa21bd7p-10, 0x1.485de18e1ea14p-10, 0x1.3f24b6afc4fedp-10, 0x1.3628fccb56cbap-10, 0x1.2d691e2bb5f96p-10, 0x1.24e38ec94aea5p-10, 0x1.1c96cc19f13abp-10, 0x1.14815ce1cebacp-10, 0x1.0ca1d10435aa8p-10, 0x1.04f6c15561f29p-10, 0x1.fafd9ed92886cp-11, 0x1.ec714aeda739ep-11, 0x1.de45ec15943a1p-11, 0x1.d078f7f897cb9p-11, 0x1.c307f461ce8e6p-11, 0x1.b5f076eb6c7bp-11, 0x1.a93024a8d79c2p-11, 0x1.9cc4b1d45f5e9p-11, 0x1.90abe17c609d4p-11, 0x1.84e3853350feap-11, 0x1.79697cbf03ef9p-11, 0x1.6e3bb5cb31e9bp-11, 0x1.63582b9bbad15p-11, 0x1.58bce6c08efd8p-11, 0x1.4e67fcca7d085p-11, 0x1.44579001f9d37p-11, 0x1.3a89cf1e0d7b2p-11, 0x1.30fcf4fd1147ap-11, 0x1.27af485eb82fcp-11, 0x1.1e9f1b9ea85edp-11, 0x1.15cacc70fdd29p-11, 0x1.0d30c39e860a4p-11, 0x1.04cf74c423a77p-11, 0x1.f94abc2406e5cp-12, 0x1.e96210173c955p-12, 0x1.d9e20a944df8ap-12, 0x1.cac7e47e64e25p-12, 0x1.bc10e9f18c3b1p-12, 0x1.adba79cba91a2p-12, 0x1.9fc20539d28f4p-12, 0x1.92250f459cd0dp-12, 0x1.84e12c66d7d2ap-12, 0x1.77f40214a0067p-12, 0x1.6b5b465b0d4dep-12, 0x1.5f14bf726f249p-12, 0x1.531e4355dbd99p-12, 0x1.4775b76082f86p-12, 0x1.3c190fe85b405p-12, 0x1.31064fddec757p-12, 0x1.263b886ccd552p-12, 0x1.1bb6d89db3442p-12, 0x1.11766cfbda1edp-12, 0x1.07787f3ae8558p-12, 0x1.fb76abbde4581p-13, 0x1.e87a87cd6f273p-13, 0x1.d5f950ef07026p-13, 0x1.c3efdd1523735p-13, 0x1.b25b1938cabb2p-13, 0x1.a13808bd6dabdp-13, 0x1.9083c4d50c77ep-13, 0x1.803b7be9c21c2p-13, 0x1.705c7109edeccp-13, 0x1.60e3fb575d727p-13, 0x1.51cf857bdbfbep-13, 0x1.431c8d1bef9cfp-13, 0x1.34c8a254485dap-13, 0x1.26d16732683bdp-13, 0x1.19348f35f68c9p-13, 0x1.0befded2c782ap-13, 0x1.fe0255e983f9ep-14, 0x1.e4ccb11262aeap-14, 0x1.cc3ab8119df5ap-14, 0x1.b448720c042ebp-14, 0x1.9cf20379e3df6p-14, 0x1.8633ad4e26197p-14, 0x1.7009cc21016a8p-14, 0x1.5a70d7630801p-14, 0x1.4565608da307ep-14, 0x1.30e41263b2dfep-14, 0x1.1ce9b02dc99f8p-14, 0x1.097314ffe2199p-14, 0x1.ecfa66041c626p-15, 0x1.c80a257f17e76p-15, 0x1.a40fa4f454843p-15, 0x1.81054afd11c99p-15, 0x1.5ee5a703e3367p-15, 0x1.3dab7001fd11ep-15, 0x1.1d5183466a0e4p-15, 0x1.fba5c68fde4d4p-16, 0x1.be556cf97ef1bp-16, 0x1.82a88c7224969p-16, 0x1.4895fb3a9f3dap-16, 0x1.1014d0f9e9401p-16, 0x1.b238c97c0eb8bp-17, 0x1.474895cb4788fp-17, 0x1.be914cf2c56ebp-18, 0x1.e8a4382db8a9fp-19, 0x1.7da4e61a573b2p-21, -0x1.1ecaabf79168p-19, -0x1.491910989a4e7p-18, -0x1.fd831de042f69p-18, -0x1.565fa2c4fbe4bp-17, -0x1.ab7449512e363p-17, -0x1.fe0cacd87b5e3p-17, -0x1.271acfb5567e1p-16, -0x1.4dfdcee18c9c1p-16, -0x1.73b56911a65fep-16, -0x1.98478b88faa8cp-16, -0x1.bbb9fd032c8d9p-16, -0x1.de125ef71a52p-16, -0x1.ff562ee59c9cfp-16, -0x1.0fc563c1005e5p-15, -0x1.1f5ab0f4538bp-15, -0x1.2e6d8b5f46ca5p-15, -0x1.3d006fa574d7cp-15, -0x1.4b15cb44fa662p-15, -0x1.58affd1ac8662p-15, -0x1.65d155e0fe517p-15, -0x1.727c18ac8ff4dp-15, -0x1.7eb27b6317aa5p-15, -0x1.8a76a7316d4b8p-15, -0x1.95cab8f8ce7cfp-15, -0x1.a0b0c1bda9451p-15, -0x1.ab2ac70e01e16p-15, -0x1.b53ac367453fap-15, -0x1.bee2a698e1afdp-15, -0x1.c82456207e0a1p-15, -0x1.d101ad84e2d81p-15, -0x1.d97c7eb12625ep-15, -0x1.e1969244c54bfp-15, -0x1.e951a7e832507p-15, -0x1.f0af769b42088p-15, -0x1.f7b1ad000e4b6p-15, -0x1.fe59f1a534386p-15, -0x1.0254f1a59cd3bp-14, -0x1.05518c94b2526p-14, -0x1.082391972239ap-14, -0x1.0acbc51f2afb3p-14, -0x1.0d4ae838bf709p-14, -0x1.0fa1b8a6acc71p-14, -0x1.11d0f0fd9be32p-14, -0x1.13d948c07771fp-14, -0x1.15bb7478eb725p-14, -0x1.177825d0ff61ep-14, -0x1.19100baaa68aap-14, -0x1.1a83d23606a63p-14, -0x1.1bd42308ff291p-14, -0x1.1d01a5326eaefp-14, -0x1.1e0cfd4f7c55fp-14, -0x1.1ef6cd9e9adfbp-14, -0x1.1fbfb611b79dp-14, -0x1.20685461133ap-14, -0x1.20f1441ad3f7bp-14, -0x1.215b1eb43ae9fp-14, -0x1.21a67b98d4317p-14, -0x1.21d3f03951a4ep-14, -0x1.21e4101952933p-14, -0x1.21d76cde6f3e1p-14, -0x1.21ae965b0ff84p-14, -0x1.216a1a9c4d67ep-14, -0x1.210a85f5782fp-14, -0x1.2090630a783eap-14, -0x1.1ffc3adb762edp-14, -0x1.1f4e94ce600dbp-14, -0x1.1e87f6b94f8a5p-14, -0x1.1da8e4eaf027ap-14, -0x1.1cb1e233b15b8p-14, -0x1.1ba36fedf9c69p-14, -0x1.1a7e0e064abfbp-14, -0x1.19423b0220e04p-14, -0x1.17f07407c1178p-14, -0x1.168934e494ceap-14, -0x1.150cf81373ad8p-14, -0x1.137c36c31cbf1p-14, -0x1.11d768db2ca3bp-14, -0x1.101f050206c6dp-14, -0x1.0e5380a1fc625p-14, -0x1.0c754fede89e5p-14, -0x1.0a84e5e5b14eep-14, -0x1.0882b45a9627cp-14, -0x1.066f2bf32bcf3p-14, -0x1.044abc2f0ff75p-14, -0x1.0215d36a8639fp-14, -0x1.ffa1bdc399cb3p-15, -0x1.faf895688fa3bp-15, -0x1.f63103cf43aa1p-15, -0x1.f14bdcd3bddc4p-15, -0x1.ec49f22931248p-15, -0x1.e72c135df1329p-15, -0x1.e1f30de06c1a6p-15, -0x1.dc9fad0382893p-15, -0x1.d732ba019598ep-15, -0x1.d1acfc0095e22p-15, -0x1.cc0f381568239p-15, -0x1.c65a3147a6259p-15, -0x1.c08ea892f9afp-15, -0x1.baad5ceb63cbcp-15, -0x1.b4b70b3f5e46cp-15, -0x1.aeac6e79ac132p-15, -0x1.a88e3f8376733p-15, -0x1.a25d354756d52p-15, -0x1.9c1a04b251f2p-15, -0x1.95c560b57cfacp-15, -0x1.8f5ffa48166c9p-15, -0x1.88ea8068679b2p-15, -0x1.8265a01de5721p-15, -0x1.7bd20479ed9bcp-15, -0x1.75305699423f5p-15, -0x1.6e813da4ff5c2p-15, -0x1.67c55ed493e96p-15, -0x1.60fd5d6c7ea86p-15, -0x1.5a29dac16eb3ep-15, -0x1.534b7638d56aep-15, -0x1.4c62cd48b5146p-15, -0x1.45707b7981dbap-15, -0x1.3e751a65937f9p-15, -0x1.377141bbad1f5p-15, -0x1.3065873eb0d86p-15, -0x1.29527ec6a4fc5p-15, -0x1.2238ba4190335p-15, -0x1.1b18c9b44f7f3p-15, -0x1.13f33b3a8ab3fp-15, -0x1.0cc89b0848b5cp-15, -0x1.0599736abd32bp-15, -0x1.fccc999115db4p-16, -0x1.ee5f5b45a6143p-16, -0x1.dfec352c753c8p-16, -0x1.d1742cb6d8151p-16, -0x1.c2f84390c87bdp-16, -0x1.b47977a1adbep-16, -0x1.a5f8c30fb2799p-16, -0x1.97771c415d2ebp-16, -0x1.88f575df2d236p-16, -0x1.7a74bed4b8751p-16, -0x1.6bf5e255b6a5cp-16, -0x1.5d79c7de9ad03p-16, -0x1.4f0153374991ep-16, -0x1.408d6474dcd85p-16, -0x1.321ed7fd6b9c9p-16, -0x1.23b6868a18a11p-16, -0x1.1555452a40b1ep-16, -0x1.06fbe5465df43p-16, -0x1.f1566948b115ep-17, -0x1.d4c7fad2e6ed4p-17, -0x1.b84e0c397c15bp-17, -0x1.9bea235757d2dp-17, -0x1.7f9dbeda4157cp-17, -0x1.636a564d32da1p-17, -0x1.47515a1bead3ap-17, -0x1.2b54339c89edep-17, -0x1.0f74451642aa6p-17, -0x1.e765d3944fd78p-18, -0x1.b022ebf6f3045p-18, -0x1.79226df54297bp-18, -0x1.4266e655d7b38p-18, -0x1.0bf2d41c84ff5p-18, -0x1.ab915133d5ce4p-19, -0x1.3fd58ef76f453p-19, -0x1.a96e1b9153eb9p-20, -0x1.a8e97bf49cb91p-21, -0x1.8fe493d34ab49p-29, 0x1.a31f1f489db31p-21, 0x1.a28944d4ccde4p-20, 0x1.390e6f756eb19p-19, 0x1.a02121dedd74ep-19, 0x1.033c633fd44b1p-18, 0x1.3608c1f9f508ap-18, 0x1.6873cd34c89f8p-18, 0x1.9a7bb1b8e3e8fp-18, 0x1.cc1ea8ebc4a6bp-18, 0x1.fd5af8b4f29aep-18, 0x1.171779b227a23p-17, 0x1.2f4c7bccc45c1p-17, 0x1.474bb8154ee94p-17, 0x1.5f146a0744fd7p-17, 0x1.76a5d31f39fe5p-17, 0x1.8dff3acf152acp-17, 0x1.a51fee7127bf6p-17, 0x1.bc0741387e58ap-17, 0x1.d2b48c2413c48p-17, 0x1.e9272df27b72dp-17, 0x1.ff5e8b134439cp-17, 0x1.0aad06cca5e3ap-16, 0x1.158c9296ffee2p-16, 0x1.204da38068a84p-16, 0x1.2aeff6dcdad0cp-16, 0x1.35734cb5b0f1bp-16, 0x1.3fd767c2b751ep-16, 0x1.4a1c0d61dfb2cp-16, 0x1.54410591145ecp-16, 0x1.5e461ae66b724p-16, 0x1.682b1a88c0766p-16, 0x1.71efd427ca1ebp-16, 0x1.7b9419f4c3be9p-16, 0x1.8517c09b6267cp-16, 0x1.8e7a9f3ac5b5ep-16, 0x1.97bc8f5d2ad41p-16, 0x1.a0dd6cf052364p-16, 0x1.a9dd163d7aadbp-16, 0x1.b2bb6be37609ap-16, 0x1.bb7850ccbae66p-16, 0x1.c413aa29ba284p-16, 0x1.cc8d5f68b8321p-16, 0x1.d4e55a2d2dc4fp-16, 0x1.dd1b8648e631ep-16, 0x1.e52fd1b462e98p-16, 0x1.ed222c865876bp-16, 0x1.f4f288ec2cb7bp-16, 0x1.fca0db23a7567p-16, 0x1.02168cb8fa21ap-15, 0x1.05cb9e0e2bfcap-15, 0x1.096f9eaff8d3p-15, 0x1.0d028cb542e21p-15, 0x1.108467299bb58p-15, 0x1.13f52e08f9467p-15, 0x1.1754e23c20b0cp-15, 0x1.1aa38595198dp-15, 0x1.1de11acb26cc4p-15, 0x1.210da576c5565p-15, 0x1.24292a0dd588ap-15, 0x1.2733ade022be1p-15, 0x1.2a2d3713b3b66p-15, 0x1.2d15cca0ca4a5p-15, 0x1.2fed764e3aab5p-15, 0x1.32b43cadab392p-15, 0x1.356a2917d84d7p-15, 0x1.380f45a9103bcp-15, 0x1.3aa39d3d38c8fp-15, 0x1.3d273b6c7d3ffp-15, 0x1.3f9a2c87504e6p-15, 0x1.41fc7d930fa6bp-15, 0x1.444e3c4656916p-15, 0x1.468f77056396cp-15, 0x1.48c03cde5b91fp-15, 0x1.4ae09d85e5c2p-15, 0x1.4cf0a953d3063p-15, 0x1.4ef0713f383acp-15, 0x1.50e006db5a45ap-15, 0x1.52bf7c541af52p-15, 0x1.548ee46a2054cp-15, 0x1.564e527002a93p-15, 0x1.57fdda468b308p-15, 0x1.599d905967424p-15, 0x1.5b2d899c282dp-15, 0x1.5caddb866ae8p-15, 0x1.5e1e9c10d1183p-15, 0x1.5f7fe1b1b8271p-15, 0x1.60d1c35a087c6p-15, 0x1.621458721a56cp-15, 0x1.6347b8d637ebap-15, 0x1.646bfcd38ae4ep-15, 0x1.65813d256f1c9p-15, 0x1.668792f1cb4e3p-15, 0x1.677f17c627a6dp-15, 0x1.6867e594f94c2p-15, 0x1.694216b24207cp-15, 0x1.6a0dc5d0a61f2p-15, 0x1.6acb0dfe44eb9p-15, 0x1.6b7a0aa2930e1p-15, 0x1.6c1ad77ac6387p-15, 0x1.6cad909703859p-15, 0x1.6d3252578d74bp-15, 0x1.6da9396a6f46bp-15, 0x1.6e1262c88076p-15, 0x1.6e6debb21df65p-15, 0x1.6ebbf1ad23c0ap-15, 0x1.6efc928203bf9p-15, 0x1.6f2fec392ee1ap-15, 0x1.6f561d1838a1dp-15, 0x1.6f6f439fb41cep-15, 0x1.6f7b7e88665fep-15, 0x1.6f7aecc0ce761p-15, 0x1.6f6dad6a76b39p-15, 0x1.6f53dfd7efb1ep-15, 0x1.6f2da389fc222p-15, 0x1.6efb182d45e47p-15, 0x1.6ebc5d986aabdp-15, 0x1.6e7193c927d07p-15, 0x1.6e1adae20bccbp-15, 0x1.6db853289e9f2p-15, 0x1.6d4a1d030e3cp-15, 0x1.6cd058f5b1908p-15, 0x1.6c4b27a1054bep-15, 0x1.6bbaa9bf821ccp-15, 0x1.6b1f0023cdb8ap-15, 0x1.6a784bb650f6ep-15, 0x1.69c6ad7311a83p-15, 0x1.690a466862701p-15, 0x1.684337b404811p-15, 0x1.6771a281ce18p-15, 0x1.6695a8096eb5cp-15, 0x1.65af698cef69ap-15, 0x1.64bf08566281cp-15, 0x1.63c4a5b68da0ep-15, 0x1.62c0630270b7cp-15, 0x1.61b261925a649p-15, 0x1.609ac2bfdde3fp-15, 0x1.5f79a7e37e11ep-15, 0x1.5e4f3253a7d8p-15, 0x1.5d1b83633bd6cp-15, 0x1.5bdebc5f8623cp-15, 0x1.5a98fe8ebddcap-15, 0x1.594a6b2e78d5ep-15, 0x1.57f323723882p-15, 0x1.56934881fa17p-15, 0x1.552afb788f94p-15, 0x1.53ba5d6240d58p-15, 0x1.52418f3b7b133p-15, 0x1.50c0b1ef4c7bdp-15, 0x1.4f37e656140f7p-15, 0x1.4da74d347f4bap-15, 0x1.4c0f0739f41ffp-15, 0x1.4a6f34fedad22p-15, 0x1.48c7f7042ab2ep-15, 0x1.47196db2073bep-15, 0x1.4563b955d3e8ap-15, 0x1.43a6fa21d5d0ep-15, 0x1.41e3502c55b8fp-15, 0x1.4018db6d91b02p-15, 0x1.3e47bbbf0ab92p-15, 0x1.3c7010daadb24p-15, 0x1.3a91fa5988f36p-15, 0x1.38ad97b31379fp-15, 0x1.36c3083bbd0e6p-15, 0x1.34d26b244ea85p-15, 0x1.32dbdf78eddf3p-15, 0x1.30df84202c3dbp-15, }}, 
      {{0x1.be2ce47d2103cp-10, 0x1.be418cafde0f5p-9, 0x1.4e4d11110aae1p-8, 0x1.bc8b2388e8e57p-8, 0x1.14ec109f4e1fbp-7, 0x1.4b843bdeaaac1p-7, 0x1.82eaa4ca1a7a7p-7, 0x1.bc5a9efb7ec2fp-7, 0x1.f94c8845143cep-7, 0x1.1da8030e5a2dap-6, 0x1.41f47921e3999p-6, 0x1.6a3951d0b678bp-6, 0x1.9705814f12708p-6, 0x1.c8c2b425c56e2p-6, 0x1.ffb23bdd7fb2dp-6, 0x1.1df66fd09e5ffp-5, 0x1.3eb274eb42f02p-5, 0x1.61f4e926de72p-5, 0x1.87967b1b7121p-5, 0x1.af6372ad990f3p-5, 0x1.d91e71bdf085bp-5, 0x1.024194bddfe75p-4, 0x1.18a474740df18p-4, 0x1.2f9278d64dea8p-4, 0x1.46e643c499f3dp-4, 0x1.5e7b5a2b48006p-4, 0x1.762edf87140fp-4, 0x1.8de02bcfa3e24p-4, 0x1.a5713dddeea1ap-4, 0x1.bcc70d316b9e7p-4, 0x1.d3c9be7396dc2p-4, 0x1.ea64be567bd02p-4, 0x1.0043633be1262p-3, 0x1.0b10e7ed4dd6dp-3, 0x1.15957b2d406ecp-3, 0x1.1fcd281bcffe6p-3, 0x1.29b55e4933102p-3, 0x1.334cd5adc776dp-3, 0x1.3c937076619ddp-3, 0x1.458a1b97581d1p-3, 0x1.4e32aef31a6ep-3, 0x1.568fcdbe06aa1p-3, 0x1.5ea4c7a95136p-3, 0x1.66757b41f6472p-3, 0x1.6e0639d74f09bp-3, 0x1.755bad2693ff1p-3, 0x1.7c7abef5666e3p-3, 0x1.836882b5413cbp-3, 0x1.8a2a213bdc387p-3, 0x1.90c4c6916f50ep-3, 0x1.973d91cc737f3p-3, 0x1.9d9986eb5d0fp-3, 0x1.a3dd82971a526p-3, 0x1.aa0e2fb4f5f74p-3, 0x1.b02ffeab9168fp-3, 0x1.b6471e3cad7b5p-3, 0x1.bc5775d46c38dp-3, 0x1.c264a12e69421p-3, 0x1.c871ed311ed02p-3, 0x1.ce8255e0e32a2p-3, 0x1.d498854ca9c84p-3, 0x1.dab6d35827739p-3, 0x1.e0df4648596a1p-3, 0x1.e71393f92e665p-3, 0x1.ed5523a4acf29p-3, 0x1.f3a51025c4a24p-3, 0x1.fa042aa2b783ap-3, 0x1.00397ec65b9eep-2, 0x1.0378e7f20c784p-2, 0x1.06c05458fe955p-2, 0x1.0a0fa95500facp-2, 0x1.0d66aff3f0bafp-2, 0x1.10c516df2b2d3p-2, 0x1.142a7446edf95p-2, 0x1.179647cd8ceafp-2, 0x1.1b07fc6ee81dbp-2, 0x1.1e7eea6115da6p-2, 0x1.21fa58eba171fp-2, 0x1.257980332d049p-2, 0x1.28fb8af7a786dp-2, 0x1.2c7f984390eb6p-2, 0x1.3004bd0b24027p-2, 0x1.338a05ba7900bp-2, 0x1.370e77b1e9495p-2, 0x1.3a9112b04614cp-2, 0x1.3e10d22a8b51cp-2, 0x1.418cae90f0d81p-2, 0x1.45039e815c8ffp-2, 0x1.487497e74ea05p-2, 0x1.4bde910981415p-2, 0x1.4f40818591f56p-2, 0x1.5299633a07ba1p-2, 0x1.55e8331f33f85p-2, 0x1.592bf20f601dcp-2, 0x1.5c63a57ed3493p-2, 0x1.5f8e58243c57dp-2, 0x1.62ab1a9212c6p-2, 0x1.65b903c188c46p-2, 0x1.68b7318fa6abdp-2, 0x1.6ba4c92d286e3p-2, 0x1.6e80f781bf4d2p-2, 0x1.714af1834c0d9p-2, 0x1.7401f481b06d4p-2, 0x1.76a54667cba05p-2, 0x1.793435f2359d1p-2, 0x1.7bae1adc50816p-2, 0x1.7e1256043554p-2, 0x1.806051861058bp-2, 0x1.829780cf65e96p-2, 0x1.84b760aad1683p-2, 0x1.86bf7744ac3d3p-2, 0x1.88af542921b1dp-2, 0x1.8a86903c1c4cdp-2, 0x1.8c44cdab813ap-2, 0x1.8de9b7dc242d1p-2, 0x1.8f750351d9577p-2, 0x1.90e66d930714bp-2, 0x1.923dbd081ce52p-2, 0x1.937ac0d73ee18p-2, 0x1.949d50bc82737p-2, 0x1.95a54cdf0f027p-2, 0x1.96929da369638p-2, 0x1.9765337b3d9c6p-2, 0x1.981d06b2e3ab7p-2, 0x1.98ba173ce6932p-2, 0x1.993c6c7bcfa33p-2, 0x1.99a4150a6c15fp-2, 0x1.99f12682c38dp-2, 0x1.9a23bd4400f3dp-2, 0x1.9a3bfc376f357p-2, 0x1.9a3a0c94c676fp-2, 0x1.9a1e1da5ec951p-2, 0x1.99e8648a5be98p-2, 0x1.99991bfa4abb3p-2, 0x1.99308409c9018p-2, 0x1.98aee1ebe21d2p-2, 0x1.98147fb5f4a9p-2, 0x1.9761ac23534d9p-2, 0x1.9696ba594e407p-2, 0x1.95b401abbbde4p-2, 0x1.94b9dd621a524p-2, 0x1.93a8ac7d60b8dp-2, 0x1.9280d17e91c63p-2, 0x1.9142b22e2187bp-2, 0x1.8feeb764419abp-2, 0x1.8e854cd2210a2p-2, 0x1.8d06e0cc2d755p-2, 0x1.8b73e4156403p-2, 0x1.89ccc9abba7dp-2, 0x1.88120695ab918p-2, 0x1.864411b0ee96dp-2, 0x1.84636382655eep-2, 0x1.827076073d77p-2, 0x1.806bc487589ecp-2, 0x1.7e55cb68f1e7ap-2, 0x1.7c2f08058fc33p-2, 0x1.79f7f8803c671p-2, 0x1.77b11b9d0ce23p-2, 0x1.755af099f35ddp-2, 0x1.72f5f708e4051p-2, 0x1.7082aeab42e61p-2, 0x1.6e01974ea164ap-2, 0x1.6b7330aacb3fcp-2, 0x1.68d7fa4117b95p-2, 0x1.6630733d08fefp-2, 0x1.637d1a562e62ep-2, 0x1.60be6db349671p-2, 0x1.5df4eaceb1328p-2, 0x1.5b210e5bf4722p-2, 0x1.5843542eae356p-2, 0x1.555c37228ff9ep-2, 0x1.526c310497384p-2, 0x1.4f73ba7d6fc5p-2, 0x1.4c734afcf3a06p-2, 0x1.496b58a6cfae8p-2, 0x1.465c58403ae09p-2, 0x1.4346bd1ec3522p-2, 0x1.402af918288fcp-2, 0x1.3d097c73395a2p-2, 0x1.39e2b5d9b5552p-2, 0x1.36b7124b26c45p-2, 0x1.3386fd10b2916p-2, 0x1.3052dfb1d24cap-2, 0x1.2d1b21e9f8278p-2, 0x1.29e0299f141cbp-2, 0x1.26a25ad8f0298p-2, 0x1.236217b964781p-2, 0x1.201fc07555691p-2, 0x1.1cdbb34e7a2ap-2, 0x1.19964c8de22bcp-2, 0x1.164fe67f39796p-2, 0x1.1308d96cb905p-2, 0x1.0fc17b9bcbb7dp-2, 0x1.0c7a214a56acap-2, 0x1.09331caca343bp-2, 0x1.05ecbdebe476ap-2, 0x1.02a7532551b51p-2, 0x1.fec650d39ebe9p-3, 0x1.f8410f7c42b4p-3, 0x1.f1bf723743267p-3, 0x1.eb4204e2e439ep-3, 0x1.e4c94f4c53f8ap-3, 0x1.de55d533e6011p-3, 0x1.d7e816522a394p-3, 0x1.d1808e5dd77eep-3, 0x1.cb1fb5127374cp-3, 0x1.c4c5fe37c2dd9p-3, 0x1.be73d9a9dd922p-3, 0x1.b829b361f7aa5p-3, 0x1.b1e7f37fc02f2p-3, 0x1.abaefe535c5e5p-3, 0x1.a57f3467e9831p-3, 0x1.9f58f28e88e75p-3, 0x1.993c91e9e366p-3, 0x1.932a67fa22db6p-3, 0x1.8d22c6a95522dp-3, 0x1.8725fc58351d5p-3, 0x1.813453eb4e522p-3, 0x1.7b4e14d8733d8p-3, 0x1.7573833488118p-3, 0x1.6fa4dfc18f6eap-3, 0x1.69e267fcf3ce8p-3, 0x1.642c562e182d9p-3, 0x1.5e82e1750be43p-3, 0x1.58e63dd9796f4p-3, 0x1.53569c59b31fep-3, 0x1.4dd42af9ef4cp-3, 0x1.485f14d391afcp-3, 0x1.42f7822499c11p-3, 0x1.3d9d985f1d531p-3, 0x1.38517a38d6945p-3, 0x1.331347bab591p-3, 0x1.2de31e507c43bp-3, 0x1.28c118d85b871p-3, 0x1.23ad4fb28ac0fp-3, 0x1.1ea7d8d0ddca5p-3, 0x1.19b0c7c6485f5p-3, 0x1.14c82dd660ad6p-3, 0x1.0fee1a04c4dadp-3, 0x1.0b229924735cbp-3, 0x1.0665b5e70b8ccp-3, 0x1.01b778ebf3dbdp-3, 0x1.fa2fd19ec2767p-4, 0x1.f10e147292d31p-4, 0x1.e809bfd844767p-4, 0x1.df22d5a725a03p-4, 0x1.d6595425dabd6p-4, 0x1.cdad3627162eap-4, 0x1.c51e7325f9dafp-4, 0x1.bcacff6220cc3p-4, 0x1.b458cbfb4d511p-4, 0x1.ac21c70cc0eb7p-4, 0x1.a407dbc82ff83p-4, 0x1.9c0af2905b9e6p-4, 0x1.942af113360dep-4, 0x1.8c67ba63b982ap-4, 0x1.84c12f1345317p-4, 0x1.7d372d4a950ccp-4, 0x1.75c990e252cc5p-4, 0x1.6e78337b35aap-4, 0x1.6742ec95b7dcdp-4, 0x1.602991a95a9b5p-4, 0x1.592bf63b7a3b8p-4, 0x1.5249ebf5b5f4ap-4, 0x1.4b8342bbe40bep-4, 0x1.44d7c8c1923fep-4, 0x1.3e474a9f1a2fdp-4, 0x1.37d193663ed64p-4, 0x1.31766cb65a212p-4, 0x1.2b359ed019116p-4, 0x1.250ef0a8c4465p-4, 0x1.1f0227fd19e0cp-4, 0x1.190f0963b31dep-4, 0x1.1335585efb774p-4, 0x1.0d74d76eb6a48p-4, 0x1.07cd482115257p-4, 0x1.023e6b235eb6bp-4, 0x1.f99000a453cc7p-5, 0x1.eed38d9252727p-5, 0x1.e446f9e513aep-5, 0x1.d9e9c12bd098fp-5, 0x1.cfbb5dcdb675cp-5, 0x1.c5bb49262897ep-5, 0x1.bbe8fba02cb9fp-5, 0x1.b243ecd117932p-5, 0x1.a8cb939259a68p-5, 0x1.9f7f661a962b8p-5, 0x1.965eda15e9ab3p-5, 0x1.8d6964bd6fcebp-5, 0x1.849e7aee069b7p-5, 0x1.7bfd913e54becp-5, 0x1.73861c14188a1p-5, 0x1.6b378fb8b511ap-5, 0x1.6311606d18849p-5, 0x1.5b13027ce0a7ep-5, 0x1.533bea50dc0f6p-5, 0x1.4b8b8c80da035p-5, 0x1.44015de4d1dc3p-5, 0x1.3c9cd3a565021p-5, 0x1.355d634bbe5d9p-5, 0x1.2e4282d0d2c13p-5, 0x1.274ba8ac02fd8p-5, 0x1.20784be12812fp-5, 0x1.19c7e40e032cp-5, 0x1.1339e9772404ap-5, 0x1.0ccdd51433ce6p-5, 0x1.0683209bbfa7ep-5, 0x1.0059468e71109p-5, 0x1.f49f848382bacp-6, 0x1.e8cc1fd458195p-6, 0x1.dd375949c6495p-6, 0x1.d1e02d01fc712p-6, 0x1.c6c599106e28p-6, 0x1.bbe69d8e5c24bp-6, 0x1.b1423caa6fc68p-6, 0x1.a6d77ab778418p-6, 0x1.9ca55e3a45e89p-6, 0x1.92aaeff6bc359p-6, 0x1.88e73afc0b163p-6, 0x1.7f594cb013004p-6, 0x1.760034da1b36ep-6, 0x1.6cdb05acb0bbbp-6, 0x1.63e8d3cee583p-6, 0x1.5b28b664b8545p-6, 0x1.5299c716f155dp-6, 0x1.4a3b221a3bacap-6, 0x1.420be635a500fp-6, 0x1.3a0b34c87eae4p-6, 0x1.323831cf9bb1ap-6, 0x1.2a9203ea01dbbp-6, 0x1.2317d45d08a47p-6, 0x1.1bc8cf17e0b42p-6, 0x1.14a422b6af0dcp-6, 0x1.0da9008501741p-6, 0x1.06d69c7fe3ce5p-6, 0x1.002c2d576d09ap-6, 0x1.f351d8dfab84p-7, 0x1.e6982bc44ef45p-7, 0x1.da29d0f8eb367p-7, 0x1.ce054b83650fcp-7, 0x1.c22923d237ac9p-7, 0x1.b693e7ba9e8f7p-7, 0x1.ab442a75f910ep-7, 0x1.a038849e68d61p-7, 0x1.956f942aebfcap-7, 0x1.8ae7fc6ac0511p-7, 0x1.80a066001c3a5p-7, 0x1.76977eda743dbp-7, 0x1.6ccbfa300283fp-7, 0x1.633c9076fe25fp-7, 0x1.59e7ff5e1fbc9p-7, 0x1.50cd09c4cbdeap-7, 0x1.47ea77b2ab405p-7, 0x1.3f3f164ee3439p-7, 0x1.36c9b7d6f5059p-7, 0x1.2e89339513c4fp-7, 0x1.267c65d631d08p-7, 0x1.1ea22fdfaf4ebp-7, 0x1.16f977e4c01e4p-7, 0x1.0f8128fb6901bp-7, 0x1.08383311484b6p-7, 0x1.011d8ae0145f4p-7, 0x1.f46053c38a1cbp-8, 0x1.e6de1c8943028p-8, 0x1.d9b275bdfea4ap-8, 0x1.ccdb6e4598a17p-8, 0x1.c0571e21e951p-8, 0x1.b423a6591a747p-8, 0x1.a83f30dbc1a18p-8, 0x1.9ca7f06ab56ffp-8, 0x1.915c207c81429p-8, 0x1.865a0522b6721p-8, 0x1.7b9feaeefbe16p-8, 0x1.712c26d8055ep-8, 0x1.66fd161e29e3fp-8, 0x1.5d111e302bb3ep-8, 0x1.5366ac8f84d84p-8, 0x1.49fc36b4e384p-8, 0x1.40d039f48cd41p-8, 0x1.37e13b6274b1bp-8, 0x1.2f2dc7b696b9cp-8, 0x1.26b4733124ebcp-8, 0x1.1e73d97ebe826p-8, 0x1.166a9d9cb32e8p-8, 0x1.0e9769bd42a9bp-8, 0x1.06f8ef2bf4c52p-8, 0x1.ff1bcc63d9f1p-9, 0x1.f0aa1bf513df8p-9, 0x1.e29a58ef9b4b4p-9, 0x1.d4ea1c8e4432cp-9, 0x1.c7970d2c435a1p-9, 0x1.ba9ede0efab3ap-9, 0x1.adff4f3034afdp-9, 0x1.a1b62d0895978p-9, 0x1.95c1505a4fe46p-9, 0x1.8a1e9dfc47801p-9, 0x1.7ecc06a5b5ed3p-9, 0x1.73c786b9dc83fp-9, 0x1.690f26147df6fp-9, 0x1.5ea0f7d65a18dp-9, 0x1.547b1a3285bebp-9, 0x1.4a9bb63bc7237p-9, 0x1.4100ffb2cb981p-9, 0x1.37a934d4a0c1p-9, 0x1.2e929e2992988p-9, 0x1.25bb8e54c6982p-9, 0x1.1d2261e4098b8p-9, 0x1.14c57f208163p-9, 0x1.0ca355df9630ap-9, 0x1.04ba5f54581f7p-9, 0x1.fa123bc3842e5p-10, 0x1.eb1c39da5994cp-10, 0x1.dc8fe1630b598p-10, 0x1.ce6a6c25e87eep-10, 0x1.c0a924e657425p-10, 0x1.b349670c3e649p-10, 0x1.a6489e4ecc99dp-10, 0x1.99a446607b3ap-10, 0x1.8d59ea9bcbd7ep-10, 0x1.816725b182653p-10, 0x1.75c9a1581cd8dp-10, 0x1.6a7f15fbdf721p-10, 0x1.5f854a709ff8fp-10, 0x1.54da13a466e89p-10, 0x1.4a7b545355fd9p-10, 0x1.4066fcbc8315ap-10, 0x1.369b0a583eb9ap-10, 0x1.2d15878f4838ap-10, 0x1.23d48b731c5c7p-10, 0x1.1ad63977b7aa3p-10, 0x1.1218c12e180a6p-10, 0x1.099a5e000df51p-10, 0x1.015956ed32775p-10, 0x1.f2a7fc91c1412p-11, 0x1.e31162f2c42a9p-11, 0x1.d3ebb17028affp-11, 0x1.c533cda5bc86cp-11, 0x1.b6e6b1dd26d84p-11, 0x1.a9016c949c9c7p-11, 0x1.9b812008695cap-11, 0x1.8e6301bdce3c3p-11, 0x1.81a45a1097e8ep-11, 0x1.754283c28b9fp-11, 0x1.693aeb8ce5cc9p-11, 0x1.5d8b0fb3cf15dp-11, 0x1.52307f9befce1p-11, 0x1.4728db622d293p-11, 0x1.3c71d3752193cp-11, 0x1.32092830b4db2p-11, 0x1.27eca97b7b325p-11, 0x1.1e1a366670256p-11, 0x1.148fbccdb2eeep-11, 0x1.0b4b38fc38148p-11, 0x1.024ab550ac95ap-11, 0x1.f31893c842a27p-12, 0x1.e21c38662f824p-12, 0x1.d19cbd8f2a8b4p-12, 0x1.c196a1cb1ca31p-12, 0x1.b2067c71dbc8fp-12, 0x1.a2e8fd09de07fp-12, 0x1.943aeaab96501p-12, 0x1.85f9236757212p-12, 0x1.78209bae5f677p-12, 0x1.6aae5dbf95f39p-12, 0x1.5d9f89177ca7p-12, 0x1.50f151e289ebbp-12, 0x1.44a100736c381p-12, 0x1.38abf0bc48098p-12, 0x1.2d0f91ca659d8p-12, 0x1.21c965451a6e7p-12, 0x1.16d6feefdd562p-12, 0x1.0c36042e9631dp-12, 0x1.01e42b8d9151fp-12, 0x1.efbe7896b8e8fp-13, 0x1.dc4a1bcb4d85fp-13, 0x1.c9670f5370012p-13, 0x1.b711408ac1ba1p-13, 0x1.a544bab99bdccp-13, 0x1.93fda642b88b1p-13, 0x1.833847d692cafp-13, 0x1.72f0ffacc1addp-13, 0x1.632448c0b25cp-13, 0x1.53ceb813ca883p-13, 0x1.44ecfbf387667p-13, 0x1.367bdb44b795fp-13, 0x1.287834d34b939p-13, 0x1.1adefea5db894p-13, 0x1.0dad45554673bp-13, 0x1.00e02b6a29604p-13, 0x1.e8e9d1783b11p-14, 0x1.d0d193adc1136p-14, 0x1.b9725ec35d51ap-14, 0x1.a2c71b18e2151p-14, 0x1.8ccad6fd457fbp-14, 0x1.7778c5980694ap-14, 0x1.62cc3dd68451ap-14, 0x1.4ec0b961e0fecp-14, 0x1.3b51d39abb9a4p-14, 0x1.287b489d6e467p-14, 0x1.1638f44c24167p-14, 0x1.0486d15e51ae9p-14, 0x1.e6c1f0f0e01ep-15, 0x1.c5873e91fbd35p-15, 0x1.a5562f57d312fp-15, 0x1.86279da4a4ca8p-15, 0x1.67f498e60a0b9p-15, 0x1.4ab663fd99c65p-15, 0x1.2e6673b33416ep-15, 0x1.12fe6d36c5dc1p-15, 0x1.f0f04953a1788p-16, 0x1.bd9b37666929cp-16, 0x1.8bf2003ae5ccp-16, 0x1.5be954ff40371p-16, 0x1.2d7639dcd3f09p-16, 0x1.008e03731bbd8p-16, 0x1.aa4ca8b6075bap-17, 0x1.566a35912a418p-17, 0x1.05611c6a6621p-17, 0x1.6e3cb471f83ap-18, 0x1.ae3dd6738bb64p-19, 0x1.1513d4a9c0f82p-20, -0x1.1dd04ce513605p-20, -0x1.9e5c31df0a216p-19, -0x1.520a14460b583p-18, -0x1.d02812637644dp-18, -0x1.24d39e4b93787p-17, -0x1.5f52efc369978p-17, -0x1.97a0b8ff4cb09p-17, -0x1.cdcb4dd97e43ep-17, -0x1.00f04eecdf156p-16, -0x1.19f71bb03bad2p-16, -0x1.3200a5557fd4cp-16, -0x1.49135665eb878p-16, -0x1.5f356d45f3e1p-16, -0x1.746cfd9521979p-16, -0x1.88bff189c5bb7p-16, -0x1.9c340b3ba1ee3p-16, -0x1.aecee5ea536a7p-16, -0x1.c095f73182e03p-16, -0x1.d18e903cd7c94p-16, -0x1.e1bddeea1ed25p-16, -0x1.f128eee686235p-16, -0x1.ffd4aac1bd591p-16, -0x1.06e2ee7bf20c1p-15, -0x1.0d809879267e5p-15, -0x1.13c59a01cdcb8p-15, -0x1.19b42b2a90371p-15, -0x1.1f4e75e913dap-15, -0x1.24969684dd886p-15, -0x1.298e9c030eaa4p-15, -0x1.2e388892a6388p-15, -0x1.329651ef690eep-15, -0x1.36a9e1c66fc68p-15, -0x1.3a7516149ab78p-15, -0x1.3df9c1833420dp-15, -0x1.4139abc00d6cdp-15, -0x1.443691d4b18e2p-15, -0x1.46f2267821715p-15, -0x1.496e12606baf1p-15, -0x1.4babf48eab603p-15, -0x1.4dad629b27bbbp-15, -0x1.4f73e8fd0f3edp-15, -0x1.51010b502a94p-15, -0x1.5256449851893p-15, -0x1.5375078244691p-15, -0x1.545ebea2791ccp-15, -0x1.5514ccb1f494ap-15, -0x1.55988cc83783dp-15, -0x1.55eb529440ebfp-15, -0x1.560e6a91b0c8ep-15, -0x1.56031a3e74badp-15, -0x1.55caa04d38623p-15, -0x1.556634d5390a6p-15, -0x1.54d709827fa6ap-15, -0x1.541e49c28e296p-15, -0x1.533d1af01e591p-15, -0x1.52349c7d584a7p-15, -0x1.5105e81cc7d64p-15, -0x1.4fb211e7f8614p-15, -0x1.4e3a2885cd43bp-15, -0x1.4c9f354e2952fp-15, -0x1.4ae23c6dd238fp-15, -0x1.49043d0782dc8p-15, -0x1.4706315532077p-15, -0x1.44e90ec6d7043p-15, -0x1.42adc6210e86dp-15, -0x1.40554399dc144p-15, -0x1.3de06ef4933d9p-15, -0x1.3b502b9e0ab72p-15, -0x1.38a558c51acc1p-15, -0x1.35e0d17528665p-15, -0x1.33036cad31221p-15, -0x1.300dfd77e7095p-15, -0x1.2d0153019875cp-15, -0x1.29de38ae52acdp-15, -0x1.26a5762e9a649p-15, -0x1.2357cf9309756p-15, -0x1.1ff6056051c96p-15, -0x1.1c80d4a1d0147p-15, -0x1.18f8f6fb2aff2p-15, -0x1.155f22ba394a9p-15, -0x1.11b40ae7c534cp-15, -0x1.0df85f570a855p-15, -0x1.0a2cccb611752p-15, -0x1.0651fc9c43444p-15, -0x1.02689598b496cp-15, -0x1.fce276820fb91p-16, -0x1.f4d91c7bd44eep-16, -0x1.ecb658b24e418p-16, -0x1.e47b61135830ap-16, -0x1.dc2965ff4e5acp-16, -0x1.d3c1926157061p-16, -0x1.cb450bc63c22ep-16, -0x1.c2b4f271c1fb8p-16, -0x1.ba126174729f8p-16, -0x1.b15e6ec013c1ap-16, -0x1.a89a2b3c07affp-16, -0x1.9fc6a2d800d5bp-16, -0x1.96e4dc9fc4e5p-16, -0x1.8df5dacd6ae48p-16, -0x1.84fa9ad9b5bb4p-16, -0x1.7bf4158eea487p-16, -0x1.72e33f1835a95p-16, -0x1.69c907123ff9p-16, -0x1.60a6589b40f74p-16, -0x1.577c1a62480a2p-16, -0x1.4e4b2eb58ff93p-16, -0x1.45147391f67e5p-16, -0x1.3bd8c2b0696afp-16, -0x1.3298f1947caefp-16, -0x1.2955d198a53f2p-16, -0x1.20102ffd67266p-16, -0x1.16c8d5f3ff108p-16, -0x1.0d8088ac5a81bp-16, -0x1.043809613f496p-16, -0x1.f5e02ac60128p-17, -0x1.e352cc4adcfb5p-17, -0x1.d0c96294ce393p-17, -0x1.be455159e53cbp-17, -0x1.abc7f4d9feb8fp-17, -0x1.9952a1f43c469p-17, -0x1.86e6a63b1618fp-17, -0x1.7485480d005abp-17, -0x1.622fc6a5b947cp-17, -0x1.4fe75a3453494p-17, -0x1.3dad33efdcd5ap-17, -0x1.2b827e2a61c49p-17, -0x1.19685c65c8cb7p-17, -0x1.075feb660fabp-17, -0x1.ead4828b389abp-18, -0x1.c710db0f13575p-18, -0x1.a376f256d716ep-18, -0x1.8008cd7c8c40fp-18, -0x1.5cc864db74efbp-18, -0x1.39b7a436649fep-18, -0x1.16d86ad6f1096p-18, -0x1.e859176a8acfap-19, -0x1.a36b9b3b55476p-19, -0x1.5eebd69980356p-19, -0x1.1add2732b666p-19, -0x1.ae85a6541ed04p-20, -0x1.284012a4de498p-20, -0x1.45df861ec2f19p-21, -0x1.e9ab9c0a69efap-24, 0x1.92e4d022aaa2ep-22, 0x1.ce0cbb108cac6p-21, 0x1.684745d8dd50dp-20, 0x1.e8769b7de2223p-20, 0x1.33c79bf0426e1p-19, 0x1.72c60f5f96dd8p-19, 0x1.b1343ed7788bbp-19, 0x1.ef0fd5ce632cfp-19, 0x1.162b4a14385afp-18, 0x1.348326f89f33bp-18, 0x1.528e758cf98aep-18, 0x1.704c33a183914p-18, 0x1.8dbb68b96ac35p-18, 0x1.aadb25ec31cacp-18, 0x1.c7aa85c87c5fcp-18, 0x1.e428ac2f76a53p-18, 0x1.002a631d0536ep-17, 0x1.0e17050b17dc5p-17, 0x1.1bd9db7444ad6p-17, 0x1.29728a588bb47p-17, 0x1.36e0ba121be41p-17, 0x1.44241749ea985p-17, 0x1.513c52e58a253p-17, 0x1.5e2921f92f068p-17, 0x1.6aea3db895b27p-17, 0x1.777f6366a80d9p-17, 0x1.83e8544672a8ep-17, 0x1.9024d58da08d4p-17, 0x1.9c34b052f09a3p-17, 0x1.a817b180a8abap-17, 0x1.b3cda9c5f6ee1p-17, 0x1.bf566d87c0335p-17, 0x1.cab1d4d062397p-17, 0x1.d5dfbb43cba15p-17, 0x1.e0e0000e2af3p-17, 0x1.ebb285d63516bp-17, 0x1.f65732afaf88fp-17, 0x1.0066f805a367ap-16, 0x1.058b5554299e1p-16, 0x1.0a98a9445f3acp-16, 0x1.0f8eed6f7a1ebp-16, 0x1.146e1d014037bp-16, 0x1.193634b0b6014p-16, 0x1.1de732b90c6e4p-16, 0x1.228116d203c05p-16, 0x1.2703e22a27cadp-16, 0x1.2b6f975ed8b7ep-16, 0x1.2fc43a762bc7ap-16, 0x1.3401d0d77176bp-16, 0x1.38286145255f8p-16, 0x1.3c37f3d5ca202p-16, 0x1.403091ec9e577p-16, 0x1.44124634064cep-16, 0x1.47dd1c96c7adp-16, 0x1.4b912238a1b3bp-16, 0x1.4f2e6570e381p-16, 0x1.52b4f5c304fcp-16, 0x1.5624e3d8f518fp-16, 0x1.597e417be5e56p-16, 0x1.5cc1218f5346p-16, 0x1.5fed980955f3ep-16, 0x1.6303b9ed122fep-16, 0x1.66039d44acaf6p-16, 0x1.68ed591aef8c4p-16, 0x1.6bc10574e748bp-16, 0x1.6e7ebb4ca689ap-16, 0x1.7126948ac13bfp-16, 0x1.73b8ac005666cp-16, 0x1.76351d61e0de4p-16, 0x1.789c05407f3fdp-16, 0x1.7aed8104bbff7p-16, 0x1.7d29aee8c49f5p-16, 0x1.7f50adf300bd1p-16, 0x1.81629deffc2f9p-16, 0x1.835f9f6d392a8p-16, 0x1.8547d3b3a9086p-16, 0x1.871b5cc25ebap-16, 0x1.88da5d48f1f25p-16, 0x1.8a84f8a23195bp-16, 0x1.8c1b52cf538adp-16, 0x1.8d9d907252228p-16, 0x1.8f0bd6c91d59bp-16, 0x1.90664ba81c48dp-16, 0x1.91ad1575c11d5p-16, 0x1.92e05b250636cp-16, 0x1.94004430e776dp-16, 0x1.950cf8979e523p-16, 0x1.9606a0d571126p-16, 0x1.96ed65e02ab55p-16, 0x1.97c17122d0c4ep-16, 0x1.9882ec7883e44p-16, 0x1.993202282b90cp-16, 0x1.99cedcdff8d09p-16, 0x1.9a59a7b1376cp-16, 0x1.9ad28e0baa6b1p-16, 0x1.9b39bbb94d74dp-16, 0x1.9b8f5cda2831bp-16, 0x1.9bd39ddff1678p-16, 0x1.9c06ab8a3bb5ep-16, 0x1.9c28b2e224f1bp-16, 0x1.9c39e1369fb48p-16, 0x1.9c3a64183ca91p-16, 0x1.9c2a69553904p-16, 0x1.9c0a1ef5e59ecp-16, 0x1.9bd9b338ec341p-16, 0x1.9b99548f5dd92p-16, 0x1.9b4931992c1cp-16, 0x1.9ae97921b1fbfp-16, 0x1.9a7a5a1bf41bp-16, 0x1.99fc039f11369p-16, 0x1.996ea4e32e908p-16, 0x1.98d26d3e0258dp-16, 0x1.98278c1f344bcp-16, 0x1.976e310d5c1edp-16, 0x1.96a68ba3186d4p-16, 0x1.95d0cb8b7d078p-16, 0x1.94ed207f258d1p-16, 0x1.93fbba4109559p-16, 0x1.92fcc89bbd997p-16, 0x1.91f07b5e6ed39p-16, 0x1.90d7025a1c6dep-16, 0x1.8fb08d5ec54bap-16, 0x1.8e7d4c389172bp-16, 0x1.8d3d6ead07f41p-16, 0x1.8bf124787f328p-16, 0x1.8a989d4bd6a8ep-16, 0x1.893408c97bd34p-16, 0x1.87c39682fae25p-16, 0x1.864775f6c4097p-16, 0x1.84bfd68de31b6p-16, 0x1.832ce7994323ep-16, 0x1.818ed84fa9c0cp-16, 0x1.7fe5d7cb4ce0cp-16, 0x1.7e321507d1b69p-16, 0x1.7c73bee0360e2p-16, 0x1.7aab040ca34b5p-16, 0x1.78d813203dce2p-16, 0x1.76fb1a875efc6p-16, 0x1.751448857dde4p-16, 0x1.7323cb3364d53p-16, 0x1.7129d07d3aa55p-16, 0x1.6f268620d4ff1p-16, 0x1.6d1a19ac03d3fp-16, 0x1.6b04b87ab2e01p-16, 0x1.68e68fb559062p-16, 0x1.66bfcc4f210ep-16, 0x1.64909b04a2803p-16, 0x1.6259285a0611ap-16, 0x1.6019a099da997p-16, 0x1.5dd22fd39ced2p-16, 0x1.5b8301da1256fp-16, 0x1.592c4241e104bp-16, 0x1.56ce1c60884cep-16, 0x1.5468bb4aeab3ap-16, 0x1.51fc49d3eaaccp-16, 0x1.4f88f28b56a06p-16, 0x1.4d0edfbce582cp-16, 0x1.4a8e3b6f0b11dp-16, 0x1.48072f61ba0f2p-16, 0x1.4579e50d2dae3p-16, 0x1.42e685a1403efp-16, 0x1.404d3a040172bp-16, 0x1.3dae2ad12d739p-16, 0x1.3b09805960f84p-16, 0x1.385f62a0b4946p-16, 0x1.35aff95e07db8p-16, 0x1.32fb6bfa597bep-16, 0x1.3041e19009035p-16, 0x1.2d8380e9ff6b4p-16, 0x1.2ac07082e1033p-16, 0x1.27f8d6845387ep-16, 0x1.252cd8c6be01fp-16, 0x1.225c9cd08cb3ep-16, 0x1.1f8847d5342dcp-16, 0x1.1caffeb4fcb35p-16, 0x1.19d3e5fc48534p-16, 0x1.16f421e319206p-16, 0x1.1410d64cdc972p-16, 0x1.112a26c7bdf57p-16, 0x1.0e40368c57af5p-16, 0x1.0b53287d3bd19p-16, 0x1.08631f2670241p-16, 0x1.05703cbd64134p-16, 0x1.027aa32077a1ap-16, 0x1.ff04e7ad5f7dap-17, 0x1.f90fa01f3b8e9p-17, 0x1.f315b145e1199p-17, 0x1.ed175c20d47f2p-17, 0x1.e714e0ff0f99cp-17, 0x1.e10e7f7f175c5p-17, 0x1.db04768e198edp-17, 0x1.d4f70467cd1a3p-17, 0x1.cee6669689171p-17, 0x1.c8d2d9f36e991p-17, 0x1.c2bc9aa5ca27ap-17, 0x1.bca3e42301024p-17, 0x1.b688f12eb97a6p-17, 0x1.b06bfbda8bb02p-17, 0x1.aa4d3d869ea82p-17, 0x1.a42ceee102902p-17, 0x1.9e0b47e6ae634p-17, 0x1.97e87fe2c31ffp-17, 0x1.91c4cd6f753f1p-17, 0x1.8ba06675d7616p-17, 0x1.857b802eacb83p-17, 0x1.7f564f2225495p-17, 0x1.7931072817947p-17, 0x1.730bdb687c838p-17, 0x1.6ce6fe5c10d39p-17, 0x1.66c2a1cd1913cp-17, 0x1.609ef6d710f11p-17, 0x1.5a7c2de76f355p-17, 0x1.545a76be277b9p-17, 0x1.4e3a006e4b4ecp-17, 0x1.481af95e96882p-17, 0x1.41fd8f49ee903p-17, 0x1.3be1ef3ffc23ep-17, 0x1.35c845a5a239fp-17, 0x1.2fb0be361349ep-17, 0x1.299b8403c0872p-17, 0x1.2388c17829be9p-17, 0x1.1d78a054fc20bp-17, 0x1.176b49b51c6ffp-17, 0x1.1160e60d06fb9p-17, 0x1.0b599d2bbaf6bp-17, 0x1.0555963b6384bp-17, 0x1.fea9ef85d2743p-18, 0x1.f2afcf4c4a42p-18, 0x1.e6bd164ceb304p-18, 0x1.dad20dc8c56a1p-18, 0x1.ceeefdbfe2d74p-18, 0x1.c3142cf39dc43p-18, 0x1.b741e0e86d792p-18, 0x1.ab785de7acc43p-18, 0x1.9fb7e7014eeecp-18, 0x1.9400be0f18a78p-18, }}, 
      {{0x1.d4621fc60cfeep-1, 0x1.d45d1cb393d3fp-1, 0x1.d45c0269fa67fp-1, 0x1.d45d28e480dfap-1, 0x1.d458e9189504dp-1, 0x1.d444b510e9b5p-1, 0x1.d415e511358f8p-1, 0x1.d3c391fc283d6p-1, 0x1.d3477b8ddcb5bp-1, 0x1.d29e365bd374ep-1, 0x1.d1c6e6b5f287dp-1, 0x1.d0c2c14120976p-1, 0x1.cf9478e5b4b72p-1, 0x1.ce3fb26c9f30dp-1, 0x1.ccc88ad6096a5p-1, 0x1.cb3335df99f02p-1, 0x1.c983b57fadf5fp-1, 0x1.c7bda870b1fp-1, 0x1.c5e42c941ca2fp-1, 0x1.c3f9d178ca885p-1, 0x1.c20097563b98fp-1, 0x1.bff9f71c94589p-1, 0x1.bde6f0ab67659p-1, 0x1.bbc81cc00c46p-1, 0x1.b99dc0a9857e6p-1, 0x1.b767e2439e51ap-1, 0x1.b5265b20cb606p-1, 0x1.b2d8ea20d397ap-1, 0x1.b07f42f97a92p-1, 0x1.ae191b6f13d23p-1, 0x1.aba63626d04b6p-1, 0x1.a9266b1d2d3d6p-1, 0x1.a699ade231e16p-1, 0x1.a40011cca4b17p-1, 0x1.a159cc5eb063p-1, 0x1.9ea7361aea941p-1, 0x1.9be8ca0989325p-1, 0x1.991f242bb0117p-1, 0x1.964aff171b536p-1, 0x1.936d30ef75fe5p-1, 0x1.9086a7ed13399p-1, 0x1.8d98669ad6dc1p-1, 0x1.8aa37fef27cep-1, 0x1.87a9135e0cdfp-1, 0x1.84aa48fd2f46fp-1, 0x1.81a84dcd8c43ep-1, 0x1.7ea4503a283b6p-1, 0x1.7b9f7cd72075bp-1, 0x1.789afb690c71fp-1, 0x1.7597ec39ad563p-1, 0x1.729765bc696b9p-1, 0x1.6f9a72830b46ep-1, 0x1.6ca20f818e8d5p-1, 0x1.69af2a9e6f6ccp-1, 0x1.66c2a18bf3e11p-1, 0x1.63dd40e61ff79p-1, 0x1.60ffc39083698p-1, 0x1.5e2ad24eb67fcp-1, 0x1.5b5f039230702p-1, 0x1.589cdb7817eeep-1, 0x1.55e4cbf1b9ae4p-1, 0x1.533735127854p-1, 0x1.5094657e3f4b9p-1, 0x1.4dfc9af3c0889p-1, 0x1.4b7002ee0e17cp-1, 0x1.48eebb597655bp-1, 0x1.4678d357d073dp-1, 0x1.440e4c10c5114p-1, 0x1.41af198aec14bp-1, 0x1.3f5b238ae73edp-1, 0x1.3d124675f5cd4p-1, 0x1.3ad45435c0988p-1, 0x1.38a1151b6a2ep-1, 0x1.367848c028743p-1, 0x1.3459a6e1f6696p-1, 0x1.3244e03b16557p-1, 0x1.30399f535cfdbp-1, 0x1.2e37894a66362p-1, 0x1.2c3e3e9a00086p-1, 0x1.2a4d5bd03fecbp-1, 0x1.28647a40d84d8p-1, 0x1.268330ad6127bp-1, 0x1.24a913e464b72p-1, 0x1.22d5b757155c6p-1, 0x1.2108ada5a9365p-1, 0x1.1f41892267c06p-1, 0x1.1d7fdc4b85d36p-1, 0x1.1bc33a3bfbcbep-1, 0x1.1a0b37138637p-1, 0x1.18576856121c1p-1, 0x1.16a76542d6345p-1, 0x1.14fac72368015p-1, 0x1.1351299316ddep-1, 0x1.11aa2abee25bep-1, 0x1.10056b9e61b27p-1, 0x1.0e629025ee41dp-1, 0x1.0cc13f726ca84p-1, 0x1.0b2123ef08685p-1, 0x1.0981eb7538fcdp-1, 0x1.07e3476766c78p-1, 0x1.0644ecc680548p-1, 0x1.04a69442d660dp-1, 0x1.0307fa4889d66p-1, 0x1.0168df07dd1cdp-1, 0x1.ff920cf3606aep-2, 0x1.fc5070c0e45edp-2, 0x1.f90c808b9b50fp-2, 0x1.f5c5daeaa042ap-2, 0x1.f27c25e8a10f9p-2, 0x1.ef2f0eee9bd8fp-2, 0x1.ebde4aaa04668p-2, 0x1.e88994eec2f67p-2, 0x1.e530b0956dae2p-2, 0x1.e1d3675629be4p-2, 0x1.de7189a08a6dcp-2, 0x1.db0aee70cbb98p-2, 0x1.d79f7322b823p-2, 0x1.d42efb428c5e3p-2, 0x1.d0b9705c224fp-2, 0x1.cd3ec1c8a46fep-2, 0x1.c9bee47b0d5b1p-2, 0x1.c639d2cbb56f5p-2, 0x1.c2af8c4317e78p-2, 0x1.bf20156417864p-2, 0x1.bb8b7775e20efp-2, 0x1.b7f1c04dab488p-2, 0x1.b453021863298p-2, 0x1.b0af53248ec39p-2, 0x1.ad06cdac6b10cp-2, 0x1.a9598fa072b6cp-2, 0x1.a5a7ba726c911p-2, 0x1.a1f172e116cd5p-2, 0x1.9e36e0c48ba04p-2, 0x1.9a782edb74b0cp-2, 0x1.96b58a991ecefp-2, 0x1.92ef23f484d75p-2, 0x1.8f252d385afdep-2, 0x1.8b57dad42d6a5p-2, 0x1.8787632e9d95p-2, 0x1.83b3fe78c5deep-2, 0x1.7fdde682d105fp-2, 0x1.7c055691ca4d9p-2, 0x1.782a8b36ac11dp-2, 0x1.744dc226b3cf7p-2, 0x1.706f3a14fe43dp-2, 0x1.6c8f328d6f29fp-2, 0x1.68adebd0e5757p-2, 0x1.64cba6b2bcec8p-2, 0x1.60e8a477a035dp-2, 0x1.5d0526b5a3deep-2, 0x1.59216f35af333p-2, 0x1.553dbfd6303e7p-2, 0x1.515a5a6f1230bp-2, 0x1.4d7780b6f9357p-2, 0x1.49957429bf5b2p-2, 0x1.45b475f027186p-2, 0x1.41d4c6c8ca0aap-2, 0x1.3df6a6f234f88p-2, 0x1.3a1a56162f559p-2, 0x1.364013362a534p-2, 0x1.32681c98ceb21p-2, 0x1.2e92afb8a2ba9p-2, 0x1.2ac00933c5badp-2, 0x1.26f064bcb4b7ap-2, 0x1.2323fd0c17e0bp-2, 0x1.1f5b0bd38a44ap-2, 0x1.1b95c9b15e688p-2, 0x1.17d46e254d492p-2, 0x1.14172f86134c6p-2, 0x1.105e42f7ed7edp-2, 0x1.0ca9dc63f166cp-2, 0x1.08fa2e7037f26p-2, 0x1.054f6a78d71b8p-2, 0x1.01a9c0899ed0fp-2, 0x1.fc12beb1297ffp-3, 0x1.f4dce8824e26dp-3, 0x1.edb256801f1e5p-3, 0x1.e6935ddfc1c01p-3, 0x1.df80510c6723ep-3, 0x1.d8797fa2e3959p-3, 0x1.d17f366e6bd55p-3, 0x1.ca91bf6671f9ap-3, 0x1.c3b161ad913cep-3, 0x1.bcde61917c65ap-3, 0x1.b619008be5fe6p-3, 0x1.af617d444f01ep-3, 0x1.a8b81392bdbfap-3, 0x1.a21cfc833c6bbp-3, 0x1.9b906e5a27456p-3, 0x1.95129c9938bc9p-3, 0x1.8ea3b80547456p-3, 0x1.8843eeaca5e67p-3, 0x1.81f36bee2a248p-3, 0x1.7bb25880c3112p-3, 0x1.7580da7b99919p-3, 0x1.6f5f155eb1f26p-3, 0x1.694d2a1c0a63ap-3, 0x1.634b3721205e4p-3, 0x1.5d595860e31c3p-3, 0x1.5777a75e034dbp-3, 0x1.51a63b359c869p-3, 0x1.4be528aa22668p-3, 0x1.4634822ea85b5p-3, 0x1.409457f2571fcp-3, 0x1.3b04b7ec2b3ccp-3, 0x1.3585ade6dc014p-3, 0x1.3017438cf65edp-3, 0x1.2ab980751bd73p-3, 0x1.256c6a2e64995p-3, 0x1.2030044cda3e8p-3, 0x1.1b0450760eae4p-3, 0x1.15e94e6dba0afp-3, 0x1.10defc2274c49p-3, 0x1.0be555ba68dfap-3, 0x1.06fc55a013111p-3, 0x1.0223f48efbfp-3, 0x1.fab85340e5d29p-4, 0x1.f149d4b072bc7p-4, 0x1.e7fc55624f35cp-4, 0x1.decfba53822c1p-4, 0x1.d5c3e5a16c709p-4, 0x1.ccd8b6a29941dp-4, 0x1.c40e09ff6ba6ap-4, 0x1.bb63b9ca91ba7p-4, 0x1.b2d99d99335e5p-4, 0x1.aa6f8a9ae89e1p-4, 0x1.a22553b176079p-4, 0x1.99fac9882d873p-4, 0x1.91efbaab0c6b1p-4, 0x1.8a03f39d93613p-4, 0x1.82373ef139d5fp-4, 0x1.7a89655b9b4d6p-4, 0x1.72fa2dcc44285p-4, 0x1.6b895d8226732p-4, 0x1.6436b820b285ep-4, 0x1.5d01ffc48f96dp-4, 0x1.55eaf517f3e4dp-4, 0x1.4ef157669ab82p-4, 0x1.4814e4b158bfep-4, 0x1.415559c1484a8p-4, 0x1.3ab2723a91646p-4, 0x1.342be8aecb66dp-4, 0x1.2dc176aef850ep-4, 0x1.2772d4dd16ecep-4, 0x1.213fbafd49ffbp-4, 0x1.1b27e0069e2f8p-4, 0x1.152afa3360bbbp-4, 0x1.0f48bf110fd19p-4, 0x1.0980e38fe39d4p-4, 0x1.03d31c11eeaep-4, 0x1.fc7e38f3ad78ap-5, 0x1.f189307244409p-5, 0x1.e6c684bc51d73p-5, 0x1.dc359b4327559p-5, 0x1.d1d5d8e6fb39ap-5, 0x1.c7a6a2105c23fp-5, 0x1.bda75ac8e486ep-5, 0x1.b3d766d31cfe6p-5, 0x1.aa3629c1aa81cp-5, 0x1.a0c3070dae67cp-5, 0x1.977d622c74086p-5, 0x1.8e649ea459afep-5, 0x1.85782020fe63ep-5, 0x1.7cb74a86c55d9p-5, 0x1.742182059a769p-5, 0x1.6bb62b2b04e7fp-5, 0x1.6374aaf393427p-5, 0x1.5b5c66db966d2p-5, 0x1.536cc4ef32b2ep-5, 0x1.4ba52bd9cfaaep-5, 0x1.440502f4e20f8p-5, 0x1.3c8bb25616e65p-5, 0x1.3538a2dce4e6dp-5, 0x1.2e0b3e3f7f32bp-5, 0x1.2702ef1737186p-5, 0x1.201f20ec457cap-5, 0x1.195f40410a575p-5, 0x1.12c2ba9cbc499p-5, 0x1.0c48fe958ea14p-5, 0x1.05f17bda514fp-5, 0x1.ff7746771923p-6, 0x1.f34dcd6843aa7p-6, 0x1.e76572e2d4ccp-6, 0x1.dbbd1fb5b542p-6, 0x1.d053bf3272f95p-6, 0x1.c5283f3aa8f3fp-6, 0x1.ba39904ca7c3bp-6, 0x1.af86a58f29236p-6, 0x1.a50e74dc40a3cp-6, 0x1.9acff6cb739c4p-6, 0x1.90ca26bb09f71p-6, 0x1.86fc02d8a3ce9p-6, 0x1.7d648c290515dp-6, 0x1.7402c68f3a7afp-6, 0x1.6ad5b8d2fcc55p-6, 0x1.61dc6ca671a75p-6, 0x1.5915eeab45c97p-6, 0x1.50814e7720c38p-6, 0x1.481d9e97827f1p-6, 0x1.3fe9f49507e6dp-6, 0x1.37e568f61debap-6, 0x1.300f17412a9e3p-6, 0x1.28661dfe2f2c2p-6, 0x1.20e99eb7ddd51p-6, 0x1.1998bdfc47ba1p-6, 0x1.1272a35cf6332p-6, 0x1.0b76796eaa118p-6, 0x1.04a36dc89ad09p-6, 0x1.fbf1620699d99p-7, 0x1.eeeaed6e0b6d3p-7, 0x1.e231eaf3bd7bap-7, 0x1.d5c4cdbaddf5cp-7, 0x1.c9a20ed848e86p-7, 0x1.bdc82d4c8bda9p-7, 0x1.b235adfd394p-7, 0x1.a6e91bada554ap-7, 0x1.9be106f70af91p-7, 0x1.911c0640280b6p-7, 0x1.8698b5b44b9a3p-7, 0x1.7c55b739d8c3fp-7, 0x1.7251b26864411p-7, 0x1.688b547e4801ep-7, 0x1.5f015055e52c1p-7, 0x1.55b25e5a53b9dp-7, 0x1.4c9d3c7bde06cp-7, 0x1.43c0ae23fc4a4p-7, 0x1.3b1b7c2913f9dp-7, 0x1.32ac74c1d2427p-7, 0x1.2a726b78457cep-7, 0x1.226c391cae937p-7, 0x1.1a98bbb80e251p-7, 0x1.12f6d67e729c6p-7, 0x1.0b8571c11e96p-7, 0x1.04437ae05a8dap-7, 0x1.fa5fc87a7acb6p-8, 0x1.ec934a565e88p-8, 0x1.df1f73c295e09p-8, 0x1.d20246d74faaap-8, 0x1.c539cf38e971fp-8, 0x1.b8c421fa03206p-8, 0x1.ac9f5d7d50819p-8, 0x1.a0c9a9575d8aep-8, 0x1.954136301aa06p-8, 0x1.8a043da43a203p-8, 0x1.7f110226a9837p-8, 0x1.7465cee1d864dp-8, 0x1.6a00f798e8baep-8, 0x1.5fe0d88907522p-8, 0x1.5603d64a86eafp-8, 0x1.4c685db240dd2p-8, 0x1.430ce3b2cc13dp-8, 0x1.39efe53dde895p-8, 0x1.310fe725af535p-8, 0x1.286b75fe748dp-8, 0x1.20012600111aap-8, 0x1.17cf92e7be7c9p-8, 0x1.0fd55fd9e9048p-8, 0x1.081137442d895p-8, 0x1.0081cabf9237ap-8, 0x1.f24ba5e590372p-9, 0x1.e3f81ee96df3bp-9, 0x1.d6068d5e6873ep-9, 0x1.c8748b83b9fe4p-9, 0x1.bb3fc0ca87b5dp-9, 0x1.ae65e19c8a1dfp-9, 0x1.a1e4af2322458p-9, 0x1.95b9f70f0c014p-9, 0x1.89e393606407bp-9, 0x1.7e5f6a2f54af3p-9, 0x1.732b6d753f159p-9, 0x1.68459ad6568e6p-9, 0x1.5dabfb6bdec3bp-9, 0x1.535ca38eec707p-9, 0x1.4955b2a3cb0d4p-9, 0x1.3f9552e5bdafap-9, 0x1.3619b933ae09ep-9, 0x1.2ce124dd0b44fp-9, 0x1.23e9df6f95da9p-9, 0x1.1b323c85ae9a8p-9, 0x1.12b8999511c5ap-9, 0x1.0a7b5dbe6f668p-9, 0x1.0278f99d7d42cp-9, 0x1.f55fce33659dep-10, 0x1.e63d526f4e88cp-10, 0x1.d78797d5fe86cp-10, 0x1.c93bc7d22637dp-10, 0x1.bb571cf827801p-10, 0x1.add6e2ae1566p-10, 0x1.a0b874d46274ep-10, 0x1.93f93f704cf9bp-10, 0x1.8796be574ad52p-10, 0x1.7b8e7cdbcb931p-10, 0x1.6fde157b41053p-10, 0x1.6483318d6d3fep-10, 0x1.597b88f4c34f8p-10, 0x1.4ec4e1d03dba8p-10, 0x1.445d102e68616p-10, 0x1.3a41f5c182b98p-10, 0x1.3071819515927p-10, 0x1.26e9afc471ec1p-10, 0x1.1da88932ce212p-10, 0x1.14ac23441f17ep-10, 0x1.0bf29f979449p-10, 0x1.037a2bc316bb4p-10, 0x1.f682021f8f9a1p-11, 0x1.e68ac86fff65bp-11, 0x1.d70b4a4c50993p-11, 0x1.c8003d6a15404p-11, 0x1.b9666ce21a8a8p-11, 0x1.ab3ab8b4f047ep-11, 0x1.9d7a1552689a1p-11, 0x1.90218b22987b6p-11, 0x1.832e36116c46p-11, 0x1.769d451c3da4ap-11, 0x1.6a6bf9e1bbc27p-11, 0x1.5e97a833b6451p-11, 0x1.531db5ab0db68p-11, 0x1.47fb993e03eb8p-11, 0x1.3d2edad811865p-11, 0x1.32b512f422711p-11, 0x1.288bea38e7cbap-11, 0x1.1eb119169f327p-11, 0x1.15226767533a7p-11, 0x1.0bddac10bd68ap-11, 0x1.02e0cca82a3fap-11, 0x1.f4537a303483ep-12, 0x1.e36cfe8fd3894p-12, 0x1.d30a458a38fd2p-12, 0x1.c32788dce3835p-12, 0x1.b3c11c41edec4p-12, 0x1.a4d36ccd17a97p-12, 0x1.965b004c74a7bp-12, 0x1.885474ac986c4p-12, 0x1.7abc7f5fd05f3p-12, 0x1.6d8fecc8ccbdp-12, 0x1.60cb9fa85e1c1p-12, 0x1.546c908e8707cp-12, 0x1.486fcd4e9352ap-12, 0x1.3cd27875f0acdp-12, 0x1.3191c8c6a2eap-12, 0x1.26ab08b3fe98ap-12, 0x1.1c1b95e2d4f3bp-12, 0x1.11e0e0ac2dc0ap-12, 0x1.07f86ba2e26a7p-12, 0x1.fcbf9637d0b9ep-13, 0x1.ea2949729f274p-13, 0x1.d8295df022923p-13, 0x1.c6bb61809763ep-13, 0x1.b5db01f0419dep-13, 0x1.a5840c31da405p-13, 0x1.95b26b8ee7b31p-13, 0x1.866228db1598bp-13, 0x1.778f69ae6ca33p-13, 0x1.69366fa2bd29bp-13, 0x1.5b539795d820cp-13, 0x1.4de358f0fc3cp-13, 0x1.40e244f3779f1p-13, 0x1.344d0602a8f42p-13, 0x1.28205efdc4478p-13, 0x1.1c592a954a8c3p-13, 0x1.10f45aa791421p-13, 0x1.05eef7a070423p-13, 0x1.f68c3fb9e6856p-14, 0x1.e1ee0e262c922p-14, 0x1.cdfdeb7a985dcp-14, 0x1.bab691122d294p-14, 0x1.a812df93b0fcep-14, 0x1.960dddde1f843p-14, 0x1.84a2b7fb2180ep-14, 0x1.73ccbe18f6b49p-14, 0x1.6387638aec644p-14, 0x1.53ce3dcf808a1p-14, 0x1.449d039e3714fp-14, 0x1.35ef8bfa31d4fp-14, 0x1.27c1cd4ad7159p-14, 0x1.1a0fdc7cc5606p-14, 0x1.0cd5ec2424026p-14, 0x1.00104ba903cdep-14, 0x1.e776ccecc27c2p-15, 0x1.cfa7865e8876dp-15, 0x1.b8ac05d42b4bcp-15, 0x1.a27dc0dfaaed7p-15, 0x1.8d165f0238054p-15, 0x1.786fb83eafc2cp-15, 0x1.6483d3b6c24a4p-15, 0x1.514ce651e9111p-15, 0x1.3ec5516c32f2cp-15, 0x1.2ce7a18dadf55p-15, 0x1.1bae8d2d7fcd7p-15, 0x1.0b14f379a017ep-15, 0x1.f62bb654a3cbap-16, 0x1.d758e2b4a9f1p-16, 0x1.b9a810d52f3e7p-16, 0x1.9d102dd4bed51p-16, 0x1.81886d1436d47p-16, 0x1.67084625d2d74p-16, 0x1.4d8772cda15c9p-16, 0x1.34fded0ea480fp-16, 0x1.1d63ed46b9bd7p-16, 0x1.06b1e8577dab8p-16, 0x1.e1c11bb62e31cp-17, 0x1.b7d18ccf9244ap-17, 0x1.8f8763bc257c6p-17, 0x1.68d54b89cdd8bp-17, 0x1.43ae575b9337cp-17, 0x1.2005ff5339251p-17, 0x1.fba03b14defe5p-18, 0x1.ba01d641dd711p-18, 0x1.7b19facc0233fp-18, 0x1.3ed2862273041p-18, 0x1.05160323482bep-18, 0x1.9b9f49be80e2fp-19, 0x1.31d6830c5d33bp-19, 0x1.995535d825da3p-20, 0x1.afd6b3a199e67p-21, 0x1.f25fbf36fc8f6p-24, -0x1.228431cbaeec5p-21, -0x1.3991ea9186b12p-20, -0x1.da0c60b2aad1bp-20, -0x1.39792a943a54fp-19, -0x1.8241521e81538p-19, -0x1.c77d1e16bc32dp-19, -0x1.04a50b130c2p-18, -0x1.23e26cef15207p-18, -0x1.418493eb98812p-18, -0x1.5d98f24beb0bfp-18, -0x1.782c90aa5b82ep-18, -0x1.914c113359166p-18, -0x1.a903b2d3e6e9p-18, -0x1.bf5f54482bbc1p-18, -0x1.d46a77163b22ap-18, -0x1.e830426c463a2p-18, -0x1.fabb85f000c0dp-18, -0x1.060b5e3a99ec3p-17, -0x1.0e26074e8032bp-17, -0x1.15b2aab2b6e33p-17, -0x1.1cb60e50131afp-17, -0x1.2334d2ae21febp-17, -0x1.29337419164b4p-17, -0x1.2eb64bc6a98ecp-17, -0x1.33c190eadb799p-17, -0x1.385959c7d7c5ep-17, -0x1.3c819cb4ac4f4p-17, -0x1.403e311c1aaafp-17, -0x1.4392d07264985p-17, -0x1.468317261843cp-17, -0x1.49128585ee1c8p-17, -0x1.4b4480a27d828p-17, -0x1.4d1c53276150fp-17, -0x1.4e9d2e2c80da5p-17, -0x1.4fca2a05aebdap-17, -0x1.50a647046ca0fp-17, -0x1.51346e39fdbfep-17, -0x1.5177722f486b1p-17, -0x1.51720f99fd005p-17, -0x1.5126ee08d92a7p-17, -0x1.5098a08e3674ep-17, -0x1.4fc9a6613f1f3p-17, -0x1.4ebc6b7d104e9p-17, -0x1.4d734938966c3p-17, -0x1.4bf086dbe0218p-17, -0x1.4a365a2ef41ddp-17, -0x1.4846e8045e487p-17, -0x1.462444bff91bfp-17, -0x1.43d074d86fa2ep-17, -0x1.414d6d55a4153p-17, -0x1.3e9d144a80a48p-17, -0x1.3bc1414acc3c2p-17, -0x1.38bbbddd8f494p-17, -0x1.358e45eaa7c07p-17, -0x1.323a88269c135p-17, -0x1.2ec2267a4343p-17, -0x1.2b26b665f43e3p-17, -0x1.2769c1638c5e8p-17, -0x1.238cc5435a323p-17, -0x1.1f9134871bd4ep-17, -0x1.1b7876b9b2a44p-17, -0x1.1743e8c47d45fp-17, -0x1.12f4dd411ed63p-17, -0x1.0e8c9cc96ed44p-17, -0x1.0a0c66439d6f6p-17, -0x1.05756f2dc6fd4p-17, -0x1.00c8e3e50f4fcp-17, -0x1.f80fcfd886cffp-18, -0x1.ee672c5c95e3fp-18, -0x1.e49a0280a8ddbp-18, -0x1.daaa67402777dp-18, -0x1.d09a5fe1f814ap-18, -0x1.c66be270d7d2fp-18, -0x1.bc20d62ad4886p-18, -0x1.b1bb13f25151fp-18, -0x1.a73c66b76c666p-18, -0x1.9ca68be08f0adp-18, -0x1.91fb33adc141dp-18, -0x1.873c019afb83p-18, -0x1.7c6a8cbd3d9e3p-18, -0x1.7188601ca9857p-18, -0x1.6696fb0db8f26p-18, -0x1.5b97d185ba34cp-18, -0x1.508c4c6cab691p-18, -0x1.4575c9ee3808dp-18, -0x1.3a559dc600d01p-18, -0x1.2f2d1189cfd9ep-18, -0x1.23fd64f3213d7p-18, -0x1.18c7ce239e614p-18, -0x1.0d8d79e98288cp-18, -0x1.024f8c01f5664p-18, -0x1.ee1e3eae1dabp-19, -0x1.d79a8c7d81c41p-19, -0x1.c116156bb2b63p-19, -0x1.aa92dd323ae58p-19, -0x1.9412d7bbb3b7ap-19, -0x1.7d97e99053991p-19, -0x1.6723e83deefb4p-19, -0x1.50b89abd5d348p-19, -0x1.3a57b9d51605ap-19, -0x1.2402f079680a5p-19, -0x1.0dbbdc27312c8p-19, -0x1.ef081a816b15bp-20, -0x1.c2ba0ec43c043p-20, -0x1.9690836b58b31p-20, -0x1.6a8e4e8e5b7d3p-20, -0x1.3eb62ea1d0cb3p-20, -0x1.130acb14742ddp-20, -0x1.cf1d69c64d212p-21, -0x1.7888ce564a693p-21, -0x1.225c8f67aa1b4p-21, -0x1.993a9de94eb81p-22, -0x1.dd3e19971cb59p-23, -0x1.13bc3ccdf8c29p-24, 0x1.8f341152047a1p-24, 0x1.0b8d22744450ap-22, 0x1.b2498949f9487p-22, 0x1.2bfd5f49b600fp-21, 0x1.7e4cc6f70ae28p-21, 0x1.d00f839d69ce8p-21, 0x1.10a11f36b6641p-20, 0x1.38f0e08a0706cp-20, 0x1.60f57a798489bp-20, 0x1.88ad712e722f3p-20, 0x1.b01757ed80311p-20, 0x1.d731d0bcb703bp-20, 0x1.fdfb8c051a2c8p-20, 0x1.1239a420a93f2p-19, 0x1.254be8d3807c9p-19, 0x1.383400e981427p-19, 0x1.4af15fbde93f5p-19, 0x1.5d837f1027bcdp-19, 0x1.6fe9dedf474a3p-19, 0x1.822405437b3e7p-19, 0x1.94317e4a9852dp-19, 0x1.a611dbd3e85e7p-19, 0x1.b7c4b56ec163fp-19, 0x1.c949a83898089p-19, 0x1.daa056bb504d5p-19, 0x1.ebc868cecf44bp-19, 0x1.fcc18b781b52ap-19, 0x1.06c5b8654231ep-18, 0x1.0f12e7e5f8277p-18, 0x1.1748322a79c4bp-18, 0x1.1f65777ad3a71p-18, 0x1.276a9a6d8f6ffp-18, 0x1.2f577fd853fb3p-18, 0x1.372c0ec42ce51p-18, 0x1.3ee8305f8c1f8p-18, 0x1.468bcff235861p-18, 0x1.4e16dacff4982p-18, 0x1.5589404d2e5bbp-18, 0x1.5ce2f1b2897ebp-18, 0x1.6423e23106978p-18, 0x1.6b4c06d69dd8ep-18, 0x1.725b56832037fp-18, 0x1.7951c9dd40ec6p-18, 0x1.802f5b47bb2fcp-18, 0x1.86f406d656d79p-18, 0x1.8d9fca446760fp-18, 0x1.9432a4e9d930ap-18, 0x1.9aac97b156faep-18, 0x1.a10da50f19cep-18, 0x1.a755d0f6536afp-18, 0x1.ad8520d0b3e55p-18, 0x1.b39b9b748ec21p-18, 0x1.b999491c16844p-18, 0x1.bf7e335ca85ddp-18, 0x1.c54a651d39a6fp-18, 0x1.cafdea8f04edap-18, 0x1.d098d12401399p-18, 0x1.d61b278751b74p-18, 0x1.db84fd94f56d1p-18, 0x1.e0d66451c556p-18, 0x1.e60f6de3735a7p-18, 0x1.eb302d896d8fap-18, 0x1.f038b79498e05p-18, 0x1.f529216043001p-18, 0x1.fa01814af0565p-18, 0x1.fec1eeaf31fbfp-18, 0x1.01b540ee10e59p-17, 0x1.03fdaa07a843p-17, 0x1.063a3fb692401p-17, 0x1.086b0f7d4452cp-17, 0x1.0a90274b4e546p-17, 0x1.0ca99579e6127p-17, 0x1.0eb768c8ba353p-17, 0x1.10b9b05b3eee1p-17, 0x1.12b07bb4fafcp-17, 0x1.149bdab6f253bp-17, 0x1.167bdd9c91ab2p-17, 0x1.185094f8df56fp-17, 0x1.1a1a11b35643dp-17, 0x1.1bd865057f741p-17, 0x1.1d8ba077ca61p-17, 0x1.1f33d5df1d89ap-17, 0x1.20d11759ed3a1p-17, 0x1.2263774ddbf51p-17, 0x1.23eb086502cefp-17, 0x1.2567dd8b40b37p-17, 0x1.26da09ec0d3fcp-17, 0x1.2841a0efe7e2p-17, 0x1.299eb639ba24fp-17, 0x1.2af15da4ccd6ap-17, 0x1.2c39ab4236dep-17, 0x1.2d77b356bda0cp-17, 0x1.2eab8a5856703p-17, 0x1.2fd544ec5dd5bp-17, 0x1.30f4f7e4fd9e1p-17, 0x1.320ab83f3dd06p-17, 0x1.33169b2103c6p-17, 0x1.3418b5d6e0d66p-17, 0x1.35111dd2024d8p-17, 0x1.35ffe8a66de87p-17, 0x1.36e52c08d7dacp-17, 0x1.37c0fdccc4a22p-17, 0x1.389373e2dc47ep-17, 0x1.395ca456cbc97p-17, 0x1.3a1ca54d959cdp-17, 0x1.3ad38d03d1591p-17, 0x1.3b8171cbf3bacp-17, 0x1.3c266a0c7a68ap-17, 0x1.3cc28c3e5ce5dp-17, 0x1.3d55eeeb5d3b7p-17, 0x1.3de0a8ac7aef2p-17, 0x1.3e62d02847dadp-17, 0x1.3edc7c11520ecp-17, 0x1.3f4dc324c9cc3p-17, 0x1.3fb6bc28e22e9p-17, 0x1.40177deb73fa8p-17, 0x1.40701f406f6cep-17, 0x1.40c0b700991ffp-17, 0x1.41095c080b212p-17, 0x1.414a2534f3b59p-17, 0x1.4183296647de8p-17, 0x1.41b47f7a65261p-17, 0x1.41de3e4dda7a5p-17, 0x1.42007cba43c45p-17, 0x1.421b5194ead7bp-17, 0x1.422ed3adaf24bp-17, 0x1.423b19cdd40cfp-17, 0x1.42403ab701f34p-17, 0x1.423e4d220ef17p-17, 0x1.423567bded507p-17, 0x1.4225a12ea2a63p-17, 0x1.420f100c3aea6p-17, 0x1.41f1cae1d6a32p-17, 0x1.41cde82c9d663p-17, 0x1.41a37e5ae4858p-17, 0x1.4172a3cb2b138p-17, 0x1.413b6ecb2e8bep-17, 0x1.40fdf59717d78p-17, 0x1.40ba4e58999d8p-17, 0x1.40708f260eb89p-17, 0x1.4020ce01b2e78p-17, 0x1.3fcb20d8e5ddfp-17, 0x1.3f6f9d833fc7fp-17, 0x1.3f0e59c1e255fp-17, 0x1.3ea76b3ec79e1p-17, 0x1.3e3ae78c03974p-17, 0x1.3dc8e42306717p-17, 0x1.3d517663f723ap-17, 0x1.3cd4b39525781p-17, 0x1.3c52b0e24f212p-17, 0x1.3bcb835c08b13p-17, 0x1.3b3f3ff70a52ep-17, 0x1.3aadfb8bbff3ep-17, 0x1.3a17cad5aae31p-17, 0x1.397cc272e4005p-17, 0x1.38dcf6e38eef9p-17, 0x1.38387c894f2bbp-17, 0x1.378f67a6cca98p-17, 0x1.36e1cc5f3ccddp-17, 0x1.362fbeb6024d5p-17, 0x1.3579528e1f829p-17, 0x1.34be9ba9d0405p-17, 0x1.33ffadaa3436bp-17, 0x1.333c9c0eeed38p-17, 0x1.32757a35a3f8p-17, 0x1.31aa5b59b8b4fp-17, 0x1.30db5293e7ecap-17, 0x1.300872d9ffbe4p-17, 0x1.2f31cefe93b37p-17, 0x1.2e5779b0a288ep-17, 0x1.2d79857b4b87ap-17, 0x1.2c9804c592911p-17, 0x1.2bb309d215e75p-17, 0x1.2acaa6bed2cc7p-17, 0x1.29deed84e6d27p-17, 0x1.28efeff85cfb6p-17, 0x1.27fdbfc801eap-17, 0x1.27086e7d232c6p-17, 0x1.26100d7b65027p-17, 0x1.2514ae008ce61p-17, 0x1.241661246ac63p-17, 0x1.231537d8990ap-17, 0x1.221142e87f73p-17, 0x1.210a92f9256d6p-17, 0x1.20013889086a1p-17, 0x1.1ef543effd2c9p-17, 0x1.1de6c55f2a9a5p-17, 0x1.1cd5cce0f3d36p-17, 0x1.1bc26a58d2265p-17, 0x1.1aacad8350bd3p-17, 0x1.1994a5f60c2f7p-17, 0x1.187a631fa315ap-17, 0x1.175df447a654ap-17, 0x1.163f688e85f26p-17, 0x1.151eceeda3638p-17, 0x1.13fc363735027p-17, 0x1.12d7ad1666578p-17, 0x1.11b1420f5e269p-17, 0x1.1089037f21773p-17, 0x1.0f5eff9ba248p-17, 0x1.0e334473d935bp-17, 0x1.0d05dfefc813p-17, 0x1.0bd6dfd0890aap-17, 0x1.0aa651b0568c6p-17, 0x1.0974430293cdcp-17, 0x1.0840c113fb31dp-17, 0x1.070bd90aa9d09p-17, 0x1.05d597e6209e1p-17, 0x1.049e0a7f6ae53p-17, 0x1.03653d892db3p-17, 0x1.022b3d8fc338ap-17, 0x1.00f016f96b5c5p-17, 0x1.ff67ac0ca5dc3p-18, 0x1.fced0da17fcc9p-18, 0x1.fa706a9a5413fp-18, 0x1.f7f1da94a5f8dp-18, 0x1.f57174e2f9279p-18, 0x1.f2ef508d02b25p-18, 0x1.f06b844ff699cp-18, 0x1.ede6269eec647p-18, 0x1.eb5f4da31300cp-18, 0x1.e8d70f3c15a64p-18, 0x1.e64d81005c1c2p-18, 0x1.e3c2b83d83c7bp-18, 0x1.e136c9f88ced4p-18, 0x1.dea9caee34e6fp-18, 0x1.dc1bcf937a278p-18, 0x1.d98cec15fcc8dp-18, 0x1.d6fd345c3ed26p-18, 0x1.d46cbc061b8d3p-18, 0x1.d1db966d1881dp-18, 0x1.cf49d6a4caed7p-18, 0x1.ccb78f7b666e6p-18, 0x1.ca24d379e8403p-18, 0x1.c791b4e4c3049p-18, 0x1.c4fe45bc10ea9p-18, 0x1.c26a97bc27414p-18, 0x1.bfd6bc5dee16fp-18, 0x1.bd42c4d777d57p-18, 0x1.baaec21c4c7c3p-18, 0x1.b81ac4ddd28abp-18, 0x1.b586dd8bca5d9p-18, 0x1.b2f31c54cebb5p-18, 0x1.b05f9126e7405p-18, 0x1.adcc4bafc8a51p-18, 0x1.ab395b5d63fe8p-18, 0x1.a8a6cf5e56936p-18, 0x1.a614b6a26d94bp-18, 0x1.a3831fdb220e5p-18, 0x1.a0f2197c07dedp-18, 0x1.9e61b1bb4d673p-18, 0x1.9bd1f6922679ep-18, 0x1.9942f5bd66d85p-18, 0x1.96b4bcbe0c8dp-18, 0x1.942758d982cap-18, 0x1.919ad71a422a5p-18, 0x1.8f0f445061195p-18, 0x1.8c84ad11ee0a2p-18, 0x1.89fb1dbb81e34p-18, 0x1.8772a270a72e6p-18, 0x1.84eb471c94de6p-18, 0x1.82651772883cep-18, 0x1.7fe01eee28eep-18, 0x1.7d5c68d443b7p-18, 0x1.7ada00331e5d8p-18, 0x1.7858efe3080f6p-18, 0x1.75d94286e0908p-18, 0x1.735b028c8e1dcp-18, 0x1.70de3a2d7df9fp-18, 0x1.6e62f36f42f4cp-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      29, 0x1.751eb851eb852p+2, 0x1.edf6a3fc846bp+0, 0x1.3936a1cb35caep+2, -0x1.cd9fc151187dcp-8, 
      {{
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.4e0b1e9112c46p-6, -0x1.b19dcc13ca65fp-5, 0x1.a25752b3b42d9p-5, -0x1.5e689d51e2b0ap-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.24bacd9ff3563p-6, -0x1.8918a83caff39p-5, 0x1.880f7a1a5cc6dp-5, -0x1.51ca40657c839p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.fead21975471cp-7, -0x1.6328301bb62e6p-5, 0x1.6eb9e87926a37p-5, -0x1.470fcea1ed67bp-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.bb3afb1316293p-7, -0x1.3fb5f9f4af0c4p-5, 0x1.5632529368089p-5, -0x1.3bd3b279e0297p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.7ea1988541e52p-7, -0x1.1eacf020a3e2cp-5, 0x1.3e8271fd7738cp-5, -0x1.30ba54baf1989p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.4867b0a75c7cdp-7, -0x1.ffef43b144ef7p-6, 0x1.27a7aba2a519bp-5, -0x1.2597a7bbffa0bp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.1818401a598cbp-7, -0x1.c7016d80decbp-6, 0x1.11a2b24158543p-5, -0x1.1a7779540c7bep-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.da8512cd36e4ep-8, -0x1.92659fe1df245p-6, 0x1.f8e6abe94862bp-6, -0x1.0f569fd00e0f2p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.8ef429f7e6a1ap-8, -0x1.61f120879fb09p-6, 0x1.d0334723acad7p-6, -0x1.0435f4254f237p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4cad6263421c3p-8, -0x1.35793434f9e55p-6, 0x1.a92b2f514735p-6, -0x1.f22a786324c48p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.12e8e48ca6a78p-8, -0x1.0cd31fed3859cp-6, 0x1.83ce6649d7a5cp-6, -0x1.dbe90f111f305p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c1cec9809e446p-9, -0x1.cfa85144c29b7p-7, 0x1.601ceb8ef54f2p-6, -0x1.c5a7a3fb510c9p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.6be44632a7dc4p-9, -0x1.8ca3269636a23p-7, 0x1.3e16bf42826e4p-6, -0x1.af66395f28b78p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.22b5d70355ec6p-9, -0x1.504149b9a00ep-7, 0x1.1dbbe15b5f60bp-6, -0x1.9924cea0269fdp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c9f056c89eb4fp-10, -0x1.1a2d449a78cap-7, 0x1.fe18a3b8528ffp-7, -0x1.82e363f2f1bfep-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.62e214c9ec36p-10, -0x1.d4234248340bep-8, 0x1.c410218714b25p-7, -0x1.6ca1f92174995p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.0deea564ce638p-10, -0x1.7f31d28372fp-8, 0x1.8d5e3c2876683p-7, -0x1.56608ecf1ee17p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.91cbea5deac62p-11, -0x1.34db4dbe7699ap-8, 0x1.5a02f38964f9cp-7, -0x1.401f22a49a729p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.23743ff30efp-11, -0x1.e8e98f97b4f71p-9, 0x1.29fe47f0b435ap-7, -0x1.29ddbd5b928e3p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.99fdc34484171p-12, -0x1.7aa6a92321eb5p-9, 0x1.faa070ac560dcp-8, -0x1.139c3e64de3dcp-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.15b187f75227fp-12, -0x1.1d980f5abb36p-9, 0x1.a7f19127acf9fp-8, -0x1.fab63e868f168p-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.66cce8195527fp-13, -0x1.a0cfd729a10bcp-10, 0x1.5befd4937dea1p-8, -0x1.ce3134f5c38bap-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.b41faa02217p-14, -0x1.2380be99d8633p-10, 0x1.169ba63b6d623p-8, -0x1.a1b698f1a0d7ep-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.e85059e5f6a81p-15, -0x1.812ea53b9b3ep-11, 0x1.afe6eb6190ea8p-9, -0x1.75151207bb867p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.e69b318fa0601p-16, -0x1.d59cd80120bd2p-12, 0x1.3ffa32c5a575ep-9, -0x1.4904c92921b9p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.958f7b57c6001p-17, -0x1.fa39e0f8da696p-13, 0x1.ba8b200c36acbp-10, -0x1.1ad6730257736p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.f05e1ab41ap-19, -0x1.b8250d8d5e5dfp-14, 0x1.10d7417135684p-10, -0x1.e91e27e241cfep-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.3b0f945b04p-21, -0x1.e3f35d81d37f6p-16, 0x1.f86c091bb9dcbp-12, -0x1.5fb4d303a08e9p-9}, 
        {0x1.7333333333333p+2, 0x1.751eb851eb852p+2, 0x1.94e2fb9d90ca8p-27, -0x1.d06eb55bbb5cp-21, 0x1.497f62c3e4cd4p-14, -0x1.a6e7f7cc41c1ap-8}, 
      }}, 
      0x1.ca432a50fb74cp-3, -0x1.4ebdad34428abp+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{0x1.c8a300f30e41ap-3, 0x1.fa4d4f01f9d4ap-3, 0x1.212d27843c078p-2, 0x1.4b293b85cd4d1p-2, 0x1.765554369b8cbp-2, 0x1.9ed3287ca44a7p-2, 0x1.c1c976806925fp-2, 0x1.dd55de17940a8p-2, 0x1.f06adc463b219p-2, 0x1.faa7753f9f33bp-2, 0x1.fc2f92a87b8f6p-2, 0x1.f5885891917bcp-2, 0x1.e779a17688cb1p-2, 0x1.d2f4cc1440dfep-2, 0x1.b90093272f159p-2, 0x1.9aa96b9eb9d2ap-2, 0x1.78f5ca9798a12p-2, 0x1.54ddb20001c74p-2, 0x1.2f44f9f517da2p-2, 0x1.08f7ceb3ef5p-2, 0x1.c551e6ca6107fp-3, 0x1.79e2bb497d322p-3, 0x1.30a1aa10ac00ap-3, 0x1.d4bd256d24eefp-4, 0x1.4f7a8873004f4p-4, 0x1.a4e6ae2acd5fep-5, 0x1.796217d6910e4p-6, -0x1.8c5de705b020bp-9, -0x1.b6057b8ad1783p-6, -0x1.89e4990ac4c2cp-5, -0x1.12cae810f259dp-4, -0x1.573f3ddd20fbfp-4, -0x1.929c1af5f16dcp-4, -0x1.c541a26875f96p-4, -0x1.ef9e8ba007ea2p-4, -0x1.0915ffccc93b2p-3, -0x1.16b505902f8e1p-3, -0x1.20ee4e002dc68p-3, -0x1.28047e824925p-3, -0x1.2c39e239b449ep-3, -0x1.2dcf94607355p-3, -0x1.2d04d7f67f86ep-3, -0x1.2a16969a6a6bdp-3, -0x1.253f00da0a892p-3, -0x1.1eb54adbbbddbp-3, -0x1.16ad80e5db491p-3, -0x1.0d586fa8888a1p-3, -0x1.02e39cac0816cp-3, -0x1.eef2975562325p-4, -0x1.d6811c4086467p-4, -0x1.bcbab578e4406p-4, -0x1.a1e155f5745acp-4, -0x1.8631393818a94p-4, -0x1.69e12d77808cfp-4, -0x1.4d22e05de90c2p-4, -0x1.30232d85b1d0bp-4, -0x1.130a6da012f24p-4, -0x1.ebf98b77eac69p-5, -0x1.b234e2c33ff6ep-5, -0x1.79001d2a736bbp-5, -0x1.408dc6d9b9751p-5, -0x1.090a44f697052p-5, -0x1.a538a6c88905p-6, -0x1.3acb00f351e05p-6, -0x1.a60a6dd8fadc1p-7, -0x1.b860ff2476adp-8, -0x1.85a5c9d942282p-11, 0x1.4a684c9e818e9p-8, 0x1.5c444118c2605p-7, 0x1.0655772fa2e71p-6, 0x1.5b23e829b33acp-6, 0x1.ac8211e01367fp-6, 0x1.fa68e3979bcf8p-6, 0x1.226a969504969p-5, 0x1.45e39aef433d2p-5, 0x1.67a12e4006059p-5, 0x1.87a66035befcep-5, 0x1.a5f777fcadcd5p-5, 0x1.c299cfe35f957p-5, 0x1.dd93b363ffe2p-5, 0x1.f6ec40699254ap-5, 0x1.0755a5ae8f9acp-4, 0x1.126ca2a224ef5p-4, 0x1.1cbf925512a6p-4, 0x1.26532813b85d8p-4, 0x1.2f2c458ea8748p-4, 0x1.374ff21279dd6p-4, 0x1.3ec3528d559bbp-4, 0x1.458ba25a922b9p-4, 0x1.4bae2cb1c0dddp-4, 0x1.513046cfb54a5p-4, 0x1.56174a8c4e811p-4, 0x1.5a6891ae229b9p-4, 0x1.5e29718413038p-4, 0x1.615f3721efd02p-4, 0x1.640f23ebb8c7p-4, 0x1.663e6a7df89bdp-4, 0x1.67f22c1dae013p-4, 0x1.692f761dff94fp-4, 0x1.69fb400cd31afp-4, 0x1.6a5a69adf215p-4, 0x1.6a51b97aab631p-4, 0x1.69e5db7006905p-4, 0x1.691b5f9a60a59p-4, 0x1.67f6b98472749p-4, 0x1.667c3f3cc0d81p-4, 0x1.64b0289eecc14p-4, 0x1.62968f4f29415p-4, 0x1.60336df9c10dep-4, 0x1.5d8aa00eaf6b1p-4, 0x1.5a9fe260990dcp-4, 0x1.5776d2227bc89p-4, 0x1.5412eddbebfdap-4, 0x1.50779535d2f5bp-4, 0x1.4ca80940402f5p-4, 0x1.48a76cb20ff4dp-4, 0x1.4478c4c1574fep-4, 0x1.401ef8f5e6b6cp-4, 0x1.3b9cd3e4bd7c3p-4, 0x1.36f504201db2p-4, 0x1.322a1c056cc5cp-4, 0x1.2d3e92de501dap-4, 0x1.2834c5800a9b6p-4, 0x1.230ef6ac33da4p-4, 0x1.1dcf4fdb024d8p-4, 0x1.1877e219ec4ddp-4, 0x1.130aa6730129ep-4, 0x1.0d897eb28f719p-4, 0x1.07f63653afba6p-4, 0x1.025283130705dp-4, 0x1.f9400ae449038p-5, 0x1.edc0936a9c18fp-5, 0x1.e229919ee37e2p-5, 0x1.d67dd13bd7926p-5, 0x1.cabff9437486dp-5, 0x1.bef28e29470d1p-5, 0x1.b317f30079637p-5, 0x1.a7326a0fc1538p-5, 0x1.9b4416b50d63fp-5, 0x1.8f4eff5bde8a3p-5, 0x1.83550e266bd06p-5, 0x1.7758116b0942p-5, 0x1.6b59bd89c07a2p-5, 0x1.5f5baee47ac41p-5, 0x1.535f6a88fcc99p-5, 0x1.47665ea17fb8dp-5, 0x1.3b71e3f8a53ffp-5, 0x1.2f833fb569a59p-5, 0x1.239ba3f7626f1p-5, 0x1.17bc3036c8dd9p-5, 0x1.0be5f2a15bb28p-5, 0x1.0019e94583bbap-5, 0x1.e8b206c118f34p-6, 0x1.d1484245621c2p-6, 0x1.b9f829ba474c2p-6, 0x1.a2c34850b5a88p-6, 0x1.8bab11bbe53fdp-6, 0x1.74b0e2c4f3a55p-6, 0x1.5dd6021f5ac28p-6, 0x1.471ba26a169e2p-6, 0x1.3082e43592da6p-6, 0x1.1a0cd6d22f727p-6, 0x1.03ba78ce0adfap-6, 0x1.db197209cbde5p-7, 0x1.af08f0af4a18fp-7, 0x1.834515ca2c10cp-7, 0x1.57cf712ab2074p-7, 0x1.2ca97b19bf3d8p-7, 0x1.01d496478ff58p-7, 0x1.aea4246f3881cp-8, 0x1.5a465a11261b7p-8, 0x1.069228719851ap-8, 0x1.671395fb55c37p-9, 0x1.84bd80328b242p-10, 0x1.f09d8d7b4f816p-13, -0x1.05ce873235db9p-10, -0x1.2370e3731ffddp-9, -0x1.c28f7de28290ap-9, -0x1.301fd801e4665p-8, -0x1.7e3f1bda04339p-8, -0x1.cba3f7778b673p-8, -0x1.0c26725a063bp-7, -0x1.321c34fc3f842p-7, -0x1.57b28cd75ffc4p-7, -0x1.7ce8c85043378p-7, -0x1.a1be3a17e1079p-7, -0x1.c63238a85b803p-7, -0x1.ea441e2f21b24p-7, -0x1.06f9a44c860efp-6, -0x1.189f8ca00a427p-6, -0x1.2a137a2b06532p-6, -0x1.3b55203f1047p-6, -0x1.4c6433564d926p-6, -0x1.5d40691ccba15p-6, -0x1.6de9787896176p-6, -0x1.7e5f1973393d5p-6, -0x1.8ea105189f0dbp-6, -0x1.9eaef564dccb3p-6, -0x1.ae88a54142c34p-6, -0x1.be2dd0936e9f1p-6, -0x1.cd9e3452f30a5p-6, -0x1.dcd98e8b56935p-6, -0x1.ebdf9e4fc97b8p-6, -0x1.fab023b53b617p-6, -0x1.04a56fec8d0d3p-5, -0x1.0bd7ca7beeab7p-5, -0x1.12ef03464fc31p-5, -0x1.19eafcb118925p-5, -0x1.20cb99c9a2885p-5, -0x1.2790be47b13cfp-5, -0x1.2e3a4e962e0dep-5, -0x1.34c82fe0e5269p-5, -0x1.3b3a481f5e406p-5, -0x1.41907e22fdf07p-5, -0x1.47cab9a375236p-5, -0x1.4de8e3435b163p-5, -0x1.53eae497d4c12p-5, -0x1.59d0a8341d29fp-5, -0x1.5f9a19b6781bep-5, -0x1.654725d64e893p-5, -0x1.6ad7ba710f516p-5, -0x1.704bc693c55d7p-5, -0x1.75a33a8394427p-5, -0x1.7ade07cf93c2fp-5, -0x1.7ffc212971f2fp-5, -0x1.84fd7af8e17e6p-5, -0x1.89e20a89be4aap-5, -0x1.8ea9c6f0b71c2p-5, -0x1.9354a8990730ap-5, -0x1.97e2a96afa508p-5, -0x1.9c53c4d524f9dp-5, -0x1.a0a7f7d4dc15ep-5, -0x1.a4df40fb7f382p-5, -0x1.a8f9a07968977p-5, -0x1.acf7182866747p-5, -0x1.b0d7ab6653524p-5, -0x1.b49b5f7a1fc11p-5, -0x1.b8423b44d9137p-5, -0x1.bbcc47602434cp-5, -0x1.bf398e2861905p-5, -0x1.c28a1bbda62c9p-5, -0x1.c5bdfe07d6fap-5, -0x1.c8d544ba684d9p-5, -0x1.cbd001572878ep-5, -0x1.ceae473041d55p-5, -0x1.d1702b69f1de1p-5, -0x1.d415c4fbebd86p-5, -0x1.d69f2cb1f7dc8p-5, -0x1.d90c7d2c441bep-5, -0x1.db5dd2e00dc43p-5, -0x1.dd934c17e3247p-5, -0x1.dfad08f2c7121p-5, -0x1.e1ab2b62174adp-5, -0x1.e38dd72727316p-5, -0x1.e55531d0b8c2fp-5, -0x1.e70162b86e295p-5, -0x1.e89292ffc56ebp-5, -0x1.ea08ed8cc074ep-5, -0x1.eb649f0607386p-5, -0x1.eca5d5ce3a7ddp-5, -0x1.edccc1fe8555p-5, -0x1.eed99560ffd12p-5, -0x1.efcc836b1b408p-5, -0x1.f0a5c137e2697p-5, -0x1.f165858192a6fp-5, -0x1.f20c089aa35b8p-5, -0x1.f2998466648a8p-5, -0x1.f30e34517dc73p-5, -0x1.f36a554a488c2p-5, -0x1.f3ae25b8bdda4p-5, -0x1.f3d9e57623cf1p-5, -0x1.f3edd5c44bb1fp-5, -0x1.f3ea39447adbcp-5, -0x1.f3cf53ee05dd1p-5, -0x1.f39d6b04cdbbep-5, -0x1.f354c50fc7656p-5, -0x1.f2f5a9cf69cacp-5, -0x1.f2806233cef03p-5, -0x1.f1f538525056ap-5, -0x1.f154775acbc9ap-5, -0x1.f09e6b8cd1a8cp-5, -0x1.efd3622ced941p-5, -0x1.eef3a97a08c82p-5, -0x1.edff90a2afa03p-5, -0x1.ecf767ba181dp-5, -0x1.ebdb7facf12f1p-5, -0x1.eaac2a35ed63fp-5, -0x1.e969b9d23e196p-5, -0x1.e81481b64e5eap-5, -0x1.e6acd5c27239ep-5, -0x1.e5330a76d848ap-5, -0x1.e3a774e9cc95ap-5, -0x1.e20a6abafc69fp-5, -0x1.e05c42086b3c3p-5, -0x1.de9d5162b9d0ap-5, -0x1.dccdefc184ec1p-5, -0x1.daee747829b57p-5, -0x1.d8ff372aab2ap-5, -0x1.d7008fc29fa9ap-5, -0x1.d4f2d6640c36dp-5, -0x1.d2d6636230962p-5, -0x1.d0ab8f3450f6cp-5, -0x1.ce72b26aa9d3bp-5, -0x1.cc2c25a39084ap-5, -0x1.c9d84180e0819p-5, -0x1.c7775e9d9cba3p-5, -0x1.c509d583a6bc9p-5, -0x1.c28ffea1871a8p-5, -0x1.c00a32402b99ep-5, -0x1.bd78c878bf6efp-5, -0x1.badc192ab5c67p-5, -0x1.b8347bf215c18p-5, -0x1.b582481e1e0d4p-5, -0x1.b2c5d4a8244aap-5, -0x1.afff782a9eaf2p-5, -0x1.ad2f88d84be76p-5, -0x1.aa565c7369c0cp-5, -0x1.a774484513efap-5, -0x1.a489a114d255p-5, -0x1.a196bb207072dp-5, -0x1.9e9bea1425cdcp-5, -0x1.9b99810305605p-5, -0x1.988fd25fa5b4bp-5, -0x1.957f2ff4fc5c7p-5, -0x1.9267eadf5e59dp-5, -0x1.8f4a5385a6891p-5, -0x1.8c26b9928cf1ap-5, -0x1.88fd6bee3f2e8p-5, -0x1.85ceb8b84043ap-5, -0x1.829aed4190939p-5, -0x1.7f6256071d9c1p-5, -0x1.7c253eac68962p-5, -0x1.78e3f1f663f8ap-5, -0x1.759eb9c67f6d5p-5, -0x1.7255df15dcef5p-5, -0x1.6f09a9f0c64dbp-5, -0x1.6bba6172560bdp-5, -0x1.68684bc062c1ap-5, -0x1.6513ae07b0806p-5, -0x1.61bccc7856fdep-5, -0x1.5e63ea426fe0dp-5, -0x1.5b094992f0536p-5, -0x1.57ad2b90bbf06p-5, -0x1.544fd059e6214p-5, -0x1.50f177011fd18p-5, -0x1.4d925d8b58da6p-5, -0x1.4a32c0ed94cd9p-5, -0x1.46d2dd0af0a75p-5, -0x1.4372ecb2e6c7cp-5, -0x1.4013299fc9751p-5, -0x1.3cb3cc757a968p-5, -0x1.39550cc05d7cep-5, -0x1.35f720f475008p-5, -0x1.329a3e6caf5c4p-5, -0x1.2f3e996a51b35p-5, -0x1.2be4651476f08p-5, -0x1.288bd377a693p-5, -0x1.253515858d9bap-5, -0x1.21e05b14de887p-5, -0x1.1e8dd2e17375ap-5, -0x1.1b3daa8cbda66p-5, -0x1.17f00e9e8db7bp-5, -0x1.14a52a86228c2p-5, -0x1.115d289b70dc8p-5, -0x1.0e18322073eeep-5, -0x1.0ad66f4269e59p-5, -0x1.0798071ad9842p-5, -0x1.045d1fb05954cp-5, -0x1.0125ddf738304p-5, -0x1.fbe4cba475c63p-6, -0x1.f585b4275ea36p-6, -0x1.ef2eb8fe47d86p-6, -0x1.e8e01b97cc8ebp-6, -0x1.e29a1b5099712p-6, -0x1.dc5cf57b07c64p-6, -0x1.d628e566fee96p-6, -0x1.cffe2468ffd75p-6, -0x1.c9dce9df61b4fp-6, -0x1.c3c56b352cf09p-6, -0x1.bdb7dbe2b9968p-6, -0x1.b7b46d6cdd9e1p-6, -0x1.b1bb4f64326f8p-6, -0x1.abccaf66594a3p-6, -0x1.a5e8b922d3decp-6, -0x1.a00f966471f49p-6, -0x1.9a416f1f2bfffp-6, -0x1.947e6980cfb2fp-6, -0x1.8ec6aa021b0ap-6, -0x1.891a5374fb81bp-6, -0x1.8379870d2d8ecp-6, -0x1.7de464616d504p-6, -0x1.785b096585305p-6, -0x1.72dd925f57961p-6, -0x1.6d6c19db30396p-6, -0x1.6806b8a4528d6p-6, -0x1.62ad85c6aebd6p-6, -0x1.5d60969ccc726p-6, -0x1.581ffeea01e3dp-6, -0x1.52ebd0fdcb272p-6, -0x1.4dc41dd9c7254p-6, -0x1.48a8f5522d736p-6, -0x1.439a66207a78cp-6, -0x1.3e987de2a9b23p-6, -0x1.39a3490579a3cp-6, -0x1.34bad29dbb723p-6, -0x1.2fdf243a12a3fp-6, -0x1.2b1045ba0ef71p-6, -0x1.264e3d388f493p-6, -0x1.21990f147de89p-6, -0x1.1cf0be1d32517p-6, -0x1.18554bdf453e2p-6, -0x1.13c6b905c95fbp-6, -0x1.0f4505bccf865p-6, -0x1.0ad031fe556f5p-6, -0x1.06683db468dd1p-6, -0x1.020d28a23a223p-6, -0x1.fb7de4227d89fp-7, -0x1.f2fb309accff6p-7, -0x1.ea9230117d64cp-7, -0x1.e242d79082a94p-7, -0x1.da0d16fd8e986p-7, -0x1.d1f0d8ebdd461p-7, -0x1.c9ee032fdf257p-7, -0x1.c2047834a8ddfp-7, -0x1.ba3418e8ec018p-7, -0x1.b27cc6f1e8d4fp-7, -0x1.aade66b963461p-7, -0x1.a358e0e559bcp-7, -0x1.9bec22d9b9499p-7, -0x1.94981e0b07258p-7, -0x1.8d5cc620630c6p-7, -0x1.863a0e20cab6ep-7, -0x1.7f2fe51f99c6dp-7, -0x1.783e330261b3fp-7, -0x1.7164d605bf54dp-7, -0x1.6aa3a1924c7e2p-7, -0x1.63fa5ebff3616p-7, -0x1.5d68ce9d53c44p-7, -0x1.56eeadfd205abp-7, -0x1.508bba3e7162fp-7, -0x1.4a3fb64a587ecp-7, -0x1.440a6ee7ae23cp-7, -0x1.3debbd9236706p-7, -0x1.37e3893634cd7p-7, -0x1.31f1c486188a5p-7, -0x1.2c166a07ee0edp-7, -0x1.265176624478dp-7, -0x1.20a2e1c7497fap-7, -0x1.1b0a998ff062fp-7, -0x1.15887b1da7588p-7, -0x1.101c50ec871f1p-7, -0x1.0ac5d26b78835p-7, -0x1.0584a6c239177p-7, -0x1.00586a3685a6bp-7, -0x1.f6816aec50c86p-8, -0x1.ec7a4b6eeaf34p-8, -0x1.e29ac8e8bb7cbp-8, -0x1.d8e25b0a427f1p-8, -0x1.cf50a5294a4ep-8, -0x1.c5e5769a27a1cp-8, -0x1.bca0c4449538cp-8, -0x1.b3829c5e91767p-8, -0x1.aa8b1630b9dcbp-8, -0x1.a1ba4063a4b18p-8, -0x1.9910107b465a9p-8, -0x1.908c55da4c3fbp-8, -0x1.882eb20b96f5fp-8, -0x1.7ff6974b31ab4p-8, -0x1.77e34d76ec4ffp-8, -0x1.6ff3fcbfd3c78p-8, -0x1.6827bcaf841p-8, -0x1.607da56d78bd3p-8, -0x1.58f4e0c78bf1ap-8, -0x1.518cb87c8de94p-8, -0x1.4a449fb8b4f66p-8, -0x1.431c368b1a88cp-8, -0x1.3c134727cf3e3p-8, -0x1.3529bdcebaa9p-8, -0x1.2e5f9ce738c29p-8, -0x1.27b4ef3352b75p-8, -0x1.2129b9edca356p-8, -0x1.1abdf05fa7c0bp-8, -0x1.14716a2fcd2afp-8, -0x1.0e43dd713d556p-8, -0x1.0834dd2cb0f42p-8, -0x1.0243dc9ba2105p-8, -0x1.f8e06cee61b04p-9, -0x1.ed726dbbfd2b5p-9, -0x1.e23c4b8e522d9p-9, -0x1.d73ca05f2e713p-9, -0x1.cc721e09cc96ap-9, -0x1.c1db97c254071p-9, -0x1.b778089a3102ap-9, -0x1.ad4698377d4e8p-9, -0x1.a3469d6e3be26p-9, -0x1.99779cd7fc9cap-9, -0x1.8fd9412702d87p-9, -0x1.866b4c581e481p-9, -0x1.7d2d83b35265fp-9, -0x1.741f9b7174e53p-9, -0x1.6b412835c4c9fp-9, -0x1.62919b2b7e4p-9, -0x1.5a104988de752p-9, -0x1.51bc7b185ad3ep-9, -0x1.499577b301a36p-9, -0x1.419a8b97755a6p-9, -0x1.39cafee589ab2p-9, -0x1.322603c2d4b1p-9, -0x1.2aaaa5537c1bbp-9, -0x1.2357c3d0b4e27p-9, -0x1.1c2c257322f3ep-9, -0x1.152699fdd01f2p-9, -0x1.0e46244353b66p-9, -0x1.078a17c7e7291p-9, -0x1.00f21c2508bbep-9, -0x1.f4fc26213be72p-10, -0x1.e85bd71ecab8dp-10, -0x1.dc02eb6e3d945p-10, -0x1.cff093303f101p-10, -0x1.c42393f247147p-10, -0x1.b89a7c81fe713p-10, -0x1.ad53ea881c7fbp-10, -0x1.a24ec09816722p-10, -0x1.978a339651321p-10, -0x1.8d05a62c199dfp-10, -0x1.82c05c897130ep-10, -0x1.78b925fb2bc9dp-10, -0x1.6eee2538d7dfcp-10, -0x1.655cdabcf87f9p-10, -0x1.5c027b42092f3p-10, -0x1.52dc78717b5dp-10, -0x1.49e904d059e47p-10, -0x1.4127576b9ep-10, -0x1.38978edf466cbp-10, -0x1.303a434c96f4ep-10, -0x1.281000b65691ep-10, -0x1.2018eab515755p-10, -0x1.1854a98e5d67cp-10, -0x1.10c2910f68a8cp-10, -0x1.0961d699b77b3p-10, -0x1.0231b2c811c28p-10, -0x1.f662c5bc06c1fp-11, -0x1.e8c021e4a459ep-11, -0x1.db7963b56ecafp-11, -0x1.ce8bd1d627dd9p-11, -0x1.c1f3f860a4ef1p-11, -0x1.b5adb7263dea8p-11, -0x1.a9b4777f5e531p-11, -0x1.9e0394d8657cep-11, -0x1.9296fa87360a9p-11, -0x1.876bcf3b2fc4ep-11, -0x1.7c80dc2ba0595p-11, -0x1.71d665b2fe41bp-11, -0x1.676d71e9c1d1bp-11, -0x1.5d46da00555f8p-11, -0x1.5362b31bde67ap-11, -0x1.49c06113f9e42p-11, -0x1.405f24bedb17bp-11, -0x1.373eaa1b6716fp-11, -0x1.2e5f3fe4f6588p-11, -0x1.25c1ac2623c99p-11, -0x1.1d66ab325de72p-11, -0x1.154e36dfc52f8p-11, -0x1.0d76eadb95a56p-11, -0x1.05ddec794240cp-11, -0x1.fcfec6585c3b6p-12, -0x1.eeae3efd85fc9p-12, -0x1.e0c20d3675585p-12, -0x1.d33270e5535c3p-12, -0x1.c5f87744c123bp-12, -0x1.b90ec5001caabp-12, -0x1.ac726b3b29eccp-12, -0x1.a02302b8a1622p-12, -0x1.9421d977a7541p-12, -0x1.8870b05dd5f08p-12, -0x1.7d10a01b330bdp-12, -0x1.7201853f53e4fp-12, -0x1.674206231baebp-12, -0x1.5cd00816c4a9ap-12, -0x1.52a99df498f3fp-12, -0x1.48ce6affdc23cp-12, -0x1.3f4058717d766p-12, -0x1.36023273a4e1ap-12, -0x1.2d14e7a05a00dp-12, -0x1.2475f637a4064p-12, -0x1.1c20436b92675p-12, -0x1.140e3f5c19dccp-12, -0x1.0c3bafa38d4b3p-12, -0x1.04a658599cd79p-12, -0x1.fa9af870e4f09p-13, -0x1.ec6123d2afbecp-13, -0x1.de9bd692929afp-13, -0x1.d1443beb91e69p-13, -0x1.c450a9a4f9f78p-13, -0x1.b7b620fc56f3dp-13, -0x1.ab6acbb565145p-13, -0x1.9f6a32fbf74aap-13, -0x1.93b85a5ad5dbap-13, -0x1.885ed8c8ff737p-13, -0x1.7d6482ea8adbep-13, -0x1.72c7143196b27p-13, -0x1.687dd4b1d3592p-13, -0x1.5e830bf15cb21p-13, -0x1.54d93fc068fep-13, -0x1.4b8662abad07ap-13, -0x1.428c1c1c220cep-13, -0x1.39e5986c69cc7p-13, -0x1.318a8acd04f86p-13, -0x1.2972da35fca4bp-13, -0x1.21988cde26fc6p-13, -0x1.19f833cb4428fp-13, -0x1.1290dec107dfdp-13, -0x1.0b6400c47d166p-13, -0x1.0474d9eb97134p-13, -0x1.fb8dec20706e8p-14, -0x1.eeb894eeadep-14, -0x1.e267f4ee5927dp-14, -0x1.d69269a982d4bp-14, -0x1.cb2318d071e3ap-14, -0x1.bffec318dc28fp-14, -0x1.b516f07d2251cp-14, -0x1.aa754ca02008dp-14, -0x1.a02ae2679e4e3p-14, -0x1.9639e1cf54eb9p-14, -0x1.8c993d1cfb8d3p-14, -0x1.8346fa43ff807p-14, -0x1.7a486a6b28359p-14, -0x1.719daa162e2adp-14, -0x1.6941f84856d56p-14, -0x1.61322447dab18p-14, -0x1.596b3d2bd3012p-14, -0x1.51e7975226aebp-14, -0x1.4aa04742afe56p-14, -0x1.438fc782e330ap-14, -0x1.3cb2ab26f887cp-14, -0x1.36071c6b928d4p-14, -0x1.2f8ca28b2479fp-14, -0x1.29444c790f7afp-14, -0x1.2330496af5b89p-14, -0x1.1d524efcc721p-14, -0x1.17aa254d7bb7fp-14, -0x1.1236c0eebbadcp-14, -0x1.0cf783aadb184p-14, -0x1.07e7c3e5a1c3ep-14, -0x1.02fdb0d1d9fb9p-14, -0x1.fc7006ea3a4d9p-15, -0x1.f33d5e6ec41eep-15, -0x1.ea572a2d65525p-15, -0x1.e1976e51a488cp-15, -0x1.d8fb8a7233e73p-15, -0x1.d0a5fb7bdad59p-15, -0x1.c8a5761bc6958p-15, -0x1.c0e72c18ed5aap-15, -0x1.b956a8743ccdbp-15, -0x1.b1f4a41cd96a4p-15, -0x1.aacb7f6778b67p-15, -0x1.a3dbc297842b7p-15, -0x1.9d1cf55f884e7p-15, -0x1.96876ae7f0852p-15, -0x1.9017aaf125362p-15, -0x1.89ccab89df0a9p-15, -0x1.83a5cb581687ep-15, -0x1.7da22de22ca17p-15, -0x1.77c1093998231p-15, -0x1.720210199471fp-15, -0x1.6c65096d3220cp-15, -0x1.66e85f581b866p-15, -0x1.618944b8ded66p-15, -0x1.5c483ac8f1caep-15, -0x1.572943610cd2dp-15, -0x1.5226fff1f570dp-15, -0x1.4d37c0e413468p-15, -0x1.48617fb5577d1p-15, -0x1.43a426beff77cp-15, -0x1.3ef8e2f1b4007p-15, -0x1.3a66955770a03p-15, -0x1.35e9ea69af4d2p-15, -0x1.3178e856b3a79p-15, -0x1.2d1651861dba6p-15, -0x1.28c349444125ep-15, -0x1.24790d9cf0442p-15, -0x1.2039abb0be6bbp-15, -0x1.1c0cd295a3769p-15, -0x1.17f1584978981p-15, -0x1.13e17aca4e729p-15, -0x1.0fda2ead0c05dp-15, -0x1.0bdb16f3e2cfcp-15, -0x1.07e48fddeb6b8p-15, -0x1.03f6b915c54e2p-15, -0x1.0011466eca23dp-15, -0x1.f86738487551p-16, -0x1.f0ba16f399089p-16, -0x1.e91a30e5195adp-16, -0x1.e186efb487d9cp-16, -0x1.d9fefb29c4c56p-16, -0x1.d28028524808ep-16, -0x1.cb0c60fa6fd69p-16, -0x1.c3abb6f4339acp-16, -0x1.bc5a4d2271605p-16, -0x1.b50a28a710524p-16, -0x1.adba8203b06d9p-16, -0x1.a66b6bc5c24ddp-16, -0x1.9f2890050a875p-16, -0x1.97f3908512067p-16, -0x1.90c7689e09498p-16, -0x1.89a28a7eb4c7p-16, -0x1.827f83c89cd58p-16, -0x1.7b5d54a83455dp-16, -0x1.743d16a2783efp-16, -0x1.6d1c77ea10fa1p-16, -0x1.66021113f518p-16, -0x1.5ef0316c2fc42p-16, -0x1.57e1f302e2541p-16, -0x1.50d4fffa0417p-16, -0x1.49c9a0e592284p-16, -0x1.42c07d110a00dp-16, -0x1.3bb9f2a0d5939p-16, -0x1.34b61f036660ep-16, -0x1.2db4f051aae25p-16, -0x1.26b63f6c7d714p-16, -0x1.1fb9e0785936bp-16, -0x1.18bfbb5c39ec5p-16, -0x1.11c7e275e19f5p-16, -0x1.0ad2752c01638p-16, -0x1.03df52d58da04p-16, -0x1.f9dc7f8d7f1e7p-17, -0x1.ec009fb7c1603p-17, -0x1.de2fa5bc649p-17, -0x1.d063f8bbe4ad2p-17, -0x1.c297cb2c32575p-17, -0x1.b4d010a203f39p-17, -0x1.a712dedf04bp-17, -0x1.995c5b99b8e6dp-17, -0x1.8baae6e1128f2p-17, -0x1.7dff6faf8523p-17, -0x1.705bf5220392p-17, -0x1.62c3468acf358p-17, -0x1.55338549b1683p-17, -0x1.47a96382d3ab7p-17, -0x1.3a256ce1982b8p-17, -0x1.2cabf2ca3b853p-17, -0x1.1f3e1d046de5fp-17, -0x1.11d9d3813341cp-17, -0x1.047f1cfe01d5ep-17, -0x1.ee5d9ee0227a6p-18, -0x1.d3d331e7ca136p-18, -0x1.b95ffd2ab8796p-18, -0x1.9f04e9155a581p-18, -0x1.84c2d1a643309p-18, -0x1.6a9a8d4aeaeaep-18, -0x1.508cf0a0fe67fp-18, -0x1.369ad2078ba2ep-18, -0x1.1cc50eda864ddp-18, -0x1.030c940f4f38ap-18, -0x1.d2e4be4655497p-19, -0x1.9feeba0edf93ap-19, -0x1.6d387ade6becap-19, -0x1.3ac358a098aebp-19, -0x1.089322c065a9fp-19, -0x1.ad52d02d408b2p-20, -0x1.4a07dda623bccp-20, -0x1.cea29b44650bep-21, -0x1.0a629fb22a711p-21, -0x1.1d430166179e3p-23, 0x1.ea2a9dc5c935fp-23, 0x1.3b27d5b728225p-21, 0x1.fa8008317fa21p-21, 0x1.5c468c8ef39afp-20, 0x1.baa3a9753a57ap-20, 0x1.0c291278bd99ap-19, 0x1.3aa8e96eb7ff5p-19, 0x1.68d0c340610dp-19, 0x1.969cf94d35bbep-19, 0x1.c40c9524fa22dp-19, 0x1.f11ec73b60603p-19, 0x1.0ee8f81eb7b3dp-18, 0x1.251242993e596p-18, 0x1.3b0a8e30099ecp-18, 0x1.50d12de281dd1p-18, 0x1.66657934cc254p-18, 0x1.7bc6cbb9e1092p-18, 0x1.90f4852527608p-18, 0x1.a5ee09635df5cp-18, 0x1.bab2c0856c2ep-18, 0x1.cf4216e14fe8ep-18, 0x1.e39b7d17dae65p-18, 0x1.f7be6751b4286p-18, 0x1.05d5264669ca9p-17, 0x1.0faf542fb689bp-17, 0x1.196d7f9532429p-17, 0x1.230f6fb654127p-17, 0x1.2c94e6ed0beccp-17, 0x1.35fda64269146p-17, 0x1.3f497e2a256abp-17, 0x1.487833b13be6cp-17, 0x1.51899f02a0acp-17, 0x1.5a7d8e39821ecp-17, 0x1.6353d267e1fc4p-17, 0x1.6c0c407731021p-17, 0x1.74a6af84c6ac1p-17, 0x1.7d22f87d0586bp-17, 0x1.8580f754a1d89p-17, 0x1.8dc08c715a52bp-17, 0x1.95e194630f24cp-17, 0x1.9de3ed7c10d2p-17, 0x1.a5c7856984d03p-17, 0x1.ad8c37daa9069p-17, 0x1.b531f72293d65p-17, 0x1.bcb8ad6c29a1fp-17, 0x1.c4204561015cp-17, 0x1.cb68ad85f96b1p-17, 0x1.d291d6ec7cc57p-17, 0x1.d99bb4b7a2eb6p-17, 0x1.e0863bfca3b03p-17, 0x1.e75163ce6a3c3p-17, 0x1.edfd2544afc8cp-17, 0x1.f4897b84a870dp-17, 0x1.faf663b0db15ap-17, 0x1.00a1ee6b9bd03p-16, 0x1.03b8f3fa740dbp-16, 0x1.06c043f3052a1p-16, 0x1.09b7e07cb6881p-16, 0x1.0c9fcc38b7fa9p-16, 0x1.0f780ac6040f8p-16, 0x1.1240a1988ea63p-16, 0x1.14f9989fa9c8cp-16, 0x1.17a2f88fa89d4p-16, 0x1.1a3cc153bd5cdp-16, 0x1.1cc6f9dc06547p-16, 0x1.1f41b3d62668fp-16, 0x1.21acf7d40e322p-16, 0x1.2408ce791aa56p-16, 0x1.26554323d14c1p-16, 0x1.28926267448p-16, 0x1.2ac0399d634bap-16, 0x1.2cded681f0577p-16, 0x1.2eee46cefdf34p-16, 0x1.30ee98ccbfea8p-16, 0x1.32dfddb30a259p-16, 0x1.34c22d5cfc2c3p-16, 0x1.3695901bc9571p-16, 0x1.385a0cb94030dp-16, 0x1.3a0fc13e7bb63p-16, 0x1.3bb6c9179b9b5p-16, 0x1.3d4f31bfb9769p-16, 0x1.3ed90d85cbfbfp-16, 0x1.4054712fe5cefp-16, 0x1.41c1723e0455dp-16, 0x1.432026a2c2d1p-16, 0x1.4470a4bcde264p-16, 0x1.45b3035fe322p-16, 0x1.46e759e8a0bafp-16, 0x1.480dc04587106p-16, 0x1.49264ee5fb715p-16, 0x1.4a311ea76571ap-16, 0x1.4b2e48da4da4ap-16, 0x1.4c1de7531ae0cp-16, 0x1.4d0014478c624p-16, 0x1.4dd4e9a5ca449p-16, 0x1.4e9c80ef9e76dp-16, 0x1.4f56f50aa5128p-16, 0x1.500462a1b32b1p-16, 0x1.50a4ea21044e3p-16, 0x1.5138b1e104c09p-16, 0x1.51bfb349a84f1p-16, 0x1.523a1ac8cbffep-16, 0x1.52a8176a79a82p-16, 0x1.5309bb9dd42aep-16, 0x1.535f22fdcb222p-16, 0x1.53a8691dd2dd9p-16, 0x1.53e5af5ee8991p-16, 0x1.541715cf56a98p-16, 0x1.543cbc486e266p-16, 0x1.5456bdb8abdb9p-16, 0x1.546539253d3afp-16, 0x1.54684d4af54efp-16, 0x1.546018dd6751ep-16, 0x1.544cc3c377255p-16, 0x1.542e7f89670ecp-16, 0x1.540537186317dp-16, 0x1.53d114ef9092p-16, 0x1.53926350719a1p-16, 0x1.53492f3289922p-16, 0x1.52f5941a970eep-16, 0x1.5297b2d9291afp-16, 0x1.522fac768dc2ap-16, 0x1.51bda1d00ba05p-16, 0x1.5141b3a7f6836p-16, 0x1.50bc02b7f1cfep-16, 0x1.502cafcbd9ec6p-16, 0x1.4f93dbcf699b9p-16, 0x1.4ef1a7bcd4d3fp-16, 0x1.4e463489374dcp-16, 0x1.4d91a32682d3fp-16, 0x1.4cd414975f409p-16, 0x1.4c0da9fec3eb9p-16, 0x1.4b3e845744a16p-16, 0x1.4a66c3a683391p-16, 0x1.498687be127c2p-16, 0x1.489df1efa85d3p-16, 0x1.47ad238e148ddp-16, 0x1.46b441f7ead72p-16, 0x1.45b379594850ap-16, 0x1.44aab9fe7890bp-16, 0x1.439a4ec0450ecp-16, 0x1.4282555424253p-16, 0x1.4162e67c5c7ecp-16, 0x1.403c22a0518c8p-16, 0x1.3f0e2a3cb358ep-16, 0x1.3dd91d7afad29p-16, 0x1.3c9d1c63288a3p-16, 0x1.3b5a46e468dcep-16, 0x1.3a10bcc7578b7p-16, 0x1.38c09df84c0cep-16, 0x1.376a0a587ed96p-16, 0x1.360d2124aefefp-16, 0x1.34aa00534be5ep-16, 0x1.3340c59ce319ap-16, 0x1.31d1917180894p-16, 0x1.305c8f6a9d73dp-16, 0x1.2ee1dba3ee5bep-16, 0x1.2d6161dde3801p-16, 0x1.2bdb7cce28c84p-16, 0x1.2a503df32182bp-16, 0x1.28bfbbde2518bp-16, 0x1.272a14967f328p-16, 0x1.258f662957b57p-16, 0x1.23efce308316ep-16, 0x1.224b69f4bbd8p-16, 0x1.20a25688306f3p-16, 0x1.1ef4b0dfa3dd4p-16, 0x1.1d4295aa3052ep-16, 0x1.1b8c2165f260dp-16, 0x1.19d170566a0a4p-16, 0x1.18129e90476c8p-16, 0x1.164fc8047cc55p-16, 0x1.1489087ac5a6p-16, 0x1.12be7b26b1c99p-16, 0x1.10f03a9e04b5ap-16, 0x1.0f1e6212a7e32p-16, 0x1.0d490c9c4f82cp-16, 0x1.0b7054b042ef7p-16, 0x1.09945a7a72517p-16, 0x1.07b52fd3cbbb5p-16, 0x1.05d2e885eb324p-16, 0x1.03edae471f7ecp-16, 0x1.020592f136ccap-16, 0x1.001aaf8a6bebbp-16, 0x1.fc5a3a982bc7p-17, 0x1.f879e9dba3a83p-17, 0x1.f4949df9d3218p-17, 0x1.f0aa879000b0cp-17, 0x1.ecbbd699c4f2p-17, 0x1.e8c8ba958267bp-17, 0x1.e4d1627e2fe36p-17, 0x1.e0d5fcd6d3081p-17, 0x1.dcd6b7b9eb9afp-17, 0x1.d8d3c0dafa106p-17, 0x1.d4cd4582e6a7p-17, 0x1.d0c372417da87p-17, 0x1.ccb673b606896p-17, 0x1.c8a674e46fc6cp-17, 0x1.c493a029b0bdbp-17, 0x1.c07e1f962fb03p-17, 0x1.bc661edeb7c63p-17, 0x1.b84bd32345ae9p-17, 0x1.b42f57e4ab82ap-17, 0x1.b010c169d0ff2p-17, 0x1.abf05e7e994b5p-17, 0x1.a7ce485e81f3ep-17, 0x1.a3aaa41711c63p-17, 0x1.9f8598e177042p-17, 0x1.9b5f4d46b1a58p-17, 0x1.9737e72610fe3p-17, 0x1.930f8bd2ed05dp-17, 0x1.8ee6602128959p-17, 0x1.8abc886e89b7dp-17, 0x1.869228b15e17cp-17, 0x1.8267644d618c1p-17, 0x1.7e3c5db5ac711p-17, 0x1.7a113784dd76bp-17, 0x1.75e614a0b0972p-17, 0x1.71bb124c1ebf8p-17, 0x1.6d904f69ddedfp-17, 0x1.69660881503e8p-17, 0x1.653c30b434c22p-17, 0x1.611303daa46f7p-17, 0x1.5cea9bcea3a97p-17, 0x1.58c316100d6bfp-17, 0x1.549c90e0c3707p-17, 0x1.507729f978025p-17, 0x1.4c52fe959e63fp-17, 0x1.48302b7900b7bp-17, 0x1.440eccf194602p-17, 0x1.3feefed7a0309p-17, 0x1.3bd0dc937b43ep-17, 0x1.37b481176a6b9p-17, 0x1.339a06e5402f4p-17, 0x1.2f81880c1b0adp-17, 0x1.2b6b1e29d8d0ep-17, 0x1.2756e26c3fb04p-17, 0x1.2344ed9107236p-17, 0x1.1f3557f3f6ec8p-17, 0x1.1b2839a03d66ap-17, 0x1.171daa24123c2p-17, 0x1.1315c0eb3f4b8p-17, 0x1.0f1091ed28e9bp-17, 0x1.0b0e3330b4d42p-17, 0x1.070ec1123e513p-17, 0x1.031249a46c371p-17, 0x1.fe31d1c941b07p-18, 0x1.f64556d97e6e1p-18, 0x1.ee5f5208a9abdp-18, 0x1.e67febfec4db2p-18, 0x1.dea74ad26c9c7p-18, 0x1.d6d593fddbce2p-18, 0x1.cf0aec151bbdfp-18, 0x1.c747773a4b709p-18, 0x1.bf8b599c76cd6p-18, 0x1.b7d6baa3235c5p-18, 0x1.b029b91369c8dp-18, 0x1.a88467ef97d73p-18, 0x1.a0e6fc503747cp-18, 0x1.99518f87071a5p-18, 0x1.91c43ed847a9fp-18, 0x1.8a3f2bf6f4933p-18, 0x1.82c26d771a71p-18, 0x1.7b4e268851bacp-18, 0x1.73e272034913fp-18, 0x1.6c7f6acb0c495p-18, 0x1.65252be0c06a9p-18, 0x1.5dd3cf7426e2dp-18, 0x1.568b6f051c9c5p-18, 0x1.4f4c236829ap-18, 0x1.481604a3d1db7p-18, 0x1.40e92b04b0badp-18, 0x1.39c5ab21503ap-18, 0x1.32ab9db3fa98dp-18, 0x1.2b9b17334749ap-18, 0x1.24942ca2f8121p-18, 0x1.1d96f257ddc51p-18, 0x1.16a37c0864f5bp-18, 0x1.0fb9dcce55e03p-18, 0x1.08da2723752a2p-18, 0x1.02046cee5c03bp-18, 0x1.f6717f053c686p-19, 0x1.e8ee5f4405a91p-19, 0x1.db7f9ae370f03p-19, 0x1.ce2550e03c1ebp-19, 0x1.c0df9f8a295eap-19, 0x1.b3aea3be46ffep-19, 0x1.a69279673ec81p-19, 0x1.998b3b4697081p-19, 0x1.8c9903104b234p-19, 0x1.7fbbe96b60dcep-19, 0x1.72f405f5dc9bep-19, 0x1.66416f3fd1d13p-19, 0x1.59a43ac35f577p-19, 0x1.4d1c614fe18d4p-19, 0x1.40aa4984bbcfcp-19, 0x1.344db4bc42b6ep-19, 0x1.2806cdb0ff02bp-19, 0x1.1bd5a60811949p-19, 0x1.0fba4d6acda3fp-19, 0x1.03b4d22f12adbp-19, 0x1.ef8a8f75428c9p-20, 0x1.d7d75e2cd1d62p-20, 0x1.c0503f3adf74fp-20, 0x1.a8f54099e2a05p-20, 0x1.91c677c0083d8p-20, 0x1.7ac3f7bd913d9p-20, 0x1.63edd1e6813d1p-20, 0x1.4d441607e7e21p-20, 0x1.36c6d25a56066p-20, 0x1.20761341e1023p-20, 0x1.0a51e3b7a7f7dp-20, 0x1.e8b49a5d94871p-21, 0x1.bd1eaf284bfdfp-21, 0x1.91e2127b1aac7p-21, 0x1.66fecebe46688p-21, 0x1.3c74ef1b2a3cp-21, 0x1.12447687b24f6p-21, 0x1.d0daa62e53d2dp-22, 0x1.7ddf2f17f813cp-22, 0x1.2b967cda989ccp-22, 0x1.b400f81cdc4c9p-23, 0x1.123a2f40b9ad5p-23, 0x1.c761b8962df97p-25, -0x1.69243087da9e3p-26, -0x1.9579e381edc08p-24, -0x1.66f126fdd883cp-23, -0x1.00e0bde8f2358p-22, -0x1.4d9729f0f086p-22, -0x1.999c0dbc9272p-22, -0x1.e4efa349b8d72p-22, -0x1.17c913998da06p-21, -0x1.3cc1f34aa31c7p-21, -0x1.61628f89d065ep-21, -0x1.85ab10571a26ap-21, -0x1.a99b9ead70bf6p-21, -0x1.cd34645aab6b3p-21, -0x1.f0758f4f9ed0ep-21, -0x1.09afa3070a4f4p-20, -0x1.1af8e08904ceap-20, -0x1.2c16981ee5e38p-20, -0x1.3d08e3e83d784p-20, -0x1.4dcfdea37d44bp-20, -0x1.5e6ba417b65d4p-20, -0x1.6edc50eeb6d2cp-20, -0x1.7f2202b738dd5p-20, -0x1.8f3cd7d886171p-20, -0x1.9f2cef948f983p-20, -0x1.aef269f4cc5a7p-20, -0x1.be8d67d456af8p-20, -0x1.cdfe0abfd5bp-20, -0x1.dd44754361029p-20, -0x1.ec60ca3cfacb3p-20, -0x1.fb532c9710efbp-20, -0x1.050de149cc08ep-19, -0x1.0c5d593a4390ap-19, -0x1.139811de92b25p-19, -0x1.1abe1db1fc44ep-19, -0x1.21cf8d34282fbp-19, -0x1.28cc717f4c5p-19, -0x1.2fb4d812deb1fp-19, -0x1.36892c71d2775p-19, -0x1.3d48af18f2fd4p-19, -0x1.43f4614c8cbap-19, -0x1.4a8be6c90f96fp-19, -0x1.510f5db113ab5p-19, -0x1.577ee1caa736ep-19, -0x1.5dda88c223097p-19, -0x1.64226d13b0bb7p-19, -0x1.6a56a14d70ba8p-19, -0x1.70773cd9a04a2p-19, -0x1.768456f60df4cp-19, -0x1.7c7e0d105683cp-19, -0x1.8264657880368p-19, -0x1.883789e88021fp-19, -0x1.8df78b5e19b58p-19, -0x1.93a4829059f3ep-19, -0x1.993e88029ca4p-19, -0x1.9ec5b4765eaddp-19, -0x1.a43a2069aa3eap-19, -0x1.a99be2a4a8afap-19, -0x1.aeeb1c0cd258fp-19, -0x1.b427e19448773p-19, -0x1.b952482de70dp-19, -0x1.be6a6a9c86cd4p-19, -0x1.c370629f19e4cp-19, -0x1.c864496198e89p-19, -0x1.cd463a76bed35p-19, -0x1.d216511303665p-19, -0x1.d6d4a805b294fp-19, -0x1.db8159723dfd8p-19, -0x1.e01c7f592dcbdp-19, -0x1.e4a633e96caf9p-19, -0x1.e91e915b6696p-19, -0x1.ed85b19ad370fp-19, -0x1.f1dbb2b5d9a7bp-19, -0x1.f620abef5b1c4p-19, -0x1.fa54b96f03a13p-19, -0x1.fe77f645aff8ap-19, -0x1.01453effa5a8fp-18, -0x1.03463561f721ap-18, -0x1.053eec715eb38p-18, -0x1.072f71a2b66c2p-18, -0x1.0917d29fc04afp-18, -0x1.0af81d10d9318p-18, -0x1.0cd05ec88b1d6p-18, -0x1.0ea0a5866d6b2p-18, -0x1.1068fe34d69d8p-18, -0x1.122978d7346c2p-18, -0x1.13e221ad1ea33p-18, -0x1.15933a8692a97p-18, -0x1.173c34f9f9f02p-18, -0x1.18ddbb282d595p-18, -0x1.1a77a72de8701p-18, -0x1.1c0a06b6c193cp-18, -0x1.1d94e79abcb5ep-18, -0x1.1f1857b5fb8dp-18, -0x1.209464e2e7654p-18, -0x1.22091d0894b5ep-18, -0x1.23768fcc30955p-18, -0x1.24dcc56d5ed4cp-18, -0x1.263bd15f0646ep-18, -0x1.2793bf942f0d7p-18, -0x1.28e49df9d1eeep-18, -0x1.2a2e7a5235224p-18, -0x1.2b716269a904dp-18, -0x1.2cad640a20619p-18, -0x1.2de28d11a206bp-18, -0x1.2f10eb194999ep-18, -0x1.30388c79562eep-18, -0x1.31597e046262fp-18, -0x1.3273cd2c1f7d6p-18, -0x1.338788a006a46p-18, -0x1.3494bb245a80fp-18, -0x1.359b79af4476fp-18, -0x1.369bcba20d263p-18, }}, 
      {{0x1.bcbab9b7820dfp-3, 0x1.cdf7a73ae30ecp-3, 0x1.e84d18e706a28p-3, 0x1.049883f977311p-2, 0x1.170d839070b5dp-2, 0x1.2a60482fac1cfp-2, 0x1.3d984ecedd1b3p-2, 0x1.4fedecf30dd35p-2, 0x1.60c8d51a97092p-2, 0x1.6fbbb08d0d18cp-2, 0x1.7c7e72afa5decp-2, 0x1.86e85c17019f7p-2, 0x1.8eea35b48bf3dp-2, 0x1.9489091cdddb1p-2, 0x1.97d9733c8042p-2, 0x1.98fb994aea68dp-2, 0x1.9817bca5548a3p-2, 0x1.955b637683caap-2, 0x1.90f7087380125p-2, 0x1.8b1c4217cbd6ap-2, 0x1.83fc52251cdb3p-2, 0x1.7bc70d968a14bp-2, 0x1.72aa0fea8ff65p-2, 0x1.68d02c8539582p-2, 0x1.5e61129d86b67p-2, 0x1.538119c141a52p-2, 0x1.48512e1c4c53fp-2, 0x1.3ceed518d19fep-2, 0x1.3174442a636a8p-2, 0x1.25f884cf7bdb2p-2, 0x1.1a8fa1b4d68e7p-2, 0x1.0f4ad9e3f190dp-2, 0x1.0438d730fc735p-2, 0x1.f2cbcc02e3ba4p-3, 0x1.ddb859f056d17p-3, 0x1.c947c66795b03p-3, 0x1.b58708b3c6435p-3, 0x1.a28003f9241a6p-3, 0x1.9039e3f617adap-3, 0x1.7eb972d7b47aap-3, 0x1.6e01687ee5999p-3, 0x1.5e12b2de96868p-3, 0x1.4eecb7d43bc4ep-3, 0x1.408d9083fde7cp-3, 0x1.32f23e95c3332p-3, 0x1.2616dba2385bp-3, 0x1.19f6c36318ea4p-3, 0x1.0e8cb8e7bfae4p-3, 0x1.03d3074503f1p-3, 0x1.f3873c3a8872bp-4, 0x1.e0b054ce81007p-4, 0x1.cf1457b50e699p-4, 0x1.bea60ea24bafp-4, 0x1.af582d014a9b5p-4, 0x1.a11d6a8c9704fp-4, 0x1.93e899b29f82fp-4, 0x1.87acba39ca8bfp-4, 0x1.7c5d087028c45p-4, 0x1.71ed09e41e1fdp-4, 0x1.6850971f2baebp-4, 0x1.5f7be3a2044afp-4, 0x1.576383af34468p-4, 0x1.4ffc70e547a9fp-4, 0x1.493c0cd356b17p-4, 0x1.431823184d0d1p-4, 0x1.3d86e9fdd6ee9p-4, 0x1.387f028435887p-4, 0x1.33f7778a440b3p-4, 0x1.2fe7bc9f5c2ccp-4, 0x1.2c47ac1237676p-4, 0x1.290f84db5211ap-4, 0x1.2637e822b6aa3p-4, 0x1.23b9d6720fb41p-4, 0x1.218eacee0a154p-4, 0x1.1fb02237e63abp-4, 0x1.1e184349d3bf5p-4, 0x1.1cc17066d8a5p-4, 0x1.1ba659bc9f625p-4, 0x1.1ac1fc5448c9ap-4, 0x1.1a0f9ec890d95p-4, 0x1.198ace223c816p-4, 0x1.192f5acfd2263p-4, 0x1.18f9557e7c582p-4, 0x1.18e50c3ea8b87p-4, 0x1.18ef078ad2726p-4, 0x1.191407819b36p-4, 0x1.1951012846f86p-4, 0x1.19a31bd01b41bp-4, 0x1.1a07ae859527cp-4, 0x1.1a7c3da4a106ep-4, 0x1.1afe7879f526dp-4, 0x1.1b8c37003b676p-4, 0x1.1c2377b69fc45p-4, 0x1.1cc25d8c0bfc5p-4, 0x1.1d672ddfac92ap-4, 0x1.1e104e9e3e7b1p-4, 0x1.1ebc446c7dc1fp-4, 0x1.1f69b0ee202d1p-4, 0x1.20175119bf0fdp-4, 0x1.20c3fba59c646p-4, 0x1.216e9f87879fap-4, 0x1.221642861ac9cp-4, 0x1.22b9ffda8b2cfp-4, 0x1.235906e4f56f7p-4, 0x1.23f299f1961acp-4, 0x1.24860d0e0d089p-4, 0x1.2512c4edc26f1p-4, 0x1.259835d9c5d23p-4, 0x1.2615e2b2ea73fp-4, 0x1.268b5bfd83e73p-4, 0x1.26f83effb2d03p-4, 0x1.275c34e400801p-4, 0x1.27b6f1f151a34p-4, 0x1.280834c143cbp-4, 0x1.284fc5922e8a3p-4, 0x1.288d758e31415p-4, 0x1.28c11e31847bbp-4, 0x1.28eaa0af4d04dp-4, 0x1.2909e55847582p-4, 0x1.291edb1ac216ap-4, 0x1.292976f9df835p-4, 0x1.2929b39be9388p-4, 0x1.291f90ce75959p-4, 0x1.290b13247f1a2p-4, 0x1.28ec438a282d7p-4, 0x1.28c32eec12358p-4, 0x1.288fe5d79ae0cp-4, 0x1.28527c2fb4746p-4, 0x1.280b08d8a2f6ep-4, 0x1.27b9a570709bfp-4, 0x1.275e6e0f372c7p-4, 0x1.26f9810168394p-4, 0x1.268afe91ac9f3p-4, 0x1.261308ce763e5p-4, 0x1.2591c35793886p-4, 0x1.2507532c1aacp-4, 0x1.2473de80c29a4p-4, 0x1.23d78c94286aap-4, 0x1.23328589c8824p-4, 0x1.2284f2441524fp-4, 0x1.21cefc453777ap-4, 0x1.2110cd9051a31p-4, 0x1.204a908c42685p-4, 0x1.1f7c6feaa5cb7p-4, 0x1.1ea696909b9eep-4, 0x1.1dc92f8154fep-4, 0x1.1ce465c9615c2p-4, 0x1.1bf8646cfcb44p-4, 0x1.1b0556586d234p-4, 0x1.1a0b665115e24p-4, 0x1.190abee7f28a5p-4, 0x1.18038a6c417dcp-4, 0x1.16f5f2e253215p-4, 0x1.15e221f7e2661p-4, 0x1.14c840fc62d0cp-4, 0x1.13a878d7d5265p-4, 0x1.1282f203d3cbdp-4, 0x1.1157d485e9e1dp-4, 0x1.102747e9e5cd4p-4, 0x1.0ef1733c456f1p-4, 0x1.0db67d06d1438p-4, 0x1.0c768b4d4783ap-4, 0x1.0b31c38b01f6fp-4, 0x1.09e84ab0615d9p-4, 0x1.089a452164ccp-4, 0x1.0747d6b494f1fp-4, 0x1.05f122b2dd38fp-4, 0x1.04964bd7afd51p-4, 0x1.0337745107b42p-4, 0x1.01d4bdbf8990ap-4, 0x1.006e4937638a3p-4, 0x1.fe086e83c389ap-5, 0x1.fb2d4fbd97eddp-5, 0x1.f84b750aa8fb2p-5, 0x1.f5631c4a1914cp-5, 0x1.f274824f17845p-5, 0x1.ef7fe2e49457ap-5, 0x1.ec8578d0c5196p-5, 0x1.e9857dd883895p-5, 0x1.e6802ac2b4127p-5, 0x1.e375b75b9dd45p-5, 0x1.e0665a78d0771p-5, 0x1.dd5249fd92ddap-5, 0x1.da39badf62072p-5, 0x1.d71ce12a6237cp-5, 0x1.d3fbf0055af75p-5, 0x1.d0d719b610a73p-5, 0x1.cdae8fa64eb84p-5, 0x1.ca828268d1283p-5, 0x1.c75321be2803ap-5, 0x1.c4209c9965c73p-5, 0x1.c0eb2124ad083p-5, 0x1.bdb2dcc5f1d5cp-5, 0x1.ba77fc23c54dcp-5, 0x1.b73aab2a06cebp-5, 0x1.b3fb150e32ffbp-5, 0x1.b0b964533cf9ap-5, 0x1.ad75c2cd57f5cp-5, 0x1.aa3059a62ec2ap-5, 0x1.a6e95160f6a15p-5, 0x1.a3a0d1ddcdfe4p-5, 0x1.a057025ccaf0ep-5, 0x1.9d0c098118833p-5, 0x1.99c00d53ff367p-5, 0x1.96733347d64f3p-5, 0x1.9325a03adbcc9p-5, 0x1.8fd77879db76ep-5, 0x1.8c88dfc2b535fp-5, 0x1.8939f946cea56p-5, 0x1.85eae7ad68284p-5, 0x1.829bcd15df58p-5, 0x1.7f4ccb19f334bp-5, 0x1.7bfe02cffcb9ap-5, 0x1.78af94cd0c5a1p-5, 0x1.7561a126cbadap-5, 0x1.7214477569514p-5, 0x1.6ec7a6d5949cfp-5, 0x1.6b7bddea513d3p-5, 0x1.68310ade868b3p-5, 0x1.64e74b6699cc6p-5, 0x1.619ebcc207643p-5, 0x1.5e577bbcd49ep-5, 0x1.5b11a4b0dac29p-5, 0x1.57cd5386fba96p-5, 0x1.548aa3b852c4fp-5, 0x1.5149b04f2d2f9p-5, 0x1.4e0a93e82e0d3p-5, 0x1.4acd68b314fc2p-5, 0x1.479248738c42fp-5, 0x1.44594c81e837fp-5, 0x1.41228dcbb6744p-5, 0x1.3dee24d4562d1p-5, 0x1.3abc29b581c5ep-5, 0x1.378cb41fc3fa4p-5, 0x1.345fdb5ae7c0fp-5, 0x1.3135b64661d96p-5, 0x1.2e0e5b5982c1ep-5, 0x1.2ae9e0a3daa42p-5, 0x1.27c85bcd8fe2dp-5, 0x1.24a9e2178b14cp-5, 0x1.218e885ba6deap-5, 0x1.1e76630ce3ab8p-5, 0x1.1b618637a86a2p-5, 0x1.18500581f31bp-5, 0x1.1541f42b82aeap-5, 0x1.1237650dffd62p-5, 0x1.0f306a9d25d38p-5, 0x1.0c2d16e6edc09p-5, 0x1.092d7b93b3264p-5, 0x1.0631a9e66b943p-5, 0x1.0339b2bccdae9p-5, 0x1.0045a68f77e2p-5, 0x1.faab2ae43adap-6, 0x1.f4d31e2759732p-6, 0x1.ef03457cff226p-6, 0x1.e93bbeb111b42p-6, 0x1.e37ca6c716f5p-6, 0x1.ddc619fa92fcep-6, 0x1.d81833bf73251p-6, 0x1.d2730ec27a66p-6, 0x1.ccd6c4e9ad01dp-6, 0x1.c7436f54e179ap-6, 0x1.c1b9265e42bc4p-6, 0x1.bc38019ae6bd4p-6, 0x1.b6c017db4d1e7p-6, 0x1.b1517f2bf7e38p-6, 0x1.abec4cd606f59p-6, 0x1.a690955ff83ebp-6, 0x1.a13e6c8e62d8p-6, 0x1.9bf5e564b7d95p-6, 0x1.96b7122616285p-6, 0x1.918204561efc2p-6, 0x1.8c56ccb9d4eefp-6, 0x1.87357b5893b0bp-6, 0x1.821e1f7d0e0f1p-6, 0x1.7d10c7b658a81p-6, 0x1.780d81d90bd53p-6, 0x1.73145b0058ec7p-6, 0x1.6e255f8f4b21bp-6, 0x1.69409b31edab2p-6, 0x1.646618dea6ac1p-6, 0x1.5f95e2d7840d2p-6, 0x1.5ad002abb28cdp-6, 0x1.56148138e284ep-6, 0x1.516366accc597p-6, 0x1.4cbcba86af478p-6, 0x1.48208398ea3c8p-6, 0x1.438ec80a9b035p-6, 0x1.3f078d594b844p-6, 0x1.3a8ad85ab09c1p-6, 0x1.3618ad3e70b18p-6, 0x1.31b10f8ff910dp-6, 0x1.2d54023853fc5p-6, 0x1.2901878003a97p-6, 0x1.24b9a110f52adp-6, 0x1.207c4ff871f22p-6, 0x1.1c4994a92aa6fp-6, 0x1.18216efd4b23dp-6, 0x1.1403de3883e4bp-6, 0x1.0ff0e10a326c3p-6, 0x1.0be8758f7810ep-6, 0x1.07ea995568037p-6, 0x1.03f7495b3c5e8p-6, 0x1.000e821493a7ap-6, 0x1.f8607ed76c1d7p-7, 0x1.f0b8f987d0164p-7, 0x1.e92669f759951p-7, 0x1.e1a8c4de4c59fp-7, 0x1.da3ffdf4b29fbp-7, 0x1.d2ec07f72856ap-7, 0x1.cbacd4ab9b1ddp-7, 0x1.c48254e623909p-7, 0x1.bd6c788de2cd9p-7, 0x1.b66b2ea1e436cp-7, 0x1.af7e653e0639fp-7, 0x1.a8a6099fd0cedp-7, 0x1.a1e2082b61106p-7, 0x1.9b324c70455b7p-7, 0x1.9496c12e7c9cap-7, 0x1.8e0f505b6ffccp-7, 0x1.879be326f4ff6p-7, 0x1.813c62003a84bp-7, 0x1.7af0b49add338p-7, 0x1.74b8c1f3bf5f4p-7, 0x1.6e94705610c74p-7, 0x1.6883a56023abdp-7, 0x1.628646086d848p-7, 0x1.5c9c36a271314p-7, 0x1.56c55ae3b035ap-7, 0x1.510195e89d5bcp-7, 0x1.4b50ca39749a1p-7, 0x1.45b2d9cf27a94p-7, 0x1.4027a61828673p-7, 0x1.3aaf0ffd2a5c2p-7, 0x1.3548f7e5e28f6p-7, 0x1.2ff53dbdcef5ap-7, 0x1.2ab3c0f8d923fp-7, 0x1.258460981a151p-7, 0x1.2066fb2e80cd5p-7, 0x1.1b5b6ee573edp-7, 0x1.1661998163ebdp-7, 0x1.117958664d6d6p-7, 0x1.0ca2889c25c47p-7, 0x1.07dd06d34eec9p-7, 0x1.0328af68e65bap-7, 0x1.fd0abcd648ddcp-8, 0x1.f3e5df3b3b738p-8, 0x1.eae27cfb108b7p-8, 0x1.e2004c8bd8433p-8, 0x1.d93f03e77f5ap-8, 0x1.d09e58940bffep-8, 0x1.c81dffab8cf59p-8, 0x1.bfbdade407d3bp-8, 0x1.b77d17974c94ep-8, 0x1.af5bf0caa488p-8, 0x1.a759ed366324ep-8, 0x1.9f76c04d51286p-8, 0x1.97b21d44012cdp-8, 0x1.900bb717fe41ep-8, 0x1.88834096b7cf6p-8, 0x1.81186c6467d67p-8, 0x1.79caed02d453ap-8, 0x1.729a74d805162p-8, 0x1.6b86b634f70fp-8, 0x1.648f635c2be0bp-8, 0x1.5db42e88252aap-8, 0x1.56f4c9f1bf761p-8, 0x1.5050e7d64363fp-8, 0x1.49c83a7d322c7p-8, 0x1.435a743de2d56p-8, 0x1.3d074784c47d6p-8, 0x1.36ce66d898c61p-8, 0x1.30af84df8b566p-8, 0x1.2aaa54648040dp-8, 0x1.24be885c41327p-8, 0x1.1eebd3eb007bcp-8, 0x1.1931ea69b0785p-8, 0x1.13907f6b4e4cp-8, 0x1.0e0746c1da6f8p-8, 0x1.0895f482f6e2p-8, 0x1.033c3d0bef0c8p-8, 0x1.fbf3aa0abfe28p-9, 0x1.f19ce2cd1bc53p-9, 0x1.e7738ef12632dp-9, 0x1.dd7719b359647p-9, 0x1.d3a6ef019c10ep-9, 0x1.ca027b8331ac5p-9, 0x1.c0892ca155cb7p-9, 0x1.b73a708fefbb2p-9, 0x1.ae15b6563fe71p-9, 0x1.a51a6dd6865a3p-9, 0x1.9c4807d4a6dbp-9, 0x1.939df5fb24903p-9, 0x1.8b1baadf042c4p-9, 0x1.82c09a02b936dp-9, 0x1.7a8c37d916b6ap-9, 0x1.727df9c88cfb3p-9, 0x1.6a95562f7d7fbp-9, 0x1.62d1c4699a345p-9, 0x1.5b32bcd5f46b6p-9, 0x1.53b7b8dd9ac45p-9, 0x1.4c6032f94624bp-9, 0x1.452ba6b64359ap-9, 0x1.3e1990b9b8332p-9, 0x1.37296ec27362fp-9, 0x1.305abfa9e78fdp-9, 0x1.29ad036531ab6p-9, 0x1.231fbb06eba1bp-9, 0x1.1cb268c25e503p-9, 0x1.16648ff06df83p-9, 0x1.1035b515593b4p-9, 0x1.0a255de671576p-9, 0x1.0433114e55d44p-9, 0x1.fcbcaedc9d74cp-10, 0x1.f14d7338833p-10, 0x1.e61784bad4d93p-10, 0x1.db19fabe32b96p-10, 0x1.d053eedf407eep-10, 0x1.c5c47cf3f355ap-10, 0x1.bb6ac30c7f78p-10, 0x1.b145e1812e435p-10, 0x1.a754fb0bcd4c8p-10, 0x1.9d9734ea0205dp-10, 0x1.940bb7015ea0ep-10, 0x1.8ab1abfcb10e2p-10, 0x1.818841591d0afp-10, 0x1.788ea75f3a194p-10, 0x1.6fc411041c092p-10, 0x1.6727b3b702adap-10, 0x1.5eb8c723558c3p-10, 0x1.567684f4275c2p-10, 0x1.4e6028a5f6101p-10, 0x1.4674ef730d529p-10, 0x1.3eb418618522fp-10, 0x1.371ce4737251ep-10, 0x1.2fae96f335fe3p-10, 0x1.286875ce183f4p-10, 0x1.2149c9ecafdbap-10, 0x1.1a51df755e836p-10, 0x1.138005ea61778p-10, 0x1.0cd390183d509p-10, 0x1.064bd3d46b014p-10, 0x1.ffd05328a0abp-11, 0x1.f34fd7db66525p-11, 0x1.e714ee2f12905p-11, 0x1.db1e510567072p-11, 0x1.cf6abd3ed911ep-11, 0x1.c3f8f1b64e182p-11, 0x1.b8c7afafda647p-11, 0x1.add5bba88de2p-11, 0x1.a321de60f79f3p-11, 0x1.98aae5f2df01p-11, 0x1.8e6fa6c2b617p-11, 0x1.846efc2389137p-11, 0x1.7aa7c8918c4cfp-11, 0x1.7118f57a8f739p-11, 0x1.67c17297fd99fp-11, 0x1.5ea034f39dec4p-11, 0x1.55b435baf2935p-11, 0x1.4cfc7110af66fp-11, 0x1.4477e50fe58bcp-11, 0x1.3c25912ccd33p-11, 0x1.3404760f9dc63p-11, 0x1.2c1395eaf58f4p-11, 0x1.2451f533d45d3p-11, 0x1.1cbe9b8bc31a7p-11, 0x1.155894a7a1738p-11, 0x1.0e1ef10843f71p-11, 0x1.0710c66fc9be7p-11, 0x1.002d3016670e6p-11, 0x1.f2e69d59f4086p-12, 0x1.e5c49079b7673p-12, 0x1.d8f28fcf5ac74p-12, 0x1.cc6efb02907f8p-12, 0x1.c03839fae5118p-12, 0x1.b44cbb7895ac2p-12, 0x1.a8aaf3a66ecdep-12, 0x1.9d515aff97535p-12, 0x1.923e6ddc6dc1ap-12, 0x1.8770accb7cba6p-12, 0x1.7ce69d80ad866p-12, 0x1.729ecbdf5d7afp-12, 0x1.6897ca9c08b45p-12, 0x1.5ed03324bd919p-12, 0x1.5546a4e9fd622p-12, 0x1.4bf9c478050a6p-12, 0x1.42e83af93ed3p-12, 0x1.3a10b66dd3078p-12, 0x1.3171eaae89219p-12, 0x1.290a92af2f74ep-12, 0x1.20d9717b0d63p-12, 0x1.18dd52724804ep-12, 0x1.111508b5b5b31p-12, 0x1.097f6e157de2bp-12, 0x1.021b6212b872p-12, 0x1.f5cf92de3aa89p-13, 0x1.e7c71cd7c9c3ep-13, 0x1.da1b42cd82efp-13, 0x1.ccc9f2773669ap-13, 0x1.bfd125c99f983p-13, 0x1.b32ee07132988p-13, 0x1.a6e12c4f887f4p-13, 0x1.9ae616695fea1p-13, 0x1.8f3bada6b9587p-13, 0x1.83e003f42878p-13, 0x1.78d13145d1197p-13, 0x1.6e0d5729bc5fcp-13, 0x1.6392a37ceb443p-13, 0x1.595f517e134cfp-13, 0x1.4f71a96ebcd67p-13, 0x1.45c7ffaf02acp-13, 0x1.3c60b446beeafp-13, 0x1.333a3327ab239p-13, 0x1.2a52f49ad224fp-13, 0x1.21a97cd8a19ecp-13, 0x1.193c5a132f786p-13, 0x1.110a212bce717p-13, 0x1.09116a377e67dp-13, 0x1.0150ce3c35073p-13, 0x1.f38dcdf0b30b5p-14, 0x1.e4e4a0ff80e19p-14, 0x1.d6a3579f65432p-14, 0x1.c8c742d79ccc1p-14, 0x1.bb4dc69e70796p-14, 0x1.ae345b46b2a56p-14, 0x1.a1788ba7daa71p-14, 0x1.9517f08c5a07bp-14, 0x1.89102c3516533p-14, 0x1.7d5eea14355fep-14, 0x1.7201e52d6f011p-14, 0x1.66f6f334f7879p-14, 0x1.5c3c0dc4c3686p-14, 0x1.51cf52ab13cf7p-14, 0x1.47aef83494642p-14, 0x1.3dd9399d6a971p-14, 0x1.344c44f052fp-14, 0x1.2b06332496dfcp-14, 0x1.22050d3c270e4p-14, 0x1.1946d99e603a2p-14, 0x1.10c9a951b61e9p-14, 0x1.088b9f540b3cep-14, 0x1.008af1d57315cp-14, 0x1.f18bd14f10478p-15, 0x1.e275b7077a1f7p-15, 0x1.d3d05fc971e24p-15, 0x1.c598a9968337ap-15, 0x1.b7cb79b044d56p-15, 0x1.aa65b629c8dd9p-15, 0x1.9d645066c7fc2p-15, 0x1.90c462e556db7p-15, 0x1.8483535c6d288p-15, 0x1.789edfce6b3e5p-15, 0x1.6d1506802b9abp-15, 0x1.61e3d1b1ddea4p-15, 0x1.570924d389b8fp-15, 0x1.4c82a8585bfd4p-15, 0x1.424ddb3359b24p-15, 0x1.386837f035eaap-15, 0x1.2ecf52dd13d87p-15, 0x1.2580e3428621ap-15, 0x1.1c7abbfedf5cfp-15, 0x1.13babf510454ep-15, 0x1.0b3ed5684fa83p-15, 0x1.0304e7d2b069ep-15, 0x1.f615c41f3797cp-16, 0x1.e69d6b97892cp-16, 0x1.d79cbd0909f0dp-16, 0x1.c90fc2da90b02p-16, 0x1.baf29c4f4cc26p-16, 0x1.ad4195a9573e5p-16, 0x1.9ff95c0d6318ap-16, 0x1.93172a9d84965p-16, 0x1.8698bcbd17738p-16, 0x1.7a7bf93793edcp-16, 0x1.6ebe8be60f7ffp-16, 0x1.635db92ce9457p-16, 0x1.585685fa1349p-16, 0x1.4da60625fda03p-16, 0x1.434989be86326p-16, 0x1.393e9115605fap-16, 0x1.2f82ab1ee1fd2p-16, 0x1.261369446eca3p-16, 0x1.1cee68ce7a9ap-16, 0x1.14115ab34c77p-16, 0x1.0b79fd8b62217p-16, 0x1.03261025dde3fp-16, 0x1.f62694f073dccp-17, 0x1.e67ecbbe974cdp-17, 0x1.d7505ef4f0489p-17, 0x1.c897267729b05p-17, 0x1.ba4f2962dc7e9p-17, 0x1.ac74826f0bffap-17, 0x1.9f036928ca75cp-17, 0x1.91f863e386143p-17, 0x1.855063c5f2296p-17, 0x1.7908954a1e0eap-17, 0x1.6d1e1afedb25dp-17, 0x1.618e03b1b3b32p-17, 0x1.56557fcde8eb4p-17, 0x1.4b7209e68f282p-17, 0x1.40e137b659cfep-17, 0x1.36a081f9dc363p-17, 0x1.2cad41b90620ep-17, 0x1.2304d1bd038adp-17, 0x1.19a49f2e197a9p-17, 0x1.108a2a40775a9p-17, 0x1.07b30bebb3e9ap-17, 0x1.fe39f54b26d7cp-18, 0x1.ed8b850973343p-18, 0x1.dd5671726706cp-18, 0x1.cd967bb4d18c4p-18, 0x1.be47ae87d1ae3p-18, 0x1.af669ac3aa404p-18, 0x1.a0f054e977915p-18, 0x1.92e208c731d5p-18, 0x1.85385fbea2dcap-18, 0x1.77ef47474788ep-18, 0x1.6b024ca1d894ap-18, 0x1.5e6d1ab62c983p-18, 0x1.522bda5d5119bp-18, 0x1.463bad66ef704p-18, 0x1.3a9ad633d6042p-18, 0x1.2f47e6d11de0fp-18, 0x1.2440bfbb2d706p-18, 0x1.1982a2f60849p-18, 0x1.0f0afe08d1e0cp-18, 0x1.04d79e65ae841p-18, 0x1.f5cc95d8c7f93p-19, 0x1.e2693fe8039f7p-19, 0x1.cf807ee93ccc3p-19, 0x1.bd0de334a743ap-19, 0x1.ab0d51b6fcc6ap-19, 0x1.997afc6fb6681p-19, 0x1.885349e283391p-19, 0x1.7792b87304501p-19, 0x1.6735e91dabfe9p-19, 0x1.5739dfb821ef3p-19, 0x1.479c3df1ec61cp-19, 0x1.385b18fa14a27p-19, 0x1.29744916bba72p-19, 0x1.1ae4ad0ef63f4p-19, 0x1.0ca84125da703p-19, 0x1.fd761235319dbp-20, 0x1.e2336b81a5071p-20, 0x1.c783841b5a694p-20, 0x1.ad63539fafac9p-20, 0x1.93d07ed85c295p-20, 0x1.7ac66ff6dbe0bp-20, 0x1.623ebd509a05p-20, 0x1.4a34c646df3f7p-20, 0x1.32a67a802bbc7p-20, 0x1.1b91ddba80521p-20, 0x1.04f39f879af09p-20, 0x1.dd8f6c2fadb81p-21, 0x1.b214c2025468ep-21, 0x1.8770a01b635f8p-21, 0x1.5d9ca772fb073p-21, 0x1.3492dd1a62119p-21, 0x1.0c4e10188e86dp-21, 0x1.c9936cc73e0d7p-22, 0x1.7c02f5e14edp-22, 0x1.2fe21475b0346p-22, 0x1.ca4fc86d9ffd3p-23, 0x1.3799707a01e72p-23, 0x1.4f25d7f878029p-24, 0x1.a2eef26444d57p-27, -0x1.c28a1345dd7c4p-25, -0x1.f1ec69080fad2p-24, -0x1.7ee0c2461788fp-23, -0x1.0137d6f17d9ap-22, -0x1.41d5c37f51cap-22, -0x1.814e009c438d5p-22, -0x1.bfa42b80899a7p-22, -0x1.fcdf9fe12d68fp-22, -0x1.1c84c4b6a316dp-21, -0x1.3a13b904ee999p-21, -0x1.571f1caf1f4d5p-21, -0x1.73a9095edbd4dp-21, -0x1.8fb26f1de5451p-21, -0x1.ab3cca4e707e1p-21, -0x1.c64abfa91b44ap-21, -0x1.e0de9223739a3p-21, -0x1.faf9e8a4937a8p-21, -0x1.0a4f50a233f1ep-20, -0x1.16e74f385a368p-20, -0x1.2345b2473526cp-20, -0x1.2f6b14fe69f38p-20, -0x1.3b5805119d6dfp-20, -0x1.470d141be70ccp-20, -0x1.528ae18529b72p-20, -0x1.5dd218fe358e6p-20, -0x1.68e3668fec154p-20, -0x1.73bf62e0011eep-20, -0x1.7e668c066829dp-20, -0x1.88d962c3d03fep-20, -0x1.931882db4e919p-20, -0x1.9d2467e3c727fp-20, -0x1.a6fd3dc30a6e3p-20, -0x1.b0a36945d57cep-20, -0x1.ba17a3770938fp-20, -0x1.c35a634d354a5p-20, -0x1.cc6c0673d213dp-20, -0x1.d54ca58f2c67ep-20, -0x1.ddfc9bbcaa69ap-20, -0x1.e67c6e85700cp-20, -0x1.eecc784f3b4e9p-20, -0x1.f6ed061139542p-20, -0x1.fede56ab3ae34p-20, -0x1.03505b657342fp-19, -0x1.071a4445ebcb5p-19, -0x1.0acd009fc319fp-19, -0x1.0e68aee15854dp-19, -0x1.11ed796261ad4p-19, -0x1.155b8414ea24ap-19, -0x1.18b2ec9344253p-19, -0x1.1bf3ce3fcb221p-19, -0x1.1f1e424e451fdp-19, -0x1.223273ff2060cp-19, -0x1.25307541ce21fp-19, -0x1.28186c3617cdfp-19, -0x1.2aea78db04793p-19, -0x1.2da6ba5030836p-19, -0x1.304d54d9c82eap-19, -0x1.32de5e55bb1c5p-19, -0x1.3559f111df5ep-19, -0x1.37c02c2a3cc0dp-19, -0x1.3a112ba37683cp-19, -0x1.3c4d08f872c27p-19, -0x1.3e73eb90af3cap-19, -0x1.4085f9b788747p-19, -0x1.42834aabf8231p-19, -0x1.446bf47ab709ep-19, -0x1.46401a89d7f1p-19, -0x1.47ffdd5642a86p-19, -0x1.49ab5aba77e32p-19, -0x1.4b42b027e8fa1p-19, -0x1.4cc5fa32ff9d8p-19, -0x1.4e355ad538665p-19, -0x1.4f90f6b8a6be5p-19, -0x1.50d8eed993b0ep-19, -0x1.520d6004139ep-19, -0x1.532e6a314f588p-19, -0x1.543c30fd0d17fp-19, -0x1.5536d660a8061p-19, -0x1.561e7bfb978fcp-19, -0x1.56f343f99ae8ap-19, -0x1.57b551116178bp-19, -0x1.5864c67d314bp-19, -0x1.5901c8065b825p-19, -0x1.598c7a088b2b7p-19, -0x1.5a05015d30f69p-19, -0x1.5a6b833e528e7p-19, -0x1.5ac0252cc46cap-19, -0x1.5b030cb98856p-19, -0x1.5b346005d3743p-19, -0x1.5b5444ef2275fp-19, -0x1.5b62e31097a8p-19, -0x1.5b6062028baeap-19, -0x1.5b4ce947cde8fp-19, -0x1.5b28a12a28aa3p-19, -0x1.5af3b36ea4a3bp-19, -0x1.5aae4788185e6p-19, -0x1.5a5886fbc7c0dp-19, -0x1.59f29c01aea76p-19, -0x1.597cb08e49853p-19, -0x1.58f6eee9cfeb7p-19, -0x1.586181ae0436fp-19, -0x1.57bc93d2ae4fbp-19, -0x1.570850a38d2efp-19, -0x1.5644e3a5b5128p-19, -0x1.5572794a14b8p-19, -0x1.54913e15de6eep-19, -0x1.53a15e017a789p-19, -0x1.52a305f5690fep-19, -0x1.519663259c2d7p-19, -0x1.507ba2d2889abp-19, -0x1.4f52f281d812fp-19, -0x1.4e1c8008201d7p-19, -0x1.4cd879471ba23p-19, -0x1.4b870c7e2f6b9p-19, -0x1.4a28681d31aa9p-19, -0x1.48bcbac48635cp-19, -0x1.47443325d2e26p-19, -0x1.45beffe3a8f6fp-19, -0x1.442d4fcba30b6p-19, -0x1.428f5227c1b71p-19, -0x1.40e53682c3f79p-19, -0x1.3f2f2c50a83b6p-19, -0x1.3d6d62fc9efabp-19, -0x1.3ba00a0e66338p-19, -0x1.39c7512dfed7cp-19, -0x1.37e3680a45bfdp-19, -0x1.35f47e58201a8p-19, -0x1.33fac3e7c4225p-19, -0x1.31f6687e8bcc8p-19, -0x1.2fe79bfde585bp-19, -0x1.2dce8e3989a89p-19, -0x1.2bab6f0596985p-19, -0x1.297e6e3348463p-19, -0x1.2747bb8a4f052p-19, -0x1.250786c3ea508p-19, -0x1.22bdff8ce414fp-19, -0x1.206b5588bcec2p-19, -0x1.1e0fb8468bd1ep-19, -0x1.1bab573de73c9p-19, -0x1.193e61d963ff9p-19, -0x1.16c907543a3b2p-19, -0x1.144b76e10add1p-19, -0x1.11c5df88ebb32p-19, -0x1.0f38703176acfp-19, -0x1.0ca3579dfed75p-19, -0x1.0a06c46b9b84ep-19, -0x1.0762e50cd862p-19, -0x1.04b7e7ca27051p-19, -0x1.0205fabb6c85bp-19, -0x1.fe9a9796ff292p-20, -0x1.f91c1167fae75p-20, -0x1.f390bdf68e5dap-20, -0x1.edf8f7df56bdbp-20, -0x1.e855194e1bedbp-20, -0x1.e2a57bf9453bcp-20, -0x1.dcea7918f5805p-20, -0x1.d724695d5b2edp-20, -0x1.d153a4fb02ba7p-20, -0x1.cb7883baf16efp-20, -0x1.c5935cea9182bp-20, -0x1.bfa48741bb7efp-20, -0x1.b9ac58b09d26ap-20, -0x1.b3ab26b422ab7p-20, -0x1.ada14665bfab5p-20, -0x1.a78f0c1796eb6p-20, -0x1.a174cb8e90b98p-20, -0x1.9b52d7f2a7d7p-20, -0x1.952983c4a8446p-20, -0x1.8ef921057ccd9p-20, -0x1.88c20089d26d2p-20, -0x1.82847367519e9p-20, -0x1.7c40c74d77fbdp-20, -0x1.75f7537905ec2p-20, -0x1.6fa85a9e3326dp-20, -0x1.69542ff9cd88fp-20, -0x1.62fb23ca75033p-20, -0x1.5c9d7efaf2a89p-20, -0x1.563b8e3da7948p-20, -0x1.4fd59c8027d9cp-20, -0x1.496bf3fc27dbbp-20, -0x1.42fede3831508p-20, -0x1.3c8ea3fdeb404p-20, -0x1.361b8d54e78bep-20, -0x1.2fa5e18086352p-20, -0x1.292de700020cdp-20, -0x1.22b3e3929fc3bp-20, -0x1.1c381c39ab816p-20, -0x1.15bad5333f812p-20, -0x1.0f3c51f31f891p-20, -0x1.08bcd5227d4fp-20, -0x1.023ca0a32ef72p-20, -0x1.f777eb180bf74p-21, -0x1.ea76282daa591p-21, -0x1.dd74773e29ed8p-21, -0x1.d07355b0823acp-21, -0x1.c3733fa0052d1p-21, -0x1.b674af90e3aa1p-21, -0x1.a9781e6bcb8a9p-21, -0x1.9c7e011bd2a1cp-21, -0x1.8f86cb5b1c99dp-21, -0x1.8292e9e334637p-21, -0x1.75a2bcaa3c9f7p-21, -0x1.68b6c74555ae9p-21, -0x1.5bd0301761dd7p-21, -0x1.4eee9dde762e7p-21, -0x1.4212250d4e414p-21, -0x1.353afb6008c54p-21, -0x1.286ab826b1e5bp-21, -0x1.1ba1937b409fcp-21, -0x1.0edf778cfd42ap-21, -0x1.0224d14aef4d9p-21, -0x1.eae4225565dfdp-22, -0x1.d18f3ae2177ecp-22, -0x1.b84ba97aa3063p-22, -0x1.9f1a29d056d5bp-22, -0x1.85fb75c9354aap-22, -0x1.6cf040308f15fp-22, -0x1.53f93994e796bp-22, -0x1.3b170fb860cbp-22, -0x1.224a6d44a316bp-22, -0x1.0993f9be64982p-22, -0x1.e1e8b3010ec71p-23, -0x1.b0d85b889d317p-23, -0x1.7ff82979a8e1bp-23, -0x1.4f4953561446ap-23, -0x1.1ecd099d329e6p-23, -0x1.dd08ed357c0fbp-24, -0x1.7ce17cdf336cfp-24, -0x1.1d25fe7b9bdc7p-24, -0x1.7bb145532511p-25, -0x1.7bee37fbe99ddp-26, -0x1.21af483c988e5p-33, 0x1.7595d4f8ca038p-26, 0x1.75caac4d17b96p-25, 0x1.17ecd41787741p-24, 0x1.747a038ef2866p-24, 0x1.d08b026c46a4dp-24, 0x1.160f06f3c94fdp-23, 0x1.4398a7d8d5df9p-23, 0x1.70e1860260a24p-23, 0x1.9de8c9efd071dp-23, 0x1.caada058f42e4p-23, 0x1.f72f3b2e00a52p-23, 0x1.11b6685ec6f8bp-22, 0x1.27b2cd78a9c99p-22, 0x1.3d8c6f39bc1e1p-22, 0x1.5342f788c778cp-22, 0x1.68d60a6898335p-22, 0x1.7e454bed019eep-22, 0x1.93906846089fbp-22, 0x1.a8b70f19ef87bp-22, 0x1.bdb8f1d07d71bp-22, 0x1.d295c3547d8cap-22, 0x1.e74d383aedfc8p-22, 0x1.fbdf08d4d9878p-22, 0x1.08257971834c3p-21, 0x1.124857d187633p-21, 0x1.1c57ffa5b399ep-21, 0x1.265451ff65963p-21, 0x1.303d30e24e023p-21, 0x1.3a127f7aa5579p-21, 0x1.43d4221ea3f49p-21, 0x1.4d81fe4f64508p-21, 0x1.571bfa4d3ec62p-21, 0x1.60a1fe9a82b7bp-21, 0x1.6a13f31fb4a47p-21, 0x1.7371c2035fbaap-21, 0x1.7cbb562d9c7fp-21, 0x1.85f09b966fb5dp-21, 0x1.8f117f37f3eb2p-21, 0x1.981def1986c4ep-21, 0x1.a115da540be83p-21, 0x1.a9f93119ba102p-21, 0x1.b2c7e467ccfa4p-21, 0x1.bb81e629476b4p-21, 0x1.c427295fb295cp-21, 0x1.ccb7a1c36923bp-21, 0x1.d53344931b10fp-21, 0x1.dd9a081291345p-21, 0x1.e5ebe1d47524bp-21, 0x1.ee28ca31eb1p-21, 0x1.f650b98cf9db4p-21, 0x1.fe63a8b19bd1cp-21, 0x1.0330c9abd29eep-20, 0x1.07253a0a234f8p-20, 0x1.0b0f231303628p-20, 0x1.0eee834fb5a0dp-20, 0x1.12c359970106bp-20, 0x1.168da51f3f49bp-20, 0x1.1a4d6581bf7f3p-20, 0x1.1e029ab8ee562p-20, 0x1.21ad452ba2c5p-20, 0x1.254d65d27f493p-20, 0x1.28e2fccc31966p-20, 0x1.2c6e0d17f43a7p-20, 0x1.2fee96f1ce7fep-20, 0x1.33649db8f72bfp-20, 0x1.36d023a4d6d33p-20, 0x1.3a312b85dadaap-20, 0x1.3d87b8793c453p-20, 0x1.40d3ce2666a29p-20, 0x1.44157094ae204p-20, 0x1.474ca3a92cb78p-20, 0x1.4a796c01504e6p-20, 0x1.4d9bce6ea58d7p-20, 0x1.50b3d00937cbap-20, 0x1.53c176367ac9ep-20, 0x1.56c4c6a6bf4cep-20, 0x1.59bdc75298b98p-20, 0x1.5cac7e792cbc1p-20, 0x1.5f90f29bfd4d9p-20, 0x1.626b2a77d575cp-20, 0x1.653b2cf7c0bd9p-20, 0x1.68010106b83b8p-20, 0x1.6abcacb92b4d3p-20, 0x1.6d6e336519d77p-20, 0x1.7015bb00baa66p-20, 0x1.72b35c88426c4p-20, 0x1.75467cc82a7f5p-20, 0x1.77cff15e862afp-20, 0x1.7a4f6c935f2fep-20, 0x1.7cc4f9c34cebdp-20, 0x1.7f30a4c1405c2p-20, 0x1.819277dc071b5p-20, 0x1.83ea7d1b7a7c6p-20, 0x1.8638be96add99p-20, 0x1.887d468ba0194p-20, 0x1.8ab81f63c25dcp-20, 0x1.8ce953b2545b3p-20, 0x1.8f10ee3dbca7dp-20, 0x1.912ef9f147bc9p-20, 0x1.934381e6a4028p-20, 0x1.954e91603e5e2p-20, 0x1.975033ca152acp-20, 0x1.994874b8474bdp-20, 0x1.9b375fed6ca3dp-20, 0x1.9d1d01ac36c84p-20, 0x1.9ef96703bef4bp-20, 0x1.a0cc9c9323p-20, 0x1.a296b61cf93e1p-20, 0x1.a457a375222acp-20, 0x1.a60f6318fdc4bp-20, 0x1.a7be63b08b644p-20, 0x1.a9644673255adp-20, 0x1.ab0185f0d56ep-20, 0x1.ac95b413849f6p-20, 0x1.ae211553a7919p-20, 0x1.afa3bfb81427ap-20, 0x1.b11dbbbdf3f8ap-20, 0x1.b28f14ee8dabbp-20, 0x1.b3f7d8559f8f2p-20, 0x1.b558137af778ap-20, 0x1.b6afd4143e49fp-20, 0x1.b7ff27f0305c2p-20, 0x1.b9461cfd55a8ap-20, 0x1.ba84c1463df17p-20, 0x1.bbbb22c38445dp-20, 0x1.bce94f9d0428dp-20, 0x1.be0f5606b9eeep-20, 0x1.bf2d443e76c03p-20, 0x1.c043289fd8a6dp-20, 0x1.c1511181f94b5p-20, 0x1.c2570d5513a39p-20, 0x1.c3552a9670f76p-20, 0x1.c44b77cea178cp-20, 0x1.c53a03929c7fp-20, 0x1.c620dc7c9f73dp-20, 0x1.c700113b4d559p-20, 0x1.c7d7b0de6da71p-20, 0x1.c8a7c67894a94p-20, 0x1.c9706a607409bp-20, 0x1.ca31a153eda25p-20, 0x1.caeb7e5a04989p-20, 0x1.cb9e0ff7956afp-20, 0x1.cc4964fde884cp-20, 0x1.cced8c4d4b4f8p-20, 0x1.cd8a94cdac415p-20, 0x1.ce208d6cfbcfap-20, 0x1.ceaf851b0d82cp-20, 0x1.cf378ac993597p-20, 0x1.cfb8ad6b2f214p-20, 0x1.d032fbf785db4p-20, 0x1.d0a68573c75e7p-20, 0x1.d11358b4f58d5p-20, 0x1.d17984d380fc1p-20, 0x1.d1d918b7bebdp-20, 0x1.d2322358c4dadp-20, 0x1.d284b3ac4f801p-20, 0x1.d2d0d8a612df6p-20, 0x1.d316a13861392p-20, 0x1.d3561c55c672fp-20, 0x1.d38f5910cba62p-20, 0x1.d3c2861b5aadcp-20, 0x1.d3ef53b1127ffp-20, 0x1.d4162c9e4a28bp-20, 0x1.d437040eb05b1p-20, 0x1.d451e75f0e37dp-20, 0x1.d466e53c4d2bdp-20, 0x1.d4760c43f7b81p-20, 0x1.d47f6afd04c52p-20, 0x1.d4830ff2f0c4p-20, 0x1.d48109a5d9054p-20, 0x1.d47966b096978p-20, 0x1.d46c35c24587bp-20, 0x1.d45985952e48bp-20, 0x1.d44164df340d3p-20, 0x1.d423e2416812ep-20, 0x1.d4010c437ae13p-20, 0x1.d3d8f15809533p-20, 0x1.d3ab9fda69f7dp-20, 0x1.d3792613e2ff9p-20, 0x1.d341924123095p-20, 0x1.d304f2957604p-20, 0x1.d2c35523d432ap-20, 0x1.d27cc775e8ba2p-20, 0x1.d23157c9af6b4p-20, 0x1.d1e1168d74d15p-20, 0x1.d18c0f52bfba9p-20, 0x1.d1324fc01f499p-20, 0x1.d0d3e65bda016p-20, 0x1.d070e1006b0cdp-20, 0x1.d0094d6cdcd6bp-20, 0x1.cf9d3952bf181p-20, 0x1.cf2cb2633c14ep-20, 0x1.ceb7c6013287p-20, 0x1.ce3e81e78829p-20, 0x1.cdc0f37afc795p-20, 0x1.cd3f2822e3961p-20, 0x1.ccb92d35dfbc1p-20, 0x1.cc2f0ffa74d9ep-20, 0x1.cba0ddae4b121p-20, 0x1.cb0ea37dd9d39p-20, 0x1.ca786e95600f5p-20, 0x1.c9de4bfcb5a56p-20, 0x1.c9404878b272cp-20, 0x1.c89e709d006d3p-20, 0x1.c7f8d156935cbp-20, 0x1.c74f7849a9ca1p-20, 0x1.c6a2714c348b3p-20, 0x1.c5f1c94764b7bp-20, 0x1.c53d8cc001dd8p-20, 0x1.c485c82abe756p-20, 0x1.c3ca87ed37d5cp-20, 0x1.c30bd85cd3a96p-20, 0x1.c249c5bd3edc1p-20, 0x1.c1845c3f389efp-20, 0x1.c0bba801a5f5p-20, 0x1.bfefb510cdb38p-20, 0x1.bf208f676c0edp-20, 0x1.be4e42ed43f93p-20, 0x1.bd78db743af5cp-20, 0x1.bca064b7796dcp-20, 0x1.bbc4ea6a4bf19p-20, 0x1.bae67822c810fp-20, 0x1.ba051963371d8p-20, 0x1.b920d990210e9p-20, 0x1.b839c3d511f12p-20, 0x1.b74fe282ed2d2p-20, 0x1.b66339c1e61c7p-20, 0x1.b5741db198e3ep-20, 0x1.b481e548229bp-20, 0x1.b38d603424213p-20, 0x1.b2962b6296e88p-20, 0x1.b19c7c07736ccp-20, 0x1.b0a04b7745658p-20, 0x1.afa1ad767bd95p-20, 0x1.aea09dce1dd8fp-20, 0x1.ad9d32f1d1041p-20, 0x1.ac9775df821f8p-20, 0x1.ab8f70354e33dp-20, 0x1.aa852c152a109p-20, 0x1.a978b39d9513ap-20, 0x1.a86a10fdf0e89p-20, 0x1.a7594e4aa1c55p-20, 0x1.a64675a5f8b55p-20, 0x1.a531915a6be86p-20, 0x1.a41aac0962b48p-20, 0x1.a301d0a5bdf0bp-20, 0x1.a1e709c93610ap-20, 0x1.a0ca64db0cc01p-20, 0x1.9fabe7f5afe6bp-20, 0x1.9e8b95cc39164p-20, 0x1.9d697391fc0b9p-20, 0x1.9c4589177d1ebp-20, 0x1.9b1fe070918f7p-20, 0x1.99f88749c4bcp-20, 0x1.98cf8caa3515cp-20, 0x1.97a4fc54a89d2p-20, 0x1.9678de7c9d6bcp-20, 0x1.954b3a2633a92p-20, 0x1.941c16995d552p-20, 0x1.92eb7b9a085d6p-20, 0x1.91b9712ceeebbp-20, 0x1.9086008f277e3p-20, 0x1.8f51313ad5642p-20, 0x1.8e1b0be548d49p-20, 0x1.8ce398e9a5142p-20, 0x1.8baae08cf77a2p-20, 0x1.8a70eafb884c4p-20, 0x1.8935c056abe8ap-20, 0x1.87f968a36e548p-20, 0x1.86bbebd2e4ae7p-20, 0x1.857d51bdb6a2dp-20, 0x1.843da23d63769p-20, 0x1.82fce5140e3a9p-20, 0x1.81bb21d55c63cp-20, 0x1.807860110e203p-20, 0x1.7f34a754a7c48p-20, 0x1.7df03cb74ad59p-20, 0x1.7caa6e6bcbd7p-20, 0x1.7b63fc896074dp-20, 0x1.7a1cb11770ccbp-20, 0x1.78d493027144cp-20, 0x1.778ba95a5348bp-20, 0x1.7641fb1de0c9cp-20, 0x1.74f78f3892d7fp-20, 0x1.73ac6c6d35532p-20, 0x1.72609524557dfp-20, 0x1.71141db13f58bp-20, 0x1.6fc6ff47bb19fp-20, 0x1.6e79449d47468p-20, 0x1.6d2af45e30e6bp-20, 0x1.6bdc14fd06406p-20, 0x1.6a8cacd8e7e53p-20, 0x1.693cc246deb47p-20, 0x1.67ec5baf01904p-20, 0x1.669b7ea85e80ap-20, 0x1.654a3277b6199p-20, 0x1.63f87bc3fcaeep-20, 0x1.62a66021a4bdfp-20, 0x1.6153e72d354b7p-20, 0x1.600114cd3006ep-20, 0x1.5eadf26424e41p-20, 0x1.5d5a8249412dp-20, }}, 
      std::vector<double>(1200, 0.0), 
      {{-0x1.23850907dd21bp-7, -0x1.946c4280e8a06p-6, -0x1.8ca037e5cb038p-5, -0x1.3f9161d50f34p-4, -0x1.c40d78cef585ep-4, -0x1.2380f86d4d5b5p-3, -0x1.5ee1bd71dd3c3p-3, -0x1.903a25a84a83ap-3, -0x1.b50391e139a46p-3, -0x1.cbf6286e96434p-3, -0x1.d4ceadaa103d4p-3, -0x1.d011de85e34bp-3, -0x1.bed450ddd1c84p-3, -0x1.a289dc11f2d84p-3, -0x1.7cdd702b4d06cp-3, -0x1.4f912be55009ep-3, -0x1.1c65f14439305p-3, -0x1.ca12fb6d3eff7p-4, -0x1.5613f63aa7313p-4, -0x1.bf3846dcfbe71p-5, -0x1.a4847e30ddbf2p-6, 0x1.6848ea27fa4e3p-9, 0x1.ef33fd4aeb506p-6, 0x1.ce273e74e9437p-5, 0x1.4bfa4aadeed07p-4, 0x1.a9ad57afa5ba9p-4, 0x1.ff99532e8b19dp-4, 0x1.26b16e2292dcbp-3, 0x1.496f563c9ba95p-3, 0x1.68050563be77ep-3, 0x1.8281e80330e1cp-3, 0x1.99030771e922fp-3, 0x1.abb032b5287a7p-3, 0x1.bab97ba0f8146p-3, 0x1.c65505395b635p-3, 0x1.cebd1e34349cdp-3, 0x1.d42ea2a9ca313p-3, 0x1.d6e79fe57b64cp-3, 0x1.d72634304389dp-3, 0x1.d527a41a76c5bp-3, 0x1.d1279f943279fp-3, 0x1.cb5fb10bcbd98p-3, 0x1.c406d0d8f745bp-3, 0x1.bb511760f6791p-3, 0x1.b16f89186f0afp-3, 0x1.a68ff8238c9cap-3, 0x1.9adcf7d3c83f9p-3, 0x1.8e7dde8af8baep-3, 0x1.8196d302dd597p-3, 0x1.7448e26919b02p-3, 0x1.66b21d30fda9ep-3, 0x1.58edb8d653555p-3, 0x1.4b143511209b7p-3, 0x1.3d3b8337c259fp-3, 0x1.2f772ec44a36ap-3, 0x1.21d8862681e44p-3, 0x1.146ec33ae0c22p-3, 0x1.074732e601671p-3, 0x1.f4dab6f21048bp-4, 0x1.dbd6431d72f06p-4, 0x1.c391d66da448bp-4, 0x1.ac1b828b1df13p-4, 0x1.957edd725112fp-4, 0x1.7fc53c49b01a2p-4, 0x1.6af5ea58bddb4p-4, 0x1.57165c2259d59p-4, 0x1.442a5ecf6d896p-4, 0x1.323443e246709p-4, 0x1.213509ddbd5f1p-4, 0x1.112c8140d9bd4p-4, 0x1.02196ecdd43d3p-4, 0x1.e7f355b67d6bbp-5, 0x1.cd947bfdbff1p-5, 0x1.b50ef684b329p-5, 0x1.9e5a3011bcb42p-5, 0x1.896c83a2278f8p-5, 0x1.763b63ff21524p-5, 0x1.64bb7faca3299p-5, 0x1.54e0e173b9bb3p-5, 0x1.469f0de07a976p-5, 0x1.39e91dd8c5d3p-5, 0x1.2eb1d6a28e87fp-5, 0x1.24ebbf75c6802p-5, 0x1.1c8934eaa1a61p-5, 0x1.157c7a50b7979p-5, 0x1.0fb7c9435f83ap-5, 0x1.0b2d5f770c0fp-5, 0x1.07cf8b15f7628p-5, 0x1.0590b59394dd3p-5, 0x1.04636d607229ap-5, 0x1.043a6e3ef6965p-5, 0x1.0508a8c21a292p-5, 0x1.06c1489075737p-5, 0x1.0957ba080711ap-5, 0x1.0cbfaed9830acp-5, 0x1.10ed220a35dffp-5, 0x1.15d45b532e5e6p-5, 0x1.1b69f1a776514p-5, 0x1.21a2cda63f8fdp-5, 0x1.28742af235d8ep-5, 0x1.2fd399aacdc6cp-5, 0x1.37b6ff30fc33bp-5, 0x1.401496621573cp-5, 0x1.48e2f02d4942bp-5, 0x1.5218f2f0d5785p-5, 0x1.5badda493a2cbp-5, 0x1.6599369cc9de9p-5, 0x1.6fd2ebb1f5af4p-5, 0x1.7a53303154cbdp-5, 0x1.85128c53a3da4p-5, 0x1.9009d812a59a3p-5, 0x1.9b323a7620a86p-5, 0x1.a685277576425p-5, 0x1.b1fc5e419f167p-5, 0x1.bd91e80f9ab0bp-5, 0x1.c94015dcc9d3p-5, 0x1.d5017e628551ap-5, 0x1.e0d0fce459a4ap-5, 0x1.eca9aec5229f9p-5, 0x1.f886f14e7449ep-5, 0x1.0232303d0a5a8p-4, 0x1.081eea4822215p-4, 0x1.0e07aff07d7d6p-4, 0x1.13eaa6a883954p-4, 0x1.19c60f324fb74p-4, 0x1.1f98446173687p-4, 0x1.255fba6250e47p-4, 0x1.2b1afdd36e31bp-4, 0x1.30c8b29d43fe2p-4, 0x1.3667931ffdcdp-4, 0x1.3bf66f7a10d73p-4, 0x1.41742c72f5819p-4, 0x1.46dfc2847993p-4, 0x1.4c383d4acbeaap-4, 0x1.517cbaafd54dep-4, 0x1.56ac69d42d0cap-4, 0x1.5bc68a5b84668p-4, 0x1.60ca6bf4345ddp-4, 0x1.65b76d7750ep-4, 0x1.6a8cfbede9862p-4, 0x1.6f4a9208c6bd6p-4, 0x1.73efb7b71b28bp-4, 0x1.787c015700db5p-4, 0x1.7cef0ed7225b5p-4, 0x1.81488b43b0415p-4, 0x1.85882c6ea5742p-4, 0x1.89adb23fd9ee5p-4, 0x1.8db8e5f21e3f9p-4, 0x1.91a999a6c9521p-4, 0x1.957fa821b8989p-4, 0x1.993af444cbfcfp-4, 0x1.9cdb6855f658dp-4, 0x1.a060f5a814c2cp-4, 0x1.a3cb945306f93p-4, 0x1.a71b42dfbad55p-4, 0x1.aa5005b05d384p-4, 0x1.ad69e695e7bf6p-4, 0x1.b068f49c7533ap-4, 0x1.b34d43cfc076ap-4, 0x1.b616eccfd1089p-4, 0x1.b8c60c66c9d42p-4, 0x1.bb5ac34a8c458p-4, 0x1.bdd535f7f478bp-4, 0x1.c0358c7242542p-4, 0x1.c27bf1ea88b9bp-4, 0x1.c4a894788f5f3p-4, 0x1.c6bba4f2bf0b5p-4, 0x1.c8b556cc3ee05p-4, 0x1.ca95dfde9ab37p-4, 0x1.cc5d7828671f3p-4, 0x1.ce0c599ac2c62p-4, 0x1.cfa2bff8a3f68p-4, 0x1.d120e8bd469c7p-4, 0x1.d28712f52aef4p-4, 0x1.d3d57f0d96a2dp-4, 0x1.d50c6eabda043p-4, 0x1.d62c2492de807p-4, 0x1.d734e491dc732p-4, 0x1.d826f36bc66c9p-4, 0x1.d90296b392892p-4, 0x1.d9c814aa7766dp-4, 0x1.da77b42996af3p-4, 0x1.db11bc97250bap-4, 0x1.db9675d9646dp-4, 0x1.dc06283e2630cp-4, 0x1.dc611c60231eep-4, 0x1.dca79b147b987p-4, 0x1.dcd9ed615f0e7p-4, 0x1.dcf85c7806ee4p-4, 0x1.dd0331a7dce4ap-4, 0x1.dcfab64bb1296p-4, 0x1.dcdf33ba2d631p-4, 0x1.dcb0f33c3cc83p-4, 0x1.dc703e08240a6p-4, 0x1.dc1d5d3d1ef4bp-4, 0x1.dbb899d9dbe6fp-4, 0x1.db423cb0a8385p-4, 0x1.daba8e5e1b32bp-4, 0x1.da21d742d8b37p-4, 0x1.d9785f806d353p-4, 0x1.d8be6ef75bf3fp-4, 0x1.d7f44d41ecf4dp-4, 0x1.d71a41ac9fa47p-4, 0x1.d630932fa8dc5p-4, 0x1.d537886abc7bdp-4, 0x1.d42f67a37c4e6p-4, 0x1.d31876c57d527p-4, 0x1.d1f2fb60249b9p-4, 0x1.d0bf3aa1cf12bp-4, 0x1.cf7d7953a218dp-4, 0x1.ce2dfbd723ccfp-4, 0x1.ccd1062551129p-4, 0x1.cb66dbcf1fbfep-4, 0x1.c9efbffd6ec8cp-4, 0x1.c86bf56eb01c5p-4, 0x1.c6dbbe749282bp-4, 0x1.c53f5cf2d68b8p-4, 0x1.c397125e8eccep-4, 0x1.c1e31fbdc9afcp-4, 0x1.c023c5a825362p-4, 0x1.be5944471fe79p-4, 0x1.bc83db5547787p-4, 0x1.baa3ca1d06af2p-4, 0x1.b8b94f77983b4p-4, 0x1.b6c4a9ce8f039p-4, 0x1.b4c617164c382p-4, 0x1.b2bdd4d7b89d9p-4, 0x1.b0ac20281c5bap-4, 0x1.ae9135ad815f3p-4, 0x1.ac6d519c6440fp-4, 0x1.aa40afb7294b4p-4, 0x1.a80b8b4de0a99p-4, 0x1.a5ce1f3e87802p-4, 0x1.a388a5f4ed887p-4, 0x1.a13b596add876p-4, 0x1.9ee6732c3e97bp-4, 0x1.9c8a2c4ca5ab8p-4, 0x1.9a26bd6f4ab95p-4, 0x1.97bc5ec45d73fp-4, 0x1.954b48084d1ap-4, 0x1.92d3b083db1bbp-4, 0x1.9055cf0bf70a5p-4, 0x1.8dd1da01adb51p-4, 0x1.8b480751c3d3fp-4, 0x1.88b88c741ebd2p-4, 0x1.86239e6b4642p-4, 0x1.838971c3f8d81p-4, 0x1.80ea3a94a93d7p-4, 0x1.7e462c7cfc76ep-4, 0x1.7b9d7aa581559p-4, 0x1.78f057bf6476dp-4, 0x1.763ef603e9292p-4, 0x1.738987339f765p-4, 0x1.70d03c95a86e7p-4, 0x1.6e1346f7117e1p-4, 0x1.6b52d6aa41e3p-4, 0x1.688f1b865dc0ap-4, 0x1.65c844e6b2865p-4, 0x1.62fe81aa20ep-4, 0x1.603200326a537p-4, 0x1.5d62ee635694bp-4, 0x1.5a9179a1e2873p-4, 0x1.57bdced389486p-4, 0x1.54e81a5da03a3p-4, 0x1.521088249b4dap-4, 0x1.4f37438b460adp-4, 0x1.4c5c7771f9c93p-4, 0x1.49804e35e6e6bp-4, 0x1.46a2f1b05da57p-4, 0x1.43c48b360b3fep-4, 0x1.40e543963d522p-4, 0x1.3e05431a229fep-4, 0x1.3b24b1840f31fp-4, 0x1.3843b60ebbe0ep-4, 0x1.3562776c8eab7p-4, 0x1.32811bc6f44a7p-4, 0x1.2f9fc8bdc85edp-4, 0x1.2cbea366bbb01p-4, 0x1.29ddd04cab76bp-4, 0x1.26fd736ef0082p-4, 0x1.241db040bb576p-4, 0x1.213ea9a8893adp-4, 0x1.1e6081ffa4472p-4, 0x1.1b835b11ad7a4p-4, 0x1.18a7561c27c6p-4, 0x1.15cc93ce01508p-4, 0x1.12f3344723be5p-4, 0x1.101b571806123p-4, 0x1.0d451b4149ce8p-4, 0x1.0a709f336b442p-4, 0x1.079e00ce8bea6p-4, 0x1.04cd5d622fb28p-4, 0x1.01fed1ad15725p-4, 0x1.fe64f3b9f3b24p-5, 0x1.f8d0e31ce1d0cp-5, 0x1.f341a799863dbp-5, 0x1.edb77623cf54cp-5, 0x1.e832828d15202p-5, 0x1.e2b2ff8435d88p-5, 0x1.dd391e95c4b09p-5, 0x1.d7c5102c38a0cp-5, 0x1.d25703902f9aap-5, 0x1.ccef26e8cd88ap-5, 0x1.c78da73c33ee7p-5, 0x1.c232b0701e212p-5, 0x1.bcde6d4aa1bc1p-5, 0x1.b7910772fccfcp-5, 0x1.b24aa7727b482p-5, 0x1.ad0b74b559837p-5, 0x1.a7d3958bbc5ebp-5, 0x1.a2a32f2ac34bep-5, 0x1.9d7a65adb4173p-5, 0x1.98595c1752a77p-5, 0x1.934034534ee8fp-5, 0x1.8e2f0f37cb598p-5, 0x1.89260c86f098cp-5, 0x1.84254af088b68p-5, 0x1.7f2ce813ae34ep-5, 0x1.7a3d00808c48p-5, 0x1.7555afba3a2d7p-5, 0x1.70771038b46b4p-5, 0x1.6ba13b6aea1dcp-5, 0x1.66d449b8eafdbp-5, 0x1.621052861944ep-5, 0x1.5d556c337434dp-5, 0x1.58a3ac21e4b86p-5, 0x1.53fb26b49ec94p-5, 0x1.4f5bef53919b2p-5, 0x1.4ac6186ded3dfp-5, 0x1.4639b37cbf1edp-5, 0x1.41b6d1059e5dep-5, 0x1.3d3d809d6ce6cp-5, 0x1.38cdd0eb2316bp-5, 0x1.3467cfaaa15e9p-5, 0x1.300b89af90ab4p-5, 0x1.2bb90ae850876p-5, 0x1.27705e60e8673p-5, 0x1.23318e46102dbp-5, 0x1.1efca3e8455c1p-5, 0x1.1ad1a7bee63c3p-5, 0x1.16b0a16b60659p-5, 0x1.129997bc6597p-5, 0x1.0e8c90b1268c1p-5, 0x1.0a89917c958fbp-5, 0x1.06909e88ac93cp-5, 0x1.02a1bb79ba51dp-5, 0x1.fd79d66366962p-6, 0x1.f5c45fa7123a8p-6, 0x1.ee23158d1ae82p-6, 0x1.e695f973b3cedp-6, 0x1.df1d0b4f8638dp-6, 0x1.d7b849b2a30dep-6, 0x1.d067b1d37c14ep-6, 0x1.c92b3f93d793fp-6, 0x1.c202ed87c60d1p-6, 0x1.baeeb4fc7df11p-6, 0x1.b3ee8dff2b5cbp-6, 0x1.ad026f63b5472p-6, 0x1.a62a4ecb95b08p-6, 0x1.9f6620acb338dp-6, 0x1.98b5d85864ef4p-6, 0x1.92196802a276ap-6, 0x1.8b90c0c935928p-6, 0x1.851bd2bb0c126p-6, 0x1.7eba8cdf587b2p-6, 0x1.786cdd3c7de96p-6, 0x1.7232b0deb2115p-6, 0x1.6c0bf3de3e21fp-6, 0x1.65f891658fcedp-6, 0x1.5ff873b7456d3p-6, 0x1.5a0b84345df3bp-6, 0x1.5431ab62d4a4ap-6, 0x1.4e6ad0f4c1b79p-6, 0x1.48b6dbcffde51p-6, 0x1.4315b215f89d7p-6, 0x1.3d87392b8c22cp-6, 0x1.380b55c03a57fp-6, 0x1.32a1ebd48c9abp-6, 0x1.2d4adebf5fc5p-6, 0x1.28061132257bfp-6, 0x1.22d3653c90501p-6, 0x1.1db2bc5042ae4p-6, 0x1.18a3f7453f549p-6, 0x1.13a6f65fc8656p-6, 0x1.0ebb9957e7823p-6, 0x1.09e1bf62918e5p-6, 0x1.0519473ba279bp-6, 0x1.00620f2fbc322p-6, 0x1.f777ea49532d1p-7, 0x1.ee4dad3e9b735p-7, 0x1.e545218cf9cf1p-7, 0x1.dc5e00c6129f8p-7, 0x1.d39803bbe9663p-7, 0x1.caf2e27d3a47bp-7, 0x1.c26e545597999p-7, 0x1.ba0a0fd5233f1p-7, 0x1.b1c5cae1d60a3p-7, 0x1.a9a13ad1e1b9bp-7, 0x1.a19c148c5a2fdp-7, 0x1.99b60caa7f1ap-7, 0x1.91eed79368aaap-7, 0x1.8a46298b86fcap-7, 0x1.82bbb6b453436p-7, 0x1.7b4f32fb9c302p-7, 0x1.740051fe6e1dap-7, 0x1.6ccec6e77a98bp-7, 0x1.65ba445395defp-7, 0x1.5ec27c46de1efp-7, 0x1.57e7203a8f042p-7, 0x1.5127e146aacd3p-7, 0x1.4a847063beb91p-7, 0x1.43fc7eba42fccp-7, 0x1.3d8fbdf022f87p-7, 0x1.373de06255948p-7, 0x1.3106993ae6fffp-7, 0x1.2ae99c59693ep-7, 0x1.24e69e0d40537p-7, 0x1.1efd52ac15cd7p-7, 0x1.192d6e1873f2ep-7, 0x1.1376a3536a1fcp-7, 0x1.0dd8a4358e363p-7, 0x1.085321668ed51p-7, 0x1.02e5caa04358ep-7, 0x1.fb209e75b39cbp-8, 0x1.f0a4bddf8561bp-8, 0x1.e6575564e027dp-8, 0x1.dc37caeb1912fp-8, 0x1.d245896367f5ep-8, 0x1.c880011607198p-8, 0x1.bee6a70469e37p-8, 0x1.b578f36757907p-8, 0x1.ac365f7bbaa7dp-8, 0x1.a31e62fa2aa3ap-8, 0x1.9a3071af2c0b4p-8, 0x1.916bf9aff513ep-8, 0x1.88d06295182ffp-8, 0x1.805d0dfbd52cep-8, 0x1.78115957398f6p-8, 0x1.6feca0dba817ap-8, 0x1.67ee4317d5345p-8, 0x1.6015a4a4a6a4p-8, 0x1.58623346be26fp-8, 0x1.50d367e87a407p-8, 0x1.4968c6fcff3a5p-8, 0x1.4221df1d5f91dp-8, 0x1.3afe45fdde8p-8, 0x1.33fd94269030bp-8, 0x1.2d1f601793034p-8, 0x1.266339a30d345p-8, 0x1.1fc8a646cc55fp-8, 0x1.194f1f2b1f87dp-8, 0x1.12f6112c52a02p-8, 0x1.0cbcdf03b7046p-8, 0x1.06a2e54ed2f03p-8, 0x1.00a77fe6ffdb4p-8, 0x1.f5941f8422322p-9, 0x1.ea1400ecbb1bcp-9, 0x1.decd9903b6232p-9, 0x1.d3bfff3a06a2dp-9, 0x1.c8ea6d5a89e36p-9, 0x1.be4c3a99f4e5ap-9, 0x1.b3e4d28964b4p-9, 0x1.a9b3a95179d6ap-9, 0x1.9fb82f045694cp-9, 0x1.95f1c3e8575aep-9, 0x1.8c5faf616978ep-9, 0x1.83011aac75a0fp-9, 0x1.79d510121375fp-9, 0x1.70da7ea127bfdp-9, 0x1.681041f07051p-9, 0x1.5f752cdb3f157p-9, 0x1.570815bb67f0cp-9, 0x1.4ec7e25ce74b1p-9, 0x1.46b391ea26983p-9, 0x1.3eca4364a571cp-9, 0x1.370b37d8d396bp-9, 0x1.2f75d0382024bp-9, 0x1.2809877a65448p-9, 0x1.20c5ea23b67c4p-9, 0x1.19aa8c82b7505p-9, 0x1.12b700eda6ep-9, 0x1.0beacf114eeddp-9, 0x1.05456d320680ep-9, 0x1.fd8c782584682p-10, 0x1.f0d90c061d016p-10, 0x1.e46f0268783ebp-10, 0x1.d84ca9c426a7cp-10, 0x1.cc70407f43979p-10, 0x1.c0d8037f7ee08p-10, 0x1.b5823aec9a6c1p-10, 0x1.aa6d43d524de9p-10, 0x1.9f9796d3edfbbp-10, 0x1.94ffccaac2768p-10, 0x1.8aa4a18a9fdc5p-10, 0x1.8084f6beaf72bp-10, 0x1.769fd163e9672p-10, 0x1.6cf454aa0c909p-10, 0x1.6381b721273ap-10, 0x1.5a473488d1311p-10, 0x1.5143ff89cec8ap-10, 0x1.4877379ac7532p-10, 0x1.3fdfe64be075fp-10, 0x1.377d046443fc3p-10, 0x1.2f4d83c2cebeap-10, 0x1.2750587df4995p-10, 0x1.1f847bd834f3cp-10, 0x1.17e8e6a354246p-10, 0x1.107c8591e46bcp-10, 0x1.093e2e5e423c5p-10, 0x1.022c9df0da9f3p-10, 0x1.f68d08e786552p-11, 0x1.e9153b1079bedp-11, 0x1.dbef97d3d9784p-11, 0x1.cf1a5913ab6f1p-11, 0x1.c2942f9367355p-11, 0x1.b65c1e520b331p-11, 0x1.aa713d8937c5cp-11, 0x1.9ed27f6618df5p-11, 0x1.937e8eed91578p-11, 0x1.8873d3f55081bp-11, 0x1.7db0957d91e2bp-11, 0x1.73332750cbc0dp-11, 0x1.68fa0d11c70d5p-11, 0x1.5f040287b43c6p-11, 0x1.554fe3703c70dp-11, 0x1.4bdc79def6be4p-11, 0x1.42a846b3addffp-11, 0x1.39b15ee3736b9p-11, 0x1.30f5744cf2575p-11, 0x1.28720ff49a42bp-11, 0x1.2024ebdc6e394p-11, 0x1.180c481252992p-11, 0x1.10271466e6077p-11, 0x1.0874dab39f246p-11, 0x1.00f5752b37121p-11, 0x1.f3516de716974p-12, 0x1.e51c6235d8414p-12, 0x1.d74a4f66b3ddcp-12, 0x1.c9d9579df60eep-12, 0x1.bcc77c7dd5fd8p-12, 0x1.b012c8a9c1675p-12, 0x1.a3b94f80d08a3p-12, 0x1.97b90d5a36339p-12, 0x1.8c0fbc284438ep-12, 0x1.80bab0c989b6dp-12, 0x1.75b6cdd8729cp-12, 0x1.6b008e7c5666bp-12, 0x1.60942a6d3b3f2p-12, 0x1.566dda9a9ea26p-12, 0x1.4c8a3faa5f02dp-12, 0x1.42e6cfbcb2e94p-12, 0x1.39821634d9c0dp-12, 0x1.305b9680f4fccp-12, 0x1.277351a12412p-12, 0x1.1ec92bcaf2ba2p-12, 0x1.165c8cc4cc4acp-12, 0x1.0e2c6e47c6424p-12, 0x1.0637b8c717e3fp-12, 0x1.fcfb3cf0ebe26p-13, 0x1.edfb7b172e15fp-13, 0x1.df7004f4db6e4p-13, 0x1.d158a8a29ce43p-13, 0x1.c3b43eda4be12p-13, 0x1.b67fea1d7eb5cp-13, 0x1.a9b6fe9777cb1p-13, 0x1.9d539ed953d9ap-13, 0x1.914f8eb277e7bp-13, 0x1.85a4b76abcd81p-13, 0x1.7a4d54138eff5p-13, 0x1.6f44271eafb48p-13, 0x1.6484f9f3fb028p-13, 0x1.5a0d23c803c95p-13, 0x1.4fdb9ad5fa2c7p-13, 0x1.45f06f8e4c7bp-13, 0x1.3c4c00c5ace2dp-13, 0x1.32ee480e6927ep-13, 0x1.29d67b6b66064p-13, 0x1.210311291f579p-13, 0x1.18720b3ef7feap-13, 0x1.10218eb504a2fp-13, 0x1.0810c04f8f4ecp-13, 0x1.004031a32c05cp-13, 0x1.f16201fe68098p-14, 0x1.e2c64aace0b77p-14, 0x1.d4a8f2357a425p-14, 0x1.c702865d28e57p-14, 0x1.b9cb154611198p-14, 0x1.acfc61f0fa046p-14, 0x1.a092b15bebfadp-14, 0x1.948c28e247773p-14, 0x1.88e733a1766fcp-14, 0x1.7da0d9668e74bp-14, 0x1.72b4067302857p-14, 0x1.6819f2873905ep-14, 0x1.5dcb101de6fb4p-14, 0x1.53c09621ce886p-14, 0x1.49f7144d0b3d8p-14, 0x1.40705036726fp-14, 0x1.3731726a8f462p-14, 0x1.2e3deddd486cep-14, 0x1.2593ae87f2947p-14, 0x1.1d2cc255036ep-14, 0x1.15051473a8119p-14, 0x1.0d1d902d91003p-14, 0x1.057931e8174efp-14, 0x1.fc30c57066c1p-15, 0x1.edef572c6435cp-15, 0x1.e0230a089c6ddp-15, 0x1.d2c1173823801p-15, 0x1.c5c14ef9a4ae5p-15, 0x1.b91e9c5041c18p-15, 0x1.acd6f7f548c19p-15, 0x1.a0eb44958d93dp-15, 0x1.955e934cf906bp-15, 0x1.8a344e0765fccp-15, 0x1.7f6df41b2aa16p-15, 0x1.7509a70bfed27p-15, 0x1.6b00d8218aee9p-15, 0x1.614659c413e35p-15, 0x1.57c94e1bad0d5p-15, 0x1.4e8091dfbe965p-15, 0x1.45715e6493d98p-15, 0x1.3ca535ec15e8cp-15, 0x1.341cc1627b257p-15, 0x1.2bd2144278e51p-15, 0x1.23c3827a47ceap-15, 0x1.1bf3a99a76778p-15, 0x1.14620f0aa23bdp-15, 0x1.0d0b6604ed04cp-15, 0x1.05ed5e86942f6p-15, 0x1.fe0ba9c282641p-16, 0x1.f0a212bf4f5cep-16, 0x1.e39500d8fd561p-16, 0x1.d6dd2a5ce3d45p-16, 0x1.ca75c95efc734p-16, 0x1.be5c04971669fp-16, 0x1.b28eaa051d742p-16, 0x1.a70e5d461e5d4p-16, 0x1.9bdd177341565p-16, 0x1.90fc40d742eap-16, 0x1.866afe06d5ff6p-16, 0x1.7c277fbcb2d48p-16, 0x1.72307b6781ddcp-16, 0x1.687ff5cd82ef8p-16, 0x1.5f0a09333616dp-16, 0x1.55ccd833cd8ap-16, 0x1.4cd13ae1dcbd4p-16, 0x1.440fb1ae3d8dep-16, 0x1.3b71ea3067a96p-16, 0x1.32f60e01b73f8p-16, 0x1.2aafa2f64c03cp-16, 0x1.22a6c33be6189p-16, 0x1.1ad04a4c45957p-16, 0x1.13202a7b27969p-16, 0x1.0b968acac8011p-16, 0x1.04392268b6e36p-16, 0x1.fa0ffdc843645p-17, 0x1.ebfc03ef9a2f8p-17, 0x1.de2d0e0cd834ep-17, 0x1.d09eb347e437ap-17, 0x1.c34f5ead3482ep-17, 0x1.b63dfb9ab346fp-17, 0x1.a969352c8fe13p-17, 0x1.9ccfd67699f02p-17, 0x1.90713a588ea0bp-17, 0x1.844cd5db4c04cp-17, 0x1.7860922c493fp-17, 0x1.6ca8fce368b53p-17, 0x1.61266e9c1d616p-17, 0x1.55dd34226f83p-17, 0x1.4ac6ee11683abp-17, 0x1.3fd86d2213a0dp-17, 0x1.3518457b2d91bp-17, 0x1.2a86327463bc2p-17, 0x1.201a674875839p-17, 0x1.15dc781118661p-17, 0x1.0bc875b6380e5p-17, 0x1.01d30f885ed4fp-17, 0x1.effe90d161162p-18, 0x1.dc9ca230cc5d1p-18, 0x1.c970fdf4428ccp-18, 0x1.b68003a9960f4p-18, 0x1.a3dab4400641p-18, 0x1.917e4c870ad46p-18, 0x1.7f5dc8258bfebp-18, 0x1.6d7238da4a00dp-18, 0x1.5bbab28a2b44p-18, 0x1.4a37e8d09ad7cp-18, 0x1.38ea09a203fa1p-18, 0x1.27d05472cb29bp-18, 0x1.16e95b0e9328p-18, 0x1.0633897a3d1cap-18, 0x1.eb5b7f119b9abp-19, 0x1.caae92b5554b2p-19, 0x1.aa5d3a557cfa6p-19, 0x1.8a629dcf09f39p-19, 0x1.6ac2e6a0040bcp-19, 0x1.4b8f97ffbe089p-19, 0x1.2cbfefc955029p-19, 0x1.0e355d487a39ep-19, 0x1.dfdc9bb076702p-20, 0x1.a3d613c8dd064p-20, 0x1.688942a49fa39p-20, 0x1.2dfc941dcfad2p-20, 0x1.e834785691831p-21, 0x1.75b7272e0923dp-21, 0x1.0452a58e5bb13p-21, 0x1.27fc61b3c60a8p-22, 0x1.2616d6534ec2fp-24, -0x1.25cde1830541p-23, -0x1.6cd9903afd2fep-22, -0x1.22159e4be7a64p-21, -0x1.8c9802c7adecep-21, -0x1.f608220d5f8b4p-21, -0x1.2f31eb18ad56bp-20, -0x1.62d2ed1420b36p-20, -0x1.95e5b0d050479p-20, -0x1.c869f04b2b41p-20, -0x1.fa602103dca8fp-20, -0x1.15e48de9cf8f7p-19, -0x1.2e52e4b3f9f18p-19, -0x1.467b5cb348fd1p-19, -0x1.5e5dea29f66fdp-19, -0x1.75fa6aa0f10dp-19, -0x1.8d51435d91bddp-19, -0x1.a4630e7b34804p-19, -0x1.bb2dbadf060acp-19, -0x1.d1acd22318aedp-19, -0x1.e7e62e0c403ddp-19, -0x1.fddf9d5a9e29bp-19, -0x1.09ca2235e0a7cp-18, -0x1.147f3b53c6694p-18, -0x1.1f1115048e789p-18, -0x1.298085df0e098p-18, -0x1.33cd2f1183a4bp-18, -0x1.3df6395ee5853p-18, -0x1.47fa6fbe9a14bp-18, -0x1.51dac85b8eed7p-18, -0x1.5b98e415b6d0cp-18, -0x1.65349c986da46p-18, -0x1.6eac0d87bf081p-18, -0x1.77fec9ed350d2p-18, -0x1.812de69c97b69p-18, -0x1.8a397e5824a5fp-18, -0x1.93214d1e97dd8p-18, -0x1.9be5229400e1ap-18, -0x1.a484e2aaf6457p-18, -0x1.ad007a655cca5p-18, -0x1.b557daa43b424p-18, -0x1.bd8af63b7a831p-18, -0x1.c599c0ecdfcc9p-18, -0x1.cd842eae91b61p-18, -0x1.d54a32c730e07p-18, -0x1.dcebbe90c9225p-18, -0x1.e468c25c4b058p-18, -0x1.ebc133ee1b8d5p-18, -0x1.f2f5150fbd239p-18, -0x1.fa046570f637p-18, -0x1.007777c55b4d9p-17, -0x1.03da5bdfff893p-17, -0x1.072b020f5f9f9p-17, -0x1.0a69416cf7b73p-17, -0x1.0d9521aefece9p-17, -0x1.10aeacb0fd549p-17, -0x1.13b5df060df08p-17, -0x1.16aab84d49cc9p-17, -0x1.198d3a7c7f2b9p-17, -0x1.1c5d68c91a24dp-17, -0x1.1f1b45af84137p-17, -0x1.21c6d1f8f0be3p-17, -0x1.246017c5e7c4bp-17, -0x1.26e7202814e79p-17, -0x1.295bea4d321a5p-17, -0x1.2bbe7f5642413p-17, -0x1.2e0ee9992206p-17, -0x1.304d314df834fp-17, -0x1.32795fa2369fep-17, -0x1.34937ee93f41ap-17, -0x1.369b9a5682126p-17, -0x1.3891bdf5f2077p-17, -0x1.3a75f69877613p-17, -0x1.3c4851cb2598dp-17, -0x1.3e08ddd26be99p-17, -0x1.3fb7a9a6caac7p-17, -0x1.4154c4ff75f81p-17, -0x1.42e0406066c71p-17, -0x1.445a2d26672dbp-17, -0x1.45c29d9ef7083p-17, -0x1.4719a4e17d1c3p-17, -0x1.485f563cb0a7cp-17, -0x1.4993c4da571p-17, -0x1.4ab705f892fe2p-17, -0x1.4bc930eb9774cp-17, -0x1.4cca5a8bd951p-17, -0x1.4dba9bbebc6cfp-17, -0x1.4e9a09642927ep-17, -0x1.4f68bc6b81b13p-17, -0x1.5026ce473f509p-17, -0x1.50d458968138fp-17, -0x1.5171759795ec4p-17, -0x1.51fe4040f0005p-17, -0x1.527ad3ebce422p-17, -0x1.52e74beed71f9p-17, -0x1.5343c5cf4a344p-17, -0x1.53905fbe2fdb8p-17, -0x1.53cd34faebac6p-17, -0x1.53fa66a73e6d4p-17, -0x1.541810f879de8p-17, -0x1.54265361ae027p-17, -0x1.54254e42724b6p-17, -0x1.541521fe85bd9p-17, -0x1.53f5ef513fb02p-17, -0x1.53c7d768a9814p-17, -0x1.538afbe702422p-17, -0x1.533f7edd9f43bp-17, -0x1.52e582c72f8e8p-17, -0x1.527d2a8531ecbp-17, -0x1.5206995e574dep-17, -0x1.5181f2f9b9cc8p-17, -0x1.50ef5b5b7a8bdp-17, -0x1.504ef6e40c225p-17, -0x1.4fa0ea57b518bp-17, -0x1.4ee55ada5bf31p-17, -0x1.4e1c6dcc3c2dap-17, -0x1.4d4648b35e06bp-17, -0x1.4c6311256db07p-17, -0x1.4b72ed39a1ff4p-17, -0x1.4a7604b519cb1p-17, -0x1.496c7e0bab9cap-17, -0x1.48567f28de83p-17, -0x1.47342f91617abp-17, -0x1.4605b6da7461p-17, -0x1.44cb3c9867fcdp-17, -0x1.4384e88a7a274p-17, -0x1.4232e2a0d5331p-17, -0x1.40d552ebff7a5p-17, -0x1.3f6c61b3854dap-17, -0x1.3df8374d499aap-17, -0x1.3c78fc344e43cp-17, -0x1.3aeed935fc2c7p-17, -0x1.3959f6df8f608p-17, -0x1.37ba7dd496cebp-17, -0x1.361097240a93bp-17, -0x1.345c6bdff8faep-17, -0x1.329e24f2ebb6bp-17, -0x1.30d5eb62542cp-17, -0x1.2f03e843cbffbp-17, -0x1.2d2844b3c21bdp-17, -0x1.2b4329d0ad87p-17, -0x1.2954c0b7b4ea8p-17, -0x1.275d32824eb18p-17, -0x1.255ca8472f8b9p-17, -0x1.23534b1ab8ac9p-17, -0x1.2141440b2abbap-17, -0x1.1f26bc19ded25p-17, -0x1.1d03dc3a2e0a2p-17, -0x1.1ad8cd5341898p-17, -0x1.18a5b83ac25aep-17, -0x1.166ac5978831ep-17, -0x1.14281dd1c297ep-17, -0x1.11dde95d90544p-17, -0x1.0f8c50d40557fp-17, -0x1.0d337d388ccaep-17, -0x1.0ad3987e110b5p-17, -0x1.086cc50abb1fdp-17, -0x1.05ff2d0398bb8p-17, -0x1.038afb6e635d1p-17, -0x1.0110560755a98p-17, -0x1.fd1ec7cbbb7efp-18, -0x1.f810983d1255fp-18, -0x1.f2f66c559b146p-18, -0x1.edd09266853f1p-18, -0x1.e89f5852350b4p-18, -0x1.e3630a8f1ba2bp-18, -0x1.de1bf5b0ca20bp-18, -0x1.d8ca6571a80a2p-18, -0x1.d36ea578f1315p-18, -0x1.ce0904f095c6ap-18, -0x1.c899d6a7cb052p-18, -0x1.c3214e48ce61dp-18, -0x1.bd9fba8785b0dp-18, -0x1.b8157755b689bp-18, -0x1.b282c58cf3127p-18, -0x1.ace7ebce153ecp-18, -0x1.a745327b6a44dp-18, -0x1.a19ae1845c9dcp-18, -0x1.9be940399b2d3p-18, -0x1.96309551c1609p-18, -0x1.907126f02cbddp-18, -0x1.8aab3ab1b507p-18, -0x1.84df15b4939acp-18, -0x1.7f0cfc8de1fa4p-18, -0x1.7935333dbcfd4p-18, -0x1.7357fd2fd09d3p-18, -0x1.6d759d44fd39cp-18, -0x1.678e55dc796f8p-18, -0x1.61a268ae92474p-18, -0x1.5bb2165cfb0bep-18, -0x1.55bd9ed30a5bbp-18, -0x1.4fc5423665feep-18, -0x1.49c9401c42606p-18, -0x1.43c9d99f2481ep-18, -0x1.3dc75303c5b3bp-18, -0x1.37c1d00224623p-18, -0x1.31b9a3dcc2975p-18, -0x1.2baf09746978p-18, -0x1.25a2383d30b21p-18, -0x1.1f936b368ed41p-18, -0x1.1982dcd98f2d3p-18, -0x1.1370c6e1f8a85p-18, -0x1.0d5d626d531f3p-18, -0x1.0748e7e161bfp-18, -0x1.01338ed165d99p-18, -0x1.f63b1d2fa0b84p-19, -0x1.ea0e3c181ad1fp-19, -0x1.dde0e5d03d781p-19, -0x1.d1b38325bd701p-19, -0x1.c5867b886bdfbp-19, -0x1.b95a3872aadd7p-19, -0x1.ad2f2f21cc953p-19, -0x1.a105c1cfd6a2bp-19, -0x1.94de19c659385p-19, -0x1.88b8df487d6dfp-19, -0x1.7c9664f987ba4p-19, -0x1.7077023d3cda5p-19, -0x1.645b15fafa907p-19, -0x1.5842fe082b8f4p-19, -0x1.4c2f169e4028ap-19, -0x1.401fba813feccp-19, -0x1.3415433ab0b97p-19, -0x1.281008d27d8e1p-19, -0x1.1c10625f77c3p-19, -0x1.1016a564c16adp-19, -0x1.0423262775e3dp-19, -0x1.f06c6f557c72ep-20, -0x1.d8a0577f92cddp-20, -0x1.c0e2a5fb6102dp-20, -0x1.a933f88b2e12cp-20, -0x1.9194e960d0ca9p-20, -0x1.7a061231c6a65p-20, -0x1.62880a7e234c3p-20, -0x1.4b1b66379c865p-20, -0x1.33c0c5669d1efp-20, -0x1.1c78a30891041p-20, -0x1.05437c8b026c2p-20, -0x1.dc44081eee525p-21, -0x1.ae295d1bebf3ap-21, -0x1.803801ee4db57p-21, -0x1.5270fdf2bcff9p-21, -0x1.24d5518209dc4p-21, -0x1.eecbf2859473p-22, -0x1.9447da38c5cc8p-22, -0x1.3a203ed1fad43p-22, -0x1.c0adf74298218p-23, -0x1.0ddbc4c960012p-23, -0x1.6f35dc8b84b4ep-25, 0x1.55e5ca4870896p-25, 0x1.05f58b0acd3f1p-23, 0x1.b5a377005d032p-23, 0x1.323ff6dc91befp-22, 0x1.8943dbaaec693p-22, 0x1.dfdbda0d8b167p-22, 0x1.1b03372b414c9p-21, 0x1.45e10dbd22264p-21, 0x1.7086b1402987ap-21, 0x1.9af34d1f209cep-21, 0x1.c52651c536243p-21, 0x1.ef1f454429aa4p-21, 0x1.0c6e8d114a366p-20, 0x1.212fa7d97b878p-20, 0x1.35d2a4e76a6e7p-20, 0x1.4a5734d00c44fp-20, 0x1.5ebd0a7e37c15p-20, 0x1.7303db22f8aecp-20, 0x1.872b5e0a4295ap-20, 0x1.9b334c8813258p-20, 0x1.af1b61e5c87fcp-20, 0x1.c2e35b47ea0fcp-20, 0x1.d68af7d68bf19p-20, 0x1.ea11f91d1e31fp-20, 0x1.fd7821173p-20, 0x1.085e9869d8727p-19, 0x1.11f08369de8dfp-19, 0x1.1b71bc7737d2cp-19, 0x1.24e1e4ae5cc8ap-19, 0x1.2e413e15e5b8dp-19, 0x1.378f82e22edf7p-19, 0x1.40cc9f35d44bep-19, 0x1.49f87d79adad4p-19, 0x1.531307a2a9616p-19, 0x1.5c1c286ae01ap-19, 0x1.6513cb6247e4cp-19, 0x1.6df9dcf1d8e8dp-19, 0x1.76ce4a57a416bp-19, 0x1.7f9101a709ecp-19, 0x1.8841f1c39945bp-19, 0x1.90e10a61b96e9p-19, 0x1.996e3c01ffb21p-19, 0x1.a1e977f08674fp-19, 0x1.aa52b0426b081p-19, 0x1.b2a9d7d10de6dp-19, 0x1.baeee2386cbfp-19, 0x1.c321c3efc20a1p-19, 0x1.cb4272317da35p-19, 0x1.d350e1933548ap-19, 0x1.db4d09f730196p-19, 0x1.e336e38d28932p-19, 0x1.eb0e656e28b04p-19, 0x1.f2d38714b0375p-19, 0x1.fa86436b0ac2ep-19, 0x1.011349a3b1173p-18, 0x1.04da39684501ep-18, 0x1.0897ee62e3237p-18, 0x1.0c4c668b45613p-18, 0x1.0ff7a0413acbdp-18, 0x1.13999a3a051fp-18, 0x1.1732538673d41p-18, 0x1.1ac1cb79dcc5cp-18, 0x1.1e480190b03bcp-18, 0x1.21c4f4e6db627p-18, 0x1.2538a63bf381ap-18, 0x1.28a3187d71c2ap-18, 0x1.2c0448eafefcfp-18, 0x1.2f5c39adff96fp-18, 0x1.32aaec69ac20cp-18, 0x1.35f06224b5a67p-18, 0x1.392c9df47d5aep-18, 0x1.3c5fa0e7fba59p-18, 0x1.3f896da0dc93ep-18, 0x1.42aa06e2328d8p-18, 0x1.45c16f8bfd315p-18, 0x1.48cfaac3988ccp-18, 0x1.4bd4bbece9db8p-18, 0x1.4ed0a6aa8f15dp-18, 0x1.51c36eec2bc17p-18, 0x1.54ad1823d0313p-18, 0x1.578da860ac07fp-18, 0x1.5a65225b6f543p-18, 0x1.5d338b9f303a7p-18, 0x1.5ff8e9194e6dp-18, 0x1.62b53ffb13ac6p-18, 0x1.656895ab35adcp-18, 0x1.6812efc6b60f1p-18, 0x1.6ab4541e4e4b1p-18, 0x1.6d4cc8b46fd3bp-18, 0x1.6fdc53bc2017ap-18, 0x1.7262fb97ff7a9p-18, 0x1.74e0c6dc6b3d9p-18, 0x1.7755bc5148efbp-18, 0x1.79c1e2dcfa403p-18, 0x1.7c2541a13dd09p-18, 0x1.7e7fdfe337a55p-18, 0x1.80d1c5162d22ep-18, 0x1.831af8d769035p-18, 0x1.855b82ec2d072p-18, 0x1.87936b4284141p-18, 0x1.89c2b9eff3dc2p-18, 0x1.8be9773685d53p-18, 0x1.8e07b19baa109p-18, 0x1.901d5f4efee68p-18, 0x1.922a9ad4f5016p-18, 0x1.942f678bf107dp-18, 0x1.962bce220ff53p-18, 0x1.981fd7a92d62ep-18, 0x1.9a0b8d5d3aadcp-18, 0x1.9beef8138d089p-18, 0x1.9dca224bbd18p-18, 0x1.9f9d1495a55cbp-18, 0x1.a167d8fc859e6p-18, 0x1.a32a794106f54p-18, 0x1.a4e4ff46395aap-18, 0x1.a697750bf3157p-18, 0x1.a841e4aa26971p-18, 0x1.a9e4585280613p-18, 0x1.ab7eda52860cap-18, 0x1.ad11750eba927p-18, 0x1.ae9c33020d512p-18, 0x1.b01f1ebf39b0cp-18, 0x1.b19a42ef685cp-18, 0x1.b30daa4b6f996p-18, 0x1.b4795f79e8a43p-18, 0x1.b5dd6d6d0c932p-18, 0x1.b739dfe1d392dp-18, 0x1.b88ec11bf67a4p-18, 0x1.b9dc1c392e71fp-18, 0x1.bb21fc8f9094ep-18, 0x1.bc606d67097f1p-18, 0x1.bd977a11482dep-18, 0x1.bec72dee60a54p-18, 0x1.bfef947209efbp-18, 0x1.c110b90d9e18fp-18, 0x1.c22aa75b82531p-18, 0x1.c33d6af0be655p-18, 0x1.c4490f7487db5p-18, 0x1.c54da09775366p-18, 0x1.c64b2a1090d0dp-18, 0x1.c741b7c50d062p-18, 0x1.c831556c6af0fp-18, 0x1.c91a0ef29dbbp-18, 0x1.c9fbf042f56a9p-18, 0x1.cad70542ebd66p-18, 0x1.cbab59e91e902p-18, 0x1.cc78fa0d5c9a7p-18, 0x1.cd3ff1fe1f4bfp-18, 0x1.ce004dac8bfd4p-18, 0x1.ceba193475fa1p-18, 0x1.cf6d60ad11f1dp-18, 0x1.d01a30352f498p-18, 0x1.d0c093f11837p-18, 0x1.d160980a46d12p-18, 0x1.d1fa48aecfc16p-18, 0x1.d28db20fbd735p-18, 0x1.d31ae062027b5p-18, 0x1.d3a1dfdcc2533p-18, 0x1.d422bcb96f0a5p-18, 0x1.d49d83356698p-18, 0x1.d5123f8b00304p-18, 0x1.d580fdece26ap-18, 0x1.d5e9caae61756p-18, 0x1.d64cb2198b5b3p-18, 0x1.d6a9c07f9263p-18, 0x1.d7010209ec06fp-18, 0x1.d75282a66ac48p-18, 0x1.d79e4e2b4fdc2p-18, 0x1.d7e46f2ee53afp-18, 0x1.d8250459b1201p-18, 0x1.d85fec409486bp-18, 0x1.d8956592ae3e8p-18, 0x1.d8c5635f522f3p-18, 0x1.d8eff58d13df6p-18, 0x1.d9152893daa91p-18, 0x1.d93508c2a7ee6p-18, 0x1.d94fa23b244d3p-18, 0x1.d9650109ec35bp-18, 0x1.d975314ace0d1p-18, 0x1.d9803f10a5f13p-18, 0x1.d98636f666fb4p-18, 0x1.d9872372c63bcp-18, 0x1.d983122b532c5p-18, 0x1.d97a0e79a3975p-18, 0x1.d96c2460016ep-18, 0x1.d9595fd071fd6p-18, 0x1.d941ccb58025ap-18, 0x1.d92576de56be2p-18, 0x1.d90469c8ab26ap-18, 0x1.d8deb2619dd45p-18, 0x1.d8b45be2d8f3p-18, 0x1.d885718c30be3p-18, 0x1.d851ff67551d5p-18, 0x1.d81a112f5036p-18, 0x1.d7ddb277f7ff9p-18, 0x1.d79ceef5a843bp-18, 0x1.d757d240acf1bp-18, 0x1.d70e67e89c827p-18, 0x1.d6c0bb6db7728p-18, 0x1.d66ed84416cbfp-18, 0x1.d618c9d7b69c1p-18, 0x1.d5be9b83be783p-18, 0x1.d560588ce4aa1p-18, 0x1.d4fe0c9f1e35p-18, 0x1.d497c295d3c67p-18, 0x1.d42d85caa0a2bp-18, 0x1.d3bf616c02d96p-18, 0x1.d34d60a50e466p-18, 0x1.d2d78e7459ec9p-18, 0x1.d25df5fd001ebp-18, 0x1.d1e0a234e2fdp-18, 0x1.d15f9e0d7a374p-18, 0x1.d0daf46b00302p-18, 0x1.d052b02df213fp-18, 0x1.cfc6dc26aa23dp-18, 0x1.cf3782eccf58ep-18, 0x1.cea4af9d915f3p-18, 0x1.ce0e6c9b7e87ep-18, 0x1.cd74d474ac788p-18, 0x1.ccd7c1d353c81p-18, 0x1.cc376f17f537p-18, 0x1.cb93d6dfe00bap-18, 0x1.caed0383f589dp-18, 0x1.ca42ff5e86bd9p-18, 0x1.c995d4bbf8275p-18, 0x1.c8e58ddad39adp-18, 0x1.c83234e511d11p-18, 0x1.c77bd29d85315p-18, 0x1.c6c27563a866ep-18, 0x1.c6062306ac5a9p-18, 0x1.c546e6c726af1p-18, 0x1.c484caa5bf804p-18, 0x1.c3bfd87f97845p-18, 0x1.c2f81a2493defp-18, 0x1.c22d99583d828p-18, 0x1.c1605fd86ef84p-18, 0x1.c090772b98605p-18, 0x1.bfbde92c6a6bep-18, 0x1.bee8bf0f6ec6fp-18, 0x1.be1102372a278p-18, 0x1.bd36bc6e089bp-18, 0x1.bc59f63c6d608p-18, 0x1.bb7abaf82789p-18, 0x1.ba991206164b3p-18, }}, 
      {{0x1.2cfbd9431939fp-1, 0x1.57a392cbcc91cp-1, 0x1.825796b30817fp-1, 0x1.a3a40a3b0052dp-1, 0x1.b86be2c14c64ap-1, 0x1.c0ea23df271d5p-1, 0x1.beee37342dd0cp-1, 0x1.b4d94bd80fe63p-1, 0x1.a5119dcafbeafp-1, 0x1.91bc6a29b621ap-1, 0x1.7ca119336374ep-1, 0x1.6723772e5a05bp-1, 0x1.524a05e02afap-1, 0x1.3ec9edfc94c49p-1, 0x1.2d14d897d04ddp-1, 0x1.1d66a63a287a8p-1, 0x1.0fd1fb4c18d0ep-1, 0x1.044b2d3c9fef1p-1, 0x1.f562dcd24c131p-2, 0x1.e5ac897cbbb44p-2, 0x1.d906dff80bb3p-2, 0x1.cefee01adc02cp-2, 0x1.c721bf66c713dp-2, 0x1.c101acfebf273p-2, 0x1.bc3902e68e63p-2, 0x1.b86c3905e9ea4p-2, 0x1.b54ae327259efp-2, 0x1.b28ff7da6cc44p-2, 0x1.b001936726ecp-2, 0x1.ad706041e88ebp-2, 0x1.aab6c5a3fbcc6p-2, 0x1.a7b7f512d6029p-2, 0x1.a45ee904ca0e9p-2, 0x1.a09d61ec99b9bp-2, 0x1.9c6aeafa05c2p-2, 0x1.97c3ec92d7b16p-2, 0x1.92a8d0a436eedp-2, 0x1.8d1d3b677ff8cp-2, 0x1.8727599b54791p-2, 0x1.80cf44294e767p-2, 0x1.7a1e78b7d29aep-2, 0x1.731f661c613cfp-2, 0x1.6bdd0b28df0eap-2, 0x1.6462a60d015e2p-2, 0x1.5cbb7288baf63p-2, 0x1.54f2753c2bfa5p-2, 0x1.4d12526e49437p-2, 0x1.45252eaf5646p-2, 0x1.3d3497dbf7094p-2, 0x1.3549752d3fcb2p-2, 0x1.2d6bfd2b8e59ap-2, 0x1.25a3b07d4723ep-2, 0x1.1df758a8cad4ep-2, 0x1.166d09fcd598p-2, 0x1.0f0a27ef0412ep-2, 0x1.07d36b5ab8c9bp-2, 0x1.00ccea235ce8ap-2, 0x1.f3f43fa4f38bbp-3, 0x1.e6bbedbc9425ep-3, 0x1.d9f5a49ea14d2p-3, 0x1.cda52f1e785b5p-3, 0x1.c1cd706088275p-3, 0x1.b6707716b21e4p-3, 0x1.ab8f902d2533fp-3, 0x1.a12b58c62a8e7p-3, 0x1.9743cf621c85bp-3, 0x1.8dd86424a9042p-3, 0x1.84e808287b0d9p-3, 0x1.7c713be35b317p-3, 0x1.74721c8f3c4bep-3, 0x1.6ce870a63a45bp-3, 0x1.65d1b37039ef1p-3, 0x1.5f2b1facabcd8p-3, 0x1.58f1b960a0366p-3, 0x1.532256d3e193p-3, 0x1.4db9a8c6f6902p-3, 0x1.48b441ee88b86p-3, 0x1.440e9dbe63095p-3, 0x1.3fc5268f639ecp-3, 0x1.3bd43b2cbb886p-3, 0x1.383833d05f7cp-3, 0x1.34ed669d56364p-3, 0x1.31f02b9c0cdbap-3, 0x1.2f3ce048d8663p-3, 0x1.2ccfeab611294p-3, 0x1.2aa5bc52492e2p-3, 0x1.28bad45189383p-3, 0x1.270bc1cb51dbep-3, 0x1.25952587c3606p-3, 0x1.2453b391a0eb2p-3, 0x1.23443480aa889p-3, 0x1.2263869797efcp-3, 0x1.21ae9ea26e441p-3, 0x1.212288b384459p-3, 0x1.20bc68abf015p-3, 0x1.20797aa452686p-3, 0x1.2057133601d27p-3, 0x1.20529f98c0bdfp-3, 0x1.2069a5bc9ea5ap-3, 0x1.2099c42e51dc6p-3, 0x1.20e0b1ffecae8p-3, 0x1.213c3e928e46ep-3, 0x1.21aa5144b2d9fp-3, 0x1.2228e931a207dp-3, 0x1.22b61cbae1b2dp-3, 0x1.23501923a5987p-3, 0x1.23f522237be82p-3, 0x1.24a3914edb9afp-3, 0x1.2559d5a7b0901p-3, 0x1.2616730d8f059p-3, 0x1.26d80198da948p-3, 0x1.279d2d2682d9dp-3, 0x1.2864b4aa30e85p-3, 0x1.292d6993f8079p-3, 0x1.29f62f4b1917ep-3, 0x1.2abdfa81854e3p-3, 0x1.2b83d0914717p-3, 0x1.2c46c6ff40cfap-3, 0x1.2d0602cd167d2p-3, 0x1.2dc0b7d5c9bccp-3, 0x1.2e76285765c79p-3, 0x1.2f25a44d802fbp-3, 0x1.2fce88d319416p-3, 0x1.30703fa8920cap-3, 0x1.310a3ea6ada05p-3, 0x1.319c0721cea04p-3, 0x1.322525754c22ep-3, 0x1.32a53083c0c55p-3, 0x1.331bc927d1095p-3, 0x1.338899c0f4462p-3, 0x1.33eb55c7ec678p-3, 0x1.3443b94a2502ep-3, 0x1.34918872e7ba3p-3, 0x1.34d48f3594ca1p-3, 0x1.350ca0e15f6d8p-3, 0x1.353997a40d785p-3, 0x1.355b54304b4b9p-3, 0x1.3571bd7736912p-3, 0x1.357cc040ca694p-3, 0x1.357c4ebeb396cp-3, 0x1.357060465118ap-3, 0x1.3558f11559cadp-3, 0x1.353601f6d164ap-3, 0x1.350797e57a77dp-3, 0x1.34cdbbd2868ecp-3, 0x1.34887a75a41acp-3, 0x1.3437e401b9bbap-3, 0x1.33dc0bd538fcfp-3, 0x1.3375084745e0cp-3, 0x1.3302f28295d09p-3, 0x1.3285e64cf8feep-3, 0x1.31fe01be4b453p-3, 0x1.316b6519594e9p-3, 0x1.30ce32a80f8b8p-3, 0x1.30268e96237b5p-3, 0x1.2f749eb6c756fp-3, 0x1.2eb88a5a2a2e4p-3, 0x1.2df27a340bacfp-3, 0x1.2d22983ff8dcap-3, 0x1.2c490f980d502p-3, 0x1.2b660c4d9f216p-3, 0x1.2a79bb4f6f519p-3, 0x1.29844a57759d9p-3, 0x1.2885e7d0b7257p-3, 0x1.277ec2b79b10ap-3, 0x1.266f0a8041a1ep-3, 0x1.2556ef05b60bfp-3, 0x1.2436a07aaebcbp-3, 0x1.230e4f5547ab6p-3, 0x1.21de2c38e36bfp-3, 0x1.20a667e48663bp-3, 0x1.1f6733259b692p-3, 0x1.1e20becd1bb83p-3, 0x1.1cd33ba1aff67p-3, 0x1.1b7eda4fec8d6p-3, 0x1.1a23cb5cb203ep-3, 0x1.18c23f1b418f7p-3, 0x1.175a65a61b02bp-3, 0x1.15ec6ed684909p-3, 0x1.14788a397a751p-3, 0x1.12fee705236f9p-3, 0x1.117fb41156bb5p-3, 0x1.0ffb1fd39609bp-3, 0x1.0e71585abbd7p-3, 0x1.0ce28b47d958bp-3, 0x1.0b4ee5c6af444p-3, 0x1.09b694887f5b7p-3, 0x1.0819c3c160f7ep-3, 0x1.06789f268cc16p-3, 0x1.04d351eb0bdb9p-3, 0x1.032a06bb0f25ap-3, 0x1.017ce7b8501eap-3, 0x1.ff983cf0094dp-4, 0x1.fc2fa80402a88p-4, 0x1.f8c0619ffdf85p-4, 0x1.f54ab9979643ap-4, 0x1.f1cefe9a05181p-4, 0x1.ee4d7e2f0056p-4, 0x1.eac684b4fb58dp-4, 0x1.e73a5d60f7775p-4, 0x1.e3a9523f241a5p-4, 0x1.e013ac3227c78p-4, 0x1.dc79b2f14c2d4p-4, 0x1.d8dbad0738ae9p-4, 0x1.d539dfd1c82ap-4, 0x1.d1948f835abefp-4, 0x1.cdebff250379cp-4, 0x1.ca407097c6beep-4, 0x1.c69224948a759p-4, 0x1.c2e15aac8a23bp-4, 0x1.bf2e514aafbc5p-4, 0x1.bb7945b5d6681p-4, 0x1.b7c2741384eep-4, 0x1.b40a176a789cfp-4, 0x1.b05069a475ba6p-4, 0x1.ac95a38ff2fffp-4, 0x1.a8d9fce26c393p-4, 0x1.a51dac3ae29e8p-4, 0x1.a160e724973dfp-4, 0x1.9da3e21a29aafp-4, 0x1.99e6d0889fcecp-4, 0x1.9629e4d21839ep-4, 0x1.926d505027a9fp-4, 0x1.8eb14356793c1p-4, 0x1.8af5ed358fb27p-4, 0x1.873b7c3d7dedap-4, 0x1.83821dc17f862p-4, 0x1.7fc9fe1ae9641p-4, 0x1.7c1348abf50bfp-4, 0x1.785e27e229c09p-4, 0x1.74aac5390b4fbp-4, 0x1.70f9493cfb2f1p-4, 0x1.6d49db8e24db2p-4, 0x1.699ca2e348f6cp-4, 0x1.65f1c50cbb9bdp-4, 0x1.624966f87d33cp-4, 0x1.5ea3acb1dd3adp-4, 0x1.5b00b9669fe73p-4, 0x1.5760af690efb9p-4, 0x1.53c3b03296a2p-4, 0x1.5029dc6692d48p-4, 0x1.4c9353d50999p-4, 0x1.4900357d729bfp-4, 0x1.45709f915d311p-4, 0x1.41e4af77048f8p-4, 0x1.3e5c81cbe3e0ap-4, 0x1.3ad83267496e5p-4, 0x1.3757dc5cdccbcp-4, 0x1.33db99ff22016p-4, 0x1.306384e21d16ep-4, 0x1.2cefb5ddeb968p-4, 0x1.298045113d846p-4, 0x1.261549e3af601p-4, 0x1.22aedb081cc1bp-4, 0x1.1f4d0e7efeeebp-4, 0x1.1beff998cf1fp-4, 0x1.1897b0f8680f8p-4, 0x1.154448955de61p-4, 0x1.11f5d3be4c96ep-4, 0x1.0eac651b14de8p-4, 0x1.0b680eaf041fbp-4, 0x1.0828e1daff121p-4, 0x1.04eeef5fb1e49p-4, 0x1.01ba475fc8ffp-4, 0x1.fd15f2c42082p-5, 0x1.f6c228a717241p-5, 0x1.f0794d1302622p-5, 0x1.ea3b7b8720aa2p-5, 0x1.e408ce5b82962p-5, 0x1.dde15ec51cbb7p-5, 0x1.d7c544d9d48cdp-5, 0x1.d1b49794754fap-5, 0x1.cbaf6cd896fe5p-5, 0x1.c5b5d9767af6dp-5, 0x1.bfc7f12eed95bp-5, 0x1.b9e5c6b72c0a4p-5, 0x1.b40f6bbcd45f1p-5, 0x1.ae44f0e9b95c3p-5, 0x1.a88665e7a63a8p-5, 0x1.a2d3d963ffdbfp-5, 0x1.9d2d591375247p-5, 0x1.9792f1b5b27ep-5, 0x1.9204af19269a1p-5, 0x1.8c829c1eb48d3p-5, 0x1.870cc2bd6752cp-5, 0x1.81a32c06016d8p-5, 0x1.7c45e0268fb2fp-5, 0x1.76f4e66decf52p-5, 0x1.71b0454f5f5c4p-5, 0x1.6c7802665ccddp-5, 0x1.674c227937f7p-5, 0x1.622ca97dd3408p-5, 0x1.5d199a9d1557cp-5, 0x1.5812f835427bdp-5, 0x1.5318c3de4800ap-5, 0x1.4e2afe6d00a3dp-5, 0x1.4949a7f6a0fe1p-5, 0x1.4474bfd435323p-5, 0x1.3fac44a6113d1p-5, 0x1.3af0345741ap-5, 0x1.36408c20df30ep-5, 0x1.319d488d66c92p-5, 0x1.2d06657c0e249p-5, 0x1.287bde2417b19p-5, 0x1.23fdad183474p-5, 0x1.1f8bcc49e2be2p-5, 0x1.1b26350cc5855p-5, 0x1.16cce019f561fp-5, 0x1.127fc5933ccccp-5, 0x1.0e3edd0653a84p-5, 0x1.0a0a1d701a6fep-5, 0x1.05e17d3fd4594p-5, 0x1.01c4f25a6e79ap-5, 0x1.fb68e43b7cf3cp-6, 0x1.f35fe2c783fdbp-6, 0x1.eb6ec90b96d7p-6, 0x1.e3957ebf57a53p-6, 0x1.dbd3eaa5a1e41p-6, 0x1.d429f292c0bb2p-6, 0x1.cc977b72ad10ap-6, 0x1.c51c694f48cbdp-6, 0x1.bdb89f56952a6p-6, 0x1.b66bffe0f23bfp-6, 0x1.af366c772afe7p-6, 0x1.a817c5d896979p-6, 0x1.a10fec0104c7p-6, 0x1.9a1ebe2eb702fp-6, 0x1.93441ae841a8bp-6, 0x1.8c7fe00272191p-6, 0x1.85d1eaa6363e1p-6, 0x1.7f3a175665cdbp-6, 0x1.78b841f59837fp-6, 0x1.724c45cbdae9ap-6, 0x1.6bf5fd8c4a01ep-6, 0x1.65b5435ab178cp-6, 0x1.5f89f0d11388fp-6, 0x1.5973df051677cp-6, 0x1.5372e68d855dcp-6, 0x1.4d86df87ad0b7p-6, 0x1.47afa19cbb0aap-6, 0x1.41ed0407061b5p-6, 0x1.3c3edd974735p-6, 0x1.36a504b9c2595p-6, 0x1.311f4f7b56c4ep-6, 0x1.2bad938e88cb7p-6, 0x1.264fa65071aa6p-6, 0x1.21055ccd9f2c1p-6, 0x1.1bce8bc6ead95p-6, 0x1.16ab07b63d77p-6, 0x1.119aa4d33f83bp-6, 0x1.0c9d371809b54p-6, 0x1.07b29245b5ccp-6, 0x1.02da89e8e6401p-6, 0x1.fc29e2bc730ccp-7, 0x1.f2c337ad5a4d2p-7, 0x1.e980b8b7abc7dp-7, 0x1.e0620ba81c18fp-7, 0x1.d766d60cffc9p-7, 0x1.ce8ebd3e5a83cp-7, 0x1.c5d96665bba34p-7, 0x1.bd46768621c59p-7, 0x1.b4d59283e83cp-7, 0x1.ac865f2c8e7a6p-7, 0x1.a458813e7e1e5p-7, 0x1.9c4b9d709e4c2p-7, 0x1.945f5879723bbp-7, 0x1.8c935715f2cf2p-7, 0x1.84e73e0fde3dap-7, 0x1.7d5ab243bd26bp-7, 0x1.75ed58a6c5de6p-7, 0x1.6e9ed64cb1a71p-7, 0x1.676ed06de4f4p-7, 0x1.605cec6df055ap-7, 0x1.5968cfe2798bfp-7, 0x1.5292209a357bdp-7, 0x1.4bd884a3e0bcp-7, 0x1.453ba2548b071p-7, 0x1.3ebb204d0aeccp-7, 0x1.3856a57e60c41p-7, 0x1.320dd92cfc323p-7, 0x1.2be062f3647e2p-7, 0x1.25cdeac4b46aap-7, 0x1.1fd618efb5a8ep-7, 0x1.19f8962324bp-7, 0x1.14350b7368b0ap-7, 0x1.0e8b2261bd1bfp-7, 0x1.08fa84e41e16dp-7, 0x1.0382dd6d23c17p-7, 0x1.fc47ade505ff7p-8, 0x1.f1ba39e2cf631p-8, 0x1.e75cb6dfbd112p-8, 0x1.dd2e7df76a2afp-8, 0x1.d32ee94ee532ap-8, 0x1.c95d540e3c58ep-8, 0x1.bfb91a5ceafa1p-8, 0x1.b6419964d229dp-8, 0x1.acf62f5d69453p-8, 0x1.a3d63b9f22e25p-8, 0x1.9ae11ebc9a07ap-8, 0x1.92163a9ca751ap-8, 0x1.8974f29016ac8p-8, 0x1.80fcab5ce3284p-8, 0x1.78accb3beb409p-8, 0x1.7084b9c82b3e6p-8, 0x1.6883dfe2a7387p-8, 0x1.60a9a791e23b6p-8, 0x1.58f57be5b376p-8, 0x1.5166c8e8cffcp-8, 0x1.49fcfba7008bp-8, 0x1.42b7824afdd7p-8, 0x1.3b95cc5143705p-8, 0x1.34974ac6e8dfcp-8, 0x1.2dbb7087b9632p-8, 0x1.2701b26c2483cp-8, 0x1.20698759aeb37p-8, 0x1.19f2682d38329p-8, 0x1.139bcf7e49f4dp-8, 0x1.0d653943ef124p-8, 0x1.074e226b9fef5p-8, 0x1.01560878b512ep-8, 0x1.f6f8d2885994dp-9, 0x1.eb8185e04a533p-9, 0x1.e045283415ae7p-9, 0x1.d542b8931e728p-9, 0x1.ca79391a831p-9, 0x1.bfe7b052d1d99p-9, 0x1.b58d2a6dda7c2p-9, 0x1.ab68ba1d42a6cp-9, 0x1.a17978c8dfe9cp-9, 0x1.97be860502a92p-9, 0x1.8e37064d43629p-9, 0x1.84e2212e00c74p-9, 0x1.7bbeff28eccaep-9, 0x1.72ccc7b5bc145p-9, 0x1.6a0a9fc48c28ap-9, 0x1.6177a917fd591p-9, 0x1.591302aad7ffap-9, 0x1.50dbca27b0bb6p-9, 0x1.48d11e452623cp-9, 0x1.40f221ace3707p-9, 0x1.393dfdf181cc3p-9, 0x1.31b3e60d05fa1p-9, 0x1.2a5317ebedbabp-9, 0x1.231adcac1039fp-9, 0x1.1c0a876b8e435p-9, 0x1.152172c298b7dp-9, 0x1.0e5efd4184534p-9, 0x1.07c2857cde1e7p-9, 0x1.014b664b9480ep-9, 0x1.f5f1e7b32c959p-10, 0x1.e994f424fb0adp-10, 0x1.dd7e796550c53p-10, 0x1.d1acf21869f96p-10, 0x1.c61ed28e94259p-10, 0x1.bad29152214a7p-10, 0x1.afc6b07f4ad57p-10, 0x1.a4f9c6755bee5p-10, 0x1.9a6a847d7560ap-10, 0x1.9017ba4795d5ep-10, 0x1.8600559961d74p-10, 0x1.7c235e2835a4p-10, 0x1.727fee39694f7p-10, 0x1.6915292d0df39p-10, 0x1.5fe231668e381p-10, 0x1.56e61f11af714p-10, 0x1.4e1ff90e2fc9p-10, 0x1.458eb0eda9692p-10, 0x1.3d31227c1cc9fp-10, 0x1.350616d598a6p-10, 0x1.2d0c4a9a133f6p-10, 0x1.2542766581dffp-10, 0x1.1da7585c83b09p-10, 0x1.1639bd6aaac65p-10, 0x1.0ef888d54f998p-10, 0x1.07e2b90bc8e6bp-10, 0x1.00f7691a92605p-10, 0x1.f46b9d75fb62ap-11, 0x1.e73a6b1192448p-11, 0x1.da59f08880de7p-11, 0x1.cdc8f25f5243ap-11, 0x1.c186350c29fb3p-11, 0x1.b5906fb8d5f84p-11, 0x1.a9e642246a6adp-11, 0x1.9e862ea5b08f2p-11, 0x1.936e9902924b2p-11, 0x1.889dca3fcf135p-11, 0x1.7e11f8af35a79p-11, 0x1.73c952964b1d6p-11, 0x1.69c209443d7c6p-11, 0x1.5ffa5aa3e9ee2p-11, 0x1.5670984a2d116p-11, 0x1.4d232c1aaf4bfp-11, 0x1.44109b4a2fdb3p-11, 0x1.3b37885e08d7bp-11, 0x1.3296b40975b52p-11, 0x1.2a2cfbf9768abp-11, 0x1.21f956756d9acp-11, 0x1.19faca7371fb4p-11, 0x1.1230652b7184dp-11, 0x1.0a992fa5d20fbp-11, 0x1.033427641e49ep-11, 0x1.f80079063a4ebp-12, 0x1.e9f8ab4074d58p-12, 0x1.dc4eae7544f94p-12, 0x1.cf0054ee47208p-12, 0x1.c20b7e8836db6p-12, 0x1.b56e102dcd8bdp-12, 0x1.a925e2369cca5p-12, 0x1.9d30afdb336d1p-12, 0x1.918c13cc2c6a7p-12, 0x1.8635993e8bb61p-12, 0x1.7b2adee15b2dfp-12, 0x1.7069bf0c3e4b1p-12, 0x1.65f06ba89e971p-12, 0x1.5bbd7024ba3d2p-12, 0x1.51cf96ed19d7p-12, 0x1.4825bd2afcacdp-12, 0x1.3ebea7cf2f9eep-12, 0x1.3598ebc0038bep-12, 0x1.2cb2f11aca36p-12, 0x1.240b0c8e5d6bep-12, 0x1.1b9fa0c5f394ap-12, 0x1.136f37e802e35p-12, 0x1.0b78896aa6c16p-12, 0x1.03ba683b54c42p-12, 0x1.f8673cf821729p-13, 0x1.e9c58a18d662cp-13, 0x1.db8c54390405p-13, 0x1.cdb7ae0e0db3ep-13, 0x1.c0437322e8b9ep-13, 0x1.b32bc7a8c38edp-13, 0x1.a66d91aa85f0ep-13, 0x1.9a06b4b6d663p-13, 0x1.8df5f34c6635ep-13, 0x1.823a8633e3faep-13, 0x1.76d3a009af023p-13, 0x1.6bc018d8087a8p-13, 0x1.60fe5e35523a1p-13, 0x1.568c984d847edp-13, 0x1.4c68dc0ef4aaap-13, 0x1.429149f80517fp-13, 0x1.39040f3f342dep-13, 0x1.2fbf5035e67f3p-13, 0x1.26c109d7dad14p-13, 0x1.1e06f904f1321p-13, 0x1.158e90bc84ff9p-13, 0x1.0d55013d870b3p-13, 0x1.0557509db5ccap-13, 0x1.fb25133731969p-14, 0x1.ec0802c9b974fp-14, 0x1.dd534484db3bcp-14, 0x1.cf042dd074a01p-14, 0x1.c1196ca638348p-14, 0x1.b392600bb6b1cp-14, 0x1.a66e44fbd5763p-14, 0x1.99abb348a7c7cp-14, 0x1.8d48b04e43ed1p-14, 0x1.81432c5431b7cp-14, 0x1.75997daa727a8p-14, 0x1.6a4a8f1a2b137p-14, 0x1.5f55b89d63576p-14, 0x1.54ba4faf29e1ep-14, 0x1.4a770a0a25717p-14, 0x1.40897b94a865ap-14, 0x1.36ee059142755p-14, 0x1.2da0402e71d1cp-14, 0x1.249b89ab9d8c1p-14, 0x1.1bdb6171a4951p-14, 0x1.135b87c699e19p-14, 0x1.0b1821f6db418p-14, 0x1.030e0da537c2p-14, 0x1.f6766e288a229p-15, 0x1.e73d40b92b84ap-15, 0x1.d8700b3e70833p-15, 0x1.ca0ea8fb08918p-15, 0x1.bc186d7807424p-15, 0x1.ae8bae9662a54p-15, 0x1.a165cefb146b4p-15, 0x1.94a3a1981a185p-15, 0x1.88422c9769233p-15, 0x1.7c3fc6a3d1e9p-15, 0x1.709ca4ffeda87p-15, 0x1.6559b7d024104p-15, 0x1.5a7671d3be93fp-15, 0x1.4fef8a1a16cdcp-15, 0x1.45bfb0890911fp-15, 0x1.3be1491ebb5d1p-15, 0x1.324fd9990a8b7p-15, 0x1.29088c0ed69fep-15, 0x1.2009c4a4bbed9p-15, 0x1.175218a9dcda4p-15, 0x1.0edf3ea59bad5p-15, 0x1.06ad9ab43a954p-15, 0x1.fd7106996597bp-16, 0x1.edf5b6367b938p-16, 0x1.dee01267a6806p-16, 0x1.d02b31383deafp-16, 0x1.c1d8c984b1c63p-16, 0x1.b3eee20efc8d6p-16, 0x1.a6715a597ea5ep-16, 0x1.995d1076f898fp-16, 0x1.8ca9fc6b0e994p-16, 0x1.805278f0745d7p-16, 0x1.74573d8366a56p-16, 0x1.68bb9fbf29167p-16, 0x1.5d7fae9f63152p-16, 0x1.529e9569db6d4p-16, 0x1.4810f1e51a942p-16, 0x1.3dcfa19d856f7p-16, 0x1.33d5317c6ccd2p-16, 0x1.2a1e27eb891e3p-16, 0x1.20a8f50cb6f71p-16, 0x1.1775d85e042b1p-16, 0x1.0e866b930d2e2p-16, 0x1.05dc8018fd156p-16, 0x1.faf170ca68fcep-17, 0x1.eab34489c88a5p-17, 0x1.daf5d12b4026ep-17, 0x1.cba84ec0b3b7dp-17, 0x1.bcb5795736c76p-17, 0x1.ae119de114fafp-17, 0x1.9fc2c500aa9ep-17, 0x1.91d44df3293cbp-17, 0x1.8446bbf181a9dp-17, 0x1.77126f39d2da5p-17, 0x1.6a34f73748a26p-17, 0x1.5db130664975ap-17, 0x1.51863ae31319p-17, 0x1.45afbf1389b42p-17, 0x1.3a2a8e48820d8p-17, 0x1.2ef3b35cdcd8dp-17, 0x1.240657a39f6fdp-17, 0x1.195cd4ce0a2e4p-17, 0x1.0ef294199251dp-17, 0x1.04c4870f38d77p-17, 0x1.f5a18e86426b1p-18, 0x1.e22cd4ca39ef6p-18, 0x1.cf2b3b6842d37p-18, 0x1.bc9eb4e13e23ap-18, 0x1.aa888a51542a1p-18, 0x1.98e755ebec94ap-18, 0x1.87b890eb315f7p-18, 0x1.76fa55dbf0ffp-18, 0x1.66a53bd305918p-18, 0x1.56aae06f33825p-18, 0x1.4708bbb30be4cp-18, 0x1.37c8eb37f06cep-18, 0x1.28e2473e88cdap-18, 0x1.1a3a3d927de0ep-18, 0x1.0bce80f08d95fp-18, 0x1.fb6bdfd06b71p-19, 0x1.dff3ae8800ecbp-19, 0x1.c519b62cbb2cdp-19, 0x1.aac14cba46ed7p-19, 0x1.90ea752deefbp-19, 0x1.77a21e48759bep-19, 0x1.5ee7fd5d60384p-19, 0x1.46afd67c64a1ep-19, 0x1.2eee9f13a1117p-19, 0x1.179efc0789fafp-19, 0x1.00bed774a3ddbp-19, 0x1.d4995deb696eap-20, 0x1.a88d6181cb90dp-20, 0x1.7d566d99047c6p-20, 0x1.52f27a9b08c13p-20, 0x1.295fc479a2208p-20, 0x1.0098ff878b657p-20, 0x1.b12b84b42d417p-21, 0x1.62ac9c12ef69ep-21, 0x1.15c7f7303844cp-21, 0x1.94bf8347e1a99p-22, 0x1.008074be8c7dap-22, 0x1.bc3474cb8331ap-24, -0x1.f9ed71f49b21dp-26, -0x1.57990b4005073p-23, -0x1.35389b1b985c7p-22, -0x1.bc084aaa2751fp-22, -0x1.2051ea379830dp-21, -0x1.6178b2b329f71p-21, -0x1.a173e49cdb963p-21, -0x1.e066da4e9e2d6p-21, -0x1.0f242930d9142p-20, -0x1.2d795f011679fp-20, -0x1.4b369ad02045ep-20, -0x1.686ae5ecd9f82p-20, -0x1.851e65ba80f82p-20, -0x1.a1527e541bd2ap-20, -0x1.bd06c3fc5c6bp-20, -0x1.d83b63600c65fp-20, -0x1.f2f196942329fp-20, -0x1.0695add367469p-19, -0x1.13756dde11854p-19, -0x1.2018df1af85d7p-19, -0x1.2c809863a874bp-19, -0x1.38ada8bb01ebap-19, -0x1.44a19f1f6b53bp-19, -0x1.505b866da4e5ep-19, -0x1.5bd6ad41b187dp-19, -0x1.6715ba977ba1dp-19, -0x1.72216f9c2ff74p-19, -0x1.7cfa73a26f3dap-19, -0x1.87a0e942e4108p-19, -0x1.920e0660b9692p-19, -0x1.9c411e11e69c8p-19, -0x1.a63d76a3ecdcep-19, -0x1.b0043825643a2p-19, -0x1.b998dc8f76d0dp-19, -0x1.c2fc3b2076b18p-19, -0x1.cc2dee9af37adp-19, -0x1.d52f9f8df2f7cp-19, -0x1.ddfda038f84f6p-19, -0x1.e696ce5924511p-19, -0x1.eefe5b43843ecp-19, -0x1.f735f33aa9b0fp-19, -0x1.ff3db1500468ep-19, -0x1.038abc0214316p-18, -0x1.075eab3e71bf2p-18, -0x1.0b1ac373c3552p-18, -0x1.0ebf2e4a5fcddp-18, -0x1.124c1df2eda95p-18, -0x1.15c1c5f70038bp-18, -0x1.192053a0918c2p-18, -0x1.1c67e8caaf5e9p-18, -0x1.1f98a3ef6a1bap-18, -0x1.22b2b7e8abaa4p-18, -0x1.25b65fd6762f6p-18, -0x1.28a3738d2626dp-18, -0x1.2b7971b88e0f3p-18, -0x1.2e395a62b3789p-18, -0x1.30e42c3857241p-18, -0x1.337957fb7bd9cp-18, -0x1.35f83065e16c4p-18, -0x1.3861705a97f5dp-18, -0x1.3ab57db89d278p-18, -0x1.3cf46489c2582p-18, -0x1.3f1e0d4aad497p-18, -0x1.4132429409decp-18, -0x1.433173fed162cp-18, -0x1.451c48e1f67b9p-18, -0x1.46f2e1beb581fp-18, -0x1.48b4d30ce5f98p-18, -0x1.4a62214fa3d24p-18, -0x1.4bfb4c04fb5d8p-18, -0x1.4d8086247b09cp-18, -0x1.4ef1e42883078p-18, -0x1.504f8058d4acep-18, -0x1.51997b72930b3p-18, -0x1.52cff93c2b61fp-18, -0x1.53f31ee3c8debp-18, -0x1.55031258e8205p-18, -0x1.55fff9e73d92p-18, -0x1.56e9fbe951537p-18, -0x1.57c13e69dd2bfp-18, -0x1.5885e6a1f3384p-18, -0x1.593819543f469p-18, -0x1.59d7fd34be851p-18, -0x1.5a65bd85c3b9fp-18, -0x1.5ae1848bc784fp-18, -0x1.5b4b67f78d704p-18, -0x1.5ba39384a5314p-18, -0x1.5bea4bf21a053p-18, -0x1.5c1f9b78fe1a3p-18, -0x1.5c43b172bec91p-18, -0x1.5c56bea7fd72ep-18, -0x1.5c58e9716f488p-18, -0x1.5c4a5a38683c2p-18, -0x1.5c2b3ae760a83p-18, -0x1.5bfbb61d1cac3p-18, -0x1.5bbbf587b56fp-18, -0x1.5b6c20c414a4fp-18, -0x1.5b0c6752f377ep-18, -0x1.5a9cf7e38bc17p-18, -0x1.5a1df6f2c15e8p-18, -0x1.598f91d986652p-18, -0x1.58f1f6fc775e2p-18, -0x1.5845520440112p-18, -0x1.5789ceec9f59ep-18, -0x1.56bf9a49affd5p-18, -0x1.55e6e1040ebf3p-18, -0x1.54ffd04db57aap-18, -0x1.540a95885fe91p-18, -0x1.53075e357d77ap-18, -0x1.51f657f0b26d4p-18, -0x1.50d7b0713b97ap-18, -0x1.4fab958f9d91ap-18, -0x1.4e72354cab523p-18, -0x1.4d2bbdf2173c5p-18, -0x1.4bd85e4b853b9p-18, -0x1.4a784561e8874p-18, -0x1.490ba1756c813p-18, -0x1.47929f5eed956p-18, -0x1.460d6e6fca891p-18, -0x1.447c40787b345p-18, -0x1.42df41d9ab6b6p-18, -0x1.4136a4e1b9cf6p-18, -0x1.3f8293c29626dp-18, -0x1.3dc33e9c59c56p-18, -0x1.3bf8d550a743p-18, -0x1.3a2386f369343p-18, -0x1.384382a32daacp-18, -0x1.3658f7c7fef0bp-18, -0x1.3464155fe998p-18, -0x1.326508f9eece8p-18, -0x1.305c036d2b771p-18, -0x1.2e49361d90993p-18, -0x1.2c2cca66e68c2p-18, -0x1.2a06f5edeb86fp-18, -0x1.27d7e1686e659p-18, -0x1.259fbbd426fcap-18, -0x1.235eb5387c943p-18, -0x1.2114fc63ef329p-18, -0x1.1ec2bfb5b428ep-18, -0x1.1c682d66f4532p-18, -0x1.1a057394376e1p-18, -0x1.179ac0376fa41p-18, -0x1.15284121ac52fp-18, -0x1.12ae23fa50936p-18, -0x1.102c96407e1a8p-18, -0x1.0da3c54756488p-18, -0x1.0b13de32a6ba2p-18, -0x1.087d0dfb84b8cp-18, -0x1.05df81861273bp-18, -0x1.033b659f4ef7bp-18, -0x1.0090e6b2cd522p-18, -0x1.fbc0613796518p-19, -0x1.f652dcf4f7b78p-19, -0x1.f0d99777906fep-19, -0x1.eb54ed88ead41p-19, -0x1.e5c5346412b9dp-19, -0x1.e02abd4dde9e4p-19, -0x1.da85df3f05b91p-19, -0x1.d4d6effdfd22fp-19, -0x1.cf1e43e44c264p-19, -0x1.c95c2eb174231p-19, -0x1.c39103a16dac2p-19, -0x1.bdbd1557d6921p-19, -0x1.b7e0b5e732179p-19, -0x1.b1fc36a8da489p-19, -0x1.ac0fe8f053949p-19, -0x1.a61c1cdfde847p-19, -0x1.a02121dcd0e09p-19, -0x1.9a1f4687dbdafp-19, -0x1.9416d9b8acaa2p-19, -0x1.8e08299e6ac5cp-19, -0x1.87f382f97fca3p-19, -0x1.81d932194b92cp-19, -0x1.7bb982b95d5dfp-19, -0x1.7594bfe8e57f4p-19, -0x1.6f6b3402f5c56p-19, -0x1.693d28a9d303cp-19, -0x1.630ae6c6c9432p-19, -0x1.5cd4b6921fd0ap-19, -0x1.569adf9888d18p-19, -0x1.505da8b5789d6p-19, -0x1.4a1d580862433p-19, -0x1.43da32f5a3e24p-19, -0x1.3d947e3002244p-19, -0x1.374c7db0073dcp-19, -0x1.3102746b8d93dp-19, -0x1.2ab6a43152e78p-19, -0x1.24694e6fd79eap-19, -0x1.1e1ab47c7ad1dp-19, -0x1.17cb184b30d94p-19, -0x1.117abdce105a3p-19, -0x1.0b29d4d6ac516p-19, -0x1.04d8a0f8d5dc9p-19, -0x1.fd0ecf26af93fp-20, -0x1.f06cbf55b0e58p-20, -0x1.e3cb885edb7ep-20, -0x1.d72ba5f6583cdp-20, -0x1.ca8d85ee9b8d2p-20, -0x1.bdf1983e51d57p-20, -0x1.b1584c7b8b038p-20, -0x1.a4c21c34247c1p-20, -0x1.982f72e57ea36p-20, -0x1.8ba0b69c2cbffp-20, -0x1.7f1651e50921cp-20, -0x1.7290b6b65aea4p-20, -0x1.66105d9b197eap-20, -0x1.5995796e14c7dp-20, -0x1.4d2079f58f447p-20, -0x1.40b1e96e5a3bep-20, -0x1.344a16d87ff4p-20, -0x1.27e95da0bc6d8p-20, -0x1.1b901c76b32a9p-20, -0x1.0f3eb09acaffdp-20, -0x1.02f5758b1d985p-20, -0x1.ed698a2ab96a3p-21, -0x1.d4f9eeda8bacap-21, -0x1.bc9cc68d7d472p-21, -0x1.a452bbd2f8c5dp-21, -0x1.8c1c764ad78d4p-21, -0x1.73fa9a7eb4551p-21, -0x1.5bedc9f022eep-21, -0x1.43f6a343a80cfp-21, -0x1.2c15c26756714p-21, -0x1.144bc018bcb98p-21, -0x1.f93260b9504ddp-22, -0x1.c9fd47c2d1c2p-22, -0x1.9af956c98bec7p-22, -0x1.6c27a9c9f1322p-22, -0x1.3d8966247729cp-22, -0x1.0f1fc6683661bp-22, -0x1.c1d6384663187p-23, -0x1.65da1420b6fa6p-23, -0x1.0a4d086e65ca6p-23, -0x1.5e61947d34adcp-24, -0x1.521cfbd8d0f1bp-25, 0x1.6b6f5d4d675a3p-29, 0x1.7db16e78894afp-25, 0x1.7165ae09d6675p-24, 0x1.117f761a99b21p-23, 0x1.69d08adbd71bfp-23, 0x1.c1a46f0c37b57p-23, 0x1.0c7cc30bb2d7ap-22, 0x1.37e7212778665p-22, 0x1.6310945de23cp-22, 0x1.8df86478689fap-22, 0x1.b89dd3b76a066p-22, 0x1.e3000042e2d6dp-22, 0x1.068f235a42ec9p-21, 0x1.1b7c5a66b55edp-21, 0x1.3046e5e6c616ap-21, 0x1.44ee8d5eaca26p-21, 0x1.597310dcd1365p-21, 0x1.6dd4251d8d931p-21, 0x1.821180e77a538p-21, 0x1.962addd462488p-21, 0x1.aa1ff80fb9636p-21, 0x1.bdf08dfac2a5bp-21, 0x1.d19c6086b201fp-21, 0x1.e523326dc4a88p-21, 0x1.f884c907cbc6bp-21, 0x1.05e075e8f34d7p-20, 0x1.0f6bb237d243cp-20, 0x1.18e3ff4755243p-20, 0x1.224943f69c08ap-20, 0x1.2b9b687f7398ep-20, 0x1.34da56804fccbp-20, 0x1.3e05f7ecbe36bp-20, 0x1.471e37a26e7eep-20, 0x1.502301dc31151p-20, 0x1.59143edf61068p-20, 0x1.61f1e3a8164a1p-20, 0x1.6abbe4790ce54p-20, 0x1.737223e512202p-20, 0x1.7c149942f0d14p-20, 0x1.84a336a910993p-20, 0x1.8d1deeb97b6d9p-20, 0x1.9584b5405323bp-20, 0x1.9dd77edab6e36p-20, 0x1.a6164109e4c38p-20, 0x1.ae40f24330e4dp-20, 0x1.b65789d9d8763p-20, 0x1.be59fffe4dd92p-20, 0x1.c6484db63a329p-20, 0x1.ce226cd396172p-20, 0x1.d5e857f433f26p-20, 0x1.dd9a0a85818ffp-20, 0x1.e53780a2ab4a8p-20, 0x1.ecc0b765ed325p-20, 0x1.f435ac958cf1ap-20, 0x1.fb965f404f721p-20, 0x1.0171676fd4026p-19, 0x1.050d7d722b44ap-19, 0x1.089f6fd92be4cp-19, 0x1.0c27420bc711dp-19, 0x1.0fa4f8f2dbdbep-19, 0x1.13188eb1c1409p-19, 0x1.168207d088d73p-19, 0x1.19e166d31a273p-19, 0x1.1d36ae1221d31p-19, 0x1.2081e0437b032p-19, 0x1.23c300763c48cp-19, 0x1.26fa120c0d4b5p-19, 0x1.2a2718b587d58p-19, 0x1.2d4a186e50d38p-19, 0x1.306315785f7c8p-19, 0x1.3372145d93ba3p-19, 0x1.367719f0f3ca5p-19, 0x1.39722ae51bc34p-19, 0x1.3c634b3c9489bp-19, 0x1.3f4a89acb2ed4p-19, 0x1.4227f1423ac32p-19, 0x1.44fb559d875e6p-19, 0x1.47c4fe29a31cp-19, 0x1.4a84d48df8d79p-19, 0x1.4d3ae13dcb759p-19, 0x1.4fe72c4bbb0a1p-19, 0x1.5289bd559aa46p-19, 0x1.55229c14c3fbcp-19, 0x1.57b1d073a1484p-19, 0x1.5a3762929cdcep-19, 0x1.5cb35ac7a4a3dp-19, 0x1.5f25c19e93088p-19, 0x1.618e9fd7b96bep-19, 0x1.63edfe66c237dp-19, 0x1.6643e671e0c4dp-19, 0x1.6890615093b8cp-19, 0x1.6ad3788a9f506p-19, 0x1.6d0d35d648461p-19, 0x1.6f3da318105fdp-19, 0x1.7164ca6ad8088p-19, 0x1.7382b61e8751fp-19, 0x1.7597705c6f7ecp-19, 0x1.77a3043e042bbp-19, 0x1.79a57b8e7f31fp-19, 0x1.7b9ee09368e1ep-19, 0x1.7d8f419b65b46p-19, 0x1.7f76a643259bdp-19, 0x1.81551d896b37p-19, 0x1.832aaec051838p-19, 0x1.84f76759934b9p-19, 0x1.86bb535852f65p-19, 0x1.88767e6af6b32p-19, 0x1.8a28f47b7cb9fp-19, 0x1.8bd2c1a46842bp-19, 0x1.8d73f21c70b12p-19, 0x1.8f0c9228f6befp-19, 0x1.909cade8b2784p-19, 0x1.9224521cf8729p-19, 0x1.93a38c551f59fp-19, 0x1.951a67f276cf1p-19, 0x1.9688f2358a8dep-19, 0x1.97ef38256383ap-19, 0x1.994d468d769ddp-19, 0x1.9aa32af28a5b3p-19, 0x1.9bf0f21c016bap-19, 0x1.9d36a95e21ea7p-19, 0x1.9e745e14759cap-19, 0x1.9faa1da03b077p-19, 0x1.a0d7f57665df7p-19, 0x1.a1fdf31c494b7p-19, 0x1.a31c24295c69ep-19, 0x1.a4329651c0b1cp-19, 0x1.a5415698f0d4fp-19, 0x1.a6487486dc487p-19, 0x1.a747fc13b21f2p-19, 0x1.a83ffbdd0f4c8p-19, 0x1.a93081b9c6cf5p-19, 0x1.aa199b996d427p-19, 0x1.aafb5775c03e6p-19, 0x1.abd5c353106b1p-19, 0x1.aca8ed3f8b562p-19, 0x1.ad74e352026e9p-19, 0x1.ae39b3a9018d3p-19, 0x1.aef76c68a4fap-19, 0x1.afae1bbc1e88cp-19, 0x1.b05dcfd4a20c6p-19, 0x1.b10696e855d3ep-19, 0x1.b1a87f319e3b7p-19, 0x1.b24396ef57e5dp-19, 0x1.b2d7ec6335ccap-19, 0x1.b3658dd2dc4bbp-19, 0x1.b3ec89853572p-19, 0x1.b46cedc38521ep-19, 0x1.b4e6c8d9708f3p-19, 0x1.b55a2918613ecp-19, 0x1.b5c7260650b89p-19, 0x1.b62db27d522bep-19, 0x1.b68df765ecf24p-19, 0x1.b6e7fb06375f2p-19, 0x1.b73bcb3a4a838p-19, 0x1.b7897643350e8p-19, 0x1.b7d10a6270e83p-19, 0x1.b81295cb9bdacp-19, 0x1.b84e26c9a7d29p-19, 0x1.b883cb80f9268p-19, 0x1.b8b3922a03ddap-19, 0x1.b8dd88f22b44bp-19, 0x1.b901be027049ep-19, 0x1.b9203f7f6d73ep-19, 0x1.b9391b8424fcep-19, 0x1.b94c6023b003bp-19, 0x1.b95a1b6fa8e2p-19, 0x1.b9625b6edef79p-19, 0x1.b9652e1ef4904p-19, 0x1.b962a176c4d27p-19, 0x1.b95ac3641eac4p-19, 0x1.b94da1cab9edp-19, 0x1.b93b4a76b63cp-19, 0x1.b923cb3f61f5p-19, 0x1.b90732369a504p-19, 0x1.b8e58cd0ebd29p-19, 0x1.b8bee8bae676ep-19, 0x1.b89353b70eb6p-19, 0x1.b862db6341683p-19, 0x1.b82d8d5288597p-19, 0x1.b7f3770cd3627p-19, 0x1.b7b4a610124bcp-19, 0x1.b77127c58176ap-19, 0x1.b729099828b4dp-19, 0x1.b6dc58dc9475ap-19, 0x1.b68b22dc4d1ccp-19, 0x1.b63574d7230c9p-19, 0x1.b5db5c0795a17p-19, 0x1.b57ce56f95d43p-19, 0x1.b51a1e484a48p-19, 0x1.b4b31385f5f5fp-19, 0x1.b447d2299cea3p-19, 0x1.b3d867137301p-19, 0x1.b364def7518abp-19, 0x1.b2ed46e30772ep-19, 0x1.b271aba9e8622p-19, 0x1.b1f219afb868ap-19, 0x1.b16e9db11d121p-19, 0x1.b0e7443dd670ap-19, 0x1.b05c19d4dc39ep-19, 0x1.afcd2ae5609b6p-19, 0x1.af3a83cf4e798p-19, 0x1.aea430e2ca9cfp-19, 0x1.ae0a3e5efd903p-19, 0x1.ad6cb8731b10bp-19, 0x1.accbab393150dp-19, 0x1.ac2722b6914fp-19, 0x1.ab7f2aeaa804p-19, 0x1.aad3cfc7092dp-19, 0x1.aa251d2a7d62bp-19, 0x1.a9731f31fdef8p-19, 0x1.a8bde1ded07eep-19, 0x1.a80570e1c2e92p-19, 0x1.a749d6fc4384cp-19, 0x1.a68b1e69b07d4p-19, 0x1.a5c95228880bfp-19, 0x1.a5047bfa46452p-19, 0x1.a43cc322a0f29p-19, 0x1.a371eec6cc382p-19, 0x1.a2a45547f6607p-19, 0x1.a1d3dbe055496p-19, 0x1.a10093c96265p-19, 0x1.a02a8790519b7p-19, 0x1.9f51c2db975b3p-19, 0x1.9e764fc88ab51p-19, 0x1.9d9839824a2fp-19, 0x1.9cb78aa64035bp-19, 0x1.9bd44dbe67c6fp-19, 0x1.9aee8e44df61bp-19, 0x1.9a0653e5a2de1p-19, 0x1.991babe1df60ep-19, 0x1.982e9f65c6cc7p-19, 0x1.973f38c0b645p-19, 0x1.964d821de99ecp-19, 0x1.955985982e3eep-19, 0x1.94634d3500c36p-19, 0x1.936ae2d04d7a6p-19, 0x1.927050b113673p-19, 0x1.9173a05d26718p-19, 0x1.9074db2fd40abp-19, 0x1.8f740ac1e5e6fp-19, 0x1.8e71389f2383dp-19, 0x1.8d6c6e3af0b95p-19, 0x1.8c65b52eb49b5p-19, 0x1.8b5d170b8841p-19, 0x1.8a529d1c06135p-19, 0x1.89465093fe1f7p-19, 0x1.88383a811696ep-19, 0x1.872863e353333p-19, 0x1.8616d5a995f7p-19, 0x1.850398b05eab8p-19, 0x1.83eeb5e9e6378p-19, 0x1.82d835f2d6e1ap-19, 0x1.81c0218467e2bp-19, 0x1.80a6813a528b6p-19, 0x1.7f8b5da64aec5p-19, 0x1.7e6ebf284d68cp-19, 0x1.7d50ae3a5bf8bp-19, 0x1.7c3133252252bp-19, 0x1.7b105626ac6f7p-19, 0x1.79ee1f6a55144p-19, 0x1.78ca970a31924p-19, 0x1.77a5c50afca6cp-19, 0x1.767fb13fc3c21p-19, 0x1.755863ecd6002p-19, 0x1.742fe4a226ddp-19, 0x1.73065232236p-19, 0x1.71db6ef5555c5p-19, 0x1.70af87c6df4a5p-19, 0x1.6f828d425bfcdp-19, 0x1.6e5486c88c51fp-19, 0x1.6d257bbcc8a96p-19, 0x1.6bf5737097468p-19, 0x1.6ac4752352f6ap-19, 0x1.699287ffd5468p-19, 0x1.685fb278172e5p-19, 0x1.672bfda7ca427p-19, 0x1.65f76e800359bp-19, 0x1.64c20c83ced16p-19, 0x1.638bde9507158p-19, 0x1.6254eb778d4d2p-19, 0x1.611d39df09ccbp-19, 0x1.5fe4d06fa76f4p-19, 0x1.5eabb5bfbc70cp-19, 0x1.5d71f03ab28e6p-19, 0x1.5c37868c0340dp-19, 0x1.5afc7ec1b4b6bp-19, 0x1.59c0df124cc44p-19, 0x1.5884ae22b3ec7p-19, 0x1.5747f1ac25bccp-19, 0x1.560ab081677eep-19, 0x1.54ccf00d795a1p-19, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{-0x1.f0bfdf4425d1p-1, -0x1.f08662f628217p-1, -0x1.f02490828ed8ep-1, -0x1.ef97d4780382bp-1, -0x1.eedd3d1f1063cp-1, -0x1.edf1d9e3eab51p-1, -0x1.ecd3076244b71p-1, -0x1.eb7ea5cd6650bp-1, -0x1.e9f33b0c857bfp-1, -0x1.e8300386b7cb3p-1, -0x1.e634f51fb45a6p-1, -0x1.e402b7d3768b5p-1, -0x1.e19a970134193p-1, -0x1.defe6dfb40613p-1, -0x1.dc3091f2541a8p-1, -0x1.d933badc22ae8p-1, -0x1.d60aec8cd964ap-1, -0x1.d2b960e31d022p-1, -0x1.cf42739ddab59p-1, -0x1.cba99039a4c12p-1, -0x1.c7f222067055fp-1, -0x1.c41f868490ef6p-1, -0x1.c03501fee05d9p-1, -0x1.bc35b64675336p-1, -0x1.b8249b68b17c8p-1, -0x1.b4047a3161d75p-1, -0x1.afd7e8473bcffp-1, -0x1.aba145b0326afp-1, -0x1.a762bb8c2fbb6p-1, -0x1.a31e3bd730b3ep-1, -0x1.9ed582070912dp-1, -0x1.9a8a145cdc304p-1, -0x1.963d45c661ab9p-1, -0x1.91f0382f17ce9p-1, -0x1.8da3df257cc9bp-1, -0x1.895902bc25cf1p-1, -0x1.8510429209a4cp-1, -0x1.80ca18f0821f7p-1, -0x1.7c86ddf06d7bfp-1, -0x1.7846ca9a68856p-1, -0x1.7409fbf859479p-1, -0x1.6fd07610893f7p-1, -0x1.6b9a26c43a917p-1, -0x1.6766e88d269c6p-1, -0x1.6336851690b0ep-1, -0x1.5f08b7afb0146p-1, -0x1.5add2f9612c97p-1, -0x1.56b392175b3a2p-1, -0x1.528b7c8a5c48ap-1, -0x1.4e6486200d99bp-1, -0x1.4a3e418d3f6f6p-1, -0x1.46183e8e41b88p-1, -0x1.41f20b45f3112p-1, -0x1.3dcb3579d2ebcp-1, -0x1.39a34bacde85fp-1, -0x1.3579de1b086efp-1, -0x1.314e7f9730641p-1, -0x1.2d20c64d82983p-1, -0x1.28f04c6c1ee1fp-1, -0x1.24bcb0b3e968cp-1, -0x1.208596f353b34p-1, -0x1.1c4aa86ce318cp-1, -0x1.180b942b25c9cp-1, -0x1.13c80f43b59cbp-1, -0x1.0f7fd50ad5c41p-1, -0x1.0b32a7391cdcfp-1, -0x1.06e04e0491ffap-1, -0x1.0288982e812cfp-1, -0x1.fc56b60e815aap-2, -0x1.f390e4d207de4p-2, -0x1.eabf815590589p-2, -0x1.e1e25d18a4052p-2, -0x1.d8f9563839e98p-2, -0x1.d00457301c597p-2, -0x1.c70356935643cp-2, -0x1.bdf656bcfe007p-2, -0x1.b4dd657a98f8bp-2, -0x1.abb89bb13c9f6p-2, -0x1.a2881cfe6af11p-2, -0x1.994c17558a55ep-2, -0x1.9004c29ad933dp-2, -0x1.86b2603c821d3p-2, -0x1.7d553aca86b0dp-2, -0x1.73eda58e03ca9p-2, -0x1.6a7bfc205527dp-2, -0x1.6100a20288a72p-2, -0x1.577c02357d0dfp-2, -0x1.4dee8ed303d97p-2, -0x1.4458c0a847a38p-2, -0x1.3abb16d1bd08p-2, -0x1.31161658c5a14p-2, -0x1.276a49d336ccep-2, -0x1.1db84104e373ep-2, -0x1.140090834338dp-2, -0x1.0a43d15b4ecc2p-2, -0x1.0082a0b99d46bp-2, -0x1.ed7b3f29a4beep-3, -0x1.d9eae4b4be7dap-3, -0x1.c655813b38306p-3, -0x1.b2bc699276d45p-3, -0x1.9f20f7a625e1dp-3, -0x1.8b8489e46844p-3, -0x1.77e882aea8632p-3, -0x1.644e47cee5d5bp-3, -0x1.50b741f17c518p-3, -0x1.3d24dc234c1dap-3, -0x1.2998835427de6p-3, -0x1.1613a5dd7c4d6p-3, -0x1.0297b30d0ceb2p-3, -0x1.de4c35677f043p-4, -0x1.b78099708fb9ap-4, -0x1.90cf715b5f741p-4, -0x1.6a3b9adb2d271p-4, -0x1.43c7f16c2ebb5p-4, -0x1.1d774d9674c42p-4, -0x1.ee99086f764e2p-5, -0x1.a294cba7eca3fp-5, -0x1.56e77bd8f838bp-5, -0x1.0b96a4bb29335p-5, -0x1.814f8b093e04p-6, -0x1.d8813ef3ada12p-7, -0x1.602d30e79ebbep-8, 0x1.da2e4858d8951p-9, 0x1.9b50390458e3fp-7, 0x1.5f114e2c9bc0dp-6, 0x1.ef7723c5fa28dp-6, 0x1.3f67c54a53bb8p-5, 0x1.86884c92d2de2p-5, 0x1.cd184879cb112p-5, 0x1.098977fe79be8p-4, 0x1.2c39c88d0044p-4, 0x1.4e9ac8c250c96p-4, 0x1.70aa37a980431p-4, 0x1.9265e0d069296p-4, 0x1.b3cb9c94ae277p-4, 0x1.d4d9506c2c241p-4, 0x1.f58cef290df49p-4, 0x1.0af23c9cb9d39p-3, 0x1.1aeefe71723a4p-3, 0x1.2abbcb3cbce11p-3, 0x1.3a57b8497b75fp-3, 0x1.49c1e21adfe26p-3, 0x1.58f96c81ece37p-3, 0x1.67fd82b0fb196p-3, 0x1.76cd574d51827p-3, 0x1.8568247ed4e52p-3, 0x1.93cd2bfdd99a8p-3, 0x1.a1fbb71f22453p-3, 0x1.aff316de08d2bp-3, 0x1.bdb2a3e4ed0b2p-3, 0x1.cb39be93e1a5ep-3, 0x1.d887cf059eecap-3, 0x1.e59c4512d7f43p-3, 0x1.f2769853daaa9p-3, 0x1.ff164820ab1b5p-3, 0x1.05bd6dc7bc3fp-2, 0x1.0bd1f0b8cc752p-2, 0x1.11c878277d7d4p-2, 0x1.17a0d3301370ep-2, 0x1.1d5ad4c367e96p-2, 0x1.22f653a28094fp-2, 0x1.28732a5977313p-2, 0x1.2dd13739b9f56p-2, 0x1.33105c53a69dfp-2, 0x1.38307f6f84f1cp-2, 0x1.3d318a05ea6bfp-2, 0x1.4213693781c54p-2, 0x1.46d60dc4454f4p-2, 0x1.4b796c022c932p-2, 0x1.4ffd7bd34fd72p-2, 0x1.5462389b8c898p-2, 0x1.58a7a135a62b3p-2, 0x1.5ccdb7e7f5c1ep-2, 0x1.60d482589c62ep-2, 0x1.64bc09814d825p-2, 0x1.688459a2ac2f3p-2, 0x1.6c2d823740855p-2, 0x1.6fb795e60f002p-2, 0x1.7322aa74d5a5p-2, 0x1.766ed8b9ebf02p-2, 0x1.799c3c8dd55a3p-2, 0x1.7caaf4bc8604ap-2, 0x1.7f9b22f65ca2cp-2, 0x1.826cebc0d7c5dp-2, 0x1.852076670ee8ep-2, 0x1.87b5ece9ed088p-2, 0x1.8a2d7bf036744p-2, 0x1.8c8752b65b9acp-2, 0x1.8ec3a2fe212dap-2, 0x1.90e2a0fe1af7ep-2, 0x1.92e483510628ep-2, 0x1.94c982e4ff8f3p-2, 0x1.9691daeaa050bp-2, 0x1.983dc8c3feedfp-2, 0x1.99cd8bf3a1c1dp-2, 0x1.9b41660b5aa2fp-2, 0x1.9c999a9b1ccc8p-2, 0x1.9dd66f1fc3d42p-2, 0x1.9ef82af1dbf0ap-2, 0x1.9fff17346489ep-2, 0x1.a0eb7ec3972d8p-2, 0x1.a1bdae23b66f8p-2, 0x1.a275f36fe0bf1p-2, 0x1.a3149e48f6259p-2, 0x1.a399ffc48a556p-2, 0x1.a4066a5be8c18p-2, 0x1.a45a31db3237p-2, 0x1.a495ab509074p-2, 0x1.a4b92cfb85744p-2, 0x1.a4c50e3c5d0bp-2, 0x1.a4b9a783b9c2p-2, 0x1.a49752424b0fep-2, 0x1.a45e68d8a48a9p-2, 0x1.a40f46874347dp-2, 0x1.a3aa475eb82f6p-2, 0x1.a32fc830023d4p-2, 0x1.a2a0267d19956p-2, 0x1.a1fbc069a7038p-2, 0x1.a142f4abf3552p-2, 0x1.a076227e05c36p-2, 0x1.9f95a98eff7e1p-2, 0x1.9ea1e9f4a8ea6p-2, 0x1.9d9b441d3b921p-2, 0x1.9c8218c168541p-2, 0x1.9b56c8d6941e2p-2, 0x1.9a19b5815b049p-2, 0x1.98cb40084a543p-2, 0x1.976bc9c6dd7ddp-2, 0x1.95fbb420bba8p-2, 0x1.947b607538fc8p-2, 0x1.92eb30131517p-2, 0x1.914b842c83c7ep-2, 0x1.8f9cbdcb72f8fp-2, 0x1.8ddf3dc61ae5fp-2, 0x1.8c1364b3d04d6p-2, 0x1.8a3992e21e51ap-2, 0x1.8852284a21e21p-2, 0x1.865d8486328bbp-2, 0x1.845c06c7cbf0ep-2, 0x1.824e0dcdbfd26p-2, 0x1.8033f7dab0a95p-2, 0x1.7e0e22abd06d2p-2, 0x1.7bdceb6fe93c4p-2, 0x1.79a0aebeaa30ap-2, 0x1.7759c8903cc51p-2, 0x1.7508943520998p-2, 0x1.72ad6c4e4bd2fp-2, 0x1.7048aac5940dp-2, 0x1.6ddaa8c65cc86p-2, 0x1.6b63beb688b34p-2, 0x1.68e4442fb2a1dp-2, 0x1.665c8ff8ab22ep-2, 0x1.63ccf7ff35d9ap-2, 0x1.6135d152127d8p-2, 0x1.5e97701b3e95ap-2, 0x1.5bf2279a8269ap-2, 0x1.59464a2038e1p-2, 0x1.569429085cdffp-2, 0x1.53dc14b5d436fp-2, 0x1.511e5c8dfac83p-2, 0x1.4e5b4ef46b3fep-2, 0x1.4b9339470873p-2, 0x1.48c667da3feafp-2, 0x1.45f525f58b556p-2, 0x1.431fbdd02a4p-2, 0x1.4046788e1a477p-2, 0x1.3d699e3d440d9p-2, 0x1.3a8975d2e38f1p-2, 0x1.37a645292691ep-2, 0x1.34c050fd019c6p-2, 0x1.31d7dcec3a95p-2, 0x1.2eed2b73a898ep-2, 0x1.2c007deda433ap-2, 0x1.29121490ae205p-2, 0x1.26222e6e4275ap-2, 0x1.23310971e1eb3p-2, 0x1.203ee2604324p-2, 0x1.1d4bf4d6b930bp-2, 0x1.1a587b4ac1a6cp-2, 0x1.1764af09c1c6cp-2, 0x1.1470c838ec18dp-2, 0x1.117cfdd553565p-2, 0x1.0e8985b421637p-2, 0x1.0b969482fa43dp-2, 0x1.08a45dc880ecfp-2, 0x1.05b313e507321p-2, 0x1.02c2e8135c797p-2, 0x1.ffa814d3872c3p-3, 0x1.f9cd53b610989p-3, 0x1.f3f5e86f72ad5p-3, 0x1.ee222c5ef8bc8p-3, 0x1.e85276a513f0ap-3, 0x1.e2871c267bbe7p-3, 0x1.dcc06f8f96774p-3, 0x1.d6fec15814e05p-3, 0x1.d1425fc6c1aefp-3, 0x1.cb8b96f5878eap-3, 0x1.c5dab0d5a787ap-3, 0x1.c02ff5341fc66p-3, 0x1.ba8ba9be40208p-3, 0x1.b4ee12066d386p-3, 0x1.af576f89042cp-3, 0x1.a9c801b173ec4p-3, 0x1.a44005df755d6p-3, 0x1.9ebfb76c63218p-3, 0x1.99474fb0bf216p-3, 0x1.93d70609d2776p-3, 0x1.8e6f0fdf6b43fp-3, 0x1.890fa0a9bb0c7p-3, 0x1.83b8e9f74f7e3p-3, 0x1.7e6b1b7327571p-3, 0x1.792662ead9c6cp-3, 0x1.73eaec54dbb84p-3, 0x1.6eb8e1d6d9569p-3, 0x1.69906bcc1be19p-3, 0x1.6471b0cc0ac81p-3, 0x1.5f5cd5b0b74f6p-3, 0x1.5a51fd9d7f1ap-3, 0x1.55514a05af8f6p-3, 0x1.505adab34488p-3, 0x1.4b6ecdcda6f9fp-3, 0x1.468d3fe079b8p-3, 0x1.41b64be272813p-3, 0x1.3cea0b3c314e7p-3, 0x1.382895cf23f01p-3, 0x1.337201fc7196ap-3, 0x1.2ec664abe032dp-3, 0x1.2a25d152c4642p-3, 0x1.259059faefa4ap-3, 0x1.21060f49a1f9ep-3, 0x1.1c870086765e9p-3, 0x1.18133ba24d69bp-3, 0x1.13aacd3e3fe0ap-3, 0x1.0f4dc0b27b4b8p-3, 0x1.0afc20152bbb5p-3, 0x1.06b5f441569bfp-3, 0x1.027b44ddb03f3p-3, 0x1.fc9830c6d8417p-4, 0x1.f450e84a0fc5ap-4, 0x1.ec20b8aa09672p-4, 0x1.e407a819486dfp-4, 0x1.dc05baa51b619p-4, 0x1.d41af242e9e28p-4, 0x1.cc474edd5849dp-4, 0x1.c48ace615ef98p-4, 0x1.bce56ccb4586p-4, 0x1.b557243381baap-4, 0x1.addfecdb7a77fp-4, 0x1.a67fbd3a2caa4p-4, 0x1.9f368a08c06a6p-4, 0x1.9804464eeac07p-4, 0x1.90e8e36f40728p-4, 0x1.89e451335c7dcp-4, 0x1.82f67dd7edef2p-4, 0x1.7c1f5618a3f48p-4, 0x1.755ec53bf14b7p-4, 0x1.6eb4b51eb0315p-4, 0x1.68210e3fa135ep-4, 0x1.61a3b7caca08ap-4, 0x1.5b3c97a4a7976p-4, 0x1.54eb92753f19ep-4, 0x1.4eb08bb30db0ap-4, 0x1.488b65adc2e32p-4, 0x1.427c0198e62e1p-4, 0x1.3c823f9649bb1p-4, 0x1.369dfec058da4p-4, 0x1.30cf1d3440a9bp-4, 0x1.2b15781be9f0ap-4, 0x1.2570ebb7d1bb6p-4, 0x1.1fe15368b9daep-4, 0x1.1a6689b9295d9p-4, 0x1.15006866ca8cbp-4, 0x1.0faec86b9b59ep-4, 0x1.0a718206fe4f2p-4, 0x1.05486cc690e98p-4, 0x1.00335f8eede6p-4, 0x1.f664614867d6ap-5, 0x1.ec896b64dbe2p-5, 0x1.e2d587aba5ad7p-5, 0x1.d9485f45a7726p-5, 0x1.cfe19a5c13d1p-5, 0x1.c6a0e027ed8e2p-5, 0x1.bd85d7013babbp-5, 0x1.b490246ded489p-5, 0x1.abbf6d3067a6fp-5, 0x1.a3135555c7d97p-5, 0x1.9a8b8043ce95dp-5, 0x1.922790c68d0dbp-5, 0x1.89e7291dab09bp-5, 0x1.81c9eb0976218p-5, 0x1.79cf77d78fd83p-5, 0x1.71f7706f59eccp-5, 0x1.6a41755e14e93p-5, 0x1.62ad26e2b1493p-5, 0x1.5b3a24f950691p-5, 0x1.53e80f668023ep-5, 0x1.4cb685c233983p-5, 0x1.45a5278260184p-5, 0x1.3eb394056715p-5, 0x1.37e16a9c2272ep-5, 0x1.312e4a93c26c6p-5, 0x1.2a99d33f4a592p-5, 0x1.2423a400dea95p-5, 0x1.1dcb5c52ca0bfp-5, 0x1.17909bd0309aep-5, 0x1.1173023d905bep-5, 0x1.0b722f90f50e9p-5, 0x1.058dc3f9f9a96p-5, 0x1.ff8abfd2f6c2dp-6, 0x1.f431483212fabp-6, 0x1.e90e63245d9f5p-6, 0x1.de21536ac2ef8p-6, 0x1.d3695c8199fb3p-6, 0x1.c8e5c2ad9f737p-6, 0x1.be95cb089667dp-6, 0x1.b478bb8d629c7p-6, 0x1.aa8ddb23b3b14p-6, 0x1.a0d471ab52b1dp-6, 0x1.974bc806e9f27p-6, 0x1.8df32826635eep-6, 0x1.84c9dd1101d39p-6, 0x1.7bcf32eed464bp-6, 0x1.73027711fc9bbp-6, 0x1.6a62f7ff67f8ap-6, 0x1.61f0057748b5dp-6, 0x1.59a8f07d076fcp-6, 0x1.518d0b5f038b7p-6, 0x1.499ba9bdc8fbep-6, 0x1.41d420930dbc6p-6, 0x1.3a35c638488d6p-6, 0x1.32bff26cf0703p-6, 0x1.2b71fe5c615b5p-6, 0x1.244b44a37e159p-6, 0x1.1d4b2155ef8dp-6, 0x1.1670f2031bb31p-6, 0x1.0fbc15bacd882p-6, 0x1.092bed118ad3p-6, 0x1.02bfda24b7e16p-6, 0x1.f8ee813c7d773p-7, 0x1.eca30b70670e1p-7, 0x1.e09c207fddf9bp-7, 0x1.d4d891323b3c9p-7, 0x1.c9573180d8c95p-7, 0x1.be16d89bf3429p-7, 0x1.b31660ef24fd9p-7, 0x1.a854a8253dc39p-7, 0x1.9dd08f2bd4348p-7, 0x1.9388fa3658805p-7, 0x1.897cd0c0897f5p-7, 0x1.7faafd909c636p-7, 0x1.76126eb92eed8p-7, 0x1.6cb2159a4e9c4p-7, 0x1.6388e6e2a740ep-7, 0x1.5a95da9005e2fp-7, 0x1.51d7ebef6c73bp-7, 0x1.494e199d0ac4fp-7, 0x1.40f765839f386p-7, 0x1.38d2d4dbabf21p-7, 0x1.30df702a4e4ffp-7, 0x1.291c433fa070bp-7, 0x1.21885d3512016p-7, 0x1.1a22d06b3ce3cp-7, 0x1.12eab28779177p-7, 0x1.0bdf1c7141c55p-7, 0x1.04ff2a4f4f8fdp-7, 0x1.fc93f708a347p-8, 0x1.ef7d65571d24p-8, 0x1.e2b8eb2a8e823p-8, 0x1.d644da855d36bp-8, 0x1.ca1f8bc3dab6cp-8, 0x1.be475d9374a24p-8, 0x1.b2bab4e9a057fp-8, 0x1.a777fcfa96b03p-8, 0x1.9c7da72f5200ep-8, 0x1.91ca2b1b356f3p-8, 0x1.875c06722f42fp-8, 0x1.7d31bcfcfa775p-8, 0x1.7349d88ea9e76p-8, 0x1.69a2e8f8e8767p-8, 0x1.603b840019b22p-8, 0x1.5712454fab6eap-8, 0x1.4e25ce6d85a4ap-8, 0x1.4574c6adccc7ep-8, 0x1.3cfddb25e276dp-8, 0x1.34bfbe9f8c29p-8, 0x1.2cb9298bf3deap-8, 0x1.24e8d9f62e16bp-8, 0x1.1d4d93757e2f4p-8, 0x1.15e61f202079cp-8, 0x1.0eb14b7d05cf9p-8, 0x1.07adec76264dap-8, 0x1.00dadb4a106ffp-8, 0x1.f46decfc2689dp-9, 0x1.e782439ed96a2p-9, 0x1.daf08c4a82a83p-9, 0x1.ceb6a30392808p-9, 0x1.c2d26de798c41p-9, 0x1.b741dd0fbb4d6p-9, 0x1.ac02ea7340b93p-9, 0x1.a11399c9f9588p-9, 0x1.9671f86e21071p-9, 0x1.8c1c1d3f1dafp-9, 0x1.82102883028b8p-9, 0x1.784c43c93d394p-9, 0x1.6ecea1cbb4c4ap-9, 0x1.65957e51a4e3p-9, 0x1.5c9f1e117126bp-9, 0x1.53e9ce92112c9p-9, 0x1.4b73e60db4aadp-9, 0x1.433bc35398e43p-9, 0x1.3b3fcdaa1ff9ep-9, 0x1.337e74b0ed4d9p-9, 0x1.2bf6304340609p-9, 0x1.24a58059f3603p-9, 0x1.1d8aecee7ca71p-9, 0x1.16a505dca269dp-9, 0x1.0ff262c5a8b1ap-9, 0x1.0971a2f3106fep-9, 0x1.03216d38be028p-9, 0x1.fa00dfb1fa343p-10, 0x1.ee1ac0cda64edp-10, 0x1.e28df7535b5fep-10, 0x1.d7580b01a0eabp-10, 0x1.cc76918d5fd1fp-10, 0x1.c1e72e6a2ed1fp-10, 0x1.b7a79292039b1p-10, 0x1.adb57c4d415f5p-10, 0x1.a40eb6fc15c49p-10, 0x1.9ab11adf21b17p-10, 0x1.919a8ce0fec8p-10, 0x1.88c8fe604bfb6p-10, 0x1.803a6cfa92524p-10, 0x1.77ece256a4cd9p-10, 0x1.6fde73efc5584p-10, 0x1.680d42e1ff55bp-10, 0x1.60777bb5bf687p-10, 0x1.591b562d92ea6p-10, 0x1.51f7151193cap-10, 0x1.4b0905ff825ddp-10, 0x1.444f8136ca615p-10, 0x1.3dc8e9685edb8p-10, 0x1.3773ab85ef62dp-10, 0x1.314e3e91157fep-10, 0x1.2b57236beb79fp-10, 0x1.258ce4a9ddafbp-10, 0x1.1fee1660bd3cbp-10, 0x1.1a7955facc92ep-10, 0x1.152d4a08edda1p-10, 0x1.1008a2157a32dp-10, 0x1.0b0a167845963p-10, 0x1.063068294b4fap-10, 0x1.017a6096a382bp-10, 0x1.f9cda2f13424bp-11, 0x1.f0e9294f8806cp-11, 0x1.e84517e5024f6p-11, 0x1.dfdf41e935c92p-11, 0x1.d7b589db405adp-11, 0x1.cfc5e13238594p-11, 0x1.c80e480d71fd3p-11, 0x1.c08ccce6888f6p-11, 0x1.b93f8c439d9fdp-11, 0x1.b224b06bac905p-11, 0x1.ab3a711b52505p-11, 0x1.a47f133a7599ep-11, 0x1.9df0e8949245ap-11, 0x1.978e4f8f0fd1ep-11, 0x1.9155b2e4943bap-11, 0x1.8b45895d1f225p-11, 0x1.855c558b6c731p-11, 0x1.7f98a587a727ap-11, 0x1.79f912ae492c6p-11, 0x1.747c415d73034p-11, 0x1.6f20e0b542234p-11, 0x1.69e5aa57e4776p-11, 0x1.64c9622ba47e3p-11, 0x1.5fcad61cc3a5ap-11, 0x1.5ae8dde20d957p-11, 0x1.56225ac06d3f6p-11, 0x1.517637515fcb8p-11, 0x1.4ce36748ed78fp-11, 0x1.4868e73db70afp-11, 0x1.4405bc70d8342p-11, 0x1.3fb8f498a3234p-11, 0x1.3b81a5a945b65p-11, 0x1.375eeda1fc351p-11, 0x1.334ff257fc61dp-11, 0x1.2f53e1448cfc4p-11, 0x1.2b69ef52ffff5p-11, 0x1.279158af99882p-11, 0x1.23c96097988cp-11, 0x1.2011512a6243bp-11, 0x1.1c687b3adc6c2p-11, 0x1.18ce362261cf7p-11, 0x1.1541df93fd489p-11, 0x1.11c2db70e9b5fp-11, 0x1.0e50939d98954p-11, 0x1.0aea77d809435p-11, 0x1.078ffd8e3b087p-11, 0x1.04409fb5eca25p-11, 0x1.00fbdea55f6fep-11, 0x1.fb827fd8c38a6p-12, 0x1.f5209c5c39dc8p-12, 0x1.eed131f8bff16p-12, 0x1.e8936965708dap-12, 0x1.e26674a638296p-12, 0x1.dc498ec57f8c4p-12, 0x1.d63bfb9001b48p-12, 0x1.d03d0751ecc17p-12, 0x1.ca4c0695766a8p-12, 0x1.c46855e2042dcp-12, 0x1.be91597e82325p-12, 0x1.b8c67d3350544p-12, 0x1.b307340e11143p-12, 0x1.ad52f828017e3p-12, 0x1.a7a94a6b42d96p-12, 0x1.a209b25be5dcap-12, 0x1.9c73bde0487fap-12, 0x1.96e7010c0c86ep-12, 0x1.916315eb9191ap-12, 0x1.8be79c50a4198p-12, 0x1.867439a0eb346p-12, 0x1.810898a4d0d5cp-12, 0x1.7ba4695827048p-12, 0x1.764760bbab18p-12, 0x1.70f138a717b86p-12, 0x1.6ba1af9da7122p-12, 0x1.665888a2791d7p-12, 0x1.61158b0e8c84dp-12, 0x1.5bd88267b3bfp-12, 0x1.56a13e38c6505p-12, 0x1.516f91e97b93ep-12, 0x1.4c43549a13a57p-12, 0x1.471c60fcd419dp-12, 0x1.41fa953245fa7p-12, 0x1.3cddd2a68846cp-12, 0x1.37c5fdee5b4cfp-12, 0x1.32b2fea6550dcp-12, 0x1.2da4bf51a8a3bp-12, 0x1.289b2d3b59ceep-12, 0x1.23963856dafdp-12, 0x1.1e95d322abd29p-12, 0x1.1999f28a7f02bp-12, 0x1.14a28dcbcd328p-12, 0x1.0faf9e59af368p-12, 0x1.0ac11fc2483bcp-12, 0x1.05d70f94e4fc5p-12, 0x1.00f16d48a9b77p-12, 0x1.f82074483d475p-13, 0x1.ee66f24b45ee4p-13, 0x1.e4b65dd7846c1p-13, 0x1.db0ec33ec5ab3p-13, 0x1.d17031bb3030dp-13, 0x1.c7dabb45dd57cp-13, 0x1.be4e746d26e19p-13, 0x1.b4cb742e5e3b2p-13, 0x1.ab51d3ce160f7p-13, 0x1.a1e1aeb33c6ep-13, 0x1.987b22441339cp-13, 0x1.8f1e4dc1ef242p-13, 0x1.85cb5228f078dp-13, 0x1.7c82520e9baeap-13, 0x1.734371823453ep-13, 0x1.6a0ed5ef329cep-13, 0x1.60e4a5fe7e983p-13, 0x1.57c5097b598ap-13, 0x1.4eb02936defep-13, 0x1.45a62eee7c40fp-13, 0x1.3ca745319e17bp-13, 0x1.33b39749c68d7p-13, 0x1.2acb51223cfa9p-13, 0x1.21ee9f3196eb8p-13, 0x1.191dae63b9babp-13, 0x1.1058ac048cb41p-13, 0x1.079fc5ab8f1b7p-13, 0x1.fde6525176ed1p-14, 0x1.eca608e288371p-14, 0x1.db7f0b1bcf8e7p-14, 0x1.ca71b513291e3p-14, 0x1.b97e62c0c2985p-14, 0x1.a8a56fe13c18dp-14, 0x1.97e737d51a53bp-14, 0x1.8744158642939p-14, 0x1.76bc6349d3039p-14, 0x1.66507ac695d69p-14, 0x1.5600b4dcdc2d7p-14, 0x1.45cd698b7948p-14, 0x1.35b6efdc305aep-14, 0x1.25bd9dcb3ddaep-14, 0x1.15e1c8348e2f5p-14, 0x1.0623c2be971b5p-14, 0x1.ed07bf918dfa1p-15, 0x1.ce04e0b1a51cdp-15, 0x1.af3f8816ae8bap-15, 0x1.90b852066fa94p-15, 0x1.726fd7b691346p-15, 0x1.5466af2f50a48p-15, 0x1.369d6b353815cp-15, 0x1.19149b2b2c13cp-15, 0x1.f799960198deap-16, 0x1.bd8d063448898p-16, 0x1.8404907a78bf3p-16, 0x1.4b0136fe29b67p-16, 0x1.1283f46c836eep-16, 0x1.b51b779482074p-17, 0x1.463ef0cdf338ep-17, 0x1.b0e836dbc9dcp-18, 0x1.aef2ba2b36846p-19, 0x1.a5131063272b4p-29, -0x1.a9c596c8e02efp-19, -0x1.a7c9defaec244p-18, -0x1.3c3ed5eb033bp-17, -0x1.a37db3319ff7ep-17, -0x1.04d01906ac8cbp-16, -0x1.375286ed0fe79p-16, -0x1.6945894b10e03p-16, -0x1.9aa88e74c15eep-16, -0x1.cb7b0d17fc662p-16, -0x1.fbbc843a879ccp-16, -0x1.15b63d9ada1fcp-15, -0x1.2d4540dd47503p-15, -0x1.448b17e37e33bp-15, -0x1.5b8792d2fc8d1p-15, -0x1.723a85ef7be9cp-15, -0x1.88a3c99d114ecp-15, -0x1.9ec33a54561e3p-15, -0x1.b498b8a151f2fp-15, -0x1.ca24291d014dap-15, -0x1.df657464f91bdp-15, -0x1.f45c871476dc4p-15, -0x1.0484a8df38d2bp-14, -0x1.0eb5e4717ad31p-14, -0x1.18c1f27424978p-14, -0x1.22a8d1084b5f1p-14, -0x1.2c6a803869bp-14, -0x1.360701f389084p-14, -0x1.3f7e5a080d854p-14, -0x1.48d08e1e522bp-14, -0x1.51fda5b2cdbb6p-14, -0x1.5b05aa10fe40bp-14, -0x1.63e8a64d8d5abp-14, -0x1.6ca6a73fe32b7p-14, -0x1.753fbb7cb51b9p-14, -0x1.7db3f34e8aec1p-14, -0x1.860360b1a0541p-14, -0x1.8e2e174b6877dp-14, -0x1.96342c6535b71p-14, -0x1.9e15b6e4fb45dp-14, -0x1.a5d2cf473b40bp-14, -0x1.ad6b8f9777916p-14, -0x1.b4e01369e99b7p-14, -0x1.bc3077d4c35fep-14, -0x1.c35cdb68c1879p-14, -0x1.ca655e2a0a875p-14, -0x1.d14a218a1861p-14, -0x1.d80b485fa4965p-14, -0x1.dea8f6e03b715p-14, -0x1.e523529814266p-14, -0x1.eb7a8263fa957p-14, -0x1.f1aeae6974e16p-14, -0x1.f7c000103f4e7p-14, -0x1.fdaea1fa55071p-14, -0x1.01bd5ffe880dp-13, -0x1.0492438d0b844p-13, -0x1.075612bbc2154p-13, -0x1.0a08e52d12f44p-13, -0x1.0caad30e2d54ap-13, -0x1.0f3bf5143e23ap-13, -0x1.11bc647883bacp-13, -0x1.142c3af4e092bp-13, -0x1.168b92c039b87p-13, -0x1.18da868ad375p-13, -0x1.1b19317b230d3p-13, -0x1.1d47af2a0be3p-13, -0x1.1f661b9f8092p-13, -0x1.2174934ef7e8dp-13, -0x1.237333142008ep-13, -0x1.2562182f56142p-13, -0x1.2741604265e91p-13, -0x1.2911294d1ea28p-13, -0x1.2ad191aa086b9p-13, -0x1.2c82b80b15d24p-13, -0x1.2e24bb76272abp-13, -0x1.2fb7bb4242fdp-13, -0x1.313bd713eb79p-13, -0x1.32b12eda33c39p-13, -0x1.3417e2cba5875p-13, -0x1.35701362d741cp-13, -0x1.36b9e15badb3bp-13, -0x1.37f56db0201ep-13, -0x1.3922d9955f936p-13, -0x1.3a42467894e6cp-13, -0x1.3b53d5fc316bdp-13, -0x1.3c57a9f4f5db3p-13, -0x1.3d4de467405ebp-13, -0x1.3e36a783c99ap-13, -0x1.3f1215a55ecdp-13, -0x1.3fe0514db560dp-13, -0x1.40a17d22f71a5p-13, -0x1.4155bbed038adp-13, -0x1.41fd3092cab83p-13, -0x1.4297fe17b294fp-13, -0x1.432647992b4ddp-13, -0x1.43a8304bd04d4p-13, -0x1.441ddb796986p-13, -0x1.44876c7e1e7a1p-13, -0x1.44e506c645149p-13, -0x1.4536cdcbf5f7fp-13, -0x1.457ce51495161p-13, -0x1.45b7702ec9f98p-13, -0x1.45e692b02c64ep-13, -0x1.460a70330eac2p-13, -0x1.46232c543e254p-13, -0x1.4630eab1192a4p-13, -0x1.4633cee5476e7p-13, -0x1.462bfc88dadp-13, -0x1.4619972e406bap-13, -0x1.45fcc2602fe4p-13, -0x1.45d5a19fe0ea1p-13, -0x1.45a45863278d7p-13, -0x1.45690a12a376fp-13, -0x1.4523da07c867bp-13, -0x1.44d4eb8b58368p-13, -0x1.447c61d384874p-13, -0x1.441a600230effp-13, -0x1.43af0923678dfp-13, -0x1.433a802bc018fp-13, -0x1.42bce7f6b1579p-13, -0x1.4236634531d77p-13, -0x1.41a714bc0146ap-13, -0x1.410f1ee24a127p-13, -0x1.406ea42057bdap-13, -0x1.3fc5c6bdf7a4bp-13, -0x1.3f14a8e146bfbp-13, -0x1.3e5b6c8d45bdep-13, -0x1.3d9a33a0a4133p-13, -0x1.3cd11fd46e338p-13, -0x1.3c0052bad7b96p-13, -0x1.3b27edbe28addp-13, -0x1.3a48121f75abbp-13, -0x1.3960e0f57ebe4p-13, -0x1.38727b2bb97b6p-13, -0x1.377d018125f9cp-13, -0x1.368094875383dp-13, -0x1.357d54a175815p-13, -0x1.3473620345097p-13, -0x1.3362dcb0329eep-13, -0x1.324be47a841b7p-13, -0x1.312e990265ff1p-13, -0x1.300b19b51a783p-13, -0x1.2ee185cc38a2ep-13, -0x1.2db1fc4cc98d6p-13, -0x1.2c7c9c06a27cfp-13, -0x1.2b4183939cf7ap-13, -0x1.2a00d156f2d66p-13, -0x1.28baa37c781c5p-13, -0x1.276f17f80ca66p-13, -0x1.261e4c85108edp-13, -0x1.24c85ea597b68p-13, -0x1.236d6ba217cdep-13, -0x1.220d9088c9cep-13, -0x1.20a8ea2d0d3eep-13, -0x1.1f3f9527043cap-13, -0x1.1dd1add311c38p-13, -0x1.1c5f50518083bp-13, -0x1.1ae89885f1dd9p-13, -0x1.196da217196d2p-13, -0x1.17ee886e64c4dp-13, -0x1.166b66b779b95p-13, -0x1.14e457e011739p-13, -0x1.1359769790dbap-13, -0x1.11cadd4eb3075p-13, -0x1.1038a6376e343p-13, -0x1.0ea2eb44919a9p-13, -0x1.0d09c629994a4p-13, -0x1.0b6d505a82eedp-13, -0x1.09cda30b942a4p-13, -0x1.082ad731368d5p-13, -0x1.0685057fc5272p-13, -0x1.04dc466b8636ep-13, -0x1.0330b22877d49p-13, -0x1.018260aa36b8ap-13, -0x1.ffa2d347faabp-14, -0x1.fc3bc910fdd2dp-14, -0x1.f8cfd113e8357p-14, -0x1.f55f1934191d2p-14, -0x1.f1e9ced3b0c87p-14, -0x1.ee701ed3a7d56p-14, -0x1.eaf235942953fp-14, -0x1.e7703ef3ff0e1p-14, -0x1.e3ea665133a92p-14, -0x1.e060d6891d749p-14, -0x1.dcd3b9f822f7cp-14, -0x1.d9433a7a811a3p-14, -0x1.d5af816c1a801p-14, -0x1.d218b7a887c0dp-14, -0x1.ce7f058bedc63p-14, -0x1.cae292f2bebf5p-14, -0x1.c743873a3a07ap-14, -0x1.c3a20940c0d1dp-14, -0x1.bffe3f6627389p-14, -0x1.bc584f8c191fcp-14, -0x1.b8b05f1692e6fp-14, -0x1.b50692ebda347p-14, -0x1.b15b0f7571278p-14, -0x1.adadf8a0826ep-14, -0x1.a9ff71ddda1p-14, -0x1.a64f9e22f00cbp-14, -0x1.a29e9fea47a61p-14, -0x1.9eec9933880f2p-14, -0x1.9b39ab848116ep-14, -0x1.9785f7e9bdcb6p-14, -0x1.93d19ef694542p-14, -0x1.901cc0c669aa3p-14, -0x1.8c677cfcb4d5ep-14, -0x1.88b1f2c5cf004p-14, -0x1.84fc40d7d2a58p-14, -0x1.81468572c2ac8p-14, -0x1.7d90de61e360ap-14, -0x1.79db68fba1c37p-14, -0x1.76264222c2037p-14, -0x1.72718646e2446p-14, -0x1.6ebd516517875p-14, -0x1.6b09bf08e0dc6p-14, -0x1.6756ea4cc8cb5p-14, -0x1.63a4eddafcd3fp-14, -0x1.5ff3e3ee300d1p-14, -0x1.5c43e652475c4p-14, -0x1.58950e6508613p-14, -0x1.54e775174b867p-14, -0x1.513b32ed40477p-14, -0x1.4d905fff50b66p-14, -0x1.49e713fb39f7fp-14, -0x1.463f662468db8p-14, -0x1.42996d5524b7p-14, -0x1.3ef53fff248f9p-14, -0x1.3b52f42c5b623p-14, -0x1.37b29f801c271p-14, -0x1.341457377b74ep-14, -0x1.3078302a9a6dbp-14, -0x1.2cde3eccfd08cp-14, -0x1.2946972ecd4p-14, -0x1.25b14cfd711fep-14, -0x1.221e73845efc6p-14, -0x1.1e8e1dae71bc6p-14, -0x1.1b005e05f2937p-14, -0x1.177546b639526p-14, -0x1.13ece98c07039p-14, -0x1.106757f698755p-14, -0x1.0ce4a308a9fe5p-14, -0x1.0964db78d69b5p-14, -0x1.05e811a2e78bp-14, -0x1.026e5588a659dp-14, -0x1.fdef6da50d858p-15, -0x1.f70889a19b848p-15, -0x1.f0281cf80851cp-15, -0x1.e94e44ecc38d6p-15, -0x1.e27b1e187cbd6p-15, -0x1.dbaec46a18d29p-15, -0x1.d4e953288dbd8p-15, -0x1.ce2ae4f48fe4dp-15, -0x1.c77393ca6e723p-15, -0x1.c0c37903ac9c1p-15, -0x1.ba1aad58df072p-15, -0x1.b37948e32a669p-15, -0x1.acdf631dfea3ap-15, -0x1.a64d12e97258fp-15, -0x1.9fc26e8b08fb4p-15, -0x1.993f8bb042eefp-15, -0x1.92c47f6fa42e5p-15, -0x1.8c515e4aebbddp-15, -0x1.85e63c30b820ep-15, -0x1.7f832c7db3785p-15, -0x1.792841ff41237p-15, -0x1.72d58ef425487p-15, -0x1.6c8b250ef9888p-15, -0x1.664915779c7dep-15, -0x1.600f70cc64572p-15, -0x1.59de4724bc9d6p-15, -0x1.53b5a811f1684p-15, -0x1.4d95a2a18fe47p-15, -0x1.477e455e5083dp-15, -0x1.416f9e52813eap-15, -0x1.3b69bb08ddbf3p-15, -0x1.356ca88ebee98p-15, -0x1.2f78737559b5bp-15, -0x1.298d27d3f8715p-15, -0x1.23aad148f2a05p-15, -0x1.1dd17afb71debp-15, -0x1.18012f9cfaf3ap-15, -0x1.1239f96b60d0fp-15, -0x1.0c7be2320d84ap-15, -0x1.06c6f34b32aa8p-15, -0x1.011b35a230cb2p-15, -0x1.f6f163688da36p-16, -0x1.ebbedf2539a6ap-16, -0x1.e09eedc789b0ep-16, -0x1.d5919dc9f36fbp-16, -0x1.ca96fcd796f0ep-16, -0x1.bfaf17cf1217dp-16, -0x1.b4d9fac59b693p-16, -0x1.aa17b10a48cbp-16, -0x1.9f684527fdd52p-16, -0x1.94cbc0e9d948cp-16, -0x1.8a422d5bce8cp-16, -0x1.7fcb92cff9b69p-16, -0x1.7567f8dfb2d46p-16, -0x1.6b17666ff5994p-16, -0x1.60d9e1b26d6eap-16, -0x1.56af70295386p-16, -0x1.4c9816a9617c2p-16, -0x1.4293d95d9e205p-16, -0x1.38a2bbc96cea9p-16, -0x1.2ec4c0cbc146ep-16, -0x1.24f9eaa0379bcp-16, -0x1.1b423ae429354p-16, -0x1.119db29768574p-16, -0x1.080c521ef6277p-16, -0x1.fd1c3291b1a4ap-17, -0x1.ea460e9a40c95p-17, -0x1.d79635a430e7cp-17, -0x1.c50ca3da8e67p-17, -0x1.b2a9544d2ec51p-17, -0x1.a06c40f4e23fbp-17, -0x1.8e5562b98e094p-17, -0x1.7c64b17696266p-17, -0x1.6a9a23fe9bcbp-17, -0x1.58f5b021bb979p-17, -0x1.47774ab011cadp-17, -0x1.361ee781276c8p-17, -0x1.24ec79776a7c4p-17, -0x1.13dff2843c261p-17, -0x1.02f943abeba74p-17, -0x1.e470ba164a9d2p-18, -0x1.c33a5bb893fc9p-18, -0x1.a24f48f4c9492p-18, -0x1.81af5ccace8ccp-18, -0x1.615a708f6c7d9p-18, -0x1.41505beeb9039p-18, -0x1.2190f5004bce5p-18, -0x1.021c1040e7046p-18, -0x1.c5e30151908e3p-19, -0x1.88222f4e4b841p-19, -0x1.4af54a678f925p-19, -0x1.0e5befa38a7e3p-19, -0x1.a4ab72654846ep-20, -0x1.2dc47cfd4527p-20, -0x1.700450e80f0a3p-21, -0x1.0d8e636d170b6p-22, 0x1.80c09795c879ap-23, 0x1.44e38246bb9c5p-21, 0x1.13aa5ce7b55e7p-20, 0x1.83c2d640a9fe2p-20, 0x1.f2bc21fa196fp-20, 0x1.304b9cbc0e178p-19, 0x1.66aa8d5481b6p-19, 0x1.9c7b63ec03957p-19, 0x1.d1bea3dab6887p-19, 0x1.033a6944d5fd1p-18, 0x1.1d4f3bb805ee1p-18, 0x1.371e0e029680cp-18, 0x1.50a725d8f396p-18, 0x1.69eac9e2b960bp-18, 0x1.82e941b414bcdp-18, 0x1.9ba2d5c47c74ap-18, 0x1.b417cf6ed0ab8p-18, 0x1.cc4878e414eb2p-18, 0x1.e4351d2da55bep-18, 0x1.fbde081bc5cabp-18, 0x1.09a1c32740505p-17, 0x1.1532f290748dbp-17, 0x1.20a2b957d66b2p-17, 0x1.2bf13ee4d86adp-17, 0x1.371eaaf9ca66fp-17, 0x1.422b25aba337bp-17, 0x1.4d16d766545e9p-17, 0x1.57e1e8e2e353ap-17, 0x1.628c8329f47d8p-17, 0x1.6d16cf8e238e2p-17, 0x1.7780f7ac5c6e3p-17, 0x1.81cb25652a242p-17, 0x1.8bf582e013327p-17, 0x1.96003a81381b6p-17, 0x1.9feb76f0559d5p-17, 0x1.a9b7630d7b301p-17, 0x1.b36429f4ed6ap-17, 0x1.bcf1f6f99be81p-17, 0x1.c660f5a4ae033p-17, 0x1.cfb151b13fdc4p-17, 0x1.d8e3370cb481cp-17, 0x1.e1f6d1d18c662p-17, 0x1.eaec4e47aedfep-17, 0x1.f3c3d8e24685dp-17, 0x1.fc7d9e3aef8f4p-17, 0x1.028ce58969ddep-16, 0x1.06cc4627e663fp-16, 0x1.0afd077c6db0bp-16, 0x1.0f1f401ab24cap-16, 0x1.133306a62c239p-16, 0x1.173871cf9f213p-16, 0x1.1b2f985601c73p-16, 0x1.1f1891045c6b9p-16, 0x1.22f372b0b3ccbp-16, 0x1.26c0543c6d3a6p-16, 0x1.2a7f4c92797d9p-16, 0x1.2e3072a5aafcp-16, 0x1.31d3dd7296581p-16, 0x1.3569a3fae9e3p-16, 0x1.38f1dd489b251p-16, 0x1.3c6ca069745a7p-16, 0x1.3fda0471a3748p-16, 0x1.433a2077c387ap-16, 0x1.468d0b96d3c14p-16, 0x1.49d2dceb415c7p-16, 0x1.4d0bab946f9fep-16, 0x1.50378eb0e329ep-16, 0x1.53569d61b27b8p-16, 0x1.5668eec577189p-16, 0x1.596e99fac126dp-16, 0x1.5c67b61e498a6p-16, 0x1.5f545a49d2632p-16, 0x1.62349d942c17dp-16, 0x1.65089710f816dp-16, 0x1.67d05dce61e38p-16, 0x1.6a8c08d67eba8p-16, 0x1.6d3baf2d8d5fp-16, 0x1.6fdf67d0f1419p-16, 0x1.727749b8c3dc5p-16, 0x1.75036bd402e0ep-16, 0x1.7783e50ae7bdp-16, 0x1.79f8cc3d24864p-16, 0x1.7c62384059d2p-16, 0x1.7ec03fe24c5cbp-16, 0x1.8112f9e56c911p-16, 0x1.835a7d0216784p-16, 0x1.8596dfe575d12p-16, 0x1.87c83931b14c9p-16, 0x1.89ee9f7bea392p-16, 0x1.8c0a294dd1799p-16, 0x1.8e1aed23c79dcp-16, 0x1.9021016c8893dp-16, 0x1.921c7c8951d91p-16, 0x1.940d74cd8cba1p-16, 0x1.95f4007caaafep-16, 0x1.97d035ccb5d15p-16, 0x1.99a22ae33a5abp-16, 0x1.9b69f5d5c9d29p-16, 0x1.9d27acaafdb99p-16, 0x1.9edb6557041d9p-16, 0x1.a08535bec199ap-16, 0x1.a22533b4e6198p-16, 0x1.a3bb74fa7c3e7p-16, 0x1.a5480f3f3dae1p-16, 0x1.a6cb181f8db2bp-16, 0x1.a844a525f7db8p-16, 0x1.a9b4cbca2bdbep-16, 0x1.ab1ba16f31d11p-16, 0x1.ac793b66df204p-16, 0x1.adcdaeeccb30ep-16, 0x1.af19112a05dd6p-16, 0x1.b05b7732ed535p-16, 0x1.b194f6063e203p-16, 0x1.b2c5a28f30583p-16, 0x1.b3ed91a2cb0a1p-16, 0x1.b50cd8012fb69p-16, 0x1.b6238a5470b6ep-16, 0x1.b731bd315c70dp-16, 0x1.b83785155a6bbp-16, 0x1.b934f6696949bp-16, 0x1.ba2a257e0d8bdp-16, 0x1.bb17268e2b841p-16, 0x1.bbfc0dbd9f0b1p-16, 0x1.bcd8ef186f945p-16, 0x1.bdadde9418c2fp-16, 0x1.be7af00e6523bp-16, 0x1.bf40374cbda26p-16, 0x1.bffdc7fdf038dp-16, 0x1.c0b3b5b76fedfp-16, 0x1.c16213f76daa7p-16, 0x1.c208f6239d542p-16, 0x1.c2a86f887be59p-16, 0x1.c340935ba4c96p-16, 0x1.c3d174b706b68p-16, 0x1.c45b269f9dddp-16, 0x1.c4ddbbfd332bcp-16, 0x1.c55947a1f01aep-16, 0x1.c5cddc44d26ap-16, 0x1.c63b8c836d0c2p-16, 0x1.c6a26ae38229p-16, 0x1.c70289ceff92ep-16, 0x1.c75bfb984eb27p-16, 0x1.c7aed276b3b47p-16, 0x1.c7fb208833ed4p-16, 0x1.c840f7d096c32p-16, 0x1.c8806a3a5f003p-16, 0x1.c8b98994adab4p-16, 0x1.c8ec67966b3cfp-16, 0x1.c91915da3e511p-16, 0x1.c93fa5e2586dfp-16, 0x1.c96029158674cp-16, 0x1.c97ab0c0552f4p-16, }}, 
      {{-0x1.f0cc826c74052p-1, -0x1.f0b9748559771p-1, -0x1.f099482d2024dp-1, -0x1.f06b6f4ebcd7fp-1, -0x1.f02f3e77066bcp-1, -0x1.efe3fdc5539d8p-1, -0x1.ef88f7a57530dp-1, -0x1.ef1d84a57145dp-1, -0x1.eea1144c948efp-1, -0x1.ee1333290d0ddp-1, -0x1.ed738e6fa05dfp-1, -0x1.ecc1f596b59b8p-1, -0x1.ebfe5a556bdap-1, -0x1.eb28cf675648dp-1, -0x1.ea418669cf0f6p-1, -0x1.e948cd1af8681p-1, -0x1.e83f0a35ea67dp-1, -0x1.e724ba1be4b13p-1, -0x1.e5fa6b7003af8p-1, -0x1.e4c0bbc2098bdp-1, -0x1.e378545d44448p-1, -0x1.e221e74a5b2ddp-1, -0x1.e0be2c8dbbd59p-1, -0x1.df4ddfa8560abp-1, -0x1.ddd1bd5d2530fp-1, -0x1.dc4a81bb9958fp-1, -0x1.dab8e66d29a11p-1, -0x1.d91da143021ep-1, -0x1.d77962ffe2193p-1, -0x1.d5ccd659acff8p-1, -0x1.d4189f2de5947p-1, -0x1.d25d59e423dc8p-1, -0x1.d09b9af9b1e2fp-1, -0x1.ced3eeb18ea45p-1, -0x1.cd06d8e45f9efp-1, -0x1.cb34d4ec1604cp-1, -0x1.c95e55a75e8f5p-1, -0x1.c783c59147696p-1, -0x1.c5a586e9d7726p-1, -0x1.c3c3f3eca4d12p-1, -0x1.c1df5f12ca5f8p-1, -0x1.bff8135de47a5p-1, -0x1.be0e54aa02cfp-1, -0x1.bc226004c274p-1, -0x1.ba346c07fa941p-1, -0x1.b844a9369fca4p-1, -0x1.b653425ab4359p-1, -0x1.b4605ce34253ep-1, -0x1.b26c194192d3dp-1, -0x1.b0769344e1cb8p-1, -0x1.ae7fe274073e8p-1, -0x1.ac881a6498e92p-1, -0x1.aa8f4b0f24554p-1, -0x1.a89581203d0e9p-1, -0x1.a69ac6462081ap-1, -0x1.a49f217ad04c7p-1, -0x1.a2a2974a846eap-1, -0x1.a0a52a16697abp-1, -0x1.9ea6da53aa1dfp-1, -0x1.9ca7a6c6c4e19p-1, -0x1.9aa78cbb3dc0ap-1, -0x1.98a68837bcbb4p-1, -0x1.96a4942eaf632p-1, -0x1.94a1aaab89503p-1, -0x1.929dc4fcbf69dp-1, -0x1.9098dbda9fe26p-1, -0x1.8e92e78b2738ep-1, -0x1.8c8be002f304p-1, -0x1.8a83bd037a1c1p-1, -0x1.887a7636a9253p-1, -0x1.86700348086bfp-1, -0x1.84645bfb8fcc6p-1, -0x1.8257784246c5bp-1, -0x1.8049504cd7342p-1, -0x1.7e39dc9c2ff22p-1, -0x1.7c29161058944p-1, -0x1.7a16f5f59346dp-1, -0x1.7803760febcfcp-1, -0x1.75ee90a54fa0cp-1, -0x1.73d8408647d44p-1, -0x1.71c0811570594p-1, -0x1.6fa74e4dc4b6dp-1, -0x1.6d8ca4c7d712fp-1, -0x1.6b7081be0a1e1p-1, -0x1.6952e30fdfeacp-1, -0x1.6733c74471eep-1, -0x1.65132d8c250fdp-1, -0x1.62f115c1a6c6fp-1, -0x1.60cd806a4a55fp-1, -0x1.5ea86eb5cc8a5p-1, -0x1.5c81e27d91579p-1, -0x1.5a59de43679f6p-1, -0x1.5830652fdbf19p-1, -0x1.56057b102970cp-1, -0x1.53d92453cf3dp-1, -0x1.51ab6609d794bp-1, -0x1.4f7c45ddd5f3cp-1, -0x1.4d4bca14a7d89p-1, -0x1.4b19f988fbb38p-1, -0x1.48e6dba7a9a81p-1, -0x1.46b2786bdf39fp-1, -0x1.447cd85b28737p-1, -0x1.4246048158487p-1, -0x1.400e066c5857ap-1, -0x1.3dd4e827e0b43p-1, -0x1.3b9ab4391fdap-1, -0x1.395f759a53e5ep-1, -0x1.372337b6585efp-1, -0x1.34e606642ef0cp-1, -0x1.32a7ede28002dp-1, -0x1.3068fad31dbb3p-1, -0x1.2e293a36829b4p-1, -0x1.2be8b9675644ap-1, -0x1.29a78615f4a99p-1, -0x1.2765ae43fc7eep-1, -0x1.2523403fe39dfp-1, -0x1.22e04aa0962cep-1, -0x1.209cdc411facap-1, -0x1.1e59043c5f75ap-1, -0x1.1c14d1e8c86cp-1, -0x1.19d054d430f99p-1, -0x1.178b9cbfaeaf4p-1, -0x1.1546b99b814b2p-1, -0x1.1301bb830ee61p-1, -0x1.10bcb2b8ee6b8p-1, -0x1.0e77afa30452cp-1, -0x1.0c32c2c6ae84p-1, -0x1.09edfcc503cffp-1, -0x1.07a96e5724c64p-1, -0x1.0565284a9c9a3p-1, -0x1.03213b7dd8041p-1, -0x1.00ddb8dcab4fdp-1, -0x1.fd3562b9db0e6p-2, -0x1.f8b06bf649867p-2, -0x1.f42caf6e8ec3bp-2, -0x1.efaa4f231e16ap-2, -0x1.eb296d0ebcd12p-2, -0x1.e6aa2b2078cd6p-2, -0x1.e22cab35be2e8p-2, -0x1.ddb10f149d119p-2, -0x1.d93778662c454p-2, -0x1.d4c008b117fd3p-2, -0x1.d04ae15457a9p-2, -0x1.cbd8238204c83p-2, -0x1.c767f03a5db8bp-2, -0x1.c2fa6846ead39p-2, -0x1.be8fac35cb1eep-2, -0x1.ba27dc55250fcp-2, -0x1.b5c318aebee1bp-2, -0x1.b1618103bafe5p-2, -0x1.ad0334c878752p-2, -0x1.a8a853209a27ap-2, -0x1.a450fadb30436p-2, -0x1.9ffd4a6f086fbp-2, -0x1.9bad5ff71ef7bp-2, -0x1.9761592f36383p-2, -0x1.931953708f796p-2, -0x1.8ed56baec7699p-2, -0x1.8a95be74d5c5fp-2, -0x1.865a67e22c3dep-2, -0x1.822383a7fceb8p-2, -0x1.7df12d069c103p-2, -0x1.79c37ecb06c32p-2, -0x1.759a934c894a2p-2, -0x1.7176846a858dcp-2, -0x1.6d576b8a58567p-2, -0x1.693d619561b91p-2, -0x1.65287ef727e69p-2, -0x1.6118db9b9af85p-2, -0x1.5d0e8eed77859p-2, -0x1.5909afd4c47d1p-2, -0x1.550a54b571fbcp-2, -0x1.5110936e0f71fp-2, -0x1.4d1c8156a2c53p-2, -0x1.492e333f9b273p-2, -0x1.4545bd70dacb8p-2, -0x1.416333a8e0478p-2, -0x1.3d86a91c07b25p-2, -0x1.39b03073e698dp-2, -0x1.35dfdbcec092bp-2, -0x1.3215bcbf14e8cp-2, -0x1.2e51e44b454d8p-2, -0x1.2a9462ed5140ep-2, -0x1.26dd4892af5c6p-2, -0x1.232ca49c34b21p-2, -0x1.1f8285de18c1fp-2, -0x1.1bdefaa00d39ap-2, -0x1.1842109d6a6p-2, -0x1.14abd5056fbc1p-2, -0x1.111c547b9a488p-2, -0x1.0d939b180d908p-2, -0x1.0a11b4680ed56p-2, -0x1.0696ab6e946e7p-2, -0x1.03228aa4e4fefp-2, -0x1.ff6ab7f694ebcp-3, -0x1.f89e51b3a8e63p-3, -0x1.f1dff44255023p-3, -0x1.eb2fb056e18fap-3, -0x1.e48d959a705dep-3, -0x1.ddf9b2ad02d25p-3, -0x1.d77415279359cp-3, -0x1.d0fcc99e54abfp-3, -0x1.ca93dba303881p-3, -0x1.c43955c7573a6p-3, -0x1.bded419f82d8ep-3, -0x1.b7afa7c4d9ae1p-3, -0x1.b1808fd87e333p-3, -0x1.ab60008630b39p-3, -0x1.a54dff872a41ep-3, -0x1.9f4a91a50f6c1p-3, -0x1.9955babcf568cp-3, -0x1.936f7dc279bd2p-3, -0x1.8d97dcc2e714cp-3, -0x1.87ced8e86bb0dp-3, -0x1.8214727d608dcp-3, -0x1.7c68a8ef9cd98p-3, -0x1.76cb7ad3d85ddp-3, -0x1.713ce5e91412cp-3, -0x1.6bbce71c1a712p-3, -0x1.664b7a8af99ccp-3, -0x1.60e89b8897108p-3, -0x1.5b9444a0450d4p-3, -0x1.564e6f995c6eap-3, -0x1.5117157ae816cp-3, -0x1.4bee2e8f4cd66p-3, -0x1.46d3b267fda46p-3, -0x1.41c797e1335acp-3, -0x1.3cc9d525a635ap-3, -0x1.37da5fb250ff6p-3, -0x1.32f92c5a31993p-3, -0x1.2e262f4a0d085p-3, -0x1.29615c0c38ca5p-3, -0x1.24aaa58c6186p-3, -0x1.2001fe1b5621fp-3, -0x1.1b675772c92e8p-3, -0x1.16daa2b921434p-3, -0x1.125bd0853b4a2p-3, -0x1.0dead0e22f6dcp-3, -0x1.0987935312834p-3, -0x1.053206d6b9361p-3, -0x1.00ea19eb70a65p-3, -0x1.f95f752571919p-4, -0x1.f105aca9ebf6ap-4, -0x1.e8c6b48a4c3c8p-4, -0x1.e0a2660902e4ep-4, -0x1.d898998c53141p-4, -0x1.d0a926a57bac4p-4, -0x1.c8d3e417f3c2bp-4, -0x1.c118a7e08aeebp-4, -0x1.b977473c79c3ep-4, -0x1.b1ef96b065fbap-4, -0x1.aa816a0f5a4ep-4, -0x1.a32c9481acb35p-4, -0x1.9bf0e88bca421p-4, -0x1.94ce381503c1p-4, -0x1.8dc4546e313bep-4, -0x1.86d30e58594a5p-4, -0x1.7ffa360b35268p-4, -0x1.79399b3ba982dp-4, -0x1.72910d2225dc3p-4, -0x1.6c005a80f370cp-4, -0x1.658751aa70554p-4, -0x1.5f25c0872c1bp-4, -0x1.58db749bfb506p-4, -0x1.52a83b0fec37bp-4, -0x1.4c8be0b229055p-4, -0x1.468631ffbfbacp-4, -0x1.4096fb2959a4ap-4, -0x1.3abe0818d5a5dp-4, -0x1.34fb2476cd64dp-4, -0x1.2f4e1bb004503p-4, -0x1.29b6b8fabc982p-4, -0x1.2434c75bf62bcp-4, -0x1.1ec811ac94ba9p-4, -0x1.1970629e6eaa9p-4, -0x1.142d84c1417d8p-4, -0x1.0eff428792289p-4, -0x1.09e5664b6f83dp-4, -0x1.04dfba5323d58p-4, -0x1.ffdc11ab892f5p-5, -0x1.f62037ff6636dp-5, -0x1.ec8b7bedfb5f9p-5, -0x1.e31d71bf5cf82p-5, -0x1.d9d5adbff5605p-5, -0x1.d0b3c448c68fap-5, -0x1.c7b749c7626c7p-5, -0x1.bedfd2c5cc454p-5, -0x1.b62cf3f217c96p-5, -0x1.ad9e4225e1a8dp-5, -0x1.a533526d9041cp-5, -0x1.9cebba0f733bep-5, -0x1.94c70e92a3ceap-5, -0x1.8cc4e5c5c06fap-5, -0x1.84e4d5c571f89p-5, -0x1.7d267502d1d61p-5, -0x1.75895a498ca95p-5, -0x1.6e0d1cc5e8695p-5, -0x1.66b1540a9bb95p-5, -0x1.5f75981669c8p-5, -0x1.58598159a8056p-5, -0x1.515ca8bb8590dp-5, -0x1.4a7ea79f31ef4p-5, -0x1.43bf17e8d4f5p-5, -0x1.3d1d94025cd1fp-5, -0x1.3699b6e01e057p-5, -0x1.30331c0555c4ap-5, -0x1.29e95f8871f8ap-5, -0x1.23bc1e1745e32p-5, -0x1.1daaf4fafe04ep-5, -0x1.17b5821c048a2p-5, -0x1.11db6405aed3p-5, -0x1.0c1c39e9caf7bp-5, -0x1.0677a3a40800cp-5, -0x1.00ed41bd35a98p-5, -0x1.f6f96adcc61eep-6, -0x1.ec4b4147ab3ebp-6, -0x1.e1cf4bffc218dp-6, -0x1.d784d1bb30724p-6, -0x1.cd6b1aa6bacfp-6, -0x1.c381706aa415cp-6, -0x1.b9c71e2f483cap-6, -0x1.b03b70a16dc7ap-6, -0x1.a6ddb5f674cbap-6, -0x1.9dad3df0133e5p-6, -0x1.94a959e011458p-6, -0x1.8bd15cab943bfp-6, -0x1.83249ace4ef82p-6, -0x1.7aa26a5d6fedep-6, -0x1.724a230a48f17p-6, -0x1.6a1b1e24db89p-6, -0x1.6214b69e0dfc2p-6, -0x1.5a364909c389bp-6, -0x1.527f33a0bfd6ap-6, -0x1.4aeed6423b8cep-6, -0x1.438492756e6bdp-6, -0x1.3c3fcb6ad4631p-6, -0x1.351fe5fd35743p-6, -0x1.2e2448b29e19cp-6, -0x1.274c5bbd15886p-6, -0x1.209788fb2ea49p-6, -0x1.1a053bf869d2ep-6, -0x1.1394e1ed75b4cp-6, -0x1.0d45e9c039b7p-6, -0x1.0717c403c5e26p-6, -0x1.0109e2f8143acp-6, -0x1.f63775135a891p-7, -0x1.ea9980a22b4d1p-7, -0x1.df38d72461137p-7, -0x1.d4146a76dd356p-7, -0x1.c92b2fc9bef9p-7, -0x1.be7c1f9e569ebp-7, -0x1.b40635c4b7512p-7, -0x1.a9c871593129ap-7, -0x1.9fc1d4c16e50ap-7, -0x1.95f165a97f3b4p-7, -0x1.8c562d008e3e7p-7, -0x1.82ef36f561e01p-7, -0x1.79bb92f2b7bffp-7, -0x1.70ba539b72781p-7, -0x1.67ea8ec683eep-7, -0x1.5f4b5d7ab1a5ep-7, -0x1.56dbdbea41272p-7, -0x1.4e9b296e52c18p-7, -0x1.468868823307cp-7, -0x1.3ea2bebe7dd8ep-7, -0x1.36e954d40ee32p-7, -0x1.2f5b5686e5c44p-7, -0x1.27f7f2a8cad5p-7, -0x1.20be5b13e7b62p-7, -0x1.19adc4a541beep-7, -0x1.12c5673705facp-7, -0x1.0c047d9ac7eb7p-7, -0x1.056a459390061p-7, -0x1.fdebffa003a8bp-8, -0x1.f14ddfc833e1ap-8, -0x1.e4f8b88657408p-8, -0x1.d8eb1c7304779p-8, -0x1.cd23a3cc31f82p-8, -0x1.c1a0ec686049fp-8, -0x1.b66199a9a4043p-8, -0x1.ab6454708786dp-8, -0x1.a0a7cb0ed08d1p-8, -0x1.962ab13a35fdbp-8, -0x1.8bebbffef002ep-8, -0x1.81e9b5b2277bfp-8, -0x1.782355e45a745p-8, -0x1.6e976953a355p-8, -0x1.6544bdde0135cp-8, -0x1.5c2a26736fc4fp-8, -0x1.53467b081c2cap-8, -0x1.4a9898864a084p-8, -0x1.421f60c07e277p-8, -0x1.39d9ba635d526p-8, -0x1.31c690e7b6ae2p-8, -0x1.29e4d48453dep-8, -0x1.22337a1ff8b5ap-8, -0x1.1ab17b433dc47p-8, -0x1.135dd60a74723p-8, -0x1.0c378d179736dp-8, -0x1.053da78413899p-8, -0x1.fcde61a5c5d25p-9, -0x1.ef9671c486af5p-9, -0x1.e2a1a7bb9221ap-9, -0x1.d5fe3460cd5c7p-9, -0x1.c9aa50eca8ba5p-9, -0x1.bda43ede44d9bp-9, -0x1.b1ea47dfae3e9p-9, -0x1.a67abdaa363a1p-9, -0x1.9b53f9eaafac1p-9, -0x1.90745e25f8e4cp-9, -0x1.85da539d9dbb3p-9, -0x1.7b844b3475b2ep-9, -0x1.7170bd53a4a5cp-9, -0x1.679e29cf7886bp-9, -0x1.5e0b17cc95646p-9, -0x1.54b615a54ba48p-9, -0x1.4b9db8ceed1efp-9, -0x1.42c09dbf74f9fp-9, -0x1.3a1d67d3577e1p-9, -0x1.31b2c133593c1p-9, -0x1.297f5abac4c63p-9, -0x1.2181ebdda96a8p-9, -0x1.19b9328f667e3p-9, -0x1.1223f3293a083p-9, -0x1.0ac0f85151778p-9, -0x1.038f12e1a05d1p-9, -0x1.f91a339ee0b74p-10, -0x1.eb73d4251c06ep-10, -0x1.de28cd1a7f8e9p-10, -0x1.d136efe7f086ap-10, -0x1.c49c196b46a78p-10, -0x1.b85631c7b3acap-10, -0x1.ac632c370d259p-10, -0x1.a0c106db60967p-10, -0x1.956dca90d3079p-10, -0x1.8a678ac059e2p-10, -0x1.7fac653261c8p-10, -0x1.753a81e2a44b9p-10, -0x1.6b1012d37328ap-10, -0x1.612b53e2abf65p-10, -0x1.578a8a9e11984p-10, -0x1.4e2c0618d00d4p-10, -0x1.450e1ec143cbap-10, -0x1.3c2f363717cf6p-10, -0x1.338db7222d31bp-10, -0x1.2b2815098aa18p-10, -0x1.22fccc2b3a8dbp-10, -0x1.1b0a61549d46bp-10, -0x1.134f61bab33dfp-10, -0x1.0bca62d3691b2p-10, -0x1.047a022f5f8cfp-10, -0x1.fab9caa75c137p-11, -0x1.ece373299ae42p-11, -0x1.df6e67e2dca68p-11, -0x1.d25821dc14cc6p-11, -0x1.c59e28e2126b7p-11, -0x1.b93e133e2dbf2p-11, -0x1.ad35857066492p-11, -0x1.a18231ea73afbp-11, -0x1.9621d8cb1b10fp-11, -0x1.8b12479b9d641p-11, -0x1.8051590d09411p-11, -0x1.75dcf4b70155p-11, -0x1.6bb30ed74c994p-11, -0x1.61d1a81286ff3p-11, -0x1.5836cd355d451p-11, -0x1.4ee096f704f24p-11, -0x1.45cd29bca4248p-11, -0x1.3cfab55d2ee7fp-11, -0x1.346774e6f5223p-11, -0x1.2c11ae650d5bbp-11, -0x1.23f7b2a6a7f3ep-11, -0x1.1c17dd06a0086p-11, -0x1.147093341ffadp-11, -0x1.0d0044fbf96ebp-11, -0x1.05c56c137a484p-11, -0x1.fd7d17c5c78acp-12, -0x1.efd462a45b828p-12, -0x1.e28de52b1acbfp-12, -0x1.d5a6ddf638a4fp-12, -0x1.c91c9d737928dp-12, -0x1.bcec858007adcp-12, -0x1.b1140909f56e6p-12, -0x1.a590abb10b438p-12, -0x1.9a60016acf784p-12, -0x1.8f7fae27f28eap-12, -0x1.84ed657a9d32p-12, -0x1.7aa6ea3e6e81bp-12, -0x1.70aa0e42c5a14p-12, -0x1.66f4b1f5b510fp-12, -0x1.5d84c4108c40ap-12, -0x1.5458414643782p-12, -0x1.4b6d33f388c7fp-12, -0x1.42c1b3cec95ffp-12, -0x1.3a53e59bc338cp-12, -0x1.3221fadee27efp-12, -0x1.2a2a3192a55b9p-12, -0x1.226ad3de74a2dp-12, -0x1.1ae237ce8fadfp-12, -0x1.138ebf0d5b8afp-12, -0x1.0c6ed69df754dp-12, -0x1.0580f698b92fep-12, -0x1.fd8743cfd4a71p-13, -0x1.f06acc0d9cb07p-13, -0x1.e3a9b581b9067p-13, -0x1.d74143e65470dp-13, -0x1.cb2ece9e09edfp-13, -0x1.bf6fc038f83efp-13, -0x1.b40195ff889ebp-13, -0x1.a8e1df7db645fp-13, -0x1.9e0e3e10d7401p-13, -0x1.93846477bc39ep-13, -0x1.8942166588924p-13, -0x1.7f4528157e834p-13, -0x1.758b7de3145e9p-13, -0x1.6c130be179adp-13, -0x1.62d9d577b2d77p-13, -0x1.59ddecfdccef7p-13, -0x1.511d735ad5d4p-13, -0x1.489697a784fe2p-13, -0x1.404796d08b223p-13, -0x1.382ebb3baa498p-13, -0x1.304a5c6f6b27dp-13, -0x1.2898debaf92bep-13, -0x1.2118b2e20dfe9p-13, -0x1.19c855c8fe552p-13, -0x1.12a65022ff1f1p-13, -0x1.0bb1362281b9dp-13, -0x1.04e7a72b888ccp-13, -0x1.fc909b0c979d3p-14, -0x1.efa3bc2a0e474p-14, -0x1.e3063016dd256p-14, -0x1.d6b5894d97d29p-14, -0x1.caaf6dcfe2cc1p-14, -0x1.bef1969ef4b85p-14, -0x1.b379cf3495c71p-14, -0x1.a845f5033a862p-14, -0x1.9d53f6f352474p-14, -0x1.92a1d4e9ff4f4p-14, -0x1.882d9f4d0a83bp-14, -0x1.7df5768d398a6p-14, -0x1.73f78ab26b989p-14, -0x1.6a321ae90e829p-14, -0x1.60a375149d44cp-14, -0x1.5749f562a631cp-14, -0x1.4e2405e1cdd36p-14, -0x1.45301e1a8c969p-14, -0x1.3c6cc2aacabb7p-14, -0x1.33d884e41cee3p-14, -0x1.2b72026b2820ep-14, -0x1.2337e4dae291bp-14, -0x1.1b28e16929d3ap-14, -0x1.1343b88dd268cp-14, -0x1.0b8735ac4e4a1p-14, -0x1.03f22ebe71afap-14, -0x1.f90708056b136p-15, -0x1.ea743f58198fap-15, -0x1.dc29eb24ec1b7p-15, -0x1.ce2605cfa5c3bp-15, -0x1.c0669bd92686cp-15, -0x1.b2e9cb4f93bcfp-15, -0x1.a5adc33fe7b5bp-15, -0x1.98b0c32d7c328p-15, -0x1.8bf11a8ab859ep-15, -0x1.7f6d2838ff3bep-15, -0x1.73235a0655962p-15, -0x1.67122c34a11f1p-15, -0x1.5b3828fe05957p-15, -0x1.4f93e8232e34ap-15, -0x1.44240e754e70ap-15, -0x1.38e74d6a79bbdp-15, -0x1.2ddc62afbb8f1p-15, -0x1.230217c07ad9p-15, -0x1.185741809bfdp-15, -0x1.0ddabfd94f025p-15, -0x1.038b7d5701983p-15, -0x1.f2d0dd9b090fbp-16, -0x1.dee125f4b5f31p-16, -0x1.cb45e45c8571fp-16, -0x1.b7fd3beafed84p-16, -0x1.a505618871a53p-16, -0x1.925c9b4c5dcdfp-16, -0x1.80013fdedd0d1p-16, -0x1.6df1b5dd3ec4ep-16, -0x1.5c2c7346d06fap-16, -0x1.4aaffceb825c2p-16, -0x1.397ae5dfef996p-16, -0x1.288bcef4c8bcap-16, -0x1.17e16633db7b4p-16, -0x1.077a665db8cb7p-16, -0x1.eeab2ce1b5edbp-17, -0x1.cee3925db947ap-17, -0x1.af9bb950dcbd3p-17, -0x1.90d17396b44ffp-17, -0x1.7282a7ec5618fp-17, -0x1.54ad511a1c5dfp-17, -0x1.374f7d253e4f8p-17, -0x1.1a674c8b0d53ep-17, -0x1.fbe5e2fbe397cp-18, -0x1.c3e15e56c2a76p-18, -0x1.8cbdb213962fcp-18, -0x1.5677a44c7024p-18, -0x1.210c18f601b81p-18, -0x1.d8f0214154adbp-19, -0x1.71714e68a9688p-19, -0x1.0b9625825bcafp-19, -0x1.4eb28961a2fa5p-20, -0x1.12d5e788e1042p-21, 0x1.c5a3f54ed4dcep-23, 0x1.ef6aff5988b2ap-21, 0x1.b3a16ddd8d904p-20, 0x1.3640ac52d7959p-19, 0x1.912f01f2e8b08p-19, 0x1.ea9ff5ca5da42p-19, 0x1.214bd1d0fd6c5p-18, 0x1.4c8d035a05ad4p-18, 0x1.77157da4368c9p-18, 0x1.a0e720269a7bap-18, 0x1.ca03bc5f6206fp-18, 0x1.f26d1695da6fdp-18, 0x1.0d1273442a25dp-17, 0x1.20966c09c27f9p-17, 0x1.33c345ed62371p-17, 0x1.4699cbf069c57p-17, 0x1.591ac412dcd85p-17, 0x1.6b46ef971a399p-17, 0x1.7d1f0b4baeee6p-17, 0x1.8ea3cfcbb536p-17, 0x1.9fd5f1be99e84p-17, 0x1.b0b62214ea56ep-17, 0x1.c1450e474d078p-17, 0x1.d18360886c64fp-17, 0x1.e171bfff4632cp-17, 0x1.f110d0fa6497dp-17, 0x1.00309a8eb0ea7p-16, 0x1.07b1c5ca4f581p-16, 0x1.0f0c389f137e3p-16, 0x1.1640406b5b3ecp-16, 0x1.1d4e29904b4f3p-16, 0x1.24363f862b25ap-16, 0x1.2af8cced63cf2p-16, 0x1.31961ba241a8fp-16, 0x1.380e74cb19fd8p-16, 0x1.3e6220e9e4c7ap-16, 0x1.449167eafb12dp-16, 0x1.4a9c913278996p-16, 0x1.5083e3aa5ff13p-16, 0x1.5647a5cefe851p-16, 0x1.5be81dbaa962p-16, 0x1.61659131a1a65p-16, 0x1.66c045abd7769p-16, 0x1.6bf880601312fp-16, 0x1.710e864c1695cp-16, 0x1.76029c3eb8d19p-16, 0x1.7ad506de47956p-16, 0x1.7f860ab26bc72p-16, 0x1.8415ec29c9d22p-16, 0x1.8884efa07bb2ap-16, 0x1.8cd359676dfccp-16, 0x1.91016dc8b9defp-16, 0x1.950f710d28bep-16, 0x1.98fda781f22e5p-16, 0x1.9ccc557b5b87dp-16, 0x1.a07bbf5a7ba3p-16, 0x1.a40c298f9034cp-16, 0x1.a77dd89ddbe07p-16, 0x1.aad1111dbf0cp-16, 0x1.ae0617c0643a5p-16, 0x1.b11d3150b4517p-16, 0x1.b416a2b625049p-16, 0x1.b6f2b0f5639b1p-16, 0x1.b9b1a13286fcdp-16, 0x1.bc53b8b1b344ap-16, 0x1.bed93cd7de777p-16, 0x1.c142732b4f57p-16, 0x1.c38fa1542a9d4p-16, 0x1.c5c10d1c6603ep-16, 0x1.c7d6fc6f876a7p-16, 0x1.c9d1b55aafa55p-16, 0x1.cbb17e0b92c26p-16, 0x1.cd769cd06d3a6p-16, 0x1.cf215816360dp-16, 0x1.d0b1f6687385p-16, 0x1.d228be700e04cp-16, 0x1.d385f6f107a3p-16, 0x1.d4c9e6caac729p-16, 0x1.d5f4d4f476456p-16, 0x1.d707087d68624p-16, 0x1.d800c889ab074p-16, 0x1.d8e25c50fcefap-16, 0x1.d9ac0b1c8d86ap-16, 0x1.da5e1c44f6cfdp-16, 0x1.daf8d7302c7fcp-16, 0x1.db7c834edd20ep-16, 0x1.dbe9681aacd5ap-16, 0x1.dc3fcd13b9137p-16, 0x1.dc7ff9bdce8bap-16, 0x1.dcaa359e935abp-16, 0x1.dcbec83a7653p-16, 0x1.dcbdf91262476p-16, 0x1.dca80fa11c4d9p-16, 0x1.dc7d5358e16a9p-16, 0x1.dc3e0b9fef8bp-16, 0x1.dbea7fcf44db9p-16, 0x1.db82f72e375c5p-16, 0x1.db07b8f1125b6p-16, 0x1.da790c35dbf45p-16, 0x1.d9d73801c1043p-16, 0x1.d922833e2fb08p-16, 0x1.d85b34b639fcep-16, 0x1.d7819313e0998p-16, 0x1.d695e4dd5c408p-16, 0x1.d59870722b446p-16, 0x1.d4897c08cb567p-16, 0x1.d3694dabb73b4p-16, 0x1.d2382b36c50d2p-16, 0x1.d0f65a547ebbfp-16, 0x1.cfa4207bcf92fp-16, 0x1.ce41c2ecc05adp-16, 0x1.cccf86ae83454p-16, 0x1.cb4db08c8e73ep-16, 0x1.c9bc851471207p-16, 0x1.c81c48928718cp-16, 0x1.c66d3f10ac8f7p-16, 0x1.c4afac52e558p-16, 0x1.c2e3d3d50bde4p-16, 0x1.c109f8c8f7bafp-16, 0x1.bf225e13b002ap-16, 0x1.bd2d464b3fb4cp-16, 0x1.bb2af3b4a13a9p-16, 0x1.b91ba84142225p-16, 0x1.b6ffa58d1d741p-16, 0x1.b4d72cdc6efcp-16, 0x1.b2a27f19b748bp-16, 0x1.b061dcd39807dp-16, 0x1.ae15863acdee6p-16, 0x1.abbdbb2081d0cp-16, 0x1.a95abaf4082d2p-16, 0x1.a6ecc4c150874p-16, 0x1.a474172ecd4cfp-16, 0x1.a1f0f07be3321p-16, 0x1.9f638e7f496adp-16, 0x1.9ccc2ea4f471cp-16, 0x1.9a2b0decdf76ap-16, 0x1.978068e956fa2p-16, 0x1.94cc7bbd4faaap-16, 0x1.920f821b03256p-16, 0x1.8f49b742a6a92p-16, 0x1.8c7b5600ba04ep-16, 0x1.89a498acebb02p-16, 0x1.86c5b928c6d73p-16, 0x1.83def0de597b5p-16, 0x1.80f078befafedp-16, 0x1.7dfa8942705efp-16, 0x1.7afd5a6562c47p-16, 0x1.77f923a8a87cfp-16, 0x1.74ee1c0ff3079p-16, 0x1.71dc7a213d869p-16, 0x1.6ec473e3934c3p-16, 0x1.6ba63ede427d1p-16, 0x1.68821017e882ap-16, 0x1.65581c15ea92fp-16, 0x1.622896db8fd3cp-16, 0x1.5ef3b3e93d5b2p-16, 0x1.5bb9a63c0c432p-16, 0x1.587aa04ccf9f2p-16, 0x1.5536d40fb8f8fp-16, 0x1.51ee72f3dc5fep-16, 0x1.4ea1ade2a3e64p-16, 0x1.4b50b53f5468bp-16, 0x1.47fbb8e6a8ad7p-16, 0x1.44a2e82e94dc9p-16, 0x1.414671e5a3a68p-16, 0x1.3de68452ee56fp-16, 0x1.3a834d35addccp-16, 0x1.371cf9c541fedp-16, 0x1.33b3b6b0bbe7bp-16, 0x1.3047b01edf967p-16, 0x1.2cd911ae106a6p-16, 0x1.296806744200fp-16, 0x1.25f4b8fee297bp-16, 0x1.227f5352af17ep-16, 0x1.1f07feebfbdddp-16, 0x1.1b8ee4be9a0f2p-16, 0x1.18142d360671bp-16, 0x1.14980035863ddp-16, 0x1.111a8518525abp-16, 0x1.0d9be2b1acfc3p-16, 0x1.0a1c3f4d26175p-16, 0x1.069bc0aefa8p-16, 0x1.031a8c14322c9p-16, 0x1.ff318c65d1fa3p-17, 0x1.f82d2675a3c0dp-17, 0x1.f1282daaef5c6p-17, 0x1.ea22e84d0336bp-17, 0x1.e31d9b987e097p-17, 0x1.dc188bc005e4ep-17, 0x1.d513fbed5b728p-17, 0x1.ce102e4223b7cp-17, 0x1.c70d63d91267bp-17, 0x1.c00bdcc6ab002p-17, 0x1.b90bd81ac3045p-17, 0x1.b20d93e13d567p-17, 0x1.ab114d236e2e6p-17, 0x1.a4173fe94289bp-17, 0x1.9d1fa73a8ba25p-17, 0x1.962abd2050297p-17, 0x1.8f38baa617beap-17, 0x1.8849d7db5bdefp-17, 0x1.815e4bd49e09ap-17, 0x1.7a764cad3c1fbp-17, 0x1.73920f887f53ep-17, 0x1.6cb1c89384b77p-17, 0x1.65d5ab06a583fp-17, 0x1.5efde926ec5d6p-17, 0x1.582ab4477abap-17, 0x1.515c3ccb7a14ep-17, 0x1.4a92b227bab15p-17, 0x1.43ce42e40bc09p-17, 0x1.3d0f1c9d1c4b7p-17, 0x1.36556c06695ddp-17, 0x1.2fa15cebbfd2ep-17, 0x1.28f31a330ffc4p-17, 0x1.224acdde01e03p-17, 0x1.1ba8a10be2884p-17, 0x1.150cbbfb56a7dp-17, 0x1.0e77460c71ff6p-17, 0x1.07e865c29923bp-17, 0x1.016040c5e7c2dp-17, 0x1.f5bdf7ca92a71p-18, 0x1.e8c97631041e9p-18, 0x1.dbe343040985cp-18, 0x1.cf0ba2e1b871dp-18, 0x1.c242d8c4c7485p-18, 0x1.b5892608a540ap-18, 0x1.a8deca6e5cbc2p-18, 0x1.9c44041f53217p-18, 0x1.8fb90fb16eb44p-18, 0x1.833e282b5e253p-18, 0x1.76d38707f6abp-18, 0x1.6a79643a89b2p-18, 0x1.5e2ff633722d2p-18, 0x1.51f771e341f8ep-18, 0x1.45d00abf0adc2p-18, 0x1.39b9f2c488b29p-18, 0x1.2db55a7db4d7dp-18, 0x1.21c2710580b91p-18, 0x1.15e1640b6581p-18, 0x1.0a125fd7a3961p-18, 0x1.fcab1e9e4bba6p-19, 0x1.e55637ef1b3f9p-19, 0x1.ce265bf6e09f4p-19, 0x1.b71bd85cb3408p-19, 0x1.a036f821d1715p-19, 0x1.897803a90eb8cp-19, 0x1.72df40be9f8bcp-19, 0x1.5c6cf2a0b9b92p-19, 0x1.46215a08d516ep-19, 0x1.2ffcb5323465cp-19, 0x1.19ff3fe250b44p-19, 0x1.04293370dab02p-19, 0x1.dcf58d9dd7bb2p-20, 0x1.b1e85d20e99d7p-20, 0x1.872b39e5e9723p-20, 0x1.5cbe83cd6d5aap-20, 0x1.32a2962b34eecp-20, 0x1.08d7c7d634861p-20, 0x1.bebcd66fff1a3p-21, 0x1.6c6d9cc0c39c4p-21, 0x1.1ac2761e679dfp-21, 0x1.9377db1abeac6p-22, 0x1.e56a16cc24429p-23, 0x1.4cf5c7ae80a4ap-24, -0x1.2bb832feafe27p-24, -0x1.cf993818faf3fp-23, -0x1.835d7734ff4ccp-22, -0x1.0ecff47e58882p-21, -0x1.5b49a5b9dffdbp-21, -0x1.a71b83dd31b5ap-21, -0x1.f2454ae6536b5p-21, -0x1.1e635f1080df4p-20, -0x1.434fd40553dcdp-20, -0x1.67e7ed195b1fp-20, -0x1.8c2b968e903acp-20, -0x1.b01ac015e9126p-20, -0x1.d3b55cbdb74c7p-20, -0x1.f6fb62e59fb8bp-20, -0x1.0cf666182c14dp-19, -0x1.1e44cab9d3903p-19, -0x1.2f68df571b18fp-19, -0x1.4062a57b03b33p-19, -0x1.5132203572e33p-19, -0x1.61d754163f9e3p-19, -0x1.72524724a7329p-19, -0x1.82a300d9730f3p-19, -0x1.92c98a18a206cp-19, -0x1.a2c5ed29cf555p-19, -0x1.b29835b241ec1p-19, -0x1.c24070af47d53p-19, -0x1.d1beac6d6964cp-19, -0x1.e112f88412f54p-19, -0x1.f03d65cf26887p-19, -0x1.ff3e0668aace8p-19, -0x1.070a76d0f9eep-18, -0x1.0e6117ff13743p-18, -0x1.15a2f195c9245p-18, -0x1.1cd00efeda54ep-18, -0x1.23e87c33fca63p-18, -0x1.2aec45bb8b2c1p-18, -0x1.31db78a6076bap-18, -0x1.38b6228abaf92p-18, -0x1.3f7c5184e5298p-18, -0x1.462e14310da9p-18, -0x1.4ccb79aa95e77p-18, -0x1.5354918858672p-18, -0x1.59c96bda0c9ebp-18, -0x1.602a1925ac4bcp-18, -0x1.6676aa648efc7p-18, -0x1.6caf3100d7bd8p-18, -0x1.72d3bed335386p-18, -0x1.78e4661fe8c53p-18, -0x1.7ee1399423abdp-18, -0x1.84ca4c43d6d18p-18, -0x1.8a9fb1a665a22p-18, -0x1.90617d9507024p-18, -0x1.960fc4480f8a5p-18, -0x1.9baa9a547f339p-18, -0x1.a13214a92e75ep-18, -0x1.a6a6488d0ae9ep-18, -0x1.ac074b9c6d54bp-18, -0x1.b15533c6c4bafp-18, -0x1.b690174cbed5cp-18, -0x1.bbb80cbd2106cp-18, -0x1.c0cd2af355647p-18, -0x1.c5cf8914d78b6p-18, -0x1.cabf3e8f59098p-18, -0x1.cf9c631665d08p-18, -0x1.d4670ea103c15p-18, -0x1.d91f596807cd8p-18, -0x1.ddc55be3d6f28p-18, -0x1.e2592eca65768p-18, -0x1.e6daeb0d64432p-18, -0x1.eb4aa9d7c9628p-18, -0x1.efa8848c29735p-18, -0x1.f3f494c2d0d6bp-18, -0x1.f82ef447ee72fp-18, -0x1.fc57bd1974196p-18, -0x1.003784b2c15b7p-17, -0x1.023a79c415cc2p-17, -0x1.0434cb05030e5p-17, -0x1.062685cf5b59bp-17, -0x1.080fb79128135p-17, -0x1.09f06dcc17f5p-17, -0x1.0bc8b6148b11p-17, -0x1.0d989e10ea0f6p-17, -0x1.0f603378ac242p-17, -0x1.111f84136944cp-17, -0x1.12d69db87cc56p-17, -0x1.14858e4dd1a9p-17, -0x1.162c63c72fc8cp-17, -0x1.17cb2c259ee3p-17, -0x1.1961f5767254cp-17, -0x1.1af0cdd2bbddfp-17, -0x1.1c77c35e9d8a8p-17, -0x1.1df6e4485f133p-17, -0x1.1f6e3ec7d0c83p-17, -0x1.20dde11d894c7p-17, -0x1.2245d99264e3ap-17, -0x1.23a63676bd8f6p-17, -0x1.24ff0621b14b1p-17, -0x1.265056f0c07b2p-17, -0x1.279a3746af231p-17, -0x1.28dcb58b795dep-17, -0x1.2a17e02b59c29p-17, -0x1.2b4bc5961e787p-17, -0x1.2c78743ef530ap-17, -0x1.2d9dfa9b7b7c3p-17, -0x1.2ebc672350b17p-17, -0x1.2fd3c84f820f4p-17, -0x1.30e42c99ea0cdp-17, -0x1.31eda27cc0f3p-17, -0x1.32f038721ab99p-17, -0x1.33ebfcf349a75p-17, -0x1.34e0fe78733e7p-17, -0x1.35cf4b77f70a9p-17, -0x1.36b6f265ff5f2p-17, -0x1.379801b3e5439p-17, -0x1.387287d0220a4p-17, -0x1.3946932557ddep-17, -0x1.3a14321a1a8fep-17, -0x1.3adb73105c73ap-17, -0x1.3b9c646541fb8p-17, -0x1.3c57147090994p-17, -0x1.3d0b91840849bp-17, -0x1.3db9e9eb81b3cp-17, -0x1.3e622bebdcc55p-17, -0x1.3f0465c336e37p-17, -0x1.3fa0a5a8324d5p-17, -0x1.4036f9c9a7234p-17, -0x1.40c7704e7086bp-17, -0x1.41521754b2437p-17, -0x1.41d6fcf1e2c0fp-17, -0x1.42562f322e8p-17, -0x1.42cfbc182bde8p-17, -0x1.4343b19cf731p-17, -0x1.43b21daefea51p-17, -0x1.441b0e328488ap-17, -0x1.447e9100e71c2p-17, -0x1.44dcb3e8693b9p-17, -0x1.453584ac115dcp-17, -0x1.4589110327e06p-17, -0x1.45d76698e429ep-17, -0x1.4620930c80684p-17, -0x1.4664a3f0848e9p-17, -0x1.46a3a6cb1befep-17, -0x1.46dda914f97bcp-17, -0x1.4712b839f5fb7p-17, -0x1.4742e19890f5fp-17, -0x1.476e32810dfe2p-17, -0x1.4794b83690e54p-17, -0x1.47b67fed5122fp-17, -0x1.47d396cbc2227p-17, -0x1.47ec09e9a87efp-17, -0x1.47ffe64fef5b5p-17, -0x1.480f38f8a9642p-17, -0x1.481a0ecedb588p-17, -0x1.482074ae248f4p-17, -0x1.48227762b0693p-17, -0x1.482023a92e63ap-17, -0x1.4819862e3f192p-17, -0x1.480eab8eb360ep-17, -0x1.47ffa057576acp-17, -0x1.47ec7104663c3p-17, -0x1.47d52a020c668p-17, -0x1.47b9d7ab9ffecp-17, -0x1.479a864bef28ep-17, -0x1.4777421cf954ap-17, -0x1.47501747b26cdp-17, -0x1.472511e445b5dp-17, -0x1.46f63df93cc3fp-17, -0x1.46c3a77c7430ap-17, -0x1.468d5a51cbabap-17, -0x1.4653624c23c47p-17, -0x1.4615cb2c9120fp-17, -0x1.45d4a0a263b19p-17, -0x1.458fee4b87d41p-17, -0x1.4547bfb3a12e5p-17, -0x1.44fc2054ae8acp-17, -0x1.44ad1b96b9dcp-17, -0x1.445abccf83362p-17, -0x1.44050f42eb04cp-17, -0x1.43ac1e2278695p-17, -0x1.434ff48d604a9p-17, -0x1.42f09d90d5e44p-17, -0x1.428e242752741p-17, -0x1.4228933916c95p-17, -0x1.41bff59bfbb59p-17, -0x1.415456133c01fp-17, -0x1.40e5bf4f8f871p-17, -0x1.40743bef44afp-17, -0x1.3fffd67dd61a3p-17, -0x1.3f8899744972ep-17, -0x1.3f0e8f38ecd8fp-17, -0x1.3e91c21f618b6p-17, -0x1.3e123c6893683p-17, -0x1.3d900842d934p-17, -0x1.3d0b2fc97f4b1p-17, -0x1.3c83bd0595b6dp-17, -0x1.3bf9b9ecd82a1p-17, -0x1.3b6d3062dca4fp-17, -0x1.3ade2a37f88f4p-17, -0x1.3a4cb12a15008p-17, -0x1.39b8cee460c88p-17, -0x1.39228cfefd6cdp-17, -0x1.3889f4ffb3e11p-17, -0x1.37ef1059603b9p-17, -0x1.3751e86c101dep-17, -0x1.36b286857f5dcp-17, -0x1.3610f3e048597p-17, -0x1.356d39a4d02c5p-17, -0x1.34c760e89bc2fp-17, -0x1.341f72ae9bce3p-17, -0x1.337577e742abp-17, -0x1.32c979707e0afp-17, -0x1.321b80156e9bcp-17, -0x1.316b948f3ab9bp-17, -0x1.30b9bf840ec65p-17, -0x1.3006098811008p-17, -0x1.2f507b1cdc7f9p-17, -0x1.2e991cb1bf507p-17, -0x1.2ddff6a3bbc1ap-17, -0x1.2d25113da7f3p-17, -0x1.2c6874b809f34p-17, -0x1.2baa29396241ep-17, -0x1.2aea36d5fed83p-17, -0x1.2a28a59046f7cp-17, -0x1.29657d5849501p-17, -0x1.28a0c60ca52c6p-17, -0x1.27da8779944dcp-17, -0x1.2712c959bce4bp-17, -0x1.264993560e1d8p-17, -0x1.257eed056d424p-17, -0x1.24b2ddeda769ap-17, -0x1.23e56d8259725p-17, -0x1.2316a325f244bp-17, -0x1.224686295faadp-17, -0x1.21751dcbeb708p-17, -0x1.20a2713be776p-17, -0x1.1fce879601c22p-17, -0x1.1ef967e5fbd2dp-17, -0x1.1e23192666e1p-17, -0x1.1d4ba24089816p-17, -0x1.1c730a0d155edp-17, -0x1.1b9957536ee7cp-17, -0x1.1abe90ca539d7p-17, -0x1.19e2bd17c2babp-17, -0x1.1905e2d0fb79ap-17, -0x1.1828087a8a7abp-17, -0x1.17493488b0aa7p-17, -0x1.16696d5ee3dbcp-17, -0x1.1588b95070c43p-17, -0x1.14a71ea0535a4p-17, -0x1.13c4a38121375p-17, -0x1.12e14e1572a7p-17, -0x1.11fd246fdec32p-17, -0x1.11182c92bd7b6p-17, -0x1.10326c70e7d55p-17, -0x1.0f4be9ed020ccp-17, -0x1.0e64aada1f00fp-17, -0x1.0d7cb4fbd25d4p-17, -0x1.0c940e05a9462p-17, -0x1.0baabb9c5e775p-17, -0x1.0ac0c3548faa5p-17, -0x1.09d62ab44696dp-17, -0x1.08eaf731974a1p-17, -0x1.07ff2e3424414p-17, -0x1.0712d513f5f73p-17, -0x1.0625f11a6b6c1p-17, -0x1.053887820b29ap-17, -0x1.044a9d765d37dp-17, -0x1.035c38146ed4fp-17, -0x1.026d5c6a9886ep-17, -0x1.017e0f78a2471p-17, -0x1.008e5630002eep-17, -0x1.ff3c6ae78c6f1p-18, -0x1.fd5b6431330dfp-18, -0x1.fb79a1cae0cc1p-18, -0x1.f9972d2514772p-18, -0x1.f7b40f959b357p-18, -0x1.f5d05255c078dp-18, -0x1.f3ebfe83446e7p-18, -0x1.f2071d20e1726p-18, -0x1.f021b715b147dp-18, -0x1.ee3bd52dac352p-18, -0x1.ec55801ab279dp-18, -0x1.ea6ec0728dd9bp-18, -0x1.e8879eb26b175p-18, -0x1.e6a0233b11c9fp-18, -0x1.e4b8565523918p-18, -0x1.e2d0402d8b8d8p-18, -0x1.e0e7e8d8ea953p-18, -0x1.deff58511023bp-18, -0x1.dd1696777c3bep-18, -0x1.db2dab138cc31p-18, -0x1.d9449dd448142p-18, -0x1.d75b764f5fa4dp-18, -0x1.d5723c020b13bp-18, -0x1.d388f65108285p-18, -0x1.d19fac88b0277p-18, -0x1.cfb665dd202d2p-18, -0x1.cdcd296ad0c8ap-18, -0x1.cbe3fe360e84cp-18, -0x1.c9faeb2bf3396p-18, -0x1.c811f722249ddp-18, -0x1.c62928d68e3edp-18, -0x1.c44086f1154c1p-18, -0x1.c25818014c079p-18, -0x1.c06fe281b029cp-18, -0x1.be87ecd4c94cap-18, -0x1.bca03d47d3bd1p-18, -0x1.bab8da116eac9p-18, -0x1.b8d1c9521385p-18, -0x1.b6eb11150805bp-18, -0x1.b504b74f4586dp-18, -0x1.b31ec1e0ca7e4p-18, -0x1.b13936941c406p-18, -0x1.af541b1e98dc2p-18, -0x1.ad6f7520ef01fp-18, -0x1.ab8b4a26d561bp-18, -0x1.a9a79fa7816acp-18, -0x1.a7c47b05df36ep-18, -0x1.a5e1e190472cfp-18, -0x1.a3ffd8816b818p-18, -0x1.a21e64ffb5a71p-18, -0x1.a03d8c1e2b28cp-18, -0x1.9e5d52dbfe68ap-18, -0x1.9c7dbe2543ebap-18, -0x1.9a9ed2d29fa0dp-18, -0x1.98c095a9f828ep-18, -0x1.96e30b5dd0d09p-18, }}, 
      std::vector<double>(1200, 0.0), 
      {{-0x1.cf3214367cbbep-8, -0x1.cf54975764ce7p-7, -0x1.5bb9a9abea18fp-6, -0x1.d02c77c63b587p-6, -0x1.22a0522daca7ep-5, -0x1.5d9c257d5e792p-5, -0x1.99290829a81e5p-5, -0x1.d5617cf0582bcp-5, -0x1.092c88a6be843p-4, -0x1.280d8fd830357p-4, -0x1.47552c9e12779p-4, -0x1.670076ce8a747p-4, -0x1.8708939823132p-4, -0x1.a7632ae9131f6p-4, -0x1.c802f4498bc31p-4, -0x1.e8d84e71bed08p-4, -0x1.04e8ebf0b1ed3p-3, -0x1.156e80b0a0f81p-3, -0x1.25f34ac812707p-3, -0x1.366d99351a4adp-3, -0x1.46d3d99235056p-3, -0x1.571cc4e53152p-3, -0x1.673f846b901dep-3, -0x1.7733cec805c89p-3, -0x1.86f1fe238adc1p-3, -0x1.96731ff09a023p-3, -0x1.a5b0ff0caca3bp-3, -0x1.b4a628fef506dp-3, -0x1.c34def0e91a36p-3, -0x1.d1a463e06c07cp-3, -0x1.dfa6563f955cap-3, -0x1.ed5149a3dc342p-3, -0x1.faa36cfa269c4p-3, -0x1.03cdc81124d8ap-2, -0x1.0a1c8c4339188p-2, -0x1.103dfa90df666p-2, -0x1.1632491f18b0fp-2, -0x1.1bf9e692f4621p-2, -0x1.219573fc55ffep-2, -0x1.2705bee698fa3p-2, -0x1.2c4bbb9e8b869p-2, -0x1.31687fb9965a2p-2, -0x1.365d3ce6c54f8p-2, -0x1.3b2b3c0fbc331p-2, -0x1.3fd3d8cd6ab7bp-2, -0x1.44587d3273326p-2, -0x1.48ba9debae8a7p-2, -0x1.4cfbb6b603104p-2, -0x1.511d4727b8834p-2, -0x1.5520cfcab7c62p-2, -0x1.5907cf8484a7bp-2, -0x1.5cd3c1484aba5p-2, -0x1.60861a0f166e7p-2, -0x1.6420471209c08p-2, -0x1.67a3ac424d488p-2, -0x1.6b11a2fa73795p-2, -0x1.6e6b78e4fdb72p-2, -0x1.71b26f13db60ap-2, -0x1.74e7b944b845ep-2, -0x1.780c7d4e35816p-2, -0x1.7b21d2b2369fbp-2, -0x1.7e28c251a93fep-2, -0x1.8122463e59c3ep-2, -0x1.840f49a79dc1p-2, -0x1.86f0a8decb0d6p-2, -0x1.89c73170ada72p-2, -0x1.8c93a25159cdfp-2, -0x1.8f56ac17f3034p-2, -0x1.9210f1482bc38p-2, -0x1.94c306a76f85p-2, -0x1.976d739be298cp-2, -0x1.9a10b29377533p-2, -0x1.9cad31719eb18p-2, -0x1.9f4352022702ap-2, -0x1.a1d36a700c5a2p-2, -0x1.a45dc5bf24d95p-2, -0x1.a6e2a447a1cccp-2, -0x1.a9623c328fe0cp-2, -0x1.abdcb9f68c1bep-2, -0x1.ae5240d404bep-2, -0x1.b0c2eb506f9a1p-2, -0x1.b32ecbaff9028p-2, -0x1.b595ec6d3b21dp-2, -0x1.b7f850aea3978p-2, -0x1.ba55f4b93c22cp-2, -0x1.bcaece609463bp-2, -0x1.bf02cd739ef57p-2, -0x1.c151dc2658f9ap-2, -0x1.c39bdf781aa9ep-2, -0x1.c5e0b79688215p-2, -0x1.c820403d06ab3p-2, -0x1.ca5a5110bbdc4p-2, -0x1.cc8ebdf910bf8p-2, -0x1.cebd5774bc2aep-2, -0x1.d0e5eaeb62befp-2, -0x1.d30842fbd086ap-2, -0x1.d52427c6e316dp-2, -0x1.d7395f372e49bp-2, -0x1.d947ad45774c9p-2, -0x1.db4ed43a10fe4p-2, -0x1.dd4e94eb3866dp-2, -0x1.df46aef883c26p-2, -0x1.e136e1037b6ep-2, -0x1.e31ee8e57789ep-2, -0x1.e4fe83e2d61ccp-2, -0x1.e6d56edba48b1p-2, -0x1.e8a36679d3b28p-2, -0x1.ea68275d0c358p-2, -0x1.ec236e443b98fp-2, -0x1.edd4f834edfdep-2, -0x1.ef7c82a0902ccp-2, -0x1.f119cb87a39eap-2, -0x1.f2ac919b07b48p-2, -0x1.f434945b5c81dp-2, -0x1.f5b194369fb5fp-2, -0x1.f72352a40b8fdp-2, -0x1.f889923e4c86cp-2, -0x1.f9e416dc2335cp-2, -0x1.fb32a5a779929p-2, -0x1.fc750533001c6p-2, -0x1.fdaafd8e6499bp-2, -0x1.fed45859265a9p-2, -0x1.fff0e0d420a07p-2, -0x1.008031f8e6af4p-1, -0x1.01015832aab74p-1, -0x1.017bcb583a318p-1, -0x1.01ef74981d7a9p-1, -0x1.025c3e145e67cp-1, -0x1.02c212e7d9b15p-1, -0x1.0320df2b0e2e5p-1, -0x1.03788ff870b28p-1, -0x1.03c913704689fp-1, -0x1.041258bc0d62ap-1, -0x1.04545011722e5p-1, -0x1.048eeab4dcb4fp-1, -0x1.04c21afb9198bp-1, -0x1.04edd44d70f58p-1, -0x1.05120b2653953p-1, -0x1.052eb517087bdp-1, -0x1.0543c8c5fa0d3p-1, -0x1.05513def797ap-1, -0x1.05570d65b826fp-1, -0x1.055531106c6a5p-1, -0x1.054ba3ec29fb5p-1, -0x1.053a62096e4b2p-1, -0x1.0521688b62199p-1, -0x1.0500b5a6566e7p-1, -0x1.04d8489dfd2dep-1, -0x1.04a821c360262p-1, -0x1.0470427299a89p-1, -0x1.0430ad1051c38p-1, -0x1.03e96507001c5p-1, -0x1.039a6ec3f7e95p-1, -0x1.0343cfb43e436p-1, -0x1.02e58e412e8cfp-1, -0x1.027fb1cced263p-1, -0x1.021242aeae263p-1, -0x1.019d4a2ece56ep-1, -0x1.0120d282c349cp-1, -0x1.009ce6c8e4106p-1, -0x1.001193040d3bp-1, -0x1.fefdc82e40ad2p-2, -0x1.fdc9cf80c69f8p-2, -0x1.fc87592980561p-2, -0x1.fb3683f5cfdd5p-2, -0x1.f9d7704cb570ap-2, -0x1.f86a4024ad11fp-2, -0x1.f6ef16f95d121p-2, -0x1.f56619c11a61p-2, -0x1.f3cf6ee247ebcp-2, -0x1.f22b3e288e66p-2, -0x1.f079b0b9f85ddp-2, -0x1.eebaf10bf22a1p-2, -0x1.ecef2ad82e942p-2, -0x1.eb168b117827bp-2, -0x1.e9313fd86f991p-2, -0x1.e73f78703cf9ep-2, -0x1.e5416533342cap-2, -0x1.e337378771de6p-2, -0x1.e12121d37105fp-2, -0x1.deff5772a144fp-2, -0x1.dcd20ca9faa4cp-2, -0x1.da99769c962a1p-2, -0x1.d855cb404d724p-2, -0x1.d60741526007dp-2, -0x1.d3ae104c2659cp-2, -0x1.d14a7057d0219p-2, -0x1.cedc9a4535b35p-2, -0x1.cc64c77eba742p-2, -0x1.c9e331fe40e8ep-2, -0x1.c75814423b5a9p-2, -0x1.c4c3a942d0b67p-2, -0x1.c2262c671d934p-2, -0x1.bf7fd97a923e5p-2, -0x1.bcd0eca26f90fp-2, -0x1.ba19a25363e15p-2, -0x1.b75a37474960bp-2, -0x1.b492e87308f9bp-2, -0x1.b1c3f2fca220dp-2, -0x1.aeed94315806bp-2, -0x1.ac10097c09035p-2, -0x1.a92b905bac447p-2, -0x1.a6406659fc581p-2, -0x1.a34ec9024cd0fp-2, -0x1.a056f5d88b049p-2, -0x1.9d592a506e498p-2, -0x1.9a55a3c4d4a07p-2, -0x1.974c9f6f50a06p-2, -0x1.943e5a5fe6e14p-2, -0x1.912b1174fa067p-2, -0x1.8e1301536d517p-2, -0x1.8af6665ef2bf5p-2, -0x1.87d57cb290909p-2, -0x1.84b0801958838p-2, -0x1.8187ac074effp-2, -0x1.7e5b3b928bdabp-2, -0x1.7b2b696c8954bp-2, -0x1.77f86fdbac345p-2, -0x1.74c288b4f9aa7p-2, -0x1.7189ed5609016p-2, -0x1.6e4ed69f237b6p-2, -0x1.6b117ced9c0bbp-2, -0x1.67d218165933p-2, -0x1.6490df609483cp-2, -0x1.614e0980ccba9p-2, -0x1.5e09cc93ed0dap-2, -0x1.5ac45e1aa7812p-2, -0x1.577df2f500edap-2, -0x1.5436bf5e131f8p-2, -0x1.50eef6e7fcb3dp-2, -0x1.4da6cc78085f1p-2, -0x1.4a5e724302621p-2, -0x1.471619c9bfb22p-2, -0x1.43cdf3d5d7b3cp-2, -0x1.408630768ad3p-2, -0x1.3d3efefddbae8p-2, -0x1.39f88dfdd6712p-2, -0x1.36b30b4604972p-2, -0x1.336ea3e111846p-2, -0x1.302b84129aa5ap-2, -0x1.2ce9d7552a3a6p-2, -0x1.29a9c85860bddp-2, -0x1.266b80ff48881p-2, -0x1.232f2a5ed1e6p-2, -0x1.1ff4ecbc79d9ap-2, -0x1.1cbcef8d19c26p-2, -0x1.19875973de29p-2, -0x1.165450416521p-2, -0x1.1323f8f3020c1p-2, -0x1.0ff677b228119p-2, -0x1.0ccbefd3f7c51p-2, -0x1.09a483d8f0dd7p-2, -0x1.0680556cc86c9p-2, -0x1.035f85665f329p-2, -0x1.004233c7d79b6p-2, -0x1.fa50ff7da31d5p-3, -0x1.f4250f497ce1ap-3, -0x1.ee00d1feb50b4p-3, -0x1.e7e481027d074p-3, -0x1.e1d0541525289p-3, -0x1.dbc48153af84p-3, -0x1.d5c13d39a7694p-3, -0x1.cfc6baa31dcc8p-3, -0x1.c9d52acee505ap-3, -0x1.c3ecbd60f6c7dp-3, -0x1.be0da06508b7ap-3, -0x1.b838005154e6ep-3, -0x1.b26c0809857f9p-3, -0x1.aca9e0e1d4548p-3, -0x1.a6f1b2a2493b2p-3, -0x1.a143a38a26231p-3, -0x1.9b9fd85378ffap-3, -0x1.96067436c8f6fp-3, -0x1.907798eeef8b2p-3, -0x1.8af366bd0fac1p-3, -0x1.8579fc6ca3a8p-3, -0x1.800b7757b5546p-3, -0x1.7aa7f36b2c343p-3, -0x1.754f8b2b2fda1p-3, -0x1.700257b7b01c5p-3, -0x1.6ac070d0f99ap-3, -0x1.6589ecdc66657p-3, -0x1.605ee0e923cb8p-3, -0x1.5b3f60b5054cp-3, -0x1.562b7eb17114dp-3, -0x1.51234c0857ecp-3, -0x1.4c26d8a141553p-3, -0x1.473633265fa1ep-3, -0x1.42516909b83cp-3, -0x1.3d78868a4db43p-3, -0x1.38ab96b9618e7p-3, -0x1.33eaa37fb52edp-3, -0x1.2f35b5a2d4724p-3, -0x1.2a8cd4ca6bb77p-3, -0x1.25f00785a08a7p-3, -0x1.215f53506eb7p-3, -0x1.1cdabc990e264p-3, -0x1.186246c555377p-3, -0x1.13f5f43821419p-3, -0x1.0f95c656bf149p-3, -0x1.0b41bd8e553cfp-3, -0x1.06f9d95949004p-3, -0x1.02be1844aa634p-3, -0x1.fd1cefeb25fc4p-4, -0x1.f4d5ea5d10ab3p-4, -0x1.eca717a9b720cp-4, -0x1.e4906debfd3cdp-4, -0x1.dc91e199b6456p-4, -0x1.d4ab658e34d1bp-4, -0x1.ccdceb14dc77fp-4, -0x1.c52661f3a020bp-4, -0x1.bd87b8756b3eap-4, -0x1.b600db748239cp-4, -0x1.ae91b664c6b55p-4, -0x1.a73a335df309bp-4, -0x1.9ffa3b25b6142p-4, -0x1.98d1b539bf8acp-4, -0x1.91c087d9b7bc1p-4, -0x1.8ac698111acdep-4, -0x1.83e3c9c0fee07p-4, -0x1.7d17ffa9beedp-4, -0x1.76631b748a5f5p-4, -0x1.6fc4fdbce3452p-4, -0x1.693d8619f0af5p-4, -0x1.62cc9327c6852p-4, -0x1.5c72029081b66p-4, -0x1.562db11552d6p-4, -0x1.4fff7a976368fp-4, -0x1.49e73a209f69ap-4, -0x1.43e4c9ec616a3p-4, -0x1.3df8036ffb5a6p-4, -0x1.3820bf6323dc1p-4, -0x1.325ed5c844fb8p-4, -0x1.2cb21df49f465p-4, -0x1.271a6e985d3adp-4, -0x1.21979dc67ae8cp-4, -0x1.1c2980fc89af7p-4, -0x1.16cfed2a5dd08p-4, -0x1.118ab6b990bc7p-4, -0x1.0c59b194e7395p-4, -0x1.073cb12f92106p-4, -0x1.0233888c4f98dp-4, -0x1.fa7c1488d533fp-5, -0x1.f0b8111d27c5p-5, -0x1.e71aaa8b3f722p-5, -0x1.dda383de3d124p-5, -0x1.d4523f839bf46p-5, -0x1.cb267f57e97bfp-5, -0x1.c21fe4b31dbd8p-5, -0x1.b93e1074befa8p-5, -0x1.b080a30fc67c7p-5, -0x1.a7e73c96320c9p-5, -0x1.9f717cc45f973p-5, -0x1.971f030c1c1aap-5, -0x1.8eef6e9f80fa6p-5, -0x1.86e25e7b7c87p-5, -0x1.7ef77172212bfp-5, -0x1.772e4634b2784p-5, -0x1.6f867b5d79813p-5, -0x1.67ffaf794a1b2p-5, -0x1.60998110d34b6p-5, -0x1.59538eb1b1195p-5, -0x1.522d76f734d65p-5, -0x1.4b26d892fde61p-5, -0x1.443f52554e452p-5, -0x1.3d7683351eabdp-5, -0x1.36cc0a5800bb6p-5, -0x1.303f8719b909fp-5, -0x1.29d09913a8a1p-5, -0x1.237ee023fcc7ep-5, -0x1.1d49fc749d5c9p-5, -0x1.17318e81e8828p-5, -0x1.11353721338f6p-5, -0x1.0b5497871de04p-5, -0x1.058f514d9a7fcp-5, -0x1.ffca0cf3bb4dap-6, -0x1.f4aab303f354cp-6, -0x1.e9bfdaa4bf87dp-6, -0x1.df08caa6468ddp-6, -0x1.d484cada0e037p-6, -0x1.ca33241cc17ebp-6, -0x1.c013205f87944p-6, -0x1.b6240ab10b90ap-6, -0x1.ac652f46196b2p-6, -0x1.a2d5db81dd8ap-6, -0x1.99755dfdd39ap-6, -0x1.904306914907bp-6, -0x1.873e2658a7e19p-6, -0x1.7e660fbc425bbp-6, -0x1.75ba1676f637dp-6, -0x1.6d398f9c4c95fp-6, -0x1.64e3d19e79667p-6, -0x1.5cb83453e3f01p-6, -0x1.54b610fc824c9p-6, -0x1.4cdcc246c44e2p-6, -0x1.452ba45456fcfp-6, -0x1.3da214be89c9ap-6, -0x1.363f729a6e15p-6, -0x1.2f031e7cbfd4cp-6, -0x1.27ec7a7d6e85p-6, -0x1.20faea3b088afp-6, -0x1.1a2dd2ddb6014p-6, -0x1.13849b1a21384p-6, -0x1.0cfeab34111a5p-6, -0x1.069b6d00b40c1p-6, -0x1.005a4be8c79d1p-6, -0x1.f47569d4f51d2p-7, -0x1.e8782d364c136p-7, -0x1.dcbbc25179e57p-7, -0x1.d13f0cb60749ap-7, -0x1.c600f32967f39p-7, -0x1.bb005fa888dd8p-7, -0x1.b03c3f6943d4ap-7, -0x1.a5b382db40a6fp-7, -0x1.9b651da89c9d9p-7, -0x1.915006b62f72dp-7, -0x1.8773382358a81p-7, -0x1.7dcdaf49b7beap-7, -0x1.745e6cbc564c8p-7, -0x1.6b2474469c952p-7, -0x1.621ecceb0b071p-7, -0x1.594c80e1848a2p-7, -0x1.50ac9d9568f4p-7, -0x1.483e33a360ad2p-7, -0x1.400056d6eee9p-7, -0x1.37f21e27aeddfp-7, -0x1.3012a3b676f2fp-7, -0x1.286104ca0f237p-7, -0x1.20dc61cbd31f3p-7, -0x1.1983de4410ffcp-7, -0x1.1256a0d632effp-7, -0x1.0b53d33ca7a91p-7, -0x1.047aa244b24fdp-7, -0x1.fb947b93ee5e1p-8, -0x1.ee83b163b3724p-8, -0x1.e1c151cd88097p-8, -0x1.d54bcea650f62p-8, -0x1.c9219fb8f3e94p-8, -0x1.bd4142bba4217p-8, -0x1.b1a93b4559e38p-8, -0x1.a65812c28d5bep-8, -0x1.9b4c586a138f5p-8, -0x1.9084a1317dc1ep-8, -0x1.85ff87c14c1cbp-8, -0x1.7bbbac69030ddp-8, -0x1.71b7b512d010dp-8, -0x1.67f24d373bb26p-8, -0x1.5e6a25d0a107dp-8, -0x1.551df54e4a83fp-8, -0x1.4c0c778786ea5p-8, -0x1.43346daec1ebap-8, -0x1.3a949e43ff691p-8, -0x1.322bd507d1b9ep-8, -0x1.29f8e2edb6d0ep-8, -0x1.21fa9e0e832cfp-8, -0x1.1a2fe19acde9cp-8, -0x1.12978dcd07875p-8, -0x1.0b3087dbc042dp-8, -0x1.03f9b9ebb3e3dp-8, -0x1.f9e4260358e18p-9, -0x1.ec310de947517p-9, -0x1.ded81cbf1ef6bp-9, -0x1.d1d74d2674a6ep-9, -0x1.c52ca3103632dp-9, -0x1.b8d62ba0594b5p-9, -0x1.acd1fd113a759p-9, -0x1.a11e3697425ddp-9, -0x1.95b900447a46cp-9, -0x1.8aa08aebda1a7p-9, -0x1.7fd3100509e2bp-9, -0x1.754ed18fbded2p-9, -0x1.6b1219f75a6d4p-9, -0x1.611b3bf6b1949p-9, -0x1.5768927ba0739p-9, -0x1.4df8808a8d745p-9, -0x1.44c97122fc5e6p-9, -0x1.3bd9d72287f65p-9, -0x1.33282d29aa5bfp-9, -0x1.2ab2f57f88a4fp-9, -0x1.2278b9f615b97p-9, -0x1.1a780bcec39d7p-9, -0x1.12af839ec4239p-9, -0x1.0b1dc133e34ecp-9, -0x1.03c16b791374ap-9, -0x1.f93260b6d86d6p-10, -0x1.eb47895f04dc7p-10, -0x1.ddbfc82ce8308p-10, -0x1.d098a1c66c3e9p-10, -0x1.c3cfa80148b93p-10, -0x1.b76279adc74c2p-10, -0x1.ab4ec2634e94bp-10, -0x1.9f923a4c4d3ap-10, -0x1.942aa5f3a3d2dp-10, -0x1.8915d610fc13ep-10, -0x1.7e51a7573eacap-10, -0x1.73dc024218334p-10, -0x1.69b2dae48e87fp-10, -0x1.5fd430b7feedfp-10, -0x1.563e0e6b6af49p-10, -0x1.4cee89b32f35ep-10, -0x1.43e3c31946d22p-10, -0x1.3b1be5ce5f362p-10, -0x1.3295277a8c2d7p-10, -0x1.2a4dc80f8cc72p-10, -0x1.2244119a1406bp-10, -0x1.1a76581537056p-10, -0x1.12e2f93d6ddd3p-10, -0x1.0b885c63a216cp-10, -0x1.0464f241ea822p-10, -0x1.faee699faaea8p-11, -0x1.ed7b4e2f6dcb9p-11, -0x1.e06daa17d2e79p-11, -0x1.d3c2a6ba79b6ap-11, -0x1.c7777ea27628dp-11, -0x1.bb897d33761a5p-11, -0x1.aff5fe57bb84fp-11, -0x1.a4ba6e313f504p-11, -0x1.99d448cb352f4p-11, -0x1.8f4119ca92d6ep-11, -0x1.84fe7c2386779p-11, -0x1.7b0a19cc0d194p-11, -0x1.7161ab71e815p-11, -0x1.6802f830ec2dep-11, -0x1.5eebd549b17d8p-11, -0x1.561a25daa2afdp-11, -0x1.4d8bda98dddc8p-11, -0x1.453ef18a472acp-11, -0x1.3d3175c138e46p-11, -0x1.35617f1875484p-11, -0x1.2dcd31f02a2fdp-11, -0x1.2672beec63118p-11, -0x1.1f5062b4911cep-11, -0x1.186465b3375dcp-11, -0x1.11ad1bd71500dp-11, -0x1.0b28e455474aep-11, -0x1.04d6296c2315ep-11, -0x1.fd66c04f9276fp-12, -0x1.f17e104b4ab41p-12, -0x1.e5ef56b87c04cp-12, -0x1.dab7bbc0401bbp-12, -0x1.cfd47b5958b2cp-12, -0x1.c542e4d8e8063p-12, -0x1.bb005a84ad121p-12, -0x1.b10a512848aeep-12, -0x1.a75e4fabd5599p-12, -0x1.9df9eeac46bfap-12, -0x1.94dad81520eafp-12, -0x1.8bfec6bc97119p-12, -0x1.83638600f1cfcp-12, -0x1.7b06f1686e95ep-12, -0x1.72e6f4403de8ep-12, -0x1.6b01894135b3cp-12, -0x1.6354ba32999acp-12, -0x1.5bde9f90d5777p-12, -0x1.549d6033b6206p-12, -0x1.4d8f30f8fffbep-12, -0x1.46b2546e3100fp-12, -0x1.40051a7c7bf97p-12, -0x1.3985e017210ccp-12, -0x1.33330eea32612p-12, -0x1.2d0b1d0b3c6c2p-12, -0x1.270c8cabceccp-12, -0x1.2135ebcd11183p-12, -0x1.1b85d3f481d4fp-12, -0x1.15fae9e3d3708p-12, -0x1.1093dd4f39c8ap-12, -0x1.0b4f68987a5c2p-12, -0x1.062c5087ec372p-12, -0x1.0129640a5677ep-12, -0x1.f88af7d964c93p-13, -0x1.eefef5393e234p-13, -0x1.e5ac97ce61ae5p-13, -0x1.dc91c9761d1c2p-13, -0x1.d3ac85d5fec75p-13, -0x1.cafad9e3afeabp-13, -0x1.c27ae36e7548ap-13, -0x1.ba2ad0ad186c7p-13, -0x1.b208dfcbd39fap-13, -0x1.aa135e7e87d94p-13, -0x1.a248a99430a2p-13, -0x1.9aa72c8d5e95fp-13, -0x1.932d6133caed7p-13, -0x1.8bd9cf370fdfbp-13, -0x1.84ab0bc5f66c6p-13, -0x1.7d9fb930c5fcbp-13, -0x1.76b68687ad1eap-13, -0x1.6fee2f3f3215ep-13, -0x1.69457ad52e225p-13, -0x1.62bb3c77c3e1dp-13, -0x1.5c4e52ae434a3p-13, -0x1.55fda70569d2fp-13, -0x1.4fc82dbb22b83p-13, -0x1.49ace56e5a464p-13, -0x1.43aad6cf1933fp-13, -0x1.3dc1145184612p-13, -0x1.37eeb9e1e47e7p-13, -0x1.3232ec9b1b345p-13, -0x1.2c8cda7e47d4dp-13, -0x1.26fbba2c5e269p-13, -0x1.217ecaa1c4004p-13, -0x1.1c1552f337a79p-13, -0x1.16bea20b91f65p-13, -0x1.117a0e6cc7dd7p-13, -0x1.0c46f5f0b7a98p-13, -0x1.0724bd8cf698p-13, -0x1.0212d116c6f4ep-13, -0x1.fa2146137aefbp-14, -0x1.f03b589e5efbbp-14, -0x1.e672d80ed941bp-14, -0x1.dcc6cea716413p-14, -0x1.d33652439da7cp-14, -0x1.c9c083f43ed33p-14, -0x1.c0648f9941003p-14, -0x1.b721ab82debdcp-14, -0x1.adf718120ea4ep-14, -0x1.a4e41f5e43e12p-14, -0x1.9be814dab4f25p-14, -0x1.9302550075dbep-14, -0x1.8a3244f95060ep-14, -0x1.8177524dd5ac2p-14, -0x1.78d0f294a1ac5p-14, -0x1.703ea324d1032p-14, -0x1.67bfe8ca3ee63p-14, -0x1.5f544f7b55fb7p-14, -0x1.56fb6a1122ee5p-14, -0x1.4eb4d202839dap-14, -0x1.4680271fbd544p-14, -0x1.3e5d0f50eb545p-14, -0x1.364b36566907ep-14, -0x1.2e4a4d8b1936ap-14, -0x1.265a0ba58e44p-14, -0x1.1e7a2c8167fbep-14, -0x1.16aa70e326055p-14, -0x1.0eea9e425d7f7p-14, -0x1.073a7e94cb1d9p-14, -0x1.ff33c0320402p-15, -0x1.f0112a4ada091p-15, -0x1.e10ce7ed7561fp-15, -0x1.d226ad01d8bfdp-15, -0x1.c35e34831ab05p-15, -0x1.b4b3402701b8dp-15, -0x1.a6259805b1bf1p-15, -0x1.97b50a4a57527p-15, -0x1.89616adedfd3fp-15, -0x1.7b2a931f75532p-15, -0x1.6d10618f371cbp-15, -0x1.5f12b98ebf741p-15, -0x1.5131831643478p-15, -0x1.436caa71b575cp-15, -0x1.35c41ffd889bcp-15, -0x1.2837d7e812f2bp-15, -0x1.1ac7c9f40ca5fp-15, -0x1.0d73f13c8c106p-15, -0x1.003c4bfc29058p-15, -0x1.e641b6ae16ae2p-16, -0x1.cc43464648853p-16, -0x1.b27d536ca734p-16, -0x1.98efef6caad0fp-16, -0x1.7f9b2fcbdc4bp-16, -0x1.667f2df514dfcp-16, -0x1.4d9c06de01074p-16, -0x1.34f1daae54727p-16, -0x1.1c80cc75d883p-16, -0x1.044901d6f90d1p-16, -0x1.d89545814943p-17, -0x1.a90bb24450836p-17, -0x1.79f5a153e97d4p-17, -0x1.4b536d0154406p-17, -0x1.1d2572151978cp-17, -0x1.ded81eaad0141p-18, -0x1.844f4a256186ap-18, -0x1.2ab12971f5d1fp-18, -0x1.a3fd01802ec12p-19, -0x1.e8e0535d5711p-20, -0x1.1af552c3e85ddp-21, 0x1.9467d83540984p-21, 0x1.0f143246f9d33p-19, 0x1.b72fe028360bdp-19, 0x1.2eb5c2d008cc3p-18, 0x1.80e2d7b7bb673p-18, 0x1.d21e792f2507bp-18, 0x1.1133fb0c1795bp-17, 0x1.38df51302736fp-17, 0x1.6010ebbad87dp-17, 0x1.86c87a5669323p-17, 0x1.ad05afe0afb6p-17, 0x1.d2c842933c61cp-17, 0x1.f80fec38bbd5cp-17, 0x1.0e6e352b1f782p-16, 0x1.2096bf2a7c79p-16, 0x1.328176d3e9974p-16, 0x1.442e40f9c9abap-16, 0x1.559d0493ee8a8p-16, 0x1.66cdaad1b0e06p-16, 0x1.77c01f2796449p-16, 0x1.88744f5c167a1p-16, 0x1.98ea2b90c7cadp-16, 0x1.a921a651a9eb6p-16, 0x1.b91ab49a81f4ep-16, 0x1.c8d54de099076p-16, 0x1.d8516c1b8a3ffp-16, 0x1.e78f0bc9e7acp-16, 0x1.f68e2bf5d2442p-16, 0x1.02a7671f3e5fdp-15, 0x1.09e87b6ab6de8p-15, 0x1.110a5643109ecp-15, 0x1.180cfc5b6599bp-15, 0x1.1ef073b57117bp-15, 0x1.25b4c3a0b7847p-15, 0x1.2c59f4bc0c43ep-15, 0x1.32e010f3c6b02p-15, 0x1.3947238283933p-15, 0x1.3f8f38ef115ep-15, 0x1.45b85f0c6c31dp-15, 0x1.4bc2a4f74c6a7p-15, 0x1.51ae1b142bb17p-15, 0x1.577ad30e3274p-15, 0x1.5d28dfd4e621cp-15, 0x1.62b855984eb4fp-15, 0x1.682949c81b47fp-15, 0x1.6d7bd30f7e1ddp-15, 0x1.72b00952d8b78p-15, 0x1.77c605ab340fdp-15, 0x1.7cbde265055a9p-15, 0x1.8197baf9f8118p-15, 0x1.8653ac0e83b2ep-15, 0x1.8af1d36e61a21p-15, 0x1.8f7250077c1ddp-15, 0x1.93d541e5cbb9bp-15, 0x1.981aca2ffc70fp-15, 0x1.9c430b2200613p-15, 0x1.a04e2808be6d9p-15, 0x1.a43c453dea503p-15, 0x1.a80d882266b1bp-15, 0x1.abc2171a0a7eep-15, 0x1.af5a19869e486p-15, 0x1.b2d5b7c318afep-15, 0x1.b6351b1ddea13p-15, 0x1.b9786dd464443p-15, 0x1.bc9fdb0d9f4afp-15, 0x1.bfab8ed5234d5p-15, 0x1.c29bb61580462p-15, 0x1.c5707e92cbefep-15, 0x1.c82a16e64bb85p-15, 0x1.cac8ae7819b19p-15, 0x1.cd4c757a7b4b5p-15, 0x1.cfb59ce3d01fep-15, 0x1.d2045669e3a27p-15, 0x1.d438d47bb9b18p-15, 0x1.d6534a3cdd637p-15, 0x1.d853eb7fea075p-15, 0x1.da3aecc092cd1p-15, 0x1.dc08831e8bf8ap-15, 0x1.ddbce458adb9fp-15, 0x1.df5846c6c2307p-15, 0x1.e0dae1548eae9p-15, 0x1.e244eb7c1730fp-15, 0x1.e3969d41308b3p-15, 0x1.e4d02f2b76c51p-15, 0x1.e5f1da414e70fp-15, 0x1.e6fbd8028d04cp-15, 0x1.e7ee62632a90dp-15, 0x1.e8c9b3c686d24p-15, 0x1.e98e06f9b4f3dp-15, 0x1.ea3b972f35b82p-15, 0x1.ead29ff8ff228p-15, 0x1.eb535d43f4b26p-15, 0x1.ebbe0b53058cap-15, 0x1.ec12e6ba3c97bp-15, 0x1.ec522c59ba412p-15, 0x1.ec7c1958f3cc7p-15, 0x1.ec90eb2242f9cp-15, 0x1.ec90df5dabeap-15, 0x1.ec7c33ec5ceb5p-15, 0x1.ec5326e469b84p-15, 0x1.ec15f68c20646p-15, 0x1.ebc4e155302b5p-15, 0x1.eb6025d88d0ap-15, 0x1.eae802d268f5ep-15, 0x1.ea5cb71d824d9p-15, 0x1.e9be81aef6df5p-15, 0x1.e90da191b493dp-15, 0x1.e84a55e3099b9p-15, 0x1.e774ddce30d75p-15, 0x1.e68d7888937acp-15, 0x1.e594654dd21dap-15, 0x1.e489e35badbd2p-15, 0x1.e36e31ee5489p-15, 0x1.e241903c9d09cp-15, 0x1.e1043d74c9d37p-15, 0x1.dfb678b85bd3cp-15, 0x1.de588118b3ca3p-15, 0x1.dcea9593cb2c2p-15, 0x1.db6cf510feafbp-15, 0x1.d9dfde5d192aap-15, 0x1.d843902797e46p-15, 0x1.d69848fefaa1cp-15, 0x1.d4de474df98dbp-15, 0x1.d315c9588f89bp-15, 0x1.d13f0d38c9c45p-15, 0x1.cf5a50dbab7c9p-15, 0x1.cd67d1fe9884ep-15, 0x1.cb67ce2c3b2ffp-15, 0x1.c95a82ba097ccp-15, 0x1.c7402cc5627fbp-15, 0x1.c519093124217p-15, 0x1.c2e554a309be1p-15, 0x1.c0a54b810da61p-15, 0x1.be5929ef393b4p-15, 0x1.bc012bcce54c3p-15, 0x1.b99d8cb2c8858p-15, 0x1.b72e87f04dc7bp-15, 0x1.b4b45889ecd08p-15, 0x1.b22f3936e066dp-15, 0x1.af9f645edeb01p-15, 0x1.ad05141810365p-15, 0x1.aa6082255cadfp-15, 0x1.a7b1e7f476e12p-15, 0x1.a4f97e9bcf07p-15, 0x1.a2377ed8f5272p-15, 0x1.9f6c210f00e4ep-15, 0x1.9c979d44fd9d8p-15, 0x1.99ba2b240f2f9p-15, 0x1.96d401f5aba87p-15, 0x1.93e558a28feedp-15, 0x1.90ee65b0de0e4p-15, 0x1.8def5f4312f68p-15, 0x1.8ae87b16ef422p-15, 0x1.87d9ee838a573p-15, 0x1.84c3ee782d7cep-15, 0x1.81a6af7b70e06p-15, 0x1.7e8265aa089dcp-15, 0x1.7b5744b59bdf7p-15, 0x1.78257fe394106p-15, 0x1.74ed4a0c1917ap-15, 0x1.71aed59996204p-15, 0x1.6e6a54879f224p-15, 0x1.6b1ff861baad6p-15, 0x1.67cff242df7c4p-15, 0x1.647a72d47e04dp-15, 0x1.611faa4dced8fp-15, 0x1.5dbfc8736a86dp-15, 0x1.5a5afc965df85p-15, 0x1.56f17593c368p-15, 0x1.538361d3fac78p-15, 0x1.5010ef4a143afp-15, 0x1.4c9a4b73a1faap-15, 0x1.491fa35804e6cp-15, 0x1.45a12388149e9p-15, 0x1.421ef81df4a04p-15, 0x1.3e994cbc761e8p-15, 0x1.3b104c8ef2885p-15, 0x1.37842248ec6bp-15, 0x1.33f4f82620054p-15, 0x1.3062f7e9d2bc6p-15, 0x1.2cce4adec5c7ap-15, 0x1.293719d750217p-15, 0x1.259d8d2d5f9b9p-15, 0x1.2201ccc22772bp-15, 0x1.1e63fffe19196p-15, 0x1.1ac44dd0ed3a7p-15, 0x1.1722dcb180697p-15, 0x1.137fd29e37a85p-15, 0x1.0fdb551ca372fp-15, 0x1.0c35893a14e7dp-15, 0x1.088e938b53ec4p-15, 0x1.04e6982d11064p-15, 0x1.013dbac3d74f6p-15, 0x1.fb283cf951a3ep-16, 0x1.f3d3cc19a4717p-16, 0x1.ec7e67644c825p-16, 0x1.e5285266a63d9p-16, 0x1.ddd1cfc09e942p-16, 0x1.d67b2125bf0ep-16, 0x1.cf24875d03472p-16, 0x1.c7ce4241d74c5p-16, 0x1.c07890c502838p-16, 0x1.b923b0ed5101cp-16, 0x1.b1cfdfd89cb71p-16, 0x1.aa7d59bc78357p-16, 0x1.a32c59e724681p-16, 0x1.9bdd1ac0479a1p-16, 0x1.948fd5ca69351p-16, 0x1.8d44c3a43f613p-16, 0x1.85fc1c08b63a3p-16, 0x1.7eb615d06b8d8p-16, 0x1.7772e6f32645ep-16, 0x1.7032c488ae978p-16, 0x1.68f5e2c9d2211p-16, 0x1.61bc751198536p-16, 0x1.5a86addf57ab9p-16, 0x1.5354bed709495p-16, 0x1.4c26d8c288de4p-16, 0x1.44fd2b93880ap-16, 0x1.3dd7e6642b6ffp-16, 0x1.36b73778cd13ap-16, 0x1.2f9b4c4147cf7p-16, 0x1.2884515a4d9afp-16, 0x1.2172728eabcd3p-16, 0x1.1a65dad94f0b2p-16, 0x1.135eb46653a8bp-16, 0x1.0c5d289454016p-16, 0x1.05615ff5817ebp-16, 0x1.fcd704a3f2767p-17, 0x1.eef76d51a7558p-17, 0x1.e124466346751p-17, 0x1.d35ddabd343cp-17, 0x1.c5a473bb000cp-17, 0x1.b7f8593210ce1p-17, 0x1.aa59d1751b411p-17, 0x1.9cc92158f67c4p-17, 0x1.8f468c357fa2ap-17, 0x1.81d253e9f6c7bp-17, 0x1.746cb8e02d2f9p-17, 0x1.6715fa0f306a2p-17, 0x1.59ce54ff24127p-17, 0x1.4c9605cce257bp-17, 0x1.3f6d472cd8d04p-17, 0x1.3254526e2dcadp-17, 0x1.254b5f7dd39b4p-17, 0x1.1852a4ea0847dp-17, 0x1.0b6a57e5e55a4p-17, 0x1.fd2558993e8c5p-18, 0x1.e397a94bb8805p-18, 0x1.ca2c044ef7944p-18, 0x1.b0e2c972b35b1p-18, 0x1.97bc55f192618p-18, 0x1.7eb9047926058p-18, 0x1.65d92d2f503d1p-18, 0x1.4d1d25ba0a1b2p-18, 0x1.34854144503dep-18, 0x1.1c11d0868b4ffp-18, 0x1.03c321cd536ecp-18, 0x1.d73301fe9e93ap-19, 0x1.a72a6f4b161cfp-19, 0x1.776d19dee1fddp-19, 0x1.47fb8b778d5a7p-19, 0x1.18d6493e43f75p-19, 0x1.d3fba7aaa7ac6p-20, 0x1.76e54ec645b04p-20, 0x1.1a6a774214756p-20, 0x1.7d180fa81cc4fp-21, 0x1.8d2b7a3bbb5p-22, 0x1.14fa1fb8ba28fp-25, -0x1.45714f10b4a07p-22, -0x1.558195e95e1b6p-21, -0x1.0384d80a3eb8p-20, -0x1.5ba7c694d7a54p-20, -0x1.b328ea2c6c532p-20, -0x1.0503cf2ab5ca4p-19, -0x1.3021a3352964ep-19, -0x1.5aeda6baf94b1p-19, -0x1.8567930fb19c2p-19, -0x1.af8f25494b859p-19, -0x1.d9641e34ba88cp-19, -0x1.01732122ce031p-18, -0x1.160aacc538764p-18, -0x1.2a7897d0e22b2p-18, -0x1.3ebcc9d68c4d2p-18, -0x1.52d72c218f1a7p-18, -0x1.66c7a9b13ffedp-18, -0x1.7a8e2f334e682p-18, -0x1.8e2aaafe2c6c5p-18, -0x1.a19d0d0b51197p-18, -0x1.b4e546efd88d4p-18, -0x1.c8034bd5ab3a6p-18, -0x1.daf7107779ca6p-18, -0x1.edc08b1a91093p-18, -0x1.002fd9c429f1ep-17, -0x1.096a4183d0c17p-17, -0x1.128f7a2bcc142p-17, -0x1.1b9f81d507214p-17, -0x1.249a574ee859ep-17, -0x1.2d7ffa1c377b2p-17, -0x1.36506a7037127p-17, -0x1.3f0ba92c0c1ebp-17, -0x1.47b1b7dc3ec4ep-17, -0x1.504298b52d85bp-17, -0x1.58be4e900df88p-17, -0x1.6124dce96a90cp-17, -0x1.697647ddc562cp-17, -0x1.71b29426264c4p-17, -0x1.79d9c716bcc11p-17, -0x1.81ebe69bb2fc4p-17, -0x1.89e8f93620e51p-17, -0x1.91d105f94703p-17, -0x1.99a41488abb4dp-17, -0x1.a1622d15e4d0fp-17, -0x1.a90b585cd4f51p-17, -0x1.b09f9fa142b6p-17, -0x1.b81f0cad496cap-17, -0x1.bf89a9ce23c12p-17, -0x1.c6df81d23ecb4p-17, -0x1.ce20a005d7f06p-17, -0x1.d54d1031a3032p-17, -0x1.dc64de9799218p-17, -0x1.e36817f10611p-17, -0x1.ea56c96bcebaap-17, -0x1.f13100a891433p-17, -0x1.f7f6cbb878c2bp-17, -0x1.fea83919ce29cp-17, -0x1.02a2abdb6b4b1p-16, -0x1.05e71b71a33d7p-16, -0x1.0921732cf0baep-16, -0x1.0c51bb1d5dc7p-16, -0x1.0f77fb8432dfp-16, -0x1.12943cd2f5bb6p-16, -0x1.15a687aa69819p-16, -0x1.18aee4d9990c8p-16, -0x1.1bad5d5cf280ep-16, -0x1.1ea1fa5cde4a8p-16, -0x1.218cc52c84384p-16, -0x1.246dc74989e98p-16, -0x1.27450a5a959edp-16, -0x1.2a12982e59f39p-16, -0x1.2cd67aba91bdp-16, -0x1.2f90bc1b50386p-16, -0x1.324166920084ap-16, -0x1.34e88483e1f68p-16, -0x1.37862079f1c26p-16, -0x1.3a1a451f4067ap-16, -0x1.3ca4fd4099c74p-16, -0x1.3f2653cb3d478p-16, -0x1.419e53cc58851p-16, -0x1.440d086fa1ebcp-16, -0x1.46727cfee9bdfp-16, -0x1.48cebce11f523p-16, -0x1.4b21d39970417p-16, -0x1.4d6bccc66f822p-16, -0x1.4facb4213df4ap-16, -0x1.51e4957cdd72dp-16, -0x1.54137cc5360ddp-16, -0x1.563975fe6a8e3p-16, -0x1.58568d4409a64p-16, -0x1.5a6acec7e8ab9p-16, -0x1.5c7646d205536p-16, -0x1.5e7901bf880e3p-16, -0x1.60730c01c9fd6p-16, -0x1.6264721ddb2c4p-16, -0x1.644d40ab7ad5p-16, -0x1.662d8454fbffp-16, -0x1.680549d58eaap-16, -0x1.69d49df9bd2f9p-16, -0x1.6b9b8d9de5b59p-16, -0x1.6d5a25adb650ep-16, -0x1.6f107323f07dfp-16, -0x1.70be8309001eap-16, -0x1.72646272ffcdp-16, -0x1.74021e84dba3fp-16, -0x1.7597c46da44ebp-16, -0x1.77256167db9cfp-16, -0x1.78ab02b919b74p-16, -0x1.7a28b5b128b39p-16, -0x1.7b9e87a9e7c21p-16, -0x1.7d0c8605bbfa6p-16, -0x1.7e72be300a228p-16, -0x1.7fd13d9c3a7b3p-16, -0x1.812811c522defp-16, -0x1.8277482c69abcp-16, -0x1.83beee5a20e2p-16, -0x1.84ff11dc418e2p-16, -0x1.8637c046032b9p-16, -0x1.8769072f6b3bap-16, -0x1.8892f434a5608p-16, -0x1.89b594f5da4afp-16, -0x1.8ad0f7167a242p-16, -0x1.8be5283c7d9a1p-16, -0x1.8cf23610b1886p-16, -0x1.8df82e3d15c1fp-16, -0x1.8ef71e6dc7f91p-16, -0x1.8fef144f41638p-16, -0x1.90e01d8eeec4fp-16, -0x1.91ca47da4ee4dp-16, -0x1.92ada0de132d3p-16, -0x1.938a364698b9bp-16, -0x1.946015bee4eecp-16, -0x1.952f4cf027603p-16, -0x1.95f7e9820d671p-16, -0x1.96b9f919471c5p-16, -0x1.97758958648fap-16, -0x1.982aa7de64205p-16, -0x1.98d96246dc47cp-16, -0x1.9981c62967e23p-16, -0x1.9a23e119b9a2dp-16, -0x1.9abfc0a64b91ep-16, -0x1.9b5572594096dp-16, -0x1.9be503b70cc14p-16, -0x1.9c6e823ed5d7ap-16, -0x1.9cf1fb699790ep-16, -0x1.9d6f7caa0bccap-16, -0x1.9de7136ca640ap-16, -0x1.9e58cd166c50bp-16, -0x1.9ec4b705c82f7p-16, -0x1.9f2ade91616edp-16, -0x1.9f8b510858163p-16, -0x1.9fe61bb1a110cp-16, -0x1.a03b4bcb9c402p-16, -0x1.a08aee8ca3298p-16, -0x1.a0d511219805fp-16, -0x1.a119c0aea3457p-16, -0x1.a1590a4e83047p-16, -0x1.a192fb12211f2p-16, -0x1.a1c7a00140217p-16, -0x1.a1f70618ba5c3p-16, -0x1.a2213a4b93b63p-16, -0x1.a24649821de65p-16, -0x1.a2664099d805dp-16, -0x1.a2812c656d1ffp-16, -0x1.a29719ac4bb5cp-16, -0x1.a2a8152a43066p-16, -0x1.a2b42b9030b76p-16, -0x1.a2bb698243844p-16, -0x1.a2bddb99925e1p-16, -0x1.a2bb8e62290ffp-16, -0x1.a2b48e5c87977p-16, -0x1.a2a8e7fc168c3p-16, -0x1.a298a7a81379p-16, -0x1.a283d9ba743b3p-16, -0x1.a26a8a8068b71p-16, -0x1.a24cc639d1eeap-16, -0x1.a22a991913e42p-16, -0x1.a2040f439ae81p-16, -0x1.a1d934d062bd4p-16, -0x1.a1aa15c96ebc5p-16, -0x1.a176be2a87029p-16, -0x1.a13f39e156b5ap-16, -0x1.a10394cdbee11p-16, -0x1.a0c3dac0cbd98p-16, -0x1.a080177d9556p-16, -0x1.a03856b888da5p-16, -0x1.9feca4171f7e9p-16, -0x1.9f9d0b30b339dp-16, -0x1.9f49978d272afp-16, -0x1.9ef254a5ef53ep-16, -0x1.9e974de5076d7p-16, -0x1.9e388ea595089p-16, -0x1.9dd6223358295p-16, -0x1.9d7013ca9b6c9p-16, -0x1.9d066e98b7e57p-16, -0x1.9c993dbaf9edfp-16, -0x1.9c288c3fcabf9p-16, -0x1.9bb465253b318p-16, -0x1.9b3cd35a45d15p-16, -0x1.9ac1e1bd744a8p-16, -0x1.9a439b1e2a249p-16, -0x1.99c20a3b26db9p-16, -0x1.993d39c3f9b15p-16, -0x1.98b5345786a75p-16, -0x1.982a048516273p-16, -0x1.979bb4cbded6p-16, -0x1.970a4f9a48c9ap-16, -0x1.9675df4f7e2ccp-16, -0x1.95de6e396ff5ep-16, -0x1.9544069668b47p-16, -0x1.94a6b2943dc2dp-16, -0x1.94067c5007effp-16, -0x1.93636dd74754ap-16, -0x1.92bd91260cca8p-16, -0x1.9214f0290db4bp-16, -0x1.916994bba51c9p-16, -0x1.90bb88a94106cp-16, -0x1.900ad5ac47fbfp-16, -0x1.8f57856f26878p-16, -0x1.8ea1a18b68a2p-16, -0x1.8de9338a7399fp-16, -0x1.8d2e44e49a72dp-16, -0x1.8c70df01ed6bap-16, -0x1.8bb10b39d4651p-16, -0x1.8aeed2d3202ccp-16, -0x1.8a2a3f040bee2p-16, -0x1.896358f23b092p-16, -0x1.889a29b2dba88p-16, -0x1.87ceba4a68114p-16, -0x1.870113ad38e97p-16, -0x1.86313ebe4266dp-16, -0x1.855f4450f65f8p-16, -0x1.848b2d2724414p-16, -0x1.83b501f323e9p-16, -0x1.82dccb55ed165p-16, -0x1.820291e096c3fp-16, -0x1.81265e137e431p-16, -0x1.8048385e6a8a3p-16, -0x1.7f68292136fc1p-16, -0x1.7e8638aabf6c8p-16, -0x1.7da26f39fb502p-16, -0x1.7cbcd4fd33f9ap-16, -0x1.7bd57212697afp-16, -0x1.7aec4e878f2cbp-16, -0x1.7a01725a3a416p-16, -0x1.7914e577a3eecp-16, -0x1.7826afbd3bb4ap-16, -0x1.7736d8f78722p-16, -0x1.764568e3d2e5fp-16, -0x1.7552672e71e45p-16, -0x1.745ddb7469f42p-16, -0x1.7367cd422c02ap-16, -0x1.72704414c08e2p-16, -0x1.71774758c9498p-16, -0x1.707cde6b7c96bp-16, -0x1.6f811099bcc81p-16, }}, 
      {{-0x1.f160c62611ffcp-1, -0x1.f13f5acbd15c4p-1, -0x1.f1024dd43c2d6p-1, -0x1.f0a55dd5ea697p-1, -0x1.f025c24dbeb37p-1, -0x1.ef826fab86a6dp-1, -0x1.eebbed4a0588bp-1, -0x1.edd3fd838deap-1, -0x1.eccd3afa2b76ap-1, -0x1.ebaabcfc56ae1p-1, -0x1.ea6fcafa9971dp-1, -0x1.e91fa16a6bfa6p-1, -0x1.e7bd47775d6aap-1, -0x1.e64b7373fbd4dp-1, -0x1.e4cc7b711f181p-1, -0x1.e3424f56d0cccp-1, -0x1.e1ae7a10d26a7p-1, -0x1.e01227b57f862p-1, -0x1.de6e2eeb49f52p-1, -0x1.dcc31c2bc18f3p-1, -0x1.db113dd4f23bbp-1, -0x1.d958b0407902bp-1, -0x1.d7996952504a4p-1, -0x1.d5d34320cebe5p-1, -0x1.d406057c8b6b6p-1, -0x1.d2316e3b71b1bp-1, -0x1.d055383f7a19bp-1, -0x1.ce712140b3fd1p-1, -0x1.cc84ee6cadb48p-1, -0x1.ca906ff3e4e67p-1, -0x1.c89383a1ab194p-1, -0x1.c68e169c73d81p-1, -0x1.c480266c896d5p-1, -0x1.c269c16606e4ep-1, -0x1.c04b069126b41p-1, -0x1.be242529aff66p-1, -0x1.bbf55bcbc45d4p-1, -0x1.b9bef761c86efp-1, -0x1.b78151e48df93p-1, -0x1.b53cd0fc7a0fdp-1, -0x1.b2f1e49026d49p-1, -0x1.b0a1054ae059dp-1, -0x1.ae4ab3238fb15p-1, -0x1.abef73eaeda6cp-1, -0x1.a98fd1e673123p-1, -0x1.a72c5a7c2bc87p-1, -0x1.a4c59cf286e54p-1, -0x1.a25c29464ad7cp-1, -0x1.9ff08f18152dbp-1, -0x1.9d835cb2248bdp-1, -0x1.9b151e26a6e23p-1, -0x1.98a65c8657854p-1, -0x1.96379d2ee42c9p-1, -0x1.93c9613048275p-1, -0x1.915c24c820aa7p-1, -0x1.8ef05ef1cc841p-1, -0x1.8c86810a1f62p-1, -0x1.8a1ef6854da9ep-1, -0x1.87ba24b5bfc5ep-1, -0x1.85586aa26c2e3p-1, -0x1.82fa20eb623b4p-1, -0x1.809f99bb3434ep-1, -0x1.7e4920c3fb292p-1, -0x1.7bf6fb46bb66fp-1, -0x1.79a96823fefc6p-1, -0x1.77609ff48cbddp-1, -0x1.751cd52931faep-1, -0x1.72de3430aa1f7p-1, -0x1.70a4e3a2b8bdfp-1, -0x1.6e71046fa6a38p-1, -0x1.6c42b2135b2cbp-1, -0x1.6a1a02cb5f824p-1, -0x1.67f707cf28238p-1, -0x1.65d9cd8a12109p-1, -0x1.63c25bd68cc8dp-1, -0x1.61b0b639fc9p-1, -0x1.5fa4dc20e57d2p-1, -0x1.5d9ec91b06b46p-1, -0x1.5b9e75171040ap-1, -0x1.59a3d49da9399p-1, -0x1.57aed90b8c98bp-1, -0x1.55bf70ca81256p-1, -0x1.53d58789043a3p-1, -0x1.51f106707e7cp-1, -0x1.5011d459e2307p-1, -0x1.4e37d6009f302p-1, -0x1.4c62ee33d282p-1, -0x1.4a92fe05a7f3p-1, -0x1.48c7e4f8e2025p-1, -0x1.4701812c7fc72p-1, -0x1.453faf85833a6p-1, -0x1.43824bd6d1bdfp-1, -0x1.41c931073853bp-1, -0x1.4014393593869p-1, -0x1.3e633ddb24789p-1, -0x1.3cb617ec1cfcap-1, -0x1.3b0c9ff66a6cap-1, -0x1.3966ae3ecca82p-1, -0x1.37c41adc431e7p-1, -0x1.3624bdd1e10d2p-1, -0x1.34886f270ffb3p-1, -0x1.32ef06fe55fe4p-1, -0x1.31585daaa4d89p-1, -0x1.2fc44bc34a2p-1, -0x1.2e32aa3685b5cp-1, -0x1.2ca3525ad976fp-1, -0x1.2b161dff1fca2p-1, -0x1.298ae77974af4p-1, -0x1.280189b500484p-1, -0x1.2679e03eb0eb9p-1, -0x1.24f3c750ed8cep-1, -0x1.236f1bde51dcp-1, -0x1.21ebbb9b7c038p-1, -0x1.20698507fafbbp-1, -0x1.1ee8577664b3ep-1, -0x1.1d681313a2244p-1, -0x1.1be898ed78fb2p-1, -0x1.1a69caf85f6e2p-1, -0x1.18eb8c149fe73p-1, -0x1.176dc012d9f75p-1, -0x1.15f04bb7e36aap-1, -0x1.147314c01839ep-1, -0x1.12f601e21bc49p-1, -0x1.1178fad11457cp-1, -0x1.0ffbe83e69ccep-1, -0x1.0e7eb3db0b6f2p-1, -0x1.0d01485845ba5p-1, -0x1.0b8391682a25dp-1, -0x1.0a057bbd954d1p-1, -0x1.0886f50bd222fp-1, -0x1.0707ec05e36cfp-1, -0x1.0588505d770acp-1, -0x1.040812c1896abp-1, -0x1.028724dcba0c2p-1, -0x1.010579535abd1p-1, -0x1.ff0607827082cp-2, -0x1.fbff716e47b93p-2, -0x1.f8f71b7080c6cp-2, -0x1.f5ecf26e2d915p-2, -0x1.f2e0e524e843bp-2, -0x1.efd2e4242e239p-2, -0x1.ecc2e1c65cb9ap-2, -0x1.e9b0d229522dbp-2, -0x1.e69cab26c42f5p-2, -0x1.e386644c42deep-2, -0x1.e06df6d2fc611p-2, -0x1.dd535d9736ffbp-2, -0x1.da36950f97656p-2, -0x1.d7179b4428d59p-2, -0x1.d3f66fc53655fp-2, -0x1.d0d313a1f457bp-2, -0x1.cdad895f0179cp-2, -0x1.ca85d4ecc0981p-2, -0x1.c75bfb9d932f1p-2, -0x1.c430041bf5676p-2, -0x1.c101f660809f3p-2, -0x1.bdd1dba7d8664p-2, -0x1.ba9fbe6885e2bp-2, -0x1.b76baa48c522ep-2, -0x1.b435ac14437b1p-2, -0x1.b0fdd1b1dc917p-2, -0x1.adc42a194bfaep-2, -0x1.aa88c548e10a5p-2, -0x1.a74bb43b33f24p-2, -0x1.a40d08dcdc38p-2, -0x1.a0ccd60230d36p-2, -0x1.9d8b2f5d0fc98p-2, -0x1.9a482972b3688p-2, -0x1.9703d9919526ep-2, -0x1.93be55c761385p-2, -0x1.9077b4d6fbba5p-2, -0x1.8d300e2ea0b56p-2, -0x1.89e779de12302p-2, -0x1.869e108ce901cp-2, -0x1.8353eb70fa501p-2, -0x1.80092444dbd6ap-2, -0x1.7cbdd53e8848fp-2, -0x1.79721906212c9p-2, -0x1.76260aacd533dp-2, -0x1.72d9c5a3e6b3ap-2, -0x1.6f8d65b3db003p-2, -0x1.6c4106f3c903fp-2, -0x1.68f4c5c0d5935p-2, -0x1.65a8beb5d441bp-2, -0x1.625d0ea3111d6p-2, -0x1.5f11d28646666p-2, -0x1.5bc72782b9da7p-2, -0x1.587d2ad98a61bp-2, -0x1.5533f9e22550bp-2, -0x1.51ebb202ec7cp-2, -0x1.4ea470aa06f49p-2, -0x1.4b5e53466306ap-2, -0x1.48197740e2713p-2, -0x1.44d5f9f5bbd49p-2, -0x1.4193f8ae03b65p-2, -0x1.3e5390996b9dcp-2, -0x1.3b14dec82d9bep-2, -0x1.37d8002528347p-2, -0x1.349d117029c67p-2, -0x1.31642f386d36cp-2, -0x1.2e2d75d7461afp-2, -0x1.2af9016af9bf8p-2, -0x1.27c6edd1cdd69p-2, -0x1.249756a53f9cfp-2, -0x1.216a573570a6ap-2, -0x1.1e400a84be556p-2, -0x1.1b188b43893e9p-2, -0x1.17f3f3cc2cf2fp-2, -0x1.14d25e1f20ac6p-2, -0x1.11b3e3df4c529p-2, -0x1.0e989e4e84334p-2, -0x1.0b80a64a358bcp-2, -0x1.086c14483e2cep-2, -0x1.055b0053ed75ep-2, -0x1.024d820b322bap-2, -0x1.fe876137e7b45p-3, -0x1.f87b45832878cp-3, -0x1.f276dd852eadcp-3, -0x1.ec7a54dcf4641p-3, -0x1.e685d6375601p-3, -0x1.e0998b4b58bf6p-3, -0x1.dab59cd6b86ffp-3, -0x1.d4da329ac1c0bp-3, -0x1.cf0773597accdp-3, -0x1.c93d84d30be32p-3, -0x1.c37c8bc373f1cp-3, -0x1.bdc4abe080acdp-3, -0x1.b81607d807cc6p-3, -0x1.b270c14e678ap-3, -0x1.acd4f8dd3da74p-3, -0x1.a742ce126857ep-3, -0x1.a1ba5f6f3b10dp-3, -0x1.9c3bca67f1cbap-3, -0x1.96c72b635f38bp-3, -0x1.915c9dbaced74p-3, -0x1.8bfc3bba23be5p-3, -0x1.86a61ea023618p-3, -0x1.815a5e9ef7bf3p-3, -0x1.7c1912dce7376p-3, -0x1.76e2517533f75p-3, -0x1.71b62f792d88ap-3, -0x1.6c94c0f16d79ep-3, -0x1.677e18df43875p-3, -0x1.6272493e424ecp-3, -0x1.5d716305fb83dp-3, -0x1.587b762bdf52cp-3, -0x1.539091a53c4f5p-3, -0x1.4eb0c3696c3f9p-3, -0x1.49dc187416e48p-3, -0x1.45129cc79efbp-3, -0x1.40545b6fa6fccp-3, -0x1.3ba15e83b206dp-3, -0x1.36f9af29ea936p-3, -0x1.325d5599f826fp-3, -0x1.2dcc591ff2e61p-3, -0x1.2946c01f6b65fp-3, -0x1.24cc90169146cp-3, -0x1.205dcda1645bap-3, -0x1.1bfa7c7cff55p-3, -0x1.17a29f8af15f5p-3, -0x1.135638d4af816p-3, -0x1.0f15498f0b417p-3, -0x1.0adfd21dc1ecp-3, -0x1.06b5d21715874p-3, -0x1.029748476db0cp-3, -0x1.fd08656a1eb57p-4, -0x1.f4f91d47a2071p-4, -0x1.ed00b131c6529p-4, -0x1.e51f18bd34fe1p-4, -0x1.dd544a10879eep-4, -0x1.d5a039ebfc0f3p-4, -0x1.ce02dbb133113p-4, -0x1.c67c216af7bf2p-4, -0x1.bf0bfbd50a7f3p-4, -0x1.b7b25a63f3013p-4, -0x1.b06f2b4cdcca8p-4, -0x1.a9425b8d6af5dp-4, -0x1.a22bd6f3913a6p-4, -0x1.9b2b88256eb58p-4, -0x1.944158a920f63p-4, -0x1.8d6d30ec92d05p-4, -0x1.86aef84d4da61p-4, -0x1.800695203c9e8p-4, -0x1.7973ecb965d53p-4, -0x1.72f6e373a70e7p-4, -0x1.6c8f5cb85591bp-4, -0x1.663d3b06e3d22p-4, -0x1.60005ffc7146bp-4, -0x1.59d8ac5b4f2dp-4, -0x1.53c60012743bbp-4, -0x1.4dc83a44e67a9p-4, -0x1.47df39511059p-4, -0x1.420adad805947p-4, -0x1.3c4afbc4b4c56p-4, -0x1.369f78530c415p-4, -0x1.31082c17019c6p-4, -0x1.2b84f2038dbadp-4, -0x1.2615a47191aa4p-4, -0x1.20ba1d26a1448p-4, -0x1.1b72355bbfec6p-4, -0x1.163dc5c40070cp-4, -0x1.111ca69310b46p-4, -0x1.0c0eaf83af583p-4, -0x1.0713b7de03aafp-4, -0x1.022b967de4b47p-4, -0x1.faac43b204596p-5, -0x1.f1266009ed279p-5, -0x1.e7c52d7a847c1p-5, -0x1.de8856d24c5dap-5, -0x1.d56f8642d8408p-5, -0x1.cc7a656c23bcdp-5, -0x1.c3a89d67b0f88p-5, -0x1.baf9d6d379aecp-5, -0x1.b26db9dca4c0ep-5, -0x1.aa03ee4a0c47ap-5, -0x1.a1bc1b8686c5cp-5, -0x1.9995e8ab018f9p-5, -0x1.9190fc88644ebp-5, -0x1.89acfdb13b867p-5, -0x1.81e9928330c7fp-5, -0x1.7a4661304b4e8p-5, -0x1.72c30fc7f79cfp-5, -0x1.6b5f443fea28fp-5, -0x1.641aa47cadef2p-5, -0x1.5cf4d65a2115ap-5, -0x1.55ed7fb39e85ep-5, -0x1.4f04466c099ddp-5, -0x1.4838d07595457p-5, -0x1.418ac3d960174p-5, -0x1.3af9c6bedb0e3p-5, -0x1.34857f72f7336p-5, -0x1.2e2d946f2913bp-5, -0x1.27f1ac60376e6p-5, -0x1.21d16e2ccae88p-5, -0x1.1bcc80fbe2a94p-5, -0x1.15e28c3b0839p-5, -0x1.101337a44e991p-5, -0x1.0a5e2b443265ap-5, -0x1.04c30f7f3aa2dp-5, -0x1.fe831a2ee441ep-6, -0x1.f3b29a635bba5p-6, -0x1.e913f2b555d6ep-6, -0x1.dea67717f2b82p-6, -0x1.d4697c6175989p-6, -0x1.ca5c5854704cap-6, -0x1.c07e61a8999dep-6, -0x1.b6cef01336938p-6, -0x1.ad4d5c4f51c49p-6, -0x1.a3f9002582138p-6, -0x1.9ad136736bbf5p-6, -0x1.91d55b32f8454p-6, -0x1.8904cb8128eeap-6, -0x1.805ee5a4b05e4p-6, -0x1.77e309142d1edp-6, -0x1.6f90967c2f6a5p-6, -0x1.6766efc4e20e9p-6, -0x1.5f6578176ad6dp-6, -0x1.578b93e30984p-6, -0x1.4fd8a8e1fc5cfp-6, -0x1.484c1e1e03a2fp-6, -0x1.40e55bf4ba195p-6, -0x1.39a3cc1ba5c64p-6, -0x1.3286d9a3fa981p-6, -0x1.2b8df0fe321d1p-6, -0x1.24b87ffd5d91bp-6, -0x1.1e05f5da30dbfp-6, -0x1.1775c335e786dp-6, -0x1.11075a1cd54cap-6, -0x1.0aba2e08d85f8p-6, -0x1.048db3e3876f2p-6, -0x1.fd02c4105197ep-7, -0x1.f129608aef27bp-7, -0x1.e58e2fbe68301p-7, -0x1.da30271f1f572p-7, -0x1.cf0e3f1094ab5p-7, -0x1.c42772e78bec5p-7, -0x1.b97ac0eb8cc19p-7, -0x1.af072a5848332p-7, -0x1.a4cbb35e8abbcp-7, -0x1.9ac76324cd3dfp-7, -0x1.90f943c7907f5p-7, -0x1.876062594adc2p-7, -0x1.7dfbcee2278acp-7, -0x1.74ca9c5f6792ap-7, -0x1.6bcbe0c2728b8p-7, -0x1.62feb4efb8eafp-7, -0x1.5a6234bd369e4p-7, -0x1.51f57ef0d2758p-7, -0x1.49b7b53e56d0cp-7, -0x1.41a7fc455e33ep-7, -0x1.39c57b8ec5f85p-7, -0x1.320f5d8a22f88p-7, -0x1.2a84cf8ad6ce4p-7, -0x1.232501c50b758p-7, -0x1.1bef274a58841p-7, -0x1.14e27606592eep-7, -0x1.0dfe26bb0462ep-7, -0x1.074174fccdb1ap-7, -0x1.00ab9f2eb33f1p-7, -0x1.f477ccfbf2b3ep-8, -0x1.e7e31dbbeb1e8p-8, -0x1.db97be06def8bp-8, -0x1.cf9440c02e523p-8, -0x1.c3d73e3b898e5p-8, -0x1.b85f543300db2p-8, -0x1.ad2b25bd0c0f4p-8, -0x1.a2395b42355cbp-8, -0x1.9788a272ae56fp-8, -0x1.8d17ae3b87868p-8, -0x1.82e536bba6f65p-8, -0x1.78eff938d7872p-8, -0x1.6f36b814504e3p-8, -0x1.65b83abf5399bp-8, -0x1.5c734daf7bc37p-8, -0x1.5366c252f8892p-8, -0x1.4a916f04a5d45p-8, -0x1.41f22effe20d5p-8, -0x1.3987e2547f73dp-8, -0x1.31516dda6225cp-8, -0x1.294dbb25171dfp-8, -0x1.217bb8776eda1p-8, -0x1.19da58b6cc027p-8, -0x1.1268935e8bf5fp-8, -0x1.0b25647341bd6p-8, -0x1.040fcc75f8981p-8, -0x1.fa4da0ae8f9e2p-9, -0x1.ecd2f2d5163eep-9, -0x1.dfadaab1ae0e9p-9, -0x1.d2dbec2825038p-9, -0x1.c65be393ee4cap-9, -0x1.ba2bc5ae28306p-9, -0x1.ae49cf7374e35p-9, -0x1.a2b4460a0968bp-9, -0x1.976976a7935b7p-9, -0x1.8c67b67720f76p-9, -0x1.81ad627f2eda2p-9, -0x1.7738df8796cd8p-9, -0x1.6d0899ffbbeeap-9, -0x1.631b05e46b65ep-9, -0x1.596e9ea64a6b4p-9, -0x1.5001e70fd0e36p-9, -0x1.46d3692bcba85p-9, -0x1.3de1b62bb0a8dp-9, -0x1.352b664e18bf3p-9, -0x1.2caf18c56cc34p-9, -0x1.246b739e7c16ap-9, -0x1.1c5f23a77014fp-9, -0x1.1488dc56cf472p-9, -0x1.0ce757b275e3ep-9, -0x1.05795636da509p-9, -0x1.fc7b3d7d3480ap-10, -0x1.ee65fcd37206cp-10, -0x1.e0b0910b413c1p-10, -0x1.d358ace9b1214p-10, -0x1.c65c0f2e101d8p-10, -0x1.b9b88262982f9p-10, -0x1.ad6bdcace3f33p-10, -0x1.a173ff9f56d8bp-10, -0x1.95ced80a9f41bp-10, -0x1.8a7a5dcf4e02p-10, -0x1.7f7493b08e1bcp-10, -0x1.74bb87269e8ecp-10, -0x1.6a4d5031db255p-10, -0x1.6028112e579e8p-10, -0x1.5649f6a7dded4p-10, -0x1.4cb1372e0add5p-10, -0x1.435c132941c46p-10, -0x1.3a48d4afede31p-10, -0x1.3175cf5bec4e3p-10, -0x1.28e16020d9466p-10, -0x1.2089ed2267b27p-10, -0x1.186de58b671c5p-10, -0x1.108bc16547c8ep-10, -0x1.08e2016fda7b9p-10, -0x1.016f2ef973fadp-10, -0x1.f463b770aedd2p-11, -0x1.e65143462e492p-11, -0x1.d8a44595e2735p-11, -0x1.cb5a126b5a122p-11, -0x1.be700d7033ac8p-11, -0x1.b1e3a9a2eb05cp-11, -0x1.a5b2690d64c96p-11, -0x1.99d9dc7d5d396p-11, -0x1.8e57a33ce0fecp-11, -0x1.83296acc365edp-11, -0x1.784cee9d2a733p-11, -0x1.6dbff7ce3f14cp-11, -0x1.63805ce716bb3p-11, -0x1.598c0196cc60cp-11, -0x1.4fe0d671a1d6ep-11, -0x1.467cd8b0d9d95p-11, -0x1.3d5e11f2842aep-11, -0x1.348297fb5eec8p-11, -0x1.2be88c78011b7p-11, -0x1.238e1cc0b7bp-11, -0x1.1b71819cecf79p-11, -0x1.1390ff0804d42p-11, -0x1.0beae3f6feb18p-11, -0x1.047d8a1f19158p-11, -0x1.fa8eab7a306f6p-12, -0x1.ec8d6abb08983p-12, -0x1.def4434c33a55p-12, -0x1.d1c03a3ee3f1dp-12, -0x1.c4ee68008f05bp-12, -0x1.b87bf7f0e50a7p-12, -0x1.ac6627fc48444p-12, -0x1.a0aa483659b6bp-12, -0x1.9545ba7543d5cp-12, -0x1.8a35f1f0f92d6p-12, -0x1.7f7872e2554edp-12, -0x1.750ad224a1c88p-12, -0x1.6aeab4d7e7216p-12, -0x1.6115d005f3d4ep-12, -0x1.5789e847aaeadp-12, -0x1.4e44d16d85c3cp-12, -0x1.45446e277437p-12, -0x1.3c86afb04b51fp-12, -0x1.3409957a1f2d6p-12, -0x1.2bcb2cda4d0c5p-12, -0x1.23c990ba7dbf7p-12, -0x1.1c02e947a0c4p-12, -0x1.14756ba46e5c2p-12, -0x1.0d1f599cebb55p-12, -0x1.05ff015a79c4cp-12, -0x1.fe257a3594aa5p-13, -0x1.f0b1e5cdd9e71p-13, -0x1.e3a028982c38p-13, -0x1.d6ed3c2c0df96p-13, -0x1.ca963015137afp-13, -0x1.be98294bb389dp-13, -0x1.b2f061b1fee0ep-13, -0x1.a79c279318dbdp-13, -0x1.9c98dd236e383p-13, -0x1.91e3f804a4cc6p-13, -0x1.877b00cbc9e71p-13, -0x1.7d5b92897014cp-13, -0x1.73835a55d604ap-13, -0x1.69f016db97a1ep-13, -0x1.609f97eaa042cp-13, -0x1.578fbe06e4e22p-13, -0x1.4ebe79fe32979p-13, -0x1.4629cc7e2be6fp-13, -0x1.3dcfc5abec7edp-13, -0x1.35ae84bf4d9c9p-13, -0x1.2dc4379f2054ep-13, -0x1.260f1a80408bbp-13, -0x1.1e8d7785ff185p-13, -0x1.173da66529261p-13, -0x1.101e0c08c3875p-13, -0x1.092d1a392b6cap-13, -0x1.02694f433f377p-13, -0x1.f7a26b493b79fp-14, -0x1.eac6c76db7a6fp-14, -0x1.de3cf6bca4d02p-14, -0x1.d2025372ba585p-14, -0x1.c6144da5f04bfp-14, -0x1.ba706aac0b62p-14, -0x1.af144483bfea2p-14, -0x1.a3fd894407cc7p-14, -0x1.9929fa8c12eb8p-14, -0x1.8e976cf79fc4ap-14, -0x1.8443c796b2f31p-14, -0x1.7a2d03682901ep-14, -0x1.70512ad6834b9p-14, -0x1.66ae593adc07cp-14, -0x1.5d42ba5d5ad64p-14, -0x1.540c89fefa08dp-14, -0x1.4b0a135f647c9p-14, -0x1.4239b0cca24c7p-14, -0x1.3999cb2ea9a71p-14, -0x1.3128d99c2052fp-14, -0x1.28e560ec2fcc8p-14, -0x1.20cdf34ec7017p-14, -0x1.18e12fe5b0cccp-14, -0x1.111dc260c484bp-14, -0x1.0982629b6d2c7p-14, -0x1.020dd43ea5acap-14, -0x1.f57dccc58761ep-15, -0x1.e728e66bf9177p-15, -0x1.d91abf4740d15p-15, -0x1.cb5135fc71f93p-15, -0x1.bdca3d56ca54bp-15, -0x1.b083dba6fa372p-15, -0x1.a37c2a1ee1225p-15, -0x1.96b1543b57297p-15, -0x1.8a21972968126p-15, -0x1.7dcb4134cfb8ap-15, -0x1.71acb138542dcp-15, -0x1.65c456122dd7ap-15, -0x1.5a10ae1b3e548p-15, -0x1.4e9046a4ca6cbp-15, -0x1.4341bb75a94e6p-15, -0x1.3823b64ea761p-15, -0x1.2d34ee6f00847p-15, -0x1.2274281ef6522p-15, -0x1.17e0343b9cf01p-15, -0x1.0d77efc75467ep-15, -0x1.033a437c751f2p-15, -0x1.f24c46c60189bp-16, -0x1.de751cd48dde8p-16, -0x1.caed1c09afc0ap-16, -0x1.b7b26b8bbe6fbp-16, -0x1.a4c3460802596p-16, -0x1.921df8f9a9b6ep-16, -0x1.7fc0e3f7a8588p-16, -0x1.6daa7806d8f2ep-16, -0x1.5bd936f2c18b3p-16, -0x1.4a4bb2aa24a9fp-16, -0x1.39008ca128e61p-16, -0x1.27f6753697a0ep-16, -0x1.172c2b207c636p-16, -0x1.06a07ad9f16edp-16, -0x1.eca47c2e59677p-17, -0x1.cc80b67e68d78p-17, -0x1.acd389ca3defbp-17, -0x1.8d9af2973d38fp-17, -0x1.6ed503cebea35p-17, -0x1.507fe5cfad63ep-17, -0x1.3299d58886612p-17, -0x1.1521239383eb5p-17, -0x1.f02866be5b6f6p-18, -0x1.b6e2f4b829b0fp-18, -0x1.7e6efe612bc42p-18, -0x1.46c9b1ea16b3p-18, -0x1.0ff05ce3731f5p-18, -0x1.b3c0d5b13f893p-19, -0x1.492ec7c742a25p-19, -0x1.c04bad68e6645p-20, -0x1.e285f4092f3f8p-21, -0x1.29d66a0612884p-23, 0x1.47aa46a29a3e8p-21, 0x1.69f4c8b4382d8p-20, 0x1.1695dfa8ca863p-19, 0x1.76c0a99b43189p-19, 0x1.d57e4213eabaep-19, 0x1.1969027740f11p-18, 0x1.475f95ed073cdp-18, 0x1.74a4682538c93p-18, 0x1.a138f69c6a778p-18, 0x1.cd1eb07332da4p-18, 0x1.f856f7401833ep-18, 0x1.11718ff2a8c9dp-17, 0x1.266239a4c245p-17, 0x1.3afe17908b876p-17, 0x1.4f45c350224e3p-17, 0x1.6339d19439325p-17, 0x1.76dad279b724ep-17, 0x1.8a2951d7b89c9p-17, 0x1.9d25d78dfd47cp-17, 0x1.afd0e7cff93b8p-17, 0x1.c22b0369f7bdp-17, 0x1.d434a8058cc7cp-17, 0x1.e5ee506a67eabp-17, 0x1.f75874bcd5642p-17, 0x1.0439c55b14adbp-16, 0x1.0ca002f09f3f7p-16, 0x1.14df2be730e12p-16, 0x1.1cf7782276e69p-16, 0x1.24e91ebc47944p-16, 0x1.2cb456195de2bp-16, 0x1.3459540096915p-16, 0x1.3bd84db11c20ep-16, 0x1.433177f3dc8edp-16, 0x1.4a6507311780cp-16, 0x1.51732f80296bcp-16, 0x1.585c24ba06288p-16, 0x1.5f201a87e3df8p-16, 0x1.65bf4473ad5c6p-16, 0x1.6c39d5f4f56c4p-16, 0x1.7290027f3b779p-16, 0x1.78c1fd8e0a4e9p-16, 0x1.7ecffab0b7d8ap-16, 0x1.84ba2d95f3c38p-16, 0x1.8a80ca15d4b06p-16, 0x1.9024043ac5268p-16, 0x1.95a4104b7f74cp-16, 0x1.9b0122d2b4389p-16, 0x1.a03b70a689425p-16, 0x1.a5532ef0bfa7p-16, 0x1.aa48933381c5dp-16, 0x1.af1bd350ba8b4p-16, 0x1.b3cd258e0a92ap-16, 0x1.b85cc09b1b481p-16, 0x1.bccadb953e4a6p-16, 0x1.c117ae0a9810ap-16, 0x1.c5436fff90119p-16, 0x1.c94e59ef91e0ap-16, 0x1.cd38a4d143e1ep-16, 0x1.d1028a1775142p-16, 0x1.d4ac43b3ec339p-16, 0x1.d8360c1815626p-16, 0x1.dba01e36de759p-16, 0x1.deeab584881edp-16, 0x1.e2160df7b92eep-16, 0x1.e52264094719bp-16, 0x1.e80ff4b49179ap-16, 0x1.eadefd75f2243p-16, 0x1.ed8fbc4b9c8adp-16, 0x1.f0226fb33aae9p-16, 0x1.f29756a9791ccp-16, 0x1.f4eeb0a8aae55p-16, 0x1.f728bda702336p-16, 0x1.f945be13ddfd4p-16, 0x1.fb45f2d8000fcp-16, 0x1.fd299d50bf08p-16, 0x1.fef0ff4f83e72p-16, 0x1.004e2d8b22acep-15, 0x1.0115f9aaf05eep-15, 0x1.01d005950a36fp-15, 0x1.027c730bde57p-15, 0x1.031b640446ea3p-15, 0x1.03acfaa4912fep-15, 0x1.043159425ee36p-15, 0x1.04a8a26168d2p-15, 0x1.0512f8b17528ep-15, 0x1.05707f0c95d11p-15, 0x1.05c15875a0153p-15, 0x1.0605a81634f27p-15, 0x1.063d913c8d3f3p-15, 0x1.0669375a28ccp-15, 0x1.0688be0184ec5p-15, 0x1.069c48e475d7fp-15, 0x1.06a3fbd1af156p-15, 0x1.069ffab3a05d3p-15, 0x1.0690698d94cffp-15, 0x1.06756c7a30bb7p-15, 0x1.064f27a997d3ap-15, 0x1.061dbf5f15519p-15, 0x1.05e157ef313cbp-15, 0x1.059a15bdebe5ap-15, 0x1.05481d3c62c6cp-15, 0x1.04eb92e7012fap-15, 0x1.04849b438c30dp-15, 0x1.04135adefe3fdp-15, 0x1.0397f64b9a57bp-15, 0x1.0312921f04244p-15, 0x1.028352f040668p-15, 0x1.01ea5d55a636bp-15, 0x1.0147d5e320fb2p-15, 0x1.009be1281793ep-15, 0x1.ffcd475b59086p-16, 0x1.fe5083e998c7cp-16, 0x1.fcc1c0e82c3f4p-16, 0x1.fb21472cdb483p-16, 0x1.f96f5f719ad72p-16, 0x1.f7ac525172e8fp-16, 0x1.f5d868447d21ap-16, 0x1.f3f3e99caa4bfp-16, 0x1.f1ff1e81f64b1p-16, 0x1.effa4eef598edp-16, 0x1.ede5c2af4b902p-16, 0x1.ebc1c1585ba3dp-16, 0x1.e98e9249f16f4p-16, 0x1.e74c7ca96b098p-16, 0x1.e4fbc75e62f0dp-16, 0x1.e29cb90ff45c4p-16, 0x1.e02f9821437c4p-16, 0x1.ddb4aaaf471aep-16, 0x1.db2c368d3e2p-16, 0x1.d89681420a39dp-16, 0x1.d5f3d0052e49ap-16, 0x1.d34467bc3bc89p-16, 0x1.d0888cf82bff4p-16, 0x1.cdc083f279d49p-16, 0x1.caec908b0e045p-16, 0x1.c80cf64527ee4p-16, 0x1.c521f845532afp-16, 0x1.c22bd94eed70dp-16, 0x1.bf2adbc1c0a56p-16, 0x1.bc1f4197c82b7p-16, 0x1.b9094c6303e19p-16, 0x1.b5e93d4b8bfaep-16, 0x1.b2bf550ce0202p-16, 0x1.af8bd3f4750f8p-16, 0x1.ac4ef9df879b4p-16, 0x1.a909063946d9p-16, 0x1.a5ba37f8e45ffp-16, 0x1.a262cd9fd6f83p-16, 0x1.9f03053857a7ap-16, 0x1.9b9b1c539bbb7p-16, 0x1.982b500853fe9p-16, 0x1.94b3dcf08b3fdp-16, 0x1.9134ff28dd476p-16, 0x1.8daef24ec0023p-16, 0x1.8a21f17f51fbdp-16, 0x1.868e3755f5af1p-16, 0x1.82f3fdeaf4c38p-16, 0x1.7f537ed261fc5p-16, 0x1.7bacf31ae2a67p-16, 0x1.7800934cda06cp-16, 0x1.744e97690a6ecp-16, 0x1.709736e7bd0fdp-16, 0x1.6cdaa8b7ff6d7p-16, 0x1.6919233ece128p-16, 0x1.6552dc55bcdaap-16, 0x1.6188094abb233p-16, 0x1.5db8dedf09e6ep-16, 0x1.59e59146b2d4dp-16, 0x1.560e5427fc861p-16, 0x1.52335a9ab5a01p-16, 0x1.4e54d727a7992p-16, 0x1.4a72fbc83ecf8p-16, 0x1.468df9e5e8681p-16, 0x1.42a60259d8a8ep-16, 0x1.3ebb456c9079ep-16, 0x1.3acdf2d5b8a5p-16, 0x1.36de39bbd8567p-16, 0x1.32ec48b40520cp-16, 0x1.2ef84dc1c79b4p-16, 0x1.2b027656d6ed5p-16, 0x1.270aef53239dap-16, 0x1.2311e5048b30bp-16, 0x1.1f1783274a026p-16, 0x1.1b1bf4e5ba6c3p-16, 0x1.171f64d859d04p-16, 0x1.1321fd05c21d6p-16, 0x1.0f23e6e2f9123p-16, 0x1.0b254b53b05fp-16, 0x1.072652aa2afc6p-16, 0x1.032724a7a888bp-16, 0x1.fe4fd0f964c4ep-17, 0x1.f6518992bec7ap-17, 0x1.ee53bf3b5beafp-17, 0x1.e656bcf35bb2bp-17, 0x1.de5acc9be85c5p-17, 0x1.d66036f7f68adp-17, 0x1.ce6743ad99639p-17, 0x1.c6703946e923dp-17, 0x1.be7b5d325998dp-17, 0x1.b688f3c402b5p-17, 0x1.ae9940372ce11p-17, 0x1.a6ac84aedb55ap-17, 0x1.9ec3023769b7ap-17, 0x1.96dcf8c7884bep-17, 0x1.8efaa7415c323p-17, 0x1.871c4b745c6aap-17, 0x1.7f42221e60c55p-17, 0x1.776c66ecebe89p-17, 0x1.6f9b547ec49a7p-17, 0x1.67cf24652b999p-17, 0x1.60080f255c66fp-17, 0x1.58464c3ad37f8p-17, 0x1.508a121820c4cp-17, 0x1.48d39628d1e92p-17, 0x1.41230cd327652p-17, 0x1.3978a9797790fp-17, 0x1.31d49e7c2429cp-17, 0x1.2a371d3b614a5p-17, 0x1.22a05618ec3fdp-17, 0x1.1b107879ce9eap-17, 0x1.1387b2c835a87p-17, 0x1.0c0632758c482p-17, 0x1.048c23fbe943dp-17, 0x1.fa3365c0b0faep-18, 0x1.eb5e1368e3487p-18, 0x1.dc98a43080ef4p-18, 0x1.cde369791b32cp-18, 0x1.bf3eb2c9c3d0cp-18, 0x1.b0aacdd2b16e7p-18, 0x1.a22806718cec7p-18, 0x1.93b6a6b4966dcp-18, 0x1.8556f6df8a91ap-18, 0x1.77093d700dc15p-18, 0x1.68cdbf20c3618p-18, 0x1.5aa4beeeaa5fdp-18, 0x1.4c8e7e1c5e78cp-18, 0x1.3e8b3c36a3844p-18, 0x1.309b3719147f6p-18, 0x1.22beaaf22cda9p-18, 0x1.14f5d246cfca2p-18, 0x1.0740e5f7abbe9p-18, 0x1.f3403a88eb3adp-19, 0x1.d8275ba0f683bp-19, 0x1.bd37975078902p-19, 0x1.a27152888fc57p-19, 0x1.87d4ef1c1e1dap-19, 0x1.6d62cbc8658a3p-19, 0x1.531b443db7f07p-19, 0x1.38feb128f6ac6p-19, 0x1.1f0d683b62e27p-19, 0x1.0547bc335ec6dp-19, 0x1.d75bf9c9a9ef6p-20, 0x1.a480ee86f23a5p-20, 0x1.71feead647782p-20, 0x1.3fd67d4ca85cdp-20, 0x1.0e082ef44338ap-20, 0x1.b92906b3aae76p-21, 0x1.56f7f1390be92p-21, 0x1.eafc1e171d31bp-22, 0x1.29788e4bbc5e7p-22, 0x1.a59bb0ad7d472p-24, -0x1.54dc8ee49ce9cp-24, -0x1.126011322727ap-22, -0x1.ce1260154819ep-22, -0x1.44265402327c1p-21, -0x1.a086ca1678a7ap-21, -0x1.fc29f17a105e5p-21, -0x1.2b879970036e9p-20, -0x1.589b002de5152p-20, -0x1.854eea9a426e8p-20, -0x1.b1a31ae72ec72p-20, -0x1.dd9757c31bb8cp-20, -0x1.0495b62433ecap-19, -0x1.1a2f93f66fcap-19, -0x1.2f992f3890049p-19, -0x1.44d273e6dde2ap-19, -0x1.59db5012bc4a4p-19, -0x1.6eb3b3db6c29fp-19, -0x1.835b9163bfbd3p-19, -0x1.97d2dccc83326p-19, -0x1.ac198c2a7d2e8p-19, -0x1.c02f977ecd2cdp-19, -0x1.d414f8b09bad8p-19, -0x1.e7c9ab83f40c4p-19, -0x1.fb4dad9219138p-19, -0x1.07507f20fef07p-18, -0x1.10e1cf60452a1p-18, -0x1.1a5ac8fc7d94ep-18, -0x1.23bb6e4649b53p-18, -0x1.2d03c266599afp-18, -0x1.3633c95992b55p-18, -0x1.3f4b87ec76fafp-18, -0x1.484b03b8614ebp-18, -0x1.5132431f3f605p-18, -0x1.5a014d4839575p-18, -0x1.62b82a1cb56ffp-18, -0x1.6b56e243ce1fep-18, -0x1.73dd7f1eec7eep-18, -0x1.7c4c0ac73e078p-18, -0x1.84a29008c6b77p-18, -0x1.8ce11a5fcbdc9p-18, -0x1.9507b5f604a85p-18, -0x1.9d166f9d9d9d6p-18, -0x1.a50d54cf1f02ep-18, -0x1.acec73a5d6e0ep-18, -0x1.b4b3dadc88bd7p-18, -0x1.bc6399c9e4914p-18, -0x1.c3fbc05d68abap-18, -0x1.cb7c5f1c4755cp-18, -0x1.d2e5871e1b75cp-18, -0x1.da374a0a588bap-18, -0x1.e171ba147d0cdp-18, -0x1.e894e9f92061bp-18, -0x1.efa0ecfaeab0cp-18, -0x1.f695d6df98c5ep-18, -0x1.fd73bbed8d7e1p-18, -0x1.021d5874043b1p-17, -0x1.0575658630c91p-17, -0x1.08c21007ce36ep-17, -0x1.0c03630d7d7edp-17, -0x1.0f3969e4f046p-17, -0x1.126430133fb92p-17, -0x1.1583c15369742p-17, -0x1.189829954cadbp-17, -0x1.1ba174fc300eap-17, -0x1.1e9fafdd31a1dp-17, -0x1.2192e6be2527dp-17, -0x1.247b26547776cp-17, -0x1.27587b839229ap-17, -0x1.2a2af35bbcd69p-17, -0x1.2cf29b18e8cb6p-17, -0x1.2faf802131468p-17, -0x1.3261b003db5f1p-17, -0x1.3509387831e5dp-17, -0x1.37a6275c2b3b1p-17, -0x1.3a388ab321031p-17, -0x1.3cc070a4d71e8p-17, -0x1.3f3de77c681dbp-17, -0x1.41b0fda6d296cp-17, -0x1.4419c1b22493dp-17, -0x1.4678424c4e159p-17, -0x1.48cc8e41cf69fp-17, -0x1.4b16b47d20692p-17, -0x1.4d56c4051220bp-17, -0x1.4f8ccbfc175e2p-17, -0x1.51b8db9f3c852p-17, -0x1.53db0244f2b8ep-17, -0x1.55f34f5c46192p-17, -0x1.5801d26bcdab6p-17, -0x1.5a069b109989p-17, -0x1.5c01b8fd398ddp-17, -0x1.5df33bf901fe7p-17, -0x1.5fdb33def6d4bp-17, -0x1.61b9b09cc5759p-17, -0x1.638ec23217c1p-17, -0x1.655a78af799a9p-17, -0x1.671ce4357f4c9p-17, -0x1.68d614f4241eep-17, -0x1.6a861b29a5c9ap-17, -0x1.6c2d0721d8f5cp-17, -0x1.6dcae9353a01bp-17, -0x1.6f5fd1c817b72p-17, -0x1.70ebd14a1e8f7p-17, -0x1.726ef834e7c3fp-17, -0x1.73e9570bcca17p-17, -0x1.755afe5ad3454p-17, -0x1.76c3feb6003c3p-17, -0x1.782468b8b2381p-17, -0x1.797c4d04e2635p-17, -0x1.7acbbc4250879p-17, -0x1.7c12c71db7d9dp-17, -0x1.7d517e488298ep-17, -0x1.7e87f277acb44p-17, -0x1.7fb63463323ddp-17, -0x1.80dc54c6169e4p-17, -0x1.81fa645c861f1p-17, -0x1.831073e3f14bdp-17, -0x1.841e941a91025p-17, -0x1.8524d5be6027fp-17, -0x1.8623498ce093ap-17, -0x1.871a00425fb44p-17, -0x1.88090a9915beep-17, -0x1.88f07948f9017p-17, -0x1.89d05d06f13e7p-17, -0x1.8aa8c684b7f82p-17, -0x1.8b79c66f97101p-17, -0x1.8c436d7094031p-17, -0x1.8d05cc2be13cep-17, -0x1.8dc0f33f99d5bp-17, -0x1.8e74f344646bcp-17, -0x1.8f21dccbc2cbp-17, -0x1.8fc7c06092302p-17, -0x1.9066ae864fef4p-17, -0x1.90feb7b84fb0cp-17, -0x1.918fec69833d1p-17, -0x1.921a5d047348p-17, -0x1.929e19ea0262dp-17, -0x1.931b337174312p-17, -0x1.9391b9e869162p-17, -0x1.9401bd91a6ea5p-17, -0x1.946b4ea54fbf8p-17, -0x1.94ce7d5078ac5p-17, -0x1.952b59b431eb3p-17, -0x1.9581f3e5ebbc4p-17, -0x1.95d25beea84f5p-17, -0x1.961ca1cabae9fp-17, -0x1.9660d56982ba7p-17, -0x1.969f06ad36f68p-17, -0x1.96d7456a69797p-17, -0x1.9709a1674e4cep-17, -0x1.97362a5c77023p-17, -0x1.975ceff3437f5p-17, -0x1.977e01c6b8ba6p-17, -0x1.97996f6278feap-17, -0x1.97af4842a1558p-17, -0x1.97bf9bd42e68bp-17, -0x1.97ca797361c74p-17, -0x1.97cff06cd0d5ap-17, -0x1.97d00ffc9f5d8p-17, -0x1.97cae74de83b8p-17, -0x1.97c0857b4c0bep-17, -0x1.97b0f98e28d89p-17, -0x1.979c527e19d5fp-17, -0x1.97829f31d834cp-17, -0x1.9763ee7da3494p-17, -0x1.97404f240038p-17, -0x1.9717cfd57edf2p-17, -0x1.96ea7f3002cfcp-17, -0x1.96b86bbefb82ap-17, -0x1.9681a3fb55ee6p-17, -0x1.9646364ad108bp-17, -0x1.960631001d7a8p-17, -0x1.95c1a25b0a4d5p-17, -0x1.957898878b993p-17, -0x1.952b219e61b16p-17, -0x1.94d94ba4a186ap-17, -0x1.9483248b56fa7p-17, -0x1.9428ba30121abp-17, -0x1.93ca1a5b9ffd7p-17, -0x1.936752c38455cp-17, -0x1.930071081afd9p-17, -0x1.929582b5fa7b6p-17, -0x1.922695454b651p-17, -0x1.91b3b618d1effp-17, -0x1.913cf27f82e78p-17, -0x1.90c257b30cfa3p-17, -0x1.9043f2d7fcc12p-17, -0x1.8fc1d0fec47acp-17, -0x1.8f3bff21d37e4p-17, -0x1.8eb28a273266dp-17, -0x1.8e257edf856fp-17, -0x1.8d94ea0619695p-17, -0x1.8d00d8410d8b1p-17, -0x1.8c6956212c838p-17, -0x1.8bce702177bfdp-17, -0x1.8b3032a82ad37p-17, -0x1.8a8eaa0546361p-17, -0x1.89e9e273af7e5p-17, -0x1.8941e818bf884p-17, -0x1.8896c703e075ap-17, -0x1.87e88b2f2da5ap-17, -0x1.8737407eb9cc5p-17, -0x1.8682f2c1500fep-17, -0x1.85cbadafb45c6p-17, -0x1.85117ced47ae4p-17, -0x1.84546c0777f4cp-17, -0x1.83948675b1a8cp-17, -0x1.82d1d79a591e7p-17, -0x1.820c6ac11a2cbp-17, -0x1.81444b209b67ap-17, -0x1.807983d99ebfbp-17, -0x1.7fac1ff6ac7a4p-17, -0x1.7edc2a6da264cp-17, -0x1.7e09ae1d97665p-17, -0x1.7d34b5d05ad7ep-17, -0x1.7c5d4c3a33aacp-17, -0x1.7b837bf9560e7p-17, -0x1.7aa74f96a48ep-17, -0x1.79c8d185456b1p-17, -0x1.78e80c22ab432p-17, -0x1.780509b7252d6p-17, -0x1.771fd474ba2c9p-17, -0x1.76387678e50f4p-17, -0x1.754ef9cab5f94p-17, -0x1.7463685c7e695p-17, -0x1.7375cc0aeef68p-17, -0x1.72862e9d93405p-17, -0x1.719499c6576f7p-17, -0x1.70a1172254da6p-17, -0x1.6fabb0392dbbp-17, -0x1.6eb46e7d3cbd5p-17, -0x1.6dbb5b4c5a6f9p-17, -0x1.6cc07fee7f0efp-17, -0x1.6bc3e5977fd8bp-17, -0x1.6ac59565def4cp-17, -0x1.69c59863361abp-17, -0x1.68c3f784df2fap-17, -0x1.67c0bbaaad216p-17, -0x1.66bbeda071036p-17, -0x1.65b5961d4307dp-17, -0x1.64adbdc340345p-17, -0x1.63a46d20e724cp-17, -0x1.6299acaf92ee6p-17, -0x1.618d84d4d953p-17, -0x1.607ffde1c0fe8p-17, -0x1.5f71201375ab5p-17, -0x1.5e60f392c7df4p-17, -0x1.5d4f8074a0369p-17, -0x1.5c3cceba4ea7p-17, -0x1.5b28e650bddb7p-17, -0x1.5a13cf11c8c1p-17, -0x1.58fd90c30be34p-17, -0x1.57e63316ebb5cp-17, -0x1.56cdbdac01956p-17, -0x1.55b4380deb4e4p-17, -0x1.5499a9b44c06ep-17, -0x1.537e1a046b4cep-17, -0x1.5261904fa01eap-17, -0x1.514413d4c1da9p-17, -0x1.5025abbfadbf9p-17, -0x1.4f065f28de4c4p-17, -0x1.4de63516e33e5p-17, -0x1.4cc5347cb6b3fp-17, -0x1.4ba3643b66745p-17, -0x1.4a80cb2161aa8p-17, -0x1.495d6fea3aa39p-17, -0x1.4839594034da2p-17, -0x1.47148dba3152bp-17, -0x1.45ef13de1b059p-17, -0x1.44c8f21f117d3p-17, -0x1.43a22edeb5e2fp-17, -0x1.427ad06c8f351p-17, -0x1.4152dd06d837ap-17, -0x1.402a5ad9d5d4ep-17, -0x1.3f015000b813fp-17, -0x1.3dd7c284e0c3dp-17, -0x1.3cadb85e8f8e3p-17, -0x1.3b833774f2654p-17, -0x1.3a58459ded991p-17, -0x1.392ce89e8409bp-17, -0x1.3801262adcea9p-17, -0x1.36d503e64a641p-17, -0x1.35a887637562cp-17, -0x1.347bb624c988bp-17, -0x1.334e959b84f04p-17, -0x1.32212b29775c3p-17, -0x1.30f37c1f33521p-17, -0x1.2fc58dbe0edd3p-17, -0x1.2e976536a19ddp-17, -0x1.2d6907aa054c6p-17, -0x1.2c3a7a2963ba8p-17, -0x1.2b0bc1b5e1c8ep-17, -0x1.29dce341b113dp-17, -0x1.28ade3aeb739ep-17, -0x1.277ec7d01e366p-17, -0x1.264f94695c117p-17, -0x1.25204e2eb401p-17, -0x1.23f0f9c5a8d5ep-17, -0x1.22c19bc476618p-17, -0x1.219238b2924cap-17, -0x1.2062d508ddaa8p-17, -0x1.1f3375310aa04p-17, -0x1.1e041d86e66adp-17, -0x1.1cd4d25733166p-17, -0x1.1ba597e0ca2cap-17, -0x1.1a76725403ccdp-17, -0x1.194765d34d206p-17, -0x1.18187672dbf99p-17, -0x1.16e9a8393a0a7p-17, -0x1.15baff1ec4c6ap-17, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
    }}, 
    {
      32, 0x1p+2, 0x1.d9aa061af1a4ap+1, 0x1.af68ced7b09bp+2, -0x1.027008cde7bc6p-5, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.607cdf79e323fp-4, -0x1.bda39353587cep-2, 0x1.9c459a3ac8471p-1, -0x1.0b4636a4d09c4p-1}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0f5691543684ap-4, -0x1.6f3196944d29p-2, 0x1.742e453ba8fc3p-1, -0x1.0b4698875fa5dp-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.9a26c9257e36dp-5, -0x1.28c445e68f5bcp-2, 0x1.4c16e18dc109ep-1, -0x1.0b4510fd23ecep-1}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.3031a12eb05c9p-5, -0x1.d4b739c4f8fb4p-3, 0x1.23ffb89afba68p-1, -0x1.0b4acd4383899p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.bb31330f740fdp-6, -0x1.67ef575d7c1acp-3, 0x1.f7cf66d4e9702p-2, -0x1.0b3563b440a1dp-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.3e4d41e8a3907p-6, -0x1.0b306c30a146fp-3, 0x1.a7a5c8eba2d98p-2, -0x1.0b854daaed2e2p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c69a98e0b8a86p-7, -0x1.7cf8731261902p-4, 0x1.5764319ec217fp-2, -0x1.0a5b0f5f7d005p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.478e605c16f21p-7, -0x1.03986544208c2p-4, 0x1.077c136882fe9p-2, -0x1.0eb41e9691d63p-1}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.e5432aa47866dp-8, -0x1.54e325138366cp-5, 0x1.6c8c1476ae7d3p-3, -0x1.dc556c4578178p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7642b42288222p-8, -0x1.bf4bff1818fa8p-6, 0x1.bb4b4e5d481dcp-4, -0x1.507ca42f38c0cp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2bd74fbcb6b8ap-8, -0x1.365b8d0cee76bp-6, 0x1.e2cdd7b518efcp-5, -0x1.a55b1d5082a96p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.eb7afab63f28ap-9, -0x1.de2804c69af34p-7, 0x1.cbfb25d661ddfp-6, -0x1.1b7b4933607ffp-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.93ea31844594ep-9, -0x1.932b44290d2aap-7, 0x1.21e4605127f85p-6, -0x1.5edb906b50e41p-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.48fdbb994e49cp-9, -0x1.5a819d474d7a6p-7, 0x1.14bc248054efdp-6, -0x1.b0235c25934acp-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.09022dd9e1919p-9, -0x1.26667db5991d1p-7, 0x1.e8a62e616d60fp-7, -0x1.51bef39ef2ecfp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a5b12eb5df63bp-10, -0x1.f0231713b1eabp-8, 0x1.b5fcbd0995bd7p-7, -0x1.516e59550e5cep-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4ae313acaa0cap-10, -0x1.9d99e0b07e6c2p-8, 0x1.835f62d66d2f1p-7, -0x1.37e8828ec5f29p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.ff3466ab681p-11, -0x1.54ce20ccdec18p-8, 0x1.54961c0dcf7e3p-7, -0x1.2523cf7d501dep-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.83eb7770ccdc9p-11, -0x1.1515c36bfcdc1p-8, 0x1.289d89bb0379ep-7, -0x1.108fca14f5a63p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.2067c04c050f3p-11, -0x1.bbb3629d28a81p-9, 0x1.ff7656d623a7dp-8, -0x1.f8efd4a6b2d0dp-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.a2c764e68737p-12, -0x1.5cfb798e6e72fp-9, 0x1.b3b8c3bd226f3p-8, -0x1.d07d8c9b5186cp-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.27af9360d7a3ap-12, -0x1.0cce2a471824bp-9, 0x1.6e0c550c3c9a8p-8, -0x1.a81d1b631baaap-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.93ea318445914p-13, -0x1.93ea30cc44657p-10, 0x1.2e6e5dbd5edadp-8, -0x1.7fb7d7665d4ffp-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.09022dd9e18ddp-13, -0x1.2674330b4518ap-10, 0x1.e9bf2e0f3b514p-9, -0x1.575407a8933fcp-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.4ae313acaa05p-14, -0x1.9d9bd93e66d0cp-11, 0x1.82bf9229758a6p-9, -0x1.2eef39b3896d1p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.83eb7770ccc41p-15, -0x1.1515e4cd11f78p-11, 0x1.27de340d32b6cp-9, -0x1.068cf05c79ffap-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.a2c764e6870e1p-16, -0x1.5cfb93d81e7a7p-12, 0x1.b234a4afb5d37p-10, -0x1.bc432589afc1p-9}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.93ea3184451bep-17, -0x1.93e993f6c0971p-13, 0x1.2ced4ca0011a1p-10, -0x1.6bb00322e13f9p-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.4ae313aca8ap-18, -0x1.9da070a3f2ec2p-14, 0x1.7fa430f7e175p-11, -0x1.1a20a61b5eeadp-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a2c764e684c02p-20, -0x1.5cd934953a06ap-15, 0x1.acbacdceea9bp-12, -0x1.987d359d1fad8p-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4ae313ac91fffp-22, -0x1.9f9bbae4f910bp-17, 0x1.6f45c1ae159adp-13, -0x1.c28e0cdc2a5cdp-11}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.4ae313ab2p-26, -0x1.61e8d4504c616p-20, 0x1.83c21b0e572p-15, -0x1.2d7c72a114e95p-10}, 
      }}, 
      0x1.1bb08ee46e67cp-6, -0x1.b5402850de0b4p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      {{0x1.8baf4aa5606b6p-4, 0x1.2624cf1db3a7p-3, 0x1.8374a1261be6fp-3, 0x1.dcfee12df2694p-3, 0x1.190e890c563a2p-2, 0x1.412510bed5e8ap-2, 0x1.6690505b2f4fbp-2, 0x1.892c0f1e2e064p-2, 0x1.a8e10c679c9e6p-2, 0x1.c5a35d97d0b5fp-2, 0x1.df70dd2e755p-2, 0x1.f64fa4e56e80cp-2, 0x1.052655e4ee309p-1, 0x1.0dbd43150d5a4p-1, 0x1.14f8255fc95b2p-1, 0x1.1ae44d9e3cfacp-1, 0x1.1f9067f31d672p-1, 0x1.230c201cde7f1p-1, 0x1.2567d3d83124cp-1, 0x1.26b450a7c6685p-1, 0x1.27029bb63cdddp-1, 0x1.2663c301f1119p-1, 0x1.24e8b563c92b3p-1, 0x1.22a221e0b20c2p-1, 0x1.1fa05c3630683p-1, 0x1.1bf346ff68f6cp-1, 0x1.17aa414cde402p-1, 0x1.12d418a1ee4f6p-1, 0x1.0d7efe14d45bep-1, 0x1.07b87e83d5cb2p-1, 0x1.018d7d940fe4dp-1, 0x1.f61465776c9c6p-2, 0x1.e874512664733p-2, 0x1.da507b50a0225p-2, 0x1.cbbd4ce751b34p-2, 0x1.bccde18a4fb28p-2, 0x1.ad940fb477255p-2, 0x1.9e20723533f9cp-2, 0x1.8e827331e1dddp-2, 0x1.7ec857f687c0ap-2, 0x1.6eff4d2c1680dp-2, 0x1.5f33734113debp-2, 0x1.4f6feb5bd2d55p-2, 0x1.3fbee4e8e91aap-2, 0x1.3029a9a4bd9afp-2, 0x1.20b8aa36f886cp-2, 0x1.11738b5305c47p-2, 0x1.026130d9aec14p-2, 0x1.e70f922ffebd9p-3, 0x1.c9d9b0e360fa6p-3, 0x1.ad2a86069acd3p-3, 0x1.910aad32dfbf4p-3, 0x1.7581a8506555dp-3, 0x1.5a95f04ede448p-3, 0x1.404d06306291ap-3, 0x1.26ab827a27f88p-3, 0x1.0db52424817ep-3, 0x1.ead9bdd99af2fp-4, 0x1.bba9d23f5618ap-4, 0x1.8ddd91dfdb443p-4, 0x1.6176c2bf2f544p-4, 0x1.3675fd8fe4b7bp-4, 0x1.0cdac5d74a1d1p-4, 0x1.c947426c310edp-5, 0x1.7b9c5b5998c0dp-5, 0x1.30ae6d9507defp-5, 0x1.d0eb26bc08acep-6, 0x1.45d1216962deep-6, 0x1.7ff3da1df277ap-7, 0x1.fa744af3508fcp-9, -0x1.e24f66cb15947p-9, -0x1.65d3ff09fc01cp-7, -0x1.24ada74cc87c7p-6, -0x1.91b216baf63c6p-6, -0x1.fa15880bbb3f7p-6, -0x1.2efb871f30f2bp-5, -0x1.5ebb35b4606e6p-5, -0x1.8c59ef1505126p-5, -0x1.b7e809f1fdd8bp-5, -0x1.e175eec684d33p-5, -0x1.048a0ea5f6374p-4, -0x1.176986dbb22c1p-4, -0x1.296194a087c6bp-4, -0x1.3a7a5e079033ep-4, -0x1.4abbf52281047p-4, -0x1.5a2e52925e23cp-4, -0x1.68d950f1bef3ep-4, -0x1.76c4a987645ecp-4, -0x1.83f7eecd80244p-4, -0x1.907a8b467da8bp-4, -0x1.9c53be5271058p-4, -0x1.a78a987028649p-4, -0x1.b225fb03d7e59p-4, -0x1.bc2c960e840e7p-4, -0x1.c5a4e657006c9p-4, -0x1.ce95353adb2c6p-4, -0x1.d70396c51d884p-4, -0x1.def5ec5035128p-4, -0x1.e671df3464735p-4, -0x1.ed7ce5ed8c71ep-4, -0x1.f41c41c7947adp-4, -0x1.fa54fe1668911p-4, -0x1.0015fb79056ecp-3, -0x1.02d2e833a9e6cp-3, -0x1.05637df0ab26bp-3, -0x1.07c9df1b0acd9p-3, -0x1.0a08141ea7383p-3, -0x1.0c200d7d15511p-3, -0x1.0e13a59aa9a92p-3, -0x1.0fe49f8ff5065p-3, -0x1.1194a8cb75374p-3, -0x1.1325598abddb5p-3, -0x1.149835b446d22p-3, -0x1.15eeac1f5d51dp-3, -0x1.172a1a618d383p-3, -0x1.184bca856f431p-3, -0x1.1954f5234d158p-3, -0x1.1a46c02fed0a9p-3, -0x1.1b2244436f3edp-3, -0x1.1be8889bb9013p-3, -0x1.1c9a83c39a4c8p-3, -0x1.1d3920963572p-3, -0x1.1dc53c06aa717p-3, -0x1.1e3fa37ce5c24p-3, -0x1.1ea919b6acc74p-3, -0x1.1f02552d1c3f2p-3, -0x1.1f4c011cd96cep-3, -0x1.1f86bd4a723bdp-3, -0x1.1fb32070332ep-3, -0x1.1fd1b6daec12fp-3, -0x1.1fe303f89edb2p-3, -0x1.1fe7827c12302p-3, -0x1.1fdfa534d922p-3, -0x1.1fcbd7390c3f6p-3, -0x1.1fac7c535e82p-3, -0x1.1f81f1bef1265p-3, -0x1.1f4c8e6dc80eep-3, -0x1.1f0ca33fa2f88p-3, -0x1.1ec27c2c13fbbp-3, -0x1.1e6e5e4c21a18p-3, -0x1.1e108c80be017p-3, -0x1.1da94370b72f4p-3, -0x1.1d38bc4440a65p-3, -0x1.1cbf2c13226dp-3, -0x1.1c3cc5228dd2bp-3, -0x1.1bb1b5bfa35dap-3, -0x1.1b1e29a256ffbp-3, -0x1.1a8249f14e875p-3, -0x1.19de3d5fd52d1p-3, -0x1.193227243576ep-3, -0x1.187e2d8fa2a61p-3, -0x1.17c26d8421cf4p-3, -0x1.16ff0785baff7p-3, -0x1.163419a07bb9bp-3, -0x1.1561c093ad1a5p-3, -0x1.1488177bdc037p-3, -0x1.13a7390303a61p-3, -0x1.12bf4011a3b0ep-3, -0x1.11d044e57523cp-3, -0x1.10da6072131cfp-3, -0x1.0fddab2a03911p-3, -0x1.0eda3d0b50d24p-3, -0x1.0dd02dc15ff49p-3, -0x1.0cbf94e47fd13p-3, -0x1.0ba8894d7f1c4p-3, -0x1.0a8b241731b18p-3, -0x1.09677b1cb1ad9p-3, -0x1.083da65c114d3p-3, -0x1.070dbdb6441ccp-3, -0x1.05d7d8b046095p-3, -0x1.049c0f6cf42adp-3, -0x1.035a7a19e5bd3p-3, -0x1.0213314eef813p-3, -0x1.00c64d9c67ca6p-3, -0x1.fee7d040cc2a9p-4, -0x1.fc38344dfd1efp-4, -0x1.f97dfac4e9f66p-4, -0x1.f6b9577b15854p-4, -0x1.f3ea7ef8a3c12p-4, -0x1.f111a647f00e3p-4, -0x1.ee2f0354724c8p-4, -0x1.eb42cca630e0bp-4, -0x1.e84d394fd2e7p-4, -0x1.e54e80ffc5733p-4, -0x1.e246dbfdde64fp-4, -0x1.df3683225bd42p-4, -0x1.dc1daff06e2b1p-4, -0x1.d8fc9c4496648p-4, -0x1.d5d382cd6fd4cp-4, -0x1.d2a29e69022e2p-4, -0x1.cf6a2a6921bacp-4, -0x1.cc2a62ae202a9p-4, -0x1.c8e3837fe3e12p-4, -0x1.c595c95524d0ap-4, -0x1.c2417148b6d14p-4, -0x1.bee6b79bf3bdcp-4, -0x1.bb85dbc1861adp-4, -0x1.b81f196049025p-4, -0x1.b4b2aef7e73e7p-4, -0x1.b140da670addcp-4, -0x1.adc9d9c827226p-4, -0x1.aa4deb210fe47p-4, -0x1.a6cd4c8922828p-4, -0x1.a3483bf86f1d8p-4, -0x1.9fbef7d2bf593p-4, -0x1.9c31bdce29149p-4, -0x1.98a0cb4f6a22bp-4, -0x1.950c5efdafc15p-4, -0x1.9174b578a4b75p-4, -0x1.8dda0cbb785c5p-4, -0x1.8a3ca09be94a5p-4, -0x1.869caef4cee89p-4, -0x1.82fa731e98fe4p-4, -0x1.7f5629bfd5694p-4, -0x1.7bb00e342ec5ep-4, -0x1.78085b8fc11f4p-4, -0x1.745f4c90ffd79p-4, -0x1.70b51b0a42343p-4, -0x1.6d0a01bc6b962p-4, -0x1.695e38baaf4dcp-4, -0x1.65b1f8f1c6ccfp-4, -0x1.62057a63c4b7p-4, -0x1.5e58f44e512bcp-4, -0x1.5aac9d8efc9c9p-4, -0x1.5700ac23bd7f2p-4, -0x1.5355556f75a5ep-4, -0x1.4faace142f2adp-4, -0x1.4c0149ee08e6cp-4, -0x1.4858fc55053f3p-4, -0x1.44b217ad9724ap-4, -0x1.410ccd9ae14d9p-4, -0x1.3d694ed481179p-4, -0x1.39c7cb9027088p-4, -0x1.362872eee0b89p-4, -0x1.328b7357fe2eap-4, -0x1.2ef0fa4e34cp-4, -0x1.2b5934840d0b8p-4, -0x1.27c44dd2646ffp-4, -0x1.24327113faae6p-4, -0x1.20a3c855214eap-4, -0x1.1d187c9d45fddp-4, -0x1.1990b6393b884p-4, -0x1.160c9c7e25ea6p-4, -0x1.128c55d330cb6p-4, -0x1.0f1007c7af783p-4, -0x1.0b97d6f38bbddp-4, -0x1.0823e6bc8d63cp-4, -0x1.04b459f7c447dp-4, -0x1.0149526242da8p-4, -0x1.fbc5e1dc76bcep-5, -0x1.f502ab0d31cedp-5, -0x1.ee493da12e047p-5, -0x1.e799d6f81cb16p-5, -0x1.e0f4b08ce8267p-5, -0x1.da5a038f38187p-5, -0x1.d3ca05506e261p-5, -0x1.cd44eadf6c52ap-5, -0x1.c6cae7c4cd544p-5, -0x1.c05c2d1887213p-5, -0x1.b9f8ea626fc6ap-5, -0x1.b3a14c837cd12p-5, -0x1.ad557f4e608c9p-5, -0x1.a715ac65a6c94p-5, -0x1.a0e1fc4af5cacp-5, -0x1.9aba95cc5804bp-5, -0x1.949f9e0319d59p-5, -0x1.8e91386787c2cp-5, -0x1.888f860a75126p-5, -0x1.829aa60441607p-5, -0x1.7cb2b56563155p-5, -0x1.76d7d0728f6a7p-5, -0x1.710a1237a0014p-5, -0x1.6b49954653473p-5, -0x1.6596721cfe957p-5, -0x1.5ff0bffb7a2c8p-5, -0x1.5a58932c0f189p-5, -0x1.54cdfdf9f1caep-5, -0x1.4f510f4bff239p-5, -0x1.49e1d64703d92p-5, -0x1.44806037cba5bp-5, -0x1.3f2cbc2563979p-5, -0x1.39e6f88089b37p-5, -0x1.34af237b21d3fp-5, -0x1.2f85485709253p-5, -0x1.2a696f0faf7dap-5, -0x1.255b9b0c987c4p-5, -0x1.205bccd520839p-5, -0x1.1b6a044272ef9p-5, -0x1.168641b29f3b3p-5, -0x1.11b08885eb828p-5, -0x1.0ce8deaa0225p-5, -0x1.082f4b20a2d1ep-5, -0x1.0383d243ecf68p-5, -0x1.fdcce7a910319p-6, -0x1.f4ae517cf1f4fp-6, -0x1.ebabc7c6ec8b1p-6, -0x1.e2c529ed36eb7p-6, -0x1.d9fa5a1fffd44p-6, -0x1.d14b43741cce1p-6, -0x1.c8b7de6aafb7bp-6, -0x1.c0402ea53b4a5p-6, -0x1.b7e43b8a20804p-6, -0x1.afa4052ea968bp-6, -0x1.a77f7af0c1df3p-6, -0x1.9f7676b5696a7p-6, -0x1.9788bf6cf79bbp-6, -0x1.8fb613914a6d5p-6, -0x1.87fe34640b023p-6, -0x1.8060f6b8df68p-6, -0x1.78de417984c33p-6, -0x1.717613f6b526bp-6, -0x1.6a287851dfd26p-6, -0x1.62f57488618e2p-6, -0x1.5bdcfa24f28b6p-6, -0x1.54dedd0992f9dp-6, -0x1.4dfad2e4048edp-6, -0x1.47307e573464fp-6, -0x1.407f7d5774aep-6, -0x1.39e77c1cd0a29p-6, -0x1.3368425d8abb2p-6, -0x1.2d01b92356eddp-6, -0x1.26b3e74265ff9p-6, -0x1.207edf7dc9601p-6, -0x1.1a62ad0417f9fp-6, -0x1.145f3fa449825p-6, -0x1.0e745fcddbd48p-6, -0x1.08a1b17eb3b1cp-6, -0x1.02e6c0e2a601dp-6, -0x1.fa8625f46ad74p-7, -0x1.ef6c7186c14c7p-7, -0x1.e47fbee721339p-7, -0x1.d9bfb7fdd60c6p-7, -0x1.cf2c557b2b944p-7, -0x1.c4c5c90147e2p-7, -0x1.ba8c4a20f4e1p-7, -0x1.b07fe427cf4cep-7, -0x1.a6a052bdb0f3bp-7, -0x1.9cecfec514d8dp-7, -0x1.93650f75c0b64p-7, -0x1.8a07866114ec8p-7, -0x1.80d354d7901afp-7, -0x1.77c77b687ed3ap-7, -0x1.6ee32eac0525ep-7, -0x1.6625fedc7c209p-7, -0x1.5d8fe41307bb3p-7, -0x1.5521202c79785p-7, -0x1.4cd9ffc805d15p-7, -0x1.44ba9d40473b2p-7, -0x1.3cc2c504a7d7ap-7, -0x1.34f1ff5d8fd4ep-7, -0x1.2d47a23ba9ddep-7, -0x1.25c2d598ac7b9p-7, -0x1.1e628c484cecp-7, -0x1.17258ee49b206p-7, -0x1.100ab52e74ab1p-7, -0x1.09113179f2bffp-7, -0x1.0238c16b68439p-7, -0x1.f7032ab782c6bp-8, -0x1.e9d80560570fep-8, -0x1.dcf072b271013p-8, -0x1.d04c571ed9a53p-8, -0x1.c3eb4914551e6p-8, -0x1.b7ccc4ea14614p-8, -0x1.abf00f7dc7d2bp-8, -0x1.a053cf45385f2p-8, -0x1.94f5c4a550da6p-8, -0x1.89d3146f852bp-8, -0x1.7ee92076cc2bep-8, -0x1.7436512647d4bp-8, -0x1.69ba3eef87258p-8, -0x1.5f7529459ed2ep-8, -0x1.556742469c5dcp-8, -0x1.4b90651d70723p-8, -0x1.41f04c0739fdbp-8, -0x1.3886ea0735345p-8, -0x1.2f547c9bcd711p-8, -0x1.26592639e536ep-8, -0x1.1d9441f690bcap-8, -0x1.1503fc98580a1p-8, -0x1.0ca5b90a3d5f4p-8, -0x1.0476e8ea82b8bp-8, -0x1.f8ebc47cb94a6p-9, -0x1.e943ad3e911b8p-9, -0x1.d9f48b0c86cc7p-9, -0x1.cafcfac834d8ap-9, -0x1.bc5b4b7ef1bd7p-9, -0x1.ae0e5cca6a1dap-9, -0x1.a0162ddd680bfp-9, -0x1.927406c3dc095p-9, -0x1.852962ade5b27p-9, -0x1.7836bad3c0415p-9, -0x1.6b9aaffbbc62cp-9, -0x1.5f52551a0962cp-9, -0x1.535a684444b7dp-9, -0x1.47b027d7b5b61p-9, -0x1.3c51549e00d59p-9, -0x1.313b58a8eac01p-9, -0x1.266b27dcafaaep-9, -0x1.1bdda9c9caa42p-9, -0x1.1190459d54a85p-9, -0x1.07819457fad7fp-9, -0x1.fb63e6fa91cf5p-10, -0x1.e8468adadb48bp-10, -0x1.d5ae29b4db4f6p-10, -0x1.c39a6cd7833a5p-10, -0x1.b208c1dc76b56p-10, -0x1.a0f72a703b1eep-10, -0x1.90654ca5ed0acp-10, -0x1.80530de8b95a4p-10, -0x1.70bd3f31de451p-10, -0x1.619c03c35a64bp-10, -0x1.52e6868a024abp-10, -0x1.449724d54a22p-10, -0x1.36a9b3c65ecc9p-10, -0x1.2918b662d2562p-10, -0x1.1be0ed1c16126p-10, -0x1.0f05828d38599p-10, -0x1.028b6fa108c3p-10, -0x1.ece4f9fb24dd7p-11, -0x1.d56c2b7e38c98p-11, -0x1.bea6d1840ca09p-11, -0x1.a8992a01bcb61p-11, -0x1.934cd08e4d4e1p-11, -0x1.7ec6fc27430a9p-11, -0x1.6affab2d03403p-11, -0x1.57e0a755ecbdbp-11, -0x1.45574e29051c1p-11, -0x1.336424904308bp-11, -0x1.22096ae2a59e1p-11, -0x1.11387bdfec52ep-11, -0x1.00e325a283f6cp-11, -0x1.e21bca799e85fp-12, -0x1.c38484e809e98p-12, -0x1.a5fe3479688bcp-12, -0x1.8975e93877fe8p-12, -0x1.6ddc4773836d7p-12, -0x1.5335ab4534f9ap-12, -0x1.3997c5a74504ap-12, -0x1.21143110f96cfp-12, -0x1.09a5eef78efbdp-12, -0x1.e662b56ddff02p-13, -0x1.bb1434f7b4ccdp-13, -0x1.913fbdf3a10e7p-13, -0x1.6924a625b63cap-13, -0x1.42d0b6a230329p-13, -0x1.1dfb196b6a2ffp-13, -0x1.f509480a068ap-14, -0x1.b0ed4ab62bd82p-14, -0x1.6f9244443aa64p-14, -0x1.30e32981ff5fp-14, -0x1.e999764d4b62ap-15, -0x1.765fcf5d3734fp-15, -0x1.081443f2d4b81p-15, -0x1.3e55259c3d191p-16, -0x1.e00396c72c42fp-18, 0x1.0de3d40c8ec1dp-18, 0x1.ea6cf4606a5fap-17, 0x1.9e2a4a36ccab3p-16, 0x1.1fdf1ab4742efp-15, 0x1.6caef6e318d1p-15, 0x1.b4c5a4f668ee8p-15, 0x1.f8aaf380dca58p-15, 0x1.1c3e670b207d7p-14, 0x1.3a0a64ab4181cp-14, 0x1.5623e5a09c31ap-14, 0x1.70d43fd6db92cp-14, 0x1.89fb076ab6946p-14, 0x1.a1784eb882ca8p-14, 0x1.b766b05f6decbp-14, 0x1.cbcb0be060271p-14, 0x1.de7f4caf443d4p-14, 0x1.ef8a3244c1acfp-14, 0x1.ff25bb37001fap-14, 0x1.06c1360bfaaafp-13, 0x1.0d47156bf1ac7p-13, 0x1.132198923fda5p-13, 0x1.186fa32e155a4p-13, 0x1.1d244c542f26ap-13, 0x1.214f198bbd994p-13, 0x1.24d9fac5f0b58p-13, 0x1.27a394b520668p-13, 0x1.29da5c8e161fdp-13, 0x1.2bb63ff3fe01fp-13, 0x1.2d3c3ea4f3da5p-13, 0x1.2e4add3819cd9p-13, 0x1.2ee4a83ee5bddp-13, 0x1.2f1677c75bd14p-13, 0x1.2ecf0bf6669a4p-13, 0x1.2e14543999f97p-13, 0x1.2cfdcbf5c6177p-13, 0x1.2b95a02904b35p-13, 0x1.29e1483762a72p-13, 0x1.27db1eef1e70cp-13, 0x1.256a0d3620d3ep-13, 0x1.22a8163b7b2b7p-13, 0x1.1fad3a1926bf5p-13, 0x1.1c7e8acb57d5cp-13, 0x1.18ff156722743p-13, 0x1.152121900b8cep-13, 0x1.10f72ad3cc5e6p-13, 0x1.0c948214b3b6dp-13, 0x1.08115be04ea74p-13, 0x1.035f91d21dbacp-13, 0x1.fcf58cf06a0e9p-14, 0x1.f2db370d6dfd1p-14, 0x1.e849c926fb151p-14, 0x1.dd521284e2b57p-14, 0x1.d21915da86d77p-14, 0x1.c6a6aa075c6fdp-14, 0x1.baf6288dc03c1p-14, 0x1.af09137f69e8cp-14, 0x1.a2e524c4c24aap-14, 0x1.96718d9d9324ap-14, 0x1.89b1a29c97a96p-14, 0x1.7ce142f20bb4p-14, 0x1.6ffd2f4b0e10ep-14, 0x1.62d82000f4c81p-14, 0x1.55869a9464ceap-14, 0x1.4813728dab97ap-14, 0x1.3a71cd10d3773p-14, 0x1.2cb5beeda9dfep-14, 0x1.1ef0b33fc611fp-14, 0x1.1121af9af806ep-14, 0x1.0347d64870f98p-14, 0x1.ea91fe92df423p-15, 0x1.ce79ed9eb756ap-15, 0x1.b261947bdf1e8p-15, 0x1.964896b41d83cp-15, 0x1.7a2e5fab905f2p-15, 0x1.5e12f74b7f032p-15, 0x1.41f8455683311p-15, 0x1.25e74a7560a26p-15, 0x1.09e0f85ca4d1ap-15, 0x1.db97dc827cb3p-16, 0x1.a3c618b501b7dp-16, 0x1.6c453aecbad06p-16, 0x1.34c9a9b83794cp-16, 0x1.fb3f9d1fbbabcp-17, 0x1.8d9b8039b55fbp-17, 0x1.206308980f8a8p-17, 0x1.66d1a6db789a7p-18, 0x1.1d50ca0c23abep-19, -0x1.1d218ba5444bap-20, -0x1.1bfb499c24844p-18, -0x1.ef837bdd74cd2p-18, -0x1.608adebea153fp-17, -0x1.c85a92af5807fp-17, -0x1.179c5eef0ca4fp-16, -0x1.4a8eda3eedb8p-16, -0x1.7d012590d2f81p-16, -0x1.aeef6e881684ap-16, -0x1.e0576aaba69c5p-16, -0x1.089b9e1c7536ap-15, -0x1.20c0c11ab11d6p-15, -0x1.38a0cf53af75ep-15, -0x1.5037931130507p-15, -0x1.677e9b0ccf063p-15, -0x1.7e7e5827b82a4p-15, -0x1.952b2cdce13cbp-15, -0x1.ab85bfa57870bp-15, -0x1.c1909c15dae9p-15, -0x1.d754a5256f899p-15, -0x1.ecc1feadc3eadp-15, -0x1.00ea71e9e7c44p-14, -0x1.0b4df06c2c574p-14, -0x1.1586533beadbfp-14, -0x1.1f931f49a2cefp-14, -0x1.2975063617e76p-14, -0x1.332bbf105fc3dp-14, -0x1.3cb7444ee9091p-14, -0x1.46174696dbc58p-14, -0x1.4f4b90aa1cc45p-14, -0x1.5853fe0bd5b48p-14, -0x1.6130852af0d8ap-14, -0x1.69e1192dfbd1fp-14, -0x1.726590e27020ap-14, -0x1.7abdadce58f18p-14, -0x1.82e9c342ad139p-14, -0x1.8ae9d1b870c9ep-14, -0x1.92be0082c8bfdp-14, -0x1.9a65d5c6e4071p-14, -0x1.a1e190d025e6cp-14, -0x1.a9316306ad2bp-14, -0x1.b055f82f70333p-14, -0x1.b74e6be79117bp-14, -0x1.be1b9e722b39fp-14, -0x1.c4bd604d71502p-14, -0x1.cb33f26f240d1p-14, -0x1.d17f9d209e1dcp-14, -0x1.d7a085aadf5cp-14, -0x1.dd96e03a45e56p-14, -0x1.e362ec4bd322ep-14, -0x1.e904eae717394p-14, -0x1.ee7d168a915dfp-14, -0x1.f3cbb7e84a75ep-14, -0x1.f8f11d8f0377fp-14, -0x1.fded9386ae68bp-14, -0x1.0160ada33c08p-13, -0x1.03b6623e7ca53p-13, -0x1.05f811b5ed7c7p-13, -0x1.082600d77bbabp-13, -0x1.0a403c49b788ap-13, -0x1.0c46ad9638adep-13, -0x1.0e3a2bb0cf306p-13, -0x1.101a69df63cb2p-13, -0x1.11e7cec1f356ep-13, -0x1.13a22fc0ebe4p-13, -0x1.1549fec7e6761p-13, -0x1.16df5c4feb6c4p-13, -0x1.1862ab26634a3p-13, -0x1.19d3fa0d7e896p-13, -0x1.1b3382eafb9dbp-13, -0x1.1c8157e3d1288p-13, -0x1.1dbddd293079dp-13, -0x1.1ee928e0b040ap-13, -0x1.200377908b579p-13, -0x1.210d048e3bd74p-13, -0x1.2205ef9fcf666p-13, -0x1.22ee8a57bbaf9p-13, -0x1.23c6ff350d845p-13, -0x1.248f87ce5bd9ap-13, -0x1.254858376a10ep-13, -0x1.25f1a48ce8abcp-13, -0x1.268ba26b09be5p-13, -0x1.27168eff98ec7p-13, -0x1.2792a4e812f6p-13, -0x1.28003245a699bp-13, -0x1.285f21299e965p-13, -0x1.28afeaad71b0ap-13, -0x1.28f2d8c998b2ap-13, -0x1.2927b44d25045p-13, -0x1.294f225fff74dp-13, -0x1.2969446f50d73p-13, -0x1.297640e3a8dc4p-13, -0x1.2976576204b53p-13, -0x1.2969b34291873p-13, -0x1.29508e7153c21p-13, -0x1.292b1b5244a0ap-13, -0x1.28f9a32e7f3e1p-13, -0x1.28bc4bbf17e32p-13, -0x1.28734e946c253p-13, -0x1.281eddd628b55p-13, -0x1.27bf33287f9dep-13, -0x1.275487da70e13p-13, -0x1.26df09f6e36p-13, -0x1.265ee4d93c684p-13, -0x1.25d4714d4170dp-13, -0x1.253fa4b8a363p-13, -0x1.24a0e3d719cd5p-13, -0x1.23f85f5eb4c01p-13, -0x1.234639987bf1dp-13, -0x1.228a91dbd8ff2p-13, -0x1.21c5e665f8304p-13, -0x1.20f8126eed7bp-13, -0x1.20217bc4ec4bp-13, -0x1.1f422f0347e2bp-13, -0x1.1e5a7894af2ddp-13, -0x1.1d6a7f7b93c03p-13, -0x1.1c7277326482p-13, -0x1.1b7285808890cp-13, -0x1.1a6ad96c2569p-13, -0x1.195bac54fe14bp-13, -0x1.1845268201f33p-13, -0x1.172773f168f04p-13, -0x1.1602bcf8ddbbdp-13, -0x1.14d73b4e265f8p-13, -0x1.13a5164891cc8p-13, -0x1.126c746d3df1dp-13, -0x1.112da842f9accp-13, -0x1.0fe860afa9592p-13, -0x1.0e9d4e492d789p-13, -0x1.0d4c69a525b4ep-13, -0x1.0bf5f9330c2bp-13, -0x1.0a99dd57a243bp-13, -0x1.09387cd6cae31p-13, -0x1.07d1e481b3b6ep-13, -0x1.066650ff9ea8ap-13, -0x1.04f5f8e662942p-13, -0x1.0380af9669d61p-13, -0x1.0206e6ad67815p-13, -0x1.0088ae50f394dp-13, -0x1.fe0c7cafb865ap-14, -0x1.faff46f3f74e5p-14, -0x1.f7ea0603b338p-14, -0x1.f4cd1457c6322p-14, -0x1.f1a8a371e6deep-14, -0x1.ee7d065377638p-14, -0x1.eb4a792c0e602p-14, -0x1.e81147c96a23cp-14, -0x1.e4d1b24614ed1p-14, -0x1.e18bf4c419969p-14, -0x1.de40579d10867p-14, -0x1.daef20761f0cbp-14, -0x1.d7987a3565787p-14, -0x1.d43ca6521b60ap-14, -0x1.d0dbdb00f2c09p-14, -0x1.cd7671452802p-14, -0x1.ca0c911507d18p-14, -0x1.c69e890705ec7p-14, -0x1.c32c6a36e449bp-14, -0x1.bfb66f7a9a047p-14, -0x1.bc3cef56d3ddbp-14, -0x1.b8c02e00a8a2fp-14, -0x1.b540343555e6fp-14, -0x1.b1bd31055129p-14, -0x1.ae378950745c6p-14, -0x1.aaaf4e8c6342ap-14, -0x1.a724c41890f29p-14, -0x1.a39807a82bbf9p-14, -0x1.a0095aefb850bp-14, -0x1.9c78e409b66d1p-14, -0x1.98e6afc38e303p-14, -0x1.95533b195bbfep-14, -0x1.91be5c2500719p-14, -0x1.8e292d97b99c9p-14, -0x1.8a920d7e4d125p-14, -0x1.86faf7d9e7978p-14, -0x1.8362575dae54ap-14, -0x1.7fc9dce200f5p-14, -0x1.7c311c6d1b071p-14, -0x1.789845973ef22p-14, -0x1.74ff7cb3f6049p-14, -0x1.7166d916b6e52p-14, -0x1.6dce8cde50feep-14, -0x1.6a36b8d64872fp-14, -0x1.669f8b6ff0cfbp-14, -0x1.6309295b8ddc9p-14, -0x1.5f739d886e47fp-14, -0x1.5bdf0d1615b65p-14, -0x1.584bab4c12a6dp-14, -0x1.54b99b0667205p-14, -0x1.5128e0c16ecedp-14, -0x1.4d999d9ef8e1fp-14, -0x1.4a0c23855a04ep-14, -0x1.468057c65fea7p-14, -0x1.42f64c5f90da4p-14, -0x1.3f6e53525ea03p-14, -0x1.3be86f1999a0cp-14, -0x1.3864b71b60ab2p-14, -0x1.34e3474aae6c9p-14, -0x1.31642c62dae2dp-14, -0x1.2de780ef9c665p-14, -0x1.2a6d9069ba542p-14, -0x1.26f64860d207ep-14, -0x1.2381b47b4b1c7p-14, -0x1.200fefb621b15p-14, -0x1.1ca1215798304p-14, -0x1.193567fb8817bp-14, -0x1.15ccb4bce7d6ep-14, -0x1.12672e52d2404p-14, -0x1.0f04dbc7a8c81p-14, -0x1.0ba61aaa2979cp-14, -0x1.084a98636c226p-14, -0x1.04f1a85fb4e04p-14, -0x1.019e5c4044e43p-14, -0x1.fc9a74346c9dbp-15, -0x1.f5ffd8446ad25p-15, -0x1.ef6d5780396d6p-15, -0x1.e8e1fa8071cfep-15, -0x1.e25e72d09f16ep-15, -0x1.dbe2b5c78ff1ep-15, -0x1.d56ef28974083p-15, -0x1.cf035c40a3b5ep-15, -0x1.c89ffc0b2dd81p-15, -0x1.c244a5045a02p-15, -0x1.bbf1a62092352p-15, -0x1.b5a7542544b98p-15, -0x1.af6593cf728cfp-15, -0x1.a92c6de1b08d3p-15, -0x1.a2fbf7bdd8ebap-15, -0x1.9cd49925a0aa1p-15, -0x1.96b595a3b619fp-15, -0x1.909fcd099f924p-15, -0x1.8a93201bf9b29p-15, -0x1.848f8647f02f2p-15, -0x1.7e9515cdaf8e1p-15, -0x1.78a443857ab5fp-15, -0x1.72bc0e40a20f8p-15, -0x1.6cdd925d58608p-15, -0x1.67086d42b076fp-15, -0x1.613cc84fa87b2p-15, -0x1.5b7adfb7dfa3p-15, -0x1.55c298c90148ep-15, -0x1.50136f66f4ae6p-15, -0x1.4a6e3dc34f221p-15, -0x1.44d29dd37e7cbp-15, -0x1.3f40ec54e1d3ap-15, -0x1.39b8f13b26592p-15, -0x1.343acb349c85ep-15, -0x1.2ec67506ba10cp-15, -0x1.295c09e73c6e7p-15, -0x1.23fb50b640126p-15, -0x1.1ea4bc0db64b4p-15, -0x1.19586b24461b1p-15, -0x1.141602ba271a3p-15, -0x1.0edcf2a68bf69p-15, -0x1.09adfe58f7f9p-15, -0x1.0489d6410e127p-15, -0x1.fedde222fccecp-16, -0x1.f4bc6c8155056p-16, -0x1.eaafe7f1468c8p-16, -0x1.e0b70603ab50fp-16, -0x1.d6d25109e05ffp-16, -0x1.cd01cde9505a5p-16, -0x1.c3456d5e86af6p-16, -0x1.b99e088835f4p-16, -0x1.b00914c853b3ap-16, -0x1.a68954724baep-16, -0x1.9d1d8545458b8p-16, -0x1.93c60e65342f4p-16, -0x1.8a82797a4e9f6p-16, -0x1.81530ffdadf71p-16, -0x1.7837cd0f77713p-16, -0x1.6f305721bf81p-16, -0x1.663d77e92dca6p-16, -0x1.5d5e584133869p-16, -0x1.54933c4ba6c5dp-16, -0x1.4bdc0f9204b16p-16, -0x1.4338db17167d6p-16, -0x1.3aa9837d65f09p-16, -0x1.322dd9de80808p-16, -0x1.29c625ec1723bp-16, -0x1.217403de9b0c3p-16, -0x1.19321a5d8f3ebp-16, -0x1.1105599a75007p-16, -0x1.08ecc023fe22cp-16, -0x1.00e76d6dfb503p-16, -0x1.f1eaade8d40e7p-17, -0x1.e22eb0c799ec3p-17, -0x1.d297b6fd4f8c5p-17, -0x1.c3297f4126965p-17, -0x1.b3df96b51020dp-17, -0x1.a4c048a2e6507p-17, -0x1.95c1e5cc0189p-17, -0x1.86ebd954afe02p-17, -0x1.783bf0c94becdp-17, -0x1.69b1f8d97fb5fp-17, -0x1.5b4dc58cbfd02p-17, -0x1.4d03d5a959c64p-17, -0x1.3ef5dd7ad06bcp-17, -0x1.310217c1eaf4cp-17, -0x1.233355dd7727bp-17, -0x1.158bc3e42c323p-17, -0x1.0804a5956270ap-17, -0x1.f548d65742b8cp-18, -0x1.dacf88e704e9fp-18, -0x1.c0a6a16c8ed8cp-18, -0x1.a6bc20c2ed4fp-18, -0x1.8d1d3d94d5fa2p-18, -0x1.73c5c19ab5cbap-18, -0x1.5ab873c595d31p-18, -0x1.41efbb295470bp-18, -0x1.296bff240a9eap-18, -0x1.112f2c51e3d78p-18, -0x1.f27769f0903cap-19, -0x1.c31758b454c7ep-19, -0x1.94401b5403216p-19, -0x1.65ed2cc30da85p-19, -0x1.382c8ee12b9a9p-19, -0x1.0af374d999c41p-19, -0x1.bc7fc78b0ac8ep-20, -0x1.641be241c2a61p-20, -0x1.0cc9d5d208e6dp-20, -0x1.6d0c883f19008p-21, -0x1.851b9578e2e13p-22, -0x1.a182bbfabe051p-25, 0x1.18c17ec0e7cb1p-22, 0x1.30b41909225b2p-21, 0x1.d3073558f074ep-21, 0x1.39b7f6e378709p-20, 0x1.88dd2394961bfp-20, 0x1.d7113bcbb39cbp-20, 0x1.122426847d908p-19, 0x1.38449714ba718p-19, 0x1.5de885859bd72p-19, 0x1.830a324adf55ap-19, 0x1.a7b62135c0f45p-19, 0x1.cbe70ea20e924p-19, 0x1.efa01b181de66p-19, 0x1.09726d22d9c58p-18, 0x1.1ad7f689b4222p-18, 0x1.2bf567b3286c2p-18, 0x1.3cf05d69c0a42p-18, 0x1.4da4c98e41608p-18, 0x1.5e1e3071be54p-18, 0x1.6e61f2da5fec3p-18, 0x1.7e69f9cca30d3p-18, 0x1.8e386f217814ep-18, 0x1.9dcfc7baf5ed5p-18, 0x1.ad2f3d396af2bp-18, 0x1.bc55b3e79218ep-18, 0x1.cb469753f881dp-18, 0x1.da023863c9bb3p-18, 0x1.e881d0f15fb26p-18, 0x1.f6d17eca421fep-18, 0x1.027667672af74p-17, 0x1.09678ce2d86e9p-17, 0x1.103faa243b20bp-17, 0x1.16fda71224626p-17, 0x1.1da19c17cd542p-17, 0x1.242bcddc0836p-17, 0x1.2a9c1233957cep-17, 0x1.3100d5f8576f1p-17, 0x1.3731fa73125f3p-17, 0x1.3d56dac4195e9p-17, 0x1.4363a46dea58cp-17, 0x1.495898f21852fp-17, 0x1.4f3ff89a2cd1ep-17, 0x1.54f92cace287dp-17, 0x1.5aa60e5955d15p-17, 0x1.603ac5787b1fbp-17, 0x1.65b7a60428c06p-17, 0x1.6b1d9514960d9p-17, 0x1.706d75b37371fp-17, 0x1.75a6f88305da5p-17, 0x1.7ac7c47156415p-17, 0x1.7fc91dec652eap-17, 0x1.84c8c5467870fp-17, 0x1.89ad38c73733p-17, 0x1.8e70dd16d67adp-17, 0x1.9323cd63678f3p-17, 0x1.97b5dda8f15eap-17, 0x1.9c4cfec560bd3p-17, 0x1.a0c023377d88ep-17, 0x1.a51f0ed2b94d4p-17, 0x1.a969a96a6adep-17, 0x1.ada01acc09de9p-17, 0x1.b1c2221c5febbp-17, 0x1.b5cfaa6a4486cp-17, 0x1.b9c899f353d0ap-17, 0x1.bda775aca26d1p-17, 0x1.c1827952a25bap-17, 0x1.c5416162a2be9p-17, 0x1.c8ee57e59601dp-17, 0x1.cc86981712fecp-17, 0x1.d00eba30d40d4p-17, 0x1.d3817e842a8eap-17, 0x1.d6e24aaf938f6p-17, 0x1.da30f447044a9p-17, 0x1.dd6e33682a227p-17, 0x1.e09a9d96d6573p-17, 0x1.e3b3ee61ddf0ap-17, 0x1.e6bbc7bd3e922p-17, 0x1.e9b2c3cc7666fp-17, 0x1.ec9ac743f41b1p-17, 0x1.ef6d634dc1c23p-17, 0x1.f235ced2a76acp-17, 0x1.f4e3caa9368a2p-17, 0x1.f78636448c8bdp-17, 0x1.fa19be7e964b1p-17, 0x1.fc9c268607df7p-17, 0x1.ff0d8656b5e86p-17, 0x1.00b848a83870ap-16, 0x1.01e15dad992d5p-16, 0x1.02fef320f8b9ep-16, 0x1.041d8cd138b6ep-16, 0x1.05303e6ef6447p-16, 0x1.063b22cf36cc8p-16, 0x1.073ed3b824575p-16, 0x1.083b176d248f4p-16, 0x1.0930d59ab611ap-16, 0x1.0a1ed4f5b536dp-16, 0x1.0b05733907b6cp-16, 0x1.0be4e9e1f68c1p-16, 0x1.0cc2a84940bdcp-16, 0x1.0d90653bcb1d5p-16, 0x1.0e5b838ef22bp-16, 0x1.0f2073f55d6f3p-16, 0x1.0fde5659a0d73p-16, 0x1.1095fd4ef4239p-16, 0x1.11468dfff6fdp-16, 0x1.11f18f3a1a84fp-16, 0x1.129654580973p-16, 0x1.1333bfeae2d9ep-16, 0x1.13cb6bd027828p-16, 0x1.145dbcd87b623p-16, 0x1.14e9cae02ce84p-16, 0x1.156f267cb54dp-16, 0x1.15ef5f921c265p-16, 0x1.16696fd093195p-16, 0x1.16ddd0ed4d4d8p-16, 0x1.174c78d8b7997p-16, 0x1.17bc6366f1e26p-16, 0x1.181954aa10ca3p-16, 0x1.1877afa1cf3ebp-16, 0x1.18cf8c9072f34p-16, 0x1.1923038c1ff2p-16, 0x1.19776ab5051b2p-16, 0x1.19bb68ab3c73bp-16, 0x1.19fe319c3fa87p-16, 0x1.1a3cd6b9857acp-16, 0x1.1a7691af3630ap-16, 0x1.1aa8b8f5fa793p-16, 0x1.1adab3c658f23p-16, 0x1.1b0501e77963dp-16, 0x1.1b2c4c56478d2p-16, 0x1.1b4db87860b9cp-16, 0x1.1b6abbdb5f606p-16, 0x1.1b82895108529p-16, 0x1.1b9657e53e64cp-16, 0x1.1ba667e8f82bap-16, 0x1.1bb0c4aa5c202p-16, 0x1.1bb77536348a7p-16, 0x1.1bb9d027e57b1p-16, 0x1.1bb82c283b923p-16, 0x1.1bb238a7c3d28p-16, 0x1.1baa6c61524f5p-16, 0x1.1ba0537caaffdp-16, 0x1.1b87c81d9044cp-16, 0x1.1b71594e1b7c6p-16, 0x1.1b573fea65fcbp-16, 0x1.1b390fb9bb9c7p-16, 0x1.1b181810be44ap-16, 0x1.1af13d833b96cp-16, 0x1.1ac940686fda8p-16, 0x1.1a9c9e813a249p-16, 0x1.1a6c6619874f6p-16, 0x1.1a38a7c7b2b41p-16, 0x1.1a01831549bcp-16, 0x1.19c6fd13f50b2p-16, 0x1.1988816021f55p-16, 0x1.19466c2344377p-16, 0x1.1901dbe1ef537p-16, 0x1.18bcf2f2451d6p-16, 0x1.18703e8b05f53p-16, 0x1.1822a8b861131p-16, 0x1.17d0868f1b3b5p-16, 0x1.177d1aae7f2bdp-16, 0x1.1724ed36f3184p-16, 0x1.16cb859f1743bp-16, 0x1.166e930289d6ap-16, 0x1.160ec2ef14249p-16, 0x1.15ac319de1ad5p-16, 0x1.1546e8a5e60a7p-16, 0x1.14dec7404d396p-16, 0x1.14742882b1cd2p-16, 0x1.14066106bb33p-16, 0x1.1397376891eb2p-16, 0x1.132423ab6117dp-16, 0x1.12af389b9692cp-16, 0x1.1237f0ab32684p-16, 0x1.11bdf4dd36d2bp-16, 0x1.1141a31cc77d9p-16, 0x1.10c4caeb53987p-16, 0x1.10423e1daa3a6p-16, 0x1.0fbf5b82ec64ap-16, 0x1.0f3a0a53d887dp-16, 0x1.0eb2c5366da01p-16, 0x1.0e29125f05359p-16, 0x1.0d9d38230c1adp-16, 0x1.0d0f40bc63026p-16, 0x1.0c851cfef4e1ep-16, 0x1.0bee23f3b9b31p-16, 0x1.0b5a7057bc02ap-16, 0x1.0ac45e52d15c1p-16, 0x1.0a2d7d50b3326p-16, 0x1.09942c7c54d61p-16, 0x1.08f8912358eaep-16, 0x1.085b54fcfa711p-16, 0x1.07bd23d0b5c73p-16, 0x1.071cd8997be15p-16, 0x1.067add357c95dp-16, 0x1.05d70e6bdd4f1p-16, 0x1.0531c3625b99ep-16, 0x1.048ae87e4c7cap-16, 0x1.03e2ce90e8a76p-16, 0x1.03388fe719f0dp-16, 0x1.028d292a0b554p-16, 0x1.01dc05494d0a6p-16, 0x1.01320c1af1bfbp-16, 0x1.00823c9d4ab66p-16, 0x1.ffa385052cbdbp-17, 0x1.fe3eb4d73e4aep-17, 0x1.fcdae5593a22cp-17, 0x1.fb6d387318047p-17, 0x1.fa00bd6a1a609p-17, 0x1.f892dab50ea9ep-17, 0x1.f722199d19452p-17, 0x1.f5ae9583e0a32p-17, 0x1.f43927b447aaep-17, 0x1.f2c134e0ec32ep-17, 0x1.f1476f71709e4p-17, 0x1.efcb46af38a11p-17, 0x1.ee4d4653448cdp-17, 0x1.ecd7aecf6b89cp-17, 0x1.eb4ebd82d456ap-17, 0x1.e9c7b209b3d25p-17, 0x1.e8416d6dc2d07p-17, 0x1.e6baefaad8917p-17, 0x1.e5316f5e8545bp-17, 0x1.e3a631e77d903p-17, 0x1.e219a893b7dc1p-17, 0x1.e08c746d2a7f3p-17, 0x1.defbc995730f2p-17, 0x1.dd6ad9b37c52bp-17, 0x1.dbd84c7054f3dp-17, 0x1.da44351a30093p-17, 0x1.d8af018899a88p-17, 0x1.d7185aad57f5ep-17, 0x1.d57ffea8f2a96p-17, 0x1.d3e7114836fefp-17, 0x1.d24bffcaec1e9p-17, 0x1.d0b130d06957p-17, 0x1.cf144fd70917ap-17, 0x1.cd76a39376c8dp-17, 0x1.cbd7d9f4d0cd2p-17, 0x1.ca3811bfad881p-17, 0x1.c897978d39782p-17, 0x1.c6f5619533ab3p-17, 0x1.c552ca1340a4dp-17, 0x1.c3b019fe9fe4p-17, 0x1.c20ce08923b29p-17, 0x1.c0669e892a584p-17, 0x1.bec194ef4aa9ap-17, 0x1.bd1ace5082761p-17, 0x1.bb7401f610fe7p-17, 0x1.b9cc6f22e6d05p-17, 0x1.b824459ae5733p-17, 0x1.b67b996f93a36p-17, 0x1.b4d2353fa3029p-17, 0x1.b328595d16335p-17, 0x1.b17e7e1f4fe81p-17, 0x1.afd3e2c66ea9ep-17, 0x1.ae258eb2506d6p-17, 0x1.ac7d303aa0e79p-17, 0x1.aad33959a0312p-17, 0x1.a92627473b61fp-17, 0x1.a779e7d9d4c32p-17, 0x1.a5cd2e8783105p-17, 0x1.a42162b3c83c8p-17, 0x1.a274691aa93c9p-17, 0x1.a0c70fa8462e5p-17, 0x1.9f19d8d8779ap-17, 0x1.9d6c9ed3d139cp-17, 0x1.9bbfe215610f5p-17, 0x1.9a11f9512c78fp-17, 0x1.9864fe9fcf7dap-17, 0x1.96b7b9bb6b09fp-17, 0x1.950aa1de0b96ep-17, 0x1.935822294ee5ap-17, 0x1.91b03939410ap-17, 0x1.90037ced3dbap-17, 0x1.8e569a3c4be7ep-17, 0x1.8caa2cbadd664p-17, 0x1.8afdae216191p-17, 0x1.89518a0eac1f7p-17, 0x1.87a54e070d3bap-17, 0x1.85f99f42557ffp-17, 0x1.844e39ce2a418p-17, 0x1.82a30d989ff87p-17, 0x1.80f7da767938dp-17, 0x1.7f4f45fd8f16bp-17, 0x1.7da3b72334416p-17, 0x1.7bfa39414463cp-17, 0x1.7a5038d25d72ep-17, 0x1.78a75880df828p-17, 0x1.76ff8175d7517p-17, 0x1.75571706a1e9ap-17, 0x1.73afe5cce190ep-17, 0x1.7209269216e4ep-17, 0x1.7062943207aeep-17, 0x1.6ebc4b25d2eadp-17, 0x1.6d1702b1f4e63p-17, 0x1.6b725f392f387p-17, 0x1.69ce5a2c86a7fp-17, 0x1.682a7aa28cb49p-17, 0x1.6689dd06ba362p-17, 0x1.64e5931c4ce3cp-17, 0x1.6343b277f0cb1p-17, 0x1.61a29bfe3d0aep-17, 0x1.60022c05e57c3p-17, 0x1.5e62c03fd1cbbp-17, 0x1.5cc3d6a902a64p-17, 0x1.5b257ce872b11p-17, 0x1.59884d148dbcbp-17, 0x1.57ec4700a10a3p-17, 0x1.564feb3b12ee7p-17, 0x1.54b48143c6f62p-17, 0x1.531a63946cd76p-17, 0x1.5181cde3c8797p-17, 0x1.4fe871cec6998p-17, 0x1.4e50ace37e91fp-17, 0x1.4cb9bf51d14a9p-17, 0x1.4b24c8de09e61p-17, 0x1.498d4a66d554cp-17, 0x1.47fb4370b2eedp-17, 0x1.466720985d7c5p-17, 0x1.44d4c43872609p-17, 0x1.434368debbae6p-17, 0x1.41b2ee7eb8eb7p-17, 0x1.4023225728b97p-17, 0x1.3e943dfe481fdp-17, 0x1.3d0704bf21c1dp-17, 0x1.3b7a75a8c2b65p-17, 0x1.39ee3c871c703p-17, 0x1.38639950cc0fdp-17, 0x1.36d9f81eb85d4p-17, 0x1.355145944d1f5p-17, 0x1.33c9904139281p-17, }}, 
      {{0x1.57e8a81597e15p-4, 0x1.00c7e1c9dab97p-3, 0x1.54461e9bd3e94p-3, 0x1.a60eb26c0c25p-3, 0x1.f5cc861c4499dp-3, 0x1.219b08f4e652ap-2, 0x1.47069a19af009p-2, 0x1.6b0f5a7be962ep-2, 0x1.8da0cb577c838p-2, 0x1.aeab1fb9d281ep-2, 0x1.ce22d15a48f66p-2, 0x1.ec002cb710bcap-2, 0x1.041f71c223074p-1, 0x1.116ed20112929p-1, 0x1.1deedb5063b0bp-1, 0x1.29a15201f84fp-1, 0x1.3488f0a532af6p-1, 0x1.3ea9437b80b7dp-1, 0x1.48068687be5p-1, 0x1.50a587a5a835ep-1, 0x1.588b8c4d18b8dp-1, 0x1.5fbe38c91fbaep-1, 0x1.66437c65d5446p-1, 0x1.6c217e48ee78fp-1, 0x1.715e8de9c7f85p-1, 0x1.760113cbd560cp-1, 0x1.7a0f862a4a852p-1, 0x1.7d905d9bcc2ap-1, 0x1.808a0bd629b2ep-1, 0x1.8302f3ab294abp-1, 0x1.850161f2f449bp-1, 0x1.868b883e77529p-1, 0x1.87a77786d61b1p-1, 0x1.885b1c74c7204p-1, 0x1.88ac3c19d62e9p-1, 0x1.88a07170060e7p-1, 0x1.883d2b6923e4ap-1, 0x1.8787ab63a5722p-1, 0x1.8685049025edbp-1, 0x1.853a1afd889f8p-1, 0x1.83aba35948a9dp-1, 0x1.81de237960979p-1, 0x1.7fd5f23b0ec82p-1, 0x1.7d973843a39cp-1, 0x1.7b25f0a4bd06p-1, 0x1.7885e9ac8067dp-1, 0x1.75bac5ed40c09p-1, 0x1.72c7fd1b5716cp-1, 0x1.6fb0dd4cc1ed6p-1, 0x1.6c788c01f2555p-1, 0x1.6922075952f0ep-1, 0x1.65b0273fb9836p-1, 0x1.62259e7ec6144p-1, 0x1.5e84fc2cbd775p-1, 0x1.5ad0ac98fc7e2p-1, 0x1.570afaa60ed65p-1, 0x1.533610e7b09d5p-1, 0x1.4f53fad68e905p-1, 0x1.4b66a5dbced8dp-1, 0x1.476fe2aff4829p-1, 0x1.4371663e172adp-1, 0x1.3f6ccadab86a6p-1, 0x1.3b639152fb22fp-1, 0x1.375721f95a385p-1, 0x1.3348cdb7e8576p-1, 0x1.2f39cf092b6c6p-1, 0x1.2b2b4b078ae98p-1, 0x1.271e524cf6a5cp-1, 0x1.2313e200936fep-1, 0x1.1f0ce4b3bf0bfp-1, 0x1.1b0a33440ba9dp-1, 0x1.170c95c46b0fep-1, 0x1.1314c448f2845p-1, 0x1.0f2367d712b48p-1, 0x1.0b391adf5aa4cp-1, 0x1.07566a7e00e63p-1, 0x1.037bd6c92c9bcp-1, 0x1.ff53a77d88acap-2, 0x1.f7c1940721175p-2, 0x1.f0422dcaa99f3p-2, 0x1.e8d61c9e30856p-2, 0x1.e17df42b106e9p-2, 0x1.da3a365a5b09ep-2, 0x1.d30b546219031p-2, 0x1.cbf1af8723ce3p-2, 0x1.c4ed9a72a7582p-2, 0x1.bdff5a0672d7cp-2, 0x1.b727264818782p-2, 0x1.b0652b66bd604p-2, 0x1.a9b98a050288ep-2, 0x1.a324598cc0b78p-2, 0x1.9ca5a67e9be76p-2, 0x1.963d75612d462p-2, 0x1.8febc26757287p-2, 0x1.89b08258323a8p-2, 0x1.838ba3269ed2fp-2, 0x1.7d7d0c82a8bdp-2, 0x1.7784a05c453b9p-2, 0x1.71a23b8797d6bp-2, 0x1.6bd5b61628886p-2, 0x1.661ee3ccde008p-2, 0x1.607d94ad40b77p-2, 0x1.5af194ed7ba36p-2, 0x1.557aae8a433dbp-2, 0x1.5018a7d6c552dp-2, 0x1.4acb452daa40cp-2, 0x1.459248dc54902p-2, 0x1.406d737e694eep-2, 0x1.3b5c840fe5723p-2, 0x1.365f3840e245dp-2, 0x1.31754cd30747p-2, 0x1.2c9e7da74904fp-2, 0x1.27da85f62540dp-2, 0x1.232920a37d5aep-2, 0x1.1e8a081325dc8p-2, 0x1.19fcf6a0cf837p-2, 0x1.1581a67c0dbfdp-2, 0x1.1117d285dcdfdp-2, 0x1.0cbf34f919d7cp-2, 0x1.0877890d6f4dbp-2, 0x1.04408a07f9606p-2, 0x1.0019f41851ff8p-2, 0x1.f80707731d9acp-3, 0x1.eff9ec7cd7cd5p-3, 0x1.e80c13333f26fp-3, 0x1.e03cf94bee284p-3, 0x1.d88c1db622efbp-3, 0x1.d0f902177d9c9p-3, 0x1.c98328a6a5bcp-3, 0x1.c22a1653b8fd3p-3, 0x1.baed51b410c31p-3, 0x1.b3cc637405206p-3, 0x1.acc6d62fdd71ep-3, 0x1.a5dc366cfe578p-3, 0x1.9f0c12f7886cp-3, 0x1.9855fc977d196p-3, 0x1.91b986147f217p-3, 0x1.8b364482d2a9ap-3, 0x1.84cbce1e0c803p-3, 0x1.7e79bd0fec15p-3, 0x1.783fab9872f3bp-3, 0x1.721d3757641edp-3, 0x1.6c11ff1b5371dp-3, 0x1.661da43623649p-3, 0x1.603fc98d7086bp-3, 0x1.5a7814637f4a9p-3, 0x1.54c62b9bc8ef8p-3, 0x1.4f29b809dd93bp-3, 0x1.49a2646c3f6dbp-3, 0x1.442fddb4489fdp-3, 0x1.3ed1d05a26feep-3, 0x1.3987ee7d42eefp-3, 0x1.3451e8e821e8cp-3, 0x1.2f2f72f980904p-3, 0x1.2a2041bd6f992p-3, 0x1.25240bc46dc9ap-3, 0x1.203a897970842p-3, 0x1.1b63738ae993p-3, 0x1.169e85f9b3d05p-3, 0x1.11eb7cffddd28p-3, 0x1.0d4a167b4e873p-3, 0x1.08ba11c4784b8p-3, 0x1.043b2f2a23514p-3, 0x1.ff9a6181d369bp-4, 0x1.f6dfb39acf4a1p-4, 0x1.ee45dba174b6p-4, 0x1.e5cc6609af7d7p-4, 0x1.dd72df9e8acfcp-4, 0x1.d538d74f0831bp-4, 0x1.cd1ddf0ab1209p-4, 0x1.c5218a31b29f9p-4, 0x1.bd436e8710e0cp-4, 0x1.b5832353016e7p-4, 0x1.ade0423096d3p-4, 0x1.a65a66565fd8ep-4, 0x1.9ef12c97c762cp-4, 0x1.97a433f25e214p-4, 0x1.90731c59d5d2ep-4, 0x1.895d882e0b884p-4, 0x1.82631b0405a17p-4, 0x1.7b8379a9054b9p-4, 0x1.74be4abebaf3p-4, 0x1.6e133641d0f45p-4, 0x1.6781e57b0fa6cp-4, 0x1.610a03119b61fp-4, 0x1.5aab3af7133fap-4, 0x1.54653a594cf83p-4, 0x1.4e37afd10b868p-4, 0x1.48224ac408e11p-4, 0x1.4224bbef0dd31p-4, 0x1.3c3eb54c46c71p-4, 0x1.366fe9c91feb6p-4, 0x1.30b80d511b7bbp-4, 0x1.2b16d5ad74b59p-4, 0x1.258bf6afd80c7p-4, 0x1.20172a5f9ba8ap-4, 0x1.1ab8252d1203dp-4, 0x1.156ea2a80a4b8p-4, 0x1.103a5b54d1009p-4, 0x1.0b1b0a8f9a495p-4, 0x1.06106af019f84p-4, 0x1.011a38f0e14dfp-4, 0x1.f8706358b5ce1p-5, 0x1.eed4264d8a812p-5, 0x1.e55f367f84275p-5, 0x1.dc1113d0245d3p-5, 0x1.d2e93ed16c84bp-5, 0x1.c9e736bc918ebp-5, 0x1.c10a80b7378bp-5, 0x1.b852a1dc9b6e9p-5, 0x1.afbf1bcdc413ep-5, 0x1.a74f78a728c87p-5, 0x1.9f0340a57f1d8p-5, 0x1.96d9fc5bc5bep-5, 0x1.8ed336eae9deep-5, 0x1.86ee7bfedb3c7p-5, 0x1.7f2b58f7ae411p-5, 0x1.77895dff71ee4p-5, 0x1.70081518dc5e7p-5, 0x1.68a7144627c2bp-5, 0x1.6165eb937cc05p-5, 0x1.5a442deb6f8ccp-5, 0x1.53416efcb692fp-5, 0x1.4c5d44c8a20a2p-5, 0x1.4597444b75ab5p-5, 0x1.3eef0529f6f99p-5, 0x1.38641f9856022p-5, 0x1.31f62d90017e1p-5, 0x1.2ba4c7644e9c2p-5, 0x1.256f8a1769441p-5, 0x1.1f56115f3f041p-5, 0x1.1957faec629f6p-5, 0x1.1374e496aff2fp-5, 0x1.0dac6d828847ap-5, 0x1.07fe3611e9df8p-5, 0x1.0269deedf55c8p-5, 0x1.f9de16c32d865p-6, 0x1.ef1aba6feaf31p-6, 0x1.e488f24e28967p-6, 0x1.da28072d92fdbp-6, 0x1.cff745092577ep-6, 0x1.c5f5f953b3eb3p-6, 0x1.bc23735851daep-6, 0x1.b27f043225a34p-6, 0x1.a907fe7a7d2e3p-6, 0x1.9fbdb710fcb18p-6, 0x1.969f842ffc7bap-6, 0x1.8dacbb7158c4bp-6, 0x1.84e4bf61d7f8ep-6, 0x1.7c46e31e55c92p-6, 0x1.73d286b5ac5e7p-6, 0x1.6b870967921b5p-6, 0x1.6363cc3e7572bp-6, 0x1.5b68310525d0bp-6, 0x1.53939ca1d7bd5p-6, 0x1.4be5751d1fe2dp-6, 0x1.445d22b79701p-6, 0x1.3cfa0dc2c2725p-6, 0x1.35bba194105ebp-6, 0x1.2ea14ac6a172ep-6, 0x1.27aa788b16d9cp-6, 0x1.20d69886d6bfbp-6, 0x1.1a251f0df915ap-6, 0x1.13957e19cee24p-6, 0x1.0d272acb94481p-6, 0x1.06d99b1e332p-6, 0x1.00ac47a1c2045p-6, 0x1.f53d53577c56ap-7, 0x1.e96079435a15p-7, 0x1.ddc0faf1a2446p-7, 0x1.d25dd4b8fe017p-7, 0x1.c736083d8fa33p-7, 0x1.bc4896ab49793p-7, 0x1.b19486c97c259p-7, 0x1.a718e1bd6bf72p-7, 0x1.9cd4b3b9f521cp-7, 0x1.92c70bb79f0edp-7, 0x1.88ef0109dc474p-7, 0x1.7f4b9a2b008c9p-7, 0x1.75dbff223b093p-7, 0x1.6c9f4729e4335p-7, 0x1.63948f355e6dfp-7, 0x1.5abaf8919113ep-7, 0x1.5211a7a6260ecp-7, 0x1.4997c25f0b21fp-7, 0x1.414c72a7eb31dp-7, 0x1.392ee64951418p-7, 0x1.313e49af41afdp-7, 0x1.2979d327a12a4p-7, 0x1.21e0b6a1079b1p-7, 0x1.1a722d20f4b07p-7, 0x1.132d70d5916c5p-7, 0x1.0c11be4f72f76p-7, 0x1.051e5680331afp-7, 0x1.fca4f5cad68b1p-8, 0x1.ef5ae39eabd3p-8, 0x1.e25d00de4c4c5p-8, 0x1.d5a9efc276af5p-8, 0x1.c940305d1a2b6p-8, 0x1.bd1e80cc220ap-8, 0x1.b1437b6631846p-8, 0x1.a5adcd83c3cb7p-8, 0x1.9a5c26174d135p-8, 0x1.8f4d377732d03p-8, 0x1.847fb83aba2afp-8, 0x1.79f26444aba86p-8, 0x1.6fa3fc8c773f6p-8, 0x1.65934b4a38795p-8, 0x1.5bbf126ec374ap-8, 0x1.522630aeefb18p-8, 0x1.48c77c0a1b491p-8, 0x1.3fa1d1b30f5d6p-8, 0x1.36b4113ff8ea1p-8, 0x1.2dfd1f483d92fp-8, 0x1.257bdea1ef6b6p-8, 0x1.1d2f399eb47bcp-8, 0x1.151619d4006a3p-8, 0x1.0d2f7235c8d24p-8, 0x1.057a3afb7f56ep-8, 0x1.fbeae8d450bep-9, 0x1.ed40561dd12f6p-9, 0x1.def2d069f628ap-9, 0x1.d100564d5aee8p-9, 0x1.c367477226fedp-9, 0x1.b625798c04d54p-9, 0x1.a93946e7afe9ep-9, 0x1.9ca0c2696a6ecp-9, 0x1.905a18f82e2f5p-9, 0x1.846386a526f1fp-9, 0x1.78bb57cf47f2p-9, 0x1.6d5fe80384dd1p-9, 0x1.624f9eadee8a3p-9, 0x1.5788ebd591a3dp-9, 0x1.4d0a4595955b7p-9, 0x1.42d22086ef0d2p-9, 0x1.38deef95d6dafp-9, 0x1.2f2f2630c10cep-9, 0x1.25c134b0a700ap-9, 0x1.1c939863cd88fp-9, 0x1.13a4d39f56181p-9, 0x1.0af3842a944aep-9, 0x1.027e4c57eb68fp-9, 0x1.f487bc144c1dfp-10, 0x1.e485e17e91297p-10, 0x1.d4f4908cb1924p-10, 0x1.c5d14d9d1bed2p-10, 0x1.b71997b49c2f2p-10, 0x1.a8caeb62328fdp-10, 0x1.9ae2c11f9d66bp-10, 0x1.8d5e99658fe1ap-10, 0x1.803c03460a642p-10, 0x1.7378ad52cde8bp-10, 0x1.67125536c2885p-10, 0x1.5b06dca80e649p-10, 0x1.4f541fffdf90dp-10, 0x1.43f81632e33cap-10, 0x1.38f0bd073a7d1p-10, 0x1.2e3c1d614188cp-10, 0x1.23d84b831f39cp-10, 0x1.19c33e6c2f8f3p-10, 0x1.0ffb080eacc51p-10, 0x1.067db33176ad1p-10, 0x1.fa92ae6ac30cfp-11, 0x1.e8b848a19a017p-11, 0x1.d7689c320e8p-11, 0x1.c6a045a26fcc2p-11, 0x1.b65bd4a72aa9cp-11, 0x1.a697e593da4fcp-11, 0x1.97514b5b5e851p-11, 0x1.8884e93196fe5p-11, 0x1.7a2fb1c426c01p-11, 0x1.6c4ea690e298fp-11, 0x1.5edebc33d4b0ap-11, 0x1.51dd1cec28cdfp-11, 0x1.4546f17c92b17p-11, 0x1.39196ca803927p-11, 0x1.2d51ddd1799cbp-11, 0x1.21ed7d203d516p-11, 0x1.16e9bc1714154p-11, 0x1.0c43589dc0d98p-11, 0x1.01f84bd1f04e3p-11, 0x1.f00bd1c4ba8ecp-12, 0x1.dcd3ad49196ccp-12, 0x1.ca4352aed52fcp-12, 0x1.b85601f0b94ebp-12, 0x1.a7076d31d1535p-12, 0x1.965340c32766cp-12, 0x1.8636625a267c4p-12, 0x1.76ac2692c95a4p-12, 0x1.67b0c28e1f8ecp-12, 0x1.59400787f2a09p-12, 0x1.4b55c3b4bdf2dp-12, 0x1.3deddb33266efp-12, 0x1.310439ae2d62p-12, 0x1.24957faaecd6fp-12, 0x1.189dda36553d7p-12, 0x1.0d19bfc3c2ecap-12, 0x1.0205244fe78fap-12, 0x1.eeb982733ce85p-13, 0x1.da3b3d5b18896p-13, 0x1.c689bbb0ccd74p-13, 0x1.b3a03aff3b52ap-13, 0x1.a1792948efb94p-13, 0x1.900eeaa26ad83p-13, 0x1.7f5b2a42db828p-13, 0x1.6f57ae82fc688p-13, 0x1.5ffed1a988cdap-13, 0x1.514bd6502ebb9p-13, 0x1.433898f215d24p-13, 0x1.35c044cf4263p-13, 0x1.28dd708faffafp-13, 0x1.1c8a6d40fca54p-13, 0x1.10c1f00f36006p-13, 0x1.057f919381958p-13, 0x1.f57f404d11526p-14, 0x1.e0fd41497d558p-14, 0x1.cd71fdce9a74p-14, 0x1.bad5ec57db4c2p-14, 0x1.a91fe9c6076a1p-14, 0x1.98482d3ed8304p-14, 0x1.8845c22c0d61dp-14, 0x1.7913288b11b16p-14, 0x1.6aa8d096ded17p-14, 0x1.5cffbe97ed319p-14, 0x1.50100770fd87dp-14, 0x1.43d21aa492f11p-14, 0x1.383e709c0dcf6p-14, 0x1.2d4e586296419p-14, 0x1.22fca7684511bp-14, 0x1.1943b2192d9fep-14, 0x1.101df38880594p-14, 0x1.07864d432d7d5p-14, 0x1.feefe0400687ep-15, 0x1.efde5f237da81p-15, 0x1.e1c3b7c8dcf5fp-15, 0x1.d49eb8c6793b9p-15, 0x1.c8635fc1e4c38p-15, 0x1.bd0e7962e63c6p-15, 0x1.b28ba82ae8a73p-15, 0x1.a8da7cf172a16p-15, 0x1.9fed4be6206fbp-15, 0x1.97ba61ade590bp-15, 0x1.9039dec4bddb9p-15, 0x1.8965f3cd6638bp-15, 0x1.8336f5a9a7f6ep-15, 0x1.7da59c083ee9dp-15, 0x1.78a8bf238cf69p-15, 0x1.74399f257a064p-15, 0x1.7052bc798489fp-15, 0x1.6ced3269ca40bp-15, 0x1.6a02c7279806fp-15, 0x1.678fcb4e4c1a4p-15, 0x1.658bfd501f6b1p-15, 0x1.63f3e02a816f4p-15, 0x1.62c16cbcdc083p-15, 0x1.61efdec76c167p-15, 0x1.6176e079d2b9bp-15, 0x1.614ecf257da0bp-15, 0x1.6179d3e75295p-15, 0x1.61eeb3dc6866cp-15, 0x1.62ac99db4b453p-15, 0x1.63ad3a69a1297p-15, 0x1.64ebdeee7151ep-15, 0x1.6663cc1451106p-15, 0x1.6810da7e2d531p-15, 0x1.69efc9dd4de3ap-15, 0x1.6bfcb1524c37p-15, 0x1.6e3513dcb6dp-15, 0x1.70959f692004p-15, 0x1.731c062d91bb8p-15, 0x1.75c448b93a8d7p-15, 0x1.788b00ecd097dp-15, 0x1.7b6eb1af8aebep-15, 0x1.7e6dad46d02f5p-15, 0x1.817b729aacab7p-15, 0x1.849fb7b14eaadp-15, 0x1.87d5f1502dabp-15, 0x1.8b1bcecf3a21fp-15, 0x1.8e6eca4dea77cp-15, 0x1.91cc4dee88ea4p-15, 0x1.95324ca1c458fp-15, 0x1.989f34bdf35bep-15, 0x1.9c0e4dcbdc7efp-15, 0x1.9f8047c05db32p-15, 0x1.a2f21e6c6e212p-15, 0x1.a663b8b7f2989p-15, 0x1.a9d3c26a4000dp-15, 0x1.ad405a01673cbp-15, 0x1.b0a6da93f960bp-15, 0x1.b406e044fc908p-15, 0x1.b75f2695f1a33p-15, 0x1.baadb5ee140eap-15, 0x1.bdf1a31d5c452p-15, 0x1.c12a3fe8c7a02p-15, 0x1.c456f63ad9a06p-15, 0x1.c779afc457953p-15, 0x1.ca86c147eb018p-15, 0x1.cd881ec20e726p-15, 0x1.d079d41769614p-15, 0x1.d35aacedd6de1p-15, 0x1.d629baadf0dc2p-15, 0x1.d8e57755071dp-15, 0x1.db8e78fb90224p-15, 0x1.de235f7051c54p-15, 0x1.e0a4641d9fec9p-15, 0x1.e311baa8b74c9p-15, 0x1.e5695bf26e0e1p-15, 0x1.e7ab83bf67743p-15, 0x1.e9d71c0ea8e2cp-15, 0x1.ebec9a58eac3cp-15, 0x1.edeb7b83050a6p-15, 0x1.efd369e483616p-15, 0x1.f1a48982d7ca9p-15, 0x1.f35e50f726ecdp-15, 0x1.f4feff093026bp-15, 0x1.f689f76849d79p-15, 0x1.f7fc696b3de01p-15, 0x1.f956bf19bb2dap-15, 0x1.fa98a6c23f694p-15, 0x1.fbc2b50e67b28p-15, 0x1.fcd458c54851p-15, 0x1.fdca3f0c613a7p-15, 0x1.feaee4d075b5dp-15, 0x1.ff775a23ca4c3p-15, 0x1.00137ef5b48fep-14, 0x1.00600b0abfb33p-14, 0x1.00a001bc3f728p-14, 0x1.00d3fdfc682b5p-14, 0x1.00fbea46e63d2p-14, 0x1.01187127fc018p-14, 0x1.012876236329dp-14, 0x1.012d3077d2576p-14, 0x1.0126029e983a9p-14, 0x1.01133a713a111p-14, 0x1.00f4f64c185c8p-14, 0x1.00cb6080a838cp-14, 0x1.00968e7e31b56p-14, 0x1.00567a5bec00ep-14, 0x1.000b8079d90bep-14, 0x1.ff6aeac6b42f2p-15, 0x1.fea91a2c8625p-15, 0x1.fdd1d9eb0a69dp-15, 0x1.fce57c294a423p-15, 0x1.fbe43726742bp-15, 0x1.faced581bb369p-15, 0x1.f9a4f7e367d8ap-15, 0x1.f86710c66080ap-15, 0x1.f714f2e79f4d2p-15, 0x1.f5afc190b9aafp-15, 0x1.f43799cce9858p-15, 0x1.f2ad5d6d9baa6p-15, 0x1.f10f23d783011p-15, 0x1.ef5d62601b6bdp-15, 0x1.ed9dd94186e6p-15, 0x1.ebca920e17779p-15, 0x1.e9e64cf2d5fa8p-15, 0x1.e7f0d0396efb7p-15, 0x1.e5eb9bb1d74bp-15, 0x1.e3d59cc352891p-15, 0x1.e1afdb3fba0e1p-15, 0x1.df7a1d0df0b52p-15, 0x1.dd354d04be066p-15, 0x1.dae1daf942ccbp-15, 0x1.d87f60c85c699p-15, 0x1.d60f49a160a9bp-15, 0x1.d3910c3e29a8p-15, 0x1.d1050e5152d3cp-15, 0x1.ce6c86e42a3cbp-15, 0x1.cbc5d879a3b62p-15, 0x1.c9133bf51485cp-15, 0x1.c6545a921f157p-15, 0x1.c388e43b882c8p-15, 0x1.c0b306545ac73p-15, 0x1.bdd1964fef701p-15, 0x1.bae4fd7de0db2p-15, 0x1.b7edc0d49ae37p-15, 0x1.b4ec6f97964aap-15, 0x1.b1e048866541fp-15, 0x1.aecb596f3a695p-15, 0x1.abacac76d9501p-15, 0x1.a8854ed2a29eap-15, 0x1.a554e416bf174p-15, 0x1.a21b93296887ap-15, 0x1.9edb26eed0ddp-15, 0x1.9b91b48715c28p-15, 0x1.9841ec1072f02p-15, 0x1.94ea7b1064e9ap-15, 0x1.918bcae8d0542p-15, 0x1.8e2651c8f6f2fp-15, 0x1.8abad30b4862bp-15, 0x1.8749134816658p-15, 0x1.83d1a0b4365cbp-15, 0x1.8054cad5e133bp-15, 0x1.7cd27676d3cb3p-15, 0x1.794b01e4cf8bbp-15, 0x1.75bee0800787fp-15, 0x1.722e60abbfd0ep-15, 0x1.6e9999260b347p-15, 0x1.6b010aed5ce91p-15, 0x1.676495ed5851bp-15, 0x1.63c4ba4a6de02p-15, 0x1.6021944e9fec9p-15, 0x1.5c7c86087b861p-15, 0x1.58d2f84f11dcdp-15, 0x1.55278a7b4fbe7p-15, 0x1.517a59bff1cfep-15, 0x1.4dca22d83e077p-15, 0x1.4a1703fb4a59ap-15, 0x1.46659b4400be3p-15, 0x1.42b13561c73e7p-15, 0x1.3efb556e729bap-15, 0x1.3b452cef71726p-15, 0x1.378d3da9d0749p-15, 0x1.33d5a50c13b43p-15, 0x1.301d2de93cfdbp-15, 0x1.2c64a830667c4p-15, 0x1.28ac1e3fbd125p-15, 0x1.24f393d540691p-15, 0x1.213bbbbbca787p-15, 0x1.1d84628d0cd2cp-15, 0x1.19cdec8be1dafp-15, 0x1.16182ae45d7fp-15, 0x1.12634bda79901p-15, 0x1.0eafbbde4e6e2p-15, 0x1.0afde901e8fe6p-15, 0x1.074d8be02e711p-15, 0x1.039efffbdbe1p-15, 0x1.ffe3c1359637dp-16, 0x1.f88e24dc1631ap-16, 0x1.f13d448029dbcp-16, 0x1.e9ef78d157dcdp-16, 0x1.e2a835dfaea22p-16, 0x1.db6573b7b74p-16, 0x1.d427ed5d39806p-16, 0x1.ccf11c675fbbdp-16, 0x1.c5bff2b7df121p-16, 0x1.be947c2ba3f3ep-16, 0x1.b76e69259a05ep-16, 0x1.b05055a589bd9p-16, 0x1.a9392ed60bcbdp-16, 0x1.a228ad71383dep-16, 0x1.9b1f7c63d0361p-16, 0x1.941e18979699p-16, 0x1.8d24ae4392e2ep-16, 0x1.863312cffeb84p-16, 0x1.7f48bfd1e37e8p-16, 0x1.786877f659111p-16, 0x1.718eed6994a31p-16, 0x1.6abec9836527cp-16, 0x1.63f713986b82bp-16, 0x1.5d38b8e68153ep-16, 0x1.56838423d1d77p-16, 0x1.4fd782b6c3862p-16, 0x1.49360ce4772f9p-16, 0x1.429ca65d8a72ap-16, 0x1.3c0d7ca130377p-16, 0x1.358831e5e07fcp-16, 0x1.2f0d100406b4ap-16, 0x1.289c927b14794p-16, 0x1.2235f923a4d21p-16, 0x1.1bd8ea0b8947ep-16, 0x1.158799db5e62ap-16, 0x1.0f404460e9d4cp-16, 0x1.0903eaf1b3e0dp-16, 0x1.02d1a48c4bfd1p-16, 0x1.f9566f143b9d9p-17, 0x1.ed200dae4a60ap-17, 0x1.e0ff444edbbb1p-17, 0x1.d4fcf9dfe52e4p-17, 0x1.c8fe4032f63c2p-17, 0x1.bd206291dbc66p-17, 0x1.b158d1a651829p-17, 0x1.a5a8a17d419bdp-17, 0x1.9a107283af178p-17, 0x1.8e8ec97673526p-17, 0x1.8322f9165d9d3p-17, 0x1.77cff1f5ac84fp-17, 0x1.6c969e405e9fdp-17, 0x1.61704498f9ba7p-17, 0x1.5663a2e815ddp-17, 0x1.4b6d6734987ap-17, 0x1.409077fa45d14p-17, 0x1.35cbeba63b9abp-17, 0x1.2b1e47413782ep-17, 0x1.208a247a58441p-17, 0x1.160cdc46486eep-17, 0x1.0ba79c468211bp-17, 0x1.015a258d1c0aep-17, 0x1.ee4a57ff4f61p-18, 0x1.da110244b0be1p-18, 0x1.c6077cc90c265p-18, 0x1.b22efc4eee11cp-18, 0x1.9e8876da9dbb4p-18, 0x1.8b1143b64b7e4p-18, 0x1.77bbe3ff6ba69p-18, 0x1.64afe1eecca04p-18, 0x1.51ca3c1e53dbap-18, 0x1.3f14169c81e3p-18, 0x1.2c91165cee124p-18, 0x1.1a3bb2234105dp-18, 0x1.0813e67322025p-18, 0x1.ec3c637d2609fp-19, 0x1.c8b7fe8d96e9bp-19, 0x1.a59043037d9cfp-19, 0x1.82b7093635e0cp-19, 0x1.605a520dcd22bp-19, 0x1.3e4e71e2fbc86p-19, 0x1.1ca6036f2116bp-19, 0x1.f6b3520dc0e6bp-20, 0x1.b4dee6e32568p-20, 0x1.73c75b671d5ebp-20, 0x1.335e26ee58ff7p-20, 0x1.e7787acc196a1p-21, 0x1.69bc98083f496p-21, 0x1.dbd3de80732fep-22, 0x1.ca3b0c95561ecp-23, -0x1.a840b2a5442ddp-27, -0x1.fc00715d79d3cp-23, -0x1.eb1b00d727401p-22, -0x1.6ab126ffc2021p-21, -0x1.de5884204d3c8p-21, -0x1.284bfad652e0dp-20, -0x1.60ba788d1af3dp-20, -0x1.98727a3883534p-20, -0x1.cf7b32cfd1ae1p-20, -0x1.02e657393284fp-19, -0x1.1db242b0aa4c4p-19, -0x1.3829af5c5606ap-19, -0x1.524b26a1ebf14p-19, -0x1.6c129d77fa654p-19, -0x1.8581fe2a3524p-19, -0x1.9e9a7f729f788p-19, -0x1.b7614cfbd3079p-19, -0x1.cfc7e581abcdap-19, -0x1.e7ddd9829c175p-19, -0x1.ffa4bce034c5ap-19, -0x1.0b892e1b89f5ap-18, -0x1.1715a5a2828f3p-18, -0x1.227866007cb55p-18, -0x1.2db1c0cdf86dcp-18, -0x1.38c439c8e53b5p-18, -0x1.43ac3150f9d0bp-18, -0x1.4e6b0efbdd9fp-18, -0x1.58ff9dda11728p-18, -0x1.636ddb2c52123p-18, -0x1.6db4f762c1a6ap-18, -0x1.77d3a0f076e4dp-18, -0x1.81c59760fb373p-18, -0x1.8b9ba97414f76p-18, -0x1.9545315986cdbp-18, -0x1.9ec6c1881ddabp-18, -0x1.a82345ac9dc1cp-18, -0x1.b15a0ac273673p-18, -0x1.ba79296285a1bp-18, -0x1.c343e0bbfbde1p-18, -0x1.cc1c92647e8bcp-18, -0x1.d4bfe311a345dp-18, -0x1.dd38c6d5a9fd9p-18, -0x1.e59298ed8fb3dp-18, -0x1.edc6ee311be23p-18, -0x1.f5d876152f251p-18, -0x1.fdc5443a95ae7p-18, -0x1.02c72de63d6b8p-17, -0x1.0699e95bcf1adp-17, -0x1.0a5cbf07dd91fp-17, -0x1.0e0e7b33d8139p-17, -0x1.11adf5a8e5074p-17, -0x1.153ce6f0cb8dcp-17, -0x1.18bb1d1bfdc47p-17, -0x1.1c28c4e5f8e1cp-17, -0x1.1f860bff026b2p-17, -0x1.22d34f0c9806p-17, -0x1.261074fafd45ep-17, -0x1.293ca23d3cffcp-17, -0x1.2c59825fc24f4p-17, -0x1.2f66dc18f0455p-17, -0x1.326397e95d46fp-17, -0x1.355258edb6dddp-17, -0x1.383127fd0d0dcp-17, -0x1.3b01984e46c2p-17, -0x1.3dc1c33704e42p-17, -0x1.4073d501a455ep-17, -0x1.43190759a71afp-17, -0x1.45aa6947a5ea3p-17, -0x1.483037a41a008p-17, -0x1.4aa89edafd1f6p-17, -0x1.4d11b29e54f72p-17, -0x1.4f6d523497688p-17, -0x1.51ba0e734e3e4p-17, -0x1.53fa480b9ddbep-17, -0x1.562c2e4e8f3a6p-17, -0x1.5851a2dec7473p-17, -0x1.5a68cf373d6a9p-17, -0x1.5c71708901a4ap-17, -0x1.5e6d73405fe1dp-17, -0x1.605ec028c03b4p-17, -0x1.624332d0b33cp-17, -0x1.64188c48ab781p-17, -0x1.65e21ab8f64edp-17, -0x1.67a13a2d311ebp-17, -0x1.6951a2c129428p-17, -0x1.6af6e2aabd35cp-17, -0x1.6c90130ec7e96p-17, -0x1.6e1d4d8ca4f2cp-17, -0x1.6f9ee2682beb6p-17, -0x1.711436cfaff9dp-17, -0x1.727fc562eada5p-17, -0x1.73de4f0946d63p-17, -0x1.75325ee44ef82p-17, -0x1.767a8fb46b2c3p-17, -0x1.77b8e961f35f3p-17, -0x1.78ec2b8bf5d1ep-17, -0x1.7a1471f4177a8p-17, -0x1.7b32568586accp-17, -0x1.7c453614e030fp-17, -0x1.7d4e611c21cdap-17, -0x1.7e4cf703bdc58p-17, -0x1.7f41a3b157fecp-17, -0x1.802c14acb34fap-17, -0x1.810cb4110d91cp-17, -0x1.81e3cfd8bded3p-17, -0x1.82b0d09ca55c4p-17, -0x1.8373e90fca4bbp-17, -0x1.842f6c4e7e9f8p-17, -0x1.84e0f0f968e78p-17, -0x1.85884b17e5387p-17, -0x1.8627574b3f98ap-17, -0x1.86bdfc996057fp-17, -0x1.874a6a37cf1c6p-17, -0x1.87d0060981ad4p-17, -0x1.884b16712381ap-17, -0x1.88bf863e2d726p-17, -0x1.8929114ff9d9ap-17, -0x1.898cc47d094f1p-17, -0x1.89e7c569b0fdfp-17, -0x1.8a3a8e102669fp-17, -0x1.8a8558f72af4p-17, -0x1.8ac84e03693c6p-17, -0x1.8b0b184f358f4p-17, -0x1.8b370e1f36bfbp-17, -0x1.8b63533ce3682p-17, -0x1.8b88153c79effp-17, -0x1.8ba4c46eb5affp-17, -0x1.8bbbbc81364a6p-17, -0x1.8bca9bf1fc30dp-17, -0x1.8bd3178eabf2ap-17, -0x1.8bd255091649ep-17, -0x1.8bce750771c5ap-17, -0x1.8bc2777eab86fp-17, -0x1.8bafbb050941fp-17, -0x1.8b959c35a4f02p-17, -0x1.8b75cbff56f4ap-17, -0x1.8b501516db0d4p-17, -0x1.8b23e6765e7b5p-17, -0x1.8af0afa7f3c88p-17, -0x1.8ab8204983858p-17, -0x1.8a79af54b96b7p-17, -0x1.8a361b6bad0b6p-17, -0x1.89eb8a21aa6p-17, -0x1.899b46dc73386p-17, -0x1.894592d7538c6p-17, -0x1.88eb63ccc8424p-17, -0x1.888af79128ea7p-17, -0x1.8824e0e7b0337p-17, -0x1.87b9daf00db17p-17, -0x1.8749e9e55f03ap-17, -0x1.86d5de8436934p-17, -0x1.865a7b9883b8ep-17, -0x1.85db2cc035addp-17, -0x1.855795a5b1c12p-17, -0x1.84ce2f20d694fp-17, -0x1.84410c692b344p-17, -0x1.83b08fc8492f9p-17, -0x1.83198a401937ap-17, -0x1.827e014bc06ffp-17, -0x1.81de22d3453f6p-17, -0x1.8139fb3e9391fp-17, -0x1.8092270c9f4a6p-17, -0x1.7fe6268121992p-17, -0x1.7f3638391710ep-17, -0x1.7e82572d985fap-17, -0x1.7dc85f61f0593p-17, -0x1.7d0e3dc662c8bp-17, -0x1.7c4e6f589e3a8p-17, -0x1.7b8aa0b7370a3p-17, -0x1.7ac402cbdc338p-17, -0x1.79f96cd8c671ep-17, -0x1.792b1d85b2f1bp-17, -0x1.78596435dcc78p-17, -0x1.77845838c579p-17, -0x1.76abbc6caff88p-17, -0x1.75d00ee7bc8bep-17, -0x1.74f1bb9b27f03p-17, -0x1.740f7abf818e5p-17, -0x1.732a7fefcedf2p-17, -0x1.7242e55966c2bp-17, -0x1.71577f61a75cdp-17, -0x1.7069fc2fb652p-17, -0x1.6f79a07b5a523p-17, -0x1.6e864bbabc12bp-17, -0x1.6d903497f5dc7p-17, -0x1.6c977b910c8edp-17, -0x1.6b9d9749bf0f3p-17, -0x1.6a9e7eff88af1p-17, -0x1.699df5f9c9f47p-17, -0x1.689b439afcedfp-17, -0x1.6796bf9658befp-17, -0x1.6691a1c0a980ep-17, -0x1.65853f1acfba9p-17, -0x1.6479dd02eca8ap-17, -0x1.636b8bfa8a987p-17, -0x1.625b52467f16cp-17, -0x1.614948be4cd4ep-17, -0x1.6035a220ef411p-17, -0x1.5f1fdae5d8c38p-17, -0x1.5e0761c10d8ap-17, -0x1.5cecb32dfc0fp-17, -0x1.5bd239eb1bd85p-17, -0x1.5ab9417738f32p-17, -0x1.5995c93c0c19cp-17, -0x1.58745c6411237p-17, -0x1.574dabba94814p-17, -0x1.562f39254aabcp-17, -0x1.55098ddb34006p-17, -0x1.53e265c346183p-17, -0x1.52ba03cdea09fp-17, -0x1.5190a01b83fbfp-17, -0x1.50656f90cc6e3p-17, -0x1.4f3973d88a478p-17, -0x1.4e0b1b6c2f386p-17, -0x1.4cdb4ad182c95p-17, -0x1.4bac928b531fcp-17, -0x1.4a7b3b194e241p-17, -0x1.4948fb6ec8ce9p-17, -0x1.48157e72b58ap-17, -0x1.46e1d2b144f2ap-17, -0x1.45abd8be787bfp-17, -0x1.447354f83c0bbp-17, -0x1.433de94a95da3p-17, -0x1.4205c6213a53bp-17, -0x1.40cd2385f653cp-17, -0x1.3f933778a156ep-17, -0x1.3e5882fa965adp-17, -0x1.3d1d35909a94dp-17, -0x1.3be5cbddb6615p-17, -0x1.3aa4bc4b1bb79p-17, -0x1.39674548a4e8dp-17, -0x1.3828c76f51812p-17, -0x1.36e8a65977d89p-17, -0x1.35aba55ee24ep-17, -0x1.346c0752e41bbp-17, -0x1.332bd3252faa3p-17, -0x1.31ebb515da6bap-17, -0x1.30aa748e9b2a3p-17, -0x1.2f6926bb46f77p-17, -0x1.2e2770b99a8e7p-17, -0x1.2ce59513c74edp-17, -0x1.2ba31c4006257p-17, -0x1.2a60737be403bp-17, -0x1.291d791e8d239p-17, -0x1.27dafe7d008f3p-17, -0x1.2697a5a6e840dp-17, -0x1.2553d7de067b7p-17, -0x1.241009d3f8353p-17, -0x1.22ced62abc0f9p-17, -0x1.2188c9a95c0ep-17, -0x1.2044a935ced97p-17, -0x1.1f00f732b524bp-17, -0x1.1dbcfe48707d6p-17, -0x1.1c793501953bep-17, -0x1.1b34b78e0517fp-17, -0x1.19f123c56546dp-17, -0x1.18ad8008d0e49p-17, -0x1.176976dccbac8p-17, -0x1.1625e9efea574p-17, -0x1.14e283f4daa5cp-17, -0x1.139f736ca9afp-17, -0x1.125bda2c4fd87p-17, -0x1.1119371313a95p-17, -0x1.0fd6676447047p-17, -0x1.0e93e9abf4d77p-17, -0x1.0d516a21797d9p-17, -0x1.0c1239f9e92aap-17, -0x1.0acdf432baed5p-17, -0x1.098cebb6a63f2p-17, -0x1.084b9e48d0dd3p-17, -0x1.070aed38db976p-17, -0x1.05cbb42a5b277p-17, -0x1.048b49449d6e4p-17, -0x1.034b2bb23bfe5p-17, -0x1.020c4c455e98cp-17, -0x1.00cd84b6fc608p-17, -0x1.ff1dc15cf7c1fp-18, -0x1.fca2901db7049p-18, -0x1.fa25a0b95dbc3p-18, -0x1.f7aea4b909323p-18, -0x1.f53603e295c74p-18, -0x1.f2be9a40c0367p-18, -0x1.f0479a45858f3p-18, -0x1.edd238753e22dp-18, -0x1.eb5f0139dcd5dp-18, -0x1.e8eb7b4c0455cp-18, -0x1.e67965e985f22p-18, -0x1.e408bba9c805ap-18, -0x1.e1999e570fee8p-18, -0x1.df2b998983fb9p-18, -0x1.dcc286d1d9789p-18, -0x1.da5681563cde1p-18, -0x1.d7e92fcac32b5p-18, -0x1.d57ff52818728p-18, -0x1.d318c18b49cdfp-18, -0x1.d0b2ae7bbd41dp-18, -0x1.ce4e755dc4b88p-18, -0x1.cbea7e853d7dap-18, -0x1.c98905e74490cp-18, -0x1.c728f7f9349b6p-18, -0x1.c4ca511df23e9p-18, -0x1.c26d2c513f5b8p-18, -0x1.c0119cf38854fp-18, -0x1.bdb79c6e035a6p-18, -0x1.bb5ebd0245a37p-18, -0x1.b908164e39accp-18, -0x1.b6ada1af47fa9p-18, -0x1.b46035812ca6bp-18, -0x1.b20d5f6e3c14dp-18, -0x1.afbe86720d0bp-18, -0x1.ad6e5ecdc96adp-18, -0x1.ab21e76cf1b68p-18, -0x1.a8d65fd1e1df8p-18, -0x1.a68d4b07137acp-18, -0x1.a445a24c024c5p-18, -0x1.a1ffbd60f054p-18, -0x1.9fbbb89db8361p-18, -0x1.9d79964688804p-18, -0x1.9b38d321dcccbp-18, -0x1.98f9f9ba20f43p-18, -0x1.96bcdd26b147fp-18, -0x1.9482aac55261fp-18, -0x1.92491a01174b6p-18, -0x1.9011ae26d148dp-18, -0x1.8ddc3bd09cab5p-18, -0x1.8ba8cbf847017p-18, -0x1.89755cea9fff8p-18, -0x1.874886857a15p-18, -0x1.851a446587578p-18, -0x1.82edba97610efp-18, -0x1.80c38f2693dd2p-18, -0x1.7e9b89930e5dep-18, -0x1.7c75772d9127cp-18, -0x1.7a5156da3ddb8p-18, -0x1.782ee311ec523p-18, -0x1.7610d9fe0834dp-18, -0x1.73f0c45e5a8aap-18, -0x1.71d4851dd1204p-18, -0x1.6fba2951ff54fp-18, -0x1.6da27c1231304p-18, -0x1.6b8c3890603d5p-18, -0x1.6977e7c463865p-18, -0x1.676534ba97116p-18, -0x1.65558947de618p-18, -0x1.634772ef9aa8dp-18, -0x1.613bf3a244d7cp-18, -0x1.5f3184211d03ep-18, -0x1.5d2943d47cb2fp-18, -0x1.5b23600260c1cp-18, -0x1.591fee9bd7426p-18, -0x1.571e33414c533p-18, -0x1.551e9f8a2b193p-18, -0x1.5320923636cfap-18, -0x1.5124fea413349p-18, -0x1.4f2b67f76e6cfp-18, -0x1.4d347362dac97p-18, -0x1.4b3f07a8e0decp-18, -0x1.494beb942d19ep-18, -0x1.475a676fb1e78p-18, -0x1.456b6334abf71p-18, -0x1.437ea070e1b36p-18, -0x1.4193c6f48cc1ep-18, -0x1.3faaf9ef89e9ap-18, -0x1.3dc4554f1fa1dp-18, -0x1.3bdfcab252758p-18, -0x1.39fd58655ad38p-18, -0x1.381ce865a20d5p-18, -0x1.363e7cce485e9p-18, -0x1.34634bc4d2146p-18, -0x1.328ce78f03cd4p-18, -0x1.30b06c38529b9p-18, -0x1.2eda5bd34846dp-18, -0x1.2d0729cd08b3cp-18, -0x1.2b3569575617ap-18, -0x1.2965a31bf0fb3p-18, -0x1.279828945d4abp-18, -0x1.25cd1313b352cp-18, -0x1.2403bb6047dbbp-18, -0x1.223c72b6ceeb9p-18, -0x1.2077836ec0449p-18, -0x1.1eb480d6edefbp-18, -0x1.1cf3d40560542p-18, -0x1.1b35075e52341p-18, -0x1.19785814e57c1p-18, -0x1.17bdcce8fefd8p-18, -0x1.1605168aeebdfp-18, -0x1.144ef8e7b95a5p-18, -0x1.129a9c895a4a3p-18, -0x1.10e8657865229p-18, -0x1.0f385ac38e8b5p-18, -0x1.0d8a3ca9d19dp-18, -0x1.0bde77d8306ap-18, -0x1.0a34249208429p-18, -0x1.088c3dc8ff804p-18, -0x1.06e69ddffd59ap-18, -0x1.054330cc25653p-18, -0x1.03a15d43ff8cep-18, -0x1.0201e52f2ec9cp-18, -0x1.00642d6fb8992p-18, -0x1.fd9163e627d44p-19, -0x1.fa5e8a2090339p-19, -0x1.f72fcb5444319p-19, -0x1.f4051ea77bcedp-19, -0x1.f0de716d30ffcp-19, -0x1.edbbc17e34029p-19, -0x1.ea9dbb4213a4ap-19, -0x1.e782d7ac1eb4bp-19, -0x1.e46bde15b9214p-19, -0x1.e15968a2d17e8p-19, -0x1.de517d59a79c9p-19, -0x1.db419d521dc72p-19, -0x1.d83b238d6584dp-19, -0x1.d5389b516a1cap-19, -0x1.d23a7e450a8c3p-19, -0x1.cf4034d0ae0b7p-19, -0x1.cc498d01e7716p-19, -0x1.c95712a1a4147p-19, -0x1.c66890d566de5p-19, -0x1.c37e68a0a2cc2p-19, -0x1.c09704e837fbp-19, -0x1.bdb494d9dcfb7p-19, -0x1.bad57c8c55537p-19, -0x1.b7fb16f2eccc8p-19, -0x1.b51c6e8bcb761p-19, -0x1.b250bc66f460ep-19, -0x1.af818a36b0adcp-19, -0x1.acb5ee21c3323p-19, -0x1.a9efcbbbc7ba9p-19, -0x1.a72aa2ee335c2p-19, -0x1.a46afe6e42dc4p-19, -0x1.a1ae75e79e565p-19, -0x1.9ef63526fe719p-19, -0x1.9c41a1be141a3p-19, -0x1.99911381677ap-19, -0x1.96e3f6d98ad13p-19, -0x1.943b05bcee93ep-19, -0x1.91955f87007fap-19, -0x1.8ef39f7145348p-19, -0x1.8c55259446fcbp-19, -0x1.89ba9bfb1a5ebp-19, -0x1.87246cdb1ebe2p-19, -0x1.849150b3598c7p-19, -0x1.8202283c907a1p-19, -0x1.7f7629188101dp-19, -0x1.7ceea7297ce92p-19, -0x1.7a69a7982b73ap-19, -0x1.77e9318b2c368p-19, -0x1.756be483500b5p-19, -0x1.72f2c39ac733ap-19, -0x1.707c83eb7b2f2p-19, -0x1.6e0f494d46e85p-19, -0x1.6b9b2dabb61b4p-19, -0x1.692fd2edfa2a4p-19, -0x1.66c7fd82e14dap-19, -0x1.6463ad2270605p-19, -0x1.6202e4bbf12c5p-19, -0x1.5fa5882ed7378p-19, -0x1.5d4b94c386dcfp-19, -0x1.5af56d60f5548p-19, -0x1.58a29f2a1984cp-19, -0x1.5652d404b3131p-19, -0x1.5406b50ea910bp-19, -0x1.51be2f3313013p-19, -0x1.4f79474e6cd86p-19, -0x1.4d36fff8c6daep-19, -0x1.4af833c54862bp-19, -0x1.48bd082b4b968p-19, -0x1.4685aa1a12a6ap-19, -0x1.4450d3248f0f7p-19, -0x1.42205fdff820fp-19, -0x1.3ff1d76df411ap-19, -0x1.3dc7493d80ee9p-19, -0x1.3ba003369f70fp-19, -0x1.397be72cc13e7p-19, -0x1.375b17448b625p-19, -0x1.353d696db21f2p-19, -0x1.3323171c75f69p-19, -0x1.310bfada647eap-19, -0x1.2ef807261f67dp-19, -0x1.2ce713714b241p-19, -0x1.2ad96c10b8497p-19, -0x1.28ceec78de8b4p-19, -0x1.26c7a4c617521p-19, }}, 
      {{-0x1.3ade88793b4b5p-1, -0x1.1c5ff30f7deb3p-1, -0x1.e8683a80372cap-2, -0x1.885f732a3852fp-2, -0x1.1c556c81b7f26p-2, -0x1.4f9d5d0dfe3c1p-3, -0x1.7031b9a99e47dp-5, 0x1.388bf71e15f61p-4, 0x1.94599e45cb05fp-3, 0x1.43f8429af814p-2, 0x1.b9c3981cf71d2p-2, 0x1.1511dd3a30e3cp-1, 0x1.49fe1fd5178a5p-1, 0x1.7b3b640e38bddp-1, 0x1.a87d23ff02dd9p-1, 0x1.d191543e2fcd9p-1, 0x1.f65c74d4c5de2p-1, 0x1.0b6aff2b63383p+0, 0x1.198294f92ca8fp+0, 0x1.257f0d7f26b0cp+0, 0x1.2f6fb107a6294p+0, 0x1.3767e9fa9877dp+0, 0x1.3d7e55c8d0046p+0, 0x1.41cbf68856909p+0, 0x1.446b8198f0a8ep+0, 0x1.4578c7fc894b1p+0, 0x1.451035f88ebf2p+0, 0x1.434e67662bf78p+0, 0x1.404fce6a2c30ap+0, 0x1.3c306a2bde07fp+0, 0x1.370b8b5ec7ae3p+0, 0x1.30fba4c9db793p+0, 0x1.2a1a262342d9fp+0, 0x1.227f5ff8a5d1p+0, 0x1.1a426f500d087p+0, 0x1.1179300a1de3p+0, 0x1.083834ef3544ep+0, 0x1.fd25891330911p-1, 0x1.e935b42a2a28p-1, 0x1.d4c2536f40626p-1, 0x1.bfea4eedb5a95p-1, 0x1.aaca20bbce805p-1, 0x1.957bea5defad6p-1, 0x1.80178d143e45bp-1, 0x1.6ab2c3e2c4649p-1, 0x1.55613ea8ff8a8p-1, 0x1.4034be2c83d34p-1, 0x1.2b3d3054e6f7dp-1, 0x1.1688cc3de0a06p-1, 0x1.02242e14af58fp-1, 0x1.dc34e45f4c8f2p-2, 0x1.b4ea9ebc59dfap-2, 0x1.8e7a60b7cb43fp-2, 0x1.68f2982c8840ap-2, 0x1.445f79e6bb5a6p-2, 0x1.20cb2dc72d4cap-2, 0x1.fc7bf17334c62p-3, 0x1.b97cc8e09b48fp-3, 0x1.78a2c9c488a2ap-3, 0x1.39f4f7e8d69aap-3, 0x1.faef6b3c5d465p-4, 0x1.865a06120cf7fp-4, 0x1.162972dd36e38p-4, 0x1.54b30b4da2118p-5, 0x1.0b8a70052ed8dp-6, -0x1.02300fad396eep-7, -0x1.fcb71e40d7c9cp-6, -0x1.b3c91fda58693p-5, -0x1.307c50f6d783dp-4, -0x1.8308d4096958ap-4, -0x1.d19f74661c864p-4, -0x1.0e2b717a992d8p-3, -0x1.31a3776dd37c1p-3, -0x1.534429693714fp-3, -0x1.731a4369425d2p-3, -0x1.9132caba30151p-3, -0x1.ad9afad9c67f2p-3, -0x1.c860333fae25bp-3, -0x1.e18fe883b462ep-3, -0x1.f937949c8f1b8p-3, -0x1.07b2556579234p-2, -0x1.121245d5b267bp-2, -0x1.1bc23d76f0b6bp-2, -0x1.24c8cb041372cp-2, -0x1.2d2c6640d5382p-2, -0x1.34f36c4656ad2p-2, -0x1.3c241c7277d99p-2, -0x1.42c495f50abe4p-2, -0x1.48dad53aa48dbp-2, -0x1.4e6cb26a67d43p-2, -0x1.537fdf7ce1ecep-2, -0x1.5819e778a725p-2, -0x1.5c402d290ce55p-2, -0x1.5ff7eab969ca6p-2, -0x1.6346311559ed2p-2, -0x1.662fe7e40a42ep-2, -0x1.68b9cd511515bp-2, -0x1.6ae876675ed81p-2, -0x1.6cc04ee3988f1p-2, -0x1.6e459a060f66fp-2, -0x1.6f7c72d9e61f9p-2, -0x1.7068ccbd26e4fp-2, -0x1.710e748fbed1bp-2, -0x1.7171109754a7ep-2, -0x1.7194220d3fcddp-2, -0x1.717b061ce8dc7p-2, -0x1.7128f662e10cfp-2, -0x1.70a109ee6e377p-2, -0x1.6fe636c133ffcp-2, -0x1.6efb52472c45ap-2, -0x1.6de31291ab0b2p-2, -0x1.6ca00f5abed7cp-2, -0x1.6b34c31c1e156p-2, -0x1.69a38bb4db1a5p-2, -0x1.67eeac1c9e127p-2, -0x1.66184cb425cd7p-2, -0x1.64227cbeef5d4p-2, -0x1.620f32bab4e56p-2, -0x1.5fe04e7860ca5p-2, -0x1.5d9798fb36d3cp-2, -0x1.5b36c5a4ed405p-2, -0x1.58bf73931dea9p-2, -0x1.56332e4012aecp-2, -0x1.53936dd6b2c09p-2, -0x1.50e198c2d6d48p-2, -0x1.4e1f042e1092ep-2, -0x1.4b4cf4b71889bp-2, -0x1.486c9f1195531p-2, -0x1.457f292673f5p-2, -0x1.4285aa5362a96p-2, -0x1.3f812c3a305e2p-2, -0x1.3c72ab761e91bp-2, -0x1.395b1817b6e2ap-2, -0x1.363b565f339f7p-2, -0x1.33143f0ed4189p-2, -0x1.2fe6a03c8743bp-2, -0x1.2cb33dae740d7p-2, -0x1.297ad14799c1dp-2, -0x1.263e0bdc2938cp-2, -0x1.22fd94e2e36afp-2, -0x1.1fba0beed3183p-2, -0x1.1c740833a1e14p-2, -0x1.192c195c925b8p-2, -0x1.15e2c7c8c1c6p-2, -0x1.129894fd8331bp-2, -0x1.0f4dfbd352feap-2, -0x1.0c0370f152b27p-2, -0x1.08b9630fdd295p-2, -0x1.05703b32753c9p-2, -0x1.02285cbbee6dfp-2, -0x1.fdc44de383e1ep-3, -0x1.f73be5812ebc6p-3, -0x1.f0b82ac9bc4d7p-3, -0x1.ea39bef9e701ep-3, -0x1.e3c13ad937f48p-3, -0x1.dd4f2f0e73cf8p-3, -0x1.d6e424a43832ep-3, -0x1.d0809dfab89e4p-3, -0x1.ca251573b5aa3p-3, -0x1.c3d1ff7f93ce2p-3, -0x1.bd87ca27487bap-3, -0x1.b746dd690c37cp-3, -0x1.b10f9b8650f11p-3, -0x1.aae261229c027p-3, -0x1.a4bf85847c17fp-3, -0x1.9ea75bdeecedap-3, -0x1.989a311b56269p-3, -0x1.92984e73fc51ep-3, -0x1.8ca1f8cccf20dp-3, -0x1.86b7704dbdc34p-3, -0x1.80d8f176a6919p-3, -0x1.7b06b4c938858p-3, -0x1.7540ef11e1d0bp-3, -0x1.6f87d18a3caa9p-3, -0x1.69db89f06bc74p-3, -0x1.643c42d36fbep-3, -0x1.5eaa2385c95b2p-3, -0x1.59255066d5487p-3, -0x1.53adeabfcb78fp-3, -0x1.4e441130b6357p-3, -0x1.48e7df9e3c2edp-3, -0x1.43996f49d0f0dp-3, -0x1.3e58d706fdddap-3, -0x1.39262b2dd8844p-3, -0x1.34017dce7c0e4p-3, -0x1.2eeadec2ab672p-3, -0x1.29e25bbfddd2ep-3, -0x1.24e8006464509p-3, -0x1.1ffbd65817912p-3, -0x1.1b1de54f4b8dp-3, -0x1.164e3337a82d5p-3, -0x1.118cc42879e1p-3, -0x1.0cd99a8ea9184p-3, -0x1.0834b72666e7bp-3, -0x1.039e19418709p-3, -0x1.fe2b7c6bc94cep-4, -0x1.f537459ac48acp-4, -0x1.ec5f829c9ca35p-4, -0x1.e3a426a7c36adp-4, -0x1.db0522132443ep-4, -0x1.d282629615a66p-4, -0x1.ca1bd394ab01bp-4, -0x1.c1d15e202fe1bp-4, -0x1.b9a2e91b50f0cp-4, -0x1.b190592777358p-4, -0x1.a99990f3d9a42p-4, -0x1.a1be712e98e4cp-4, -0x1.99fed8f1237acp-4, -0x1.925aa4f2d8edfp-4, -0x1.8ad1b08b1af51p-4, -0x1.8363d5aca9493p-4, -0x1.7c10ec1d03047p-4, -0x1.74d8ca9f073cfp-4, -0x1.6dbb464dcd8a9p-4, -0x1.66b832e86b58fp-4, -0x1.5fcf62fc7451ep-4, -0x1.5900a7b3e90cbp-4, -0x1.524bd0f712b99p-4, -0x1.4bb0ae503e94ep-4, -0x1.452f0cff3e38fp-4, -0x1.3ec6ba1a3b655p-4, -0x1.38778182384c5p-4, -0x1.32412e3c0bdfbp-4, -0x1.2c238a87353c1p-4, -0x1.261e5fb72e3fdp-4, -0x1.2031766aa8abep-4, -0x1.1a5c96924ae06p-4, -0x1.149f8777f24dp-4, -0x1.0efa0fcf86895p-4, -0x1.096bf5a056d12p-4, -0x1.03f4fe9fac57bp-4, -0x1.fd29dfb56dacp-5, -0x1.f2971bfb9bc25p-5, -0x1.e8313a8b45b5dp-5, -0x1.ddf7c346445a4p-5, -0x1.d3ea3d744effbp-5, -0x1.ca082fb745093p-5, -0x1.c0512016546eap-5, -0x1.b6c494397cec3p-5, -0x1.ad621162fa53ap-5, -0x1.a4291ca34a2edp-5, -0x1.9b193aa3c591p-5, -0x1.9231f004c9e6fp-5, -0x1.8972c15121b93p-5, -0x1.80db32da3183cp-5, -0x1.786ac8c26c2fcp-5, -0x1.702107aa64fedp-5, -0x1.67fd7406d7bc2p-5, -0x1.5fff921882a7ap-5, -0x1.5826e70d417dap-5, -0x1.5072f7dbe5b16p-5, -0x1.48e349ec64228p-5, -0x1.417762b4837a6p-5, -0x1.3a2ec84167a35p-5, -0x1.330900ce4329ep-5, -0x1.2c0593478009bp-5, -0x1.252407035694ap-5, -0x1.1e63e3e53a387p-5, -0x1.17c4b2687bb5ap-5, -0x1.1145fb3ee46c2p-5, -0x1.0ae74827f76a8p-5, -0x1.04a82329f9037p-5, -0x1.fd102de6d4c09p-6, -0x1.f10d5e7529f33p-6, -0x1.e546f1061bc35p-6, -0x1.d9bc00362744fp-6, -0x1.ce6ba7be503cp-6, -0x1.c35504a96b7fbp-6, -0x1.b877353a6a182p-6, -0x1.add159bde40a2p-6, -0x1.a36293adbf599p-6, -0x1.992a079bd4b98p-6, -0x1.8f26dbdf36f5bp-6, -0x1.85583a2763d28p-6, -0x1.7bbd4c9fd64efp-6, -0x1.72553f01bdba3p-6, -0x1.691f3cc676788p-6, -0x1.601a745213bcp-6, -0x1.5746146d8ef8p-6, -0x1.4ea150a6db246p-6, -0x1.462b5eaa763c3p-6, -0x1.3de3790fcfc7cp-6, -0x1.35c8dbc585fbdp-6, -0x1.2ddac4aa69e4cp-6, -0x1.261870e91ff52p-6, -0x1.1e811e15cef64p-6, -0x1.171409eff082cp-6, -0x1.0fd073bb0eb0ap-6, -0x1.08b59ff903463p-6, -0x1.01c2d8038dbd6p-6, -0x1.f5eed5dc3dee7p-7, -0x1.e8a5560a83619p-7, -0x1.dba7d9baf0787p-7, -0x1.cef5064144aeep-7, -0x1.c28b7c6bc9636p-7, -0x1.b669d93731bccp-7, -0x1.aa8ebab398bc2p-7, -0x1.9ef8c4dfd3bbcp-7, -0x1.93a6ab89dca94p-7, -0x1.8897318df74f9p-7, -0x1.7dc929c59838cp-7, -0x1.733b6f4b1cc49p-7, -0x1.68ecdcf7ef985p-7, -0x1.5edc45b519be7p-7, -0x1.550871050126cp-7, -0x1.4b701dbf846f4p-7, -0x1.42120851894f6p-7, -0x1.38ecf6dc711b4p-7, -0x1.2fffbf7a9280dp-7, -0x1.2749518a398f3p-7, -0x1.1ec8b10f94ebdp-7, -0x1.167cef3dc8a5ap-7, -0x1.0e651e73bdd9dp-7, -0x1.0680477b872a4p-7, -0x1.fd9ac20467168p-8, -0x1.ee96a296a4711p-8, -0x1.dff1e62760a13p-8, -0x1.d1aa4ab97b27ap-8, -0x1.c3bdac142e429p-8, -0x1.b62a18c02ac9p-8, -0x1.a8edd77a335ep-8, -0x1.9c075f1ee037fp-8, -0x1.8f7543e9cdde2p-8, -0x1.833613c81d671p-8, -0x1.77483a80318b7p-8, -0x1.6ba9f94ac4a21p-8, -0x1.605965349ed3p-8, -0x1.55547a6b7b8abp-8, -0x1.4a99389d41345p-8, -0x1.4025ba758ca7fp-8, -0x1.35f8497451948p-8, -0x1.2c0f6add4dea7p-8, -0x1.2269e0788e281p-8, -0x1.190693a02f4f5p-8, -0x1.0fe47891f7e81p-8, -0x1.07026a1cdf2c5p-8, -0x1.fcbe2bc585926p-9, -0x1.ebf1f2f145b4ap-9, -0x1.db9ce74038a19p-9, -0x1.cbbba2f15f6cp-9, -0x1.bc4ac92ffd0b7p-9, -0x1.ad471d8a571ecp-9, -0x1.9eadb496a1ca5p-9, -0x1.907c1ae961112p-9, -0x1.82b0640a20fe8p-9, -0x1.7549062778ae1p-9, -0x1.68448a52db849p-9, -0x1.5ba142fa6801bp-9, -0x1.4f5d2ffb5937ep-9, -0x1.43760b264f213p-9, -0x1.37e966c778adbp-9, -0x1.2cb4af39b17efp-9, -0x1.21d520664a1bbp-9, -0x1.1747d7d60cb8bp-9, -0x1.0d0a07d924d7ap-9, -0x1.03195611ad7ccp-9, -0x1.f2e80c9122862p-10, -0x1.e031cac593ec9p-10, -0x1.ce0de59ac3b87p-10, -0x1.bc7a16c10ffa5p-10, -0x1.ab739f5d7cf84p-10, -0x1.9af782617dc49p-10, -0x1.8b02bc67deeccp-10, -0x1.7b9228ca07c6p-10, -0x1.6ca20c605ca75p-10, -0x1.5e2dc6e75b96bp-10, -0x1.503021dad665fp-10, -0x1.42a422e2aa0d8p-10, -0x1.3585f1c9108e4p-10, -0x1.28d30417eb27dp-10, -0x1.1c898ab295fedp-10, -0x1.10a7bb63d3b7ap-10, -0x1.052b8748ebe3ap-10, -0x1.f425a6434d707p-11, -0x1.deb79d4a08bcdp-11, -0x1.ca0a04ab90de7p-11, -0x1.b619cea86484bp-11, -0x1.a2e270744e1b1p-11, -0x1.905d1f6be87fcp-11, -0x1.7e816685f477fp-11, -0x1.6d4736e14a792p-11, -0x1.5ca81a82c9478p-11, -0x1.4c9f6dabc44a2p-11, -0x1.3d293c570609bp-11, -0x1.2e4162bfca1bcp-11, -0x1.1fe3abc70b4fp-11, -0x1.120c7f76f85dfp-11, -0x1.04b99bb051ffcp-11, -0x1.efd37ebfd6e84p-12, -0x1.d737fd4fc5118p-12, -0x1.bf9ce02ba7d72p-12, -0x1.a8faf45f1be53p-12, -0x1.934853d16a135p-12, -0x1.7e7a8c9d9ab48p-12, -0x1.6a886755dd122p-12, -0x1.576965d5682ccp-12, -0x1.4514c2a7c0472p-12, -0x1.3381294727f56p-12, -0x1.22a5958c1e253p-12, -0x1.127a424ff8541p-12, -0x1.02f986bbd751dp-12, -0x1.e841ff3f3c7d5p-13, -0x1.cbe17bb2773c6p-13, -0x1.b0d06901da52cp-13, -0x1.9707946254eep-13, -0x1.7e7c156d1972ep-13, -0x1.672409cb3a5e8p-13, -0x1.50f8b0dfd1809p-13, -0x1.3bf3a546235dep-13, -0x1.280a0aed57ec5p-13, -0x1.152a073164e09p-13, -0x1.03409267e11bep-13, -0x1.e47fe7a0c307fp-14, -0x1.c43a7cce94c2ep-14, -0x1.a59806707ab72p-14, -0x1.8886c69e31e73p-14, -0x1.6d081f6417adp-14, -0x1.5322b1ca366ffp-14, -0x1.3acd32cf7028p-14, -0x1.23f1d8cbdb8b4p-14, -0x1.0e7f59e7c48cbp-14, -0x1.f4e687b288a8bp-15, -0x1.cfa4800fcbbbdp-15, -0x1.ad37095cc0b79p-15, -0x1.8d799ed5b6cdcp-15, -0x1.70237c53d604ep-15, -0x1.54f64e1393001p-15, -0x1.3be5ee3ad648fp-15, -0x1.24eb99b410e4cp-15, -0x1.0fd5d63bcb885p-15, -0x1.f8eade5333187p-16, -0x1.d59779d0a8609p-16, -0x1.b5cd4888e388ap-16, -0x1.99719e1a233adp-16, -0x1.803df8a7ac10dp-16, -0x1.69fa3dbc03232p-16, -0x1.569abf81ff7cfp-16, -0x1.463dda43c4ee6p-16, -0x1.38f1e66ea871bp-16, -0x1.2e9c57c4b7d36p-16, -0x1.26ed082039445p-16, -0x1.217531cc545a5p-16, -0x1.1e01b1bd89989p-16, -0x1.1cc6813991df6p-16, -0x1.1dc18adb00627p-16, -0x1.209543cd6ac58p-16, -0x1.25127038acaa5p-16, -0x1.2b36b37d4a396p-16, -0x1.32ed9139fcc86p-16, -0x1.3c1f3c90bc19bp-16, -0x1.46b5711e704fp-16, -0x1.529622c023f4fp-16, -0x1.5fb3de0665df8p-16, -0x1.6e1c7edc5c9d7p-16, -0x1.7dd75ce1a58c7p-16, -0x1.8ec6d2251469bp-16, -0x1.a0c165fe4f215p-16, -0x1.b3a3a483f19a6p-16, -0x1.c742f6f8e654bp-16, -0x1.dba285c6bafb2p-16, -0x1.f0e12dd7e0c16p-16, -0x1.036c8c79a7005p-15, -0x1.0ebd4622c2613p-15, -0x1.1a622a6a12da7p-15, -0x1.2642687c96223p-15, -0x1.324cb3448624fp-15, -0x1.3e841105b8772p-15, -0x1.4aeaea24e7e4fp-15, -0x1.577942108d3eap-15, -0x1.642b4664bade8p-15, -0x1.71038a0a45d16p-15, -0x1.7dfcc08c1ed27p-15, -0x1.8b0b4e8f5c491p-15, -0x1.9826178c1133ap-15, -0x1.a54b982393da2p-15, -0x1.b27b861ba873ap-15, -0x1.bfaa922783a52p-15, -0x1.ccd9c9abe5be4p-15, -0x1.da0297dc7bfabp-15, -0x1.e7286cadd8fdbp-15, -0x1.f4515ca20a331p-15, -0x1.00b745d646b3dp-14, -0x1.07381e743d612p-14, -0x1.0daa9ccc1a102p-14, -0x1.1411709d7c796p-14, -0x1.1a6b5d38cccc6p-14, -0x1.20b66b9ce3f5ap-14, -0x1.26f3609cf0511p-14, -0x1.2d20a76845fp-14, -0x1.333b92698b4b8p-14, -0x1.3942e441ae9bep-14, -0x1.3f35be12b478dp-14, -0x1.4513bd4331f2cp-14, -0x1.4add8828f64cdp-14, -0x1.50912259ac0acp-14, -0x1.562d1b0508c0ap-14, -0x1.5baf9b0a3ea05p-14, -0x1.611ab16f45147p-14, -0x1.666e19939d36ap-14, -0x1.6ba833092f917p-14, -0x1.70c7b255a20fbp-14, -0x1.75cbc6b1ae4adp-14, -0x1.7ab494439dc49p-14, -0x1.7f81ca15823acp-14, -0x1.843314a64baaap-14, -0x1.88c7fb93b6b76p-14, -0x1.8d4012c8bbccp-14, -0x1.919b6d4df64c2p-14, -0x1.95da012749d6bp-14, -0x1.99fb89f7b7d53p-14, -0x1.9dffca374aca5p-14, -0x1.a1e6a37062478p-14, -0x1.a5af140b76b22p-14, -0x1.a958fe2c646efp-14, -0x1.ace5d73f7c9acp-14, -0x1.b055ba6353c42p-14, -0x1.b3a6d0fbdc186p-14, -0x1.b6d9b32eb6465p-14, -0x1.b9eea924bfbb8p-14, -0x1.bce50057f9f2ep-14, -0x1.bfbd5b051ff2fp-14, -0x1.c278258d2b2c9p-14, -0x1.c5168a21f54dap-14, -0x1.c7978a452ecc2p-14, -0x1.c9f97f63701d2p-14, -0x1.cc3e0aac3d3fcp-14, -0x1.ce65fbe3cd511p-14, -0x1.d071865c816d7p-14, -0x1.d260a54100005p-14, -0x1.d4335cca9b4adp-14, -0x1.d5e97cf7a9d9bp-14, -0x1.d783b739231c4p-14, -0x1.d9020686a3a61p-14, -0x1.da6305370a794p-14, -0x1.dba9ffec9abfap-14, -0x1.dcd6c266fa452p-14, -0x1.dde749f828f54p-14, -0x1.deddd3a44ca51p-14, -0x1.dfba9ff523ba9p-14, -0x1.e07cdfe120173p-14, -0x1.e123af8320da4p-14, -0x1.e1b1e0e813487p-14, -0x1.e228f2a97d513p-14, -0x1.e286906e1ebc4p-14, -0x1.e2ca690fabcd9p-14, -0x1.e2f6cd4877e06p-14, -0x1.e30be86a397a8p-14, -0x1.e309c99b8f3bdp-14, -0x1.e2f0a3f57b1d3p-14, -0x1.e2c0dd34b30fap-14, -0x1.e27ada550f275p-14, -0x1.e21e84aa43be9p-14, -0x1.e1ac377d9b583p-14, -0x1.e1258c27c8864p-14, -0x1.e0893e64be29cp-14, -0x1.dfd828edc4887p-14, -0x1.df1374b2f9ae7p-14, -0x1.de3a0e2ba4edbp-14, -0x1.dd4dcb4f5770dp-14, -0x1.dc4edbc33e583p-14, -0x1.db3d1687345ecp-14, -0x1.da172d822e94dp-14, -0x1.d8dfc7a68b68bp-14, -0x1.d79828c6d3259p-14, -0x1.d63d8eabf29b1p-14, -0x1.d4d246a8608bfp-14, -0x1.d356d23986d74p-14, -0x1.d1cb39276514ep-14, -0x1.d02f819007e8p-14, -0x1.ce8442f3036bdp-14, -0x1.ccc9cb03c71d9p-14, -0x1.cb006845b4d3ap-14, -0x1.c928b21577b7fp-14, -0x1.c742a7243d7b3p-14, -0x1.c54eb22cc75d2p-14, -0x1.c34d42f39784bp-14, -0x1.c13f2526b8feep-14, -0x1.bf23b7887c282p-14, -0x1.bcfbdb7c9e0a7p-14, -0x1.bac7a4369a07ap-14, -0x1.b887e3d41be78p-14, -0x1.b63cd6e83c736p-14, -0x1.b3e6cba60f799p-14, -0x1.b1851dceccf84p-14, -0x1.af19625baa3ddp-14, -0x1.aca31b63aa88ap-14, -0x1.aa22dbb8b316cp-14, -0x1.a79963d473a61p-14, -0x1.a50697c9a991p-14, -0x1.a26ac652d55bap-14, -0x1.9fc63dd75dcbbp-14, -0x1.9d19465831ad2p-14, -0x1.9a6429a9f565cp-14, -0x1.97a73e76f06d5p-14, -0x1.94e2cbc9e2e8ep-14, -0x1.921714c82c1c5p-14, -0x1.8f445a9fbe7ccp-14, -0x1.8c6ae62cc2889p-14, -0x1.898afee2a6cadp-14, -0x1.86a4e5f329f56p-14, -0x1.83b8fd6542804p-14, -0x1.80c7698d41dd8p-14, -0x1.7dd062ad7ff81p-14, -0x1.7ad3ed92f5c74p-14, -0x1.77d2d62abdc46p-14, -0x1.74cd3f85922b7p-14, -0x1.71c2ec7b26a17p-14, -0x1.6eb438ffe035fp-14, -0x1.6ba1ef4ee010ep-14, -0x1.688bd3d2119fp-14, -0x1.657244dde407ep-14, -0x1.62556ed1d1ff1p-14, -0x1.5f356885c19b5p-14, -0x1.5c128f5d47981p-14, -0x1.58ed2197602d8p-14, -0x1.55c53c86fc4a9p-14, -0x1.529b3eadb2bfcp-14, -0x1.4f6f0666e9009p-14, -0x1.4c4109eabc776p-14, -0x1.49116c2e778fcp-14, -0x1.45e060f7c65eap-14, -0x1.42ae08a0eaaa7p-14, -0x1.3f7aa481e0b58p-14, -0x1.3c465b0c54dfdp-14, -0x1.3911491185097p-14, -0x1.35dbaf61a426dp-14, -0x1.32a5b597d7f11p-14, -0x1.2f6f8c33893a4p-14, -0x1.2c394b4213a86p-14, -0x1.29032c56ea63p-14, -0x1.25cd235a7a272p-14, -0x1.2297c567f1565p-14, -0x1.1f62dbbd53071p-14, -0x1.1c2eabe439292p-14, -0x1.18fb3d7027a69p-14, -0x1.15c8cf98c65bcp-14, -0x1.12978e6a72193p-14, -0x1.0f679e39c5746p-14, -0x1.0c39055feb804p-14, -0x1.090be861c9622p-14, -0x1.05e07966da40dp-14, -0x1.02b6cbfa12a6bp-14, -0x1.ff1dde67e6aa6p-15, -0x1.f8d238755a12bp-15, -0x1.f28ad8b0aa468p-15, -0x1.ec48014bdec44p-15, -0x1.e609e0340eap-15, -0x1.dfd049ae11d52p-15, -0x1.d99bcfa631bafp-15, -0x1.d36cc9fe674ddp-15, -0x1.cd433b9c8037bp-15, -0x1.c71f515c35931p-15, -0x1.c10130ad16655p-15, -0x1.bae912a5255e9p-15, -0x1.b4d71fdf3d7acp-15, -0x1.aecb9dca4293fp-15, -0x1.a8c6a12a77407p-15, -0x1.a2c84cdcb3e62p-15, -0x1.9cd0b586d9923p-15, -0x1.96e0392e969bbp-15, -0x1.90f6c0ea879fbp-15, -0x1.8b14c5914c96fp-15, -0x1.853a1c9664b1ep-15, -0x1.7f66ef2522d84p-15, -0x1.799b97824ece1p-15, -0x1.73d7d6386fc96p-15, -0x1.6e1bf0679a987p-15, -0x1.6868231feb515p-15, -0x1.62bd8bacd277fp-15, -0x1.5d195af28ae34p-15, -0x1.577e552d7f75cp-15, -0x1.51ebcfd5ea12cp-15, -0x1.4c61a04bfc914p-15, -0x1.46e0553bf9474p-15, -0x1.4167abcd386afp-15, -0x1.3bf7eefaf523fp-15, -0x1.3690f27547df2p-15, -0x1.313328fb87215p-15, -0x1.2bddf2b85cd99p-15, -0x1.26920deb1e784p-15, -0x1.214f6205cfd27p-15, -0x1.1c162cdbcc1a8p-15, -0x1.16e6118a8060bp-15, -0x1.11bf622e1de4fp-15, -0x1.0ca1ec57724eap-15, -0x1.078e1783b47d2p-15, -0x1.0283c8563a7fap-15, -0x1.fb0629fb77b25p-16, -0x1.f117e4cf10133p-16, -0x1.e73ce22ba1dbep-16, -0x1.dd75522577fddp-16, -0x1.d3c1224f3139bp-16, -0x1.ca2042ad20bdfp-16, -0x1.c0931c85f10e2p-16, -0x1.b7189bf39a083p-16, -0x1.adb44f71d84a8p-16, -0x1.a46211e01cd3ep-16, -0x1.9b23c4ab34ac4p-16, -0x1.91f8df9bec923p-16, -0x1.88e22c0508b1bp-16, -0x1.7fdfb4c0c0a07p-16, -0x1.76f0d909122d9p-16, -0x1.6e156348b6fc6p-16, -0x1.654e209f49662p-16, -0x1.5c9a00c8e5c3ep-16, -0x1.53fbc5f6a8bbbp-16, -0x1.4b706621fd737p-16, -0x1.42f8b9721a948p-16, -0x1.3a952eeeda64p-16, -0x1.32455077f71b1p-16, -0x1.2a09b2b15f5dcp-16, -0x1.21e1868bc884bp-16, -0x1.19cd83a983437p-16, -0x1.11cd6db0efe53p-16, -0x1.09e2b28680a27p-16, -0x1.02085f1a81e72p-16, -0x1.f48942d7b42b5p-17, -0x1.e524091e86c4ap-17, -0x1.d5e8e75a8593dp-17, -0x1.c6d5340532e55p-17, -0x1.b7e81d719c917p-17, -0x1.a92243032aa0fp-17, -0x1.9a83aeadda984p-17, -0x1.8c0bd110400fbp-17, -0x1.7dbb0d7b4678dp-17, -0x1.6f9098984c42dp-17, -0x1.618c12a41d3f6p-17, -0x1.53ae8e7e3ae34p-17, -0x1.45f7ba8646b74p-17, -0x1.3866a84289ce2p-17, -0x1.2afb5bb02fa16p-17, -0x1.1db5fced6e8f7p-17, -0x1.10971b591b0fbp-17, -0x1.039c17333fcaap-17, -0x1.ed8e895e852ffp-18, -0x1.d4316a7be7728p-18, -0x1.bb1cad8615f3p-18, -0x1.a251a21b372e8p-18, -0x1.89d02e1c98211p-18, -0x1.7197f77b05e8cp-18, -0x1.59a9ff24b528bp-18, -0x1.42022f1b2d27dp-18, -0x1.2aa4f2a61b3dfp-18, -0x1.138d450ea322ep-18, -0x1.f97be84f67b3p-19, -0x1.cc6b61a5c6fd1p-19, -0x1.9fe7affac3896p-19, -0x1.73f66a8169428p-19, -0x1.48887163f6f0ep-19, -0x1.1da7a7616e9ccp-19, -0x1.e6a55ac9f6eabp-20, -0x1.9309efe9b0bcp-20, -0x1.4083632640b08p-20, -0x1.dddacbe9b49e4p-21, -0x1.3d8693347c9bap-21, -0x1.3d16bee44ba07p-22, -0x1.da2a465cf21ebp-29, 0x1.315c55e93db17p-22, 0x1.312e104d8983cp-21, 0x1.c7ab3853d7638p-21, 0x1.2e0f1d2f666aep-20, 0x1.7747376b6c188p-20, 0x1.bf809a84c193ap-20, 0x1.035ed8f162c68p-19, 0x1.267a877ec9618p-19, 0x1.4918393d1dec2p-19, 0x1.6b3d62212c3e2p-19, 0x1.8ce5cf2542ca6p-19, 0x1.ae13200dce6f9p-19, 0x1.cec695aaee85fp-19, 0x1.eefc9972a58dep-19, 0x1.07609f6aa24aep-18, 0x1.17054a2f414dcp-18, 0x1.2670269402fffp-18, 0x1.359f74c2e4d12p-18, 0x1.44942fb4d0c44p-18, 0x1.534e12aaac9f6p-18, 0x1.61d15efdf7148p-18, 0x1.701a1721e361cp-18, 0x1.7e295190886e5p-18, 0x1.8c020cbaf2765p-18, 0x1.99a2f88e8df2bp-18, 0x1.a7109b09f03f6p-18, 0x1.b440a2f638f7cp-18, 0x1.c13d49bf013cfp-18, 0x1.ce032a38fc487p-18, 0x1.da9573ab58769p-18, 0x1.e6f2047492e08p-18, 0x1.f31ca54a215fep-18, 0x1.ff0fbe35d282bp-18, 0x1.056887d27b1bp-17, 0x1.0b2edf9295963p-17, 0x1.10dcc3fbce82ep-17, 0x1.1672c7106b7ecp-17, 0x1.1beea82db1e5bp-17, 0x1.2151a8cbe6aeep-17, 0x1.269b7dfb426fp-17, 0x1.2bce60e4bb05p-17, 0x1.30e9bb8e7f596p-17, 0x1.35edc622c3c9ep-17, 0x1.3ad8dac22fe4fp-17, 0x1.3fad433976efbp-17, 0x1.446a9bd49bcadp-17, 0x1.49111800d23aep-17, 0x1.4da0f439a1b9bp-17, 0x1.5219d274d149ep-17, 0x1.567e10e14af49p-17, 0x1.5acb2168dce8bp-17, 0x1.5f02fbbb709fep-17, 0x1.6324cfd30892p-17, 0x1.6731ebdd14f9ap-17, 0x1.6b29d401f48e8p-17, 0x1.6f0cc06c616b9p-17, 0x1.72db4a3549c08p-17, 0x1.7694f1add9a72p-17, 0x1.7a3a3670f7582p-17, 0x1.7dcbc723f997fp-17, 0x1.8149605b228e6p-17, 0x1.84b390ad74948p-17, 0x1.880a4eb7507cfp-17, 0x1.8b4d9614f219bp-17, 0x1.8e7e7094a628cp-17, 0x1.919aef788c3eep-17, 0x1.94a70f1e61482p-17, 0x1.979f439cd0023p-17, 0x1.9a8675fa6500cp-17, 0x1.9d5b035f0a09p-17, 0x1.a01d28c01b8edp-17, 0x1.a2cf2830a699ap-17, 0x1.a56ddfaa960e8p-17, 0x1.a7fc8db31150ap-17, 0x1.aa79fdb65cd02p-17, 0x1.ace68d2545d42p-17, 0x1.af439ca8e3289p-17, 0x1.b18efec734ccap-17, 0x1.b3ca56cdb6c33p-17, 0x1.b5f5b07a693ddp-17, 0x1.b8112e2b5de4dp-17, 0x1.ba22ad8039d0dp-17, 0x1.bc193ca631307p-17, 0x1.be064a298c20cp-17, 0x1.bfe41f4d00e87p-17, 0x1.c1b21bf2b1a9ap-17, 0x1.c37326ed937d4p-17, 0x1.c524d9042241p-17, 0x1.c6c82b3159d63p-17, 0x1.c85baba39bdd1p-17, 0x1.c9e3819dfdf73p-17, 0x1.cb5c238b15752p-17, 0x1.ccc713dd72262p-17, 0x1.ce25a9be4ed75p-17, 0x1.cf75e4be0ce6ap-17, 0x1.d0b857d59fec2p-17, 0x1.d1edfab812ecbp-17, 0x1.d31756a78a6c4p-17, 0x1.d434741cf3f8fp-17, 0x1.d54449526796cp-17, 0x1.d646fcfd0da2ap-17, 0x1.d73e50a1666cdp-17, 0x1.d82a10aee1e2p-17, 0x1.d9094d12fe1bdp-17, 0x1.d9dc192a268a8p-17, 0x1.daa41e43ac6a4p-17, 0x1.db60e5f91eb75p-17, 0x1.dc124120cff26p-17, 0x1.dcb80785c1af6p-17, 0x1.dd53b04f456d9p-17, 0x1.dde3839c6933dp-17, 0x1.de690c8ce10e8p-17, 0x1.dee43a197a791p-17, 0x1.df54ef0ea6662p-17, 0x1.dfbac3ab036a2p-17, 0x1.e018863ecffefp-17, 0x1.e0683b6196bc2p-17, 0x1.e0b26e23e9765p-17, 0x1.e0f06350ba1ffp-17, 0x1.e12607396e4bep-17, 0x1.e151ee13e981ep-17, 0x1.e1747e5c58b74p-17, 0x1.e18e13622386p-17, 0x1.e19da0c62959ep-17, 0x1.e1a33aa98329p-17, 0x1.e1a419cbdd2d7p-17, 0x1.e19a692a09daap-17, 0x1.e188b833b1bddp-17, 0x1.e16e9d55d2dd8p-17, 0x1.e14a708ba98bcp-17, 0x1.e11fa3abd4d0dp-17, 0x1.e0eccc9e4556ap-17, 0x1.e0b206b61e43dp-17, 0x1.e07001e635a42p-17, 0x1.e025fca38bcd1p-17, 0x1.dfd3b8390d7bcp-17, 0x1.df79fc34f219ap-17, 0x1.df1a0d44c53d2p-17, 0x1.deb3354b0f9a1p-17, 0x1.de44d49aff18p-17, 0x1.ddcfc411ef90dp-17, 0x1.dd536a9b8db19p-17, 0x1.dcd0be3f95dcdp-17, 0x1.dc479550bebc2p-17, 0x1.dbb78f4d4f3ap-17, 0x1.db253650c88e4p-17, 0x1.da84cda446e0bp-17, 0x1.d9e2baf67e457p-17, 0x1.d93a2d10b1801p-17, 0x1.d88af1302df92p-17, 0x1.d7da741a29afap-17, 0x1.d71cc1631ad97p-17, 0x1.d65c9b1ea0b17p-17, 0x1.d597b5041e223p-17, 0x1.d4cd5a12fa7b7p-17, 0x1.d3fd5d0beafb7p-17, 0x1.d3277a4805d79p-17, 0x1.d24ca65dd4621p-17, 0x1.d16dde43cbe2ap-17, 0x1.d086d47fd5204p-17, 0x1.cfa013795a344p-17, 0x1.ceb4e32b5597ep-17, 0x1.cdbf0be8b3d64p-17, 0x1.ccc8af0f82234p-17, 0x1.cbc70d5d98688p-17, 0x1.cacba936777ccp-17, 0x1.c9c6fb2155fcep-17, 0x1.c8be966d20e67p-17, 0x1.c7b1b57881fb8p-17, 0x1.c6a0277aee0cap-17, 0x1.c58b38371400fp-17, 0x1.c4736540f6c65p-17, 0x1.c35635820f523p-17, 0x1.c2324e6d5c295p-17, 0x1.c11095c0cb2bap-17, 0x1.bfe92f7efd5d3p-17, 0x1.bebe45de7965p-17, 0x1.bd8f4432d920fp-17, 0x1.bc5dca4427cf3p-17, 0x1.bb27841491e24p-17, 0x1.b9ed30f35e83dp-17, 0x1.b8b3d015da458p-17, 0x1.b774fb3118f8cp-17, 0x1.b6323d9d623d8p-17, 0x1.b4edc342bca16p-17, 0x1.b3a67010dbab4p-17, 0x1.b25c2093a053p-17, 0x1.b11184434b087p-17, 0x1.afbebf7d5a719p-17, 0x1.ae6df06dcbe3ep-17, 0x1.ad17a4a0542bbp-17, 0x1.abbf4bb2b75c7p-17, 0x1.aa67032c7671ap-17, 0x1.a909d1fc95211p-17, 0x1.a7ac6b1d9feedp-17, 0x1.a64b542de11c9p-17, 0x1.a4e8962dfe6cdp-17, 0x1.a3808e96ceba6p-17, 0x1.a21d3a465efa9p-17, 0x1.a0b41f58cfe76p-17, 0x1.9f49a6fe28179p-17, 0x1.9ddd0baef3b7dp-17, 0x1.9c6ed23deed0cp-17, 0x1.9afdaecdc8647p-17, 0x1.998bc38a71905p-17, 0x1.981936c09e1ecp-17, 0x1.96a44e6274b26p-17, 0x1.9530c3e3edafbp-17, 0x1.93b496f1a0bbbp-17, 0x1.923baeec23f24p-17, 0x1.90c0868f4a84p-17, 0x1.8f44360de1a61p-17, 0x1.8dc66084f9183p-17, 0x1.8c482940da07ep-17, 0x1.8ac7dd3bc6246p-17, 0x1.894668b3ed23ep-17, 0x1.87c5123dec838p-17, 0x1.8641f6fa3ce55p-17, 0x1.84bd02481f34bp-17, 0x1.8337421c7d22p-17, 0x1.81b209126238p-17, 0x1.802a84509fe1dp-17, 0x1.7ea2da5aa5b4dp-17, 0x1.7d1a325a7ef47p-17, 0x1.7b91465d838d4p-17, 0x1.7a0bbc0e36c7bp-17, 0x1.787c04fc6d56fp-17, 0x1.76eff91f08578p-17, 0x1.75651dfd4ce9p-17, 0x1.73d87e600aa86p-17, 0x1.724f7fb6718c6p-17, 0x1.70be901694d15p-17, 0x1.6f2f8f5ada92fp-17, 0x1.6da1037a0e567p-17, 0x1.6c1250d47919ap-17, 0x1.6a8306b010264p-17, 0x1.68f4acfd96109p-17, 0x1.6763c9641a6acp-17, 0x1.65d4bbbcc1f1dp-17, 0x1.6444ec14473c2p-17, 0x1.62b49b248468fp-17, 0x1.6125207391832p-17, 0x1.5f94cbc8fe5b9p-17, 0x1.5e0332bfa7188p-17, 0x1.5c728e967fbebp-17, 0x1.5ae2f5ab3a97p-17, 0x1.59529d1e36d68p-17, 0x1.57c1dbf570808p-17, 0x1.56315025bf03p-17, 0x1.54a45cccb4461p-17, 0x1.53169ff280d4fp-17, 0x1.518101788ecb5p-17, 0x1.4ff1cc00a49bbp-17, 0x1.4e6236d98715ep-17, 0x1.4cd3614bfc53ep-17, 0x1.4b435b1fa81a9p-17, 0x1.49b4e92096331p-17, 0x1.48271ade46f46p-17, 0x1.4699001ec1fe6p-17, 0x1.450b5437966e6p-17, 0x1.437e130407f1dp-17, 0x1.41f1265713e84p-17, 0x1.40649d8f44fc8p-17, 0x1.3ed96be7efbb4p-17, 0x1.3d4d3d697ed3cp-17, 0x1.3bc05b3115716p-17, 0x1.3a3806e208975p-17, 0x1.38ae3d76d6f8bp-17, 0x1.3725dca450e9ap-17, 0x1.359cee9450f7ap-17, 0x1.3413a6349cfd2p-17, 0x1.328bdf0f2ded9p-17, 0x1.3105b98992da4p-17, 0x1.2f7fa16c88f2bp-17, 0x1.2dfa23e239cc2p-17, 0x1.2c7542f86d871p-17, 0x1.2af12da5f4656p-17, 0x1.296de8264b6dbp-17, 0x1.27eb9dcb79594p-17, 0x1.2669e3b0fdd45p-17, 0x1.24e79eaa15bd3p-17, 0x1.23684403c6b24p-17, 0x1.21e8d24b684dfp-17, 0x1.206a085856053p-17, 0x1.1eec771f44c45p-17, 0x1.1d6f4a3feafe8p-17, 0x1.1bf44e8f3913fp-17, 0x1.1a788c1a409aep-17, 0x1.18fe26c9447c4p-17, 0x1.1784bd5579161p-17, 0x1.160c40abef466p-17, 0x1.1494ec996356cp-17, 0x1.131e9dac1e56ap-17, 0x1.11a9786de5c7fp-17, 0x1.10374ed07188cp-17, 0x1.0ec0c79bca889p-17, 0x1.0d4e44a06ab7dp-17, 0x1.0bdd560d62f9ep-17, 0x1.0a6be5dd509c6p-17, 0x1.08fc6931cf577p-17, 0x1.078e97485021fp-17, 0x1.0621dfd1cb73p-17, 0x1.04b43b97746ap-17, 0x1.03497499a39b4p-17, 0x1.01deff3b11775p-17, 0x1.0076553ac795cp-17, 0x1.fe1d210e4a7bdp-18, 0x1.fb4f89cf08888p-18, 0x1.f8838b16dadadp-18, 0x1.f5ba973d916ccp-18, 0x1.f2f3b7f99791cp-18, 0x1.f02871c57a5e4p-18, 0x1.ed6d2ed27df4dp-18, 0x1.eaacfcb1607b7p-18, 0x1.e7eeaebd7046dp-18, 0x1.e533bcf42e0ddp-18, 0x1.e27c3f3d6c01bp-18, 0x1.dfc4fc254b434p-18, 0x1.dd10563668b9p-18, 0x1.da5e510a3ded2p-18, 0x1.d7aecdcfb8dfdp-18, 0x1.d5023ee54ea78p-18, 0x1.d2579faf228f3p-18, 0x1.cfafd8026ac4ap-18, 0x1.cd0a1b6ac0cf8p-18, 0x1.ca672b7aabbfdp-18, 0x1.c7c6bfc64176p-18, 0x1.c52e0baa8a21p-18, 0x1.c291686c98a49p-18, 0x1.bff37eefdc074p-18, 0x1.bd5dd3353797p-18, 0x1.bac82ec712774p-18, 0x1.b8375a18973d6p-18, 0x1.b5a8a74c9ebe6p-18, 0x1.b31c45a590038p-18, 0x1.b090f4cb39b79p-18, 0x1.ae0afe1998dcfp-18, 0x1.ab86a18e82715p-18, 0x1.a90340c69f857p-18, 0x1.a683fbc20baa9p-18, 0x1.a406b9ee0458ep-18, 0x1.a18c3da96214cp-18, 0x1.9f14a7c1fe236p-18, 0x1.9c9f7ad1d6f89p-18, 0x1.9a2cbbe3e66dbp-18, 0x1.97bc40126a98dp-18, 0x1.954f26efbedfbp-18, 0x1.92e43382eb00bp-18, 0x1.907c4d5b45024p-18, 0x1.8e1681044c00fp-18, 0x1.8bb2f471c9efdp-18, 0x1.8953a9403a5ccp-18, 0x1.86f61533cc79cp-18, 0x1.849a0c9f7750fp-18, 0x1.824194ffca0a3p-18, 0x1.7fec45e45ef7ap-18, 0x1.7d98cb526df21p-18, 0x1.7b4892912303ep-18, 0x1.78fa4db2f59d5p-18, 0x1.76aefd777d5bp-18, 0x1.74664c2e8a0cdp-18, 0x1.722033737bfdp-18, 0x1.6fdd0ee88d493p-18, 0x1.6d9c8ad9b9abdp-18, 0x1.6b5dbda02afccp-18, 0x1.692278bf8bbc7p-18, 0x1.66e6d91f0da5p-18, 0x1.64b476c81a102p-18, 0x1.6282786886c49p-18, 0x1.604ee57b78fc4p-18, 0x1.5e20b9cb0d3bdp-18, 0x1.5bf558026f0bcp-18, 0x1.59cd27f3650dbp-18, 0x1.57a4f248d2293p-18, 0x1.5581b1001af76p-18, 0x1.5360c5b66ac3fp-18, 0x1.51424a1a5f873p-18, 0x1.4f257da94b6aap-18, 0x1.4d0d5d20b68b8p-18, 0x1.4af61c58a8e34p-18, 0x1.48e226531dfd8p-18, 0x1.46d0393850773p-18, 0x1.44bc1454a5c53p-18, 0x1.42b51e5bd5eep-18, 0x1.40ab528614d35p-18, 0x1.3ea45f2ff427cp-18, 0x1.3ca01e6cc4b43p-18, 0x1.3a9da9a0e355ap-18, 0x1.389e00dcb13f6p-18, 0x1.36a1b798b28a1p-18, 0x1.34a75e04135c1p-18, 0x1.32af98d449dd4p-18, 0x1.30ba5899288bap-18, 0x1.2ec83e33c8211p-18, 0x1.2cd85b0a1ad8ep-18, 0x1.2aea0afcb8bc6p-18, 0x1.28fecd94a6f18p-18, 0x1.27179d57d5af1p-18, 0x1.25308f29cc52ap-18, 0x1.234d4eed51p-18, 0x1.216d0dc8f4fe9p-18, 0x1.1f8e84dddae36p-18, 0x1.1db22d509c43cp-18, 0x1.1bd8ce74ce5dp-18, 0x1.1a02a67aec6b4p-18, 0x1.182e0af854ec3p-18, 0x1.165c07aa7c4cep-18, 0x1.148c28f1a377ep-18, 0x1.12bfb82453762p-18, 0x1.10f8ca2e3adf1p-18, 0x1.0f2cb64839bcbp-18, 0x1.0d67673595d76p-18, 0x1.0ba467756627bp-18, 0x1.09e3de196027bp-18, 0x1.08255c0d472e7p-18, 0x1.0669912c73108p-18, 0x1.04b06c3d9d167p-18, 0x1.02f90d98de362p-18, 0x1.0143981f39dcep-18, 0x1.ff243486c92a4p-19, 0x1.fbc594cf33fe3p-19, 0x1.f86a1b7b61115p-19, 0x1.f5115da662f7ap-19, 0x1.f1c23798eb8d2p-19, 0x1.ee75afad0a777p-19, 0x1.eb2db70d65adcp-19, 0x1.e7e9fc856797fp-19, 0x1.e4a7a1da9f428p-19, 0x1.e17229f65d8c2p-19, 0x1.de3b6f8e3613ap-19, 0x1.db0a5b43ac985p-19, 0x1.d7ddb08e92e69p-19, 0x1.d4b6035c37cd8p-19, 0x1.d1944bf01d28ep-19, 0x1.ce7568d9e5969p-19, 0x1.cb5a32412ff21p-19, 0x1.c84466663112ep-19, 0x1.c53548a99418bp-19, 0x1.c22826aecd989p-19, 0x1.bf1ff0012f1fdp-19, 0x1.bc1c6e9e4db31p-19, 0x1.b91d63b5b4023p-19, }}, 
      {{-0x1.4be6b3343f216p-1, -0x1.4168f016fe4b7p-1, -0x1.3347b9df292cp-1, -0x1.21f0fa6a914f2p-1, -0x1.0dd87126eb61p-1, -0x1.eee3ead47a169p-2, -0x1.be5b30ef3266bp-2, -0x1.8aea372bb8ee9p-2, -0x1.5554ba7c4388cp-2, -0x1.1e4cfa3cdc244p-2, -0x1.cce6107a118f3p-3, -0x1.5ca9af1cab05bp-3, -0x1.d9bb35783a57bp-4, -0x1.f965448b797ffp-5, -0x1.1d53e438b215ep-7, 0x1.604b3eaa82fb4p-5, 0x1.7dba3a5c42efep-4, 0x1.221f7d0c39b8dp-3, 0x1.8184e01614807p-3, 0x1.dccb06c2c5243p-3, 0x1.19e02d5c8a47fp-2, 0x1.4320f76aa1badp-2, 0x1.6a1cd69a1c88p-2, 0x1.8ece556168652p-2, 0x1.b134d27b8ee99p-2, 0x1.d153d08cb7305p-2, 0x1.ef325997d0f9fp-2, 0x1.056d3873053abp-1, 0x1.122c4a5427524p-1, 0x1.1ddda6a7a3356p-1, 0x1.2889649ebec91p-1, 0x1.3238427f37b19p-1, 0x1.3af37e6d69964p-1, 0x1.42c4b47954a4bp-1, 0x1.49b5c0d9ea76p-1, 0x1.4fd0a61c16549p-1, 0x1.551f76dcfcb58p-1, 0x1.59ac429bf7546p-1, 0x1.5d8105b4e165cp-1, 0x1.60a79b583fe8fp-1, 0x1.6329b20dd2be1p-1, 0x1.6510c28575e8dp-1, 0x1.66660798ef17dp-1, 0x1.6732783737df9p-1, 0x1.677ec28d6a1f6p-1, 0x1.6753486740e82p-1, 0x1.66b81c964fa8dp-1, 0x1.65b50132001f2p-1, 0x1.645166af4a1dap-1, 0x1.62946b8eb56d8p-1, 0x1.6084dc9f5c9bdp-1, 0x1.5e2935be71841p-1, 0x1.5b87a2daa9938p-1, 0x1.58a60196f01d9p-1, 0x1.5589e2c684a83p-1, 0x1.52388c7d19badp-1, 0x1.4eb6fc19e4e43p-1, 0x1.4b09e8870a759p-1, 0x1.4735c482b27b4p-1, 0x1.433ec1192f687p-1, 0x1.3f28d0021263dp-1, 0x1.3af7a6224953p-1, 0x1.36aebe03ee129p-1, 0x1.32515a4bfbcc7p-1, 0x1.2de2882e41b97p-1, 0x1.296521d94f1fp-1, 0x1.24dbd0ce8d0d8p-1, 0x1.20491046f4b99p-1, 0x1.1baf2f663cf2dp-1, 0x1.1710537abdef7p-1, 0x1.126e7a1efdb47p-1, 0x1.0dcb7b4dfcb7cp-1, 0x1.09290b62b7fe9p-1, 0x1.0488bd2376b57p-1, 0x1.ffd8069bb744bp-2, 0x1.f6a865c2403f6p-2, 0x1.ed8508d37e838p-2, 0x1.e4702bb584f64p-2, 0x1.db6bd84339d23p-2, 0x1.d279e8cd1c8d4p-2, 0x1.c99c0bfb9aa9fp-2, 0x1.c0d3c68da2896p-2, 0x1.b8227676a0483p-2, 0x1.af89555632cb1p-2, 0x1.a7097ab50e533p-2, 0x1.9ea3de694ec9p-2, 0x1.96595aa5e748bp-2, 0x1.8e2aadf5cb8bp-2, 0x1.86187d34ae80dp-2, 0x1.7e23552752419p-2, 0x1.764bacbd99f4p-2, 0x1.6e91e5bbbf0b5p-2, 0x1.66f64f2a3e74p-2, 0x1.5f79264da984dp-2, 0x1.581a982d3e38bp-2, 0x1.50dac2bed284fp-2, 0x1.49b9b6529ddcfp-2, 0x1.42b776276a4e2p-2, 0x1.3bd3fa47fa4bdp-2, 0x1.350f2fb82b3b8p-2, 0x1.2e68f9d4b14d2p-2, 0x1.27e13302b44fdp-2, 0x1.2177ad7484e39p-2, 0x1.1b2c344aacaedp-2, 0x1.14fe8b8e3a381p-2, 0x1.0eee71871bd95p-2, 0x1.08fb9f28fbf8fp-2, 0x1.0325c8448cca8p-2, 0x1.fad939e2841ep-3, 0x1.ef9f92071dcfp-3, 0x1.e49dea68c5d3ep-3, 0x1.d9d38e8e1b294p-3, 0x1.cf3fc4e889a24p-3, 0x1.c4e1cfa32a4d8p-3, 0x1.bab8ed13e65abp-3, 0x1.b0c45893f03fcp-3, 0x1.a7034adf28507p-3, 0x1.9d74faeaf95a7p-3, 0x1.94189dd3fce48p-3, 0x1.8aed67f3cbfddp-3, 0x1.81f28c9a2afa2p-3, 0x1.79273f49d80f2p-3, 0x1.708ab3431a494p-3, 0x1.681c1c3ad4e2ep-3, 0x1.5fdaae92c050dp-3, 0x1.57c59f8aba692p-3, 0x1.4fdc2581b7e1fp-3, 0x1.481d7853c3ca9p-3, 0x1.4088d124a5d95p-3, 0x1.391d6af03bb06p-3, 0x1.31da827b6b4bcp-3, 0x1.2abf567b1e2c7p-3, 0x1.23cb27c4f168bp-3, 0x1.1cfd39488a59bp-3, 0x1.1654d0571e507p-3, 0x1.0fd134788924fp-3, 0x1.0971afb81dc1bp-3, 0x1.03358ea684a5ep-3, 0x1.fa38401b5b7cbp-4, 0x1.ee496b9043fcbp-4, 0x1.e29d479c994d8p-4, 0x1.d7328245e3f8fp-4, 0x1.cc07ce1970571p-4, 0x1.c11be37022368p-4, 0x1.b66d7fcee049ap-4, 0x1.abfb660ee9013p-4, 0x1.a1c45e6306468p-4, 0x1.97c7363db37abp-4, 0x1.8e02c06f57bccp-4, 0x1.8475d53e9f875p-4, 0x1.7b1f50ee97acbp-4, 0x1.71fe17559596dp-4, 0x1.69110f1f64ee4p-4, 0x1.6057250fb1344p-4, 0x1.57cf4ae65fe69p-4, 0x1.4f78773f4458dp-4, 0x1.4751a5cc135f2p-4, 0x1.3f59d696ead52p-4, 0x1.37900f4e1c633p-4, 0x1.2ff359af4fe55p-4, 0x1.2882c45a82ff4p-4, 0x1.213d629af4449p-4, 0x1.1a224bf974bp-4, 0x1.13309ce728592p-4, 0x1.0c6776101f36bp-4, 0x1.05c5fbf537d5ap-4, 0x1.fe96b06dd7d12p-5, 0x1.f1ed6fba2fb76p-5, 0x1.e58e99b458d6cp-5, 0x1.d97898a23e33p-5, 0x1.cda9dfcc3413p-5, 0x1.c220ea08b66dap-5, 0x1.b6dc39db3b5bfp-5, 0x1.abda59503dd02p-5, 0x1.a119da112e7b8p-5, 0x1.969954c5b1a3p-5, 0x1.8c5769717a872p-5, 0x1.8252bea54fba3p-5, 0x1.788a02af338c5p-5, 0x1.6efbe9d6aca03p-5, 0x1.65a72f7d6ef2fp-5, 0x1.5c8a95792fd89p-5, 0x1.53a4e3be7113fp-5, 0x1.4af4e8da0c24p-5, 0x1.4279795fc87e9p-5, 0x1.3a316fead70fap-5, 0x1.321bad0699d31p-5, 0x1.2a37171f6acf4p-5, 0x1.22829a41483f1p-5, 0x1.1afd2835d76e1p-5, 0x1.13a5b80da896bp-5, 0x1.0c7b465cc578ap-5, 0x1.057cd509ad312p-5, 0x1.fd52d6d5dc7b1p-6, 0x1.f0002956e7641p-6, 0x1.e2ffc6cf5c05bp-6, 0x1.d64fd7eaf705ap-6, 0x1.c9ee94c050fbfp-6, 0x1.bdda3b30fcb14p-6, 0x1.b21114b8222d4p-6, 0x1.a69171881a557p-6, 0x1.9b59ac48f2415p-6, 0x1.906827ced8b17p-6, 0x1.85bb5033f3d61p-6, 0x1.7b51971d40385p-6, 0x1.71297b0d456ap-6, 0x1.674180ba9d426p-6, 0x1.5d9830d112ad3p-6, 0x1.542c2232425c9p-6, 0x1.4afbee139f1d5p-6, 0x1.4206398647bd4p-6, 0x1.3949abcfcdbcfp-6, 0x1.30c4fa1d044bep-6, 0x1.2876d9b8ca9b8p-6, 0x1.205e0ae9e8e54p-6, 0x1.18795328fe71ap-6, 0x1.10c77fa479f82p-6, 0x1.094763fc80a6bp-6, 0x1.01f7d782b6559p-6, 0x1.f5af786be39c5p-7, 0x1.e7cbedc30dd0dp-7, 0x1.da42e750c6e15p-7, 0x1.cd124843f8d6ep-7, 0x1.c038002ea4e4fp-7, 0x1.b3b208c28cd6bp-7, 0x1.a77e6792f5ce5p-7, 0x1.9b9b2cd0ab72p-7, 0x1.9006744f158fdp-7, 0x1.84be60f7d07cap-7, 0x1.79c1252b5c89dp-7, 0x1.6f0cf920e44d9p-7, 0x1.64a0213530444p-7, 0x1.5a78e9a0786c6p-7, 0x1.5095a9c3403d3p-7, 0x1.46f4c11fbbf4p-7, 0x1.3d9497e9b9026p-7, 0x1.3473a22f5192dp-7, 0x1.2b905880b9996p-7, 0x1.22e93f064e0ebp-7, 0x1.1a7ce0b174d7ep-7, 0x1.1249d1729e2ebp-7, 0x1.0a4ead195a702p-7, 0x1.028a1748ffbdap-7, 0x1.f5f576af1053cp-8, 0x1.e73e9852f0ab1p-8, 0x1.d8ed097c4a9e3p-8, 0x1.cafe4d6dd4ac5p-8, 0x1.bd6ff0113e13fp-8, 0x1.b03f9cf75aca2p-8, 0x1.a36af5215756ap-8, 0x1.96efb80675bc5p-8, 0x1.8acbb144bff96p-8, 0x1.7efcafb80e566p-8, 0x1.7380955cc85dp-8, 0x1.68554d23938dcp-8, 0x1.5d78d6a514024p-8, 0x1.52e9364c20a53p-8, 0x1.48a47a0d8eac8p-8, 0x1.3ea8bf057bf0ap-8, 0x1.34f42d0e5d24ep-8, 0x1.2b84f7bf91268p-8, 0x1.2259566805669p-8, 0x1.196f96c01afe6p-8, 0x1.10c607f28c86bp-8, 0x1.085b0580496fcp-8, 0x1.002cf5013b05fp-8, 0x1.f07488a3920d5p-9, 0x1.e102d94ab0ac4p-9, 0x1.d201de04354c7p-9, 0x1.c36eab192ab88p-9, 0x1.b5466a12b9cc9p-9, 0x1.a7865001a7162p-9, 0x1.9a2ba5e94e95cp-9, 0x1.8d33c47af279bp-9, 0x1.809c1347456f9p-9, 0x1.74620cb6ea421p-9, 0x1.68833a8138ef8p-9, 0x1.5cfd3accaef53p-9, 0x1.51cd99bc530d7p-9, 0x1.46f2265b54208p-9, 0x1.3c689c6ec49e9p-9, 0x1.322ecb0ffb256p-9, 0x1.284290fed60eap-9, 0x1.1ea1d7f0dbd87p-9, 0x1.154a99d9d528ap-9, 0x1.0c3adb627f1c4p-9, 0x1.0370ae3e94559p-9, 0x1.f5d45ca35243ep-10, 0x1.e54b0c5ed87cfp-10, 0x1.d541d80c69df5p-10, 0x1.c5b53ce80e01ep-10, 0x1.b6a1d620cb641p-10, 0x1.a8044d7178981p-10, 0x1.99d965434303fp-10, 0x1.8c1df005950f1p-10, 0x1.7ecedb7f5494p-10, 0x1.71e91dc9425a6p-10, 0x1.6569d9765e95fp-10, 0x1.594e1521ad704p-10, 0x1.4d9323db6fedbp-10, 0x1.423649e3fc708p-10, 0x1.3734dd628ff5fp-10, 0x1.2c8c4b36cd9bp-10, 0x1.223a113f4a015p-10, 0x1.183bbb06bbb8bp-10, 0x1.0e8ee27e6ea59p-10, 0x1.0531321d07898p-10, 0x1.f840dc4aa73ep-11, 0x1.e6b48769c5d19p-11, 0x1.d5b95ff454f2ep-11, 0x1.c54b1e789fbabp-11, 0x1.b565b797a6ff9p-11, 0x1.a605378f9d0ebp-11, 0x1.9725b67b2682cp-11, 0x1.88c374c614a7ep-11, 0x1.7adab422a5882p-11, 0x1.6d67e2feb299ap-11, 0x1.60677e92df27dp-11, 0x1.53d621eddbdaep-11, 0x1.47b078fdb6afcp-11, 0x1.3bf377d945accp-11, 0x1.309bfa17de2cbp-11, 0x1.25a6d60304e2ep-11, 0x1.1b1160009d616p-11, 0x1.10d85d163d4c2p-11, 0x1.06f9378b768cp-11, 0x1.fae230c528fc5p-12, 0x1.e87aa1e48371ap-12, 0x1.d6b68dc120f21p-12, 0x1.c590ec85e8efp-12, 0x1.b504e3b14ae87p-12, 0x1.a50dc01b8c7aap-12, 0x1.95a705de50a96p-12, 0x1.86cc3d916a847p-12, 0x1.78791ef7ca756p-12, 0x1.6aa9639a0c2ccp-12, 0x1.5d58cbf0ee6e4p-12, 0x1.5083441a075f7p-12, 0x1.4424c6235cc1p-12, 0x1.38398f759079cp-12, 0x1.2cbdd26c2a765p-12, 0x1.21ae10eb3cdcfp-12, 0x1.1706d97129addp-12, 0x1.0cc4d8e53d391p-12, 0x1.02e4ef5de6683p-12, 0x1.f2c7cfe22a768p-13, 0x1.e07d5c4d795cfp-13, 0x1.cee45d9e0ecd6p-13, 0x1.bdf6df7da2765p-13, 0x1.adaf2465a4a05p-13, 0x1.9e075966f191dp-13, 0x1.8efa269838611p-13, 0x1.808260d7ac0dp-13, 0x1.729b02f088cbep-13, 0x1.653f44ac7ac71p-13, 0x1.586a5a63fea6dp-13, 0x1.4c17d5f794958p-13, 0x1.4043498c68173p-13, 0x1.34e86d441b8f4p-13, 0x1.2a02f2454ea15p-13, 0x1.1f8ec329fb302p-13, 0x1.1587bf0b7f685p-13, 0x1.0bea14137fbacp-13, 0x1.02b1f2e6151d1p-13, 0x1.f3b7836a9ac4ap-14, 0x1.e2c80ba6e22bdp-14, 0x1.d28e40a352357p-14, 0x1.c303e78ead668p-14, 0x1.b42267ecb2657p-14, 0x1.a5e3f87b2815ep-14, 0x1.98427e972b09ep-14, 0x1.8b3833e2243edp-14, 0x1.7ebf8b00597cp-14, 0x1.72d30729257e6p-14, 0x1.676d7831b66fbp-14, 0x1.5c89e7c6aeecbp-14, 0x1.52233a22c5441p-14, 0x1.48348b850398ap-14, 0x1.3eb9e2ac30da3p-14, 0x1.35ac6931f2983p-14, 0x1.2d09c97a8a6a9p-14, 0x1.24cd48200ce68p-14, 0x1.1cf2a7ae745e9p-14, 0x1.15760eec33a84p-14, 0x1.0e53a40b0d88ap-14, 0x1.0787ba17c6aa9p-14, 0x1.010e6bb4147e5p-14, 0x1.f5cc93279d393p-15, 0x1.ea14b45ff7422p-15, 0x1.def00d47b4b05p-15, 0x1.d45852db9faa6p-15, 0x1.ca4724b9f16b8p-15, 0x1.c0b683b89976ep-15, 0x1.b79fa0bc2d673p-15, 0x1.aeff4ddf042fep-15, 0x1.a6cea692fec76p-15, 0x1.9f090ecf5bb09p-15, 0x1.97a90d49fa595p-15, 0x1.90a9dbbbed013p-15, 0x1.8a06f3f79a4d2p-15, 0x1.83bcd27d3b1c3p-15, 0x1.7dc877ee87787p-15, 0x1.7825b4810078dp-15, 0x1.72cfe9e53caf5p-15, 0x1.6dc35cadd2fap-15, 0x1.68fcc82e12fb3p-15, 0x1.64772314a0da8p-15, 0x1.603187644dfdep-15, 0x1.5c2755a5b0d72p-15, 0x1.5855606f4612bp-15, 0x1.54b886b97a57p-15, 0x1.514da09f5995fp-15, 0x1.4e11b8aa54bcbp-15, 0x1.4b0242fa5051dp-15, 0x1.481d08abaa00bp-15, 0x1.455ff6ffbe65fp-15, 0x1.42c8fa607713p-15, 0x1.4055aa30b7043p-15, 0x1.3e04319578146p-15, 0x1.3bd1e6f68e43dp-15, 0x1.39bd34c16a351p-15, 0x1.37c40742ec036p-15, 0x1.35e4ab2ab7427p-15, 0x1.341d7027c587fp-15, 0x1.326c4290a2d55p-15, 0x1.30cfe5a5182bbp-15, 0x1.2f4608d5eba55p-15, 0x1.2dcd7e6a9f7c4p-15, 0x1.2c64f33bcca0dp-15, 0x1.2b0b45765fb83p-15, 0x1.29bf076818356p-15, 0x1.287f21aa135f6p-15, 0x1.274a98820c639p-15, 0x1.26213403225e1p-15, 0x1.24ff5a831660ap-15, 0x1.23e657aeb41f6p-15, 0x1.22d4bdf2c199ep-15, 0x1.21ca928493ac1p-15, 0x1.20c3bd51ca3bcp-15, 0x1.1fc31dc6253bfp-15, 0x1.1ec6444564b9dp-15, 0x1.1dcc248224d6cp-15, 0x1.1cd439aa6c748p-15, 0x1.1bde4c7397f61p-15, 0x1.1aea3b074681p-15, 0x1.19f6404410a41p-15, 0x1.190232d39a94fp-15, 0x1.180da19bf0b5bp-15, 0x1.1717fc9acfd48p-15, 0x1.16217c39e167dp-15, 0x1.1528f1e30359fp-15, 0x1.142e72cdbda43p-15, 0x1.13315e29b148cp-15, 0x1.12316662375eap-15, 0x1.112e36fd86bc3p-15, 0x1.1028146046d6p-15, 0x1.0f1e555278ddbp-15, 0x1.0e0f6333d7dfbp-15, 0x1.0cfde01ccd7cap-15, 0x1.0be723e22a6d9p-15, 0x1.0acbf2287d3c2p-15, 0x1.09ac4bf1d3f31p-15, 0x1.0887952017252p-15, 0x1.075dc6f6ecfe4p-15, 0x1.062ecbdf2577bp-15, 0x1.04fa5817fb08cp-15, 0x1.03c0b8e8c59fcp-15, 0x1.0281bcf86325bp-15, 0x1.013d86905c4ccp-15, 0x1.ffe6f91cc1b5fp-16, 0x1.fd4843f6419bfp-16, 0x1.fa9dc2d118748p-16, 0x1.f7e865c7aece4p-16, 0x1.f529d92d26b38p-16, 0x1.f25c48f60dec5p-16, 0x1.ef859e1fe8a68p-16, 0x1.eca3b9b62e028p-16, 0x1.e9b71b77e9238p-16, 0x1.e6bf52a83ebfep-16, 0x1.e3bcbf817644ap-16, 0x1.e0af9ccdd9217p-16, 0x1.dd96e5dcfbfap-16, 0x1.da73c03c3bbdfp-16, 0x1.d7477c238590cp-16, 0x1.d410940caf1f2p-16, 0x1.d0cf381dd1b77p-16, 0x1.cd83eb19cabc1p-16, 0x1.ca2f5100037fp-16, 0x1.c6d18cc79a417p-16, 0x1.c369f4cbd5ccap-16, 0x1.bff9059af6606p-16, 0x1.bc7fa6e5045dcp-16, 0x1.b8fd3d59a2844p-16, 0x1.b57300d201befp-16, 0x1.b1e048ec875b1p-16, 0x1.ae4830032e7c8p-16, 0x1.aaa30b829e0f3p-16, 0x1.a6f90a1f8aa74p-16, 0x1.a347d7176356dp-16, 0x1.9f8fa6e666bc6p-16, 0x1.9bd08d6280a9cp-16, 0x1.980b5bfa21721p-16, 0x1.943f52212486ap-16, 0x1.906e0b5f639b1p-16, 0x1.8c96d3d52b076p-16, 0x1.88b921017f0a5p-16, 0x1.84d70e0b54d32p-16, 0x1.80efd7624e893p-16, 0x1.7d0436646a60dp-16, 0x1.7913df66a1a07p-16, 0x1.751f56802cfccp-16, 0x1.7126e54c8de2ep-16, 0x1.6d2a9335e9c0cp-16, 0x1.692aeb9bc45b2p-16, 0x1.6527aa88dc1dp-16, 0x1.6122aacd9aba3p-16, 0x1.5d19f4ac39e3p-16, 0x1.590ea7400db4cp-16, 0x1.5501d5ae25129p-16, 0x1.50f313b3889afp-16, 0x1.4ce23b5299183p-16, 0x1.48cd6d6d929acp-16, 0x1.44bc02f38694bp-16, 0x1.40a790e05c39bp-16, 0x1.3c91be1e5302cp-16, 0x1.387c8322920ccp-16, 0x1.34663b7ddb151p-16, 0x1.304ff04384c16p-16, 0x1.2c39d888db0c4p-16, 0x1.282443f7b791dp-16, 0x1.240e54390ec87p-16, 0x1.1ff96a9df59e5p-16, 0x1.1be5ea40060a5p-16, 0x1.17d3a0e07968fp-16, 0x1.13c2a3ea76b4p-16, 0x1.0fb2f8c86cce2p-16, 0x1.0ba4f815da38ep-16, 0x1.079915471dacap-16, 0x1.038edad8fdeb5p-16, 0x1.ff0e8824e9fa8p-17, 0x1.f70459bd2d94ap-17, 0x1.eeff4b77f15fbp-17, 0x1.e700d3734afcp-17, 0x1.df07c037ce1bap-17, 0x1.d7141e7a7979dp-17, 0x1.cf275c3944c58p-17, 0x1.c741ad322b488p-17, 0x1.bf641c853a8acp-17, 0x1.b78d9d2375d37p-17, 0x1.afbe4ec0c2e3dp-17, 0x1.a7f82595e6f76p-17, 0x1.a038e4994c12p-17, 0x1.9880018fc2916p-17, 0x1.90d61b8a8f6c2p-17, 0x1.8932d510c38e8p-17, 0x1.81987fc9acb25p-17, 0x1.7a08150cbf155p-17, 0x1.72805a128c351p-17, 0x1.6b03ac5071984p-17, 0x1.63918f94aa3d2p-17, 0x1.5c29dece99963p-17, 0x1.54cd5d5f50ed3p-17, 0x1.4d7af383fc6d5p-17, 0x1.4634c609bec1bp-17, 0x1.3ef87cf5e2631p-17, 0x1.37c85260a6ca6p-17, 0x1.30a430a0d5033p-17, 0x1.298c8bff07c69p-17, 0x1.227f9392a3859p-17, 0x1.1b7f6f9602fcep-17, 0x1.148ba89a93524p-17, 0x1.0da3c15559a82p-17, 0x1.06ca17e5bb599p-17, 0x1.fff71923ef41ep-18, 0x1.f274e6a992d31p-18, 0x1.e50c8e0de557cp-18, 0x1.d7c1ba8470c6bp-18, 0x1.ca8d20ad8b5b9p-18, 0x1.bd7375e36ab52p-18, 0x1.b0766540f487cp-18, 0x1.a3927c4f39891p-18, 0x1.96cb18e4104bp-18, 0x1.8a217cbba0c36p-18, 0x1.7d92717638de1p-18, 0x1.711d8d515912cp-18, 0x1.64c2f7ab07fa4p-18, 0x1.588550ff7e112p-18, 0x1.4c66a9020f88fp-18, 0x1.4062cda626aa4p-18, 0x1.347aef220f456p-18, 0x1.28afdd0cebb8bp-18, 0x1.1d00f8b9321f9p-18, 0x1.116e187ec94e1p-18, 0x1.05f8c708952p-18, 0x1.f5417b2026617p-19, 0x1.deca9115512b7p-19, 0x1.c88bb8ca2c701p-19, 0x1.b286f6495eb12p-19, 0x1.9cbd3e43cc268p-19, 0x1.872d537f07b5p-19, 0x1.71d6d3cdb8a6cp-19, 0x1.5cbb188bddb3fp-19, 0x1.47dfeaeb1718ap-19, 0x1.332e24698358cp-19, 0x1.1ebfe5a055917p-19, 0x1.0a8e1385343dcp-19, 0x1.ed241499b9739p-20, 0x1.c59490e101d9p-20, 0x1.9e92033b1d717p-20, 0x1.77f559c6d05bbp-20, 0x1.51d1295b177d5p-20, 0x1.2c1d75a901736p-20, 0x1.06d7a65b47b33p-20, 0x1.c406c53414127p-21, 0x1.7b4fd9820ad7p-21, 0x1.337624eb855fep-21, 0x1.d92752e20b81ep-22, 0x1.4cedfcf62a313p-22, 0x1.850c8a37fcdb9p-23, 0x1.cf249bd326c22p-25, -0x1.33de98ec3b3d2p-24, -0x1.a43def3a51d2fp-23, -0x1.557b83b726017p-22, -0x1.d719d61f7c698p-22, -0x1.2b897baa87b28p-21, -0x1.6aa71eead7a66p-21, -0x1.a8ed9c88a9bacp-21, -0x1.e64aa4ed22fc9p-21, -0x1.116c25bde93e1p-20, -0x1.2f47b0f22419bp-20, -0x1.4cbd8387fe52ep-20, -0x1.69b95e016184bp-20, -0x1.8653047193c9p-20, -0x1.a280d10675758p-20, -0x1.be4d8a46dcc2p-20, -0x1.d9b08ceaeb7a3p-20, -0x1.f4a6f8ad06632p-20, -0x1.0797d83710d6fp-19, -0x1.14aba6a694c1bp-19, -0x1.218dd4f4c82d1p-19, -0x1.2e3b351ea6028p-19, -0x1.3ab6a4c47f5a3p-19, -0x1.47026227f6f77p-19, -0x1.531b2aa439759p-19, -0x1.5f01a62411dfbp-19, -0x1.6ab4ef4b211fp-19, -0x1.7638340ca2b91p-19, -0x1.818e2c96f0842p-19, -0x1.8cb42813459b4p-19, -0x1.97a7b8aeeb3bap-19, -0x1.a26be63b22075p-19, -0x1.ad005ca1070fp-19, -0x1.b7693912d83eep-19, -0x1.c1a1278ed3c01p-19, -0x1.cbae26b4f67eap-19, -0x1.d58afea8b61e9p-19, -0x1.df3a954bea528p-19, -0x1.e8bddc85de552p-19, -0x1.f2168625bc1ddp-19, -0x1.fb410391d74c5p-19, -0x1.0220a07aa09ccp-18, -0x1.0689a1cab01a8p-18, -0x1.0add8fd0d9e31p-18, -0x1.0f1cdd0bfa51fp-18, -0x1.134579ddfcb18p-18, -0x1.175b16666995ap-18, -0x1.1b5c7002bdf6ap-18, -0x1.1f4897a12f567p-18, -0x1.23197a807e9b3p-18, -0x1.26e146d64c08bp-18, -0x1.2a9071e481f33p-18, -0x1.2e2b67d8c70ebp-18, -0x1.31b4b9afc07f6p-18, -0x1.3527d5fdccc53p-18, -0x1.3888ed4d087f5p-18, -0x1.3bd60b507a70fp-18, -0x1.3f115505fd932p-18, -0x1.4238a381bf52ep-18, -0x1.4550255caaa4p-18, -0x1.485412bddf7b5p-18, -0x1.4b4534c3d1aebp-18, -0x1.4e236c41a012dp-18, -0x1.50f18069c07ebp-18, -0x1.53ad4fbecd528p-18, -0x1.56597b24b4ceap-18, -0x1.58f3175c7042dp-18, -0x1.5b7ba1cbb1fe8p-18, -0x1.5df30c7b298cp-18, -0x1.605a326700137p-18, -0x1.62b11058bc6d6p-18, -0x1.64f7655e430c1p-18, -0x1.672de7a2529f5p-18, -0x1.69553f33f3c19p-18, -0x1.6b6c5379947p-18, -0x1.6d76fd32f3d86p-18, -0x1.6f69cc3913089p-18, -0x1.71534b3b5bb7ep-18, -0x1.732cfe6bb8f32p-18, -0x1.74f94a7d7876p-18, -0x1.76b5a42c50b58p-18, -0x1.786220ec37edap-18, -0x1.7a0146caa4ae4p-18, -0x1.7b93fde09fdabp-18, -0x1.7d17cddcf969p-18, -0x1.7e9004fcd670fp-18, -0x1.7ff4d07f6cc09p-18, -0x1.814f336b2bcbfp-18, -0x1.829d2bea96a0dp-18, -0x1.83dd3e97a8b0bp-18, -0x1.8511474bc2f52p-18, -0x1.86375d56f140bp-18, -0x1.8751ceceb0043p-18, -0x1.885f5ca24e5e4p-18, -0x1.895feaca4cf4fp-18, -0x1.8a51bdc9f242dp-18, -0x1.8b3f32bab40c7p-18, -0x1.8c19fe4f54b12p-18, -0x1.8cee8c66620b8p-18, -0x1.8db4ef6bb16a7p-18, -0x1.8e6fa74a46af3p-18, -0x1.8f2052d7b134dp-18, -0x1.8fc5893c64798p-18, -0x1.905f7d8a5edbcp-18, -0x1.90ef0bc874973p-18, -0x1.9173575281068p-18, -0x1.91edc368c9918p-18, -0x1.925ef99ad4a1bp-18, -0x1.92c5076d64564p-18, -0x1.93207c3217c68p-18, -0x1.9372b8a5157bfp-18, -0x1.93bb72b72f3f8p-18, -0x1.93fae6463bb7ap-18, -0x1.942fa24a10b6dp-18, -0x1.945dc9ecb8197p-18, -0x1.94818d5245b4cp-18, -0x1.949af41c7babbp-18, -0x1.94acc4882849dp-18, -0x1.94b607b96ed78p-18, -0x1.94b6be4b4d1ffp-18, -0x1.94af0021f6f4ep-18, -0x1.949dc879c6b8dp-18, -0x1.948607a87525fp-18, -0x1.9464e32360bd2p-18, -0x1.943d7713fd5fp-18, -0x1.940d6b191ed2bp-18, -0x1.93d59269fea52p-18, -0x1.939674f7aae84p-18, -0x1.934e0e860569bp-18, -0x1.93013f62ca2d6p-18, -0x1.92ac6ff42a8c4p-18, -0x1.924fe56c91e2p-18, -0x1.91edd0327888ap-18, -0x1.9183e392550aep-18, -0x1.91165203824dp-18, -0x1.909740cb80b61p-18, -0x1.901ed3656c5f8p-18, -0x1.8f9bc43d9c333p-18, -0x1.8f111b6be1f3bp-18, -0x1.8e807a32f8da8p-18, -0x1.8deab43fbe34bp-18, -0x1.8d4ea1f40200cp-18, -0x1.8cad279d40426p-18, -0x1.8c06150846f9p-18, -0x1.8b59dc41627bbp-18, -0x1.8aa6ccb4f48efp-18, -0x1.89ee4d7317e7cp-18, -0x1.8931d3fa7e3ddp-18, -0x1.886fb050a7393p-18, -0x1.87a88cac3017ap-18, -0x1.86dc92106fd4p-18, -0x1.860a94fe1d1c2p-18, -0x1.85357b2ae20d4p-18, -0x1.845aa28e35132p-18, -0x1.837c56173bce7p-18, -0x1.8298e49aba55dp-18, -0x1.81b0d35d11cdep-18, -0x1.80c452ad83346p-18, -0x1.7fd4896654ba4p-18, -0x1.7ee005eabe12fp-18, -0x1.7de6b576847b3p-18, -0x1.7cea84809bf95p-18, -0x1.7beab1ef8845dp-18, -0x1.7ae99bbdd7b14p-18, -0x1.79df7eff775d3p-18, -0x1.78d41e1c7f80fp-18, -0x1.77c4925ed40d5p-18, -0x1.76b29cc72b178p-18, -0x1.759cabaadc0fbp-18, -0x1.748513416689bp-18, -0x1.73682b67db5f1p-18, -0x1.7249291546afdp-18, -0x1.712636f47d3c1p-18, -0x1.7001218de1994p-18, -0x1.6eda4bbc84b51p-18, -0x1.6daf822b84165p-18, -0x1.6c8192d787f0fp-18, -0x1.6b50292b913a3p-18, -0x1.6a1dae3c4750dp-18, -0x1.68e85862f82a4p-18, -0x1.67b1625a66407p-18, -0x1.6676b3cb12ea6p-18, -0x1.653a23186e881p-18, -0x1.63fb4ea03dd88p-18, -0x1.62ba4267012c3p-18, -0x1.6177054899df4p-18, -0x1.6031821fcd156p-18, -0x1.5eeacb1adb94p-18, -0x1.5da143a0aa245p-18, -0x1.5c5667191402cp-18, -0x1.5b0930c5a44fep-18, -0x1.59bacc08ef5b6p-18, -0x1.586a986881ce6p-18, -0x1.5718a60ba009dp-18, -0x1.55c5490e86a8ap-18, -0x1.547035b968d3p-18, -0x1.531944b731edep-18, -0x1.51c1597189feap-18, -0x1.5067d872da26cp-18, -0x1.4f0d50ea93ae9p-18, -0x1.4db17f0965a5bp-18, -0x1.4c54490472609p-18, -0x1.4af67e413ac2p-18, -0x1.4996593c93f18p-18, -0x1.4836356014181p-18, -0x1.46d463bf7dafbp-18, -0x1.457290b008468p-18, -0x1.440f2a3f2813fp-18, -0x1.42aa5e70ba47dp-18, -0x1.41461c4b61535p-18, -0x1.3fdf5bb2b1747p-18, -0x1.3e792280fbf22p-18, -0x1.3d11985bff54fp-18, -0x1.3baa2a585253cp-18, -0x1.3a42023e037f6p-18, -0x1.38d8abeb26903p-18, -0x1.376f04832ef49p-18, -0x1.3604f2c7d1b82p-18, -0x1.349a73a5e2966p-18, -0x1.3332cc06f073bp-18, -0x1.31c42c330f737p-18, -0x1.3058acb4e9a66p-18, -0x1.2eecbc8e05cbep-18, -0x1.2d803074db006p-18, -0x1.2c143a2cdd7a8p-18, -0x1.2aa7fc0eacb0bp-18, -0x1.293b2d21c8ea9p-18, -0x1.27cdbf1dba571p-18, -0x1.26617383a3c0ep-18, -0x1.24f436b139cd9p-18, -0x1.2387299a8d79ep-18, -0x1.221adaabba1a4p-18, -0x1.20ae00f9f2d5fp-18, -0x1.1f40ee22e0a87p-18, -0x1.1dd41045ef6acp-18, -0x1.1c67aa96d6534p-18, -0x1.1afbc1e951356p-18, -0x1.198f9cc3e089bp-18, -0x1.18231d9ba266bp-18, -0x1.16b79e8805d2ap-18, -0x1.154c903e55722p-18, -0x1.13e19a38bee92p-18, -0x1.127656dbf4a5cp-18, -0x1.110bfee062ddep-18, -0x1.0fa24ac0852e5p-18, -0x1.0e38dd53f1cbbp-18, -0x1.0ccf8f8cf1e01p-18, -0x1.0b674843b6736p-18, -0x1.09fec1ec32fbap-18, -0x1.08972ec3674efp-18, -0x1.07301e8ddfe5bp-18, -0x1.05c9d7c11efc1p-18, -0x1.0463555fe560bp-18, -0x1.02ff69eee899p-18, -0x1.01980c4844fd3p-18, -0x1.003550d3a973bp-18, -0x1.fda2ba93daf81p-19, -0x1.fade3f5099795p-19, -0x1.f819a96146c1dp-19, -0x1.f556aa673af62p-19, -0x1.f2954de49df89p-19, -0x1.efd4baed5e7e2p-19, -0x1.ed1567acb2515p-19, -0x1.ea59dcd6dcf2fp-19, -0x1.e79ede86e8e46p-19, -0x1.e4e60063bc7ebp-19, -0x1.e22e8bffbdf39p-19, -0x1.df77169cdca9ap-19, -0x1.dcc2ec57a6b4ap-19, -0x1.da10aaf18f79p-19, -0x1.d760036ff7a8p-19, -0x1.d4b162a88beb9p-19, -0x1.d20495269624fp-19, -0x1.cf5881640b00ep-19, -0x1.ccae960b42d3fp-19, -0x1.ca074b4ea5634p-19, -0x1.c7624d6ca4baap-19, -0x1.c4bef724ceac7p-19, -0x1.c21dcb21322b7p-19, -0x1.bf7e18d14bf2ep-19, -0x1.bce0ceffc542cp-19, -0x1.ba45b5efed0b1p-19, -0x1.b7ac753c5d1b7p-19, -0x1.b515f4615b72ep-19, -0x1.b2805bce81b23p-19, -0x1.afee0e5e7a37bp-19, -0x1.ad5d83db55d93p-19, -0x1.aacee97686b01p-19, -0x1.a844267034b25p-19, -0x1.a5b923864c43cp-19, -0x1.a330befe0ba01p-19, -0x1.a0ac359872d05p-19, -0x1.9e2949457e888p-19, -0x1.9ba83b32b722bp-19, -0x1.99290884436aep-19, -0x1.96aca326c3aaep-19, -0x1.9433c8f411f7bp-19, -0x1.91bc82ec9088p-19, -0x1.8f46f60b688c1p-19, -0x1.8cd820ab88e11p-19, -0x1.8a642796e18f9p-19, -0x1.87f7bbcd7509ap-19, -0x1.8587c6f35b536p-19, -0x1.8321c3757a902p-19, -0x1.80bb55f88044cp-19, -0x1.7e57ebca7a7c1p-19, -0x1.7bf683b38b63cp-19, -0x1.7996d0f03cd88p-19, -0x1.773a7fc66859dp-19, -0x1.74e17f53a395fp-19, -0x1.72895ff02a7p-19, -0x1.7032e1b7a35bcp-19, -0x1.6de11f850cccap-19, -0x1.6b916431f89dcp-19, -0x1.6944114b3df96p-19, -0x1.66f91edb96f5dp-19, -0x1.64b13def0dc02p-19, -0x1.626abd8d0f5bdp-19, -0x1.6024bf0a19a31p-19, -0x1.5de777717815p-19, -0x1.5ba94b63f95dfp-19, -0x1.596d29f3c974cp-19, -0x1.5734762367fedp-19, -0x1.54fe521bb97f4p-19, -0x1.52ca9243392f9p-19, -0x1.509db5d3b5d61p-19, -0x1.4e6a7073c5b19p-19, -0x1.4c3ebbe3d1dedp-19, -0x1.4a151ab95202p-19, -0x1.47ec806005f3fp-19, -0x1.45cabd3a20da9p-19, -0x1.43a89329fffd2p-19, -0x1.418a732c14448p-19, -0x1.3f6d726b08eadp-19, -0x1.3d53e5a8ce9c5p-19, -0x1.3b3ca4f36a5f3p-19, -0x1.3928cebfdc2fcp-19, -0x1.3716a61c05cfdp-19, -0x1.35079f6cc97a3p-19, -0x1.32fb152d00092p-19, -0x1.30f148481056ep-19, -0x1.2ee8ce168292cp-19, -0x1.2ce4262a9158bp-19, -0x1.2ae29e6fb9be9p-19, -0x1.28e3606a5e88cp-19, -0x1.26e7c1f0c3e16p-19, -0x1.24eb4c8ce4b68p-19, -0x1.22f42d39cd245p-19, -0x1.20feb76dfb478p-19, -0x1.1f0c13be3cd32p-19, -0x1.1d1bd320daeb2p-19, -0x1.1b2f48c34b287p-19, -0x1.194416b6446a2p-19, -0x1.175ba241fc045p-19, -0x1.157687dd7de5cp-19, -0x1.13936b06ddba4p-19, -0x1.11b2dc349881fp-19, -0x1.0fd47e4ef2dd7p-19, -0x1.0dfa0b8b4d117p-19, -0x1.0c20c172cae27p-19, -0x1.0a4a95a24421ep-19, -0x1.08770b7d80334p-19, -0x1.06a69650043bdp-19, -0x1.04d978fa53823p-19, -0x1.030bbace57eaap-19, -0x1.01419417b613dp-19, -0x1.fef5edaf02c3dp-20, -0x1.fb6d956a59ac6p-20, -0x1.f7ecd9a53914dp-20, -0x1.f46c82290f1a1p-20, -0x1.f0f180259b2bep-20, -0x1.ed7b83853453p-20, -0x1.ea0c3cb2821b9p-20, -0x1.e6a2aa5c4c541p-20, -0x1.e33ccca8cb348p-20, -0x1.dfd9890a2faeap-20, -0x1.dc7fb680973ecp-20, -0x1.d928d969d5107p-20, -0x1.d5d6a79cb2391p-20, -0x1.d28a7001e371bp-20, -0x1.cf424ff0432d3p-20, -0x1.cbfd40e3240dfp-20, -0x1.c8beb794bf113p-20, -0x1.c5865331b0a0ep-20, -0x1.c251ab8777e5ap-20, -0x1.bf212ac38e9d4p-20, -0x1.bbf5c3c0c7a9cp-20, -0x1.b8d324aaa4c3cp-20, -0x1.b5b0dd2510fc4p-20, -0x1.b290fa186d5d6p-20, -0x1.af79839a91e4dp-20, -0x1.ac65571b6abfep-20, -0x1.a9569ed98cdf7p-20, -0x1.a64bef2efb16dp-20, -0x1.a347dbee82297p-20, -0x1.a04708f45129p-20, -0x1.9d4ab6409f622p-20, -0x1.9a533c2042fcap-20, -0x1.97606b8e59d7ap-20, -0x1.947227091eafap-20, -0x1.91887ac3dc1c5p-20, -0x1.8ea41bdb5e1c7p-20, -0x1.8bc30fca77949p-20, -0x1.88e1cc90688afp-20, -0x1.860ec3ac3d755p-20, -0x1.833cce5bf007bp-20, -0x1.806eca1af9e0ep-20, -0x1.7da48363fba68p-20, -0x1.7ade313084ap-20, -0x1.781cbd326bd58p-20, -0x1.75603ad98b48bp-20, -0x1.72a7e08cec376p-20, -0x1.6ff3d61f399b3p-20, -0x1.6d43f8a2e7bbfp-20, -0x1.6a98ca74445bbp-20, -0x1.67f19c2035751p-20, -0x1.654f2c18f75d9p-20, -0x1.62b0fc1d21f22p-20, -0x1.6015583bdb314p-20, -0x1.5d8000052c336p-20, -0x1.5aee68b247db3p-20, -0x1.5860e1f2c3016p-20, -0x1.55d75da54d54fp-20, -0x1.5350e385eff48p-20, -0x1.50d24222753a3p-20, -0x1.4e55608e8a146p-20, -0x1.4bdb521e850edp-20, -0x1.496697fb3fbfap-20, -0x1.46f5f2b3f366ep-20, -0x1.44894e09f7db3p-20, -0x1.4220b00066e1fp-20, -0x1.3fbca68012feep-20, -0x1.3d5c9847831f1p-20, -0x1.3aff26e27b0c9p-20, -0x1.38a692b159d77p-20, -0x1.36520f9580262p-20, -0x1.34007a0215602p-20, -0x1.31b3c49dcb13p-20, -0x1.2f6b048997f9fp-20, -0x1.2d270a19ffaa3p-20, -0x1.2ae4dc8337ac8p-20, -0x1.28a77c5ba87c7p-20, -0x1.266c9b4ef6e05p-20, -0x1.2437c46861ccp-20, -0x1.22066d4b3b935p-20, -0x1.1fd8200caf6f1p-20, -0x1.1dad5b39ea429p-20, -0x1.1b85a780b9e78p-20, -0x1.196244424c8c9p-20, -0x1.17432b132f3b5p-20, -0x1.1527d4ef86873p-20, -0x1.130fb55a47288p-20, -0x1.10fa82c5caf27p-20, -0x1.0ee9b4b8089d3p-20, -0x1.0cdc2089e3a58p-20, -0x1.0ad2df916e90cp-20, -0x1.08cc4cf2d74bfp-20, -0x1.06c96cc8e1c38p-20, -0x1.04ca2e09f53aep-20, -0x1.02ce7899cc683p-20, -0x1.00d620d2d1d79p-20, -0x1.fdc27321960bp-21, -0x1.f9df875dcf6dp-21, -0x1.f60429d69d5bdp-21, -0x1.f22eca1e7844p-21, -0x1.ee608091b3a2dp-21, -0x1.eaa01f8845f36p-21, -0x1.e6d76f86f71e1p-21, -0x1.e31daebb0e5a9p-21, -0x1.df680899f8d22p-21, -0x1.dbbb6dd761957p-21, -0x1.d815254dcc1f8p-21, -0x1.d475149fb3349p-21, -0x1.d0da6ad5cd34cp-21, -0x1.cd47620fa117ep-21, -0x1.c9bafc639ca2ep-21, -0x1.c633dbf382d3ep-21, -0x1.c2b3e2e6d4c26p-21, -0x1.bf393db6e8ef6p-21, -0x1.bbc5a8eed0728p-21, -0x1.b8582fbfed1adp-21, -0x1.b4f0ee2dad842p-21, -0x1.b18fd9b77dc28p-21, -0x1.ae342214c0806p-21, -0x1.aadf3b193c7ebp-21, -0x1.a79021b8bf43dp-21, -0x1.a44772c2d1589p-21, -0x1.a103f9c7065e6p-21, -0x1.9dc5ca7bdf246p-21, -0x1.9a8ff2f6b2ba5p-21, -0x1.975eb0c8f1fdcp-21, -0x1.94329f5ce75a2p-21, -0x1.910bd6a9efe82p-21, -0x1.8dec1d798fdcfp-21, -0x1.8ad20d51cb225p-21, -0x1.87bd79fbd48b3p-21, -0x1.84ae4872cbd5cp-21, -0x1.81a4c2cebad8ap-21, -0x1.7ea0b6928980ep-21, -0x1.7ba23f3114b67p-21, -0x1.78a98c23fd8e5p-21, -0x1.75b66b6b425a8p-21, -0x1.72c7956f4281cp-21, -0x1.6fdfe2e2cdb0ep-21, -0x1.6cfbb9b09d083p-21, -0x1.6a2073ebaae54p-21, -0x1.674c0de8da9efp-21, -0x1.6473002d47d08p-21, -0x1.61a5632bfa815p-21, -0x1.5edcd674b21a2p-21, -0x1.5c19d579f542ep-21, -0x1.595a5eec28916p-21, -0x1.56a177687c419p-21, -0x1.53ed574b94d83p-21, -0x1.513e2f9433c0bp-21, -0x1.4e934e7ed46fcp-21, -0x1.4befa44ae46e8p-21, -0x1.494eef918feefp-21, -0x1.46b453ab2fddbp-21, -0x1.441ce08f1c86ap-21, -0x1.4184bda490b17p-21, -0x1.3eff17e46a9d8p-21, -0x1.3c772225d4cadp-21, -0x1.39f467659067cp-21, -0x1.3776e9256c16ep-21, -0x1.34fc61e91eda1p-21, -0x1.3286dddd70537p-21, -0x1.30177864df704p-21, -0x1.2dababb35e32bp-21, -0x1.2b44a459697ccp-21, -0x1.28e19867f6876p-21, -0x1.2683c2a204257p-21, -0x1.2429f6ac04e54p-21, -0x1.21d50aad2a267p-21, -0x1.1f848e8ffe5e5p-21, -0x1.1d39468d2e43bp-21, -0x1.1af0cadeb8b8ap-21, -0x1.18ad7875e5496p-21, -0x1.166e840293721p-21, -0x1.143372afc5467p-21, -0x1.11fbee42d99b9p-21, -0x1.0fca4b930b34cp-21, -0x1.0d9d6a730d19bp-21, -0x1.0b72fa1290b61p-21, -0x1.094d86f9cf091p-21, -0x1.072b10c79c03p-21, -0x1.050e13e4e9b6fp-21, -0x1.02f9dcc6af391p-21, -0x1.00df4dbadd72ap-21, -0x1.fd9c1a11bb3f8p-22, -0x1.f9817e39bea44p-22, -0x1.f56eca27e4a32p-22, -0x1.f163e0e77eb26p-22, -0x1.ed60ffc242be3p-22, -0x1.e96618c4581fcp-22, -0x1.e571d9217ff9ep-22, -0x1.e1859aa12ad7ep-22, -0x1.dda25495615aap-22, -0x1.d9c5d8f3ba18dp-22, -0x1.d5f0319d9b71fp-22, -0x1.d2213db69d317p-22, -0x1.ce5c46d5e9c5ap-22, -0x1.ca9e66ef1af3bp-22, -0x1.c6e6d637e8849p-22, -0x1.c334ee7d3094bp-22, -0x1.bf8a813a22936p-22, -0x1.bbebc1202266cp-22, -0x1.b84fb641d1957p-22, -0x1.b4bbb8f71027fp-22, -0x1.b12eba7e94e8bp-22, -0x1.ada927858fa0ap-22, -0x1.aa2a7be6ec2e5p-22, -0x1.a6b25e643719p-22, -0x1.a340fec0a6954p-22, -0x1.9fd68e67369bp-22, -0x1.9c736cf4e7dcdp-22, -0x1.991603a1e39aap-22, -0x1.95bfa53bf4d68p-22, -0x1.926fda5f41f63p-22, -0x1.8f264c340c10ep-22, }}, 
      {{-0x1.806bcbd72fda9p-8, -0x1.a012401374182p-7, -0x1.602a0a7343dd9p-6, -0x1.03ba20fe5edd5p-5, -0x1.5e759be94e99ep-5, -0x1.bc10ff7f39517p-5, -0x1.0c61f90cb917bp-4, -0x1.38a3ca60c2c63p-4, -0x1.616e522d40ff4p-4, -0x1.85a4df45625a2p-4, -0x1.a4699616ef15ep-4, -0x1.bd1825368c10bp-4, -0x1.cf3f6b073ac6dp-4, -0x1.da9ae7760fa17p-4, -0x1.df0c4a613f129p-4, -0x1.dc9560eeb239fp-4, -0x1.d352763c21275p-4, -0x1.c37554278fbd9p-4, -0x1.ad40cc9c4fb2dp-4, -0x1.9104d90b1136fp-4, -0x1.6f1b4ad47c88ap-4, -0x1.47e4dae79eb7p-4, -0x1.1bc6d31631e64p-4, -0x1.d651f2fe4588p-5, -0x1.6ce7e51e79fd9p-5, -0x1.f83f221e79b78p-6, -0x1.098ba8a4e87c6p-6, -0x1.e89d75bb305eep-11, 0x1.ea24e002d8b67p-7, 0x1.0103673961a6ep-5, 0x1.8b1aa88e2fb2cp-5, 0x1.0c132f3eb3898p-4, 0x1.53c39b781ede7p-4, 0x1.9c53ab07ce6c8p-4, 0x1.e57d2f4371101p-4, 0x1.177f5bac102e9p-3, 0x1.3c4dbe8d08178p-3, 0x1.610da4adf0f34p-3, 0x1.85a52506f7e1bp-3, 0x1.a9fc7b6dbee0cp-3, 0x1.cdfdf2630c71cp-3, 0x1.f195c5b1c9eaep-3, 0x1.0a5906a863dbcp-2, 0x1.1ba152a21e3dp-2, 0x1.2c9c89f13aa34p-2, 0x1.3d44386a16dd1p-2, 0x1.4d92a664f16dbp-2, 0x1.5d82cc5d2d2e1p-2, 0x1.6d1048154ea6ap-2, 0x1.7c3750c78c9bbp-2, 0x1.8af4acfddce32p-2, 0x1.9945a7eff510ep-2, 0x1.a728092e812dcp-2, 0x1.b49a090293e56p-2, 0x1.c19a4ae055197p-2, 0x1.ce27d3760562fp-2, 0x1.da4201e6dba9bp-2, 0x1.e5e88894d8e81p-2, 0x1.f11b666aec0fep-2, 0x1.fbdae0c0fcf4ap-2, 0x1.0313be920b3fdp-1, 0x1.0800fdf50c467p-1, 0x1.0cb5a95e49ee6p-1, 0x1.113253cad50dp-1, 0x1.1577a5f70f9e8p-1, 0x1.19865c0bc6514p-1, 0x1.1d5f43c0f2f81p-1, 0x1.210339e8e5863p-1, 0x1.247329092c176p-1, 0x1.27b007587a798p-1, 0x1.2abad52b77197p-1, 0x1.2d949b77d73e7p-1, 0x1.303e6a80be0ecp-1, 0x1.32b957c6b9051p-1, 0x1.35067ec163408p-1, 0x1.3726fcf02ed33p-1, 0x1.391bf33e0a7b1p-1, 0x1.3ae68377bde65p-1, 0x1.3c87d08958e59p-1, 0x1.3e00fd2015a69p-1, 0x1.3f532a5684ed6p-1, 0x1.407f78329381fp-1, 0x1.4187042dbd8f9p-1, 0x1.426ae977a345dp-1, 0x1.432c3f28b371bp-1, 0x1.43cc1925d62e7p-1, 0x1.444b870079ae4p-1, 0x1.44ab940107fa2p-1, 0x1.44ed468fc5fd8p-1, 0x1.4511a01acc0b3p-1, 0x1.45199c7b32e3ap-1, 0x1.45063323ff61ep-1, 0x1.44d8553767956p-1, 0x1.4490ee86be41ap-1, 0x1.4430e518c939p-1, 0x1.43b9195e4b77cp-1, 0x1.432a658c73685p-1, 0x1.42859f2c47b5cp-1, 0x1.41cb94a1177a1p-1, 0x1.40fd0fa82b491p-1, 0x1.401ad3e45541cp-1, 0x1.3f259f9bae9f7p-1, 0x1.3e1e2b72153a4p-1, 0x1.3d052a1ae2f35p-1, 0x1.3bdb4a67babe8p-1, 0x1.3aa1348feca51p-1, 0x1.39578c0483401p-1, 0x1.37fef0438f4b7p-1, 0x1.3697f9f5cbbefp-1, 0x1.35233ec18cdf3p-1, 0x1.33a14eec75a98p-1, 0x1.3212b65f8d319p-1, 0x1.3077fca5ff54fp-1, 0x1.2ed1a55422472p-1, 0x1.2d202f807ff42p-1, 0x1.2b641684a85b7p-1, 0x1.299dd1eee11c2p-1, 0x1.27cdd5cb80041p-1, 0x1.25f492116c12bp-1, 0x1.24127363f70d3p-1, 0x1.2227e41641d6ap-1, 0x1.203549c14d4dp-1, 0x1.1e3b07674f6e9p-1, 0x1.1c397d9f708e2p-1, 0x1.1a3109982c48ep-1, 0x1.182205cfd79f7p-1, 0x1.160cca19175a5p-1, 0x1.13f1abcd65d05p-1, 0x1.11d0fd97233bcp-1, 0x1.0fab0fe3bf688p-1, 0x1.0d8030bafe274p-1, 0x1.0b50ac029e26ap-1, 0x1.091ccb68f24dbp-1, 0x1.06e4d68c19d07p-1, 0x1.04a9130e5037dp-1, 0x1.0269c4b6a8fa5p-1, 0x1.00272d5dfbe55p-1, 0x1.fbc31a3ecedf1p-2, 0x1.f7324453d3a44p-2, 0x1.f29c53541da47p-2, 0x1.ee01bcae78eedp-2, 0x1.e962f34a38dfdp-2, 0x1.e4c067a805c2fp-2, 0x1.e01a86ff4fc82p-2, 0x1.db71bb51f9052p-2, 0x1.d6c66c7ae337p-2, 0x1.d218ff79cf8f4p-2, 0x1.cd69d6bb21c86p-2, 0x1.c8b9522cf9d41p-2, 0x1.c407d05cd0802p-2, 0x1.bf55a9dedee3fp-2, 0x1.baa3398462888p-2, 0x1.b5f0d623134aap-2, 0x1.b13ed3ecf2d28p-2, 0x1.ac8d8504f7f36p-2, 0x1.a7dd3a4c23e97p-2, 0x1.a32e42258e51p-2, 0x1.9e80e82e1fe38p-2, 0x1.99d577b2649c4p-2, 0x1.952c39172d831p-2, 0x1.9085730051138p-2, 0x1.8be16a670a5fcp-2, 0x1.874062830a8d8p-2, 0x1.82a29c9bebe3bp-2, 0x1.7e0858fd1fe4cp-2, 0x1.7971d40e9ad43p-2, 0x1.74df4bae1ef9dp-2, 0x1.7050faa3a8049p-2, 0x1.6bc718265e795p-2, 0x1.6741dd7c1641bp-2, 0x1.62c17feacf74dp-2, 0x1.5e4633de215b9p-2, 0x1.59d02bf920279p-2, 0x1.555f99c62c5bfp-2, 0x1.50f4acadf673ep-2, 0x1.4c8f93527959cp-2, 0x1.48307a6b5a71bp-2, 0x1.43d78d6c9cb96p-2, 0x1.3f84f64803a9p-2, 0x1.3b38dda5cd8d5p-2, 0x1.36f36ab10553p-2, 0x1.32b4c3348d6cdp-2, 0x1.2e7d0bb2ef84ap-2, 0x1.2a4c674d0167ep-2, 0x1.2622f7c56b11bp-2, 0x1.2200ddab874fap-2, 0x1.1de63831ef458p-2, 0x1.19d3255f1804cp-2, 0x1.15c7c1c063379p-2, 0x1.11c428d62a00bp-2, 0x1.0dc874ea62e29p-2, 0x1.09d4bef217c77p-2, 0x1.05e91ebd02c07p-2, 0x1.0205ab1070f6fp-2, 0x1.fc54f29032079p-3, 0x1.f4af3cbe0fc83p-3, 0x1.ed1a581e327c1p-3, 0x1.e5966be0045d7p-3, 0x1.de23999115ae4p-3, 0x1.d6c1fff56411ap-3, 0x1.cf71be10f3ce4p-3, 0x1.c832ef48a58cfp-3, 0x1.c105ad59ab197p-3, 0x1.b9ea0f8600e06p-3, 0x1.b2e02d392ce7p-3, 0x1.abe8189375c7dp-3, 0x1.a501e3a602f44p-3, 0x1.9e2d9f3325f06p-3, 0x1.976b58fe5acebp-3, 0x1.90bb1edc5b828p-3, 0x1.8a1cf82a86dd6p-3, 0x1.8390f1ee0d8aap-3, 0x1.7d170fe4aa51ap-3, 0x1.76af59edb4ffp-3, 0x1.7059d34baa867p-3, 0x1.6a167e6e86981p-3, 0x1.63e55c33d4a6cp-3, 0x1.5dc66c879f0cp-3, 0x1.57b9ab9dd8ca6p-3, 0x1.51bf1777e5c86p-3, 0x1.4bd6aa9b52888p-3, 0x1.46005e99da79dp-3, 0x1.403c2c568b779p-3, 0x1.3a8a0936eb346p-3, 0x1.34e9ec7c944acp-3, 0x1.2f5bca0ba4693p-3, 0x1.29df953455197p-3, 0x1.2475400d0be69p-3, 0x1.1f1cbb702a0dp-3, 0x1.19d5f747f7729p-3, 0x1.14a0e252d42bbp-3, 0x1.0f7d6a5b2cebp-3, 0x1.0a6b7bf09282cp-3, 0x1.056b02cc81b61p-3, 0x1.007be9c55addfp-3, 0x1.f73c360e72929p-4, 0x1.eda2fd1bdf551p-4, 0x1.e42bfaec19d2fp-4, 0x1.dad6fd49b0dep-4, 0x1.d1a3d143a4edap-4, 0x1.c892423f70237p-4, 0x1.bfa21a43c38e8p-4, 0x1.b6d321c22d824p-4, 0x1.ae2520007cf6fp-4, 0x1.a597dad72f12dp-4, 0x1.9d2b16d63f4c7p-4, 0x1.94de97a00bb8dp-4, 0x1.8cb21f2d84e55p-4, 0x1.84a56ef02006cp-4, 0x1.7cb846f4152ap-4, 0x1.74ea66723cbb2p-4, 0x1.6d3b8a8432ce9p-4, 0x1.65ab71afefb47p-4, 0x1.5e39d929298b8p-4, 0x1.56e67c310e59ap-4, 0x1.4fb11485c060bp-4, 0x1.48995ca316dfap-4, 0x1.419f0ed41ea1bp-4, 0x1.3ac1e3ed53c5dp-4, 0x1.34019412a492fp-4, 0x1.2d5dd68996068p-4, 0x1.26d664f154c0cp-4, 0x1.206af3d7f1a85p-4, 0x1.1a1b3a5edfc46p-4, 0x1.13e6eefdc3fe8p-4, 0x1.0dcdc79474b45p-4, 0x1.07cf79a3e6346p-4, 0x1.01ebba41aa323p-4, 0x1.f8447cf25428bp-5, 0x1.ece5763c9ccbep-5, 0x1.e1b9c95394efp-5, 0x1.d6c0dfa0f06ecp-5, 0x1.cbfa221596e83p-5, 0x1.c164fad5835b9p-5, 0x1.b700d2ae5f6bep-5, 0x1.accd12a167abbp-5, 0x1.a2c9224adb07fp-5, 0x1.98f466ed14197p-5, 0x1.8f4e53816d929p-5, 0x1.85d646ac9a15fp-5, 0x1.7c8bada4f5a76p-5, 0x1.736df42af0483p-5, 0x1.6a7c85736de01p-5, 0x1.61b6cd72a3affp-5, 0x1.591c36cab4744p-5, 0x1.50ac2c5088b8fp-5, 0x1.48661766e0607p-5, 0x1.404965c51aa68p-5, 0x1.38558158532efp-5, 0x1.3089d9ec3dabcp-5, 0x1.28e5e0c8b1351p-5, 0x1.216907e8747ap-5, 0x1.1a12c2643a52ap-5, 0x1.12e28207b93edp-5, 0x1.0bd7b758bdfcap-5, 0x1.04f1d20844667p-5, 0x1.fc608409d09d5p-6, 0x1.ef24f0f179249p-6, 0x1.e22fd39d55971p-6, 0x1.d5801eb630f32p-6, 0x1.c914ca25717b8p-6, 0x1.bcecd1cd3f36p-6, 0x1.b10730f8897f8p-6, 0x1.a562dfd6ece47p-6, 0x1.99fed04c8137cp-6, 0x1.8ed9f18dbd412p-6, 0x1.83f330967bb3dp-6, 0x1.79497d977a5e5p-6, 0x1.6edbde81d2d1dp-6, 0x1.64a94f86f5895p-6, 0x1.5ab0e7014bacep-6, 0x1.50f1bd5874a8p-6, 0x1.476aeba573aa3p-6, 0x1.3e1b8736fd08bp-6, 0x1.35029c30afb91p-6, 0x1.2c1f2febe41f8p-6, 0x1.237041506933p-6, 0x1.1af4d33ac3d9cp-6, 0x1.12abf093c3d33p-6, 0x1.0a94b2071c10dp-6, 0x1.02ae383084f03p-6, 0x1.f5ef7a564db7fp-7, 0x1.e6e0f36193304p-7, 0x1.d82f50082de91p-7, 0x1.c9d8f5d6a94b6p-7, 0x1.bbdc3737b6c35p-7, 0x1.ae374e74b2f39p-7, 0x1.a0e869ac222e7p-7, 0x1.93edbb3eeceabp-7, 0x1.874582c1e7543p-7, 0x1.7aee1ce3628e1p-7, 0x1.6ee5ff4dc8303p-7, 0x1.632bcb978c1ep-7, 0x1.57be34b1cc643p-7, 0x1.4c9bfac134794p-7, 0x1.41c3cde5b9ee9p-7, 0x1.37344a03203f5p-7, 0x1.2cebf23fabcc9p-7, 0x1.22e9399c205cap-7, 0x1.192a877d3f1b8p-7, 0x1.0fae46ba81c36p-7, 0x1.0672eb5ee8746p-7, 0x1.faee045afff64p-8, 0x1.e9727831d7c94p-8, 0x1.d870e9596097p-8, 0x1.c7e749fce47b9p-8, 0x1.b7d39c13b863cp-8, 0x1.a833c6ae14cf8p-8, 0x1.9905843db910bp-8, 0x1.8a46686d11217p-8, 0x1.7bf3f01a766d9p-8, 0x1.6e0b7faf6cb15p-8, 0x1.608a5c9b1b9cfp-8, 0x1.536dc28187792p-8, 0x1.46b2fbebb791bp-8, 0x1.3a57a67844c5ep-8, 0x1.2e59bebfc0de7p-8, 0x1.22b79a3925f02p-8, 0x1.176face9a091dp-8, 0x1.0c805891cf8d9p-8, 0x1.01e7da0752a48p-8, 0x1.ef48bac98c51fp-9, 0x1.db68189a307a5p-9, 0x1.c82a0645bc26p-9, 0x1.b58a6bba81ee9p-9, 0x1.a3849142bb828p-9, 0x1.9213a103d6871p-9, 0x1.8132dfd4acea5p-9, 0x1.70de60f9c5008p-9, 0x1.611312d3ed823p-9, 0x1.51ce543d9b85bp-9, 0x1.430d81c4d3ca1p-9, 0x1.34cdd0d40135p-9, 0x1.270c62b2bc9afp-9, 0x1.19c68e22ff829p-9, 0x1.0cf9ddb82e109p-9, 0x1.00a3da4c61de4p-9, 0x1.e9832e4f373c3p-10, 0x1.d29ecb16728b5p-10, 0x1.bc932184fe4e5p-10, 0x1.a757d42c6d716p-10, 0x1.92e68e71b8bfcp-10, 0x1.7f3a03ffd60cp-10, 0x1.6c4d54e613442p-10, 0x1.5a1b734a82722p-10, 0x1.489f3e266e572p-10, 0x1.37d419f75bfefp-10, 0x1.27b57e089def4p-10, 0x1.1840c4be62045p-10, 0x1.0972c87b5c78dp-10, 0x1.f69049093716p-11, 0x1.db788145e3019p-11, 0x1.c193a5de0014fp-11, 0x1.a8d6aa38fc778p-11, 0x1.9137a75e5f44bp-11, 0x1.7aad67354788ep-11, 0x1.652e75f4902d2p-11, 0x1.50b0e33db09c3p-11, 0x1.3d2b058749656p-11, 0x1.2a93c4042edc5p-11, 0x1.18e376b8623cdp-11, 0x1.0814b9d7773f9p-11, 0x1.f04851ef45ce7p-12, 0x1.d21c2b996caf1p-12, 0x1.b599bf0a48c8bp-12, 0x1.9ab3b41a32a21p-12, 0x1.815dfef58bc08p-12, 0x1.698d12913673bp-12, 0x1.5338546c6cfb8p-12, 0x1.3e521c5fc1992p-12, 0x1.2ac8273325187p-12, 0x1.1887785a6ee3ep-12, 0x1.0781085c2bdb8p-12, 0x1.ef4f4154eb0bdp-13, 0x1.d1d969931b3a8p-13, 0x1.b689072e1ae23p-13, 0x1.9d5586cb28826p-13, 0x1.863af0d1c31b4p-13, 0x1.712962283b928p-13, 0x1.5e08c631628c5p-13, 0x1.4cc4a1678ab8fp-13, 0x1.3d546ca5b2119p-13, 0x1.2fb56e9b60bc5p-13, 0x1.23e031efaf338p-13, 0x1.19bebde7249bp-13, 0x1.112c04039c976p-13, 0x1.0a0799d4a7984p-13, 0x1.0446b7eec108cp-13, 0x1.ffc132d59f65ep-14, 0x1.f974ae7ebe828p-14, 0x1.f5741961b4d76p-14, 0x1.f3b5231f36681p-14, 0x1.f4380ed6f1a58p-14, 0x1.f6e75b8973ab3p-14, 0x1.fb9b9dc7f52b4p-14, 0x1.011991e1e5ee4p-13, 0x1.05508b5320bf4p-13, 0x1.0a74efbec4ed8p-13, 0x1.108b2f98aebb8p-13, 0x1.1784a32a2ffaap-13, 0x1.1f4bb2808c4d6p-13, 0x1.27c18e2ccdb9cp-13, 0x1.30d60a60e291fp-13, 0x1.3a9303d5045ep-13, 0x1.44f50c39c7ef1p-13, 0x1.4fe2e6b95f1c6p-13, 0x1.5b4e51376082cp-13, 0x1.673380a4f716cp-13, 0x1.738a7c5173b09p-13, 0x1.804af6353bbf3p-13, 0x1.8d6d72a695b66p-13, 0x1.9ae79c203b1f5p-13, 0x1.a8b534f48fdbp-13, 0x1.b6d860a7005e6p-13, 0x1.c55254ca8ae9fp-13, 0x1.d4195407f26e2p-13, 0x1.e31faf8903ac5p-13, 0x1.f25a207e1505bp-13, 0x1.00db76b4be9cdp-12, 0x1.089ca1ab32f3ap-12, 0x1.107434cf3763ap-12, 0x1.185c2e51ea855p-12, 0x1.2052165be15c3p-12, 0x1.28556c173ab72p-12, 0x1.305e02b33e56fp-12, 0x1.3865fa386d49bp-12, 0x1.406dd1995ab5fp-12, 0x1.48762d05e5d09p-12, 0x1.507c1b77a6b0cp-12, 0x1.587e33e8c4547p-12, 0x1.607d7f732bfa6p-12, 0x1.687893ee9726bp-12, 0x1.706aba24373f7p-12, 0x1.7850100ace3e4p-12, 0x1.8028ccbbab4c1p-12, 0x1.87f44f69b6b58p-12, 0x1.8fae0e6830644p-12, 0x1.9756ce3f3f1f7p-12, 0x1.9eec010530d55p-12, 0x1.a66f928bfba32p-12, 0x1.ade4bd082a14dp-12, 0x1.b5458b0b237dap-12, 0x1.bc8ad27f2b59p-12, 0x1.c3b34995357b8p-12, 0x1.cac29e0109657p-12, 0x1.d1b81a8af3986p-12, 0x1.d891c2d75c401p-12, 0x1.df51449868037p-12, 0x1.e5f58e38699dfp-12, 0x1.ec7ba3cd87b2dp-12, 0x1.f2e224a4c09a1p-12, 0x1.f9281b8a5b6efp-12, 0x1.ff4e0a70297b9p-12, 0x1.02ab5944aeb4fp-11, 0x1.059f77c016224p-11, 0x1.0881b76483d1bp-11, 0x1.0b52886b7f68cp-11, 0x1.0e12c328fbadcp-11, 0x1.10c363fe5f506p-11, 0x1.136362c436dbdp-11, 0x1.15f1b430ab6d1p-11, 0x1.186d00e659165p-11, 0x1.1ad61c4002c0fp-11, 0x1.1d2d4d9897d79p-11, 0x1.1f720a740271bp-11, 0x1.21a584d9f2d05p-11, 0x1.23c740c41326fp-11, 0x1.25d65c3240be5p-11, 0x1.27d2a9304453ap-11, 0x1.29bc74c67c297p-11, 0x1.2b93c877d9802p-11, 0x1.2d589a399bc0bp-11, 0x1.2f0bb5a01eb6bp-11, 0x1.30ad24ae652a1p-11, 0x1.323b6b7209741p-11, 0x1.33b6c8fed1cf5p-11, 0x1.35209f4297af9p-11, 0x1.36787b3800a45p-11, 0x1.37be442fd4e53p-11, 0x1.38f27b54ca387p-11, 0x1.3a14c522c659p-11, 0x1.3b24f5a58f66dp-11, 0x1.3c22ec07b5671p-11, 0x1.3d0f2ff34eed5p-11, 0x1.3dea9579fcadcp-11, 0x1.3eb48565748c1p-11, 0x1.3f6d01c15458ep-11, 0x1.4014326874a9p-11, 0x1.40aa4b17dd385p-11, 0x1.412f879b9d898p-11, 0x1.41a412fba851p-11, 0x1.420807692381ep-11, 0x1.425b8ef3d29b8p-11, 0x1.429f36d3ee755p-11, 0x1.42d2825dfd854p-11, 0x1.42f5aef23df5p-11, 0x1.43096e40f93cp-11, 0x1.430d7ebc7a963p-11, 0x1.43020f2d68f17p-11, 0x1.42e79089d7811p-11, 0x1.42be62aadcb44p-11, 0x1.428636bf589f8p-11, 0x1.423f1942bcdf4p-11, 0x1.41e9af5aedec4p-11, 0x1.41863e2d46b7p-11, 0x1.4114a60535468p-11, 0x1.409524295725fp-11, 0x1.4007fe904803cp-11, 0x1.3f6d653415f8p-11, 0x1.3ec59a0108ad9p-11, 0x1.3e10cfc46a2bdp-11, 0x1.3d4f1b9b73838p-11, 0x1.3c80f022dea96p-11, 0x1.3ba62e09cf984p-11, 0x1.3abf5d2517751p-11, 0x1.39ccab9ce7d89p-11, 0x1.38cdee4243716p-11, 0x1.37c3dc0c010edp-11, 0x1.36ae58311fce8p-11, 0x1.358da8a13ab67p-11, 0x1.34620b9741895p-11, 0x1.332bdc389d78bp-11, 0x1.31eb1bd52643p-11, 0x1.309ff952c6ccbp-11, 0x1.2f4adb9de7914p-11, 0x1.2debdbcbcacd6p-11, 0x1.2c832629e589bp-11, 0x1.2b10fd8763b77p-11, 0x1.299590014fa75p-11, 0x1.28111af8af788p-11, 0x1.2683cf4457dcap-11, 0x1.24eddf9c2d209p-11, 0x1.234f8271d431ep-11, 0x1.21a8f109fe307p-11, 0x1.1ffa54c9b20c1p-11, 0x1.1e43e41f76355p-11, 0x1.1c85d2497c942p-11, 0x1.1ac04c456fd28p-11, 0x1.18f392676b89cp-11, 0x1.171fd2744163bp-11, 0x1.154534f793c1bp-11, 0x1.1363efb2c0992p-11, 0x1.117c2fff23909p-11, 0x1.0f8e3d60f6ebdp-11, 0x1.0d9a1ade96f6cp-11, 0x1.0ba02b1a9f661p-11, 0x1.09a0745c142bcp-11, 0x1.079b30d166a22p-11, 0x1.059098d2103f4p-11, 0x1.0380d6fd43efp-11, 0x1.016c13c2878bdp-11, 0x1.fea4fc4d15184p-12, 0x1.fa6886b5ac076p-12, 0x1.f62318c7c29a5p-12, 0x1.f1d50b036a642p-12, 0x1.ed7eb67088cf9p-12, 0x1.e92072bd188c5p-12, 0x1.e4ba904ac49bp-12, 0x1.e04d5b5506f1ep-12, 0x1.dbd924e27f052p-12, 0x1.d75e545a18d52p-12, 0x1.d2dd1e8e4814ap-12, 0x1.ce55d5836ac9cp-12, 0x1.c9c8f0afb57ccp-12, 0x1.c536833bffc86p-12, 0x1.c09ef8c77e37dp-12, 0x1.bc027d94b7bd8p-12, 0x1.b76186e6956c3p-12, 0x1.b2bc41abfe488p-12, 0x1.ae12fcaeefce8p-12, 0x1.a965fca1eda8fp-12, 0x1.a4b592a60427ap-12, 0x1.a001dc1c08444p-12, 0x1.9b4b5d0013f3ep-12, 0x1.96922972aecc5p-12, 0x1.91d688e934668p-12, 0x1.8d18c51308b1fp-12, 0x1.885906c55ec3cp-12, 0x1.8397adb95a481p-12, 0x1.7ed4e5e89b469p-12, 0x1.7a10f1d705a94p-12, 0x1.754c053f64c3ap-12, 0x1.70865546ce23fp-12, 0x1.6bc0262a839d5p-12, 0x1.66f9b59e5f9b5p-12, 0x1.6233325aa62b2p-12, 0x1.5d6cdcd718514p-12, 0x1.58a6cd400e6ecp-12, 0x1.53e1536952e2dp-12, 0x1.4f1ca198854c1p-12, 0x1.4a588a6b7f912p-12, 0x1.45963a5f8eb9cp-12, 0x1.40d4f2774864p-12, 0x1.3c152ee15836fp-12, 0x1.37572f7a6d55cp-12, 0x1.329b08cf60e6bp-12, 0x1.2de0e9fd9a28ap-12, 0x1.2928fcf9e8a3dp-12, 0x1.24738ad56c8bep-12, 0x1.1fc09da6cdd43p-12, 0x1.1b107746e6275p-12, 0x1.1663238817507p-12, 0x1.11b8e31ceeb5bp-12, 0x1.0d11d6ad0c0b9p-12, 0x1.086e1a606f7cap-12, 0x1.03cdc47958884p-12, 0x1.fe626972136e5p-13, 0x1.f5308d1a47018p-13, 0x1.ec0680bb5c2b5p-13, 0x1.e2e49caa52c84p-13, 0x1.d9caf454fdf7p-13, 0x1.d0b9b72e92d1dp-13, 0x1.c7b1b3ec1df99p-13, 0x1.beb29025f8fd7p-13, 0x1.b5bc7c83bb447p-13, 0x1.accffc7e32992p-13, 0x1.a3ed359e0875cp-13, 0x1.9b145ea35d76ep-13, 0x1.9245b381ab6ffp-13, 0x1.8981578e1fc23p-13, 0x1.80c7761115095p-13, 0x1.78186537eb5cap-13, 0x1.6f743c1567d97p-13, 0x1.66db27969e7e5p-13, 0x1.5e4d3850f9f88p-13, 0x1.55cae691a773p-13, 0x1.4d5429acca02fp-13, 0x1.44e93c8367b9ep-13, 0x1.3c8af14778a06p-13, 0x1.34370439c4039p-13, 0x1.2bf03573fc33cp-13, 0x1.23b5bd4705d96p-13, 0x1.1b8838a5ce5efp-13, 0x1.136695289369dp-13, 0x1.0b520472d77b8p-13, 0x1.034a069135a0fp-13, 0x1.f69ea2fe76f0dp-14, 0x1.e6c329b6cee07p-14, 0x1.d7028c0644c18p-14, 0x1.c75c425f4b841p-14, 0x1.b7d0931105da3p-14, 0x1.a8603d2b9e88dp-14, 0x1.990b09e8c0fb3p-14, 0x1.89d11b63b280bp-14, 0x1.7ab2bedf939b9p-14, 0x1.6bb000390ad73p-14, 0x1.5cc91729288c9p-14, 0x1.4dfe389938a05p-14, 0x1.3f4f6f93eb55cp-14, 0x1.30bcde29eeff9p-14, 0x1.2246a82a1acf9p-14, 0x1.13ecf42999ca6p-14, 0x1.05afe722d4967p-14, 0x1.ef1efff33afd6p-15, 0x1.d317a235662ep-15, 0x1.b7499de79099fp-15, 0x1.9bb5f6a364191p-15, 0x1.805c38b96b424p-15, 0x1.653d3e7607fe7p-15, 0x1.4a57f4bf53c75p-15, 0x1.2faca971c593bp-15, 0x1.153c218c547cap-15, 0x1.f60daf8a92eeep-16, 0x1.c217e7c6cd218p-16, 0x1.8e967f5f976e5p-16, 0x1.5b8b541f38627p-16, 0x1.28f56ee9044d3p-16, 0x1.edac9f491b41fp-17, 0x1.8a583615054fp-17, 0x1.27f127eafd1ffp-17, 0x1.8ce97d266cbe5p-18, 0x1.9784947339eafp-19, 0x1.8f245a142f234p-23, -0x1.620b359dc3baap-19, -0x1.6c726ab6f9f7ap-18, -0x1.1330022ef7bb3p-17, -0x1.6f30d0de6a58ap-17, -0x1.ca397ecfa713ep-17, -0x1.122ed772b6a41p-16, -0x1.3ecc211b2d89bp-16, -0x1.6af47074a289bp-16, -0x1.96a87e40f17f8p-16, -0x1.c1e7f5795d55ap-16, -0x1.ecb354ce53929p-16, -0x1.0b853551edd7dp-15, -0x1.2076f61abcbadp-15, -0x1.352eea7b0e362p-15, -0x1.49ad5ae8ef595p-15, -0x1.5df2653917c52p-15, -0x1.71fe0dc7420cep-15, -0x1.85d0854d22233p-15, -0x1.996a39588395fp-15, -0x1.accb556967829p-15, -0x1.bff2eb1eba9dep-15, -0x1.d2e27ce8010d5p-15, -0x1.e59a8224f8858p-15, -0x1.f819d502589f3p-15, -0x1.05309ba277be4p-14, -0x1.0e387cafcdb04p-14, -0x1.1724a490c73f6p-14, -0x1.1ff565d52d33ap-14, -0x1.28aa9bad4d75dp-14, -0x1.31442e6fdaaffp-14, -0x1.39c25c1ccea64p-14, -0x1.4225912852981p-14, -0x1.4a6dca8d22fabp-14, -0x1.529afbe2e76ffp-14, -0x1.5aad56f1b193bp-14, -0x1.62a52ef1892a5p-14, -0x1.6a825230bfb1bp-14, -0x1.7245493eddb65p-14, -0x1.79ed3278738c1p-14, -0x1.817b6d4411e1cp-14, -0x1.88ee9ab12c294p-14, -0x1.904976c47b9a3p-14, -0x1.978a8497808adp-14, -0x1.9eb2e6f7e3f81p-14, -0x1.a5be85d0e70e1p-14, -0x1.acb299a20268dp-14, -0x1.b38d5b33e0b87p-14, -0x1.ba4f0df10fbfep-14, -0x1.c0f7e4a10bc9bp-14, -0x1.c787beba58b25p-14, -0x1.cdfee0519e715p-14, -0x1.d45dd3e231812p-14, -0x1.daa482004edbcp-14, -0x1.e0d2b3af04f2ep-14, -0x1.e6e8cb89ce2c4p-14, -0x1.ece70dd05318dp-14, -0x1.f2cda0539b349p-14, -0x1.f89c578c93a83p-14, -0x1.fe541d909ab04p-14, -0x1.01fa2d9d89b4p-13, -0x1.04beb16c7e05bp-13, -0x1.0777bdb18b80ep-13, -0x1.0a25629447f32p-13, -0x1.0cc78d21bf2ecp-13, -0x1.0f5eb4baea56ep-13, -0x1.11ea8f99b123cp-13, -0x1.146b61287d50dp-13, -0x1.16e120d2b3b56p-13, -0x1.194be0dccbfe8p-13, -0x1.1bab68c7972fcp-13, -0x1.1e00f4563ee1fp-13, -0x1.204b689b59a11p-13, -0x1.228b5ab02e567p-13, -0x1.24c09458e1291p-13, -0x1.26eb6836701eap-13, -0x1.290bb1a35e858p-13, -0x1.2b2200715e05dp-13, -0x1.2d2dde8425b8ep-13, -0x1.2f2fca1f6a8ap-13, -0x1.31276d4eb1061p-13, -0x1.331511c0c3169p-13, -0x1.34f8378087d59p-13, -0x1.36d2f452ba0a8p-13, -0x1.38a34b71c2ca7p-13, -0x1.3a69b3742fe71p-13, -0x1.3c26e9fab2414p-13, -0x1.3dda9ac3d0b4fp-13, -0x1.3f8479f066e3cp-13, -0x1.412541f1949adp-13, -0x1.42bcc4619b491p-13, -0x1.444b156ac182fp-13, -0x1.45d04c873e76cp-13, -0x1.474c5ef54e618p-13, -0x1.48bfc7711d4e1p-13, -0x1.4a2a27d1cad04p-13, -0x1.4b8bcd1a3bdf5p-13, -0x1.4ce4b1979614p-13, -0x1.4e350046140ffp-13, -0x1.4f7cc0614b7cbp-13, -0x1.50bc05ec212cap-13, -0x1.51f2ee5e4b7b4p-13, -0x1.5321799005924p-13, -0x1.5447cf4722e63p-13, -0x1.5565fc1d2c424p-13, -0x1.567c14ede258p-13, -0x1.578a2bb420de6p-13, -0x1.589057508b7d9p-13, -0x1.598eb54027c0ep-13, -0x1.5a853d89cd349p-13, -0x1.5b73a1669b7fbp-13, -0x1.5c5b49645611fp-13, -0x1.5d3b0cf867d91p-13, -0x1.5e1325dba1fe1p-13, -0x1.5ee3f33c2f17p-13, -0x1.5fad7d0a66633p-13, -0x1.606fa5795763bp-13, -0x1.612adff4539fbp-13, -0x1.61de504fd40f7p-13, -0x1.628bdb0752b26p-13, -0x1.6331798787cb6p-13, -0x1.63d0cb2ee7175p-13, -0x1.64692d6945c55p-13, -0x1.64fac65f3aa28p-13, -0x1.6585b13809376p-13, -0x1.660a030d79007p-13, -0x1.668a821f48475p-13, -0x1.66ff2f43fcc96p-13, -0x1.677025601ff62p-13, -0x1.67dad0475ec3p-13, -0x1.683f242b1e511p-13, -0x1.689d7f604c1p-13, -0x1.68f5a7bc89e79p-13, -0x1.6947deb143f24p-13, -0x1.699390bfca97p-13, -0x1.69da3047ac54fp-13, -0x1.6a1aa5eac293cp-13, -0x1.6a555cd6b47cp-13, -0x1.6a8a2f11f6c76p-13, -0x1.6ab989854c62cp-13, -0x1.6ae36ab547ab3p-13, -0x1.6b07b67b2e85ap-13, -0x1.6b26797ac0876p-13, -0x1.6b3ff3bbb996p-13, -0x1.6b54262c2ce83p-13, -0x1.6b63389fc47abp-13, -0x1.6b6ce503836ap-13, -0x1.6b717faabd1bp-13, -0x1.6b710c3485259p-13, -0x1.6b6bb4e53b0cep-13, -0x1.6b616c039671fp-13, -0x1.6b5224b153ep-13, -0x1.6b3e3e6f1165bp-13, -0x1.6b25787a26914p-13, -0x1.6b0833fc4d203p-13, -0x1.6ae61a94b55b6p-13, -0x1.6abf74b32d00fp-13, -0x1.6a9465742f3ebp-13, -0x1.6a64c6ace050cp-13, -0x1.6a30ea3117f5fp-13, -0x1.69f8bca0368ffp-13, -0x1.69bc31fb68e1fp-13, -0x1.697ba1c6391ffp-13, -0x1.69366d279ace1p-13, -0x1.68ed6a1fbe4bfp-13, -0x1.68a0522145df1p-13, -0x1.684f42ba29d74p-13, -0x1.67fa5812194e7p-13, -0x1.67a187c91869dp-13, -0x1.6745282d5dac1p-13, -0x1.66e451b78add4p-13, -0x1.66801dadd6d9ap-13, -0x1.66183073b3951p-13, -0x1.65ace35a7d0f3p-13, -0x1.653dca8b9225bp-13, -0x1.64cb327f19b91p-13, -0x1.6455317899cb7p-13, -0x1.63dbc86044794p-13, -0x1.635ef797d8a8fp-13, -0x1.62dee3c00af83p-13, -0x1.625b94f41da1ap-13, -0x1.61d4ed336c11ep-13, -0x1.614a657ecd5bcp-13, -0x1.60be741ab8a22p-13, -0x1.602e85dbff11ap-13, -0x1.5f9bacfd8e0bap-13, -0x1.5f05c85e5669p-13, -0x1.5e6cfed2e2f2cp-13, -0x1.5dd14fb88091bp-13, -0x1.5d32cb41a7e75p-13, -0x1.5c92d7ad3ee36p-13, -0x1.5bed8b04cfa3ep-13, -0x1.5b46a9781b45p-13, -0x1.5a9d441c6adc3p-13, -0x1.59f169f1cb582p-13, -0x1.594208dbf836fp-13, -0x1.5891bdd47e0e6p-13, -0x1.57de49edf73a8p-13, -0x1.572834c880179p-13, -0x1.566fc92e80b0dp-13, -0x1.55b50cccf339cp-13, -0x1.54f822a28ec93p-13, -0x1.5438e80a630d5p-13, -0x1.5377427d4258bp-13, -0x1.52b29502b7522p-13, -0x1.51edbb04e88d5p-13, -0x1.5125f36306166p-13, -0x1.505bb509b82a4p-13, -0x1.4f8f883cecaa1p-13, -0x1.4ebf80daa0bdcp-13, -0x1.4df215e3b6037p-13, -0x1.4d1fa10459ce6p-13, -0x1.4c4bc4e5afb29p-13, -0x1.4b7619dca0b02p-13, -0x1.4a9ea91785cb5p-13, -0x1.49c5867bc433cp-13, -0x1.48ea2aa26257cp-13, -0x1.480dcabf758c4p-13, -0x1.472ff89d10d25p-13, -0x1.464f95f0fa601p-13, -0x1.456e00be68e1ap-13, -0x1.448aea8562665p-13, -0x1.43a6365d548f9p-13, -0x1.42c058f9017e2p-13, -0x1.41d89b7e94987p-13, -0x1.40ef436f7691ep-13, -0x1.4005076195ec2p-13, -0x1.3f194cde9d64bp-13, -0x1.3e2c4fbc1f971p-13, -0x1.3d3de25a78fb4p-13, -0x1.3c4e2ccd5adb2p-13, -0x1.3b5d4ae6af771p-13, -0x1.3a6bb955b9127p-13, -0x1.3977fbb121dd3p-13, -0x1.3883e078c7a51p-13, -0x1.378dd75fb393ep-13, -0x1.3697375d3aa23p-13, -0x1.359f97f92ed95p-13, -0x1.34a6cd1aedb2cp-13, -0x1.33ad086a4b507p-13, -0x1.32b26fd9675a7p-13, -0x1.31b6a49eb26a3p-13, -0x1.30b989812bac2p-13, -0x1.2fbca43792696p-13, -0x1.2ebe50d2bf42ep-13, -0x1.2dbf2ae7346fbp-13, -0x1.2cbf22e1dbeb3p-13, -0x1.2bbe57f76f1f6p-13, -0x1.2abce4f1d894cp-13, -0x1.29ba9fe608a82p-13, -0x1.28b78c0442c5p-13, -0x1.27b3cb5e60a46p-13, -0x1.26b1f9cb083c8p-13, -0x1.25aa87de4e85bp-13, -0x1.24a4d78b94b31p-13, -0x1.239eb562b10cbp-13, -0x1.2297e39166158p-13, -0x1.2190aee3c225cp-13, -0x1.2088a637f904cp-13, -0x1.1f806885011a1p-13, -0x1.1e77a8d9b75d8p-13, -0x1.1d6e43bc8961cp-13, -0x1.1c6480f9a14fbp-13, -0x1.1b5a7d042ecdbp-13, -0x1.1a4ff161f1bdcp-13, -0x1.1944f32bf7295p-13, -0x1.1839d856afb47p-13, -0x1.172e399602e8fp-13, -0x1.162248562c83ep-13, -0x1.1516059a1de75p-13, -0x1.140b9f7441e7ep-13, -0x1.12fcef13bcbf9p-13, -0x1.11effed1aa522p-13, -0x1.10e2bb87d68b5p-13, -0x1.0fd5560d244c5p-13, -0x1.0eca3e8514492p-13, -0x1.0dba4fc32efeep-13, -0x1.0cac5ae6a1604p-13, -0x1.0b9e61582ebbp-13, -0x1.0a904adaf78c6p-13, -0x1.098237a697509p-13, -0x1.0873c9f5c1c85p-13, -0x1.0764ed4015b79p-13, -0x1.065734e43f85ep-13, -0x1.0548c4af5600bp-13, -0x1.043a752902b67p-13, -0x1.032bfeb4ae209p-13, -0x1.021dac47f521ap-13, -0x1.010f682a79308p-13, -0x1.00010d07fca68p-13, -0x1.fde5c608672b9p-14, -0x1.fbc9985faebe6p-14, -0x1.f9adaa76d89ccp-14, -0x1.f791ecedfe6e7p-14, -0x1.f57699cc07f07p-14, -0x1.f35f0da5ca0e2p-14, -0x1.f1403ab6e4d02p-14, -0x1.ef2570a66af5fp-14, -0x1.ed0b43b6f7c1dp-14, -0x1.eaf15c7c5b13dp-14, -0x1.e8d823579b3f4p-14, -0x1.e6bc4e4dc6b39p-14, -0x1.e4a64e378af4dp-14, -0x1.e28e4f270adap-14, -0x1.e076c76dcb31fp-14, -0x1.de5fc65296cb5p-14, -0x1.dc4957db78434p-14, -0x1.da3381347e85dp-14, -0x1.d81e2c7f15387p-14, -0x1.d60799e3f1c93p-14, -0x1.d3f4d1563e543p-14, -0x1.d1e3739cc5ca5p-14, -0x1.cfcfbe06e2d98p-14, -0x1.cdbcbef93b03p-14, -0x1.cbac95b58442fp-14, -0x1.c99c6a92f8bc4p-14, -0x1.c78c58b3caee1p-14, -0x1.c57df51fcf8b5p-14, -0x1.c370046150876p-14, -0x1.c162e18f584fep-14, -0x1.bf568c01a2dd4p-14, -0x1.bd4b28ea3f57dp-14, -0x1.bb40c208c3952p-14, -0x1.b9373fe416d4bp-14, -0x1.b72e52c82881fp-14, -0x1.b526d2fd8e101p-14, -0x1.b31fce9a9e8d1p-14, -0x1.b11a0a33f0581p-14, -0x1.af1574dcba16ap-14, -0x1.ad11b5bbb7287p-14, -0x1.ab0eac29fdcafp-14, -0x1.a90d531ce5295p-14, -0x1.a70c7ef6981bdp-14, -0x1.a50d0d8165bc3p-14, -0x1.a30e7e4594d5ep-14, -0x1.a111369c628edp-14, -0x1.9f14eb0268ce4p-14, -0x1.9d19b70147474p-14, -0x1.9b1fd37ea9501p-14, -0x1.992987e0b3ce9p-14, -0x1.972f6f4632f9cp-14, -0x1.9538faeb30918p-14, -0x1.934394bb12b2p-14, -0x1.914fe9b4777cfp-14, -0x1.8f5d10847cb97p-14, -0x1.8d6b724ff1787p-14, -0x1.8b7ad618a574p-14, -0x1.898bed0a9779ap-14, -0x1.879e3fe717ea2p-14, -0x1.85b1cf95660c6p-14, -0x1.83c68aa22486bp-14, -0x1.81dca111cd5fdp-14, -0x1.7ff40a914bb8bp-14, -0x1.7e0cdf196886dp-14, -0x1.7c26cdee58aaap-14, -0x1.7a423c19b0fdap-14, -0x1.785c9b9d943bbp-14, -0x1.767d0057dc93p-14, -0x1.749c679f1642bp-14, -0x1.72bd831ce728ap-14, -0x1.70dfc80b3c41cp-14, -0x1.6f04504e9d359p-14, -0x1.6d2876a83a3a1p-14, -0x1.6b4ed21866e9ap-14, -0x1.6976c9d5b029dp-14, -0x1.67a02eefd0fdp-14, -0x1.65caf287fc9e6p-14, -0x1.63f724c020801p-14, -0x1.6224bd67d994ap-14, -0x1.6053d7003d4f6p-14, -0x1.5e8462b463062p-14, -0x1.5cb66cd18c449p-14, -0x1.5aec50d4efab8p-14, -0x1.592031613df2ap-14, -0x1.575572eb2e0f8p-14, -0x1.558d4f61f9757p-14, -0x1.53c6f8b0d8911p-14, -0x1.5201f1bfe5e4p-14, -0x1.503e4f166e252p-14, -0x1.4e7c542a0d834p-14, -0x1.4cbc1f4906cfdp-14, -0x1.4afce856b8305p-14, -0x1.493f7210f9744p-14, -0x1.478390e9d36fbp-14, -0x1.45c93302e78cdp-14, -0x1.44107f07b6f1ap-14, -0x1.4259337e6b884p-14, -0x1.40a36cdd521a5p-14, -0x1.3eef2885752abp-14, -0x1.3d3c8d0c7d4d8p-14, -0x1.3b8bad7f40629p-14, -0x1.39dc23d99da8ap-14, -0x1.382e44db1a8e3p-14, -0x1.3681cc2ecaeb4p-14, -0x1.34d712a5e3772p-14, -0x1.332de5c739eddp-14, -0x1.31862219c2a16p-14, -0x1.2fe0140fb03f8p-14, -0x1.2e3bc8698225dp-14, -0x1.2c98f9dd11f9cp-14, -0x1.2af77ec86f092p-14, -0x1.2957f712149a3p-14, -0x1.27b999ed1922p-14, -0x1.261d1ef4bbf66p-14, -0x1.2482332ed75dep-14, -0x1.22e8d7aeec0edp-14, -0x1.215113468cd38p-14, -0x1.1fbaeea3dde54p-14, -0x1.1e26567ef50b1p-14, -0x1.1c9364be738e7p-14, -0x1.1b0213228d45bp-14, -0x1.19721676febap-14, -0x1.17e40de43c641p-14, -0x1.1657b6b502ffcp-14, -0x1.14ccadc5d2525p-14, -0x1.13434b4839cefp-14, -0x1.11bb676ecf26bp-14, -0x1.1034866fbbb5ap-14, -0x1.0eb0dea9de3a9p-14, -0x1.0d2dd2e6bb46bp-14, -0x1.0bac639a01b81p-14, -0x1.0a2cb36cc0facp-14, -0x1.08aeaea42d3fap-14, -0x1.0731e41546619p-14, -0x1.05b70a4169748p-14, -0x1.043db122b88b7p-14, -0x1.02c5f8da10295p-14, -0x1.014e0c8501c8ep-14, -0x1.ffb6950d0f75ap-15, -0x1.fcd0ae62db98ap-15, -0x1.f9eda8506257bp-15, -0x1.f70e08d62f7ccp-15, -0x1.f43215297c153p-15, -0x1.f158ea343a951p-15, -0x1.ee82aba58c882p-15, -0x1.ebafd84bee7c9p-15, -0x1.e8e03bab3d35ep-15, -0x1.e613bacede748p-15, -0x1.e34a3dd778bf1p-15, -0x1.e08473fd6b93ap-15, -0x1.ddc155b86af85p-15, -0x1.db018e3ea4a4fp-15, -0x1.d844809341509p-15, -0x1.d58ada653818bp-15, -0x1.d2d4da8e215d3p-15, -0x1.d0216014483d6p-15, -0x1.cd717ba896717p-15, -0x1.cac49718b0879p-15, -0x1.c81a9ce479c11p-15, -0x1.c573950b8e211p-15, -0x1.c2d00576321d9p-15, -0x1.c02f719ba2f28p-15, -0x1.bd9225b3f4217p-15, -0x1.baf7c18bdb11bp-15, -0x1.b8619c17cf5e3p-15, -0x1.b5cc7f99091f3p-15, -0x1.b33b4a6c70a95p-15, -0x1.b0ad3c4eb373p-15, -0x1.ae224002c1947p-15, -0x1.ab9a757875138p-15, -0x1.a915a46f6aa42p-15, -0x1.a693d264dc721p-15, -0x1.a4151018d6a61p-15, -0x1.a199b045978f4p-15, -0x1.9f20ebd05edf1p-15, -0x1.9cab1aa23b426p-15, -0x1.9a38867a10265p-15, -0x1.97c95b4ab684p-15, -0x1.955c759048c2ep-15, -0x1.92f2cdadf3957p-15, -0x1.908c312445791p-15, -0x1.8e27b964e75d7p-15, -0x1.8bc62f6456d23p-15, -0x1.896ad5f2fbe99p-15, -0x1.870fb1849e503p-15, -0x1.84b809aeb2d2p-15, -0x1.82635ed53cb58p-15, -0x1.80118bbc1baeap-15, -0x1.7dc26184a4defp-15, -0x1.7b766b74b798dp-15, -0x1.792d929d13273p-15, -0x1.76e779de7c313p-15, -0x1.74a3fc31649dp-15, -0x1.7263ac414ad79p-15, -0x1.70264645e537cp-15, -0x1.6debb32c8695dp-15, -0x1.6bb3d876e8fdp-15, }}, 
      {{0x1.2f6a7af3e5a69p-1, 0x1.b13b17dcceddp-1, 0x1.0fb307343db05p+0, 0x1.3c8823cc7979dp+0, 0x1.5f5ea6d341c7ap+0, 0x1.78e506c7d3adcp+0, 0x1.8a07f0913bc8bp+0, 0x1.93d201eace8dcp+0, 0x1.9755c36a7e57cp+0, 0x1.959f055c46d47p+0, 0x1.8fa9965d57613p+0, 0x1.865bc9b451949p+0, 0x1.7a83b677f05f2p+0, 0x1.6cd65a2e40321p+0, 0x1.5df001ec6b021p+0, 0x1.4e5589c58c6dp+0, 0x1.3e76196f2f9d1p+0, 0x1.2ead274db8cedp+0, 0x1.1f449286d258p+0, 0x1.1076b9c717233p+0, 0x1.02707ab3b3fp+0, 0x1.eaa61c97f3cf7p-1, 0x1.d26b7beeb9b88p-1, 0x1.bc4edb3b44831p-1, 0x1.a85ff8f7728ebp-1, 0x1.96a2f9bb822d6p-1, 0x1.87128d04ee328p-1, 0x1.79a1c95043628p-1, 0x1.6e3dc77d9f0a7p-1, 0x1.64cf03864d35bp-1, 0x1.5d3a890cc0466p-1, 0x1.5762f2c06fa97p-1, 0x1.532940bdb67f4p-1, 0x1.506d8c6ad1a51p-1, 0x1.4f0f9cebb5489p-1, 0x1.4eef6127f910ep-1, 0x1.4fed5238b094ep-1, 0x1.51eac177d59eep-1, 0x1.54ca15fc0ea32p-1, 0x1.586efa6dd0048p-1, 0x1.5cbe7ead6c646p-1, 0x1.619f2f73dc997p-1, 0x1.66f9240b82b82p-1, 0x1.6cb605afd011ep-1, 0x1.72c1105130177p-1, 0x1.79070ead2dff5p-1, 0x1.7f7652916a1d3p-1, 0x1.85fea996f087ep-1, 0x1.8c91503632b03p-1, 0x1.9320e279861c5p-1, 0x1.99a14bcaa4416p-1, 0x1.a007b5daeccf8p-1, 0x1.a64a76ef50e37p-1, 0x1.ac61005cacf93p-1, 0x1.b243ccaebf79dp-1, 0x1.b7ec4e5c79193p-1, 0x1.bd54dec0568f8p-1, 0x1.c278ada14b72ep-1, 0x1.c753b10fba49ap-1, 0x1.cbe29676b8371p-1, 0x1.d022b383d836ep-1, 0x1.d411f85bfcb78p-1, 0x1.d7aee23b1de78p-1, 0x1.daf86ece5f493p-1, 0x1.ddee104d5213dp-1, 0x1.e08fa23291a8ep-1, 0x1.e2dd5ec466e25p-1, 0x1.e4d7d51d97717p-1, 0x1.e67fe0139953ep-1, 0x1.e7d69d98ab03ep-1, 0x1.e8dd66c41590fp-1, 0x1.e995c87f2fc37p-1, 0x1.ea017cadcc296p-1, 0x1.ea2263fb126aep-1, 0x1.e9fa7fb8217afp-1, 0x1.e98bed2281ceap-1, 0x1.e8d8dff418abcp-1, 0x1.e7e39e1c8753fp-1, 0x1.e6ae7c0b51d7dp-1, 0x1.e53bd7a39022dp-1, 0x1.e38e170cb8a36p-1, 0x1.e1a7a3ac6d811p-1, 0x1.df8ae83738682p-1, 0x1.dd3a4eac85efp-1, 0x1.dab83ce8f5bedp-1, 0x1.d80713ed897e4p-1, 0x1.d5292d8aec636p-1, 0x1.d220daf7feb95p-1, 0x1.cef06392df156p-1, 0x1.cb9a0319dd861p-1, 0x1.c81fea6af080fp-1, 0x1.c4843c4b5ba93p-1, 0x1.c0c90e94ceca8p-1, 0x1.bcf068e4b088bp-1, 0x1.b8fc444cbba92p-1, 0x1.b4ee8af8914bep-1, 0x1.b0c917f4dcecfp-1, 0x1.ac8db716a3143p-1, 0x1.a83e24aae5409p-1, 0x1.a3dc0db66bda2p-1, 0x1.9f690fd02f453p-1, 0x1.9ae6b950db8fcp-1, 0x1.9656893e1de59p-1, 0x1.91b9f026d3af8p-1, 0x1.8d124f79a728ap-1, 0x1.8860fa2b5960bp-1, 0x1.83a7354807e5ep-1, 0x1.7ee6379731a07p-1, 0x1.7a1f2ad925bfbp-1, 0x1.75532b2889b9fp-1, 0x1.708347edef711p-1, 0x1.6bb084022ce43p-1, 0x1.66dbd6009b2ccp-1, 0x1.620628e7ee533p-1, 0x1.5d305bfcb4fbbp-1, 0x1.585b43a6bc7c1p-1, 0x1.5387a97774b64p-1, 0x1.4eb64cd65c35bp-1, 0x1.49e7e2f179ab8p-1, 0x1.451d1786c9ed4p-1, 0x1.40568cef44a53p-1, 0x1.3b94dcbd693b5p-1, 0x1.36d897ae27971p-1, 0x1.32224688cb29p-1, 0x1.2d7269f56f902p-1, 0x1.28c97b0e948b9p-1, 0x1.2427eb8ac9392p-1, 0x1.1f8e263571b06p-1, 0x1.1afc8f09950ffp-1, 0x1.16738392d9c89p-1, 0x1.11f35b3872d02p-1, 0x1.0d7c676139778p-1, 0x1.090ef3e0cc7cdp-1, 0x1.04ab46ff95463p-1, 0x1.0051a1f6ca84fp-1, 0x1.f80481eacaf94p-2, 0x1.ef7ab6e3718bep-2, 0x1.e70648a4219e4p-2, 0x1.dea794ac4e23p-2, 0x1.d65eefd5e343fp-2, 0x1.ce2ca714ca7c5p-2, 0x1.c61100486cc6ap-2, 0x1.be0c39ae0eea7p-2, 0x1.b61e8afd8eb58p-2, 0x1.ae48255354552p-2, 0x1.a68933a2dacaap-2, 0x1.9ee1daeb98253p-2, 0x1.97523a9271b1ap-2, 0x1.8fda6cba1f7d5p-2, 0x1.887a86cfa1718p-2, 0x1.813297aa1eae7p-2, 0x1.7a02ac345cff3p-2, 0x1.72eacb2977a8bp-2, 0x1.6beaf79015a9dp-2, 0x1.6503307f5e86dp-2, 0x1.5e33716cdd45p-2, 0x1.577bb24ca91ebp-2, 0x1.50dbe724f2d85p-2, 0x1.4a5401ae7170bp-2, 0x1.43e3f00805856p-2, 0x1.3d8b9d944e01fp-2, 0x1.374af2fac51e6p-2, 0x1.3121d66975946p-2, 0x1.2b102b912e36cp-2, 0x1.2515d410af98fp-2, 0x1.1f32ae6b89014p-2, 0x1.196698a135f85p-2, 0x1.13b16d91a24d9p-2, 0x1.0e1307144e29p-2, 0x1.088b3c98e23e9p-2, 0x1.0319e467d0fcap-2, 0x1.fb7da662d0daap-3, 0x1.f0f3b880c1921p-3, 0x1.e695a2c7a70e2p-3, 0x1.dc63073d4433dp-3, 0x1.d25b848c2fd79p-3, 0x1.c87eb7e910ec3p-3, 0x1.becc3c5902e6p-3, 0x1.b543ab2c2d4eep-3, 0x1.abe49bc3e5655p-3, 0x1.a2aea42089a9p-3, 0x1.99a158ecc0d0fp-3, 0x1.90bc4d4537f3bp-3, 0x1.87ff134dff24ep-3, 0x1.7f693c0e0a3fep-3, 0x1.76fa5778f7648p-3, 0x1.6eb1f4b91625dp-3, 0x1.668fa24d007e8p-3, 0x1.5e92edffe79c7p-3, 0x1.56bb65140a173p-3, 0x1.4f08941918bf3p-3, 0x1.477a078aa3a4bp-3, 0x1.400f4b7525f44p-3, 0x1.38c7eba5029f1p-3, 0x1.31a373a6577edp-3, 0x1.2aa16fa5edd63p-3, 0x1.23c169f704083p-3, 0x1.1d02ef566586fp-3, 0x1.16658b0b0f5p-3, 0x1.0fe8c94daefa1p-3, 0x1.098c35fb56d86p-3, 0x1.034f5da0c6c96p-3, 0x1.fa6399e0024e7p-4, 0x1.ee6622442e334p-4, 0x1.e2a56f43f461dp-4, 0x1.d7209d92c55bbp-4, 0x1.cbd6ca6760c89p-4, 0x1.c0c7133a0ab4p-4, 0x1.b5f098830eb61p-4, 0x1.ab527abdedf5p-4, 0x1.a0ebdc0a78ad7p-4, 0x1.96bbdfe79b649p-4, 0x1.8cc1abc1b6a88p-4, 0x1.82fc65c8f7639p-4, 0x1.796b36888fde3p-4, 0x1.700d479f70f5ap-4, 0x1.66e1c4abed5d4p-4, 0x1.5de7db886b366p-4, 0x1.551eb95d13f54p-4, 0x1.4c85912cc31adp-4, 0x1.441b94bf5e11p-4, 0x1.3bdff91da88f7p-4, 0x1.33d1f3de58e67p-4, 0x1.2bf0bfaf47411p-4, 0x1.243b9525caf4bp-4, 0x1.1cb1b1892a69ap-4, 0x1.15525353f5c79p-4, 0x1.0e1cbb5428b5p-4, 0x1.07102c1184533p-4, 0x1.002beab974d19p-4, 0x1.f2de7bba4cf6bp-5, 0x1.e5b2de17d047dp-5, 0x1.d8d39230c56eep-5, 0x1.cc3f33894b73p-5, 0x1.bff460b9742d6p-5, 0x1.b3f1bd0624bc6p-5, 0x1.a835f137a1607p-5, 0x1.9cbfa87c2492p-5, 0x1.918d94190cbfap-5, 0x1.869e685bdcd36p-5, 0x1.7bf0dec673b45p-5, 0x1.7183b4dbcdf67p-5, 0x1.6755ace2b1p-5, 0x1.5d658d0e31ae8p-5, 0x1.53b21ff34a53ep-5, 0x1.4a3a354c42726p-5, 0x1.40fca011b73a6p-5, 0x1.37f837452dc97p-5, 0x1.2f2bd85b905b9p-5, 0x1.26966260fa44p-5, 0x1.1e36ba2de4095p-5, 0x1.160bc90cef047p-5, 0x1.0e147c60a9c84p-5, 0x1.064fc369f0bep-5, 0x1.fd792aecafc06p-6, 0x1.eeb3d690db9d3p-6, 0x1.e04d85c3e576fp-6, 0x1.d2443b89c5762p-6, 0x1.c4960386192fp-6, 0x1.b740f1fdf08c1p-6, 0x1.aa4322803d514p-6, 0x1.9d9ab6656216ap-6, 0x1.9145dc6de8a19p-6, 0x1.8542c65c83f98p-6, 0x1.798faedab7098p-6, 0x1.6e2ad993f6053p-6, 0x1.63128feebb1d2p-6, 0x1.58452504535fcp-6, 0x1.4dc0f0a77b4bap-6, 0x1.438452dd529fcp-6, 0x1.398db484bc977p-6, 0x1.2fdb83b7a822fp-6, 0x1.266c3804d9816p-6, 0x1.1d3e4e19076afp-6, 0x1.14504a9135cabp-6, 0x1.0ba0b8c462f36p-6, 0x1.032e2b0c6c01dp-6, 0x1.f5ee751b0b0f5p-7, 0x1.e5f4fc7f5f7f8p-7, 0x1.d66d46c2ed214p-7, 0x1.c754aaf96d257p-7, 0x1.b8a88d58f6b29p-7, 0x1.aa66641d48ad3p-7, 0x1.9c8bada9d5fedp-7, 0x1.8f15f68a45fa3p-7, 0x1.8202d2e83a68cp-7, 0x1.754fe4653558dp-7, 0x1.68fad02ac6042p-7, 0x1.5d015501475cp-7, 0x1.5161387ed6757p-7, 0x1.46184e6e62df9p-7, 0x1.3b247955a6f54p-7, 0x1.3083a4d061618p-7, 0x1.2633c3a577273p-7, 0x1.1c32d063e2f97p-7, 0x1.127eccf5dba21p-7, 0x1.0915c3168245cp-7, 0x1.ffeb9d0025c84p-8, 0x1.ee3a179bacfaap-8, 0x1.dd1368e6a41cep-8, 0x1.cc740f1449e39p-8, 0x1.bc589e023a49ap-8, 0x1.acbdbf59c3c2fp-8, 0x1.9da02107b3398p-8, 0x1.8efc7bd8d855cp-8, 0x1.80cf8a23423f2p-8, 0x1.731619f4ffc2ap-8, 0x1.65cd0ba3d66f8p-8, 0x1.58f15703f9d9dp-8, 0x1.4c801d1d25ecep-8, 0x1.4076938bb3559p-8, 0x1.34d20988f3c8cp-8, 0x1.298fddb5ec1c2p-8, 0x1.1ead6c2cc2f16p-8, 0x1.14281aa0fda2ep-8, 0x1.09fd429a181c8p-8, 0x1.002a4f01c3167p-8, 0x1.ed59604deb33ep-9, 0x1.db03e049ecaffp-9, 0x1.c94f648b26e04p-9, 0x1.b8378ca9c806dp-9, 0x1.a7b81c6b6c0cfp-9, 0x1.97ccf09776d2ap-9, 0x1.88721418b4f2fp-9, 0x1.79a390a976bb6p-9, 0x1.6b5d38517a84cp-9, 0x1.5d9af96e47e3bp-9, 0x1.5058be6a674f8p-9, 0x1.43927bd3673a8p-9, 0x1.37445176ef9bfp-9, 0x1.2b6a916d3bb04p-9, 0x1.2001c6f43b698p-9, 0x1.1506c26a9cefp-9, 0x1.0a7675e48f627p-9, 0x1.004df5e6ca545p-9, 0x1.ed14990d2acebp-10, 0x1.da50e2907f4d3p-10, 0x1.c84a9b2af607ep-10, 0x1.b6fb7fcbc9503p-10, 0x1.a65d6be92b47p-10, 0x1.966a325607576p-10, 0x1.871c00587d54p-10, 0x1.786d39a794634p-10, 0x1.6a58c362730f2p-10, 0x1.5cda08dacb377p-10, 0x1.4fecb3bfaa3cep-10, 0x1.438c9f1d6d48fp-10, 0x1.37b5907a392bfp-10, 0x1.2c633779c5dedp-10, 0x1.21912a0106e85p-10, 0x1.173ae066d86c5p-10, 0x1.0d5be7759591ap-10, 0x1.03efc15d9cd2dp-10, 0x1.f5e3afd54ff5dp-11, 0x1.e4bbc436bb7fep-11, 0x1.d45f9c8631701p-11, 0x1.c4c8731a460acp-11, 0x1.b5f01d0905343p-11, 0x1.a7d0e51aa0993p-11, 0x1.9a651167b4a5dp-11, 0x1.8da6acdcfeea6p-11, 0x1.818fb36f0ef1cp-11, 0x1.761a4424dfd8bp-11, 0x1.6b40837394217p-11, 0x1.60fc3b0b04549p-11, 0x1.57471750a70bdp-11, 0x1.4e19e942e326p-11, 0x1.456e6f1342fbp-11, 0x1.3d3ef61943ecep-11, 0x1.3586e4585255ap-11, 0x1.2e420e5ec2a4ap-11, 0x1.276c74f2a138ep-11, 0x1.21020563decd9p-11, 0x1.1afead8ae65e1p-11, 0x1.155e9e12a0ab5p-11, 0x1.101e75e8f93c2p-11, 0x1.0b3aa645a3b0dp-11, 0x1.06af6333506edp-11, 0x1.02786efc7cc62p-11, 0x1.fd20df17c0a26p-12, 0x1.f5e6869de9947p-12, 0x1.ef39a72567c84p-12, 0x1.e913719fb783ep-12, 0x1.e36dd1998ad0ap-12, 0x1.de42af592fab7p-12, 0x1.d98bd7dffd1b6p-12, 0x1.d5439dca8a4eap-12, 0x1.d165e38635ed4p-12, 0x1.cdee34ed9a7c5p-12, 0x1.cad927c07c7bdp-12, 0x1.c822a43a12dacp-12, 0x1.c5c5b2c87bbf3p-12, 0x1.c3bcad119ef79p-12, 0x1.c201e11ec1ecep-12, 0x1.c090435e5c69cp-12, 0x1.bf62dab80ffabp-12, 0x1.be74f54003f7fp-12, 0x1.bdc19f2fbb241p-12, 0x1.bd4430045a9b5p-12, 0x1.bcf844193092cp-12, 0x1.bcda9ef8063e6p-12, 0x1.bce8c4058f1fdp-12, 0x1.bd21018334173p-12, 0x1.bd812fec29addp-12, 0x1.be06daff9a28bp-12, 0x1.beaf2dbebeb69p-12, 0x1.bf767a2c3694cp-12, 0x1.c05c80ec5c874p-12, 0x1.c15d56ac96afcp-12, 0x1.c276a872ca091p-12, 0x1.c3a4c94ebd168p-12, 0x1.c4e3fb11540ddp-12, 0x1.c6315336b0ac5p-12, 0x1.c78a5881c0e0ap-12, 0x1.c8ec66ab19d41p-12, 0x1.ca556ceaffa3fp-12, 0x1.cbc4c16e53655p-12, 0x1.cd39ffb66ee2p-12, 0x1.ceb41349a1d1p-12, 0x1.d0309c48dde6dp-12, 0x1.d1ae1867df7c5p-12, 0x1.d32ba8c7c7ba9p-12, 0x1.d4a936ebd1022p-12, 0x1.d6263283d7984p-12, 0x1.d7a0de5a320d8p-12, 0x1.d9167fd265e59p-12, 0x1.da8478a37ce94p-12, 0x1.dbea144bc1572p-12, 0x1.dd46e09facfdap-12, 0x1.de98f46dea2d8p-12, 0x1.dfde9452eed79p-12, 0x1.e1177ab12637dp-12, 0x1.e24420d096c08p-12, 0x1.e363ac6a49e99p-12, 0x1.e475949da8d09p-12, 0x1.e5781f023a858p-12, 0x1.e66b70746aaadp-12, 0x1.e750130711f39p-12, 0x1.e8259ca742909p-12, 0x1.e8ec960bad9e7p-12, 0x1.e9a346ae6943fp-12, 0x1.ea47d12600838p-12, 0x1.ead9852655199p-12, 0x1.eb5976a4ed913p-12, 0x1.ebc7e0a7f555bp-12, 0x1.ec230a42eae97p-12, 0x1.ec6a8778f9992p-12, 0x1.ec9e7a88def3ap-12, 0x1.ecbeb54d8a571p-12, 0x1.eccb32552803fp-12, 0x1.ecc350ba386fp-12, 0x1.eca7fc1f45cc6p-12, 0x1.ec7828f02e4bfp-12, 0x1.ec34b2ac88209p-12, 0x1.ebdddf1434b92p-12, 0x1.eb73b0a510f36p-12, 0x1.eaf5a5a980a3ep-12, 0x1.ea6352cf22ebp-12, 0x1.e9bcbd51026c1p-12, 0x1.e901dd7011309p-12, 0x1.e833b52b2072fp-12, 0x1.e751f677ac57dp-12, 0x1.e65cac6570966p-12, 0x1.e55413fb49e8p-12, 0x1.e437e3437cb8ap-12, 0x1.e307d86051385p-12, 0x1.e1c478f30ae2ap-12, 0x1.e06e243f65442p-12, 0x1.df0511b833a36p-12, 0x1.dd89399b9f1e8p-12, 0x1.dbfb5414ea805p-12, 0x1.da5b4b5b974p-12, 0x1.d8a9655d5f2dcp-12, 0x1.d6e57fe8b4a0ep-12, 0x1.d510661384ecap-12, 0x1.d329f0fa69173p-12, 0x1.d1325320c0d5p-12, 0x1.cf2a088e8454fp-12, 0x1.cd111f9d875c4p-12, 0x1.cae8219e69138p-12, 0x1.c8af9f498fcadp-12, 0x1.c66752852a529p-12, 0x1.c40f7d1ce26f8p-12, 0x1.c1a852216cdadp-12, 0x1.bf325f499391ap-12, 0x1.bcadbbd8e1ec3p-12, 0x1.ba1adb115d3e8p-12, 0x1.b77a2afed0dbdp-12, 0x1.b4cbec75ff6ap-12, 0x1.b210352dab5ep-12, 0x1.af47571f18853p-12, 0x1.ac71beb5bb8f4p-12, 0x1.a98fb473cc254p-12, 0x1.a6a1a119dfb4fp-12, 0x1.a3a7b577daf13p-12, 0x1.a0a24d5c92494p-12, 0x1.9d91586fba5e7p-12, 0x1.9a75ad9e80748p-12, 0x1.974f7c29f6638p-12, 0x1.941f00d159636p-12, 0x1.90e47d4be209fp-12, 0x1.8da045bc692a4p-12, 0x1.8a5297fcb3585p-12, 0x1.86fbe57c8bf5bp-12, 0x1.839c782694d1p-12, 0x1.80345431108bp-12, 0x1.7cc4240c90d2cp-12, 0x1.794bffd2fdd04p-12, 0x1.75cc5793e75f7p-12, 0x1.724559fa8708cp-12, 0x1.6eb758b634062p-12, 0x1.6b229ee71c967p-12, 0x1.67876e8478814p-12, 0x1.63e607d288f4ep-12, 0x1.603eeb696be56p-12, 0x1.5c92046a56db8p-12, 0x1.58dfc9e569c93p-12, 0x1.552884864f45cp-12, 0x1.516c8ebccad17p-12, 0x1.4dac083d35a6bp-12, 0x1.49e735a099c67p-12, 0x1.461dbda27752cp-12, 0x1.4251cb1bed8edp-12, 0x1.3e81d423fc08cp-12, 0x1.3aae794c4362cp-12, 0x1.36d8417acfa6ap-12, 0x1.32ff4b382fc41p-12, 0x1.2f23d44dfdf37p-12, 0x1.2b4626587eba8p-12, 0x1.27666ff2320f3p-12, 0x1.2384d40a9b058p-12, 0x1.1fa1b3243a639p-12, 0x1.1bbd44f7fdd4fp-12, 0x1.17d7af39eca6bp-12, 0x1.13f1422e8587ap-12, 0x1.100a20afa737bp-12, 0x1.0c226fa74a057p-12, 0x1.083a8dab0c035p-12, 0x1.04528e3a39bcfp-12, 0x1.006ab3e6379f8p-12, 0x1.f90633819bb6ap-13, 0x1.f138121aedafap-13, 0x1.e96bb89ee1d69p-13, 0x1.e1a0f19afed42p-13, 0x1.d9d825e452063p-13, 0x1.d211ee3979363p-13, 0x1.ca4e8d2bfcd8cp-13, 0x1.c28eaac872fdfp-13, 0x1.bad225b06a88cp-13, 0x1.b3198a81a80fcp-13, 0x1.ab654c1cb6e83p-13, 0x1.a3b53db751e5fp-13, 0x1.9c098f026dc5bp-13, 0x1.94643169a155dp-13, 0x1.8cc3b500bc8f3p-13, 0x1.8528c722c9de1p-13, 0x1.7d942602e598fp-13, 0x1.76055b9bdd5f4p-13, 0x1.6e7d5ecf853dep-13, 0x1.66fc37bd3ffadp-13, 0x1.5f823bcc0f16ap-13, 0x1.580f5aa41b63ep-13, 0x1.50a409d6ab3e3p-13, 0x1.4940b0f4212e8p-13, 0x1.41e5156bfc1cfp-13, 0x1.3a91ba22faa23p-13, 0x1.33470ea30e695p-13, 0x1.2c05213bb1cp-13, 0x1.24cbf56400f73p-13, 0x1.1d9beb0fbff9dp-13, 0x1.16752be5b8d95p-13, 0x1.0f57b3b73ee8ap-13, 0x1.084462b075a2ep-13, 0x1.013a84150286dp-13, 0x1.f475865d95dd1p-14, 0x1.e68a5a8b28649p-14, 0x1.d8b4621d71613p-14, 0x1.caf2b1fe79155p-14, 0x1.bd46a2abe409fp-14, 0x1.afb00dd94a1dcp-14, 0x1.a22f5bc70b803p-14, 0x1.94c4e19cdbc2dp-14, 0x1.877180293be6ap-14, 0x1.7a34511a688d3p-14, 0x1.6d0df47ed610fp-14, 0x1.5ffe28d8b3a54p-14, 0x1.53060470c96e5p-14, 0x1.462649b8ec428p-14, 0x1.395dfbeba9853p-14, 0x1.2cad8cae5c12ap-14, 0x1.20155d0ada6eep-14, 0x1.1395893a1cc26p-14, 0x1.072e349a8f57ep-14, 0x1.f5bf51e11bbdcp-15, 0x1.dd540c9b73fddp-15, 0x1.c51ac2aa2ca53p-15, 0x1.ad13a891647e2p-15, 0x1.953f13f32b709p-15, 0x1.7d9d4ac90b778p-15, 0x1.662f1dd0aa9bp-15, 0x1.4ef387abcf02fp-15, 0x1.37ec00b4d4c47p-15, 0x1.21178b4960a8fp-15, 0x1.0a7659267a613p-15, 0x1.e814284901735p-16, 0x1.bba4c48697dd3p-16, 0x1.8f9c4fd0d63edp-16, 0x1.63f9b403bf19cp-16, 0x1.38c5c74fa4e35p-16, 0x1.0df860461b8ebp-16, 0x1.c729e4cc8a7c2p-17, 0x1.7335717244264p-17, 0x1.2012bf0a44c87p-17, 0x1.9b865d137505bp-18, 0x1.f11ffc888bc4dp-19, 0x1.5d02750f44c86p-20, -0x1.2184c86334152p-20, -0x1.cccbb2c7e2cfbp-19, -0x1.82c04c6d5cb4bp-18, -0x1.0eb9a439c1e46p-17, -0x1.5b3f059e7de24p-17, -0x1.a6f3123b8bf95p-17, -0x1.f1d1d6175fbc7p-17, -0x1.1deee358feef9p-16, -0x1.428c72b4e89ep-16, -0x1.66c0bd74c7f94p-16, -0x1.8a8cce9db2b2dp-16, -0x1.adee87dea39dap-16, -0x1.d0e840b301097p-16, -0x1.f379cca509715p-16, -0x1.0ad4d07f4e761p-15, -0x1.1bb21bd04c369p-15, -0x1.2c5f0d5ecdbp-15, -0x1.3cd81d2d6d72p-15, -0x1.4d1e6d623f8bbp-15, -0x1.5d3165c571809p-15, -0x1.6d10a457b38d3p-15, -0x1.7cbbcbce93b45p-15, -0x1.8c3582fb5b1a2p-15, -0x1.9b7c34c1d46fap-15, -0x1.aa90a0348599p-15, -0x1.b9721afc68216p-15, -0x1.c8221c46e1413p-15, -0x1.d6a03ec724c49p-15, -0x1.e4ec79210db3dp-15, -0x1.f306984af5e8bp-15, -0x1.0077e8066ed4ep-14, -0x1.07545a6c89348p-14, -0x1.0e1842a653d7cp-14, -0x1.14c39cca584f5p-14, -0x1.1b56bc4b2210ep-14, -0x1.21d219e6b9697p-14, -0x1.283578a2fbfa4p-14, -0x1.2e81793c387d4p-14, -0x1.34b4f57e467b6p-14, -0x1.3ad12e246f4eep-14, -0x1.40d6036bd6737p-14, -0x1.46c3975e97de5p-14, -0x1.4c9a1aabd0299p-14, -0x1.52597ad0a3309p-14, -0x1.580234d55039p-14, -0x1.5d93d04323cbcp-14, -0x1.630ef7795934bp-14, -0x1.6873ba9316ee8p-14, -0x1.6dc1b4eb3fa4p-14, -0x1.72fa20da684dp-14, -0x1.781c6059f8731p-14, -0x1.7d28ed0e74916p-14, -0x1.821d0ff6b4e06p-14, -0x1.870006b3e30a2p-14, -0x1.8bcb7fd9849ecp-14, -0x1.908193ac6958fp-14, -0x1.9523047a0865bp-14, -0x1.99aeeeb880b42p-14, -0x1.9e261dfc83cf7p-14, -0x1.a288695f49043p-14, -0x1.a6d66d5acbabdp-14, -0x1.ab101b8266aeep-14, -0x1.af3584c30f5c9p-14, -0x1.b346f4dd2e495p-14, -0x1.b7443ccb13f7p-14, -0x1.bb2d890f3078cp-14, -0x1.bf039b6ec1fd6p-14, -0x1.c2c620e01e144p-14, -0x1.c675945bfc5eep-14, -0x1.ca11a88bf0cedp-14, -0x1.cd9abcc1290a6p-14, -0x1.d1111b6a7cc74p-14, -0x1.d474c9b9ff2c9p-14, -0x1.d7c5f01930462p-14, -0x1.db04be80222a8p-14, -0x1.de3167f0f48a4p-14, -0x1.e14c22903312cp-14, -0x1.e454faf2c368fp-14, -0x1.e74c92b038c82p-14, -0x1.ea312bcf6b0d5p-14, -0x1.ed056fcfd77d7p-14, -0x1.efc840e7dcb82p-14, -0x1.f27a82cb2e4dbp-14, -0x1.f51b630bbe9d8p-14, -0x1.f7ab40423ef4bp-14, -0x1.fa2ab303a0fc5p-14, -0x1.fc9a11862b9dep-14, -0x1.fef9054f0a4f5p-14, -0x1.00a43044d721bp-13, -0x1.01c32845ce36bp-13, -0x1.02da89ef7fb83p-13, -0x1.03ea4c7c33572p-13, -0x1.04f2251c4cde2p-13, -0x1.05f283e1c934ep-13, -0x1.06eb0c6c610fcp-13, -0x1.07dc39d0a9c3fp-13, -0x1.08c5e65a28465p-13, -0x1.09a811513dd16p-13, -0x1.0a82206542f2p-13, -0x1.0b570da3cd518p-13, -0x1.0c23e580bb0d6p-13, -0x1.0ce9716e9d90bp-13, -0x1.0da8144d137f6p-13, -0x1.0e5fc7e31ae56p-13, -0x1.0f10c37212845p-13, -0x1.0fbae43ac7116p-13, -0x1.105e64d6b0ad4p-13, -0x1.10fb4a513fb0ep-13, -0x1.1191a34774e06p-13, -0x1.12217fcfa968fp-13, -0x1.12ab0d63aa7acp-13, -0x1.132e3bf72b5d9p-13, -0x1.13ab21d080d9cp-13, -0x1.1421e87c1c69ap-13, -0x1.14928fe2f6d6cp-13, -0x1.14fd3a20f39b4p-13, -0x1.1561ce9b634f1p-13, -0x1.15c0d3a9d42dbp-13, -0x1.1619df2fab6d3p-13, -0x1.166cf603aa055p-13, -0x1.16ba8b82f47d2p-13, -0x1.17028d582a4b6p-13, -0x1.1745046aaa3b6p-13, -0x1.17820785078bp-13, -0x1.17b97b502ecfbp-13, -0x1.17ebcce180174p-13, -0x1.1818ab410f229p-13, -0x1.18408f824011dp-13, -0x1.18632cca3e6d6p-13, -0x1.1880bcb226146p-13, -0x1.18995978ed6dcp-13, -0x1.18ace34c0042cp-13, -0x1.18bb9736fc9f7p-13, -0x1.18c595183554dp-13, -0x1.18cac428762bbp-13, -0x1.18cb70c04e743p-13, -0x1.18c7554a2a8d9p-13, -0x1.18be3e21fc0b9p-13, -0x1.18b0fefa974fdp-13, -0x1.189fd71add16cp-13, -0x1.188a8b78a97e8p-13, -0x1.186faaf6a7c35p-13, -0x1.18512ad3b5605p-13, -0x1.182e70db6ac3bp-13, -0x1.1807aaba74a02p-13, -0x1.17dcb9f5f6136p-13, -0x1.17addea7d2bap-13, -0x1.177b25cb2622ep-13, -0x1.17444cfcc923bp-13, -0x1.170991fe26e1ep-13, -0x1.16cb41dc96915p-13, -0x1.1689268cdb65ap-13, -0x1.16435e1ae3748p-13, -0x1.15f9fcba0112bp-13, -0x1.15ace607dd3f6p-13, -0x1.155c860e47e2bp-13, -0x1.15088f389731dp-13, -0x1.14b14c15c18e6p-13, -0x1.1456a0ec8edf2p-13, -0x1.13f8a4fef2026p-13, -0x1.1397616271681p-13, -0x1.1333113eb5fc4p-13, -0x1.12cb85a0f6ebap-13, -0x1.1260c95089d04p-13, -0x1.11f32acbbaf64p-13, -0x1.11828448acbf1p-13, -0x1.110f5b0abd966p-13, -0x1.10988ecf0554bp-13, -0x1.101f3b06e76f2p-13, -0x1.0fa2f74daf6b3p-13, -0x1.0f242a36c0a7p-13, -0x1.0ea2919e5cbe9p-13, -0x1.0e1e9454e98bdp-13, -0x1.0d979798093dap-13, -0x1.0d0e4e41f5951p-13, -0x1.0c8246ac66a42p-13, -0x1.0bf3fb97a4802p-13, -0x1.0b63487848675p-13, -0x1.0acfea91998edp-13, -0x1.0a3aa3fd618bcp-13, -0x1.09a2ceb766472p-13, -0x1.0908c5716da95p-13, -0x1.086c7f35b5dcp-13, -0x1.07ce600ce9b14p-13, -0x1.072db7b001c9ap-13, -0x1.068b214130defp-13, -0x1.05e67e0bad81ap-13, -0x1.053fd81de6a96p-13, -0x1.049744c727c5ep-13, -0x1.03ecb91703bbp-13, -0x1.0340519adb24dp-13, -0x1.0292256ed9d9cp-13, -0x1.01e218ffc3eccp-13, -0x1.013047c991bb9p-13, -0x1.007cc96e763c8p-13, -0x1.ff8f2cba26a45p-14, -0x1.fe21721c91115p-14, -0x1.fcb0829280b2ep-14, -0x1.fb3c5f192e592p-14, -0x1.f9c520f9acb46p-14, -0x1.f84ae5bf254e4p-14, -0x1.f6cdb32111332p-14, -0x1.f54da256d5dbdp-14, -0x1.f3cabe62efc99p-14, -0x1.f24516f85e88bp-14, -0x1.f0bce990e448p-14, -0x1.ef31b6a956582p-14, -0x1.eda48c0b9d73cp-14, -0x1.ec1473c9c0a6ep-14, -0x1.ea824c72225d3p-14, -0x1.e8ed97cb592dp-14, -0x1.e7567bf2b261p-14, -0x1.e5bd792461851p-14, -0x1.e421bbf87d3efp-14, -0x1.e283a890bacd4p-14, -0x1.e0e494b17b739p-14, -0x1.df43556589f18p-14, -0x1.dda001c3b2b75p-14, -0x1.dbfa76a3ca661p-14, -0x1.da533d9f5711p-14, -0x1.d8aa4c4b3afcap-14, -0x1.d6ffa753ac85ep-14, -0x1.d5560f57a6294p-14, -0x1.d3a570f41abaep-14, -0x1.d1f604964966cp-14, -0x1.d04510e080848p-14, -0x1.ce9294a653351p-14, -0x1.ccdeeae3bf2ap-14, -0x1.cb29e9d5ce416p-14, -0x1.c973847cc1c64p-14, -0x1.c7bb77eb7aa01p-14, -0x1.c603000fb4372p-14, -0x1.c448ebc836993p-14, -0x1.c28dced1b3a94p-14, -0x1.c0d1fa39bce0fp-14, -0x1.bf14dec2d2eadp-14, -0x1.bd56a2c65ef7cp-14, -0x1.bb978b0a089d1p-14, -0x1.b9d7cef51c5f2p-14, -0x1.b8174fa57686ep-14, -0x1.b655d984fb1bep-14, -0x1.b493893628d94p-14, -0x1.b2d0ca7e66f46p-14, -0x1.b10d4a7220248p-14, -0x1.af493cc9404dp-14, -0x1.ad846c1fb4bc1p-14, -0x1.abbf295737f3p-14, -0x1.a9f960983a63dp-14, -0x1.a833503201872p-14, -0x1.a66cdb416533cp-14, -0x1.a4a5d935490fep-14, -0x1.a2de9e3aff48ep-14, -0x1.a11703bbd0b72p-14, -0x1.9f4f2da1a4869p-14, -0x1.9d87357772165p-14, -0x1.9bbeb9ef40cd9p-14, -0x1.99f74eaa3ed8ap-14, -0x1.982d7b88c69d3p-14, -0x1.966568bc6c7f7p-14, -0x1.949c66d9cc8d7p-14, -0x1.92d3ce899fe85p-14, -0x1.910b1799ac068p-14, -0x1.8f42691083073p-14, -0x1.8d79d181765c1p-14, -0x1.8bb11c4ba51aep-14, -0x1.89e91a8cd0d22p-14, -0x1.8820947670de8p-14, -0x1.865895b4309cp-14, -0x1.8490e5c995b57p-14, -0x1.82c97e75fac03p-14, -0x1.8101e818b568p-14, -0x1.7f3af851cd033p-14, -0x1.7d7460b9f65cp-14, -0x1.7bae1cebf29adp-14, -0x1.79e83fdc86e0ep-14, -0x1.7822cb35916b9p-14, -0x1.765daa3760f4ep-14, -0x1.7498fdbbd403cp-14, -0x1.72d448e88329ap-14, -0x1.7111677b4452dp-14, -0x1.6f4e3d429f1eap-14, -0x1.6d8bcc2ae3cd8p-14, -0x1.6bc9efc84f6e2p-14, -0x1.6a08a4caefc79p-14, -0x1.684800f1b95a9p-14, -0x1.6687e6c0e9f7ap-14, -0x1.64c929a4c1ebcp-14, -0x1.6309b1d3c9d8p-14, -0x1.614bfbe5ca96ep-14, -0x1.5f8ebfcab4e39p-14, -0x1.5dd20ba80dc7dp-14, -0x1.5c15aaa3aad3bp-14, -0x1.5a5b79b2db9fbp-14, -0x1.58a129f7144e5p-14, -0x1.56e82907477a1p-14, -0x1.552fbf291e51cp-14, -0x1.53781b1399e3p-14, -0x1.51c12ef3d5d3fp-14, -0x1.500b50e71a857p-14, -0x1.4e56a664d0acap-14, -0x1.4ca24035783d2p-14, -0x1.4aef9ecbe1d54p-14, -0x1.493dc96122f88p-14, -0x1.478c7ab9eb461p-14, -0x1.45dca8ed94b3cp-14, -0x1.442bc5a6675fcp-14, -0x1.427f9b75661p-14, -0x1.40d24637365a9p-14, -0x1.3f268092cba2ep-14, -0x1.3d7bb8418a2fep-14, -0x1.3bd1d33e41c96p-14, -0x1.3a28fef3a55f9p-14, -0x1.38811d2bc7541p-14, -0x1.36db1137630b9p-14, -0x1.35361720491a6p-14, -0x1.339170b8a3862p-14, -0x1.31ee7a70b4f34p-14, -0x1.304ca9e3d3295p-14, -0x1.2eac0220ef37fp-14, -0x1.2d0c9da3151e2p-14, -0x1.2b6e19ae20e5fp-14, -0x1.29d01bd75d92cp-14, -0x1.283558ae1f827p-14, -0x1.269aad1d921f6p-14, -0x1.250119bb0b2p-14, -0x1.236902ea2dcfdp-14, -0x1.21d23b2fdd06ap-14, -0x1.203ca6d347b5fp-14, -0x1.1ea9760f9cbe8p-14, -0x1.1d1514f7b1455p-14, -0x1.1b83c149d520fp-14, -0x1.19f2fdaca6caap-14, -0x1.1863746f8010dp-14, -0x1.16d61d529815dp-14, -0x1.1549783f74b9bp-14, -0x1.13be93a39836p-14, -0x1.12348c897043p-14, -0x1.10ac1aa313539p-14, -0x1.0f24948b60b44p-14, -0x1.0d9f70862af67p-14, -0x1.0c1b06666a959p-14, -0x1.0a97f851f0bedp-14, -0x1.09166a865ae8p-14, -0x1.07963426c7e4ap-14, -0x1.061730cbadce9p-14, -0x1.0499b85487be6p-14, -0x1.031dd7de940bcp-14, -0x1.01a3471ca693bp-14, -0x1.002bc30662b39p-14, -0x1.fd6420db41496p-15, -0x1.fa77ab6744626p-15, -0x1.f78d728f733d3p-15, -0x1.f4a65856de5eep-15, -0x1.f1c1ea2ccf3dbp-15, -0x1.eee11f8cb135p-15, -0x1.ec0270dc5ee47p-15, -0x1.e926afbddbbc4p-15, -0x1.e64e5779301dcp-15, -0x1.e3789b365d236p-15, -0x1.e0a560899996ap-15, -0x1.ddd56f96747a4p-15, -0x1.db08b1861e946p-15, -0x1.d83e04bb0e9d6p-15, -0x1.d577021618b51p-15, -0x1.d2b2dab52a418p-15, -0x1.cff1b870bc65p-15, -0x1.cd36183718e5bp-15, -0x1.ca77756578207p-15, -0x1.c7bec18763065p-15, -0x1.c5096ca7457a2p-15, -0x1.c256d1553ca5cp-15, -0x1.bfaa9d67d50aap-15, -0x1.bcfad6f79b66fp-15, -0x1.ba507fe391b19p-15, -0x1.b7a9705b7a50cp-15, -0x1.b505a71b70f47p-15, -0x1.b265894879319p-15, -0x1.afc72b92e8d42p-15, -0x1.ad2a916cc10d2p-15, -0x1.aa93f3024ca27p-15, -0x1.a7ff13dd601f7p-15, -0x1.a56cc493af224p-15, -0x1.a2ddeb422d69p-15, -0x1.a051a806a565ep-15, -0x1.9dc83f0dd78dcp-15, -0x1.9b41ca96595c9p-15, -0x1.98bee4950b2c2p-15, -0x1.963ea17954fe7p-15, -0x1.93c1175008cd3p-15, -0x1.914699574eb23p-15, -0x1.8ecfae1243765p-15, -0x1.8c5daaaa35ac9p-15, -0x1.89e911ea706cap-15, -0x1.877ac07ffea8fp-15, -0x1.850ed02f0e82dp-15, -0x1.82a61f0caa5ebp-15, -0x1.803ff7e95ae0bp-15, -0x1.7ddc2891a28b9p-15, -0x1.7b7dad18702bcp-15, -0x1.792090c077cffp-15, -0x1.76c6788c604aap-15, -0x1.746f52e05f86dp-15, -0x1.721b14ade61a3p-15, -0x1.6fc9bd6188931p-15, -0x1.6d7b745770286p-15, -0x1.6b2ec33fd2934p-15, -0x1.68e5ee8c2789cp-15, -0x1.66a1f34d26946p-15, -0x1.645ecc82b2619p-15, -0x1.621d7f85f8cb5p-15, -0x1.5fe210557419ep-15, -0x1.5da7921a02fcdp-15, -0x1.5b7009568ea3dp-15, -0x1.593bdf200331ap-15, -0x1.570a4b290fe51p-15, -0x1.54db9335a3b71p-15, -0x1.52afd58876641p-15, -0x1.5086d42a593c2p-15, -0x1.4e60856ca61e2p-15, -0x1.4c3d51f2fda23p-15, -0x1.4a1cc0df6662ep-15, -0x1.47feafc611963p-15, -0x1.45e42fa2d7c45p-15, -0x1.43cc14543907cp-15, -0x1.41b67d1c981b4p-15, -0x1.3fa3f83974aafp-15, -0x1.3d94a272e1222p-15, -0x1.3b87b70282fdp-15, -0x1.397d38e4342b2p-15, -0x1.3775f1bb6c7a4p-15, -0x1.35713f30f6cbp-15, -0x1.336f57000f2ap-15, -0x1.31703e8333224p-15, -0x1.2f73eb2acb62fp-15, -0x1.2d7a33e8ea5a1p-15, -0x1.2b848cfcd367p-15, -0x1.298efaa09bae4p-15, -0x1.279d7215d245dp-15, -0x1.25aec53c1c837p-15, -0x1.23c2159ae47b9p-15, -0x1.21d8a5333310ep-15, -0x1.1ff1e8ecbcde3p-15, -0x1.1e0e57373f536p-15, -0x1.1c2c3b477b171p-15, -0x1.1a4d9403fce2bp-15, -0x1.18711b9e890e4p-15, -0x1.1697b9ff0e41dp-15, -0x1.14c0d99cf189fp-15, -0x1.12ec86ef0025dp-15, -0x1.111ae2d521582p-15, -0x1.0f4b9257036d3p-15, -0x1.0d7efa58a3977p-15, -0x1.0bb327f2a6912p-15, -0x1.09edd0352842ap-15, -0x1.0828ec29af72ep-15, -0x1.0666768442cb2p-15, -0x1.04a6b7ee746adp-15, -0x1.02e9f68f17498p-15, -0x1.012ee4dbd71bdp-15, -0x1.feed872a8f1d1p-16, -0x1.fb8230274f4b6p-16, -0x1.f81bb50301d2ep-16, -0x1.f4ba5604e974ep-16, -0x1.f15dffa621fcp-16, -0x1.ee06bcf90064ep-16, -0x1.eab4457c050aep-16, -0x1.e76687cbdc3dap-16, -0x1.e41e035eb89efp-16, -0x1.e0dc52df9503p-16, -0x1.dd9debeedb5c6p-16, -0x1.da60ddcf6f33fp-16, -0x1.d72bdc4d2a8ddp-16, -0x1.d3fab01757dap-16, -0x1.d0cf4463c89c3p-16, -0x1.cda838cf87e75p-16, -0x1.ca85de926316dp-16, -0x1.c767756dc2325p-16, -0x1.c44f4747c779dp-16, -0x1.c13b9a00790dcp-16, -0x1.be2b8291fd34fp-16, -0x1.bb20c849063d1p-16, -0x1.b81a0e3cad42dp-16, -0x1.b51881878c0f7p-16, -0x1.b21b7fa615ebdp-16, -0x1.af22dd2c3ccf8p-16, -0x1.ac2f3d0380b45p-16, -0x1.a93f54468aa16p-16, -0x1.a65481825d98fp-16, -0x1.a36ddae7bce0dp-16, -0x1.a08c5e540f915p-16, -0x1.9dae7c4924847p-16, -0x1.9ad51d2f91639p-16, -0x1.9800da347003fp-16, -0x1.9530948d5f539p-16, -0x1.92641eb2e1cacp-16, -0x1.8f9c91d342a37p-16, -0x1.8cd954ca4467bp-16, -0x1.8a1a42da23401p-16, -0x1.875ff97c570ap-16, -0x1.84a94dcac12adp-16, -0x1.81f70c46bea5p-16, -0x1.7f4915621ffep-16, -0x1.7c9f5afe1a877p-16, -0x1.79f9cd9f0de08p-16, -0x1.7758897b5213cp-16, -0x1.74bb1c90bbff7p-16, -0x1.722205e2a3e3fp-16, -0x1.6f8cdfe8edefbp-16, -0x1.6cfcbcab2ec52p-16, -0x1.6a7098c32807ap-16, -0x1.67e6994c71c31p-16, -0x1.656222b50a8d3p-16, -0x1.62e1a9ed5aed2p-16, -0x1.6064058a468d8p-16, -0x1.5debcbd5db993p-16, -0x1.5b774eadd5e6p-16, -0x1.5906c7d088c7ep-16, -0x1.5699bc1064e1bp-16, -0x1.54304d9953322p-16, -0x1.51cc1298ce259p-16, -0x1.4f6a820573704p-16, -0x1.4d0d34e3368adp-16, -0x1.4ab36cf4f12f8p-16, -0x1.485a4260e1b2dp-16, -0x1.460ba50e85ee9p-16, -0x1.43bd6a725fdf6p-16, -0x1.41737fd8cf3f5p-16, -0x1.3f2c8ff4febbap-16, -0x1.3ce9463f3d9e4p-16, -0x1.3aa9dda9b89f1p-16, -0x1.386eb4f22b768p-16, -0x1.3636bdbdeba24p-16, -0x1.34024ac95e52cp-16, -0x1.31d1837da35bep-16, -0x1.2fa4a807afb6ap-16, -0x1.2d7ae85ee2acep-16, -0x1.2b54e1d3b2c29p-16, -0x1.29325c4f71cddp-16, -0x1.271403226881ap-16, -0x1.24f7e71197682p-16, -0x1.22e024cb0d8e1p-16, -0x1.20cbfeec810fbp-16, -0x1.1ebb17ff78b01p-16, -0x1.1cad0e6ff7268p-16, -0x1.1aa2ecff9b60ep-16, -0x1.189cbb121f2bp-16, -0x1.16991db25485ap-16, -0x1.149944991cb21p-16, -0x1.129c3dab5d1b6p-16, -0x1.10a30135b647bp-16, -0x1.0eaf19e6364ap-16, -0x1.0cba1615b767ep-16, -0x1.0acac9b4d87f2p-16, -0x1.08dea5bd28239p-16, -0x1.06f5cd770121p-16, -0x1.050fe2a3082a3p-16, -0x1.032d4e6f39c02p-16, -0x1.014e015fa1ebdp-16, -0x1.fee3af050ec52p-17, -0x1.fb30b7d5f538ap-17, -0x1.f7852e9ea927ep-17, -0x1.f3e02020e4035p-17, -0x1.f0408ce0e709ap-17, -0x1.eca5fdf819645p-17, -0x1.e913ca81d65a4p-17, -0x1.e58712ebc7982p-17, -0x1.e2001f28605fp-17, -0x1.de7cdc7cdf544p-17, -0x1.daffedc28913ep-17, -0x1.d78fa54edbdap-17, -0x1.d41f754e0c678p-17, -0x1.d0b5e0e1fc767p-17, -0x1.cd520bdfcd406p-17, -0x1.c9f48ee284274p-17, -0x1.c69d4445879d6p-17, -0x1.c34b1f882406ep-17, -0x1.bffe26312d71dp-17, -0x1.bcb74cab30075p-17, -0x1.b9770ed8aececp-17, -0x1.b63b58540470cp-17, -0x1.b305483b1cb1p-17, -0x1.afd4ecf8a4f82p-17, -0x1.acaa83be3d42p-17, }}, 
      {{-0x1.742754d54478ap-2, -0x1.4328bfd4d2103p-3, 0x1.0368b2beb0375p-4, 0x1.1ef744fb98a42p-2, 0x1.ec7a43deafe43p-2, 0x1.5148b5703f127p-1, 0x1.9f12fe13363a5p-1, 0x1.df4f6433869acp-1, 0x1.093f6fd519e91p+0, 0x1.1ccfd7845d3a8p+0, 0x1.2afa7ec5ebd76p+0, 0x1.346ffb7e4b62bp+0, 0x1.39e2c285d259dp+0, 0x1.3bfe9a93d3e74p+0, 0x1.3b6357f1bfe66p+0, 0x1.38a1ec6b1b5e6p+0, 0x1.343b16146f9ddp+0, 0x1.2e9f2926b117p+0, 0x1.282e937a23307p+0, 0x1.213ad4263fe6dp+0, 0x1.1a07b519b7b84p+0, 0x1.12cca43a69ea6p+0, 0x1.0bb613d980c7ap+0, 0x1.04e6d38567775p+0, 0x1.fcf2ae3ad05d7p-1, 0x1.f101cd7780fc6p-1, 0x1.e61567e57da0dp-1, 0x1.dc3da748d3a8fp-1, 0x1.d38238aa68d8fp-1, 0x1.cbe3d4803b26bp-1, 0x1.c55d95e9a161cp-1, 0x1.bfe624b5086dfp-1, 0x1.bb70b6c5b812ep-1, 0x1.b7edec5ff8d47p-1, 0x1.b54c8b8bad06dp-1, 0x1.b37a1e0e3224p-1, 0x1.b263757366bfcp-1, 0x1.b1f5185176abdp-1, 0x1.b21b9b740d6efp-1, 0x1.b2c3e9fb23805p-1, 0x1.b3db7e66b9514p-1, 0x1.b5508ea41e5d5p-1, 0x1.b7122d806710dp-1, 0x1.b910629352244p-1, 0x1.bb3c3a7067d12p-1, 0x1.bd87d05c7770ap-1, 0x1.bfe65292835e8p-1, 0x1.c24c02268dd52p-1, 0x1.c4ae2f5c36c1dp-1, 0x1.c7033327b5c95p-1, 0x1.c942667e9801p-1, 0x1.cb64180151a21p-1, 0x1.cd61807296899p-1, 0x1.cf34b6431a54bp-1, 0x1.d0d8a0c556f87p-1, 0x1.d248eaf4d771cp-1, 0x1.d381f64a01615p-1, 0x1.d480cd9df72e6p-1, 0x1.d54318527b2c4p-1, 0x1.d5c70db9211b9p-1, 0x1.d60b68fd91e89p-1, 0x1.d60f5d6f5d586p-1, 0x1.d5d28b54f8931p-1, 0x1.d554f546d0818p-1, 0x1.d496f617c1a14p-1, 0x1.d3993757c3d53p-1, 0x1.d25ca86612b1bp-1, 0x1.d0e27619b1b58p-1, 0x1.cf2c02fbd67bp-1, 0x1.cd3ae011d6363p-1, 0x1.cb10c63293565p-1, 0x1.c8af8fd96aa9ep-1, 0x1.c6193385b18c2p-1, 0x1.c34fbe7cee1afp-1, 0x1.c0555036075p-1, 0x1.bd2c15caa9ad2p-1, 0x1.b9d6463e7c746p-1, 0x1.b6561ee09d3fep-1, 0x1.b2addffed07d1p-1, 0x1.aedfca4e023acp-1, 0x1.aaee1be39ac46p-1, 0x1.a6db0e587b222p-1, 0x1.a2a8d49a9b918p-1, 0x1.9e5999235e062p-1, 0x1.99ef7c9060346p-1, 0x1.956c942ed2059p-1, 0x1.90d2e8eee9bfep-1, 0x1.8c2476596baf7p-1, 0x1.876329d1ce3cep-1, 0x1.8290e1fc62148p-1, 0x1.7daf6df9658abp-1, 0x1.78c08d65903f3p-1, 0x1.73c5efcccbff7p-1, 0x1.6ec134972d8p-1, 0x1.69b3eafe36ec2p-1, 0x1.649f91fd6bc56p-1, 0x1.5f859861f6d9cp-1, 0x1.5a675cfcf4013p-1, 0x1.55462eb2e5eb7p-1, 0x1.50234cc90b0cep-1, 0x1.4affe717ecd9dp-1, 0x1.45dd1e58a6304p-1, 0x1.40bc048dfbf4p-1, 0x1.3b9d9d330afd5p-1, 0x1.3682ddd4cbf0ep-1, 0x1.316cae5a6f297p-1, 0x1.2c5be961aef0cp-1, 0x1.27515cd8c7e3fp-1, 0x1.224dca22c1d85p-1, 0x1.1d51e6c8aba53p-1, 0x1.185e5cc3c234fp-1, 0x1.1373caed125e2p-1, 0x1.0e92c5636fbbap-1, 0x1.09bbd5fd3bd69p-1, 0x1.04ef7cabf2d97p-1, 0x1.002e2feb44a18p-1, 0x1.f6f0ba2d9c3b9p-2, 0x1.ed9cd1b9a8402p-2, 0x1.e4615f47715e6p-2, 0x1.db3f0bb9dcac4p-2, 0x1.d23670d362748p-2, 0x1.c94819e2fd636p-2, 0x1.c0748485053cfp-2, 0x1.b7bc2134fae2bp-2, 0x1.af1f541370f0ep-2, 0x1.a69e75482f25ap-2, 0x1.9e39d1eb27024p-2, 0x1.95f1ac47757e9p-2, 0x1.8dc63ca74be3bp-2, 0x1.85b7b1aa3d622p-2, 0x1.7dc630efaacfbp-2, 0x1.75f1d765e089ap-2, 0x1.6e3aba01e98ddp-2, 0x1.66a0e5e8e4bd4p-2, 0x1.5f24612a39f75p-2, 0x1.57c52aeba40dbp-2, 0x1.50833bf66caaep-2, 0x1.495e871b64fe5p-2, 0x1.4256f94be1601p-2, 0x1.3b6c7a5a0202fp-2, 0x1.349eed1da2c13p-2, 0x1.2dee2f9e8af48p-2, 0x1.275a1bab4d1abp-2, 0x1.20e286e716ddbp-2, 0x1.1a874348d22dbp-2, 0x1.14481f18845bp-2, 0x1.0e24e565406edp-2, 0x1.081d5e2ded7e8p-2, 0x1.02314ea904789p-2, 0x1.f8c0f2c9d1929p-3, 0x1.ed553d659ae0ep-3, 0x1.e21ef889dcce8p-3, 0x1.d71d9c54dfe45p-3, 0x1.cc509cf1ccc31p-3, 0x1.c1b76b2281aa4p-3, 0x1.b7517487bce74p-3, 0x1.ad1e2414c63ep-3, 0x1.a31ce2519525bp-3, 0x1.994d1570c901ep-3, 0x1.8fae21b02b99ap-3, 0x1.863f69a8ecd96p-3, 0x1.7d004e699926ap-3, 0x1.73f02fa7f9c8fp-3, 0x1.6b0e6c3aaac47p-3, 0x1.625a61d767d77p-3, 0x1.59d36d9e14fd7p-3, 0x1.5178ec2b59846p-3, 0x1.494a39beacd8p-3, 0x1.4146b219fb39ep-3, 0x1.396db164705e2p-3, 0x1.31be937fd0be6p-3, 0x1.2a38b484fa3e7p-3, 0x1.22db710448ee5p-3, 0x1.1ba625ba086e8p-3, 0x1.149830239bc6ep-3, 0x1.0db0ee46a98bp-3, 0x1.06efbee53c67ap-3, 0x1.0054016f592cbp-3, 0x1.f3ba2d0647a98p-4, 0x1.e714beabe0155p-4, 0x1.dab67ce437f33p-4, 0x1.ce9e2eeb983e3p-4, 0x1.c2ca9dfb88d6ap-4, 0x1.b73a961ceadb4p-4, 0x1.abece5d391f06p-4, 0x1.a0e05e25b9004p-4, 0x1.9613d2f9f5637p-4, 0x1.8b861b01f245cp-4, 0x1.8136101881897p-4, 0x1.77228efb47688p-4, 0x1.6d4a77211b381p-4, 0x1.63acab9659b78p-4, 0x1.5a48127f86953p-4, 0x1.511b94e94a2dfp-4, 0x1.48261fd8a9a7p-4, 0x1.3f66a2d672ac1p-4, 0x1.36dc11882724ep-4, 0x1.2e8562519105dp-4, 0x1.26618f841cbaep-4, 0x1.1e6f964c93bfdp-4, 0x1.16ae781cd2277p-4, 0x1.0f1d395ae8d46p-4, 0x1.07bae1dea795cp-4, 0x1.00867d0f8950fp-4, 0x1.f2fe349741c2ep-5, 0x1.e54797c351918p-5, 0x1.d7e74f85fde35p-5, 0x1.cadb8f1a42942p-5, 0x1.be2290a40e29ep-5, 0x1.b1ba950fd2abbp-5, 0x1.a5a1e4747d0d5p-5, 0x1.99d6ce301c123p-5, 0x1.8e57a7899801p-5, 0x1.8322cdb5b681ep-5, 0x1.7836a4c27ee7p-5, 0x1.6d9196a11e932p-5, 0x1.633215087ece6p-5, 0x1.591697782e574p-5, 0x1.4f3d9dce68fcbp-5, 0x1.45a5acb9984d1p-5, 0x1.3c4d500cf189dp-5, 0x1.33331adfd1abdp-5, 0x1.2a55a5fb16164p-5, 0x1.21b3905a32ce1p-5, 0x1.194b80a882b3dp-5, 0x1.111c22c941b74p-5, 0x1.092428f75aad4p-5, 0x1.01624bd27e451p-5, 0x1.f3aa943f97397p-6, 0x1.e4f7d18091d77p-6, 0x1.d6a9e3f61c78dp-6, 0x1.c8be6d9cf3268p-6, 0x1.bb331abb987a6p-6, 0x1.ae05a4db33b6bp-6, 0x1.a133cee0af176p-6, 0x1.94bb68a797231p-6, 0x1.889a4afa91e25p-6, 0x1.7cce5c82b165cp-6, 0x1.71558d122a33cp-6, 0x1.662dd6ab3e485p-6, 0x1.5b553ec631bf1p-6, 0x1.50c9d4ad30dddp-6, 0x1.4689b27d538f4p-6, 0x1.3c92fbbe188e8p-6, 0x1.32e3de0e3c909p-6, 0x1.297a91aec4e3ep-6, 0x1.2055575763184p-6, 0x1.1772790241163p-6, 0x1.0ed04ae0b6311p-6, 0x1.066d2a0bc0f4p-6, 0x1.fc8ef8d55cdb9p-7, 0x1.ecbb62d46870cp-7, 0x1.dd5c810503903p-7, 0x1.ce6f555778cddp-7, 0x1.bff0f043e59f7p-7, 0x1.b1de72de73bb7p-7, 0x1.a435103ed3eeap-7, 0x1.96f20b2b1bddfp-7, 0x1.8a12b59f23ffp-7, 0x1.7d9471fae69f4p-7, 0x1.7174affb7e077p-7, 0x1.65b0f0410cc75p-7, 0x1.5a46c1547cf57p-7, 0x1.4f33c01f5a5d3p-7, 0x1.447596af4255p-7, 0x1.3a09ff8a2337fp-7, 0x1.2feebf5305e64p-7, 0x1.2621ac682caf8p-7, 0x1.1ca0a5aaabbcep-7, 0x1.136998791cd1fp-7, 0x1.0a7a810fd1674p-7, 0x1.01d163f8b0129p-7, 0x1.f2d8ac8427d4ap-8, 0x1.e292eb4287a36p-8, 0x1.d2cdd90cfd734p-8, 0x1.c385e2eab1efp-8, 0x1.b4b78be19e48p-8, 0x1.a65f644a67f78p-8, 0x1.987a22c52b5d5p-8, 0x1.8b047e7f2b32cp-8, 0x1.7dfb545ea7006p-8, 0x1.715b8ebecba91p-8, 0x1.65222fc3b24a9p-8, 0x1.594c47c33ca18p-8, 0x1.4dd6fec8e450ap-8, 0x1.42bf89b79f5e4p-8, 0x1.38032cb59b9a5p-8, 0x1.2d9f47d36f804p-8, 0x1.23913d8880382p-8, 0x1.19d6902fcd174p-8, 0x1.106cce72cf3dcp-8, 0x1.07519c9cc11f7p-8, 0x1.fd0558a8cfb14p-9, 0x1.ebfb7675d3f6bp-9, 0x1.db8127c3daf6p-9, 0x1.cb921aa0f667ap-9, 0x1.bc2a17f6ec238p-9, 0x1.ad450d3827f2fp-9, 0x1.9edf04f8be829p-9, 0x1.90f4235b1b183p-9, 0x1.8380bc1f2400bp-9, 0x1.76812fd23c788p-9, 0x1.69f20231eb1fbp-9, 0x1.5dcfc10e41421p-9, 0x1.5217107c045ebp-9, 0x1.46c49a440523ep-9, 0x1.3bd524c91f736p-9, 0x1.314587914afa3p-9, 0x1.2712c5fd2a1aap-9, 0x1.1d39f1c70f683p-9, 0x1.13b8457551373p-9, 0x1.0a8b11fa87d74p-9, 0x1.01afbd7b04972p-9, 0x1.f2475a708236bp-10, 0x1.e1c8c228bc85ap-10, 0x1.d1de94e84fc03p-10, 0x1.c283f443c8796p-10, 0x1.b3b40a41408d8p-10, 0x1.a56a3b928a3bfp-10, 0x1.97a214fb4decbp-10, 0x1.8a57691f16695p-10, 0x1.7d864b5c96d14p-10, 0x1.712aeb2ee9e2p-10, 0x1.654179b5ef71bp-10, 0x1.59c651463e43bp-10, 0x1.4eb5b57913813p-10, 0x1.440bfb4a4d7dep-10, 0x1.39c58967c5348p-10, 0x1.2fdecf622796ap-10, 0x1.26546a8d460e3p-10, 0x1.1d2320be8cac5p-10, 0x1.1447e32090f63p-10, 0x1.0bbfeae827211p-10, 0x1.03887b5da2097p-10, 0x1.f73e16e52f64fp-11, 0x1.e8020bc7b65fdp-11, 0x1.d9579e2f54218p-11, 0x1.cb399a1ddcf7ap-11, 0x1.bda2cae75565cp-11, 0x1.b08e31e8b4d0bp-11, 0x1.a3f6b155f553cp-11, 0x1.97d79fc5332bap-11, 0x1.8c2c65329d1a2p-11, 0x1.80f0dc8be9368p-11, 0x1.76214126dc54fp-11, 0x1.6bb9f89595288p-11, 0x1.61b79d198b28p-11, 0x1.5816b30943db5p-11, 0x1.4ed3cbf4c69d9p-11, 0x1.45eb6d2211c33p-11, 0x1.3d5a0ea74aba7p-11, 0x1.351c4d9869c9ap-11, 0x1.2d2ec84788825p-11, 0x1.258dfe35dde05p-11, 0x1.1e36cec98044cp-11, 0x1.17261bcf19f79p-11, 0x1.1059634776e12p-11, 0x1.09ce3614b14e6p-11, 0x1.038264935168p-11, 0x1.fae77a7d5db58p-12, 0x1.ef4012c8c41e1p-12, 0x1.e40a172d9bc34p-12, 0x1.d941434b004d4p-12, 0x1.cee15a42424dcp-12, 0x1.c4e61e511f529p-12, 0x1.bb4ac42568b9dp-12, 0x1.b20a9502ae804p-12, 0x1.a9214cd8ec40cp-12, 0x1.a08adbab61108p-12, 0x1.98441b716018p-12, 0x1.904a076fe447p-12, 0x1.8899bfcebfffdp-12, 0x1.81309629d2c86p-12, 0x1.7a0b9e06b48a2p-12, 0x1.73283d43a1402p-12, 0x1.6c8444f53e659p-12, 0x1.661d237bc81c7p-12, 0x1.5ff06500026b8p-12, 0x1.59fb257581312p-12, 0x1.543a7a8ebb88ap-12, 0x1.4eab37a5b8fafp-12, 0x1.494af7aadcbe6p-12, 0x1.44177c3936b4cp-12, 0x1.3f0ed5775b0cfp-12, 0x1.3a2f19108335ap-12, 0x1.35764414d2fa2p-12, 0x1.30e2b96a00204p-12, 0x1.2c72d65051d24p-12, 0x1.28258cf083c01p-12, 0x1.23f9ab1a44253p-12, 0x1.1fedf0db36fap-12, 0x1.1c00d227ab49ep-12, 0x1.1830a20e27da3p-12, 0x1.147bb3109d5f4p-12, 0x1.10e07abaf424cp-12, 0x1.0d5d8f7438f5ap-12, 0x1.09f18757b7a98p-12, 0x1.069b05d775f2bp-12, 0x1.03589abd56501p-12, 0x1.0028fcddde27cp-12, 0x1.fa16dcbe5416dp-13, 0x1.f3fe780b59ec5p-13, 0x1.ee07e7eb2fbf6p-13, 0x1.e831786debd51p-13, 0x1.e279e2fac8c22p-13, 0x1.dcdfe7d175e28p-13, 0x1.d7618317344bap-13, 0x1.d1fd913181775p-13, 0x1.ccb366156d255p-13, 0x1.c7810d046781ap-13, 0x1.c26490e9c1cc5p-13, 0x1.bd5bfb710e8cp-13, 0x1.b865c67b3884bp-13, 0x1.b380ab51f70ep-13, 0x1.aeab504159543p-13, 0x1.a9e4ac5ca7e5ap-13, 0x1.a52c70f7b345ap-13, 0x1.a0825146624dp-13, 0x1.9be603330a053p-13, 0x1.97560b0166218p-13, 0x1.92d202d8a78a8p-13, 0x1.8e590fe461d32p-13, 0x1.89eb8423d8833p-13, 0x1.8588f2ab1505ep-13, 0x1.81308ec32b686p-13, 0x1.7ce0ff9d30807p-13, 0x1.7898f4c5a3189p-13, 0x1.74581c8aa04afp-13, 0x1.701e4cb3361e7p-13, 0x1.6bea9cd23b6fcp-13, 0x1.67bc4a9985a57p-13, 0x1.639309d35441fp-13, 0x1.5f6f53c5ebce6p-13, 0x1.5b50ba2b1fc5ap-13, 0x1.5736f809f878ep-13, 0x1.5321357bfed56p-13, 0x1.4f0fb01ce2ae7p-13, 0x1.4b01fcc49fcf9p-13, 0x1.46f984de837d2p-13, 0x1.42f5627c471a5p-13, 0x1.3ef4e1dc2d873p-13, 0x1.3af73544f70ecp-13, 0x1.36fbfbf94bba5p-13, 0x1.3303fa084cb3ep-13, 0x1.2f0f7d3b9fb74p-13, 0x1.2b1d34af9334p-13, 0x1.272d35324cc65p-13, 0x1.233f8a2b048cp-13, 0x1.1f54144f53c54p-13, 0x1.1b6b163c19ebdp-13, 0x1.17846e77f6e01p-13, 0x1.139f77a94d5a6p-13, 0x1.0fbce2d70e7efp-13, 0x1.0bdcb1449a924p-13, 0x1.07fefeb959616p-13, 0x1.0423e0d694bc7p-13, 0x1.004b0ebc27cf2p-13, 0x1.f8e91c62eecfep-14, 0x1.f13f68ec14fcbp-14, 0x1.e99a600321465p-14, 0x1.e1fa9dd5977f6p-14, 0x1.da5fb829bd9bap-14, 0x1.d2c9b5208da47p-14, 0x1.cb387d11db374p-14, 0x1.c3ac236708bd7p-14, 0x1.bc24444a18768p-14, 0x1.b4a1754b16e6p-14, 0x1.ad23e33cd25dbp-14, 0x1.a5ac0c86f8bebp-14, 0x1.9e392444ad34cp-14, 0x1.96cc72982cadap-14, 0x1.8f658659827fep-14, 0x1.88046a8c07abcp-14, 0x1.80a996d1050c9p-14, 0x1.7954c26701052p-14, 0x1.7206803bf85acp-14, 0x1.6abe99ade55c6p-14, 0x1.637db99d04c58p-14, 0x1.5c4368070d6c2p-14, 0x1.55104ac22989ap-14, 0x1.4de4efc68b7d6p-14, 0x1.46c06406d996dp-14, 0x1.3fa3cb5517c1bp-14, 0x1.388e537dba6fap-14, 0x1.318107558e619p-14, 0x1.2a7b56f33ac15p-14, 0x1.237dd65e7130bp-14, 0x1.1c88df6d69f33p-14, 0x1.159ccb3d17e8ap-14, 0x1.0eb8f66fc7bbep-14, 0x1.07ddb96c91828p-14, 0x1.010b8b983844ep-14, 0x1.f484f8ff86573p-15, 0x1.e705e4e485b9p-15, 0x1.d999933179edp-15, 0x1.cc3f7e6dae28p-15, 0x1.bef948278d594p-15, 0x1.b1c6ebfd9c122p-15, 0x1.a4a8c8584dac5p-15, 0x1.979f01d5fcbafp-15, 0x1.8aa9b5149450ep-15, 0x1.7dc92b2222087p-15, 0x1.70fd07a3ad0d5p-15, 0x1.6446c6fd8f39cp-15, 0x1.57a669909f3fap-15, 0x1.4b1a72db20748p-15, 0x1.3ea5a8e4f1574p-15, 0x1.32469269aa4b4p-15, 0x1.25fe41a762fbap-15, 0x1.19cc701f853e5p-15, 0x1.0db16be7450c6p-15, 0x1.01ad6d179b786p-15, 0x1.eb81d86abf92ep-16, 0x1.d3d7c1338563dp-16, 0x1.bc5c7c708e33dp-16, 0x1.a511297de70c9p-16, 0x1.8df4c0d03e0e3p-16, 0x1.770940fd760aap-16, 0x1.604fba560ed6ep-16, 0x1.49c62d4c0a767p-16, 0x1.336dcf9aabe73p-16, 0x1.1d47707135651p-16, 0x1.074f1abf50343p-16, 0x1.e316da1a81031p-17, 0x1.b7f415bc95614p-17, 0x1.8d345ec3830ebp-17, 0x1.62dbe36418b48p-17, 0x1.38e742cf0caf4p-17, 0x1.0f59123bd381p-17, 0x1.cc5f266be7075p-18, 0x1.7ad751c696364p-18, 0x1.2a1d01a756e21p-18, 0x1.b46422d737d83p-19, 0x1.1630f31d54ccp-19, 0x1.e67141b568ebep-21, -0x1.0b1b6044ffc95p-22, -0x1.758c8d9d81e7p-20, -0x1.52834a1a57f84p-19, -0x1.e8abd5f7135eap-19, -0x1.3e976b28959fp-18, -0x1.88085f4d4df7dp-18, -0x1.d0aa2dc1cf66cp-18, -0x1.0c3b853acf4f6p-17, -0x1.2fbc7bb38a2e5p-17, -0x1.52d5984b0526fp-17, -0x1.7587148865177p-17, -0x1.97d1cf4a685cp-17, -0x1.b9b1131a1f6cdp-17, -0x1.db2b27daee528p-17, -0x1.fc3d48a22f98bp-17, -0x1.0e743ad90219p-16, -0x1.1e961c0e26f39p-16, -0x1.2e8417663b6e9p-16, -0x1.3e3fd1039f976p-16, -0x1.4dc6c89496901p-16, -0x1.5d1b0ec99e6fap-16, -0x1.6c3c57b193a93p-16, -0x1.7b2c0fc4ec9efp-16, -0x1.89e7b760b04ap-16, -0x1.98710c6978135p-16, -0x1.a6c6dff9d5d48p-16, -0x1.b4ea7ff65e651p-16, -0x1.c2dc87b77a6d8p-16, -0x1.d09c8016156abp-16, -0x1.de2b87ff23448p-16, -0x1.eb8914592a4d9p-16, -0x1.f8b40ee58c617p-16, -0x1.02d6f7ce71a15p-15, -0x1.093b77c091f17p-15, -0x1.0f87a4488e452p-15, -0x1.15bb876b8c09cp-15, -0x1.1bd70b3b5d764p-15, -0x1.21dabdd24834bp-15, -0x1.27c6bc15ef423p-15, -0x1.2d9aa5d50f8fp-15, -0x1.3356f4d5a3f96p-15, -0x1.38fb78bd490f4p-15, -0x1.3e88da6dfe95cp-15, -0x1.43feb3a4d595bp-15, -0x1.495d754af0ba1p-15, -0x1.4ea57917af1f6p-15, -0x1.53d689a7ebde2p-15, -0x1.58ef815bc446ap-15, -0x1.5df2e5b781c8fp-15, -0x1.62df5d68575d3p-15, -0x1.67b6ed799d98ap-15, -0x1.6c778c80e665bp-15, -0x1.71215b4a45a6cp-15, -0x1.75b578c5680fbp-15, -0x1.7a342e2a6f7abp-15, -0x1.7e9d29a80df09p-15, -0x1.82f0b94bd254ep-15, -0x1.872f0f518328cp-15, -0x1.8b581ee87162ap-15, -0x1.8f6c1d74f313fp-15, -0x1.936b4f85e1205p-15, -0x1.9755f34d66f78p-15, -0x1.9b2c1bc0fc9cfp-15, -0x1.9eedc7e106ec7p-15, -0x1.a29ad1339e04ep-15, -0x1.a634759e31dp-15, -0x1.a9b9b0ca85d5fp-15, -0x1.ad2bda8b75adbp-15, -0x1.b08a7d662153ap-15, -0x1.b3d52e149a4b1p-15, -0x1.b70c76ccc52b4p-15, -0x1.ba31277d1382p-15, -0x1.bd424a15a5bd5p-15, -0x1.c041c033e1a36p-15, -0x1.c32e24776b9f5p-15, -0x1.c607d23578665p-15, -0x1.c8cfc4497c00ap-15, -0x1.cb854dcdd5c06p-15, -0x1.ce2925c02969fp-15, -0x1.d0bb0f990ec12p-15, -0x1.d33b6a7e3400dp-15, -0x1.d5aa2232f9538p-15, -0x1.d807f947001e3p-15, -0x1.da54be114db5ep-15, -0x1.dc908eced394p-15, -0x1.debbb694f9df1p-15, -0x1.e0d654a20c528p-15, -0x1.e2e00a96dd84ap-15, -0x1.e4d99fe87f3efp-15, -0x1.e6c380b8fcabap-15, -0x1.e89d6a89b31a7p-15, -0x1.ea67ef07d4892p-15, -0x1.ec22258260545p-15, -0x1.edcd332bbebabp-15, -0x1.ef69348fdf68fp-15, -0x1.f0f598d4671edp-15, -0x1.f27372304b96fp-15, -0x1.f3e27b7083a73p-15, -0x1.f542bf7cb23ep-15, -0x1.f6953b8c4216ap-15, -0x1.f7d98d9ab2537p-15, -0x1.f90f4c0050bf4p-15, -0x1.fa362b6441ae1p-15, -0x1.fb5057ea1b106p-15, -0x1.fc5cb64b8d51p-15, -0x1.fd5bb1a8abe5cp-15, -0x1.fe4cde3b2c9ep-15, -0x1.ff3168ddbc9fp-15, -0x1.000485e1adfb2p-14, -0x1.0069da0e1c585p-14, -0x1.00c89775cd4f9p-14, -0x1.01215bed3981p-14, -0x1.0173f0f40ff33p-14, -0x1.01c05a2a48aa5p-14, -0x1.02068c7b94a35p-14, -0x1.0246cedb321f5p-14, -0x1.028174219a97ep-14, -0x1.02b61fcca89afp-14, -0x1.02e540a72163fp-14, -0x1.030e813d00f1ep-14, -0x1.03322a0417149p-14, -0x1.03505ac412a95p-14, -0x1.03692414066c4p-14, -0x1.037ca38a605e2p-14, -0x1.038ac91121081p-14, -0x1.0393adc4697c9p-14, -0x1.03977cdb0ec18p-14, -0x1.0396243fcc522p-14, -0x1.038fe2290f212p-14, -0x1.03844920322f4p-14, -0x1.03745ebd66b0fp-14, -0x1.035f8890d876p-14, -0x1.034622e775028p-14, -0x1.0327f60b8718bp-14, -0x1.0304a79a4909dp-14, -0x1.02dd35b9ed1adp-14, -0x1.02b13a034b993p-14, -0x1.028115dbd2c1bp-14, -0x1.024ca0a6a123ep-14, -0x1.0213d9e427de7p-14, -0x1.01d699f813a8ap-14, -0x1.0195707dbdd3ap-14, -0x1.015011c97e3d4p-14, -0x1.010711786b414p-14, -0x1.00b9fbf358c5cp-14, -0x1.0068b18334f28p-14, -0x1.0013a0415f40dp-14, -0x1.ff763357283bdp-15, -0x1.febd7d742439p-15, -0x1.fdfdeb7cf2232p-15, -0x1.fd36c00adddd4p-15, -0x1.fc688168f532cp-15, -0x1.fb9386ffbdb6cp-15, -0x1.fab7b52b3b849p-15, -0x1.f9d5290afaba6p-15, -0x1.f8ec0b4c921f4p-15, -0x1.f7fc89f162b0bp-15, -0x1.f706d7c4fb659p-15, -0x1.f60ae89668166p-15, -0x1.f508696c3baf8p-15, -0x1.f3ffdc5e65e13p-15, -0x1.f2f1ffbdefcfbp-15, -0x1.f1ddf899a5e2ap-15, -0x1.f0c51e5c46ab3p-15, -0x1.efa5e9428c17p-15, -0x1.ee80d4a68e1aap-15, -0x1.ed56a9a2b9d5bp-15, -0x1.ec27c9e843101p-15, -0x1.eaf38d34bbd41p-15, -0x1.e9ba156bcb38bp-15, -0x1.e87b6cda9f49fp-15, -0x1.e737c252fcdc2p-15, -0x1.e5f00ed8fed78p-15, -0x1.e4a3252966b1p-15, -0x1.e35250d34d511p-15, -0x1.e1fc6f608de04p-15, -0x1.e0a21f48c450fp-15, -0x1.df43a6980ec79p-15, -0x1.dde153acfa01fp-15, -0x1.dc7b04b23a917p-15, -0x1.db0fcafcca8e9p-15, -0x1.d9a096dc9cf74p-15, -0x1.d82e850e37c9dp-15, -0x1.d6b81c8519b0cp-15, -0x1.d53df66bc0e45p-15, -0x1.d3c0aaf22125fp-15, -0x1.d23f877578bc3p-15, -0x1.d0bb336fd5f9p-15, -0x1.cf3391acd2b78p-15, -0x1.cda88c6025a2fp-15, -0x1.cc1a481fe3889p-15, -0x1.ca8941395901cp-15, -0x1.c8f4fce80d657p-15, -0x1.c75d9e3eadc12p-15, -0x1.c5c39564dc656p-15, -0x1.c426a787a5978p-15, -0x1.c2873e21c28c1p-15, -0x1.c0e4c1c0749f2p-15, -0x1.bf40c5087a656p-15, -0x1.bd99b96c77331p-15, -0x1.bbefad60df003p-15, -0x1.ba43d690b76dcp-15, -0x1.b895c988ecaddp-15, -0x1.b6e58994d8fe9p-15, -0x1.b5333b9eb5b6bp-15, -0x1.b37e55cfab601p-15, -0x1.b1c7eb9306d6dp-15, -0x1.b00f51e301697p-15, -0x1.ae5577624148cp-15, -0x1.ac994c5db8666p-15, -0x1.aadb6d6828fa5p-15, -0x1.a91c1595ad8edp-15, -0x1.a75af2ead698p-15, -0x1.a597f8276619fp-15, -0x1.a3d3fd01fb581p-15, -0x1.a20e9790946d2p-15, -0x1.a047ffd0b0286p-15, -0x1.9e7fc55adeeddp-15, -0x1.9cb61b6f5a22ep-15, -0x1.9aebc73396c11p-15, -0x1.991f8fc773fbbp-15, -0x1.9752de3ba9e03p-15, -0x1.9585185e9b7e5p-15, -0x1.93b62e22b8c1fp-15, -0x1.91e65801b3881p-15, -0x1.9015c290fcdb9p-15, -0x1.8e442f22d4c5fp-15, -0x1.8c7229c0e1e61p-15, -0x1.8a9fc4a83078dp-15, -0x1.88cbeff3da1e2p-15, -0x1.86f75fc1c5c79p-15, -0x1.8522e7f003586p-15, -0x1.834d98a60cc76p-15, -0x1.8177d95752083p-15, -0x1.7fa1c5f921288p-15, -0x1.7dcb0e69fb067p-15, -0x1.7bf44ccca4f98p-15, -0x1.7a1d025e8c49dp-15, -0x1.7845d51e1bf79p-15, -0x1.766e3ca52fb5fp-15, -0x1.7496662d1487bp-15, -0x1.72be8856a0ef4p-15, -0x1.70e69fff8fd91p-15, -0x1.6f0e95a39896bp-15, -0x1.6d362e4159e34p-15, -0x1.6b5e6461e4289p-15, -0x1.6986791e95735p-15, -0x1.67aedac1ff76ap-15, -0x1.65d77205b87efp-15, -0x1.640003a4bbd6cp-15, -0x1.6228507fe1e29p-15, -0x1.60518390a3eb5p-15, -0x1.5e7aaff0cf696p-15, -0x1.5ca52d0564982p-15, -0x1.5ace93deb40a2p-15, -0x1.58f948099166fp-15, -0x1.5723b3d431ceap-15, -0x1.554f258891909p-15, -0x1.537b2d889ce8p-15, -0x1.51a7fb4fd196ep-15, -0x1.4fd470e3fe806p-15, -0x1.4e01bdb876066p-15, -0x1.4c3000459b1ep-15, -0x1.4a5ee15ba5eefp-15, -0x1.488e27fc9c102p-15, -0x1.46be5af1523cap-15, -0x1.44ef32fa0aed8p-15, -0x1.4320c9362f949p-15, -0x1.41532575918c1p-15, -0x1.3f866d7fb40bdp-15, -0x1.3dba85d5fc6ebp-15, -0x1.3bef64784f1bfp-15, -0x1.3a252dbe6d2a5p-15, -0x1.385bbc7d8b9c3p-15, -0x1.369360edecdf8p-15, -0x1.34cbf69bab2fep-15, -0x1.330583212e92ap-15, -0x1.31400f7ea1046p-15, -0x1.2f7ba14f95f0ep-15, -0x1.2db8411e5bbc4p-15, -0x1.2bf5e10cc0effp-15, -0x1.2a34a2db209d3p-15, -0x1.28747649053b9p-15, -0x1.26b56d8c012e8p-15, -0x1.24f78422b1a91p-15, -0x1.233ac9de3f8c6p-15, -0x1.217f8386146dbp-15, -0x1.1fc529ff26ca3p-15, -0x1.1e0bf86741653p-15, -0x1.1c53e5acaa959p-15, -0x1.1a9d859c6fdeep-15, -0x1.18e821cdfc4eap-15, -0x1.1733e5d4ba75fp-15, -0x1.158177162e90fp-15, -0x1.13cf7adb37b92p-15, -0x1.121f6f0d237d7p-15, -0x1.10706bb0f5a1ap-15, -0x1.0ec3b8116ea9fp-15, -0x1.0d17a0d880705p-15, -0x1.0b6caedfc829ep-15, -0x1.09c3589e1729fp-15, -0x1.081b7cc6f47bdp-15, -0x1.067510ed42c82p-15, -0x1.04cf711759f46p-15, -0x1.032c8e1c83d2ep-15, -0x1.018a759e3797dp-15, -0x1.ffd3a4838a31fp-16, -0x1.fc954da8a4f45p-16, -0x1.f95a22cb66e8bp-16, -0x1.f62259aad03d1p-16, -0x1.f2ecd07925f65p-16, -0x1.efbb238dde05bp-16, -0x1.ec8bac7a40dcep-16, -0x1.e95f3a65e18bdp-16, -0x1.e636394c04392p-16, -0x1.e31143c7594abp-16, -0x1.dfeea9e2a16fbp-16, -0x1.dccec8f4d253bp-16, -0x1.d9b251e6dc202p-16, -0x1.d6998f398a5fep-16, -0x1.d383e21582041p-16, -0x1.d0711b5e90642p-16, -0x1.cd612faf5bd89p-16, -0x1.ca5589644b4cfp-16, -0x1.c74c8f12ac19bp-16, -0x1.c4473af0b36cep-16, -0x1.c1445ce7cfa67p-16, -0x1.be452bb685daap-16, -0x1.bb4984b23f85cp-16, -0x1.b8511708e26d7p-16, -0x1.b55c401751c5ap-16, -0x1.b26a0f5c39dc4p-16, -0x1.af7bdf5f2a949p-16, -0x1.ac90d5e9e559fp-16, -0x1.a9a8e93b3d36cp-16, -0x1.a6c4d893ca16p-16, -0x1.a3e370b99be15p-16, -0x1.a105df668f4a4p-16, -0x1.9e2abbd0fad7cp-16, -0x1.9b54bf28207e7p-16, -0x1.98815d30b1636p-16, -0x1.95b1c7fc712bcp-16, -0x1.92e52230dcefep-16, -0x1.901be59c9586p-16, -0x1.8d5605b0e6e9fp-16, -0x1.8a933609f8a56p-16, -0x1.87d45f6f5391cp-16, -0x1.8518ef0c5f0c8p-16, -0x1.8260ec90e4486p-16, -0x1.7fac97e3b9fa3p-16, -0x1.7cfb4d030c8eap-16, -0x1.7a4d183c5287ap-16, -0x1.77a2dfb70aea8p-16, -0x1.74fc2f15a28ecp-16, -0x1.7258d0d760bd2p-16, -0x1.6fb8d53a7bf8dp-16, -0x1.6d1c673d38f26p-16, -0x1.6a83048da881cp-16, -0x1.67ed376e3bee1p-16, -0x1.655b58e9798fbp-16, -0x1.62cc4b714f0dp-16, -0x1.6040d98980046p-16, -0x1.5db8e104b287cp-16, -0x1.5b3480582bdecp-16, -0x1.58b3727b65bb1p-16, -0x1.5635e8fd413d5p-16, -0x1.53bb95ab7fe17p-16, -0x1.5143fa82bef9fp-16, -0x1.4ed0f9a75e141p-16, -0x1.4c61bc8ba6133p-16, -0x1.49f52fd7c6a72p-16, -0x1.478b8b58a7ae1p-16, -0x1.4525cd5077c09p-16, -0x1.42c3c2e9092bfp-16, -0x1.40641ce03dfa1p-16, -0x1.3e0974ca7f7e5p-16, -0x1.3bb151e2aadacp-16, -0x1.395c447228e48p-16, -0x1.370a348fc5095p-16, -0x1.34bbfb4c8325ap-16, -0x1.3271f2052813dp-16, -0x1.302b2c54e5d05p-16, -0x1.2de6457fa2b44p-16, -0x1.2ba596418592p-16, -0x1.2968637fe4575p-16, -0x1.272f212b040c7p-16, -0x1.24f8d8f6fb3dp-16, -0x1.22c3c32b98173p-16, -0x1.20940d640bd5ap-16, -0x1.1e67d201f5d97p-16, -0x1.1c3ea2e01e7a7p-16, -0x1.1a18223dd5c7p-16, -0x1.17f4ca9167219p-16, -0x1.15d5b7772e7d5p-16, -0x1.13b92401ba9a5p-16, -0x1.119feb72cd96cp-16, -0x1.0f89e0f5afdb8p-16, -0x1.0d776546bb5eap-16, -0x1.0b68067ec7a3fp-16, -0x1.095bfa54ce7cdp-16, -0x1.0752a31dc3d23p-16, -0x1.054cc129d0b9cp-16, -0x1.034a470ef8b74p-16, -0x1.014b38009b72ap-16, -0x1.fe9d9adb33124p-17, -0x1.faaa52feb3e1dp-17, -0x1.f6be92b9833aep-17, -0x1.f2d96269f6ee9p-17, -0x1.eef9f709833ffp-17, -0x1.eb1e1441d91f1p-17, -0x1.e74c990f66d37p-17, -0x1.e380867c1adp-17, -0x1.dfba5c79915d9p-17, -0x1.dbfa08a441cffp-17, -0x1.d83ef29fd8e0bp-17, -0x1.d48a653c91ef5p-17, -0x1.d0dd20785d534p-17, -0x1.cd33a1698e6edp-17, -0x1.c9921224fb87fp-17, -0x1.c5f5e05662735p-17, -0x1.c2606e12a6fcap-17, -0x1.bed00900e9b75p-17, -0x1.bb4588629a863p-17, -0x1.b7c1a5a0c26f9p-17, -0x1.b44368926a9f9p-17, -0x1.b0c9d46210de8p-17, -0x1.ad571d7f5d91fp-17, -0x1.a9eb2ffb8756dp-17, -0x1.a684af09a3f9ap-17, -0x1.a32166569b7c4p-17, -0x1.9fc710e48e15cp-17, -0x1.9c723fd9915f4p-17, -0x1.9921798994b98p-17, -0x1.95d72fa359334p-17, -0x1.9291c16daa0cfp-17, -0x1.8f547dfdd8062p-17, -0x1.8c1a3a6e9fe74p-17, -0x1.88e5daa9d7ec7p-17, -0x1.85b887dd2bafcp-17, -0x1.828fed18d17dap-17, -0x1.7f6bdda272436p-17, -0x1.7c4e3a4c5593bp-17, -0x1.7936d7b8e80abp-17, -0x1.7622788e38ef2p-17, -0x1.731569fd09974p-17, -0x1.700e0cac53b9bp-17, -0x1.6d0c358c2b323p-17, -0x1.6a0d183686268p-17, -0x1.6715b65aa7091p-17, -0x1.6422595d5e193p-17, -0x1.61358541811b9p-17, -0x1.5e4d80a29531dp-17, -0x1.5b6a7c412fc15p-17, -0x1.588d046291f74p-17, -0x1.55b3f88e4b663p-17, -0x1.52df7c247aac9p-17, -0x1.50115e0bb47dcp-17, -0x1.4d496b17d7ca3p-17, -0x1.4a84ed563de76p-17, -0x1.47c630e14446fp-17, -0x1.450ae328ce593p-17, -0x1.42562413935e9p-17, -0x1.3fa5431a406a1p-17, -0x1.3cfab02443017p-17, -0x1.3a54016b9e7afp-17, -0x1.37b1d7df3789dp-17, -0x1.3515184531aeap-17, -0x1.327de08dd66fdp-17, -0x1.2feae1a8918b7p-17, -0x1.2d5c220106f7ap-17, -0x1.2ad2615edb47bp-17, -0x1.284df7c6b4e46p-17, -0x1.25cce00795845p-17, -0x1.2351e5617b2d7p-17, -0x1.20dbeaf954d6ep-17, -0x1.1e691d2e83ae6p-17, -0x1.1bfb9be2123ffp-17, -0x1.1991b65ac721p-17, -0x1.172f712743876p-17, -0x1.14cea413c39ffp-17, -0x1.1272e35508894p-17, -0x1.101bdc51fcd7cp-17, -0x1.0dc958bc0aebfp-17, -0x1.0b7b37cf93ee3p-17, -0x1.09317564963cep-17, -0x1.06ec74ded488bp-17, -0x1.04abea90a0724p-17, -0x1.026fceccd68cep-17, -0x1.00356714e8ep-17, -0x1.fc048a81916a4p-18, -0x1.f7a49b17decfp-18, -0x1.f34ec6ded4426p-18, -0x1.eefe4c9f585a4p-18, -0x1.eab842007f653p-18, -0x1.e679ba6b1dea1p-18, -0x1.e2438fb30a942p-18, -0x1.de15c198755aep-18, -0x1.d9f0e84c385e1p-18, -0x1.d5d3397f716ecp-18, -0x1.d1bdc71c03af7p-18, -0x1.cdafe835927bap-18, -0x1.c9aadb46ebbfep-18, -0x1.c5ab31387cb92p-18, -0x1.c1b7a1290cbbap-18, -0x1.bdc984a93ecc5p-18, -0x1.b9e1b981855bcp-18, -0x1.b6033eb2ebdf9p-18, -0x1.b22fd96e37562p-18, -0x1.ae5eb04fb9866p-18, -0x1.aa970003d039ep-18, -0x1.a6d5fb72c51adp-18, -0x1.a31dbce5da55ap-18, -0x1.9f6c583ae2c63p-18, -0x1.9bc2c7a2bd1a7p-18, -0x1.9820a9ab13199p-18, -0x1.94857b094592p-18, -0x1.90ef2c3cf22b6p-18, -0x1.8d64dfe4558e3p-18, -0x1.89df3e1eddeb6p-18, -0x1.86619134ca821p-18, -0x1.82e75fbb5a947p-18, -0x1.7f77197406a5bp-18, -0x1.7c0e1bf07d1adp-18, -0x1.78aeebf8e2a73p-18, -0x1.75506422a6592p-18, -0x1.71fc17343c96ap-18, -0x1.6eac2b191d269p-18, -0x1.6b6635f2e297bp-18, -0x1.68262ec0dbdd1p-18, -0x1.64ec2b47eb77dp-18, -0x1.61b8bb8b275eap-18, -0x1.5e8b5b689ee8cp-18, -0x1.5b64e2abff799p-18, -0x1.584513d3e284fp-18, -0x1.552d0554ada71p-18, -0x1.521a27924b0a8p-18, -0x1.4f0c29d4db371p-18, -0x1.4c05d9115a9f2p-18, -0x1.490514626bf5ap-18, -0x1.460c58becbe24p-18, -0x1.43190d542d6dp-18, -0x1.402b3e276714dp-18, -0x1.3d43579af0eaep-18, -0x1.3a61d2ef6f78bp-18, -0x1.378694ee9857cp-18, -0x1.34b1a660f6251p-18, -0x1.31e24ff196121p-18, -0x1.2f183a4f72212p-18, -0x1.2c55316f098e9p-18, -0x1.29945169283d4p-18, -0x1.26dcb771d504fp-18, -0x1.242c3e6ad72a2p-18, -0x1.21806db110b04p-18, -0x1.1ed79e4b1e491p-18, -0x1.1c36b63a3a69ap-18, -0x1.199b3a20633f8p-18, -0x1.1704b2a0c371p-18, -0x1.14719aa709cd9p-18, -0x1.11e7db560f5ddp-18, -0x1.0f6329aabab94p-18, -0x1.0ce1551ca84b7p-18, -0x1.0a667c6f333eap-18, -0x1.07ef0fe57741fp-18, -0x1.057eae95afb11p-18, -0x1.0313745c59bc8p-18, -0x1.00ad3ebc7d402p-18, -0x1.fc99316b792f3p-19, -0x1.f7de7014960f1p-19, -0x1.f3310fff4e94ap-19, -0x1.ee8c24ce131c4p-19, -0x1.e9f46514d741cp-19, -0x1.e562ec08e4b89p-19, -0x1.e0db5c7515ec4p-19, -0x1.dc61a5684696dp-19, -0x1.d7ef73fece363p-19, -0x1.d383f7aaf438cp-19, -0x1.cf236d069d9fep-19, -0x1.cace88e181963p-19, -0x1.c680c761214bep-19, -0x1.c2405ca098973p-19, -0x1.be056a02a2f8fp-19, -0x1.b9d4377b9c0ecp-19, -0x1.b5ac4c90f51edp-19, -0x1.b18da02a757bbp-19, -0x1.ad7826fb84f52p-19, -0x1.a96c25f46db0dp-19, -0x1.a566fc37828cfp-19, -0x1.a16c588525f61p-19, -0x1.9d7b2d27b887p-19, -0x1.99942701b69f1p-19, -0x1.95b0c39ff3ccap-19, -0x1.91d707aac39a7p-19, -0x1.8e0866e2e8ebcp-19, -0x1.8a4282a081866p-19, -0x1.8684843495fecp-19, -0x1.82ca36d7226dep-19, -0x1.7f1d178ebac4fp-19, -0x1.7b780cc79d857p-19, -0x1.77d8f2816dea7p-19, -0x1.7440577f8e531p-19, -0x1.70b6ed1dcf65fp-19, -0x1.6d2ed802b3a9ep-19, -0x1.69b11f486f68bp-19, -0x1.6638f9a789e3fp-19, -0x1.62cd6262bb0f1p-19, -0x1.5f62a4767c8d5p-19, -0x1.5c02dd9472494p-19, -0x1.58adf1048520dp-19, -0x1.555d61c3271bfp-19, -0x1.5211a7c67fa3ap-19, -0x1.4ecf5f396596dp-19, -0x1.4b97d04191626p-19, -0x1.4864d89490352p-19, -0x1.45384d3962ea2p-19, -0x1.42131d31abe44p-19, -0x1.3ef722f75e7a3p-19, -0x1.3bded56eb37b6p-19, -0x1.38cfa481c3085p-19, -0x1.35c72ff170db4p-19, -0x1.32c84f6615256p-19, -0x1.2fcbcb60dca2bp-19, -0x1.2cd66c8215edap-19, -0x1.29ea8ce646dffp-19, -0x1.2703f8e3955bbp-19, -0x1.2422c1c3e7873p-19, -0x1.21488fbf8c401p-19, -0x1.1e78ec73bc83p-19, -0x1.1baad45c217f3p-19, -0x1.18e5c67d3a0f1p-19, -0x1.1623dd94745bep-19, -0x1.136b0405d1fe3p-19, -0x1.10b760c6dfb25p-19, -0x1.0e0a68ea4e663p-19, -0x1.0b647513e849dp-19, -0x1.08c42e9a5cfe1p-19, -0x1.062a263fb094fp-19, -0x1.0394e556086dcp-19, -0x1.01064126dd5b8p-19, -0x1.fcfbf51320ed3p-20, -0x1.f7f6cba2162ap-20, -0x1.f2f89639c89p-20, -0x1.ee0bec730abf4p-20, -0x1.e92bc91c8c8p-20, -0x1.e45375c695773p-20, -0x1.df8075c91e993p-20, -0x1.dac460952d778p-20, -0x1.d610ae46106bap-20, -0x1.d165ebb37e821p-20, -0x1.ccc18271092b2p-20, -0x1.c82acc1e20453p-20, -0x1.c3a3bd9f4c51ap-20, -0x1.bf2341cc4ea2fp-20, -0x1.baac1f0975caep-20, -0x1.b63eeb17115e5p-20, -0x1.b1deb33b5990ep-20, -0x1.ad8b199d72db1p-20, -0x1.a93ea35626871p-20, -0x1.a4f9791f4b04ap-20, -0x1.a0c074017e16dp-20, -0x1.9c95d631756abp-20, -0x1.987071d794c61p-20, -0x1.9454b9568c844p-20, -0x1.904371baef01fp-20, -0x1.8c3df38b610a2p-20, }}, 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      {{-0x1.125d6d70e289bp-5, -0x1.9ab648875a7eap-5, -0x1.11085e4e379d4p-4, -0x1.540dca4c01c65p-4, -0x1.96443d6469fc9p-4, -0x1.d7863d133a2d4p-4, -0x1.0bd819bcadf6ep-3, -0x1.2b504c0019f2p-3, -0x1.4a1c06a13ac43p-3, -0x1.682cbaa9e1565p-3, -0x1.8574fec61bd4p-3, -0x1.a1e8917bc7eefp-3, -0x1.bd7c583c2eb29p-3, -0x1.d8265bcdbc881p-3, -0x1.f1ddc280663b3p-3, -0x1.054d6449d7cdfp-2, -0x1.112b5b94ffdcp-2, -0x1.1c85ed0d08a94p-2, -0x1.275aba72b5ceep-2, -0x1.31a7db88bdfbdp-2, -0x1.3b6bd80c463acp-2, -0x1.44a5a1901f4c7p-2, -0x1.4d548d4e1561bp-2, -0x1.55784dfe9dbeep-2, -0x1.5d10edc461d64p-2, -0x1.641ec836accp-2, -0x1.6aa28493a1b1cp-2, -0x1.709d1021349f6p-2, -0x1.760f98c22b394p-2, -0x1.7afb87c30d84p-2, -0x1.7f627ce1a36b1p-2, -0x1.83464990930d8p-2, -0x1.86a8ec77d414bp-2, -0x1.898c8d31e9933p-2, -0x1.8bf378453d7d8p-2, -0x1.8de01b5879452p-2, -0x1.8f5501a052d64p-2, -0x1.9054d084f923fp-2, -0x1.90e2447d18d95p-2, -0x1.91002e1c36d8ap-2, -0x1.90b16f521cdep-2, -0x1.8ff8f8d8f4f21p-2, -0x1.8ed9c7cfaa2fdp-2, -0x1.8d56e37e3a7e7p-2, -0x1.8b735b41996ecp-2, -0x1.8932449ce2c63p-2, -0x1.8696b96da55e4p-2, -0x1.83a3d64129d2fp-2, -0x1.805cb8c8ac464p-2, -0x1.7cc47e6aa108ep-2, -0x1.78de42ef2536dp-2, -0x1.74ad1f45f0aabp-2, -0x1.703428641a45cp-2, -0x1.6b766e3834c23p-2, -0x1.6676fab34b964p-2, -0x1.6138d0e5736a4p-2, -0x1.5bbeec2ca67a1p-2, -0x1.560c3f74c7f92p-2, -0x1.5023b487b6511p-2, -0x1.4a082b6c6a108p-2, -0x1.43bc79d432ba1p-2, -0x1.3d436a952e11fp-2, -0x1.369fbd312b358p-2, -0x1.2fd4256835c5fp-2, -0x1.28e34ad617068p-2, -0x1.21cfc89a1ec6p-2, -0x1.1a9c2d089cc78p-2, -0x1.134af965727e4p-2, -0x1.0bdea1a732938p-2, -0x1.04598c425381p-2, -0x1.f97c23f7ec4cep-3, -0x1.ea1cfb879dc08p-3, -0x1.da9a192998d4dp-3, -0x1.caf7dab81e16p-3, -0x1.bb3a81cbb2c1cp-3, -0x1.ab6633a037ad7p-3, -0x1.9b7ef90490f97p-3, -0x1.8b88be54411c9p-3, -0x1.7b87537a5651fp-3, -0x1.6b7e6bfd25952p-3, -0x1.5b719f1248338p-3, -0x1.4b6467ba50f76p-3, -0x1.3b5a24e3ccbcap-3, -0x1.2b5619950e01fp-3, -0x1.1b5b6d1c5aca8p-3, -0x1.0b6d2b460dfb9p-3, -0x1.f71c89309a6bbp-4, -0x1.d7831d27d17a5p-4, -0x1.b81387f438d5bp-4, -0x1.98d30a2d80684p-4, -0x1.79c6b01d6185bp-4, -0x1.5af35264161e5p-4, -0x1.3c5d96a3f9efdp-4, -0x1.1e09f033b8115p-4, -0x1.fff941ad04a57p-5, -0x1.c47372f39bef4p-5, -0x1.898a35f02b1bfp-5, -0x1.4f44edc066aaap-5, -0x1.15aaa081aef95p-5, -0x1.b983f1ded9db2p-6, -0x1.492290101fd11p-6, -0x1.b47a1adf9ff9ep-7, -0x1.b37abc4905015p-8, -0x1.1210b067f07dcp-14, 0x1.a47b5f9ebab5p-8, 0x1.a3556eb81a647p-7, 0x1.3888d94ad29e4p-6, 0x1.9db124ca286f6p-6, 0x1.008e0c729f887p-5, 0x1.3161648ba9fc3p-5, 0x1.614f6ce2dd4ap-5, 0x1.90553e5ce6a5ap-5, 0x1.be7036cdd3e04p-5, 0x1.eb9df73743ff2p-5, 0x1.0bee3103e0632p-4, 0x1.2194ccaddaaa3p-4, 0x1.36c1fea021cdp-4, 0x1.4b7514fc3366ep-4, 0x1.5fad7b224e488p-4, 0x1.736ab8d6b8d39p-4, 0x1.86ac71689a601p-4, 0x1.997262da87dcfp-4, 0x1.abbc650ce5f95p-4, 0x1.bd8a68ea42cbp-4, 0x1.cedc7795b8e3bp-4, 0x1.dfb2b19b830fdp-4, 0x1.f00d4e23d5548p-4, 0x1.ffec9a280d1dbp-4, 0x1.07a87bd53002cp-3, 0x1.0f1d6e77fd908p-3, 0x1.165569def01d6p-3, 0x1.1d50bc4c2538ep-3, 0x1.240fbd027bbcdp-3, 0x1.2a92cbe80e98fp-3, 0x1.30da512a28f81p-3, 0x1.36e6bce2acb69p-3, 0x1.3cb886bef1518p-3, 0x1.42502da82961ep-3, 0x1.47ae376d45d7fp-3, 0x1.4cd3306e6dd54p-3, 0x1.51bfab49fa6f4p-3, 0x1.5674408b0d38bp-3, 0x1.5af18e59b541cp-3, 0x1.5f38382cb4261p-3, 0x1.6348e67cd4353p-3, 0x1.67244679e06b4p-3, 0x1.6acb09c13811ep-3, 0x1.6e3de6160350ap-3, 0x1.717d951b02843p-3, 0x1.748ad40e01289p-3, 0x1.77666384e54cdp-3, 0x1.7a11072c61b85p-3, 0x1.7c8b858842d6dp-3, 0x1.7ed6a7b55bb35p-3, 0x1.80f3392d0cd8p-3, 0x1.82e2078a6514cp-3, 0x1.84a3e250e090fp-3, 0x1.86399ab4b572cp-3, 0x1.87a40364b98b4p-3, 0x1.88e3f055d9fdbp-3, 0x1.89fa36901c162p-3, 0x1.8ae7abfd2e591p-3, 0x1.8bad27387d7b6p-3, 0x1.8c4b7f60cf055p-3, 0x1.8cc38beb59b4dp-3, 0x1.8d1624785c822p-3, 0x1.8d4420a92b791p-3, 0x1.8d4e57f7b2685p-3, 0x1.8d35a18f5f52fp-3, 0x1.8cfad427847a4p-3, 0x1.8c9ec5df0dee8p-3, 0x1.8c224c19a6cd7p-3, 0x1.8b863b5e3126bp-3, 0x1.8acb673695cddp-3, 0x1.89f2a210e5f13p-3, 0x1.88fcbd21c306fp-3, 0x1.87ea88481337fp-3, 0x1.86bcd1f1f192p-3, 0x1.85746702d67d4p-3, 0x1.841212baf874bp-3, 0x1.82969e9fd991cp-3, 0x1.8102d265fe66ep-3, 0x1.7f5773dbc47c4p-3, 0x1.7d9546d55b118p-3, 0x1.7bbd0d19cc8d7p-3, 0x1.79cf86511c204p-3, 0x1.77cd6ff36fadbp-3, 0x1.75b7853938cd3p-3, 0x1.738e7f0c5dc1ap-3, 0x1.715313fa62684p-3, 0x1.6f05f82776bbfp-3, 0x1.6ca7dd427ac13p-3, 0x1.6a397279e643fp-3, 0x1.67bb647190e29p-3, 0x1.652e5d3950b84p-3, 0x1.62930444724b4p-3, 0x1.5fe9fe61fc8c9p-3, 0x1.5d33edb5be467p-3, 0x1.5a7171b217c67p-3, 0x1.57a327128df69p-3, 0x1.54c9a7d70739cp-3, 0x1.51e58b3fbe5cap-3, 0x1.4ef765c9e5727p-3, 0x1.4bffc92cea8aap-3, 0x1.48ff445858f94p-3, 0x1.45f663725e3a1p-3, 0x1.42e5afd6df15ap-3, 0x1.3fcdb0171c266p-3, 0x1.3caee7f9e5beap-3, 0x1.3989d87c52ddbp-3, 0x1.365effd2f7b07p-3, 0x1.332ed96b9c7e5p-3, 0x1.2ff9ddef67d06p-3, 0x1.2cc083457a116p-3, 0x1.29833c95faa51p-3, 0x1.26427a4d8865cp-3, 0x1.22feaa2114902p-3, 0x1.1fb8371215a51p-3, 0x1.1c6f89731ccfdp-3, 0x1.192506ecbd1ap-3, 0x1.15d91282c9b4p-3, 0x1.128c0c99db7d4p-3, 0x1.0f3e52fd2bdfp-3, 0x1.0bf040e4ac589p-3, 0x1.08a22efb654a9p-3, 0x1.0554736614f93p-3, 0x1.020761ca0517p-3, 0x1.fd7696a83a02cp-4, 0x1.f6e0fd804c402p-4, 0x1.f04e90c0814bbp-4, 0x1.e9bfe44908983p-4, 0x1.e3358745a2de7p-4, 0x1.dcb0043d856d7p-4, 0x1.d62fe123859b9p-4, 0x1.cfb59f6696e66p-4, 0x1.c941bc026fc65p-4, 0x1.c2d4af907865fp-4, 0x1.bc6eee58d9034p-4, 0x1.b610e863c5e37p-4, 0x1.afbb098ae92f7p-4, 0x1.a96db98aee3cap-4, 0x1.a3295c152e42fp-4, 0x1.9cee50e173f1p-4, 0x1.96bcf3bfd8832p-4, 0x1.90959caaa67bp-4, 0x1.8a789fd855da1p-4, 0x1.84664dcd871ffp-4, 0x1.7e5ef36f068e8p-4, 0x1.7862da13ceb8ap-4, 0x1.727247970a30fp-4, 0x1.6c8d7e6a0da74p-4, 0x1.66b4bda6490d6p-4, 0x1.60e8411f2cf2ap-4, 0x1.5b284173fece9p-4, 0x1.5574f4219e854p-4, 0x1.4fce8b9431b46p-4, 0x1.4a353738bba7p-4, 0x1.44a9238e99239p-4, 0x1.3f2a7a38e1a8ep-4, 0x1.39b9620fa76c2p-4, 0x1.3455ff3117519p-4, 0x1.2f00731278b42p-4, 0x1.29b8dc91045c6p-4, 0x1.247f580297ee8p-4, 0x1.1f53ff463f4c7p-4, 0x1.1a36e9d49663p-4, 0x1.15282ccffb1d2p-4, 0x1.1027db1497c24p-4, 0x1.0b3605483d4d9p-4, 0x1.0652b9ea0c296p-4, 0x1.017e0561ee4bbp-4, 0x1.f96fe41fc3a6bp-5, 0x1.f00110b61bf9dp-5, 0x1.e6af9d8149cc8p-5, 0x1.dd7b93c525a99p-5, 0x1.d464f92beef31p-5, 0x1.cb6bcfe2d2c0bp-5, 0x1.c29016b60605ep-5, 0x1.b9d1c92c72ff4p-5, 0x1.b130dfa2f7723p-5, 0x1.a8ad4f6730ebfp-5, 0x1.a0470ad1dec01p-5, 0x1.97fe0160cf906p-5, 0x1.8fd21fd05ab96p-5, 0x1.87c350346c521p-5, 0x1.7fd17a111dc4ap-5, 0x1.77fc8272dd1b7p-5, 0x1.70444c0620328p-5, 0x1.68a8b72ea8601p-5, 0x1.6129a21e4ed71p-5, 0x1.59c6e8eb666d1p-5, 0x1.528065a6a5668p-5, 0x1.4b55f070a28a4p-5, 0x1.44475f8edcb0fp-5, 0x1.3d548780575edp-5, 0x1.367d3b11c0cb3p-5, 0x1.2fc14b712dfffp-5, 0x1.29208841687fp-5, 0x1.229abfaccaf61p-5, 0x1.1c2fbe77b02c5p-5, 0x1.15df501278626p-5, 0x1.0fa93eab24ca9p-5, 0x1.098d533e83785p-5, 0x1.038b55a8f7096p-5, 0x1.fb46196da32c7p-6, 0x1.efa87c6895509p-6, 0x1.e43d5dfa1e4e2p-6, 0x1.d9044616d2401p-6, 0x1.cdfcbb0e133a7p-6, 0x1.c32641a6d3f8fp-6, 0x1.b8805d3b96ed8p-6, 0x1.ae0a8fd5b003fp-6, 0x1.a3c45a47d0248p-6, 0x1.99ad3c47c9918p-6, 0x1.8fc4b4879eb7fp-6, 0x1.860a40cdd9567p-6, 0x1.7c7d5e0d2b631p-6, 0x1.731d887b6e17cp-6, 0x1.69ea3ba7db429p-6, 0x1.60e2f290ad2e3p-6, 0x1.580727b80f532p-6, 0x1.4f5655386571cp-6, 0x1.46cff4d7ef6aep-6, 0x1.3e73801bd3b17p-6, 0x1.3640705a894bp-6, 0x1.2e363ecda0ab1p-6, 0x1.265464a2fc4d9p-6, 0x1.1e9a5b0d6a47fp-6, 0x1.17079b54b1d27p-6, 0x1.0f9b9ee516305p-6, 0x1.0855df5e3e14bp-6, 0x1.0135d6a1a1fe4p-6, 0x1.f475fdc0c6913p-7, 0x1.e6c9a55144ecfp-7, 0x1.d96599e4b6172p-7, 0x1.cc48d2576f2c4p-7, 0x1.bf724689df018p-7, 0x1.b2e0ef7746d26p-7, 0x1.a693c74b9fd45p-7, 0x1.9a89c9786316ap-7, 0x1.8ec1f2c8a1778p-7, 0x1.833b417431f85p-7, 0x1.77f4b531e6f7dp-7, 0x1.6ced4f491ec1cp-7, 0x1.622412a25c6ccp-7, 0x1.579803d72588dp-7, 0x1.4d48294117f6p-7, 0x1.43338b0840535p-7, 0x1.39593330bf193p-7, 0x1.2fb82da79fce9p-7, 0x1.264f884f14b95p-7, 0x1.1d1e5309f1778p-7, 0x1.14239fc680cb6p-7, 0x1.0b5e8288be526p-7, 0x1.02ce1173efcc8p-7, 0x1.f4e2c9a72cb0cp-8, 0x1.e48f2e47a7963p-8, 0x1.d49f8a32756b1p-8, 0x1.c5121b500b6cbp-8, 0x1.b5e5241593994p-8, 0x1.a716eb9150e9p-8, 0x1.98a5bd75ecdeap-8, 0x1.8a8fea24d10cdp-8, 0x1.7cd3c6b77ccfbp-8, 0x1.6f6fad080a2aep-8, 0x1.6261fbb89ade7p-8, 0x1.55a91639fd13p-8, 0x1.494364d187e4cp-8, 0x1.3d2f549e27138p-8, 0x1.316b579c75321p-8, 0x1.25f5e4aa33fb6p-8, 0x1.1acd7788f3ce3p-8, 0x1.0ff090e01eefap-8, 0x1.055db63e22383p-8, 0x1.f626e43248a24p-9, 0x1.e220a79de7f19p-9, 0x1.cea5df48bf608p-9, 0x1.bbb3bd8831c2p-9, 0x1.a9477e7967284p-9, 0x1.975e67fcbf962p-9, 0x1.85f5c9aff50c1p-9, 0x1.750afce761775p-9, 0x1.649b64a61c858p-9, 0x1.54a46d955a101p-9, 0x1.45238dfaadeeap-9, 0x1.361645ad99f3ap-9, 0x1.277a1e0c4b0eap-9, 0x1.194ca9ef50a8cp-9, 0x1.0b8b859cddc92p-9, 0x1.fc68ad76665a8p-10, 0x1.e2899884a8383p-10, 0x1.c9753cda53f7ep-10, 0x1.b1271d53c7ff5p-10, 0x1.999acf13c2587p-10, 0x1.82cbf9620c9f7p-10, 0x1.6cb65588c9c95p-10, 0x1.5755aeb146f0fp-10, 0x1.42a5e1bf697bap-10, 0x1.2ea2dd2c7d5c7p-10, 0x1.1b48a0e139cf2p-10, 0x1.08933e0e5b881p-10, 0x1.ecfdae0ac3d14p-11, 0x1.ca0f3e204f28fp-11, 0x1.a853b48f4e097p-11, 0x1.87c3bad515482p-11, 0x1.68581b65b07dbp-11, 0x1.4a09c156c7a3p-11, 0x1.2cd1b80999239p-11, 0x1.10a92ad30778bp-11, 0x1.eb12c948524a1p-12, 0x1.b6d79f62ca499p-12, 0x1.8493ea31b0963p-12, 0x1.543af911e816fp-12, 0x1.25c057cb77022p-12, 0x1.f22f9bb7aa7a6p-13, 0x1.9c6abb7db7ce3p-13, 0x1.4a1a8872f2194p-13, 0x1.f64fde8057201p-14, 0x1.5ef89c7c800eap-14, 0x1.9c05d01b9a2bdp-15, 0x1.0d0cf0062cc63p-16, -0x1.05c44881a6549p-16, -0x1.8087a9e73fca5p-15, -0x1.395e0a20e3bb6p-14, -0x1.ace7dd3bba3cep-14, -0x1.0d84555181c03p-13, -0x1.41f3812ea95c8p-13, -0x1.73d4557c9940cp-13, -0x1.a3395232dd594p-13, -0x1.d0349565b529p-13, -0x1.fad7dcb24c837p-13, -0x1.119a435262675p-12, -0x1.24adca10ed34bp-12, -0x1.36aed4e746949p-12, -0x1.47a588b8abcfep-12, -0x1.5799ddab7b67cp-12, -0x1.66939fd7e4ed9p-12, -0x1.749a6ff838fcap-12, -0x1.81b5c415a3d23p-12, -0x1.8dece836b2cfcp-12, -0x1.9946ff08cb34cp-12, -0x1.a3cb028ae0265p-12, -0x1.ad7fc4b6b59ep-12, -0x1.b66bf0291521ap-12, -0x1.be9608c69dbc7p-12, -0x1.c6046c61e8e45p-12, -0x1.ccbd535e32c1ep-12, -0x1.d2c6d150865e5p-12, -0x1.d826d5a213f49p-12, -0x1.dce32c2d379eep-12, -0x1.e1017ddcf446p-12, -0x1.e487514654b64p-12, -0x1.e77a0b43e2d59p-12, -0x1.e9deef8ecdb9ap-12, -0x1.ebbb2154cd39ap-12, -0x1.ed13a3cefb65cp-12, -0x1.eded5ad4c13d8p-12, -0x1.ee4d0b6cd6b49p-12, -0x1.ee375c6005146p-12, -0x1.edb0d6c62261p-12, -0x1.ecbde69457c33p-12, -0x1.eb62db2807407p-12, -0x1.e9a3e7d06cbdfp-12, -0x1.e78524565746p-12, -0x1.e50a8d835fb28p-12, -0x1.e23805a5fbe6dp-12, -0x1.df115514b8f61p-12, -0x1.db9a2aaf48a4ep-12, -0x1.d7d61c5d407f1p-12, -0x1.d3c8a78ce3bbep-12, -0x1.cf7531af55c1ap-12, -0x1.cadf08b260f68p-12, -0x1.c609637947acdp-12, -0x1.c0f76254cad8p-12, -0x1.bbac0f7568e08p-12, -0x1.b62a5f632fa82p-12, -0x1.b075316c9a394p-12, -0x1.aa8f50189ae93p-12, -0x1.a47b719453d86p-12, -0x1.9e3c382013a5cp-12, -0x1.97d4327af0263p-12, -0x1.9145dc4c35d13p-12, -0x1.8a939e8c3171dp-12, -0x1.83bfcfea0e3e6p-12, -0x1.7cccb530e693ap-12, -0x1.75bc81aa089cbp-12, -0x1.6e91578090cdfp-12, -0x1.674d481fa2466p-12, -0x1.5ff25492bec5ep-12, -0x1.58826de126d32p-12, -0x1.50ff756aa5519p-12, -0x1.496b3d4069d65p-12, -0x1.41c7887e1c2fp-12, -0x1.3a160ba09cfb3p-12, -0x1.32586cdc35b5dp-12, -0x1.2a90446fd830dp-12, -0x1.22bf1cf7d2013p-12, -0x1.1ae673beabfe9p-12, -0x1.1307b90dbd32ap-12, -0x1.0b24507b05145p-12, -0x1.033d9135f30a5p-12, -0x1.f6a98ca72267cp-13, -0x1.e6d65e2feec75p-13, -0x1.d703fe7ee6af1p-13, -0x1.c734be8bf1e0bp-13, -0x1.b76ad95b39082p-13, -0x1.a7a87487900e1p-13, -0x1.97efa0c8a2254p-13, -0x1.88425a77c22b3p-13, -0x1.78a28a12057a1p-13, -0x1.691204b944ce6p-13, -0x1.59928cb04b2f9p-13, -0x1.4a25d1d7150fdp-13, -0x1.3acd7221bbba5p-13, -0x1.2b8afa10df91p-13, -0x1.1c5fe522d1005p-13, -0x1.0d4d9e470b06cp-13, -0x1.fcab009b49385p-14, -0x1.def1aca8a3cb3p-14, -0x1.c171b8633ee6fp-14, -0x1.a42d7dba34889p-14, -0x1.872739ad5e8fap-14, -0x1.6a610d15f73bep-14, -0x1.4ddcfd6c98d48p-14, -0x1.319cf589b198cp-14, -0x1.15a2c66441092p-14, -0x1.f3e04f92d8195p-15, -0x1.bd0d7225092bap-15, -0x1.86d003aa8e795p-15, -0x1.512ae52861f9p-15, -0x1.1c20cacd023d4p-15, -0x1.cf687a80b7414p-16, -0x1.67cf35d0dc1ebp-16, -0x1.017a324ff43adp-16, -0x1.38db165b3447fp-17, -0x1.c56872f7b8bd1p-19, 0x1.4e1e0806444fep-19, 0x1.15c350e42d113p-17, 0x1.d553679ff0df3p-17, 0x1.4919332513175p-16, 0x1.a62db88dcfbd9p-16, 0x1.00f28b0fe6554p-15, 0x1.2e1eadf02157cp-15, 0x1.5a9a6ae4f670ap-15, 0x1.866504ebb0b12p-15, 0x1.b17ddb0f6dcbep-15, 0x1.dbe4677c81069p-15, 0x1.02cc1f4bcb87cp-14, 0x1.174c870f9501ap-14, 0x1.2b734e2457a0bp-14, 0x1.3f40637654babp-14, 0x1.52b3c15942d4cp-14, 0x1.65cd6d21564p-14, 0x1.788d76bf82c55p-14, 0x1.8af3f85f9a285p-14, 0x1.9d011608fa922p-14, 0x1.aeb4fd4082dd5p-14, 0x1.c00fe4aeec6bfp-14, 0x1.d1120bc6c49d1p-14, 0x1.e1bbba6eb151cp-14, 0x1.f20d40ad36971p-14, 0x1.01037b2b9b2fbp-13, 0x1.08d49d5fad35ep-13, 0x1.107a3a3412accp-13, 0x1.17f4885be5b9dp-13, 0x1.1f43c1d72fe58p-13, 0x1.266823ce9545dp-13, 0x1.2d61ee70d321cp-13, 0x1.343164cfe736dp-13, 0x1.3ad6ccc08890cp-13, 0x1.41526eb90f5e1p-13, 0x1.47a495b268fbap-13, 0x1.4dcd8f08fcb15p-13, 0x1.53cdaa5f1924bp-13, 0x1.59a5397ff583ep-13, 0x1.5f5490434bcfbp-13, 0x1.64dc0472543acp-13, 0x1.6a3bedac87c9dp-13, 0x1.6f74a54e16006p-13, 0x1.748686568cfdfp-13, 0x1.7971ed500a84p-13, 0x1.7e37383829f1p-13, 0x1.82d6c6683efcap-13, 0x1.8750f87f9f602p-13, 0x1.8ba6304d29f07p-13, 0x1.8fd6d0baaeb42p-13, 0x1.93e33db810b82p-13, 0x1.97cbdc27856b3p-13, 0x1.9b9111ca4491p-13, 0x1.9f33452e1a494p-13, 0x1.a2b2dd9ac30c4p-13, 0x1.a61043012c3dap-13, 0x1.a94bdde99904ep-13, 0x1.ac661763a6551p-13, 0x1.af5f58f63788fp-13, 0x1.b2380c8fc7e0fp-13, 0x1.b4f09c77e7f16p-13, 0x1.b78973408c3a6p-13, 0x1.ba02fbb805fc7p-13, 0x1.bc5da0dbdf07ep-13, 0x1.be99cdcb4b43ap-13, 0x1.c0b7edbaf5e17p-13, 0x1.c2b86be856c66p-13, 0x1.c49bb38e62ba6p-13, 0x1.c6622fd9e9a08p-13, 0x1.c80c4bdef563ap-13, 0x1.c99a728de63c4p-13, 0x1.cb0d0ea99512p-13, 0x1.cc648abd46205p-13, 0x1.cda151135f0fdp-13, 0x1.cec3cbac1d0fdp-13, 0x1.cfcc6435231c3p-13, 0x1.d0bb8400fba66p-13, 0x1.d19193fedcp-13, 0x1.d24efcb32885fp-13, 0x1.d2f4262fe4fa8p-13, 0x1.d381780d7b58p-13, 0x1.d3f7596425abp-13, 0x1.d45630c4e83bdp-13, 0x1.d49e6433d1c8p-13, 0x1.d4d05921cdd85p-13, 0x1.d4ec7466cf5bbp-13, 0x1.d4f31a3c88ac8p-13, 0x1.d4e4ae38f20b3p-13, 0x1.d4c193499641cp-13, 0x1.d48a2bae9651bp-13, 0x1.d43ed8f67998ep-13, 0x1.d3dffbf9798e1p-13, 0x1.d36df4d5eb053p-13, 0x1.d2e922ebed002p-13, 0x1.d251e4da63ddbp-13, 0x1.d1a8987ada9b3p-13, 0x1.d0ed9ade9d89ap-13, 0x1.d021484bd335ap-13, 0x1.cf43fc3a259eep-13, 0x1.ce561150b4332p-13, 0x1.cd57e162fa452p-13, 0x1.cc49c56edc0d2p-13, 0x1.cb2c159a5c4a6p-13, 0x1.c9ff293189bd1p-13, 0x1.c8c356a48324ap-13, 0x1.c778f38646ce7p-13, 0x1.c620548a59ce2p-13, 0x1.c4b9cd83fa9ffp-13, 0x1.c345b164a08dcp-13, 0x1.c1c4523ab204ep-13, 0x1.c0360130b6529p-13, 0x1.be9b0e8c506e2p-13, 0x1.bcf3c9ad607efp-13, 0x1.bb40810d69d69p-13, 0x1.b981823f3543bp-13, 0x1.b7b719ede3483p-13, 0x1.b5e193dd2958ap-13, 0x1.b4013ae8ad076p-13, 0x1.b2165903e818bp-13, 0x1.b021373a1be64p-13, 0x1.ae221daeb55a3p-13, 0x1.ac19539cc5d37p-13, 0x1.aa071f57dd1fp-13, 0x1.a7ebc64bfb0edp-13, 0x1.a5c78cfdd220ep-13, 0x1.a39ab70bbc7e1p-13, 0x1.a165872d98d98p-13, 0x1.9f283f3605b1p-13, 0x1.9ce32012631a6p-13, 0x1.9a9669cc24884p-13, 0x1.98425b895a99cp-13, 0x1.95e7338d5d56bp-13, 0x1.93852f3a1b414p-13, 0x1.911c8b10b8c31p-13, 0x1.8ead82b2c352ap-13, 0x1.8c3850e31ba34p-13, 0x1.89bd2f8726fd1p-13, 0x1.873c57a83cee4p-13, 0x1.84b6017444eb5p-13, 0x1.822a643f7ef95p-13, 0x1.7f99b685a04e9p-13, 0x1.7d042deb02dd8p-13, 0x1.7a69ff3e5212ap-13, 0x1.77cb5e7988d5ap-13, 0x1.75287ec3cc37p-13, 0x1.72819272b34d1p-13, 0x1.6fd6cb0b8d431p-13, 0x1.6d28594572126p-13, 0x1.6a766d0a47b83p-13, 0x1.67c13578ad196p-13, 0x1.6508e0e579b8p-13, 0x1.624d9cdd31b23p-13, 0x1.5f8f9625ec25fp-13, 0x1.5ccef8c10c8b5p-13, 0x1.5a0befec7edb8p-13, 0x1.5746a62501ef3p-13, 0x1.547f45276f5b7p-13, 0x1.51b5f5f2a73c6p-13, 0x1.4eeae0c948a95p-13, 0x1.4c1e2d3390e34p-13, 0x1.49500200bb837p-13, 0x1.468085494f8dbp-13, 0x1.43afdc70b0423p-13, 0x1.40de2c26b8be9p-13, 0x1.3e0b9869dced6p-13, 0x1.3b384488ebe27p-13, 0x1.386453249d123p-13, 0x1.358fe631bec43p-13, 0x1.32bb1efad3815p-13, 0x1.2fe61e21f3f62p-13, 0x1.2d1103a29d05p-13, 0x1.2a3beed3ae7b1p-13, 0x1.2766fe68fafbdp-13, 0x1.249250756f3eap-13, 0x1.21be026cabe2cp-13, 0x1.1eea3125050afp-13, 0x1.1c16f8d92700bp-13, 0x1.1944752a14e91p-13, 0x1.1672c12110f5dp-13, 0x1.13a1f731299cfp-13, 0x1.10d231393db54p-13, 0x1.0e038885e841bp-13, 0x1.0b3615d301f36p-13, 0x1.0869f14db8307p-13, 0x1.059f32963e536p-13, 0x1.02d5f0c19d89cp-13, 0x1.000e425b652ccp-13, 0x1.fa907acf42b6bp-14, 0x1.f507eec91a3f3p-14, 0x1.ef830a989cfap-14, 0x1.ea01f72d512cp-14, 0x1.e484dc75f68fep-14, 0x1.df0be16383f2bp-14, 0x1.d9972becbfbcep-14, 0x1.d426e111d87bcp-14, 0x1.cebb24df764ebp-14, 0x1.c9541a729d4c6p-14, 0x1.c3f1e3fbc0bd8p-14, 0x1.be94a2c21c98fp-14, 0x1.b93c77270effdp-14, 0x1.b3e980a9a42bp-14, 0x1.ae9bdde9a7d81p-14, 0x1.a953acaae927dp-14, 0x1.a41109d87ae23p-14, 0x1.9ed4118807b8fp-14, 0x1.999cdefd030dbp-14, 0x1.946b8caba1df7p-14, 0x1.8f40343c380f3p-14, 0x1.8a1aee8e33d37p-14, 0x1.84fbd3bb5a617p-14, 0x1.7fe2fb1ab5dep-14, 0x1.7ad07b43ad46fp-14, 0x1.75c46a11054ep-14, 0x1.70bedca3d88dfp-14, 0x1.6bbfe766ab7d9p-14, 0x1.66c79e104b6cep-14, 0x1.61d613a6986ddp-14, 0x1.5ceb5a818294dp-14, 0x1.5807844ddf696p-14, 0x1.532aa2105833p-14, 0x1.4e54c4281a4d4p-14, 0x1.4985fa519a39p-14, 0x1.44be53a948fbbp-14, 0x1.3ffddeae5f79bp-14, 0x1.3b44a945a3826p-14, 0x1.3692c0bbeee37p-14, 0x1.31e831c8d321bp-14, 0x1.2d4508912d28bp-14, 0x1.28a950a9d8817p-14, 0x1.2415151a23a99p-14, 0x1.1f88605e6a6ep-14, 0x1.1b033c6a6dcbfp-14, 0x1.1685b2abff966p-14, 0x1.120fcc0d42ebep-14, 0x1.0da190f721a33p-14, 0x1.093b0953bbc59p-14, 0x1.04dc3c90ca6ccp-14, 0x1.008531a1dc9f4p-14, 0x1.f86bde05401dep-15, 0x1.efdcf57280029p-15, 0x1.e75db4b12782ap-15, 0x1.deee2604b9204p-15, 0x1.d68e52d2d2ec3p-15, 0x1.ce3e43a7a3ea7p-15, 0x1.c5fe003a2436dp-15, 0x1.bdcd8f7064f1p-15, 0x1.b5acf7639761ap-15, 0x1.ad9c3d6432068p-15, 0x1.a59b65fdebd3bp-15, 0x1.9daa74fc10167p-15, 0x1.95c96d6d2790dp-15, 0x1.8df851a6f922bp-15, 0x1.8637234a70814p-15, 0x1.7e85e347452ap-15, 0x1.76e491dfe11a1p-15, 0x1.6f532ead100aap-15, 0x1.67d1b8a19ed21p-15, 0x1.60602e0df89c6p-15, 0x1.58fe8ca3b10bp-15, 0x1.51acd17915e56p-15, 0x1.4a6af90c8e592p-15, 0x1.4338ff48262e7p-15, 0x1.3c16df84a555ap-15, 0x1.3504948d0bf9bp-15, 0x1.2e0218a1fd47fp-15, 0x1.270f657ce733ep-15, 0x1.202c7452f7cabp-15, 0x1.19593dd8678d6p-15, 0x1.1295ba438fe9cp-15, 0x1.0be1e14fd4a9fp-15, 0x1.053daa40eeabp-15, 0x1.fd5217cb374e9p-16, 0x1.f047f9350af8bp-16, 0x1.e35ce49a9757p-16, 0x1.d690c4fe1d80ap-16, 0x1.c9e3848eee96ap-16, 0x1.bd550caf0c32ap-16, 0x1.b0e545f83e7b3p-16, 0x1.a4941840cb1aep-16, 0x1.98616aa1bcdb4p-16, 0x1.8c4d237b68e37p-16, 0x1.8057287aa02eap-16, 0x1.747f5e9db1739p-16, 0x1.68c5aa39246e5p-16, 0x1.5d29eefcc01afp-16, 0x1.51ac0ff8264a2p-16, 0x1.464bef9f9a731p-16, 0x1.3b096fd0c378fp-16, 0x1.2fe471d6aae3p-16, 0x1.24dcd66ea4d32p-16, 0x1.19f27dcc7345p-16, 0x1.0f25479e89ba6p-16, 0x1.04751312983d7p-16, 0x1.f3c37db22bb9dp-17, 0x1.ded65254472ecp-17, 0x1.ca225f91f6ebap-17, 0x1.b5a7601017bacp-17, 0x1.a1650d98e5d34p-17, 0x1.8d5b212574ddfp-17, 0x1.798952e4196dbp-17, 0x1.65ef5a3ef0bc1p-17, 0x1.528cede45545bp-17, 0x1.3f61c3cdad49p-17, 0x1.2c6d914680775p-17, 0x1.19b00af23f4c1p-17, 0x1.0728e4d44f525p-17, 0x1.e9afa4ac1b252p-18, 0x1.c5790c9ae6447p-18, 0x1.a1ad660680b44p-18, 0x1.7e4c14747cadcp-18, 0x1.5b547a670da5ep-18, 0x1.38c5f96b40f06p-18, 0x1.169ff22601679p-18, 0x1.e9c388baa2f18p-19, 0x1.a7159e07ed4c1p-19, 0x1.6534e08c5a1a7p-19, 0x1.24200b281cbb9p-19, 0x1.c7abaeaeb52a3p-20, 0x1.48a9fa903f224p-20, 0x1.9670cfb8b7fap-21, 0x1.3d5188b569e18p-22, -0x1.5825681a33cd3p-23, -0x1.47aabc6315a3fp-21, -0x1.1b204bb4065f5p-20, -0x1.90e81197a0b6dp-20, -0x1.0297a6b84fac1p-19, -0x1.3bfc4f1e39ab7p-19, -0x1.74a3521d898c5p-19, -0x1.ac8e0069aad9cp-19, -0x1.e3bdab342f9a8p-19, -0x1.0d19d2117314cp-18, -0x1.27f89e9c6160dp-18, -0x1.427be462a3c6ap-18, -0x1.5ca44cae9a276p-18, -0x1.767280e34ef1p-18, -0x1.8fe72a7475cd6p-18, -0x1.a902f2e0267a4p-18, -0x1.c1c683a7343e6p-18, -0x1.da3286478b07fp-18, -0x1.f247a4339712ap-18, -0x1.05034366040ep-17, -0x1.10b7ebad1c4c3p-17, -0x1.1c421f857463dp-17, -0x1.27a23372ec1c4p-17, -0x1.32d87be42d443p-17, -0x1.3de54d2f912f9p-17, -0x1.48c8fb90a4e19p-17, -0x1.5383db25027p-17, -0x1.5e163feae31a5p-17, -0x1.68807dbc50fa3p-17, -0x1.72c2e84d655fep-17, -0x1.7cddd32b5ec6fp-17, -0x1.86d191b7ac9fbp-17, -0x1.909e7726601c7p-17, -0x1.9a44d67c74a3dp-17, -0x1.a3c5028d446aep-17, -0x1.ad1f4df7d342dp-17, -0x1.b6540b249dfdcp-17, -0x1.bf638c43cbd25p-17, -0x1.c84e234bda3f4p-17, -0x1.d11421f639786p-17, -0x1.d9b5d9bd0ed2cp-17, -0x1.e2339bdc1143ap-17, -0x1.ea8db94be18b2p-17, -0x1.f2c482c120bd1p-17, -0x1.fad848aac43b3p-17, -0x1.0164ad9806b9cp-16, -0x1.054c0517ab74cp-16, -0x1.0922529e8c01p-16, -0x1.0ce7bdd05d8b6p-16, -0x1.109c6e2a04825p-16, -0x1.14408b010f483p-16, -0x1.17d43b8253ac9p-16, -0x1.1b57a6b1b48efp-16, -0x1.1ecaf369d85eap-16, -0x1.222e485b06b6ap-16, -0x1.2581cc0a461adp-16, -0x1.28c5a4d14fb7ep-16, -0x1.2bf9f8dddcaf8p-16, -0x1.2f1eee30aefp-16, -0x1.3234aa9d96f82p-16, -0x1.353b53cad7797p-16, -0x1.38330f3060a1p-16, -0x1.3b1c0216c7a37p-16, -0x1.3df651982565dp-16, -0x1.40c2229ed7feap-16, -0x1.437f99e546e75p-16, -0x1.462edbf54ffcap-16, -0x1.48d00d27d886ep-16, -0x1.4b6351a4a2b64p-16, -0x1.4de8cd61c3492p-16, -0x1.5060a4233857bp-16, -0x1.52caf97b78008p-16, -0x1.5527f0c9b25f7p-16, -0x1.5777ad3a15494p-16, -0x1.59ba51c62cda7p-16, -0x1.5bf00133eaddcp-16, -0x1.5e18de15463ep-16, -0x1.60350ac88b017p-16, -0x1.6244a977c3b05p-16, -0x1.6447dc184d3edp-16, -0x1.663ec46b811b2p-16, -0x1.682983fde4eebp-16, -0x1.6a083c268429ep-16, -0x1.6bdb0e076d659p-16, -0x1.6da21a8dc184fp-16, -0x1.6f5d82712cf5fp-16, -0x1.710d6633b0355p-16, -0x1.72b1e6215fad2p-16, -0x1.744b2250b5d9fp-16, -0x1.75d93aa250ffcp-16, -0x1.775c4ec127c47p-16, -0x1.78d47e2200466p-16, -0x1.7a41e802fefbbp-16, -0x1.7ba4ab6c89ad1p-16, -0x1.7cfce73157501p-16, -0x1.7e4ab9ed231f6p-16, -0x1.7f8e420579f8p-16, -0x1.80c79da9de605p-16, -0x1.81f6ead340582p-16, -0x1.831c4744abb9ap-16, -0x1.8437d08acfe33p-16, -0x1.8549a3fb710b2p-16, -0x1.8651deb69a7ep-16, -0x1.87509da65184fp-16, -0x1.8845fd7e1dc7cp-16, -0x1.89321abb14d4bp-16, -0x1.8a1511a4a32aap-16, -0x1.8aeefe4c3226ap-16, -0x1.8bbffc8d32d33p-16, -0x1.8c88280cffa47p-16, -0x1.8d479c3afce53p-16, -0x1.8dfe7451317ap-16, -0x1.8eaccb544f86ep-16, -0x1.8f52bc12e377ap-16, -0x1.8ff06125f33f5p-16, -0x1.9085d4f1f29e7p-16, -0x1.911331a5b2c29p-16, -0x1.9198913aebe75p-16, -0x1.92160d7679258p-16, -0x1.928bbfe84da3dp-16, -0x1.92f9c1ec3fcaap-16, -0x1.93602ca921f64p-16, -0x1.93bf191112729p-16, -0x1.94169fe2ce26dp-16, -0x1.9466d9a8d5877p-16, -0x1.94afdeb9178efp-16, -0x1.94f1c7365a07ap-16, -0x1.952cab10088bep-16, -0x1.9560a2020e554p-16, -0x1.958dc394c438ep-16, -0x1.95b4271dac01p-16, -0x1.95d3e3bfd3dd6p-16, -0x1.95ed106b91ef1p-16, -0x1.95ffc3de66048p-16, -0x1.960c14a3ab955p-16, -0x1.961219159484bp-16, -0x1.9611e75b660cfp-16, -0x1.960b956b3bd41p-16, -0x1.95ff3909f0245p-16, -0x1.95ece7cb28e48p-16, -0x1.95d4b7117a2ebp-16, -0x1.95b6bc0e6aa2cp-16, -0x1.95930bc397f45p-16, -0x1.9569bb0254eb2p-16, -0x1.953ade6b0c4d2p-16, -0x1.95068a6ef6423p-16, -0x1.94ccd3500708fp-16, -0x1.948dcd20057f5p-16, -0x1.94498bc1f2b3cp-16, -0x1.940022ea22652p-16, -0x1.93b1a61e233b5p-16, -0x1.935e28b4ca4ecp-16, -0x1.9305bdd6cca3cp-16, -0x1.92a8787f849afp-16, -0x1.92466b7c28e69p-16, -0x1.91dfa96c09ca6p-16, -0x1.917444c24db3dp-16, -0x1.91044fc4a229p-16, -0x1.908fdc8bbe351p-16, -0x1.9016fd04461cp-16, -0x1.8f99c2eec596dp-16, -0x1.8f183fdf8b13dp-16, -0x1.8e92853f53ee3p-16, -0x1.8e08a44b99883p-16, -0x1.8d7aae16bdf7ep-16, -0x1.8ce8b38783d72p-16, -0x1.8c52c55ae91f3p-16, -0x1.8bb8f4238b843p-16, -0x1.8b1b50490aa69p-16, -0x1.8a79ea09b1ef4p-16, -0x1.89d4d17a9a6dbp-16, -0x1.892c1686e3f6ep-16, -0x1.887fc8f0c07aep-16, -0x1.87cff851d1b14p-16, -0x1.871cb41b19f7ap-16, -0x1.86660b94cc0a2p-16, -0x1.85ac0ddfdc5fdp-16, -0x1.84eec9f54adc8p-16, -0x1.842e4ea5f56b2p-16, -0x1.836aaa9c56074p-16, -0x1.82a3ec5ba6f68p-16, -0x1.81da22402b8fap-16, -0x1.810d5a7fd53dbp-16, -0x1.803da32ad67f6p-16, -0x1.7f6b0a2af3cd6p-16, -0x1.7e959d444e15cp-16, -0x1.7dbd6a1638bedp-16, -0x1.7ce27e1a600ap-16, -0x1.7c04e6a56f879p-16, -0x1.7b24b0e84e6c2p-16, -0x1.7a41e9eec4f7bp-16, -0x1.795c9ea099165p-16, -0x1.7874dbc28e2dep-16, -0x1.778aadf52810dp-16, -0x1.769e21b58d407p-16, -0x1.75af435e497b6p-16, -0x1.74be1f274b942p-16, -0x1.73cac12559a68p-16, -0x1.72d5354b9bf78p-16, -0x1.71dd876b2c8ccp-16, -0x1.70e3c332de3f2p-16, -0x1.6fe7f43119c0cp-16, -0x1.6eea25d235e9ap-16, -0x1.6dea6361b072dp-16, -0x1.6ce8b80afb538p-16, -0x1.6be52ed875061p-16, -0x1.6adfd2b480d5dp-16, -0x1.69d8ae69a0173p-16, -0x1.68cfcca2de3e5p-16, -0x1.67c537eb55a69p-16, -0x1.66b8faaf9c2f7p-16, -0x1.65ab1f3cfaea8p-16, -0x1.649bafc1d6972p-16, -0x1.638ab64eeed98p-16, -0x1.62783cd61153p-16, -0x1.61644d2b5e9c9p-16, -0x1.604ef105cb42ap-16, -0x1.5f3831fe25bafp-16, -0x1.5e201990277dap-16, -0x1.5d06b11b31cfap-16, -0x1.5bec01e16392dp-16, -0x1.5ad0150824586p-16, -0x1.59b2f399a52a3p-16, -0x1.5894a68317b28p-16, -0x1.577536967b674p-16, -0x1.5654ac8a2bb01p-16, -0x1.553310f90d4bbp-16, -0x1.54106c6367ed6p-16, -0x1.52ecc72e3e57ap-16, -0x1.51c829a41a48dp-16, -0x1.50a29bf57ce3dp-16, -0x1.4f7c263886c75p-16, -0x1.4e54d06921d87p-16, -0x1.4d2ca26a5841dp-16, -0x1.4c03a4051de1bp-16, -0x1.4ad9dce94ea72p-16, -0x1.49af54ae29115p-16, -0x1.488412d16f876p-16, -0x1.47581eb9173fbp-16, -0x1.462b7fb26b087p-16, -0x1.44fe3cf25b438p-16, -0x1.43d05d967c438p-16, -0x1.42a1e8a4734c8p-16, -0x1.4172e50a02d39p-16, -0x1.4043599ea0e71p-16, -0x1.3f134d21eb956p-16, -0x1.3de2c63cac55bp-16, -0x1.3cb1cb81ec02bp-16, -0x1.3b80636d3fa05p-16, -0x1.3a4e9464c2ec8p-16, -0x1.391c64b84b01dp-16, -0x1.37e9daa1d26d9p-16, -0x1.36b6fc4601605p-16, -0x1.3583cfb3db885p-16, -0x1.34505ae54789bp-16, -0x1.331ca3bf78327p-16, -0x1.31e8b0125e868p-16, -0x1.30b48599e3331p-16, -0x1.2f8029fd446d4p-16, -0x1.2e4ba2cf4edf5p-16, -0x1.2d16f58f817dap-16, -0x1.2be227a8dd71dp-16, -0x1.2aad3e73380d9p-16, -0x1.29783f32de8f1p-16, -0x1.28432f18bc51cp-16, -0x1.270e134311d4ep-16, -0x1.25d8f0bce6c7ap-16, -0x1.24a3cc7eafc4ap-16, -0x1.236eab6edb8d5p-16, -0x1.22399260aa299p-16, -0x1.21048616190efp-16, -0x1.1fcf8b3ee4c3bp-16, -0x1.1e9aa678af0f7p-16, -0x1.1d65dc504e0c8p-16, -0x1.1c3131407f404p-16, -0x1.1afca9b312a49p-16, -0x1.19c84a00dcf78p-16, -0x1.18941671974dep-16, -0x1.1760133c835e1p-16, -0x1.162c44884043dp-16, -0x1.14f8ae6b0c12ep-16, -0x1.13c554eafa9a6p-16, -0x1.12923bfdf846fp-16, -0x1.115f678a8f92ap-16, -0x1.102cdb66df204p-16, -0x1.0efa9b5a185c1p-16, -0x1.0dc8ab1bc9e58p-16, -0x1.0c970e542ca96p-16, -0x1.0b65c89cc0f7ep-16, -0x1.0a34dd7fc936p-16, -0x1.090450790537p-16, -0x1.07d424f59c9e9p-16, -0x1.06a45e54163afp-16, -0x1.0574ffe528445p-16, -0x1.04460ceab88eap-16, -0x1.0317889965f9p-16, -0x1.01e976178b818p-16, -0x1.00bbd87dcc0ffp-16, -0x1.ff1d65af95daep-17, -0x1.fcc4104614312p-17, -0x1.fa6bb6a0e3165p-17, -0x1.f8145e870f41dp-17, -0x1.f5be0da580b54p-17, -0x1.f368c9903206ap-17, -0x1.f11497c114784p-17, -0x1.eec17d99898d6p-17, -0x1.ec6f8061ee4ebp-17, -0x1.ea1ea54a1cfe8p-17, -0x1.e7cef169bdccdp-17, -0x1.e58069c05f57ap-17, -0x1.e333133644c03p-17, -0x1.e0e6f29b79521p-17, -0x1.de9c0ca9cd3cdp-17, -0x1.dc5266033ad9ep-17, -0x1.da0a0333aca2cp-17, -0x1.d7c2e8b0a6b91p-17, -0x1.d57d1ad8ddb26p-17, -0x1.d3389df60dd9dp-17, -0x1.d0f5763b6a8cp-17, -0x1.ceb3a7c786c46p-17, -0x1.cc7336a33c16ap-17, -0x1.ca3426c2c9789p-17, -0x1.c7f67c05b0ac3p-17, -0x1.c5ba3a36ac28bp-17, -0x1.c37f650d01c65p-17, -0x1.c146002af66d6p-17, -0x1.bf0e0f200e8bep-17, -0x1.bcd79567d55b2p-17, -0x1.baa2966a6cfcbp-17, -0x1.b86f157d9917fp-17, -0x1.b63d15e35ae28p-17, -0x1.b40c9acbf0bc9p-17, -0x1.b1dda754c17d6p-17, -0x1.afb03e891aae6p-17, -0x1.ad84636282b0cp-17, -0x1.ab5a18c88a9f7p-17, -0x1.a931619183e4cp-17, -0x1.a70a408236bafp-17, -0x1.a4e4b84ea3497p-17, -0x1.a2c0cb9970165p-17, -0x1.a09e7cf5312a9p-17, -0x1.9e7dcee35a932p-17, }}, 
      {{-0x1.db99edc0a2397p-6, -0x1.6456a7471f04fp-5, -0x1.da71a3c667f05p-5, -0x1.27fd09df04636p-4, -0x1.62667cdf7832ap-4, -0x1.9c642eb97b2b3p-4, -0x1.d5e5b7b25952cp-4, -0x1.076da9b261d1bp-3, -0x1.239af66719bbap-3, -0x1.3f7393dc8def5p-3, -0x1.5af0b3df86f78p-3, -0x1.760bea903f939p-3, -0x1.90bf2fd796999p-3, -0x1.ab04e0031280cp-3, -0x1.c4d7bba35e8d5p-3, -0x1.de32e6c718469p-3, -0x1.f711e7a98d6a1p-3, -0x1.07b85275823acp-2, -0x1.13a5b1b302f18p-2, -0x1.1f4f61d99c351p-2, -0x1.2ab3dfb5bbe2cp-2, -0x1.35d1d31b08a52p-2, -0x1.40a80d57c435cp-2, -0x1.4b358799d6931p-2, -0x1.5579614a45bdp-2, -0x1.5f72de6338a05p-2, -0x1.692165c413243p-2, -0x1.72847f86bb87ap-2, -0x1.7b9bd3589c50dp-2, -0x1.846726d994725p-2, -0x1.8ce65c029f09cp-2, -0x1.95196f95b46e8p-2, -0x1.9d0077980e4f1p-2, -0x1.a49ba1d7bf008p-2, -0x1.abeb327d56e8bp-2, -0x1.b2ef82aa11686p-2, -0x1.b9a8ff22eb57p-2, -0x1.c0182708cbf81p-2, -0x1.c63d8a9ddb3d6p-2, -0x1.cc19ca17fac91p-2, -0x1.d1ad94804192bp-2, -0x1.d6f9a69f4ab15p-2, -0x1.dbfec9f617f47p-2, -0x1.e0bdd3c33d18p-2, -0x1.e537a413fb2b5p-2, -0x1.e96d24e0f0418p-2, -0x1.ed5f4935fbf99p-2, -0x1.f10f0c64ef521p-2, -0x1.f47d7142a5433p-2, -0x1.f7ab816e1236dp-2, -0x1.fa9a4ca0f0a63p-2, -0x1.fd4ae80990992p-2, -0x1.ffbe6dad7677p-2, -0x1.00fafdea2bd82p-1, -0x1.01f95a3d8d1c1p-1, -0x1.02dade673bae1p-1, -0x1.03a01e5673085p-1, -0x1.0449af17ba957p-1, -0x1.04d8269ca08c7p-1, -0x1.054c1b869a147p-1, -0x1.05a624f4e1546p-1, -0x1.05e6da552d95cp-1, -0x1.060ed33720512p-1, -0x1.061ea72247413p-1, -0x1.0616ed6e920fdp-1, -0x1.05f83d1f1f3f3p-1, -0x1.05c32cbf3f52p-1, -0x1.05785241971cfp-1, -0x1.051842e14471dp-1, -0x1.04a39304ed2c6p-1, -0x1.041ad623a0006p-1, -0x1.037e9eab73053p-1, -0x1.02cf7de9c8078p-1, -0x1.020e03f523ef7p-1, -0x1.013abf9885e1dp-1, -0x1.00563e402bdb6p-1, -0x1.fec217cf65ed4p-2, -0x1.fcb76613077dcp-2, -0x1.fa8d791ef506dp-2, -0x1.f8455f89788bbp-2, -0x1.f5e024915542fp-2, -0x1.f35ed005d2f36p-2, -0x1.f0c26630d12afp-2, -0x1.ee0be7c2cc50fp-2, -0x1.eb3c51c0b94fbp-2, -0x1.e8549d73a6ae9p-2, -0x1.e555c05a09297p-2, -0x1.e240ac1aa06bcp-2, -0x1.df164e78e5dbdp-2, -0x1.dbd7914ae78f5p-2, -0x1.d8855a70893f5p-2, -0x1.d5208bcc13edbp-2, -0x1.d1aa033c04d71p-2, -0x1.ce229a960d9d8p-2, -0x1.ca8b27a333a54p-2, -0x1.c6e47c1d0647p-2, -0x1.c32f65abd5dafp-2, -0x1.bf6cade5e6c5dp-2, -0x1.bb9d1a4f8d9ebp-2, -0x1.b7c16c5c2c82dp-2, -0x1.b3da61700384ap-2, -0x1.afe8b2e2ccbbfp-2, -0x1.abed1603110ddp-2, -0x1.a7e83c1a38504p-2, -0x1.a3dad2713ecaep-2, -0x1.9fc582560f353p-2, -0x1.9ba8f121715b8p-2, -0x1.9785c03d8c8a8p-2, -0x1.935c8d2ced7b5p-2, -0x1.8f2df1920ede5p-2, -0x1.8afa833758351p-2, -0x1.86c2d4178bf18p-2, -0x1.82877266a236bp-2, -0x1.7e48e89b03eabp-2, -0x1.7a07bd772305fp-2, -0x1.75c474136915ap-2, -0x1.717f8be876ab7p-2, -0x1.6d3980d9ab5dcp-2, -0x1.68f2cb3ff5082p-2, -0x1.64abdff4df41ap-2, -0x1.6065305dd9ccfp-2, -0x1.5c1f2a77ba67fp-2, -0x1.57da38e26b77fp-2, -0x1.5396c2eccb165p-2, -0x1.4f552ca0b060ap-2, -0x1.4b15d6cf154ap-2, -0x1.46d91f1c640bdp-2, -0x1.429f600cde898p-2, -0x1.3e68f1111f369p-2, -0x1.3a362692b14bbp-2, -0x1.36075200ba233p-2, -0x1.31dcc1dcb3bbdp-2, -0x1.2db6c1c730e98p-2, -0x1.29959a8cac84p-2, -0x1.257992325f9f6p-2, -0x1.2162ec031a67fp-2, -0x1.1d51e89c1ec0ap-2, -0x1.1946c5f9fae14p-2, -0x1.1541bf855eadcp-2, -0x1.11430e1febc64p-2, -0x1.0d4ae83100c1p-2, -0x1.095981b2748e5p-2, -0x1.056f0c3d4c25dp-2, -0x1.018bb7165fed2p-2, -0x1.fb5f5e75df0e6p-3, -0x1.f3b63eda51c4ep-3, -0x1.ec1c608131b24p-3, -0x1.e492104d16358p-3, -0x1.dd1796f49e84p-3, -0x1.d5ad391ad986ap-3, -0x1.ce53376773a96p-3, -0x1.c709ce9eb6ed9p-3, -0x1.bfd137b952b09p-3, -0x1.b8a9a7fbec07dp-3, -0x1.b193510e74f0cp-3, -0x1.aa8e611347b01p-3, -0x1.a39b02be049e6p-3, -0x1.9cb95d6a2dfccp-3, -0x1.95e9953187174p-3, -0x1.8f2bcb022fad4p-3, -0x1.88801cb477387p-3, -0x1.81e6a52070df4p-3, -0x1.7b5f7c333e65p-3, -0x1.74eab70410565p-3, -0x1.6e8867e8e6dfcp-3, -0x1.68389e8aff154p-3, -0x1.61fb67fafb9cap-3, -0x1.5bd0cec4c0d25p-3, -0x1.55b8db0303856p-3, -0x1.4fb3927292371p-3, -0x1.49c0f88547454p-3, -0x1.43e10e74b5974p-3, -0x1.3e13d35486216p-3, -0x1.38594424855cp-3, -0x1.32b15be262729p-3, -0x1.2d1c139b25701p-3, -0x1.2799627c4e57p-3, -0x1.22293de4addabp-3, -0x1.1ccb9974ec4bp-3, -0x1.1780671fbeb28p-3, -0x1.12479739d2f25p-3, -0x1.0d2118896d952p-3, -0x1.080cd855b24fep-3, -0x1.030ac275aa89bp-3, -0x1.fc3582bde619bp-4, -0x1.f2797c684874cp-4, -0x1.e8e141a5d6272p-4, -0x1.df6c9fc3a9b72p-4, -0x1.d61b61bba1abcp-4, -0x1.cced504ecafc9p-4, -0x1.c3e2321f37bafp-4, -0x1.baf9cbc943b7bp-4, -0x1.b233dffc3c96dp-4, -0x1.a9902f92826dp-4, -0x1.a10e79a90f508p-4, -0x1.98ae7bb67bac7p-4, -0x1.906ff1a1646d6p-4, -0x1.885295d651fc6p-4, -0x1.8056215d0dbdcp-4, -0x1.787a4bed7046ap-4, -0x1.70becc03a7962p-4, -0x1.692356f3f65fap-4, -0x1.61a7a0fdef645p-4, -0x1.5a4b5d5f2e70cp-4, -0x1.530e3e658e4acp-4, -0x1.4beff580e130fp-4, -0x1.44f033542b09ap-4, -0x1.3e0ea7c65e7ep-4, -0x1.374b0212a21a4p-4, -0x1.30a4f0d81afccp-4, -0x1.2a1c222942015p-4, -0x1.23b0439ac5576p-4, -0x1.1d610251f40ddp-4, -0x1.172e0b12bc8b9p-4, -0x1.11170a4d3963ap-4, -0x1.0b1bac2ad1ca9p-4, -0x1.053b9c9aee8f3p-4, -0x1.feed0ebe8ccd4p-5, -0x1.f398302f820a3p-5, -0x1.e877f49beda28p-5, -0x1.dd8bb30092a68p-5, -0x1.d2d2c2593c73ep-5, -0x1.c84c79b56df52p-5, -0x1.bdf8304c5558ap-5, -0x1.b3d53d900ba3p-5, -0x1.a9e2f940196d1p-5, -0x1.a020bb7b4e2c4p-5, -0x1.968ddcd0e9abfp-5, -0x1.8d29b65119d2dp-5, -0x1.83f3a19cd4197p-5, -0x1.7aeaf8f50b0aep-5, -0x1.720f17494624ep-5, -0x1.695f58459d26ap-5, -0x1.60db18601b059p-5, -0x1.5881b4e58edfp-5, -0x1.50528c05c7badp-5, -0x1.484cfcdf46621p-5, -0x1.4070678a64952p-5, -0x1.38bc2d23f255dp-5, -0x1.312fafd7542d4p-5, -0x1.29ca52e81d271p-5, -0x1.228b7abb2f0fp-5, -0x1.1b728cdf5e21ep-5, -0x1.147ef0159f94p-5, -0x1.0db00c58c50ap-5, -0x1.07054ae4c66d1p-5, -0x1.007e163d9d9dap-5, -0x1.f433b46b756bep-6, -0x1.e7b007e81aabdp-6, -0x1.db7003f359a74p-6, -0x1.cf72884e31f4fp-6, -0x1.c3b67782492dp-6, -0x1.b83ab6eaf6bf4p-6, -0x1.acfe2ebda57ddp-6, -0x1.a1ffca1185f07p-6, -0x1.973e76e699e16p-6, -0x1.8cb9262c17bc6p-6, -0x1.826ecbc638be6p-6, -0x1.785e5e9361c8p-6, -0x1.6e86d870c5c82p-6, -0x1.64e7363e6e0b6p-6, -0x1.5b7e77e2bb6f6p-6, -0x1.524ba04d62979p-6, -0x1.494db579e75aap-6, -0x1.4083c07196b69p-6, -0x1.37eccd4d0d5c5p-6, -0x1.2f87eb35447edp-6, -0x1.27542c6432f7fp-6, -0x1.1f50a625015b3p-6, -0x1.177c70d3d042p-6, -0x1.0fd6a7dd21b4bp-6, -0x1.085e69bce0c3dp-6, -0x1.0112d7fd0480cp-6, -0x1.f3e62e67cc84ep-7, -0x1.e5fc9e046acc8p-7, -0x1.d86754214c351p-7, -0x1.cb24ac1a895d3p-7, -0x1.be3307510ee25p-7, -0x1.b190cd2424e5bp-7, -0x1.a53c6aea70de5p-7, -0x1.993453ea71b7p-7, -0x1.8d770152871d1p-7, -0x1.8202f2306c11cp-7, -0x1.76d6ab685ba29p-7, -0x1.6bf0b7aba613bp-7, -0x1.614fa76f06b6p-7, -0x1.56f210e075719p-7, -0x1.4cd68fdcaf218p-7, -0x1.42fbc5e457326p-7, -0x1.39605a10d7f3fp-7, -0x1.3002f908e7936p-7, -0x1.26e254f4c4775p-7, -0x1.1dfd25722fe21p-7, -0x1.155227882452p-7, -0x1.0ce01d9a4fa5ap-7, -0x1.04a5cf5c5908ap-7, -0x1.f9441389d66b5p-8, -0x1.e9a73e0116686p-8, -0x1.da72ccc895487p-8, -0x1.cba478c099b7bp-8, -0x1.bd3a04e44621fp-8, -0x1.af313e2e1048p-8, -0x1.a187fb7be89dap-8, -0x1.943c1d734a497p-8, -0x1.874b8e64ee431p-8, -0x1.7ab4423079176p-8, -0x1.6e743627e63f6p-8, -0x1.628970f2d360bp-8, -0x1.56f20271b6716p-8, -0x1.4bac03a0f76e3p-8, -0x1.40b5967bfdf69p-8, -0x1.360ce5e02bc3ep-8, -0x1.2bb0256fc1bd9p-8, -0x1.219d9174d487p-8, -0x1.17d36ec42921bp-8, -0x1.0e500aa029c3ep-8, -0x1.0511ba9bdfcp-8, -0x1.f82db8fbc0f3dp-9, -0x1.e6bbac46c267ap-9, -0x1.d5ca2ac69ac78p-9, -0x1.c5561fe2e56b5p-9, -0x1.b55c8683bdbeap-9, -0x1.a5da68d85a42ap-9, -0x1.96cce01e2879fp-9, -0x1.88311467f807ap-9, -0x1.7a043c659274ap-9, -0x1.6c439d2b8b409p-9, -0x1.5eec89fb6a05p-9, -0x1.51fc640c2879ep-9, -0x1.45709a52eb95ep-9, -0x1.3946a94c418a7p-9, -0x1.2d7c1ac5b4307p-9, -0x1.220e85a79f932p-9, -0x1.16fb8dbfbca04p-9, -0x1.0c40e38bcf4e9p-9, -0x1.01dc4404c3ac1p-9, -0x1.ef96f0d4ec1cap-10, -0x1.dc18ac1f587b1p-10, -0x1.c9397c4d76e4fp-10, -0x1.b6f53b1d130edp-10, -0x1.a547d9402de99p-10, -0x1.942d5df8dd65cp-10, -0x1.83a1e6b6400f5p-10, -0x1.73a1a6b29444fp-10, -0x1.6428e6923abfbp-10, -0x1.553404039807dp-10, -0x1.46bf71607ffaep-10, -0x1.38c7b54fe17e6p-10, -0x1.2b496a69324e8p-10, -0x1.1e413ed8af984p-10, -0x1.11abf4047fc16p-10, -0x1.05865e334d5e1p-10, -0x1.f39ac8672d099p-11, -0x1.dcfbfe08ba6ep-11, -0x1.c72a72fd3dec8p-11, -0x1.b220600064177p-11, -0x1.9dd8202ee3f4cp-11, -0x1.8a4c3060bc7fdp-11, -0x1.77772e84f9888p-11, -0x1.6553d9001e5cdp-11, -0x1.53dd0e0c5221cp-11, -0x1.430dcb1c0560cp-11, -0x1.32e12c3ecc8f8p-11, -0x1.23526b8849497p-11, -0x1.145ce0794883fp-11, -0x1.05fbff6b3fd79p-11, -0x1.f056b1fac6fa9p-12, -0x1.d5cd3308fc059p-12, -0x1.bc5310f958b5fp-12, -0x1.a3e00ffa4024ap-12, -0x1.8c6c285c3996fp-12, -0x1.75ef85823330bp-12, -0x1.606284d647d3ep-12, -0x1.4bbdb4c19da17p-12, -0x1.37f9d3a97d99p-12, -0x1.250fceefca8fcp-12, -0x1.12f8c1f807ef7p-12, -0x1.01adf5306b633p-12, -0x1.e251ba3cdf438p-13, -0x1.c2c632e024f38p-13, -0x1.a4ace8207f878p-13, -0x1.87f9c08002831p-13, -0x1.6ca0f365ba62p-13, -0x1.5297075e7a30dp-13, -0x1.39d0d065a9626p-13, -0x1.22436e352e003p-13, -0x1.0be44a9da5746p-13, -0x1.ed522fc846e93p-14, -0x1.c50f9e53533c4p-14, -0x1.9eed5dae9ee9ep-14, -0x1.7ad872280b3ecp-14, -0x1.58be647e02788p-14, -0x1.388d3ee7e7d04p-14, -0x1.1a338a264c4fbp-14, -0x1.fb40954bab10ep-15, -0x1.c585fb576eab6p-15, -0x1.93172d24a43d1p-15, -0x1.63d4f8240375p-15, -0x1.37a10b2a1bb5bp-15, -0x1.0e5df13a2e0f3p-15, -0x1.cfde18bd5081bp-16, -0x1.8871214726a26p-16, -0x1.463efe4e360ecp-16, -0x1.0913427f65649p-16, -0x1.a1760eee74ae5p-17, -0x1.3a09c8ef3a9f1p-17, -0x1.b70394f54a353p-18, -0x1.0b02045d58a58p-18, -0x1.bd692148e1527p-20, 0x1.ca2ce362bba12p-22, 0x1.333e4eb59a3f9p-19, 0x1.083f854a43572p-18, 0x1.6923a4b654f6ep-18, 0x1.bce65c7908e1ap-18, 0x1.020ede586c9fep-17, 0x1.1fad969c58ee7p-17, 0x1.3795c5b217552p-17, 0x1.4a0ba39fd6a99p-17, 0x1.575140168206p-17, 0x1.5fa69068306d8p-17, 0x1.63497d4512592p-17, 0x1.6275f01d73cdap-17, 0x1.5d65e04799088p-17, 0x1.54515fd8c0475p-17, 0x1.476ea836bfe1ep-17, 0x1.36f226676c8dep-17, 0x1.230e871a48d77p-17, 0x1.0bf4c27293b18p-17, 0x1.e3a84f162bc36p-18, 0x1.a9b4cf734b834p-18, 0x1.6a67433515245p-18, 0x1.2614d79c55299p-18, 0x1.ba1f7e2c05c85p-19, 0x1.1f4e8bb9ef65dp-19, 0x1.f13f307da2bf4p-21, -0x1.724a48c084aadp-22, -0x1.bfdd255cee067p-20, -0x1.98171ff595286p-19, -0x1.2b1f86101ba1ep-18, -0x1.8cf3ad1833f2p-18, -0x1.f14ae9066f733p-18, -0x1.2bf53782279aep-17, -0x1.604cda5de213bp-17, -0x1.95912ff8d91c4p-17, -0x1.cba81b4633847p-17, -0x1.013c43be2fe6ap-16, -0x1.1cf5303b76092p-16, -0x1.38f345a470772p-16, -0x1.552b6f79c2277p-16, -0x1.71930eaa54c84p-16, -0x1.8e1ff6197bb51p-16, -0x1.aac86744ef852p-16, -0x1.c7830ef37f104p-16, -0x1.e4470200644fep-16, -0x1.0085dd1c3d2c9p-15, -0x1.0ee489a46a167p-15, -0x1.1d3ba3e267a61p-15, -0x1.2b87771f1bd5ep-15, -0x1.39c47b34d571fp-15, -0x1.47ef532f5746bp-15, -0x1.5604cbf093cb3p-15, -0x1.6401dae111c73p-15, -0x1.71e39ca7061bcp-15, -0x1.7fa753e64ccc9p-15, -0x1.8d4a68091c2f1p-15, -0x1.9aca640ef87f5p-15, -0x1.a824f566060f8p-15, -0x1.b557eac985b88p-15, -0x1.c2613329e50d7p-15, -0x1.cf3edc99fe387p-15, -0x1.dbef134499a64p-15, -0x1.e87020691d2a5p-15, -0x1.f4c0695f5a31p-15, -0x1.006f37501781ep-14, -0x1.0664656c3688cp-14, -0x1.0c3f18fe97e5cp-14, -0x1.11feb83524d85p-14, -0x1.17a2b502b5986p-14, -0x1.1d2a8cb35bc7ep-14, -0x1.2295c784a59eap-14, -0x1.27e3f83f7d148p-14, -0x1.2d14bbd582c17p-14, -0x1.3227b900b7129p-14, -0x1.371c9fe62f854p-14, -0x1.3bf329bb7f18fp-14, -0x1.40ab186e73075p-14, -0x1.4544364ecac58p-14, -0x1.49be55bb93301p-14, -0x1.4e1950d16a46dp-14, -0x1.5255091c42c49p-14, -0x1.5671674acf699p-14, -0x1.5a6e5ae4981ddp-14, -0x1.5e4bda016aefcp-14, -0x1.6209e103c90fdp-14, -0x1.65a87254b962cp-14, -0x1.69279621f3508p-14, -0x1.6c875a1e0a16p-14, -0x1.6fc7d14279cb9p-14, -0x1.72e91392f4e4ep-14, -0x1.75eb3de35e3d2p-14, -0x1.78ce719f2bf75p-14, -0x1.7b92d492754f9p-14, -0x1.7e3890b4d04bp-14, -0x1.80bfd3f5a9594p-14, -0x1.8328d00a6ca1bp-14, -0x1.8573ba3df8144p-14, -0x1.87a0cb418ca45p-14, -0x1.89b03effd1ae4p-14, -0x1.8ba25470b0b6bp-14, -0x1.8d774d6f0a95p-14, -0x1.8f2f6e8f07004p-14, -0x1.90cafef6a7fdep-14, -0x1.924a4836e74e6p-14, -0x1.93ad9626cc128p-14, -0x1.94f536bf16245p-14, -0x1.962179f79e48cp-14, -0x1.9732b1a5f67f9p-14, -0x1.9829315c017f3p-14, -0x1.99054e496508bp-14, -0x1.99c75f1cb8521p-14, -0x1.9a6fbbe66972bp-14, -0x1.9afebdfc934e5p-14, -0x1.9b74bfdf83adep-14, -0x1.9bd21d1fd1728p-14, -0x1.9c17324491f22p-14, -0x1.9c445cb339fdbp-14, -0x1.9c59fa97c470cp-14, -0x1.9c586ace6201bp-14, -0x1.9c400ccd656bap-14, -0x1.9c1140905acfcp-14, -0x1.9bcc6683eb602p-14, -0x1.9b71df7224d63p-14, -0x1.9b020c70393c2p-14, -0x1.9a7d4ecbfcc71p-14, -0x1.99e407fb15d75p-14, -0x1.9936998a6d19ap-14, -0x1.9875650e053e1p-14, -0x1.97a0cc11f9943p-14, -0x1.96b9300bbf4e6p-14, -0x1.95bef24c40902p-14, -0x1.94b273f280c23p-14, -0x1.939415dec23dap-14, -0x1.926438a64eff6p-14, -0x1.91233c878cd69p-14, -0x1.8fd1815f35c42p-14, -0x1.8e6f669d2a087p-14, -0x1.8cfd4b3abb3b4p-14, -0x1.8b7b8db0c5212p-14, -0x1.89ea8bee923f1p-14, -0x1.884aa35104583p-14, -0x1.869c309a1ebcbp-14, -0x1.84df8fe939eeep-14, -0x1.83151cb37e9eap-14, -0x1.813d31bcdcc2ap-14, -0x1.7f58291127165p-14, -0x1.7d665bfe2f798p-14, -0x1.7b68230d2685dp-14, -0x1.795dd5fd9d41fp-14, -0x1.7747cbbfa9401p-14, -0x1.75265a6f3e683p-14, -0x1.72f9d74f648c7p-14, -0x1.70c296c60cc71p-14, -0x1.6e80ec57cc5d5p-14, -0x1.6c352aa462d65p-14, -0x1.69dfa362dad3ep-14, -0x1.6780a75ebcbd5p-14, -0x1.65188674a08bep-14, -0x1.62a78f8ff6e0ap-14, -0x1.602e10a7e7bcep-14, -0x1.5dac56bdd214ep-14, -0x1.5b22addac7fap-14, -0x1.5891610dd3cf9p-14, -0x1.55f8ba6a7aed6p-14, -0x1.535903073ea37p-14, -0x1.50b282fc69cd1p-14, -0x1.4e058162fed11p-14, -0x1.4b524453f70f1p-14, -0x1.489910e76126cp-14, -0x1.45da2b3429d85p-14, -0x1.4315d64f710fap-14, -0x1.404c544c7ee6ep-14, -0x1.3d7de63cc4e9ap-14, -0x1.3aaacc2fb27c4p-14, -0x1.37d345333777p-14, -0x1.34f78f53decf1p-14, -0x1.3217e79d68122p-14, -0x1.2f348a1b270eap-14, -0x1.2c4db1d90c752p-14, -0x1.296398e40d6ddp-14, -0x1.2676784b741a8p-14, -0x1.2386882173abp-14, -0x1.2093ff7cb30efp-14, -0x1.1d9f14791dbf2p-14, -0x1.1aa7fc395a42cp-14, -0x1.17aeeae813ab2p-14, -0x1.14b413b9556efp-14, -0x1.11b7a8ec3518fp-14, -0x1.0eb9dbcc4e34p-14, -0x1.0bbadcb35f01p-14, -0x1.08badb0b1bc2p-14, -0x1.05ba054ed2a48p-14, -0x1.02b8890d45e51p-14, -0x1.ff6d25d524663p-15, -0x1.f9689d442d65ep-15, -0x1.f363ce109c769p-15, -0x1.ed5f0c1a20aa7p-15, -0x1.e75aa97ac3a78p-15, -0x1.e156f68b7ec09p-15, -0x1.db5441e83d0eap-15, -0x1.d552d8744b6e4p-15, -0x1.cf53055e9f694p-15, -0x1.c955122675ae6p-15, -0x1.c359469f93efdp-15, -0x1.bd5fe8f70092fp-15, -0x1.b7693db78fdbfp-15, -0x1.b17587ce7ecaep-15, -0x1.ab85089035f5fp-15, -0x1.a597ffbcdd31cp-15, -0x1.9faeab853fedep-15, -0x1.99c9488f4e206p-15, -0x1.93e811fb3ccdbp-15, -0x1.8e0b416800d42p-15, -0x1.88330ef832ec8p-15, -0x1.825fb15700a24p-15, -0x1.7c915dbced616p-15, -0x1.76c847f4a4729p-15, -0x1.7104a25fe5a15p-15, -0x1.6b469dfc46a55p-15, -0x1.658e6a6845f96p-15, -0x1.5fdc35e7b73ddp-15, -0x1.5a302d6928907p-15, -0x1.548a7c8a3d47fp-15, -0x1.4eeb4d9cbd8c3p-15, -0x1.4952c9ab737dfp-15, -0x1.43c1187ea2c4bp-15, -0x1.3e3660a1413ap-15, -0x1.38b2c7659222p-15, -0x1.333670e9b639bp-15, -0x1.2dc1801caa038p-15, -0x1.285416c2eeb1ep-15, -0x1.22ee557b04f2ap-15, -0x1.1d905bc277d8ap-15, -0x1.183a47fa19533p-15, -0x1.12ec376ad0343p-15, -0x1.0da6464a2a66ep-15, -0x1.08688fbedd7fdp-15, -0x1.03332de576db5p-15, -0x1.fc0c73a95096ep-16, -0x1.f1c3974386802p-16, -0x1.e78bf4ca7fa61p-16, -0x1.dd65b87e4109bp-16, -0x1.d3510cb6350e7p-16, -0x1.c94e19ea26d5ap-16, -0x1.bf5d06bafcc04p-16, -0x1.b57df7faa2b13p-16, -0x1.abb110b4e94e7p-16, -0x1.a1f67237f92cep-16, -0x1.984e3c1c19c35p-16, -0x1.8eb88c4c30d5fp-16, -0x1.85357f0e175ddp-16, -0x1.7bc52f09cfa6ap-16, -0x1.7267b5528a083p-16, -0x1.691d296dc3f52p-16, -0x1.5fe5a15b4f103p-16, -0x1.56c1319cbec59p-16, -0x1.4dafed3d7d10fp-16, -0x1.44b1e5da11e67p-16, -0x1.3bc72ba7566e6p-16, -0x1.32efcd7a432d3p-16, -0x1.2a2bd8cefa2cdp-16, -0x1.217b59d00dacdp-16, -0x1.18de5b5d515ebp-16, -0x1.1054e71340ca8p-16, -0x1.07df0551dccb5p-16, -0x1.fef97a868369bp-17, -0x1.ee5c29c540625p-17, -0x1.dde62205cf27bp-17, -0x1.cd976aaa4ecb1p-17, -0x1.bd7008dedf83cp-17, -0x1.ad6fffa5d1564p-17, -0x1.9d974fe4b7ep-17, -0x1.8de5f870fafdfp-17, -0x1.7e5bf61b2612cp-17, -0x1.6ef943bc890e3p-17, -0x1.5fbdda41feca7p-17, -0x1.50a9b0b89d676p-17, -0x1.41bcbc58c729dp-17, -0x1.32f6f091c5fe4p-17, -0x1.24583f156891ep-17, -0x1.15e097e2e4114p-17, -0x1.078fe951b2e0fp-17, -0x1.f2cc4039b67c2p-18, -0x1.d6c64eda77157p-18, -0x1.bb0dd1c811cd3p-18, -0x1.9fa2994ab0e2bp-18, -0x1.848472c4bfd5cp-18, -0x1.69b328c61a45p-18, -0x1.4f2e8320925ecp-18, -0x1.34f646fb75ed9p-18, -0x1.1b0a36e608c82p-18, -0x1.016a12ea956c6p-18, -0x1.d02b3142ba102p-19, -0x1.9e190683c8d76p-19, -0x1.6c9d176c078fcp-19, -0x1.3bb6d1559fcbdp-19, -0x1.0b659d43fe0d1p-19, -0x1.b751c00b225e6p-20, -0x1.58fff4ac6fd39p-20, -0x1.f7a923fe45429p-21, -0x1.3f9c93e685f6p-21, -0x1.13af1c4e25d18p-22, 0x1.4d45339427161p-24, 0x1.b5cda1d584ce6p-22, 0x1.89e5c59e83366p-21, 0x1.1b5432e49dee2p-20, 0x1.7098cf8936c04p-20, 0x1.c4c235900e2b1p-20, 0x1.0be8f3c7a57a1p-19, 0x1.34e4b6d679801p-19, 0x1.5d552ab321359p-19, 0x1.853b18adc9d84p-19, 0x1.ac974c8e0e95ap-19, 0x1.d36a947a0d6d5p-19, 0x1.f9b5c0dbda24bp-19, 0x1.0fbcd225355aap-18, 0x1.225b89b8a0747p-18, 0x1.34b7727c12574p-18, 0x1.46d0f8b61bddcp-18, 0x1.58a88994af887p-18, 0x1.6a3e93221cde5p-18, 0x1.7b938439c24ep-18, 0x1.8ca7cc7e0f6c3p-18, 0x1.9d7bdc4d57afep-18, 0x1.ae1024b7d6b5dp-18, 0x1.be6517758990bp-18, 0x1.ce7b26dcb2284p-18, 0x1.de52c5d7be5fdp-18, 0x1.edec67dc0ce29p-18, 0x1.fd4880e0c180fp-18, 0x1.0633c2aae48e2p-17, 0x1.0da4f50d68e0cp-17, 0x1.14f8123b35d91p-17, 0x1.1c2d5506fbf6dp-17, 0x1.2344f86ebd88ep-17, 0x1.2a3f37979969dp-17, 0x1.311c4dc9c7bf9p-17, 0x1.37dc766ceb52fp-17, 0x1.3e7fed042d4bp-17, 0x1.4506ed2a8b0f1p-17, 0x1.4b71b28f418fbp-17, 0x1.51c078f23ec12p-17, 0x1.57f37c20c1599p-17, 0x1.5e0af7f1ef553p-17, 0x1.640728437b9cep-17, 0x1.69e848f68833fp-17, 0x1.6fae95ec76869p-17, 0x1.755a4b03f15e9p-17, 0x1.7aeba415e2aa3p-17, 0x1.8062dcf2902cap-17, 0x1.85c0315ec697dp-17, 0x1.8b03dd1104a62p-17, 0x1.902e1baedfd9ap-17, 0x1.953f28ca5f248p-17, 0x1.9a373fdf72649p-17, 0x1.9f169c518b03ep-17, 0x1.a3dd7968f3bf9p-17, 0x1.a88c1250a17d2p-17, 0x1.ad22a213f4457p-17, 0x1.b1a1639c4fe55p-17, 0x1.b60891af13ac7p-17, 0x1.ba5866eb8f498p-17, 0x1.be911dc8cf4d2p-17, 0x1.c2b2f093a6335p-17, 0x1.c6be196cbca1ep-17, 0x1.cab2d246dcbd5p-17, 0x1.ce9154e4e1418p-17, 0x1.d259dad805296p-17, 0x1.d60c9d7e530b2p-17, 0x1.d9a9d600e0923p-17, 0x1.dd31bd5229afp-17, 0x1.e0a48c2c7e816p-17, 0x1.e4027b107e3cbp-17, 0x1.e74bc243beb83p-17, 0x1.ea8099cf5fd26p-17, 0x1.eda1397e9911p-17, 0x1.f0add8dd710bbp-17, 0x1.f3a6af375f38ep-17, 0x1.f68bf39630059p-17, 0x1.f95ddcc0d06d6p-17, 0x1.fc1ca13a268abp-17, 0x1.fec8773fda4d1p-17, 0x1.00b0ca64bc7cep-16, 0x1.01f417c3b265bp-16, 0x1.032e3e70da5b5p-16, 0x1.045f58fbaa84fp-16, 0x1.058781ce906b8p-16, 0x1.06a6d32e8201dp-16, 0x1.07bd673a9ba52p-16, 0x1.08cb57ebb06c7p-16, 0x1.09d0bf13e8293p-16, 0x1.0acdb65e6272bp-16, 0x1.0bc2574edebd5p-16, 0x1.0caebb41697c8p-16, 0x1.0d92fb6a088cfp-16, 0x1.0e6f30d46bf0ap-16, 0x1.0f437463b2b8fp-16, 0x1.100fded21ea4fp-16, 0x1.10d488b0ce3c1p-16, 0x1.11918a6779122p-16, 0x1.1246fc3443d2dp-16, 0x1.12f4f62b81912p-16, 0x1.139b903787d2ap-16, 0x1.143ae2188635bp-16, 0x1.14d303644e3c8p-16, 0x1.15640b861d427p-16, 0x1.15ee11be90f45p-16, 0x1.16712d237aa3ap-16, 0x1.16ed749fb57b3p-16, 0x1.1762fef30bd62p-16, 0x1.17d1e2b233a53p-16, 0x1.183a3646abd8bp-16, 0x1.189c0fee9e1c9p-16, 0x1.18f785bcd3512p-16, 0x1.194cad98a0165p-16, 0x1.199b9d3dd7d33p-16, 0x1.19e46a3ccd6eap-16, 0x1.1a2729fa56311p-16, 0x1.1a63f1afa5bd3p-16, 0x1.1a9ad66a56b55p-16, 0x1.1acbed0c6fc7p-16, 0x1.1af74a4c668cdp-16, 0x1.1b1d02b51ed59p-16, 0x1.1b3d2aa5f573dp-16, 0x1.1b57d652b1d41p-16, 0x1.1b6d19c3af0fdp-16, 0x1.1b7d08d5ec7fep-16, 0x1.1b87b73af6adep-16, 0x1.1b8d38790d84bp-16, 0x1.1b8d9feb2f1f7p-16, 0x1.1b8900c124c25p-16, 0x1.1b7f6dffb03f7p-16, 0x1.1b70fa808b3efp-16, 0x1.1b5db8f289d51p-16, 0x1.1b45bbd9b473p-16, 0x1.1b29158f54271p-16, 0x1.1b07d8421e90fp-16, 0x1.1ae215f64da95p-16, 0x1.1ab7e085be055p-16, 0x1.1a8949a0195a6p-16, 0x1.1a5662cae9f29p-16, 0x1.1a1f3d61cbac7p-16, 0x1.19e3ea967f6fdp-16, 0x1.19a47b71286d5p-16, 0x1.196100d05bf8cp-16, 0x1.19198b6946491p-16, 0x1.18ce2bc7e58e5p-16, 0x1.187ef24f3981p-16, 0x1.182bef395a70ap-16, 0x1.17d53297ae966p-16, 0x1.177acc5315516p-16, 0x1.171ccc2c0e0fcp-16, 0x1.16bb41baf928ap-16, 0x1.16563c7029279p-16, 0x1.15edcb9437d38p-16, 0x1.1581fe4810fep-16, 0x1.1512e385478ap-16, 0x1.14a08a1e2dec6p-16, 0x1.142b00be1e39ep-16, 0x1.13b255e9aa6f3p-16, 0x1.133697feb4f04p-16, 0x1.12b7d534b7268p-16, 0x1.12361b9d06ad6p-16, 0x1.11b1792304e17p-16, 0x1.1129fb8c48ab6p-16, 0x1.109fb078dbbfcp-16, 0x1.1012a563738cp-16, 0x1.0f82e7a1a96aap-16, 0x1.0ef0846432d81p-16, 0x1.0e5b88b71f6a8p-16, 0x1.0dc4018209198p-16, 0x1.0d29fb8848d7fp-16, 0x1.0c8d836942f5ap-16, 0x1.0beea5a0a96a3p-16, 0x1.0b4d6e869a18ep-16, 0x1.0aa9ea4fda9f5p-16, 0x1.0a04250e303e8p-16, 0x1.095c2ab0860b8p-16, 0x1.08b2070320d14p-16, 0x1.0805c5afe71f4p-16, 0x1.0757723eb7092p-16, 0x1.06a7181580cffp-16, 0x1.05f4c278789aap-16, 0x1.05407c8a7cc81p-16, 0x1.048a514d3714dp-16, 0x1.03d24ba15e2d8p-16, 0x1.03187646f7419p-16, 0x1.025cdbdd892c3p-16, 0x1.019f86e460305p-16, 0x1.00e081bad7789p-16, 0x1.001fd6a0914b5p-16, 0x1.febb1f6b4d33ap-17, 0x1.fd336df5c9f0ap-17, 0x1.fba8aca431ac6p-17, 0x1.fa1aeefc85a1p-17, 0x1.f88a4847afa78p-17, 0x1.f6f6cb9220be2p-17, 0x1.f5608bac1bf98p-17, 0x1.f3c79b2a2f92bp-17, 0x1.f22c0c65b97d8p-17, 0x1.f08df17d9a1c6p-17, 0x1.eeed5c563fc7bp-17, 0x1.ed4a5e9a7efa3p-17, 0x1.eba509bbf2df8p-17, 0x1.e9fd6ef359902p-17, 0x1.e8539f411b892p-17, 0x1.e6a7ab6df4498p-17, 0x1.e4f9a40b3a614p-17, 0x1.e349997369caap-17, 0x1.e1979bca875b1p-17, 0x1.dfe3bafea83adp-17, 0x1.de2e06c859a88p-17, 0x1.dc768eab46b44p-17, 0x1.dabd61f695eccp-17, 0x1.d9028fc55122ap-17, 0x1.d74626fee2c98p-17, 0x1.d588365784f02p-17, 0x1.d3c8cc50dce56p-17, 0x1.d207f73a503f7p-17, 0x1.d045c53178266p-17, 0x1.ce824422904c6p-17, 0x1.ccbd81c91ca94p-17, 0x1.caf78bb00ef28p-17, 0x1.c9306f3270a9dp-17, 0x1.c768397beee7dp-17, 0x1.c59ef7890708dp-17, 0x1.c3d4b627840e7p-17, 0x1.c20981f717627p-17, 0x1.c03d6769bdb85p-17, 0x1.be7072c414147p-17, 0x1.bca2b01ddaf11p-17, 0x1.bad42b625b1fep-17, 0x1.b904f050fe8cfp-17, 0x1.b7350a7d82afap-17, 0x1.b56485508b89cp-17, 0x1.b3936c07ee985p-17, 0x1.b1c1c9b73316dp-17, 0x1.afefa948238d4p-17, 0x1.ae1d157afd5fap-17, 0x1.ac4a18e6e86adp-17, 0x1.aa76bdfa5904dp-17, 0x1.a8a30efbaff3fp-17, 0x1.a6cf16096cep-17, 0x1.a4fadd1ab0062p-17, 0x1.a3266dff90b11p-17, 0x1.a151d26173b12p-17, 0x1.9f7d13c392d42p-17, 0x1.9da83b8370303p-17, 0x1.9bd352d90a057p-17, 0x1.99fe62d746d4p-17, 0x1.9829746c8cae3p-17, 0x1.965490630212cp-17, 0x1.947fbf60d76c4p-17, 0x1.92ab09e8aed4cp-17, 0x1.90d6785a24fe2p-17, 0x1.8f0212f221e7p-17, 0x1.8d2de1cb281dbp-17, 0x1.8b59ecdda856bp-17, 0x1.89863c0076284p-17, 0x1.87b2d6e938736p-17, 0x1.85dfc52ca47a4p-17, 0x1.840d0e3edcfdbp-17, 0x1.823ab973ee2dcp-17, 0x1.8068cdffed5e4p-17, 0x1.7e9752f78d771p-17, 0x1.7cc64f506702cp-17, 0x1.7af5c9e12a9f7p-17, 0x1.7925c9622594dp-17, 0x1.7756546dbc536p-17, 0x1.75877180605e3p-17, 0x1.73b926f9108dfp-17, 0x1.71eb7b19e7bd7p-17, 0x1.701e740828515p-17, 0x1.6e5217cc8fcdep-17, 0x1.6c866c53d9fc8p-17, 0x1.6abb776f1481cp-17, 0x1.68f13ed3c2e4dp-17, 0x1.6727c81c2f43cp-17, 0x1.655f18c7f05a5p-17, 0x1.6397363c33021p-17, 0x1.61d025c3cceep-17, 0x1.6009ec8fb2d7cp-17, 0x1.5e448fb76776fp-17, 0x1.5c801439087a5p-17, 0x1.5abc7ef9c060ep-17, 0x1.58f9d4c6172edp-17, 0x1.57381a522930cp-17, 0x1.5577543a08fb4p-17, 0x1.53b7870204981p-17, 0x1.51f8b716c98cfp-17, 0x1.503ae8cde51f5p-17, 0x1.4e7e206600db6p-17, 0x1.4cc2620703b99p-17, 0x1.4b07b1c26c9fbp-17, 0x1.494e1393d4cdap-17, 0x1.47958b60cf4b3p-17, 0x1.45de1cf960612p-17, 0x1.4427cc1869651p-17, 0x1.42729c63ad31ap-17, 0x1.40be916c206bcp-17, 0x1.3f0baeae4f41cp-17, 0x1.3d59f7928db27p-17, 0x1.3ba96f6d17d58p-17, 0x1.39fa197e76bc8p-17, 0x1.384bf8f3d4e72p-17, 0x1.369f10e70372cp-17, 0x1.34f3645edf45ep-17, 0x1.3348f64f99d78p-17, 0x1.319fc99ad46bcp-17, 0x1.2ff7e11001364p-17, 0x1.2e513f6c783f9p-17, 0x1.2cabe75bd3327p-17, 0x1.2b07db783b532p-17, 0x1.29651e4a5c623p-17, 0x1.27c3b249d79d3p-17, 0x1.262399dda1b5cp-17, 0x1.2484d75bd21bp-17, 0x1.22e76d0a1e0d2p-17, 0x1.214b5d1e39bf2p-17, 0x1.1fb0a9bdad3ffp-17, 0x1.1e1754fe4df7cp-17, 0x1.1c7f60e68749ep-17, 0x1.1ae8cf6d38b73p-17, 0x1.1953a27a3b518p-17, 0x1.17bfdbe693737p-17, 0x1.162d7d7c719e3p-17, 0x1.149c88f7842fep-17, 0x1.130d000548d0ap-17, 0x1.117ee4451133bp-17, 0x1.0ff237483c04bp-17, 0x1.0e66fa928303dp-17, 0x1.0cdd2f9a12398p-17, 0x1.0b54d7c7c638bp-17, 0x1.09cdf4774fdc3p-17, 0x1.084886f76f135p-17, 0x1.06c4908a36e79p-17, 0x1.05421264f3fabp-17, 0x1.03c10db0b74ebp-17, 0x1.0241838a584acp-17, 0x1.00c375026ed26p-17, 0x1.fe8dc63befb3ap-18, 0x1.fb979dac4e904p-18, 0x1.f8a47231115c2p-18, 0x1.f5b4458f05b39p-18, 0x1.f2c7197452de1p-18, 0x1.efdcef79180bep-18, 0x1.ecf5c91ffd505p-18, 0x1.ea11a7d603c97p-18, 0x1.e7308cf32e3d7p-18, 0x1.e45279baf2f43p-18, 0x1.e1776f5c22a42p-18, 0x1.de9f6ef16de59p-18, 0x1.dbca7981f7e81p-18, 0x1.d8f890011ba5fp-18, 0x1.d629b34f2b472p-18, 0x1.d35de43982931p-18, 0x1.d095237aec1c5p-18, 0x1.cdcf71bbe05fbp-18, 0x1.cb0ccf92bb60cp-18, 0x1.c84d3d845a9dp-18, 0x1.c590bc03ca531p-18, 0x1.c2d74b732e1cap-18, 0x1.c020ec23d43e8p-18, 0x1.bd6d9e55f9fe6p-18, 0x1.babd623a0d96fp-18, 0x1.b81037f00b14dp-18, 0x1.b5661f880f554p-18, 0x1.b2bf190304198p-18, 0x1.b01b24521d2b7p-18, 0x1.ad7a4157a672fp-18, 0x1.aadc6fe73418cp-18, 0x1.a841afc59d0c2p-18, 0x1.a5aa00a991c1ap-18, 0x1.a315623b9796bp-18, 0x1.a083d41652e48p-18, 0x1.9df555c70135fp-18, 0x1.9b69e6cd4d77dp-18, 0x1.98e1869bd522ap-18, 0x1.965c3498650b8p-18, 0x1.93d9f01bf75f9p-18, 0x1.915ab8732cfc8p-18, 0x1.8ede8cde5fe2ep-18, 0x1.8c656c91fcd99p-18, 0x1.89ef56b66d3cbp-18, 0x1.877c4a68c718fp-18, 0x1.850c46ba9a27bp-18, 0x1.829f4ab23e34dp-18, 0x1.8035554b5bbddp-18, 0x1.7dce65766b1aep-18, 0x1.7b6a7a19b223cp-18, 0x1.7909921101e46p-18, 0x1.76abac2dcbf15p-18, 0x1.7450c737e6fa9p-18, 0x1.71f8e1ed14958p-18, 0x1.6fa3fb0188ffp-18, 0x1.6d5211203eb16p-18, 0x1.6b0322eab5409p-18, 0x1.68b72ef990be8p-18, 0x1.666e33dc841cdp-18, 0x1.6428301a8a3eep-18, 0x1.61e52232381eep-18, 0x1.5fa508999a817p-18, 0x1.5d67e1bec8f4cp-18, 0x1.5b2dac07ab97cp-18, 0x1.58f665d26e1bp-18, 0x1.56c20d758131cp-18, 0x1.5490a13fdc494p-18, 0x1.52621f7906782p-18, 0x1.5036866171499p-18, 0x1.4e0dd4327906ap-18, 0x1.4be8071e789ap-18, 0x1.49c51d51502a4p-18, 0x1.47a514eff3d39p-18, 0x1.4587ec1930847p-18, 0x1.436da0e55ebe8p-18, 0x1.41563166a8a0fp-18, 0x1.3f419ba96828dp-18, 0x1.3d2fddb3d1963p-18, 0x1.3b20f5868feebp-18, 0x1.3914e11cabe9dp-18, 0x1.370b9e6b91b4cp-18, 0x1.35052b639991ap-18, 0x1.330185efab07bp-18, 0x1.3100abf5bd709p-18, 0x1.2f029b56cb936p-18, 0x1.2d0751eefa8ep-18, 0x1.2b0ecd95c02aap-18, 0x1.29190c1dfc3d3p-18, 0x1.27260b56270aep-18, 0x1.2535c908452f3p-18, 0x1.234842fa3f3b4p-18, 0x1.215d76edccf4fp-18, 0x1.1f7562a0bacddp-18, 0x1.1d9003ccdea52p-18, 0x1.1bad5828679fp-18, 0x1.19cd5d65b12dbp-18, 0x1.17f01133b9d1bp-18, 0x1.1615713de23fdp-18, 0x1.143d7b2c474e9p-18, 0x1.12682ca3d1d07p-18, 0x1.109583461ef1ap-18, 0x1.0ec57cb1fb01p-18, 0x1.0cf816830bd56p-18, 0x1.0b2d4e5240ecep-18, 0x1.096521b5c6be2p-18, 0x1.079f8e41013e6p-18, 0x1.05dc9185009d2p-18, 0x1.041c29101c62ep-18, 0x1.025e526e7ca37p-18, 0x1.00a30b29e0a2ap-18, 0x1.fdd4a193ba2cp-19, 0x1.fa6841a7e78f6p-19, 0x1.f700f19723231p-19, 0x1.f39eac64581acp-19, 0x1.f0416d0ec3ba4p-19, 0x1.ece92e9212bbdp-19, 0x1.e995ebe6847a4p-19, 0x1.e647a00124027p-19, 0x1.e2fe45d3d4c26p-19, 0x1.dfb9d84d98492p-19, 0x1.dc7a525a97809p-19, 0x1.d93faee45fc7bp-19, 0x1.d609e8d1e41a2p-19, 0x1.d2d8fb07efc74p-19, 0x1.cface068d496ap-19, 0x1.cc8593d51a9a1p-19, 0x1.c963102b16afbp-19, 0x1.c64550477d813p-19, 0x1.c32c4f054a26ap-19, 0x1.c018073dda658p-19, 0x1.bd0873c959561p-19, 0x1.b9fd8f7e55517p-19, 0x1.b6f7553294a8ep-19, 0x1.b3f5bfba715a8p-19, 0x1.b0f8c9e9af83ap-19, 0x1.ae006e931c879p-19, 0x1.ab0ca888d96d3p-19, 0x1.a81d729c861adp-19, 0x1.a532c79f27655p-19, 0x1.a24ca2619403ap-19, 0x1.9f6afdb4528cp-19, 0x1.9c8dd467cb9adp-19, 0x1.99b5214c6cfc7p-19, 0x1.96e0df32abfbfp-19, 0x1.941108eb35cfp-19, 0x1.91459946fd6bap-19, 0x1.8e7e8b1750491p-19, 0x1.8bbbd92dffe0fp-19, 0x1.88fd7e5d6806ap-19, 0x1.8643757892116p-19, }}, 
      {{-0x1.3afaef6be5cadp-1, -0x1.3b7835d6d9e3bp-1, -0x1.3c21031541b4ep-1, -0x1.3cef4315bd5b6p-1, -0x1.3ddbbc07bbe28p-1, -0x1.3ede5aae05047p-1, -0x1.3fee7a85787dfp-1, -0x1.41032743915ebp-1, -0x1.4213566a758d8p-1, -0x1.431618840f825p-1, -0x1.4402c22027cfap-1, -0x1.44d10d0816c57p-1, -0x1.4579324ceaeebp-1, -0x1.45f3fdee13577p-1, -0x1.463adcdecff1p-1, -0x1.4647e62dae41ap-1, -0x1.4615e00763a9dp-1, -0x1.45a0414040caep-1, -0x1.44e32fff53aa9p-1, -0x1.43db7e157a136p-1, -0x1.4286a37a06958p-1, -0x1.40e2b756c38b2p-1, -0x1.3eee67fe70834p-1, -0x1.3ca8f21b6a40ep-1, -0x1.3a1217582867dp-1, -0x1.372a14b88710bp-1, -0x1.33f198d16ddfp-1, -0x1.3069ba04305d2p-1, -0x1.2c93ecdbe7ecdp-1, -0x1.2871faa4e901ap-1, -0x1.2405f85138d89p-1, -0x1.1f523db87552ep-1, -0x1.1a595d3dd8d4p-1, -0x1.151e1be3d7ae2p-1, -0x1.0fa369d234335p-1, -0x1.09ec5b5127771p-1, -0x1.03fc223a77928p-1, -0x1.fbac0fbfa824bp-2, -0x1.eefacec93f8bp-2, -0x1.e1eb5110bd8dp-2, -0x1.d48475bc841b5p-2, -0x1.c6cd22db6bb3ap-2, -0x1.b8cc3d6eebe5ep-2, -0x1.aa88a234b0a3cp-2, -0x1.9c091f25b23f8p-2, -0x1.8d546da0a4e3dp-2, -0x1.7e712d3597d74p-2, -0x1.6f65df08a4c52p-2, -0x1.6038e1c1c2bc6p-2, -0x1.50f06e0006adep-2, -0x1.41929346f4eap-2, -0x1.3225355cd72b5p-2, -0x1.22ae0a116c5d2p-2, -0x1.13329764bc4a7p-2, -0x1.03b832062c10cp-2, -0x1.e887f848f81b6p-3, -0x1.c9b5c90f50134p-3, -0x1.ab034bdc3f74bp-3, -0x1.8c798d4e6b051p-3, -0x1.6e2130ca050e5p-3, -0x1.50027080cc389p-3, -0x1.32251dd44e9b6p-3, -0x1.1490a2093745fp-3, -0x1.ee97fe86105d4p-4, -0x1.b4bba380cb82bp-4, -0x1.7b98a2a12766p-4, -0x1.433aa5f6e58b3p-4, -0x1.0bac95ab72fc3p-4, -0x1.a9f137ef01f82p-5, -0x1.3e5052b6680c5p-5, -0x1.a90fe43d50341p-6, -0x1.b2a0ad354af9bp-7, -0x1.afeeebbb0429bp-11, 0x1.748fb4d282259p-7, 0x1.7ded4763092ap-6, 0x1.1ead75c7cdedap-5, 0x1.7c3ea0d688414p-5, 0x1.d7a1873c7349dp-5, 0x1.186752f7b7886p-4, 0x1.43dfc50988421p-4, 0x1.6e37634aefb7cp-4, 0x1.976bf4ee08052p-4, 0x1.bf7bb9bef13d8p-4, 0x1.e665650f964f3p-4, 0x1.06140c593fa55p-3, 0x1.1861b0036f032p-3, 0x1.2a1b958bf3696p-3, 0x1.3b41e4e88071cp-3, 0x1.4bd4f3a44a27dp-3, 0x1.5bd5429145ce9p-3, 0x1.6b437b85f295bp-3, 0x1.7a206f28158e1p-3, 0x1.886d12c4ea2b4p-3, 0x1.962a7e3707878p-3, 0x1.a359e9da5b2d3p-3, 0x1.affcac8e68e3fp-3, 0x1.bc1439c6fa9cbp-3, 0x1.c7a21fab672f9p-3, 0x1.d2a805447c3c8p-3, 0x1.dd27a8b91e88ep-3, 0x1.e722dd9991e54p-3, 0x1.f09b8b39689c2p-3, 0x1.f993ab180d377p-3, 0x1.0106a3abdce09p-2, 0x1.05053ca168168p-2, 0x1.08c6b3efaeb29p-2, 0x1.0c4c23485568p-2, 0x1.0f96a9e34bfa7p-2, 0x1.12a76bdd4ac42p-2, 0x1.157f919d0298p-2, 0x1.1820473ede03cp-2, 0x1.1a8abc0732132p-2, 0x1.1cc021dac270ap-2, 0x1.1ec1acbd6f198p-2, 0x1.20909256ecdd7p-2, 0x1.222e097d6032bp-2, 0x1.239b49c5b56d6p-2, 0x1.24d98b1991d9p-2, 0x1.25ea0552b770dp-2, 0x1.26cdefdbadea6p-2, 0x1.2786815595cd6p-2, 0x1.2814ef42f3056p-2, 0x1.287a6db74d0fap-2, 0x1.28b82f0b8125ap-2, 0x1.28cf639697545p-2, 0x1.28c1396afd7a7p-2, 0x1.288edc17f83c8p-2, 0x1.2839746f2ffc3p-2, 0x1.27c2284e28201p-2, 0x1.272a1a6b872a4p-2, 0x1.26726a2803a1cp-2, 0x1.259c3362d695ap-2, 0x1.24a88e518f38ep-2, 0x1.23988f5b285c9p-2, 0x1.226d46f637c3p-2, 0x1.2127c18a1e3a5p-2, 0x1.1fc9075314de9p-2, 0x1.1e521c48f8b9ep-2, 0x1.1cc40008b355fp-2, 0x1.1b1fadc02b93ap-2, 0x1.19661c1c94ff9p-2, 0x1.17983d3b0f91ep-2, 0x1.15b6fe9b6fd2ap-2, 0x1.13c349151dcc1p-2, 0x1.11be00cded527p-2, 0x1.0fa80532d7715p-2, 0x1.0d8230f27cce4p-2, 0x1.0b4d59f958cf6p-2, 0x1.090a516f929dcp-2, 0x1.06b9e3b84fdcfp-2, 0x1.045cd87277802p-2, 0x1.01f3f27ad6aabp-2, 0x1.feffdfdf07f7p-3, 0x1.fa031468fd402p-3, 0x1.f4f2ebf2e11c6p-3, 0x1.efd0c680fa0adp-3, 0x1.ea9dfacc25fadp-3, 0x1.e55bd653604d9p-3, 0x1.e00b9d6f05ce9p-3, 0x1.daae8b65b99acp-3, 0x1.d545d282d418dp-3, 0x1.cfd29c2e3b765p-3, 0x1.ca56090585ffp-3, 0x1.c4d130f65bc11p-3, 0x1.bf452359ec633p-3, 0x1.b9b2e71173e69p-3, 0x1.b41b7aa3a5ddep-3, 0x1.ae7fd45afe387p-3, 0x1.a8e0e264cba5cp-3, 0x1.a33f8af0f7f8cp-3, 0x1.9d9cac5267d55p-3, 0x1.97f91d1fee246p-3, 0x1.9255ac55b809bp-3, 0x1.8cb3217726cccp-3, 0x1.87123cb10eea1p-3, 0x1.8173b6fc34b64p-3, 0x1.7bd8424020f7ap-3, 0x1.7640897610c47p-3, 0x1.70ad30cc24b5ap-3, 0x1.6b1ed5c896422p-3, 0x1.65960f6d0be3ap-3, 0x1.60136e59eb78bp-3, 0x1.5a977cf1aa032p-3, 0x1.5522bf7c0d546p-3, 0x1.4fb5b44956dap-3, 0x1.4a50d3d54cfe6p-3, 0x1.44f490ea1dd4ep-3, 0x1.3fa158c315cb5p-3, 0x1.3a57932f19a9bp-3, 0x1.3517a2b2e846dp-3, 0x1.2fe1e4ab1b254p-3, 0x1.2ab6b16dd7052p-3, 0x1.25965c6c36178p-3, 0x1.20813453595a4p-3, 0x1.1b77832d29081p-3, 0x1.16798e80ac5b3p-3, 0x1.1187977211457p-3, 0x1.0ca1dae244722p-3, 0x1.07c8918e24203p-3, 0x1.02fbf02d4f974p-3, 0x1.fc784f20fa73p-4, 0x1.f312c97ee16a5p-4, 0x1.e9c7a22cdfd13p-4, 0x1.e09724c6972a1p-4, 0x1.d7819603e9adbp-4, 0x1.ce8733f127e7dp-4, 0x1.c5a8362657dedp-4, 0x1.bce4cdfd7ee75p-4, 0x1.b43d26c803407p-4, 0x1.abb1660305cdcp-4, 0x1.a341ab8acaceap-4, 0x1.9aee11cd2e0cbp-4, 0x1.92b6adfb0ded8p-4, 0x1.8a9b9038cb223p-4, 0x1.829cc3cdc01a7p-4, 0x1.7aba4f52c2e2p-4, 0x1.72f434dfafd22p-4, 0x1.6b4a7237f25c3p-4, 0x1.63bd00f61a00ap-4, 0x1.5c4bd6b6762b1p-4, 0x1.54f6e540b86bep-4, 0x1.4dbe1ab0a581cp-4, 0x1.46a1619dceddap-4, 0x1.3fa0a1425b7d3p-4, 0x1.38bbbda0dfef2p-4, 0x1.31f297a94b4fbp-4, 0x1.2b450d5ce205cp-4, 0x1.24b2f9f15617bp-4, 0x1.1e3c35f2f4d19p-4, 0x1.17e09765edc8ep-4, 0x1.119ff1e6beae6p-4, 0x1.0b7a16c9b8a9ep-4, 0x1.056ed539af437p-4, 0x1.fefbf4ab95634p-5, 0x1.f34ea29d08d18p-5, 0x1.e7d54703a394ep-5, 0x1.dc8f712cfcba5p-5, 0x1.d17cad2d6e9dcp-5, 0x1.c69c8413a0599p-5, 0x1.bbee7c1a7af17p-5, 0x1.b17218d9a1cb4p-5, 0x1.a726db7461178p-5, 0x1.9d0c42c72c326p-5, 0x1.9321cb93a2d77p-5, 0x1.8966f0ab30dc7p-5, 0x1.7fdb2b184277ap-5, 0x1.767df24621d41p-5, 0x1.6d4ebc2779babp-5, 0x1.644cfd5b86d09p-5, 0x1.5b782952019e3p-5, 0x1.52cfb26dc5988p-5, 0x1.4a530a263c8fcp-5, 0x1.4201a127937p-5, 0x1.39dae771c22f1p-5, 0x1.31de4c766c875p-5, 0x1.2a0b3f359e50ep-5, 0x1.22612e5970d7fp-5, 0x1.1adf88509dc27p-5, 0x1.1385bb67fd0fcp-5, 0x1.0c5335e30569dp-5, 0x1.0547661345fccp-5, 0x1.fcc374ddd084bp-6, 0x1.ef43434c764fcp-6, 0x1.e20d1570af7fbp-6, 0x1.d51fca0da70f3p-6, 0x1.c87a40d137661p-6, 0x1.bc1b5a77d6d72p-6, 0x1.b001f8eee9299p-6, 0x1.a42cff7568d02p-6, 0x1.989b52baf4778p-6, 0x1.8d4bd8fd66383p-6, 0x1.823d7a24e0043p-6, 0x1.776f1fde6103p-6, 0x1.6cdfb5b4ff4f2p-6, 0x1.628e2929b969fp-6, 0x1.587969c9fcf33p-6, 0x1.4ea06944db9c6p-6, 0x1.45021b7f058ebp-6, 0x1.3b9d76a591032p-6, 0x1.3271733f90739p-6, 0x1.297d0c3e8d35fp-6, 0x1.20bf3f0de3b0cp-6, 0x1.18370ba113751p-6, 0x1.0fe3748106c1dp-6, 0x1.07c37ed85ed01p-6, 0x1.ffac64fd90d96p-7, 0x1.f0353406c9aadp-7, 0x1.e11f856c9bc6cp-7, 0x1.d269796276482p-7, 0x1.c41135beb01f4p-7, 0x1.b614e60893e9ep-7, 0x1.a872bb84d0d68p-7, 0x1.9b28ed4099c37p-7, 0x1.8e35b81b18855p-7, 0x1.81975ecdc213ap-7, 0x1.754c29f32eb74p-7, 0x1.6952680cb427ep-7, 0x1.5da86d86cb724p-7, 0x1.524c94bc4c81bp-7, 0x1.473d3df8909bcp-7, 0x1.3c78cf78735dp-7, 0x1.31fdb56a51507p-7, 0x1.27ca61ed0ff52p-7, 0x1.1ddd4d0e2e7c7p-7, 0x1.1434f4c6ec7d2p-7, 0x1.0acfdcf8ae6e6p-7, 0x1.01ac8f6867c37p-7, 0x1.f1933772b1402p-8, 0x1.e04b2ece0e2a9p-8, 0x1.cf7e3b7cfe4ecp-8, 0x1.bf299fadec60ep-8, 0x1.af4aa91364c0ap-8, 0x1.9fdeb0d2d9125p-8, 0x1.90e31b7223ce9p-8, 0x1.825558c404ec3p-8, 0x1.7432e3d3909adp-8, 0x1.667942ceca9a3p-8, 0x1.592606f02156ep-8, 0x1.4c36cc67287eep-8, 0x1.3fa93a4091a76p-8, 0x1.337b024d52f6dp-8, 0x1.27a9e1093ed22p-8, 0x1.1c339d80c59e3p-8, 0x1.1116093638d6fp-8, 0x1.064f00067a18ep-8, 0x1.f7b8d01a3899cp-9, 0x1.e37863103e6f9p-9, 0x1.cfd8ad766f439p-9, 0x1.bcd5b7a54f7f1p-9, 0x1.aa6b9d8b705e9p-9, 0x1.98968e71cefe8p-9, 0x1.8752ccbfb27d8p-9, 0x1.769cadbdcbd74p-9, 0x1.6670995940ecp-9, 0x1.56cb09e60ea49p-9, 0x1.47a88be0fb1p-9, 0x1.3905bdb1a1f6bp-9, 0x1.2adf4f6bf2ffcp-9, 0x1.1d320291b728bp-9, 0x1.0ffaa9d3e271dp-9, 0x1.033628d402d1p-9, 0x1.edc2e7ca9ca13p-10, 0x1.d5f31f9be4f72p-10, 0x1.bef72310eb9acp-10, 0x1.a8c93c0a35a4cp-10, 0x1.9363d3d6f3c62p-10, 0x1.7ec172b8d6c03p-10, 0x1.6adcbf673f7a9p-10, 0x1.57b07e9442591p-10, 0x1.453792713699ap-10, 0x1.336cfa3463adp-10, 0x1.224bd19f1aa55p-10, 0x1.11cf5084c2d66p-10, 0x1.01f2ca527693dp-10, 0x1.e5635b2e912fep-11, 0x1.c80f071b5ab8ap-11, 0x1.abdfdf4b29882p-11, 0x1.90cd5e1f51029p-11, 0x1.76cf30926d42cp-11, 0x1.5ddd3553023dfp-11, 0x1.45ef7bdf62514p-11, 0x1.2efe43a3a227ap-11, 0x1.1901fb1abd598p-11, 0x1.03f33ef0b6208p-11, 0x1.df95b24ffd141p-12, 0x1.b903808166ac7p-12, 0x1.94222cc45a48dp-12, 0x1.70e4510e0d1a4p-12, 0x1.4f3cdb57900d7p-12, 0x1.2f1f0bff3b837p-12, 0x1.107e742f72c81p-12, 0x1.e69de8952bb13p-13, 0x1.af0974b928a0ap-13, 0x1.7a2881207632ap-13, 0x1.47e49754e98edp-13, 0x1.1827d31521425p-13, 0x1.d5b9bebc9a02ap-14, 0x1.7fdde70908ff2p-14, 0x1.2e93a09d73f25p-14, 0x1.c366f48b420e2p-15, 0x1.322e14e9db7e1p-15, 0x1.5263a70a434b7p-16, 0x1.414ad7cd1982dp-18, -0x1.44c8ed820ef4ep-17, -0x1.864be3f8ade5fp-16, -0x1.2df4f173ecc21p-15, -0x1.91e092bd13dbp-15, -0x1.ef286937e43efp-15, -0x1.230526461ddcfp-14, -0x1.4b61313332146p-14, -0x1.70c594035676ep-14, -0x1.934ebdd5dba99p-14, -0x1.b31852e877c76p-14, -0x1.d03d31235457ep-14, -0x1.ead774925d0e5p-14, -0x1.01803de456bfdp-13, -0x1.0c6876193d42bp-13, -0x1.16305b297f518p-13, -0x1.1ee38cf7eeb6ep-13, -0x1.268d55133ad12p-13, -0x1.2d38a8ba3fd1ap-13, -0x1.32f02ad3bab32p-13, -0x1.37be2dde304c3p-13, -0x1.3bacb5d6f20fp-13, -0x1.3ec57a17e2ccp-13, -0x1.4111e72c2230ap-13, -0x1.429b209ca8ba8p-13, -0x1.436a02b17b872p-13, -0x1.4387242e33fcap-13, -0x1.42fad80335d44p-13, -0x1.41cd2ef74d63fp-13, -0x1.4005f948804e6p-13, -0x1.3dacc845fe30ep-13, -0x1.3ac8efdf11ab1p-13, -0x1.3761882eb19bep-13, -0x1.337d6efb343e3p-13, -0x1.2f23492e93f2dp-13, -0x1.2a5984494f3d4p-13, -0x1.252657cc63bb5p-13, -0x1.1f8fc69a3540bp-13, -0x1.199ba053b77c2p-13, -0x1.134f82ab86a69p-13, -0x1.0cb0dab10d782p-13, -0x1.05c4e6192299p-13, -0x1.fd2168f6543d1p-14, -0x1.ee32511279081p-14, -0x1.dec5f282a8d23p-14, -0x1.cee56631c6894p-14, -0x1.be99723f245f7p-14, -0x1.adea8c3c88a57p-14, -0x1.9ce0db5e4c9edp-14, -0x1.8b843a996e48bp-14, -0x1.79dc3abee448dp-14, -0x1.67f02484b1d42p-14, -0x1.55c6fa84d9f39p-14, -0x1.43677b312197bp-14, -0x1.30d822ba30179p-14, -0x1.1e1f2cedb4af1p-14, -0x1.0b42970730522p-14, -0x1.f09042f45c6c8p-15, -0x1.ca6aa358e848cp-15, -0x1.a41ee750c54d6p-15, -0x1.7db7378cf1ae6p-15, -0x1.573d5098ee79bp-15, -0x1.30ba8600409b3p-15, -0x1.0a37c56784e6bp-15, -0x1.c77b331f36537p-16, -0x1.7aa85a81ff76bp-16, -0x1.2e069c64e585cp-16, -0x1.c349bf470d12p-17, -0x1.2b22b806acfa9p-17, -0x1.27667e0344ec7p-18, 0x1.756c77bc8c417p-24, 0x1.313df7d0e4822p-18, 0x1.2d51cb250482ap-17, 0x1.c0ed1347d5139p-17, 0x1.29ade1795e708p-16, 0x1.7244f0dc9d32ep-16, 0x1.ba324382f0721p-16, 0x1.00b6745e71d0bp-15, 0x1.23f63799bdc6fp-15, 0x1.46d4706303717p-15, 0x1.694d5f406a17p-15, 0x1.8b5d7e58af6fbp-15, 0x1.ad017f899a31ap-15, 0x1.ce364a882129cp-15, 0x1.eef8fb10f0d6bp-15, 0x1.07a36f9333c3cp-14, 0x1.178ebaab71ee2p-14, 0x1.273d358769d75p-14, 0x1.36adcd7b98852p-14, 0x1.45df85b0aa6ffp-14, 0x1.54d1765cd02dcp-14, 0x1.6382cc0309d66p-14, 0x1.71f2c6bb6d944p-14, 0x1.8020b978cb07bp-14, 0x1.8e0c095a018f2p-14, 0x1.9bb42cfcf0ed4p-14, 0x1.a918abd832e1ep-14, 0x1.b6391d980417ep-14, 0x1.c315297fda4fep-14, 0x1.cfac85d13b51p-14, 0x1.dbfef7357475cp-14, 0x1.e80c502d3185fp-14, 0x1.f3d470825ed57p-14, 0x1.ff5744c27eeadp-14, 0x1.054a62daee5a4p-13, 0x1.0ac67bf015d5ep-13, 0x1.101ff5816edbfp-13, 0x1.1556dcd1e2dfep-13, 0x1.1a6b444b297a9p-13, 0x1.1f5d4344d72a9p-13, 0x1.242cf5cc91b5fp-13, 0x1.28da7c7051ab3p-13, 0x1.2d65fc0963bc6p-13, 0x1.31cf9d8a28aa4p-13, 0x1.36178dcd44addp-13, 0x1.3a3dfd6572cfbp-13, 0x1.3e43206f4d0d1p-13, 0x1.42272e649a7f1p-13, 0x1.45ea61f0fafd7p-13, 0x1.498cf8c7ad94p-13, 0x1.4d0f337afab4fp-13, 0x1.5071555502339p-13, 0x1.53b3a4316e07bp-13, 0x1.56d66858501b1p-13, 0x1.59d9ec5a3b56dp-13, 0x1.5cbe7cee5518bp-13, 0x1.5f8468d090fdap-13, 0x1.622c00a1652c1p-13, 0x1.64b596c660b3cp-13, 0x1.67217f4c685cep-13, 0x1.69700fc9d30a6p-13, 0x1.6ba19f42cf946p-13, 0x1.6db6860da1334p-13, 0x1.6faf1db937667p-13, 0x1.718bc0f2fb31cp-13, 0x1.734ccb6e93db4p-13, 0x1.74f299ce3ae02p-13, 0x1.767d898c14387p-13, 0x1.77edf8e423544p-13, 0x1.794446bf2de38p-13, 0x1.7a80d29e63df7p-13, 0x1.7ba3fc87bf537p-13, 0x1.7cae24f30646cp-13, 0x1.7d9facb77348fp-13, 0x1.7e78f4fa6e02p-13, 0x1.7f3a5f1ec0f65p-13, 0x1.7fe44cb481a1ep-13, 0x1.80771f692beb4p-13, 0x1.80f338f91041bp-13, 0x1.8158fb20cf3e7p-13, 0x1.81a8c78fa389dp-13, 0x1.81e2ffda33c25p-13, 0x1.8208056e04b7dp-13, 0x1.821839858947p-13, 0x1.8213fd1c2be6fp-13, 0x1.81fbb0e37fa5ep-13, 0x1.81cfb5386d8c1p-13, 0x1.81906a1944f9ap-13, 0x1.813e2f1c1fc8fp-13, 0x1.80d963658f66p-13, 0x1.8062659fd836bp-13, 0x1.7fd993f289c89p-13, 0x1.7f3f4bfa822ebp-13, 0x1.7e93eac25d755p-13, 0x1.7dd7ccbb56933p-13, 0x1.7d0b4db64d492p-13, 0x1.7c2ec8dd96aa7p-13, 0x1.7b4298ae81166p-13, 0x1.7a4716f3c2612p-13, 0x1.793c9cbfd5c63p-13, 0x1.78238267df299p-13, 0x1.76fc1f7ee5b76p-13, 0x1.75c6cad131a43p-13, 0x1.7483da6018b7dp-13, 0x1.7333a35dc9f07p-13, 0x1.71d67a29d5671p-13, 0x1.706cb24d5a208p-13, 0x1.6ef69e780055fp-13, 0x1.6d74907cdf051p-13, 0x1.6be6d94fdce74p-13, 0x1.6a4dc90301314p-13, 0x1.68a9aec4147dfp-13, 0x1.66fad8da90fb5p-13, 0x1.654194a5b86d1p-13, 0x1.637e2e9ab3308p-13, 0x1.61b0f2433adcdp-13, 0x1.5fda2a3bfdbbep-13, 0x1.5dfa2033af328p-13, 0x1.5c111ce9c7189p-13, 0x1.5a1f682db70f8p-13, 0x1.582548de228cap-13, 0x1.562304e85d25p-13, 0x1.5418e147f65cp-13, 0x1.520722066d13cp-13, 0x1.4fee0a3b0f1fep-13, 0x1.4dcddc0ad8d8cp-13, 0x1.4ba6d8a8b1747p-13, 0x1.497940556cd3fp-13, 0x1.4745526033ffp-13, 0x1.450b4d2711a73p-13, 0x1.42cb6e17321b6p-13, 0x1.4085f1adc2a8dp-13, 0x1.3e3b137883858p-13, 0x1.3beb0e16ae661p-13, 0x1.39961b39b658p-13, 0x1.373c73a66b97p-13, 0x1.34de4f35e3effp-13, 0x1.327be4d6b601p-13, 0x1.30156a8e0f8c9p-13, 0x1.2dab157939aefp-13, 0x1.2b3d19ce8ddd2p-13, 0x1.28cbaadf20d5fp-13, 0x1.2656fb1823b72p-13, 0x1.23df3c04442bap-13, 0x1.21649e4d75fc8p-13, 0x1.1ee751be6d5e6p-13, 0x1.1c67854436f81p-13, 0x1.19e566f0145dbp-13, 0x1.176123f90dc94p-13, 0x1.14dae8bdd5ca8p-13, 0x1.1252e0c693be3p-13, 0x1.0fc936c6b493bp-13, 0x1.0d3e149ec9153p-13, 0x1.0ab1a35e9dd57p-13, 0x1.08240b46e0b92p-13, 0x1.059573cb504fap-13, 0x1.03060394a5d13p-13, 0x1.0075e082a0701p-13, 0x1.fbca5f5c081c1p-14, 0x1.f6a82ad545812p-14, 0x1.f1856a9300e86p-14, 0x1.ec626435aa781p-14, 0x1.e73f5be082575p-14, 0x1.e21c943d897cap-14, 0x1.dcfa4e81f095ep-14, 0x1.d7d8ca726f855p-14, 0x1.d2b8466727c71p-14, 0x1.cd98ff506803ap-14, 0x1.c87b30bac64ddp-14, 0x1.c35f14d3452e8p-14, 0x1.be44e46bf4fep-14, 0x1.b92cd6ffffb7cp-14, 0x1.b41722b841517p-14, 0x1.af03fc6f43589p-14, 0x1.a9f397b5f04fp-14, 0x1.a4e626d782ac1p-14, 0x1.9fdbdade22c99p-14, 0x1.9ad4e396fd2a4p-14, 0x1.95d16f96d0302p-14, 0x1.90d1ac3debb09p-14, 0x1.8bd5c5bc9a46ap-14, 0x1.86dde71769806p-14, 0x1.81ea3a2b3a059p-14, 0x1.7cfae7b1d39bep-14, 0x1.78101745aa2f2p-14, 0x1.7329ef665c092p-14, 0x1.6e48957cc703fp-14, 0x1.696c2ddf2f916p-14, 0x1.6494dbd53d9b5p-14, 0x1.5fc2c19c70d34p-14, 0x1.5af6006bb8b16p-14, 0x1.562eb877dc842p-14, 0x1.516d08f7630eap-14, 0x1.4cb110267ed68p-14, 0x1.47faeb4b40564p-14, 0x1.434ab6b94aa11p-14, 0x1.3ea08dd5d324ap-14, 0x1.39fc8b1b796d7p-14, 0x1.355ec81e48e42p-14, 0x1.30c75d8f3e9abp-14, 0x1.2c366340635b5p-14, 0x1.27abf0285004cp-14, 0x1.23281a661132p-14, 0x1.1eaaf744b9d1ap-14, 0x1.1a349b3f2d958p-14, 0x1.15c51a0386dcep-14, 0x1.115c8676f2f98p-14, 0x1.0cfaf2b90e5fep-14, 0x1.08a0702762e2fp-14, 0x1.044d0f61221b8p-14, 0x1.0000e04a4ca1fp-14, 0x1.f777e41ec62dep-15, 0x1.eefca650f70fcp-15, 0x1.e69022b9bb243p-15, 0x1.de32738c544e2p-15, 0x1.d5e3b1a72d2d9p-15, 0x1.cda3f49aaf0aep-15, 0x1.c57352af421b4p-15, 0x1.bd51e0ebdef7bp-15, 0x1.b53fb31c420a8p-15, 0x1.ad3cdbd6eda13p-15, 0x1.a5496c83a3f82p-15, 0x1.9d657560e9653p-15, 0x1.9591058a7cf27p-15, 0x1.8dcc2afeebd43p-15, 0x1.8616f2a54fbecp-15, 0x1.7e7168538536p-15, 0x1.76db96d336772p-15, 0x1.6f5587e7ed642p-15, 0x1.67df44546f222p-15, 0x1.6078d3e0066b9p-15, 0x1.59223d5c446bep-15, 0x1.51db86a9e1251p-15, 0x1.4aa4b4be58443p-15, 0x1.437dcba8d5c6ap-15, 0x1.3c66ce977a896p-15, 0x1.355fbfdc33accp-15, 0x1.2e68a0f1f6d9fp-15, 0x1.278172813a893p-15, 0x1.20aa34654ac77p-15, 0x1.19e2e5b09f42p-15, 0x1.132b84b1bfff8p-15, 0x1.0c840ef7c1f8cp-15, 0x1.05ec815719ce1p-15, 0x1.fec9afdb45d77p-16, 0x1.f1da1c4f2105ep-16, 0x1.e50a3d86cdfb4p-16, 0x1.d85a07acb3372p-16, 0x1.cbc96da12ccfbp-16, 0x1.bf586102e0a1p-16, 0x1.b306d236af0bap-16, 0x1.a6d4b070094d5p-16, 0x1.9ac1e9b8c0617p-16, 0x1.8ece6af8ef439p-16, 0x1.82fa1ffe65a74p-16, 0x1.7744f384a0a3ap-16, 0x1.6baecf3bc3918p-16, 0x1.60379bd07eb34p-16, 0x1.54df40f2b534fp-16, 0x1.49a5a55cf089ep-16, 0x1.3e8aaedb594a2p-16, 0x1.338e425237ba8p-16, 0x1.28b043c52fadep-16, 0x1.1df0965d84858p-16, 0x1.134f1c70d1edap-16, 0x1.08cbb7876bf8p-16, 0x1.fccc90c52f29dp-17, 0x1.e83d5e05be4dp-17, 0x1.d3e9955c115dcp-17, 0x1.bfd0f3ea31ecep-17, 0x1.abf3357490925p-17, 0x1.9850146db6326p-17, 0x1.84e74a0113015p-17, 0x1.71b88e1e692acp-17, 0x1.5ec39784d9cd3p-17, 0x1.4c081bcdd2af2p-17, 0x1.3985cf7716aaep-17, 0x1.273c65ed42796p-17, 0x1.152b9196abfep-17, 0x1.035303dc38e2ap-17, 0x1.e364da6774e8dp-18, 0x1.c092fa540d44dp-18, 0x1.9e2fc4d721425p-18, 0x1.7c3a959c2befbp-18, 0x1.5ab2c6b33e626p-18, 0x1.3997b0a33f59ap-18, 0x1.18e8aa7abad04p-18, 0x1.f14a13c1284f2p-19, 0x1.b198464b8ba28p-19, 0x1.72ba92ac6cb57p-19, 0x1.34af9c8f94c78p-19, 0x1.eeec0aa9be746p-20, 0x1.7618d85d56a1cp-20, 0x1.fdc5b906c3b29p-21, 0x1.128e9b0bb114cp-21, 0x1.5435e2348c159p-24, -0x1.74af093f9c5d2p-22, -0x1.9c11cf6c8d73p-21, -0x1.3d56e8f37b44fp-20, -0x1.ab189fb461998p-20, -0x1.0ba8741d627c2p-19, -0x1.41015095c6b27p-19, -0x1.759855ae6d19dp-19, -0x1.a96ef4d1c93bap-19, -0x1.dc86a0513c68ep-19, -0x1.077065a6e286bp-18, -0x1.203f74d1830dep-18, -0x1.38b137e78c382p-18, -0x1.50c6696e21a86p-18, -0x1.687fc425aa02ep-18, -0x1.7fde030004304p-18, -0x1.96e1e1162221fp-18, -0x1.ad8c199e108aep-18, -0x1.c3dd67e0d3a55p-18, -0x1.d9d68730bfe96p-18, -0x1.ef7832e102d8dp-18, -0x1.0261931d6e07p-17, -0x1.0cdc0e3b4874cp-17, -0x1.172be859455c5p-17, -0x1.21517ef4d4656p-17, -0x1.2b4d2f76311e6p-17, -0x1.351f572bbd9aap-17, -0x1.3ec85346a2e87p-17, -0x1.484880d6aa817p-17, -0x1.51a03cc697fe3p-17, -0x1.5acfe3d88e51p-17, -0x1.63d7d2a2c5b56p-17, -0x1.6cb8658bfe9c2p-17, -0x1.7571f8c7effa1p-17, -0x1.7e04e853fc35dp-17, -0x1.86718ff467c87p-17, -0x1.8eb84b30f88cep-17, -0x1.96d9755251d97p-17, -0x1.9ed5695e9c743p-17, -0x1.a6ac8217168ebp-17, -0x1.ae5f19f537aa7p-17, -0x1.b5ed8b2792338p-17, -0x1.bd582f8fdb19p-17, -0x1.c49f60c04e8c6p-17, -0x1.cbc377f9416d5p-17, -0x1.d2c4ce266201ep-17, -0x1.d9a3bbdcf6529p-17, -0x1.e0609959498f3p-17, -0x1.e6fbbe7caf54ap-17, -0x1.ed7582cb5a465p-17, -0x1.f3ce3d6a4f795p-17, -0x1.fa06451dd742p-17, -0x1.000ef823a36a1p-16, -0x1.030aca7184a66p-16, -0x1.05f6c4439a436p-16, -0x1.08d31030e3031p-16, -0x1.0b9fd89b7da29p-16, -0x1.0e5d47afd21ecp-16, -0x1.110b8763df008p-16, -0x1.13aac17678f7cp-16, -0x1.163b1f6ea8ba5p-16, -0x1.18bcca9af3fd5p-16, -0x1.1b2fec108c7d5p-16, -0x1.1d94acab13778p-16, -0x1.1feb350baec0dp-16, -0x1.2233ad9884e8cp-16, -0x1.246e3e7c51232p-16, -0x1.269b0fa5e69f4p-16, -0x1.28ba48c7724c5p-16, -0x1.2acc115636657p-16, -0x1.2cd0908a0c574p-16, -0x1.2ec7ed5cebb21p-16, -0x1.30b24e8a8ded6p-16, -0x1.328fda9019612p-16, -0x1.3460b7abb3061p-16, -0x1.36250bdc2e79ep-16, -0x1.37dcfce0a8653p-16, -0x1.3988b0386c8aep-16, -0x1.3b284b22688c6p-16, -0x1.3cbbf29d18751p-16, -0x1.3e43cb66418d5p-16, -0x1.3fbff9faa3174p-16, -0x1.4130a2960a7bbp-16, -0x1.4295e932a65a1p-16, -0x1.43eff1892f9aep-16, -0x1.453edf10b7b7bp-16, -0x1.4682d4fe95465p-16, -0x1.47bbf64600888p-16, -0x1.48ea65983d36bp-16, -0x1.4a0e45647b848p-16, -0x1.4b27b7d7968d7p-16, -0x1.4c36dedc1c42dp-16, -0x1.4d3bdc1a3b677p-16, -0x1.4e36d0f7dc0fep-16, -0x1.4f27de9874664p-16, -0x1.500f25dd0b8c2p-16, -0x1.50ecc7642d5abp-16, -0x1.51c0e38a234f6p-16, -0x1.528b9a68b0d06p-16, -0x1.534d0bd76609ep-16, -0x1.5405576b79055p-16, -0x1.54b49c77d91dap-16, -0x1.555afa0d5306ep-16, -0x1.55f88efaaa065p-16, -0x1.568d79ccacd85p-16, -0x1.5719d8ce3a02ep-16, -0x1.579dca0868e87p-16, -0x1.58196b429df4ep-16, -0x1.588cda02bdc6ap-16, -0x1.58f8338d60582p-16, -0x1.595b94e5d6c36p-16, -0x1.59b71ace4dd84p-16, -0x1.5a0ae1c80faf5p-16, -0x1.5a570613c1a1dp-16, -0x1.5a9ba3b165badp-16, -0x1.5ad8d660a7d0ep-16, -0x1.5b0eb9a0e4bb3p-16, -0x1.5b3d68b1a6f9fp-16, -0x1.5b64fe929e112p-16, -0x1.5b85960407bc9p-16, -0x1.5b9f4986bf11ep-16, -0x1.5bb2335c728b4p-16, -0x1.5bbe6d881d165p-16, -0x1.5bc411ce1253ep-16, -0x1.5bc339b44c6a8p-16, -0x1.5bbbfe8297428p-16, -0x1.5bae7942dd9ffp-16, -0x1.5b9ac2c19a442p-16, -0x1.5b80f38de374fp-16, -0x1.5b6123f9b19adp-16, -0x1.5b3b6c1a4b569p-16, -0x1.5b0fe3c894c54p-16, -0x1.5adea2a124656p-16, -0x1.5aa7c004b88b1p-16, -0x1.5a6b53185f022p-16, -0x1.5a2972c5f832bp-16, -0x1.59e235bc4cbf8p-16, -0x1.5995b26f9950ap-16, -0x1.5943ff1995c8p-16, -0x1.58ed31b9efc0cp-16, -0x1.58916016c2e5bp-16, -0x1.58309fbc8d698p-16, -0x1.57cb05feb3e44p-16, -0x1.5760a7f7e7a6p-16, -0x1.56f19a8a6e0dp-16, -0x1.567df26077b62p-16, -0x1.5605c3ec5c4bcp-16, -0x1.55892368f8ebp-16, -0x1.550824da362adp-16, -0x1.5482dc0d1f2a8p-16, -0x1.53f95c982606cp-16, -0x1.536bb9dbfb4cdp-16, -0x1.52da07036b648p-16, -0x1.52445703f69a8p-16, -0x1.51aabc9df7515p-16, -0x1.510d4a5d1040cp-16, -0x1.506c12988f2e1p-16, -0x1.4fc72773e3d0dp-16, -0x1.4f1e9adebbed6p-16, -0x1.4e727e958e67p-16, -0x1.4dc2e421f60abp-16, -0x1.4d0fdcdad1fc7p-16, -0x1.4c5979e4c76b1p-16, -0x1.4b9fcc32c28c4p-16, -0x1.4ae2e4862a7dbp-16, -0x1.4a22d36f2a0cfp-16, -0x1.495fa94d27548p-16, -0x1.4899764f25bb8p-16, -0x1.47d04a73f7ae3p-16, -0x1.4704358adbb39p-16, -0x1.46354733bbd69p-16, -0x1.45638edf89e21p-16, -0x1.448f1bd04dcap-16, -0x1.43b7fd19fdd7dp-16, -0x1.42de41a2aef18p-16, -0x1.4201f822ded22p-16, -0x1.41232f25d8eaep-16, -0x1.4041f509fdb99p-16, -0x1.3f5e5801402a1p-16, -0x1.3e7866116cec3p-16, -0x1.3d902d148bbb3p-16, -0x1.3ca5bab963f3cp-16, -0x1.3bb91c8378f94p-16, -0x1.3aca5fcba240ep-16, -0x1.39d991c06a6fp-16, -0x1.38e6bf666d042p-16, -0x1.37f1f5989cfa9p-16, -0x1.36fb41089351ap-16, -0x1.3602ae3efb236p-16, -0x1.3508499be3ca2p-16, -0x1.340c1f57434d3p-16, -0x1.330e3b812a423p-16, -0x1.320eaa01f4cd2p-16, -0x1.310d769ad2d09p-16, -0x1.300aace63d621p-16, -0x1.2f0658582cd4dp-16, -0x1.2e00843e64631p-16, -0x1.2cf93bc0c95ebp-16, -0x1.2bf089e1b9a9p-16, -0x1.2ae6797e89147p-16, -0x1.29db154fdc2f2p-16, -0x1.28ce67e9b0e8cp-16, -0x1.27c07bbbd6e87p-16, -0x1.26b15b1262d7ap-16, -0x1.25a11016128b3p-16, -0x1.248fa4cc61e89p-16, -0x1.237d2317ece5dp-16, -0x1.226994b8e7df7p-16, -0x1.2155034d537a1p-16, -0x1.203f785175b0dp-16, -0x1.1f28fd2001776p-16, -0x1.1e119af24b53ep-16, -0x1.1cf95ae0f8788p-16, -0x1.1be045e42f0aep-16, -0x1.1ac664d3ba2b4p-16, -0x1.19abc0675fb48p-16, -0x1.1890613764d1ap-16, -0x1.17744fbcc85c3p-16, -0x1.1657945183b5ep-16, -0x1.153a3730ca31ep-16, -0x1.141c407764986p-16, -0x1.12fdb8242a34ap-16, -0x1.11dea618292fcp-16, -0x1.10bf1216d3f5ap-16, -0x1.0f9f03c6719e2p-16, -0x1.0e7e82b07d0acp-16, -0x1.0d5d9641d4757p-16, -0x1.0c3c45caf8d9cp-16, -0x1.0b1a9880618bp-16, -0x1.09f8957adcc32p-16, -0x1.08d643b7df9e4p-16, -0x1.07b3aa1990316p-16, -0x1.0690cf672ebedp-16, -0x1.056dba4d925ecp-16, -0x1.044a715f3f55dp-16, -0x1.0326fb147f952p-16, -0x1.02035dcbfac4dp-16, -0x1.00df9fcaf6659p-16, -0x1.ff778e7ae828dp-17, -0x1.fd2fb46ccc495p-17, -0x1.fae7bd604fec4p-17, -0x1.f89fb5199be1dp-17, -0x1.f657a72c56925p-17, -0x1.f40f9efc4e0cap-17, -0x1.f1c7a7be20a36p-17, -0x1.ef7fcc7817fbp-17, -0x1.ed381801d6e4dp-17, -0x1.eaf095056e12p-17, -0x1.e8a94dffdae66p-17, -0x1.e6624d417da4bp-17, -0x1.e41b9cee51a34p-17, -0x1.e1d546fe9fffdp-17, -0x1.df8f553fd0973p-17, -0x1.dd49d1547e322p-17, -0x1.db04c4b4c0056p-17, -0x1.d8c038af2474p-17, -0x1.d67c36692a1ep-17, -0x1.d438c6df247ebp-17, -0x1.d1f5f2e53b021p-17, -0x1.cfb3c327dade8p-17, -0x1.cd72402c0376ap-17, -0x1.cb31724f73063p-17, -0x1.c8f161c9a2d57p-17, -0x1.c6b216ac37a25p-17, -0x1.c47398e2f336fp-17, -0x1.c235f0345461ap-17, -0x1.bff9244289119p-17, -0x1.bdbd3c8b3ec85p-17, -0x1.bb8240682a117p-17, -0x1.b948370f9f45dp-17, -0x1.b70f27952fa15p-17, -0x1.b4d718e986ac8p-17, -0x1.b2a011db499dap-17, -0x1.b06a191763b9fp-17, -0x1.ae3535295b5dp-17, -0x1.ac016c7b8d0f1p-17, -0x1.a9cec5582365bp-17, -0x1.a79d45e91fa98p-17, -0x1.a56cf43870e51p-17, -0x1.a33dd630bf18ep-17, -0x1.a10ff19e06e01p-17, -0x1.9ee34c2d641dfp-17, -0x1.9cb7eb6db366dp-17, -0x1.9a8dd4d031f78p-17, -0x1.98650da883794p-17, -0x1.963d9b2d12907p-17, -0x1.94178277e063p-17, -0x1.91f2c8866373p-17, -0x1.8fcf7239f0d3p-17, -0x1.8dad84585d8eap-17, -0x1.8b8d038c499b2p-17, -0x1.896df46529ee2p-17, -0x1.87505b57db7cep-17, -0x1.85343cbf4d4a8p-17, -0x1.83199cdc12e0fp-17, -0x1.81007fd5692a8p-17, -0x1.7ee8e9b95625dp-17, -0x1.7cd2de7cce5ecp-17, -0x1.7abe61fc35313p-17, -0x1.78ab77fbdb9b9p-17, -0x1.769a2427df193p-17, -0x1.748a6a14b84efp-17, -0x1.727c4d3fdf55bp-17, -0x1.706fd10f9abaap-17, -0x1.6e64f8d3461dp-17, -0x1.6c5bc7c434712p-17, -0x1.6a54410587a5cp-17, -0x1.684e67a4717e8p-17, -0x1.664a3e98d94f5p-17, -0x1.6447c8c54ab14p-17, -0x1.624708f774547p-17, -0x1.604801e87fe9bp-17, -0x1.5e4ab63d2aa1dp-17, -0x1.5c4f2885fa809p-17, -0x1.5a555b400b015p-17, -0x1.585d50d4b80fep-17, -0x1.56670b9a12c42p-17, -0x1.54728dd36e9ddp-17, -0x1.527fd9b14a757p-17, -0x1.508ef151bc928p-17, -0x1.4e9fd6c0bf0cfp-17, -0x1.4cb28bf8513c9p-17, -0x1.4ac712e0c361fp-17, -0x1.48dd6d512d8bap-17, -0x1.46f59d0f50753p-17, -0x1.450fa3d006f26p-17, -0x1.432b8337befdap-17, -0x1.41493cda4542dp-17, -0x1.3f68d23b22cc2p-17, -0x1.3d8a44ce5f216p-17, -0x1.3bad95f7dab1bp-17, -0x1.39d2c70c2c9e5p-17, -0x1.37f9d950b4998p-17, -0x1.3622cdfbd51f8p-17, -0x1.344da63505309p-17, -0x1.327a6315439b6p-17, -0x1.30a905a737fe2p-17, -0x1.2ed98ee767852p-17, -0x1.2d0bffc470952p-17, -0x1.2b40591f152b3p-17, -0x1.29769bcaf0bc9p-17, -0x1.27aec88dfb8dcp-17, -0x1.25e8e021442c8p-17, -0x1.2424e330f9862p-17, -0x1.2262d25ca288ap-17, -0x1.20a2ae373633ep-17, -0x1.1ee4774770ea6p-17, -0x1.1d282e07ef3fap-17, -0x1.1b6dd2e777e67p-17, -0x1.19b56649239c7p-17, -0x1.17fee8845868ap-17, -0x1.164a59e56a704p-17, -0x1.1497baad5a64ap-17, -0x1.12e70b121cd95p-17, -0x1.11384b3f2bd26p-17, -0x1.0f8b7b550eb82p-17, -0x1.0de09b6a11ccep-17, -0x1.0c37ab8a1ef98p-17, -0x1.0a90abb73700fp-17, -0x1.08eb9be914426p-17, -0x1.07487c0e23522p-17, -0x1.05a74c0aca13bp-17, -0x1.04080bba5ee1ap-17, -0x1.026abaee9b9c3p-17, -0x1.00cf597072ce7p-17, -0x1.fe6bcdff452c4p-18, -0x1.fb3cc6a66b881p-18, -0x1.f8119c3329bb2p-18, -0x1.f4ea4df142fdp-18, -0x1.f1c6db1bcdd3fp-18, -0x1.eea742dd7ddebp-18, -0x1.eb8b845112cc4p-18, -0x1.e8739e8136eccp-18, -0x1.e55f90695c8dbp-18, -0x1.e24f58f5685f5p-18, -0x1.df42f702a6bd3p-18, -0x1.dc3a695f4684fp-18, -0x1.d935aecb69c05p-18, -0x1.d634c5f8f616ap-18, -0x1.d337ad8bb514dp-18, -0x1.d03e641a2b326p-18, -0x1.cd48e82d43a7fp-18, -0x1.ca573840ecf13p-18, -0x1.c76952c4122bfp-18, -0x1.c47f36196d80cp-18, -0x1.c198e096b28e8p-18, -0x1.beb6508636faep-18, -0x1.bbd78425bc4f7p-18, -0x1.b8fc79a7fad9cp-18, -0x1.b6252f33c5763p-18, -0x1.b351a2e55020bp-18, -0x1.b081d2cd2275bp-18, -0x1.adb5bcf1d2215p-18, -0x1.aaed5f4eca6e4p-18, -0x1.a828b7d5a4b54p-18, -0x1.a567c46d9231ep-18, -0x1.a2aa82f448efbp-18, -0x1.9ff0f13d77ff6p-18, -0x1.9d3b0d13b2f2dp-18, -0x1.9a88d4381e90bp-18, -0x1.97da4462e74a9p-18, -0x1.952f5b4362f68p-18, -0x1.928816803d31fp-18, -0x1.8fe473b7c2088p-18, -0x1.8d44707fe36e1p-18, -0x1.8aa80a66c34eap-18, -0x1.880f3ef247c22p-18, -0x1.857a0ba0f2a4fp-18, -0x1.82e86de990064p-18, -0x1.805a633bc8dd9p-18, -0x1.7dcfe8ffd615bp-18, -0x1.7b48fc9756fe1p-18, -0x1.78c59b5cb9654p-18, -0x1.7645c2a40f2cfp-18, -0x1.73c96fbad6f2dp-18, -0x1.71509fe81d363p-18, -0x1.6edb506cfd2ecp-18, -0x1.6c697e847a76cp-18, -0x1.69fb2763c7a9p-18, -0x1.6790483a7bb35p-18, -0x1.6528de3282462p-18, -0x1.62c4e6708ba9ep-18, -0x1.60645e13fd2e4p-18, -0x1.5e0742372a861p-18, -0x1.5bad8fef749e7p-18, -0x1.5957444d813f7p-18, -0x1.57045c5d3d5acp-18, -0x1.54b4d52626d4dp-18, -0x1.5268abab462dcp-18, -0x1.501fdceb8d9ecp-18, -0x1.4dda65e186ab8p-18, -0x1.4b984384415cep-18, -0x1.495972c64507ap-18, -0x1.471df0973ae11p-18, -0x1.44e5b9e259524p-18, -0x1.42b0cb9010dadp-18, -0x1.407f2284fad32p-18, -0x1.3e50bba2cb892p-18, -0x1.3c2593c7ed154p-18, -0x1.39fda7cfc5ae6p-18, -0x1.37d8f4931fb71p-18, -0x1.35b776e77957cp-18, -0x1.33992ba069e6ap-18, -0x1.317e0f8e297ap-18, -0x1.2f661f7f5d35ep-18, -0x1.2d51583f7b6a8p-18, -0x1.2b3fb69885261p-18, -0x1.29313751bf104p-18, -0x1.2725d730dee7dp-18, -0x1.251d92f9583a9p-18, -0x1.2318676d1c5bfp-18, -0x1.2116514c071bap-18, }}, 
      {{-0x1.3ab657f92464ap-1, -0x1.3ae0ce1f94aedp-1, -0x1.3b1ae8813f264p-1, -0x1.3b636313bf17ap-1, -0x1.3bb8b4ee1902cp-1, -0x1.3c191cfe4463dp-1, -0x1.3c82ae86d1c33p-1, -0x1.3cf35cf2aa4a2p-1, -0x1.3d6906b928cabp-1, -0x1.3de17f2c840dep-1, -0x1.3e5a9722d973ep-1, -0x1.3ed22479914e6p-1, -0x1.3f46087d27671p-1, -0x1.3fb43545f7e61p-1, -0x1.401ab21e99257p-1, -0x1.40779f0a3add4p-1, -0x1.40c937822283dp-1, -0x1.410dd4810812ap-1, -0x1.4143edf223634p-1, -0x1.416a1b986bdfp-1, -0x1.417f1580f845p-1, -0x1.4181b411cce6dp-1, -0x1.4170efc4b9eb5p-1, -0x1.414be09c475c6p-1, -0x1.4111bd5f20493p-1, -0x1.40c1daa4fe273p-1, -0x1.405ba9beb0b79p-1, -0x1.3fdeb781b218cp-1, -0x1.3f4aaafe8b9dap-1, -0x1.3e9f442855888p-1, -0x1.3ddc5a72b3ccbp-1, -0x1.3d01db6ae4216p-1, -0x1.3c0fc94fbbd7bp-1, -0x1.3b0639abd4763p-1, -0x1.39e553f498b73p-1, -0x1.38ad503065be3p-1, -0x1.375e75a58f68dp-1, -0x1.35f91993afefdp-1, -0x1.347d9df860457p-1, -0x1.32ec7060315c6p-1, -0x1.314608c47ac5bp-1, -0x1.2f8ae8766a9efp-1, -0x1.2dbb99178ce9p-1, -0x1.2bd8ab9fe358ep-1, -0x1.29e2b77182dcbp-1, -0x1.27da597991e2bp-1, -0x1.25c0335e74967p-1, -0x1.2394eabad57edp-1, -0x1.215928653bc29p-1, -0x1.1f0d97c3c3fd3p-1, -0x1.1cb2e62b975b9p-1, -0x1.1a49c24bad8fap-1, -0x1.17d2dba262696p-1, -0x1.154ee1fd6c84fp-1, -0x1.12be8503b5b9ap-1, -0x1.102273c8a0bedp-1, -0x1.0d7b5c6842a32p-1, -0x1.0ac9ebac16eb4p-1, -0x1.080eccb7bdc1dp-1, -0x1.054aa8bd501c9p-1, -0x1.027e26b8dac95p-1, -0x1.ff53d66531a08p-2, -0x1.f99d300f0508cp-2, -0x1.f3d9986f9faebp-2, -0x1.ee0a47761de28p-2, -0x1.e8306eb2e6428p-2, -0x1.e24d39140a23ep-2, -0x1.dc61caaac6394p-2, -0x1.d66f4079804d1p-2, -0x1.d076b049b31e6p-2, -0x1.ca79288930a6dp-2, -0x1.c477b02e3fa1ap-2, -0x1.be7346a20b1edp-2, -0x1.b86ce3b0f1c65p-2, -0x1.b265778040b12p-2, -0x1.ac5dea88ef691p-2, -0x1.a6571d96f695bp-2, -0x1.a051e9cce6bc8p-2, -0x1.9a4f20ab5ec44p-2, -0x1.944f8c1c13f0dp-2, -0x1.8e53ee801bbeap-2, -0x1.885d02c127908p-2, -0x1.826b7c6576612p-2, -0x1.7c8007a633046p-2, -0x1.769b498805cd3p-2, -0x1.70bddff59f889p-2, -0x1.6ae861dc0897cp-2, -0x1.651b5f488275bp-2, -0x1.5f576187cb47cp-2, -0x1.599ceb469940cp-2, -0x1.53ec78b327223p-2, -0x1.4e467f9fa5707p-2, -0x1.48ab6fa575f66p-2, -0x1.431bb24908b13p-2, -0x1.3d97ab1e40a2fp-2, -0x1.381fb7ed41515p-2, -0x1.32b430d78e121p-2, -0x1.2d55687d5cccap-2, -0x1.2803ac230cccp-2, -0x1.22bf43d6a7ae5p-2, -0x1.1d8872955a69ap-2, -0x1.185f7670d53f3p-2, -0x1.134488b4848a5p-2, -0x1.0e37de0a8b8bbp-2, -0x1.0939a6a07fe01p-2, -0x1.044a0e4bcde22p-2, -0x1.fed2795b7ddc1p-3, -0x1.f52eaaae34f9dp-3, -0x1.eba8efd6a3a7p-3, -0x1.e24180866ba46p-3, -0x1.d8f88d1e4c615p-3, -0x1.cfce3ef17b535p-3, -0x1.c6c2b887d9272p-3, -0x1.bdd615defda33p-3, -0x1.b5086caa1dbf4p-3, -0x1.ac59cc90b18f9p-3, -0x1.a3ca3f6bd9206p-3, -0x1.9b59c982874cap-3, -0x1.930869c4590d5p-3, -0x1.8ad61a0327541p-3, -0x1.82c2cf2b447ccp-3, -0x1.7ace797a6c60ap-3, -0x1.72f904b55e3dcp-3, -0x1.6b42585c269c2p-3, -0x1.63aa57dd13079p-3, -0x1.5c30e2c657893p-3, -0x1.54d5d4f65c339p-3, -0x1.4d9906cac61bdp-3, -0x1.467a4d4e26a23p-3, -0x1.3f797a646c504p-3, -0x1.38965cf601f17p-3, -0x1.31d0c119b3a6dp-3, -0x1.2b28703d4b011p-3, -0x1.249d314cf73dcp-3, -0x1.1e2ec8d97475ep-3, -0x1.17dcf93d0a5ecp-3, -0x1.11a782bf51059p-3, -0x1.0b8e23b7d7ab5p-3, -0x1.059098af9b492p-3, -0x1.ff5d3902ce3d6p-4, -0x1.f3cfd0f22ec42p-4, -0x1.e87868e38a31dp-4, -0x1.dd566de5d09b7p-4, -0x1.d2694a98d874fp-4, -0x1.c7b067637e2c8p-4, -0x1.bd2b2aa7d0274p-4, -0x1.b2d8f8f547201p-4, -0x1.a8b935390ae79p-4, -0x1.9ecb40ec74c8ep-4, -0x1.950e7c41adf74p-4, -0x1.8b82464e938b4p-4, -0x1.8225fd35e581cp-4, -0x1.78f8fe4ec0eabp-4, -0x1.6ffaa64a7cdadp-4, -0x1.672a5158ef0bfp-4, -0x1.5e875b4b25e66p-4, -0x1.56111fb4a090dp-4, -0x1.4dc6fa0b0fefbp-4, -0x1.45a845c4ad988p-4, -0x1.3db45e752fc21p-4, -0x1.35ea9fe96872fp-4, -0x1.2e4a6641947eep-4, -0x1.26d30e0a6ab22p-4, -0x1.1f83f454f042p-4, -0x1.185c76cd1d408p-4, -0x1.115bf3cf5c261p-4, -0x1.0a81ca7ceb7c6p-4, -0x1.03cd5acf2d189p-4, -0x1.fa7c0b53d21c3p-5, -0x1.eda659d91d74dp-5, -0x1.e1186704fa1f8p-5, -0x1.d4d0fae4b3059p-5, -0x1.c8cedfd8f83a1p-5, -0x1.bd10e2b0fb71dp-5, -0x1.b195d2c3d4536p-5, -0x1.a65c8208437e1p-5, -0x1.9b63c52ae14b9p-5, -0x1.90aa73a2c6061p-5, -0x1.862f67c4bc1cp-5, -0x1.7bf17ed505769p-5, -0x1.71ef9917c63ffp-5, -0x1.682899e020b48p-5, -0x1.5e9b679e0c341p-5, -0x1.5546ebeaf81b7p-5, -0x1.4c2a1395427f2p-5, -0x1.4343ceaa929bbp-5, -0x1.3a9310811e052p-5, -0x1.3216cfbfe9d38p-5, -0x1.29ce06660717bp-5, -0x1.21b7b1d0e6bf5p-5, -0x1.19d2d2c1bcce5p-5, -0x1.121e6d620866ep-5, -0x1.0a99894746f2ep-5, -0x1.03433175db964p-5, -0x1.f834e8c663e55p-6, -0x1.ea3cc7ee54a02p-6, -0x1.dc9c2b19a1d8bp-6, -0x1.cf5143e4e08dep-6, -0x1.c25a4ad1f7e48p-6, -0x1.b5b57f45d15abp-6, -0x1.a9612784da645p-6, -0x1.9d5b90ae75009p-6, -0x1.91a30eb76120ep-6, -0x1.8635fc632808ap-6, -0x1.7b12bb3c9ca3ep-6, -0x1.7037b38d7e35ap-6, -0x1.65a354553bf3ep-6, -0x1.5b54133f0046p-6, -0x1.51486c96ed211p-6, -0x1.477ee33eb46e6p-6, -0x1.3df600a17e699p-6, -0x1.34ac54a73a1c5p-6, -0x1.2ba075a753be3p-6, -0x1.22d1005ae290ap-6, -0x1.1a3c97ce58c54p-6, -0x1.11e1e552b78afp-6, -0x1.09bf986e53ebdp-6, -0x1.01d466cd343a5p-6, -0x1.f43e18621e66p-7, -0x1.e53c94c1d9a5bp-7, -0x1.d6a1d230fece1p-7, -0x1.c86b6bee51bf3p-7, -0x1.ba9708dd88a38p-7, -0x1.ad225b645c11ap-7, -0x1.a00b214727ffdp-7, -0x1.934f238535754p-7, -0x1.86ec3634a1b6fp-7, -0x1.7ae0385dfade2p-7, -0x1.6f2913d7ab2b9p-7, -0x1.63c4bd210e826p-7, -0x1.58b1333d79cf2p-7, -0x1.4dec7f8f0b8bep-7, -0x1.4374b5b15c524p-7, -0x1.3947f35430d4ep-7, -0x1.2f646016044d8p-7, -0x1.25c82d5ea3624p-7, -0x1.1c719639c0912p-7, -0x1.135edf31944abp-7, -0x1.0a8e56298bd32p-7, -0x1.01fe523910e8cp-7, -0x1.f35a670ccf953p-8, -0x1.e332c64370112p-8, -0x1.d382a5c06b62fp-8, -0x1.c446fa6ee41aep-8, -0x1.b57cca31d712bp-8, -0x1.a7212b9b878bdp-8, -0x1.993145a5691f3p-8, -0x1.8baa4f688c007p-8, -0x1.7e898fd67f302p-8, -0x1.71cc5d72c35cap-8, -0x1.65701e0cbe648p-8, -0x1.5972467a63467p-8, -0x1.4dd05a5351693p-8, -0x1.4287ebacae81ep-8, -0x1.37969ad593686p-8, -0x1.2cfa1614389aap-8, -0x1.22b01963b6ceep-8, -0x1.18b66e3292beap-8, -0x1.0f0aeb21ea83bp-8, -0x1.05ab73c56f95fp-8, -0x1.f92bf0c814799p-9, -0x1.e790eb7285c1p-9, -0x1.d681e96ee8a9dp-9, -0x1.c5fb149577258p-9, -0x1.b5f8ae3942fe6p-9, -0x1.a6770eb14350fp-9, -0x1.9772a4e2dbc28p-9, -0x1.88e7f5cde4c6bp-9, -0x1.7ad39c1a6caeep-9, -0x1.6d3247a7fa593p-9, -0x1.6000bd1e74647p-9, -0x1.533bd5808cd4bp-9, -0x1.46e07dbfdec01p-9, -0x1.3aebb652996cap-9, -0x1.2f5a92cac031cp-9, -0x1.242a396f12cfep-9, -0x1.1957e2d5869a3p-9, -0x1.0ee0d97f53439p-9, -0x1.04c27976961d9p-9, -0x1.f5f45fdb1f795p-10, -0x1.e30af5bf0581ap-10, -0x1.d0c3d1660d758p-10, -0x1.bf1a2fbbe0c7bp-10, -0x1.ae096d15c259fp-10, -0x1.9d8d04808bb04p-10, -0x1.8da08f11d5eabp-10, -0x1.7e3fc33c1bda8p-10, -0x1.6f667425e7373p-10, -0x1.61109103fa4f6p-10, -0x1.533a247683b99p-10, -0x1.45df53e92838fp-10, -0x1.38fc5ef5f4daap-10, -0x1.2c8d9ecb56913p-10, -0x1.208f8594b67acp-10, -0x1.14fe9de61ba53p-10, -0x1.09d78a2a9fa65p-10, -0x1.fe2e082ab416dp-11, -0x1.e973b82aa5428p-11, -0x1.d579f197f80d4p-11, -0x1.c23aad0d208d1p-11, -0x1.afb00d73c27dep-11, -0x1.9dd45f0175ca5p-11, -0x1.8ca21639df716p-11, -0x1.7c13cef5e1168p-11, -0x1.6c244b6fac1f4p-11, -0x1.5cce73541188dp-11, -0x1.4e0d52d82df5ep-11, -0x1.3fdc19d43b7d1p-11, -0x1.32361ae2f3ec8p-11, -0x1.2516ca85c0897p-11, -0x1.1879be4d98ab7p-11, -0x1.0c5aac0826b77p-11, -0x1.00b568f1641e4p-11, -0x1.eb0bd1d36e5b4p-12, -0x1.d5907b6086e0cp-12, -0x1.c0f12c433fe9cp-12, -0x1.ad267af5e119p-12, -0x1.9a293540d348fp-12, -0x1.87f25ed0cbdcp-12, -0x1.767b2fd4bcd75p-12, -0x1.65bd13a33028p-12, -0x1.55b1a7686b1b2p-12, -0x1.4652b8daf17d2p-12, -0x1.379a44f7a97c1p-12, -0x1.298276c5ae424p-12, -0x1.1c05a620daf1bp-12, -0x1.0f1e568ba229ep-12, -0x1.02c736083c74bp-12, -0x1.edf637efc52dcp-13, -0x1.d76a10011382bp-13, -0x1.c1e041f3b2c84p-13, -0x1.ad4f67c03ddbcp-13, -0x1.99ae659ac3659p-13, -0x1.86f467f344fdp-13, -0x1.7518e17fd30fcp-13, -0x1.64138952d293dp-13, -0x1.53dc58fe7ba1p-13, -0x1.446b8ac1e6657p-13, -0x1.35b997c281d76p-13, -0x1.27bf365072a2bp-13, -0x1.1a755835820bfp-13, -0x1.0dd5290d6f0c4p-13, -0x1.01d80ca9c9c93p-13, -0x1.ecef3aff3ab74p-14, -0x1.d75b563da2c05p-14, -0x1.c2e87166ed51p-14, -0x1.af8af72276cf1p-14, -0x1.9d37b38b853ap-14, -0x1.8be3d16d1b397p-14, -0x1.7b84d78d057c6p-14, -0x1.6c10a6089a2d8p-14, -0x1.5d7d73c347d8ap-14, -0x1.4fc1cbe5e981ap-14, -0x1.42d48b6dbe9c7p-14, -0x1.36acdec9fea13p-14, -0x1.2b423f8b3d54bp-14, -0x1.208c72209028ep-14, -0x1.168383a4c44ep-14, -0x1.0d1fc7b9571d9p-14, -0x1.0459d670f1cc8p-14, -0x1.f855148ae1d48p-15, -0x1.e915fc399d483p-15, -0x1.dae916b7fb5e9p-15, -0x1.cdc1900b19c8ap-15, -0x1.c19309cb94635p-15, -0x1.b6519797916d6p-15, -0x1.abf1bb9ae9242p-15, -0x1.a268632ef4044p-15, -0x1.99aae392d3e41p-15, -0x1.91aef6b8f4c0dp-15, -0x1.8a6ab82b6e63dp-15, -0x1.83d4a20632879p-15, -0x1.7de38a06b4fb2p-15, -0x1.788e9eaebee56p-15, -0x1.73cd647b42715p-15, -0x1.6f97b32f7e83dp-15, -0x1.6be5b3322a743p-15, -0x1.68afdaff74965p-15, -0x1.65eeecaa5677cp-15, -0x1.639bf37207117p-15, -0x1.61b0416801e32p-15, -0x1.60256d25dcd05p-15, -0x1.5ef54f9491329p-15, -0x1.5e1a01c2a1ec2p-15, -0x1.5d8ddacb8bfaep-15, -0x1.5d4b6dcd5befp-15, -0x1.5d4d87ee36873p-15, -0x1.5d8f2e6eb5531p-15, -0x1.5e0b9ccc6159fp-15, -0x1.5ebe42efaac9cp-15, -0x1.5fa2c36904fc3p-15, -0x1.60b4f1b9a32f5p-15, -0x1.61f0d0ab32ab4p-15, -0x1.635290b1b192fp-15, -0x1.64d68e5a5ffd6p-15, -0x1.667950c7426d9p-15, -0x1.683788345affap-15, -0x1.6a0e0c8989ef9p-15, -0x1.6bf9dbf598adep-15, -0x1.6df8199623116p-15, -0x1.70060c2805b7ep-15, -0x1.72211cc2d6801p-15, -0x1.7446d59d8c9cdp-15, -0x1.7674e0dddd5efp-15, -0x1.78a9076e6e8d1p-15, -0x1.7ae12fe0d845ap-15, -0x1.7d1b5d55de44ap-15, -0x1.7f55ae70c999cp-15, -0x1.818e5c50a2358p-15, -0x1.83c3b9936e12fp-15, -0x1.85f4315f8c07ep-15, -0x1.881e467738948p-15, -0x1.8a40925036ab7p-15, -0x1.8c59c435f274ap-15, -0x1.8e68a06fc526dp-15, -0x1.906bff7022f0ep-15, -0x1.9262cd09e036fp-15, -0x1.944c07ab9dfd4p-15, -0x1.9626bfa16d5b2p-15, -0x1.97f2165dba56bp-15, -0x1.99ad3dc6462f2p-15, -0x1.9b5777888585cp-15, -0x1.9cf01472dd7c8p-15, -0x1.9e7673d30eb01p-15, -0x1.9fea02daa4116p-15, -0x1.a14a3c083aefcp-15, -0x1.a296a695864d2p-15, -0x1.a3ced5ea7cd09p-15, -0x1.a4f269156bccdp-15, -0x1.a6010a471507p-15, -0x1.a6fa6e5386558p-15, -0x1.a7de543786583p-15, -0x1.a8ac84a163aecp-15, -0x1.a964d17ece5f9p-15, -0x1.aa07158df68e5p-15, -0x1.aa9333f2bfabep-15, -0x1.ab0917d0008eap-15, -0x1.ab68b3e394d73p-15, -0x1.abb20226d0447p-15, -0x1.abe503714ccbp-15, -0x1.ac01bf2032638p-15, -0x1.ac0842bfbcc99p-15, -0x1.abf8a1b898d0cp-15, -0x1.abd2f4ff6b7c7p-15, -0x1.ab975ac7e8432p-15, -0x1.ab45f63ac3c8ep-15, -0x1.aadeef2ddfda9p-15, -0x1.aa6271dfd64ddp-15, -0x1.a9d0aeb5446edp-15, -0x1.a929d9f9185e7p-15, -0x1.a86e2b9f02cbbp-15, -0x1.a79ddf08d4465p-15, -0x1.a6b932cd472dap-15, -0x1.a5c0688183808p-15, -0x1.a4b3c484d8bp-15, -0x1.a3938dce0d7ep-15, -0x1.a2600dbaea316p-15, -0x1.a1198fe246ap-15, -0x1.9fc061e69bb9dp-15, -0x1.9e54d34bc29c3p-15, -0x1.9cd7354d9f457p-15, -0x1.9b47dab8da63p-15, -0x1.99a717c51d597p-15, -0x1.97f541f0d13fep-15, -0x1.9632afdea59f3p-15, -0x1.945fb9342902ap-15, -0x1.927cb67a4ec41p-15, -0x1.908a00ff09e8fp-15, -0x1.8e87f2b83efc9p-15, -0x1.8c76e62816a4p-15, -0x1.8a57364277a17p-15, -0x1.88293e53ced41p-15, -0x1.85ed59e8f7cf4p-15, -0x1.83a3e4b83b962p-15, -0x1.814d3a8b9e689p-15, -0x1.7ee9b72bd857p-15, -0x1.7c79b64c8801ep-15, -0x1.79fd93795ab49p-15, -0x1.7775aa0430b36p-15, -0x1.74e254f438b26p-15, -0x1.7243eef5c591p-15, -0x1.6f9ad24af172ap-15, -0x1.6ce758bd3579dp-15, -0x1.6a29db8fbc253p-15, -0x1.6762b3726d37fp-15, -0x1.64923875f2f46p-15, -0x1.61b8c200087a5p-15, -0x1.5ed6a6c0d0f47p-15, -0x1.5bec3ca8a3823p-15, -0x1.58f9d8de812f3p-15, -0x1.55ffcfb72dc53p-15, -0x1.52fe74acf6fe7p-15, -0x1.4ff61a57b5b9dp-15, -0x1.4ce71265ba73fp-15, -0x1.49d1ad9509035p-15, -0x1.46b63bad0405p-15, -0x1.43950b78d513cp-15, -0x1.406e6ac219d04p-15, -0x1.3d42a64be8d16p-15, -0x1.3a1209ce83298p-15, -0x1.36dcdff3415dbp-15, -0x1.33a37250fed31p-15, -0x1.30660968b91ep-15, -0x1.2d24eca2b9aacp-15, -0x1.29e0624c06bcep-15, -0x1.2698af93fef17p-15, -0x1.234e188a772edp-15, -0x1.2000e01e3d751p-15, -0x1.1cb1481ba0bap-15, -0x1.195f912b70bf2p-15, -0x1.160bfad212ccbp-15, -0x1.12b6c36f1201ep-15, -0x1.0f60283ca13a3p-15, -0x1.0c08654faa2ffp-15, -0x1.08afb597c250ap-15, -0x1.055652dfa0315p-15, -0x1.01fc75cda52fcp-15, -0x1.fd44abc89afe6p-16, -0x1.f6905306dbdd1p-16, -0x1.efdc4bd201d26p-16, -0x1.e928fe64b72f8p-16, -0x1.e276d0bb6a4b7p-16, -0x1.dbc6269702b4cp-16, -0x1.d51761806dd7p-16, -0x1.ce6ae0cbd3b74p-16, -0x1.c7c1019ca0faap-16, -0x1.c11a1ee920847p-16, -0x1.ba76917f24bcp-16, -0x1.b3d6b0081baa4p-16, -0x1.ad3acf0dd73b9p-16, -0x1.a6a340ff6a67dp-16, -0x1.a0105635c1e5ap-16, -0x1.99825cf94045dp-16, -0x1.92f9a1866db5ep-16, -0x1.8c766e13aec4cp-16, -0x1.85f90ad6d15cdp-16, -0x1.7f81be0a6f39dp-16, -0x1.7910cbf3be9edp-16, -0x1.72a676e86c69fp-16, -0x1.6c42ff5462b39p-16, -0x1.65e6a3bff730cp-16, -0x1.5f91a0d5d0ceap-16, -0x1.5944316942098p-16, -0x1.52fe8e7c0e1acp-16, -0x1.4cc0ef451ed39p-16, -0x1.468b89365d3fbp-16, -0x1.405e900361bc1p-16, -0x1.3a3a35a79560ep-16, -0x1.341eaa6cbbe77p-16, -0x1.2e0c1cf13a8cbp-16, -0x1.2802ba2e74917p-16, -0x1.2202ad7f5b9c9p-16, -0x1.1c0c20a6bba8ap-16, -0x1.161f3bd5e3e5ep-16, -0x1.103c25b2c8242p-16, -0x1.0a63035eeb47cp-16, -0x1.0493f87d38a47p-16, -0x1.fd9e4e71d7205p-17, -0x1.f22960971c6dbp-17, -0x1.e6c96607351e1p-17, -0x1.db7e9a9565a6p-17, -0x1.d04937582d022p-17, -0x1.c52972b5707c8p-17, -0x1.ba1f806f827f9p-17, -0x1.af2b91b0fc369p-17, -0x1.a44dd519db6f5p-17, -0x1.998676caf8ca1p-17, -0x1.8ed5a073242a7p-17, -0x1.843b795a3bc98p-17, -0x1.79b8266e58814p-17, -0x1.6f4bca4ee930ep-17, -0x1.64f68558cea84p-17, -0x1.5ab875b21cc77p-17, -0x1.5091b755d1886p-17, -0x1.4682641f3a2dp-17, -0x1.3c8a93d568911p-17, -0x1.32aa5c367e429p-17, -0x1.28e1d102d2904p-17, -0x1.1f3104084c7a3p-17, -0x1.1598052cd7581p-17, -0x1.0c16e279b1427p-17, -0x1.02ada82606a2ap-17, -0x1.f2b8c1429f00dp-18, -0x1.e046293c2bbfbp-18, -0x1.ce0396382ff15p-18, -0x1.bbf112e53e105p-18, -0x1.aa0ea6b48e0f7p-18, -0x1.985c55ef22e4dp-18, -0x1.86da21c82f11cp-18, -0x1.758808717225bp-18, -0x1.6466052d8c44cp-18, -0x1.53741063f7131p-18, -0x1.42b21fb24a952p-18, -0x1.322025ff9f5cbp-18, -0x1.21be138e41cd8p-18, -0x1.118bd60da63cep-18, -0x1.018958abfe864p-18, -0x1.e36d084f19835p-19, -0x1.c4267dbf03a4ap-19, -0x1.a53ed9ca3500bp-19, -0x1.86b5e017cb1bcp-19, -0x1.688b4ff43191bp-19, -0x1.4abee471fc129p-19, -0x1.2d50548850104p-19, -0x1.103f53326446fp-19, -0x1.e7171f1d20e0dp-20, -0x1.ae6969f5fbe6dp-20, -0x1.7674d668d5d79p-20, -0x1.3f38ace551662p-20, -0x1.08b42f0b51d32p-20, -0x1.a5cd2fc2de7d6p-21, -0x1.3b9e381a75d3ep-21, -0x1.a5b3a82450569p-22, -0x1.adf952c6f21c4p-23, -0x1.627fdf4e0373ep-27, 0x1.7c13c492831d9p-23, 0x1.84609b0955011p-22, 0x1.23f9f048c9826p-21, 0x1.8463be0c4500bp-21, 0x1.e36fa4ff6b8b3p-21, 0x1.208fce4557904p-20, 0x1.4ebad279eb10bp-20, 0x1.7c39e381cdef7p-20, 0x1.a90e09d63d4e4p-20, 0x1.d53851d9fb4c7p-20, 0x1.005ce5d852129p-19, 0x1.15c9c58998c98p-19, 0x1.2ae35394b498fp-19, 0x1.3faa1d30053bbp-19, 0x1.541eb121fabf2p-19, 0x1.68419facd848ap-19, 0x1.7c137a7c82dbcp-19, 0x1.8f94d49468565p-19, 0x1.a2c6423ce4b81p-19, 0x1.b5a858f2cf179p-19, 0x1.c83baf5573103p-19, 0x1.da80dd1635eccp-19, 0x1.ec787ae83c655p-19, 0x1.fe23226fc693ep-19, 0x1.07c0b7194a409p-18, 0x1.1049fcc4c1478p-18, 0x1.18adb0482c123p-18, 0x1.20ec200bf003ep-18, 0x1.29059acbc016bp-18, 0x1.30fa6f8f7dccep-18, 0x1.38caeda4a636cp-18, 0x1.407764971d8fbp-18, 0x1.4800242b1fb32p-18, 0x1.4f657c56e22aep-18, 0x1.56a7bd3c32c87p-18, 0x1.5dc73722939fap-18, 0x1.64c43a716b781p-18, 0x1.6b9f17aa1b7p-18, 0x1.72581f6266c56p-18, 0x1.78efa23eeb9f5p-18, 0x1.7f65f0edf2506p-18, 0x1.85bb5c223c98bp-18, 0x1.8bf0348df982bp-18, 0x1.9204caddd6a68p-18, 0x1.97f96fb42e3ffp-18, 0x1.9dce73a494abdp-18, 0x1.a384272f0d1f4p-18, 0x1.a91adabba792ap-18, 0x1.ae92de96418d6p-18, 0x1.b3ec82ea7e925p-18, 0x1.b92817bf88579p-18, 0x1.be45ecf4644c3p-18, 0x1.c346523c0843bp-18, 0x1.c829971996e83p-18, 0x1.ccf00adce7671p-18, 0x1.d199fc9eb85fep-18, 0x1.d627bb3da031bp-18, 0x1.da99955acd6fdp-18, 0x1.deefd956a3e24p-18, 0x1.e32ad54dd0dabp-18, 0x1.e74ad716482fep-18, 0x1.eb502c3c5c081p-18, 0x1.ef3b220013c22p-18, 0x1.f30c05523f6cep-18, 0x1.f6c322d1fcce4p-18, 0x1.fa60c6ca47a88p-18, 0x1.fde53d2f6c054p-18, 0x1.00a868ce6e1d6p-17, 0x1.0251e7a95cb46p-17, 0x1.03ef4099fcf45p-17, 0x1.058098e1f798fp-17, 0x1.0706159243b1p-17, 0x1.087fdb8a0bdd6p-17, 0x1.09ee0f75dea57p-17, 0x1.0b50d5cecc343p-17, 0x1.0ca852d97b4b4p-17, 0x1.0df4aaa55c791p-17, 0x1.0f36010be00c1p-17, 0x1.106c79afb9b74p-17, 0x1.119837fc22318p-17, 0x1.12b95f242a20cp-17, 0x1.13d012220bb8ep-17, 0x1.14dc73b68f604p-17, 0x1.15dea66870e89p-17, 0x1.16d6cc83de49p-17, 0x1.17c50819e095dp-17, 0x1.18a97affdb4fp-17, 0x1.198446cf1c406p-17, 0x1.1a558ce45efe5p-17, 0x1.1b1d6e5f50cffp-17, 0x1.1bdc0c223c60dp-17, 0x1.1c9186d1b041cp-17, 0x1.1d3dfed41fcb6p-17, 0x1.1de1945184252p-17, 0x1.1e7c67331b219p-17, 0x1.1f0e97231d74ep-17, 0x1.1f98438c78857p-17, 0x1.20198b9a97155p-17, 0x1.20928e39289e8p-17, 0x1.21036a13f0539p-17, 0x1.216c3d969a77p-17, 0x1.21cd26ec90fa5p-17, 0x1.22264400ddf2cp-17, 0x1.2277b27e0fc92p-17, 0x1.22c18fce249dcp-17, 0x1.2303f91a65f77p-17, 0x1.233f0b4b682ffp-17, 0x1.2372e308f1607p-17, 0x1.239f9cb9fd45ap-17, 0x1.23c55484b3046p-17, 0x1.23e4264e7699bp-17, 0x1.23fc2dbbdcbfep-17, 0x1.240d8630b87a5p-17, 0x1.24184ad02b5e8p-17, 0x1.241c967caac45p-17, 0x1.241a83d818b47p-17, 0x1.24122d43e8f22p-17, 0x1.2403ace123b7fp-17, 0x1.23ef1c908b9f1p-17, 0x1.23d495f2bfc6cp-17, 0x1.23b43268614dp-17, 0x1.238e0b123429dp-17, 0x1.236238d14aff3p-17, 0x1.2330d44735ef5p-17, 0x1.22f9f5d6329a2p-17, 0x1.22bdb5a14f6c4p-17, 0x1.227c2b8ca2d15p-17, 0x1.22356f3d86003p-17, 0x1.21e9981ad4f7fp-17, 0x1.2198bd4d1a2aap-17, 0x1.2142f5bed282bp-17, 0x1.20e8581ca6befp-17, 0x1.2088fad5b2ed7p-17, 0x1.2024f41bbd78fp-17, 0x1.1fbc59e385206p-17, 0x1.1f4f41e5058fep-17, 0x1.1eddc19bc378cp-17, 0x1.1e67ee470e48ep-17, 0x1.1deddcea4b1b5p-17, 0x1.1d6fa24d4240ep-17, 0x1.1ced52fc6fabp-17, 0x1.1c67034955a42p-17, 0x1.1bdcc74acb802p-17, 0x1.1b4eb2dd4d29p-17, 0x1.1abcd9a34d448p-17, 0x1.1a274f058cf8p-17, 0x1.198e263372aabp-17, 0x1.18f172235e78dp-17, 0x1.1851459304467p-17, 0x1.17adb307c6652p-17, 0x1.1706cccf0c7afp-17, 0x1.165ca4fe9f2acp-17, 0x1.15af4d7503289p-17, 0x1.14fed7d9ce8afp-17, 0x1.144b559e179dap-17, 0x1.1394d7fccccb1p-17, 0x1.12db6ffb0aa55p-17, 0x1.121f2e6880346p-17, 0x1.116023dfcf5f7p-17, 0x1.109e60c6f0a7bp-17, 0x1.0fd9f54f8ccbcp-17, 0x1.0f12f17760cbdp-17, 0x1.0e496508a6f9p-17, 0x1.0d7d5f9a7919dp-17, 0x1.0caef0912ba3fp-17, 0x1.0bde271eae257p-17, 0x1.0b0b1242f5a0dp-17, 0x1.0a35c0cc5efadp-17, 0x1.095e41581a583p-17, 0x1.0884a25282733p-17, 0x1.07a8f1f78a229p-17, 0x1.06cb3e531d571p-17, 0x1.05eb954185fc8p-17, 0x1.050a046fcc63ep-17, 0x1.0426995c2411bp-17, 0x1.0341615647fa1p-17, 0x1.025a697ff18a6p-17, 0x1.0171becd34e56p-17, 0x1.00876e04d60f5p-17, 0x1.ff3707818082ep-18, 0x1.fd5c18dcc0d68p-18, 0x1.fb7e289e1ed25p-18, 0x1.f99d4ef0f7047p-18, 0x1.f7b9a3aa061cfp-18, 0x1.f5d33e483e816p-18, 0x1.f3ea35f58fc1cp-18, 0x1.f1fea187ac089p-18, 0x1.f0109780ceb1fp-18, 0x1.ee202e108453cp-18, 0x1.ec2d7b146ddf9p-18, 0x1.ea38941915594p-18, 0x1.e8418e5ab142dp-18, 0x1.e6487ec5dd13bp-18, 0x1.e44d79f85dcbdp-18, 0x1.e2509441eee1ep-18, 0x1.e051e1a4f78f8p-18, 0x1.de5175d76142ep-18, 0x1.dc4f644365206p-18, 0x1.da4bc0083d464p-18, 0x1.d8469bfacdfcfp-18, 0x1.d6400aa67b957p-18, 0x1.d4381e4df475cp-18, 0x1.d22ee8ebd1a45p-18, 0x1.d0247c33644a1p-18, 0x1.ce18e9917f2b9p-18, 0x1.cc0c422d25e7ap-18, 0x1.c9fe96e843b3ep-18, 0x1.c7eff8607a9ap-18, 0x1.c5e076efbba71p-18, 0x1.c3d022ad0808cp-18, 0x1.c1bf0b6d3915bp-18, 0x1.bfad40c3b2b77p-18, 0x1.bd9ad2030284fp-18, 0x1.bb87ce3da7cacp-18, 0x1.b9744446c517bp-18, 0x1.b76042b2c9b7bp-18, 0x1.b54bd7d827dd2p-18, 0x1.b33711d002b83p-18, 0x1.b121fe76ccfdap-18, 0x1.af0cab6d18b74p-18, 0x1.acf726184b68cp-18, 0x1.aae17ba314862p-18, 0x1.a8cbb8fe393b2p-18, 0x1.a6b5eae12ce49p-18, 0x1.a4a01dcac57efp-18, 0x1.a28a5e01e8968p-18, 0x1.a074b79621bc5p-18, 0x1.9e5f36605053ap-18, 0x1.9c49e6034cb9cp-18, 0x1.9a34d1ec81533p-18, 0x1.9820055498ec8p-18, 0x1.960b8b400e8e1p-18, 0x1.93f76e7fd2a44p-18, 0x1.91e3b9b1f1e1bp-18, 0x1.8fd077421fe31p-18, 0x1.8dbdb16a59bfp-18, 0x1.8bab72338c9ebp-18, 0x1.8999c37625dbap-18, 0x1.8788aeda9decdp-18, 0x1.85783dda1129ep-18, 0x1.836879bedd2adp-18, 0x1.81596ba53ab22p-18, 0x1.7f4b1c7bc6df8p-18, 0x1.7d3d95042dd1bp-18, 0x1.7b30ddd390f8dp-18, 0x1.7924ff532630fp-18, 0x1.771a01c0d2897p-18, 0x1.750fed2f9cb2cp-18, 0x1.7306c9885acbap-18, 0x1.70fe9e8a1d502p-18, 0x1.6ef773cac6b5dp-18, 0x1.6cf150b78eda6p-18, 0x1.6aec3c9598e4fp-18, 0x1.68e83e8279e0ap-18, 0x1.66e55d749a286p-18, 0x1.64e3a03bcb487p-18, 0x1.62e30d81d45c7p-18, 0x1.60e3abcaefba9p-18, 0x1.5ee581763957fp-18, 0x1.5ce894be40a0fp-18, 0x1.5aecebb9838c1p-18, 0x1.58f28c5ae19b1p-18, 0x1.56f97c72193c5p-18, 0x1.5501c1ac42ddap-18, 0x1.530b619445f21p-18, 0x1.511661934b156p-18, 0x1.4f22c6f145886p-18, 0x1.4d3096d573747p-18, 0x1.4b3fd646a51c6p-18, 0x1.49508a2bc1292p-18, 0x1.4762b74c4a66bp-18, 0x1.45766250b7f6fp-18, 0x1.438b8fc2ec5bcp-18, 0x1.41a2440e9b35cp-18, 0x1.3fba8381d1997p-18, 0x1.3dd4524d53bc1p-18, 0x1.3befb484eccadp-18, 0x1.3a0cae200ee23p-18, 0x1.382b42fa12c13p-18, 0x1.364b76d2a5067p-18, 0x1.346d4d4e3605cp-18, 0x1.3290c9f658083p-18, 0x1.30b5f03a21df7p-18, 0x1.2edcc36e9f986p-18, 0x1.2d0546cf30bb8p-18, 0x1.2b2f7d7de847dp-18, 0x1.295b6a83dc8a2p-18, 0x1.278910d1973cp-18, 0x1.25b8733f6cd91p-18, 0x1.23e9948ddd77dp-18, 0x1.221c7765f9171p-18, 0x1.20511e59b09c5p-18, 0x1.1e878be4381d5p-18, 0x1.1cbfc26a4896ep-18, 0x1.1af9c43a9c718p-18, 0x1.1935938e1fed5p-18, 0x1.17733288638f5p-18, 0x1.15b2a337e960bp-18, 0x1.13f3e79673548p-18, 0x1.1237018958e2ap-18, 0x1.107bf2e1e21c6p-18, 0x1.0ec2bd5d9175fp-18, 0x1.0d0b62a67db41p-18, 0x1.0b55e45395a7cp-18, 0x1.09a243e8ea8b8p-18, 0x1.07f082d805543p-18, 0x1.0640a2803fc12p-18, 0x1.0492a42f012d6p-18, 0x1.02e689200a13cp-18, 0x1.013c527db9856p-18, 0x1.ff2802c2cab9bp-19, 0x1.fbdb2da74b841p-19, 0x1.f8922799133f1p-19, 0x1.f54cf267c97ep-19, 0x1.f20b8fc321d97p-19, 0x1.eece013b8b2e6p-19, 0x1.eb944842820cbp-19, 0x1.e85e662b4b7d9p-19, 0x1.e52c5c2b7ac08p-19, 0x1.e1fe2b5b3a81p-19, 0x1.ded3d4b5f08dfp-19, 0x1.dbad591ac429fp-19, 0x1.d88ab94d26172p-19, 0x1.d56bf5f532968p-19, 0x1.d2510fa02fa6ap-19, 0x1.cf3a06c11072cp-19, 0x1.cc26dbb10321ap-19, 0x1.c9178eafc4ff9p-19, 0x1.c60c1fe43174bp-19, 0x1.c3048f5c9ed45p-19, 0x1.c000dd0f5362ap-19, 0x1.bd0108db1bc93p-19, 0x1.ba051287916b5p-19, 0x1.b70cf9c58bf5cp-19, 0x1.b418be2f91345p-19, 0x1.b1285f4a5b62ap-19, 0x1.ae3bdc851ae35p-19, 0x1.ab53353a08abfp-19, 0x1.a86e68aeb25cfp-19, 0x1.a58d76145307ap-19, 0x1.a2b05c8850d98p-19, 0x1.9fd71b14aaa38p-19, 0x1.9d01b0b03339cp-19, 0x1.9a301c3ef9373p-19, 0x1.97625c92d3a55p-19, 0x1.9498706bac59ap-19, 0x1.91d25677b74c3p-19, 0x1.8f100d53dc164p-19, 0x1.8c51938c2c1e7p-19, 0x1.8996e79c36c2dp-19, 0x1.86e007ef47072p-19, 0x1.842cf2e0bf3d3p-19, 0x1.817da6bc868bfp-19, 0x1.7ed221bf59a3bp-19, 0x1.7c2a6216ffc7p-19, 0x1.798665e2b166ep-19, 0x1.76e62b337a223p-19, 0x1.7449b00c66502p-19, 0x1.71b0f262eda58p-19, 0x1.6f1bf01f357f9p-19, 0x1.6c8aa71c4a895p-19, 0x1.69fd1528887f2p-19, 0x1.67733805ec9dap-19, 0x1.64ed0d6a342f1p-19, 0x1.626a92ff38c75p-19, 0x1.5febc6635e5e5p-19, 0x1.5d70a529a6563p-19, 0x1.5af92cd9f380dp-19, 0x1.58855af170bcp-19, 0x1.56152ce2d0ee7p-19, 0x1.53a8a016719ddp-19, 0x1.513fb1eaa82ddp-19, 0x1.4eda5fb417313p-19, 0x1.4c78a6bdeefa1p-19, 0x1.4a1a8449ff786p-19, 0x1.47bff5911912bp-19, 0x1.4568f7c34f84bp-19, 0x1.4315880822393p-19, 0x1.40c5a37eba8c5p-19, 0x1.3e79473e2b347p-19, 0x1.3c307055a6727p-19, 0x1.39eb1bccbc534p-19, 0x1.37a946a38a88fp-19, 0x1.356aedd2e712fp-19, 0x1.33300e4cb870dp-19, 0x1.30f8a4fc167e3p-19, 0x1.2ec4aec56d9cap-19, 0x1.2c942886c59b3p-19, 0x1.2a670f1804951p-19, 0x1.283d5f4af2fa9p-19, 0x1.261715eb8cd93p-19, 0x1.23f42fc03e62bp-19, 0x1.21d4a989f2568p-19, 0x1.1fb880043f8c2p-19, 0x1.1d9fafe5b8804p-19, 0x1.1b8a35e00f125p-19, 0x1.19780ea01f78cp-19, 0x1.176936ce3fcd9p-19, 0x1.155dab0e69905p-19, 0x1.135568004cabap-19, 0x1.11506a3f875fep-19, 0x1.0f4eae63d0ec1p-19, 0x1.0d503101230e9p-19, 0x1.0b54eea7da4dcp-19, 0x1.095ce3e4ddbe5p-19, 0x1.07680d41c9abdp-19, 0x1.0576674521bfdp-19, 0x1.0387ee724eb31p-19, 0x1.019c9f49e65cep-19, 0x1.ff68ec93aa67fp-20, 0x1.fb9edfdab800fp-20, 0x1.f7db115a9d629p-20, 0x1.f41d7a007bbb1p-20, 0x1.f06612b4e8ec6p-20, 0x1.ecb4d45c664c8p-20, 0x1.e909b7d7be086p-20, 0x1.e564b603f4271p-20, 0x1.e1c5c7bab1c24p-20, 0x1.de2ce5d2a5df3p-20, 0x1.da9a091f76711p-20, 0x1.d70d2a7217f8ep-20, 0x1.d3864299264b8p-20, 0x1.d0054a60ff162p-20, 0x1.cc8a3a93fef92p-20, 0x1.c9150bfab690fp-20, 0x1.c5a5b75c37b4cp-20, 0x1.c23c357e259adp-20, 0x1.bed87f24fd7aap-20, 0x1.bb7a8d145280cp-20, 0x1.b822580ef3da8p-20, 0x1.b4cfd8d70cfe3p-20, 0x1.b183082e89f91p-20, 0x1.ae3bded71e5a2p-20, 0x1.aafa55924f925p-20, 0x1.a7be65220075dp-20, 0x1.a48806485da2p-20, 0x1.a15731c806ff3p-20, 0x1.9e2be06462c32p-20, 0x1.9b060ae1afe35p-20, 0x1.97e5aa051e4b3p-20, 0x1.94cab6952b18p-20, 0x1.91b5295980507p-20, 0x1.8ea4fb1b4ff9bp-20, 0x1.8b9a24a584835p-20, 0x1.88949ec4af7c2p-20, 0x1.8594624756d13p-20, 0x1.829967fe209d6p-20, 0x1.7fa3a8bbda144p-20, 0x1.7cb31d55a351ap-20, 0x1.79c7bea318db3p-20, 0x1.76e1857e750f4p-20, 0x1.74006ac497102p-20, 0x1.712467555002dp-20, 0x1.6e4d7413655d6p-20, 0x1.6b7b89e4a91cfp-20, 0x1.68aea1b227e3cp-20, 0x1.65e6b4683a445p-20, 0x1.6323baf6985adp-20, 0x1.6065ae50a5e52p-20, 0x1.5dac876d5a0c7p-20, 0x1.5af83f47644a3p-20, 0x1.5848cedd685bap-20, 0x1.559e2f31ee1dep-20, 0x1.52f8594b7f878p-20, 0x1.50574634dc8aap-20, 0x1.4dbaeefce653dp-20, 0x1.4b234cb6ec893p-20, 0x1.4890587a963b8p-20, 0x1.46020b64193d3p-20, 0x1.43785e943ebefp-20, 0x1.40f34b3078105p-20, 0x1.3e72ca62eec41p-20, 0x1.3bf6d55aad09ep-20, 0x1.397f654b959ccp-20, 0x1.370c736e82e3dp-20, 0x1.349df9018097ap-20, 0x1.3233ef4793442p-20, 0x1.2fce4f88e9dbep-20, 0x1.2d6d131306124p-20, 0x1.2b103338ae85cp-20, 0x1.28b7a9521cddbp-20, 0x1.26636ebcf243p-20, 0x1.24137cdc4f962p-20, 0x1.21c7cd18e908cp-20, 0x1.1f8058e116418p-20, 0x1.1d3d19a8c35f7p-20, 0x1.1afe08e9a9782p-20, 0x1.18c320234b222p-20, 0x1.168c58daf4751p-20, 0x1.1459ac9bdda01p-20, 0x1.122b14f71501fp-20, 0x1.10008b83ad472p-20, 0x1.0dda09debb1b5p-20, 0x1.0bb789ab6e10cp-20, 0x1.09990492f6ccdp-20, 0x1.077e7444c336ep-20, 0x1.0567d27656cfp-20, 0x1.035518e387c91p-20, 0x1.0146414e4a03bp-20, 0x1.fe768afdd1969p-21, 0x1.fa683e87e51edp-21, 0x1.f66190e4b51a5p-21, 0x1.f26275cafe4ccp-21, 0x1.ee6ae0fe282edp-21, 0x1.ea7ac64ea12a1p-21, 0x1.e6921999a091ep-21, 0x1.e2b0cec97bb98p-21, 0x1.ded6d9d5694f1p-21, 0x1.db042ec1d2c15p-21, 0x1.d738c1a01972dp-21, 0x1.d374868ef1ceap-21, 0x1.cfb771ba22424p-21, 0x1.cc01775ac52fdp-21, 0x1.c8528bb732553p-21, 0x1.c4aaa3231b9eep-21, 0x1.c109b1ff849fap-21, 0x1.bd6facbae13bdp-21, 0x1.b9dc87d0f4749p-21, 0x1.b65037cb03d3fp-21, 0x1.b2cab13fbbc11p-21, 0x1.af4be8d344f1ep-21, 0x1.abd3d337749c9p-21, 0x1.a862652b78125p-21, 0x1.a4f7937c2d863p-21, 0x1.a1935303b6c0bp-21, 0x1.9e3598aa1bafdp-21, 0x1.9ade5964a512ep-21, 0x1.978d8a369ea15p-21, 0x1.944320309f093p-21, 0x1.90ff10711c32fp-21, 0x1.8dc15023ff93p-21, 0x1.8a89d482f2f25p-21, 0x1.875892d51fde2p-21, 0x1.842d806f59da8p-21, 0x1.810892b41e623p-21, 0x1.7de9bf138624ep-21, 0x1.7ad0fb0b6300dp-21, 0x1.77be3c27262fbp-21, 0x1.74b177ffd4842p-21, 0x1.71aaa43c293b1p-21, 0x1.6ea9b6906168fp-21, 0x1.6baea4be82ff1p-21, 0x1.68b96495efba6p-21, 0x1.65c9ebf3d9956p-21, 0x1.62e030c2e2a12p-21, 0x1.5ffc28fb77a35p-21, 0x1.5d1dcaa35ccc2p-21, 0x1.5a450bcddffa1p-21, 0x1.5771e29bdfa55p-21, 0x1.54a4453bcd2dbp-21, 0x1.51dc29e9967d1p-21, 0x1.4f1986ee9b30cp-21, 0x1.4c5c52a1c1d06p-21, 0x1.49a4836746b07p-21, 0x1.46f20fb0f7ab1p-21, 0x1.4444edfdc95d5p-21, 0x1.419d14da464b7p-21, 0x1.3efa7ae01fbc9p-21, 0x1.3c5d16b6a47bp-21, 0x1.39c4df122ea36p-21, 0x1.3731cab4847d3p-21, 0x1.34a3d06c7e174p-21, 0x1.321ae71648d71p-21, 0x1.2f97059b35aabp-21, 0x1.2d1822f1d1b51p-21, 0x1.2a9e361dc6405p-21, 0x1.2829362fc94b8p-21, 0x1.25b91a45b0ad7p-21, 0x1.234dd98a532f1p-21, 0x1.20e76b3591c4bp-21, 0x1.1e85c68c36948p-21, 0x1.1c28e2dff445bp-21, 0x1.19d0b78f5a78dp-21, 0x1.177d3c05fb5dcp-21, 0x1.152e67bc18b11p-21, 0x1.12e43236e8379p-21, 0x1.109e930835aa9p-21, 0x1.0e5d81ceb6e16p-21, 0x1.0c20f63597249p-21, 0x1.09e8e7f4dfdd4p-21, 0x1.07b54ed0f43a2p-21, 0x1.0586229b038e5p-21, 0x1.035b5b308a08cp-21, 0x1.0134f07baec87p-21, }}, 
      {{-0x1.2973fab55c92p-12, -0x1.50b3872170146p-11, -0x1.2dc687e9d746ap-10, -0x1.dc500ecfea9ffp-10, -0x1.5af5bd809c842p-9, -0x1.de5e89b0e0dc5p-9, -0x1.3cc026d565b2p-8, -0x1.96bd04e534853p-8, -0x1.fdb151db3efd1p-8, -0x1.3910481b4121bp-7, -0x1.7a419206d422cp-7, -0x1.c2a1e73644e52p-7, -0x1.092f70ccfba6fp-6, -0x1.34ced245c6b65p-6, -0x1.643d34c71d128p-6, -0x1.978420e33b768p-6, -0x1.cea8824afdbc7p-6, -0x1.04d559169cb08p-5, -0x1.244348ba5425p-5, -0x1.4599d80029f6cp-5, -0x1.68d2bf1f9ce48p-5, -0x1.8de5c370cd213p-5, -0x1.b4c8d74be2138p-5, -0x1.dd703c0bb1372p-5, -0x1.03e752b73ee54p-4, -0x1.19eaaed5c2699p-4, -0x1.30ba34d6e4668p-4, -0x1.484d567de56e6p-4, -0x1.609b067485943p-4, -0x1.7999c96085744p-4, -0x1.933fc6562f5e6p-4, -0x1.ad82d68f95e02p-4, -0x1.c8589456aea4ep-4, -0x1.e3b6691614f1fp-4, -0x1.ff919a88e76b5p-4, -0x1.0defab8339d33p-3, -0x1.1c4a6074c24edp-3, -0x1.2ad37c8b166e5p-3, -0x1.3985945175d82p-3, -0x1.485b44d5fc9a4p-3, -0x1.574f37ac5f23dp-3, -0x1.665c268e54383p-3, -0x1.757cde9e7d331p-3, -0x1.84ac4352f94cep-3, -0x1.93e5510cd87c7p-3, -0x1.a3231f61a0ce5p-3, -0x1.b260e31c2aa3p-3, -0x1.c199eff9d9d1ep-3, -0x1.d0c9ba2930e06p-3, -0x1.dfebd78e7522cp-3, -0x1.eefc00d2fcaf2p-3, -0x1.fdf612436a9d8p-3, -0x1.066b06407cfedp-2, -0x1.0dcc0a84d6235p-2, -0x1.151c3b4d7c4c6p-2, -0x1.1c59d0b92b99fp-2, -0x1.238315b7684dfp-2, -0x1.2a96680b39a61p-2, -0x1.3192384137638p-2, -0x1.3875099a1f302p-2, -0x1.3f3d71eb23fbcp-2, -0x1.45ea1974fc1e8p-2, -0x1.4c79bab2ac76bp-2, -0x1.52eb2220f4c3p-2, -0x1.593d2dff2b0e2p-2, -0x1.5f6ece0a4e479p-2, -0x1.657f0332f1e36p-2, -0x1.6b6cdf4eb5807p-2, -0x1.713784c5c8916p-2, -0x1.76de263d0eaeep-2, -0x1.7c60063d575e9p-2, -0x1.81bc76d81a54ap-2, -0x1.86f2d94a222f6p-2, -0x1.8c029d9c7cc18p-2, -0x1.90eb42440aa2ep-2, -0x1.95ac53bff9ad9p-2, -0x1.9a456c377217ap-2, -0x1.9eb63316b57e5p-2, -0x1.a2fe5cabed045p-2, -0x1.a71da9c3d8a74p-2, -0x1.ab13e74696c51p-2, -0x1.aee0edd4a9a54p-2, -0x1.b284a16467e0ep-2, -0x1.b5fef0dffd7ccp-2, -0x1.b94fd5c41d60dp-2, -0x1.bc7753bf80321p-2, -0x1.bf75785353c04p-2, -0x1.c24a5a74aada9p-2, -0x1.c4f61a2f0b752p-2, -0x1.c778e0482cb5ep-2, -0x1.c9d2dde4fa057p-2, -0x1.cc044c2fe7746p-2, -0x1.ce0d6c00ab404p-2, -0x1.cfee858568c6fp-2, -0x1.d1a7e7ed56981p-2, -0x1.d339e914ea2ffp-2, -0x1.d4a4e5339932fp-2, -0x1.d5e93e8b2b52bp-2, -0x1.d7075d18b3bacp-2, -0x1.d7ffae4727073p-2, -0x1.d8d2a4a3a18f1p-2, -0x1.d980b7935769bp-2, -0x1.da0a630b368aap-2, -0x1.da70274939a2p-2, -0x1.dab2888f71793p-2, -0x1.dad20ee0c3ea5p-2, -0x1.dacf45bf5abb5p-2, -0x1.daaabbeccc79fp-2, -0x1.da65032bf6fd4p-2, -0x1.d9feb00488e9dp-2, -0x1.d978598840d04p-2, -0x1.d8d29919d2122p-2, -0x1.d80e0a3579aa1p-2, -0x1.d72b4a3b38b9ap-2, -0x1.d62af83aadd35p-2, -0x1.d50db4c09329dp-2, -0x1.d3d421a5d3906p-2, -0x1.d27ee1e0372e3p-2, -0x1.d10e99549f198p-2, -0x1.cf83ecaace873p-2, -0x1.cddf8122bb67ep-2, -0x1.cc21fc6b5d362p-2, -0x1.ca4c047af832p-2, -0x1.c85e3f68dee3dp-2, -0x1.c6595348a1f97p-2, -0x1.c43de606a8575p-2, -0x1.c20c9d462c487p-2, -0x1.bfc61e4092cebp-2, -0x1.bd6b0da61ae04p-2, -0x1.bafc0f7fda755p-2, -0x1.b879c71306511p-2, -0x1.b5e4d6c57a68fp-2, -0x1.b33de0037e843p-2, -0x1.b0858326c23cap-2, -0x1.adbc5f5e82bfdp-2, -0x1.aae31298dc10ep-2, -0x1.a7fa396d3a5d7p-2, -0x1.a5026f07e37a8p-2, -0x1.a1fc4d169736cp-2, -0x1.9ee86bb639c27p-2, -0x1.9bc76161874aap-2, -0x1.9899c2e0c396bp-2, -0x1.9560233a66f9bp-2, -0x1.921b13a4ba846p-2, -0x1.8ecb23786307fp-2, -0x1.8b70e023cf092p-2, -0x1.880cd51f8884cp-2, -0x1.849f8be35ab0dp-2, -0x1.81298bdc501fbp-2, -0x1.7dab5a6379001p-2, -0x1.7a257ab57b3b4p-2, -0x1.76986deae3a71p-2, -0x1.7304b2f12dbbfp-2, -0x1.6f6ac68488691p-2, -0x1.6bcb232a3fd5fp-2, -0x1.6826412bdb04fp-2, -0x1.647c9692d759ap-2, -0x1.60ce97250273bp-2, -0x1.5d1cb461717d5p-2, -0x1.59675d7e07d8fp-2, -0x1.55aeff658ef33p-2, -0x1.51f404b6566a3p-2, -0x1.4e36d5c15826ep-2, -0x1.4a77d889dea4bp-2, -0x1.46b770c5a1172p-2, -0x1.42f5ffdd58f2ap-2, -0x1.3f33e4edc6ba2p-2, -0x1.3b717cc924c09p-2, -0x1.37af21f8fff34p-2, -0x1.33ed2cc0763c1p-2, -0x1.302bf31ed05f2p-2, -0x1.2c6bc8d27d0ap-2, -0x1.28acff5c5befp-2, -0x1.24efe60360d62p-2, -0x1.2134c9d881e2fp-2, -0x1.1d7bf5baf4941p-2, -0x1.19c5b25cae0dp-2, -0x1.1612464729be3p-2, -0x1.1261f5e06ef1cp-2, -0x1.0eb5037053095p-2, -0x1.0b0baf25f5593p-2, -0x1.0766371d6f5ap-2, -0x1.03c4d765b9306p-2, -0x1.0027ca06bc624p-2, -0x1.f91e8e0f26d22p-3, -0x1.f1f708e9e5358p-3, -0x1.ead96ccf6eacep-3, -0x1.e3c61e173763ep-3, -0x1.dcbd7d4c12c27p-3, -0x1.d5bfe73a1c157p-3, -0x1.cecdb4fcccf49p-3, -0x1.c7e73c0d52fd1p-3, -0x1.c10cce5107daep-3, -0x1.ba3eba2817fp-3, -0x1.b37d4a7c5090ep-3, -0x1.acc8c6d0035d8p-3, -0x1.a621734d14b3dp-3, -0x1.9f8790d415921p-3, -0x1.98fb5d0b76facp-3, -0x1.927d126ecfd1dp-3, -0x1.8c0ce85e2aa41p-3, -0x1.85ab132d5d1c1p-3, -0x1.7f57c4336a04ep-3, -0x1.791329d9dee69p-3, -0x1.72dd6fac36099p-3, -0x1.6cb6be673250bp-3, -0x1.669f3c08378f3p-3, -0x1.60970bdc93ea6p-3, -0x1.5a9e4e90c3f47p-3, -0x1.54b5223fa1aa9p-3, -0x1.4edba28189c67p-3, -0x1.4911e87b64e9ep-3, -0x1.43580aeda63c2p-3, -0x1.3dae1e4325f6fp-3, -0x1.3814349fefa35p-3, -0x1.328a5defea83p-3, -0x1.2d10a7f566b5fp-3, -0x1.27a71e579380cp-3, -0x1.224dcab0c7d5fp-3, -0x1.1d04b49cb23dfp-3, -0x1.17cbe1c664aedp-3, -0x1.12a355f6362bcp-3, -0x1.0d8b131f82f7p-3, -0x1.0883196e436cbp-3, -0x1.038b67547c2ap-3, -0x1.fd47f32f00ecfp-4, -0x1.f39996ba1db5ep-4, -0x1.ea0bac707e337p-4, -0x1.e09e246c92e61p-4, -0x1.d750ebd62ec05p-4, -0x1.ce23ecfb5eba3p-4, -0x1.c5170f68dd1dcp-4, -0x1.bc2a380229594p-4, -0x1.b35d49193805fp-4, -0x1.aab02285dc907p-4, -0x1.a222a1bcad2dcp-4, -0x1.99b4a1e5ab001p-4, -0x1.9165fbf267b2cp-4, -0x1.893686b3e8101p-4, -0x1.812616f009547p-4, -0x1.79347f7692986p-4, -0x1.71619135df7cep-4, -0x1.69ad1b4f2718ap-4, -0x1.6216eb2a5faccp-4, -0x1.5a9ecc89c002bp-4, -0x1.5344899cdd377p-4, -0x1.4c07eb13657b9p-4, -0x1.44e8b82f77f54p-4, -0x1.3de6b6d79ad1dp-4, -0x1.3701aba84f2ddp-4, -0x1.30395a0541c45p-4, -0x1.298d842a1ebb4p-4, -0x1.22fdeb3b00487p-4, -0x1.1c8a4f547febdp-4, -0x1.16326f9b6823fp-4, -0x1.0ff60a4c08e4bp-4, -0x1.09d4dcc9298a2p-4, -0x1.03cea3aaa3b6dp-4, -0x1.fbc635973bedbp-5, -0x1.f023fab0da0ap-5, -0x1.e4b60bb831c1ep-5, -0x1.d97bdc9b13deep-5, -0x1.ce74e038bbeeep-5, -0x1.c3a0887ac619fp-5, -0x1.b8fe466d7d22dp-5, -0x1.ae8d8a5779e5p-5, -0x1.a44dc3d09bb19p-5, -0x1.9a3e61d85932p-5, -0x1.905ed2eb6e645p-5, -0x1.86ae8518e376p-5, -0x1.7d2ce6167983fp-5, -0x1.73d96354768fap-5, -0x1.6ab36a10d64a6p-5, -0x1.61ba6769e2871p-5, -0x1.58edc87033536p-5, -0x1.504cfa381e1adp-5, -0x1.47d769ea8e8d6p-5, -0x1.3f8c84d5548b5p-5, -0x1.376bb87ae175fp-5, -0x1.2f7472a17c47bp-5, -0x1.27a62161ed28cp-5, -0x1.20003335a67adp-5, -0x1.1882170462ea3p-5, -0x1.112b3c314fbddp-5, -0x1.09fb12a7a5d6ap-5, -0x1.02f10ae6db3e9p-5, -0x1.f8192c1c9d541p-6, -0x1.ea9a4bd0fa354p-6, -0x1.dd6459eb8f3fap-6, -0x1.d0763ced85095p-6, -0x1.c3cedcec2d6f4p-6, -0x1.b76d23a3ead6fp-6, -0x1.ab4ffc8a42395p-6, -0x1.9f7654df1b7a2p-6, -0x1.93df1bbd32297p-6, -0x1.88894229be6b8p-6, -0x1.7d73bb2367a03p-6, -0x1.729d7bb0611ddp-6, -0x1.68057aebdebe4p-6, -0x1.5daab212cc20dp-6, -0x1.538c1c8fd4b48p-6, -0x1.49a8b806bea71p-6, -0x1.3fff845f15332p-6, -0x1.368f83ce484fp-6, -0x1.2d57bae102657p-6, -0x1.2457308407225p-6, -0x1.1b8cee0c6b79p-6, -0x1.12f7ff3f36602p-6, -0x1.0a9772587d421p-6, -0x1.026a5811e9d66p-6, -0x1.f4df875175f91p-7, -0x1.e54d95c688378p-7, -0x1.d61d0c2bd6111p-7, -0x1.c74c204f5dfb7p-7, -0x1.b8d90d2c4f8bep-7, -0x1.aac212f23ae79p-7, -0x1.9d05770b552bbp-7, -0x1.8fa18421e581fp-7, -0x1.82948a24cb657p-7, -0x1.75dcde4b50c2dp-7, -0x1.6978db181c527p-7, -0x1.5d66e05b71369p-7, -0x1.51a55334a8282p-7, -0x1.46329e13065efp-7, -0x1.3b0d30b5cfdd6p-7, -0x1.3033802bc8364p-7, -0x1.25a406d1fa892p-7, -0x1.1b5d4451f37d6p-7, -0x1.115dbd9f5e512p-7, -0x1.07a3fcf514e35p-7, -0x1.fc5d23a34692ap-8, -0x1.e9f821e68a896p-8, -0x1.d81628a6ae892p-8, -0x1.c6b47642b7312p-8, -0x1.b5d0537b0f776p-8, -0x1.a56713658f651p-8, -0x1.95761360fbfffp-8, -0x1.85fabb075daeap-8, -0x1.76f27c1fd4926p-8, -0x1.685ad28f776e7p-8, -0x1.5a314449a079cp-8, -0x1.4c73613f89fccp-8, -0x1.3f1ec34f274e7p-8, -0x1.32310e3183192p-8, -0x1.25a7ef68850fap-8, -0x1.19811e2bf9134p-8, -0x1.0dba5b566367ep-8, -0x1.02517150fe23bp-8, -0x1.ee8867fefdc6ep-9, -0x1.d9210156c4ac6p-9, -0x1.c4687bdd40232p-9, -0x1.b05ab73c6a9b6p-9, -0x1.9cf3a5683f97dp-9, -0x1.8a2f4a725d995p-9, -0x1.7809bc5cbcbacp-9, -0x1.667f22ec01a88p-9, -0x1.558bb7791eb39p-9, -0x1.452bc4c2a3d3bp-9, -0x1.355ba6bd4eb2ep-9, -0x1.2617ca6478617p-9, -0x1.175cad8a018f7p-9, -0x1.0926dea5ddf2cp-9, -0x1.f6e5f94aec087p-10, -0x1.dc7b6d7521a94p-10, -0x1.c307985481639p-10, -0x1.aa841836c64bap-10, -0x1.92eaaac9c6132p-10, -0x1.7c352cb87347dp-10, -0x1.665d99472dadfp-10, -0x1.515e09efbbe8bp-10, -0x1.3d30b5fd56064p-10, -0x1.29cff228d773ep-10, -0x1.17363034bf67dp-10, -0x1.055dfe891bad3p-10, -0x1.e8840f9fe807bp-11, -0x1.c7ba252279625p-11, -0x1.a854019faa821p-11, -0x1.8a479f4c7a29ap-11, -0x1.6d8b2dc67cf9fp-11, -0x1.5215114f313a6p-11, -0x1.37dbe206ed12ep-11, -0x1.1ed66b29ef491p-11, -0x1.06fbaa4c83531p-11, -0x1.e0859d32ec2e6p-12, -0x1.b54670223e201p-12, -0x1.8c28ed91ffb8dp-12, -0x1.651c945af538fp-12, -0x1.40114086aca37p-12, -0x1.1cf729d7921f2p-12, -0x1.f77dc4a367125p-13, -0x1.b8b2a98f8d995p-13, -0x1.7d6f86d14e3f4p-13, -0x1.45978ca50f55ap-13, -0x1.110e944afb84fp-13, -0x1.bf723a744b09bp-14, -0x1.62f894a20ad08p-14, -0x1.0c7bbe26a6f3dp-14, -0x1.7790f3aaac1c1p-15, -0x1.c2b3036d2f94p-16, -0x1.57bdeb03fc033p-17, 0x1.5863ad5d58a39p-18, 0x1.43eeaea3819d7p-16, 0x1.0f2befb26a4dep-15, 0x1.7302cc767a61ep-15, 0x1.cdd24da1830c9p-15, 0x1.0ff757dc59366p-14, 0x1.34d50ae5f8177p-14, 0x1.55aa49aaeafc6p-14, 0x1.729e1b0989942p-14, 0x1.8bd687d69daf3p-14, 0x1.a1789fa5dd748p-14, 0x1.b3a87d8727111p-14, 0x1.c2894cb06f3c3p-14, 0x1.ce3d4d1a032cap-14, 0x1.d6e5d80e872fep-14, 0x1.dca364ac3178ap-14, 0x1.df958c500095dp-14, 0x1.dfdb0efc3924bp-14, 0x1.dd91d7aaa6928p-14, 0x1.d8d7008e0505cp-14, 0x1.d1c6d74b8b777p-14, 0x1.c87ce11d5811ap-14, 0x1.bd13deea82a32p-14, 0x1.afa5d1528648ap-14, 0x1.a04bfca56ab5p-14, 0x1.8f1eeccfd94d6p-14, 0x1.7c3679362676ep-14, 0x1.67a9c884a2375p-14, 0x1.518f546ed123ep-14, 0x1.39fced5fb64b5p-14, 0x1.2107be1e62d8fp-14, 0x1.06c44f601ec59p-14, 0x1.d68d169e7676ap-15, 0x1.9d43820eb532fp-15, 0x1.61d14ff2321ap-15, 0x1.245ac698bfefdp-15, 0x1.ca0614a5ddbfap-16, 0x1.47d847f6281c3p-16, 0x1.84dc1d57fba2bp-17, 0x1.d039966fc594ep-19, -0x1.447a4b5f50815p-18, -0x1.bd8f1cf6f88f3p-17, -0x1.6eba05640afdcp-16, -0x1.005f150e0e226p-15, -0x1.4a4f087a582e5p-15, -0x1.9512d24d5f747p-15, -0x1.e0914d7bfe7f8p-15, -0x1.16591a9028f16p-14, -0x1.3caf0f890ef0ap-14, -0x1.633f3b51917a9p-14, -0x1.89febbb296808p-14, -0x1.b0e3140ea4ff4p-14, -0x1.d7e22addbd02ap-14, -0x1.fef247389f4d3p-14, -0x1.13050738ff955p-13, -0x1.269040da602p-13, -0x1.3a167ddaea32cp-13, -0x1.4d9397369e146p-13, -0x1.6103906b3e6b2p-13, -0x1.74629661fcc95p-13, -0x1.87acfe5adeae5p-13, -0x1.9adf44dfebd1fp-13, -0x1.adf60cbc8c4b6p-13, -0x1.c0ee1dface20ep-13, -0x1.d3c464e44613ep-13, -0x1.e675f10a47544p-13, -0x1.f8fff450ae872p-13, -0x1.05afe0ffcae8dp-12, -0x1.0ec966ecc0669p-12, -0x1.17cb559a8780ap-12, -0x1.20b4860e2ae98p-12, -0x1.2983e0387f037p-12, -0x1.32385a8a9592p-12, -0x1.3ad0f98bb7e23p-12, -0x1.434ccf736c52ep-12, -0x1.4baafbc2a0fdap-12, -0x1.53eaaae20e23dp-12, -0x1.5c0b15c0b654dp-12, -0x1.640b8175866bcp-12, -0x1.6beb3ee2a6583p-12, -0x1.73a9aa5ae4fbfp-12, -0x1.7b462b4915aecp-12, -0x1.82c033d92c108p-12, -0x1.8a1740a35c6b1p-12, -0x1.914ad859f77dap-12, -0x1.985a8b77f0f6ep-12, -0x1.9f45f3f16b66dp-12, -0x1.a60cb4e747a71p-12, -0x1.acae7a5a5e3f4p-12, -0x1.b32af8e2a0953p-12, -0x1.b981ed664d07fp-12, -0x1.bfb31cd40d499p-12, -0x1.c5be53ddd6d41p-12, -0x1.cba366b5ab739p-12, -0x1.d16230cc2855ap-12, -0x1.d6fa949067511p-12, -0x1.dc6c7b319a6e4p-12, -0x1.e1b7d4623842p-12, -0x1.e6dc961bff8dcp-12, -0x1.ebdabc664bff7p-12, -0x1.f0b2491d62312p-12, -0x1.f56343bb0de0ap-12, -0x1.f9edb9211d892p-12, -0x1.fe51bb64a6d8ep-12, -0x1.0147b0cd76fe6p-11, -0x1.035363d3bc6e2p-11, -0x1.054c0705ac176p-11, -0x1.0731acdaec6cfp-11, -0x1.090469eb3ff09p-11, -0x1.0ac454d82224ap-11, -0x1.0c718636a09d5p-11, -0x1.0e0c187a29f76p-11, -0x1.0f9427dfd5f48p-11, -0x1.1109d25a39a7ap-11, -0x1.126d377da2893p-11, -0x1.13be786d12f9cp-11, -0x1.14fdb7c7c68cdp-11, -0x1.162b1996c363ap-11, -0x1.1746c33b8d1c2p-11, -0x1.1850db5ecb5e1p-11, -0x1.194989dfdea56p-11, -0x1.1a30f7c49f281p-11, -0x1.1b074f29a518cp-11, -0x1.1bccbb3309d4cp-11, -0x1.1c8167fd960f4p-11, -0x1.1d258290654d7p-11, -0x1.1db938cec9907p-11, -0x1.1e3cb96aed7f8p-11, -0x1.1eb033d890044p-11, -0x1.1f13d84045a8ap-11, -0x1.1f67d773106d3p-11, -0x1.1fac62de4cbd2p-11, -0x1.1fe1ac8045b1fp-11, -0x1.2007e6dc98b31p-11, -0x1.201f44f18aed9p-11, -0x1.2027fa2d592acp-11, -0x1.20223a63e9277p-11, -0x1.200e39c4f5ddfp-11, -0x1.1fec2cd24b202p-11, -0x1.1fbc48569c1dfp-11, -0x1.1f7ec15c7cd2ep-11, -0x1.1f33cd25aaf0cp-11, -0x1.1edba1229db8ep-11, -0x1.1e7672ea605e2p-11, -0x1.1e047832d843ap-11, -0x1.1d85e6c8ff855p-11, -0x1.1cfaf489b9fa6p-11, -0x1.1c63d75ab41fap-11, -0x1.1bc0c523ad31dp-11, -0x1.1b11f3c7c3fb3p-11, -0x1.1a57991f31f82p-11, -0x1.1991eaf130d0fp-11, -0x1.18c11eee19ec9p-11, -0x1.17e56aa9c9571p-11, -0x1.16ff0396243cap-11, -0x1.160e1efded4ep-11, -0x1.1512f1ffb0c97p-11, -0x1.140db18904825p-11, -0x1.12fe9251d7abp-11, -0x1.11e5c8d7f7175p-11, -0x1.10c3895ae5ef8p-11, -0x1.0f9807d7ce085p-11, -0x1.0e6378057ffe5p-11, -0x1.0d260d50d0fe2p-11, -0x1.0bdffad8f7a5ap-11, -0x1.0a91736c3828fp-11, -0x1.093aa98482f4cp-11, -0x1.07dbcf448a6eep-11, -0x1.0675167493cfep-11, -0x1.0506b07ff4b26p-11, -0x1.0390ce722b881p-11, -0x1.0213a0f47507dp-11, -0x1.008f584b55394p-11, -0x1.fe0848a8d11ecp-12, -0x1.fae46908595c2p-12, -0x1.f7b36fc806905p-12, -0x1.f475ba20936abp-12, -0x1.f12ba46d042ffp-12, -0x1.edd58a27843p-12, -0x1.ea73c5e5fec67p-12, -0x1.e706b1574abap-12, -0x1.e38ea5407e968p-12, -0x1.e00bf97a35b8p-12, -0x1.dc7f04ee8ad3ap-12, -0x1.d8e81d9689253p-12, -0x1.d5479878883f5p-12, -0x1.d19dc9a5f57ep-12, -0x1.cdeb043a360c3p-12, -0x1.ca2f9a5890c34p-12, -0x1.c66bdd2b66351p-12, -0x1.c2a01ce289c92p-12, -0x1.becca8b2b12b3p-12, -0x1.baf1ced42b888p-12, -0x1.b70fdc8254993p-12, -0x1.b3271dfaf4bf6p-12, -0x1.af37de7d89484p-12, -0x1.ab42684b3feafp-12, -0x1.a74704a67e89ap-12, -0x1.a345fbd2cb531p-12, -0x1.9f3f9514d0d01p-12, -0x1.9b3416b26431dp-12, -0x1.9723c5f2da6fdp-12, -0x1.930ee71f0c55ep-12, -0x1.8ef5bd82045a9p-12, -0x1.8ad88b692473cp-12, -0x1.86b7922525719p-12, -0x1.8293120a59a54p-12, -0x1.7e6b4a71ad96p-12, -0x1.7a4079b94360ap-12, -0x1.7612dd457b874p-12, -0x1.71e2b181d2f88p-12, -0x1.6db031e208b1dp-12, -0x1.697b98e307efap-12, -0x1.6545200c419a1p-12, -0x1.610cfff0d8a94p-12, -0x1.5cd37030cb61cp-12, -0x1.5898a77a7a3e6p-12, -0x1.545cdb8be4173p-12, -0x1.5020413424efdp-12, -0x1.4be30c54f7799p-12, -0x1.47a56fe455358p-12, -0x1.43679deddb238p-12, -0x1.3f29c7948c92p-12, -0x1.3aec1d1472cc9p-12, -0x1.36aecdc4480cbp-12, -0x1.327208174af36p-12, -0x1.2e35f99eef548p-12, -0x1.29facf0cae162p-12, -0x1.25c0b433f3aefp-12, -0x1.2187d40bd1d8dp-12, -0x1.1d5058b11d591p-12, -0x1.191a6b6812306p-12, -0x1.14e6349e6f225p-12, -0x1.10b3dbed6b693p-12, -0x1.0c83881b8a2f4p-12, -0x1.08555f1ee31f9p-12, -0x1.0429861eee37bp-12, -0x1.000021768e326p-12, -0x1.f7b2a96c5ca06p-13, -0x1.ef6a854b8699fp-13, -0x1.e7281a8dc21abp-13, -0x1.deebabade4253p-13, -0x1.d6b579a217b57p-13, -0x1.ce85c3e07196ap-13, -0x1.c65cc8630e3b1p-13, -0x1.be3ac3ac5000ap-13, -0x1.b61ff0cb17279p-13, -0x1.ae0c895eeef9dp-13, -0x1.a600c59c542b2p-13, -0x1.9dfcdc5109a25p-13, -0x1.960102e878f7fp-13, -0x1.8e0d6d6f8a0cap-13, -0x1.86224e995d9a3p-13, -0x1.7e3fd7c35907bp-13, -0x1.766638f92cd5bp-13, -0x1.6e95a0f95e8c4p-13, -0x1.66ce3d39b408bp-13, -0x1.5f1039eae1a4ap-13, -0x1.575bc1fd2e43p-13, -0x1.4fb0ff24a15dfp-13, -0x1.481019dceca08p-13, -0x1.4079396e14749p-13, -0x1.38ec83f017dbap-13, -0x1.316a1e4f788f8p-13, -0x1.29f22c51042f1p-13, -0x1.2284d0965f126p-13, -0x1.1b222ca1f6002p-13, -0x1.13ca60dacbdaap-13, -0x1.0c7d8c91080f3p-13, -0x1.053bce01a3d63p-13, -0x1.fc0a84b519177p-14, -0x1.edb40b7d0c29cp-14, -0x1.df7466929fd7cp-14, -0x1.d14bca27601afp-14, -0x1.c33a686dfa317p-14, -0x1.b54071a2b1f2dp-14, -0x1.a75e1412fef85p-14, -0x1.99937c24fb796p-14, -0x1.8be0d45f65f92p-14, -0x1.7e464570ba354p-14, -0x1.70c3f63752882p-14, -0x1.635a0bc890b18p-14, -0x1.5608a977d3d2fp-14, -0x1.48cff0ded5724p-14, -0x1.3bb001e423856p-14, -0x1.2ea8fac2bd9aap-14, -0x1.21baf81113a89p-14, -0x1.14e614c8019f9p-14, -0x1.082a6a4a1957fp-14, -0x1.f71020d58ec9cp-15, -0x1.ddfe3ae9693f5p-15, -0x1.c51f4c625bfb5p-15, -0x1.ac737bdd16aafp-15, -0x1.93faed0e3b378p-15, -0x1.7bb5c0cfa1215p-15, -0x1.63a4152d9bbbep-15, -0x1.4bc60573437e4p-15, -0x1.341baa388ea84p-15, -0x1.1ca5196eb36ebp-15, -0x1.0562666c4160ep-15, -0x1.dca743f4d9608p-16, -0x1.aef1b4c2d3c1p-16, -0x1.81a436e7fbd06p-16, -0x1.54bedd38bf16dp-16, -0x1.2841b5cfab12dp-16, -0x1.f859944aede17p-17, -0x1.a1003e506187cp-17, -0x1.4a776aa652896p-17, -0x1.e97e2312ec37ep-18, -0x1.3fae455a3a821p-18, -0x1.2efe159304337p-19, 0x1.e1f9cb4c72873p-23, 0x1.67fd2fb521977p-19, 0x1.574db33675fecp-18, 0x1.f8fd914b95fb5p-18, 0x1.4c8759027f7b2p-17, 0x1.9bc0d203d5d2dp-17, 0x1.ea2b822dd0d51p-17, 0x1.1be3df885872dp-16, 0x1.424af28ed32d2p-16, 0x1.684b2bc058c8dp-16, 0x1.8de4bffcb5f13p-16, 0x1.b317e75ae3c0ap-16, 0x1.d7e4dd14814ffp-16, 0x1.fc4bdf739ab45p-16, 0x1.102697e059803p-15, 0x1.21f4891832e4dp-15, 0x1.338fe6e80246dp-15, 0x1.44f8d63a8b569p-15, 0x1.562f7d55dcf31p-15, 0x1.673403d2389f3p-15, 0x1.78069292302c8p-15, 0x1.88a753b980f0ap-15, 0x1.991672a511bb9p-15, 0x1.a9541be2f29aep-15, 0x1.b9607d2a274a6p-15, 0x1.c93bc5527ef9ap-15, 0x1.d8e6244cefeebp-15, 0x1.e85fcb1bcec57p-15, 0x1.f7a8ebcb51b44p-15, 0x1.0360dcb4f840dp-14, 0x1.0ad534007750ap-14, 0x1.1231964699ee1p-14, 0x1.19761e7c0d42cp-14, 0x1.20a2e8083af26p-14, 0x1.27b80ec1aacdfp-14, 0x1.2eb5aeeaafa54p-14, 0x1.359be52e0f3bep-14, 0x1.3c6ace9bb6216p-14, 0x1.432288a549abfp-14, 0x1.49c3311b1f5e5p-14, 0x1.504ce628fd8acp-14, 0x1.56bfc653016ddp-14, 0x1.5d1bf0728b0d5p-14, 0x1.636183b343ee2p-14, 0x1.69909f9017618p-14, 0x1.6fa963d057da9p-14, 0x1.75abf084de24ap-14, 0x1.7b9866053d7ecp-14, 0x1.816ee4ecf1694p-14, 0x1.872f8e1896faap-14, 0x1.8cda82a35b2bp-14, 0x1.926fe3e44b09ep-14, 0x1.97efd36bbc179p-14, 0x1.9d5a7300dd274p-14, 0x1.a2afe49ef5a57p-14, 0x1.a7f04a731dbf7p-14, 0x1.ad1bc6d9e22f6p-14, 0x1.b2327c5cbf51ep-14, 0x1.b7348dafec65bp-14, 0x1.bc221db00c21fp-14, 0x1.c0fb4f5fcbd33p-14, 0x1.c5c045e5c6edp-14, 0x1.ca71248a6700dp-14, 0x1.cf0e0eb5d785fp-14, 0x1.d39727edbe2f2p-14, 0x1.d80c93d32b17cp-14, 0x1.dc6e7620da027p-14, 0x1.e0bcf2a9141d1p-14, 0x1.e4f82d53b064fp-14, 0x1.e9204a1c29a8fp-14, 0x1.ed356d0fcf912p-14, 0x1.f137ba4c1f484p-14, 0x1.f52755fcc77a1p-14, 0x1.f904645a04974p-14, 0x1.fccf09a6b6d74p-14, 0x1.0043b51772286p-13, 0x1.0216d52307045p-13, 0x1.03e0f722c2808p-13, 0x1.05a22d4573752p-13, 0x1.075a89bb3d332p-13, 0x1.090a1eb4d4f61p-13, 0x1.0ab0fe62cdbf6p-13, 0x1.0c4f3af4d87bep-13, 0x1.0de4e6990ef82p-13, 0x1.0f72137b45235p-13, 0x1.10f6d3c45403ep-13, 0x1.127339997147cp-13, 0x1.13e7571b8d23dp-13, 0x1.15533e66b118fp-13, 0x1.16b7019153ea6p-13, 0x1.1812b2abb77cdp-13, 0x1.196663bf6721fp-13, 0x1.1ab226ce965e2p-13, 0x1.1bf60dd38d306p-13, 0x1.1d322ac03695p-13, 0x1.1e668f7d64451p-13, 0x1.1f934dea646dep-13, 0x1.20b877dc76fabp-13, 0x1.21d61f1e53156p-13, 0x1.22ec556fa3a54p-13, 0x1.23fb2c84996b6p-13, 0x1.2502b60559187p-13, 0x1.2603038d8f363p-13, 0x1.26fc26ac06c54p-13, 0x1.27ee30e23c409p-13, 0x1.28d933a3f26d9p-13, 0x1.29bd4056ba90bp-13, 0x1.2a9a685190727p-13, 0x1.2b70bcdc8781ap-13, 0x1.2c404f3068a5ap-13, 0x1.2d0930764b8ffp-13, 0x1.2dcb71c7228abp-13, 0x1.2e87242b82a06p-13, 0x1.2f3c589b4254dp-13, 0x1.2feb1ffd2d158p-13, 0x1.30938b26b5c34p-13, 0x1.3135aadb9651ep-13, 0x1.31d18fcd7f9ep-13, 0x1.32674a9be0ae3p-13, 0x1.32f6ebd394bc3p-13, 0x1.338083eea8a86p-13, 0x1.340423541685cp-13, 0x1.3481da5771d57p-13, 0x1.34f9b938afaeap-13, 0x1.356bd023ea652p-13, 0x1.35d82f312fff8p-13, 0x1.363ee66444f73p-13, 0x1.36a005ac68c61p-13, 0x1.36fb9ce421a85p-13, 0x1.3751bbd1107a1p-13, 0x1.37a27223b1aa7p-13, 0x1.37edcf77414f4p-13, 0x1.3833e35187cep-13, 0x1.3874bd2299016p-13, 0x1.38b06c44b2e62p-13, 0x1.38e6fffc2f317p-13, 0x1.39188777435d6p-13, 0x1.394511cde4bd1p-13, 0x1.396cae01ac903p-13, 0x1.398f6afdacc74p-13, 0x1.39ad57964213dp-13, 0x1.39c6828911347p-13, 0x1.39dafa7cdd85fp-13, 0x1.39eace016b4a4p-13, 0x1.39f60b8f76a69p-13, 0x1.39fcc1888a341p-13, 0x1.39fefe36ddacep-13, 0x1.39fccfcd4eb7p-13, 0x1.39f6446756fc1p-13, 0x1.39eb6a08ed894p-13, 0x1.39dc4e9e7b1a2p-13, 0x1.39c8fffcbf128p-13, 0x1.39b18be0d4e69p-13, 0x1.3995fff0062a9p-13, 0x1.397669b7e117cp-13, 0x1.3952d6ae1f53ep-13, 0x1.392b543093ed9p-13, 0x1.38ffef852d297p-13, 0x1.38d0b5d9dfcaap-13, 0x1.389db444a62c6p-13, 0x1.3866f7c38bf77p-13, 0x1.382c8d3c9ed23p-13, 0x1.37ee817de72c1p-13, 0x1.37ace13d66703p-13, 0x1.3767b91900811p-13, 0x1.371f1596a7daep-13, 0x1.36d30324428e3p-13, 0x1.36838e17b6dcp-13, 0x1.3630c2aee4e7bp-13, 0x1.35daad0fab381p-13, 0x1.35815947e79dbp-13, 0x1.3524d34d77333p-13, 0x1.34c526fe58971p-13, 0x1.3462602092b3cp-13, 0x1.33fc8a6257e02p-13, 0x1.3393b159f7765p-13, 0x1.3327e085e8a29p-13, 0x1.32b9234cdc671p-13, 0x1.324784fdd7bacp-13, 0x1.31d310d024399p-13, 0x1.315bd1e35758dp-13, 0x1.30e1d33f71077p-13, 0x1.30651fd4e849fp-13, 0x1.2fe5c27cb7d68p-13, 0x1.2f63c5f866309p-13, 0x1.2edf34f20eaa3p-13, 0x1.2e5819fc82b84p-13, 0x1.2dce7f9355a77p-13, 0x1.2d42701aedb9ep-13, 0x1.2cb3f5e083403p-13, 0x1.2c231b1a4587bp-13, 0x1.2b8fe9e7620edp-13, 0x1.2afa6c50223eap-13, 0x1.2a62ac45fc87dp-13, 0x1.29c8b3a3b3029p-13, 0x1.292c8c2d416aep-13, 0x1.288e3f9007761p-13, 0x1.27edd762ebf37p-13, 0x1.274b5d267437bp-13, 0x1.26a6da44b04bcp-13, 0x1.2600581182fbep-13, 0x1.2557dfcaa90c1p-13, 0x1.24ad7a97c23ap-13, 0x1.2401318a608cfp-13, 0x1.23530d9e4afdp-13, 0x1.22a317b97abf7p-13, 0x1.21f158ac2f174p-13, 0x1.213dd93103da5p-13, 0x1.2088a1ed1adfap-13, 0x1.1fd1bb70224dfp-13, 0x1.1f192e348f274p-13, 0x1.1e5f029f97e1cp-13, 0x1.1da341015fa3bp-13, 0x1.1ce5f194ff44fp-13, 0x1.1c271c80acf15p-13, 0x1.1b66c9d5dc94fp-13, 0x1.1aa5019150135p-13, 0x1.19e1cb9b33331p-13, 0x1.191d2fc744265p-13, 0x1.185735d4ecc35p-13, 0x1.178fe56f419d6p-13, 0x1.16c7462d3e5e8p-13, 0x1.15fd5f91e6342p-13, 0x1.1532390c4936ap-13, 0x1.1465d9f7a0559p-13, 0x1.1398499b84494p-13, 0x1.12c98f2c007d3p-13, 0x1.11f9b1c9a3462p-13, 0x1.1128b881a8383p-13, 0x1.1056aa4e04c26p-13, 0x1.0f838e15a6557p-13, 0x1.0eaf6aac7430bp-13, 0x1.0dda46d37d52p-13, 0x1.0d042938f3f4bp-13, 0x1.0c2d187874b9fp-13, 0x1.0b551b1b262f1p-13, 0x1.0a7c3797bb813p-13, 0x1.09a274529884fp-13, 0x1.08c7d79df6a4p-13, 0x1.07ec67ba0ab1fp-13, 0x1.07102ad516efep-13, 0x1.0633270b96485p-13, 0x1.0555626848eb9p-13, 0x1.0476e2e4503bcp-13, 0x1.0397ae676cf31p-13, 0x1.02b7cac80ca6ap-13, 0x1.01d73dcb5e7ep-13, 0x1.00f60d2570ec4p-13, 0x1.00143e7960868p-13, 0x1.fe63aeb2e2786p-14, 0x1.fc9dba8e5f55ap-14, 0x1.fad6ab66eb3d9p-14, 0x1.f90e8bfd5d0f8p-14, 0x1.f74566f1cf5e7p-14, 0x1.f57b46c3df7e1p-14, 0x1.f3b035d2bdb9p-14, 0x1.f1e43e5da4363p-14, 0x1.f0176a8414388p-14, 0x1.ee49c445ed89dp-14, 0x1.ec7b5583ca5afp-14, 0x1.eaac27ff1fb05p-14, 0x1.e8dc455a80098p-14, 0x1.e70bb71a09442p-14, 0x1.e53a86a36836bp-14, 0x1.e368bd3e05b97p-14, 0x1.e1966413885aap-14, 0x1.dfc384300501fp-14, 0x1.ddf02681f0877p-14, 0x1.dc1c53da9bffdp-14, 0x1.da4814ee6e621p-14, 0x1.d8737255152bp-14, 0x1.d69e7489aa31ap-14, 0x1.d4c923eb0a1f7p-14, 0x1.d2f388bc21e69p-14, 0x1.d11dab2412c92p-14, 0x1.cf47932e37c0cp-14, 0x1.cd7148cab59c2p-14, 0x1.cb9ad3cea9d57p-14, 0x1.c9c43bf428c4ep-14, 0x1.c7ed88dab4863p-14, 0x1.c616c2075630cp-14, 0x1.c43feee4eee84p-14, 0x1.c26916c45849cp-14, 0x1.c09240dcaaad3p-14, 0x1.bebb744b6a2ebp-14, 0x1.bce4b814f491cp-14, 0x1.bb0e1324663bcp-14, 0x1.b9378c4bf9adfp-14, 0x1.b7612a456364fp-14, 0x1.b58af3b1d7405p-14, 0x1.b3b4ef1a478f8p-14, 0x1.b1df22efa0844p-14, 0x1.b009958b2979fp-14, 0x1.ae344d2e7dc0ap-14, 0x1.ac5f5003c9dcfp-14, 0x1.aa8aa41e396b7p-14, 0x1.a8b64f7a0af16p-14, 0x1.a6e257fc9376ep-14, 0x1.a50ec374cb0a8p-14, 0x1.a33b979b61a65p-14, 0x1.a168da12d133fp-14, 0x1.9f969067b8e1bp-14, 0x1.9dc4c01111bc8p-14, 0x1.9bf36e70553d5p-14, 0x1.9a22a0d1acd7ap-14, 0x1.98525c6c229d3p-14, 0x1.9682a66205c32p-14, 0x1.94b383c0d928bp-14, 0x1.92e4f9819dbd7p-14, 0x1.91170c892b50dp-14, 0x1.8f49c1a834b71p-14, 0x1.8d7d1d9b7475fp-14, 0x1.8bb1250c04adep-14, 0x1.89e5dc8f943e8p-14, 0x1.881b48a859ce1p-14, 0x1.86516dc571a47p-14, 0x1.84885043316f7p-14, 0x1.82bff46b0354ep-14, 0x1.80f85e73ce402p-14, 0x1.7f319282418b7p-14, 0x1.7d6b94a8a3ffdp-14, 0x1.7ba668e74fc5cp-14, 0x1.79e2132ce27e4p-14, 0x1.781e97563f6c3p-14, 0x1.765bf92ee085p-14, 0x1.749a3c70f3fbdp-14, 0x1.72d964c59bd8cp-14, 0x1.711975c4f899bp-14, 0x1.6f5a72f6689bap-14, 0x1.6d9c5fd0e9335p-14, 0x1.6bdf3fbaddc0ap-14, 0x1.6a23160a80dp-14, 0x1.6867e60610c71p-14, 0x1.66adb2e3d4f04p-14, 0x1.64f47fca5524cp-14, 0x1.633c4fd0aea59p-14, 0x1.618525fe8abd7p-14, 0x1.5fcf054c482fdp-14, 0x1.5e19f0a36ce45p-14, 0x1.5c65eade806efp-14, 0x1.5ab2f6c9312b8p-14, 0x1.59011720d67cap-14, 0x1.57504e943a361p-14, 0x1.55a09fc3eba8cp-14, 0x1.53f20d427a5cbp-14, 0x1.524499946e522p-14, 0x1.509847308e14fp-14, 0x1.4eed1880099c4p-14, 0x1.4d430fde9e806p-14, 0x1.4b9a2f9a979e2p-14, 0x1.49f279f542e78p-14, 0x1.484bf122cc477p-14, 0x1.46a6974a7942dp-14, 0x1.45026e86f0d8ap-14, 0x1.435f78e636a52p-14, 0x1.41bdb869dcf65p-14, 0x1.401d2f073798cp-14, 0x1.3e7ddea768fe3p-14, 0x1.3cdfc92787b5ep-14, 0x1.3b42f058e423ap-14, 0x1.39a756010fb4ep-14, 0x1.380cfbd9e9aa7p-14, 0x1.3673e392145f2p-14, 0x1.34dc0ecca913dp-14, 0x1.33457f21a0c7fp-14, 0x1.31b0361e04243p-14, 0x1.301c3543c4917p-14, 0x1.2e897e0a1c3d2p-14, 0x1.2cf811ddab19dp-14, 0x1.2b67f2207fb32p-14, 0x1.29d9202a40405p-14, 0x1.284b9d4854414p-14, 0x1.26bf6abdee66fp-14, 0x1.253489c445ae6p-14, 0x1.23aafb8ab0c29p-14, 0x1.2222c136a29p-14, 0x1.209bdbe412928p-14, 0x1.1f164ca54a369p-14, 0x1.1d9214832f111p-14, 0x1.1c0f347d6f5e7p-14, 0x1.1a8dad8a75385p-14, 0x1.190d80979e9bep-14, 0x1.178eae8965f22p-14, 0x1.1611383b590e1p-14, 0x1.14951e805a62dp-14, 0x1.131a6222bd1e3p-14, 0x1.11a103e42d04dp-14, 0x1.1029047e25575p-14, 0x1.0eb264a1b9281p-14, 0x1.0d3d24f7cca4ap-14, 0x1.0bc9462155c17p-14, 0x1.0a56c8b72ed4ap-14, 0x1.08e5ad4a62c9p-14, 0x1.0775f46457a24p-14, 0x1.06079e86b2be6p-14, 0x1.049aac2b9cc02p-14, 0x1.032f1dc5d7b72p-14, 0x1.01c4f3c0aa3a8p-14, 0x1.005c2e804c657p-14, 0x1.fde99cc3552f5p-15, 0x1.fb1da77571ba6p-15, 0x1.f8547db50873ep-15, 0x1.f58e201254c01p-15, 0x1.f2ca8f104cdb9p-15, 0x1.f009cb24677d7p-15, 0x1.ed4bd4b6f9e01p-15, 0x1.ea90ac238704ap-15, 0x1.e7d851b8b1a61p-15, 0x1.e522c5b88b7c4p-15, 0x1.e2700858db7ep-15, 0x1.dfc019c2f471dp-15, 0x1.dd12fa1469cb4p-15, 0x1.da68a95eaa6d7p-15, 0x1.d7c127a796e86p-15, 0x1.d51c74e9999cbp-15, 0x1.d27a91138c6e8p-15, 0x1.cfdb7c0942c2fp-15, 0x1.cd3f35a38a94ep-15, 0x1.caa5bdb02316ep-15, 0x1.c80f13f26779fp-15, 0x1.c57b3822e333ap-15, 0x1.c2ea29efdb431p-15, 0x1.c05be8fd6d896p-15, 0x1.bdd074e576d8cp-15, 0x1.bb47cd382764dp-15, 0x1.b8c1f17bb5a89p-15, 0x1.b63ee12ce01a9p-15, 0x1.b3be9bbed732ap-15, 0x1.b141209b885a7p-15, 0x1.aec66f23d2e3ep-15, 0x1.ac4e86af69696p-15, 0x1.a9d9668d2e659p-15, 0x1.a7670e034d0fep-15, 0x1.a4f77c4f38478p-15, 0x1.a28ab0a61ef2fp-15, 0x1.a020aa34a8a06p-15, 0x1.9db9681f7e6eap-15, 0x1.9b54e9832c6cdp-15, 0x1.98f32d7455206p-15, 0x1.969432ffea155p-15, 0x1.9437f92b0c85fp-15, 0x1.91de7ef371842p-15, 0x1.8f87c34f6b571p-15, 0x1.8d33c52de1ea7p-15, 0x1.8ae28376e00a2p-15, 0x1.8893fd0b1d91cp-15, 0x1.864830c4aa337p-15, 0x1.83ff1d76a7926p-15, 0x1.81b8c1ed97159p-15, 0x1.7f751cef8f3ap-15, 0x1.7d342d3c09dafp-15, 0x1.7af5f18c61369p-15, 0x1.78ba68939a9b8p-15, 0x1.768190fec133fp-15, 0x1.744b6974d5728p-15, 0x1.7217f09706b7fp-15, 0x1.6fe72500ca622p-15, 0x1.6db90547dead8p-15, 0x1.6b8d8ffc91afcp-15, 0x1.6964c3a9b120bp-15, 0x1.673e9ed4c3478p-15, 0x1.651b1ffe1e66p-15, 0x1.62fa45a0db077p-15, 0x1.60dc0e332f844p-15, 0x1.5ec07826538b4p-15, 0x1.5ca781e6c3255p-15, 0x1.5a9129dc3eb55p-15, 0x1.587d6e69d67f8p-15, 0x1.566c4dee2e099p-15, 0x1.545dc6c350dep-15, 0x1.5251d73f257b5p-15, 0x1.50487db314b1fp-15, 0x1.4e41b86c9909bp-15, 0x1.4c3d85b506e95p-15, 0x1.4a3be3d1b7767p-15, 0x1.483cd10439952p-15, 0x1.46404b8a202ffp-15, 0x1.4446519d75828p-15, 0x1.424ee17475ecbp-15, 0x1.4059f941f6fd7p-15, 0x1.3e6797353ac5ep-15, 0x1.3c77b97a36d35p-15, 0x1.3a8a5e3981cf2p-15, 0x1.389f83988140dp-15, 0x1.36b727b9773e9p-15, 0x1.34d148bb8ab6cp-15, 0x1.32ede4baf3649p-15, 0x1.310cf9d0f12a1p-15, }}, 
      {{-0x1.3654931a68775p-5, -0x1.ce9d9fd292728p-5, -0x1.31d5cd404ce87p-4, -0x1.7a5cb75f0884p-4, -0x1.c098264b3b7bep-4, -0x1.02296bab73042p-3, -0x1.22b5ddce71ff3p-3, -0x1.41e9c354654cfp-3, -0x1.5fc505978005fp-3, -0x1.7c4dcc4fb4935p-3, -0x1.978f3cc12b638p-3, -0x1.b19852c11af42p-3, -0x1.ca7ad8878c7b2p-3, -0x1.e24a7f3b5ab03p-3, -0x1.f91c1821db34p-3, -0x1.07827687e7d65p-2, -0x1.120d1af78d046p-2, -0x1.1c38545e87be7p-2, -0x1.260e109a13732p-2, -0x1.2f97aea6be4fp-2, -0x1.38dde5ee1e2bep-2, -0x1.41e8b556798ffp-2, -0x1.4abf58e283b7dp-2, -0x1.536844cb2fc1cp-2, -0x1.5be9251a713b7p-2, -0x1.6446e0ea2f161p-2, -0x1.6c85a085f067ep-2, -0x1.74a8d5c7757fcp-2, -0x1.7cb3461df9235p-2, -0x1.84a715c569c1dp-2, -0x1.8c85d3c623d05p-2, -0x1.94508667074e1p-2, -0x1.9c07b7cadb706p-2, -0x1.a3ab827f5124dp-2, -0x1.ab3b9dcf6e8b6p-2, -0x1.b2b769b52f67bp-2, -0x1.ba1dfa4e9f369p-2, -0x1.c16e22c1f3bfcp-2, -0x1.c8a67f8234f26p-2, -0x1.cfc57feb25621p-2, -0x1.d6c96f2f40e6bp-2, -0x1.ddb07c961df69p-2, -0x1.e478c30c40367p-2, -0x1.eb2050079ccb5p-2, -0x1.f1a529c5cfd2fp-2, -0x1.f80554ea468a4p-2, -0x1.fe3ed983a20fdp-2, -0x1.0227e3c01c7e6p-1, -0x1.051b1d4d0c5fep-1, -0x1.07f82ee189d1ap-1, -0x1.0abe370cc522fp-1, -0x1.0d6c5eb74667cp-1, -0x1.1001da32dfe8cp-1, -0x1.127dea1ba17fdp-1, -0x1.14dfdc0dbf1c3p-1, -0x1.17270b34369ebp-1, -0x1.1952e0b3cf52fp-1, -0x1.1b62d3f5da0e1p-1, -0x1.1d566ad5e90b2p-1, -0x1.1f2d39b580f5ep-1, -0x1.20e6e37892e08p-1, -0x1.2283196d573fep-1, -0x1.24019b21fbfe2p-1, -0x1.2562362a5c538p-1, -0x1.26a4c5d7d342ep-1, -0x1.27c932e50d9d1p-1, -0x1.28cf731795c35p-1, -0x1.29b788d8ae38dp-1, -0x1.2a8182c6eb91dp-1, -0x1.2b2d7b41ddfa8p-1, -0x1.2bbb97f0f681dp-1, -0x1.2c2c0946c04e8p-1, -0x1.2c7f0a015d38ap-1, -0x1.2cb4dea92a416p-1, -0x1.2ccdd50e4ebfap-1, -0x1.2cca43c5e9b03p-1, -0x1.2caa89a7794d4p-1, -0x1.2c6f0d4b09a7fp-1, -0x1.2c183c88a5db6p-1, -0x1.2ba68bf976b72p-1, -0x1.2b1a767aee1a4p-1, -0x1.2a747cb451ac8p-1, -0x1.29b5249ee9224p-1, -0x1.28dcf9110f5fp-1, -0x1.27ec894c55167p-1, -0x1.26e4688ee350bp-1, -0x1.25c52da83dedfp-1, -0x1.248f729180c4ep-1, -0x1.2343d40930351p-1, -0x1.21e2f132a7bb9p-1, -0x1.206d6b393707cp-1, -0x1.1ee3e4f6ee723p-1, -0x1.1d47029f1e209p-1, -0x1.1b97696c8a0bap-1, -0x1.19d5bf53473d5p-1, -0x1.1802aab640befp-1, -0x1.161ed2205542p-1, -0x1.142adc0106b34p-1, -0x1.12276e6ca4d8ep-1, -0x1.10152edfecd42p-1, -0x1.0df4c20703929p-1, -0x1.0bc6cb87be36dp-1, -0x1.098bedcf1f9e8p-1, -0x1.0744c9e1fc49fp-1, -0x1.04f1ff30a8b8p-1, -0x1.02942b6da09f2p-1, -0x1.002bea670f428p-1, -0x1.fb73abc640875p-2, -0x1.f67d0afe0a499p-2, -0x1.f1751d2129c1dp-2, -0x1.ec5d0814dfa8ap-2, -0x1.e735ecc520db8p-2, -0x1.e200e6f664748p-2, -0x1.dcbf0d1bea412p-2, -0x1.d771703253c5bp-2, -0x1.d2191b9e5b77p-2, -0x1.ccb7150f83e67p-2, -0x1.c74c5c668a8b4p-2, -0x1.c1d9eb9f7af9p-2, -0x1.bc60b6bf31418p-2, -0x1.b6e1abc427014p-2, -0x1.b15db29a5dc96p-2, -0x1.abd5ad1242663p-2, -0x1.a64a76da5d07fp-2, -0x1.a0bce57bb1457p-2, -0x1.9b2dc8589c47bp-2, -0x1.959de8ae18ec6p-2, -0x1.900e099740189p-2, -0x1.8a7ee812e6711p-2, -0x1.84f13b0b30554p-2, -0x1.7f65b35f09a23p-2, -0x1.79dcfbed51bf5p-2, -0x1.7457b9a1a9ecbp-2, -0x1.6ed68b82c859bp-2, -0x1.695a0ac22cd73p-2, -0x1.63e2cacd23c99p-2, -0x1.5e71595efc165p-2, -0x1.59063e9455aacp-2, -0x1.53a1fcff71bbcp-2, -0x1.4e4511bd70f54p-2, -0x1.48eff48c63e33p-2, -0x1.43a317e220637p-2, -0x1.3e5ee903c0dadp-2, -0x1.3923d01dc0ddbp-2, -0x1.33f2305ca0ddap-2, -0x1.2eca6805ffb54p-2, -0x1.29acd0921ea2bp-2, -0x1.2499bec5b942bp-2, -0x1.1f9182cc28506p-2, -0x1.1a946851be72ap-2, -0x1.15a2b69e51044p-2, -0x1.10bcb0afe5ce3p-2, -0x1.0be295557096bp-2, -0x1.07149f499fa46p-2, -0x1.0253054da4bd2p-2, -0x1.fb3bf487eab0fp-3, -0x1.f1eb5a95ea8b6p-3, -0x1.e8b493af1242p-3, -0x1.df97ef9f00a5cp-3, -0x1.d695b747ab6fp-3, -0x1.cdae2cd576ff7p-3, -0x1.c4e18bf2e3b4ep-3, -0x1.bc3009fbae7fap-3, -0x1.b399d62f77343p-3, -0x1.ab1f19e3c8896p-3, -0x1.a2bff8b580e03p-3, -0x1.9a7c90b9a1feap-3, -0x1.9254faad5f473p-3, -0x1.8a494a2588543p-3, -0x1.82598dbd2daa6p-3, -0x1.7a85cf43876c2p-3, -0x1.72ce13e9129e9p-3, -0x1.6b325c6be8857p-3, -0x1.63b2a5434120ep-3, -0x1.5c4ee6ca26156p-3, -0x1.550715695196cp-3, -0x1.4ddb21c0316cbp-3, -0x1.46caf8cd1438p-3, -0x1.3fd68414766b6p-3, -0x1.38fda9c77b47ap-3, -0x1.32404ce97da08p-3, -0x1.2b9e4d74cae28p-3, -0x1.2517887e7ead4p-3, -0x1.1eabd85981a5cp-3, -0x1.185b14b8a8dc8p-3, -0x1.122512cffa2e5p-3, -0x1.0c09a5751923bp-3, -0x1.06089d3ed7083p-3, -0x1.0021c8a3ec61ap-3, -0x1.f4a9e831b40bp-4, -0x1.e943d459f52eep-4, -0x1.de10e74d7e54cp-4, -0x1.d310af3e35114p-4, -0x1.c842b7384b636p-4, -0x1.bda68755e43b5p-4, -0x1.b33ba4f12c2eep-4, -0x1.a90192d4f7f1bp-4, -0x1.9ef7d16bc563fp-4, -0x1.951ddeed504abp-4, -0x1.8b73378aa9753p-4, -0x1.81f75598dbec4p-4, -0x1.78a9b1ba28c8ap-4, -0x1.6f89c305dba18p-4, -0x1.6696ff2ec3b5ep-4, -0x1.5dd0daa854fb7p-4, -0x1.5536c8ca78a37p-4, -0x1.4cc83bf413112p-4, -0x1.4484a5ac4975cp-4, -0x1.3c6b76c28900fp-4, -0x1.347c1f6d5b42fp-4, -0x1.2cb60f6809aedp-4, -0x1.2518b60f1df69p-4, -0x1.1da3827bbd7e2p-4, -0x1.1655e39def068p-4, -0x1.0f2f4855cbf99p-4, -0x1.082f1f8ba5404p-4, -0x1.0154d84723bccp-4, -0x1.f53fc38ad5d05p-5, -0x1.e81f571c8182bp-5, -0x1.db474b10901e1p-5, -0x1.ceb6801896695p-5, -0x1.c26bd7ef4dcdcp-5, -0x1.b666357ba4eep-5, -0x1.aaa47cf227901p-5, -0x1.9f2593f4baaf3p-5, -0x1.93e861b0c71a8p-5, -0x1.88ebcefbd3accp-5, -0x1.7e2ec66ea2d34p-5, -0x1.73b0347ed84ecp-5, -0x1.696f079735f75p-5, -0x1.5f6a302e7bd2ap-5, -0x1.55a0a0dcf3ee7p-5, -0x1.4c114e70b1bd4p-5, -0x1.42bb30009c2dap-5, -0x1.399d3efe38a23p-5, -0x1.30b6774654587p-5, -0x1.2805d7308ad5dp-5, -0x1.1f8a5f9db7148p-5, -0x1.17431405556a1p-5, -0x1.0f2efa81e4962p-5, -0x1.074d1bdc4c4d8p-5, -0x1.ff39072c9e7aap-6, -0x1.f0387fe830b68p-6, -0x1.e196c409c6529p-6, -0x1.d351fb55a26f8p-6, -0x1.c5685343d2c41p-6, -0x1.b7d7ff0ca405ap-6, -0x1.aa9f37b39835ep-6, -0x1.9dbc3c10e3c47p-6, -0x1.912d50d98806ep-6, -0x1.84f0c0a61867bp-6, -0x1.7904dbf83f672p-6, -0x1.6d67f93ef995p-6, -0x1.621874d9af53p-6, -0x1.5714b11a2a8f5p-6, -0x1.4c5b164578a72p-6, -0x1.41ea1293bb407p-6, -0x1.37c01a2f10ed8p-6, -0x1.2ddba7316ee3cp-6, -0x1.243b39a1b442ep-6, -0x1.1add576fc7113p-6, -0x1.11c08c6fee4c1p-6, -0x1.08e36a555fe6bp-6, -0x1.004488ac1502fp-6, -0x1.efc509a3c326ep-7, -0x1.df7803ddd9ea8p-7, -0x1.cf9f51daf6a33p-7, -0x1.c03850e251b52p-7, -0x1.b140699b1b79cp-7, -0x1.a2b50ff8ad7a1p-7, -0x1.9493c325c55eep-7, -0x1.86da0d6ecafe8p-7, -0x1.7985842b1d5p-7, -0x1.6c93c7a5a7002p-7, -0x1.6002830487fecp-7, -0x1.53cf6c3028752p-7, -0x1.47f843b97468p-7, -0x1.3c7ad4bf9597bp-7, -0x1.3154f4d4fa12cp-7, -0x1.268483e3e1c08p-7, -0x1.1c076c1262b33p-7, -0x1.11dba1a5fa7eap-7, -0x1.07ff22e6a63dfp-7, -0x1.fcdff0035a1b9p-8, -0x1.ea5865d7ebb4cp-8, -0x1.d863de8855964p-8, -0x1.c6fea46900278p-8, -0x1.b62514a8752f9p-8, -0x1.a5d39f121b7c3p-8, -0x1.9606c5d0758eep-8, -0x1.86bb1d2f27fe5p-8, -0x1.77ed4b5ca7be7p-8, -0x1.699a082bc5809p-8, -0x1.5bbe1cd4f4f61p-8, -0x1.4e5663b7a4664p-8, -0x1.415fc81b64fabp-8, -0x1.34d745f10faa7p-8, -0x1.28b9e993f8c8dp-8, -0x1.1d04cf8b3116cp-8, -0x1.11b5244ae972cp-8, -0x1.06c823f5fa01p-8, -0x1.f876343f09d08p-9, -0x1.e416c319b4b96p-9, -0x1.d06cc7ef60873p-9, -0x1.bd7333a0d3c4ap-9, -0x1.ab251401e3466p-9, -0x1.997d935f62817p-9, -0x1.8877f805db2a2p-9, -0x1.780fa3c93894fp-9, -0x1.6840138d04e54p-9, -0x1.5904decdb593ep-9, -0x1.4a59b72aa9d95p-9, -0x1.3c3a67f12b7d7p-9, -0x1.2ea2d5a870ebfp-9, -0x1.218efd9e75c4p-9, -0x1.14faf575fa64cp-9, -0x1.08e2eab5b6d9p-9, -0x1.fa8644b099323p-10, -0x1.e42ff0baf49ecp-10, -0x1.cebbbeb912595p-10, -0x1.ba22c02f73a19p-10, -0x1.a65e322223373p-10, -0x1.93677c40221a9p-10, -0x1.81383011c467dp-10, -0x1.6fca08291add2p-10, -0x1.5f16e7550e8dfp-10, -0x1.4f18d7d6dff3dp-10, -0x1.3fca0a9a624e2p-10, -0x1.3124d6706f965p-10, -0x1.2323b74c059f6p-10, -0x1.15c14d8207dffp-10, -0x1.08f85d0b92c2fp-10, -0x1.f9879995509fap-11, -0x1.e23d4ba3c997p-11, -0x1.cc08255d1e8fap-11, -0x1.b6debd69c6025p-11, -0x1.a2b7ea9f83f6dp-11, -0x1.8f8ac2a46cbb9p-11, -0x1.7d4e989839148p-11, -0x1.6bfafbc20e0d5p-11, -0x1.5b87b6442538cp-11, -0x1.4beccbd3f81c3p-11, -0x1.3d2278779a5e7p-11, -0x1.2f212f48a14cp-11, -0x1.21e1993bf6cap-11, -0x1.155c93ee86d43p-11, -0x1.098b3077a5c6cp-11, -0x1.fccd647e48b7ep-12, -0x1.e7d11bb3e19b2p-12, -0x1.d414cfd5726a5p-12, -0x1.c18c280f2ccep-12, -0x1.b02b2749aa3f8p-12, -0x1.9fe62a090a7dep-12, -0x1.90b1e455e86ddp-12, -0x1.82835faebee56p-12, -0x1.754ff904042a2p-12, -0x1.690d5ebcfe50fp-12, -0x1.5db18ec66bc75p-12, -0x1.5332d4a944de7p-12, -0x1.4987c7abf32d8p-12, -0x1.40a748fb8be46p-12, -0x1.388881ddc3008p-12, -0x1.3122e1ecd2321p-12, -0x1.2a6e1d5aa4308p-12, -0x1.24622b3dfd34p-12, -0x1.1ef743e7114dfp-12, -0x1.1a25df3ca2198p-12, -0x1.15e6b321f0545p-12, -0x1.1232b1e4aaffdp-12, -0x1.0f0308b25a583p-12, -0x1.0c511e1636a9ap-12, -0x1.0a16907ef254p-12, -0x1.084d34cc7f167p-12, -0x1.06ef14e4aacdcp-12, -0x1.05f66e4fcad9dp-12, -0x1.055db0dc9653ep-12, -0x1.051f7d4ba5895p-12, -0x1.0536a4027c273p-12, -0x1.059e23c419879p-12, -0x1.065128723dd39p-12, -0x1.074b09d4e4042p-12, -0x1.08874a68ab348p-12, -0x1.0a01963375b9ep-12, -0x1.0bb5c1a005f5fp-12, -0x1.0d9fc860011f9p-12, -0x1.0fbbcc54537f4p-12, -0x1.1206147be9119p-12, -0x1.147b0be80582ap-12, -0x1.171740b75a64bp-12, -0x1.19d76316a1bb4p-12, -0x1.1cb844473b66cp-12, -0x1.1fb6d5ab3bfa8p-12, -0x1.22d027d7a448dp-12, -0x1.260169ab93e67p-12, -0x1.2947e76d67982p-12, -0x1.2ca109ecbee6ep-12, -0x1.300a55aa11be4p-12, -0x1.33816a035546dp-12, -0x1.3704006575e42p-12, -0x1.3a8feb835b61dp-12, -0x1.3e231690c9376p-12, -0x1.41bb84830f3ccp-12, -0x1.45574f561502fp-12, -0x1.48f4a75595ee9p-12, -0x1.4c91d26b3f11dp-12, -0x1.502d2b7129eb7p-12, -0x1.53c5218864536p-12, -0x1.575837748fbe5p-12, -0x1.5ae502fa6de88p-12, -0x1.5e6a2c4358412p-12, -0x1.61e66d447c01ep-12, -0x1.65589129fb5f4p-12, -0x1.68bf73c5e4821p-12, -0x1.6c1a010330ba1p-12, -0x1.6f67345b9851cp-12, -0x1.72a61851dc0c4p-12, -0x1.75d5c5ef7a95bp-12, -0x1.78f5644561507p-12, -0x1.7c0427f042ba8p-12, -0x1.7f0152a079338p-12, -0x1.81ec32a4732d9p-12, -0x1.84c422770069ep-12, -0x1.87888850a6ba2p-12, -0x1.8a38d5bb3c2bdp-12, -0x1.8cd4872952ef2p-12, -0x1.8f5b23900f22ep-12, -0x1.91cc3c042338p-12, -0x1.94276b592d38dp-12, -0x1.966c55c40c44bp-12, -0x1.989aa87fcde1p-12, -0x1.9ab21974fbb96p-12, -0x1.9cb266e3f973ap-12, -0x1.9e9b571128071p-12, -0x1.a06cb7f3c1c88p-12, -0x1.a2265ee72f381p-12, -0x1.a3c8285e75161p-12, -0x1.a551f79a0f845p-12, -0x1.a6c3b65fb3173p-12, -0x1.a81d54b491776p-12, -0x1.a95ec899135d1p-12, -0x1.aa880dc76c1fcp-12, -0x1.ab992573ade24p-12, -0x1.ac92160de0f49p-12, -0x1.ad72eb05bc3e3p-12, -0x1.ae3bb490bf728p-12, -0x1.aeec8771a0d6bp-12, -0x1.af857cc1b53cap-12, -0x1.b006b1bc3e613p-12, -0x1.b070478acd5c6p-12, -0x1.b0c26313becc7p-12, -0x1.b0fd2cca10e1bp-12, -0x1.b120d07f23677p-12, -0x1.b12d7d35738dfp-12, -0x1.b12364f50ecddp-12, -0x1.b102bca1a6d43p-12, -0x1.b0cbbbd1733f4p-12, -0x1.b07e9ca5ff99p-12, -0x1.b01b9ba6590d7p-12, -0x1.afa2f799c98a5p-12, -0x1.af14f16493d4cp-12, -0x1.ae71cbe58757ap-12, -0x1.adb9cbd4def5ep-12, -0x1.aced37a43f30fp-12, -0x1.ac0c575fd5e4ap-12, -0x1.ab177490849fp-12, -0x1.aa0eda1f280d4p-12, -0x1.a8f2d438ce186p-12, -0x1.a7c3b0342d918p-12, -0x1.a681bc77d8c37p-12, -0x1.a52d486161699p-12, -0x1.a3c6a42d85e99p-12, -0x1.a24e20e135d28p-12, -0x1.a0c41033713c7p-12, -0x1.9f28c47806a1fp-12, -0x1.9d7c908b4e476p-12, -0x1.9bbfc7be46023p-12, -0x1.99f2bdc3ca883p-12, -0x1.9815c69e631c4p-12, -0x1.9629368f0561p-12, -0x1.942d620459f94p-12, -0x1.92229d8abb282p-12, -0x1.90093dbcd26bp-12, -0x1.8de19734f8a2p-12, -0x1.8babfe7f00f48p-12, -0x1.8968c80afbdbdp-12, -0x1.87184820518c5p-12, -0x1.84bad2d149cecp-12, -0x1.8250bbef8ce6p-12, -0x1.7fda5700be208p-12, -0x1.7d57f733f470ep-12, -0x1.7ac9ef5769848p-12, -0x1.783091cef1b6fp-12, -0x1.758c308aaa832p-12, -0x1.72dd1cfe389f4p-12, -0x1.7023a81887cc8p-12, -0x1.6d60223bcf1b5p-12, -0x1.6a92db362c81bp-12, -0x1.67bc223a9f04fp-12, -0x1.64dc45da3761dp-12, -0x1.61f393fde487dp-12, -0x1.5f0259e0761fp-12, -0x1.5c08e4090309ap-12, -0x1.59077e45b0b87p-12, -0x1.55fe73a6ce449p-12, -0x1.52ee0e7a28ba3p-12, -0x1.4fd69846bd848p-12, -0x1.4cb859c8b14d4p-12, -0x1.49939aeda416p-12, -0x1.4668a2d14050dp-12, -0x1.4337b7ba12075p-12, -0x1.40011f167d88dp-12, -0x1.3cc51d7a24e1ap-12, -0x1.3983f69b60b04p-12, -0x1.363ded511cf5ap-12, -0x1.32f34390c9428p-12, -0x1.2fa43a6c96cecp-12, -0x1.2c511211efc28p-12, -0x1.28fa09c7e1e33p-12, -0x1.259f5fee2cbbep-12, -0x1.224151fbfd5a9p-12, -0x1.1ee01c7f385e8p-12, -0x1.1b7bfb1bcb3a8p-12, -0x1.1815288b234c9p-12, -0x1.14abde9bc7a2p-12, -0x1.114056312446dp-12, -0x1.0dd2c7437e8fbp-12, -0x1.0a6368dfe3fd1p-12, -0x1.06f271288199dp-12, -0x1.03801554dfe11p-12, -0x1.000c89b252e1fp-12, -0x1.f930034916874p-13, -0x1.f2455f4c4677ep-13, -0x1.eb598a931c4dp-13, -0x1.e46ce6736b63ep-13, -0x1.dd7fd2764e547p-13, -0x1.d692ac5a036c5p-13, -0x1.cfa5d014121f9p-13, -0x1.c8b997d3eaf83p-13, -0x1.c1ce5c053bdd3p-13, -0x1.bae47352c18cap-13, -0x1.b3fc32a92ce63p-13, -0x1.ad15ed3a1051cp-13, -0x1.a631f47f01631p-13, -0x1.9f50983ca4dfdp-13, -0x1.9872268640fbp-13, -0x1.9196ebc0f0158p-13, -0x1.8abf32a773d3ep-13, -0x1.83eb444d7d7cfp-13, -0x1.7d1b6823ac4b3p-13, -0x1.764fe3fb345f6p-13, -0x1.6f88fc09c1258p-13, -0x1.68c6f2ed6709bp-13, -0x1.620a09b08edf6p-13, -0x1.5b527fce2c0a8p-13, -0x1.54a09335ca20ap-13, -0x1.4df4804fc3128p-13, -0x1.474e82015b364p-13, -0x1.40aed1b1247a6p-13, -0x1.3a15a74b38293p-13, -0x1.3383394587316p-13, -0x1.2cf7bca4448cfp-13, -0x1.267364fe4ec27p-13, -0x1.1ff6648196b1ap-13, -0x1.1980ebf78bc7dp-13, -0x1.13132ac9849a4p-13, -0x1.0cad4f05668d2p-13, -0x1.064f8561d77bdp-13, -0x1.fff3f2862c07bp-14, -0x1.f359a97e2cebp-14, -0x1.e6d08144dddf4p-14, -0x1.da58c8e8fe3f1p-14, -0x1.cdf2ccf84e6fep-14, -0x1.c19ed7884d458p-14, -0x1.b55d303f78e6bp-14, -0x1.a92e1c5e0a638p-14, -0x1.9d11dec71999p-14, -0x1.9108b8097cfd5p-14, -0x1.8512e66897957p-14, -0x1.7930a5e59190bp-14, -0x1.6d623047ab635p-14, -0x1.61a7bd257b9bp-14, -0x1.560181eda6228p-14, -0x1.4a6fb1ef58f8cp-14, -0x1.3ef27e6355f66p-14, -0x1.338a16742d67ap-14, -0x1.2836a74750d3bp-14, -0x1.1cf85c050c8ecp-14, -0x1.11cf5de1a29c2p-14, -0x1.06bbd425153c4p-14, -0x1.f77bc868431f6p-15, -0x1.e1ab632feb939p-15, -0x1.cc06bc0e42c24p-15, -0x1.b68e12da0a5d7p-15, -0x1.a141a3e4e9ca7p-15, -0x1.8c21a80b424acp-15, -0x1.772e54c3d3f1dp-15, -0x1.6267dc302ba5ap-15, -0x1.4dce6d2bfc6bcp-15, -0x1.3962335c5ec54p-15, -0x1.2523573fe3884p-15, -0x1.1111fe3d3e6f6p-15, -0x1.fa5c95657cc55p-16, -0x1.d2f0b80a16f86p-16, -0x1.abe09d5c53b94p-16, -0x1.852c789759f31p-16, -0x1.5ed4775c2d5c1p-16, -0x1.38d8c1cc46764p-16, -0x1.13397aa760bcep-16, -0x1.dbed7ecdf9a98p-17, -0x1.922150b4eb78p-17, -0x1.490e91842f5e5p-17, -0x1.00b55dd4fdcbp-17, -0x1.722b911c3a8e1p-18, -0x1.c8bf6c6531957p-19, -0x1.601cacc25c98bp-20, 0x1.96f10e92affe6p-21, 0x1.78a0a90215cbcp-19, 0x1.444fa1e4f1788p-18, 0x1.cadc5005318acp-18, 0x1.27fb5ac03715cp-17, 0x1.69cf9c9668466p-17, 0x1.aaeb28dd6c99dp-17, 0x1.eb4e42aa11c43p-17, 0x1.157c9a4fbde4p-16, 0x1.34f6286058cbp-16, 0x1.5413f82243b1fp-16, 0x1.72d639b376e14p-16, 0x1.913d209f97938p-16, 0x1.af48e3c936d28p-16, 0x1.ccf9bd55213bbp-16, 0x1.ea4fea946e1c7p-16, 0x1.03a5d5f817e29p-15, 0x1.11f6a26a81b74p-15, 0x1.201a7dcf2bd08p-15, 0x1.2e118cc19a0ddp-15, 0x1.3bdbf540dda8ep-15, 0x1.4979dea653982p-15, 0x1.56eb719be6a4dp-15, 0x1.6430d812a4031p-15, 0x1.714a3d3981a17p-15, 0x1.7e37cd7498d8ap-15, 0x1.8af9b65388365p-15, 0x1.979026896fa5bp-15, 0x1.a3fb4de3b7787p-15, 0x1.b03b5d41aff74p-15, 0x1.bc50868c51bc2p-15, 0x1.c83afcad9d7dep-15, 0x1.d3faf388cefcap-15, 0x1.df909ff251f61p-15, 0x1.eafc37a7debb9p-15, 0x1.f63df148a0de8p-15, 0x1.00ab0226fdd5bp-14, 0x1.06225481c6f1dp-14, 0x1.0b850c4022058p-14, 0x1.10d3464f78a5p-14, 0x1.160d1ffba0794p-14, 0x1.1b32b6eb56b56p-14, 0x1.2044291cf1f42p-14, 0x1.254194e2df7a9p-14, 0x1.2a2b18e065a82p-14, 0x1.2f00d4067ee64p-14, 0x1.33c2e59078c96p-14, 0x1.38716d00f55fbp-14, 0x1.3d0c8a1ebd1ecp-14, 0x1.41945cf1e85eap-14, 0x1.460905c0b7675p-14, 0x1.4a6aa50cc9cacp-14, 0x1.4eb95b905366ep-14, 0x1.52f54a3b1f255p-14, 0x1.571e922ff7defp-14, 0x1.5b3554c1e85b9p-14, 0x1.5f39b3719994ap-14, 0x1.632bcfeac49afp-14, 0x1.670bcc0199db7p-14, 0x1.6ad9c9b056de5p-14, 0x1.6e95eb14c46c4p-14, 0x1.7240526dd85fap-14, 0x1.75d922196d12fp-14, 0x1.79607c91d214cp-14, 0x1.7cd6846bb439dp-14, 0x1.803b5c53d08b2p-14, 0x1.838f270cccacp-14, 0x1.86d2076d2e987p-14, 0x1.8a04205d32b41p-14, 0x1.8d2594d4e4adfp-14, 0x1.903687d9f7e6fp-14, 0x1.93371c7df9bbfp-14, 0x1.962775dc58382p-14, 0x1.9907b71896e57p-14, 0x1.9bd8035c632f1p-14, 0x1.9e987dd6041a7p-14, 0x1.a14949b65a7cap-14, 0x1.a3ea8a2f54a9cp-14, 0x1.a67c627246c1bp-14, 0x1.a8fef5ae35d7p-14, 0x1.ab72670e55b45p-14, 0x1.add6d9b87f3efp-14, 0x1.b02c70cb89204p-14, 0x1.b2734f5df8b44p-14, 0x1.b4ab987c8422p-14, 0x1.b6d56f289ba87p-14, 0x1.b8f0f6571c5a4p-14, 0x1.bafe50eef4703p-14, 0x1.bcfda1c7d09dap-14, 0x1.beef0ba8c5ca4p-14, 0x1.c0d2b1472f0a1p-14, 0x1.c2a8b545742a1p-14, 0x1.c4713a31c56ddp-14, 0x1.c62c6285165a1p-14, 0x1.c7da50a1ccd62p-14, 0x1.c97b26d2e3986p-14, 0x1.cb0f074ab9b46p-14, 0x1.cc961421f42d8p-14, 0x1.ce106f56c29cep-14, 0x1.cf7e3acb9cbcep-14, 0x1.d0df98467170ep-14, 0x1.d234a96fb72e6p-14, 0x1.d37d8fd17fff9p-14, 0x1.d4ba6cd69f8ap-14, 0x1.d5eb61c9cd7b1p-14, 0x1.d7108fd4d9f79p-14, 0x1.d82a17ffde71cp-14, 0x1.d9381b306cb15p-14, 0x1.da3aba28d5477p-14, 0x1.db3215876e023p-14, 0x1.dc1e4dc5f532ep-14, 0x1.dcff8338bb4fp-14, 0x1.ddd5d60e0b9e2p-14, 0x1.dea1664d8db31p-14, 0x1.df6253d7a8b22p-14, 0x1.e018be64cd5f2p-14, 0x1.e0c4c58514d65p-14, 0x1.e166889f97367p-14, 0x1.e1fe26f1cb4cfp-14, 0x1.e28bbf8f28e8ep-14, 0x1.e30f71609ff26p-14, 0x1.e3895b2418838p-14, 0x1.e3f99b6bef67p-14, 0x1.e460509e9fa06p-14, 0x1.e4bd98f65822ap-14, 0x1.e51192807a1c4p-14, 0x1.e55c5b1d3415fp-14, 0x1.e59e107f32aeep-14, 0x1.e5d6d02b4f8c8p-14, 0x1.e606b77833ad6p-14, 0x1.e62de38ded209p-14, 0x1.e64c7165b1c5ap-14, 0x1.e6627dc9a03fdp-14, 0x1.e67025546416bp-14, 0x1.e6758470ef742p-14, 0x1.e672b75a571d6p-14, 0x1.e667da1b8896cp-14, 0x1.e655088f02154p-14, 0x1.e63a5e5ea7423p-14, 0x1.e617f70397ccap-14, 0x1.e5ededc5f95ep-14, 0x1.e5bc5dbcce2b8p-14, 0x1.e58361cdc0b81p-14, 0x1.e54314ad1ad29p-14, 0x1.e4fb90dd8dbd7p-14, 0x1.e4acf0b017298p-14, 0x1.e4574e43e0c89p-14, 0x1.e3fac38627153p-14, 0x1.e3976a32321e2p-14, 0x1.e32d5bd1454fap-14, 0x1.e2bcb1ba69688p-14, 0x1.e2458512757bfp-14, 0x1.e1c7eecc1d5acp-14, 0x1.e14407a7a984ep-14, 0x1.e0b9e8332999cp-14, 0x1.e029a8ca67bc8p-14, 0x1.df936196bf24bp-14, 0x1.def72a8f4927fp-14, 0x1.de551b78c2341p-14, 0x1.ddad4be5a6a1ep-14, 0x1.dcffd33626191p-14, 0x1.dc4cc8982ac4dp-14, 0x1.db94430777f3bp-14, 0x1.dad6594dadb1fp-14, 0x1.da1322025398bp-14, 0x1.d94ab38aead13p-14, 0x1.d87d241af54a1p-14, 0x1.d7aa89b428278p-14, 0x1.d6d2fa26665c3p-14, 0x1.d5f68b0febe5p-14, 0x1.d51551dd5c329p-14, 0x1.d42f63c9d5fa3p-14, 0x1.d344d5df29408p-14, 0x1.d255bcf5d75a1p-14, 0x1.d1622db54728ap-14, 0x1.d06a3c93e1ee5p-14, 0x1.cf6dfdd73754ep-14, 0x1.ce6d85941fa7ap-14, 0x1.cd68e7aee1a86p-14, 0x1.cc6037db52fc2p-14, 0x1.cb53899d1003ap-14, 0x1.ca42f04791791p-14, 0x1.c92e7efe67e2dp-14, 0x1.c81648b55dcdcp-14, 0x1.c6fa6030ac0acp-14, 0x1.c5dad80526b86p-14, 0x1.c4b7c2985be28p-14, 0x1.c3913220d9c3cp-14, 0x1.c26738a656678p-14, 0x1.c139e801d74b7p-14, 0x1.c00951de00a3p-14, 0x1.bed587b73229fp-14, 0x1.bd9e9adbc0ca2p-14, 0x1.bc649c6c290bbp-14, 0x1.bb279d5b45208p-14, 0x1.b9e7ae6e94f2ep-14, 0x1.b8a4e03e622cbp-14, 0x1.b75f433604ac2p-14, 0x1.b616e794235d7p-14, 0x1.b4cbdd6ad10dep-14, 0x1.b37e349fe2e3bp-14, 0x1.b22dfced249cp-14, 0x1.b0db45e08cc8ap-14, 0x1.af861edc7bdd3p-14, 0x1.ae2e971802709p-14, 0x1.acd4bd9f23e4p-14, 0x1.ab78a1530706ep-14, 0x1.aa1a50ea35239p-14, 0x1.a8b9daf0de73bp-14, 0x1.a7574dc913c5bp-14, 0x1.a5f2b7ab15c01p-14, 0x1.a48c26a590545p-14, 0x1.a323a89dc851ep-14, 0x1.a1b94b4ff3da3p-14, 0x1.a04d1c4f7aafdp-14, 0x1.9edf290728a7ap-14, 0x1.9d6f7eb97bd75p-14, 0x1.9bfe2a80efb3fp-14, 0x1.9a8b39502de4p-14, 0x1.9916b7f255394p-14, 0x1.97a0b30b4e5b8p-14, 0x1.96293717ffaaap-14, 0x1.94b0506e94383p-14, 0x1.93360b3ec0c6ap-14, 0x1.91ba739203ea6p-14, 0x1.903d954bf6909p-14, 0x1.8ebf7c2a81235p-14, 0x1.8d4033c62e392p-14, 0x1.8bbfc7926edbap-14, 0x1.8a3e42ddd2e9ep-14, 0x1.88bbb0d254652p-14, 0x1.87381c75a79b2p-14, 0x1.85b390a96d3a4p-14, 0x1.842e182b89b09p-14, 0x1.82a7bd96609e1p-14, 0x1.81208b61191b1p-14, 0x1.7f988bdfe67f9p-14, 0x1.7e0fc944529b2p-14, 0x1.7c864d9d79b1fp-14, 0x1.7afc22d852016p-14, 0x1.797152bff56d7p-14, 0x1.77e5e6fde4846p-14, 0x1.7659e91a46ce9p-14, 0x1.74cd627c3e92bp-14, 0x1.73405c6a21666p-14, 0x1.71b2e009bd896p-14, 0x1.7024f660a4d61p-14, 0x1.6e96a8546694ep-14, 0x1.6d07feaae4839p-14, 0x1.6b79020a845f8p-14, 0x1.69e9bafa8123fp-14, 0x1.685a31e330658p-14, 0x1.66ca6f0e3f354p-14, 0x1.653a7aa7055bp-14, 0x1.63aa5cbab1a5fp-14, 0x1.621a1d3891fb4p-14, 0x1.6089c3f26d97p-14, 0x1.5ef9589cb3e21p-14, 0x1.5d68e2cec1714p-14, 0x1.5bd86a032af5cp-14, 0x1.5a47f597ef239p-14, 0x1.58b78cced1d8ap-14, 0x1.572736cd8cc05p-14, 0x1.5596fa9e195d8p-14, 0x1.5406df2ee7fc3p-14, 0x1.5276eb532d841p-14, 0x1.50e725c31c938p-14, 0x1.4f57951c2f897p-14, 0x1.4dc83fe162875p-14, 0x1.4c392c7b6ff81p-14, 0x1.4aaa61391f1b3p-14, 0x1.491be44f72db2p-14, 0x1.478dbbd9f2947p-14, 0x1.45ffeddae330ep-14, 0x1.4472803b95845p-14, 0x1.42e578cc9c578p-14, 0x1.4158dd45f800cp-14, 0x1.3fccb34777aacp-14, 0x1.3e410058e62fbp-14, 0x1.3cb5c9ea3d148p-14, 0x1.3b2b1553f1feep-14, 0x1.39a0e7d7289bfp-14, 0x1.3817469df2c18p-14, 0x1.368e36bb93fc2p-14, 0x1.3505bd2cb8248p-14, 0x1.337dded7b0fb4p-14, 0x1.31f6a08cab7bcp-14, 0x1.30700705e6152p-14, 0x1.2eea16e7f82ecp-14, 0x1.2d64d4c20d108p-14, 0x1.2be0450e1a77ep-14, 0x1.2a5c6c31113cp-14, 0x1.28d94e7b23eb1p-14, 0x1.2756f027f5fdp-14, 0x1.25d5555edd946p-14, 0x1.245482330a959p-14, 0x1.22d47aa3d27dcp-14, 0x1.2155429ce3e8dp-14, 0x1.1fd6ddf6730fep-14, 0x1.1e595075722bep-14, 0x1.1cdc9dcbd27ddp-14, 0x1.1b60c998b88cdp-14, 0x1.19e5d768aec4ap-14, 0x1.186bcab5da101p-14, 0x1.16f2a6e8259f1p-14, 0x1.157a6f55827e7p-14, 0x1.1403274228433p-14, 0x1.128cd1e0b0f73p-14, 0x1.111772525de99p-14, 0x1.0fa30ba736aacp-14, 0x1.0e2fa0de542b4p-14, 0x1.0cbd34e60a86fp-14, 0x1.0b4bca9c13b68p-14, 0x1.09db64cdc767cp-14, 0x1.086c06384ce43p-14, 0x1.06fdb188d2baap-14, 0x1.0590695ca3a56p-14, 0x1.042430417c1b4p-14, 0x1.02b908b5af0fbp-14, 0x1.014ef52843217p-14, 0x1.ffcbeff255429p-15, 0x1.fcfc26f2ff794p-15, 0x1.fa2e93d755b97p-15, 0x1.f7633b071dee7p-15, 0x1.f49a20cd61a79p-15, 0x1.f1d34958d241p-15, 0x1.ef0eb8bc3f6cap-15, 0x1.ec4c72eed2487p-15, 0x1.e98c7bcc73b0ep-15, 0x1.e6ced71603bcfp-15, 0x1.e4138871cc506p-15, 0x1.e15a936bf4c2cp-15, 0x1.dea3fb76ae301p-15, 0x1.dbefc3ea7acf6p-15, 0x1.d93df006a7b96p-15, 0x1.d68e82f19271ep-15, 0x1.d3e17fb8ff5f9p-15, 0x1.d136e95271b54p-15, 0x1.ce8ec29b63a65p-15, 0x1.cbe90e599d3afp-15, 0x1.c945cf3b9ef56p-15, 0x1.c6a507d8ed1ebp-15, 0x1.c406bab23de4dp-15, 0x1.c16aea31cda92p-15, 0x1.bed198abcf0d2p-15, 0x1.bc3ac85ea7d62p-15, 0x1.b9a67b732cbbcp-15, 0x1.b714b3fce5dcap-15, 0x1.b48573fa7a1bdp-15, 0x1.b1f8bd55effb1p-15, 0x1.af6e91e4e9c5ap-15, 0x1.ace6f368de213p-15, 0x1.aa61e38f87be3p-15, 0x1.a7df63f321268p-15, 0x1.a55f761a94a8dp-15, 0x1.a2e21b79d5b27p-15, 0x1.a067557222bdfp-15, 0x1.9def25523e9c9p-15, 0x1.9b798c56d2196p-15, 0x1.99068baa905cfp-15, 0x1.9696246671a77p-15, 0x1.942857921a5b8p-15, 0x1.91bd262414ffbp-15, 0x1.8f549101ee592p-15, 0x1.8cee99009035dp-15, 0x1.8a8b3ee48dcecp-15, 0x1.882a836251894p-15, 0x1.85cc671e4a5c6p-15, 0x1.8370eaad44169p-15, 0x1.81180e94aabcfp-15, 0x1.7ec1d34aab54dp-15, 0x1.7c6e3936700e8p-15, 0x1.7a1d40b076617p-15, 0x1.77ceea02c0c45p-15, 0x1.75833568f4946p-15, 0x1.733a2310b4e08p-15, 0x1.70f3b319c7853p-15, 0x1.6eafe59662a2cp-15, 0x1.6c6eba8b4a289p-15, 0x1.6a3031f00ba3ep-15, 0x1.67f44baf4425p-15, 0x1.65bb07a6d5922p-15, 0x1.638465a8031dap-15, 0x1.61506577aff6dp-15, 0x1.5f1f06ceaee98p-15, 0x1.5cf04959d68b2p-15, 0x1.5ac42cba35d4ep-15, 0x1.589ab08551639p-15, 0x1.5673d4455af35p-15, 0x1.544f97794812ap-15, 0x1.522df995191c1p-15, 0x1.500efa0213947p-15, 0x1.4df2981edd8c7p-15, 0x1.4bd8d33f9849fp-15, 0x1.49c1aaae3a5a5p-15, 0x1.47ad1daab4aeap-15, 0x1.459b2b6b07ddap-15, 0x1.438bd31b7f398p-15, 0x1.417f13deead23p-15, 0x1.3f74ecceb56f3p-15, 0x1.3d6d5cfb15eb9p-15, 0x1.3b68636b39b9ep-15, 0x1.3965ff1d83949p-15, 0x1.37662f0795385p-15, 0x1.3568f2168b8fp-15, 0x1.336e472f28d75p-15, 0x1.31762d2df7972p-15, 0x1.2f80a2e76826ep-15, 0x1.2d8da7280fbe5p-15, 0x1.2b9d38b4c8e19p-15, 0x1.29af564ac1ca9p-15, 0x1.27c3fe9fc139ap-15, 0x1.25db3062490bep-15, 0x1.23f4ea399ff5cp-15, 0x1.22112ac60f7acp-15, 0x1.202ff0a10d5ccp-15, 0x1.1e513a5d48382p-15, 0x1.1c750686d4e8ep-15, 0x1.1a9b53a36158p-15, 0x1.18c420324173ap-15, 0x1.16ef6aac96d0ep-15, 0x1.151d318577f12p-15, 0x1.134d732a155e7p-15, 0x1.11802e01c9857p-15, 0x1.0fb5606e45067p-15, 0x1.0ded08cbbb621p-15, 0x1.0c272570e355ep-15, 0x1.0a63b4af324e9p-15, 0x1.08a2b4d2f5fcbp-15, 0x1.06e4242361a97p-15, 0x1.052800e2bb3fcp-15, 0x1.036e494e85cfbp-15, 0x1.01b6fb9f818fp-15, 0x1.00021609d0983p-15, 0x1.fc9f2d7a5cce7p-16, 0x1.f93ef7c9d87d8p-16, 0x1.f5e38750260c8p-16, 0x1.f28cd853266a2p-16, 0x1.ef3ae7109191ep-16, 0x1.ebedafbe3a484p-16, 0x1.e8a52e8a54b82p-16, 0x1.e5615f9b93461p-16, 0x1.e2223f11578f7p-16, 0x1.dee7c90408e2fp-16, 0x1.dbb1f98520809p-16, 0x1.d880cc9f61153p-16, 0x1.d5543e5728e05p-16, 0x1.d22c4aaa6ed2p-16, 0x1.cf08ed91133f4p-16, 0x1.cbea22fd06cb2p-16, 0x1.c8cfe6da84c4cp-16, 0x1.c5ba351022494p-16, 0x1.c2a9097f1d86cp-16, 0x1.bf9c60036fc0ap-16, 0x1.bc94347401e91p-16, 0x1.b99082a2e7b7cp-16, 0x1.b691465d6797p-16, 0x1.b3967b6c37e35p-16, 0x1.b0a01d93c2a77p-16, 0x1.adae28941acd5p-16, 0x1.aac09829414bp-16, 0x1.a7d7680b584bbp-16, 0x1.a4f293eeaeb79p-16, 0x1.a2121783e5abap-16, 0x1.9f35ee783fbd8p-16, 0x1.9c5e14759120ep-16, 0x1.998a85228081fp-16, 0x1.96bb3c22ac7d2p-16, 0x1.93f03516c92acp-16, 0x1.91296b9cc64fdp-16, 0x1.8e66db4fe895dp-16, 0x1.8ba87fc8fcb49p-16, 0x1.88ee549e646a6p-16, 0x1.863855644046ep-16, 0x1.83867dac8def3p-16, 0x1.80d8c9076bd97p-16, 0x1.7e2f3302fd32cp-16, 0x1.7b89b72b9dc0cp-16, 0x1.78e8510c150adp-16, 0x1.764afc2d9aadp-16, 0x1.73b1b41814501p-16, 0x1.711c74520e74ep-16, 0x1.6e8b3860ee2c9p-16, 0x1.6bfdfbc90c7aap-16, 0x1.6974ba0dc6e71p-16, 0x1.66ef6eb19ae0dp-16, 0x1.646e1536599eep-16, 0x1.61f0a91d2991ap-16, 0x1.5f7725e69d719p-16, 0x1.5d018712ed2c3p-16, 0x1.5a8fc821e1b73p-16, 0x1.5821e49318cc2p-16, 0x1.55b7d7e5fad1ep-16, 0x1.53519d99f98d9p-16, 0x1.50ef312e77a26p-16, 0x1.4e908e23096bdp-16, 0x1.4c35aff777df7p-16, 0x1.49de922be0419p-16, 0x1.478b3040b9307p-16, 0x1.453b85b6f53acp-16, 0x1.42ef8e101d88dp-16, 0x1.40a744ce51dcbp-16, 0x1.3e62a5747d2c4p-16, 0x1.3c21ab864e6c8p-16, 0x1.39e452885a6f8p-16, 0x1.37aa960023194p-16, 0x1.357471743d903p-16, 0x1.3341e06c48df4p-16, 0x1.3112de7120669p-16, 0x1.2ee7670cd336p-16, 0x1.2cbf75cacc67p-16, 0x1.2a9b0637cb2fcp-16, 0x1.287a13e20b3d5p-16, 0x1.265c9a594be8p-16, 0x1.2442952edbbb5p-16, 0x1.222bfff5b99b2p-16, 0x1.2018d6428d8f1p-16, 0x1.1e0913abcd829p-16, 0x1.1bfcb3c9b32dep-16, 0x1.19f3b2366c5dep-16, 0x1.17ee0a8e01bb6p-16, 0x1.15ebb86e9edap-16, 0x1.13ecb7785abc2p-16, 0x1.11f1034d8152bp-16, 0x1.0ff8979269b2p-16, 0x1.0e036fedba85fp-16, 0x1.0c11880848348p-16, 0x1.0a22db8d4f3bp-16, 0x1.0837662a53c1bp-16, 0x1.064f238f53538p-16, 0x1.046a0f6eb0b13p-16, 0x1.0288257d5b731p-16, 0x1.00a96172c02ebp-16, 0x1.fd9b7e11d4a94p-17, 0x1.f9ea73f9029dfp-17, 0x1.f63f9c19b227ap-17, 0x1.f29aedf8011d3p-17, 0x1.eefc611d98de9p-17, 0x1.eb63ed1998b65p-17, 0x1.e7d18980dde8dp-17, 0x1.e4452dedfdf02p-17, 0x1.e0bed20164bfep-17, 0x1.dd3e6d61465bap-17, 0x1.d9c3f7b9ce662p-17, 0x1.d64f68bd45996p-17, 0x1.d2e0b823f4f3dp-17, 0x1.cf77ddac5f5ep-17, 0x1.cc14d11b00d06p-17, 0x1.c8b78a3ad5cb2p-17, 0x1.c56000dd11d69p-17, 0x1.c20e2cd961ce2p-17, 0x1.bec2060dcd9cbp-17, 0x1.bb7b845eec1e7p-17, 0x1.b83a9fb7d628p-17, 0x1.b4ff500a463b8p-17, 0x1.b1c98d4e9153bp-17, 0x1.ae994f83cdccfp-17, 0x1.ab6e8eafc66d6p-17, 0x1.a84942df29f34p-17, 0x1.a52964256149fp-17, 0x1.a20eea9ccd826p-17, 0x1.9ef9ce66b0c3dp-17, 0x1.9bea07ab4c8fap-17, 0x1.98df8e99dedf3p-17, 0x1.95da5b68b7c25p-17, 0x1.92da665554c0cp-17, 0x1.8fdfa7a42734bp-17, 0x1.8cea17a0e38e6p-17, 0x1.89f9ae9e745bdp-17, 0x1.870e64f6f1a2cp-17, 0x1.8428330bc4e86p-17, 0x1.8147114580d7p-17, 0x1.7e6af81433637p-17, 0x1.7b93dfef17fa8p-17, 0x1.78c1c154f0dafp-17, 0x1.75f494cbcd6ffp-17, 0x1.732c52e143f6bp-17, 0x1.7068f42a4c061p-17, 0x1.6daa71434cf7dp-17, 0x1.6af0c2d04924ep-17, 0x1.683be17c9e7bdp-17, 0x1.658bc5fb6880ep-17, 0x1.62e069071437ap-17, 0x1.6039c361daa25p-17, }}, 
      {{-0x1.4daf0bcb74eebp-1, -0x1.4e176511cb522p-1, -0x1.4e970d64f9b78p-1, -0x1.4f219b312777cp-1, -0x1.4fab72eb9fe06p-1, -0x1.502a7a2eda419p-1, -0x1.50966b89b9a31p-1, -0x1.50e8eb9f69e39p-1, -0x1.511d76b10febcp-1, -0x1.513136b8f93d1p-1, -0x1.5122cd35a61afp-1, -0x1.50f218221ef5fp-1, -0x1.509ff70135d88p-1, -0x1.502e130b8c72dp-1, -0x1.4f9eac47f576bp-1, -0x1.4ef46c73dddeep-1, -0x1.4e3240096b3d4p-1, -0x1.4d5b354d9907ap-1, -0x1.4c7261129da5fp-1, -0x1.4b7ac8b6eb57bp-1, -0x1.4a7750d72bc08p-1, -0x1.496ab023c1c21p-1, -0x1.485765cc7c73dp-1, -0x1.473fb2fc3fbd3p-1, -0x1.462596e87903bp-1, -0x1.450acd03b8d52p-1, -0x1.43f0cceed7eap-1, -0x1.42d8cbcffc85ap-1, -0x1.41c3bec23dbfcp-1, -0x1.40b25e1b431cep-1, -0x1.3fa5294dfa59ap-1, -0x1.3e9c6b3a4def7p-1, -0x1.3d983ec19471ep-1, -0x1.3c98937e6d5aap-1, -0x1.3b9d3284c5258p-1, -0x1.3aa5c3140ee42p-1, -0x1.39b1cf2a49a5cp-1, -0x1.38c0c7ea553bbp-1, -0x1.37d209cb6c77ep-1, -0x1.36e4e08a6f26cp-1, -0x1.35f88ad7fd793p-1, -0x1.350c3dc06569ep-1, -0x1.341f27cbf6d5ep-1, -0x1.333073d7b14f5p-1, -0x1.323f4ba741843p-1, -0x1.314ada32273b8p-1, -0x1.30524dae75f8fp-1, -0x1.2f54d95c2f83dp-1, -0x1.2e51b7148058cp-1, -0x1.2d4828a073e52p-1, -0x1.2c3778dacf7cep-1, -0x1.2b1efca0dbd5bp-1, -0x1.29fe1395e2d6ap-1, -0x1.28d428bd1979p-1, -0x1.27a0b2ed9d31cp-1, -0x1.2663352408819p-1, -0x1.251b3eb4fc402p-1, -0x1.23c86b63dae2bp-1, -0x1.226a6360ba7a5p-1, -0x1.2100db3070492p-1, -0x1.1f8b93815e17fp-1, -0x1.1e0a58ef84104p-1, -0x1.1c7d03ba24ac3p-1, -0x1.1ae3776d1c4e5p-1, -0x1.193da27fe28bbp-1, -0x1.178b7debfefe1p-1, -0x1.15cd0cbc91ac6p-1, -0x1.14025b986a96fp-1, -0x1.122b804805b0ap-1, -0x1.104899389c0ebp-1, -0x1.0e59ccfd5fd2bp-1, -0x1.0c5f49cfd1d7bp-1, -0x1.0a5945100f74ep-1, -0x1.0847fac5cea22p-1, -0x1.062bad22b750cp-1, -0x1.0404a406a0558p-1, -0x1.01d32c8634444p-1, -0x1.ff2f30e8c5097p-2, -0x1.faa47bddef54cp-2, -0x1.f606eddd4d02dp-2, -0x1.f15741b57ad25p-2, -0x1.ec96384170ba7p-2, -0x1.e7c4979faafep-2, -0x1.e2e32a7188a2bp-2, -0x1.ddf2bf230a641p-2, -0x1.d8f4273b01185p-2, -0x1.d3e836b3bae9ep-2, -0x1.cecfc35c2072fp-2, -0x1.c9aba4413a3fdp-2, -0x1.c47cb12004c6cp-2, -0x1.bf43c1df70f6p-2, -0x1.ba01ae126bf77p-2, -0x1.b4b74c81c22e5p-2, -0x1.af6572bda9f9ap-2, -0x1.aa0cf4b6c56a3p-2, -0x1.a4aea45e5d59ap-2, -0x1.9f4b514d9f591p-2, -0x1.99e3c8739f22dp-2, -0x1.9478d3c9e10ffp-2, -0x1.8f0b3a0f2b299p-2, -0x1.899bbe885bbdap-2, -0x1.842b20c70e7e5p-2, -0x1.7eba1c75c5d78p-2, -0x1.7949692961f1bp-2, -0x1.73d9ba37a369ep-2, -0x1.6e6bbe927ad99p-2, -0x1.690020a7ec732p-2, -0x1.639786464be2bp-2, -0x1.5e32908493c14p-2, -0x1.58d1dbaea281fp-2, -0x1.5375ff3527316p-2, -0x1.4e1f8da103892p-2, -0x1.48cf1489f679fp-2, -0x1.43851c9057c3ap-2, -0x1.3e422959b6dcap-2, -0x1.3906b9902cc83p-2, -0x1.33d346e435c1cp-2, -0x1.2ea84610e48fcp-2, -0x1.298626e248588p-2, -0x1.246d543dddd59p-2, -0x1.1f5e342cdfe9fp-2, -0x1.1a5927e85a23ep-2, -0x1.155e8be6d443ap-2, -0x1.106eb7eb794f1p-2, -0x1.0b89ff169692cp-2, -0x1.06b0aff755fap-2, -0x1.01e3149e9727ep-2, -0x1.fa42e5659492bp-3, -0x1.f0d8170962baep-3, -0x1.e7863849e3e85p-3, -0x1.de4dbaf4ba049p-3, -0x1.d52f08b1ae789p-3, -0x1.cc2a83319a99ap-3, -0x1.c340845e3d953p-3, -0x1.ba715e8ada087p-3, -0x1.b1bd5ca577334p-3, -0x1.a924c268ac449p-3, -0x1.a0a7cc8dc2bb6p-3, -0x1.9846b0ff2a95ap-3, -0x1.90019f0b11ae7p-3, -0x1.87d8bf96084d8p-3, -0x1.7fcc354da85abp-3, -0x1.77dc1cdb0fb4fp-3, -0x1.70088d152f6fbp-3, -0x1.68519732ce897p-3, -0x1.60b746fc38311p-3, -0x1.5939a2fc742d2p-3, -0x1.51d8acb213f32p-3, -0x1.4a9460bf67929p-3, -0x1.436cb71a2a496p-3, -0x1.3c61a33a85543p-3, -0x1.357314496738ep-3, -0x1.2ea0f54e2b25p-3, -0x1.27eb2d5b77bf3p-3, -0x1.21519fbb5e37p-3, -0x1.1ad42c1aab816p-3, -0x1.1472aeb35dad6p-3, -0x1.0e2d00764c466p-3, -0x1.0802f733e6bc4p-3, -0x1.01f465c416039p-3, -0x1.f802385a7305p-4, -0x1.ec51cf9474092p-4, -0x1.e0d726df63a56p-4, -0x1.d591cf2059286p-4, -0x1.ca8154bee38c6p-4, -0x1.bfa53fe9dc0aap-4, -0x1.b4fd14da434d9p-4, -0x1.aa88541458c26p-4, -0x1.a0467aa6ce21bp-4, -0x1.963702681f19dp-4, -0x1.8c59623220a17p-4, -0x1.82ad0e1bb3b8p-4, -0x1.793177b0b109fp-4, -0x1.6fe60e2807aa9p-4, -0x1.66ca3e9819cbbp-4, -0x1.5ddd742959361p-4, -0x1.551f18472b12p-4, -0x1.4c8e92cf17942p-4, -0x1.442b4a3e501c1p-4, -0x1.3bf4a3dd8b10cp-4, -0x1.33ea03eb446edp-4, -0x1.2c0acdc464cacp-4, -0x1.2456640b5955fp-4, -0x1.1ccc28cda1a5ap-4, -0x1.156b7da7df32ep-4, -0x1.0e33c3e869eb1p-4, -0x1.07245cb07599dp-4, -0x1.003ca913cced8p-4, -0x1.f2f8146e59fa2p-5, -0x1.e5c3c2da94387p-5, -0x1.d8db20a503b86p-5, -0x1.cc3cf1ce8d6d2p-5, -0x1.bfe7fb529a407p-5, -0x1.b3db035703287p-5, -0x1.a814d1599a715p-5, -0x1.9c942e5b6fc74p-5, -0x1.9157e509d178bp-5, -0x1.865ec1e523909p-5, -0x1.7ba793659b369p-5, -0x1.71312a1deb594p-5, -0x1.66fa58dbf5488p-5, -0x1.5d01f4c78fe5dp-5, -0x1.5346d57f6ab14p-5, -0x1.49c7d53427711p-5, -0x1.4083d0c1b17d2p-5, -0x1.3779a7c6e7165p-5, -0x1.2ea83cbb9c2d9p-5, -0x1.260e75050cc4dp-5, -0x1.1dab3908c8c3fp-5, -0x1.157d743e24deep-5, -0x1.0d84153e438afp-5, -0x1.05be0dd2c039ap-5, -0x1.fc54a6060e16bp-6, -0x1.ed8fba40d524dp-6, -0x1.df2b4fa207399p-6, -0x1.d1256432c1fedp-6, -0x1.c37bfcca37972p-6, -0x1.b62d251ca9b67p-6, -0x1.a936efc857136p-6, -0x1.9c97766067273p-6, -0x1.904cd975f3e72p-6, -0x1.8455409f425aep-6, -0x1.78aeda7d3a3ebp-6, -0x1.6d57dcbf398c2p-6, -0x1.624e84254af19p-6, -0x1.57911480dd7c3p-6, -0x1.4d1dd8b40ad1cp-6, -0x1.42f322af7959bp-6, -0x1.390f4b6ef897bp-6, -0x1.2f70b2f4cf45bp-6, -0x1.2615c043f15cbp-6, -0x1.1cfce1590402ep-6, -0x1.14248b225bb44p-6, -0x1.0b8b3976fafabp-6, -0x1.032f6f0c97579p-6, -0x1.f61f6ad97f9dep-7, -0x1.e65539d2556eap-7, -0x1.d6fd791e6ab54p-7, -0x1.c8156435523a6p-7, -0x1.b99a43cf97977p-7, -0x1.ab896dc98f763p-7, -0x1.9de04504f9396p-7, -0x1.909c394974e1p-7, -0x1.83bac723e94edp-7, -0x1.773977c4ff82p-7, -0x1.6b15e0dea789cp-7, -0x1.5f4da480c4ba1p-7, -0x1.53de70f530ff3p-7, -0x1.48c6009af14e2p-7, -0x1.3e0219c0d7271p-7, -0x1.33908e7f88205p-7, -0x1.296f3c9311e64p-7, -0x1.1f9c0d33f5da2p-7, -0x1.1614f4efd83b2p-7, -0x1.0cd7f381d4644p-7, -0x1.03e313aa8552ap-7, -0x1.f668d60f87b9fp-8, -0x1.e59433d8832f3p-8, -0x1.d544966dc5663p-8, -0x1.c57668541859ap-8, -0x1.b626288597b69p-8, -0x1.a7506a1ffa7c7p-8, -0x1.98f1d412d6236p-8, -0x1.8b0720cde372fp-8, -0x1.7d8d1def543cbp-8, -0x1.7080abf27ab6cp-8, -0x1.63debdde7e59ep-8, -0x1.57a458f568d8fp-8, -0x1.4bce94638edbap-8, -0x1.405a98ef48615p-8, -0x1.3545a0a92f672p-8, -0x1.2a8cf69cba996p-8, -0x1.202df6816749bp-8, -0x1.16260c6c70facp-8, -0x1.0c72b48315a84p-8, -0x1.03117aad8bf3bp-8, -0x1.f3fff49503a9bp-9, -0x1.e277bbc6c4961p-9, -0x1.d185bdc274bdfp-9, -0x1.c1258a84dbbe5p-9, -0x1.b152cea24c54dp-9, -0x1.a20952b500c2ap-9, -0x1.9344facd0ec32p-9, -0x1.8501c5e20e1bbp-9, -0x1.773bcd466ef33p-9, -0x1.69ef441c696ep-9, -0x1.5d1876ccb3963p-9, -0x1.50b3ca7ee4cc6p-9, -0x1.44bdbc93bf9b4p-9, -0x1.3932e2212c74cp-9, -0x1.2e0fe7700eff2p-9, -0x1.23518f7bd78dep-9, -0x1.18f4b37407605p-9, -0x1.0ef6423f5f072p-9, -0x1.05534001335b3p-9, -0x1.f8118b40c3d1bp-10, -0x1.e62800a03136p-10, -0x1.d4e46235433f9p-10, -0x1.c44158dbe3531p-10, -0x1.b439b354662f5p-10, -0x1.a4c865643d7c7p-10, -0x1.95e886fa1aeedp-10, -0x1.87955356229fp-10, -0x1.79ca2835b41e1p-10, -0x1.6c828502ca44ep-10, -0x1.5fba0a0766d84p-10, -0x1.536c77a4082cp-10, -0x1.4795ad8a1d16ep-10, -0x1.3c31a9fa0b221p-10, -0x1.313c8904b3cfap-10, -0x1.26b283d0c8e82p-10, -0x1.1c8fefe33f0c1p-10, -0x1.12d13e6b79e87p-10, -0x1.0972fb92e45dep-10, -0x1.0071cdcfe42bfp-10, -0x1.ef94ea78980aep-11, -0x1.def395ded478dp-11, -0x1.cef980b59c37ep-11, -0x1.bfa0bd5567bbfp-11, -0x1.b0e38c537fbcdp-11, -0x1.a2bc5b4f718a1p-11, -0x1.9525c3c791fcdp-11, -0x1.881a89f30bf2ap-11, -0x1.7b959ba2515cep-11, -0x1.6f920f25cc71ep-11, -0x1.640b223a5affcp-11, -0x1.58fc38fbe52c5p-11, -0x1.4e60dcde3a6a7p-11, -0x1.4434bbaafb6b1p-11, -0x1.3a73a6854f175p-11, -0x1.311990f3a00d2p-11, -0x1.28228fee84972p-11, -0x1.1f8ad8f512e09p-11, -0x1.174ec12712a98p-11, -0x1.0f6abc63fcbp-11, -0x1.07db5c6eb5579p-11, -0x1.009d50176d8c5p-11, -0x1.f35ac4d333ac1p-12, -0x1.e610f3beaada7p-12, -0x1.d9572f32ff502p-12, -0x1.cd27ad3996bb9p-12, -0x1.c17cd625c4716p-12, -0x1.b651432117926p-12, -0x1.ab9fbcc0a9aep-12, -0x1.a16339a2fa995p-12, -0x1.9796dd16cf038p-12, -0x1.8e35f5cad1d57p-12, -0x1.853bfc8418ba5p-12, -0x1.7ca492de96098p-12, -0x1.746b82149a6f7p-12, -0x1.6c8cb9ce56d2fp-12, -0x1.65044ef924d21p-12, -0x1.5dce7aa6e17fp-12, -0x1.56e798f436889p-12, -0x1.504c27f589be8p-12, -0x1.49f8c6ac0270dp-12, -0x1.43ea34012975ap-12, -0x1.3e1d4dc958141p-12, -0x1.388f0fccb2455p-12, -0x1.333c92d74ad3fp-12, -0x1.2e230bcee2539p-12, -0x1.293fcaceddab1p-12, -0x1.24903a4b2c642p-12, -0x1.2011de384a5f5p-12, -0x1.1bc25339c283ap-12, -0x1.179f4dd624319p-12, -0x1.13a699b0996a3p-12, -0x1.0fd618c7efb98p-12, -0x1.0c2bc2bae08dcp-12, -0x1.08a5a411b14c7p-12, -0x1.0541dd8cd7d55p-12, -0x1.01fea378a94c9p-12, -0x1.fdb47a0c6d834p-13, -0x1.f7a60750d769fp-13, -0x1.f1cec4ebefb14p-13, -0x1.ec2bab1f7f2fcp-13, -0x1.e6b9d317698bp-13, -0x1.e17675c8da04ap-13, -0x1.dc5eead80aeefp-13, -0x1.d770a787f2d9fp-13, -0x1.d2a93db1919ddp-13, -0x1.ce065ac2bf876p-13, -0x1.c985c6c4720b7p-13, -0x1.c525636890206p-13, -0x1.c0e32b1f5809bp-13, -0x1.bcbd3033ccc7cp-13, -0x1.b8b19beec47bdp-13, -0x1.b4beadc098a7dp-13, -0x1.b0e2ba71ec7a8p-13, -0x1.ad1c2b5a479aap-13, -0x1.a9697d9ce2356p-13, -0x1.a5c9416ba41f1p-13, -0x1.a23a19503b193p-13, -0x1.9ebab97aa8d06p-13, -0x1.9b49e7155f16cp-13, -0x1.97e6779f09e1cp-13, -0x1.948f50497e22p-13, -0x1.9143655d8f4eep-13, -0x1.8e01b9a418363p-13, -0x1.8ac95dd41dd6dp-13, -0x1.879970050d5efp-13, -0x1.84711b264ddb6p-13, -0x1.814f967ae06e9p-13, -0x1.7e3425199aab7p-13, -0x1.7b1e157123cf3p-13, -0x1.780cc0d084042p-13, -0x1.74ff8af344f8ep-13, -0x1.71f5e19236843p-13, -0x1.6eef3bf7132c3p-13, -0x1.6beb1a9447067p-13, -0x1.68e906a024cb6p-13, -0x1.65e891b3eb4afp-13, -0x1.62e9556d6d85bp-13, -0x1.5feaf314f655bp-13, -0x1.5ced1345032cp-13, -0x1.59ef659638914p-13, -0x1.56f1a04e01656p-13, -0x1.53f3800fdb922p-13, -0x1.50f4c7916fe91p-13, -0x1.4df53f51daf63p-13, -0x1.4af4b552d6cdep-13, -0x1.47f2fcd503cb9p-13, -0x1.44efee16dddc7p-13, -0x1.41eb6615192cfp-13, -0x1.3ee5464e65d5fp-13, -0x1.3bdd7488eeb08p-13, -0x1.38d3da9a2c715p-13, -0x1.35c86630a9f61p-13, -0x1.32bb08a030aadp-13, -0x1.2fabb6af7cbf4p-13, -0x1.2c9a68681c344p-13, -0x1.298718e87f0f1p-13, -0x1.2671c637105cap-13, -0x1.235a7117af30fp-13, -0x1.20411ce28f09ep-13, -0x1.1d25cf5ced784p-13, -0x1.1a0890932f2c2p-13, -0x1.16e96ab499889p-13, -0x1.13c869f0876bap-13, -0x1.10a59c54cacd3p-13, -0x1.0d8111adebbfcp-13, -0x1.0a5adb6889795p-13, -0x1.07330c73cfe17p-13, -0x1.0409b925444c3p-13, -0x1.00def71e0b9bap-13, -0x1.fb65ba61e97a5p-14, -0x1.f50b0693ca43bp-14, -0x1.eeae04acf7edbp-14, -0x1.e84ee85e6e237p-14, -0x1.e1ede7043d8cdp-14, -0x1.db8b377c839c7p-14, -0x1.d5271200418c5p-14, -0x1.cec1affdcfe23p-14, -0x1.c85b4bf55c5ebp-14, -0x1.c1f42157334abp-14, -0x1.bb8c6c62ed8dp-14, -0x1.b5246a08db9b7p-14, -0x1.aebc57cd5fd18p-14, -0x1.a85473ac4ffbcp-14, -0x1.a1ecfbff1a501p-14, -0x1.9b862f63a395cp-14, -0x1.95204ca45ec16p-14, -0x1.8ebb92a1fa6dcp-14, -0x1.8858403e0e22cp-14, -0x1.81f69446f21bfp-14, -0x1.7b96cd64959a1p-14, -0x1.75392a069df84p-14, -0x1.6edde8538dd81p-14, -0x1.68854618d67dap-14, -0x1.622f80bbbc1efp-14, -0x1.5bdcd52b46f8ep-14, -0x1.558d7fd2edc2fp-14, -0x1.4f41bc8e3d6b5p-14, -0x1.48f9c69d513fep-14, -0x1.42b5d89a02a85p-14, -0x1.3c762c6dc5d0bp-14, -0x1.363afb4841511p-14, -0x1.30047d9667b78p-14, -0x1.29d2eafaddf9ep-14, -0x1.23a67a4653ac9p-14, -0x1.1d7f6170c67dep-14, -0x1.175dd592f3cf2p-14, -0x1.11420ae0d7426p-14, -0x1.0b2c34a45e105p-14, -0x1.051c8538824fcp-14, -0x1.fe265c0b2d5cap-15, -0x1.f220befa086a6p-15, -0x1.e628922bd2d48p-15, -0x1.da3e3294b7dc9p-15, -0x1.ce61fb29a4eb1p-15, -0x1.c29444dbd992ap-15, -0x1.b6d5669546613p-15, -0x1.ab25b535294dp-15, -0x1.9f85838e5346p-15, -0x1.93f52264c18ecp-15, -0x1.8874e06c9e4afp-15, -0x1.7d050a4a2a84fp-15, -0x1.71a5ea910cebp-15, -0x1.6657c9c4bde55p-15, -0x1.5b1aee598f51p-15, -0x1.4fef9cb600409p-15, -0x1.44d61734868cdp-15, -0x1.39ce9e2531201p-15, -0x1.2ed96fd07c804p-15, -0x1.23f6c87a3847ep-15, -0x1.1926e26426013p-15, -0x1.0e69f5d1bbd6ap-15, -0x1.03c0390c24835p-15, -0x1.f253c0cb9b8acp-16, -0x1.dd4e3c7ddb398p-16, -0x1.c87046138401ap-16, -0x1.b3ba3a9f5dc46p-16, -0x1.9f2c736ba00b3p-16, -0x1.8ac746042ec3dp-16, -0x1.768b0440ac78fp-16, -0x1.6277fc509f9afp-16, -0x1.4e8e78c5518f6p-16, -0x1.3acec09d9594dp-16, -0x1.273917521a003p-16, -0x1.13cdbce035167p-16, -0x1.008cedd69114ep-16, -0x1.daedc6c304f46p-17, -0x1.b517a6aea2ad1p-17, -0x1.8f97e08a22915p-17, -0x1.6a6ed2f644945p-17, -0x1.459cd632c9eb2p-17, -0x1.21223c392d799p-17, -0x1.f9fea1ae4aafdp-18, -0x1.b268b38f74a57p-18, -0x1.6b832d9c6fa9bp-18, -0x1.254e83a0b0c9bp-18, -0x1.bf963bbbbfa22p-19, -0x1.35f2b28adc8b3p-19, -0x1.5b661ea2bca74p-20, -0x1.36beff00623cdp-22, 0x1.7a798d8229dbbp-21, 0x1.c55eae15bfecbp-20, 0x1.655aac550b316p-19, 0x1.e6a028a7bccfbp-19, 0x1.333fd29b17d7ep-18, 0x1.727c874bc9ea1p-18, 0x1.b106322fb4d08p-18, 0x1.eedcdc5c123d7p-18, 0x1.16004c00dc369p-17, 0x1.3438c01b6a6efp-17, 0x1.5217dc64204b5p-17, 0x1.6f9db70393ad1p-17, 0x1.8cca6a4bd946cp-17, 0x1.a99e14a010d26p-17, 0x1.c618d85d35d3ep-17, 0x1.e23adbc239e8cp-17, 0x1.fe0448d7962eap-17, 0x1.0cbaa6aca9f1ap-16, 0x1.1a470d4f78b0cp-16, 0x1.27a772c2586c4p-16, 0x1.34dbf32aa98cfp-16, 0x1.41e4ac5a336b7p-16, 0x1.4ec1bdc361bfap-16, 0x1.5b73486f4d11p-16, 0x1.67f96ef29f52ap-16, 0x1.74545562dbeeap-16, 0x1.8084214c0cb4p-16, 0x1.8c88f9a68a25ap-16, 0x1.986306ccf410dp-16, 0x1.a4127271cf58ep-16, 0x1.af9767960bc96p-16, 0x1.baf2127f4e195p-16, 0x1.c622a0add50dp-16, 0x1.d12940d3b64f3p-16, 0x1.dc0622cb2368cp-16, 0x1.e6b9778d53039p-16, 0x1.f1437129c0a53p-16, 0x1.fba442bd630b6p-16, 0x1.02ee1034c54ffp-15, 0x1.07f59fa5d0bb3p-15, 0x1.0ce8eaba4501ap-15, 0x1.11c80cf0578aap-15, 0x1.16932237b0318p-15, 0x1.1b4a46ed9def9p-15, 0x1.1fed97d93644p-15, 0x1.247d322746da6p-15, 0x1.28f933667e50bp-15, 0x1.2d61b98400b7dp-15, 0x1.31b6e2c76ae0dp-15, 0x1.35f8cdcf6739cp-15, 0x1.3a27998e394b9p-15, 0x1.3e4365462c65bp-15, 0x1.424c508636e3dp-15, 0x1.46427b267d064p-15, 0x1.4a26054547ce1p-15, 0x1.4df70f43bccbdp-15, 0x1.51b5b9c28e5dcp-15, 0x1.5562259f467ep-15, 0x1.58fc73f10173bp-15, 0x1.5c84c6056b2a9p-15, 0x1.5ffb3d5ddf22p-15, 0x1.635ffbacc08f8p-15, 0x1.66b322d262754p-15, 0x1.69f4d4da92923p-15, 0x1.6d2533f9e6b59p-15, 0x1.7044628b08fe6p-15, 0x1.7352830c396d6p-15, 0x1.764fb81c82b9p-15, 0x1.793c2479a9662p-15, 0x1.7c17eafd9bb2cp-15, 0x1.7ee32e9c064p-15, 0x1.819e126038b87p-15, 0x1.8448b96ad5dbcp-15, 0x1.86e346ef7ff0dp-15, 0x1.896dde329ecbcp-15, 0x1.8be8a287a5bbp-15, 0x1.8e53b74ea6087p-15, 0x1.90af3ff270268p-15, 0x1.92fb5fe6c0093p-15, 0x1.95383aa6370d7p-15, 0x1.9765f3b07539dp-15, 0x1.9984ae88252ap-15, 0x1.9b948eb14aa17p-15, 0x1.9d95b7afad38ap-15, 0x1.9f884d04ee5f3p-15, 0x1.a16c722f0386ep-15, 0x1.a3424aa692c3dp-15, 0x1.a509f9dd5e319p-15, 0x1.a6c3a33c841d1p-15, 0x1.a86f6a231ab13p-15, 0x1.aa0d71e5020b3p-15, 0x1.ab9dddc8e94d6p-15, 0x1.ad20d10760d55p-15, 0x1.ae966ec95d68ap-15, 0x1.affeda26e9239p-15, 0x1.b15a3625c883fp-15, 0x1.b2a8a5b7ffbfap-15, 0x1.b3ea4bbaf4d47p-15, 0x1.b51f4af61436ep-15, 0x1.b647c619bd8fap-15, 0x1.b763dfbe162bep-15, 0x1.b873ba620538ap-15, 0x1.b977786a0cafcp-15, 0x1.ba6f3c1f22441p-15, 0x1.bb5b27adbabeep-15, 0x1.bc3b5d251ae67p-15, 0x1.bd0ffe75fabb9p-15, 0x1.bdd92d71c9c3fp-15, 0x1.be970bc9dca1bp-15, 0x1.bf49bb0e7baeap-15, 0x1.bff15cae2746bp-15, 0x1.c08e11f45c872p-15, 0x1.c11ffc091db15p-15, 0x1.c1a73bf033369p-15, 0x1.c223f288594fbp-15, 0x1.c296408a92b0cp-15, 0x1.c2fe4689706d5p-15, 0x1.c35c24f067ea8p-15, 0x1.c3affc032af9ep-15, 0x1.c3f9ebdcc5f2dp-15, 0x1.c43a146f632b8p-15, 0x1.c4709583a53d2p-15, 0x1.c49d8eb7d215fp-15, 0x1.c4c11f7f7cdd7p-15, 0x1.c4db67230a03bp-15, 0x1.c4ec84bf1e6bdp-15, 0x1.c4f497442c7cfp-15, 0x1.c4f3bd75ace55p-15, 0x1.c4ea15e9ef67ap-15, 0x1.c4d7bf09b540dp-15, 0x1.c4bcd70fb4237p-15, 0x1.c4997c08388a9p-15, 0x1.c46dcbd0b9ffep-15, 0x1.c439e4178671p-15, 0x1.c3fde25b71d72p-15, 0x1.c3b9e3eb36f8p-15, 0x1.c36e05e574277p-15, 0x1.c31a653867e7ep-15, 0x1.c2bf1ea172745p-15, 0x1.c25c4eacd48ap-15, 0x1.c1f211b59180ep-15, 0x1.c18083e52b8ffp-15, 0x1.c107c1335e43ep-15, 0x1.c087e565cff43p-15, 0x1.c0010c0fdc147p-15, 0x1.bf7350927fbf7p-15, 0x1.bedece1c2d0a9p-15, 0x1.be439fa8994d5p-15, 0x1.bda1e0008ea71p-15, 0x1.bcf9a9b9d3dbap-15, 0x1.bc4b1736fe917p-15, 0x1.bb9642a768deep-15, 0x1.badb4606ceee4p-15, 0x1.ba1a3b1d83f47p-15, 0x1.b9533b8065f0cp-15, 0x1.b88660908b87bp-15, 0x1.b7b3c37b48b1ep-15, 0x1.b6db7d3a31fa9p-15, 0x1.b5fda6931773cp-15, 0x1.b51a5817eebc6p-15, 0x1.b431aa26b3a7fp-15, 0x1.b343b4e974da6p-15, 0x1.b25090564ebd4p-15, 0x1.b158542f764e6p-15, 0x1.b05b18034fd2ap-15, 0x1.af58f32c4e692p-15, 0x1.ae51fcd102d09p-15, 0x1.ad464be426928p-15, 0x1.ac35f724c2909p-15, 0x1.ab21151df9554p-15, 0x1.aa07bc274be5p-15, 0x1.a8ea0264922dp-15, 0x1.a7c7fdc64426cp-15, 0x1.a6a1c4092ba92p-15, 0x1.a5776ab6bfec2p-15, 0x1.a44907253562fp-15, 0x1.a316ae7795834p-15, 0x1.a1e0759dc9385p-15, 0x1.a0a67154b5b55p-15, 0x1.9f68b626686a3p-15, 0x1.9e27586a2b8ccp-15, 0x1.9ce26c44a8af3p-15, 0x1.9b9a05a820986p-15, 0x1.9a4e38547bd67p-15, 0x1.98ff17d7695edp-15, 0x1.97acb78c83aa1p-15, 0x1.96572a9d9cb9ap-15, 0x1.94fe8402ab5b2p-15, 0x1.93a2d6822aa2dp-15, 0x1.924434b11a476p-15, 0x1.90e2b0f35c4fp-15, 0x1.8f7e5d7bc207ap-15, 0x1.8e174c4c2768ep-15, 0x1.8cad8f35db334p-15, 0x1.8b4137d9a6819p-15, 0x1.89d257a7fd0fcp-15, 0x1.8860ffe150752p-15, 0x1.86ed41961e8ddp-15, 0x1.85772da73421bp-15, 0x1.83fed4c5ebf19p-15, 0x1.828447745efe4p-15, 0x1.810796059e8a8p-15, 0x1.7f88d09de9111p-15, 0x1.7e080732de267p-15, 0x1.7c85498bc90d8p-15, 0x1.7b00a741c4be6p-15, 0x1.797a2fc004ae3p-15, 0x1.77f1f2440ed03p-15, 0x1.7667fdddfe3d6p-15, 0x1.74dc6170aad62p-15, 0x1.734f2bb2132ecp-15, 0x1.71c06b2b62535p-15, 0x1.70302e3961fddp-15, 0x1.6e9e830c93723p-15, 0x1.6d0b77a97dad1p-15, 0x1.6b7719e901566p-15, 0x1.69e17778884ffp-15, 0x1.684a9dda38264p-15, 0x1.66b29a655357cp-15, 0x1.65197a46637c1p-15, 0x1.637f4a7f929dfp-15, 0x1.61e417e8d3957p-15, 0x1.6047ef303de78p-15, 0x1.5eaadcda4b05ep-15, 0x1.5d0ced4211c15p-15, 0x1.5b6e2c99975a9p-15, 0x1.59cea6ea0c096p-15, 0x1.582e681419878p-15, 0x1.568d7bd01dcacp-15, 0x1.54ebedae6b831p-15, 0x1.5349c917b5d41p-15, 0x1.51a7194d32ebbp-15, 0x1.5003e968e7ab4p-15, 0x1.4e60445de7109p-15, 0x1.4cbc34f8afe2bp-15, 0x1.4b17c5df6ea0ap-15, 0x1.4973019245905p-15, 0x1.47cdf26b81b4bp-15, 0x1.4628a29ff9332p-15, 0x1.44831c3f4273p-15, 0x1.42dd693407b44p-15, 0x1.4137934445bfap-15, 0x1.3f91a411905b6p-15, 0x1.3deba5197fd24p-15, 0x1.3c459fb5c6354p-15, 0x1.3a9f9d1c94993p-15, 0x1.38f9a660dc4d5p-15, 0x1.3753c4729a841p-15, 0x1.35ae001f2176bp-15, 0x1.34086211411b9p-15, 0x1.3262f2d1d123ep-15, 0x1.30bdbac7d1686p-15, 0x1.2f18c238aeba6p-15, 0x1.2d74114879a6ep-15, 0x1.2bcfaffa59657p-15, 0x1.2a2ba630b65bbp-15, 0x1.2887fbada23cbp-15, 0x1.26e4b8130c472p-15, 0x1.2541e2e2f411fp-15, 0x1.239f837fd0f3cp-15, 0x1.21fda12cc52bbp-15, 0x1.205c430dee39dp-15, 0x1.1ebb7028af171p-15, 0x1.1d1b2f63e97e7p-15, 0x1.1b7b87885f909p-15, 0x1.19dc7f40e9de7p-15, 0x1.183e1d1ab6767p-15, 0x1.16a067859f5c9p-15, 0x1.150364d46a4f9p-15, 0x1.13671b3d06c15p-15, 0x1.11cb90d8cb169p-15, 0x1.1030cba4eec9fp-15, 0x1.0e96d182a73efp-15, 0x1.0cfda83766ce9p-15, 0x1.0b65556d23657p-15, 0x1.09cddeb2a4b22p-15, 0x1.0837497bc7853p-15, 0x1.06a19b21d72bp-15, 0x1.050cd8e3c76d7p-15, 0x1.037907e6602cp-15, 0x1.01e62d3486232p-15, 0x1.00544dbf98f56p-15, 0x1.fd86dcbf2c3b9p-16, 0x1.fa6727a6da7d6p-16, 0x1.f749858290613p-16, 0x1.f42dff6d85b45p-16, 0x1.f1149e525f49ap-16, 0x1.edfd6aebd4b4cp-16, 0x1.eae86dc4eb60bp-16, 0x1.e7d5af39ba8eap-16, 0x1.e4c53777cf7f4p-16, 0x1.e1b70e7ea22e2p-16, 0x1.deab3c1ff3b75p-16, 0x1.dba1c800ebb01p-16, 0x1.d89ab99a131cp-16, 0x1.d5961837c13b3p-16, 0x1.d293eafacaa43p-16, 0x1.cf9438d8fdeccp-16, 0x1.cc97089d75ceep-16, 0x1.c99c60e966867p-16, 0x1.c6a44834956e9p-16, 0x1.c3aec4cd70c8ep-16, 0x1.c0bbdcd9d022dp-16, 0x1.bdcb96574daf1p-16, 0x1.baddf71bdd98p-16, 0x1.b7f304d631702p-16, 0x1.b50ac50e31f92p-16, 0x1.b2253d25801f7p-16, 0x1.af427257e8fd9p-16, 0x1.ac6269bbd2aabp-16, 0x1.a9852842ba547p-16, 0x1.a6aab2b999d8cp-16, 0x1.a3d30dc95eab2p-16, 0x1.a0fe3df7714c6p-16, 0x1.9e2c47a5e4d99p-16, 0x1.9b5d2f13fe83cp-16, 0x1.9890f85f26f4dp-16, 0x1.95c7a782c0843p-16, 0x1.93014058a6c19p-16, 0x1.903dc699ba3fbp-16, 0x1.8d7d3dde4122dp-16, 0x1.8abfa99e527eap-16, 0x1.88050d325ba49p-16, 0x1.854d6bd3b26a9p-16, 0x1.8298c89c8d3e4p-16, 0x1.7fe72688a1ab7p-16, 0x1.7d3888759072ap-16, 0x1.7a8cf1233e29fp-16, 0x1.77e4633451579p-16, 0x1.753ee12e86078p-16, 0x1.729c6d7b1083dp-16, 0x1.6ffd0a670fe6fp-16, 0x1.6d60ba23e99efp-16, 0x1.6ac77ec7bee1fp-16, 0x1.68315a4dae405p-16, 0x1.659e4e962db77p-16, 0x1.630e5d679fda4p-16, 0x1.6081886e807e5p-16, 0x1.5df7d13dad831p-16, 0x1.5b71394efbfa6p-16, 0x1.58edc203cf7b1p-16, 0x1.566d6ca4f3375p-16, 0x1.53f03a6324569p-16, 0x1.51762c5776d7p-16, 0x1.4eff43839d9c4p-16, 0x1.4c8b80d2609cp-16, 0x1.4a1ae517eb69p-16, 0x1.47ad71124d764p-16, 0x1.454325697cf8ep-16, 0x1.42dc02afc8097p-16, 0x1.4078096247efp-16, 0x1.3e1739e915b8ep-16, 0x1.3bb99497b373p-16, 0x1.395f19ad4d005p-16, 0x1.3707c95518a8dp-16, 0x1.34b3a3a6b356p-16, 0x1.3262a8a646c31p-16, 0x1.3014d84516b92p-16, 0x1.2dca3261a5ce7p-16, 0x1.2b82b6c7f1ee2p-16, 0x1.293e6531f553bp-16, 0x1.26fd3d47db252p-16, 0x1.24bf3ea02f01cp-16, 0x1.228468c038859p-16, 0x1.204cbb1c68d08p-16, 0x1.1e183518c472cp-16, 0x1.1be6d608b496cp-16, 0x1.19b89d2f896dap-16, 0x1.178d89c0c972ap-16, 0x1.15659ae07dccbp-16, 0x1.1340cfa366e87p-16, 0x1.111f270f57fbcp-16, 0x1.0f00a01b97945p-16, 0x1.0ce539b0cab22p-16, 0x1.0accf2a96c64cp-16, 0x1.08b7c9d212f8dp-16, 0x1.06a5bde9a4918p-16, 0x1.0496cda1a7dd6p-16, 0x1.028af79e745d6p-16, 0x1.00823a777f7f1p-16, 0x1.fcf9296f1f8b3p-17, 0x1.f8f409ba0b226p-17, 0x1.f4f512b4465b5p-17, 0x1.f0fc412a75e0cp-17, 0x1.ed0991d19c68ep-17, 0x1.e91d0147fb872p-17, 0x1.e5368c1575ab9p-17, 0x1.e1562eabcc1b7p-17, 0x1.dd7be5671f34p-17, 0x1.d9a7ac8e3f1f3p-17, 0x1.d5d98053cd7f4p-17, 0x1.d2115cd62ab2ep-17, 0x1.ce4f3e1f9e2f1p-17, 0x1.ca93202726061p-17, 0x1.c6dcfed0b4df6p-17, 0x1.c32cd5edcf0d9p-17, 0x1.bf82a13daa433p-17, 0x1.bbde5c6e0a118p-17, 0x1.b840031b73ca2p-17, 0x1.b4a790d13a06cp-17, 0x1.b115010a39736p-17, 0x1.ad884f312c64cp-17, 0x1.aa0176a109f5ep-17, 0x1.a68072a5738f1p-17, 0x1.a3053e7aeba9bp-17, 0x1.9f8fd54f6029bp-17, 0x1.9c20324280d5dp-17, 0x1.98b6506608d72p-17, 0x1.95522abe3204p-17, 0x1.91f3bc4204237p-17, 0x1.8e9affdb88cecp-17, 0x1.8b47f0685cfffp-17, 0x1.87fa88b9f4cdap-17, 0x1.84b2c395e098p-17, 0x1.81709bb627d3cp-17, 0x1.7e340bc98b54dp-17, 0x1.7afd0e73f446cp-17, 0x1.77cb9e4ee0429p-17, 0x1.749fb5e986c71p-17, 0x1.71794fc9116d6p-17, 0x1.6e58666909701p-17, 0x1.6b3cf43bb275dp-17, 0x1.6826f3aa25f36p-17, 0x1.65165f14b69c2p-17, 0x1.620b30d36dc31p-17, 0x1.5f0563362f62bp-17, 0x1.5c04f084c9f6dp-17, 0x1.5909d2ff7df4bp-17, 0x1.561404df27962p-17, 0x1.5323805598334p-17, 0x1.50383f8dc742ap-17, 0x1.4d523cac0d258p-17, 0x1.4a7171ce8c127p-17, 0x1.4795d90d54d4fp-17, 0x1.44bf6c7aa5c83p-17, 0x1.41ee262329f65p-17, 0x1.3f22000e40499p-17, 0x1.3c5af43e367e1p-17, 0x1.3998fcb0853a1p-17, 0x1.36dc135e0dbcap-17, 0x1.3424323b3461fp-17, 0x1.317153384a6b1p-17, 0x1.2ec37041b7ee1p-17, 0x1.2c1a83401aad1p-17, 0x1.297686189432bp-17, 0x1.26d772ad0882bp-17, 0x1.243d42dc4930dp-17, 0x1.21a7f08238b04p-17, 0x1.1f1775780ea29p-17, 0x1.1c8bcb9498fc2p-17, 0x1.1a04ecac3d995p-17, 0x1.1782d29167a15p-17, 0x1.1505771494592p-17, 0x1.128cd40492fbap-17, 0x1.1018e32ea36bdp-17, 0x1.0da99e5eb42d3p-17, 0x1.0b3eff5f7646bp-17, 0x1.08d8fffab5e48p-17, 0x1.067799f9590bep-17, 0x1.041ac7239cb61p-17, 0x1.01c2814154a8p-17, 0x1.fedd8433df408p-18, 0x1.fa3f06e974b55p-18, 0x1.f5a97e31f069bp-18, 0x1.f11cdd9c48111p-18, 0x1.ec9918b7f2c91p-18, 0x1.e81e231541e03p-18, 0x1.e3abf045e8e11p-18, 0x1.df4273dce27a8p-18, 0x1.dae1a16ef63cdp-18, 0x1.d6896c930ec7ep-18, 0x1.d239c8e2659aep-18, 0x1.cdf2a9f8d539ap-18, 0x1.c9b40374f2d3ap-18, 0x1.c57dc8f87247fp-18, 0x1.c14fee2875b2ap-18, 0x1.bd2a66adb610bp-18, 0x1.b90d2634ca715p-18, 0x1.b4f8206e76123p-18, 0x1.b0eb490fb47acp-18, 0x1.ace693d2246adp-18, 0x1.a8e9f4742feb3p-18, 0x1.a4f55eb92adb1p-18, 0x1.a108c669b1c3fp-18, 0x1.9d241f53ec24ap-18, 0x1.99475d4b825a8p-18, 0x1.9572742a178ddp-18, 0x1.91a557cf4d26ap-18, 0x1.8ddffc21071cep-18, 0x1.8a22550b9d8b4p-18, 0x1.866c568209a63p-18, 0x1.82bdf47e2b7c4p-18, 0x1.7f172300bfdfdp-18, 0x1.7b77d611c7e02p-18, 0x1.77e001c09a5edp-18, 0x1.744f9a23fd6cdp-18, 0x1.70c6935aa0802p-18, 0x1.6d44e18acc531p-18, 0x1.69ca78e2e857ap-18, 0x1.66574d998a91dp-18, 0x1.62eb53ed84462p-18, 0x1.5f86802623fafp-18, 0x1.5c28c69359c98p-18, 0x1.58d21b8de40b1p-18, 0x1.558273775d2eap-18, 0x1.5239c2ba2211dp-18, 0x1.4ef7fdc9dd81dp-18, 0x1.4bbd192396a4cp-18, 0x1.4889094db4255p-18, 0x1.455bc2d812ae4p-18, 0x1.42353a5c506e5p-18, 0x1.3f15647db5bfbp-18, 0x1.3bfc35e959c31p-18, 0x1.38e9a3565ee68p-18, 0x1.35dda185e0738p-18, 0x1.32d8254332d54p-18, 0x1.2fd923641aefcp-18, 0x1.2ce090c8812adp-18, 0x1.29ee625b04bafp-18, 0x1.27028d10b9a07p-18, 0x1.241d05e94a169p-18, 0x1.213dc1ef3b2cbp-18, 0x1.1e64b637c798p-18, 0x1.1b91d7e3362b7p-18, 0x1.18c51c1ca1a36p-18, 0x1.15fe781a58a08p-18, 0x1.133de11daf404p-18, 0x1.10834c733ba42p-18, 0x1.0dceaf72ea1e8p-18, 0x1.0b1fff7fd56c6p-18, 0x1.08773208c0eaep-18, 0x1.05d43c87a4253p-18, 0x1.033714820c40ep-18, 0x1.009faf89237c2p-18, 0x1.fc1c0673e65dbp-19, 0x1.f7040a7a1fd6p-19, 0x1.f1f7568d366e3p-19, 0x1.ecf5d62d2bfa7p-19, 0x1.e7ff74f16f3aep-19, 0x1.e3141e89cd651p-19, 0x1.de33bebdd8ccfp-19, 0x1.d95e416ca7c17p-19, 0x1.d493928e0e248p-19, 0x1.cfd39e314fa5ap-19, 0x1.cb1e507e09cd3p-19, 0x1.c67395b3b2db9p-19, 0x1.c1d35a2a6f13dp-19, 0x1.bd3d8a528afe5p-19, 0x1.b8b212b4f631fp-19, 0x1.b430dff2f29ffp-19, 0x1.afb9dec61ef43p-19, 0x1.ab4cfc0107463p-19, 0x1.a6ea248e3faa8p-19, 0x1.a291457166745p-19, 0x1.9e424bc672a83p-19, 0x1.99fd24c264f58p-19, 0x1.95c1bdb2a774fp-19, 0x1.919003fd83417p-19, 0x1.8d67e521dfe7ep-19, 0x1.89494eb777dc8p-19, 0x1.85342e6f0f3e5p-19, 0x1.81287211bacbep-19, 0x1.7d2607823b7e4p-19, 0x1.792cdcbb576a1p-19, 0x1.753cdfd0ef062p-19, 0x1.7155feefb6445p-19, 0x1.6d78285cd97c8p-19, 0x1.69a34a7769bf7p-19, 0x1.65d753b6c13fp-19, 0x1.621432ab0ff63p-19, 0x1.5e59d5fcbb67ap-19, 0x1.5aa82c6d58cc6p-19, 0x1.56ff24d7470bdp-19, 0x1.535eae2e5e8d6p-19, 0x1.4fc6b77e37a6fp-19, 0x1.4c372fec38583p-19, 0x1.48b006b5b78f6p-19, 0x1.45312b3101249p-19, 0x1.41ba8cccebc88p-19, 0x1.3e4c1b10b8bc5p-19, 0x1.3ae5c59c81ebfp-19, 0x1.37877c2913e2ap-19, 0x1.34312e87bc374p-19, 0x1.30e2cca22c264p-19, 0x1.2d9c467ad71bbp-19, 0x1.2a5d8c2c0eff6p-19, 0x1.27268de949e88p-19, 0x1.23f73bfd89675p-19, 0x1.20cf86ccc644ap-19, 0x1.1daf5ed2ca82dp-19, 0x1.1a96b4a3a00c5p-19, 0x1.178578ebacf27p-19, 0x1.147b9c6f2632p-19, 0x1.1179100a7aebep-19, 0x1.0e7dc4b238b99p-19, 0x1.0b89ab728bb3dp-19, 0x1.089cb56fc39c2p-19, 0x1.05b6d3e61b5e8p-19, 0x1.02d7f8290f032p-19, 0x1.000013a44dcb8p-19, 0x1.fa5e2fb4c419ap-20, 0x1.f4c9ecccf6f1fp-20, 0x1.ef4341f5a95c9p-20, 0x1.e9ca12c2fb1b8p-20, 0x1.e45e42f617762p-20, 0x1.deffb67f51f16p-20, 0x1.d9ae517cc45dap-20, 0x1.d469f83c829dep-20, 0x1.cf328f39ca145p-20, 0x1.ca07fb1ef727ap-20, 0x1.c4ea20c30e9d2p-20, 0x1.bfd8e52bdc9f8p-20, 0x1.bad42d8bbea9p-20, 0x1.b5dbdf4287cafp-20, 0x1.b0efdfdd956e1p-20, 0x1.ac101516ec32dp-20, 0x1.a73c64d672b06p-20, 0x1.a274b53045b8fp-20, 0x1.9db8ec6529563p-20, 0x1.9908f0e2cdf61p-20, 0x1.9464a9423bbe3p-20, 0x1.8fcbfc49cdd46p-20, 0x1.8b3ed0ea9ee6ap-20, 0x1.86bd0e422f22ep-20, 0x1.82469b99dd52dp-20, 0x1.7ddb6065c7c8p-20, 0x1.797b444603a5fp-20, 0x1.75262f04d32c4p-20, 0x1.70dc08985bd2dp-20, 0x1.6c9cb920da45dp-20, 0x1.686828e987d46p-20, 0x1.643e4067c3febp-20, 0x1.601ee83b25c17p-20, 0x1.5c0a092d88448p-20, 0x1.57ff8c326bc04p-20, 0x1.53ff5a6686cfcp-20, 0x1.50095d104b067p-20, 0x1.4c1d7d9f1a062p-20, 0x1.483ba5ad3419bp-20, 0x1.4463befc5783fp-20, 0x1.4095b37758a2p-20, 0x1.3cd16d30a1ff2p-20, 0x1.3916d6632c356p-20, 0x1.3565d972a1ab5p-20, 0x1.31be60eaaab9p-20, 0x1.2e20577f37714p-20, 0x1.2a8ba80ae1bb9p-20, 0x1.27003d909c85dp-20, 0x1.237e0339d1d7dp-20, 0x1.2004e456d745cp-20, 0x1.1c94cc5f2e803p-20, 0x1.192da6f044d14p-20, 0x1.15cf5fcedf6efp-20, 0x1.1279e2e5720ddp-20, 0x1.0f2d1c44ef8eep-20, 0x1.0be8f823ce8b8p-20, 0x1.08ad62de60d77p-20, 0x1.057a48f6888ffp-20, 0x1.024f9712d3f25p-20, 0x1.fe5a73ff6b997p-21, 0x1.f8263d5b2f64ep-21, 0x1.f20264652fa33p-21, 0x1.ebeec3902c365p-21, 0x1.e5eb3599ee849p-21, }}, 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
      std::vector<double>(1199, 0.0), 
    }}, 
    {
      31, 0x1.1cccccccccccdp+2, -0x1.4b2c24330c66p+6, 0x1p+0, 0x1p+0, 
      {{
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.add6c008fa15p-5, -0x1.308171aada54ep-8, -0x1.89ebdf465e2e5p-3, 0x1.e361596368ba8p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.a83cf99dd8da1p-5, -0x1.6a42bcdf9a5edp-6, -0x1.416a11dddb451p-3, 0x1.b674f6cde5458p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.9c2fcef394d5cp-5, -0x1.288ad90f2ad02p-5, -0x1.ff4aa67df1c2bp-4, 0x1.904360c8ec833p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.8b00d8b0c1fcep-5, -0x1.82caf4e4e36ddp-5, -0x1.87366fdb4468ap-4, 0x1.684426b1f0a61p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.75e342b0980eep-5, -0x1.c63a3310860d6p-5, -0x1.1b21fdd915cfdp-4, 0x1.40c0b05275c57p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.5debcc02f295fp-5, -0x1.f53b3795a07b2p-5, -0x1.75d05eb3e4f6dp-5, 0x1.191bcf26f9aa4p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4410c6ec50e5cp-5, -0x1.0916f84cd2d2fp-4, -0x1.9a4c2b3904b8fp-6, 0x1.e301aae803b25p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.292a18e5d61d5p-5, -0x1.0fb9806b3a982p-4, -0x1.e1f9791da3a28p-8, 0x1.93bf5155f6931p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0df13a9d49256p-5, -0x1.0fb577492b5e2p-4, 0x1.e704e3b0ac20fp-8, 0x1.449ac1834e208p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.e6026fea29614p-6, -0x1.0a3afea6c2aa7p-4, 0x1.3c8479d48d1cfp-6, 0x1.ea16e1be77065p-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b1ad60088e7a6p-6, -0x1.007acc0a032cp-4, 0x1.cf8b57274a6b1p-6, 0x1.4e12b382d1b41p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.7f9faa2d26251p-6, -0x1.e746ce88c2545p-5, 0x1.19e2134dab10dp-5, 0x1.4cf4756ff9b76p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.5058d9589c87p-6, -0x1.c9d6f6674ad8bp-5, 0x1.32dacf4faa982p-5, 0x1.30b567de88192p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.241dcd594d6cdp-6, -0x1.aa9538ad77eecp-5, 0x1.3e480334cfb29p-5, 0x1.f96067e9cfd51p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.f62172377a58p-7, -0x1.8a47ee0502165p-5, 0x1.47c1d1f46531dp-5, 0x1.34b412093d79ep-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.aa9241f62305bp-7, -0x1.69374249851c5p-5, 0x1.4d8b98b15e58ep-5, 0x1.11b3ba00de7dp-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.65ac124af3556p-7, -0x1.47bba7b0d29c7p-5, 0x1.501c7b3c93a2p-5, -0x1.4d376ad286215p-11}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.277beb385cb31p-7, -0x1.26293411cf48bp-5, 0x1.4f548d2faeeb3p-5, -0x1.b4bf0689c9c05p-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.dffba8cdc7034p-8, -0x1.04d52864ddafep-5, 0x1.4b3c5c533107p-5, -0x1.8b92559e350c6p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.7e39aa4a3e38cp-8, -0x1.c828eaf6ab962p-6, 0x1.43d19deb6cd52p-5, -0x1.1e5235567a787p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.2965e8cf73afp-8, -0x1.8878434278335p-6, 0x1.3914ef1e950a4p-5, -0x1.76df9c3b6fe91p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.c224e325c3f94p-9, -0x1.4b425abddb218p-6, 0x1.2b06260f8da4ap-5, -0x1.cf6bf04f8aa34p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.495ea22c5353dp-9, -0x1.113135a1719p-6, 0x1.19a54d0c920b6p-5, -0x1.13fc19a4a8295p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ce2a4c9c44b8ep-10, -0x1.b5ddae1b3578ep-7, 0x1.04f264b9d23b9p-5, -0x1.4042e6beaf8b8p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.33410b7e13c59p-10, -0x1.524a86b794a72p-7, 0x1.d9dac070a3bcp-6, -0x1.6c870df1466dap-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.7c53552cba5a4p-11, -0x1.f1f9ec6580f4cp-8, 0x1.a32ce4bfa5f77p-6, -0x1.98d52124845f6p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.aa1142b80852p-12, -0x1.5692332bdc247p-8, 0x1.65d9b960921c9p-6, -0x1.c4fe2a3c8d27dp-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.9b490df3daddep-13, -0x1.aa0a9722938c5p-9, 0x1.21e6cca449bd6p-6, -0x1.f1b16fc0d1cdfp-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.3683ef1d9a14p-14, -0x1.bff6a2556e22cp-10, 0x1.ae7ec48ebaf08p-7, -0x1.0e3066d79e1efp-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.2271a8b153dp-16, -0x1.50d345c796abep-11, 0x1.0c61ba0d5c11fp-7, -0x1.274ac6c482a12p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.375171fa09d4p-20, -0x1.893cd1cbfbf09p-14, 0x1.6cd371910386ep-9, -0x1.1cd9a9b712415p-5}, 
      }}, 
      0x1.f86f8764aff41p-4, 0x1.df48d5c1abfp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.251e44fd48b53p+0, -0x1.1ed72efad5924p+0, -0x1.14e26b2fdbbbp+0, -0x1.07d4fc55e8b98p+0, -0x1.f0a11353a7b92p-1, -0x1.cdeaf089ca905p-1, -0x1.a8b4c0b6dcf9bp-1, -0x1.820e3d9f4f84ap-1, -0x1.5ae4baa86f925p-1, -0x1.34018fa3413eap-1, -0x1.0e0abf3fd87c4p-1, -0x1.d30a1c1111272p-2, -0x1.8dadf3c2fdb9dp-2, -0x1.4c98310e84774p-2, -0x1.10314e6e1ff7bp-2, -0x1.b173ed7764e28p-3, -0x1.4ca3592c0feb8p-3, -0x1.e3f2b32bea929p-4, -0x1.42a5376563a06p-4, -0x1.69a5518be2fc1p-5, -0x1.cdd3923f7b377p-7, 0x1.7c5b8983d414p-7, 0x1.10062f6464078p-5, 0x1.a18657691aa4bp-5, 0x1.0aed0f664f5fcp-4, 0x1.37a664aec1663p-4, 0x1.5813ce55190d2p-4, 0x1.6d54c460ddd43p-4, 0x1.7880570862245p-4, 0x1.7aa2bf680480fp-4, 0x1.74bb9dc32dc5p-4, 0x1.67bcc7b04a396p-4, 0x1.54898c9d20e52p-4, 0x1.3bf6597784d05p-4, 0x1.1ec8a89505afcp-4, 0x1.fb6e5b29722abp-5, 0x1.b2d45d3046955p-5, 0x1.64f7ffec17bdep-5, 0x1.12f3312ef64cep-5, 0x1.7b8cdb4c7cf18p-6, 0x1.99687efef9fabp-7, 0x1.b0012d3062192p-10, -0x1.302d3e962888p-7, -0x1.4b3e7156da0b5p-6, -0x1.fd4ae0a85b6ebp-6, -0x1.5698d0531c103p-5, -0x1.ad04045370aap-5, -0x1.00c028055b46ep-4, -0x1.29da32a9d8a52p-4, -0x1.51a9a578692bcp-4, -0x1.780daa0287ac7p-4, -0x1.9cea9432a1ddap-4, -0x1.c0296eb07dea3p-4, -0x1.e1b78f34d2d96p-4, -0x1.00c31941acbc1p-3, -0x1.0fc50fd2bd509p-3, -0x1.1ddda8fcd7e1ap-3, -0x1.2b0a54d3e828ep-3, -0x1.3749d1064f7d6p-3, -0x1.429c06d7caf65p-3, -0x1.4d01ebaaf8b75p-3, -0x1.567d63fb078bdp-3, -0x1.5f11287bb2189p-3, -0x1.66c0ad5c42e37p-3, -0x1.6d900b6a3c89dp-3, -0x1.7383eb02b84f6p-3, -0x1.78a170b38158p-3, -0x1.7cee2b67f5adbp-3, -0x1.8070040c5956cp-3, -0x1.832d2e8e70582p-3, -0x1.852c1c22033f9p-3, -0x1.86736eb6e8c71p-3, -0x1.8709ed89d66f6p-3, -0x1.86f67abe596f3p-3, -0x1.864009eec5962p-3, -0x1.84ed97a2a3041p-3, -0x1.8306219d6acd7p-3, -0x1.80909ff09cedep-3, -0x1.7d93fecab73bbp-3, -0x1.7a1718eea39ap-3, -0x1.7620b2cde0769p-3, -0x1.71b7763abdaaep-3, -0x1.6ce1ee989facbp-3, -0x1.67a6859ae0afap-3, -0x1.620b8075bf87dp-3, -0x1.5c16fd6cc30a1p-3, -0x1.55cef1dcafb1ap-3, -0x1.4f39288cd499p-3, -0x1.485b405339822p-3, -0x1.413aab1b1fc42p-3, -0x1.39dcad16a7992p-3, -0x1.32465c4e044e2p-3, -0x1.2a7ca059724dcp-3, -0x1.2284324cf5d4dp-3, -0x1.1a619cf785aecp-3, -0x1.12193d06d99e3p-3, -0x1.09af4171e656p-3, -0x1.0127ac3a45cd2p-3, -0x1.f10ca571d03f3p-4, -0x1.df9dbd1e449dap-4, -0x1.ce099d5cd4da5p-4, -0x1.bc56efc3b870fp-4, -0x1.aa8c0cac7e7d7p-4, -0x1.98aefcea94dd3p-4, -0x1.86c57b889edf1p-4, -0x1.74d4f96e2f9ebp-4, -0x1.62e29e73a13a8p-4, -0x1.50f34b6c58355p-4, -0x1.3f0b9dc740f14p-4, -0x1.2d2ff095a7afep-4, -0x1.1b645eed5168p-4, -0x1.09acc731a5a0ep-4, -0x1.f01998e3b531dp-5, -0x1.cd0fb23623235p-5, -0x1.aa4243c0e5beap-5, -0x1.87b74e8739cep-5, -0x1.6574700d71cbcp-5, -0x1.437ee7463a0dp-5, -0x1.21db9793a0ccdp-5, -0x1.008f0cca8f42dp-5, -0x1.bf3afe47ebda3p-6, -0x1.7e15ac7df79afp-6, -0x1.3db5595083f41p-6, -0x1.fc414d11df62fp-7, -0x1.7ebb50205ec45p-7, -0x1.02e3d748adaa4p-7, -0x1.1189f75b8146p-8, -0x1.067e31b7004a5p-11, 0x1.98ace28034dfbp-9, 0x1.b5d9f462f0dc4p-8, 0x1.4dd6d7382ffc3p-7, 0x1.bee3109397fcbp-7, 0x1.1706525655032p-6, 0x1.4da7a5165ac11p-6, 0x1.8353b20c33685p-6, 0x1.b808fd1820ac7p-6, 0x1.ebc658eb84088p-6, 0x1.0f4571a206944p-5, 0x1.282affed6937bp-5, 0x1.4093aab0fd55fp-5, 0x1.587f650e549bdp-5, 0x1.6fee4003a3438p-5, 0x1.86e0681bd4baap-5, 0x1.9d5624fc23cfep-5, 0x1.b34fd6231f03ep-5, 0x1.c8cdf26d94ee4p-5, 0x1.ddd105f42df4bp-5, 0x1.f259b105f09dbp-5, 0x1.033452d5c1f1cp-4, 0x1.0cff53eee6e96p-4, 0x1.168e4571c923p-4, 0x1.1fe19857acb21p-4, 0x1.28f9c44a8e39ep-4, 0x1.31d747313c79bp-4, 0x1.3a7aa45c6184cp-4, 0x1.42e464ac09536p-4, 0x1.4b1515558467fp-4, 0x1.530d4801e0e2fp-4, 0x1.5acd9230effa9p-4, 0x1.62568cdea1e29p-4, 0x1.69a8d417c308dp-4, 0x1.70c506d350c8dp-4, 0x1.77abc6331ffa7p-4, 0x1.7e5db5d3d9b8fp-4, 0x1.84db7add31bd4p-4, 0x1.8b25bc3ac54f6p-4, 0x1.913d21e745427p-4, 0x1.9722552c3a196p-4, 0x1.9cd60004aa513p-4, 0x1.a258cce143cedp-4, 0x1.a7ab66c16568cp-4, 0x1.acce78d47c869p-4, 0x1.b1c2ae314772fp-4, 0x1.b688b1d4d2c0ap-4, 0x1.bb212e598ab44p-4, 0x1.bf8ccdf37c7dep-4, 0x1.c3cc3a4206d9cp-4, 0x1.c7e01c1ab443bp-4, 0x1.cbc91b873e8d9p-4, 0x1.cf87dfa42e58cp-4, 0x1.d31d0e7eb3c5p-4, 0x1.d6894d1e65034p-4, 0x1.d9cd3f33aaa6p-4, 0x1.dce9874960b56p-4, 0x1.dfdec693ffeabp-4, 0x1.e2ad9ce400ad5p-4, 0x1.e556a89e2378bp-4, 0x1.e7da86bdbc702p-4, 0x1.ea39d2b50fee1p-4, 0x1.ec75266b50d27p-4, 0x1.ee8d1a427b5dcp-4, 0x1.f082451966b74p-4, 0x1.f2553c0893493p-4, 0x1.f40692d9ad533p-4, 0x1.f596db7c418d6p-4, 0x1.f706a6633d166p-4, 0x1.f856825ddc4acp-4, 0x1.f986fca1df35bp-4, 0x1.fa98a0c819f4dp-4, 0x1.fb8bf8cf8fe33p-4, 0x1.fc618d277a4c3p-4, 0x1.fd19e4abd8cfbp-4, 0x1.fdb584a82bcaep-4, 0x1.fe34f0d677049p-4, 0x1.fe98ab679254bp-4, 0x1.fee13526bee01p-4, 0x1.ff0f0d30b6bfdp-4, 0x1.ff22b1627fecbp-4, 0x1.ff1c9dfa14d89p-4, 0x1.fefd4ddbacep-4, 0x1.fec53a8551616p-4, 0x1.fe74dc1a34732p-4, 0x1.fe0ca95eb9d1fp-4, 0x1.fd8d17c0a9a05p-4, 0x1.fcf69b640319ep-4, 0x1.fc49a7268a18p-4, 0x1.fb86aca8b0c64p-4, 0x1.faae1c53cdf82p-4, 0x1.f9c0655a78a36p-4, 0x1.f8bdf5c68e712p-4, 0x1.f7a73a7120a89p-4, 0x1.f67c9f2274ddap-4, 0x1.f53e8e6a3cd2dp-4, 0x1.f3ed71f22b011p-4, 0x1.f289b23521e9ap-4, 0x1.f113b6ad85381p-4, 0x1.ef8be5c6d5f4ap-4, 0x1.edf2a4ea934acp-4, 0x1.ec48588d58e23p-4, 0x1.ea8d643657246p-4, 0x1.e8c22a7bf6fa6p-4, 0x1.e6e70cfdb50f2p-4, 0x1.e4fc6c64200cfp-4, 0x1.e302a86e22f1dp-4, 0x1.e0fa20013405p-4, 0x1.dee3312cece97p-4, 0x1.dcbe392a404e4p-4, 0x1.da8b944e0ff02p-4, 0x1.d84b9e03e7472p-4, 0x1.d5feb0d749825p-4, 0x1.d3a52690fed66p-4, 0x1.d13f5824cb35fp-4, 0x1.cecd9ddc4c52fp-4, 0x1.cc504f1bb61e3p-4, 0x1.c9c7c26dc44d6p-4, 0x1.c7344d7fda27ap-4, 0x1.c496453165699p-4, 0x1.c1edfda9c3245p-4, 0x1.bf3bca5cfbd77p-4, 0x1.bc7ffdfa5994cp-4, 0x1.b9baea600cecfp-4, 0x1.b6ece08b81eb5p-4, 0x1.b41630a1e3c15p-4, 0x1.b1372a032cd96p-4, 0x1.ae501b5be6e67p-4, 0x1.ab6152a6a8a46p-4, 0x1.a86b1d1c6044dp-4, 0x1.a56dc71f2acd1p-4, 0x1.a2699c2e3a19fp-4, 0x1.9f5ee6ec48c83p-4, 0x1.9c4df132c66c4p-4, 0x1.99370421569c6p-4, 0x1.961a682993d7bp-4, 0x1.92f864f082909p-4, 0x1.8fd14152756bfp-4, 0x1.8ca5433898cdp-4, 0x1.8974afaaaf8dbp-4, 0x1.863fcad6ece6ap-4, 0x1.8306d826e6018p-4, 0x1.7fca1a49ae224p-4, 0x1.7c89d32e008cdp-4, 0x1.794643efd575ep-4, 0x1.75ffacc468d81p-4, 0x1.72b64cf0acf62p-4, 0x1.6f6a62ce708a3p-4, 0x1.6c1c2bdd60d63p-4, 0x1.68cbe4d3004e4p-4, 0x1.6579c9a1245abp-4, 0x1.6226156de75d4p-4, 0x1.5ed1028223631p-4, 0x1.5b7aca37fcac6p-4, 0x1.5823a4f3617c6p-4, 0x1.54cbca278b69p-4, 0x1.5173706422faap-4, 0x1.4e1acd6543b58p-4, 0x1.4ac2161a709acp-4, 0x1.47697ea128d69p-4, 0x1.44113a36f1b91p-4, 0x1.40b97b2cfea08p-4, 0x1.3d6272d5a7d55p-4, 0x1.3a0c51944e8edp-4, 0x1.36b746d90b1a8p-4, 0x1.33638137c895dp-4, 0x1.30112e6eac2b5p-4, 0x1.2cc07b67b8fffp-4, 0x1.2971943158a18p-4, 0x1.2624a3f211b83p-4, 0x1.22d9d4dd9d551p-4, 0x1.1f9150307c784p-4, 0x1.1c4b3e33cfffap-4, 0x1.1907c6474d954p-4, 0x1.15c70eec8148ep-4, 0x1.12893dce8692cp-4, 0x1.0f4e77c3054d1p-4, 0x1.0c16e0c3d8028p-4, 0x1.08e29be67a026p-4, 0x1.05b1cb54618acp-4, 0x1.02849047a21e9p-4, 0x1.feb6161b3e60dp-5, 0x1.f86ab61f0e068p-5, 0x1.f2273db5bc275p-5, 0x1.ebebe853ca11dp-5, 0x1.e5b8efcc5440bp-5, 0x1.df8e8c4d885bap-5, 0x1.d96cf455f8cc3p-5, 0x1.d3545ca921ca4p-5, 0x1.cd44f848901f9p-5, 0x1.c73ef87506f1ap-5, 0x1.c1428cba99bdcp-5, 0x1.bb4fe2f9e5ec1p-5, 0x1.b567277f32952p-5, 0x1.af8885058069fp-5, 0x1.a9b424c00e92dp-5, 0x1.a3ea2e575b505p-5, 0x1.9e2ac7e28634ap-5, 0x1.987615e1965bbp-5, 0x1.92cc3b3b54229p-5, 0x1.8d2d5940e247fp-5, 0x1.87998fb5fe0a4p-5, 0x1.8210fcdd343b5p-5, 0x1.7c93bd8504e03p-5, 0x1.7721ed1207ccdp-5, 0x1.71bba5850ff99p-5, 0x1.6c60ff7d20e37p-5, 0x1.671212361ff21p-5, 0x1.61cef386cff5bp-5, 0x1.5c97b7e052237p-5, 0x1.576c725108401p-5, 0x1.524d348b239fbp-5, 0x1.4d3a0eee018e4p-5, 0x1.48331090b9783p-5, 0x1.4338474c22e96p-5, 0x1.3e49bfc2f4991p-5, 0x1.396785674b2ccp-5, 0x1.3491a27dad849p-5, 0x1.2fc8201e652f9p-5, 0x1.2b0b06368e659p-5, 0x1.265a5b8a6f91cp-5, 0x1.21b625b9b7d0cp-5, 0x1.1d1e69461391dp-5, 0x1.1893299b35774p-5, 0x1.141469177357dp-5, 0x1.0fa2291400618p-5, 0x1.0b3c69ec85099p-5, 0x1.06e32b05b7e5dp-5, 0x1.02966acfec74cp-5, 0x1.fcac4d9d3ee1ep-6, 0x1.f444b73228e25p-6, 0x1.ebf609ae31eddp-6, 0x1.e3c03aad37166p-6, 0x1.dba33dfa2870cp-6, 0x1.d39f05c07d1e7p-6, 0x1.cbb3827e63fabp-6, 0x1.c3e0a3178e027p-6, 0x1.bc2654e8b1ceap-6, 0x1.b48483d0359a1p-6, 0x1.acfb1a39f0392p-6, 0x1.a58a012ac4118p-6, 0x1.9e31204b91e3ep-6, 0x1.96f05df34d37dp-6, 0x1.8fc79f3025bfbp-6, 0x1.88b6c7cfd52fap-6, 0x1.81bdba672758p-6, 0x1.7adc585903965p-6, 0x1.741281dd63457p-6, 0x1.6d6016094c8c1p-6, 0x1.66c4f2d8a3eeap-6, 0x1.6040f53ab5202p-6, 0x1.59d3f9213e4a3p-6, 0x1.537dd990cbb1ap-6, 0x1.4d3e70b070ce7p-6, 0x1.471597d696122p-6, 0x1.41032791200bp-6, 0x1.3b06f7a8c009bp-6, 0x1.3520df1fe1b1p-6, 0x1.2f50b4306c0c7p-6, 0x1.29964c4b00c08p-6, 0x1.23f17c1b489c1p-6, 0x1.1e6217934c6abp-6, 0x1.18e7f1fee8f39p-6, 0x1.1382de1cfcc09p-6, 0x1.0e32ae39e9125p-6, 0x1.08f73445d88f4p-6, 0x1.03d041e140567p-6, 0x1.fd7b50b8ba3ap-7, 0x1.f37e71531c265p-7, 0x1.e9a9868900f79p-7, 0x1.dffc303467fffp-7, 0x1.d6760cea9f9a1p-7, 0x1.cd16b9fb0b506p-7, 0x1.c3ddd394deadap-7, 0x1.bacaf51a48015p-7, 0x1.b1ddb9949d052p-7, 0x1.a915bc3323bdep-7, 0x1.a07298b7f7c3fp-7, 0x1.97f3ebb71d12ep-7, 0x1.8f99529335051p-7, 0x1.87626b31088e9p-7, 0x1.7f4ed36d73343p-7, 0x1.775e2871925b8p-7, 0x1.6f90060d5aca4p-7, 0x1.67e40643f1b42p-7, 0x1.6059c12e0c633p-7, 0x1.58f0cd459b53p-7, 0x1.51a8c0175c66bp-7, 0x1.4a812f3e65587p-7, 0x1.4379b17a29351p-7, 0x1.3c91dfa552ba5p-7, 0x1.35c95555479a7p-7, 0x1.2f1fb0fbcde6dp-7, 0x1.2894937776029p-7, 0x1.22279f27fbd09p-7, 0x1.1bd876acfa818p-7, 0x1.15a6bb93ffa2cp-7, 0x1.0f920d3d1e782p-7, 0x1.099a0837101cp-7, 0x1.03be463cab8aap-7, 0x1.fbfcbdb758ec8p-8, 0x1.f0b3d15311a05p-8, 0x1.e5a0f596ef67ap-8, 0x1.dac35d06dc63p-8, 0x1.d01a40e1378bbp-8, 0x1.c5a4e27ff2ecdp-8, 0x1.bb628b4becb43p-8, 0x1.b1528b40ae2c7p-8, 0x1.a774364cc31e5p-8, 0x1.9dc6e11b2ef2cp-8, 0x1.9449ddf5d9009p-8, 0x1.8afc7a6e2dc8dp-8, 0x1.81ddfe521d4c2p-8, 0x1.78edac2ca8d11p-8, 0x1.702ac33eead2p-8, 0x1.6794828c5a04bp-8, 0x1.5f2a2c575182p-8, 0x1.56eb09522cdfcp-8, 0x1.4ed66acdf158p-8, 0x1.46ebab63da5a3p-8, 0x1.3f2a2ddfbb152p-8, 0x1.37915a932034bp-8, 0x1.30209b91432f6p-8, 0x1.28d758961c45cp-8, 0x1.21b4f375065f8p-8, 0x1.1ab8c5d849a78p-8, 0x1.13e220db61c37p-8, 0x1.0d304eb1669ap-8, 0x1.06a29624e5691p-8, 0x1.00383f63485a9p-8, 0x1.f3e13282d6eb1p-9, 0x1.e795fc07e6e51p-9, 0x1.db8dad7a9a18fp-9, 0x1.cfc73921da79fp-9, 0x1.c441af32f7c2ep-9, 0x1.b8fc354f8cda1p-9, 0x1.adf5fd328567bp-9, 0x1.a32e3639851a6p-9, 0x1.98a4024b28f08p-9, 0x1.8e5669c359dd9p-9, 0x1.84445668de7f6p-9, 0x1.7a6c91f50a0e5p-9, 0x1.70cdca29e2ccp-9, 0x1.676699d6a1dddp-9, 0x1.5e359597a357p-9, 0x1.55395a6d5a32fp-9, 0x1.4c709bf45bf3fp-9, 0x1.43da2fc75bb2p-9, 0x1.3b7514280cb32p-9, 0x1.334070f3acb4ap-9, 0x1.2b3b930ba05abp-9, 0x1.2365e3527a05cp-9, 0x1.1bbedaeb44017p-9, 0x1.1445f67e867f1p-9, 0x1.0cfaaa0a879c3p-9, 0x1.05dc567005ac3p-9, 0x1.fdd4835f8fc72p-10, 0x1.f0472578413cap-10, 0x1.e30ea36687bf3p-10, 0x1.d628d9ee669e3p-10, 0x1.c993858575686p-10, 0x1.bd4c5b23d935ap-10, 0x1.b151215adbcffp-10, 0x1.a59fc4005625bp-10, 0x1.9a365ee3f932ap-10, 0x1.8f133fba07a83p-10, 0x1.8434e298dcf6ap-10, 0x1.7999ed3e8040ep-10, 0x1.6f412b62e24a2p-10, 0x1.65298b34311f4p-10, 0x1.5b5216eb28647p-10, 0x1.51b9e8e386625p-10, 0x1.48601a8fa53ffp-10, 0x1.3f43b243287c5p-10, 0x1.366395e137bd2p-10, 0x1.2dbe87920b8e6p-10, 0x1.25532de6a6bebp-10, 0x1.1d2023ed29a27p-10, 0x1.15240a08b47acp-10, 0x1.0d5d8fad8b437p-10, 0x1.05cb7127eb9d3p-10, 0x1.fcd8d52ffcfafp-11, 0x1.ee7e4ff372671p-11, 0x1.e0847b7fcabbap-11, 0x1.d2e865c7dec65p-11, 0x1.c5a73876c300dp-11, 0x1.b8be7bb38f6d5p-11, 0x1.ac2c4234724cfp-11, 0x1.9fef22c48870ep-11, 0x1.9405fc2db8287p-11, 0x1.886f9df2bf0ddp-11, 0x1.7d2a809be16c9p-11, 0x1.7234b065514c8p-11, 0x1.678bf162c8d68p-11, 0x1.5d2e069c86fe9p-11, 0x1.5318f7a932c04p-11, 0x1.494b36333250fp-11, 0x1.3fc395a5d8ba1p-11, 0x1.3681181ce5d14p-11, 0x1.2d82a1056c15fp-11, 0x1.24c6a862373dep-11, 0x1.1c4b0f25ebc9bp-11, 0x1.140d2f6d106c4p-11, 0x1.0c0a2e24861a5p-11, 0x1.043f74fcba494p-11, 0x1.f95642f627961p-12, 0x1.ea9866af85d88p-12, 0x1.dc44beec7b59cp-12, 0x1.ce5b37e50787bp-12, 0x1.c0db41f161a6ep-12, 0x1.b3c339bd86b07p-12, 0x1.a7106aaa8289fp-12, 0x1.9abf81c2b77e2p-12, 0x1.8ecd1b83a39c4p-12, 0x1.83362847a59bcp-12, 0x1.77f80cef5d934p-12, 0x1.6d10880de8df2p-12, 0x1.627d79e59cb3p-12, 0x1.583cb0c433934p-12, 0x1.4e4bc6f420f59p-12, 0x1.44a80b0c5de08p-12, 0x1.3b4e73f3a834bp-12, 0x1.323bb8be4746ep-12, 0x1.296c9ea33375ep-12, 0x1.20de666336727p-12, 0x1.188f207991257p-12, 0x1.107db625f91cfp-12, 0x1.08a99f98f5658p-12, 0x1.0112742cddc71p-12, 0x1.f36f31453689cp-13, 0x1.e53057bd36fefp-13, 0x1.d76638dd843f5p-13, 0x1.ca0e8d7e04b04p-13, 0x1.bd27252075a91p-13, 0x1.b0adf728e095dp-13, 0x1.a4a0c5df6340ep-13, 0x1.98fc765f86baap-13, 0x1.8dbcb8aff5ee4p-13, 0x1.82dc61b8a4a67p-13, 0x1.785629e4f782cp-13, 0x1.6e2539365badcp-13, 0x1.644549cffa516p-13, 0x1.5ab28616ee4f6p-13, 0x1.5169a7a1fbd95p-13, 0x1.4868270ef5086p-13, 0x1.3fac2ddd5091bp-13, 0x1.3734280215cc7p-13, 0x1.2efeabd7094bbp-13, 0x1.270a83de1315cp-13, 0x1.1f56acf86f786p-13, 0x1.17e20d6fa7ec5p-13, 0x1.10ab1f128966fp-13, 0x1.09b01018ec918p-13, 0x1.02ef8b488a50cp-13, 0x1.f8d29684b0598p-14, 0x1.ec3ad86cd2eddp-14, 0x1.e0160deb61dfdp-14, 0x1.d45f25c61ee5ep-14, 0x1.c90f0da946656p-14, 0x1.be1eeb979b07ep-14, 0x1.b389a9e657f6ep-14, 0x1.a94c68288255bp-14, 0x1.9f65eebf6da3p-14, 0x1.95d5613328d31p-14, 0x1.8c98c9cbee9e4p-14, 0x1.83ac52c182ae9p-14, 0x1.7b0a595604c2fp-14, 0x1.72abdcc4bb7c5p-14, 0x1.6a89c6748e4c3p-14, 0x1.629fe10003fd2p-14, 0x1.5aef3c6e908b6p-14, 0x1.537c2ad59a4fep-14, 0x1.4c48de9ddb3a4p-14, 0x1.455264ffc2d3ap-14, 0x1.3e936ac91148p-14, 0x1.380929206c7dfp-14, 0x1.31b44d0374687p-14, 0x1.2b95d60ced9ccp-14, 0x1.25acacfd56f5dp-14, 0x1.1ff5ba658b8bap-14, 0x1.1a6d07860aa16p-14, 0x1.150eb94037474p-14, 0x1.0fd7a500dce03p-14, 0x1.0ac59e059dcb5p-14, 0x1.05d7a0fa0e5bcp-14, 0x1.010dcc9773e1cp-14, 0x1.f8d1d34de0b51p-15, 0x1.efd31a2fe8cf5p-15, 0x1.e71ee9af89f8cp-15, 0x1.deb2e404ef3bdp-15, 0x1.d689c6acdc003p-15, 0x1.ce99ee1b3af51p-15, 0x1.c6d9e0bfdd739p-15, 0x1.bf486044f689ep-15, 0x1.b7e9ac42dccf6p-15, 0x1.b0bca3b58cffdp-15, 0x1.a9ba5e1bc9569p-15, 0x1.a2e0b819eaedap-15, 0x1.9c34a2f682691p-15, 0x1.95b878895c202p-15, 0x1.8f67a78cbe6cep-15, 0x1.893c80ca0a9c8p-15, 0x1.833542fde6d26p-15, 0x1.7d52a437fe172p-15, 0x1.7794177b69fbdp-15, 0x1.71f6e902626f8p-15, 0x1.6c77c17a9299cp-15, 0x1.6713fae4c585ep-15, 0x1.61ca0b74a8cbep-15, 0x1.5c997ea42154ap-15, 0x1.5782a865bac69p-15, 0x1.5285e6950a2dcp-15, 0x1.4da2c620a1c8cp-15, 0x1.48d8312e73778p-15, 0x1.44255a867870dp-15, 0x1.3f8869ec5bd3ap-15, 0x1.3afd1e3624c5dp-15, 0x1.368257aab4c21p-15, 0x1.321c90d2833bdp-15, 0x1.2dcc7c9c5bec2p-15, 0x1.298ced94f1804p-15, 0x1.255bc0f76e4p-15, 0x1.21397ab24d426p-15, 0x1.1d24845974bb6p-15, 0x1.191c19eb59e76p-15, 0x1.1521242d53371p-15, 0x1.1132d74594fb6p-15, 0x1.0d4ef3e6eb243p-15, 0x1.097561964b5cbp-15, 0x1.05a7ef71111ccp-15, 0x1.01e6eef57298bp-15, 0x1.fc619444ff91ep-16, 0x1.f507ad33de135p-16, 0x1.edbe5ab243e0bp-16, 0x1.e684ef68d907cp-16, 0x1.df5b4540d0c59p-16, 0x1.d841779e2e1b3p-16, 0x1.d13789c1e06cap-16, 0x1.ca3cca1ac41bbp-16, 0x1.c350385d902d2p-16, 0x1.bc72ad8989fa9p-16, 0x1.b5a5c4416dc72p-16, 0x1.aee5f797ad3d8p-16, 0x1.a82fdfe2c7a94p-16, 0x1.a185298a2d50ep-16, 0x1.9ae35c3d0a415p-16, 0x1.944b6a057ffcfp-16, 0x1.8dc2a03147c19p-16, 0x1.87484ec040f45p-16, 0x1.80da0818e0269p-16, 0x1.7a75bccf1a9a2p-16, 0x1.7418870dd3a1bp-16, 0x1.6dc258dfecaf6p-16, 0x1.67759a6bd8606p-16, 0x1.61322f7726f29p-16, 0x1.5af5e4c311e79p-16, 0x1.54c25ca28f1e2p-16, 0x1.4e99cf7b1695fp-16, 0x1.487b29722b41ep-16, 0x1.4264bf016ed49p-16, 0x1.3c5604119e56bp-16, 0x1.364f07b57e8b8p-16, 0x1.304fe8c1a5977p-16, 0x1.2a58bf75604e5p-16, 0x1.2469af697fde6p-16, 0x1.1e82c531624a7p-16, 0x1.18a3b82f030dbp-16, 0x1.12cc8a0afb98ap-16, 0x1.0cfedb178212bp-16, 0x1.073b9383c11dfp-16, 0x1.017fbcd0e6bep-16, 0x1.f794d5ad13399p-17, 0x1.ec3731fcccd5p-17, }}, 
      {{-0x1.268caafbe18fap+0, -0x1.246c4e485a538p+0, -0x1.20fd0f36f5ebp+0, -0x1.1c60a55df47d6p+0, -0x1.16bd55d343329p+0, -0x1.103af9102ec4bp+0, -0x1.0900f96d48784p+0, -0x1.013500459c8a7p+0, -0x1.f1f43f5430c4ep-1, -0x1.e0e0ab7a71ea3p-1, -0x1.cf68a1442d169p-1, -0x1.bdbec11347ccap-1, -0x1.ac0f142e9f61ep-1, -0x1.9a7f5d635d4f4p-1, -0x1.892f85b854141p-1, -0x1.783a1921d0842p-1, -0x1.67b4ca51c6d13p-1, -0x1.57b0f70092d45p-1, -0x1.483c27eadababp-1, -0x1.3960898cefe3p-1, -0x1.2b255bf1f09a9p-1, -0x1.1d8f591b79006p-1, -0x1.10a111ce77b27p-1, -0x1.045b418294745p-1, -0x1.f17a32811008dp-2, -0x1.db8904b8f6f8ep-2, -0x1.c6dcb2ae35611p-2, -0x1.b36d42c6b4b8ap-2, -0x1.a13162f8be616p-2, -0x1.901eb6dc4272cp-2, -0x1.802a1adfd2dc8p-2, -0x1.7147ddf95d477p-2, -0x1.636bf27ddb12ep-2, -0x1.568a17a743fafp-2, -0x1.4a95fc45083c3p-2, -0x1.3f835b4774112p-2, -0x1.35461396ac61p-2, -0x1.2bd23b3c705d4p-2, -0x1.231c2e9b7bd98p-2, -0x1.1b189cb396019p-2, -0x1.13bc905928c3bp-2, -0x1.0cfd76f759358p-2, -0x1.06d12584e6efdp-2, -0x1.012ddbab8ab1bp-2, -0x1.f8148b090d3fep-3, -0x1.eebaf86b02a14p-3, -0x1.e63e0afba71c3p-3, -0x1.de8da526b2d1bp-3, -0x1.d79a7cac134c8p-3, -0x1.d15616155c933p-3, -0x1.cbb2bf22c0105p-3, -0x1.c6a388cf7253bp-3, -0x1.c21c40f0bfc9ap-3, -0x1.be116b617d50ep-3, -0x1.ba783b06e1ebep-3, -0x1.b7468ab7b180dp-3, -0x1.b472d618b0f99p-3, -0x1.b1f4327e947d4p-3, -0x1.afc247e880a0dp-3, -0x1.add54a13ffbcdp-3, -0x1.ac25f176ff2cep-3, -0x1.aaad751affe9ep-3, -0x1.a965839bef8d9p-3, -0x1.a8483d68f83ffp-3, -0x1.a7502e6d0070ap-3, -0x1.a67848448cbabp-3, -0x1.a5bbdcbbe4d7dp-3, -0x1.a51698618efcep-3, -0x1.a4847d5bcb973p-3, -0x1.a401de76fd86ep-3, -0x1.a38b5a6b034d8p-3, -0x1.a31dd756a1c42p-3, -0x1.a2b67e6ff5d4bp-3, -0x1.a252b7e87d888p-3, -0x1.a1f027036db07p-3, -0x1.a18ca65c99b5bp-3, -0x1.a126445f27a89p-3, -0x1.a0bb3fe96d04bp-3, -0x1.a04a051e12f25p-3, -0x1.9fd12a5f8e6fep-3, -0x1.9f4f6d79e6197p-3, -0x1.9ec3b0ed09c09p-3, -0x1.9e2cf938c1471p-3, -0x1.9d8a6ab6d0be8p-3, -0x1.9cdb472979b0dp-3, -0x1.9c1eeb749a345p-3, -0x1.9b54cdeea2d03p-3, -0x1.9a7c7c24c88b9p-3, -0x1.9995992d4c96fp-3, -0x1.989fdc03013b4p-3, -0x1.979b0de74b7bcp-3, -0x1.968708e390bfbp-3, -0x1.9563b65ebff4bp-3, -0x1.94310dcc6bddep-3, -0x1.92ef136fb2927p-3, -0x1.919dd7363a2bcp-3, -0x1.903d73a9cccb6p-3, -0x1.8ece0cf35693bp-3, -0x1.8d4fcff32401ap-3, -0x1.8bc2f1638518bp-3, -0x1.8a27ad07f0934p-3, -0x1.887e44e8b3689p-3, -0x1.86c70097b19c2p-3, -0x1.85022c817bf8dp-3, -0x1.8330194f71891p-3, -0x1.81511b55a3f6ap-3, -0x1.7f658a12faa43p-3, -0x1.7d6dbfbcd08cap-3, -0x1.7b6a18d50cf1ep-3, -0x1.795af3cc05fc2p-3, -0x1.7740b0a0d9482p-3, -0x1.751bb08ba00f1p-3, -0x1.72ec55a84fb5dp-3, -0x1.70b302a229bc7p-3, -0x1.6e701a6b324f7p-3, -0x1.6c23fff3e38adp-3, -0x1.69cf15ecd334ap-3, -0x1.6771be963af88p-3, -0x1.650c5b91bc61bp-3, -0x1.629f4dacc530ep-3, -0x1.602af4c587796p-3, -0x1.5dafafdd539f7p-3, -0x1.5b2ddcb96ced2p-3, -0x1.58a5d7ea08749p-3, -0x1.5617fcd60f164p-3, -0x1.5384a570caac4p-3, -0x1.50ec2a35a435p-3, -0x1.4e4ee21da118ep-3, -0x1.4bad2285970fbp-3, -0x1.49073f1fab4b7p-3, -0x1.465d89e4e4fddp-3, -0x1.43b05304e783bp-3, -0x1.40ffe8e2fdee6p-3, -0x1.3e4c980eceb99p-3, -0x1.3b96ab40d46fp-3, -0x1.38de6b5a9f9f7p-3, -0x1.36241f66f4ca9p-3, -0x1.33680c98bf35ep-3, -0x1.30aa765574dd1p-3, -0x1.2deb9e3213e85p-3, -0x1.2b2bc3f8dc1a2p-3, -0x1.286b25ab80002p-3, -0x1.25a9ff8dbdaa3p-3, -0x1.22e88c18b0e83p-3, -0x1.202704131f01fp-3, -0x1.1d659e8653e67p-3, -0x1.1aa490c9149bbp-3, -0x1.17e40e7c34085p-3, -0x1.152449a1b47b8p-3, -0x1.12657287cb055p-3, -0x1.0fa7b7e4779b6p-3, -0x1.0ceb46d17d50cp-3, -0x1.0a304ad769e19p-3, -0x1.0776edef307a1p-3, -0x1.04bf5898d9c63p-3, -0x1.0209b1c7900d3p-3, -0x1.feac3e14e72f4p-4, -0x1.f94988fd67919p-4, -0x1.f3eb89c1209dbp-4, -0x1.ee92832649efcp-4, -0x1.e93eb55673a7p-4, -0x1.e3f05dd2c0dafp-4, -0x1.dea7b7be3ed54p-4, -0x1.d964fbb516d4dp-4, -0x1.d4285ffdb5bep-4, -0x1.cef21889cb313p-4, -0x1.c9c2570f8726ep-4, -0x1.c4994b12704a7p-4, -0x1.bf7721f55389bp-4, -0x1.ba5c07096b28cp-4, -0x1.b54823a20b668p-4, -0x1.b03b9f064cc19p-4, -0x1.ab369eb1ecc11p-4, -0x1.a63946357075p-4, -0x1.a143b7598f7a1p-4, -0x1.9c56122647f7dp-4, -0x1.977074f0e47dcp-4, -0x1.9292fc70a10e5p-4, -0x1.8dbdc3ca3cf12p-4, -0x1.88f0e475de051p-4, -0x1.842c76717b156p-4, -0x1.7f709076e5a3ep-4, -0x1.7abd47a1ee044p-4, -0x1.7612afbc038f8p-4, -0x1.7170db67354d5p-4, -0x1.6cd7dbd6f28d1p-4, -0x1.6847c104cee1ep-4, -0x1.63c099bfaf5e4p-4, -0x1.5f4273b2dbefdp-4, -0x1.5acd5b6cd3ae8p-4, -0x1.56615c6a4b9dp-4, -0x1.51fe81140d1fbp-4, -0x1.4da4d2f2bde05p-4, -0x1.49545a657f923p-4, -0x1.450d1f092f26bp-4, -0x1.40cf27801d27p-4, -0x1.3c9a7993a7675p-4, -0x1.386f1a35833b4p-4, -0x1.344d0d890467fp-4, -0x1.303456ea2cbcep-4, -0x1.2c24f8f487c6fp-4, -0x1.281ef58a63671p-4, -0x1.24224dd9599b9p-4, -0x1.202f026356e1fp-4, -0x1.1c45130788d9p-4, -0x1.18647eef4e2e2p-4, -0x1.148d44d7fe77p-4, -0x1.10bf62addac5fp-4, -0x1.0cfad5f76febp-4, -0x1.093f9b9f9bca3p-4, -0x1.058db00e3a893p-4, -0x1.01e50f281ea4cp-4, -0x1.fc8b68ad67eb7p-5, -0x1.f55f3517a7813p-5, -0x1.ee457888c7596p-5, -0x1.e73e271bb90f7p-5, -0x1.e04934150ad8fp-5, -0x1.d96691e943da9p-5, -0x1.d2963245e7e66p-5, -0x1.cbd806195cd3ap-5, -0x1.c52bfd9fa923ep-5, -0x1.be92083e699dap-5, -0x1.b80a150496ccep-5, -0x1.b19411eca9ac6p-5, -0x1.ab2feca5c3d82p-5, -0x1.a4dd92232a1bep-5, -0x1.9e9ceecc1b6c9p-5, -0x1.986dee7b4dabep-5, -0x1.92507c831d052p-5, -0x1.8c4483b16408cp-5, -0x1.8649ee560d226p-5, -0x1.8060a647f34a7p-5, -0x1.7a8894e9adf51p-5, -0x1.74c1a32c0d8edp-5, -0x1.6f0bb99277e2ap-5, -0x1.6966c03cbef3ap-5, -0x1.63d29ee5d3708p-5, -0x1.5e4f3ce8fb99p-5, -0x1.58dc814643581p-5, -0x1.537a52a94226dp-5, -0x1.4e28974ac2b12p-5, -0x1.48e735561628ep-5, -0x1.43b61258871c5p-5, -0x1.3e9513cfb0282p-5, -0x1.39841ed9f6499p-5, -0x1.3483185537c82p-5, -0x1.2f91e4de6cdbbp-5, -0x1.2ab068d2d750cp-5, -0x1.25de885548e8dp-5, -0x1.211c2753d7813p-5, -0x1.1c6929853116cp-5, -0x1.17c5726cc3cp-5, -0x1.1330e55cdda02p-5, -0x1.0eab657972ec7p-5, -0x1.0a34d5bb4d25p-5, -0x1.05cd18f30d447p-5, -0x1.017411cb70febp-5, -0x1.fa534593af809p-6, -0x1.f1db5ca254412p-6, -0x1.e9802d5989269p-6, -0x1.e1417c415a1bep-6, -0x1.d91f0d20383a9p-6, -0x1.d118a38c8f30fp-6, -0x1.c92e040fff889p-6, -0x1.c15ef14141d1cp-6, -0x1.b9ab2f306fdc7p-6, -0x1.b212812a188dep-6, -0x1.aa94aa1b03822p-6, -0x1.a3316d0622de7p-6, -0x1.9be88ce06075p-6, -0x1.94b9cc8a0707ep-6, -0x1.8da4eed28cab7p-6, -0x1.86a9b67bd5593p-6, -0x1.7fc7e63cdab2fp-6, -0x1.78ff40c4b42d8p-6, -0x1.724f88be6ed21p-6, -0x1.6bb880d5694a8p-6, -0x1.6539ebb97df78p-6, -0x1.5ed38c2286f4dp-6, -0x1.588524d305281p-6, -0x1.524e789a8e502p-6, -0x1.4c2f4a5647762p-6, -0x1.46275cf276bbcp-6, -0x1.40367373b8b58p-6, -0x1.3a5c50f5f016fp-6, -0x1.3498b8af7d035p-6, -0x1.2eeb6df77362dp-6, -0x1.29543449951efp-6, -0x1.23d2cf265e78ep-6, -0x1.1e67027983ba2p-6, -0x1.191091fc5c36p-6, -0x1.13cf41d82e1b2p-6, -0x1.0ea2d6429f984p-6, -0x1.098b13a6684p-6, -0x1.0487bea1df993p-6, -0x1.ff313810998ecp-7, -0x1.f57ae1c740ebp-7, -0x1.ebec04ebefb9ep-7, -0x1.e2842c76534dap-7, -0x1.d942e3d57cee4p-7, -0x1.d027b6f4c501ap-7, -0x1.c732324178dcfp-7, -0x1.be61e2ae22f8bp-7, -0x1.b5b655b5547a7p-7, -0x1.ad2f19651fce9p-7, -0x1.a4cbbc5d60259p-7, -0x1.9c8bcdcf56f05p-7, -0x1.946edd830ae15p-7, -0x1.8c747bda72925p-7, -0x1.849c39d503172p-7, -0x1.7ce5a913aaedap-7, -0x1.75505bdd25988p-7, -0x1.6ddbe520faa49p-7, -0x1.6687d87ad5575p-7, -0x1.5f53ca3553da5p-7, -0x1.583f4f4b59009p-7, -0x1.5149fd6b44febp-7, -0x1.4a736afe81bedp-7, -0x1.43bb2f081a8a8p-7, -0x1.3d20e17b27b16p-7, -0x1.36a41ac68311ap-7, -0x1.304474501176p-7, -0x1.2a01882c27866p-7, -0x1.23daf12e1b77fp-7, -0x1.1dd04af3e419cp-7, -0x1.17e131e3a8f1p-7, -0x1.120d432bc6724p-7, -0x1.0c541cc2ab19ep-7, -0x1.06b55d6c9a7ep-7, -0x1.0130a4bd9b4bep-7, -0x1.f78b262f85b42p-8, -0x1.ece7935cbccdp-8, -0x1.e275d51065f8p-8, -0x1.d8353100eada6p-8, -0x1.ce24ee8f27733p-8, -0x1.c44456c8396a4p-8, -0x1.ba92b4667adb6p-8, -0x1.b10f53d338983p-8, -0x1.a7b9832829148p-8, -0x1.9e909231201ffp-8, -0x1.9593d26e31cd6p-8, -0x1.8cc29715988ecp-8, -0x1.841c35152758bp-8, -0x1.7ba003136634ap-8, -0x1.734d59702847bp-8, -0x1.6b239244dd733p-8, -0x1.6322096512af2p-8, -0x1.5b481c5d8e9b7p-8, -0x1.53952a756af9cp-8, -0x1.4c0894ad73ac4p-8, -0x1.44a1bdc09b85ep-8, -0x1.3d600a252bb82p-8, -0x1.3642e010ce86ep-8, -0x1.2f49a76b780aap-8, -0x1.2873c9afba4dbp-8, -0x1.21c0b243639dep-8, -0x1.1b2fce6d1393p-8, -0x1.14c08e24ef83p-8, -0x1.0e725f4b7fe3cp-8, -0x1.0844b6481dfaep-8, -0x1.023704ee90687p-8, -0x1.f89185a1b513cp-9, -0x1.ecf2ce66dd9b3p-9, -0x1.e190d4b1bdf26p-9, -0x1.d66a8e072b9d2p-9, -0x1.cb7ef34667843p-9, -0x1.c0cd008bebac8p-9, -0x1.b653b53e1adf5p-9, -0x1.ac121410555bdp-9, -0x1.a20723016da6p-9, -0x1.9831eb584b36cp-9, -0x1.8e91799fdf37cp-9, -0x1.8524dda250469p-9, -0x1.7beb2a63e9fbap-9, -0x1.72e3761d27e1cp-9, -0x1.6a0cda3530756p-9, -0x1.6166733c15074p-9, -0x1.58ef60e5d1966p-9, -0x1.50a6c605cac4p-9, -0x1.488bc88ac4d03p-9, -0x1.409d917af98cdp-9, -0x1.38db4cefd67eap-9, -0x1.31442a115cfadp-9, -0x1.29d75b0f9f421p-9, -0x1.2294151c9d4f2p-9, -0x1.1b7990633ccdap-9, -0x1.148707fd432d1p-9, -0x1.0dbbb9ec6194bp-9, -0x1.0716e7181874bp-9, -0x1.0097d3456b83ep-9, -0x1.f47b8a1d3d7d7p-10, -0x1.e8100bc1f965ap-10, -0x1.dbebc3f6f8903p-10, -0x1.d00d50e059f6ap-10, -0x1.c4735621ec7b4p-10, -0x1.b91c7c8d2fa1dp-10, -0x1.ae0772dd56a82p-10, -0x1.a332ecb7ab388p-10, -0x1.989da384dc207p-10, -0x1.8e46557a274f7p-10, -0x1.842bc5ff7c9c9p-10, -0x1.7a4cbda1ab12ap-10, -0x1.70a80a01356ccp-10, -0x1.673c7dc93539p-10, -0x1.5e08f0a6bc14ep-10, -0x1.550c3f3c7d87p-10, -0x1.4c454b0f6c07fp-10, -0x1.43b2fa75a883fp-10, -0x1.3b54387e2ba03p-10, -0x1.3327f4db1eecep-10, -0x1.2b2d23d1b8d74p-10, -0x1.2362be2c4ef0ap-10, -0x1.1bc7c132ea891p-10, -0x1.145b2ea8703afp-10, -0x1.0d1c0cc991b33p-10, -0x1.060966498eaadp-10, -0x1.fe449492a88b1p-11, -0x1.f0cb988d4e409p-11, -0x1.e3a6080b92fc1p-11, -0x1.d6d21ad9931f4p-11, -0x1.ca4e10da87c6ep-11, -0x1.be1831b7b83b4p-11, -0x1.b22eccbbe440cp-11, -0x1.a69038b73f6f8p-11, -0x1.9b3ad4077f9fap-11, -0x1.902d04a56b9c2p-11, -0x1.8565383391b9p-11, -0x1.7ae1e410b4e53p-11, -0x1.70a1855e4b64fp-11, -0x1.66a2a0eba5614p-11, -0x1.5ce3c30504e5dp-11, -0x1.53637f2aef42p-11, -0x1.4a206fbc6c768p-11, -0x1.411935a2f7e24p-11, -0x1.384c780e4cb42p-11, -0x1.2fb8e44ba928ap-11, -0x1.275d2dbc96e05p-11, -0x1.1f380deb5092ep-11, -0x1.174844b264ab2p-11, -0x1.0f8c986e9f1dap-11, -0x1.0803d62f49e1cp-11, -0x1.00acd19b9ab51p-11, -0x1.f30cc913eb267p-12, -0x1.e51edf1780e5p-12, -0x1.d78db238f43c2p-12, -0x1.ca571b227d93fp-12, -0x1.bd78fbdb6281p-12, -0x1.b0f14014a2412p-12, -0x1.a4bddccb08903p-12, -0x1.98dcd0256f4dcp-12, -0x1.8d4c21bde55acp-12, -0x1.8209e32d2abep-12, -0x1.771430aca453dp-12, -0x1.6c6931a20d8a3p-12, -0x1.620718efbec0cp-12, -0x1.57ec24f89a099p-12, -0x1.4e169f505a4ddp-12, -0x1.4484dc18478bp-12, -0x1.3b3538ed00c3bp-12, -0x1.32261b16a6fddp-12, -0x1.2955f149d614p-12, -0x1.20c34732ddcadp-12, -0x1.186c755e699f8p-12, -0x1.105013dde734ep-12, -0x1.086c94ef941a1p-12, -0x1.00c0adb08d7fcp-12, -0x1.f295c0a537861p-13, -0x1.e413984845a41p-13, -0x1.d5f836b1f68a1p-13, -0x1.c840ffbde425ep-13, -0x1.baeb6853f498dp-13, -0x1.adf4f5fb6a209p-13, -0x1.a15b3ec1d8aacp-13, -0x1.951be83f7fa4p-13, -0x1.8934a7260b65bp-13, -0x1.7da33e8cb04dp-13, -0x1.72657ec6a5dadp-13, -0x1.677944001f8e5p-13, -0x1.5cdc74d87ffc3p-13, -0x1.528d0170b9aaap-13, -0x1.4888e346ceffcp-13, -0x1.3ece1ddfb584ep-13, -0x1.355abfdd71811p-13, -0x1.2c2ce3dab31c5p-13, -0x1.2342b087a3aa6p-13, -0x1.1a9a57dbb4c72p-13, -0x1.123215de85c84p-13, -0x1.0a082f9d2bc35p-13, -0x1.021af30d54f31p-13, -0x1.f4d16fdae32a5p-14, -0x1.e5dfc279f3361p-14, -0x1.d75dbd0f253e8p-14, -0x1.c94858b432e2ep-14, -0x1.bb9ca75560ffp-14, -0x1.ae57cff614c67p-14, -0x1.a177097791b45p-14, -0x1.94f79b9e97a7ep-14, -0x1.88d6deed70726p-14, -0x1.7d123c7bd8dbcp-14, -0x1.71a72c8834951p-14, -0x1.669338f1c5abep-14, -0x1.5bd3fbeb3c36ap-14, -0x1.51671cb625092p-14, -0x1.474a4c54d4dd7p-14, -0x1.3d7b4391c74afp-14, -0x1.33f7c351afe3p-14, -0x1.2abd97196c761p-14, -0x1.21ca989e21026p-14, -0x1.191cb2c439673p-14, -0x1.10b1e2e4bf5cfp-14, -0x1.0888385158c37p-14, -0x1.009dd2ec35f03p-14, -0x1.f1e1c3a129128p-15, -0x1.e2ff4518e07d9p-15, -0x1.d490c12bad134p-15, -0x1.c692e86142aa1p-15, -0x1.b90280f2ab45ep-15, -0x1.abdc624ef7a7dp-15, -0x1.9f1d723d0a1dcp-15, -0x1.92c2a510be39bp-15, -0x1.86c90048d12cp-15, -0x1.7b2d9d4e5f4f3p-15, -0x1.6fedaa524b37ap-15, -0x1.6506692453bfap-15, -0x1.5a752d7d86239p-15, -0x1.50375be6e0e04p-15, -0x1.464a68fbe0f99p-15, -0x1.3cabd8454f2f9p-15, -0x1.33593b6ef8e29p-15, -0x1.2a50338643384p-15, -0x1.218e7735d548fp-15, -0x1.1911da108ab0bp-15, -0x1.10d851a0f9483p-15, -0x1.08dff19b35338p-15, -0x1.0126df0666c0cp-15, -0x1.f3567fff8b8e6p-16, -0x1.e4d661d846627p-16, -0x1.d6c98a1951ce7p-16, -0x1.c92c22c511627p-16, -0x1.bbfa75342ea3fp-16, -0x1.af30fc3acd4b1p-16, -0x1.a2cc65f3ae2a4p-16, -0x1.96c989a0ec406p-16, -0x1.8b255ad0ef149p-16, -0x1.7fdce03255f0bp-16, -0x1.74ed2ed7b9d62p-16, -0x1.6a53673ef0dfap-16, -0x1.600cb31decf33p-16, -0x1.561647c7616f3p-16, -0x1.4c6d72468cf35p-16, -0x1.430fab5f19614p-16, -0x1.39faa7153b99p-16, -0x1.312c5113d9164p-16, -0x1.28a2b04590ab6p-16, -0x1.205bc1191d85ep-16, -0x1.18556a52543ecp-16, -0x1.108d8493b130cp-16, -0x1.0901e5ccea027p-16, -0x1.01b07386d234bp-16, -0x1.f52e6424fa48p-17, -0x1.e76882998f466p-17, -0x1.da0bb09c88769p-17, -0x1.cd147cdaa9db7p-17, -0x1.c07f8383108a3p-17, -0x1.b44969e280b18p-17, -0x1.a86edcb1179dbp-17, -0x1.9cec85eed7da5p-17, -0x1.91bee8ee605fcp-17, -0x1.86e4ac3f16b1p-17, -0x1.7c59bd8ecb5ffp-17, -0x1.721a73070add3p-17, -0x1.682450476869cp-17, -0x1.5e78061670e85p-17, -0x1.55114278a8299p-17, -0x1.4bee3b688128fp-17, -0x1.430cd0665c1afp-17, -0x1.3a6ab944c5d8cp-17, -0x1.3205c3b5fb0fcp-17, -0x1.29dbe6c95b5d3p-17, -0x1.21eb34cb0e45fp-17, -0x1.1a31c8faf82b2p-17, -0x1.12adc63f3c29ep-17, -0x1.0b5d5ff628666p-17, -0x1.043edd5810dc9p-17, -0x1.faa127bc79abep-18, -0x1.ed21bd710617fp-18, -0x1.dffc368670863p-18, -0x1.d32d5e651fdb7p-18, -0x1.c6b2294577c72p-18, -0x1.ba87c193b162bp-18, -0x1.aeab7a4e4b394p-18, -0x1.a31ab33640b85p-18, -0x1.97d2ce72712fcp-18, -0x1.8cd1445319454p-18, -0x1.8213c046788f3p-18, -0x1.7797ffc20ecc8p-18, -0x1.6d5bec46cd19cp-18, -0x1.635d8241c1e65p-18, -0x1.599aef364c0a7p-18, -0x1.50127de719f83p-18, -0x1.46c26ea2dbb4p-18, -0x1.3da8ef5bc9852p-18, -0x1.34c434a531f4cp-18, -0x1.2c128abfe649bp-18, -0x1.239250ea24f2p-18, -0x1.1b41f395d46e8p-18, -0x1.131fed70b64f5p-18, -0x1.0b2ac6d909785p-18, -0x1.036111229a942p-18, -0x1.f782c9f4f1fe1p-19, -0x1.e894d7b952fcfp-19, -0x1.d9f5e483b388dp-19, -0x1.cba3e542a70d5p-19, -0x1.bd9d0d7082751p-19, -0x1.afdf7f444982ep-19, -0x1.a26909a9e2b3fp-19, -0x1.953738c63364bp-19, -0x1.884790814cd65p-19, -0x1.7b979b6e31b72p-19, -0x1.6f2536fb2523dp-19, -0x1.62ef00e7b23d9p-19, -0x1.56f3fb7782625p-19, -0x1.4b32e2f88c09bp-19, -0x1.3faa13b885ecdp-19, -0x1.3457e63e8aa63p-19, -0x1.293af5a4e7e32p-19, -0x1.1e5203dc93af8p-19, -0x1.139bcc2cb5c6fp-19, -0x1.091701cf48465p-19, -0x1.fd84c6f6d767bp-20, -0x1.e93987e1f87bbp-20, -0x1.d54a0b51c7bc3p-20, -0x1.c1b42a5cc7393p-20, -0x1.ae75ccd3b39fbp-20, -0x1.9b8ceea5ea326p-20, -0x1.88f7b73470785p-20, -0x1.76b494db72934p-20, -0x1.64c238a425739p-20, -0x1.531f5ae301bd6p-20, -0x1.41ca6795845cfp-20, -0x1.30c16d4fe1316p-20, -0x1.200269ed0dca1p-20, -0x1.0f8ba4058f263p-20, -0x1.feb76cf04d94bp-21, -0x1.dee36af896001p-21, -0x1.bf99ddb0f79bap-21, -0x1.a0d883b71e887p-21, -0x1.829c3dcbafc96p-21, -0x1.64e247bd6ea7cp-21, -0x1.47a86b225c86cp-21, -0x1.2aec900a1bc7p-21, -0x1.0eace8f8da181p-21, -0x1.e5cfec124baf3p-22, -0x1.af3829e03eaccp-22, -0x1.798eb9eea2b4cp-22, -0x1.44cfe354474bep-22, -0x1.10f86092e482cp-22, -0x1.bc0a3c79cc69p-23, -0x1.57e62de3d04afp-23, -0x1.eafd889a02225p-24, -0x1.299ce3b69d61bp-24, -0x1.ae7f774ca16eap-26, 0x1.3c0da9dca0493p-26, 0x1.065621ddf7f23p-24, 0x1.ba6149216a1b8p-24, 0x1.35978577cb1bdp-23, 0x1.8c658e65132d6p-23, 0x1.e1a01c58a4ab3p-23, 0x1.1aa58e4766db8p-22, 0x1.43b5276eae94dp-22, 0x1.6c00dac5e1b38p-22, 0x1.938a9b2e032e4p-22, 0x1.ba54b5053a1fbp-22, 0x1.e0611870ce3c7p-22, 0x1.02d9821e3733dp-21, 0x1.152bdeae70288p-21, 0x1.27114611ef8c4p-21, 0x1.3899f641df70cp-21, 0x1.49e79a8501332p-21, 0x1.5ac49040bcac2p-21, 0x1.6b474bfa48573p-21, 0x1.7b7679243bd6p-21, 0x1.8b4f345a984f5p-21, 0x1.9ad1beedf4cd4p-21, 0x1.a9febd4b30d9dp-21, 0x1.b8d6df01c5e24p-21, 0x1.c75aea0a139e7p-21, 0x1.d58bf91f1225bp-21, 0x1.e36afa1f9c535p-21, 0x1.f0f8512ecf621p-21, 0x1.fe34903d8b66ep-21, 0x1.0590428bcdec9p-20, 0x1.0bde79b4f7b7ap-20, 0x1.12054f91608a8p-20, 0x1.1805256a8614ap-20, 0x1.1dde4bf14248ep-20, 0x1.23911419399ecp-20, 0x1.291dea44532cap-20, 0x1.2e8532a7fd56fp-20, 0x1.33c74879c55fp-20, }}, 
      std::vector<double>(700, 0.0), 
      {{0x1.24fe2cb235cf8p-5, 0x1.08edfe3c75888p-4, 0x1.54924a0a1a9ffp-4, 0x1.70684984c09eap-4, 0x1.5d66ec1d4b21p-4, 0x1.2002115136218p-4, 0x1.7d086b65d8718p-5, 0x1.ffc9cb9d07685p-7, -0x1.52113d151ce5fp-6, -0x1.f074bdf83bbbfp-5, -0x1.a5106b076802p-4, -0x1.2ad84bcff0caap-3, -0x1.82c9b9bc3ab4dp-3, -0x1.d87eb7237859ep-3, -0x1.153cd2483e47p-2, -0x1.3bca507ab937bp-2, -0x1.5f7bdd25f1fbfp-2, -0x1.80075d74882afp-2, -0x1.9d3f90831ccedp-2, -0x1.b70f534af2a38p-2, -0x1.cd754e2fe0403p-2, -0x1.e08017f3421b5p-2, -0x1.f04ad1f285b3bp-2, -0x1.fcfa3995261b1p-2, -0x1.035d12f1f13aap-1, -0x1.06ddb39021295p-1, -0x1.0918ff19517dep-1, -0x1.0a29d13ac1d8ap-1, -0x1.0a2b4680eea7dp-1, -0x1.093840798a753p-1, -0x1.076b044d8e77dp-1, -0x1.04dcf00fec01p-1, -0x1.01a64342a4eep-1, -0x1.fbbbeee930b9dp-2, -0x1.f3334c5861523p-2, -0x1.e9daf35e2170dp-2, -0x1.dfd84d261a0b9p-2, -0x1.d54dd888e90a3p-2, -0x1.ca5b35f7620b4p-2, -0x1.bf1d3bb9ed5bep-2, -0x1.b3ae1057b71d9p-2, -0x1.a82549666af9ap-2, -0x1.9c980d58cf643p-2, -0x1.9119371fb734cp-2, -0x1.85b97ab3d6b93p-2, -0x1.7a8789d00b466p-2, -0x1.6f90384a388adp-2, -0x1.64de9f9f22abep-2, -0x1.5a7c415cd2943p-2, -0x1.5071282fb193fp-2, -0x1.46c40765b246dp-2, -0x1.3d7a58ceb869ap-2, -0x1.349878e9e51fcp-2, -0x1.2c21c15964056p-2, -0x1.2418a1a12209cp-2, -0x1.1c7eb639b1eeep-2, -0x1.1554de05dbbeap-2, -0x1.0e9b4e3c7ea4bp-2, -0x1.0851a4da72413p-2, -0x1.0276f9b0a37a7p-2, -0x1.fa13dc435538dp-3, -0x1.f011774f997aap-3, -0x1.e6e2825b3a90fp-3, -0x1.de821ead59505p-3, -0x1.d6eae77fb4795p-3, -0x1.d017069c7831p-3, -0x1.ca0047350973dp-3, -0x1.c4a0270e5bf24p-3, -0x1.bfefe620cdcf8p-3, -0x1.bbe894c57344dp-3, -0x1.b883208c0c317p-3, -0x1.b5b85fcef9f4cp-3, -0x1.b3811c1f1509bp-3, -0x1.b1d61b99a03abp-3, -0x1.b0b029401e91ep-3, -0x1.b0081c61b9adcp-3, -0x1.afd6df2b1495ep-3, -0x1.b015746c14a74p-3, -0x1.b0bcfca5109d3p-3, -0x1.b1c6ba687a62fp-3, -0x1.b32c16206f5dp-3, -0x1.b4e6a140fcba7p-3, -0x1.b6f018f928c96p-3, -0x1.b942686aed05ap-3, -0x1.bbd7aa6fc5325p-3, -0x1.beaa2b04bbb76p-3, -0x1.c1b46854aa8e3p-3, -0x1.c4f11375491e8p-3, -0x1.c85b10e0f6e02p-3, -0x1.cbed789edc4ffp-3, -0x1.cfa3963f5d6bbp-3, -0x1.d378e88e1b71dp-3, -0x1.d769211e0276bp-3, -0x1.db7023b18972ep-3, -0x1.df8a0563fb7a4p-3, -0x1.e3b30be9aa2ebp-3, -0x1.e7e7ac9f46cbdp-3, -0x1.ec248b5c9a7d3p-3, -0x1.f066799ae9318p-3, -0x1.f4aa75237ba7cp-3, -0x1.f8eda6ae9b7fp-3, -0x1.fd2d60da2b8cep-3, -0x1.00b38f37c1deep-2, -0x1.02cc4093da736p-2, -0x1.04dfa83b8253ep-2, -0x1.06ecbbdaefb0ap-2, -0x1.08f2829deb1f8p-2, -0x1.0af01494b4494p-2, -0x1.0ce499d5e9493p-2, -0x1.0ecf4a151b625p-2, -0x1.10af6bfc6551cp-2, -0x1.1284545dcaaedp-2, -0x1.144d65b9799a1p-2, -0x1.160a0f8a2a85fp-2, -0x1.17b9cd8a64169p-2, -0x1.195c27392de99p-2, -0x1.1af0af3c7bf17p-2, -0x1.1c7702c6f5328p-2, -0x1.1deec92bd97dep-2, -0x1.1f57b362d7e22p-2, -0x1.20b17b8ecf745p-2, -0x1.21fbe49b90349p-2, -0x1.2336b9d45cd93p-2, -0x1.2461ce77c66dp-2, -0x1.257cfd546713ap-2, -0x1.268828667ae83p-2, -0x1.2783386fd8f01p-2, -0x1.286e1c97e5a06p-2, -0x1.2948ca0c53383p-2, -0x1.2a133ba9d6656p-2, -0x1.2acd71a4432ecp-2, -0x1.2b7771350362ap-2, -0x1.2c114454bbb51p-2, -0x1.2c9af97274796p-2, -0x1.2d14a3331f52ep-2, -0x1.2d7e583421322p-2, -0x1.2dd832d18ad22p-2, -0x1.2e2250ed672afp-2, -0x1.2e5cd3b981026p-2, -0x1.2e87df82b5a1fp-2, -0x1.2ea39b7c9e308p-2, -0x1.2eb0318eb3b86p-2, -0x1.2eadce226d6cfp-2, -0x1.2e9c9feea6ba3p-2, -0x1.2e7cd7ccb16e3p-2, -0x1.2e4ea88656f7bp-2, -0x1.2e1246a9da524p-2, -0x1.2dc7e85dc6eddp-2, -0x1.2d6fc53bebc5cp-2, -0x1.2d0a1626709e3p-2, -0x1.2c971527403dcp-2, -0x1.2c16fd4c83776p-2, -0x1.2b8a0a898ca8dp-2, -0x1.2af0799a101f5p-2, -0x1.2a4a87e8077ffp-2, -0x1.2998736e6b82ap-2, -0x1.28da7aa65faf8p-2, -0x1.2810dc6e1cc8ap-2, -0x1.273bd7f56e5dfp-2, -0x1.265baca9cddd4p-2, -0x1.25709a2454aap-2, -0x1.247ae01728f24p-2, -0x1.237abe3fb7545p-2, -0x1.2270745331c45p-2, -0x1.215c41f3a031p-2, -0x1.203e669e5d961p-2, -0x1.1f1721a1573f6p-2, -0x1.1de6b20bf3577p-2, -0x1.1cad56a501d91p-2, -0x1.1b6b4ddeeb24cp-2, -0x1.1a20d5cc0a917p-2, -0x1.18ce2c1552ce4p-2, -0x1.17738df1eeb83p-2, -0x1.1611381d2c936p-2, -0x1.14a766cfe21dfp-2, -0x1.133655b840d99p-2, -0x1.11be3ff2dc707p-2, -0x1.103f600537a5bp-2, -0x1.0eb9efd82e874p-2, -0x1.0d2e28b2a1b73p-2, -0x1.0b9c4334c5c12p-2, -0x1.0a047753c2eb7p-2, -0x1.0866fc5786a9dp-2, -0x1.06c408d647b9cp-2, -0x1.051bd2b1ff9efp-2, -0x1.036e8f15696b7p-2, -0x1.01bc7272d329ep-2, -0x1.0005b081fe443p-2, -0x1.fc94f87c82e47p-3, -0x1.f9160fca0fcafp-3, -0x1.f58f09ea79439p-3, -0x1.f200485d4ea4ep-3, -0x1.ee6a2b248b23bp-3, -0x1.eacd10bb06c07p-3, -0x1.e729561e07fdap-3, -0x1.e37f56c8f69a1p-3, -0x1.dfcf6cb7062dap-3, -0x1.dc19f060e0e7ap-3, -0x1.d85f38bda15e4p-3, -0x1.d49f9b45e32afp-3, -0x1.d0db6bf5a4f12p-3, -0x1.cd12fd4c6f12p-3, -0x1.c946a04d20a83p-3, -0x1.c576a480bb883p-3, -0x1.c1a357fa5c336p-3, -0x1.bdcd07580a4f8p-3, -0x1.b9f3fdc8e9b51p-3, -0x1.b6188506caed5p-3, -0x1.b23ae5607f4d1p-3, -0x1.ae5b65b9c3d8ap-3, -0x1.aa7a4b903d93cp-3, -0x1.a697dafd6e013p-3, -0x1.a2b456b96f4dcp-3, -0x1.9ed0001dc75aap-3, -0x1.9aeb1728c864cp-3, -0x1.9705da81bf817p-3, -0x1.9320877ca1cc9p-3, -0x1.8f3b5a1dceb3ap-3, -0x1.8b568d1d3770dp-3, -0x1.877259e87091ap-3, -0x1.838ef8a6727f1p-3, -0x1.7faca03a408dp-3, -0x1.7bcb864c28e24p-3, -0x1.77ebdf4822a87p-3, -0x1.740dde66196c3p-3, -0x1.7031b5a729e8ap-3, -0x1.6c5795d9a4884p-3, -0x1.687fae9e6996p-3, -0x1.64aa2e6fba61fp-3, -0x1.60d742a5ebae8p-3, -0x1.5d07177848a0fp-3, -0x1.5939d7fc92552p-3, -0x1.556fae292138dp-3, -0x1.51a8c2db5812ep-3, -0x1.4de53ddfd5e14p-3, -0x1.4a2545f80ebb5p-3, -0x1.466900da3411ep-3, -0x1.42b0932f29513p-3, -0x1.3efc20933751cp-3, -0x1.3b4bcb9c57c9bp-3, -0x1.379fb5e2a6808p-3, -0x1.33f8000a4e7f8p-3, -0x1.3054c9c09216ap-3, -0x1.2cb631bca500fp-3, -0x1.291c55bb55728p-3, -0x1.258752835a3e8p-3, -0x1.21f743ee98076p-3, -0x1.1e6c44f3a4e1bp-3, -0x1.1ae66faa9a6bep-3, -0x1.1765dd4bd13afp-3, -0x1.13eaa62b0a5cdp-3, -0x1.1074e1b696f61p-3, -0x1.0d04a67ccdf53p-3, -0x1.099a0a36521a7p-3, -0x1.063521cf734d6p-3, -0x1.02d6016be6596p-3, -0x1.fef978c8545f3p-4, -0x1.f852ca81908f9p-4, -0x1.f1b81b723fc4ep-4, -0x1.eb298d71a7a21p-4, -0x1.e4a740d41bb55p-4, -0x1.de31547cf7959p-4, -0x1.d7c7e5e7e9598p-4, -0x1.d16b112a8d3f8p-4, -0x1.cb1af0e02d42dp-4, -0x1.c4d79e3085f07p-4, -0x1.bea130ce2c80ep-4, -0x1.b877bf09ce6aap-4, -0x1.b25b5de762d01p-4, -0x1.ac4c212b947e8p-4, -0x1.a64a1b5dc01a4p-4, -0x1.a0555dc0e3a48p-4, -0x1.9a6df84b58626p-4, -0x1.9493f9a5f424cp-4, -0x1.8ec76f364cda7p-4, -0x1.89086530c174ap-4, -0x1.8356e6aaa13abp-4, -0x1.7db2fda4b7d7p-4, -0x1.781cb30b9bcc8p-4, -0x1.72940eb0ee629p-4, -0x1.6d191744b29bep-4, -0x1.67abd2556604ap-4, -0x1.624c445995664p-4, -0x1.5cfa70c0624aep-4, -0x1.57b65a01e4438p-4, -0x1.528001a9c38e2p-4, -0x1.4d576859663b2p-4, -0x1.483c8dc3622a7p-4, -0x1.432f70a4d91cap-4, -0x1.3e300ec67df1cp-4, -0x1.393e64fee22c8p-4, -0x1.345a6f430f571p-4, -0x1.2f8428b32b722p-4, -0x1.2abb8ba79c683p-4, -0x1.260091b6d5896p-4, -0x1.215333b4b11fbp-4, -0x1.1cb369ae440f1p-4, -0x1.18212ae69ef48p-4, -0x1.139c6dd830fbdp-4, -0x1.0f25283c2918fp-4, -0x1.0abb4f163786dp-4, -0x1.065ed6c135073p-4, -0x1.020fb2f8e5811p-4, -0x1.fb9badbd6cc7ap-5, -0x1.f33269f3a9a4p-5, -0x1.eae37e68fda96p-5, -0x1.e2aecdb429aecp-5, -0x1.da943931530d9p-5, -0x1.d293a10de7144p-5, -0x1.caace45b3e60dp-5, -0x1.c2dfe123c30c6p-5, -0x1.bb2c747ca19a2p-5, -0x1.b3927a90f845p-5, -0x1.ac11cea560ff1p-5, -0x1.a4aa4b166a31ap-5, -0x1.9d5bc9563829p-5, -0x1.962621ed923d9p-5, -0x1.8f092c82e80b8p-5, -0x1.8804bfe64460ep-5, -0x1.8118b2236813bp-5, -0x1.7a44d88f6d5a8p-5, -0x1.738907d88468ap-5, -0x1.6ce5140c4d4cep-5, -0x1.6658d09b2e386p-5, -0x1.5fe410589982bp-5, -0x1.5986a57ad9978p-5, -0x1.5340619d8013dp-5, -0x1.4d1115c7ca8d1p-5, -0x1.46f892770d30ap-5, -0x1.40f6a7ab45146p-5, -0x1.3b0b24f39c744p-5, -0x1.3535d979393e9p-5, -0x1.2f769406da4a7p-5, -0x1.29cd230cf848ap-5, -0x1.243954a398a86p-5, -0x1.1ebaf68b4cae5p-5, -0x1.1951d62f50b2fp-5, -0x1.13fdc0a9fda6p-5, -0x1.0ebe82cbc84a8p-5, -0x1.0993e9242a37bp-5, -0x1.047dc00b379b3p-5, -0x1.fef7a755561d3p-6, -0x1.f51be00abc6e3p-6, -0x1.eb67c1f963d8ep-6, -0x1.e1dae4a7f4a1p-6, -0x1.d874df652f71bp-6, -0x1.cf35494b7b3bep-6, -0x1.c61bb94617e2cp-6, -0x1.bd27c61903ed2p-6, -0x1.b459066bf4f03p-6, -0x1.abaf10d7574c7p-6, -0x1.a3297bf1f6cd5p-6, -0x1.9ac7de5e14ea3p-6, -0x1.9289ced46299fp-6, -0x1.8a6ee42c7b32bp-6, -0x1.8276b565724a2p-6, -0x1.7aa0d9a94ffbep-6, -0x1.72ece854c775dp-6, -0x1.6b5a78ed99782p-6, -0x1.63e9233f9658dp-6, -0x1.5c987f4b5cf83p-6, -0x1.55682564ed29ep-6, -0x1.4e57ae2c23d36p-6, -0x1.4766b298e2a0dp-6, -0x1.4094cc074d8ap-6, -0x1.39e1943cfb624p-6, -0x1.334ca56f6ceb1p-6, -0x1.2cd59a49cf0ep-6, -0x1.267c0df1e23d1p-6, -0x1.203f9c0c26a5dp-6, -0x1.1a1fe0bfa8afep-6, -0x1.141c78b9a6c85p-6, -0x1.0e35013151361p-6, -0x1.086917ebb7ab6p-6, -0x1.02b85b3fc653p-6, -0x1.fa44d4357ed52p-7, -0x1.ef4dc80a31929p-7, -0x1.e48ad25051fafp-7, -0x1.d9fb34a8bcacp-7, -0x1.cf9e320eea6f5p-7, -0x1.c5730ee3fba51p-7, -0x1.bb7910f6ae24dp-7, -0x1.b1af7f8777246p-7, -0x1.a815a348dbe22p-7, -0x1.9eaac65d255c7p-7, -0x1.956e3453a7ab1p-7, -0x1.8c5f3a27d58fp-7, -0x1.837d2644a6346p-7, -0x1.7ac7488d6c417p-7, -0x1.723cf26bfc6bcp-7, -0x1.69dd76e23ca02p-7, -0x1.61a82a9c1cb7ep-7, -0x1.599c63fd5a89ep-7, -0x1.51b97b27382ep-7, -0x1.49fec9f353de9p-7, -0x1.426babe419cep-7, -0x1.3aff7e115f5aap-7, -0x1.33b99f0ff53f2p-7, -0x1.2c996ee491bd6p-7, -0x1.259e4efeadd8ep-7, -0x1.1ec7a247668abp-7, -0x1.1814cd3eeadadp-7, -0x1.1185362531348p-7, -0x1.0b1845254a13cp-7, -0x1.04cd6478a9ad7p-7, -0x1.fd4800f0f5fe4p-8, -0x1.f1370f2bc1123p-8, -0x1.e566d46f2f04cp-8, -0x1.d9d6350392a3cp-8, -0x1.ce841825dee63p-8, -0x1.c36f6789a8247p-8, -0x1.b8970f021e79dp-8, -0x1.adf9fc6b7f4f3p-8, -0x1.a3971fe0e2c53p-8, -0x1.996d6c39d9a7fp-8, -0x1.8f7bd7b9c16f8p-8, -0x1.85c15ccd6c25fp-8, -0x1.7c3cfaadf4e0ap-8, -0x1.72edb5c196a91p-8, -0x1.69d297a054409p-8, -0x1.60eaaeb3817b5p-8, -0x1.58350d7e4b362p-8, -0x1.4fb0c9afe9edfp-8, -0x1.475cfb2f18debp-8, -0x1.3f38bb51cb68p-8, -0x1.3743246c800e9p-8, -0x1.2f7b51d40e633p-8, -0x1.27e060549a613p-8, -0x1.20716f07a002cp-8, -0x1.192da05da0e54p-8, -0x1.12141b242224ep-8, -0x1.0b240b50155f5p-8, -0x1.045ca2603603fp-8, -0x1.fb7a2e7f2dbbp-9, -0x1.ee894b5707728p-9, -0x1.e1e51a74e7e22p-9, -0x1.d58c206d35e1bp-9, -0x1.c97ce512dbd8ap-9, -0x1.bdb5f1e4d525p-9, -0x1.b235d1694a6ebp-9, -0x1.a6fb0f99b8a82p-9, -0x1.9c043b49ed82ep-9, -0x1.914fe83d476bep-9, -0x1.86dcb17dc33ecp-9, -0x1.7ca93b6617ca9p-9, -0x1.72b434f08022ep-9, -0x1.68fc57ec34503p-9, -0x1.5f806807bc8b9p-9, -0x1.563f30c9f12c6p-9, -0x1.4d3782da934e2p-9, -0x1.44683123c574dp-9, -0x1.3bd00e6261e06p-9, -0x1.336debab61254p-9, -0x1.2b40983d61ea3p-9, -0x1.2346e2b82a255p-9, -0x1.1b7f9b8fe2739p-9, -0x1.13e998546b15ep-9, -0x1.0c83b73a3ba81p-9, -0x1.054ce23cf3984p-9, -0x1.fc88227968173p-10, -0x1.eed0954c884b8p-10, -0x1.e171450b63ee6p-10, -0x1.d4686eb129181p-10, -0x1.c7b45dd8e2edep-10, -0x1.bb536283fa4ddp-10, -0x1.af43c9dcb70dfp-10, -0x1.a383d5c5b006ap-10, -0x1.9811b9ca6427p-10, -0x1.8ceb9a344c43p-10, -0x1.820f8ee3c6591p-10, -0x1.777ba96f0d123p-10, -0x1.6d2dfda96999p-10, -0x1.6324ab520f2ffp-10, -0x1.595de7630d273p-10, -0x1.4fd803693a06p-10, -0x1.469171a8fe184p-10, -0x1.3d88c572ef7e4p-10, -0x1.34bcafd13f63p-10, -0x1.2c2bf952e7e2bp-10, -0x1.23d57a15c44efp-10, -0x1.1bb8113af6104p-10, -0x1.13d29cc548d8ap-10, -0x1.0c23f2aa623bfp-10, -0x1.04aadbb5c4361p-10, -0x1.facc21a17968dp-11, -0x1.eca87669d404ap-11, -0x1.dee7ef9dcb2ap-11, -0x1.d187bb0c4b951p-11, -0x1.c4850a9eb9d9cp-11, -0x1.b7dd24896faffp-11, -0x1.ab8d6fe2e2825p-11, -0x1.9f937b679c713p-11, -0x1.93ecfe99d3249p-11, -0x1.8897d76a2d0fep-11, -0x1.7d92070ee4bp-11, -0x1.72d9af62c5f05p-11, -0x1.686d103784cbp-11, -0x1.5e4a82982f463p-11, -0x1.54707078f9ddcp-11, -0x1.4add493967c45p-11, -0x1.418f75b6404f7p-11, -0x1.38854fbe30a5dp-11, -0x1.2fbd2019ff768p-11, -0x1.273523e4fce6ap-11, -0x1.1eeb96d6c82d2p-11, -0x1.16debde283ca1p-11, -0x1.0f0ced38ab84p-11, -0x1.077486ba72792p-11, -0x1.0013f1c203fd6p-11, -0x1.f1d322927c202p-12, -0x1.e3e77f5708383p-12, -0x1.d661aad25ff2ep-12, -0x1.c93e75113707ep-12, -0x1.bc7af69a9ee3p-12, -0x1.b014aaa976035p-12, -0x1.a4096928f2887p-12, -0x1.98573f4c20896p-12, -0x1.8cfc37f00b812p-12, -0x1.81f62eb2ff19p-12, -0x1.7742c323597aep-12, -0x1.6cdf6fc63d298p-12, -0x1.62c9b674effd7p-12, -0x1.58ff4b40e4e0fp-12, -0x1.4f7e2b22390e6p-12, -0x1.4644964c24da6p-12, -0x1.3d50f06337cbp-12, -0x1.34a190e9290acp-12, -0x1.2c349484ad7a7p-12, -0x1.2407c3053f7f3p-12, -0x1.1c189a4b78114p-12, -0x1.14648116b83dp-12, -0x1.0ce911b449732p-12, -0x1.05a45d0aff38bp-12, -0x1.fd2a0a8aa65c1p-13, -0x1.ef74410f4fe8fp-13, -0x1.e225e2177af79p-13, -0x1.d53d2ef7912f7p-13, -0x1.c8b7cab83ad86p-13, -0x1.bc92bd08d6078p-13, -0x1.b0cab8b3ab4d5p-13, -0x1.a55c71274c8b3p-13, -0x1.9a44d62dced8fp-13, -0x1.8f8126a5ad378p-13, -0x1.850edfdf07427p-13, -0x1.7aeb9c16b14c5p-13, -0x1.7114f3f433edp-13, -0x1.67886a79f007ep-13, -0x1.5e435eee67cf5p-13, -0x1.554305ddc04dep-13, -0x1.4c8477e8649f6p-13, -0x1.4404e0e136f28p-13, -0x1.3bc1c0ebb0183p-13, -0x1.33b91d650186bp-13, -0x1.2be98447ceb35p-13, -0x1.2451de715c616p-13, -0x1.1cf12c704d4b4p-13, -0x1.15c6563c1c2f9p-13, -0x1.0ed020a2ae571p-13, -0x1.080d3a447aa7p-13, -0x1.017c4d692ea01p-13, -0x1.f63821b3d80e6p-14, -0x1.e9d697cec88a9p-14, -0x1.ddd174f55ebdp-14, -0x1.d225b808b65fap-14, -0x1.c6cfb5f38f18bp-14, -0x1.bbcb50f30cf2p-14, -0x1.b11468d52f411p-14, -0x1.a6a72b28e234bp-14, -0x1.9c80256e13bc8p-14, -0x1.929c2e54fa4f1p-14, -0x1.88f878e2d6f69p-14, -0x1.7f92b1982dbccp-14, -0x1.7668f7562931dp-14, -0x1.6d79988f9c5eep-14, -0x1.64c306c93185fp-14, -0x1.5c43d9eec88b6p-14, -0x1.53facd3fc872ep-14, -0x1.4be693be599b8p-14, -0x1.4405a724524f5p-14, -0x1.3c565d09db481p-14, -0x1.34d75ae03672p-14, -0x1.2d87e906ebcc5p-14, -0x1.26678df6bfe91p-14, -0x1.1f753d3e8411cp-14, -0x1.18aefd9f98232p-14, -0x1.12124ad8da60fp-14, -0x1.0b9cb84ebd9cep-14, -0x1.054c61b83f3a6p-14, -0x1.fe4016c727e1cp-15, -0x1.f22df2392672p-15, -0x1.e6611a07985d7p-15, -0x1.dad7b790d63b7p-15, -0x1.cf8ee80552925p-15, -0x1.c482c9493895ep-15, -0x1.b9aebb8e55ebbp-15, -0x1.af0e1e976ddd2p-15, -0x1.a49e050f0d49dp-15, -0x1.9a5e8c19ca247p-15, -0x1.9051adf6f8024p-15, -0x1.86782f5ceec43p-15, -0x1.7ccfeda9edf45p-15, -0x1.7355772776795p-15, -0x1.6a06d401f1e91p-15, -0x1.60e40449c1a7ep-15, -0x1.57ed3a9a8826p-15, -0x1.4f21824b29b52p-15, -0x1.467eccc669fb7p-15, -0x1.3e0292a17fe91p-15, -0x1.35aa5fe93e456p-15, -0x1.2d74287182b3cp-15, -0x1.255e743f98d05p-15, -0x1.1d687843cfb75p-15, -0x1.15921115ae7b3p-15, -0x1.0ddb7d85085d6p-15, -0x1.0644e08c9598fp-15, -0x1.fd9bcc3dd1562p-16, -0x1.eeeb70cf40dadp-16, -0x1.e0756cf7058b1p-16, -0x1.d23418f67a527p-16, -0x1.c421f5c758b23p-16, -0x1.b63e260354b53p-16, -0x1.a88ad7c46d56bp-16, -0x1.9b0737f34de24p-16, -0x1.8daf45acb07ep-16, -0x1.8081adc76f585p-16, -0x1.7381086b81c2p-16, -0x1.66ae7ebca0d14p-16, -0x1.5a076ea7e8aa7p-16, -0x1.4d88a0a5d8068p-16, -0x1.41310ce82fe34p-16, -0x1.350109e72fa9fp-16, -0x1.28f83d5a7bbc5p-16, -0x1.1d151f1d9556bp-16, -0x1.1155cf980f475p-16, -0x1.05b8d453c9ab5p-16, -0x1.f47aa5bcd862bp-17, -0x1.ddc618113cfa3p-17, -0x1.c7546033e305dp-17, -0x1.b125ea2e1df2ep-17, -0x1.9b3a3eb09b2b7p-17, -0x1.859038d993567p-17, -0x1.702706e5fa55fp-17, -0x1.5afcb5cf36dbdp-17, -0x1.460cb8bf6da05p-17, -0x1.3155f085f9bf4p-17, -0x1.1cdd4b5bd46cap-17, -0x1.08a39dd2dab66p-17, -0x1.e946e699fe7acp-18, -0x1.c1b549238f1c3p-18, -0x1.9a93b25d813b1p-18, -0x1.73dee8b940db8p-18, -0x1.4d95851d7b408p-18, -0x1.27b9c06b5c927p-18, -0x1.024a2e3f11b25p-18, -0x1.ba8488f1994f3p-19, -0x1.71441d8e81c12p-19, -0x1.28db5467e3ae9p-19, -0x1.c2981729e68b1p-20, -0x1.351fff91398b7p-20, -0x1.5282594510a2bp-21, -0x1.ef4ece58c24d1p-24, 0x1.a71a8414e3p-22, 0x1.e1e2400c3f069p-21, 0x1.76892457bac57p-20, 0x1.fa8db502b1be9p-20, 0x1.3e806e202dfap-19, 0x1.7ef2f3e1fab84p-19, 0x1.be9c31d3e0283p-19, 0x1.fd7872a081d02p-19, 0x1.1dc763291aa5ep-18, 0x1.3c72f407a0878p-18, 0x1.5abd003cb5fa3p-18, 0x1.78a7e4ef2ddabp-18, 0x1.96327c0deaa64p-18, 0x1.b3573ec9d34a2p-18, 0x1.d016d0970f9c2p-18, 0x1.ec738b1ae2a88p-18, 0x1.0437b653e407p-17, 0x1.1206a9d997009p-17, 0x1.1fa6971f1558fp-17, 0x1.2d164115a579cp-17, 0x1.3a55b08e07eb8p-17, 0x1.4765fd947adcap-17, 0x1.544651e1aa0e4p-17, 0x1.60f58cedf7956p-17, 0x1.6d743ad812b6ep-17, 0x1.79c3365819671p-17, 0x1.85e2caae3b78cp-17, 0x1.91d2f60ab8456p-17, 0x1.9d93afb5af48fp-17, 0x1.a924f3d8923p-17, 0x1.b486bb289047cp-17, 0x1.bfb90c2a0273cp-17, 0x1.cabc18e8d288cp-17, 0x1.d58fef5719e74p-17, 0x1.e033d57df3f2dp-17, 0x1.eaa7729a58f45p-17, 0x1.f4ec4f1a9811ap-17, 0x1.ff02f056beaf4p-17, 0x1.0475b62024a1ep-16, }}, 
      {{-0x1.b2c817dae9becp+0, -0x1.9d3a4eeb0bf6dp+0, -0x1.8192ae2793a7p+0, -0x1.63ee9e29f44e1p+0, -0x1.46df061c9110ap+0, -0x1.2be61969a30b6p+0, -0x1.13cf45881f73cp+0, -0x1.fdd91e356421fp-1, -0x1.da82d3628549ap-1, -0x1.bd412a0cad294p-1, -0x1.a581a26f51746p-1, -0x1.92961ee465427p-1, -0x1.83c7f9267cbd1p-1, -0x1.7864744ff7195p-1, -0x1.6fc473800086bp-1, -0x1.6950da5d40dbfp-1, -0x1.64849c806dff8p-1, -0x1.60ed3959e033p-1, -0x1.5e2a3035f022ap-1, -0x1.5bebd0bd4741bp-1, -0x1.59f1afa66ea09p-1, -0x1.5808f1f1a26cap-1, -0x1.560a90b1c2f28p-1, -0x1.53d9ab511dcbap-1, -0x1.5161f5447a93ep-1, -0x1.4e96464a9c604p-1, -0x1.4b6f50684fed7p-1, -0x1.47ea7c672fcacp-1, -0x1.4408ec055ef9cp-1, -0x1.3fce9fd09e251p-1, -0x1.3b41bdf4d9b37p-1, -0x1.3669f6e0352bcp-1, -0x1.3150046f7c442p-1, -0x1.2bfd4070c6736p-1, -0x1.267b4f64394bfp-1, -0x1.20d3dca16a062p-1, -0x1.1b106556a5a21p-1, -0x1.153a100665ad5p-1, -0x1.0f598e776eddfp-1, -0x1.097708523a27ap-1, -0x1.039a0cd378b21p-1, -0x1.fb93147ec945ap-2, -0x1.f01793ec8a0adp-2, -0x1.e4cce05cd6a04p-2, -0x1.d9bcfd0cb0c04p-2, -0x1.cef0b186cdcb4p-2, -0x1.c46f96585051ap-2, -0x1.ba40241870a5ep-2, -0x1.b067c4003f897p-2, -0x1.a6eae179dacb7p-2, -0x1.9dccfc26cb313p-2, -0x1.9510ba02566eep-2, -0x1.8cb7f9517c9bfp-2, -0x1.84c3e2240939ap-2, -0x1.7d34f73ec180fp-2, -0x1.760b264f75a31p-2, -0x1.6f45d75690106p-2, -0x1.68e3fb39a2c1fp-2, -0x1.62e41978ebaf2p-2, -0x1.5d445d057b2e6p-2, -0x1.5802a03648d97p-2, -0x1.531c77ee477ffp-2, -0x1.4e8f3ddfeb9f7p-2, -0x1.4a581a13f78f2p-2, -0x1.46740ba0a9b6fp-2, -0x1.42dff0aacfecep-2, -0x1.3f988db5a3363p-2, -0x1.3c9a944832838p-2, -0x1.39e2a8f4338a5p-2, -0x1.376d68c71fecp-2, -0x1.35376e2f28757p-2, -0x1.333d555c5a8efp-2, -0x1.317bc027b58d5p-2, -0x1.2fef598781047p-2, -0x1.2e94d89a6b448p-2, -0x1.2d69034fd808ep-2, -0x1.2c68b0b6322f3p-2, -0x1.2b90caf580092p-2, -0x1.2ade50fdff137p-2, -0x1.2a4e57f0113c2p-2, -0x1.29de0c447dadbp-2, -0x1.298ab2b874bb4p-2, -0x1.2951a90321f39p-2, -0x1.2930665f5af42p-2, -0x1.29247be28054fp-2, -0x1.292b94b015df4p-2, -0x1.2943760d65f56p-2, -0x1.2969ff4ee2f8cp-2, -0x1.299d29b269a8fp-2, -0x1.29db08184b01ep-2, -0x1.2a21c6abf25e1p-2, -0x1.2a6faa73df8f6p-2, -0x1.2ac310ce4e0c1p-2, -0x1.2b1a6ee8c2c49p-2, -0x1.2b74511c975d5p-2, -0x1.2bcf5a576c601p-2, -0x1.2c2a437839b8dp-2, -0x1.2c83da8d5f5c8p-2, -0x1.2cdb0241cd6c5p-2, -0x1.2d2eb11885fdcp-2, -0x1.2d7df09e0e12dp-2, -0x1.2dc7dccd9e5cdp-2, -0x1.2e0ba326d1d76p-2, -0x1.2e4881fa14853p-2, -0x1.2e7dc7c2b0f27p-2, -0x1.2eaad2377b055p-2, -0x1.2ecf0dc5539c6p-2, -0x1.2ee9f4ee64843p-2, -0x1.2efb0f6d723d7p-2, -0x1.2f01f1bfe37b6p-2, -0x1.2efe3c825ae14p-2, -0x1.2eef9ba966a1ep-2, -0x1.2ed5c604d997cp-2, -0x1.2eb07c97e2f64p-2, -0x1.2e7f89ea433e6p-2, -0x1.2e42c18f423f4p-2, -0x1.2df9ff94c049ap-2, -0x1.2da527f3f7464p-2, -0x1.2d442628aa3acp-2, -0x1.2cd6ecbd5c364p-2, -0x1.2c5d74db13e1dp-2, -0x1.2bd7bded854d5p-2, -0x1.2b45cd3f10e88p-2, -0x1.2aa7ad98884b4p-2, -0x1.29fd6ee883029p-2, -0x1.294725e8eecf6p-2, -0x1.2884ebc6177c6p-2, -0x1.27b6ddcb626a9p-2, -0x1.26dd1d116dea8p-2, -0x1.25f7ce335004ap-2, -0x1.2507190511e93p-2, -0x1.240b284ee153p-2, -0x1.23042990e29c7p-2, -0x1.21f24cc77219cp-2, -0x1.20d5c434b5545p-2, -0x1.1faec42d6b7fdp-2, -0x1.1e7d82e915cccp-2, -0x1.1d423853d7175p-2, -0x1.1bfd1de252341p-2, -0x1.1aae6e679086p-2, -0x1.195665eb77f55p-2, -0x1.17f5418393837p-2, -0x1.168b3f2cdcb84p-2, -0x1.15189da43c85bp-2, -0x1.139d9c464a63ep-2, -0x1.121a7aeb184fcp-2, -0x1.108f79c683097p-2, -0x1.0efcd948ae4d8p-2, -0x1.0d62da0403f2ep-2, -0x1.0bc1bc8f8ab0ap-2, -0x1.0a19c170ca453p-2, -0x1.086b2903e080ep-2, -0x1.06b63366adf5dp-2, -0x1.04fb206651503p-2, -0x1.033a2f6e5373ep-2, -0x1.01739f7609522p-2, -0x1.ff4f5dea99315p-3, -0x1.fbad37a9e6d69p-3, -0x1.f80146c6f7c26p-3, -0x1.f44c04933ce04p-3, -0x1.f08de9008140cp-3, -0x1.ecc76a8b9d671p-3, -0x1.e8f8fe2fd4f6p-3, -0x1.e523175165ecep-3, -0x1.e14627b3de507p-3, -0x1.dd629f6881ed9p-3, -0x1.d978ecc5b515ep-3, -0x1.d5897c58d9e93p-3, -0x1.d194b8df19278p-3, -0x1.cd9b0b3bd31e9p-3, -0x1.c99cda701959fp-3, -0x1.c59a8b93fa852p-3, -0x1.c19481d30056cp-3, -0x1.bd8b1e64f4ddep-3, -0x1.b97ec08c2ab3fp-3, -0x1.b56fc5917b5d1p-3, -0x1.b15e88c20f0d9p-3, -0x1.ad4b636f4cd5p-3, -0x1.a936acee55cbap-3, -0x1.a520ba9637474p-3, -0x1.a109dfc27daecp-3, -0x1.9cf26dd6a091bp-3, -0x1.98dab43c4e5eap-3, -0x1.94c300686b572p-3, -0x1.90ab9ddfc5bf1p-3, -0x1.8c94d6361b2c3p-3, -0x1.887ef1153c5a5p-3, -0x1.846a344139e5p-3, -0x1.8056e39c96483p-3, -0x1.7c45412ce9591p-3, -0x1.78358d206cd83p-3, -0x1.742805d396346p-3, -0x1.701ce7d8b7467p-3, -0x1.6c146df6f0471p-3, -0x1.680ed1383902cp-3, -0x1.640c48eb7a4bp-3, -0x1.600d0aac44af8p-3, -0x1.5c114a676c0bfp-3, -0x1.58193a61bac5ap-3, -0x1.54250b3fa41e3p-3, -0x1.5034ec0c163a2p-3, -0x1.4c490a3e606a8p-3, -0x1.486191bfdcc5fp-3, -0x1.447eacf34eeb8p-3, -0x1.40a084bcc6b69p-3, -0x1.3cc74086e5915p-3, -0x1.38f3064d66751p-3, -0x1.3523fa9c61adcp-3, -0x1.315a409dda08p-3, -0x1.2d95fa1d8c4dap-3, -0x1.29d7479138026p-3, -0x1.261e481e8933p-3, -0x1.226b19a1b776cp-3, -0x1.1ebdd8b400001p-3, -0x1.1b16a0b260c39p-3, -0x1.17758bc4a2ca8p-3, -0x1.13dab2e3d4427p-3, -0x1.10462de0e3198p-3, -0x1.0cb8136ae4eb6p-3, -0x1.093079149904bp-3, -0x1.05af735b1e438p-3, -0x1.023515aad7a7ep-3, -0x1.fd82e4d3d54e4p-4, -0x1.f6a935f1d8e93p-4, -0x1.efdd3f7bb5326p-4, -0x1.e91f204a91505p-4, -0x1.e26ef551d0c47p-4, -0x1.dbccd9abc836dp-4, -0x1.d538e6a7c081dp-4, -0x1.ceb333d5ef418p-4, -0x1.c83bd70fee2edp-4, -0x1.c1d2e47f8c45p-4, -0x1.bb786ea7e6f5ep-4, -0x1.b52c8672243c8p-4, -0x1.aeef3b3bed49ep-4, -0x1.a8c09ae396939p-4, -0x1.a2a0b1ce724ecp-4, -0x1.9c8f8aed608f6p-4, -0x1.968d2fc3b17ddp-4, -0x1.9099a872fffd8p-4, -0x1.8ab4fbc7e213p-4, -0x1.84df2f4bdb70bp-4, -0x1.7f1847440a1ccp-4, -0x1.796046bbbb492p-4, -0x1.73b72f837d20ep-4, -0x1.6e1d023ae6268p-4, -0x1.6891be5e3cc5p-4, -0x1.63156253f3f49p-4, -0x1.5da7eb762c673p-4, -0x1.584956169db4bp-4, -0x1.52f99d7ef289ap-4, -0x1.4db8bbf47dc04p-4, -0x1.4886aac1a2388p-4, -0x1.4363624338437p-4, -0x1.3e4ed9f53a846p-4, -0x1.3949087a55f5fp-4, -0x1.3451e39dd218fp-4, -0x1.2f6960535443p-4, -0x1.2a8f72b9b54c2p-4, -0x1.25c40e23e13c5p-4, -0x1.210725260eap-4, -0x1.1c58a99c995a1p-4, -0x1.17b88cb78c5e2p-4, -0x1.1326bf0474245p-4, -0x1.0ea3305903b64p-4, -0x1.0a2dcfec4d319p-4, -0x1.05c68c4c74b5ep-4, -0x1.016d536bc240dp-4, -0x1.fa44255edd5e2p-5, -0x1.f1c96dee8a584p-5, -0x1.e96a594241c25p-5, -0x1.e126bf11781a1p-5, -0x1.d8fe760dd543cp-5, -0x1.d0f153e77b204p-5, -0x1.c8ff2d5aa88b3p-5, -0x1.c127d64359af3p-5, -0x1.b96b21b14596dp-5, -0x1.b1c8e1f5303e8p-5, -0x1.aa40e8a5c05dbp-5, -0x1.a2d3069e5076fp-5, -0x1.9b7f0bfdaa176p-5, -0x1.9444c82a0397dp-5, -0x1.8d2409dca16a1p-5, -0x1.861c9f3342c56p-5, -0x1.7f2e55c0e2465p-5, -0x1.7858fa99da787p-5, -0x1.719c5a594c959p-5, -0x1.6af84120d8beep-5, -0x1.646c7a9566528p-5, -0x1.5df8d1e656e07p-5, -0x1.579d11cd09f76p-5, -0x1.515904a2197afp-5, -0x1.4b2c7466c41edp-5, -0x1.45172ad32c431p-5, -0x1.3f18f15d5eee6p-5, -0x1.3931913b46038p-5, -0x1.3360d361c8d63p-5, -0x1.2da6808489511p-5, -0x1.2802611919ddep-5, -0x1.22743d5ec63d7p-5, -0x1.1cfbdd699d2f9p-5, -0x1.1799092e197ep-5, -0x1.124b888a6a56ap-5, -0x1.0d13234bcd05dp-5, -0x1.07efa1307822cp-5, -0x1.02e0c9e70a99dp-5, -0x1.fbccca1cfe047p-6, -0x1.f20074719c334p-6, -0x1.e85c21e18a189p-6, -0x1.dedf618452263p-6, -0x1.d589c2860759ap-6, -0x1.cc5ad436702e5p-6, -0x1.c3522613a9e31p-6, -0x1.ba6f47cebfa28p-6, -0x1.b1b1c94c6c069p-6, -0x1.a9193aa4fad65p-6, -0x1.a0a52c26a79a1p-6, -0x1.98552e5c67b72p-6, -0x1.9028d216bf626p-6, -0x1.881fa87d0d3a1p-6, -0x1.803943148d616p-6, -0x1.787533d0dc8d1p-6, -0x1.70d30d16fb41ap-6, -0x1.695261c0f0193p-6, -0x1.61f2c51f0a0dep-6, -0x1.5ab3caf82082cp-6, -0x1.5395078bb823fp-6, -0x1.4c960f96df058p-6, -0x1.45b6785c10ecbp-6, -0x1.3ef5d7ac5a5e7p-6, -0x1.3853c3f0273cfp-6, -0x1.31cfd42effa8bp-6, -0x1.2b69a014e2c93p-6, -0x1.2520bff4fca2cp-6, -0x1.1ef4cccac0f88p-6, -0x1.18e5603a3e555p-6, -0x1.12f214913569p-6, -0x1.0d1a84c9bf63p-6, -0x1.075e4c8ea2417p-6, -0x1.01bd0840e8d1dp-6, -0x1.f86ca9fbaaf15p-7, -0x1.ed93a148c48bbp-7, -0x1.e2ee33b330279p-7, -0x1.d87ba016c6a75p-7, -0x1.ce3b26e4109b8p-7, -0x1.c42c0a21314adp-7, -0x1.ba4d8d6a4ed77p-7, -0x1.b09ef5f2e9a54p-7, -0x1.a71f8a890f716p-7, -0x1.9dce939a5aa04p-7, -0x1.94ab5b3a48f14p-7, -0x1.8bb52d28e103p-7, -0x1.82eb56d8ece1cp-7, -0x1.7a4d277408abep-7, -0x1.71d9efdc52a22p-7, -0x1.699102b24ba3ap-7, -0x1.6171b455e99dep-7, -0x1.597b5af106bf9p-7, -0x1.51ad4e323fbb1p-7, -0x1.4a06e7cb63fdbp-7, -0x1.428782edb1dd6p-7, -0x1.3b2e7cc5a369fp-7, -0x1.33fb3424db6ffp-7, -0x1.2ced0997687eap-7, -0x1.26035f7b7e92cp-7, -0x1.1f3d99f6cd9ffp-7, -0x1.189b1ef6a88cbp-7, -0x1.121b5630c601fp-7, -0x1.0bbda92351067p-7, -0x1.05818314518f9p-7, -0x1.fecca22139c3ep-8, -0x1.f2d703d4ee8bap-8, -0x1.e7210c6fe2aa4p-8, -0x1.dba9a0a2620cp-8, -0x1.d06fa89d2969dp-8, -0x1.c572100e91c54p-8, -0x1.baafc62084958p-8, -0x1.b027bd784ba52p-8, -0x1.a5d8ec37b4661p-8, -0x1.9bc24bfe9f5b2p-8, -0x1.91e2d9ebd9ac9p-8, -0x1.8839969b73d93p-8, -0x1.7ec58621ca49ep-8, -0x1.7585b002f188bp-8, -0x1.6c791f2786869p-8, -0x1.639ee1d08ad7cp-8, -0x1.5af6098c82614p-8, -0x1.527dab3068808p-8, -0x1.4a34ded5a2875p-8, -0x1.421abfdcc1ac8p-8, -0x1.3a2e6cf3967a5p-8, -0x1.326f081c3de7bp-8, -0x1.2adbb6b0dd3bap-8, -0x1.2373a160d4029p-8, -0x1.1c35f423eed7ap-8, -0x1.1521de23f3accp-8, -0x1.0e3691a6bcc78p-8, -0x1.077343ecde7e5p-8, -0x1.00d72d21220f1p-8, -0x1.f4c3108f4574dp-9, -0x1.e823268733f72p-9, -0x1.dbcd1dd0441c9p-9, -0x1.cfbf7e260f574p-9, -0x1.c3f8d594b77d9p-9, -0x1.b877b8a6ceefp-9, -0x1.ad3ac274b7994p-9, -0x1.a2409488b8e1fp-9, -0x1.9787d695b3675p-9, -0x1.8d0f3607cda8dp-9, -0x1.82d5658262a9cp-9, -0x1.78d91c6528be9p-9, -0x1.6f191672a63a4p-9, -0x1.659413ae3fbc5p-9, -0x1.5c48d87c0e949p-9, -0x1.53362dfebae7p-9, -0x1.4a5ae2a03bd73p-9, -0x1.41b5caa741bafp-9, -0x1.3945c0b5d703p-9, -0x1.3109a60fd6d64p-9, -0x1.29006291e628dp-9, -0x1.2128e45380d2bp-9, -0x1.19821efcdfb1fp-9, -0x1.120b0af01da41p-9, -0x1.0ac2a46c1155dp-9, -0x1.03a7ead57f3bbp-9, -0x1.f973c0959f535p-10, -0x1.ebef13328b1c2p-10, -0x1.debfdd2c433d9p-10, -0x1.d1e43591e906p-10, -0x1.c55a3c843f8e4p-10, -0x1.b9201cdd94b6ap-10, -0x1.ad340d761583ep-10, -0x1.a19451b97cffdp-10, -0x1.963f3965ec042p-10, -0x1.8b331f78e2343p-10, -0x1.806e687bed8acp-10, -0x1.75ef808599675p-10, -0x1.6bb4d954d786ap-10, -0x1.61bce8e8286d8p-10, -0x1.580628d9b6bf8p-10, -0x1.4e8f169e14357p-10, -0x1.45563492497fbp-10, -0x1.3c5a0b9aa806dp-10, -0x1.33992d03b3b2cp-10, -0x1.2b12341d04fd5p-10, -0x1.22c3c7447cfecp-10, -0x1.1aac98053f244p-10, -0x1.12cb624e27f33p-10, -0x1.0b1eeac6c9299p-10, -0x1.03a5fc945dc59p-10, -0x1.f8becdfcc850ap-11, -0x1.ea93f6d6333b6p-11, -0x1.dcc9183f278e7p-11, -0x1.cf5bd811033cbp-11, -0x1.c249df3f5f559p-11, -0x1.b590dd983a6f4p-11, -0x1.a92e8ed26782ep-11, -0x1.9d20c0018efe1p-11, -0x1.91655463d87eap-11, -0x1.85fa48899314ap-11, -0x1.7addb35c4816dp-11, -0x1.700dc58273db9p-11, -0x1.6588c065365a6p-11, -0x1.5b4cf6beeeed4p-11, -0x1.5158bf99ff7a4p-11, -0x1.47aa75a1b7ba1p-11, -0x1.3e406ad6472e1p-11, -0x1.3518ea02168adp-11, -0x1.2c323524dc5e7p-11, -0x1.238a8788e3cdep-11, -0x1.1b201a90700f4p-11, -0x1.12f12c4996baap-11, -0x1.0afc06de8d63bp-11, -0x1.033f07a4dd94cp-11, -0x1.f771493f4b223p-12, -0x1.e8cedefc75bebp-12, -0x1.da942b4502c46p-12, -0x1.ccbebab058ea3p-12, -0x1.bf4c41b7ace1fp-12, -0x1.b23a9031905e6p-12, -0x1.a5878411504a7p-12, -0x1.9930fcf365033p-12, -0x1.8d34d1a2a2f33p-12, -0x1.8190c879ecf6p-12, -0x1.764293723bc9dp-12, -0x1.6b47d0988f8b6p-12, -0x1.609e0f4ecc239p-12, -0x1.5642d9dd27781p-12, -0x1.4c33c1a8228afp-12, -0x1.426e6b56f56a7p-12, -0x1.38f09825d1dbcp-12, -0x1.2fb82ab328e1ep-12, -0x1.26c327709da6bp-12, -0x1.1e0fb269f7febp-12, -0x1.159c0c726b141p-12, -0x1.0d6690d19a82bp-12, -0x1.056db32c2c96p-12, -0x1.fb5ff8090b4ddp-13, -0x1.ec5805574ed7fp-13, -0x1.ddc0c9ada505p-13, -0x1.cf977bd6c523cp-13, -0x1.c1d94163bd53ep-13, -0x1.b4832bad2653ap-13, -0x1.a7923f9c2db3fp-13, -0x1.9b0384c567752p-13, -0x1.8ed41507eb9afp-13, -0x1.8301255a8d03ep-13, -0x1.7788036521eeap-13, -0x1.6c66092b191edp-13, -0x1.61988e29bbbb7p-13, -0x1.571ce08f262ffp-13, -0x1.4cf04e84939b1p-13, -0x1.43103f120d5a5p-13, -0x1.397a5011ab798p-13, -0x1.302c694bda079p-13, -0x1.2724b851869ffp-13, -0x1.1e61942ea87b8p-13, -0x1.15e1555d3d9edp-13, -0x1.0da23570b6d63p-13, -0x1.05a245ef7bcdep-13, -0x1.fbbf020a47e11p-14, -0x1.ecafd30110d52p-14, -0x1.de135328e076cp-14, -0x1.cfe645ae8a816p-14, -0x1.c225d37e3df8bp-14, -0x1.b4cf5cc1b4a6ap-14, -0x1.a7e0340e1191ap-14, -0x1.9b555b44b94b8p-14, -0x1.8f2b5e7cda3b2p-14, -0x1.835e63af30756p-14, -0x1.77ea73315c0abp-14, -0x1.6ccbe1c3a85dp-14, -0x1.61ffaf7c03dc2p-14, -0x1.5783ad185ab53p-14, -0x1.4d5651f77c168p-14, -0x1.437655f2cc047p-14, -0x1.39e2437cf339fp-14, -0x1.30983787500cdp-14, -0x1.2795e43a12715p-14, -0x1.1ed8c3622fd43p-14, -0x1.165e534544208p-14, -0x1.0e2440d2f0d4dp-14, -0x1.0628748952d14p-14, -0x1.fcd20c5da67c6p-15, -0x1.edc8492cf03dcp-15, -0x1.df2fff4ecd673p-15, -0x1.d1057423d659ap-15, -0x1.c344bf2117faap-15, -0x1.b5e9c0725b36cp-15, -0x1.a8f0359249496p-15, -0x1.9c53fa34c2dc6p-15, -0x1.901161d36fe76p-15, -0x1.84257aaed8596p-15, -0x1.788e11c9898cfp-15, -0x1.6d497327f20d7p-15, -0x1.62560d30aca86p-15, -0x1.57b22e27bd0b4p-15, -0x1.4d5bf5437446fp-15, -0x1.4351649d8ca16p-15, -0x1.39907a3f36e86p-15, -0x1.301747b0402ffp-15, -0x1.26e3f85c285acp-15, -0x1.1df4ac0ec96eap-15, -0x1.154733ef6922p-15, -0x1.0cd8f0a10bf18p-15, -0x1.04a6f7009647cp-15, -0x1.f95cb75f651f5p-16, -0x1.e9d8d20e951d7p-16, -0x1.dabd75eafe4d6p-16, -0x1.cc06217c94ec8p-16, -0x1.bdaed9643b5b7p-16, -0x1.afb454d4efdb9p-16, -0x1.a21409eeda021p-16, -0x1.94cb6c9976b67p-16, -0x1.87d83e8245ce2p-16, -0x1.7b3870fd3ea18p-16, -0x1.6eea24c927702p-16, -0x1.62eb73d08698ep-16, -0x1.573a3061360e6p-16, -0x1.4bd3fea6fc33ep-16, -0x1.40b6eb4928228p-16, -0x1.35e1d8c432c7ap-16, -0x1.2b53fc6645699p-16, -0x1.210bce0796ea1p-16, -0x1.1706932fd3846p-16, -0x1.0d40dee5d4a19p-16, -0x1.03b765e424dcdp-16, -0x1.f4cf208c397fep-17, -0x1.e29f43c45b12p-17, -0x1.d0dd082e2a6d8p-17, -0x1.bf8690a9ce73ep-17, -0x1.ae993bf2ae4c6p-17, -0x1.9e1114edb9d5fp-17, -0x1.8de8e593f126p-17, -0x1.7e1a8d302718cp-17, -0x1.6e9feef3b1171p-17, -0x1.5f751c313daa2p-17, -0x1.509a05327481dp-17, -0x1.4210fa89f7eacp-17, -0x1.33dac419678eap-17, -0x1.25f4787efa3f1p-17, -0x1.1859849255ef9p-17, -0x1.0b0737071269cp-17, -0x1.fbfabfc74e806p-18, -0x1.e2781b7aaa4a1p-18, -0x1.c983ac5c86ff5p-18, -0x1.b117d5cf54c8ap-18, -0x1.992dd52d73614p-18, -0x1.81bf26d6e3389p-18, -0x1.6ac655bf94171p-18, -0x1.543f6386369c8p-18, -0x1.3e2800656e5cp-18, -0x1.287f7b6b58bffp-18, -0x1.134615f74bb7bp-18, -0x1.fcf797d52eea4p-19, -0x1.d43ee3e53730ap-19, -0x1.ac5d36f6c3f6bp-19, -0x1.8549d08f3cb18p-19, -0x1.5ef60b7f0db24p-19, -0x1.3953a90c039fep-19, -0x1.145fd3d30f048p-19, -0x1.e03e795810bc2p-20, -0x1.991e7d9774994p-20, -0x1.534ad86a1e555p-20, -0x1.0ebbc785e3769p-20, -0x1.96f9626404415p-21, -0x1.1323de1a37d73p-21, -0x1.23b53e5efb34bp-22, -0x1.2fb9f4b2fbb7cp-25, 0x1.a617737d71fedp-23, 0x1.c752a556cb52dp-22, 0x1.5b74e8fd661bap-21, 0x1.d0fa0c55ad202p-21, 0x1.2226aa2163f2p-20, 0x1.5abfbe71eb1f3p-20, 0x1.924da2626293p-20, 0x1.c8d2d28bd0f76p-20, 0x1.fe4fbb61b94eep-20, 0x1.1962585a8ee7p-19, 0x1.331a131b79bd5p-19, 0x1.4c5117fd1c827p-19, 0x1.65090f2a77c57p-19, 0x1.7d44f27e5e895p-19, 0x1.950acaa41e39ap-19, 0x1.ac5c915d6278p-19, 0x1.c3351c8b2ad35p-19, 0x1.d9941fa1e0e0bp-19, 0x1.ef80be813a8cdp-19, 0x1.027f19a60e102p-18, 0x1.0d062f02d7226p-18, 0x1.1756e2f00a399p-18, 0x1.2171f2590a392p-18, 0x1.2b570d32d3f54p-18, 0x1.3506f4e84ba12p-18, 0x1.3e8350d73088ap-18, 0x1.47cc70daa770ap-18, 0x1.50e1786a9eb9ep-18, 0x1.59c27946857cdp-18, 0x1.6270b1a0b0424p-18, 0x1.6aed6a66f6f93p-18, 0x1.7339734f1f9dp-18, 0x1.7b55435e4d8dbp-18, 0x1.834128a146dbbp-18, 0x1.8afd5df636d2fp-18, 0x1.928a26822794ap-18, 0x1.99e7fca235a9dp-18, 0x1.a117720d08fep-18, 0x1.a8188ab874ea4p-18, 0x1.aeeb13b25640dp-18, 0x1.b590627579e97p-18, 0x1.bc09c05a25f4p-18, 0x1.c256f50fd61bbp-18, 0x1.c87900f13a349p-18, 0x1.ce6fe40623b77p-18, 0x1.d43a61a88b73ep-18, 0x1.d9d90edbc945ep-18, 0x1.df4c9c46ab1eap-18, 0x1.e4962144fa44ap-18, 0x1.e9b72c7d18e08p-18, 0x1.eeaf55d9315d9p-18, 0x1.f37e83e849831p-18, 0x1.f825207ff1741p-18, 0x1.fca40de3796e7p-18, 0x1.007d913d47c48p-17, 0x1.029506829dcacp-17, 0x1.0498b66fd5029p-17, 0x1.0689066c40429p-17, 0x1.086633c5ff806p-17, 0x1.0a3065d2feefcp-17, 0x1.0be7c12fd8015p-17, 0x1.0d8c6be99ada2p-17, 0x1.0f1e8b343f0a7p-17, 0x1.109e47df75208p-17, 0x1.120bd6a7a542p-17, 0x1.136761f9a285cp-17, 0x1.14b0dc19353ddp-17, 0x1.15e85236468bap-17, 0x1.170e57d5a9521p-17, 0x1.182337d84eafap-17, 0x1.19271db4cc598p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.ac8e3216792dfp-1, 0x1.ac0fc246bdcf5p-1, 0x1.ab3f33f94e72ep-1, 0x1.aa1f9ccd13c95p-1, 0x1.a8b50457349a7p-1, 0x1.a7042f97826c2p-1, 0x1.a5126d566b7ccp-1, 0x1.a2e5663dee6e3p-1, 0x1.a082f2303c37fp-1, 0x1.9df0f382bc62cp-1, 0x1.9b353837032ecp-1, 0x1.985560f3e9e9cp-1, 0x1.9556cd4e2b299p-1, 0x1.923e8cd59a12ep-1, 0x1.8f115451f7462p-1, 0x1.8bd3769acbdc4p-1, 0x1.8888e07c916edp-1, 0x1.853517280c213p-1, 0x1.81db38b552168p-1, 0x1.7e7dfe5136ae7p-1, 0x1.7b1fbfb8f0366p-1, 0x1.77c277b45e5f4p-1, 0x1.7467c94af318bp-1, 0x1.71110579d041p-1, 0x1.6dbf313b2c7cap-1, 0x1.6a730bb769045p-1, 0x1.672d147f9a5f3p-1, 0x1.63ed91b79b912p-1, 0x1.60b4961b3815p-1, 0x1.5d8206ce9f4ffp-1, 0x1.5a55a0ee43c36p-1, 0x1.572efed593246p-1, 0x1.540d9d16b7ee2p-1, 0x1.50f0df1fd9c66p-1, 0x1.4dd8138c2c27dp-1, 0x1.4ac278209bd3p-1, 0x1.47af3d7523c8ep-1, 0x1.449d8a4cbb012p-1, 0x1.418c7e9e90e1p-1, 0x1.3e7b3653d069fp-1, 0x1.3b68cbbd8affcp-1, 0x1.385459c6b0b05p-1, 0x1.353cfde61f4ebp-1, 0x1.3221d9d4ec17ap-1, 0x1.2f02150d06166p-1, 0x1.2bdcde1448e4fp-1, 0x1.28b16b97fbeb6p-1, 0x1.257efd5c9907p-1, 0x1.2244dd059301ap-1, 0x1.1f025eb8a565ap-1, 0x1.1bb6e1a0051c3p-1, 0x1.1861d04ea1e2bp-1, 0x1.1502a1096d0fap-1, 0x1.1198d5f86c26dp-1, 0x1.0e23fd422f912p-1, 0x1.0aa3b1140d7efp-1, 0x1.071797995b9a8p-1, 0x1.037f62e3ab36dp-1, 0x1.ffb5a18bd401cp-2, 0x1.f853554833752p-2, 0x1.f0d78a7255a42p-2, 0x1.e94200a8d0631p-2, 0x1.e1928d1f71434p-2, 0x1.d9c919ffb7f3ep-2, 0x1.d1e5a5bf699acp-2, 0x1.c9e8426f0c409p-2, 0x1.c1d115020372bp-2, 0x1.b9a05491c4cecp-2, 0x1.b156499d7cd83p-2, 0x1.a8f34d474f272p-2, 0x1.a077c8903f1b3p-2, 0x1.97e43393a9b9p-2, 0x1.8f3914c32049fp-2, 0x1.8677002354fb3p-2, 0x1.7d9e968abca77p-2, 0x1.74b084e262b26p-2, 0x1.6bad83696da04p-2, 0x1.629654fbb0c56p-2, 0x1.596bc65ba3e43p-2, 0x1.502ead8004053p-2, 0x1.46dfe8e55b1a4p-2, 0x1.3d805ee39ecedp-2, 0x1.3410fd0808d35p-2, 0x1.2a92b77350a83p-2, 0x1.2106883c5259ap-2, 0x1.176d6ed73ddfbp-2, 0x1.0dc86f815319p-2, 0x1.041892b1347d5p-2, 0x1.f4bdc917a6565p-3, 0x1.e138e8bbda901p-3, 0x1.cda4a8344710fp-3, 0x1.ba032fb726d02p-3, 0x1.a656aad9ec229p-3, 0x1.92a147a862168p-3, 0x1.7ee535c49a7d9p-3, 0x1.6b24a58f8d601p-3, 0x1.5761c75a46aa3p-3, 0x1.439eca9f799d6p-3, 0x1.2fdddd456407fp-3, 0x1.1c212ae7c7352p-3, 0x1.086adc29e33bep-3, 0x1.e97a2c20818c9p-4, 0x1.c233f2c43729dp-4, 0x1.9b074424bbd01p-4, 0x1.73f84d5fbc2bfp-4, 0x1.4d0b2fb9aa7d4p-4, 0x1.2643ff9aa697ep-4, 0x1.ff4d87322cdf3p-5, 0x1.b26ee723351dep-5, 0x1.65f3ef9820bc7p-5, 0x1.19e4505a8837fp-5, 0x1.9c8f2dd428e46p-6, 0x1.064a5a21b7c41p-6, 0x1.c422bc79ad9bp-8, -0x1.193cb218753e6p-9, -0x1.6c710fd808686p-7, -0x1.481c88c4791dbp-6, -0x1.d8c64eabb01c9p-6, -0x1.34147223f26f5p-5, -0x1.7b1bd5571a823p-5, -0x1.c1732d7208a59p-5, -0x1.038a41cec869p-4, -0x1.25fd07223f31p-4, -0x1.480f18cee67f1p-4, -0x1.69bdc012ee815p-4, -0x1.8b065d83904eap-4, -0x1.abe6693965ca1p-4, -0x1.cc5b72f50c348p-4, -0x1.ec63223c4d3e1p-4, -0x1.05fd9b3800cddp-3, -0x1.1590c36d88b36p-3, -0x1.24ea015d51ac1p-3, -0x1.3408589ff1543p-3, -0x1.42ead8c5b3f41p-3, -0x1.51909d515e371p-3, -0x1.5ff8cdaffb4d8p-3, -0x1.6e229d2de454ep-3, -0x1.7c0d4ae91e0dep-3, -0x1.89b821c11f585p-3, -0x1.9722784421e29p-3, -0x1.a44bb09a13ea5p-3, -0x1.b133386d4816ep-3, -0x1.bdd888d0fa4ap-3, -0x1.ca3b2625c2eb2p-3, -0x1.d65a9ffc1856p-3, -0x1.e23690f4de6e8p-3, -0x1.edce9ea041089p-3, -0x1.f922795ace98fp-3, -0x1.0218ee147eb28p-2, -0x1.077e464893514p-2, -0x1.0cc12d3a0a467p-2, -0x1.11e18ff21a84ep-2, -0x1.16df607dc2fbp-2, -0x1.1bba95d82579fp-2, -0x1.20732bd45782dp-2, -0x1.25092306a88a5p-2, -0x1.297c80ad6fbacp-2, -0x1.2dcd4e9963673p-2, -0x1.31fb9b158bc79p-2, -0x1.360778ced01cbp-2, -0x1.39f0febb2e817p-2, -0x1.3db84800a3405p-2, -0x1.415d73dbc7977p-2, -0x1.44e0a58631279p-2, -0x1.4842041c9bbb8p-2, -0x1.4b81ba84e00a9p-2, -0x1.4e9ff753c204fp-2, -0x1.519cecb29db38p-2, -0x1.5478d044fbe6cp-2, -0x1.5733db0e0e44ep-2, -0x1.59ce495621ab1p-2, -0x1.5c485a9007c28p-2, -0x1.5ea2513e8096p-2, -0x1.60dc72d9aa4f5p-2, -0x1.62f707b4786eep-2, -0x1.64f25ae24100cp-2, -0x1.66ceba1c5af8ep-2, -0x1.688c75a7db588p-2, -0x1.6a2be03b711cbp-2, -0x1.6bad4ee5653d9p-2, -0x1.6d1118f1ca2dp-2, -0x1.6e5797d0d1285p-2, -0x1.6f8126fd5b59dp-2, -0x1.708e23e3bbcc7p-2, -0x1.717eedc8b60fep-2, -0x1.7253e5b0bdf53p-2, -0x1.730d6e47762ecp-2, -0x1.73abebc777f2cp-2, -0x1.742fc3e261dcfp-2, -0x1.74995da934a92p-2, -0x1.74e92174fe368p-2, -0x1.751f78cfd7aa4p-2, -0x1.753cce5e38e52p-2, -0x1.75418dc89ff95p-2, -0x1.752e23a598811p-2, -0x1.7502fd641a7aap-2, -0x1.74c0893647b34p-2, -0x1.746735fc89835p-2, -0x1.73f77331125ffp-2, -0x1.7371b0d3bf4e3p-2, -0x1.72d65f5662722p-2, -0x1.7225ef896e60bp-2, -0x1.7160d2890fd4fp-2, -0x1.708779aaa9793p-2, -0x1.6f9a566abda3bp-2, -0x1.6e99da5b40bf7p-2, -0x1.6d8677125775fp-2, -0x1.6c609e1980992p-2, -0x1.6b28c0dd2baf4p-2, -0x1.69df509cbaceap-2, -0x1.6884be5af5108p-2, -0x1.67197acee13fap-2, -0x1.659df655118eap-2, -0x1.6412a0e15c607p-2, -0x1.6277e9f0fff07p-2, -0x1.60ce407d3620bp-2, -0x1.5f1612ee31658p-2, -0x1.5d4fcf0e8a47bp-2, -0x1.5b7be1ff1441ep-2, -0x1.599ab82b21721p-2, -0x1.57acbd3d3049ep-2, -0x1.55b25c1401096p-2, -0x1.53abfeb816fb2p-2, -0x1.519a0e51a17b2p-2, -0x1.4f7cf31ecc583p-2, -0x1.4d55146a76af7p-2, -0x1.4b22d8834eeeep-2, -0x1.48e6a4b353ffcp-2, -0x1.46a0dd37ba474p-2, -0x1.4451e5393016fp-2, -0x1.41fa1ec487b53p-2, -0x1.3f99eac3bbffep-2, -0x1.3d31a8f756b14p-2, -0x1.3ac1b7f032203p-2, -0x1.384a750997cc9p-2, -0x1.35cc3c63b7c2ep-2, -0x1.334768de78d6fp-2, -0x1.30bc54149ff3ep-2, -0x1.2e2b56574ef0cp-2, -0x1.2b94c6a9d4527p-2, -0x1.28f8fabdcf0ddp-2, -0x1.265846efa569ap-2, -0x1.23b2fe434552bp-2, -0x1.210972613921ap-2, -0x1.1e5bf39404109p-2, -0x1.1baad0c5c904ap-2, -0x1.18f6577e3c8c6p-2, -0x1.163ed3e0db099p-2, -0x1.138490ab66fb9p-2, -0x1.10c7d734a70ffp-2, -0x1.0e08ef6b6a908p-2, -0x1.0b481fd5ca12dp-2, -0x1.0885ad90a7ed5p-2, -0x1.05c1dc4f6f903p-2, -0x1.02fcee5c0bd8bp-2, -0x1.003724971af6cp-2, -0x1.fae17cf0aaadap-3, -0x1.f553f41e5fd7ap-3, -0x1.efc628075b0fap-3, -0x1.ea388f2ed100ep-3, -0x1.e4ab9d4d8c369p-3, -0x1.df1fc354c025dp-3, -0x1.d9956f7130a89p-3, -0x1.d40d0d0eb412fp-3, -0x1.ce8704dc0634p-3, -0x1.c903bccef42e9p-3, -0x1.c3839828d0724p-3, -0x1.be06f77b35df4p-3, -0x1.b88e38ad1147cp-3, -0x1.b319b6fff5b67p-3, -0x1.ada9cb15a9p-3, -0x1.a83ecaf5fa38p-3, -0x1.a2d90a14cf8ffp-3, -0x1.9d78d9586f258p-3, -0x1.981e871ffd788p-3, -0x1.92ca5f4a326abp-3, -0x1.8d7cab3c3e9f6p-3, -0x1.8835b1e8de997p-3, -0x1.82f5b7d79ab5p-3, -0x1.7dbcff2c35bfap-3, -0x1.788bc7ae3512ep-3, -0x1.73624ed09e56dp-3, -0x1.6e40cfb9cc235p-3, -0x1.6927834b632cbp-3, -0x1.6416a02a6c621p-3, -0x1.5f0e5ac77ee16p-3, -0x1.5a0ee5670dfbp-3, -0x1.55187029c8cd7p-3, -0x1.502b291509b65p-3, -0x1.4b473c1b648c8p-3, -0x1.466cd325385edp-3, -0x1.419c16195ab56p-3, -0x1.3cd52ae5c575fp-3, -0x1.3818358859e53p-3, -0x1.33655817a3a77p-3, -0x1.2ebcb2cba9d47p-3, -0x1.2a1e6406c00b7p-3, -0x1.258a885e5f717p-3, -0x1.21013aa403348p-3, -0x1.1c8293edfee68p-3, -0x1.180eaba05b006p-3, -0x1.13a59775ac1e6p-3, -0x1.0f476b87e7986p-3, -0x1.0af43a593495cp-3, -0x1.06ac14dcafefap-3, -0x1.026f0a7f32b68p-3, -0x1.fc7a526013877p-4, -0x1.f42cfad3457a8p-4, -0x1.ebf624746099fp-4, -0x1.e3d5e2988794dp-4, -0x1.dbcc45deaa99p-4, -0x1.d3d95c40825adp-4, -0x1.cbfd312367ed5p-4, -0x1.c437cd6913f94p-4, -0x1.bc89378031f9cp-4, -0x1.b4f17374d58ffp-4, -0x1.ad708300d02cep-4, -0x1.a606659bd1f47p-4, -0x1.9eb3188b7583ap-4, -0x1.977696f30acccp-4, -0x1.9050d9e3524bcp-4, -0x1.8941d869f6418p-4, -0x1.824987a0e5262p-4, -0x1.7b67dabd7348ap-4, -0x1.749cc31f57d6bp-4, -0x1.6de8305f73895p-4, -0x1.674a105e66681p-4, -0x1.60c24f52f9bfap-4, -0x1.5a50d7d84fdccp-4, -0x1.53f592fbe8535p-4, -0x1.4db0684b6ba03p-4, -0x1.47813de243c65p-4, -0x1.4167f8770403dp-4, -0x1.3b647b68943p-4, -0x1.3576a8cb2e018p-4, -0x1.2f9e61751fed1p-4, -0x1.29db850b5b96fp-4, -0x1.242df20dccad9p-4, -0x1.1e9585e37c0afp-4, -0x1.19121ce678c8fp-4, -0x1.13a3926f89636p-4, -0x1.0e49c0e1aca6dp-4, -0x1.090481b55d93ap-4, -0x1.03d3ad839e6e5p-4, -0x1.fd6e3821a9afp-5, -0x1.f35d48aed0a26p-5, -0x1.e974392456ebep-5, -0x1.dfb2b48d212d7p-5, -0x1.d618649d46782p-5, -0x1.cca4f1c5a77afp-5, -0x1.c35803470381ep-5, -0x1.ba313f44b79c5p-5, -0x1.b1304ad701352p-5, -0x1.a854ca1cdedb7p-5, -0x1.9f9e604d8aa7fp-5, -0x1.970cafc9840bbp-5, -0x1.8e9f5a2b34499p-5, -0x1.865600572acacp-5, -0x1.7e30428bf965bp-5, -0x1.762dc071a0c1ep-5, -0x1.6e4e19289d625p-5, -0x1.6690eb5896be9p-5, -0x1.5ef5d53e9af46p-5, -0x1.577c74bb0c035p-5, -0x1.5024675f21b8p-5, -0x1.48ed4a7a0f0efp-5, -0x1.41d6bb25c7e3ap-5, -0x1.3ae0565366ebbp-5, -0x1.3409b8d73ccaep-5, -0x1.2d527f7487e49p-5, -0x1.26ba46e8c3547p-5, -0x1.2040abf6adc5cp-5, -0x1.19e54b70ec5ebp-5, -0x1.13a7c244663fp-5, -0x1.0d87ad8236168p-5, -0x1.0784aa696316bp-5, -0x1.019e56702cd19p-5, -0x1.f7a89e9a2ed3p-6, -0x1.ec4c65ff53feep-6, -0x1.e1273fb19cf6cp-6, -0x1.d6386905e784ep-6, -0x1.cb7f2013bb306p-6, -0x1.c0faa3c45755bp-6, -0x1.b6aa33e1331ap-6, -0x1.ac8d1121e6141p-6, -0x1.a2a27d398a8d1p-6, -0x1.98e9bae38bfb8p-6, -0x1.8f620df007036p-6, -0x1.860abb4f81fc5p-6, -0x1.7ce3091e3f6e6p-6, -0x1.73ea3eaf053acp-6, -0x1.6b1fa49563b25p-6, -0x1.628284af8ee51p-6, -0x1.5a122a2fb7e04p-6, -0x1.51cde1a4eac6ap-6, -0x1.49b4f90384c3dp-6, -0x1.41c6bfad3f096p-6, -0x1.3a028678b79dbp-6, -0x1.32679fb8aaa64p-6, -0x1.2af55f42a3e24p-6, -0x1.23ab1a756c975p-6, -0x1.1c88283ef3cb3p-6, -0x1.158be121f23aep-6, -0x1.0eb59f3b24107p-6, -0x1.0804be461df85p-6, -0x1.01789ba1d6eadp-6, -0x1.f6212ca99671dp-7, -0x1.e9981e21c4c0bp-7, -0x1.dd54d06dd53c5p-7, -0x1.d1560bb382f01p-7, -0x1.c59a9b829337p-7, -0x1.ba214ed9ee5e7p-7, -0x1.aee8f82c47b24p-7, -0x1.a3f06d641b3d9p-7, -0x1.993687e741fe9p-7, -0x1.8eba2499d7962p-7, -0x1.847a23e0adf8p-7, -0x1.7a7569a35bc71p-7, -0x1.70aadd4d93bbp-7, -0x1.671969d02e9f3p-7, -0x1.5dbffda1d1645p-7, -0x1.549d8abeea501p-7, -0x1.4bb106a96ed78p-7, -0x1.42f96a68270e2p-7, -0x1.3a75b2858cfeap-7, -0x1.3224df0e429aap-7, -0x1.2a05f38f4854dp-7, -0x1.2217f713b4155p-7, -0x1.1a59f422235bdp-7, -0x1.12caf8b9df8dfp-7, -0x1.0b6a164fa5aabp-7, -0x1.043661ca15bf8p-7, -0x1.fa5de6fbeaa8dp-8, -0x1.eca5ce542208bp-8, -0x1.df42b7e5bf311p-8, -0x1.d232e8bbcd966p-8, -0x1.c574ac99b670ap-8, -0x1.b90655f12689bp-8, -0x1.ace63dd736e5ep-8, -0x1.a112c3f99523bp-8, -0x1.958a4e92c74d7p-8, -0x1.8a4b4a5e7c0ccp-8, -0x1.7f542a8d33f47p-8, -0x1.74a368b7a4b3ep-8, -0x1.6a3784d1c9892p-8, -0x1.600f051d99114p-8, -0x1.5628761d83ec7p-8, -0x1.4c826a869e197p-8, -0x1.431b7b3277dp-8, -0x1.39f24710b3ee2p-8, -0x1.31057318ad5p-8, -0x1.2853aa3a48c4fp-8, -0x1.1fdb9d4f475e8p-8, -0x1.179c030bef04ep-8, -0x1.0f9397ef98ddfp-8, -0x1.07c11e354dc7p-8, -0x1.00235dc3ec4eep-8, -0x1.f172483ceb0dep-9, -0x1.e30288a837411p-9, -0x1.d4f52de01d582p-9, -0x1.c747f3d304f85p-9, -0x1.b9f8a126b8ddbp-9, -0x1.ad050717ad98cp-9, -0x1.a06b0158589fcp-9, -0x1.942875f070db6p-9, -0x1.883b551ba0c63p-9, -0x1.7ca19928ca59ep-9, -0x1.71594658e998ap-9, -0x1.66606abdc2bc1p-9, -0x1.5bb51e18fb596p-9, -0x1.515581bae4b62p-9, -0x1.473fc0613d1a7p-9, -0x1.3d720e16624b5p-9, -0x1.33eaa810229fcp-9, -0x1.2aa7d48e7af35p-9, -0x1.21a7e2bb8f47dp-9, -0x1.18e92a89d1d8dp-9, -0x1.106a0c9425f65p-9, -0x1.0828f1fcee772p-9, -0x1.00244c4d89f1bp-9, -0x1.f0b52aaca7a0ap-10, -0x1.e1949e1c9223dp-10, -0x1.d2e406e663cd5p-10, -0x1.c4a088d34fa9ap-10, -0x1.b6c7573b0a46fp-10, -0x1.a955b4c54cebcp-10, -0x1.9c48f32b021bdp-10, -0x1.8f9e72f7e3d4ep-10, -0x1.8353a34de0a7bp-10, -0x1.776601a6eedf6p-10, -0x1.6bd319993fa51p-10, -0x1.6098849a1f3ep-10, -0x1.55b3e9c328e39p-10, -0x1.4b22fd96407b7p-10, -0x1.40e381c389374p-10, -0x1.36f344eed3f8ap-10, -0x1.2d502276296f9p-10, -0x1.23f802388c841p-10, -0x1.1ae8d85dadb0dp-10, -0x1.1220a51dbde4dp-10, -0x1.099d748a00ccp-10, -0x1.015d5e564a115p-10, -0x1.f2bd0b44ad335p-11, -0x1.e33e31895a71p-11, -0x1.d43aa22989e31p-11, -0x1.c5aee56ebff5p-11, -0x1.b79798d4d1ba6p-11, -0x1.a9f16ea2c428p-11, -0x1.9cb92d868027bp-11, -0x1.8febb0304c59fp-11, -0x1.8385e4f04e1b6p-11, -0x1.7784cd549626cp-11, -0x1.6be57dc929386p-11, -0x1.60a51d389c69cp-11, -0x1.55c0e4af179d9p-11, -0x1.4b361efc6edc3p-11, -0x1.41022859efec1p-11, -0x1.37226e1056de6p-11, -0x1.2d946e1dca442p-11, -0x1.2455b6e002bd6p-11, -0x1.1b63e6bc8f859p-11, -0x1.12bcabcc88c0ap-11, -0x1.0a5dc3889c87p-11, -0x1.0244fa76220dep-11, -0x1.f4e057ac3629cp-12, -0x1.e5ba82aa3af85p-12, -0x1.d71465780e22ap-12, -0x1.c8ea0b45c9f88p-12, -0x1.bb379a47f3972p-12, -0x1.adf9532107adbp-12, -0x1.a12b904d64fcdp-12, -0x1.94cac59279ce9p-12, -0x1.88d37f6e3f573p-12, -0x1.7d42628a7f9d4p-12, -0x1.72142b32583cap-12, -0x1.6745acc9688e2p-12, -0x1.5cd3d146abb6p-12, -0x1.52bb98aea71bcp-12, -0x1.48fa189502401p-12, -0x1.3f8c7b9a1bc05p-12, -0x1.367000efc8383p-12, -0x1.2da1fbde3bebbp-12, -0x1.251fd34ab5738p-12, -0x1.1ce701416f6e9p-12, -0x1.14f512814e41fp-12, -0x1.0d47a6094edadp-12, -0x1.05dc6ca89c21ap-12, -0x1.fd625120b45a9p-13, -0x1.ef8759cf18303p-13, -0x1.e223bac40acd9p-13, -0x1.d5335bac46ad4p-13, -0x1.c8b243b29c9ccp-13, -0x1.bc9c98b4c8913p-13, -0x1.b0ee9e80a37dcp-13, -0x1.a5a4b6123e749p-13, -0x1.9abb5cd941c33p-13, -0x1.902f2bfe83e8p-13, -0x1.85fcd7af3c46ap-13, -0x1.7c212e6bc817ap-13, -0x1.72991859b41cep-13, -0x1.696196987595ap-13, -0x1.6077c29b2a541p-13, -0x1.57d8cd851761fp-13, -0x1.4f81ff88e1b46p-13, -0x1.4770b74d83f2dp-13, -0x1.3fa26952a04f8p-13, -0x1.38149f5c49b37p-13, -0x1.30c4f7ddfcda3p-13, -0x1.29b1256cbfb02p-13, -0x1.22d6ee30d3b4cp-13, -0x1.1c342b5da0d56p-13, -0x1.15c6c8a8f6f27p-13, -0x1.0f8cc3c96d8cap-13, -0x1.09842bf4480c3p-13, -0x1.03ab21604288bp-13, -0x1.fbffa99425098p-14, -0x1.f1010df91f031p-14, -0x1.e65710b4e1cc5p-14, -0x1.dbfe70d7bdf7bp-14, -0x1.d1f40adc190f9p-14, -0x1.c834d7cc4c8dep-14, -0x1.bebdec6a679d2p-14, -0x1.b58c7862622f9p-14, -0x1.ac9dc5791c6e3p-14, -0x1.a3ef36ca1a5f6p-14, -0x1.9b7e4800bd8cep-14, -0x1.93488c9d220fep-14, -0x1.8b4baf3a356d8p-14, -0x1.838570d76ea1cp-14, -0x1.7bf3a829eda39p-14, -0x1.749440f06166dp-14, -0x1.6d653b4a4672cp-14, -0x1.6664ab15e4279p-14, -0x1.5f90b74f40453p-14, -0x1.58e799754aeb4p-14, -0x1.52679cf1cfd32p-14, -0x1.4c0f1e86f030ep-14, -0x1.45dc8bbe49aecp-14, -0x1.3fce625cd4032p-14, -0x1.39e32fdb4b287p-14, -0x1.341990e093106p-14, -0x1.2e7030bf76168p-14, -0x1.28e5c8faaadffp-14, -0x1.237920c8085c2p-14, -0x1.1e290c9af7d1p-14, -0x1.18f46daf1ebf2p-14, -0x1.13da31975e476p-14, -0x1.0ed951d0c6cbep-14, -0x1.09f0d3571fa02p-14, -0x1.051fc63cd4483p-14, -0x1.006545470c874p-14, -0x1.f780eb142ccb1p-15, -0x1.ee610c14df27fp-15, -0x1.e5695ec048b2ep-15, -0x1.dc9866b8df009p-15, -0x1.d3ecb96660759p-15, -0x1.cb64fd49455e2p-15, -0x1.c2ffe95876671p-15, -0x1.babc445eb712p-15, -0x1.b298e4601347bp-15, -0x1.aa94ae0402145p-15, -0x1.a2ae9401fd74p-15, -0x1.9ae5969501b19p-15, -0x1.9338c2f0a49e4p-15, -0x1.8ba732bb5d2afp-15, -0x1.84300b8e487d4p-15, -0x1.7cd27e77a54afp-15, -0x1.758dc7810549bp-15, -0x1.6e612d3ae95e4p-15, -0x1.674c004ac63fcp-15, -0x1.604d9af9dcf4ap-15, -0x1.596560cee5338p-15, -0x1.5292be2325ea7p-15, -0x1.4bd527c09a6cp-15, -0x1.452c1a81c007fp-15, -0x1.3e971af2e3592p-15, -0x1.3815b4f865c05p-15, -0x1.31a77b77055ccp-15, -0x1.2b4c07ff8726ep-15, -0x1.2502fa7e54029p-15, -0x1.1ecbf8ec88ea4p-15, -0x1.18a6af030a505p-15, -0x1.1292cdf2fbc3ap-15, -0x1.0c900c1cd0bbap-15, -0x1.069e24ce31821p-15, -0x1.00bcd7ff48128p-15, -0x1.f5d7d4266527ep-16, -0x1.ea56473845128p-16, -0x1.def4a2417446dp-16, -0x1.d3b285c364b6cp-16, -0x1.c88f9948daaacp-16, -0x1.bd8b8afeb4842p-16, -0x1.b2a60f4b469b8p-16, -0x1.a7dee072d3909p-16, -0x1.9d35be3711d44p-16, -0x1.92aa6d7f010edp-16, -0x1.883cb7ff3389bp-16, -0x1.7dec6bea91f8dp-16, -0x1.73b95b9ff1044p-16, -0x1.69a35d61c82b7p-16, -0x1.5faa4b0cfc4ffp-16, -0x1.55ce01d182f22p-16, -0x1.4c0e61f2604bdp-16, -0x1.426b4e832e30dp-16, -0x1.38e4ad2ec988p-16, -0x1.2f7a65fa04de7p-16, -0x1.262c630e1e549p-16, -0x1.1cfa90845cfa7p-16, -0x1.13e4dc32ab186p-16, -0x1.0aeb357b97a46p-16, -0x1.020d8d1f1bb77p-16, -0x1.f297aa268be2fp-17, -0x1.e14c00abb3172p-17, -0x1.d038058fcb633p-17, -0x1.bf5ba21303378p-17, -0x1.aeb6c0a8704b3p-17, -0x1.9e494cb499e5bp-17, -0x1.8e13324e8195cp-17, -0x1.7e145e02db13dp-17, -0x1.6e4cbc9c91b4ap-17, -0x1.5ebc3af0ce416p-17, -0x1.4f62c5ad9bab6p-17, -0x1.4040492759ca5p-17, -0x1.3154b12f53d0dp-17, -0x1.229fe8e992e69p-17, -0x1.1421daa73be95p-17, -0x1.05da6fc155f48p-17, -0x1.ef9320f2a0ee2p-18, -0x1.d3de47b2ebab2p-18, -0x1.b8961f3103d79p-18, -0x1.9dba6ffd9f5ccp-18, -0x1.834aff953f90dp-18, -0x1.694790451a1a8p-18, -0x1.4fafe0ef315b1p-18, -0x1.3683acf232c9ep-18, -0x1.1dc2ac050fe46p-18, -0x1.056c921c15c2bp-18, -0x1.db021e8fc9675p-19, -0x1.abff9f44d1b69p-19, -0x1.7dd0f67c8517cp-19, }}, 
      {{0x1.acaa6f0e9ef68p-1, 0x1.ac802d570caa5p-1, 0x1.ac3a304a27895p-1, 0x1.abd919e94262fp-1, 0x1.ab5dc19678e4p-1, 0x1.aac92b8fd1ee1p-1, 0x1.aa1c803b94feep-1, 0x1.a95903bd4aab6p-1, 0x1.a8800e1cfbea3p-1, 0x1.a793042a43e41p-1, 0x1.a693512ed2dc3p-1, 0x1.a582617513bb8p-1, 0x1.a4619d9ddff78p-1, 0x1.a33266b9fb9c6p-1, 0x1.a1f613186927fp-1, 0x1.a0adebb8c4d79p-1, 0x1.9f5b2a503450bp-1, 0x1.9dfef7cf9eaf2p-1, 0x1.9c9a6b5a943e3p-1, 0x1.9b2e899f5fc9bp-1, 0x1.99bc4481e80dfp-1, 0x1.98447b0c617fcp-1, 0x1.96c7f99a1d218p-1, 0x1.95477a320dd18p-1, 0x1.93c3a507d3c6fp-1, 0x1.923d111b49724p-1, 0x1.90b444ef92a79p-1, 0x1.8f29b753ab6ap-1, 0x1.8d9dd0374dd54p-1, 0x1.8c10e987c9063p-1, 0x1.8a8350111d5e1p-1, 0x1.88f544603f716p-1, 0x1.8766fba3f87afp-1, 0x1.85d8a08a4a014p-1, 0x1.844a5418a2d06p-1, 0x1.82bc2e7d949c2p-1, 0x1.812e3fdaf9654p-1, 0x1.7fa09107c63cp-1, 0x1.7e132448fbc82p-1, 0x1.7c85f6015211ep-1, 0x1.7af8fd576c4efp-1, 0x1.796c2cd27c4b4p-1, 0x1.77df72ed5b25p-1, 0x1.7652baa03624ep-1, 0x1.74c5ebe0fcffbp-1, 0x1.7338ec1acedbap-1, 0x1.71ab9e9cb1864p-1, 0x1.701de4ffe3571p-1, 0x1.6e8f9f861f445p-1, 0x1.6d00ad7032296p-1, 0x1.6b70ed4d3eec7p-1, 0x1.69e03d4314e87p-1, 0x1.684e7b4ff4f7bp-1, 0x1.66bb85862aeffp-1, 0x1.65273a41d7416p-1, 0x1.6391785945f84p-1, 0x1.61fa1f482cd6cp-1, 0x1.60610f5627656p-1, 0x1.5ec629b8c64c4p-1, 0x1.5d2950b17f236p-1, 0x1.5b8a67a7caccdp-1, 0x1.59e9533fbbc94p-1, 0x1.5845f96d4eb92p-1, 0x1.56a04184b96d4p-1, 0x1.54f81447f33e6p-1, 0x1.534d5bf1b3242p-1, 0x1.51a0043e16902p-1, 0x1.4feffa7126b59p-1, 0x1.4e3d2d5b6b83cp-1, 0x1.4c878d5cb7a6cp-1, 0x1.4acf0c6556747p-1, 0x1.49139df5c66f3p-1, 0x1.4755371d1d659p-1, 0x1.4593ce763edcbp-1, 0x1.43cf5c23fe10ap-1, 0x1.4207d9cc4a8a9p-1, 0x1.403d429282938p-1, 0x1.3e6f9311002cfp-1, 0x1.3c9ec951fc0e3p-1, 0x1.3acae4c7d8757p-1, 0x1.38f3e644e52bfp-1, 0x1.3719cff2b39bep-1, 0x1.353ca5490667ap-1, 0x1.335c6b046c8fdp-1, 0x1.3179271c95ca4p-1, 0x1.2f92e0ba6f6e4p-1, 0x1.2da9a02e0e5d2p-1, 0x1.2bbd6ee477b5bp-1, 0x1.29ce575d4dd2bp-1, 0x1.27dc6520697ebp-1, 0x1.25e7a4b36baep-1, 0x1.23f0238f47be8p-1, 0x1.21f5f015d4f92p-1, 0x1.1ff91987671d1p-1, 0x1.1df9aff87454bp-1, 0x1.1bf7c4475046cp-1, 0x1.19f36811fd256p-1, 0x1.17ecadac1839cp-1, 0x1.15e3a814e61a5p-1, 0x1.13d86aed7f6c8p-1, 0x1.11cb0a6f22d07p-1, 0x1.0fbb9b61ae61ep-1, 0x1.0daa33124095dp-1, 0x1.0b96e74a070d7p-1, 0x1.0981ce4537a27p-1, 0x1.076afeaa38497p-1, 0x1.05528f80f755cp-1, 0x1.0338982a72ccp-1, 0x1.011d30587167dp-1, 0x1.fe00e00adcda2p-2, 0x1.f9c4ded96c968p-2, 0x1.f5868e0570ef5p-2, 0x1.f1461edb14a38p-2, 0x1.ed03c2fb3d9c5p-2, 0x1.e8bfac4d640ebp-2, 0x1.e47a0cf1cc912p-2, 0x1.e03317342f446p-2, 0x1.dbeafd7ebfbd3p-2, 0x1.d7a1f24d9f5dap-2, 0x1.d3582822b383ap-2, 0x1.cf0dd179dffe8p-2, 0x1.cac320bda71cdp-2, 0x1.c678483c2c3dep-2, 0x1.c22d7a1c97961p-2, 0x1.bde2e854de39cp-2, 0x1.b998c49fe450cp-2, 0x1.b54f407406342p-2, 0x1.b1068cf9f6de8p-2, 0x1.acbedb0400e04p-2, 0x1.a8785b059ed95p-2, 0x1.a4333d0b6d3aep-2, 0x1.9fefb0b377f4p-2, 0x1.9bade525d89aap-2, 0x1.976e090db00edp-2, 0x1.93304a92702ap-2, 0x1.8ef4d75175e9bp-2, 0x1.8abbdc57f9cdfp-2, 0x1.8685861d4a1b2p-2, 0x1.8252007d54458p-2, 0x1.7e2176b37b54bp-2, 0x1.79f41355b6d7cp-2, 0x1.75ca004ffc9e1p-2, 0x1.71a366dfedba4p-2, 0x1.6d806f90cf9b5p-2, 0x1.69614237c1d73p-2, 0x1.654605f03c864p-2, 0x1.612ee118ca6fdp-2, 0x1.5d1bf95007614p-2, 0x1.590d7371d7b28p-2, 0x1.55037394df8fcp-2, 0x1.50fe1d0832ff3p-2, 0x1.4cfd92513f845p-2, 0x1.4901f529ed2d5p-2, 0x1.450b667ef69a7p-2, 0x1.411a066e747a3p-2, 0x1.3d2df4469dcc8p-2, 0x1.39474e84b6c43p-2, 0x1.356632d4346f8p-2, 0x1.318abe0e0a287p-2, 0x1.2db50c382a09fp-2, 0x1.29e538852ba7dp-2, 0x1.261b5d5420847p-2, 0x1.2257943093a03p-2, 0x1.1e99f5d2ab56fp-2, 0x1.1ae29a1f77a8dp-2, 0x1.1731982963424p-2, 0x1.13870630c5effp-2, 0x1.0fe2f9a49f8a2p-2, 0x1.0c4587236f04ap-2, 0x1.08aec27c2caedp-2, 0x1.051ebeaf62cbfp-2, 0x1.01958df061e0dp-2, 0x1.fc26834d2b19cp-3, 0x1.f52fd4dde4095p-3, 0x1.ee47303af7de9p-3, 0x1.e76cb37dd38d2p-3, 0x1.e0a07b34bd71ep-3, 0x1.d9e2a266746fp-3, 0x1.d3334295fcc4bp-3, 0x1.cc9273c697232p-3, 0x1.c6004c7fe1137p-3, 0x1.bf7ce1d2150b9p-3, 0x1.b908475a73d91p-3, 0x1.b2a28f47d13bbp-3, 0x1.ac4bca5f383f5p-3, 0x1.a6040800b487ep-3, 0x1.9fcb562c36004p-3, 0x1.99a1c1868fcep-3, 0x1.9387555e8d42dp-3, 0x1.8d7c1bb21e8d3p-3, 0x1.87801d339d29bp-3, 0x1.8193614f23ad7p-3, 0x1.7bb5ee2ff2c31p-3, 0x1.75e7c8c5eec82p-3, 0x1.7028f4cb2392ep-3, 0x1.6a7974c95e35fp-3, 0x1.64d94a1fcc0a8p-3, 0x1.5f487508aa713p-3, 0x1.59c6f49efa17cp-3, 0x1.5454c6e44132dp-3, 0x1.4ef1e8c64cd61p-3, 0x1.499e5624fdbc5p-3, 0x1.445a09d817b2ap-3, 0x1.3f24fdb513a77p-3, 0x1.39ff2a94f37bbp-3, 0x1.34e8885a1958cp-3, 0x1.2fe10df61b81bp-3, 0x1.2ae8b16f9824ap-3, 0x1.25ff67e80aee4p-3, 0x1.212525a1972ep-3, 0x1.1c59de04d6608p-3, 0x1.179d83a69fb01p-3, 0x1.12f0084dc243ap-3, 0x1.0e515cf8c697ap-3, 0x1.09c171e39c7cp-3, 0x1.0540368d43cc2p-3, 0x1.00cd99bd7444ap-3, 0x1.f8d313145b341p-4, 0x1.f027e6ba94652p-4, 0x1.e79987f3fecedp-4, 0x1.df27cf04abb66p-4, 0x1.d6d292f92234p-4, 0x1.ce99a9b12222dp-4, 0x1.c67ce7ea405c8p-4, 0x1.be7c214a731fcp-4, 0x1.b697286a727c1p-4, 0x1.aecdcee00aaa3p-4, 0x1.a71fe54845ee9p-4, 0x1.9f8d3b517f9dp-4, 0x1.98159fc54cb6fp-4, 0x1.90b8e0924d505p-4, 0x1.8976cad5d8a99p-4, 0x1.824f2ae586ce2p-4, 0x1.7b41cc589a2e5p-4, 0x1.744e7a1141d18p-4, 0x1.6d74fe45be812p-4, 0x1.66b522895c7fap-4, 0x1.600eafd54ea3bp-4, 0x1.59816e916291fp-4, 0x1.530d269c8e9cep-4, 0x1.4cb19f555bef2p-4, 0x1.466e9fa2294cap-4, 0x1.4043edf94a787p-4, 0x1.3a315068ff7dfp-4, 0x1.34368c9f4464ep-4, 0x1.2e5367f17e6acp-4, 0x1.2887a763fed5dp-4, 0x1.22d30fb160d77p-4, 0x1.1d356551c05fcp-4, 0x1.17ae6c81cbffdp-4, 0x1.123de949ad74ep-4, 0x1.0ce39f83cacafp-4, 0x1.079f52e367d51p-4, 0x1.0270c6fb1771ep-4, 0x1.faaf7e861b599p-5, 0x1.f0a7fe3e90b4dp-5, 0x1.e6ca93cb27a3dp-5, 0x1.dd16c5c6cebap-5, 0x1.d38c1ac73b894p-5, 0x1.ca2a19680e534p-5, 0x1.c0f04855af02dp-5, 0x1.b7de2e57ddcafp-5, 0x1.aef3525bf65ecp-5, 0x1.a62f3b7ef53c1p-5, 0x1.9d9171172a479p-5, 0x1.95197abda8e92p-5, 0x1.8cc6e0576e9fp-5, 0x1.84992a1e4af0bp-5, 0x1.7c8fe0a97458p-5, 0x1.74aa8cf5e6fbfp-5, 0x1.6ce8b86e75a8dp-5, 0x1.6549ecf39c284p-5, 0x1.5dcdb4e30f734p-5, 0x1.56739b1f083a2p-5, 0x1.4f3b2b1553b88p-5, 0x1.4823f0c61d1d3p-5, 0x1.412d78ca7effap-5, 0x1.3a57505ad2b0fp-5, 0x1.33a10554c3bc1p-5, 0x1.2d0a2641262d5p-5, 0x1.269242599434cp-5, 0x1.2038e98dce35bp-5, 0x1.19fdac88e6698p-5, 0x1.13e01cb62a5dp-5, 0x1.0ddfcc45e5058p-5, 0x1.07fc4e31d6f34p-5, 0x1.0235364188dd6p-5, 0x1.f914321cc4bd4p-6, 0x1.edf5180f1cc18p-6, 0x1.e30c4aeb54cfbp-6, 0x1.d858f8fc97fd4p-6, 0x1.cdda524e97761p-6, 0x1.c38f88b3cd7c4p-6, 0x1.b977cfcb5c7bdp-6, 0x1.af925d069f4e1p-6, 0x1.a5de67ae4b029p-6, 0x1.9c5b28e74a494p-6, 0x1.9307dbb74033p-6, 0x1.89e3bd08ae0edp-6, 0x1.80ee0baed2348p-6, 0x1.7826086933c67p-6, 0x1.6f8af5e6dab62p-6, 0x1.671c18c94657ap-6, 0x1.5ed8b7a70ecf1p-6, 0x1.56c01b0e44591p-6, 0x1.4ed18d8687806p-6, 0x1.470c5b92d8d8fp-6, 0x1.3f6fd3b32f06ap-6, 0x1.37fb4665bdf48p-6, 0x1.30ae062807dcbp-6, 0x1.29876777b1cbap-6, 0x1.2286c0d3154ap-6, 0x1.1bab6ab99d3fcp-6, 0x1.14f4bfabe9236p-6, 0x1.0e621c2bb7dd4p-6, 0x1.07f2debb9f4d6p-6, 0x1.01a667de8e55p-6, 0x1.f6f8342e4247ep-7, 0x1.eae6b3cd790b1p-7, 0x1.df171b990d65dp-7, 0x1.d3883c884fb3p-7, 0x1.c838eb88c3a2fp-7, 0x1.bd28017b13236p-7, 0x1.b2545b2f78c3ep-7, 0x1.a7bcd9621d6f4p-7, 0x1.9d6060b6f6135p-7, 0x1.933dd9b575a73p-7, 0x1.895430c3f1c9dp-7, 0x1.7fa25622b8911p-7, 0x1.76273de6fc1f2p-7, 0x1.6ce1dff566f6bp-7, 0x1.63d137fc877efp-7, 0x1.5af4456f01d3p-7, 0x1.524a0b7d6ff19p-7, 0x1.49d191103811cp-7, 0x1.4189e0c118615p-7, 0x1.397208d475d1dp-7, 0x1.31891b329fec1p-7, 0x1.29ce2d60cef8fp-7, 0x1.2240587a0628ap-7, 0x1.1adeb927c507ep-7, 0x1.13a86f9aa0c07p-7, 0x1.0c9c9f82b1703p-7, 0x1.05ba7007db9d2p-7, 0x1.fe0217840d9b9p-8, 0x1.f0df41626ae55p-8, 0x1.e40ac06adb553p-8, 0x1.d782fe0d5070ap-8, 0x1.cb466a5920ec6p-8, 0x1.bf537bec6c6e4p-8, 0x1.b3a8afe36449fp-8, 0x1.a84489c75337ap-8, 0x1.9d25937d9b797p-8, 0x1.924a5d367fcd9p-8, 0x1.87b17d5bf5f29p-8, 0x1.7d5990803b3eep-8, 0x1.7341394c5cd5ap-8, 0x1.6967206eb0f0ep-8, 0x1.5fc9f4894ec33p-8, 0x1.56686a20595p-8, 0x1.4d413b884f9d2p-8, 0x1.445328d4611d5p-8, 0x1.3b9cf7c4994a3p-8, 0x1.331d73b4256bep-8, 0x1.2ad36d87942ebp-8, 0x1.22bdbb9aff8d6p-8, 0x1.1adb39b05a31bp-8, 0x1.132ac8dd9ac69p-8, 0x1.0bab4f7b0dda1p-8, 0x1.045bb911a4164p-8, 0x1.fa75ec9287b6ap-9, 0x1.ec8ff9ae610b6p-9, 0x1.df038ed8d555ep-9, 0x1.d1ceab489fe6fp-9, 0x1.c4ef57e5f8ef8p-9, 0x1.b863a7282be5fp-9, 0x1.ac29b4f2b9f3bp-9, 0x1.a03fa6730f50ep-9, 0x1.94a3a9fe3db19p-9, 0x1.8953f6eed5184p-9, 0x1.7e4ecd8309c91p-9, 0x1.739276baf541cp-9, 0x1.691d443723c1fp-9, 0x1.5eed9017511cbp-9, 0x1.5501bcd94cf23p-9, 0x1.4b58353831aa7p-9, 0x1.41ef6c0bc3683p-9, 0x1.38c5dc28305f9p-9, 0x1.2fda083ddcff3p-9, 0x1.272a7ab9b0741p-9, 0x1.1eb5c5a559daep-9, 0x1.167a82882b311p-9, 0x1.0e775247f204fp-9, 0x1.06aadd0a58615p-9, 0x1.fe27a42c9114fp-10, 0x1.ef61cf6bb66ddp-10, 0x1.e101b630cf1e7p-10, 0x1.d304e069d17ecp-10, 0x1.c568e3597a14fp-10, 0x1.b82b615d1acd1p-10, 0x1.ab4a09b3870b9p-10, 0x1.9ec29843eedbap-10, 0x1.9292d565e47b5p-10, 0x1.86b895a9f0e44p-10, 0x1.7b31b9a26be2dp-10, 0x1.6ffc2dad3d3c6p-10, 0x1.6515e9be48f91p-10, 0x1.5a7cf12a60886p-10, 0x1.502f5272dcc8ap-10, 0x1.462b2711bce92p-10, 0x1.3c6e9346b51e4p-10, 0x1.32f7c5e48b045p-10, 0x1.29c4f81f5c335p-10, 0x1.20d46d5b4c676p-10, 0x1.182472fbfe52ep-10, 0x1.0fb36034b7934p-10, 0x1.077f95d8e8dacp-10, 0x1.ff0efc5b68a8ep-11, 0x1.ef93197799811p-11, 0x1.e0887c4416602p-11, 0x1.d1ec2fd195d1ap-11, 0x1.c3bb50ab5b16fp-11, 0x1.b5f30c806269dp-11, 0x1.a890a1cd6530dp-11, 0x1.9b915f889e89ep-11, 0x1.8ef2a4ce3e918p-11, 0x1.82b1e08ec4f4dp-11, 0x1.76cc913dbac33p-11, 0x1.6b4044828a426p-11, 0x1.600a96e9cb2d8p-11, 0x1.5529339858854p-11, 0x1.4a99d3ff28b3fp-11, 0x1.405a3f909c2b9p-11, 0x1.36684b76e86abp-11, 0x1.2cc1da4b88aa2p-11, 0x1.2364dbd0212fdp-11, 0x1.1a4f4ca83038bp-11, 0x1.117f361460d1fp-11, 0x1.08f2adae42cd1p-11, 0x1.00a7d526089dep-11, 0x1.f139b4011a1b6p-12, 0x1.e19feaae06d87p-12, 0x1.d27ed72f0f9cap-12, 0x1.c3d3188d6d11cp-12, 0x1.b59963850a018p-12, 0x1.a7ce820bd109cp-12, 0x1.9a6f52db7a46bp-12, 0x1.8d78c8fd90e49p-12, 0x1.80e7eb58d7f94p-12, 0x1.74b9d4414b401p-12, 0x1.68ebb10a2f34cp-12, 0x1.5d7ac19968247p-12, 0x1.526457fddd44cp-12, 0x1.47a5d806b29d1p-12, 0x1.3d3cb6dd155d6p-12, 0x1.33267a9fef0b1p-12, 0x1.2960ba00fc044p-12, 0x1.1fe91be444b2ap-12, 0x1.16bd57012b9dfp-12, 0x1.0ddb3184e4af3p-12, 0x1.054080b7a2014p-12, 0x1.f9d6514542d96p-13, 0x1.e9b237708395p-13, 0x1.da10b4fbb18b8p-13, 0x1.caede66e88909p-13, 0x1.bc460327c5adfp-13, 0x1.ae155cbaa1fc2p-13, 0x1.a0585e5001f03p-13, 0x1.930b8c09b47bdp-13, 0x1.862b826a2ccb9p-13, 0x1.79b4f5bdd23e6p-13, 0x1.6da4b1889c248p-13, 0x1.61f797f5fe2afp-13, 0x1.56aaa14c07882p-13, 0x1.4bbadb60edda8p-13, 0x1.41256914d1caep-13, 0x1.36e781cbe074dp-13, 0x1.2cfe70edeaba1p-13, 0x1.23679566d776p-13, 0x1.1a20612a1099ap-13, 0x1.112658b99ad5p-13, 0x1.087712ae68807p-13, 0x1.001037445378ep-13, 0x1.efdeffcf0b278p-14, 0x1.e0256d8a4814cp-14, 0x1.d0ef6cbc8e227p-14, 0x1.c238d23a2f8bdp-14, 0x1.b3fd91d80a491p-14, 0x1.a639bda08f53bp-14, 0x1.98e9850afd0d5p-14, 0x1.8c093438004p-14, 0x1.7f953332e9244p-14, 0x1.738a053734a4ep-14, 0x1.67e447f8baccbp-14, 0x1.5ca0b2f2d416ap-14, 0x1.51bc16b8f9c3bp-14, 0x1.47335c4c63f3cp-14, 0x1.3d038475fbcf9p-14, 0x1.3329a723176cfp-14, 0x1.29a2f2c6a6976p-14, 0x1.206cabbd8a0fep-14, 0x1.17842bb7f0206p-14, 0x1.0ee6e1241dfacp-14, 0x1.06924e9ee95f5p-14, 0x1.fd0814c9e833dp-15, 0x1.ed737b93baa1p-15, 0x1.de624963732bcp-15, 0x1.cfd01a193c75bp-15, 0x1.c1b8acae80b98p-15, 0x1.b417e23b73811p-15, 0x1.a6e9bd02ae5c6p-15, 0x1.9a2a5f81f6696p-15, 0x1.8dd60b8aa0d13p-15, 0x1.81e9215ddda12p-15, 0x1.76601ed09c8e1p-15, 0x1.6b379e71da87bp-15, 0x1.606c56b9e9ef5p-15, 0x1.55fb193d86dcep-15, 0x1.4be0d1e364c6ep-15, 0x1.421a862369258p-15, 0x1.38a5544747e2cp-15, 0x1.2f7e72b133842p-15, 0x1.26a32f27d23f2p-15, 0x1.1e10ee2511527p-15, 0x1.15c52a2c1881ep-15, 0x1.0dbd7321cbdb7p-15, 0x1.05f76da8e7d1fp-15, 0x1.fce1a509761e6p-16, 0x1.ee4edbfc26cd7p-16, 0x1.e0323e98e4d78p-16, 0x1.d287b007760b4p-16, 0x1.c54b370cf8154p-16, 0x1.b878fcf5fe5c5p-16, 0x1.ac0d4c8627396p-16, 0x1.a00490f2c3eeep-16, 0x1.945b54e1a3dedp-16, 0x1.890e4171eac4cp-16, 0x1.7e1a1d466b53ep-16, 0x1.737bcb9d80fe5p-16, 0x1.69304b68bf38fp-16, 0x1.5f34b6707a5eep-16, 0x1.558640797c261p-16, 0x1.4c22367159c02p-16, 0x1.4305fda221f7bp-16, 0x1.3a2f12eab1b15p-16, 0x1.319b09fc68b98p-16, 0x1.29478c9f36081p-16, 0x1.213259faf3bcdp-16, 0x1.195945e541274p-16, 0x1.11ba383475c41p-16, 0x1.0a532c16e879bp-16, 0x1.03222f70c50dfp-16, 0x1.f84ac47a05c6p-17, 0x1.eab5ebe86e725p-17, 0x1.dd8259eb14b76p-17, 0x1.d0acb3ef31019p-17, 0x1.c431bef738fb6p-17, 0x1.b80e5e86e5f67p-17, 0x1.ac3f939b7583ap-17, 0x1.a0c27baa2b29bp-17, 0x1.95944fa5de6dfp-17, 0x1.8ab2630bf44d7p-17, 0x1.801a22fba4948p-17, 0x1.75c9154fca9bap-17, 0x1.6bbcd7c5327f8p-17, 0x1.61f31f21526d7p-17, 0x1.5869b663ea038p-17, 0x1.4f1e7dfc5c289p-17, 0x1.460f6b07f8015p-17, 0x1.3d3a86938b17cp-17, 0x1.349dece54111p-17, 0x1.2c37ccca0afd9p-17, 0x1.240666eb14a9p-17, 0x1.1c080d27ef019p-17, 0x1.143b21f34e8b7p-17, 0x1.0c9e17b83109dp-17, 0x1.052f704295468p-17, 0x1.fbdb7859ca696p-18, 0x1.edaf34a3f954fp-18, 0x1.dfd76e8c35fc4p-18, 0x1.d25199a18e5ddp-18, 0x1.c51b42dbd003bp-18, 0x1.b8320fa570593p-18, 0x1.ab93bce6888cbp-18, 0x1.9f3e1e229cdf3p-18, 0x1.932f1c95893p-18, 0x1.8764b65c81f4bp-18, 0x1.7bdcfda5a5491p-18, 0x1.709617e47d9e6p-18, 0x1.658e3d0fdbdc7p-18, 0x1.5ac3b6e86c296p-18, 0x1.5034e03fabd3fp-18, 0x1.45e0244a37291p-18, 0x1.3bc3fdf56c734p-18, 0x1.31def744ab69bp-18, 0x1.282fa8b1f7e8ap-18, 0x1.1eb4b898d1c21p-18, 0x1.156cdaa1d4e11p-18, 0x1.0c56cf35ee13dp-18, 0x1.037162f67d22ap-18, 0x1.f576dc767a76fp-19, 0x1.e467a920adbdep-19, 0x1.d3b30880b972p-19, 0x1.c356ebb91c13cp-19, 0x1.b3515799c73adp-19, 0x1.a3a063c40bc55p-19, 0x1.944239dcbb7edp-19, 0x1.853514c12ef43p-19, 0x1.76773fc5caca8p-19, 0x1.680715fd2ab1bp-19, 0x1.59e30185807dfp-19, 0x1.4c097ad9225e1p-19, 0x1.3e79082ccdfccp-19, 0x1.31303ccce67fp-19, 0x1.242db8884a06dp-19, 0x1.1770271d78f6ep-19, 0x1.0af63fad3b333p-19, 0x1.fd7d88689c7e3p-20, 0x1.e5910211ded1p-20, 0x1.ce2498c642b9fp-20, 0x1.b7360bbfd7521p-20, 0x1.a0c32c280f19ep-20, 0x1.8ac9dc3c098b6p-20, 0x1.75480e76dfd2ep-20, 0x1.603bc4ccc28a4p-20, 0x1.4ba30feab8a79p-20, 0x1.377c0e82899e3p-20, 0x1.23c4ec99db39ap-20, 0x1.107be2e20e715p-20, 0x1.fb3e6c3ff1a82p-21, 0x1.d65a6d0c2c38cp-21, 0x1.b2487e5eb7e94p-21, 0x1.8f056b152e58dp-21, 0x1.6c8e11b9b7d91p-21, 0x1.4adf6382bf5bbp-21, 0x1.29f663606ec7p-21, 0x1.09d0251703e24p-21, 0x1.d4d398d281981p-22, 0x1.978118829c70cp-22, 0x1.5ba34bef6f9f5p-22, 0x1.2134d11f4e4aap-22, 0x1.d060c01ae1b47p-23, 0x1.612192bb882cfp-23, 0x1.e943d42ca82afp-24, 0x1.15af85398660ep-24, 0x1.1dca16da23fa4p-26, -0x1.030d1a6979c6p-25, -0x1.454eca2aeae61p-24, -0x1.01fc7fcbd3c79p-23, -0x1.5ecbdb959741fp-23, -0x1.b91e9cab4bb7ep-23, -0x1.087ee4186133dp-22, -0x1.333922debbbb8p-22, -0x1.5cc2705a1a507p-22, -0x1.851f24d40c916p-22, -0x1.ac538bcabae7cp-22, -0x1.d263e4877263fp-22, -0x1.f75462a6c6c9ep-22, -0x1.0d9497500a86dp-21, -0x1.1ef3331df8f77p-21, -0x1.2fc80e7a43dcap-21, -0x1.40152e4169ddfp-21, -0x1.4fdc9290ac4b5p-21, -0x1.5f2036fc61e28p-21, -0x1.6de212b6fd55bp-21, -0x1.7c2418b92d983p-21, -0x1.89e837e31f80ap-21, -0x1.97305b1e23431p-21, -0x1.a3fe697bde446p-21, -0x1.b054465108758p-21, -0x1.bc33d1503dbe2p-21, -0x1.c79ee69980e1p-21, -0x1.d2975eda8a8b5p-21, -0x1.dd1f0f581ba58p-21, -0x1.e737c9fc35196p-21, -0x1.f0e35d6d3b881p-21, -0x1.fa23951706816p-21, -0x1.017d1c992b39p-20, -0x1.05b4876a34c2p-20, -0x1.09b8ebf958d08p-20, -0x1.0d8b29b5b7085p-20, -0x1.112c1e839e753p-20, -0x1.149ca6c1b705dp-20, -0x1.17dd9d4886872p-20, -0x1.1aefdb6d14413p-20, -0x1.1dd438ff66bcbp-20, -0x1.208b8c4cbd4dep-20, -0x1.2316aa1d0cc01p-20, -0x1.257665b4cff63p-20, -0x1.27ab90d299572p-20, -0x1.29b6fbadcffc2p-20, -0x1.2b9974f66271cp-20, -0x1.2d53c9d0e7352p-20, -0x1.2ee6c5d701016p-20, -0x1.305333133d952p-20, -0x1.3199d9ff0a458p-20, -0x1.32bb817f816aep-20, -0x1.33b8eee5004f9p-20, -0x1.3492e5e6db4c4p-20, -0x1.354a289f22099p-20, }}, 
      std::vector<double>(700, 0.0), 
      {{0x1.68c9231bbb893p-7, 0x1.690ea4eb6e265p-6, 0x1.0f19e0a164b58p-5, 0x1.69f866ee8190fp-5, 0x1.c523bd4b68993p-5, 0x1.1047d58da3485p-4, 0x1.3e123d9355c2dp-4, 0x1.6be088600de85p-4, 0x1.999e936fa4dcdp-4, 0x1.c735c1739b629p-4, 0x1.f48dfd8d157bap-4, 0x1.10c74feca55bfp-3, 0x1.270f97dd9abbcp-3, 0x1.3d1401bdea522p-3, 0x1.52c95f69d2a12p-3, 0x1.6825598b45511p-3, 0x1.7d1e922958c3ep-3, 0x1.91acbb7594f98p-3, 0x1.a5c8a4988b4eap-3, 0x1.b96c3e28d5cc5p-3, 0x1.cc9297d5ddddfp-3, 0x1.df37d8a8506bep-3, 0x1.f15933106e057p-3, 0x1.017a6ae898be6p-2, 0x1.0a04ed57f6267p-2, 0x1.124c19d5bc75dp-2, 0x1.1a504bae9769ep-2, 0x1.22123684143e9p-2, 0x1.2992dc60c7c32p-2, 0x1.30d384030d6cep-2, 0x1.37d5af7ecbd6ep-2, 0x1.3e9b134e75b9fp-2, 0x1.45258de4a2b6cp-2, 0x1.4b771fc9cbddbp-2, 0x1.5191e44d2591cp-2, 0x1.57780acb96aafp-2, 0x1.5d2bd08cde70fp-2, 0x1.62af7b348456dp-2, 0x1.680553c24fa23p-2, 0x1.6d2fa21ca9b5ep-2, 0x1.7230a91e42c16p-2, 0x1.770aa31fa510ep-2, 0x1.7bbfbef4f313fp-2, 0x1.80521d57d0cf1p-2, 0x1.84c3ceb571f4bp-2, 0x1.8916d158cc7ap-2, 0x1.8d4d0fe934f85p-2, 0x1.91686035cf902p-2, 0x1.956a8246a6ea8p-2, 0x1.99551fac8f687p-2, 0x1.9d29cb0958eb8p-2, 0x1.a0e9ffca3c10fp-2, 0x1.a497220edd3bep-2, 0x1.a8327eb798335p-2, 0x1.abbd4b963a4f6p-2, 0x1.af38a7bcac405p-2, 0x1.b2a59be5712c3p-2, 0x1.b6051af236a77p-2, 0x1.b958027d09dfap-2, 0x1.bc9f1b7919e38p-2, 0x1.bfdb1ae03a259p-2, 0x1.c30ca26aa159fp-2, 0x1.c634414e9bbecp-2, 0x1.c9527506393b7p-2, 0x1.cc67aa191f6dep-2, 0x1.cf743ce8f442dp-2, 0x1.d2787a7ef0fcap-2, 0x1.d574a15970d34p-2, 0x1.d868e2385bfd8p-2, 0x1.db5560e78e65fp-2, 0x1.de3a350666ef2p-2, 0x1.e1176acbd5f5dp-2, 0x1.e3ed03c655f75p-2, 0x1.e6baf797572dbp-2, 0x1.e98134a9b6c5bp-2, 0x1.ec3fa0e2f2f66p-2, 0x1.eef61a4ed83dep-2, 0x1.f1a477c57cabp-2, 0x1.f44a898b627eep-2, 0x1.f6e819eba8a47p-2, 0x1.f97cedcc4427cp-2, 0x1.fc08c53c33b8cp-2, 0x1.fe8b5bfbb989ep-2, 0x1.008234ff51f31p-1, 0x1.01b9d1f45a29ap-1, 0x1.02ec5dc21ba49p-1, 0x1.0419b0197846dp-1, 0x1.05419facb5245p-1, 0x1.06640262692d3p-1, 0x1.0780ad85c3079p-1, 0x1.089775f434636p-1, 0x1.09a830489a87cp-1, 0x1.0ab2b103f2656p-1, 0x1.0bb6ccb3b177ap-1, 0x1.0cb45815cfc54p-1, 0x1.0dab283a9dd41p-1, 0x1.0e9b12a4769ddp-1, 0x1.0f83ed6560df9p-1, 0x1.10658f3ab5899p-1, 0x1.113fcfa6dd1eap-1, 0x1.12128709375d9p-1, 0x1.12dd8eb43e5b7p-1, 0x1.13a0c101fb44dp-1, 0x1.145bf966d8dd8p-1, 0x1.150f1482ea9e1p-1, 0x1.15b9f031b5d92p-1, 0x1.165c6b988eb7dp-1, 0x1.16f6673398729p-1, 0x1.1787c4e1797cap-1, 0x1.181067edd10bap-1, 0x1.1890351a7dd14p-1, 0x1.190712a7c2e06p-1, 0x1.1974e85b5a59dp-1, 0x1.19d99f867ee59p-1, 0x1.1a35230aff1a2p-1, 0x1.1a875f5f5f6f6p-1, 0x1.1ad042921da7ap-1, 0x1.1b0fbc4c1b2cep-1, 0x1.1b45bdd23dc8p-1, 0x1.1b723a064e2b4p-1, 0x1.1b9525671ff7cp-1, 0x1.1bae76100c42dp-1, 0x1.1bbe23b7c9987p-1, 0x1.1bc427aea7a5p-1, 0x1.1bc07cdc394aap-1, 0x1.1bb31fbc749e3p-1, 0x1.1b9c0e5c5277cp-1, 0x1.1b7b4855f1c3dp-1, 0x1.1b50cecc495d7p-1, 0x1.1b1ca4666e5edp-1, 0x1.1adecd4a74dabp-1, 0x1.1a974f17f277p-1, 0x1.1a4630e228a09p-1, 0x1.19eb7b29de7c2p-1, 0x1.198737d6ebe44p-1, 0x1.191972317f5bbp-1, 0x1.18a236db22e7cp-1, 0x1.182193c783c8ep-1, 0x1.1797983503012p-1, 0x1.170454a5137f5p-1, 0x1.1667dad46ac4ap-1, 0x1.15c23db306a95p-1, 0x1.1513915c0ed82p-1, 0x1.145beb0d93536p-1, 0x1.139b61202ed3ap-1, 0x1.12d20afe8e533p-1, 0x1.1200011ce1f25p-1, 0x1.11255cf03bd41p-1, 0x1.104238e5de0bfp-1, 0x1.0f56b05a7ce3dp-1, 0x1.0e62df9176943p-1, 0x1.0d66e3ac050c1p-1, 0x1.0c62daa06b1acp-1, 0x1.0b56e33120b89p-1, 0x1.0a431ce40068cp-1, 0x1.0927a7f9773f5p-1, 0x1.0804a563bcd14p-1, 0x1.06da36be10a41p-1, 0x1.05a87e4404cf5p-1, 0x1.046f9ec8d1a1dp-1, 0x1.032fbbaebadedp-1, 0x1.01e8f8de829d3p-1, 0x1.009b7abeedf6fp-1, 0x1.fe8ecc58befa9p-2, 0x1.fbd9c0e106fa3p-2, 0x1.f9181e742cdccp-2, 0x1.f64a31297f3d9p-2, 0x1.f37045c210747p-2, 0x1.f08aa998d88c9p-2, 0x1.ed99aa930b917p-2, 0x1.ea9d9710aec09p-2, 0x1.e796bddd6757ep-2, 0x1.e4856e21892a4p-2, 0x1.e169f7536103dp-2, 0x1.de44a928c881p-2, 0x1.db15d388f6267p-2, 0x1.d7ddc67e97ccbp-2, 0x1.d49cd22a2fe51p-2, 0x1.d15346b4bd83bp-2, 0x1.ce017442aa566p-2, 0x1.caa7aae70674dp-2, 0x1.c7463a970d31fp-2, 0x1.c3dd731df4419p-2, 0x1.c06da4110bca6p-2, 0x1.bcf71cc427092p-2, 0x1.b97a2c3e58139p-2, 0x1.b5f7212ef65f9p-2, 0x1.b26e49e2f4e53p-2, 0x1.aedff43a899d6p-2, 0x1.ab4c6d9f22696p-2, 0x1.a7b402f9a9236p-2, 0x1.a41700a919ee4p-2, 0x1.a075b279675d6p-2, 0x1.9cd0639aaf88fp-2, 0x1.99275e98be8a7p-2, 0x1.957aed52e1e53p-2, 0x1.91cb58f40c6b5p-2, 0x1.8e18e9eb44e6fp-2, 0x1.8a63e7e46690cp-2, 0x1.86ac99c12e0dap-2, 0x1.82f3459291a11p-2, 0x1.7f3830926b9dep-2, 0x1.7b7b9f1d69022p-2, 0x1.77bdd4ad4c145p-2, 0x1.73ff13d37087dp-2, 0x1.703f9e33a250dp-2, 0x1.6c7fb47f36703p-2, 0x1.68bf96706f656p-2, 0x1.64ff82c627fe7p-2, 0x1.613fb73fc4f6ep-2, 0x1.5d80709969708p-2, 0x1.59c1ea88746e2p-2, 0x1.56045fb83a8ecp-2, 0x1.524809c7085afp-2, 0x1.4e8d214362942p-2, 0x1.4ad3dda984889p-2, 0x1.471c75612220bp-2, 0x1.43671dbb6158p-2, 0x1.3fb40af1137afp-2, 0x1.3c0370212a34dp-2, 0x1.38557f4f62465p-2, 0x1.34aa69632bcdfp-2, 0x1.31025e26c443cp-2, 0x1.2d5d8c468bd44p-2, 0x1.29bc21508b1c8p-2, 0x1.261e49b42e1d3p-2, 0x1.228430c230e14p-2, 0x1.1eee00acbcf4bp-2, 0x1.1b5be287b4297p-2, 0x1.17cdfe492def5p-2, 0x1.14447aca1c413p-2, 0x1.10bf7dc71d6e6p-2, 0x1.0d3f2be17b312p-2, 0x1.09c3a8a04dd4dp-2, 0x1.064d1671c843cp-2, 0x1.02db96acab38dp-2, 0x1.fede9323b903fp-3, 0x1.f8109c9c41211p-3, 0x1.f14d85f7ee71ap-3, 0x1.ea95894b31fa7p-3, 0x1.e3e8de8e2aabap-3, 0x1.dd47bba115d4fp-3, 0x1.d6b2545104369p-3, 0x1.d028da5cc0539p-3, 0x1.c9ab7d79e98b7p-3, 0x1.c33a6b5a44dbbp-3, 0x1.bcd5cfb13c3f7p-3, 0x1.b67dd4398aebfp-3, 0x1.b032a0bb15877p-3, 0x1.a9f45b10f0ff2p-3, 0x1.a3c3272f85826p-3, 0x1.9d9f272adc982p-3, 0x1.97887b3d1506cp-3, 0x1.917f41ccf03e8p-3, 0x1.8b83977482119p-3, 0x1.85959707f74b1p-3, 0x1.7fb5599c80566p-3, 0x1.79e2f68f4bbb8p-3, 0x1.741e838c95b84p-3, 0x1.6e681496d4dfdp-3, 0x1.68bfbc0dece2cp-3, 0x1.63258ab67f3f8p-3, 0x1.5d998fc13db48p-3, 0x1.581bd8d25391cp-3, 0x1.52ac7208d450fp-3, 0x1.4d4b6606375f8p-3, 0x1.47f8bdf5d5aafp-3, 0x1.42b4819479a6p-3, 0x1.3d7eb737e682p-3, 0x1.385763d66ad78p-3, 0x1.333e8b0e734eep-3, 0x1.2e342f2e1d496p-3, 0x1.2938513aca6a6p-3, 0x1.244af0f8adf99p-3, 0x1.1f6c0cf25c069p-3, 0x1.1a9ba28050a26p-3, 0x1.15d9add0700f4p-3, 0x1.112629ed852e2p-3, 0x1.0c8110c6b1d9ap-3, 0x1.07ea5b36dbbb9p-3, 0x1.0362010c06aa7p-3, 0x1.fdcff21d5c4a8p-4, 0x1.f4f872121a6fdp-4, 0x1.ec3d6b9cab525p-4, 0x1.e39ec683c748p-4, 0x1.db1c68bcac381p-4, 0x1.d2b6367945992p-4, 0x1.ca6c123628734p-4, 0x1.c23ddcc86df5dp-4, 0x1.ba2b756b6ca05p-4, 0x1.b234b9ce4ab75p-4, 0x1.aa59862176562p-4, 0x1.a299b523dfed6p-4, 0x1.9af52030232aap-4, 0x1.936b9f497b72fp-4, 0x1.8bfd09288e51cp-4, 0x1.84a933480fbb4p-4, 0x1.7d6ff1f139721p-4, 0x1.76511848112bbp-4, 0x1.6f4c785787a5dp-4, 0x1.6861e31d66a7ep-4, 0x1.6191289611ap-4, 0x1.5ada17c81775bp-4, 0x1.543c7ecf9237fp-4, 0x1.4db82ae95c941p-4, 0x1.474ce87e0f2cap-4, 0x1.40fa832cd5217p-4, 0x1.3ac0c5d60ac14p-4, 0x1.349f7aa5abae9p-4, 0x1.2e966b1d9129dp-4, 0x1.28a5601f7e0c1p-4, 0x1.22cc21f6f7bc4p-4, 0x1.1d0a7862f02d1p-4, 0x1.17602a9f3ab8cp-4, 0x1.11ccff6dd39a7p-4, 0x1.0c50bd1fee949p-4, 0x1.06eb299edbe59p-4, 0x1.019c0a74b5ffep-4, 0x1.f8c649a9c0eafp-5, 0x1.ee807b48a927ep-5, 0x1.e46633037921fp-5, 0x1.da76f99aba35bp-5, 0x1.d0b25761a79e1p-5, 0x1.c717d44d35298p-5, 0x1.bda6f802ce827p-5, 0x1.b45f49e69ed78p-5, 0x1.ab4051299224cp-5, 0x1.a24994d6e1ad9p-5, 0x1.997a9be152006p-5, 0x1.90d2ed3010ec9p-5, 0x1.88520fab32027p-5, 0x1.7ff78a47d972bp-5, 0x1.77c2e4140a64ep-5, 0x1.6fb3a44211bb5p-5, 0x1.67c95233acef4p-5, 0x1.60037584cb986p-5, 0x1.58619615fa0c6p-5, 0x1.50e33c168383cp-5, 0x1.4987f00e3430ep-5, 0x1.424f3ae6d0661p-5, 0x1.3b38a5f53695ap-5, 0x1.3443bb0233eacp-5, 0x1.2d700453079b2p-5, 0x1.26bd0cb196b4cp-5, 0x1.202a5f74587fp-5, 0x1.19b78885f682p-5, 0x1.1364146c965a5p-5, 0x1.0d2f9050f2fefp-5, 0x1.07198a051382ep-5, 0x1.0121900acba7cp-5, 0x1.f68e6333ec243p-6, 0x1.eb13fd4cc5affp-6, 0x1.dfd30fcb13caap-6, 0x1.d4cabda7ebe7ep-6, 0x1.c9fa2b74f4c49p-6, 0x1.bf607f6637f95p-6, 0x1.b4fce15b89ff1p-6, 0x1.aace7ae970056p-6, 0x1.a0d477619e57p-6, 0x1.970e03daeab69p-6, 0x1.8d7a4f38e4a8p-6, 0x1.84188a32f0791p-6, 0x1.7ae7e75af482dp-6, 0x1.71e79b23aaf0ep-6, 0x1.6916dbe67eb85p-6, 0x1.6074e1e903ee7p-6, 0x1.5800e76218dd4p-6, 0x1.4fba287e90dffp-6, 0x1.479fe36598e14p-6, 0x1.3fb1583cb5d05p-6, 0x1.37edc92b66331p-6, 0x1.30547a5e70af8p-6, 0x1.28e4b20ad9ea8p-6, 0x1.219db87098f5ep-6, 0x1.1a7ed7dcd8561p-6, 0x1.13875cac16a9ep-6, 0x1.0cb6954bcb786p-6, 0x1.060bd23be9842p-6, 0x1.ff0ccc201c2a1p-7, 0x1.f24b4ae0aaf7fp-7, 0x1.e5d1ce341e6f5p-7, 0x1.d99f07c02092dp-7, 0x1.cdb1ad55c34d7p-7, 0x1.c20878f1411d7p-7, 0x1.b6a228b94a57ep-7, 0x1.ab7d7efdf1502p-7, 0x1.a099423706f21p-7, 0x1.95f43d023f10bp-7, 0x1.8b8d3e20abd25p-7, 0x1.816318741e5f4p-7, 0x1.7774a2fbda74dp-7, 0x1.6dc0b8d12dd3p-7, 0x1.644639238a682p-7, 0x1.5b0407345cef2p-7, 0x1.51f90a5272f63p-7, 0x1.49242dd53db6ap-7, 0x1.40846117a7266p-7, 0x1.38189772a01a9p-7, 0x1.2fdfc8378552p-7, 0x1.27d8eeaa0e8f5p-7, 0x1.200309fa40a8p-7, 0x1.185d1d3dd1262p-7, 0x1.10e62f6998f8cp-7, 0x1.099d4b4ab3b04p-7, 0x1.02817f7f4fc56p-7, 0x1.f723bcdee7cdap-8, 0x1.e99afc8aff78fp-8, 0x1.dc66f1cd0bed8p-8, 0x1.cf85d7d500bc8p-8, 0x1.c2f5f12873705p-8, 0x1.b6b587929b3e4p-8, 0x1.aac2ec13997bp-8, 0x1.9f1c76cfb75cdp-8, 0x1.93c086fe54152p-8, 0x1.88ad82d8a1f0bp-8, 0x1.7de1d7882ed46p-8, 0x1.735bf9150be6bp-8, 0x1.691a62541ce8dp-8, 0x1.5f1b94d4e585bp-8, 0x1.555e18cf5bf9bp-8, 0x1.4be07d11a8068p-8, 0x1.42a156ed8a5cep-8, 0x1.399f4225db63bp-8, 0x1.30d8e0dbcf2a3p-8, 0x1.284cdb7c33b9dp-8, 0x1.1ff9e0ac9389cp-8, 0x1.17dea53854923p-8, 0x1.0ff9e3fdaff77p-8, 0x1.084a5ddab3d6cp-8, 0x1.00ced99a3b81ep-8, 0x1.f30c47c1c160ep-9, 0x1.e4de1e33b5ec9p-9, 0x1.d710e6c7e30a3p-9, 0x1.c9a25cfcd8bccp-9, 0x1.bc90476bdfb1p-9, 0x1.afd877a31e9ecp-9, 0x1.a378c9ff66b7fp-9, 0x1.976f2586764fbp-9, 0x1.8bb97bc0e43f9p-9, 0x1.8055c894aa9d6p-9, 0x1.7542121f494cp-9, 0x1.6a7c6890955f2p-9, 0x1.6002e60537fedp-9, 0x1.55d3ae619de1ep-9, 0x1.4becef2d00adep-9, 0x1.424cdf6c8e2cep-9, 0x1.38f1bf7ee1b42p-9, 0x1.2fd9d8f7abb49p-9, 0x1.27037e7b83832p-9, 0x1.1e6d0b9be62b3p-9, 0x1.1614e4b3c55dep-9, 0x1.0df976c3afecbp-9, 0x1.0619374f13bdap-9, 0x1.fce5487211eddp-10, 0x1.ee0887437a17ap-10, 0x1.df9947885811dp-10, 0x1.d194b5a7af40ep-10, 0x1.c3f80db661558p-10, 0x1.b6c09b34038e6p-10, 0x1.a9ebb8c83213dp-10, 0x1.9d76d001501dbp-10, 0x1.915f5912fa69ep-10, 0x1.85a2da959c2dep-10, 0x1.7a3ee9467fe19p-10, 0x1.6f3127c8b9574p-10, 0x1.647746664b7edp-10, 0x1.5a0f02d27886bp-10, 0x1.4ff627ec7bd24p-10, 0x1.462a8d82cc2c3p-10, 0x1.3caa1817668ecp-10, 0x1.3372b8a470be2p-10, 0x1.2a826c61b0ae7p-10, 0x1.21d73c8acfb38p-10, 0x1.196f3e264211dp-10, 0x1.114891cc51772p-10, 0x1.0961637066c87p-10, 0x1.01b7ea28b8a5dp-10, 0x1.f494cff1e205p-11, 0x1.e62e533800654p-11, 0x1.d8390c9e47956p-11, 0x1.cab1bf3be52f8p-11, 0x1.bd95425d39e4bp-11, 0x1.b0e0811e636dap-11, 0x1.a4907a06897c8p-11, 0x1.98a23ea4f7a0ap-11, 0x1.8d12f3304c63bp-11, 0x1.81dfce2597bdap-11, 0x1.770617e97a444p-11, 0x1.6c832a6bd2ba7p-11, 0x1.625470ca833ccp-11, 0x1.587766f7c7153p-11, 0x1.4ee99960221acp-11, 0x1.45a8a4932b726p-11, 0x1.3cb234ec4cd4ep-11, 0x1.3404063e380f6p-11, 0x1.2b9be37e8e0d8p-11, 0x1.2377a6735cf8p-11, 0x1.1b953761fc06fp-11, 0x1.13f28cbf17526p-11, 0x1.0c8daadfac5b1p-11, 0x1.0564a3abfb5f2p-11, 0x1.fceb2ca72b878p-12, 0x1.ef7d5e0419a4p-12, 0x1.e27c4d2c0d09fp-12, 0x1.d5e484afd838ep-12, 0x1.c9b2a7675a15p-12, 0x1.bde36fe52b64p-12, 0x1.b273afec8a0cp-12, 0x1.a7604feb68ec2p-12, 0x1.9ca64e75303ebp-12, 0x1.9242bfc12ac96p-12, 0x1.8832cd2979425p-12, 0x1.7e73b4ae38b73p-12, 0x1.7502c879dba6dp-12, 0x1.6bdd6e687c362p-12, 0x1.63011f8ff501p-12, 0x1.5a6b67cc03f21p-12, 0x1.5219e54c3ab8cp-12, 0x1.4a0a4821c2a97p-12, 0x1.423a51d32b272p-12, 0x1.3aa7d4eea907cp-12, 0x1.3350b4a0c7951p-12, 0x1.2c32e44c2fdf9p-12, 0x1.254c67233db02p-12, 0x1.1e9b4fc46a748p-12, 0x1.181dbfd809f11p-12, 0x1.11d1e7aff3a41p-12, 0x1.0bb605e96d11fp-12, 0x1.05c867109daf6p-12, 0x1.00076545d403ep-12, 0x1.f4e2cfca18517p-13, 0x1.ea09c65ecef64p-13, 0x1.df80afeadc20bp-13, 0x1.d544a6887ebbcp-13, 0x1.cb52dc269cfbap-13, 0x1.c1a899e9a6354p-13, 0x1.b8433f8f3d2e3p-13, 0x1.af2042d388dc2p-13, 0x1.a63d2edddb257p-13, 0x1.9d97a3ab16444p-13, 0x1.952d557ffcc8cp-13, 0x1.8cfc0c5c1f3bep-13, 0x1.8501a36fd794bp-13, 0x1.7d3c08960a408p-13, 0x1.75a93bd0aa3b6p-13, 0x1.6e474ec86b695p-13, 0x1.6714644e41337p-13, 0x1.600eafe0df111p-13, 0x1.59347534853c5p-13, 0x1.528407bdfd73ep-13, 0x1.4bfbca3e0205ep-13, 0x1.459a2e52d19e7p-13, 0x1.3f5db40964824p-13, 0x1.3944e9732903ap-13, 0x1.334e6a3c6ce7dp-13, 0x1.2d78df46eaf1bp-13, 0x1.27c2fe4611c6fp-13, 0x1.222b895ca11b4p-13, 0x1.1cb14ebee580bp-13, 0x1.17532854ab42dp-13, 0x1.120ffb5ecf325p-13, 0x1.0ce6b81ef6ae5p-13, 0x1.07d65981689d4p-13, 0x1.02dde4c82c752p-13, 0x1.fbf8d2744d5d1p-14, 0x1.f261ffa315f5ep-14, 0x1.e8f595de074a6p-14, 0x1.dfb1ec180c59fp-14, 0x1.d6956ae3e7218p-14, 0x1.cd9e8be06fc69p-14, 0x1.c4cbd92eb1605p-14, 0x1.bc1bece549fe3p-14, 0x1.b38d708c3e366p-14, 0x1.ab1f1c99f088ep-14, 0x1.a2cfb7f3cb3d6p-14, 0x1.9a9e177253c4fp-14, 0x1.92891d6888a4dp-14, 0x1.8a8fb92e05de3p-14, 0x1.82b0e6ac81048p-14, 0x1.7aebadf134b1cp-14, 0x1.733f22c035402p-14, 0x1.6baa642a7cde4p-14, 0x1.642c9c2908515p-14, 0x1.5cc4ff36407c4p-14, 0x1.5572cbf00c933p-14, 0x1.4e354ab6af364p-14, 0x1.470bcd5290e2ap-14, 0x1.3ff5ae9aa522p-14, 0x1.38f2521dd0f11p-14, 0x1.320123ce3026cp-14, 0x1.2b2197b0823f7p-14, 0x1.2453298b131bfp-14, 0x1.1d955c9a09fffp-14, 0x1.16e7bb435a86fp-14, 0x1.1049d6ce429abp-14, 0x1.09bb471c8812ep-14, 0x1.033baa65db0bap-14, 0x1.f99549eb59295p-15, 0x1.eccfc1d483c5fp-15, 0x1.e0261becdf1c4p-15, 0x1.d397c249e3629p-15, 0x1.c7242939b3a8dp-15, 0x1.bacaced35d2dbp-15, 0x1.ae8b3a85ea399p-15, 0x1.a264fcaf1ebd4p-15, 0x1.9657ae31be687p-15, 0x1.8a62f012b65bfp-15, 0x1.7e866b17492f9p-15, 0x1.72c1cf674bd72p-15, 0x1.6714d4318ed06p-15, 0x1.5b7f37548afd5p-15, 0x1.5000bd07fb339p-15, 0x1.44992f8b987d3p-15, 0x1.39485ed615c23p-15, 0x1.2e0e2048bc12bp-15, 0x1.22ea4e65bb0ddp-15, 0x1.17dcc887182c3p-15, 0x1.0ce5729aada28p-15, 0x1.020434dde69ccp-15, 0x1.ee71f73cbaa0dp-16, 0x1.d9076df4d03f9p-16, 0x1.c3c8b54c21ecap-16, 0x1.aeb5bb619acbbp-16, 0x1.99ce7499e8e2cp-16, 0x1.8512db34ff8cfp-16, 0x1.7082eee6a1454p-16, 0x1.5c1eb472ba8a5p-16, 0x1.47e6354d2e067p-16, 0x1.33d97f3ef0716p-16, 0x1.1ff8a40dca821p-16, 0x1.0c43b921e98c3p-16, 0x1.f175ae78be342p-17, 0x1.cabc344219fb6p-17, 0x1.a45b409ea3d78p-17, 0x1.7e5315744ed48p-17, 0x1.58a3f8fef04afp-17, 0x1.334e3552f9586p-17, 0x1.0e5217dbd6309p-17, 0x1.d35fe1be83931p-18, 0x1.8ad0261e75e31p-18, 0x1.42f5a62eec9d8p-18, 0x1.f7a21cc421142p-19, 0x1.6ac61b1352e93p-19, 0x1.beb1500b7518fp-20, 0x1.556c9853fc177p-21, -0x1.99883f44049cp-22, -0x1.74950027ff424p-20, -0x1.3fefe2b072c7fp-19, -0x1.c41fd357ca31ap-19, -0x1.236c7d0ee19cbp-18, -0x1.640d024cac7dbp-18, -0x1.a3f0d36c19e2fp-18, -0x1.e3174e334e567p-18, -0x1.10bfea46e8946p-17, -0x1.2f94e67d51cdbp-17, -0x1.4e0a517b69ce9p-17, -0x1.6c1fe3abe8fa1p-17, -0x1.89d5584e35e24p-17, -0x1.a72a6da7c4c32p-17, -0x1.c41ee52295824p-17, -0x1.e0b28373267c8p-17, -0x1.fce510bfcb4b8p-17, -0x1.0c5b2c5ada75p-16, -0x1.1a131556d301cp-16, -0x1.279a2ce05e903p-16, -0x1.34f05e72a465p-16, -0x1.4215977fdeddap-16, -0x1.4f09c77c0c2f8p-16, -0x1.5bccdfe66219dp-16, -0x1.685ed4501734ap-16, -0x1.74bf9a643be7dp-16, -0x1.80ef29ec813cbp-16, -0x1.8ced7cd93b9fep-16, -0x1.98ba8f4337fa1p-16, -0x1.a4565f6f0a5dp-16, -0x1.afc0edd264f22p-16, -0x1.bafa3d14b005ap-16, -0x1.c602521080008p-16, -0x1.d0d933d5bb35bp-16, -0x1.db7eeba80150bp-16, -0x1.e5f384ff2b98fp-16, -0x1.f0370d85badcfp-16, -0x1.fa4995181c18cp-16, -0x1.021596e19999ep-15, -0x1.06edf5dfd375ep-15, -0x1.0badf2b88fdbcp-15, -0x1.105599b0cb49dp-15, -0x1.14e4f81ed6216p-15, -0x1.195c1c686e435p-15, -0x1.1dbb15fff94bbp-15, -0x1.2201f56215455p-15, -0x1.2630cc13b6f53p-15, -0x1.2a47ac9dc05a1p-15, -0x1.2e46aa8b5502bp-15, -0x1.322dda6648b9ap-15, -0x1.35fd51b3bbf23p-15, -0x1.39b526f056929p-15, -0x1.3d55718db7ddep-15, -0x1.40de49ee03f21p-15, -0x1.444fc96010844p-15, }}, 
      {{0x1.b1263a83e9fdcp-1, 0x1.b0d831cdffc5ep-1, 0x1.b05bd9cadcc9fp-1, 0x1.afb7815b91222p-1, 0x1.aef1af18103c6p-1, 0x1.ae107fe05df3ep-1, 0x1.ad1950a8b4702p-1, 0x1.ac1099974ce15p-1, 0x1.aaf9e874b5be6p-1, 0x1.a9d7ee0e281b6p-1, 0x1.a8ac9622ce5e9p-1, 0x1.a77924416093p-1, 0x1.a63e51f10485cp-1, 0x1.a4fc6bdcfc232p-1, 0x1.a3b36caa95b7bp-1, 0x1.a26314c3c649ap-1, 0x1.a10afecd86eeap-1, 0x1.9faab0c796d96p-1, 0x1.9e41a9ff3fb94p-1, 0x1.9ccf6e1853585p-1, 0x1.9b538d7ca4281p-1, 0x1.99cdab86ea392p-1, 0x1.983d82bd278e1p-1, 0x1.96a2e76a5e6e2p-1, 0x1.94fdc8e11b6b5p-1, 0x1.934e31a90cebfp-1, 0x1.919446d225cd4p-1, 0x1.8fd046a0344bcp-1, 0x1.8e0286ba93167p-1, 0x1.8c2b7204dae5ap-1, 0x1.8a4b863f63d0ep-1, 0x1.88635188e2bd4p-1, 0x1.86736fd5a821dp-1, 0x1.847c886cc89b6p-1, 0x1.827f4b77df43bp-1, 0x1.807c6faf03dep-1, 0x1.7e74b027f50d9p-1, 0x1.7c68ca4d4e9c5p-1, 0x1.7a597c00d9233p-1, 0x1.784781ea8b373p-1, 0x1.763395f4ad222p-1, 0x1.741e6df4a15f6p-1, 0x1.7208ba7f1cacep-1, 0x1.6ff325e612268p-1, 0x1.6dde535e32b7fp-1, 0x1.6bcade4997121p-1, 0x1.69b959a5042c9p-1, 0x1.67aa4f9520d83p-1, 0x1.659e4110ecc06p-1, 0x1.6395a5a6ccf68p-1, 0x1.6190eb599a18ep-1, 0x1.5f90769327d0cp-1, 0x1.5d94a229e6f1p-1, 0x1.5b9dbf7759ed8p-1, 0x1.59ac167d403fep-1, 0x1.57bfe6177afdap-1, 0x1.55d96438d2ef4p-1, 0x1.53f8be30f3204p-1, 0x1.521e18fa09e25p-1, 0x1.5049918ca33a6p-1, 0x1.4e7b3d387ba82p-1, 0x1.4cb32a011b611p-1, 0x1.4af15efd3844bp-1, 0x1.4935dcb7eb1b9p-1, 0x1.47809d92e8c33p-1, 0x1.45d19629053d3p-1, 0x1.4428b5b05a61fp-1, 0x1.4285e65b881ecp-1, 0x1.40e90db990056p-1, 0x1.3f520d13e347ep-1, 0x1.3dc0c1ca4a4adp-1, 0x1.3c3505ac597e1p-1, 0x1.3aaeaf5037e59p-1, 0x1.392d9266808f6p-1, 0x1.37b1800b1d1a7p-1, 0x1.363a4712f68f3p-1, 0x1.34c7b45668872p-1, 0x1.335992f869395p-1, 0x1.31efacaa5ba57p-1, 0x1.3089c9ec8ef16p-1, 0x1.2f27b24b67e5cp-1, 0x1.2dc92c9941116p-1, 0x1.2c6dff2509b72p-1, 0x1.2b15efedb4042p-1, 0x1.29c0c4d280a17p-1, 0x1.286e43c03ef01p-1, 0x1.271e32db93166p-1, 0x1.25d058a85b9a2p-1, 0x1.24847c2e4c4b1p-1, 0x1.233a651ad8e2ap-1, 0x1.21f1dbe0866f4p-1, 0x1.20aaa9d3bfe94p-1, 0x1.1f6499454540bp-1, 0x1.1e1f759a51eb3p-1, 0x1.1cdb0b6290ef3p-1, 0x1.1b97286bfbab9p-1, 0x1.1a539bd4bb1c4p-1, 0x1.1910361b22799p-1, 0x1.17ccc92be039ep-1, 0x1.1689286e79782p-1, 0x1.154528d0262d9p-1, 0x1.1400a0cd294a8p-1, 0x1.12bb6878b52d1p-1, 0x1.117559837515cp-1, 0x1.102e4f40ce848p-1, 0x1.0ee626aaed667p-1, 0x1.0d9cbe65aedffp-1, 0x1.0c51f6c07d2aep-1, 0x1.0b05b1b72c971p-1, 0x1.09b7d2f1e9822p-1, 0x1.08683fc44ad8ep-1, 0x1.0716df2b93078p-1, 0x1.05c399cc31613p-1, 0x1.046e59ee92496p-1, 0x1.03170b7b46428p-1, 0x1.01bd9bf69303cp-1, 0x1.0061fa7b74bd7p-1, 0x1.fe082f6c3d728p-2, 0x1.fb47cbbc04bdcp-2, 0x1.f882b15ed724p-2, 0x1.f5b8cac96cbccp-2, 0x1.f2ea055e56b82p-2, 0x1.f016515f12c99p-2, 0x1.ed3da1dc890a3p-2, 0x1.ea5feca709df1p-2, 0x1.e77d2a3dccc54p-2, 0x1.e49555be108edp-2, 0x1.e1a86cd1d7ca3p-2, 0x1.deb66f9e5c275p-2, 0x1.dbbf60b238dafp-2, 0x1.d8c344f35e78bp-2, 0x1.d5c2238cdad28p-2, 0x1.d2bc05dc770f6p-2, 0x1.cfb0f7603cb11p-2, 0x1.cca105a3e901dp-2, 0x1.c98c402e503c9p-2, 0x1.c672b86ec4399p-2, 0x1.c35481aa79c97p-2, 0x1.c031b0e9f97f8p-2, 0x1.bd0a5ce6a2f4cp-2, 0x1.b9de9df843d5cp-2, 0x1.b6ae8e02cf7bfp-2, 0x1.b37a4864338d7p-2, 0x1.b041e9e254a3cp-2, 0x1.ad05909936ec1p-2, 0x1.a9c55be953341p-2, 0x1.a6816c6622f03p-2, 0x1.a339e3c4de653p-2, 0x1.9feee4cb77831p-2, 0x1.9ca0933fd1e21p-2, 0x1.994f13d73b664p-2, 0x1.95fa8c2625198p-2, 0x1.92a3229024263p-2, 0x1.8f48fe383af23p-2, 0x1.8bec46f167b7bp-2, 0x1.888d252f847b1p-2, 0x1.852bc1f86e3fdp-2, 0x1.81c846d58190ap-2, 0x1.7e62ddc5623bcp-2, 0x1.7afbb12e15befp-2, 0x1.7792ebcf71b33p-2, 0x1.7428b8b5dce88p-2, 0x1.70bd432d632f7p-2, 0x1.6d50b6b520a91p-2, 0x1.69e33ef30116bp-2, 0x1.667507a7d4ed8p-2, 0x1.63063ca3bc9d4p-2, 0x1.5f9709baeb5c8p-2, 0x1.5c279ababd852p-2, 0x1.58b81b5f29fabp-2, 0x1.5548b748840d1p-2, 0x1.51d999f199462p-2, 0x1.4e6aeea621052p-2, 0x1.4afce079816d2p-2, 0x1.478f9a3ded9a2p-2, 0x1.4423467bd291p-2, 0x1.40b80f699bb3ep-2, 0x1.3d4e1ee3cac73p-2, 0x1.39e59e655eb01p-2, 0x1.367eb7008f14ap-2, 0x1.33199157d959bp-2, 0x1.2fb6559759458p-2, 0x1.2c552b6e75a36p-2, 0x1.28f63a09d73b6p-2, 0x1.2599a80dae82dp-2, 0x1.223f9b9043a17p-2, 0x1.1ee83a14d2fc4p-2, 0x1.1b93a886b0906p-2, 0x1.18420b34b6113p-2, 0x1.14f385ccf6f5p-2, 0x1.11a83b58b98e3p-2, 0x1.0e604e38b6827p-2, 0x1.0b1be0219726dp-2, 0x1.07db1218bcdd4p-2, 0x1.049e047140be2p-2, 0x1.0164d6c936fc3p-2, 0x1.fc5f500e5fb6dp-3, 0x1.f5fd2cafe64c4p-3, 0x1.efa37e58ed22ep-3, 0x1.e9527e701d3f9p-3, 0x1.e30a64ddaddc5p-3, 0x1.dccb6808a0521p-3, 0x1.d695bcd467532p-3, 0x1.d069969ef50fp-3, 0x1.ca47273f2e7e6p-3, 0x1.c42e9f03bdae5p-3, 0x1.be202cb243ec3p-3, 0x1.b81bfd86e68b2p-3, 0x1.b2223d343561bp-3, 0x1.ac3315e364d7dp-3, 0x1.a64eb034dfeabp-3, 0x1.a0753341208f1p-3, 0x1.9aa6c499e0eabp-3, 0x1.94e3884b8cc3cp-3, 0x1.8f2ba0df0058ap-3, 0x1.897f2f5b8a10bp-3, 0x1.83de534931aabp-3, 0x1.7e492ab337b6dp-3, 0x1.78bfd22ad708dp-3, 0x1.734264ca41197p-3, 0x1.6dd0fc37d0f1p-3, 0x1.686bb0a96e731p-3, 0x1.631298e82bb76p-3, 0x1.5dc5ca540bbbp-3, 0x1.588558e7fcf69p-3, 0x1.5351573dfc6bp-3, 0x1.4e29d6935afc5p-3, 0x1.490ee6cd39557p-3, 0x1.4400967d13a14p-3, 0x1.3efef2e583ccfp-3, 0x1.3a0a07ff139fap-3, 0x1.3521e07d33c32p-3, 0x1.304685d35277cp-3, 0x1.2b78003a021d3p-3, 0x1.26b656b43e844p-3, 0x1.22018f14c75d9p-3, 0x1.1d59ae038d20ap-3, 0x1.18beb7032ce73p-3, 0x1.1430ac7685caap-3, 0x1.0faf8fa6554adp-3, 0x1.0b3b60c6df246p-3, 0x1.06d41efda6becp-3, 0x1.0279c8672ec21p-3, 0x1.fc58b43984b44p-4, 0x1.f3d7a0747cf3ep-4, 0x1.eb704bc7db2e4p-4, 0x1.e322aa98b1afep-4, 0x1.daeeaf7449602p-4, 0x1.d2d44b1bd5b4cp-4, 0x1.cad36c902c293p-4, 0x1.c2ec011d74ad2p-4, 0x1.bb1df466d68e1p-4, 0x1.b369307221dcp-4, 0x1.abcd9db36736cp-4, 0x1.a44b23188c16bp-4, 0x1.9ce1a614c673fp-4, 0x1.95910aac1a037p-4, 0x1.8e59337eb0afp-4, 0x1.873a01d42cb8ap-4, 0x1.803355a6e079ep-4, 0x1.79450daef2426p-4, 0x1.726f076d66874p-4, 0x1.6bb11f370decap-4, 0x1.650b303f5f13fp-4, 0x1.5e7d14a32e765p-4, 0x1.5806a5734b27bp-4, 0x1.51a7babefae0bp-4, 0x1.4b602b9e5bffep-4, 0x1.452fce3c9e5fbp-4, 0x1.3f1677e221ca1p-4, 0x1.3913fcfe6e114p-4, 0x1.332831320908p-4, 0x1.2d52e758283cap-4, 0x1.2793f1903d3b1p-4, 0x1.21eb21475cdd2p-4, 0x1.1c5847417fbabp-4, 0x1.16db33a29cf31p-4, 0x1.1173b5f79dbc3p-4, 0x1.0c219d3f284e1p-4, 0x1.06e4b7f243939p-4, 0x1.01bcd40cd156p-4, 0x1.f9537e2bc4d3bp-5, 0x1.ef568c4fbf821p-5, 0x1.e5826bf1117b2p-5, 0x1.dbd6b5c19e6ccp-5, 0x1.d25301c8fd6a1p-5, 0x1.c8f6e7738bf19p-5, 0x1.bfc1fda11e6ep-5, 0x1.b6b3dab3645edp-5, 0x1.adcc149bf53d8p-5, 0x1.a50a40ea0e94p-5, 0x1.9c6df4d7fcecdp-5, 0x1.93f6c55831065p-5, 0x1.8ba4472206902p-5, 0x1.83760ebe34b4cp-5, 0x1.7b6bb092efd2cp-5, 0x1.7384c0efb82dbp-5, 0x1.6bc0d418dc448p-5, 0x1.641f7e52a2d8bp-5, 0x1.5ca053ec2e969p-5, 0x1.5542e94a0e5a9p-5, 0x1.4e06d2f07e4c6p-5, 0x1.46eba58d60d96p-5, 0x1.3ff0f601e06d2p-5, 0x1.3916596bd5b3dp-5, 0x1.325b652ecfeb1p-5, 0x1.2bbfaefce325cp-5, 0x1.2542ccdf2385bp-5, 0x1.1ee4553ddb262p-5, 0x1.18a3dee877e4ep-5, 0x1.1281011d34e9bp-5, 0x1.0c7b53907a4aap-5, 0x1.06926e73fbf2cp-5, 0x1.00c5ea7d92df5p-5, 0x1.f62ac1dbab3d9p-6, 0x1.eb00d72cd598cp-6, 0x1.e00d49c04191ep-6, 0x1.d54f4fa18481p-6, 0x1.cac620215fdb4p-6, 0x1.c070f3e06d9dcp-6, 0x1.b64f04d9605abp-6, 0x1.ac5f8e6ac5507p-6, 0x1.a2a1cd606077bp-6, 0x1.9914fffbf904ap-6, 0x1.8fb865fddc048p-6, 0x1.868b40acd3a6ep-6, 0x1.7d8cd2ddc30c4p-6, 0x1.74bc60fad2e5ep-6, 0x1.6c19310a39751p-6, 0x1.63a28ab4a16e3p-6, 0x1.5b57b74b23ca2p-6, 0x1.533801ccec718p-6, 0x1.4b42b6ec82059p-6, 0x1.437725149fe22p-6, 0x1.3bd49c6cd39b7p-6, 0x1.345a6edda87c8p-6, 0x1.2d07f01489d6bp-6, 0x1.25dc758755cccp-6, 0x1.1ed7567793ef2p-6, 0x1.17f7ebf5684aap-6, 0x1.113d90e232058p-6, 0x1.0aa7a1f2e2361p-6, 0x1.04357db20d0edp-6, 0x1.fbcd09034e9b6p-7, 0x1.ef743139263abp-7, 0x1.e35f3c2fbae3fp-7, 0x1.d78cf5c76a0fap-7, 0x1.cbfc2d986e527p-7, 0x1.c0abb6f3ca651p-7, 0x1.b59a68e3ef365p-7, 0x1.aac71e2ccf9f3p-7, 0x1.a030b54b8ec2p-7, 0x1.95d61075ca7d6p-7, 0x1.8bb6159867353p-7, 0x1.81cfae561c468p-7, 0x1.7821c80580694p-7, 0x1.6eab53aec4718p-7, 0x1.656b46090cf47p-7, 0x1.5c6097778c98ep-7, 0x1.538a440626c6ap-7, 0x1.4ae74b65e1149p-7, 0x1.4276b0e8f5dabp-7, 0x1.3a377b7ea0ae3p-7, 0x1.3228b5aea6533p-7, 0x1.2a496d949bcd8p-7, 0x1.2298b4dadc84ap-7, 0x1.1b15a0b55773bp-7, 0x1.13bf49dc07573p-7, 0x1.0c94cc85495d3p-7, 0x1.0595485ff262cp-7, 0x1.fd7fc11a5935dp-8, 0x1.f027773452088p-8, 0x1.e32006f33d88cp-8, 0x1.d667cafa5298bp-8, 0x1.c9fd249cbdfd8p-8, 0x1.bdde7bcfd6fcfp-8, 0x1.b20a3f1ca4e68p-8, 0x1.a67ee39172207p-8, 0x1.9b3ae4b300101p-8, 0x1.903cc46d53fddp-8, 0x1.85830b0487ea1p-8, 0x1.7b0c4705372cep-8, 0x1.70d70d34d4d9ep-8, 0x1.66e1f881c286ap-8, 0x1.5d2ba9f33b283p-8, 0x1.53b2c89922eb8p-8, 0x1.4a76017b952f6p-8, 0x1.4174078a89945p-8, 0x1.38ab938d0dcd9p-8, 0x1.301b6410ade4p-8, 0x1.27c23d588b688p-8, 0x1.1f9ee94c88a23p-8, 0x1.17b0376846b38p-8, 0x1.0ff4fcaa2d51ap-8, 0x1.086c13823d002p-8, 0x1.01145bc107956p-8, 0x1.f3d9750d069d8p-9, 0x1.e5e83461b5081p-9, 0x1.d852d4969c6e9p-9, 0x1.cb173ef9d855fp-9, 0x1.be3366ef0e3bep-9, 0x1.b1a549ccc8502p-9, 0x1.a56aeeba6a6d5p-9, 0x1.9982668dfcd8ep-9, 0x1.8de9cba9dd1e2p-9, 0x1.829f41dad1fd2p-9, 0x1.77a0f63607253p-9, 0x1.6ced1ef74a3bep-9, 0x1.6281fb5f5a78dp-9, 0x1.585dd3922abe1p-9, 0x1.4e7ef875b21dap-9, 0x1.44e3c3908a455p-9, 0x1.3b8a96e8e40b7p-9, 0x1.3271dce3a1b3ap-9, 0x1.29980823ac5p-9, 0x1.20fb9369750abp-9, 0x1.189b017294462p-9, 0x1.1074dcd9e0a53p-9, 0x1.0887b7f77650ep-9, 0x1.00d22cc12391ep-9, 0x1.f2a5b95654d91p-10, 0x1.e410e111f273ap-10, 0x1.d5e330dcdb7b6p-10, 0x1.c81a17225d82bp-10, 0x1.bab31054c0a0cp-10, 0x1.adaba6b116609p-10, 0x1.a1017203ca57ap-10, 0x1.94b2176d896e6p-10, 0x1.88bb4928d56cp-10, 0x1.7d1ac65041647p-10, 0x1.71ce5aa52b205p-10, 0x1.66d3de5709233p-10, 0x1.5c2935cb5f53dp-10, 0x1.51cc516655c5cp-10, 0x1.47bb2d53c7fb5p-10, 0x1.3df3d15123523p-10, 0x1.34745077c1497p-10, 0x1.2b3ac908036ecp-10, 0x1.22456434c4ddbp-10, 0x1.199255efe1d75p-10, 0x1.111fdcb6ddc0ap-10, 0x1.08ec4160acbc4p-10, 0x1.00f5d6ebb73fdp-10, 0x1.f275f499875f4p-11, 0x1.e374247cb59e7p-11, 0x1.d4e31e21b5e02p-11, 0x1.c6bfd4f67ec31p-11, 0x1.b9074ed8fb792p-11, 0x1.abb6a3bb0c6dap-11, 0x1.9ecafd47ab4e7p-11, 0x1.92419689e133ap-11, 0x1.8617bb93db679p-11, 0x1.7a4ac928cebb5p-11, 0x1.6ed82c66cb51cp-11, 0x1.63bd62726aa5p-11, 0x1.58f7f823e9367p-11, 0x1.4e8589b4cd355p-11, 0x1.4463c26f9bd71p-11, 0x1.3a905c604c4a3p-11, 0x1.31092005c665ep-11, 0x1.27cbe40558a0bp-11, 0x1.1ed68cdeaa545p-11, 0x1.16270ca122731p-11, 0x1.0dbb62a285e48p-11, 0x1.05919b36e4f2dp-11, 0x1.fb4f9ed28d8adp-12, 0x1.ebf8496c0501dp-12, 0x1.dd19998c27d9cp-12, 0x1.ceb00a56b661cp-12, 0x1.c0b82e3ca3d44p-12, 0x1.b32eae7955c98p-12, 0x1.a6104a922e7b6p-12, 0x1.9959d7d8a1ce4p-12, 0x1.8d0840ee32fe4p-12, 0x1.8118854a0885bp-12, 0x1.7587b8c2d4ccdp-12, 0x1.6a5303174ee82p-12, 0x1.5f779f7c5d271p-12, 0x1.54f2dc2aeb6b2p-12, 0x1.4ac219f08d91bp-12, 0x1.40e2cbc2d6852p-12, 0x1.37527653b903fp-12, 0x1.2e0eafa872ba5p-12, 0x1.25151eb1f7103p-12, 0x1.1c637ae78f2bp-12, 0x1.13f78be3fd8p-12, 0x1.0bcf290351f17p-12, 0x1.03e839031ba6cp-12, 0x1.f881634afcc6fp-13, 0x1.e9ad2ea840781p-13, 0x1.db4ff98d55be5p-13, 0x1.cd66055366366p-13, 0x1.bfebae913a325p-13, 0x1.b2dd6c6ff4614p-13, 0x1.a637d005c3499p-13, 0x1.99f783b1e9eeep-13, 0x1.8e194a7cd44cep-13, 0x1.8299ff7b605f7p-13, 0x1.77769535a02e9p-13, 0x1.6cac150ffda2cp-13, 0x1.62379eb83a716p-13, 0x1.581667959b94bp-13, 0x1.4e45ba3b33003p-13, 0x1.44c2f5de74356p-13, 0x1.3b8b8dce7fb17p-13, 0x1.329d08f10db49p-13, 0x1.29f5014072f62p-13, 0x1.2191234c3511fp-13, 0x1.196f2dbdced1ap-13, 0x1.118cf0def42ap-13, 0x1.09e84e232b342p-13, 0x1.027f37b2ec106p-13, 0x1.f69f5ff54828fp-14, 0x1.e8af9276c0a13p-14, 0x1.db2b4a3d5cdf8p-14, 0x1.ce0ee897196cp-14, 0x1.c156ebfedf76cp-14, 0x1.b4ffef52420e4p-14, 0x1.a906a9088e01fp-14, 0x1.9d67ea74200d8p-14, 0x1.92209f02b710ap-14, 0x1.872dcb85c9941p-14, 0x1.7c8c8d7dd9479p-14, 0x1.723a1a69526c8p-14, 0x1.6833bf191c41dp-14, 0x1.5e76df0834333p-14, 0x1.5500f3b6ea932p-14, 0x1.4bcf8c0b02f9p-14, 0x1.42e04bb2e60cdp-14, 0x1.3a30ea8c9ae02p-14, 0x1.31bf3410baa23p-14, 0x1.298906c1e22f8p-14, 0x1.218c539daf3a5p-14, 0x1.19c71d92f5effp-14, 0x1.123778f9f9a66p-14, 0x1.0adb8b10ebbb4p-14, 0x1.03b1897be28fbp-14, 0x1.f96f738ca466fp-15, 0x1.ebd8e1d5e0adfp-15, 0x1.de9c25b5048cap-15, 0x1.d1b624128d9c6p-15, 0x1.c523ddfad9159p-15, 0x1.b8e26fc0e51a1p-15, 0x1.acef1028201eep-15, 0x1.a1470f92df72ap-15, 0x1.95e7d736d9a35p-15, 0x1.8acee85623f8cp-15, 0x1.7ff9db7e4d633p-15, 0x1.75665fcbf20bbp-15, 0x1.6b123a347f151p-15, 0x1.60fb44d0aed3cp-15, 0x1.571f6e31f5e7p-15, 0x1.4d7cb8b7963f9p-15, 0x1.441139eb45381p-15, 0x1.3adb19e00e897p-15, 0x1.31d892976039cp-15, 0x1.2907ef6a0fa39p-15, 0x1.20678c737ee19p-15, 0x1.17f5d604445dfp-15, 0x1.0fb1481597d14p-15, 0x1.07986dc1e759fp-15, 0x1.ff53c1832a749p-16, 0x1.efc891d6ef1d6p-16, 0x1.e08cb76f17badp-16, 0x1.d19db79030e44p-16, 0x1.c2f930e48c833p-16, 0x1.b49cda9c4546p-16, 0x1.a686838bc42b8p-16, 0x1.98b41158d08c7p-16, 0x1.8b237fa665fa4p-16, 0x1.7dd2df4e847ep-16, 0x1.70c055992123p-16, 0x1.63ea1b80f4c8p-16, 0x1.574e7cf921abfp-16, 0x1.4aebd83a1d813p-16, 0x1.3ec09d13a6c7p-16, 0x1.32cb4c43edc29p-16, 0x1.270a76d3487a5p-16, 0x1.1b7cbd75c96b1p-16, 0x1.1020cff29cdbcp-16, 0x1.04f56c8e5a146p-16, 0x1.f3f2bef47bf73p-17, 0x1.de5704955bacep-17, 0x1.c91576d79ea29p-17, 0x1.b42bfb459d758p-17, 0x1.9f988f16d4f66p-17, 0x1.8b59463e38121p-17, 0x1.776c4a7b7d89ap-17, 0x1.63cfda74bfb02p-17, 0x1.508248d7a46b6p-17, 0x1.3d81fb849116p-17, 0x1.2acd6abb3789p-17, 0x1.18632055df12fp-17, 0x1.0641b702f4024p-17, 0x1.e8cfb316389dbp-18, 0x1.c5a8843551431p-18, 0x1.a30b73269d77ep-18, 0x1.80f62dc71ff6p-18, 0x1.5f667cc444301p-18, 0x1.3e5a426371d92p-18, 0x1.1dcf7951f5e75p-18, 0x1.fb8866f50c388p-19, 0x1.bc6d31e62e634p-19, 0x1.7e49cdc9ff6cdp-19, 0x1.411add14cec03p-19, 0x1.04dd285b93b65p-19, 0x1.931b38e28f216p-20, 0x1.1e529121ee9bcp-20, 0x1.56b5726317e4fp-21, 0x1.d17275840b9f9p-23, -0x1.a9beb0e65c99cp-23, -0x1.45b94afe4c36bp-21, -0x1.0ec4db4916863p-20, -0x1.78f501c15dc83p-20, -0x1.e171746f61649p-20, -0x1.241f315de66fp-19, -0x1.56afe94850ffap-19, -0x1.886cd161924d8p-19, -0x1.b957c6bcd31bep-19, -0x1.e97295377cc6ep-19, -0x1.0c5f7c466f7d2p-18, -0x1.239f4eafefdc4p-18, -0x1.3a79911d24f3p-18, -0x1.50ef0c40f5622p-18, -0x1.670082b17924fp-18, -0x1.7caeb15542ef7p-18, -0x1.91fa4fcf087b9p-18, -0x1.a6e410e29622dp-18, -0x1.bb6ca2d4b7c5ap-18, -0x1.cf94afc69948dp-18, -0x1.e35cde148497fp-18, -0x1.f6c5d09f48d33p-18, -0x1.04e813926f333p-17, -0x1.0e3e3f43de143p-17, -0x1.1765b88abf7bbp-17, -0x1.205ecb67ca57bp-17, -0x1.2929c2d3d4bfp-17, -0x1.31c6e8dfb8c97p-17, -0x1.3a3686d1813p-17, -0x1.4278e53e6f2bap-17, -0x1.4a8e4c25d85a7p-17, -0x1.5277030a1397fp-17, -0x1.5a335105716ccp-17, -0x1.61c37ce2c26ecp-17, -0x1.6927cd2f826ep-17, -0x1.7060884f87967p-17, -0x1.776df48f935acp-17, -0x1.7e50583426734p-17, -0x1.8507f98a293cp-17, -0x1.8b951ef5c2951p-17, -0x1.91f80eff8cd41p-17, -0x1.98311060034dbp-17, -0x1.9e406a0cbfec9p-17, -0x1.a42663412ae4p-17, -0x1.a9e34388f058bp-17, -0x1.af7752c92a93p-17, -0x1.b4e2d9485efd5p-17, -0x1.ba261fb4ac86bp-17, -0x1.bf416f2c3d5d1p-17, -0x1.c4351140dfd2ep-17, -0x1.c9014ffe09852p-17, -0x1.cda675ee5a3fp-17, -0x1.d224ce1d8033ep-17, -0x1.d67ca41d6ff1cp-17, -0x1.daae440773515p-17, -0x1.deb9fa7fdf2dep-17, -0x1.e2a014b6853f4p-17, -0x1.e660e0685045p-17, -0x1.e9fcabe00f3a9p-17, -0x1.ed73c5f69f22p-17, -0x1.f0c67e13417c7p-17, -0x1.f3f5242a0d16bp-17, -0x1.f70008bc7b456p-17, -0x1.f9e77cd756fd7p-17, -0x1.fcabd210a065bp-17, -0x1.ff4d5a86e71b5p-17, -0x1.00e6346f387c6p-16, -0x1.0214a81f5d1b6p-16, -0x1.033232283a2fcp-16, -0x1.043efc9ce05dfp-16, -0x1.053b31cdb37acp-16, -0x1.0626fc46990dp-16, -0x1.070286cd7bd6ep-16, -0x1.07cdfc6035e3ap-16, -0x1.0889883284ab9p-16, -0x1.093555ac5469p-16, -0x1.09d19067523c9p-16, -0x1.0a5e642ce1c29p-16, -0x1.0adbfcf3cd7b3p-16, -0x1.0b4a86de19109p-16, -0x1.0baa2e3682e8bp-16, -0x1.0bfb1f6e97fe2p-16, -0x1.0c3d871b8094bp-16, -0x1.0c7191f44b8ep-16, -0x1.0c976ccf032cbp-16, -0x1.0caf449e558fcp-16, -0x1.0cb9466ed9bcep-16, -0x1.0cb59f64e6f21p-16, -0x1.0ca47cb9af2c9p-16, -0x1.0c860bb8adfe9p-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      26, 0x1.6cccccccccccdp+2, 0x1.3d6d06365e1e2p+3, 0x1.51c98f244db22p+5, -0x1.94206725caa14p-5, 
      {{
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.88b17c9a335e7p-3, -0x1.3218899cd09a2p+1, 0x1.7b8abe475b035p+3, -0x1.8a7199c857a13p+4}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.9476e872e1611p-4, -0x1.63e4314bc95p+0, 0x1.0535768b40b9dp+3, -0x1.3a85b896ab1fdp+4}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.828c07b5d66e9p-5, -0x1.71557f4d9193cp-1, 0x1.4db44b22812e1p+2, -0x1.ed5dbaac75521p+3}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.6c27a96933f9bp-6, -0x1.432623d4fffcdp-2, 0x1.73638caa55928p+1, -0x1.5e6a11324cac1p+3}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.941b7981e0b34p-7, -0x1.b88ca0447f69fp-4, 0x1.4247d17eb58b4p+0, -0x1.a8c84f7595414p+2}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2fd4cf6ad4088p-7, -0x1.01979245af8efp-5, 0x1.0da4edad6fe77p-2, -0x1.ef69898fb7fefp+0}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.09f5339db6ee3p-7, -0x1.418d1d7d6ac9bp-6, -0x1.b9a64dbfe7d53p-6, 0x1.0dee8b2754218p-2}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.d1592d7226381p-8, -0x1.4d530a539179cp-6, 0x1.9c5f9a09c4247p-7, -0x1.262b3f9ca2ad5p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9073800e20ba1p-8, -0x1.3d1e44dbd4595p-6, 0x1.d7be815791e08p-8, 0x1.3d1eac18ade2dp-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.52862535fd531p-8, -0x1.2c915dc38292fp-6, 0x1.aa24db20fe116p-7, 0x1.acabba7a8dd4cp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.18a5f8a80b0a4p-8, -0x1.15a73311669e2p-6, 0x1.ea71d0b360256p-7, 0x1.d5114555caedbp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c75fd77490048p-9, -0x1.f6be686d054ccp-7, 0x1.186700c01f4adp-6, 0x1.119b71e0d0f66p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.68920ab4c2e3bp-9, -0x1.bc9c7b42fd79ap-7, 0x1.2cec42e42ef6dp-6, 0x1.1abd2dd29cc08p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.15bcc41b67517p-9, -0x1.7f5dccc06755dp-7, 0x1.37868e35ae712p-6, -0x1.f9b1ecf5e5ecap-13}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.9e94cfc5283ap-10, -0x1.411edc0c22dd5p-7, 0x1.36eed8d4fe45bp-6, -0x1.3086206fd6eb4p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2a6b0ae77c878p-10, -0x1.04136ee1f4f8fp-7, 0x1.2b836ad0cc9ccp-6, -0x1.2b3b2d7aa242bp-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9c235d9ee3d92p-11, -0x1.94d5bf3dc0ef7p-8, 0x1.15122dce00718p-6, -0x1.b8ad0ddbdfce7p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0f7d0e1ad6438p-11, -0x1.2c9ddf0c17511p-8, 0x1.e80a66549f50ep-7, -0x1.2cce068231448p-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.531ed6421d03p-12, -0x1.a810be8343c9p-9, 0x1.8dcc9793f6effp-7, -0x1.3c8162c46534ep-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.8d9286f04243dp-13, -0x1.1befa16857b98p-9, 0x1.2ed8f9f2a5607p-7, -0x1.0b778eacab95bp-6}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.ad33072bacb43p-14, -0x1.65b0aab2a620cp-10, 0x1.bd3704b0e3cbp-8, -0x1.c82ee22058209p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.9df7248bb466cp-15, -0x1.9df343d16d663p-11, 0x1.345c2740c95b6p-8, -0x1.74814b58eef12p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.531ed6421d025p-16, -0x1.a7ecfec12e235p-12, 0x1.893787b29cf3dp-9, -0x1.2135b5d4ba96ap-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.ad33072bacbc8p-18, -0x1.6586716e8785p-13, 0x1.b761cecc5a011p-10, -0x1.a29eeda4385dfp-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.531ed6421d47ep-20, -0x1.a9f43d11861a6p-15, 0x1.786b4d3a09fap-11, -0x1.cdc77217c86edp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.531ed64223801p-24, -0x1.6ab2f55cc7308p-18, 0x1.8d6823157a001p-13, -0x1.3506f7428e3d3p-8}, 
      }}, 
      0x1.22d0684decfep-4, -0x1.c040d7015ff04p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.a9bc2e0ea5c39p-1, -0x1.a455e9b8a4f1ep-1, -0x1.9b8d845fa6357p-1, -0x1.8fa82438286e7p-1, -0x1.80f6f468e9003p-1, -0x1.6fd14f5efad2p-1, -0x1.5c9088cedaccfp-1, -0x1.478ceac849b73p-1, -0x1.311b94af7fadcp-1, -0x1.198d06d1ae118p-1, -0x1.012c2bf5a0fcbp-1, -0x1.d07b9ff1616cfp-2, -0x1.9e00b90a119a7p-2, -0x1.6b5794042f12dp-2, -0x1.38e386efcaa0bp-2, -0x1.06fbbd1ff828ep-2, -0x1.abd7a991623e6p-3, -0x1.4be93b4b5ab5p-3, -0x1.dd3364c8127a9p-4, -0x1.28884657c020ep-4, -0x1.e9967c2450cd8p-6, 0x1.65f39784304c3p-7, 0x1.99122b7172f9p-5, 0x1.64b7bbad7b278p-4, 0x1.f51d62a3a212bp-4, 0x1.3ecfee402f54p-3, 0x1.7f1abecc27292p-3, 0x1.bb716e0aa9a93p-3, 0x1.f3dc69d5e91ecp-3, 0x1.1434aaf0ce787p-2, 0x1.2c95201f48aedp-2, 0x1.431a771d1a57ap-2, 0x1.57d1173d28f1bp-2, 0x1.6ac6a735f4728p-2, 0x1.7c09cf197c3f8p-2, 0x1.8ba9fcdaad5d4p-2, 0x1.99b735e82bd94p-2, 0x1.a641e9a62f84dp-2, 0x1.b15ac59189575p-2, 0x1.bb129fa822c0cp-2, 0x1.c37a4af52474p-2, 0x1.caa282fabfbf6p-2, 0x1.d09bd44e19526p-2, 0x1.d57689a96a56p-2, 0x1.d9429a62a5c7dp-2, 0x1.dc0f9da47b5f8p-2, 0x1.ddecbf5ecf9b6p-2, 0x1.dee8b6d878df1p-2, 0x1.df11bf7eeef36p-2, 0x1.de75942a2603ap-2, 0x1.dd216a4b5d1fp-2, 0x1.db21f030dbd0ap-2, 0x1.d8834b02b9267p-2, 0x1.d55116ce31f63p-2, 0x1.d19666e01e56fp-2, 0x1.cd5dc72f3ba25p-2, 0x1.c8b13e67d8d45p-2, 0x1.c39a505d3d829p-2, 0x1.be22011a0f6e1p-2, 0x1.b850d8c0e4f7cp-2, 0x1.b22ee6a3f4c94p-2, 0x1.abc3c5c4e4e71p-2, 0x1.a516a0ec730a7p-2, 0x1.9e2e36f3fa50dp-2, 0x1.9710df37ee4cp-2, 0x1.8fc48e0f60767p-2, 0x1.884ed945ec0f1p-2, 0x1.80b4fc7c726c3p-2, 0x1.78fbdd9ec4204p-2, 0x1.712811237000dp-2, 0x1.693dde3552b57p-2, 0x1.614142ecae8c4p-2, 0x1.5935f81e6d245p-2, 0x1.511f754de3732p-2, 0x1.4900f46d30163p-2, 0x1.40dd74c9b575p-2, 0x1.38b7bfa9ab1e7p-2, 0x1.30926a4c566bep-2, 0x1.286fd999c07a6p-2, 0x1.205244edd1881p-2, 0x1.183bb8cbc122p-2, 0x1.102e19a986d46p-2, 0x1.082b262e25d32p-2, 0x1.003479b0d10f5p-2, 0x1.f0971d39bec8dp-3, 0x1.e0e38000e5e32p-3, 0x1.d15097ffb815ep-3, 0x1.c1e0ab4284131p-3, 0x1.b295cca08550fp-3, 0x1.a371df726f8e4p-3, 0x1.94769a9ae24a8p-3, 0x1.85a58b346eb03p-3, 0x1.770017bfe4d3dp-3, 0x1.68878236d2fb6p-3, 0x1.5a3ceadf340ccp-3, 0x1.4c21528b6dbdp-3, 0x1.3e359c77d3634p-3, 0x1.307a90b10aab4p-3, 0x1.22f0dd9661f9bp-3, 0x1.15991a03cf58fp-3, 0x1.0873c69113772p-3, 0x1.f7029ed3f1d22p-4, 0x1.dd841b7c02cb5p-4, 0x1.c46c916dabfb9p-4, 0x1.abbc6e889cf69p-4, 0x1.937401e04d2fdp-4, 0x1.7b937df467279p-4, 0x1.641afabf4fbeep-4, 0x1.4d0a77831de6p-4, 0x1.3661dcd5eac48p-4, 0x1.2020fdde1c0c2p-4, 0x1.0a4799e48ada2p-4, 0x1.e9aabbe0ec04dp-5, 0x1.bf93cb9da5d77p-5, 0x1.96497b1e1fa24p-5, 0x1.6dcac50266f8fp-5, 0x1.46168880bd86cp-5, 0x1.1f2b8b96bf541p-5, 0x1.f210fa02b74b4p-6, 0x1.a757eb7b8686cp-6, 0x1.5e28f5ed9579dp-6, 0x1.1680fefb1937cp-6, 0x1.a0b995b5a270fp-7, 0x1.1771fdb5a3652p-7, 0x1.2248904d3236ap-8, 0x1.b92a80ee20fdap-12, -0x1.ca98b608a2b4p-9, -0x1.e0636a89582afp-8, -0x1.6ae0e23de9d01p-7, -0x1.e2bb7476728cdp-7, -0x1.2be4a4b63b247p-6, -0x1.65092cb1b66f5p-6, -0x1.9ccf599aa4877p-6, -0x1.d33b3c4ec08abp-6, -0x1.0428772649a1ap-5, -0x1.1e0a4802bf3cfp-5, -0x1.3745237dfcf15p-5, -0x1.4fdb1e687ac62p-5, -0x1.67ce4fc49d795p-5, -0x1.7f20cf2dd22cap-5, -0x1.95d4b45ef999ap-5, -0x1.abec17aa4e358p-5, -0x1.c16910aaae491p-5, -0x1.d64db66fe23b7p-5, -0x1.ea9c1e9a5ab7dp-5, -0x1.fe565d4148127p-5, -0x1.08bf424acd908p-4, -0x1.120b5257c7d1dp-4, -0x1.1b10659d7a8f1p-4, -0x1.23cf8179620d9p-4, -0x1.2c49a9e676117p-4, -0x1.347fe153e0d55p-4, -0x1.3c73287555cd4p-4, -0x1.44247e447c946p-4, -0x1.4b94dfce430a4p-4, -0x1.52c54856cd82p-4, -0x1.59b6b14b7b747p-4, -0x1.606a11d7b734ep-4, -0x1.66e05f2544891p-4, -0x1.6d1a8c3da5198p-4, -0x1.73198a6042c24p-4, -0x1.78de485c6f5c5p-4, -0x1.7e69b2c13e5b6p-4, -0x1.83bcb3fc7b504p-4, -0x1.88d834815e01cp-4, -0x1.8dbd1a77f7efbp-4, -0x1.926c49a4db6ap-4, -0x1.96e6a3a63a94fp-4, -0x1.9b2d07f6cd192p-4, -0x1.9f40540baa894p-4, -0x1.a321630652d0fp-4, -0x1.a6d10dacc2b4fp-4, -0x1.aa502ab142f49p-4, -0x1.ad9f8ed734e77p-4, -0x1.b0c00cb9b2c61p-4, -0x1.b3b274de032a2p-4, -0x1.b677956b9f00bp-4, -0x1.b9103a96ce0e4p-4, -0x1.bb7d2ecdfc7f9p-4, -0x1.bdbf3a710f2d2p-4, -0x1.bfd723d459d43p-4, -0x1.c1c5af3559f87p-4, -0x1.c38b9ecfe148cp-4, -0x1.c529b343b6b49p-4, -0x1.c6a0ab763165fp-4, -0x1.c7f144369c9ccp-4, -0x1.c91c38546832fp-4, -0x1.ca2240f664223p-4, -0x1.cb04158863e1dp-4, -0x1.cbc26bdc48b97p-4, -0x1.cc5df7fd48c2ap-4, -0x1.ccd76c3bb0eeap-4, -0x1.cd2f7905c94fbp-4, -0x1.cd66cd3821917p-4, -0x1.cd7e16376eabcp-4, -0x1.cd75ffe433542p-4, -0x1.cd4f34816f07bp-4, -0x1.cd0a5c75b9accp-4, -0x1.cca81ea3abebfp-4, -0x1.cc292074648cep-4, -0x1.cb8e05f190623p-4, -0x1.cad771ca2d6c9p-4, -0x1.ca0604e8d147p-4, -0x1.c91a5ea03b717p-4, -0x1.c8151ce837fdfp-4, -0x1.c6f6dc303bed6p-4, -0x1.c5c037abfbacep-4, -0x1.c471c9182411p-4, -0x1.c30c28b83abc9p-4, -0x1.c18fed34b462p-4, -0x1.bffdabca0aee2p-4, -0x1.be55f85d3f09ep-4, -0x1.bc99657d6cb99p-4, -0x1.bac8844f3d89dp-4, -0x1.b8e3e47c0b707p-4, -0x1.b6ec14578cd5bp-4, -0x1.b4e1a08cc4e78p-4, -0x1.b2c5146f75db7p-4, -0x1.b096f9f1ccd43p-4, -0x1.ae57da07be6bdp-4, -0x1.ac083b89d39cbp-4, -0x1.a9a8a3f4a8247p-4, -0x1.a739982439892p-4, -0x1.a4bb9a98d57bp-4, -0x1.a22f2c98082cap-4, -0x1.9f94ce1be2636p-4, -0x1.9cecfdafd6947p-4, -0x1.9a383867838aap-4, -0x1.9776f9d5e83fap-4, -0x1.94a9bc0d924d7p-4, -0x1.91d0f79016218p-4, -0x1.8eed237847fa4p-4, -0x1.8bfeb5597bd1ep-4, -0x1.89062164e15cp-4, -0x1.8603da3627f98p-4, -0x1.82f850f184653p-4, -0x1.7fe3f5207e56p-4, -0x1.7cc734c0065dfp-4, -0x1.79a27c48378b2p-4, -0x1.767636a79ba85p-4, -0x1.7342cd538a38fp-4, -0x1.7008a81c55c2fp-4, -0x1.6cc82d576b772p-4, -0x1.6981c1cde6de6p-4, -0x1.6635c892cf149p-4, -0x1.62e4a33379709p-4, -0x1.5f8eb1aee3b7ap-4, -0x1.5c345265a1d47p-4, -0x1.58d5e2268ae5p-4, -0x1.5573bc3be4117p-4, -0x1.520e3a4976cdbp-4, -0x1.4ea5b4572d421p-4, -0x1.4b3a80d97ca25p-4, -0x1.47ccf4a59d868p-4, -0x1.445d62bab310fp-4, -0x1.40ec1d017caf8p-4, -0x1.3d79736b5cfc3p-4, -0x1.3a05b46aaf3d6p-4, -0x1.36912cdaea28ep-4, -0x1.331c27faedd97p-4, -0x1.2fa6ef6f0fb41p-4, -0x1.2c31cb41bbbap-4, -0x1.28bd01ec22132p-4, -0x1.2548d84af05abp-4, -0x1.21d591afb7c94p-4, -0x1.1e636fe1a2951p-4, -0x1.1af2b3089d777p-4, -0x1.178399c942805p-4, -0x1.1416612c2d238p-4, -0x1.10ab44c34c03p-4, -0x1.0d427e7dec172p-4, -0x1.09dc46d004c62p-4, -0x1.0678d4a9bae7ap-4, -0x1.03185d79ff8ebp-4, -0x1.ff762a6346ee2p-5, -0x1.f8c25c894bf39p-5, -0x1.f215b35944d04p-5, -0x1.eb708dd5dab6ep-5, -0x1.e4d34811b1946p-5, -0x1.de3e3b25c3869p-5, -0x1.d7b1be0710774p-5, -0x1.d12e2382c008dp-5, -0x1.cab3bce43cb3bp-5, -0x1.c442d74826cbp-5, -0x1.bddbbf414947ep-5, -0x1.b77ebc8c9ed51p-5, -0x1.b12c15225029cp-5, -0x1.aae40c43afe0ap-5, -0x1.a4a6e28c4af5cp-5, -0x1.9e74d60014fcdp-5, -0x1.984e22162e95bp-5, -0x1.9232ffc4259d9p-5, -0x1.8c23a58676bedp-5, -0x1.862047684565p-5, -0x1.802916fe9514ep-5, -0x1.7a3e433d99dc7p-5, -0x1.745ffaaae241bp-5, -0x1.6e8e64f6f0d33p-5, -0x1.68c9ad3f58234p-5, -0x1.6311f83fde4d6p-5, -0x1.5d676a1c35eb1p-5, -0x1.57ca24bdbf75ap-5, -0x1.523a47c0d8331p-5, -0x1.4cb7f0b87c70cp-5, -0x1.47433b3454546p-5, -0x1.41dc40c8baa05p-5, -0x1.3c8319108ee54p-5, -0x1.3737d9abb54b5p-5, -0x1.31fa9656a7fcbp-5, -0x1.2ccb6112b142cp-5, -0x1.27aa4a08cb9a9p-5, -0x1.22975f7fdab09p-5, -0x1.1d92ae1c6c003p-5, -0x1.189c40cd492ap-5, -0x1.13b420da4d0cep-5, -0x1.0eda55ed190ddp-5, -0x1.0a0ee621e47edp-5, -0x1.0551d5fc64e3ap-5, -0x1.00a32884cb624p-5, -0x1.f805be992a8acp-6, -0x1.eee1f50428c68p-6, -0x1.e5daf1be57eb4p-6, -0x1.dcf0af8fef8acp-6, -0x1.d42326a36c956p-6, -0x1.cb724c942edb9p-6, -0x1.c2de14846a977p-6, -0x1.ba666f1e077e7p-6, -0x1.b20b4ab9496a2p-6, -0x1.a9cc935e92b48p-6, -0x1.a1aa32ed4d9e6p-6, -0x1.99a4110e55fb5p-6, -0x1.91ba135ff64e1p-6, -0x1.89ec1d84107a5p-6, -0x1.823a113003e54p-6, -0x1.7aa3ce3c1b41dp-6, -0x1.732932ae9acbfp-6, -0x1.6bca1ac5d61ccp-6, -0x1.6486610f6dd7fp-6, -0x1.5d5dde68ddd0ep-6, -0x1.56506a182a0b2p-6, -0x1.4f5dd9eadccep-6, -0x1.4886027a1b928p-6, -0x1.41c8b6e230681p-6, -0x1.3b25c904db1dcp-6, -0x1.349d09912995cp-6, -0x1.2e2e47ca8a66fp-6, -0x1.27d951e28a26p-6, -0x1.219df4a610c6p-6, -0x1.1b7bfbc0c3ca5p-6, -0x1.157331d8c5ffep-6, -0x1.0f8360b5a738dp-6, -0x1.09ac5178c5a2p-6, -0x1.03edccc09e085p-6, -0x1.fc8f34c7e3c54p-7, -0x1.f173033f96178p-7, -0x1.e68691d222968p-7, -0x1.dbc96b914b2a8p-7, -0x1.d13b19c6bb196p-7, -0x1.c6db230391daap-7, -0x1.bca90d661405ap-7, -0x1.b2a45d7ebcc5p-7, -0x1.a8cc988de0f6cp-7, -0x1.9f2142a45486ep-7, -0x1.95a1e3bda14cep-7, -0x1.8c4dfa14cc7cfp-7, -0x1.83251653c33a7p-7, -0x1.7a26b3bc2b27bp-7, -0x1.715256a941026p-7, -0x1.68a77ed11e1f6p-7, -0x1.6025a9f165b32p-7, -0x1.57cc54ca752f4p-7, -0x1.4f9afc6615835p-7, -0x1.47911f6dd10cap-7, -0x1.3fae3f23ae274p-7, -0x1.37f1df9fa21ccp-7, -0x1.305b86287e12cp-7, -0x1.28eabf43153eap-7, -0x1.219f04adeb542p-7, -0x1.1a77e6a43e80ep-7, -0x1.1374de18d745p-7, -0x1.0c95674a645d1p-7, -0x1.05d8fb30b4e85p-7, -0x1.fe7e2423f2945p-8, -0x1.f18e4cc939b6dp-8, -0x1.e4e16eee57d1bp-8, -0x1.d87695e48b46ap-8, -0x1.cc4cda1710fe8p-8, -0x1.c0635e4d7e48p-8, -0x1.b4b9499671893p-8, -0x1.a94dc102cc3b9p-8, -0x1.9e1fe0a82900fp-8, -0x1.932eb66b7c57cp-8, -0x1.887947cc8c0cfp-8, -0x1.7dfe833edecdfp-8, -0x1.73bd6203fa9f5p-8, -0x1.69b4d1a00c74dp-8, -0x1.5fe3d276eabcp-8, -0x1.56497616f089bp-8, -0x1.4ce4dfd8ad0e8p-8, -0x1.43b5463544ed7p-8, -0x1.3ab9ec48b8f02p-8, -0x1.31f2199a9798dp-8, -0x1.295d11499ae7bp-8, -0x1.20fa0ab454e99p-8, -0x1.18c82d8d5af95p-8, -0x1.10c69292555d2p-8, -0x1.08f4469b98dc5p-8, -0x1.01505214c198ep-8, -0x1.f3b382f21c3c4p-9, -0x1.e51f58e10b675p-9, -0x1.d6e276306d3bp-9, -0x1.c8fb4fbd1175bp-9, -0x1.bb687c2beea09p-9, -0x1.ae28a7ba792b5p-9, -0x1.a13a8780253e2p-9, -0x1.949ccbbff913p-9, -0x1.884e119dee1a3p-9, -0x1.7c4ce080a6832p-9, -0x1.7097b30081f52p-9, -0x1.652cdad3dae61p-9, -0x1.5a0ad4cd4288dp-9, -0x1.4f300b8ab02f3p-9, -0x1.449b044c7e001p-9, -0x1.3a4a5d37faf32p-9, -0x1.303cca2189f5dp-9, -0x1.267114577028bp-9, -0x1.1ce617519e20ep-9, -0x1.139a9cb2d7c9p-9, -0x1.0a8d9daa82cp-9, -0x1.01bdc7c2b7c5dp-9, -0x1.f253b5439dap-10, -0x1.e1a0f5c7b79afp-10, -0x1.d1608785a3145p-10, -0x1.c18fa7a9a9085p-10, -0x1.b22bb43251ed8p-10, -0x1.a3323d374e52bp-10, -0x1.94a10709bfbdfp-10, -0x1.8675fd0a7dacdp-10, -0x1.78af24c9cbfc2p-10, -0x1.6b4a90adc3dd6p-10, -0x1.5e465deec4391p-10, -0x1.51a0b04e8ede2p-10, -0x1.4557b5a9feb77p-10, -0x1.39699053e7bfcp-10, -0x1.2dd44bbbb2448p-10, -0x1.2295d44d5faddp-10, -0x1.17abf26cc77c6p-10, -0x1.0d145473f183ep-10, -0x1.02cccc1b1b3c2p-10, -0x1.f1a6a5e49e047p-11, -0x1.de4c3bc4ea47fp-11, -0x1.cb8705d33c211p-11, -0x1.b95414cd527ebp-11, -0x1.a7afb14e52292p-11, -0x1.9696c29c73dp-11, -0x1.8605434e112c5p-11, -0x1.75f7c91f786f3p-11, -0x1.666b2aaa6b36cp-11, -0x1.575cac1fc854dp-11, -0x1.48c9c4961dc6ap-11, -0x1.3aafdea04c042p-11, -0x1.2d0c223b440ap-11, -0x1.1fdb761a77a5fp-11, -0x1.131ab3f3a421cp-11, -0x1.06c6eac39eb17p-11, -0x1.f5bb2afab22bfp-12, -0x1.deb92c41d256fp-12, -0x1.c8840362a5f7dp-12, -0x1.b3178641a0921p-12, -0x1.9e6e8781768e7p-12, -0x1.8a82817f4f13fp-12, -0x1.774c0fbdb7786p-12, -0x1.64c3b1da65d86p-12, -0x1.52e2d0d85da04p-12, -0x1.41a44b5619fc3p-12, -0x1.31045876eedadp-12, -0x1.20ffe2555a57ap-12, -0x1.1193cc202749fp-12, -0x1.02bc8f84b472fp-12, -0x1.e8eca4130ac42p-13, -0x1.cd7a7cb151a9ep-13, -0x1.b31bc6a6dd93cp-13, -0x1.99cad3f980098p-13, -0x1.8182ba9ae1844p-13, -0x1.6a40da67bc72ep-13, -0x1.53fe55e6f7353p-13, -0x1.3eb7cd3c3898dp-13, -0x1.2a61cb350fbc7p-13, -0x1.16f3c5da852dp-13, -0x1.0460e3db63561p-13, -0x1.e539ed814bde7p-14, -0x1.c33aa4ac5f0c6p-14, -0x1.a2b38e4f7523dp-14, -0x1.839949e5d8b8ep-14, -0x1.65e33b0458a82p-14, -0x1.498bae4786f36p-14, -0x1.2e8b23515e611p-14, -0x1.14d9e85c2dda3p-14, -0x1.f8ddbe7c389f3p-15, -0x1.ca8391d56beb1p-15, -0x1.9e95fcfb93346p-15, -0x1.75080626398e1p-15, -0x1.4dcd4ee4f844dp-15, -0x1.28d91f0c9b832p-15, -0x1.061d77bd2174dp-15, -0x1.cb14605c9a518p-16, -0x1.8e164d4cfbe77p-16, -0x1.550e7051a5513p-16, -0x1.1fc20cde5a72p-16, -0x1.dbe5255b92683p-17, -0x1.7ec412a9b214ep-17, -0x1.27b5c92c224bep-17, -0x1.acdff7c2759cfp-18, -0x1.159b37148803ap-18, -0x1.1308064edeb12p-19, -0x1.0ffe0dd07b785p-23, 0x1.b6c7cab0c295fp-20, 0x1.b2ea71da9dfep-19, 0x1.3b2da12d7d694p-18, 0x1.935589a761411p-18, 0x1.e1d62b0186313p-18, 0x1.1391c0a866425p-17, 0x1.31dd7fed40482p-17, 0x1.4be911d57b3f7p-17, 0x1.61dcb82725a2bp-17, 0x1.73e704c9856f4p-17, 0x1.82304d613c6cep-17, 0x1.8ce311b5e9cf9p-17, 0x1.942c1d7ec6628p-17, 0x1.98420d232fcdp-17, 0x1.996bbbeeb586cp-17, 0x1.97f7f54b9e62ep-17, 0x1.94242ccf3a838p-17, 0x1.8e03979ada064p-17, 0x1.858e95b83b65fp-17, 0x1.7ac293c353182p-17, 0x1.6dbc3028d3f0bp-17, 0x1.5ea26345f8801p-17, 0x1.4d900119514cp-17, 0x1.3a9623d612e09p-17, 0x1.25c8f48d7699bp-17, 0x1.0f3fa339df39cp-17, 0x1.ee40db457296fp-18, 0x1.bae61b47d563p-18, 0x1.84b3097e8730fp-18, 0x1.4c186c38ca8b4p-18, 0x1.1129923bb90afp-18, 0x1.a7f50405c1fe3p-19, 0x1.2960168c72a23p-19, 0x1.4d1cf804044dap-20, 0x1.fcab30a855e3fp-23, -0x1.aa04b50838e2cp-21, -0x1.ef6fdb528e84fp-20, -0x1.87113461c87edp-19, -0x1.0c167fbbb499ep-18, -0x1.5595240228b08p-18, -0x1.a0156a7ac3a8bp-18, -0x1.eb77f57c8956dp-18, -0x1.1bc656306197ep-17, -0x1.42177db8b6ad2p-17, -0x1.68b9a66cfb782p-17, -0x1.8fae5415948abp-17, -0x1.b6cf24409d0edp-17, -0x1.de11b7dc8cc8p-17, -0x1.02b1110deab62p-16, -0x1.165975a75a485p-16, -0x1.29f9264110263p-16, -0x1.3d9198a7a825ap-16, -0x1.511fde45e2e9cp-16, -0x1.649b42c6d459ep-16, -0x1.78052d5c62facp-16, -0x1.8b5c167420293p-16, -0x1.9e9effb53a6d6p-16, -0x1.b1c51db5f1495p-16, -0x1.c4d114657cc78p-16, -0x1.d7b294230c3cp-16, -0x1.ea629a5b10897p-16, -0x1.fcdfa5b441c09p-16, -0x1.0797b8efd4578p-15, -0x1.10a7a1fe1004ap-15, -0x1.199b5a30832dbp-15, -0x1.226e9892dd7ffp-15, -0x1.2b2b5d4adedffp-15, -0x1.33d35363d09f3p-15, -0x1.3c566c008827dp-15, -0x1.44b8b01d4d188p-15, -0x1.4cf929193779ep-15, -0x1.55176f3864cd1p-15, -0x1.5d1313db6deebp-15, -0x1.64eb9f1f436a4p-15, -0x1.6ca0802035a62p-15, -0x1.7431017a326e7p-15, -0x1.7b9cccf3efd58p-15, -0x1.82e37d3d713dbp-15, -0x1.8a052a4c58911p-15, -0x1.9101f93f59ed9p-15, -0x1.97d5d34714c09p-15, -0x1.9e872f99f8278p-15, -0x1.a50ea7bcca696p-15, -0x1.ab6e4c96ad6f5p-15, -0x1.b1a77bd71e8bap-15, -0x1.b7b84f2f2bc14p-15, -0x1.bda0a4b5f7d3ap-15, -0x1.c3617320b27ap-15, -0x1.c8f9e90823a83p-15, -0x1.ce6a0eac3a575p-15, -0x1.d3b20208f4b69p-15, -0x1.d8d239484dd12p-15, -0x1.ddca4c7785548p-15, -0x1.e299bd933fc7dp-15, -0x1.e7411ab115f4bp-15, -0x1.ebc08f2c2c4fp-15, -0x1.f0183ec5dcac4p-15, -0x1.f448602d27db5p-15, -0x1.f85122ada30dfp-15, -0x1.fc3298dfbe862p-15, -0x1.ffed2fe7fd094p-15, -0x1.01c08e8865b2ep-14, -0x1.03775f21bc178p-14, -0x1.051b471e2ccb9p-14, -0x1.06ac3f96ff54bp-14, -0x1.082a3762295a2p-14, -0x1.099580a491ee2p-14, -0x1.0aee30eb389b4p-14, -0x1.0c34953fcf14p-14, -0x1.0d690b71a6a98p-14, -0x1.0e8a02d82aacep-14, -0x1.0f9b22471b0a5p-14, -0x1.109baf3a602cdp-14, -0x1.1189541c10b4dp-14, -0x1.1265c1ec77df4p-14, -0x1.1331733b6aa96p-14, -0x1.13ec9b20834ccp-14, -0x1.149763e8131fdp-14, -0x1.1530a05f31466p-14, -0x1.15ba915f9dfebp-14, -0x1.1634a17563c2p-14, -0x1.169f03adde409p-14, -0x1.16fa169c11048p-14, -0x1.1749ae290c9a9p-14, -0x1.1782777001a05p-14, -0x1.17b0686139e0ep-14, -0x1.17cfe7d9e4666p-14, -0x1.17e13b5394595p-14, -0x1.17e485bfc0298p-14, -0x1.17d9fc2cb552fp-14, -0x1.17c1f23423fbfp-14, -0x1.179b838a35169p-14, -0x1.1769e7de8f4f2p-14, -0x1.172a7762d76c7p-14, -0x1.16de6943b2812p-14, -0x1.16863fddd97edp-14, -0x1.16211202528fbp-14, -0x1.15b0f9cd54114p-14, -0x1.15351cb375de2p-14, -0x1.14ad82def62d8p-14, -0x1.141ad1f7fb9b3p-14, -0x1.137d2b32a5c47p-14, -0x1.12d4c671c1876p-14, -0x1.1221e22faa37cp-14, -0x1.1164b906443a8p-14, -0x1.109cf19c88e4ep-14, -0x1.0fccd8f72eaf7p-14, -0x1.0ef208cafe542p-14, -0x1.0e0e2a1dfe297p-14, -0x1.0d2115ad8a6edp-14, -0x1.0c2b2512a2566p-14, -0x1.0b2c80f274794p-14, -0x1.0a24fdcb8175fp-14, -0x1.0915f3aebf50ep-14, -0x1.07fe96db27106p-14, -0x1.06df4d840a187p-14, -0x1.05b868e671517p-14, -0x1.048a247e47bc1p-14, -0x1.0354b071b25c3p-14, -0x1.02183db2a2403p-14, -0x1.00d4f69a8e8dep-14, -0x1.ff15ffe5a7c51p-15, -0x1.fc756b04751a1p-15, -0x1.f9c8d91f3a30bp-15, -0x1.f70fe3ad83a51p-15, -0x1.f44b4e221cf1p-15, -0x1.f17b77eeaca7ap-15, -0x1.eea0c266f87d2p-15, -0x1.ebbba7f794c27p-15, -0x1.e8cc37c879f7fp-15, -0x1.e5d3065603191p-15, -0x1.e2d2491e67bfp-15, -0x1.dfc463cf3f606p-15, -0x1.dcaff0dea4903p-15, -0x1.d993027b8b10fp-15, -0x1.d66e4190f2563p-15, -0x1.d3406b0397dc8p-15, -0x1.d00525209bfb4p-15, -0x1.ccd250d576176p-15, -0x1.c98d3770aa53bp-15, -0x1.c646eca421aacp-15, -0x1.c2f7ee369d876p-15, -0x1.bfa3171e2b9d1p-15, -0x1.bc48bf5ccb425p-15, -0x1.b8e914c583bb5p-15, -0x1.b58414310e0ccp-15, -0x1.b21ce7b618ba3p-15, -0x1.aead061f173e8p-15, -0x1.ab3afdcec8e03p-15, -0x1.a7c4f217a0921p-15, -0x1.a44b3c9074a9bp-15, -0x1.a0ce18cfd4f26p-15, -0x1.9d4dbf8e0a031p-15, -0x1.99ca7782f6112p-15, -0x1.96447de42e95ep-15, -0x1.92bc0e3733f37p-15, -0x1.8f315f469e6abp-15, -0x1.8ba4c8cc1fe32p-15, -0x1.88166bcce015ep-15, -0x1.848677fe0e0dcp-15, -0x1.80f518a6604dep-15, -0x1.7d62cec9f2685p-15, -0x1.79cfd00f65137p-15, -0x1.763ba51e67d81p-15, -0x1.72a69e7a0ec53p-15, -0x1.6f116017e8ccap-15, -0x1.6b7c359a61db2p-15, -0x1.67e8d9aa8c8bap-15, -0x1.64531ebb10df6p-15, -0x1.60bdda0af94dfp-15, -0x1.5d2a0d6210145p-15, -0x1.5996e33c99fd4p-15, -0x1.560496b5240ddp-15, -0x1.527354ab169c5p-15, -0x1.4ee30d992d4f1p-15, -0x1.4b5486187164p-15, -0x1.47c75b2e73781p-15, -0x1.443bdf56579fp-15, -0x1.40b204539eed9p-15, -0x1.3d2876fe3a12ep-15, -0x1.39a46f0e30e63p-15, -0x1.3620b48d7382cp-15, -0x1.329f9d631e74ep-15, -0x1.2f212f3235a3bp-15, -0x1.2ba294959de23p-15, -0x1.282c33e594f87p-15, -0x1.24ac8f1a45dd4p-15, -0x1.214182640fff6p-15, -0x1.1dcfd92755d5dp-15, -0x1.1a61f9f7f26e3p-15, -0x1.16f757807b65fp-15, -0x1.138f48fb70145p-15, -0x1.102cb681f46efp-15, -0x1.0ccbb38506333p-15, -0x1.096eff20bb9f1p-15, -0x1.0615ed50af109p-15, -0x1.02c0933cf939ap-15, -0x1.fede415614f13p-16, -0x1.f84378ee7835cp-16, -0x1.f1b06a493b2e3p-16, -0x1.eb25141851579p-16, -0x1.e4a24659593bep-16, -0x1.de280f4d07c1cp-16, -0x1.d7b63ba47b79bp-16, -0x1.d14d5c50a0dbbp-16, -0x1.caecddf6e3227p-16, -0x1.c4955cc2b9e88p-16, -0x1.be46d29a2d044p-16, -0x1.b801a6fe0e07ap-16, -0x1.b1c59b3bb5618p-16, -0x1.ab92c22fe6f2cp-16, -0x1.a569629e0087bp-16, -0x1.9f49884ffdcfap-16, -0x1.9933341fd26d8p-16, -0x1.9326873fb5154p-16, -0x1.8d240150de698p-16, -0x1.872ae051cdc83p-16, -0x1.813b7d5b7db1ep-16, -0x1.7b5655a8f359dp-16, -0x1.757af918111ffp-16, -0x1.6fa9dfff5ea8ap-16, -0x1.69e340777f97fp-16, -0x1.64262c487ecf1p-16, -0x1.5e76f5707bab6p-16, -0x1.58cf5bf1d4624p-16, -0x1.532e23f0f14bdp-16, -0x1.4da3b4196993dp-16, -0x1.4811f1c67285ep-16, -0x1.42924e2170bb4p-16, -0x1.3d1def58cfb82p-16, -0x1.37b42f0b73a6cp-16, -0x1.325563b407a28p-16, -0x1.2d08e02fa7b5ep-16, -0x1.27b701be30563p-16, -0x1.227694ffae36fp-16, -0x1.1d4165f3b4ffcp-16, -0x1.181789a20bbbap-16, -0x1.12fb75db27bc6p-16, -0x1.0de15f3a14721p-16, -0x1.08d789eea00fap-16, -0x1.03d79b6d21696p-16, -0x1.fdc4129983289p-17, -0x1.f3ecb78615e27p-17, -0x1.ea2aaf4b90074p-17, -0x1.e08002da836b8p-17, -0x1.d6ee552284376p-17, -0x1.cd6e879e03911p-17, -0x1.c4036d3625b7dp-17, -0x1.baad0b5aec4bfp-17, -0x1.b16b94e1c60c1p-17, -0x1.a83fdd7c92e57p-17, -0x1.9f29484e50312p-17, -0x1.9627ce090630ep-17, -0x1.8d3b111e15d57p-17, -0x1.8462d489cc0dap-17, -0x1.7b9f2f131806fp-17, -0x1.72f16fa09a1dfp-17, -0x1.6a57f680b8f3ap-17, -0x1.61d31a9906645p-17, -0x1.5962eaf8945cep-17, -0x1.510750400e43dp-17, -0x1.48c033c1b535ep-17, -0x1.408da59bff78fp-17, -0x1.386fe548465c7p-17, -0x1.3067360107f28p-17, -0x1.2864b61d1c49ap-17, -0x1.208ede4fe4e3ap-17, -0x1.18c0c5724d7fp-17, -0x1.11072d7853fcdp-17, -0x1.0961a2e75612ep-17, -0x1.01cfc8e457903p-17, -0x1.f4a36827b06afp-18, -0x1.e5cf3d4b32ca6p-18, -0x1.d72325ac55ec2p-18, -0x1.c852f83145d77p-18, -0x1.ba3efb271c4e6p-18, -0x1.ac019ce7df4b3p-18, -0x1.9dee498574017p-18, -0x1.9001a80cf3ac2p-18, -0x1.823af557a96d4p-18, -0x1.749a01425e68bp-18, -0x1.671ea90196bb9p-18, -0x1.59cacdfe168e2p-18, -0x1.4c9a091235361p-18, -0x1.3f8abd2cb2229p-18, -0x1.32a5fdae34bc4p-18, -0x1.25e29ec5a53fep-18, -0x1.19443341f32a4p-18, -0x1.0cc924314fe3p-18, -0x1.00741fed6722p-18, -0x1.e882ffd2dec5p-19, -0x1.d06599594de1ap-19, -0x1.b892ebf1c6929p-19, -0x1.a10460166effdp-19, -0x1.89afdbddd1bbfp-19, -0x1.72a9e56a99be2p-19, -0x1.5be8a3a5866e7p-19, -0x1.456b9566f0f0dp-19, -0x1.2f32dabcc106fp-19, -0x1.194269fc8635ep-19, -0x1.0359c0280ecbfp-19, -0x1.dbf5e42a4fdc1p-20, -0x1.b1cb55579aa9cp-20, -0x1.87f387260685cp-20, -0x1.5ea36c3672abap-20, -0x1.35c34f3370433p-20, -0x1.0d6b245295634p-20, -0x1.cb241cf8c3f65p-21, -0x1.7bda97b67cba7p-21, -0x1.2e32287aea24dp-21, -0x1.c4352c8d8eb9p-22, -0x1.2c6518c4c2cddp-22, -0x1.2d4ad03a33994p-23, -0x1.337adf8e90a66p-29, 0x1.1d87bfce81832p-23, 0x1.1edb4347cfd05p-22, 0x1.acdec2db19913p-22, 0x1.1c97a2d547af5p-21, 0x1.61c470bf5fa34p-21, 0x1.a5e3c40f3bdecp-21, 0x1.e97c209972ce6p-21, 0x1.1600849e4576ep-20, 0x1.36d125e04701cp-20, 0x1.572e84246c901p-20, 0x1.771e7f140da7bp-20, 0x1.96a23a2afbaedp-20, 0x1.b5ff6e010fe65p-20, 0x1.d458c5a5acc4bp-20, 0x1.f2953653e2afdp-20, 0x1.083327ba43c39p-19, 0x1.16e3b83295d1ep-19, 0x1.25619aff3125dp-19, 0x1.33b6d66de18c3p-19, 0x1.41bfdcc8f9a68p-19, 0x1.4fa42e1287bd9p-19, 0x1.5d57430d07d14p-19, 0x1.6ad27bd23994ap-19, 0x1.781cffa89041cp-19, 0x1.853702dc7ca2dp-19, 0x1.922617ef09097p-19, 0x1.9ed870046266cp-19, 0x1.ab604efd5f8edp-19, 0x1.b7b7e3325c5e6p-19, 0x1.c3e2694ea5911p-19, 0x1.cfdab18cdb97ep-19, 0x1.dba4af7efde4dp-19, 0x1.e73c51031ad85p-19, 0x1.f1f7a63c33abp-19, 0x1.fdf097a489ca7p-19, 0x1.0484a77d4e172p-18, 0x1.09f95cb89140cp-18, 0x1.0f5931e1ab22bp-18, 0x1.14b6f4bce0a8ep-18, 0x1.19d4339d83585p-18, 0x1.1ef149794f6a7p-18, 0x1.23f8e86f10ccap-18, 0x1.28ecb210bea51p-18, 0x1.2dcacdea31089p-18, 0x1.329577cf4619p-18, 0x1.3746e5d01e29bp-18, 0x1.3c083d7c69a37p-18, 0x1.4079030feff5p-18, 0x1.44f2532b74e58p-18, 0x1.4947630bd84c3p-18, 0x1.4dacdb7d438eep-18, 0x1.51d3efd47a052p-18, 0x1.561cb5a599005p-18, 0x1.5a32599276236p-18, 0x1.5e366f70f4b7dp-18, 0x1.622d818ae3254p-18, 0x1.660ed292ee9d2p-18, 0x1.69f7471443fa4p-18, 0x1.6d9e688b22f15p-18, 0x1.714a58767a88cp-18, 0x1.74e531ae12422p-18, 0x1.786ee7cce9495p-18, 0x1.7be7e48222bdbp-18, 0x1.7fb04daca1a9ap-18, 0x1.82a1e14c68f96p-18, 0x1.85eaedf4cc9d1p-18, 0x1.8921b0db17482p-18, 0x1.8c44ed46b2e36p-18, 0x1.8f5948d4ee164p-18, 0x1.925c9ec5e741dp-18, 0x1.9521b38069703p-18, 0x1.9835e0225804dp-18, 0x1.9b0dea009fe08p-18, 0x1.9dd526e56b2bdp-18, 0x1.a0ace182c294dp-18, 0x1.a335003dd571dp-18, 0x1.a5ce161b8fe8cp-18, 0x1.a858cd0022cd4p-18, 0x1.aad510e1d6d73p-18, 0x1.ad407250ffd6cp-18, 0x1.afa2a9d6cf0cap-18, 0x1.b1f398dc257dbp-18, 0x1.b4134a1118cd6p-18, 0x1.b668ac8dada0cp-18, 0x1.b897d3d21bfd8p-18, 0x1.bab40698fe24ep-18, 0x1.bcbed583be795p-18, 0x1.bebe126d1a744p-18, 0x1.c0aa7aa8047dcp-18, 0x1.c296a17bc5f81p-18, 0x1.c48cae98f842bp-18, 0x1.c6742b43cf021p-18, 0x1.c7ffb3aa530d7p-18, 0x1.c9b74ebc49da6p-18, 0x1.cb60c1f87fddbp-18, 0x1.ccfc8051bf16fp-18, 0x1.ce8d6d532d01fp-18, 0x1.d01274867470ep-18, 0x1.d18b9b02c2ca8p-18, 0x1.d2fd542500285p-18, 0x1.d446ed4d9497dp-18, 0x1.d5b38daf516b3p-18, 0x1.d70225b506d07p-18, 0x1.d84199e60f082p-18, 0x1.d97841c96bb47p-18, 0x1.daa48d68e9a46p-18, 0x1.dbc5cf752fc3ep-18, 0x1.dcd9275780f66p-18, 0x1.ddf2977219bb8p-18, 0x1.deeb33489b51p-18, 0x1.dfe82f0719177p-18, 0x1.e0d0b35a2f9acp-18, 0x1.e17ef38004ac1p-18, 0x1.e291784b71b81p-18, 0x1.e36473074cc24p-18, 0x1.e42c9c53d5653p-18, 0x1.e4eb6fe879d5ep-18, 0x1.e5a1cf94f6e5ap-18, 0x1.e6212a39858dap-18, 0x1.e6f0bdddcc462p-18, 0x1.e78b7cc202435p-18, 0x1.e81d4a2ab3635p-18, 0x1.e8b6e26ce6589p-18, 0x1.e925d64d1e624p-18, 0x1.e99c7316ee312p-18, 0x1.ea0e96ec026e8p-18, 0x1.ea74f181d86dcp-18, 0x1.ead38986487abp-18, 0x1.eb2a631b21a69p-18, 0x1.eb79e47ded345p-18, 0x1.ebb069cbf2f25p-18, 0x1.ebffccff72e1fp-18, 0x1.ec39219785ed7p-18, 0x1.ec69831a1470cp-18, 0x1.ec93ef3fc321fp-18, 0x1.ecb69e8f73b72p-18, 0x1.ecb0ab04e6497p-18, 0x1.ece344f5301efp-18, 0x1.ecef285db2ff7p-18, 0x1.ecf519dacabbbp-18, 0x1.ecf3ed6775bfbp-18, 0x1.ecea9a9217ac7p-18, 0x1.ecdc68f144868p-18, 0x1.ecc4aa2f67ad6p-18, 0x1.ec8dcec1b654p-18, 0x1.ec88e12679e97p-18, 0x1.ec6086800b375p-18, 0x1.ec3163f8d6c0fp-18, 0x1.ebfc84d0ba4b4p-18, 0x1.ebc1bdf3b0899p-18, 0x1.eb806a969855bp-18, 0x1.eb39acef3e858p-18, 0x1.eaed18abc4b2fp-18, 0x1.ea9b17fc58a64p-18, 0x1.ea4482c3101f2p-18, 0x1.e9e679e318d62p-18, 0x1.e974f3699b42ap-18, 0x1.e926b6377a38bp-18, 0x1.e8ab600827bd1p-18, 0x1.e83178ebef67ap-18, 0x1.e7c043146402dp-18, 0x1.e7432df7d7759p-18, 0x1.e6c0e3cd68d82p-18, 0x1.e639a05b120fdp-18, 0x1.e5ae0c380165ap-18, 0x1.e51e6d4a5f4e2p-18, 0x1.e49e60afd3153p-18, 0x1.e3ee42a24f2cdp-18, 0x1.e34ddd02a1028p-18, 0x1.e2a5f9f7d3b11p-18, 0x1.e200e57725e89p-18, 0x1.e155e09a31d29p-18, 0x1.e0a78240c2a8p-18, 0x1.dff244fb7e974p-18, 0x1.df38e7feaff4fp-18, 0x1.de7d86ef6ac9p-18, 0x1.ddbc13f444c34p-18, 0x1.dcf6682ac7794p-18, 0x1.dc2e2b3da2b9dp-18, 0x1.db6787447750cp-18, }}, 
      {{-0x1.aaf2af1423df8p-1, -0x1.a92120148b84ep-1, -0x1.a624f529bbb67p-1, -0x1.a20d58756225p-1, -0x1.9ceca687091acp-1, -0x1.96d742c19094p-1, -0x1.8fe2aeb9a2be8p-1, -0x1.8824df349f9e3p-1, -0x1.7fb3b9741fa34p-1, -0x1.76a4b0d0ed28fp-1, -0x1.6d0c815de5627p-1, -0x1.62fefc25ccd9p-1, -0x1.588ee50b76748p-1, -0x1.4dcdda6e6e3b7p-1, -0x1.42cc4b0b7feefp-1, -0x1.3799702ba5ecp-1, -0x1.2c434e19aa276p-1, -0x1.20d6bc69eb81p-1, -0x1.155f6c099f986p-1, -0x1.09e7f58d4decap-1, -0x1.fcf3cafc31f7dp-2, -0x1.e63b950e43be4p-2, -0x1.cfb68c30e065p-2, -0x1.b972397126fd2p-2, -0x1.a37a82cad5b4ap-2, -0x1.8dd9d8be0e031p-2, -0x1.789942ee5944bp-2, -0x1.63c089ed8afb6p-2, -0x1.4f564ae378049p-2, -0x1.3b6018564720ap-2, -0x1.27e285f240fc5p-2, -0x1.14e14d10d31b1p-2, -0x1.025f576f25c91p-2, -0x1.e0bdad7b820abp-3, -0x1.bdc2a7a40690fp-3, -0x1.9bcf8a99b0cbcp-3, -0x1.7ae52980a002ep-3, -0x1.5b036e77f37ap-3, -0x1.3c296cb1c3077p-3, -0x1.1e557318e5243p-3, -0x1.01852b7f5b564p-3, -0x1.cb6b56c61c243p-4, -0x1.95c70f0dea13fp-4, -0x1.6215c33b87e3p-4, -0x1.304efe916a606p-4, -0x1.0069a887dc68p-4, -0x1.a4b825760a1ap-5, -0x1.4c38527f991d4p-5, -0x1.ee7dde1d1cce4p-6, -0x1.4b6cfb2cc39b4p-6, -0x1.5e2456134435ep-7, -0x1.940f722bd73ffp-10, 0x1.d8cde6a50333fp-8, 0x1.fef06ca613377p-7, 0x1.82ba54733f9p-6, 0x1.001364af0bd82p-5, 0x1.3bf520a7e83c6p-5, 0x1.7518931b9cc21p-5, 0x1.ab938d680647ep-5, 0x1.df7bbede1e42dp-5, 0x1.0873384b92111p-4, 0x1.1ff4453ceca39p-4, 0x1.364b4b0faacadp-4, 0x1.4b825b4291e72p-4, 0x1.5fa34c4c8f284p-4, 0x1.72b7bd548eadep-4, 0x1.84c912254214p-4, 0x1.95e0727c07192p-4, 0x1.a606c976683e7p-4, 0x1.b544c55583a37p-4, 0x1.c3a2d67b8646dp-4, 0x1.d129306f1e712p-4, 0x1.dddfc9cc974e2p-4, 0x1.e9ce5ca8fb696p-4, 0x1.f4fc67bcb548dp-4, 0x1.ff712d9766ccap-4, 0x1.0499dc018fc4ap-3, 0x1.09256b06d6f7fp-3, 0x1.0d5e925dfc613p-3, 0x1.11487f4a36b24p-3, 0x1.14e649380947cp-3, 0x1.183aece8ad2bfp-3, 0x1.1b494b25fad94p-3, 0x1.1e142da2c884dp-3, 0x1.209e457aae0cap-3, 0x1.22ea2c467c173p-3, 0x1.24fa646d3ea01p-3, 0x1.26d15a8a7664fp-3, 0x1.287165434f1f8p-3, 0x1.29dcc672dae73p-3, 0x1.2b15abc0aefcp-3, 0x1.2c1e2f0ed9e9fp-3, 0x1.2cf8573507748p-3, 0x1.2da618ab1f58fp-3, 0x1.2e2956111761dp-3, 0x1.2e83e0d81ef76p-3, 0x1.2eb779a425131p-3, 0x1.2ec5d1327b247p-3, 0x1.2eb0888571117p-3, 0x1.2e7931a609303p-3, 0x1.2e21500def6d3p-3, 0x1.2daa593636e78p-3, 0x1.2d15b53484266p-3, 0x1.2c64bec95e6ep-3, 0x1.2b98c421401d9p-3, 0x1.2ab3079143ca9p-3, 0x1.29b4bf556b15cp-3, 0x1.289f1641a261dp-3, 0x1.27732cc933fdp-3, 0x1.263218c230384p-3, 0x1.24dce417ee863p-3, 0x1.237492271e96p-3, 0x1.21fa19fae4e9ap-3, 0x1.206e6aac30471p-3, 0x1.1ed26a6012752p-3, 0x1.1d26f6fdec3dp-3, 0x1.1b6ce5be48c26p-3, 0x1.19a5043ddd0b8p-3, 0x1.17d0187508bafp-3, 0x1.15eee0f184f13p-3, 0x1.1402152c90e69p-3, 0x1.120a65cd0d9a1p-3, 0x1.10087ce769308p-3, 0x1.0dfcfe2bafe09p-3, 0x1.0be8871d61999p-3, 0x1.09cbaf5d14ebap-3, 0x1.07a708d523b58p-3, 0x1.057b1ff76f007p-3, 0x1.03487bccb917ep-3, 0x1.010f9e477f8e9p-3, 0x1.fda208da2c054p-4, 0x1.f91a4cf34f154p-4, 0x1.f488f00ebf3b8p-4, 0x1.efeed09420309p-4, 0x1.eb4cc4459a53bp-4, 0x1.e6a398869f199p-4, 0x1.e1f4131fa15a4p-4, 0x1.dd3ef290886c8p-4, 0x1.d884ebe81f22fp-4, 0x1.d3c6ae3a8633fp-4, 0x1.cf04e39e6a26dp-4, 0x1.ca402cbbb82afp-4, 0x1.c57924ea350e9p-4, 0x1.c0b061115069fp-4, 0x1.bbe670590363cp-4, 0x1.b71bdc04bdb58p-4, 0x1.b25127b842cc6p-4, 0x1.ad86d19bf97f8p-4, 0x1.a8bd5364252bcp-4, 0x1.a3f5208d3443ap-4, 0x1.9f2ea8f834c7bp-4, 0x1.9a6a56e1074a1p-4, 0x1.95a8906170537p-4, 0x1.90e9b758a7601p-4, 0x1.8c2e296a52af3p-4, 0x1.877640302c08ap-4, 0x1.82c25150473eap-4, 0x1.7e12aeab5e9p-4, 0x1.7967a64df9dd4p-4, 0x1.74c183ccd2ff4p-4, 0x1.70208dcc1b218p-4, 0x1.6b8508abd6974p-4, 0x1.66ef354d12651p-4, 0x1.625f52007765ap-4, 0x1.5dd5996a732c2p-4, 0x1.595243f97cddap-4, 0x1.54d58717f67c8p-4, 0x1.505f95965902ap-4, 0x1.4bf09fbd78bc8p-4, 0x1.4788d3724625dp-4, 0x1.43285c1c252aap-4, 0x1.3ecf62ecd056ap-4, 0x1.3a7e0f0f944b9p-4, 0x1.3634850777576p-4, 0x1.31f2e7fff519cp-4, 0x1.2db9587be5fb9p-4, 0x1.2987f57165c81p-4, 0x1.255edbec985b4p-4, 0x1.213e2723634afp-4, 0x1.1d25f0b242818p-4, 0x1.19165060f9d51p-4, 0x1.150f5c6572ee1p-4, 0x1.111129754cc93p-4, 0x1.0d1bcabd8081cp-4, 0x1.092f51f430284p-4, 0x1.054bcf6ccd241p-4, 0x1.017152231b2c3p-4, 0x1.fb3fcf6edb44ap-5, 0x1.f3af39227791fp-5, 0x1.ec30f7b8697d5p-5, 0x1.e4c51f40e3663p-5, 0x1.dd6bc15539c67p-5, 0x1.d624ed6e46af5p-5, 0x1.cef0b0d84f738p-5, 0x1.c7cf16c7905d8p-5, 0x1.c0c028ffca4dfp-5, 0x1.b9c3eee4b513ep-5, 0x1.b2da6dbcb9c9dp-5, 0x1.ac03a9230d9abp-5, 0x1.a53fa33199d31p-5, 0x1.9e8e5c56ef38ap-5, 0x1.97efd33c154dfp-5, 0x1.9164051624575p-5, 0x1.8aeaee2faa1d5p-5, 0x1.848486c7f43cap-5, 0x1.7e30c992ad828p-5, 0x1.77efad4e2b6a6p-5, 0x1.71c128191ead4p-5, 0x1.6ba52ecd7b15fp-5, 0x1.659bb5054532ap-5, 0x1.5fa4ad2a42a08p-5, 0x1.59c00881f2411p-5, 0x1.53edb73e9fe25p-5, 0x1.4e2da88c4a4cbp-5, 0x1.487fca855a9fdp-5, 0x1.42e40a36ff50ap-5, 0x1.3d5a53ca84532p-5, 0x1.37e29222c1935p-5, 0x1.327cae2f64842p-5, 0x1.2d289966647fep-5, 0x1.27e6335a576a4p-5, 0x1.22b560edc6673p-5, 0x1.1d9615d0e62fp-5, 0x1.18883159faedep-5, 0x1.138b98e6aec14p-5, 0x1.0ea0326e1b9bfp-5, 0x1.09c5e26ea25f8p-5, 0x1.04fc8cb3f29d3p-5, 0x1.00441475dd08bp-5, 0x1.f738b8a963174p-6, 0x1.ee0a8cf69379bp-6, 0x1.e4fd68f70a783p-6, 0x1.dc110e9d3488cp-6, 0x1.d3454006d7484p-6, 0x1.ca99bcd273418p-6, 0x1.c20e44cfacd16p-6, 0x1.b9a296c90d0fcp-6, 0x1.b15670bcd68cp-6, 0x1.a9298fefe2b59p-6, 0x1.a11bb0fd29b15p-6, 0x1.992c8fc0e06fbp-6, 0x1.915be7f5f50ap-6, 0x1.89a97436baa41p-6, 0x1.8214ee8ac3ea8p-6, 0x1.7a9e10dfec8b2p-6, 0x1.73449489dc0a3p-6, 0x1.6c08332e3a536p-6, 0x1.64e8a4eb8fa2ap-6, 0x1.5de5a1828c507p-6, 0x1.56fee0f2c94c5p-6, 0x1.50341b17fa11ap-6, 0x1.49850749eaf66p-6, 0x1.42f15c69532afp-6, 0x1.3c78d1215599p-6, 0x1.361b1d98ec37p-6, 0x1.2fd7f6ee5047cp-6, 0x1.29af142ac3ab4p-6, 0x1.23a02bbc869ep-6, 0x1.1daaf3d115c81p-6, 0x1.17cf22e6d4bf3p-6, 0x1.120c6f541bc7bp-6, 0x1.0c628f6e56b58p-6, 0x1.06d13978fa0f5p-6, 0x1.015823fdcaaf2p-6, 0x1.f7ee0afa9f457p-7, 0x1.ed5b2a6e141f5p-7, 0x1.e2f7100dc5865p-7, 0x1.d8c12d905aad4p-7, 0x1.ceb8eff1d5b75p-7, 0x1.c4ddc57824299p-7, 0x1.bb2f1d53fc4b7p-7, 0x1.b1ac66eda623p-7, 0x1.a855122e98352p-7, 0x1.9f288f8beaf0fp-7, 0x1.9626500a98962p-7, 0x1.8d4dc54b43ce2p-7, 0x1.849e618aa6dabp-7, 0x1.7c1797903e21dp-7, 0x1.73b8da194dba4p-7, 0x1.6b819a40f3639p-7, 0x1.63715e0eacf3ep-7, 0x1.5b8784fad448cp-7, 0x1.53c395e86bb2fp-7, 0x1.4c24f0318104fp-7, 0x1.44ab2f4bfcc7ap-7, 0x1.3d55b5c58a62p-7, 0x1.3624015efe4bcp-7, 0x1.2f158dff411bdp-7, 0x1.2829d7b44de7ep-7, 0x1.21605b4fd5c12p-7, 0x1.1ab8969a628b1p-7, 0x1.1432088023d2p-7, 0x1.0dcc30d1923c4p-7, 0x1.07869079a224fp-7, 0x1.0160a849b6c42p-7, 0x1.f6b3e95c78649p-8, 0x1.eae4384a2f71fp-8, 0x1.df50c917bc822p-8, 0x1.d3f91f7cad24ep-8, 0x1.c8dc0ebc0bef3p-8, 0x1.bdf8b40a7e368p-8, 0x1.b34e21cae04b1p-8, 0x1.a8db6dc0f49d9p-8, 0x1.9e9fb066fba16p-8, 0x1.949a03b59a902p-8, 0x1.8ac98297b18bep-8, 0x1.812d4b8677ebbp-8, 0x1.77c480fe6ad08p-8, 0x1.6e8e47d90c576p-8, 0x1.6589c1e61f999p-8, 0x1.5cb617609f7aap-8, 0x1.54127575a727dp-8, 0x1.4b9e07e92c88cp-8, 0x1.4357fd55377dfp-8, 0x1.3b3f87b7fd643p-8, 0x1.3353db93db662p-8, 0x1.2b942eef82037p-8, 0x1.23ffbac73997bp-8, 0x1.1c95ba5de4c41p-8, 0x1.15556b85507b2p-8, 0x1.0e3e0dd09876cp-8, 0x1.074ee41caf79cp-8, 0x1.00873341ec88ep-8, 0x1.f3cc850013e78p-9, 0x1.e6d6b716500ccp-9, 0x1.da2b94b7feb29p-9, 0x1.cdc9bb4caf8d5p-9, 0x1.c1afcc4283202p-9, 0x1.b5dc6e447e3bdp-9, 0x1.aa4e4b99ad438p-9, 0x1.9f0414b43164ap-9, 0x1.93fc7e0d02f9ap-9, 0x1.8936407a0096p-9, 0x1.7eb019818b817p-9, 0x1.7468cb9394e4cp-9, 0x1.6a5f1df80a211p-9, 0x1.6091dc6d92a91p-9, 0x1.56ffd6471dab9p-9, 0x1.4da7df8e307a5p-9, 0x1.4488d1dfda0f6p-9, 0x1.3ba18bcf95f7ap-9, 0x1.32f0edd5f2a0dp-9, 0x1.2a75de52bcd1ep-9, 0x1.222f4830362ccp-9, 0x1.1a1c1bf4140acp-9, 0x1.123b470a0b6dfp-9, 0x1.0a8bc6bddb58fp-9, 0x1.030c94d5c578fp-9, 0x1.f77961a921acep-10, 0x1.e9363d20dc43ap-10, 0x1.db4dcb0c6dd4ap-10, 0x1.cdbe236741c76p-10, 0x1.c0856ca869e79p-10, 0x1.b3a1cad4fc6aep-10, 0x1.a7116d2e07febp-10, 0x1.9ad28c110c912p-10, 0x1.8ee368c26d3bbp-10, 0x1.83423f3f2673ap-10, 0x1.77ed717ad6626p-10, 0x1.6ce34881d356cp-10, 0x1.62222d3ec4303p-10, 0x1.57a875712d9b3p-10, 0x1.4d748dde5db97p-10, 0x1.438529eaed58ap-10, 0x1.39d7fd70f7498p-10, 0x1.306cb973f77fap-10, 0x1.274105621c42ap-10, 0x1.1e53b189fd4fap-10, 0x1.15a35467c436ap-10, 0x1.0d2e89dce82a5p-10, 0x1.04f3f516a6208p-10, 0x1.f9e48008830b9p-11, 0x1.ea5036c577f3bp-11, 0x1.db287dce2b6fep-11, 0x1.cc6ad1546f803p-11, 0x1.be147f39b39f9p-11, 0x1.b0244805529abp-11, 0x1.a295225dfcb38p-11, 0x1.95678c0a2ea97p-11, 0x1.8897d829ebd22p-11, 0x1.7c23f25c6927ap-11, 0x1.7009bb3d6448cp-11, 0x1.644708b33a474p-11, 0x1.58d9bd40a6c1p-11, 0x1.4dbfc3aa27026p-11, 0x1.42f715d66849p-11, 0x1.387db7c3b12a9p-11, 0x1.2e51b4ea2b2bep-11, 0x1.2471296f61867p-11, 0x1.1ada3539d2808p-11, 0x1.118afbf04771p-11, 0x1.08818cb784463p-11, 0x1.ff796a823b262p-12, 0x1.ee73cb95c88ap-12, 0x1.ddf07c82bc0c6p-12, 0x1.cdeb33db6d6ap-12, 0x1.be60fbf9e640ep-12, 0x1.af4e8d26f1862p-12, 0x1.a0b0fb4a9c6f3p-12, 0x1.92853ad2222fbp-12, 0x1.84c8563b6561cp-12, 0x1.77776bfe9c31p-12, 0x1.6a8faa729440ep-12, 0x1.5e0e4a6e2d2dp-12, 0x1.51f091198190cp-12, 0x1.4633e6566727p-12, 0x1.3ad5ab835fce5p-12, 0x1.2fd34dfbd13cdp-12, 0x1.252a55e95945ap-12, 0x1.1ad858e9f2cd8p-12, 0x1.10dafad65dd6fp-12, 0x1.072fea2900d53p-12, 0x1.fba9f59dce02ap-13, 0x1.e98fcc9bafc35p-13, 0x1.d80d0c0ae1de9p-13, 0x1.c71db9e66cf99p-13, 0x1.b6bd9bb4e1faap-13, 0x1.a6e8ab1013755p-13, 0x1.979c4baa0788bp-13, 0x1.88d0cc3a2d3d2p-13, 0x1.7a86395802f2ep-13, 0x1.6cb7abf06a341p-13, 0x1.5f6197ac65ba2p-13, 0x1.52806abe92e9p-13, 0x1.4610f6bd2996fp-13, 0x1.3a0fd16bb7e42p-13, 0x1.2e7a31269f721p-13, 0x1.234a7a3fd5075p-13, 0x1.18826c1b586b5p-13, 0x1.0e1b131a9c6fap-13, 0x1.0412cfaec0bbep-13, 0x1.f4cd7e4ee937ep-14, 0x1.e2282bcd9bcb6p-14, 0x1.d0302c36bc111p-14, 0x1.bee019e4d72afp-14, 0x1.ae32cddc7f123p-14, 0x1.9e237106b2014p-14, 0x1.8eacfdaf1bdbfp-14, 0x1.7fcac7b30f8edp-14, 0x1.717830bb49ap-14, 0x1.63b0beee3e43p-14, 0x1.56706ef1950ccp-14, 0x1.49b2d8039b184p-14, 0x1.3d736ad2b4851p-14, 0x1.31adb8442b876p-14, 0x1.265f0bf34d6b1p-14, 0x1.1b841a169f71p-14, 0x1.111668a26055p-14, 0x1.07142c0ab9335p-14, 0x1.faf350773726dp-15, 0x1.e8862827f0036p-15, 0x1.d6d826ceea82ap-15, 0x1.c5ea61407272ep-15, 0x1.b5a941d08a79bp-15, 0x1.a61ea3dad51d8p-15, 0x1.9738cb2c3f97fp-15, 0x1.88f5ed5f893cep-15, 0x1.7b5022ba3b171p-15, 0x1.6e425de179fefp-15, 0x1.61c7008933648p-15, 0x1.55d8ee9cd042ep-15, 0x1.4a732ec0704efp-15, 0x1.3f90d58928c88p-15, 0x1.352d256136f4fp-15, 0x1.2b434196b65bbp-15, 0x1.21ced490f74acp-15, 0x1.18cb6ccea3b88p-15, 0x1.1034c9788c02fp-15, 0x1.0806c348cb66p-15, 0x1.003cda711e8ffp-15, 0x1.f1a8fb899921p-16, 0x1.e390ffe46ad35p-16, 0x1.d62b5ce3b208cp-16, 0x1.c971302dbd356p-16, 0x1.bd5beccceb4d2p-16, 0x1.b1e5433f27233p-16, 0x1.a707073cbed76p-16, 0x1.9cbb1f80e6c71p-16, 0x1.92fb9bc5098bdp-16, 0x1.89c264c6ee294p-16, 0x1.810a08a761cd4p-16, 0x1.78cd831949856p-16, 0x1.7107d7e99df56p-16, 0x1.69ad5f592fd2bp-16, 0x1.62d01273005c6p-16, 0x1.5c460ffcf8e19p-16, 0x1.563351a62d4e5p-16, 0x1.5069b595664d8p-16, 0x1.4b01de7caae74p-16, 0x1.45eedd16a161fp-16, 0x1.412cfb0b00a32p-16, 0x1.3cb86c55cb9ecp-16, 0x1.388e342ca1ccp-16, 0x1.34abd23c85a4ep-16, 0x1.3103fe8270fa1p-16, 0x1.2da3dbb9f166ep-16, 0x1.2a7e50c56c43bp-16, 0x1.2793ae44039a8p-16, 0x1.24dae39cba8a2p-16, 0x1.22574103bc6fap-16, 0x1.2004b72becc3dp-16, 0x1.1de054344dc2bp-16, 0x1.1be72a4bf3831p-16, 0x1.1a16fba9df6dep-16, 0x1.186d179f0c727p-16, 0x1.16e70d2d406dbp-16, 0x1.1582702c0858p-16, 0x1.143cff82ede0ep-16, 0x1.13148ed55f084p-16, 0x1.12077ccf7886cp-16, 0x1.11139afbfc786p-16, 0x1.1036edce076dfp-16, 0x1.0f7023c52e2bcp-16, 0x1.0ebda4aa8be7p-16, 0x1.0e1db5e7609b5p-16, 0x1.0d8e83719ad0cp-16, 0x1.0d0f4103a51c1p-16, 0x1.0c9f03e0a1949p-16, 0x1.0c3c0a5104fd8p-16, 0x1.0bd5030676525p-16, 0x1.0b8c7c04131dbp-16, 0x1.0b52619284803p-16, 0x1.0b15df442136fp-16, 0x1.0ae08f8696b7fp-16, 0x1.0ab3173ec3af2p-16, 0x1.0a8956da9521p-16, 0x1.0a6438c6e8086p-16, 0x1.0a421cc32f227p-16, 0x1.0a227c098fb69p-16, 0x1.0a04b2e1f31f1p-16, 0x1.09e761236eb56p-16, 0x1.09ca4aa865921p-16, 0x1.09ac5be4959f9p-16, 0x1.098cf288b00a6p-16, 0x1.096c89b9c29bp-16, 0x1.0949c23fbda15p-16, 0x1.0924235771146p-16, 0x1.08fb21b2bf10ap-16, 0x1.08ce4f153c38ep-16, 0x1.089d7bb30da13p-16, 0x1.086853c322679p-16, 0x1.082eb5e1e09e3p-16, 0x1.07e876bb2e486p-16, 0x1.07a339c234c34p-16, 0x1.075f341a3f6bp-16, 0x1.070d654048815p-16, 0x1.06b586ec7a32cp-16, 0x1.06596f8601385p-16, 0x1.05f1c67741787p-16, 0x1.05856ee24940ep-16, 0x1.0511cf156b6a2p-16, 0x1.0494fe63fb1a8p-16, 0x1.04142ad155149p-16, 0x1.03897290e59c2p-16, 0x1.02f7030da1effp-16, 0x1.025cfa1c12da5p-16, 0x1.01bacfc3391c1p-16, 0x1.01107adebfae1p-16, 0x1.005e318767bfbp-16, 0x1.ff3d9cab46f9dp-17, 0x1.fdb52d1fc4a75p-17, 0x1.fc2d3bb66323ep-17, 0x1.fa86f5ea936a3p-17, 0x1.f8d0a9103c2cep-17, 0x1.f70b426587c04p-17, 0x1.f53a400761185p-17, 0x1.f3468fc77708cp-17, 0x1.f14f34cb13f2bp-17, 0x1.ef56bd2ffd02cp-17, 0x1.ed3c86b82a11ep-17, 0x1.eb14e977b21a9p-17, 0x1.e8dff098da992p-17, 0x1.e69faf15a43f6p-17, 0x1.e44366a722d48p-17, 0x1.e1e716022454dp-17, 0x1.df74e1b7b082p-17, 0x1.dcf58e18a4badp-17, 0x1.da67ccdf8e414p-17, 0x1.d7cc01a9667d1p-17, 0x1.d5228bb806d2fp-17, 0x1.d26c26d54718ep-17, 0x1.cf94a19a6f945p-17, 0x1.ccbe51633db92p-17, 0x1.c9f85e910c99ep-17, 0x1.c70cb6c18ef59p-17, 0x1.c415a67b949d2p-17, 0x1.c112afd0f6e95p-17, 0x1.be041d79a1276p-17, 0x1.baea1fb2a8dedp-17, 0x1.b7c56a3b23afp-17, 0x1.b49667e16f747p-17, 0x1.b15c2c85aff53p-17, 0x1.ae18217d5395bp-17, 0x1.aac94fde8abb5p-17, 0x1.a7718c0e9bb0cp-17, 0x1.a4125eb31230fp-17, 0x1.a09e46b619bcbp-17, 0x1.9d337ad8d23b6p-17, 0x1.99ba9c54ba35ep-17, 0x1.96372d669f657p-17, 0x1.92ac7351652b1p-17, 0x1.8f1a5f314861cp-17, 0x1.8b812da65a992p-17, 0x1.87e12af014ff2p-17, 0x1.843aa1f707df5p-17, 0x1.808dd3db612a4p-17, 0x1.7cd97a1ac0b7dp-17, 0x1.79214ba1b9044p-17, 0x1.756503ad49fbp-17, 0x1.71a211706d2c2p-17, 0x1.6dda67802e6c4p-17, 0x1.6a0e404e510ep-17, 0x1.663dbd530defap-17, 0x1.6269a86459d75p-17, 0x1.5e92524516d82p-17, 0x1.5ab6c0ca6a919p-17, 0x1.56d89c0271017p-17, 0x1.52f74196d072bp-17, 0x1.4f12c7b276ba6p-17, 0x1.4b2c948219879p-17, 0x1.4745273e4da4fp-17, 0x1.435b02f4d1be8p-17, 0x1.3f6f1472acc08p-17, 0x1.3b822ac2c6853p-17, 0x1.37943a06c3672p-17, 0x1.33a5c61311b4p-17, 0x1.2faa2ff863d62p-17, 0x1.2bbc41c86765bp-17, 0x1.27d65bbe412adp-17, 0x1.23e5f670fe389p-17, 0x1.1ff5f5c0a9884p-17, 0x1.1c07abdbbe078p-17, 0x1.18164956c2877p-17, 0x1.1432adbb53ebap-17, 0x1.103de8186b24fp-17, 0x1.0c53523daab3ap-17, 0x1.086a703af9b89p-17, 0x1.0482c9f5299d8p-17, 0x1.009dc5232eeafp-17, 0x1.f9a56c03e55a6p-18, 0x1.f1aff77d2281ep-18, 0x1.e9f09ebb9d6cfp-18, 0x1.e2376f08a88dbp-18, 0x1.da8366f25fd44p-18, 0x1.d2d5ad6419495p-18, 0x1.cb2ecbcac7623p-18, 0x1.c38ebd4a0ddf9p-18, 0x1.bbe8fbf4dfcf1p-18, 0x1.b4601c20f59a7p-18, 0x1.acd3ace6ffbb6p-18, 0x1.a54ef45bb2a84p-18, 0x1.9dd99960563eep-18, 0x1.965225fdc5f61p-18, 0x1.8eef90786681ap-18, 0x1.879288f70d9ffp-18, 0x1.8035ae2085b21p-18, 0x1.78e5150cd3c8ap-18, 0x1.719dd0ed5c875p-18, 0x1.6a5fb624df184p-18, 0x1.632b588f2600dp-18, 0x1.5c00fd4dd721ep-18, 0x1.54d7e8ba60fe4p-18, 0x1.4dd0de6733221p-18, 0x1.46c1f66671da6p-18, 0x1.3fc2f25e13eedp-18, 0x1.38ccac7dd40d7p-18, 0x1.31e29d9c3d256p-18, 0x1.2b04949fa87d2p-18, 0x1.2428a9d70f66ep-18, 0x1.1d6a56ff3df89p-18, 0x1.16ae9911ceabap-18, 0x1.0ffeb1ece9eddp-18, 0x1.095ac41155d14p-18, 0x1.02c2fee262ec3p-18, 0x1.f86f438359dbcp-19, 0x1.eb719410ad283p-19, 0x1.de8b84b59d7cep-19, 0x1.d1bc8daaa90efp-19, 0x1.c5097f3bc7e2p-19, 0x1.b874db5df0417p-19, 0x1.abf49f65125fdp-19, 0x1.9f8e0dce636ebp-19, 0x1.9342104cc1e76p-19, 0x1.8710beb50420dp-19, 0x1.7afa779c077f1p-19, 0x1.6efd62c1ebc76p-19, 0x1.631d07ef702f7p-19, 0x1.5769bfffd7429p-19, 0x1.4ba606adac531p-19, 0x1.4015d29eb16a6p-19, 0x1.349e68ccffef3p-19, 0x1.29447c8384963p-19, 0x1.1df8b098ba735p-19, 0x1.1290d4ffec355p-19, 0x1.07d6400efe777p-19, 0x1.f99cd20c20fcdp-20, 0x1.e41f67d04767ap-20, 0x1.ceac747e4fad4p-20, 0x1.b96d6a23fe277p-20, 0x1.a46898d3d6a2fp-20, 0x1.8f99fb6312af4p-20, 0x1.7af59dd9e5704p-20, 0x1.66e259c258e18p-20, 0x1.52753151cd3d5p-20, 0x1.3e84b1b5caa1cp-20, 0x1.2ac81622733a8p-20, 0x1.1742caf24028dp-20, 0x1.03f3c46a42b13p-20, 0x1.e1b3a4806cffp-21, 0x1.bbec680b15b44p-21, 0x1.9691e3f06d062p-21, 0x1.71a3932cb5ecdp-21, 0x1.4d1f2ea06907ap-21, 0x1.290a25ca4746p-21, 0x1.055e755e46117p-21, 0x1.c43b5193342d6p-22, 0x1.7e8f271c873f3p-22, 0x1.39b95a3f1b48dp-22, 0x1.eb701d2d9757cp-23, 0x1.64fcbdde930c2p-23, 0x1.c07c444e90c9ap-24, 0x1.74de7ec83ed38p-25, -0x1.2294855e0306ep-26, -0x1.45a5c9fc47b7fp-24, -0x1.21cbd23874166p-23, -0x1.9f132064ecedbp-23, -0x1.0cffb6e1142e8p-22, -0x1.49b1f86435cefp-22, -0x1.859ac34593556p-22, -0x1.c0ba0f02058cep-22, -0x1.fb2ded0b2aa05p-22, -0x1.1a52e26e8168ep-21, -0x1.36b38b4aed0c6p-21, -0x1.52af60af5c1c1p-21, -0x1.6e52132f5630dp-21, -0x1.89d9c0471220ep-21, -0x1.a46dd44c7fe08p-21, -0x1.beebaad5e186cp-21, -0x1.d8ff4ce7acb6ep-21, -0x1.f2aab8dafd1fcp-21, -0x1.062315353ea21p-20, -0x1.12752afc69ef6p-20, -0x1.1f478f33b75dbp-20, -0x1.2ae5529d394e1p-20, -0x1.36e9a8d6aee0fp-20, -0x1.42b25e7ed9773p-20, -0x1.4e3e2e54400acp-20, -0x1.59c74fe14c2cp-20, -0x1.64d4070b78bc8p-20, -0x1.70017219cad3p-20, -0x1.7ae50e18fb873p-20, -0x1.859d1851666p-20, -0x1.902a3bce0202p-20, -0x1.9a8adebe8fb2dp-20, -0x1.a4c0cd92fb12ap-20, -0x1.aeca9c5c9edfap-20, -0x1.b8af769e151f4p-20, -0x1.c2662c79440b1p-20, -0x1.cbf32fcec13ebp-20, -0x1.d5589f4a7f3e7p-20, -0x1.de9059e74042fp-20, -0x1.e7a76f30cd89dp-20, -0x1.f093183205ceep-20, -0x1.f957b48705211p-20, -0x1.00f884c7ace12p-19, -0x1.053248668bddbp-19, -0x1.09598ebe6c295p-19, -0x1.0d6d432abaad3p-19, -0x1.116db8af2229p-19, -0x1.155b3c94391c4p-19, -0x1.1936030399e45p-19, -0x1.1cfe3930d22cp-19, -0x1.20b40f7780dd3p-19, -0x1.2457c0d57a03dp-19, -0x1.27e9a1994eb43p-19, -0x1.2b6a7ed23ad79p-19, -0x1.2ed85bad1d379p-19, -0x1.3232ed3418f4fp-19, -0x1.358078e6b90fbp-19, -0x1.38a3f69a97e5cp-19, -0x1.3bc9d0838a7fdp-19, -0x1.3efabde5083b8p-19, -0x1.41e8bfe89f8eap-19, -0x1.44f64fdbb1e64p-19, -0x1.47df537e895cbp-19, -0x1.4ab632d508b7dp-19, -0x1.4d7cc91331f3cp-19, -0x1.50325dde567eap-19, -0x1.52c26752b3038p-19, -0x1.556fb694ac22ep-19, -0x1.57fa0637093acp-19, -0x1.5a742b0db0821p-19, -0x1.5cda2cd0caa3ep-19, -0x1.5f1f6a5038497p-19, -0x1.617e883f10051p-19, -0x1.63c4d482abf95p-19, -0x1.65f50d718029p-19, -0x1.681757b6304e9p-19, -0x1.6a2e802b38c81p-19, -0x1.6c39ceae02a6cp-19, -0x1.6e309e99fe304p-19, -0x1.7012f0fc0961fp-19, -0x1.71ee86c93a594p-19, -0x1.73bdfec6f5479p-19, -0x1.7582267eafcc9p-19, -0x1.77396c6768437p-19, -0x1.78e209258eb82p-19, -0x1.7a7db949b6487p-19, -0x1.7c0cb466c04bp-19, -0x1.7d900ffb439d9p-19, -0x1.7f087d2afdad1p-19, -0x1.80748f75685c6p-19, -0x1.81d3b1bc7b4f2p-19, -0x1.832787b79bc99p-19, -0x1.846fde4994f0dp-19, -0x1.85acbda6b746dp-19, -0x1.86de58fe69743p-19, -0x1.8804e758fb255p-19, -0x1.892028d228659p-19, -0x1.8a2fc14f5f965p-19, -0x1.8b345a9b97acfp-19, -0x1.8c3cbaa64de66p-19, -0x1.8d2195e7ed5a2p-19, -0x1.8e0866db6c306p-19, -0x1.8ee4a1782de35p-19, -0x1.8fb6bbf0a0f31p-19, -0x1.907f227a10c6p-19, -0x1.913ddce6c0762p-19, -0x1.91f1991b3217p-19, -0x1.929bb1f9af704p-19, -0x1.936533ea65705p-19, -0x1.93d4acb5a53bdp-19, -0x1.94674fae2aac8p-19, -0x1.94ed8e54d273fp-19, -0x1.956a8a36d1434p-19, -0x1.95defaee3e236p-19, -0x1.964ae22a45351p-19, -0x1.96ae40e689621p-19, -0x1.970537bb721dfp-19, -0x1.975aae1973cffp-19, -0x1.97a7390f0d0cfp-19, -0x1.97e85245a7dc4p-19, -0x1.982355a96431cp-19, -0x1.985610c77e9d9p-19, -0x1.98814e4c36357p-19, -0x1.98a470e15579dp-19, -0x1.98c05c2ea7df3p-19, -0x1.98d46b6e33c45p-19, -0x1.98ddad427af96p-19, -0x1.98e35e6e55397p-19, -0x1.98e789ad700c3p-19, -0x1.98df381f8a172p-19, -0x1.98cf965c27022p-19, -0x1.98b9781c29401p-19, -0x1.989ce0a8aec71p-19, -0x1.987a9f3ed47fep-19, -0x1.985be2c92bf5ep-19, -0x1.982caf40dc04bp-19, -0x1.97eced094a49dp-19, -0x1.97b04ca0d2cc5p-19, -0x1.976d90835d543p-19, -0x1.972662a95ac6ep-19, -0x1.96d8cb41f9d8dp-19, -0x1.96847a5b61073p-19, -0x1.963b4fed9e541p-19, -0x1.95e26e8957319p-19, -0x1.95647f370893cp-19, -0x1.950089032f29ap-19, -0x1.948fedc38f43cp-19, -0x1.941d077963138p-19, -0x1.93a27caf5b34cp-19, -0x1.9326747a083bbp-19, -0x1.92a15d2d4deacp-19, -0x1.9218c9035d647p-19, -0x1.918b4dafb4663p-19, -0x1.90f259d2ddbcp-19, -0x1.906356118d0e1p-19, -0x1.8fc8ae3e56e6fp-19, -0x1.8f295783bd22cp-19, -0x1.8e8509ee1536ap-19, -0x1.8ddd588663837p-19, -0x1.8d318cb06bba6p-19, -0x1.8c89213a64bfep-19, -0x1.8bcc3c5cd4f84p-19, -0x1.8b1406dee4ecfp-19, -0x1.8a581137951d2p-19, -0x1.89976b26e317bp-19, -0x1.88d42e71338b7p-19, -0x1.880d910b5e3c1p-19, -0x1.873fa75c2039bp-19, -0x1.867141a52fcd8p-19, -0x1.859fc8ff0754cp-19, -0x1.84c9edf2f02aap-19, -0x1.83f049901d52p-19, -0x1.8313f52e0a0ffp-19, -0x1.8235d4d83b90bp-19, -0x1.8151ad57bc4c2p-19, -0x1.806bccdee25d5p-19, -0x1.7f82d3551f645p-19, -0x1.7e971c4fbc49ap-19, -0x1.7da82b6188f9cp-19, -0x1.7cb66325c4e9p-19, -0x1.7bc11c77384a3p-19, -0x1.7aaed66f0827bp-19, -0x1.79d092b1be032p-19, -0x1.78d4aed259888p-19, -0x1.77d5d246cf977p-19, -0x1.76d50a6b5aaaap-19, -0x1.75dc0be04ff95p-19, -0x1.74cacce87707ap-19, -0x1.73c21ecad74f1p-19, -0x1.72b5fe7f1ec9p-19, -0x1.71a96b32cf6c7p-19, -0x1.709977b15dc62p-19, -0x1.6f8995e59c4c3p-19, -0x1.6e7533902ce3cp-19, -0x1.6d65f50727167p-19, -0x1.6c488d405149fp-19, -0x1.6b2f09282d02p-19, -0x1.6a0e78b002daep-19, -0x1.68f7f86b5612p-19, -0x1.67cb6161d9298p-19, -0x1.66b968a8d1a34p-19, -0x1.65971d57f10f3p-19, -0x1.64682a3eec4adp-19, -0x1.634d54866780ep-19, -0x1.622535e2b955cp-19, -0x1.61245069fb5f5p-19, -0x1.5fd51f12bbdafp-19, -0x1.5ea93cfb940b8p-19, -0x1.5d7cb85b564a6p-19, -0x1.5c4f45f58f678p-19, -0x1.5b2062f963717p-19, -0x1.5a0f6da158ad5p-19, -0x1.58bdc14bb54d6p-19, -0x1.578c5bcf5a352p-19, -0x1.5656ae3a0a47dp-19, -0x1.5523a568680b3p-19, -0x1.53ecca560deaap-19, -0x1.52b5b8707b54bp-19, -0x1.5176d7446661p-19, -0x1.5044bbce53e0bp-19, -0x1.4f0b82d564111p-19, -0x1.4dd104b09c235p-19, -0x1.4cac500d43304p-19, -0x1.4b598e48c4adep-19, -0x1.4a1c859afd2d7p-19, -0x1.48def0c8aa74dp-19, -0x1.47a09abdbc7afp-19, -0x1.465e6aa53a713p-19, -0x1.4521e84aad5cp-19, -0x1.43e1da90a3ed7p-19, -0x1.429775608a574p-19, -0x1.41569cf48b57ap-19, -0x1.401e7cf4926ffp-19, -0x1.3eddab6ee1861p-19, -0x1.3d98a31983fa3p-19, -0x1.3c5166f8eca39p-19, -0x1.3b0b034ce8b43p-19, -0x1.39ce2f56948f4p-19, -0x1.388e258fb3f23p-19, -0x1.374a9b20e6b19p-19, -0x1.3600c2007358ep-19, -0x1.34bc26c7cd39ap-19, -0x1.3376f64132814p-19, -0x1.32318492fa5fp-19, -0x1.30ebef30dbd1dp-19, -0x1.2fa63add3bedap-19, -0x1.2e606dbc0c26p-19, -0x1.2d1ac87790a13p-19, -0x1.2bcc3eaa88e87p-19, -0x1.2a8e5586ae7c1p-19, -0x1.2949327380a12p-19, -0x1.28022bb95bb82p-19, -0x1.26bc20de77479p-19, -0x1.25765f12dd7fp-19, -0x1.2430968c9ce56p-19, -0x1.22eaaee240276p-19, -0x1.21a50d9daf1a8p-19, -0x1.205f143e72ddfp-19, -0x1.1f19e04c232cp-19, -0x1.1dd47768d6f88p-19, -0x1.1c89498531998p-19, -0x1.1b4a78eba9a23p-19, -0x1.1a05ce6fb1f7ap-19, -0x1.18c16628dce0dp-19, -0x1.177d7bcd9dda9p-19, -0x1.163a0d2b66028p-19, -0x1.14e21aba40cf7p-19, -0x1.13b1ed9d75581p-19, -0x1.126fdd48f9629p-19, -0x1.112e8271f72fdp-19, -0x1.0feee54c210b3p-19, -0x1.0ea85fe69774ap-19, -0x1.0d66202233576p-19, -0x1.0c27bb14fc958p-19, -0x1.0ae61be4d978fp-19, -0x1.09a55aa2ac595p-19, -0x1.08658bf26ea66p-19, -0x1.072644df035aap-19, -0x1.05e69e20df724p-19, -0x1.04a948aeefae1p-19, -0x1.036ba570bf2ddp-19, -0x1.022e6b4680fd6p-19, -0x1.00f1db266c216p-19, -0x1.ff71b5358ca1cp-20, -0x1.fcd717ff80407p-20, -0x1.fa7f4cada23cep-20, -0x1.f80993f322465p-20, -0x1.f59685e60f66bp-20, -0x1.f32462b60cd14p-20, -0x1.f0b1f9e8a81ffp-20, -0x1.ee42cd652c3dp-20, -0x1.ebd43a83ff8b5p-20, -0x1.e96285530e383p-20, -0x1.e6fc16ad4783fp-20, -0x1.e491dca9e18cap-20, -0x1.e227eab546bf8p-20, -0x1.dfc0364b9130dp-20, -0x1.dd5a6aeb72685p-20, -0x1.daf5630fe7b2ep-20, -0x1.d8924b22031e1p-20, -0x1.d630bdd198b4dp-20, -0x1.d3d182eab12adp-20, -0x1.d17693f243e6fp-20, -0x1.cf15b10552fbcp-20, -0x1.ccb3de1fff1cp-20, -0x1.ca7efac70decbp-20, -0x1.c805c604da083p-20, -0x1.c5aed4edd293fp-20, -0x1.c3595565f701ap-20, -0x1.c105ba10d51a4p-20, -0x1.beb3ad7813f01p-20, -0x1.bc6337f9883a1p-20, -0x1.ba14d0b916efp-20, -0x1.b7c8a2790bde3p-20, -0x1.b58a68457347cp-20, -0x1.b33380e4606d3p-20, -0x1.b0eae312d6983p-20, -0x1.aea46b04a3a1dp-20, -0x1.ac6039e33c63p-20, -0x1.aa1c31aae51ccp-20, -0x1.a7ddd78db5ed7p-20, -0x1.a59df73194c4dp-20, -0x1.a3601acbee2e8p-20, -0x1.a125dc9c84623p-20, -0x1.9eebd6e01c376p-20, -0x1.9cb362737091p-20, -0x1.9a7e0b0ae2e17p-20, -0x1.984b00b69637dp-20, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.a3e58a45fb8fdp-4, 0x1.9b86e5598be81p-3, 0x1.2b777e63d2c32p-2, 0x1.8044dd6b85ac9p-2, 0x1.cb296264be33p-2, 0x1.05dd114552259p-1, 0x1.20fcc68f7b5e3p-1, 0x1.371bd82f6803cp-1, 0x1.487d00de30244p-1, 0x1.55747716c9273p-1, 0x1.5e60f7b81f56ap-1, 0x1.63a6866812838p-1, 0x1.65aa89a5a3972p-1, 0x1.64d0f452deb82p-1, 0x1.617a3ab8149acp-1, 0x1.5c01ec3222912p-1, 0x1.54bdc80ab51e4p-1, 0x1.4bfd2ec4ef633p-1, 0x1.4208e1ce859aep-1, 0x1.3722f2b159f5p-1, 0x1.2b86dfb1915f9p-1, 0x1.1f69cb442fca2p-1, 0x1.12fac86ee9972p-1, 0x1.066334f7c8753p-1, 0x1.f38e3a3c9ab09p-2, 0x1.da8b3f8e35cf7p-2, 0x1.c1f2b1469865cp-2, 0x1.a9f189b8030a4p-2, 0x1.92ad4df3dd8b6p-2, 0x1.7c44cc9eee203p-2, 0x1.66d0ce487c6e8p-2, 0x1.5264bfefaeaf1p-2, 0x1.3f0f4e4bbf9d2p-2, 0x1.2cdaf44f01923p-2, 0x1.1bce8045a7a72p-2, 0x1.0bed890afd44ep-2, 0x1.fa71bbaa28315p-3, 0x1.df5dcb24c4965p-3, 0x1.c697fdf0f2334p-3, 0x1.b0158d5fed581p-3, 0x1.9bc8d39e2df8bp-3, 0x1.89a1c4ed9300fp-3, 0x1.798e63b3dbb0bp-3, 0x1.6b7b29ce05e5ep-3, 0x1.5f536054ebe3ap-3, 0x1.5501718156c76p-3, 0x1.4c6f2e482ae09p-3, 0x1.458609cb61a36p-3, 0x1.402f4edab3c24p-3, 0x1.3c544cff20e96p-3, 0x1.39de7fe50fdb3p-3, 0x1.38b7afcbdb23bp-3, 0x1.38ca0d18ddf1dp-3, 0x1.3a0048008146cp-3, 0x1.3c45a2ffee655p-3, 0x1.3f8602090d428p-3, 0x1.43adf687aedcap-3, 0x1.48aac8861c0d7p-3, 0x1.4e6a7bef17b01p-3, 0x1.54dbd65d86ab4p-3, 0x1.5bee60cc99af4p-3, 0x1.6392677a78ddp-3, 0x1.6bb8fa0d47ce8p-3, 0x1.7453e8d2a8a75p-3, 0x1.7d55c246c7bbap-3, 0x1.86b1ced74a77p-3, 0x1.905c0c7c88aefp-3, 0x1.9a4929831c223p-3, 0x1.a46e7f146b1eep-3, 0x1.aec20b61ef0b8p-3, 0x1.b93a6b57b9115p-3, 0x1.c3ced48e58ee1p-3, 0x1.ce770ed36064ep-3, 0x1.d92b6dcac0055p-3, 0x1.e3e4ca7ef342cp-3, 0x1.ee9c7d57589b4p-3, 0x1.f94c577345f66p-3, 0x1.01f74e7986fa8p-2, 0x1.073effa4ba58ep-2, 0x1.0c7acb40c4f31p-2, 0x1.11a86e6f95108p-2, 0x1.16c5d48627054p-2, 0x1.1bd11445ed31fp-2, 0x1.20c86db4c7587p-2, 0x1.25aa479dae256p-2, 0x1.2a752d3ce44bcp-2, 0x1.2f27cc29ec5d4p-2, 0x1.33c0f24b00f3cp-2, 0x1.383f8bd23f1dbp-2, 0x1.3ca2a16ac34bp-2, 0x1.40e956716fa08p-2, 0x1.4512e74b12f2dp-2, 0x1.491ea7c3f6cf4p-2, 0x1.4d0c01a0a0339p-2, 0x1.50da73246d6d2p-2, 0x1.54898dcb93e36p-2, 0x1.5818f4f5cc24ap-2, 0x1.5b885cbb9ca03p-2, 0x1.5ed788d6eb6c2p-2, 0x1.62064b9777736p-2, 0x1.651484cdf0bf2p-2, 0x1.680220f4212acp-2, 0x1.6acf1853a4189p-2, 0x1.6d7b6e156fde5p-2, 0x1.70072f9ac79abp-2, 0x1.727273bc78b01p-2, 0x1.74bd5a1bff733p-2, 0x1.76e80a80a3172p-2, 0x1.78f2b44e2b20fp-2, 0x1.7add8df3ef48cp-2, 0x1.7ca8d446edc88p-2, 0x1.7e54ca5a7ade2p-2, 0x1.7fe1b8a98d16ep-2, 0x1.814feceb133c3p-2, 0x1.829fb9a4e586ep-2, 0x1.83d175aaef5a2p-2, 0x1.84e57bfa44bdap-2, 0x1.85dc2b38a722ap-2, 0x1.86b5e57c24524p-2, 0x1.87730ff6fc3b1p-2, 0x1.881412bda3c66p-2, 0x1.889958725fe1bp-2, 0x1.89034e208b5ap-2, 0x1.895262eadeab5p-2, 0x1.898707dc1af24p-2, 0x1.89a1afb1f5b77p-2, 0x1.89a2ceb792b9p-2, 0x1.898ada7ef19efp-2, 0x1.895a49c86d0cp-2, 0x1.89119450bb6cp-2, 0x1.88b132aa863d1p-2, 0x1.88399e172734ep-2, 0x1.87ab50662f811p-2, 0x1.8706c3d296b29p-2, 0x1.864c72e1773e3p-2, 0x1.857cd8461d80fp-2, 0x1.84986ec35b09ep-2, 0x1.839fb118db3eap-2, 0x1.829319d39833dp-2, 0x1.8173234ee28f6p-2, 0x1.80404792d5778p-2, 0x1.7efb003cfc4f2p-2, 0x1.7da3c6703a2e3p-2, 0x1.7c3b12bdce9d5p-2, 0x1.7ac15d1569094p-2, 0x1.79371cb624de5p-2, 0x1.779cc8175fa59p-2, 0x1.75f2d4e3418f6p-2, 0x1.7439b7e5b5ab1p-2, 0x1.7271e4f368fbep-2, 0x1.709bcef2c7882p-2, 0x1.6eb7e7b8c9a12p-2, 0x1.6cc6a017a1948p-2, 0x1.6ac867bcebep-2, 0x1.68bdad3231d16p-2, 0x1.66a6ddd52d153p-2, 0x1.648465d44fbfcp-2, 0x1.6256b01cdedb3p-2, 0x1.601e26529ce98p-2, 0x1.5ddb30d406e3fp-2, 0x1.5b8e36b6545d9p-2, 0x1.59379db09eec4p-2, 0x1.56d7ca1f54d8dp-2, 0x1.546f1efc38126p-2, 0x1.51fdfdeb4208dp-2, 0x1.4f84c72299edep-2, 0x1.4d03d96e20061p-2, 0x1.4a7b922970803p-2, 0x1.47ec4d419125ap-2, 0x1.4556653e70274p-2, 0x1.42ba332cd1f1bp-2, 0x1.40180ea008fbbp-2, 0x1.3d704dbd7a38fp-2, 0x1.3ac3452b74559p-2, 0x1.3811482f7e4ep-2, 0x1.355aa8833cbc4p-2, 0x1.329fb66ce12f3p-2, 0x1.2fe0c0ba15397p-2, 0x1.2d1e14cc5665dp-2, 0x1.2a57fe8cdd1c7p-2, 0x1.278ec8711d5d6p-2, 0x1.24c2bb7405e12p-2, 0x1.21f41f1b41e61p-2, 0x1.1f2339826bd62p-2, 0x1.1c504f6078dcp-2, 0x1.197ba3f5a7767p-2, 0x1.16a579111bdf1p-2, 0x1.13ce0f19b4a2cp-2, 0x1.10f5a5100549bp-2, 0x1.0e1c78989555bp-2, 0x1.0b42c5f5ef6a3p-2, 0x1.0868c7fc14867p-2, 0x1.058eb82e8d7b4p-2, 0x1.02b4cea756362p-2, 0x1.ffb6846c45466p-3, 0x1.fa0490b50c0bdp-3, 0x1.f4542a809703cp-3, 0x1.eea5b774cce1cp-3, 0x1.e8f99a9edf88p-3, 0x1.e35034857d8f5p-3, 0x1.dda9e32b58cacp-3, 0x1.d807021bff23p-3, 0x1.d267ea59476cp-3, 0x1.ccccf266d4f68p-3, 0x1.c7366e5e61a86p-3, 0x1.c1a4afed87845p-3, 0x1.bc180670e20f1p-3, 0x1.b690beec31c3cp-3, 0x1.b10f240b168e1p-3, 0x1.ab937e3231854p-3, 0x1.a61e1372d0e2ep-3, 0x1.a0af27ae8b66ap-3, 0x1.9b46fc94cfd09p-3, 0x1.95e5d1b180196p-3, 0x1.908be464803f1p-3, 0x1.8b396fee7ae5ap-3, 0x1.85eead759120ep-3, 0x1.80abd410ea56bp-3, 0x1.7b7118d2ed15dp-3, 0x1.763eaef079956p-3, 0x1.7114c77156d61p-3, 0x1.6bf3917c9b622p-3, 0x1.66db3a8a039d2p-3, 0x1.61cbede2caf15p-3, 0x1.5cc5d5165dfb6p-3, 0x1.57c917ebadbaep-3, 0x1.52d5dc5a164cp-3, 0x1.4dec469ba9114p-3, 0x1.490c792f5a5fp-3, 0x1.443694df3fbbap-3, 0x1.3f6ab8c84bdffp-3, 0x1.3aa902669c985p-3, 0x1.35f18d96264b2p-3, 0x1.314474a6bebb4p-3, 0x1.2ca1d05adcdadp-3, 0x1.2809b7f7063d4p-3, 0x1.237c413491139p-3, 0x1.1ef9805875a88p-3, 0x1.1a818839f54d7p-3, 0x1.16146a48ff4dcp-3, 0x1.11b23692e0b8cp-3, 0x1.0d5afbdbba49p-3, 0x1.090ec77da591bp-3, 0x1.04cda595a1017p-3, 0x1.0097a1066ad6ep-3, 0x1.f8d986bd64c41p-4, 0x1.f09a2a1076c07p-4, 0x1.e8713a6771ac1p-4, 0x1.e05ec3d85a5a2p-4, 0x1.d862d04c0d734p-4, 0x1.d07d676b2f62bp-4, 0x1.c8ae8eb4508a5p-4, 0x1.c0f6498aeda28p-4, 0x1.b954994e84f0ep-4, 0x1.b1c97d40b6d38p-4, 0x1.aa54f2debd04cp-4, 0x1.a2f6f5a79c0fep-4, 0x1.9baf7f46aea2fp-4, 0x1.947e87982dc3bp-4, 0x1.8d6404c278457p-4, 0x1.865feb2f084a5p-4, 0x1.7f722da3d0e41p-4, 0x1.789abd4d00852p-4, 0x1.71d989c28ecd8p-4, 0x1.6b2e811db99ebp-4, 0x1.64998fffd5b94p-4, 0x1.5e1aa1acd309p-4, 0x1.57b19ff776ab6p-4, 0x1.515e735b2d05ap-4, 0x1.4b21031b30a8ep-4, 0x1.44f9352cfe4a7p-4, 0x1.3ee6ee564608p-4, 0x1.38ea1234112b6p-4, 0x1.33028345970bap-4, 0x1.2d3022f6a752bp-4, 0x1.2772d1a96c6e9p-4, 0x1.21ca6ec0158eap-4, 0x1.1c36d8a649eaap-4, 0x1.16b7ecdb37ba7p-4, 0x1.114d87fb6216cp-4, 0x1.0bf785c5eee9ep-4, 0x1.06b5c13591affp-4, 0x1.0188147568798p-4, 0x1.f8dcb1ef319c7p-5, 0x1.eed0cede8e28ep-5, 0x1.e4ec2fecbbbeep-5, 0x1.db2e83fa865bdp-5, 0x1.d19778a331b12p-5, 0x1.c826ba5c0afe1p-5, 0x1.bedbf48d28b61p-5, 0x1.b5b6d19f40296p-5, 0x1.acb6fb045acd4p-5, 0x1.a3dc193e5782dp-5, 0x1.9b25d3fc589e4p-5, 0x1.9293d2230eedap-5, 0x1.8a25b9b8dea2ap-5, 0x1.81db30f33622fp-5, 0x1.79b3db599dc1ep-5, 0x1.71af5e8118b21p-5, 0x1.69cd5d92990a5p-5, 0x1.620d7bfa60131p-5, 0x1.5a6f5ca293718p-5, 0x1.52f2a2101f809p-5, 0x1.4b96ee6b241e5p-5, 0x1.445be39fa7bccp-5, 0x1.3d41236ac96edp-5, 0x1.36464f4f7845bp-5, 0x1.2f6b088d93cfbp-5, 0x1.28aef04aebf21p-5, 0x1.2211a7e2c47a1p-5, 0x1.1b92d05737584p-5, 0x1.15320ac1efe7ep-5, 0x1.0eeef85b2977p-5, 0x1.08c93a5b7b82ap-5, 0x1.02c0721d9c66fp-5, 0x1.f9a8824c09232p-6, 0x1.ee08924729dafp-6, 0x1.e2a057efeebfbp-6, 0x1.d76f1783ae2edp-6, 0x1.cc7415d76cb3p-6, 0x1.c1ae984b83594p-6, 0x1.b71de4f04e666p-6, 0x1.acc14277dbd4ep-6, 0x1.a297f86005028p-6, 0x1.98a14efc22b42p-6, 0x1.8edc8f8f23c8ap-6, 0x1.85490411c44ddp-6, 0x1.7be5f7828f078p-6, 0x1.72b2b5dc604e2p-6, 0x1.69ae8c368559cp-6, 0x1.60d8c898a2ffep-6, 0x1.5830ba314f0b5p-6, 0x1.4fb5b1578cee7p-6, 0x1.4766ff906ab0dp-6, 0x1.3f43f797da1bp-6, 0x1.374bed664da46p-6, 0x1.2f7e36356b0d4p-6, 0x1.27da2888f3517p-6, 0x1.205f1c3a8b5d6p-6, 0x1.190c6a6db07f6p-6, 0x1.11e16dafcb079p-6, 0x1.0add8211ff502p-6, 0x1.0400050a48ff1p-6, 0x1.fa90ab01661d6p-7, 0x1.ed6ba7a9165c2p-7, 0x1.e08fc3ba96c18p-7, 0x1.d3fbc5de27324p-7, 0x1.c7ae7793d17ep-7, 0x1.bba6a544716b1p-7, 0x1.afe31e754fbdbp-7, 0x1.a462b5d9a07c6p-7, 0x1.992441959d5afp-7, 0x1.8e269b4131b65p-7, 0x1.83689f6d99023p-7, 0x1.78e92e0a6e8ebp-7, 0x1.6ea72a63a906ap-7, 0x1.64a17a8105041p-7, 0x1.5ad707b324604p-7, 0x1.5146bd5ac9d4dp-7, 0x1.47ef8b098d17bp-7, 0x1.3ed062d633965p-7, 0x1.35e83b3154b1ap-7, 0x1.2d360d57cf3a7p-7, 0x1.24b8d7ec3a75ep-7, 0x1.1c6f9928bd329p-7, 0x1.145959e95911ep-7, 0x1.0c751e18e6221p-7, 0x1.04c1f0967b795p-7, 0x1.fa7dbb995f6d4p-8, 0x1.ebd5e97d7db01p-8, 0x1.dd8a8ede62dffp-8, 0x1.cf99d6d20c2b8p-8, 0x1.c201f45acd60dp-8, 0x1.b4c122ffa2c81p-8, 0x1.a7d5a736dc26fp-8, 0x1.9b3dcdd1d629bp-8, 0x1.8ef7e8c0ff586p-8, 0x1.830252d25485ap-8, 0x1.775b65b5fe902p-8, 0x1.6c01815edc96fp-8, 0x1.60f3078d2616fp-8, 0x1.562e5e153af3cp-8, 0x1.4bb1f02387853p-8, 0x1.417c30bacf4a3p-8, 0x1.378b9ceb871fbp-8, 0x1.2ddebc4d3ae71p-8, 0x1.2474211e9de66p-8, 0x1.1b4a6735370eep-8, 0x1.12603148052e3p-8, 0x1.09b4264d4e134p-8, 0x1.0144ef0e38048p-8, 0x1.f222698d11893p-9, 0x1.e22f36f63e843p-9, 0x1.d2ada4d76a614p-9, 0x1.c39afe1aea653p-9, 0x1.b4f4afc046b3ap-9, 0x1.a6b82f11f0012p-9, 0x1.98e30c4658d7cp-9, 0x1.8b72ee61a84d6p-9, 0x1.7e65945ca9fc7p-9, 0x1.71b8cfa002602p-9, 0x1.656a7d759d9e3p-9, 0x1.5978801578195p-9, 0x1.4de0b8a090bep-9, 0x1.42a1046909304p-9, 0x1.37b73e7f030f4p-9, 0x1.2d214150cbedap-9, 0x1.22dcec509e73dp-9, 0x1.18e82ae943382p-9, 0x1.0f40f93f83da9p-9, 0x1.05e5680aaf175p-9, 0x1.f9a73e6021f3p-10, 0x1.e813a74d70c87p-10, 0x1.d70caa3adabaap-10, 0x1.c68ef2169c01bp-10, 0x1.b6971c0f4b498p-10, 0x1.a721e39093efp-10, 0x1.982bf5be770e3p-10, 0x1.89b1f9f470f33p-10, 0x1.7bb0a37eb57d8p-10, 0x1.6e24ac27763e4p-10, 0x1.610ae852aa885p-10, 0x1.54604701683fep-10, 0x1.4821d6a330b46p-10, 0x1.3c4cc221015f6p-10, 0x1.30de50545e3e1p-10, 0x1.25d3e0b774951p-10, 0x1.1b2ad1a2ac9eap-10, 0x1.10e0ac72612aep-10, 0x1.06f2d02575245p-10, 0x1.fabd62f1d2ddfp-11, 0x1.e84378263d23cp-11, 0x1.d672be5d9e8e5p-11, 0x1.c5462de69e8c6p-11, 0x1.b4b8ebb9e4c4dp-11, 0x1.a4c6560232d08p-11, 0x1.956a0489de944p-11, 0x1.869fbf6482a24p-11, 0x1.7863728740df8p-11, 0x1.6ab1275b261f2p-11, 0x1.5d8500a79ffa8p-11, 0x1.50db3b8e99001p-11, 0x1.44b029ba3be09p-11, 0x1.390020196ee21p-11, 0x1.2dc7727011e7ep-11, 0x1.23028173fcff5p-11, 0x1.18ad9d79dabf3p-11, 0x1.0ec4e7590b672p-11, 0x1.0544e466df7aep-11, 0x1.f85451563197ap-12, 0x1.e6e3007fcf277p-12, 0x1.d62fd793ee245p-12, 0x1.c634f0caf105p-12, 0x1.b6ec80f0f70c6p-12, 0x1.a85084cb147c8p-12, 0x1.9a5b23fe7ff98p-12, 0x1.8d06a62ce7704p-12, 0x1.804dbe7fbfe6fp-12, 0x1.742b7f9ed77bdp-12, 0x1.689b3313da5d8p-12, 0x1.5d9830b4b49f4p-12, 0x1.531db70346bfp-12, 0x1.4926ec48f884bp-12, 0x1.3faf038ce1dc4p-12, 0x1.36b16a7ca0f18p-12, 0x1.2e29ee4ca2cfbp-12, 0x1.2614b64f76683p-12, 0x1.1e6e201f2db45p-12, 0x1.17327e474e0ep-12, 0x1.105ddd447d502p-12, 0x1.09ebe38f9c009p-12, 0x1.03d8037e6637ep-12, 0x1.fc3b6dc74bbafp-13, 0x1.f171b639bbe53p-13, 0x1.e74bbcce7321cp-13, 0x1.ddc367cd5ecc3p-13, 0x1.d4d333e21777p-13, 0x1.cc75b46ee447p-13, 0x1.c4a5529ab5eaap-13, 0x1.bd5c5c26f57dp-13, 0x1.b6953f0dc7d0ap-13, 0x1.b04ac778ef052p-13, 0x1.aa7843c529a68p-13, 0x1.a519cf8aac526p-13, 0x1.a02a55dd7f567p-13, 0x1.9ba78b5edc2e5p-13, 0x1.978bf873d9131p-13, 0x1.93d23e396b1e8p-13, 0x1.907517f4fb02bp-13, 0x1.8d6e23fcf100cp-13, 0x1.8ab742139985ep-13, 0x1.884aecdbb05ddp-13, 0x1.862490ab360b8p-13, 0x1.84407fb186006p-13, 0x1.829b5f83dd167p-13, 0x1.8132f18e23bc9p-13, 0x1.80042cf422dddp-13, 0x1.7f0c58e5ed87p-13, 0x1.7e485f29949a4p-13, 0x1.7db5a4f84425dp-13, 0x1.7d518d38dc847p-13, 0x1.7d19be880e39ep-13, 0x1.7d0c04fbca1dp-13, 0x1.7d263009f698cp-13, 0x1.7d6600cd96c1cp-13, 0x1.7dc91a1417413p-13, 0x1.7e4cd24d3349bp-13, 0x1.7eee27ffd921ap-13, 0x1.7fa9ccd2f5a24p-13, 0x1.807c55cff5ef7p-13, 0x1.81626a19d7795p-13, 0x1.82591750c04e8p-13, 0x1.835e2c143e17dp-13, 0x1.8470409927508p-13, 0x1.858e75a2d87ecp-13, 0x1.86b7f7e8a1457p-13, 0x1.87eb973598bfbp-13, 0x1.8927d30dec1b3p-13, 0x1.8a6b2ab8c6f08p-13, 0x1.8bb47e0154dfep-13, 0x1.8d027b1a81cbp-13, 0x1.8e540a6899e7cp-13, 0x1.8fa826cb35042p-13, 0x1.90fdfe829c2b8p-13, 0x1.92530c2f8050cp-13, 0x1.93a80f4548207p-13, 0x1.94faca5b6b54cp-13, 0x1.964a800804dcep-13, 0x1.9796154f53088p-13, 0x1.98dc5381ede54p-13, 0x1.9a1ba26521e5cp-13, 0x1.9b5246bbc9a2bp-13, 0x1.9c7ee2181639dp-13, 0x1.9da11367f577ep-13, 0x1.9eb8da861f559p-13, 0x1.9fc676f2e4cfep-13, 0x1.a0c94e2ab8a33p-13, 0x1.a1c098ea46522p-13, 0x1.a2abd6d14ca36p-13, 0x1.a38ac081dc15bp-13, 0x1.a45d06b32dbb9p-13, 0x1.a5224afe9403ap-13, 0x1.a5d9e7d05d775p-13, 0x1.a683bc94b5d54p-13, 0x1.a71f344134a57p-13, 0x1.a7ab5de9ccda5p-13, 0x1.a828264fce47p-13, 0x1.a895513ab35dep-13, 0x1.a8f362e0bd2d2p-13, 0x1.a941ef67c4f39p-13, 0x1.a98105c6116ccp-13, 0x1.a9b0490518414p-13, 0x1.a9cf1c6e74e97p-13, 0x1.a9dc902bbe26fp-13, 0x1.a9d8545447d4ap-13, 0x1.a9c2e14562b7ep-13, 0x1.a99cbea2dfa2p-13, 0x1.a965da5797c7ap-13, 0x1.a91de6b62ab5dp-13, 0x1.a8c55c4cd8686p-13, 0x1.a85be0112febep-13, 0x1.a7e13f21dd2c2p-13, 0x1.a75689a0feb3cp-13, 0x1.a6bb09cbd89e7p-13, 0x1.a60e97d7ddccdp-13, 0x1.a5513cb939dbcp-13, 0x1.a482bf1a7e45p-13, 0x1.a3a3b06088629p-13, 0x1.a2b448c133499p-13, 0x1.a1b4440caabffp-13, 0x1.a0a425badefc8p-13, 0x1.9f8434dd370adp-13, 0x1.9e550ad10f62ep-13, 0x1.9d1574cab8b5ep-13, 0x1.9bc79e0166a09p-13, 0x1.9a699e5733dc7p-13, 0x1.98fbef612876dp-13, 0x1.977ebfa41d5dep-13, 0x1.95f2c55654b2fp-13, 0x1.945833dd73037p-13, 0x1.92aedb08573f4p-13, 0x1.90f7360862398p-13, 0x1.8f31c3dbdc3dcp-13, 0x1.8d5e975c7c9c9p-13, 0x1.8b7dd5027c44ap-13, 0x1.898f74f61b183p-13, 0x1.8793b3b3c2091p-13, 0x1.858ad73ac7755p-13, 0x1.83752807d0bbcp-13, 0x1.8152ee5c8c11p-13, 0x1.7f2469f518e1fp-13, 0x1.7ce9cf839c783p-13, 0x1.7aa36ede5d1bap-13, 0x1.785187cad288fp-13, 0x1.75f4701b22133p-13, 0x1.738c7f48a48bap-13, 0x1.7119af82b18b6p-13, 0x1.6e9c8a266c174p-13, 0x1.6c14c4dd69461p-13, 0x1.6982effa97fe7p-13, 0x1.66e77fa7d611ap-13, 0x1.64426d0106a28p-13, 0x1.6193f944d6b62p-13, 0x1.5edc939e0e323p-13, 0x1.5c1c5493bfe1cp-13, 0x1.59537fb0b41fep-13, 0x1.568317f16a826p-13, 0x1.53aa157a3e442p-13, 0x1.50c8a7c5a3fbp-13, 0x1.4de040ca04227p-13, 0x1.4af08701be892p-13, 0x1.47f9bfe9f91ccp-13, 0x1.44fc2dc76919bp-13, 0x1.41f8102f8dd28p-13, 0x1.3eed9f74c14a6p-13, 0x1.3bdd19add8875p-13, 0x1.38c6c9f09d814p-13, 0x1.35aaea3cf4d2cp-13, 0x1.3289bda502f44p-13, 0x1.2f638e4b9c742p-13, 0x1.2c387a4c651f1p-13, 0x1.2908a90e96c19p-13, 0x1.25d46686656fbp-13, 0x1.229bde547af08p-13, 0x1.1f5f5beb5e68ep-13, 0x1.1c1f297df5fdbp-13, 0x1.18dc14208053dp-13, 0x1.15950dfd5a97p-13, 0x1.124a7a77565d2p-13, 0x1.0efd6b9aabf92p-13, 0x1.0bad9bc529cf1p-13, 0x1.085b6dcaa6001p-13, 0x1.05067e21f7d12p-13, 0x1.01b0bcebd65cep-13, 0x1.fcafd95cd00b5p-14, 0x1.f5fb96d4e7c8p-14, 0x1.ef4453b7bbce4p-14, 0x1.e88a7322c650ap-14, 0x1.e1ce52ae9f023p-14, 0x1.db10151c92022p-14, 0x1.d450e11cbe4dcp-14, 0x1.cd90356800879p-14, 0x1.c6ced1812c1d9p-14, 0x1.c00d127d57741p-14, 0x1.b94b32d8c4e4dp-14, 0x1.b2897cbe0860dp-14, 0x1.abc8505cda177p-14, 0x1.a507cee9f6036p-14, 0x1.9e48f71cc99bdp-14, 0x1.978b62c0dc3b5p-14, 0x1.90cf9d5f6f405p-14, 0x1.8a160d6290048p-14, 0x1.835e8f8f4eb84p-14, 0x1.7caa25d5ab06p-14, 0x1.75f8aca9280d1p-14, 0x1.6f4a56a45c01ep-14, 0x1.689f911324efbp-14, 0x1.61f89796ceba7p-14, 0x1.5b55b01db9ebap-14, 0x1.54b7121523fc8p-14, 0x1.4e1cf5101f1e9p-14, 0x1.47869802e720ep-14, 0x1.40f80b1e8cec8p-14, 0x1.3a6cb144439ffp-14, 0x1.33e75b217d47ep-14, 0x1.2d67a7af4be95p-14, 0x1.26edf417a3b7cp-14, 0x1.207a684c0049ep-14, 0x1.1a0d0b893db4ep-14, 0x1.13a68de863551p-14, 0x1.0d46c003dba6ap-14, 0x1.06edd2a52c3f6p-14, 0x1.009c0d97ca0ebp-14, 0x1.f4a34726cf524p-15, 0x1.e81d7a3008f96p-15, 0x1.dba704ab55d9ap-15, 0x1.cf402f1aa37b2p-15, 0x1.c2eb003e3186ap-15, 0x1.b6a5a64e2bdf7p-15, 0x1.aa6d3cf690298p-15, 0x1.9e488c9921a24p-15, 0x1.9235017dedd1bp-15, 0x1.8632f10e98adcp-15, 0x1.7a42a675880fp-15, 0x1.6e6464ffd70dfp-15, 0x1.629878a673693p-15, 0x1.56dede5dfcdb2p-15, 0x1.4b3715cf8e9f2p-15, 0x1.3fa4d1195683fp-15, 0x1.34243a0dcadabp-15, 0x1.28b755ed2f689p-15, 0x1.1d5e1806459d2p-15, 0x1.1218b795b319ap-15, 0x1.06e77ccb435a7p-15, 0x1.f793ef58d253ap-16, 0x1.e180fe33efb8p-16, 0x1.cb9946a4765abp-16, 0x1.b5da03880d4d1p-16, 0x1.a04472ef1afbbp-16, 0x1.8ad900d81791p-16, 0x1.7597ce7ab4b72p-16, 0x1.6080c8328537bp-16, 0x1.4b9796ead58eap-16, 0x1.36d45fc93d67cp-16, 0x1.223ee4ed63cd6p-16, 0x1.0dd4db23e0dd9p-16, 0x1.f32cb20d7a4a4p-17, 0x1.cb075460309d6p-17, 0x1.a33a1e2817c3dp-17, 0x1.7bc539b65a734p-17, 0x1.54a8ed40d0a1ap-17, 0x1.2de58334813eep-17, 0x1.077b31c9a1a02p-17, 0x1.c2d4e58756823p-18, 0x1.776689df3b44fp-18, 0x1.2caba0004220ep-18, 0x1.c548a8fc59957p-19, 0x1.32a3ac8af6fddp-19, 0x1.42d1a7beb0863p-20, 0x1.195165c543935p-23, -0x1.f35eb2ba3f299p-21, -0x1.09daaa6c1d26ep-19, -0x1.9571e75f377cp-19, -0x1.0fc2bc51757e5p-18, -0x1.542a137298d62p-18, -0x1.97dbb758a3533p-18, -0x1.dad1d840b7056p-18, -0x1.0e89d388068b4p-17, -0x1.2f506a946e456p-17, -0x1.4fbcb064d0d8dp-17, -0x1.6fcf53a843ac3p-17, -0x1.8f86c34bd1a06p-17, -0x1.aee48343ee98ep-17, -0x1.cde85bab907fbp-17, -0x1.ec9339f0aa285p-17, -0x1.057805a0fd6b1p-16, -0x1.146d537f2900cp-16, -0x1.233c9f100467p-16, -0x1.31deec857c3d3p-16, -0x1.4054f18f781ccp-16, -0x1.4e9fdb7feb36ap-16, -0x1.5cc0f6578d37dp-16, -0x1.6aada06a3c477p-16, -0x1.78758f9e412d3p-16, -0x1.860dff5a086dcp-16, -0x1.937c1155a99dep-16, -0x1.a0befe3d12fc6p-16, -0x1.add6c30ddee6ap-16, -0x1.bac2c269c86cp-16, -0x1.c7844f6d2777cp-16, -0x1.d41ad671b9246p-16, -0x1.e086b0d3c93dcp-16, -0x1.ecc800dff1877p-16, -0x1.f8df195777f3ep-16, -0x1.0265fff73dad7p-15, -0x1.08477fc8eabbfp-15, -0x1.0e1424aaa5cb7p-15, -0x1.13cbf8f1af287p-15, -0x1.196f19caa7d18p-15, -0x1.1efdbf520ea61p-15, -0x1.2477e5a7334p-15, -0x1.29ddabd63e74bp-15, -0x1.2f2f2b3ba47bp-15, -0x1.346c866439308p-15, -0x1.3995dcb8974adp-15, -0x1.3eab444ec7eep-15, -0x1.43acda19f6faep-15, -0x1.489abcd734bb7p-15, -0x1.4d750a0eb0b7p-15, -0x1.523be05985dc1p-15, -0x1.56ef5cec6c18bp-15, -0x1.5b8f97a746e3ep-15, -0x1.601cbcaf2649fp-15, -0x1.6496e6a18b661p-15, -0x1.68fe30132ec4dp-15, -0x1.6d52c44518c9fp-15, -0x1.7194adecd0563p-15, -0x1.75c4070b3ac1p-15, -0x1.79e12109ab361p-15, -0x1.7deb534508a6p-15, -0x1.81e3e8804046dp-15, -0x1.85cb3f9fb6912p-15, -0x1.899f344d6ec2p-15, -0x1.8d63120b3a46p-15, -0x1.9114a477442f8p-15, -0x1.94b4abd6f274ep-15, -0x1.984359bd119dcp-15, -0x1.9bc0d41b508dp-15, -0x1.9f2d6fab2b0e8p-15, -0x1.a288a6f1eaedfp-15, -0x1.a5d3423ba6647p-15, -0x1.a90d3192ee80ep-15, -0x1.ac368a1010161p-15, -0x1.af4d541e325d1p-15, -0x1.b25544e61ce59p-15, -0x1.b550e47774856p-15, -0x1.b83942bd48e5bp-15, -0x1.bb11a2bff8f28p-15, -0x1.bdd79d9979377p-15, -0x1.c0951239c4ceep-15, -0x1.c33f62b618c92p-15, -0x1.c5d85de3bb075p-15, -0x1.c8635c1a20ee9p-15, -0x1.cadf7318e6fa1p-15, -0x1.cd4cb4d3df41fp-15, -0x1.cfab2a04e5371p-15, -0x1.d1fac664bf7f9p-15, -0x1.d43be98eab30fp-15, -0x1.d66ea99845593p-15, -0x1.d8931748796a6p-15, -0x1.daa973c744ee7p-15, -0x1.dcb1d32b2f182p-15, -0x1.deac394e3fc81p-15, -0x1.e098eab5a0051p-15, -0x1.e27802cb6e1a2p-15, -0x1.e4499f950c6a2p-15, -0x1.e60de42f1800cp-15, -0x1.e7c4f404073e4p-15, -0x1.e96ee87bf69d5p-15, -0x1.eb0bdacb1903cp-15, -0x1.ec9bfdf850a07p-15, -0x1.ee202172310abp-15, -0x1.ef967fe4d2f6dp-15, -0x1.f10101feaccf8p-15, -0x1.f25f32baae45dp-15, -0x1.f3b1372307306p-15, -0x1.f4f72ef2e686ap-15, -0x1.f6313c1fe567cp-15, -0x1.f75f7b5061595p-15, -0x1.f88213e3ffa51p-15, -0x1.f998a29d4dcb5p-15, -0x1.faa4c3359f101p-15, -0x1.fba519d65515dp-15, -0x1.fc9a458b2430cp-15, -0x1.fd8464187fcc5p-15, -0x1.fe6398965a999p-15, -0x1.ff3802db23d17p-15, -0x1.0000e132da41bp-14, -0x1.0060848b79b29p-14, -0x1.00baef33824c8p-14, -0x1.011009b3d527p-14, -0x1.0160400afad13p-14, -0x1.01ab4ea2bf054p-14, -0x1.01f16cba5e52ap-14, -0x1.0232a682eaf64p-14, -0x1.026ef37e8aea6p-14, -0x1.02a67f6230f8ap-14, -0x1.02d95341d290fp-14, -0x1.03078fbd69c81p-14, -0x1.0331fe0c35897p-14, -0x1.0355e2ed9ee33p-14, -0x1.037641f73659fp-14, -0x1.03922c5148529p-14, -0x1.03a9b4fc8535cp-14, -0x1.03bce7d1dd1e4p-14, -0x1.03cbb8c4f89adp-14, -0x1.03d6d6223058fp-14, -0x1.03de83879c92cp-14, -0x1.03df7393da78bp-14, -0x1.03dda6a1d5c0fp-14, -0x1.03d7eb3198114p-14, -0x1.03ce37de3dfap-14, -0x1.03c09eeb11c6ap-14, -0x1.03af38456b1a7p-14, -0x1.039ad3879a943p-14, -0x1.03810aabef557p-14, -0x1.0364121bced82p-14, -0x1.0343ba5fa43bap-14, -0x1.031f97f77c526p-14, -0x1.02f7d4c1f825p-14, -0x1.02cd141aa53bfp-14, -0x1.029e988c83da4p-14, -0x1.026c9f274fe3ap-14, -0x1.023759999e235p-14, -0x1.01feb9ffb7016p-14, -0x1.01c2bc4d7d965p-14, -0x1.0183cf03cd54dp-14, -0x1.014195807a709p-14, -0x1.00fc3a7a0f585p-14, -0x1.00b3c620609bp-14, -0x1.00685a386ad0fp-14, -0x1.0019e8c41a8cep-14, -0x1.ff8fcfc3556bcp-15, -0x1.fee892b66008ap-15, -0x1.fe3a51e4bc614p-15, -0x1.fd86802548023p-15, -0x1.fccd208169b55p-15, -0x1.fc0e67850456ap-15, -0x1.fb4a5df402ad9p-15, -0x1.fa80df53d55b5p-15, -0x1.f9b2559d36e1fp-15, -0x1.f8de1ee7ad3afp-15, -0x1.f8060afa0fe86p-15, -0x1.f7287fcd42938p-15, -0x1.f6464640b25dep-15, -0x1.f55cb17da860dp-15, -0x1.f4731c4ba6676p-15, -0x1.f38291c6b942cp-15, -0x1.f28d9251152f7p-15, -0x1.f1942fb4171adp-15, -0x1.f0965dcf9e779p-15, -0x1.ef944541a0551p-15, -0x1.ee8e00969ef7fp-15, -0x1.ed841f7c9a68dp-15, -0x1.ec750ef8bbd15p-15, -0x1.eb628f3b86f09p-15, -0x1.ea4c2b3055a35p-15, -0x1.e9322faf505fcp-15, -0x1.e81834d5577dap-15, -0x1.e6f24798923fdp-15, -0x1.e5cccac1fb99cp-15, -0x1.e4a3d54b37828p-15, -0x1.e3776b345364cp-15, -0x1.e2478f62cd4acp-15, -0x1.e1145e800958dp-15, -0x1.dfddc8ed7f516p-15, -0x1.dea4be641591ep-15, -0x1.dd6744e40891p-15, -0x1.dc2767eb7c44ap-15, -0x1.dae59112fba95p-15, -0x1.d99e9900fbbcap-15, -0x1.d853217b2b1ecp-15, -0x1.d709f5a59c9cep-15, -0x1.d5bb49c8d183p-15, -0x1.d469d80fca488p-15, -0x1.d31632fd2c5acp-15, -0x1.d1bfaca38a4f5p-15, -0x1.d05f1dd1662fcp-15, -0x1.cf0b429492c82p-15, -0x1.cdad4fe2617fcp-15, -0x1.cc4d07d4d7ddep-15, -0x1.caea7d585fce2p-15, -0x1.c985ab0b00d73p-15, -0x1.c81fd85150efap-15, -0x1.c6b58ddffc128p-15, -0x1.c54a5b4564582p-15, -0x1.c3da24c31cbd9p-15, -0x1.c26db4ee5cddap-15, -0x1.c0fc46f7b3692p-15, -0x1.bf8921b7525d8p-15, -0x1.be132e4bf4bf5p-15, -0x1.bc9d6d16f8a66p-15, -0x1.bb25037d52c11p-15, -0x1.b9aafa96efe2bp-15, -0x1.b830807a24048p-15, -0x1.b6b1cfcb852a1p-15, -0x1.b532f2a60771ap-15, -0x1.b3b296281b15bp-15, -0x1.b230c8c51fb71p-15, -0x1.b0ad9fd842ae8p-15, -0x1.af290bce3a15dp-15, -0x1.ada34dac4a143p-15, -0x1.ac1e8c0c5c0b9p-15, -0x1.aa93bcfc289e5p-15, -0x1.a90a533f166d5p-15, -0x1.a77f37caf099p-15, -0x1.a5f3ee137b5e3p-15, -0x1.a467547f1994ap-15, -0x1.a2d9791d395fap-15, -0x1.a14a90fb93f9p-15, -0x1.9fbab0d6544f4p-15, -0x1.9e2b5f5667d8p-15, -0x1.9c98f929e9f28p-15, -0x1.9b06b173d69aep-15, -0x1.9973c21919396p-15, -0x1.97e0001af8059p-15, -0x1.964b9ae1ac0d9p-15, -0x1.94b68a1694b36p-15, -0x1.9320d649da12dp-15, -0x1.918abc66c8346p-15, -0x1.8ff1cf422d7b6p-15, -0x1.8e5c503c0fcf7p-15, -0x1.8cc41efa929d4p-15, -0x1.8b2c508c462cdp-15, -0x1.899394f074e4bp-15, -0x1.87fa7e37fee06p-15, -0x1.86610dd936ff5p-15, -0x1.84c73507c5a9cp-15, -0x1.832d83ed17151p-15, -0x1.8192fe22d881ap-15, -0x1.7ff83da076c49p-15, -0x1.7e5dce351583ep-15, -0x1.7cc3860a9f05dp-15, -0x1.7b27daaf5a0a9p-15, -0x1.798cc165dbc07p-15, -0x1.77f191d7de227p-15, -0x1.765656d043cc2p-15, -0x1.74bb1ca9b3ddep-15, -0x1.731d144180875p-15, -0x1.71847f2280ec2p-15, -0x1.6fe975fad84ccp-15, -0x1.6e4e75240e5b2p-15, -0x1.6cb69df3e9d78p-15, -0x1.6b18a07b5bd56p-15, -0x1.697dc747186c1p-15, -0x1.67e372efc692fp-15, -0x1.66491cb91313bp-15, -0x1.64af0871aee6ep-15, -0x1.63153ea0697c3p-15, -0x1.617bc7d33ea67p-15, -0x1.5fe2a073519fcp-15, -0x1.5e49b85af750cp-15, -0x1.5cb112b79f537p-15, -0x1.5b18f4e0b4439p-15, -0x1.598149058bf13p-15, -0x1.57ea2546633acp-15, -0x1.5651d5ae9e4b9p-15, -0x1.54bca5dd5fd17p-15, -0x1.53269f2dbdcd6p-15, -0x1.51911fc0c7ba1p-15, -0x1.4ffc25f99be92p-15, -0x1.4e67b84444b57p-15, -0x1.4cd3dc7ad47d6p-15, -0x1.4b406b34a6a4fp-15, -0x1.49ad5530fce21p-15, -0x1.481bba37f7d67p-15, -0x1.468a36fbb06cep-15, -0x1.44f957b921545p-15, -0x1.436921139f22cp-15, -0x1.41d99ac9ebc96p-15, -0x1.404ad0596372ep-15, -0x1.3ebcb0a10a0c3p-15, -0x1.3d2f4aafb1bdp-15, -0x1.3ba2af8fbee46p-15, -0x1.3a17014df8369p-15, -0x1.388bd4b0177afp-15, -0x1.36fef51fdb66p-15, -0x1.357abb43a081bp-15, -0x1.33ef0b148c922p-15, -0x1.3266e5811c2ccp-15, -0x1.30dfffd197b47p-15, -0x1.2f59c0ba17b44p-15, -0x1.2dd46581e1069p-15, -0x1.2c4fef607d03ap-15, -0x1.2acc5e1972d0fp-15, -0x1.2949c6a4f348fp-15, -0x1.27c950fa9afadp-15, -0x1.26472a4ed0003p-15, -0x1.24c738e27035cp-15, -0x1.234885af8f9ccp-15, -0x1.21cba2429973ep-15, -0x1.204d4ae2ebfbdp-15, -0x1.1ed13fcebc631p-15, -0x1.1d56340e708dp-15, -0x1.1bdc2716265f8p-15, -0x1.1a632769e8bb6p-15, -0x1.18eb2d93604dap-15, -0x1.177438f9e1686p-15, -0x1.15fe559539a05p-15, -0x1.14895c43eb6dbp-15, }}, 
      {{-0x1.b72973c332b3ap-1, -0x1.9e199ef4d28a8p-1, -0x1.7b57ddde00f34p-1, -0x1.52f52cd1fad01p-1, -0x1.27ea40986963dp-1, -0x1.f8b5a926e2737p-2, -0x1.a392c925fd0bp-2, -0x1.527cd66a0ec16p-2, -0x1.06ccd1b6f89dbp-2, -0x1.82a3911272508p-3, -0x1.04e7ca0045d6bp-3, -0x1.293e2f9144a0ep-4, -0x1.8ca31ef57e45p-6, 0x1.25d8d5e5c0b4dp-6, 0x1.bc1cb275bffdbp-5, 0x1.5c5322e667edap-4, 0x1.c61f1aac3a4dfp-4, 0x1.0eaed72d50d5ep-3, 0x1.31fda79f79a5cp-3, 0x1.4dec8097d8ecap-3, 0x1.6362030bae2aap-3, 0x1.73380240baf8ap-3, 0x1.7e399edaa3423p-3, 0x1.852240134c1dbp-3, 0x1.889d163c91892p-3, 0x1.8945343ab1e19p-3, 0x1.87a5dd77be27dp-3, 0x1.843b33eb7818ep-3, 0x1.7f72faddf97d3p-3, 0x1.79ad87b80ca63p-3, 0x1.733eb5250e63ap-3, 0x1.6c6ede85561a2p-3, 0x1.657be960bd449p-3, 0x1.5e9a32bd2e8efp-3, 0x1.57f5838246693p-3, 0x1.51b1f3aa2f1c9p-3, 0x1.4becb8bd5395ap-3, 0x1.46bcf398b4e1fp-3, 0x1.423468de5176ap-3, 0x1.3e601df6c3035p-3, 0x1.3b490012b11dap-3, 0x1.38f46f041c6e3p-3, 0x1.3764b9b7d40cfp-3, 0x1.36999237f64e9p-3, 0x1.369076bd36e4ap-3, 0x1.3745105260295p-3, 0x1.38b17c1b15108p-3, 0x1.3ace9fc82f24dp-3, 0x1.3d94617750a91p-3, 0x1.40f9e27b8fc2ap-3, 0x1.44f5b4b395403p-3, 0x1.497e006dc2d12p-3, 0x1.4e88ab07aa043p-3, 0x1.540b7a5a9b5a2p-3, 0x1.59fc2b41b5587p-3, 0x1.60508af2f21e4p-3, 0x1.66fe8c7eb531cp-3, 0x1.6dfc55e95a7e9p-3, 0x1.7540526af0e19p-3, 0x1.7cc133de466ccp-3, 0x1.847605f319758p-3, 0x1.8c562cdd73199p-3, 0x1.94596e5d54f37p-3, 0x1.9c77f2de64a1bp-3, 0x1.a4aa49150e953p-3, 0x1.ace96517bffc7p-3, 0x1.b52ea1f370726p-3, 0x1.bd73c0e9b4d7cp-3, 0x1.c5b2e4a7c1e5cp-3, 0x1.cde694a5f3969p-3, 0x1.d609b7b5dff7ap-3, 0x1.de178ea5efdb4p-3, 0x1.e60bb73ec57e3p-3, 0x1.ede22464ab85cp-3, 0x1.f5971cff51073p-3, 0x1.fd27355acc1aap-3, 0x1.0247a8c830f0ep-2, 0x1.05e64d9945963p-2, 0x1.096e4081b90ep-2, 0x1.0cde5ad621cbdp-2, 0x1.10359420637bep-2, 0x1.137300ce650b8p-2, 0x1.1695d2922c365p-2, 0x1.199d53ea5027bp-2, 0x1.1c88e84424c14p-2, 0x1.1f5809fe0171cp-2, 0x1.220a4a5f2c5dap-2, 0x1.249f4dd88855bp-2, 0x1.2716cc4f4f763p-2, 0x1.29708f6cc8dep-2, 0x1.2bac718a97e9p-2, 0x1.2dca5bf4be761p-2, 0x1.2fca481afc9e2p-2, 0x1.31ac3a761cd91p-2, 0x1.337045d2cfabbp-2, 0x1.35168707600f5p-2, 0x1.369f2692f0ab4p-2, 0x1.380a56eb2860ap-2, 0x1.39585283d15cdp-2, 0x1.3a895c4a5aa7cp-2, 0x1.3b9dc020e445p-2, 0x1.3c95d01888d26p-2, 0x1.3d71e31e1f817p-2, 0x1.3e3257ee02f42p-2, 0x1.3ed791f1237f6p-2, 0x1.3f61f9035ee25p-2, 0x1.3fd1f9333b2e9p-2, 0x1.402802e305c6fp-2, 0x1.406489b6ebff6p-2, 0x1.408803ea75dccp-2, 0x1.4092eb547a3ep-2, 0x1.4085baa625e72p-2, 0x1.4060eff9abd1ap-2, 0x1.40250af18bebp-2, 0x1.3fd28bc6b7617p-2, 0x1.3f69f4c8ca831p-2, 0x1.3eebc89f0792p-2, 0x1.3e588b60f4759p-2, 0x1.3db0c07bb3b29p-2, 0x1.3cf4ed7154868p-2, 0x1.3c259652ca279p-2, 0x1.3b43407703d94p-2, 0x1.3a4e6f6d9e90ep-2, 0x1.3947a7409cb4ep-2, 0x1.382f6c2e4fd7fp-2, 0x1.37064190e37dbp-2, 0x1.35cca895c2caap-2, 0x1.3483233c1ecb3p-2, 0x1.332a31efd8e2fp-2, 0x1.31c2541652f26p-2, 0x1.304c07a8d54aep-2, 0x1.2ec7ca0ef93f4p-2, 0x1.2d36172b3c56ap-2, 0x1.2b97690ea44d6p-2, 0x1.29ec38d3b3beap-2, 0x1.2834fdf19d454p-2, 0x1.26722dcb8e19bp-2, 0x1.24a43d29d0ddap-2, 0x1.22cb9e43fb1cap-2, 0x1.20e8c28446559p-2, 0x1.1efc18beb32b4p-2, 0x1.1d060ee5f0fdep-2, 0x1.1b070ff41bf16p-2, 0x1.18ff863294234p-2, 0x1.16efd9c743c87p-2, 0x1.14d870aabe4c8p-2, 0x1.12b9af58c0172p-2, 0x1.1093f7c4be98dp-2, 0x1.0e67ab24982cfp-2, 0x1.0c35282c9a88dp-2, 0x1.09fccb3317166p-2, 0x1.07beeff301f44p-2, 0x1.057bee7802d5ep-2, 0x1.03341e6a5b36cp-2, 0x1.00e7d4dae8a54p-2, 0x1.fd2ecaf3ce869p-3, 0x1.f8864345a2309p-3, 0x1.f3d6b1e6fcb98p-3, 0x1.ef20b2f0c788dp-3, 0x1.ea64dd7f6e216p-3, 0x1.e5a3c57e464aep-3, 0x1.e0ddfcd29f814p-3, 0x1.dc140f6cd973p-3, 0x1.d74688c6f6254p-3, 0x1.d275ecd641452p-3, 0x1.cda2be7ef007dp-3, 0x1.c8cd7d159af91p-3, 0x1.c3f6a4001dff2p-3, 0x1.bf1eaca8ac7c8p-3, 0x1.ba460a8b3e245p-3, 0x1.b56d3056f3ep-3, 0x1.b0948cb3f995cp-3, 0x1.abbc89ceccf3dp-3, 0x1.a6e5905686253p-3, 0x1.a21004acb6064p-3, 0x1.9d3c4a03ac034p-3, 0x1.986abef27bdcbp-3, 0x1.939bbf69abae5p-3, 0x1.8ecfa3b52ca8dp-3, 0x1.8a06c2f6d6d84p-3, 0x1.8541701b0ae14p-3, 0x1.807ffbc105d69p-3, 0x1.7bc2b4523bed2p-3, 0x1.7709e53ba751cp-3, 0x1.7255d5edaaf5fp-3, 0x1.6da6cd402bda9p-3, 0x1.68fd0ebed6ff2p-3, 0x1.6458db7252e77p-3, 0x1.5fba71ec91e31p-3, 0x1.5b220dd58f8fp-3, 0x1.568fe8e2e2718p-3, 0x1.52043c33c47bcp-3, 0x1.4d7f3bce715e6p-3, 0x1.49011b4fa6251p-3, 0x1.448a0bb2af12bp-3, 0x1.401a3bfd26058p-3, 0x1.3bb1d859c2c42p-3, 0x1.37510bb88b6cep-3, 0x1.32f7ff1b89917p-3, 0x1.2ea6d995bdeedp-3, 0x1.2a5dc058b03ecp-3, 0x1.261cd5ea76062p-3, 0x1.21e43be39ac23p-3, 0x1.1db411a723ec3p-3, 0x1.198c7538f9795p-3, 0x1.156d8280c200bp-3, 0x1.1157545c0ac17p-3, 0x1.0d4a0365abe76p-3, 0x1.0945a77effe9p-3, 0x1.054a5559b7aa1p-3, 0x1.015822835975cp-3, 0x1.fade42891319bp-4, 0x1.f31ec687dfc68p-4, 0x1.eb71f0051c68dp-4, 0x1.e3d7dd591186bp-4, 0x1.dc50a976e4b79p-4, 0x1.d4dc6c73a4ce6p-4, 0x1.cd7b3c4c665c8p-4, 0x1.c62d2bd0dd51ap-4, 0x1.bef24af7f6b8fp-4, 0x1.b7caaa1eaf87cp-4, 0x1.b0b656c216766p-4, 0x1.a9b5584d40db9p-4, 0x1.a2c7b9efea5dep-4, 0x1.9bed803db334cp-4, 0x1.9526ae2b48b22p-4, 0x1.8e7347436d235p-4, 0x1.87d34c15c70ffp-4, 0x1.8146bb4e81972p-4, 0x1.7acd9162d7f51p-4, 0x1.7467c92d35b9ep-4, 0x1.6e155b182a162p-4, 0x1.67d641a33163cp-4, 0x1.61aa71ad42c72p-4, 0x1.5b91e0ccab3bfp-4, 0x1.558c80485ab93p-4, 0x1.4f9a437744e2p-4, 0x1.49bb1b05f3068p-4, 0x1.43eef5a983bd4p-4, 0x1.3e35c16c21b5p-4, 0x1.388f6bbb891c4p-4, 0x1.32fbe0f1c97e7p-4, 0x1.2d7b09a1709b8p-4, 0x1.280ccf8ed2be5p-4, 0x1.22b11c430a317p-4, 0x1.1d67d5f02ab1fp-4, 0x1.1830e29bc7a3bp-4, 0x1.130c28c26f5a2p-4, 0x1.0df98dbe029e7p-4, 0x1.08f8f3f97b007p-4, 0x1.040a3e28f3508p-4, 0x1.fe5a9d7c78d7ap-5, 0x1.f4c40f31fed76p-5, 0x1.eb5091dfa9e3dp-5, 0x1.e1ffe48e4431cp-5, 0x1.d8d1c78bf87f8p-5, 0x1.cfc5f635a9a46p-5, 0x1.c6dc2da9620cep-5, 0x1.be142c19aaa8dp-5, 0x1.b56da7d778281p-5, 0x1.ace85be23cef5p-5, 0x1.a483ff70f6783p-5, 0x1.9c4048cf1bd4fp-5, 0x1.941cf041b6289p-5, 0x1.8c19ab8c3c877p-5, 0x1.84362fef931c7p-5, 0x1.7c72304d8062cp-5, 0x1.74cd5fad5c218p-5, 0x1.6d4776b401accp-5, 0x1.65e0224b119d1p-5, 0x1.5e97169b2954p-5, 0x1.576c056c59e47p-5, 0x1.505ea021d3c13p-5, 0x1.496e97cac5f8bp-5, 0x1.429b9d2b2e3aap-5, 0x1.3be560c27fc49p-5, 0x1.354b92d7fbfe6p-5, 0x1.2ecde39f8e933p-5, 0x1.286c030a681cap-5, 0x1.2225a10d730dap-5, 0x1.1bfa6d3a64b65p-5, 0x1.15ea166a00e75p-5, 0x1.0ff44cc4c502fp-5, 0x1.0a18c2189b8e9p-5, 0x1.045724f8104e9p-5, 0x1.fd5e49d3f0deep-6, 0x1.f240df43b847cp-6, 0x1.e7556ecef154dp-6, 0x1.dc9b5ba41e022p-6, 0x1.d212064baead6p-6, 0x1.c7b8ce1dcf226p-6, 0x1.bd8f1329ddd51p-6, 0x1.b3943a06b75d6p-6, 0x1.a9c7a57d7b9c9p-6, 0x1.a028b77207672p-6, 0x1.96b6d66075faap-6, 0x1.8d71654b5611p-6, 0x1.8457cef1eaac4p-6, 0x1.7b69755655a24p-6, 0x1.72a5c298ce9a1p-6, 0x1.6a0c1b6c167cap-6, 0x1.619be8319fce7p-6, 0x1.59549484b386cp-6, 0x1.51358f0c025f2p-6, 0x1.493e3f6d32ef1p-6, 0x1.416e13e256524p-6, 0x1.39c479c8c9dfcp-6, 0x1.3240df6239cdbp-6, 0x1.2ae2b1dcc4784p-6, 0x1.23a968ff9ce2cp-6, 0x1.1c9476fd2c5e9p-6, 0x1.15a34bf37b764p-6, 0x1.0ed55a6eac8bp-6, 0x1.082a1c1c2e99dp-6, 0x1.01a10721b899ap-6, 0x1.f673232a33f07p-7, 0x1.e9e669fa51097p-7, 0x1.dd9ada5a76da5p-7, 0x1.d18f6c6b5b3fp-7, 0x1.c5c31ac7a4b23p-7, 0x1.ba34dcfb27f16p-7, 0x1.aee3b3673a7eep-7, 0x1.a3cea64fecf51p-7, 0x1.98f4ba73df43bp-7, 0x1.8e54f4343d632p-7, 0x1.83ee5364ed4d2p-7, 0x1.79bfef00a0e1cp-7, 0x1.6fc8d5770189p-7, 0x1.660819ab42bdbp-7, 0x1.5c7cc8a4b8ed2p-7, 0x1.5325fd8e0154p-7, 0x1.4a02d2923f10ep-7, 0x1.411264831d84dp-7, 0x1.3853d2f519f9p-7, 0x1.2fc63f302e363p-7, 0x1.2768cccd71c16p-7, 0x1.1f3aa2d48f189p-7, 0x1.173aeab371412p-7, 0x1.0f68cef6a12ap-7, 0x1.07c3839ad9f1fp-7, 0x1.004a3a96591c4p-7, 0x1.f1f843313f014p-8, 0x1.e3b0e6b0a3ccp-8, 0x1.d5bcd59f1c23ap-8, 0x1.c81a89d376dc4p-8, 0x1.bac8889f40198p-8, 0x1.adc544de1be8fp-8, 0x1.a10f4932888e9p-8, 0x1.94a528ddd70afp-8, 0x1.888577b8c5aabp-8, 0x1.7caecda0ffdafp-8, 0x1.711fbff8f51e9p-8, 0x1.65d6f5cc8ac0fp-8, 0x1.5ad31b87c560ep-8, 0x1.5012e06488a06p-8, 0x1.4594e81b68718p-8, 0x1.3b57ee96fd826p-8, 0x1.315ab5b4523cep-8, 0x1.279bf3f9b4a13p-8, 0x1.1e1a6b96cb289p-8, 0x1.14d4e781c7513p-8, 0x1.0bca40b5ed0a5p-8, 0x1.02f949ca9a887p-8, 0x1.f4c198b1ce06bp-9, 0x1.e3ff639dc9a5p-9, 0x1.d3a9987cafb83p-9, 0x1.c3be24c65d76fp-9, 0x1.b43ad3259e2a1p-9, 0x1.a51d7eb8a3816p-9, 0x1.96640bca04a17p-9, 0x1.880c6593ff01bp-9, 0x1.7a14767041e73p-9, 0x1.6c7a411266a49p-9, 0x1.5f3bddd832911p-9, 0x1.525751faee0d4p-9, 0x1.45caadbd5edcep-9, 0x1.39943cc0c70adp-9, 0x1.2db212fecf3bbp-9, 0x1.22225f3e71622p-9, 0x1.16e37286e72e5p-9, 0x1.0bf37d9a57a99p-9, 0x1.0150abb484f4fp-9, 0x1.edf2b4e01ebb9p-10, 0x1.d9d7c9efe9adp-10, 0x1.c64d2ab744e2cp-10, 0x1.b34fb2324bfb2p-10, 0x1.a0dc5701d556p-10, 0x1.8ef0104644ac8p-10, 0x1.7d87f5b58bc6dp-10, 0x1.6ca11f9846ef9p-10, 0x1.5c38aea7244d1p-10, 0x1.4c4ba6637c232p-10, 0x1.3cd7580a7ce42p-10, 0x1.2dd8938f38c2ep-10, 0x1.1f4d2216402f2p-10, 0x1.1131da3f31d3ep-10, 0x1.03843b654cc9ep-10, 0x1.ec83455a847cbp-11, 0x1.d2cee703709e5p-11, 0x1.b9e6d07d1e2fap-11, 0x1.a1c678f2f62ecp-11, 0x1.8a6948f17f2cep-11, 0x1.73ca9f7875d0ep-11, 0x1.5de6300d286dep-11, 0x1.48b7bc730e86ap-11, 0x1.343ab5d934676p-11, 0x1.206a6b230b526p-11, 0x1.0d4278bec24cdp-11, 0x1.f57d0e4d846d2p-12, 0x1.d1b52321751f4p-12, 0x1.af259529735aep-12, 0x1.8dc6354ea483bp-12, 0x1.6d8fc3dc681c2p-12, 0x1.4e7a7715c9342p-12, 0x1.307fc990eb753p-12, 0x1.1399eb163f6c4p-12, 0x1.ef819e43bca75p-13, 0x1.b9db2cdc3567dp-13, 0x1.8630ecfb5637ep-13, 0x1.547cf8bdc2eddp-13, 0x1.24aa14b2ef9b5p-13, 0x1.ed5bcdd3df44bp-14, 0x1.94f7a94868763p-14, 0x1.400fa77cc5546p-14, 0x1.dd18965adacd3p-15, 0x1.40ae83ca4ffe5p-15, 0x1.556a897ee225ap-16, 0x1.b04eca298035p-19, -0x1.ba46a7d126226p-17, -0x1.e468302217fe8p-16, -0x1.700ddbc28ff16p-15, -0x1.e8497aee74f63p-15, -0x1.2d88b6bcf49b5p-14, -0x1.6446e13cab18dp-14, -0x1.9871d49043352p-14, -0x1.ca1cc111cb93fp-14, -0x1.f95b2e5264fbdp-14, -0x1.131f06eb97063p-13, -0x1.286a52c948acdp-13, -0x1.3c97c69a05a78p-13, -0x1.4fafda428ceaep-13, -0x1.61ba681b05f63p-13, -0x1.72beea17f3462p-13, -0x1.82c435cb51d21p-13, -0x1.91d1bd178a6fp-13, -0x1.9ff0c4ce16ba1p-13, -0x1.ad27e94c76954p-13, -0x1.b97c0e16515ccp-13, -0x1.c4f9f3bb97f17p-13, -0x1.cfa548a6714afp-13, -0x1.d98228e6ea678p-13, -0x1.e299a812183e1p-13, -0x1.eaf19d5021862p-13, -0x1.f291191f4c7dp-13, -0x1.f97d782218771p-13, -0x1.ffbb9bf2a0722p-13, -0x1.02a983092040fp-12, -0x1.0523c82db4b2cp-12, -0x1.074f8b9c0c1abp-12, -0x1.092f3cb3521a3p-12, -0x1.0ac54abc0855ep-12, -0x1.0c142e8ef88d8p-12, -0x1.0d1e68ceaa66fp-12, -0x1.0de662ea639ecp-12, -0x1.0e6ea9f570e85p-12, -0x1.0eb94044ee1aep-12, -0x1.0ec83dcc474f1p-12, -0x1.0e9d8dfa068a2p-12, -0x1.0e3b2878f886ap-12, -0x1.0da495e0b649dp-12, -0x1.0cd7994da5341p-12, -0x1.0bdaf73c7af2cp-12, -0x1.0aaf8c3525b6p-12, -0x1.0957729786976p-12, -0x1.07d487b9edc36p-12, -0x1.06286c6cd0059p-12, -0x1.04549e762e45fp-12, -0x1.025a94a68d40fp-12, -0x1.003bcde0713cp-12, -0x1.fbf3c0da8ed5ep-13, -0x1.f72c7eac7869dp-13, -0x1.f22485b7b3912p-13, -0x1.ecde5ef7a9d54p-13, -0x1.e75d343a0882p-13, -0x1.e1a0b9fff19f2p-13, -0x1.dbaf55ce7bad3p-13, -0x1.d588da3e44c0bp-13, -0x1.cf2f2a6bb5038p-13, -0x1.c8a6713069d62p-13, -0x1.c1f279a3df22bp-13, -0x1.bb15e33b15d1ep-13, -0x1.b413a8dc20d91p-13, -0x1.acee70c5195d4p-13, -0x1.a5a7c4520b9f2p-13, -0x1.9e3ffea99cbddp-13, -0x1.96bc04258949fp-13, -0x1.8f1b8e4d45fedp-13, -0x1.87609626e2d86p-13, -0x1.7f8bfb9f58b1cp-13, -0x1.77a0b46ac5128p-13, -0x1.6f9f9f7422a55p-13, -0x1.678983766432fp-13, -0x1.5f6021e9b8cdep-13, -0x1.57256664abab1p-13, -0x1.4eda68d61ae5cp-13, -0x1.467fd406c09d3p-13, -0x1.3e17b96c554dfp-13, -0x1.35a4118907448p-13, -0x1.2d272436cb7fdp-13, -0x1.24a183863e316p-13, -0x1.1c14e1c96ecc6p-13, -0x1.1382bc3fd0708p-13, -0x1.0aed8f362fa5ap-13, -0x1.025631d4021c8p-13, -0x1.f37956f8b826cp-14, -0x1.e2436066509d3p-14, -0x1.d10cb2246b5bep-14, -0x1.bfd8cbc272f3p-14, -0x1.aea5e20e640e4p-14, -0x1.9d76a8706f983p-14, -0x1.8c4ec885d6d7ap-14, -0x1.7b2b28ceb485bp-14, -0x1.6a1133ebecd0cp-14, -0x1.5904b8634210bp-14, -0x1.47ffbed4145p-14, -0x1.370cf070a9244p-14, -0x1.2628dd5d9ba5bp-14, -0x1.1552630c2e3c3p-14, -0x1.048c89974af9ap-14, -0x1.e7b83273d88dep-15, -0x1.c67fbd77c98c8p-15, -0x1.a57392d3bbcdep-15, -0x1.849a4889e4d08p-15, -0x1.63f4767feee53p-15, -0x1.437fb26e4468cp-15, -0x1.233f611223c19p-15, -0x1.0334971b22451p-15, -0x1.c6c3ad7e5841fp-16, -0x1.87914120c1d5cp-16, -0x1.48d0f0edb4e2fp-16, -0x1.0a878b082c801p-16, -0x1.9974ac040e8bp-17, -0x1.1ecfcc7ef04d1p-17, -0x1.4a5c8bbe8798fp-18, -0x1.64b8b5ab5b319p-20, 0x1.2be0fa0fc05d3p-19, 0x1.82ec5562eab6dp-18, 0x1.36657d12ff9c1p-17, 0x1.ab34727305c61p-17, 0x1.0f38ced686677p-16, 0x1.4849c007d4d0cp-16, 0x1.809c45547b0c2p-16, 0x1.b8b7ab17ade0ep-16, 0x1.f00d87ad5d482p-16, 0x1.13672b82fa7dfp-15, 0x1.2e7b48ba3d337p-15, 0x1.494264cbbb4c3p-15, 0x1.63bd293102e1fp-15, 0x1.7deb422e62e3bp-15, 0x1.97c977a90603bp-15, 0x1.b15c0a8c4674bp-15, 0x1.caa51301cba57p-15, 0x1.e39cfe359111ep-15, 0x1.fc465f93193c4p-15, 0x1.0a4fdc70db882p-14, 0x1.16552ba651a78p-14, 0x1.2234acab7e632p-14, 0x1.2deb2ff2177efp-14, 0x1.3977586ed35b5p-14, 0x1.44dccdd642d54p-14, 0x1.501aacbef29d3p-14, 0x1.5b31f87391b8ep-14, 0x1.6620f291842f1p-14, 0x1.70ec387dd30d3p-14, 0x1.7b8a1cbb22aafp-14, 0x1.8602a9f1937bfp-14, 0x1.9052f0200a2fdp-14, 0x1.9a7b8436c211ap-14, 0x1.a47cc969d8611p-14, 0x1.ae56cd5f80582p-14, 0x1.b8095d4ce0f1ep-14, 0x1.c19480667b982p-14, 0x1.caf91a400682dp-14, 0x1.d437714fe4d27p-14, 0x1.dd4ecd218eb14p-14, 0x1.e63f37df7fa12p-14, 0x1.ef08f4213c369p-14, 0x1.f7ad26dd3d773p-14, 0x1.0015ceffc8841p-13, 0x1.04413447dd20ep-13, 0x1.08590f65e7d08p-13, 0x1.0c5fc9fee1192p-13, 0x1.1052c4c2a2361p-13, 0x1.14345a81cc638p-13, 0x1.1803a78d8628ep-13, 0x1.1bbfc84b6bbd4p-13, 0x1.1f69e7024c653p-13, 0x1.2301aa7d55de5p-13, 0x1.2687960401db4p-13, 0x1.29fbbd4808abfp-13, 0x1.2d5e342d1d5a5p-13, 0x1.30af022d8a314p-13, 0x1.33ee63171319ap-13, 0x1.371c6c4e57ad1p-13, 0x1.3a3945d119383p-13, 0x1.3d45180b14a27p-13, 0x1.403ec4948dcb5p-13, 0x1.43288c6bcda82p-13, 0x1.4602c6ba22901p-13, 0x1.48cbae8480b7ep-13, 0x1.4b8418e6eb024p-13, 0x1.4e2c4e3669997p-13, 0x1.50c417c34ebe5p-13, 0x1.534b56cc33ecap-13, 0x1.55c33d7686bb3p-13, 0x1.582c50eb40622p-13, 0x1.5a84c0d4f0187p-13, 0x1.5cce345a9a36ap-13, 0x1.5f08fdf0b3727p-13, 0x1.613420896b5b6p-13, 0x1.63501ef9f7dc6p-13, 0x1.655d688133767p-13, 0x1.675c0f6298bc8p-13, 0x1.694c383bad256p-13, 0x1.6b2e07b377002p-13, 0x1.6d01a6518e34p-13, 0x1.6ec660e9f9ac4p-13, 0x1.707e20afe050fp-13, 0x1.7228a1c979031p-13, 0x1.73c4f0c7fd7f2p-13, 0x1.7553f217f3403p-13, 0x1.76d5555f8192ap-13, 0x1.7848a710632ebp-13, 0x1.79af5b73034e3p-13, 0x1.7b0a0f7da8d8p-13, 0x1.7c58e4eacc23fp-13, 0x1.7d99c7ac40a6ep-13, 0x1.7ece4dc389c3fp-13, 0x1.7ff69a5e8f069p-13, 0x1.8112f145858e7p-13, 0x1.8222ee6de6f5p-13, 0x1.832728c294355p-13, 0x1.841face5ecb62p-13, 0x1.850ccc1fbcdb5p-13, 0x1.85ee6d490e6f8p-13, 0x1.86c4b9e71aa5dp-13, 0x1.87901aea43a6fp-13, 0x1.885095bc833dap-13, 0x1.8905d3b7fb448p-13, 0x1.89b07f6845a5dp-13, 0x1.8a50a22247af7p-13, 0x1.8ae637ee448b8p-13, 0x1.8b720b4843297p-13, 0x1.8bf32971f147p-13, 0x1.8c6a532d08df8p-13, 0x1.8cd7c111bedb1p-13, 0x1.8d3b7645ac901p-13, 0x1.8d959c8a421d7p-13, 0x1.8de5f2a65c39cp-13, 0x1.8e2d4cbaf369ap-13, 0x1.8e6c1a58a602cp-13, 0x1.8ea1d473edf6bp-13, 0x1.8eca87d9e4fcdp-13, 0x1.8eef45e108609p-13, 0x1.8f0960bfa9a1p-13, 0x1.8f1c842ca7a9dp-13, 0x1.8f263610ea66ep-13, 0x1.8f2705dd8fa3ep-13, 0x1.8f1aa10fe56d8p-13, 0x1.8f10c132cde89p-13, 0x1.8ef9dc2127bp-13, 0x1.8edb1003a4b8ap-13, 0x1.8eb49488fff13p-13, 0x1.8e868c6557603p-13, 0x1.8e511b50139ap-13, 0x1.8e14668d63629p-13, 0x1.8dd065e14e81p-13, 0x1.8d84c53e5f29p-13, 0x1.8d325d24776b4p-13, 0x1.8cda56d8d1be1p-13, 0x1.8c7a8feef65a5p-13, 0x1.8c1412b049236p-13, 0x1.8ba720edf664fp-13, 0x1.8b33d9fbc8e46p-13, 0x1.8ab9f24109f93p-13, 0x1.8a3a89a3d71b3p-13, 0x1.89b48332daabdp-13, 0x1.8928f08de14edp-13, 0x1.8896dea701927p-13, 0x1.87ff29514817p-13, 0x1.8761d1fc557bdp-13, 0x1.86befa87e2eb3p-13, 0x1.8616baa0c9d65p-13, 0x1.856912e790af3p-13, 0x1.84b654887ad11p-13, 0x1.83fdd7bda6237p-13, 0x1.834058b01d439p-13, 0x1.827e0a01c3643p-13, 0x1.81b7551cb9642p-13, 0x1.80eb2a0c9b60cp-13, 0x1.801a648b07932p-13, 0x1.7f45cf833577cp-13, 0x1.7e6b68d60f51ep-13, 0x1.7d8dba3d38173p-13, 0x1.7cab0ef7355e9p-13, 0x1.7bc400c33ca55p-13, 0x1.7ad941c6948c8p-13, 0x1.79ea6bf74353fp-13, 0x1.78f7539d6927dp-13, 0x1.78005b5ff445dp-13, 0x1.77059b9a8f4a9p-13, 0x1.76072078e51fbp-13, 0x1.7504c4470bbe2p-13, 0x1.73ff412392a7bp-13, 0x1.72f6050d0d2cap-13, 0x1.71e958e0b9efcp-13, 0x1.70d95719a88a4p-13, 0x1.6fc631bd86052p-13, 0x1.6eaffa47583bep-13, 0x1.6d966f40e84c1p-13, 0x1.6c79c74a627bbp-13, 0x1.6b5a3844f37cp-13, 0x1.6a37d47a5cc24p-13, 0x1.69120db6ef764p-13, 0x1.67ea3804ceab4p-13, 0x1.66bf93d14c4e2p-13, 0x1.6592295f4b68bp-13, 0x1.646254b3ef06dp-13, 0x1.63300b0492e14p-13, 0x1.61fb5f2fcf94fp-13, 0x1.60c4517194e58p-13, 0x1.5f8b75a53ae19p-13, 0x1.5e4f637144fedp-13, 0x1.5d111226de926p-13, 0x1.5bd16deb71e4bp-13, 0x1.5a90c62d525edp-13, 0x1.594cbc4c6b2d1p-13, 0x1.5806c0bd7a2dep-13, 0x1.56bed5d853e9fp-13, 0x1.55755d9591c01p-13, 0x1.542a53d010dd2p-13, 0x1.52dd883f89745p-13, 0x1.518eea834a221p-13, 0x1.503f61427f3ecp-13, 0x1.4eedbdefd8455p-13, 0x1.4d9abf59f477bp-13, 0x1.4c4651bbea18bp-13, 0x1.4af0ace157e6ep-13, 0x1.4999963b0928p-13, 0x1.4841714e2dad8p-13, 0x1.46e818325e7fap-13, 0x1.458d6e21c2748p-13, 0x1.443180887105fp-13, 0x1.42d4f29888234p-13, 0x1.41775ca6d3136p-13, 0x1.4018bd1012c0dp-13, 0x1.3eb93276831c1p-13, 0x1.3d58536c00745p-13, 0x1.3bf69ed36a799p-13, 0x1.3a94effcd5661p-13, 0x1.39327caa44af6p-13, 0x1.37ced48233caep-13, 0x1.366a805bf1f4fp-13, 0x1.3505a5ba6e489p-13, 0x1.33a05beb2099p-13, 0x1.323a81fa8bdeep-13, 0x1.30d4206026993p-13, 0x1.2f6d4dba6ee73p-13, 0x1.2e0611b604c6dp-13, 0x1.2c9e738488d81p-13, 0x1.2b367bd2e0d5ap-13, 0x1.29ce36dc0cff7p-13, 0x1.2865ae575bc67p-13, 0x1.26fcfefe05a57p-13, 0x1.25944a726e6d5p-13, 0x1.242b8aaf3f3c9p-13, 0x1.22c240a1d99e2p-13, 0x1.21585d627fb65p-13, 0x1.1fef5113f2d04p-13, 0x1.1e855d08514e4p-13, 0x1.1d1caea92f2c1p-13, 0x1.1bb372add8e3ap-13, 0x1.1a498bf5558c4p-13, 0x1.18e07936f82e6p-13, 0x1.177775760435p-13, 0x1.160e9c681db11p-13, 0x1.14a5f2001d783p-13, 0x1.133d79e43d65bp-13, 0x1.11d539a0bd2ep-13, 0x1.106d32e54209ap-13, 0x1.0f05a4550aecep-13, 0x1.0d9e25988c0e5p-13, 0x1.0c37332e20963p-13, 0x1.0acfa254179b4p-13, 0x1.096915382dbacp-13, 0x1.08042706502cp-13, 0x1.069eac3dca61ap-13, 0x1.053993a104a08p-13, 0x1.03d482feda6bdp-13, 0x1.0271992b397c5p-13, 0x1.010ed0b918637p-13, 0x1.ff561c028bb9cp-14, 0x1.fc9069e66a1c3p-14, 0x1.f9cc8c3bb9d5fp-14, 0x1.f70becb4b4e1dp-14, 0x1.f44a9741307dap-14, 0x1.f18afa4b61782p-14, 0x1.eecca1ceae6cep-14, 0x1.ec0fc92b78c99p-14, 0x1.e9544c1897a6fp-14, 0x1.e69a3dfeb9499p-14, 0x1.e3e1becbb3c88p-14, 0x1.e12ac971dca2fp-14, 0x1.de754e8fe19c7p-14, 0x1.dbc17a53bc197p-14, 0x1.d90f4df319ddcp-14, 0x1.d65ee9caea226p-14, 0x1.d3b06f1653cbbp-14, 0x1.d10326d531694p-14, 0x1.ce56c039bf28fp-14, 0x1.cbad85fabcc75p-14, 0x1.c906d9e66936ap-14, 0x1.c66075633a3b4p-14, 0x1.c3bc23fa4d625p-14, 0x1.c119e3494ac93p-14, 0x1.be79a2c7ce39cp-14, 0x1.bbdb65d413edfp-14, 0x1.b93f2a996aff1p-14, 0x1.b6a49e3c8a46cp-14, 0x1.b40c50fabf0b8p-14, 0x1.b175d55989a7fp-14, 0x1.aee1acd2c0d9ap-14, 0x1.ac4fe68d23ad6p-14, 0x1.a9bfd52077d0ep-14, 0x1.a731b9cc5f484p-14, 0x1.a4a5d817a504p-14, 0x1.a21c382139f05p-14, 0x1.9f94da90aadfep-14, 0x1.9d0fa5cc2eccdp-14, 0x1.9a8cb754299bbp-14, 0x1.980bcecec433bp-14, 0x1.958d6d8c7f7bep-14, 0x1.93111bfc8461cp-14, 0x1.90972df268081p-14, 0x1.8e1f9adb6a221p-14, 0x1.8ba9d06c92126p-14, 0x1.8936be18f22a3p-14, 0x1.86c63faf31f12p-14, 0x1.8457f2b62280ep-14, 0x1.81ecbc6d036d9p-14, 0x1.7f82e13fd16ffp-14, 0x1.7d1cf14296e5fp-14, 0x1.7ab6e0dcbaf68p-14, 0x1.78542720daf25p-14, 0x1.75f497eaf13bbp-14, 0x1.739b87cff4cc5p-14, 0x1.713cd7f81ca94p-14, 0x1.6ee50b6e1c77cp-14, 0x1.6c8d5e23c0713p-14, 0x1.6a39c3421e663p-14, 0x1.67e8a2caccfbcp-14, 0x1.659a471f5e918p-14, 0x1.634e42aa2d318p-14, 0x1.6104d55dd3643p-14, 0x1.5ebeba88eac2bp-14, 0x1.5c798c92ba16bp-14, 0x1.5a37ab4a44915p-14, 0x1.57f8e4a1a0c1cp-14, 0x1.55b9e427f47dbp-14, 0x1.537fadb903774p-14, 0x1.51483f2e0106bp-14, 0x1.4f14af957bdc6p-14, 0x1.4ce15fa3ebee3p-14, 0x1.4ab0fdad3062fp-14, 0x1.48836a1dac7acp-14, 0x1.4658c51fdeb62p-14, 0x1.4430620217bb7p-14, 0x1.420aff6dce1dcp-14, 0x1.3fe72f9d6d4c5p-14, 0x1.3dc620571d445p-14, 0x1.3ba8f95275432p-14, 0x1.398df1aff2143p-14, 0x1.377456dad3099p-14, 0x1.355eae2f13a61p-14, 0x1.334b216d346dap-14, 0x1.3139b72b1435ep-14, 0x1.2f2bb20c7c4d7p-14, 0x1.2d1fe7c38be41p-14, 0x1.2b16ec7b2f56p-14, 0x1.2910b1a5dc893p-14, 0x1.270c92302d56cp-14, 0x1.2511a337aa9ep-14, 0x1.230c37b80c943p-14, 0x1.21102936e8568p-14, 0x1.1f16a0f3be1cp-14, 0x1.1d1e978cb300ep-14, 0x1.1b2b47124f997p-14, 0x1.19398044232cp-14, 0x1.174a56fa117ffp-14, 0x1.155dc972e5823p-14, 0x1.1373cb4fd7b52p-14, 0x1.118c6360177a8p-14, 0x1.0fa790409c98bp-14, 0x1.0dc5913b8fa0ep-14, 0x1.0be5ab7c86d14p-14, 0x1.0a0892f7c2eccp-14, 0x1.082e0f23d8c53p-14, 0x1.06553b14df684p-14, 0x1.0482be5c8ba4bp-14, 0x1.02ae06bfb1f0dp-14, 0x1.00ddbcd8ad1c9p-14, 0x1.fe1f4cf0c1c15p-15, 0x1.fa893b49bb70dp-15, 0x1.f6f7976d5b8f3p-15, 0x1.f36c1188012fdp-15, 0x1.efe4c3af01eecp-15, 0x1.ec62ffcfdaa05p-15, 0x1.e8e56b00d9f11p-15, 0x1.e56d76bf0839cp-15, 0x1.e1fb61c019117p-15, 0x1.de8c78b4f2c44p-15, 0x1.db20eaff99256p-15, 0x1.d7bee6d217183p-15, 0x1.d460535abc35cp-15, 0x1.d105d080401d6p-15, 0x1.cdb1b76e69269p-15, 0x1.ca5f487367492p-15, 0x1.c724f57666f0ap-15, 0x1.c3d06c27bb00fp-15, 0x1.c08cd505ef7a2p-15, 0x1.bd50e89c0cf33p-15, 0x1.ba1a8999151d1p-15, 0x1.b6e3d50b7d3f3p-15, 0x1.b3b84db739f18p-15, 0x1.b0904249b725bp-15, 0x1.ad6d193a7450fp-15, 0x1.aa4877d839a2ap-15, 0x1.a73071cbfdcd3p-15, 0x1.a41b37607e545p-15, 0x1.a109b12504143p-15, 0x1.9dfbca619f811p-15, 0x1.9af45ec6d7bep-15, 0x1.97f12c080ba98p-15, 0x1.94f2b302d7e0bp-15, 0x1.91fa58fdb082bp-15, 0x1.8f03f29cbac64p-15, 0x1.8c13bc9515721p-15, 0x1.89286f40d4e9ap-15, 0x1.86414cf8790b6p-15, 0x1.835b1a6ccc5bp-15, 0x1.80804bbada545p-15, 0x1.7da74fd2d5a06p-15, 0x1.7ad446bccdf8bp-15, 0x1.77feb0afb6e25p-15, 0x1.7535429f23f22p-15, 0x1.726c195a451bdp-15, 0x1.6fab0c77d7a18p-15, 0x1.6cec9811cb2e4p-15, 0x1.6a32362515bb8p-15, 0x1.677d2b15f2647p-15, 0x1.64cc9f57116ddp-15, 0x1.62200d2d9ea39p-15, 0x1.5f76c4c0baeddp-15, 0x1.5cd2182da2fabp-15, 0x1.5a326602ca46ap-15, 0x1.57974b3f2c5d7p-15, 0x1.55004d7beddc5p-15, 0x1.526d7aac52d16p-15, 0x1.4fdee3347c44bp-15, 0x1.4d54aedebcf7bp-15, 0x1.4accbc7cda5abp-15, 0x1.484c729b68abp-15, 0x1.45ce47e74e84cp-15, 0x1.435547d00e68fp-15, 0x1.40dfd4045c6bp-15, 0x1.3e6e820c33e2cp-15, 0x1.3c016eedad1fap-15, 0x1.399815a3b43c7p-15, 0x1.3733565bc74d5p-15, 0x1.34d292940c32ep-15, 0x1.3275eb01c51a1p-15, 0x1.301c716356657p-15, 0x1.2dc81432b72a5p-15, 0x1.2b76c8f2b5394p-15, 0x1.2929de4b74258p-15, 0x1.26e1091a1bc1p-15, 0x1.249c07d22d435p-15, 0x1.225b16ba057a9p-15, 0x1.201a46bf33e2dp-15, 0x1.1decae8080bp-15, 0x1.1bb03958ace83p-15, 0x1.197ec2037342bp-15, 0x1.1750656854101p-15, 0x1.1523aec0e1863p-15, 0x1.12fc4604edf32p-15, 0x1.10de7bfda13e8p-15, 0x1.0ebdf2853441ap-15, 0x1.0ca1dc4864afp-15, 0x1.0a8a532937828p-15, 0x1.0876a5ae3529p-15, 0x1.0666a33e1cd8bp-15, 0x1.045a32454723bp-15, 0x1.02514a6bf21c5p-15, 0x1.004c1fe5a9b44p-15, 0x1.fc9523343ca24p-16, 0x1.f8983d9c282ddp-16, 0x1.f4a19c92d2e4dp-16, 0x1.f0b623e17ffb6p-16, 0x1.eccf33b928539p-16, 0x1.e8eea0be4607ep-16, 0x1.e51528dbf6e6dp-16, 0x1.e142a6f565a52p-16, 0x1.dd777f3c697c8p-16, 0x1.d9b5171f6b1f5p-16, 0x1.d5f64d56ac0a3p-16, 0x1.d23fe825b3e56p-16, 0x1.ce910be1346a9p-16, 0x1.cae5a52e3d84ap-16, 0x1.c74160e8f7cb1p-16, 0x1.c3a5200f5e04ep-16, 0x1.c0114674cf73bp-16, 0x1.bc81e185fca99p-16, 0x1.b8f8e8b0fa4bap-16, 0x1.b576b43fde5c1p-16, 0x1.b1fb4b445dc9dp-16, 0x1.ae85e63c1acb3p-16, 0x1.ab13213128663p-16, 0x1.a7a41acf90966p-16, 0x1.a44b5d768c1c3p-16, 0x1.a0ef031e31a07p-16, 0x1.9d98fa0a41fbcp-16, 0x1.9a48d64bee4c8p-16, 0x1.96ff035d82a78p-16, 0x1.93bb6752a1f31p-16, 0x1.907d92becf29ap-16, 0x1.8d46f25615d46p-16, 0x1.8a17283f34196p-16, 0x1.86e9908fc07adp-16, 0x1.83c39afa70536p-16, 0x1.80a3240ec3126p-16, 0x1.7d522a243342dp-16, 0x1.7a75d792d692p-16, 0x1.7769d9c0b9719p-16, 0x1.745f0b46efa7ep-16, 0x1.715ad713974a4p-16, 0x1.6e5d293ba77c9p-16, 0x1.6b6623b55e04cp-16, 0x1.6874356463cc1p-16, 0x1.658896a61b96fp-16, 0x1.62a412a3cd0aap-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.24b727c1782ddp-2, -0x1.256bb8426687fp-2, -0x1.2696b32dff575p-2, -0x1.28353a907237p-2, -0x1.2a436cce66fc2p-2, -0x1.2cbc805252b0ap-2, -0x1.2f9ae19d43d41p-2, -0x1.32d852162b454p-2, -0x1.366e0660b5fc3p-2, -0x1.3a54c3615bf86p-2, -0x1.3e84f95f389d1p-2, -0x1.42f6dceee33f9p-2, -0x1.47a27d7dbe449p-2, -0x1.4c7fd97570fcap-2, -0x1.5186f005b7512p-2, -0x1.56afd0b17f3dcp-2, -0x1.5bf2a8c5386c2p-2, -0x1.6147cee0d7961p-2, -0x1.66a7ccc191ebbp-2, -0x1.6c0b6776b03c2p-2, -0x1.716ba62afce13p-2, -0x1.76c1d7a974e9dp-2, -0x1.7c0796c0d0ddcp-2, -0x1.8136cda63e3p-2, -0x1.8649b87468f12p-2, -0x1.8b3ae6e10a891p-2, -0x1.90053d407a0a5p-2, -0x1.94a3f4ec415f3p-2, -0x1.99129c1fa11f6p-2, -0x1.9d4d155afc538p-2, -0x1.a14f965d87204p-2, -0x1.a516a6c31672dp-2, -0x1.a89f1e52b5a58p-2, -0x1.abe623097e344p-2, -0x1.aee926ec335a1p-2, -0x1.b1a5e5a9357f3p-2, -0x1.b41a62139bea8p-2, -0x1.b644e37f73fep-2, -0x1.b823f3067c686p-2, -0x1.b9b658bc02c66p-2, -0x1.bafb18d5ed9dcp-2, -0x1.bbf170d067f52p-2, -0x1.bc98d49111554p-2, -0x1.bcf0eb8e0bcb3p-2, -0x1.bcf98dfcc2d5fp-2, -0x1.bcb2c20bc7f2ap-2, -0x1.bc1cb92ab4d8ep-2, -0x1.bb37cd62853d4p-2, -0x1.ba047ec088962p-2, -0x1.b88370d5a10bdp-2, -0x1.b6b5684b254f3p-2, -0x1.b49b488e7ed09p-2, -0x1.b23611943fb17p-2, -0x1.af86ddb32eab1p-2, -0x1.ac8edf97917acp-2, -0x1.a94f604ebea06p-2, -0x1.a5c9bd6ad1ed2p-2, -0x1.a1ff673e3c32fp-2, -0x1.9df1df2eb988fp-2, -0x1.99a2b61f22474p-2, -0x1.95138aef69e4cp-2, -0x1.90460912144efp-2, -0x1.8b3be73652265p-2, -0x1.85f6e605e6a6p-2, -0x1.8078cef5fd12bp-2, -0x1.7ac37329f998cp-2, -0x1.74d8aa67677fcp-2, -0x1.6eba521a0ed9dp-2, -0x1.686a4c674d6c4p-2, -0x1.61ea7f4fcdaeep-2, -0x1.5b3cd3deb9609p-2, -0x1.546335659183ap-2, -0x1.4d5f90c3d520fp-2, -0x1.4633d3b9b7f19p-2, -0x1.3ee1ec451cde7p-2, -0x1.376bc8082ef67p-2, -0x1.2fd353b8dd815p-2, -0x1.281a7a98aa7cp-2, -0x1.204325f42b685p-2, -0x1.184f3ca9b72cfp-2, -0x1.1040a2b6bca47p-2, -0x1.081938cb4f815p-2, -0x1.ffb5b7c6f41edp-3, -0x1.ef0ec9cbeeedcp-3, -0x1.de41508fe7169p-3, -0x1.cd50eb6b100d4p-3, -0x1.bc412f7d4ac5p-3, -0x1.ab15a71056fe4p-3, -0x1.99d1d101ed703p-3, -0x1.8879203555bd9p-3, -0x1.770efb0c1e7a2p-3, -0x1.6596bae5a8f8ep-3, -0x1.5413aba54609ep-3, -0x1.42890b3e99c2ep-3, -0x1.30fa094823259p-3, -0x1.1f69c693a84cap-3, -0x1.0ddb54cc7589bp-3, -0x1.f8a36c3665825p-4, -0x1.d59fb99ea898ap-4, -0x1.b2b1561bdc685p-4, -0x1.8fdde50be65dcp-4, -0x1.6d2ae8536c3d7p-4, -0x1.4a9dbfdb61f31p-4, -0x1.283ba918f257ep-4, -0x1.0609be9fb5bf3p-4, -0x1.c819ef7c3dc44p-5, -0x1.849450480f4e9p-5, -0x1.418bff26996a5p-5, -0x1.fe1426698fb7ep-6, -0x1.7a2eb56352b68p-6, -0x1.eef16a6bfebap-7, -0x1.d80a72e9ebc3cp-8, 0x1.44761a509829dp-11, 0x1.11d5c84819e4cp-7, 0x1.0644420af87fbp-6, 0x1.8221a37ee7d74p-6, 0x1.fc757582e0f19p-6, 0x1.3a995c72fba3bp-5, 0x1.762680f06af01p-5, 0x1.b0dc3bc859b84p-5, 0x1.eab4e9a84d26ep-5, 0x1.11d597fc6577bp-4, 0x1.2ddcfe34b16bdp-4, 0x1.496e423686cb7p-4, 0x1.64872253aaed3p-4, 0x1.7f258025623bbp-4, 0x1.994760348301fp-4, 0x1.b2eae99aacde6p-4, 0x1.cc0e659cd7876p-4, 0x1.e4b03f3f8dabbp-4, 0x1.fccf02d5082fdp-4, 0x1.0a34aec2bf1c6p-3, 0x1.15bf0e68f02fep-3, 0x1.21061708abb05p-3, 0x1.2c094ef4e2cb4p-3, 0x1.36c84be1c7f16p-3, 0x1.4142b29c81384p-3, 0x1.4b7836c0c4cfap-3, 0x1.55689a6c91ae1p-3, 0x1.5f13adf216ecfp-3, 0x1.68794f87fbf7cp-3, 0x1.71996af82939p-3, 0x1.7a73f94d31cfep-3, 0x1.8309007e817f2p-3, 0x1.8b58931b7c908p-3, 0x1.9362cff5a0a32p-3, 0x1.9b27e1c9d6c42p-3, 0x1.a2a7fee912162p-3, 0x1.a9e368e059d23p-3, 0x1.b0da6c2067f7ep-3, 0x1.b78d5fa4e73c8p-3, 0x1.bdfca49b80988p-3, 0x1.c428a60ad1158p-3, 0x1.ca11d8795c17dp-3, 0x1.cfb8b9949d51dp-3, 0x1.d51dcfd853e48p-3, 0x1.da41aa361bc92p-3, 0x1.df24dfbd6c61fp-3, 0x1.e3c80f442043cp-3, 0x1.e82bdf0f8c5f5p-3, 0x1.ec50fc7e4635cp-3, 0x1.f0381bb2a80bap-3, 0x1.f3e1f73e2e601p-3, 0x1.f74f4fcdb4cebp-3, 0x1.fa80ebd6af64ep-3, 0x1.fd7797456a16bp-3, 0x1.001a119632282p-2, 0x1.015bb2ba66f62p-2, 0x1.02811c481d551p-2, 0x1.038abd95cb59dp-2, 0x1.047907f1b440bp-2, 0x1.054c6e7cb6377p-2, 0x1.06056605c6c17p-2, 0x1.06a464e62844ep-2, 0x1.0729e2de54597p-2, 0x1.079658f3aaafbp-2, 0x1.07ea414eda014p-2, 0x1.0826171b12e05p-2, 0x1.084a5665feadep-2, 0x1.08577c007f8ep-2, 0x1.084e05603b1bfp-2, 0x1.082e7081f4b44p-2, 0x1.07f93bccb0bd9p-2, 0x1.07aee5f5ac5d1p-2, 0x1.074fede5205ccp-2, 0x1.06dcd29bd5da2p-2, 0x1.065613198afccp-2, 0x1.05bc2e4427b32p-2, 0x1.050fa2cfc0b4ep-2, 0x1.0450ef276a1b5p-2, 0x1.03809156d6ec9p-2, 0x1.029f06f4c75c2p-2, 0x1.01accd0e40eaep-2, 0x1.00aa60128e31cp-2, 0x1.ff3077801741p-3, 0x1.fcedb6236b7eap-3, 0x1.fa8d705afab47p-3, 0x1.f81098a6bc227p-3, 0x1.f5781f9a65ce9p-3, 0x1.f2c4f3be90bf7p-3, 0x1.eff8017353ed5p-3, 0x1.ed1232d447d78p-3, 0x1.ea146f9dfb88bp-3, 0x1.e6ff9d14c34b9p-3, 0x1.e3d49deceb9cdp-3, 0x1.e09452344329ep-3, 0x1.dd3f973cec063p-3, 0x1.d9d7478983ecep-3, 0x1.d65c3aba805f2p-3, 0x1.d2cf457cd57eep-3, 0x1.cf313979c6379p-3, 0x1.cb82e547e8446p-3, 0x1.c7c5145d4d1f4p-3, 0x1.c3f88f02cd355p-3, 0x1.c01e1a48674ddp-3, 0x1.bc3677fab7a86p-3, 0x1.b84266996f127p-3, 0x1.b442a14edaaaap-3, 0x1.b037dfe858418p-3, 0x1.ac22d6cfcd556p-3, 0x1.a8043705fe5acp-3, 0x1.a3dcae1dd627p-3, 0x1.9face63883fbp-3, 0x1.9b75860278f9ap-3, 0x1.973730b12c689p-3, 0x1.92f28601b4cfp-3, 0x1.8ea822381aadp-3, 0x1.8a589e1f68511p-3, 0x1.86048f0a7264ep-3, 0x1.81ac86d54c006p-3, 0x1.7d5113e75d77ap-3, 0x1.78f2c13626adep-3, 0x1.7492164890c9ap-3, 0x1.702f973ad8f5dp-3, 0x1.6bcbc4c307dfap-3, 0x1.67671c35f18bcp-3, 0x1.6302178cb2f38p-3, 0x1.5e9d2d6ab0f03p-3, 0x1.5a38d12404388p-3, 0x1.55d572c45cfe5p-3, 0x1.51737f1649109p-3, 0x1.4d135faae8d23p-3, 0x1.48b57ae1f43c1p-3, 0x1.445a33f2288b9p-3, 0x1.4001eaf20277bp-3, 0x1.3bacfce0c4ecep-3, 0x1.375bc3afd358cp-3, 0x1.330e964c4d0dbp-3, 0x1.2ec5c8a8e719ap-3, 0x1.2a81abc802ce6p-3, 0x1.26428dc6039f4p-3, 0x1.2208b9e3d1da7p-3, 0x1.1dd478918b201p-3, 0x1.19a60f79641bp-3, 0x1.157dc18aaf2bcp-3, 0x1.115bcf050560ap-3, 0x1.0d4075838f192p-3, 0x1.092bf0086e15ap-3, 0x1.051e7708359a6p-3, 0x1.0118407585c13p-3, 0x1.fa32ff9954a0dp-4, 0x1.f244cc3ea9ac1p-4, 0x1.ea664440b2cd3p-4, 0x1.e297c05ef9e71p-4, 0x1.dad994ca7e777p-4, 0x1.d32c113d63db7p-4, 0x1.cb8f81129505bp-4, 0x1.c4042b5d69f72p-4, 0x1.bc8a530140e6ep-4, 0x1.b52236c913e61p-4, 0x1.adcc117ee9911p-4, 0x1.a6881a0347844p-4, 0x1.9f5683647c597p-4, 0x1.98377cf5cc9f4p-4, 0x1.912b3266875bdp-4, 0x1.8a31cbd8ec4b8p-4, 0x1.834b6df8f02b4p-4, 0x1.7c783a12d2bebp-4, 0x1.75b84e298529cp-4, 0x1.6f0bc50ce55cdp-4, 0x1.6872b66fbf73bp-4, 0x1.61ed36fd9ad46p-4, 0x1.5b7b58704fe4p-4, 0x1.551d29a56163dp-4, 0x1.4ed2b6b319fe4p-4, 0x1.489c08fd67dbdp-4, 0x1.4279274a7bb2fp-4, 0x1.3c6a15d722e23p-4, 0x1.366ed66ade567p-4, 0x1.3087686bb1239p-4, 0x1.2ab3c8f1acf78p-4, 0x1.24f3f2da347cap-4, 0x1.1f47dedaf1bdbp-4, 0x1.19af839487bf6p-4, 0x1.142ad5a4f35b8p-4, 0x1.0eb9c7b9a508ep-4, 0x1.095c4aa14e1cdp-4, 0x1.04124d5d5a7cbp-4, 0x1.fdb77a6647e13p-5, 0x1.f3710b79a8604p-5, 0x1.e95121f3f41b4p-5, 0x1.df578ebf9ab6cp-5, 0x1.d5841fd24d48p-5, 0x1.cbd6a04c4c468p-5, 0x1.c24ed8971783bp-5, 0x1.b8ec8e8384bbp-5, 0x1.afaf856734487p-5, 0x1.a6977e3967e5cp-5, 0x1.9da437af3e3cdp-5, 0x1.94d56e57518ecp-5, 0x1.8c2adcb4b8ba3p-5, 0x1.83a43b5972b96p-5, 0x1.7b41410030faep-5, 0x1.7301a2a58b7e1p-5, 0x1.6ae513a09e584p-5, 0x1.62eb45bb0aa84p-5, 0x1.5b13e94867a2p-5, 0x1.535ead3d1ec66p-5, 0x1.4bcb3f44af0d1p-5, 0x1.44594bd76243bp-5, 0x1.3d087e4f6fb52p-5, 0x1.35d880fd92c7cp-5, 0x1.2ec8fd3d15934p-5, 0x1.27d99b8747b05p-5, 0x1.210a0386738d7p-5, 0x1.1a59dc2847bbcp-5, 0x1.13c8cbafb5409p-5, 0x1.0d5677c653d0ap-5, 0x1.0702858d3a5c7p-5, 0x1.00cc99ad59a6fp-5, 0x1.f568b0ceafbp-6, 0x1.e972cb45d30d7p-6, 0x1.ddb6c9fb72ef9p-6, 0x1.d233f3b3998b2p-6, 0x1.c6e98ed6f2829p-6, 0x1.bbd6e18dbe8e6p-6, 0x1.b0fb31d9dc1c2p-6, 0x1.a655c5afffa41p-6, 0x1.9be5e30ffcbcfp-6, 0x1.91aad01c3e314p-6, 0x1.87a3d3305fb78p-6, 0x1.7dd032f70084fp-6, 0x1.742f367eb8eb7p-6, 0x1.6ac0254e48d2fp-6, 0x1.618247780a4fep-6, 0x1.5874e5ac98282p-6, 0x1.4f97494cb43ccp-6, 0x1.46e8bc7a86797p-6, 0x1.3e688a29fd66p-6, 0x1.3615fe30aea68p-6, 0x1.2df06554db398p-6, 0x1.25f70d5bed4f4p-6, 0x1.1e29451833e92p-6, 0x1.16865c761107fp-6, 0x1.0f0da4887c274p-6, 0x1.07be6f94eb513p-6, 0x1.0098111ea7b81p-6, 0x1.f333bbe311d0ep-7, 0x1.e58658585a30ep-7, 0x1.d826a6932be6ap-7, 0x1.cb13585498b86p-7, 0x1.be4b2239d592bp-7, 0x1.b1ccbbcc6b40bp-7, 0x1.a596df916b388p-7, 0x1.99a84b1791f7dp-7, 0x1.8dffbf04a728p-7, 0x1.829bff21dace8p-7, 0x1.777bd267333aep-7, 0x1.6c9e03063755cp-7, 0x1.62015e73d27eep-7, 0x1.57a4b5713f502p-7, 0x1.4d86dc1443dd1p-7, 0x1.43a6a9ceb29fbp-7, 0x1.3a02f9752d8aep-7, 0x1.309aa9451b7e7p-7, 0x1.276c9aea0ba56p-7, 0x1.1e77b3825b655p-7, 0x1.15badba333238p-7, 0x1.0d34ff5c0fc5cp-7, 0x1.04e50e396a521p-7, 0x1.f993f68e0d35cp-8, 0x1.e9c57a232e6aep-8, 0x1.da5c9b4fc1e27p-8, 0x1.cb5755369dccbp-8, 0x1.bcb3aa0017954p-8, 0x1.ae6fa2d93ce2cp-8, 0x1.a0894ff21843cp-8, 0x1.92fec87b3af6p-8, 0x1.85ce2aa216f78p-8, 0x1.78f59b8cd6c45p-8, 0x1.6c73475539b9ap-8, 0x1.60456102b66abp-8, 0x1.546a2283ed992p-8, 0x1.48dfcca764409p-8, 0x1.3da4a713966efp-8, 0x1.32b7003e59e98p-8, 0x1.28152d63b84dap-8, 0x1.1dbd8a7c1f2edp-8, 0x1.13ae7a32157b8p-8, 0x1.09e665d74da0cp-8, 0x1.0063bd596b662p-8, 0x1.ee49ee6c0aa24p-9, 0x1.dc5120dcff832p-9, 0x1.cada18f68d881p-9, 0x1.b9e1ea7d7bbb6p-9, 0x1.a965b5ef54d9dp-9, 0x1.9962a866c39a2p-9, 0x1.89d5fb7f29ed8p-9, 0x1.7abcf537d2ea6p-9, 0x1.6c14e7d5f0389p-9, 0x1.5ddb31c6cb47fp-9, 0x1.500d3d80c9e97p-9, 0x1.42a88164845bep-9, 0x1.35aa7f9cf90a2p-9, 0x1.2910c5ffb2c7p-9, 0x1.1cd8edec35d2ep-9, 0x1.11009c2b47b99p-9, 0x1.058580ce213c5p-9, 0x1.f4caae199fe14p-10, 0x1.df3bca4951856p-10, 0x1.ca59f86d8c949p-10, 0x1.b620f04b3affdp-10, 0x1.a28c7ee625984p-10, 0x1.8f98863c99527p-10, 0x1.7d40fd01e6addp-10, 0x1.6b81ee59a744bp-10, 0x1.5a5779929084bp-10, 0x1.49bdd1e13b24bp-10, 0x1.39b13e1a9ceb3p-10, 0x1.2a2e186ef54bdp-10, 0x1.1b30ce24472dep-10, 0x1.0cb5df50eed8p-10, 0x1.fd73bd2e1916p-11, 0x1.e272e1bdf474fp-11, 0x1.c8629a24dad75p-11, 0x1.af3c77b02f09ep-11, 0x1.96fa2e9dcff9ap-11, 0x1.7f959594bd1bap-11, 0x1.6908a51c55047p-11, 0x1.534d771638372p-11, 0x1.3e5e463658413p-11, 0x1.2a356d7edad29p-11, 0x1.16cd67ba75b1cp-11, 0x1.0420cef87193ep-11, 0x1.e454b811d8761p-12, 0x1.c1c9cbf658687p-12, 0x1.a096c337dd74cp-12, 0x1.80b1c1e9ed6a1p-12, 0x1.6211259ccb021p-12, 0x1.44ab845e1646fp-12, 0x1.2877abc0a1a55p-12, 0x1.0d6c9fe101535p-12, 0x1.e70334e63a04bp-13, 0x1.b55c1398f0968p-13, 0x1.85d31fe4145d3p-13, 0x1.58580355d28ap-13, 0x1.2cdacb237877dp-13, 0x1.034be65661ffap-13, 0x1.b738480456cb7p-14, 0x1.6b7962e1e9fcep-14, 0x1.233e30c931715p-14, 0x1.bcd4f54df3fdbp-15, 0x1.39c576bd5fda6p-15, 0x1.7a30717be5ffbp-16, 0x1.1a63921187ddbp-17, -0x1.4f5c689156b8fp-18, -0x1.294db42c6e62ep-16, -0x1.f392fc0cfb6c7p-16, -0x1.5982b8375f89bp-15, -0x1.b40092296e63dp-15, -0x1.04b7f2e523e2dp-14, -0x1.2cfe31d280c3dp-14, -0x1.52e84c758c00dp-14, -0x1.768afabc22851p-14, -0x1.97fa68e2f13b8p-14, -0x1.b74a3a4c91dbbp-14, -0x1.d48d8c7699bcbp-14, -0x1.efd6f9bea8db9p-14, -0x1.049c4e198170ep-13, -0x1.10620826d7a0bp-13, -0x1.1b453bd339183p-13, -0x1.254e3dce96f0cp-13, -0x1.2e8527fb6d199p-13, -0x1.36f1daba5716ap-13, -0x1.3e9bfe2d18p-13, -0x1.458b037651201p-13, -0x1.4bc625efcaa4p-13, -0x1.51546c65adcebp-13, -0x1.563caa414e1bfp-13, -0x1.5a8580b79a3c5p-13, -0x1.5e355fead6c3cp-13, -0x1.6152880e4670dp-13, -0x1.63e30a7f17419p-13, -0x1.65eccadc1c636p-13, -0x1.6775801712699p-13, -0x1.6882b5835f809p-13, -0x1.6919cbdc2af56p-13, -0x1.693ffa463bdf3p-13, -0x1.68fa4f501f56p-13, -0x1.684db1ed2e4f3p-13, -0x1.673ee26901217p-13, -0x1.65d27b5854352p-13, -0x1.640cf2861d3a9p-13, -0x1.61f299d9ec80bp-13, -0x1.5f87a03b69e7bp-13, -0x1.5cd012705119bp-13, -0x1.59cfdbf8ec416p-13, -0x1.568ac7e659e2p-13, -0x1.530481aa5cf65p-13, -0x1.4f4095e6aa755p-13, -0x1.4b427335fac3p-13, -0x1.470d6af2ae892p-13, -0x1.42a4b1f7935b7p-13, -0x1.3e0b615f14d72p-13, -0x1.3944773b42168p-13, -0x1.3452d74eb539fp-13, -0x1.2f394bba52c1fp-13, -0x1.29fa85ae8da12p-13, -0x1.24991e17020c6p-13, -0x1.1f179640d886dp-13, -0x1.1978587e2c36cp-13, -0x1.13bdb8c671d1cp-13, -0x1.0de9f552c44b1p-13, -0x1.07ff3737a6493p-13, -0x1.01ff92fa2b453p-13, -0x1.f7da1247354c8p-14, -0x1.eb930da2137bp-14, -0x1.df2dcc7e16827p-14, -0x1.d2addea3fc2e9p-14, -0x1.c616b037fdadep-14, -0x1.b96b8ac33de15p-14, -0x1.acaf9630673fap-14, -0x1.9fe5d9c6d1676p-14, -0x1.93113d1eba12p-14, -0x1.8634891008d57p-14, -0x1.7952689b5098fp-14, -0x1.6c6d69c9aaa02p-14, -0x1.5f87fe906fd73p-14, -0x1.52a47da6c6329p-14, -0x1.45c5235bd340dp-14, -0x1.38ec12634fa02p-14, -0x1.2c1b549d81924p-14, -0x1.1f54dbdeb6c34p-14, -0x1.129a82aeaff47p-14, -0x1.05ee0d01c33f2p-14, -0x1.f2a251e2a6691p-15, -0x1.d98adedcbf53cp-15, -0x1.c098c9da6e766p-15, -0x1.a7cef4207b6f4p-15, -0x1.8f30188f50309p-15, -0x1.76beccf2387a9p-15, -0x1.5e7d83313e854p-15, -0x1.466e8a8579d8dp-15, -0x1.2e94109efa341p-15, -0x1.16f022c673d1ap-15, -0x1.ff095df164f86p-16, -0x1.d0a709ed68b4ep-16, -0x1.a2bcaea2c2b45p-16, -0x1.754d78d8bd565p-16, -0x1.485c5efe9bf79p-16, -0x1.1bec2313a4012p-16, -0x1.dffea90c2cddcp-17, -0x1.8930a3f494438p-17, -0x1.33729638d2ef4p-17, -0x1.bd91095796ab5p-18, -0x1.166c39f270b42p-18, -0x1.c5f5c6cce1b4ep-20, 0x1.89a9ebdc909bfp-21, 0x1.a34cba12e26c7p-19, 0x1.6fd10bcd93923p-18, 0x1.05d87c296367dp-17, 0x1.52a12d9128afap-17, 0x1.9e40f8a5b0964p-17, 0x1.e8b67b82abbbap-17, 0x1.190048a4f51dap-16, 0x1.3d0f27d54e2e6p-16, 0x1.6087823842ba4p-16, 0x1.8369199495f3cp-16, 0x1.a5b3c9673f8cep-16, 0x1.c76785d3e7855p-16, 0x1.e8845a8b8cfedp-16, 0x1.048534df2159bp-15, 0x1.147cf59033431p-15, 0x1.2429957461b1bp-15, 0x1.338b44765b50cp-15, 0x1.42a23bd46e942p-15, 0x1.516ebdb14727cp-15, 0x1.5ff114a3da67p-15, 0x1.6e29934dce3c9p-15, 0x1.7c1893f5c9f7ap-15, 0x1.89be78244d206p-15, 0x1.971ba83fb0a64p-15, 0x1.a430933331122p-15, 0x1.b0fdae13231a6p-15, 0x1.bd8373c6a8943p-15, 0x1.c9c264b28e45ap-15, 0x1.d5bb06662c356p-15, 0x1.e16de35030f58p-15, 0x1.ecdb8a7211406p-15, 0x1.f8048f1881c72p-15, 0x1.0174c44965524p-14, 0x1.06c588f72217ap-14, 0x1.0bf4e4db92d7ep-14, 0x1.110328daac988p-14, 0x1.15f0a75a12963p-14, 0x1.1abdb4222fc98p-14, 0x1.1f6aa4427fcp-14, 0x1.23f7cdf6ab7d5p-14, 0x1.2865888cd3612p-14, 0x1.2cb42c4b98bddp-14, 0x1.30e41259f3b34p-14, 0x1.34f594a72ede9p-14, 0x1.38e90dd66650fp-14, 0x1.3cbed927fe735p-14, 0x1.40775265a1fd7p-14, 0x1.4412d5cdf63fap-14, 0x1.4791c001b3bf7p-14, 0x1.4af46df1ddfa5p-14, 0x1.4e3b3cce1b0b9p-14, 0x1.516689f3d42e4p-14, 0x1.5476b2deb1be3p-14, 0x1.576c151940a8ap-14, 0x1.5a470e2e43b7ap-14, 0x1.5d07fb9bf9208p-14, 0x1.5faf3ac5599d9p-14, 0x1.623d28e5bd769p-14, 0x1.64b2230547b1p-14, 0x1.670e85ecdd0fdp-14, 0x1.6952ae1b47313p-14, 0x1.6b7ef7bc012cdp-14, 0x1.6d93be9b75e94p-14, 0x1.6f915e1f60401p-14, 0x1.7178313c1eed2p-14, 0x1.7348926e14248p-14, 0x1.7502dbb076834p-14, 0x1.76a766761ebap-14, 0x1.78368ba2d323dp-14, 0x1.79b0a3839a0afp-14, 0x1.7b1605c9a7b8dp-14, 0x1.7c670984eab4ap-14, 0x1.7da4051c0761dp-14, 0x1.7ecd4e495dfdfp-14, 0x1.7fe33a162b7dbp-14, 0x1.80e61cd40ccd4p-14, 0x1.81d64a1a92f08p-14, 0x1.82b414c388116p-14, 0x1.837fcee5f04cp-14, 0x1.8439c9d38973ap-14, 0x1.84e256163bb52p-14, 0x1.8579c36c77de4p-14, 0x1.860060c6a9fb7p-14, 0x1.86767c466f953p-14, 0x1.86dc633a0f613p-14, 0x1.8732621c5de0bp-14, 0x1.8778c49345c6cp-14, 0x1.87afd56dae3d8p-14, 0x1.87d7dea1a7f72p-14, 0x1.87f1294d64565p-14, 0x1.87fbfdb47e413p-14, 0x1.87f8a3400a29cp-14, 0x1.87e7607df5e82p-14, 0x1.87c87b209de7p-14, 0x1.879c37ff19293p-14, 0x1.8762db13ced64p-14, 0x1.871ca77eb8acp-14, 0x1.86c9df83968bbp-14, 0x1.866ac48aed333p-14, 0x1.85ff97237813p-14, 0x1.858897018f1a2p-14, 0x1.850602ffb6777p-14, 0x1.847819201f07p-14, 0x1.83df168dad54bp-14, 0x1.833b379baf07cp-14, 0x1.828cb7c8072bcp-14, 0x1.81d3d1bd1d96p-14, 0x1.8110bf508f77cp-14, 0x1.8043b986be2d3p-14, 0x1.7f6cf89310d01p-14, 0x1.7e8cb3d9b5db1p-14, 0x1.7da321f0e11e6p-14, 0x1.7cb078a28f5eap-14, 0x1.7bb4ecee816f9p-14, 0x1.7ab0b30ae4fffp-14, 0x1.79a3fe6692897p-14, 0x1.788f01ab82613p-14, 0x1.7771eebf3e34fp-14, 0x1.764cf6c56f53ep-14, 0x1.75204a21e550cp-14, 0x1.73ec18795638cp-14, 0x1.72b090b48fe3cp-14, 0x1.716de10202d44p-14, 0x1.702436d7837fp-14, 0x1.6ed3bef480aa5p-14, 0x1.6d7ca5636598p-14, 0x1.6c1f157c8b8fdp-14, 0x1.6abb39e72e548p-14, 0x1.69513c9ca7e66p-14, 0x1.67e146e943486p-14, 0x1.666b816f50a0ep-14, 0x1.64f01428a9421p-14, 0x1.636f26683803cp-14, 0x1.61e8deddad5cfp-14, 0x1.605d6395e249cp-14, 0x1.5eccd9fdb54cep-14, 0x1.5d3766e45ee4bp-14, 0x1.5b9d2e7ca22acp-14, 0x1.59fe545efbd05p-14, 0x1.585afb8cba366p-14, 0x1.56b34671094d6p-14, 0x1.550756e365d7fp-14, 0x1.53574e293e177p-14, 0x1.51a34cf89ce6ep-14, 0x1.4feb737994e6cp-14, 0x1.4e2fe1481aa06p-14, 0x1.4c70b57708fbp-14, 0x1.4aae0e91503cbp-14, 0x1.48e80a9bbff6ep-14, 0x1.471ec71756ccap-14, 0x1.45526103591d6p-14, 0x1.4382f4debfcaep-14, 0x1.41b09eaa354f5p-14, 0x1.3fdb79ea95f8dp-14, 0x1.3e03a1aa7cc4bp-14, 0x1.3c29307b86312p-14, 0x1.3a4c40783c07ep-14, 0x1.386ceb4702688p-14, 0x1.368b4a1aed9ccp-14, 0x1.34a775b58164fp-14, 0x1.32c18668d525bp-14, 0x1.30d9941906d21p-14, 0x1.2eefb63e3df44p-14, 0x1.2d0403e5d6b7p-14, 0x1.2b1693b4919b4p-14, 0x1.29277be86ae77p-14, 0x1.2736d259908d6p-14, 0x1.2544ac7c3f8bep-14, 0x1.23511f629c16cp-14, 0x1.215c3fbe18701p-14, 0x1.1f6621e0a32fep-14, 0x1.1d6ed9be86fd7p-14, 0x1.1b767af06df3dp-14, 0x1.197d18b48c4f7p-14, 0x1.1782c5ef16c8cp-14, 0x1.1587952cb7768p-14, 0x1.138b98a4340f6p-14, 0x1.118ee2374cc0bp-14, 0x1.0f918374258cdp-14, 0x1.0d938d9682723p-14, 0x1.0b951189c171ap-14, 0x1.09961fe96e181p-14, 0x1.0796c902dac81p-14, 0x1.05971cd69ecf7p-14, 0x1.03972b19c000cp-14, 0x1.01970336c84dp-14, 0x1.ff2d689d9bb63p-15, 0x1.fb2c9a7688535p-15, 0x1.f72bb91d84129p-15, 0x1.f32ae12bcbb58p-15, 0x1.ef2a2eb1574dap-15, 0x1.eb29bd3833b8fp-15, 0x1.e729a7c622c3bp-15, 0x1.e32a08de10c6bp-15, 0x1.df2afa81e9bfcp-15, 0x1.db2c96366618dp-15, 0x1.d72ef50398f7ep-15, 0x1.d3322f783d7bep-15, 0x1.cf365daa1e233p-15, 0x1.cb3b973903a32p-15, 0x1.c741f35129f7ep-15, 0x1.c34988abc2187p-15, 0x1.bf526d91bc6a8p-15, 0x1.bb5cb7dd6f603p-15, 0x1.b7687cfc730cfp-15, 0x1.b375d1f1bb0e1p-15, 0x1.af84cb55f8e6ep-15, 0x1.ab957d5ae31cep-15, 0x1.a7a7fbcc2134ep-15, 0x1.a3bc5a102d998p-15, 0x1.9fd2ab2b42a52p-15, 0x1.9beb01c06e40cp-15, 0x1.98057013b35d9p-15, 0x1.9422080a6bf5p-15, 0x1.9040db2ceaf76p-15, 0x1.8c61faa937419p-15, 0x1.88857752c446bp-15, 0x1.84ab61a573471p-15, 0x1.80d3c9c5d7686p-15, 0x1.7cfebf82ccd5ep-15, 0x1.792c52572918bp-15, 0x1.755c916ae454dp-15, 0x1.718f8b943e32fp-15, 0x1.6dc54f58a0dbep-15, 0x1.69fdeaeeea703p-15, 0x1.66396c401fbc5p-15, 0x1.6277e0e880ebcp-15, 0x1.5eb956384148bp-15, 0x1.5afdd9358e686p-15, 0x1.5745769d31942p-15, 0x1.53903ae358775p-15, 0x1.4fde32357c97bp-15, 0x1.4c2f687adc63ep-15, 0x1.4883e95676204p-15, 0x1.44dbc0268a297p-15, 0x1.4136f806a391bp-15, 0x1.3d959bd03dddp-15, 0x1.39f7b61c082e2p-15, 0x1.365d514295d19p-15, 0x1.32c6775d687ep-15, 0x1.2f333247d4646p-15, 0x1.2ba38b9fa58f4p-15, 0x1.28178cc6a83d1p-15, 0x1.248f3ee31d3fep-15, 0x1.210aaae00a556p-15, 0x1.1d89d96f1673dp-15, 0x1.1a0cd30978a91p-15, 0x1.16939fefcd971p-15, 0x1.131e482b60c15p-15, 0x1.0facd38e7eb22p-15, 0x1.0c3f49b60d8cp-15, 0x1.08d5b209a7b27p-15, 0x1.057013bc9b983p-15, 0x1.020e75ce94b8fp-15, 0x1.fd61be1981beap-16, 0x1.f6aeac24069c4p-16, 0x1.f003c28fc5158p-16, 0x1.e9610dcddca66p-16, 0x1.e2c699ee5e9d1p-16, 0x1.dc3472a4a0e7ep-16, 0x1.d5aaa344aac1ap-16, 0x1.cf2936c717cf1p-16, 0x1.c8b037c8e384ep-16, 0x1.c23fb08da8e51p-16, 0x1.bbd7ab005251p-16, 0x1.b57830b474226p-16, 0x1.af214ae6ac814p-16, 0x1.a8d3027f8a4e1p-16, 0x1.a28d6013c2744p-16, 0x1.9c506be5e4955p-16, 0x1.961c2de5eb58ap-16, 0x1.8ff0adb2f05e2p-16, 0x1.89cdf29d7559bp-16, 0x1.83b403a6d2853p-16, 0x1.7da2e783c0959p-16, 0x1.779aa49b7c3c3p-16, 0x1.719b410b4462cp-16, 0x1.6ba4c2a56ba8bp-16, 0x1.65b72ef4255c1p-16, 0x1.5fd28b389e2bdp-16, 0x1.59f6dc6b2e983p-16, 0x1.5424273fd10fep-16, 0x1.4e5a70242a41p-16, 0x1.4899bb41aee63p-16, 0x1.42e20c7dbf27cp-16, 0x1.3d33677b845a4p-16, 0x1.378dcf9c7faa7p-16, 0x1.31f148007c6cep-16, 0x1.2c5dd3873e4ccp-16, 0x1.26d374d155252p-16, 0x1.21522e41afcecp-16, 0x1.1bda01fd66cdp-16, 0x1.166af1ee005e5p-16, 0x1.1104ffbf3f283p-16, 0x1.0ba82ce22d284p-16, 0x1.06547a8e3b37p-16, 0x1.0109e9c115cbap-16, 0x1.f790f68007cf2p-17, 0x1.ed205f2e82b66p-17, 0x1.e2c20e39a5e72p-17, 0x1.d87603dfc45f5p-17, 0x1.ce3c3ff713027p-17, 0x1.c414c1e9883cp-17, 0x1.b9ff88b6ffa2ep-17, 0x1.affc92fb0d91p-17, 0x1.a60bdeeb44b42p-17, 0x1.9c2d6a582c7dep-17, 0x1.926132b025e43p-17, 0x1.88a73500466f7p-17, 0x1.7eff6df7bbcd4p-17, 0x1.7569d9e5b243dp-17, 0x1.6be674b9cdc07p-17, 0x1.62753a0956427p-17, 0x1.5916251162b37p-17, 0x1.4fc930b3232f3p-17, 0x1.468e5779a4c09p-17, 0x1.3d65939a81c7cp-17, 0x1.344edef232bdep-17, 0x1.2b4a330b12e45p-17, 0x1.2257891dcd5d1p-17, 0x1.1976da0faaa9p-17, 0x1.10a81e76eacf3p-17, 0x1.07eb4e991a34ap-17, 0x1.fe80c4de17483p-18, 0x1.ed4ea346b4827p-18, 0x1.dc402731ba79ep-18, 0x1.cb553ecbf5565p-18, 0x1.ba8dd7abf5ce1p-18, 0x1.a9e9dedc64cbep-18, 0x1.996940daffbdp-18, 0x1.890be997f1f87p-18, 0x1.78d1c479dc085p-18, 0x1.68babc5f1ffecp-18, 0x1.58c6bba6430bep-18, 0x1.48f5ac29a7a84p-18, 0x1.3947773fc7cddp-18, 0x1.29bc05c1f3c1dp-18, 0x1.1a53400fbb216p-18, 0x1.0b0d0e0f9b42bp-18, 0x1.f7d2ae566851bp-19, 0x1.d9d004b9a3d0bp-19, 0x1.bc11ec4f07181p-19, 0x1.9e983137d0315p-19, 0x1.81629ebbe7768p-19, 0x1.6470ff45001bdp-19, 0x1.47c31c67f891fp-19, 0x1.2b58bee317275p-19, 0x1.0f31aea547ee3p-19, 0x1.e69b65ad128d5p-20, 0x1.af5923a851354p-20, 0x1.789c227a6a152p-20, 0x1.4263ebdc88847p-20, 0x1.0cb0080f05c22p-20, 0x1.aefffbd188602p-21, 0x1.45a6a5b1485c1p-21, 0x1.baa62b76a2d9ep-22, 0x1.d811455a5ef9dp-23, 0x1.f72b67cdeb3b4p-26, -0x1.563b316355ca7p-23, -0x1.73aa4f8b6b5b7p-22, -0x1.1d1abbf1ecf8cp-21, -0x1.7f609037c0fe2p-21, -0x1.e0a7ae2a64fbap-21, -0x1.207890c999aa4p-20, -0x1.501efc5f6db4fp-20, -0x1.7f47a20735d8fp-20, -0x1.adf30afed5177p-20, -0x1.dc21c1a346e25p-20, -0x1.04ea28a51f886p-19, -0x1.1b85a31e3c4a3p-19, -0x1.31e396e5c9743p-19, -0x1.48044b1ab879p-19, -0x1.5de80754414adp-19, -0x1.738f139c286afp-19, -0x1.88f9b86b57e12p-19, -0x1.9e283ea43696cp-19, -0x1.b31aef91930f7p-19, -0x1.c7d214e804344p-19, -0x1.dc4df8c1c9409p-19, -0x1.f08ee5901c62ap-19, -0x1.024a931260e7ap-18, -0x1.0c3082d9f1617p-18, -0x1.15f967e13024bp-18, -0x1.1fa56813b285p-18, -0x1.2934a9875af08p-18, -0x1.32a75275dd046p-18, -0x1.3bfd8944963abp-18, -0x1.4537747ca5ac7p-18, -0x1.4e553ac80595ep-18, -0x1.575702f16c7fdp-18, -0x1.603cf3e426e99p-18, -0x1.690734ac67fdap-18, -0x1.71b5ec7279622p-18, -0x1.7a49427d5a82bp-18, -0x1.82c15e30262d1p-18, -0x1.8b1e670365129p-18, -0x1.93608489714dap-18, -0x1.9b87de6caaf16p-18, -0x1.a3949c6dc032cp-18, -0x1.ab86e6623feeap-18, -0x1.b35ee4323caadp-18, -0x1.bb1cbdda97b65p-18, -0x1.c2c09b67a77d7p-18, -0x1.ca4aa4f4b41b4p-18, -0x1.d1bb02abea60bp-18, -0x1.d911dcc8cb8ffp-18, -0x1.e04f5b8f2576fp-18, -0x1.e773a74f678bep-18, -0x1.ee7ee8656390dp-18, -0x1.f5714735d7cb9p-18, -0x1.fc4aec2cc79c6p-18, -0x1.0185ffdec236bp-17, -0x1.04da552f6ab22p-17, -0x1.08228a486edacp-17, -0x1.0b5eb36bc6d35p-17, -0x1.0e8ee4db63aeep-17, -0x1.11b332da53fe6p-17, -0x1.14cbb1abbe3f1p-17, -0x1.17d87594141b8p-17, -0x1.1ad992d605bf7p-17, -0x1.1dcf1db3184cap-17, -0x1.20b92a6cc8f7ap-17, -0x1.2397cd422b917p-17, -0x1.266b1a6e44d8dp-17, -0x1.2933262a4c3c9p-17, -0x1.2bf004ac76961p-17, -0x1.2ea1ca266483p-17, -0x1.31488ac6220e7p-17, -0x1.33e45ab44db48p-17, -0x1.36754e158d35bp-17, -0x1.38fb7907e7872p-17, -0x1.3b76efa3ad6c9p-17, -0x1.3de7c5fbabe94p-17, -0x1.404e101c17674p-17, -0x1.42a9e207a8fbdp-17, -0x1.44fb4fbba6fcdp-17, -0x1.47426d2e03155p-17, -0x1.497f4e4bec818p-17, -0x1.4bb206f834775p-17, -0x1.4ddaab0d96d2dp-17, -0x1.4ff94e5e2c22bp-17, -0x1.520e04b1afa76p-17, -0x1.5418e1c6dc15bp-17, -0x1.5619f951cf216p-17, -0x1.58115efa81edcp-17, -0x1.59ff265df4d01p-17, -0x1.5be3630e747c4p-17, -0x1.5dbe2892ac3adp-17, -0x1.5f8f8a6567f0bp-17, -0x1.61579bf441736p-17, -0x1.631670a207e82p-17, -0x1.64cc1bc2c4df3p-17, -0x1.6678b09d249d6p-17, -0x1.681c426b0edf2p-17, -0x1.69b6e458dd15dp-17, -0x1.6b48a983f0accp-17, -0x1.6cd1a4fc21171p-17, -0x1.6e51e9c243ab6p-17, -0x1.6fc98ac8090d8p-17, -0x1.71389aefcf109p-17, -0x1.729f2d0d6a79cp-17, -0x1.73fd53e43fe47p-17, -0x1.755322282604dp-17, -0x1.76a0aa7d3055ap-17, -0x1.77e5ff7681e46p-17, -0x1.79233396910d7p-17, -0x1.7a58594fc03f4p-17, -0x1.7b858303253f6p-17, -0x1.7caac2fef433cp-17, -0x1.7dc82b822f971p-17, -0x1.7eddceb8b8db3p-17, -0x1.7febbebd729bbp-17, -0x1.80f20d9914db6p-17, -0x1.81f0cd427683ap-17, -0x1.82e80f9cece6ap-17, -0x1.83d7e6793254cp-17, -0x1.84c063960d49p-17, -0x1.85a1989e93182p-17, -0x1.867b972b40f72p-17, -0x1.874e70c0ed0b2p-17, -0x1.881a36d1d6ca7p-17, -0x1.88defabb97861p-17, }}, 
      {{-0x1.248ee77e06829p-2, -0x1.24cb3103f061fp-2, -0x1.252f46a7f6f65p-2, -0x1.25ba93dbe4595p-2, -0x1.266c4db9d9a14p-2, -0x1.27437749438fep-2, -0x1.283ee6409562cp-2, -0x1.295d48078106ep-2, -0x1.2a9d26ca76da5p-2, -0x1.2bfcee7baca67p-2, -0x1.2d7af1a79a399p-2, -0x1.2f156e0ad4ed4p-2, -0x1.30ca90dd9857dp-2, -0x1.32987ace4b1fcp-2, -0x1.347d43a821e88p-2, -0x1.3676fda5cacb7p-2, -0x1.3883b872206ap-2, -0x1.3aa183da364e8p-2, -0x1.3cce7234f7333p-2, -0x1.3f089a85106a2p-2, -0x1.414e1a5a208c8p-2, -0x1.439d17761890ap-2, -0x1.45f3c13bb9ff2p-2, -0x1.485051eaccf3bp-2, -0x1.4ab10fae7836cp-2, -0x1.4d144d81d7e36p-2, -0x1.4f786bee9e912p-2, -0x1.51dbd9a943f81p-2, -0x1.543d140dff68dp-2, -0x1.569aa7818684fp-2, -0x1.58f32fb842446p-2, -0x1.5b4557e683001p-2, -0x1.5d8fdadbf80a1p-2, -0x1.5fd1830c8b501p-2, -0x1.62092a888b681p-2, -0x1.6435bae5f63a1p-2, -0x1.66562d1c83e38p-2, -0x1.68698955fa93cp-2, -0x1.6a6ee6b433943p-2, -0x1.6c656b0e1d8a9p-2, -0x1.6e4c4aa4efd0dp-2, -0x1.7022c7d2ae15dp-2, -0x1.71e832b2fa095p-2, -0x1.739be8c72f873p-2, -0x1.753d54969ecd6p-2, -0x1.76cbed4bb6859p-2, -0x1.7847364ed2658p-2, -0x1.79aebedf5e521p-2, -0x1.7b0221abddd5ap-2, -0x1.7c4104696bafep-2, -0x1.7d6b176b2a017p-2, -0x1.7e80153a1105ep-2, -0x1.7f7fc22d82d6bp-2, -0x1.8069ec04f9179p-2, -0x1.813e69831751ep-2, -0x1.81fd1a0a6be17p-2, -0x1.82a5e53c0b6ep-2, -0x1.8338ba9842c17p-2, -0x1.83b591218067cp-2, -0x1.841c67019714cp-2, -0x1.846d41317333bp-2, -0x1.84a82b235769ep-2, -0x1.84cd366fac5e5p-2, -0x1.84dc7a846fa5ap-2, -0x1.84d614573ebdfp-2, -0x1.84ba261a0919bp-2, -0x1.8488d6f25b978p-2, -0x1.844252b346b7fp-2, -0x1.83e6c999d10ebp-2, -0x1.8376700bee746p-2, -0x1.82f17e59ec949p-2, -0x1.8258308247a6fp-2, -0x1.81aac5f7d54ap-2, -0x1.80e9816a3459fp-2, -0x1.8014a890742p-2, -0x1.7f2c83f5db8cp-2, -0x1.7e315ec8bbcbep-2, -0x1.7d2386ab44945p-2, -0x1.7c034b863c324p-2, -0x1.7ad0ff5d9147fp-2, -0x1.798cf626aa809p-2, -0x1.783785a06bddfp-2, -0x1.76d1052cd8203p-2, -0x1.7559cdac3dffcp-2, -0x1.73d23959e408ap-2, -0x1.723aa3aa1fbd6p-2, -0x1.70936929c4a72p-2, -0x1.6edce75ee59b6p-2, -0x1.6d177caad1c9bp-2, -0x1.6b43882d3f7d8p-2, -0x1.696169a89f4e5p-2, -0x1.6771816782302p-2, -0x1.657430230b5b2p-2, -0x1.6369d6ea63eddp-2, -0x1.6152d70b2153ep-2, -0x1.5f2f91fa992c1p-2, -0x1.5d006940150abp-2, -0x1.5ac5be5fe455ap-2, -0x1.587ff2c73950fp-2, -0x1.562f67b8d4e1p-2, -0x1.53d47e3a73d01p-2, -0x1.516f9702f5acdp-2, -0x1.4f0112693c60ep-2, -0x1.4c895053b9f0dp-2, -0x1.4a08b028a9c2p-2, -0x1.477f90beee5dbp-2, -0x1.44ee504f910ccp-2, -0x1.42554c67db623p-2, -0x1.3fb4e1dc0dc8p-2, -0x1.3d0d6cbaa2586p-2, -0x1.3a5f48402a162p-2, -0x1.37aacecbad34fp-2, -0x1.34f059d39e461p-2, -0x1.323041db4c101p-2, -0x1.2f6ade68dd7e9p-2, -0x1.2ca085fbcc3cfp-2, -0x1.29d18e03da759p-2, -0x1.26fe4ad88ba14p-2, -0x1.24270fb10d0c4p-2, -0x1.214c2e9c9ec7cp-2, -0x1.1e6df87b68cc8p-2, -0x1.1b8cbcf7c82e4p-2, -0x1.18a8ca8008101p-2, -0x1.15c26e408ba01p-2, -0x1.12d9f41e5fdeap-2, -0x1.0fefa6b23a778p-2, -0x1.0d03cf43ddc2fp-2, -0x1.0a16b5c5df4bp-2, -0x1.0728a0d1d84fp-2, -0x1.0439d5a4edcbfp-2, -0x1.014a981cc0c1bp-2, -0x1.fcb65569616b2p-3, -0x1.f6d79d0704f7cp-3, -0x1.f0f98672b0bd8p-3, -0x1.eb1c8e3c0474ep-3, -0x1.e5412e1f487d1p-3, -0x1.df67dd03554b8p-3, -0x1.d9910ef81f592p-3, -0x1.d3bd3535e326p-3, -0x1.cdecbe1cd9939p-3, -0x1.c82015358e189p-3, -0x1.c257a331b7233p-3, -0x1.bc93cdeda07f3p-3, -0x1.b6d4f87210002p-3, -0x1.b11b82f6b8aabp-3, -0x1.ab67cae51cb2ap-3, -0x1.a5ba2adbf1a79p-3, -0x1.a012fab2eff15p-3, -0x1.9a728f7f1bafap-3, -0x1.94d93b9769f55p-3, -0x1.8f474e99dbe1dp-3, -0x1.89bd1570f0cf4p-3, -0x1.843ada597da8dp-3, -0x1.7ec0e4e8da74p-3, -0x1.794f7a13652cbp-3, -0x1.73e6dc335912cp-3, -0x1.6e874b0ff0bb7p-3, -0x1.693103e4d4a9ep-3, -0x1.63e44169cda2p-3, -0x1.5ea13bdab48e9p-3, -0x1.596828ffa9a62p-3, -0x1.54393c357e955p-3, -0x1.4f14a676556fp-3, -0x1.49fa96627b6d2p-3, -0x1.44eb384965ffep-3, -0x1.3fe6b632e6655p-3, -0x1.3aed37e87dcd2p-3, -0x1.35fee2fedad3dp-3, -0x1.311bdadf77896p-3, -0x1.2c4440d251db9p-3, -0x1.27783407c3aa8p-3, -0x1.22b7d1a26ff97p-3, -0x1.1e0334c1461dap-3, -0x1.195a768996841p-3, -0x1.14bdae31382ep-3, -0x1.102cf108b6f96p-3, -0x1.0ba852858ffbfp-3, -0x1.072fe44c71631p-3, -0x1.02c3b63b823e4p-3, -0x1.fcc7ace95655cp-4, -0x1.f420a2cfba7b1p-4, -0x1.eb9263bab398dp-4, -0x1.e31d01ffe9e5cp-4, -0x1.dac08ccea216bp-4, -0x1.d27d104420f8bp-4, -0x1.ca52957ffbb0fp-4, -0x1.c24122b85827cp-4, -0x1.ba48bb4dffb5fp-4, -0x1.b2695fe069066p-4, -0x1.aaa30e6184655p-4, -0x1.a2f5c22981059p-4, -0x1.9b61740a4daa9p-4, -0x1.93e61a6302ccfp-4, -0x1.8c83a93310686p-4, -0x1.853a122d45f64p-4, -0x1.7e0944caa10f4p-4, -0x1.76f12e5ceb7dfp-4, -0x1.6ff1ba211f9ebp-4, -0x1.690ad15194735p-4, -0x1.623c5b37ef4f1p-4, -0x1.5b863d3ed8fe2p-4, -0x1.54e85b0375e1fp-4, -0x1.4e6296669cf57p-4, -0x1.47f4cf9dcf504p-4, -0x1.419ee543ee0aep-4, -0x1.3b60b469ac681p-4, -0x1.353a18a5bc814p-4, -0x1.2f2aec24ba271p-4, -0x1.293307b8cced8p-4, -0x1.235242e905417p-4, -0x1.1d8874007299p-4, -0x1.17d5701cf0a22p-4, -0x1.12390b3dae99p-4, -0x1.0cb318516afa5p-4, -0x1.07436944692ffp-4, -0x1.01e9cf0e1c4d3p-4, -0x1.f94c337d15c9bp-5, -0x1.eef03116cd0cdp-5, -0x1.e4bf33b9bc888p-5, -0x1.dab8d6b448b3cp-5, -0x1.d0dcb3eb58702p-5, -0x1.c72a63f241ef1p-5, -0x1.bda17e2222c28p-5, -0x1.b44198b0aa7d1p-5, -0x1.ab0a48c65401cp-5, -0x1.a1fb229411097p-5, -0x1.9913b96865c05p-5, -0x1.90539fc3fcedep-5, -0x1.87ba676da63a4p-5, -0x1.7f47a185d56f6p-5, -0x1.76fade998fb69p-5, -0x1.6ed3aeb4d48acp-5, -0x1.66d1a174809d4p-5, -0x1.5ef44617a8372p-5, -0x1.573b2b9071e1ap-5, -0x1.4fa5e0946b01ep-5, -0x1.4833f3ac5e244p-5, -0x1.40e4f343aa443p-5, -0x1.39b86db71cd1fp-5, -0x1.32adf1634f2bp-5, -0x1.2bc50cb28c185p-5, -0x1.24fd4e2a3a80bp-5, -0x1.1e564477d784fp-5, -0x1.17cf7e7d77387p-5, -0x1.11688b5dd51d4p-5, -0x1.0b20fa87f355p-5, -0x1.04f85bc24e276p-5, -0x1.fddc7e6b3de41p-6, -0x1.f2046aee70b63p-6, -0x1.e6679f25f138ap-6, -0x1.db053e29a96dep-6, -0x1.cfdc6c23fd59fp-6, -0x1.c4ec4e635b925p-6, -0x1.ba340b6afb671p-6, -0x1.afb2cb02f2294p-6, -0x1.a567b6477babap-6, -0x1.9b51f7b7a0e9fp-6, -0x1.9170bb431d2cap-6, -0x1.87c32e57a09fdp-6, -0x1.7e487fed63b1ap-6, -0x1.74ffe0931cd0fp-6, -0x1.6be882794c952p-6, -0x1.6301997cec455p-6, -0x1.5a4a5b318cd3p-6, -0x1.51c1feead8339p-6, -0x1.4967bdc57e3fep-6, -0x1.413ad2af9a785p-6, -0x1.393a7a708dbfdp-6, -0x1.3165f3b04d77p-6, -0x1.29bc7efe311cp-6, -0x1.223d5ed7462eap-6, -0x1.1ae7d7ac1f13fp-6, -0x1.13bb2fe62e935p-6, -0x1.0cb6afecaf372p-6, -0x1.05d9a2291529bp-6, -0x1.fe46a61631419p-7, -0x1.f1262218958aap-7, -0x1.e4505966a549fp-7, -0x1.d7c3f12d6d786p-7, -0x1.cb7f92be9a43dp-7, -0x1.bf81eb9497ff2p-7, -0x1.b3c9ad5606f77p-7, -0x1.a8558dd8741a6p-7, -0x1.9d24472263191p-7, -0x1.9234976cca65cp-7, -0x1.87854123e2163p-7, -0x1.7d150ae757f65p-7, -0x1.72e2bf89f9aebp-7, -0x1.68ed2e10cc8cfp-7, -0x1.5f3329b19cc85p-7, -0x1.55b389d10f84bp-7, -0x1.4c6d2a002f22p-7, -0x1.435ee9f9810bap-7, -0x1.3a87ad9dae096p-7, -0x1.31e65cefb283bp-7, -0x1.2979e410a1fddp-7, -0x1.2141333b1b53cp-7, -0x1.193b3ebe3cc1dp-7, -0x1.1166fef84bc88p-7, -0x1.09c37050fded9p-7, -0x1.024f933379256p-7, -0x1.f614d80fec2b6p-8, -0x1.e7e6065a3011ap-8, -0x1.da10c9e1f7644p-8, -0x1.cc934314109b5p-8, -0x1.bf6b9a1ef1626p-8, -0x1.b297fee3474p-8, -0x1.a616a8e427b14p-8, -0x1.99e5d736bdf31p-8, -0x1.8e03d071932e6p-8, -0x1.826ee29b7f1a8p-8, -0x1.7725631a3db4fp-8, -0x1.6c25aea0acdf1p-8, -0x1.616e291cacd0ep-8, -0x1.56fd3da4c8401p-8, -0x1.4cd15e658fafap-8, -0x1.42e9048ebb533p-8, -0x1.3942b04019709p-8, -0x1.2fdce87630792p-8, -0x1.26b63af6c3052p-8, -0x1.1dcd3c3d2ab6bp-8, -0x1.1520876671875p-8, -0x1.0caebe1d83029p-8, -0x1.04768886fa6cp-8, -0x1.f8ed2a5a0a52cp-9, -0x1.e95b31d62986fp-9, -0x1.da349db319eabp-9, -0x1.cb76f072bee08p-9, -0x1.bd1fb8bf47edcp-9, -0x1.af2c91423ce97p-9, -0x1.a19b207b6aa46p-9, -0x1.94691897f78a1p-9, -0x1.879437497841p-9, -0x1.7b1a459cd982dp-9, -0x1.6ef917d1be7bap-9, -0x1.632e8d317f765p-9, -0x1.57b88fe67878fp-9, -0x1.4c9514d3884b2p-9, -0x1.41c21b6b81696p-9, -0x1.373dad88ef6ap-9, -0x1.2d05df45f0a5fp-9, -0x1.2318ced44b8ddp-9, -0x1.1974a455a1452p-9, -0x1.101791b3dd99dp-9, -0x1.06ffd279f26b9p-9, -0x1.fc5757598eda5p-10, -0x1.eb32d748bc82ep-10, -0x1.da8ed3caea831p-10, -0x1.ca680df601358p-10, -0x1.babb58a0a621p-10, -0x1.ab859816d34a5p-10, -0x1.9cc3c1cef5a22p-10, -0x1.8e72dc200e674p-10, -0x1.808ffdf80192bp-10, -0x1.73184e92f4bb2p-10, -0x1.66090532fcc8ap-10, -0x1.595f68d8ba593p-10, -0x1.4d18cffc97263p-10, -0x1.4132a048d955ap-10, -0x1.35aa4e544027ap-10, -0x1.2a7d5d5d9f17ap-10, -0x1.1fa95f07d0cfep-10, -0x1.152bf316b9746p-10, -0x1.0b02c72d13974p-10, -0x1.012b968ac3455p-10, -0x1.ef4853983be9cp-11, -0x1.dcd4ad5445e4ap-11, -0x1.caf7ff7609f4dp-11, -0x1.b9ae2867b64e6p-11, -0x1.a8f31f5626229p-11, -0x1.98c2f3b6fd4edp-11, -0x1.8919ccd0962b9p-11, -0x1.79f3e943c4a0dp-11, -0x1.6b4d9e9715c91p-11, -0x1.5d2358c3390abp-11, -0x1.4f7199c181584p-11, -0x1.4234f91bac471p-11, -0x1.356a237d68948p-11, -0x1.290dda47be1a4p-11, -0x1.1d1cf3256d3bfp-11, -0x1.119457a16db0ap-11, -0x1.067104beb2757p-11, -0x1.f7601523564f2p-12, -0x1.e29d17b68773dp-12, -0x1.ce937b4a978ebp-12, -0x1.bb3dcdc18ad1p-12, -0x1.a896c00ab60c3p-12, -0x1.96992565d1a37p-12, -0x1.853ff2a7cdf27p-12, -0x1.74863d83e091ap-12, -0x1.64673bd60f0e9p-12, -0x1.54de42f2a78d5p-12, -0x1.45e6c6f6ba913p-12, -0x1.377c5a1d49094p-12, -0x1.299aac1630375p-12, -0x1.1c3d89605976p-12, -0x1.0f60daa6ed75ap-12, -0x1.0300a420e4c1fp-12, -0x1.ee3209e852527p-13, -0x1.d74c6d34c8a8fp-13, -0x1.c1491893bf36bp-13, -0x1.ac20e4c02dc85p-13, -0x1.97ccdb9ef388p-13, -0x1.8446371f8e4f5p-13, -0x1.7186602288bcap-13, -0x1.5f86ed631a247p-13, -0x1.4e41a2695b5ccp-13, -0x1.3db06e7d828bbp-13, -0x1.2dcd6ba49fce3p-13, -0x1.1e92dd9ddf2cdp-13, -0x1.0ffb30e87d259p-13, -0x1.0200f9cbaf1b7p-13, -0x1.e93de6cbc7276p-14, -0x1.cf9ffd7bf94eep-14, -0x1.b71e43b7977c3p-14, -0x1.9faf0dc66ccf3p-14, -0x1.8948f6698f2aap-14, -0x1.73e2dd25d5ff4p-14, -0x1.5f73e4963c401p-14, -0x1.4bf370c61b7bbp-14, -0x1.39592597384cap-14, -0x1.279ce52beeca1p-14, -0x1.16b6ce5d9f76p-14, -0x1.069f3b3788e97p-14, -0x1.ee9d7efa1f2adp-15, -0x1.d17c4e6b3dd69p-15, -0x1.b5ccea84584e4p-15, -0x1.9b81c3f10a9c8p-15, -0x1.828db38e64ab4p-15, -0x1.6ae3f7c39681p-15, -0x1.547831e528d98p-15, -0x1.3f3e63a847e03p-15, -0x1.2b2aeca6a4442p-15, -0x1.183287eb338e4p-15, -0x1.064a499089252p-15, -0x1.eacf38daa3617p-16, -0x1.cb007f9073226p-16, -0x1.ad148a435bc75p-16, -0x1.90f81c0478b3ep-16, -0x1.769893b65deccp-16, -0x1.5de3e7dd5bc25p-16, -0x1.46c8a291c0282p-16, -0x1.3135dd7f6d6afp-16, -0x1.1d1b3e08de112p-16, -0x1.0a68f173b37cdp-16, -0x1.f21f526721a95p-17, -0x1.d2012e9d31dcep-17, -0x1.b45ad59f106bcp-17, -0x1.991098a652436p-17, -0x1.8007b549c5197p-17, -0x1.69264ee7a0143p-17, -0x1.5453682def6f2p-17, -0x1.4176dce1b260ap-17, -0x1.30795badcb303p-17, -0x1.21446029517f9p-17, -0x1.13c22d07cba55p-17, -0x1.07ddc65fc0f89p-17, -0x1.fb05d83bd8d22p-18, -0x1.e93c293b71fc6p-18, -0x1.da38ce9fdef5bp-18, -0x1.cdd76f386b78ep-18, -0x1.c3f4ffaca3657p-18, -0x1.bc6fb8ae244b3p-18, -0x1.b7270d5d6c571p-18, -0x1.b3fba1f9d3385p-18, -0x1.b2cf42daa9102p-18, -0x1.b384db79eaabfp-18, -0x1.b6006de50f58dp-18, -0x1.ba270a477c4f8p-18, -0x1.bfdec6b3793d4p-18, -0x1.c70eb72b8133p-18, -0x1.cf9ee5d6d0c78p-18, -0x1.d9784b6ac7febp-18, -0x1.e484c7ccb8476p-18, -0x1.f0af1ad8f2dd5p-18, -0x1.fde2dd7c96f27p-18, -0x1.06063d64d318dp-17, -0x1.0d8c94b245dbdp-17, -0x1.157b7281bdbfep-17, -0x1.1dca34110a971p-17, -0x1.267092fc60d16p-17, -0x1.2f66a23c0909fp-17, -0x1.38a4cb41726e3p-17, -0x1.4223cb2380c26p-17, -0x1.4bdcafe5403f5p-17, -0x1.55c8d5cd4286dp-17, -0x1.5fe1e4cf787b9p-17, -0x1.6a21ce0359722p-17, -0x1.7482c93330ba4p-17, -0x1.7eff5279bbb87p-17, -0x1.899227f40e97bp-17, -0x1.9436478160a0ep-17, -0x1.9ee6ec9280698p-17, -0x1.a99f8e0a807edp-17, -0x1.b45bdc3129c7ep-17, -0x1.bf17beb1deda2p-17, -0x1.c9cf52a817af4p-17, -0x1.d47ee8c10dda6p-17, -0x1.df23035e40e91p-17, -0x1.e9b854d1a2192p-17, -0x1.f43bbda26cde7p-17, -0x1.feaa4ae223316p-17, -0x1.04809a43ca1c6p-16, -0x1.099eedef68937p-16, -0x1.0eaee4ff09b6p-16, -0x1.13af5725c04cap-16, -0x1.189f2e85cd8a9p-16, -0x1.1d7d66fcbfed1p-16, -0x1.22490d77d899cp-16, -0x1.27013f4993209p-16, -0x1.2ba5298942593p-16, -0x1.30340872d9ecp-16, -0x1.34ad26ced48fcp-16, -0x1.390fdd5d54c5ep-16, -0x1.3d5b92479c54fp-16, -0x1.418fb8932892dp-16, -0x1.45abcf9ccbae3p-16, -0x1.49af629728d27p-16, -0x1.4d9a0808fdda1p-16, -0x1.516b61557c58dp-16, -0x1.55231a44d73efp-16, -0x1.58c0e892ae2b2p-16, -0x1.5c448b7e567a8p-16, -0x1.5fadcb60ca8a1p-16, -0x1.62fc7945d2c0cp-16, -0x1.66306e85fa85p-16, -0x1.69498c66a8c62p-16, -0x1.6c47bbbd06efep-16, -0x1.6f2aec933d394p-16, -0x1.71f315d1d5146p-16, -0x1.74a034e9f259cp-16, -0x1.77324d85eeb7ap-16, -0x1.79a9693979e96p-16, -0x1.7c059735be323p-16, -0x1.7e46ec005f813p-16, -0x1.806d812d5992ep-16, -0x1.8279751b3c138p-16, -0x1.846aeaaf9b5b8p-16, -0x1.86420919ae1dbp-16, -0x1.87fefb9439197p-16, -0x1.89a1f12afe154p-16, -0x1.8b2b1c820abf8p-16, -0x1.8c9ab39fad9fep-16, -0x1.8df0efb7bad24p-16, -0x1.8f2e0cf81f1a8p-16, -0x1.90524a596e95fp-16, -0x1.915de96f00dap-16, -0x1.92512e3b2d70dp-16, -0x1.932c5f035191bp-16, -0x1.93efc426ae5a6p-16, -0x1.949ba7f625b11p-16, -0x1.9530568db305ap-16, -0x1.95ae1daee8ecfp-16, -0x1.96154c9e9c434p-16, -0x1.96663402f93b7p-16, -0x1.96a125c3159ep-16, -0x1.96c674e77f3afp-16, -0x1.96d6757c645ep-16, -0x1.96d17c757035cp-16, -0x1.96b7df91ab8d7p-16, -0x1.9689f541caa98p-16, -0x1.9648148eedb6ep-16, -0x1.95f29502f7a18p-16, -0x1.9589ce91ac84ap-16, -0x1.950e198284f82p-16, -0x1.947fce5b12345p-16, -0x1.93df45cca83c9p-16, -0x1.932cd8a12fde9p-16, -0x1.9268dfa8bf92p-16, -0x1.9193b3a78e6aep-16, -0x1.90adad474a9e9p-16, -0x1.8fb72506fc37fp-16, -0x1.8eb0732bd64dbp-16, -0x1.8d99efb3ed2bcp-16, -0x1.8c73f2489bc81p-16, -0x1.8b3ed231e56b2p-16, -0x1.89fae64a7697ap-16, -0x1.88a884f4b70b6p-16, -0x1.8748040ea023dp-16, -0x1.85d9b8ea40223p-16, -0x1.845df8438a68p-16, -0x1.82d5163766322p-16, -0x1.813f663a8a2a9p-16, -0x1.7f9d3b123c33fp-16, -0x1.7deee6ce2f476p-16, -0x1.7c34bac02dd44p-16, -0x1.7a6f0776ac7adp-16, -0x1.789e1cb6670fep-16, -0x1.76c249755eb5p-16, -0x1.74dbdbd4da4c7p-16, -0x1.72eb211dc09b5p-16, -0x1.70f065bb15666p-16, -0x1.6eebf536ff13ap-16, -0x1.6cde1a37ce74cp-16, -0x1.6ac71e7c8fad7p-16, -0x1.68a74ad90afaep-16, -0x1.667ee73318288p-16, -0x1.644e3a81a25bap-16, -0x1.62158aca0656fp-16, -0x1.5fd51d1e0c623p-16, -0x1.5d8d359b56033p-16, -0x1.5b3e1768d9cc3p-16, -0x1.58e804b6fbdbap-16, -0x1.568b3ebd314bep-16, -0x1.542805baa5365p-16, -0x1.51be98f4c148p-16, -0x1.4f4f36b805edap-16, -0x1.4cda1c584ec82p-16, -0x1.4a5f863084d9fp-16, -0x1.47dfafa2e74e9p-16, -0x1.455ad318f9769p-16, -0x1.42d12a04c4e0cp-16, -0x1.4042ece1ff58cp-16, -0x1.3db0533606944p-16, -0x1.3b199391f3fcp-16, -0x1.387ee392e62b5p-16, -0x1.35e077e3ec5f2p-16, -0x1.333e843edb07cp-16, -0x1.30993b6d3c751p-16, -0x1.2df0cf4b3ccb8p-16, -0x1.2b4570c82c711p-16, -0x1.28974fe97bdc6p-16, -0x1.25e69bcbdbcfep-16, -0x1.233382a5562e3p-16, -0x1.207e31c6fb706p-16, -0x1.1dc6d59ed4915p-16, -0x1.1b0d99ba6686bp-16, -0x1.1852a8c8fd869p-16, -0x1.15962c9d4708ap-16, -0x1.12d84e307c6cbp-16, -0x1.101935a3735bp-16, -0x1.0d590a42755a8p-16, -0x1.0a97f28594d7dp-16, -0x1.07d6141468a13p-16, -0x1.051393c862b3p-16, -0x1.025095aef6bcbp-16, -0x1.ff1a7a1934867p-17, -0x1.f99358be046a1p-17, -0x1.f40c0abf37293p-17, -0x1.ee84d20c6a44fp-17, -0x1.e8fdef1580915p-17, -0x1.e377a0d23bc3p-17, -0x1.ddf224c65b5bfp-17, -0x1.d86db705bb978p-17, -0x1.d2ea923af5a7p-17, -0x1.cd68efab75f83p-17, -0x1.c7e9073d94fa1p-17, -0x1.c26b0f7c3b895p-17, -0x1.bcef3d9c3a97ep-17, -0x1.b775c582fe256p-17, -0x1.b1fed9ca038dfp-17, -0x1.ac8aabc56428ap-17, -0x1.a7196b87d5f01p-17, -0x1.a1ab47e810223p-17, -0x1.9c406e8628ab2p-17, -0x1.96d90bcf4fa0ep-17, -0x1.91754b03c6e29p-17, -0x1.8c15563c3b305p-17, -0x1.86b9566d9f5bdp-17, -0x1.8161736e3ec2bp-17, -0x1.7c0dd3fbaad69p-17, -0x1.76be9dbdd0ddep-17, -0x1.7173f54d480aap-17, -0x1.6c2dfe35c5d21p-17, -0x1.66ecdafcdf4eap-17, -0x1.61b0ad25e752p-17, -0x1.5c79953655607p-17, -0x1.5747b2bb0a9bbp-17, -0x1.521b244c5df31p-17, -0x1.4cf407921290fp-17, -0x1.47d27948931dep-17, -0x1.42b69544cd5f7p-17, -0x1.3da07677c098cp-17, -0x1.389036f45e64p-17, -0x1.3385eff27580cp-17, -0x1.2e81b9d2f8619p-17, -0x1.2983ac24811f4p-17, -0x1.248bdda76d391p-17, -0x1.1f9a6451229a5p-17, -0x1.1aaf554fd4e2dp-17, -0x1.15cac50f26514p-17, -0x1.10ecc73c0eap-17, -0x1.0c156ec7f2a4ep-17, -0x1.0744cdec9b771p-17, -0x1.027af630750fcp-17, -0x1.fb6ff0d30fe0fp-18, -0x1.f1f7c98116485p-18, -0x1.e88d956c5861ap-18, -0x1.df317248c86cfp-18, -0x1.d5e37c85d7c58p-18, -0x1.cca3cf5626eaep-18, -0x1.c37284b34e3f6p-18, -0x1.ba4fb566b050dp-18, -0x1.b13b790f5d4a5p-18, -0x1.a835e6284cde5p-18, -0x1.9f3f120dbe002p-18, -0x1.9657110328bebp-18, -0x1.8d7df63ac7f8ap-18, -0x1.84b3d3daeaf6p-18, -0x1.7bf8bb02adab2p-18, -0x1.734cbbd136e85p-18, -0x1.6aafe56a688acp-18, -0x1.622245fca00e4p-18, -0x1.59a3eac506795p-18, -0x1.5134e0177bc6dp-18, -0x1.48d53161ef84cp-18, -0x1.4084e93106115p-18, -0x1.3844113679249p-18, -0x1.3012b24daf375p-18, -0x1.27f0d47f292cfp-18, -0x1.1fde7f07d94c3p-18, -0x1.17dbb85c30a43p-18, -0x1.0fe8862d0445bp-18, -0x1.0804ed6b748fp-18, -0x1.0030f24dcca1ap-18, -0x1.f0d930aae5063p-19, -0x1.e16fc4a2aed69p-19, -0x1.d225a4c44752bp-19, -0x1.c2fad3fee1c91p-19, -0x1.b3ef53f56e717p-19, -0x1.a5032507ccb04p-19, -0x1.96364659ba037p-19, -0x1.8788b5dc0cebbp-19, -0x1.78fa705402f66p-19, -0x1.6a8b71607ebddp-19, -0x1.5c3bb384088cfp-19, -0x1.4e0b302922e78p-19, -0x1.3ff9dfa9e00fap-19, -0x1.3207b95817cc4p-19, -0x1.2434b384a1d98p-19, -0x1.1680c381e2767p-19, -0x1.08ebddaf72bb7p-19, -0x1.f6ebeaf4ca66fp-20, -0x1.dc3dfad366b15p-20, -0x1.c1cdce43e6057p-20, -0x1.a79b46d4d37d1p-20, -0x1.8da64463fb1fp-20, -0x1.73eea52d6a40ap-20, -0x1.5a7445d3bea9dp-20, -0x1.4137016d24c2bp-20, -0x1.2836b18c7c01bp-20, -0x1.0f732e5047297p-20, -0x1.edd89cd19fa96p-21, -0x1.bd43ce437c5ecp-21, -0x1.8d2798e2f1d81p-21, -0x1.5d83a1edb4a04p-21, -0x1.2e578c1c03a02p-21, -0x1.ff45ef567dbd1p-22, -0x1.a2cb04e9e24f8p-22, -0x1.473d8fe5d9cdp-22, -0x1.d939859200c7dp-23, -0x1.25cf971f5d913p-23, -0x1.d0eea02e569ecp-25, 0x1.dc1fe27e769edp-26, 0x1.d2e22556b878ap-24, 0x1.958d5f9dc5c2dp-23, 0x1.1fed57a688cefp-22, 0x1.742d6a9a905f5p-22, 0x1.c787d5f5770b3p-22, 0x1.0cfec5393dbb5p-21, 0x1.35c7be0e4a7f2p-21, 0x1.5e1f511486015p-21, 0x1.8605fb79f93d3p-21, 0x1.ad7c3be930e6ep-21, 0x1.d482928323e6dp-21, 0x1.fb1980d5101fcp-21, 0x1.10a0c4e29fd84p-20, 0x1.237d98c1844fap-20, 0x1.36237ec0f05a7p-20, 0x1.4892ba382b844p-20, 0x1.5acb8f125b37ep-20, 0x1.6cce41ce11c2dp-20, 0x1.7e9b176f09e09p-20, 0x1.9032557cf2e65p-20, 0x1.a1944202474ecp-20, 0x1.b2c1238569e8ep-20, 0x1.c3b9410313adfp-20, 0x1.d47ce1e8a83a7p-20, 0x1.e50c4e10e5412p-20, 0x1.f567cdbd8c61fp-20, 0x1.02c7d4c963dcep-19, 0x1.0ac215479dcb5p-19, 0x1.12a2cd0683c93p-19, 0x1.1a6a20dead335p-19, 0x1.221835d0f7fa6p-19, 0x1.29ad3105710d4p-19, 0x1.312937c937a0fp-19, 0x1.388c6f8ad62b6p-19, 0x1.3fd6fdd8fc1cbp-19, 0x1.470908621212fp-19, 0x1.4e22b4f1dc913p-19, 0x1.5524296ff5bc5p-19, 0x1.5c0d8bdb3b23ap-19, 0x1.62df02489d61ep-19, 0x1.6998b2e42f0dp-19, 0x1.703ac3eeba2b7p-19, 0x1.76c55bbbf9f3ap-19, 0x1.7d38a0b045956p-19, 0x1.8394b9401852cp-19, 0x1.89d9cbed74ce1p-19, 0x1.9007ff4814e28p-19, 0x1.961f79e796569p-19, 0x1.9c20626d1d5e7p-19, 0x1.a20adf823d06bp-19, 0x1.a7df17d8c479fp-19, 0x1.ad9d32266cc66p-19, 0x1.b3455525e3c46p-19, 0x1.b8d7a794cdebbp-19, 0x1.be545031bae62p-19, 0x1.c3bb75baa5a39p-19, 0x1.c90d3eed2dff2p-19, 0x1.ce49d2862aa4bp-19, 0x1.d371573f61afdp-19, 0x1.d883f3cd7b843p-19, 0x1.dd81cedc5cefap-19, 0x1.e26b0f131c01bp-19, 0x1.e73fdb1239cbp-19, 0x1.ec005971aa8a1p-19, 0x1.f0acb0bf5ef81p-19, 0x1.f545077faae4ep-19, 0x1.f9c9842a1f52cp-19, 0x1.fe3a4d2b39144p-19, 0x1.014bc4713cd8p-18, 0x1.0370aece705f2p-18, 0x1.058bf8cd22ca6p-18, 0x1.079db5852515fp-18, 0x1.09a5f806849b1p-18, 0x1.0ba4d357ace36p-18, 0x1.0d9a5a76772c3p-18, 0x1.0f86a05678e71p-18, 0x1.1169b7e15b58fp-18, 0x1.1343b3f610664p-18, 0x1.1514a7692502p-18, 0x1.16dca5047f769p-18, 0x1.189bbf866f4cfp-18, 0x1.1a5209a136d62p-18, 0x1.1bff95f9657d4p-18, 0x1.1da47727e411bp-18, 0x1.1f40bfb91d784p-18, 0x1.20d4822ce18eep-18, 0x1.225fd0f4bf345p-18, 0x1.23e2be757255cp-18, 0x1.255d5d04e6a1p-18, 0x1.26cfbeeb8e395p-18, 0x1.2839f6636d028p-18, 0x1.299c1596bf53ap-18, 0x1.2af62e9fecff1p-18, 0x1.2c48538aff71bp-18, 0x1.2d929654c3c31p-18, 0x1.2ed508e98a323p-18, 0x1.300fbd2622a32p-18, 0x1.3142c4d6cc87cp-18, 0x1.326e31b73a55ap-18, 0x1.339215721b0f1p-18, 0x1.34ae81a156374p-18, 0x1.35c387ce02053p-18, 0x1.36d1396fd7e2fp-18, 0x1.37d7a7ed582b6p-18, 0x1.38d6e49ad4e0fp-18, 0x1.39cf00b94bf96p-18, 0x1.3ac00d78743b4p-18, 0x1.3baa1bf642752p-18, 0x1.3c8d3d3e660e5p-18, 0x1.3d6982494b62cp-18, 0x1.3e3efbfd4a66fp-18, 0x1.3f0dbb2d10409p-18, 0x1.3fd5d09903d0dp-18, 0x1.40974cee1914ep-18, 0x1.415240c5fdd26p-18, 0x1.4206bca573e98p-18, 0x1.42b4d0fe65fb5p-18, 0x1.435c8e2f8160bp-18, 0x1.43fe04830ddep-18, 0x1.4499442f7fc48p-18, 0x1.452e5d5756837p-18, 0x1.45bd600877361p-18, 0x1.46465c3c803ap-18, 0x1.46c961d878313p-18, 0x1.474680ad07f0ep-18, 0x1.47bdc876979e1p-18, 0x1.482f48dc9d211p-18, 0x1.489b1171c0765p-18, 0x1.490131b39b68p-18, 0x1.4961b9099ff44p-18, 0x1.49bcb6c710fdfp-18, 0x1.4a123a2a6e705p-18, 0x1.4a62525cc522dp-18, 0x1.4aad0e71c272ap-18, 0x1.4af27d67d84a4p-18, 0x1.4b32ae27b8d52p-18, 0x1.4b6daf857422ap-18, 0x1.4ba3903ef1e26p-18, 0x1.4bd45efcd96adp-18, 0x1.4c002a5116b34p-18, 0x1.4c2700b85cd89p-18, 0x1.4c48f09a4211ep-18, 0x1.4c66084819b27p-18, 0x1.4c7e55fd57e3cp-18, 0x1.4c91e7e024a4bp-18, 0x1.4ca0cc0035cb1p-18, 0x1.4cab1057b9ebfp-18, 0x1.4cb0c2ca85a95p-18, 0x1.4cb1f12698dbap-18, 0x1.4caea92467345p-18, 0x1.4ca6f86624f6p-18, 0x1.4c9aec77fe021p-18, 0x1.4c8a92d047ff8p-18, 0x1.4c75f8cf307f6p-18, 0x1.4c5d2bbdaf343p-18, 0x1.4c4038cfc61e2p-18, 0x1.4c1f2d23b2046p-18, 0x1.4bfa15c0fe1bfp-18, 0x1.4bd0ff997f13dp-18, 0x1.4ba3f788ebe59p-18, 0x1.4b730a54c0b89p-18, 0x1.4b3e44acc8a87p-18, 0x1.4b05b32a9cee1p-18, 0x1.4ac962521e81dp-18, 0x1.4a895e90252a7p-18, 0x1.4a45b43bd8366p-18, 0x1.49fe6f9706aecp-18, 0x1.49b39cccf8b2ap-18, 0x1.496547f2fe23fp-18, 0x1.49137d08fc2ccp-18, 0x1.48be47f87359fp-18, 0x1.4865b4957202p-18, 0x1.4809ce9dab615p-18, 0x1.47aaa1b907b78p-18, 0x1.4748397a23ad5p-18, 0x1.46e2a15dae585p-18, 0x1.4679e4ca7a3c8p-18, 0x1.460e0f11abfd8p-18, 0x1.459f2b6f10433p-18, 0x1.452d45084ecb6p-18, 0x1.44b866ed5bafbp-18, 0x1.44409c193e90cp-18, 0x1.43c5ef7153c71p-18, 0x1.43486bc54f44ap-18, 0x1.42c81bcfe29abp-18, 0x1.42450a3614a5dp-18, 0x1.41bf4187d2d2bp-18, 0x1.4136cc3fd8e7fp-18, 0x1.40abb4c3a4eb2p-18, 0x1.401e0563c2a4cp-18, 0x1.3f8dc85b352bcp-18, 0x1.3efb07cfeb576p-18, 0x1.3e65cdd34eb53p-18, 0x1.3dce2461bea9dp-18, 0x1.3d341562a2e2cp-18, 0x1.3c97aaa8d5fcp-18, 0x1.3bf8edf2371b6p-18, 0x1.3b57e8e82ff7bp-18, 0x1.3ab4a51f91f82p-18, 0x1.3a0f2c187a894p-18, 0x1.3967873ec180ep-18, 0x1.38bdbfe9ed96fp-18, 0x1.3811df5cfff03p-18, 0x1.3763eec6be315p-18, 0x1.36b3f741ce2aap-18, 0x1.360201d4dd54fp-18, 0x1.354e17723830bp-18, 0x1.349840f867a5bp-18, 0x1.33e0873244093p-18, 0x1.3326f2d677bc8p-18, 0x1.326b8c880fddep-18, 0x1.31ae5cd6a8624p-18, 0x1.30ef6c3e0a5f2p-18, 0x1.302ec326a9b5ep-18, 0x1.2f6c69e56687fp-18, 0x1.2ea868bbfb9b3p-18, 0x1.2de2c7d8c189p-18, 0x1.2d1b8f56c4efap-18, 0x1.2c52c73e4feeep-18, 0x1.2b88778475225p-18, 0x1.2abca80b3922cp-18, 0x1.29ef60a1ecbdap-18, 0x1.2920a9053a37p-18, 0x1.285088df172a2p-18, 0x1.277f07c6bf596p-18, 0x1.26ac2d411211p-18, 0x1.25d800c03f24ap-18, 0x1.250289a49145ap-18, 0x1.242bcf3c0e52p-18, 0x1.2353d8c25dad2p-18, 0x1.227aad6121066p-18, 0x1.21a0542feedefp-18, 0x1.20c4d434b036bp-18, 0x1.1fe834636045bp-18, 0x1.1f0a7b9e38022p-18, 0x1.1e2bb0b65b5a2p-18, 0x1.1d4bda6b1a64bp-18, 0x1.1c6aff6a3037ap-18, 0x1.1b89265028a6p-18, 0x1.1aa655a851d6fp-18, 0x1.19c293ecd3e81p-18, 0x1.18dde786d4618p-18, 0x1.17f856ce950cdp-18, 0x1.1711e80b7361ap-18, 0x1.162aa174014f3p-18, 0x1.1542892e04156p-18, 0x1.1459a54ee4639p-18, 0x1.136ffbdbebbd9p-18, 0x1.128592c989b58p-18, 0x1.119a6ffbd1034p-18, 0x1.10ae994711b8bp-18, 0x1.0fc2146f4ee7ep-18, 0x1.0ed4e7287925bp-18, 0x1.0de71716d4dc6p-18, 0x1.0cf8a9ce9160fp-18, 0x1.0c09a4d448ecdp-18, 0x1.0b1a0d9d36839p-18, 0x1.0a29e98f0d4f7p-18, 0x1.09393dffe9eddp-18, 0x1.084810367c848p-18, 0x1.0756656a8467fp-18, 0x1.066442c4652c9p-18, 0x1.0571ad5d97593p-18, 0x1.047eaa40a944cp-18, 0x1.038b3e698c0b2p-18, 0x1.02976ec5aeef1p-18, 0x1.01a340334aeb6p-18, 0x1.00aeb7825fc43p-18, 0x1.ff73b2e8f14ccp-19, 0x1.fd895579364d3p-19, 0x1.fb9e5fff6338ep-19, 0x1.f9b2dba956419p-19, 0x1.f7c6d18887dap-19, 0x1.f5da4a92702abp-19, 0x1.f3ed4fa10e8ap-19, 0x1.f1ffe972995b5p-19, 0x1.f01220aaa8aa4p-19, 0x1.ee23fdd1df1f3p-19, 0x1.ec358955166f7p-19, 0x1.ea46cb86f0012p-19, 0x1.e857cc9f71312p-19, 0x1.e66894bc5f8e9p-19, 0x1.e4792be10cf9ap-19, 0x1.e28999f73e389p-19, 0x1.e099e6ceb437ep-19, 0x1.deaa1a1d71373p-19, 0x1.dcba3b80e115ep-19, 0x1.daca527cd960bp-19, 0x1.d8da667c3a26ap-19, 0x1.d6ea7ed0ee8c9p-19, 0x1.d4faa2b4372a5p-19, 0x1.d30ad94754ac7p-19, 0x1.d11b299284ffdp-19, 0x1.cf2b9a867bbefp-19, 0x1.cd3c32fc737d9p-19, 0x1.cb4cf9b5d7e42p-19, }}, 
      std::vector<double>(1050, 0.0), 
      {{-0x1.7d57c3569f076p-7, -0x1.7c8007530f1c6p-6, -0x1.1c571aac03ca7p-5, -0x1.793c5bdc004d1p-5, -0x1.d49b711436ccbp-5, -0x1.1715e2125264dp-4, -0x1.42d879914b565p-4, -0x1.6d7d58b2ee3bfp-4, -0x1.96f22077b1314p-4, -0x1.bf29d3b0de515p-4, -0x1.e61c5cf45599ep-4, -0x1.05e3052c99c19p-3, -0x1.18138341f4432p-3, -0x1.29a16a2477106p-3, -0x1.3a8fe835d951bp-3, -0x1.4ae35dd45777ep-3, -0x1.5aa1271e086f7p-3, -0x1.69cf6ab0312c7p-3, -0x1.7874ed612c29bp-3, -0x1.8698eac9fb6afp-3, -0x1.9442f25ad75fcp-3, -0x1.a17ac8a81ff7p-3, -0x1.ae484c970d7dbp-3, -0x1.bab360113b257p-3, -0x1.c6c3d3e91ed05p-3, -0x1.d281569ed7c61p-3, -0x1.ddf365badbacp-3, -0x1.e921417abd36ap-3, -0x1.f411e292a6d84p-3, -0x1.fecbf1cc5a047p-3, -0x1.04aae0a8fd1acp-2, -0x1.09daa3bbf6abep-2, -0x1.0ef80d6ec1042p-2, -0x1.1405b7dfe56c9p-2, -0x1.19060b2ec1de8p-2, -0x1.1dfb3d26d7f66p-2, -0x1.22e7515692202p-2, -0x1.27cc1984b664bp-2, -0x1.2cab3678bb27fp-2, -0x1.3186190b19796p-2, -0x1.365e037381988p-2, -0x1.3b340acb9fbd2p-2, -0x1.400918bdd0e02p-2, -0x1.44dded57d0969p-2, -0x1.49b320fa11102p-2, -0x1.4e89265d075ap-2, -0x1.53604ca64f818p-2, -0x1.5838c188164f6p-2, -0x1.5d129365cf5dap-2, -0x1.61edb379b3bb4p-2, -0x1.66c9f7f70f673p-2, -0x1.6ba71e25daad4p-2, -0x1.7084cc7491dcdp-2, -0x1.7562947d9fe37p-2, -0x1.7a3ff4fe2b7d7p-2, -0x1.7f1c5bbc5d797p-2, -0x1.83f7275ba01e9p-2, -0x1.88cfa91da0c19p-2, -0x1.8da5268f275dfp-2, -0x1.9276db2022c98p-2, -0x1.9743f9a672c36p-2, -0x1.9c0badcb4a7cbp-2, -0x1.a0cd1d631991dp-2, -0x1.a58769b028511p-2, -0x1.aa39b0902fe0ap-2, -0x1.aee30d9559924p-2, -0x1.b3829b0b25d22p-2, -0x1.b81772e7d975fp-2, -0x1.bca0afab1abebp-2, -0x1.c11d6d2a7aba4p-2, -0x1.c58cc94cacfap-2, -0x1.c9ede4b44047dp-2, -0x1.ce3fe35aa31a2p-2, -0x1.d281ed1c4deb8p-2, -0x1.d6b32e36e6203p-2, -0x1.dad2d7ba2b43ap-2, -0x1.dee01fec7f858p-2, -0x1.e2da42a3da9c4p-2, -0x1.e6c08193e902p-2, -0x1.ea92249216dbap-2, -0x1.ee4e79d04418bp-2, -0x1.f1f4d60ece339p-2, -0x1.f58494c69aa71p-2, -0x1.f8fd184bc06e4p-2, -0x1.fc5dc9e968494p-2, -0x1.ffa619f7786fdp-2, -0x1.016abff543a3p-1, -0x1.02f5bd2f4f25ep-1, -0x1.0473c78e9d9dbp-1, -0x1.05e4a58f7ea45p-1, -0x1.07482144b603p-1, -0x1.089e085493c43p-1, -0x1.09e62bf47340fp-1, -0x1.0b2060e2c5723p-1, -0x1.0c4c7f5fca967p-1, -0x1.0d6a63251f3c4p-1, -0x1.0e79eb5c39b85p-1, -0x1.0f7afa93f3bc6p-1, -0x1.106d76b53a01fp-1, -0x1.115148f6fa007p-1, -0x1.12265dd15ff08p-1, -0x1.12eca4f07bc0bp-1, -0x1.13a4112659f78p-1, -0x1.144c985ca44b6p-1, -0x1.14e63385d284ep-1, -0x1.1570de8dfd42bp-1, -0x1.15ec984b5c146p-1, -0x1.1659626e75f44p-1, -0x1.16b7417213befp-1, -0x1.17063c8af5881p-1, -0x1.17465d97578eep-1, -0x1.1777b10e4c186p-1, -0x1.179a45eeee255p-1, -0x1.17ae2daf76b08p-1, -0x1.17b37c2c33ccep-1, -0x1.17aa47966d82cp-1, -0x1.1792a86334e85p-1, -0x1.176cb93a28ab9p-1, -0x1.173896e42d13ap-1, -0x1.16f6603a1e122p-1, -0x1.16a636137e78ap-1, -0x1.16483b35264cfp-1, -0x1.15dc943ff4a22p-1, -0x1.1563679f86481p-1, -0x1.14dcdd78f6603p-1, -0x1.14491f99a9483p-1, -0x1.13a8596626b0fp-1, -0x1.12fab7c9038adp-1, -0x1.12406921e10e6p-1, -0x1.11799d347fffbp-1, -0x1.10a68517ee1dap-1, -0x1.0fc75325ced4fp-1, -0x1.0edc3ae9c0fa9p-1, -0x1.0de57110e5babp-1, -0x1.0ce32b598a464p-1, -0x1.0bd5a082f6e25p-1, -0x1.0abd083d6554cp-1, -0x1.09999b1a226a5p-1, -0x1.086b927bdb782p-1, -0x1.073328871b242p-1, -0x1.05f09812f7a82p-1, -0x1.04a41c99f3003p-1, -0x1.034df22b132b5p-1, -0x1.01ee555b3085ap-1, -0x1.008583367e686p-1, -0x1.fe2772649f33dp-2, -0x1.fb326a3e3030cp-2, -0x1.f82c6a355f15ep-2, -0x1.f515ef05a842fp-2, -0x1.f1ef75cfdfbabp-2, -0x1.eeb97c0049c2ep-2, -0x1.eb747f3537e6p-2, -0x1.e820fd263d404p-2, -0x1.e4bf738bef17dp-2, -0x1.e150600839ad3p-2, -0x1.ddd4400f4ef8ep-2, -0x1.da4b90d129a0cp-2, -0x1.d6b6cf23aabc9p-2, -0x1.d316776d56d05p-2, -0x1.cf6b0590ab633p-2, -0x1.cbb4f4d8158e9p-2, -0x1.c7f4bfe286e14p-2, -0x1.c42ae090ab3adp-2, -0x1.c057cff2bf9efp-2, -0x1.bc7c0637083dfp-2, -0x1.b897fa98ebdb7p-2, -0x1.b4ac2350aca86p-2, -0x1.b0b8f583c60a1p-2, -0x1.acbee535e6f31p-2, -0x1.a8be653a935cdp-2, -0x1.a4b7e7275ecep-2, -0x1.a0abdb46cb5e1p-2, -0x1.9c9ab08bc3882p-2, -0x1.9884d485b171p-2, -0x1.946ab35534116p-2, -0x1.904cb7a16a58fp-2, -0x1.8c2b4a8ddb543p-2, -0x1.8806d3b0f288fp-2, -0x1.83dfb90b1089fp-2, -0x1.7fb65efe31f42p-2, -0x1.7b8b28462409cp-2, -0x1.775e75f14a703p-2, -0x1.7330a759ed44fp-2, -0x1.6f021a201773fp-2, -0x1.6ad32a23f88e1p-2, -0x1.66a43180cb01cp-2, -0x1.627588883eb4bp-2, -0x1.5e4785be647aap-2, -0x1.5a1a7dd6119d5p-2, -0x1.55eec3adc27edp-2, -0x1.51c4a84cf238ap-2, -0x1.4d9c7ae1e5052p-2, -0x1.497688bfe8f7ap-2, -0x1.45531d5dfe7f6p-2, -0x1.41328255f0a0ap-2, -0x1.3d14ff63d5da8p-2, -0x1.38fada65f15d1p-2, -0x1.34e4575cfc7cap-2, -0x1.30d1b86cca4c6p-2, -0x1.2cc33ddd4b1b4p-2, -0x1.28b9261be542p-2, -0x1.24b3adbd25069p-2, -0x1.20b30f7ec1d26p-2, -0x1.1cb78449ed4a9p-2, -0x1.18c14335f3c6dp-2, -0x1.14d0818b25c8cp-2, -0x1.10e572c603dd9p-2, -0x1.0d00489ab5432p-2, -0x1.092132f8b6687p-2, -0x1.0548600ecc7aap-2, -0x1.0175fc4f2febap-2, -0x1.fb5464e7de88dp-3, -0x1.f3ca57070e5d8p-3, -0x1.ec4e1dab5b065p-3, -0x1.e4e00430988eap-3, -0x1.dd8052a94dca4p-3, -0x1.d62f4de9579a8p-3, -0x1.ceed3790dc3eep-3, -0x1.c7ba4e1785e56p-3, -0x1.c096ccd8047a2p-3, -0x1.b982ec1bceccp-3, -0x1.b27ee1271ea0ap-3, -0x1.ab8ade4525137p-3, -0x1.a4a712d472daep-3, -0x1.9dd3ab5389035p-3, -0x1.9710d16d9a0b2p-3, -0x1.905eac0769c87p-3, -0x1.89bd5f4c54021p-3, -0x1.832d0cbb6d6c5p-3, -0x1.7cadd334be281p-3, -0x1.763fcf06923fp-3, -0x1.6fe319fadf3c8p-3, -0x1.6997cb64afee7p-3, -0x1.635df82da542ep-3, -0x1.5d35b2e378063p-3, -0x1.571f0bc57f07bp-3, -0x1.511a10d23eeafp-3, -0x1.4b26cdd4eda8bp-3, -0x1.45454c72f60fap-3, -0x1.3f75943978a1cp-3, -0x1.39b7aaaabada3p-3, -0x1.340b934b912bcp-3, -0x1.2e714fb0b220ep-3, -0x1.28e8df8c0515dp-3, -0x1.237240b9cdc35p-3, -0x1.1e0d6f4dcfdf1p-3, -0x1.18ba65a055b4ep-3, -0x1.13791c5b1a9a6p-3, -0x1.0e498a8621272p-3, -0x1.092ba594671f5p-3, -0x1.041f61707c573p-3, -0x1.fe496111f2155p-4, -0x1.f47707b9ac99fp-4, -0x1.eac7960f388p-4, -0x1.e13ae89ae4c5fp-4, -0x1.d7d0d94e141d3p-4, -0x1.ce893f9abbaf1p-4, -0x1.c563f08a97fe7p-4, -0x1.bc60bed617e5dp-4, -0x1.b37f7afae5123p-4, -0x1.aabff352245c3p-4, -0x1.a221f4265c696p-4, -0x1.99a547c8fb8bcp-4, -0x1.9149b6a79d10fp-4, -0x1.890f0760d312p-4, -0x1.80f4fed8b30adp-4, -0x1.78fb604cf2e8ep-4, -0x1.7121ed68b4a6p-4, -0x1.69686657ee7dep-4, -0x1.61ce89da785d3p-4, -0x1.5a541556b7809p-4, -0x1.52f8c4ebf0012p-4, -0x1.4bbc53843490fp-4, -0x1.449e7ae5f5cffp-4, -0x1.3d9ef3c536531p-4, -0x1.36bd75d45aebdp-4, -0x1.2ff9b7d4a056bp-4, -0x1.29536fa62f192p-4, -0x1.22ca5257d0ba8p-4, -0x1.1c5e143647ecap-4, -0x1.160e68db4a3c7p-4, -0x1.0fdb033c1ba42p-4, -0x1.09c395b7cecf8p-4, -0x1.03c7d22525adp-4, -0x1.fbced3c038a3ep-5, -0x1.f0441bae1d14cp-5, -0x1.e4eedd2f205bap-5, -0x1.d9ce78b5c3694p-5, -0x1.cee24e241f504p-5, -0x1.c429bce37384cp-5, -0x1.b9a423fb0a2cp-5, -0x1.af50e22669ae5p-5, -0x1.a52f55eae2ae9p-5, -0x1.9b3eddac71f3cp-5, -0x1.917ed7c1fc9b3p-5, -0x1.87eea288eacb4p-5, -0x1.7e8d9c7820e74p-5, -0x1.755b24325a6eep-5, -0x1.6c569897df25ep-5, -0x1.637f58d7aacaap-5, -0x1.5ad4c47ff45bap-5, -0x1.52563b8e22ffep-5, -0x1.4a031e7e2e73dp-5, -0x1.41dace5968e03p-5, -0x1.39dcacc4ca06fp-5, -0x1.32081c0e983c4p-5, -0x1.2a5c7f3b9ead3p-5, -0x1.22d93a13ce1cdp-5, -0x1.1b7db12e5b18fp-5, -0x1.144949fd5fa19p-5, -0x1.0d3b6ad8f9393p-5, -0x1.06537b09edec3p-5, -0x1.ff21c5a7aa4aap-6, -0x1.f1e616fd8ab8ep-6, -0x1.e4f2bec12c371p-6, -0x1.d84693cb45ff6p-6, -0x1.cbe06f325432cp-6, -0x1.bfbf2c5a763c4p-6, -0x1.b3e1a9046881ap-6, -0x1.a846c55bbc8fcp-6, -0x1.9ced64043cc46p-6, -0x1.91d46a268aefp-6, -0x1.86fabf7c0b812p-6, -0x1.7c5f4e59f5e5dp-6, -0x1.720103bbcc264p-6, -0x1.67decf4d02f72p-6, -0x1.5df7a37211c7bp-6, -0x1.544a7550cc8efp-6, -0x1.4ad63cd819a3dp-6, -0x1.4199f4c70ee19p-6, -0x1.38949ab360489p-6, -0x1.2fc52f0f49a08p-6, -0x1.272ab52eddfe1p-6, -0x1.1ec4334cbb117p-6, -0x1.1690b28e4eadfp-6, -0x1.0e8f3f078019ep-6, -0x1.06bee7bdcb391p-6, -0x1.fe3d7d5608ec4p-7, -0x1.ef5bb17eee99dp-7, -0x1.e0d69bc75f611p-7, -0x1.d2ac71f37741ep-7, -0x1.c4db6fbc1ceb3p-7, -0x1.b761d6cfd09cep-7, -0x1.aa3deed2bba35p-7, -0x1.9d6e055e07749p-7, -0x1.90f06dfe61b2cp-7, -0x1.84c38231c0c71p-7, -0x1.78e5a164a9d3p-7, -0x1.6d5530ee6f73cp-7, -0x1.62109c0d231d6p-7, -0x1.571653e0be9dcp-7, -0x1.4c64cf65b2cf5p-7, -0x1.41fa8b6efb02ap-7, -0x1.37d60a9f8c2abp-7, -0x1.2df5d56358efp-7, -0x1.245879e7b3787p-7, -0x1.1afc8c1354e3ep-7, -0x1.11e0a57dd7d3cp-7, -0x1.09036566defc6p-7, -0x1.006370acb0ec6p-7, -0x1.effee3851ce47p-8, -0x1.dfac314d1bb9dp-8, -0x1.cfcc35ae48f03p-8, -0x1.c05c6690d1128p-8, -0x1.b15a44b1d37efp-8, -0x1.a2c35b8ca18ecp-8, -0x1.9495414361ceep-8, -0x1.86cd9686fdf2ep-8, -0x1.796a067ed36b8p-8, -0x1.6c6846afd9c93p-8, -0x1.5fc616e332877p-8, -0x1.5381410c6b286p-8, -0x1.4797992f6a973p-8, -0x1.3c06fd4601a74p-8, -0x1.30cd552504832p-8, -0x1.25e89261483d9p-8, -0x1.1b56b03425f2p-8, -0x1.1115b35ff5babp-8, -0x1.0723aa144739ep-8, -0x1.fafd57a351f69p-9, -0x1.e849b29b2f0c4p-9, -0x1.d628b8ac09234p-9, -0x1.c496cf69eb2cfp-9, -0x1.b3906e278c1a9p-9, -0x1.a3121dbcf7618p-9, -0x1.9318784e08767p-9, -0x1.83a0291099b9p-9, -0x1.74a5ec13061fep-9, -0x1.66268e0207a42p-9, -0x1.581eebef2ecb4p-9, -0x1.4a8bf316df78ap-9, -0x1.3d6aa0a6ca28p-9, -0x1.30b801840604ep-9, -0x1.24713211d5947p-9, -0x1.18935df7ee666p-9, -0x1.0d1bbfe9892e1p-9, -0x1.0207a16c14f97p-9, -0x1.eea8b53cfceb7p-10, -0x1.d9fea4014519fp-10, -0x1.c60bf8758688fp-10, -0x1.b2cbb7cb9c0b8p-10, -0x1.a03902a652dd6p-10, -0x1.8e4f14ab19b13p-10, -0x1.7d094413d3c4dp-10, -0x1.6c630140ee63ep-10, -0x1.5c57d64cc04dep-10, -0x1.4ce3669f943fp-10, -0x1.3e016e8422effp-10, -0x1.2fadc2bdce518p-10, -0x1.21e4501e500b9p-10, -0x1.14a11b1d8a0bbp-10, -0x1.07e03f71889dfp-10, -0x1.f73bdf4f6d4e9p-11, -0x1.dface97da5091p-11, -0x1.c90c5b848174ep-11, -0x1.b3531ecb7d257p-11, -0x1.9e7a4744acc98p-11, -0x1.8a7b12a9a2324p-11, -0x1.774ee7b8b354ap-11, -0x1.64ef55751b542p-11, -0x1.53561269e391ap-11, -0x1.427cfbed415f6p-11, -0x1.325e1567de355p-11, -0x1.22f3879d6c7c5p-11, -0x1.14379ff6df2fap-11, -0x1.0624cfcfde273p-11, -0x1.f16b578b86a65p-12, -0x1.d7c9d6128d869p-12, -0x1.bf5acd635d55ap-12, -0x1.a8143225bf02bp-12, -0x1.91ec3a2ad28afp-12, -0x1.7cd95b20f72c7p-12, -0x1.68d2494e39883p-12, -0x1.55cdf64ce6c17p-12, -0x1.43c38fcc94604p-12, -0x1.32aa7e5a536bp-12, -0x1.227a6429ff3a8p-12, -0x1.132b1be72df74p-12, -0x1.04b4b78784df4p-12, -0x1.ee1efe4811dacp-13, -0x1.d467dfa7fa56fp-13, -0x1.bc35752069fe7p-13, -0x1.a579862e55a52p-13, -0x1.90263dae6a2bbp-13, -0x1.7c2e27b77e5a9p-13, -0x1.69842f817a2ecp-13, -0x1.581b9d5147fcp-13, -0x1.47e8146f6c097p-13, -0x1.38dd91283d73bp-13, -0x1.2af066cfa2e02p-13, -0x1.1e153dd2c9c08p-13, -0x1.124111cc30f59p-13, -0x1.07692fa884e4p-13, -0x1.fb0667960ead8p-14, -0x1.e90a107c11b4cp-14, -0x1.d8c9c5d8f883p-14, -0x1.ca3287be215ep-14, -0x1.bd31e70cd86c1p-14, -0x1.b1b6021966f13p-14, -0x1.a7ad815040c81p-14, -0x1.9f0793fc745bfp-14, -0x1.97b3ed0fe1dc6p-14, -0x1.91a2c0025f59fp-14, -0x1.8cc4bdbc06deep-14, -0x1.890b119034a51p-14, -0x1.86675e43cd2f9p-14, -0x1.84cbbb250788ep-14, -0x1.842ab12f7d656p-14, -0x1.847738401fd31p-14, -0x1.85a4b456e9f18p-14, -0x1.87a6f2e2af9cap-14, -0x1.8a72281c59ed8p-14, -0x1.8dfaec71519e7p-14, -0x1.923639fa5d9ecp-14, -0x1.971969fae63a8p-14, -0x1.9c9a327a57347p-14, -0x1.a2aea3d463ed2p-14, -0x1.a94d2669de96ap-14, -0x1.b06c785196116p-14, -0x1.b803ab1b99799p-14, -0x1.c00a219f007dfp-14, -0x1.c8778dd20782fp-14, -0x1.d143eeae46c92p-14, -0x1.da678e1ee5d2ap-14, -0x1.e3dafefbce0aap-14, -0x1.ed971b119a07ep-14, -0x1.f79501338842ap-14, -0x1.00e709a8d26cfp-13, -0x1.061dfa52601afp-13, -0x1.0b6c43ec60f6ap-13, -0x1.10cef6a6403c4p-13, -0x1.164340a942714p-13, -0x1.1bc66d413df0ep-13, -0x1.2155e407bd5eap-13, -0x1.26ef281512819p-13, -0x1.2c8fd734fef67p-13, -0x1.3235a9214e31bp-13, -0x1.37de6ec159d07p-13, -0x1.3d88116c98218p-13, -0x1.43309230962f3p-13, -0x1.48d6091e38791p-13, -0x1.4e76a49935d56p-13, -0x1.5410a8ab918a8p-13, -0x1.59a26e5e9b89dp-13, -0x1.5f2a6316951afp-13, -0x1.64a707f2fc484p-13, -0x1.6a16f1318ea56p-13, -0x1.6f78c5958fc2ep-13, -0x1.74cb3dd467d2ep-13, -0x1.7a0d2403d8875p-13, -0x1.7f3d530d5ee6p-13, -0x1.845ab6227d7eep-13, -0x1.896448373a9b1p-13, -0x1.8e59137e1184p-13, -0x1.933830e8bfb01p-13, -0x1.9800c7aa6834bp-13, -0x1.9cb20cbf84827p-13, -0x1.a14b427728b33p-13, -0x1.a5cbb7fd86b3p-13, -0x1.aa32c8ed75727p-13, -0x1.ae7fdce1a2871p-13, -0x1.b2b2670a81111p-13, -0x1.b6c9e5c64ddb1p-13, -0x1.bac5e23b9b176p-13, -0x1.bea5eff71613ep-13, -0x1.c269ac8b0647cp-13, -0x1.c610bf321bf4dp-13, -0x1.c99ad874514fap-13, -0x1.cd07b1cf3d753p-13, -0x1.d0570d5fad704p-13, -0x1.d388b58db3bf7p-13, -0x1.d69c7cbbdfce3p-13, -0x1.d9923cf746645p-13, -0x1.dc69d7abc2f37p-13, -0x1.df233557be646p-13, -0x1.e1be4544e84eep-13, -0x1.e43afd415090ep-13, -0x1.e699595a10d1fp-13, -0x1.e8d95b99780bp-13, -0x1.eafb0bc565cafp-13, -0x1.ecfe772131685p-13, -0x1.eee3b030b9895p-13, -0x1.f0aace7d01c9dp-13, -0x1.f253ee5a990bep-13, -0x1.f3df30b1bcbcdp-13, -0x1.f54cbac8c02a7p-13, -0x1.f69cb60e8a5d4p-13, -0x1.f7cf4fe8e0b8fp-13, -0x1.f8e4b9824a08ep-13, -0x1.f9dd279b5d0b3p-13, -0x1.fab8d25b0292dp-13, -0x1.fb77f5223f151p-13, -0x1.fc1ace602dc16p-13, -0x1.fca19f685293bp-13, -0x1.fd0cac49e7b3fp-13, -0x1.fd5c3ba81d207p-13, -0x1.fd9096946911ap-13, -0x1.fdaa0868b2891p-13, -0x1.fda8dea4a2ebdp-13, -0x1.fd8d68c9de96cp-13, -0x1.fd57f83b200a2p-13, -0x1.fd08e01ba98cbp-13, -0x1.fca07530e28ep-13, -0x1.fc1f0dc34bb26p-13, -0x1.fb850181c8f2dp-13, -0x1.fad2a964fa271p-13, -0x1.fa085f94c9353p-13, -0x1.f9267f4d7b0f8p-13, -0x1.f82d64c7347e8p-13, -0x1.f71d6d1c8d86dp-13, -0x1.f5f6f6348bce5p-13, -0x1.f4ba5eaaed8ecp-13, -0x1.f36805bab331cp-13, -0x1.f2004b290ce76p-13, -0x1.f0838f31047cbp-13, -0x1.eef232706a8e9p-13, -0x1.ed4c95d4ff2eap-13, -0x1.eb931a8aa358p-13, -0x1.e9c621e962c2ap-13, -0x1.e7e60d660f3cbp-13, -0x1.e5f33e816551ap-13, -0x1.e3ee16b8f265fp-13, -0x1.e1d6f778fb881p-13, -0x1.dfae420d8de21p-13, -0x1.dd745796738f6p-13, -0x1.db2998f8fa00bp-13, -0x1.d8ce66d491f4cp-13, -0x1.d66321762fb01p-13, -0x1.d3e828cdd3586p-13, -0x1.d15ddc63413fap-13, -0x1.cec49b4c858c7p-13, -0x1.cc1cc4232b857p-13, -0x1.c966b4fc194d1p-13, -0x1.c6a2cb5df5d13p-13, -0x1.c3d16438f7ea8p-13, -0x1.c0f2dbdf16c3dp-13, -0x1.be078dfbd72c3p-13, -0x1.bb0fd58df0e43p-13, -0x1.b80c0ce02dc19p-13, -0x1.b4fc8d8302603p-13, -0x1.b1e1b046aa53ep-13, -0x1.aebbcd3523edp-13, -0x1.ab8b3b8d34cd7p-13, -0x1.a85051bcdd79p-13, -0x1.a50b655d215ecp-13, -0x1.a1bccb2d1809fp-13, -0x1.9e64d70e72523p-13, -0x1.9b03dc012bep-13, -0x1.979a2c20401a5p-13, -0x1.9428189e368aep-13, -0x1.90adf1c22e43cp-13, -0x1.8d2c06e4cf254p-13, -0x1.89a2a66e50909p-13, -0x1.86121dd3662c9p-13, -0x1.827ab993cdb41p-13, -0x1.7edcc53830b9fp-13, -0x1.7b388b5037f78p-13, -0x1.778e557197341p-13, -0x1.73de6c3643b46p-13, -0x1.7029173b87569p-13, -0x1.6c6e9d2112c84p-13, -0x1.68af438875843p-13, -0x1.64eb4f141c371p-13, -0x1.612303672cb84p-13, -0x1.5d56a3253fc8p-13, -0x1.59866ff1f7ad9p-13, -0x1.55b2aa71617dcp-13, -0x1.51db9247c477ap-13, -0x1.4e016619edadcp-13, -0x1.4a24638ded2c9p-13, -0x1.4644c74b1346cp-13, -0x1.4262ccfb18ebbp-13, -0x1.3e7eaf4a5f9aap-13, -0x1.3a98a7e90a691p-13, -0x1.36b0ef8bcfe1p-13, -0x1.32c7bdecd794bp-13, -0x1.2edd49cd4da44p-13, -0x1.2af1c8f62d672p-13, -0x1.2705703986955p-13, -0x1.2318737433ed9p-13, -0x1.1f2b058ede9ddp-13, -0x1.1b3d587fa599dp-13, -0x1.174f9d4c12681p-13, -0x1.13620409dc967p-13, -0x1.0f74bbe13899ap-13, -0x1.0b87f30e7f239p-13, -0x1.079bd6e3d0e02p-13, -0x1.03b093cb272dbp-13, -0x1.ff8caa9054946p-14, -0x1.f7ba8bf3aa1f6p-14, -0x1.efeb1f3973d6p-14, -0x1.e81eb61a60cedp-14, -0x1.e055a091925c3p-14, -0x1.d8902ce1da1e8p-14, -0x1.d0cea799c7a5cp-14, -0x1.c9115b976c364p-14, -0x1.c158920cef85dp-14, -0x1.b9a49285ad612p-14, -0x1.b1f5a2e999f6fp-14, -0x1.aa4c078212079p-14, -0x1.a2a802fec5bd6p-14, -0x1.9b09d67954d07p-14, -0x1.9371c17b23bcfp-14, -0x1.8be00200e5b52p-14, -0x1.8454d48023a9p-14, -0x1.7cd073eab03ep-14, -0x1.755319b4452d4p-14, -0x1.6ddcfdd749001p-14, -0x1.666e56d8955bp-14, -0x1.5f0759ccfcf0fp-14, -0x1.57a83a5da529ap-14, -0x1.50512accec4afp-14, -0x1.49025bfa83b6cp-14, -0x1.41bbfd68ce3bcp-14, -0x1.3a7e3d41db255p-14, -0x1.3349485ae24dap-14, -0x1.2c1d4a39e7f88p-14, -0x1.24fa6d1a29643p-14, -0x1.1de0d9f0735fcp-14, -0x1.16d0b87062e34p-14, -0x1.0fca2f1095757p-14, -0x1.08cd630f9fbap-14, -0x1.01da78783bdbfp-14, -0x1.f5e3244b5d76ep-15, -0x1.e825a3929b09fp-15, -0x1.da7cafdbc0bacp-15, -0x1.cce887f9cde18p-15, -0x1.bf696885d1195p-15, -0x1.b1ff8be700449p-15, -0x1.a4ab2a5c5df67p-15, -0x1.976c7a05b190bp-15, -0x1.8a43aeeb7d69ep-15, -0x1.7d30fb088de06p-15, -0x1.70348e51663c1p-15, -0x1.634e96bdda34p-15, -0x1.567f4050d53e8p-15, -0x1.49c6b521a1399p-15, -0x1.3d251d62f14c6p-15, -0x1.309a9f6c771a8p-15, -0x1.24275fc291944p-15, -0x1.17cb811d7224ap-15, -0x1.0b872472c4a1ap-15, -0x1.feb4d1f9773cp-16, -0x1.e68ad883b0e3fp-16, -0x1.ce90943acd5f6p-16, -0x1.b6c6398e1a178p-16, -0x1.9f2bf9b381a6fp-16, -0x1.87c202b7fe2d3p-16, -0x1.70887f8ec75f8p-16, -0x1.597f981fbbe2p-16, -0x1.42a7715611f7ap-16, -0x1.2c002d2ebb173p-16, -0x1.1589eac720db5p-16, -0x1.fe898cd5f8297p-17, -0x1.d261b345d14dfp-17, -0x1.a69c768477c5p-17, -0x1.7b39fee9834cap-17, -0x1.503a6f970623p-17, -0x1.259de69630742p-17, -0x1.f6c8f9e0a7eeap-18, -0x1.a31c8d93a7b08p-18, -0x1.5036a6fa57156p-18, -0x1.fc2eb6cb49d9dp-19, -0x1.597d6dec540f9p-19, -0x1.70b2f3378831dp-20, -0x1.8c2ce84a9cfa9p-23, 0x1.0a8d5fdc97a3bp-20, 0x1.21c32f27e6a42p-19, 0x1.bcb2ed0d54a32p-19, 0x1.2b0b1bd2d0551p-18, 0x1.76f6b65d52122p-18, 0x1.c21c7cbd4679p-18, 0x1.063e5689f6f0dp-17, 0x1.2b0bc66d84d25p-17, 0x1.4f76b45deca88p-17, 0x1.737f4a321006fp-17, 0x1.9725b52e94139p-17, 0x1.ba6a25f0b0e2dp-17, 0x1.dd4cd05915011p-17, 0x1.ffcdeb780ed42p-17, 0x1.10f6d8bd47147p-16, 0x1.21d62fc9e117p-16, 0x1.32851af6028p-16, 0x1.4303bbc668944p-16, 0x1.53523527b6282p-16, 0x1.6370ab64c084ap-16, 0x1.735f441cbc97ep-16, 0x1.831e263b246bbp-16, 0x1.92ad79eedf189p-16, 0x1.a20d68a1082aap-16, 0x1.b13e1cece662bp-16, 0x1.c03fc297243cdp-16, 0x1.cf128685a139p-16, 0x1.ddb696b73e196p-16, 0x1.ec2c223bfd6e9p-16, 0x1.fa73592cb24a9p-16, 0x1.04463651ea1cdp-15, 0x1.0b3bc75ae1328p-15, 0x1.121a79346c4c6p-15, 0x1.18e265d72cc93p-15, 0x1.1f93a7ad97c2ep-15, 0x1.262e599009eeep-15, 0x1.2cb296c1a994ep-15, 0x1.33207aecc55fbp-15, 0x1.3978221fa9b76p-15, 0x1.3fb9a8c92a729p-15, 0x1.45e52bb51630dp-15, 0x1.4bfac809299c4p-15, 0x1.51fa9b4222032p-15, 0x1.57e4c3301e52fp-15, 0x1.5db95df424fccp-15, 0x1.637889fcf4fcap-15, 0x1.692266039662fp-15, 0x1.6eb71108dfdd2p-15, 0x1.7436aa52adb2ep-15, 0x1.79a151692bdc3p-15, 0x1.7ef72613a36e2p-15, 0x1.843848562f56p-15, 0x1.8964d86ee03e7p-15, 0x1.8e7cf6d37de6bp-15, 0x1.9380c42e6636dp-15, 0x1.9870615c71e61p-15, 0x1.9d4bef6a3baebp-15, 0x1.a2138f921cbb9p-15, 0x1.a6c76339aa9fbp-15, 0x1.ab678bef3cdebp-15, 0x1.aff42b67d9dc2p-15, 0x1.b46d637cc9003p-15, 0x1.b8d3562989055p-15, 0x1.bd2625896cebdp-15, 0x1.c165f3d617399p-15, 0x1.c592e364ed22ap-15, 0x1.c9ad16a506b6bp-15, 0x1.cdb4b01d7e2c9p-15, 0x1.d1a9d26b42e0dp-15, 0x1.d58ca03f753d1p-15, 0x1.d95d3c5d8221dp-15, 0x1.dd1bc998f418p-15, 0x1.e0c86ad4185bbp-15, 0x1.e46342fe0a6bap-15, 0x1.e7ec75114efd9p-15, 0x1.eb642411748c2p-15, 0x1.eeca7309f8275p-15, 0x1.f21f850c996eap-15, 0x1.f5637d2fef65ap-15, 0x1.f8967e8d4b4cbp-15, 0x1.fbb8ac4002532p-15, 0x1.feca2963585ccp-15, 0x1.00e58c88c3867p-14, 0x1.025dcf30f428bp-14, 0x1.03cdee33bd807p-14, 0x1.0535fb182229fp-14, 0x1.06960761d21d9p-14, 0x1.07ee24905a9edp-14, 0x1.093e641eac75ap-14, 0x1.0a86d78274937p-14, 0x1.0bc7902b94f7bp-14, 0x1.0d009f83a9a61p-14, 0x1.0e3216ed1e768p-14, 0x1.0f5c07c2d840ep-14, 0x1.107e8357a2962p-14, 0x1.11999af5f3c36p-14, 0x1.12ad5fdee62b6p-14, 0x1.13b9e349ecfap-14, 0x1.14bf36643f857p-14, 0x1.15bd6a50a7963p-14, 0x1.16b49026eec3fp-14, 0x1.17a4b8f3371adp-14, 0x1.188df5b5ac90ap-14, 0x1.1970576201556p-14, 0x1.1a4beedf54c9p-14, 0x1.1b20cd074f3d5p-14, 0x1.1bef02a5fdc09p-14, 0x1.1cb6a079998c8p-14, 0x1.1d77b731e164dp-14, 0x1.1e32576fa3c61p-14, 0x1.1ee691c4d4842p-14, 0x1.1f9476b3cc655p-14, 0x1.203c16af29117p-14, 0x1.20dd82197ee35p-14, 0x1.2178c944bba46p-14, 0x1.220dfc7239496p-14, 0x1.229d2bd22d1bep-14, 0x1.23266783ac0d7p-14, 0x1.23a9bf9418facp-14, 0x1.242743feeefd4p-14, 0x1.249f04ad563b3p-14, 0x1.25111176484b6p-14, 0x1.257d7a1e2a9b5p-14, 0x1.25e44e565ac82p-14, 0x1.26459dbd3dc07p-14, 0x1.26a177ddc1d88p-14, 0x1.26f7ec2f65a2fp-14, 0x1.27490a15e822bp-14, 0x1.2794e0e0f535p-14, 0x1.27db7fcc3794fp-14, 0x1.281cf5ff14953p-14, 0x1.2859528c646dap-14, 0x1.2890a472288d4p-14, 0x1.28c2fa99c9c0dp-14, 0x1.28f063d78fa62p-14, 0x1.2918eeeabd509p-14, 0x1.293caa7d4e45ap-14, 0x1.295ba523adb5cp-14, 0x1.2975ed5cd3ab6p-14, 0x1.298b9191e6a56p-14, 0x1.299ca0168a507p-14, 0x1.29a9272856701p-14, 0x1.29b134eedb031p-14, 0x1.29b4d77b81a4p-14, 0x1.29b41cc97ec35p-14, 0x1.29af12bdc8779p-14, 0x1.29a5c726df017p-14, 0x1.299847bce012p-14, 0x1.2986a221570ep-14, 0x1.2970e3df354eep-14, 0x1.29571a6ab43bp-14, 0x1.29395321392bfp-14, 0x1.29179b4973b19p-14, 0x1.28f200135fbbfp-14, 0x1.28c88e97f9f1fp-14, 0x1.289b53d91b4dap-14, 0x1.286a5cc1d07b4p-14, 0x1.2835b626348eap-14, 0x1.27fd6cc33c0d2p-14, 0x1.27c18d3ee0b3dp-14, 0x1.2782242806ce5p-14, 0x1.273f3df654808p-14, 0x1.26f8e70a6436dp-14, 0x1.26af2bad9debap-14, 0x1.2662181279ce3p-14, 0x1.2611b8544640fp-14, 0x1.25be187708afap-14, 0x1.256744679d719p-14, 0x1.250d47fbe1952p-14, 0x1.24b02ef29b746p-14, 0x1.245004f36039cp-14, 0x1.23ecd58eac04p-14, 0x1.2386ac3decb5p-14, 0x1.231d94638f469p-14, 0x1.22b1994b1b2cp-14, 0x1.2242c628eafc1p-14, 0x1.21d1261a67b51p-14, 0x1.215cc42622ae3p-14, 0x1.20e5ab3bc5bcbp-14, 0x1.206be63419debp-14, 0x1.1fef7fd113a8ep-14, 0x1.1f7082be01085p-14, 0x1.1eeef98f6621cp-14, 0x1.1e6aeec324c51p-14, 0x1.1de46cc09adf1p-14, 0x1.1d5b7dd85bdbdp-14, 0x1.1cd02c4497b12p-14, 0x1.1c4282291601fp-14, 0x1.1bb2899335c17p-14, 0x1.1b204c79f43a4p-14, 0x1.1a8bd4be2d5dcp-14, 0x1.19f52c2a76a7fp-14, 0x1.195c5c734e247p-14, 0x1.18c16f372341ap-14, 0x1.18246dfe5fd2dp-14, 0x1.1785623b77bc6p-14, 0x1.16e4554b271a1p-14, 0x1.164150746bf0dp-14, 0x1.159c5ce886e73p-14, 0x1.14f583c315369p-14, 0x1.144cce0a3341p-14, 0x1.13a244ae98ac1p-14, 0x1.12f5f08bac031p-14, 0x1.1247da67867fcp-14, 0x1.11980af306987p-14, 0x1.10e68ac9f4354p-14, 0x1.103362730d1e5p-14, 0x1.0f7e9a603b351p-14, 0x1.0ec83aeeae64dp-14, 0x1.0e104c66ccc88p-14, 0x1.0d56d6fc402ddp-14, 0x1.0c9be2ce290fcp-14, 0x1.0bdf77e74976dp-14, 0x1.0b219e3e0216ep-14, 0x1.0a625db47a7b9p-14, 0x1.09a1be18aba8bp-14, 0x1.08dfc7249ca2p-14, 0x1.081c807e3f1bfp-14, 0x1.0757f1b7c05e5p-14, 0x1.0692224f8d96fp-14, 0x1.05cb19b064104p-14, 0x1.0502df318373fp-14, 0x1.04397a16c1114p-14, 0x1.036ef190944b8p-14, 0x1.02a34cbc3762cp-14, 0x1.01d692a3ca38dp-14, 0x1.0108ca3e6e0f1p-14, 0x1.0039fa705d7bfp-14, 0x1.fed454162d251p-15, 0x1.fd32bf9a97dd2p-15, 0x1.fb8f44c651998p-15, 0x1.f9e9f0ccd3718p-15, 0x1.f842d0bca4ed7p-15, 0x1.f699f17fe492fp-15, 0x1.f4ef5fdc8d11dp-15, 0x1.f3432874a8c9ep-15, 0x1.f19557c65a6ffp-15, 0x1.efe5fa2bde7f6p-15, 0x1.ee351bdc36b8dp-15, 0x1.ec82c8eb52d8fp-15, 0x1.eacf0d4a37257p-15, 0x1.e919f4c7011bcp-15, 0x1.e7638b0d652f1p-15, 0x1.e5abdba70936ap-15, 0x1.e3f2f1fb4b811p-15, 0x1.e238d94fd62fcp-15, 0x1.e07d9cc8cc405p-15, 0x1.dec14768da7b3p-15, 0x1.dd03e411a442bp-15, 0x1.db457d83edba1p-15, 0x1.d9861e5f98876p-15, 0x1.d7c5d124425a8p-15, 0x1.d604a031666ecp-15, 0x1.d44295c650eeap-15, 0x1.d27fbc0285a2bp-15, 0x1.d0bc1ce640349p-15, 0x1.cef7c2525c0b2p-15, 0x1.cd32b6086e3bcp-15, 0x1.cb6d01ab411e2p-15, 0x1.c9a6aebf2333ap-15, 0x1.c7dfc6a9eb1dbp-15, 0x1.c61852b31470cp-15, 0x1.c4505c045e3bp-15, 0x1.c287ebaa010f4p-15, 0x1.c0bf0a926aed1p-15, 0x1.bef5c18ec8295p-15, 0x1.bd2c195350e4cp-15, 0x1.bb621a7761e79p-15, 0x1.b997cd75bb52dp-15, 0x1.b7cd3aacc28e8p-15, 0x1.b6026a5eafaf7p-15, 0x1.b43764b1f1a02p-15, 0x1.b26c31b119f37p-15, 0x1.b0a0d94b3a91ep-15, 0x1.aed5635457ef3p-15, 0x1.ad09d7855e97bp-15, 0x1.ab3e3d7c3b545p-15, 0x1.a9729cbc5ab4bp-15, 0x1.a7a6fcaef4005p-15, 0x1.a5db64a2e8c94p-15, 0x1.a40fdbcd09bcdp-15, 0x1.a24469489f8c8p-15, 0x1.a07914177c38fp-15, 0x1.9eade321e79d8p-15, 0x1.9ce2dd3758a07p-15, 0x1.9b18090e68969p-15, 0x1.994d6d44c5eebp-15, 0x1.9783105fd7677p-15, 0x1.95b8f8ccd1512p-15, 0x1.93ef2ce0c7edap-15, 0x1.9225b2d91e0c2p-15, 0x1.905c90db867a2p-15, 0x1.8e93ccf684a2bp-15, 0x1.8ccb6d213eccfp-15, 0x1.8b03773bdf633p-15, 0x1.893bf10fdb909p-15, 0x1.8774e05023e4dp-15, 0x1.85ae4a9922e3p-15, 0x1.83e835712e234p-15, 0x1.8222a648daa17p-15, 0x1.805da27ab67b3p-15, 0x1.7e992f4bbdac1p-15, 0x1.7cd551ebdd328p-15, 0x1.7b120f75a1ff3p-15, 0x1.794f6ceea4529p-15, 0x1.778d6f47fb642p-15, 0x1.75cc1b5de23b3p-15, 0x1.740b75f8448e2p-15, 0x1.724b83cb0bdcbp-15, 0x1.708c4975fd91bp-15, 0x1.6ecdcb85117b5p-15, 0x1.6d100e70c2dbcp-15, 0x1.6b53169e1e19dp-15, 0x1.6996e85eedca6p-15, 0x1.67db87f1f05f4p-15, 0x1.6620f983334e1p-15, 0x1.6467412beb129p-15, 0x1.62ae62f2eaccp-15, 0x1.60f662ccbdd1fp-15, 0x1.5f3f449bc654p-15, 0x1.5d890c307a999p-15, 0x1.5bd3bd49ab9f9p-15, 0x1.5a1f5b9496c03p-15, 0x1.586beaace3893p-15, }}, 
      {{-0x1.7e22d9ae9f756p-2, -0x1.7e96b544ccc5p-2, -0x1.7f50fc6390209p-2, -0x1.8049719a52bf7p-2, -0x1.8176b9800665fp-2, -0x1.82cf1e75828cap-2, -0x1.84491790c1823p-2, -0x1.85dba2c08492fp-2, -0x1.877e7e0f877c6p-2, -0x1.892a48de39c7p-2, -0x1.8ad893a79f6ep-2, -0x1.8c83e33aa3773p-2, -0x1.8e27ab1472e43p-2, -0x1.8fc0419d039adp-2, -0x1.914ad056f8bd1p-2, -0x1.92c5418ffc714p-2, -0x1.942e2cbad98b4p-2, -0x1.9584c250b9641p-2, -0x1.96c8b7dcde809p-2, -0x1.97fa34a98e924p-2, -0x1.9919bf623d393p-2, -0x1.9a282ce44e00bp-2, -0x1.9b269062cd24p-2, -0x1.9c162cf1676e5p-2, -0x1.9cf8687e45e8dp-2, -0x1.9dcec038e7ca5p-2, -0x1.9e9abe5cc158fp-2, -0x1.9f5df1510729bp-2, -0x1.a019e40b25ec8p-2, -0x1.a0d0179ecdf84p-2, -0x1.a181fde4c34c5p-2, -0x1.a230f520d8703p-2, -0x1.a2de448f3fa8ep-2, -0x1.a38b19c19c6ffp-2, -0x1.a43886b5017dp-2, -0x1.a4e7808aebf53p-2, -0x1.a598ded085772p-2, -0x1.a64d5b40c4199p-2, -0x1.a70591ef69d9fp-2, -0x1.a7c201cc65caap-2, -0x1.a8830d707d1f6p-2, -0x1.a948fc25acb6ep-2, -0x1.aa13fb1f06d7ep-2, -0x1.aae41ed54399p-2, -0x1.abb9647e681f6p-2, -0x1.ac93b3982bb1cp-2, -0x1.ad72df7de2201p-2, -0x1.ae56a903a9ba3p-2, -0x1.af3ec0119b7a9p-2, -0x1.b02ac53a8eb0fp-2, -0x1.b11a4b4ac5a2ep-2, -0x1.b20cd8cb8812cp-2, -0x1.b301e97950b36p-2, -0x1.b3f8efaab44eep-2, -0x1.b4f155a6a72cdp-2, -0x1.b5ea7ee92bc0dp-2, -0x1.b6e3c955cbdbbp-2, -0x1.b7dc8e578da54p-2, -0x1.b8d423ee556bbp-2, -0x1.b9c9dda9d695ap-2, -0x1.babd0d92697a5p-2, -0x1.bbad050032c1ep-2, -0x1.bc991561371cep-2, -0x1.bd8090eef5b23p-2, -0x1.be62cb544824p-2, -0x1.bf3f1a444234ep-2, -0x1.c014d602dbcccp-2, -0x1.c0e359e02deb5p-2, -0x1.c1aa04a70b857p-2, -0x1.c26838ffc654p-2, -0x1.c31d5dc7d84d4p-2, -0x1.c3c8de5f400b9p-2, -0x1.c46a2aec3a57cp-2, -0x1.c500b89611fe4p-2, -0x1.c58c01b7b2c72p-2, -0x1.c60b860a9195p-2, -0x1.c67ecaca905afp-2, -0x1.c6e55ad362ba3p-2, -0x1.c73ec6b7feb42p-2, -0x1.c78aa4d48dfc6p-2, -0x1.c7c8915b5f04dp-2, -0x1.c7f82e5d399aap-2, -0x1.c81923cd7c3b7p-2, -0x1.c82b1f8261925p-2, -0x1.c82dd531c2ff4p-2, -0x1.c820fe6aa35d4p-2, -0x1.c8045a8bcd3c5p-2, -0x1.c7d7aeb7ca0cfp-2, -0x1.c79ac5c668544p-2, -0x1.c74d70340e7dap-2, -0x1.c6ef840f0e9d8p-2, -0x1.c680dce324efbp-2, -0x1.c6015ba351e0ep-2, -0x1.c570e69235778p-2, -0x1.c4cf692911ed6p-2, -0x1.c41cd3fd93639p-2, -0x1.c3591ca68211ap-2, -0x1.c2843d9f77916p-2, -0x1.c19e362bb059ap-2, -0x1.c0a70a3819114p-2, -0x1.bf9ec23ca55ddp-2, -0x1.be856b1d0cc35p-2, -0x1.bd5b1608ff2d6p-2, -0x1.bc1fd85be085ep-2, -0x1.bad3cb7c238a3p-2, -0x1.b9770cba4e6c5p-2, -0x1.b809bd2fbad86p-2, -0x1.b68c019d21a38p-2, -0x1.b4fe0248fcb32p-2, -0x1.b35feaddcef13p-2, -0x1.b1b1ea4860605p-2, -0x1.aff43295f3977p-2, -0x1.ae26f8d2886fp-2, -0x1.ac4a74e731973p-2, -0x1.aa5ee17888f84p-2, -0x1.a8647bc54c885p-2, -0x1.a65b83852f071p-2, -0x1.a4443ac7e257p-2, -0x1.a21ee5d46753ap-2, -0x1.9febcb08a94cfp-2, -0x1.9dab32b971798p-2, -0x1.9b5d6712b09bap-2, -0x1.9902b3f833158p-2, -0x1.969b66e6bbe75p-2, -0x1.9427ced58f63ap-2, -0x1.91a83c187978dp-2, -0x1.8f1d00424dce9p-2, -0x1.8c866e07ecb56p-2, -0x1.89e4d923cc777p-2, -0x1.8738963a158ebp-2, -0x1.8481fabd48134p-2, -0x1.81c15cd37f0d2p-2, -0x1.7ef7133c44e8fp-2, -0x1.7c2375370b17ap-2, -0x1.7946da6a3cee2p-2, -0x1.76619acaf853bp-2, -0x1.73740e8568b9dp-2, -0x1.707e8de5ccb9p-2, -0x1.6d817142233edp-2, -0x1.6a7d10e4819d8p-2, -0x1.6771c4f619f95p-2, -0x1.645fe56aeccaap-2, -0x1.6147c9ee27a8ap-2, -0x1.5e29c9cf338fap-2, -0x1.5b063bef7150ap-2, -0x1.57dd76b0a65e3p-2, -0x1.54afcfe4151e6p-2, -0x1.517d9cba43673p-2, -0x1.4e4731b371576p-2, -0x1.4b0ce290b9115p-2, -0x1.47cf0245d7c9ep-2, -0x1.448de2eba5e15p-2, -0x1.4149d5b331b6fp-2, -0x1.3e032ad9827e1p-2, -0x1.3aba319c00003p-2, -0x1.376f382d7923dp-2, -0x1.34228babd0428p-2, -0x1.30d478163ec9p-2, -0x1.2d854844372c6p-2, -0x1.2a3545dcdd48ap-2, -0x1.26e4b94f167afp-2, -0x1.2393e9ca2a6e1p-2, -0x1.20431d36f4282p-2, -0x1.1cf298319ef43p-2, -0x1.19a29e03ef273p-2, -0x1.165370a00df54p-2, -0x1.1305509bda183p-2, -0x1.0fb87d2cb8023p-2, -0x1.0c6d3423df67fp-2, -0x1.0923b1eb1ea93p-2, -0x1.05dc3182172b5p-2, -0x1.0296ec7be8f96p-2, -0x1.fea835fa9fb8cp-3, -0x1.f827e776507cfp-3, -0x1.f1ad57f2bebd4p-3, -0x1.eb38ef1485e7bp-3, -0x1.e4cb119c6e943p-3, -0x1.de64216788e83p-3, -0x1.d8047d7004f89p-3, -0x1.d1ac81ceb08ap-3, -0x1.cb5c87bd1db3bp-3, -0x1.c514e5986613cp-3, -0x1.bed5eee48d39dp-3, -0x1.b89ff45069a5cp-3, -0x1.b27343ba234efp-3, -0x1.ac5028342f138p-3, -0x1.a636ea0ace18p-3, -0x1.a027ceca0305bp-3, -0x1.9a231943f7dfbp-3, -0x1.94290997d1cb8p-3, -0x1.8e39dd38ea014p-3, -0x1.8855cef6685f2p-3, -0x1.827d1703334f4p-3, -0x1.7cafeafe3c09p-3, -0x1.76ee7dfb15973p-3, -0x1.7139008ad4ep-3, -0x1.6b8fa0c53a8fdp-3, -0x1.65f28a5217124p-3, -0x1.6061e672efa25p-3, -0x1.5adddc0cd3bb7p-3, -0x1.55668fb266705p-3, -0x1.4ffc23ae17417p-3, -0x1.4a9eb80c7e227p-3, -0x1.454e6aa6e1b89p-3, -0x1.400b572dd8dd9p-3, -0x1.3ad597340bcd1p-3, -0x1.35ad42390b4f2p-3, -0x1.30926db43fa36p-3, -0x1.2b852d1fe2dabp-3, -0x1.26859204104dap-3, -0x1.2193ac01d95a2p-3, -0x1.1caf88de612ap-3, -0x1.17d9348e0064bp-3, -0x1.1310b93f655c1p-3, -0x1.0e561f66b438fp-3, -0x1.09a96dc8a646fp-3, -0x1.050aa9859cef9p-3, -0x1.0079d624ab082p-3, -0x1.f7edeb3d3373fp-4, -0x1.ef0410d1ad186p-4, -0x1.e6361b00af7ffp-4, -0x1.dd8404e8d39d2p-4, -0x1.d4edc6e2d157ep-4, -0x1.cc735696d42aep-4, -0x1.c414a71193f0ep-4, -0x1.bbd1a8d937286p-4, -0x1.b3aa4a020cc13p-4, -0x1.ab9e764304d34p-4, -0x1.a3ae1709f108cp-4, -0x1.9bd9138f89397p-4, -0x1.941f50eb283dcp-4, -0x1.8c80b22651862p-4, -0x1.84fd184feccddp-4, -0x1.7d94628f3a8f6p-4, -0x1.76466e3685713p-4, -0x1.6f1316d586a58p-4, -0x1.67fa364b81fbap-4, -0x1.60fba4d9156b1p-4, -0x1.5a173931bc9ebp-4, -0x1.534cc88d04752p-4, -0x1.4c9c26b7738f4p-4, -0x1.460526231e135p-4, -0x1.3f8797f7ee526p-4, -0x1.39234c239aebp-4, -0x1.32d8116949025p-4, -0x1.2ca5b570e1f64p-4, -0x1.268c04d613905p-4, -0x1.208acb36ff78fp-4, -0x1.1aa1d3429909cp-4, -0x1.14d0e6c6b260ep-4, -0x1.0f17cebdb44e4p-4, -0x1.0976535c06904p-4, -0x1.03ec3c1d29999p-4, -0x1.fcf29fa0f11d7p-5, -0x1.f23aa94b43ce8p-5, -0x1.e7b0207191f44p-5, -0x1.dd528f3cbe78ep-5, -0x1.d3217edd4d8aap-5, -0x1.c91c77a1d7457p-5, -0x1.bf43010cd9ec5p-5, -0x1.b594a1e9f6f3ap-5, -0x1.ac10e0628c15fp-5, -0x1.a2b74211c114dp-5, -0x1.99874c17faa93p-5, -0x1.9080832dbabc7p-5, -0x1.87a26bb5ea0a1p-5, -0x1.7eec89cf99f2p-5, -0x1.765e61673338ap-5, -0x1.6df7764715938p-5, -0x1.65b74c27b290dp-5, -0x1.5d9d66bf1d84ep-5, -0x1.55a949d016d2p-5, -0x1.4dda79388eac8p-5, -0x1.463078ffacb9bp-5, -0x1.3eaacd635417ep-5, -0x1.3748fae52754p-5, -0x1.300a865717e9dp-5, -0x1.28eef4e77827ep-5, -0x1.21f5cc2c97eap-5, -0x1.1b1e922fe958cp-5, -0x1.1468cd78b7e2fp-5, -0x1.0dd4051671164p-5, -0x1.075fc0aa795c2p-5, -0x1.010b887196752p-5, -0x1.f5adca99ef93dp-6, -0x1.e982c195a083dp-6, -0x1.dd950a5d20cc6p-6, -0x1.d1e3baf175ab3p-6, -0x1.c66deadcb7abfp-6, -0x1.bb32b3403ede7p-6, -0x1.b0312ee224c26p-6, -0x1.a5687a3a03fafp-6, -0x1.9ad7b37d1629cp-6, -0x1.907dfaa9a3f9cp-6, -0x1.865a7191c80efp-6, -0x1.7c6c3be59ee43p-6, -0x1.72b27f3cd637cp-6, -0x1.692c631f97ce8p-6, -0x1.5fd9110eed1b5p-6, -0x1.56b7b48c88cb2p-6, -0x1.4dc77b220e21ep-6, -0x1.45079467ce6bfp-6, -0x1.3c77320af5795p-6, -0x1.341587d33f2cbp-6, -0x1.2be1cba834b5ep-6, -0x1.23db3595e5814p-6, -0x1.1c00ffd1396ap-6, -0x1.145266bbc172p-6, -0x1.0ccea8e725f5bp-6, -0x1.057507182177bp-6, -0x1.fc8988923d151p-7, -0x1.ee7a4b58d9bf6p-7, -0x1.e0bae55c3180ap-7, -0x1.d349e9eabd329p-7, -0x1.c625f0cb942bcp-7, -0x1.b94d964001928p-7, -0x1.acbf7b04685b8p-7, -0x1.a07a44509d5c6p-7, -0x1.947c9bd789003p-7, -0x1.88c52fc63c3fap-7, -0x1.7d52b2c289bf3p-7, -0x1.7223dbe8ed9ap-7, -0x1.673766ca3305fp-7, -0x1.5c8c13685658ep-7, -0x1.5220a63311338p-7, -0x1.47f3e803ead36p-7, -0x1.3e04a619d7195p-7, -0x1.3451b2146e1fp-7, -0x1.2ad9e1eec92a1p-7, -0x1.219c0ff9ebcaep-7, -0x1.18971ad6ce68ep-7, -0x1.0fc9e570226fcp-7, -0x1.073356f3b855bp-7, -0x1.fda4b59719efp-8, -0x1.ed4bc12d5b709p-8, -0x1.dd59b8435db4ep-8, -0x1.cdcc8abdbdb6ap-8, -0x1.bea230bcb7f0cp-8, -0x1.afd8aa8b882fbp-8, -0x1.a16e008f9477dp-8, -0x1.9360433717d96p-8, -0x1.85ad8ae76d48ep-8, -0x1.7853f7eae28f2p-8, -0x1.6b51b25e48cbap-8, -0x1.5ea4ea1e34761p-8, -0x1.524bd6b3f3599p-8, -0x1.4644b742290c8p-8, -0x1.3a8dd2716850ap-8, -0x1.2f25765c196e3p-8, -0x1.2409f87aa2b45p-8, -0x1.1939b58f20aafp-8, -0x1.0eb31190f7247p-8, -0x1.047477985243fp-8, -0x1.f4f8b392e6521p-9, -0x1.e192627fd49f7p-9, -0x1.ceb2fbf326e72p-9, -0x1.bc578d834b6ep-9, -0x1.aa7d323722d07p-9, -0x1.9921125bdba32p-9, -0x1.8840635a7882p-9, -0x1.77d8678d9c7dap-9, -0x1.67e66e16d45dap-9, -0x1.5867d2b427626p-9, -0x1.4959fd95bcdap-9, -0x1.3aba633347ba2p-9, -0x1.2c868421c58acp-9, -0x1.1ebbece946527p-9, -0x1.115835da997d8p-9, -0x1.045902e545142p-9, -0x1.ef7806db5633cp-10, -0x1.d6fde4464876dp-10, -0x1.bf3f29acc3f48p-10, -0x1.a83778a03890ep-10, -0x1.91e2884fcd185p-10, -0x1.7c3c253639bp-10, -0x1.674030c84468dp-10, -0x1.52eaa1239ea4dp-10, -0x1.3f3780be76a25p-10, -0x1.2c22ee17afa8fp-10, -0x1.19a91b6714955p-10, -0x1.07c64e4ecfc79p-10, -0x1.ecedbf1a2f126p-11, -0x1.cb6e755d62fe2p-11, -0x1.ab07bb839552cp-11, -0x1.8bb2b2135701cp-11, -0x1.6d689d6644455p-11, -0x1.5022e512fe61p-11, -0x1.33db13591a2fap-11, -0x1.188ad48d611b1p-11, -0x1.fc57ed11c1b4fp-12, -0x1.c970d0302b13p-12, -0x1.985470d9729fep-12, -0x1.68f72d1ff6574p-12, -0x1.3b4da1af1443bp-12, -0x1.0f4ca8b5d08b2p-12, -0x1.c9d2b1acc1ab7p-13, -0x1.7832082fbde44p-13, -0x1.29a26db6d35b8p-13, -0x1.bc1edb525fd15p-14, -0x1.2aca081051352p-14, -0x1.3e3e6dbcdc9c2p-15, -0x1.8f81628c5b042p-18, 0x1.9f43595b5afc5p-16, 0x1.c6c072f0c55a7p-15, 0x1.59d9f077cb744p-14, 0x1.cb610ebc8c885p-14, 0x1.1c0bf0c7c0f6fp-13, 0x1.500ff9e5549d7p-13, 0x1.81cd08b89a771p-13, 0x1.b15325a4562fcp-13, 0x1.deb1fd2ce2a0cp-13, 0x1.04fc70dadca3ap-12, 0x1.199b669ac6ccbp-12, 0x1.2d3d31742ef8cp-12, 0x1.3fe8f87ad5df8p-12, 0x1.51a5b90b3baf5p-12, 0x1.627a4798a1a74p-12, 0x1.726d50779b3d4p-12, 0x1.818558a6da33dp-12, 0x1.8fc8be94a69bcp-12, 0x1.9d3dbadfd081ap-12, 0x1.a9ea61181bda3p-12, 0x1.b5d4a0794646ep-12, 0x1.c10244a45b27dp-12, 0x1.cb78f6567b1bdp-12, 0x1.d53e3c1b820e3p-12, 0x1.de577afe46fa2p-12, 0x1.e6c9f7361a6aap-12, 0x1.ee9ad4d1bc025p-12, 0x1.f5cf185e4fe52p-12, 0x1.fc6ba78cf4668p-12, 0x1.013aa4ea7127cp-11, 0x1.03f8548915199p-11, 0x1.067129119ace5p-11, 0x1.08a75ac15e278p-11, 0x1.0a9d13ef415bdp-11, 0x1.0c54715686e14p-11, 0x1.0dcf825f4a74ep-11, 0x1.0f104966b947cp-11, 0x1.1018bc054c97ap-11, 0x1.10eac3547fa58p-11, 0x1.11883c3252f2dp-11, 0x1.11f2f784590dp-11, 0x1.122cba792b52p-11, 0x1.12373ec91c604p-11, 0x1.121432f539f53p-11, 0x1.11c53a8562941p-11, 0x1.114bee4539d23p-11, 0x1.10a9dc7fa86a1p-11, 0x1.0fe08939fffbap-11, 0x1.0ef16e6d42514p-11, 0x1.0dddfc3ef4ad4p-11, 0x1.0ca79937fc09fp-11, 0x1.0b4fa27b6ddddp-11, 0x1.09d76bfbdbfcap-11, 0x1.084040af5e3d8p-11, 0x1.068b62c341614p-11, 0x1.04ba0bce28c12p-11, 0x1.02cd6d0102798p-11, 0x1.00c6af5829113p-11, 0x1.fd4de7946c0e9p-12, 0x1.f8dea6edb0dfp-12, 0x1.f441bfa87243fp-12, 0x1.ef7945b77d2e9p-12, 0x1.ea873e6b8bdc3p-12, 0x1.e56da0c9086f1p-12, 0x1.e02e55dc7ea9p-12, 0x1.dacb390cc4a16p-12, 0x1.d546186bb148ep-12, 0x1.cfa0b5052221ep-12, 0x1.c9dcc32ca223bp-12, 0x1.c3fbeac998912p-12, 0x1.bdffc7a14876ap-12, 0x1.b7e9e99fb3136p-12, 0x1.b1bbd51f5a7c3p-12, 0x1.ab77032dde8b5p-12, 0x1.a51ce1d2028e4p-12, 0x1.9eaed44d89d92p-12, 0x1.982e335f83245p-12, 0x1.919c4d840262dp-12, 0x1.8afa67330a88dp-12, 0x1.8449bb1e2af37p-12, 0x1.7d8b7a6ca19d2p-12, 0x1.76c0ccf6aff4ep-12, 0x1.6fead17ef50d8p-12, 0x1.690a9deb1f5dfp-12, 0x1.62213f7a836c5p-12, 0x1.5b2fbafd08f1dp-12, 0x1.54370d079abbcp-12, 0x1.4d382a28345edp-12, 0x1.4633ff1828271p-12, 0x1.3f2b70edf4709p-12, 0x1.381f5d4d8a6ecp-12, 0x1.31109a97be942p-12, 0x1.29fff8189b007p-12, 0x1.22ee3e3513da5p-12, 0x1.1bdc2e972fcbdp-12, 0x1.14ca8458de461p-12, 0x1.0db9f42eef8c4p-12, 0x1.06ab2c929be5ep-12, 0x1.ff3dabd390b8cp-13, 0x1.f12b255d572edp-13, 0x1.e31fff2d99fc8p-13, 0x1.d51d677136377p-13, 0x1.c724816124a3ap-13, 0x1.b936658ab3ae1p-13, 0x1.ab542216d4837p-13, 0x1.9d7ebb0f51204p-13, 0x1.8fb72aa169a4ep-13, 0x1.81fe6160b284cp-13, 0x1.74554687029aap-13, 0x1.66bcb8343fea2p-13, 0x1.59358bab5f676p-13, 0x1.4bc08d8f0f2dep-13, 0x1.3e5e821c2942bp-13, 0x1.31102563e2c9p-13, 0x1.23d62b82a9d6p-13, 0x1.16b140d7c405p-13, 0x1.09a20a3b5338cp-13, 0x1.f9524a63a57b9p-14, 0x1.df8e503f3e783p-14, 0x1.c5f944f56bfd7p-14, 0x1.ac9439f6fe783p-14, 0x1.9360339857844p-14, 0x1.7a5e296e67f35p-14, 0x1.618f06a9cb391p-14, 0x1.48f3aa6fe4ac2p-14, 0x1.308ce83055787p-14, 0x1.185b87f9fa97dp-14, 0x1.006046cd2e64p-14, 0x1.d137add8a760cp-15, 0x1.a21dc053c7145p-15, 0x1.7374006c1c546p-15, 0x1.453b95d131575p-15, 0x1.1775951570d6ep-15, 0x1.d4460075bdcb3p-16, 0x1.7a898e7c5d80dp-16, 0x1.21b7913f6154ap-16, 0x1.93a3479d569f4p-17, 0x1.cb65013586c1fp-18, 0x1.ccfc0ec10e68dp-20, -0x1.c24cf9079a1dbp-19, -0x1.18e3856880f5p-17, -0x1.bf4f5393f52e7p-17, -0x1.31ea709c643ap-16, -0x1.83394ec6d78fap-16, -0x1.d3939668da303p-16, -0x1.117c59aaf78dcp-15, -0x1.38b415233ad9bp-15, -0x1.5f70cc08d6364p-15, -0x1.85b2587126b6ap-15, -0x1.ab789fbd7848ap-15, -0x1.d0c3923c85168p-15, -0x1.f5932ad09ee7dp-15, -0x1.0cf3b74b8f48dp-14, -0x1.1ee036490e13p-14, -0x1.308f1ea9bc5d5p-14, -0x1.420081555dd23p-14, -0x1.533473ab229cap-14, -0x1.642b0f598ca3fp-14, -0x1.74e4723925895p-14, -0x1.8560be274a9f9p-14, -0x1.95a018e2a9f37p-14, -0x1.a5a2abe7271c2p-14, -0x1.b568a44be51ebp-14, -0x1.c4f232a20b7e3p-14, -0x1.d43f8ad40c748p-14, -0x1.e350e4066941cp-14, -0x1.f2267878c30b1p-14, -0x1.006042b386f9cp-13, -0x1.078fa576bdc83p-13, -0x1.0ea185f5c5b1fp-13, -0x1.159606f3f1a6bp-13, -0x1.1c6d4c7aeb429p-13, -0x1.23277bcd6a968p-13, -0x1.29c4bb5a97467p-13, -0x1.304532b13d847p-13, -0x1.36a90a73fe598p-13, -0x1.3cf06c4d335e8p-13, -0x1.431b82e3d5dcdp-13, -0x1.492a79d02e17bp-13, -0x1.4f1d7d90e041bp-13, -0x1.54f4bb8064a2p-13, -0x1.5ab061ca8a886p-13, -0x1.60509f632397ep-13, -0x1.65d5a3fb7db8fp-13, -0x1.6b3f9ff967901p-13, -0x1.708ec46dbfdbap-13, -0x1.75c3430bae286p-13, -0x1.7add4e1fba31fp-13, -0x1.7fdd18876fc68p-13, -0x1.84c2d5a91594cp-13, -0x1.898eb96be0467p-13, -0x1.8e40f83024b49p-13, -0x1.92d9c6c7b38ap-13, -0x1.97595a6e98e1bp-13, -0x1.9bbfe8c3aedaap-13, -0x1.a00da7c212418p-13, -0x1.a442cdba5d945p-13, -0x1.a85f914c08f43p-13, -0x1.ac64295f2175dp-13, -0x1.b050cd1e18c38p-13, -0x1.b425b3f00389ap-13, -0x1.b7e31572537a6p-13, -0x1.bb89297384841p-13, -0x1.bf1827ed9c171p-13, -0x1.c2904900f7af9p-13, -0x1.c5f1c4ef2aaeep-13, -0x1.c93cd415ef1f5p-13, -0x1.cc71aeea5a05dp-13, -0x1.cf908df42c863p-13, -0x1.d299a9c91c058p-13, -0x1.d58d3b08e890ap-13, -0x1.d86b7a5889f8cp-13, -0x1.db34a05e7fdf4p-13, -0x1.dde8e5be8e09ap-13, -0x1.e088831613a1ap-13, -0x1.e313b0f83e6e4p-13, -0x1.e58aa7ea2220bp-13, -0x1.e7eda05f922f3p-13, -0x1.ea3cd2b79e03ap-13, -0x1.ec78773958d28p-13, -0x1.eea0c610a7c0dp-13, -0x1.f0b5f74b11d64p-13, -0x1.f2b842d50d235p-13, -0x1.f4a7e076d24e5p-13, -0x1.f68507d1dd103p-13, -0x1.f84ff05e258ap-13, -0x1.fa08d16783eecp-13, -0x1.fbafe20b55ef2p-13, -0x1.fd455935e5fddp-13, -0x1.fec96da074b5bp-13, -0x1.001e2ae754903p-12, -0x1.00cf240645662p-12, -0x1.0177bd364031cp-12, -0x1.021811629844dp-12, -0x1.02b03b57ea8edp-12, -0x1.034055c3282a7p-12, -0x1.03c87b3097036p-12, -0x1.0448c60b2ac09p-12, -0x1.04c1509b94b9bp-12, -0x1.05323507841c8p-12, -0x1.059b8d50fed7cp-12, -0x1.05fd73557bebdp-12, -0x1.065800cd5674ap-12, -0x1.06ab4f4b165d8p-12, -0x1.06f7783adf5d2p-12, -0x1.073c94e1de97bp-12, -0x1.077abe5d9f7bep-12, -0x1.07b20da39383bp-12, -0x1.07e29b808ce62p-12, -0x1.080c80983f96cp-12, -0x1.082fd564c485cp-12, -0x1.084cb2362dfd3p-12, -0x1.08632f3220f25p-12, -0x1.087364536abc9p-12, -0x1.087d6969a5a97p-12, -0x1.08815618e043bp-12, -0x1.087f41d94b5c8p-12, -0x1.087743f6d6105p-12, -0x1.0869739102fe2p-12, -0x1.0855e79a82f2ep-12, -0x1.083cb6d90f884p-12, -0x1.081df7e531f24p-12, -0x1.07f9c129f6e32p-12, -0x1.07d028e4c268dp-12, -0x1.07a145252a8b4p-12, -0x1.076d2bccc9d05p-12, -0x1.0733f28f10654p-12, -0x1.06f5aef128a5ep-12, -0x1.06b27649d9634p-12, -0x1.066a5dc17c6eap-12, -0x1.061d7a51bcd8bp-12, -0x1.05cbe0c5b1f73p-12, -0x1.0575a5b9ba77p-12, -0x1.051add9b6bb23p-12, -0x1.04bb9ca9866ddp-12, -0x1.0457f6f40375fp-12, -0x1.03f0005bf009ep-12, -0x1.0383cc9390161p-12, -0x1.03136f1e5ea7ap-12, -0x1.029efb50fcceep-12, -0x1.022684514f593p-12, -0x1.01aa1d166aff9p-12, -0x1.0129d868c5f12p-12, -0x1.00a5c8e2280fcp-12, -0x1.001e00edce10fp-12, -0x1.ff25259107394p-13, -0x1.fe0721016454p-13, -0x1.fce217ecd8835p-13, -0x1.fbb62db749c52p-13, -0x1.fa8385685f046p-13, -0x1.f94a41abf27cep-13, -0x1.f80a84d210d4dp-13, -0x1.f6c470cf70e88p-13, -0x1.f578273db023cp-13, -0x1.f425c95b935b7p-13, -0x1.f2cd780d7be6p-13, -0x1.f16f53dd958abp-13, -0x1.f00b7cfc317b3p-13, -0x1.eea213401930ep-13, -0x1.ed333626eecdap-13, -0x1.ebbf04d586476p-13, -0x1.ea459e18487cdp-13, -0x1.e8c7206396495p-13, -0x1.e743a9d45ef0ap-13, -0x1.e5bb583032228p-13, -0x1.e42e48e5d2cc2p-13, -0x1.e29c990dadfcep-13, -0x1.e106656a3d148p-13, -0x1.df6bca6879f42p-13, -0x1.ddcce42039f75p-13, -0x1.dc29ce54c0c57p-13, -0x1.da82a475227f6p-13, -0x1.d8d7819ccadafp-13, -0x1.d72880940c59fp-13, -0x1.d575bbd07df71p-13, -0x1.d3bf4d7560edbp-13, -0x1.d2054f54410dfp-13, -0x1.d047daed5f05bp-13, -0x1.ce8709703695ap-13, -0x1.ccc2f3bc0f954p-13, -0x1.cafbb260666eep-13, -0x1.c9315d9da3de5p-13, -0x1.c7640d656c35p-13, -0x1.c593d95b305d7p-13, -0x1.c3c0d8d4b410ap-13, -0x1.c1eb22dab0ddbp-13, -0x1.c012ce29424p-13, -0x1.be37f13075bccp-13, -0x1.bc5aa214c3952p-13, -0x1.ba7af6afc4b86p-13, -0x1.b8990490876ecp-13, -0x1.b6b4e0fc6137bp-13, -0x1.b4cea0ef4f2a5p-13, -0x1.b2e6591c86f95p-13, -0x1.b0fc1deef2595p-13, -0x1.af100389cd87ap-13, -0x1.ad221dc9384e1p-13, -0x1.ab328042c53a3p-13, -0x1.a9413e45f6d05p-13, -0x1.a74e6adcf917fp-13, -0x1.a55a18cd179a4p-13, -0x1.a3645a973c62bp-13, -0x1.a16d42788cb84p-13, -0x1.9f74e26af206cp-13, -0x1.9d7b4c25cd1ccp-13, -0x1.9b80911e568c3p-13, -0x1.9984c28840cbbp-13, -0x1.9787f156476d2p-13, -0x1.958a2e3ac3bc8p-13, -0x1.938b89a82ad96p-13, -0x1.918c13d1d3df7p-13, -0x1.8f8bdcac52dfdp-13, -0x1.8d8af3ee14b3cp-13, -0x1.8b89690fdfcaap-13, -0x1.89874b4d764aap-13, -0x1.8784a9a61a791p-13, -0x1.858192dd25259p-13, -0x1.837e157a85918p-13, -0x1.817a3fcb64776p-13, -0x1.7f761fe2c5457p-13, -0x1.7d71c399dc96p-13, -0x1.7b6d3890af9cdp-13, -0x1.79688c2ea52adp-13, -0x1.7763cba31de74p-13, -0x1.755f03e5f99e2p-13, -0x1.735a41b816405p-13, -0x1.715591a3da99cp-13, -0x1.6f50fffdd5befp-13, -0x1.6d4c98e5286efp-13, -0x1.6b4868441f19dp-13, -0x1.694479d0e09d8p-13, -0x1.6740d90dc771fp-13, -0x1.653d9149ee2c2p-13, -0x1.633aada1a9fdap-13, -0x1.613838ff340a5p-13, -0x1.5f363e1b12cafp-13, -0x1.5d34c77cb15f1p-13, -0x1.5b33df7acd707p-13, -0x1.5933903c1c08p-13, -0x1.5733e3b7cdf5ap-13, -0x1.5534e3b5f932bp-13, -0x1.533699d00a5f7p-13, -0x1.51390f7167cbp-13, -0x1.4f3c4dd7edbfcp-13, -0x1.4d405e147204fp-13, -0x1.4b45490b355bfp-13, -0x1.494b17745ee6bp-13, -0x1.4751d1dc94602p-13, -0x1.455980a552619p-13, -0x1.43622c056efd9p-13, -0x1.416bdc09cb30cp-13, -0x1.3f769895a6a64p-13, -0x1.3d8269630ae78p-13, -0x1.3b8f56034edd2p-13, -0x1.399d65df92355p-13, -0x1.37aca03941cb8p-13, -0x1.35bd0c2a7f3dap-13, -0x1.33ceb0a69b6bcp-13, -0x1.31e1947a7b594p-13, -0x1.2ff5be4d3fb5cp-13, -0x1.2e0b34a09c3b7p-13, -0x1.2c21fdd144ac4p-13, -0x1.2a3a20174b64dp-13, -0x1.2853a186b9955p-13, -0x1.266e880fe86d8p-13, -0x1.248ad9801220ap-13, -0x1.22a89b819659bp-13, -0x1.20c7d39c7b095p-13, -0x1.1ee88736ea7f5p-13, -0x1.1d0abb957c604p-13, -0x1.1b2e75dbaf3dfp-13, -0x1.1953bb0c74347p-13, -0x1.177a900a8c969p-13, -0x1.15a2f998d596ep-13, -0x1.13ccfc5ac0fa7p-13, -0x1.11f89cd4b65f5p-13, -0x1.1025df6c940a9p-13, -0x1.0e54c869fc5e5p-13, -0x1.0c855bf6ce8c2p-13, -0x1.0ab79e1f63d4bp-13, -0x1.08eb92d3250ccp-13, -0x1.07213de4e02edp-13, -0x1.0558a30b2e22dp-13, -0x1.0391c5e0b398cp-13, -0x1.01cca9e499ba5p-13, -0x1.0009527afb282p-13, -0x1.fc8f85da3b3ddp-14, -0x1.f90ffcd405f7p-14, -0x1.f594100d2c887p-14, -0x1.f21bc57c55523p-14, -0x1.eea722e591f4bp-14, -0x1.eb362ddafc09cp-14, -0x1.e7c8ebbd8d519p-14, -0x1.e45f61bde0731p-14, -0x1.e0f994dcc84e8p-14, -0x1.dd9789ec10be6p-14, -0x1.da39458f05b31p-14, -0x1.d6decc3b35c0ep-14, -0x1.d38822392f472p-14, -0x1.d0354ba52291p-14, -0x1.cce64c6f895e5p-14, -0x1.c99b285d98613p-14, -0x1.c653e30a326fcp-14, -0x1.c3107fe664d0cp-14, -0x1.bfd1023a2b971p-14, -0x1.bc956d24e4ec6p-14, -0x1.b95dc39de12eap-14, -0x1.b62a08754985cp-14, -0x1.b2fa3e547828cp-14, -0x1.afce67beb1ea2p-14, -0x1.aca68711a61f1p-14, -0x1.a9829e861f29ap-14, -0x1.a662b030aa019p-14, -0x1.a346be01e549bp-14, -0x1.a02ec9c73c4d1p-14, -0x1.9d1ad52b81bd7p-14, -0x1.9a0ae1b78bb4ap-14, -0x1.96fef0d28a885p-14, -0x1.93f703c2cbe35p-14, -0x1.90f31bae15ec1p-14, -0x1.8df3399a4ecddp-14, -0x1.8af75e6e0b088p-14, -0x1.87ff8af0fc0cep-14, -0x1.850bbfcc956d8p-14, -0x1.821bfd8c4fb3fp-14, -0x1.7f30449e70e14p-14, -0x1.7c489554667ffp-14, -0x1.7964efe36ad58p-14, -0x1.76855464dec67p-14, -0x1.73a9c2d6b7e7dp-14, -0x1.70d23b1c2f3ccp-14, -0x1.6dfebcfe0fc11p-14, -0x1.6b2f482b4968cp-14, -0x1.6863dc3960feap-14, -0x1.659c78a4c135p-14, -0x1.62d91cd178849p-14, -0x1.6019c80b7b779p-14, -0x1.5d5e79870b2a4p-14, -0x1.5aa73061433f3p-14, -0x1.57f3eba09aac5p-14, -0x1.5544aa351ea3bp-14, -0x1.52996af8eb458p-14, -0x1.4ff22cb0ad542p-14, -0x1.4d4eee0bfcd14p-14, -0x1.4aafada5da30dp-14, -0x1.48146a05007e3p-14, -0x1.457d219c57eefp-14, -0x1.42e9d2cb4ff4dp-14, -0x1.405a7bde321bdp-14, -0x1.3dcf1b0eb6d67p-14, -0x1.3b47ae84414cbp-14, -0x1.38c434544e823p-14, -0x1.3644aa82c8ec4p-14, -0x1.33c90f0264518p-14, -0x1.31515fb512b3ep-14, -0x1.2edd9a6c516a8p-14, -0x1.2c6dbce96d39fp-14, -0x1.2a01c4de0bc74p-14, -0x1.2799afec51f6ep-14, -0x1.25357ba75ad21p-14, -0x1.22d525938ac07p-14, -0x1.2078ab26cbe17p-14, -0x1.1e2009c8f5cf8p-14, -0x1.1bcb3ed43b271p-14, -0x1.197a479560a69p-14, -0x1.172d214bdd6d2p-14, -0x1.14e3c92a707f9p-14, -0x1.129e3c57516c2p-14, -0x1.105c77ec7b68ep-14, -0x1.0e1e78f81a7f1p-14, -0x1.0be43c7cb750ep-14, -0x1.09adbf7182c2fp-14, -0x1.077afec2aa1cep-14, -0x1.054bf75193342p-14, -0x1.0320a5f5213ccp-14, -0x1.00f9077a118f9p-14, -0x1.fdaa31467cffp-15, -0x1.f969ac537ade4p-15, -0x1.f530797a80e7ep-15, -0x1.f0fe9208d4ee2p-15, -0x1.ecd3ef39ebe06p-15, -0x1.e8b08a37f1435p-15, -0x1.e4945c1c5bfd7p-15, -0x1.e07f5df043ba5p-15, -0x1.dc7188ad07bacp-15, -0x1.d86ad53cbf3dfp-15, -0x1.d46b3c7a835d5p-15, -0x1.d072b7333f4b6p-15, -0x1.cc813e25e2689p-15, -0x1.c896ca03fca06p-15, -0x1.c4b35372234bp-15, -0x1.c0d6d3081fa77p-15, -0x1.bd0141517c734p-15, -0x1.b93296ce35609p-15, -0x1.b56acbf2f173ap-15, -0x1.b1a9d929890a3p-15, -0x1.adefb6d1493adp-15, -0x1.aa3c5d3f70da1p-15, -0x1.a68fc4bf782d6p-15, -0x1.a2e9e5939018ep-15, -0x1.9f4ab7f4fc329p-15, -0x1.9bb2341477ff5p-15, -0x1.9820521a7f024p-15, -0x1.94950a27ac361p-15, -0x1.9110545539f47p-15, -0x1.8d9228b5477f1p-15, -0x1.8a1a7f5319d97p-15, -0x1.86a95033a2e4fp-15, -0x1.833e9355c0112p-15, -0x1.7fda40b28b106p-15, -0x1.7c7c503da7aap-15, -0x1.7924b9e58042p-15, -0x1.75d37593b9dbfp-15, -0x1.72887b2d8e2d7p-15, -0x1.6f43c2940a4f1p-15, -0x1.6c0543a45bd6p-15, -0x1.68ccf6382975fp-15, -0x1.659ad225b8d54p-15, -0x1.626ecf4028328p-15, -0x1.5f48e557c2573p-15, -0x1.5c290c3a7eda6p-15, -0x1.590f3bb42fe2fp-15, -0x1.55fb6b8eafe9p-15, -0x1.52ed9392337eep-15, -0x1.4fe5ab8575a2p-15, -0x1.4ce3ab2e03c03p-15, -0x1.49e78a5091aa2p-15, -0x1.46f140b1188f6p-15, -0x1.4400c6132af0ep-15, -0x1.4116123a156a6p-15, -0x1.3e311ce8f5c0fp-15, -0x1.3b51dde36d3b5p-15, -0x1.38784ced87c51p-15, -0x1.35a461cbed4b4p-15, -0x1.32d614443499bp-15, -0x1.300d5c1d036c1p-15, -0x1.2d4a311e6656cp-15, -0x1.2a8c8b11eab7fp-15, -0x1.27d461c2ca4f7p-15, -0x1.2521acfdfd9f1p-15, -0x1.2274649293d37p-15, -0x1.1fcc805211e1ap-15, -0x1.1d29f8105a077p-15, -0x1.1a8cc3a3fab29p-15, -0x1.17f4dae66205dp-15, -0x1.156235b3e960ep-15, -0x1.12d4cbebf5cd1p-15, -0x1.104c9571135f5p-15, -0x1.0dc98a2971289p-15, -0x1.0b4ba1feed194p-15, -0x1.08d2d4df20f9ep-15, -0x1.065f1abba6836p-15, -0x1.03f06b8a15918p-15, -0x1.0186bf444d46bp-15, -0x1.fe441bd1014ffp-16, -0x1.f9849ef2c976p-16, -0x1.f4cef7fcba662p-16, -0x1.f02317070f388p-16, -0x1.eb80ec33b114cp-16, -0x1.e6e867ae7a35ap-16, -0x1.e25979adc1b38p-16, -0x1.ddd4127281b54p-16, -0x1.d9582248313f6p-16, -0x1.d4e5998583281p-16, -0x1.d07c688c4ab51p-16, -0x1.cc1c7fc9dc2acp-16, -0x1.c7c5cfb74ac4p-16, -0x1.c37848d967fa1p-16, -0x1.bf33dbc0d6f8bp-16, -0x1.baf8790a8ab87p-16, -0x1.b6c61160251cp-16, -0x1.b29c9577dcffbp-16, -0x1.ae7bf614b7de8p-16, -0x1.aa642406fd1d3p-16, -0x1.a655102bd3521p-16, -0x1.a24eab6dc422ap-16, -0x1.9e50e6c4a8ceep-16, -0x1.9a5bb335dd5a9p-16, -0x1.966f01d500396p-16, -0x1.928ac3c37d939p-16, -0x1.8eaeea30d97d9p-16, -0x1.8adb665af2438p-16, -0x1.8710298e10434p-16, -0x1.834d2524b65d7p-16, -0x1.7f924a885338cp-16, -0x1.7bdf8b31389c3p-16, -0x1.7834d8a651ef4p-16, -0x1.7492247da30c6p-16, -0x1.70f7605c3b487p-16, -0x1.6d647df6379c4p-16, -0x1.69d96f0f704d2p-16, -0x1.6656257af7f13p-16, -0x1.62da931b7bfe2p-16, -0x1.5f66a9e340765p-16, -0x1.5bfa5bd443379p-16, -0x1.58959b00575d4p-16, -0x1.5538598932387p-16, -0x1.51e289a0a9481p-16, -0x1.4e941d88531b8p-16, -0x1.4b4d0791e2d5ap-16, -0x1.480d3a1f4c345p-16, -0x1.44d4a7a2d4dbcp-16, -0x1.41a3429f34c36p-16, -0x1.3e78fda75f724p-16, -0x1.3b55cb5ef520bp-16, -0x1.38399e79e7ed1p-16, -0x1.352469bca37ddp-16, -0x1.32161ffc34a3p-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
    }}, 
    {
      62, 0x1.cp+2, 0x1.0fef5ce205a7p+0, 0x1.4c1be654bc2fcp-1, -0x1.440b95c6ddf05p-8, 
      {{
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a0aa5ffda7b83p-6, -0x1.0853e0eb31d53p-5, 0x1.18c7f14f7a0b5p-6, -0x1.be2b4a78eee76p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.86ebb7b53a027p-6, -0x1.f569ec90e88c8p-6, 0x1.080cb81e2448ep-6, -0x1.95c4782cbfaf9p-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6e7f5df7d8dep-6, -0x1.dbc505427547bp-6, 0x1.f1aab405ba319p-7, -0x1.736bf7097201dp-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.5751cc4c693d8p-6, -0x1.c3952af630811p-6, 0x1.d5cf67e504d7dp-7, -0x1.4f70ab58821cap-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.41513204d7546p-6, -0x1.acb89bd924fc8p-6, 0x1.bca6f4a4c7e2dp-7, -0x1.2bf238b5348d2p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2c6d743e16955p-6, -0x1.970d09009aedfp-6, 0x1.a627fd30ca57bp-7, -0x1.08232c6925c4p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.18982de021b46p-6, -0x1.827038bf00b91p-6, 0x1.92588d0f4de93p-7, -0x1.ca335b64a2feep-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.05c4af9dfaa4dp-6, -0x1.6ec02989ee94ap-6, 0x1.8129d33b87cc9p-7, -0x1.7e95249e9e449p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e7cfffeb55346p-7, -0x1.5bd9e40d2f23cp-6, 0x1.72d1084261dd4p-7, -0x1.57dd6e4fea4cp-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.c5f1950f2f95cp-7, -0x1.49a1f7807ffc7p-6, 0x1.65ebedb8fc473p-7, -0x1.560ac43971d3ap-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.a5dd51ae699c5p-7, -0x1.380ea9146cad8p-6, 0x1.5918532a08026p-7, -0x1.4eb13d8948be5p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.8782d6175ff85p-7, -0x1.271dc53821b4cp-6, 0x1.4c8b4741aee17p-7, -0x1.48d2d34729196p-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.6ad20e8e925bp-7, -0x1.16cc1fc646337p-6, 0x1.403692889d571p-7, -0x1.428ed3e669cfep-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.4fbb334ea37c7p-7, -0x1.0716cf34dc089p-6, 0x1.341e042ff95f5p-7, -0x1.3c660c92929a3p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.362ec8885917fp-7, -0x1.eff5b041ff158p-7, 0x1.284096ea7a466p-7, -0x1.3635fa2962991p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.1e1d9e629bedbp-7, -0x1.d2ea87e010f6p-7, 0x1.1c9e90bc202d4p-7, -0x1.3007dc08c1938p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0778d0fa77c36p-7, -0x1.b706357e8cd3ap-7, 0x1.1137dee232849p-7, -0x1.29d937db3a1adp-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.e46390c636c3ep-8, -0x1.9c42ca07dc862p-7, 0x1.060c8663938ap-7, -0x1.23aab798d7179p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.bc74714bb12e9p-8, -0x1.829a56374f73dp-7, 0x1.f6390bcee3bf2p-8, -0x1.1d7c2db6a4fbfp-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.97084384486b9p-8, -0x1.6a06ead4d40e1p-7, 0x1.e0cfbb94642c5p-8, -0x1.174da668a3a28p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.74039f5b2c282p-8, -0x1.528298a4f7082p-7, 0x1.cbdd1be624b3p-8, -0x1.111f1e69b2131p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.534bb4a7d21c5p-8, -0x1.3c07706d2d0d2p-7, 0x1.b7612cd16a8b3p-8, -0x1.0af0969a33175p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.34c64b2df6077p-8, -0x1.268f82f2ac9eep-7, 0x1.a35bee52a6b66p-8, -0x1.04c20ebdfacf6p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1859c29d99b25p-8, -0x1.1214e0fabcea6p-7, 0x1.8fcd606acd808p-8, -0x1.fd270dca50e01p-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.fbda252609dd9p-9, -0x1.fd2336954145ep-8, 0x1.7cb583199dab6p-8, -0x1.f0c9fe16d06a4p-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.cacf952d8b2eap-9, -0x1.d7ff854f3755bp-8, 0x1.6a14565f290d8p-8, -0x1.e46cee63f9574p-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9d64243b5f22ap-9, -0x1.b4b2cfade337ap-8, 0x1.57e9da3b694d8p-8, -0x1.d80fdeb0c49f5p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.73695111b9919p-9, -0x1.9331373bcc419p-8, 0x1.46360eae61edfp-8, -0x1.cbb2cefdc2ad6p-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.4cb1ca4b5a67bp-9, -0x1.736edd8379b57p-8, 0x1.34f8f3b811079p-8, -0x1.bf55bf4aa5eaap-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.29116e5b8da32p-9, -0x1.555fe40f72e0ap-8, 0x1.24328958779bbp-8, -0x1.b2f8af97a3559p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.085d4b8e2b53cp-9, -0x1.38f86c6a3f0fap-8, 0x1.13e2cf8f94ae9p-8, -0x1.a69b9fe489722p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.d4d7400f2f399p-10, -0x1.1e2c981e65922p-8, 0x1.0409c65d6920cp-8, -0x1.9a3e90317652ap-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.9e27b38985638p-10, -0x1.04f088b66dae4p-8, 0x1.e94edb83e961dp-9, -0x1.8de1807e5f77bp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6c5d2d3651b23p-10, -0x1.da70bf79bd576p-9, 0x1.cb778b7a6f05cp-9, -0x1.818470cb74881p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.3f2b4871a4d6dp-10, -0x1.adf07d787fccp-9, 0x1.ae8d9c9e5fe21p-9, -0x1.752761180e8c9p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.16480048a7a35p-10, -0x1.84488e7e3124p-9, 0x1.92910eefc530ap-9, -0x1.68ca51657d9e5p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.e2d75ef3362cap-11, -0x1.5d61359fe022p-9, 0x1.7781e26e8ef83p-9, -0x1.5c6d41b1cc5aep-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.a0a220e7b08d2p-11, -0x1.3922b5f29b3e3p-9, 0x1.5d60171ad2d7cp-9, -0x1.501031ff6e147p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.656a7aafa0f5ep-11, -0x1.1775528b7121dp-9, 0x1.442bacf477632p-9, -0x1.43b3224bae26cp-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.30af5fee1a242p-11, -0x1.f0829cfee0d05p-10, 0x1.2be4a3fb97206p-9, -0x1.375612990fb53p-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.01f483a85f366p-11, -0x1.b6ddd9c74edcdp-10, 0x1.148afc301c58cp-9, -0x1.2af902e5f07d4p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.b184b08bc7093p-12, -0x1.81cce19a4a5bcp-10, 0x1.fc3d6b24216bep-10, -0x1.1e9bf33298884p-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.694c1f209559fp-12, -0x1.51203aa1efd73p-10, 0x1.d13fa042f0f14p-10, -0x1.123ee37ff88bdp-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2a633566d144fp-12, -0x1.24a86b085ccf9p-10, 0x1.a81c97bc8ba91p-10, -0x1.05e1d3cc82c43p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.e7eea8f50639p-13, -0x1.f86bf1ef5d17ap-11, 0x1.80d4519111a59p-10, -0x1.f3098832ee0ccp-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8a7eb87827cd1p-13, -0x1.af32d53403064p-11, 0x1.5b66cdc072fd7p-10, -0x1.da4f68ce0468p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.3af756a09a63fp-13, -0x1.6d468c32e8386p-11, 0x1.37d40c4a990f9p-10, -0x1.c19549647288cp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.efd87c81640bdp-14, -0x1.3248234042c9cp-11, 0x1.161c0d2fdd454p-10, -0x1.a8db2a08c625cp-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.80084f670842p-14, -0x1.fbb14d60b5297p-12, 0x1.ec7da0de699edp-11, -0x1.90210a7d224bp-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.23f191b9ce4cp-14, -0x1.9f3245ae6c12dp-12, 0x1.b078ac187147p-11, -0x1.7766eba415745p-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.b25b54a5c9dp-15, -0x1.4e554813acc68p-12, 0x1.78293bf307a7ep-11, -0x1.5eacca2addad9p-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.3af7f639fc6p-15, -0x1.085c6d331269p-12, 0x1.438f50d300014p-11, -0x1.45f2b287fd167p-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.bb07845135cffp-16, -0x1.99139b95d2dp-13, 0x1.12aae93e9a0aep-11, -0x1.2d38762766f31p-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.2c2ad11a21a01p-16, -0x1.343f04645d67bp-13, 0x1.caf8157162006p-12, -0x1.147ec2e5c2d6dp-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.843e3e973c402p-17, -0x1.c17e910552809p-14, 0x1.7805415fa78dp-12, -0x1.f7861fd443962p-12}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.d9069ea250cp-18, -0x1.3a3120c944b3dp-14, 0x1.2c7defcc9d68ap-12, -0x1.c61da56877fc3p-12}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.0a1e3ce7dbfffp-18, -0x1.9f3cb9bccafffp-15, 0x1.d0bfc7937d393p-13, -0x1.947d7c44ce6eap-12}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.0bef3a7617fffp-19, -0x1.fb36c4019c847p-16, 0x1.5766ef18727edp-13, -0x1.63ad227a14a07p-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.c935af7f6cp-21, -0x1.132c6506f17abp-16, 0x1.d965fcb472382p-14, -0x1.2fd539fbc5aa9p-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.29f2e72b8p-22, -0x1.e918967e265f7p-18, 0x1.231940509538cp-14, -0x1.074bbcf2006aep-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.da2fa3e7c04f9p-25, -0x1.2b70c2a550e44p-19, 0x1.0a3e044b9052ap-15, -0x1.47f8104f316c2p-13}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.da2fa3e7c052ep-29, -0x1.ee0c39a1b4cbfp-23, 0x1.15d7ea09cab06p-17, -0x1.ced42e261e9e7p-13}, 
      }}, 
      0x1.c9d7c2247ba44p-9, -0x1.69650f5ecfef3p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.439fe8ba759ecp-6, 0x1.40cfa5017238cp-5, 0x1.da658ffd8b9b6p-5, 0x1.3628141b0a7c7p-4, 0x1.7a5a5e45ae924p-4, 0x1.b91147fa0b1a3p-4, 0x1.f1c7469092b12p-4, 0x1.1212a6d7b6237p-3, 0x1.27fea9c1fb9ddp-3, 0x1.3aa2314401895p-3, 0x1.4a0657c8341e2p-3, 0x1.564001a42da99p-3, 0x1.5f6d53191491p-3, 0x1.65b36d98d6443p-3, 0x1.693c82edfdbb1p-3, 0x1.6a36303f7a6cep-3, 0x1.68d0254eef33cp-3, 0x1.653b063ff9462p-3, 0x1.5fa789461fc1ep-3, 0x1.5845c0a6bb94bp-3, 0x1.4f448cc66ff22p-3, 0x1.44d12ff47ed5dp-3, 0x1.3916feca0e5cap-3, 0x1.2c3f2888cf7b7p-3, 0x1.1e7093e85d236p-3, 0x1.0fcfcbe2e72b7p-3, 0x1.007ef99c538edp-3, 0x1.e13bd117e0933p-4, 0x1.c09424e5bb0cbp-4, 0x1.9f3d62d605fbcp-4, 0x1.7d69ac31a4b37p-4, 0x1.5b47018fa7d8cp-4, 0x1.38ff7846394a1p-4, 0x1.16b970fcd0f94p-4, 0x1.e92f9d9a8cafcp-5, 0x1.a57459c3a49b8p-5, 0x1.627a262fb2dc7p-5, 0x1.20744fd9621fbp-5, 0x1.bf2182077bc91p-6, 0x1.3ff0b6d4accb1p-6, 0x1.873d3802c28bdp-7, 0x1.29ab2a52df94p-8, -0x1.5b9a8cd66b46p-9, -0x1.3b97d7563e9fdp-7, -0x1.0c764ef5e1351p-6, -0x1.77506010fa4e2p-6, -0x1.de3e2468290a6p-6, -0x1.2094a8e6cc716p-5, -0x1.500071571e40ap-5, -0x1.7d5c58811759ap-5, -0x1.a8a48b86fe67bp-5, -0x1.d1d74acd0023dp-5, -0x1.f8f4bfb68e85p-5, -0x1.0eff6a6b26b33p-4, -0x1.207c882c273e7p-4, -0x1.30f4383502707p-4, -0x1.4069a4e987d97p-4, -0x1.4ee093c3a5264p-4, -0x1.5c5d564d42847p-4, -0x1.68e4bb7deb47ep-4, -0x1.747c02021b4ap-4, -0x1.7f28cb2ddfe53p-4, -0x1.88f10e74e8366p-4, -0x1.91db0da9bb2bfp-4, -0x1.99ed49db10b8ap-4, -0x1.a12e78d2f9fp-4, -0x1.a7a57b399b49bp-4, -0x1.ad59534f2e828p-4, -0x1.b2511c682e818p-4, -0x1.b69402a0e7f34p-4, -0x1.ba293bbbc15dbp-4, -0x1.bd17ffd9e8c2ep-4, -0x1.bf6783b1df47fp-4, -0x1.c11ef2612a91ep-4, -0x1.c2456734164cfp-4, -0x1.c2e1eb3a0865ep-4, -0x1.c2fb6dcf0df39p-4, -0x1.c298c3c5cf12cp-4, -0x1.c1c0a1eaf92cp-4, -0x1.c07999c99f75ap-4, -0x1.beca18d19a41cp-4, -0x1.bcb8649182996p-4, -0x1.ba4a986c92f5dp-4, -0x1.b786a547ddf2fp-4, -0x1.b4724f38462c3p-4, -0x1.b1132c8fd2f3ep-4, -0x1.ad6ea59aac6c5p-4, -0x1.a989f37cd6235p-4, -0x1.a56a203a243edp-4, -0x1.a1140622082ep-4, -0x1.9c8c50c3d95d8p-4, -0x1.97d77baca19c7p-4, -0x1.92f9d40e2dd2cp-4, -0x1.8df77889e753ep-4, -0x1.88d459e322508p-4, -0x1.83943c5d802c9p-4, -0x1.7e3ab78e3258ap-4, -0x1.78cb3893fbf15p-4, -0x1.734901fd9ac46p-4, -0x1.6db72d4325ed5p-4, -0x1.6818abe447c02p-4, -0x1.627047d1dd53ep-4, -0x1.5cc0a52e0c5c8p-4, -0x1.570c42dd26b4ap-4, -0x1.51557b8ffac64p-4, -0x1.4b9e87665a764p-4, -0x1.45e97c6d5d9e4p-4, -0x1.403850465344fp-4, -0x1.3a8cd914c265p-4, -0x1.34e8ce8156782p-4, -0x1.2f4dcaf9d183dp-4, -0x1.29bd4c90baaa9p-4, -0x1.2438b5da13b2cp-4, -0x1.1ec14eeb7963ep-4, -0x1.195846354be3ep-4, -0x1.13feb124ef45ap-4, -0x1.0eb58d1e4e7a4p-4, -0x1.097dc04bea793p-4, -0x1.04581a4d84d6cp-4, -0x1.fe8aaa3941e6ap-5, -0x1.f48c2c29cbbe5p-5, -0x1.eab5dca164bdbp-5, -0x1.e108b7a7a1bf6p-5, -0x1.d785960eb27f4p-5, -0x1.ce2d2c3f145edp-5, -0x1.c5000de0fc38ap-5, -0x1.bbfeaf5f2b40bp-5, -0x1.b32966e9cdd71p-5, -0x1.aa806d1566ddbp-5, -0x1.a203e09c6511ep-5, -0x1.99b3c67ebbef6p-5, -0x1.91900adc4d491p-5, -0x1.8998828a24a5bp-5, -0x1.81ccedc476deep-5, -0x1.7a2cf6ef4f1c8p-5, -0x1.72b83769fba25p-5, -0x1.6b6e34f61326dp-5, -0x1.644e66057e7e3p-5, -0x1.5d58306520b1ep-5, -0x1.568aed1027228p-5, -0x1.4fe5e6e9f5338p-5, -0x1.49685cf0689d4p-5, -0x1.431183ebd4b92p-5, -0x1.3ce0852c81ac3p-5, -0x1.36d4825046e4ep-5, -0x1.30ec941faa327p-5, -0x1.2b27cc4b088b1p-5, -0x1.2585363fb673bp-5, -0x1.2003d6b1a9334p-5, -0x1.1aa2af9181b1ap-5, -0x1.1560bc45348b1p-5, -0x1.103cf62b4798fp-5, -0x1.0b3653545c81cp-5, -0x1.064bc787d4038p-5, -0x1.017c457b0d2f4p-5, -0x1.f98d7c1ce7cbdp-6, -0x1.f05444f0aee67p-6, -0x1.e74ac7702a41dp-6, -0x1.de6ee6ff635dap-6, -0x1.d5be8961d1478p-6, -0x1.cd3797a6028b8p-6, -0x1.c4d7ff552e556p-6, -0x1.bc9db2160f497p-6, -0x1.b486a942ca91bp-6, -0x1.ac90e35193aep-6, -0x1.a4ba66e014eabp-6, -0x1.9d0143e679f7ep-6, -0x1.9563908c764d4p-6, -0x1.8ddf6f4f1c723p-6, -0x1.86730c24bfc4ap-6, -0x1.7f1c9bdf6ef57p-6, -0x1.77da616fe136ap-6, -0x1.70aaa87cb9d4fp-6, -0x1.698bcb9a68646p-6, -0x1.627c3071a2493p-6, -0x1.5b7a4867f50dbp-6, -0x1.5484948b707bfp-6, -0x1.4d99a14cefb72p-6, -0x1.46b80aee46696p-6, -0x1.3fde7798422aep-6, -0x1.390ba041d1a6bp-6, -0x1.323e4917bfb3ap-6, -0x1.2b75462fe8359p-6, -0x1.24af77b3fd837p-6, -0x1.1debcf9607221p-6, -0x1.17294b0853bb8p-6, -0x1.1066f7ce321bap-6, -0x1.09a3f20f85f62p-6, -0x1.02df6138bcdb1p-6, -0x1.f831003a4ee6bp-7, -0x1.ea9d26d4eeabap-7, -0x1.dd01dfbedfd3fp-7, -0x1.cf5def848baefp-7, -0x1.c1b036faacb67p-7, -0x1.b3f7ae094d8e1p-7, -0x1.a6336eb5604bcp-7, -0x1.9862a6770e283p-7, -0x1.8a84a033b7a4dp-7, -0x1.7c98bf6ca649dp-7, -0x1.6e9e8069c55bbp-7, -0x1.6095788b942fdp-7, -0x1.527d515d4731cp-7, -0x1.4455d2c6a1fb4p-7, -0x1.361ed54f00284p-7, -0x1.27d84a9581631p-7, -0x1.198237a8f657fp-7, -0x1.0b1cb8540f6cep-7, -0x1.f94ff5337e30dp-8, -0x1.dc48851d4b373p-8, -0x1.bf23ca1342699p-8, -0x1.a1e29a108a446p-8, -0x1.8485dfffa667bp-8, -0x1.670eb5ca85c2cp-8, -0x1.497e4d1933795p-8, -0x1.2bd5fbfcf3827p-8, -0x1.0e17365ba2856p-8, -0x1.e08713920b80cp-9, -0x1.a4b93a0d7b3a1p-9, -0x1.68c8684bfefb8p-9, -0x1.2cb849c40724dp-9, -0x1.e119952d61183p-10, -0x1.6893f1d0fba37p-10, -0x1.dfd01fa2ed34ap-11, -0x1.dc7a6c8d61ef5p-12, 0x1.bf7caf5453c55p-18, 0x1.eaa3f62cc4f32p-12, 0x1.e728d8d3f1eb9p-11, 0x1.6c781a43c62ddp-10, 0x1.e54a2e2be13f7p-10, 0x1.2f005aad0ea22p-9, 0x1.6b48c249fb451p-9, 0x1.a7792c7855d91p-9, 0x1.e38c5ed5ee6dep-9, 0x1.0fbe89b0a2f42p-8, 0x1.2da2ff333cf25p-8, 0x1.4b70e89bdc4bep-8, 0x1.69259cee8089fp-8, 0x1.86be6f534ce4p-8, 0x1.a438af67647b7p-8, 0x1.c191ab5a2d73ep-8, 0x1.dec6b399c338fp-8, 0x1.fbd51c6792c05p-8, 0x1.0c5d2092959f5p-7, 0x1.1ab9c07645692p-7, 0x1.28ff1c038121dp-7, 0x1.372be65b1c08fp-7, 0x1.453ed32711f6dp-7, 0x1.53369a7388203p-7, 0x1.6111f9fa10263p-7, 0x1.6ecfb488435f8p-7, 0x1.7c6e9140d427p-7, 0x1.89ed5ae647804p-7, 0x1.974adffb3bca3p-7, 0x1.a485f3f8e23e6p-7, 0x1.b19d70b2e15a9p-7, 0x1.be9037acd2c8ap-7, 0x1.cb5d30fe84878p-7, 0x1.d8034bb031a21p-7, 0x1.e4817c861873cp-7, 0x1.f0d6bd9a50011p-7, 0x1.fd020f5cbb1e9p-7, 0x1.04813cfcb86b7p-6, 0x1.0a6b86e26cecfp-6, 0x1.103f72071b3ffp-6, 0x1.15fc8f14ceca3p-6, 0x1.1ba272808f9afp-6, 0x1.2130b41acfbefp-6, 0x1.26a6ef27df412p-6, 0x1.2c04c2f2003a8p-6, 0x1.3149d2f794c53p-6, 0x1.3675c76775953p-6, 0x1.3b884d57649ccp-6, 0x1.408115a31fc1ap-6, 0x1.455fd5db3bc9p-6, 0x1.4a2446bcdc67p-6, 0x1.4ece2516aa98p-6, 0x1.535d31bf19934p-6, 0x1.57d131ff94f8ep-6, 0x1.5c29efcc7e3abp-6, 0x1.606739c0cdbf8p-6, 0x1.6488e2d38c831p-6, 0x1.688ec20e4ff79p-6, 0x1.6c78b2b4cfd2cp-6, 0x1.704692cda3599p-6, 0x1.73f8453d59428p-6, 0x1.778db0e62c38ap-6, 0x1.7b06c09e08793p-6, 0x1.7e6363dfeaaa2p-6, 0x1.81a38e5970a45p-6, 0x1.84c73798004f6p-6, 0x1.87ce5b6e36674p-6, 0x1.8ab8f7fc036dbp-6, 0x1.8d87101b075d8p-6, 0x1.9038a9a3cfea6p-6, 0x1.92cdce57ebb6p-6, 0x1.95468bc87bcbfp-6, 0x1.97a2f354ff6adp-6, 0x1.99e31a04d6fbap-6, 0x1.9c07184d611e3p-6, 0x1.9e0f09d7914d4p-6, 0x1.9ffb0d571b4b7p-6, 0x1.a1cb447be0e48p-6, 0x1.a37fd3f9ecbaep-6, 0x1.a518e39a117a9p-6, 0x1.a6969e4396d4p-6, 0x1.a7f931f4309bp-6, 0x1.a940cfa205c4fp-6, 0x1.aa6dab102dbd8p-6, 0x1.ab7ffa9b75132p-6, 0x1.ac77f70edc342p-6, 0x1.ad55db5f48187p-6, 0x1.ae19e594e422ep-6, 0x1.aec454514535fp-6, 0x1.af556aa469325p-6, 0x1.afcd6c3d80bbdp-6, 0x1.b02c9fcbf4ea9p-6, 0x1.b0734de833a67p-6, 0x1.b0a1c11afca51p-6, 0x1.b0b845b63c33bp-6, 0x1.b0b729c5186b9p-6, 0x1.b09ebcc940548p-6, 0x1.b06f4fdcf38bcp-6, 0x1.b029357ed2c21p-6, 0x1.afccc1b4df153p-6, 0x1.af5a49efe9575p-6, 0x1.aed224fb263b5p-6, 0x1.ae34aae56c803p-6, 0x1.ad8234e2b4d3bp-6, 0x1.acbb1d2769b4bp-6, 0x1.abdfbef0d0074p-6, 0x1.aaf0764b826c1p-6, 0x1.a9ed9f8227d9fp-6, 0x1.a8d79888c418dp-6, 0x1.a7aebf40a5a4bp-6, 0x1.a6737261731d3p-6, 0x1.a526115cfa41p-6, 0x1.a3c6fbf15f9d7p-6, 0x1.a256928d2b5f6p-6, 0x1.a0d535cff198dp-6, 0x1.9f43469a607ep-6, 0x1.9da1260bc9e42p-6, 0x1.9bef355424746p-6, 0x1.9a2dd5b012238p-6, 0x1.985d685fb8ea6p-6, 0x1.967e4ea112d83p-6, 0x1.9490e9a4e848ep-6, 0x1.92959a8588f39p-6, 0x1.908cc236badc5p-6, 0x1.8e76c1741afddp-6, 0x1.8c53f8ad601adp-6, 0x1.8a24c7f2feac5p-6, 0x1.87e98ee5b27f3p-6, 0x1.85a2acad15fb5p-6, 0x1.835080016bf85p-6, 0x1.80f36707d7232p-6, 0x1.7e8bbf5bace67p-6, 0x1.7c19e6264359bp-6, 0x1.799e37e70a5c8p-6, 0x1.7719108d7f1aap-6, 0x1.748acb2d6a6bp-6, 0x1.71f3c1db08baep-6, 0x1.6f544e32a45c6p-6, 0x1.6cacc88c2c837p-6, 0x1.69fd8899acda9p-6, 0x1.6746e56a3c584p-6, 0x1.648934c49d4cbp-6, 0x1.61c4cc7bef379p-6, 0x1.5efa0102d003fp-6, 0x1.5c29261a6570bp-6, 0x1.59528e56c8af4p-6, 0x1.56768afaed90fp-6, 0x1.53956bd8909aep-6, 0x1.50af7f534df82p-6, 0x1.4dc5128489be4p-6, 0x1.4ad6717a1a98p-6, 0x1.47e3e77f76a28p-6, 0x1.44edbf5949422p-6, 0x1.41f4435d34672p-6, 0x1.3ef7bd544ba72p-6, 0x1.3bf8762897fc8p-6, 0x1.38f6b56efff48p-6, 0x1.35f2c0ea44af1p-6, 0x1.32ecdc369854ep-6, 0x1.2fe5489f6de5dp-6, 0x1.2cdc45696414bp-6, 0x1.29d2104d36672p-6, 0x1.26c6e64636b1p-6, 0x1.23bb03a91a2afp-6, 0x1.20aea58be9cc3p-6, 0x1.1da208f8cde9dp-6, 0x1.1a956ad5e8521p-6, 0x1.1789072d3a203p-6, 0x1.147d18224bf1cp-6, 0x1.1171d5157a216p-6, 0x1.0e6772157bf3fp-6, 0x1.0b5e203120728p-6, 0x1.08560db9890efp-6, 0x1.054f67cf15679p-6, 0x1.024a5bc8667ccp-6, 0x1.fe8e30100dd0ep-7, 0x1.f88b9a471e646p-7, 0x1.f28d5adab53dap-7, 0x1.ec93d7ddb482cp-7, 0x1.e69f752cc0255p-7, 0x1.e0b090248014dp-7, 0x1.dac77bc65a3cp-7, 0x1.d4e47e6ef2438p-7, 0x1.cf07d1f479d58p-7, 0x1.c931a67b8c672p-7, 0x1.c36227a64e54dp-7, 0x1.bd99831df4186p-7, 0x1.b7d7ef0344882p-7, 0x1.b21daeb05401ap-7, 0x1.ac6b147211f2bp-7, 0x1.a6c07f753e10cp-7, 0x1.a11e55f5ce69bp-7, 0x1.9b84fca280945p-7, 0x1.95f4ccea50019p-7, 0x1.906e0c488adebp-7, 0x1.8af0e6a6aba0dp-7, 0x1.857d6d4c75e33p-7, 0x1.80139afae3004p-7, 0x1.7ab35cabac5fbp-7, 0x1.755c9d6b0fdp-7, 0x1.700f530433382p-7, 0x1.6acb88eec75fdp-7, 0x1.65916728244e4p-7, 0x1.6061335c0f9b7p-7, 0x1.5b3b4bdace37cp-7, 0x1.56201d1e62251p-7, 0x1.511013c001a7dp-7, 0x1.4c0b8d5217679p-7, 0x1.4712cefa38cb7p-7, 0x1.4225f4bcd3099p-7, 0x1.3d44fd890e662p-7, 0x1.386fc44b677dap-7, 0x1.33a61188def23p-7, 0x1.2ee7a7986e1cfp-7, 0x1.2a3451e63a9eep-7, 0x1.258bf1a3220c6p-7, 0x1.20ee85ba7a654p-7, 0x1.1c5c2c98cd3cbp-7, 0x1.17d51f8e3c6a8p-7, 0x1.1359a8d343d4p-7, 0x1.0eea163a9c6adp-7, 0x1.0a86ab6a5ebe3p-7, 0x1.062f9671bb7e1p-7, 0x1.01e4e8f829fedp-7, 0x1.fb4d2edebef13p-8, 0x1.f2e8fccd16603p-8, 0x1.ea9cd98922c9cp-8, 0x1.e26860e5b5116p-8, 0x1.da4b440eadfe8p-8, 0x1.d2455d9e46c8bp-8, 0x1.ca56b82371082p-8, 0x1.c27f8c6600d4ep-8, 0x1.bac034a7a65cep-8, 0x1.b31918793a7e3p-8, 0x1.ab8a955368dbbp-8, 0x1.a414e668acd39p-8, 0x1.9cb811f76ef4cp-8, 0x1.9573deedb4c3p-8, 0x1.8e47d6e06e2acp-8, 0x1.873352bb471e8p-8, 0x1.803596810f5ap-8, 0x1.794df17df9e76p-8, 0x1.727bdcc3dd1d5p-8, 0x1.6bbf0ff61e69cp-8, 0x1.651787ee53538p-8, 0x1.5e85801e6bb47p-8, 0x1.58096351624cap-8, 0x1.51a3b93ed9aecp-8, 0x1.4b5514ed8ff7ap-8, 0x1.451e02c68d95p-8, 0x1.3efef126bf70ap-8, 0x1.38f820e8133c1p-8, 0x1.3309895330c63p-8, 0x1.2d32d05e79b2p-8, 0x1.27734cae54d17p-8, 0x1.21ca1db750b11p-8, 0x1.1c36530297a2ap-8, 0x1.16b71641dede5p-8, 0x1.114bc875963bap-8, 0x1.0bf40787c5997p-8, 0x1.06af9d8f39909p-8, 0x1.017e66f134555p-8, 0x1.f8c08237c7122p-9, 0x1.eeaa19d4a6218p-9, 0x1.e4b9839326fcfp-9, 0x1.daef048c99147p-9, 0x1.d14b4038fb33bp-9, 0x1.c7cf0e61ab22dp-9, 0x1.be7b2cc74c85ap-9, 0x1.b54ff23bb319bp-9, 0x1.ac4d2aa63b6e5p-9, 0x1.a3722e671a0c7p-9, 0x1.9abe28d62b5d7p-9, 0x1.923069c1f1fd6p-9, 0x1.89c8979e11c08p-9, 0x1.8186a454a0039p-9, 0x1.796a83301acf1p-9, 0x1.7173c2fbc12c8p-9, 0x1.69a1483420d18p-9, 0x1.61f15b581b2b5p-9, 0x1.5a62134caae85p-9, 0x1.52f1ea64b6f8cp-9, 0x1.4ba02b7a39891p-9, 0x1.446cf530a1cbfp-9, 0x1.3d58ced155a5bp-9, 0x1.36640fc9f424bp-9, 0x1.2f8e78a338b9p-9, 0x1.28d73a5c993f8p-9, 0x1.223d6046113fdp-9, 0x1.1bc057cf6dd69p-9, 0x1.15604c9269cfcp-9, 0x1.0f1e30b4ee7e2p-9, 0x1.08fb6f467cc75p-9, 0x1.02f95d786b289p-9, 0x1.fa31403095c37p-10, 0x1.eeb117998b1f6p-10, 0x1.e36e7d21e104ap-10, 0x1.d863b0a38461ep-10, 0x1.cd8b0f44acf21p-10, 0x1.c2e0fb63f712bp-10, 0x1.b8651116d5e1bp-10, 0x1.ae19d6d3d4eefp-10, 0x1.a403018ee5e76p-10, 0x1.9a233a0bdf841p-10, 0x1.907aa6924dc7ap-10, 0x1.8706e70287283p-10, 0x1.7dc4413958854p-10, 0x1.74af259fd6b8p-10, 0x1.6bc550d40694ap-10, 0x1.6306346ab3004p-10, 0x1.5a72a44350315p-10, 0x1.520c110a39edep-10, 0x1.49d3c20d0072cp-10, 0x1.41ca4b593d3d8p-10, 0x1.39ef25b65879fp-10, 0x1.3240599ce8318p-10, 0x1.2aba8a1f7cdep-10, 0x1.2359b30562bep-10, 0x1.1c1a6a379112cp-10, 0x1.14fb025001d56p-10, 0x1.0dfc000758481p-10, 0x1.071fb2a92cd5ep-10, 0x1.0069233e8fd45p-10, 0x1.f3b5c5359cc37p-11, 0x1.e6ec75a18c4d6p-11, 0x1.da75f8fd1a25bp-11, 0x1.ce4ff69ee1c14p-11, 0x1.c2781807abd3p-11, 0x1.b6ed5f16cb39bp-11, 0x1.abaf2ce675bep-11, 0x1.a0bad5f9117aap-11, 0x1.960a810cd3dc3p-11, 0x1.8b96a45c1ae2fp-11, 0x1.8158d4410995fp-11, 0x1.774db4443cb6ap-11, 0x1.6d74fcbeb6374p-11, 0x1.63d022afe9e52p-11, 0x1.5a60bd1ca4913p-11, 0x1.51270914260c4p-11, 0x1.4820a9a3c1327p-11, 0x1.3f48f3e7fb3dcp-11, 0x1.369bda377669ep-11, 0x1.2e1958ec9afcap-11, 0x1.25c5baf7daf11p-11, 0x1.1da6523f1fee3p-11, 0x1.15bd6d45f9841p-11, 0x1.0e0a8fef43e22p-11, 0x1.068d0cf6becc3p-11, 0x1.fe8c86afcb1p-12, 0x1.f06e94c115c7p-12, 0x1.e2bc8d402768dp-12, 0x1.d56d67cf213ccp-12, 0x1.c8773757170cbp-12, 0x1.bbd2ad9b7ae7p-12, 0x1.af7c47def5577p-12, 0x1.a373afa2cb612p-12, 0x1.97b9b461cf1cap-12, 0x1.8c4db87e79ea5p-12, 0x1.812c9b0671391p-12, 0x1.7651de8294e5dp-12, 0x1.6bb7cca535c83p-12, 0x1.615553fae9501p-12, 0x1.572127a5801f7p-12, 0x1.4d1c3994ffa8dp-12, 0x1.43540605526ccp-12, 0x1.39d43ec93afd8p-12, 0x1.3099b894975aap-12, 0x1.2799def758a8ep-12, 0x1.1ed454127d19bp-12, 0x1.1653f6da262f4p-12, 0x1.0e1f6e408f3e2p-12, 0x1.0631326768f41p-12, 0x1.fcfb3bcc93f76p-13, 0x1.edf5c495970eap-13, 0x1.df473dd48c6e1p-13, 0x1.d0ebaabcd583ep-13, 0x1.c2e367c2546b6p-13, 0x1.b533307804148p-13, 0x1.a7e4e7f3c07ap-13, 0x1.9b0574cfe937cp-13, 0x1.8e9ea005b1e69p-13, 0x1.82b1c18cbf245p-13, 0x1.7737a03961dc5p-13, 0x1.6c1dcb8b4a0d8p-13, 0x1.614105473ec1dp-13, 0x1.5681ace55676ap-13, 0x1.4be9440c1fac9p-13, 0x1.419cf153381d4p-13, 0x1.37a8de223d824p-13, 0x1.2dfb06cfd9a3cp-13, 0x1.248c1c8b5c74p-13, 0x1.1b680d01d2179p-13, 0x1.1295fa361d1dap-13, 0x1.0a136c30554ap-13, 0x1.01dab019eaec5p-13, 0x1.f3c72717351e7p-14, 0x1.e44a4cd7bb556p-14, 0x1.d53242817786p-14, 0x1.c679299906abbp-14, 0x1.b81dd4f5a5693p-14, 0x1.aa1e672ff2a1p-14, 0x1.9c7e154961f36p-14, 0x1.8f413b03bb118p-14, 0x1.826f89b6ae9a7p-14, 0x1.760d8d8822b96p-14, 0x1.6a19402dd53bfp-14, 0x1.5e9261fb1205cp-14, 0x1.53814d6182223p-14, 0x1.48df974cdceb1p-14, 0x1.3e91bc7c7f0a6p-14, 0x1.3499e0fff6d49p-14, 0x1.2affca7db6557p-14, 0x1.21929556f865bp-14, 0x1.18380af80d38fp-14, 0x1.0f269f42ecf82p-14, 0x1.06847422dc26p-14, 0x1.fc70cac09b09p-15, 0x1.ec41b3724cb18p-15, 0x1.dc7ead8c6e461p-15, 0x1.cd4d15b9c9f6ap-15, 0x1.beb187e7bd53ep-15, 0x1.b09345d10310fp-15, 0x1.a2dd8a12b4f97p-15, 0x1.9589a8cfdaaa4p-15, 0x1.88982eacf7c44p-15, 0x1.7c0a0081c3a23p-15, }}, 
      {{0x1.18add5b91f079p-6, 0x1.17733f3d67c0ap-5, 0x1.a02b218684424p-5, 0x1.12b8378802e44p-4, 0x1.532b517374d06p-4, 0x1.910aa03f63b44p-4, 0x1.cc03f4e7710a1p-4, 0x1.01eb3b2ab0905p-3, 0x1.1c28b6590190bp-3, 0x1.34a962ffd4af4p-3, 0x1.4b62bcca30034p-3, 0x1.604ff269be018p-3, 0x1.73711a2bf06a2p-3, 0x1.84ca71716e3aap-3, 0x1.9463ac9d972edp-3, 0x1.a247579f4348cp-3, 0x1.ae824817c8ee8p-3, 0x1.b92320aaaf3acp-3, 0x1.c239e399efad5p-3, 0x1.c9d794f44d401p-3, 0x1.d00de889d7f21p-3, 0x1.d4eefd6351fbap-3, 0x1.d88d22f077bfap-3, 0x1.dafaa961c26ecp-3, 0x1.dc49b9315804cp-3, 0x1.dc8c333eaa471p-3, 0x1.dbd396c74cbe7p-3, 0x1.da30ece486d9ep-3, 0x1.d7b4b91998f15p-3, 0x1.d46eed9d51b23p-3, 0x1.d06ee355f98a8p-3, 0x1.cbc35472c33a2p-3, 0x1.c67a5969e15eap-3, 0x1.c0a16833d0d13p-3, 0x1.ba4554901d26fp-3, 0x1.b372521663192p-3, 0x1.ac33f6a0e02f4p-3, 0x1.a4953e01d879p-3, 0x1.9ca08dd3ed4c3p-3, 0x1.945fba0adf02fp-3, 0x1.8bdc097bc2426p-3, 0x1.831e3ac251c9p-3, 0x1.7a2e89250f041p-3, 0x1.7114b1a1daaeep-3, 0x1.67d7f7d5ca80ep-3, 0x1.5e7f2ae4ac2dap-3, 0x1.5510aa38df0f7p-3, 0x1.4b926a740d62bp-3, 0x1.4209f9f3c97a1p-3, 0x1.387c855e33791p-3, 0x1.2eeedc113f47ep-3, 0x1.2565746e1c485p-3, 0x1.1be4700517828p-3, 0x1.126f9fa162bf2p-3, 0x1.090a873315133p-3, 0x1.ff70c3294ddbfp-4, 0x1.ecf8489aab41bp-4, 0x1.dab105ee32d1ep-4, 0x1.c89fe596077d8p-4, 0x1.b6c95ba99e884p-4, 0x1.a5316c5829c98p-4, 0x1.93dbb21aa732bp-4, 0x1.82cb637d96f38p-4, 0x1.720358d9097b1p-4, 0x1.618611c78760dp-4, 0x1.5155ba65c9318p-4, 0x1.4174305e04443p-4, 0x1.31e307bf96604p-4, 0x1.22a38fa2df1e7p-4, 0x1.13b6d69d7554cp-4, 0x1.051daf002e7a7p-4, 0x1.edb165dfd3ca3p-5, 0x1.d1d090798f3fdp-5, 0x1.b69948436581fp-5, 0x1.9c0b9df83651cp-5, 0x1.82274e8e54e18p-5, 0x1.68ebcacf6a91ep-5, 0x1.50583c38bc6e7p-5, 0x1.386b8b8ec6758p-5, 0x1.21246672c23a7p-5, 0x1.0a8143db3b2edp-5, 0x1.e900d26b29e96p-6, 0x1.be3fe053246d2p-6, 0x1.94bb93465b8d2p-6, 0x1.6c6f859643968p-6, 0x1.45571226b4c04p-6, 0x1.1f6d59addd8d8p-6, 0x1.f55a97872f7eep-7, 0x1.ae2355fd4daf4p-7, 0x1.692a2afbf125ep-7, 0x1.26640da502ce4p-7, 0x1.cb8b8803b2a6fp-8, 0x1.4e87cf33e5ecbp-8, 0x1.ab4bbb31c41d9p-9, 0x1.8339d5ab14b83p-10, -0x1.015d36770a1f5p-12, -0x1.f479dfbfaff73p-10, -0x1.ccc5ffca89b1ap-9, -0x1.4bfaf15db913ap-8, -0x1.adfdc85531f98p-8, -0x1.064172ce6be4cp-7, -0x1.33d0c59a3e69bp-7, -0x1.5fb866a89bac9p-7, -0x1.8a03c5bf01842p-7, -0x1.b2be33d84d1f5p-7, -0x1.d9f2e21f0bd65p-7, -0x1.ffacd87376478p-7, -0x1.11fb80748c102p-6, -0x1.236e0af5b29d8p-6, -0x1.343356019ec82p-6, -0x1.445095e1aa816p-6, -0x1.53cae86bfd5bdp-6, -0x1.62a753feb14f6p-6, -0x1.70eac8155394bp-6, -0x1.7e9a18b66a917p-6, -0x1.8bba0430f0ee3p-6, -0x1.984f2bb42ebb1p-6, -0x1.a45e17acaf6bcp-6, -0x1.afeb35b527715p-6, -0x1.bafad8c4cc657p-6, -0x1.c591391c70991p-6, -0x1.cfb274562e191p-6, -0x1.d9628dc8843ddp-6, -0x1.e2a56e59f04dcp-6, -0x1.eb7ee3ee8447ap-6, -0x1.f3f2a41a1e196p-6, -0x1.fc044914afa53p-6, -0x1.01dba9fecd208p-5, -0x1.05879602ba109p-5, -0x1.09078f9d6dce8p-5, -0x1.0c5d31477377ep-5, -0x1.0f8a08e4b0ec2p-5, -0x1.128f97ecab1ddp-5, -0x1.156f53aaa5575p-5, -0x1.182aa5f036bf6p-5, -0x1.1ac2eb401c0cep-5, -0x1.1d39765d86c86p-5, -0x1.1f8f8d21b44bbp-5, -0x1.21c66a95ab6d9p-5, -0x1.23df3f0d6f7e8p-5, -0x1.25db2fc6cb6ebp-5, -0x1.27bb577b2959bp-5, -0x1.2980c6ee85ca4p-5, -0x1.2b2c8427b89cfp-5, -0x1.2cbf8bfd0a35cp-5, -0x1.2e3ad15d1f1a2p-5, -0x1.2f9f3de00c907p-5, -0x1.30edb212affe9p-5, -0x1.322705a36571fp-5, -0x1.334c07010a5d3p-5, -0x1.345d7d529cbe7p-5, -0x1.355c265e63e91p-5, -0x1.3648b87c51092p-5, -0x1.3723e2034994bp-5, -0x1.37ee4a3750e31p-5, -0x1.38a89033ce693p-5, -0x1.39534ca72295p-5, -0x1.39ef11123003fp-5, -0x1.3a7c6853d92fcp-5, -0x1.3afbd6d56068bp-5, -0x1.3b6ddabdf8a8fp-5, -0x1.3bd2ec60b96dbp-5, -0x1.3c2b7d8383b37p-5, -0x1.3c77fb7c4020cp-5, -0x1.3cb8cd4f0a5b9p-5, -0x1.3cee554f88d7ep-5, -0x1.3d18eff7db3b3p-5, -0x1.3d38f668c8b3fp-5, -0x1.3d4ebbe16eb7cp-5, -0x1.3d5a8fb328c71p-5, -0x1.3d5cbd49f2ac8p-5, -0x1.3d558b0206dd1p-5, -0x1.3d453c89feb1ap-5, -0x1.3d2c11270b3aep-5, -0x1.3d0a44d043819p-5, -0x1.3ce01001527a4p-5, -0x1.3cada821d800ep-5, -0x1.3c733f7563c13p-5, -0x1.3c3105756b254p-5, -0x1.3be7267c12abdp-5, -0x1.3b95cd0d370d8p-5, -0x1.3b3d1ff12c20dp-5, -0x1.3add4510c109fp-5, -0x1.3a765ee4ce854p-5, -0x1.3a088e7d816cdp-5, -0x1.3993f2ed42b65p-5, -0x1.3918a8f440e4ep-5, -0x1.3896cbe6ecee6p-5, -0x1.380e759fb0d12p-5, -0x1.377fbe6277226p-5, -0x1.36eabcd351d0fp-5, -0x1.364f8667c823ep-5, -0x1.35ae2fc6ad24cp-5, -0x1.3506cbb4c253dp-5, -0x1.34596c7375782p-5, -0x1.33a623945d1c1p-5, -0x1.32ed0140e77e3p-5, -0x1.322e153843effp-5, -0x1.31696e78babc5p-5, -0x1.309f1b627db53p-5, -0x1.2fcf29e896e4ep-5, -0x1.2ef9a6f9aa43bp-5, -0x1.2e1ea027188c3p-5, -0x1.2d3e21a976bc2p-5, -0x1.2c5837e223d5dp-5, -0x1.2b6ceed2dcde3p-5, -0x1.2a7c527007db8p-5, -0x1.29866e635ece7p-5, -0x1.288b4e46d6a9cp-5, -0x1.278afd5a57ed4p-5, -0x1.2685879cb8dfep-5, -0x1.257af865c945ap-5, -0x1.246b5ae4eccefp-5, -0x1.2356bb0decf01p-5, -0x1.223d249df3c9fp-5, -0x1.211ea352ca2bep-5, -0x1.1ffb433746a9ap-5, -0x1.1ed310599ab06p-5, -0x1.1da617b091b5ap-5, -0x1.1c7465141a024p-5, -0x1.1b3e05e2b63a7p-5, -0x1.1a0307147c353p-5, -0x1.18c37635a1644p-5, -0x1.177f60d6c1d43p-5, -0x1.1636d50a5e515p-5, -0x1.14e9e119f32a2p-5, -0x1.139893abb6844p-5, -0x1.1242fbb007a7fp-5, -0x1.10e9288b8c321p-5, -0x1.0f8b2964d5abbp-5, -0x1.0e290f01b5eb8p-5, -0x1.0cc2e913ae024p-5, -0x1.0b58c869b5a5cp-5, -0x1.09eabdf93ca6cp-5, -0x1.0878db0c46988p-5, -0x1.07033146793f3p-5, -0x1.0589d29d8175ep-5, -0x1.040cd15b0aab4p-5, -0x1.028c4017e1b51p-5, -0x1.010831b4bf646p-5, -0x1.ff01726b1aff6p-6, -0x1.fbebd5841514p-6, -0x1.f8cfb25730199p-6, -0x1.f5ad328c69879p-6, -0x1.f2847dbd59fc5p-6, -0x1.ef55bda8ed186p-6, -0x1.ec211bc94b0a7p-6, -0x1.e8e6c218d2cd4p-6, -0x1.e5a6db26dbb2ep-6, -0x1.e26191eb399e6p-6, -0x1.df1711c47aa8p-6, -0x1.dbc7866f3e7f6p-6, -0x1.d8731c04d4773p-6, -0x1.d519fedfc9336p-6, -0x1.d1bc5b5cc45e6p-6, -0x1.ce5a5fda2fa1dp-6, -0x1.caf4372d144e6p-6, -0x1.c78a10bba1e6bp-6, -0x1.c41c197d2204ep-6, -0x1.c0aa7f5ec082ep-6, -0x1.bd35705625833p-6, -0x1.b9bd1a51d9e71p-6, -0x1.b641ab85f0727p-6, -0x1.b2c3524aabf4dp-6, -0x1.af423ccfeec69p-6, -0x1.abbe99700d97bp-6, -0x1.a83896674ef9ap-6, -0x1.a4b061f7993c9p-6, -0x1.a1262a49642c7p-6, -0x1.9d9a1d6e54ddep-6, -0x1.9a0c69294cef7p-6, -0x1.967d3c0d789e9p-6, -0x1.92ecc28b43ccep-6, -0x1.8f5b2b57ae4bcp-6, -0x1.8bc8a30a2a3cfp-6, -0x1.883556db89d76p-6, -0x1.84a1738e3c34bp-6, -0x1.810d25a08f89fp-6, -0x1.7d7899466669dp-6, -0x1.79e3fa64549cbp-6, -0x1.764f748794239p-6, -0x1.72bb32df335e9p-6, -0x1.6f276063f78e3p-6, -0x1.6b94273ce6601p-6, -0x1.6801b187fe991p-6, -0x1.647028e28a3cp-6, -0x1.60dfb64ecd6fbp-6, -0x1.5d5082739744p-6, -0x1.59c2b57c25ec5p-6, -0x1.563676dc52fdbp-6, -0x1.52abeeb739c16p-6, -0x1.4f234237e867fp-6, -0x1.4b9c9867ffee5p-6, -0x1.48181682a69c4p-6, -0x1.4495e186b4868p-6, -0x1.41161dd496d79p-6, -0x1.3d98ef3870327p-6, -0x1.3a1e78e6e4e69p-6, -0x1.36a6dd7988d8ep-6, -0x1.33323eeb77a57p-6, -0x1.2fc0be9646d38p-6, -0x1.2c527d2fbba99p-6, -0x1.28e79ac833bdcp-6, -0x1.258036cac4a0cp-6, -0x1.221c6ffcb3599p-6, -0x1.1ebc647c39d92p-6, -0x1.1b6031b95621ep-6, -0x1.1807f478cb68ep-6, -0x1.14b3c8de5dea1p-6, -0x1.1163ca55471ebp-6, -0x1.0e18136117d58p-6, -0x1.0ad0beecd58c5p-6, -0x1.078de4dc8ba28p-6, -0x1.044f9f5390ea5p-6, -0x1.011605808c6dap-6, -0x1.fbc25dd4241fbp-7, -0x1.f56264627bc14p-7, -0x1.ef0c4a8bd81dfp-7, -0x1.e8c03acbf46c9p-7, -0x1.e27e5e56806c8p-7, -0x1.dc46dcdf46e02p-7, -0x1.d619dcda40813p-7, -0x1.cff7833cbdb53p-7, -0x1.c9dff3b8d7173p-7, -0x1.c3d350a66b9a3p-7, -0x1.bdd1bb04f260ep-7, -0x1.b7db527f2575ap-7, -0x1.b1f0356c9013cp-7, -0x1.ac1080d204dffp-7, -0x1.a63c506e227fep-7, -0x1.a073beb270297p-7, -0x1.9ab6e4a36cc98p-7, -0x1.9505da41dd482p-7, -0x1.8f60b61814d78p-7, -0x1.89c78d6f34c9p-7, -0x1.843a749345b48p-7, -0x1.7eb97e28c267ap-7, -0x1.7944bc22a72e6p-7, -0x1.73dc3eecbcf14p-7, -0x1.6e8015c2a594bp-7, -0x1.69304edd12398p-7, -0x1.63ecf73c41421p-7, -0x1.5eb61abd3f3b6p-7, -0x1.598bc4244694dp-7, -0x1.546dfd11152ccp-7, -0x1.4f5cce1ef3ae7p-7, -0x1.4a583ecd5f439p-7, -0x1.4560559326e16p-7, -0x1.407517de5d36p-7, -0x1.3b968a182f013p-7, -0x1.36c4afaa34032p-7, -0x1.31ff8b04dc10bp-7, -0x1.2d471da0864ccp-7, -0x1.289b67d6d46a6p-7, -0x1.23fc695a2cc0cp-7, -0x1.1f6a21199d8abp-7, -0x1.1ae48ccf9193fp-7, -0x1.166ba97614efbp-7, -0x1.11ff72e61939ap-7, -0x1.0d9fe49bfa738p-7, -0x1.094cf909e8bcbp-7, -0x1.0506a9ccc8ep-7, -0x1.00ccefac91c68p-7, -0x1.f93f859760a49p-8, -0x1.f0fe359526a03p-8, -0x1.e8d5db8079c13p-8, -0x1.e0c66481aaeffp-8, -0x1.d8cfbaaa6224bp-8, -0x1.d0f1c77f2a484p-8, -0x1.c92c730295016p-8, -0x1.c17fa3e4abca1p-8, -0x1.b9eb3f89ff494p-8, -0x1.b26f2a17e0335p-8, -0x1.ab0b4687a58b4p-8, -0x1.a3bf76bd68b1ep-8, -0x1.9c8b9b9e69eabp-8, -0x1.956f9521e52d7p-8, -0x1.8e6b42592234bp-8, -0x1.877e816e6b9f6p-8, -0x1.80a92f9d13b6ep-8, -0x1.79eb29274719cp-8, -0x1.7344494df2d3bp-8, -0x1.6cb46a55523bdp-8, -0x1.663b658f9f74bp-8, -0x1.5fd9137921d1ep-8, -0x1.598d4bd1b9a23p-8, -0x1.5357e5ad00948p-8, -0x1.4d38b7d9770cp-8, -0x1.472f9863af259p-8, -0x1.413c5d0a389fdp-8, -0x1.3b5edb02cf122p-8, -0x1.3596e6de13839p-8, -0x1.2fe454821bf5bp-8, -0x1.2a46f72162ea2p-8, -0x1.24bea11fdbc03p-8, -0x1.1f4b24bc5b87p-8, -0x1.19ec5329030a6p-8, -0x1.14a1fd91b4972p-8, -0x1.0f6bf537d589p-8, -0x1.0a4a0a8f22befp-8, -0x1.053c0e6d7e1cep-8, -0x1.0041d144ca38dp-8, -0x1.f6b6463d0cd93p-9, -0x1.ed0fa7b0408bap-9, -0x1.e38f656dc6121p-9, -0x1.da351d455478cp-9, -0x1.d1006c75b8655p-9, -0x1.c7f0efee3e28cp-9, -0x1.bf0644a2ab1e8p-9, -0x1.b64007cc8056bp-9, -0x1.ad9dd7066a835p-9, -0x1.a51f503944e5cp-9, -0x1.9cc4115f77a69p-9, -0x1.948bb83038debp-9, -0x1.8c75e1ccf430bp-9, -0x1.84822a8b32c76p-9, -0x1.7cb02df432102p-9, -0x1.74ff86eb5929cp-9, -0x1.6d6fd02a4966cp-9, -0x1.6600a4a8a4798p-9, -0x1.5eb1a02a19e4ep-9, -0x1.57825f994774cp-9, -0x1.5072812cc5d2ap-9, -0x1.4981a4471e573p-9, -0x1.42af69191defbp-9, -0x1.3bfb701e9c342p-9, -0x1.3565599a2c64ap-9, -0x1.2eecc534018b2p-9, -0x1.289151d77eaf1p-9, -0x1.22529dd75d2b5p-9, -0x1.1c304738ad36bp-9, -0x1.1629eb94b1893p-9, -0x1.103f2dcb29df6p-9, -0x1.0a6fa7d91011ep-9, -0x1.04bb0111b739cp-9, -0x1.fe41b463b60c7p-10, -0x1.f341b03629affp-10, -0x1.e8753fed9ee37p-10, -0x1.dddbae687d9b5p-10, -0x1.d37446346304p-10, -0x1.c93e510638f2dp-10, -0x1.bf3917c6998eep-10, -0x1.b563e345e58a7p-10, -0x1.abbdfd6d550ebp-10, -0x1.a246b288f521p-10, -0x1.98fd5254a5ed6p-10, -0x1.8fe1307900146p-10, -0x1.86f1a44718554p-10, -0x1.7e2e07e51b2c7p-10, -0x1.7595b74d10118p-10, -0x1.6d280f23fa184p-10, -0x1.64e46bd3cdbf1p-10, -0x1.5cca2ab5da5e1p-10, -0x1.54d8a6a1e207dp-10, -0x1.4d0f3ac4bfd8bp-10, -0x1.456d4147593bcp-10, -0x1.3df2141b8a195p-10, -0x1.369d0e751d18cp-10, -0x1.2f6d8c4546036p-10, -0x1.2862f06ede1dfp-10, -0x1.217ca3691930ap-10, -0x1.1aba11a21f706p-10, -0x1.141aa596e6163p-10, -0x1.0d9dd1fdc4c61p-10, -0x1.0743073aea914p-10, -0x1.0109b51deb80bp-10, -0x1.f5e2988e8130ep-11, -0x1.e9f27e647f068p-11, -0x1.de42062ce175dp-11, -0x1.d2d01e5ea0308p-11, -0x1.c79bb93080c5dp-11, -0x1.bca3c8f80ce3dp-11, -0x1.b1e7414969c9bp-11, -0x1.a765192bf836p-11, -0x1.9d1c47366b92bp-11, -0x1.930bd09a83edep-11, -0x1.8932babb2e78dp-11, -0x1.7f90108c2480fp-11, -0x1.7622d9c4d1316p-11, -0x1.6cea17a12c55ap-11, -0x1.63e4c4dd91ec8p-11, -0x1.5b11da23c8b76p-11, -0x1.52705512c241ep-11, -0x1.49ff3e95a4083p-11, -0x1.41bdadba1292bp-11, -0x1.39aac659fe91cp-11, -0x1.31c5b5005c0e3p-11, -0x1.2a0daad7c76f9p-11, -0x1.2281dba5f3228p-11, -0x1.1b217e55a4421p-11, -0x1.13ebcec6b1b4dp-11, -0x1.0ce00ecdfbc6ap-11, -0x1.05fd84c46dd51p-11, -0x1.fe86eee975e4dp-12, -0x1.f16251a623981p-12, -0x1.e48ba3a10d956p-12, -0x1.d80142e3d15fcp-12, -0x1.cbc1802527f52p-12, -0x1.bfcaab4eb8c4p-12, -0x1.b41b209fdd3ep-12, -0x1.a8b150cc0ff8ep-12, -0x1.9d8bc152d6854p-12, -0x1.92a9078dc2a3ep-12, -0x1.8807c459d3459p-12, -0x1.7da6a48eee4a6p-12, -0x1.7384652d5c4a1p-12, -0x1.699fd5dea227bp-12, -0x1.5ff7d506b0e91p-12, -0x1.568b45cf442ccp-12, -0x1.4d5905f4853d8p-12, -0x1.445fea00452a3p-12, -0x1.3b9ec1e2815adp-12, -0x1.3314615337fc1p-12, -0x1.2abfa4ee91044p-12, -0x1.229f70c4fc468p-12, -0x1.1ab2ab28f0cf4p-12, -0x1.12f838bc43cb6p-12, -0x1.0b6efab4b1cbp-12, -0x1.0415d52a6e118p-12, -0x1.f9d73417645bap-13, -0x1.ebde589200df1p-13, -0x1.de3ec977cffa1p-13, -0x1.d0f6763cac619p-13, -0x1.c40397b997891p-13, -0x1.b764b7d8a3aebp-13, -0x1.ab18803edf0cbp-13, -0x1.9f1d72651cf4cp-13, -0x1.9371be2252ccfp-13, -0x1.88133d24db449p-13, -0x1.7cffabb67e99bp-13, -0x1.7234edb1316b4p-13, -0x1.67b1379864d76p-13, -0x1.5d730d0dfa8ccp-13, -0x1.53791e3013ef5p-13, -0x1.49c21e3417fe3p-13, -0x1.404ca8a3b5692p-13, -0x1.37173baf6b29ap-13, -0x1.2e203ea884f5fp-13, -0x1.256608a86f481p-13, -0x1.1ce6e812d4dbfp-13, -0x1.14a13831857f4p-13, -0x1.0c9388f6d0832p-13, -0x1.04bcc14165cb5p-13, -0x1.fa382efc06ac2p-14, -0x1.eb61af314b27ep-14, -0x1.dcf432c2fa787p-14, -0x1.ceed3492a4236p-14, -0x1.c149a1cec8748p-14, -0x1.b40647cc9305cp-14, -0x1.a72033e67cf0fp-14, -0x1.9a94d6aa16736p-14, -0x1.8e61f7d5d32eep-14, -0x1.828597cc95514p-14, -0x1.76fdc72ee70d6p-14, -0x1.6bc87a39a2c9ap-14, -0x1.60e371ea994p-14, -0x1.564c4c40ab54ep-14, -0x1.4c00a0f9edc7p-14, -0x1.41fe3e6ace416p-14, -0x1.384330c262718p-14, -0x1.2ecdaa5504e6dp-14, -0x1.259c1f6dd05abp-14, -0x1.1cad4ba7e8a5ap-14, -0x1.140010e338461p-14, -0x1.0b932e95ba7b8p-14, -0x1.036512b20a99ep-14, -0x1.f6e792a1546a6p-15, -0x1.e77b6509ae744p-15, -0x1.d882e738bdb1fp-15, -0x1.c9fafc1221191p-15, -0x1.bbe0885bee4d4p-15, -0x1.ae30b5585079bp-15, -0x1.a0e8715807e79p-15, -0x1.94050adb71517p-15, -0x1.8784044633f7ap-15, -0x1.7b62cc529045ep-15, -0x1.6f9e8bbde21cp-15, -0x1.64342c13c823dp-15, -0x1.59209b3c15617p-15, -0x1.4e611be2e0732p-15, -0x1.43f35f85be793p-15, -0x1.39d5570f4a32ap-15, -0x1.3004f5372ba09p-15, -0x1.268029f7ab182p-15, -0x1.1d44f8f558f12p-15, -0x1.145153d296ae1p-15, -0x1.0ba2eeb28964cp-15, -0x1.033796d8356d4p-15, -0x1.f61b7de22a195p-16, -0x1.e648c9ad84c52p-16, -0x1.d6f4b2adf935bp-16, -0x1.c81bb675c064cp-16, -0x1.b9b9be6230191p-16, -0x1.abcadc5e791a7p-16, -0x1.9e4b4af4a7797p-16, -0x1.913782a2a4c36p-16, -0x1.848c46576b7cbp-16, -0x1.7846a60fad61cp-16, -0x1.6c63ce396dbb5p-16, -0x1.60e0d1ba2d271p-16, -0x1.55bac2e9c31d2p-16, -0x1.4aef163507f76p-16, -0x1.407bddaac9699p-16, -0x1.365fb3e82a8eap-16, -0x1.2c98a0e51ba63p-16, -0x1.2323712f7ad45p-16, -0x1.19fbf8b77b9cdp-16, -0x1.111e18d9b55f1p-16, -0x1.0886691703afap-16, -0x1.003299c09ab38p-16, -0x1.f043b165223cep-17, -0x1.e0a7c9f706445p-17, -0x1.d18ee038d53e5p-17, -0x1.c2f44371a2ec4p-17, -0x1.b4d3a99cfe6b9p-17, -0x1.a729b47dc732bp-17, -0x1.99f2b03fcaa9fp-17, -0x1.8d2a581fda3b7p-17, -0x1.80cc6fbd095afp-17, -0x1.74d51f39f796ap-17, -0x1.6941132e48399p-17, -0x1.5e0d6d31ddf5dp-17, -0x1.5337bb41149bbp-17, -0x1.48bbc6d7bef7cp-17, -0x1.3e99ae2e75df3p-17, -0x1.34cc255754533p-17, -0x1.2b531163a6558p-17, -0x1.222cbcb49b2e1p-17, -0x1.195717d1ed379p-17, -0x1.10ce9e1961722p-17, -0x1.088edfee77979p-17, -0x1.009413d7c69f9p-17, -0x1.f1b745cd5085cp-18, -0x1.e2c7b74f6aa16p-18, -0x1.d457a62d2a469p-18, -0x1.c663cebf854f5p-18, -0x1.b8e55a167b669p-18, -0x1.abd6674c6ff5bp-18, -0x1.9f354754b9deap-18, -0x1.9300e26b9aae1p-18, -0x1.8735fb9cfd4acp-18, -0x1.7bd0174c2b6b7p-18, -0x1.70cb07b0b28efp-18, -0x1.662325c26f88dp-18, -0x1.5bd4ec84b9fb3p-18, -0x1.51dd1aba08da7p-18, -0x1.4838fdcccfadbp-18, -0x1.3ee64da47acfp-18, -0x1.35e2d203f3ea6p-18, -0x1.2d2c2ae03b2e9p-18, }}, 
      {{-0x1.2daaf559e5394p+0, -0x1.268b9d5ebf515p+0, -0x1.1b4a30bad0d37p+0, -0x1.0c99f859799cdp+0, -0x1.f67756a3eba4ep-1, -0x1.cfd92ecbdc4b8p-1, -0x1.a6b90c1836efdp-1, -0x1.7c5044d15901ap-1, -0x1.51accfef2bd2fp-1, -0x1.27b02e5d73541p-1, -0x1.fe21e609cf1b9p-2, -0x1.b0bbd54afec3fp-2, -0x1.68045b63c6d67p-2, -0x1.24931aeb3ba53p-2, -0x1.cd9462954ef0dp-3, -0x1.5dbd9cb402131p-3, -0x1.f384e4da202c3p-4, -0x1.430f8e93f26b9p-4, -0x1.530ddfa0807d1p-5, -0x1.3071b30f79f2bp-7, 0x1.21b69f1401babp-6, 0x1.464d0a1434b23p-5, 0x1.d6e0650ac68a5p-5, 0x1.22add26a42f4dp-4, 0x1.4a4919dd625e6p-4, 0x1.63ab400a74651p-4, 0x1.703763cba8586p-4, 0x1.7146362e8bfcbp-4, 0x1.6822b9e35697bp-4, 0x1.5607ea647378bp-4, 0x1.3c1f2321b4a1ep-4, 0x1.1b7f238103acdp-4, 0x1.ea5723b6fc56p-5, 0x1.9429c7dd780fap-5, 0x1.36312cd29044fp-5, 0x1.a4068699d74d8p-6, 0x1.a448dc8bc7cadp-7, -0x1.a9058998a760ep-12, -0x1.c7e8913db8f54p-7, -0x1.c3aaeafdb9e38p-6, -0x1.51f043ee40ae5p-5, -0x1.c171d9b77993bp-5, -0x1.17cd55336294bp-4, -0x1.4de140cb070cap-4, -0x1.82ab600abb4cap-4, -0x1.b5ec55246cc96p-4, -0x1.e76de52c50075p-4, -0x1.0b8119b67032p-3, -0x1.224183dc50a0ap-3, -0x1.37e88fd969d34p-3, -0x1.4c69c590c8c68p-3, -0x1.5fbb89939d176p-3, -0x1.71d6d60d00b57p-3, -0x1.82b6f8ca4d1c1p-3, -0x1.92595622289f1p-3, -0x1.a0bd30751a3ap-3, -0x1.ade373f9e08e8p-3, -0x1.b9ce869a7ab65p-3, -0x1.c4821b88ce282p-3, -0x1.ce030a5ccff7cp-3, -0x1.d6572971f8fffp-3, -0x1.dd852b520b0cap-3, -0x1.e3947efe34e9fp-3, -0x1.e88d32dfb6dd9p-3, -0x1.ec77da39ae391p-3, -0x1.ef5d74f0d9163p-3, -0x1.f14759838061fp-3, -0x1.f23f210c244d8p-3, -0x1.f24e952bbf76ep-3, -0x1.f17f9fba198e7p-3, -0x1.efdc3c1de17b7p-3, -0x1.ed6e6a2cad18cp-3, -0x1.ea40227cdae37p-3, -0x1.e65b4c065a4c5p-3, -0x1.e1c9b2fdc40f2p-3, -0x1.dc9500d7de6e2p-3, -0x1.d6c6b548a4d52p-3, -0x1.d068203ebf7fcp-3, -0x1.c9825cba9d82fp-3, -0x1.c21e4c6b99c26p-3, -0x1.ba4494241522p-3, -0x1.b1fd98e091ecap-3, -0x1.a9517d83ce684p-3, -0x1.a048211cb8758p-3, -0x1.96e91d983434cp-3, -0x1.8d3bc6f890bf7p-3, -0x1.83472ac799411p-3, -0x1.79121013263cbp-3, -0x1.6ea2f7849548p-3, -0x1.64001bfec2d78p-3, -0x1.592f73840fb03p-3, -0x1.4e36b0111db67p-3, -0x1.431b412fe2048p-3, -0x1.37e255132f279p-3, -0x1.2c90da3190683p-3, -0x1.212b80d88d22cp-3, -0x1.15b6bc711e491p-3, -0x1.0a36c5a275408p-3, -0x1.fd5f37475ecdfp-4, -0x1.e64a0c754c24dp-4, -0x1.cf352fac86b43p-4, -0x1.b8275e52745f9p-4, -0x1.a126f30988a29p-4, -0x1.8a39e929ec8eep-4, -0x1.7365e0641996ep-4, -0x1.5cb020cdfb65fp-4, -0x1.461d9dcaa3f7cp-4, -0x1.2fb2f99d718d5p-4, -0x1.1974889694a2fp-4, -0x1.0366540bccc7dp-4, -0x1.db183b5d19deap-5, -0x1.afd2c50681614p-5, -0x1.8502bbd6be8cdp-5, -0x1.5aae19931619fp-5, -0x1.30da6090887f6p-5, -0x1.078ca16ec0b64p-5, -0x1.bd9300f6e3f1cp-6, -0x1.6d2a756c481d1p-6, -0x1.1de7550bade05p-6, -0x1.9fa131743e21dp-7, -0x1.05d90bf4b8ea7p-7, -0x1.ba05b9cccdcb5p-9, 0x1.32ddc526f1845p-10, 0x1.716b64bf47f7bp-8, 0x1.4884ee3e7b39ep-7, 0x1.d5c2f52e0bb74p-7, 0x1.30352d111eb07p-6, 0x1.743b55afa69fdp-6, 0x1.b6f2320187288p-6, 0x1.f85870249e92ep-6, 0x1.1c3693af545aep-5, 0x1.3b97e8ca705a6p-5, 0x1.5a5022c4a7832p-5, 0x1.785f58be32ddp-5, 0x1.95c5ca3a51916p-5, 0x1.b283dd402095cp-5, 0x1.ce9a1b478c33p-5, 0x1.ea092f4d45db1p-5, 0x1.0268f18a9b1e9p-4, 0x1.0f7a8ee252906p-4, 0x1.1c39f0a71fb9ap-4, 0x1.28a7a46656a81p-4, 0x1.34c4436f29e6ap-4, 0x1.409071a5a3646p-4, 0x1.4c0cdd243951bp-4, 0x1.573a3d22b05d2p-4, 0x1.6219515029357p-4, 0x1.6caae123f777p-4, 0x1.76efbb0b6e56bp-4, 0x1.80e8b425cb59ep-4, 0x1.8a96a72587c86p-4, 0x1.93fa741bf40a6p-4, 0x1.9d14ffc4e5efcp-4, 0x1.a5e73304f47bcp-4, 0x1.ae71fa8e67c91p-4, 0x1.b6b64619dbd1cp-4, 0x1.beb5084b87b6cp-4, 0x1.c66f3618e7751p-4, 0x1.cde5c6786be95p-4, 0x1.d519b1f6a7c1cp-4, 0x1.dc0bf26137172p-4, 0x1.e2bd828533ff4p-4, 0x1.e92f5dad5fdfdp-4, 0x1.ef627fb5a5da4p-4, 0x1.f557e45f73469p-4, 0x1.fb10875881ce9p-4, 0x1.0046b1f130813p-3, 0x1.02e7ba44ed386p-3, 0x1.056bd9964afc8p-3, 0x1.07d38c505371dp-3, 0x1.0a1f4e2d0116fp-3, 0x1.0c4f9a527e80fp-3, 0x1.0e64eb1361afdp-3, 0x1.105fba08b156ep-3, 0x1.12407fd1d56cdp-3, 0x1.1407b40fcde05p-3, 0x1.15b5cd8bba88p-3, 0x1.174b41df6f3c7p-3, 0x1.18c885a8a2811p-3, 0x1.1a2e0c2c183b9p-3, 0x1.1b7c47d2539a3p-3, 0x1.1cb3a99573894p-3, 0x1.1dd4a15aa12b8p-3, 0x1.1edf9d96f5e4p-3, 0x1.1fd50bbadf868p-3, 0x1.20b557c5ac5abp-3, 0x1.2180ec75ece32p-3, 0x1.2238333f25eafp-3, 0x1.22db9423ea6e3p-3, 0x1.236b761f121e7p-3, 0x1.23e83e97d87d8p-3, 0x1.245251bcab2e1p-3, 0x1.24aa126ccd745p-3, 0x1.24efe23463c7dp-3, 0x1.2524213d9bea1p-3, 0x1.25472e9faea2dp-3, 0x1.255967e743abfp-3, 0x1.255b297a828ddp-3, 0x1.254cce7337f7bp-3, 0x1.252eb0a799a1bp-3, 0x1.250128b83c26fp-3, 0x1.24c48de498728p-3, 0x1.247936804722ap-3, 0x1.241f7761c1b12p-3, 0x1.23b7a44bca393p-3, 0x1.23420fc3527e7p-3, 0x1.22bf0b46caff5p-3, 0x1.222ee716a9a9cp-3, 0x1.2191f2624fb69p-3, 0x1.20e87b171178p-3, 0x1.2032ce40eaf47p-3, 0x1.1f7137a1b4b1fp-3, 0x1.1ea4021f2a901p-3, 0x1.1dcb777e22001p-3, 0x1.1ce7e073c7e6ap-3, 0x1.1bf984a6621efp-3, 0x1.1b00aac86f1dbp-3, 0x1.19fd989e1e47dp-3, 0x1.18f0931afc406p-3, 0x1.17d9ddea3c712p-3, 0x1.16b9bbfa86959p-3, 0x1.15906f2846275p-3, 0x1.145e38852dadp-3, 0x1.1323584c88efdp-3, 0x1.11e00ddd55cfep-3, 0x1.109497a5d297bp-3, 0x1.0f41332403af3p-3, 0x1.0de61cfabbb2bp-3, 0x1.0c839113a4dbcp-3, 0x1.0b19ca8287785p-3, 0x1.09a903cbf4d79p-3, 0x1.083176547d6eap-3, 0x1.06b35ac39947ap-3, 0x1.052ee8e874239p-3, 0x1.03a457ddeb62dp-3, 0x1.0213de1a9aacbp-3, 0x1.007db161249a4p-3, 0x1.fdc40d56e039fp-4, 0x1.fa822439a2db1p-4, 0x1.f7360e160ff82p-4, 0x1.f3e0302553e95p-4, 0x1.f080eeab8b882p-4, 0x1.ed18ac3642595p-4, 0x1.e9a7ca73ec9bbp-4, 0x1.e62ea9493f3ebp-4, 0x1.e2ada713a5498p-4, 0x1.df2520b8ad4d1p-4, 0x1.db9571db03351p-4, 0x1.d7fef4fcfa1d4p-4, 0x1.d462037aafb45p-4, 0x1.d0bef561926f9p-4, 0x1.cd162146515ddp-4, 0x1.c967dc3d0dae5p-4, 0x1.c5b479f2145bfp-4, 0x1.c1fc4ccf35c53p-4, 0x1.be3fa66990b59p-4, 0x1.ba7ed6bad4089p-4, 0x1.b6ba2d145705fp-4, 0x1.b2f1f71634c7ep-4, 0x1.af268103a4e12p-4, 0x1.ab5815bc2875fp-4, 0x1.a786fee5d0f2p-4, 0x1.a3b385119343cp-4, 0x1.9fddefc8da50fp-4, 0x1.9c068575746bep-4, 0x1.982d8b44700ffp-4, 0x1.945345055abe1p-4, 0x1.9077f52cb4da3p-4, 0x1.8c9bdce2d4a9ep-4, 0x1.88bf3c3208ab1p-4, 0x1.84e252131c2bcp-4, 0x1.81055c96cec3dp-4, 0x1.7d28987620696p-4, 0x1.794c417e8eb7p-4, 0x1.757091f707524p-4, 0x1.7195c2f54c7f3p-4, 0x1.6dbc0c511c71fp-4, 0x1.69e3a4c8b462fp-4, 0x1.660cc215ed952p-4, 0x1.623798f249299p-4, 0x1.5e645d093615cp-4, 0x1.5a9340e1b0f26p-4, 0x1.56c475cb6e509p-4, 0x1.52f82bdbb9ee7p-4, 0x1.4f2e91f952991p-4, 0x1.4b67d5f2f9b01p-4, 0x1.47a4249411dbfp-4, 0x1.43e3a9ae6ceebp-4, 0x1.40269016eec06p-4, 0x1.3c6d018fc6388p-4, 0x1.38b726e1fa6e8p-4, 0x1.3505276db338cp-4, 0x1.315729b3fb2c9p-4, 0x1.2dad52fcdf537p-4, 0x1.2a07c795cb055p-4, 0x1.2666aad56e17p-4, 0x1.22ca1f235d959p-4, 0x1.1f3245f4d53fap-4, 0x1.1b9f3fc2f56dfp-4, 0x1.18112c0012429p-4, 0x1.14882911d738dp-4, 0x1.1104545378dd4p-4, 0x1.0d85ca1f4a359p-4, 0x1.0a0ca5dc2c8d8p-4, 0x1.0699020919313p-4, 0x1.032af8435ecc1p-4, 0x1.ff854290ede3dp-5, 0x1.f8c029e22155fp-5, 0x1.f206d4527ad0bp-5, 0x1.eb596ddade5c9p-5, 0x1.e4b82087e953ep-5, 0x1.de2314c66ed76p-5, 0x1.d79a70c9da3b6p-5, 0x1.d11e59a8f3feap-5, 0x1.caaef267f7ccep-5, 0x1.c44c5ca720a5ep-5, 0x1.bdf6b865c6e46p-5, 0x1.b7ae24082b9d9p-5, 0x1.b172bc51397fcp-5, 0x1.ab449c6028b52p-5, 0x1.a523ddb1d6a3ap-5, 0x1.9f10982ce5e47p-5, 0x1.990ae22d2b7e4p-5, 0x1.9312d094a06dp-5, 0x1.8d2876d797c37p-5, 0x1.874be70531199p-5, 0x1.817d31cba6863p-5, 0x1.7bbc6678e8229p-5, 0x1.760992f9514f1p-5, 0x1.7064c3d728fabp-5, 0x1.6ace043d6ad33p-5, 0x1.65455dfee6e01p-5, 0x1.5fcad9a06401cp-5, 0x1.5a5e7e64ad428p-5, 0x1.55005255ba867p-5, 0x1.4fb05a5509b9dp-5, 0x1.4a6e9a1324a4dp-5, 0x1.453b1429e33f7p-5, 0x1.4015ca0b60203p-5, 0x1.3afebc0b1c993p-5, 0x1.35f5e9642bcb4p-5, 0x1.30fb503883c8p-5, 0x1.2c0eed9979da6p-5, 0x1.2730bd9058246p-5, 0x1.2260bb29e37a8p-5, 0x1.1d9ee07c6726bp-5, 0x1.18eb26b1eb751p-5, 0x1.1445860cd9e11p-5, 0x1.0fadf5ed2154fp-5, 0x1.0b246cd3f2d35p-5, 0x1.06a8e066fb3e6p-5, 0x1.023b4574243a2p-5, 0x1.fbb71fedaca89p-6, 0x1.f3136640b3015p-6, 0x1.ea8b42b83271cp-6, 0x1.e21e98b18cf96p-6, 0x1.d9cd4a25d683ep-6, 0x1.d19737abf5909p-6, 0x1.c97c40897d815p-6, 0x1.c17c42a6dc0bp-6, 0x1.b9971ab50ae05p-6, 0x1.b1cca40fcb762p-6, 0x1.aa1cb8f36853cp-6, 0x1.a28732789bdfcp-6, 0x1.9b0be8b1b42abp-6, 0x1.93aab28e3e07p-6, 0x1.8c63663966d8dp-6, 0x1.8535d8ca1c21dp-6, 0x1.7e21de769bfa7p-6, 0x1.77274a7a5755cp-6, 0x1.7045ef17804aep-6, 0x1.697d9d9bcd92dp-6, 0x1.62ce266ec500ap-6, 0x1.5c37592b98808p-6, 0x1.55b904c26c3a9p-6, 0x1.4f52f79a25edep-6, 0x1.4904ffaa6d1e6p-6, 0x1.42ceea870603ep-6, 0x1.3cb08559d0af4p-6, 0x1.36a99ccd16d66p-6, 0x1.30b9fcecf96a6p-6, 0x1.2ae1710c4c622p-6, 0x1.251fc3b26f933p-6, 0x1.1f74beac4742fp-6, 0x1.19e02b23abca4p-6, 0x1.1461d1de48527p-6, 0x1.0ef97b7a52961p-6, 0x1.09a6f0a5d6f52p-6, 0x1.0469fa3effdc5p-6, 0x1.fe84c2a1389d2p-7, 0x1.f45fddd8bc176p-7, 0x1.ea64d7d74cc32p-7, 0x1.e09341529fc4fp-7, 0x1.d6eaa9962ceaap-7, 0x1.cd6a9e596c402p-7, 0x1.c412ac124caeap-7, 0x1.bae25e65b752ap-7, 0x1.b1d94127353acp-7, 0x1.a8f6e13ff14c8p-7, 0x1.a03acd3bc5488p-7, 0x1.97a495bf9692cp-7, 0x1.8f33cd2ea624p-7, 0x1.86e806e5d2d05p-7, 0x1.7ec0d602a7debp-7, 0x1.76bdcc27f9586p-7, 0x1.6ede786e11ca9p-7, 0x1.672266ea07cdbp-7, 0x1.5f8920fa38036p-7, 0x1.58122e5e12d7p-7, 0x1.50bd16eeb524dp-7, 0x1.498964a028beap-7, 0x1.4276a558531c4p-7, 0x1.3b846c285a2b6p-7, 0x1.34b2518f13976p-7, 0x1.2dfff29d29312p-7, 0x1.276cef129a65p-7, 0x1.20f8e6cbdefedp-7, 0x1.1aa37707fdc3dp-7, 0x1.146c381bea499p-7, 0x1.0e52bc28461f3p-7, 0x1.08568f239b14dp-7, 0x1.027738532f2e9p-7, 0x1.f96879eb5c3eep-8, 0x1.ee1a4744072d8p-8, 0x1.e302ef63f5c46p-8, 0x1.d821980e5217bp-8, 0x1.cd75792891459p-8, 0x1.c2fddc9f1b2e4p-8, 0x1.b8ba1b05dbcf9p-8, 0x1.aea99589e69b6p-8, 0x1.a4cbae59dd667p-8, 0x1.9b1fc0f5390c9p-8, 0x1.91a51ce0b4111p-8, 0x1.885b0021f803p-8, 0x1.7f409aa79cd1fp-8, 0x1.76550ebe75f67p-8, 0x1.6d9778d344574p-8, 0x1.6506f66e9925fp-8, 0x1.5ca2adb2ed46fp-8, 0x1.5469d343ca8ebp-8, 0x1.4c5bad8b7c80dp-8, 0x1.447794ce12bc2p-8, 0x1.3cbcf01a71672p-8, 0x1.352b2fc8e87d2p-8, 0x1.2dc1c6b101ed3p-8, 0x1.2680237f7a457p-8, 0x1.1f65ab8b4437bp-8, 0x1.1871b836cc22bp-8, 0x1.11a39760ed1f6p-8, 0x1.0afa8ebe3d033p-8, 0x1.0475e14becd2p-8, 0x1.fc29ab2bd702cp-9, 0x1.efad76cb8d93bp-9, 0x1.e375df55bb3c5p-9, 0x1.d781bbb55211ep-9, 0x1.cbcffd53e44d2p-9, 0x1.c05fa8e9dee93p-9, 0x1.b52fcc1dc9165p-9, 0x1.aa3f71f3508f4p-9, 0x1.9f8d972d21fa9p-9, 0x1.951921e0e4933p-9, 0x1.8ae0dd68bfdbap-9, 0x1.80e37c867f31ap-9, 0x1.771fa04ee70f8p-9, 0x1.6d93e6391c39ep-9, 0x1.643ef76a0e374p-9, 0x1.5b1f968443ba1p-9, 0x1.5234a87bb9f84p-9, 0x1.497d36bd69a4bp-9, 0x1.40f86b95cab24p-9, 0x1.38a58adbdb858p-9, 0x1.3083e9a7920a3p-9, 0x1.2892e60514103p-9, 0x1.20d1de69f8dacp-9, 0x1.194027ae7d2bap-9, 0x1.11dd039ddbfbep-9, 0x1.0aa7969f38a98p-9, 0x1.039ee36f561f4p-9, 0x1.f9839b22d01aep-10, 0x1.ec1e498f57d2ap-10, 0x1.df0b6d628fed5p-10, 0x1.d248c19c2f395p-10, 0x1.c5d4389b381fdp-10, 0x1.b9abff73db3cap-10, 0x1.adce6f7309b13p-10, 0x1.a239f9afd2402p-10, 0x1.96ed1b014a691p-10, 0x1.8be65fe6ed594p-10, 0x1.8124743b715c1p-10, 0x1.76a6314f01502p-10, 0x1.6c6a9ca7b3852p-10, 0x1.6270d28223a81p-10, 0x1.58b7e3cfcf54fp-10, 0x1.4f3eb7ccc1033p-10, 0x1.4604003733b44p-10, 0x1.3d06459aace58p-10, 0x1.344404f9203bep-10, 0x1.2bbbcfbb97156p-10, 0x1.236c5d8cb13a5p-10, 0x1.1b5485c91f55ep-10, 0x1.1373220179956p-10, 0x1.0bc6e8ac06e97p-10, 0x1.044e573010433p-10, 0x1.fa0f7add16199p-11, 0x1.ebe2d52300beep-11, 0x1.de13caeb1ee79p-11, 0x1.d0a0218f4836bp-11, 0x1.c3864894fc0b3p-11, 0x1.b6c4fb3eb1aa6p-11, 0x1.aa5ac88e9deafp-11, 0x1.9e45c99f42acp-11, 0x1.9283aeda81962p-11, 0x1.87121487adeb5p-11, 0x1.7beee828ba592p-11, 0x1.7118a8f7243e8p-11, 0x1.668e697e048dcp-11, 0x1.5c4f93f210aa8p-11, 0x1.525b835c92fd1p-11, 0x1.48b11127ef019p-11, 0x1.3f4e3c9ff21bdp-11, 0x1.3630252bee0abp-11, 0x1.2d535e6986759p-11, 0x1.24b49c3621eb6p-11, 0x1.1c5163277d6b5p-11, 0x1.142869e00ce35p-11, 0x1.0c3970807e8c8p-11, 0x1.04849d7581f61p-11, 0x1.fa136ea6d5662p-12, 0x1.eb8f5117e3f7dp-12, 0x1.dd79093d92742p-12, 0x1.cfcbe2d457b1cp-12, 0x1.c28352ff79e7dp-12, 0x1.b59bb3737f65fp-12, 0x1.a91280c18919bp-12, 0x1.9ce62088645e9p-12, 0x1.911563d279997p-12, 0x1.859f0ea29811dp-12, 0x1.7a81856c25ed2p-12, 0x1.6fba8af390befp-12, 0x1.654707d2ec3aap-12, 0x1.5b2311c58d4a4p-12, 0x1.514a66f47debcp-12, 0x1.47b93a0aad7e7p-12, 0x1.3e6ce6f0deba6p-12, 0x1.35643990c136ep-12, 0x1.2c9f2a1270ceep-12, 0x1.241e2e4601b7ap-12, 0x1.1be175c137772p-12, 0x1.13e865fb3be81p-12, 0x1.0c317bb03aeeap-12, 0x1.04ba9bb0596fdp-12, 0x1.fb035fb4c523cp-13, 0x1.ed0a164ab247bp-13, 0x1.df86391bdde6cp-13, 0x1.d2737c954aca3p-13, 0x1.c5cbdfcfe7ec6p-13, 0x1.b988a342c4613p-13, 0x1.ada3e8c79d288p-13, 0x1.a219b5d567adep-13, 0x1.96e7d7b971fddp-13, 0x1.8c0d0fd58e9f2p-13, 0x1.8188291634cc2p-13, 0x1.7757286054465p-13, 0x1.6d76a429cbaa2p-13, 0x1.63e208bcc9f5fp-13, 0x1.5a95542de1c82p-13, 0x1.518ef9b65f1b7p-13, 0x1.48cfd3cf07828p-13, 0x1.40592421debabp-13, 0x1.382a9d367f5bap-13, 0x1.30423fb64da44p-13, 0x1.289e34ac9537ep-13, 0x1.213da742d239p-13, 0x1.1a1f866c780b8p-13, 0x1.13412968a083ap-13, 0x1.0c9e98d0465b2p-13, 0x1.0633cc7ad9b11p-13, 0x1.fffb2fee666ccp-14, 0x1.f3f3df29a8ca4p-14, 0x1.e84f5dfef09dp-14, 0x1.dd0bfd2f2e93cp-14, 0x1.d2273339c4cap-14, 0x1.c79d0bb113919p-14, 0x1.bd68d2ab90d18p-14, 0x1.b38539b858666p-14, 0x1.a9eb64e91910ep-14, 0x1.a094c16295f0dp-14, 0x1.9780512c30dc4p-14, 0x1.8eb357e3c37cbp-14, 0x1.8631cc7d55c42p-14, 0x1.7df81a650186dp-14, 0x1.75ff4e5fbad8dp-14, 0x1.6e45c1fbca09bp-14, 0x1.66cf3bc36595p-14, 0x1.5f9d4d3da2ca3p-14, 0x1.58aba9195b092p-14, 0x1.51f335c368185p-14, 0x1.4b6ddaccda6eap-14, 0x1.4517b0679cde5p-14, 0x1.3eee7c95c4455p-14, 0x1.38f12203f0759p-14, 0x1.331f9d39417f3p-14, 0x1.2d7b234adcaf6p-14, 0x1.28058fa12c72ep-14, 0x1.22bff2dab3057p-14, 0x1.1da9709a3d8c8p-14, 0x1.18bf51491d74fp-14, 0x1.13fc64f80185dp-14, 0x1.0f57c6a6354f8p-14, 0x1.0ac99ef9525e2p-14, 0x1.06536b10a50ap-14, 0x1.01fc90015d6d7p-14, 0x1.fb8d80adfc3c3p-15, 0x1.f35a8d0fbec72p-15, 0x1.eb5bdd77d646cp-15, 0x1.e39512b99dd2cp-15, 0x1.dc07934ec52p-15, 0x1.d4b0fba39379bp-15, 0x1.cd8dcb296e2d3p-15, 0x1.c6996a34aa5a4p-15, 0x1.bfced9ba2df2dp-15, 0x1.b92a3cf68f5dap-15, 0x1.b2a94112c6693p-15, 0x1.ac4a5a2a98c88p-15, 0x1.a60cb63e667d8p-15, 0x1.9fef95b52a003p-15, 0x1.99f34e36ce048p-15, 0x1.941888dc726e4p-15, 0x1.8e5f5096f4f09p-15, 0x1.88c6638332418p-15, 0x1.834cf6139c93ap-15, 0x1.7df3f874cb612p-15, 0x1.78b947aa17904p-15, 0x1.7396ab5c70a67p-15, 0x1.6e8c0aa158623p-15, 0x1.699a66daee851p-15, 0x1.64b7cc05c229bp-15, 0x1.5fded5cee2b5dp-15, 0x1.5b1967c310e8ap-15, 0x1.566e1bf5145e9p-15, 0x1.51d7b1418c73fp-15, 0x1.4d4f710553bp-15, 0x1.48d550cff95f2p-15, 0x1.446c82e262ab1p-15, 0x1.40151bf0a054bp-15, 0x1.3bcc6acb69baep-15, 0x1.379024f78a317p-15, 0x1.335f5c8a6c832p-15, 0x1.2f39d9384fb45p-15, 0x1.2b1f7249034d7p-15, }}, 
      {{-0x1.2f4b894aecf4ep+0, -0x1.2ce16a40330cfp+0, -0x1.28fd49c720c9dp+0, -0x1.23c7dc3ac67ffp+0, -0x1.1d6f01038dc16p+0, -0x1.16221fe394cc4p+0, -0x1.0e0fbfa1678c6p+0, -0x1.0563f719829b9p+0, -0x1.f88ef1c3d623bp-1, -0x1.e5be1a22e14f9p-1, -0x1.d296b2658a0ep-1, -0x1.bf51bde0ce47cp-1, -0x1.ac204032d2025p-1, -0x1.992bb5e383ffap-1, -0x1.8696aa6af2f42p-1, -0x1.747d5ccca5d33p-1, -0x1.62f668ac4f0d6p-1, -0x1.52136c1243fa4p-1, -0x1.41e1a5261e548p-1, -0x1.326a84e07eaa1p-1, -0x1.23b435d42d637p-1, -0x1.15c21673bbfaap-1, -0x1.08952772d6752p-1, -0x1.f858dc7d0a938p-2, -0x1.e10a9929d9ff8p-2, -0x1.cb379b04b4a64p-2, -0x1.b6d5d1b5146eap-2, -0x1.a3d97bdb2edc4p-2, -0x1.92358c6f91983p-2, -0x1.81dc01f904cf7p-2, -0x1.72be30d656e1ap-2, -0x1.64cd0247b66efp-2, -0x1.57f929677d2cap-2, -0x1.4c334f28bb694p-2, -0x1.416c36e6364c6p-2, -0x1.3794dbef2610cp-2, -0x1.2e9e89a88c1ffp-2, -0x1.267aee5ce1baap-2, -0x1.1f1c2a12b0295p-2, -0x1.1874d98c9eed7p-2, -0x1.12781e6b30af2p-2, -0x1.0d19a49e0beecp-2, -0x1.084da5bfbf41ap-2, -0x1.0408ea8bb7cc4p-2, -0x1.0040cb09264d2p-2, -0x1.f9d65a8b92d3p-3, -0x1.f3fd06d52792cp-3, -0x1.eee3913be0a4cp-3, -0x1.ea78fb38da4d9p-3, -0x1.e6ad496f69aebp-3, -0x1.e3717af2ca985p-3, -0x1.e0b7800f0b9fap-3, -0x1.de7230b828569p-3, -0x1.dc9542c3585a7p-3, -0x1.db15400b878d9p-3, -0x1.d9e77c9f36bp-3, -0x1.d9020cc35ba86p-3, -0x1.d85bbb9e3ec7ap-3, -0x1.d7ec017b4f346p-3, -0x1.d7aafac7c43e8p-3, -0x1.d7915f035ec4ep-3, -0x1.d79877fe9c1e2p-3, -0x1.d7ba1997b9a1p-3, -0x1.d7f0999be3d18p-3, -0x1.d836c80418924p-3, -0x1.d887e784e6de9p-3, -0x1.d8dfa66fc85cbp-3, -0x1.d93a17e60b1a1p-3, -0x1.d993ad5cc3fc2p-3, -0x1.d9e93070bf607p-3, -0x1.da37bd08acafp-3, -0x1.da7cbbc30f10ap-3, -0x1.dab5dcad72f02p-3, -0x1.dae11241f752ep-3, -0x1.dafc8ca956346p-3, -0x1.db06b543693p-3, -0x1.dafe2a73cd4d2p-3, -0x1.dae1bb92fc53dp-3, -0x1.dab0653d8463fp-3, -0x1.da694dfe259c4p-3, -0x1.da0bc2a1222fcp-3, -0x1.d9973379fa6fep-3, -0x1.d90b31387aedap-3, -0x1.d8676a29ff433p-3, -0x1.d7aba7bd7346dp-3, -0x1.d6d7cc1ccf8e2p-3, -0x1.d5ebcffa3c3c1p-3, -0x1.d4e7c084005a4p-3, -0x1.d3cbbd7ca13e6p-3, -0x1.d297f76b2a77cp-3, -0x1.d14cade950aa2p-3, -0x1.cfea2e0560b72p-3, -0x1.ce70d0c5b45ffp-3, -0x1.cce0f9cb628cbp-3, -0x1.cb3b1613d3441p-3, -0x1.c97f9adfc138ap-3, -0x1.c7af04b01cafbp-3, -0x1.c5c9d65ad336bp-3, -0x1.c3d0982ccbae1p-3, -0x1.c1c3d716a2a17p-3, -0x1.bfa423e0b58ccp-3, -0x1.bd72126b7ea72p-3, -0x1.bb2e38fb45a0bp-3, -0x1.b8d92f9683364p-3, -0x1.b6738f75943dbp-3, -0x1.b3fdf287fb5d6p-3, -0x1.b178f307aa35cp-3, -0x1.aee52b2292ceap-3, -0x1.ac4334a41ea18p-3, -0x1.a993a8afd02bp-3, -0x1.a6d71f7a4007fp-3, -0x1.a40e300523a62p-3, -0x1.a1396fe352ce4p-3, -0x1.9e5972fa0adacp-3, -0x1.9b6ecb2f63d4ap-3, -0x1.987a085611cabp-3, -0x1.957bb807750dap-3, -0x1.92746545358f9p-3, -0x1.8f6498969ba22p-3, -0x1.8c4cd7e17a683p-3, -0x1.892da63ef2d52p-3, -0x1.860784045576fp-3, -0x1.82daeeba19f81p-3, -0x1.7fa86111a3a59p-3, -0x1.7c7052e073bd4p-3, -0x1.7933391d9cc26p-3, -0x1.75f185db9412ap-3, -0x1.72aba846b182cp-3, -0x1.6f620ca4c8745p-3, -0x1.6c151c4d4c2afp-3, -0x1.68c53dad2b99ep-3, -0x1.6572d4493adfcp-3, -0x1.621e40bad542dp-3, -0x1.5ec7e0b5b9cd7p-3, -0x1.5b700f11c3b8ap-3, -0x1.581723c7ffa23p-3, -0x1.54bd740793f8ap-3, -0x1.51635234a31c2p-3, -0x1.4e090dfc58c46p-3, -0x1.4aaef458cbf68p-3, -0x1.47554fa3e7821p-3, -0x1.43fc67a1df892p-3, -0x1.40a4818bc4f04p-3, -0x1.3d4de0258d6c7p-3, -0x1.39f8c3c0a657p-3, -0x1.36a56a5141604p-3, -0x1.33540f788c84dp-3, -0x1.3004ec916d015p-3, -0x1.2cb838c406247p-3, -0x1.296e2901cccb2p-3, -0x1.2626f029df017p-3, -0x1.22e2bf023ac82p-3, -0x1.1fa1c44dda5d8p-3, -0x1.1c642cd7e19c4p-3, -0x1.192a237ac5542p-3, -0x1.15f3d138b4084p-3, -0x1.12c15d3af172dp-3, -0x1.0f92ece74666ap-3, -0x1.0c68a3e4afb7ep-3, -0x1.0942a42e909c3p-3, -0x1.06210e20c67ebp-3, -0x1.0304007c0ee61p-3, -0x1.ffd730fc6703bp-4, -0x1.f9afe3b70cdaap-4, -0x1.f3924dc09a879p-4, -0x1.ed7ea0d9f8646p-4, -0x1.e7750c092c809p-4, -0x1.e175bbba38f89p-4, -0x1.db80d9c58a971p-4, -0x1.d5968d904df45p-4, -0x1.cfb6fc133991ep-4, -0x1.c9e2480d897f4p-4, -0x1.c41891f14f308p-4, -0x1.be59f8189acf1p-4, -0x1.b8a696a2cab05p-4, -0x1.b2fe87c82ec93p-4, -0x1.ad61e3e3fc06fp-4, -0x1.a7d0c135ef66cp-4, -0x1.a24b345b66e8dp-4, -0x1.9cd1503ac3e8bp-4, -0x1.976325db31e11p-4, -0x1.9200c4c74cb56p-4, -0x1.8caa3ad82caeep-4, -0x1.875f947fa7323p-4, -0x1.8220dca4c19b3p-4, -0x1.7cee1cd1510aap-4, -0x1.77c75d2b95f96p-4, -0x1.72aca48a98151p-4, -0x1.6d9df890c3e0fp-4, -0x1.689b5d9170711p-4, -0x1.63a4d6c9a425p-4, -0x1.5eba6650420ep-4, -0x1.59dc0d1ee3a16p-4, -0x1.5509cb38680c9p-4, -0x1.50439f9712044p-4, -0x1.4b89883321523p-4, -0x1.46db822dee69p-4, -0x1.423989bb76ac7p-4, -0x1.3da39a39614bdp-4, -0x1.3919ae3449db9p-4, -0x1.349bbf6c66cb6p-4, -0x1.3029c6f55f822p-4, -0x1.2bc3bd072ea2ep-4, -0x1.2769994bc5b3ap-4, -0x1.231b52b2fa30ap-4, -0x1.1ed8df8e3e0f8p-4, -0x1.1aa2358fdeefdp-4, -0x1.167749da77991p-4, -0x1.1258110022264p-4, -0x1.0e447f1465d39p-4, -0x1.0a3c87893f353p-4, -0x1.06401d7c44806p-4, -0x1.024f3377a66f9p-4, -0x1.fcd37741c0139p-5, -0x1.f51f4f599dee8p-5, -0x1.ed81d1cfce43ap-5, -0x1.e5fae07a172f6p-5, -0x1.de8a5c7971c39p-5, -0x1.d730260327da8p-5, -0x1.cfec1d0f3fdf6p-5, -0x1.c8be208a45789p-5, -0x1.c1a60efc89be1p-5, -0x1.baa3c646577abp-5, -0x1.b3b723cb8b4d6p-5, -0x1.ace0045ef3e4ep-5, -0x1.a61e445bfd626p-5, -0x1.9f71bfa325f1dp-5, -0x1.98da51a552bd9p-5, -0x1.9257d55edb2e9p-5, -0x1.8bea259a4674bp-5, -0x1.85911c5a698f4p-5, -0x1.7f4c93be4a826p-5, -0x1.791c654e4ac94p-5, -0x1.73006a51861cp-5, -0x1.6cf87bc5e3982p-5, -0x1.670472648f5b1p-5, -0x1.612426a9f2253p-5, -0x1.5b5770d6a6964p-5, -0x1.559e28f2c5402p-5, -0x1.4ff826d31a237p-5, -0x1.4a65422b9a4cbp-5, -0x1.44e5523938a29p-5, -0x1.3f782ea5aeb79p-5, -0x1.3a1dae724eb4ep-5, -0x1.34d5a8b944198p-5, -0x1.2f9ff4753fc35p-5, -0x1.2a7c688051cb3p-5, -0x1.256adb9f4c8b6p-5, -0x1.206b248753d4bp-5, -0x1.1b7d19df9d883p-5, -0x1.16a092441fafdp-5, -0x1.11d56447b82f1p-5, -0x1.0d1b6674753dep-5, -0x1.08726f4c357f7p-5, -0x1.03da5566cae2cp-5, -0x1.fea5de2313859p-6, -0x1.f5b826b816796p-6, -0x1.eceb308cabbc8p-6, -0x1.e43ea976253b5p-6, -0x1.dbb23e8e94fep-6, -0x1.d3459d2cf82b9p-6, -0x1.caf8733905c42p-6, -0x1.c2ca6e2b06b2cp-6, -0x1.babb3bc09579cp-6, -0x1.b2ca8a09264eap-6, -0x1.aaf8073680591p-6, -0x1.a34361b2bf6b5p-6, -0x1.9bac4815becffp-6, -0x1.943269319137p-6, -0x1.8cd57415b8068p-6, -0x1.8595182a70606p-6, -0x1.7e7104b98bb13p-6, -0x1.7768ea2c9fbb1p-6, -0x1.707c782f3ba24p-6, -0x1.69ab5f85f3535p-6, -0x1.62f550e548f8fp-6, -0x1.5c59fd69b7b82p-6, -0x1.55d916841b19ap-6, -0x1.4f724dff85abdp-6, -0x1.49255604a06f3p-6, -0x1.42f1e11b1f16ep-6, -0x1.3cd7a22b45e01p-6, -0x1.36d64c85e0275p-6, -0x1.30ed93cebbf15p-6, -0x1.2b1d2c1ed40ccp-6, -0x1.2564c9f551746p-6, -0x1.1fc4223785ae6p-6, -0x1.1a3aea3f63b62p-6, -0x1.14c8d7d5fdcbdp-6, -0x1.0f6da151d7d49p-6, -0x1.0a28fce9517ep-6, -0x1.04faa26e6d0fbp-6, -0x1.ffc4920569932p-7, -0x1.f5bf51ae99bcep-7, -0x1.ebe4f4dd853b1p-7, -0x1.e234ed9a7c65dp-7, -0x1.d8aeaee931353p-7, -0x1.cf51accb8aa4cp-7, -0x1.c61d5c433cd77p-7, -0x1.bd113352f4dcdp-7, -0x1.b42ca8ffb5b86p-7, -0x1.ab6f3553017aep-7, -0x1.a2d8515dd8471p-7, -0x1.9a67773a39f0ep-7, -0x1.921c22112407p-7, -0x1.89f5ce22fb1bdp-7, -0x1.81f3f8b4c32d5p-7, -0x1.7a16201f2e722p-7, -0x1.725bc3e194cbp-7, -0x1.6ac4647faf97cp-7, -0x1.634f83d1d0b91p-7, -0x1.5bfca39e4bb93p-7, -0x1.54cb494d1e437p-7, -0x1.4dbaf8343184ep-7, -0x1.46cb373b7c45fp-7, -0x1.3ffb8d4beb759p-7, -0x1.394b82a76a69cp-7, -0x1.32baa0b01ebe8p-7, -0x1.2c4871e8efdd3p-7, -0x1.25f481e7d43b4p-7, -0x1.1fbe5d72364d6p-7, -0x1.19a5925e1209dp-7, -0x1.13a9afb3ee341p-7, -0x1.0dca4592d6d4bp-7, -0x1.0806e53d0590ep-7, -0x1.025f21186fabp-7, -0x1.f9a5195bbbdefp-8, -0x1.eec179506bc64p-8, -0x1.e4128da69a4bap-8, -0x1.d99784409e217p-8, -0x1.cf4f8d41ed609p-8, -0x1.c539daee17b6ap-8, -0x1.bb55a206f8a43p-8, -0x1.b1a2195dc7819p-8, -0x1.a81e7a2a9c0f4p-8, -0x1.9ec9ff99bf7eap-8, -0x1.95a3e7a052d4cp-8, -0x1.8cab71c90762dp-8, -0x1.83dfe045f7c68p-8, -0x1.7b4077846b848p-8, -0x1.72cc7df5c70c6p-8, -0x1.6a833c562fec9p-8, -0x1.6263fd952510ap-8, -0x1.5a6e0ed86f234p-8, -0x1.52a0bf689f303p-8, -0x1.4afb60ca9124fp-8, -0x1.437d46a3b14bfp-8, -0x1.3c25c6c56a3b5p-8, -0x1.34f43926516f9p-8, -0x1.2de7f7de0bb41p-8, -0x1.27005f1faa04p-8, -0x1.203ccd2fe532dp-8, -0x1.199ca274cd718p-8, -0x1.131f4230aa5bep-8, -0x1.0cc410a2158e7p-8, -0x1.068a739222d51p-8, -0x1.0071d432d9a25p-8, -0x1.f4f33a65ed5cfp-9, -0x1.e9427902613c8p-9, -0x1.ddd040020a24ap-9, -0x1.d29b70f42aca1p-9, -0x1.c7a2f192412c3p-9, -0x1.bce5ab9dc7335p-9, -0x1.b2628c6abef85p-9, -0x1.a818848a3cd7fp-9, -0x1.9e068b06f7ac5p-9, -0x1.942b972b9bb5ep-9, -0x1.8a86a6c61069p-9, -0x1.8116ba33a5153p-9, -0x1.77dad5ce0c839p-9, -0x1.6ed2019aa1f1ap-9, -0x1.65fb49422b222p-9, -0x1.5d55bc0bc7e33p-9, -0x1.54e06cd98c4cfp-9, -0x1.4c9a72251b8f2p-9, -0x1.4482e5fbafd18p-9, -0x1.3c98e5f7331a4p-9, -0x1.34db93345cd81p-9, -0x1.2d4a1245721c3p-9, -0x1.25e38b22fa498p-9, -0x1.1ea7291ca93dfp-9, -0x1.17941acb409f3p-9, -0x1.10a992089cca1p-9, -0x1.09e6c3e83499ep-9, -0x1.034ae8b5600ddp-9, -0x1.f9aa77eeaaf43p-10, -0x1.ed09f8fcdb9d8p-10, -0x1.e0b2d82c82f01p-10, -0x1.d4a39ff5eb9d2p-10, -0x1.c8dae0b8f8c1bp-10, -0x1.bd5730ed87ecbp-10, -0x1.b2172d0de1f5bp-10, -0x1.a719775c78313p-10, -0x1.9c5cb7d0492d6p-10, -0x1.91df9c901908ep-10, -0x1.87a0d7a9df55ep-10, -0x1.7d9f2326fd039p-10, -0x1.73d93d9603083p-10, -0x1.6a4dea077eb99p-10, -0x1.60fbf3aee9ep-10, -0x1.57e2295425868p-10, -0x1.4eff5f9ee24bdp-10, -0x1.4652703661002p-10, -0x1.3dda3a40649e9p-10, -0x1.3595a1816ec44p-10, -0x1.2d838eb87974dp-10, -0x1.25a2ef9500f0ep-10, -0x1.1df2b6b23e1bcp-10, -0x1.1671db9fbf9e2p-10, -0x1.0f1f5ae19c905p-10, -0x1.07fa35e338a5p-10, -0x1.010172daea0c2p-10, -0x1.f468394282d5ep-11, -0x1.e7228503ff246p-11, -0x1.da2ff01f0825ap-11, -0x1.cd8eaa0058b6ap-11, -0x1.c13cea3cd759dp-11, -0x1.b538f07c59782p-11, -0x1.a98104b2f24e4p-11, -0x1.9e13772e450cfp-11, -0x1.92eea0ce1d603p-11, -0x1.8810e30ce7ebbp-11, -0x1.7d78a7ef0386dp-11, -0x1.732461cb88704p-11, -0x1.69128af339f52p-11, -0x1.5f41a54465f76p-11, -0x1.55b039c2035e9p-11, -0x1.4c5cd8401e9ep-11, -0x1.4346173349be5p-11, -0x1.3a6a93a552db5p-11, -0x1.31c8f1be9bf7bp-11, -0x1.295fe05a85dap-11, -0x1.212dfcac1dfb7p-11, -0x1.1932226d3ce3cp-11, -0x1.116af2d1255dcp-11, -0x1.09d741e4313f5p-11, -0x1.0275d9fd5d2p-11, -0x1.f68b1ce2217e9p-12, -0x1.e88a7128f744dp-12, -0x1.dae76ebfd7d56p-12, -0x1.cd9fde80976fp-12, -0x1.c0b1941de4263p-12, -0x1.b41a6e26e2efbp-12, -0x1.a7d85645cdbcdp-12, -0x1.9be9423d61e3ep-12, -0x1.904b34311ff51p-12, -0x1.84fc39fea1fa3p-12, -0x1.79fa6cd32efp-12, -0x1.6f43f0b7ce4ep-12, -0x1.64d6f3ce3d10ep-12, -0x1.5ab1add057919p-12, -0x1.50d25fbf13bdap-12, -0x1.4737528b4c5ep-12, -0x1.3dded8bb4be48p-12, -0x1.34c74c471fb5bp-12, -0x1.2bef0f4a6596fp-12, -0x1.23548b9890fd3p-12, -0x1.1af632e073df1p-12, -0x1.12d28ca34c1ddp-12, -0x1.0ae8197b2d5d8p-12, -0x1.0335608214f87p-12, -0x1.f771ecba8847bp-13, -0x1.e8e33043a3bf3p-13, -0x1.dabbbef9b84a1p-13, -0x1.ccf8f79449f1ep-13, -0x1.bf984b8d79f05p-13, -0x1.b297385740cep-13, -0x1.a5f349ccd0d8ep-13, -0x1.99aa1c0513317p-13, -0x1.8db959bebd24ep-13, -0x1.821ebcf6f900ap-13, -0x1.76d80edb0dd6bp-13, -0x1.6be31d9fc9782p-13, -0x1.613db84099272p-13, -0x1.56e5ebd03a91bp-13, -0x1.4cd98d3d9c1bcp-13, -0x1.4316b6c1f1aep-13, -0x1.399b72ea3f703p-13, -0x1.3065da9da5d13p-13, -0x1.27740d6fdaf3dp-13, -0x1.1ec431cf89452p-13, -0x1.165477665231cp-13, -0x1.0e231a6d2759fp-13, -0x1.062e6656abcb4p-13, -0x1.fce96d2d9bb01p-14, -0x1.ede8eadb3441dp-14, -0x1.df5832f30021ep-14, -0x1.d13447076c7c4p-14, -0x1.c37a3aaa39374p-14, -0x1.b62733760019dp-14, -0x1.a9386a338b9e1p-14, -0x1.9cab2b3eef53bp-14, -0x1.907cd4d03e1c2p-14, -0x1.84aad32389776p-14, -0x1.79329bce70081p-14, -0x1.6e11a9c9a8c91p-14, -0x1.63457c7925506p-14, -0x1.58cb9c2f71565p-14, -0x1.4ea19fe5971f5p-14, -0x1.44c53108697e9p-14, -0x1.3b340e671f763p-14, -0x1.31ec0c2afe3aep-14, -0x1.28eb111d8d904p-14, -0x1.202f145d2d87cp-14, -0x1.17b61d38a252ep-14, -0x1.0f7e4471f69bep-14, -0x1.0785b488b913p-14, -0x1.ff954e8dd9baap-15, -0x1.f096c24e4353ep-15, -0x1.e20c5a6bdaa5ep-15, -0x1.d3f2b8186294cp-15, -0x1.c6468c702b92dp-15, -0x1.b9049f8992e89p-15, -0x1.ac29d3c9d949dp-15, -0x1.9fb3235a49247p-15, -0x1.939d9ab47fa45p-15, -0x1.87e6573e83d5bp-15, -0x1.7c8ab67fd0636p-15, -0x1.7186f228a0518p-15, -0x1.66da5adc9b2cp-15, -0x1.5c8006c8b4e51p-15, -0x1.52769b4a74e4cp-15, -0x1.48bb58e5f4857p-15, -0x1.3f4bf0b0cb95fp-15, -0x1.362640e55a448p-15, -0x1.2d483e12b5df6p-15, -0x1.24afd937d73bfp-15, -0x1.1c5aeb7000757p-15, -0x1.14473c83366a5p-15, -0x1.0c729704b4b78p-15, -0x1.04dae1bf8c338p-15, -0x1.fafc59f3f6b3ep-16, -0x1.ecb562510b3b8p-16, -0x1.dedd82f047927p-16, -0x1.d171774aa2dc6p-16, -0x1.c46dfac780f62p-16, -0x1.b7cfc55c05dafp-16, -0x1.ab939232c6cd8p-16, -0x1.9fb6252587004p-16, -0x1.94344f8bd9261p-16, -0x1.890aff0db097cp-16, -0x1.7e37591330fc2p-16, -0x1.73b6d0e4bcacbp-16, -0x1.69871f2c631e8p-16, -0x1.5fa616bca13fp-16, -0x1.5611717a7c13dp-16, -0x1.4cc6b8a683f49p-16, -0x1.43c35575376ccp-16, -0x1.3b04b7dfb7dfbp-16, -0x1.328876037bfb5p-16, -0x1.2a4c5595d9c07p-16, -0x1.224e45a099b4ep-16, -0x1.1a8c52ce3fae2p-16, -0x1.130498e709788p-16, -0x1.0bb5328239c0dp-16, -0x1.049c34f511f2ep-16, -0x1.fb6f77ebdaa22p-17, -0x1.ee0bc2fcf50e9p-17, -0x1.e109cef6a7c1cp-17, -0x1.d4666ada985e1p-17, -0x1.c81e7141722e2p-17, -0x1.bc2f04574e89cp-17, -0x1.b095865f2d52cp-17, -0x1.a54f7da85efddp-17, -0x1.9a5a5698e9c44p-17, -0x1.8fb329d30e649p-17, -0x1.85589ad2e0a4ep-17, -0x1.7b47928aeb61dp-17, -0x1.7179c83374031p-17, -0x1.67f49c9c1d48fp-17, -0x1.5eaf2ab6edf83p-17, -0x1.55aa291257d6fp-17, -0x1.4ce2eae35d8dcp-17, -0x1.445758d20553ap-17, -0x1.3c058ad3abd8fp-17, -0x1.33eb9b3ef3391p-17, -0x1.2c079aaf9f692p-17, -0x1.2457947f90153p-17, -0x1.1cd9a3c5b6aep-17, -0x1.158c09864d0d3p-17, -0x1.0e6d309bb28e3p-17, -0x1.077b9c42b97ecp-17, -0x1.00b5d59ccdeddp-17, -0x1.f434da62f3899p-18, -0x1.e75008ce4f89fp-18, -0x1.daba86a223221p-18, -0x1.ce71973bb4544p-18, -0x1.c272a05639a5cp-18, -0x1.b6bb73bd2cd2bp-18, -0x1.ab4a39abfb2d4p-18, -0x1.a01d08e00838p-18, -0x1.9531b4006ec8cp-18, -0x1.8a85f4ae4078ap-18, -0x1.8017a540b8121p-18, -0x1.75e4abe8b6edap-18, -0x1.6beb178b131c2p-18, -0x1.622913aedef99p-18, -0x1.589ce9387858bp-18, -0x1.4f44f534b7efcp-18, -0x1.461f980388f37p-18, -0x1.3d2b3c89d392ep-18, -0x1.346672b104156p-18, -0x1.2bd0081302cfep-18, -0x1.2366e593800c3p-18, -0x1.1b29db5b2e43p-18, -0x1.1317657d67de1p-18, -0x1.0b2dcc18006e8p-18, -0x1.036b6e43c5487p-18, -0x1.f79dc7006c514p-19, -0x1.e8ae25bbb62cap-19, -0x1.da06929cb2352p-19, -0x1.cba5f2a2fa6d4p-19, -0x1.bd8aa7406b5eep-19, -0x1.afb29b9c406ep-19, -0x1.a21be630cf443p-19, -0x1.94c4e42eb6d3p-19, -0x1.87abe809677d9p-19, -0x1.7acf2c908a165p-19, -0x1.6e2cf5242c93dp-19, -0x1.61c39d243764ap-19, -0x1.5591ad66180d4p-19, -0x1.49960254ef738p-19, -0x1.3dd1fb8d47f78p-19, -0x1.323766d9ebfe2p-19, -0x1.26df50e3dbca3p-19, -0x1.1bad8aa9bfe17p-19, -0x1.10af8b7f45c3p-19, -0x1.05e182df402bbp-19, -0x1.f684cbe8221fbp-20, -0x1.e1a203182a13fp-20, -0x1.cd17e4168e2ebp-20, -0x1.b8e40269c7a67p-20, -0x1.a50485d3f3d7fp-20, -0x1.917801daa520cp-20, -0x1.7e3d67b42b2c6p-20, -0x1.6b535c2f43b8cp-20, -0x1.58b7c2ad4a2c4p-20, -0x1.4668c17d8f403p-20, -0x1.3465716394a1fp-20, -0x1.22ad1001fb189p-20, -0x1.113e6b57fa3aep-20, -0x1.00181057080e2p-20, -0x1.de71471cb0a41p-21, -0x1.bd3dcfdafd49p-21, -0x1.9c93602d2a15fp-21, -0x1.7c6fe9ff3c218p-21, -0x1.5cd1c4f498d06p-21, -0x1.3db73863f8014p-21, -0x1.1f1e940f4d271p-21, -0x1.010647a8894bcp-21, }}, 
      {{-0x1.0675c05e5bd0ep-11, -0x1.f6ae145c9fcadp-10, -0x1.090eb5bb2f776p-8, -0x1.b1de0c57223a4p-8, -0x1.3327c2d1ad636p-7, -0x1.8ad4dccf1277bp-7, -0x1.d89fe5fbfd5e6p-7, -0x1.0b3a9160a7ad2p-6, -0x1.1fca830abc322p-6, -0x1.2845328b8f25p-6, -0x1.23881cf4d2a1fp-6, -0x1.10f73992e4b76p-6, -0x1.e0d2ebcef91bp-7, -0x1.842a1d9dfec35p-7, -0x1.0cf98db668bf5p-7, -0x1.f2f6300d82958p-9, 0x1.55aa670added2p-10, 0x1.ce98c43298e94p-8, 0x1.b6cd692132b43p-7, 0x1.4b7477669d343p-6, 0x1.c2a4bc6155ce4p-6, 0x1.1fe7e96efe07bp-5, 0x1.60eaeafa28539p-5, 0x1.a3d12517810e7p-5, 0x1.e8175f012367p-5, 0x1.16a126af8b5dfp-4, 0x1.396f91e5e6eefp-4, 0x1.5c41f05355e71p-4, 0x1.7ee7b172c2333p-4, 0x1.a134aa496463p-4, 0x1.c300facd73ce2p-4, 0x1.e428e6f07b6acp-4, 0x1.024653a1321c4p-3, 0x1.12081a3b137dfp-3, 0x1.214d87624caep-3, 0x1.300c026bf93d3p-3, 0x1.3e3a7cad61fd8p-3, 0x1.4bd1554dd93b9p-3, 0x1.58ca3d730c723p-3, 0x1.65201de2f08cp-3, 0x1.70cefd939ab15p-3, 0x1.7bd3e9c5d0d83p-3, 0x1.862cdf61ca698p-3, 0x1.8fd8b5e4399fdp-3, 0x1.98d70b5f0e075p-3, 0x1.a128320115958p-3, 0x1.a8cd1e7d97169p-3, 0x1.afc75831bfaafp-3, 0x1.b618e9dc25bddp-3, 0x1.bbc453973cb34p-3, 0x1.c0cc7dd15f456p-3, 0x1.c534ad2ccbe91p-3, 0x1.c9007740fec4bp-3, 0x1.cc33b82eea282p-3, 0x1.ced288f6fc7ffp-3, 0x1.d0e1367d2afaap-3, 0x1.d2643974882acp-3, 0x1.d3602e67255dap-3, 0x1.d3d9cee4ca57p-3, 0x1.d3d5eabf0f205p-3, 0x1.d35962119e789p-3, 0x1.d2691fbdc0ebp-3, 0x1.d10a14262fa02p-3, 0x1.cf4130808a2bdp-3, 0x1.cd13628217931p-3, 0x1.ca85906c1541p-3, 0x1.c79c9574bc7b8p-3, 0x1.c45d3e858c3a2p-3, 0x1.c0cc47584dd13p-3, 0x1.bcee57c58b30bp-3, 0x1.b8c8018ae08cap-3, 0x1.b45dbe2037866p-3, 0x1.afb3ed19664afp-3, 0x1.aaced27dcd451p-3, 0x1.a5b2952dd4ac3p-3, 0x1.a0633e8804b19p-3, 0x1.9ae4b8816a631p-3, 0x1.953acdfe4f2dcp-3, 0x1.8f69299ae9a08p-3, 0x1.8973551442d7fp-3, 0x1.835cb9f632638p-3, 0x1.7d28a0b991de6p-3, 0x1.76da30d90f5dfp-3, 0x1.7074717165a01p-3, 0x1.69fa491511007p-3, 0x1.636e7e3ce8441p-3, 0x1.5cd3b7e328f87p-3, 0x1.562c7dd2aa71bp-3, 0x1.4f7b395fc5f75p-3, 0x1.48c235d42d4e5p-3, 0x1.4203a183cd284p-3, 0x1.3b418ddf5be8bp-3, 0x1.347df0c68f59p-3, 0x1.2dbaa50087721p-3, 0x1.26f96b0c1aea3p-3, 0x1.203bea42683f6p-3, 0x1.1983b1324a471p-3, 0x1.12d2371108046p-3, 0x1.0c28dc1b578bap-3, 0x1.0588ea9843b0fp-3, 0x1.fde72f849ccep-4, 0x1.f0d4088e2e395p-4, 0x1.e3da7ac1b87fp-4, 0x1.d6fc7ad4ab676p-4, 0x1.ca3bd92c3777dp-4, 0x1.bd9a43d9e5b74p-4, 0x1.b119478d94ce3p-4, 0x1.a4ba5171c0f2cp-4, 0x1.987eb07399679p-4, 0x1.8c67968c643a2p-4, 0x1.80761a32503aep-4, 0x1.74ab3780fec98p-4, 0x1.6907d14c6c24ap-4, 0x1.5d8cb24c875cbp-4, 0x1.523a8e530e05dp-4, 0x1.471202f6ff237p-4, 0x1.3c1398970cbb5p-4, 0x1.313fc3b3a6b15p-4, 0x1.2696e561fd6a1p-4, 0x1.1c194c59e60c4p-4, 0x1.11c7362c93aebp-4, 0x1.07a0cfc048669p-4, 0x1.fb4c6cb73ac3dp-5, 0x1.e7aef1d9a3376p-5, 0x1.d469301aefd69p-5, 0x1.c17b0eba23909p-5, 0x1.aee45ca01c3e7p-5, 0x1.9ca4d1826cdc6p-5, 0x1.8abc0ecf5a83p-5, 0x1.7929a26f28661p-5, 0x1.67ed0752a677bp-5, 0x1.5705a666fe9cfp-5, 0x1.4672d7f7f790bp-5, 0x1.3633e5bb85fefp-5, 0x1.26480a34e2852p-5, 0x1.16ae747e94a49p-5, 0x1.0766464dd8e14p-5, 0x1.f0dd2f042b524p-6, 0x1.d38cea47ef07cp-6, 0x1.b6d9c87429216p-6, 0x1.9ac1c2393e913p-6, 0x1.7f42c20989144p-6, 0x1.645aa69e66efep-6, 0x1.4a0741871b921p-6, 0x1.30465c643dcb4p-6, 0x1.1715b786d7ee2p-6, 0x1.fce618d13e6fdp-7, 0x1.ccb81de09c752p-7, 0x1.9d9cd94971ed8p-7, 0x1.6f8fa623180dep-7, 0x1.428bd20b5d9f3p-7, 0x1.168cace2dd388p-7, 0x1.d71b06b936184p-8, 0x1.831344e9ed7d7p-8, 0x1.30f8b56c57c1bp-8, 0x1.c183f7a10eb83p-9, 0x1.24cb94b54cc8ep-9, 0x1.176b7a840c4d7p-10, -0x1.39fe6ea0682dbp-14, -0x1.37af7a4a27e0ap-10, -0x1.2a73b5fc444dcp-9, -0x1.b5b5c4bcb3043p-9, -0x1.1ed7d1fb994a6p-8, -0x1.613966e7826dap-8, -0x1.a20846b6181fcp-8, -0x1.e14cf6dda9239p-8, -0x1.0f87ebef95fa7p-7, -0x1.2dac9a19af8a3p-7, -0x1.4b18948711206p-7, -0x1.67cfd9bb52b36p-7, -0x1.83d657db27789p-7, -0x1.9f2fe71708b96p-7, -0x1.b9e04fddd6f1bp-7, -0x1.d3eb43ff1b063p-7, -0x1.ed5462496832p-7, -0x1.030f9bd2442d7p-6, -0x1.0f279d2f17a1ap-6, -0x1.1af3e6a3d86d5p-6, -0x1.26761ebfe5bdep-6, -0x1.31afe44ee5408p-6, -0x1.3ca2c8828e61fp-6, -0x1.47505456297a4p-6, -0x1.51ba0588253bcp-6, -0x1.5be151342317ep-6, -0x1.65c7a024654dcp-6, -0x1.6f6e5386b2741p-6, -0x1.78d6c0a00c0e7p-6, -0x1.82023336efee9p-6, -0x1.8af1efea7b6ffp-6, -0x1.93a72db6d4a83p-6, -0x1.9c231d68c2b59p-6, -0x1.a466e5346e476p-6, -0x1.ac73a28104b66p-6, -0x1.b44a698a936d8p-6, -0x1.bbec473bb8f69p-6, -0x1.c35a3d81b8af9p-6, -0x1.ca954840eb958p-6, -0x1.d19e5a0f36392p-6, -0x1.d8765ddc55efep-6, -0x1.df1e36ea70a6fp-6, -0x1.e596c0b2ddad3p-6, -0x1.ebe0d09a54ef4p-6, -0x1.f1fd327bd9f1ep-6, -0x1.f7ecad694a828p-6, -0x1.fdb000bfa7115p-6, -0x1.01a3f301d9498p-5, -0x1.045a87eb24784p-5, -0x1.06fc15b1f26d4p-5, -0x1.0988ef9bf7b53p-5, -0x1.0c01667e1a3eap-5, -0x1.0e65c7bb0180cp-5, -0x1.10b65f908e24bp-5, -0x1.12f375f36c989p-5, -0x1.151d51d64dc2cp-5, -0x1.173437342e1b5p-5, -0x1.193867ba09933p-5, -0x1.1b2a234567f0dp-5, -0x1.1d09a7c8fe329p-5, -0x1.1ed730f38bbbcp-5, -0x1.2092f94783239p-5, -0x1.223d38bcdfd0dp-5, -0x1.23d6260e00e54p-5, -0x1.255df68211ccdp-5, -0x1.26d4ddf5fc09ap-5, -0x1.283b0efad66e9p-5, -0x1.2990baac8f6bep-5, -0x1.2ad610e17a803p-5, -0x1.2c0b4057f769cp-5, -0x1.2d3076d6eeae4p-5, -0x1.2e45e1839e27p-5, -0x1.2f4bac333a3d4p-5, -0x1.30420239909p-5, -0x1.31290dc168098p-5, -0x1.3200f84d46dedp-5, -0x1.32c9eadc7d73ep-5, -0x1.33840dfb99395p-5, -0x1.342f89c48835bp-5, -0x1.34cc85bd517a3p-5, -0x1.355b28d5e0c73p-5, -0x1.35db9985eb26p-5, -0x1.364dfe08d1cc1p-5, -0x1.36b27c59ee96dp-5, -0x1.37093a89363bp-5, -0x1.37525ea6f833fp-5, -0x1.378e0d6ad2fd9p-5, -0x1.37bc6ca910b52p-5, -0x1.37dda148da1cep-5, -0x1.37f1d0433c9ep-5, -0x1.37f91ed5d44d3p-5, -0x1.37f3b250f230cp-5, -0x1.37e1b00565f91p-5, -0x1.37c33d2ede71ap-5, -0x1.37987ef29b9b1p-5, -0x1.37619a804f1eep-5, -0x1.371eb5348d83ep-5, -0x1.36cff4d12fdd6p-5, -0x1.36757f36473bbp-5, -0x1.360f7a4ad4ca8p-5, -0x1.359e0c5db0349p-5, -0x1.35215b85042a1p-5, -0x1.34998e007bfafp-5, -0x1.3406ca7fd33f6p-5, -0x1.336937bb1df4ap-5, -0x1.32c0fcdc05298p-5, -0x1.320e4149a3736p-5, -0x1.31512ca3a3887p-5, -0x1.3089e69883cf9p-5, -0x1.2fb896f7b244ep-5, -0x1.2edd65bc7ab02p-5, -0x1.2df87b23b9e7dp-5, -0x1.2d09ffb6681adp-5, -0x1.2c121c6a6f6acp-5, -0x1.2b10fa30c2691p-5, -0x1.2a06c270e0a33p-5, -0x1.28f39e6ad6adfp-5, -0x1.27d7b7930861fp-5, -0x1.26b3377cd96dbp-5, -0x1.258647f070c75p-5, -0x1.245112f4643f5p-5, -0x1.2313c2cb008e4p-5, -0x1.21ce81dc58d94p-5, -0x1.20817aa9c2ceap-5, -0x1.1f2cd811baac2p-5, -0x1.1dd0c430d7a0fp-5, -0x1.1c6d69ee9bc56p-5, -0x1.1b02f428a0c0dp-5, -0x1.19918d8f00713p-5, -0x1.18196126e720dp-5, -0x1.169a9a05bc06p-5, -0x1.1515633efad0ap-5, -0x1.1389e81e77b9ep-5, -0x1.11f85357d3cebp-5, -0x1.1060d0148e93fp-5, -0x1.0ec3892cf3391p-5, -0x1.0d20a983171c4p-5, -0x1.0b785bf21876cp-5, -0x1.09cacb4ef9e9fp-5, -0x1.08182260b6d28p-5, -0x1.06608bd4ac89p-5, -0x1.04a4323306cdep-5, -0x1.02e33fd67d8ecp-5, -0x1.011ddee93636dp-5, -0x1.fea872cbf789ep-6, -0x1.fb0cf23699e32p-6, -0x1.f7698f5a31d38p-6, -0x1.f3be9d260ce5fp-6, -0x1.f00c6e28c924cp-6, -0x1.ec53547d00c55p-6, -0x1.e893a1b7354ccp-6, -0x1.e4cda6d779211p-6, -0x1.e101b419c7b4dp-6, -0x1.dd3019d08387fp-6, -0x1.d9592622d1c22p-6, -0x1.d57d288a0148bp-6, -0x1.d19c6e5f491c4p-6, -0x1.cdb745116a56p-6, -0x1.c9cdf9359e587p-6, -0x1.c5e0d6a6a2f5cp-6, -0x1.c1f028790081dp-6, -0x1.bdfc3905779c2p-6, -0x1.ba0551b254d85p-6, -0x1.b60bbb256d4c3p-6, -0x1.b20fbd1126ca3p-6, -0x1.ae119e621c9bfp-6, -0x1.aa11a52942619p-6, -0x1.a6101698c5619p-6, -0x1.a20d36ff7a4ep-6, -0x1.9e0949bf2ee0fp-6, -0x1.9a04913c8a081p-6, -0x1.95ff4f14a2479p-6, -0x1.91f9c3e0d36aap-6, -0x1.8df42e6951d6fp-6, -0x1.89eecdf4d5294p-6, -0x1.85e9df97be06p-6, -0x1.81e59fba9774cp-6, -0x1.7de249e88d052p-6, -0x1.79e0186dea4fdp-6, -0x1.75df44c94d839p-6, -0x1.71e007455bab3p-6, -0x1.6de2971ab6bc6p-6, -0x1.69e72a7e7194ap-6, -0x1.65edf685c0b28p-6, -0x1.61f72f2dcacbp-6, -0x1.5e03075d96125p-6, -0x1.5a11b0e622455p-6, -0x1.56235c86e7e5p-6, -0x1.523839eb0586ep-6, -0x1.4e5077a9f291p-6, -0x1.4a6c4344a5816p-6, -0x1.468bc92256479p-6, -0x1.42af348d46f49p-6, -0x1.3ed6afafd37ccp-6, -0x1.3b02639999d64p-6, -0x1.3732786f18a6dp-6, -0x1.336715031b0f3p-6, -0x1.2fa05efef5f28p-6, -0x1.2bde7b4bca43fp-6, -0x1.28218d9bc506cp-6, -0x1.2469b8de71f2fp-6, -0x1.20b71e8149bd7p-6, -0x1.1d09dedda42f5p-6, -0x1.1962198addd85p-6, -0x1.15bfecb96312bp-6, -0x1.122375b8cacf9p-6, -0x1.0e8cd0fe00f5dp-6, -0x1.0afc1983c907dp-6, -0x1.07716a18de29bp-6, -0x1.03ecdc0f136acp-6, -0x1.006e87fc51ab7p-6, -0x1.f9ed0ac10a5d1p-7, -0x1.f309d53fef0b7p-7, -0x1.ec3399f0776a4p-7, -0x1.e56a810d8e1ap-7, -0x1.deaeb0bbb872ap-7, -0x1.d8004d4b3aa43p-7, -0x1.d15f7984bbedap-7, -0x1.cacc56ea33b56p-7, -0x1.c44705d87dc8ap-7, -0x1.bdcfa57768f7dp-7, -0x1.b7665378a3fe6p-7, -0x1.b10b2bb5f31ffp-7, -0x1.aabe47c4b305bp-7, -0x1.a47fbeb7584c8p-7, -0x1.9e4fa4eb4ada4p-7, -0x1.982e0c5f2a64bp-7, -0x1.921b052eb5dbbp-7, -0x1.8c169e98a1dcbp-7, -0x1.8620e5d26b37p-7, -0x1.8039e9929f7c3p-7, -0x1.7a61b775db055p-7, -0x1.74985cab5368ep-7, -0x1.6edde57ccedb1p-7, -0x1.69325c3ab9712p-7, -0x1.6395c88163328p-7, -0x1.5e082eac5701p-7, -0x1.588990686c8cp-7, -0x1.5319ec6e4c80fp-7, -0x1.4db94046690e1p-7, -0x1.4867898650f86p-7, -0x1.4324c6281f33ep-7, -0x1.3df0f6255147ap-7, -0x1.38cc1aca57711p-7, -0x1.33b635f432d29p-7, -0x1.2eaf488ee161bp-7, -0x1.29b750c02f0aep-7, -0x1.24ce484667869p-7, -0x1.1ff4237de9e38p-7, -0x1.1b28d16c5bc52p-7, -0x1.166c3cf41c68ep-7, -0x1.11be4f08750e9p-7, -0x1.0d1ef175f65b8p-7, -0x1.088e11a0ca2fp-7, -0x1.040ba28d0459p-7, -0x1.ff2f3b3d2640fp-8, -0x1.f664037c90bb1p-8, -0x1.edb5a1d611eb3p-8, -0x1.e524193df390bp-8, -0x1.dcaf637bcfa78p-8, -0x1.d45769ee9345ep-8, -0x1.cc1c00d9d0463p-8, -0x1.c3fce696a8902p-8, -0x1.bbf9c712a7e1cp-8, -0x1.b412432ff4821p-8, -0x1.ac45fab727b4p-8, -0x1.a49496f03f9a9p-8, -0x1.9cfdd3bd18ea5p-8, -0x1.95818544feccap-8, -0x1.8e1f98deb4caep-8, -0x1.86d810d2fe43cp-8, -0x1.7faafb9ea807cp-8, -0x1.789868388d70cp-8, -0x1.71a0590f7b7dfp-8, -0x1.6ac2c0349a52ep-8, -0x1.63ff66a571db1p-8, -0x1.5d5606de30bb6p-8, -0x1.56c638461f77fp-8, -0x1.504f85f95a0f6p-8, -0x1.49f1765019a4bp-8, -0x1.43ab97ccc150fp-8, -0x1.3d7d8b887a64cp-8, -0x1.37670bb4962b5p-8, -0x1.3167ed07f5574p-8, -0x1.2b801afc05de7p-8, -0x1.25af8fac50691p-8, -0x1.1ff648ec2ee93p-8, -0x1.1a543d13d7aaep-8, -0x1.14c951d1761cap-8, -0x1.0f55569d7541p-8, -0x1.09f803ff49c7fp-8, -0x1.04b0ffc689c48p-8, -0x1.feffcac32e1a6p-9, -0x1.f4c8a049c032bp-9, -0x1.eabbc6ed620abp-9, -0x1.e0d8aa1c609d4p-9, -0x1.d71edacf4c6cfp-9, -0x1.cd8e103de7598p-9, -0x1.c4261d93195fep-9, -0x1.bae6e1bae6326p-9, -0x1.b1d03667e85c1p-9, -0x1.a8e1da79c7f2fp-9, -0x1.a01b64e740039p-9, -0x1.977c3d98e246bp-9, -0x1.8f03a1bf61b02p-9, -0x1.86b0a6a0e6658p-9, -0x1.7e8254b4dabafp-9, -0x1.7677bf6a78da1p-9, -0x1.6e901c577f967p-9, -0x1.66cad331e8debp-9, -0x1.5f2782ad0cf2cp-9, -0x1.57a5fac4e4c03p-9, -0x1.5046309da58d5p-9, -0x1.49082f6e93ab7p-9, -0x1.41ec0b8aba198p-9, -0x1.3af1d50f82c6dp-9, -0x1.341981d637a71p-9, -0x1.2d62eb15c546ap-9, -0x1.26cdaf2f9b22ep-9, -0x1.20593276fa125p-9, -0x1.1a049eab1860bp-9, -0x1.13cef5fe52972p-9, -0x1.0db7310bab07dp-9, -0x1.07bc5ecb12cd6p-9, -0x1.01ddba9192477p-9, -0x1.f835601446b64p-10, -0x1.ece59c1a8f511p-10, -0x1.e1cb64d7088c6p-10, -0x1.d6e5f84e7960ep-10, -0x1.cc3499682004bp-10, -0x1.c1b6ac5210a2fp-10, -0x1.b76bd5d155949p-10, -0x1.ad540263e4de6p-10, -0x1.a36f47ecf4e0ep-10, -0x1.99bdabf5c659ep-10, -0x1.903eea983fa56p-10, -0x1.86f25ba2e30cap-10, -0x1.7dd703f882172p-10, -0x1.74ebca0e7f768p-10, -0x1.6c2fb25fc1eefp-10, -0x1.63a204d3f2549p-10, -0x1.5b4244e048d46p-10, -0x1.530ffaa9e33fcp-10, -0x1.4b0a673b44c0fp-10, -0x1.433050122206ap-10, -0x1.3b800860d4f77p-10, -0x1.33f7be1e212b8p-10, -0x1.2c95e6fae7055p-10, -0x1.255990f65f2b3p-10, -0x1.1e426645611e9p-10, -0x1.175060d75ef24p-10, -0x1.10835c68f560dp-10, -0x1.09dacbe1dec94p-10, -0x1.0355be4098837p-10, -0x1.f9e655261615p-11, -0x1.ed64a2d3d73efp-11, -0x1.e125fcf7c9b5dp-11, -0x1.d52b1ba3255d2p-11, -0x1.c975661aa985cp-11, -0x1.be0621325602dp-11, -0x1.b2ddae94372d4p-11, -0x1.a7fa538c17dc6p-11, -0x1.9d58f40fdd119p-11, -0x1.92f4c71b7764p-11, -0x1.88c93a6bc6119p-11, -0x1.7ed3291a6f642p-11, -0x1.7511b6c8857c1p-11, -0x1.6b8617caed305p-11, -0x1.623257c1e86dfp-11, -0x1.5917c3fe83a55p-11, -0x1.5035e9062374bp-11, -0x1.478a91524e234p-11, -0x1.3f129b756106p-11, -0x1.36cb0c71dc63p-11, -0x1.2eb1dab9b44a5p-11, -0x1.26c635af1ad95p-11, -0x1.1f0848e35fc61p-11, -0x1.1778aeb1b104bp-11, -0x1.1017e31f0a0dfp-11, -0x1.08e5e2e7fc1d8p-11, -0x1.01e1e4e440ef2p-11, -0x1.f61444cda3495p-12, -0x1.e8b7c41d38b08p-12, -0x1.dba7fa22edcfcp-12, -0x1.cedf7a415080fp-12, -0x1.c25b452f7dd01p-12, -0x1.b61b630ee76fp-12, -0x1.aa224d6d77b9ep-12, -0x1.9e73754ba49cbp-12, -0x1.9311a2068cdf4p-12, -0x1.87fddc99a5844p-12, -0x1.7d373018c23dep-12, -0x1.72bb56919c96dp-12, -0x1.688813ba5fe64p-12, -0x1.5e9c1d9b91d4ap-12, -0x1.54f672cdf091p-12, -0x1.4b94b4b310deap-12, -0x1.427262141038fp-12, -0x1.3989d81f4fccdp-12, -0x1.30d63846e23f6p-12, -0x1.2854bb3c5f985p-12, -0x1.2004b4f55d592p-12, -0x1.17e6aa25c879fp-12, -0x1.0ffb3afa0bf44p-12, -0x1.08422365ddba1p-12, -0x1.00b96683921cbp-12, -0x1.f2bb018e99ff8p-13, -0x1.e456aa3f0807cp-13, -0x1.d644f59ab544bp-13, -0x1.c88aa32f6e83fp-13, -0x1.bb2e02aa869d3p-13, -0x1.ae3101b9d3665p-13, -0x1.a192a90bdc13fp-13, -0x1.9550e9ee1943cp-13, -0x1.896cdc3723e6ap-13, -0x1.7de73a029efebp-13, -0x1.72bce725ecacdp-13, -0x1.67e750be11c2cp-13, -0x1.5d5f50e38c783p-13, -0x1.531f78af99231p-13, -0x1.4924d132eca4cp-13, -0x1.3f6e72eac6841p-13, -0x1.35fc3a0e96438p-13, -0x1.2ccd240d42c72p-13, -0x1.23dea11cfdcd2p-13, -0x1.1b2d51d0e23ep-13, -0x1.12b51b702725p-13, -0x1.0a6fc3ea31719p-13, -0x1.0256e64cbbe0fp-13, -0x1.f4d53bef1549ep-14, -0x1.e56608e047821p-14, -0x1.d66e2fc8a1d3p-14, -0x1.c7e8ccfee02e4p-14, -0x1.b9c78bbb089e7p-14, -0x1.ac0909c30268fp-14, -0x1.9eba2891a0a9p-14, -0x1.91e2700c7c8bcp-14, -0x1.857a0561553f4p-14, -0x1.797166aef7ebap-14, -0x1.6dbb7fd360562p-14, -0x1.6250e7d8d90c4p-14, -0x1.572e814f9c54cp-14, -0x1.4c53e75de1ccp-14, -0x1.41c368508d4e9p-14, -0x1.378286043d9e3p-14, -0x1.2d98952deb38bp-14, -0x1.240aff5807812p-14, -0x1.1ad9eb101fc93p-14, -0x1.12002f62009dap-14, -0x1.0971c4d2be91bp-14, -0x1.011864540a2e6p-14, -0x1.f1c037c940df1p-15, -0x1.e19cab9525bdcp-15, -0x1.d1f2ffc253225p-15, -0x1.c2d14bd00d94ep-15, -0x1.b420772d6fc57p-15, -0x1.a5d6899d52648p-15, -0x1.9801465cd6f62p-15, -0x1.8aa899bc2d974p-15, -0x1.7dc88ad063976p-15, -0x1.715920a2e6fccp-15, -0x1.654f7edd4b482p-15, -0x1.59a0157e40d94p-15, -0x1.4e42a856cbee3p-15, -0x1.4332dcc6893aap-15, -0x1.38707db867e58p-15, -0x1.2df799b2abad9p-15, -0x1.23cbc35cda326p-15, -0x1.19edbd7935d8dp-15, -0x1.1061bdfac7c36p-15, -0x1.0729e09af7f9cp-15, -0x1.fc88afb83f977p-16, -0x1.eb60c311f213p-16, -0x1.dae4ac4997adap-16, -0x1.cb0bb6cb13609p-16, -0x1.bbb443e994f08p-16, -0x1.acdfb43ddf19dp-16, -0x1.9e9615bae42fbp-16, -0x1.909cbeb60412ap-16, -0x1.82d40efb14bap-16, -0x1.757b9b5c7e345p-16, -0x1.68bf72947c379p-16, -0x1.5c8106164c01bp-16, -0x1.50981310693f8p-16, -0x1.4505a53de16dcp-16, -0x1.39debd5420c92p-16, -0x1.2f2539a2e4b2dp-16, -0x1.24ca0289a354dp-16, -0x1.1ac06e172d4d5p-16, -0x1.11040a815358ap-16, -0x1.079493820d83cp-16, -0x1.fce3eb8d46f27p-17, }}, 
      {{0x1.f5a98f5791fb1p-4, 0x1.de22bc1c20c3cp-3, 0x1.4e86c4ba19e49p-2, 0x1.9944b513af1cbp-2, 0x1.cf35bdbfbed83p-2, 0x1.f1ba5965c63c8p-2, 0x1.0180eeb68f56ep-1, 0x1.02cdb980590a5p-1, 0x1.fc2d5642a626ep-2, 0x1.e9469053a8434p-2, 0x1.cf431d3f82d2ep-2, 0x1.b03cd1e832ff9p-2, 0x1.8e0502c7aeb65p-2, 0x1.6a241256059dfp-2, 0x1.45dcb1b361054p-2, 0x1.223174743d8f8p-2, 0x1.ffd71341d028dp-3, 0x1.bf43e199eb91ep-3, 0x1.838136575d13ep-3, 0x1.4d1e5d7836302p-3, 0x1.1c6e7464b4d54p-3, 0x1.e3270ace8c148p-4, 0x1.99109dfc6b74p-4, 0x1.5a5182d1a8648p-4, 0x1.267292a9af9cep-4, 0x1.f9b3fb75f27eep-5, 0x1.b9ab4e0aacf7dp-5, 0x1.8b4766bf9a43ap-5, 0x1.6cf3050568896p-5, 0x1.5d1291d56cf4ep-5, 0x1.5a0cf9b981bbcp-5, 0x1.625289e2b50a6p-5, 0x1.7462213020ba8p-5, 0x1.8eccfc24543f9p-5, 0x1.b0395bb3ec594p-5, 0x1.d7643b0f463f1p-5, 0x1.019122786f60dp-4, 0x1.193016f283a1fp-4, 0x1.32114b59e4d7fp-4, 0x1.4bc2c8b5dbbdcp-4, 0x1.65ddf0adfc785p-4, 0x1.8007040a878b6p-4, 0x1.99ec97a9cfedcp-4, 0x1.b346fde3e6d51p-4, 0x1.cbd7a98fafb78p-4, 0x1.e3688e2af9a64p-4, 0x1.f9cb809dc294bp-4, 0x1.076ccd20483a3p-3, 0x1.1139504e6dcd9p-3, 0x1.1a3e395dc7ce7p-3, 0x1.22713e864c5dep-3, 0x1.29ca9a43ea015p-3, 0x1.3044ccaedd506p-3, 0x1.35dc60ae9637p-3, 0x1.3a8fb505f9d08p-3, 0x1.3e5ec9277bba6p-3, 0x1.414b0da612147p-3, 0x1.43573843849a7p-3, 0x1.44871b3c6f65ap-3, 0x1.44df7fdc8941cp-3, 0x1.446604082a38ep-3, 0x1.4320faa039117p-3, 0x1.41174e9eed16p-3, 0x1.3e5068b2b2a88p-3, 0x1.3ad4173a48b99p-3, 0x1.36aa787a39064p-3, 0x1.31dbe6e6a8d9p-3, 0x1.2c70e75e42627p-3, 0x1.26721933fdc26p-3, 0x1.1fe827e6c4b58p-3, 0x1.18dbbe69779dp-3, 0x1.11557bdc21e84p-3, 0x1.095de99f9d19ep-3, 0x1.00fd72a382f06p-3, 0x1.f078b7b202ea5p-4, 0x1.de457b6bf11fdp-4, 0x1.cb70fd47b077ap-4, 0x1.b80a9c9fed677p-4, 0x1.a421438f775bbp-4, 0x1.8fc3609acf5ccp-4, 0x1.7afee1b41ba2dp-4, 0x1.65e1307ec5f6cp-4, 0x1.50772fa15f9e5p-4, 0x1.3acd39255412p-4, 0x1.24ef1d865d4d5p-4, 0x1.0ee823b061bfp-4, 0x1.f18612aa74a59p-5, 0x1.c514084b3aaf5p-5, 0x1.988d869f68b65p-5, 0x1.6c04e35da854cp-5, 0x1.3f8b71478eab6p-5, 0x1.133185387363cp-5, 0x1.ce0cfbe62e673p-6, 0x1.7631942d6e0d5p-6, 0x1.1eebdf24a4a55p-6, 0x1.90aa4d1cfb4aep-7, 0x1.ca13f8a7a77c3p-8, 0x1.d915642a01b5bp-10, -0x1.b38bbea8865a5p-9, -0x1.12e1322116f2dp-7, -0x1.b6b55dc1ce691p-7, -0x1.2c1fc1947b26cp-6, -0x1.7bb12d848c08p-6, -0x1.ca01948c3e1f8p-6, -0x1.0b8267b10e618p-5, -0x1.3157eeab6dd9p-5, -0x1.567c6c1d6ef8p-5, -0x1.7aeb731aa96b8p-5, -0x1.9ea1166cb6b2bp-5, -0x1.c199e29d61509p-5, -0x1.e3d2d77efd504p-5, -0x1.02a4b11e94d06p-4, -0x1.12fdabc88a8a7p-4, -0x1.22f376e41170dp-4, -0x1.32855bb3d9947p-4, -0x1.41b2cee3c8428p-4, -0x1.507b6e03e3b42p-4, -0x1.5edefd285c1b7p-4, -0x1.6cdd64abbeffp-4, -0x1.7a76af090dfa9p-4, -0x1.87ab06d8dd4bp-4, -0x1.947ab4ded292p-4, -0x1.a0e61e3578ca3p-4, -0x1.acedc28f408ffp-4, -0x1.b8923a55ab9acp-4, -0x1.c3d4351d8f089p-4, -0x1.ceb477fa076fp-4, -0x1.d933dbdd8b3c7p-4, -0x1.e3534c0a7a611p-4, -0x1.ed13c4baec535p-4, -0x1.f67651a066cc9p-4, -0x1.ff7c0c82e1c3p-4, -0x1.04130dfeff94p-3, -0x1.083ad9334bc08p-3, -0x1.0c3606396d4d5p-3, -0x1.1005383256797p-3, -0x1.13a91669462ffp-3, -0x1.17224bee9789fp-3, -0x1.1a71870eadcbp-3, -0x1.1d977903c15a2p-3, -0x1.2094d578cfbcap-3, -0x1.236a5235a817bp-3, -0x1.2618a6ccb84bbp-3, -0x1.28a08c2ae21bcp-3, -0x1.2b02bc6ea96b8p-3, -0x1.2d3ff282c62dfp-3, -0x1.2f58e9e02d85fp-3, -0x1.314e5e4d97067p-3, -0x1.33210b93e003dp-3, -0x1.34d1ad6660d45p-3, -0x1.3660fefdd9585p-3, -0x1.37cfbb080e1f6p-3, -0x1.391e9b6910045p-3, -0x1.3a4e59106535bp-3, -0x1.3b5fabdc81d02p-3, -0x1.3c534a5817884p-3, -0x1.3d29e9b5a0d01p-3, -0x1.3de43d9d1b46cp-3, -0x1.3e82f812543e6p-3, -0x1.3f06c959b862cp-3, -0x1.3f705fdfbeffdp-3, -0x1.3fc068247cba9p-3, -0x1.3ff78c962d2fep-3, -0x1.401675a16e3aap-3, -0x1.401dc979222c3p-3, -0x1.400e2c21d110bp-3, -0x1.3fe83f5a5422dp-3, -0x1.3faca289d9ebdp-3, -0x1.3f5bf2c896cbcp-3, -0x1.3ef6cac9bceb5p-3, -0x1.3e7dc2c89ba91p-3, -0x1.3df1709a7d917p-3, -0x1.3d526797388dfp-3, -0x1.3ca138a86f5c5p-3, -0x1.3bde722cf5ee2p-3, -0x1.3b0a9ffc6515p-3, -0x1.3a264b86278ap-3, -0x1.3931fba1f5dp-3, -0x1.382e34b901aep-3, -0x1.371b789273f5ep-3, -0x1.35fa46a9d7929p-3, -0x1.34cb1bd7f23d3p-3, -0x1.338e729a2037ap-3, -0x1.3244c2d934cabp-3, -0x1.30ee82396a62dp-3, -0x1.2f8c23dbdef33p-3, -0x1.2e1e188638038p-3, -0x1.2ca4cea374087p-3, -0x1.2b20b2327c21ep-3, -0x1.29922d132c10fp-3, -0x1.27f9a6b27adeep-3, -0x1.2657844cf3c99p-3, -0x1.24ac28e9335e4p-3, -0x1.22f7f558f4a3p-3, -0x1.213b483b61f2p-3, -0x1.1f767e34dacabp-3, -0x1.1da9f1a7d3074p-3, -0x1.1bd5fafdbc2bep-3, -0x1.19faf095c15d1p-3, -0x1.181926d0e4e07p-3, -0x1.1630f021532b8p-3, -0x1.14429cf22a85dp-3, -0x1.124e7bfeeedap-3, -0x1.1054d9f73cc3ap-3, -0x1.0e5601cd1b604p-3, -0x1.0c523c9d0183bp-3, -0x1.0a49d1d6c1de2p-3, -0x1.083d072025ed1p-3, -0x1.062c2079bfep-3, -0x1.04176024767cp-3, -0x1.01ff06e788e7ep-3, -0x1.ffc6a79366bddp-4, -0x1.fb8908c8f71dbp-4, -0x1.f745a977f8922p-4, -0x1.f2fcfea45f464p-4, -0x1.eeaf7a56359ep-4, -0x1.ea5d8bc05569p-4, -0x1.e6079f4ce2ap-4, -0x1.e1ae1ed920e92p-4, -0x1.dd51711b27dbap-4, -0x1.d8f1fa75ac5b9p-4, -0x1.d4901c7f9cd9bp-4, -0x1.d02c3667d24f6p-4, -0x1.cbc6a4e958c6dp-4, -0x1.c75fc256cb583p-4, -0x1.c2f7e68e72792p-4, -0x1.be8f6704ee4b8p-4, -0x1.ba2696e110ba5p-4, -0x1.b5bdc72983f6ep-4, -0x1.b155469f48a82p-4, -0x1.aced623a30672p-4, -0x1.a8866463be8f8p-4, -0x1.a4209596669eap-4, -0x1.9fbc3c31967b3p-4, -0x1.9b599ca7e2a5ep-4, -0x1.96f8f997c0983p-4, -0x1.929a93c330d67p-4, -0x1.8e3eaa055d756p-4, -0x1.89e5794e4057cp-4, -0x1.858f3cb106a1ep-4, -0x1.813c2d7925d4cp-4, -0x1.7cec83861d98dp-4, -0x1.78a074ba11aa4p-4, -0x1.745835b5d738p-4, -0x1.7013f9390feadp-4, -0x1.6bd3f05ed0957p-4, -0x1.67984aa70777p-4, -0x1.6361361430a0cp-4, -0x1.5f2edf4123156p-4, -0x1.5b0171653976bp-4, -0x1.56d91648ae41ep-4, -0x1.52b5f6382de98p-4, -0x1.4e98380869cdap-4, -0x1.4a8001223eb57p-4, -0x1.466d759af4365p-4, -0x1.4260b8809652fp-4, -0x1.3e59eb41bb72dp-4, -0x1.3a592e818dc6cp-4, -0x1.365ea15d2c5c8p-4, -0x1.326a61b4643a2p-4, -0x1.2e7c8c269b5b9p-4, -0x1.2a953c2c972ccp-4, -0x1.26b48c271848cp-4, -0x1.22da956e887c4p-4, -0x1.1f07704aebbc4p-4, -0x1.1b3b33eeec74dp-4, -0x1.1775f66cec9e5p-4, -0x1.13b7ccbc76dd8p-4, -0x1.1000cac6ee35p-4, -0x1.0c51037c2b26p-4, -0x1.08a888dbb3818p-4, -0x1.05076c184b6acp-4, -0x1.016dbd47ca4c6p-4, -0x1.fbb7179c8ee25p-5, -0x1.f4a1cbd2a51dfp-5, -0x1.ed9bb1f69379fp-5, -0x1.e6a4e2f6cdaa9p-5, -0x1.dfbd7617a6f2fp-5, -0x1.d8e5810b17fc3p-5, -0x1.d21d17fbcfe16p-5, -0x1.cb644d88a35c1p-5, -0x1.c4bb32bb868fep-5, -0x1.be21d6ff4e659p-5, -0x1.b798482648b0dp-5, -0x1.b11e92788ec01p-5, -0x1.aab4c0cd705c4p-5, -0x1.a45adca2651c8p-5, -0x1.9e10ee28aeb02p-5, -0x1.97d6fc49c2fe1p-5, -0x1.91ad0c955d499p-5, -0x1.8b932383a2527p-5, -0x1.858943c08432ep-5, -0x1.7f8f6f2078255p-5, -0x1.79a5a5fc6f60bp-5, -0x1.73cbe79311394p-5, -0x1.6e023206f4e59p-5, -0x1.6848826b2d79ep-5, -0x1.629ed4c623473p-5, -0x1.5d05240f4e424p-5, -0x1.577b6a2c2946p-5, -0x1.52019ff0ad38ap-5, -0x1.4c97bd25ca3aap-5, -0x1.473db8955a3abp-5, -0x1.41f388192b2f8p-5, -0x1.3cb920a870d4p-5, -0x1.378e766129db8p-5, -0x1.32737c8b5146ep-5, -0x1.2d68259b56a81p-5, -0x1.286c63353fa1dp-5, -0x1.23802626112bp-5, -0x1.1ea35e6125ae8p-5, -0x1.19d5fb446ce6cp-5, -0x1.1517eb0553705p-5, -0x1.10691bad22cbep-5, -0x1.0bc97a34d445fp-5, -0x1.0738f32200f17p-5, -0x1.02b77252cc898p-5, -0x1.fc89c611d5c1dp-6, -0x1.f3c25fd559625p-6, -0x1.eb18860c2bafbp-6, -0x1.e28c0ba6555b1p-6, -0x1.da1cc27a1815cp-6, -0x1.d1ca7b4e61fc5p-6, -0x1.c99505efc5517p-6, -0x1.c17c313e05ab5p-6, -0x1.b97fcb375e7a8p-6, -0x1.b19fa1010ecd8p-6, -0x1.a9db7eed15e95p-6, -0x1.a233307e6c268p-6, -0x1.9aa6806d98b17p-6, -0x1.933538af89b8dp-6, -0x1.8bdf227f865eap-6, -0x1.84a4066a22359p-6, -0x1.7d83ac5ae52ccp-6, -0x1.767ddba46c5d1p-6, -0x1.6f925b189eb58p-6, -0x1.68c0f0f436bafp-6, -0x1.6209630efa9e3p-6, -0x1.5b6b76bc2845ep-6, -0x1.54e6f0dd7fbfap-6, -0x1.4e7b95ef5fb2cp-6, -0x1.48292a059fa73p-6, -0x1.41ef70d62537ep-6, -0x1.3bce2dc3ebf8ap-6, -0x1.35c523e4706ddp-6, -0x1.2fd416101a787p-6, -0x1.29fac6e2a4c6fp-6, -0x1.2438f8c5eb07dp-6, -0x1.1e8e6df66653dp-6, -0x1.18fae887d53a8p-6, -0x1.137e2a699a9efp-6, -0x1.0e17f56b3e5b8p-6, -0x1.08c80b431a839p-6, -0x1.038e2d9e23f6ap-6, -0x1.fcd43c234c78ep-7, -0x1.f2b73c5355b01p-7, -0x1.e8c4df09763adp-7, -0x1.defca782ec62p-7, -0x1.d55e19323a7cap-7, -0x1.cbe8b76f0d7c3p-7, -0x1.c29c05deed906p-7, -0x1.b977883130426p-7, -0x1.b07ac267bc784p-7, -0x1.a7a538c9422b6p-7, -0x1.9ef67005d61d9p-7, -0x1.966deceee4cb6p-7, -0x1.8e0b3523ba112p-7, -0x1.85cdce6f23c24p-7, -0x1.7db53f2bb6c55p-7, -0x1.75c10e14b1e06p-7, -0x1.6df0c249e38d2p-7, -0x1.6643e3524ab23p-7, -0x1.5eb9f9268fb04p-7, -0x1.57528c46b5e2p-7, -0x1.500d25d6ea412p-7, -0x1.48e94fbd3bab4p-7, -0x1.41e694b831811p-7, -0x1.3b048067beb71p-7, -0x1.34429f4639854p-7, -0x1.2da07e9281827p-7, -0x1.271dac31a682cp-7, -0x1.20b9b6936a974p-7, -0x1.1a742c9c6f332p-7, -0x1.144c9db79aaaap-7, -0x1.0e4299df7cd77p-7, -0x1.0855b1da4ec33p-7, -0x1.0285776bdcea1p-7, -0x1.f9a2fb0a4679fp-8, -0x1.ee72b0c296f82p-8, -0x1.e3793b0119ac3p-8, -0x1.d8b5c70b24e89p-8, -0x1.ce2783f6c1dd4p-8, -0x1.c3cda22797b59p-8, -0x1.b9a752e5ae7fap-8, -0x1.afb3c8283ff28p-8, -0x1.a5f234edbbc89p-8, -0x1.9c61cd6422b99p-8, -0x1.9301c7ea99a6ap-8, -0x1.89d15dd40cdd8p-8, -0x1.80cfcbb2bd5e9p-8, -0x1.77fc51f7e9d7ap-8, -0x1.6f56347d998c1p-8, -0x1.66dcb9d6bc288p-8, -0x1.5e8f2a6f4e048p-8, -0x1.566ccf3d565e8p-8, -0x1.4e74f0ef462f2p-8, -0x1.46a6d77929ab7p-8, -0x1.3f01ca490b6d1p-8, -0x1.3785112ca83a4p-8, -0x1.302ff5c0003f5p-8, -0x1.2901c51a00dcbp-8, -0x1.21f9d1558560dp-8, -0x1.1b177294e71c9p-8, -0x1.145a0734743ebp-8, -0x1.0dc0f30af104cp-8, -0x1.074b9dcc74a2bp-8, -0x1.00f970daebdfdp-8, -0x1.f593a9e17807bp-9, -0x1.e978606a5b42dp-9, -0x1.dd9fca353da2ep-9, -0x1.d208a4d170d3fp-9, -0x1.c6b1a8e7145d1p-9, -0x1.bb998ea6a3ea7p-9, -0x1.b0bf136266cacp-9, -0x1.a620ff36ecd11p-9, -0x1.9bbe2999fa8a4p-9, -0x1.91957bd779704p-9, -0x1.87a5f0e648248p-9, -0x1.7dee92860db4cp-9, -0x1.746e7424fdf4dp-9, -0x1.6b24ac7fe6d2ep-9, -0x1.62104f1930852p-9, -0x1.593068c43c57bp-9, -0x1.5083f85c9b2c4p-9, -0x1.4809f5a4ccf8p-9, -0x1.3fc14df522153p-9, -0x1.37a8eca0b86abp-9, -0x1.2fbfc00b8cd8p-9, -0x1.2804bfe107387p-9, -0x1.2076f1e297e0ep-9, -0x1.19156c8aaafa3p-9, -0x1.11df5710b695fp-9, -0x1.0ad3e6df12964p-9, -0x1.03f25b0c1c3ecp-9, -0x1.fa73ed935c336p-10, -0x1.ed53f7e1f176cp-10, -0x1.e0834d8bf2f0dp-10, -0x1.d40057928e5dp-10, -0x1.c7c9700274f8dp-10, -0x1.bbdce7346c82ap-10, -0x1.b0390c6f7a35p-10, -0x1.a4dc37deff11dp-10, -0x1.99c4d3905132ep-10, -0x1.8ef161aa1f697p-10, -0x1.84607e81b13acp-10, -0x1.7a10de877a231p-10, -0x1.7001488119eap-10, -0x1.66308d4e834a8p-10, -0x1.5c9d7f938ab5ep-10, -0x1.5346e8fc5481ep-10, -0x1.4a2b8477bbb1ep-10, -0x1.4149fb83a28fbp-10, -0x1.38a0e9659de86p-10, -0x1.302edc51247edp-10, -0x1.27f2638096413p-10, -0x1.1fea1a486d692p-10, -0x1.1814b272b402bp-10, -0x1.1070faf0bfd45p-10, -0x1.08fde16f7ef8ap-10, -0x1.01ba6f0356d93p-10, -0x1.f54b854ae8d12p-11, -0x1.e77e144e37e26p-11, -0x1.da0af7dac813ep-11, -0x1.ccf0a0fa42374p-11, -0x1.c02d749c6cab5p-11, -0x1.b3bfc0213860bp-11, -0x1.a7a5a759817d8p-11, -0x1.9bdd2017a6cabp-11, -0x1.9063f56b4ce6bp-11, -0x1.8537d9473a2b3p-11, -0x1.7a567f416323ep-11, -0x1.6fbdb7cffba09p-11, -0x1.656b81fac71f7p-11, -0x1.5b5e0d854f471p-11, -0x1.5193af6be91a2p-11, -0x1.480ad1cd819f2p-11, -0x1.3ec1ea1f1156bp-11, -0x1.35b77ba1894ccp-11, -0x1.2cea2302290dp-11, -0x1.2458a120f5885p-11, -0x1.1c01da8b7f193p-11, -0x1.13e4c7d426b75p-11, -0x1.0c005c6d2e592p-11, -0x1.04537003eda4p-11, -0x1.f9b96b452fc06p-12, -0x1.eb35897155a8cp-12, -0x1.dd185e2cf3b4fp-12, -0x1.cf5f314790388p-12, -0x1.c207894423656p-12, -0x1.b50f219b315b5p-12, -0x1.a873beea477cep-12, -0x1.9c32f756ba7a7p-12, -0x1.904a1142a214dp-12, -0x1.84b6132097aap-12, -0x1.79740451e1613p-12, -0x1.6e813f8a987dap-12, -0x1.63dba82a1ec98p-12, -0x1.5981a17a93b02p-12, -0x1.4f71cafeea87p-12, -0x1.45aaa9da9bc91p-12, -0x1.3c2a736dc2217p-12, -0x1.32ef1693f937dp-12, -0x1.29f67854b7f6p-12, -0x1.213ebc8ee2cdfp-12, -0x1.18c673d465c64p-12, -0x1.108c9bd0ad0bap-12, -0x1.089073b391afp-12, -0x1.00d131d7b707p-12, -0x1.f29b66565296fp-13, -0x1.e40870e00f1d1p-13, -0x1.d5e4d3229b0f2p-13, -0x1.c82b155489218p-13, -0x1.bad5f5e94fcafp-13, -0x1.ade15fda63c47p-13, -0x1.a14af3881038fp-13, -0x1.9511cc067f207p-13, -0x1.893597c606e2ap-13, -0x1.7db5812a5f112p-13, -0x1.728f80e2a33c4p-13, -0x1.67c066fd9f097p-13, -0x1.5d44710c8e3bp-13, -0x1.531801abb88ccp-13, -0x1.493823fac418bp-13, -0x1.3fa2b607582e2p-13, -0x1.36563e254f765p-13, -0x1.2d519076b276ep-13, -0x1.249378e0de3e4p-13, -0x1.1c1a8126d6262p-13, -0x1.13e4c42c8eeep-13, -0x1.0befc8dc0e6a9p-13, -0x1.04388910b3276p-13, -0x1.f9778f90a9523p-14, -0x1.eaed3b9a1d59ap-14, -0x1.dccde99a5e268p-14, -0x1.cf176b25a9cfbp-14, -0x1.c1c92e0f8923cp-14, -0x1.b4e34ab0b8728p-14, -0x1.a86578eee414ep-14, -0x1.9c4e5f5d2296dp-14, -0x1.909b6cda57686p-14, -0x1.8549489af8f35p-14, -0x1.7a54a868f81dap-14, -0x1.6fbad8a2d9ecep-14, -0x1.657952f36d98cp-14, -0x1.5b8ccd1063aa4p-14, -0x1.51f0d9c08c574p-14, -0x1.48a08fc802234p-14, -0x1.3f979c8d3891ap-14, -0x1.36d2fdac8a02fp-14, -0x1.2e50ed38998cdp-14, -0x1.261048de7271bp-14, -0x1.1e0ffb28064a1p-14, -0x1.164e6dca91f87p-14, -0x1.0ec91912f5cdcp-14, -0x1.077cb0ae3c4fdp-14, -0x1.00664813bbb09p-14, -0x1.f3094671ba5f1p-15, -0x1.e5b01308fcaa1p-15, -0x1.d8c1ff2853cc4p-15, -0x1.cc3e67815b78cp-15, -0x1.c0221e4fe97dap-15, -0x1.b46a39aed7f88p-15, -0x1.a9153609e1d2ep-15, -0x1.9e2149863c3a9p-15, -0x1.938a9b46647e1p-15, -0x1.894ba0e58d806p-15, -0x1.7f5ebd57862f9p-15, -0x1.75bf748636ef4p-15, -0x1.6c6ac364030c1p-15, -0x1.635ed4abeb0e3p-15, -0x1.5a9a3aa5d2e3ep-15, -0x1.521b02cb9969cp-15, -0x1.49de5af653eb1p-15, -0x1.41e0ff9197f2cp-15, -0x1.3a1f520a786fcp-15, -0x1.3294b9f3a95e1p-15, -0x1.2b3ccc25e79f4p-15, -0x1.2416a9a48054p-15, -0x1.1d2571599029bp-15, -0x1.166b738ee3a89p-15, -0x1.0fe636d6853e6p-15, -0x1.09911cfa02ff7p-15, -0x1.036ae486269d4p-15, -0x1.faeb7f8614631p-16, -0x1.ef64f08804f49p-16, -0x1.e43c4cccddfe6p-16, -0x1.d96845a8918cdp-16, -0x1.cee0deaff3b9ep-16, -0x1.c4a0eaec7bcecp-16, -0x1.baa55f44f5f38p-16, -0x1.b0ec95bb67d43p-16, -0x1.a77645869e911p-16, -0x1.9e43a86df13bbp-16, -0x1.9556c5453a4ccp-16, -0x1.8cb0a79977bf9p-16, -0x1.844ff73c95908p-16, -0x1.7c310f997a448p-16, -0x1.744d45860119fp-16, -0x1.6c9969952ee42p-16, -0x1.650ba4e866a8ep-16, -0x1.5da5a1d4ebe16p-16, -0x1.56705040e7d5cp-16, -0x1.4f6d9ce6249f8p-16, -0x1.48978f7e4faf9p-16, -0x1.41eb42f213bdp-16, -0x1.3b6ac7647f5eep-16, -0x1.3516d1cb6d8dcp-16, -0x1.2eedbdb8efd0dp-16, -0x1.28ed359d61818p-16, -0x1.23124215afb1ep-16, -0x1.1d59b86067f7bp-16, -0x1.17c1255000b4p-16, -0x1.12470d8f34323p-16, -0x1.0cea3e15689d3p-16, -0x1.07aa6a32753d8p-16, -0x1.0286acdb747dp-16, -0x1.fafe8865143abp-17, -0x1.f128d70bd2b1cp-17, -0x1.e78c132302155p-17, -0x1.de26803d28dcap-17, -0x1.d4f6ed2bee517p-17, -0x1.cbfe378517a47p-17, -0x1.c3399dcb36df4p-17, -0x1.baa18bbf776a3p-17, -0x1.b235a6daf1bcp-17, -0x1.a9f6e305ff07ep-17, -0x1.a1d94c9c52c3p-17, -0x1.99d65f78d9af9p-17, -0x1.91f9a03971f71p-17, -0x1.8a4aa4fb70a93p-17, -0x1.82c308b869e8bp-17, -0x1.7b5ab9f17b86ep-17, -0x1.7411807fcaecp-17, -0x1.6ceae6999b5fp-17, -0x1.65e6d2947ba99p-17, -0x1.5f01f7260730ap-17, -0x1.583984ddf861ep-17, -0x1.518c403ccb107p-17, -0x1.4af9bf6725984p-17, -0x1.4481aaf2a5e1dp-17, }}, 
      {{-0x1.c0837d16c059ap+0, -0x1.a81dbd9c6ec51p+0, -0x1.892826138893dp+0, -0x1.685e2e98d122ap+0, -0x1.48a2577a9feap+0, -0x1.2b9894c62ca58p+0, -0x1.12110f18646b4p+0, -0x1.f8a3bd644ed1bp-1, -0x1.d493ebac8be12p-1, -0x1.b76859028e1dbp-1, -0x1.a05e5920134e8p-1, -0x1.8e9b0bb6b2d3ep-1, -0x1.814070659dc4ep-1, -0x1.777aa9e791fp-1, -0x1.7087c7eae3076p-1, -0x1.6bbbc77aed584p-1, -0x1.688204ad938c7p-1, -0x1.665cfd03702eep-1, -0x1.64e505c08a4bfp-1, -0x1.63c667c8f42f3p-1, -0x1.62bf30bbc0d5ep-1, -0x1.619ceea64fb8dp-1, -0x1.603a78bd353a5p-1, -0x1.5e7dd993635bfp-1, -0x1.5c566650bf527p-1, -0x1.59bb0847a9bdbp-1, -0x1.56a8baa0b85a9p-1, -0x1.53213b1c6d8d8p-1, -0x1.4f29eb25c421fp-1, -0x1.4acadd6189c6dp-1, -0x1.460e0b480a5d4p-1, -0x1.40feae420a754p-1, -0x1.3ba8b7d41fad3p-1, -0x1.361864a3ea01ap-1, -0x1.3059e685610cp-1, -0x1.2a7921fdbb5d5p-1, -0x1.24817c2d0f667p-1, -0x1.1e7db647cfa82p-1, -0x1.1877d448e5355p-1, -0x1.12790cba62bc9p-1, -0x1.0c89bfd902e5ep-1, -0x1.06b1748856d5cp-1, -0x1.00f6d9d8d090fp-1, -0x1.f6bf981a27de4p-2, -0x1.ebe2b88cb63d7p-2, -0x1.e15fb42fede4bp-2, -0x1.d73dbcede346ep-2, -0x1.cd82aef9c041p-2, -0x1.c433295b597ccp-2, -0x1.bb52a6cea69bdp-2, -0x1.b2e3968360684p-2, -0x1.aae7745f9b507p-2, -0x1.a35ee07e066a3p-2, -0x1.9c49b5b5146fbp-2, -0x1.95a71f0492f3bp-2, -0x1.8f75abd49e7a4p-2, -0x1.89b362f299f0fp-2, -0x1.845dd45c13dffp-2, -0x1.7f7229bbc55f4p-2, -0x1.7aed35ba8a71dp-2, -0x1.76cb8217bc712p-2, -0x1.73095c9bba714p-2, -0x1.6fa2e2f507bfep-2, -0x1.6c940d8307dd9p-2, -0x1.69d8b921283f8p-2, -0x1.676cafff2d148p-2, -0x1.654bb1947186ep-2, -0x1.637179bc4af0fp-2, -0x1.61d9c709f4968p-2, -0x1.6080606101ae7p-2, -0x1.5f6119e0cffa2p-2, -0x1.5e77d92db903p-2, -0x1.5dc09925a6ec4p-2, -0x1.5d376d0a131adp-2, -0x1.5cd8832a7b87p-2, -0x1.5ca0272235e3ap-2, -0x1.5c8ac3a62c97cp-2, -0x1.5c94e3fddb477p-2, -0x1.5cbb352064e3dp-2, -0x1.5cfa868c3cc95p-2, -0x1.5d4fcac8b2381p-2, -0x1.5db817b81df11p-2, -0x1.5e30a69dfdb82p-2, -0x1.5eb6d3ff708cbp-2, -0x1.5f481f5de56d3p-2, -0x1.5fe22ac6a5b9ep-2, -0x1.6082ba558ce4dp-2, -0x1.6127b389ffb0ep-2, -0x1.61cf1c91899efp-2, -0x1.62771b6bd806bp-2, -0x1.631df4f62319dp-2, -0x1.63c20bf95e816p-2, -0x1.6461e009f68bbp-2, -0x1.64fc0c9015388p-2, -0x1.658f47b528d52p-2, -0x1.661a615b680fbp-2, -0x1.669c42336b752p-2, -0x1.6713ea9514a31p-2, -0x1.6780719620439p-2, -0x1.67e103f383e4dp-2, -0x1.6834e2ec8f27cp-2, -0x1.687b634f1808cp-2, -0x1.68b3ec4c90625p-2, -0x1.68ddf685f1ffdp-2, -0x1.68f90b1ca229ep-2, -0x1.6904c2bc82bc2p-2, -0x1.6900c4d515e08p-2, -0x1.68ecc6ccc0c7ep-2, -0x1.68c88b3560279p-2, -0x1.6893e11c1ff95p-2, -0x1.684ea345a7078p-2, -0x1.67f8b7794c863p-2, -0x1.67920dce3b21dp-2, -0x1.671a9ff7a229dp-2, -0x1.6692709841f92p-2, -0x1.65f98aa82f2e3p-2, -0x1.655000d710b9bp-2, -0x1.6495ecfcf0ca9p-2, -0x1.63cb6f9be35efp-2, -0x1.62f0af63e3be1p-2, -0x1.6205d8bde9902p-2, -0x1.610b1d641afe2p-2, -0x1.6000b3fc3ef62p-2, -0x1.5ee6d7b48ded8p-2, -0x1.5dbdc7e5c5517p-2, -0x1.5c85c7ba14894p-2, -0x1.5b3f1dd0ca4cap-2, -0x1.59ea13e928014p-2, -0x1.5886f68f41579p-2, -0x1.571614cb69036p-2, -0x1.5597bfd520db6p-2, -0x1.540c4acac9978p-2, -0x1.52740a6d9c4f1p-2, -0x1.50cf54e1cb6abp-2, -0x1.4f1e817435debp-2, -0x1.4d61e85f4d72bp-2, -0x1.4b99e29f72d6fp-2, -0x1.49c6c9bd60225p-2, -0x1.47e8f7a67b182p-2, -0x1.4600c683852c5p-2, -0x1.440e90941939ap-2, -0x1.4212b00c171e8p-2, -0x1.400d7ef33358bp-2, -0x1.3dff5707215f8p-2, -0x1.3be891a00369ep-2, -0x1.39c98796465d6p-2, -0x1.37a2912998f89p-2, -0x1.357405ea56272p-2, -0x1.333e3ca59431dp-2, -0x1.31018b4d76098p-2, -0x1.2ebe46ed4c3a2p-2, -0x1.2c74c39240cf8p-2, -0x1.2a25543faed16p-2, -0x1.27d04adffb2fdp-2, -0x1.2575f838393fap-2, -0x1.2316abdc330cp-2, -0x1.20b2b4240647ep-2, -0x1.1e4a5e23c603dp-2, -0x1.1bddf5a2e1756p-2, -0x1.196dc5150f875p-2, -0x1.16fa1594afcfbp-2, -0x1.14832edd88c2p-2, -0x1.120957481fd0bp-2, -0x1.0f8cd3c60a7bep-2, -0x1.0d0de7e0488bcp-2, -0x1.0a8cd5b478103p-2, -0x1.0809ddf0ed42dp-2, -0x1.05853fd9003d1p-2, -0x1.02ff393f6754fp-2, -0x1.00780689482a2p-2, -0x1.fbdfc55abda5ep-3, -0x1.f6ce0e695f162p-3, -0x1.f1bb587cc09abp-3, -0x1.eca810fc96b36p-3, -0x1.e794a27c1e035p-3, -0x1.e28174c6aa49cp-3, -0x1.dd6eece366097p-3, -0x1.d85d6d1299e1fp-3, -0x1.d34d54dbac173p-3, -0x1.ce3f0114fedf4p-3, -0x1.c932cbe438838p-3, -0x1.c4290ccb7a5a6p-3, -0x1.bf2218acb19a9p-3, -0x1.ba1e41d658769p-3, -0x1.b51dd809c0adcp-3, -0x1.b021288833a76p-3, -0x1.ab287e130a33p-3, -0x1.a63420fa9c315p-3, -0x1.a144572d6a4bcp-3, -0x1.9c596436fe52ap-3, -0x1.97738952fed43p-3, -0x1.929305706d76bp-3, -0x1.8db8153f77e1p-3, -0x1.88e2f33c1152fp-3, -0x1.8413d7b904bf1p-3, -0x1.7f4af8e45b926p-3, -0x1.7a888ad94c627p-3, -0x1.75ccbfa61405fp-3, -0x1.7117c75798d12p-3, -0x1.6c69d002ae031p-3, -0x1.67c305ceda3a1p-3, -0x1.6323930477869p-3, -0x1.5e8ba00f6cf3p-3, -0x1.59fb538f09e94p-3, -0x1.5572d25a4e30ep-3, -0x1.50f23f8f916f5p-3, -0x1.4c79bc9dd2043p-3, -0x1.4809694f79bb9p-3, -0x1.43a163cd19f94p-3, -0x1.3f41c8a92e9f9p-3, -0x1.3aeab2e85453fp-3, -0x1.369c3c1838c4p-3, -0x1.32567c4a7c07ep-3, -0x1.2e198a2535cb1p-3, -0x1.29e57ae03055dp-3, -0x1.25ba625299cb2p-3, -0x1.2198530342f38p-3, -0x1.1d7f5e3315a67p-3, -0x1.196f93dea969p-3, -0x1.156902c6c394fp-3, -0x1.116bb86d08489p-3, -0x1.0d77c128b190dp-3, -0x1.098d28328e20bp-3, -0x1.05abf7aec7cdfp-3, -0x1.01d438ae0bff1p-3, -0x1.fc0be65ae9992p-4, -0x1.f4825c3975e0ap-4, -0x1.ed0bded7da587p-4, -0x1.e5a878336fe41p-4, -0x1.de58307cfd0dcp-4, -0x1.d71b0e0cdd21bp-4, -0x1.cff11571dd5eap-4, -0x1.c8da496a25728p-4, -0x1.c1d6ab0245631p-4, -0x1.bae639b1b6caep-4, -0x1.b408f36e334a7p-4, -0x1.ad3ed4afb0e0ep-4, -0x1.a687d86a8c584p-4, -0x1.9fe3f8104744ap-4, -0x1.99532ba00d5a4p-4, -0x1.92d569c341475p-4, -0x1.8c6aa7df228d1p-4, -0x1.8612da2fc77d1p-4, -0x1.7fcdf3b34339ep-4, -0x1.799be6284882dp-4, -0x1.737ca21e75834p-4, -0x1.6d7016fae8b1bp-4, -0x1.67763317b4c19p-4, -0x1.618ee3d8adf78p-4, -0x1.5bba15b0cf806p-4, -0x1.55f7b41e04b02p-4, -0x1.5047a9a3fa34ap-4, -0x1.4aa9dfd0298f6p-4, -0x1.451e3f4ab093ep-4, -0x1.3fa4afeed131cp-4, -0x1.3a3d18d726b53p-4, -0x1.34e76075e2b7dp-4, -0x1.2fa36c6fe91dp-4, -0x1.2a7121bf24125p-4, -0x1.2550649774f6p-4, -0x1.2041187d96b67p-4, -0x1.1b43205e157bdp-4, -0x1.16565e9239e71p-4, -0x1.117ab4f3698a8p-4, -0x1.0cb004db1a3edp-4, -0x1.07f62f1caba2fp-4, -0x1.034d1402c8d94p-4, -0x1.fd6926a868387p-5, -0x1.f45918c18972dp-5, -0x1.eb69bc23780d7p-5, -0x1.e29acdeffa6a9p-5, -0x1.d9ec0a9d0479fp-5, -0x1.d15d2e0647952p-5, -0x1.c8edf3485fe67p-5, -0x1.c09e14da79d06p-5, -0x1.b86d4c85c02ecp-5, -0x1.b05b53821963fp-5, -0x1.a867e28ee7b3cp-5, -0x1.a092b20929f21p-5, -0x1.98db79f68c34bp-5, -0x1.9141f2059157dp-5, -0x1.89c5d187f28b5p-5, -0x1.8266cf74d354p-5, -0x1.7b24a25e8f91dp-5, -0x1.73ff0096527dfp-5, -0x1.6cf5a034409e4p-5, -0x1.6608372841e54p-5, -0x1.5f367b4d798f5p-5, -0x1.5880226b1180cp-5, -0x1.51e4e234820c2p-5, -0x1.4b64703bd6532p-5, -0x1.44fe820bdbf44p-5, -0x1.3eb2cd0d5183ep-5, -0x1.388106ad7e51fp-5, -0x1.3268e4623463cp-5, -0x1.2c6a1bb9c7d27p-5, -0x1.2684626320778p-5, -0x1.20b76e30831cep-5, -0x1.1b02f516769afp-5, -0x1.1566ad2a071dbp-5, -0x1.0fe24ca1939e6p-5, -0x1.0a7589d9fecep-5, -0x1.05201b5fd0612p-5, -0x1.ffc36ff3ec7a8p-6, -0x1.f5742d6796589p-6, -0x1.eb51ddc88643ep-6, -0x1.e15bf060c64a8p-6, -0x1.d791d5182119cp-6, -0x1.cdf2fc73bb415p-6, -0x1.c47ed7934f4a3p-6, -0x1.bb34d83ac15c8p-6, -0x1.b21470c93ad1cp-6, -0x1.a91d147a07d24p-6, -0x1.a04e3724c686ep-6, -0x1.97a74d96b3162p-6, -0x1.8f27cd6987121p-6, -0x1.86cf2d199cf7dp-6, -0x1.7e9ce40303767p-6, -0x1.76906a60a1e22p-6, -0x1.6ea9394cd5d44p-6, -0x1.66e6cac554c6cp-6, -0x1.5f4899b204f6dp-6, -0x1.57ce21ee7a85fp-6, -0x1.5076e052eaaecp-6, -0x1.494252bbcb182p-6, -0x1.422ff80f372cp-6, -0x1.3b3f503fbbbddp-6, -0x1.346fdc4ce1aacp-6, -0x1.2dc11e4253011p-6, -0x1.2732993ae3deep-6, -0x1.20c3d15f15c08p-6, -0x1.1a744bde04e9ep-6, -0x1.14438f10e5b59p-6, -0x1.0e31225cb504ep-6, -0x1.083c8e4c4b6ep-6, -0x1.02655c8d04d89p-6, -0x1.f9562feb5a28cp-7, -0x1.ee1a98ffcf681p-7, -0x1.e3170e9e2c9c9p-7, -0x1.d84aad59c2491p-7, -0x1.cdb4940eb9b38p-7, -0x1.c353e3e69588cp-7, -0x1.b927c05a56bcfp-7, -0x1.af2f4f3790f5ap-7, -0x1.a569b8a405c6bp-7, -0x1.9bd62723f2f47p-7, -0x1.9273c79a88ac3p-7, -0x1.8941c94c0b939p-7, -0x1.803f5ddce6f02p-7, -0x1.776bb94fdf08bp-7, -0x1.6ec6120367fa4p-7, -0x1.664da0aec7117p-7, -0x1.5e01a062b8dc8p-7, -0x1.55e14e9cf120cp-7, -0x1.4debeb18dbdffp-7, -0x1.4620b7dfbf00ep-7, -0x1.3e7ef978f0fd5p-7, -0x1.3705f6b645742p-7, -0x1.2fb4f8e11f3e1p-7, -0x1.288b4b61e99cfp-7, -0x1.21883c087028dp-7, -0x1.1aab1af769203p-7, -0x1.13f33a9d5f4d4p-7, -0x1.0d5fefb387184p-7, -0x1.06f0913b23033p-7, -0x1.00a47890e1b42p-7, -0x1.f4f602878698ap-8, -0x1.e8e7126ef7622p-8, -0x1.dd1ae10aa7134p-8, -0x1.d19032fad1f9fp-8, -0x1.c645d13b29e14p-8, -0x1.bb3a891901aeep-8, -0x1.b06d2c30c29dcp-8, -0x1.a5dc90724da3dp-8, -0x1.9b8790293d52p-8, -0x1.916d0a0500053p-8, -0x1.878be11af40c9p-8, -0x1.7de2fcdf22d49p-8, -0x1.747149117bp-8, -0x1.6b35b5a13815ep-8, -0x1.622f368ba53c6p-8, -0x1.595cc3bc86ba3p-8, -0x1.50bd58f9b7b2ep-8, -0x1.484ff5d99909ap-8, -0x1.40139dcf0c0cdp-8, -0x1.3807583feaf72p-8, -0x1.302a30a8fb7a5p-8, -0x1.287b368227d86p-8, -0x1.20f97d94415fcp-8, -0x1.19a41d9fc791cp-8, -0x1.127a324f9610bp-8, -0x1.0b7adb07c9abcp-8, -0x1.04a53aa6367efp-8, -0x1.fbf0eeac01297p-9, -0x1.eee774fa12731p-9, -0x1.e22c616cd905ep-9, -0x1.d5be141f6239bp-9, -0x1.c99af450b24dcp-9, -0x1.bdc170d35abddp-9, -0x1.b2300087a611cp-9, -0x1.a6e5223010d57p-9, -0x1.9bdf5c41636bep-9, -0x1.911d3c3e0bbe7p-9, -0x1.869d55f16dde4p-9, -0x1.7c5e4287b7c2ap-9, -0x1.725e9fe6df7d1p-9, -0x1.689d105866941p-9, -0x1.5f183aa7f0a53p-9, -0x1.55cecab7f7c2ap-9, -0x1.4cbf726e7c712p-9, -0x1.43e8eac48a36ap-9, -0x1.3b49f4b53a11cp-9, -0x1.32e159cbd39eep-9, -0x1.2aadec211a5acp-9, -0x1.22ae85b63cec3p-9, -0x1.1ae2073f876a3p-9, -0x1.134756946593fp-9, -0x1.0bdd5d11cfb11p-9, -0x1.04a3064883c46p-9, -0x1.fb2e7e7c1df22p-10, -0x1.ed71ece68729ep-10, -0x1.e00e3963d69e8p-10, -0x1.d3014cfb82809p-10, -0x1.c6491bbc901e8p-10, -0x1.b9e3a846742bep-10, -0x1.adcf0686aacf9p-10, -0x1.a2095d0f3ddap-10, -0x1.9690e4ad991fep-10, -0x1.8b63e642e0593p-10, -0x1.8080b739f0e04p-10, -0x1.75e5b548d6fecp-10, -0x1.6b91426d75d8p-10, -0x1.6181c055f3feap-10, -0x1.57b5925b8967ep-10, -0x1.4e2b17fd5b64bp-10, -0x1.44e0b3cd916f1p-10, -0x1.3bd4cbd6a2039p-10, -0x1.3305ce5242d72p-10, -0x1.2a72353ce7099p-10, -0x1.221889286cc4ap-10, -0x1.19f762a3cdd52p-10, -0x1.120d69f6d030ap-10, -0x1.0a59554538e62p-10, -0x1.02d9e57e30b2cp-10, -0x1.f71bc56ede59bp-11, -0x1.e8e8315ba960dp-11, -0x1.db16a83718675p-11, -0x1.cda4c2cc8b33fp-11, -0x1.c09019bbd2a3dp-11, -0x1.b3d648d8c9053p-11, -0x1.a774f4a7ed321p-11, -0x1.9b69d089d72bp-11, -0x1.8fb2a36f6ce3bp-11, -0x1.844d4c948640bp-11, -0x1.7937c32ef1e53p-11, -0x1.6e7015495a0d2p-11, -0x1.63f463b6db4f8p-11, -0x1.59c2dc8cf5bb2p-11, -0x1.4fd9b693f0341p-11, -0x1.4637289da4407p-11, -0x1.3cd966b9673c6p-11, -0x1.33bea1037ebcep-11, -0x1.2ae50771d72aep-11, -0x1.224ac5e61215p-11, -0x1.19ee108b8eadap-11, -0x1.11cd29d2e2d4ep-11, -0x1.09e668686a0d4p-11, -0x1.02383b1c92dc2p-11, -0x1.f5825322807b2p-12, -0x1.e6ffa41096b3bp-12, -0x1.d8e5cb5fccd9ep-12, -0x1.cb3248c5cd2dp-12, -0x1.bde2b09177c0bp-12, -0x1.b0f4a3127be6ap-12, -0x1.a465c633878fdp-12, -0x1.9833b65396358p-12, -0x1.8c5c036e9c06bp-12, -0x1.80dc28fbb3622p-12, -0x1.75b19220bc60bp-12, -0x1.6ad9a411da229p-12, -0x1.6051ce27487b6p-12, -0x1.56179a05f2e78p-12, -0x1.4c28b5e19ba61p-12, -0x1.4282f56f8d946p-12, -0x1.39244ad878ab1p-12, -0x1.300abd2802b45p-12, -0x1.2734629d89eeap-12, -0x1.1e9f622432e5ep-12, -0x1.1649f9e6d41abp-12, -0x1.0e3284fe41fb5p-12, -0x1.06577a3e6a7e9p-12, -0x1.fd6ec45fd886ap-13, -0x1.eea18fa7d6f6bp-13, -0x1.e04456a2a6754p-13, -0x1.d253fa05654a5p-13, -0x1.c4cd460c1120ep-13, -0x1.b7ad0c565e268p-13, -0x1.aaf03f3834502p-13, -0x1.9e940075de4c6p-13, -0x1.92959ae6f5612p-13, -0x1.86f268c1c7d47p-13, -0x1.7ba7b3d47de8cp-13, -0x1.70b2a363a459bp-13, -0x1.6610469edc0cdp-13, -0x1.5bbdbabeec9e6p-13, -0x1.51b859ef172bp-13, -0x1.47fdd8225eef6p-13, -0x1.3e8c3b8da9d19p-13, -0x1.3561b3b8b1e7ep-13, -0x1.2c7c66f695e2dp-13, -0x1.23da542cf5915p-13, -0x1.1b7959061dbb1p-13, -0x1.1357553e0cbd4p-13, -0x1.0b7254053d4bap-13, -0x1.03c8a57e5a18bp-13, -0x1.f8b1bc66291eep-14, -0x1.ea437bb9c15cap-14, -0x1.dc440cbe6f3ap-14, -0x1.ceb08a8fb9e05p-14, -0x1.c185959797331p-14, -0x1.b4bef88e1c091p-14, -0x1.a8584c4bed363p-14, -0x1.9c4d4571bee42p-14, -0x1.909a55ecb269bp-14, -0x1.853cf20d0e1a3p-14, -0x1.7a336c994b283p-14, -0x1.6f7c7338c1b81p-14, -0x1.65166fada5774p-14, -0x1.5aff29e1f97b6p-14, -0x1.5133cde767db1p-14, -0x1.47b14052a7532p-14, -0x1.3e7484055706bp-14, -0x1.357b01c2be7ffp-14, -0x1.2cc29e49b1d64p-14, -0x1.2449a20b20702p-14, -0x1.1c0e87966f68dp-14, -0x1.140fcd1bfc946p-14, -0x1.0c4bd52c4816p-14, -0x1.04c0ce0fc4b9ep-14, -0x1.fad93a35db441p-15, -0x1.ec99c4fd947c8p-15, -0x1.debe51538529p-15, -0x1.d14261f560a64p-15, -0x1.c4226c3fe69dfp-15, -0x1.b75c08596d0a2p-15, -0x1.aaedb9c5d18eep-15, -0x1.9ed66a6458068p-15, -0x1.9314d8b6de4ccp-15, -0x1.87a73810c9c96p-15, -0x1.7c8b1c93c662p-15, -0x1.71bdb88582023p-15, -0x1.673c4faa1a802p-15, -0x1.5d047f226b578p-15, -0x1.53140417b5d25p-15, -0x1.49683bc6b83c1p-15, -0x1.3ffdf31f4185cp-15, -0x1.36d1c16f976f7p-15, -0x1.2de09ba308da3p-15, -0x1.2528319156ddfp-15, -0x1.1ca6e0b34cffcp-15, -0x1.145b63d10983fp-15, -0x1.0c4481636333p-15, -0x1.0460c1e9416c8p-15, -0x1.f95c6a9c92444p-16, -0x1.ea551720f6a7ep-16, -0x1.dba75eb59aa4dp-16, -0x1.cd5108086c0f6p-16, -0x1.bf515b07ec2c8p-16, -0x1.b1a7bdc028107p-16, -0x1.a45348c0de296p-16, -0x1.975129c734679p-16, -0x1.8a9f1c85c204fp-16, -0x1.7e3b80db5f0ccp-16, -0x1.7224996590decp-16, -0x1.66579dee1b413p-16, -0x1.5ad0f0328e019p-16, -0x1.4f8cf599182c6p-16, -0x1.4488b64c2231ep-16, -0x1.39c2095496dc7p-16, -0x1.2f376b41df1adp-16, -0x1.24e794503033bp-16, -0x1.1ad0fb66215bp-16, -0x1.10f1a6ade0548p-16, -0x1.074765ec97dd2p-16, -0x1.fb9fbf227d11cp-17, -0x1.e910826bdb569p-17, -0x1.d6dbb74683909p-17, -0x1.c4ffbc116729p-17, -0x1.b37f0f332d8c7p-17, -0x1.a25b54f8e145ap-17, -0x1.91914c2e53538p-17, -0x1.811b92b5d1911p-17, -0x1.70f8450305962p-17, -0x1.61290792b8565p-17, -0x1.51ae1205968e6p-17, -0x1.4283dfc59e8f9p-17, -0x1.33a530cd742bep-17, -0x1.250d7afe744ffp-17, -0x1.16b9a879468edp-17, -0x1.08a7beef5b47dp-17, -0x1.f5acff8b87846p-18, -0x1.da8ac7f38da1bp-18, -0x1.bfe961ad4fcdcp-18, -0x1.a5ca21d18af01p-18, -0x1.8c2d6729c33a9p-18, -0x1.7311267c7ad8p-18, -0x1.5a710f6f9f433p-18, -0x1.4245d767d569fp-18, -0x1.2a83b97f6533fp-18, -0x1.1320624e17cb6p-18, -0x1.f83a251ab39ddp-19, -0x1.cb0489fa4254bp-19, -0x1.9ea2d499abf51p-19, -0x1.73084777b1d85p-19, -0x1.482e61af99f99p-19, -0x1.1e18737ad2c15p-19, -0x1.e98e2e3eff8f5p-20, -0x1.986cacfd0d4fep-20, -0x1.48c1e4012cd12p-20, -0x1.f501b6cdbaf9fp-21, -0x1.5b379d6f2d3e9p-21, -0x1.881f76be9ed09p-22, -0x1.7be589ed1bff2p-24, 0x1.8a4094d2e5b2ep-23, 0x1.e42a03a555589p-22, 0x1.7f212d6bd921p-21, 0x1.04d89a0efd94ap-20, 0x1.48e2e10e29853p-20, 0x1.8bb0bc9ae647cp-20, 0x1.cd4680d55b07fp-20, 0x1.06d3b46fd131bp-19, 0x1.266951785b961p-19, 0x1.45673c93b9d04p-19, 0x1.63d547d43947dp-19, 0x1.81b427035c55bp-19, 0x1.9f034af942506p-19, 0x1.bbceb48a12c47p-19, 0x1.d81d11ad7758cp-19, 0x1.f3e39776f653ap-19, 0x1.078daa4039f0ep-18, 0x1.14e56e11ce86ap-18, 0x1.21fd2d7162643p-18, 0x1.2ed53293fe0ecp-18, 0x1.3b6bf6a864564p-18, 0x1.47c1b70264c09p-18, 0x1.53d83deb6617bp-18, 0x1.5fb1188e1ce4ap-18, 0x1.6b4d10f487124p-18, 0x1.76ac8c1654455p-18, 0x1.81cfe644f504dp-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.e226ba1137488p-9, 0x1.e30c344a34f35p-8, 0x1.6b65e465d72dbp-7, 0x1.e6959d29fe356p-7, 0x1.31be05df55bf9p-6, 0x1.713c619ae027ap-6, 0x1.b1f18258dfc03p-6, 0x1.f4047625f4806p-6, 0x1.1bcbb882b0056p-5, 0x1.3e63d1bdeb95ap-5, 0x1.61d6958333f64p-5, 0x1.862d8c3c6cceep-5, 0x1.ab6fc44175f8cp-5, 0x1.d1a1e577ce38bp-5, 0x1.f8c64ac567d51p-5, 0x1.106e8ffcc751cp-4, 0x1.24f2417d14121p-4, 0x1.39ec5396813bcp-4, 0x1.4f59fd1df1df1p-4, 0x1.6537a4bb10e6p-4, 0x1.7b80f399c278dp-4, 0x1.9230e7dce6ac2p-4, 0x1.a941e6a02d028p-4, 0x1.c0adcd6216375p-4, 0x1.d86e02b907384p-4, 0x1.f07b863e65639p-4, 0x1.04677fd0d6846p-3, 0x1.10b0666d715ap-3, 0x1.1d1487bc22aefp-3, 0x1.298fdc836e9bbp-3, 0x1.361e4b4c15cfep-3, 0x1.42bbadb4c9b4cp-3, 0x1.4f63d559e0aeep-3, 0x1.5c129054cdaadp-3, 0x1.68c3ad5794dfdp-3, 0x1.7572ff68e76a2p-3, 0x1.821c6145a7ff4p-3, 0x1.8ebbb86cebea8p-3, 0x1.9b4cf7db79e9dp-3, 0x1.a7cc227bee541p-3, 0x1.b4354d5096d71p-3, 0x1.c084a15c013bdp-3, 0x1.ccb65d4d2b6eap-3, 0x1.d8c6d6f41d35bp-3, 0x1.e4b27c837d76bp-3, 0x1.f075d5a38c77fp-3, 0x1.fc0d845acb19dp-3, 0x1.03bb22e8164c9p-2, 0x1.0956797556018p-2, 0x1.0ed74068dbcdap-2, 0x1.143c00a8dc3bfp-2, 0x1.19835193d8e9bp-2, 0x1.1eabd91b5f674p-2, 0x1.23b44bd4f46a9p-2, 0x1.289b6d02511cap-2, 0x1.2d600e91f2091p-2, 0x1.32011118e7d27p-2, 0x1.367d63c6b0e5cp-2, 0x1.3ad40453d5c68p-2, 0x1.3f03feebe728dp-2, 0x1.430c6e13646eap-2, 0x1.46ec7a8a03791p-2, 0x1.4aa35b29c129fp-2, 0x1.4e3054c30e24bp-2, 0x1.5192b9f65e2d4p-2, 0x1.54c9eb0b6245cp-2, 0x1.57d555c6119b9p-2, 0x1.5ab47539b7ccap-2, 0x1.5d66d19a258bcp-2, 0x1.5fec000b23bf9p-2, 0x1.6243a26e40dbbp-2, 0x1.646d672f0e00bp-2, 0x1.6669090ddb485p-2, 0x1.68364ee90a1b8p-2, 0x1.69d50b84fb4b2p-2, 0x1.6b451d52b26cbp-2, 0x1.6c866e352cb93p-2, 0x1.6d98f3458b88ap-2, 0x1.6e7cac9610a8fp-2, 0x1.6f31a4f404bf3p-2, 0x1.6fb7f1a894e65p-2, 0x1.700fb238b36a1p-2, 0x1.7039102417545p-2, 0x1.70343ea35d6f7p-2, 0x1.70017a656e5e7p-2, 0x1.6fa1094c2cddcp-2, 0x1.6f133a2890af4p-2, 0x1.6e58647633064p-2, 0x1.6d70e8166d00ep-2, 0x1.6c5d2d0b1aa5bp-2, 0x1.6b1da33114e08p-2, 0x1.69b2c1fa795b1p-2, 0x1.681d0828dcc93p-2, 0x1.665cfb877154ep-2, 0x1.647328a53e31bp-2, 0x1.6260228f7de3ap-2, 0x1.6024828c2f1a2p-2, 0x1.5dc0e7d4f9fc4p-2, 0x1.5b35f7526a56fp-2, 0x1.58845b57a47f5p-2, 0x1.55acc35e95cbbp-2, 0x1.52afe3c4be18ep-2, 0x1.4f8e75889571cp-2, 0x1.4c493607ac307p-2, 0x1.48e0e6bd83671p-2, 0x1.45564d0335cp-2, 0x1.41aa31cff930ep-2, 0x1.3ddd617a816b4p-2, 0x1.39f0ab7b55f41p-2, 0x1.35e4e230193eap-2, 0x1.31bada9fd3b3ap-2, 0x1.2d736c4044d8bp-2, 0x1.290f70bc40bf2p-2, 0x1.248fc3bb22f73p-2, 0x1.1ff542a95bde4p-2, 0x1.1b40cc8216853p-2, 0x1.1673419a03f08p-2, 0x1.118d836b49ef4p-2, 0x1.0c907462974bdp-2, 0x1.077cf7ad614b8p-2, 0x1.0253f1094b5dfp-2, 0x1.fa2c8929757e4p-3, 0x1.ef89ad4128925p-3, 0x1.e4c117064b9p-3, 0x1.d9d48ed87bc67p-3, 0x1.cec5dc74d2c1cp-3, 0x1.c396c6a2c0a11p-3, 0x1.b84912e32e7b8p-3, 0x1.acde8521f6e7ap-3, 0x1.a158df699f895p-3, 0x1.95b9e19967e04p-3, 0x1.8a03491d92137p-3, 0x1.7e36d0a9ecc2dp-3, 0x1.72562ff69978ep-3, 0x1.66631b7f07d1dp-3, 0x1.5a5f44432395dp-3, 0x1.4e4c578aaa57bp-3, 0x1.422bfeaaacfc8p-3, 0x1.35ffdecd2c76fp-3, 0x1.29c998bad7de8p-3, 0x1.1d8ac8a6dc0c7p-3, 0x1.114505fcc4bf9p-3, 0x1.04f9e33069fefp-3, 0x1.f155db1fb9153p-4, 0x1.d8b35a2eb44a5p-4, 0x1.c00f488e5ea77p-4, 0x1.a76c9ff730562p-4, 0x1.8ece4e8d0674cp-4, 0x1.763736968214cp-4, 0x1.5daa2e3827efp-4, 0x1.4529ff3332335p-4, 0x1.2cb966a811d09p-4, 0x1.145b14dc80c51p-4, 0x1.f8235a0a6c031p-5, 0x1.c7bf8a26187fp-5, 0x1.978fcb075a121p-5, 0x1.6799126b42aa9p-5, 0x1.37e03a7f7eebp-5, 0x1.086a0197de36fp-5, 0x1.b27613d4b104ep-6, 0x1.54afb2a3144b5p-6, 0x1.ef13645611214p-7, 0x1.361956eb4cb42p-7, 0x1.fa07ed7a5fe41p-9, -0x1.bd13222087f7ap-10, -0x1.d887e57277368p-8, -0x1.9f534fea5c796p-7, -0x1.2860c89dce15fp-6, -0x1.804020e1a1d6fp-6, -0x1.d740b1359ef5p-6, -0x1.16adda7f4f39ap-5, -0x1.414551467474ap-5, -0x1.6b639586c848p-5, -0x1.95059d38d846ap-5, -0x1.be287ba5f8f29p-5, -0x1.e6c9615241e81p-5, -0x1.0772cdf0ebb71p-4, -0x1.1b3d4afcd8d09p-4, -0x1.2ec2eb8dfcec4p-4, -0x1.420281c00849p-4, -0x1.54faedf33828ep-4, -0x1.67ab1eb43f2bbp-4, -0x1.7a1210a235d37p-4, -0x1.8c2ece52a0355p-4, -0x1.9e007033a2885p-4, -0x1.af861c6c63afp-4, -0x1.c0bf06bbc3902p-4, -0x1.d1aa705559738p-4, -0x1.e247a7bce65fcp-4, -0x1.f29608a03a3cp-4, -0x1.014a7dd7cd98fp-3, -0x1.0921fb3a6316fp-3, -0x1.10d13d944d0b3p-3, -0x1.18580c43b6dcp-3, -0x1.1fb634d21c6f6p-3, -0x1.26eb8add4225ep-3, -0x1.2df7e7ffa39cfp-3, -0x1.34db2bb859395p-3, -0x1.3b953b527fe8dp-3, -0x1.422601cc2a24ap-3, -0x1.488d6fbce05ccp-3, -0x1.4ecb7b3bb6137p-3, -0x1.54e01fc505401p-3, -0x1.5acb5e1fc80f6p-3, -0x1.608d3c429ff49p-3, -0x1.6625c538973d1p-3, -0x1.6b95090597e08p-3, -0x1.70db1c8aa3dc3p-3, -0x1.75f81969da8adp-3, -0x1.7aec1dea45b02p-3, -0x1.7fb74cdb85f95p-3, -0x1.8459cd794ffd8p-3, -0x1.88d3cb4ed5e42p-3, -0x1.8d25761a0f9fp-3, -0x1.914f01aef8958p-3, -0x1.9550a5dabc99ep-3, -0x1.992a9e46e4de9p-3, -0x1.9cdd2a5c77b93p-3, -0x1.a0688d272ca18p-3, -0x1.a3cd0d389e6d9p-3, -0x1.a70af48b938b4p-3, -0x1.aa229067552e3p-3, -0x1.ad14314323847p-3, -0x1.afe02aa9c52ffp-3, -0x1.b286d31d3e547p-3, -0x1.b50883faa58ebp-3, -0x1.b765995e2beebp-3, -0x1.b99e720750ee4p-3, -0x1.bbb36f3d4a4c2p-3, -0x1.bda4f4b3a4336p-3, -0x1.bf73686f18cc8p-3, -0x1.c11f32aaa9c7cp-3, -0x1.c2a8bdbcfda1ap-3, -0x1.c41075fdfc3ccp-3, -0x1.c556c9acb8e34p-3, -0x1.c67c28d5a54abp-3, -0x1.c781053913c14p-3, -0x1.c865d2320a488p-3, -0x1.c92b049d6a20ap-3, -0x1.c9d112c16ca6ap-3, -0x1.ca58743575849p-3, -0x1.cac1a1ca4766ap-3, -0x1.cb0d15728fc3fp-3, -0x1.cb3b4a2bcb7fdp-3, -0x1.cb4cbbe79d022p-3, -0x1.cb41e77570999p-3, -0x1.cb1b4a6c9417cp-3, -0x1.cad96316a9075p-3, -0x1.ca7cb05a85b6ap-3, -0x1.ca05b1a77460ap-3, -0x1.c974e6e0e2ecfp-3, -0x1.c8cad04a7b5bdp-3, -0x1.c807ee74a15adp-3, -0x1.c72cc22961509p-3, -0x1.c639cc59c6535p-3, -0x1.c52f8e0ba0b67p-3, -0x1.c40e8847b543fp-3, -0x1.c2d73c085ecfdp-3, -0x1.c18a2a289877cp-3, -0x1.c027d35376b74p-3, -0x1.beb0b7f412d56p-3, -0x1.bd255825d9b7dp-3, -0x1.bb8633a55418bp-3, -0x1.b9d3c9c154c54p-3, -0x1.b80e994c93ef3p-3, -0x1.b637208fbbf58p-3, -0x1.b44ddd3bdfbbbp-3, -0x1.b2534c5d59adp-3, -0x1.b047ea4f1d19p-3, -0x1.ae2c32ae6cb8p-3, -0x1.ac00a04efc7f8p-3, -0x1.a9c5ad2f7ec66p-3, -0x1.a77bd26e9690ep-3, -0x1.a5238840352cap-3, -0x1.a2bd45e35a50ep-3, -0x1.a04981983f8e4p-3, -0x1.9dc8b096e1dd7p-3, -0x1.9b3b4705f2174p-3, -0x1.98a1b7f22a94fp-3, -0x1.95fc754603cfap-3, -0x1.934befc1c47acp-3, -0x1.909096f3fa4a3p-3, -0x1.8dcad932480c1p-3, -0x1.8afb23929726cp-3, -0x1.8821e1e49922dp-3, -0x1.853f7eabb2c27p-3, -0x1.82546319339f9p-3, -0x1.7f60f706e4deep-3, -0x1.7c65a0f1f600cp-3, -0x1.7962c5f63476dp-3, -0x1.7658c9c99cf1fp-3, -0x1.73480eb83692fp-3, -0x1.7030f5a0444f3p-3, -0x1.6d13ddeec2dc2p-3, -0x1.69f1259c2f9cp-3, -0x1.66c929299dd47p-3, -0x1.639c439e15c79p-3, -0x1.606ace8436a71p-3, -0x1.5d3521e827b17p-3, -0x1.59fb9455c43dfp-3, -0x1.56be7ad7136edp-3, -0x1.537e28f2fad19p-3, -0x1.503af0ac33d9ep-3, -0x1.4cf5228083542p-3, -0x1.49ad0d6823dd5p-3, -0x1.4662fed576b84p-3, -0x1.431742b4e8899p-3, -0x1.3fca236d0d7d1p-3, -0x1.3c7be9def4d6p-3, -0x1.392cdd66b5abdp-3, -0x1.35dd43dc28833p-3, -0x1.328d6193d7702p-3, -0x1.2f3d79601951cp-3, -0x1.2bedcc92663b6p-3, -0x1.289e9afcce2aap-3, -0x1.255022f3a100cp-3, -0x1.2202a14f3d2ecp-3, -0x1.1eb6516e12483p-3, -0x1.1b6b6d36b7d03p-3, -0x1.18222d1a3ef63p-3, -0x1.14dac816988d7p-3, -0x1.119573b927e0ep-3, -0x1.0e52642174503p-3, -0x1.0b11cc03f9b63p-3, -0x1.07d3dcad1a3c2p-3, -0x1.0498c60430b8bp-3, -0x1.0160b68eb5876p-3, -0x1.fc57b6e715eb2p-4, -0x1.f5f4c0fcb84ffp-4, -0x1.ef98e04629427p-4, -0x1.e9446702e99efp-4, -0x1.e2f7a4d169598p-4, -0x1.dcb2e6b6850a5p-4, -0x1.d676772524e72p-4, -0x1.d0429e06026ffp-4, -0x1.ca17a0bf8c049p-4, -0x1.c3f5c23df474dp-4, -0x1.bddd42fb57adp-4, -0x1.b7ce610804541p-4, -0x1.b1c95812d53eep-4, -0x1.abce6171a7097p-4, -0x1.a5ddb429f6264p-4, -0x1.9ff784f96d188p-4, -0x1.9a1c065eae7e5p-4, -0x1.944b68a20f192p-4, -0x1.8e85d9de6dbd9p-4, -0x1.88cb860a1dbcdp-4, -0x1.831c96ffcea9fp-4, -0x1.7d793487871f2p-4, -0x1.77e1845faa3e7p-4, -0x1.7255aa45f8727p-4, -0x1.6cd5c800a469ap-4, -0x1.6761fd675dde6p-4, -0x1.61fa686c67cdcp-4, -0x1.5c9f2525ab29cp-4, -0x1.57504dd5ca9a1p-4, -0x1.520dfaf533c58p-4, -0x1.4cd8433b2d71fp-4, -0x1.47af3ba6df7aep-4, -0x1.4292f7885a9bcp-4, -0x1.3d8388899064bp-4, -0x1.3880feb74e2cbp-4, -0x1.338b688a2260ep-4, -0x1.2ea2d2ef4477p-4, -0x1.29c7495167f05p-4, -0x1.24f8d5a188adfp-4, -0x1.2037805fa8503p-4, -0x1.1b8350a37cfcdp-4, -0x1.16dc4c25115d6p-4, -0x1.1242774559021p-4, -0x1.0db5d516aef34p-4, -0x1.09366765438d5p-4, -0x1.04c42ebf7cd05p-4, -0x1.005f2a7e40853p-4, -0x1.f80eb19a54a9cp-5, -0x1.ef796d65646e8p-5, -0x1.e6fe8030720b6p-5, -0x1.de9ddfa4052a2p-5, -0x1.d6577f4e3cc99p-5, -0x1.ce2b50b25ed14p-5, -0x1.c61943585396p-5, -0x1.be2144dbe156p-5, -0x1.b64340fbbdd62p-5, -0x1.ae7f21a8767adp-5, -0x1.a6d4cf131df8dp-5, -0x1.9f442fbbd29ep-5, -0x1.97cd28800653ap-5, -0x1.906f9ca8a69bcp-5, -0x1.892b6df7fdd63p-5, -0x1.82007cb76fee3p-5, -0x1.7aeea7c4fe086p-5, -0x1.73f5cca0918afp-5, -0x1.6d15c7791eafcp-5, -0x1.664e73398388ap-5, -0x1.5f9fa9953ff54p-5, -0x1.59094314e849cp-5, -0x1.528b17227957dp-5, -0x1.4c24fc155f113p-5, -0x1.45d6c73e5583bp-5, -0x1.3fa04cf30be89p-5, -0x1.398160999780ap-5, -0x1.3379d4b3aa453p-5, -0x1.2d897ae99b826p-5, -0x1.27b0241536bd2p-5, -0x1.21eda04c51f3ap-5, -0x1.1c41beeb372efp-5, -0x1.16ac4e9ec8c42p-5, -0x1.112d1d6e8a24p-5, -0x1.0bc3f8c65c50ep-5, -0x1.0670ad800a20dp-5, -0x1.013307ecae26p-5, -0x1.f815a7bba3bd2p-6, -0x1.edefb95cce7cfp-6, -0x1.e3f3da970ab6cp-6, -0x1.da21a079f7278p-6, -0x1.d0789f5b4959dp-6, -0x1.c6f86ae723a9bp-6, -0x1.bda096300f197p-6, -0x1.b470b3be6e0adp-6, -0x1.ab68559facd2cp-6, -0x1.a2870d7512993p-6, -0x1.99cc6c8217145p-6, -0x1.913803ba6b8f9p-6, -0x1.88c963cfa92c3p-6, -0x1.80801d3e97b0cp-6, -0x1.785bc05c11206p-6, -0x1.705bdd61a3e06p-6, -0x1.68800479bea5dp-6, -0x1.60c7c5cb8c2acp-6, -0x1.5932b18689391p-6, -0x1.51c057eda699ap-6, -0x1.4a7049621fb81p-6, -0x1.4342166e0b9c2p-6, -0x1.3c354fce81851p-6, -0x1.3549867d8268fp-6, -0x1.2e7e4bbb799a2p-6, -0x1.27d33118846dbp-6, -0x1.2147c87d61373p-6, -0x1.1adba43404321p-6, -0x1.148e56effc91cp-6, -0x1.0e5f73d66e9b2p-6, -0x1.084e8e85de99p-6, -0x1.025b3b1da5f67p-6, -0x1.f90a1c8a3a1cap-7, -0x1.ed973a6513bcap-7, -0x1.e25cfb637b9acp-7, -0x1.d75a8c54fd575p-7, -0x1.cc8f1b4d48cd9p-7, -0x1.c1f9d7afddef3p-7, -0x1.b799f23b48088p-7, -0x1.ad6e9d13f7e9p-7, -0x1.a3770bce53625p-7, -0x1.99b27378a3004p-7, -0x1.90200aa467c1ep-7, -0x1.86bf096f18d33p-7, -0x1.7d8ea98ab16d6p-7, -0x1.748e264598a4fp-7, -0x1.6bbcbc924008ap-7, -0x1.6319ab0e51a9bp-7, -0x1.5aa4320959d8ep-7, -0x1.525b938b345efp-7, -0x1.4a3f135a02151p-7, -0x1.424df6ffad9dap-7, -0x1.3a8785cf35fd9p-7, -0x1.32eb08e98fa7fp-7, -0x1.2b77cb42049efp-7, -0x1.242d19a27e58dp-7, -0x1.1d0a42af53a6fp-7, -0x1.160e96eab94e2p-7, -0x1.0f3968b7fb2b5p-7, -0x1.088a0c5e634bcp-7, -0x1.01ffd80bb6333p-7, -0x1.f73447ad3603ap-8, -0x1.eab09380f98dbp-8, -0x1.de734b6e6cb04p-8, -0x1.d27b2b2d90df3p-8, -0x1.c6c6f2545d362p-8, -0x1.bb556459257dfp-8, -0x1.b0254893bf30ep-8, -0x1.a5356a3e4f3cap-8, -0x1.9a849875ee1bep-8, -0x1.9011a63a75742p-8, -0x1.85db6a6e2e2cbp-8, -0x1.7be0bfd4cb397p-8, -0x1.722085122287dp-8, -0x1.68999ca8a8d77p-8, -0x1.5f4aecf73f9fp-8, -0x1.5633603698d3bp-8, -0x1.4d51e476d53c6p-8, -0x1.44a56b9bfc106p-8, -0x1.3c2ceb5ae05d3p-8, -0x1.33e75d34f052dp-8, -0x1.2bd3be7491dd3p-8, -0x1.23f1102850a7bp-8, -0x1.1c3e571e8c32fp-8, -0x1.14ba9be0547f8p-8, -0x1.0d64eaac4fbadp-8, -0x1.063c537129fb9p-8, -0x1.fe7fd390033b1p-9, -0x1.f0dd89dcf9d8p-9, -0x1.e38fff80fe8p-9, -0x1.d6957164095cep-9, -0x1.c9ec2390cf5ffp-9, -0x1.bd926127b5b5ep-9, -0x1.b1867c50397acp-9, -0x1.a5c6ce2b969e9p-9, -0x1.9a51b6c604dp-9, -0x1.8f259d07752d2p-9, -0x1.8440eea504a94p-9, -0x1.79a2201153486p-9, -0x1.6f47ac6cfed29p-9, -0x1.65301576a11dp-9, -0x1.5b59e37ad635dp-9, -0x1.51c3a543ad5ffp-9, -0x1.486bf008a36c9p-9, -0x1.3f515f5d3c1b2p-9, -0x1.36729520a5308p-9, -0x1.2dce396cb91cfp-9, -0x1.2562fa841a42dp-9, -0x1.1d2f8cc200d64p-9, -0x1.1532aa87e61cep-9, -0x1.0d6b142c639cbp-9, -0x1.05d78fe99af28p-9, -0x1.fcedd39667a4cp-10, -0x1.ee8fe739d20c1p-10, -0x1.e09309b12fc18p-10, -0x1.d2f4f528683c8p-10, -0x1.c5b36ee060924p-10, -0x1.b8cc470a7a7d9p-10, -0x1.ac3d58a4b7c87p-10, -0x1.a0048955d5d3ep-10, -0x1.941fc94997493p-10, -0x1.888d130c63c8bp-10, -0x1.7d4a6b6742cafp-10, -0x1.7255e13c68dfcp-10, -0x1.67ad8d62de1e3p-10, -0x1.5d4f9283903fp-10, -0x1.533a1cf3ed159p-10, -0x1.496b6294ceab8p-10, -0x1.3fe1a2ac9e612p-10, -0x1.369b25c557f92p-10, -0x1.2d963d892b1bfp-10, -0x1.24d1449f1a9abp-10, -0x1.1c4a9e884c761p-10, -0x1.1400b77d7decbp-10, -0x1.0bf2044c2c1a4p-10, -0x1.041d023493dcp-10, -0x1.f9006d8eb4006p-11, -0x1.ea345f873ea44p-11, -0x1.dbd305ebfbde9p-11, -0x1.cdd99c2b2dc19p-11, -0x1.c0456d4948672p-11, -0x1.b313d39ca52a3p-11, -0x1.a642388d5090dp-11, -0x1.99ce1452dbfb4p-11, -0x1.8db4edb5ee971p-11, -0x1.81f459cea6453p-11, -0x1.7689fbc66472cp-11, -0x1.6b738498b33c5p-11, -0x1.60aeb2d5b3486p-11, -0x1.56395263ee075p-11, -0x1.4c113c440061fp-11, -0x1.423456540d556p-11, -0x1.38a09313c9aedp-11, -0x1.2f53f16a8728ep-11, -0x1.264c7c6b096fbp-11, -0x1.1d884b1bce19bp-11, -0x1.1505803bafb5dp-11, -0x1.0cc24a0b82b08p-11, -0x1.04bce2149efefp-11, -0x1.f9e719e5c67f8p-12, -0x1.eac9343a2f73cp-12, -0x1.dc1cc75feb989p-12, -0x1.cdde9c70935d8p-12, -0x1.c00b90fdf76c7p-12, -0x1.b2a096a8f457cp-12, -0x1.a59ab2bcf60abp-12, -0x1.98f6fdc8cf944p-12, -0x1.8cb2a33cbcc09p-12, -0x1.80cae106a2afep-12, -0x1.753d07328f98fp-12, -0x1.6a067788ce65fp-12, -0x1.5f24a532f80cap-12, -0x1.5495145a54a1ap-12, -0x1.4a5559d0bedeep-12, -0x1.40631ab309d66p-12, -0x1.36bc0c11de2a9p-12, -0x1.2d5df299b8cc5p-12, -0x1.2446a23b8f752p-12, -0x1.1b73fdd8cf83p-12, -0x1.12e3f6ef6e66p-12, -0x1.0a948d46fe5b7p-12, -0x1.0283cea062a6bp-12, -0x1.f55facca9b7c9p-13, -0x1.e62d9ab3c8068p-13, -0x1.d76dd29eb63dep-13, -0x1.c91cd9b18c0c9p-13, -0x1.bb374dfe62b22p-13, -0x1.adb9e5f0dc34ap-13, -0x1.a0a16fbf84b2p-13, -0x1.93ead0dbb963fp-13, -0x1.87930565bbe4fp-13, -0x1.7b971fa5f7d23p-13, -0x1.6ff44783a6b07p-13, -0x1.64a7ba0276f39p-13, -0x1.59aec8bf548b7p-13, -0x1.4f06d970e7b38p-13, -0x1.44ad656ae455dp-13, -0x1.3a9ff922bd36dp-13, -0x1.30dc33b5384eep-13, -0x1.275fc67317644p-13, -0x1.1e28746a7af8bp-13, -0x1.153411f42c1dap-13, -0x1.0c808446bac67p-13, -0x1.040bc1055a3bap-13, -0x1.f7a79bae84656p-14, -0x1.e7ad7ff7028a2p-14, -0x1.d82577c78840fp-14, -0x1.c90be99a8d146p-14, -0x1.ba5d58bb52f62p-14, -0x1.ac1664859fb41p-14, -0x1.9e33c7a429298p-14, -0x1.90b2575843c54p-14, -0x1.838f02c234468p-14, -0x1.76c6d22b7c661p-14, -0x1.6a56e65a3ccbfp-14, -0x1.5e3c77e549b8fp-14, -0x1.5274d68aae449p-14, -0x1.46fd688ca862ep-14, -0x1.3bd3aa10cbcc5p-14, -0x1.30f52c7ee0cd4p-14, -0x1.265f95ed19e48p-14, -0x1.1c10a0845450cp-14, -0x1.120619eea13d4p-14, -0x1.083de2c8b71cp-14, -0x1.fd6bdc282207ep-15, -0x1.ead8815bab335p-15, -0x1.d8bde18bd99c2p-15, -0x1.c7184abe72a59p-15, -0x1.b5e42b98f1252p-15, -0x1.a51e126c4e0dfp-15, -0x1.94c2ac3add049p-15, -0x1.84cec3cd0a465p-15, -0x1.753f40c55f03dp-15, -0x1.661126bef9976p-15, -0x1.5741946dd7961p-15, -0x1.48cdc2c7b7cb8p-15, -0x1.3ab3042fe1521p-15, -0x1.2ceec3acc6d98p-15, -0x1.1f7e841663988p-15, }}, 
      {{0x1.a16ce8d541e1bp-9, 0x1.a1d06e2dea3b2p-8, 0x1.39d81c926f1dfp-7, 0x1.a35adf8340d83p-7, 0x1.06cf5eecd549p-6, 0x1.3c67e54c5a88ap-6, 0x1.728bc6795e457p-6, 0x1.a94e5930b12f7p-6, 0x1.e0c1695c4d561p-6, 0x1.0c7a912ed8af2p-5, 0x1.28fc00606610dp-5, 0x1.45eb653c0c7b3p-5, 0x1.634e4663a0ca1p-5, 0x1.81294f8658f74p-5, 0x1.9f8054d4a2b56p-5, 0x1.be56582a8bb93p-5, 0x1.ddad8fa094e03p-5, 0x1.fd876d3afd87dp-5, 0x1.0ef253bbcbd63p-4, 0x1.1f62a140e7e48p-4, 0x1.30144cedf1482p-4, 0x1.4106b5296e492p-4, 0x1.5238ee0ca334fp-4, 0x1.63a9c674fbacep-4, 0x1.7557cd0ccf62ap-4, 0x1.874155410936bp-4, 0x1.99647c1b37f46p-4, 0x1.abbf2cf9407ffp-4, 0x1.be4f261d78ce5p-4, 0x1.d111fd131a32cp-4, 0x1.e40522e441498p-4, 0x1.f725e81f5c157p-4, 0x1.0538c055766a7p-3, 0x1.0ef283b37d0a8p-3, 0x1.18bec0ce10badp-3, 0x1.229bf11c5b545p-3, 0x1.2c88866e57393p-3, 0x1.3682ec5aade35p-3, 0x1.408989951c142p-3, 0x1.4a9ac12e26d6cp-3, 0x1.54b4f3bce0333p-3, 0x1.5ed680739aff7p-3, 0x1.68fdc6207524cp-3, 0x1.7329241aabfedp-3, 0x1.7d56fb1d979ecp-3, 0x1.8785ae125cbdp-3, 0x1.91b3a2c928762p-3, 0x1.9bdf42a2fdb46p-3, 0x1.a606fb2cf3b19p-3, 0x1.b0293eadcce7bp-3, 0x1.ba4484a6c960fp-3, 0x1.c4574a48823abp-3, 0x1.ce6012dcadc7dp-3, 0x1.d85d682582662p-3, 0x1.e24ddab37b4cfp-3, 0x1.ec3002323103bp-3, 0x1.f6027dacf3a8fp-3, 0x1.ffc3f3cbb4a99p-3, 0x1.04b989847626dp-2, 0x1.098748f075d9bp-2, 0x1.0e4a977d99b19p-2, 0x1.1302d8a71880fp-2, 0x1.17af741ef2b76p-2, 0x1.1c4fd5dae21bfp-2, 0x1.20e36e1f1f608p-2, 0x1.2569b1871efabp-2, 0x1.29e2190c736f7p-2, 0x1.2e4c220bf28acp-2, 0x1.32a74e4942e3p-2, 0x1.36f323f0ef224p-2, 0x1.3b2f2d99134e7p-2, 0x1.3f5afa40c49d5p-2, 0x1.43761d4e48fp-2, 0x1.47802e8c2ab76p-2, 0x1.4b78ca254485fp-2, 0x1.4f5f909fd3435p-2, 0x1.533426d796eb5p-2, 0x1.56f635f71d1e4p-2, 0x1.5aa56b7034a0ap-2, 0x1.5e4178f3a26afp-2, 0x1.61ca146816f8cp-2, 0x1.653ef7e07b259p-2, 0x1.689fe1919183cp-2, 0x1.6bec93c7022a8p-2, 0x1.6f24d4d7cde7ap-2, 0x1.72486f1a36e6fp-2, 0x1.755730d72ab04p-2, 0x1.7850ec3d2b47fp-2, 0x1.7b357752c5156p-2, 0x1.7e04abe89acb3p-2, 0x1.80be678b066fbp-2, 0x1.83628b735d993p-2, 0x1.85f0fc78db818p-2, 0x1.8869a30137184p-2, 0x1.8acc6af0eec22p-2, 0x1.8d19439b4c671p-2, 0x1.8f501fb225563p-2, 0x1.9170f5356794ap-2, 0x1.937bbd6266f74p-2, 0x1.957074a304d9ap-2, 0x1.974f1a7ca5b1ep-2, 0x1.9917b17f06fa2p-2, 0x1.9aca3f32f098fp-2, 0x1.9c66cc08cf6b1p-2, 0x1.9ded6347372c2p-2, 0x1.9f5e12f9548a4p-2, 0x1.a0b8ebdd4f641p-2, 0x1.a1fe0152a8a12p-2, 0x1.a32d694891e2p-2, 0x1.a4473c2c444f6p-2, 0x1.a54b94d75b5ddp-2, 0x1.a63a907e3a208p-2, 0x1.a7144e9e76c3cp-2, 0x1.a7d8f0ed58f0ep-2, 0x1.a8889b4668784p-2, 0x1.a923739a1187ep-2, 0x1.a9a9a1dc5f504p-2, 0x1.aa1b4ff3d501dp-2, 0x1.aa78a9a85fdc6p-2, 0x1.aac1dc926eap-2, 0x1.aaf7180a26766p-2, 0x1.ab188d16c1a34p-2, 0x1.ab266e5e0fa26p-2, 0x1.ab20f01423e3ap-2, 0x1.ab0847eb2a5a5p-2, 0x1.aadcad036bfc3p-2, 0x1.aa9e57db808dap-2, 0x1.aa4d8240ae9bcp-2, 0x1.a9ea673f7e0a3p-2, 0x1.a97543147cc45p-2, 0x1.a8ee531d3672ap-2, 0x1.a855d5c96086fp-2, 0x1.a7ac0a8c3db23p-2, 0x1.a6f131ce34cf8p-2, 0x1.a6258cdea16d1p-2, 0x1.a5495de5dbbe7p-2, 0x1.a45ce7d7794bep-2, 0x1.a3606e64c5ec7p-2, 0x1.a25435ef79e26p-2, 0x1.a138837ca44e2p-2, 0x1.a00d9ca7d6b7ep-2, 0x1.9ed3c7968874ap-2, 0x1.9d8b4aebb4899p-2, 0x1.9c346dbbb4b16p-2, 0x1.9acf77805912dp-2, 0x1.995cb00d38b4p-2, 0x1.97dc5f844141fp-2, 0x1.964ece4a8075cp-2, 0x1.94b444fd2b7dp-2, 0x1.930d0c66e1512p-2, 0x1.91596d7527fdbp-2, 0x1.8f99b12e2a8ddp-2, 0x1.8dce20a6ab4f5p-2, 0x1.8bf704f839d1p-2, 0x1.8a14a7379e891p-2, 0x1.8827506b839dp-2, 0x1.862f49835acc1p-2, 0x1.842cdb4e7ba5p-2, 0x1.82204e737d1b3p-2, 0x1.8009eb67caeccp-2, 0x1.7de9fa6772016p-2, 0x1.7bc0c36d29ec4p-2, 0x1.798e8e2a95d76p-2, 0x1.7753a200bf0ccp-2, 0x1.751045f8c75a8p-2, 0x1.72c4c0bcd4a31p-2, 0x1.7071589134b9dp-2, 0x1.6e16534db6e72p-2, 0x1.6bb3f6573d472p-2, 0x1.694a869986e53p-2, 0x1.66da488129c78p-2, 0x1.64637ff5ca8cep-2, 0x1.61e670548157ap-2, 0x1.5f635c6a79a7cp-2, 0x1.5cda866fc1b48p-2, 0x1.5a4c3002504edp-2, 0x1.57b89a2138f29p-2, 0x1.5520052819e4dp-2, 0x1.5282b0cab3aa5p-2, 0x1.4fe0dc10b7e74p-2, 0x1.4d3ac551c4acp-2, 0x1.4a90aa3192c52p-2, 0x1.47e2c79c50779p-2, 0x1.453159c32def3p-2, 0x1.427c9c191457p-2, 0x1.3fc4c94f8e32fp-2, 0x1.3d0a1b53d8a0fp-2, 0x1.3a4ccb4c2256fp-2, 0x1.378d1194f70cfp-2, 0x1.34cb25bed3cd8p-2, 0x1.32073e8be6d13p-2, 0x1.2f4191edf60d3p-2, 0x1.2c7a5504729edp-2, 0x1.29b1bc1aae849p-2, 0x1.26e7faa64014ep-2, 0x1.241d4345851f1p-2, 0x1.2151c7be5196dp-2, 0x1.1e85b8fcbecb6p-2, 0x1.1bb9471222a46p-2, 0x1.18eca13426891p-2, 0x1.161ff5bc048afp-2, 0x1.13537225e4ab9p-2, 0x1.108743105b8f1p-2, 0x1.0dbb943c0b0cp-2, 0x1.0af0908b60331p-2, 0x1.0826620272c32p-2, 0x1.055d31c701a4fp-2, 0x1.029528208d4ep-2, 0x1.ff9cd8f11e56ep-3, 0x1.fa124ab597bfdp-3, 0x1.f48af0eb86d4ap-3, 0x1.ef0715367136cp-3, 0x1.e986ff81ab24cp-3, 0x1.e40af601ce30ep-3, 0x1.de933d3662fc3p-3, 0x1.d92017ebb7cdep-3, 0x1.d3b1c73ceb102p-3, 0x1.ce488a96173ap-3, 0x1.c8e49fb6b8c6ep-3, 0x1.c38642b42bee1p-3, 0x1.be2dadfc65494p-3, 0x1.b8db1a58bf978p-3, 0x1.b38ebef0fd65ap-3, 0x1.ae48d14e6438fp-3, 0x1.a909855f01116p-3, 0x1.a3d10d7909118p-3, 0x1.9e9f9a5e5e36ap-3, 0x1.99755b4031186p-3, 0x1.94527dc2c08fap-3, 0x1.8f372e01303cfp-3, 0x1.8a239691823d8p-3, 0x1.8517e088a6de2p-3, 0x1.8014337e9fa7bp-3, 0x1.7b18b592c1354p-3, 0x1.76258b7003fe3p-3, 0x1.713ad8517064cp-3, 0x1.6c58be0698d78p-3, 0x1.677f5cf8274cfp-3, 0x1.62aed42c7d379p-3, 0x1.5de7414c634fbp-3, 0x1.5928c0a7c850bp-3, 0x1.54736d3a8963ap-3, 0x1.4fc760b150874p-3, 0x1.4b24b36e767dp-3, 0x1.468b7c8ef1e7p-3, 0x1.41fbd1ef4f32dp-3, 0x1.3d75c830b6963p-3, 0x1.38f972bdf20c5p-3, 0x1.3486e3d08084dp-3, 0x1.301e2c75aad4ap-3, 0x1.2bbf5c93a2549p-3, 0x1.276a82ee9cdb8p-3, 0x1.231fad2dfb479p-3, 0x1.1edee7e17006bp-3, 0x1.1aa83e86259f7p-3, 0x1.167bbb8be6fc4p-3, 0x1.1259685a4a5a3p-3, 0x1.0e414d55d993bp-3, 0x1.0a3371e5398b2p-3, 0x1.062fdc764e0f9p-3, 0x1.023692835f84bp-3, 0x1.fc8f313074c4p-4, 0x1.f4c5e4ae8f515p-4, 0x1.ed1144fd537f3p-4, 0x1.e57155da94b5ep-4, 0x1.dde6194fd28a3p-4, 0x1.d66f8fbc42f57p-4, 0x1.cf0db7ded7463p-4, 0x1.c7c08ee02328fp-4, 0x1.c088105c4aba4p-4, 0x1.b964366cc6607p-4, 0x1.b254f9b22bebep-4, 0x1.ab5a515dd9cfcp-4, 0x1.a474333b89b92p-4, 0x1.9da293bae326dp-4, 0x1.96e565f8e340dp-4, 0x1.903c9bc9396d9p-4, 0x1.89a825bf90e7bp-4, 0x1.8327f338be009p-4, 0x1.7cbbf263d3d04p-4, 0x1.7664104b24c8dp-4, 0x1.702038dd285fep-4, 0x1.69f056f54a326p-4, 0x1.63d454649a065p-4, 0x1.5dcc19fa6a339p-4, 0x1.57d78f8cc80e4p-4, 0x1.51f69c00e44d8p-4, 0x1.4c29255359254p-4, 0x1.466f10a056835p-4, 0x1.40c8422bb0eb5p-4, 0x1.3b349d68d784ep-4, 0x1.35b40502a9169p-4, 0x1.30465ae32d631p-4, 0x1.2aeb803b3042ep-4, 0x1.25a35589c4a56p-4, 0x1.206dbaa3a028ep-4, 0x1.1b4a8eba6169ep-4, 0x1.1639b063b5f37p-4, 0x1.113afda05de17p-4, 0x1.0c4e53e317695p-4, 0x1.07739017686e8p-4, 0x1.02aa8ea84a01cp-4, 0x1.fbe6570d6ec15p-5, 0x1.f29a846038d37p-5, 0x1.e9715b694a337p-5, 0x1.e06a917ae5a6p-5, 0x1.d785db2559c03p-5, 0x1.cec2ec42f597dp-5, 0x1.c6217803abd2dp-5, 0x1.bda130f88fb73p-5, 0x1.b541c91f041eep-5, 0x1.ad02f1ebba377p-5, 0x1.a4e45c556dc28p-5, 0x1.9ce5b8df69befp-5, 0x1.9506b7a3cf7eep-5, 0x1.8d47085da40a8p-5, 0x1.85a65a72a3cebp-5, 0x1.7e245cfcdb2fap-5, 0x1.76c0bed40567dp-5, 0x1.6f7b2e96b2c12p-5, 0x1.68535ab336dcep-5, 0x1.6148f17058b49p-5, 0x1.5a5ba0f5dbe73p-5, 0x1.538b1754b53b2p-5, 0x1.4cd7028f289b2p-5, 0x1.463f10a098f7bp-5, 0x1.3fc2ef852def8p-5, 0x1.39624d4143a31p-5, 0x1.331cd7e89e5dfp-5, 0x1.2cf23da57732p-5, 0x1.26e22cbf44509p-5, 0x1.20ec53a15f43p-5, 0x1.1b1060e1716eep-5, 0x1.154e0345a79bp-5, 0x1.0fa4e9cac3534p-5, 0x1.0a14c3a9f61d6p-5, 0x1.049d405e81eb8p-5, 0x1.fe7c1f56796a5p-6, 0x1.f3edc33fb56dp-6, 0x1.e98ecd3c1c38cp-6, 0x1.df5e9ebcee627p-6, 0x1.d55c99ead98f2p-6, 0x1.cb8821af2bb1cp-6, 0x1.c1e099bcae536p-6, 0x1.b86566983256ap-6, 0x1.af15eda0cf07bp-6, 0x1.a5f19517b9bb1p-6, 0x1.9cf7c427e3b8bp-6, 0x1.9427e2ed424d2p-6, 0x1.8b815a7bbee54p-6, 0x1.830394e5f0464p-6, 0x1.7aadfd4371f5dp-6, 0x1.727fffb702a2bp-6, 0x1.6a7909744e1bfp-6, 0x1.629888c583e9ap-6, 0x1.5added1094873p-6, 0x1.5348a6dc3219ap-6, 0x1.4bd827d4911c5p-6, 0x1.448be2cfea6d5p-6, 0x1.3d634bd2b3762p-6, 0x1.365dd813a18e3p-6, 0x1.2f7afdff72f4fp-6, 0x1.28ba353c68fc2p-6, 0x1.221af6ada06aep-6, 0x1.1b9cbc7623829p-6, 0x1.153f01fbc5209p-6, 0x1.0f0143e9cb51bp-6, 0x1.08e300335b452p-6, 0x1.02e3b615b3fd7p-6, 0x1.fa05cc3492accp-7, 0x1.ee8024311ad5dp-7, 0x1.e3357a6f42b34p-7, 0x1.d824d7df9471ep-7, 0x1.cd4d4817a1de7p-7, 0x1.c2add9540bb7cp-7, 0x1.b8459c7aa95f9p-7, 0x1.ae13a51bf28c9p-7, 0x1.a41709745f229p-7, 0x1.9a4ee26d550aep-7, 0x1.90ba4b9dd6b81p-7, 0x1.8758634ada681p-7, 0x1.7e284a6763792p-7, 0x1.752924944e573p-7, 0x1.6c5a181fe6ee5p-7, 0x1.63ba4e052673p-7, 0x1.5b48f1eabbaf6p-7, 0x1.53053221d12b1p-7, 0x1.4aee3fa4ad535p-7, 0x1.43034e14eefe5p-7, 0x1.3b4393b9c0c92p-7, 0x1.33ae497da2c3ep-7, 0x1.2c42aaec32495p-7, 0x1.24fff62f9950cp-7, 0x1.1de56c0de957p-7, 0x1.16f24fe62c1d4p-7, 0x1.1025e7ad59cd8p-7, 0x1.097f7beb23127p-7, 0x1.02fe57b6868ccp-7, 0x1.f94391649a758p-8, 0x1.ecd23e1288e5bp-8, 0x1.e0a75ad50c299p-8, 0x1.d4c1920ab51bfp-8, 0x1.c91f930a5ed42p-8, 0x1.bdc0121ac4cdp-8, 0x1.b2a1c869a905bp-8, 0x1.a7c37402e30cfp-8, 0x1.9d23d7c743fc1p-8, 0x1.92c1bb6341963p-8, 0x1.889beb454caep-8, 0x1.7eb1389418a0bp-8, 0x1.75007924b2aedp-8, 0x1.6b88877055c75p-8, 0x1.6248428a4634cp-8, 0x1.593e8e1550f68p-8, 0x1.506a52394bab5p-8, 0x1.47ca7b9868d9fp-8, 0x1.3f5dfb4469536p-8, 0x1.3723c6b3b1b6cp-8, 0x1.2f1ad7b655d3bp-8, 0x1.27422c6ae6afep-8, 0x1.1f98c7335b01fp-8, 0x1.181daea9b5cefp-8, 0x1.10cfed94bd137p-8, 0x1.09ae92dc77482p-8, 0x1.02b8b17edb91ep-8, 0x1.f7dac1083396ep-9, 0x1.ea9775e682463p-9, 0x1.dda5bf8cd7fe7p-9, 0x1.d103e3bea38e9p-9, 0x1.c4b02ff6decf9p-9, 0x1.b8a8f950fcbbbp-9, 0x1.acec9c714e2a2p-9, 0x1.a1797d6dae092p-9, 0x1.964e07b62405dp-9, 0x1.8b68adfd52dap-9, 0x1.80c7ea213a7a8p-9, 0x1.766a3d13a6f4bp-9, 0x1.6c4e2ec32c992p-9, 0x1.62724e035bbccp-9, 0x1.58d5307604621p-9, 0x1.4f7572739e554p-9, 0x1.4651b6f4599aep-9, 0x1.3d68a77916194p-9, 0x1.34b8f3f44edf8p-9, 0x1.2c4152b3570d2p-9, 0x1.240080476c816p-9, 0x1.1bf53f6f20ab8p-9, 0x1.141e58ffe8c3ep-9, 0x1.0c7a9bcf68361p-9, 0x1.0508dc9d3ad5dp-9, 0x1.fb8febf9bf742p-10, 0x1.ed6d907ed1f86p-10, 0x1.dfa872bba7936p-10, 0x1.d23e69c6234b6p-10, 0x1.c52d57acce77cp-10, 0x1.b873294c1fc33p-10, 0x1.ac0dd62397652p-10, 0x1.9ffb602b843dbp-10, 0x1.9439d3ab32c7p-10, 0x1.88c7470ecc16fp-10, 0x1.7da1dabe97886p-10, 0x1.72c7b8f5b0c8bp-10, 0x1.6837159978cb5p-10, 0x1.5dee2e115d6ecp-10, 0x1.53eb491f1cfb2p-10, 0x1.4a2cb6b711828p-10, 0x1.40b0cfd928845p-10, 0x1.3775f66a50c8bp-10, 0x1.2e7a950dd1b7cp-10, 0x1.25bd1effc1cb2p-10, 0x1.1d3c0fef01269p-10, 0x1.14f5ebd86c1p-10, 0x1.0ce93ee1f5c2ep-10, 0x1.05149d364cf65p-10, 0x1.faed45c1a440bp-11, 0x1.ec1be754d69a9p-11, 0x1.ddb275eb84e3bp-11, 0x1.cfae573a54ce5p-11, 0x1.c20cff9ffb297p-11, 0x1.b4cbf1e139a31p-11, 0x1.a7e8bee6907d9p-11, 0x1.9b61057958b94p-11, 0x1.8f3272035d134p-11, 0x1.835abe4d74912p-11, 0x1.77d7b1403d14cp-11, 0x1.6ca71ea57069fp-11, 0x1.61c6e6e9ba949p-11, 0x1.5734f6df3f15bp-11, 0x1.4cef4781d7519p-11, 0x1.42f3ddbb398a4p-11, 0x1.3940ca281a7a6p-11, 0x1.2fd428de7b53dp-11, 0x1.26ac2134f0cafp-11, 0x1.1dc6e58969c76p-11, 0x1.1522b30ab3849p-11, 0x1.0cbdd18159c3fp-11, 0x1.04969319de2b9p-11, 0x1.f956a85f82928p-12, 0x1.e9f4f6325afb4p-12, 0x1.db04efe715ec8p-12, 0x1.cc8388e0fa889p-12, 0x1.be6dc7493f695p-12, 0x1.b0c0c3ab95865p-12, 0x1.a379a8967bd4fp-12, 0x1.9695b23aaf79p-12, 0x1.8a122e0e73ff9p-12, 0x1.7dec7a71c2a27p-12, 0x1.7222065203195p-12, 0x1.66b050d20acb8p-12, 0x1.5b94e8f25e357p-12, 0x1.50cd6d3a6fdb4p-12, 0x1.46578b63c037fp-12, 0x1.3c310006c248ep-12, 0x1.3257964821603p-12, 0x1.28c92789361e8p-12, 0x1.1f839b175c8b1p-12, 0x1.1684e5df2643p-12, 0x1.0dcb0a1fdbec5p-12, 0x1.0554171f41c2ap-12, 0x1.fa3c51c1c387cp-13, 0x1.ea4ecfb9b5d29p-13, 0x1.dadc1171161dap-13, 0x1.cbe0980225439p-13, 0x1.bd58fbcbb51ffp-13, 0x1.af41ebec183b9p-13, 0x1.a1982dbc2295ep-13, 0x1.94589c4c07d03p-13, 0x1.878027e5153d8p-13, 0x1.7b0bd58c75a92p-13, 0x1.6ef8be873791fp-13, 0x1.63440fe2451b5p-13, 0x1.57eb09fd33c5ap-13, 0x1.4ceb00161b299p-13, 0x1.424157d66f1bbp-13, 0x1.37eb88e54b3a1p-13, 0x1.2de71c784512dp-13, 0x1.2431aceac6073p-13, 0x1.1ac8e551bc6f4p-13, 0x1.11aa8117c2f87p-13, 0x1.08d44b960258dp-13, 0x1.00441fb2b51p-13, 0x1.efefceffea079p-14, 0x1.dfdb37b7f69ddp-14, 0x1.d046882a4d11fp-14, 0x1.c12deb1c95d41p-14, 0x1.b28da6ca71f7bp-14, 0x1.a4621c388769fp-14, 0x1.96a7c688663a6p-14, 0x1.895b3a5211909p-14, 0x1.7c7924fea5fa5p-14, 0x1.6ffe4c284954dp-14, 0x1.63e78cfddadf8p-14, 0x1.5831dba80e4dbp-14, 0x1.4cda42b443e9ep-14, 0x1.41dde27fae8ccp-14, 0x1.3739f0a96b0e8p-14, 0x1.2cebb7855a182p-14, 0x1.22f0959174c97p-14, 0x1.1945fcef67ebfp-14, 0x1.0fe972e193ce2p-14, 0x1.06d88f49ce1e5p-14, 0x1.fc21f8551fa75p-15, 0x1.eb20ea5b58ed8p-15, 0x1.daa98e54fed95p-15, 0x1.cab79f65a0624p-15, 0x1.bb46f93aabb77p-15, 0x1.ac53972f0af48p-15, 0x1.9dd9936be45e8p-15, 0x1.8fd52616c036ap-15, 0x1.8242a47c9eebep-15, 0x1.751e8047fd4bbp-15, 0x1.686546b846084p-15, 0x1.5c139fe06cbfbp-15, 0x1.50264de898476p-15, 0x1.449a2c53bd0d6p-15, 0x1.396c2f49e5cb5p-15, 0x1.2e9962e9fc325p-15, 0x1.241eea994e9bdp-15, 0x1.19fa005ec4d6ap-15, 0x1.1027f43cea46p-15, 0x1.06a62b915b2f8p-15, 0x1.fae440f541d31p-16, 0x1.e912c27edb5aap-16, 0x1.d7d31f6f7ce1ap-16, 0x1.c720c17c04c8fp-16, 0x1.b6f73741eb027p-16, 0x1.a7523334a88f8p-16, 0x1.982d8a91601dap-16, 0x1.89853457f7837p-16, 0x1.7b55484ce5facp-16, 0x1.6d99fe043bafp-16, 0x1.604fabebdf882p-16, 0x1.5372c660c8a65p-16, 0x1.46ffdec9097dp-16, 0x1.3af3a2b5e8801p-16, 0x1.2f4adb074671p-16, 0x1.24026b1ac6848p-16, 0x1.19174ffbef21cp-16, 0x1.0e869f9b6786ap-16, 0x1.044d880cbde0cp-16, 0x1.f4d29d9250333p-17, 0x1.e1ae9fe4abdc2p-17, 0x1.cf29fb4349ab7p-17, 0x1.bd3fbe729b854p-17, 0x1.abeb2170229edp-17, 0x1.9b278428cfb9cp-17, 0x1.8af06d36e01bdp-17, 0x1.7b4188ab2f449p-17, 0x1.6c16a6db7cd98p-17, 0x1.5d6bbb3779b8bp-17, 0x1.4f3cdb30afbefp-17, 0x1.41863d1a34a5bp-17, 0x1.3444371e4a738p-17, 0x1.27733e36c6b35p-17, 0x1.1b0fe529b48dap-17, 0x1.0f16db93a292cp-17, 0x1.0384ecf614ebbp-17, 0x1.f0adff9490a8dp-18, 0x1.db142945f1465p-18, 0x1.c6368a92ed613p-18, 0x1.b20f87d2dd94ap-18, 0x1.9e99b4847d24cp-18, 0x1.8bcfd1b842e55p-18, 0x1.79accc89e403ap-18, 0x1.682bbc9ab95ccp-18, 0x1.5747e2b05dc64p-18, 0x1.46fca747c0403p-18, 0x1.3745993ae1027p-18, 0x1.281e6c7234dcbp-18, 0x1.1982f8a670ad9p-18, 0x1.0b6f381361babp-18, 0x1.fbbe8cb27a99fp-19, 0x1.e19ebe94f22c8p-19, 0x1.c877bb97b11f5p-19, 0x1.b04275942a656p-19, 0x1.98f818459aceap-19, 0x1.829207490d74dp-19, 0x1.6d09dc2378a2fp-19, 0x1.5859646103886p-19, 0x1.447a9fae3c16dp-19, 0x1.3167be26ddb9ap-19, 0x1.1f1b1e87e884ap-19, 0x1.0d8f4c94f24a7p-19, 0x1.f97dfeddffe0ep-20, 0x1.d94a301689cebp-20, 0x1.ba793f69fdcaep-20, 0x1.9d018d27c561fp-20, 0x1.80d9c49283f6cp-20, 0x1.65f8d92dd02c6p-20, 0x1.4c560404c8c85p-20, }}, 
      {{0x1.8fdf7cb4663fap-1, 0x1.8f642a39c8775p-1, 0x1.8e9912240b938p-1, 0x1.8d81a8d18c878p-1, 0x1.8c226ba96e497p-1, 0x1.8a80a2d0949fbp-1, 0x1.88a22499d151bp-1, 0x1.868d1dfd2bb0cp-1, 0x1.8447e1c4a850cp-1, 0x1.81d8bf12adb8p-1, 0x1.7f45df3f7ae51p-1, 0x1.7c952aa768c5ap-1, 0x1.79cc33cc677b1p-1, 0x1.76f0281307f22p-1, 0x1.7405c55c0635ap-1, 0x1.711153bfa321fp-1, 0x1.6e16a2bb7f5e6p-1, 0x1.6b190932da092p-1, 0x1.681b67b20b7c5p-1, 0x1.65202c7769185p-1, 0x1.622958d49f6e2p-1, 0x1.5f38878b655edp-1, 0x1.5c4ef3d70475bp-1, 0x1.596d80e14a109p-1, 0x1.5694c16d27c47p-1, 0x1.53c4ff8b7be29p-1, 0x1.50fe443762122p-1, 0x1.4e405ebefe9cdp-1, 0x1.4b8aebe43b724p-1, 0x1.48dd5ca652e1fp-1, 0x1.4636fca99902ep-1, 0x1.4396f836aab78p-1, 0x1.40fc61cd3b9efp-1, 0x1.3e6637492e899p-1, 0x1.3bd3669a99d9cp-1, 0x1.3942d212dd5abp-1, 0x1.36b3544a1a5edp-1, 0x1.3423c3a13aa81p-1, 0x1.3192f56550468p-1, 0x1.2effc0997ff54p-1, 0x1.2c69006ceaff1p-1, 0x1.29cd96622504cp-1, 0x1.272c6c2dc77d8p-1, 0x1.24847551a170cp-1, 0x1.21d4b079dd9e9p-1, 0x1.1f1c28a14b1fep-1, 0x1.1c59f601bb917p-1, 0x1.198d3ed52d648p-1, 0x1.16b537ec364eep-1, 0x1.13d1251ddc1d1p-1, 0x1.10e05994c832ep-1, 0x1.0de237fd7f2b4p-1, 0x1.0ad63298fccf1p-1, 0x1.07bbcb36da54p-1, 0x1.04929319e42dap-1, 0x1.015a2ac9c6802p-1, 0x1.fc2483a884f89p-2, 0x1.f5752d004b81ap-2, 0x1.eea5eae817335p-2, 0x1.e7b672a58787ep-2, 0x1.e0a6949e0b9b6p-2, 0x1.d9763b6ff0fe3p-2, 0x1.d2256affd3af9p-2, 0x1.cab43f7cde061p-2, 0x1.c322ec5e10be3p-2, 0x1.bb71bb5a849bcp-2, 0x1.b3a10b5e6b7e4p-2, 0x1.abb14f7e53ef9p-2, 0x1.a3a30dea1a744p-2, 0x1.9b76dee0b2cdap-2, 0x1.932d6ba5deb21p-2, 0x1.8ac76d7abcd58p-2, 0x1.8245ac99f8d12p-2, 0x1.79a8ff38526d2p-2, 0x1.70f2488a0d705p-2, 0x1.682277cdce56fp-2, 0x1.5f3a875d48377p-2, 0x1.563b7bc41981fp-2, 0x1.4d2662dd1bc76p-2, 0x1.43fc52f65e61dp-2, 0x1.3abe69fbfa9d3p-2, 0x1.316dcca9d8af9p-2, 0x1.280ba5c484bb3p-2, 0x1.1e992559160c9p-2, 0x1.151780042f2dbp-2, 0x1.0b87ee40142b9p-2, 0x1.01ebabb9cb9d7p-2, 0x1.f087ed5a6fec2p-3, 0x1.dd241e903535bp-3, 0x1.c9ae6e27c693bp-3, 0x1.b62960cc5e6f4p-3, 0x1.a2977bafc12d1p-3, 0x1.8efb438542738p-3, 0x1.7b573b8972ec8p-3, 0x1.67ade49617829p-3, 0x1.5401bc422ac4ap-3, 0x1.40553c0d915bcp-3, 0x1.2caad8983cf69p-3, 0x1.190500e454fe4p-3, 0x1.05661da33594cp-3, 0x1.e3a1211998b72p-4, 0x1.bc8d67824705p-4, 0x1.9595b26759cf3p-4, 0x1.6ebe9440280a8p-4, 0x1.480c8d10611dbp-4, 0x1.21840975b8adp-4, 0x1.f652c38d4bc28p-5, 0x1.aa01b2834c2abp-5, 0x1.5e1d3a98cfddap-5, 0x1.12ad89849ea59p-5, 0x1.8f753d46e77b4p-6, 0x1.f531273be91f4p-7, 0x1.9b51528129f79p-8, -0x1.5e452143129bep-9, -0x1.7a5fbfdd8b59ap-7, -0x1.4d534e259d85ep-6, -0x1.dc2545d4cdc3bp-6, -0x1.34cc4360d750cp-5, -0x1.7ad01d3649fb9p-5, -0x1.c017fa7293f1fp-5, -0x1.024eed5ddf9f5p-4, -0x1.242df9ccd6be1p-4, -0x1.45a65853df9ecp-4, -0x1.66b559da9a0b4p-4, -0x1.87586a6a885e2p-4, -0x1.a78d112f1fdeep-4, -0x1.c750f06e5488bp-4, -0x1.e6a1c57a00a2cp-4, -0x1.02beb44d300e2p-3, -0x1.11f0e679100bdp-3, -0x1.20e6802e13e24p-3, -0x1.2f9e95a1bec98p-3, -0x1.3e18483ac951cp-3, -0x1.4c52c6779ac54p-3, -0x1.5a4d4bd239636p-3, -0x1.680720a1dacc7p-3, -0x1.757f99fa26358p-3, -0x1.82b6198857036p-3, -0x1.8faa0d6e586cdp-3, -0x1.9c5af01bf0229p-3, -0x1.a8c8482625b9ep-3, -0x1.b4f1a81cede32p-3, -0x1.c0d6ae5f4aaeap-3, -0x1.cc7704eddf1d2p-3, -0x1.d7d2613c2f296p-3, -0x1.e2e8840087023p-3, -0x1.edb93902b1ed7p-3, -0x1.f84456e9950c9p-3, -0x1.0144df83e03f1p-2, -0x1.0644ae93858a6p-2, -0x1.0b2193a9aad6bp-2, -0x1.0fdb8ed23db43p-2, -0x1.1472a503cb2f3p-2, -0x1.18e6e003c953p-2, -0x1.1d384e4a9cf1bp-2, -0x1.216702e75bb16p-2, -0x1.25731563571fap-2, -0x1.295ca1a578b5cp-2, -0x1.2d23c7d573a43p-2, -0x1.30c8ac3ed8b66p-2, -0x1.344b773410b3dp-2, -0x1.37ac54f144b94p-2, -0x1.3aeb757f3ab1bp-2, -0x1.3e090c9632407p-2, -0x1.41055180bcd41p-2, -0x1.43e07efea6704p-2, -0x1.469ad327e6d2bp-2, -0x1.49348f4faac87p-2, -0x1.4badf7e777e6ap-2, -0x1.4e0754626b173p-2, -0x1.5040ef18a401bp-2, -0x1.525b152ad3a3cp-2, -0x1.54561665fbba4p-2, -0x1.563245276210ep-2, -0x1.57eff640bb3b6p-2, -0x1.598f80dc92719p-2, -0x1.5b113e62ee8c6p-2, -0x1.5c758a5e3d623p-2, -0x1.5dbcc26088955p-2, -0x1.5ee745e8f0503p-2, -0x1.5ff576497a027p-2, -0x1.60e7b68d300a6p-2, -0x1.61be6b5e932c7p-2, -0x1.6279faee6785p-2, -0x1.631accdadba39p-2, -0x1.63a14a170a3f2p-2, -0x1.640ddcd2dedf8p-2, -0x1.6460f0635ad78p-2, -0x1.649af12b3e868p-2, -0x1.64bc4c8419124p-2, -0x1.64c570a7bf0bcp-2, -0x1.64b6cc9a2c63ap-2, -0x1.6490d013cf7b9p-2, -0x1.6453eb6c429cp-2, -0x1.64008f85735ccp-2, -0x1.63972db737212p-2, -0x1.631837bb517b4p-2, -0x1.62841f99eb98ap-2, -0x1.61db57967cb5p-2, -0x1.611e521d24e7ap-2, -0x1.604d81b07cecbp-2, -0x1.5f6958d7d6f6ep-2, -0x1.5e724a0df39c8p-2, -0x1.5d68c7b02e654p-2, -0x1.5c4d43ee192c3p-2, -0x1.5b2030b98f22ep-2, -0x1.59e1ffb73b7f3p-2, -0x1.5893222f9444ep-2, -0x1.573409004687dp-2, -0x1.55c5248e1abeap-2, -0x1.5446e4b745475p-2, -0x1.52b9b8c6312ecp-2, -0x1.511e0f64b4872p-2, -0x1.4f74568fbcce2p-2, -0x1.4dbcfb8b68669p-2, -0x1.4bf86ad78d944p-2, -0x1.4a271024b6043p-2, -0x1.48495649813f5p-2, -0x1.465fa73878951p-2, -0x1.446a6bf649fp-2, -0x1.426a0c907422dp-2, -0x1.405ef01453f72p-2, -0x1.3e497c869dddfp-2, -0x1.3c2a16db3f6b3p-2, -0x1.3a0122eda0b25p-2, -0x1.37cf03794ebf5p-2, -0x1.35941a1306d23p-2, -0x1.3350c7221f476p-2, -0x1.310569da5537fp-2, -0x1.2eb26035f4426p-2, -0x1.2c5806f059cep-2, -0x1.29f6b980d82f6p-2, -0x1.278ed215eb9a1p-2, -0x1.2520a990cc4fcp-2, -0x1.22ac9781530d7p-2, -0x1.2032f222325adp-2, -0x1.1db40e558217bp-2, -0x1.1b303fa19c669p-2, -0x1.18a7d82e471e3p-2, -0x1.161b28c22c65p-2, -0x1.138a80c09cbf2p-2, -0x1.10f62e279c516p-2, -0x1.0e5e7d8e3530dp-2, -0x1.0bc3ba2313959p-2, -0x1.09262dab61624p-2, -0x1.06862081e5d75p-2, -0x1.03e3d996681f9p-2, -0x1.013f9e6d4dadap-2, -0x1.fd33663ee9b24p-3, -0x1.f7e4b4b49be2p-3, -0x1.f293aac0568cep-3, -0x1.ed40c81190647p-3, -0x1.e7ec8984128cbp-3, -0x1.e2976921d7ffbp-3, -0x1.dd41de255a029p-3, -0x1.d7ec5cfc39d7fp-3, -0x1.d297574a4a539p-3, -0x1.cd433beceddep-3, -0x1.c7f076fed9a13p-3, -0x1.c29f71dc1b8e2p-3, -0x1.bd5093267f61ep-3, -0x1.b8043eca39283p-3, -0x1.b2bad602dc446p-3, -0x1.ad74b76099ba4p-3, -0x1.a8323ecdc6973p-3, -0x1.a2f3c59498e4fp-3, -0x1.9db9a2653041ap-3, -0x1.9884295bcfb9dp-3, -0x1.9353ac0754543p-3, -0x1.8e28796fe063ap-3, -0x1.8902de1db6599p-3, -0x1.83e324204be36p-3, -0x1.7ec993157d93dp-3, -0x1.79b67030fbb8bp-3, -0x1.74a9fe43d0b33p-3, -0x1.6fa47dc419734p-3, -0x1.6aa62cd4d5b31p-3, -0x1.65af474de26a7p-3, -0x1.60c006c40dc58p-3, -0x1.5bd8a29142da9p-3, -0x1.56f94fdcd9702p-3, -0x1.522241a3f1331p-3, -0x1.4d53a8c1ec96bp-3, -0x1.488db3f8f4807p-3, -0x1.43d08ffa981a3p-3, -0x1.3f1c677071ea8p-3, -0x1.3a716304df66bp-3, -0x1.35cfa96bbf8dap-3, -0x1.31375f6b431a7p-3, -0x1.2ca8a7e4b9327p-3, -0x1.2823a3dd67829p-3, -0x1.23a872876a47p-3, -0x1.1f37314a8d49cp-3, -0x1.1acffbcd30509p-3, -0x1.1672ebfd21dd7p-3, -0x1.12201a187bb21p-3, -0x1.0dd79cb680341p-3, -0x1.099988d069beap-3, -0x1.0565f1ca3ad4cp-3, -0x1.013ce97b83c64p-3, -0x1.fa3d00704294dp-4, -0x1.f21589b1df57dp-4, -0x1.ea038988e88fp-4, -0x1.e20717eef1efap-4, -0x1.da204a1b3823ep-4, -0x1.d24f3293a6609p-4, -0x1.ca93e13db708dp-4, -0x1.c2ee636f382ccp-4, -0x1.bb5ec3fef21fbp-4, -0x1.b3e50b551e8e4p-4, -0x1.ac813f7bcdfdap-4, -0x1.a533642f1179fp-4, -0x1.9dfb7aed09e1bp-4, -0x1.96d98305cb8ffp-4, -0x1.8fcd79ab12b3cp-4, -0x1.88d759ffd289cp-4, -0x1.81f71d2791361p-4, -0x1.7b2cba559b55fp-4, -0x1.747826dc064edp-4, -0x1.6dd9563a7f3efp-4, -0x1.67503a2cef88ap-4, -0x1.60dcc2b9ebe21p-4, -0x1.5a7ede40f412ep-4, -0x1.5436798879578p-4, -0x1.4e037fcbba328p-4, -0x1.47e5dac8645c6p-4, -0x1.41dd72cc01ed1p-4, -0x1.3bea2ec136242p-4, -0x1.360bf43cbe06fp-4, -0x1.3042a78a42063p-4, -0x1.2a8e2bb8ed957p-4, -0x1.24ee62a7cf857p-4, -0x1.1f632d1209766p-4, -0x1.19ec6a9ac1037p-4, -0x1.1489f9d8e0607p-4, -0x1.0f3bb8629ce98p-4, -0x1.0a0182d8c837fp-4, -0x1.04db34f1e8915p-4, -0x1.ff91530a3b967p-5, -0x1.f593752999502p-5, -0x1.ebbc82b223d0fp-5, -0x1.e20c2c9409435p-5, -0x1.d88222537e1a2p-5, -0x1.cf1e121c5986p-5, -0x1.c5dfa8d558e62p-5, -0x1.bcc69232e9d6ep-5, -0x1.b3d278c98cce7p-5, -0x1.ab03061fd20b4p-5, -0x1.a257e2bfe4831p-5, -0x1.99d0b648bb732p-5, -0x1.916d277ecfbdfp-5, -0x1.892cdc5c80b58p-5, -0x1.810f7a21fd673p-5, -0x1.7914a564d64adp-5, -0x1.713c021f2b064p-5, -0x1.698533be6e487p-5, -0x1.61efdd31c93d2p-5, -0x1.5a7ba0f820016p-5, -0x1.5328212db7724p-5, -0x1.4bf4ff9976b52p-5, -0x1.44e1ddb9cd9f8p-5, -0x1.3dee5cd14274bp-5, -0x1.371a1df299403p-5, -0x1.3064c20cad14ap-5, -0x1.29cde9f5e8e27p-5, -0x1.235536776a754p-5, -0x1.1cfa4857cee3dp-5, -0x1.16bcc065a4ecbp-5, -0x1.109c3f8191382p-5, -0x1.0a9866a822063p-5, -0x1.04b0d6fb45a0dp-5, -0x1.fdca6396f4de1p-6, -0x1.f26a31415695fp-6, -0x1.e7405a858822bp-6, -0x1.dc4c2383d7892p-6, -0x1.d18cd0fd11b4dp-6, -0x1.c701a861c8288p-6, -0x1.bca9efe126cadp-6, -0x1.b284ee773ada8p-6, -0x1.a891ebfa91b38p-6, -0x1.9ed031296c9edp-6, -0x1.953f07b65b3a8p-6, -0x1.8bddba545d8d6p-6, -0x1.82ab94c27efeap-6, -0x1.79a7e3d6f2a42p-6, -0x1.70d1f589b6878p-6, -0x1.682918feadb34p-6, -0x1.5fac9e8f6a07ap-6, -0x1.575bd7d44c786p-6, -0x1.4f3617ad60552p-6, -0x1.473ab24ab0dd5p-6, -0x1.3f68fd34305adp-6, -0x1.37c04f514474dp-6, -0x1.304000efddb39p-6, -0x1.28e76bcb27928p-6, -0x1.21b5eb11de808p-6, -0x1.1aaadb6c44c36p-6, -0x1.13c59b01ac665p-6, -0x1.0d05897dbac9cp-6, -0x1.066a081535466p-6, -0x1.ffe4f315364cfp-7, -0x1.f33c846480817p-7, -0x1.e6d98fec73abfp-7, -0x1.dabae4b3d7762p-7, -0x1.cedf54fa7c826p-7, -0x1.c345b63f2dcadp-7, -0x1.b7ece144f37d2p-7, -0x1.acd3b217e977cp-7, -0x1.a1f9081165db6p-7, -0x1.975bc5db97188p-7, -0x1.8cfad174cabbp-7, -0x1.82d51431fa6fbp-7, -0x1.78e97ac10498cp-7, -0x1.6f36f52a61ff5p-7, -0x1.65bc76d25e434p-7, -0x1.5c78f679edc71p-7, -0x1.536b6e3f03897p-7, -0x1.4a92db9c9f381p-7, -0x1.41ee3f6a428f6p-7, -0x1.397c9ddb30f7p-7, -0x1.313cfe7d4be66p-7, -0x1.292e6c376df25p-7, -0x1.214ff547981dcp-7, -0x1.19a0ab40b62c8p-7, -0x1.121fa308146eap-7, -0x1.0acbf4d27ce0dp-7, -0x1.03a4bc21205eep-7, -0x1.f9522f7c37429p-8, -0x1.ebb0537187debp-8, -0x1.de622ec36bc98p-8, -0x1.d166128d36a05p-8, -0x1.c4ba565b53263p-8, -0x1.b85d5821fbe5fp-8, -0x1.ac4d7c335cf53p-8, -0x1.a0892d354e225p-8, -0x1.950edc16b670ap-8, -0x1.89dd0004768bcp-8, -0x1.7ef2165e20007p-8, -0x1.744ca2aa06f3cp-8, -0x1.69eb2e8969ce8p-8, -0x1.5fcc49abd3989p-8, -0x1.55ee89c2a0f2dp-8, -0x1.4c508a73f4644p-8, -0x1.42f0ed4d8145cp-8, -0x1.39ce59b713b0bp-8, -0x1.30e77ce4dc794p-8, -0x1.283b09c991cf9p-8, -0x1.1fc7b908535cdp-8, -0x1.178c48e65584ap-8, -0x1.0f877d3c58db6p-8, -0x1.07b81f6841fc3p-8, -0x1.001cfe3df62f5p-8, -0x1.f169dbf187ecbp-9, -0x1.e2fd905867c0ep-9, -0x1.d4f2d769a65bfp-9, -0x1.c74779522ba0ep-9, -0x1.b9f94893af2ep-9, -0x1.ad0621e61c193p-9, -0x1.a06bec1891986p-9, -0x1.942897f207e7p-9, -0x1.883a20127585ep-9, -0x1.7c9e88d35b5bbp-9, -0x1.7153e02861289p-9, -0x1.66583d800a2f2p-9, -0x1.5ba9c1a46cadap-9, -0x1.5146969b77101p-9, -0x1.472cef87d3525p-9, -0x1.3d5b088975f15p-9, -0x1.33cf269e1ec92p-9, -0x1.2a8797823b572p-9, -0x1.2182b1919e335p-9, -0x1.18bed3a838cap-9, -0x1.103a6503475d1p-9, -0x1.07f3d5223d684p-9, -0x1.ffd3374f45a3dp-10, -0x1.f03470764fb7dp-10, -0x1.e10864d427fc2p-10, -0x1.d24c33133f49cp-10, -0x1.c3fd093091768p-10, -0x1.b618243f611fbp-10, -0x1.a89ad02dd2635p-10, -0x1.9b8267890d1ffp-10, -0x1.8ecc534256e79p-10, -0x1.82760a74166dbp-10, -0x1.767d1227965cfp-10, -0x1.6adefd1b7c512p-10, -0x1.5f996b89fe83fp-10, -0x1.54aa0aef9af4bp-10, -0x1.4a0e95d37a66dp-10, -0x1.3fc4d38e6f985p-10, -0x1.35ca98143b6e6p-10, -0x1.2c1dc3bbab467p-10, -0x1.22bc4308d2957p-10, -0x1.19a40e765936ap-10, -0x1.10d32a407e943p-10, -0x1.0847a62fc73dfp-10, -0x1.ffff3ac965ba4p-11, -0x1.eff26c476cc44p-11, -0x1.e065434424d9ep-11, -0x1.d15437a5aa1b5p-11, -0x1.c2bbd66945636p-11, -0x1.b498c140957a8p-11, -0x1.a6e7ae2e99aaap-11, -0x1.99a56727a0f07p-11, -0x1.8ccec9aff6b81p-11, -0x1.8060c67e8f7ep-11, -0x1.7458611eed7a5p-11, -0x1.68b2af9431031p-11, -0x1.5d6cd9fea5bdcp-11, -0x1.52841a4147b54p-11, -0x1.47f5bba91b761p-11, -0x1.3dbf1a9517a19p-11, -0x1.33dda41fe4aecp-11, -0x1.2a4ed5ca3a4a8p-11, -0x1.21103d275e553p-11, -0x1.181f7788ee60cp-11, -0x1.0f7a31ae02e52p-11, -0x1.071e27727e5d8p-11, -0x1.fe1246fd014d7p-12, -0x1.ee71fdf2fd386p-12, -0x1.df574277b1bfbp-12, -0x1.d0bdff06fe36ep-12, -0x1.c2a23951c16ffp-12, -0x1.b50011a9e267cp-12, -0x1.a7d3c27194426p-12, -0x1.9b199f8c87df6p-12, -0x1.8ece15d283eaep-12, -0x1.82edaa85e3d49p-12, -0x1.7774faca76404p-12, -0x1.6c60bb1f8f91fp-12, -0x1.61adb6dc2f001p-12, -0x1.5758cfae28031p-12, -0x1.4d5efd1999af9p-12, -0x1.43bd4bfbddb84p-12, -0x1.3a70de106d97ap-12, -0x1.3176e9775df23p-12, -0x1.28ccb83f2258ap-12, -0x1.206fa7edd2efcp-12, -0x1.185d2910edac4p-12, -0x1.1092bec9c21f8p-12, -0x1.090dfe6014d73p-12, -0x1.01cc8ed511198p-12, -0x1.f59850ef83164p-13, -0x1.e81528f8fe7a3p-13, -0x1.db0b592be5cccp-13, -0x1.ce76b51f5514ap-13, -0x1.c2532fd619b4ap-13, -0x1.b69cdafbb0ecp-13, -0x1.ab4fe62506808p-13, -0x1.a0689e16b7bdbp-13, -0x1.95e36c0931e93p-13, -0x1.8bbcd4f8c2aap-13, -0x1.81f178f228373p-13, -0x1.787e126671399p-13, -0x1.6f5f757fcef83p-13, -0x1.66928f7cc06b2p-13, -0x1.5e14660b86435p-13, -0x1.55e216aa97c5ap-13, -0x1.4df8d60c424b6p-13, -0x1.4655ef7d298d3p-13, -0x1.3ef6c44d3ad47p-13, -0x1.37d8cb3d0e2e1p-13, -0x1.30f98fedb99dcp-13, -0x1.2a56b2532206cp-13, -0x1.23ede62b3ae3ep-13, -0x1.1dbcf274e9394p-13, -0x1.17c1b0ed598b2p-13, -0x1.11fa0d8cc4d09p-13, -0x1.0c64060963107p-13, -0x1.06fda95a1b56ap-13, -0x1.01c5173ea5fa6p-13, -0x1.f970ff8e4dc3ep-14, -0x1.efac45c417e9fp-14, -0x1.e6389fd2e0525p-14, -0x1.dd12ca69e221bp-14, -0x1.d4379f59eb6bdp-14, -0x1.cba414c24b02bp-14, -0x1.c3553c40cde7p-14, -0x1.bb4842282d096p-14, -0x1.b37a6cba3ed15p-14, -0x1.abe91b680e3e9p-14, -0x1.a491c6137ac23p-14, -0x1.9d71fc5a189f6p-14, -0x1.968764dd7a30cp-14, -0x1.8fcfbc980f977p-14, -0x1.8948d62e404ddp-14, -0x1.82f09949cd2bdp-14, -0x1.7cc501f632673p-14, -0x1.76c420004c2f9p-14, -0x1.70ec165c6d687p-14, -0x1.6b3b1a8ef109p-14, -0x1.65af7417a8ac2p-14, -0x1.60477be358b89p-14, -0x1.5b019bbdf1df1p-14, -0x1.55dc4dca5b59dp-14, -0x1.50d61bfc8a107p-14, -0x1.4bed9f988c20fp-14, -0x1.472180b30219p-14, -0x1.427075b5bf946p-14, -0x1.3dd942e86944bp-14, -0x1.395ab9fad1317p-14, -0x1.34f3b9923c958p-14, -0x1.30a32cdc37cbp-14, -0x1.2c680b208e147p-14, -0x1.28415759d3f17p-14, -0x1.242e1fcdf1a18p-14, -0x1.202d7daa97f8bp-14, -0x1.1c3e94a5180f7p-14, -0x1.1860929bb6817p-14, -0x1.1492af39ce5a9p-14, -0x1.10d42b9fbd017p-14, -0x1.0d24520b0f58fp-14, -0x1.09827582c5563p-14, -0x1.05edf1858161cp-14, -0x1.026629b9c8157p-14, -0x1.fdd5134329eb6p-15, -0x1.f6f5089c617ap-15, -0x1.f02b283107118p-15, -0x1.e97674b28b06fp-15, -0x1.e2d5fe49534e3p-15, -0x1.dc48e2104f42cp-15, -0x1.d5ce499287ce1p-15, -0x1.cf656a4ef2d66p-15, -0x1.c90d853d66e81p-15, -0x1.c2c5e65860239p-15, -0x1.bc8de42b6f295p-15, -0x1.b664df6408e91p-15, -0x1.b04a4265948b5p-15, -0x1.aa3d80e242b22p-15, -0x1.a43e1776051e8p-15, -0x1.9e4b8b421a0e3p-15, -0x1.98656992627b3p-15, -0x1.928b477e52d17p-15, -0x1.8cbcc192125b4p-15, -0x1.86f97b790fefep-15, -0x1.81411fa9b1195p-15, -0x1.7b935f15a62d8p-15, -0x1.75eff0dbd69bfp-15, -0x1.705691fd3d84p-15, -0x1.6ac705155fe83p-15, -0x1.65411213dc45p-15, -0x1.5fc485f7ca9p-15, -0x1.5a51329016ea8p-15, -0x1.54e6ee3a3b1d6p-15, -0x1.4f8593a7400c1p-15, -0x1.4a2d01a02945fp-15, -0x1.44dd1acd04228p-15, -0x1.3f95c57f50b5dp-15, -0x1.3a56eb7d9b36p-15, -0x1.352079cf1a6cfp-15, }}, 
      {{0x1.8ffb0d12b8414p-1, 0x1.8fd1d187a488ap-1, 0x1.8f8d979239c83p-1, 0x1.8f2f14feaf3e7p-1, 0x1.8eb73a9084c4ep-1, 0x1.8e2729dc73df4p-1, 0x1.8d802b01919fbp-1, 0x1.8cc3a2cfc0364p-1, 0x1.8bf309b0667e1p-1, 0x1.8b0fe37f22883p-1, 0x1.8a1bb865a7c32p-1, 0x1.89180ebc7473ap-1, 0x1.880665e6c46edp-1, 0x1.86e832195686bp-1, 0x1.85bed8f7c1d3bp-1, 0x1.848baef265458p-1, 0x1.834ff54ea38p-1, 0x1.820cd8c3afb49p-1, 0x1.80c370975fap-1, 0x1.7f74be27eeddcp-1, 0x1.7e21acd15756p-1, 0x1.7ccb121e8eec2p-1, 0x1.7b71ae38c62a6p-1, 0x1.7a162c885489ep-1, 0x1.78b9247ca0565p-1, 0x1.775b1a71b26f5p-1, 0x1.75fc80ab7940bp-1, 0x1.749db85ff1b6dp-1, 0x1.733f12ca75804p-1, 0x1.71e0d2436079cp-1, 0x1.70832b5816a3bp-1, 0x1.6f2645e027a93p-1, 0x1.6dca3e0cf1b5p-1, 0x1.6c6f2571ad70cp-1, 0x1.6b1504024b09ep-1, 0x1.69bbd907e1614p-1, 0x1.68639c09d7abdp-1, 0x1.670c3dab296d9p-1, 0x1.65b5a87b6f443p-1, 0x1.645fc1bb812eap-1, 0x1.630a6a15b090cp-1, 0x1.61b57e49c2674p-1, 0x1.6060d7ccdcb23p-1, 0x1.5f0c4d5dc3e17p-1, 0x1.5db7b38dbfc8dp-1, 0x1.5c62dd3e9ff4ep-1, 0x1.5b0d9c164ea57p-1, 0x1.59b7c0e877077p-1, 0x1.58611c16b7d95p-1, 0x1.57097de7eb793p-1, 0x1.55b0b6d700f2cp-1, 0x1.545697d9ee9c1p-1, 0x1.52faf2a132cdcp-1, 0x1.519d99d067f92p-1, 0x1.503e61305ab8cp-1, 0x1.4edd1ddb1b062p-1, 0x1.4d79a66271e95p-1, 0x1.4c13d2f129261p-1, 0x1.4aab7d6785e03p-1, 0x1.494081735730fp-1, 0x1.47d2bca3f1bdcp-1, 0x1.46620e7a6e82fp-1, 0x1.44ee58767b1c7p-1, 0x1.43777e200963ep-1, 0x1.41fd650e205d9p-1, 0x1.407ff4eb17adep-1, 0x1.3eff177672966p-1, 0x1.3d7ab8849bca9p-1, 0x1.3bf2c5fcb1d38p-1, 0x1.3a672fd49afd3p-1, 0x1.38d7e80b890a6p-1, 0x1.3744e2a31d495p-1, 0x1.35ae159751898p-1, 0x1.341378d54aabap-1, 0x1.3275063137c3ap-1, 0x1.30d2b95b5ccd5p-1, 0x1.2f2c8fd4638fcp-1, 0x1.2d8288e111e97p-1, 0x1.2bd4a57d771cap-1, 0x1.2a22e84fac095p-1, 0x1.286d559a385d2p-1, 0x1.26b3f32e2d6f4p-1, 0x1.24f6c85d0c1dep-1, 0x1.2335ddea80aaap-1, 0x1.21713dfe04dcep-1, 0x1.1fa8f414752a8p-1, 0x1.1ddd0cf1a304fp-1, 0x1.1c0d9691f0624p-1, 0x1.1a3aa01bfcdeap-1, 0x1.186439d26b7dcp-1, 0x1.168a7505cc0dp-1, 0x1.14ad6406ab39p-1, 0x1.12cd1a17d1eadp-1, 0x1.10e9ab60b6c82p-1, 0x1.0f032ce028702p-1, 0x1.0d19b45f3469p-1, 0x1.0b2d58644c499p-1, 0x1.093e3026ad83fp-1, 0x1.074c53821037cp-1, 0x1.0557daea9ad86p-1, 0x1.0360df611fb68p-1, 0x1.01677a67a62f2p-1, 0x1.fed78bec7b0bp-2, 0x1.fadbb8e03b9abp-2, 0x1.f6dbb13228f66p-2, 0x1.f2d7ab167eeb2p-2, 0x1.eecfdd5a2b8dp-2, 0x1.eac47f4f78c5fp-2, 0x1.e6b5c8bb53586p-2, 0x1.e2a3f1c3299ccp-2, 0x1.de8f32db65f05p-2, 0x1.da77c4b67cea3p-2, 0x1.d65de03492dbp-2, 0x1.d241be53b897fp-2, 0x1.ce239820b6c48p-2, 0x1.ca03a6a869cedp-2, 0x1.c5e222e9afef9p-2, 0x1.c1bf45c7e062p-2, 0x1.bd9b47fdcb637p-2, 0x1.b9766211444c2p-2, 0x1.b550cc472e475p-2, 0x1.b12abe980c8b9p-2, 0x1.ad0470a5121e7p-2, 0x1.a8de19adac4c5p-2, 0x1.a4b7f0858b5a6p-2, 0x1.a0922b8b1e722p-2, 0x1.9c6d009e89d1bp-2, 0x1.9848a51907db7p-2, 0x1.94254dc4c154cp-2, 0x1.90032ed50baeep-2, 0x1.8be27bdf16234p-2, 0x1.87c367d2fc68fp-2, 0x1.83a624f53c5e8p-2, 0x1.7f8ae4d890db9p-2, 0x1.7b71d8582a3p-2, 0x1.775b2f9241adap-2, 0x1.734719e30d11ep-2, 0x1.6f35c5e002dc9p-2, 0x1.6b276153777d9p-2, 0x1.671c19388e834p-2, 0x1.631419b777df3p-2, 0x1.5f0f8e21ff68bp-2, 0x1.5b0ea0f066b39p-2, 0x1.57117bbe84d46p-2, 0x1.53184749338cbp-2, 0x1.4f232b6bfb5b8p-2, 0x1.4b324f1f057bfp-2, 0x1.4745d8754da8cp-2, 0x1.435dec9b11e3dp-2, 0x1.3f7aafd47eee4p-2, 0x1.3b9c457c950cfp-2, 0x1.37c2d0044a5ecp-2, 0x1.33ee70f1dcb31p-2, 0x1.301f48e05c8dp-2, 0x1.2c55777f6a498p-2, 0x1.28911b9320926p-2, 0x1.24d252f43328p-2, 0x1.21193a9034ceap-2, 0x1.1d65ee6a0f5fdp-2, 0x1.19b8899a9f0a7p-2, 0x1.161126517adffp-2, 0x1.126fddd5e171ap-2, 0x1.0ed4c887cad05p-2, 0x1.0b3ffde11d4a6p-2, 0x1.07b19477071b8p-2, 0x1.0429a1fb74b2fp-2, 0x1.00a83b3ea8664p-2, 0x1.fa5ae861dd753p-3, 0x1.f372bfc8e12c7p-3, 0x1.ec98211e3d06cp-3, 0x1.e5cb2f196bcc6p-3, 0x1.df0c0ac1c20cfp-3, 0x1.d85ad372d324cp-3, 0x1.d1b7a6e10b089p-3, 0x1.cb22a11e6ec5bp-3, 0x1.c49bdc9f80311p-3, 0x1.be2372404d913p-3, 0x1.b7b979499d6e6p-3, 0x1.b15e07763e729p-3, 0x1.ab1130f876f46p-3, 0x1.a4d3087f8c41bp-3, 0x1.9ea39f3d6b56bp-3, 0x1.988304ec616b2p-3, 0x1.927147d4f2669p-3, 0x1.8c6e74d3c553p-3, 0x1.867a975f98b9ap-3, 0x1.8095b98f56aa7p-3, 0x1.7abfe4202e0a4p-3, 0x1.74f91e7bc01ccp-3, 0x1.6f416ebe55f88p-3, 0x1.6998d9bd24ef5p-3, 0x1.63ff630c9ae12p-3, 0x1.5e750d06aef4cp-3, 0x1.58f9d8d14144cp-3, 0x1.538dc6647626ap-3, 0x1.4e30d4911ce0cp-3, 0x1.48e30107157fcp-3, 0x1.43a4485bba305p-3, 0x1.3e74a6104270bp-3, 0x1.3954149831b1cp-3, 0x1.34428d5fb703bp-3, 0x1.2f4008d2120a1p-3, 0x1.2a4c7e5fef24p-3, 0x1.2567e485c1d1ep-3, 0x1.209230d218f2dp-3, 0x1.1bcb57ebe6b1ep-3, 0x1.17134d98c791bp-3, 0x1.126a04c33e08fp-3, 0x1.0dcf6f80e1ce8p-3, 0x1.09437f1888fd2p-3, 0x1.04c6240864053p-3, 0x1.00574e0c0e2fbp-3, 0x1.f7edd84523a04p-4, 0x1.ef49d928bcc8p-4, 0x1.e6c279f266852p-4, 0x1.de57947bf16a8p-4, 0x1.d6090155197eep-4, 0x1.cdd697cefe5fap-4, 0x1.c5c02e077d7b9p-4, 0x1.bdc598f46ae0bp-4, 0x1.b5e6ac6ea5184p-4, 0x1.ae233b3d0b1b5p-4, 0x1.a67b171f4b929p-4, 0x1.9eee10d892a9dp-4, 0x1.977bf83a1210ep-4, 0x1.90249c2d610cbp-4, 0x1.88e7cabeba3bp-4, 0x1.81c5512712fbdp-4, 0x1.7abcfbd6070d4p-4, 0x1.73ce967ba0cacp-4, 0x1.6cf9ec11f9235p-4, 0x1.663ec6e6ae923p-4, 0x1.5f9cf0a431df4p-4, 0x1.5914325aee1a5p-4, 0x1.52a4548a41175p-4, 0x1.4c4d1f2952d73p-4, 0x1.460e59afbb27fp-4, 0x1.3fe7cb1e0253p-4, 0x1.39d93a05f81a1p-4, 0x1.33e26c92ddaadp-4, 0x1.2e03289168b18p-4, 0x1.283b33779a169p-4, 0x1.228a526c6e085p-4, 0x1.1cf04a4f5ded3p-4, 0x1.176cdfbfbc297p-4, 0x1.11ffd723e38fp-4, 0x1.0ca8f4b03f664p-4, 0x1.0767fc6e277b5p-4, 0x1.023cb24295a41p-4, 0x1.fa4db3e960006p-5, 0x1.f04c6e6859093p-5, 0x1.e6751b3f0f56p-5, 0x1.dcc74194325abp-5, 0x1.d3426883f6621p-5, 0x1.c9e6172b968aep-5, 0x1.c0b1d4b48a10ap-5, 0x1.b7a5285f6ac4cp-5, 0x1.aebf998e8a9aep-5, 0x1.a600afd03ef83p-5, 0x1.9d67f2e8df4eep-5, 0x1.94f4eadc79d68p-5, 0x1.8ca71ff83cf92p-5, 0x1.847e1adb913cp-5, 0x1.7c796480f53b8p-5, 0x1.749886468a232p-5, 0x1.6cdb09f65a20dp-5, 0x1.654079ce58202p-5, 0x1.5dc860881ec7ap-5, 0x1.5672496064dfdp-5, 0x1.4f3dc01e31562p-5, 0x1.482a5119cf917p-5, 0x1.413789437b4b4p-5, 0x1.3a64f629d477ep-5, 0x1.33b226000d2a4p-5, 0x1.2d1ea7a3db4cfp-5, 0x1.26aa0aa32e317p-5, 0x1.2053df41a68cap-5, 0x1.1a1bb67dd1eedp-5, 0x1.1401221630c0ep-5, 0x1.0e03b48dfacfep-5, 0x1.08230131b4594p-5, 0x1.025e9c1b85844p-5, 0x1.f96c346ec34eap-6, 0x1.ee52228de1425p-6, 0x1.e36e2fcaa2fb3p-6, 0x1.d8bf8b1533cdcp-6, 0x1.ce45651e641b2p-6, 0x1.c3fef05df08ap-6, 0x1.b9eb61186e78ep-6, 0x1.b009ed64d2677p-6, 0x1.a659cd31abc8dp-6, 0x1.9cda3a49f748p-6, 0x1.938a7059a0d42p-6, 0x1.8a69acf1af1edp-6, 0x1.81772f8c1ee21p-6, 0x1.78b2398f66e4ap-6, 0x1.701a0e51ae965p-6, 0x1.67adf31bbfb5ep-6, 0x1.5f6d2f2b9c7d1p-6, 0x1.57570bb6daaf6p-6, 0x1.4f6ad3ecb1f64p-6, 0x1.47a7d4f7c0599p-6, 0x1.400d5dff95042p-6, 0x1.389ac029eda0ep-6, 0x1.314f4e9bbe3cep-6, 0x1.2a2a5e79f216bp-6, 0x1.232b46e9f4d66p-6, 0x1.1c5161120596ap-6, 0x1.159c081942db5p-6, 0x1.0f0a99279087bp-6, 0x1.089c73653a47dp-6, 0x1.0250f7fa6d28bp-6, 0x1.f84f141ceefa5p-7, 0x1.ec3f1d8db1d11p-7, 0x1.e070da8c58d41p-7, 0x1.d4e31d55afff8p-7, 0x1.c994bc1b30cd4p-7, 0x1.be8490ffc97bdp-7, 0x1.b3b17a1441d1bp-7, 0x1.a91a595364c43p-7, 0x1.9ebe149dd4452p-7, 0x1.949b95b5889e8p-7, 0x1.8ab1ca3937e25p-7, 0x1.80ffa39f2f344p-7, 0x1.778417303cf79p-7, 0x1.6e3e1e021aeaap-7, 0x1.652cb4f1ca2f2p-7, 0x1.5c4edc9da082bp-7, 0x1.53a3995f2164ap-7, 0x1.4b29f344ae6b5p-7, 0x1.42e0f60af6285p-7, 0x1.3ac7b11642898p-7, 0x1.32dd376b9b2dbp-7, 0x1.2b209fa9a5935p-7, 0x1.239104018252ap-7, 0x1.1c2d822f6b931p-7, 0x1.14f53b732b1c9p-7, 0x1.0de7548885b62p-7, 0x1.0702f59f72de7p-7, 0x1.00474a5441183p-7, 0x1.f367034f2b85bp-8, 0x1.e68d9becbb817p-8, 0x1.da00c9e3393b6p-8, 0x1.cdbeff2c486acp-8, 0x1.c1c6b448822e6p-8, 0x1.b616682ea112ap-8, 0x1.aaaca03a6ceb1p-8, 0x1.9f87e81bb7d78p-8, 0x1.94a6d1c51893p-8, 0x1.8a07f55a9548p-8, 0x1.7fa9f12047a34p-8, 0x1.758b6968cdabap-8, 0x1.6bab0883c3549p-8, 0x1.62077eac16583p-8, 0x1.589f81f67095fp-8, 0x1.4f71ce3f75b0ep-8, 0x1.467d251a03356p-8, 0x1.3dc04dbd6e7f5p-8, 0x1.353a14f3ce721p-8, 0x1.2ce94d0826829p-8, 0x1.24cccdb4a455p-8, 0x1.1ce37410eadd6p-8, 0x1.152c228045dbp-8, 0x1.0da5c09fff1b5p-8, 0x1.064f3b35b8855p-8, 0x1.fe4f083b7e373p-9, 0x1.f05b24730f4e5p-9, 0x1.e2c0c2bc2dab8p-9, 0x1.d57de4852f93cp-9, 0x1.c89094ddf0076p-9, 0x1.bbf6e855234a5p-9, 0x1.afaefcd5e3b75p-9, 0x1.a3b6f9854af5fp-9, 0x1.980d0ea083195p-9, 0x1.8caf755a8f1f9p-9, 0x1.819c6fbacee8p-9, 0x1.76d2487b3baa8p-9, 0x1.6c4f52e732dcp-9, 0x1.6211eaba5a682p-9, 0x1.581873ffae93bp-9, 0x1.4e615af0e8d1p-9, 0x1.44eb13d60c4cp-9, 0x1.3bb41ae54bf8fp-9, 0x1.32baf42323dcfp-9, 0x1.29fe2b42aaa3p-9, 0x1.217c53863dd2ap-9, 0x1.193407a05a801p-9, 0x1.1123e994e0f29p-9, 0x1.094aa29a6f5ebp-9, 0x1.01a6e2fc3eabfp-9, 0x1.f46ec3f809b6ap-10, 0x1.e5f5bb68d9381p-10, 0x1.d7e035f730467p-10, 0x1.ca2bca8c4e5b8p-10, 0x1.bcd61d14a28dcp-10, 0x1.afdcde470c133p-10, 0x1.a33dcb6c6ab5ep-10, 0x1.96f6ae27eb4dap-10, 0x1.8b055c3ffe3d6p-10, 0x1.7f67b767b4652p-10, 0x1.741bad09310ccp-10, 0x1.691f3610229p-10, 0x1.5e7056b554841p-10, 0x1.540d1e4adafdp-10, 0x1.49f3a7088ee2cp-10, 0x1.402215d96c95ap-10, 0x1.36969a29a1159p-10, 0x1.2d4f6db519c48p-10, 0x1.244ad456be2bbp-10, 0x1.1b871bd842ep-10, 0x1.13029bc2c28fp-10, 0x1.0abbb52fd5259p-10, 0x1.02b0d29b626d8p-10, 0x1.f5c0cf6bf4d7bp-11, 0x1.e691e26fd7d51p-11, 0x1.d7d1e969f8b0fp-11, 0x1.c97e00e1224f5p-11, 0x1.bb9356657e61cp-11, 0x1.ae0f283b8a1ap-11, 0x1.a0eec508532dp-11, 0x1.942f8b7f3dff8p-11, 0x1.87ceea109a50dp-11, 0x1.7bca5e99c99d5p-11, 0x1.701f76163f416p-11, 0x1.64cbcc5221316p-11, 0x1.59cd0b9da8189p-11, 0x1.4f20ec8236cbcp-11, 0x1.44c53577ef9c2p-11, 0x1.3ab7ba9d2e79dp-11, 0x1.30f65d6e8f9a2p-11, 0x1.277f0c8096ebdp-11, 0x1.1e4fc33a1c94ap-11, 0x1.156689901842dp-11, 0x1.0cc173c27c499p-11, 0x1.045ea21a0956dp-11, 0x1.f878814f06ef8p-12, 0x1.e8b10e074bafp-12, 0x1.d9637021411c8p-12, 0x1.ca8c4378008cfp-12, 0x1.bc283984d736fp-12, 0x1.ae3418e770209p-12, 0x1.a0acbcf103528p-12, 0x1.938f153133222p-12, 0x1.86d82504db226p-12, 0x1.7a850327318dap-12, 0x1.6e92d94471669p-12, 0x1.62fee38ed3052p-12, 0x1.57c67055979cap-12, 0x1.4ce6df9d66fadp-12, 0x1.425da2bb0c5bep-12, 0x1.38283bf023183p-12, 0x1.2e443e08f92a1p-12, 0x1.24af4bfd3a2c6p-12, 0x1.1b6718916add1p-12, 0x1.126965fac74ffp-12, 0x1.09b40584d6e19p-12, 0x1.0144d73855893p-12, 0x1.f23393089f566p-13, 0x1.e261b1d14d4fep-13, 0x1.d3101f43f51b7p-13, 0x1.c43b0aafecf52p-13, 0x1.b5debd98fc58fp-13, 0x1.a7f79b1970ff2p-13, 0x1.9a821f4758314p-13, 0x1.8d7ade9cf0471p-13, 0x1.80de8563b4ac7p-13, 0x1.74a9d722a128dp-13, 0x1.68d9ae0fd3242p-13, 0x1.5d6afa8415d01p-13, 0x1.525ac27280738p-13, 0x1.47a620e1946a9p-13, 0x1.3d4a456830effp-13, 0x1.334473acb8f28p-13, 0x1.299202e717e7dp-13, 0x1.20305d64f991fp-13, 0x1.171d0011dc0eep-13, 0x1.0e5579ff807b7p-13, 0x1.05d76bf33a2eep-13, 0x1.fb410fe838e0fp-14, 0x1.eb5d21b7a5d9ap-14, 0x1.dbfeb3d591ae8p-14, 0x1.cd218cbaeef7ep-14, 0x1.bec19209edc4cp-14, 0x1.b0dac7c1ced3fp-14, 0x1.a3694f788921dp-14, 0x1.96696798a6e27p-14, 0x1.89d76aa2f3f19p-14, 0x1.7dafce7404352p-14, 0x1.71ef238fa2209p-14, 0x1.6692146e3e16bp-14, 0x1.5b9564cf43993p-14, 0x1.50f5f10f84befp-14, 0x1.46b0ad838af09p-14, 0x1.3cc2a5d45ce41p-14, 0x1.3328fc626295ap-14, 0x1.29e0e9a9beb15p-14, 0x1.20e7bbab17126p-14, 0x1.183ad55840ebp-14, 0x1.0fd7ae036f50bp-14, 0x1.07bbd0d25602fp-14, 0x1.ffc9b8686f3aap-15, 0x1.f0a102b8b1354p-15, 0x1.e1f9077b941f2p-15, 0x1.d3cd711887fafp-15, 0x1.c61a0c7b75fdap-15, 0x1.b8dac8226f411p-15, 0x1.ac0bb32f8083p-15, 0x1.9fa8fc7e51f2fp-15, 0x1.93aef1c2b3393p-15, 0x1.8819feab0252bp-15, 0x1.7ce6ac0816648p-15, 0x1.72119ef9b75ebp-15, 0x1.67979821dcc55p-15, 0x1.5d7572db75281p-15, 0x1.53a82477db86bp-15, 0x1.4a2cbb7e9742dp-15, 0x1.41005ef4f111bp-15, 0x1.38204da8fef58p-15, 0x1.2f89dd7eeedfdp-15, 0x1.273a7ac6d28bep-15, 0x1.1f2fa793b617ep-15, 0x1.1766fb1824f81p-15, 0x1.0fde210746883p-15, 0x1.0892d8f89f3c4p-15, 0x1.0182f5d20e9dp-15, 0x1.f558ba6838ff7p-16, 0x1.e81a0dd3188c3p-16, 0x1.db45f8b94b9b9p-16, 0x1.ced8b01d28a59p-16, 0x1.c2ce8a250a407p-16, 0x1.b723fd19824c2p-16, 0x1.abd59e6b9d914p-16, 0x1.a0e021c00e9dep-16, 0x1.964057ff85c6bp-16, 0x1.8bf32e7053c63p-16, 0x1.81f5add416638p-16, 0x1.7844f98e1a8f1p-16, 0x1.6ede4ecb422aep-16, 0x1.65bf03b59d41cp-16, 0x1.5ce486a802867p-16, 0x1.544c5d6c18704p-16, 0x1.4bf4247a56063p-16, 0x1.43d98e3fd8b36p-16, 0x1.3bfa626a9aedap-16, 0x1.34547d39f223cp-16, 0x1.2ce5ced3d8871p-16, 0x1.25ac5a9f73d43p-16, 0x1.1ea636a4ac6b6p-16, 0x1.17d18aef8944p-16, 0x1.112c90f827746p-16, 0x1.0ab5930e7975bp-16, 0x1.046aebcbb0347p-16, 0x1.fc960b0d230e1p-17, 0x1.f0a8b399ec07fp-17, 0x1.e50ae1be1c7fep-17, 0x1.d9b9c2635a527p-17, 0x1.ceb29de5228ddp-17, 0x1.c3f2d71e7fb53p-17, 0x1.b977ea82aebc1p-17, 0x1.af3f6d3aae21bp-17, 0x1.a5470c498a1b1p-17, 0x1.9b8c8bb72663cp-17, 0x1.920dc5c3d321fp-17, 0x1.88c8aa1e4d7d7p-17, 0x1.7fbb3d24bbe61p-17, 0x1.76e39725f3d9bp-17, 0x1.6e3fe3ac8b459p-17, 0x1.65ce60ccf2ae9p-17, 0x1.5d8d5e7b938dep-17, 0x1.557b3de589ed8p-17, 0x1.4d9670d156673p-17, 0x1.45dd7901f2c18p-17, 0x1.3e4ee7a1362bbp-17, 0x1.36e95cae881a7p-17, 0x1.2fab866fc8817p-17, 0x1.289420e97a8f5p-17, 0x1.21a1f55a12476p-17, 0x1.1ad3d9b9a22b9p-17, 0x1.1428b03d46415p-17, 0x1.0d9f66e0e0a3fp-17, 0x1.0736f6f188c9ep-17, 0x1.00ee649e4da34p-17, 0x1.f5897d1905457p-18, 0x1.e9723ad8a960ap-18, 0x1.dd95472b9e81ep-18, 0x1.d1f0f94a99fa7p-18, 0x1.c683ba3ac955ap-18, 0x1.bb4c041737207p-18, 0x1.b048615ee639ap-18, 0x1.a5776c4a79b7p-18, 0x1.9ad7ce2a3495p-18, 0x1.90683ec3bd28p-18, 0x1.862783ba7198ep-18, 0x1.7c146ffa1f242p-18, 0x1.722de328bcbbap-18, 0x1.6872c91b0d956p-18, 0x1.5ee21951db35ep-18, 0x1.557ad678a4bdp-18, 0x1.4c3c0dea7157fp-18, 0x1.4324d73adbd94p-18, 0x1.3a3453c4907dbp-18, 0x1.3169ae37d6cadp-18, 0x1.28c41a3350d16p-18, 0x1.2042d3db6e1a3p-18, 0x1.17e51f78eae64p-18, 0x1.0faa49185c59dp-18, 0x1.0791a430a381ap-18, 0x1.ff351694d14dcp-19, 0x1.ef88bf578db52p-19, 0x1.e01d120f11d01p-19, 0x1.d0f0ea5ed7339p-19, 0x1.c2032f8f79814p-19, 0x1.b352d401f99bp-19, 0x1.a4ded4a1b4393p-19, 0x1.96a63862cc541p-19, 0x1.88a80fc2826d7p-19, 0x1.7ae3744c11f64p-19, 0x1.6d57882471851p-19, 0x1.60037598a55e6p-19, 0x1.52e66eb626cd7p-19, 0x1.45ffacde533d2p-19, 0x1.394e7068168c3p-19, 0x1.2cd200407c121p-19, 0x1.2089a98e0e7b6p-19, 0x1.1474bf5c100bp-19, 0x1.08929a4749423p-19, 0x1.f9c5306029eafp-20, 0x1.e2c837dcc17fcp-20, 0x1.cc2d1a12ad927p-20, 0x1.b5f2aeeb0e6dcp-20, 0x1.a017d69aed99dp-20, 0x1.8a9b7932586cdp-20, 0x1.757c861b5b258p-20, 0x1.60b9f3af20f03p-20, 0x1.4c52bec86bb2fp-20, 0x1.3845ea5b5c4b8p-20, 0x1.24927f1467687p-20, 0x1.11378afd73947p-20, 0x1.fc684243ea007p-21, 0x1.d70eb281bb627p-21, 0x1.b2609ef3b026dp-21, 0x1.8e5c4804acf3cp-21, 0x1.6afff5c2022abp-21, 0x1.4849f74ad3847p-21, 0x1.2638a25b41222p-21, 0x1.04ca52ce67ce4p-21, 0x1.c7fad45e47303p-22, 0x1.87a09ea3f6f56p-22, 0x1.4882dbd889ef5p-22, 0x1.0a9e6c70a8ce7p-22, }}, 
      {{-0x1.c98c55381e24cp-15, -0x1.ca3525415a38ep-13, -0x1.025524e87a423p-11, -0x1.cca33eb1e4175p-11, -0x1.6927016dd9c68p-10, -0x1.050d924beb20ep-9, -0x1.64cbee0439428p-9, -0x1.d3fb0a8156debp-9, -0x1.295d57174bb86p-8, -0x1.708d50c0a3df9p-8, -0x1.bf8c21f24b6e8p-8, -0x1.0b273b5ba2586p-7, -0x1.3a5f41072a5f6p-7, -0x1.6d5deabf2e3ep-7, -0x1.a40dbcaefeb04p-7, -0x1.de541d33b032p-7, -0x1.0e08c88aad30dp-6, -0x1.2e91043d27a2fp-6, -0x1.50ae9c304fa3p-6, -0x1.744b7e755fa9ep-6, -0x1.994fe0a4d86f9p-6, -0x1.bfa275441add2p-6, -0x1.e728a176cd78bp-6, -0x1.07e359065b9d8p-5, -0x1.1cb00796ac485p-5, -0x1.31ebb706fff04p-5, -0x1.4787802260ca1p-5, -0x1.5d745035a0d1ap-5, -0x1.73a2fdef7f865p-5, -0x1.8a045cc18411cp-5, -0x1.a0894ebc5aef2p-5, -0x1.b722d4e95da32p-5, -0x1.cdc21e284b25bp-5, -0x1.e458949c13effp-5, -0x1.fad7e9b476b8p-5, -0x1.0899107213784p-4, -0x1.13accc8a36c37p-4, -0x1.1ea08a73fd90fp-4, -0x1.296de0ef854c5p-4, -0x1.340e9f3775a5fp-4, -0x1.3e7ccf8f814d5p-4, -0x1.48b2b95e7b934p-4, -0x1.52aae2dca8922p-4, -0x1.5c60125eb28dbp-4, -0x1.65cd4f456856dp-4, -0x1.6eede29a15465p-4, -0x1.77bd575efb72fp-4, -0x1.80377a9b1b585p-4, -0x1.88585b28214bp-4, -0x1.901c4948ef9f4p-4, -0x1.977fd60ee6e9p-4, -0x1.9e7fd293a7842p-4, -0x1.a5194f0ca9787p-4, -0x1.ab4999bdbbca9p-4, -0x1.b10e3dcee420cp-4, -0x1.b665020a1b261p-4, -0x1.bb4be784984f3p-4, -0x1.bfc128375920bp-4, -0x1.c3c3358a19853p-4, -0x1.c750b6d39acb8p-4, -0x1.ca6887d1d951cp-4, -0x1.cd09b71c772bdp-4, -0x1.cf33849370ceap-4, -0x1.d0e55fcbda98fp-4, -0x1.d21ee67c2c029p-4, -0x1.d2dfe2e98d66ap-4, -0x1.d3284a571b2e4p-4, -0x1.d2f83b784cf1ep-4, -0x1.d24ffce72973cp-4, -0x1.d12ffb9efae39p-4, -0x1.cf98c97c18f59p-4, -0x1.cd8b1bc1379fap-4, -0x1.cb07c9a2829ecp-4, -0x1.c80fcad6da359p-4, -0x1.c4a4362f6b318p-4, -0x1.c0c64035a77e9p-4, -0x1.bc7739cfd794p-4, -0x1.b7b88eec3f73fp-4, -0x1.b28bc532e5505p-4, -0x1.acf27abdfd59bp-4, -0x1.a6ee64d8e2174p-4, -0x1.a0814ec5b8f26p-4, -0x1.99ad188985631p-4, -0x1.9273b5becfdbbp-4, -0x1.8ad72c6eaf32bp-4, -0x1.82d993f03c46cp-4, -0x1.7a7d13ce5a951p-4, -0x1.71c3e2b3c9ca9p-4, -0x1.68b0455d753b1p-4, -0x1.5f448d92f5a24p-4, -0x1.5583192538ddbp-4, -0x1.4b6e50f3480eep-4, -0x1.4108a7f520031p-4, -0x1.36549a4c955d3p-4, -0x1.2b54ac5c37aafp-4, -0x1.200b69e43554cp-4, -0x1.147b652529e33p-4, -0x1.08a73608dc0e4p-4, -0x1.f922f2a1bf9b7p-5, -0x1.e0799f9617c05p-5, -0x1.c757bb179946fp-5, -0x1.adc2925c713f8p-5, -0x1.93bf7633d5477p-5, -0x1.7953b99d2339ep-5, -0x1.5e84b06a5f544p-5, -0x1.4357adededf8bp-5, -0x1.27d203b386f2fp-5, -0x1.0bf900442e864p-5, -0x1.dfa3dbea6aa5fp-6, -0x1.a6c423840957fp-6, -0x1.6d5d54616f6afp-6, -0x1.3379dc82985a1p-6, -0x1.f248319d35305p-7, -0x1.7ccca6377c589p-7, -0x1.06958097f641bp-7, -0x1.1f6df9f649c04p-8, -0x1.845269f107d4p-11, 0x1.7eb0ae3393041p-9, 0x1.b012b42350bf3p-8, 0x1.50befff476bc9p-7, 0x1.c9b9f595cb202p-7, 0x1.2173a9b5f8afbp-6, 0x1.5e1a3a4cf4038p-6, 0x1.9ac77cb1a7fd9p-6, 0x1.d77264befd419p-6, 0x1.0a0905908407cp-5, 0x1.284ed72e51f1fp-5, 0x1.468659e376936p-5, 0x1.64ab54369657fp-5, 0x1.82b9a0f69d06ep-5, 0x1.a0ad2f9f81e2dp-5, 0x1.be8204b7af50ap-5, 0x1.dc343a2644338p-5, 0x1.f9bfff8264798p-5, 0x1.0b90cd2dd88fep-4, 0x1.1a2ab33e14bcbp-4, 0x1.28abeb11ca2aap-4, 0x1.3712b91e4d70fp-4, 0x1.455d6d45e12cp-4, 0x1.538a62ec3e5bep-4, 0x1.6198010829875p-4, 0x1.6f84ba32444ffp-4, 0x1.7d4f0cb11332fp-4, 0x1.8af5828261dc2p-4, 0x1.9876b162098fep-4, 0x1.a5d13ace3c81p-4, 0x1.b303cc095206cp-4, 0x1.c00d1e1940bccp-4, 0x1.ccebf5c4cb1ebp-4, 0x1.d99f238e638dep-4, 0x1.e62583acf5233p-4, 0x1.f27dfe0297762p-4, 0x1.fea786112b962p-4, 0x1.05508d7689bc9p-3, 0x1.0b34e396fd893p-3, 0x1.1100506ee87d1p-3, 0x1.16b264b2fc9aep-3, 0x1.1c4ab6bd64f91p-3, 0x1.21c8e282b1e5dp-3, 0x1.272c8985fc7dfp-3, 0x1.2c7552cc4378ap-3, 0x1.31a2eacf0f3bap-3, 0x1.36b5036e5efa8p-3, 0x1.3bab53e1ec111p-3, 0x1.408598a9c55d9p-3, 0x1.4543937e4d26fp-3, 0x1.49e50b3f9d14cp-3, 0x1.4e69cbe45f2cep-3, 0x1.52d1a66813ebcp-3, 0x1.571c70b8e19dcp-3, 0x1.5b4a05a4db617p-3, 0x1.5f5a44c6d6b1ap-3, 0x1.634d1272d842dp-3, 0x1.672257a20f68fp-3, 0x1.6ada01de6ef88p-3, 0x1.6e74032df1b69p-3, 0x1.71f051fd7fc92p-3, 0x1.754ee90b8ce88p-3, 0x1.788fc75262ffdp-3, 0x1.7bb2eff22f3b9p-3, 0x1.7eb86a1acee18p-3, 0x1.81a040f564beap-3, 0x1.846a838db5683p-3, 0x1.871744bb5f6c8p-3, 0x1.89a69b0ae4e5p-3, 0x1.8c18a0a692ba9p-3, 0x1.8e6d733f4ae2ap-3, 0x1.90a533f537bdcp-3, 0x1.92c007406a59cp-3, 0x1.94be14d968df1p-3, 0x1.969f87a1b6d4dp-3, 0x1.98648d8c52d83p-3, 0x1.9a0d578639995p-3, 0x1.9b9a195eea9bcp-3, 0x1.9d0b09b0f15c5p-3, 0x1.9e6061ca80efbp-3, 0x1.9f9a5d961e951p-3, 0x1.a0b93b835fa32p-3, 0x1.a1bd3c6fc0f6cp-3, 0x1.a2a6a38f99a6ap-3, 0x1.a375b65731c71p-3, 0x1.a42abc63f7f74p-3, 0x1.a4c5ff65e58cep-3, 0x1.a547cb08ffc6fp-3, 0x1.a5b06cdf19367p-3, 0x1.a6003449b3b2cp-3, 0x1.a637726420c23p-3, 0x1.a65679edd343ep-3, 0x1.a65d9f34eead2p-3, 0x1.a64d38010e916p-3, 0x1.a6259b7e5104dp-3, 0x1.a5e722289f71fp-3, 0x1.a59225b73967fp-3, 0x1.a52701088bf01p-3, 0x1.a4a6100e49f98p-3, 0x1.a40fafb9d14cfp-3, 0x1.a3643de8d9624p-3, 0x1.a2a4195273237p-3, 0x1.a1cfa1745373bp-3, 0x1.a0e7368074caep-3, 0x1.9feb394b00117p-3, 0x1.9edc0b389399ap-3, 0x1.9dba0e2cd8624p-3, 0x1.9c85a4797030bp-3, 0x1.9b3f30cd3659bp-3, 0x1.99e71623dea81p-3, 0x1.987db7b5e530ap-3, 0x1.970378e8dc43fp-3, 0x1.9578bd4014185p-3, 0x1.93dde84d96047p-3, 0x1.92335da389472p-3, 0x1.907980c5de2d8p-3, 0x1.8eb0b51c6ab1bp-3, 0x1.8cd95de5501b2p-3, 0x1.8af3de27c86a8p-3, 0x1.890098a74bbb1p-3, 0x1.86ffefd70f5dp-3, 0x1.84f245cde22c6p-3, 0x1.82d7fc3a67e7ep-3, 0x1.80b17457a8173p-3, 0x1.7e7f0ee201388p-3, 0x1.7c412c0c6cd9fp-3, 0x1.79f82b7628db4p-3, 0x1.77a46c20ad35dp-3, 0x1.75464c66060b2p-3, 0x1.72de29ef83061p-3, 0x1.706c61acb96adp-3, 0x1.6df14fcae5264p-3, 0x1.6b6d4fac9ac9fp-3, 0x1.68e0bbe1cfbbbp-3, 0x1.664bee203b3c9p-3, 0x1.63af3f3c04d75p-3, 0x1.610b0720cba66p-3, 0x1.5e5f9ccaf85dbp-3, 0x1.5bad56416acfep-3, 0x1.58f4888f696b6p-3, 0x1.563587beeed62p-3, 0x1.5370a6d336dep-3, 0x1.50a637c3a0bbfp-3, 0x1.4dd68b76db39fp-3, 0x1.4b01f1be58fa3p-3, 0x1.4828b9520bfd2p-3, 0x1.454b2fcc6f716p-3, 0x1.4269a1a6d29a4p-3, 0x1.3f845a35e7716p-3, 0x1.3c9ba3a69b2bdp-3, 0x1.39afc6fb2b6fdp-3, 0x1.36c10c087f462p-3, 0x1.33cfb973c2e4ep-3, 0x1.30dc14b03921cp-3, 0x1.2de661fd55063p-3, 0x1.2aeee46506668p-3, 0x1.27f5ddba46b0bp-3, 0x1.24fb8e97db61fp-3, 0x1.2200365f536bdp-3, 0x1.1f04133834193p-3, 0x1.1c07620f670a6p-3, 0x1.190a5e96cc418p-3, 0x1.160d43450fe9dp-3, 0x1.131049559ee8ap-3, 0x1.1013a8c8d9e18p-3, 0x1.0d1798646eeeap-3, 0x1.0a1c4db3de733p-3, 0x1.0721fd0932f1cp-3, 0x1.0428d97ddc122p-3, 0x1.013114f3b4c14p-3, 0x1.fc75c02c654fcp-4, 0x1.f68cd4b76fep-4, 0x1.f0a7c40e193dfp-4, 0x1.eac6e851f8001p-4, 0x1.e4ea99442372fp-4, 0x1.df132c48f4219p-4, 0x1.d940f46c0575ap-4, 0x1.d37442646a5b3p-4, 0x1.cdad64992a066p-4, 0x1.c7eca725edfa1p-4, 0x1.c23253dfe4d6p-4, 0x1.bc7eb25adbadep-4, 0x1.b6d207ee88a27p-4, 0x1.b12c97bbfdf11p-4, 0x1.ab8ea2b35710fp-4, 0x1.a5f8679981f64p-4, 0x1.a06a230e3b59bp-4, 0x1.9ae40f922725cp-4, 0x1.9566658d1bbb5p-4, 0x1.8ff15b547c84cp-4, 0x1.8a852531c4e92p-4, 0x1.8521f5692802ep-4, 0x1.7fc7fc40502c9p-4, 0x1.7a77680535c7bp-4, 0x1.7530651513639p-4, 0x1.6ff31de36a9b4p-4, 0x1.6abfbb01221b1p-4, 0x1.65966323b403p-4, 0x1.60773b2c6f48cp-4, 0x1.5b62662fc6d27p-4, 0x1.5658057cb066dp-4, 0x1.515838a40fc0bp-4, 0x1.4c631d802b22cp-4, 0x1.4778d03c2b2dp-4, 0x1.42996b5ba1bc6p-4, 0x1.3dc507c214a8bp-4, 0x1.38fbbcba95001p-4, 0x1.343d9fff4fed9p-4, 0x1.2f8ac5c12b68ap-4, 0x1.2ae340af5ce9dp-4, 0x1.264721ff05664p-4, 0x1.21b67972c8b85p-4, 0x1.1d3155626318fp-4, 0x1.18b7c2c23d5d7p-4, 0x1.1449cd2af8c42p-4, 0x1.0fe77ee0f7c2ap-4, 0x1.0b90e0dbe241cp-4, 0x1.0745face1a5e1p-4, 0x1.0306d32c32eaep-4, 0x1.fda6de68a9c8dp-5, 0x1.f557a5eb38e1ap-5, 0x1.ed2002aed9cfcp-5, 0x1.e4fff8416cdbdp-5, 0x1.dcf787fe5ed67p-5, 0x1.d506b11d02b1fp-5, 0x1.cd2d70becd33cp-5, 0x1.c56bc1fd73184p-5, 0x1.bdc19df8e8998p-5, 0x1.b62efbe5403e5p-5, 0x1.aeb3d1186ab21p-5, 0x1.a7501117ce26ep-5, 0x1.a003ada5c2fap-5, 0x1.98ce96cee34f1p-5, 0x1.91b0baf739f28p-5, 0x1.8aaa06e74bf0dp-5, 0x1.83ba65d8f6e64p-5, 0x1.7ce1c1842b11ap-5, 0x1.7620022b77a9bp-5, 0x1.6f750ea87787ep-5, 0x1.68e0cc7809663p-5, 0x1.62631fc662d22p-5, 0x1.5bfbeb7af66f8p-5, 0x1.55ab114433e22p-5, 0x1.4f7071a310d42p-5, 0x1.494bebf670e93p-5, 0x1.433d5e865cca5p-5, 0x1.3d44a68f051e5p-5, 0x1.3761a04ba415fp-5, 0x1.319427012c4d8p-5, 0x1.2bdc1508c55e1p-5, 0x1.263943da237d4p-5, 0x1.20ab8c15a50f2p-5, 0x1.1b32c58e4e172p-5, 0x1.15cec7538ff04p-5, 0x1.107f67bae293dp-5, 0x1.0b447c692d528p-5, 0x1.061dda5c05546p-5, 0x1.010b55f2c0787p-5, 0x1.f81985ee9b975p-6, 0x1.ee43e94de3016p-6, 0x1.e4957b757eecp-6, 0x1.db0de0dff10fcp-6, 0x1.d1acbd206bd9p-6, 0x1.c871b2f2bb59p-6, 0x1.bf5c644af04aep-6, 0x1.b66c72649918fp-6, 0x1.ada17dd1b1b2ep-6, 0x1.a4fb268937e9dp-6, 0x1.9c790bf55eafep-6, 0x1.941acd01760cbp-6, 0x1.8be008276c54dp-6, 0x1.83c85b7d12289p-6, 0x1.7bd364c0ed27cp-6, 0x1.7400c166ccb89p-6, 0x1.6c500ea3fb96ap-6, 0x1.64c0e97b2561ap-6, 0x1.5d52eec7eca8cp-6, 0x1.5605bb4a2bcfep-6, 0x1.4ed8ebb0e2ec1p-6, 0x1.47cc1ca4d8384p-6, 0x1.40deead2f4fc2p-6, 0x1.3a10f2f64156fp-6, 0x1.3361d1e1a5a2bp-6, 0x1.2cd124894fa82p-6, 0x1.265e880be258p-6, 0x1.200999bb402f8p-6, 0x1.19d1f7252947cp-6, 0x1.13b73e1b838b6p-6, 0x1.0db90cbc59bdcp-6, 0x1.07d701799eb14p-6, 0x1.0210bb209e293p-6, 0x1.f8cbb1c28705dp-7, 0x1.edabf4aa0b30dp-7, 0x1.e2c17f0b269bbp-7, 0x1.d80b91e6ae9dap-7, 0x1.cd896f3740a1bp-7, 0x1.c33a59fd3fa2fp-7, 0x1.b91d964a40b3p-7, 0x1.af32694c122b4p-7, 0x1.a57819573e941p-7, 0x1.9bededf11d8b6p-7, 0x1.92932fd98ed32p-7, 0x1.896729141bf7p-7, 0x1.806924f0c581bp-7, 0x1.779870147a586p-7, 0x1.6ef45880f7172p-7, 0x1.667c2d9c6bb97p-7, 0x1.5e2f40389fc83p-7, 0x1.560ce299d0298p-7, 0x1.4e14687d0a0d8p-7, 0x1.4645271e54bd4p-7, 0x1.3e9e753e5886cp-7, 0x1.371fab27bd9a5p-7, 0x1.2fc822b43fc07p-7, 0x1.2897375159123p-7, 0x1.218c46049d09bp-7, 0x1.1aa6ad6fd0b84p-7, 0x1.13e5cdd4a589cp-7, 0x1.0d4909182b457p-7, 0x1.06cfc2c5f9272p-7, 0x1.007960130fe66p-7, 0x1.f48a8fc0e75d4p-8, 0x1.e865c57ade83dp-8, 0x1.dc8335d3794bap-8, 0x1.d0e1b8ae71b93p-8, 0x1.c58029570e962p-8, 0x1.ba5d6682b196fp-8, 0x1.af785252fec3ep-8, 0x1.a4cfd2579a545p-8, 0x1.9a62cf8f54bbbp-8, 0x1.90303669195afp-8, 0x1.8636f6c456a56p-8, 0x1.7c7603f0f36eap-8, 0x1.72ec54aeed86cp-8, 0x1.6998e32dbd823p-8, 0x1.607aad0af2f12p-8, 0x1.5790b350fcc79p-8, 0x1.4ed9fa7546eabp-8, 0x1.46558a55f972cp-8, 0x1.3e026e37ac62ep-8, 0x1.35dfb4c27c0ffp-8, 0x1.2dec6fff155e2p-8, 0x1.2627b5535f79dp-8, 0x1.1e909d7eb6624p-8, 0x1.1726449635c77p-8, 0x1.0fe7ca0083454p-8, 0x1.08d4507163246p-8, 0x1.01eafde5271acp-8, 0x1.f655f737c8f1fp-9, 0x1.e926ec2886a46p-9, 0x1.dc473a0cb9aeep-9, 0x1.cfb546bc9264cp-9, 0x1.c36f7e6cd0d3cp-9, 0x1.b77453a34008cp-9, 0x1.abc23f2abdecap-9, 0x1.a057c006e00d3p-9, 0x1.95335b6786625p-9, 0x1.8a539c9bd613bp-9, 0x1.7fb71504ecc03p-9, 0x1.755c5c0915d02p-9, 0x1.6b420f054f6e6p-9, 0x1.6166d14012a41p-9, 0x1.57c94bdaeff71p-9, 0x1.4e682dc42ed8dp-9, 0x1.45422ba897ddcp-9, 0x1.3c55ffe49c441p-9, 0x1.33a26a75aa83p-9, 0x1.2b2630eb0f72ep-9, 0x1.22e01e56d8955p-9, 0x1.1acf033ee2d6ap-9, 0x1.12f1b58d43cdp-9, 0x1.0b471080b8995p-9, 0x1.03cdf49d9491dp-9, 0x1.f90a8f3b60b0fp-10, 0x1.ead7e8c2232e9p-10, 0x1.dd01d5bba58a5p-10, 0x1.cf8640218de2bp-10, 0x1.c2631bda4857bp-10, 0x1.b596669a34bc5p-10, 0x1.a91e27c3641cap-10, 0x1.9cf87045e5417p-10, 0x1.91235a7fc5c41p-10, 0x1.859d0a1d7f38ap-10, 0x1.7a63abfa0b661p-10, 0x1.6f7575fee9dabp-10, 0x1.64d0a704c4422p-10, 0x1.5a7386b371b96p-10, 0x1.505c6562b98a8p-10, 0x1.46899bfa08d19p-10, 0x1.3cf98bd1d638bp-10, 0x1.33aa9e942d88dp-10, 0x1.2a9b461cda66p-10, 0x1.21c9fc5b0577fp-10, 0x1.193543320eca4p-10, 0x1.10dba45ad5636p-10, 0x1.08bbb144e1958p-10, 0x1.00d402f83f836p-10, 0x1.f24673edb956fp-11, 0x1.e34ffc3e037b8p-11, 0x1.d4c1fd197c736p-11, 0x1.c699e2f97b99dp-11, 0x1.b8d5285dd96fap-11, 0x1.ab715590c7c5bp-11, 0x1.9e6c006f0bf9cp-11, 0x1.91c2cc2c88cc2p-11, 0x1.8573691bf8b55p-11, 0x1.797b94765b394p-11, 0x1.6dd918221944dp-11, 0x1.6289ca7c478ddp-11, 0x1.578b8e211cef5p-11, 0x1.4cdc51b511356p-11, 0x1.427a0faf510ecp-11, 0x1.3862ce23e56e7p-11, 0x1.2e949e8e8a1e7p-11, 0x1.250d9d9e4aeep-11, 0x1.1bcbf3022ffdbp-11, 0x1.12cdd1356737bp-11, 0x1.0a11754c65067p-11, 0x1.019526c31e12bp-11, 0x1.f2ae6e95d6de9p-12, 0x1.e2ac0534ca4b1p-12, 0x1.d31fdc7682da7p-12, 0x1.c406d2b99b2a8p-12, 0x1.b55dd94510439p-12, 0x1.a721f3ed65677p-12, 0x1.995038b808ab5p-12, 0x1.8be5cf7f7f14p-12, 0x1.7edff19a71092p-12, 0x1.723be982bd161p-12, 0x1.65f7127df2f4ep-12, 0x1.5a0ed8476712ep-12, 0x1.4e80b6bb09172p-12, 0x1.434a39817b10cp-12, 0x1.3868fbbe6ae82p-12, 0x1.2ddaa7bc85f95p-12, 0x1.239cf6a061676p-12, 0x1.19adb01731adep-12, 0x1.100aaa09ed804p-12, 0x1.06b1c84f90618p-12, 0x1.fb41f8c5d16c1p-13, 0x1.e9ac8a2ea639cp-13, 0x1.d89f5c9ef117cp-13, 0x1.c816a16acf4cap-13, 0x1.b80ea2e79bb6p-13, 0x1.a883c3df3e991p-13, 0x1.99727f07907b1p-13, 0x1.8ad7667b29c4ap-13, 0x1.7caf23339f302p-13, 0x1.6ef6748987e69p-13, 0x1.61aa2fb01768ap-13, 0x1.54c73f3ae8d9fp-13, 0x1.484aa29d91d3bp-13, 0x1.3c316db5df4bcp-13, 0x1.3078c8508e287p-13, 0x1.251dedb648845p-13, 0x1.1a1e2c358deb5p-13, 0x1.0f76e4b33e58bp-13, 0x1.05258a39cb559p-13, 0x1.f64f43190ddcfp-14, 0x1.e2f581764c013p-14, 0x1.d0391d73b2216p-14, 0x1.be1585ef6d2d8p-14, 0x1.ac8649f603c6ap-14, 0x1.9b8717f883541p-14, 0x1.8b13bd0afddcp-14, 0x1.7b28242257231p-14, 0x1.6bc0555d6ef15p-14, 0x1.5cd87544cf2dep-14, 0x1.4e6cc41dc50dcp-14, 0x1.40799d33cee64p-14, 0x1.32fb762dead48p-14, 0x1.25eede6445f37p-14, 0x1.19507e37e1452p-14, 0x1.0d1d1670bf6d7p-14, 0x1.01517f9e61a82p-14, 0x1.ebd552f442747p-15, 0x1.d5cb349e2484fp-15, 0x1.c07edcc4f87abp-15, 0x1.abeaaec40e485p-15, 0x1.980937a5a1824p-15, 0x1.84d52d0d905a7p-15, 0x1.72496c21f856cp-15, 0x1.6060f87e32b63p-15, 0x1.4f16fb2efaac3p-15, 0x1.3e66c1ae313fbp-15, 0x1.2e4bbce3df3dp-15, 0x1.1ec1803617c24p-15, 0x1.0fc3c0937b93ep-15, 0x1.014e5389ce456p-15, 0x1.e6ba5cbec7c55p-16, 0x1.cbd8ca6333055p-16, 0x1.b1f054360d81bp-16, 0x1.98f998b71aa0dp-16, 0x1.80ed6f0bfe873p-16, 0x1.69c4e56e720a2p-16, 0x1.53793f95a1671p-16, 0x1.3e03f52df001ep-16, 0x1.295eb06717abcp-16, 0x1.15834c7377863p-16, 0x1.026bd428af4fbp-16, 0x1.e025012c6dc22p-17, 0x1.bce36f61dd5c9p-17, 0x1.9b08160183cc6p-17, 0x1.7a886ca8ef5b1p-17, 0x1.5b5a3d1294cbap-17, 0x1.3d73a09965da8p-17, 0x1.20cafde042b9dp-17, 0x1.055706818bdbp-17, 0x1.d61d697e4dbdp-18, 0x1.a3d292c3beb14p-18, 0x1.73bc931876d02p-18, 0x1.45caf94838318p-18, 0x1.19edd49d8813ap-18, 0x1.e02b61e667d8dp-19, 0x1.90672565d2a66p-19, 0x1.4471e69e9b3d5p-19, 0x1.f85ef5d035fddp-20, 0x1.6f092604ab027p-20, 0x1.d95ad16e87f1dp-21, 0x1.c461917005afep-22, -0x1.f3d8f3d1a062ap-27, -0x1.ca0c8cebbbe75p-22, -0x1.b5d1860b2346ap-21, -0x1.3d45fb4387b0fp-20, -0x1.99c6d7e0fe94cp-20, -0x1.f096124dee43bp-20, -0x1.20ee8e2441c15p-19, -0x1.46e215646c6e4p-19, -0x1.6a39201efdacfp-19, -0x1.8b069b58c7d49p-19, -0x1.a95ce4c7b433ap-19, -0x1.c54dcf80bfaddp-19, -0x1.deeaa899a8697p-19, -0x1.f6443bc85b07dp-19, }}, 
      {{-0x1.0b4565e138349p-9, -0x1.074f351332df1p-8, -0x1.817a5e55a3128p-8, -0x1.f140b25fe7bd9p-8, -0x1.2a3e17b0a53dbp-7, -0x1.54e10650891b3p-7, -0x1.782949ffc2851p-7, -0x1.9400ebd78ed0ap-7, -0x1.a88ed273c4fc9p-7, -0x1.b629b8d6cbc34p-7, -0x1.bd4bf3bfd72c7p-7, -0x1.be88774765486p-7, -0x1.ba81502f319adp-7, -0x1.b1df9c65869aep-7, -0x1.a54cf59f2da9p-7, -0x1.956e32a065939p-7, -0x1.82df5c5fc4b74p-7, -0x1.6e30b13db2154p-7, -0x1.57e4907792b13p-7, -0x1.406e29ad16055p-7, -0x1.2830cf012a605p-7, -0x1.0f7fcb98ce3a6p-7, -0x1.ed3d47478b27bp-8, -0x1.bb834d0189529p-8, -0x1.8a1d7d9c920d8p-8, -0x1.593cde7d555b5p-8, -0x1.28f9db8e1e9a1p-8, -0x1.f2ad44e52320fp-9, -0x1.94831e1f55398p-9, -0x1.372f3372b851dp-9, -0x1.b49aea91db566p-10, -0x1.f581c883604dap-11, -0x1.fd5be046d91c5p-13, 0x1.f7af39394b21ap-12, 0x1.3f6566cd96e77p-10, 0x1.031a40b851195p-9, 0x1.69ec4964af178p-9, 0x1.d4ebb2cb47ff8p-9, 0x1.226df2bbbee62p-8, 0x1.5d3f382009c9dp-8, 0x1.9b4879b2312edp-8, 0x1.dce5a80482fa1p-8, 0x1.113786046004ap-7, 0x1.361c4e864f2d6p-7, 0x1.5d48b94bac66dp-7, 0x1.86e1a7fbedcfdp-7, 0x1.b30923ace0df3p-7, 0x1.e1de3922ac80ep-7, 0x1.09be6f60c7c61p-6, 0x1.23fef19c95651p-6, 0x1.3fbb71ff2848ep-6, 0x1.5cfd255b3261dp-6, 0x1.7bcba862b6d01p-6, 0x1.9c2d041f641ebp-6, 0x1.be25b4c3220dfp-6, 0x1.e1b8b27f0a1d1p-6, 0x1.0373be0aa8d6fp-5, 0x1.16d91170c1b1dp-5, 0x1.2b0bac0c2ee31p-5, 0x1.400a3d8343529p-5, 0x1.55d2d40d58f48p-5, 0x1.6c62e4467a445p-5, 0x1.83b7513cf129ep-5, 0x1.9bcc74a619b1ep-5, 0x1.b49e272a12bfap-5, 0x1.ce27c8b7a2331p-5, 0x1.e86448d36cc94p-5, 0x1.01a7176b9fe26p-4, 0x1.0f6fd10bca3afp-4, 0x1.1d8938f368807p-4, 0x1.2bf00eb77a675p-4, 0x1.3aa0edadc650cp-4, 0x1.499850a758016p-4, 0x1.58d2958e61c82p-4, 0x1.684c00e5c32d6p-4, 0x1.7800c128d3354p-4, 0x1.87ecf20a5e96bp-4, 0x1.980c9f921e8a7p-4, 0x1.a85bc9181fdc6p-4, 0x1.b8d6641de21fdp-4, 0x1.c9785f0508adbp-4, 0x1.da3da3a3d5306p-4, 0x1.eb2219b79c4b1p-4, 0x1.fc21a935a2ab3p-4, 0x1.069c1e3d745eap-3, 0x1.0f30e12dc1acep-3, 0x1.17cd180916e92p-3, 0x1.206ec18879837p-3, 0x1.2913e159d23d1p-3, 0x1.31ba80ea88333p-3, 0x1.3a60b023f30b3p-3, 0x1.4304861a177a7p-3, 0x1.4ba421ad2bf2ep-3, 0x1.543daa1e641e1p-3, 0x1.5ccf4f987d6b2p-3, 0x1.65574bac88b4dp-3, 0x1.6dd3e1c37795fp-3, 0x1.76435f84dd208p-3, 0x1.7ea41d3366cacp-3, 0x1.86f47dff7c65dp-3, 0x1.8f32f050894dep-3, 0x1.975dee0552381p-3, 0x1.9f73fcabdc70ap-3, 0x1.a773adb142047p-3, 0x1.af5b9e89e36c4p-3, 0x1.b72a78d269f4dp-3, 0x1.bedef269e5a83p-3, 0x1.c677cd8585612p-3, 0x1.cdf3d8be285f6p-3, 0x1.d551ef183c958p-3, 0x1.dc90f8062e4d7p-3, 0x1.e3afe765c3bd7p-3, 0x1.eaadbd78b578dp-3, 0x1.f18986d8c859fp-3, 0x1.f8425c67b9d11p-3, 0x1.fed7633b4090bp-3, 0x1.02a3e642b005dp-2, 0x1.05c96abcae86ap-2, 0x1.08dbe396bd103p-2, 0x1.0bdafb3ce506ap-2, 0x1.0ec661ea2153dp-2, 0x1.119dcd9526bffp-2, 0x1.1460f9dbfdb38p-2, 0x1.170fa7ee8ed15p-2, 0x1.19a99e782e461p-2, 0x1.1c2ea988465bbp-2, 0x1.1e9e9a7a2a8a9p-2, 0x1.20f947dc2dde4p-2, 0x1.233e8d5610777p-2, 0x1.256e4b8eccf75p-2, 0x1.27886811dee55p-2, 0x1.298ccd340fb2cp-2, 0x1.2b7b69f7d478dp-2, 0x1.2d5431f1526e7p-2, 0x1.2f171d2a1201bp-2, 0x1.30c428046ce44p-2, 0x1.325b531ec9f47p-2, 0x1.33dca336a773cp-2, 0x1.3548210b8917dp-2, 0x1.369dd941ce5b1p-2, 0x1.37dddc4579d9cp-2, 0x1.39083e2cf8aecp-2, 0x1.3a1d169beab19p-2, 0x1.3b1c80a5fb6adp-2, 0x1.3c069ab1cf43ap-2, 0x1.3cdb865c0aa87p-2, 0x1.3d9b685a7efdcp-2, 0x1.3e46685f81ce2p-2, 0x1.3edcb0fd70d4p-2, 0x1.3f5e6f8a6ebfep-2, 0x1.3fcbd4045b5dep-2, 0x1.402510f508ddap-2, 0x1.406a5b56b9ab5p-2, 0x1.409bea78e89c4p-2, 0x1.40b9f7e55b6fap-2, 0x1.40c4bf458b11fp-2, 0x1.40bc7e486132fp-2, 0x1.40a174884cf08p-2, 0x1.4073e371b6f17p-2, 0x1.40340e29d47fcp-2, 0x1.3fe23975db64dp-2, 0x1.3f7eaba29e012p-2, 0x1.3f09ac6c8b3a4p-2, 0x1.3e8384e81beb7p-2, 0x1.3dec7f6aa8927p-2, 0x1.3d44e773b073fp-2, 0x1.3c8d09968abecp-2, 0x1.3bc533648dfd9p-2, 0x1.3aedb357a50b5p-2, 0x1.3a06d8bd5ac72p-2, 0x1.3910f3a257409p-2, 0x1.380c54be52c1bp-2, 0x1.36f94d6081cb9p-2, 0x1.35d82f5c6fe78p-2, 0x1.34a94cf75a73bp-2, 0x1.336cf8d5fce88p-2, 0x1.322385ead4bdbp-2, 0x1.30cd4764e0e61p-2, 0x1.2f6a909ed2522p-2, 0x1.2dfbb50ebaac9p-2, 0x1.2c8108362e51p-2, 0x1.2afadd92dc918p-2, 0x1.2969888fa07dcp-2, 0x1.27cd5c760788cp-2, 0x1.2626ac604b681p-2, 0x1.2475cb2bc2432p-2, 0x1.22bb0b6bc1ab5p-2, 0x1.20f6bf5cf6213p-2, 0x1.1f2938d929debp-2, 0x1.1d52c94b802d8p-2, 0x1.1b73c1a51c0dcp-2, 0x1.198c72523bd98p-2, 0x1.179d2b2fba805p-2, 0x1.15a63b8105c03p-2, 0x1.13a7f1e679151p-2, 0x1.11a29c5423882p-2, 0x1.0f968808f9b04p-2, 0x1.0d8401866792ap-2, 0x1.0b6b54884eb51p-2, 0x1.094ccbfd62beap-2, 0x1.0728b1ffec21cp-2, 0x1.04ff4fcee8736p-2, 0x1.02d0edc789c21p-2, 0x1.009dd35f163dep-2, 0x1.fccc8e3a408ebp-3, 0x1.f8551d2c322ebp-3, 0x1.f3d5dccc7417bp-3, 0x1.ef4f545993befp-3, 0x1.eac2090f5b0dap-3, 0x1.e62e7e1ea66d3p-3, 0x1.e19534a5d684ap-3, 0x1.dcf6aba9de87ap-3, 0x1.d853600feff92p-3, 0x1.d3abcc97bb155p-3, 0x1.cf0069d643e28p-3, 0x1.ca51ae3146a36p-3, 0x1.c5a00ddb26617p-3, 0x1.c0ebfacf612b7p-3, 0x1.bc35e4cf92d2ep-3, 0x1.b77e3960e9217p-3, 0x1.b2c563ca2227fp-3, 0x1.ae0bcd11fc05ap-3, 0x1.a951dbfe1c4f8p-3, 0x1.a497f5126c74fp-3, 0x1.9fde7a90dfb2p-3, 0x1.9b25cc79a9984p-3, 0x1.966e488bd1d53p-3, 0x1.91b84a463a51ep-3, 0x1.8d042ae8faa51p-3, 0x1.8852417719a37p-3, 0x1.83a2e2b8a5ef7p-3, 0x1.7ef6613d21381p-3, 0x1.7a4d0d5e3b82dp-3, 0x1.75a73542e4a98p-3, 0x1.710524e2a5f8bp-3, 0x1.6c672609430ddp-3, 0x1.67cd805aa65abp-3, 0x1.633879570ddf2p-3, 0x1.5ea8545f75755p-3, 0x1.5a1d52ba43169p-3, 0x1.5597b39828c7ep-3, 0x1.5117b4193ed29p-3, 0x1.4c9d8f525647ep-3, 0x1.48297e5273fadp-3, 0x1.43bbb828874afp-3, 0x1.3f5471e93ed67p-3, 0x1.3af3deb513b5bp-3, 0x1.369a2fbe729f4p-3, 0x1.324794500bbf6p-3, 0x1.2dfc39d34a247p-3, 0x1.29b84bd6e2ebfp-3, 0x1.257bf41586bdp-3, 0x1.21475a7cacc5p-3, 0x1.1d1aa53378f91p-3, 0x1.18f5f8a1b30e1p-3, 0x1.14d97776d996p-3, 0x1.10c542b144f2ep-3, 0x1.0cb979a55699fp-3, 0x1.08b63a04c0173p-3, 0x1.04bb9fe5cd95p-3, 0x1.00c9c5cac1fbbp-3, 0x1.f9c1895270b08p-4, 0x1.f20167e32326ap-4, 0x1.ea53532cc28e6p-4, 0x1.e2b77427cc0a5p-4, 0x1.db2df0eeffb08p-4, 0x1.d3b6ecce51158p-4, 0x1.cc528851dedffp-4, 0x1.c500e154da879p-4, 0x1.bdc213107c646p-4, 0x1.b696362ad9d5ep-4, 0x1.af7d60c5c2738p-4, 0x1.a877a68d849c7p-4, 0x1.a18518c7b206fp-4, 0x1.9aa5c661bbd9ep-4, 0x1.93d9bbff8ae6dp-4, 0x1.8d21040a05994p-4, 0x1.867ba6bd70995p-4, 0x1.7fe9aa37bf3fdp-4, 0x1.796b1286c64efp-4, 0x1.72ffe1b6522aep-4, 0x1.6ca817de1ed1p-4, 0x1.6663b32fb0d7bp-4, 0x1.6032b004089c8p-4, 0x1.5a1508e93ab3cp-4, 0x1.540ab6afdbaap-4, 0x1.4e13b0784d287p-4, 0x1.482febbfe1c28p-4, 0x1.425f5c6ddb4a3p-4, 0x1.3ca1f4e03db11p-4, 0x1.36f7a5f87c6ffp-4, 0x1.31605f27fc4e7p-4, 0x1.2bdc0e7c67f39p-4, 0x1.266aa0abde4a1p-4, 0x1.210c0120ef47ep-4, 0x1.1bc01a066e50fp-4, 0x1.1686d4531843fp-4, 0x1.116017d508459p-4, 0x1.0c4bcb3d0171dp-4, 0x1.0749d42987d24p-4, 0x1.025a1731cc4b1p-4, 0x1.faf8efe0caad9p-5, 0x1.f161b21bbab82p-5, 0x1.e7ee3896176bbp-5, 0x1.de9e45168380dp-5, 0x1.d57197bc8ad1cp-5, 0x1.cc67ef143af16p-5, 0x1.c3810829582f2p-5, 0x1.babc9e9a30cadp-5, 0x1.b21a6caa13463p-5, 0x1.a99a2b5365b63p-5, 0x1.a13b925955497p-5, 0x1.98fe58592bbc6p-5, 0x1.90e232db47e9fp-5, 0x1.88e6d663aff9ep-5, 0x1.810bf682486dep-5, 0x1.795145e2ac2fbp-5, 0x1.71b6765bab409p-5, 0x1.6a3b38fe65d6bp-5, 0x1.62df3e250ba59p-5, 0x1.5ba2358146013p-5, 0x1.5483ce2a3cac4p-5, 0x1.4d83b6aa4fb54p-5, 0x1.46a19d0c60bc3p-5, 0x1.3fdd2ee8dc2fcp-5, 0x1.393619725a64bp-5, 0x1.32ac0981efc0cp-5, 0x1.2c3eaba3270c3p-5, 0x1.25edac1fa3cd1p-5, 0x1.1fb8b70a751eap-5, 0x1.199f784b11fa7p-5, 0x1.13a19ba802791p-5, 0x1.0dbeccd140f1bp-5, 0x1.07f6b76a3bc03p-5, 0x1.02490713986a9p-5, 0x1.f96acee93cecep-6, 0x1.ee770888b4eeap-6, 0x1.e3b612a4e602cp-6, 0x1.d927451f6f2fap-6, 0x1.cec9f82cc51a9p-6, 0x1.c49d8464214ebp-6, 0x1.baa142cef87a7p-6, 0x1.b0d48cf7d3c1fp-6, 0x1.a736bcf89b372p-6, 0x1.9dc72d8873f46p-6, 0x1.94853a0905838p-6, 0x1.8b703e933d169p-6, 0x1.82879803a2456p-6, 0x1.79caa40618b9dp-6, 0x1.7138c121400b2p-6, 0x1.68d14ec144c0ep-6, 0x1.6093ad424d68fp-6, 0x1.587f3dfa64caep-6, 0x1.50936342ff7acp-6, 0x1.48cf80821188dp-6, 0x1.4132fa32b2e68p-6, 0x1.39bd35ed5af15p-6, 0x1.326d9a6fb5415p-6, 0x1.2b438fa41a486p-6, 0x1.243e7ea8926d8p-6, 0x1.1d5dd1d589a3bp-6, 0x1.16a0f4c41f14fp-6, 0x1.100754541194p-6, 0x1.09905eb15c8afp-6, 0x1.033b83597da6ep-6, 0x1.fa106640b4391p-7, 0x1.edebc069b84c5p-7, 0x1.e207fc4a6cdd4p-7, 0x1.d66403c5b9cb5p-7, 0x1.cafec38c6fd31p-7, 0x1.bfd72b23f7ec4p-7, 0x1.b4ec2cec8dd88p-7, 0x1.aa3cbe26d8d8p-7, 0x1.9fc7d6f91800bp-7, 0x1.958c72739a707p-7, 0x1.8b898e94ece7cp-7, 0x1.81be2c4d506f6p-7, 0x1.78294f81e7ce9p-7, 0x1.6ec9ff0f59ad2p-7, 0x1.659f44cbf40b6p-7, 0x1.5ca82d89743f8p-7, 0x1.53e3c9165a22ep-7, 0x1.4b512a3ecee18p-7, 0x1.42ef66cd3907fp-7, 0x1.3abd978a54b8bp-7, 0x1.32bad83d028dap-7, 0x1.2ae647a9a74bep-7, 0x1.233f0791585bdp-7, 0x1.1bc43cb07fbe6p-7, 0x1.14750ebd5c1e4p-7, 0x1.0d50a86618bc1p-7, 0x1.0656374e9f444p-7, 0x1.ff09d81c4be5ap-8, 0x1.f1b7f458eb998p-8, 0x1.e4b5303dc4ea3p-8, 0x1.d7fffe8a1a2ebp-8, 0x1.cb96d7cae16d3p-8, 0x1.bf783a5335c76p-8, 0x1.b3a2aa348f7abp-8, 0x1.a814b13652fe5p-8, 0x1.9cccdecd3dc9cp-8, 0x1.91c9c81224083p-8, 0x1.870a07b892b58p-8, 0x1.7c8c3e04fc5bfp-8, 0x1.724f10c27adb4p-8, 0x1.68512b386817dp-8, 0x1.5e913e1f8029bp-8, 0x1.550dff96f0af3p-8, 0x1.4bc62b18f4b88p-8, 0x1.42b8816f2783dp-8, 0x1.39e3c8a6d811fp-8, 0x1.3146cc04dea12p-8, 0x1.28e05bf968ddcp-8, 0x1.20af4e137b7bdp-8, 0x1.18b27cf45763p-8, 0x1.10e8c842a0ed6p-8, 0x1.0951149d62d73p-8, 0x1.01ea4b8f05a43p-8, 0x1.f566b6ffe6d7ap-9, 0x1.e7566f527e0bcp-9, 0x1.d9a1b00e7feadp-9, 0x1.cc467297af426p-9, 0x1.bf42b9a1b768dp-9, 0x1.b294911494e7dp-9, 0x1.a63a0df0feb73p-9, 0x1.9a314e347dd74p-9, 0x1.8e7878bdb674ep-9, 0x1.830dbd304faap-9, 0x1.77ef53d8f1c27p-9, 0x1.6d1b7d9141206p-9, 0x1.629083a3b6394p-9, 0x1.584cb7af6b71p-9, 0x1.4e4e738c0e6c5p-9, 0x1.4494192db4adp-9, 0x1.3b1c1288bf61bp-9, 0x1.31e4d175c3b63p-9, 0x1.28eccf958be9p-9, 0x1.20328e3535a71p-9, 0x1.17b496321c0c5p-9, 0x1.0f7177de4b90cp-9, 0x1.0767cae49491cp-9, 0x1.ff2c5c5a390ap-10, 0x1.eff68f83b38dfp-10, 0x1.e12b89666ec3fp-10, 0x1.d2c8b1f9bad8ep-10, 0x1.c4cb7ed53e3dap-10, 0x1.b73172fb3968dp-10, 0x1.a9f81ea30643dp-10, 0x1.9d1d1f03e5487p-10, 0x1.909e1e20172ddp-10, 0x1.8478d290d6a37p-10, 0x1.78aaff51a9294p-10, 0x1.6d32738d4bfc8p-10, 0x1.620d0a6a384ecp-10, 0x1.5738aad7ad78dp-10, 0x1.4cb3475b9b3aep-10, 0x1.427adde05952ep-10, 0x1.388d77835484bp-10, 0x1.2ee928640a72ap-10, 0x1.258c0f73261c9p-10, 0x1.1c745642b8194p-10, 0x1.13a030d66c8eep-10, 0x1.0b0ddd744a87fp-10, 0x1.02bba47622224p-10, 0x1.f54fb036f631p-11, 0x1.e5a1a8b73f54dp-11, 0x1.d669fd714d877p-11, 0x1.c7a58c25b72b2p-11, 0x1.b95144f8cec85p-11, 0x1.ab6a2a1bac689p-11, 0x1.9ded4f75f48bep-11, 0x1.90d7da506bcdfp-11, 0x1.842701014aa73p-11, 0x1.77d80a98eb40ap-11, 0x1.6be84e8f6b5f4p-11, 0x1.6055347508257p-11, 0x1.551c33a086611p-11, 0x1.4a3ad2e1c71a1p-11, 0x1.3faea8335a13cp-11, 0x1.3575586db88a1p-11, 0x1.2b8c96fc21deep-11, 0x1.21f22591b9943p-11, 0x1.18a3d3e032f18p-11, 0x1.0f9f7f4f1f3d8p-11, 0x1.06e312b4a682p-11, 0x1.fcd90c1ec609fp-12, 0x1.ec73bc81c6c79p-12, 0x1.dc9259922beeep-12, 0x1.cd311f07c9647p-12, 0x1.be4c60cc6b3b1p-12, 0x1.afe08a7ad21a5p-12, 0x1.a1ea1edd14459p-12, 0x1.9465b76fabb21p-12, 0x1.875003e4122bp-12, 0x1.7aa5c9a7a3d6ap-12, 0x1.6e63e36ab25e1p-12, 0x1.628740aa8b56ap-12, 0x1.570ce53ce2e6dp-12, 0x1.4bf1e8dddba7ep-12, 0x1.413376bf7e055p-12, 0x1.36cecd1ae5dp-12, 0x1.2cc13cc4463f5p-12, 0x1.230828bfa9bf4p-12, 0x1.19a105d8c8202p-12, 0x1.10895a3ad591bp-12, 0x1.07bebd0c8a7b8p-12, 0x1.fe7dac18b6242p-13, 0x1.ee0eba5cbda21p-13, 0x1.de2c347a6cf29p-13, 0x1.ced1c8f79f43bp-13, 0x1.bffb449217f2dp-13, 0x1.b1a49189fd816p-13, 0x1.a3c9b6f064df8p-13, 0x1.9666d7f86f232p-13, 0x1.8978334d4c261p-13, 0x1.7cfa2268428bdp-13, 0x1.70e918edf2c18p-13, 0x1.6541a40c8c49dp-13, 0x1.5a0069dc2cf98p-13, 0x1.4f2228c595804p-13, 0x1.44a3b6e84cedp-13, 0x1.3a8201868312cp-13, 0x1.30ba0c72b62fdp-13, 0x1.2748f1802af62p-13, 0x1.1e2bdff6f6cep-13, 0x1.15601c0ae9166p-13, 0x1.0ce2fe53e3e2dp-13, 0x1.04b1f34b55131p-13, 0x1.f994f59421644p-14, 0x1.ea544f149b5a6p-14, 0x1.db9d3d5708db1p-14, 0x1.cd6b2e749ebc2p-14, 0x1.bfb9b372503b8p-14, 0x1.b2847f586e0c6p-14, 0x1.a5c76650c41f7p-14, 0x1.997e5cc731298p-14, 0x1.8da57692009d5p-14, 0x1.8238e61aaa6d2p-14, 0x1.7734fb9211cf8p-14, 0x1.6c9624212c057p-14, 0x1.6258e924e2c36p-14, 0x1.5879ef6b21a52p-14, 0x1.4ef5f67474953p-14, 0x1.45c9d7bae0acdp-14, 0x1.3cf285fcc0ccep-14, 0x1.346d0c8a64607p-14, 0x1.2c368e9a6aa43p-14, 0x1.244c469fc290ep-14, 0x1.1cab85a469a9dp-14, 0x1.1551b2a9a64b8p-14, 0x1.0e3c4a06e0b7cp-14, 0x1.0768dcd3c5ffcp-14, 0x1.00d5104fa300bp-14, 0x1.f4fd3a9fbd96ep-15, 0x1.e8c69f5ff0b5ep-15, 0x1.dd020b8e594d1p-15, 0x1.d1ab5fbe322c2p-15, 0x1.c6be9f5ee75bfp-15, 0x1.bc37efb7e2a41p-15, 0x1.b21396ed23dbdp-15, 0x1.a84dfb06666fep-15, 0x1.9ee3a0ff99d01p-15, 0x1.95d12bdec8ef3p-15, 0x1.8d135bce66f16p-15, 0x1.84a70d4059998p-15, 0x1.7c89381289e81p-15, 0x1.74b6eebcf7e9dp-15, 0x1.6d2d5d81adb5p-15, 0x1.65e9c9a559737p-15, 0x1.5ee990ab3505cp-15, 0x1.582a2796bb1d7p-15, 0x1.51a91a3009f83p-15, 0x1.4b640a5242595p-15, 0x1.4558af3902174p-15, 0x1.3f84d4d653fd2p-15, 0x1.39e65b2bc5476p-15, 0x1.347b35a84b5p-15, 0x1.2f416a8976d24p-15, 0x1.2a3712429e728p-15, 0x1.255a56e74d7f4p-15, 0x1.20a9739a8ec62p-15, 0x1.1c22b4001c5bp-15, 0x1.17c473b54a12dp-15, 0x1.138d1dc8266d9p-15, 0x1.0f7b2c38e7ba5p-15, 0x1.0b8d27793c149p-15, 0x1.07c1a5f34945ap-15, 0x1.04174b9247048p-15, 0x1.008cc94d2511ep-15, 0x1.fa41b9703284bp-16, 0x1.f3a49f2c5b122p-16, 0x1.ed3feedee6a3cp-16, 0x1.e7116a5599058p-16, 0x1.e116e951eb024p-16, 0x1.db4e58c7adb51p-16, 0x1.d5b5ba1ff8ba5p-16, 0x1.d04b2284af942p-16, 0x1.cb0cba2d7e79fp-16, 0x1.c5f8bbb3a6f36p-16, 0x1.c10d736d41fa2p-16, 0x1.bc493ec9e106dp-16, 0x1.b7aa8bb48a603p-16, 0x1.b32fd7ffccad9p-16, 0x1.aed7b0ceba9f9p-16, 0x1.aaa0b20876eb9p-16, 0x1.a68985cd6d04cp-16, 0x1.a290e3f0926b6p-16, 0x1.9eb59177404b1p-16, 0x1.9af6601a0f109p-16, 0x1.97522dcbf31e4p-16, 0x1.93c7e44629af6p-16, 0x1.90567893f62d5p-16, 0x1.8cfceaa4e2edfp-16, 0x1.89ba44e38730ap-16, 0x1.868d9bcd13445p-16, 0x1.83760d8f3a9e5p-16, 0x1.8072c1a5f64fcp-16, 0x1.7d82e8806689dp-16, 0x1.7aa5bb24ef69ep-16, 0x1.77da7ada0d756p-16, 0x1.752070d488f19p-16, 0x1.7276ede45f353p-16, 0x1.6fdd4a27a5c26p-16, 0x1.6d52e4be8385p-16, 0x1.6ad723813d21fp-16, 0x1.686972baab228p-16, 0x1.660944e486a9ep-16, 0x1.63b6126502599p-16, 0x1.616f59507ba63p-16, 0x1.5f349d2c4d1fcp-16, 0x1.5d0566b2f928fp-16, 0x1.5ae1439d1c38dp-16, 0x1.58c7c669e1022p-16, 0x1.56b8862ae18bdp-16, 0x1.54b31e520cf08p-16, 0x1.52b72e80f05c6p-16, 0x1.50c45a5977772p-16, 0x1.4eda495053c76p-16, 0x1.4cf8a68255cfep-16, 0x1.4b1f208b03f27p-16, 0x1.494d695c56992p-16, 0x1.4783361865924p-16, 0x1.45c03eec4bfd5p-16, 0x1.44043eec368a1p-16, 0x1.424ef3f27573cp-16, 0x1.40a01e7dd99f5p-16, 0x1.3ef7819259642p-16, 0x1.3d54e29bb5a8cp-16, 0x1.3bb80950c0691p-16, 0x1.3a20bf965b2d3p-16, }}, 
      {{0x1.8fd1d03c05ebfp-1, 0x1.8f8514bb7ef39p-1, 0x1.8f0ba2909f429p-1, 0x1.8e6c7d4a4cf32p-1, 0x1.8daecacf0f8b4p-1, 0x1.8cd91fb6113b6p-1, 0x1.8bf123d12672p-1, 0x1.8afb6f69f07d9p-1, 0x1.89fb8ba041f48p-1, 0x1.88f4074ea05c2p-1, 0x1.87e696b6d5ab7p-1, 0x1.86d4379950436p-1, 0x1.85bd55aeb45fep-1, 0x1.84a1ed130f1c7p-1, 0x1.8381a94619896p-1, 0x1.825c001ba991dp-1, 0x1.8130486f014aap-1, 0x1.7ffdccb6f3f49p-1, 0x1.7ec3d9c5a140fp-1, 0x1.7d81ca16c7e97p-1, 0x1.7c370e1a099bdp-1, 0x1.7ae331e7e3c0bp-1, 0x1.7985e0cbd049dp-1, 0x1.781ee70647e7fp-1, 0x1.76ae321fdee93p-1, 0x1.7533d01c6ea8p-1, 0x1.73afedd2e40e5p-1, 0x1.7222d4a46d76dp-1, 0x1.708ce7c471ccep-1, 0x1.6eeea13a662ffp-1, 0x1.6d488ebefd04fp-1, 0x1.6b9b4e8f9f08p-1, 0x1.69e78c4d522bep-1, 0x1.682dfdf74d10bp-1, 0x1.666f610d4b56fp-1, 0x1.64ac77e2341cep-1, 0x1.62e60724c81edp-1, 0x1.611cd3a1acb2fp-1, 0x1.5f51a0404ac7cp-1, 0x1.5d852c3a712f1p-1, 0x1.5bb8318d8c0fcp-1, 0x1.59eb63a35683dp-1, 0x1.581f6e2f52ca3p-1, 0x1.5654f43ddcbbbp-1, 0x1.548c8f7161665p-1, 0x1.52c6cf6a22dd1p-1, 0x1.51043954db0c8p-1, 0x1.4f45479c9af3bp-1, 0x1.4d8a69bc55722p-1, 0x1.4bd4042ca807cp-1, 0x1.4a22706a9e901p-1, 0x1.4875fd1459006p-1, 0x1.46ceee18b3259p-1, 0x1.452d7cf73ddd9p-1, 0x1.4391d90e11957p-1, 0x1.41fc27f3334cep-1, 0x1.406c85d77c246p-1, 0x1.3ee305f120546p-1, 0x1.3d5fb2ec25ab8p-1, 0x1.3be28f5f4539fp-1, 0x1.3a6b9643d8c2dp-1, 0x1.38fabb6fa525bp-1, 0x1.378fec0f6c738p-1, 0x1.362b0f215c9c9p-1, 0x1.34cc05ee88b4ap-1, 0x1.3372ac82baafap-1, 0x1.321eda2201742p-1, 0x1.30d061bb7bb96p-1, 0x1.2f871258eee14p-1, 0x1.2e42b78ad281p-1, 0x1.2d0319d085d4fp-1, 0x1.2bc7fefc75b8cp-1, 0x1.2a912a9408ee1p-1, 0x1.295e5e2b2fb79p-1, 0x1.282f59bb86bdfp-1, 0x1.2703dbf6fe809p-1, 0x1.25dba29604e81p-1, 0x1.24b66aa138e5p-1, 0x1.2393f0b6ae7b1p-1, 0x1.2273f14ad73bep-1, 0x1.215628e5236c3p-1, 0x1.203a545872b2bp-1, 0x1.1f2030f775849p-1, 0x1.1e077cc517f0bp-1, 0x1.1ceff6a11d97ap-1, 0x1.1bd95e710cefdp-1, 0x1.1ac375458f007p-1, 0x1.19adfd7c6b99p-1, 0x1.1898badf429p-1, 0x1.178372bf2d949p-1, 0x1.166dec0d6a75p-1, 0x1.1557ef7139649p-1, 0x1.1441475b10adfp-1, 0x1.1329c0154b6c6p-1, 0x1.121127d2783dp-1, 0x1.10f74eb96aa75p-1, 0x1.0fdc06ef30711p-1, 0x1.0ebf249f0e451p-1, 0x1.0da07e00a1951p-1, 0x1.0c7feb5c48b37p-1, 0x1.0b5d470dedb9cp-1, 0x1.0a386d8652968p-1, 0x1.09113d4af71a5p-1, 0x1.07e796f4b75d5p-1, 0x1.06bb5d2d36f12p-1, 0x1.058c74ab35743p-1, 0x1.045ac42ddfe1fp-1, 0x1.0326347736974p-1, 0x1.01eeb0459b9d3p-1, 0x1.00b4244c9b0a9p-1, 0x1.feecfe5a08b51p-2, 0x1.fc6b62d8c2827p-2, 0x1.f9e35ad7b87dep-2, 0x1.f754cebd51127p-2, 0x1.f4bfaa7fe89c9p-2, 0x1.f223dd90f31b6p-2, 0x1.ef815ac767cdfp-2, 0x1.ecd818499acc7p-2, 0x1.ea280f768ba6dp-2, 0x1.e7713cced02ep-2, 0x1.e4b39fdd1d999p-2, 0x1.e1ef3b1e8ed4p-2, 0x1.df2413eaad346p-2, 0x1.dc52325b583bbp-2, 0x1.d979a1348e891p-2, 0x1.d69a6dcc2d913p-2, 0x1.d3b4a7f1aeb2dp-2, 0x1.d0c861d5f1ecep-2, 0x1.cdd5aff31e21fp-2, 0x1.cadca8f49fb47p-2, 0x1.c7dd659f5079fp-2, 0x1.c4d800b9d0806p-2, 0x1.c1cc96f5155bfp-2, 0x1.bebb46d5393b1p-2, 0x1.bba4309a8e259p-2, 0x1.b887762afd519p-2, 0x1.b5653afbb2ffdp-2, 0x1.b23da3fb224d5p-2, 0x1.af10d77b5de72p-2, 0x1.abdefd1ccdfb3p-2, 0x1.a8a83db9475bap-2, 0x1.a56cc34f8130cp-2, 0x1.a22cb8eef2765p-2, 0x1.9ee84aa416632p-2, 0x1.9b9fa56516685p-2, 0x1.9852f6fee5a99p-2, 0x1.95026e02c19c8p-2, 0x1.91ae39b425723p-2, 0x1.8e5689f7277f1p-2, 0x1.8afb8f3f4b2fp-2, 0x1.879d7a7ebc86cp-2, 0x1.843c7d1601f4cp-2, 0x1.80d8c8c419006p-2, 0x1.7d728f970786bp-2, 0x1.7a0a03dcdc3b3p-2, 0x1.769f58151e6eep-2, 0x1.7332bee2ad8cap-2, 0x1.6fc46afe135fbp-2, 0x1.6c548f283f772p-2, 0x1.68e35e1db7866p-2, 0x1.65710a8a2f204p-2, 0x1.61fdc6fc90093p-2, 0x1.5e89c5db6d686p-2, 0x1.5b153959e016ep-2, 0x1.57a0536ccfffdp-2, 0x1.542b45c0a1c81p-2, 0x1.50b641af50362p-2, 0x1.4d417836e7ad8p-2, 0x1.49cd19f06ac71p-2, 0x1.4659570716ca5p-2, 0x1.42e65f300aaa7p-2, 0x1.3f7461a252baep-2, 0x1.3c038d0f4d3abp-2, 0x1.38940f9b72455p-2, 0x1.352616d7749aep-2, 0x1.31b9cfb9be535p-2, 0x1.2e4f669845f86p-2, 0x1.2ae70722bb251p-2, 0x1.2780dc5d0aaa3p-2, 0x1.241d109a32beap-2, 0x1.20bbcd776d631p-2, 0x1.1d5d3bd7ab41dp-2, 0x1.1a0183df59529p-2, 0x1.16a8ccf07a7f8p-2, 0x1.13533da705e5cp-2, 0x1.1000fbd59602dp-2, 0x1.0cb22c8257a78p-2, 0x1.0966f3e447a45p-2, 0x1.061f7560af5a3p-2, 0x1.02dbd388e5e7bp-2, 0x1.ff386030a4d9cp-3, 0x1.f8c157e55c2a9p-3, 0x1.f252ce4506871p-3, 0x1.ebed01afce776p-3, 0x1.e5902ecee2bffp-3, 0x1.df3c9092ca02fp-3, 0x1.d8f2603233494p-3, 0x1.d2b1d5292205fp-3, 0x1.cc7b2538864b5p-3, 0x1.c64e84663be95p-3, 0x1.c02c24fd6182bp-3, 0x1.ba14378f13e83p-3, 0x1.b406eaf37a608p-3, 0x1.ae046c4b31ef7p-3, 0x1.a80ce70100be6p-3, 0x1.a22084cbe4fe8p-3, 0x1.9c3f6db164e3ap-3, 0x1.9669c8082f8a3p-3, 0x1.909fb87b01997p-3, 0x1.8ae1620bca1aap-3, 0x1.852ee61715af3p-3, 0x1.7f886457b0505p-3, 0x1.79edfaea88251p-3, 0x1.745fc652c0ba2p-3, 0x1.6edde17e02094p-3, 0x1.696865c8f37c5p-3, 0x1.63ff6b03ead55p-3, 0x1.5ea30777c46e3p-3, 0x1.59534feaea175p-3, 0x1.541057a678befp-3, 0x1.4eda307b983c1p-3, 0x1.49b0eac8e916fp-3, 0x1.449495801ac7ap-3, 0x1.3f853e2b9b76dp-3, 0x1.3a82f0f4692bap-3, 0x1.358db8a7f1ed5p-3, 0x1.30a59ebe1b7a4p-3, 0x1.2bcaab5f4cc1p-3, 0x1.26fce56a9eeebp-3, 0x1.223c527c0cbb1p-3, 0x1.1d88f6f2bf9c8p-3, 0x1.18e2d5f762432p-3, 0x1.1449f18284abap-3, 0x1.0fbe4a6301f47p-3, 0x1.0b3fe04477ca7p-3, 0x1.06ceb1b5bcf46p-3, 0x1.026abc2f618bap-3, 0x1.fc27f834602b2p-4, 0x1.f394d9ab62826p-4, 0x1.eb1c117d5f483p-4, 0x1.e2bd926b7a744p-4, 0x1.da794d4b6032bp-4, 0x1.d24f31144a9bbp-4, 0x1.ca3f2aebeb463p-4, 0x1.c249263354da5p-4, 0x1.ba6d0c93cf873p-4, 0x1.b2aac60b9f662p-4, 0x1.ab0238fabe8d8p-4, 0x1.a3734a2f7231bp-4, 0x1.9bfddcf2dfc62p-4, 0x1.94a1d31576237p-4, 0x1.8d5f0cfb4326bp-4, 0x1.863569a8375e8p-4, 0x1.7f24c6cc3bfb6p-4, 0x1.782d00cf35eccp-4, 0x1.714df2dce385bp-4, 0x1.6a8776f09c664p-4, 0x1.63d965e0ea2ap-4, 0x1.5d43976b016bdp-4, 0x1.56c5e23e12dadp-4, 0x1.50601c06794dp-4, 0x1.4a121978be7a4p-4, 0x1.43dbae5c77146p-4, 0x1.3dbcad96fa476p-4, 0x1.37b4e935ec8aap-4, 0x1.31c43279a147bp-4, 0x1.2bea59df50e05p-4, 0x1.26272f2b274cp-4, 0x1.207a81722092ep-4, 0x1.1ae41f23bf1bp-4, 0x1.1563d6139249cp-4, 0x1.0ff973828fc16p-4, 0x1.0aa4c4284238cp-4, 0x1.0565943bc73eep-4, 0x1.003baf7ca23dap-4, 0x1.f64dc276be92bp-5, 0x1.ec4de8c413365p-5, 0x1.e27766f8e8419p-5, 0x1.d8c9d180a5cdap-5, 0x1.cf44bc2a4d8b1p-5, 0x1.c5e7ba37f5ed3p-5, 0x1.bcb25e6deb9c2p-5, 0x1.b3a43b217604bp-5, 0x1.aabce2473c8e4p-5, 0x1.a1fbe5815c4cbp-5, 0x1.9960d62d1153dp-5, 0x1.90eb45701a06cp-5, 0x1.889ac445b242p-5, 0x1.806ee38b3d3e9p-5, 0x1.7867340c92927p-5, 0x1.7083468ff827dp-5, 0x1.68c2abe1c38a8p-5, 0x1.6124f4dfa28adp-5, 0x1.59a9b28395c4ap-5, 0x1.525075ee8e9d9p-5, 0x1.4b18d072bf817p-5, 0x1.4402539d9806ep-5, 0x1.3d0c914171906p-5, 0x1.36371b7ee5052p-5, 0x1.2f8184cdd9d1bp-5, 0x1.28eb6006412b1p-5, 0x1.2274406885adp-5, 0x1.1c1bb9a5aef7fp-5, 0x1.15e15fe735cb3p-5, 0x1.0fc4c7d6997e7p-5, 0x1.09c586a49d2aap-5, 0x1.03e332104a6b3p-5, 0x1.fc3ac0db4e23ap-6, 0x1.f0e751584b12ep-6, 0x1.e5cb44b9a8f8bp-6, 0x1.dae5cb7090ec1p-6, 0x1.d03617488bab7p-6, 0x1.c5bb5b724fcecp-6, 0x1.bb74cc8e163cbp-6, 0x1.b161a0b574e2cp-6, 0x1.a7810f84b3ba2p-6, 0x1.9dd25223b6d6cp-6, 0x1.9454a34e70d56p-6, 0x1.8b073f5ce12ecp-6, 0x1.81e9644aa35b6p-6, 0x1.78fa51be0ec8bp-6, 0x1.7039490eec8c8p-6, 0x1.67a58d4cd252p-6, 0x1.5f3e6344f62bp-6, 0x1.57031187c690dp-6, 0x1.4ef2e06e02533p-6, 0x1.470d1a1d8102cp-6, 0x1.3f510a8d9dc49p-6, 0x1.37bdff8b40553p-6, 0x1.305348bc96881p-6, 0x1.291037a473b42p-6, 0x1.21f41fa55bafp-6, 0x1.1afe5604476a5p-6, 0x1.142e31eb05a3ep-6, 0x1.0d830c6a65679p-6, 0x1.06fc407c0c1f2p-6, 0x1.00992b03fa01ep-6, 0x1.f4b255a3c024fp-7, 0x1.e87741442e3b9p-7, 0x1.dc7fde3cd798bp-7, 0x1.d0caf5bd30becp-7, 0x1.c55754d11e902p-7, 0x1.ba23cc6102f9ap-7, 0x1.af2f31314f2c3p-7, 0x1.a4785be1ba5b6p-7, 0x1.99fe28ec094dep-7, 0x1.8fbf78a24a98cp-7, 0x1.85bb2f2ce73a2p-7, 0x1.7bf034881e057p-7, 0x1.725d74813e522p-7, 0x1.6901deb388984p-7, 0x1.5fdc6684a2ae7p-7, 0x1.56ec0320cf843p-7, 0x1.4e2faf76c01e6p-7, 0x1.45a66a333ac7ap-7, 0x1.3d4f35bc4fb17p-7, 0x1.3529182c5d96cp-7, 0x1.2d331b4ccafp-7, 0x1.256c4c908d9c6p-7, 0x1.1dd3bd0e59751p-7, 0x1.1668817aab213p-7, 0x1.0f29b221907c2p-7, 0x1.08166ae037483p-7, 0x1.012dcb1e5551p-7, 0x1.f4ddeb8eb1a5ep-8, 0x1.e7b22286cc27dp-8, 0x1.dad68ee06c9bcp-8, 0x1.ce498b33766a9p-8, 0x1.c20978e55eff3p-8, 0x1.b614c019f3a0fp-8, 0x1.aa69cfa3d46ebp-8, 0x1.9f071cf4b67ep-8, 0x1.93eb240d6b26fp-8, 0x1.8914676dbbf62p-8, 0x1.7e817003e53bdp-8, 0x1.7430cd1c2b9f8p-8, 0x1.6a21144fed698p-8, 0x1.6050e174d8631p-8, 0x1.56bed68be0aa4p-8, 0x1.4d699baff127p-8, 0x1.444fdf04b8fe7p-8, 0x1.3b7054a53217ap-8, 0x1.32c9b6922f818p-8, 0x1.2a5ac4a0c0c8bp-8, 0x1.222244688a528p-8, 0x1.1a1f013218ef3p-8, 0x1.124fcbe50ce3fp-8, 0x1.0ab37af6716dfp-8, 0x1.0348ea56c725ap-8, 0x1.f81df6c09a4d6p-9, 0x1.ea09298a24699p-9, 0x1.dc5144fa60c1cp-9, 0x1.cef42b69dd929p-9, 0x1.c1efc976040ffp-9, 0x1.b54215dd57f47p-9, 0x1.a8e9115c27a77p-9, 0x1.9ce2c689158b9p-9, 0x1.912d49b1c5549p-9, 0x1.85c6b8b7c6294p-9, 0x1.7aad3aed570e1p-9, 0x1.6fdf00f2ba4ccp-9, 0x1.655a44932da99p-9, 0x1.5b1d48a27fa83p-9, 0x1.512658daacb2dp-9, 0x1.4773c9b973cf1p-9, 0x1.3e03f85e738efp-9, 0x1.34d54a6941f0cp-9, 0x1.2be62dd7daf0fp-9, 0x1.233518e549173p-9, 0x1.1ac089e84ce44p-9, 0x1.12870732ad215p-9, 0x1.0a871ef067199p-9, 0x1.02bf6707547b7p-9, 0x1.f65cf9edfa46p-10, 0x1.e7a60b7185ed4p-10, 0x1.d9575b408c1edp-10, 0x1.cb6e5077f7177p-10, 0x1.bde8606c95dadp-10, 0x1.b0c30e6d5a50cp-10, 0x1.a3fbeb868bb44p-10, 0x1.97909645a0c48p-10, 0x1.8b7eba7d4a60cp-10, 0x1.7fc4110a979cbp-10, 0x1.745e5f9a66654p-10, 0x1.694b786f9a4dap-10, 0x1.5e893a29e49a1p-10, 0x1.54158f8d4610bp-10, 0x1.49ee6f4a1244dp-10, 0x1.4011dbc5b1293p-10, 0x1.367de2e40984ep-10, 0x1.2d309dd18ea95p-10, 0x1.242830cde3e74p-10, 0x1.1b62caf73f6acp-10, 0x1.12dea61672991p-10, 0x1.0a9a066b7e0bp-10, 0x1.02933a7b08d95p-10, 0x1.f59135b886a34p-11, 0x1.e671140f66d1cp-11, 0x1.d7c2e84ca35a9p-11, 0x1.c9839dc37ceb6p-11, 0x1.bbb032695b90bp-11, 0x1.ae45b678d3627p-11, 0x1.a1414c154b188p-11, 0x1.94a026f05cdf7p-11, 0x1.885f8bf0447eap-11, 0x1.7c7cd0d7b8eeap-11, 0x1.70f55bef1bfc3p-11, 0x1.65c6a3aeea2p-11, 0x1.5aee2e6b74e6bp-11, 0x1.50699201beb43p-11, 0x1.463673861d9ddp-11, 0x1.3c5286f31b841p-11, 0x1.32bb8edafb106p-11, 0x1.296f5c19482fp-11, 0x1.206bcd8636d46p-11, 0x1.17aecfab60236p-11, 0x1.0f365c7915c5fp-11, 0x1.07007afdb146fp-11, 0x1.fe167e3b34fd2p-12, 0x1.eea99298c5ee4p-12, 0x1.dfb68c8f683ccp-12, 0x1.d139dda582633p-12, 0x1.c3300ee64f103p-12, 0x1.b595c05dda231p-12, 0x1.a867a89791704p-12, 0x1.9ba2941e482a8p-12, 0x1.8f4364ff6edacp-12, 0x1.834712500b006p-12, 0x1.77aaa7b3a7186p-12, 0x1.6c6b44e5dcbap-12, 0x1.61861d45ad381p-12, 0x1.56f877630841ap-12, 0x1.4cbfac8ea6c95p-12, 0x1.42d9286bcf76dp-12, 0x1.394268838689fp-12, 0x1.2ff8fbdbc01bcp-12, 0x1.26fa828d6515ap-12, 0x1.1e44ad5f81838p-12, 0x1.15d53d6235a61p-12, 0x1.0daa038c56454p-12, 0x1.05c0e05b5daedp-12, 0x1.fc2f86e913ff1p-13, 0x1.ed59569066a75p-13, 0x1.defb496d306edp-13, 0x1.d111956d5a9acp-13, 0x1.c3988bfe715afp-13, 0x1.b68c996130cd6p-13, 0x1.a9ea440179b56p-13, 0x1.9dae2bd36772dp-13, 0x1.91d509b040249p-13, 0x1.865baeb9ee54ep-13, 0x1.7b3f03bf334b2p-13, 0x1.707c08a536109p-13, 0x1.660fd3d22e2e9p-13, 0x1.5bf7919d1cc2ep-13, 0x1.523083bf157f6p-13, 0x1.48b800c8052dp-13, 0x1.3f8b73966e971p-13, 0x1.36a85ad2474d8p-13, 0x1.2e0c4869f7233p-13, 0x1.25b4e112e9e81p-13, 0x1.1d9fdbcce2665p-13, 0x1.15cb01673677p-13, 0x1.0e342c09fe989p-13, 0x1.06d946bfe40cdp-13, 0x1.ff709a09b9bd7p-14, 0x1.f19e94ac0578bp-14, 0x1.e438b3877a612p-14, 0x1.d73b4b0f0532p-14, 0x1.caa2cd36169bfp-14, 0x1.be6bc8a501343p-14, 0x1.b292e7eff7534p-14, 0x1.a714f0d4eac2dp-14, 0x1.9beec37c97117p-14, 0x1.911d59c0f590ep-14, 0x1.869dc675cd675p-14, 0x1.7c6d34b851634p-14, 0x1.7288e7421d102p-14, 0x1.68ee37bd7b181p-14, 0x1.5f9a96226b047p-14, 0x1.568b881310ef5p-14, 0x1.4dbea83f24eacp-14, 0x1.4531a5c9d5d9ap-14, 0x1.3ce243b312323p-14, 0x1.34ce584585bdp-14, 0x1.2cf3cc8781a95p-14, 0x1.25509baf07b71p-14, 0x1.1de2d299eda24p-14, 0x1.16a88f48e71c9p-14, 0x1.0fa0005dd73f3p-14, 0x1.08c7649d88fbdp-14, 0x1.021d0a75479b4p-14, 0x1.f73e9f03cee54p-15, 0x1.ea994036e20d4p-15, 0x1.de46edc49efb4p-15, 0x1.d244b8a0da592p-15, 0x1.c68fcc9a5372ep-15, 0x1.bb256f85b697p-15, 0x1.b003007314c4ap-15, 0x1.a525f6e21cda9p-15, 0x1.9a8be20159d48p-15, 0x1.903267ef8136dp-15, 0x1.86174501b387bp-15, 0x1.7c384b0fb8ba3p-15, 0x1.729360c474bd9p-15, 0x1.692680f38afdbp-15, 0x1.5fefb9f29cf27p-15, 0x1.56ed2cf81604cp-15, 0x1.4e1d0d7da1a46p-15, 0x1.457da0a81b9b8p-15, 0x1.3d0d3cb01dd43p-15, 0x1.34ca4853a0e4bp-15, 0x1.2cb33a47b7fddp-15, 0x1.24c698b08fc4dp-15, 0x1.1d02f89b78acdp-15, 0x1.1566fd7dfd4eap-15, 0x1.0df158b891a5dp-15, 0x1.06a0c91b0958cp-15, 0x1.fee834def11dbp-16, 0x1.f0d44a0b3428ap-16, 0x1.e3039a857b3edp-16, 0x1.d574066a81223p-16, 0x1.c823845663702p-16, 0x1.bb102095875fdp-16, 0x1.ae37fc606ea8dp-16, 0x1.a1994d16e5f5ap-16, 0x1.95325b879e84fp-16, 0x1.89018336676dbp-16, 0x1.7d0531aec96cdp-16, 0x1.713be5d584a06p-16, 0x1.65a42f4637df1p-16, 0x1.5a3cadae2e1e6p-16, 0x1.4f0410330caccp-16, 0x1.43f914da2727fp-16, 0x1.391a87f61b0d7p-16, 0x1.2e674398916cfp-16, 0x1.23de2f083dc9ap-16, 0x1.197e3e3af796p-16, 0x1.0f46715472de5p-16, 0x1.0535d42a35398p-16, 0x1.f696fb934fc05p-17, 0x1.e30d2004cf58dp-17, 0x1.cfcc6ded86f8ep-17, 0x1.bcd351551bad3p-17, 0x1.aa20493952c6ep-17, 0x1.97b1e6ba4113dp-17, 0x1.8586cc574f21dp-17, 0x1.739dad2e07cbap-17, 0x1.61f54c40eddaep-17, 0x1.508c7bc33bc9bp-17, 0x1.3f621c6e049f8p-17, 0x1.2e751cd5ab209p-17, 0x1.1dc478cc82426p-17, 0x1.0d4f38c33d299p-17, 0x1.fa28e2683162cp-18, 0x1.da26842191f9ap-18, 0x1.ba95ac6dc6305p-18, 0x1.9b74c5d39344ep-18, 0x1.7cc24e9e76b1bp-18, 0x1.5e7cd7e5d5dbep-18, 0x1.40a3049b7b37dp-18, 0x1.2333889e602e5p-18, 0x1.062d27e20b92p-18, 0x1.d31d6b20181dfp-19, 0x1.9aae2678f894ep-19, 0x1.630a60357f95bp-19, 0x1.2c3010809b21p-19, 0x1.ec3a8fad92482p-20, 0x1.81a05b466f201p-20, 0x1.188dfdd523bb2p-20, 0x1.6200341e81c6ep-21, 0x1.2bcde35753995p-22, -0x1.99af91bf91d7dp-24, -0x1.f2b8b5e391821p-22, -0x1.bc91ed17a6232p-21, -0x1.3e6e094137b62p-20, -0x1.9d1fff2f75e12p-20, -0x1.fa615870e6e3ap-20, -0x1.2b1a3ebf492a7p-19, -0x1.584de0760ee8p-19, -0x1.84ccb08717p-19, -0x1.b097c4c77222ap-19, -0x1.dbb02a79fc628p-19, -0x1.030b7384db1b8p-18, -0x1.17e67c5d3bae3p-18, -0x1.2c69aba75a5bap-18, -0x1.40957a5450336p-18, -0x1.546a5eb0fb121p-18, -0x1.67e8ccad9555cp-18, -0x1.7b11362189712p-18, -0x1.8de40b1289f02p-18, -0x1.a061b9e923858p-18, -0x1.b28aafb37fa9ap-18, -0x1.c45f5858b4fddp-18, -0x1.d5e01ecc2a6b6p-18, -0x1.e70d6d431137fp-18, -0x1.f7e7ad5ebb592p-18, -0x1.0437a42d67a36p-17, -0x1.0c52539b9863bp-17, -0x1.1444196deed3bp-17, -0x1.1c0d2a1fab59bp-17, -0x1.23adba44aed29p-17, -0x1.2b25fe97700c9p-17, -0x1.32762c0a81cc1p-17, -0x1.399e77d45ab15p-17, -0x1.409f177c99707p-17, -0x1.477840e890b6ep-17, -0x1.4e2a2a6483f43p-17, -0x1.54b50aae965bbp-17, -0x1.5b19190055118p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      40, 0x1.7333333333333p+2, 0x1.bfb8c75f2e829p+1, 0x1.4d4ffbef7e466p+3, 0x1.39e85c50b1b07p-7, 
      {{
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0e26a9a4b4b52p-4, -0x1.93d896cf926dap-3, 0x1.612556c22cec6p-2, -0x1.4604a6ad9f0a9p-2}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.d2450dbbabd7ep-5, -0x1.521b6e5bfb301p-3, 0x1.303e3dc1bb775p-2, -0x1.29d997e5a933fp-2}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.946f71520a3e2p-5, -0x1.19b9ed3f1464dp-3, 0x1.0390cd5f487c8p-2, -0x1.11e6c66ff58b2p-2}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.6101ea21d77ebp-5, -0x1.d3d7e55648ea8p-4, 0x1.b4f5f8d02db53p-3, -0x1.f1a50362cd34ap-3}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.36580bd434a79p-5, -0x1.83ea74e7bb2c9p-4, 0x1.6a506b815bba7p-3, -0x1.c017998806839p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.12f391a610ee8p-5, -0x1.422ca58c0f53cp-4, 0x1.2719ae135ac09p-3, -0x1.8e6097b59b1a9p-3}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.eaf8bcd053671p-6, -0x1.0d2147915024ep-4, 0x1.d6affb703a2cep-4, -0x1.5cb4d61f6a733p-3}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b980f8fe14ffap-6, -0x1.c6956d82e2152p-5, 0x1.6e1354cd33d55p-4, -0x1.2b05ab8ff2651p-3}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8f683bc61a0efp-6, -0x1.8656da048fa0dp-5, 0x1.145e6e2204b75p-4, -0x1.f2b1c952bd884p-4}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6ae33840b24ep-6, -0x1.568bc09c703fbp-5, 0x1.93211fde6a2cep-5, -0x1.8f4bf030fda8ap-4}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.4a72f0adc9c9cp-6, -0x1.3438f06317843p-5, 0x1.1b57249c847abp-5, -0x1.2c127d0fdc7ebp-4}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.2ce4b674e8e2bp-6, -0x1.1c63b3b8cc4bfp-5, 0x1.82a33162b7dd3p-6, -0x1.90677a81afca6p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.11522a25344b4p-6, -0x1.0c0f84bb3c19cp-5, 0x1.0a84263bcfeb8p-6, -0x1.9af728a2ddbe2p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.ee4276eada189p-7, -0x1.0046a34ac6607p-5, 0x1.99be26ad2a1e4p-7, 0x1.db078e7fe2f9ep-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.bc085287e0fdap-7, -0x1.ebf410ff38bbfp-6, 0x1.9e3238cff6a56p-7, 0x1.911e1b9c76ae1p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.8bec3cb045ad9p-7, -0x1.d5bd484af4eacp-6, 0x1.da5d235aa20c2p-7, 0x1.245a985f46a08p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.5e2bdb6405e35p-7, -0x1.bcecc408a0b5cp-6, 0x1.031bc381431eep-6, 0x1.ff0c83ef1919bp-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.33019db37c47bp-7, -0x1.a20e4932221bfp-6, 0x1.1645d540a0dcdp-6, 0x1.8ed72d5b99294p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0a9df5423581fp-7, -0x1.857b0f2542377p-6, 0x1.253ab3c0dd018p-6, 0x1.28f6242d2c46dp-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ca4eac8de0679p-8, -0x1.6799d8f13f64bp-6, 0x1.305d884f5b775p-6, 0x1.80a11e5d34dd8p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.85746f1739f91p-8, -0x1.48cdc87b9fe09p-6, 0x1.3793c0e11adb7p-6, 0x1.61a3702e47f82p-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.46d224dabcf0fp-8, -0x1.297af89f5514p-6, 0x1.3ae47c54bd21ep-6, -0x1.f63a56b24bf81p-13}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.0e78c5b9127fdp-8, -0x1.0a05418b5be0ap-6, 0x1.3a4dd13abad7cp-6, -0x1.def9d366be447p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.b8ca9d728fa77p-9, -0x1.d5a11a52302aap-7, 0x1.35d04672910f3p-6, -0x1.bfa09ba7e5f3cp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.610184119c206p-9, -0x1.988182488cb4fp-7, 0x1.2d6ba9edd18c4p-6, -0x1.47db58128aa7fp-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.15404df6f4a78p-9, -0x1.5d7384c9b209bp-7, 0x1.21203d06b925fp-6, -0x1.affc6669a43ebp-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.aa12282e16dcp-10, -0x1.253efa3f259ffp-7, 0x1.10ed2c62c2fd4p-6, -0x1.0be6198d41f7dp-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.3f6bf366352b4p-10, -0x1.e1570466fcf51p-8, 0x1.f9ab082388e19p-7, -0x1.40658125d8cf6p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.d1e4b16490daep-11, -0x1.81032226d9508p-8, 0x1.c99bce5ddb8f7p-7, -0x1.72af8490e5c3p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.49738f8fc96cp-11, -0x1.2b0d014454b0bp-8, 0x1.92017a7b52b29p-7, -0x1.ad379772119d1p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.c21b13d8b7f1ap-12, -0x1.c22d019ac126cp-9, 0x1.519f8a2a3674bp-7, -0x1.b0ba285ac7b63p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.27507c4df5692p-12, -0x1.481bbc306ecd5p-9, 0x1.10b6d0e9654cfp-7, -0x1.7d37765be98e2p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.70ba059bd3b58p-13, -0x1.cceb1ae91a91p-10, 0x1.af10318404871p-8, -0x1.51f216a06f37ap-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.b04815d34f93ap-14, -0x1.34c512b3aeca8p-10, 0x1.49adf787165d3p-8, -0x1.247a087195594p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d2ab6f1937f32p-15, -0x1.84e4a8132a6a4p-11, 0x1.e3df8396d31f1p-9, -0x1.ef1ec399ab5dcp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.c21b13d8b7f09p-16, -0x1.c21a318ce975ep-12, 0x1.4f5648e8b9505p-9, -0x1.954396e618c9ap-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.70ba059bd3b72p-17, -0x1.ccedc0bdf80dbp-13, 0x1.ab840414308f1p-10, -0x1.3a6518c6a0016p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.d2ab6f1937dp-19, -0x1.84bded401826ep-14, 0x1.ddc1ea6d3ab05p-11, -0x1.c7337f81a2658p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.70ba059bd39p-21, -0x1.cf2303cd5f6edp-16, 0x1.994608a54c1c4p-12, -0x1.f6148f01132a3p-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.70ba059bc4001p-25, -0x1.8a6182f81ab4cp-19, 0x1.b019fe929c101p-14, -0x1.4ff746360ac9ap-9}, 
      }}, 
      0x1.3c22ca44aa622p-5, -0x1.e742e299efe35p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.9622e3906f28ap-4, 0x1.a4e7814cec04cp-4, 0x1.bbfc741055812p-4, 0x1.d99ee2815804dp-4, 0x1.fbe9d3b19d315p-4, 0x1.1081305b515d1p-3, 0x1.2398c30b497b7p-3, 0x1.3678e162acde3p-3, 0x1.487a83249ad17p-3, 0x1.5912f520dfc71p-3, 0x1.67d2ddc3eb4cdp-3, 0x1.74644d8ebcd79p-3, 0x1.7e8850007db1ap-3, 0x1.86144924a12a2p-3, 0x1.8aef4d5670c99p-3, 0x1.8d0f92b89dc3fp-3, 0x1.8c780c3008e5ap-3, 0x1.89363a6ba31c9p-3, 0x1.836034e988ec9p-3, 0x1.7b12edbc731f1p-3, 0x1.7070aca5082eep-3, 0x1.639fbf1cce8bcp-3, 0x1.54c957b88adf5p-3, 0x1.4418986615bc5p-3, 0x1.31b9c1bf8613ep-3, 0x1.1dd982f254394p-3, 0x1.08a465ed009f1p-3, 0x1.e48ca7b6bd8dp-4, 0x1.b5d45ea25f698p-4, 0x1.85730198441d5p-4, 0x1.53b8674124859p-4, 0x1.20f0c230c3ac1p-4, 0x1.dac8a12f53c03p-5, 0x1.72ae41eb19f69p-5, 0x1.0a11d6cd9f4a5p-5, 0x1.42d3eb58af632p-6, 0x1.c922562494547p-8, -0x1.72d2ef7a4df69p-8, -0x1.296bee43ce187p-6, -0x1.f33606f77661bp-6, -0x1.5cbe4e7d41f91p-5, -0x1.bddca542f660dp-5, -0x1.0e5d3bccd95e1p-4, -0x1.3c91be2766619p-4, -0x1.6975275c2e234p-4, -0x1.94f3fef914f1ep-4, -0x1.befdd79ca0ba2p-4, -0x1.e78511b314efap-4, -0x1.073f5908e16f8p-3, -0x1.19f11084876fp-3, -0x1.2bd4809da6798p-3, -0x1.3ce77f6f0e987p-3, -0x1.4d28cc8ffd4f4p-3, -0x1.5c98010fee264p-3, -0x1.6b357392c8d77p-3, -0x1.79022a83c2cfcp-3, -0x1.85ffc83d64fa2p-3, -0x1.923079e392ec6p-3, -0x1.9d96e779286efp-3, -0x1.a83625d3caa49p-3, -0x1.b211ab717b62ap-3, -0x1.bb2d43bf8059ep-3, -0x1.c38d0621eb69fp-3, -0x1.cb35493ffcc3dp-3, -0x1.d22a9a162a727p-3, -0x1.d871b45ae972cp-3, -0x1.de0f79ef18fb6p-3, -0x1.e308ee0ef0263p-3, -0x1.e7632bee050d1p-3, -0x1.eb23617c668dp-3, -0x1.ee4ec728f170dp-3, -0x1.f0ea9b9abc956p-3, -0x1.f2fc1e1afbb07p-3, -0x1.f488899b91273p-3, -0x1.f59512887fe38p-3, -0x1.f626e17a683f3p-3, -0x1.f643109b95b1dp-3, -0x1.f5eea867613f7p-3, -0x1.f52e9cefae2e3p-3, -0x1.f407cb23938e2p-3, -0x1.f27ef74df7bap-3, -0x1.f098cb4a4a7bfp-3, -0x1.ee59d57ee1717p-3, -0x1.ebc6874d8a576p-3, -0x1.e8e335960471fp-3, -0x1.e5b416d5df766p-3, -0x1.e23d435670515p-3, -0x1.de82b4a78d814p-3, -0x1.da884593fd71ap-3, -0x1.d651b137fd06fp-3, -0x1.d1e2949a6be4ep-3, -0x1.cd3e6d46dea68p-3, -0x1.c8689a4a223c4p-3, -0x1.c3645c79fa2ap-3, -0x1.be34d6cffcea4p-3, -0x1.b8dd0ed51a6cdp-3, -0x1.b35fed96de99dp-3, -0x1.adc03fc4f0c37p-3, -0x1.a800b60df7021p-3, -0x1.a223e6f010ab1p-3, -0x1.9c2c4db5a7a08p-3, -0x1.961c4c7f3481fp-3, -0x1.8ff62c2936c1p-3, -0x1.89bc1d0c5780ep-3, -0x1.8370380b9ef0cp-3, -0x1.7d147eca386cdp-3, -0x1.76aadc669bb08p-3, -0x1.7035269037d37p-3, -0x1.69b51da006408p-3, -0x1.632c6dda432b1p-3, -0x1.5c9caf5dc99c8p-3, -0x1.560767737e088p-3, -0x1.4f6e08c1d4ec6p-3, -0x1.48d1f46149ee5p-3, -0x1.423479bf23458p-3, -0x1.3b96d7e9b3f1cp-3, -0x1.34fa3df76b9d5p-3, -0x1.2e5fcab2a125ep-3, -0x1.27c88f29ed198p-3, -0x1.21358d2df2fcap-3, -0x1.1aa7b8e66eeap-3, -0x1.141ff8fbe7a16p-3, -0x1.0d9f27a458f0bp-3, -0x1.07261217510cbp-3, -0x1.00b57a0ed828dp-3, -0x1.f49c2b798e135p-4, -0x1.e7e120b4604e1p-4, -0x1.db3b14fe9f06bp-4, -0x1.ceab35d4f10f6p-4, -0x1.c2329ca65948bp-4, -0x1.b5d250b900775p-4, -0x1.a98b476e708c8p-4, -0x1.9d5e653645364p-4, -0x1.914c7e1bce997p-4, -0x1.855656a86c929p-4, -0x1.797ca4a11d598p-4, -0x1.6dc00f776bcc5p-4, -0x1.622130d7e21a8p-4, -0x1.56a095b5b0b19p-4, -0x1.4b3ebeac7439ep-4, -0x1.3ffc2062dd1afp-4, -0x1.34d92468adcf3p-4, -0x1.29d6297d8a3abp-4, -0x1.1ef383e9e4d68p-4, -0x1.14317ef9c23efp-4, -0x1.09905bcc8a44ap-4, -0x1.fe20a6397275bp-5, -0x1.e9632aaae9954p-5, -0x1.d4e8950b7e74dp-5, -0x1.c0b1274f12e11p-5, -0x1.acbd13e2273e3p-5, -0x1.990c8045e89e1p-5, -0x1.859f84749013cp-5, -0x1.72762c89c17d1p-5, -0x1.5f90782c2c497p-5, -0x1.4cee5c9f393bbp-5, -0x1.3a8fc47093704p-5, -0x1.28748fcc30169p-5, -0x1.169c95e2014a3p-5, -0x1.0507a52943821p-5, -0x1.e76b06ebf818cp-6, -0x1.c54bdccb64035p-6, -0x1.a3b1394c90ab7p-6, -0x1.829a7bd2c13dfp-6, -0x1.6206f63b7a883p-6, -0x1.41f5ee589f66ap-6, -0x1.22669d4815518p-6, -0x1.0358336c9bf0cp-6, -0x1.c993acd9dcce3p-7, -0x1.8d7543feeef8fp-7, -0x1.525350a8dc1ffp-7, -0x1.182bebef1f6e6p-7, -0x1.bdfa3b75d6fd6p-8, -0x1.4d89c0e47d3a4p-8, -0x1.be047e9710a27p-9, -0x1.c97de6f35cb24p-10, -0x1.e74862ed72c57p-14, 0x1.8524add2f34acp-10, 0x1.90afc8e62007cp-9, 0x1.2d9392aebe207p-8, 0x1.9100c98c63e2ep-8, 0x1.f2a4256ea7eddp-8, 0x1.29412767a2244p-7, 0x1.584ffdcf2743cp-7, 0x1.8680f5da9df77p-7, 0x1.b3d671282b141p-7, 0x1.e052d23d94ebdp-7, 0x1.05fc3f2fc00cfp-6, 0x1.1b64ef35af555p-6, 0x1.3064aecd1d49bp-6, 0x1.44fcb356f422bp-6, 0x1.592e3130d0721p-6, 0x1.6cfa5c9232dd8p-6, 0x1.80626a2f98018p-6, 0x1.93678f16085ccp-6, 0x1.a60aff9178b84p-6, 0x1.b84dedd92efa5p-6, 0x1.ca318b2b13371p-6, 0x1.dbb706f58e7p-6, 0x1.ecdf911a9fb53p-6, 0x1.fdac58427217ep-6, 0x1.070f448f0951bp-5, 0x1.0f1ba6e1cbd54p-5, 0x1.16fbe6fed1d21p-5, 0x1.1eb098438b7c3p-5, 0x1.263a4d40cb97ap-5, 0x1.2d9997f9e74cdp-5, 0x1.34cf0906568c8p-5, 0x1.3bdb2f50a9c2cp-5, 0x1.42be989a64abep-5, 0x1.4979d1a1e4113p-5, 0x1.500d665344bcfp-5, 0x1.5679e1bd9bf7ap-5, 0x1.5cbfcd5f86d05p-5, 0x1.62dfb117401d8p-5, 0x1.68da132f5277cp-5, 0x1.6eaf78b978d63p-5, 0x1.746065e91e68fp-5, 0x1.79ed5dd7faba2p-5, 0x1.7f56e25a9c078p-5, 0x1.849d7376052bap-5, 0x1.89c18f76dc844p-5, 0x1.8ec3b33d917f2p-5, 0x1.93a45a799c3b7p-5, 0x1.9863ffeb6e4bcp-5, 0x1.9d031d1c70ea6p-5, 0x1.a18229f806282p-5, 0x1.a5e19cb0ca0bap-5, 0x1.aa21e9c56c932p-5, 0x1.ae43844ba30a3p-5, 0x1.b246de341d4dbp-5, 0x1.b62c688601f16p-5, 0x1.b9f492cb420cdp-5, 0x1.bd9fcb30fee42p-5, 0x1.c12e7e19c3cc4p-5, 0x1.c4a1162fadab9p-5, 0x1.c7f7fcdc8c3aap-5, 0x1.cb339a485035dp-5, 0x1.ce5455a14d8c9p-5, 0x1.d15a94d890009p-5, 0x1.d446bc7bc9c7cp-5, 0x1.d7192f76e1875p-5, 0x1.d9d24f1608c73p-5, 0x1.dc727b3e7ebdp-5, 0x1.defa12a615ba9p-5, 0x1.e16972fa5b34fp-5, 0x1.e3c0f8deb509ap-5, 0x1.e600ffb58b481p-5, 0x1.e829e176f27e8p-5, 0x1.ea3bf697454d8p-5, 0x1.ec379618bba79p-5, 0x1.ee1d15beeef93p-5, 0x1.efecca3f6000fp-5, 0x1.f1a7075b74e0fp-5, 0x1.f34c1fd098f91p-5, 0x1.f4dc652edca5ep-5, 0x1.f65827bbc3bd2p-5, 0x1.f7bfb65efe3e4p-5, 0x1.f9135eb37c54cp-5, 0x1.fa536d34dce3ep-5, 0x1.fb802d673ecabp-5, 0x1.fc99e9dcd8e4bp-5, 0x1.fda0ec5aea8aep-5, 0x1.fe957d88505b1p-5, 0x1.ff77e4fcdb253p-5, 0x1.0024348abaff4p-4, 0x1.0083a784118f3p-4, 0x1.00da6d7f2d85dp-4, 0x1.0128a8171bc9bp-4, 0x1.016e788cde63ap-4, 0x1.01abffac87f85p-4, 0x1.01e15dd845435p-4, 0x1.020eb30cba8bcp-4, 0x1.02341eb2bfb3cp-4, 0x1.0251bfc950e8ap-4, 0x1.0267b4b52b9ffp-4, 0x1.02761b7842416p-4, 0x1.027d11cf34084p-4, 0x1.027cb4e7b55ddp-4, 0x1.027521c0b323bp-4, 0x1.026674e5aeecep-4, 0x1.0250caa7f2b9dp-4, 0x1.02343eb8b76a6p-4, 0x1.0210ec809c409p-4, 0x1.01e6eef71c30ep-4, 0x1.01b660b8be939p-4, 0x1.017f5bff0469dp-4, 0x1.0141fad04dc4bp-4, 0x1.00fe56db16d46p-4, 0x1.00b489882c6dfp-4, 0x1.0064abf3e817bp-4, 0x1.000ed6e1ebd51p-4, 0x1.ff664592c8d6ap-5, 0x1.fea34f88b459bp-5, 0x1.fdd4fb334c296p-5, 0x1.fcfb7780295dap-5, 0x1.fc16f317b700ap-5, 0x1.fb279bfe03d33p-5, 0x1.fa2d9fca52491p-5, 0x1.f9292b9818dd6p-5, 0x1.f81a6c0e68662p-5, 0x1.f7018d4ed2cabp-5, 0x1.f5debaf33ae11p-5, 0x1.f4b2200c283c7p-5, 0x1.f37be73164432p-5, 0x1.f23c3a7f6ccf2p-5, 0x1.f0f343c3687e9p-5, 0x1.efa12c4bb4b43p-5, 0x1.ee461d1e26f98p-5, 0x1.ece23ee04b066p-5, 0x1.eb75b9da29203p-5, 0x1.ea00b5ee492fbp-5, 0x1.e8835a9adf3a1p-5, 0x1.e6fdceeaf80adp-5, 0x1.e570398fca29ap-5, 0x1.e3dac0dd66f7p-5, 0x1.e23d8accb8d8dp-5, 0x1.e098bd116d602p-5, 0x1.deec7d0ed089bp-5, 0x1.dd38efe0d2f24p-5, 0x1.db7e3a5dc9086p-5, 0x1.d9bc811174305p-5, 0x1.d7f3e83c6e49ap-5, 0x1.d62493ba11ee6p-5, 0x1.d44ea73d86ffp-5, 0x1.d27246016bf61p-5, 0x1.d08f930f86135p-5, 0x1.cea6b12c1925cp-5, 0x1.ccb7c2d4d791ep-5, 0x1.cac2ea50cc516p-5, 0x1.c8c849a8eefe5p-5, 0x1.c6c802ab51499p-5, 0x1.c4c236edee25fp-5, 0x1.c2b707c45a9a6p-5, 0x1.c0a6963fea591p-5, 0x1.be91033883fe4p-5, 0x1.bc766f393ce66p-5, 0x1.ba56fa950fd11p-5, 0x1.b832c563fbc45p-5, 0x1.b609ef860b83p-5, 0x1.b3dc989f1a93cp-5, 0x1.b1aae025c516dp-5, 0x1.af74e5547bcecp-5, 0x1.ad3ac734c9f2ep-5, 0x1.aafca49a6610bp-5, 0x1.a8ba9c212572bp-5, 0x1.a674cc2a1f967p-5, 0x1.a42b52d931b03p-5, 0x1.a1de4e1eef8dep-5, 0x1.9f8ddba6dc7d9p-5, 0x1.9d3a18ee2834cp-5, 0x1.9ae3233a9a88cp-5, 0x1.9889179bcf634p-5, 0x1.962c12ecb8612p-5, 0x1.93cc31d34f10fp-5, 0x1.916990c01fc86p-5, 0x1.8f044bedaa9c4p-5, 0x1.8c9c7f5f14c5cp-5, 0x1.8a3246deee701p-5, 0x1.87c5bdfe44ep-5, 0x1.855700140b28ep-5, 0x1.82e6283f9f747p-5, 0x1.8073516b3f67cp-5, 0x1.7dfe9642f7ba1p-5, 0x1.7b88113db1191p-5, 0x1.790fdc9577265p-5, 0x1.769612479d0edp-5, 0x1.741acc1539be5p-5, 0x1.719e2385428b8p-5, 0x1.6f2031e728c72p-5, 0x1.6ca110546d4c9p-5, 0x1.6a20d7b29fbc5p-5, 0x1.679fa0af5dea7p-5, 0x1.651d83bd1638bp-5, 0x1.629a990dcab67p-5, 0x1.6016f88e29bf7p-5, 0x1.5d92b9dfe4bd8p-5, 0x1.5b0df462aa66cp-5, 0x1.5888bf284f9b6p-5, 0x1.5603310aded72p-5, 0x1.537d60a611497p-5, 0x1.50f764804a763p-5, 0x1.4e7152d98f7b7p-5, 0x1.4beb41c42e706p-5, 0x1.49654721df0b4p-5, 0x1.46df788644c46p-5, 0x1.4459eb2d2d732p-5, 0x1.41d4b3f211dbp-5, 0x1.3f4fe750a31c4p-5, 0x1.3ccb996fa96f7p-5, 0x1.3a47de332a3e2p-5, 0x1.37c4c9521f447p-5, 0x1.35426e679ded3p-5, 0x1.32c0e0f7fc46p-5, 0x1.304034748e5c9p-5, 0x1.2dc07c114c2e8p-5, 0x1.2b41cac0775f9p-5, 0x1.28c43301b00cap-5, 0x1.2647c6d3ed2d5p-5, 0x1.23cc97ab238bcp-5, 0x1.2152b67dfcd11p-5, 0x1.1eda33e56c899p-5, 0x1.1c632047eb093p-5, 0x1.19ed8c04cab3bp-5, 0x1.17798792d8788p-5, 0x1.15072387464d1p-5, 0x1.1296708066bf3p-5, 0x1.10277ef7d1b0ap-5, 0x1.0dba5f05284b8p-5, 0x1.0b4f20219d4b6p-5, 0x1.08e5d0fe7d829p-5, 0x1.067e7f7a874e5p-5, 0x1.041938bad9087p-5, 0x1.01b6096868894p-5, 0x1.fea9fc012a93bp-6, 0x1.f9ec464efdfe4p-6, 0x1.f5330bca937a4p-6, 0x1.f07e6778d3d97p-6, 0x1.ebce751f81efbp-6, 0x1.e72350b844c6dp-6, 0x1.e27d15a6ef84ap-6, 0x1.dddbdddf8a854p-6, 0x1.d93fc1340272fp-6, 0x1.d4a8d4f84d269p-6, 0x1.d0172c1b3f782p-6, 0x1.cb8ad7b6d0e02p-6, 0x1.c703e7fde7772p-6, 0x1.c2826d5490acap-6, 0x1.be0679514091ap-6, 0x1.b9901f66fe6f1p-6, 0x1.b51f7509db2f8p-6, 0x1.b0b4913d34312p-6, 0x1.ac4f8b9e3bfc7p-6, 0x1.a7f07b1c5d46dp-6, 0x1.a39774ab1e71ap-6, 0x1.9f448a2ae13a7p-6, 0x1.9af7c9d73d26p-6, 0x1.96b13e5cc4b48p-6, 0x1.9270efa1980bdp-6, 0x1.8e36e40b4f137p-6, 0x1.8a03222735c2cp-6, 0x1.85d5b23db27b5p-6, 0x1.81ae9f832ff92p-6, 0x1.7d8df89ad52d8p-6, 0x1.7973cf4703caap-6, 0x1.75603754df616p-6, 0x1.7153450110d07p-6, 0x1.6d4d0af563d3bp-6, 0x1.694d991caa6c5p-6, 0x1.6554fa941695cp-6, 0x1.616335e2d3c26p-6, 0x1.5d784ce949667p-6, 0x1.59943e0707906p-6, 0x1.55b705d421c78p-6, 0x1.51e0a13808706p-6, 0x1.4e110f7893b7cp-6, 0x1.4a4853d013cd5p-6, 0x1.4686762ce89afp-6, 0x1.42cb82dfb5708p-6, 0x1.3f1789532395ep-6, 0x1.3b6a9a14f2029p-6, 0x1.37c4c4a347d75p-6, 0x1.34261578c5377p-6, 0x1.308e94a1a1481p-6, 0x1.2cfe4516c3fa8p-6, 0x1.297524b94c72p-6, 0x1.25f32d0f05d34p-6, 0x1.22785489aae31p-6, 0x1.1f049058b7025p-6, 0x1.1b97d6944adc5p-6, 0x1.1832206fd9386p-6, 0x1.14d36bf66ffa5p-6, 0x1.117bbcd211a86p-6, 0x1.0e2b1bd5470bfp-6, 0x1.0ae19541c39e6p-6, 0x1.079f3640d408ap-6, 0x1.04640a3b64dcep-6, 0x1.013018c2cc4fdp-6, 0x1.fc06c8ebc6d2cp-7, 0x1.f5bbd5c79a3c9p-7, 0x1.ef7f4a2a3f396p-7, 0x1.e9511097c6eacp-7, 0x1.e3310d7ca9acp-7, 0x1.dd1f20c40aab5p-7, 0x1.d71b2835b6d89p-7, 0x1.d12503260ab8p-7, 0x1.cb3c9733ab931p-7, 0x1.c561d4fdd7849p-7, 0x1.bf94bb25d5a92p-7, 0x1.b9d556276105dp-7, 0x1.b423bc8db39c1p-7, 0x1.ae8008698bcbfp-7, 0x1.a8ea502a9a0c5p-7, 0x1.a362a1078dfb5p-7, 0x1.9de8fcf5427c8p-7, 0x1.987d5be85a8f5p-7, 0x1.931faf0cd8241p-7, 0x1.8dcfe37431ae2p-7, 0x1.888de271474c6p-7, 0x1.83598f807911dp-7, 0x1.7e32c56e151d5p-7, 0x1.7919555a39633p-7, 0x1.740d0994b77f2p-7, 0x1.6f0dac6da8d36p-7, 0x1.6a1b110147f3fp-7, 0x1.65351ac856e64p-7, 0x1.605bc0e5ea591p-7, 0x1.5b8f0bb3c03e7p-7, 0x1.56cf0d58379e1p-7, 0x1.521bd850dad5dp-7, 0x1.4d7577d6ad326p-7, 0x1.48dbed2e2d011p-7, 0x1.444f32a3e170cp-7, 0x1.3fcf41fbf4991p-7, 0x1.3b5c1a29fad5ep-7, 0x1.36f5c043b33e8p-7, 0x1.329c3a008f0c3p-7, 0x1.2e4f839300e6ep-7, 0x1.2a0f864ce4244p-7, 0x1.25dc126b32c6ep-7, 0x1.21b4e52e4e0bep-7, 0x1.1d99b157e2d73p-7, 0x1.198a2e137b907p-7, 0x1.158622b2979e5p-7, 0x1.118d6cab42ba1p-7, 0x1.0d9ffdeb32faap-7, 0x1.09bdd4abf7abbp-7, 0x1.05e6f0758c1e8p-7, 0x1.021b49299ac0ep-7, 0x1.fcb59819810aep-8, 0x1.f54ac00f3b6ccp-8, 0x1.edf5de935e455p-8, 0x1.e6b6e3363da8ap-8, 0x1.df8de3e365d3dp-8, 0x1.d87b1678f729fp-8, 0x1.d17eb85a44eafp-8, 0x1.ca98ed0c71e6bp-8, 0x1.c3c9a309752c1p-8, 0x1.bd108bc38ec0bp-8, 0x1.b66d29d0744ddp-8, 0x1.afdeecf708853p-8, 0x1.a9654f1af66cap-8, 0x1.a2ffe8729a1f4p-8, 0x1.9cae778189446p-8, 0x1.9670dd1a82e62p-8, 0x1.90470e89b9419p-8, 0x1.8a3102877904p-8, 0x1.842e9fc4d8be8p-8, 0x1.7e3fb348bb453p-8, 0x1.7863f1e58f39p-8, 0x1.729b04fee5d93p-8, 0x1.6ce49fa7a2c3ap-8, 0x1.674094b5dc225p-8, 0x1.61aee2a53b878p-8, 0x1.5c2fabdbc79bdp-8, 0x1.56c31b4e2f85cp-8, 0x1.516941ea88efp-8, 0x1.4c21ff8e9969cp-8, 0x1.46ed041c8e172p-8, 0x1.41c9e50ebdce3p-8, 0x1.3cb83651a125p-8, 0x1.37b797515a731p-8, 0x1.32c7b4f6eba28p-8, 0x1.2de84c28642d9p-8, 0x1.291931d0e2372p-8, 0x1.245a588913edap-8, 0x1.1fabca7992603p-8, 0x1.1b0d97a5f47d6p-8, 0x1.167fc0ba3de79p-8, 0x1.120227ae6447ep-8, 0x1.0d948d31ade15p-8, 0x1.09369d5ace56p-8, 0x1.04e805eed09dap-8, 0x1.00a88bf096bd9p-8, 0x1.f8f02a9d1452ep-9, 0x1.f0ad457287f76p-9, 0x1.e888796a84eb8p-9, 0x1.e081b95a4439p-9, 0x1.d898bce8fdfe2p-9, 0x1.d0cd08ec9cd2ap-9, 0x1.c91e1759c766p-9, 0x1.c18b761d1c444p-9, 0x1.ba14b5e5aa358p-9, 0x1.b2b93c501bf77p-9, 0x1.ab783e3231348p-9, 0x1.a45102eccb8cfp-9, 0x1.9d4334f28735bp-9, 0x1.964eef2b4eedfp-9, 0x1.8f74796be794ap-9, 0x1.88b3ee2ff320dp-9, 0x1.820d0bbe1caadp-9, 0x1.7b7f4740eaeffp-9, 0x1.750a0516262e3p-9, 0x1.6eacc24d62fcap-9, 0x1.68671abb8713cp-9, 0x1.6238b67fa2dcfp-9, 0x1.5c21482701101p-9, 0x1.5620a42714ec6p-9, 0x1.5036c9771d85cp-9, 0x1.4a63d11b5e64fp-9, 0x1.44a7c12859a61p-9, 0x1.3f0267c8acbeap-9, 0x1.39736753b4b31p-9, 0x1.33fa6962ab4d6p-9, 0x1.2e972de2f8058p-9, 0x1.29494ab2296f9p-9, 0x1.240ff3c40949ep-9, 0x1.1eea4a18ea33fp-9, 0x1.19d80568e5801p-9, 0x1.14d9b1bb4313ap-9, 0x1.0ff027581944ap-9, 0x1.0b1bc353480e2p-9, 0x1.065c18b7c1d91p-9, 0x1.01b0469bac58ap-9, 0x1.fa2f098d96dfap-10, 0x1.f122b95c753f7p-10, 0x1.e83ae749c4d0dp-10, 0x1.df768105dfa1bp-10, 0x1.d6d404c0e0ea5p-10, 0x1.ce51ef8b606ebp-10, 0x1.c5ef442784e3dp-10, 0x1.bdabd683bb484p-10, 0x1.b5883d1fbb96bp-10, 0x1.ad8567abaea68p-10, 0x1.a5a3fd95a4d1cp-10, 0x1.9de3e9d068e1ep-10, 0x1.964488d2cb76cp-10, 0x1.8ec54fa44d332p-10, 0x1.8765f37d8eb0ep-10, 0x1.8025937964b8bp-10, 0x1.7902275c11d3bp-10, 0x1.71f9bde339d66p-10, 0x1.6b0c6999ab658p-10, 0x1.643c1dbedb37bp-10, 0x1.5d8a7c49839bfp-10, 0x1.56f754314e4c6p-10, 0x1.50814f80ec624p-10, 0x1.4a279466094ccp-10, 0x1.43ea54e9a1354p-10, 0x1.3dc9f54893963p-10, 0x1.37c621cf6e6e4p-10, 0x1.31ddbde1430abp-10, 0x1.2c0f573f7015bp-10, 0x1.26598d9520cc8p-10, 0x1.20bb47294f61bp-10, 0x1.1b33c561f8971p-10, 0x1.15c2a9779b7e9p-10, 0x1.1067eacdf2f15p-10, 0x1.0b23b1d4be6f2p-10, 0x1.05f609bdd6bap-10, 0x1.00de8cf7b05c7p-10, 0x1.f7b8f57292a17p-11, 0x1.eddec7bf20242p-11, 0x1.e42f565a6490bp-11, 0x1.daabb294b99c6p-11, 0x1.d152a27e0bdaap-11, 0x1.c821140765857p-11, 0x1.bf16189b7fa73p-11, 0x1.b633b81ff15c7p-11, 0x1.ad7aabbc0a4fcp-11, 0x1.a4e846e76f2d2p-11, 0x1.9c79d46e37dfep-11, 0x1.942fe36619b93p-11, 0x1.8c0cd3fc6ebcep-11, 0x1.8411bd6f65927p-11, 0x1.7c3dd857526cdp-11, 0x1.748f99997c65ep-11, 0x1.6d05772cf5e9fp-11, 0x1.659e1169e3a12p-11, 0x1.5e5834a71b45p-11, 0x1.5732e704808a6p-11, 0x1.502d76b55c28cp-11, 0x1.494780c388669p-11, 0x1.4280d456dabfap-11, 0x1.3bd9a16e15559p-11, 0x1.35522a1924cb2p-11, 0x1.2eea62040f90fp-11, 0x1.28a1499bd69fbp-11, 0x1.22750479b668ap-11, 0x1.1c64188854414p-11, 0x1.166ea7a832306p-11, 0x1.1095bd14a6547p-11, 0x1.0ad88fb57bffbp-11, 0x1.0534646190a14p-11, 0x1.ff51d9d546285p-12, 0x1.f46fff62aab85p-12, 0x1.e9c1ccb712699p-12, 0x1.df432efb048d3p-12, 0x1.d4f4f6e2b2c12p-12, 0x1.cad9973d1b205p-12, 0x1.c0f01f42e6b9dp-12, 0x1.b7363df87d643p-12, 0x1.adab0190dfe49p-12, 0x1.a44eb5f9d9325p-12, 0x1.9b219d54666ep-12, 0x1.92231d93c0d4dp-12, 0x1.8951bf9595068p-12, 0x1.80aba65ae1c0fp-12, 0x1.782f119b682f1p-12, 0x1.6fda92ac41fa8p-12, 0x1.67ad18d4ecac6p-12, 0x1.5fa5e58f5b42ap-12, 0x1.57c4a1f47e9aap-12, 0x1.500971138529bp-12, 0x1.4874aae186863p-12, 0x1.41060e608901bp-12, 0x1.39bc3c1583169p-12, 0x1.3295a9c1af064p-12, 0x1.2b92a5f66202p-12, 0x1.24b62d628d075p-12, 0x1.1e025e1279289p-12, 0x1.1772ce0988069p-12, 0x1.11023bb218a24p-12, 0x1.0ab0b95c1b74bp-12, 0x1.047c44bb5203bp-12, 0x1.fcc69c70f0006p-13, 0x1.f0d1bee4c889fp-13, 0x1.e51c5c70147b6p-13, 0x1.d9a39d859c67bp-13, 0x1.ce650e664c3a4p-13, 0x1.c35f1336791ep-13, 0x1.b8901eade28bap-13, 0x1.adf74a3c7e66ap-13, 0x1.a3951c5b7864fp-13, 0x1.996ae4fe60db2p-13, 0x1.8f7907d0602c4p-13, 0x1.85be12d1136bdp-13, 0x1.7c375ebfdedc7p-13, 0x1.72e23b84c2211p-13, 0x1.69bc9a2c2052ep-13, 0x1.60c518824c87bp-13, 0x1.57fad0a337d3ap-13, 0x1.4f5d3c9c6a90bp-13, 0x1.46ec390078814p-13, 0x1.3ea7d646fc85bp-13, 0x1.368fa81dd8ea6p-13, 0x1.2ea23e02a485p-13, 0x1.26ddd933bee0ep-13, 0x1.1f41c10c2c57dp-13, 0x1.17cf81a417d26p-13, 0x1.108a54cd42591p-13, 0x1.096f50aa92e29p-13, 0x1.0277c42f7b9ap-13, 0x1.f747dc5d60b9ap-14, 0x1.e9e7c76018c58p-14, 0x1.dcd76532a257p-14, 0x1.d0192179aea8ep-14, 0x1.c3a528e091eacp-14, 0x1.b774c76bd4d54p-14, 0x1.ab83554ba85a7p-14, 0x1.9fce3ec53fb49p-14, 0x1.94561f3a41eb3p-14, 0x1.891d7fad4b0bp-14, 0x1.7e25442e08b8cp-14, 0x1.736a7b8290f4dp-14, 0x1.68ea5a12cf842p-14, 0x1.5ea5586f5ad2ap-14, 0x1.549dc6884ecbep-14, 0x1.4ad3857049ebcp-14, 0x1.41437867cf6c6p-14, 0x1.37ea05c84b488p-14, 0x1.2ec4ba81d561fp-14, 0x1.25d242dc13856p-14, 0x1.1d11d99b3cef8p-14, 0x1.1482f1cafd58dp-14, 0x1.0c252fba69b36p-14, 0x1.03f8577d00514p-14, 0x1.f7f7c918e815cp-15, 0x1.e85d894a0bdc8p-15, 0x1.d91f0bea9a94cp-15, 0x1.ca38da4f351d4p-15, 0x1.bba9a716b1f33p-15, 0x1.ad77ecf929991p-15, 0x1.9fa21486ef78p-15, 0x1.9217a54c10598p-15, 0x1.84d633765bfb6p-15, 0x1.77e7a5a2fb0dap-15, 0x1.6b4e448c054d1p-15, 0x1.5f015a09ab9dcp-15, 0x1.52fdb89980226p-15, 0x1.47436653b793bp-15, 0x1.3bd2c79cc7a59p-15, 0x1.30ac5f6d1c7c7p-15, 0x1.25d015fd55c42p-15, 0x1.1b3b75593ae3ap-15, 0x1.10e87701fdeb2p-15, 0x1.06d1a1f502514p-15, 0x1.f9ef3d5fcb311p-16, 0x1.e6ba750f5c36cp-16, 0x1.d3ff6e6cd0499p-16, 0x1.c1b6a49694e78p-16, 0x1.afe56f99ea63dp-16, 0x1.9e91a39a46eadp-16, 0x1.8db59cac7102dp-16, 0x1.7d4825b58ba4ep-16, 0x1.6d43c319d5805p-16, 0x1.5da63a2c6ccf1p-16, 0x1.4e6e4a7189d92p-16, 0x1.3f9abb8970e45p-16, 0x1.312a6a1c74975p-16, }}, 
      {{0x1.92be1f4437795p-4, 0x1.97c223ad76238p-4, 0x1.9fca15211f408p-4, 0x1.aa7044295454dp-4, 0x1.b741955b128e9p-4, 0x1.c5c70b4edd878p-4, 0x1.d58c18205e8d6p-4, 0x1.e622983ca728dp-4, 0x1.f72525fcc9c51p-4, 0x1.041c2cef251d8p-3, 0x1.0c85a93d0fab6p-3, 0x1.14abddf54dbefp-3, 0x1.1c70bdd5f6f63p-3, 0x1.23bb12162998ep-3, 0x1.2a7621bf416a3p-3, 0x1.30915220a8196p-3, 0x1.35ffc0eb5f822p-3, 0x1.3ab7e29da7d22p-3, 0x1.3eb320dadea68p-3, 0x1.41ed8117f3fd3p-3, 0x1.44654ec8610ccp-3, 0x1.461ace3f7a49ep-3, 0x1.470ff45f221d1p-3, 0x1.474826b7597d7p-3, 0x1.46c800c947d7cp-3, 0x1.45951fb8e2207p-3, 0x1.43b5f44ede82bp-3, 0x1.413197fb38d4p-3, 0x1.3e0fa9979a01bp-3, 0x1.3a582befd6055p-3, 0x1.3613696ac89ecp-3, 0x1.3149dae058a25p-3, 0x1.2c0411c11926ap-3, 0x1.264aa4a8b0e4cp-3, 0x1.20261fa0d0d5bp-3, 0x1.199ef4f37d12cp-3, 0x1.12bd723e1782dp-3, 0x1.0b89b58ace9a6p-3, 0x1.040ba53cfe4d3p-3, 0x1.f895d2434861fp-4, 0x1.e89dca04345bfp-4, 0x1.d83d68bec24b1p-4, 0x1.c7824ea816e86p-4, 0x1.b67980bdce9d4p-4, 0x1.a52f66492734fp-4, 0x1.93afc79d998f2p-4, 0x1.8205ce4a404b9p-4, 0x1.703c05a0c8289p-4, 0x1.5e5c5f1313ce8p-4, 0x1.4c70322e7c04p-4, 0x1.3a8040fe56fbcp-4, 0x1.2894bd695f9a3p-4, 0x1.16b54ca30235bp-4, 0x1.04e90b1fdb47fp-4, 0x1.e66d22d3c962cp-5, 0x1.c347f43f717fcp-5, 0x1.a06dce9d50366p-5, 0x1.7de90e4e39c4dp-5, 0x1.5bc3302ba380fp-5, 0x1.3a04dca374393p-5, 0x1.18b5f3c826cap-5, 0x1.efbb3342c9f72p-6, 0x1.af047ba1067f4p-6, 0x1.6f53497b5bd8fp-6, 0x1.30b1dfa62af4p-6, 0x1.e6529b46ed924p-7, 0x1.6d830e9a12804p-7, 0x1.ee05cc90fb3d3p-8, 0x1.05bbff80caacfp-8, 0x1.11e5b852fb3a2p-11, -0x1.78cefe5480b2ap-9, -0x1.962364d6a5673p-8, -0x1.357665dacdccep-7, -0x1.9d5e2841739aep-7, -0x1.01634ebc44d41p-6, -0x1.32d74cd6f42e8p-6, -0x1.630b0846b7b77p-6, -0x1.91fefc3fd22c4p-6, -0x1.bfb421c23296p-6, -0x1.ec2be421c7068p-6, -0x1.0bb40b198c4f7p-5, -0x1.20b57590695f7p-5, -0x1.351b777305a6dp-5, -0x1.48e77ce365d49p-5, -0x1.5c1b17dbf18dbp-5, -0x1.6eb7f8f60a6c6p-5, -0x1.80bfede506fc5p-5, -0x1.9234de1ef4f05p-5, -0x1.a318c8a43dcabp-5, -0x1.b36dbe9a74762p-5, -0x1.c335e6ad30ea3p-5, -0x1.d273750e8b5b8p-5, -0x1.e128ac2adab4ap-5, -0x1.ef57da1b27dcap-5, -0x1.fd0356beefa08p-5, -0x1.0516c0f3c8d6bp-4, -0x1.0b6c60d3737fcp-4, -0x1.1183c0c2d9a63p-4, -0x1.175e17a09bc53p-4, -0x1.1cfc9dd1abac5p-4, -0x1.22608c027391ep-4, -0x1.278b1addce277p-4, -0x1.2c7d827db564bp-4, -0x1.3138f9f809b5dp-4, -0x1.35beb70c2f101p-4, -0x1.3a0fede547544p-4, -0x1.3e2dcfad39537p-4, -0x1.42198c89f7181p-4, -0x1.45d451030f29ep-4, -0x1.495f46fd17dabp-4, -0x1.4cbb951319006p-4, -0x1.4fea5e97014bdp-4, -0x1.52ecc33cfb7bp-4, -0x1.55c3df20087efp-4, -0x1.5870ca530d405p-4, -0x1.5af4990673c07p-4, -0x1.5d505bae805f3p-4, -0x1.5f851ce898cbp-4, -0x1.6193e58fb1428p-4, -0x1.637db86e87b31p-4, -0x1.6543945ec8aabp-4, -0x1.66e673b382861p-4, -0x1.68674c8d26213p-4, -0x1.69c7102108ec2p-4, -0x1.6b06ab6d341aap-4, -0x1.6c2706d51f254p-4, -0x1.6d2906376fb6dp-4, -0x1.6e0d88e09cb21p-4, -0x1.6ed569d607d0dp-4, -0x1.6f817fa2940bbp-4, -0x1.70129bd792a8fp-4, -0x1.70898be46a279p-4, -0x1.70e7195ee437bp-4, -0x1.712c08f513d15p-4, -0x1.71591aff7d525p-4, -0x1.716f0bcf03aep-4, -0x1.716e935f05f8fp-4, -0x1.71586589f2224p-4, -0x1.712d320e42528p-4, -0x1.70eda49d6504p-4, -0x1.709a64e774d53p-4, -0x1.703416ab6f3b6p-4, -0x1.6fbb59cc9435cp-4, -0x1.6f30ca3a12d7fp-4, -0x1.6e950089f3e1cp-4, -0x1.6de8910fe4339p-4, -0x1.6d2c0cdd04c5cp-4, -0x1.6c60018e317b7p-4, -0x1.6b84f83ae617dp-4, -0x1.6a9b7873e0ab5p-4, -0x1.69a404a420cb1p-4, -0x1.689f1cbb79d3p-4, -0x1.678d3d2d4edaap-4, -0x1.666edf7db887dp-4, -0x1.654479bbb88b4p-4, -0x1.640e7f1c6901p-4, -0x1.62cd5fce290eap-4, -0x1.6181890a891b1p-4, -0x1.602b65306f66ep-4, -0x1.5ecb5bcd11968p-4, -0x1.5d61d1ae12862p-4, -0x1.5bef28eedff8p-4, -0x1.5a73c10fef063p-4, -0x1.58eff6f567605p-4, -0x1.576424f13db26p-4, -0x1.55d0a326415fbp-4, -0x1.5435c6e9aae91p-4, -0x1.5293e37c9ff77p-4, -0x1.50eb49ad4d9b4p-4, -0x1.4f3c487f4446p-4, -0x1.4d872ba9654eap-4, -0x1.4bcc3e23992f8p-4, -0x1.4a0bc7ed14b14p-4, -0x1.48460f3cf437cp-4, -0x1.467b58476e79ap-4, -0x1.44abe550aab24p-4, -0x1.42d7f6b8f28a6p-4, -0x1.40ffcb064c401p-4, -0x1.3f239ee9149ffp-4, -0x1.3d43ad6283436p-4, -0x1.3b602fb3afe3ap-4, -0x1.39795d702ed73p-4, -0x1.378f6c8b74bb7p-4, -0x1.35a29163f7dc9p-4, -0x1.33b2fecb47838p-4, -0x1.31c0e61290ba9p-4, -0x1.2fcc770f5dec3p-4, -0x1.2dd5e029b93f5p-4, -0x1.2bdd4e6578d08p-4, -0x1.29e2ed6a4b9e7p-4, -0x1.27e6e78cb2603p-4, -0x1.25e965d6957cap-4, -0x1.23ea90100ebafp-4, -0x1.21ea8cc54774fp-4, -0x1.1fe98157417b6p-4, -0x1.1de791ee2dc22p-4, -0x1.1be4e1f61faf5p-4, -0x1.19e192848915p-4, -0x1.17ddc5866d0cdp-4, -0x1.15d99a4ec3e15p-4, -0x1.13d52fd5fe9edp-4, -0x1.11d0a3f7d6bap-4, -0x1.0fcc139a0f597p-4, -0x1.0dc79ab3b062cp-4, -0x1.0bc3545130bd9p-4, -0x1.09bf5a97a6f4bp-4, -0x1.07bbc6ebbe65dp-4, -0x1.05b8b1d86daecp-4, -0x1.03b632a4f11ap-4, -0x1.01b460937926ep-4, -0x1.ff66a33ec85c4p-5, -0x1.fb66361b0ab58p-5, -0x1.f767a308dac7ap-5, -0x1.f36b11f1a1758p-5, -0x1.ef70a91994e74p-5, -0x1.eb788da6ff75ep-5, -0x1.e782e36032696p-5, -0x1.e38fccc2ca56p-5, -0x1.df9f6b1fbc971p-5, -0x1.dbb1de83f5be8p-5, -0x1.d7c745da4ab7p-5, -0x1.d3dfbeec9c713p-5, -0x1.cffb6663203a8p-5, -0x1.cc1a57db7f283p-5, -0x1.c83cade77801ap-5, -0x1.c46282170f783p-5, -0x1.c08becfe03909p-5, -0x1.bcb9063ad9a66p-5, -0x1.b8e9e47f27565p-5, -0x1.b51e9d77bffcp-5, -0x1.b15746b6e6ddap-5, -0x1.ad93f2c09445dp-5, -0x1.a9d4b6916e1fep-5, -0x1.a619a3a6aa869p-5, -0x1.a262cbd5a406p-5, -0x1.9eb040283d842p-5, -0x1.9b02109a4084dp-5, -0x1.97584cb74c3a7p-5, -0x1.93b3033da6df2p-5, -0x1.90124245c3acdp-5, -0x1.8c76173fdac93p-5, -0x1.88de8ef8c293ep-5, -0x1.854bb5a03a63cp-5, -0x1.81bd96cc80231p-5, -0x1.7e343d7fae422p-5, -0x1.7aafb42da884p-5, -0x1.773004be808dbp-5, -0x1.73b53892bc7c3p-5, -0x1.703f5886a9a67p-5, -0x1.6cce6cf646aaap-5, -0x1.69627dc17d594p-5, -0x1.65fb92507fcfcp-5, -0x1.6299b1979a3ecp-5, -0x1.5f3ce21a21bfap-5, -0x1.5be529ed73b36p-5, -0x1.58928ec09a5d3p-5, -0x1.554515d62af51p-5, -0x1.51fcc40db0d73p-5, -0x1.4eb99de78e112p-5, -0x1.4b7ba7843b465p-5, -0x1.4842e49c024b2p-5, -0x1.450f58c99ccb2p-5, -0x1.41e106eeaf695p-5, -0x1.3eb7f1fc44d7p-5, -0x1.3b941c521647bp-5, -0x1.38758821e52afp-5, -0x1.355c37463aefbp-5, -0x1.32482b52beadfp-5, -0x1.2f396594e29cp-5, -0x1.2c2fe7165e6e9p-5, -0x1.292bb0a06a87dp-5, -0x1.262cc26c501aap-5, -0x1.23331e247921p-5, -0x1.203ec1571407cp-5, -0x1.1d4fade587594p-5, -0x1.1a65e2ad87017p-5, -0x1.17815f282626ap-5, -0x1.14a2227f57969p-5, -0x1.11c82bae8f996p-5, -0x1.0ef3797efd142p-5, -0x1.0c240a8b1f242p-5, -0x1.0959dd3bc295dp-5, -0x1.0694efd13c859p-5, -0x1.03d5405cc3cddp-5, -0x1.011accc640453p-5, -0x1.fccb25998bc73p-6, -0x1.f76b2013e154cp-6, -0x1.f21583dcbfd7ep-6, -0x1.ecca4b9155f3ep-6, -0x1.e789718717932p-6, -0x1.e252efc7be08ep-6, -0x1.dd26c01156d8fp-6, -0x1.d804dc2c028a8p-6, -0x1.d2ed3d22e7221p-6, -0x1.cddfdc20193c4p-6, -0x1.c8dcb1f92cb34p-6, -0x1.c3e3b73a9ad01p-6, -0x1.bef4e473d6f39p-6, -0x1.ba1031ea35903p-6, -0x1.b5359715f4455p-6, -0x1.b0650c815042ep-6, -0x1.ab9e895cf53f7p-6, -0x1.a6e2053106fb4p-6, -0x1.a22f7747a335cp-6, -0x1.9d86d6bb8c8dbp-6, -0x1.98e81a8054751p-6, -0x1.9453395a98ae5p-6, -0x1.8fc829f23c0afp-6, -0x1.8b46e2c3eab0ep-6, -0x1.86cf5a29be7f5p-6, -0x1.8261865b71b8bp-6, -0x1.7dfd5d6ebb31dp-6, -0x1.79a2d55878af1p-6, -0x1.7551e3eed25bep-6, -0x1.710a7ee76d2cfp-6, -0x1.6ccc9bdcd5237p-6, -0x1.6898304d1d751p-6, -0x1.646d3199aa5d2p-6, -0x1.604b950b7e61dp-6, -0x1.5c334fd2b3ec9p-6, -0x1.5824570901de2p-6, -0x1.541e9f802454ep-6, -0x1.50221f841bf95p-6, -0x1.4c2ec83ac5fdfp-6, -0x1.4844929829b02p-6, -0x1.446371112359fp-6, -0x1.408b58abf03c1p-6, -0x1.3cbc3dd49b8a1p-6, -0x1.38f61533dad95p-6, -0x1.3538d2f13fce9p-6, -0x1.31846b69136p-6, -0x1.2dd8d2dc61adp-6, -0x1.2a35fd77e25cp-6, -0x1.269bdf5ae1acap-6, -0x1.230a6c97a7348p-6, -0x1.1f81992ceb189p-6, -0x1.1c01591358adp-6, -0x1.1889a0328039fp-6, -0x1.151a6267a49bdp-6, -0x1.11b3937e79874p-6, -0x1.0e5527493f941p-6, -0x1.0aff1176ab441p-6, -0x1.07b145be3961p-6, -0x1.046bb7c6cc6fp-6, -0x1.012e5b2f39245p-6, -0x1.fbf2471b21b87p-7, -0x1.f59808df9eccfp-7, -0x1.ef4de2ba43146p-7, -0x1.e913bb9fc9bf1p-7, -0x1.e2e97a87b1e61p-7, -0x1.dccf065085275p-7, -0x1.d6c445cfeacfp-7, -0x1.d0c91fd070ac5p-7, -0x1.cadd7b1293a6ep-7, -0x1.c5013e4cee30ap-7, -0x1.bf34502d0b61p-7, -0x1.b976975777d83p-7, -0x1.b3c7fa690de35p-7, -0x1.ae285ff776f6ep-7, -0x1.a897ae9277d28p-7, -0x1.a315ccc716ee4p-7, -0x1.9da2a11b83fbfp-7, -0x1.983e120cfe491p-7, -0x1.92e80620a7504p-7, -0x1.8da063d12075ep-7, -0x1.88671198df7d9p-7, -0x1.833bf5f0a1a8bp-7, -0x1.7e1ef7503ed1dp-7, -0x1.790ffc234dc96p-7, -0x1.740eead8e30fp-7, -0x1.6f1baa2c330d9p-7, -0x1.6a36204e2643ep-7, -0x1.655e33d8313d2p-7, -0x1.6093cb51f195fp-7, -0x1.5bd6cd4283708p-7, -0x1.572720347122bp-7, -0x1.5284aab9bad13p-7, -0x1.4def535a6eaf9p-7, -0x1.496700b7d6cb7p-7, -0x1.44eb996cc8602p-7, -0x1.407d0270cb552p-7, -0x1.3c1b264d68da7p-7, -0x1.37c5e9d6aea15p-7, -0x1.337d3287ac932p-7, -0x1.2f40e831435bep-7, -0x1.2b10f1b42c97ep-7, -0x1.26ed35f2df2e9p-7, -0x1.22d59bd889fc1p-7, -0x1.1eca0a56484eep-7, -0x1.1aca68634ef0fp-7, -0x1.16d69cff2e721p-7, -0x1.12ee8f324e71p-7, -0x1.0f12260bfb89cp-7, -0x1.0b4148a4c8de2p-7, -0x1.077bded04141bp-7, -0x1.03c1cf54b4952p-7, -0x1.001302583e9cfp-7, -0x1.f8debe02146dfp-8, -0x1.f1ad9a030a583p-8, -0x1.ea9267da64637p-8, -0x1.e38cf69d4d636p-8, -0x1.dc9d157e84f91p-8, -0x1.d5c293dfa6f42p-8, -0x1.cefd415199617p-8, -0x1.c84ced9cd6953p-8, -0x1.c1b168d02c973p-8, -0x1.bb2a834bea54dp-8, -0x1.b4b80dbe9c7dbp-8, -0x1.ae59d91f8f8c1p-8, -0x1.a80fb660d5d88p-8, -0x1.a1d976a983ec4p-8, -0x1.9bb6eb624efe3p-8, -0x1.95a7e5dfb4822p-8, -0x1.8fac369f6c91ep-8, -0x1.89c3af3409453p-8, -0x1.83ee20ea5a85bp-8, -0x1.7e2b5d2ea464bp-8, -0x1.787b3635e8ae7p-8, -0x1.72dd7e5c4b294p-8, -0x1.6d52085251f76p-8, -0x1.67d8a77ef2f7ap-8, -0x1.62712f826db95p-8, -0x1.5d1b742ddb72fp-8, -0x1.57d749634c835p-8, -0x1.52a482fa1d69p-8, -0x1.4d82f4b0c922fp-8, -0x1.4872723045f12p-8, -0x1.4372cf2047817p-8, -0x1.3e83df48752b7p-8, -0x1.39a576b7c50ep-8, -0x1.34d769e9e14dfp-8, -0x1.30198de2b5013p-8, -0x1.2b6bb83b2e233p-8, -0x1.26cdbf1fb534ap-8, -0x1.223f792ca55dfp-8, -0x1.1dc0bd3e70acep-8, -0x1.1951628819255p-8, -0x1.14f1405a34789p-8, -0x1.10a02d8380ae6p-8, -0x1.0c5e012b31e07p-8, -0x1.082a9232727bap-8, -0x1.0405b77b4a724p-8, -0x1.ffde901a541bep-9, -0x1.f7ce367253c58p-9, -0x1.efda11837edd9p-9, -0x1.e801d1b3a6f4fp-9, -0x1.e04529f659ap-9, -0x1.d8a3c542e1c9dp-9, -0x1.d11d6746e9a63p-9, -0x1.c9b1b76e748b7p-9, -0x1.c2606f6b0c27cp-9, -0x1.bb2944efb13f3p-9, -0x1.b40bede6be995p-9, -0x1.ad08203f21ed6p-9, -0x1.a61d91d73d4fdp-9, -0x1.9f4bf884c56e9p-9, -0x1.98930a34317fdp-9, -0x1.91f27cfb07906p-9, -0x1.8b6a0768a98c3p-9, -0x1.84f960a0f450ep-9, -0x1.7ea0407f29a28p-9, -0x1.785e5fcd8ffd4p-9, -0x1.7233784b45466p-9, -0x1.6c1f450b58b2p-9, -0x1.662181dc830a2p-9, -0x1.6039ec09e80fcp-9, -0x1.5a6841ac73ceep-9, -0x1.54ac41ad52401p-9, -0x1.4f05ab4445806p-9, -0x1.49743d8c87662p-9, -0x1.43f7b7dcf6ac1p-9, -0x1.3e8fd96c43d73p-9, -0x1.393c6080e364cp-9, -0x1.33fd0c0a1dbd4p-9, -0x1.2ed19b1cf4b18p-9, -0x1.29b9ccf73c1c5p-9, -0x1.24b5611ee77aap-9, -0x1.1fc417b9699cp-9, -0x1.1ae5b1fb4a67ap-9, -0x1.1619f28b56b81p-9, -0x1.11609dbd6e335p-9, -0x1.0cb979928e8d2p-9, -0x1.08244d6ba51c6p-9, -0x1.03a0e19fe12b1p-9, -0x1.fe5dfe1983bd5p-10, -0x1.f59cdd2c1349cp-10, -0x1.ecfdf1eee714ep-10, -0x1.e480cd5882f61p-10, -0x1.dc24ffde3cd5dp-10, -0x1.d3ea197d8c36p-10, -0x1.cbcfa9ab53c6p-10, -0x1.c3d53ed5a80fp-10, -0x1.bbfa6942c3762p-10, -0x1.b43eb7551e247p-10, -0x1.aca1b9fadf9b5p-10, -0x1.a52304689546ep-10, -0x1.9dc22e4631365p-10, -0x1.967ed325f3cf4p-10, -0x1.8f589288f6db7p-10, -0x1.884f0eb13f614p-10, -0x1.8161eb11f0d5dp-10, -0x1.7a90caeba075fp-10, -0x1.73db5085fd70dp-10, -0x1.6d411d2dd1bf5p-10, -0x1.66c1d1c36f48ap-10, -0x1.605d0f6b1d5bbp-10, -0x1.5a1277f85a015p-10, -0x1.53e1ade1f58d6p-10, -0x1.4dca53dde71fdp-10, -0x1.47cc0c79a20e4p-10, -0x1.41e67a03132ecp-10, -0x1.3c193f60537a6p-10, -0x1.3664012927468p-10, -0x1.30c667119174fp-10, -0x1.2b401cf0b4bdfp-10, -0x1.25d0d2c1e9c93p-10, -0x1.20783b9437aa4p-10, -0x1.1b36082263d3fp-10, -0x1.1609fb7733f57p-10, -0x1.10f3a6b659248p-10, -0x1.0bf2d2f2db8adp-10, -0x1.070725cf200c1p-10, -0x1.02304df340e9p-10, -0x1.fadbf74d80375p-11, -0x1.f17fc3b9e47fep-11, -0x1.e84b6ba76eb89p-11, -0x1.df3e5c43c778bp-11, -0x1.d6580329269adp-11, -0x1.cd97cd4c2e84fp-11, -0x1.c4fd2861fd85dp-11, -0x1.bc87808aa0f74p-11, -0x1.b4364680034ecp-11, -0x1.ac08f0c7422aep-11, -0x1.a3fefc8af0022p-11, -0x1.9c17eccdde191p-11, -0x1.945347467f98bp-11, -0x1.8cb0905183aabp-11, -0x1.852f47d00755cp-11, -0x1.7dcee888231e1p-11, -0x1.768eea40e4481p-11, -0x1.6f6ec565e5a3ap-11, -0x1.686df6c05a013p-11, -0x1.618c00fb89a26p-11, -0x1.5ac86c744076cp-11, -0x1.5422c5d1ed208p-11, -0x1.4d9a9c4a289bep-11, -0x1.472f8044eecfcp-11, -0x1.40e102748c315p-11, -0x1.3aaeb332a58b7p-11, -0x1.3498221cec8d9p-11, -0x1.2e9cde4980967p-11, -0x1.28bc777131685p-11, -0x1.22f67fd97e989p-11, -0x1.1d4a8df4c07d3p-11, -0x1.17b83c754af7p-11, -0x1.123f2864628ddp-11, -0x1.0cdeee3703656p-11, -0x1.079727c7d2565p-11, -0x1.02676ca7e89ccp-11, -0x1.fa9ea940fd3aap-12, -0x1.f09cf5447e5afp-12, -0x1.e6c8fc5c3142bp-12, -0x1.dd22054f8358cp-12, -0x1.d3a75b683c839p-12, -0x1.ca584c837eacfp-12, -0x1.c13429e7282bap-12, -0x1.b83a4aa302dc2p-12, -0x1.af6a0cd12dfdap-12, -0x1.a6c2d3955c39ep-12, -0x1.9e44026083234p-12, -0x1.95ecf37f9be6cp-12, -0x1.8dbcff4542c87p-12, -0x1.85b36e6893821p-12, -0x1.7dcf8e404de4dp-12, -0x1.7610b343ca725p-12, -0x1.6e763bd7dd663p-12, -0x1.66ff9078afdf6p-12, -0x1.5fac1e65cbb11p-12, -0x1.587b52b0fbf88p-12, -0x1.516c98b068f3p-12, -0x1.4a7f5c52b1c38p-12, -0x1.43b30d6d6ada2p-12, -0x1.3d07206d66465p-12, -0x1.367b08ceec5fcp-12, -0x1.300e3b433ea9cp-12, -0x1.29c027e7fa783p-12, -0x1.2390447a8037dp-12, -0x1.1d7e0fb2a1076p-12, -0x1.178913dd3669bp-12, -0x1.11b0e1f7a4e4ap-12, -0x1.0bf51183c3483p-12, -0x1.065533ebeecp-12, -0x1.00d0cebb141a2p-12, -0x1.f6ce8f74fd654p-13, -0x1.ec3082b245c37p-13, -0x1.e1c67c0c2ba2ap-13, -0x1.d78f0866250b8p-13, -0x1.cd8975bcf1535p-13, -0x1.c3b4f1a78bc76p-13, -0x1.ba10bc898af09p-13, -0x1.b09c1b931c216p-13, -0x1.a7564c62ee22p-13, -0x1.9e3e81af754bfp-13, -0x1.9553ea09043e5p-13, -0x1.8c95b79546b28p-13, -0x1.84031f0b8571p-13, -0x1.7b9b511baa861p-13, -0x1.735d7af59bf45p-13, -0x1.6b48d19b0bd77p-13, -0x1.635c9baae6f32p-13, -0x1.5b9830502b81ep-13, -0x1.53faecaa19a0ep-13, -0x1.4c842a337e6f3p-13, -0x1.45333ceb873e5p-13, -0x1.3e077653561edp-13, -0x1.37002675bfd7ap-13, -0x1.301c99051c5adp-13, -0x1.295c13441ac45p-13, -0x1.22bdd7cdda707p-13, -0x1.1c413027e2fcp-13, -0x1.15e57704aee5ep-13, -0x1.0faa1dd752602p-13, -0x1.098eaaa5ffd89p-13, -0x1.0392ad6c9656ep-13, -0x1.fb6b601f6546dp-14, -0x1.efee537b3b4d8p-14, -0x1.e4ad012704332p-14, -0x1.d9a6316603b63p-14, -0x1.ced8c09b8d5f5p-14, -0x1.c443998253554p-14, -0x1.b9e5a68fc5f97p-14, -0x1.afbdda9630edcp-14, -0x1.a5cb454798e2dp-14, -0x1.9c0d0ef5c189ep-14, -0x1.92825b003bfedp-14, -0x1.892a33fb78208p-14, -0x1.8003948f9c318p-14, -0x1.770d7de851b17p-14, -0x1.6e47037d1590fp-14, -0x1.65af453ba5aacp-14, -0x1.5d4562dbcb7d5p-14, -0x1.55087362688ccp-14, -0x1.4cf7845c84c46p-14, -0x1.4511a087f5b3cp-14, -0x1.3d55dc2b8f2dfp-14, -0x1.35c3608961b88p-14, -0x1.2e596ff601126p-14, -0x1.271762a569b9p-14, -0x1.1ffc9b9d834f6p-14, -0x1.19087724ce2dbp-14, -0x1.123a39d77be91p-14, -0x1.0b911094219e2p-14, -0x1.050c2828ef3cbp-14, -0x1.fd5589fb952eap-15, -0x1.f0d8807756fep-15, -0x1.e49fee3b35be6p-15, -0x1.d8aa91cef375ep-15, -0x1.ccf7479212934p-15, -0x1.c184f6f2ca68p-15, -0x1.b6525859fea71p-15, -0x1.ab5e0733aa4d9p-15, -0x1.a0a6a1fcc4017p-15, -0x1.962aec2ef9924p-15, -0x1.8be9c648f02b5p-15, -0x1.81e216512e85p-15, -0x1.7812c1a007421p-15, -0x1.6e7ab048b3aa7p-15, -0x1.6518cb73d5befp-15, -0x1.5bebf903317f4p-15, -0x1.52f31d004f883p-15, -0x1.4a2d232083865p-15, -0x1.4198f78fa952bp-15, -0x1.3936737c79a64p-15, -0x1.31023efefc0a7p-15, -0x1.28fdccfa2c7c6p-15, -0x1.212784d1f3af8p-15, -0x1.197e87280cb8fp-15, -0x1.1201d8908699dp-15, -0x1.0ab0654796fe7p-15, -0x1.0389240ff6502p-15, -0x1.f916706a12f56p-16, -0x1.eb6bd9bd1b509p-16, -0x1.de11205d1919bp-16, -0x1.d104b8eadaf49p-16, -0x1.c44515ee2c70ap-16, -0x1.b7d0a82cad3dep-16, -0x1.aba5aa50e0bdep-16, -0x1.9fc2a2ee604ep-16, -0x1.9425edacdda4cp-16, -0x1.88ce31bf7520dp-16, -0x1.7dba121a6ce7cp-16, -0x1.72e823dc5297ap-16, -0x1.68570bc43ba7dp-16, -0x1.5e057da82e37ap-16, -0x1.53f2341c2eafp-16, -0x1.4a1bee5f9a9bbp-16, -0x1.40814e761a6c6p-16, -0x1.37212e8effe63p-16, -0x1.2dfa44e45b30ap-16, -0x1.250b16fc43f49p-16, -0x1.1c52b64fa43e7p-16, -0x1.13cfdd5af7ba2p-16, -0x1.0b816b8c6a61dp-16, -0x1.03664f3b0503ap-16, -0x1.f6fb3d3e6b7d9p-17, -0x1.e78c985eb183p-17, -0x1.d87e993512295p-17, -0x1.c9cea28eefb7ep-17, -0x1.bb7b14072063cp-17, -0x1.ad8190261328fp-17, -0x1.9fe142ad9a464p-17, -0x1.9297d0d16c86cp-17, -0x1.85a2d53f35f2cp-17, -0x1.7900609c0a4e7p-17, -0x1.6cae869866499p-17, -0x1.60ab7d8ec95fcp-17, -0x1.54f5cdc99330cp-17, -0x1.498be47d13694p-17, -0x1.3e6c07e833a46p-17, -0x1.33948b0e43368p-17, -0x1.2903da19d4831p-17, -0x1.1eb87434321cdp-17, -0x1.14b0e4db6e04ap-17, -0x1.0aebbde877b43p-17, -0x1.01679240bac85p-17, -0x1.f045dfef2d9e1p-18, -0x1.de38f712993aap-18, -0x1.cca56df731c45p-18, -0x1.bb885a1eeef9dp-18, -0x1.aadefb98d6dcbp-18, -0x1.9aa69db606b7ep-18, -0x1.8adca439c4e53p-18, -0x1.7b7e979189224p-18, -0x1.6c8a302c39ae7p-18, -0x1.5dfd4b4446b1cp-18, -0x1.4fd5b406174b3p-18, -0x1.4210fc1af8e99p-18, -0x1.34acb6c656a08p-18, -0x1.27a6c2da274eap-18, -0x1.1afd3a3f2daaap-18, -0x1.0eae37c0d8f9ap-18, -0x1.02b76afcde64bp-18, -0x1.ee2cb745c24f6p-19, -0x1.d79226fd06386p-19, -0x1.c19b4c2435ea7p-19, -0x1.ac44d4d87a99ap-19, -0x1.978b25fe3c72cp-19, -0x1.836a23c274b29p-19, -0x1.6fddec72b3f07p-19, -0x1.5ce2e842e69c8p-19, -0x1.4a75d93f00bedp-19, -0x1.388f9aed7813cp-19, -0x1.272fbf99baf9ap-19, -0x1.165f657e876e6p-19, -0x1.060857b8480fcp-19, -0x1.ec5fa9a515c93p-20, -0x1.cda5216dc1563p-20, -0x1.afdb080e94a4ap-20, -0x1.92fb56ec5136bp-20, -0x1.77000dfe1dfcp-20, -0x1.5be358959c126p-20, -0x1.419f9f40b4f6fp-20, -0x1.282f804c19fb7p-20, -0x1.0f8dc55522f34p-20, -0x1.ef6ace4133d62p-21, -0x1.c143398bf6fcp-21, -0x1.949bbace9723ep-21, -0x1.696b4beedc6b5p-21, -0x1.3fa884e3f0592p-21, -0x1.174a013a1b76bp-21, -0x1.e08ce6de300abp-22, -0x1.9529ae21a9f33p-22, -0x1.4c5ab7e2ce8e8p-22, -0x1.060f3131f29fep-22, -0x1.8466836e6132fp-23, -0x1.016dd58d5a07fp-23, -0x1.0635d650d48aap-24, -0x1.2a250a6c8506dp-28, 0x1.b042c3c99fe84p-25, 0x1.ba509ddd31f97p-24, 0x1.4a159ad819672p-23, 0x1.b2f42cc57bd02p-23, 0x1.0be6f6f0db0ep-22, 0x1.3c6a4789b399ap-22, 0x1.6b0d29dbd1d94p-22, 0x1.97dd3fc05585fp-22, 0x1.c2e7b41519e35p-22, 0x1.ec384280bf9c4p-22, 0x1.09ecf14f9b728p-21, 0x1.1cebfc7e9c8a5p-21, 0x1.2f1f1ee455585p-21, 0x1.408bf7f805373p-21, 0x1.5138038e6cc8fp-21, 0x1.6128c6e2e7801p-21, 0x1.7063c722608afp-21, 0x1.7eee630dda897p-21, 0x1.8ccc9976356efp-21, 0x1.9a03d6dd13df4p-21, 0x1.a69923fa100cbp-21, 0x1.b290fe7573cb3p-21, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.25d93bcdd6291p-9, -0x1.6724cc2537b9bp-8, -0x1.4c60e8a183e55p-7, -0x1.0a48b354074a8p-6, -0x1.8286bb9b38739p-6, -0x1.04afdc34c6811p-5, -0x1.4c417be48c90bp-5, -0x1.94cf2719e2aa2p-5, -0x1.db69be78755aap-5, -0x1.0ebe4d567e39ep-4, -0x1.2c6e4f4ce3395p-4, -0x1.45e5ffa0ee07ap-4, -0x1.5a7b83d9ea47fp-4, -0x1.69b65846d9ae5p-4, -0x1.734a76b97f7aep-4, -0x1.7712f7b6a8ed6p-4, -0x1.750c9757d15f5p-4, -0x1.6d506126f6646p-4, -0x1.600ead73f4aep-4, -0x1.4d8a8869e3e4cp-4, -0x1.36158fb104d11p-4, -0x1.1a0c4a6a7d0bbp-4, -0x1.f3a5f31fab5dep-5, -0x1.aba5b5216703fp-5, -0x1.5cefa7888b4e3p-5, -0x1.085d01ab4d2abp-5, -0x1.5d8a54476f44cp-6, -0x1.43ec4e20b58b2p-7, 0x1.034e1da61c7eap-9, 0x1.d01a49eeafac3p-7, 0x1.b37ebcbe0a13bp-6, 0x1.40af1a5472b4bp-5, 0x1.a830b855b1c3fp-5, 0x1.07d558fc2bbe8p-4, 0x1.3b479f8b9a4f4p-4, 0x1.6e2e304c445a7p-4, 0x1.a04de374827a5p-4, 0x1.d1714dba8d62ep-4, 0x1.00b44bf4ddc9bp-3, 0x1.1804a74462106p-3, 0x1.2e9713acb5af4p-3, 0x1.445b621dd78b3p-3, 0x1.5943b7659fc8fp-3, 0x1.6d44696e9d50dp-3, 0x1.8053dcb9bf328p-3, 0x1.926a5e32f25eap-3, 0x1.a38202741d47ep-3, 0x1.b3967edb2067cp-3, 0x1.c2a50c35c44aap-3, 0x1.d0ac3f67bcf9fp-3, 0x1.ddabed8bb0683p-3, 0x1.e9a50cedfac8fp-3, 0x1.f49994dbd5dadp-3, 0x1.fe8c666af8bf6p-3, 0x1.03c0961930f29p-2, 0x1.07be247a3fbe6p-2, 0x1.0b415ea9afddep-2, 0x1.0e4d0a4bf1475p-2, 0x1.10e4279b7c4dep-2, 0x1.1309e926e95c6p-2, 0x1.14c1ac96f0d63p-2, 0x1.160ef3c0d49a5p-2, 0x1.16f55d9592d91p-2, 0x1.17789f64e06dap-2, 0x1.179c7f031649fp-2, 0x1.1764ce0140511p-2, 0x1.16d5659aaa09p-2, 0x1.15f222b7e77f2p-2, 0x1.14bee1e5df047p-2, 0x1.133f7b3cdaee5p-2, 0x1.1177bea6f2bccp-2, 0x1.0f6b70ac83f89p-2, 0x1.0d1e47e8c4a21p-2, 0x1.0a93eafecf88ep-2, 0x1.07cfeecb00dd1p-2, 0x1.04d5d4c5025f8p-2, 0x1.01a90963e7569p-2, 0x1.fc99c541329aep-3, 0x1.f5893d48a9dfep-3, 0x1.ee26c5776472ep-3, 0x1.e6787523473c7p-3, 0x1.de842f69c1533p-3, 0x1.d64fa2b553311p-3, 0x1.cde0489ceecf3p-3, 0x1.c53b65f5f0e24p-3, 0x1.bc660b1907a8ep-3, 0x1.b365143b5da93p-3, 0x1.aa3d29d9af982p-3, 0x1.a0f2c148f2246p-3, 0x1.978a1d696f1d9p-3, 0x1.8e074f68de955p-3, 0x1.846e37d0c20d1p-3, 0x1.7ac287916d0ebp-3, 0x1.7107c1495f4f5p-3, 0x1.67413a8947d84p-3, 0x1.5d721d40ee2bdp-3, 0x1.539d6922eb581p-3, 0x1.49c5f513d8886p-3, 0x1.3fee70a6ce13p-3, 0x1.36196575fc5efp-3, 0x1.2c49389ce2011p-3, 0x1.22802c13722e8p-3, 0x1.18c060073a5ebp-3, 0x1.0f0bd43a664d3p-3, 0x1.0564694dd2c3bp-3, 0x1.f797c4137f54p-4, 0x1.e487c957bc9p-4, 0x1.d19bf8280a50fp-4, 0x1.bed732088bb97p-4, 0x1.ac3c268c82776p-4, 0x1.99cd55a72308fp-4, 0x1.878d11cd6d0dfp-4, 0x1.757d82251cd7ep-4, 0x1.63a0a4824fa42p-4, 0x1.51f84f638c871p-4, 0x1.408633d88ad95p-4, 0x1.2f4bdf3fe354fp-4, 0x1.1e4abd21104bdp-4, 0x1.0d8418a79b4afp-4, 0x1.f9f23cb61eaabp-5, 0x1.d955bb36e98edp-5, 0x1.b934940e1c6d5p-5, 0x1.999079bfe6614p-5, 0x1.7a6aece2df072p-5, 0x1.5bc53e53f91d4p-5, 0x1.3da091effd92dp-5, 0x1.1ffde0ba8574ep-5, 0x1.02ddfaef97806p-5, 0x1.cc8314c6c1f6ep-6, 0x1.945228b6b13a1p-6, 0x1.5d29f68902d78p-6, 0x1.270b01dfedb54p-6, 0x1.e3eb2011f1955p-7, 0x1.7bd356129a6d4p-7, 0x1.15ce4b0fa5cf5p-7, 0x1.63b6757d80231p-8, 0x1.3fe3f043f4484p-9, -0x1.fb3efa88d6e32p-12, -0x1.b67e03239e7c7p-9, -0x1.92b3a7f39ca44p-8, -0x1.230b7601c0ad3p-7, -0x1.7ab7360ec32e3p-7, -0x1.d0602af6f8c6dp-7, -0x1.1204d753f56edp-6, -0x1.3adbacbc1616ep-6, -0x1.62b67f7f29bebp-6, -0x1.899755ad20d38p-6, -0x1.af804f34e8b06p-6, -0x1.d473a44520687p-6, -0x1.f873a4856065fp-6, -0x1.0dc15a780f6d4p-5, -0x1.1ed1a710cff34p-5, -0x1.2f6bfdb339cfbp-5, -0x1.3f91ace0f5f3bp-5, -0x1.4f440aeb298a6p-5, -0x1.5e84754f6302fp-5, -0x1.6d545079db7c1p-5, -0x1.7bb50733c159cp-5, -0x1.89a809ad1f222p-5, -0x1.972eccf4329d6p-5, -0x1.a44acae3b6455p-5, -0x1.b0fd819f9d08p-5, -0x1.bd4872a0f642bp-5, -0x1.c92d2233cbc94p-5, -0x1.d4ad17885376dp-5, -0x1.dfc9dc63a5aacp-5, -0x1.ea84fc241aeb8p-5, -0x1.f4e003341503ap-5, -0x1.fedc7f1b6dcbp-5, -0x1.043dff3f3099p-4, -0x1.08e00828c5236p-4, -0x1.0d55218df2b1cp-4, -0x1.119e1267e9b72p-4, -0x1.15bba18db59eep-4, -0x1.19ae9587547b9p-4, -0x1.1d77b41f60d65p-4, -0x1.2117c22398a9p-4, -0x1.248f83823e8ep-4, -0x1.27dfbb64e4f23p-4, -0x1.2b092bf1e3414p-4, -0x1.2e0c95e6c25c7p-4, -0x1.30eab8759da9p-4, -0x1.33a4517028d38p-4, -0x1.363a1d5f808f9p-4, -0x1.38acd747a3655p-4, -0x1.3afd384e27762p-4, -0x1.3d2bf79f48f14p-4, -0x1.3f39ca99ba26fp-4, -0x1.412764ef66f5ap-4, -0x1.42f5787bd1dbdp-4, -0x1.44a4b4f4e88a1p-4, -0x1.4635c7c789ecp-4, -0x1.47a95c3874dbcp-4, -0x1.49001b92d9d5p-4, -0x1.4a3aad1eead82p-4, -0x1.4b59b5e3b3488p-4, -0x1.4c5dd87510fdp-4, -0x1.4d47b4f7e0188p-4, -0x1.4e17e95a3740ap-4, -0x1.4ecf1166e089ap-4, -0x1.4f6dc6ae8d411p-4, -0x1.4ff4a050586aap-4, -0x1.506432dff9692p-4, -0x1.50bd107f785a1p-4, -0x1.50ffc90df1373p-4, -0x1.512cea3bbd358p-4, -0x1.5144ff6d5ac46p-4, -0x1.51489192cea2ap-4, -0x1.51382718af1b4p-4, -0x1.5114440128a1dp-4, -0x1.50dd6a131dd7p-4, -0x1.509418ee887efp-4, -0x1.5038cdfb0a8b3p-4, -0x1.4fcc0447a16cdp-4, -0x1.4f4e3479fe9cdp-4, -0x1.4ebfd4e394fa3p-4, -0x1.4e2159aa63af6p-4, -0x1.4d7334e642a05p-4, -0x1.4cb5d69f2555p-4, -0x1.4be9acb58dc82p-4, -0x1.4b0f22cf55fa8p-4, -0x1.4a26a25e0511ep-4, -0x1.493092be72f73p-4, -0x1.482d595c933a7p-4, -0x1.471d59c2ced0cp-4, -0x1.4600f59218c1bp-4, -0x1.44d88c6f73701p-4, -0x1.43a47bfbd9a64p-4, -0x1.42651fe2c9cc4p-4, -0x1.411ad1f9017b1p-4, -0x1.3fc5ea59b4747p-4, -0x1.3e66bf704f13fp-4, -0x1.3cfda5f5e9762p-4, -0x1.3b8af0e03daa7p-4, -0x1.3a0ef1604d222p-4, -0x1.3889f6ef265f3p-4, -0x1.36fc4f667926fp-4, -0x1.3566471b6e5e1p-4, -0x1.33c828eaa71a2p-4, -0x1.32223e37719ddp-4, -0x1.3074cee2a1037p-4, -0x1.2ec021461ad8ep-4, -0x1.2d047a3c585ddp-4, -0x1.2b421d334c8a8p-4, -0x1.29794c42cb4a8p-4, -0x1.27aa483c7f9f8p-4, -0x1.25d550b09e0eap-4, -0x1.23faa3e9e6b22p-4, -0x1.221a7ee801c92p-4, -0x1.20351d6084c8fp-4, -0x1.1e4ab9c990e29p-4, -0x1.1c5b8d6ad37ep-4, -0x1.1a67d06e497d5p-4, -0x1.186fb9eacbd09p-4, -0x1.16737fe695cb9p-4, -0x1.1473575459213p-4, -0x1.126f74101f8ddp-4, -0x1.106808e190438p-4, -0x1.0e5d4784c20bbp-4, -0x1.0c4f60b70a769p-4, -0x1.0a3e84437eedep-4, -0x1.082ae10bf4944p-4, -0x1.0614a50b9292p-4, -0x1.03fbfd55a86c4p-4, -0x1.01e11614c1ee7p-4, -0x1.ff88351447db8p-5, -0x1.fb4a6a279afafp-5, -0x1.f7091e69b9fd6p-5, -0x1.f2c4a33e6465fp-5, -0x1.ee7d48755c124p-5, -0x1.ea335c551908cp-5, -0x1.e5e72b9bc8351p-5, -0x1.e199017ce0dd4p-5, -0x1.dd49279fe7f95p-5, -0x1.d8f7e6240357fp-5, -0x1.d4a583aa259dfp-5, -0x1.d0524560cee36p-5, -0x1.cbfe6f0fdb0a2p-5, -0x1.c7aa432771946p-5, -0x1.c35602c0f75bfp-5, -0x1.bf01eda3f6a78p-5, -0x1.baae424199f39p-5, -0x1.b65b3db8bcb38p-5, -0x1.b2091bd391aa9p-5, -0x1.adb81710a2711p-5, -0x1.a96868ab05047p-5, -0x1.a51a48a44fd4bp-5, -0x1.a0cdedc9f7032p-5, -0x1.9c838dbcc6106p-5, -0x1.983b5cf23038cp-5, -0x1.93f58eb46da88p-5, -0x1.8fb2552236dfap-5, -0x1.8b71e12ef2c97p-5, -0x1.873462a6914e6p-5, -0x1.82fa0833911b6p-5, -0x1.7ec2ff652898bp-5, -0x1.7a8f74b31e5f4p-5, -0x1.765f938517f99p-5, -0x1.72338634d0b55p-5, -0x1.6e0b7610d1f07p-5, -0x1.69e78b5a95ff1p-5, -0x1.65c7ed4924523p-5, -0x1.61acc2089b99ep-5, -0x1.5d962ebdb899ep-5, -0x1.59845789be1ap-5, -0x1.55775f8f5489bp-5, -0x1.516f68f59f898p-5, -0x1.4d6c94ed7854dp-5, -0x1.496f03b2e6952p-5, -0x1.4576d48feed9p-5, -0x1.418425dd9a75ep-5, -0x1.3d971504b8b21p-5, -0x1.39afbe7ed189dp-5, -0x1.35ce3dd89e4d4p-5, -0x1.31f2adb4953d7p-5, -0x1.2e1d27cecbdbep-5, -0x1.2a4dc500776a1p-5, -0x1.26849d429d784p-5, -0x1.22c1c7b1637ccp-5, -0x1.1f055a8e6989cp-5, -0x1.1b4f6b42e5ad1p-5, -0x1.17a00e614c9d6p-5, -0x1.13f757a656179p-5, -0x1.105559fc47e2fp-5, -0x1.0cba277988f4cp-5, -0x1.0925d16827145p-5, -0x1.05986845a3d65p-5, -0x1.0211fbc73591bp-5, -0x1.fd2535b985c02p-6, -0x1.f634a765f16d9p-6, -0x1.ef52676cec365p-6, -0x1.e87e8f2c2863ap-6, -0x1.e1b9368a055bp-6, -0x1.db0273f9dd973p-6, -0x1.d45a5c7fe2a2cp-6, -0x1.cdc103b4f6f55p-6, -0x1.c7367bcd748b2p-6, -0x1.c0bad59dcd32cp-6, -0x1.ba4e20a0e796ep-6, -0x1.b3f06afe239d1p-6, -0x1.ada1c18dccf73p-6, -0x1.a7622fe066051p-6, -0x1.a131c0429d23ep-6, -0x1.9b107bc36088bp-6, -0x1.94fe6a3880abp-6, -0x1.8efb924352af8p-6, -0x1.8907f9552b6b1p-6, -0x1.8323a3b469f27p-6, -0x1.7d4e9481628p-6, -0x1.7788cdbda51cfp-6, -0x1.71d25050d2b64p-6, -0x1.6c2b1c0f48f67p-6, -0x1.66932fbfc4202p-6, -0x1.610a892063fd6p-6, -0x1.5b9124ebc69eep-6, -0x1.5626feddefbccp-6, -0x1.50cc11b90b802p-6, -0x1.4b80574aa8ecfp-6, -0x1.4643c8713f97p-6, -0x1.41165d2232993p-6, -0x1.3bf80c703d19cp-6, -0x1.36e8cc91829ffp-6, -0x1.31e892e4f8a3ap-6, -0x1.2cf753f77c5fap-6, -0x1.28150386d1228p-6, -0x1.234194857db0ep-6, -0x1.1e7cf91edf23p-6, -0x1.19c722bca2a39p-6, -0x1.1520020db85b8p-6, -0x1.1087870e69b1ep-6, -0x1.0bfda1107f065p-6, -0x1.07823ec1f8358p-6, -0x1.03154e3223d34p-6, -0x1.fd6d79a7df58ap-7, -0x1.f4cceefd0ccc9p-7, -0x1.ec48d4dafa7a1p-7, -0x1.e3e10284af7c4p-7, -0x1.db954e107043fp-7, -0x1.d3658c799856bp-7, -0x1.cb5191b4aca23p-7, -0x1.c35930cba305ap-7, -0x1.bb7c3bea3f815p-7, -0x1.b3ba847ceb963p-7, -0x1.ac13db2c3439ap-7, -0x1.a4880fd3c1845p-7, -0x1.9d16f1798ae5bp-7, -0x1.95c04e3ec9bf3p-7, -0x1.8e83f35a2b345p-7, -0x1.8761ad1faf871p-7, -0x1.805947188d23p-7, -0x1.796a8c280d102p-7, -0x1.729546b5f3707p-7, -0x1.6bd940d362fc1p-7, -0x1.65364450be5b7p-7, -0x1.5eac1abaf2513p-7, -0x1.583a8d4d427a9p-7, -0x1.51e164c458052p-7, -0x1.4ba0693ea3debp-7, -0x1.4577621af2926p-7, -0x1.3f6615f5eee2bp-7, -0x1.396c4ac2cdf15p-7, -0x1.3389c5ff5584cp-7, -0x1.2dbe4cf94032bp-7, -0x1.2809a51419bbdp-7, -0x1.226b93fc8def2p-7, -0x1.1ce3dfba52745p-7, -0x1.17724e9a663c8p-7, -0x1.1216a6f59e28ap-7, -0x1.0cd0aee2c05dap-7, -0x1.07a02bea29608p-7, -0x1.0284e2d090561p-7, -0x1.fafd2f19206d9p-8, -0x1.f11a1adfdac96p-8, -0x1.e7600efcbd429p-8, -0x1.ddce91b53c7d1p-8, -0x1.d4652a74da37ep-8, -0x1.cb236275a23e4p-8, -0x1.c208c503409a2p-8, -0x1.b914df41b3aa8p-8, -0x1.b0473f7fb916fp-8, -0x1.a79f743c7ee86p-8, -0x1.9f1d0b1db4df5p-8, -0x1.96bf9019d117cp-8, -0x1.8e868d110af56p-8, -0x1.867189f8021d7p-8, -0x1.7e800d93f79a4p-8, -0x1.76b19ea67cad1p-8, -0x1.6f05c5474769p-8, -0x1.677c0c1cfdd3dp-8, -0x1.60140128a5864p-8, -0x1.58cd35eee1cc1p-8, -0x1.51a73eef3c7bp-8, -0x1.4aa1b2841b629p-8, -0x1.43bc276927511p-8, -0x1.3cf6333b9df9ap-8, -0x1.364f694ecad2dp-8, -0x1.2fc75a1185612p-8, -0x1.295d9338712c1p-8, -0x1.2311a0acf072dp-8, -0x1.1ce30e0798b42p-8, -0x1.16d1686635ea3p-8, -0x1.10dc402604574p-8, -0x1.0b032a2868cedp-8, -0x1.0545c05518075p-8, -0x1.ff47426f38978p-9, -0x1.f438dd984c516p-9, -0x1.e95f997543b05p-9, -0x1.debabcdf8e8dbp-9, -0x1.d4498a6eef4c2p-9, -0x1.ca0b3e8bde973p-9, -0x1.bfff0e184da81p-9, -0x1.b6242768b17adp-9, -0x1.ac79b49344491p-9, -0x1.a2fedf017dd34p-9, -0x1.99b2d3a0266d2p-9, -0x1.9094c6e5986c1p-9, -0x1.87a3f7d6bcf19p-9, -0x1.7edfb15a178acp-9, -0x1.764749853df89p-9, -0x1.6dda1f06eb2f4p-9, -0x1.6597954d3821bp-9, -0x1.5d7f10495b16dp-9, -0x1.558ff0b497bdfp-9, -0x1.4dc9917519bcbp-9, -0x1.462b467c92b8bp-9, -0x1.3eb45cfea75a8p-9, -0x1.37641cf5198a4p-9, -0x1.3039cba19822bp-9, -0x1.2934aee17b886p-9, -0x1.225410f43c7a6p-9, -0x1.1b97442574108p-9, -0x1.14fda59c3a1c4p-9, -0x1.0e869e8afb64fp-9, -0x1.0831a341b8a11p-9, -0x1.01fe30413a1fep-9, -0x1.f7d78bfd6a719p-10, -0x1.ebf3c8e34a52fp-10, -0x1.e0500f1c0da41p-10, -0x1.d4eb4ac446b44p-10, -0x1.c9c45bd15a3abp-10, -0x1.beda181eb88e7p-10, -0x1.b42b4e762ebf3p-10, -0x1.a9b6c9a2e1fc6p-10, -0x1.9f7b538beb4bdp-10, -0x1.9577b90b16ffep-10, -0x1.8baacf20e743cp-10, -0x1.82137948e1655p-10, -0x1.78b0af81f577ap-10, -0x1.6f8181e991929p-10, -0x1.668518083fbecp-10, -0x1.5dbaab39f4e32p-10, -0x1.55217d69e1e31p-10, -0x1.4cb8ced5aa1dp-10, -0x1.447fd63df98ecp-10, -0x1.3c75bd944d3d8p-10, -0x1.3499a395bec44p-10, -0x1.2ceaa04b613ddp-10, -0x1.2567c97297653p-10, -0x1.1e103439f05bdp-10, -0x1.16e2f3e4173d3p-10, -0x1.0fdf171c51e3ep-10, -0x1.0903a7034e065p-10, -0x1.024faa5626ab3p-10, -0x1.f78459e8058bp-11, -0x1.eab493305587fp-11, -0x1.de2e645391f25p-11, -0x1.d1f0665af12d2p-11, -0x1.c5f9613ff7dfep-11, -0x1.ba483a395a7a5p-11, -0x1.aedbdd36b5e5ap-11, -0x1.a3b32a62a0282p-11, -0x1.98cceec9831c2p-11, -0x1.8e27e9f0c5b99p-11, -0x1.83c2dbc90d239p-11, -0x1.799c91fd180d5p-11, -0x1.6fb3ebc1dd3b1p-11, -0x1.6607d0450452ap-11, -0x1.5c971b604c3c8p-11, -0x1.5360894f01dbap-11, -0x1.4a62aefa6cb06p-11, -0x1.419bfdc83b33ep-11, -0x1.390adaff806e8p-11, -0x1.30adb9f7c0303p-11, -0x1.288333ecaa966p-11, -0x1.208a13dc18ddp-11, -0x1.18c1535847361p-11, -0x1.11280a97ea2c3p-11, -0x1.09bd5af3b3c0bp-11, -0x1.02805d30f359p-11, -0x1.f6e0362c23032p-12, -0x1.e9172d53d4f9cp-12, -0x1.dba3b663926bbp-12, -0x1.ce841f439ce15p-12, -0x1.c1b70146b763cp-12, -0x1.b53b36500b8bbp-12, -0x1.a90fae75aca7ap-12, -0x1.9d3335fe57a5dp-12, -0x1.91a445fb0fbfep-12, -0x1.8660f5f904cf3p-12, -0x1.7b6713e2abfb6p-12, -0x1.70b453d8b7e6ep-12, -0x1.66468192a3548p-12, -0x1.5c1ba2ad7ef2ap-12, -0x1.5232041b32216p-12, -0x1.48883379553f8p-12, -0x1.3f1ce85bacc81p-12, -0x1.35eee598c0f83p-12, -0x1.2cfcdde0561d6p-12, -0x1.244565567762dp-12, -0x1.1bc6f49af8bffp-12, -0x1.137ffc826ddd1p-12, -0x1.0b6f054c16a29p-12, -0x1.0392ce35764c7p-12, -0x1.f7d4bacc10a11p-13, -0x1.e8e9e61f4a944p-13, -0x1.da63c0fda4befp-13, -0x1.cc40ab1bdb899p-13, -0x1.be7e7f2a88adbp-13, -0x1.b11a9702f535ap-13, -0x1.a4120adf23e28p-13, -0x1.9761f9ca5fab8p-13, -0x1.8b07afd0bc751p-13, -0x1.7f00ab4c62307p-13, -0x1.734aa1e13e7bbp-13, -0x1.67e3945022944p-13, -0x1.5cc9dc8ff1bb1p-13, -0x1.51fc1d1335a8dp-13, -0x1.477911fa19598p-13, -0x1.3d3f5a5342d6ep-13, -0x1.334d520f081aep-13, -0x1.29a10e29e7069p-13, -0x1.20387de4e4b4fp-13, -0x1.1711a357f2656p-13, -0x1.0e2ac3a8c1b6dp-13, -0x1.058278bd2589cp-13, -0x1.fa2f3a5788ae2p-14, -0x1.e9d23b7a74f6cp-14, -0x1.d9eb8c5653f19p-14, -0x1.ca78475324a57p-14, -0x1.bb7523a6893a5p-14, -0x1.acded3b0da7ap-14, -0x1.9eb24b9dfed8dp-14, -0x1.90ec9959e4a46p-14, -0x1.838a7a9a0ca6bp-14, -0x1.76884bc55d1dep-14, -0x1.69e29c55dec57p-14, -0x1.5d96e23b3c322p-14, -0x1.51a399b720603p-14, -0x1.4607b14f69c79p-14, -0x1.3ac1c3cc48003p-14, -0x1.2fcfb2a116438p-14, -0x1.252ed64c2f057p-14, -0x1.1adc8047d8d22p-14, -0x1.10d659c43511bp-14, -0x1.071a5be53b1fp-14, -0x1.fb4d48a94b309p-15, -0x1.e8f2c7357d6d8p-15, -0x1.d721de338a95ap-15, -0x1.c5d7cda1d1732p-15, -0x1.b5123c83c46c8p-15, -0x1.a4cea695fa491p-15, -0x1.9509de88861a7p-15, -0x1.85c03992002a9p-15, -0x1.76ee4366f9231p-15, -0x1.6890f105c811dp-15, -0x1.5aa4b72ef61a3p-15, -0x1.4d24bccae0e99p-15, -0x1.400beaed2a422p-15, -0x1.33574143296a7p-15, -0x1.2706b02efd519p-15, -0x1.1b1b3ad1fbe8ap-15, -0x1.0f943abe6bbb2p-15, -0x1.046e4fe41a66p-15, -0x1.f34932bfbef2ep-16, -0x1.de65612b9bc04p-16, -0x1.ca2af8e30348fp-16, -0x1.b694f244ecc3dp-16, -0x1.a39d5b93c4c83p-16, -0x1.913cf4c90d6f5p-16, -0x1.7f6c7b739ffedp-16, -0x1.6e26480829a54p-16, -0x1.5d672d83b314dp-16, -0x1.4d2e46e9fe08cp-16, -0x1.3d7bc1233debcp-16, -0x1.2e4f0dac99e1p-16, -0x1.1fa5999d583d9p-16, -0x1.117b49909cb87p-16, -0x1.03cc48899f1cfp-16, -0x1.ed2afef0e8fe3p-17, -0x1.d3a4adf76422bp-17, -0x1.baf65fd922ccfp-17, -0x1.a31188887a8c9p-17, -0x1.8bf2bbe3f515ap-17, -0x1.75a0dac5315ddp-17, -0x1.60210bfa93204p-17, -0x1.4b6e7e1f6b4f7p-17, -0x1.377e1e73fea6dp-17, -0x1.24478756d70c7p-17, -0x1.11c82754e9c63p-17, -0x1.fffd7a6becb53p-18, -0x1.ddccf39c89969p-18, -0x1.bced6d892611fp-18, -0x1.9d4acdd5c6428p-18, -0x1.7ed2505c8bc49p-18, -0x1.617454241e73fp-18, -0x1.4524c9ddc468dp-18, -0x1.29db1e2b707c3p-18, -0x1.0f91ca81b3f6ep-18, -0x1.ec8a3f46ac07fp-19, -0x1.bbe19d9103c26p-19, -0x1.8d1a8c5a17172p-19, -0x1.6020a0b4df267p-19, -0x1.34e4d2e250d83p-19, -0x1.0b655a02d91d7p-19, -0x1.c7458ca46349p-20, -0x1.7b167c177fe97p-20, -0x1.31fc68af5b4fdp-20, -0x1.d7b1df11978e3p-21, -0x1.517be8ce03c89p-21, -0x1.a2a5f46ecd99fp-22, -0x1.5b1f8b439f5d3p-23, 0x1.e9525c249725p-25, 0x1.1d980c9540878p-22, 0x1.f3575c888bc66p-22, 0x1.5f2ccbac94dd4p-21, 0x1.bf830a10d77cfp-21, 0x1.0d7bf625c51c3p-20, 0x1.38e875d412f3ep-20, 0x1.62251898251fdp-20, 0x1.894bcd64abccfp-20, 0x1.ae727e8f56afap-20, 0x1.d1aaf9366c024p-20, 0x1.f303f429f5543p-20, 0x1.094353bd6da38p-19, 0x1.181e5a3bd263cp-19, 0x1.26160c7ba9168p-19, 0x1.332f84ee4381fp-19, 0x1.3f751e31235eep-19, 0x1.4af5e246c461ap-19, 0x1.55be8dda1a4dap-19, 0x1.5fd2ac689a2d9p-19, 0x1.69304a33af437p-19, 0x1.71def5fc44044p-19, 0x1.79f09350b04aep-19, 0x1.8169b74c71ba5p-19, 0x1.88435d8d25569p-19, 0x1.8e8487de64f4bp-19, 0x1.943b7d11b6811p-19, 0x1.9968d4ec1c3fap-19, 0x1.9e087b5450542p-19, 0x1.a21f816cd9e41p-19, 0x1.a5b6d4ea4eab8p-19, 0x1.a8d3ef518322dp-19, 0x1.ab79215c10f3fp-19, 0x1.ada8ba4f88ab4p-19, 0x1.af66e0a830322p-19, 0x1.b0b95b6c767cdp-19, 0x1.b1a6942094ea6p-19, 0x1.b234559adab03p-19, 0x1.b2677fadff7b7p-19, 0x1.b2443333afa9dp-19, 0x1.b1cdc81803d7dp-19, 0x1.b106dcaa67a28p-19, 0x1.aff1390be72cfp-19, 0x1.ae8e4d6976c41p-19, 0x1.ace074161725dp-19, 0x1.aaebde31d246cp-19, 0x1.a8b4ead53db6bp-19, 0x1.a63d0ccaa469bp-19, 0x1.a3812f8ed3894p-19, 0x1.a07fe2b5197c5p-19, 0x1.9d4222865f0bbp-19, 0x1.99d238f182c1fp-19, 0x1.9631a5bd301cbp-19, 0x1.92650b976d6a5p-19, 0x1.8e701c885c907p-19, 0x1.8a4eff768e865p-19, 0x1.8600de81aecc1p-19, 0x1.81894228b3cbbp-19, 0x1.7ceb69b798f35p-19, 0x1.7829cb56d3aafp-19, 0x1.7346aa21a0378p-19, 0x1.6e43bef633fap-19, 0x1.6921d6312431p-19, 0x1.63e158d12ea47p-19, 0x1.5e8357108fd68p-19, 0x1.5909ed9a12f5cp-19, 0x1.5377ba3c504d6p-19, 0x1.4dcf2e5ccefebp-19, 0x1.481243605e94bp-19, 0x1.424288035ceacp-19, 0x1.3c6149f7b14eap-19, 0x1.366faf2549cb8p-19, 0x1.306ebb2d377b9p-19, 0x1.2a5f5f23ecb26p-19, 0x1.2442b10607151p-19, 0x1.1e1a1549af21dp-19, 0x1.17e702cc60c59p-19, 0x1.11aa9475b4da6p-19, 0x1.0b65229cfcf4bp-19, 0x1.05167382bfe7p-19, 0x1.fd807b689c376p-20, 0x1.f0cacd69a891cp-20, 0x1.e40d29f894fddp-20, 0x1.d748f521e679p-20, 0x1.ca7d0a901515p-20, 0x1.bdaa1d9c07848p-20, 0x1.b0d41ca46d85ep-20, 0x1.a3fe62beb3c64p-20, 0x1.972b4e0f858e4p-20, 0x1.8a5c6520b0b38p-20, 0x1.7d9220ecd872cp-20, 0x1.70cd2380bbbb3p-20, 0x1.640f2deabe0e3p-20, 0x1.5758e86260c0ep-20, 0x1.4aac508f9530bp-20, 0x1.3e0a546a4ad7ap-20, 0x1.3173cb1a80bdep-20, 0x1.24e9ef75a6b2p-20, 0x1.186e2d099e49ep-20, 0x1.0c01c5c7b924dp-20, 0x1.ff4b84c84d0aep-21, 0x1.e6b61a5450d4cp-21, 0x1.ce45113d473f3p-21, 0x1.b5fa32c5bc4c1p-21, 0x1.9dd753c423133p-21, 0x1.85de4dea185bfp-21, 0x1.6e10e332d807p-21, 0x1.5670a9e94a539p-21, 0x1.3eff14e3f9b1cp-21, 0x1.27bd76d9dfbf2p-21, 0x1.10ad50faba888p-21, 0x1.f3a1e998032f9p-22, 0x1.c653773329fc8p-22, 0x1.996e84d010d2p-22, 0x1.6cf5582c762ap-22, 0x1.40ece02c31016p-22, 0x1.1558374d2be7bp-22, 0x1.d46fc55f35a3p-23, 0x1.7f1b20a898719p-23, 0x1.2ab71a6d51dd5p-23, 0x1.ae9156981ef83p-24, 0x1.09ab332b8e343p-24, 0x1.9b1220dd92d09p-26, -0x1.d0de9a421ac13p-27, -0x1.b1ee09101d9a6p-25, -0x1.75cfc37679cf4p-24, -0x1.084f0aa8c7d67p-23, -0x1.54aa1ca93cf1bp-23, -0x1.9ff7f0551ea55p-23, -0x1.ea3969deba44dp-23, -0x1.19b3f03b40104p-22, -0x1.3dbdb61a1714bp-22, -0x1.6139bb97d8d3p-22, -0x1.842955913959bp-22, -0x1.a68ce4ee5937fp-22, -0x1.c863ac46b0d97p-22, -0x1.e9aca83d87c34p-22, -0x1.053366c869c78p-21, -0x1.1548844c689a2p-21, }}, 
      {{0x1.5d435a175416ap-3, 0x1.9c58da910df58p-3, 0x1.e8ca3e4c0b4acp-3, 0x1.1a4da7f11344dp-2, 0x1.3bbc28bcb6d8cp-2, 0x1.5672fdc5e8c71p-2, 0x1.697b5e3944c83p-2, 0x1.74b2d14392867p-2, 0x1.787bdce77335ep-2, 0x1.75870ec04358fp-2, 0x1.6cadb31d7b752p-2, 0x1.5ed8f0a546b23p-2, 0x1.4cf174154528dp-2, 0x1.37d50dbb13c38p-2, 0x1.205070894a885p-2, 0x1.071bcdcd6cb04p-2, 0x1.d9b2d02e557d4p-3, 0x1.a42af4f0d8b56p-3, 0x1.6e8dffaeace28p-3, 0x1.39a20e9168adcp-3, 0x1.0608b442695a6p-3, 0x1.a8852770bdadp-4, 0x1.496622a18c871p-4, 0x1.de8fc6d5946c4p-5, 0x1.3523325cae6bap-5, 0x1.2e1219d6156a9p-6, 0x1.20f1e68dc77dfp-11, -0x1.04bf3db0ab041p-6, -0x1.fb803a7bdeaa9p-6, -0x1.6de03f5a54287p-5, -0x1.d31ed1b2ec57bp-5, -0x1.16f8432f0cdd3p-4, -0x1.3f6d3e97496e1p-4, -0x1.6336cc6c5bf15p-4, -0x1.82a1459f50a22p-4, -0x1.9dfb41e0cd8a6p-4, -0x1.b59435d491a9fp-4, -0x1.c9bb4fb9707cap-4, -0x1.dabe899be4157p-4, -0x1.e8e9eab7e748ep-4, -0x1.f486f083c74d7p-4, -0x1.fddc1a5d1017bp-4, -0x1.0296495ff68f7p-3, -0x1.055bf84cf5b7dp-3, -0x1.075d07980c551p-3, -0x1.08b57aa9cf6b3p-3, -0x1.097f6743a8a99p-3, -0x1.09d2f67c5d4e1p-3, -0x1.09c66c09c051cp-3, -0x1.096e31008fbd8p-3, -0x1.08dce2c0e4f86p-3, -0x1.08236224727b9p-3, -0x1.0750e7b8d4723p-3, -0x1.067316f399404p-3, -0x1.0596150d26235p-3, -0x1.04c49c5ee17e3p-3, -0x1.040812dd181a7p-3, -0x1.0368a00c8c434p-3, -0x1.02ed43a0c43efp-3, -0x1.029bea1bd6318p-3, -0x1.0279800b7bc56p-3, -0x1.028a05254b017p-3, -0x1.02d09fb2811c8p-3, -0x1.034fafb53158bp-3, -0x1.0408e0b4b1a19p-3, -0x1.04fd39db1934ap-3, -0x1.062d2ce067153p-3, -0x1.0798a47d77c41p-3, -0x1.093f12cdc5e26p-3, -0x1.0b1f7f695bdfap-3, -0x1.0d3894c6784bp-3, -0x1.0f88ac745f442p-3, -0x1.120dda1ce4a9fp-3, -0x1.14c5f5730afcfp-3, -0x1.17aea35a8160dp-3, -0x1.1ac55e86030c6p-3, -0x1.1e077fa2816cfp-3, -0x1.217245018f53ap-3, -0x1.2502d9aeeff16p-3, -0x1.28b65bcec26f7p-3, -0x1.2c89e23aca068p-3, -0x1.307a816d284e9p-3, -0x1.34854fc3d5effp-3, -0x1.38a7693ec0cfdp-3, -0x1.3cddf2c6ccd26p-3, -0x1.41261d1f5b742p-3, -0x1.457d277db5dfp-3, -0x1.49e061d8e2fb1p-3, -0x1.4e4d2ee85d0ap-3, -0x1.52c105d8cfe96p-3, -0x1.573973b1d213ep-3, -0x1.5bb41c7259b93p-3, -0x1.602ebbecc367cp-3, -0x1.64a7265c6c3cfp-3, -0x1.691b48cf52d7ep-3, -0x1.6d892957f35c7p-3, -0x1.71eee71ae4765p-3, -0x1.764aba3d255bdp-3, -0x1.7a9af3af902e6p-3, -0x1.7eddfce75db4dp-3, -0x1.83125781c0a9ep-3, -0x1.87369ccf0dbd9p-3, -0x1.8b497d5888472p-3, -0x1.8f49c04e575b5p-3, -0x1.933642ed9124cp-3, -0x1.970df7df4e63ap-3, -0x1.9acfe68737017p-3, -0x1.9e7b2a53016abp-3, -0x1.a20ef2018980ep-3, -0x1.a58a7ee66f25p-3, -0x1.a8ed242da1679p-3, -0x1.ac36461e9d32ep-3, -0x1.af65595de6f49p-3, -0x1.b279e2324d9c3p-3, -0x1.b57373cfca00ap-3, -0x1.b851af9cc1de1p-3, -0x1.bb1444859ecd5p-3, -0x1.bdbaee4f1456ap-3, -0x1.c04574e962771p-3, -0x1.c2b3abd420d4bp-3, -0x1.c505717869477p-3, -0x1.c73aae96af075p-3, -0x1.c95355ad5eac8p-3, -0x1.cb4f626ba55cap-3, -0x1.cd2ed92d4942ap-3, -0x1.cef1c66e9bcd5p-3, -0x1.d0983e51c351bp-3, -0x1.d2225c2bbfcbfp-3, -0x1.d3904203b04f5p-3, -0x1.d4e2182d6170bp-3, -0x1.d6180ce12bd5dp-3, -0x1.d73253cd390ap-3, -0x1.d83125bce2d9ep-3, -0x1.d914c0429228ap-3, -0x1.d9dd6553cdbe1p-3, -0x1.da8b5afdcd178p-3, -0x1.db1eeb1fc2031p-3, -0x1.db9863145e9e2p-3, -0x1.dbf8136dc2838p-3, -0x1.dc3e4fbe59765p-3, -0x1.dc6b6e50e85dbp-3, -0x1.dc7fc7e9f48b8p-3, -0x1.dc7bb79b219c6p-3, -0x1.dc5f9a8bcf0bep-3, -0x1.dc2bcfbbda0c5p-3, -0x1.dbe0b7e14f81dp-3, -0x1.db7eb53c7ff6ap-3, -0x1.db062b639b52dp-3, -0x1.da777f1e3ed83p-3, -0x1.d9d3164861e13p-3, -0x1.d91957a99a1c7p-3, -0x1.d84aaac9de8bap-3, -0x1.d76777dd187a3p-3, -0x1.d67027a953dd8p-3, -0x1.d565235ee4bep-3, -0x1.d446d478fdd4p-3, -0x1.d315a4b2aabe3p-3, -0x1.d1d1fdf004adap-3, -0x1.d07c4a178c8d7p-3, -0x1.cf14f2fbc5b7ap-3, -0x1.cd9c6256935d2p-3, -0x1.cc1301b6ad45dp-3, -0x1.ca793a5bcb3f3p-3, -0x1.c8cf7522bbc6dp-3, -0x1.c7161a85b090cp-3, -0x1.c54d92913295dp-3, -0x1.c37644c5456d5p-3, -0x1.c19097fd63b5ep-3, -0x1.bf9cf2723d0bcp-3, -0x1.bd9bb9b9f9c3ep-3, -0x1.bb8d52b17a25ap-3, -0x1.b972215eae82dp-3, -0x1.b74a88ed4acacp-3, -0x1.b516ebb661feap-3, -0x1.b2d7ab3929bc9p-3, -0x1.b08d27ffcf2d8p-3, -0x1.ae37c18db5332p-3, -0x1.abd7d664f042dp-3, -0x1.a96dc40ec931p-3, -0x1.a6f9e70fd71a4p-3, -0x1.a47c9acf9ccd8p-3, -0x1.a1f6398dcf89p-3, -0x1.9f671c6ba3335p-3, -0x1.9ccf9b743d513p-3, -0x1.9a300d9217e86p-3, -0x1.9788c87a28078p-3, -0x1.94da20a31f2b1p-3, -0x1.9224694ed2bb1p-3, -0x1.8f67f494b7bb1p-3, -0x1.8ca5135c75e31p-3, -0x1.89dc154cc502fp-3, -0x1.870d48c102e9cp-3, -0x1.8438facf7df6ap-3, -0x1.815f775638d7fp-3, -0x1.7e8108fd50837p-3, -0x1.7b9df92c323cap-3, -0x1.78b68ffada8a5p-3, -0x1.75cb143530973p-3, -0x1.72dbcb62cf63dp-3, -0x1.6fe8f9d4750c4p-3, -0x1.6cf2e29f995d1p-3, -0x1.69f9c7950818p-3, -0x1.66fde938e8427p-3, -0x1.63ff86c72c99ep-3, -0x1.60fede40601f9p-3, -0x1.5dfc2c7196df3p-3, -0x1.5af7acf36fbap-3, -0x1.57f19a2064c87p-3, -0x1.54ea2d0f2d30cp-3, -0x1.51e19d9ac8519p-3, -0x1.4ed8226bf97a5p-3, -0x1.4bcdf1036821p-3, -0x1.48c33db9d042cp-3, -0x1.45b83bb91356fp-3, -0x1.42ad1cf8289c1p-3, -0x1.3fa2123ed4d4ep-3, -0x1.3c974b309a141p-3, -0x1.398cf657417f4p-3, -0x1.36834125e401p-3, -0x1.337a57f60f542p-3, -0x1.30726602cfdbep-3, -0x1.2d6b9569d8309p-3, -0x1.2a660f3381bb6p-3, -0x1.2761fb5d5f458p-3, -0x1.245f80e1bfcb8p-3, -0x1.215ec5b868161p-3, -0x1.1e5feed3a70f6p-3, -0x1.1b63201e7e4a5p-3, -0x1.18687c8009b42p-3, -0x1.157025e3efe64p-3, -0x1.127a3d439942fp-3, -0x1.0f86e2acbabc5p-3, -0x1.0c963540f896ep-3, -0x1.09a853359820cp-3, -0x1.06bd59d1fd8b9p-3, -0x1.03d565735758bp-3, -0x1.00f0919472195p-3, -0x1.fc1df1aae8dcdp-4, -0x1.f6616a03c9facp-4, -0x1.f0abbe26889aap-4, -0x1.eafd1e5ee946dp-4, -0x1.e555b9527159ap-4, -0x1.dfb5bc0511802p-4, -0x1.da1d51e36133bp-4, -0x1.d48ca4d2dd854p-4, -0x1.cf03dd3ccd79ap-4, -0x1.c983221585883p-4, -0x1.c40a98df1937dp-4, -0x1.be9a65a8517a9p-4, -0x1.b932ab0f50381p-4, -0x1.b3d38a49034b7p-4, -0x1.ae7d232bc4441p-4, -0x1.a92f943ba01e9p-4, -0x1.a3eafab3d682ap-4, -0x1.9eaf728bf1576p-4, -0x1.997d167a581e8p-4, -0x1.9453fff53aa24p-4, -0x1.8f34473613913p-4, -0x1.8a1e03405bbb5p-4, -0x1.851149ea9cc43p-4, -0x1.800e2fe8bb913p-4, -0x1.7b14c8d3183e4p-4, -0x1.7625272dcbfbep-4, -0x1.713f5c69524b3p-4, -0x1.6c6378e72f74bp-4, -0x1.67918bfadadc6p-4, -0x1.62c9a3f02c945p-4, -0x1.5e0bce11f2de6p-4, -0x1.595816b221675p-4, -0x1.54ae893117686p-4, -0x1.500f3003ca069p-4, -0x1.4b7a14b7f78e9p-4, -0x1.46ef3ff5bc6d8p-4, -0x1.426eb9854379p-4, -0x1.3df8884dbd862p-4, -0x1.398cb25e9b56ap-4, -0x1.352b3cf3a5bd7p-4, -0x1.30d42c7bd8caap-4, -0x1.2c87849fe6a7cp-4, -0x1.284548467cc56p-4, -0x1.240d79987a14bp-4, -0x1.1fe01a035478p-4, -0x1.1bbd2a3c98342p-4, -0x1.17a4aa4469866p-4, -0x1.1396996a68db3p-4, -0x1.0f92f652ab3fp-4, -0x1.0b99befb32883p-4, -0x1.07aaf0c099f5ap-4, -0x1.03c68862d9ac5p-4, -0x1.ffd90411dc2f7p-5, -0x1.f839b2876ee2fp-5, -0x1.f0af122220578p-5, -0x1.e93917bbd7535p-5, -0x1.e1d7b715ddf9ap-5, -0x1.da8ae2df17c62p-5, -0x1.d3528cbda7246p-5, -0x1.cc2ea5573220cp-5, -0x1.c51f1c5962e9fp-5, -0x1.be23e0806d506p-5, -0x1.b73cdf9d007fdp-5, -0x1.b06a069cd5395p-5, -0x1.a9ab418b81489p-5, -0x1.a3007b9b4d2acp-5, -0x1.9c699f29f3adp-5, -0x1.95e695c7eccecp-5, -0x1.8f77483faec99p-5, -0x1.891b9e9c533bp-5, -0x1.82d38030d17d8p-5, -0x1.7c9ed39dcfa92p-5, -0x1.767d7ed7b6c7bp-5, -0x1.706f672be7f7ap-5, -0x1.6a74714593f7cp-5, -0x1.648c81328cb7bp-5, -0x1.5eb77a6871547p-5, -0x1.58f53fca7ebf8p-5, -0x1.5345b3af687c9p-5, -0x1.4da8b7e72d818p-5, -0x1.481e2dc0ca406p-5, -0x1.42a5f60f9f0c4p-5, -0x1.3d3ff130a1036p-5, -0x1.37ebff0f50912p-5, -0x1.32a9ff2a5474ep-5, -0x1.2d79d096ec2fp-5, -0x1.285b520886881p-5, -0x1.234e61ceaac3ap-5, -0x1.1e52dde138f5cp-5, -0x1.1968a3e0456bap-5, -0x1.148f911b086cep-5, -0x1.0fc782933be5fp-5, -0x1.0b105502e93e1p-5, -0x1.0669e4df950b6p-5, -0x1.01d40e5ee8871p-5, -0x1.fa9d5af54547cp-6, -0x1.f1b33be87a4a1p-6, -0x1.e8e976b140f86p-6, -0x1.e03fc2074458fp-6, -0x1.d7b5d44832202p-6, -0x1.cf4b637ef833cp-6, -0x1.c700256bac797p-6, -0x1.bed3cf8b39881p-6, -0x1.b6c6171dc9c48p-6, -0x1.aed6b12f05bd3p-6, -0x1.a705529c009c6p-6, -0x1.9f51b01a43013p-6, -0x1.97bb7e3df9974p-6, -0x1.9042717ff80dcp-6, -0x1.88e63e4369b97p-6, -0x1.81a698dbb2c48p-6, -0x1.7a8335922239p-6, -0x1.737bc8ac91e4p-6, -0x1.6c900672f9693p-6, -0x1.65bfa3358ec85p-6, -0x1.5f0a53524508ap-6, -0x1.586fcb39f186ap-6, -0x1.51efbf7547bcep-6, -0x1.4b89e4a9a533ap-6, -0x1.453def9dc095dp-6, -0x1.3f0b953e5db3ap-6, -0x1.38f28aa2f85eep-6, -0x1.32f28512e4cbap-6, -0x1.2d0b3a09e6048p-6, -0x1.273c5f3cefffbp-6, -0x1.2185aa9e59732p-6, -0x1.1be6d261b0108p-6, -0x1.165f8cfe8f6e9p-6, -0x1.10ef9133c992p-6, -0x1.0b96960aa32b8p-6, -0x1.065452da9858ap-6, -0x1.01287f4dec0fp-6, -0x1.f825a6ccec4f9p-7, -0x1.ee260f03cac6p-7, -0x1.e451a8be1f433p-7, -0x1.daa7e63e8e5e9p-7, -0x1.d1283a91470cdp-7, -0x1.c7d2198cfd22bp-7, -0x1.bea4f7d3bc708p-7, -0x1.b5a04ad4f44dp-7, -0x1.acc388d1e1b4cp-7, -0x1.a40e28e7201f6p-7, -0x1.9b7fa3168653dp-7, -0x1.93177055935c2p-7, -0x1.8ad50a90ca6d8p-7, -0x1.82b7ecbd778b1p-7, -0x1.7abf92d46e122p-7, -0x1.72eb79cc023f3p-7, -0x1.6b3b1f93cc175p-7, -0x1.63ae030c40f0cp-7, -0x1.5c43a4035d2b7p-7, -0x1.54fb8338196ecp-7, -0x1.4dd52265885f6p-7, -0x1.46d00453f62c7p-7, -0x1.3febacec4fbfcp-7, -0x1.3927a1480000fp-7, -0x1.328367b871e2bp-7, -0x1.2bfe87c65fc27p-7, -0x1.25988a1f0b88fp-7, -0x1.1f50f88b38e15p-7, -0x1.19275dd05bc2fp-7, -0x1.131b45a72b138p-7, -0x1.0d2c3cb6f0058p-7, -0x1.0759d0a0aeeccp-7, -0x1.01a390166af8ep-7, -0x1.f81215f4f294ap-8, -0x1.ed13a4fd26035p-8, -0x1.e24af2726a87p-8, -0x1.d7b72654bf019p-8, -0x1.cd576b5a931cbp-8, -0x1.c32aeeb24be9p-8, -0x1.b930dfb1012d8p-8, -0x1.af686f94f9294p-8, -0x1.a5d0d139d9b85p-8, -0x1.9c693903b129ep-8, -0x1.9330dd1a40c9ap-8, -0x1.8a26f5e97bbabp-8, -0x1.814abe08c5d71p-8, -0x1.789b73010a37bp-8, -0x1.70185579e992fp-8, -0x1.67c0a94c083bbp-8, -0x1.5f93b55fbc98p-8, -0x1.5790c352ec5f8p-8, -0x1.4fb71efbc9922p-8, -0x1.480615e8c1abfp-8, -0x1.407cf6f9d182cp-8, -0x1.391b122e33daap-8, -0x1.31dfb8b6c6c15p-8, -0x1.2aca3d4afbc79p-8, -0x1.23d9f4af92424p-8, -0x1.1d0e36501c844p-8, -0x1.16665cc6d0382p-8, -0x1.0fe1c62ffff51p-8, -0x1.097fd431f8a2bp-8, -0x1.033febb3968b5p-8, -0x1.fa42e89e5eab6p-9, -0x1.ee47af3db8af4p-9, -0x1.e28d011143723p-9, -0x1.d711b568ca7bfp-9, -0x1.cbd4a4869421ap-9, -0x1.c0d4a7c59126p-9, -0x1.b6109a734b513p-9, -0x1.ab875b19fe6b9p-9, -0x1.a137cd22cc5ffp-9, -0x1.9720da52d8f66p-9, -0x1.8d4173da3543cp-9, -0x1.839892b0e5922p-9, -0x1.7a25372645d64p-9, -0x1.70e667b8629c9p-9, -0x1.67db2f6e5fb51p-9, -0x1.5f029c1aebc9p-9, -0x1.565bbca79e233p-9, -0x1.4de5a0357fb6dp-9, -0x1.459f55876780dp-9, -0x1.3d87eb7006ccbp-9, -0x1.359e71d6d3374p-9, -0x1.2de1fb46e1fb8p-9, -0x1.26519ebe822edp-9, -0x1.1eec7965fb67p-9, -0x1.17b1afceb3c7cp-9, -0x1.10a06e6f101b6p-9, -0x1.09b7e93a8d90ap-9, -0x1.02f75a68240eap-9, -0x1.f8bc016347f27p-10, -0x1.ebd63ae031186p-10, -0x1.df3be5efff0cfp-10, -0x1.d2eb86ee4b189p-10, -0x1.c6e3a0f3a0a9bp-10, -0x1.bb22b602bed73p-10, -0x1.afa7485640c61p-10, -0x1.a46fdc843534dp-10, -0x1.997afc567ac47p-10, -0x1.8ec739ff6f24bp-10, -0x1.845333284a093p-10, -0x1.7a1d933e0e6b2p-10, -0x1.7025144fce23dp-10, -0x1.66687e04ba224p-10, -0x1.5ce6a2eace7f8p-10, -0x1.539e5cb425a3fp-10, -0x1.4a8e88571ad47p-10, -0x1.41b6030963ec2p-10, -0x1.3913a8ac8e4c6p-10, -0x1.30a653afd7b0fp-10, -0x1.286cddf0101fap-10, -0x1.206621f57cd33p-10, -0x1.1890fc2d7166bp-10, -0x1.10ec4c2719469p-10, -0x1.0976f6274cf28p-10, -0x1.022fe556f6dbap-10, -0x1.f62c1cdd0a653p-11, -0x1.e850e4708bc87p-11, -0x1.dacc3dfa0087ap-11, -0x1.cd9c601ee4fb6p-11, -0x1.c0bf9680d57abp-11, -0x1.b4343994f86c4p-11, -0x1.a7f8a5f555bcap-11, -0x1.9c0b359a7348dp-11, -0x1.906a3d58abdf4p-11, -0x1.85140e474bad3p-11, -0x1.7a06f99a2cab1p-11, -0x1.6f4154216634ap-11, -0x1.64c17773bd001p-11, -0x1.5a85c0768a765p-11, -0x1.508c8cea489cfp-11, -0x1.46d43a98fd94p-11, -0x1.3d5b2a1d4cd4dp-11, -0x1.341fc55f1ff75p-11, -0x1.2b2087ce4cb2bp-11, -0x1.225c053d8fe8dp-11, -0x1.19d0ec7af46c2p-11, -0x1.117e044c7c31ep-11, -0x1.096223b3ab16fp-11, -0x1.017c285785bf6p-11, -0x1.f395dda0c7f35p-12, -0x1.e49a9f804581p-12, -0x1.d604449faad1cp-12, -0x1.c7d08410620cap-12, -0x1.b9fd2862a189dp-12, -0x1.ac88122212d7ap-12, -0x1.9f6f2f1cc0f58p-12, -0x1.92b069cd3acf4p-12, -0x1.86499893ca1c4p-12, -0x1.7a3877595c16p-12, -0x1.6e7aabf58a862p-12, -0x1.630dd98febefp-12, -0x1.57efb6b0b5fe3p-12, -0x1.4d1e2098f725fp-12, -0x1.42972467c28d8p-12, -0x1.3858fbb202db8p-12, -0x1.2e61feb782d22p-12, -0x1.24b092535ea8dp-12, -0x1.1b431964d3b8dp-12, -0x1.1217efba672a7p-12, -0x1.092d705911c22p-12, -0x1.0082037a340c8p-12, -0x1.f0285b067f11fp-13, -0x1.dfc52d8d4fb8fp-13, -0x1.cfd80ce756961p-13, -0x1.c05ea17c61515p-13, -0x1.b1567e028bb42p-13, -0x1.a2bcf959cfb55p-13, -0x1.948f2408f5718p-13, -0x1.86c9dcd509c98p-13, -0x1.7969f847b7f41p-13, -0x1.6c6c68ae76ae5p-13, -0x1.5fce5938a5e56p-13, -0x1.538d37dea4eddp-13, -0x1.47a6aefe11b6fp-13, -0x1.3c189228509f6p-13, -0x1.30e0c4cdc091bp-13, -0x1.25fd23e7e20f1p-13, -0x1.1b6b7a66a879fp-13, -0x1.112983d0b1215p-13, -0x1.0734fc5bdce4p-13, -0x1.fb17744c83f4fp-14, -0x1.e8578cd828dcep-14, -0x1.d626d39b4a35ap-14, -0x1.c482428dd949fp-14, -0x1.b366f9a668352p-14, -0x1.a2d1edb658fafp-14, -0x1.92bfb45c10541p-14, -0x1.832c88993420dp-14, -0x1.74147e1650d9p-14, -0x1.6573bac7e6764p-14, -0x1.5746949babc4ap-14, -0x1.498994faf9419p-14, -0x1.3c397c43995f1p-14, -0x1.2f5350ec9e79fp-14, -0x1.22d469c1d8263p-14, -0x1.16ba5f9072583p-14, -0x1.0b02e75c20cbap-14, -0x1.ff574da983ffcp-15, -0x1.e9642bb3ee8f2p-15, -0x1.d426ffc2581f3p-15, -0x1.bf9a250bea777p-15, -0x1.abb8396d10b98p-15, -0x1.987c4aa15aa0bp-15, -0x1.85e1fd1aafe14p-15, -0x1.73e56e3122d11p-15, -0x1.6282e6c2edb52p-15, -0x1.51b68a2d11776p-15, -0x1.417c2759b1bd9p-15, -0x1.31cf4d28a54b7p-15, -0x1.22ab9495317b8p-15, -0x1.140cd792b0a1dp-15, -0x1.05ef112a0b978p-15, -0x1.f09c165ff6cc4p-16, -0x1.d64aa3fb83096p-16, -0x1.bce1509c28b5dp-16, -0x1.a4592129d370cp-16, -0x1.8cacc5933ca66p-16, -0x1.75d7af975463bp-16, -0x1.5fd4e0312995bp-16, -0x1.4a9e4fa842097p-16, -0x1.362d35feb1b1fp-16, -0x1.227ad104ece24p-16, -0x1.0f80f68073d46p-16, -0x1.fa74126a61b9bp-17, -0x1.d7416d410bdcfp-17, -0x1.b55fbd0f6ed02p-17, -0x1.94c56b42cbefap-17, -0x1.7569efcad0845p-17, -0x1.5745826d2ef9p-17, -0x1.3a503218ac909p-17, -0x1.1e8121c38f703p-17, -0x1.03cece30fef65p-17, -0x1.d460491197f93p-18, -0x1.a3399f3c0e509p-18, -0x1.7417a43bdd2d6p-18, -0x1.46e4a0ef4078bp-18, -0x1.1b8a69f5c5455p-18, -0x1.e3f2e7940c6b7p-19, -0x1.9456a8921af08p-19, -0x1.483a0a7370e77p-19, -0x1.ff1a68377a388p-20, -0x1.7460587794d0dp-20, -0x1.dfe93950b430cp-21, -0x1.c631b3e6825b2p-22, 0x1.c4aea44a67b9p-26, 0x1.e86f7b139bf4ap-22, 0x1.cf8dee9bbb62dp-21, 0x1.50532020bd17bp-20, 0x1.b3feae6c65e03p-20, 0x1.097ebaa12ef51p-19, 0x1.36b9cb14e90c9p-19, 0x1.61bb69b9fff5p-19, 0x1.8a8b02ae5bd8ap-19, 0x1.b1320aa82e913p-19, 0x1.d5bfdfc789bafp-19, 0x1.f848474078a9ep-19, 0x1.0c6ef77f8ea1bp-18, 0x1.1bc883ef661e5p-18, 0x1.2a3b05449df2dp-18, 0x1.37d523bb5669cp-18, 0x1.44a4db2b3df5p-18, 0x1.50afaf8e7de5ap-18, 0x1.5bf359eeb2376p-18, 0x1.666eceb9d8b91p-18, 0x1.702860937697fp-18, 0x1.792af3164efa6p-18, 0x1.817f519924c9ap-18, 0x1.8929da667a7d8p-18, 0x1.902ddd92462fdp-18, 0x1.96913bae72dc5p-18, 0x1.9c5c9c0961a37p-18, 0x1.a1999d55eda99p-18, 0x1.a6514b91668b2p-18, 0x1.aa8b728c1c3b4p-18, 0x1.ae4e729d87403p-18, 0x1.b19f4887bd5e7p-18, 0x1.b481b8a4a574dp-18, 0x1.b6f8c6070cbd6p-18, 0x1.b907a2381a566p-18, 0x1.bab2ac45ef4dcp-18, 0x1.bbff34ebd525ap-18, 0x1.bcf17e3348b7bp-18, 0x1.bd8b424ae493fp-18, 0x1.bdcdbb6abee6p-18, 0x1.bdbd803af313bp-18, 0x1.bd61d0ad45203p-18, 0x1.bcbea32afc57dp-18, 0x1.bbd3682216e53p-18, 0x1.baa1606954f06p-18, 0x1.b92ebff6f83ep-18, 0x1.b781b8c8f5049p-18, 0x1.b59b9eda6dec4p-18, 0x1.b37b12fc2f7fap-18, 0x1.b12098bcf089p-18, 0x1.ae8f6676c366ap-18, 0x1.abcbad71d6e7ep-18, 0x1.a8d96677033dbp-18, 0x1.a5bc1335604d6p-18, 0x1.a276ca7b4756bp-18, 0x1.9f0c3ad25f4b4p-18, 0x1.9b7ea84b24382p-18, 0x1.97cffdea935dbp-18, 0x1.9401b5601b2a7p-18, 0x1.9015251a23c6cp-18, 0x1.8c0b5dd941a4cp-18, 0x1.87e5c8725ed08p-18, 0x1.83a6c3e00c00dp-18, 0x1.7f518bee56789p-18, 0x1.7ae8ea6f9e785p-18, 0x1.766dea67762bp-18, 0x1.71e08474af755p-18, 0x1.6d426af8736d9p-18, 0x1.6897389800911p-18, 0x1.63e00cb739d9cp-18, 0x1.5f1bda0416267p-18, 0x1.5a4c31573053cp-18, 0x1.5573f693d492fp-18, 0x1.509380288d52dp-18, 0x1.4baa3363e7be9p-18, 0x1.46b927ccc0ce8p-18, 0x1.41c230c52ab15p-18, 0x1.3cc679f55218fp-18, 0x1.37c6927e1d3b4p-18, 0x1.32c30404c0d91p-18, 0x1.2dbcac1ac1c7ap-18, 0x1.28b4b2c1caa0bp-18, 0x1.23ac5b8fb761fp-18, 0x1.1ea4eaaabeeacp-18, 0x1.199ef52f53c35p-18, 0x1.149ba74dec539p-18, 0x1.0f9b87dcdfbdfp-18, 0x1.0a9f18c0f866bp-18, 0x1.05a6ac8099153p-18, 0x1.00b284397b188p-18, 0x1.f786126348c01p-19, 0x1.edb2039e5a4cdp-19, 0x1.e3ea6c5f54b87p-19, 0x1.da2fd1119c3e4p-19, 0x1.d080c782640f9p-19, 0x1.c6dcae7d3ae7fp-19, 0x1.bd46c2deb2794p-19, 0x1.b3c2d36b7ef35p-19, 0x1.aa51501228d4bp-19, 0x1.a0f3d9c16b9fcp-19, 0x1.97abb1144c001p-19, 0x1.8e7716e36d1d8p-19, 0x1.8555709b62aa3p-19, 0x1.7c47e0944185fp-19, 0x1.734f6f8463f79p-19, 0x1.6a6cd35d9569ep-19, 0x1.61a0a998d5ae3p-19, 0x1.58eb56b6e813ep-19, 0x1.504ce0cfbfd39p-19, 0x1.47c5255a4eebfp-19, 0x1.3f5441c791b02p-19, 0x1.36fabbfe7c953p-19, 0x1.2eb94ab1c0f4fp-19, 0x1.26909250b113ep-19, 0x1.1e8107b54235bp-19, 0x1.168af51145663p-19, 0x1.0eae8a2a034f7p-19, 0x1.06ebe60974877p-19, 0x1.fe863135ed6d2p-20, 0x1.ef68511524976p-20, 0x1.e07e5450d3dabp-20, 0x1.d1c8a37a52cdbp-20, 0x1.c347b7072450ep-20, 0x1.b4fbbb2d2160ep-20, 0x1.a6e43b76b2bc5p-20, 0x1.99004751d86eap-20, 0x1.8b508174927fbp-20, 0x1.7dd6904374417p-20, 0x1.70924225fbc61p-20, 0x1.63836dd577d7fp-20, 0x1.56a8ced42842p-20, 0x1.4a01e1c6f5e09p-20, 0x1.3d8f8ea923a03p-20, 0x1.3152838438118p-20, 0x1.254b00238802cp-20, 0x1.1978e51f1fb37p-20, 0x1.0ddbac7cad1ecp-20, 0x1.0272cae1c26fap-20, 0x1.ee7c1e8945a8fp-21, 0x1.d87a885a1c84ep-21, 0x1.c2e0c78d5ac88p-21, 0x1.adae261134d61p-21, 0x1.98e1d9e8c75bap-21, 0x1.847b71003fd28p-21, 0x1.707aa532ccc6p-21, 0x1.5cdf0e0bc945p-21, 0x1.49a81372a9811p-21, 0x1.36d5054359549p-21, 0x1.24652ed50a7a3p-21, 0x1.1257dfe172f9dp-21, 0x1.00ac709e958bep-21, 0x1.dec47db21263p-22, 0x1.bcf140f414bbbp-22, 0x1.9bddb528b1303p-22, 0x1.7b8849cb0ecf3p-22, 0x1.5bef54ff9e9dcp-22, 0x1.3d115a8459d1bp-22, 0x1.1eedaa89807efp-22, 0x1.0182bd702652bp-22, 0x1.c99ac38fb9b69p-23, 0x1.9197ab7b827c1p-23, 0x1.5afb6d2ab89d9p-23, 0x1.25c39ef63d4e7p-23, 0x1.e3d67facab468p-24, 0x1.7edcf9761147dp-24, 0x1.1c94bd339b11p-24, 0x1.79f04d4ecd967p-25, 0x1.800557b519016p-26, 0x1.6af50ce507706p-30, -0x1.483f9c6662561p-26, -0x1.4e79a0f62f038p-25, -0x1.f3cd060b460efp-25, -0x1.4a12e30ef1f74p-24, -0x1.97c4adafb9e94p-24, -0x1.e30478820236bp-24, -0x1.15ee6f19f1868p-23, -0x1.39283f4b5456ep-23, -0x1.5b3048aa79128p-23, -0x1.7c0ae900341b1p-23, -0x1.9bbe1ecbe60ebp-23, -0x1.ba4ed8ed64bcep-23, -0x1.d7c0cc9bce688p-23, -0x1.f41757f6152fep-23, -0x1.07aae0f9cbcb3p-22, -0x1.14bf980dd8cdbp-22, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.0207f4e1ca82cp-4, 0x1.02b7782ccd421p-4, 0x1.03de777e127d3p-4, 0x1.058069c2a68c1p-4, 0x1.07a1bc59fe983p-4, 0x1.0a4784b59af8bp-4, 0x1.0d77336cf88p-4, 0x1.11364d10a3165p-4, 0x1.158a2adebc8e9p-4, 0x1.1a77c447f3b53p-4, 0x1.2003818ea3c9fp-4, 0x1.26311769e5318p-4, 0x1.2d036b5494f85p-4, 0x1.347c7ffc1d77ep-4, 0x1.3c9d691878faep-4, 0x1.456645d7090bcp-4, 0x1.4ed640ee6dac1p-4, 0x1.58eb956acf893p-4, 0x1.63a397474294fp-4, 0x1.6efabef7ddd06p-4, 0x1.7aecb71e1e306p-4, 0x1.87746bbb52737p-4, 0x1.948c1a508cf38p-4, 0x1.a22d6276d663p-4, 0x1.b05156937c71fp-4, 0x1.bef08c62b2431p-4, 0x1.ce032d253976fp-4, 0x1.dd81054d2c96fp-4, 0x1.ed619391976a9p-4, 0x1.fd9c175986766p-4, 0x1.0713cf3aa5fd5p-3, 0x1.0f7d891091184p-3, 0x1.1806a1a775c1ap-3, 0x1.20aa7b1b3e7f2p-3, 0x1.2964769662d02p-3, 0x1.322ff96136b0ep-3, 0x1.3b08719579e86p-3, 0x1.43e95a76a86fap-3, 0x1.4cce406fbf60fp-3, 0x1.55b2c4b73d3bbp-3, 0x1.5e92a09a77d67p-3, 0x1.6769a8719c688p-3, 0x1.7033ce3e133abp-3, 0x1.78ed23f55eae9p-3, 0x1.8191dd7afec2cp-3, 0x1.8a1e524c4843dp-3, 0x1.928efee1807c6p-3, 0x1.9ae085c7f19d4p-3, 0x1.a30fb078ffa44p-3, 0x1.ab196ff286a31p-3, 0x1.b2fadd15000a3p-3, 0x1.bab138cc09a7p-3, 0x1.c239ec0616becp-3, 0x1.c992877ff86c1p-3, 0x1.d0b8c368eb469p-3, 0x1.d7aa7ee3c886ap-3, 0x1.de65bf69cbfaap-3, 0x1.e4e8b0131fed4p-3, 0x1.eb31a0c94a1f6p-3, 0x1.f13f05672e0cdp-3, 0x1.f70f74ca37482p-3, 0x1.fca1a7d7d367ap-3, 0x1.00fa3c3d194f5p-2, 0x1.0383704b79b72p-2, 0x1.05ebfc810443p-2, 0x1.08337c3774bd9p-2, 0x1.0a599930ee807p-2, 0x1.0c5e0b116d31bp-2, 0x1.0e4096d9a59fbp-2, 0x1.10010e63dff1fp-2, 0x1.119f4fe32f77p-2, 0x1.131b456567ef4p-2, 0x1.1474e4580044dp-2, 0x1.15ac2d101778p-2, 0x1.16c12a55b06b5p-2, 0x1.17b3f0f231c0fp-2, 0x1.18849f422a3afp-2, 0x1.19335cca49574p-2, 0x1.19c059cf80b8cp-2, 0x1.1a2bcef22c802p-2, 0x1.1a75fccc29f31p-2, 0x1.1a9f2b91b942dp-2, 0x1.1aa7aab5011aap-2, 0x1.1a8fd08c1a741p-2, 0x1.1a57f9f96e97ap-2, 0x1.1a008a1654d2ep-2, 0x1.1989e9dfbe2f1p-2, 0x1.18f487e4d76a3p-2, 0x1.1840d7f77d211p-2, 0x1.176f52de66058p-2, 0x1.16807608f0364p-2, 0x1.1574c344727f6p-2, 0x1.144cc0730451fp-2, 0x1.1308f743a987ep-2, 0x1.11a9f4ebda7c3p-2, 0x1.103049e253598p-2, 0x1.0e9c899b30575p-2, 0x1.0cef4a4548d37p-2, 0x1.0b292488cbe9dp-2, 0x1.094ab3471a975p-2, 0x1.0754935be831cp-2, 0x1.0547635f9c5fp-2, 0x1.0323c36b00a99p-2, 0x1.00ea54dc412bbp-2, 0x1.fd37743a896dep-3, 0x1.f8712cd6ce0f2p-3, 0x1.f3831b4133b0ap-3, 0x1.ee6e87fbfbfeep-3, 0x1.e934bbefed8d9p-3, 0x1.e3d7000786be3p-3, 0x1.de569ccd51fa4p-3, 0x1.d8b4da0d64eccp-3, 0x1.d2f2fe7a2fadcp-3, 0x1.cd124f54906f9p-3, 0x1.c71410174dfcbp-3, 0x1.c0f9822601d11p-3, 0x1.bac3e47f7c5e3p-3, 0x1.b4747373a6fd8p-3, 0x1.ae0c685cf98f9p-3, 0x1.a78cf95d7bdc7p-3, 0x1.a0f7591f5b828p-3, 0x1.9a4cb6991bb8bp-3, 0x1.938e3cd5599f7p-3, 0x1.8cbd12be243d3p-3, 0x1.85da5aebe3c1dp-3, 0x1.7ee73377c7446p-3, 0x1.77e4b5d1b7395p-3, 0x1.70d3f699ba285p-3, 0x1.69b6057cc2d5cp-3, 0x1.628bed14daadfp-3, 0x1.5b56b2cc989dcp-3, 0x1.541756c5d01c3p-3, 0x1.4cced3c36972p-3, 0x1.457e1f164e226p-3, 0x1.3e26288d5458ep-3, 0x1.36c7da680c54ap-3, 0x1.2f64194c6b6c9p-3, 0x1.27fbc43f1e222p-3, 0x1.208fb49e892d3p-3, 0x1.1920be20459ccp-3, 0x1.11afaed109f82p-3, 0x1.0a3d4f16e9829p-3, 0x1.02ca61b5be878p-3, 0x1.f6af47ab66bep-4, 0x1.e7cb9a1796c1bp-4, 0x1.d8eb1ec88a24bp-4, 0x1.ca0f2edd9ecdap-4, 0x1.bb391898b8d56p-4, 0x1.ac6a1f7d12dd2p-4, 0x1.9da37c70fa0f6p-4, 0x1.8ee65de237df4p-4, 0x1.8033e7ecee3d5p-4, 0x1.718d3484d3f52p-4, 0x1.62f353a070735p-4, 0x1.54674b664acf3p-4, 0x1.45ea185bc5ba3p-4, 0x1.377cad9580ed3p-4, 0x1.291ff4e91093ep-4, 0x1.1ad4cf1fe0502p-4, 0x1.0c9c142b12dd3p-4, 0x1.fced26b068e85p-5, 0x1.e0ca270d3fd96p-5, 0x1.c4d0a6bac9a3p-5, 0x1.a902130327af1p-5, 0x1.8d5fc9998effp-5, 0x1.71eb190793d6cp-5, 0x1.56a5411a74b3ep-5, 0x1.3b8f73502378ep-5, 0x1.20aad343d427dp-5, 0x1.05f87719dbb05p-5, 0x1.d6f2cfd567cb1p-6, 0x1.a25d4459d4661p-6, 0x1.6e322c3ba56dep-6, 0x1.3a735051b4382p-6, 0x1.0722629aa8d98p-6, 0x1.a881fe0a4c267p-7, 0x1.43a15868d5ccep-7, 0x1.bf4b7104dcdadp-8, 0x1.f2476bb477eabp-9, 0x1.a685614cc3a3p-11, -0x1.1b5191711f5fbp-9, -0x1.4e440c3b9dba6p-8, -0x1.067e62f30656p-7, -0x1.64e76f5dea4f1p-7, -0x1.c25b3f5bd8fb2p-7, -0x1.0f6c0295e59dbp-6, -0x1.3d2e080f5b8dap-6, -0x1.6a72e5b8cf37ap-6, -0x1.9739de98d0123p-6, -0x1.c3824294ffdc8p-6, -0x1.ef4b6dee10bbbp-6, -0x1.0d4a646069108p-5, -0x1.22aee34609089p-5, -0x1.37d2f2ddb17dbp-5, -0x1.4cb6579b65e17p-5, -0x1.6158dafba28f6p-5, -0x1.75ba4b4feaf07p-5, -0x1.89da7b8db95dp-5, -0x1.9db9431fb2211p-5, -0x1.b1567db914029p-5, -0x1.c4b20b2b615b2p-5, -0x1.d7cbcf3e221c8p-5, -0x1.eaa3b188c242fp-5, -0x1.fd399d4e7a6acp-5, -0x1.07c6c0ae19b3dp-4, -0x1.10cfa7f429cffp-4, -0x1.19b77f3a36b03p-4, -0x1.227e42d8584d8p-4, -0x1.2b23f0b09331fp-4, -0x1.33a888224845p-4, -0x1.3c0c09fe73798p-4, -0x1.444e787cb2821p-4, -0x1.4c6fd7310848bp-4, -0x1.54702b025160fp-4, -0x1.5c4f7a217212ap-4, -0x1.640dcc0120434p-4, -0x1.6bab294e4da1fp-4, -0x1.73279be926223p-4, -0x1.7a832ede9f6b1p-4, -0x1.81bdee628b56cp-4, -0x1.88d7e7ca29764p-4, -0x1.8fd129872e72ep-4, -0x1.96a9c32339634p-4, -0x1.9d61c53bb2ae2p-4, -0x1.a3f9417e0c632p-4, -0x1.aa704aa4602a2p-4, -0x1.b0c6f47250ee6p-4, -0x1.b6fd53b24da4dp-4, -0x1.bd137e3308253p-4, -0x1.c3098ac53b2d7p-4, -0x1.c8df91399c605p-4, -0x1.ce95aa5f08514p-4, -0x1.d42bf000e1953p-4, -0x1.d9a27ce58bf95p-4, -0x1.def96ccd1e422p-4, -0x1.e430dc701af5p-4, -0x1.e948e97e5de7bp-4, -0x1.ee41b29e080ep-4, -0x1.f31b576a85aa9p-4, -0x1.f7d5f873a292bp-4, -0x1.fc71b73caac27p-4, -0x1.00775b1dc031ap-3, -0x1.02a68c6be295bp-3, -0x1.04c681b4fd795p-3, -0x1.06d74d9d4dbd5p-3, -0x1.08d9034095784p-3, -0x1.0acbb631a536fp-3, -0x1.0caf7a79d486ep-3, -0x1.0e84649878be1p-3, -0x1.104a898254b9ap-3, -0x1.1201fea0fa895p-3, -0x1.13aad9d21fe97p-3, -0x1.15453166f2bcap-3, -0x1.16d11c23507f2p-3, -0x1.184eb13cfcd85p-3, -0x1.19be085ac7761p-3, -0x1.1b1f3993a131dp-3, -0x1.1c725d6da1605p-3, -0x1.1db78cdd02553p-3, -0x1.1eeee14308cb1p-3, -0x1.2018746cda944p-3, -0x1.2134609248fbap-3, -0x1.2242c054898dbp-3, -0x1.2343aebcde2bp-3, -0x1.2437473b2d45ep-3, -0x1.251da5a487a6bp-3, -0x1.25f6e631a01ddp-3, -0x1.26c3257d34413p-3, -0x1.2782808262b13p-3, -0x1.2835149aeee4ep-3, -0x1.28daff7d7ecdap-3, -0x1.29745f3bbc556p-3, -0x1.2a0152407276ep-3, -0x1.2a81f74d95395p-3, -0x1.2af66d7a3f1e5p-3, -0x1.2b5ed4309f9b6p-3, -0x1.2bbb4b2bd71adp-3, -0x1.2c0bf275cf77fp-3, -0x1.2c50ea64fe7dbp-3, -0x1.2c8a539a223dp-3, -0x1.2cb84efdef506p-3, -0x1.2cdafdbeb4912p-3, -0x1.2cf2814df35d8p-3, -0x1.2cfefb5dec6f6p-3, -0x1.2d008ddf2bd1bp-3, -0x1.2cf75afdfc34bp-3, -0x1.2ce3851fe30ebp-3, -0x1.2cc52ee1079f8p-3, -0x1.2c9c7b119ad5cp-3, -0x1.2c698cb332e3bp-3, -0x1.2c2c86f627b49p-3, -0x1.2be58d36e3f34p-3, -0x1.2b94c2fb31aadp-3, -0x1.2b3a4bef88a96p-3, -0x1.2ad64be450928p-3, -0x1.2a68e6cb29fbp-3, -0x1.29f240b42a52fp-3, -0x1.29727dcb1ed97p-3, -0x1.28e9c254c8869p-3, -0x1.285832ac1e1dcp-3, -0x1.27bdf33f84934p-3, -0x1.271b288e0f5c4p-3, -0x1.266ff724bfdd5p-3, -0x1.25bc839bc77d5p-3, -0x1.2500f293c8d62p-3, -0x1.243d68b31b89cp-3, -0x1.23720aa319c3ap-3, -0x1.229efd0d6954ep-3, -0x1.21c464994bd94p-3, -0x1.20e265e8f7a86p-3, -0x1.1ff92596ed41ep-3, -0x1.1f08c8335baep-3, -0x1.1e11724183fcap-3, -0x1.1d13483525907p-3, -0x1.1c0e6e6ff1737p-3, -0x1.1b03093f0676dp-3, -0x1.19f13cd870d85p-3, -0x1.18d92d58b4756p-3, -0x1.17bafec0618cp-3, -0x1.1696d4f1ac203p-3, -0x1.156cd3ae1416bp-3, -0x1.143d1e940e319p-3, -0x1.1307d91cbdc34p-3, -0x1.11cd2699b4898p-3, -0x1.108d2a32bed8fp-3, -0x1.0f4806e3b6d25p-3, -0x1.0dfddf7a65aa5p-3, -0x1.0caed6946dbd6p-3, -0x1.0b5b0e9d41d53p-3, -0x1.0a02a9cc2539dp-3, -0x1.08a5ca2237325p-3, -0x1.074491688e5acp-3, -0x1.05df212e5b033p-3, -0x1.04759ac714fe8p-3, -0x1.03081f48bbe9ap-3, -0x1.0196cf8a1bd92p-3, -0x1.0021cc21239d9p-3, -0x1.fd526ac2896bep-4, -0x1.fa5a56b3c0e5bp-4, -0x1.f75b9ba981135p-4, -0x1.f45678a9427dbp-4, -0x1.f14b2c277e2a8p-4, -0x1.ee39f404f171p-4, -0x1.eb230d8bf6eb2p-4, -0x1.e806b56df2c03p-4, -0x1.e4e527c0e3e1ep-4, -0x1.e1be9ffd0198fp-4, -0x1.de9358fa8188fp-4, -0x1.db638cef5db35p-4, -0x1.d82f756d5488dp-4, -0x1.d4f74b5fe8faap-4, -0x1.d1bb470a8073ep-4, -0x1.ce7ba006a5c47p-4, -0x1.cb388d424f90bp-4, -0x1.c7f244fe547e7p-4, -0x1.c4a8fccce82dcp-4, -0x1.c15ce99037dc4p-4, -0x1.be0e3f791fa97p-4, -0x1.babd3205ea693p-4, -0x1.b769f40140f6p-4, -0x1.b414b78115fe6p-4, -0x1.b0bdade5bc0afp-4, -0x1.ad6507d90d1c7p-4, -0x1.aa0af54d9cd72p-4, -0x1.a6afa57e13257p-4, -0x1.a35346ec8fa5bp-4, -0x1.9ff60762293dbp-4, -0x1.9c9813ee7bc1cp-4, -0x1.993998e751ed9p-4, -0x1.95dac1e85c089p-4, -0x1.927bb9d30255ap-4, -0x1.8f1caace46d09p-4, -0x1.8bbdbe46b883cp-4, -0x1.885f1cee7eca7p-4, -0x1.8500eebd72a5ep-4, -0x1.81a35af14ca7cp-4, -0x1.7e46880de3ecfp-4, -0x1.7aea9bdd7dcf1p-4, -0x1.778fbb713176ap-4, -0x1.74360b2158182p-4, -0x1.70ddae8e10b7ep-4, -0x1.6d86c89fd14cep-4, -0x1.6a317b88094ep-4, -0x1.66dde8c1d3e76p-4, -0x1.638c3112b59f4p-4, -0x1.603c748b69fd4p-4, -0x1.5ceed288c1064p-4, -0x1.59a369b48963cp-4, -0x1.565a580685ccfp-4, -0x1.5313bac56f1a5p-4, -0x1.4fcfae8806e33p-4, -0x1.4c8e4f3630c9ep-4, -0x1.494fb80a19ae8p-4, -0x1.461403916b8bcp-4, -0x1.42db4bae8b5adp-4, -0x1.3fa5a999de2e3p-4, -0x1.3c7335e31c8cp-4, -0x1.39440872ae0d1p-4, -0x1.3618388b0c056p-4, -0x1.32efdcca30509p-4, -0x1.2fcb0b2b0c08p-4, -0x1.2ca9d90705706p-4, -0x1.298c5b177dfe6p-4, -0x1.2672a5775e29ap-4, -0x1.235ccba4ae446p-4, -0x1.204ae0822d09bp-4, -0x1.1d3cf658f579bp-4, -0x1.1a331eda234dep-4, -0x1.172d6b2084445p-4, -0x1.142bebb24911ap-4, -0x1.112eb082bef13p-4, -0x1.0e35c8f40b51ep-4, -0x1.0b4143d8eee67p-4, -0x1.08512f7688e2dp-4, -0x1.05659986227e1p-4, -0x1.027e8f36fb55ap-4, -0x1.ff383a6035d56p-5, -0x1.f97c9f244222p-5, -0x1.f3ca63f23fbc2p-5, -0x1.ee219efce3722p-5, -0x1.e88265752477dp-5, -0x1.e2eccb8dfa1dep-5, -0x1.dd60e48014f76p-5, -0x1.d7dec28da0ca5p-5, -0x1.d266770605181p-5, -0x1.ccf81249a4f21p-5, -0x1.c793a3cda19eap-5, -0x1.c2393a1fa6bddp-5, -0x1.bce8e2e9a90fdp-5, -0x1.b7a2aaf5aa27dp-5, -0x1.b2669e31810c7p-5, -0x1.ad34c7b29b746p-5, -0x1.a80d31b9c287dp-5, -0x1.a2efe5b6d8984p-5, -0x1.9ddcec4c96249p-5, -0x1.98d44d5449531p-5, -0x1.93d60fe18bec2p-5, -0x1.8ee23a45f51b7p-5, -0x1.89f8d214d23b4p-5, -0x1.8519dc26d56bp-5, -0x1.80455c9db6c79p-5, -0x1.7b7b56e7e13fep-5, -0x1.76bbcdc412645p-5, -0x1.7206c344f2d3cp-5, -0x1.6d5c38d4abd6ap-5, -0x1.68bc2f3879d08p-5, -0x1.6426a6943422bp-5, -0x1.5f9b9e6dd3a75p-5, -0x1.5b1b15b0f05fcp-5, -0x1.56a50ab2381a5p-5, -0x1.52397b32dd59fp-5, -0x1.4dd864640043p-5, -0x1.4981c2ea12f4cp-5, -0x1.453592e030de8p-5, -0x1.40f3cfdb72e9dp-5, -0x1.3cbc74ee3a7f4p-5, -0x1.388f7cab703a4p-5, -0x1.346ce129c2f6ep-5, -0x1.30549c06e0311p-5, -0x1.2c46a66a92b39p-5, -0x1.2842f909e850ep-5, -0x1.24498c2a4b4bfp-5, -0x1.205a57a49131ep-5, -0x1.1c7552e8019cdp-5, -0x1.189a74fd55eccp-5, -0x1.14c9b489a9dfdp-5, -0x1.110307d16faebp-5, -0x1.0d4664bb4803dp-5, -0x1.0993c0d2e5e89p-5, -0x1.05eb114bd2543p-5, -0x1.024c4b043c653p-5, -0x1.fd6ec50f5fd6ap-6, -0x1.f658982392f66p-6, -0x1.ef55f721bfe7cp-6, -0x1.e866c9514c8d2p-6, -0x1.e18af5697531bp-6, -0x1.dac261967e813p-6, -0x1.d40cf37ea4a67p-6, -0x1.cd6a90471227ap-6, -0x1.c6db1c98bd6ccp-6, -0x1.c05e7ca538341p-6, -0x1.b9f4942b64481p-6, -0x1.b39d467c0c10cp-6, -0x1.ad58767e85b21p-6, -0x1.a72606b51405ap-6, -0x1.a105d94175513p-6, -0x1.9af7cfe91cd84p-6, -0x1.94fbcc1983a5ap-6, -0x1.8f11aeec497c5p-6, -0x1.8939592b5897dp-6, -0x1.8372ab54f0182p-6, -0x1.7dbd859f9518p-6, -0x1.7819c7fdf9e9bp-6, -0x1.72875222d036ap-6, -0x1.6d060384773ccp-6, -0x1.6795bb60ba3a3p-6, -0x1.623658c057f65p-6, -0x1.5ce7ba7a9a7a1p-6, -0x1.57a9bf38c0564p-6, -0x1.527c457955073p-6, -0x1.4d5f2b938cdc8p-6, -0x1.48524fba7c496p-6, -0x1.4355900046c3bp-6, -0x1.3e68ca593230dp-6, -0x1.398bdc9ebe8bbp-6, -0x1.34bea4929135dp-6, -0x1.3000ffe15aa6ep-6, -0x1.2b52cc25b3abp-6, -0x1.26b3e6eaddc68p-6, -0x1.22242daf736b2p-6, -0x1.1da37de817787p-6, -0x1.1931b501fb382p-6, -0x1.14ceb0656892fp-6, -0x1.107a4d7833a4ep-6, -0x1.0c3469a01ef25p-6, -0x1.07fce2452f6ddp-6, -0x1.03d394d3f26b9p-6, -0x1.ff70bd7f7eb6dp-7, -0x1.f7563b098ae06p-7, -0x1.ef575d546f13dp-7, -0x1.e773df88962bep-7, -0x1.dfab7cec6b0edp-7, -0x1.d7fdf0e84153p-7, -0x1.d06af70a015f9p-7, -0x1.c8f24b08dfcebp-7, -0x1.c193a8c8bef7p-7, -0x1.ba4ecc5dbee5fp-7, -0x1.b323720f7bb9fp-7, -0x1.ac11565c5b774p-7, -0x1.a51835fc984f4p-7, -0x1.9e37cde554c1dp-7, -0x1.976fdb4b760abp-7, -0x1.90c01ba674b4fp-7, -0x1.8a284cb33b413p-7, -0x1.83a82c769ca6ep-7, -0x1.7d3f79400e62bp-7, -0x1.76edf1ac0169fp-7, -0x1.70b354a649304p-7, -0x1.6a8f616c66878p-7, -0x1.6481d78fb389bp-7, -0x1.5e8a76f790eb2p-7, -0x1.58a8ffe364daap-7, -0x1.52dd32ec9b4aap-7, -0x1.4d26d10872274p-7, -0x1.47859b89d8f85p-7, -0x1.41f9542330914p-7, -0x1.3c81bce7d1e4cp-7, -0x1.371e984db4ef6p-7, -0x1.31cfa92f0189dp-7, -0x1.2c94b2cb6c03fp-7, -0x1.276d78c9a0cf2p-7, -0x1.2259bf387fe35p-7, -0x1.1d594a9060288p-7, -0x1.186bdfb444869p-7, -0x1.139143f2e5bf4p-7, -0x1.0ec93d07cf24bp-7, -0x1.0a13911c4efa6p-7, -0x1.057006c87675cp-7, -0x1.00de6513e3b36p-7, -0x1.f8bce6ed17a0ap-8, -0x1.efdff3b31aeacp-8, -0x1.e725812fadd1ap-8, -0x1.de8d20fdbdf8ap-8, -0x1.d616659e71a6bp-8, -0x1.cdc0e27a299a8p-8, -0x1.c58c2be19accdp-8, -0x1.bd77d70e83fd1p-8, -0x1.b5837a24b7bp-8, -0x1.adaeac32a2bb4p-8, -0x1.a5f9053219776p-8, -0x1.9e621e08d0804p-8, -0x1.96e99088d456p-8, -0x1.8f8ef770d2437p-8, -0x1.8851ee6c7f1b8p-8, -0x1.81321214b50f2p-8, -0x1.7a2effefaf598p-8, -0x1.734856711b238p-8, -0x1.6c7db4fa1f1d7p-8, -0x1.65cebbd9240b6p-8, -0x1.5f3b0c49caeb6p-8, -0x1.58c24874bf5c1p-8, -0x1.5264136f5680bp-8, -0x1.4c20113b41098p-8, -0x1.45f5e6c62ee05p-8, -0x1.3fe539e97f38bp-8, -0x1.39edb16985f18p-8, -0x1.340ef4f51fc6bp-8, -0x1.2e48ad250ec83p-8, -0x1.289a837b2a9f3p-8, -0x1.23042261dadadp-8, -0x1.1d85352b414c7p-8, -0x1.181d68107818p-8, -0x1.12cc683096106p-8, -0x1.0d91e390007c1p-8, -0x1.086d89174c8a3p-8, -0x1.035f0892529a3p-8, -0x1.fccc255e4d8c2p-9, -0x1.f304b1fa11f5p-9, -0x1.e9671bd69ffcdp-9, -0x1.dff2c990e6e0dp-9, -0x1.d6a723816680ep-9, -0x1.cd8393b9eb88ep-9, -0x1.c48786034b09cp-9, -0x1.bbb267da632cbp-9, -0x1.b303a86e11586p-9, -0x1.aa7ab89c87e53p-9, -0x1.a2170af0414d7p-9, -0x1.99d8139df2621p-9, -0x1.91bd48815df43p-9, -0x1.89c6211ab02abp-9, -0x1.81f2168b8c27cp-9, -0x1.7a40a3941f4ffp-9, -0x1.72b1449093b44p-9, -0x1.6b437775a53f2p-9, -0x1.63f6bbce21a19p-9, -0x1.5cca92b79915cp-9, -0x1.55be7edf71a5cp-9, -0x1.4ed2047feb3f5p-9, -0x1.4804a95cb450bp-9, -0x1.4155f4c02e099p-9, -0x1.3ac56f781a4cfp-9, -0x1.3452a3d24762ep-9, -0x1.2dfd1d99d0d8ap-9, -0x1.27c46a13b53dap-9, -0x1.21a817fbaede8p-9, -0x1.1ba7b780eab8cp-9, -0x1.15c2da42d8c41p-9, -0x1.0ff9134dbaedep-9, -0x1.0a49f717a92d3p-9, -0x1.04b51b7d38b32p-9, -0x1.fe742f7c5ddc5p-10, -0x1.f3b108f46ebb7p-10, -0x1.e91ff75b70b86p-10, -0x1.dec0315cd6392p-10, -0x1.d490f05005b62p-10, -0x1.ca91703269c33p-10, -0x1.c0c0ef9fb5badp-10, -0x1.b71eafcc72c07p-10, -0x1.ada9f47ec044cp-10, -0x1.a462040843685p-10, -0x1.9b46273f41922p-10, -0x1.9255a9787a6d7p-10, -0x1.898fd87fc226ap-10, -0x1.80f4049287acp-10, -0x1.7881805846624p-10, -0x1.7037a0dce61d9p-10, -0x1.6815bd89d6d9p-10, -0x1.601b301f6a59cp-10, -0x1.584754af03befp-10, -0x1.5099899439f9ap-10, -0x1.49112f6edc93ep-10, -0x1.41ada91bf221ap-10, -0x1.3a6e5bafa8c3p-10, -0x1.3352ae6f1cfebp-10, -0x1.2c5a0aca1d3b1p-10, -0x1.2583dc54d4729p-10, -0x1.1ecf90c1bbd64p-10, -0x1.183c97db01f47p-10, -0x1.11ca637d157adp-10, -0x1.0b78678fb12a1p-10, -0x1.05461a0047db7p-10, -0x1.fe65e5783047ap-11, -0x1.f27cd752cd1c6p-11, -0x1.e6d00144e719dp-11, -0x1.db5e5edd63bfdp-11, -0x1.d026ef7bc4427p-11, -0x1.c528b64264d97p-11, -0x1.ba62ba0c38004p-11, -0x1.afd4056169227p-11, -0x1.a57ba669cba85p-11, -0x1.9b58aee38c1c5p-11, -0x1.916a34174b489p-11, -0x1.87af4ecc98cedp-11, -0x1.7e271b3f5d1dcp-11, -0x1.74d0b91406cc2p-11, -0x1.6bab4b4dc1eb8p-11, -0x1.62b5f842adb86p-11, -0x1.59efe990f8a5cp-11, -0x1.51584c154a5abp-11, -0x1.48ee4fdde54fdp-11, -0x1.40b12823179d5p-11, -0x1.38a00b3a7476ep-11, -0x1.30ba328d9e169p-11, -0x1.28feda90811cap-11, -0x1.216d42b564de9p-11, -0x1.1a04ad655e01ep-11, -0x1.12c45ff42391ep-11, -0x1.0baba29751d5cp-11, -0x1.04b9c05c53f3dp-11, -0x1.fbdc0e3dab2c2p-12, -0x1.ee8f8efdcfffcp-12, -0x1.e18ca9b096d7bp-12, -0x1.d4d20a7005c7p-12, -0x1.c85e62a7fdc89p-12, -0x1.bc306902a470ap-12, -0x1.b046d957441ebp-12, -0x1.a4a07495ecd2ap-12, -0x1.993c00b89ebdp-12, -0x1.8e1848af4d42p-12, -0x1.83341c4f04132p-12, -0x1.788e5041d5256p-12, -0x1.6e25bdf4f895ep-12, -0x1.63f94386673fap-12, -0x1.5a07c3b82ba37p-12, -0x1.505025db2c5d4p-12, -0x1.46d155c17f0b9p-12, -0x1.3d8a43ad1c5e9p-12, -0x1.3479e4416120ep-12, -0x1.2b9f30711062fp-12, -0x1.22f9257104f5p-12, -0x1.1a86c4a6c1e2dp-12, -0x1.1247139b0d68cp-12, -0x1.0a391be874607p-12, -0x1.025beb2e9058ep-12, -0x1.f55d260694f22p-13, -0x1.e66051c4a43b1p-13, -0x1.d7bf8c4061e7ap-13, -0x1.c9790fb7cb5d1p-13, -0x1.bb8b1de0030d3p-13, -0x1.adf3ffccfce2ap-13, -0x1.a0b205d357fbcp-13, -0x1.93c3876e164a2p-13, -0x1.8726e3227d1ep-13, -0x1.7ada7e6a7e555p-13, -0x1.6edcc59395607p-13, -0x1.632c2baa6730cp-13, -0x1.57c72a5e713ap-13, -0x1.4cac41eacfcb7p-13, -0x1.41d9f8faf894ep-13, -0x1.374edc9572322p-13, -0x1.2d09800153f26p-13, -0x1.23087cae55584p-13, -0x1.194a721f60b7ap-13, -0x1.0fce05d10b95dp-13, -0x1.0691e323b17b8p-13, -0x1.fb2976892c5b2p-14, -0x1.e9aa8a2ebe88p-14, -0x1.d8a47a40ea7b8p-14, -0x1.c814cadcd7f57p-14, -0x1.b7f90b0ace6f1p-14, -0x1.a84ed49413e2dp-14, -0x1.9913cbd8b456ap-14, -0x1.8a459fa089f82p-14, -0x1.7be208fc1598dp-14, -0x1.6de6cb195f18cp-14, -0x1.6051b3189d9c6p-14, -0x1.532097e5c987p-14, -0x1.46515a15557ffp-14, -0x1.39e1e3bcfdb05p-14, -0x1.2dd0284a163b7p-14, -0x1.221a24639a1dep-14, -0x1.16bdddc0c8e95p-14, -0x1.0bb963040ab1ap-14, -0x1.010acb9f04d67p-14, -0x1.ed606f5003cb6p-15, -0x1.d94f9f734946fp-15, -0x1.c5df89a19833p-15, -0x1.b30ca057c65d4p-15, -0x1.a0d3664e4a99ap-15, -0x1.8f306e41b87adp-15, -0x1.7e205aacdd241p-15, -0x1.6d9fdd869db7p-15, -0x1.5dabb8054ffefp-15, -0x1.4e40ba6514535p-15, -0x1.3f5bc3a5a8218p-15, -0x1.30f9c152127b1p-15, -0x1.2317af447f89dp-15, -0x1.15b29767d3449p-15, -0x1.08c7918a38d17p-15, -0x1.f8a7862de3099p-16, -0x1.e0a8bdc7be3b4p-16, -0x1.c98d49f7bb30ap-16, -0x1.b34fc4d649cc3p-16, -0x1.9deae20cdee91p-16, -0x1.89596e603761dp-16, -0x1.75964f68a2ac8p-16, -0x1.629c83147e35ap-16, -0x1.50671f418eb15p-16, -0x1.3ef151668c562p-16, -0x1.2e365e2c4f815p-16, -0x1.1e31a10c37765p-16, -0x1.0ede8bef833c4p-16, -0x1.0038a6d7d846fp-16, -0x1.e4771f0b4afa4p-17, -0x1.c9c5f227cab2ep-17, -0x1.b055574764cep-17, -0x1.981d080558e1bp-17, -0x1.8114e6a9fd08p-17, -0x1.6b34fd89e99a2p-17, -0x1.56757e58282f5p-17, -0x1.42cec173789ffp-17, -0x1.303945484d9e5p-17, -0x1.1eadadbba0598p-17, -0x1.0e24c39de74fep-17, -0x1.fd2ee7bfeb9adp-18, -0x1.dffd9e1eb382p-18, -0x1.c4a81192f1c95p-18, -0x1.ab20ee3153adfp-18, -0x1.935b23d1e6f86p-18, -0x1.7d49e4f760106p-18, }}, 
      {{0x1.01e11d8ec1d49p-4, 0x1.021b7e0ffb679p-4, 0x1.027d4a1e20031p-4, 0x1.03073900e9f18p-4, 0x1.03ba3ab0a407cp-4, 0x1.04976b294edap-4, 0x1.05a00571c00e3p-4, 0x1.06d55713d9d89p-4, 0x1.0838b473838aap-4, 0x1.09cb6e3ff719cp-4, 0x1.0b8ec81d1f0d3p-4, 0x1.0d83f090c760ep-4, 0x1.0fabfa33c3aa2p-4, 0x1.1207d61ee8cfep-4, 0x1.14984f8542fd7p-4, 0x1.175e0867b5defp-4, 0x1.1a59774a5eb11p-4, 0x1.1d8ae5d14462ep-4, 0x1.20f27028833b4p-4, 0x1.2490051bc4678p-4, 0x1.286366c19d5fep-4, 0x1.2c6c2ba0f537p-4, 0x1.30a9c038a7e0ep-4, 0x1.351b68d41d33dp-4, 0x1.39c0439a2fc39p-4, 0x1.3e974ac65200ep-4, 0x1.439f56fe814a3p-4, 0x1.48d721bac444cp-4, 0x1.4e3d47b5200acp-4, 0x1.53d04b5a9ee7ep-4, 0x1.598e9737982bcp-4, 0x1.5f76805a9b397p-4, 0x1.658648aa6974cp-4, 0x1.6bbc212c34a09p-4, 0x1.72162c37f9d1dp-4, 0x1.78927f9959422p-4, 0x1.7f2f269b9504bp-4, 0x1.85ea23ffc9a4cp-4, 0x1.8cc173dc987cdp-4, 0x1.93b30d66b6daap-4, 0x1.9abce4a1f7822p-4, 0x1.a1dcebfa8ad4fp-4, 0x1.a91115c64e354p-4, 0x1.b05755ae2611fp-4, 0x1.b7ada1ff5ebd3p-4, 0x1.bf11f4e57095ap-4, 0x1.c6824d8c391bp-4, 0x1.cdfcb12b2ea09p-4, 0x1.d57f2bf9fd71fp-4, 0x1.dd07d20f2231ep-4, 0x1.e494c0291c41p-4, 0x1.ec241c6307c3fp-4, 0x1.f3b416d5563e5p-4, 0x1.fb42ea238df97p-4, 0x1.01676dfbf1a98p-3, 0x1.052b1eb6dacb5p-3, 0x1.08ebb5b5ea0b4p-3, 0x1.0ca86777bf241p-3, 0x1.10606ea49c2f4p-3, 0x1.14130c262e4d2p-3, 0x1.17bf87392b662p-3, 0x1.1b652d7953863p-3, 0x1.1f0352e837734p-3, 0x1.229951ef48718p-3, 0x1.26268b5d965c1p-3, 0x1.29aa6661b02e4p-3, 0x1.2d24507ffb6eap-3, 0x1.3093bd85fa1c5p-3, 0x1.33f8277ac1175p-3, 0x1.37510e8cfe028p-3, 0x1.3a9df8fee030bp-3, 0x1.3dde731015dd4p-3, 0x1.41120ee63f55p-3, 0x1.44386473f18fap-3, 0x1.4751115e9e6f6p-3, 0x1.4a5bb8e37b465p-3, 0x1.4d5803bba0915p-3, 0x1.50459fff8454bp-3, 0x1.53244109f24aep-3, 0x1.55f39f5aa5f48p-3, 0x1.58b378789ba64p-3, 0x1.5b638ed432f8ap-3, 0x1.5e03a9a936d44p-3, 0x1.609394e0e118p-3, 0x1.631320f3de3f7p-3, 0x1.658222cc70b39p-3, 0x1.67e073a8a5b31p-3, 0x1.6a2df0fcbe207p-3, 0x1.6c6a7c55c188bp-3, 0x1.6e95fb3c4a56ap-3, 0x1.70b057178a518p-3, 0x1.72b97d1092d71p-3, 0x1.74b15df5de2c7p-3, 0x1.7697ee1f20efep-3, 0x1.786d25516026ap-3, 0x1.7a30fea35675p-3, 0x1.7be378621fb4bp-3, 0x1.7d8493f63496ep-3, 0x1.7f1455c8b1ebp-3, 0x1.8092c528f3769p-3, 0x1.81ffec3276ed4p-3, 0x1.835bd7b315fdbp-3, 0x1.84a697118dc64p-3, 0x1.85e03c345abb5p-3, 0x1.8708db68e73c4p-3, 0x1.88208b4b105bcp-3, 0x1.892764acf9d32p-3, 0x1.8a1d827f4478dp-3, 0x1.8b0301b98f7c2p-3, 0x1.8bd801435fa8fp-3, 0x1.8c9ca1dd55d67p-3, 0x1.8d51060acd20ap-3, 0x1.8df551fbce745p-3, 0x1.8e89ab776942dp-3, 0x1.8f0e39c66c168p-3, 0x1.8f83259e7de8ep-3, 0x1.8fe8990d9f43fp-3, 0x1.903ebf66108b7p-3, 0x1.9085c52aa1d37p-3, 0x1.90bdd7fb645ap-3, 0x1.90e72682d563fp-3, 0x1.9101e0636574ep-3, 0x1.910e362577286p-3, 0x1.910c5925cbfe6p-3, 0x1.90fc7b845ab5p-3, 0x1.90ded0139fe6cp-3, 0x1.90b38a4855926p-3, 0x1.907ade29a78acp-3, 0x1.90350041d6badp-3, 0x1.8fe2258f497ccp-3, 0x1.8f8283761c5c3p-3, 0x1.8f164fb21d489p-3, 0x1.8e9dc0493d859p-3, 0x1.8e190b7e7b3cdp-3, 0x1.8d8867c537408p-3, 0x1.8cec0bb505f31p-3, 0x1.8c442dfdec602p-3, 0x1.8b91055d16b85p-3, 0x1.8ad2c891f6984p-3, 0x1.8a09ae53db937p-3, 0x1.8935ed47f38abp-3, 0x1.8857bbf7bc7a9p-3, 0x1.876f50c7e27aep-3, 0x1.867ce1ef874cp-3, 0x1.8580a56ff533fp-3, 0x1.847ad10cbd2b9p-3, 0x1.836b9a443167ap-3, 0x1.825336484cf3fp-3, 0x1.8131d9f7fdd32p-3, 0x1.8007b9d8c8d64p-3, 0x1.7ed50a10d0dap-3, 0x1.7d99fe613a602p-3, 0x1.7c56ca20e47a7p-3, 0x1.7b0ba03780b65p-3, 0x1.79b8b318f78ep-3, 0x1.785e34c12774p-3, 0x1.76fc56aff2272p-3, 0x1.759349e592278p-3, 0x1.74233edf47406p-3, 0x1.72ac659444295p-3, 0x1.712eed72e0c31p-3, 0x1.6fab055e1d418p-3, 0x1.6e20dbab56975p-3, 0x1.6c909e2048499p-3, 0x1.6afa79f1430a2p-3, 0x1.695e9bbfa0e4cp-3, 0x1.67bd2f9870d67p-3, 0x1.661660f3580c9p-3, 0x1.646a5ab1a8cc6p-3, 0x1.62b9471da5555p-3, 0x1.61034fe9f789fp-3, 0x1.5f489e31502e4p-3, 0x1.5d895a7633022p-3, 0x1.5bc5aca2ea70ap-3, 0x1.59fdbc099f5p-3, 0x1.5831af649ada3p-3, 0x1.5661acd6a0652p-3, 0x1.548dd9eb6eb01p-3, 0x1.52b65b985c75fp-3, 0x1.50db563d12061p-3, 0x1.4efceda459bbfp-3, 0x1.4d1b45050f4p-3, 0x1.4b367f031dbcfp-3, 0x1.494ebdb09877ep-3, 0x1.4764228ee17bdp-3, 0x1.4576ce8fed4bbp-3, 0x1.4386e2178776p-3, 0x1.41947cfcb0aa3p-3, 0x1.3f9fbe8b075cbp-3, 0x1.3da8c5843af8bp-3, 0x1.3bafb0218ee78p-3, 0x1.39b49c155f59fp-3, 0x1.37b7a68cb3439p-3, 0x1.35b8ec30d8033p-3, 0x1.33b88928fecdp-3, 0x1.31b6991bdf5cdp-3, 0x1.2fb3373161b09p-3, 0x1.2dae7e144d0b1p-3, 0x1.2ba887f3f0cd8p-3, 0x1.29a16e85d7dfdp-3, 0x1.27994b077a564p-3, 0x1.2590363fec73ap-3, 0x1.2386488191304p-3, 0x1.217b99abca1d4p-3, 0x1.1f70412ca200ep-3, 0x1.1d645602803ebp-3, 0x1.1b57eebdc9c6bp-3, 0x1.194b21828bb1cp-3, 0x1.173e040a1c30ep-3, 0x1.1530aba4b8d8fp-3, 0x1.13232d3b1ec66p-3, 0x1.11159d5023a19p-3, 0x1.0f08100242534p-3, 0x1.0cfa990d26d76p-3, 0x1.0aed4bcb33e81p-3, 0x1.08e03b3700bd6p-3, 0x1.06d379ecd5ec9p-3, 0x1.04c71a2c1b52bp-3, 0x1.02bb2dd8cb46bp-3, 0x1.00afc67cd433ep-3, 0x1.fd49ea92f62a5p-4, 0x1.f93596316f913p-4, 0x1.f522b0dd069f2p-4, 0x1.f1115af44fa37p-4, 0x1.ed01b42f0c22dp-4, 0x1.e8f3dba0a9705p-4, 0x1.e4e7efbaabebdp-4, 0x1.e0de0e4f1f87fp-4, 0x1.dcd65492e5209p-4, 0x1.d8d0df1ffa8a5p-4, 0x1.d4cdc9f7c6271p-4, 0x1.d0cd30853841p-4, 0x1.cccf2d9ef6f4fp-4, 0x1.c8d3db8974ff5p-4, 0x1.c4db53f8fa77p-4, 0x1.c0e5b013abc56p-4, 0x1.bcf308737478cp-4, 0x1.b9037527f216dp-4, 0x1.b5170db859a8p-4, 0x1.b12de9253d988p-4, 0x1.ad481dea5e26fp-4, 0x1.a965c2006679cp-4, 0x1.a586eade9d63ap-4, 0x1.a1abad7c8b99ep-4, 0x1.9dd41e53a8f46p-4, 0x1.9a005160e2f94p-4, 0x1.96305a263587dp-4, 0x1.92644bac29799p-4, 0x1.8e9c388357a98p-4, 0x1.8ad832c5db45p-4, 0x1.87184c18be7b3p-4, 0x1.835c95ad60d78p-4, 0x1.7fa52042d7a0bp-4, 0x1.7bf1fc2744e4fp-4, 0x1.78433939288bp-4, 0x1.7498e6e8abeeep-4, 0x1.70f31438e6757p-4, 0x1.6d51cfc11d328p-4, 0x1.69b527adfe29cp-4, 0x1.661d29c2d3d14p-4, 0x1.6289e35ab6785p-4, 0x1.5efb6169b6fe6p-4, 0x1.5b71b07e05ab4p-4, 0x1.57ecdcc114cefp-4, 0x1.546cf1f8b9446p-4, 0x1.50f1fb8843be1p-4, 0x1.4d7c047199316p-4, 0x1.4a0b175647bd8p-4, 0x1.469f3e789785dp-4, 0x1.433883bc98bcap-4, 0x1.3fd6f0a930f8fp-4, 0x1.3c7a8e692480cp-4, 0x1.392365cc1b87dp-4, 0x1.35d17f47a821dp-4, 0x1.3284e2f848569p-4, 0x1.2f3d98a269cadp-4, 0x1.2bfba7b366331p-4, 0x1.28bf1742820fcp-4, 0x1.2587ee11e94ccp-4, 0x1.2256328faaa62p-4, 0x1.1f29ead6b149bp-4, 0x1.1c031cafbe1f9p-4, 0x1.18e1cd925ec87p-4, 0x1.15c602a5e5503p-4, 0x1.12afc0c25d976p-4, 0x1.0f9f0c7183ca5p-4, 0x1.0c93e9efb8082p-4, 0x1.098e5d2cf58e8p-4, 0x1.068e69cdc2ae7p-4, 0x1.0394132c2770cp-4, 0x1.009f5c589ef3ep-4, 0x1.fb60903616244p-5, 0x1.f58db1e74df59p-5, 0x1.efc62237f2e11p-5, 0x1.ea09e50f8b3f3p-5, 0x1.e458fdcbfc7b7p-5, 0x1.deb36f436d1a9p-5, 0x1.d9193bc62775bp-5, 0x1.d38a65207f9f6p-5, 0x1.ce06ec9cb023ap-5, 0x1.c88ed304c47fcp-5, 0x1.c32218a473c5ep-5, 0x1.bdc0bd4b0573ep-5, 0x1.b86ac04d353cap-5, 0x1.b320208710215p-5, 0x1.ade0dc5ddab14p-5, 0x1.a8acf1c1ecbafp-5, 0x1.a3845e3094071p-5, 0x1.9e671eb5f5aacp-5, 0x1.99552feee9b92p-5, 0x1.944e8e0add49dp-5, 0x1.8f5334cdb154fp-5, 0x1.8a631f919718ap-5, 0x1.857e4948ed8cbp-5, 0x1.80a4ac801d13fp-5, 0x1.7bd6435f75fe3p-5, 0x1.771307ad0968dp-5, 0x1.725af2ce816b8p-5, 0x1.6dadfdcafcc9bp-5, 0x1.690c214ce3404p-5, 0x1.647555a3bf745p-5, 0x1.5fe992c60eae8p-5, 0x1.5b68d0531a6f9p-5, 0x1.56f30594c55aep-5, 0x1.528829815f2ap-5, 0x1.4e2832bd724b3p-5, 0x1.49d3179d8fbdbp-5, 0x1.4588ce281cafdp-5, 0x1.41494c171a22ap-5, 0x1.3d1486d9edf4fp-5, 0x1.38ea739724e5fp-5, 0x1.34cb072e34f0ep-5, 0x1.30b63639416bep-5, 0x1.2cabf50ed65a9p-5, 0x1.28ac37c3a7455p-5, 0x1.24b6f22c40583p-5, 0x1.20cc17dec6a28p-5, 0x1.1ceb9c34a33a2p-5, 0x1.1915724c3784ep-5, 0x1.15498d0a8b869p-5, 0x1.1187df1cf57fap-5, 0x1.0dd05afac4b68p-5, 0x1.0a22f2e6e3752p-5, 0x1.067f98f177f83p-5, 0x1.02e63ef981d9dp-5, 0x1.feadad5ce73adp-6, 0x1.f7a2a323943dap-6, 0x1.f0ab41f140463p-6, 0x1.e9c76c1a77277p-6, 0x1.e2f703a13573cp-6, 0x1.dc39ea37f21p-6, 0x1.d5900144ab4b6p-6, 0x1.cef929e3e6988p-6, 0x1.c87544eba4501p-6, 0x1.c20432ee4feebp-6, 0x1.bba5d43dacce4p-6, 0x1.b55a08eda989dp-6, 0x1.af20b0d74390fp-6, 0x1.a8f9ab9b48401p-6, 0x1.a2e4d8a52573bp-6, 0x1.9ce2172da012ep-6, 0x1.96f1463d84f7ep-6, 0x1.911244b057bcep-6, 0x1.8b44f136fa7eep-6, 0x1.85892a5a375edp-6, 0x1.7fdece7d5ae5cp-6, 0x1.7a45bbe0ba013p-6, 0x1.74bdd0a42c08bp-6, 0x1.6f46eac97fd69p-6, 0x1.69e0e836e706cp-6, 0x1.648ba6b956a74p-6, 0x1.5f470406dd5a7p-6, 0x1.5a12ddc0f1bcp-6, 0x1.54ef1176bbd8bp-6, 0x1.4fdb7ca74fdf2p-6, 0x1.4ad7fcc3da098p-6, 0x1.45e46f31c91efp-6, 0x1.4100b14cef1b3p-6, 0x1.3c2ca0699a184p-6, 0x1.376819d69a388p-6, 0x1.32b2fadf46dc6p-6, 0x1.2e0d20cd72f5p-6, 0x1.297668eb62be7p-6, 0x1.24eeb085afe34p-6, 0x1.2075d4ed21a8bp-6, 0x1.1c0bb37883b33p-6, 0x1.17b029866c9b8p-6, 0x1.1363147f004abp-6, 0x1.0f2451d5a65fbp-6, 0x1.0af3bf0ab823cp-6, 0x1.06d139ad206bp-6, 0x1.02bc9f5bf7f13p-6, 0x1.fd6b9b9031203p-7, 0x1.f579456b435dcp-7, 0x1.eda1f7fb006ccp-7, 0x1.e5e56f1db78fep-7, 0x1.de4366e10c20dp-7, 0x1.d6bb9b84bae19p-7, 0x1.cf4dc97d5b14ap-7, 0x1.c7f9ad76f82d4p-7, 0x1.c0bf0457ace8p-7, 0x1.b99d8b4223a5cp-7, 0x1.b294ff9803129p-7, 0x1.aba51efc4cb9ep-7, 0x1.a4cda755b8ca3p-7, 0x1.9e0e56d0e4cf1p-7, 0x1.9766ebe28add9p-7, 0x1.90d725499157ep-7, 0x1.8a5ec2112a2cbp-7, 0x1.83fd8192c23cbp-7, 0x1.7db32377f0bf7p-7, 0x1.777f67bc59feap-7, 0x1.71620eaf7482ap-7, 0x1.6b5ad8f6489e1p-7, 0x1.6569878d207e3p-7, 0x1.5f8ddbc925ef9p-7, 0x1.59c79759f648cp-7, 0x1.54167c4b26d9dp-7, 0x1.4e7a4d05ae9e3p-7, 0x1.48f2cc515427cp-7, 0x1.437fbd5601c83p-7, 0x1.3e20e39d0cc82p-7, 0x1.38d60312781d3p-7, 0x1.339ee00611442p-7, 0x1.2e7b3f2ca8d4ep-7, 0x1.296ae5a118d82p-7, 0x1.246d98e549d91p-7, 0x1.1f831ee334719p-7, 0x1.1aab3dedc7d1cp-7, 0x1.15e5bcc1cf02dp-7, 0x1.11326286c2e1fp-7, 0x1.0c90f6cf91d53p-7, 0x1.0801419b6b95p-7, 0x1.03830b5664da3p-7, 0x1.fe2c39b43fefcp-8, 0x1.f5747edce1eaep-8, 0x1.ecde7993c3fadp-8, 0x1.e469be2486f63p-8, 0x1.dc15e1ba42adp-8, 0x1.d3e27a607571ap-8, 0x1.cbcf1f03c9695p-8, 0x1.c3db6772d70bdp-8, 0x1.bc06ec5ecb7d9p-8, 0x1.b451475bff268p-8, 0x1.acba12e266d91p-8, 0x1.a540ea4e193dap-8, 0x1.9de569df9f53p-8, 0x1.96a72ebc48df9p-8, 0x1.8f85d6ee6474dp-8, 0x1.888101657382p-8, 0x1.81984df643615p-8, 0x1.7acb5d5aebef9p-8, 0x1.7419d132d6ddap-8, 0x1.6d834c02a7c39p-8, 0x1.6707713419818p-8, 0x1.60a5e515c9e52p-8, 0x1.5a5e4cdb003dbp-8, 0x1.54304e9b627ccp-8, 0x1.4e1b9152aa9f1p-8, 0x1.481fbce021411p-8, 0x1.423c7a063609dp-8, 0x1.3c71726a0a92fp-8, 0x1.36be5092df329p-8, 0x1.3122bfe96dc1bp-8, 0x1.2b9e6cb7561d9p-8, 0x1.2631042676f5ep-8, 0x1.20da34402a2cbp-8, 0x1.1b99abec8c786p-8, 0x1.166f1af1abf95p-8, 0x1.115a31f2a79b4p-8, 0x1.0c5aa26eda929p-8, 0x1.07701ec0f46c3p-8, 0x1.029a5a1e003b1p-8, 0x1.fbb21128da5abp-9, 0x1.f257be161b1fbp-9, 0x1.e9252680175efp-9, 0x1.e019b78faf61fp-9, 0x1.d734e0183a052p-9, 0x1.ce76109517386p-9, 0x1.c5dcbb2765f76p-9, 0x1.bd685393cc454p-9, 0x1.b5184f3feb473p-9, 0x1.acec252fedd47p-9, 0x1.a4e34e040c545p-9, 0x1.9cfd43f604c95p-9, 0x1.953982d68f7c3p-9, 0x1.8d97880abff26p-9, 0x1.8616d2895230dp-9, 0x1.7eb6e2d7df397p-9, 0x1.77773b083e01fp-9, 0x1.70575eb5b2e06p-9, 0x1.6956d302321b7p-9, 0x1.62751e93636e4p-9, 0x1.5bb1c98ff3cbep-9, 0x1.550c5d9c9df4p-9, 0x1.4e8465d93d295p-9, 0x1.48196eddefabep-9, 0x1.41cb06b831512p-9, 0x1.3b98bce7af2d9p-9, 0x1.3582225b7701cp-9, 0x1.2f86c96ec4b25p-9, 0x1.29a645e633f54p-9, 0x1.23e02cec8047bp-9, 0x1.1e34150f97a48p-9, 0x1.18a1963d8ae3ep-9, 0x1.132849c16796ap-9, 0x1.0dc7ca4034c82p-9, 0x1.087fb3b5ccd96p-9, 0x1.034fa371cde0ep-9, 0x1.fc6e7028d3e72p-10, 0x1.f26c2316a606fp-10, 0x1.e897a21d3dba1p-10, 0x1.def0323b3c62fp-10, 0x1.d5751af7944bcp-10, 0x1.cc25a65b3a1cp-10, 0x1.c30120eacf8cfp-10, 0x1.ba06d9a08d2a8p-10, 0x1.b13621e5e5263p-10, 0x1.a88e4d8d72b94p-10, 0x1.a00eb2cc626b5p-10, 0x1.97b6aa346715ep-10, 0x1.8f858eadadc7bp-10, 0x1.877abd704bac5p-10, 0x1.7f9595fe5dd89p-10, 0x1.77d57a1dbbe04p-10, 0x1.7039cdd1cf93bp-10, 0x1.68c1f7553c533p-10, 0x1.616d5f1432a62p-10, 0x1.5a3b6fa5d640dp-10, 0x1.532b95c6aca12p-10, 0x1.4c3d40521878dp-10, 0x1.456fe03c72b89p-10, 0x1.3ec2e88d1a99p-10, 0x1.3835ce5848d6fp-10, 0x1.31c808b9622a5p-10, 0x1.2b7910ccd3847p-10, 0x1.254861aa2c3bp-10, 0x1.1f35785e46d65p-10, 0x1.193fd3e57c013p-10, 0x1.1366f525bef4bp-10, 0x1.0daa5ee8f22fp-10, 0x1.080995d703df4p-10, 0x1.028420705b445p-10, 0x1.fa330e0feaa4ep-11, 0x1.ef92a77bffcabp-11, 0x1.e52624f3fece3p-11, 0x1.daeca1cafafa2p-11, 0x1.d0e53ccc8b4d2p-11, 0x1.c70f18321475ap-11, 0x1.bd695997cf3ffp-11, 0x1.b3f329f1f3f1fp-11, 0x1.aaabb582088e4p-11, 0x1.a1922bcc073bap-11, 0x1.98a5bf8bef2fap-11, 0x1.8fe5a6ab0487cp-11, 0x1.87511a35d7a62p-11, 0x1.7ee7565124aa3p-11, 0x1.76a79a30b5735p-11, 0x1.6e91280c1363cp-11, 0x1.66a3451512047p-11, 0x1.5edd396da102fp-11, 0x1.573e501dbfbcbp-11, 0x1.4fc5d709d00a8p-11, 0x1.48731ee91a5c9p-11, 0x1.41457b3b984a2p-11, 0x1.3a3c4240c6972p-11, 0x1.3356ccedbd004p-11, 0x1.2c9476e46608dp-11, 0x1.25f49e6978607p-11, 0x1.1f76a45c1a53bp-11, 0x1.1919ec2be63adp-11, 0x1.12dddbd0635afp-11, 0x1.0cc1dbbfdbbf7p-11, 0x1.06c556e6aa8c9p-11, 0x1.00e7ba9e2d17dp-11, 0x1.f650ed48ce0a7p-12, 0x1.eb0dfa2672d0ep-12, 0x1.e00584b00126fp-12, 0x1.d5367a55cf2e4p-12, 0x1.ca9fcd0d64695p-12, 0x1.c0407341512d6p-12, 0x1.b61767c0a1a5cp-12, 0x1.ac23a9ae85fbdp-12, 0x1.a2643c727b4c8p-12, 0x1.98d827a8d3311p-12, 0x1.8f7e7712917ebp-12, 0x1.86563a868c084p-12, 0x1.7d5e85e2066b4p-12, 0x1.749670f911f6dp-12, 0x1.6bfd17882bfa8p-12, 0x1.6391992514926p-12, 0x1.5b531930dee6dp-12, 0x1.5340bec8b91cp-12, 0x1.4b59b4b88c3bap-12, 0x1.439d296c76091p-12, 0x1.3c0a4ee29d5afp-12, 0x1.34a05a9dd59f7p-12, 0x1.2d5e8598009f7p-12, 0x1.26440c349616fp-12, 0x1.1f502e33831eap-12, 0x1.18822ea427c2ep-12, 0x1.11d953d7ffeedp-12, 0x1.0b54e75690278p-12, 0x1.04f435cfba3fap-12, 0x1.fd6d1e20c3a31p-13, 0x1.f1368beb67633p-13, 0x1.e54360c198cebp-13, 0x1.d9924e56a3b0ap-13, 0x1.ce220c360111cp-13, 0x1.c2f157ad17f7bp-13, 0x1.b7fef3b370ecep-13, 0x1.ad49a8d43ee7ep-13, 0x1.a2d045182e73fp-13, 0x1.98919beebdf5p-13, 0x1.8e8c8618ec313p-13, 0x1.84bfe1938a146p-13, 0x1.7b2a9181b8967p-13, 0x1.71cb7e187cf4p-13, 0x1.68a19488f76c3p-13, 0x1.5fabc6ecac853p-13, 0x1.56e90c31cf36ap-13, 0x1.4e58600673db6p-13, 0x1.45f8c2c5a5ec6p-13, 0x1.3dc9396404226p-13, 0x1.35c8cd5cbcf8ap-13, 0x1.2df68c9e680e3p-13, 0x1.2651897899fbp-13, 0x1.1ed8da8a31b06p-13, 0x1.178b9aae8037bp-13, 0x1.1068e8ebc8842p-13, 0x1.096fe8621956ep-13, 0x1.029fc039e5622p-13, 0x1.f7ef37258b854p-14, 0x1.eaed52e55beb9p-14, 0x1.de38396b2d6bp-14, 0x1.d1ce57fb70157p-14, 0x1.c5ae2345103f2p-14, 0x1.b9d61741f90d1p-14, 0x1.ae44b71994d21p-14, 0x1.a2f88d01231eep-14, 0x1.97f02a1d0655cp-14, 0x1.8d2a2664884aap-14, 0x1.82a520824c105p-14, 0x1.785fbdb8d7ac2p-14, 0x1.6e58a9c577b58p-14, 0x1.648e96c4a9df2p-14, 0x1.5b003d160e719p-14, 0x1.51ac5b407245ep-14, 0x1.4891b5d836ef9p-14, 0x1.3faf1764a68edp-14, 0x1.37035045c89edp-14, 0x1.2e8d369a84688p-14, 0x1.264ba6270f1dfp-14, 0x1.1e3d803d7f0a4p-14, 0x1.1661aba3b4bb3p-14, 0x1.0eb7147bfc9a1p-14, 0x1.073cac2db61aep-14, 0x1.ffe2d29b127dep-15, 0x1.f1a88f0d40726p-15, 0x1.e3c88f06b7866p-15, 0x1.d640ddaf783bcp-15, 0x1.c90f8fd73b26ap-15, 0x1.bc32c3c87f7dap-15, 0x1.afa8a11eb52e6p-15, 0x1.a36f589bfadcp-15, 0x1.9785240200bf2p-15, 0x1.8be845e7c3667p-15, 0x1.809709923042cp-15, 0x1.758fc2cd766a6p-15, 0x1.6ad0cdc43ba71p-15, 0x1.60588edc77b59p-15, 0x1.562572901e395p-15, 0x1.4c35ed4a4b0ccp-15, 0x1.42887b407f904p-15, 0x1.391ba04ffe2d5p-15, 0x1.2fede7dbd0441p-15, 0x1.26fde4a9441a4p-15, 0x1.1e4a30bf08914p-15, 0x1.15d16d4415b29p-15, 0x1.0d92425a58688p-15, 0x1.058b5f042438p-15, 0x1.fb76f20408706p-16, 0x1.ec429965fafdcp-16, 0x1.dd7739ef87fe6p-16, 0x1.cf1266249e9b1p-16, 0x1.c111bd169adcfp-16, 0x1.b372ea2089043p-16, 0x1.a633a4b7a517ap-16, 0x1.9951b02e14acfp-16, 0x1.8ccadb78aae9ep-16, 0x1.809d00fb51147p-16, 0x1.74c6065468d92p-16, 0x1.6943dc25cfd76p-16, 0x1.5e147de2f88a5p-16, 0x1.5335f19d382fdp-16, 0x1.48a647d1147d5p-16, 0x1.3e639b3359d8dp-16, 0x1.346c108304a31p-16, 0x1.2abdd659224p-16, 0x1.215724f7c67eep-16, 0x1.18363e203b72p-16, 0x1.0f596ce1c23cap-16, 0x1.06bf056df2de2p-16, 0x1.fccac9dfcf0a9p-17, 0x1.ec95e2bf44a2p-17, 0x1.dcdc32ac7f6cbp-17, 0x1.cd9aa7c92aa0cp-17, 0x1.bece40d7e8a79p-17, 0x1.b0740ceb59963p-17, 0x1.a2892b13a6a05p-17, 0x1.950aca14beae4p-17, 0x1.87f6281e124c4p-17, 0x1.7b4892772a1dep-17, 0x1.6eff6537b663bp-17, 0x1.63180b061d96ep-17, 0x1.578ffccaca286p-17, 0x1.4c64c169191d9p-17, 0x1.4193ed7ea755ep-17, 0x1.371b231d1c37dp-17, 0x1.2cf8118d7b837p-17, 0x1.2328750926d03p-17, 0x1.19aa167ca90ebp-17, 0x1.107acb4955b4fp-17, 0x1.07987508f8acdp-17, 0x1.fe02029860f5cp-18, 0x1.ed64d2cb7b467p-18, 0x1.dd556455e8b13p-18, 0x1.cdcfd7750b413p-18, 0x1.bed0628fcbd8ep-18, 0x1.b05351c73b06p-18, 0x1.a255067f4b9cp-18, 0x1.94d1f6f9449ccp-18, 0x1.87c6adf3f92c4p-18, 0x1.7b2fca3cb173cp-18, 0x1.6f09fe4772458p-18, 0x1.63520fcf51504p-18, 0x1.5804d777e413ap-18, 0x1.4d1f406b47cbep-18, 0x1.429e47f78a43bp-18, 0x1.387efd3d9e6ep-18, 0x1.2ebe80cd34ddcp-18, 0x1.255a044e986bp-18, 0x1.1c4eca25c1aefp-18, 0x1.139a252416b6ep-18, 0x1.0b39783dd7807p-18, 0x1.032a361d899d2p-18, 0x1.f6d3c1c16697bp-19, 0x1.e7ec1399ba0c2p-19, 0x1.d998a20687196p-19, 0x1.cbd4ca42e44b6p-19, 0x1.be9c061268643p-19, 0x1.b1e9eb17886afp-19, 0x1.a5ba2a3980766p-19, 0x1.9a088f3a9a44p-19, 0x1.8ed10016048d5p-19, 0x1.840f7c75961a9p-19, 0x1.79c01d26e22b3p-19, 0x1.6fdf139f86511p-19, 0x1.6668a97c09e04p-19, 0x1.5d593ffade6e4p-19, 0x1.54ad4f814c34ap-19, 0x1.4c6167171895dp-19, 0x1.44722bf910ef4p-19, 0x1.3cdc5933cea6ap-19, 0x1.359cbf08c453p-19, 0x1.2eb04294abdbap-19, 0x1.2813dd5b6e755p-19, 0x1.21c49cdbbddp-19, 0x1.1bbfa22a2315cp-19, 0x1.160221783c7a5p-19, 0x1.108961a8ce50bp-19, 0x1.0b52bbf15aed3p-19, 0x1.065b9b8dc648dp-19, 0x1.01a17d4c457d9p-19, 0x1.fa43de325bf32p-20, 0x1.f1b51f81ad592p-20, 0x1.e9921cff5e2bbp-20, 0x1.e1d65569bdd7bp-20, 0x1.da7d66fc8c211p-20, 0x1.d3830ec4e9c53p-20, 0x1.cce327fbfb823p-20, 0x1.c699ab59b956cp-20, 0x1.c0a2ae7c8e905p-20, 0x1.bafa634d5ae5ap-20, 0x1.b59d174858227p-20, 0x1.b08732e2c5d75p-20, 0x1.abb538f71dec7p-20, 0x1.a723c649e028bp-20, 0x1.a2cf90e8c1ac1p-20, 0x1.9eb567880cf0dp-20, 0x1.9ad230efd1b52p-20, 0x1.9722eb8ac1493p-20, 0x1.93a4ace3d217fp-20, 0x1.9054a126e42fbp-20, 0x1.8d300a6c1a1dep-20, 0x1.8a34405db65d2p-20, 0x1.875eafb9e13fdp-20, 0x1.84acd9d9cd229p-20, 0x1.821c5425ab2d4p-20, 0x1.7faac7b59a4dfp-20, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.0e15d638cd8dap-8, -0x1.0e1cf890d98f3p-7, -0x1.9541899c6bbbcp-7, -0x1.0e451a9263ef1p-6, -0x1.5207671dcf916p-6, -0x1.95f6232ff6009p-6, -0x1.da217f8385856p-6, -0x1.0f4d3a3ec5656p-5, -0x1.31b8ea785694dp-5, -0x1.545bb9e67f09ep-5, -0x1.773cb29311c8fp-5, -0x1.9a61af4efc921p-5, -0x1.bdcf1c53a797fp-5, -0x1.e187c835e92a8p-5, -0x1.02c6623ddb4b9p-4, -0x1.14eeaa5bc184ep-4, -0x1.273b755cc8912p-4, -0x1.39aa97170d66fp-4, -0x1.4c3906eef36d5p-4, -0x1.5ee2ec5e7071cp-4, -0x1.71a3ae7e5fbfp-4, -0x1.847605bacdc3ap-4, -0x1.97540eef76ec2p-4, -0x1.aa375f4236693p-4, -0x1.bd19182bdf402p-4, -0x1.cff1fb3ad7dbap-4, -0x1.e2ba7d34f59d3p-4, -0x1.f56ad85578653p-4, -0x1.03fd8ebcabd1ap-3, -0x1.0d31a20ec8643p-3, -0x1.164d9c90e19bdp-3, -0x1.1f4d762659dfap-3, -0x1.282d2e4c68034p-3, -0x1.30e8d1aa6cff5p-3, -0x1.397c7f143a385p-3, -0x1.41e46c0751b18p-3, -0x1.4a1ce8ac6c67p-3, -0x1.522263667c273p-3, -0x1.59f16bf7debc8p-3, -0x1.6186b645c4c53p-3, -0x1.68df1cc0ff012p-3, -0x1.6ff7a27a9000ep-3, -0x1.76cd74e98b41dp-3, -0x1.7d5ded6719172p-3, -0x1.83a69264c7b27p-3, -0x1.89a51860d83ep-3, -0x1.8f57629bc1fb2p-3, -0x1.94bb8391f093cp-3, -0x1.99cfbd3c674fcp-3, -0x1.9e92811b128cfp-3, -0x1.a302700b4fbd7p-3, -0x1.a71e59ed62d24p-3, -0x1.aae53d1b88ebcp-3, -0x1.ae5645b57d1ccp-3, -0x1.b170ccc365797p-3, -0x1.b434573316c03p-3, -0x1.b6a094b2f07bdp-3, -0x1.b8b55e6d75948p-3, -0x1.ba72b5a8f060cp-3, -0x1.bbd8c24e7bd4bp-3, -0x1.bce7d15bbffep-3, -0x1.bda05342bfd27p-3, -0x1.be02da3af5c7fp-3, -0x1.be101887073e8p-3, -0x1.bdc8deb20dbffp-3, -0x1.bd2e19c795a6ep-3, -0x1.bc40d18912bd6p-3, -0x1.bb0226a388c18p-3, -0x1.b97350e7daf84p-3, -0x1.b7959d882c4cbp-3, -0x1.b56a6d5c552f6p-3, -0x1.b2f3332f762f6p-3, -0x1.b0317218475b1p-3, -0x1.ad26bbddb9069p-3, -0x1.a9d4af692ef21p-3, -0x1.a63cf747710bdp-3, -0x1.a2614839402cep-3, -0x1.9e435fd44cd08p-3, -0x1.99e503351ba13p-3, -0x1.9547fdc23c21bp-3, -0x1.906e20011c371p-3, -0x1.8b593e7c7b369p-3, -0x1.860b30bc8c4cep-3, -0x1.8085d0508e312p-3, -0x1.7acaf7e9a9849p-3, -0x1.74dc8286a9ae1p-3, -0x1.6ebc4ab02b09ep-3, -0x1.686c29c4bb5dap-3, -0x1.61edf7545c4efp-3, -0x1.5b43888ac441bp-3, -0x1.546eafa7be679p-3, -0x1.4d713b84eb21ap-3, -0x1.464cf7283a749p-3, -0x1.3f03a9625720cp-3, -0x1.379714784eefp-3, -0x1.3008f5d7b5cb9p-3, -0x1.285b05d486925p-3, -0x1.208ef7700d3b2p-3, -0x1.18a678281c657p-3, -0x1.10a32fcdde599p-3, -0x1.0886c0639c1fep-3, -0x1.0052c600c57b9p-3, -0x1.f011ad774dc8ep-4, -0x1.df5505305e548p-4, -0x1.ce72a6f66c86bp-4, -0x1.bd6d9a436d8dep-4, -0x1.ac48da370a2cap-4, -0x1.9b075591fb40cp-4, -0x1.89abeeb687e6p-4, -0x1.78397bad4e3aap-4, -0x1.66b2c62d9cfffp-4, -0x1.551a8ba8a58bcp-4, -0x1.43737d56edb15p-4, -0x1.31c0404770ad3p-4, -0x1.20036d6ff00e9p-4, -0x1.0e3f91bdf7b7ep-4, -0x1.f8ee5c507eebdp-5, -0x1.d5596f7ffe71cp-5, -0x1.b1c52f83f81a8p-5, -0x1.8e36574df8c3bp-5, -0x1.6ab18a66fc43ap-5, -0x1.473b550ce111ap-5, -0x1.23d82c4dc142fp-5, -0x1.008c6e20e8ba2p-5, -0x1.bab8c2fa948edp-6, -0x1.74986cdac00b8p-6, -0x1.2ec00c40d981dp-6, -0x1.d26f4be4b77bep-7, -0x1.480e2267cfd09p-7, -0x1.7cd7df72dacebp-8, -0x1.acbd6655270dfp-10, 0x1.4980206f76259p-9, 0x1.b2d9d699a6b86p-8, 0x1.5f8113b06d432p-7, 0x1.e48ef2c49c442p-7, 0x1.3444aa51413dap-6, 0x1.75b1b0042e05p-6, 0x1.b6884b334a0a4p-6, 0x1.f6c269f79838bp-6, 0x1.1b2d13e9a0f71p-5, 0x1.3aa4e6dcfa807p-5, 0x1.59c5e90c802acp-5, 0x1.788d6c6f33ee2p-5, 0x1.96f8d9bf54ce6p-5, 0x1.b505b07c440bbp-5, 0x1.d2b186eb545f6p-5, 0x1.effa0a1720bfp-5, 0x1.066e7ee6aa985p-4, 0x1.14ac1e4d56685p-4, 0x1.22b4dbe275d82p-4, 0x1.3087bba15b252p-4, 0x1.3e23ccd88d495p-4, 0x1.4b882a234c83p-4, 0x1.58b3f961cc202p-4, 0x1.65a66bb00ff74p-4, 0x1.725ebd5b5f799p-4, 0x1.7edc35d644b25p-4, 0x1.8b1e27ab0898cp-4, 0x1.9723f06caa11bp-4, 0x1.a2ecf8a641603p-4, 0x1.ae78b3c8d499p-4, 0x1.b9c6a017922fdp-4, 0x1.c4d646927225dp-4, 0x1.cfa73adf39199p-4, 0x1.da391b30f362ap-4, 0x1.e48b902dbbe42p-4, 0x1.ee9e4cd3116f2p-4, 0x1.f8710e58826aep-4, 0x1.0101ce0875489p-3, 0x1.05aae3a50b62ap-3, 0x1.0a33b595856adp-3, 0x1.0e9c364860587p-3, 0x1.12e45cf4caeb4p-3, 0x1.170c2587ab96p-3, 0x1.1b13909003af9p-3, 0x1.1efaa32aaaa2p-3, 0x1.22c166ed77f72p-3, 0x1.2667e9d1d2959p-3, 0x1.29ee3e1ebeb02p-3, 0x1.2d547a525a926p-3, 0x1.309ab90ae9148p-3, 0x1.33c118ef5f269p-3, 0x1.36c7bc978b53dp-3, 0x1.39aeca73d1144p-3, 0x1.3c766cb489851p-3, 0x1.3f1ed1310d0bdp-3, 0x1.41a8294e73172p-3, 0x1.4412a9e60557fp-3, 0x1.465e8b2b7f15ep-3, 0x1.488c089310b2dp-3, 0x1.4a9b60b732cdfp-3, 0x1.4c8cd53e5e21ep-3, 0x1.4e60aac096874p-3, 0x1.501728acf1904p-3, 0x1.51b0992efc9ap-3, 0x1.532d49142904bp-3, 0x1.548d87b131639p-3, 0x1.55d1a6c78777ap-3, 0x1.56f9fa6ad03e1p-3, 0x1.5806d8e67195ep-3, 0x1.58f89aa341525p-3, 0x1.59cf9a0d4cee7p-3, 0x1.5a8c3379d364p-3, 0x1.5b2ec50d606fp-3, 0x1.5bb7aea228e8fp-3, 0x1.5c2751ae915c1p-3, 0x1.5c7e112bff5b8p-3, 0x1.5cbc517de2458p-3, 0x1.5ce278590f95dp-3, 0x1.5cf0ecab5e8cep-3, 0x1.5ce81683a499p-3, 0x1.5cc85ef9f65b8p-3, 0x1.5c9230184cf48p-3, 0x1.5c45f4c384259p-3, 0x1.5be418a4b8554p-3, 0x1.5b6d08130716bp-3, 0x1.5ae12ffdb77cap-3, 0x1.5a40fdd6cbf99p-3, 0x1.598cdf7dfcedp-3, 0x1.58c5432c266a8p-3, 0x1.57ea975f21518p-3, 0x1.56fd4ac612426p-3, 0x1.55fdcc2e2aeddp-3, 0x1.54ec8a6fe0608p-3, 0x1.53c9f45c9ab19p-3, 0x1.529678acda8ffp-3, 0x1.515285eed9f3ep-3, 0x1.4ffe8a75a633fp-3, 0x1.4e9af448b1ba9p-3, 0x1.4d283113ea8d5p-3, 0x1.4ba6ae183ec7dp-3, 0x1.4a16d81ca96ep-3, 0x1.48791b5fb51bdp-3, 0x1.46cde38979da9p-3, 0x1.45159b9e199ffp-3, 0x1.4350adf0b54f1p-3, 0x1.417f8416e062ep-3, 0x1.3fa286dc86f27p-3, 0x1.3dba1e3857a6p-3, 0x1.3bc6b1409f245p-3, 0x1.39c8a620995ep-3, 0x1.37c0620e40a1fp-3, 0x1.35ae49408f0a9p-3, 0x1.3392bee62fa16p-3, 0x1.316e251ca8044p-3, 0x1.2f40dce7f0defp-3, 0x1.2d0b462a7efbep-3, 0x1.2acdbf9dbc0b1p-3, 0x1.2888a6cae733dp-3, 0x1.263c580468e12p-3, 0x1.23e92e5f89129p-3, 0x1.218f83ae8d77fp-3, 0x1.1f2fb07b4580dp-3, 0x1.1cca0c01ed809p-3, 0x1.1a5eec2c7fc62p-3, 0x1.17eea58e5da9ap-3, 0x1.15798b605a3d3p-3, 0x1.12ffef7d1dd4ap-3, 0x1.1082225deb304p-3, 0x1.0e007317b12e9p-3, 0x1.0b7b2f587b7cep-3, 0x1.08f2a3653434ep-3, 0x1.06671a17b3c35p-3, 0x1.03d8dcdd253f9p-3, 0x1.014833b4b587bp-3, 0x1.fd6aca5d1c042p-4, 0x1.f8416cd62b7aap-4, 0x1.f314d6350374fp-4, 0x1.ede58af93b051p-4, 0x1.e8b40cc1c5ccfp-4, 0x1.e380da4d9414ep-4, 0x1.de4c6f7cb34fp-4, 0x1.d9174551eb816p-4, 0x1.d3e1d1f4d0cccp-4, 0x1.ceac88b44042bp-4, 0x1.c977da094d52fp-4, 0x1.c444339a95418p-4, 0x1.bf12003ffa686p-4, 0x1.b9e1a806baf39p-4, 0x1.b4b39035ebe3ep-4, 0x1.af881b533df47p-4, 0x1.aa5fa9282a4c4p-4, 0x1.a53a96c762088p-4, 0x1.a0193e928eb3fp-4, 0x1.9afbf84060262p-4, 0x1.95e318e2ddf07p-4, 0x1.90cef2edf6e45p-4, 0x1.8bbfd63e59155p-4, 0x1.86b610207cb18p-4, 0x1.81b1eb57ee2fcp-4, 0x1.7cb3b026c748ap-4, 0x1.77bba4555f5adp-4, 0x1.72ca0b3a2525bp-4, 0x1.6ddf25c1ab896p-4, 0x1.68fb3276d7e03p-4, 0x1.641e6d8b38745p-4, 0x1.5f4910df80f58p-4, 0x1.5a7b540c21d8dp-4, 0x1.55b56c6a03423p-4, 0x1.50f78d1b531a6p-4, 0x1.4c41e71474926p-4, 0x1.4794a924fc50dp-4, 0x1.42f00000c67bep-4, 0x1.3e5416491b305p-4, 0x1.39c11495de3aap-4, 0x1.3537217ed6902p-4, 0x1.30b661a4eeeb7p-4, 0x1.2c3ef7bb8dcf4p-4, 0x1.27d10491ed2e6p-4, 0x1.236ca71c7430cp-4, 0x1.1f11fc7e16f34p-4, 0x1.1ac12011b675p-4, 0x1.167a2b737e95p-4, 0x1.123d368a3fa9ap-4, 0x1.0e0a5790c40cfp-4, 0x1.09e1a31f2250ap-4, 0x1.05c32c3403d61p-4, 0x1.01af043de402ap-4, 0x1.fb4a76488c9c8p-5, 0x1.f34bbea1b790bp-5, 0x1.eb61fb7143276p-5, 0x1.e38d43c9d64dcp-5, 0x1.dbcdabf8c673cp-5, 0x1.d4234597ecb86p-5, 0x1.cc8e1f9f5ab7p-5, 0x1.c50e4676f112cp-5, 0x1.bda3c407c13bp-5, 0x1.b64e9fcd54725p-5, 0x1.af0edee6bec3p-5, 0x1.a7e48427897cfp-5, 0x1.a0cf90286aaf4p-5, 0x1.99d00157d1016p-5, 0x1.92e5d40a44447p-5, 0x1.8c11028a870a8p-5, 0x1.85518529945a5p-5, 0x1.7ea7524e55f5fp-5, 0x1.78125e853b51bp-5, 0x1.71929c8f8a867p-5, 0x1.6b27fd727e3f4p-5, 0x1.64d270862f3a7p-5, 0x1.5e91e38440389p-5, 0x1.58664296568bdp-5, 0x1.524f786457326p-5, 0x1.4c4d6e2261706p-5, 0x1.46600b9e99366p-5, 0x1.4087374eb39adp-5, 0x1.3ac2d65d44b37p-5, 0x1.3512ccb6db777p-5, 0x1.2f76fd16d1fcdp-5, 0x1.29ef4913ee902p-5, 0x1.247b912cbfd57p-5, 0x1.1f1bb4d3c69ap-5, 0x1.19cf927b5e33bp-5, 0x1.149707a1658bcp-5, 0x1.0f71f0dab0ec7p-5, 0x1.0a6029de40b26p-5, 0x1.05618d9030eb4p-5, 0x1.0075f60c7f706p-5, 0x1.f73a796315dcbp-6, 0x1.edae7454b0724p-6, 0x1.e4478cf1422dap-6, 0x1.db0571fd41ca1p-6, 0x1.d1e7d1115bbf4p-6, 0x1.c8ee56ad34ec4p-6, 0x1.c018ae49a78e9p-6, 0x1.b766826aa13a6p-6, 0x1.aed77cb08e1eap-6, 0x1.a66b45e94bf52p-6, 0x1.9e218620afdfep-6, 0x1.95f9e4b0abdeep-6, 0x1.8df40850f433bp-6, 0x1.860f972642f5p-6, 0x1.7e4c36d13ca2bp-6, 0x1.76a98c7ce1527p-6, 0x1.6f273cec8f618p-6, 0x1.67c4ec89b04d1p-6, 0x1.60823f70ef527p-6, 0x1.595ed97f15488p-6, 0x1.525a5e5d94f53p-6, 0x1.4b74718e91af2p-6, 0x1.44acb678a3265p-6, 0x1.3e02d0722eea1p-6, 0x1.377662cc6aae5p-6, 0x1.310710de0260ep-6, 0x1.2ab47e0d5f403p-6, 0x1.247e4ddaa3a5ep-6, 0x1.1e6423e9390bcp-6, 0x1.1865a4092f9e4p-6, 0x1.1282724022aacp-6, 0x1.0cba32d1e3591p-6, 0x1.070c8a48bf796p-6, 0x1.01791d7d943eep-6, 0x1.f7ff233ee7d0ep-7, 0x1.ed3f187632e6p-7, 0x1.e2b1668412859p-7, 0x1.d8555a22b515cp-7, 0x1.ce2a40f0ab8ffp-7, 0x1.c42f697d5a644p-7, 0x1.ba64235518bcbp-7, 0x1.b0c7bf0c9b9b1p-7, 0x1.a7598e4bfd0afp-7, 0x1.9e18e3d937fe8p-7, 0x1.950513a22148fp-7, 0x1.8c1d72c5ea61p-7, 0x1.8361579e419e8p-7, 0x1.7ad019c7be54p-7, 0x1.7269122a322a3p-7, 0x1.6a2b9b002d017p-7, 0x1.62170fde74294p-7, 0x1.5a2acdbaac1d1p-7, 0x1.526632f1f9cf7p-7, 0x1.4ac89f4ef571dp-7, 0x1.4351740f6b21cp-7, 0x1.3c0013e9962b1p-7, 0x1.34d3e31120798p-7, 0x1.2dcc473ba9d9fp-7, 0x1.26e8a7a50bd1fp-7, 0x1.20286d1347555p-7, 0x1.198b01da0ed7cp-7, 0x1.130fd1de079b2p-7, 0x1.0cb64a97d28e9p-7, 0x1.067ddb169b709p-7, 0x1.0065f4028a1abp-7, 0x1.f4dc0f3d8f6f5p-8, 0x1.e92b1396c5848p-8, 0x1.ddb7e00d8f8cfp-8, 0x1.d28162de407a7p-8, 0x1.c7868d86aa72ap-8, 0x1.bcc654c7bc93bp-8, 0x1.b23fb0a6ca974p-8, 0x1.a7f19c6e2e1b5p-8, 0x1.9ddb16ad7d85cp-8, 0x1.93fb213999cf1p-8, 0x1.8a50c12c05577p-8, 0x1.80dafee1f6569p-8, 0x1.7798e5fb31d78p-8, 0x1.6e89855828b5dp-8, 0x1.65abef1844749p-8, 0x1.5cff389757b03p-8, 0x1.54827a6b2e5edp-8, 0x1.4c34d06060a2p-8, 0x1.441559774d905p-8, 0x1.3c2337e0680bep-8, 0x1.345d90f899449p-8, 0x1.2cc38d44fc98cp-8, 0x1.2554586eadc1cp-8, 0x1.1e0f213e5372p-8, 0x1.16f3199744e6ep-8, 0x1.0fff7672b00aep-8, 0x1.09336fda42557p-8, 0x1.028e40e2f44aap-8, 0x1.f81e4f4e6eb47p-9, 0x1.eb6aca832c9cp-9, 0x1.df007b8d2310cp-9, 0x1.d2ddf07d19fcap-9, 0x1.c701bd3f9c796p-9, 0x1.bb6a7b8ff4268p-9, 0x1.b016caeb73dfdp-9, 0x1.a50550846e926p-9, 0x1.9a34b73439bfdp-9, 0x1.8fa3af6e094ddp-9, 0x1.8550ef30f8cbp-9, 0x1.7b3b31fa00feep-9, 0x1.716138b5ba40ap-9, 0x1.67c1c9b22c4f3p-9, 0x1.5e5bb0905b2cep-9, 0x1.552dbe359c3ecp-9, 0x1.4c36c8bcda892p-9, 0x1.4375ab67be35ap-9, 0x1.3ae9468fae624p-9, 0x1.32907f96ee853p-9, 0x1.2a6a40d96b51p-9, 0x1.2275799d9c6c8p-9, 0x1.1ab11e055787fp-9, 0x1.131c26fe5bf38p-9, 0x1.0bb59233bf63ap-9, 0x1.047c61fdd6d68p-9, 0x1.fadf3aa6d4f95p-10, 0x1.ed1c9f741e6acp-10, 0x1.dfaf126dab388p-10, 0x1.d294bc7eb6164p-10, 0x1.c5cbcf54462c4p-10, 0x1.b952853ee505p-10, 0x1.ad27211405aa3p-10, 0x1.a147ee0fa1cd6p-10, 0x1.95b33fb683337p-10, 0x1.8a6771b7d6babp-10, 0x1.7f62e7ce83b52p-10, 0x1.74a40da3daa8ap-10, 0x1.6a2956b128555p-10, 0x1.5ff13e22d1acp-10, 0x1.55fa46ba1e001p-10, 0x1.4c42fab0445abp-10, 0x1.42c9eb991ebc9p-10, 0x1.398db24637713p-10, 0x1.308ceeaa168fep-10, 0x1.27c647bb879acp-10, 0x1.1f386b599c44dp-10, 0x1.16e20e2f0895cp-10, 0x1.0ec1eb9630f1dp-10, 0x1.06d6c57da4388p-10, 0x1.fe3ec89976c18p-11, 0x1.ef352d8fcca8ep-11, 0x1.e08e63ec468b5p-11, 0x1.d248220bf00ep-11, 0x1.c4602a6688b43p-11, 0x1.b6d44b59b68a7p-11, 0x1.a9a25ef4a3555p-11, 0x1.9cc84ac536474p-11, 0x1.9043ffa498e4bp-11, 0x1.84137985491fep-11, 0x1.7834bf411fbf2p-11, 0x1.6ca5e267fbd1ap-11, 0x1.6164ff0ef1326p-11, 0x1.56703ba0a167ep-11, 0x1.4bc5c8acc726dp-11, 0x1.4163e0ba50e14p-11, 0x1.3748c8190b32p-11, 0x1.2d72ccb281118p-11, 0x1.23e045dd8703fp-11, 0x1.1a8f943130c1bp-11, 0x1.117f2158ff332p-11, 0x1.08ad5fe92156ep-11, 0x1.0018cb337fd15p-11, 0x1.ef7fce3b43911p-12, 0x1.df427fec6f5c3p-12, 0x1.cf76d4985bb12p-12, 0x1.c01a058c301f3p-12, 0x1.b1295bf4a9ae7p-12, 0x1.a2a2308f4f3fcp-12, 0x1.9481eb5aad549p-12, 0x1.86c6034b47e65p-12, 0x1.796bfdff45484p-12, 0x1.6c716f73ec0ebp-12, 0x1.5fd3f9bc4c743p-12, 0x1.53914cb96accep-12, 0x1.47a725d3dfc6bp-12, 0x1.3c134fb35f61fp-12, 0x1.30d3a1fc7d573p-12, 0x1.25e6010ae34f8p-12, 0x1.1b485dafa7351p-12, 0x1.10f8b4f01b1c6p-12, 0x1.06f50fc3f68bdp-12, 0x1.fa7705acb9e46p-13, 0x1.e7945c8f8fff8p-13, 0x1.d53e7ae04b928p-13, 0x1.c371cd44254b1p-13, 0x1.b22ad5e0997eap-13, 0x1.a1662be5be4a4p-13, 0x1.91207b1dba0c1p-13, 0x1.81568379101c8p-13, 0x1.720518a2309ecp-13, 0x1.6329218e6ce16p-13, 0x1.54bf9815cada3p-13, 0x1.46c5888846357p-13, 0x1.39381147b48aap-13, 0x1.2c146261d04cap-13, 0x1.1f57bd2f2eeedp-13, 0x1.12ff73ef34ec6p-13, 0x1.0708e96920408p-13, 0x1.f6e3211d1fc01p-14, 0x1.e06dd83d36a0bp-14, 0x1.caad1c9a7a74cp-14, 0x1.b59c30d4685c9p-14, 0x1.a13675125039ap-14, 0x1.8d7766572db76p-14, 0x1.7a5a9dde3ac12p-14, 0x1.67dbd07589becp-14, 0x1.55f6cddb85d4ep-14, 0x1.44a7802394e7p-14, 0x1.33e9eb1c4fa5bp-14, 0x1.23ba2bb69b82bp-14, 0x1.14147771134eep-14, 0x1.04f51bc6b2a13p-14, 0x1.ecb0fb3ef2ee3p-15, 0x1.d076318bd941p-15, 0x1.b532fec23e08dp-15, 0x1.9ae0b2d6fe45ap-15, 0x1.8178c85a792b5p-15, 0x1.68f4e3817edadp-15, 0x1.514ed129e00edp-15, 0x1.3a8085dd12586p-15, 0x1.24841ce019844p-15, 0x1.0f53d7498ad8dp-15, 0x1.f5d43644a34cfp-16, 0x1.ce82e4f2316bp-16, 0x1.a8a915165431dp-16, 0x1.843c65d166d69p-16, 0x1.6132b93f2502cp-16, 0x1.3f8232de1a81ep-16, 0x1.1f21360317cc8p-16, 0x1.0006643909998p-16, 0x1.c4513789feep-17, 0x1.8afdec7857a6bp-17, 0x1.54018e0ecb0cep-17, 0x1.1f4b33ddd4f46p-17, 0x1.d994c6def8071p-18, 0x1.78de1b5d85edfp-18, 0x1.1c531866877abp-18, 0x1.87aa7af970401p-19, 0x1.bd1b4535db131p-20, 0x1.e8adcb6348714p-22, -0x1.73d6cf53895fcp-21, -0x1.df974ee28e652p-20, -0x1.7ba1bb0943f3cp-19, -0x1.005614ae6445ap-18, -0x1.3f8eeb65d758ep-18, -0x1.7b942cbb82fd5p-18, -0x1.b47e00ebda97cp-18, -0x1.ea63f1903b4dp-18, -0x1.0eae76d52193p-17, -0x1.26bfa6b7c606dp-17, -0x1.3d706b022b316p-17, -0x1.52cb5ea6e3f9cp-17, -0x1.66dad6b4cb20dp-17, -0x1.79a8e42e8f2eap-17, -0x1.8b3f55be82153p-17, -0x1.9ba7b961c4cddp-17, -0x1.aaeb5e19c17bdp-17, -0x1.b913557a5f4d8p-17, -0x1.c6287543ebf55p-17, -0x1.d23358dfac69dp-17, -0x1.dd3c62d517d37p-17, -0x1.e74bbe377eafep-17, -0x1.f069602f5a565p-17, -0x1.f89d0943ff77ep-17, -0x1.ffee46bcb1ba7p-17, -0x1.033239f74d4ebp-16, -0x1.06035dc12a341p-16, -0x1.086e0c51b57e3p-16, -0x1.0a75ac2a4d871p-16, -0x1.0c1d8d42558dcp-16, -0x1.0d68e9a835ef9p-16, -0x1.0e5ae60439e48p-16, -0x1.0ef6922ff7474p-16, -0x1.0f3ee9b5a6289p-16, -0x1.0f36d45d9d477p-16, -0x1.0ee126a8f13cdp-16, -0x1.0e40a24e0ef09p-16, -0x1.0d57f6b7d3c33p-16, -0x1.0c29c184fa079p-16, -0x1.0ab88eee89a65p-16, -0x1.0906da42c0c9cp-16, -0x1.07170e534abc6p-16, -0x1.04eb85e00584ap-16, -0x1.02868bfaf86dap-16, -0x1.ffd4b8f0a8eddp-17, -0x1.fa3248a070306p-17, -0x1.f42a03f832046p-17, -0x1.edc00ba89564fp-17, -0x1.e6f864e202332p-17, -0x1.dfd6f9f93549ap-17, -0x1.d85f9b2e84f07p-17, -0x1.d095ff3a5e3ffp-17, -0x1.c87dc3ff3c432p-17, -0x1.c01a6f32b5c27p-17, -0x1.b76f6ef14f076p-17, -0x1.ae801a548aa62p-17, -0x1.a54fb20a9953bp-17, -0x1.9be160eb266cbp-17, -0x1.92383c7cc794ep-17, -0x1.8857457d52881p-17, -0x1.7e41686ff0e4ep-17, -0x1.73f97e27decd8p-17, -0x1.69824c2de0c93p-17, -0x1.5ede85434d75bp-17, -0x1.5410c9e45bdebp-17, -0x1.491ba8aac9f2fp-17, -0x1.3e019ec5255f7p-17, -0x1.32c51873108ep-17, -0x1.2768715c2057p-17, -0x1.1bedf50527204p-17, -0x1.1057df336b6f9p-17, -0x1.04a85c475a753p-17, -0x1.f1c3134edbdf9p-18, -0x1.da0aec2a84a32p-18, -0x1.c22c44142087ep-18, -0x1.aa2b002090aa7p-18, -0x1.920aea2b61883p-18, -0x1.79cfb1b23477bp-18, -0x1.617cec355e701p-18, -0x1.491615f3708cbp-18, -0x1.309e927f58fadp-18, -0x1.1819ad4d80e7bp-18, -0x1.ff1534ac29c05p-19, -0x1.cde8ed1cdbb2bp-19, -0x1.9cb4912235fefp-19, -0x1.6b7e01fad41d9p-19, -0x1.3a4af6564e08dp-19, -0x1.0920fb19ae21fp-19, -0x1.b00ae89823fcbp-20, -0x1.4dfb3c634462bp-20, -0x1.d83a3869e1bb8p-21, -0x1.14f4cd2ae7558p-21, -0x1.48e57c6d6a104p-23, 0x1.bf95e9d3bff3ap-23, 0x1.3155b5c9cc364p-21, 0x1.f205d3dd26434p-21, 0x1.58f26eb3922a3p-20, 0x1.b8712f8169819p-20, 0x1.0bbb99defb4f4p-19, 0x1.3afe61088929p-19, 0x1.69fd2f6572768p-19, 0x1.98b4656c40ecp-19, 0x1.c72081465b80bp-19, 0x1.f53e1de754217p-19, 0x1.1184f93c0412p-18, 0x1.284068f180a98p-18, 0x1.3ecfd5122d54fp-18, 0x1.5531c1c703d71p-18, 0x1.6b64c036a0ba2p-18, 0x1.81676e3bd65e5p-18, 0x1.9738760841a2cp-18, 0x1.acd68de0b97b3p-18, 0x1.c24077ee44621p-18, 0x1.d77501f94036p-18, 0x1.ec7305173e614p-18, 0x1.009cb2bc95a83p-17, 0x1.0ae3891eb4a81p-17, 0x1.150d828ffdee8p-17, 0x1.1f1a21236b7ep-17, 0x1.2908ec0366088p-17, 0x1.32d96f5c2dd49p-17, 0x1.3c8b3c3d6033p-17, 0x1.461de8766d124p-17, 0x1.4f910e8cb4c35p-17, 0x1.58e44d9707425p-17, 0x1.6217492686d7fp-17, 0x1.6b29a93075594p-17, 0x1.741b19ff01e8ep-17, 0x1.7ceb4c0b913f7p-17, 0x1.8599f3eea6dbap-17, 0x1.8e26ca48ced82p-17, 0x1.96918bb104e16p-17, 0x1.9ed9f89d58de7p-17, 0x1.a6ffd548b1bbfp-17, 0x1.af02e9a7291e6p-17, 0x1.b6e301505c111p-17, 0x1.be9feb6582d7fp-17, 0x1.c6397a8508a2ep-17, 0x1.cdaf84b81bc8p-17, 0x1.d501e35f9c959p-17, 0x1.dc307319c3491p-17, 0x1.e33b13bbac80cp-17, 0x1.ea21a844be7d9p-17, 0x1.f0e416b72a04cp-17, 0x1.f782481871d73p-17, 0x1.fdfc28600588fp-17, 0x1.0228d335b10ebp-16, 0x1.054159ed6d176p-16, 0x1.0847a28d8ee66p-16, 0x1.0b3ba8a19e67fp-16, 0x1.0e1d69071a5d7p-16, 0x1.10ece1e8ed5afp-16, 0x1.13aa12b254f03p-16, 0x1.1654fc0b52215p-16, 0x1.18ed9fd079f78p-16, 0x1.1b74010c04906p-16, 0x1.1de823f002e44p-16, 0x1.204a0dd123396p-16, 0x1.2299c51e5a12cp-16, 0x1.24d75158e5ea3p-16, 0x1.2702bb1088e54p-16, 0x1.291c0be19e1f2p-16, 0x1.2b234e669ab13p-16, 0x1.2d188e3457faep-16, 0x1.2efbd7d5b82e3p-16, 0x1.30cd38c988702p-16, 0x1.328cbf788c2b8p-16, 0x1.343a7b2c74041p-16, 0x1.35d67c1307c46p-16, 0x1.3760d3312f647p-16, 0x1.38d99262f9861p-16, 0x1.3a40cc55864abp-16, 0x1.3b96947de67f7p-16, 0x1.3cdaff18d5b7fp-16, 0x1.3e0e21214ffa6p-16, 0x1.3f30104d65a92p-16, 0x1.4040e309d3166p-16, 0x1.4140b0781c4a5p-16, 0x1.422f90660cdf4p-16, 0x1.430d9b47589f5p-16, 0x1.43daea3500981p-16, 0x1.449796ea4bc39p-16, 0x1.4543bbbc1afp-16, 0x1.45df739516352p-16, 0x1.466ad9ef35ca6p-16, 0x1.46e60ad6ad439p-16, 0x1.475122e27833fp-16, 0x1.47ac3f2bb602ap-16, 0x1.47f77d4e768fcp-16, 0x1.4832fb638d42bp-16, 0x1.485ed7fe7eb21p-16, 0x1.487b322b76391p-16, 0x1.4888296616015p-16, 0x1.4885dd9896314p-16, 0x1.48746f1751b16p-16, 0x1.4853fe9cc582ep-16, 0x1.4824ad457ecc7p-16, 0x1.47e69c8e80d7dp-16, }}, 
      {{0x1.643c99ef99cb7p-3, 0x1.64919f937bb5cp-3, 0x1.65278e4219b57p-3, 0x1.6606d9ebc7ca2p-3, 0x1.67375d968970ep-3, 0x1.68bf5a2464a34p-3, 0x1.6aa30482faf69p-3, 0x1.6ce46b6ce0229p-3, 0x1.6f838f2aca71ep-3, 0x1.727e941e081dp-3, 0x1.75d2027a2a0d9p-3, 0x1.79790b5fbf927p-3, 0x1.7d6dcec54a777p-3, 0x1.81a99f520ac8p-3, 0x1.86254238586b3p-3, 0x1.8ad929a91aa22p-3, 0x1.8fbda8e1ffef1p-3, 0x1.94cb213431f6ap-3, 0x1.99fa27b8b8448p-3, 0x1.9f43a3b8952d5p-3, 0x1.a4a0e614d8b39p-3, 0x1.aa0bba333d281p-3, 0x1.af7e711c5dafcp-3, 0x1.b4f3e79121039p-3, 0x1.ba6787e7248cp-3, 0x1.bfd54879da88dp-3, 0x1.c539a772b1184p-3, 0x1.ca91a4987b83fp-3, 0x1.cfdab9c04741dp-3, 0x1.d512d261dce44p-3, 0x1.da3842ba45c23p-3, 0x1.df49becfd85eap-3, 0x1.e4465196c508cp-3, 0x1.e92d546317858p-3, 0x1.edfe66c5ee499p-3, 0x1.f2b966e771ae3p-3, 0x1.f75e6a6566c96p-3, 0x1.fbedb7b713feep-3, 0x1.0033e009109c4p-2, 0x1.02668ce469851p-2, 0x1.048f3d8c09b89p-2, 0x1.06ae5aad8c123p-2, 0x1.08c4584d39029p-2, 0x1.0ad1b3b686bd8p-2, 0x1.0cd6f1914f27ap-2, 0x1.0ed49c1826136p-2, 0x1.10cb416cce971p-2, 0x1.12bb72087f101p-2, 0x1.14a5bf4638f1bp-2, 0x1.168aba05efcbep-2, 0x1.186af167c039bp-2, 0x1.1a46f19eb95e9p-2, 0x1.1c1f42db049d3p-2, 0x1.1df4684b68022p-2, 0x1.1fc6df362add6p-2, 0x1.21971e2976ed2p-2, 0x1.236594433cb39p-2, 0x1.2532a8909cb97p-2, 0x1.26feb984af7a7p-2, 0x1.28ca1c866d169p-2, 0x1.2a951d954e4f8p-2, 0x1.2c5fff041a153p-2, 0x1.2e2af9492bbf9p-2, 0x1.2ff63ae35c37ep-2, 0x1.31c1e85296039p-2, 0x1.338e1c22fd5c2p-2, 0x1.355ae70975d1cp-2, 0x1.372850104a93dp-2, 0x1.38f654d296e27p-2, 0x1.3ac4e9c5148a2p-2, 0x1.3c93fa8ae20c6p-2, 0x1.3e636a54d8b49p-2, 0x1.4033144a035a5p-2, 0x1.4202cbf7d3c8cp-2, 0x1.43d25dc8bbc6ep-2, 0x1.45a18f7fd8defp-2, 0x1.477020b86fa1dp-2, 0x1.493dcb6808b2dp-2, 0x1.4b0a44620e36bp-2, 0x1.4cd53bdbe5495p-2, 0x1.4e9e5df083823p-2, 0x1.50655322ac8bbp-2, 0x1.5229c0dd00bc2p-2, 0x1.53eb49ef319c3p-2, 0x1.55a98f07b5a95p-2, 0x1.57642f2974c19p-2, 0x1.591ac81cf130ep-2, 0x1.5accf6dc91e5fp-2, 0x1.5c7a57fbb3a5ap-2, 0x1.5e22880848f13p-2, 0x1.5fc523e6d367ep-2, 0x1.6161c9289bd06p-2, 0x1.62f8165c12ccp-2, 0x1.6487ab57547c8p-2, 0x1.6610297cd7e7bp-2, 0x1.679133fa5437p-2, 0x1.690a7001fe91cp-2, 0x1.6a7b84fe361ddp-2, 0x1.6be41cbfcef9dp-2, 0x1.6d43e3a726d8dp-2, 0x1.6e9a88c836b55p-2, 0x1.6fe7be09d580ap-2, 0x1.712b38406ce66p-2, 0x1.7264af4454095p-2, 0x1.7393de0414655p-2, 0x1.74b88292d587fp-2, 0x1.75d25e332f648p-2, 0x1.76e1355ea30a3p-2, 0x1.77e4cfc9f74dfp-2, 0x1.78dcf866b92ep-2, 0x1.79c97d621b4f2p-2, 0x1.7aaa30216f111p-2, 0x1.7b7ee53c730b8p-2, 0x1.7c477475a520dp-2, 0x1.7d03b8b0db70fp-2, 0x1.7db38fe847cc6p-2, 0x1.7e56db201adeep-2, 0x1.7eed7e58f8c38p-2, 0x1.7f7760815f1ebp-2, 0x1.7ff46b662d8e7p-2, 0x1.80648ba26f3a9p-2, 0x1.80c7b08e8bc81p-2, 0x1.811dcc2efa13bp-2, 0x1.8166d3229bd7p-2, 0x1.81a2bc90cda86p-2, 0x1.81d1821751283p-2, 0x1.81f31fb823d42p-2, 0x1.820793c74d7f1p-2, 0x1.820eded8c5a79p-2, 0x1.820903ae74844p-2, 0x1.81f60726646ffp-2, 0x1.81d5f02927adp-2, 0x1.81a8c798872a4p-2, 0x1.816e983e7abap-2, 0x1.81276ebc73885p-2, 0x1.80d3597b0129ep-2, 0x1.80726899d6fccp-2, 0x1.8004ade02bb1cp-2, 0x1.7f8a3cad8739dp-2, 0x1.7f0329eaeadccp-2, 0x1.7e6f8bfc6ac7ep-2, 0x1.7dcf7ab323f86p-2, 0x1.7d230f3f9fa91p-2, 0x1.7c6a64249781ap-2, 0x1.7ba5952a1b68ep-2, 0x1.7ad4bf511b9d7p-2, 0x1.79f800c74e499p-2, 0x1.790f78db6fafdp-2, 0x1.781b47f1df957p-2, 0x1.771b8f798b334p-2, 0x1.761071e12f8c9p-2, 0x1.74fa128ce76c9p-2, 0x1.73d895cc03b69p-2, 0x1.72ac20cf2852dp-2, 0x1.7174d99eaf793p-2, 0x1.7032e7114affbp-2, 0x1.6ee670c2e027p-2, 0x1.6d8f9f0b9d74fp-2, 0x1.6c2e9af745c69p-2, 0x1.6ac38e3caa711p-2, 0x1.694ea33557f6bp-2, 0x1.67d004d56a50ep-2, 0x1.6647dea38cc48p-2, 0x1.64b65cb11ff9dp-2, 0x1.631bab9281101p-2, 0x1.6177f8577370bp-2, 0x1.5fcb7083aabc6p-2, 0x1.5e164207706e5p-2, 0x1.5c589b386685dp-2, 0x1.5a92aaca5fbcfp-2, 0x1.58c49fc856181p-2, 0x1.56eea98d70d9dp-2, 0x1.5510f7be285f4p-2, 0x1.532bba41772dcp-2, 0x1.513f213a23a1fp-2, 0x1.4f4b5d001ba6ap-2, 0x1.4d509e19e122ap-2, 0x1.4b4f15360aa12p-2, 0x1.4946f324d5218p-2, 0x1.473868d1c62ccp-2, 0x1.4523a73d62261p-2, 0x1.4308df76f2e19p-2, 0x1.40e842965d9f2p-2, 0x1.3ec201b60e21dp-2, 0x1.3c964decf20d7p-2, 0x1.3a655848879d6p-2, 0x1.382f51c6fd12ap-2, 0x1.35f46b51668f2p-2, 0x1.33b4d5b604a84p-2, 0x1.3170c1a2a3294p-2, 0x1.2f285f9f06c9dp-2, 0x1.2cdbe007769a4p-2, 0x1.2a8b73075695dp-2, 0x1.28374893dd0a1p-2, 0x1.25df9066dca9p-2, 0x1.238479f9a6cc5p-2, 0x1.21263480096d7p-2, 0x1.1ec4eee3638cp-2, 0x1.1c60d7bdd3f73p-2, 0x1.19fa1d55843d8p-2, 0x1.1790ed980e6fep-2, 0x1.15257615ff0b1p-2, 0x1.12b7e3fe7295fp-2, 0x1.1048641ad127dp-2, 0x1.0dd722caaa7acp-2, 0x1.0b644bffa9bd7p-2, 0x1.08f00b39af381p-2, 0x1.067a8b8304542p-2, 0x1.0403f76cb1f2ep-2, 0x1.018c790af5fd3p-2, 0x1.fe2873e3af79fp-3, 0x1.f936c663c3311p-3, 0x1.f4443aa9eb446p-3, 0x1.ef5120b693799p-3, 0x1.ea5dc770feeaap-3, 0x1.e56a7ca1c35f1p-3, 0x1.e0778ced82378p-3, 0x1.db8543cfea5adp-3, 0x1.d693eb96fb3b4p-3, 0x1.d1a3cd5e88116p-3, 0x1.ccb5310c05db1p-3, 0x1.c7c85d4a97cecp-3, 0x1.c2dd9787614b9p-3, 0x1.bdf523ee163d7p-3, 0x1.b90f4565d8e8dp-3, 0x1.b42c3d8e4b9c4p-3, 0x1.af4c4cbced264p-3, 0x1.aa6fb1fab7434p-3, 0x1.a596ab01f7fb4p-3, 0x1.a0c1743c6a54p-3, 0x1.9bf048c198e67p-3, 0x1.972362556e316p-3, 0x1.925af9670fb09p-3, 0x1.8d97450fee9bdp-3, 0x1.88d87b131638cp-3, 0x1.841ecfdcb439fp-3, 0x1.7f6a7681d96a7p-3, 0x1.7abba0c073852p-3, 0x1.76127eff7f583p-3, 0x1.716f404f6deccp-3, 0x1.6cd2126ac2db4p-3, 0x1.683b21b6de9adp-3, 0x1.63aa994507449p-3, 0x1.5f20a2d391e24p-3, 0x1.5a9d66cf4e971p-3, 0x1.56210c550f2b1p-3, 0x1.51abb9336b2a5p-3, 0x1.4d3d91eca56fap-3, 0x1.48d6b9b8c2f26p-3, 0x1.44775287c300cp-3, 0x1.401f7d0406f96p-3, 0x1.3bcf5894d70cep-3, 0x1.3787036119215p-3, 0x1.33469a52194eap-3, 0x1.2f0e3916855e9p-3, 0x1.2addfa257d69p-3, 0x1.26b5f6c1c9629p-3, 0x1.229646fd282c8p-3, 0x1.1e7f01bbc1d48p-3, 0x1.1a703cb7a9a93p-3, 0x1.166a0c8489a6ap-3, 0x1.126c849354ebcp-3, 0x1.0e77b7362002dp-3, 0x1.0a8bb5a402d6fp-3, 0x1.06a88ffd1a53bp-3, 0x1.02ce554e92d11p-3, 0x1.fdfa272d963f8p-4, 0x1.f669af93060b5p-4, 0x1.eeeb5ba844b55p-4, 0x1.e77f4143fe893p-4, 0x1.e02574418131dp-4, 0x1.d8de068984016p-4, 0x1.d1a9081b08da7p-4, 0x1.ca8687145e85bp-4, 0x1.c3768fbc1879fp-4, 0x1.bc792c8a34611p-4, 0x1.b58e66312fc7ep-4, 0x1.aeb643a73f3afp-4, 0x1.a7f0ca2f7ad5p-4, 0x1.a13dfd631feap-4, 0x1.9a9ddf3ad0ef6p-4, 0x1.94107017d8bc7p-4, 0x1.8d95aecd69ebdp-4, 0x1.872d98a9e6814p-4, 0x1.80d8298020869p-4, 0x1.7a955bb095bb3p-4, 0x1.74652832a656cp-4, 0x1.6e47869dc51c7p-4, 0x1.683c6d329e1b5p-4, 0x1.6243d0e4333aap-4, 0x1.5c5da560ef73p-4, 0x1.5689dd1ba8437p-4, 0x1.50c8695496b44p-4, 0x1.4b193a223db4p-4, 0x1.457c3e7a4153fp-4, 0x1.3ff1643a296ebp-4, 0x1.3a78983017d1bp-4, 0x1.3511c62365c53p-4, 0x1.2fbcd8dd2d86dp-4, 0x1.2a79ba30bf5b7p-4, 0x1.2548530400d09p-4, 0x1.20288b57b3e43p-4, 0x1.1b1a4a4fa6123p-4, 0x1.161d763ac5861p-4, 0x1.1131f49b1ff46p-4, 0x1.0c57aa2dc5a94p-4, 0x1.078e7af28fbc4p-4, 0x1.02d64a33cfed6p-4, 0x1.fc5df51bc2bc1p-5, 0x1.f330dbed38871p-5, 0x1.ea250b895ec64p-5, 0x1.e13a456db74b6p-5, 0x1.d87049f627c03p-5, 0x1.cfc6d86af27ep-5, 0x1.c73daf0e7fe5fp-5, 0x1.bed48b2ae4858p-5, 0x1.b68b291f2b107p-5, 0x1.ae61446c64a72p-5, 0x1.a65697c272646p-5, 0x1.9e6add0c99165p-5, 0x1.969dcd7dd4edep-5, 0x1.8eef219ce61c6p-5, 0x1.875e9150311bp-5, 0x1.7febd3e94b906p-5, 0x1.7896a0305a69bp-5, 0x1.715eac6f2340bp-5, 0x1.6a43ae7bed8d6p-5, 0x1.63455bc419409p-5, 0x1.5c6369567fe3fp-5, 0x1.559d8bed94481p-5, 0x1.4ef377f93ea4cp-5, 0x1.4864e1a8833efp-5, 0x1.41f17cf2eb7b6p-5, 0x1.3b98fda1aa55ap-5, 0x1.355b175890fdp-5, 0x1.2f377d9eb9e8ep-5, 0x1.292de3e6fecbcp-5, 0x1.233dfd98390b5p-5, 0x1.1d677e15390a3p-5, 0x1.17aa18c492dddp-5, 0x1.1205811829944p-5, 0x1.0c796a948395dp-5, 0x1.070588d7e444fp-5, 0x1.01a98fa131318p-5, 0x1.f8ca65ad3a7cp-6, 0x1.ee704d18488adp-6, 0x1.e4443e1387cd7p-6, 0x1.da45a1a32e3a4p-6, 0x1.d073e14b3b816p-6, 0x1.c6ce671ad4af8p-6, 0x1.bd549db728e4cp-6, 0x1.b405f065e6282p-6, 0x1.aae1cb176b61cp-6, 0x1.a1e79a7071d0ep-6, 0x1.9916cbd37cce3p-6, 0x1.906ecd69d0855p-6, 0x1.87ef0e2c1659ap-6, 0x1.7f96fdeaa954ep-6, 0x1.77660d558cbc5p-6, 0x1.6f5bae0400d5ap-6, 0x1.6777527bd099fp-6, 0x1.5fb86e3835262p-6, 0x1.581e75b07ec41p-6, 0x1.50a8de5e6278bp-6, 0x1.49571ec3f53d4p-6, 0x1.4228ae715e098p-6, 0x1.3b1d060a466d2p-6, 0x1.34339f4ae8a41p-6, 0x1.2d6bf50ce8e49p-6, 0x1.26c5834be632ap-6, 0x1.203fc729bbaeap-6, 0x1.19da3ef28072dp-6, 0x1.13946a2054128p-6, 0x1.0d6dc95edcfcep-6, 0x1.0765de8e84ba8p-6, 0x1.017c2cc782e8fp-6, 0x1.f76070b9386c3p-7, 0x1.ec030dbb7280dp-7, 0x1.e0df3e347f12ep-7, 0x1.d5f4124648153p-7, 0x1.cb409c99bc3e6p-7, 0x1.c0c3f26229886p-7, 0x1.b67d2b604778p-7, 0x1.ac6b61e4d39d6p-7, 0x1.a28db2d2ccf93p-7, 0x1.98e33da1581f9p-7, 0x1.8f6b245d40d6dp-7, 0x1.86248baa3dcap-7, 0x1.7d0e9ac3ad1f6p-7, 0x1.74287b7d3d5afp-7, 0x1.6b715a42fb713p-7, 0x1.62e86619667b6p-7, 0x1.5a8cd09ce89bdp-7, 0x1.525dce01541aep-7, 0x1.4a5a9510d5301p-7, 0x1.42825f2ad7d3fp-7, 0x1.3ad468428278ap-7, 0x1.334feedd0a566p-7, 0x1.2bf4340fcc77bp-7, 0x1.24c07b7e117c7p-7, 0x1.1db40b56c6ceap-7, 0x1.16ce2c51ce918p-7, 0x1.100e29ad43be3p-7, 0x1.0973512a80544p-7, 0x1.02fcf30aec5e2p-7, 0x1.f954c41939187p-8, 0x1.ecf5e6cdc0b0dp-8, 0x1.e0dbfd8cf13fap-8, 0x1.d505bc93c6b11p-8, 0x1.c971dcfa74231p-8, 0x1.be1f1cac5c003p-8, 0x1.b30c3e5f668ap-8, 0x1.a838098b4fa9ep-8, 0x1.9da14a608309bp-8, 0x1.9346d1befab62p-8, 0x1.8927752cb161ap-8, 0x1.7f420ecbea6ffp-8, 0x1.75957d516d0dfp-8, 0x1.6c20a3fa60fedp-8, 0x1.62e26a8209ea2p-8, 0x1.59d9bd1782a9fp-8, 0x1.51058c530e336p-8, 0x1.4864cd2b896d6p-8, 0x1.3ff678eb7cc45p-8, 0x1.37b98d263f78ep-8, 0x1.2fad0bace49c6p-8, 0x1.27cffa831f0a2p-8, 0x1.202163d3fb71ap-8, 0x1.18a055e68783dp-8, 0x1.114be31282228p-8, 0x1.0a2321b4d4acep-8, 0x1.03252c2406625p-8, 0x1.f8a241498c942p-9, 0x1.eb4c42bc6a6bfp-9, 0x1.de46a89c6becp-9, 0x1.d18fc67bc567fp-9, 0x1.c525f76b48073p-9, 0x1.b9079de35def2p-9, 0x1.ad3323ac3d74fp-9, 0x1.a1a6f9c6aeac6p-9, 0x1.96619854512d3p-9, 0x1.8b617e8073a5fp-9, 0x1.80a5326868443p-9, 0x1.762b41044bf43p-9, 0x1.6bf23e0f7dafcp-9, 0x1.61f8c3f16d1p-9, 0x1.583d73a6669d6p-9, 0x1.4ebef4a86ad2ep-9, 0x1.457bf4d8361aep-9, 0x1.3c73286612c0dp-9, 0x1.33a349bb34cf2p-9, 0x1.2b0b19629aa45p-9, 0x1.22a95df2dde8ep-9, 0x1.1a7ce3f75330bp-9, 0x1.12847dd9ae785p-9, 0x1.0abf03cbe34dcp-9, 0x1.032b53b1d7608p-9, 0x1.f790a21715725p-10, 0x1.e929c9beb5eddp-10, 0x1.db1ffb47fbdbdp-10, 0x1.cd711e569da23p-10, 0x1.c01b25199495ep-10, 0x1.b31c0c20e6981p-10, 0x1.a671da337d35bp-10, 0x1.9a1aa025b0ebep-10, 0x1.8e1478affcf4dp-10, 0x1.825d8845f581ep-10, 0x1.76f3fcede5b8cp-10, 0x1.6bd60e1880d38p-10, 0x1.6101fc7940a52p-10, 0x1.567611defb489p-10, 0x1.4c30a10cbe9eap-10, 0x1.423005936a125p-10, 0x1.3872a3ab918cbp-10, 0x1.2ef6e80f4e647p-10, 0x1.25bb47d5eb6f3p-10, 0x1.1cbe404dcb55bp-10, 0x1.13fe56d8c3288p-10, 0x1.0b7a18c77c221p-10, 0x1.03301b35e5fd1p-10, 0x1.f63df5d089558p-11, 0x1.e68ab8502b3b2p-11, 0x1.d743d543a6e36p-11, 0x1.c866b2857cd8cp-11, 0x1.b9f0c42f34a2bp-11, 0x1.abdf8c570b8d1p-11, 0x1.9e309acf2972ep-11, 0x1.90e18ce413e1bp-11, 0x1.83f00d1dd19ccp-11, 0x1.7759d300777afp-11, 0x1.6b1ca2cf1b1c2p-11, 0x1.5f364d4e183acp-11, 0x1.53a4af8723d5cp-11, 0x1.4865b28de2a21p-11, 0x1.3d774b457ff6dp-11, 0x1.32d77a268de9p-11, 0x1.28844b06866f2p-11, 0x1.1e7bd4e048b8cp-11, 0x1.14bc399c27bcp-11, 0x1.0b43a5d9a547ep-11, 0x1.021050ba03756p-11, 0x1.f240f757ad268p-12, 0x1.e0e4e46cd39f1p-12, 0x1.d009138ec66cap-12, 0x1.bfaa430003d1p-12, 0x1.afc54407ccc72p-12, 0x1.a056fa9030844p-12, 0x1.915c5cc5bc29ep-12, 0x1.82d272ba4c8ep-12, 0x1.74b6560724aa6p-12, 0x1.6705317268ca3p-12, 0x1.59bc4094a6541p-12, 0x1.4cd8cf80d9bcbp-12, 0x1.40583a6d45e4bp-12, 0x1.3437ed5eb1c0cp-12, 0x1.287563d350705p-12, 0x1.1d0e2871e471cp-12, 0x1.11ffd4b80950dp-12, 0x1.074810a9bca2cp-12, 0x1.f9c9250782fd5p-13, 0x1.e5a63cdd041ebp-13, 0x1.d2230c65bf486p-13, 0x1.bf3b51deeb32cp-13, 0x1.aceae5a04e23ep-13, 0x1.9b2db98d11d6ep-13, 0x1.89ffd886528b5p-13, 0x1.795d65e0d9a08p-13, 0x1.69429cdf4e4e2p-13, 0x1.59abd02bbfba7p-13, 0x1.4a95695679bfbp-13, 0x1.3bfbe853f067ap-13, 0x1.2ddbe300c9c17p-13, 0x1.203204a5467d6p-13, 0x1.12fb0d7c84d19p-13, 0x1.0633d23dd6cbfp-13, 0x1.f3b277512e81p-14, 0x1.dbd08c24e8a37p-14, 0x1.c4bc01eb451c3p-14, 0x1.ae6f1d096d375p-14, 0x1.98e4467a5c391p-14, 0x1.84160afdbc648p-14, 0x1.6fff1a4900542p-14, 0x1.5c9a463c49d14p-14, 0x1.49e2821a091c2p-14, 0x1.37d2e1c604371p-14, 0x1.26669904882b7p-14, 0x1.1598fabe6290bp-14, 0x1.0565784aaf34fp-14, 0x1.eb8f4175e8eeap-15, 0x1.cd76405a0f64ap-15, 0x1.b0777e3510f28p-15, 0x1.948ac364a8989p-15, 0x1.79a80e60c8dd2p-15, 0x1.5fc7927d0fdc3p-15, 0x1.46e1b6a8094a1p-15, 0x1.2eef1437e8c7ap-15, 0x1.17e875b5a6f5cp-15, 0x1.01c6d5b80fe0bp-15, 0x1.d906bb785264bp-16, 0x1.b02eca0e0798bp-16, 0x1.88f8df212662p-16, 0x1.635859e06917fp-16, 0x1.3f40eeaaacaap-16, 0x1.1ca6a4fed90c7p-16, 0x1.f6fbaaebc0609p-17, 0x1.b7764fa28b2a4p-17, 0x1.7aa7221bfb69p-17, 0x1.4078a317c9e2dp-17, 0x1.08d5e661c1d52p-17, 0x1.a7551e8bbfe27p-18, 0x1.41c59a1b80df3p-18, 0x1.c1ad5e523adfp-19, 0x1.08c5af8da4d73p-19, 0x1.622c8efef29afp-21, -0x1.3d2539df526f9p-21, -0x1.ddf98421273f7p-20, -0x1.86d26fec6a80ap-19, -0x1.0b85dd60b8fb4p-18, -0x1.4ff41d88ca6c5p-18, -0x1.90d2e52a14726p-18, -0x1.ce40470af3e51p-18, -0x1.042cc0c9fbbb5p-17, -0x1.1f9d820e6aef3p-17, -0x1.39803a0fa803p-17, -0x1.51e25915b957ap-17, -0x1.68d0ef8c72439p-17, -0x1.7e58b05e85c9p-17, -0x1.9285f35e05b87p-17, -0x1.a564b79b49132p-17, -0x1.b700a59e571d7p-17, -0x1.c76511a12086cp-17, -0x1.d69cfdba88574p-17, -0x1.e4b31bfc367b9p-17, -0x1.f1b1d06ff7837p-17, -0x1.fda33327005bap-17, -0x1.0448891a12c85p-16, -0x1.094279cbfcf6p-16, -0x1.0dc40b8b85a7dp-16, -0x1.11d1bc0767e4p-16, -0x1.156fe79cbac1dp-16, -0x1.18a2ca3746981p-16, -0x1.1b6e802c305f4p-16, -0x1.1dd707086d0e9p-16, -0x1.1fe03e6b9557dp-16, -0x1.218de8c683c75p-16, -0x1.22e3ac2436d4p-16, -0x1.23e512eb91b7ep-16, -0x1.24958c91b591cp-16, -0x1.24f86e56df524p-16, -0x1.2510f3f824807p-16, -0x1.24e2405fb4f81p-16, -0x1.246f5e4d90132p-16, -0x1.23bb40f759201p-16, -0x1.22c8c4b0c816cp-16, -0x1.219aaf80b1edbp-16, -0x1.2033b1c1441bdp-16, -0x1.1e9666b0a4822p-16, -0x1.1cc55503f68acp-16, -0x1.1ac2ef7b0ea9bp-16, -0x1.18919563a3af9p-16, -0x1.1633932333cdcp-16, -0x1.13ab22bada33cp-16, -0x1.10fa6c430e75dp-16, -0x1.0e23866b78c94p-16, -0x1.0b2876f573a4fp-16, -0x1.080b332a335fp-16, -0x1.04cda04eb76b2p-16, -0x1.01719413f54e4p-16, -0x1.fbf1aa0a8f63cp-17, -0x1.f4ca35dfc4e15p-17, -0x1.ed701ea0ba7b3p-17, -0x1.e5e69b64f55b7p-17, -0x1.de30c8320f441p-17, -0x1.d651a6b7794c4p-17, -0x1.ce4c1f0ca1a9ap-17, -0x1.c62300632a3bfp-17, -0x1.bdd901bf9fa08p-17, -0x1.b570c29f03b5p-17, -0x1.aceccba3dc0bp-17, -0x1.a44f8f369b874p-17, -0x1.9b9b6a2deabc2p-17, -0x1.92d2a45fb8f48p-17, -0x1.89f7713f3a215p-17, -0x1.810bf072acb21p-17, -0x1.78122e608f6f6p-17, -0x1.6f0c24ba2c3a6p-17, -0x1.65fbbb05464d2p-17, -0x1.5ce2c7223f6ffp-17, -0x1.53c30dcc1a53bp-17, -0x1.4a9e4314147ffp-17, -0x1.41760ade63144p-17, -0x1.384bf95906e7bp-17, -0x1.2f219371ce3f5p-17, -0x1.25f84f435d093p-17, -0x1.1cd1948412414p-17, -0x1.13aebcf29d067p-17, -0x1.0a9114bac0ca5p-17, -0x1.0179dadd7089dp-17, -0x1.f0d4831e5351cp-18, -0x1.dec6dd410f4cep-18, -0x1.ccccf7a408d48p-18, -0x1.bae8ee6755f91p-18, -0x1.a91cc6f8f5564p-18, -0x1.976a70c48cd12p-18, -0x1.85d3c5d36892cp-18, -0x1.745a8b6db95e5p-18, -0x1.630072c3bd29ap-18, -0x1.51c719794b8a7p-18, -0x1.40b00a3eb14f1p-18, -0x1.2fbcbd7351a44p-18, -0x1.1eee999eb127dp-18, -0x1.0e46f3fd6bc64p-18, -0x1.fb8e2227202adp-19, -0x1.dae04a395809ap-19, -0x1.ba86a9325ac0ap-19, -0x1.9a836985f398cp-19, -0x1.7ad8980a52f5cp-19, -0x1.5b8824e27befep-19, -0x1.3c93e462dbbd5p-19, -0x1.1dfd8ffd230b3p-19, -0x1.ff8d8de78f6c2p-20, -0x1.c3e21e884dbefp-20, -0x1.88fbacccb9014p-20, -0x1.4edce42bc4116p-20, -0x1.1588422020307p-20, -0x1.ba002f2fc65c8p-21, -0x1.4a8d14f86d373p-21, -0x1.b9765b221c7edp-22, -0x1.c23881a9df2e6p-23, -0x1.8251b21fe6267p-27, 0x1.8b4147c495359p-23, 0x1.93f7cae019a44p-22, 0x1.2f76f64d440b3p-21, 0x1.933f4b98c5b02p-21, 0x1.f552eec34e042p-21, 0x1.2ad814a415221p-20, 0x1.5a2ac1330d39cp-20, 0x1.88a0deaeebefep-20, 0x1.b639ebaa7c1c9p-20, 0x1.e2f582973b0d9p-20, 0x1.0769ac7afbf94p-19, 0x1.1ce99f2d5df6dp-19, 0x1.31fa8db9e3f2ap-19, 0x1.469c78a271e91p-19, 0x1.5acf6c26ea035p-19, 0x1.6e937fdafd95ep-19, 0x1.81e8d62cefe75p-19, 0x1.94cf9c19814fp-19, 0x1.a74808c2235a5p-19, 0x1.b9525d0917e1dp-19, 0x1.caeee33ec7296p-19, 0x1.dc1deec8e01fbp-19, 0x1.ecdfdbc1fabacp-19, 0x1.fd350eadb53dcp-19, 0x1.068efa1190c7cp-18, 0x1.0e4d80431cef2p-18, 0x1.15d657dadac8ap-18, 0x1.1d29c25ba886cp-18, 0x1.244804bbeb184p-18, 0x1.2b316741a9152p-18, 0x1.31e6355def396p-18, 0x1.3866bd8e2bea7p-18, 0x1.3eb3513ac3f5fp-18, 0x1.44cc449eac9e6p-18, 0x1.4ab1ee99eb0ffp-18, 0x1.5064a89fcc5adp-18, 0x1.55e4ce9362603p-18, 0x1.5b32beaf2e966p-18, 0x1.604ed966bf8f3p-18, 0x1.6539815297317p-18, 0x1.69f31b0d4f65ep-18, 0x1.6e7c0d24c53b4p-18, 0x1.72d4bff6c8d79p-18, 0x1.76fd9da277043p-18, 0x1.7af711f1087f1p-18, 0x1.7ec18a3c4326ep-18, 0x1.825d7556095cbp-18, 0x1.85cb43778a72fp-18, 0x1.890b662a311fdp-18, 0x1.8c1e5036a6181p-18, 0x1.8f04759062fb5p-18, 0x1.91be4b47fe91p-18, 0x1.944c476fc419ep-18, 0x1.96aee1107b18ep-18, 0x1.98e6901a2c6ebp-18, 0x1.9af3cd49477bp-18, 0x1.9cd71220bf87ap-18, 0x1.9e90d8d6601c8p-18, 0x1.a0219c46e6fadp-18, 0x1.a189d7e0c1bf5p-18, 0x1.a2ca079ea6f47p-18, 0x1.a3e2a7ef9c34ap-18, 0x1.a4d435b2341aap-18, 0x1.a59f2e2877d06p-18, 0x1.a6440ee55905cp-18, 0x1.a6c355c0ca7aep-18, 0x1.a71d80cbd4378p-18, 0x1.a7530e45eb716p-18, 0x1.a7647c929e9c4p-18, 0x1.a7524a2fd42fap-18, 0x1.a71cf5aa970cp-18, 0x1.a6c4fd96edf68p-18, 0x1.a64ae07fb5cbfp-18, 0x1.a5af1ce47e717p-18, 0x1.a4f2312a60a76p-18, 0x1.a4149b9465a27p-18, 0x1.a316da3baf3bbp-18, 0x1.a1f96b093c4bfp-18, 0x1.a0bccbad9b8cp-18, 0x1.9f617993a2c09p-18, 0x1.9de7f1dde430cp-18, 0x1.9c50b15b08e7fp-18, 0x1.9a9c34866448ap-18, 0x1.98caf77f87cc2p-18, 0x1.96dd75faf1ecap-18, 0x1.94d42b41b232dp-18, 0x1.92af922a7addbp-18, 0x1.907025119c652p-18, 0x1.8e165dd570e7ap-18, 0x1.8ba2b5d10e05bp-18, 0x1.8915a5d7d3d09p-18, 0x1.866fa630d032ap-18, 0x1.83b12e8e603b1p-18, 0x1.80dab60826e9bp-18, 0x1.7decb31ae0824p-18, 0x1.7ae79ba1e49c9p-18, 0x1.77cbe4cf7b017p-18, 0x1.749a032f7939cp-18, 0x1.71526aa0b1991p-18, 0x1.6df58e4fe55f8p-18, 0x1.6a83e0b1030e8p-18, 0x1.66fdd37e29ebp-18, 0x1.6363d7b888817p-18, 0x1.5fb65da5c1ae6p-18, 0x1.5bf5d4c59ab3p-18, 0x1.5822abcf5cc92p-18, 0x1.543d50b1c38d8p-18, 0x1.5046309212f55p-18, 0x1.4c3db7c426b42p-18, 0x1.482451ccf7953p-18, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      40, 0x1.9eb851eb851ecp+2, 0x1.8342462b20431p+0, 0x1.9a533068ec1cep+0, -0x1.77feadc6dcc07p-10, 
      {{
        {0x1.21eb851eb851fp+2, 0x1.2333333333333p+2, 0x1.f3eb32efa9c42p-9, -0x1.04286957eaac8p-7, 0x1.898c70f9f0ce4p-8, -0x1.c1fbbe6d7247bp-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.df6b4dd43c981p-9, -0x1.f8b571ae510cep-8, 0x1.82cc8151e621dp-8, -0x1.c1fa6175e8551p-10}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.aedaa998f37f8p-9, -0x1.d2df620d3a504p-8, 0x1.71ecb743e09ebp-8, -0x1.c1f8c4fb8fd4ap-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.81fd07396c8dcp-9, -0x1.aeb94c4126d6cp-8, 0x1.610cfcada4d34p-8, -0x1.c1f6fa1351946p-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.58a73434e5588p-9, -0x1.8c432ea7d2d46p-8, 0x1.502d534ceb5dcp-8, -0x1.c1f5e7535b457p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.32adfe32f9111p-9, -0x1.6b7d07e116814p-8, 0x1.3f4db439cb24ep-8, -0x1.c1d81e94aedefp-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.0fe6336e2f0dap-9, -0x1.4c66c91d2ff57p-8, 0x1.2e6f331437c95p-8, -0x1.c1c8ce2414349p-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.e049489853eb3p-10, -0x1.2f005cb66ee6p-8, 0x1.1d9144f2dd6ddp-8, -0x1.c172f3a709bf2p-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.a67c480e37889p-10, -0x1.1349921d57032p-8, 0x1.0cb68f0300433p-8, -0x1.c227e0a27841p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.720f1162fb8f3p-10, -0x1.f2852de8c4d2dp-9, 0x1.f7aa206037819p-9, -0x1.bd6bae57c4981p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.42ab631c9fb6dp-10, -0x1.c1d2f872094a7p-9, 0x1.d6420ce66f29ap-9, -0x1.ad74e92afbf78p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.17fc13e71230ap-10, -0x1.9468a4d46f1eep-9, 0x1.b60c7b699c43fp-9, -0x1.9e68a823429fbp-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.e35d4f3309e0fp-11, -0x1.6a286d995d812p-9, 0x1.96f7d533c411ap-9, -0x1.8f1d263793083p-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.9ee71e68f71d3p-11, -0x1.42f531b3c1ce7p-9, 0x1.7908d8bc65d7p-9, -0x1.7fe2972b1fe1fp-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.61fc51dcf7927p-11, -0x1.1eb1a3a2add2ap-9, 0x1.5c3e409929d97p-9, -0x1.70a37d85c4493p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.2c0980681b007p-11, -0x1.fa81039cd93a7p-10, 0x1.409863fbee53fp-9, -0x1.61659b64c4d84p-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.f902369eeae02p-12, -0x1.bd090edc7f854p-10, 0x1.26172b8792c3ep-9, -0x1.522765cb42f94p-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.a5b6dc883e62fp-12, -0x1.84c0e128aafd7p-10, 0x1.0cba9d7eba8adp-9, -0x1.42e9468f6cb5dp-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.5d2d3ec669b77p-12, -0x1.516df23065da8p-10, 0x1.e9057067f1934p-10, -0x1.33ab21556831p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1e6d5e6bae9f5p-12, -0x1.22d5b9c229ffbp-10, 0x1.badef834bb8cp-10, -0x1.246cfdb67594ep-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d115e2c4aecccp-13, -0x1.f17b5f4809da4p-11, 0x1.8f01d22629e94p-10, -0x1.152ed9a962617p-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.754ac4d96dd3cp-13, -0x1.a5d6973c8be84p-11, 0x1.656dfe4cc18e1p-10, -0x1.05f0b5b9cc3c7p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.27cfa24a51295p-13, -0x1.62480af143241p-11, 0x1.3e237ca4161ebp-10, -0x1.ed652384a5d26p-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.ce2447f84185ap-14, -0x1.265aa9f5eb7a2p-11, 0x1.19224d2d567b2p-10, -0x1.cee8db99ed5f8p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.632eb9076b6b1p-14, -0x1.e332c7b4555d5p-12, 0x1.ecd4dfd062f4fp-11, -0x1.b06c93adf7befp-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.0bf7904bf465ep-14, -0x1.871e505b587d9p-12, 0x1.abf7c9a97dcbbp-11, -0x1.91f04bc2de884p-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.8bcd335fa6261p-15, -0x1.378dcd0035dedp-12, 0x1.6fad57e5dc6abp-11, -0x1.737403d570247p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.1d24e8fa409e4p-15, -0x1.e72e39847ac7cp-13, 0x1.37f58a85d8657p-11, -0x1.54f7bbf08ec85p-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.8f024d785cc29p-16, -0x1.74a03d81ad9e7p-13, 0x1.04d0618829603p-11, -0x1.367b73ebd0efdp-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.0d94f17454281p-16, -0x1.159d643620c73p-13, 0x1.ac7bb9e32dabfp-12, -0x1.17ff2c5dc1165p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.5d1c4724cb97ep-17, -0x1.90a2d7c51708cp-14, 0x1.587bf960a6f27p-12, -0x1.f305c62a96feap-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.acd65bf462ep-18, -0x1.15d0257bdde83p-14, 0x1.0da1820d76b2fp-12, -0x1.b60d407e61181p-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.ec7262fbe97p-19, -0x1.6e345c8e253e5p-15, 0x1.97d8a3f50378bp-13, -0x1.79148ab536f02p-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.02b48f2960cffp-19, -0x1.c361b73ad3684p-16, 0x1.26b8e0bea62fp-13, -0x1.3c1c887a1af26p-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.e1006748f3cp-21, -0x1.fb131d61eb12ap-17, 0x1.8fc7093409007p-14, -0x1.fe43d048fe6bap-13}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.75e262deaa801p-22, -0x1.f0f80c1bb2e3cp-18, 0x1.ed65623c4627bp-15, -0x1.846219552d911p-13}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.b55b85f91dfffp-24, -0x1.86ed9badecb0bp-19, 0x1.045db96f9138p-15, -0x1.0a3777b9247abp-13}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.33f55dfec0001p-26, -0x1.98816a1df102ap-21, 0x1.928b6001ed55ap-17, -0x1.2239ee0a3d6b4p-14}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.502b9513p-30, -0x1.5869d12581ddap-24, 0x1.b22edfad1ce12p-20, -0x1.4c1c0b439bf14p-17}, 
        {0x1.9cccccccccccdp+2, 0x1.9eb851eb851ecp+2, 0x1.5e784ceeb351ep-36, 0x1.f7456b8cef46p-28, 0x1.1d369146413b7p-23, -0x1.236f53664d62ap-14}, 
      }}, 
      0x1.86cd1e2711e12p-9, -0x1.2ecb81a5e6376p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.467465caa0b2dp-11, -0x1.279f41eea567bp-9, -0x1.2155d64dd9cb2p-8, -0x1.b185ca54a25adp-8, -0x1.1551c3f58d937p-7, -0x1.3d54da824acc9p-7, -0x1.4b6c4f12caa9dp-7, -0x1.3d3d3c4b4073bp-7, -0x1.12bbfe18550b9p-7, -0x1.9b0879eee1a6dp-8, -0x1.c133a98f83924p-9, 0x1.86ec29fff4ad7p-15, 0x1.087aa0fd38ee4p-8, 0x1.14044a2c3ec4fp-7, 0x1.ad1ee67f315cdp-7, 0x1.2601f1170c72dp-6, 0x1.76b8bab9758a7p-6, 0x1.c73c9574ab548p-6, 0x1.0b2186d6c36d5p-5, 0x1.3156ca2ebad74p-5, 0x1.55c570228f5dcp-5, 0x1.7809591909768p-5, 0x1.97d1f0f7a92c7p-5, 0x1.b4e075ad302e3p-5, 0x1.cf062e9daba64p-5, 0x1.e622bd4923a42p-5, 0x1.fa2273139c6bap-5, 0x1.057e59394b114p-4, 0x1.0c594bbabdaa5p-4, 0x1.11a6af8e96477p-4, 0x1.156e8ef41b8aep-4, 0x1.17bbd5cff734ap-4, 0x1.189bb75d0f347p-4, 0x1.181d39eff485ap-4, 0x1.1650c9196a131p-4, 0x1.1347d74720753p-4, 0x1.0f148aee6d825p-4, 0x1.09c97a33fc97dp-4, 0x1.037966fe4ef3ep-4, 0x1.f86e3973f4d95p-5, 0x1.e82a55be0251p-5, 0x1.d64bce9cc3c9dp-5, 0x1.c2f62cdae05c4p-5, 0x1.ae4c4e8fe4198p-5, 0x1.986f982503bddp-5, 0x1.818058bc99a4fp-5, 0x1.699d720d56d2ap-5, 0x1.50e458a2a9a38p-5, 0x1.377125a2efddap-5, 0x1.1d5e62129c1d6p-5, 0x1.02c537bd8eaa4p-5, 0x1.cf7ad678147d8p-6, 0x1.98ba96a357fcbp-6, 0x1.61735aa883abfp-6, 0x1.29cc4d1c5ae3fp-6, 0x1.e3d3db77a2fdep-7, 0x1.73dcf254e501bp-7, 0x1.03f2cf2d2bdecp-7, 0x1.289f891a6ade2p-8, 0x1.29533031d5141p-10, -0x1.2532273866ffap-9, -0x1.6dcd621c0344fp-8, -0x1.237a6aa929adap-7, -0x1.8ee1d0bf0d8efp-7, -0x1.f8fa5677f7f5ap-7, -0x1.30d28c5b6ded4p-6, -0x1.64630e1e366edp-6, -0x1.9722858ac4d32p-6, -0x1.c905fa7bebb24p-6, -0x1.fa040ab9ea73dp-6, -0x1.150a58ccdcf09p-5, -0x1.2c9841735921fp-5, -0x1.43a91c863693cp-5, -0x1.5a3a6532b1e6dp-5, -0x1.704a37ebe835p-5, -0x1.85d73f1fef282p-5, -0x1.9ae060987fcfbp-5, -0x1.af65093d6dd6p-5, -0x1.c364fb4c2573cp-5, -0x1.d6e04125bd8d2p-5, -0x1.e9d73f26aad6dp-5, -0x1.fc4a9dc8f286cp-5, -0x1.071d9cb0319ecp-4, -0x1.0fd51c2e0d003p-4, -0x1.184c6f14065cfp-4, -0x1.2084583c17fb5p-4, -0x1.287da4b194ad3p-4, -0x1.3039499ba2221p-4, -0x1.37b82c55bb735p-4, -0x1.3efb5ae1929e2p-4, -0x1.4603dd49e84e1p-4, -0x1.4cd2cd9b0375ap-4, -0x1.536955fa333fcp-4, -0x1.59c899e2ee8dfp-4, -0x1.5ff1c65abc516p-4, -0x1.65e60f8d28256p-4, -0x1.6ba6aacba604ap-4, -0x1.7134dcd365cedp-4, -0x1.7691cd5f07b47p-4, -0x1.7bbebe6a80202p-4, -0x1.80bce809d073dp-4, -0x1.858d83e771359p-4, -0x1.8a31cb5003e92p-4, -0x1.8eaae268e4f33p-4, -0x1.92fa0277476c5p-4, -0x1.97204f61e8d81p-4, -0x1.9b1ef5240c977p-4, -0x1.9ef70da4a4a84p-4, -0x1.a2a9b35a40f14p-4, -0x1.a6380bd91905cp-4, -0x1.a9a30d4ad50b6p-4, -0x1.acebd1a7d4e7fp-4, -0x1.b0135ae54968cp-4, -0x1.b31a9f2835782p-4, -0x1.b602a1ccee2bbp-4, -0x1.b8cc497bed117p-4, -0x1.bb7879d459b45p-4, -0x1.be081d66c5feep-4, -0x1.c07c08306fbbcp-4, -0x1.c2d516912a11p-4, -0x1.c5140fcad567p-4, -0x1.c739ba0ef1c2dp-4, -0x1.c946dc5522b61p-4, -0x1.cb3c25fc019e1p-4, -0x1.cd1a4d754c765p-4, -0x1.cee201cc08fe3p-4, -0x1.d093e69e318ecp-4, -0x1.d23091c5da004p-4, -0x1.d3b8ab09950eep-4, -0x1.d52cc39be6ddp-4, -0x1.d68d5ed1197afp-4, -0x1.d7db109770feep-4, -0x1.d9164ffbcf24dp-4, -0x1.da3f9ed0ae2dap-4, -0x1.db5770be15075p-4, -0x1.dc5e3c78edacp-4, -0x1.dd546ec3b81ccp-4, -0x1.de3a6b8037436p-4, -0x1.df109f5638909p-4, -0x1.dfd75864ea96fp-4, -0x1.e08f06822992ap-4, -0x1.e137f03b0d6c6p-4, -0x1.e1d26ee5aebf7p-4, -0x1.e25ed16d7f221p-4, -0x1.e2dd60a6b8802p-4, -0x1.e34e65cfd9543p-4, -0x1.e3b22990cddb9p-4, -0x1.e408e210be88fp-4, -0x1.e452d65a6c573p-4, -0x1.e4903cf7a8d2fp-4, -0x1.e4c14f8f69222p-4, -0x1.e4e64316d73bp-4, -0x1.e4ff4af20d8f9p-4, -0x1.e50c989edb771p-4, -0x1.e50e58eb94323p-4, -0x1.e504b7996c7c7p-4, -0x1.e4efdfb8d672ap-4, -0x1.e4cff9f9230e5p-4, -0x1.e4a52b699d9bfp-4, -0x1.e46f991aff52cp-4, -0x1.e42f67a6b39edp-4, -0x1.e3e4b6e556d7ep-4, -0x1.e38fa8f848485p-4, -0x1.e3305a7970a89p-4, -0x1.e2c6edcf08df8p-4, -0x1.e2537945bcc3bp-4, -0x1.e1d61f67b7b5p-4, -0x1.e14ef59d30512p-4, -0x1.e0be1740704c3p-4, -0x1.e0239f10e1d7cp-4, -0x1.df7f9ff69551bp-4, -0x1.ded2407ae56fap-4, -0x1.de1b895d1b68cp-4, -0x1.dd5b97e952419p-4, -0x1.dc9284abea1cfp-4, -0x1.dbc057d247fcp-4, -0x1.dae532bdca97cp-4, -0x1.da012e28160c3p-4, -0x1.d914576e1fc21p-4, -0x1.d81ec6410f072p-4, -0x1.d720997f09f58p-4, -0x1.d619cdefd61cfp-4, -0x1.d50a85d00cce1p-4, -0x1.d3f2dd44ffda1p-4, -0x1.d2d2dec711316p-4, -0x1.d1aaa10916f82p-4, -0x1.d07a3b22bfdafp-4, -0x1.cf41c1127016cp-4, -0x1.ce0141bd482acp-4, -0x1.ccb8d76d5f24fp-4, -0x1.cb6898b5522f9p-4, -0x1.ca1098cf8518dp-4, -0x1.c8b0ec4de3052p-4, -0x1.c749a8d80215cp-4, -0x1.c5dae34935686p-4, -0x1.c464b74d48c8bp-4, -0x1.c2e730a32a762p-4, -0x1.c1626f2c47dc4p-4, -0x1.bfd684fd7f481p-4, -0x1.be438f2740728p-4, -0x1.bca99d0a33919p-4, -0x1.bb08c6c9128dfp-4, -0x1.b9612a82b2dc7p-4, -0x1.b7b2d9be92629p-4, -0x1.b5fdec9bef1c9p-4, -0x1.b44281ff3fdd7p-4, -0x1.b280ae0ad0ccdp-4, -0x1.b0b88a17c0366p-4, -0x1.aeea310b57598p-4, -0x1.ad15ba5fce524p-4, -0x1.ab3b3ed0b5d17p-4, -0x1.a95adc596bf81p-4, -0x1.a774ab7048daep-4, -0x1.a588c5989718bp-4, -0x1.a397498296f96p-4, -0x1.a1a0447c708a8p-4, -0x1.9fa3e1db768eap-4, -0x1.9da238b2a7e8ep-4, -0x1.9b9b612405ca4p-4, -0x1.998f76c3f093bp-4, -0x1.977e974766f2p-4, -0x1.9568e02d98025p-4, -0x1.934e6d374a1b2p-4, -0x1.912f55c5b879dp-4, -0x1.8f0bbd0b441e3p-4, -0x1.8ce3baed83598p-4, -0x1.8ab768bae53bap-4, -0x1.8886f034e34c1p-4, -0x1.86525fc0d66cap-4, -0x1.8419dbaefa5bcp-4, -0x1.81dd83758f0afp-4, -0x1.7f9d6dc944e76p-4, -0x1.7d59b59a630f3p-4, -0x1.7b1282bf208cp-4, -0x1.78c7e9619bb02p-4, -0x1.767a086372496p-4, -0x1.7428ffdaaaff9p-4, -0x1.71d4eec5a8115p-4, -0x1.6f7de5ab06eb9p-4, -0x1.6d240c6a9f6f2p-4, -0x1.6ac78135ae6dep-4, -0x1.68685c8f29355p-4, -0x1.6606b56643f1cp-4, -0x1.63a2b2faacc28p-4, -0x1.613c6e049ef2ap-4, -0x1.5ed3feef9b3f1p-4, -0x1.5c698431de15ep-4, -0x1.59fd2a56bb914p-4, -0x1.578eefb32f9b7p-4, -0x1.551f05c502824p-4, -0x1.52ad801d08efbp-4, -0x1.503a7d297aa9dp-4, -0x1.4dc6180b8e071p-4, -0x1.4b506625326c3p-4, -0x1.48d9876859e71p-4, -0x1.4661996d4454cp-4, -0x1.43e8b4e782abp-4, -0x1.416ef2d43b3bep-4, -0x1.3ef46aee638fcp-4, -0x1.3c793d3dbda3fp-4, -0x1.39fd7aff707dfp-4, -0x1.37814697ccd5bp-4, -0x1.3504b4fbbb00fp-4, -0x1.3287dda41f676p-4, -0x1.300ade00d9f62p-4, -0x1.2d8dc727da5d8p-4, -0x1.2b10b5a81defep-4, -0x1.2893c5d67744bp-4, -0x1.261709b074dcfp-4, -0x1.239a98628e53dp-4, -0x1.211e862dc9489p-4, -0x1.1ea2eb65fbe55p-4, -0x1.1c27df81bb78cp-4, -0x1.19ad7a6bbcf26p-4, -0x1.1733d0ffacfb1p-4, -0x1.14baf9335fa39p-4, -0x1.124309dd5adc5p-4, -0x1.0fcc14d13ffbp-4, -0x1.0d56302bd94e3p-4, -0x1.0ae16a00d6382p-4, -0x1.086dd76012b67p-4, -0x1.05fb8bd0bd819p-4, -0x1.038a9d9728fcep-4, -0x1.011b1b709f76cp-4, -0x1.fd5a3fe97d3a6p-5, -0x1.f8817a03c8667p-5, -0x1.f3ac097a311d1p-5, -0x1.eeda10e879495p-5, -0x1.ea0bae3771285p-5, -0x1.e540ff19461f6p-5, -0x1.e07a1bd2410f2p-5, -0x1.dbb71e3e07365p-5, -0x1.d6f82d0b9e9fdp-5, -0x1.d23d64ab9e89ep-5, -0x1.cd86f293aba93p-5, -0x1.c8d4f81ab4763p-5, -0x1.c4279c6aeaddbp-5, -0x1.bf7efe67468a4p-5, -0x1.badb3d3f716ffp-5, -0x1.b63c700aa132bp-5, -0x1.b1a2991284815p-5, -0x1.ad0dcced60ca7p-5, -0x1.a87e1e6241602p-5, -0x1.a3f3a5aebf6abp-5, -0x1.9f6e7dfbced61p-5, -0x1.9aeec0d3c465bp-5, -0x1.9674a212469dbp-5, -0x1.920031a65465dp-5, -0x1.8d91a1de2b975p-5, -0x1.89291154744f1p-5, -0x1.84c67f228e1e8p-5, -0x1.806a129dabc91p-5, -0x1.7c13bd0b219d8p-5, -0x1.77c3899518886p-5, -0x1.73796d1090a32p-5, -0x1.6f356e8460236p-5, -0x1.6af79ad007cc9p-5, -0x1.66c0096847643p-5, -0x1.628edfbbe309bp-5, -0x1.5e644eb21019ap-5, -0x1.5a408b1d2eabfp-5, -0x1.5623c23e4e452p-5, -0x1.520e19ae56e6p-5, -0x1.4dff98a7070edp-5, -0x1.49f82b7b7c9a5p-5, -0x1.45f79d333eaeep-5, -0x1.41fdb8bd75e89p-5, -0x1.3e0a551aef176p-5, -0x1.3a1d74acb96ccp-5, -0x1.3637435a2be5dp-5, -0x1.32580ddf039c8p-5, -0x1.2e80252e96c7bp-5, -0x1.2aafd1bd5cf78p-5, -0x1.26e74833b4295p-5, -0x1.2326a2af9211ap-5, -0x1.1f6dd1ebd58e6p-5, -0x1.1bbc9cb8eed7ep-5, -0x1.1812ae342eacdp-5, -0x1.146fb35313d16p-5, -0x1.10d3887a8b66bp-5, -0x1.0d3e473819c2fp-5, -0x1.09b03ae239645p-5, -0x1.0629b983947ffp-5, -0x1.02ab05cf51915p-5, -0x1.fe6830e7992cep-6, -0x1.f789af1008c97p-6, -0x1.f0ba3d8220915p-6, -0x1.e9f9ebd751dafp-6, -0x1.e349012b4f82ep-6, -0x1.dca7d8161884p-6, -0x1.d6169d1d56d8cp-6, -0x1.cf955ff47e21ep-6, -0x1.c923f2dc198c2p-6, -0x1.c2c20aed52dd4p-6, -0x1.bc6f43ba9ff5cp-6, -0x1.b62b124c4e864p-6, -0x1.aff51bc69f16fp-6, -0x1.a9ccce3e6047cp-6, -0x1.a3b1cf8c0914bp-6, -0x1.9da44f4c2b74fp-6, -0x1.97a566afed18ap-6, -0x1.91b6df7ffdc12p-6, -0x1.8bda66cb69cd9p-6, -0x1.8610c5b3f41b6p-6, -0x1.80598d2265babp-6, -0x1.7ab36d3d8489cp-6, -0x1.751c57ed65582p-6, -0x1.6f922fc745d53p-6, -0x1.6a13b393cdb6p-6, -0x1.64a0e3605561bp-6, -0x1.5f3ad9071658cp-6, -0x1.59e2a487dc833p-6, -0x1.5498cce7efd55p-6, -0x1.4f5dc3375771fp-6, -0x1.4a3276a25c14cp-6, -0x1.451814beb19e1p-6, -0x1.400f6058a5a92p-6, -0x1.3b18404588406p-6, -0x1.3631d5c70a676p-6, -0x1.315aafc05ee21p-6, -0x1.2c91013aeaaccp-6, -0x1.27d2c502b31ffp-6, -0x1.231f6c514751cp-6, -0x1.1e78cbfe57dbep-6, -0x1.19e165f1b0921p-6, -0x1.155980ba90b3fp-6, -0x1.10df83f7787e4p-6, -0x1.0c71e807ba5cap-6, -0x1.08106bf7deefep-6, -0x1.03bb8dd66960fp-6, -0x1.fee8809243216p-7, -0x1.f677506475072p-7, -0x1.ee25174f26f69p-7, -0x1.e5f29c224e6d1p-7, -0x1.dde0792acdcd2p-7, -0x1.d5ed6a2e425b8p-7, -0x1.ce154df6e3d7ap-7, -0x1.c6569db841167p-7, -0x1.beb3256ad317bp-7, -0x1.b728ad4dbae92p-7, -0x1.afb0b2c9396dap-7, -0x1.a848dadfffbbp-7, -0x1.a0f43c7b3aa44p-7, -0x1.99b532459132p-7, -0x1.928b6a1b6191dp-7, -0x1.8b784e78b2b43p-7, -0x1.847fc913c8e74p-7, -0x1.7da748bd2022bp-7, -0x1.76f27f50cb843p-7, -0x1.7063c04eed4d7p-7, -0x1.69f915435df26p-7, -0x1.63a85be600cf9p-7, -0x1.5d68688e641cep-7, -0x1.5738c943ec509p-7, -0x1.5117270d3f167p-7, -0x1.4afe81a3c83c9p-7, -0x1.44f39de682886p-7, -0x1.3efefbc2d4cd1p-7, -0x1.39212f93a7e2p-7, -0x1.335619e98ae58p-7, -0x1.2d9cb82f96d48p-7, -0x1.27fa176df2784p-7, -0x1.22766d021024fp-7, -0x1.1d160a70eaeb2p-7, -0x1.17d5e104e131p-7, -0x1.12b1d4d9e2b6ep-7, -0x1.0da7c3050f10dp-7, -0x1.08af58d99a9e5p-7, -0x1.03c15737ab997p-7, -0x1.fdbce511f4043p-8, -0x1.f40451f45b36ap-8, -0x1.ea5e46f8f7856p-8, -0x1.e0e2f26731453p-8, -0x1.d794fca203c59p-8, -0x1.ce69677b60636p-8, -0x1.c55d053f3f9d5p-8, -0x1.bc7717bde104bp-8, -0x1.b3bfde8a5ab3ep-8, -0x1.ab39a64740d53p-8, -0x1.a2e1dfc884078p-8, -0x1.9ab16fd21462ap-8, -0x1.92a1f6049eb54p-8, -0x1.8abdb5d5d7c5dp-8, -0x1.830ecf37d2516p-8, -0x1.7b7c74257f9dcp-8, -0x1.73f80621fba4ap-8, -0x1.6c7aaa4bff438p-8, -0x1.650d80a31cd26p-8, -0x1.5dca4323f8f2p-8, -0x1.56aace50c8fa3p-8, -0x1.4fa4d55748ad3p-8, -0x1.48bd528fb8a0bp-8, -0x1.41fd824d842b5p-8, -0x1.3b6460962d06bp-8, -0x1.34e72e0cef117p-8, -0x1.2e7ebd798afd7p-8, -0x1.282da0b1de3ddp-8, -0x1.21f79c798ea04p-8, -0x1.1bdc280291028p-8, -0x1.15e774635cd0bp-8, -0x1.102ed302a5a83p-8, -0x1.0a97563672cc9p-8, -0x1.050570a2c4045p-8, -0x1.fee407bc47211p-9, -0x1.f3ecf19a18439p-9, -0x1.e93c346a5f707p-9, -0x1.deb499d1726f9p-9, -0x1.d4543c7bf46edp-9, -0x1.ca33d25eec60fp-9, -0x1.c05b60a824be5p-9, -0x1.b6b6028eefe9ep-9, -0x1.ad2e8c4bd5d04p-9, -0x1.a3be3a4bce87ap-9, -0x1.9a6a42ac01798p-9, -0x1.913e506e517dep-9, -0x1.883e72e608a91p-9, -0x1.7f687ae025dd3p-9, -0x1.76d0832c4a34cp-9, -0x1.6e9ef21f5abe8p-9, -0x1.66a18f135c3ecp-9, -0x1.5ea8a6a1e0f76p-9, -0x1.56bf20d952bd9p-9, -0x1.4f0333453f1c4p-9, -0x1.476976ddbfa11p-9, -0x1.3fe84b20e6f3ap-9, -0x1.388f2b479a0e7p-9, -0x1.3173f27ee49f9p-9, -0x1.2a8725d63aba3p-9, -0x1.23b40e6c14678p-9, -0x1.1cf5a6ddb4626p-9, -0x1.164df28baf031p-9, -0x1.0fbf99e20249p-9, -0x1.094f9fa1e0f88p-9, -0x1.0302fc5ec489fp-9, -0x1.f9adf98681b3fp-10, -0x1.ed8563a67daffp-10, -0x1.e1adc72108fdep-10, -0x1.d65013d6bfa61p-10, -0x1.cb20f7e1b170ep-10, -0x1.c05d7e14dced9p-10, -0x1.b5c89bdda8fa1p-10, -0x1.ab37feabf99aap-10, -0x1.a0da47a384c07p-10, -0x1.969dcfd687274p-10, -0x1.8cb3b5f05e017p-10, -0x1.8325a8e84bb0bp-10, -0x1.79c36e6a461a9p-10, -0x1.707f108555b0ap-10, -0x1.675ef606a1a72p-10, -0x1.5e68a697fc262p-10, -0x1.559dd6c1eb2f5p-10, -0x1.4d01ea9a9769ap-10, -0x1.449ccaf10aebbp-10, -0x1.3c6d3a2d04c1p-10, -0x1.34602e9b02e47p-10, -0x1.2c6e467018d6bp-10, -0x1.24c578e343c12p-10, -0x1.1d1d9ca119e23p-10, -0x1.15c5fe9fd65f4p-10, -0x1.0eb766cc32d0bp-10, -0x1.07e48564eede9p-10, -0x1.011bd9293d96dp-10, -0x1.f4d717bb92faep-11, -0x1.e791dacba6d68p-11, -0x1.dacbfcbb3cfdep-11, -0x1.ce87856ec2dd7p-11, -0x1.c26e8ea7708f5p-11, -0x1.b67e518d7fe7dp-11, -0x1.aac75d4e0db1ap-11, -0x1.9f503f46e2e4ep-11, -0x1.94194441922aep-11, -0x1.892788bea19a6p-11, -0x1.7e8380e09b531p-11, -0x1.7425d8d055651p-11, -0x1.69fa97a52fcdep-11, -0x1.5ff51703f65bcp-11, -0x1.5649f436d5fc7p-11, -0x1.4cccea115dd7bp-11, -0x1.4394de336ea03p-11, -0x1.3a79d012400fdp-11, -0x1.318a404d43b9dp-11, -0x1.28d9987a37b7ep-11, -0x1.20a0dddc03bb3p-11, -0x1.18ad675c0771dp-11, -0x1.10af1e7b1423ap-11, -0x1.08c2d9a1d3025p-11, -0x1.014b93c3f4901p-11, -0x1.f3ff325c7f149p-12, -0x1.e590cc595126fp-12, -0x1.d76aea1bc6fc2p-12, -0x1.c99a0338e218bp-12, -0x1.bc20931861b3p-12, -0x1.af07d3e028e24p-12, -0x1.a24d0e1fea65dp-12, -0x1.95e51c834fbe7p-12, -0x1.89c0583fb9d5bp-12, -0x1.7dd6abc80f21ep-12, -0x1.725ba5f14608ep-12, -0x1.673cd95d9bdap-12, -0x1.5c4f3d1f3b51dp-12, -0x1.51a79a360b887p-12, -0x1.4747283659acap-12, -0x1.3d2a99450dc51p-12, -0x1.334bfec0cb871p-12, -0x1.29a204f48085ep-12, -0x1.20265b073ca86p-12, -0x1.1719b68f432afp-12, -0x1.0e94b0b34cf51p-12, -0x1.05dc8fad490a1p-12, -0x1.fb0e01c29a89bp-13, -0x1.eb1aed12c3d1bp-13, -0x1.db4f0abc2759fp-13, -0x1.cbd8f84e3be61p-13, -0x1.bcd0d4672353fp-13, -0x1.ae3be53132636p-13, -0x1.a0137ad30980ap-13, -0x1.92505167b5112p-13, -0x1.84d8db81a4407p-13, -0x1.77c966814fc38p-13, -0x1.6b4225dcf25efp-13, -0x1.5ef8c97279125p-13, -0x1.530820282c72cp-13, -0x1.476e30e90226fp-13, -0x1.3c2d931f9febep-13, -0x1.313f5d523280fp-13, -0x1.26a4263b7908p-13, -0x1.1c582a1328f6cp-13, -0x1.12599ea7d22bdp-13, -0x1.08a6c5d1be30dp-13, -0x1.fe79004fc2dd3p-14, -0x1.ec2afabcf094dp-14, -0x1.da564a14548d8p-14, -0x1.c8e5e4460884p-14, -0x1.b879d8399f4dp-14, -0x1.a846220ce143dp-14, -0x1.98ef87289dbd2p-14, -0x1.89e552c305c46p-14, -0x1.7b321fd9b9b3cp-14, -0x1.6cf36962ad23cp-14, -0x1.5f2648b89371bp-14, -0x1.51b63afb4ce3p-14, -0x1.44e680223fb22p-14, -0x1.38687d55a8989p-14, -0x1.2c549e3e19902p-14, -0x1.20a7ebc853ecp-14, -0x1.1559fda26427dp-14, -0x1.0a6f216fb557cp-14, -0x1.ffc4d63647ce7p-15, -0x1.eb6323dc9e84fp-15, -0x1.d7b0e5356e6bep-15, -0x1.c4ac1502930e4p-15, -0x1.b24dd4ef3c147p-15, -0x1.a094f72c8ebecp-15, -0x1.8f7c2885b72cfp-15, -0x1.7f01c0a23d345p-15, -0x1.6f1fda3145edp-15, -0x1.5fd016223298fp-15, -0x1.510bc4b1d3952p-15, -0x1.42d00dfa4a321p-15, -0x1.3521207049171p-15, -0x1.27f1b5ba2a0a3p-15, -0x1.1b174fbad932cp-15, -0x1.0ed38f7175c87p-15, -0x1.0352192adb3fcp-15, -0x1.f0601a4aa8cap-16, -0x1.daaf09b9a2ed6p-16, -0x1.c5d438e126287p-16, -0x1.b1e9d225f1e0cp-16, -0x1.9ecb6f14a8a45p-16, -0x1.8c79342223c5ap-16, -0x1.7aed2081bbc59p-16, -0x1.6a21df482db1cp-16, -0x1.5a0ec361a6b6bp-16, -0x1.4aab569f212dep-16, -0x1.3c0c054a3bb13p-16, -0x1.2e00e86f5a127p-16, -0x1.209c2660cbcd3p-16, -0x1.13dc292e4b61ap-16, -0x1.07bc368b8cd16p-16, -0x1.f85b8476e468p-17, -0x1.e25ddac9fdbfbp-17, -0x1.cd7e880715561p-17, -0x1.b9a18df2d3798p-17, -0x1.a6eb1d1b85cd5p-17, -0x1.951ac1feb4829p-17, -0x1.8449960bdc402p-17, -0x1.7457f51718ad2p-17, -0x1.656118246f02dp-17, -0x1.574da52e1c08ap-17, -0x1.4a06779e196ddp-17, -0x1.3d8c50c77793cp-17, -0x1.31ea8b0e3827dp-17, -0x1.27084d17679ffp-17, -0x1.1c9bad42aef87p-17, -0x1.1368346219974p-17, -0x1.0aafafa0136e8p-17, -0x1.0281735adb8ep-17, -0x1.f632c9ef70dp-18, -0x1.e86c16ee36012p-18, -0x1.dbeb0b109770bp-18, -0x1.d0954a16035d5p-18, -0x1.c6560b1b299bdp-18, -0x1.bd2ecadd24dd9p-18, -0x1.b4fff9fe34bddp-18, -0x1.add6a1acb4454p-18, -0x1.a75f50d9464d5p-18, -0x1.a242732773cc6p-18, -0x1.9dba3178fe5d7p-18, -0x1.9a48dad8b6227p-18, -0x1.9782ed265ef0fp-18, -0x1.9567059bee88ap-18, -0x1.9420b19eb2946p-18, -0x1.93615fd0fb321p-18, -0x1.933e8399b9e7p-18, -0x1.9404d1b1e452p-18, -0x1.95a911cc4e86cp-18, -0x1.97aab0052e19dp-18, -0x1.9a26454b01a93p-18, -0x1.9d3da860d609cp-18, -0x1.a0d7157b2c582p-18, -0x1.a4e4c7bcddde1p-18, -0x1.a94793f62d74dp-18, -0x1.ae3e61a12c47dp-18, -0x1.b3bea8b0b418ap-18, -0x1.b99c6468593b3p-18, -0x1.bfbc6b76cc142p-18, -0x1.c666a45c88da5p-18, -0x1.cd12a196a45f2p-18, -0x1.d44d394f8b9bdp-18, -0x1.dbf5274521b28p-18, -0x1.e3ad1b1ea0889p-18, -0x1.ebb81f27138cap-18, -0x1.f3db3af1f20dfp-18, -0x1.fc6cd9937500ep-18, -0x1.0282a7a7234bep-17, -0x1.0711236d93456p-17, -0x1.0baa5ea05fefdp-17, -0x1.1041aed5114d9p-17, -0x1.14ed4868b1ccdp-17, -0x1.19ba32018e5f5p-17, }}, 
      {{0x1.78cd0b930642dp-9, 0x1.966bb4e952ba7p-9, 0x1.1e0f175f161d7p-11, -0x1.fd82377b91a63p-9, -0x1.2a88c655b1102p-7, -0x1.d10da4239cef7p-7, -0x1.2e79e9c76d252p-6, -0x1.606aaa537da14p-6, -0x1.7b459fa8beda7p-6, -0x1.7ebd445bd9585p-6, -0x1.6c7ac9e4149d3p-6, -0x1.476e258d8d56fp-6, -0x1.13420d8e1fdd9p-6, -0x1.a7e3e59b013ddp-7, -0x1.1afaa37ef4932p-7, -0x1.0ecb784ebd5e4p-8, 0x1.7c6376e6d3a46p-12, 0x1.316b6eae81a99p-8, 0x1.19c80decc00d4p-7, 0x1.8ab505b4f19d8p-7, 0x1.e7f46c4d5653fp-7, 0x1.17676f265bbaep-6, 0x1.2ea5c2eca94a8p-6, 0x1.390e38f43f714p-6, 0x1.36450437c8c09p-6, 0x1.262f6fdcce422p-6, 0x1.08ea557a23befp-6, 0x1.bd826302b3dbfp-7, 0x1.504bf24500444p-7, 0x1.96a5462adefep-8, 0x1.7f404b132926fp-10, -0x1.00fc225bfe166p-8, -0x1.44507adfde1e7p-7, -0x1.0cf7aafebff05p-6, -0x1.7fd8fd4677377p-6, -0x1.f9f6b5277460ep-6, -0x1.3d3e7770fae9ep-5, -0x1.804dc99c1e66p-5, -0x1.c5c40e1ce259ep-5, -0x1.069fce3b061a7p-4, -0x1.2b3160c8d0316p-4, -0x1.506a2ca04dc81p-4, -0x1.762003aad3148p-4, -0x1.9c2b25a0c2578p-4, -0x1.c2665e1e65b39p-4, -0x1.e8af02efec72fp-4, -0x1.07727a14e27fbp-3, -0x1.1a753f3a0b17ep-3, -0x1.2d522924720f2p-3, -0x1.3ffcc05ca1e2bp-3, -0x1.5269aec95dc63p-3, -0x1.648eb4949d274p-3, -0x1.76628eb12f295p-3, -0x1.87dcf18cd5ee5p-3, -0x1.98f6810605597p-3, -0x1.a9a8c222ce047p-3, -0x1.b9ee0b1f1ea84p-3, -0x1.c9c1728ff8537p-3, -0x1.d91ec3d972f29p-3, -0x1.e80271fe9d0bap-3, -0x1.f6698f806741fp-3, -0x1.0228e30c50731p-2, -0x1.08dca4199934fp-2, -0x1.0f4f641bf8e2p-2, -0x1.1580b738c7fd8p-2, -0x1.1b7066ce5503cp-2, -0x1.211e6f36242c9p-2, -0x1.268af780bce37p-2, -0x1.2bb652a906cap-2, -0x1.30a0f8739386p-2, -0x1.354b838741a6ep-2, -0x1.39b6ac7551138p-2, -0x1.3de3495df897dp-2, -0x1.41d2459589e68p-2, -0x1.4584a36bc306p-2, -0x1.48fb76c909885p-2, -0x1.4c37e4571810dp-2, -0x1.4f3b1d741aac6p-2, -0x1.520660008b1e1p-2, -0x1.549af1a5319e6p-2, -0x1.56fa22018e856p-2, -0x1.5925459a696b8p-2, -0x1.5b1db5c2f6e1fp-2, -0x1.5ce4cf25506d4p-2, -0x1.5e7bf0cc48797p-2, -0x1.5fe479eb56c91p-2, -0x1.611fc99575183p-2, -0x1.622f3f3e1c85fp-2, -0x1.631436a98b5dep-2, -0x1.63d009e69460cp-2, -0x1.64640ecaadde8p-2, -0x1.64d19826eec72p-2, -0x1.6519f42664e0cp-2, -0x1.653e6b737ffe8p-2, -0x1.6540423bd7fc1p-2, -0x1.6520b6a083aa1p-2, -0x1.64e100e1e21b4p-2, -0x1.648253709a122p-2, -0x1.6405d90335f6ap-2, -0x1.636cb7cee54bcp-2, -0x1.62b80d856b5bep-2, -0x1.61e8f225005d1p-2, -0x1.6100761408786p-2, -0x1.5fffa3c5a8ce2p-2, -0x1.5ee77db6919p-2, -0x1.5db8ffe0efb6ap-2, -0x1.5c751efc35055p-2, -0x1.5b1cc9786f75fp-2, -0x1.59b0e668036cbp-2, -0x1.583256cbf0233p-2, -0x1.56a1f40e9ddf2p-2, -0x1.550090b1c0c69p-2, -0x1.534efafc16385p-2, -0x1.518df8cf88b69p-2, -0x1.4fbe49081c28fp-2, -0x1.4de0a69bd439ap-2, -0x1.4bf5c57b68c7ep-2, -0x1.49fe532152ae3p-2, -0x1.47faf80cdff95p-2, -0x1.45ec56bb734ep-2, -0x1.43d30c48bac5dp-2, -0x1.41afb0c89445dp-2, -0x1.3f82d685e16b5p-2, -0x1.3d4d0a96ae8a4p-2, -0x1.3b0ed655ee162p-2, -0x1.38c8bd1ac513cp-2, -0x1.367b3e8e9e17ep-2, -0x1.3426d47462b64p-2, -0x1.31cbf6afc95bfp-2, -0x1.2f6b1592f9b28p-2, -0x1.2d04a04c44033p-2, -0x1.2a99005ddcfdp-2, -0x1.28289bfaa6229p-2, -0x1.25b3d5e1496d1p-2, -0x1.233b0d1a6da89p-2, -0x1.20be9cd36c0dcp-2, -0x1.1e3edd6a488c2p-2, -0x1.1bbc233c8fa51p-2, -0x1.1936c0ee92622p-2, -0x1.16af03d2d5d8fp-2, -0x1.142538d373cb5p-2, -0x1.1199a9042b0b2p-2, -0x1.0f0c9a81f4888p-2, -0x1.0c7e50a63e4b4p-2, -0x1.09ef0d09b339cp-2, -0x1.075f0e76d15e6p-2, -0x1.04ce9135cac26p-2, -0x1.023dcf495fbf6p-2, -0x1.ff5a023f21d0cp-3, -0x1.fa38b86295286p-3, -0x1.f5182940f89a5p-3, -0x1.eff8b8f2b6211p-3, -0x1.eadac6e9d3f3dp-3, -0x1.e5beb0444d951p-3, -0x1.e0a4cd626d41ap-3, -0x1.db8d74da642e2p-3, -0x1.d678f840fa112p-3, -0x1.d167a6c818691p-3, -0x1.cc59cd4c3014dp-3, -0x1.c74fb53df2a66p-3, -0x1.c249a40124cb3p-3, -0x1.bd47de95f9dfp-3, -0x1.b84aa56c7826ep-3, -0x1.b352378120641p-3, -0x1.ae5ed13aaa316p-3, -0x1.a970ac3d2edf2p-3, -0x1.a4880011d5809p-3, -0x1.9fa5028a2f77p-3, -0x1.9ac7e5ce6e2acp-3, -0x1.95f0dba65061ep-3, -0x1.9120132450c14p-3, -0x1.8c55ba60c7403p-3, -0x1.8791fba4dd85bp-3, -0x1.82d50072dc8e4p-3, -0x1.7e1ef1e0a062cp-3, -0x1.796ff413d88dfp-3, -0x1.74c82d7e94e68p-3, -0x1.7027bf1f70a81p-3, -0x1.6b8ecb71255a8p-3, -0x1.66fd712b6f0fep-3, -0x1.6273d0375a2cdp-3, -0x1.5df204c7d3c37p-3, -0x1.5978291699b36p-3, -0x1.550658ed09b34p-3, -0x1.509cac4a2d2b4p-3, -0x1.4c3b3af695f2cp-3, -0x1.47e21b09fedb3p-3, -0x1.43916223fba72p-3, -0x1.3f492351954dp-3, -0x1.3b09726b7b347p-3, -0x1.36d260394fa33p-3, -0x1.32a3fd9f6ca52p-3, -0x1.2e7e5a358cd0dp-3, -0x1.2a6184a8b9e78p-3, -0x1.264d8a0ac2818p-3, -0x1.224277025a08bp-3, -0x1.1e4057e685c34p-3, -0x1.1a473669fbb54p-3, -0x1.16571bdb35ec4p-3, -0x1.1270121b88154p-3, -0x1.0e922088f65f7p-3, -0x1.0abd4e506999ep-3, -0x1.06f1a18cafbe9p-3, -0x1.032f1ff24403bp-3, -0x1.feeb9c1cbe127p-4, -0x1.f78b5fe95a82bp-4, -0x1.f03d917dce1eap-4, -0x1.e902356d2395p-4, -0x1.e1d94f63cb7bap-4, -0x1.dac2e0ad906a1p-4, -0x1.d3beea787484p-4, -0x1.cccd6c592b59p-4, -0x1.c5ee658013e12p-4, -0x1.bf21cfbcca6ddp-4, -0x1.b867a96156727p-4, -0x1.b1bfe99dd7f7p-4, -0x1.ab2a8db648a92p-4, -0x1.a4a78a69e0435p-4, -0x1.9e36d70f4a427p-4, -0x1.97d86b2cb0464p-4, -0x1.918c3a3d297ffp-4, -0x1.8b5237df6f341p-4, -0x1.852a56e2b4e3fp-4, -0x1.7f1489f8d8505p-4, -0x1.7910c0354de91p-4, -0x1.731eead6c3c49p-4, -0x1.6d3ef9ad0729bp-4, -0x1.6770d7bc3b6e6p-4, -0x1.61b4756c34dddp-4, -0x1.5c09bffb9ab77p-4, -0x1.56709c371a662p-4, -0x1.50e8fc99491acp-4, -0x1.4b72c9b0bd298p-4, -0x1.460dea21f05fcp-4, -0x1.40ba488597af1p-4, -0x1.3b77ccfb2458ap-4, -0x1.36465ed889645p-4, -0x1.3125e3855df37p-4, -0x1.2c1643f57bab9p-4, -0x1.2717633d1ff3dp-4, -0x1.222926462d3fp-4, -0x1.1d4b72c88b329p-4, -0x1.187e2e2c618bap-4, -0x1.13c138c504911p-4, -0x1.0f147707dfd31p-4, -0x1.0a77cb11e7109p-4, -0x1.05eb186a02301p-4, -0x1.016e3d09e5395p-4, -0x1.fa023c0afc193p-5, -0x1.f147353eeb91ep-5, -0x1.e8ab26d9161fbp-5, -0x1.e02dd1e4d9a99p-5, -0x1.d7cef2a528259p-5, -0x1.cf8e4d6761a34p-5, -0x1.c76b9d259b487p-5, -0x1.bf66a18641a6ep-5, -0x1.b77f174b8086ep-5, -0x1.afb4bac5b0586p-5, -0x1.a807482636061p-5, -0x1.a0767e9514f43p-5, -0x1.9902148934ee9p-5, -0x1.91a9c92b7cfe1p-5, -0x1.8a6d55e849651p-5, -0x1.834c75cd4e8f3p-5, -0x1.7c46e489f7e4dp-5, -0x1.755c5a6d78111p-5, -0x1.6e8c94e79a38fp-5, -0x1.67d74a8bd13f6p-5, -0x1.613c37d7d9ec1p-5, -0x1.5abb11c8967b6p-5, -0x1.545394c4dda3ap-5, -0x1.4e0579948a121p-5, -0x1.47d07968049cep-5, -0x1.41b44eeeff934p-5, -0x1.3bb0b460442b1p-5, -0x1.35c5641cec84ap-5, -0x1.2ff21861cdf28p-5, -0x1.2a3689b87aa19p-5, -0x1.24926f5809608p-5, -0x1.1f0582add36b8p-5, -0x1.198f7ce41f517p-5, -0x1.14301897954a3p-5, -0x1.0ee70f2884fbp-5, -0x1.09b420ca56bccp-5, -0x1.049707ae2106bp-5, -0x1.ff1efe992f4e1p-6, -0x1.f53a894583823p-6, -0x1.eb80260e34751p-6, -0x1.e1ef48699dbcbp-6, -0x1.d88764ff5cd53p-6, -0x1.cf47f01a7c714p-6, -0x1.c63060ac00f52p-6, -0x1.bd402d90bf97bp-6, -0x1.b476da9fd2d55p-6, -0x1.abd3e9926cb44p-6, -0x1.a356dba4b3c9p-6, -0x1.9aff34b093234p-6, -0x1.92cc75818a1e6p-6, -0x1.8abe1c8394b77p-6, -0x1.82d3a4a5f5a53p-6, -0x1.7b0c876cb4f4p-6, -0x1.73683eca74f59p-6, -0x1.6be647f97c59ap-6, -0x1.648621ab70aap-6, -0x1.5d475d2ea695fp-6, -0x1.56297cc1d50dcp-6, -0x1.4f2c1888c8082p-6, -0x1.484eb7a66658ep-6, -0x1.4190f2411b482p-6, -0x1.3af255e7cf44fp-6, -0x1.3472680763d7p-6, -0x1.2e10b53864bcap-6, -0x1.27ccc30243ecdp-6, -0x1.21a60c88e59f4p-6, -0x1.1b9c195695279p-6, -0x1.15ae6f0fb163dp-6, -0x1.0fdc9ad091c62p-6, -0x1.0a2635e0fe0fdp-6, -0x1.048adff49dd69p-6, -0x1.fe14857d03643p-7, -0x1.f3480bf85d6c5p-7, -0x1.e8afab4001da3p-7, -0x1.de4ab2b161872p-7, -0x1.d4184b43d9026p-7, -0x1.ca178169dd03p-7, -0x1.c047447519b2cp-7, -0x1.b6a67df22f99bp-7, -0x1.ad342e55beb4ap-7, -0x1.a3ef8a89bba06p-7, -0x1.9ad7fc6aa057cp-7, -0x1.91ed10f732bbep-7, -0x1.892e5aee2a447p-7, -0x1.809b64ba9c0f3p-7, -0x1.7833a143a3ba9p-7, -0x1.6ff66c7ceb48bp-7, -0x1.67e2f9e38d7efp-7, -0x1.5ff85b279d708p-7, -0x1.58357eb967f1cp-7, -0x1.5099600c8af26p-7, -0x1.49232f93479aap-7, -0x1.41d25ac2b6308p-7, -0x1.3aa683935c409p-7, -0x1.339f56cdab672p-7, -0x1.2cbc707b7c364p-7, -0x1.25fd14a55909dp-7, -0x1.1f608b3bd8b5bp-7, -0x1.18e60f74e9cc8p-7, -0x1.128d0e2644a4p-7, -0x1.0c55212deaea8p-7, -0x1.063de2ddbd1ffp-7, -0x1.0046f09bc2ccbp-7, -0x1.f4df62e9452bcp-8, -0x1.e96f034b99cc2p-8, -0x1.de3b4823ddf83p-8, -0x1.d342abb99b4dp-8, -0x1.c883742ce09d7p-8, -0x1.bdfc3ee5929f6p-8, -0x1.b3ab7a1e0387bp-8, -0x1.a98fdcb1fa5bep-8, -0x1.9fa8ac000da8bp-8, -0x1.95f600fcc98fap-8, -0x1.8c78a5cfbfc84p-8, -0x1.83313a93c6493p-8, -0x1.7a1f86f914faap-8, -0x1.714239f956d29p-8, -0x1.6897162e3decap-8, -0x1.601b68e22db08p-8, -0x1.57cc58158df1fp-8, -0x1.4fa7e8d1358fdp-8, -0x1.47ad45bf5b9bbp-8, -0x1.3fdca5621bee5p-8, -0x1.383635b4d5597p-8, -0x1.30b9b1a85a7fbp-8, -0x1.2966c05b4728fp-8, -0x1.223d65bdf21f8p-8, -0x1.1b3df17d91073p-8, -0x1.146844f224d66p-8, -0x1.0dbb9593d59adp-8, -0x1.073658015c2e5p-8, -0x1.00d6c6636a947p-8, -0x1.f5352df5c9525p-9, -0x1.e8ff143a1e996p-9, -0x1.dd08f2650028fp-9, -0x1.d1546b9cd3c29p-9, -0x1.c5e4364e98f1bp-9, -0x1.bab79de77f71dp-9, -0x1.afcac244efa32p-9, -0x1.a51a5f131ee77p-9, -0x1.9aa509372ba53p-9, -0x1.906a9a8c96258p-9, -0x1.866b68923beabp-9, -0x1.7ca80ffb5f65p-9, -0x1.73209b1ab2c0dp-9, -0x1.69d47bd10bb26p-9, -0x1.60c330249e372p-9, -0x1.57ea925a52e97p-9, -0x1.4f46812583b2dp-9, -0x1.46d4a52eee081p-9, -0x1.3e9553c7aabep-9, -0x1.368623fc7ab24p-9, -0x1.2ea1869a85e7ep-9, -0x1.26e529d03c47p-9, -0x1.1f52cdaf7cce1p-9, -0x1.17eb855d43761p-9, -0x1.10ae0c4274baep-9, -0x1.099aad9cfd347p-9, -0x1.02b327d655eaap-9, -0x1.f7f4c0a5a9c1cp-10, -0x1.eae42beb76946p-10, -0x1.de35a34cee85p-10, -0x1.d1e4b3c9c945ap-10, -0x1.c5e23415fd28dp-10, -0x1.ba2049415594cp-10, -0x1.ae9d84173184ap-10, -0x1.a3558af1018f8p-10, -0x1.98410157f5b45p-10, -0x1.8d65439f78059p-10, -0x1.82cc5d53a1d1fp-10, -0x1.7875fa29b6234p-10, -0x1.6e5b8fa2cd8c7p-10, -0x1.647a9ca5cac3ep-10, -0x1.5ad83f870d47cp-10, -0x1.517d6fcc7918p-10, -0x1.486e284366afcp-10, -0x1.3fa56436c7b38p-10, -0x1.371ce64526bc2p-10, -0x1.2ed0f01d0f2b9p-10, -0x1.26b652e3b6571p-10, -0x1.1ec3d4d336987p-10, -0x1.16f9a02c73bc6p-10, -0x1.0f5161ff1b9d9p-10, -0x1.07cdb9edc8793p-10, -0x1.007c322dcc5a5p-10, -0x1.f2bae79e0d442p-11, -0x1.e4d44a8562a06p-11, -0x1.d73f5938aed04p-11, -0x1.ca030f00b3fbp-11, -0x1.bd26845452816p-11, -0x1.b0aada77e7258p-11, -0x1.a48b7e8f3ad27p-11, -0x1.98bf4b4557655p-11, -0x1.8d3dd13b0ef19p-11, -0x1.8210b8852d6bap-11, -0x1.77419509a5442p-11, -0x1.6cb424f442053p-11, -0x1.6257beeaf3801p-11, -0x1.5823b7168be3ep-11, -0x1.4e219354c7a22p-11, -0x1.446b3bfc75c46p-11, -0x1.3af903358569bp-11, -0x1.31bee470d6d38p-11, -0x1.28c13ee6918a4p-11, -0x1.200776e62cb5ap-11, -0x1.17903c175208fp-11, -0x1.0f4f5361eaa5bp-11, -0x1.073d0dd1b40bp-11, -0x1.feb5e93ec0fb8p-12, -0x1.ef5857f66e0c7p-12, -0x1.e05ec671b7667p-12, -0x1.d1deaf2a1def1p-12, -0x1.c3fde54fe41efp-12, -0x1.b6876ff227f53p-12, -0x1.a944b886fcc76p-12, -0x1.9c279c8f1f87p-12, -0x1.8f5e9565e7782p-12, -0x1.82fe6f294ed8fp-12, -0x1.76e9a56e504f1p-12, -0x1.6b1cf60d88befp-12, -0x1.5fad9c8573643p-12, -0x1.54a0efaf7083bp-12, -0x1.49e281b4cdddcp-12, -0x1.3f5f8830d334dp-12, -0x1.35116522f4754p-12, -0x1.2afa94abb5b1p-12, -0x1.212441b5ea307p-12, -0x1.17915f6536b4ep-12, -0x1.0e3ef1b51d2ddp-12, -0x1.053cf67bd79b6p-12, -0x1.f958226377a0ep-13, -0x1.e8c1b699017fp-13, -0x1.d8613696cd33cp-13, -0x1.c84a99ec5d9ddp-13, -0x1.b8adf9a1777f6p-13, -0x1.a977d50583cd7p-13, -0x1.9a955dc6c74cdp-13, -0x1.8c1e49674a40ap-13, -0x1.7e34160332901p-13, -0x1.70bb0018226ecp-13, -0x1.63914704d28a6p-13, -0x1.56aedfc9fae1dp-13, -0x1.4a15c03f9677cp-13, -0x1.3dc7e56bbe03cp-13, -0x1.31cc65e25baddp-13, -0x1.26294401492b1p-13, -0x1.1ad8688d83cbp-13, -0x1.0fcb9ec502846p-13, -0x1.051adfd5f0c88p-13, -0x1.f5c65d4e8bedbp-14, -0x1.e1d649d54bf1cp-14, -0x1.cebca1ecacf3bp-14, -0x1.bc1f3e463c4cbp-14, -0x1.a9ba8c271b0acp-14, -0x1.97d476df89035p-14, -0x1.8650fea9ec591p-14, -0x1.7573a4240b5f4p-14, -0x1.65468973fb609p-14, -0x1.5586e0a568eeap-14, -0x1.461a9af8fa151p-14, -0x1.370de5c2b9089p-14, -0x1.286834ae0003bp-14, -0x1.1a273822a7d7ap-14, -0x1.0c4bfb2c594bbp-14, -0x1.fdc729ef0f53dp-15, -0x1.e3d346b3dc2bdp-15, -0x1.ca80e7e9b19f4p-15, -0x1.b1c41a4b8b5abp-15, -0x1.9a0b1b392215cp-15, -0x1.829a948621a72p-15, -0x1.6c3ccff856ff2p-15, -0x1.56da7ce0b077bp-15, -0x1.424d8db0896fcp-15, -0x1.2e15ffacf1b96p-15, -0x1.1a59bd5381664p-15, -0x1.06fa2cb21bb0ap-15, -0x1.e8e014ee29ddep-16, -0x1.c57639f9bd053p-16, -0x1.a2e309d8b91a6p-16, -0x1.811e7d9326cbp-16, -0x1.60491727adc9cp-16, -0x1.406fa01e372d3p-16, -0x1.21965e54dc127p-16, -0x1.03b9f40cf7bd2p-16, -0x1.cde3112f8529fp-17, -0x1.965574420f966p-17, -0x1.605d3381e7826p-17, -0x1.2bbffbd260b9p-17, -0x1.f2bf2abc73b84p-18, -0x1.90f2a9dc62b64p-18, -0x1.32baf3f2ddc3ep-18, -0x1.adec67e54d58ap-19, -0x1.f6d010d83d6e3p-20, -0x1.3efc10a3e1bb3p-21, 0x1.46505a0c14313p-21, 0x1.d87eb9064c9b4p-20, 0x1.8547423ba4aa7p-19, 0x1.0d3d220aae86cp-18, 0x1.53714360c72dcp-18, 0x1.970142f657833p-18, 0x1.d8e0ec8a2c2cdp-18, 0x1.0c49e2b3e504p-17, 0x1.2af7feb87c316p-17, 0x1.4884ff61bf0d7p-17, 0x1.64d1b5bdebdf1p-17, 0x1.7ff5dca7f023fp-17, 0x1.9a042d0545e6dp-17, 0x1.b3103b08fa949p-17, 0x1.cb6420f9f604p-17, 0x1.e263ddf79af7ep-17, 0x1.f84ec81a3184dp-17, 0x1.06bb3e3fc1f9p-16, 0x1.10d947c692fa5p-16, 0x1.1a85524382e4dp-16, 0x1.23c378bfb0febp-16, 0x1.2c9a4d1977a2p-16, 0x1.351341b0c13bcp-16, 0x1.3d343fc78f07ap-16, 0x1.44c628450055ep-16, 0x1.4bb83c6287da7p-16, 0x1.52ab496738f4ap-16, 0x1.59221f1cc5becp-16, 0x1.5f1e5bc00b7c3p-16, 0x1.64e3d162d3567p-16, 0x1.6a63889bc029cp-16, 0x1.6f7f269e1fb7bp-16, 0x1.74485d4295897p-16, 0x1.78c89732512ffp-16, 0x1.7cf9132fd7cdap-16, 0x1.80e72a0fc3d62p-16, 0x1.84867f81403fbp-16, 0x1.87d23ab499c17p-16, 0x1.8ae1b7d0f1541p-16, 0x1.8db3457f6e04ep-16, 0x1.903b09ebf1425p-16, 0x1.9285793fac02cp-16, 0x1.9490865cc97f4p-16, 0x1.965da9ec3d007p-16, 0x1.97f3387374361p-16, 0x1.994f78f05fea2p-16, 0x1.9a72183e1174p-16, 0x1.9b5fdc65bcb58p-16, 0x1.9c1057d7b291p-16, 0x1.9ca64f414f99fp-16, 0x1.9d02b0420395bp-16, 0x1.9d1e9d511c8a3p-16, 0x1.9d13d6f1077fdp-16, 0x1.9ccd80a85e8f9p-16, 0x1.9c597479b597cp-16, 0x1.9bd048272e1f8p-16, 0x1.9b1372f80127dp-16, 0x1.9a2f535d9a996p-16, 0x1.9928f0017777ap-16, 0x1.97f0826f35cd1p-16, 0x1.969741b5fbb04p-16, 0x1.951a654422c28p-16, 0x1.937c8f42fafadp-16, 0x1.91b56050d8116p-16, 0x1.8fd104eb0b745p-16, 0x1.8dcc1bc44b59dp-16, 0x1.8ba833aecdb75p-16, 0x1.8965ea8b22f33p-16, 0x1.870905ba77b26p-16, 0x1.848ee881e7eecp-16, 0x1.81f9f6e84b8fp-16, 0x1.7f455700cb81ap-16, 0x1.7c7740b6f693dp-16, 0x1.7990402eb4908p-16, 0x1.76927a1ba76e1p-16, 0x1.737ed9f265cbap-16, 0x1.7056f5ab6c85ap-16, 0x1.6d163f35d3fe5p-16, 0x1.69bfbefeb7ff7p-16, 0x1.6657969b7dd71p-16, 0x1.62d502cc3a663p-16, 0x1.5f47555ec21a9p-16, 0x1.5ba230db38073p-16, 0x1.57f2d7d51d642p-16, 0x1.542bf19bacac6p-16, 0x1.5058239293766p-16, 0x1.4c72a45951824p-16, 0x1.488084b0cae8ep-16, 0x1.4481cb864bf2dp-16, 0x1.4072b01786a45p-16, 0x1.3c5509bdd3e7ep-16, 0x1.38236679d1221p-16, 0x1.33f73bdb64391p-16, 0x1.2fbee1d43f5a8p-16, 0x1.2b72e04824f8ap-16, 0x1.271ca554bc569p-16, 0x1.22be089737da2p-16, 0x1.1e547a059404cp-16, 0x1.19e30faedd70bp-16, 0x1.1569d46c221aap-16, 0x1.10e6ab0e67dc8p-16, 0x1.0c61b4b1c676ep-16, 0x1.07d42783d0e12p-16, 0x1.033f8d86e2c4ep-16, 0x1.fd44bfc7ec52dp-17, 0x1.f40598d37282ep-17, 0x1.eab21c794229dp-17, 0x1.e15cf5d0ed663p-17, 0x1.d80352d775247p-17, 0x1.ce9c8b0d5fe32p-17, 0x1.c52e42d3896b2p-17, 0x1.bbbf57c3f56abp-17, 0x1.b23f9ab4cc7b1p-17, 0x1.a8c1e27029fbfp-17, 0x1.9f4695ee67d04p-17, 0x1.95bb64b432cadp-17, 0x1.8c38790adc1c4p-17, 0x1.82ab68836932fp-17, 0x1.791ae70481662p-17, 0x1.6f92e7bf5a57bp-17, 0x1.6603dc50f58d3p-17, 0x1.5c7962477a63dp-17, 0x1.52ede6cd6af45p-17, 0x1.495d6837419aap-17, 0x1.3fe202460ac14p-17, 0x1.36571cae75654p-17, 0x1.2cca302b5d44bp-17, 0x1.235709a18936bp-17, 0x1.19ded67a78af2p-17, 0x1.106b345964811p-17, 0x1.06e96bcdc40ffp-17, 0x1.faf0fca1e9bb1p-18, 0x1.e8338dc1350f1p-18, 0x1.d5a5010526617p-18, 0x1.c2feacd3427f8p-18, 0x1.b064e2389f0d7p-18, 0x1.9dda2c1528bb4p-18, 0x1.8b606bba3babbp-18, 0x1.78f851400b21p-18, 0x1.66ab5578259e3p-18, 0x1.5474d10d12d5dp-18, 0x1.42445d0203adfp-18, 0x1.302d78d1966acp-18, 0x1.1e1f85e3f542ap-18, 0x1.0c39427fe2fcep-18, 0x1.f4d33902c2b88p-19, 0x1.d1582d454033fp-19, 0x1.ae077ce30f3c3p-19, 0x1.8af80c5f6ecddp-19, 0x1.6818d11b1df51p-19, 0x1.458bea3d4c8ep-19, 0x1.2313097bf185fp-19, 0x1.00c14fcb2b45p-19, 0x1.bd77dbf3b25c5p-20, 0x1.79d824bd55576p-20, 0x1.36ca408f2575ap-20, 0x1.e8342a22db0ecp-21, 0x1.63f21acfe0654p-21, }}, 
      {{-0x1.42b7476061aebp-2, -0x1.40da6ccccb495p-2, -0x1.41017f01f6f9p-2, -0x1.430a4560d7e1dp-2, -0x1.46299eb1981bp-2, -0x1.49872f7049094p-2, -0x1.4c77aa7f5cdd1p-2, -0x1.4e8b32d304682p-2, -0x1.4f88dd0cf76e4p-2, -0x1.4f6374a9df065p-2, -0x1.4e2d3596dc245p-2, -0x1.4c0cda30403b4p-2, -0x1.4934c1ee86d12p-2, -0x1.45dc3de8e801ep-2, -0x1.423ac30d3e484p-2, -0x1.3e84a9cdec494p-2, -0x1.3ae922c133ad9p-2, -0x1.379112be76de1p-2, -0x1.349e98435ea17p-2, -0x1.322d03e98e66cp-2, -0x1.3051261441ffp-2, -0x1.2f19c92e272c6p-2, -0x1.2e904dc54f4abp-2, -0x1.2eb951de37dd2p-2, -0x1.2f955b9645f27p-2, -0x1.31217cc446204p-2, -0x1.3357ec28cfc64p-2, -0x1.363092aa87142p-2, -0x1.39a189db0e653p-2, -0x1.3d9f90b0644c9p-2, -0x1.421e6e54d1986p-2, -0x1.47114926a50aap-2, -0x1.4c6af28330f4bp-2, -0x1.521e2413eb383p-2, -0x1.581db40c5a1dcp-2, -0x1.5e5cbedf1a822p-2, -0x1.64cec996a3bfbp-2, -0x1.6b67daf8c73bdp-2, -0x1.721c8fc10c75fp-2, -0x1.78e22a673bdbp-2, -0x1.7fae9818d8ce4p-2, -0x1.86787adf283f1p-2, -0x1.8d372c1af2c47p-2, -0x1.93e2b5c9b8121p-2, -0x1.9a73d49da5b4dp-2, -0x1.a0e3f5f5cbc72p-2, -0x1.a72d3031d8f96p-2, -0x1.ad4a36430aab7p-2, -0x1.b3365348ae467p-2, -0x1.b8ed686d23d57p-2, -0x1.be6be27ac89c7p-2, -0x1.c3aeae4f4fbabp-2, -0x1.c8b32c7d84d59p-2, -0x1.cd772d114fa25p-2, -0x1.d1f8eac176dddp-2, -0x1.d637033e6fd9fp-2, -0x1.da306dbb45b27p-2, -0x1.dde4714b88fd9p-2, -0x1.e1529d94fa96fp-2, -0x1.e47ac4b8bf459p-2, -0x1.e75cf816fcf76p-2, -0x1.e9f9829c2ab37p-2, -0x1.ec50e3ce4334bp-2, -0x1.ee63c9f3b08b6p-2, -0x1.f0330cae17afep-2, -0x1.f1bfa7baa7a8dp-2, -0x1.f30ab78f2bc27p-2, -0x1.f415744c4378ap-2, -0x1.f4e1302ea0b9ap-2, -0x1.f56f5362e908bp-2, -0x1.f5c1598c43cc7p-2, -0x1.f5d8cdb6d8528p-2, -0x1.f5b749f2e33ecp-2, -0x1.f55e70f0ce708p-2, -0x1.f4cfee94dbfaep-2, -0x1.f40d74335755cp-2, -0x1.f318b76c442a8p-2, -0x1.f1f36fa6892b9p-2, -0x1.f09f557019f9bp-2, -0x1.ef1e2005c44e4p-2, -0x1.ed71858ec2353p-2, -0x1.eb9b38d1d1c99p-2, -0x1.e99ce8ae3aa31p-2, -0x1.e7783f3fc4f9ep-2, -0x1.e52ee11e36053p-2, -0x1.e2c26c65fd442p-2, -0x1.e034780b2b5d5p-2, -0x1.dd86948e9aa49p-2, -0x1.daba495ac7651p-2, -0x1.d7d1166f9033cp-2, -0x1.d4cc72783b025p-2, -0x1.d1adcbd3db7f8p-2, -0x1.ce7687cecde73p-2, -0x1.cb280249c6c33p-2, -0x1.c7c38e0dac067p-2, -0x1.c44a748821001p-2, -0x1.c0bdf5d56ac08p-2, -0x1.bd1f48f44f1f6p-2, -0x1.b96f9aab771b6p-2, -0x1.b5b00fa535f49p-2, -0x1.b1e1c2814bf96p-2, -0x1.ae05c548d678ap-2, -0x1.aa1d20a105bdap-2, -0x1.a628d4a2f7701p-2, -0x1.a229d8591b4f8p-2, -0x1.9e211a5cd7ac8p-2, -0x1.9a0f80bd97724p-2, -0x1.95f5e97dedf61p-2, -0x1.91d52a40d5935p-2, -0x1.8dae1151ecb47p-2, -0x1.898164379c1a5p-2, -0x1.854fe1954827p-2, -0x1.811a4135474bp-2, -0x1.7ce132ea1112cp-2, -0x1.78a55f75714d9p-2, -0x1.7467696ccab26p-2, -0x1.7027ec9555931p-2, -0x1.6be77e15fa8dcp-2, -0x1.67a6ad222686p-2, -0x1.636602c735eadp-2, -0x1.5f26023ac5a57p-2, -0x1.5ae72928c6e72p-2, -0x1.56a9efad92b69p-2, -0x1.526ec84e95bb3p-2, -0x1.4e36211315128p-2, -0x1.4a00628273b32p-2, -0x1.45cdf0a213e04p-2, -0x1.419f2a577bb67p-2, -0x1.3d746b259a9e8p-2, -0x1.394e08b81578cp-2, -0x1.352c55cb9db22p-2, -0x1.310fa08961f78p-2, -0x1.2cf833310ff59p-2, -0x1.28e6545f1b6f9p-2, -0x1.24da4737e3f0cp-2, -0x1.20d44b162c1c2p-2, -0x1.1cd49c1d48a6ep-2, -0x1.18db7311f9323p-2, -0x1.14e906238add4p-2, -0x1.10fd870d8ce57p-2, -0x1.0d19268677384p-2, -0x1.093c114bbd535p-2, -0x1.056671a861a7dp-2, -0x1.01986f37f4949p-2, -0x1.fba45e98f975fp-3, -0x1.f427a992a93d1p-3, -0x1.ecbb0037fa475p-3, -0x1.e55e9e97f028bp-3, -0x1.de12bd6d40bb1p-3, -0x1.d6d79089f9effp-3, -0x1.cfad480c06dp-3, -0x1.c894104d3b748p-3, -0x1.c18c118077267p-3, -0x1.ba95710eb846ep-3, -0x1.b3b05036ade7p-3, -0x1.acdccd8b8189p-3, -0x1.a61b03ea9b7abp-3, -0x1.9f6b0b74370c2p-3, -0x1.98ccf985ae691p-3, -0x1.9240e05c83e34p-3, -0x1.8bc6cf54bd18cp-3, -0x1.855ed3e42b6bap-3, -0x1.7f08f849afa81p-3, -0x1.78c544b61a055p-3, -0x1.7293bf085323dp-3, -0x1.6c746acb050a1p-3, -0x1.666749866f098p-3, -0x1.606c5aae29a89p-3, -0x1.5a839b4804b0cp-3, -0x1.54ad072f30322p-3, -0x1.4ee897ea49315p-3, -0x1.4936463bc3cddp-3, -0x1.43960775bb0e5p-3, -0x1.3e07d07dbe3c7p-3, -0x1.388b9532649d7p-3, -0x1.332145fd5c3e6p-3, -0x1.2dc8d46b8d195p-3, -0x1.28822e86234dep-3, -0x1.234d426611451p-3, -0x1.1e29fbc546fcap-3, -0x1.1918471699fbbp-3, -0x1.14180d2478be2p-3, -0x1.0f2936e1b9134p-3, -0x1.0a4bad355b6a7p-3, -0x1.057f564420e8p-3, -0x1.00c41830ff881p-3, -0x1.f833b016fc126p-4, -0x1.ef00f44ddd20fp-4, -0x1.e5efc311ef0b9p-4, -0x1.dcffe26c5b843p-4, -0x1.d43115c066997p-4, -0x1.cb831f47af50dp-4, -0x1.c2f5c006a9713p-4, -0x1.ba88b8198f7b2p-4, -0x1.b23bc5a282c32p-4, -0x1.aa0ea61d29c91p-4, -0x1.a201166683f89p-4, -0x1.9a12d195215f1p-4, -0x1.92439174f906p-4, -0x1.8a9310f157a4ap-4, -0x1.8301079d1e18dp-4, -0x1.7b8d2dd117465p-4, -0x1.74373afff2ce8p-4, -0x1.6cfee59af2968p-4, -0x1.65e3e3ac94a13p-4, -0x1.5ee5eb2f1c5f8p-4, -0x1.5804b0e3a2532p-4, -0x1.513fe92bb0b47p-4, -0x1.4a9748402a054p-4, -0x1.440a81b10f472p-4, -0x1.3d994925a6055p-4, -0x1.374351d654359p-4, -0x1.31084f2ea1cbfp-4, -0x1.2ae7f2ace0a04p-4, -0x1.24e1f078aa10fp-4, -0x1.1ef5f88e8324p-4, -0x1.1923c047ff4e7p-4, -0x1.136af7ebd9bdbp-4, -0x1.0dcb521573d78p-4, -0x1.084481ae5720ap-4, -0x1.02d6389f3922fp-4, -0x1.fb0052773ffe6p-5, -0x1.f0840c15bc3f2p-5, -0x1.e63703d9bdaap-5, -0x1.dc189e94ed6afp-5, -0x1.d22842dfece9cp-5, -0x1.c865576a5ad89p-5, -0x1.becf4189aff59p-5, -0x1.b56569eaa811p-5, -0x1.ac273a2b3b4b5p-5, -0x1.a3141559b1f2ap-5, -0x1.9a2b69a32901fp-5, -0x1.916c9f9bf38bp-5, -0x1.88d7212c7ed06p-5, -0x1.806a5a199c80ep-5, -0x1.7825b6c0ee63fp-5, -0x1.7008a407aecd9p-5, -0x1.68128f70e33f4p-5, -0x1.6042e86c32554p-5, -0x1.58991e7c79723p-5, -0x1.5114a1990abecp-5, -0x1.49b4e43801425p-5, -0x1.427959c9cf4b6p-5, -0x1.3b6174d00c3ccp-5, -0x1.346caa879f8a6p-5, -0x1.2d9a70cf06ec7p-5, -0x1.26ea3f2aa5ec9p-5, -0x1.205b8d2c9a4bap-5, -0x1.19edd3c6c722ap-5, -0x1.13a08f3a5010fp-5, -0x1.0d73399be239ap-5, -0x1.076550b50822ap-5, -0x1.017651895a614p-5, -0x1.f74b79abcb784p-6, -0x1.ebe6254e924c8p-6, -0x1.e0bbaa5203f1ep-6, -0x1.d5cb0e8cb634cp-6, -0x1.cb135ae1611e1p-6, -0x1.c09399b7950b1p-6, -0x1.b64ade3980c8ap-6, -0x1.ac3831aa0c824p-6, -0x1.a25aac811506p-6, -0x1.98b1629102ccbp-6, -0x1.8f3b6d3d64529p-6, -0x1.85f7e97d30e23p-6, -0x1.7ce5f2917b8cfp-6, -0x1.7404ac98ba55dp-6, -0x1.6b5338ab114fdp-6, -0x1.62d0be424b5f3p-6, -0x1.5a7c6357aeae4p-6, -0x1.525555aa8e396p-6, -0x1.4a5ac328cf905p-6, -0x1.428bdba28e09ap-6, -0x1.3ae7d3ec0720dp-6, -0x1.336de334734e5p-6, -0x1.2c1d4315db44ep-6, -0x1.24f52fab4767dp-6, -0x1.1df4e6645b6bep-6, -0x1.171ba6687a3c6p-6, -0x1.1068b4500ee5bp-6, -0x1.09db5494c5b5cp-6, -0x1.0372d0e56c59cp-6, -0x1.fa5ce8ec6df0cp-7, -0x1.ee1b21273f332p-7, -0x1.e21eebe4b185dp-7, -0x1.d666f1a7523d6p-7, -0x1.caf1e01026daap-7, -0x1.bfbe67d7974c5p-7, -0x1.b4cb3c355f5a1p-7, -0x1.aa1715da0d2cap-7, -0x1.9fa0b2102d95ep-7, -0x1.9566d47f105c9p-7, -0x1.8b684592cc21bp-7, -0x1.81a3d8b6a53d2p-7, -0x1.7818670779c66p-7, -0x1.6ec4cba4bfbfdp-7, -0x1.65a7e85a9f5c1p-7, -0x1.5cc0a0c36ecf3p-7, -0x1.540ddab155046p-7, -0x1.4b8e818bd4f6cp-7, -0x1.43417cd6bf196p-7, -0x1.3b25bef4299acp-7, -0x1.333a3d19e5a79p-7, -0x1.2b7df239f35ep-7, -0x1.23efec0c1b8a5p-7, -0x1.1c8f29ae4dbadp-7, -0x1.155ac51427699p-7, -0x1.0e51c8e62510ap-7, -0x1.0773562dd7f3ap-7, -0x1.00be874dadb94p-7, -0x1.f464dc6d1e618p-8, -0x1.e79c663d0393dp-8, -0x1.db21e57ff4cbap-8, -0x1.cef3961728ff7p-8, -0x1.c30fc491743e7p-8, -0x1.b774c6903beb3p-8, -0x1.ac20fca8c8a83p-8, -0x1.a112e17799a4cp-8, -0x1.9648f8f9a50c1p-8, -0x1.8bc1d940e2738p-8, -0x1.817c1b00b5d34p-8, -0x1.777664c05578bp-8, -0x1.6daf5d81117cfp-8, -0x1.642599f44ed91p-8, -0x1.5ad7a529aaccfp-8, -0x1.51c3fe3dc2f59p-8, -0x1.48e9275303b51p-8, -0x1.4045b5ca55063p-8, -0x1.37d86050fc1a5p-8, -0x1.2fa004d50805p-8, -0x1.279b93e7a11f5p-8, -0x1.1fca09d938c8p-8, -0x1.182a6048ce9cp-8, -0x1.10bb88b8153cp-8, -0x1.097c6e43a8279p-8, -0x1.026be907ebc36p-8, -0x1.f7118e3298e49p-9, -0x1.e9a38493fe92ep-9, -0x1.dc8b496fd88b8p-9, -0x1.cfc6b53579f32p-9, -0x1.c353e343abab1p-9, -0x1.b73130de2c69cp-9, -0x1.ab5d0d4139aa2p-9, -0x1.9fd5e1c336e71p-9, -0x1.9499a9d835f7cp-9, -0x1.89a68d5fe4913p-9, -0x1.7efa9ebc1464ap-9, -0x1.749431d1e2accp-9, -0x1.6a71d689d2394p-9, -0x1.609221c2e500ap-9, -0x1.56f3b7bf28562p-9, -0x1.4d95025c6a29cp-9, -0x1.44745a35be884p-9, -0x1.3b9009bad9972p-9, -0x1.32e666fee2afdp-9, -0x1.2a758f454fafbp-9, -0x1.223c03ffa1659p-9, -0x1.1a3816a542169p-9, -0x1.126854dfc9cf7p-9, -0x1.0acb9a8a4b7e2p-9, -0x1.0361349325beap-9, -0x1.f851a4c6cdf35p-10, -0x1.ea441a04893c6p-10, -0x1.dc982627dd113p-10, -0x1.cf4b09dcec5c1p-10, -0x1.c2591c2cf3d06p-10, -0x1.b5be4c7660836p-10, -0x1.a976611f152d3p-10, -0x1.9d7e36f8b79f5p-10, -0x1.91d3acc48c3ccp-10, -0x1.8675d4e6868eap-10, -0x1.7b63c1610fe91p-10, -0x1.709c1ea878a55p-10, -0x1.661d7f0ab778cp-10, -0x1.5be6d706592c5p-10, -0x1.51f774ffa85e6p-10, -0x1.484e36af8b623p-10, -0x1.3ee9651618e4ep-10, -0x1.35c6788f698dp-10, -0x1.2ce2d2494d427p-10, -0x1.243b510e648a4p-10, -0x1.1bcce6b7e1641p-10, -0x1.13959a0dd4593p-10, -0x1.0b955ada85312p-10, -0x1.03ccbe9bd12d7p-10, -0x1.f8750f74a2a5bp-11, -0x1.e9b85914f8632p-11, -0x1.db5ee27b40993p-11, -0x1.cd65f0bf1ef7dp-11, -0x1.bfcc1e4c22834p-11, -0x1.b2905b4ec6c5fp-11, -0x1.a5b1e2da16abep-11, -0x1.992f6eea1a08fp-11, -0x1.8d073680fa65fp-11, -0x1.81378c3ae4023p-11, -0x1.75bd384e6ee0fp-11, -0x1.6a933211d6e29p-11, -0x1.5fb61e4d442abp-11, -0x1.55253742af843p-11, -0x1.4add57ba48a0cp-11, -0x1.40d85b9d49fe2p-11, -0x1.371347a64de5cp-11, -0x1.2d8ef3fb1de5bp-11, -0x1.244bae20d5404p-11, -0x1.1b46f552ee013p-11, -0x1.1280a31feb90ep-11, -0x1.09f9015da8fdbp-11, -0x1.01b20b6ac746p-11, -0x1.f358cd2a5ee57p-12, -0x1.e3cf55caeed8cp-12, -0x1.d4c21b6229ea7p-12, -0x1.c62233218c895p-12, -0x1.b7e1e32235745p-12, -0x1.a9feed1b211d7p-12, -0x1.9c7400dd37e14p-12, -0x1.8f399f3ac08c6p-12, -0x1.82539846d297fp-12, -0x1.75c95fc12ff83p-12, -0x1.69998cc830794p-12, -0x1.5dbd5392c462bp-12, -0x1.52316c158cfddp-12, -0x1.46f91da3ac284p-12, -0x1.3c1af083bafffp-12, -0x1.31990ed30d4e5p-12, -0x1.276e2e31f73c6p-12, -0x1.1d941289cdec1p-12, -0x1.1406b887daf7dp-12, -0x1.0abb848479861p-12, -0x1.01aa3f0fc24e5p-12, -0x1.f1a4d2f3d9f64p-13, -0x1.e05b63e289e62p-13, -0x1.cf7b62bc6e851p-13, -0x1.bf1a12b29a382p-13, -0x1.af36be29b1f69p-13, -0x1.9fc41cba8554bp-13, -0x1.90bc2e6e3b0dcp-13, -0x1.82239446d863dp-13, -0x1.73fe75121bf62p-13, -0x1.664c7a521d194p-13, -0x1.5908ca55f1cb9p-13, -0x1.4c2ab8bfcbfd1p-13, -0x1.3faa56138fd06p-13, -0x1.338e27590ff31p-13, -0x1.27dcd3c834ae8p-13, -0x1.1c7eae69f089ap-13, -0x1.11659a005f7e7p-13, -0x1.0689c84450809p-13, -0x1.f7e4522876fdep-14, -0x1.e364378cbdafcp-14, -0x1.cf8556982816cp-14, -0x1.bc3272d87255bp-14, -0x1.a9726afd793c9p-14, -0x1.974cda1be696dp-14, -0x1.85bf1672a109ep-14, -0x1.74b442ee47938p-14, -0x1.64203293b1cdap-14, -0x1.540338b9dc617p-14, -0x1.44611e148c3cdp-14, -0x1.353670fd5df36p-14, -0x1.2691f10b8bc84p-14, -0x1.188e31ab55046p-14, -0x1.0b0254dad7681p-14, -0x1.fb88565983cep-15, -0x1.e190ee1d2c8c6p-15, -0x1.c8616f9b9865ap-15, -0x1.b01695e707742p-15, -0x1.9882c72f58ce4p-15, -0x1.819e6f866334ep-15, -0x1.6b86dff76c12ap-15, -0x1.56412a87f448p-15, -0x1.41ad861757e9cp-15, -0x1.2db00f0081fa8p-15, -0x1.1a3ee61ba2c05p-15, -0x1.0759aec2cd8b8p-15, -0x1.ea187f48daf07p-16, -0x1.c6b3a8da9c289p-16, -0x1.a478b686ad85fp-16, -0x1.839160204c144p-16, -0x1.645572ab447a4p-16, -0x1.4649fbef4f0ffp-16, -0x1.28ed489fd4748p-16, -0x1.0c5f783c523abp-16, -0x1.e1bc2d3c86719p-17, -0x1.ac9c9dd57535dp-17, -0x1.7924d379654bdp-17, -0x1.478c9bd0e69eep-17, -0x1.182e2c7083fd9p-17, -0x1.d56a7cf587834p-18, -0x1.7d8733581fdf1p-18, -0x1.2880fbd65c136p-18, -0x1.acb1aed347012p-19, -0x1.0e1f224097283p-19, -0x1.d61d3baef1a82p-21, 0x1.ce807a37704e8p-23, 0x1.5302e65b8f9aep-20, 0x1.30e961f6a653fp-19, 0x1.b2344cf89aca3p-19, 0x1.1622ee85db49cp-18, 0x1.50c3c6640f207p-18, 0x1.881e3b10d69e7p-18, 0x1.bd236a29d86f5p-18, 0x1.f0920a12371e5p-18, 0x1.10d8923c92cc6p-17, 0x1.28695e0359d3fp-17, 0x1.3eaab78dcbbf7p-17, 0x1.539208a84c106p-17, 0x1.677399c4841acp-17, 0x1.7a7bf6ed7d9b4p-17, 0x1.8c9a59f175773p-17, 0x1.9dbdcd897bc17p-17, 0x1.adfb1dc232fbp-17, 0x1.bd54b444eec16p-17, 0x1.cbaf9c13a5d26p-17, 0x1.d91a0f4d17792p-17, 0x1.e5c2d9086bb46p-17, 0x1.f1ab82728389cp-17, 0x1.fc966d106e12bp-17, 0x1.037b770dc4b08p-16, 0x1.082a5fdab0e9cp-16, 0x1.0c6287deb64f5p-16, 0x1.102dd9206acddp-16, 0x1.13b7a01846b9ap-16, 0x1.16f0bfe9e8532p-16, 0x1.19e7319f23fbp-16, 0x1.1c77307fb978ap-16, 0x1.1ea20788055c2p-16, 0x1.208820dca5f4dp-16, 0x1.222b5bf430f88p-16, 0x1.238841b91bde6p-16, 0x1.249e08128bf2ap-16, 0x1.256caeccd36fp-16, 0x1.25f760309375bp-16, 0x1.263a26eee1728p-16, 0x1.2638a9496066dp-16, 0x1.25fccb8beb7ep-16, 0x1.258b20a6c366ap-16, 0x1.24d51787cab5fp-16, 0x1.23e8c4c9b275dp-16, 0x1.22c2366eab2bap-16, 0x1.216a5bf0bea3cp-16, 0x1.1fe511e82c6f3p-16, 0x1.1e283acb7782dp-16, 0x1.1c2722a1f94ep-16, 0x1.19f2fcecfb2c4p-16, 0x1.17a11e9228634p-16, 0x1.15265a0a7c7d9p-16, 0x1.1277bb581376ep-16, 0x1.0f9b8636ca358p-16, 0x1.0c9e8aa7cf3c5p-16, 0x1.097c2fece94p-16, 0x1.0634124381ca6p-16, 0x1.02c9b43cc8ba3p-16, 0x1.fe71090317982p-17, 0x1.f70b0d289cfd1p-17, 0x1.ef6325485f28p-17, 0x1.e779c464f4418p-17, 0x1.df67225e44ee1p-17, 0x1.d70934913eb38p-17, 0x1.ce7236653d9c3p-17, 0x1.c5ac975690909p-17, 0x1.bcb0e8daf683fp-17, 0x1.b384a6649c6e2p-17, 0x1.aa2a8acc20429p-17, 0x1.a0a4b0b31de78p-17, 0x1.96f67e9b923dep-17, 0x1.8d22e416b526dp-17, 0x1.831e75a7e47d2p-17, 0x1.78e77a2fa2b35p-17, 0x1.6ea3f1c5eb2d3p-17, 0x1.643651f45fe22p-17, 0x1.59a1605dfccb3p-17, 0x1.4ef9faa7bc6fep-17, 0x1.443943b056f0cp-17, 0x1.3955d256db71dp-17, 0x1.2e5b17d5e35e6p-17, 0x1.234c9e6eb959ap-17, 0x1.182780c9000fap-17, 0x1.0cf034c66e6f3p-17, 0x1.01a4ae4490beap-17, 0x1.ec8e84d842bcep-18, 0x1.d5b6d79ee2c6bp-18, 0x1.bec397158a15ep-18, 0x1.a7b4bb6bef68dp-18, 0x1.9090319853a3ap-18, 0x1.7959ba04dab4cp-18, 0x1.620ec01997081p-18, 0x1.4ab8346b52b78p-18, 0x1.3355780ce1f3ep-18, 0x1.1be7940c46e74p-18, 0x1.047395db146b8p-18, 0x1.d9dc8576ec1eep-19, 0x1.ab0cff216d3a9p-19, 0x1.7c1d8f704e597p-19, 0x1.4d25b00894e85p-19, 0x1.1e3ac7c86d619p-19, 0x1.deb17b7289678p-20, 0x1.80ed86d945fa2p-20, 0x1.23a3afd325a3bp-20, 0x1.8cc41313ed67cp-21, 0x1.a5712c5471296p-22, 0x1.9477f8da3bafcp-25, -0x1.3f8709c794775p-22, -0x1.581e9e8e34bb1p-21, -0x1.07e127e8a0e3fp-20, -0x1.634e4aaba9003p-20, -0x1.be789ecf737cbp-20, -0x1.0c916d5224a3fp-19, -0x1.39af5a0bb3033p-19, -0x1.668ef0f62eeebp-19, -0x1.933225751f601p-19, -0x1.bf9029ba6e4ccp-19, -0x1.eba9fb574f14ap-19, -0x1.0bbcae5e9378cp-18, -0x1.218809f512bc7p-18, -0x1.372a6f4c5607ep-18, -0x1.4ca540f67d97bp-18, -0x1.61f612fd6a006p-18, -0x1.771c716c3f1c3p-18, -0x1.8c166d6c0c341p-18, -0x1.a0e5abbd3aca4p-18, -0x1.b588535d6e4d6p-18, -0x1.c9fd3ba4ca742p-18, -0x1.de4a02a98d70cp-18, -0x1.f256f3dd81eb2p-18, -0x1.031dc3dfd38d4p-17, -0x1.0cf3f644e855p-17, -0x1.16b44760a6fbfp-17, -0x1.20586ac6a653fp-17, -0x1.29e385da15cebp-17, -0x1.3352b4076fb32p-17, -0x1.3ca516ec169cbp-17, -0x1.45de5da288c41p-17, -0x1.4efcdcb6b7c8p-17, -0x1.580166f62dbe7p-17, -0x1.60e0330738954p-17, -0x1.69a37f77375d9p-17, -0x1.724e956a91b8p-17, -0x1.7adb0ee2c718fp-17, -0x1.8349006491f81p-17, -0x1.8b99fb9934565p-17, -0x1.93cc62672148bp-17, -0x1.9bdfd2da919b1p-17, -0x1.a3d53a0c6e16bp-17, -0x1.aba8e1fe5a96ep-17, -0x1.b35efafc4b1b8p-17, -0x1.baf50fb1c6408p-17, -0x1.c26d6fc24da62p-17, -0x1.c9c416810c055p-17, -0x1.d0fdef8fcb62bp-17, -0x1.d81563a41b43dp-17, -0x1.df0badda09901p-17, -0x1.e5e331bdccd94p-17, -0x1.ec99c34797446p-17, -0x1.f32f19d91fd84p-17, -0x1.f9a72fa660466p-17, -0x1.fffc1801d8d36p-17, -0x1.03164c5daa534p-16, -0x1.0621fd3b70396p-16, -0x1.091a9dc08463dp-16, -0x1.0c03d6f60dbc1p-16, -0x1.0edd42a3b5e69p-16, -0x1.11a4527aa197p-16, -0x1.145c274b607ebp-16, -0x1.170320a9b4934p-16, -0x1.1999d031d9fe1p-16, -0x1.1c2114fdeb79ep-16, -0x1.1e9513452ea42p-16, -0x1.20fb46fe40462p-16, -0x1.23523e4b1bdcep-16, -0x1.259474738126p-16, -0x1.27c8ef2485da4p-16, -0x1.29eceefc2ac9bp-16, -0x1.2c038f63207c9p-16, -0x1.2e07c62d4905bp-16, -0x1.2ffa726e59416p-16, -0x1.31da66f5bdddp-16, -0x1.33ad100a2359ep-16, -0x1.356ffcdc01ef8p-16, -0x1.3722d2469bc9p-16, -0x1.38c58d63cbaf9p-16, -0x1.3a597e301faacp-16, -0x1.3bdbe0123323ep-16, -0x1.3d4e4a71a467fp-16, -0x1.3eb2f110691efp-16, -0x1.4006f641cd5e3p-16, -0x1.414c302a15c7ap-16, -0x1.42810ee45e466p-16, -0x1.43a6d9848c10bp-16, -0x1.44bd7c4946bdep-16, -0x1.45c5f51ea83f2p-16, -0x1.46be404f05fd7p-16, -0x1.47a6a02240938p-16, -0x1.4880158101d42p-16, -0x1.494be0fd58d31p-16, -0x1.4a08db61a9427p-16, -0x1.4ab7c06523b67p-16, -0x1.4b575a6b0c8f2p-16, -0x1.4be79b1ac42a2p-16, -0x1.4c6b02f30ad8ap-16, -0x1.4cdf8ad8a22a6p-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.612da2be6b65p-15, 0x1.603af9ba91901p-13, 0x1.8aa4db40756f8p-12, 0x1.5d04ba56714dbp-11, 0x1.0f20e7914672p-10, 0x1.841ff8f64c2dbp-10, 0x1.069a6672998e6p-9, 0x1.551b4a89c2d36p-9, 0x1.ad90fa0934352p-9, 0x1.080647eb44ca6p-8, 0x1.3e586b1a36e59p-8, 0x1.79d8357f458bap-8, 0x1.baa5b902e5f6bp-8, 0x1.007343ad547a1p-7, 0x1.26623351c9016p-7, 0x1.4f3605f208139p-7, 0x1.7b05f2a7b62edp-7, 0x1.a9e97d82969b9p-7, 0x1.dbf7f552e74bp-7, 0x1.08a4000e8564dp-6, 0x1.24f79b5bc9bb4p-6, 0x1.4300e7c02587bp-6, 0x1.62c92bd156032p-6, 0x1.8458bd0be723cp-6, 0x1.a7b6e9a779d2p-6, 0x1.cce9e82690e09p-6, 0x1.f3f6cc014d408p-6, 0x1.0e70bf6561523p-5, 0x1.23d65e9abd661p-5, 0x1.3a2d0bb29cb3fp-5, 0x1.5174fa03c525ap-5, 0x1.69adcadcc129ep-5, 0x1.82d691275827fp-5, 0x1.9cedd5cd2b32bp-5, 0x1.b7f19cb44daa7p-5, 0x1.d3df6a3084415p-5, 0x1.f0b448cb2839ep-5, 0x1.073667a42953fp-4, 0x1.1682936a0abc9p-4, 0x1.263c88a3130ccp-4, 0x1.3661f7b6b0627p-4, 0x1.46f063ab902dp-4, 0x1.57e5254457497p-4, 0x1.693d6e1163499p-4, 0x1.7af64b7463ea4p-4, 0x1.8d0ca99333eadp-4, 0x1.9f7d5637e6f43p-4, 0x1.b245039c66013p-4, 0x1.c5604b206ceb4p-4, 0x1.d8cbafe8da8c1p-4, 0x1.ec83a167b112dp-4, 0x1.00423ee623ae2p-3, 0x1.0a654a2da951dp-3, 0x1.14a913d75552p-3, 0x1.1f0bb7ee59873p-3, 0x1.298b4e43bc333p-3, 0x1.3425eb69e5f5ep-3, 0x1.3ed9a1a438f54p-3, 0x1.49a481cae984cp-3, 0x1.54849c2343645p-3, 0x1.5f78012c94c58p-3, 0x1.6a7cc261ff4cp-3, 0x1.7590f2f16673ap-3, 0x1.80b2a867d6d73p-3, 0x1.8bdffb539b1eap-3, 0x1.971707dc5af01p-3, 0x1.a255ee518a432p-3, 0x1.ad9ad3af848ffp-3, 0x1.b8e3e21ba223fp-3, 0x1.c42f495792603p-3, 0x1.cf7b3f2c65501p-3, 0x1.dac5ffcd814ap-3, 0x1.e60dce33e9c1ep-3, 0x1.f150f47222108p-3, 0x1.fc8dc40104284p-3, 0x1.03e14b02ea8bbp-2, 0x1.0976e5c8f96a9p-2, 0x1.0f06e6ee30dafp-2, 0x1.1490873abff35p-2, 0x1.1a1303ba9fd86p-2, 0x1.1f8d9dd20c027p-2, 0x1.24ff9b4f80c12p-2, 0x1.2a68467b5d746p-2, 0x1.2fc6ee25520fdp-2, 0x1.351ae5afad752p-2, 0x1.3a638518b4ac8p-2, 0x1.3fa029021b294p-2, 0x1.44d032b6b9948p-2, 0x1.49f3082e9c2ep-2, 0x1.4f081411871cap-2, 0x1.540ec5b80326ap-2, 0x1.5906912b0c54bp-2, 0x1.5deeef227ce27p-2, 0x1.62c75d0243004p-2, 0x1.678f5cd67682ep-2, 0x1.6c46754e6873p-2, 0x1.70ec31b6b3f78p-2, 0x1.758021f2693bp-2, 0x1.7a01da735cdb4p-2, 0x1.7e70f431b1df2p-2, 0x1.82cd0ca2a53dcp-2, 0x1.8715c5aeab3b7p-2, 0x1.8b4ac5a6eb5eap-2, 0x1.8f6bb73a29efdp-2, 0x1.9378496921a9p-2, 0x1.97702f7a60eep-2, 0x1.9b5320edb1267p-2, 0x1.9f20d96f0d109p-2, 0x1.a2d918c938143p-2, 0x1.a67ba2d7f4d43p-2, 0x1.aa083f79ea626p-2, 0x1.ad7eba8238878p-2, 0x1.b0dee3a9c9a18p-2, 0x1.b4288e805e945p-2, 0x1.b75b925d65f3ep-2, 0x1.ba77ca50992p-2, 0x1.bd7d15126cf4fp-2, 0x1.c06b54f454be8p-2, 0x1.c3426fd0e0aa1p-2, 0x1.c6024efbbacc1p-2, 0x1.c8aadf3182b82p-2, 0x1.cb3c108792abdp-2, 0x1.cdb5d65bacf8dp-2, 0x1.d018274394c3cp-2, 0x1.d262fcfc9a72ap-2, 0x1.d496545b16f3ep-2, 0x1.d6b22d39e14ep-2, 0x1.d8b68a69ba119p-2, 0x1.daa371a0b508dp-2, 0x1.dc78eb699ef21p-2, 0x1.de370313633ap-2, 0x1.dfddc6a078bf5p-2, 0x1.e16d46b64e262p-2, 0x1.e2e5968cc048ap-2, 0x1.e446cbdd9ac56p-2, 0x1.e590fed420e8bp-2, 0x1.e6c449fca58aap-2, 0x1.e7e0ca34316fap-2, 0x1.e8e69e98382d5p-2, 0x1.e9d5e87664ceap-2, 0x1.eaaecb3c71e7fp-2, 0x1.eb716c681f928p-2, 0x1.ec1df3773be14p-2, 0x1.ecb489d7c2343p-2, 0x1.ed355ad81a36p-2, 0x1.eda093976c66ep-2, 0x1.edf662f615e1p-2, 0x1.ee36f9863b572p-2, 0x1.ee62897c77579p-2, 0x1.ee7946a0adf17p-2, 0x1.ee7b663efd60ap-2, 0x1.ee691f18d4fdap-2, 0x1.ee42a9562d28fp-2, 0x1.ee083e76e88e3p-2, 0x1.edba194455f37p-2, 0x1.ed5875c2dcb0ap-2, 0x1.ece39123d0bd5p-2, 0x1.ec5ba9b76fa45p-2, 0x1.ebc0fedf065ecp-2, 0x1.eb13d0ff4329fp-2, 0x1.ea546172b2773p-2, 0x1.e982f27c68b79p-2, 0x1.e89fc73ad8938p-2, 0x1.e7ab239ad8316p-2, 0x1.e6a54c4ad3584p-2, 0x1.e58e86ae2f458p-2, 0x1.e46718d0de01cp-2, 0x1.e32f495b1f73bp-2, 0x1.e1e75f85781a7p-2, 0x1.e08fa30cd3c31p-2, 0x1.df285c26e2bcbp-2, 0x1.ddb1d3769ff34p-2, 0x1.dc2c52011188ep-2, 0x1.da98212239d02p-2, 0x1.d8f58a823b4a8p-2, 0x1.d744d80ab411cp-2, 0x1.d58653dc4a122p-2, 0x1.d3ba48446dce3p-2, 0x1.d1e0ffb352ca4p-2, 0x1.cffac4b21afcap-2, 0x1.ce07e1d93a18bp-2, 0x1.cc08a1c70b6d6p-2, 0x1.c9fd4f169f2eep-2, 0x1.c7e63456bd674p-2, 0x1.c5c39c011daefp-2, 0x1.c395d071d48c6p-2, 0x1.c15d1bdef7cdap-2, 0x1.bf19c85076577p-2, 0x1.bccc1f98260c3p-2, 0x1.ba746b4a098e7p-2, 0x1.b812f4b4c6d44p-2, 0x1.b5a804da5606cp-2, 0x1.b333e468e446fp-2, 0x1.b0b6dbb3eac88p-2, 0x1.ae3132ad7b247p-2, 0x1.aba330dfbe3f9p-2, 0x1.a90d1d66a8d84p-2, 0x1.a66f3ee9e2388p-2, 0x1.a3c9db96de5c2p-2, 0x1.a11d391b2a3aep-2, 0x1.9e699c9eee2a9p-2, 0x1.9baf4abf9a7a3p-2, 0x1.98ee878acefc1p-2, 0x1.962796796cc8bp-2, 0x1.935aba6ada244p-2, 0x1.908835a079699p-2, 0x1.8db049b94a9d9p-2, 0x1.8ad337adc2aacp-2, 0x1.87f13fcbca322p-2, 0x1.850aa1b2ee7f3p-2, 0x1.821f9c50c11a5p-2, 0x1.7f306ddd5e8p-2, 0x1.7c3d53d828bd4p-2, 0x1.79468b04a61cep-2, 0x1.764c4f6792683p-2, 0x1.734edc4412e6cp-2, 0x1.704e6c191b2efp-2, 0x1.6d4b389ef6786p-2, 0x1.6a457ac4fb263p-2, 0x1.673d6aaf6494fp-2, 0x1.64333fb558735p-2, 0x1.6127305f0ca59p-2, 0x1.5e1972641610ep-2, 0x1.5b0a3aa9dcc7fp-2, 0x1.57f9bd4233d84p-2, 0x1.54e82d6a15975p-2, 0x1.51d5bd88800bep-2, 0x1.4ec29f2d77295p-2, 0x1.4baf03112807cp-2, 0x1.489b191329224p-2, 0x1.45871039e14a1p-2, 0x1.427316b206c98p-2, 0x1.3f5f59ce43081p-2, 0x1.3c4c0606f102ap-2, 0x1.393946f9f93acp-2, 0x1.3627476acb8efp-2, 0x1.3316314273754p-2, 0x1.30062d8fc85cap-2, 0x1.2cf76487b78fbp-2, 0x1.29e9fd85a80aep-2, 0x1.26de1f0bf6f34p-2, 0x1.23d3eec48d8fep-2, 0x1.20cb91818db0ep-2, 0x1.1dc52b3e13a3cp-2, 0x1.1ac0df1f11a9fp-2, 0x1.17becf743f395p-2, 0x1.14bf1db91a45dp-2, 0x1.11c1ea9602edbp-2, 0x1.0ec755e163e75p-2, 0x1.0bcf7ea0f15ccp-2, 0x1.08da830afab12p-2, 0x1.05e88087ca586p-2, 0x1.02f993b319ea7p-2, 0x1.000dd85d94ba1p-2, 0x1.fa4ad31cd01a9p-3, 0x1.f480c309d0e64p-3, 0x1.eebdb3747b629p-3, 0x1.e901d5c644189p-3, 0x1.e34d59e359fdbp-3, 0x1.dda06e2e50feep-3, 0x1.d7fb3f8bea738p-3, 0x1.d25df966f1cbfp-3, 0x1.ccc8c5b42e5bfp-3, 0x1.c73bccf66a41cp-3, 0x1.c1b736428ca6ep-3, 0x1.bc3b2743c679fp-3, 0x1.b6c7c43fcfde8p-3, 0x1.b15d301b38165p-3, 0x1.abfb8c5dbff7ep-3, 0x1.a6a2f936ca637p-3, 0x1.a1539581cf5adp-3, 0x1.9c0d7ecae6d95p-3, 0x1.96d0d153556e3p-3, 0x1.919da8162a6e7p-3, 0x1.8c741ccce44eep-3, 0x1.875447f41b26bp-3, 0x1.823e40d03a25fp-3, 0x1.7d321d7239edp-3, 0x1.782ff2bc61eddp-3, 0x1.7337d467145b3p-3, 0x1.6e49d505930e7p-3, 0x1.6966060ad7c77p-3, 0x1.648c77ce62bfp-3, 0x1.5fbd39911205fp-3, 0x1.5af85981f720ep-3, 0x1.563de4c330298p-3, 0x1.518de76ec1d0ap-3, 0x1.4ce86c9b6c191p-3, 0x1.484d7e61845a1p-3, 0x1.43bd25dfc919p-3, 0x1.3f376b403502p-3, 0x1.3abc55bcce5c1p-3, 0x1.364beba47920ap-3, 0x1.31e6325fb93d8p-3, 0x1.2d8b2e757afffp-3, 0x1.293ae38fd1d19p-3, 0x1.24f55480b371dp-3, 0x1.20ba8346ac24fp-3, 0x1.1c8a71118bda1p-3, 0x1.18651e470d28ep-3, 0x1.144a8a8776271p-3, 0x1.103ab4b231533p-3, 0x1.0c359aea5cd29p-3, 0x1.083b3a9b5467ap-3, 0x1.044b907d2c754p-3, 0x1.006698992c1fcp-3, 0x1.f9189c9c7479fp-4, 0x1.f17958aa7a247p-4, 0x1.e9ef598aeb595p-4, 0x1.e27a92319c0f8p-4, 0x1.db1af460394b2p-4, 0x1.d3d070aebcf46p-4, 0x1.cc9af693cacfap-4, 0x1.c57a746cef8d6p-4, 0x1.be6ed786d70e4p-4, 0x1.b7780c2564bf4p-4, 0x1.b095fd8ba541ap-4, 0x1.a9c89603c55a7p-4, 0x1.a30fbee6d5dcep-4, 0x1.9c6b60a485074p-4, 0x1.95db62cabb055p-4, 0x1.8f5fac0d19f39p-4, 0x1.88f8224c694c8p-4, 0x1.82a4aa9de36e5p-4, 0x1.7c6529526c14bp-4, 0x1.763981fda8638p-4, 0x1.7021977d02e32p-4, 0x1.6a1d4bfe8de33p-4, 0x1.642c8107ced15p-4, 0x1.5e4f177c6ea5ap-4, 0x1.5884efa4ce838p-4, 0x1.52cde9348304fp-4, 0x1.4d29e350b1f82p-4, 0x1.4798bc9654d83p-4, 0x1.421a532063598p-4, 0x1.3cae848de1cfap-4, 0x1.37552e07cfe91p-4, 0x1.320e2c4703e43p-4, 0x1.2cd95b99e3a3p-4, 0x1.27b697ea07945p-4, 0x1.22a5bcc1c0effp-4, 0x1.1da6a5518454ep-4, 0x1.18b92c7539a92p-4, 0x1.13dd2cb972ffp-4, 0x1.0f12806086fa7p-4, 0x1.0a5901679484ap-4, 0x1.05b0898b637dap-4, 0x1.0118f24d35f28p-4, 0x1.f92429eeefcep-5, 0x1.f0379544adafdp-5, 0x1.e76bd87089512p-5, 0x1.dec0a4f4aec19p-5, 0x1.d635ac09300f6p-5, 0x1.cdca9ea466781p-5, 0x1.c57f2d8328acbp-5, 0x1.bd530930cb9b2p-5, 0x1.b545e20ef411ap-5, 0x1.ad57685d33414p-5, 0x1.a5874c407b7edp-5, 0x1.9dd53dca5e7a1p-5, 0x1.9640ed001d03ap-5, 0x1.8eca09e18ad7ep-5, 0x1.8770446fc4ac8p-5, 0x1.80334cb3b2858p-5, 0x1.7912d2c465ccap-5, 0x1.720e86cd440a9p-5, 0x1.6b261914081b4p-5, 0x1.645939fe94f12p-5, 0x1.5da79a18a3c08p-5, 0x1.5710ea1940352p-5, 0x1.5094dae8233a6p-5, 0x1.4a331da2db197p-5, 0x1.43eb63a1d0688p-5, 0x1.3dbd5e7d23372p-5, 0x1.37a8c0115cf48p-5, 0x1.31ad3a8400e86p-5, 0x1.2bca8047ec784p-5, 0x1.26004421a1424p-5, 0x1.204e392b59bcap-5, 0x1.1ab412d902be2p-5, 0x1.153184fc0df82p-5, 0x1.0fc643c71ecb4p-5, 0x1.0a7203d19baa2p-5, 0x1.05347a1b14358p-5, 0x1.000d5c0e8b328p-5, 0x1.f5f8bf0b3cbfcp-6, 0x1.ec02759717a0ap-6, 0x1.e237494037a63p-6, 0x1.d896a874c580dp-6, 0x1.cf200296dd6f5p-6, 0x1.c5d2c8019d541p-6, 0x1.bcae6a0e050bfp-6, 0x1.b3b25b178fb39p-6, 0x1.aade0e80a4cfep-6, 0x1.a230f8b6b4518p-6, 0x1.99aa8f3643d0ap-6, 0x1.914a488e9e329p-6, 0x1.890f9c656f9a7p-6, 0x1.80fa037a1bb02p-6, 0x1.7908f7a8e1f0fp-6, 0x1.713bf3ede2558p-6, 0x1.69927467d1bf8p-6, 0x1.620bf65a9eec6p-6, 0x1.5aa7f831e354dp-6, 0x1.5365f9830cfa9p-6, 0x1.4c457b0f82942p-6, 0x1.4545fec67ff27p-6, 0x1.3e6707c6dbe1dp-6, 0x1.37a81a6099f81p-6, 0x1.3108bc1654468p-6, 0x1.2a88739e8615ap-6, 0x1.2426c8e4afecep-6, 0x1.1de3450a4787dp-6, 0x1.17bd72679bd49p-6, 0x1.11b4dc8c86485p-6, 0x1.0bc9104102de7p-6, 0x1.05f99b8596d53p-6, 0x1.00460d93b54ecp-6, 0x1.f55bedbbc397bp-7, 0x1.ea61d21f9e44dp-7, 0x1.df9cee1ca9deap-7, 0x1.d50c69ee8d8bdp-7, 0x1.caaf70427a99fp-7, 0x1.c0852e3664a44p-7, 0x1.b68cd35817f42p-7, 0x1.acc591a429e14p-7, 0x1.a32e9d84a43cp-7, 0x1.99c72dcf80de2p-7, 0x1.908e7bc509153p-7, 0x1.8783c30df4509p-7, 0x1.7ea641b9731a6p-7, 0x1.75f5383af51b3p-7, 0x1.6d6fe967e6abap-7, 0x1.65159a75361a8p-7, 0x1.5ce592f49f3efp-7, 0x1.54df1cd20abfp-7, 0x1.4d0184508ad1dp-7, 0x1.454c180777acp-7, 0x1.3dbe28df29688p-7, 0x1.36570a0dcb8e2p-7, 0x1.2f161113eb9f7p-7, 0x1.27fa95b914e4bp-7, 0x1.2103f20829ed2p-7, 0x1.1a31824bb3a53p-7, 0x1.1382a50a1c956p-7, 0x1.0cf6bb01d6987p-7, 0x1.068d272554844p-7, 0x1.00454e970a4cdp-7, 0x1.f43d314aa5f1ep-8, 0x1.e830dd8c567d9p-8, 0x1.dc6479260fb36p-8, 0x1.d0d6df88bf795p-8, 0x1.c586f05ad105dp-8, 0x1.ba738f6f104a6p-8, 0x1.af9ba4bbb8ff9p-8, 0x1.a4fe1c5154fe5p-8, 0x1.9a99e6516eb0fp-8, 0x1.906df6e556a77p-8, 0x1.86794634be1b8p-8, 0x1.7cbad05c1c418p-8, 0x1.73319563576efp-8, 0x1.69dc9933f2686p-8, 0x1.60bae38f77e33p-8, 0x1.57cb8005b1ad4p-8, 0x1.4f0d7deaf8096p-8, 0x1.467ff04e431fp-8, 0x1.3e21edef57276p-8, 0x1.35f29134e08fap-8, 0x1.2df0f8227afe5p-8, 0x1.261c444ee1716p-8, 0x1.1e739ad9d6058p-8, 0x1.16f624621ed9ap-8, 0x1.0fa30cfb9a4f4p-8, 0x1.0879842547784p-8, 0x1.0178bcbf1b92ap-8, 0x1.f53fda00a74a4p-9, 0x1.e7dc9cda154bdp-9, 0x1.dac63b991d803p-9, 0x1.cdfb363e92363p-9, 0x1.c17a1329a4c5dp-9, 0x1.b5415f03fd2d8p-9, 0x1.a94facade9e47p-9, 0x1.9da3952ac4972p-9, 0x1.923bb78cee2f8p-9, 0x1.8716b8e2717e1p-9, 0x1.7c334421366d3p-9, 0x1.71900a13db457p-9, 0x1.672bc145e7e0fp-9, 0x1.5d0525f0c946ep-9, 0x1.531af9e8504ep-9, 0x1.496c0487d9b14p-9, 0x1.3ff7129f11608p-9, 0x1.36baf65f1bb58p-9, 0x1.2db68747cc2bdp-9, 0x1.24e8a214f5fe4p-9, 0x1.1c5028ab8628bp-9, 0x1.13ec02075970ep-9, 0x1.0bbb1a28fd9a6p-9, 0x1.03bc620347427p-9, 0x1.f7dd9ed24fd03p-10, 0x1.e8a2b9f7cab21p-10, 0x1.d9c614329ffbp-10, 0x1.cb45b593cae16p-10, 0x1.bd1faf5ef5896p-10, 0x1.af521be767181p-10, 0x1.a1db1e6dbc6f8p-10, 0x1.94b8e2fd97e9bp-10, 0x1.87e99e4b73fa3p-10, 0x1.7b6b8d93960adp-10, 0x1.6f3cf678821e5p-10, 0x1.635c26e1ec8dp-10, 0x1.57c774dc2c1b6p-10, 0x1.4c7d3e77dfdb7p-10, 0x1.417be9a9c7b89p-10, 0x1.36c1e42b2f611p-10, 0x1.2c4da35a42ab5p-10, 0x1.221da41b9afacp-10, 0x1.18306abaf5991p-10, 0x1.0e8482ccfcc7ap-10, 0x1.05187f10ed1f9p-10, 0x1.f7d5f2a65b286p-11, 0x1.e5f5249f90c34p-11, 0x1.d48be32a73547p-11, 0x1.c3978acf939a3p-11, 0x1.b315854a1220bp-11, 0x1.a303494f82cd9p-11, 0x1.935e5a57e728fp-11, 0x1.84244867ca43cp-11, 0x1.7552afd926fep-11, 0x1.66e7392697186p-11, 0x1.58df98b594ee8p-11, 0x1.4b398ea2e34fp-11, 0x1.3df2e68ed80d1p-11, 0x1.3109776a41b8ap-11, 0x1.247b234460bb4p-11, 0x1.1845d7193439fp-11, 0x1.0c678aa0ae38ap-11, 0x1.00de401e4b464p-11, 0x1.eb500862b6be9p-12, 0x1.d585db4bc2ecap-12, 0x1.c05a3a8ce02c7p-12, 0x1.abc97b5d225c1p-12, 0x1.97d0063ae3bb3p-12, 0x1.846a569237589p-12, 0x1.7194fa673962bp-12, 0x1.5f4c91fdc6be8p-12, 0x1.4d8dcf84746d6p-12, 0x1.3c5576c0d4abbp-12, 0x1.2ba05cbd436b7p-12, 0x1.1b6b6777c260ap-12, 0x1.0bb38d9019b3dp-12, 0x1.f8ebabf3b8008p-13, 0x1.db5eaf5b3f51dp-13, 0x1.beba72bab007dp-13, 0x1.a2f9624f47d2dp-13, 0x1.8816089c2f3cap-13, 0x1.6e0b0dd7231cap-13, 0x1.54d33759830b6p-13, 0x1.3c696710656f9p-13, 0x1.24c89af084082p-13, 0x1.0debec6e6ed5bp-13, 0x1.ef9d1fea2659ep-14, 0x1.c4d7a8c5ac75cp-14, 0x1.9b7e450b1d594p-14, 0x1.7387f930d63fep-14, 0x1.4cebfb8de2p-14, 0x1.27a1b35aecc17p-14, 0x1.03a0b7c23ab7p-14, 0x1.c1c19dd17d504p-15, 0x1.7eb3da0edbafbp-15, 0x1.3e0866f9029cfp-15, 0x1.ff5fbfa08f1c1p-16, 0x1.87366d28e56cep-16, 0x1.137764933ef49p-16, 0x1.480bb4f42083ap-17, 0x1.c62d363d3d4e8p-19, -0x1.7325f4dd93b68p-19, -0x1.2328820797ad7p-17, -0x1.e1c6645fd0a7ap-17, -0x1.4c6b4d7004912p-16, -0x1.a445baa70bf82p-16, -0x1.f88b11639e491p-16, -0x1.24a9ade26b7dbp-15, -0x1.4b5b0cb1ae1fdp-15, -0x1.7065211302eafp-15, -0x1.93d3248e13f5ep-15, -0x1.b5b00f9b268e4p-15, -0x1.d6069afbef2dep-15, -0x1.f4e14118287bdp-15, -0x1.09251f9d597eap-14, -0x1.1725cb715fa2dp-14, -0x1.2477877f845a1p-14, -0x1.311f1a98c31f4p-14, -0x1.3d212f7bd277cp-14, -0x1.48825572a78f6p-14, -0x1.534700e40b4efp-14, -0x1.5d738be697bcep-14, -0x1.670c36d089d0dp-14, -0x1.701528c331861p-14, -0x1.78927032c28bfp-14, -0x1.808803709752dp-14, -0x1.87f9c12df7e81p-14, -0x1.8eeb70fdd5203p-14, -0x1.9560c3d61d9ccp-14, -0x1.9b5d548a97e05p-14, -0x1.a0e4a846415c6p-14, -0x1.a5fa2f0887105p-14, -0x1.aaa144140d6d2p-14, -0x1.aedd2e666dfep-14, -0x1.b2b12127b22e1p-14, -0x1.b6203c1a66fe5p-14, -0x1.b92d8c08c3285p-14, -0x1.bbdc0b2b89f7ep-14, -0x1.be2ea1969db5cp-14, -0x1.c028259ba26fcp-14, -0x1.c1cb5c3057eap-14, -0x1.c31af94f74a3ep-14, -0x1.c419a057c04d2p-14, -0x1.c4c9e46be995cp-14, -0x1.c52e48ce51f5cp-14, -0x1.c549413b45f04p-14, -0x1.c51d3242b1d4ap-14, -0x1.c4ac719b495bcp-14, -0x1.c3f946798c434p-14, -0x1.c305e9e24661fp-14, -0x1.c1d486fc17235p-14, -0x1.c0673b5e09cfcp-14, -0x1.bec01760cf916p-14, -0x1.bce11e676e871p-14, -0x1.bacc472a7cf58p-14, -0x1.b8837c01e3f8ap-14, -0x1.b6089b2d3d859p-14, -0x1.b35d7715c5b5ap-14, -0x1.b083d695f46ccp-14, -0x1.ad7d753e0afa1p-14, -0x1.aa4c03920d5fbp-14, -0x1.a6f1274e6e934p-14, -0x1.a36e7ba1df51dp-14, -0x1.9fc5916deaf23p-14, -0x1.9bf7ef8161252p-14, -0x1.980712d38f6b2p-14, -0x1.93f46ebe21332p-14, -0x1.8fc16d35b1cfbp-14, -0x1.8b6f6f00185f3p-14, -0x1.86ffcbeb36502p-14, -0x1.8273d2ffc4271p-14, -0x1.7dcccab7672e5p-14, -0x1.790bf12c2125cp-14, -0x1.74327c496e4fbp-14, -0x1.6f4199ff2ae5p-14, -0x1.6a3a706e84289p-14, -0x1.651e1e19535f9p-14, -0x1.5fedba0eeb95dp-14, -0x1.5aaa5416f99c3p-14, -0x1.5554f4dd71573p-14, -0x1.4fee9e1bb744ep-14, -0x1.4a784ac259f21p-14, -0x1.44f2ef2215d94p-14, -0x1.3f5f791015532p-14, -0x1.39bed01002224p-14, -0x1.3411d5772eb49p-14, -0x1.2e596491cc832p-14, -0x1.289652c874c53p-14, -0x1.22c96fbf2b627p-14, -0x1.1cf3857a9b729p-14, -0x1.171558804cca4p-14, -0x1.112fa7f8ff83p-14, -0x1.0b432dce5ccbap-14, -0x1.05509ecb04775p-14, -0x1.feb1557490728p-15, -0x1.f2b7f907eb6aep-15, -0x1.e6b67495dd9b4p-15, -0x1.daae0b12af5a4p-15, -0x1.ce9ff65617accp-15, -0x1.c28d67543e758p-15, -0x1.b677865046099p-15, -0x1.aa5f731277c12p-15, -0x1.9e46451af2a8p-15, -0x1.922d0bd180f58p-15, -0x1.8614ceb7cbe17p-15, -0x1.79fe8d936e16cp-15, -0x1.6deb40a37b9dcp-15, -0x1.61dbd8c883c39p-15, -0x1.55d13fb02a77p-15, -0x1.49cc58048db34p-15, -0x1.3dcdfd91ea1f4p-15, -0x1.31d70570168adp-15, -0x1.25e83e2bec52ep-15, -0x1.1a026fefe2c53p-15, -0x1.0e265ca750b33p-15, -0x1.0254c0244c83ep-15, -0x1.ed1ca08787934p-16, -0x1.d5a77a243b1bbp-16, -0x1.be4b61dcc1049p-16, -0x1.a709a153eb3e6p-16, -0x1.8fe3775725c42p-16, -0x1.78da181f1c132p-16, -0x1.61eead8ce9c45p-16, -0x1.4b22576a153d8p-16, -0x1.34762ba4f00bep-16, }}, 
      {{0x1.0b15518ee8dfap-7, 0x1.0b1c931ba8f94p-6, 0x1.90b6d9ce894d8p-6, 0x1.0b2a14dbc4f43p-5, 0x1.4df594bb2c79cp-5, 0x1.90b8a143b9dcp-5, 0x1.d36e754b69d91p-5, 0x1.0b09cb32b73d8p-4, 0x1.2c531f4bed0fcp-4, 0x1.4d933eacc7da8p-4, 0x1.6ecb11e759c19p-4, 0x1.8ffc46e5307c9p-4, 0x1.b1292ad828d56p-4, 0x1.d2547f046fa54p-4, 0x1.f3814c6180295p-4, 0x1.0a595c7137b24p-3, 0x1.1af5f0216fa23p-3, 0x1.2b97d8bbb1db9p-3, 0x1.3c4068a7bc0b8p-3, 0x1.4cf0c13701665p-3, 0x1.5da9c939abd8p-3, 0x1.6e6c2601ed678p-3, 0x1.7f38369ca4995p-3, 0x1.900e10ff32ca9p-3, 0x1.a0ed80e834f02p-3, 0x1.b1d6083227f35p-3, 0x1.c2c6e05aa6499p-3, 0x1.d3befd05baf7p-3, 0x1.e4bd0f4a73482p-3, 0x1.f5bf899b7f851p-3, 0x1.036252123546p-2, 0x1.0be530bca0f19p-2, 0x1.146749bdc8394p-2, 0x1.1ce7702defe1p-2, 0x1.256463d19dcb4p-2, 0x1.2ddcd399c47f8p-2, 0x1.364f60185c9c4p-2, 0x1.3eba9de3d826fp-2, 0x1.471d17e4efe1ap-2, 0x1.4f75518b6c318p-2, 0x1.57c1c8e74bc2bp-2, 0x1.6000f8a482eb4p-2, 0x1.683159e818e58p-2, 0x1.7051660dfa702p-2, 0x1.785f98474a6a8p-2, 0x1.805a6f194c919p-2, 0x1.88406dbd5e7a9p-2, 0x1.90101d62aac0ap-2, 0x1.97c80e5273ap-2, 0x1.9f66d8f7fe30bp-2, 0x1.a6eb1ecd390dp-2, 0x1.ae538b2d659b1p-2, 0x1.b59ed40ef997dp-2, 0x1.bccbbaa61b6p-2, 0x1.c3d90bf1002dp-2, 0x1.cac5a12f889ap-2, 0x1.d1906047719bap-2, 0x1.d8383c165b69ap-2, 0x1.debc34b2f81fap-2, 0x1.e51b579e93bf5p-2, 0x1.eb54bfe82b32cp-2, 0x1.f16796423505cp-2, 0x1.f753110c30e9p-2, 0x1.fd1674510b994p-2, 0x1.015888dda7d3ep-1, 0x1.041124400a842p-1, 0x1.06b4c2a0c6875p-1, 0x1.094320f500144p-1, 0x1.0bbc02c0012f2p-1, 0x1.0e1f31fa4cf96p-1, 0x1.106c7ef5ffa32p-1, 0x1.12a3c040cde37p-1, 0x1.14c4d283ee853p-1, 0x1.16cf986230e09p-1, 0x1.18c3fa5481925p-1, 0x1.1aa1e68517b5ap-1, 0x1.1c6950a982444p-1, 0x1.1e1a31dbc4e3cp-1, 0x1.1fb48872b2be9p-1, 0x1.213857d9b2f37p-1, 0x1.22a5a8681078p-1, 0x1.23fc8737fd05p-1, 0x1.253d05fd62f7dp-1, 0x1.26673adca412dp-1, 0x1.277b40416060bp-1, 0x1.287934b558ccbp-1, 0x1.29613ab7879b1p-1, 0x1.2a3378937d45dp-1, 0x1.2af01839154eap-1, 0x1.2b974714926c3p-1, 0x1.2c2935e72c679p-1, 0x1.2ca618a02060bp-1, 0x1.2d0e263649da5p-1, 0x1.2d61988250ddfp-1, 0x1.2da0ac197408cp-1, 0x1.2dcba028f51b3p-1, 0x1.2de2b652302c5p-1, 0x1.2de632876026dp-1, 0x1.2dd65ae9175edp-1, 0x1.2db377a46f55dp-1, 0x1.2d7dd2d1f08d2p-1, 0x1.2d35b85539e2p-1, 0x1.2cdb75bd62d39p-1, 0x1.2c6f5a26210f7p-1, 0x1.2bf1b619ab541p-1, 0x1.2b62db73607a1p-1, 0x1.2ac31d432f204p-1, 0x1.2a12cfb1be6a9p-1, 0x1.295247e558ed5p-1, 0x1.2881dbe796b1p-1, 0x1.27a1e28bc8492p-1, 0x1.26b2b3561f089p-1, 0x1.25b4a6639334ep-1, 0x1.24a8145284b3bp-1, 0x1.238d562c17f4fp-1, 0x1.2264c54e472e7p-1, 0x1.212ebb56add9ep-1, 0x1.1feb920e04ffbp-1, 0x1.1e9ba354539b6p-1, 0x1.1d3f490dcd9a9p-1, 0x1.1bd6dd10605c4p-1, 0x1.1a62b911ea461p-1, 0x1.18e336971b032p-1, 0x1.1758aee2f8b1p-1, 0x1.15c37ae70988cp-1, 0x1.1423f3341dd6dp-1, 0x1.127a6febb7671p-1, 0x1.10c748b20ca08p-1, 0x1.0f0ad4a0a43eap-1, 0x1.0d456a398693p-1, 0x1.0b775f5b01e43p-1, 0x1.09a10933ff0e4p-1, 0x1.07c2bc38e1febp-1, 0x1.05dccc18f8074p-1, 0x1.03ef8bb46977ep-1, 0x1.01fb4d12b3909p-1, 0x1.00006159a2a67p-1, 0x1.fbfe31899656ep-2, 0x1.f7ef853affab6p-2, 0x1.f3d55a6680917p-2, 0x1.efb04ba93d6c1p-2, 0x1.eb80f19131e15p-2, 0x1.e747e290c4a05p-2, 0x1.e305b2f3370dcp-2, 0x1.debaf4d1ec014p-2, 0x1.da68380a7da8bp-2, 0x1.d60e0a35a0ceap-2, 0x1.d1acf69ecc484p-2, 0x1.cd45863ca1e6ep-2, 0x1.c8d83faa1172fp-2, 0x1.c465a720314a6p-2, 0x1.bfee3e70c6eb9p-2, 0x1.bb7285017be73p-2, 0x1.b6f2f7c7b74ecp-2, 0x1.b270114515e84p-2, 0x1.adea498483cap-2, 0x1.a9621617e3952p-2, 0x1.a4d7ea16507f1p-2, 0x1.a04c361ae52d6p-2, 0x1.9bbf68440dfcfp-2, 0x1.9731ec335f39ep-2, 0x1.92a42b0de4ba3p-2, 0x1.8e168b7cf1e4ep-2, 0x1.898971af5f3cp-2, 0x1.84fd3f5b3ea5ep-2, 0x1.807253bff781ap-2, 0x1.7be90ba8cd2a5p-2, 0x1.7761c16fc5cbcp-2, 0x1.72dccd00f50cap-2, 0x1.6e5a83de1c0b7p-2, 0x1.69db3922a5b77p-2, 0x1.655f3d87f2538p-2, 0x1.60e6df69f4c6bp-2, 0x1.5c726acc187e9p-2, 0x1.5802295e73674p-2, 0x1.5396628335e6bp-2, 0x1.4f2f5b5460552p-2, 0x1.4acd56a9b2f45p-2, 0x1.4670951ed864ep-2, 0x1.42195519c471ep-2, 0x1.3dc7d2d148f55p-2, 0x1.397c4853d727dp-2, 0x1.3536ed8e6f8efp-2, 0x1.30f7f853bb436p-2, 0x1.2cbf9c634b798p-2, 0x1.288e0b70fd1bap-2, 0x1.2463752c7e408p-2, 0x1.20400748f038bp-2, 0x1.1c23ed84a7845p-2, 0x1.180f51b101c5bp-2, 0x1.14025bba57697p-2, 0x1.0ffd31affc431p-2, 0x1.0bfff7cc56261p-2, 0x1.080ad07d01224p-2, 0x1.041ddc6b00f18p-2, 0x1.00393a8300e89p-2, 0x1.f8ba0ffb33401p-3, 0x1.f112c0cf3df0ep-3, 0x1.e97cbb54ecf2bp-3, 0x1.e1f83028da802p-3, 0x1.da854cc225898p-3, 0x1.d3243b83249b7p-3, 0x1.cbd523ca19a6fp-3, 0x1.c4982a01d978ap-3, 0x1.bd6d6fb2708c9p-3, 0x1.b6551391b9cf7p-3, 0x1.af4f3193e2e64p-3, 0x1.a85be2fbe7ab4p-3, 0x1.a17b3e6befc1cp-3, 0x1.9aad57f59d368p-3, 0x1.93f2412a3fdb6p-3, 0x1.8d4a092aeb9bep-3, 0x1.86b4bcb87712p-3, 0x1.8032664353674p-3, 0x1.79c30dfb4e37dp-3, 0x1.7366b9df2152fp-3, 0x1.6d1d6dcbf0e35p-3, 0x1.66e72b8c906afp-3, 0x1.60c3f2e8af1ddp-3, 0x1.5ab3c1b3d2fbp-3, 0x1.54b693dc2c4fdp-3, 0x1.4ecc63793a9d4p-3, 0x1.48f528da49e7bp-3, 0x1.4330da94bde3cp-3, 0x1.3d7f6d922f65dp-3, 0x1.37e0d51e59703p-3, 0x1.325502f4d5e0cp-3, 0x1.2cdbe74ea7fb8p-3, 0x1.277570ef93f02p-3, 0x1.22218d334983dp-3, 0x1.1ce0281a4cc26p-3, 0x1.17b12c56bd42ep-3, 0x1.12948358d7ee4p-3, 0x1.0d8a155b4dad2p-3, 0x1.0891c96f646cep-3, 0x1.03ab8588d9b13p-3, 0x1.fdae5d1335da4p-4, 0x1.f429509a8092ap-4, 0x1.eac7ab68a1c25p-4, 0x1.e189315eab7bbp-4, 0x1.d86da49360404p-4, 0x1.cf74c5687b4d4p-4, 0x1.c69e529f8d98ap-4, 0x1.bdea096e5de65p-4, 0x1.b557a592f2a9bp-4, 0x1.ace6e1671fp-4, 0x1.a49775f3ad25fp-4, 0x1.9c691b0316949p-4, 0x1.945b8733d39e1p-4, 0x1.8c6e700a45b69p-4, 0x1.84a18a022f62dp-4, 0x1.7cf4889fc6a59p-4, 0x1.75671e8062cc7p-4, 0x1.6df8fd6abb94ap-4, 0x1.66a9d65ec7344p-4, 0x1.5f7959a52f02dp-4, 0x1.586736de61caep-4, 0x1.51731d113e23p-4, 0x1.4a9cbab960114p-4, 0x1.43e3bdd5043f5p-4, 0x1.3d47d3f292852p-4, 0x1.36c8aa3dc3ff7p-4, 0x1.3065ed8c69cd2p-4, 0x1.2a1f4a6ad8d8cp-4, 0x1.23f46d27f9467p-4, 0x1.1de501e0f8a45p-4, 0x1.17f0b48ca2091p-4, 0x1.1217310661395p-4, 0x1.0c582318ea263p-4, 0x1.06b336888c53dp-4, 0x1.0128171d311b2p-4, 0x1.f76ce1580cb59p-5, 0x1.ecbbde41b078ep-5, 0x1.e23c7d0e2e1e3p-5, 0x1.d7ee162520dc3p-5, 0x1.cdd0024fb1c79p-5, 0x1.c3e19ac8d4279p-5, 0x1.ba22394ce5ec5p-5, 0x1.b0913828c25acp-5, 0x1.a72df2483d12bp-5, 0x1.9df7c34413dd9p-5, 0x1.94ee076f4e78ep-5, 0x1.8c101be41df49p-5, 0x1.835d5e9028a5p-5, 0x1.7ad52e4063bbap-5, 0x1.7276eaac55ef3p-5, 0x1.6a41f480f149bp-5, 0x1.6235ad6ae418ep-5, 0x1.5a5178207400bp-5, 0x1.5294b86ae27b1p-5, 0x1.4afed32f5f58bp-5, 0x1.438f2e7789424p-5, 0x1.3c4531797da2fp-5, 0x1.3520449f817b5p-5, 0x1.2e1fd18f388fcp-5, 0x1.2743433080672p-5, 0x1.208a05b3dffa2p-5, 0x1.19f3869896a0ap-5, 0x1.137f34b24a972p-5, 0x1.0d2c802e5f34bp-5, 0x1.06fada98ecd4ap-5, 0x1.00e9b6e1628dap-5, 0x1.f5f112bd9f2ffp-6, 0x1.ea4d8fa7b40acp-6, 0x1.dee7d2e4d50e4p-6, 0x1.d3becdbdfa27ap-6, 0x1.c8d17467668c6p-6, 0x1.be1ebe06205cep-6, 0x1.b3a5a4b4e617dp-6, 0x1.a965258891b06p-6, 0x1.9f5c4093fa292p-6, 0x1.9589f8eb49271p-6, 0x1.8bed54a6d77b5p-6, 0x1.82855ce5899adp-6, 0x1.79511dcebb7efp-6, 0x1.704fa693ab0bbp-6, 0x1.678009707ff1dp-6, 0x1.5ee15bace7e68p-6, 0x1.5672b59c3ebfep-6, 0x1.4e33329d59adep-6, 0x1.4621f119efefap-6, 0x1.3e3e1285a26c7p-6, 0x1.3686bb5cb6995p-6, 0x1.2efb132260134p-6, 0x1.279a445ed6dafp-6, 0x1.20637c9cfcf9cp-6, 0x1.1955ec67d0138p-6, 0x1.1270c747824ecp-6, 0x1.0bb343be527f2p-6, 0x1.051c9b451ea64p-6, 0x1.fd58148f64636p-7, 0x1.f0c1a041a9c9dp-7, 0x1.e4745e2c53d1ap-7, 0x1.d86ed8a77d462p-7, 0x1.ccaf9fcf00709p-7, 0x1.c1354978cb858p-7, 0x1.b5fe712adc68p-7, 0x1.ab09b810f1d6p-7, 0x1.a055c4f1cbfd1p-7, 0x1.95e1442426b1p-7, 0x1.8baae7835c60dp-7, 0x1.81b16663cdef5p-7, 0x1.77f37d86e536ep-7, 0x1.6e6fef0ee4e34p-7, 0x1.652582728708ep-7, 0x1.5c13047048b38p-7, 0x1.53374701859adp-7, 0x1.4a91214d7d52ap-7, 0x1.421f6f9be67b9p-7, 0x1.39e113479ecdcp-7, 0x1.31d4f2b106223p-7, 0x1.29f9f9303b5ddp-7, 0x1.224f170743442p-7, 0x1.1ad3415402ac9p-7, 0x1.138572022d51dp-7, 0x1.0c64a7bd033aap-7, 0x1.056fe5e10d03p-7, 0x1.fd4c68db6c2b1p-8, 0x1.f00d3fedcf7b8p-8, 0x1.e320732d04e63p-8, 0x1.d6842dbbbca33p-8, 0x1.ca36a38e5ff93p-8, 0x1.be36114dd7ebp-8, 0x1.b280bc3a66309p-8, 0x1.a714f20e51266p-8, 0x1.9bf108e0a5fa1p-8, 0x1.91135f080931ap-8, 0x1.867a5afd632aep-8, 0x1.7c246b3ec0f6ap-8, 0x1.721006323bf41p-8, 0x1.683baa08de9c7p-8, 0x1.5ea5dca1ab155p-8, 0x1.554d2b6cc0711p-8, 0x1.4c302b4ea0de3p-8, 0x1.434d78837506p-8, 0x1.3aa3b6829ecbbp-8, 0x1.32318fe23b27bp-8, 0x1.29f5b63af363ap-8, 0x1.21eee20bfb16fp-8, 0x1.1a1bd29f05fa8p-8, 0x1.127b4deca628cp-8, 0x1.0b0c2080b559p-8, 0x1.03cd1d5f0550ap-8, 0x1.f97a3bd05c54fp-9, 0x1.ebb6037d32464p-9, 0x1.de4b5d579cc44p-9, 0x1.d138210bc0a3fp-9, 0x1.c47a322a7feap-9, 0x1.b80f7ff51f14dp-9, 0x1.abf60529d4059p-9, 0x1.a02bc7d073e03p-9, 0x1.94aed907dbd12p-9, 0x1.897d54d3b7d6cp-9, 0x1.7e9561eaf2fd5p-9, 0x1.73f531867279dp-9, 0x1.699aff3090bcfp-9, 0x1.5f851094fcb99p-9, 0x1.55b1b5512949bp-9, 0x1.4c1f46c54cb02p-9, 0x1.42cc27e5cba0bp-9, 0x1.39b6c50d79a39p-9, 0x1.30dd93d000e11p-9, 0x1.283f12cd392e9p-9, 0x1.1fd9c984dc8ddp-9, 0x1.17ac482acbca9p-9, 0x1.0fb5277be4e58p-9, 0x1.07f30893732ebp-9, 0x1.006494c120dacp-9, 0x1.f210fabf427b7p-10, 0x1.e3baf7573d26fp-10, 0x1.d5c4a1372ab23p-10, 0x1.c82b896fe4277p-10, 0x1.baed4fe804651p-10, 0x1.ae07a30e545dep-10, 0x1.a1783f8e0cd9dp-10, 0x1.953cf0038d4ep-10, 0x1.89538cb27d3fcp-10, 0x1.7db9fb3d486dcp-10, 0x1.726e2e5d3bfaep-10, 0x1.676e259bf8be4p-10, 0x1.5cb7ed0e62219p-10, 0x1.52499d0fd1ad5p-10, 0x1.482159ff1a73dp-10, 0x1.3e3d53fc78ecep-10, 0x1.349bc6a833956p-10, 0x1.2b3af8e2c7ep-10, 0x1.22193c8dfbb5p-10, 0x1.1934ee4eefa61p-10, 0x1.108c75513d195p-10, 0x1.081e430b60982p-10, 0x1.ffd1a60789575p-11, 0x1.efd5552e01173p-11, 0x1.e044b17eb85ecp-11, 0x1.d11cebb9a2ebbp-11, 0x1.c25b46fccdaddp-11, 0x1.b3fd185912a5dp-11, 0x1.a5ffc6685c026p-11, 0x1.9860c8e65449bp-11, 0x1.8b1da84a74a9ep-11, 0x1.7e33fd64a0161p-11, 0x1.71a170fa8eaddp-11, 0x1.6563bb686f7fcp-11, 0x1.5978a442439f6p-11, 0x1.4dde01f794092p-11, 0x1.4291b978a3677p-11, 0x1.3791bdddcfa41p-11, 0x1.2cdc10104b52ap-11, 0x1.226ebe74a64dap-11, 0x1.1847e4976adfep-11, 0x1.0e65aadaa38aep-11, 0x1.04c64625be4f1p-11, 0x1.f6cfef2cc5659p-12, 0x1.e4921867bde16p-12, 0x1.d2cfb9467cf8dp-12, 0x1.c18599ba7bd0bp-12, 0x1.b0b097cc481eap-12, 0x1.a04da70cd9c4bp-12, 0x1.9059d00acad21p-12, 0x1.80d22fcbe3dap-12, 0x1.71b3f745b8401p-12, 0x1.62fc6adcef2e3p-12, 0x1.54a8e1e54a25dp-12, 0x1.46b6c6256c2ep-12, 0x1.3923935cb0d4ep-12, 0x1.2becd6cc1751cp-12, 0x1.1f102ec1f7065p-12, 0x1.128b4a279ad6bp-12, 0x1.065be811cc278p-12, 0x1.f4ffaea9694afp-13, 0x1.dde9ec30ea2efp-13, 0x1.c77262e35664ap-13, 0x1.b19509f6a9cebp-13, 0x1.9c4df4e895c3ep-13, 0x1.879952bb4e04bp-13, 0x1.73736d376d087p-13, 0x1.5fd8a8361a47ep-13, 0x1.4cc580e90047bp-13, 0x1.3a368d2b6b36ep-13, 0x1.28287ad5cebd6p-13, 0x1.16980f1598796p-13, 0x1.058225c946284p-13, 0x1.e9c761c0eedaap-14, 0x1.c9736f7fe0cd5p-14, 0x1.aa02ad513af2cp-14, 0x1.8b6f7c4636eb2p-14, 0x1.6db464ddec28p-14, 0x1.50cc15ed9f5aap-14, 0x1.34b1638858b26p-14, 0x1.195f45f4356f5p-14, 0x1.fda1b14906abfp-15, 0x1.ca02b274fbfddp-15, 0x1.97d84d18929cp-15, 0x1.67197f65800fcp-15, 0x1.37bd863bb9076p-15, 0x1.09bbdb5c8d82ep-15, 0x1.ba18674eaa529p-16, 0x1.634cfacf1a0bcp-16, 0x1.0f05bd61dd254p-16, 0x1.7a66cee912a5fp-17, 0x1.b71c6a5cc5858p-18, 0x1.0592f3937833cp-19, -0x1.50c711c4f7dd7p-19, -0x1.caa171d2b1d01p-18, -0x1.7212cfdbdecfep-17, -0x1.fa92035809cc3p-17, -0x1.3f73cebc7eed3p-16, -0x1.7f961ed4dd493p-16, -0x1.bdbbeed508b58p-16, -0x1.f9f0eb36a4f71p-16, -0x1.1a20393b418f1p-15, -0x1.365acbb2b7ee8p-15, -0x1.51ad91b43112ap-15, -0x1.6c1dcc5517345p-15, -0x1.85b09a1eaf6c4p-15, -0x1.9e6af816f4a6fp-15, -0x1.b651c2c465e23p-15, -0x1.cd69b720ac819p-15, -0x1.e3b77390bb136p-15, -0x1.f93f78d046e57p-15, -0x1.0703156ba0aacp-14, -0x1.1107e8d9f3992p-14, -0x1.1ab04d3344e92p-14, -0x1.23fe4bd79cb3ap-14, -0x1.2cf3e16df3d2dp-14, -0x1.3592fe4459239p-14, -0x1.3ddd86b1a7697p-14, -0x1.45d55371ba79fp-14, -0x1.4d7c31ff1f7cap-14, -0x1.54d3e4e88add8p-14, -0x1.5bde2426908a8p-14, -0x1.629c9d6dc6e59p-14, -0x1.6910f47e0ce38p-14, -0x1.6f3cc36e24e5dp-14, -0x1.75219af76f76bp-14, -0x1.7ac102bd81dfap-14, -0x1.801c79946ec37p-14, -0x1.853575c27f90dp-14, -0x1.8a0d6543c47e6p-14, -0x1.8ea5ae094a84p-14, -0x1.92ffae36990e7p-14, -0x1.971cbc5c407ffp-14, -0x1.9afe27b112f4dp-14, -0x1.9ea5384ad056cp-14, -0x1.a2132f542b1dep-14, -0x1.a549473f4bf36p-14, -0x1.a848b3f95b143p-14, -0x1.ab12a31b7d385p-14, -0x1.ada83c1971644p-14, -0x1.b00aa06f5d0aap-14, -0x1.b23aebcbc03b5p-14, -0x1.b43a343d008ebp-14, -0x1.b6098a59464dcp-14, -0x1.b7a9f966a5432p-14, -0x1.b91c878093992p-14, -0x1.ba6235bd3caf9p-14, -0x1.bb7c0051e28dcp-14, -0x1.bc6adeb52db47p-14, -0x1.bd2fc3bfe96a3p-14, -0x1.bdcb9dcd7d608p-14, -0x1.be3f56dbe93fp-14, -0x1.be8bd4a974e9fp-14, -0x1.beb1f8d1889c3p-14, -0x1.beb2a0e739bc7p-14, -0x1.be8ea69259023p-14, -0x1.be46dfa8aad23p-14, -0x1.bddc1e4779ad2p-14, -0x1.bd4f30eb0dfcdp-14, -0x1.bca0e285fe3ffp-14, -0x1.bbd1fa98d5ad7p-14, -0x1.bae33d46d4a72p-14, -0x1.b9d56b6aee6b2p-14, -0x1.b8a942ab75e7cp-14, -0x1.b75f7d8ea8227p-14, -0x1.b5f8d38d47396p-14, -0x1.b475f92498ac1p-14, -0x1.b2d79fe74367fp-14, -0x1.b11e768e5744bp-14, -0x1.af4b2909a228ap-14, -0x1.ad5e609001928p-14, -0x1.ab58c3acdc5b5p-14, -0x1.a93af64f55d2ep-14, -0x1.a70599d8ccb6ap-14, -0x1.a4b94d29c4d68p-14, -0x1.a256acaf6aecep-14, -0x1.9fde526e670e3p-14, -0x1.9d50d6102bb8dp-14, -0x1.9aaeccee70295p-14, -0x1.97f8ca1e67d93p-14, -0x1.952f5e7bc5919p-14, -0x1.925318b273914p-14, -0x1.8f648548a2874p-14, -0x1.8c642ea90a736p-14, -0x1.89529d2bdf299p-14, -0x1.8630571f1645cp-14, -0x1.82fde0cfb7eacp-14, -0x1.7fbbbc920024ap-14, -0x1.7c6a6aca1bc1bp-14, -0x1.790a69f33476dp-14, -0x1.759c36a6c0637p-14, -0x1.72204ba363b29p-14, -0x1.6e9721d4f6c92p-14, -0x1.6b01305a9ff1p-14, -0x1.675eec8d7085ap-14, -0x1.63b0ca07672fap-14, -0x1.5ff73aa81e367p-14, -0x1.5c32ae9bc9c58p-14, -0x1.58639460ab7f9p-14, -0x1.548a58cc182eep-14, -0x1.50a7670fe1cc1p-14, -0x1.4cbb28bfab2f2p-14, -0x1.48c605d64d38ep-14, -0x1.44c864baac6a5p-14, -0x1.40c2aa439c2fep-14, -0x1.3cb539bd39f53p-14, -0x1.38a074ecacc54p-14, -0x1.3484bc150ae9ep-14, -0x1.30626dfb7db53p-14, -0x1.2c39e7eb39b2ap-14, -0x1.280b85b9bc056p-14, -0x1.23d7a1ca35016p-14, -0x1.1f9e9511beb12p-14, -0x1.1b60b71ae2fefp-14, -0x1.171e5e094f9fdp-14, -0x1.12d7de9ca0e32p-14, -0x1.0e8d8c348f92bp-14, -0x1.0a3fb8d4cbc6fp-14, -0x1.05eeb52711c47p-14, -0x1.019ad07f7c6ep-14, -0x1.fa88b1be76008p-15, -0x1.f1d735eef8f9bp-15, -0x1.e921c4593a07fp-15, -0x1.e068f1332d1b3p-15, -0x1.d7ad4e25dc9f6p-15, -0x1.ceef6a51b8b02p-15, -0x1.c62fd256b7663p-15, -0x1.bd6f10578cd2p-15, -0x1.b4adac012d7aap-15, -0x1.abec2a90455dbp-15, -0x1.a32b0ed53e5b5p-15, -0x1.9a6ad9398c565p-15, -0x1.91ac07c875664p-15, -0x1.88ef16300a14dp-15, -0x1.80347dc8b196cp-15, -0x1.777cb59aa7a48p-15, -0x1.6ec83262d1b44p-15, -0x1.6617669683d41p-15, -0x1.5d6ac26a3f29dp-15, -0x1.54c2b3d77d9ddp-15, -0x1.4c1fa69f176c9p-15, -0x1.43820450a9e8p-15, -0x1.3aea344ed44b7p-15, -0x1.32589bd2cca9fp-15, -0x1.29cd9df402dafp-15, -0x1.21499babe77d5p-15, -0x1.18ccf3d951b39p-15, -0x1.105803472ede6p-15, -0x1.07eb24b20c581p-15, -0x1.ff0d61951ecdap-16, -0x1.ee55fc77255ffp-16, -0x1.ddb0c36009f5fp-16, -0x1.cd1e5badb799ep-16, -0x1.bc9f66cdff103p-16, -0x1.ac34824b8f412p-16, -0x1.9bde47d799324p-16, -0x1.8b9d4d4f7b438p-16, -0x1.7b7224caa5f29p-16, -0x1.6b5d5ca437e6cp-16, -0x1.5b5f7f7f74c65p-16, -0x1.4b79145623085p-16, -0x1.3baa9e8376596p-16, -0x1.2bf49dc95486ap-16, -0x1.1c578e5b86805p-16, -0x1.0cd3e8ebc46a8p-16, -0x1.fad445618b139p-17, -0x1.dc355adb2aba1p-17, -0x1.bdcbef024197dp-17, -0x1.9f98d7d6e368p-17, -0x1.819ce4b25cec5p-17, -0x1.63d8de560acd9p-17, -0x1.464d870661ep-17, -0x1.28fb9a95eaf7fp-17, -0x1.0be3ce7a4df0cp-17, -0x1.de0da3cb7eb6ep-18, -0x1.a4ca9ba450466p-18, -0x1.6bffca2a75b91p-18, -0x1.33ae68ed6541p-18, -0x1.f7af4b0f87983p-19, -0x1.88f94375a2e3ap-19, -0x1.1b3ce74899768p-19, -0x1.5cf897538e949p-20, -0x1.0ae5bc109315ap-21, 0x1.404e3647f255p-22, 0x1.239707f03ff1ap-20, 0x1.f514193f599e7p-20, 0x1.6243ba795498fp-19, 0x1.c8f6fc768d16p-19, 0x1.17512b49ba096p-18, 0x1.49a230bef7d36p-18, 0x1.7b6de52636f83p-18, 0x1.acb3a91a7deddp-18, }}, 
      {{0x1.20267c777574fp-1, 0x1.202bd04d20cf2p-1, 0x1.2034cbe01b439p-1, 0x1.20415d67b099bp-1, 0x1.2051543d6902ep-1, 0x1.2064717e73b37p-1, 0x1.207a782b9f15p-1, 0x1.209338d50183ep-1, 0x1.20ae981fd34adp-1, 0x1.20cc90e4d07c1p-1, 0x1.20ed3315bc154p-1, 0x1.2110a08e41d8p-1, 0x1.213708bd7a7fep-1, 0x1.2160a3d7a34acp-1, 0x1.218dae09cc33cp-1, 0x1.21be62ff028ddp-1, 0x1.21f2f9e6fa55ap-1, 0x1.222ba2176f385p-1, 0x1.2268805174ddp-1, 0x1.22a9aca8f251bp-1, 0x1.22ef310548b1dp-1, 0x1.2339082db2738p-1, 0x1.23871d5175a0cp-1, 0x1.23d94bfb050b6p-1, 0x1.242f605d2a911p-1, 0x1.248917ea0e8dep-1, 0x1.24e6222511c72p-1, 0x1.254621a1d205ap-1, 0x1.25a8ad243a8ccp-1, 0x1.260d50d70a5abp-1, 0x1.26738f8fbb2adp-1, 0x1.26dae41821addp-1, 0x1.2742c277682b8p-1, 0x1.27aa99353b7bep-1, 0x1.2811d2930944ep-1, 0x1.2877d5b81b08ap-1, 0x1.28dc07ce2a072p-1, 0x1.293dcd0caedep-1, 0x1.299c89b1ce264p-1, 0x1.29f7a2e833e58p-1, 0x1.2a4e7f999b323p-1, 0x1.2aa0892e1369cp-1, 0x1.2aed2c384f46cp-1, 0x1.2b33d90f8828ep-1, 0x1.2b7404579d587p-1, 0x1.2bad27783c36bp-1, 0x1.2bdec103ef3e9p-1, 0x1.2c085510018b2p-1, 0x1.2c296d7e28914p-1, 0x1.2c419a38eebb9p-1, 0x1.2c507163d3e22p-1, 0x1.2c558f8015f2ep-1, 0x1.2c5097870ea03p-1, 0x1.2c4132fb0b716p-1, 0x1.2c2711ef77ee9p-1, 0x1.2c01eb092ec5dp-1, 0x1.2bd17b77b414fp-1, 0x1.2b9586e813fccp-1, 0x1.2b4dd772159fep-1, 0x1.2afa3d8064306p-1, 0x1.2a9a8fb447f85p-1, 0x1.2a2eaac57aca2p-1, 0x1.29b6715e9c71ap-1, 0x1.2931cbf6c089p-1, 0x1.28a0a8a87f775p-1, 0x1.2802fb06f9a5ap-1, 0x1.2758bbf11f61dp-1, 0x1.26a1e9639b545p-1, 0x1.25de8649a88acp-1, 0x1.250e9a4d19255p-1, 0x1.243231a5d0b6fp-1, 0x1.23495ce8e98bcp-1, 0x1.225430d7b7a1dp-1, 0x1.2152c62ed89a9p-1, 0x1.204539757a6e4p-1, 0x1.1f2baaccfb9f6p-1, 0x1.1e063dc10703bp-1, 0x1.1cd5191846679p-1, 0x1.1b9866a5c86a5p-1, 0x1.1a50531b2a103p-1, 0x1.18fd0ddb9c03cp-1, 0x1.179ec8cfd2b22p-1, 0x1.1635b83aeb5fcp-1, 0x1.14c2129058aecp-1, 0x1.1344104ada1b1p-1, 0x1.11bbebc489a43p-1, 0x1.1029e110047a6p-1, 0x1.0e8e2dd2b42ebp-1, 0x1.0ce911203c941p-1, 0x1.0b3acb570d373p-1, 0x1.09839dfe1b7cbp-1, 0x1.07c3cba3c3a25p-1, 0x1.05fb97bdd14d8p-1, 0x1.042b468aa9eddp-1, 0x1.02531cf39e74p-1, 0x1.007360705a4p-1, 0x1.fd18add6defa1p-2, 0x1.f93c8d4ffe55ap-2, 0x1.f552ec50e5dc3p-2, 0x1.f15c582c95457p-2, 0x1.ed595e55e957bp-2, 0x1.e94a8c335a191p-2, 0x1.e5306ef4c0da1p-2, 0x1.e10b936b11de7p-2, 0x1.dcdc85e207717p-2, 0x1.d8a3d1fbafe19p-2, 0x1.d462028dcfe1p-2, 0x1.d017a1811473ap-2, 0x1.cbc537b1ffbf5p-2, 0x1.c76b4cd38fdd4p-2, 0x1.c30a6753877b4p-2, 0x1.bea30c40584e6p-2, 0x1.ba35bf309aa99p-2, 0x1.b5c3022c0c111p-2, 0x1.b14b559605661p-2, 0x1.accf38195fdd8p-2, 0x1.a84f2695bc02ep-2, 0x1.a3cb9c0e1fc63p-2, 0x1.9f451198df46bp-2, 0x1.9abbfe50c8de2p-2, 0x1.9630d74782664p-2, 0x1.91a40f7917b79p-2, 0x1.8d1617c0a5b59p-2, 0x1.88875ece1bc0bp-2, 0x1.83f8511d0ac22p-2, 0x1.7f6958ec76612p-2, 0x1.7adade379f276p-2, 0x1.764d46afb70efp-2, 0x1.71c0f5b6831ebp-2, 0x1.6d364c59d2c55p-2, 0x1.68ada94fcd637p-2, 0x1.642768f40be81p-2, 0x1.5fa3e54570dbep-2, 0x1.5b2375e4bb57bp-2, 0x1.56a67013cebd3p-2, 0x1.522d26b59eec4p-2, 0x1.4db7ea4ec2b7cp-2, 0x1.494709069d341p-2, 0x1.44dacea91b3cdp-2, 0x1.407384a8fe98bp-2, 0x1.3c117222a9f99p-2, 0x1.37b4dbdf6f9cbp-2, 0x1.335e045952b43p-2, 0x1.2f0d2bbf3d5cep-2, 0x1.2ac28ff99f416p-2, 0x1.267e6caf7325fp-2, 0x1.2240fb4ba142p-2, 0x1.1e0a7302bae0cp-2, 0x1.19db08d90d16ep-2, 0x1.15b2efa8fc094p-2, 0x1.11925829ae3fbp-2, 0x1.0d7970f5f5fa3p-2, 0x1.096866937f228p-2, 0x1.055f637a3518cp-2, 0x1.015e901bddb77p-2, 0x1.facc25d7d6a15p-3, 0x1.f2ec20ceec829p-3, 0x1.eb1d563ac7a07p-3, 0x1.e360076d65c18p-3, 0x1.dbb471fdd260cp-3, 0x1.d41acfd93ddaep-3, 0x1.cc9357544c06p-3, 0x1.c51e3b3c940b2p-3, 0x1.bdbbaaea40cb5p-3, 0x1.b66bd251de21bp-3, 0x1.af2eda16389d1p-3, 0x1.a804e79a5dc66p-3, 0x1.a0ee1d13a36fap-3, 0x1.99ea999bc33edp-3, 0x1.92fa7942f7fa6p-3, 0x1.8c1dd522201d7p-3, 0x1.8554c36cdce6fp-3, 0x1.7e9f5783ac21bp-3, 0x1.77fda205f1363p-3, 0x1.716fb0e3f9d67p-3, 0x1.6af58f70e2ff4p-3, 0x1.648f467476f02p-3, 0x1.5e3cdc3ce0eacp-3, 0x1.57fe54b053c02p-3, 0x1.51d3b15e84638p-3, 0x1.4bbcf1920775ep-3, 0x1.45ba12618c839p-3, 0x1.3fcb0ec0e71eap-3, 0x1.39efdf91f92fep-3, 0x1.34287bb566becp-3, 0x1.2e74d81b22242p-3, 0x1.28d4e7d2c538ap-3, 0x1.23489c1bb4db3p-3, 0x1.1dcfe4751334fp-3, 0x1.186aaead7e185p-3, 0x1.1318e6f28fccfp-3, 0x1.0dda77e02e99ap-3, 0x1.08af4a8f9cf96p-3, 0x1.039746a64fc29p-3, 0x1.fd24a4c912be7p-4, 0x1.f340a567742b7p-4, 0x1.e98256693cb35p-4, 0x1.dfe97c9a40d58p-4, 0x1.d675da6bf37bfp-4, 0x1.cd27301034b12p-4, 0x1.c3fd3b939014dp-4, 0x1.baf7b8f701edfp-4, 0x1.b21662493f54fp-4, 0x1.a958efbf7363ap-4, 0x1.a0bf17cd7f7d4p-4, 0x1.98488f3db71f1p-4, 0x1.8ff509481e14ap-4, 0x1.87c437a91afddp-4, 0x1.7fb5cab7aedc6p-4, 0x1.77c9717b29382p-4, 0x1.6ffed9c05932bp-4, 0x1.6855b02e3e5c9p-4, 0x1.60cda05a3a58ap-4, 0x1.596654dbc105cp-4, 0x1.521f775f8adf3p-4, 0x1.4af8b0ba47fefp-4, 0x1.43f1a8fad8dc8p-4, 0x1.3d0a077c06f91p-4, 0x1.364172f5c6cc3p-4, 0x1.2f97918dfcc9bp-4, 0x1.290c08e8caf36p-4, 0x1.229e7e3867517p-4, 0x1.1c4e964c7c336p-4, 0x1.161bf5a113fa1p-4, 0x1.1006406d11213p-4, 0x1.0a0d1ab035566p-4, 0x1.04302840b7a08p-4, 0x1.fcde19b0dae78p-5, 0x1.f192d843065dep-5, 0x1.e67dd3859d2p-5, 0x1.db9e52d7606ecp-5, 0x1.d0f39dbf29874p-5, 0x1.c67cfc02120f5p-5, 0x1.bc39b5b8d8e24p-5, 0x1.b2291364817b3p-5, 0x1.a84a5e022b2c1p-5, 0x1.9e9cdf1e2f437p-5, 0x1.951fe0e67fca6p-5, 0x1.8bd2ae3c4e996p-5, 0x1.82b492c4ffeep-5, 0x1.79c4dafa6c607p-5, 0x1.7102d43a71df1p-5, 0x1.686dccd5e1682p-5, 0x1.6005141ec002cp-5, 0x1.57c7fa75e367ap-5, 0x1.4fb5d157f7b95p-5, 0x1.47cdeb69e0ecbp-5, 0x1.400f9c848540bp-5, 0x1.387a39c00665fp-5, 0x1.310d197e662cap-5, 0x1.29c793759d66ap-5, 0x1.22a900b924a52p-5, 0x1.1bb0bbc3011cbp-5, 0x1.14de207c3ed15p-5, 0x1.0e308c44f37cp-5, 0x1.07a75dfbc2124p-5, 0x1.0141f604e59f5p-5, 0x1.f5ff6ca17db5fp-6, 0x1.e9c004c3f337cp-6, 0x1.ddc47ea66ac3ap-6, 0x1.d20ba7b89af08p-6, 0x1.c69450ae53a58p-6, 0x1.bb5d4d8863efep-6, 0x1.b065759cb5e3fp-6, 0x1.a5aba39da13c6p-6, 0x1.9b2eb5a082177p-6, 0x1.90ed8d23a4b57p-6, 0x1.86e70f1371cf1p-6, 0x1.7d1a23cef85fep-6, 0x1.7385b72bcbbc3p-6, 0x1.6a28b8794bc57p-6, 0x1.61021a8347c01p-6, 0x1.5810d3940b472p-6, 0x1.4f53dd75e58c1p-6, 0x1.46ca35741ab44p-6, 0x1.3e72dc5b50374p-6, 0x1.364cd67979decp-6, 0x1.2e572b9d4ba19p-6, 0x1.2690e7152fa54p-6, 0x1.1ef917adc98c2p-6, 0x1.178ecfb0043f6p-6, 0x1.105124dec7c32p-6, 0x1.093f30743601bp-6, 0x1.02580f1e845e8p-6, 0x1.f735c1f91293bp-7, 0x1.ea0d9333bdbc1p-7, 0x1.dd35dfd56650dp-7, 0x1.d0acfc8e98e49p-7, 0x1.c47144ce69c05p-7, 0x1.b8811ab84aa6bp-7, 0x1.acdae7193beep-7, 0x1.a17d195c8e6b2p-7, 0x1.9666278007bc9p-7, 0x1.8b948e07adebp-7, 0x1.8106cff0fc734p-7, 0x1.76bb76a5bdd57p-7, 0x1.6cb111ee8b11dp-7, 0x1.62e637e4c409cp-7, 0x1.595984e44f954p-7, 0x1.50099b7cedd25p-7, 0x1.46f524634cf34p-7, 0x1.3e1ace61c38edp-7, 0x1.35794e48cb0b1p-7, 0x1.2d0f5edf318d9p-7, 0x1.24dbc0d21e9a2p-7, 0x1.1cdd3aa4cc427p-7, 0x1.151298a023e75p-7, 0x1.0d7aacc216b8ap-7, 0x1.06144eacd491dp-7, 0x1.fdbcb72bb9f6p-8, 0x1.efaf6c69e06fp-8, 0x1.e1fe8d65bd629p-8, 0x1.d4a7f530790dcp-8, 0x1.c7a98978047acp-8, 0x1.bb013a641f80ep-8, 0x1.aead027359b34p-8, 0x1.a2aae657dfcd5p-8, 0x1.96f8f4d45c42bp-8, 0x1.8b954698a375p-8, 0x1.807dfe1e4cc58p-8, 0x1.75b1478585a22p-8, 0x1.6b2d5871a0758p-8, 0x1.60f06fe5f69fp-8, 0x1.56f8d6229c422p-8, 0x1.4d44dc8131a39p-8, 0x1.43d2dd51e2f7ap-8, 0x1.3aa13bb868c11p-8, 0x1.31ae638930281p-8, 0x1.28f8c926c25dfp-8, 0x1.207ee95f28e85p-8, 0x1.183f494984dedp-8, 0x1.10387623e9b65p-8, 0x1.086905315dc43p-8, 0x1.00cf9397f897ap-8, 0x1.f2d58c7ef6f73p-9, 0x1.e472935fb46c5p-9, 0x1.d673a3e034f22p-9, 0x1.c8d634cb1fdaep-9, 0x1.bb97cb664ca4ep-9, 0x1.aeb5fb323865ap-9, 0x1.a22e65a9eb3bep-9, 0x1.95feba037ec2fp-9, 0x1.8a24b4f10a6a8p-9, 0x1.7e9e20624513bp-9, 0x1.7368d346c44e6p-9, 0x1.6882b150e5992p-9, 0x1.5de9aab9406d8p-9, 0x1.539bbc03027bdp-9, 0x1.4996edc069bd6p-9, 0x1.3fd9545871e56p-9, 0x1.36610fcccef1bp-9, 0x1.2d2c4b80cfab2p-9, 0x1.24393e00d433fp-9, 0x1.1b8628ca824dp-9, 0x1.13115815b992bp-9, 0x1.0ad9229dfbb1p-9, 0x1.02dbe96cbc878p-9, 0x1.f6302f48c1a13p-10, 0x1.e7184497e53d5p-10, 0x1.d86d1036ec924p-10, 0x1.ca2ba2926f3a4p-10, 0x1.bc511eaef5643p-10, 0x1.aedab9c5e26d8p-10, 0x1.a1c5bae4415e6p-10, 0x1.950f7a8a8137dp-10, 0x1.88b5624de73a3p-10, 0x1.7cb4ec7b69768p-10, 0x1.710ba3bc028c3p-10, 0x1.65b722ba24823p-10, 0x1.5ab513c8d8973p-10, 0x1.5003308c2e97p-10, 0x1.459f41a30a575p-10, 0x1.3b871e528687bp-10, 0x1.31b8ac329ce3dp-10, 0x1.2831dedc5094bp-10, 0x1.1ef0b798fe6e8p-10, 0x1.15f3451305b48p-10, 0x1.0d37a307f54c6p-10, 0x1.04bbf9fc49a72p-10, 0x1.f8fcfddfdc3cap-11, 0x1.e8fae6291205dp-11, 0x1.d96e470a62648p-11, 0x1.ca53d1fdf20eap-11, 0x1.bba84f3615ce7p-11, 0x1.ad689d13eab21p-11, 0x1.9f91afa0cfeb4p-11, 0x1.92209009ef615p-11, 0x1.85125c1ebeebap-11, 0x1.786445d1b88dp-11, 0x1.6c1392bba842fp-11, 0x1.601d9ba0f9e46p-11, 0x1.547fcbf9d2d92p-11, 0x1.4937a17c11c19p-11, 0x1.3e42aba86566bp-11, 0x1.339e8b58fed8p-11, 0x1.2948f252a10b3p-11, 0x1.1f3fa2d8c5f7cp-11, 0x1.15806f42a519bp-11, 0x1.0c09399373b09p-11, 0x1.02d7f313e68d3p-11, 0x1.f3d537dd55759p-12, 0x1.e27e859d371edp-12, 0x1.d1a808fde248fp-12, 0x1.c14e171b4c123p-12, 0x1.b16d1fe04dbf7p-12, 0x1.a201ad5272d0dp-12, 0x1.930862e30ff73p-12, 0x1.847dfcc29d346p-12, 0x1.765f4f39fdb0ep-12, 0x1.68a94605bcd26p-12, 0x1.5b58e3b5c8a3cp-12, 0x1.4e6b411064659p-12, 0x1.41dd8c79c65fep-12, 0x1.35ad095d11621p-12, 0x1.29d70f9b2bc1ep-12, 0x1.1e590afa155bap-12, 0x1.13307a9a161dbp-12, 0x1.085af06d895d3p-12, 0x1.fbac21663ca39p-13, 0x1.e73f22e709085p-13, 0x1.d36a740730857p-13, 0x1.c029c50e2b7bbp-13, 0x1.ad78e6f0ebe65p-13, 0x1.9b53ca648bcbbp-13, 0x1.89b67ef76b19p-13, 0x1.789d3230e3a38p-13, 0x1.68042eb6e7467p-13, 0x1.57e7db7690cep-13, 0x1.4844bad3dfa6fp-13, 0x1.391769e056437p-13, 0x1.2a5c9f927613fp-13, 0x1.1c112c051166ep-13, 0x1.0e31f7bb74acep-13, 0x1.00bc02e86951bp-13, 0x1.e758c97a25fb4p-14, 0x1.ce0095749c4e5p-14, 0x1.b569f00b84656p-14, 0x1.9d8f898daeb24p-14, 0x1.866c3b08c58a6p-14, 0x1.6ffb05120cf24p-14, 0x1.5a370e92b1655p-14, 0x1.451ba3a05438dp-14, 0x1.30a4345b39b01p-14, 0x1.1ccc53d77f8a7p-14, 0x1.098fb709175b3p-14, 0x1.edd46774026e4p-15, 0x1.c9af7f148f713p-15, 0x1.a6a8dde360a4fp-15, 0x1.84b8e89ae1b6cp-15, 0x1.63d83de0ded51p-15, 0x1.43ffb477abb3cp-15, 0x1.2528597d7a9f4p-15, 0x1.074b6eba7fa27p-15, 0x1.d4c4d1ed5d548p-16, 0x1.9ccddcb63401cp-16, 0x1.66a5a9cf69458p-16, 0x1.324041d7db99ap-16, 0x1.ff240e27d12p-17, 0x1.9d1f654547368p-17, 0x1.3e5ca33f06378p-17, 0x1.c58d09f7c52bp-18, 0x1.1490c99ae1792p-18, 0x1.a671ab320f765p-20, -0x1.dbb832045e98ep-21, -0x1.b59ec029cab26p-19, -0x1.74916506cc0bfp-18, -0x1.0470663a9bf3p-17, -0x1.4bf025b58fccfp-17, -0x1.90d8ce7a02837p-17, -0x1.d33ac53c25958p-17, -0x1.0992fce1c42fp-16, -0x1.2854f5689ec39p-16, -0x1.45ead4e24ec1dp-16, -0x1.625bef242bcbfp-16, -0x1.7daf64e56a4b7p-16, -0x1.97ec25639bb8fp-16, -0x1.b118f013f1fb8p-16, -0x1.c93c563309b12p-16, -0x1.e05cbc4c9147dp-16, -0x1.f6805bb691284p-16, -0x1.05d6a1ff72b9ep-15, -0x1.0ff4ae291ff02p-15, -0x1.199d32663041ap-15, -0x1.22d2fbe51a25p-15, -0x1.2b98c5935d254p-15, -0x1.33f138b86e05fp-15, -0x1.3bdeed899ff24p-15, -0x1.43646bbe00b3ep-15, -0x1.4a842b1a16c62p-15, -0x1.514093f3d2b0fp-15, -0x1.579bffb70219p-15, -0x1.5d98b9622c22fp-15, -0x1.6338fe01f2d0ep-15, -0x1.687efd227992ep-15, -0x1.6d6cd943188cep-15, -0x1.7204a842a3581p-15, -0x1.764873c9cc9ecp-15, -0x1.7a3a39ac98732p-15, -0x1.7ddbec5110af5p-15, -0x1.812f730bba6fbp-15, -0x1.8436aa794fdfbp-15, -0x1.86f364d725314p-15, -0x1.89676a58690e5p-15, -0x1.8b9479769b578p-15, -0x1.8d7c473f0d7a9p-15, -0x1.8f207f9e7af44p-15, -0x1.9082c5aa0cb1dp-15, -0x1.91a4b3e66f924p-15, -0x1.9287dc87f9f7p-15, -0x1.932dc9b546c14p-15, -0x1.9397fdc68259fp-15, -0x1.93c7f37ec63b1p-15, -0x1.93bf1e467c908p-15, -0x1.937eea632444ap-15, -0x1.9308bd2c7b3dap-15, -0x1.925df540b286bp-15, -0x1.917feab1d0e11p-15, -0x1.906fef37eee29p-15, -0x1.8f2f4e5e09c52p-15, -0x1.8dbf4dae4e62bp-15, -0x1.8c212cd9015e4p-15, -0x1.8a5625e039a6p-15, -0x1.885f6d3cff0b3p-15, -0x1.863e320300918p-15, -0x1.83f39e047de63p-15, -0x1.8180d5f53b212p-15, -0x1.7ee6f98c8def3p-15, -0x1.7c2723a1ddc3ap-15, -0x1.79426a4b9860bp-15, -0x1.7639defc25535p-15, -0x1.730e8e9e4f158p-15, -0x1.6fc181af0a16fp-15, -0x1.6c53bc55db0d1p-15, -0x1.68c63e80aa905p-15, -0x1.651a03f7ae769p-15, -0x1.61500474c80bfp-15, -0x1.5d6933b819492p-15, -0x1.5966819e4c8b1p-15, -0x1.5548da349d464p-15, -0x1.511125ca66fa8p-15, -0x1.4cc04903c316bp-15, -0x1.485724eaa66eep-15, -0x1.43d696ff5bd91p-15, -0x1.3f3f794958dc4p-15, -0x1.3a92a26587b14p-15, -0x1.35d0e5969e90bp-15, -0x1.30fb12d200555p-15, -0x1.2c11f6cc849ebp-15, -0x1.27165b08cfdf6p-15, -0x1.220905e1bc699p-15, -0x1.1ceaba9a04ccfp-15, -0x1.17bc396480f68p-15, -0x1.127e3f7198059p-15, -0x1.0d3186f7b93a9p-15, -0x1.07d6c73e37f2cp-15, -0x1.026eb4a6aa17ap-15, -0x1.f9f40171463ebp-16, -0x1.eef2b44fea569p-16, -0x1.e3dad9bf023f5p-16, -0x1.d8adc410922bfp-16, -0x1.cd6cc023e1018p-16, -0x1.c21915755e272p-16, -0x1.b6b4062dbb69dp-16, -0x1.ab3ecf328bfcbp-16, -0x1.9fbaa832e4419p-16, -0x1.9428c3b62c564p-16, -0x1.888a4f28335a2p-16, -0x1.7ce072e3de041p-16, -0x1.712c52449a345p-16, -0x1.656f0bb13473ep-16, -0x1.59a9b8a717608p-16, -0x1.4ddd6dc5257e6p-16, -0x1.420b3ad80ec8bp-16, -0x1.36342ae421578p-16, -0x1.2a5944315ca52p-16, -0x1.1e7b88560d67dp-16, -0x1.129bf442a5c0cp-16, -0x1.06bb80492f28ap-16, -0x1.f5b64055145f3p-17, -0x1.ddf78639328b7p-17, -0x1.c63ca7a7e0767p-17, -0x1.ae87711d9a1d3p-17, -0x1.96d9a6439c177p-17, -0x1.7f3501fb42b7ep-17, -0x1.679b366dc1be5p-17, -0x1.500ded2421177p-17, -0x1.388ec71485fafp-17, -0x1.211f5cb4a11b8p-17, -0x1.09c13e0e12ef9p-17, -0x1.e4ebe5a71613ep-18, -0x1.b67df4d879fa6p-18, -0x1.883b980ee67c7p-18, -0x1.5a27ad5ed240dp-18, -0x1.2c4502a5774b4p-18, -0x1.fd2cab6a0497fp-19, -0x1.a23ca8f458bc4p-19, -0x1.47bf3a517bdb8p-19, -0x1.db72f92292204p-20, -0x1.2860db8a7be5dp-20, -0x1.d94769d74b521p-22, 0x1.d58443e2b304ap-23, 0x1.d53a103d4fa91p-21, 0x1.996a9b3a5b7eep-20, 0x1.238839d5cba9ap-19, 0x1.79c2ff22f1cd2p-19, 0x1.cf61710ae765ap-19, 0x1.122fbffa13a7ep-18, 0x1.3c5c9c785800dp-18, 0x1.663562b3ab351p-18, 0x1.8fb8356aae60dp-18, 0x1.b8e34535f8a19p-18, 0x1.e1b4d076c3cc1p-18, 0x1.05159198fa557p-17, 0x1.19224b7338151p-17, 0x1.2cffc93a5b204p-17, 0x1.40ad44f9f9b65p-17, 0x1.5429ff4b296d1p-17, 0x1.67753f3a2e616p-17, 0x1.7a8e523a4ddccp-17, 0x1.8d748c14c66a1p-17, 0x1.a02746d6458bdp-17, 0x1.b2a5e2bfb8f2ap-17, 0x1.c4efc632272a5p-17, 0x1.d7045d9eb9ef8p-17, 0x1.e8e31b706ee6cp-17, 0x1.fa8b77f9c61a8p-17, 0x1.05fe78b4d8567p-16, 0x1.0e9b85d9de395p-16, 0x1.171ca8402d67fp-16, 0x1.1f81a78dd1f49p-16, 0x1.27ca4e3140fe8p-16, 0x1.2ff66958c8b3bp-16, 0x1.3805c8e5972e9p-16, 0x1.3ff83f67a7c97p-16, 0x1.47cda211522cbp-16, 0x1.4f85c8b0d9a12p-16, 0x1.57208da6a2e6p-16, 0x1.5e9dcddbadc3bp-16, 0x1.65fd68b8fd2p-16, 0x1.6d3f401d95591p-16, 0x1.7463385439c4ep-16, 0x1.7b69380de128ep-16, 0x1.825128568ecdep-16, 0x1.891af48bc2b4p-16, 0x1.8fc68a551780cp-16, 0x1.9653d99a31b73p-16, 0x1.9cc2d47afd17cp-16, 0x1.a3136f43685a7p-16, 0x1.a945a06478916p-16, 0x1.af59606c83a63p-16, 0x1.b54ea9fc3338dp-16, 0x1.bb2579bf5727fp-16, 0x1.c0ddce6398c83p-16, 0x1.c677a88f142b1p-16, 0x1.cbf30ad8583eap-16, 0x1.d14ff9baff071p-16, 0x1.d68e7b9241caap-16, 0x1.dbae988e75b7ep-16, 0x1.e0b05aad7a445p-16, 0x1.e593cdb0678b3p-16, 0x1.ea58ff146809fp-16, 0x1.eefffe0aa6039p-16, 0x1.f388db6d70f67p-16, 0x1.f7f3a9b91bab7p-16, 0x1.fc407d02ecad9p-16, 0x1.0037b578ee525p-15, 0x1.0240455aa2f95p-15, 0x1.0439fa7ead801p-15, 0x1.0624e1f952afep-15, 0x1.0801099679b1ep-15, 0x1.09ce7fd6adb9ep-15, 0x1.0b8d53e97381ap-15, 0x1.0d3d95aa04558p-15, 0x1.0edf559c4e4ebp-15, 0x1.1072a4e75abd3p-15, 0x1.11f79552c4323p-15, 0x1.136e39414f5abp-15, 0x1.14d6a3af094b3p-15, 0x1.1630e82b93405p-15, 0x1.177d1ad6b43dp-15, 0x1.18bb505dcf14fp-15, 0x1.19eb9df6453c3p-15, 0x1.1b0e195afed56p-15, 0x1.1c22d8c8fc4f8p-15, 0x1.1d29f2faac0bbp-15, 0x1.1e237f24c9cd9p-15, 0x1.1f0f94f2af23p-15, 0x1.1fee4c83bc767p-15, 0x1.20bfbe6603348p-15, 0x1.2184039396ba9p-15, 0x1.223b357023868p-15, 0x1.22e56dc42d70bp-15, 0x1.2382c6ba6f03ap-15, 0x1.24135adbc9b18p-15, 0x1.2497450d1ef2fp-15, 0x1.250ea08b3045ap-15, 0x1.257988e69f3c6p-15, 0x1.25d81a0366073p-15, 0x1.262a70131f3d5p-15, 0x1.2670a7924e261p-15, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      32, 0x1.2333333333333p+2, 0x1.e73cd6a26f2d6p+3, 0x1.4a7026d9dfdccp+5, -0x1.af6fb4d35bfbfp-8, 
      {{
        {0x1.7c28f5c28f5c3p+1, 0x1.8p+1, 0x1.b46640a6f39abp-7, -0x1.364a0fd27b0bdp-2, 0x1.274850cdf420cp+1, -0x1.d611efcbe1ccdp+2}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.901cf13431123p-8, -0x1.79b8b2c57192ep-3, 0x1.a556f95cbfeecp+0, -0x1.67b0bf3ef34ccp+2}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.36031527efc8ap-12, -0x1.fbe6cb1f2af7fp-5, 0x1.9b0d0d3ac24fep-1, -0x1.d47ab2fecb1e7p+1}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.48ecc58e07285p-10, -0x1.2c5c2f7d2d495p-7, 0x1.03ed43aa2a77fp-2, -0x1.b0f86f466e2bcp+0}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.5222cff7db0bp-10, 0x1.cf042c0e52c1ap-9, 0x1.2807327628fcap-13, -0x1.e2861e930a576p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.24b4f71478f34p-10, 0x1.b3ea3ffa144fap-9, -0x1.1843725e21bbp-8, 0x1.c1e07722f2ad5p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.f762dc5d627edp-11, 0x1.829c499c41d88p-9, -0x1.a9905a982ddc1p-9, 0x1.71a2250a84da2p-12}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.ae4beec534d98p-11, 0x1.5866906cf81acp-9, -0x1.a2a21d1994f8p-9, 0x1.07bd00ad9a0edp-9}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.6d788ffff7333p-11, 0x1.3083ee292729ap-9, -0x1.7b129032bddcp-9, 0x1.848d88389c891p-10}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.3442ef47969a9p-11, 0x1.0c10af4ab0ec9p-9, -0x1.5dee592e7eeb7p-9, 0x1.936e08a0ef011p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.020c00705eec6p-11, 0x1.d52b7c2c02936p-10, -0x1.3fac7eef39cb3p-9, 0x1.79189418c2089p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.ac76f7d1f5b01p-12, 0x1.981035d0d4a1ep-10, -0x1.236440a091a44p-9, 0x1.69cdf9c7adb37p-10}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.607fbd74e7b77p-12, 0x1.607f9fe236e36p-10, -0x1.08419ab197d07p-9, 0x1.578deb8ab0287p-10}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.1f1cd510648cbp-12, 0x1.2e3953fdd0e28p-10, -0x1.dcfab874c8677p-10, 0x1.4618d2c64518cp-10}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.ce8c963ff4e0bp-13, 0x1.00f8c3206cb92p-10, -0x1.ac1098d70ad73p-10, 0x1.346d580b74666p-10}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.70036aa7ea82cp-13, 0x1.b0f4f71603436p-11, -0x1.7dccfed552faap-10, 0x1.22d06fb1ab1b3p-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.20c46522bd02fp-13, 0x1.68f57e1d5f799p-11, -0x1.522dbae112eap-10, 0x1.112f9fca20999p-10}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.be21abc7f54b9p-14, 0x1.296bc7ef8cd27p-11, -0x1.293362e9279ffp-10, 0x1.ff1fb771533a7p-11}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.528a3f1159db8p-14, 0x1.e3a0ec56bcf5cp-12, -0x1.02ddcec0a7c82p-10, 0x1.dbdf9fb920ebp-11}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.f762dc5d628bcp-15, 0x1.83385ac0eed28p-12, -0x1.be5a1258bdd3bp-11, 0x1.b89faea9c9bddp-11}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.6d788ffff7429p-15, 0x1.308f22aa0d294p-12, -0x1.7c421e8c12c3ap-11, 0x1.955fb28c996c1p-11}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.020c00705efc1p-15, 0x1.d52d1810ee764p-13, -0x1.3f73c3c3c88d4p-11, 0x1.721fbbfda0aap-11}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.607fbd74e7d8p-16, 0x1.607fbd7addf13p-13, -0x1.07ef012a8a0d9p-11, 0x1.4edfba43cd8fdp-11}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.ce8c963ff523ep-17, 0x1.00f8c529534ap-13, -0x1.ab67b0da56705p-12, 0x1.2b9fdfa72b699p-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.20c46522bd2ap-17, 0x1.68f57f14b4aep-14, -0x1.5184875b63029p-12, 0x1.085f73c06c1bep-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.528a3f115a34p-18, 0x1.e3a0e77245d91p-15, -0x1.0234b16e75c75p-12, 0x1.ca424bca811d5p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.6d788ffff838p-19, 0x1.308f3516b1ef4p-15, -0x1.7aef18ecf8066p-13, 0x1.83b5e24b7cbbfp-12}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.607fbd74e9dfep-20, 0x1.607f33f3c0e69p-16, -0x1.069eeea31f67ep-13, 0x1.3d6473d80fa37p-12}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.20c46522be8p-21, 0x1.68f980c472078p-17, -0x1.4ece649168a1cp-14, 0x1.ec6dcdfcaca94p-13}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6d78900000ffep-23, 0x1.307135e71e638p-18, -0x1.7627b3f19cd95p-15, 0x1.647db166d7a75p-13}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.20c46522f4001p-25, 0x1.6ab437db52ac9p-20, -0x1.40855fce36eb9p-16, 0x1.8933ba4b1004cp-14}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.20c4652600001p-29, 0x1.34dbe8de7a56cp-23, -0x1.52662684b54p-18, 0x1.071bdbe8481dcp-13}, 
      }}, 
      -0x1.ef27cfc9491adp-10, 0x1.7d9762663d3e9p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.46fd64259581ep-6, 0x1.4607ab05c8fb9p-5, 0x1.e6c7873d0c47bp-5, 0x1.428614a2edc3ap-4, 0x1.90204873ba5bdp-4, 0x1.dbf49337c7fb6p-4, 0x1.12e81e76cc396p-3, 0x1.36c51999987aep-3, 0x1.5980e458dcaa8p-3, 0x1.7b0ececaf89cbp-3, 0x1.9b65554fdd119p-3, 0x1.ba7db4f7658ccp-3, 0x1.d8538e3810dd6p-3, 0x1.f4e4921730efep-3, 0x1.08181cf0ae7bcp-2, 0x1.151bc3f71c294p-2, 0x1.217e67970364ap-2, 0x1.2d41c0a5f905bp-2, 0x1.38680103fe9b4p-2, 0x1.42f3bf4b942c3p-2, 0x1.4ce7e3ef1d1bfp-2, 0x1.5647989a5c9ecp-2, 0x1.5f16389f314edp-2, 0x1.675744b0fb0bap-2, 0x1.6f0e59578a666p-2, 0x1.763f29f76cea4p-2, 0x1.7ced7e7f051ep-2, 0x1.831d33ffbe88cp-2, 0x1.88d23d35db5fcp-2, 0x1.8e10a178c874dp-2, 0x1.92dc78f5a208cp-2, 0x1.9739e6a2f6ec3p-2, 0x1.9b2d10eb245c5p-2, 0x1.9eba1afacd557p-2, 0x1.a1e51f0c2be7dp-2, 0x1.a4b229fb682d1p-2, 0x1.a725380db5664p-2, 0x1.a942324ba584bp-2, 0x1.ab0ceca115b6fp-2, 0x1.ac89244767a1p-2, 0x1.adba7e99c200dp-2, 0x1.aea4880130d9ep-2, 0x1.af4ab34ff9be1p-2, 0x1.afb05911aa168p-2, 0x1.afd8b72c7dbcep-2, 0x1.afc6f0957473ep-2, 0x1.af7e0d2d99e46p-2, 0x1.af00f9b8310d5p-2, 0x1.ae5287f0e2953p-2, 0x1.ad756ebbf0d4p-2, 0x1.ac6c4a6012afap-2, 0x1.ab399cd36f419p-2, 0x1.a9dfce2c5f18ep-2, 0x1.a8612d19658c1p-2, 0x1.a6bfef607491dp-2, 0x1.a4fe32546ef44p-2, 0x1.a31dfb5b2832dp-2, 0x1.a12138cea7414p-2, 0x1.9f09c263ad313p-2, 0x1.9cd959e0f251dp-2, 0x1.9a91ac05b9b05p-2, 0x1.98345093ad929p-2, 0x1.95c2cb7666a93p-2, 0x1.933e8d756d8a5p-2, 0x1.90a8f4cc487bdp-2, 0x1.8e034dd2ad34ap-2, 0x1.8b4ed3cbf1f47p-2, 0x1.888cb16d25258p-2, 0x1.85be0199d4db4p-2, 0x1.82e3cfddd26a6p-2, 0x1.7fff19601bb59p-2, 0x1.7d10cd3056ce8p-2, 0x1.7a19cd4b461afp-2, 0x1.771aeec41af3ap-2, 0x1.7414fac40cb31p-2, 0x1.7108aef0352aap-2, 0x1.6df6bdbe55ea8p-2, 0x1.6adfcf52f3f6p-2, 0x1.67c481c523c66p-2, 0x1.64a569d333265p-2, 0x1.6183133b294a7p-2, 0x1.5e5e0131fe9fap-2, 0x1.5b36af0805a7fp-2, 0x1.580d90695889p-2, 0x1.54e311d0397adp-2, 0x1.51b79905be63dp-2, 0x1.4e8b8563771a6p-2, 0x1.4b5f303c6493dp-2, 0x1.4832ed37d314fp-2, 0x1.45070a929b4bcp-2, 0x1.41dbd19ca0b85p-2, 0x1.3eb186d5dd74p-2, 0x1.3b886a54e556p-2, 0x1.3860b81293586p-2, 0x1.353aa815c14dep-2, 0x1.32166ed593be8p-2, 0x1.2ef43d56c09dcp-2, 0x1.2bd441792fdd1p-2, 0x1.28b6a6257d68ap-2, 0x1.259b938001fcfp-2, 0x1.22832f19b2b78p-2, 0x1.1f6d9c1f61798p-2, 0x1.1c5afb81e9bcep-2, 0x1.194b6c19ff6dap-2, 0x1.163f0ad6d32b4p-2, 0x1.1335f2d89407cp-2, 0x1.10303d95f239cp-2, 0x1.0d2e02fc52cedp-2, 0x1.0a2f598b2dc27p-2, 0x1.0734566c6d0f7p-2, 0x1.043d0d941b201p-2, 0x1.014991d0f1a41p-2, 0x1.fcb3e9cf90bc7p-3, 0x1.f6dc8f4893997p-3, 0x1.f10d33d654d2cp-3, 0x1.eb45f59c1eb7ap-3, 0x1.e586f132f0e7bp-3, 0x1.dfd041c61f787p-3, 0x1.da22012d2d22ep-3, 0x1.d47c480570ab9p-3, 0x1.cedf2dc8a9acep-3, 0x1.c94ac8e0965d5p-3, 0x1.c3bf2eb6d8a1dp-3, 0x1.be3c73cc0d076p-3, 0x1.b8c2abbbcf066p-3, 0x1.b351e95953c21p-3, 0x1.adea3eaf9a695p-3, 0x1.a88bbd11d9a01p-3, 0x1.a33675261e5eep-3, 0x1.9dea76e8d26d5p-3, 0x1.98a7d1bdc2d8fp-3, 0x1.936e946feeb35p-3, 0x1.8e3ecd388b3b3p-3, 0x1.891889c81a6ddp-3, 0x1.83fbd74abf55cp-3, 0x1.7ee8c26622d76p-3, 0x1.79df5743510cap-3, 0x1.74dfa193f1659p-3, 0x1.6fe9ac8d62f91p-3, 0x1.6afd82edba978p-3, 0x1.661b2f0066437p-3, 0x1.6142ba9ddb645p-3, 0x1.5c742f2a5779cp-3, 0x1.57af9598df20ap-3, 0x1.52f4f66dd62dfp-3, 0x1.4e4459bbb6c6ep-3, 0x1.499dc723e2b97p-3, 0x1.450145d8381b6p-3, 0x1.406edc9cd0218p-3, 0x1.3be691c098724p-3, 0x1.37686b2485ed5p-3, 0x1.32f46e38d0964p-3, 0x1.2e8a9ffc7cd4dp-3, 0x1.2a2b04fbfe40dp-3, 0x1.25d5a150c385ep-3, 0x1.218a78a2205ep-3, 0x1.1d498e252ec78p-3, 0x1.1912e49b99666p-3, 0x1.14e67e50c95bp-3, 0x1.10c45d1d6a199p-3, 0x1.0cac82656434p-3, 0x1.089eef1876679p-3, 0x1.049ba3b037703p-3, 0x1.00a2a02fe76a4p-3, 0x1.f967c84ba2d9p-4, 0x1.f19edd5541c74p-4, 0x1.e9ea7ccb71084p-4, 0x1.e24aa301ef863p-4, 0x1.dabf4b69f8ce1p-4, 0x1.d348708a92bcap-4, 0x1.cbe60c047f49p-4, 0x1.c498168bff25dp-4, 0x1.bd5e87e8d1c14p-4, 0x1.b63956fde08ecp-4, 0x1.af2879ccd00fcp-4, 0x1.a82be5747947ep-4, 0x1.a1438e2adbdddp-4, 0x1.9a6f674318a05p-4, 0x1.93af6330fdfc6p-4, 0x1.8d0373934b348p-4, 0x1.866b892c33e2dp-4, 0x1.7fe793decee75p-4, 0x1.797782b4ac4ccp-4, 0x1.731b43e7ceca1p-4, 0x1.6cd2c4e63e8d6p-4, 0x1.669df24e0552dp-4, 0x1.607cb7ed48c7dp-4, 0x1.5a6f00c57da2fp-4, 0x1.5474b7162c55ap-4, 0x1.4e8dc462a28fap-4, 0x1.48ba11704a651p-4, 0x1.42f98644a2cf1p-4, 0x1.3d4c0a287c9d6p-4, 0x1.37b183b2c19fp-4, 0x1.3229d8cefee1bp-4, 0x1.2cb4eec187ebcp-4, 0x1.2752aa2134f73p-4, 0x1.2202eedda7874p-4, 0x1.1cc5a0426cc96p-4, 0x1.179aa10467eep-4, 0x1.1281d344de323p-4, 0x1.0d7b189421733p-4, 0x1.088651e9ba524p-4, 0x1.03a35fb32b5b9p-4, 0x1.fda443b2e5ba2p-5, 0x1.f424ef8607f0fp-5, 0x1.eac880bb2e4f4p-5, 0x1.e18eb43d6df27p-5, 0x1.d8774607a29c6p-5, 0x1.cf81f12de4716p-5, 0x1.c6ae6fedd3c79p-5, 0x1.bdfc7bb8a57b3p-5, 0x1.b56bcd4482f0dp-5, 0x1.acfc1c9018a7bp-5, 0x1.a4ad20e5f6b49p-5, 0x1.9c7e90e2d5de4p-5, 0x1.9470227bedf73p-5, 0x1.8c818b0b541bep-5, 0x1.84b27f5d20c93p-5, 0x1.7d02b3bee9f95p-5, 0x1.7571dc0dfe20ep-5, 0x1.6dffabc08e478p-5, 0x1.66abd5e42017ep-5, 0x1.5f760d1599c15p-5, 0x1.585e037d145dp-5, 0x1.51636adc01cefp-5, 0x1.4a85f4aa47109p-5, 0x1.43c552432ff12p-5, 0x1.3d2135015f035p-5, 0x1.36994e39d4a4dp-5, 0x1.302d4f10a8d75p-5, 0x1.29dce84461a82p-5, 0x1.23a7ca16d0406p-5, 0x1.1d8da4752f364p-5, 0x1.178e275a52443p-5, 0x1.11a9033f0c108p-5, 0x1.0bdde95236246p-5, 0x1.062c8b438c883p-5, 0x1.00949abc49495p-5, 0x1.f62b91379ec92p-6, 0x1.eb5f89903cc6bp-6, 0x1.e0c47cec6a87p-6, 0x1.d659ca67de3acp-6, 0x1.cc1ed401555e4p-6, 0x1.c212ffeb62235p-6, 0x1.b835b7c4ce5d5p-6, 0x1.ae8665ced7cd2p-6, 0x1.a5047167d5fbp-6, 0x1.9baf3cd3cf887p-6, 0x1.928625a22f53dp-6, 0x1.8988897173411p-6, 0x1.80b5ca0d7b0ffp-6, 0x1.780d52e16b55ep-6, 0x1.6f8e985be61e1p-6, 0x1.6739139dc2e51p-6, 0x1.5f0c3aaa94215p-6, 0x1.570779851dce8p-6, 0x1.4f2a302b89ff6p-6, 0x1.4773b7713bda5p-6, 0x1.3fe36b15a1e97p-6, 0x1.3878b45c64a69p-6, 0x1.31330f86c430ep-6, 0x1.2a12087dc217cp-6, 0x1.23152f30da7c8p-6, 0x1.1c3c08c068f25p-6, 0x1.15860512e2dcap-6, 0x1.0ef27f12245e5p-6, 0x1.0880c87b52f14p-6, 0x1.02303c0875dadp-6, 0x1.f8009a06e7e8fp-7, 0x1.ebe118e80b354p-7, 0x1.e001415ea651cp-7, 0x1.d460645f0f89ap-7, 0x1.c8fdac4ae4fb9p-7, 0x1.bdd80397a35d2p-7, 0x1.b2ee1cd3d67fbp-7, 0x1.a83e99cd515bp-7, 0x1.9dc83c99237f7p-7, 0x1.938a07ef71eddp-7, 0x1.8983406df24bbp-7, 0x1.7fb351c294c97p-7, 0x1.7619a484ad99fp-7, 0x1.6cb57457f3765p-7, 0x1.6385b8f79eae7p-7, 0x1.5a89340eef13fp-7, 0x1.51bea422b776ep-7, 0x1.4924fe3843aa4p-7, 0x1.40bb84bb3deeep-7, 0x1.3881ab7ea63b9p-7, 0x1.3076e37b53e48p-7, 0x1.289a7583fe4e5p-7, 0x1.20eb7ad926ad4p-7, 0x1.1968e14387c8p-7, 0x1.12117cc0c4c1ep-7, 0x1.0ae42f777a2f7p-7, 0x1.03e0299b74756p-7, 0x1.fa0a1c653e8f7p-8, 0x1.eca591ca35b4bp-8, 0x1.df923dd40ef62p-8, 0x1.d2cea48cfffcfp-8, 0x1.c65848a698a5p-8, 0x1.ba2c53bb1e1a9p-8, 0x1.ae4833025442ep-8, 0x1.a2a9cfb060bafp-8, 0x1.974fa585b98fbp-8, 0x1.8c3902ed6eb23p-8, 0x1.816632ca2c8e9p-8, 0x1.76d8055b26ec1p-8, 0x1.6c8ea5a7a41f1p-8, 0x1.628886835eb6cp-8, 0x1.58c26d5f69f3ep-8, 0x1.4f38a4f7c1773p-8, 0x1.45e8482ae932fp-8, 0x1.3ccfb47bf7135p-8, 0x1.33ee3785c92ffp-8, 0x1.2b439eed29443p-8, 0x1.22d00be2371f7p-8, 0x1.1a93ef2642415p-8, 0x1.128fb59ff7f7ep-8, 0x1.0ac2e1301fcfp-8, 0x1.032b4f5799c2fp-8, 0x1.f78b4c0fd13e6p-9, 0x1.e91d3999c57e3p-9, 0x1.db08430ede6f4p-9, 0x1.cd4b8b5220752p-9, 0x1.bfe8596937d6dp-9, 0x1.b2df6e23df33ap-9, 0x1.a62f468d06673p-9, 0x1.99d54757ab4e8p-9, 0x1.8dcfadf9cb12cp-9, 0x1.821d5fd8a7e72p-9, 0x1.76bc92121e7f5p-9, 0x1.6baa3221705bap-9, 0x1.60e2322922b47p-9, 0x1.5660a5f5628f8p-9, 0x1.4c2477c387ad8p-9, 0x1.4230c3303f329p-9, 0x1.38883e5e64ce9p-9, 0x1.2f27ea7208cbbp-9, 0x1.26094f019ea95p-9, 0x1.1d277f918e158p-9, 0x1.1480037beb06p-9, 0x1.0c12ae94e049cp-9, 0x1.03e0ea15015a8p-9, 0x1.f7d64a639062bp-10, 0x1.e85e68f12be56p-10, 0x1.d9528667518c2p-10, 0x1.cab1d84dcccfap-10, 0x1.bc87464577aap-10, 0x1.aed62d153f405p-10, 0x1.a190f7ee32fb4p-10, 0x1.94aa585eab6dfp-10, 0x1.8819d6206e11ap-10, 0x1.7bd79a4911538p-10, 0x1.6fe3772dbd542p-10, 0x1.6444f1f60fe42p-10, 0x1.5900ed83c04ap-10, 0x1.4e1652c2a9384p-10, 0x1.438014b8b9073p-10, 0x1.393849b67f862p-10, 0x1.2f45d595f1d72p-10, 0x1.25ae4c903509ap-10, 0x1.1c65971318cbep-10, 0x1.13660b0936da7p-10, 0x1.0aaccf1ae22ccp-10, 0x1.022cf5df918acp-10, 0x1.f3be35d184d1cp-11, 0x1.e3911996a3c11p-11, 0x1.d3e226fdb3c32p-11, 0x1.c4b3ac7263e55p-11, 0x1.b604a6a30aa4ep-11, 0x1.a7d5a538a94ap-11, 0x1.9a180168a3007p-11, 0x1.8cce7f85058dbp-11, 0x1.7ff267113aa52p-11, 0x1.737744a13b652p-11, 0x1.6771df4163955p-11, 0x1.5bdbd1c2e3b62p-11, 0x1.5099d93529caap-11, 0x1.459baee3a9cabp-11, 0x1.3ae57126a1c3dp-11, 0x1.3083e4d88b2a6p-11, 0x1.2678e8f224bc1p-11, 0x1.1cc0e41894df3p-11, 0x1.1368afdf38447p-11, 0x1.0a6b7cad805cfp-11, 0x1.01b1c22d29b19p-11, 0x1.f26a6a6c06111p-12, 0x1.e1dff34e05a0bp-12, 0x1.d1f784706fb12p-12, 0x1.c2ad3e3dee83cp-12, 0x1.b3f42f5ab5a4fp-12, 0x1.a5baa2052c00ep-12, 0x1.97dde3f116684p-12, 0x1.8a5c0546bde34p-12, 0x1.7d4b126dbd464p-12, 0x1.70a44c8de3c28p-12, 0x1.6468b7e68595cp-12, 0x1.58b525cbebc48p-12, 0x1.4d7f867da16fcp-12, 0x1.428e6b60e3781p-12, 0x1.37d78d52404fp-12, 0x1.2d7b99b834a47p-12, 0x1.23845e1ca6ccep-12, 0x1.19dac5e0372fp-12, 0x1.108ac57939026p-12, 0x1.07a3f911ab7bcp-12, 0x1.fe2993ae7f5f1p-13, 0x1.ed6e319e7c376p-13, 0x1.dd2e437aca16p-13, 0x1.cd704e11a4acbp-13, 0x1.be33d45d8b45ap-13, 0x1.af954da07d457p-13, 0x1.a1a1c0acfcdffp-13, 0x1.941ad84454ff5p-13, 0x1.86c91402c35ep-13, 0x1.79f182f0cec78p-13, 0x1.6d9b9c06bc586p-13, 0x1.619afce7d54e3p-13, 0x1.55f45bf941838p-13, 0x1.4ab0d6d3a77adp-13, 0x1.3fe101fba5e87p-13, 0x1.359356345a321p-13, 0x1.2b9b9a74d2438p-13, 0x1.21de30e3825efp-13, 0x1.18638d6d8975fp-13, 0x1.0f3af2628bdc2p-13, 0x1.06759aba70afbp-13, 0x1.fc00c5adab32ap-14, 0x1.eba561271a2fbp-14, 0x1.db83b5eb781fdp-14, 0x1.cc1dc9178065ep-14, 0x1.bd2f1bcfb48f2p-14, 0x1.aeab931398b9ep-14, 0x1.a09ad842c76d9p-14, 0x1.92f9c7afaf77dp-14, 0x1.85c3c3e6ada06p-14, 0x1.78f718322e448p-14, 0x1.6ca6cd09efce7p-14, 0x1.60e60d874e281p-14, 0x1.5568bd1020f2ap-14, 0x1.4a1e22fb3474fp-14, 0x1.3f4b5b372c42bp-14, 0x1.34d64f1d888edp-14, 0x1.2ab013250d06bp-14, 0x1.20c203b7cd374p-14, 0x1.172be23ee24cfp-14, 0x1.0de04d6a26adap-14, 0x1.04d2b512a433bp-14, 0x1.f81264c2c12aap-15, 0x1.e7030aa8e9e41p-15, 0x1.d671cf3a30d85p-15, 0x1.c65a154ab2a64p-15, 0x1.b6b458757c4bcp-15, 0x1.a774ae06b77f2p-15, 0x1.9896b3c9e0223p-15, 0x1.8a563f064dc6dp-15, 0x1.7c7ede080235dp-15, 0x1.6ed215de27e32p-15, 0x1.61b450dcfca72p-15, 0x1.54d60576e993dp-15, 0x1.484b32fdc80b9p-15, 0x1.3c1eab75b14b3p-15, 0x1.30395ca76848bp-15, 0x1.249dd7d8a281fp-15, 0x1.194ea2b76daaep-15, 0x1.0e4860ff45c23p-15, 0x1.0387e80816eabp-15, 0x1.f214c0650066cp-16, 0x1.dd9dc57bbc6dfp-16, 0x1.c9a32e3f3878p-16, 0x1.b61fc0420eaf5p-16, 0x1.a30a89c5f3fdap-16, 0x1.90580c48bd8a6p-16, 0x1.7e1db61766cdap-16, 0x1.6c78d0f1203ccp-16, 0x1.5b0c9a9f48c85p-16, 0x1.4a15fc8cab77ep-16, 0x1.397bd93d49516p-16, 0x1.293d53ef466bbp-16, 0x1.194f54fefba69p-16, 0x1.09b85a447929ep-16, 0x1.f4f487342ea47p-17, 0x1.d7175844bbf9ep-17, 0x1.b9db9dd64f866p-17, 0x1.9d3b14a86ed61p-17, 0x1.81315a4329d61p-17, 0x1.65b9c7f297d75p-17, 0x1.4acfde422ffabp-17, 0x1.3071dec828572p-17, 0x1.1699d9f86cbdcp-17, 0x1.fa8768416243dp-18, 0x1.c8ddd69555732p-18, 0x1.9820e0b5e0ea5p-18, 0x1.68675d62b7722p-18, 0x1.399f263b8a6c2p-18, 0x1.0bf529e6135a9p-18, 0x1.bdf371f4b1402p-19, 0x1.65c1e9aad488ep-19, 0x1.0f51fae366039p-19, 0x1.752e590216ddcp-20, 0x1.9e1ee19a1cd3dp-21, 0x1.61b6149fcef6ap-23, -0x1.cda8706449008p-22, -0x1.0fe0b79fc19a4p-20, -0x1.a93a53b615654p-20, -0x1.1fc1b11278f55p-19, -0x1.6963f0968db89p-19, -0x1.b18a0bb1c9bb4p-19, -0x1.f838f474c9cbep-19, -0x1.1eb918913b3bp-18, -0x1.409df7ac815c9p-18, -0x1.61cfb13030e03p-18, -0x1.825cf77ab8cd9p-18, -0x1.a21bfe441974fp-18, -0x1.c14c8bf78ef8p-18, -0x1.dface7032d0c7p-18, -0x1.fd7542986aa2dp-18, -0x1.0d4a947c4bbedp-17, -0x1.1b860a428108ep-17, -0x1.296e196444e5dp-17, -0x1.37039f90f4b8ep-17, -0x1.44475b70fa0e4p-17, -0x1.513a049f15b35p-17, -0x1.5ddc48c0796fbp-17, -0x1.6a2ecaaa7e0f5p-17, -0x1.7632296cde52ep-17, -0x1.81e7091f15ea2p-17, -0x1.8d4deb269250dp-17, -0x1.98673fafa81f7p-17, -0x1.a333baa6187f8p-17, -0x1.adb43a3033a6p-17, -0x1.b7e8d833b7e11p-17, -0x1.c1d0f844e0c01p-17, -0x1.cb702b4655572p-17, -0x1.d4c40177da946p-17, -0x1.ddd2810cd6e52p-17, -0x1.e69696305d6d3p-17, -0x1.ef0790095e016p-17, -0x1.f73806c25abccp-17, -0x1.ff20c3dcaf6ebp-17, -0x1.0360faface06dp-16, -0x1.070e225ba0ffbp-16, -0x1.0a9815302597ep-16, -0x1.0dff1c7f4eadfp-16, -0x1.11437d39f966fp-16, -0x1.1465c459469f5p-16, -0x1.176538172eedap-16, -0x1.1a433b4a21a34p-16, -0x1.1cffe00f0d379p-16, -0x1.1f9a6b53f8bbcp-16, -0x1.2214592a9b02dp-16, -0x1.246d1646d1fecp-16, -0x1.26a563d6f56edp-16, -0x1.28bd51d0d8c92p-16, -0x1.2ab530c7a85d8p-16, -0x1.2c8d458febffap-16, -0x1.2e45d6a21af54p-16, -0x1.2fdf2b2b0d2f1p-16, -0x1.31598ff28ca0bp-16, -0x1.32b54c830bfb9p-16, -0x1.33f2ee621bce3p-16, -0x1.35122ddae6401p-16, -0x1.3613a57338525p-16, -0x1.36f7d765be55fp-16, -0x1.37bedd0ffce29p-16, -0x1.38690c608e7f1p-16, -0x1.38f6b813f3bdbp-16, -0x1.396830635883ep-16, -0x1.39bdca51c6584p-16, -0x1.39f7d7e8418e6p-16, -0x1.3a16bc785d7c8p-16, -0x1.3a1aa77cd1039p-16, -0x1.3a0413ddd41d2p-16, -0x1.39d34929823a6p-16, -0x1.39889f96da6b5p-16, -0x1.3924bdf419402p-16, -0x1.38a6881510f1dp-16, -0x1.3811bdbc0a9b7p-16, -0x1.37626e67da3e4p-16, -0x1.369bbd81da9ccp-16, -0x1.35bd518e10653p-16, -0x1.34c7824473c86p-16, -0x1.33baae63f205p-16, -0x1.32973492b400dp-16, -0x1.315d75b4f9dbbp-16, -0x1.300ddb5f724d6p-16, -0x1.2ea7aebfcdc11p-16, -0x1.2d2d3cf0b1f44p-16, -0x1.2b9f2b38a312cp-16, -0x1.29fb7d1d16bafp-16, -0x1.2843e209c9f1cp-16, -0x1.2678a2876b44ep-16, -0x1.249a232e94b75p-16, -0x1.22a8b4dfd1c9dp-16, -0x1.20a4c967dfa53p-16, -0x1.1e8eb3a4e6104p-16, -0x1.1c66f0c14351p-16, -0x1.1a2dd0a2e0a9ep-16, -0x1.17e3a048b63a5p-16, }}, 
      {{0x1.737238f13b227p-2, 0x1.7696c22cf8b2ep-2, 0x1.7b65dbd7f3c12p-2, 0x1.81925945b412cp-2, 0x1.88d8d25faf3f3p-2, 0x1.90fe8075a9c62p-2, 0x1.99d03876d411fp-2, 0x1.a32181d76e5c8p-2, 0x1.accbc95211cfep-2, 0x1.b6adab341c142p-2, 0x1.c0aa5458ee80cp-2, 0x1.caa8f66e1eb14p-2, 0x1.d4944d00424d9p-2, 0x1.de5a31959f722p-2, 0x1.e7eb3cb39a86bp-2, 0x1.f13a721e950a5p-2, 0x1.fa3cf6f706ab8p-2, 0x1.0174e827410e1p-1, 0x1.059cd48cb7e9ap-1, 0x1.09934f36dc251p-1, 0x1.0d5608c22be5p-1, 0x1.10e33ec946e4bp-1, 0x1.1439a972e127ap-1, 0x1.17586aa474e8cp-1, 0x1.1a3effd05263ep-1, 0x1.1ced35b3a316fp-1, 0x1.1f631ef4b4c05p-1, 0x1.21a10c766593ep-1, 0x1.23a7877104adbp-1, 0x1.25774c15edd79p-1, 0x1.27114421f6291p-1, 0x1.287680b87e10ap-1, 0x1.29a83444a61f7p-1, 0x1.2aa7ac418e92bp-1, 0x1.2b764bc547b8ap-1, 0x1.2c15868fa6cd5p-1, 0x1.2c86dd1ea874ep-1, 0x1.2ccbd9105eacbp-1, 0x1.2ce60a3e7826dp-1, 0x1.2cd70413ec2d2p-1, 0x1.2ca05b97148f1p-1, 0x1.2c43a5436c99bp-1, 0x1.2bc2738cbbd6p-1, 0x1.2b1e5555a2da8p-1, 0x1.2a58d4c9d6e5dp-1, 0x1.297376329baffp-1, 0x1.286fb72bbb154p-1, 0x1.274f0dcfd7a7bp-1, 0x1.2612e807827b6p-1, 0x1.24bcab17bb03bp-1, 0x1.234db332c11e7p-1, 0x1.21c75302795e9p-1, 0x1.202ad38628b48p-1, 0x1.1e7973d4de884p-1, 0x1.1cb46904e9accp-1, 0x1.1adcde1451b0cp-1, 0x1.18f3f3d8cfee9p-1, 0x1.16fac1186df2fp-1, 0x1.14f2528e34d57p-1, 0x1.12dbab111e0e2p-1, 0x1.10b7c3b376b02p-1, 0x1.0e878bd120792p-1, 0x1.0c4be94c8ffb6p-1, 0x1.0a05b8bfe7553p-1, 0x1.07b5cdb5017f6p-1, 0x1.055cf2d81ec8p-1, 0x1.02fbea3b68b41p-1, 0x1.00936d8c1adfcp-1, 0x1.fc485ca0e143fp-2, 0x1.f75dac3b3cc77p-2, 0x1.f2680dcd41217p-2, 0x1.ed68b65cebe15p-2, 0x1.e860ccb6d80aap-2, 0x1.e35169d04db1ap-2, 0x1.de3b996471e82p-2, 0x1.d9205a64751acp-2, 0x1.d4009f58ea66p-2, 0x1.cedd4ef722e21p-2, 0x1.c9b7448363f31p-2, 0x1.c48f504f5dbe7p-2, 0x1.bf66382891044p-2, 0x1.ba3cb7c87ecdcp-2, 0x1.b5138153bcc75p-2, 0x1.afeb3db61241ap-2, 0x1.aac48d0bce60cp-2, 0x1.a5a0070d06eap-2, 0x1.a07e3b5d2e376p-2, 0x1.9b5fb1f132866p-2, 0x1.9644eb5f71991p-2, 0x1.912e612fbada5p-2, 0x1.8c1c863974a97p-2, 0x1.870fc6e5c76ddp-2, 0x1.820889885d045p-2, 0x1.7d072ea312cf7p-2, 0x1.780c11216e79fp-2, 0x1.731786c2aaa9fp-2, 0x1.6e29e028f483p-2, 0x1.69436945d200dp-2, 0x1.6464696e0d7fep-2, 0x1.5f8d23a927303p-2, 0x1.5abdd6e8cd0ep-2, 0x1.55f6be27f125dp-2, 0x1.513810a307064p-2, 0x1.4c820216b89edp-2, 0x1.47d4c2c9f23a2p-2, 0x1.43307fd6e6307p-2, 0x1.3e95633b44a93p-2, 0x1.3a03940febdfcp-2, 0x1.357b36a1e4a7dp-2, 0x1.30fc6c980fc9p-2, 0x1.2c87550cc932dp-2, 0x1.281c0cc1ecd54p-2, 0x1.23baae1d1a7e4p-2, 0x1.1f6351610e873p-2, 0x1.1b160cb86292p-2, 0x1.16d2f44e8fc59p-2, 0x1.129a1a7708c1cp-2, 0x1.0e6b8fa6213afp-2, 0x1.0a4762a35b75p-2, 0x1.062da08c514a6p-2, 0x1.021e54ed5a0d3p-2, 0x1.fc33139bca52cp-3, 0x1.f43e8f9e95d78p-3, 0x1.ec5f2c4d7f07ap-3, 0x1.e494f580967ap-3, 0x1.dcdff4888af1fp-3, 0x1.d540304a4b302p-3, 0x1.cdb5ad5d9c3b3p-3, 0x1.c6406e1d4af8bp-3, 0x1.bee072d2451dap-3, 0x1.b795b9ac29b55p-3, 0x1.b0603ef46efep-3, 0x1.a93ffd0e8d835p-3, 0x1.a234ec9335be1p-3, 0x1.9b3f0464af487p-3, 0x1.945e39bbe7624p-3, 0x1.8d928037d91b9p-3, 0x1.86dbc9fa1ae29p-3, 0x1.803a07a344aedp-3, 0x1.79ad287282bc4p-3, 0x1.73351a4ac5c0ep-3, 0x1.6cd1c9c36a642p-3, 0x1.66832233eef43p-3, 0x1.60490dc153b7dp-3, 0x1.5a23756b483b8p-3, 0x1.54124116c0839p-3, 0x1.4e155795af4a7p-3, 0x1.482c9ebb12858p-3, 0x1.4257fb5b3f0a7p-3, 0x1.3c97515c3d42dp-3, 0x1.36ea83bde1878p-3, 0x1.315174a2fd15bp-3, 0x1.2bcc055ae617cp-3, 0x1.265a166a631cap-3, 0x1.20fb8793e07adp-3, 0x1.1bb037e0478c8p-3, 0x1.167805a7d1858p-3, 0x1.1152ce98341c1p-3, 0x1.0c406fbde6b84p-3, 0x1.0740c58a5ef18p-3, 0x1.0253abdd829aap-3, 0x1.faf1fc173bc1fp-4, 0x1.f1612dc7090bp-4, 0x1.e7f4a16b0fe6cp-4, 0x1.deac0ab5c4a77p-4, 0x1.d5871c7795298p-4, 0x1.cc8588afeca76p-4, 0x1.c3a700910b205p-4, 0x1.baeb349047a82p-4, 0x1.b251d47376e16p-4, 0x1.a9da8f5daddb7p-4, 0x1.a18513d5044c8p-4, 0x1.99510fcf9a766p-4, 0x1.913e30be388d4p-4, 0x1.894c239c6f405p-4, 0x1.817a94f64e2ap-4, 0x1.79c930f008976p-4, 0x1.7237a35026fbp-4, 0x1.6ac5978bd6bep-4, 0x1.6372b8d350c28p-4, 0x1.5c3eb21820c97p-4, 0x1.55292e1293c26p-4, 0x1.4e31d74adf6cap-4, 0x1.4758582603ff4p-4, 0x1.409c5aef64bbcp-4, 0x1.39fd89ddd19cbp-4, 0x1.337b8f1b2b3c4p-4, 0x1.2d1614c84d0ep-4, 0x1.26ccc509e0c6ep-4, 0x1.209f4a12dd381p-4, 0x1.1a8d4e29e57d1p-4, 0x1.14967babebff2p-4, 0x1.0eba7d125b98bp-4, 0x1.08f8fcfce2d2bp-4, 0x1.0351a63b13266p-4, 0x1.fb8847a3e9e51p-5, 0x1.f0a041fec9f17p-5, 0x1.e5ea927bc212cp-5, 0x1.db6690979bf1ap-5, 0x1.d1139468661f1p-5, 0x1.c6f0f6aaf4f1dp-5, 0x1.bcfe10c9ecab4p-5, 0x1.b33a3ce242753p-5, 0x1.a9a4d5cdbd861p-5, 0x1.a03d37304e7ap-5, 0x1.9702bd83da7e3p-5, 0x1.8df4c623f53f9p-5, 0x1.8512af526404dp-5, 0x1.7c5bd83bb58b3p-5, 0x1.73cfa10205503p-5, 0x1.6b6d6ac3e7ce3p-5, 0x1.633497a7c18c7p-5, 0x1.5b248ae51195dp-5, 0x1.533ca8cb8b189p-5, 0x1.4b7c56c6cdd77p-5, 0x1.43e2fb61edb26p-5, 0x1.3c6ffe4c3028dp-5, 0x1.3522c860c399ep-5, 0x1.2dfac3aecf2edp-5, 0x1.26f75b834ea15p-5, 0x1.2017fc7164ff4p-5, 0x1.195c1456b045dp-5, 0x1.12c3125a2f8d6p-5, 0x1.0c4c66e83a067p-5, 0x1.05f783afdbc94p-5, 0x1.ff87b75239697p-6, 0x1.f361c64ac855fp-6, 0x1.e77c1fc9d45cdp-6, 0x1.dbd5b248e3e5ap-6, 0x1.d06d6f3408403p-6, 0x1.c5424aba0b975p-6, 0x1.ba533b8f640b1p-6, 0x1.af9f3ad5f03ddp-6, 0x1.a5254441ef38cp-6, 0x1.9ae4567ad7545p-6, 0x1.90db738a9d991p-6, 0x1.8709a1168eb5ep-6, 0x1.7d6de82aa3a4ap-6, 0x1.7407548fdfb4bp-6, 0x1.6ad4f42d72ed7p-6, 0x1.61d5d69f07295p-6, 0x1.59090d8ee367dp-6, 0x1.506dadc074da9p-6, 0x1.4802d02871176p-6, 0x1.3fc79296a2469p-6, 0x1.37bb174c88af3p-6, 0x1.2fdc838ae6c2cp-6, 0x1.282afdbd09086p-6, 0x1.20a5ac4acdd3bp-6, 0x1.194bb5e6d5a84p-6, 0x1.121c438ef9c92p-6, 0x1.0b168335d698fp-6, 0x1.0439a9ecc810cp-6, 0x1.fb09e7cef374bp-7, 0x1.edef444ea9663p-7, 0x1.e121ed11a656ep-7, 0x1.d4a0608d8a08ap-7, 0x1.c86915e5e86fcp-7, 0x1.bc7a81c12c296p-7, 0x1.b0d3205436ac8p-7, 0x1.a5717fe1151p-7, 0x1.9a54460a0f295p-7, 0x1.8f7a2c5b15d51p-7, 0x1.84e1f4a24947cp-7, 0x1.7a8a5a3816e6ep-7, 0x1.707207c4801c3p-7, 0x1.66979795e3277p-7, 0x1.5cf99f54dd3f9p-7, 0x1.5396c1ce7c259p-7, 0x1.4a6dbe02e4e52p-7, 0x1.417d73db6b959p-7, 0x1.38c4dba3d9d75p-7, 0x1.3042f335036eep-7, 0x1.27f6a9309b286p-7, 0x1.1fded10fc7d31p-7, 0x1.17fa274a76e82p-7, 0x1.1047647213555p-7, 0x1.08c554be7741fp-7, 0x1.0172e739b314cp-7, 0x1.f49e5b859b688p-8, 0x1.e6b29f59304dep-8, 0x1.d920ead5d4b6p-8, 0x1.cbe769b8894bfp-8, 0x1.bf040dc70ecd3p-8, 0x1.b2749cf37416ep-8, 0x1.a636e1fd0203p-8, 0x1.9a48e2e64027bp-8, 0x1.8ea8f59cc2762p-8, 0x1.8355a430cfcf3p-8, 0x1.784d7a503931ap-8, 0x1.6d8ee25daf9e5p-8, 0x1.63181cf6a9c72p-8, 0x1.58e7496c069b3p-8, 0x1.4efa7470d5a9ap-8, 0x1.454fbf4c0423ep-8, 0x1.3be59a6191c16p-8, 0x1.32bae680b63b3p-8, 0x1.29cecce828723p-8, 0x1.21205797b4242p-8, 0x1.18ae1b2db12c1p-8, 0x1.107638e0ca47fp-8, 0x1.0876ad28f303fp-8, 0x1.00ad98adadcb2p-8, 0x1.f232b4bd4d16bp-9, 0x1.e371336d10a4fp-9, 0x1.d514c6142166p-9, 0x1.c71c73a2a2de8p-9, 0x1.b987c44def224p-9, 0x1.ac55b28345b9cp-9, 0x1.9f83b1ec9ff29p-9, 0x1.930db96353239p-9, 0x1.86ef5863d0975p-9, 0x1.7b24e1577fb65p-9, 0x1.6fabcfe47ea14p-9, 0x1.64827dd829a06p-9, 0x1.59a7be67e8fe8p-9, 0x1.4f1ab6a3cdea5p-9, 0x1.44dada346ce8dp-9, 0x1.3ae7a13c01d9cp-9, 0x1.313fbab901cdfp-9, 0x1.27e067d80dfa7p-9, 0x1.1ec5dcac3b8c3p-9, 0x1.15ec634cdc72bp-9, 0x1.0d515c2ba1e7ep-9, 0x1.04f39aeee3123p-9, 0x1.f9a5cce7df343p-10, 0x1.e9dd9e811aea8p-10, 0x1.da8be31b8fc3cp-10, 0x1.cbacf1fd0235ep-10, 0x1.bd3df05dcc8d8p-10, 0x1.af3c9f96e7c67p-10, 0x1.a1a62d92a203fp-10, 0x1.9476b48a36264p-10, 0x1.87a98220b662p-10, 0x1.7b3a0b3ecfaa5p-10, 0x1.6f2635b4cbc0bp-10, 0x1.636f7d02dcf43p-10, 0x1.58170b4ea485ap-10, 0x1.4d19390c3ca7cp-10, 0x1.426f7ca0e09b8p-10, 0x1.3814b34798524p-10, 0x1.2e05da86fa186p-10, 0x1.2441e1a888b41p-10, 0x1.1ac90eb5c84bcp-10, 0x1.119adba4868b7p-10, 0x1.08b49d3316d73p-10, 0x1.001247ee40ccp-10, 0x1.ef6563ce3122p-11, 0x1.df3324961546p-11, 0x1.cf8f03d0cb1c1p-11, 0x1.c06c23f5e008ap-11, 0x1.b1be026a883f8p-11, 0x1.a37c47745e983p-11, 0x1.959f2e5acb22ap-11, 0x1.8825491feebp-11, 0x1.7b13856f90692p-11, 0x1.6e6cacc87a29ap-11, 0x1.622ea8a40cf78p-11, 0x1.56542ded070dap-11, 0x1.4ad74118f59c1p-11, 0x1.3fbc60024269cp-11, 0x1.350706a12c2p-11, 0x1.2aac4f7860c6dp-11, 0x1.20a69a637d40bp-11, 0x1.16f2a2dd793f2p-11, 0x1.0d85054cafda8p-11, 0x1.0456eacc8aa65p-11, 0x1.f6d78fbb9d9bep-12, 0x1.e5921af6d58b5p-12, 0x1.d4ddb289a5fbfp-12, 0x1.c4b7e86aa2accp-12, 0x1.b51f98be5ac1dp-12, 0x1.a60792324e44ap-12, 0x1.9770a5ac8177fp-12, 0x1.89542ab4c2a2fp-12, 0x1.7ba6e4376a677p-12, 0x1.6e78051053e29p-12, 0x1.61c123fccba29p-12, 0x1.556b5fbe4585bp-12, 0x1.4968c15fc3a2cp-12, 0x1.3dbb898a6bc37p-12, 0x1.326cbdec9a9a3p-12, 0x1.277ccb4b8467p-12, 0x1.1ce7d826d85b9p-12, 0x1.12b6dc0c7cbb8p-12, 0x1.08e51def3a78fp-12, 0x1.febee6b174b86p-13, 0x1.ec404cc0af52dp-13, 0x1.da43abb091716p-13, 0x1.c8ef59ed84bafp-13, 0x1.b83eaad73f25bp-13, 0x1.a825e76058d0bp-13, 0x1.9895c6fcc4753p-13, 0x1.8972369dc851fp-13, 0x1.7ab88d587e564p-13, 0x1.6c7878f4c3da3p-13, 0x1.5eab8bba5256bp-13, 0x1.5151544b6dcf6p-13, 0x1.447e83c44c65fp-13, 0x1.382a500f9dd43p-13, 0x1.2c2800134a963p-13, 0x1.206ebdc45c3cep-13, 0x1.15166afd6558bp-13, 0x1.0a258b7a6130bp-13, 0x1.ff13460e68c2dp-14, 0x1.ea95b62b2b5c7p-14, 0x1.d6e838b35da68p-14, 0x1.c3ee6df2ddf01p-14, 0x1.b16d4af8a1876p-14, 0x1.9f75dcd556af2p-14, 0x1.8e0b9c1a0991ep-14, 0x1.7d2cceef1044bp-14, 0x1.6ced61904f9fcp-14, 0x1.5d55ba9d9fc9fp-14, 0x1.4e36090c36646p-14, 0x1.3f639abc69579p-14, 0x1.3110f1984352ap-14, 0x1.23428d9b233e6p-14, 0x1.15d633b4ce61ap-14, 0x1.08ce6cd40bf7cp-14, 0x1.f8623177d3f96p-15, 0x1.e0134d0f83e3bp-15, 0x1.c8c3cfa3cdff1p-15, 0x1.b23016b996929p-15, 0x1.9c2d795a942fap-15, 0x1.86c70be6ada29p-15, 0x1.721202de54273p-15, 0x1.5e267a613a8dbp-15, 0x1.4ae6abf28ab5dp-15, 0x1.384485b3a096p-15, 0x1.25ff6f157bef1p-15, 0x1.1476a0d9df5ebp-15, 0x1.0376339297714p-15, 0x1.e5e83addea93fp-16, 0x1.c5e9aec93926dp-16, 0x1.a6ea2c2d3c9cap-16, 0x1.88e10490d88bcp-16, 0x1.6bc9d914abcd1p-16, 0x1.4fbf05a2f30f3p-16, 0x1.34db3a7adce88p-16, 0x1.1aabbfbd3375p-16, 0x1.011609975baaep-16, 0x1.d0ff2df858ce8p-17, 0x1.a1803f282e179p-17, 0x1.737feedc7f8adp-17, 0x1.46b78548a923ap-17, 0x1.1b839ade0e5c3p-17, 0x1.e37356fa08e3ap-18, 0x1.92637230fe006p-18, 0x1.43f779cb2888ep-18, 0x1.f03ae1f1504dap-19, 0x1.5d80ed63bb34bp-19, 0x1.9f3b1d4911c9dp-20, 0x1.196e3c8a9d7bap-21, -0x1.f4ad11fdf7911p-22, -0x1.7eb2464567303p-20, -0x1.3a87adc1fdb5ap-19, -0x1.b165ec052391ep-19, -0x1.12be78be84f0dp-18, -0x1.4a3363392480fp-18, -0x1.800b4c3e64e59p-18, -0x1.b40b18715a377p-18, -0x1.e613d36923p-18, -0x1.0b383200517f4p-17, -0x1.228db1f962fa8p-17, -0x1.3907c5c59b3c1p-17, -0x1.4ead0b4cc566p-17, -0x1.6383c1fa0e8acp-17, -0x1.7791c194211edp-17, -0x1.8ad8f96baa787p-17, -0x1.9d61917cc12fap-17, -0x1.af30a128c3b04p-17, -0x1.c04eb49112075p-17, -0x1.d0c68b9f14ea6p-17, -0x1.e0873fd8bbd82p-17, -0x1.ef788eb939e5ep-17, -0x1.fdea650366e8ap-17, -0x1.05d4e779124ccp-16, -0x1.0c6694bafa2f5p-16, -0x1.12ab33f5fbbcp-16, -0x1.18a86e814f3a8p-16, -0x1.1e5a0eb3e444bp-16, -0x1.23c3e904b228cp-16, -0x1.28e57db294ef4p-16, -0x1.2dc1f2c43581p-16, -0x1.325a5f3a44ffdp-16, -0x1.36b024c779873p-16, -0x1.3ac4d4d4a9fdep-16, -0x1.3e9a129fad70fp-16, -0x1.42306410e35bep-16, -0x1.4589fe950214bp-16, -0x1.48a83d49e1c3dp-16, -0x1.4b8ba116a17d8p-16, -0x1.4e37664ab4bbbp-16, -0x1.50a939fe22dfbp-16, -0x1.52e3bdb93a36bp-16, -0x1.54e17df6e2f73p-16, -0x1.56b18c1bbed1dp-16, -0x1.584daf5d9dbdbp-16, -0x1.59b65279d1c89p-16, -0x1.5aecfac5dd658p-16, -0x1.5bf2b6e333699p-16, -0x1.5cc889bf5f2d1p-16, -0x1.5d6f693b0fcd6p-16, -0x1.5de845bb5a01bp-16, -0x1.5e3410dcdf742p-16, -0x1.5e53b5d37984ap-16, -0x1.5e481d2a0c3dbp-16, -0x1.5e1234e91b6f4p-16, -0x1.5db2d5693e1abp-16, -0x1.5d2a98a49e33cp-16, -0x1.5c7a59c61d014p-16, -0x1.5ba36cbfefca8p-16, -0x1.5aa7ab8874208p-16, -0x1.598467a93667dp-16, -0x1.583ec69fd7eeap-16, -0x1.56d1519afb0c7p-16, -0x1.55436d225f46dp-16, -0x1.53936fcf1dacfp-16, -0x1.51c1be226c456p-16, -0x1.4fcf2f3e9455bp-16, -0x1.4dbc896f209dap-16, -0x1.4b8a89902e96ep-16, -0x1.4939ea8b5234p-16, -0x1.46cb6423b1ad5p-16, -0x1.443faa8ad6b14p-16, -0x1.4197709570307p-16, -0x1.3ed36a8c247f8p-16, -0x1.3bf440ec1b509p-16, -0x1.38fa95e9b0abdp-16, -0x1.35e720e69591p-16, -0x1.32baa4b4758c2p-16, -0x1.2f75b550c91d4p-16, -0x1.2c18bba6ff797p-16, -0x1.28a4caf72183ap-16, -0x1.251a37a031eb3p-16, -0x1.217a83f7d8e7p-16, -0x1.1dc5bb383583bp-16, -0x1.19f9bbbb40c2bp-16, -0x1.161b752ee0a99p-16, -0x1.1229d1b3a783ep-16, -0x1.0e254ce0c2da9p-16, -0x1.0a0e903d00e3dp-16, -0x1.05e684f4f1628p-16, -0x1.01aceaa7c2c0dp-16, -0x1.fac63a7a66b09p-17, -0x1.f2133b85f2ab8p-17, -0x1.e94127d84212fp-17, -0x1.e0521a766430cp-17, -0x1.d74769cc6025cp-17, -0x1.ce2071b868a08p-17, -0x1.c4e0127553122p-17, -0x1.bb86972bd4423p-17, -0x1.b215734721e4ap-17, -0x1.a88d89fa822e3p-17, -0x1.9eeff89fcbbep-17, -0x1.953dce87e7f41p-17, -0x1.8b78187ccc21dp-17, -0x1.819fe1a9d7f76p-17, -0x1.77b63411c8873p-17, -0x1.6dbc0d135f519p-17, -0x1.63b2b5a7c5901p-17, -0x1.599a9e9f39e02p-17, -0x1.4f75101369e9fp-17, -0x1.454333d709146p-17, -0x1.3b05cfa2dbfa4p-17, -0x1.30bdde074608p-17, -0x1.266c52de345aap-17, -0x1.1c121c30ece19p-17, -0x1.11b0286566672p-17, -0x1.07475fd1ad719p-17, -0x1.f9b16b1d9ab91p-18, -0x1.e4c9dcc6ec685p-18, -0x1.cfda14241405cp-18, -0x1.bae3b672c02a6p-18, -0x1.a5e87e2719fbcp-18, -0x1.90e9c4fe12d94p-18, -0x1.7beae7fd2ae4fp-18, -0x1.66e9831c48fc8p-18, -0x1.51ec4bfec9693p-18, -0x1.3cf193eb79919p-18, -0x1.27fbc63a3a636p-18, -0x1.130c729d81648p-18, -0x1.fc4a3a66401bbp-19, -0x1.d28e89bde4dc9p-19, -0x1.a8e8c2c04da48p-19, -0x1.7f5bb20db4a06p-19, -0x1.55ed59318ed8ep-19, -0x1.2c9aefccf0712p-19, -0x1.03668a9dded1dp-19, -0x1.b4b2745f39ccp-20, -0x1.62e50b6157e9bp-20, -0x1.116a0aae3ba73p-20, -0x1.80911cd6a5d59p-21, -0x1.be01ad6c80c17p-22, -0x1.f1bdfc309cff5p-24, 0x1.8712ffbc96359p-23, 0x1.00ebc88bcdcf5p-21, 0x1.9f2a44753e80dp-21, 0x1.1e48153828885p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.cfa2e5fba2c85p-7, -0x1.cf6b9419f4933p-6, -0x1.5b4bb0f3ba275p-5, -0x1.ce8f39444cfebp-5, -0x1.20b2cc24c5e8dp-4, -0x1.59da43b1bb6f6p-4, -0x1.92b12ce643c5fp-4, -0x1.cb2b076003244p-4, -0x1.019dd81b9ea5ap-3, -0x1.1d6bb408e2821p-3, -0x1.38f96bfdaaf79p-3, -0x1.54418a95b4178p-3, -0x1.6f3ed1ee296c4p-3, -0x1.89ec3ca9a19c8p-3, -0x1.a444fe9a8a299p-3, -0x1.be448520493e4p-3, -0x1.d7e67741d2579p-3, -0x1.f126b58f1c4ccp-3, -0x1.0500ace8d074ap-2, -0x1.11395b49887a6p-2, -0x1.1d3bab4029aa7p-2, -0x1.2905fdd71da7ap-2, -0x1.3496cf62484bfp-2, -0x1.3fecb709b2c25p-2, -0x1.4b06664b19e77p-2, -0x1.55e2a873ddb17p-2, -0x1.608062149e1bep-2, -0x1.6ade906fa226cp-2, -0x1.74fc48e302b74p-2, -0x1.7ed8b84f706a2p-2, -0x1.8873227c4ed31p-2, -0x1.91cae179cbd76p-2, -0x1.9adf65018285cp-2, -0x1.a3b031d62028ap-2, -0x1.ac3ce122879b5p-2, -0x1.b4851fd8c670cp-2, -0x1.bc88ae113f51ap-2, -0x1.c4475e6a4b8aep-2, -0x1.cbc11568a4474p-2, -0x1.d2f5c8d8c67ap-2, -0x1.d9e57f318e2a9p-2, -0x1.e0904ef83c978p-2, -0x1.e6f65e260f733p-2, -0x1.ed17e18f992b2p-2, -0x1.f2f51c4df57e2p-2, -0x1.f88e5f2a057afp-2, -0x1.fde40809c4801p-2, -0x1.017b40afed965p-1, -0x1.03e320cec00c7p-1, -0x1.0629e5535f7b7p-1, -0x1.084fd4a49af86p-1, -0x1.0a553a5aae874p-1, -0x1.0c3a66fd30a8bp-1, -0x1.0dffafc2513bfp-1, -0x1.0fa56e4f6fddap-1, -0x1.112c007b09c3cp-1, -0x1.1293c81008fadp-1, -0x1.13dd2a9271493p-1, -0x1.1508910572d95p-1, -0x1.161667b2de0e5p-1, -0x1.17071df3fd911p-1, -0x1.17db25fbd6ce2p-1, -0x1.1892f4a2cc7e4p-1, -0x1.192f0133a767fp-1, -0x1.19afc53a0082cp-1, -0x1.1a15bc520c446p-1, -0x1.1a6163f9c5fe7p-1, -0x1.1a933b6375238p-1, -0x1.1aabc3498ee01p-1, -0x1.1aab7dc3ec1bfp-1, -0x1.1a92ee1e53e45p-1, -0x1.1a6298b054befp-1, -0x1.1a1b02b669d2dp-1, -0x1.19bcb22c670f2p-1, -0x1.19482da92a1e4p-1, -0x1.18bdfc3b89532p-1, -0x1.181ea5487bba9p-1, -0x1.176ab06a79e07p-1, -0x1.16a2a5520cf23p-1, -0x1.15c70ba78a7c8p-1, -0x1.14d86aedf77d9p-1, -0x1.13d74a670df4bp-1, -0x1.12c430f85d3d6p-1, -0x1.119fa511848cdp-1, -0x1.106a2c937de4fp-1, -0x1.0f244cb8f6a14p-1, -0x1.0dce89ffb056p-1, -0x1.0c696812e482cp-1, -0x1.0af569b6a3d65p-1, -0x1.097310b42e99p-1, -0x1.07e2ddc73fdc8p-1, -0x1.0645508c45819p-1, -0x1.049ae76f7f93bp-1, -0x1.02e41f9d033eap-1, -0x1.012174f19ac4p-1, -0x1.fea6c3d8fc172p-2, -0x1.faf4bf43b918dp-2, -0x1.f72dcb5c6f5b8p-2, -0x1.f352d4550540ep-2, -0x1.ef64c34212072p-2, -0x1.eb647e0621579p-2, -0x1.e752e73e6d1b5p-2, -0x1.e330de3102274p-2, -0x1.deff3ebc3e268p-2, -0x1.dabee147a6c4bp-2, -0x1.d6709ab60c03dp-2, -0x1.d2153c58e9defp-2, -0x1.cdad93e504d32p-2, -0x1.c93a6b68341d2p-2, -0x1.c4bc894050dfcp-2, -0x1.c034b013440bcp-2, -0x1.bba39ec824f43p-2, -0x1.b70a1081642bfp-2, -0x1.b268bc97f7abap-2, -0x1.adc056977fe5cp-2, -0x1.a9118e3b5c8c2p-2, -0x1.a45d0f6caadfp-2, -0x1.9fa3824123677p-2, -0x1.9ae58afacc1f2p-2, -0x1.9623ca087fe5fp-2, -0x1.915edc07377b3p-2, -0x1.8c9759c4170eep-2, -0x1.87cdd83f30952p-2, -0x1.8302e8aef8a9p-2, -0x1.7e37188462904p-2, -0x1.796af16fa19bfp-2, -0x1.749ef96583973p-2, -0x1.6fd3b2a55c581p-2, -0x1.6b099bbf8435dp-2, -0x1.66412f9c575bfp-2, -0x1.617ae583b89dap-2, -0x1.5cb731250dac1p-2, -0x1.57f6829fa9b09p-2, -0x1.5339468bace43p-2, -0x1.4e7fe60343265p-2, -0x1.49cac6ac4b3fdp-2, -0x1.451a4ac252978p-2, -0x1.406ed120ebf0bp-2, -0x1.3bc8b54e5554p-2, -0x1.37284f8666f9fp-2, -0x1.328df4c5cc18fp-2, -0x1.2df9f6d57a974p-2, -0x1.296ca45664cb4p-2, -0x1.24e648cd677c3p-2, -0x1.20672caf66f27p-2, -0x1.1bef956d9b164p-2, -0x1.177fc582078a6p-2, -0x1.1317fc7c14c21p-2, -0x1.0eb8770d518dfp-2, -0x1.0a616f164bf8p-2, -0x1.06131bb387267p-2, -0x1.01cdb14a881d1p-2, -0x1.fb22c32de4a8ep-3, -0x1.f2bcb76f692c6p-3, -0x1.ea69987887d98p-3, -0x1.e229ba63b5f14p-3, -0x1.d9fd6c6183425p-3, -0x1.d1e4f8d32b4c7p-3, -0x1.c9e0a5652826ap-3, -0x1.c1f0b329be5b7p-3, -0x1.ba155eb3772ep-3, -0x1.b24ee02f95982p-3, -0x1.aa9d6b8068f99p-3, -0x1.a30130578ff36p-3, -0x1.9b7a5a5013acap-3, -0x1.9409110865308p-3, -0x1.8cad783c3335fp-3, -0x1.8567afde130c4p-3, -0x1.7e37d430f844dp-3, -0x1.771dfde18224ap-3, -0x1.701a421f08df7p-3, -0x1.692cb2b47b536p-3, -0x1.62555e20fbad1p-3, -0x1.5b944fb03bd5bp-3, -0x1.54e98f929ef23p-3, -0x1.4e5522f510feep-3, -0x1.47d70c189b91dp-3, -0x1.416f4a69b0b9ep-3, -0x1.3b1dda972bfadp-3, -0x1.34e2b6a907a37p-3, -0x1.2ebdd616c2193p-3, -0x1.28af2ddd74d9ep-3, -0x1.22b6b0959e161p-3, -0x1.1cd44e888d0e7p-3, -0x1.1707f5c5864fcp-3, -0x1.115192368e379p-3, -0x1.0bb10db4db819p-3, -0x1.0626501cf483dp-3, -0x1.00b13f6279bb2p-3, -0x1.f6a37f471ba73p-4, -0x1.ec0f6677dd0e3p-4, -0x1.e1a5f5af5cf81p-4, -0x1.d766eb0b33a3bp-4, -0x1.cd52019273d72p-4, -0x1.c366f1590d178p-4, -0x1.b9a56fa26c5c4p-4, -0x1.b00d2f0375a35p-4, -0x1.a69ddf83b6b9dp-4, -0x1.9d572ebdf669bp-4, -0x1.9438c8000a953p-4, -0x1.8b425469eddd4p-4, -0x1.82737b0c37207p-4, -0x1.79cbe105cf1cp-4, -0x1.714b29a0fae13p-4, -0x1.68f0f66fb3bbp-4, -0x1.60bce7675008cp-4, -0x1.58ae9afb7f2adp-4, -0x1.50c5ae3895561p-4, -0x1.4901bcdd2e2a7p-4, -0x1.416261732477ep-4, -0x1.39e73567e17afp-4, -0x1.328fd12403364p-4, -0x1.2b5bcc2261208p-4, -0x1.244abd0668a39p-4, -0x1.1d5c39b1dc28dp-4, -0x1.168fd759ee5c9p-4, -0x1.0fe52a9bc193bp-4, -0x1.095bc7904bdadp-4, -0x1.02f341df9eap-4, -0x1.f95659a73099ep-5, -0x1.ed0636d3ffa35p-5, -0x1.e0f540cc16008p-5, -0x1.d5229cc2ac79ap-5, -0x1.c98d6fb894accp-5, -0x1.be34de9bee70bp-5, -0x1.b3180e66c580ap-5, -0x1.a836243c9dc62p-5, -0x1.9d8e4586f874bp-5, -0x1.931f9810c92c7p-5, -0x1.88e94220f2012p-5, -0x1.7eea6a93b6373p-5, -0x1.752238f340eaap-5, -0x1.6b8fd58f291a7p-5, -0x1.62326993104ep-5, -0x1.59091f1c519e5p-5, -0x1.5013214ec888cp-5, -0x1.474f9c68bacbfp-5, -0x1.3ebdbdd5e116fp-5, -0x1.365cb44199183p-5, -0x1.2e2bafa844cb8p-5, -0x1.2629e167d8c98p-5, -0x1.1e567c4fa0473p-5, -0x1.16b0b4af3fec5p-5, -0x1.0f37c064f1852p-5, -0x1.07ead6eb0647cp-5, -0x1.00c93164b1703p-5, -0x1.f3a415543e23cp-6, -0x1.e6093ea7b5451p-6, -0x1.d8c05b8b1b627p-6, -0x1.cbc7ec702ac0bp-6, -0x1.bf1e7585f2636p-6, -0x1.b2c27eca7e891p-6, -0x1.a6b2941b620e3p-6, -0x1.9aed4544fa002p-6, -0x1.8f712610aab77p-6, -0x1.843cce51ef0f7p-6, -0x1.794ed9f263f5cp-6, -0x1.6ea5e8fcbf6c1p-6, -0x1.64409fa6cdbbep-6, -0x1.5a1da65a6f392p-6, -0x1.503ba9bdac659p-6, -0x1.46995ab9d044ap-6, -0x1.3d356e81ae2c4p-6, -0x1.340e9e9700c5fp-6, -0x1.2b23a8cf00837p-6, -0x1.22734f561b01p-6, -0x1.19fc58b2f1566p-6, -0x1.11bd8fc8937bep-6, -0x1.09b5c3d7fb93bp-6, -0x1.01e3c880dee8dp-6, -0x1.f48ceb839429cp-7, -0x1.e5b94fef4343ap-7, -0x1.d74a7fb8edf2p-7, -0x1.c93e450b95e7ep-7, -0x1.bb9272c47514bp-7, -0x1.ae44e46d37e68p-7, -0x1.a1537e352c245p-7, -0x1.94bc2ce961921p-7, -0x1.887ce5ebdcbb9p-7, -0x1.7c93a729c8329p-7, -0x1.70fe7710d149cp-7, -0x1.65bb64839e002p-7, -0x1.5ac886cd7b13dp-7, -0x1.5023fd952d1f5p-7, -0x1.45cbf0cf25372p-7, -0x1.3bbe90aee16fcp-7, -0x1.31fa1597af0f3p-7, -0x1.287cc00ccd921p-7, -0x1.1f44d8a0e9ca7p-7, -0x1.1650afe515677p-7, -0x1.0d9e9e57289a7p-7, -0x1.052d044faa475p-7, -0x1.f9f493de63528p-8, -0x1.ea09be16d6289p-8, -0x1.da967637227d5p-8, -0x1.cb97ba4945202p-8, -0x1.bd0a974a4ecc4p-8, -0x1.aeec29013a94ep-8, -0x1.a13999d5347b5p-8, -0x1.93f022a34896ap-8, -0x1.870d0a939228dp-8, -0x1.7a8da6ede07fap-8, -0x1.6e6f5aede796p-8, -0x1.62af9797141ap-8, -0x1.574bdb880d426p-8, -0x1.4c41b2cdc8dd6p-8, -0x1.418eb6b68e348p-8, -0x1.37308da47774ep-8, -0x1.2d24eadfee4fcp-8, -0x1.23698e69ee0e2p-8, -0x1.19fc44ce2a574p-8, -0x1.10dae6f5243b7p-8, -0x1.080359f616266p-8, -0x1.fee71dd1d7478p-9, -0x1.ee5305704ff1ap-9, -0x1.de467be5bab16p-9, -0x1.cebda93d4b934p-9, -0x1.bfb4cc13b50d4p-9, -0x1.b128393b3a6fdp-9, -0x1.a3145b604e82ep-9, -0x1.9575b2ae94a7dp-9, -0x1.8848d475eeed3p-9, -0x1.7b8a6ad0632fp-9, -0x1.6f3734480427fp-9, -0x1.634c037d4b191p-9, -0x1.57c5bece475dep-9, -0x1.4ca15ffdf958ap-9, -0x1.41dbf3dc6de6bp-9, -0x1.377299ef981b6p-9, -0x1.2d62841c8e9f7p-9, -0x1.23a8f651541c9p-9, -0x1.1a43462fa5ff6p-9, -0x1.112edab847a1fp-9, -0x1.08692bf6f2f8ep-9, -0x1.ffdf855ef81d5p-10, -0x1.ef8070169c03ep-10, -0x1.dfb06a8f2bed7p-10, -0x1.d06ae6c9919ddp-10, -0x1.c1ab75acdb21bp-10, -0x1.b36dc6682d57cp-10, -0x1.a5ada5d6570e9p-10, -0x1.9866fde368ecdp-10, -0x1.8b95d4f312615p-10, -0x1.7f364d49c1a45p-10, -0x1.7344a47745e72p-10, -0x1.67bd32c33741p-10, -0x1.5c9c6a9b4f21cp-10, -0x1.51ded8042f634p-10, -0x1.4781200ab978fp-10, -0x1.3d80003867bc9p-10, -0x1.33d84e0926a9bp-10, -0x1.2a86f6632d41bp-10, -0x1.2188fd10b2d14p-10, -0x1.18db7c3bc906cp-10, -0x1.107ba3ec3e32p-10, -0x1.0866b9869b3efp-10, -0x1.009a174ddf1fap-10, -0x1.f22657ce25b9dp-11, -0x1.e39ef3bd141edp-11, -0x1.d5992e5e57b1fp-11, -0x1.c81059984bbfbp-11, -0x1.baffec57d74f5p-11, -0x1.ae6381a9d092bp-11, -0x1.a236d7da08058p-11, -0x1.9675cf94d8afep-11, -0x1.8b1c6b0cb96e4p-11, -0x1.8026cd23fddabp-11, -0x1.7591389a69d88p-11, -0x1.6b580f3e04efdp-11, -0x1.6177d11f50d4bp-11, -0x1.57ed1bca28b54p-11, -0x1.4eb4a981d228cp-11, -0x1.45cb50807d72cp-11, -0x1.3d2e023af64e2p-11, -0x1.34d9caa7c733bp-11, -0x1.2ccbcf89c8933p-11, -0x1.25014fbd78122p-11, -0x1.1d77a28a95434p-11, -0x1.162c36fa00ea3p-11, -0x1.0f1c932d13658p-11, -0x1.084653b9d298p-11, -0x1.01a72b0aae911p-11, -0x1.f679c1810a658p-12, -0x1.ea0aa230983adp-12, -0x1.ddfcd8a76279ep-12, -0x1.d24c6c4c02858p-12, -0x1.c6f58a46064c6p-12, -0x1.bbf48462fc634p-12, -0x1.b145d00259d3ap-12, -0x1.a6e6050656609p-12, -0x1.9cd1dccb80b9p-12, -0x1.93063124e358ep-12, -0x1.897ffb5ee8184p-12, -0x1.803c534987d2bp-12, -0x1.77386e458b084p-12, -0x1.6e719e585c975p-12, -0x1.65e5514772dcfp-12, -0x1.5d910fb5a1063p-12, -0x1.55727c4893dap-12, -0x1.4d8752d0a9183p-12, -0x1.45cd6778d50b4p-12, -0x1.3e42a5fafa9c3p-12, -0x1.36e510d7c9ec6p-12, -0x1.2fb2c09509d93p-12, -0x1.28a9e3012bba8p-12, -0x1.21c8ba79ac8e7p-12, -0x1.1b0d9d3848302p-12, -0x1.1476f4a1a8a95p-12, -0x1.0e033c9c79484p-12, -0x1.07b102eb0a558p-12, -0x1.017ee68870f35p-12, -0x1.f6d72e16ff129p-13, -0x1.eaeba81c7b82bp-13, -0x1.df38d92e04e95p-13, -0x1.d3bc7d12dbb5ap-13, -0x1.c8746c2c3fd4cp-13, -0x1.bd5e9a6613c4bp-13, -0x1.b279162ccfbe2p-13, -0x1.a7c20767e02bbp-13, -0x1.9d37ae7d1ab08p-13, -0x1.92d8635ef1fb5p-13, -0x1.88a2949aab66ep-13, -0x1.7e94c673e31fep-13, -0x1.74ad920368e0ap-13, -0x1.6aeba45adbbf7p-13, -0x1.614dbdb4503f8p-13, -0x1.57d2b0a5704c1p-13, -0x1.4e796156b008cp-13, -0x1.4540c4c3bd38ep-13, -0x1.3c27e0023e8aap-13, -0x1.332dc78a84152p-13, -0x1.2a519e8988f1ap-13, -0x1.21929636cd511p-13, -0x1.18efed2deb558p-13, -0x1.1068eed3150dp-13, -0x1.07fcf2b6fce7ep-13, -0x1.ff56b803cc7ddp-14, -0x1.eee731ca07e2cp-14, -0x1.deaa441cbb73cp-14, -0x1.ce9ef446991fep-14, -0x1.bec45a7b51fa8p-14, -0x1.af19a0dbfd8cdp-14, -0x1.9f9e0284b179cp-14, -0x1.9050caa691a4cp-14, -0x1.813153a2b9f5ap-14, -0x1.723f0631e1a7bp-14, -0x1.63795894d0e1fp-14, -0x1.54dfcdc81c84cp-14, -0x1.4671f4c3e2dd3p-14, -0x1.382f67c108e3dp-14, -0x1.2a17cb80a9887p-14, -0x1.1c2acea259587p-14, -0x1.0e6828fdc3a1p-14, -0x1.00cf9b033cd56p-14, -0x1.e6c1da3ef4664p-15, -0x1.cc37de56cc70cp-15, -0x1.b200efbb423dep-15, -0x1.981cc87ef3a12p-15, -0x1.7e8b2e65f2a8p-15, -0x1.654bf1dbf8e4ap-15, -0x1.4c5eed0b5bb4cp-15, -0x1.33c402f899f3fp-15, -0x1.1b7b1eae43ddp-15, -0x1.0384326572052p-15, -0x1.d7be6d7f76263p-16, -0x1.a91854232e371p-16, -0x1.7b161f4953c85p-16, -0x1.4db7de1544d99p-16, -0x1.20fda70c3a076p-16, -0x1.e9cf2d7e887c9p-17, -0x1.92eb9d62f6736p-17, -0x1.3d50e871fe2d2p-17, -0x1.d1febe16afb19p-18, -0x1.2beeaa43fe532p-18, -0x1.10e481b56dbdbp-19, 0x1.875d284c0976ep-22, 0x1.6d91cf0b9ea26p-19, 0x1.52865c503a6aap-18, 0x1.ebad98413cf67p-18, 0x1.411f076692c14p-17, 0x1.8b1ba11077037p-17, 0x1.d3cc62bf8a36cp-17, 0x1.0d988fd9e843ap-16, 0x1.30a4daf185867p-16, 0x1.530b077cfddb7p-16, 0x1.74cb10995c6a8p-16, 0x1.95e4f814bdc1bp-16, 0x1.b658c6d5fef8p-16, 0x1.d6268d3788933p-16, 0x1.f54e634cec88fp-16, 0x1.09e8349e9a3dep-15, 0x1.18d663bd8101ep-15, 0x1.2771d78355c8fp-15, 0x1.35baaccc237adp-15, 0x1.43b104ec9b214p-15, 0x1.515505c4a41a7p-15, 0x1.5ea6d9d10d47ap-15, 0x1.6ba6b03719eefp-15, 0x1.7854bcd41a152p-15, 0x1.84b13845b1586p-15, 0x1.90bc5fee24b2ep-15, 0x1.9c7675fd17de4p-15, 0x1.a7dfc16e3e422p-15, 0x1.b2f88e0c2b2b5p-15, 0x1.bdc12c6a3f83dp-15, 0x1.c839f1e36d7d5p-15, 0x1.d2633895191e8p-15, 0x1.dc3d5f578f47dp-15, 0x1.e5c8c9b3b2a0ep-15, 0x1.ef05dfd7dbe11p-15, 0x1.f7f50e8fa94b7p-15, 0x1.004b6398f16dfp-14, 0x1.0475bfca6f7d7p-14, 0x1.0879d8feb255dp-14, 0x1.0c57ee871849ap-14, 0x1.101041db69977p-14, 0x1.13a3168e3e61ap-14, 0x1.1710b2450d37p-14, 0x1.1a595cac8d6fep-14, 0x1.1d7d5f7023c3dp-14, 0x1.207d062a97c25p-14, 0x1.23589e5e86289p-14, 0x1.261077683eaffp-14, 0x1.28a4e272c6915p-14, 0x1.2b16326a206e8p-14, 0x1.2d64bbefc61a7p-14, 0x1.2f90d54e2e1afp-14, 0x1.319ad66b0da0ap-14, 0x1.338318b96ba85p-14, 0x1.3549f72d6ee79p-14, 0x1.36efce2edcd67p-14, 0x1.3874fb8c31a9dp-14, 0x1.39d9de6a70d5cp-14, 0x1.3b1ed73abe866p-14, 0x1.3c4447aa8ce7ap-14, 0x1.3d4a9296fda06p-14, 0x1.3e321bfdcf50cp-14, 0x1.3efb48f06d71dp-14, 0x1.3fa67f8716b9bp-14, 0x1.403426d1ef883p-14, 0x1.40a4a6cba7abap-14, 0x1.40f8684b7c935p-14, 0x1.412fd4f881bf6p-14, 0x1.414b573c78f67p-14, 0x1.414b5a34a93fbp-14, 0x1.413049a690dfap-14, 0x1.40fa91f220a59p-14, 0x1.40aaa0043789p-14, 0x1.4040e14a9865cp-14, 0x1.3fbdc3a59eb8cp-14, 0x1.3f21b55dd1ca3p-14, 0x1.3e6d251605ae6p-14, 0x1.3da081bfd3408p-14, 0x1.3cbc3a8e8d2adp-14, 0x1.3bc0beeb95793p-14, 0x1.3aae7e6b5bf74p-14, 0x1.3985e8c164dc4p-14, 0x1.38476db4148ddp-14, 0x1.36f37d12ac89cp-14, 0x1.358a86a9836d4p-14, 0x1.340cfa376b44bp-14, 0x1.327b4763258bfp-14, 0x1.30d5ddb05ae27p-14, 0x1.2f1d2c76be7d9p-14, 0x1.2d51a2d6ceeaap-14, 0x1.2b73afb0fe5ebp-14, 0x1.2983c19b29c6cp-14, 0x1.278246d757b55p-14, 0x1.256fad4ba7365p-14, 0x1.234c62789551bp-14, 0x1.2118d37035bfap-14, 0x1.1ed56ccdf0eb1p-14, 0x1.1c829aae2d993p-14, 0x1.1a20c8a5fd72ep-14, 0x1.17b061bbd56d8p-14, 0x1.1531d05f893bap-14, 0x1.12a57e634b689p-14, 0x1.100bd4f40675ap-14, 0x1.0d653c930989bp-14, 0x1.0ab21d0e82e1fp-14, 0x1.07f2dd7afe91fp-14, 0x1.0527e42da464ep-14, 0x1.025196b668995p-14, 0x1.fee0b3b29c325p-15, 0x1.f90923122e388p-15, 0x1.f31d41c387c7dp-15, 0x1.ed1dd4463a58dp-15, 0x1.e70b9d5749e19p-15, 0x1.e0e75de85b45p-15, 0x1.dab1d516753b9p-15, 0x1.d46bc01ff6641p-15, 0x1.ce15da5c75523p-15, 0x1.c7b0dd3597c5dp-15, 0x1.c13d801d0468fp-15, 0x1.babc788665c95p-15, 0x1.b42e79e0b703ap-15, 0x1.ad94359050773p-15, 0x1.a6ee5ae65de85p-15, 0x1.a03d971d2fa06p-15, 0x1.99829550b2e36p-15, }}, 
      {{-0x1.c3b16481285c1p-1, -0x1.c3a94ff54a195p-1, -0x1.c39b9f4c66534p-1, -0x1.c38804f267784p-1, -0x1.c36e1e30f1cb6p-1, -0x1.c34d77e3c5ce4p-1, -0x1.c325928709e91p-1, -0x1.c2f5e5b453087p-1, -0x1.c2bde320b2635p-1, -0x1.c27cf92bc76eep-1, -0x1.c232950dd7828p-1, -0x1.c1de24b1338e2p-1, -0x1.c17f1841a98a5p-1, -0x1.c114e37b6c6e3p-1, -0x1.c09efec1b29a3p-1, -0x1.c01ce80443719p-1, -0x1.bf8e237a49e89p-1, -0x1.bef23c37f3c3ep-1, -0x1.be48c4a3bf75p-1, -0x1.bd9156cfb3d17p-1, -0x1.bccb94ba429d7p-1, -0x1.bbf7287a18e2ap-1, -0x1.bb13c457b990bp-1, -0x1.ba2122d76a05bp-1, -0x1.b91f06b5a1ae2p-1, -0x1.b80d3ad7ec65cp-1, -0x1.b6eb9233f2205p-1, -0x1.b5b9e7ae20811p-1, -0x1.b4781df142de5p-1, -0x1.b3261f403005ap-1, -0x1.b1c3dd428adcdp-1, -0x1.b05150cd7b39ep-1, -0x1.aece79a91f5ep-1, -0x1.ad3b5e5366deep-1, -0x1.ab980bc0ec4fbp-1, -0x1.a9e4951c520bdp-1, -0x1.a821138496759p-1, -0x1.a64da5cac3f18p-1, -0x1.a46a702f553bfp-1, -0x1.a2779c1f9bf0fp-1, -0x1.a07557f36783ap-1, -0x1.9e63d6ab2dbabp-1, -0x1.9c434faedeb2ep-1, -0x1.9a13fe8d95397p-1, -0x1.97d622be45cc2p-1, -0x1.9589ff618c214p-1, -0x1.932fdb04b0baap-1, -0x1.90c7ff65ffcd1p-1, -0x1.8e52b93a80a89p-1, -0x1.8bd057f51f00bp-1, -0x1.89412d8f529e3p-1, -0x1.86a58e534cf35p-1, -0x1.83fdd0a7b6b0fp-1, -0x1.814a4cdd00384p-1, -0x1.7e8b5cfc4ad84p-1, -0x1.7bc15c97eb10dp-1, -0x1.78eca89d83d99p-1, -0x1.760d9f29bc3fep-1, -0x1.73249f5d8cefbp-1, -0x1.703209351f0f1p-1, -0x1.6d363d604060ep-1, -0x1.6a319d1c5fb65p-1, -0x1.67248a1013a9p-1, -0x1.640f662820d79p-1, -0x1.60f29375fc91p-1, -0x1.5dce740fc554bp-1, -0x1.5aa369f1a743ap-1, -0x1.5771d6e0a9349p-1, -0x1.543a1c4ed8873p-1, -0x1.50fc9b40cd1ccp-1, -0x1.4db9b4347c729p-1, -0x1.4a71c709550c8p-1, -0x1.472532e99aee5p-1, -0x1.43d45634f944p-1, -0x1.407f8e6c46954p-1, -0x1.3d27381e6e52p-1, -0x1.39cbaed67aaa7p-1, -0x1.366d4d0ab5043p-1, -0x1.330c6c0cd4eaap-1, -0x1.2fa963fb37c28p-1, -0x1.2c448bb314b74p-1, -0x1.28de38c3a926bp-1, -0x1.2576bf62544cap-1, -0x1.220e725f98f3dp-1, -0x1.1ea5a31cffabbp-1, -0x1.1b3ca183d198bp-1, -0x1.17d3bbfca1c1dp-1, -0x1.146b3f67a1ff3p-1, -0x1.11037715b8fb9p-1, -0x1.0d9cacc253209p-1, -0x1.0a37288de7d53p-1, -0x1.06d330f92cad3p-1, -0x1.03710ae0ee2ebp-1, -0x1.0010f97a88aedp-1, -0x1.f9667ca1fa2eap-2, -0x1.f2b032852b6a3p-2, -0x1.ebff90fe38546p-2, -0x1.e555110d2780dp-2, -0x1.deb12850ed28cp-2, -0x1.d8144906e0a0ap-2, -0x1.d17ee20b1762ap-2, -0x1.caf15ed9a9311p-2, -0x1.c46c2790c8361p-2, -0x1.bdefa0f3a6156p-2, -0x1.b77c2c6e1ee8p-2, -0x1.b11228191abcep-2, -0x1.aab1eebfa1382p-2, -0x1.a45bd7e493e22p-2, -0x1.9e1037c905793p-2, -0x1.97cf5f73273c6p-2, -0x1.91999cb5c445p-2, -0x1.8b6f3a383fefap-2, -0x1.85507f7f119dcp-2, -0x1.7f3db0f4b5e46p-2, -0x1.79370ff30e1f6p-2, -0x1.733cdacd24bb4p-2, -0x1.6d4f4cd954038p-2, -0x1.676e9e7bc0f1ap-2, -0x1.619b05312e62ap-2, -0x1.5bd4b39a178c1p-2, -0x1.561bd98610cfcp-2, -0x1.5070a3ff6bd93p-2, -0x1.4ad33d5711d43p-2, -0x1.4543cd30950d8p-2, -0x1.3fc2788e7132p-2, -0x1.3a4f61de75c69p-2, -0x1.34eaa90656e35p-2, -0x1.2f946b705cb7fp-2, -0x1.2a4cc418324a4p-2, -0x1.2513cb97caa2bp-2, -0x1.1fe9983456afp-2, -0x1.1ace3deb50419p-2, -0x1.15c1ce7f8d6bep-2, -0x1.10c459865a71cp-2, -0x1.0bd5ec749cf9p-2, -0x1.06f692abf3b45p-2, -0x1.02265587d60e3p-2, -0x1.faca78d55c38bp-3, -0x1.f1669995d631bp-3, -0x1.e82114800c723p-3, -0x1.def9ed1efc90ap-3, -0x1.d5f123737d2cep-3, -0x1.cd06b40de89edp-3, -0x1.c43a9827a3943p-3, -0x1.bb8cc5bc6a82p-3, -0x1.b2fd2fa3769fdp-3, -0x1.aa8bc5a865502p-3, -0x1.a23874a3eac21p-3, -0x1.9a03269440d83p-3, -0x1.91ebc2b55c01bp-3, -0x1.89f22d98d54edp-3, -0x1.8216493d936e3p-3, -0x1.7a57f5272642ap-3, -0x1.72b70e74d7b41p-3, -0x1.6b336ff86ffa3p-3, -0x1.63ccf24ca2d26p-3, -0x1.5c836beb36569p-3, -0x1.5556b142c751p-3, -0x1.4e4694cc42cacp-3, -0x1.4752e720009b3p-3, -0x1.407b770a8d0bp-3, -0x1.39c011a10d4f5p-3, -0x1.33208255569d1p-3, -0x1.2c9c93099acd8p-3, -0x1.26340c23c5d8ap-3, -0x1.1fe6b4a070e0fp-3, -0x1.19b45225828fap-3, -0x1.139ca91466c58p-3, -0x1.0d9f7c9bf0171p-3, -0x1.07bc8ec9d17e2p-3, -0x1.01f3a09bc0155p-3, -0x1.f888e42061194p-4, -0x1.ed5d846d697bep-4, -0x1.e2649e7ffd4f4p-4, -0x1.d79dad1afc7f3p-4, -0x1.cd08298149598p-4, -0x1.c2a38b938bbbp-4, -0x1.b86f49ed363d9p-4, -0x1.ae6ada00dd3cbp-4, -0x1.a495b033bc814p-4, -0x1.9aef3ff89e988p-4, -0x1.9176fbe9f24bap-4, -0x1.882c55e339d7dp-4, -0x1.7f0ebf19c27d3p-4, -0x1.761da834a3289p-4, -0x1.6d5881640e89p-4, -0x1.64beba77f42b3p-4, -0x1.5c4fc2f5f17bep-4, -0x1.540b0a2e9a6eap-4, -0x1.4befff5213cdfp-4, -0x1.43fe11840aa46p-4, -0x1.3c34afef01004p-4, -0x1.349349d6fb284p-4, -0x1.2d194eab8960ep-4, -0x1.25c62e19343f8p-4, -0x1.1e99581a4b2f7p-4, -0x1.17923d071a173p-4, -0x1.10b04da586a45p-4, -0x1.09f2fb38191dp-4, -0x1.0359b78c71f24p-4, -0x1.f9c7ea125f8a5p-5, -0x1.ed224d768dd97p-5, -0x1.e0c180c59fe12p-5, -0x1.d4a46cfe9720fp-5, -0x1.c8c9fcb6c5b6p-5, -0x1.bd311c3043d5p-5, -0x1.b1d8b96f6b76p-5, -0x1.a6bfc44f4eedep-5, -0x1.9be52e9540479p-5, -0x1.9147ec0364c9p-5, -0x1.86e6f26a5c61ep-5, -0x1.7cc139ba01f0fp-5, -0x1.72d5bc114ab5ep-5, -0x1.692375cd49271p-5, -0x1.5fa9659759dc6p-5, -0x1.56668c72797fep-5, -0x1.4d59edc7d55b9p-5, -0x1.44828f728cab9p-5, -0x1.3bdf79cab4fefp-5, -0x1.336fb7af9d6f4p-5, -0x1.2b3256915920ap-5, -0x1.2326667996507p-5, -0x1.1b4afa13c8a34p-5, -0x1.139f26b4a3e08p-5, -0x1.0c220460f859fp-5, -0x1.04d2add3e7248p-5, -0x1.fb608108fe0d4p-6, -0x1.ed73b955859e1p-6, -0x1.dfdd4a882c899p-6, -0x1.d29b802e4ce4p-6, -0x1.c5acab6e797fbp-6, -0x1.b90f230e2e8f7p-6, -0x1.acc143766fd81p-6, -0x1.a0c16eb7714c7p-6, -0x1.950e0c8b57713p-6, -0x1.89a58a57f79cep-6, -0x1.7e865b2fd1128p-6, -0x1.73aef7d218444p-6, -0x1.691ddea9f8d43p-6, -0x1.5ed193cd0f08cp-6, -0x1.54c8a0f91a1bdp-6, -0x1.4b019590efd71p-6, -0x1.417b0698c8b62p-6, -0x1.38338eb1d45fp-6, -0x1.2f29ce152538p-6, -0x1.265c6a8e099f9p-6, -0x1.1dca0f73c3ff9p-6, -0x1.15716da2aae0dp-6, -0x1.0d513b74cbbdap-6, -0x1.056834b9ffaefp-6, -0x1.fb6a355efd3dbp-7, -0x1.ec6d67edf5b61p-7, -0x1.ddd7991aa6326p-7, -0x1.cfa66b8188d3p-7, -0x1.c1d78c4d8595ap-7, -0x1.b468b322c7f06p-7, -0x1.a757a208f8353p-7, -0x1.9aa22554952fcp-7, -0x1.8e46138fd4b99p-7, -0x1.82414d62c9215p-7, -0x1.7691bd7b07e6ap-7, -0x1.6b355872ae9e2p-7, -0x1.602a1cb6f73dap-7, -0x1.556e126e56305p-7, -0x1.4aff4b5e1dfa1p-7, -0x1.40dbe2cfb484p-7, -0x1.3701fd7584b73p-7, -0x1.2d6fc94f7d87fp-7, -0x1.24237d8f43517p-7, -0x1.1b1b5a7c22fc4p-7, -0x1.1255a956c0beep-7, -0x1.09d0bc3c86f9cp-7, -0x1.018aee0adbeeep-7, -0x1.f30544846dee6p-8, -0x1.e36c89d208135p-8, -0x1.d44894dcca66fp-8, -0x1.c5965f19bacefp-8, -0x1.b752f259c3f12p-8, -0x1.a97b688eb4f8bp-8, -0x1.9c0ceb9022f58p-8, -0x1.8f04b4e047fb2p-8, -0x1.82600d70e8284p-8, -0x1.761c4d6824638p-8, -0x1.6a36dbe55540fp-8, -0x1.5ead2ec61d137p-8, -0x1.537cca6b96fbcp-8, -0x1.48a3417f82defp-8, -0x1.3e1e34b9ced03p-8, -0x1.33eb52a6339e2p-8, -0x1.2a08576a30cbfp-8, -0x1.20730c8b34736p-8, -0x1.172948b51046cp-8, -0x1.0e28ef80b6e92p-8, -0x1.056ff13b71301p-8, -0x1.f9f8955c6e473p-9, -0x1.e99809cb500eep-9, -0x1.d9ba69f48251bp-9, -0x1.ca5bf7b1eef15p-9, -0x1.bb790c18b7d37p-9, -0x1.ad0e170c30f32p-9, -0x1.9f179ed216d28p-9, -0x1.91923fa76aff1p-9, -0x1.847aab565feccp-9, -0x1.77cda8cd4fa82p-9, -0x1.6b8813b6c3905p-9, -0x1.5fa6dc127e75dp-9, -0x1.542705cfcf7c7p-9, -0x1.4905a8688ddffp-9, -0x1.3e3fee7d95c78p-9, -0x1.33d315742fd92p-9, -0x1.29bc6d14c3408p-9, -0x1.1ff9572ac1468p-9, -0x1.168747257b182p-9, -0x1.0d63c1ba5c76bp-9, -0x1.048c5c88301e4p-9, -0x1.f7fd7b778a49p-10, -0x1.e771376b487e3p-10, -0x1.d76f7962af18cp-10, -0x1.c7f3ecdac5205p-10, -0x1.b8fa5ba958184p-10, -0x1.aa7ead52cb0d2p-10, -0x1.9c7ce6616c519p-10, -0x1.8ef127c073fbp-10, -0x1.81d7ae18bcd91p-10, -0x1.752cd12f87d79p-10, -0x1.68ed0348e39fcp-10, -0x1.5d14d08b85847p-10, -0x1.51a0de678aa7p-10, -0x1.468deb003c59fp-10, -0x1.3bd8cc976f779p-10, -0x1.317e70fb4a763p-10, -0x1.277bdcf75b4a9p-10, -0x1.1dce2bc7471d2p-10, -0x1.14728e8c1b49ep-10, -0x1.0b664bc4c1241p-10, -0x1.02a6bec7f2e5cp-10, -0x1.f462ae80d1466p-11, -0x1.e4073158f3baap-11, -0x1.d43633bdbf4aap-11, -0x1.c4eb09053870cp-11, -0x1.b6212942121e8p-11, -0x1.a7d43054bcb84p-11, -0x1.99ffdcff4a5f4p-11, -0x1.8ca00fffa119p-11, -0x1.7fb0cb2d50c1ep-11, -0x1.732e309bfa229p-11, -0x1.671481c24d022p-11, -0x1.5b601ea5f57b6p-11, -0x1.500d8509f41cdp-11, -0x1.45194fa2a43f6p-11, -0x1.3a80354da1283p-11, -0x1.303f084dbedefp-11, -0x1.2652b58b18c1bp-11, -0x1.1cb843d7817d9p-11, -0x1.136cd33731126p-11, -0x1.0a6d9c2ba2a2ep-11, -0x1.01b7ef040708dp-11, -0x1.f2926662addb1p-12, -0x1.e23dcd3b2d79fp-12, -0x1.d26d3a0e27eb9p-12, -0x1.c31bfec09e9cp-12, -0x1.b445966461133p-12, -0x1.a5e5a402f035p-12, -0x1.97f7f172872e8p-12, -0x1.8a786e3008d7p-12, -0x1.7d632e4008f85p-12, -0x1.70b46916ec173p-12, -0x1.646878889a7c3p-12, -0x1.587bd7bcd16d9p-12, -0x1.4ceb2229a7eecp-12, -0x1.41b31296462dp-12, -0x1.36d08222ce626p-12, -0x1.2c406755f2955p-12, -0x1.21ffd5317f84cp-12, -0x1.180bfa4cfb1eep-12, -0x1.0e621ff5003dbp-12, -0x1.04ffa94faa85bp-12, -0x1.f7c4250f179ccp-13, -0x1.e60ddffb4ec2dp-13, -0x1.d4d7dafaff7eap-13, -0x1.c41d9af13b0b6p-13, -0x1.b3dad09047246p-13, -0x1.a40b56e221309p-13, -0x1.94ab31dcd2f27p-13, -0x1.85b68cff69962p-13, -0x1.7729b9fc34106p-13, -0x1.69012f689c568p-13, -0x1.5b398776f853bp-13, -0x1.4dcf7ebbd7b7dp-13, -0x1.40bff2f92f467p-13, -0x1.3407e1f402185p-13, -0x1.27a4684fa4cecp-13, -0x1.1b92c072dacb8p-13, -0x1.0fd0417818e32p-13, -0x1.045a5e20f0022p-13, -0x1.f25d47a549caep-14, -0x1.dc95733c99901p-14, -0x1.c758be9474116p-14, -0x1.b2a2d8ce3033dp-14, -0x1.9e6f9ecf22fd9p-14, -0x1.8abb1986a7a7p-14, -0x1.77817c40c7fe6p-14, -0x1.64bf22ff802b4p-14, -0x1.527090e6a1c59p-14, -0x1.40926eb66068dp-14, -0x1.2f21894aa2bffp-14, -0x1.1e1ad02daf267p-14, -0x1.0d7b542c1a341p-14, -0x1.fa808c0204088p-15, -0x1.dacdea0fd5483p-15, -0x1.bbd99beaddf54p-15, -0x1.9d9eb33feec88p-15, -0x1.801877a92be58p-15, -0x1.6342645a0e777p-15, -0x1.471825f791948p-15, -0x1.2b9598625b619p-15, -0x1.10b6c4b1e8e1ap-15, -0x1.ecefbe74b6c49p-16, -0x1.b9aa8b3522e4p-16, -0x1.8796f9bf34405p-16, -0x1.56ae5f8aa4f96p-16, -0x1.26ea59e313251p-16, -0x1.f089954a870eap-17, -0x1.956faa02f1dc5p-17, -0x1.3c7bb4b11f054p-17, -0x1.cb45dd472a5b7p-18, -0x1.21b604056538bp-18, -0x1.f0d021663ad1fp-20, 0x1.2a98f89561e64p-21, 0x1.85e37354955f7p-19, 0x1.5cb957050628bp-18, 0x1.f2bad82a2b665p-18, 0x1.42833c58873a2p-17, 0x1.89d5ebcfc8cbp-17, 0x1.cf5cffb5f13d1p-17, 0x1.098fdb8ba247cp-16, 0x1.2a92875895a24p-16, 0x1.4ab9e2433d4cdp-16, 0x1.6a092dba4dc72p-16, 0x1.88838f4545cbep-16, 0x1.a62c12266279fp-16, 0x1.c305a8e8b88bcp-16, 0x1.df132edac351dp-16, 0x1.fa57696c54242p-16, 0x1.0a6a84c931ea1p-15, 0x1.17475687bc7ebp-15, 0x1.23c36fd266784p-15, 0x1.2fe00e22ef99p-15, 0x1.3b9e6717aafd2p-15, 0x1.46ffa8fb5b251p-15, 0x1.5204fb4b22909p-15, 0x1.5caf7f2cea694p-15, 0x1.67004fe371a87p-15, 0x1.70f8833bf3204p-15, 0x1.7a9929fac597p-15, 0x1.83e350391cb88p-15, 0x1.8cd7fdc3ca31dp-15, 0x1.95783679104a8p-15, 0x1.9dc4fa914db87p-15, 0x1.a5bf46f8ce1fbp-15, 0x1.ad6815953b0a4p-15, 0x1.b4c05d8ca4002p-15, 0x1.bbc91382c295dp-15, 0x1.c28329db36a7cp-15, 0x1.c8ef90f22689fp-15, 0x1.cf0f374be54d6p-15, 0x1.d4e309ce1fceep-15, 0x1.da6bf3ed67a24p-15, 0x1.dfaadfd25bc17p-15, 0x1.e4a0b68929592p-15, 0x1.e94e602277a4p-15, 0x1.edb4c3d824273p-15, 0x1.f1d4c826d7a6cp-15, 0x1.f5af52f0dba27p-15, 0x1.f9454995788e5p-15, 0x1.fc9791051423fp-15, 0x1.ffa70ddab2e1ep-15, 0x1.013a52376f5b6p-14, 0x1.02809c73160c4p-14, 0x1.03a6d7a067be1p-14, 0x1.04ad75b439aap-14, 0x1.0594e89dd12d5p-14, 0x1.065da24a1b3a1p-14, 0x1.070814a8e6165p-14, 0x1.0794b1af8c1b9p-14, 0x1.0803eb5b38db7p-14, 0x1.085633b1c260bp-14, 0x1.088bfcc3b4dcdp-14, 0x1.08a5b8ad49d0cp-14, 0x1.08a3d9941ddc1p-14, 0x1.0886d1a8520d1p-14, 0x1.084f132227918p-14, 0x1.07fd104173051p-14, 0x1.07913b4975f47p-14, 0x1.070c067fbc4abp-14, 0x1.066de4289c76p-14, 0x1.05b746845cbe1p-14, 0x1.04e89fc9d014dp-14, 0x1.0402622437db4p-14, 0x1.0304ffae63a95p-14, 0x1.01f0ea6d6b7c9p-14, 0x1.00c6944c708c9p-14, 0x1.ff0cde2ee3312p-15, 0x1.fc61d8ecf3469p-15, 0x1.f98cfbce78d7cp-15, 0x1.f68f296ff5e3ep-15, 0x1.f3694403ac796p-15, 0x1.f01c2d47136efp-15, 0x1.eca8c67464647p-15, 0x1.e90ff037bc2dap-15, 0x1.e5528aa4d1797p-15, 0x1.e1717527d1905p-15, 0x1.dd6d8e796eecdp-15, 0x1.d947b492f0307p-15, 0x1.d500c4a2297a9p-15, 0x1.d0999afd65e51p-15, 0x1.cc131313bfac4p-15, 0x1.c76e076384232p-15, 0x1.c2ab516c86c86p-15, 0x1.bdcbc9a5702aap-15, 0x1.b8d0476be22f1p-15, 0x1.b3b9a0fbfcf8ep-15, 0x1.ae88ab6347dfbp-15, 0x1.a93e3a731ca7bp-15, 0x1.a3db20b546385p-15, 0x1.9e602f610dedcp-15, 0x1.98ce3651a832dp-15, 0x1.932603f7d0331p-15, 0x1.8d68654f70d15p-15, 0x1.879625d54f6c2p-15, 0x1.81b00f7c7cfcp-15, 0x1.7bb6eaa4264ffp-15, 0x1.75ab7e0b7aa84p-15, 0x1.6f8e8ecb1b543p-15, 0x1.6960e048f5546p-15, 0x1.6323342ef09bfp-15, 0x1.5cd64a614d884p-15, 0x1.567ae0f6cb8dbp-15, 0x1.5011b43179f24p-15, 0x1.499b7e73c6909p-15, 0x1.4318f8393a659p-15, 0x1.3c8ad80e96defp-15, 0x1.35f1d28a3bf1p-15, 0x1.2f4e9a45d2cabp-15, 0x1.28a1dfd5fb73ap-15, 0x1.21ec51c4e0f81p-15, 0x1.1b2e9c8bf6208p-15, 0x1.14696a8bf92bcp-15, 0x1.0d9d64088e44dp-15, 0x1.06cb2f2171e1p-15, 0x1.ffe6dfa1613fcp-16, 0x1.f22d8fc466dp-16, 0x1.e46bade22ce96p-16, 0x1.d6a274c356766p-16, 0x1.c8d31abc6e23bp-16, 0x1.bafed1a5acdabp-16, 0x1.ad26c6d77a143p-16, 0x1.9f4c231e1eeddp-16, 0x1.91700ab96b5f1p-16, 0x1.83939d53b96cfp-16, 0x1.75b7f5fcdb67bp-16, 0x1.67de2b268305fp-16, 0x1.5a074ea17d10ap-16, 0x1.4c346d9bf4cb4p-16, 0x1.3e66909b4fa74p-16, 0x1.309ebb7bc357cp-16, 0x1.22dded6d95183p-16, 0x1.152520f26f49dp-16, 0x1.07754be00dff9p-16, 0x1.f39ebebe9f86p-17, 0x1.d8688fd3c4c43p-17, 0x1.bd49da9b17b1ep-17, 0x1.a24465571a774p-17, 0x1.8759ecf1d1375p-17, 0x1.6c8c25038c178p-17, 0x1.51dcb7d994744p-17, 0x1.374d467d3df52p-17, 0x1.1cdf68b3da27dp-17, 0x1.0294ad0a7d15cp-17, 0x1.d0dd31b47e6aep-18, 0x1.9cdd50a1be44ep-18, 0x1.692c9cf60883ep-18, 0x1.35cdeaa9fb394p-18, 0x1.02c3fb975afeap-18, 0x1.a022ff3075bf1p-19, 0x1.3b72294315ad3p-19, 0x1.aef51b4e969dcp-20, 0x1.d10484a891a11p-21, 0x1.1cab56b8437cep-23, -0x1.3f901b657dd77p-21, -0x1.618d0f59b908dp-20, -0x1.10d8639986042p-19, -0x1.701553614c3d8p-19, -0x1.ce7931cf38bbp-19, -0x1.15fffdb32e3e7p-18, -0x1.4452e70cd63cep-18, -0x1.723374789598dp-18, -0x1.9f9fd5f60fa0cp-18, -0x1.cc964bc6fb11dp-18, -0x1.f9152654c9367p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      30, 0x1.cp+1, 0x1.bfb7a0756786cp+1, 0x1.c69223a4009b5p+1, -0x1.507c9b5d07048p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, -0x1.2bb4837750841p-7, -0x1.c97124664bb1ap-4, 0x1.9002569411df1p-3, -0x1.81772d1df2889p-5}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, -0x1.d2dfd1046fdc7p-7, -0x1.7ae2b8b16f1c4p-4, 0x1.818dde7c8bf9ep-3, -0x1.cf30ee4180555p-5}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, -0x1.2d9e7599e300cp-6, -0x1.2f8302d96908ep-4, 0x1.702f3bf3b0c38p-3, -0x1.08a2ce8a74d13p-4}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, -0x1.631707c361551p-6, -0x1.cfb82174b384ap-5, 0x1.5c563942e800cp-3, -0x1.2b3d20b5a0817p-4}, 
        {0x1.199999999999ap+1, 0x1.2p+1, -0x1.8aa50fbd6b44cp-6, -0x1.48df84a457d78p-5, 0x1.45e4d6cee25d4p-3, -0x1.4d6a11030d595p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, -0x1.a52e5044b9a4ep-6, -0x1.970896448cea8p-6, 0x1.2ce348bb74902p-3, -0x1.6fbc8e05f3567p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.b3b2de1405c6ap-6, -0x1.62b5f3e2a6423p-7, 0x1.114ebe149be9dp-3, -0x1.91e63a10ba071p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.b74d1fe40977ap-6, 0x1.d3bd4b324067dp-10, 0x1.e6548d0d1bec1p-4, -0x1.b48d9d4683593p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.b131ce6b7f012p-6, 0x1.a556a548b2a98p-7, 0x1.a4d8e8a8ee9e9p-4, -0x1.d566f4c85f6b1p-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.a2aff45f2128dp-6, 0x1.6ced13e1e91eap-6, 0x1.5e6fdd8ae04e5p-4, -0x1.fcfac3eef5508p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.8d30ee71ab30fp-6, 0x1.e9d4dc61a7005p-6, 0x1.12170cf3d51c2p-4, -0x1.f7a5513c7bad2p-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.7235e270a6678p-6, 0x1.242dd73e201b4p-5, 0x1.8d161b2251eb4p-5, -0x1.c566a98b49f27p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.533bdd813f5d4p-6, 0x1.451631034edecp-5, 0x1.0510e8455554fp-5, -0x1.99e252efb193bp-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.319ff25d1b1bap-6, 0x1.590b86fef74c9p-5, 0x1.14339ec7a6857p-6, -0x1.6c907e026a16dp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.0e9cb06f24b3bp-6, 0x1.6162fb1ff3cb5p-5, 0x1.cbb432fe6a19cp-9, -0x1.3fba5146417b5p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d69447a71a807p-7, 0x1.5f76c09fd93c2p-5, -0x1.0cbf54c7e73f4p-7, -0x1.12c302174f7ccp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.913baaaf97c6cp-7, 0x1.549faf1d0fb3bp-5, -0x1.2b3b120b89b6bp-6, -0x1.cba92904c79aep-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.4ed594f53b912p-7, 0x1.4236fb57f7f57p-5, -0x1.b52104c02bff8p-6, -0x1.71c785f04ed04p-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.10c30ad80c48bp-7, 0x1.2995c1243cd92p-5, -0x1.120809aa88385p-5, -0x1.17e73f524e397p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.b040143538c9fp-8, 0x1.0c1522e6683d1p-5, -0x1.3c04532a13f47p-5, -0x1.7c0c9d8a251edp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.4b8713c414e37p-8, 0x1.d61c83587b919p-6, -0x1.588545613d237p-5, -0x1.909aa5f9183p-7}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.e8fdead804274p-9, 0x1.8fb47a9b75f8dp-6, -0x1.678b1200fad86p-5, -0x1.4850219f7d839p-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.57831a02db674p-9, 0x1.47a477a17857ap-6, -0x1.69150bc2ed6fp-5, 0x1.3e439803231cp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.c57a84777503fp-10, 0x1.009e9772d0fdp-6, -0x1.5d25b60f9c1ep-5, 0x1.53459ee45405dp-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.136fac7fb96p-10, 0x1.7aab4d9374259p-7, -0x1.43b3b08b4903dp-5, 0x1.02cb70b890626p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.29a8b95ab5dep-11, 0x1.00f3c5385108bp-7, -0x1.1ce1f93c668edp-5, 0x1.5f5ab04755c83p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.0dbc428e44ec1p-12, 0x1.33145cfce9a6bp-8, -0x1.d05bf0c9ccfb9p-6, 0x1.af38bedf9aa33p-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.6de0f19f452p-14, 0x1.266b1a7d7510fp-9, -0x1.4efe1ded1e96bp-6, 0x1.173a7984b6b62p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.25da771f36c2fp-16, 0x1.75c19d92ee982p-11, -0x1.4ee943a161edbp-7, 0x1.9eb3c48d65785p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.25da771f36bbep-20, 0x1.27a4cf9a7b4bp-14, -0x1.585c039894299p-9, 0x1.37776e959f27ep-4}, 
      }}, 
      -0x1.44cf94802afe1p+0, 0x1.06795fc7c8388p+3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.70d47b8f0e9c3p-13, -0x1.6ebcec7d41aa1p-11, -0x1.9901236f857fdp-10, -0x1.677c3d623e188p-9, -0x1.1518a1fce81a8p-8, -0x1.88f43e47a6d9ep-8, -0x1.06f076c08f676p-7, -0x1.5132aab7c2b7fp-7, -0x1.a28363d98e3e7p-7, -0x1.fa27a4e204e5ap-7, -0x1.2bb47f7976dfep-6, -0x1.5ccb9e51f63dfp-6, -0x1.9004d199324bap-6, -0x1.c50fe7659e885p-6, -0x1.fba11917e25c3p-6, -0x1.19b8957cab82ep-5, -0x1.361eb7031a2aep-5, -0x1.52e3d9ad48796p-5, -0x1.6feb186a42663p-5, -0x1.8d19ae5466559p-5, -0x1.aa56e115d1607p-5, -0x1.c78be8d21f74dp-5, -0x1.e4a3d69a9bfd4p-5, -0x1.00c5bd483a787p-4, -0x1.0f18a560e2a48p-4, -0x1.1d42a59d8a39fp-4, -0x1.2b3c7b72a1dbcp-4, -0x1.38ff943058d89p-4, -0x1.46860122fa71ep-4, -0x1.53ca6cffe0befp-4, -0x1.60c81094192a8p-4, -0x1.6d7aa9691297ep-4, -0x1.79de7096a19fp-4, -0x1.85f011cb22fcp-4, -0x1.91aca125ed20fp-4, -0x1.9d1195f70d14bp-4, -0x1.a81cc0290697fp-4, -0x1.b2cc407595885p-4, -0x1.bd1e867eabd06p-4, -0x1.c712434b0d637p-4, -0x1.d0a66f0180732p-4, -0x1.d9da3f891c89fp-4, -0x1.e2ad270395421p-4, -0x1.eb1ed86d7a2bap-4, -0x1.f32f441417c14p-4, -0x1.fade9b1b3411fp-4, -0x1.0116a7ab43688p-3, -0x1.048e0924d125ep-3, -0x1.07d5e96dbd3ep-3, -0x1.0aeedcaa8240fp-3, -0x1.0dd9910438199p-3, -0x1.1096cbca49633p-3, -0x1.1327664b40518p-3, -0x1.158c4b3c7381ep-3, -0x1.17c673cf91805p-3, -0x1.19d6e5b5163cdp-3, -0x1.1bbeb0e765ff4p-3, -0x1.1d7eee0040112p-3, -0x1.1f18bc850cc3p-3, -0x1.208d41fbb5d7ep-3, -0x1.21dda7f4ec362p-3, -0x1.230b1bc25822bp-3, -0x1.2416cc4c0bd53p-3, -0x1.2501eb265609ap-3, -0x1.25cda968c2dedp-3, -0x1.267b37b0e0cd7p-3, -0x1.270bc654419c7p-3, -0x1.27808304bb96fp-3, -0x1.27da99da8202cp-3, -0x1.281b339de91dcp-3, -0x1.28437536fd04cp-3, -0x1.28547fc512f0ep-3, -0x1.284f6fb0a622ap-3, -0x1.28355c74295b4p-3, -0x1.280757e184ca6p-3, -0x1.27c66e8e697f1p-3, -0x1.2773a694f9a36p-3, -0x1.270fffa2a5acdp-3, -0x1.269c730b88f59p-3, -0x1.2619f32e340f2p-3, -0x1.25896b7794dfbp-3, -0x1.24ebc00e37122p-3, -0x1.2441cddf39179p-3, -0x1.238c6a5ed402fp-3, -0x1.22cc63a8d67b1p-3, -0x1.22028035d33cep-3, -0x1.212f7ed765d9bp-3, -0x1.2054170b4f96p-3, -0x1.1f70f8b4190bfp-3, -0x1.1e86cbc83734p-3, -0x1.1d96313cf485ep-3, -0x1.1c9fc264b5c32p-3, -0x1.1ba4113ee065fp-3, -0x1.1aa3a88fadd78p-3, -0x1.199f0bf9a4dc4p-3, -0x1.1896b809832efp-3, -0x1.178b2278c0fa8p-3, -0x1.167cba17a4f2p-3, -0x1.156be759bb9f8p-3, -0x1.14590bea5388ep-3, -0x1.134483496d57fp-3, -0x1.122ea2cc5e948p-3, -0x1.1117b9cbb4d2fp-3, -0x1.10001190971ap-3, -0x1.0ee7ee6905984p-3, -0x1.0dcf8ed94e90bp-3, -0x1.0cb72bceb1289p-3, -0x1.0b9ef9afde56p-3, -0x1.0a8727c4a7cbfp-3, -0x1.096fe099a4a55p-3, -0x1.08594a369920dp-3, -0x1.0743864984227p-3, -0x1.062eb256a2dbfp-3, -0x1.051ae7e8fb0b1p-3, -0x1.04083cbf92a1ap-3, -0x1.02f6c306b4389p-3, -0x1.01e689827de6ep-3, -0x1.00d79bc218b6dp-3, -0x1.ff940487a3a51p-4, -0x1.fd7b854abb04p-4, -0x1.fb65bf9ca1cc7p-4, -0x1.f952b426c90cp-4, -0x1.f7425ec232456p-4, -0x1.f534b6c3695c7p-4, -0x1.f329af4566ca6p-4, -0x1.f121377e07ee8p-4, -0x1.ef1b3a89218dep-4, -0x1.ed17a13d11e7ap-4, -0x1.eb1650b619cd1p-4, -0x1.e9172ad69ced5p-4, -0x1.e71a0fc9a89a8p-4, -0x1.e51edd48f84bap-4, -0x1.e3256ef9ec51fp-4, -0x1.e12d9ecab555bp-4, -0x1.df374525a62dep-4, -0x1.dd4239264652bp-4, -0x1.db4e50cd86a5bp-4, -0x1.d95b6130a81d1p-4, -0x1.d7693ea901d9ap-4, -0x1.d577bd01d724p-4, -0x1.d386afa2a6eefp-4, -0x1.d195e9bd59ca2p-4, -0x1.cfa53e63d08d8p-4, -0x1.cdb480c2fda0fp-4, -0x1.cbc3841142d46p-4, -0x1.c9d21c5b0c59cp-4, -0x1.c7e01dabce56p-4, -0x1.c5ed5ccc1aa07p-4, -0x1.c3f9af512350ep-4, -0x1.c204eb6ccdf56p-4, -0x1.c00ee859c1866p-4, -0x1.be177e565ce49p-4, -0x1.bc1e8696caabep-4, -0x1.ba23db8f9d099p-4, -0x1.b82758d823302p-4, -0x1.b628db4570591p-4, -0x1.b4284109ff364p-4, -0x1.b22569bf2be83p-4, -0x1.b0203612c468p-4, -0x1.ae188882112e9p-4, -0x1.ac0e45158bd96p-4, -0x1.aa015102c46d5p-4, -0x1.a7f192c964c2ap-4, -0x1.a5def2f8b075dp-4, -0x1.a3c95b6d9d091p-4, -0x1.a1b0b7864fb6ep-4, -0x1.9f94f433939f6p-4, -0x1.9d760007135cfp-4, -0x1.9b53cae152fbcp-4, -0x1.992e468573393p-4, -0x1.97056604d6183p-4, -0x1.94d91e0c04e39p-4, -0x1.92a964c971ddbp-4, -0x1.907631f0ac394p-4, -0x1.8e3f7eb1aa1cfp-4, -0x1.8c0545b0d8369p-4, -0x1.89c7830d062d8p-4, -0x1.8786344f4673cp-4, -0x1.8541586a9c787p-4, -0x1.82f8efb497354p-4, -0x1.80acfbdbe1121p-4, -0x1.7e5d7fe954719p-4, -0x1.7c0a802bb51e4p-4, -0x1.79b4023bcb3f6p-4, -0x1.775a0cef52045p-4, -0x1.74fca8519a773p-4, -0x1.729bdd9bc4943p-4, -0x1.7037b72c87703p-4, -0x1.6dd0407f0eb14p-4, -0x1.6b6586248ccefp-4, -0x1.68f795b78727dp-4, -0x1.66867dd58c7f2p-4, -0x1.64124e17c258ep-4, -0x1.619b170761c17p-4, -0x1.5f20ea159d2f6p-4, -0x1.5ca3d993078e3p-4, -0x1.5a23f8a6bfa58p-4, -0x1.57a15b4346f38p-4, -0x1.551c16251df68p-4, -0x1.52943ebbc1f53p-4, -0x1.5009eb2ee6b4bp-4, -0x1.4d7d32521ccd8p-4, -0x1.4aee2b9a031f9p-4, -0x1.485ceeddf558bp-4, -0x1.45c994d3e9b21p-4, -0x1.433436d42b5c2p-4, -0x1.409cee4a8062bp-4, -0x1.3e03d518d2c6cp-4, -0x1.3b6905ec872dp-4, -0x1.38cc9ba58c939p-4, -0x1.362eb17c8db48p-4, -0x1.338f63043eecp-4, -0x1.30eecc1b29bdcp-4, -0x1.2e4d08e4765abp-4, -0x1.2baa35bffe8cp-4, -0x1.29066f42e0831p-4, -0x1.2661d2305753dp-4, -0x1.23bc7b725baa6p-4, -0x1.211688122a4aap-4, -0x1.1e701530cde78p-4, -0x1.1bc9400051554p-4, -0x1.192225bda2b69p-4, -0x1.167ae3aa72f77p-4, -0x1.13d3970724f0bp-4, -0x1.112c5d0baf61cp-4, -0x1.0e8552e0c5769p-4, -0x1.0bde95996a162p-4, -0x1.0938422df98d3p-4, -0x1.069275785ed22p-4, -0x1.03ed4c2e55b0cp-4, -0x1.0148e2e09eb8cp-4, -0x1.fd4aabd71d9c2p-5, -0x1.f80582f1a0ed2p-5, -0x1.f2c282ea81a89p-5, -0x1.ed81e31c32875p-5, -0x1.e843da5e583cap-5, -0x1.e3089f0408dc3p-5, -0x1.ddd066da2f239p-5, -0x1.d89b671737476p-5, -0x1.d369d44ff575bp-5, -0x1.ce3be26de1a26p-5, -0x1.c911c48b1ada3p-5, -0x1.c3ebacf7825c4p-5, -0x1.bec9cd4520873p-5, -0x1.b9ac56551b16p-5, -0x1.b493786a40e7dp-5, -0x1.af7f63251dd61p-5, -0x1.aa7045665eeffp-5, -0x1.a5664d1eae724p-5, -0x1.a061a72254279p-5, -0x1.9b627f190f98p-5, -0x1.9668ff9dfb83cp-5, -0x1.9175528210a9p-5, -0x1.8c87a113b3cep-5, -0x1.87a014411dcf9p-5, -0x1.82bed4734411cp-5, -0x1.7de4092826e15p-5, -0x1.790fd8732e6ddp-5, -0x1.744266a3ba8ebp-5, -0x1.6f7bd64c09b8bp-5, -0x1.6abc48b97772ap-5, -0x1.6603deb5e9c34p-5, -0x1.6152b928aa2abp-5, -0x1.5ca8f91c80e08p-5, -0x1.5806c02362fecp-5, -0x1.536c2ee22606cp-5, -0x1.4ed96317667f1p-5, -0x1.4a4e7823bbaap-5, -0x1.45cb86ab3448ep-5, -0x1.4150a5411289cp-5, -0x1.3cddea2acc238p-5, -0x1.38736ceae7094p-5, -0x1.341146ffb3d3p-5, -0x1.2fb7936f828e1p-5, -0x1.2b666d0efe558p-5, -0x1.271dec45095a4p-5, -0x1.22de2529c14ebp-5, -0x1.1ea726eb1543bp-5, -0x1.1a78fcdb94982p-5, -0x1.1653b0e2d8f68p-5, -0x1.12374e6d8bf4fp-5, -0x1.0e23e4b0b3cdcp-5, -0x1.0a19873db94b3p-5, -0x1.06184c7b8ed03p-5, -0x1.02204a7a340f5p-5, -0x1.fc6326a23560bp-6, -0x1.f4986502fa8d8p-6, -0x1.ece058c60ae61p-6, -0x1.e53affaefc6e8p-6, -0x1.dda85372a47f9p-6, -0x1.d62851d3c8d2bp-6, -0x1.cebb03a7f082p-6, -0x1.c7607fc5d671fp-6, -0x1.c018e8ff7bd32p-6, -0x1.b8e4667c18207p-6, -0x1.b1c319ff3f112p-6, -0x1.aab5177791f08p-6, -0x1.a3ba60a8e1253p-6, -0x1.9cd2e57fbdb2dp-6, -0x1.95fe885bb22c3p-6, -0x1.8f3d25e989f4ep-6, -0x1.888ea0249d838p-6, -0x1.81f2ea0c946c4p-6, -0x1.7b6a0edc73adp-6, -0x1.74f42fde8ded9p-6, -0x1.6e91787ed2d2fp-6, -0x1.68420e7459e93p-6, -0x1.620605124e082p-6, -0x1.5bdd56a63f84dp-6, -0x1.55c7e21fc44cbp-6, -0x1.4fc56c2c1441cp-6, -0x1.49d5a7a8d5491p-6, -0x1.43f849b2c28b5p-6, -0x1.3e2d248b7788ep-6, -0x1.38743a6e3c525p-6, -0x1.32cdb998c3fbep-6, -0x1.2d39e187221d1p-6, -0x1.27b8e288b29e8p-6, -0x1.224acb6d7a07ap-6, -0x1.1cef89b6dc3e9p-6, -0x1.17a6f0018dab9p-6, -0x1.1270b72a9901dp-6, -0x1.0d4c7f711d88ap-6, -0x1.0839e17c01964p-6, -0x1.0338923c4c661p-6, -0x1.fc9109480684ap-7, -0x1.f2d3d2608e59fp-7, -0x1.e93a0a4b68b49p-7, -0x1.dfc3f73946afp-7, -0x1.d671661225abp-7, -0x1.cd41d33e2f2e1p-7, -0x1.c434c3c915e13p-7, -0x1.bb49f8461edc8p-7, -0x1.b2814de68fbaep-7, -0x1.a9da7c17c8c4cp-7, -0x1.a155046a7589cp-7, -0x1.98f06a4e39ba7p-7, -0x1.90ac7023bdc75p-7, -0x1.888914651d413p-7, -0x1.80864c53dc6dcp-7, -0x1.78a3b08646a93p-7, -0x1.70e070ef5b31fp-7, -0x1.693bae47c21d4p-7, -0x1.61b50ec2e332dp-7, -0x1.5a4d14523e2a6p-7, -0x1.5304c31003168p-7, -0x1.4bdcce6ec3992p-7, -0x1.44d50c20db7dap-7, -0x1.3dec89a27a7e7p-7, -0x1.3721f12f2181cp-7, -0x1.3073f245c71fdp-7, -0x1.29e1a6a98fffap-7, -0x1.236ab5f6ee70cp-7, -0x1.1d0efd827dd0fp-7, -0x1.16ce270310f0ap-7, -0x1.10a7e44532fb4p-7, -0x1.0a9ca5fbe572ep-7, -0x1.04adb50690818p-7, -0x1.fdb886ce4e705p-8, -0x1.f250df9ef89e6p-8, -0x1.e7225b057b97dp-8, -0x1.dc29728aff2cdp-8, -0x1.d161baaf396b6p-8, -0x1.c6c7024cf00bap-8, -0x1.bc57fe3d4bf6ap-8, -0x1.b21745443a041p-8, -0x1.a8083d1204f65p-8, -0x1.9e2be79243c3bp-8, -0x1.94818efe96d93p-8, -0x1.8b08c0c198585p-8, -0x1.81c106d436a33p-8, -0x1.78a91131eb882p-8, -0x1.6fbf286658281p-8, -0x1.6701d44bb6295p-8, -0x1.5e6fe9f6bca99p-8, -0x1.56073b3a1ab69p-8, -0x1.4dc35a91de8b8p-8, -0x1.45a1c95618227p-8, -0x1.3da740cc16c54p-8, -0x1.35db3c940ca02p-8, -0x1.2e40514b9d62p-8, -0x1.26d52d9913798p-8, -0x1.1f97ce807add4p-8, -0x1.18837b00d0a5p-8, -0x1.119117304e656p-8, -0x1.0abc501c27efcp-8, -0x1.0405d9432f17ap-8, -0x1.fae0ee4ce5d4ep-9, -0x1.edfc8f4dbf1ccp-9, -0x1.e15e5336fd762p-9, -0x1.d4fcf973b6852p-9, -0x1.c8d38ee28380bp-9, -0x1.bcf245f75657dp-9, -0x1.b168e0f4c3e63p-9, -0x1.a634786af7fafp-9, -0x1.9b509e71ae7a6p-9, -0x1.90ba28c96537ap-9, -0x1.866250b662ef1p-9, -0x1.7c35ff230381bp-9, -0x1.722c6aa8dbfc5p-9, -0x1.684aabf1241f6p-9, -0x1.5e9ba9036b65cp-9, -0x1.55251a2e2e888p-9, -0x1.4be7bd9894c55p-9, -0x1.42e24223bcdc3p-9, -0x1.3a0d9673aea66p-9, -0x1.316f34adde30bp-9, -0x1.29170707b9f84p-9, -0x1.20fdb670a0ccbp-9, -0x1.191ba5b1a0f28p-9, -0x1.1176e6c043d48p-9, -0x1.0a0a4839eaaacp-9, -0x1.02c8357996031p-9, -0x1.f74ac1f1d6ac6p-10, -0x1.e939633a66b5p-10, -0x1.db652197ab7ccp-10, -0x1.cde22f05158b1p-10, -0x1.c0b69e1d92e23p-10, -0x1.b3d8c252a052ap-10, -0x1.a75252f4180bfp-10, -0x1.9b3082fe0b3eep-10, -0x1.8f69aad111cf2p-10, -0x1.83fdf994f24e2p-10, -0x1.78d09a0b2f0ccp-10, -0x1.6de4bba58c18ap-10, -0x1.6351e0c1d2d5dp-10, -0x1.5911d17db7ca8p-10, -0x1.4f1f045007f82p-10, -0x1.4571cbadea5dcp-10, -0x1.3bf8bd3da1641p-10, -0x1.32a74cb5c6bc5p-10, -0x1.298495b99cb43p-10, -0x1.209fa4533ecb9p-10, -0x1.17f6058601c21p-10, -0x1.0f7d9de096c9fp-10, -0x1.0752b43c378eap-10, -0x1.ff10f9eef77f2p-11, -0x1.efe36680b9f95p-11, -0x1.e0f4181e809c4p-11, -0x1.d23cf3e360ee9p-11, -0x1.c3fdc0311c3bbp-11, -0x1.b628daf826e51p-11, -0x1.a8b72af6c2277p-11, -0x1.9bbdf5e5be7e6p-11, -0x1.8f4745776bdap-11, -0x1.833965e0543d7p-11, -0x1.77647a3fefaadp-11, -0x1.6bbd5942b21f3p-11, -0x1.606395fb8b51cp-11, -0x1.555eab46abe6fp-11, -0x1.4aa2d99f3e0d9p-11, -0x1.4046ebbdd6b31p-11, -0x1.366f52f42feb7p-11, -0x1.2ceecec674e68p-11, -0x1.237de8087bd18p-11, -0x1.1a2effa1882a2p-11, -0x1.113deabc1a9f6p-11, -0x1.088cfd20dcc7ep-11, -0x1.000f5c0482259p-11, -0x1.efa0005bcb1e3p-12, -0x1.dfbba56a0ab69p-12, -0x1.d092d43d76a8bp-12, -0x1.c21b2eb38d37ap-12, -0x1.b3f458ceaa8fap-12, -0x1.a5f806fc128aep-12, -0x1.9863c8c491adp-12, -0x1.8b27ed120e6ap-12, -0x1.7e6b8a78d6aa6p-12, -0x1.723e220e7c1b5p-12, -0x1.666aa346d0159p-12, -0x1.5b11648099eb5p-12, -0x1.4fd0285407f88p-12, -0x1.44cf6bc2874a9p-12, -0x1.3a53baae45b4bp-12, -0x1.301af6ab5bbc1p-12, -0x1.26260bf155122p-12, -0x1.1c7a94521f117p-12, -0x1.1318b70cd176cp-12, -0x1.0a0645c39773fp-12, -0x1.0158428585faap-12, -0x1.f24734bf185f7p-13, -0x1.e26373d533f91p-13, -0x1.d2b77b683b5bep-13, -0x1.c3690ef398939p-13, -0x1.b48270c30fc65p-13, -0x1.a67fa2d09f3fp-13, -0x1.98f0ba6a9826ap-13, -0x1.8b8c9babf545ep-13, -0x1.7ebe4622e01c4p-13, -0x1.72216d71fb2ccp-13, -0x1.6612898de4403p-13, -0x1.5a70021603b62p-13, -0x1.4f1c1b4d7f6ddp-13, -0x1.4425018458a7bp-13, -0x1.3989493f614fap-13, -0x1.2f43fd176a186p-13, -0x1.254f8ecf97807p-13, -0x1.1ba664715152cp-13, -0x1.124cb8325a36bp-13, -0x1.09718767bfce7p-13, -0x1.011530b9b146p-13, -0x1.f19ee30417726p-14, -0x1.e12b68172cef4p-14, -0x1.d1b6dc57a4236p-14, -0x1.c2f7317fee45ap-14, -0x1.b4769a2366a5p-14, -0x1.a63339e799c46p-14, -0x1.98922fae61068p-14, -0x1.8b5dde62eb2bep-14, -0x1.7eb5b8df13932p-14, -0x1.725f6640b67e2p-14, -0x1.6670d290cadccp-14, -0x1.5ae985737ba82p-14, -0x1.4fc4544e6d722p-14, -0x1.44fd110ec866p-14, -0x1.3a8fbeb8bf787p-14, -0x1.30776116c0cd5p-14, -0x1.26aafd093b731p-14, -0x1.1d1dcb5f4e934p-14, -0x1.13dfe8c65ee91p-14, -0x1.0b4e37163c576p-14, -0x1.02d323b7b6188p-14, -0x1.f4dbfe8b56b02p-15, -0x1.e535acaa2a49bp-15, -0x1.d5d7f5d2a9a73p-15, -0x1.c6c90cff9a30bp-15, -0x1.b81216b916794p-15, -0x1.aa004df03f6e3p-15, -0x1.9c7235a76de5fp-15, -0x1.8f3493916c0cdp-15, -0x1.825fbf9bdee7fp-15, -0x1.75f1a17e2bf0fp-15, -0x1.69e5340a0fe5bp-15, -0x1.5e3644cb84f93p-15, -0x1.52e1215447e51p-15, -0x1.47e23da952391p-15, -0x1.3d3634ed85652p-15, -0x1.32d9d0e214fdep-15, -0x1.28c8683cd004p-15, -0x1.1efa770e6cf94p-15, -0x1.15636fd85d75ap-15, -0x1.0c177f5c18d2bp-15, -0x1.034230a8eaa04p-15, -0x1.f4f9dce596883p-16, -0x1.e444ef025d31ap-16, -0x1.d3c3612212dc3p-16, -0x1.c38f707d693dcp-16, -0x1.b3d7780330cb1p-16, -0x1.a4a6bf851ab16p-16, -0x1.95c3574597e5ap-16, -0x1.874228ea3d1b9p-16, -0x1.791f7adb1bdaap-16, -0x1.6b56b9d53b2b2p-16, -0x1.5de41d1b006e2p-16, -0x1.50c45eb354a8ap-16, -0x1.43f48ab4b4dcep-16, -0x1.3771b883d3212p-16, -0x1.2b38e3384129cp-16, -0x1.1f4732d33394p-16, -0x1.139a46558ab7cp-16, -0x1.082ffb6b66a7ep-16, -0x1.fa0aac09da87p-17, -0x1.e42d53f946a82p-17, -0x1.cec0e5c8ddd53p-17, -0x1.b9ab8ce9092dep-17, -0x1.a52d8e9ce2a19p-17, -0x1.9145cf3d92d02p-17, -0x1.7da473b6449fap-17, -0x1.6a4a55c70719ap-17, -0x1.5768f7b61b14p-17, -0x1.44db59f3203c5p-17, -0x1.32ab93b003cfap-17, -0x1.20d5ba58c3fd3p-17, -0x1.0f568bc3a395bp-17, -0x1.fc56d0b07c7f7p-18, -0x1.daa339477dffdp-18, -0x1.b989ef778c303p-18, -0x1.991dc40a4230fp-18, -0x1.792416c7d9aabp-18, -0x1.59de80c83eba2p-18, -0x1.3b1c04ad2bc4p-18, -0x1.1ce53f922b5f7p-18, -0x1.fe6e790559cf8p-19, -0x1.c41d8e52c1a4p-19, -0x1.8ad1ea51d4e35p-19, -0x1.5287c7716a3ddp-19, -0x1.1b3a4ddc92624p-19, -0x1.c9cd4d18ab846p-20, -0x1.5f082b8f7d445p-20, -0x1.eb950e27a124dp-21, -0x1.1d11d457b926cp-21, -0x1.4e69ed0f4ea2p-23, 0x1.cdfe0a61c8c43p-23, 0x1.371b4bd084748p-21, 0x1.f72df2abf58f4p-21, 0x1.59e6131fb4bf9p-20, 0x1.b6816f460d61ap-20, 0x1.08b9811c90b86p-19, 0x1.354b11c6ec91p-19, 0x1.612d1fdfdbe76p-19, 0x1.8c2d7326df05ep-19, 0x1.b66026b0dc32bp-19, 0x1.dfc55c6e3d774p-19, 0x1.042f4a6b120b4p-18, 0x1.1819ac31c115fp-18, 0x1.2b9b6d782e628p-18, 0x1.3eba5f6738c7cp-18, 0x1.51771c9251c39p-18, 0x1.63d0c83afaf23p-18, 0x1.75c813db7a463p-18, 0x1.875dc5f82014cp-18, 0x1.98920166521f1p-18, 0x1.a965b324d9f2ap-18, 0x1.b9d7f9646b272p-18, 0x1.c9ea546244358p-18, 0x1.d99ca1171665dp-18, 0x1.e8ee8228d3d9p-18, 0x1.f7e888d028904p-18, 0x1.033aeabab5825p-17, 0x1.0a558a5b418d8p-17, 0x1.1141529bbf4a7p-17, 0x1.17fdafb147cd6p-17, 0x1.1e8ae33272a5ep-17, 0x1.24e9229fed03fp-17, 0x1.2b18930907b47p-17, 0x1.3119571cdd77ap-17, 0x1.36ebb10ad1e57p-17, 0x1.3c8f1f246b68fp-17, 0x1.4204cdbcd4d3bp-17, 0x1.474c2545b60b2p-17, 0x1.4c656b0f503cp-17, 0x1.5150c835beba2p-17, 0x1.560e6312e3c4ep-17, 0x1.5a9e6dbe90133p-17, 0x1.5f01017487cf7p-17, 0x1.6336411f9c502p-17, 0x1.673e84bcacc0ap-17, 0x1.6b198fe6e07c3p-17, 0x1.6ec7f7fbc25fp-17, 0x1.7249d93aaf2d2p-17, 0x1.759f458a20626p-17, 0x1.78c85b41ddccfp-17, 0x1.7bc5b2f2a996bp-17, 0x1.7e9703bd5af0dp-17, 0x1.813ce3fb4e528p-17, 0x1.83b7769585052p-17, 0x1.8606ec6243bf2p-17, 0x1.882b9a609c046p-17, 0x1.8a265a177a9e5p-17, 0x1.8bf54fc75bcdfp-17, 0x1.8d9a5795af605p-17, 0x1.8f17719471499p-17, 0x1.9069cc233acbbp-17, 0x1.91932187a66f2p-17, 0x1.9293a9e352861p-17, 0x1.936bad37a7756p-17, 0x1.941b7752dbe24p-17, 0x1.94a34a161fa1ap-17, 0x1.9503f646b4cf5p-17, 0x1.953d3020264a6p-17, 0x1.954f528397d53p-17, 0x1.953e031a84fd4p-17, 0x1.94fefe42b432cp-17, 0x1.94a1cba32b07p-17, 0x1.941c95325a557p-17, 0x1.937475bd6154bp-17, 0x1.92a3309fb1ffbp-17, 0x1.91b2233181bc4p-17, 0x1.909bdbe317e6fp-17, 0x1.8f6266d34adc3p-17, 0x1.8e061d0392242p-17, 0x1.8c8701455508ep-17, 0x1.8ae2de1b39e17p-17, 0x1.8924a45df6e77p-17, 0x1.874770dfa5cfap-17, 0x1.8545cf7cd6d0dp-17, 0x1.8322b293d92a4p-17, 0x1.80d8102f8f4p-17, 0x1.7e765ac4d7c85p-17, 0x1.7bf5a6e5664f3p-17, 0x1.7956c0f7832ep-17, 0x1.769a34465865cp-17, 0x1.73c0869418463p-17, 0x1.70ca331a972ap-17, 0x1.6db78eac7a73ap-17, 0x1.6a8981f9682dfp-17, 0x1.674054c8ba244p-17, 0x1.63dc628c501cep-17, 0x1.605ebd2985f71p-17, 0x1.5cc747ad20b06p-17, 0x1.5916ca2c87849p-17, 0x1.554dce491dd1p-17, 0x1.516cd95abe896p-17, 0x1.4d7472d2e3c9dp-17, 0x1.49652299b304fp-17, 0x1.453f71f4d7568p-17, 0x1.4103ed1bc583ap-17, 0x1.3cb313f082fe6p-17, 0x1.384d4802947f7p-17, 0x1.33d3940452adbp-17, }}, 
      {{0x1.80f7ce966ecfbp-7, 0x1.77a71bd211f14p-6, 0x1.0f69ac92dba9bp-5, 0x1.58c7afb9df387p-5, 0x1.968d4c3a18274p-5, 0x1.c7fcfc1ba5df2p-5, 0x1.ecd2e318b01d6p-5, 0x1.02928c23ccb35p-4, 0x1.08a58871dba7cp-4, 0x1.08e546db51258p-4, 0x1.03a481bf65c5ap-4, 0x1.f280aab8d691cp-5, 0x1.d438476324c69p-5, 0x1.ad3cd6bdc7d7ep-5, 0x1.7e5ca6b1b2f3p-5, 0x1.486393dc4ba8p-5, 0x1.0c1838e02ba35p-5, 0x1.9473c78aa33f9p-6, 0x1.06fe5148bfc49p-6, 0x1.c4a789ff24a48p-8, -0x1.5e211a875ae2ep-9, -0x1.9d36ae4bbcbcdp-7, -0x1.76405b90fc385p-6, -0x1.10d64d96fb04fp-5, -0x1.67f6e21a08907p-5, -0x1.c0128a7484ab2p-5, -0x1.0c61a20041f99p-4, -0x1.38d5fb30bd9eap-4, -0x1.653bfcd56b4aep-4, -0x1.916d4d600e82fp-4, -0x1.bd474ec45f49bp-4, -0x1.e8aae09917979p-4, -0x1.09be11c6ce279p-3, -0x1.1ed11f48c6826p-3, -0x1.3383928e0b59fp-3, -0x1.47cbb0c989144p-3, -0x1.5ba0f10796684p-3, -0x1.6efbe2d6fbd3cp-3, -0x1.81d617d8ccec4p-3, -0x1.942a0e3da5037p-3, -0x1.a5f31d7d4adbdp-3, -0x1.b72d64e36c242p-3, -0x1.c7d5bc0a38798p-3, -0x1.d7e9a63a2d548p-3, -0x1.e76746b9c13fdp-3, -0x1.f64d561f52025p-3, -0x1.024d8cfa5a719p-2, -0x1.09282d41c20e7p-2, -0x1.0fb6acbf04b22p-2, -0x1.15f963d99706p-2, -0x1.1bf0dd490ad98p-2, -0x1.219dd0a8e189ep-2, -0x1.27011d7482ef4p-2, -0x1.2c1bc5e7f2c96p-2, -0x1.30eeead09f12p-2, -0x1.357bc719d20bep-2, -0x1.39c3ac5d7b6ecp-2, -0x1.3dc7ff6e197aep-2, -0x1.418a3572cd821p-2, -0x1.450bd0f76b90cp-2, -0x1.484e5fd544c4ap-2, -0x1.4b5378a30ec85p-2, -0x1.4e1cb8f9ec981p-2, -0x1.50abc34f22ebcp-2, -0x1.53023d96441c9p-2, -0x1.5521cfb07b3a8p-2, -0x1.570c21c44d5e5p-2, -0x1.58c2db702c761p-2, -0x1.5a47a23cda70bp-2, -0x1.5b9c18d5672ffp-2, -0x1.5cc1de1d87945p-2, -0x1.5dba8c465f653p-2, -0x1.5e87b828c3294p-2, -0x1.5f2af096d5c7dp-2, -0x1.5fa5bddd998ccp-2, -0x1.5ff9a118e45c7p-2, -0x1.602813f9717d9p-2, -0x1.603288584ed2ap-2, -0x1.601a67d6f13d2p-2, -0x1.5fe113b824c6ep-2, -0x1.5f87e49acdddep-2, -0x1.5f102a5cf54d2p-2, -0x1.5e7b2bee8210dp-2, -0x1.5dca2748ab8c6p-2, -0x1.5cfe515e1e96p-2, -0x1.5c18d6249bed6p-2, -0x1.5b1ad890673bfp-2, -0x1.5a057293455bp-2, -0x1.58d9b535561a1p-2, -0x1.5798a8baf34c4p-2, -0x1.56434ca147c59p-2, -0x1.54da97d991894p-2, -0x1.535f78e75b457p-2, -0x1.51d2d600fbabbp-2, -0x1.50358d34da1f3p-2, -0x1.4e88749313221p-2, -0x1.4ccc5a59c4b1ep-2, -0x1.4b020527d0bfcp-2, -0x1.492a34325a818p-2, -0x1.47459f7cf722bp-2, -0x1.4554f80f69fa4p-2, -0x1.4358e823ec704p-2, -0x1.4152135b7cb95p-2, -0x1.3f4116f20b95dp-2, -0x1.3d2689d23151cp-2, -0x1.3b02fce6207bcp-2, -0x1.38d6fb4b22d77p-2, -0x1.36a30a6bddf9dp-2, -0x1.3467aa535a2bp-2, -0x1.322555da42da1p-2, -0x1.2fdc82dcdbffap-2, -0x1.2d8da26b152bdp-2, -0x1.2b3920f707841p-2, -0x1.28df667eb2d18p-2, -0x1.2680d6b558eb5p-2, -0x1.241dd12c0bbe7p-2, -0x1.21b6b1792a366p-2, -0x1.1f4bcf6156f0bp-2, -0x1.1cdd7f0125e69p-2, -0x1.1a6c10f759e6bp-2, -0x1.17f7d28d07bd4p-2, -0x1.15810dde301b4p-2, -0x1.13080a0067311p-2, -0x1.108d0b265f5c8p-2, -0x1.0e1052c1b8f41p-2, -0x1.0b921fa2ff71p-2, -0x1.0912ae1c0d715p-2, -0x1.0692380bc6d34p-2, -0x1.0410f50afb0b6p-2, -0x1.018f1a83bb026p-2, -0x1.fe19b77bb233ep-3, -0x1.f914d40237d9ep-3, -0x1.f40fe957bdf4bp-3, -0x1.ef0b5292d901ep-3, -0x1.ea07675151707p-3, -0x1.e5047be3d59edp-3, -0x1.e002e17827f02p-3, -0x1.db02e641006c5p-3, -0x1.d604d59b3e859p-3, -0x1.d108f83104f1p-3, -0x1.cc0f941ad4b04p-3, -0x1.c718ecfdbff3fp-3, -0x1.c225442951595p-3, -0x1.bd34d8b04c9eap-3, -0x1.b847e7877ef97p-3, -0x1.b35eab8aa80c8p-3, -0x1.ae795dac6f7e5p-3, -0x1.a99834fa12276p-3, -0x1.a4bb66b089d38p-3, -0x1.9fe32656ce5ap-3, -0x1.9b0fa5c622c0ap-3, -0x1.9641153d57712p-3, -0x1.9177a37443d9bp-3, -0x1.8cb37da3aa01ep-3, -0x1.87f4cf98a055bp-3, -0x1.833bc3bfe2336p-3, -0x1.7e88832f7a426p-3, -0x1.79db35b219298p-3, -0x1.753401d730498p-3, -0x1.70930cf31bf59p-3, -0x1.6bf87b2b12559p-3, -0x1.67646f823e3a7p-3, -0x1.62d70bdefd66bp-3, -0x1.5e50710b98656p-3, -0x1.59d0bec14e7b4p-3, -0x1.555813af8a31ap-3, -0x1.50e68d7e4c94ep-3, -0x1.4c7c48d216334p-3, -0x1.4819615894df1p-3, -0x1.43bdf1bf084b6p-3, -0x1.3f6a13c22aa37p-3, -0x1.3b1de02cbffc3p-3, -0x1.36d96edc64e72p-3, -0x1.329cd6c39f175p-3, -0x1.2e682dee0e813p-3, -0x1.2a3b89842a5e3p-3, -0x1.2616fdcc42e68p-3, -0x1.21fa9e2e9022dp-3, -0x1.1de67d373b87dp-3, -0x1.19daac999f316p-3, -0x1.15d73d324b187p-3, -0x1.11dc3f08bbffbp-3, -0x1.0de9c153b4286p-3, -0x1.09ffd279abe92p-3, -0x1.061e8013e169ap-3, -0x1.0245d6f0607bcp-3, -0x1.fcebc628aa72ap-4, -0x1.f55d5f7cfad6p-4, -0x1.ede08ed28cbebp-4, -0x1.e67567983f21bp-4, -0x1.df1bfbbdd6468p-4, -0x1.d7d45bb790549p-4, -0x1.d09e968254b0ap-4, -0x1.c97ab9a7f8761p-4, -0x1.c268d143b2704p-4, -0x1.bb68e80714c73p-4, -0x1.b47b073ef6d6ep-4, -0x1.ad9f36d7f73b6p-4, -0x1.a6d57d616b00ap-4, -0x1.a01de0142d05p-4, -0x1.997862d738a6ap-4, -0x1.92e5084416e04p-4, -0x1.8c63d1abe11bap-4, -0x1.85f4bf1d23f6dp-4, -0x1.7f97cf64f7dcdp-4, -0x1.794d001838d6p-4, -0x1.73144d999d609p-4, -0x1.6cedb31d6b2f5p-4, -0x1.66d92aab2bcd1p-4, -0x1.60d6ad27e1947p-4, -0x1.5ae632582b54dp-4, -0x1.5507b0e97573cp-4, -0x1.4f3b1e747c649p-4, -0x1.49806f830da6bp-4, -0x1.43d79795f0863p-4, -0x1.3e40892a9257fp-4, -0x1.38bb35c0ef0d2p-4, -0x1.33478de11363ap-4, -0x1.2de5812120645p-4, -0x1.2894fe2a0bb5bp-4, -0x1.2355f2bd514c5p-4, -0x1.1e284bbb1e50bp-4, -0x1.190bf52891a8ep-4, -0x1.1400da35a0ad5p-4, -0x1.0f06e542cb223p-4, -0x1.0a1dffe5d8061p-4, -0x1.054612eed12d7p-4, -0x1.007f066e75c2dp-4, -0x1.f791837ab8b05p-5, -0x1.ee4657057463ep-5, -0x1.e51c536edc857p-5, -0x1.dc13435f07da2p-5, -0x1.d32af032e576ep-5, -0x1.ca63220bb4c09p-5, -0x1.c1bb9fdaaa3d9p-5, -0x1.b9342f6f600edp-5, -0x1.b0cc95862c041p-5, -0x1.a88495d64e494p-5, -0x1.a05bf31666139p-5, -0x1.98526f071cfeap-5, -0x1.9067ca7fcd6aep-5, -0x1.889bc565791e6p-5, -0x1.80ee1ebf040e5p-5, -0x1.795e94c4abab4p-5, -0x1.71ece4f50d629p-5, -0x1.6a98cc2aa2496p-5, -0x1.636206a85768cp-5, -0x1.5c4850190fc7bp-5, -0x1.554b6384c9347p-5, -0x1.4e6afb45e32efp-5, -0x1.47a6d10a05b7dp-5, -0x1.40fe9deaba9d4p-5, -0x1.3a721a967ccf7p-5, -0x1.3400ff828b6aap-5, -0x1.2dab0506fc1f9p-5, -0x1.276fe356b3badp-5, -0x1.214f525bea3e1p-5, -0x1.1b4909855e077p-5, -0x1.155cbfa38c693p-5, -0x1.0f8a2af24f29dp-5, -0x1.09d10156d0ed2p-5, -0x1.0430f8bed0e66p-5, -0x1.fd538ef1d2d4ap-6, -0x1.f27648b3fee8p-6, -0x1.e7c98d3d89479p-6, -0x1.dd4ccb04691c7p-6, -0x1.d2ff6f78f9849p-6, -0x1.c8e0e6759c9c4p-6, -0x1.bef09a4900786p-6, -0x1.b52df4916013p-6, -0x1.ab985fa7762f7p-6, -0x1.a22f47fccecc3p-6, -0x1.98f21ccf534cp-6, -0x1.8fe04fd184503p-6, -0x1.86f953c7da4cep-6, -0x1.7e3c9ab1d42c7p-6, -0x1.75a994427ef57p-6, -0x1.6d3fad6846779p-6, -0x1.64fe5134a5b3ap-6, -0x1.5ce4eae3c73a4p-6, -0x1.54f2e8476d537p-6, -0x1.4d27bb9f7745ap-6, -0x1.4582dc13fbd5ap-6, -0x1.3e03c47cefddap-6, -0x1.36a9f0dfacbb2p-6, -0x1.2f74db92bb90ep-6, -0x1.2863fb40451b7p-6, -0x1.2176c2857801p-6, -0x1.1aaca15b4fcb6p-6, -0x1.140507d45df09p-6, -0x1.0d7f69336cd99p-6, -0x1.071b3e9f8e913p-6, -0x1.00d807fdc641dp-6, -0x1.f56a968f1cb73p-7, -0x1.e96522caa1f3ep-7, -0x1.dd9ec539611b3p-7, -0x1.d21687073484ep-7, -0x1.c6cb6733e29b6p-7, -0x1.bbbc5b664cc1bp-7, -0x1.b0e85396b3ff7p-7, -0x1.a64e3ff19bddap-7, -0x1.9bed1875939b5p-7, -0x1.91c3e49a1fa08p-7, -0x1.87d1bf981bac1p-7, -0x1.7e15d6294f922p-7, -0x1.748f5ddfa06c9p-7, -0x1.6b3d8a342165dp-7, -0x1.621f846ccf53bp-7, -0x1.593468459b676p-7, -0x1.507b43d676f62p-7, -0x1.47f31955991afp-7, -0x1.3f9ae4c916c59p-7, -0x1.3771a82c4a95dp-7, -0x1.2f767b5118fc2p-7, -0x1.27a8968041f7cp-7, -0x1.20074ee889ab2p-7, -0x1.1892053997d23p-7, -0x1.1148118b82bc5p-7, -0x1.0a28b922f0439p-7, -0x1.0333309874a22p-7, -0x1.f8cd43f0206c7p-8, -0x1.eb845d4ef70d1p-8, -0x1.de89df04afb68p-8, -0x1.d1dbf9dfc23fp-8, -0x1.c579037f131e2p-8, -0x1.b95f9a6a9f1c8p-8, -0x1.ad8ea44cdeb6bp-8, -0x1.a2051eea2cc5p-8, -0x1.96c1e2a43d4acp-8, -0x1.8bc387830bfdap-8, -0x1.810880e971559p-8, -0x1.768f541f8ca86p-8, -0x1.6c56b69e97279p-8, -0x1.625d7a61d0f5ep-8, -0x1.58a263478a5b4p-8, -0x1.4f2417c95682bp-8, -0x1.45e13bf7179b8p-8, -0x1.3cd89312d1fa8p-8, -0x1.340900a885adp-8, -0x1.2b716692b394ep-8, -0x1.23107dabd7e74p-8, -0x1.1ae4d1e5db61cp-8, -0x1.12ecf29a252bep-8, -0x1.0b27c00709e98p-8, -0x1.03949588e61f5p-8, -0x1.f8662e2e4cb7p-9, -0x1.ea058009f77fp-9, -0x1.dc053054e6278p-9, -0x1.ce628087a49e2p-9, -0x1.c11a50edb137bp-9, -0x1.b4299018b88c9p-9, -0x1.a78da24e7ec06p-9, -0x1.9b448a379b051p-9, -0x1.8f4c9327c8087p-9, -0x1.83a3e76a68fcbp-9, -0x1.7848c16adbf9ap-9, -0x1.6d3a169dee0bp-9, -0x1.6277ab8caca88p-9, -0x1.58012e37bb4bbp-9, -0x1.4dd54b6d0a74ap-9, -0x1.43f1a23fb59b1p-9, -0x1.3a533922c2898p-9, -0x1.30f6bccae9b6bp-9, -0x1.27d8fe68d0e06p-9, -0x1.1ef824448202dp-9, -0x1.165422bb83dd1p-9, -0x1.0ded511180f7dp-9, -0x1.05c2f467c86dfp-9, -0x1.fba716ef6d1aap-10, -0x1.ec3b6d227573cp-10, -0x1.dd4032df6b10dp-10, -0x1.ceb1fc52608bp-10, -0x1.c08d2373f6147p-10, -0x1.b2ce6863dcc6bp-10, -0x1.a572f26d404b5p-10, -0x1.98772097b5ac4p-10, -0x1.8bd57379311b6p-10, -0x1.7f8a01bbc9eap-10, -0x1.7396dd0805a03p-10, -0x1.68005930256d7p-10, -0x1.5cc6a9e582702p-10, -0x1.51e6c6e6a21c8p-10, -0x1.475d3bfac89e3p-10, -0x1.3d2498375f929p-10, -0x1.33359e198df58p-10, -0x1.298b5bfef5ddep-10, -0x1.2024f39869686p-10, -0x1.17033b183aa37p-10, -0x1.0e2683fff9f8p-10, -0x1.058d5f27446f5p-10, -0x1.fa66025429bbdp-11, -0x1.ea28847b76365p-11, -0x1.da6bb09491ac4p-11, -0x1.cb387063884b4p-11, -0x1.bc899e76b8735p-11, -0x1.ae5913222aefcp-11, -0x1.a0a20e76ab6b2p-11, -0x1.9357b6ce396aep-11, -0x1.866a45958a0f4p-11, -0x1.79d17d2fc8badp-11, -0x1.6d8f09102e6b1p-11, -0x1.61a8a4ed37024p-11, -0x1.5620635a24768p-11, -0x1.4af4c50a1da0ap-11, -0x1.4022f08aa9cfbp-11, -0x1.35a46adf64c3fp-11, -0x1.2b7b07fdb1926p-11, -0x1.21af58fd5dd86p-11, -0x1.183a89281eb28p-11, -0x1.0f15c1b332907p-11, -0x1.064363d65a5eep-11, -0x1.fb7cf402c3fe7p-12, -0x1.eaf94e00ef49dp-12, -0x1.daea8df88bfb8p-12, -0x1.cb47cef3e0f77p-12, -0x1.bc1426c1d1dafp-12, -0x1.ad596a938af9dp-12, -0x1.9f18af6fada73p-12, -0x1.914985eea7bedp-12, -0x1.83eeeca16d455p-12, -0x1.770e23503b517p-12, -0x1.6a9f0744585fcp-12, -0x1.5e9f1d1a900ep-12, -0x1.52fb84545dbf8p-12, -0x1.47b430675f9c8p-12, -0x1.3cd4b560cc954p-12, -0x1.3257202c169fdp-12, -0x1.2835c92d8394ap-12, -0x1.1e6a32de69b9p-12, -0x1.14e8fb359180fp-12, -0x1.0ba9dbb40a177p-12, -0x1.02af38f580a6ap-12, -0x1.f3fec5440bccp-13, -0x1.e32ecb48f1ffap-13, -0x1.d2e0d21f7f65fp-13, -0x1.c32e1d97aa079p-13, -0x1.b42662fdee0afp-13, -0x1.a5991c1674be9p-13, -0x1.976f67110e0d8p-13, -0x1.89a3fc672a43ep-13, -0x1.7c545358341a9p-13, -0x1.6f76eb26f5b67p-13, -0x1.63053889dc2bcp-13, -0x1.57069e1b6c7a8p-13, -0x1.4b7d059bd34c2p-13, -0x1.4059998207097p-13, -0x1.3584033f8710fp-13, -0x1.2af5c04ed6d6cp-13, -0x1.20bb7129f4ef8p-13, -0x1.16d62ded3944bp-13, -0x1.0d3ee2f063c38p-13, -0x1.03fd813196c6p-13, -0x1.f63e69f987528p-14, -0x1.e51dcab83e5ddp-14, -0x1.d459b6b52f346p-14, -0x1.c3fee3db917ebp-14, -0x1.b43cf9a6c2dc8p-14, -0x1.a4f7c31bf08d1p-14, -0x1.962156d897b45p-14, -0x1.87bfeea6f9218p-14, -0x1.79dcc266f5b66p-14, -0x1.6c81e8b188367p-14, -0x1.5fa7d2549bfeep-14, -0x1.532612f026ef1p-14, -0x1.46ec790624383p-14, -0x1.3b10a96dc85dp-14, -0x1.2f8a4946a29d2p-14, -0x1.2465b4e08189fp-14, -0x1.19a62476a832ap-14, -0x1.0f3615e6895fcp-14, -0x1.051f3f5808a13p-14, -0x1.f67a84eca63dfp-15, -0x1.e3396b93dc365p-15, -0x1.d0a8392a386a6p-15, -0x1.be94d13d1b831p-15, -0x1.acfcbe3d8ba8ep-15, -0x1.9be108f2cf61ep-15, -0x1.8b3ef769352bap-15, -0x1.7b17a636d38d7p-15, -0x1.6b762234fe14ap-15, -0x1.5c64ed4a18c14p-15, -0x1.4dbd41fcd82ap-15, -0x1.3f64601addcc8p-15, -0x1.31649441e5601p-15, -0x1.23bf2bbfb7f5ap-15, -0x1.16979e615d361p-15, -0x1.09c973c3214ddp-15, -0x1.fa7a46d4b2db9p-16, -0x1.e2217255e5773p-16, -0x1.ca49a01c6b15ap-16, -0x1.b326016480463p-16, -0x1.9c9f5cdc9db33p-16, -0x1.86a0f6063272fp-16, -0x1.713065886a09p-16, -0x1.5c49e1a2ef37cp-16, -0x1.47e7e13beb48ap-16, -0x1.3404ee358d64bp-16, -0x1.209b12c541b6p-16, -0x1.0daacdc4be732p-16, -0x1.f696d994c38efp-17, -0x1.d2f486edf02f8p-17, -0x1.aff91e708f87p-17, -0x1.8d96faaaa0556p-17, -0x1.6c459693fe79p-17, -0x1.4bd93b0dd143cp-17, -0x1.2c10c79fc7d4fp-17, -0x1.0ce85d98eb0aep-17, -0x1.dd235fbe5e25p-18, -0x1.a1dbd0ec8bc1cp-18, -0x1.681569faceb33p-18, -0x1.2f8e278b49963p-18, -0x1.f0b011e75a3e5p-19, -0x1.84db2b441da77p-19, -0x1.1b858561c6bacp-19, -0x1.695a3cd48267ap-20, -0x1.40cf457f3d81fp-21, 0x1.1f28120fe5c34p-23, 0x1.c78862473571ep-21, 0x1.9f74fa634a936p-20, 0x1.2b6102c757123p-19, 0x1.8419bc9af584bp-19, 0x1.db210d06dc9a3p-19, 0x1.183fa82527c8fp-18, 0x1.41992b68e7e4cp-18, 0x1.6a138978c7694p-18, 0x1.91ae7d3b6d4b4p-18, 0x1.b8675e11f926ep-18, 0x1.de158f15c2a48p-18, 0x1.016689fea171ep-17, 0x1.1355cf7aa75d9p-17, 0x1.24d2ade341f2bp-17, 0x1.35de6d3aa2a6fp-17, 0x1.467b1e13d57aap-17, 0x1.56aaac964241ap-17, 0x1.666ea3a2293bbp-17, 0x1.75c8895434585p-17, 0x1.84b9f4ccea4e5p-17, 0x1.93442892837e8p-17, 0x1.a16916bb6d5ap-17, 0x1.af2bb121318efp-17, 0x1.bc907ad1fa036p-17, 0x1.c9915a3f2d948p-17, 0x1.d61f625dca7b3p-17, 0x1.e25dac293910cp-17, 0x1.ee2cefef6f413p-17, 0x1.f9aa84db7d7fbp-17, 0x1.02692c8ba465fp-16, 0x1.07cde3795e385p-16, 0x1.0d0260c1db988p-16, 0x1.120c57b8fb89p-16, 0x1.16e9d998f1eb1p-16, 0x1.1b9b5e06c56d6p-16, 0x1.20217386117afp-16, 0x1.247c9b7031029p-16, 0x1.28ad3d37efad8p-16, 0x1.2cb3c755622cep-16, 0x1.3090a0d7d9918p-16, 0x1.34443bee2552cp-16, 0x1.37cf086700b94p-16, 0x1.3b3167f2c4db1p-16, 0x1.3e6bb35b9b5fep-16, 0x1.417e659229a8ep-16, 0x1.446a1f2eb0385p-16, 0x1.472f744b51e6ap-16, 0x1.49d0635924b66p-16, 0x1.4c485648bec5bp-16, 0x1.4e97260ac1fa8p-16, 0x1.50c33e27de943p-16, 0x1.52cce59f440d1p-16, 0x1.54b00d1fc7847p-16, 0x1.566ffa9297432p-16, 0x1.580bf0402897ap-16, 0x1.598469efee32dp-16, 0x1.5ad9d891aa439p-16, 0x1.5c0ca9cb809aap-16, 0x1.5d1d15cb8cbc4p-16, 0x1.5e0c52fc47571p-16, 0x1.5ed84926b2897p-16, 0x1.5f866f9929e0fp-16, 0x1.6010dcbbbfd4cp-16, 0x1.607c1b6b8f8bfp-16, 0x1.60c778a078d6dp-16, 0x1.60f35547af43dp-16, 0x1.61001cff7ce8fp-16, 0x1.60ee39e99781fp-16, 0x1.60be062114366p-16, 0x1.606fea0345126p-16, 0x1.600402b0ec697p-16, 0x1.5f7b611c4d904p-16, 0x1.5ed7949f07f3dp-16, 0x1.5e16cf4fd1586p-16, 0x1.5d36c18d0805p-16, 0x1.5c3e28222deap-16, 0x1.5b2a9e3969175p-16, 0x1.59fc53987bb42p-16, 0x1.58b3c9a6534d7p-16, 0x1.57516f0ca002bp-16, 0x1.55d5e7124e708p-16, 0x1.543fc8a7d6fbp-16, 0x1.529449c1849a3p-16, 0x1.50cf31c6daac6p-16, 0x1.4ef2909a5a189p-16, 0x1.4cfeafe47357bp-16, 0x1.4af3f17f85b2dp-16, 0x1.48d41d009e978p-16, 0x1.469ca10ec48ccp-16, 0x1.444feb868fd8p-16, 0x1.41eeabbb13597p-16, 0x1.3f78c212ee94p-16, 0x1.3ceea3bce80d9p-16, 0x1.3a50d9d44a2ep-16, 0x1.379fc3823cbd4p-16, 0x1.34dbd92500a25p-16, 0x1.32056d988e796p-16, 0x1.2f1d0d1bcba7cp-16, 0x1.2c2318f4bd81fp-16, 0x1.291815a78bbf1p-16, 0x1.25fd1d1dab93p-16, 0x1.22d04591830f1p-16, 0x1.1f9474cdb0921p-16, 0x1.1c495b9df08fp-16, 0x1.18ef3b6040172p-16, 0x1.15868a9925b24p-16, 0x1.120fbbabb30e2p-16, 0x1.0e8b3cee65819p-16, 0x1.0af97b9ad774dp-16, 0x1.075ae8e6da394p-16, 0x1.03afd957bca61p-16, 0x1.fff1c01686eb1p-17, 0x1.f86c9d84e99eap-17, 0x1.f0d1007ca0683p-17, 0x1.e91fe56290b25p-17, 0x1.e15a1cc9f6855p-17, 0x1.d9809e7de69dep-17, 0x1.d19407304a2d6p-17, 0x1.c9951a16567a2p-17, 0x1.c184c089863a5p-17, 0x1.b963a26337883p-17, 0x1.b132b50cdb066p-17, 0x1.a8f3041c1675cp-17, 0x1.a0a4cce5b6235p-17, 0x1.98487cfcda623p-17, 0x1.8fe06a375821p-17, 0x1.876b5613131f9p-17, 0x1.7eeb74b38a6bap-17, 0x1.766115082b2a4p-17, 0x1.6dcce5f75a135p-17, 0x1.652faa63c8059p-17, 0x1.5c8a49ed3368fp-17, 0x1.53dce0a2cd11dp-17, 0x1.4b28ac80948bdp-17, 0x1.426e93c4d25abp-17, 0x1.39aebdcbc5afbp-17, 0x1.30ea19fcfcb2p-17, 0x1.282152486f9b9p-17, 0x1.1f550e806034fp-17, 0x1.1685f15e7181dp-17, 0x1.0db4b2ce0c455p-17, 0x1.04e230545d2c3p-17, 0x1.f81cd91f99a8p-18, 0x1.e674aeb78d343p-18, 0x1.d4cca8ea133b7p-18, 0x1.c3299df098961p-18, 0x1.b186874000da2p-18, 0x1.9fe89315fedefp-18, 0x1.8e55673118b1bp-18, 0x1.7cbd2af9d03b7p-18, 0x1.6b356a13ad32ap-18, 0x1.59b475629a61fp-18, 0x1.483d6fc92fad2p-18, 0x1.36d1664cf6af1p-18, 0x1.2570deb88bf35p-18, 0x1.141975bf995e7p-18, 0x1.02da081fe2e7ap-18, 0x1.e34c5cf17c3b9p-19, 0x1.c103fe87527p-19, 0x1.9ee257e7f3bddp-19, 0x1.7cd40d23f5a2p-19, 0x1.5af6b410e9574p-19, 0x1.3940c22870b65p-19, 0x1.17b45173089a9p-19, 0x1.eca665977fbb3p-20, 0x1.aa3e675ab7359p-20, 0x1.6833d38d43534p-20, 0x1.268839e59a8c8p-20, 0x1.ca85c4fe38154p-21, 0x1.48c80317d09bp-21, 0x1.8fb7e31717bf7p-22, 0x1.1f3df736c392dp-23, -0x1.bb06741801518p-24, -0x1.6b571f246f73p-22, -0x1.330b13cfd89fp-21, -0x1.af7a13ff28f42p-21, -0x1.1579b022781cep-20, -0x1.52b8f8b420389p-20, -0x1.8f787937e7ebp-20, -0x1.cbb5fc51fbe44p-20, -0x1.03b75a0b667a4p-19, -0x1.214f30f0814e7p-19, -0x1.3ea4bd6a6408fp-19, }}, 
      {{-0x1.02890682e405cp-2, -0x1.fdf72c629d37fp-3, -0x1.f4aaf52dc42e8p-3, -0x1.eaa24734d1051p-3, -0x1.e0e915fe5c43ap-3, -0x1.d83b237adacf7p-3, -0x1.d117023ae1b99p-3, -0x1.cbccbdb939beap-3, -0x1.c889330f8443dp-3, -0x1.c75ee0b018857p-3, -0x1.c84cbd3eb584p-3, -0x1.cb43800f1c642p-3, -0x1.d029b3d6f2d7fp-3, -0x1.d6dedda5fd141p-3, -0x1.df3deec887e6fp-3, -0x1.e91f284497478p-3, -0x1.f4598d2c82987p-3, -0x1.0061fd8e610a6p-2, -0x1.071afdbdf14b2p-2, -0x1.0e442e345dc8fp-2, -0x1.15cacea6a84bdp-2, -0x1.1d9d1c57fd66fp-2, -0x1.25aa69768b7b4p-2, -0x1.2de32a05a0f1fp-2, -0x1.3638f8c51153cp-2, -0x1.3e9e96048e26dp-2, -0x1.4707e1fb85098p-2, -0x1.4f69d3da62a3p-2, -0x1.57ba6e86880ebp-2, -0x1.5ff0b3c375704p-2, -0x1.68049665d7e07p-2, -0x1.6feeebf5921eap-2, -0x1.77a95e162f025p-2, -0x1.7f2e5bfc6d6ebp-2, -0x1.86790c2b42d4cp-2, -0x1.8d853e88e8d0ap-2, -0x1.944f5ef5441c4p-2, -0x1.9ad4688ad75afp-2, -0x1.a111d97ba685fp-2, -0x1.a705a7c531e37p-2, -0x1.acae36bb445d3p-2, -0x1.b20a4d88accc9p-2, -0x1.b7190eaac3b6ep-2, -0x1.bbd9f04bfea3bp-2, -0x1.c04cb585c4ab7p-2, -0x1.c471684fbbdcdp-2, -0x1.c84853bcbdccfp-2, -0x1.cbd1fe904375p-2, -0x1.cf0f25c5b24e8p-2, -0x1.d200b71be51d6p-2, -0x1.d4a7cba4aa7ap-2, -0x1.d705a27d77a17p-2, -0x1.d91b9bbdaf056p-2, -0x1.daeb33cf0ca0fp-2, -0x1.dc75ff107416p-2, -0x1.ddbda6001ef4ep-2, -0x1.dec3e1ac79e66p-2, -0x1.df8a789345d0fp-2, -0x1.e0133bc7b0e1ap-2, -0x1.e060047461edfp-2, -0x1.e072b17f9d839p-2, -0x1.e04d258f43ac7p-2, -0x1.dff14522c57aap-2, -0x1.df60f4f4ab857p-2, -0x1.de9e187430b42p-2, -0x1.ddaa906e2fe41p-2, -0x1.dc8839ea8298dp-2, -0x1.db38ed06db5b8p-2, -0x1.d9be7c1d5e35fp-2, -0x1.d81ab2e06435ep-2, -0x1.d64f55a4a057dp-2, -0x1.d45e20c3a7795p-2, -0x1.d248c8105b198p-2, -0x1.d010f6636d3dp-2, -0x1.cdb84d30f921p-2, -0x1.cb406440ed73bp-2, -0x1.c8aac95ecfb12p-2, -0x1.c5f9002d4209p-2, -0x1.c32c82092392bp-2, -0x1.c046bde78b4a5p-2, -0x1.bd491847465adp-2, -0x1.ba34eb254678ep-2, -0x1.b70b8601c557bp-2, -0x1.b3ce2dec28fcep-2, -0x1.b07e1d999c80ap-2, -0x1.ad1c857d6f1f2p-2, -0x1.a9aa8be31206dp-2, -0x1.a6294d14430b8p-2, -0x1.a299db793b11fp-2, -0x1.9efd3fc14fe1dp-2, -0x1.9b547921460fep-2, -0x1.97a07d7ca0884p-2, -0x1.93e2399cf3261p-2, -0x1.901a9161cf0c9p-2, -0x1.8c4a5ff31569bp-2, -0x1.887277f4ffd2bp-2, -0x1.8493a3c06925ap-2, -0x1.80aea5a28f206p-2, -0x1.7cc4381c6918bp-2, -0x1.78d50e2295fe7p-2, -0x1.74e1d359f1a1bp-2, -0x1.70eb2c4e207e3p-2, -0x1.6cf1b6a3f415ap-2, -0x1.68f60947641b4p-2, -0x1.64f8b4a7da474p-2, -0x1.60fa42e0922fbp-2, -0x1.5cfb37f1ba8c6p-2, -0x1.58fc1206d39ccp-2, -0x1.54fd49a7a04f7p-2, -0x1.50ff51f68e2ap-2, -0x1.4d0298e5b30ebp-2, -0x1.49078768f6a78p-2, -0x1.450e81a2e2b3dp-2, -0x1.4117e70cddf03p-2, -0x1.3d24129dc993ap-2, -0x1.39335af02ff84p-2, -0x1.3546126836923p-2, -0x1.315c875b0fd9fp-2, -0x1.2d7704386a81cp-2, -0x1.2995cfb3c4148p-2, -0x1.25b92cedd4a6ap-2, -0x1.21e15b9d5d84p-2, -0x1.1e0e9835d28d1p-2, -0x1.1a411c0b2ad28p-2, -0x1.16791d7328eb1p-2, -0x1.12b6cfe3fdfcdp-2, -0x1.0efa640d40fafp-2, -0x1.0b4407fb7168cp-2, -0x1.0793e725e69b5p-2, -0x1.03ea2a883d45cp-2, -0x1.0046f8c141c2p-2, -0x1.f954ec47d2acbp-3, -0x1.f229899ecd044p-3, -0x1.eb0c098dc807bp-3, -0x1.e3fca80fef8c7p-3, -0x1.dcfb9d417c909p-3, -0x1.d6091d8ae88edp-3, -0x1.cf2559ca54c94p-3, -0x1.c8507f7aa6e0ep-3, -0x1.c18ab8d88330dp-3, -0x1.bad42d052248fp-3, -0x1.b42d0026f4564p-3, -0x1.ad955387de943p-3, -0x1.a70d45b1c00e6p-3, -0x1.a094f288d2635p-3, -0x1.9a2c736699065p-3, -0x1.93d3df3001ee7p-3, -0x1.8d8b4a6db14e6p-3, -0x1.8752c7623e69p-3, -0x1.812a661f1cdefp-3, -0x1.7b12349a1fea8p-3, -0x1.750a3ec172a99p-3, -0x1.6f128e8eca7ep-3, -0x1.692b2c1ad7013p-3, -0x1.63541daf26241p-3, -0x1.5d8d67d7d0e4bp-3, -0x1.57d70d74943e1p-3, -0x1.52310fc92cfa2p-3, -0x1.4c9b6e8936be6p-3, -0x1.471627eeaad92p-3, -0x1.41a138c45082bp-3, -0x1.3c3c9c6eef93cp-3, -0x1.36e84cfac4315p-3, -0x1.31a44331a3e17p-3, -0x1.2c70769c59debp-3, -0x1.274cdd9118178p-3, -0x1.22396d3e7891cp-3, -0x1.1d3619b57ed6bp-3, -0x1.1842d5f4843a6p-3, -0x1.135f93eee6a9ep-3, -0x1.0e8c449820ed7p-3, -0x1.09c8d7ec18acbp-3, -0x1.05153cf7eb1c6p-3, -0x1.007161e27a576p-3, -0x1.f7ba67e95e24cp-4, -0x1.eeb13f43668b6p-4, -0x1.e5c7211da63dfp-4, -0x1.dcfbe33622d9p-4, -0x1.d44f59cd5bea1p-4, -0x1.cbc157b575887p-4, -0x1.c351ae6037dc4p-4, -0x1.bb002decfb4cp-4, -0x1.b2cca5364904p-4, -0x1.aab6e1dfe50cp-4, -0x1.a2beb0636df69p-4, -0x1.9ae3dc1cd79e5p-4, -0x1.93262f573aafap-4, -0x1.8b8573595a4ddp-4, -0x1.840170715a7d6p-4, -0x1.7c99ee0035cfap-4, -0x1.754eb285111b9p-4, -0x1.6e1f83a8fbc1p-4, -0x1.670c2649e3536p-4, -0x1.60145e84bf11ap-4, -0x1.5937efc00ae1fp-4, -0x1.52769cb66ea2dp-4, -0x1.4bd0278100dbcp-4, -0x1.454451a0dabcbp-4, -0x1.3ed2dc084912ap-4, -0x1.387b8724c8c6ap-4, -0x1.323e12e835b6p-4, -0x1.2c1a3ed27238bp-4, -0x1.260fc9f9afde9p-4, -0x1.201e730dfda79p-4, -0x1.1a45f86dfd984p-4, -0x1.1486182b13bd4p-4, -0x1.0ede9004f231dp-4, -0x1.094f1d7b698c2p-4, -0x1.03d77dde7fb8ep-4, -0x1.fceedc9206286p-5, -0x1.f25d5758d5bd7p-5, -0x1.e7f9e5b1f82e9p-5, -0x1.ddc40108b7fe1p-5, -0x1.d3bb22a0e5527p-5, -0x1.c9dec3a425918p-5, -0x1.c02e5d2f5f7b7p-5, -0x1.b6a968601a9b7p-5, -0x1.ad4f5e61465ecp-5, -0x1.a41fb87775d7bp-5, -0x1.9b19f00c1506dp-5, -0x1.923d7eb8c8b68p-5, -0x1.8989de532701p-5, -0x1.80fe88f89798ap-5, -0x1.789af91986401p-5, -0x1.705ea98327583p-5, -0x1.68491568813f7p-5, -0x1.6059b86baad1fp-5, -0x1.58900ea7de6d3p-5, -0x1.50eb94bc243ecp-5, -0x1.496bc7d552483p-5, -0x1.421025b59df97p-5, -0x1.3ad82cbcdb40ap-5, -0x1.33c35bedb36f7p-5, -0x1.2cd132f5e5b34p-5, -0x1.26013236ba37cp-5, -0x1.1f52dacdec8ffp-5, -0x1.18c5ae9dec887p-5, -0x1.12593055203dep-5, -0x1.0c0ce372c6905p-5, -0x1.05e04c4c0c41fp-5, -0x1.ffa5e02250f11p-6, -0x1.f3c8a99e0ad4ep-6, -0x1.e82802ec14f48p-6, -0x1.dcc2fbc2b1578p-6, -0x1.d198a5c08f8a2p-6, -0x1.c6a8147ff3344p-6, -0x1.bbf05da2e4f4p-6, -0x1.b17098d3dbf4ap-6, -0x1.a727dfbc206e9p-6, -0x1.9d154df8a2af1p-6, -0x1.93380118f76f1p-6, -0x1.898f18b164f08p-6, -0x1.8019b67d8d327p-6, -0x1.76d6fe88dfff6p-6, -0x1.6dc617460b452p-6, -0x1.64e6298822e68p-6, -0x1.5c3660606f8fdp-6, -0x1.53b5e8eed1713p-6, -0x1.4b63f24035d97p-6, -0x1.433fad52d7d0fp-6, -0x1.3b484d4750ebap-6, -0x1.337d07ae52c06p-6, -0x1.2bdd14cddfdf2p-6, -0x1.2467afb3d2ab1p-6, -0x1.1d1c1637e8e5ep-6, -0x1.15f9888b562adp-6, -0x1.0eff48a6de4ffp-6, -0x1.082c9a3e1e249p-6, -0x1.0180c2ae86e97p-6, -0x1.f5f612926af1bp-7, -0x1.e9356fd585ddbp-7, -0x1.dcbe370d9eb54p-7, -0x1.d08f08d904ad9p-7, -0x1.c4a68c3869af8p-7, -0x1.b9036d646d5dap-7, -0x1.ada45c4063355p-7, -0x1.a2880b106f9e9p-7, -0x1.97ad2e0c2291ap-7, -0x1.8d127c0eeab1fp-7, -0x1.82b6b03107b33p-7, -0x1.78988baeb7b06p-7, -0x1.6eb6d757e2ff2p-7, -0x1.651063e36a232p-7, -0x1.5ba408e6faa07p-7, -0x1.5270a2c5fc0a6p-7, -0x1.4975105ea21fap-7, -0x1.40b03166ce549p-7, -0x1.3820e618ee588p-7, -0x1.2fc6104cefd6ap-7, -0x1.279e9598339e9p-7, -0x1.1fa961b775cbbp-7, -0x1.17e5688f06679p-7, -0x1.1051a6d8c8b07p-7, -0x1.08ed216320a7ep-7, -0x1.01b6e2a5d4bc3p-7, -0x1.f55befbb08e4dp-8, -0x1.e7a2dd4b2b378p-8, -0x1.da40a7cb8c05dp-8, -0x1.cd336859650bbp-8, -0x1.c0793a4044bb6p-8, -0x1.b4103f7567e9p-8, -0x1.a7f6a6415657dp-8, -0x1.9c2aaed2923d9p-8, -0x1.90aaae320a42bp-8, -0x1.85750c43e1ffdp-8, -0x1.7a883cfe0fd6fp-8, -0x1.6fe2b80a3bebdp-8, -0x1.6582f2ba70d96p-8, -0x1.5b675dc0a963bp-8, -0x1.518e655df0c48p-8, -0x1.47f672dc7977fp-8, -0x1.3e9df0b1fa937p-8, -0x1.35835326115e1p-8, -0x1.2ca523a556f31p-8, -0x1.2402082dc0422p-8, -0x1.1b98c05a02671p-8, -0x1.13681863faeacp-8, -0x1.0b6eda645176fp-8, -0x1.03abc713f3983p-8, -0x1.f83b2fa5f785ap-9, -0x1.e986071eee32dp-9, -0x1.db3580913f217p-9, -0x1.cd4705a0d320cp-9, -0x1.bfb807fbbee2p-9, -0x1.b2861b58559eep-9, -0x1.a5af0e631c60ep-9, -0x1.9930e954685bbp-9, -0x1.8d09cc1a35947p-9, -0x1.8137c2c959f2p-9, -0x1.75b8b311e49d8p-9, -0x1.6a8a70f11a5eap-9, -0x1.5faae63d7d634p-9, -0x1.55182832c0a4ep-9, -0x1.4ad0689ebc32ep-9, -0x1.40d1d6206b10ap-9, -0x1.371a8fddae817p-9, -0x1.2da8b7c494313p-9, -0x1.247a8a2e7c5cap-9, -0x1.1b8e5f48193a7p-9, -0x1.12e29460caf23p-9, -0x1.0a75705ee8f93p-9, -0x1.02452227b5a44p-9, -0x1.f49fc4e49d8f5p-10, -0x1.e52851b5dedfcp-10, -0x1.d62190e5dbac9p-10, -0x1.c789978c708a3p-10, -0x1.b95e4b25ca63fp-10, -0x1.ab9cf95dfcd6ap-10, -0x1.9e4269dab9526p-10, -0x1.914b2acb917dbp-10, -0x1.84b3ddc1e5418p-10, -0x1.78797f25a8a3ep-10, -0x1.6c998231455e9p-10, -0x1.6111971ae2f18p-10, -0x1.55df61b1bfd9dp-10, -0x1.4b00990489ef4p-10, -0x1.40737985ff9f5p-10, -0x1.3636d2177fac2p-10, -0x1.2c4968fc10445p-10, -0x1.22a95e9f9f421p-10, -0x1.195426b3c522p-10, -0x1.1046d8386bcd6p-10, -0x1.077e5740c82b3p-10, -0x1.fdef4db6e9904p-11, -0x1.ed6168d1aec88p-11, -0x1.dd514ced12e55p-11, -0x1.cdbdd98c70b55p-11, -0x1.bea48b5c44786p-11, -0x1.b001e019bef99p-11, -0x1.a1d28c461e275p-11, -0x1.941355536fb77p-11, -0x1.86c0981dd2b24p-11, -0x1.79d69b5657f2dp-11, -0x1.6d51f9b0c3801p-11, -0x1.612f9f50fda5fp-11, -0x1.556c006317cedp-11, -0x1.4a0261f7fedaap-11, -0x1.3eef17a4012adp-11, -0x1.34325df290eb1p-11, -0x1.29cdef50c082cp-11, -0x1.1fc0dd262f001p-11, -0x1.1608253242d5dp-11, -0x1.0ca08bae746a7p-11, -0x1.03859cd1dedd1p-11, -0x1.f563934b1715fp-12, -0x1.e442108aa41dbp-12, -0x1.d3a3ed1065753p-12, -0x1.c388a2f82687ep-12, -0x1.b3ef099c4efc7p-12, -0x1.a4d3c4fc270f9p-12, -0x1.962f456a0144bp-12, -0x1.87fc1be86be77p-12, -0x1.7a3ed323152acp-12, -0x1.6cfba5c85615ap-12, -0x1.602defb1ed8a4p-12, -0x1.53d07766b1b6ap-12, -0x1.47df01592c396p-12, -0x1.3c5051f993bb9p-12, -0x1.3119691601408p-12, -0x1.26340e189eeb7p-12, -0x1.1ba044b543ed8p-12, -0x1.11609efe614f2p-12, -0x1.07756aa7c112fp-12, -0x1.fbb97e1f82624p-13, -0x1.e927cee8517c6p-13, -0x1.d72c061701f44p-13, -0x1.c5c6a7a1c0eedp-13, -0x1.b5007ee302397p-13, -0x1.a4cf71bcdd9f1p-13, -0x1.95297c4190a95p-13, -0x1.8610090b4b16p-13, -0x1.777b909298483p-13, -0x1.695dfa328c8d4p-13, -0x1.5bab649851635p-13, -0x1.4e5d272a1148fp-13, -0x1.4173eee2728afp-13, -0x1.34f4808e0436ap-13, -0x1.28de58f16c7aep-13, -0x1.1d2b3cf509289p-13, -0x1.11dbd91cde12fp-13, -0x1.06f24695b256fp-13, -0x1.f8d13ef044ef8p-14, -0x1.e478c68b5275p-14, -0x1.d0c2a97bde683p-14, -0x1.bdad1666911c6p-14, -0x1.ab44336372aa3p-14, -0x1.997f26f2dffa5p-14, -0x1.88557876bbaa2p-14, -0x1.77bdd367663d3p-14, -0x1.67a93c8610dcfp-14, -0x1.580c8cc3ab738p-14, -0x1.48e94438529a3p-14, -0x1.3a457f0fb283ep-14, -0x1.2c1c7a575854p-14, -0x1.1e64f4402b8edp-14, -0x1.112c6750d6ffcp-14, -0x1.047ad5639132dp-14, -0x1.f06590bd8010dp-15, -0x1.d88bb9eb0e10bp-15, -0x1.c16008fcbbe1ap-15, -0x1.ab02eb47aa4b5p-15, -0x1.956764599cfefp-15, -0x1.8083ec15baf87p-15, -0x1.6c5f393d7b5fcp-15, -0x1.58f9b463f0bb9p-15, -0x1.4640819ac8466p-15, -0x1.3416063eafaa4p-15, -0x1.227160b8eb226p-15, -0x1.115fa7b7b8c9ap-15, -0x1.00e0acd8eb074p-15, -0x1.e1d6014d86db9p-16, -0x1.c30caf3945b71p-16, -0x1.a580993ba25f6p-16, -0x1.88ff50c2f4756p-16, -0x1.6d3e863d073a6p-16, -0x1.524a75da0f8e8p-16, -0x1.38571470df8adp-16, -0x1.1f424102e5317p-16, -0x1.06fa2813aeb53p-16, -0x1.df07c3c8c93cdp-17, -0x1.b1cfd6ac89622p-17, -0x1.865f62b96064dp-17, -0x1.5ca185ef04759p-17, -0x1.3438013eee164p-17, -0x1.0cfb8fd12e992p-17, -0x1.ce3308d6343bp-18, -0x1.84f830ada81e9p-18, -0x1.3e7798e2b8af3p-18, -0x1.f572ca0c0b6a9p-19, -0x1.72b0a23e65339p-19, -0x1.e9e76f4c9422ep-20, -0x1.ebc0fd2f239bdp-21, -0x1.42cc478db2112p-25, 0x1.affa35a0ed241p-21, 0x1.b22855c190537p-20, 0x1.4249ecd3c17ebp-19, 0x1.a7a4558b9ae69p-19, 0x1.049c1fe65681fp-18, 0x1.3384c5c3238cbp-18, 0x1.607857cdf3bf6p-18, 0x1.8b647d7abb882p-18, 0x1.b4a1c7158f983p-18, 0x1.dc6e290b9c9e4p-18, 0x1.015b824a00013p-17, 0x1.13bea417dd7e5p-17, 0x1.253c3c39fa5dcp-17, 0x1.35fd68093ddbdp-17, 0x1.461d179fe45b3p-17, 0x1.557cebdc0d75bp-17, 0x1.64402237bece9p-17, 0x1.724d1cbf56c4dp-17, 0x1.7fb1ebfd03665p-17, 0x1.8c7b426d53922p-17, 0x1.98a7c9d4b2b54p-17, 0x1.a43b0b12ee7efp-17, 0x1.af39850ba7673p-17, 0x1.b9a7b690395c7p-17, 0x1.c38a22d3742aep-17, 0x1.cce2206b101eep-17, 0x1.d5a4f3a296a16p-17, 0x1.ddd5a6c40375ep-17, 0x1.e5943a79b4697p-17, 0x1.ece57477b7f1dp-17, 0x1.f3abff4ffae65p-17, 0x1.f9f49ee8a31e9p-17, 0x1.ffd14e0294685p-17, 0x1.02a2291d50675p-16, 0x1.052139fe23aebp-16, 0x1.076a6fed3832fp-16, 0x1.097cbe83f7d9p-16, 0x1.0b5cfc9c75313p-16, 0x1.0d0aadfeddfcfp-16, 0x1.0e86d14970b56p-16, 0x1.0fd2bd387cbf8p-16, 0x1.10ef54f70342bp-16, 0x1.11de003f1eb6bp-16, 0x1.129fd15c11453p-16, 0x1.13363d92e2c8cp-16, 0x1.13a2df386b04fp-16, 0x1.13e581caabf0bp-16, 0x1.13f92241328cbp-16, 0x1.13e7e85ad5e7p-16, 0x1.13b29c7c61cc4p-16, 0x1.13523d4f0c046p-16, 0x1.12ce6216790adp-16, 0x1.122796f3bea6p-16, 0x1.115e4a02a2f6p-16, 0x1.1070bc19af4c3p-16, 0x1.0f60ab641b991p-16, 0x1.0e3063390fc7bp-16, 0x1.0cdfc8ad9af9p-16, 0x1.0b6f93fae3618p-16, 0x1.09e093187c6c8p-16, 0x1.08338de35a2f7p-16, 0x1.066941041b343p-16, 0x1.048266ff6ac7ap-16, 0x1.027fba08d3c5dp-16, 0x1.0061ebb7979cfp-16, 0x1.fc537b7669e84p-17, 0x1.f7b015fa38cd2p-17, 0x1.f2dbb164d5698p-17, 0x1.edd60c7f18758p-17, 0x1.e89d11d6b4823p-17, 0x1.e33944c2d1d2cp-17, 0x1.dda51191c2b9fp-17, 0x1.d7e7a5e11e4ecp-17, 0x1.d2012c81d96cbp-17, 0x1.cbf0de41445a7p-17, 0x1.c5b750e2cd5c6p-17, 0x1.bf57dd19c3ad7p-17, 0x1.b8d2b3d842831p-17, 0x1.b2290074fa769p-17, 0x1.ab5bf52b3b98ep-17, 0x1.a46cbb3eeca02p-17, 0x1.9d5c7168652b2p-17, 0x1.962c33aa81ab5p-17, 0x1.8edd1a3f81fa9p-17, 0x1.87703e975c5c4p-17, 0x1.7fe6b6951de65p-17, 0x1.78418ff5cf697p-17, 0x1.7081d27734368p-17, 0x1.68a89070f0ffdp-17, 0x1.60b6e7c21b045p-17, 0x1.58adef0ed3fa7p-17, 0x1.508f45703ffacp-17, 0x1.4859fe9c7ce2p-17, 0x1.400ee53fcd3bap-17, 0x1.37b1403272baap-17, 0x1.2f41f86f60d64p-17, 0x1.26c0515feddc2p-17, 0x1.1e2e540f7e92ap-17, 0x1.158c812d7f4c3p-17, 0x1.0cdbcd6528de7p-17, 0x1.041d26804cb3cp-17, 0x1.f6a2eb0473e23p-18, 0x1.e4f325a03f79ap-18, 0x1.d32d2a4ad3fbep-18, 0x1.c15166f964548p-18, 0x1.af643dc5c9c02p-18, 0x1.9d640d1e9490ap-18, 0x1.8b54af4487c9cp-18, 0x1.79373651fbfd8p-18, 0x1.670d40a416938p-18, 0x1.54d86cf227e16p-18, 0x1.429a537ae1445p-18, 0x1.30547b274e8e2p-18, 0x1.1e086f65907b1p-18, 0x1.0bb787ea14eb3p-18, 0x1.f2c75c095724dp-19, 0x1.ce1e7a9e48bebp-19, 0x1.a974234e0540ep-19, 0x1.84c743d1febbdp-19, 0x1.6023d365493e6p-19, 0x1.3b888e2f5aecbp-19, 0x1.16f7dfb15cac1p-19, 0x1.e4e93d2af3094p-20, 0x1.9c02f860c4155p-20, 0x1.5342b108af106p-20, 0x1.0aa96ad1a67fdp-20, 0x1.848e2789389c9p-21, 0x1.e8588e4b890b1p-22, 0x1.90f9c5bf0eeap-23, -0x1.5992a92c11301p-24, -0x1.7439956694b77p-22, -0x1.4871286bcddd8p-21, -0x1.d6349c1de7439p-21, -0x1.31aa52e681ebbp-20, -0x1.77e39af9548bbp-20, -0x1.bdc32c0055e0ap-20, -0x1.01a25d6cb5088p-19, -0x1.2431ec23be40fp-19, -0x1.468e4f2e8a2c5p-19, -0x1.68b57af4c5066p-19, -0x1.8aa5a328e9c63p-19, -0x1.ac5cb60dfbe38p-19, -0x1.cdd8e99e95fb4p-19, -0x1.ef185016da579p-19, -0x1.080c1728c4bdep-18, -0x1.186cffdc3b3c1p-18, -0x1.28ac5553e1536p-18, -0x1.38c9c4453f79ep-18, -0x1.48c49fe1f7203p-18, -0x1.589c1722b4ceep-18, -0x1.684f60b3dc2dep-18, -0x1.77ddbb8713d8dp-18, -0x1.87466c9588ef9p-18, -0x1.9688bcb2dfa1bp-18, -0x1.a5a40343d2cbfp-18, -0x1.b497878b80685p-18, -0x1.c362abc48bff8p-18, -0x1.d204d630543abp-18, -0x1.e07d63781d4d6p-18, -0x1.eecbba4e56d62p-18, -0x1.fcef3eb22ccd2p-18, -0x1.0573b8bcce574p-17, -0x1.0c59e6cbb3447p-17, -0x1.1329e36783ef3p-17, -0x1.19e375738522bp-17, -0x1.208658f80be63p-17, -0x1.27124b8ef977p-17, -0x1.2d87269a4977ep-17, -0x1.33e4bf8744922p-17, -0x1.3a2aafa766e3ep-17, -0x1.4059072f76b44p-17, -0x1.466f67e335cfdp-17, -0x1.4c6db3616a27bp-17, -0x1.5253c14583255p-17, -0x1.582168344a938p-17, -0x1.5dd67ab240235p-17, -0x1.6372ee4359ff1p-17, -0x1.68f689b4e38d5p-17, -0x1.6e612a52220e2p-17, -0x1.73b2c34ba71fep-17, -0x1.78eb31a125fcbp-17, -0x1.7e0a5c92c51ccp-17, -0x1.83102d5d356cbp-17, -0x1.87fc8f9b8f49bp-17, -0x1.8ccf6d2135d23p-17, -0x1.9188b0a86122ap-17, -0x1.96285c98cf8a8p-17, -0x1.9aae57f95e588p-17, -0x1.9f1aa4a41b822p-17, -0x1.a36cf5272e0a7p-17, -0x1.a7a5b178f37bfp-17, -0x1.abc48c644dff5p-17, -0x1.afc92e53902a5p-17, -0x1.b3b4d081b6424p-17, -0x1.b785f543f0f24p-17, -0x1.bb3d6914c131bp-17, -0x1.bedb076d0360dp-17, -0x1.c25ed52ab7689p-17, -0x1.c5c8e1cd2892dp-17, -0x1.c91970fa07ef6p-17, -0x1.cc4f9983e207ap-17, -0x1.cf6c569957302p-17, -0x1.d26f753b55e7cp-17, -0x1.d558d450219b5p-17, -0x1.d8293a6b7717ep-17, -0x1.dadfd1ae1ea33p-17, -0x1.dd7d08c84c7eep-17, -0x1.e000f0803dbbcp-17, -0x1.e26b9d3763addp-17, -0x1.e4bd249c42da2p-17, -0x1.e6f59ec83dec1p-17, -0x1.e9152a78434fdp-17, -0x1.eb1bd3b5d3f16p-17, -0x1.ed09bfc2d154ap-17, -0x1.eedf0d98a2c02p-17, -0x1.f09bccf089974p-17, -0x1.f2402cdf76252p-17, -0x1.f3cc46d8705e1p-17, -0x1.f5403b9caeb8p-17, -0x1.f69c2d7c47095p-17, -0x1.f7e03fbb7308p-17, -0x1.f90c96affd30ep-17, -0x1.fa2157cef76c8p-17, -0x1.fb1eaa1f33716p-17, -0x1.fc04b2a984b03p-17, -0x1.fcd390b64dcc1p-17, -0x1.fd8b8a98ed923p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.cdaede126a64cp-14, 0x1.cd79435bec23ap-12, 0x1.036225cef9623p-10, 0x1.cca4541e42686p-10, 0x1.6764ba1463756p-9, 0x1.025770bd83277p-8, 0x1.5ef58d0bfd8fdp-8, 0x1.c96465edc6138p-8, 0x1.20bb395853413p-7, 0x1.637c9dd18cb5fp-7, 0x1.acdad4009e552p-7, 0x1.fcb825a44c1b1p-7, 0x1.297a6c53253f3p-6, 0x1.57b7aa23dee41p-6, 0x1.890222a149dd3p-6, 0x1.bd47606001743p-6, 0x1.f4743307c7a3fp-6, 0x1.173a5fc4b4671p-5, 0x1.359a47d64e53cp-5, 0x1.554f507b0c91ap-5, 0x1.764eb97408abfp-5, 0x1.988d8a504c911p-5, 0x1.bc0098ed2d398p-5, 0x1.e09c8faa4aa1ep-5, 0x1.032af9a9e357cp-4, 0x1.16909462aeca2p-4, 0x1.2a793d2482514p-4, 0x1.3edf0e59d2b29p-4, 0x1.53bc1a213ff11p-4, 0x1.690a6c9dd4eb2p-4, 0x1.7ec40e2a10013p-4, 0x1.94e3056edb703p-4, 0x1.ab61595fa45p-4, 0x1.c239131cac534p-4, 0x1.d9643fbcbc6bep-4, 0x1.f0dcf1ff3d67p-4, 0x1.044ea1f3edca8p-3, 0x1.104fac2259d9fp-3, 0x1.1c6eae1001cebp-3, 0x1.28a8c40f34301p-3, 0x1.34fb10e547399p-3, 0x1.4162be679a9a9p-3, 0x1.4ddcfe1030cdcp-3, 0x1.5a67098a49975p-3, 0x1.66fe2337521a7p-3, 0x1.739f96ac92517p-3, 0x1.8048b929de47p-3, 0x1.8cf6ea0997977p-3, 0x1.99a7932a4d822p-3, 0x1.a65829522f721p-3, 0x1.b3062c8c8ceb3p-3, 0x1.bfaf28819f8f3p-3, 0x1.cc50b4c8be023p-3, 0x1.d8e8753530dbfp-3, 0x1.e5741a1dbec32p-3, 0x1.f1f1609f2477ap-3, 0x1.fe5e12d9827a7p-3, 0x1.055c041475b62p-2, 0x1.0b7e92ac95714p-2, 0x1.1195ae6a68112p-2, 0x1.17a05767d29c1p-2, 0x1.1d9d94b64d9b8p-2, 0x1.238c746fa1b03p-2, 0x1.296c0bc475278p-2, 0x1.2f3b7708b754ep-2, 0x1.34f9d9bdee844p-2, 0x1.3aa65e9b77eb7p-2, 0x1.40403794c2d5fp-2, 0x1.45c69ddd920a6p-2, 0x1.4b38d1ec4c351p-2, 0x1.50961b7a6f22dp-2, 0x1.55ddc983278d9p-2, 0x1.5b0f324021b6cp-2, 0x1.6029b324a0002p-2, 0x1.652cb0d6ddacbp-2, 0x1.6a179727d5f8dp-2, 0x1.6ee9d909729e8p-2, 0x1.73a2f0833deb2p-2, 0x1.78425ea596a4ep-2, 0x1.7cc7ab7b83a6ep-2, 0x1.813265fb2dce9p-2, 0x1.858223f5115f6p-2, 0x1.89b68201f7242p-2, 0x1.8dcf236fc4b23p-2, 0x1.91cbb22d2ecc9p-2, 0x1.95abdeb4676a9p-2, 0x1.996f5ff4c7d0fp-2, 0x1.9d15f33b9517cp-2, 0x1.a09f5c1be0de1p-2, 0x1.a40b64559ecd8p-2, 0x1.a759dbbbf666fp-2, 0x1.aa8a981ae0eep-2, 0x1.ad9d751c257bbp-2, 0x1.b092542bbab16p-2, 0x1.b3691c5b9c90bp-2, 0x1.b621ba47272dfp-2, 0x1.b8bc1ff5fe282p-2, 0x1.bb3844be8d36bp-2, 0x1.bd96252831a28p-2, 0x1.bfd5c2cd1180dp-2, 0x1.c1f7243bb2b7bp-2, 0x1.c3fa54d852ad7p-2, 0x1.c5df64be15826p-2, 0x1.c7a668a0086dap-2, 0x1.c94f79aa0b794p-2, 0x1.cadab561a5413p-2, 0x1.cc483d86cc93fp-2, 0x1.cd9837f4adadep-2, 0x1.cecace8271a76p-2, 0x1.cfe02ee415479p-2, 0x1.d0d88a8b4ecafp-2, 0x1.d1b416888eefp-2, 0x1.d2730b6c20565p-2, 0x1.d315a5276a8c3p-2, 0x1.d39c22ee6569bp-2, 0x1.d406c71934f0ap-2, 0x1.d455d70602b93p-2, 0x1.d4899afb0ad4bp-2, 0x1.d4a25e08ec6bp-2, 0x1.d4a06ded39ad5p-2, 0x1.d4841af5528cap-2, 0x1.d44db7e185cf3p-2, 0x1.d3fd99c887077p-2, 0x1.d39417fb2d8d2p-2, 0x1.d3118be891948p-2, 0x1.d27651027bf4ap-2, 0x1.d1c2c4a23086dp-2, 0x1.d0f745ed98676p-2, 0x1.d01435bcc9e34p-2, 0x1.cf19f67ff35b2p-2, 0x1.ce08ec25aaddp-2, 0x1.cce17c01a0b2ep-2, 0x1.cba40cb3bd419p-2, 0x1.ca51060fa722dp-2, 0x1.c8e8d104b2cd5p-2, 0x1.c76bd78640306p-2, 0x1.c5da847485d25p-2, 0x1.c4354385ca52cp-2, 0x1.c27c81300da33p-2, 0x1.c0b0aa9321f4fp-2, 0x1.bed22d6339342p-2, 0x1.bce177d3e1567p-2, 0x1.badef8837688dp-2, 0x1.b8cb1e670583p-2, 0x1.b6a658b6a49afp-2, 0x1.b47116da3fa19p-2, 0x1.b22bc856da0ebp-2, 0x1.afd6dcbc40723p-2, 0x1.ad72c393365bep-2, 0x1.aaffec4c13184p-2, 0x1.a87ec62dd4bbfp-2, 0x1.a5efc045a97dbp-2, 0x1.a3534956ea89p-2, 0x1.a0a9cfcb8d8f7p-2, 0x1.9df3c1a50680dp-2, 0x1.9b318c6da1c51p-2, 0x1.98639d2a4c695p-2, 0x1.958a604cd1babp-2, 0x1.92a641a687b5dp-2, 0x1.8fb7ac5b70029p-2, 0x1.8cbf0ad5c6e36p-2, 0x1.89bcc6ba01da3p-2, 0x1.86b148db3d22cp-2, 0x1.839cf93019526p-2, 0x1.80803ec800c3bp-2, 0x1.7d5b7fc0df5b8p-2, 0x1.7a2f213d3fe62p-2, 0x1.76fb875ad6f72p-2, 0x1.73c1152973623p-2, 0x1.70802ca25921fp-2, 0x1.6d392ea00166dp-2, 0x1.69ec7ad63fcdep-2, 0x1.669a6fcacb6d1p-2, 0x1.63436ace2ad48p-2, 0x1.5fe7c7f50060fp-2, 0x1.5c87e211b8a1fp-2, 0x1.592412ae94aadp-2, 0x1.55bcb20812829p-2, 0x1.52521707b1ef5p-2, 0x1.4ee4973f10564p-2, 0x1.4b7486e362bacp-2, 0x1.480238c940387p-2, 0x1.448dfe60c6a6ep-2, 0x1.411827b2109a1p-2, 0x1.3da10359ff63ep-2, 0x1.3a28de8753ceep-2, 0x1.36b004f818367p-2, 0x1.3336c0f75481fp-2, 0x1.2fbd5b5b130c6p-2, 0x1.2c441b82a9472p-2, 0x1.28cb47554dc46p-2, 0x1.25532340f1fc3p-2, 0x1.21dbf23963c24p-2, 0x1.1e65f5b7ae80dp-2, 0x1.1af16db9c09fp-2, 0x1.177e98c24f5b4p-2, 0x1.140db3d8fa6afp-2, 0x1.109efa8aaa18dp-2, 0x1.0d32a6ea29a3fp-2, 0x1.09c8f190f8988p-2, 0x1.066211a05717ep-2, 0x1.02fe3cc28443ap-2, 0x1.ff3b4e5864a19p-3, 0x1.f881073c57b9ap-3, 0x1.f1ce06ce588f1p-3, 0x1.eb22accbc48a8p-3, 0x1.e47f56164cad6p-3, 0x1.dde45cb8ac651p-3, 0x1.d75217ebc11f6p-3, 0x1.d0c8dc1be59a3p-3, 0x1.ca48faeea60a6p-3, 0x1.c3d2c348baa0ep-3, 0x1.bd668154478cfp-3, 0x1.b7047e87643e8p-3, 0x1.b0ad01aae1fc8p-3, 0x1.aa604ee15474ep-3, 0x1.a41ea7ae50d4cp-3, 0x1.9de84afde52cep-3, 0x1.97bd752c4d67fp-3, 0x1.919e600dcef58p-3, 0x1.8b8b42f6d125ep-3, 0x1.858452c4136e5p-3, 0x1.7f89c1e31e9c3p-3, 0x1.799bc05ad30f5p-3, 0x1.73ba7bd41b043p-3, 0x1.6de61fa2cb7d5p-3, 0x1.681ed4ce933f2p-3, 0x1.6264c21c194b8p-3, 0x1.5cb80c162a519p-3, 0x1.5718d51703247p-3, 0x1.51873d51b2f1dp-3, 0x1.4c0362db8e2e8p-3, 0x1.468d61b5b862cp-3, 0x1.412553d6b6c0fp-3, 0x1.3bcb51341a7d6p-3, 0x1.367f6fcc2b256p-3, 0x1.3141c3afa450ap-3, 0x1.2c125f0b75f5dp-3, 0x1.26f152328caa2p-3, 0x1.21deaba79ac1ep-3, 0x1.1cda7826ea3ccp-3, 0x1.17e4c2b025e68p-3, 0x1.12fd949029812p-3, 0x1.0e24f56acae51p-3, 0x1.095aeb449ebc4p-3, 0x1.049f7a8cb8d6bp-3, 0x1.ffe54c4ccaebdp-4, 0x1.f6a8dee5aacdp-4, 0x1.ed89acb587e36p-4, 0x1.e487b2b022be6p-4, 0x1.dba2eafe9ec8fp-4, 0x1.d2db4d1277f8ap-4, 0x1.ca30cdb866e53p-4, 0x1.c1a35f2b1c69ap-4, 0x1.b932f125d691fp-4, 0x1.b0df70f6db249p-4, 0x1.a8a8c991c2ad1p-4, 0x1.a08ee3a1978afp-4, 0x1.9891a59ad60aep-4, 0x1.90b0f3cd32f88p-4, 0x1.88ecb0753d3f6p-4, 0x1.8144bbcdc901ep-4, 0x1.79b8f4212d7adp-4, 0x1.724935da4f25cp-4, 0x1.6af55b9573e57p-4, 0x1.63bd3e30e4ad5p-4, 0x1.5ca0b4dd55769p-4, 0x1.559f952e1922ep-4, 0x1.4eb9b329198f4p-4, 0x1.47eee15698c2cp-4, 0x1.413ef0d0b4319p-4, 0x1.3aa9b152b0c1cp-4, 0x1.342ef148088a7p-4, 0x1.2dce7ddb3be05p-4, 0x1.2788230465decp-4, 0x1.215bab97927c9p-4, 0x1.1b48e152d7959p-4, 0x1.154f8cec2c55ap-4, 0x1.0f6f761f06c2dp-4, 0x1.09a863b9b3433p-4, 0x1.03fa1baa7241fp-4, 0x1.fcc8c618a3d92p-5, 0x1.f1cdfc6797e52p-5, 0x1.e70361763b366p-5, 0x1.dc687b1ccfd2ep-5, 0x1.d1fccdef0781bp-5, 0x1.c7bfdd5346651p-5, 0x1.bdb12b9954454p-5, 0x1.b3d03a108f8b5p-5, 0x1.aa1c891da78d3p-5, 0x1.a095984fd2e8cp-5, 0x1.973ae67587e98p-5, 0x1.8e0bf1b0b751ep-5, 0x1.8508378a8a978p-5, 0x1.7c2f3506a483ep-5, 0x1.738066b5e546fp-5, 0x1.6afb48c8b1a31p-5, 0x1.629f5720c8cccp-5, 0x1.5a6c0d6293e3cp-5, 0x1.5260e7060696ep-5, 0x1.4a7d5f6705574p-5, 0x1.42c0f1d552827p-5, 0x1.3b2b19a40f889p-5, 0x1.33bb5238bb2fbp-5, 0x1.2c711719d2401p-5, 0x1.254be3fce2bf9p-5, 0x1.1e4b34d44b155p-5, 0x1.176e85dc7a2a3p-5, 0x1.10b553a8c2d09p-5, 0x1.0a1f1b2fca8b7p-5, 0x1.03ab59d786566p-5, 0x1.fab31b01a2151p-6, 0x1.ee5269253829bp-6, 0x1.e2339c0969043p-6, 0x1.d655b2d4559bfp-6, 0x1.cab7adf69d5c2p-6, 0x1.bf588f3ea02c8p-6, 0x1.b43759eafa096p-6, 0x1.a95312bc4421cp-6, 0x1.9eaac006195edp-6, 0x1.943d69bf655e1p-6, 0x1.8a0a1991ff46bp-6, 0x1.800fdae99a544p-6, 0x1.764dbb01f645ep-6, 0x1.6cc2c8f48310ap-6, 0x1.636e15c540f22p-6, 0x1.5a4eb46f18b31p-6, 0x1.5163b9ef796f9p-6, 0x1.48ac3d51683aep-6, 0x1.402757b7f65b1p-6, 0x1.37d424681b4d6p-6, 0x1.2fb1c0d2020d1p-6, 0x1.27bf4c99c4b16p-6, 0x1.1ffbe99f8f573p-6, 0x1.1866bc074c1f4p-6, 0x1.10feea3fc3d78p-6, 0x1.09c39d092c462p-6, 0x1.02b3ff7b4fb88p-6, 0x1.f79e7e163ec53p-7, 0x1.ea29171fc23ccp-7, 0x1.dd062e8fa3ad5p-7, 0x1.d0342db8cc438p-7, 0x1.c3b182cc223eap-7, 0x1.b77ca0df384fp-7, 0x1.ab93fff2351afp-7, 0x1.9ff61cf4f2eb7p-7, 0x1.94a179cb209c4p-7, 0x1.89949d4fef24ap-7, 0x1.7ece1358b95a6p-7, 0x1.744c6cb71d8fep-7, 0x1.6a0e3f3a67461p-7, 0x1.601225b022f2bp-7, 0x1.5656bfe43485p-7, 0x1.4cdab2a027798p-7, 0x1.439ca7aa0a8a8p-7, 0x1.3a9b4dc28c64fp-7, 0x1.31d558a2a2b58p-7, 0x1.294980f884f27p-7, 0x1.20f6846447ddep-7, 0x1.18db2573c5733p-7, 0x1.10f62b9e2641ap-7, 0x1.0946633ee5a2bp-7, 0x1.01ca9d905e511p-7, 0x1.f503614bd3912p-8, 0x1.e6d4eecb28888p-8, 0x1.d907a302cc1ddp-8, 0x1.cb9946e081c25p-8, 0x1.be87acccb7278p-8, 0x1.b1d0b09af0975p-8, 0x1.a57237796c0bp-8, 0x1.996a2fe00d4c4p-8, 0x1.8db6917ebad1dp-8, 0x1.82555d2b1bdadp-8, 0x1.77449ccdd5e82p-8, 0x1.6c82634f18e1ap-8, 0x1.620ccc82e71cfp-8, 0x1.57e1fd149a551p-8, 0x1.4e0022724018fp-8, 0x1.446572b75cd31p-8, 0x1.3b102c973971p-8, 0x1.31fe9746f7e74p-8, 0x1.292f026720996p-8, 0x1.209fc5ed127bfp-8, 0x1.184f420bf90e1p-8, 0x1.103bdf1d9429p-8, 0x1.08640d8aaace5p-8, 0x1.00c645b33ca91p-8, 0x1.f2c20fad5098bp-9, 0x1.e465b7f6938cap-9, 0x1.d674a3ac82e67p-9, 0x1.c8ec0165bc6b5p-9, 0x1.bbc90eb3f9691p-9, 0x1.af0917f2716f3p-9, 0x1.a2a9781432e5fp-9, 0x1.96a79871de051p-9, 0x1.8b00f097d7b36p-9, 0x1.7fb30613c4502p-9, 0x1.74bb6c426aa21p-9, 0x1.6a17c41d50f85p-9, 0x1.5fc5bc083ac47p-9, 0x1.55c30f9f13fb2p-9, 0x1.4c0d8783206e8p-9, 0x1.42a2f92906255p-9, 0x1.398146a69ff63p-9, 0x1.30a65e807e83p-9, 0x1.28103b784f729p-9, 0x1.1fbce45ac8d18p-9, 0x1.17aa6bce31834p-9, 0x1.0fd6f020e651cp-9, 0x1.08409b17e2efp-9, 0x1.00e5a1be030b4p-9, 0x1.f388886634a66p-10, 0x1.e5b59af6bf7f5p-10, 0x1.d84f269eb39d9p-10, 0x1.cb51ebd7da29fp-10, 0x1.bebabfc5a705cp-10, 0x1.b2868bd658e13p-10, 0x1.a6b24d65a4826p-10, 0x1.9b3b155f2c424p-10, 0x1.901e07e24caebp-10, 0x1.85585be690ef5p-10, 0x1.7ae75ae0a303ap-10, 0x1.70c8606876215p-10, 0x1.66f8d9e0403ccp-10, 0x1.5d76461bfaadep-10, 0x1.543e3509fb2d5p-10, 0x1.4b4e475c5bfcfp-10, 0x1.42a42e336ee69p-10, 0x1.3a3daac8c3b88p-10, 0x1.32188e1b7665fp-10, 0x1.2a32b89d62d59p-10, 0x1.228a19e0f1d01p-10, 0x1.1b1cb04886837p-10, 0x1.13e888b65ffe5p-10, 0x1.0cebbe3d4f76cp-10, 0x1.062479d314e44p-10, 0x1.ff21e4064b185p-11, 0x1.f25ed5457c7dbp-11, 0x1.e5fc690b7620ep-11, 0x1.d9f75a69b6d1dp-11, 0x1.ce4c7d48a50e3p-11, 0x1.c2f8bdd8e9578p-11, 0x1.b7f92004ec575p-11, 0x1.ad4abee50f12p-11, 0x1.a2eacc35c85d1p-11, 0x1.98d68fd057e97p-11, 0x1.8f0b67249d969p-11, 0x1.8586c4b5cacd8p-11, 0x1.7c462f9927bd3p-11, 0x1.734742f5f19bbp-11, 0x1.6a87ad88bc0dp-11, 0x1.620531270e364p-11, 0x1.59bda2471ec7ep-11, 0x1.51aee787b8578p-11, 0x1.49d6f93b1c75bp-11, 0x1.4233e0f40045ep-11, 0x1.3ac3b91375bf6p-11, 0x1.3384ac5a3b7bp-11, 0x1.2c74f57b94c34p-11, 0x1.2592deb126dadp-11, 0x1.1edcc1525de82p-11, 0x1.1851056c6ff4bp-11, 0x1.11ee215cea04fp-11, 0x1.0bb2996e06135p-11, 0x1.059cff75179f9p-11, 0x1.ff57e4e477342p-12, 0x1.f3bc3c655b4b5p-12, 0x1.e86475e8d94b3p-12, 0x1.dd4e1a181dba2p-12, 0x1.d276c918acc91p-12, 0x1.c7dc39de5e11dp-12, 0x1.bd7c39816ef88p-12, 0x1.b354aa986d16p-12, 0x1.a963849534c43p-12, 0x1.9fa6d324d480fp-12, 0x1.961cb5953019p-12, 0x1.8cc35e3a17c1ep-12, 0x1.839911d9092b2p-12, 0x1.7a9c27169dc0ep-12, 0x1.71cb05e809433p-12, 0x1.692427074a50bp-12, 0x1.60a6136a8c593p-12, 0x1.584f63bec8064p-12, 0x1.501ebfe52d03p-12, 0x1.4812de7361bedp-12, 0x1.402a8437dec6ep-12, 0x1.386483c095d89p-12, 0x1.30bfbce355e7bp-12, 0x1.293b1c4b9ab4dp-12, 0x1.21d59b0868fecp-12, 0x1.1a8e3e1f148ffp-12, 0x1.1364161f164fap-12, 0x1.0c563eba36a94p-12, 0x1.0563de5dfeea1p-12, 0x1.fd184ba0f7ff6p-13, 0x1.ef9c9f9e10f46p-13, 0x1.e25341600d515p-13, 0x1.d53acc0e986afp-13, 0x1.c851ec997eb87p-13, 0x1.bb976108b8d2cp-13, 0x1.af09f7d4b3efbp-13, 0x1.a2a88f40d8201p-13, 0x1.967214bb112d3p-13, 0x1.8a65844006529p-13, 0x1.7e81e7c3b6f72p-13, 0x1.72c6569e0f699p-13, 0x1.6731f4fb98c08p-13, 0x1.5bc3f35191874p-13, 0x1.507b8dd8b3143p-13, 0x1.45580c0a09666p-13, 0x1.3a58c01f1f16ap-13, 0x1.2f7d0696b16a9p-13, 0x1.24c445bdca4cbp-13, 0x1.1a2ded3a612f4p-13, 0x1.0fb9759c77f4fp-13, 0x1.05665fefe049ap-13, 0x1.f6686aa966194p-14, 0x1.e2450d309dad9p-14, 0x1.ce61d7a2feb2p-14, 0x1.babe0803915dap-14, 0x1.a758e9720a546p-14, 0x1.9431d376cb9ffp-14, 0x1.8148295828595p-14, 0x1.6e9b597108de6p-14, 0x1.5c2adc9206aa9p-14, 0x1.49f63563c53ep-14, 0x1.37fcefd1f26d7p-14, 0x1.263ea078570f3p-14, 0x1.14bae41a765afp-14, 0x1.03715f1be0882p-14, 0x1.e4c379f9026fcp-15, 0x1.c3175fbbd3e5ap-15, 0x1.a1dde015db036p-15, 0x1.81167709e4cdcp-15, 0x1.60c0ab246fa2dp-15, 0x1.40dc0caa2e5cbp-15, 0x1.216834cd9c196p-15, 0x1.0264c4e65cd1fp-15, 0x1.c7a2cb6e3636ep-16, 0x1.8b5b8d6c5024p-16, 0x1.4ff33ac67810bp-16, 0x1.1569494b5071bp-16, 0x1.b77a70996df4ep-17, 0x1.45dd1eef7aff2p-17, 0x1.abf376e2ec5d4p-18, 0x1.9f3dc12a0c4adp-19, -0x1.28a38a16b5159p-23, -0x1.bd740cc8af419p-19, -0x1.b0c157680383cp-18, -0x1.3fae3fccdedc6p-17, -0x1.a54674a3cbb5bp-17, -0x1.0494fefb834f2p-16, -0x1.35acc7cff08f8p-16, -0x1.65eaef7ad4fbfp-16, -0x1.954fd214c24d9p-16, -0x1.c3dbcdcdc32a5p-16, -0x1.f18f43754ef6ap-16, -0x1.0f354b8b3b225p-15, -0x1.2537183c81a04p-15, -0x1.3acd3dd479ddp-15, -0x1.4ff7f4b24a516p-15, -0x1.64b777c7bf82cp-15, -0x1.790c04c5e07e9p-15, -0x1.8cf5dc528e2f3p-15, -0x1.a07542320387dp-15, -0x1.b38a7d700e5a7p-15, -0x1.c635d88208553p-15, -0x1.d877a16cf39bep-15, -0x1.ea5029e16f8a5p-15, -0x1.fbbfc757c0336p-15, -0x1.0663699271349p-14, -0x1.0eb2d54a71157p-14, -0x1.16ce577e52299p-14, -0x1.1eb622e55b79ep-14, -0x1.266a6c4b30075p-14, -0x1.2deb6a93de0bp-14, -0x1.353956c122423p-14, -0x1.3c546bf718693p-14, -0x1.433ce77e4f604p-14, -0x1.49f308c4962cdp-14, -0x1.5077115f0e7fbp-14, -0x1.56c94509e196p-14, -0x1.5ce9e9a55b791p-14, -0x1.62d94735d8cc5p-14, -0x1.6897a7df30fcp-14, -0x1.6e2557e2c423ep-14, -0x1.7382a59adf4c3p-14, -0x1.78afe176a36ecp-14, -0x1.7dad5df373d2ap-14, -0x1.827b6f9662c7ap-14, -0x1.871a6ce5e07f9p-14, -0x1.8b8aae6371783p-14, -0x1.8fcc8e82531bp-14, -0x1.93e069a0fc4a7p-14, -0x1.97c69dff4cbbap-14, -0x1.9b7f8bb6154a9p-14, -0x1.9f0b94ad6b2d2p-14, -0x1.a26b1c929fff5p-14, -0x1.a59e88ce1e9bcp-14, -0x1.a8a640789769cp-14, -0x1.ab82ac50e3278p-14, -0x1.ae3436b0fa13fp-14, -0x1.b0bb4b81f7e5fp-14, -0x1.b31858305430bp-14, -0x1.b54bcba0c7b72p-14, -0x1.b756162447907p-14, -0x1.b937a96be8e05p-14, -0x1.baf0f87ca2565p-14, -0x1.bc8277a2d06bfp-14, -0x1.bdec9c659cd1bp-14, -0x1.bf2fdd7a57711p-14, -0x1.c04cb2b8c46f3p-14, -0x1.c143950d4f8c7p-14, -0x1.c214fe6ca09a6p-14, -0x1.c2c169c71a52ep-14, -0x1.c34952fbd046cp-14, -0x1.c3ad36cc27efap-14, -0x1.c3ed92cdac95cp-14, -0x1.c40ae55da7608p-14, -0x1.c405ad96354d4p-14, -0x1.c3de6b3f85913p-14, -0x1.c3959ec464dadp-14, -0x1.c32bc92538a7cp-14, -0x1.c2a16beb4477p-14, -0x1.c1f7091c5cde4p-14, -0x1.c12d232e57f7bp-14, -0x1.c0443cfb98a3bp-14, -0x1.bf3cd9b663f15p-14, -0x1.be177cdd05b15p-14, -0x1.bcd4aa2d71875p-14, -0x1.bb74e59a87b85p-14, -0x1.b9f8b33fa09dbp-14, -0x1.b86097545c8dbp-14, -0x1.b6ad16220ae3p-14, -0x1.b4deb3f9333f7p-14, -0x1.b2f5f525b11cdp-14, -0x1.b0f35de4547a8p-14, -0x1.aed77257db024p-14, -0x1.aca2b67eb4bcep-14, -0x1.aa55ae279855cp-14, -0x1.a7f0dce837673p-14, -0x1.a574c613def5bp-14, -0x1.a2e1ecb00e67p-14, -0x1.a038d36c6513dp-14, -0x1.9d79fc987f204p-14, -0x1.9aa5ea1a2e33cp-14, -0x1.97bd1d660bdfdp-14, -0x1.94c017744ac68p-14, -0x1.91af58b8e6775p-14, -0x1.8e8b611c06a2cp-14, -0x1.8b54aff13406p-14, -0x1.880bc3eefaafep-14, -0x1.84b11b27d4ac2p-14, -0x1.8145330185d8ap-14, -0x1.7dc8882e1a05ap-14, -0x1.7a3b96a43315fp-14, -0x1.769ed99849f47p-14, -0x1.72f2cb762bb5p-14, -0x1.6f37e5d94a965p-14, -0x1.6b6ea1871adfap-14, -0x1.67977668a14dp-14, -0x1.63b2db840a4ecp-14, -0x1.5fc146f773878p-14, -0x1.5bc32df212755p-14, -0x1.57b904af0fc51p-14, -0x1.53a33e70bb1ap-14, -0x1.4f824d7b392a2p-14, -0x1.4b56a30f6e904p-14, -0x1.4720af666fbe1p-14, -0x1.42e0e1acf0643p-14, -0x1.3e97a7fe68fe5p-14, -0x1.3a456f6192d32p-14, -0x1.35eaa3c3f571fp-14, -0x1.3187aff633dc5p-14, -0x1.2d1cfda85361fp-14, -0x1.28aaf56632c38p-14, -0x1.2431fe94be203p-14, -0x1.1fb27f6dfcb65p-14, -0x1.1b2cdcfed7fe7p-14, -0x1.16a17b240cc35p-14, -0x1.1210bc86e151ep-14, -0x1.0d7b029bdba13p-14, -0x1.08e0ad9ff964bp-14, -0x1.04421c95a9f81p-14, -0x1.ff3f5a88801dep-15, -0x1.f5f3786b98e4ep-15, -0x1.eca14968ad97dp-15, -0x1.e349819229916p-15, -0x1.d9ecd27714b9bp-15, -0x1.d08beb1f5a34p-15, -0x1.c7277809224fp-15, -0x1.bdc023279295p-15, -0x1.b45693e113b93p-15, -0x1.aaeb6f0e8325fp-15, -0x1.a17f56f83bdc2p-15, -0x1.9812eb5716f9cp-15, -0x1.8ea6c952fe649p-15, -0x1.853b8b824994cp-15, -0x1.7bd1c9e9de5dcp-15, -0x1.726a19fdeb333p-15, }}, 
      {{0x1.5bc554472b39p-7, 0x1.5bd89b9a16f56p-6, 0x1.04f9db7df45b6p-5, 0x1.5c21bb1e53a81p-5, 0x1.b36a212fcccacp-5, 0x1.056bc3f99b815p-4, 0x1.31364b8e0058dp-4, 0x1.5d150f1eec264p-4, 0x1.89078e685643dp-4, 0x1.b50c69f128a45p-4, 0x1.e1216f3eaaf03p-4, 0x1.06a1d3a10a81ep-3, 0x1.1cb7b312ebbb2p-3, 0x1.32d02deb04d1fp-3, 0x1.48e8d2643e44bp-3, 0x1.5efeed5460401p-3, 0x1.750f9252566f7p-3, 0x1.8b17a3948d196p-3, 0x1.a113d9765bc9ap-3, 0x1.b700c9992b394p-3, 0x1.ccdaed9a5e9b4p-3, 0x1.e29ea95a3fc59p-3, 0x1.f84850d2e573p-3, 0x1.06ea16bfecc4p-2, 0x1.119f41ac64252p-2, 0x1.1c41cab149f68p-2, 0x1.26cfd4ed774e3p-2, 0x1.3147870189f98p-2, 0x1.3ba70cc7530bp-2, 0x1.45ec98ddeee4ap-2, 0x1.5016660d1d17bp-2, 0x1.5a22b8827c153p-2, 0x1.640fdeeb32456p-2, 0x1.6ddc336c8866fp-2, 0x1.77861c7dd2d24p-2, 0x1.810c0da5faebep-2, 0x1.8a6c881ed602ap-2, 0x1.93a61b6053347p-2, 0x1.9cb76595770c8p-2, 0x1.a59f13fcf154dp-2, 0x1.ae5be33702b55p-2, 0x1.b6ec9f823fb6ap-2, 0x1.bf5024e8b03a7p-2, 0x1.c7855f5ea3561p-2, 0x1.cf8b4ad4782dfp-2, 0x1.d760f33c86e3ap-2, 0x1.df0574863d56cp-2, 0x1.e677fa8f67c78p-2, 0x1.edb7c10c8f532p-2, 0x1.f4c41369478eep-2, 0x1.fb9c4ca129afbp-2, 0x1.011feb891bdd3p-1, 0x1.04571624a4c9ep-1, 0x1.07736a648f60ep-1, 0x1.0a74b3e651051p-1, 0x1.0d5ac5826d7aap-1, 0x1.1025792987797p-1, 0x1.12d4afbfb939bp-1, 0x1.156850f66c2b6p-1, 0x1.17e04b24dcef3p-1, 0x1.1a3c931f75c71p-1, 0x1.1c7d240e2a61ep-1, 0x1.1ea1ff41f35a4p-1, 0x1.20ab2c0994499p-1, 0x1.2298b785c3bf2p-1, 0x1.246ab47cd7695p-1, 0x1.26213b2e0ed4p-1, 0x1.27bc692493627p-1, 0x1.293c610a48c9cp-1, 0x1.2aa14a7a80bcbp-1, 0x1.2beb51d4a8a74p-1, 0x1.2d1aa80f01f8bp-1, 0x1.2e2f828977e5p-1, 0x1.2f2a1ae0a4de4p-1, 0x1.300aaec111ab4p-1, 0x1.30d17fbac3384p-1, 0x1.317ed3151ed2dp-1, 0x1.3212f1a3338e2p-1, 0x1.328e2798751fp-1, 0x1.32f0c45df01aep-1, 0x1.333b1a6803094p-1, 0x1.336d7f0ca6649p-1, 0x1.33884a5a49eb3p-1, 0x1.338bd6ef4f646p-1, 0x1.337881d22b6b2p-1, 0x1.334eaa4a30a6p-1, 0x1.330eb1b90ce5ep-1, 0x1.32b8fb74fd399p-1, 0x1.324deca3bc7cp-1, 0x1.31cdec1632bd1p-1, 0x1.31396224e9099p-1, 0x1.3090b88d41935p-1, 0x1.2fd45a4f7e8d9p-1, 0x1.2f04b38d90b63p-1, 0x1.2e22316ab931ap-1, 0x1.2d2d41ebf9ac3p-1, 0x1.2c2653d956ed2p-1, 0x1.2b0dd69fef667p-1, 0x1.29e43a34e6318p-1, 0x1.28a9eef9207dcp-1, 0x1.275f659dda814p-1, 0x1.26050f0a0f4b3p-1, 0x1.249b5c40b4cb8p-1, 0x1.2322be47ccb86p-1, 0x1.219ba61046ccp-1, 0x1.2006845eb53cbp-1, 0x1.1e63c9b4d28d9p-1, 0x1.1cb3e63bd3e2p-1, 0x1.1af749af8ae71p-1, 0x1.192e634a51d4bp-1, 0x1.1759a1b1bffaep-1, 0x1.157972e4274dbp-1, 0x1.138e4426d4c5ep-1, 0x1.119881f513cf2p-1, 0x1.0f9897eff1079p-1, 0x1.0d8ef0ceb9e3fp-1, 0x1.0b7bf650365dep-1, 0x1.0960112c99976p-1, 0x1.073ba90826d02p-1, 0x1.050f2466867f7p-1, 0x1.02dae89eca4p-1, 0x1.009f59d019d7bp-1, 0x1.fcb9b5ae115fap-2, 0x1.f8279a871d63ep-2, 0x1.f389229f40423p-2, 0x1.eedf0bacc8001p-2, 0x1.ea2a10980709ap-2, 0x1.e56ae96c1db91p-2, 0x1.e0a24b48e704ep-2, 0x1.dbd0e85606925p-2, 0x1.d6f76fb709381p-2, 0x1.d2168d80970fap-2, 0x1.cd2eeaaeab361p-2, 0x1.c8412d1bcd461p-2, 0x1.c34df7794582ep-2, 0x1.be55e9483fd33p-2, 0x1.b9599ed3de6d9p-2, 0x1.b459b12c2c617p-2, 0x1.af56b621ef8b7p-2, 0x1.aa514043512a2p-2, 0x1.a549ded950c1bp-2, 0x1.a0411de607778p-2, 0x1.9b378623a2631p-2, 0x1.962d9d0421062p-2, 0x1.9123e4b1c25f1p-2, 0x1.8c1adc101d812p-2, 0x1.8712febde6944p-2, 0x1.820cc5174f14fp-2, 0x1.7d08a43903879p-2, 0x1.78070e03b88bdp-2, 0x1.730871204912cp-2, 0x1.6e0d39045b29ep-2, 0x1.6915cdf784c13p-2, 0x1.64229518ece8ep-2, 0x1.5f33f06562ecbp-2, 0x1.5a4a3ebde606ap-2, 0x1.5565dbee95bdap-2, 0x1.508720b6099fap-2, 0x1.4bae62cd0718fp-2, 0x1.46dbf4ee9337dp-2, 0x1.421026e05aa33p-2, 0x1.3d4b457b65a77p-2, 0x1.388d9ab51e81bp-2, 0x1.33d76da899a39p-2, 0x1.2f2902a02293p-2, 0x1.2a829b1f057b2p-2, 0x1.25e475eb941d8p-2, 0x1.214ecf195c04cp-2, 0x1.1cc1e013925f8p-2, 0x1.183ddfa7a9a36p-2, 0x1.13c3021010f7ep-2, 0x1.0f5178ff19744p-2, 0x1.0ae973a9fa264p-2, 0x1.068b1ed3f7b94p-2, 0x1.0236a4d99e252p-2, 0x1.fbd85b78340f5p-3, 0x1.f357be593c9d2p-3, 0x1.eaebb92fbedcep-3, 0x1.e2948e6334122p-3, 0x1.da527c0047623p-3, 0x1.d225bbd00731p-3, 0x1.ca0e836f25727p-3, 0x1.c20d046532b3cp-3, 0x1.ba216c3be02fp-3, 0x1.b24be4963bb62p-3, 0x1.aa8c9347df4d6p-3, 0x1.a2e39a6c10f0ep-3, 0x1.9b51187cd4467p-3, 0x1.93d52869e02adp-3, 0x1.8c6fe1af7c7e2p-3, 0x1.8521586d3e83ep-3, 0x1.7de99d7ca6799p-3, 0x1.76c8be8793d5fp-3, 0x1.6fbec61e9030bp-3, 0x1.68cbbbceef104p-3, 0x1.61efa438c29ep-3, 0x1.5b2a8124956b4p-3, 0x1.547c5198f597cp-3, 0x1.4de511efc88dcp-3, 0x1.4764bbeb63cf2p-3, 0x1.40fb46cb682fep-3, 0x1.3aa8a76163e4p-3, 0x1.346cd0252ff12p-3, 0x1.2e47b1490e4b4p-3, 0x1.283938cd86da6p-3, 0x1.22415294f7181p-3, 0x1.1c5fe876e9618p-3, 0x1.1694e25316161p-3, 0x1.10e0262421dc2p-3, 0x1.0b419812182adp-3, 0x1.05b91a848ebf7p-3, 0x1.00468e348638ap-3, 0x1.f5d3a47bf1c86p-4, 0x1.eb45886242d84p-4, 0x1.e0e28046d69f9p-4, 0x1.d6aa4180383b4p-4, 0x1.cc9c7eb15781p-4, 0x1.c2b8e7e997c05p-4, 0x1.b8ff2ac43caaap-4, 0x1.af6ef2873ff07p-4, 0x1.a607e84183434p-4, 0x1.9cc9b2e85b36ap-4, 0x1.93b3f77485d4bp-4, 0x1.8ac658fe78d67p-4, 0x1.820078da12c3dp-4, 0x1.7961f6b1ad0a3p-4, 0x1.70ea70a08f0b2p-4, 0x1.6899834cc35d5p-4, 0x1.606eca004e32ap-4, 0x1.5869dec1ca55fp-4, 0x1.508a5a6c6612fp-4, 0x1.48cfd4c74ac21p-4, 0x1.4139e49c65d2fp-4, 0x1.39c81fce9d5c8p-4, 0x1.327a1b6f6c273p-4, 0x1.2b4f6bd3e779cp-4, 0x1.2447a4a931d4ap-4, 0x1.1d6259085a40dp-4, 0x1.169f1b89ab306p-4, 0x1.0ffd7e57694ap-4, 0x1.097d134002d4fp-4, 0x1.031d6bc7b6197p-4, 0x1.f9bc327355548p-5, 0x1.ed7d597106175p-5, 0x1.e17d6e9cce237p-5, 0x1.d5bb93f91440dp-5, 0x1.ca36eb945af5cp-5, 0x1.beee97a6428a1p-5, 0x1.b3e1baab913bdp-5, 0x1.a90f7781398ccp-5, 0x1.9e76f17e72b72p-5, 0x1.94174c8dd5916p-5, 0x1.89efad459735p-5, 0x1.7fff38fecdb5ap-5, 0x1.764515ebd7e28p-5, 0x1.6cc06b2ddddeep-5, 0x1.637060e97a664p-5, 0x1.5a54205a80c62p-5, 0x1.516ad3e6fc673p-5, 0x1.48b3a7314fdc8p-5, 0x1.402dc729953fap-5, 0x1.37d8621e2e9c8p-5, 0x1.2fb2a7cb90464p-5, 0x1.27bbc96b54374p-5, 0x1.1ff2f9c28b92cp-5, 0x1.18576d2f587d9p-5, 0x1.10e859b5d5941p-5, 0x1.09a4f70c52bafp-5, 0x1.028c7ea6de7fbp-5, 0x1.f73c57846248fp-6, 0x1.e9b276dbd7f1dp-6, 0x1.dc79d92c8654ap-6, 0x1.cf91001a10623p-6, 0x1.c2f671243391dp-6, 0x1.b6a8b5b691dc1p-6, 0x1.aaa65b374dd43p-6, 0x1.9eedf314a0fbfp-6, 0x1.937e12d1502bap-6, 0x1.885554102d352p-6, 0x1.7d72549e83fa1p-6, 0x1.72d3b67da4372p-6, 0x1.68781feb658a7p-6, 0x1.5e5e3b69d4d98p-6, 0x1.5484b7c5ec216p-6, 0x1.4aea481d853ddp-6, 0x1.418da3e458836p-6, 0x1.386d86e84a047p-6, 0x1.2f88b154e46f7p-6, 0x1.26dde7b60e311p-6, 0x1.1e6bf2fa07a05p-6, 0x1.1631a072b5061p-6, 0x1.0e2dc1d63f0e1p-6, 0x1.065f2d3effc6ep-6, 0x1.fd897a55bd58ep-7, 0x1.eebaa0f3efb2dp-7, 0x1.e04f94d9945ffp-7, 0x1.d246254381b17p-7, 0x1.c49c2a246cb46p-7, 0x1.b74f841de5625p-7, 0x1.aa5e1c7856e62p-7, 0x1.9dc5e51a1196dp-7, 0x1.9184d87d62e08p-7, 0x1.8598f9a5cd67bp-7, 0x1.7a0054146b40cp-7, 0x1.6eb8fbbb8c87ap-7, 0x1.63c10cf16dbf7p-7, 0x1.5916ac626cb86p-7, 0x1.4eb80702526cep-7, 0x1.44a351fd0c554p-7, 0x1.3ad6caa6cb587p-7, 0x1.3150b66b7c3d9p-7, 0x1.280f62bdb5362p-7, 0x1.1f11250517ef1p-7, 0x1.16545a8c363c1p-7, 0x1.0dd7686dfc768p-7, 0x1.0598bb82a1d6bp-7, 0x1.fb2d90986811ap-8, 0x1.eba015c598f8cp-8, 0x1.dc860dc09a757p-8, 0x1.cddc8e97ad563p-8, 0x1.bfa0bd09d4539p-8, 0x1.b1cfcc5c7dde7p-8, 0x1.a466fe30cbfa7p-8, 0x1.9763a25811268p-8, 0x1.8ac316a831683p-8, 0x1.7e82c6cf5cfc6p-8, 0x1.72a02c278a93ap-8, 0x1.6718cd89a3dd9p-8, 0x1.5bea3f205decp-8, 0x1.5112223adea32p-8, 0x1.468e251f21b47p-8, 0x1.3c5c02dc28f77p-8, 0x1.3279831c35337p-8, 0x1.28e479f6a326ep-8, 0x1.1f9ac7c1f7006p-8, 0x1.169a58e5b8455p-8, 0x1.0de125ac3cd61p-8, 0x1.056d3214a1423p-8, 0x1.fa791b4956e33p-9, 0x1.ea9aa67592e43p-9, 0x1.db3b51c04d958p-9, 0x1.cc577f35e6b0dp-9, 0x1.bdeba68150652p-9, 0x1.aff4549104154p-9, 0x1.a26e2b3c8e863p-9, 0x1.9555e0ea46456p-9, 0x1.88a8403574e71p-9, 0x1.7c62279557503p-9, 0x1.70808903f0675p-9, 0x1.650069a62b4a3p-9, 0x1.59dee17410a6ap-9, 0x1.4f191ae1d0dffp-9, 0x1.44ac528959d01p-9, 0x1.3a95d6d4b5823p-9, 0x1.30d307a918014p-9, 0x1.2761561277a28p-9, 0x1.1e3e43f013713p-9, 0x1.156763a1a93ddp-9, 0x1.0cda57b5897adp-9, 0x1.0494d2975d8e2p-9, 0x1.f9292c7fd14b4p-10, 0x1.e9aee7cae1bbep-10, 0x1.dab6975a090dbp-10, 0x1.cc3c18b9c1844p-10, 0x1.be3b661ed2c1bp-10, 0x1.b0b095ce602f6p-10, 0x1.a397d987e36b9p-10, 0x1.96ed7df09c837p-10, 0x1.8aadea01309fdp-10, 0x1.7ed59e75140f2p-10, 0x1.7361353bac8a5p-10, 0x1.684d60eb7962dp-10, 0x1.5d96ec3734187p-10, 0x1.533ab964e9566p-10, 0x1.4935c1c6ace3dp-10, 0x1.3f851535ad916p-10, 0x1.3625d98eb831cp-10, 0x1.2d154a3109aaep-10, 0x1.2450b77f36b4ap-10, 0x1.1bd586615e9bp-10, 0x1.13a12fca072c1p-10, 0x1.0bb1403c8cd83p-10, 0x1.040357559f9a9p-10, 0x1.f92a4eab29a3dp-11, 0x1.eac8e9594cb55p-11, 0x1.dcde2b129654ap-11, 0x1.cf65e2d0708a3p-11, 0x1.c25c014d7ffeap-11, 0x1.b5bc982cfa8c3p-11, 0x1.a983d926d73bp-11, 0x1.9dae153712d19p-11, 0x1.9237bbd0d690fp-11, 0x1.871d5a159baecp-11, 0x1.7c5b9a0fc87e6p-11, 0x1.71ef41f0f7408p-11, 0x1.67d53353dcb12p-11, 0x1.5e0a6a82336d7p-11, 0x1.548bfdbd9a285p-11, 0x1.4b571c8c767d6p-11, 0x1.42690f09d72e6p-11, 0x1.39bf353993849p-11, 0x1.3157065f12bdcp-11, 0x1.292e10583811ep-11, 0x1.2141f6fb38113p-11, 0x1.19907377ff91p-11, 0x1.121753bcad257p-11, 0x1.0ad479dd6f941p-11, 0x1.03c5db7fa4fd5p-11, 0x1.f9d30290ca258p-12, 0x1.ec7b0c9b2c97bp-12, 0x1.df802f15820b5p-12, 0x1.d2dee6b119db4p-12, 0x1.c693d1cf8c24dp-12, 0x1.ba9baf7d134aap-12, 0x1.aef35e731ad94p-12, 0x1.a397dc1dd663dp-12, 0x1.988643a9ceb4dp-12, 0x1.8dbbcd1693666p-12, 0x1.8335cc4e3ca95p-12, 0x1.78f1b043105acp-12, 0x1.6eed02134bc2p-12, 0x1.652564301c01bp-12, 0x1.5b98918bbe265p-12, 0x1.52445ccc9778fp-12, 0x1.4926af83e0806p-12, 0x1.403d896b14feap-12, 0x1.3786ffa565661p-12, 0x1.2f013c062093cp-12, 0x1.26aa7c5bbd883p-12, 0x1.1e8111c046c6ep-12, 0x1.16835fed2172cp-12, 0x1.0eafdc94127d4p-12, 0x1.07050ebd0441p-12, 0x1.ff031c4d93741p-13, 0x1.f048055b8bfcdp-13, 0x1.e1d6476ae2b54p-13, 0x1.d3ab6f2e14123p-13, 0x1.c5c5262717de3p-13, 0x1.b82131935825p-13, 0x1.aabd716080877p-13, 0x1.9d97df2688083p-13, 0x1.90ae8d2b9b2a1p-13, 0x1.83ffa56e29d09p-13, 0x1.778968b65e0a2p-13, 0x1.6b4a2dad98e3cp-13, 0x1.5f405ffe6cab9p-13, 0x1.536a7f7a3b0e8p-13, 0x1.47c71f44ed0f3p-13, 0x1.3c54e508f42eep-13, 0x1.3112882f54b62p-13, 0x1.25fed11e61294p-13, 0x1.1b18987f38058p-13, 0x1.105ec688fa0f4p-13, 0x1.05d052513217fp-13, 0x1.f6d8824395ff3p-14, 0x1.e2634babb06b7p-14, 0x1.ce3f4072f6badp-14, 0x1.ba6ab8df6480cp-14, 0x1.a6e424c0fc548p-14, 0x1.93aa0a4b4ad2bp-14, 0x1.80bb050335de6p-14, 0x1.6e15c4b25570ap-14, 0x1.5bb90c6461b03p-14, 0x1.49a3b16c25558p-14, 0x1.37d49a7271b44p-14, 0x1.264abe8f05499p-14, 0x1.15052465c93bep-14, 0x1.0402e14ebf9b1p-14, 0x1.e68631127306ap-15, 0x1.c589f4dc78919p-15, 0x1.a50f876406d1ap-15, 0x1.8515795218d9ep-15, 0x1.659a712e34017p-15, 0x1.469d2a0212742p-15, 0x1.281c721133e06p-15, 0x1.0a17299f7b6bbp-15, 0x1.d9188378cf988p-16, 0x1.9ef5763c7467ep-16, 0x1.65c34a1973187p-16, 0x1.2d8038a6eef0ap-16, 0x1.ec5528ffca474p-17, 0x1.7f818eb4f1f6dp-17, 0x1.1482a05f6e2efp-17, 0x1.56ab05e3c72c5p-18, 0x1.0fddfbf85330cp-19, -0x1.0cd013dffb1bap-20, -0x1.0ac2f61e29728p-18, -0x1.cec293bf9991dp-18, -0x1.479bb6698f2p-17, -0x1.a612f314bdb29p-17, -0x1.01648fe67c22ap-16, -0x1.2ee0262b9cf4ep-16, -0x1.5b7d3d4e74519p-16, -0x1.873cd065c7abap-16, -0x1.b21fd5af763bfp-16, -0x1.dc273f8a44845p-16, -0x1.02a9feae165bcp-15, -0x1.16d37e3466758p-15, -0x1.2a909454255efp-15, -0x1.3de1b6c33b06ep-15, -0x1.50c75b4baf1e1p-15, -0x1.6341f823b343fp-15, -0x1.7552043a12a02p-15, -0x1.86f7f78570421p-15, -0x1.98344b45b31dfp-15, -0x1.a9077a45d0ca5p-15, -0x1.b972011a4e9c3p-15, -0x1.c9745e56f01dfp-15, -0x1.d90f12c0ac8fbp-15, -0x1.e842a17d4b15fp-15, -0x1.f70f903f90867p-15, -0x1.02bb33b5fb1e8p-14, -0x1.09bbd91e884c5p-14, -0x1.1089ff714f44cp-14, -0x1.1725ef4f3c5d3p-14, -0x1.1d8ff2ef5cc1fp-14, -0x1.23c856271576bp-14, -0x1.29cf66763a642p-14, -0x1.2fa5730d80483p-14, -0x1.354accd6c9b0dp-14, -0x1.3abfc677d1e8cp-14, -0x1.4004b458ae941p-14, -0x1.4519eca4d5fa5p-14, -0x1.49ffc74e3d9aap-14, -0x1.4eb69e0c2c3fdp-14, -0x1.533ecc5c1faf6p-14, -0x1.5798af81039fp-14, -0x1.5bc4a68017738p-14, -0x1.5fc3121ce1b43p-14, -0x1.639454d65b24ep-14, -0x1.6738d2e226274p-14, -0x1.6ab0f227535c2p-14, -0x1.6dfd1a36b4cecp-14, -0x1.711db445d78c6p-14, -0x1.74132b2670685p-14, -0x1.76ddeb3f740cep-14, -0x1.797e6282d5be8p-14, -0x1.7bf5006590d92p-14, -0x1.7e4235d6f7ad4p-14, -0x1.80667535e7301p-14, -0x1.826232465a82dp-14, -0x1.8435e226b2d0cp-14, -0x1.85e1fb453847ap-14, -0x1.8766f55506164p-14, -0x1.88c54941622cbp-14, -0x1.89fd7122f6b04p-14, -0x1.8b0fe8337d243p-14, -0x1.8bfd2ac17e772p-14, -0x1.8cc5b62423474p-14, -0x1.8d6a08ad4087ap-14, -0x1.8deaa19ec1985p-14, -0x1.8e48011ce5eb4p-14, -0x1.8e82a82193e76p-14, -0x1.8e9b186f08674p-14, -0x1.8e91d482c1205p-14, -0x1.8e675f893f364p-14, -0x1.8e1c3d508477p-14, -0x1.8db0f23ad05cfp-14, -0x1.8d260331ba8eap-14, -0x1.8c7bf5998732ep-14, -0x1.8bb34f4431c5p-14, -0x1.8acc96646755fp-14, -0x1.89c8517ff6fe7p-14, -0x1.88a707646db35p-14, -0x1.87693f19cec5fp-14, -0x1.860f7fd63890ap-14, -0x1.849a50f141cbcp-14, -0x1.830a39d7688b7p-14, -0x1.815fc1fee027bp-14, -0x1.7f9b70dac0a2dp-14, -0x1.7dbdcdcf949e5p-14, -0x1.7bc76026f72ebp-14, -0x1.79b8af04c61aep-14, -0x1.7792415ba6a1fp-14, -0x1.75549de1e2e1bp-14, -0x1.73004b05fa23ap-14, -0x1.7095cee41ef3ap-14, -0x1.6e15af3baa686p-14, -0x1.6b807164d5acep-14, -0x1.68d69a46054a5p-14, -0x1.6618ae49ca083p-14, -0x1.63473155886e3p-14, -0x1.6062a6bfa87a9p-14, -0x1.5d6b914680dfep-14, -0x1.5a62730664af4p-14, -0x1.5747cd71088b7p-14, -0x1.541c214521815p-14, -0x1.50dfee85652b2p-14, -0x1.4d93b4710b848p-14, -0x1.4a37f17adba9bp-14, -0x1.46cd2341c3d4p-14, -0x1.4353c6893a07cp-14, -0x1.3fcc57321f8b5p-14, -0x1.3c375032c6f88p-14, -0x1.38952b909ddc4p-14, -0x1.34e662594e81ep-14, -0x1.312b6c9ca6481p-14, -0x1.2d64c16600ec1p-14, -0x1.2992d6b61ea83p-14, -0x1.25b6217d1bd3bp-14, -0x1.21cf159583287p-14, -0x1.1dde25be693c8p-14, -0x1.19e3c3969b6bfp-14, -0x1.15e05f97c7604p-14, -0x1.11d46911186cp-14, -0x1.0dc04e233e45p-14, -0x1.09a47bbc367e9p-14, -0x1.05815d92a73ap-14, -0x1.01575e224278fp-14, -0x1.fa4dcd4ff9e0cp-15, -0x1.f1e0be3df42b3p-15, -0x1.e9685c79f3c68p-15, -0x1.e0e572de1db61p-15, -0x1.d858c9addd8bap-15, -0x1.cfc326900d21p-15, -0x1.c7254c8a18e0cp-15, -0x1.be7ffbfb9646p-15, -0x1.b5d3f29a2a573p-15, -0x1.ad21eb6cf207ep-15, -0x1.a46a9ec931618p-15, -0x1.9baec24ef0a9bp-15, -0x1.92ef08e64ec11p-15, -0x1.8a2c22bcdd3cep-15, -0x1.8166bd425eb25p-15, -0x1.789f832801a26p-15, -0x1.6fd71c5f61089p-15, -0x1.670e2e1719931p-15, -0x1.5e455abbac41dp-15, -0x1.557d41f5d14c6p-15, -0x1.4cb680aa68a39p-15, -0x1.43f1b0f94756dp-15, -0x1.3b2f6a3f72feap-15, -0x1.327041163d50bp-15, -0x1.29b4c753751f5p-15, -0x1.20fd8c0bf0abap-15, -0x1.184b1b9271bd1p-15, -0x1.0f9dff7b15748p-15, -0x1.06f6be9cb5bd2p-15, -0x1.fcabba230eeefp-16, -0x1.eb77b87399919p-16, -0x1.da52757fec623p-16, -0x1.c93ce930a0132p-16, -0x1.b838060b53424p-16, -0x1.a744b93768a4cp-16, -0x1.9663ea858d20bp-16, -0x1.85967c737853cp-16, -0x1.74dd4c355f8cdp-16, -0x1.643931bf63b9bp-16, -0x1.53aaffc81c155p-16, -0x1.433383d5b57acp-16, -0x1.32d38643d013bp-16, -0x1.228bca4b3a0bbp-16, -0x1.125d0e0deea8ap-16, -0x1.02480a9fa41f3p-16, -0x1.e49ae819803bap-17, -0x1.c4dbf2ce1eb99p-17, -0x1.a55489a0b3158p-17, -0x1.8605f7050bda2p-17, -0x1.66f17bb4b0be1p-17, -0x1.48184ec96cf36p-17, -0x1.297b9dd1c325ep-17, -0x1.0b1c8ce0ff3f9p-17, -0x1.d9f86d5ed7a1dp-18, -0x1.9e37595d69871p-18, -0x1.62f7ee3a225b6p-18, -0x1.283c2a465775p-18, -0x1.dc0bf3b07ecd5p-19, -0x1.68ae6edbdcefcp-19, -0x1.ecc6afb5b9ca6p-20, -0x1.0a5c3b66aa3d2p-20, -0x1.5120cf1afa9a5p-23, 0x1.67b6bf8e13ea5p-21, 0x1.8f9c1fbd98f12p-20, 0x1.348c2b44dd084p-19, 0x1.a0253b3724948p-19, 0x1.054b4c9711dd1p-18, 0x1.39eedf4cffbp-18, 0x1.6dfc223c468acp-18, 0x1.a171f17a2a02fp-18, 0x1.d44f386e4b22fp-18, 0x1.034978d4da291p-17, 0x1.1c1e135676a8fp-17, 0x1.34a4f7d40bcdep-17, 0x1.4cddb9a99758fp-17, 0x1.64c7f3584c8f6p-17, 0x1.7c634669fe0efp-17, 0x1.93af5b55382d9p-17, 0x1.aaabe165f1299p-17, 0x1.c1588e9cd9676p-17, 0x1.d7b51f9876471p-17, 0x1.edc15773e2b34p-17, 0x1.01be7fda77bc6p-16, 0x1.0c73f41344e91p-16, 0x1.1700f360927dbp-16, 0x1.21656bc9c95dfp-16, 0x1.2ba14e504cd2p-16, 0x1.35b48ee4ced26p-16, 0x1.3f9f2458e81f9p-16, 0x1.49610850b6d5ep-16, 0x1.52fa37368824ap-16, }}, 
      {{0x1.60b65281f3a6fp-1, 0x1.60b90aec9fd2ap-1, 0x1.60bdd068fef67p-1, 0x1.60c4e6bc27765p-1, 0x1.60ce9328d3748p-1, 0x1.60db139b7faaap-1, 0x1.60ea98c9e6b03p-1, 0x1.60fd4287447eap-1, 0x1.61131dbc07a52p-1, 0x1.612c23921b0edp-1, 0x1.61483981566a7p-1, 0x1.616731fbbc19ep-1, 0x1.6188cd88981f1p-1, 0x1.61acbc29585fdp-1, 0x1.61d29eec088abp-1, 0x1.61fa099644952p-1, 0x1.62228458dca3p-1, 0x1.624b8d807cfd3p-1, 0x1.62749b1ae0509p-1, 0x1.629d1c8a8803ep-1, 0x1.62c47c04e0d2bp-1, 0x1.62ea1ff8263fcp-1, 0x1.630d6c578522ap-1, 0x1.632dc3ccca892p-1, 0x1.634a88cf99356p-1, 0x1.63631ea29b258p-1, 0x1.6376ea3778229p-1, 0x1.638552faa204cp-1, 0x1.638dc3882ac23p-1, 0x1.638faa4afa3afp-1, 0x1.638a7a07c4eb9p-1, 0x1.637daa5528debp-1, 0x1.6368b802566bfp-1, 0x1.634b256da2daep-1, 0x1.63247acc55cd3p-1, 0x1.62f44664f2f04p-1, 0x1.62ba1cbd36adap-1, 0x1.627598bce2da2p-1, 0x1.62265bc66eec1p-1, 0x1.61cc0dc695182p-1, 0x1.61665d3babcd5p-1, 0x1.60f4ff35a2d8cp-1, 0x1.6077af4f6cbf9p-1, 0x1.5fee2fa290191p-1, 0x1.5f5848b587d28p-1, 0x1.5eb5c9659077cp-1, 0x1.5e0686cc6d7b8p-1, 0x1.5d4a5c22aae11p-1, 0x1.5c812a9ecfd31p-1, 0x1.5baad951edb05p-1, 0x1.5ac75501ee12ap-1, 0x1.59d69001f4e9ap-1, 0x1.58d882092bc3bp-1, 0x1.57cd28083a388p-1, 0x1.56b483fdae166p-1, 0x1.558e9cc991c62p-1, 0x1.545b7e0060652p-1, 0x1.531b37bd8c5c9p-1, 0x1.51cdde75c23dfp-1, 0x1.50738ac90def7p-1, 0x1.4f0c595506a9dp-1, 0x1.4d986a871faf4p-1, 0x1.4c17e26f3afadp-1, 0x1.4a8ae89297328p-1, 0x1.48f1a7bf2c6d9p-1, 0x1.474c4ddf918a8p-1, 0x1.459b0bcf73f91p-1, 0x1.43de1530b980cp-1, 0x1.4215a04154965p-1, 0x1.4041e5b1d9546p-1, 0x1.3e63207cdda3bp-1, 0x1.3c798dbf2d992p-1, 0x1.3a856c90dc2a5p-1, 0x1.3886fddf3662bp-1, 0x1.367e8447a05ap-1, 0x1.346c43f35ec83p-1, 0x1.32508274527d8p-1, 0x1.302b86a2a8637p-1, 0x1.2dfd987b7f1ep-1, 0x1.2bc7010087cf2p-1, 0x1.29880a189d238p-1, 0x1.2740fe715661ep-1, 0x1.24f229619449ap-1, 0x1.229bd6cd06a69p-1, 0x1.203e5308aa626p-1, 0x1.1dd9eac03f323p-1, 0x1.1b6eeadcb2048p-1, 0x1.18fda06b7b4dep-1, 0x1.16865886ee92p-1, 0x1.1409603f76512p-1, 0x1.11870485be558p-1, 0x1.0eff9215c43e2p-1, 0x1.0c735562ce45bp-1, 0x1.09e29a84428fp-1, 0x1.074dad235ddd3p-1, 0x1.04b4d869c2ae4p-1, 0x1.021866f0e0efbp-1, 0x1.fef1456459b3cp-2, 0x1.f9aba9f04eb71p-2, 0x1.f4608ca059c06p-2, 0x1.ef107cfa1a277p-2, 0x1.e9bc08d4c068dp-2, 0x1.e463bc41392d8p-2, 0x1.df082173c3296p-2, 0x1.d9a9c0aef2031p-2, 0x1.d44920300929cp-2, 0x1.cee6c41cb36e3p-2, 0x1.c9832e7200f1fp-2, 0x1.c41edef4ab6c2p-2, 0x1.beba532294034p-2, 0x1.b9560625717e9p-2, 0x1.b3f270c6a837ap-2, 0x1.ae9009643f09bp-2, 0x1.a92f43e6eb177p-2, 0x1.a3d091b92aec6p-2, 0x1.9e7461bf61256p-2, 0x1.991b2050f1b42p-2, 0x1.93c537324bbf9p-2, 0x1.8e730d8fe1e49p-2, 0x1.892507fa0485cp-2, 0x1.83db8861947d6p-2, 0x1.7e96ee15887a1p-2, 0x1.795795c13caaep-2, 0x1.741dd96b81bbep-2, 0x1.6eea107668f0bp-2, 0x1.69bc8f9fc1ed1p-2, 0x1.6495a9023e4c2p-2, 0x1.5f75ac1740bdap-2, 0x1.5a5ce5b941abcp-2, 0x1.554ba026cabb8p-2, 0x1.50422306013c6p-2, 0x1.4b40b368b64c1p-2, 0x1.464793d0f846fp-2, 0x1.415704361e0c5p-2, 0x1.3c6f420a450cep-2, 0x1.379088403c6aep-2, 0x1.32bb0f51da89ap-2, 0x1.2def0d46ad364p-2, 0x1.292cb5bb0e87cp-2, 0x1.247439e785d4ep-2, 0x1.1fc5c8a881815p-2, 0x1.1b218e8654f67p-2, 0x1.1687b5bd83229p-2, 0x1.11f8664744c85p-2, 0x1.0d73c5e24c61p-2, 0x1.08f9f81bc24a4p-2, 0x1.048b1e5873875p-2, 0x1.002757de2c7dap-2, 0x1.f79d83ba83befp-3, 0x1.ef02eef478a97p-3, 0x1.e67f23af4a40cp-3, 0x1.de12503fea279p-3, 0x1.d5bc9f1f32ffp-3, 0x1.cd7e36fe238a5p-3, 0x1.c5573ada3fa54p-3, 0x1.bd47ca1210e54p-3, 0x1.b5500079befap-3, 0x1.ad6ff66fbe0bfp-3, 0x1.a5a7c0f186c76p-3, 0x1.9df771b058f6p-3, 0x1.965f1725fc563p-3, 0x1.8edebca98252dp-3, 0x1.87766a83fc4c8p-3, 0x1.8026260527547p-3, 0x1.78edf19801084p-3, 0x1.71cdccd7501dap-3, 0x1.6ac5b4a20559p-3, 0x1.63d5a32f8cae6p-3, 0x1.5cfd9023f186ep-3, 0x1.563d70a3e43bfp-3, 0x1.4f95376891d64p-3, 0x1.4904d4d355f91p-3, 0x1.428c370135638p-3, 0x1.3c2b49de31be3p-3, 0x1.35e1f7385ef4cp-3, 0x1.2fb026d2c4a99p-3, 0x1.2995be780ca5dp-3, 0x1.2392a20cebcb5p-3, 0x1.1da6b3a2539dp-3, 0x1.17d1d38767152p-3, 0x1.1213e05b23d67p-3, 0x1.0c6cb71dd777fp-3, 0x1.06dc334243023p-3, 0x1.01622ebe837e7p-3, 0x1.f7fd04395877fp-4, 0x1.ed6209163ab63p-4, 0x1.e2f317d922abcp-4, 0x1.d8afd9cfc30e8p-4, 0x1.ce97f5eefa93fp-4, 0x1.c4ab10f1302bbp-4, 0x1.bae8cd7420ba8p-4, 0x1.b150cc16006e4p-4, 0x1.a7e2ab921820dp-4, 0x1.9e9e08dcbb9acp-4, 0x1.95827f3eb264fp-4, 0x1.8c8fa86ff622ap-4, 0x1.83c51cb1e8c16p-4, 0x1.7b2272e8e4f11p-4, 0x1.72a740b539c7ap-4, 0x1.6a531a8b8b67ep-4, 0x1.622593cc9c5dcp-4, 0x1.5a1e3edc7d387p-4, 0x1.523cad3926158p-4, 0x1.4a806f9078868p-4, 0x1.42e915d5ad298p-4, 0x1.3b762f562a50ap-4, 0x1.34274acdca94fp-4, 0x1.2cfbf67a8d874p-4, 0x1.25f3c02fb9b3dp-4, 0x1.1f0e35686f19ap-4, 0x1.184ae359aaf4cp-4, 0x1.11a95703be454p-4, 0x1.0b291d433bfefp-4, 0x1.04c9c2e15aa96p-4, 0x1.fd15a947a3101p-5, 0x1.f0d7beb859c85p-5, 0x1.e4d8dfed43d4fp-5, 0x1.d9182710ba5fp-5, 0x1.cd94aebaa78bp-5, 0x1.c24d920b27cb8p-5, 0x1.b741ecc436521p-5, 0x1.ac70db6260bf5p-5, 0x1.a1d97b3490d89p-5, 0x1.977aea72e26a8p-5, 0x1.8d54485498b1p-5, 0x1.8364b5252911ap-5, 0x1.79ab5258693a6p-5, 0x1.7027429de592fp-5, 0x1.66d7a9f357338p-5, 0x1.5dbbadb6514eep-5, 0x1.54d274b517a23p-5, 0x1.4c1b273eb0eb2p-5, 0x1.4394ef322fc25p-5, 0x1.3b3ef80d3aa69p-5, 0x1.33186ef9d825ap-5, 0x1.2b2082db7f7c8p-5, 0x1.2356645b75132p-5, 0x1.1bb945f479dc2p-5, 0x1.14485bfdc852bp-5, 0x1.0d02dcb56ff8dp-5, 0x1.05e8004a073f9p-5, 0x1.fdee01c77f9c9p-6, 0x1.f05e3559c4e23p-6, 0x1.e31f17b35fbb5p-6, 0x1.d62f295f572a1p-6, 0x1.c98cef18bd37fp-6, 0x1.bd36f1d7132e9p-6, 0x1.b12bbed99cc91p-6, 0x1.a569e7b1b779ep-6, 0x1.99f0024c25954p-6, 0x1.8ebca8f96d0cp-6, 0x1.83ce7a7533e4dp-6, 0x1.792419eccf3c1p-6, 0x1.6ebc2f04d6579p-6, 0x1.649565dde78cap-6, 0x1.5aae6f1897ee1p-6, 0x1.5105ffd89b218p-6, 0x1.479ad1c716b15p-6, 0x1.3e6ba3144842ep-6, 0x1.3577367868e13p-6, 0x1.2cbc5333e5483p-6, 0x1.2439c50ee157bp-6, 0x1.1bee5c581c7ccp-6, 0x1.13d8ede33c00bp-6, 0x1.0bf8530674e66p-6, 0x1.044b6997a14d8p-6, 0x1.f9a227d1ab875p-7, 0x1.eb107188be94ep-7, 0x1.dcdf86d094e23p-7, 0x1.cf0d4702cdaecp-7, 0x1.c1979a4bbca45p-7, 0x1.b47c719e9c34cp-7, 0x1.a7b9c6a8f54e2p-7, 0x1.9b4d9bc536c47p-7, 0x1.8f35fbec891b1p-7, 0x1.8370faa7d4d4cp-7, 0x1.77fcb4003664bp-7, 0x1.6cd74c6ead184p-7, 0x1.61fef0cb390a7p-7, 0x1.5771d63b573e6p-7, 0x1.4d2e3a1fee2c9p-7, 0x1.43326202c7789p-7, 0x1.397c9b8375e04p-7, 0x1.300b3c43bb192p-7, 0x1.26dca1d39c9d2p-7, 0x1.1def319cf9a8ep-7, 0x1.154158cec25f5p-7, 0x1.0cd18c47dc741p-7, 0x1.049e4881a9665p-7, 0x1.f94c22f49b5e4p-8, 0x1.e9cee53d41a39p-8, 0x1.dac1fd67d733bp-8, 0x1.cc229f82b7847p-8, 0x1.bdee0df2b583ep-8, 0x1.b021994529e21p-8, 0x1.a2baa001ea456p-8, 0x1.95b68e7cdae2ap-8, 0x1.8912dea734ed7p-8, 0x1.7ccd17e0b00adp-8, 0x1.70e2cec86dd6fp-8, 0x1.6551a50dd6382p-8, 0x1.5a17494146602p-8, 0x1.4f3176a4b3fb5p-8, 0x1.449df4fc40549p-8, 0x1.3a5a985eddc49p-8, 0x1.30654106dcec9p-8, 0x1.26bbdb22af23dp-8, 0x1.1d5c5ea591d05p-8, 0x1.1444cf1865f0bp-8, 0x1.0b733b6aaec5cp-8, 0x1.02e5bdc3b43bdp-8, 0x1.f534f6a79fa8fp-9, 0x1.e51f484bd124p-9, 0x1.d586e5e26210cp-9, 0x1.c66859d619ac4p-9, 0x1.b7c04332a2104p-9, 0x1.a98b5549681dep-9, 0x1.9bc657575db69p-9, 0x1.8e6e242b0403cp-9, 0x1.817fa9cb13ef6p-9, 0x1.74f7e91e3dd4ap-9, 0x1.68d3f5931b4bep-9, 0x1.5d10f4c95f073p-9, 0x1.51ac1e3b6191cp-9, 0x1.46a2bae883fb9p-9, 0x1.3bf2250092a8fp-9, 0x1.3197c78fbb108p-9, 0x1.27911e2b777b8p-9, 0x1.1ddbb4a0823b9p-9, 0x1.147526a15b3f3p-9, 0x1.0b5b1f75c3179p-9, 0x1.028b59ab40d5ep-9, 0x1.f4073d8cf4e5dp-10, 0x1.e3838deac2e55p-10, 0x1.d38771855636dp-10, 0x1.c40ed193ae347p-10, 0x1.b515b2d876b94p-10, 0x1.a698350e9f57ep-10, 0x1.9892925713ec4p-10, 0x1.8b011ea907d3fp-10, 0x1.7de047440da4ep-10, 0x1.712c92244b52ap-10, 0x1.64e29d7833e36p-10, 0x1.58ff1f1895dfp-10, 0x1.4d7ee4029da47p-10, 0x1.425ecfd3db688p-10, 0x1.379bdc4834195p-10, 0x1.2d3318ba2ffd5p-10, 0x1.2321a9a4716f7p-10, 0x1.1964c82605302p-10, 0x1.0ff9c188179f5p-10, 0x1.06ddf6c60b136p-10, 0x1.fc1db82e7ffe6p-11, 0x1.eb13f0f627113p-11, 0x1.da99ca8dbf49fp-11, 0x1.caaa9b6ac6c59p-11, 0x1.bb41dcf12fd0ap-11, 0x1.ac5b2a9ac5e21p-11, 0x1.9df241224e3fep-11, 0x1.9002fdb239f82p-11, 0x1.82895d1815927p-11, 0x1.75817afa86adap-11, 0x1.68e791132e7cbp-11, 0x1.5cb7f66d11b04p-11, 0x1.50ef1ea5d9f58p-11, 0x1.458999331639ep-11, 0x1.3a8410ab1303fp-11, 0x1.2fdb4a118f574p-11, 0x1.258c24273de41p-11, 0x1.1b9396bd1e401p-11, 0x1.11eeb20b60061p-11, 0x1.089a9e0b9af03p-11, 0x1.ff2933acf0272p-12, 0x1.edb3f60974e68p-12, 0x1.dcd05a277d90ap-12, 0x1.cc796199ab188p-12, 0x1.bcaa375f8fc6p-12, 0x1.ad5e2ec199f25p-12, 0x1.9e90c2342914dp-12, 0x1.903d923eab0a4p-12, 0x1.8260646a82a63p-12, 0x1.74f52238758e4p-12, 0x1.67f7d81a2e048p-12, 0x1.5b64b47296d83p-12, 0x1.4f38069b947d1p-12, 0x1.436e3df24003dp-12, 0x1.3803e8e7d7af9p-12, 0x1.2cf5b418c724bp-12, 0x1.2240696923b45p-12, 0x1.17e0ef2640008p-12, 0x1.0dd4472d79a42p-12, 0x1.04178e17fdc65p-12, 0x1.f54ff4d76174ap-13, 0x1.e305b7a3f1f49p-13, 0x1.d14b34a4a136ap-13, 0x1.c01b6b23a1a53p-13, 0x1.af71883241794p-13, 0x1.9f48e5392b7b4p-13, 0x1.8f9d069579fd2p-13, 0x1.80699a3b7a4b2p-13, 0x1.71aa76655d8dap-13, 0x1.635b9849c7adp-13, 0x1.557922d9b182ap-13, 0x1.47ff5d87cf7bep-13, 0x1.3aeab318f67adp-13, 0x1.2e37b07a1aa91p-13, 0x1.21e303a03b392p-13, 0x1.15e97a6d841edp-13, 0x1.0a4801a187cp-13, 0x1.fdf7479d33cb6p-14, 0x1.e80310ace0ec4p-14, 0x1.d2ade4dd0e592p-14, 0x1.bdf2805991d0bp-14, 0x1.a9cbd32f3a8e7p-14, 0x1.9634ff81c6268p-14, 0x1.832957c3b771bp-14, 0x1.70a45d05a4bcap-14, 0x1.5ea1bd4eada34p-14, 0x1.4d1d51feaa271p-14, 0x1.3c131e3dc20ep-14, 0x1.2b7f4d7c1cb03p-14, 0x1.1b5e31f487b7dp-14, 0x1.0bac434211569p-14, 0x1.f8cc39f6dca71p-15, 0x1.db10fab379671p-15, 0x1.be2087d9550bcp-15, 0x1.a1f4e0b04584bp-15, 0x1.868842304eea1p-15, 0x1.6bd524a3fb5c7p-15, 0x1.51d63961eff77p-15, 0x1.3886688b667d3p-15, 0x1.1fe0cee776767p-15, 0x1.07e0bbcc4653ap-15, 0x1.e1035e2b4c335p-16, 0x1.b37eae6f8a044p-16, 0x1.872b1eaeb5b92p-16, 0x1.5c00bae739d6bp-16, 0x1.31f7e14e7a0cep-16, 0x1.09093ede0c95cp-16, 0x1.c25b981723a46p-17, 0x1.74bd9322cedabp-17, 0x1.292b7ab4c4fd8p-17, 0x1.bf31be1df8b19p-18, 0x1.2ff39e61d7a48p-18, 0x1.490b4ce8d4868p-19, 0x1.cd1ce2647b864p-22, -0x1.9cf4554aec6cdp-20, -0x1.cf76b6e539587p-19, -0x1.64bc91de98bfbp-18, -0x1.de5385b1d0d93p-18, -0x1.2a492639ece3fp-17, -0x1.63c5264bb8c76p-17, -0x1.9ba622d8aff5p-17, -0x1.d1f42c34ec9fep-17, -0x1.035b838cdc2bap-16, -0x1.1cfb181e01fecp-16, -0x1.35dc6fece2d89p-16, -0x1.4e030696341ebp-16, -0x1.657238c395a16p-16, -0x1.7c2d45cdfa808p-16, -0x1.9237513315189p-16, -0x1.a7936407e0597p-16, -0x1.bc446e5400efp-16, -0x1.d04d486a4de91p-16, -0x1.e3b0b42b257ccp-16, -0x1.f6715e2f8340fp-16, -0x1.0448ef7f6f791p-15, -0x1.0d0a5e136faddp-15, -0x1.157e34a146fa5p-15, -0x1.1da5a484638bfp-15, -0x1.2581d71dc2873p-15, -0x1.2d13ee4cb39eep-15, -0x1.345d04daefea4p-15, -0x1.3b5e2eec64a61p-15, -0x1.42187a6347a4cp-15, -0x1.488cef3dbb6d6p-15, -0x1.4ebc8ff6ebd26p-15, -0x1.54a859ddcbef3p-15, -0x1.5a5145674aefbp-15, -0x1.5fb8467dc8d79p-15, -0x1.64de4ccc22dd8p-15, -0x1.69c44405bc097p-15, -0x1.6e6b1426efdf9p-15, -0x1.72d3a1b737e91p-15, -0x1.76fece03c7e57p-15, -0x1.7aed775849b83p-15, -0x1.7ea07932aa876p-15, -0x1.8218ac7741909p-15, -0x1.8556e7a0a9f2fp-15, -0x1.885bfee8a6da5p-15, -0x1.8b28c4745d8bdp-15, -0x1.8dbe08797ca3ap-15, -0x1.901c996467d04p-15, -0x1.924543f69b85p-15, -0x1.9438d3684b894p-15, -0x1.95f81184a927cp-15, -0x1.9783c6c5d6808p-15, -0x1.98dcba6adbbf1p-15, -0x1.9a03b2920461p-15, -0x1.9af9744c6352bp-15, -0x1.9bbec3b02b4a2p-15, -0x1.9c5463eb06c5p-15, -0x1.9cbb1751d0cfbp-15, -0x1.9cf39f6f34c5ep-15, -0x1.9cfebd0f12da6p-15, -0x1.9cdd304a8a5aep-15, -0x1.9c8fb891f5355p-15, -0x1.9c1714b6d3a3ep-15, -0x1.9b7402f0ce706p-15, -0x1.9aa740e564537p-15, -0x1.99b18baeabb26p-15, -0x1.98939fdd0a88fp-15, -0x1.974e397b38decp-15, -0x1.95e21411000fcp-15, -0x1.944feaa5017b4p-15, -0x1.929877bdec5ccp-15, -0x1.90bc755f9065bp-15, -0x1.8ebc9d0cd84e9p-15, -0x1.8c99a7c518f77p-15, -0x1.8a544e037ace9p-15, -0x1.87ed47b94eef5p-15, -0x1.85654c4e3c876p-15, -0x1.82bd129b4174cp-15, -0x1.7ff550e54f73bp-15, -0x1.7d0ebcd941bb7p-15, -0x1.7a0a0b8747e51p-15, -0x1.76e7f15f3033bp-15, -0x1.73a92227f74bp-15, -0x1.704e50faacb31p-15, -0x1.6cd8303c5d51dp-15, -0x1.694771980a813p-15, -0x1.659cc5f7a1b2cp-15, -0x1.61d8dd7bdd93cp-15, -0x1.5dfc67785bba3p-15, -0x1.5a08126977b0ep-15, -0x1.55fc8bedd4e1dp-15, -0x1.51da80be4f383p-15, -0x1.4da29ca7861f9p-15, -0x1.49558a8343d8ep-15, -0x1.44f3f42f17d5bp-15, -0x1.407e828553677p-15, -0x1.3bf5dd5571fecp-15, -0x1.375aab5c29ddbp-15, -0x1.32ad923cbb486p-15, -0x1.2def36785f72cp-15, -0x1.29203b6843e8dp-15, -0x1.244143353321bp-15, -0x1.1f52eecf6cfd1p-15, -0x1.1a55dde89871fp-15, -0x1.154aaeeb2f3d7p-15, -0x1.1031fef681e99p-15, -0x1.0b0c69d4d804fp-15, -0x1.05da89f69d6e6p-15, -0x1.009cf86a0d6ccp-15, -0x1.f6a899aabe2f9p-16, -0x1.ec023adffbac1p-16, -0x1.e147fdfc8fb42p-16, -0x1.d67b0991e3c98p-16, -0x1.cb9c81325ded1p-16, -0x1.c0ad85630a021p-16, -0x1.b5af3390ff65p-16, -0x1.aaa2a606fdfecp-16, -0x1.9f88f3e39fc85p-16, -0x1.94633110b04cbp-16, -0x1.89326e3789141p-16, -0x1.7df7b8b8dde1ap-16, -0x1.72b41aa34c9c8p-16, -0x1.67689aa8d5a2cp-16, -0x1.5c163c1af2e84p-16, -0x1.50bdfee19be29p-16, -0x1.4560df7356f3dp-16, -0x1.39ffd6ce821f2p-16, -0x1.2e9bda72bfc5p-16, -0x1.2335dc59fae34p-16, -0x1.17cecaf3dccb5p-16, -0x1.0c679120fe63dp-16, -0x1.0101162f2a831p-16, -0x1.eb387ba458497p-17, -0x1.d473d044393fdp-17, -0x1.bdb5e32b01dc8p-17, -0x1.a70065fbc7debp-17, -0x1.9055030b7283ep-17, -0x1.79b55d61d7e07p-17, -0x1.632310adf48bap-17, -0x1.4c9fb143184e6p-17, -0x1.362ccc18aca39p-17, -0x1.1fcbe6c49c7fep-17, -0x1.097e7f79b6473p-17, -0x1.e68c1a15089a3p-18, -0x1.ba47fdd820025p-18, -0x1.8e337a62a40c6p-18, -0x1.6251511acba91p-18, -0x1.36a434afb87cfp-18, -0x1.0b2ec91349113p-18, -0x1.bfe747107ce21p-19, -0x1.69ea9556eb455p-19, -0x1.146c6d0cd0489p-19, -0x1.7ee3421b7ea91p-20, -0x1.abfb9cb9897bfp-21, -0x1.718d847505d13p-23, 0x1.e1e07d5f70d62p-22, 0x1.1df6e2e2909d5p-20, 0x1.c24214de8c693p-20, 0x1.32a8b46a40c13p-19, 0x1.838e658c13e6bp-19, 0x1.d3ce302b236abp-19, 0x1.11b22152429a2p-18, 0x1.3926739f6cee2p-18, 0x1.604241f7fee67p-18, 0x1.8703cd1bb97d1p-18, 0x1.ad69636a16188p-18, 0x1.d37160dafdfbfp-18, 0x1.f91a2edf5c0a1p-18, 0x1.0f312221f3e48p-17, 0x1.21a4128f1e471p-17, 0x1.33e531561b6c7p-17, 0x1.45f3cd9e74447p-17, 0x1.57cf3d01815a9p-17, 0x1.6976db8281badp-17, 0x1.7aea0b7e6f3c2p-17, 0x1.8c28359cc813cp-17, 0x1.9d30c8c13094ap-17, 0x1.ae0339f9b78e9p-17, 0x1.be9f04705ffc8p-17, 0x1.cf03a956f55efp-17, 0x1.df30afd5f4658p-17, 0x1.ef25a5026036ap-17, 0x1.fee21bc59ec6cp-17, 0x1.0732d667f8287p-16, 0x1.0ed7fb433180bp-16, 0x1.16604e78fd846p-16, 0x1.1dcba4d65a14ap-16, 0x1.2519d5e514a12p-16, 0x1.2c4abbe6df4f6p-16, 0x1.335e33c930047p-16, 0x1.3a541d1e57619p-16, 0x1.412c5a1378a21p-16, 0x1.47e6cf66c75ebp-16, 0x1.4e83645ead57bp-16, 0x1.550202bf64a5fp-16, 0x1.5b6296c0e1e81p-16, 0x1.61a50f08214a2p-16, 0x1.67c95c9b70ecep-16, 0x1.6dcf72d9138acp-16, 0x1.73b7476ec4a6dp-16, 0x1.7980d24f5b63cp-16, 0x1.7f2c0daa4049bp-16, 0x1.84b8f5ded9bd8p-16, 0x1.8a278975052f4p-16, 0x1.8f77c9142b985p-16, 0x1.94a9b778319ecp-16, 0x1.99bd5968ebea2p-16, 0x1.9eb2b5b0b4175p-16, 0x1.a389d511d5844p-16, 0x1.a842c23e0d2c9p-16, 0x1.acdd89cab3a3cp-16, 0x1.b15a3a2a1b67fp-16, 0x1.b5b8e3a0849f2p-16, 0x1.b9f9983b880e2p-16, 0x1.be1c6bc785552p-16, 0x1.c22173c732a68p-16, 0x1.c608c76b25488p-16, 0x1.c9d27f860e4c1p-16, 0x1.cd7eb6853d18ep-16, 0x1.d10d88664525fp-16, 0x1.d47f12af34247p-16, 0x1.d7d37464b237ep-16, 0x1.db0ace014321ap-16, 0x1.de25416c60838p-16, 0x1.e122f1f0d24c4p-16, 0x1.e40404357f165p-16, 0x1.e6c89e31e61e4p-16, 0x1.e970e726ed77ap-16, 0x1.ebfd07978f1dp-16, 0x1.ee6d293da1711p-16, 0x1.f0c17703c6675p-16, 0x1.f2fa1cfa2efap-16, 0x1.f5174851c8d1ap-16, 0x1.f7192750caf71p-16, 0x1.f8ffe94b31e39p-16, 0x1.facbbe9c98534p-16, 0x1.fc7cd89ccf7eap-16, 0x1.fe13699a480a7p-16, 0x1.ff8fa4d283489p-16, 0x1.0078df3427691p-15, 0x1.011cf5ae8a948p-15, 0x1.01b430c48fb53p-15, 0x1.023eabca894e8p-15, 0x1.02bc827808ad6p-15, 0x1.032dd0e4af4bbp-15, 0x1.0392b3854222fp-15, 0x1.03eb47272c5a2p-15, 0x1.0437a8ed5e5adp-15, 0x1.0477f64c2e88p-15, 0x1.04ac4d06d4543p-15, 0x1.04d4cb2b5761dp-15, 0x1.04f18f0e703bp-15, 0x1.0502b74a8430ap-15, 0x1.050862b9f5ca1p-15, 0x1.0502b07472195p-15, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      36, 0x1p+2, 0x1.402ec75b56a2p+1, 0x1.912b41dc2252fp+1, -0x1.7e406f0d0ff8fp-5, 
      {{
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.804d6b3a79p-5, -0x1.df5eb1a4344a7p-3, 0x1.2bc6fb2f68ebdp-2, -0x1.14372b657185p-3}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.26492f2256585p-5, -0x1.a57c6e7329c26p-3, 0x1.170fa4bb00685p-2, -0x1.14375e75214f7p-3}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aedd11ed550f1p-6, -0x1.6fbed6883dc4bp-3, 0x1.02584a7237827p-2, -0x1.143692366210bp-3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.25d2ad069d30fp-6, -0x1.3e25e8bd5366ap-3, 0x1.db41fef5e04efp-3, -0x1.14399021a3043p-3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.5f95d6506e643p-7, -0x1.10b1a948d497dp-3, 0x1.b1d2f62407db3p-3, -0x1.142e64b382124p-3}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.2c761fa754827p-8, -0x1.cec410ee6d675p-4, 0x1.88659a3c4df1dp-3, -0x1.14581480a20f1p-3}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.3bb8239add09dp-11, -0x1.846e81c074ba2p-4, 0x1.5ef1fd8f68d62p-3, -0x1.13bc80ba4e464p-3}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.433cd1506b4d6p-8, -0x1.4260efb0cf03dp-4, 0x1.3595b70d104bfp-3, -0x1.160120067b444p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16be2c488914p-7, -0x1.08a1baebbbafp-4, 0x1.0be258a5b1014p-3, -0x1.05134cd25db26p-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.766700759d211p-7, -0x1.adf12e4994a85p-5, 0x1.c9721a3f791a3p-4, -0x1.c1e609c2d2de1p-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.c3b117069552dp-7, -0x1.59339224edadap-5, 0x1.85f5ff2f0cabbp-4, -0x1.7f65ed71660c3p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.00a87a204c773p-6, -0x1.10f5d20775a2dp-5, 0x1.4c7381f7a3c3bp-4, -0x1.3b5b18c42d40dp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.18c98cb09619fp-6, -0x1.a666921826015p-6, 0x1.1d25d7da3693cp-4, -0x1.ef7563eb46547p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.2b2e024f182dap-6, -0x1.3bc5fe883b777p-6, 0x1.effa13eabc34p-5, -0x1.67f698105d11ep-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.38941892f1c92p-6, -0x1.bbf479a8d2495p-7, 0x1.b9fb7d1b7b0b2p-5, -0x1.c135d2dec7ba2p-6}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.41860b8f70803p-6, -0x1.11e67275a69f4p-7, 0x1.984aa6e45f436p-5, -0x1.63c31092160fdp-7}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.465a15d41062p-6, -0x1.c501cc1babb29p-9, 0x1.8af356454b3c7p-5, 0x1.6d151dc5906ccp-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.4732706c7bfacp-6, 0x1.70c7b79f86a24p-10, 0x1.91cbbba0ff8b3p-5, 0x1.708515455e458p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.43fd52e08c512p-6, 0x1.a8aff2ba1f028p-8, 0x1.ad6f506c99d0ap-5, 0x1.33c732c727cd9p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.3c74f33448e91p-6, 0x1.8959d5efc16c1p-7, 0x1.db99fe70dfc8ep-5, 0x1.e7ac56f525f6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.301f85e7e7bf1p-6, 0x1.2b1c61b887a3dp-6, 0x1.1260528ad2bd8p-4, 0x1.224a88f0973cfp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.1e59ec106e2dep-6, 0x1.9d373a8d449a5p-6, 0x1.2825e99cde153p-4, -0x1.21fec1508e935p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.06cd2e669a3a8p-6, 0x1.07a99b3048872p-5, 0x1.12660183a030ap-4, -0x1.8e82f8b5da0dcp-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.d3c7f0ab97f4cp-7, 0x1.389085d73d9dcp-5, 0x1.ad3e5203e55c7p-5, -0x1.594393acda865p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.91aa8c294cd98p-7, 0x1.5921870d531dcp-5, 0x1.bc2b8c6b914c6p-6, -0x1.8333df3d96974p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.4b318d4fb14dcp-7, 0x1.63b93055f9b4p-5, -0x1.479191189d239p-10, -0x1.46fe763c96604p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.04ce240185badp-7, 0x1.58e3d1ef70dc7p-5, -0x1.9cdda6f3d7dddp-6, -0x1.184512f858c2cp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.84e77c706da17p-8, 0x1.3bd6aa4c7034ap-5, -0x1.76984542212ffp-5, -0x1.d8c050695a96fp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.0f019812dfcc8p-8, 0x1.0f49ac6815c45p-5, -0x1.0235c84a77c8ap-4, -0x1.25f0b996e31f9p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.5ad0963845fd8p-9, 0x1.ae792c16d0f7dp-6, -0x1.2e4d17544d0d3p-4, -0x1.201d320448e64p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.8dc35e7647b12p-10, 0x1.35033db420ba8p-6, -0x1.3100909924229p-4, 0x1.d3eeee943af7dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.8af69b0a82c9bp-11, 0x1.840fc2160799bp-7, -0x1.0de83eb46c835p-4, 0x1.0708ea072b5b2p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.44ef3b8381b9ap-12, 0x1.976662404d457p-8, -0x1.7dfe57648bd09p-5, 0x1.2024b01fb9e9bp-3}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.9b3ec752702c9p-14, 0x1.55eb45888ef2ep-9, -0x1.a2370ea305539p-6, 0x1.8b4d98fb52bf7p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.44ef3b8381bdbp-16, 0x1.98e0ff4746ffap-11, -0x1.6a10ff4ba75cbp-7, 0x1.bcc8d96ee0963p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.44ef3b838227ep-20, 0x1.588dd58c42608p-14, -0x1.7cc859be1c04p-9, 0x1.2f1143e9c1585p-4}, 
      }}, 
      -0x1.2242d770fe1aap+0, 0x1.c3466a0af2bccp+2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.0c26367fd6c06p-3, -0x1.bc588267933ffp-4, -0x1.2c12e2fa59de5p-4, -0x1.c6b210c7ebcd4p-6, 0x1.a006ad0e99486p-6, 0x1.5672aa541d2b5p-4, 0x1.28021dfa0bc83p-3, 0x1.a61ff6c3fac4ap-3, 0x1.10fdb8e341f67p-2, 0x1.4c504a74ac8c7p-2, 0x1.83db0ded80fp-2, 0x1.b6b80f2dbc82bp-2, 0x1.e4404175824cp-2, 0x1.0601b27b92ac5p-1, 0x1.16e00b5b8217dp-1, 0x1.24ae2c238d449p-1, 0x1.2f6f5cedb93f1p-1, 0x1.37341d4f9fe71p-1, 0x1.3c1770ba9aa4ep-1, 0x1.3e3c832f4c76fp-1, 0x1.3dcc9f9ad07afp-1, 0x1.3af570c0457a2p-1, 0x1.35e785f3c178ap-1, 0x1.2ed51518fb5c8p-1, 0x1.25f0f3131a8a1p-1, 0x1.1b6dbba94516bp-1, 0x1.0f7d225576d05p-1, 0x1.024f6661c52afp-1, 0x1.e825cade78fd8p-2, 0x1.c9e7908fc0573p-2, 0x1.aa378c721ccedp-2, 0x1.8963f74b6060ap-2, 0x1.67b5a19ccaa36p-2, 0x1.456fdc6979999p-2, 0x1.22d0784bd1edap-2, 0x1.000fd71939e93p-2, 0x1.bac218e894c11p-3, 0x1.75e412f2c8e97p-3, 0x1.31d7a29e0a68cp-3, 0x1.ddcad70aa9cf8p-4, 0x1.5a9a5d30ae3a8p-4, 0x1.b51939d45a5e2p-5, 0x1.7802e75e25169p-6, -0x1.ab8b35540a25dp-8, -0x1.1eb9237a31cc8p-5, -0x1.ff685835069d4p-5, -0x1.6b943095bbbf4p-4, -0x1.d2dbb1bb52f74p-4, -0x1.1ab998417d2b1p-3, -0x1.49a5dcd38a81bp-3, -0x1.762f04ad445ebp-3, -0x1.a054dff75d744p-3, -0x1.c81a50c5c48b6p-3, -0x1.ed84f131202b4p-3, -0x1.084e5f8757ab4p-2, -0x1.18b5e6a4360e5p-2, -0x1.27fefd63359d9p-2, -0x1.3630575168b2cp-2, -0x1.43514ca556f29p-2, -0x1.4f69bd2786569p-2, -0x1.5a81f5787d01p-2, -0x1.64a296c631941p-2, -0x1.6dd480ec9be57p-2, -0x1.7620bed7475cfp-2, -0x1.7d9074ec74bd6p-2, -0x1.842cd147327c4p-2, -0x1.89fefdadb239dp-2, -0x1.8f10133848626p-2, -0x1.93690fa634dd1p-2, -0x1.9712cc48b43f7p-2, -0x1.9a15f65a0bc7fp-2, -0x1.9c7b088e946ffp-2, -0x1.9e4a45afd1432p-2, -0x1.9f8bb425c6435p-2, -0x1.a0471a5d18cadp-2, -0x1.a083fc0554a2dp-2, -0x1.a049981dfb817p-2, -0x1.9f9ee7c2d4e8p-2, -0x1.9e8a9da0c18f8p-2, -0x1.9d1325f39303ep-2, -0x1.9b3ea6f44976dp-2, -0x1.9913019c83ed7p-2, -0x1.9695d2b39e544p-2, -0x1.93cc741803361p-2, -0x1.90bbfe3fd946p-2, -0x1.8d6949f3e7b12p-2, -0x1.89d8f22e6c78dp-2, -0x1.860f5627900dfp-2, -0x1.82109b7c60622p-2, -0x1.7de0b068d887ap-2, -0x1.79834e0a16aa3p-2, -0x1.74fbfaa42c4d8p-2, -0x1.704e0be21e3e9p-2, -0x1.6b7ca90ddcep-2, -0x1.668acd3c825afp-2, -0x1.617b496d7fa85p-2, -0x1.5c50c69f967b4p-2, -0x1.570dc7d3b64fcp-2, -0x1.51b4ac07490b9p-2, -0x1.4c47b0177090ap-2, -0x1.46c8f09e54589p-2, -0x1.413a6bb2495ebp-2, -0x1.3b9e029f67c0ep-2, -0x1.35f57b84a4dbp-2, -0x1.304282e2a3f8p-2, -0x1.2a86ad159b828p-2, -0x1.24c377b96d169p-2, -0x1.1efa4afe3b75ap-2, -0x1.192c7ae8ae77fp-2, -0x1.135b488049a15p-2, -0x1.0d87e2ea28fb5p-2, -0x1.07b36878ccd0cp-2, -0x1.01dee7a579f6dp-2, -0x1.f816c000a8095p-3, -0x1.ec73861b77d4ap-3, -0x1.e0d5ea30e0038p-3, -0x1.d53f9bec8523fp-3, -0x1.c9b2337cd908dp-3, -0x1.be2f32efa8febp-3, -0x1.b2b8076e70633p-3, -0x1.a74e0a6cf83bfp-3, -0x1.9bf282c3164bfp-3, -0x1.90a6a5a979734p-3, -0x1.856b97b58b342p-3, -0x1.7a426db6bbd0dp-3, -0x1.6f2c2d8773564p-3, -0x1.6429ced32634bp-3, -0x1.593c3bcbe0496p-3, -0x1.4e6451d3a1b1p-3, -0x1.43a2e2187af2ap-3, -0x1.38f8b2265ddc4p-3, -0x1.2e667c78457cp-3, -0x1.23ecf0ee1deb2p-3, -0x1.198cb5408f23bp-3, -0x1.0f466581b9528p-3, -0x1.051a947a39ap-3, -0x1.f61397ff664bbp-4, -0x1.e2291ac325ee4p-4, -0x1.ce76a381f7242p-4, -0x1.bafd14a0c3ebcp-4, -0x1.a7bd414b2c9dfp-4, -0x1.94b7ee15c444p-4, -0x1.81edd17b19ed4p-4, -0x1.6f5f945498cfep-4, -0x1.5d0dd25485eeap-4, -0x1.4af91a7bc8c0ep-4, -0x1.3921ef97cdcb6p-4, -0x1.2788c8a439ca2p-4, -0x1.162e1112f2b2ap-4, -0x1.0512293be31bp-4, -0x1.e86acdbb3bd77p-5, -0x1.c7302abb1af2bp-5, -0x1.a674ebe9a1273p-5, -0x1.8639803e4086cp-5, -0x1.667e4427186a3p-5, -0x1.474381e880901p-5, -0x1.288971e1bc5f2p-5, -0x1.0a503b4b18091p-5, -0x1.d92fea26694fdp-6, -0x1.9ec14c6becb86p-6, -0x1.65548c2f74d04p-6, -0x1.2ce97a12d6bdp-6, -0x1.eaff93c3075f5p-7, -0x1.7e2e270d78221p-7, -0x1.135da7c16c347p-7, -0x1.5519b68d3662cp-8, -0x1.0ee951090e48ap-9, 0x1.08dc5da3f56c5p-10, 0x1.07ed23d1a5745p-8, 0x1.c9b170d2fc47cp-8, 0x1.43c424ef4ddc7p-7, 0x1.a0bb281d20a02p-7, 0x1.fbc03bacda05p-7, 0x1.2a6affdb21df3p-6, 0x1.55ff9c71585f8p-6, 0x1.809f680f9c997p-6, 0x1.aa4be90a6c34fp-6, 0x1.d306b68129584p-6, 0x1.fad176ffc448ep-6, 0x1.10d6efe7a0b5dp-5, 0x1.23ceda7b66e89p-5, 0x1.3651647b6e0d1p-5, 0x1.485f7de0a8f97p-5, 0x1.59fa1cc0a5c28p-5, 0x1.6b223cfee2e69p-5, 0x1.7bd8e045f0c9ep-5, 0x1.8c1f0de8a80fcp-5, 0x1.9bf5d279c3343p-5, 0x1.ab5e3f4d636c4p-5, 0x1.ba596a24ef3dap-5, 0x1.c8e86d16b1d74p-5, 0x1.d70c666af675fp-5, 0x1.e4c6785ea9836p-5, 0x1.f217c8b142be8p-5, 0x1.ff01806f81e13p-5, 0x1.05c265dac5063p-4, 0x1.0bd16cc8426ccp-4, 0x1.11ae6ddf07501p-4, 0x1.175a03386e386p-4, 0x1.1cd4c80bdfcadp-4, 0x1.221f58982fbeep-4, 0x1.273a520b3e53dp-4, 0x1.2c2652660be7cp-4, 0x1.30e3f860c6c14p-4, 0x1.3573e354e440ap-4, 0x1.39d6b32e0e07dp-4, 0x1.3e0d08592ebp-4, 0x1.421783abef022p-4, 0x1.45f6c64810222p-4, 0x1.49ab7182a3d0cp-4, 0x1.4d3626d494f29p-4, 0x1.509787d034abcp-4, 0x1.53d03614cb988p-4, 0x1.56e0d33a874cfp-4, 0x1.59ca00b9f97c5p-4, 0x1.5c8c5fd7593ecp-4, 0x1.5f2891947b17cp-4, 0x1.619f36a72807bp-4, 0x1.63f0ef6ed539ep-4, 0x1.661e5be61b9f5p-4, 0x1.68281b90e34a1p-4, 0x1.6a0ecd6c571f2p-4, 0x1.6bd30fe2e61f7p-4, 0x1.6d7580c349ddbp-4, 0x1.6ef6bd3646cb8p-4, 0x1.705761b2aebd5p-4, 0x1.719809f00d435p-4, 0x1.72b950daef508p-4, 0x1.73bbd08c0bd1ap-4, 0x1.74a022420f1a2p-4, 0x1.7566de5a29d54p-4, 0x1.76109c45cd479p-4, 0x1.769df27f02f8p-4, 0x1.770f767e161ebp-4, 0x1.7765bcb270deep-4, 0x1.77a1587e05ffcp-4, 0x1.77c2dc3131ebcp-4, 0x1.77cad90452becp-4, 0x1.77b9df0ed403p-4, 0x1.77907d3e9508p-4, 0x1.774f4150b7555p-4, 0x1.76f6b7ceb21e8p-4, 0x1.76876c0c40eap-4, 0x1.7601e82367922p-4, 0x1.7566b4ed4a0b5p-4, 0x1.74b659f944f8ep-4, 0x1.73f15d852588fp-4, 0x1.73184479e7f07p-4, 0x1.722b926d85903p-4, 0x1.712bc9a64ae21p-4, 0x1.70196b1ac41eap-4, 0x1.6ef4f66b35fb6p-4, 0x1.6dbee9d63ceddp-4, 0x1.6c77c22d14d25p-4, 0x1.6b1ffacce257bp-4, 0x1.69b80da00a926p-4, 0x1.68407325d6b59p-4, 0x1.66b9a27c57105p-4, 0x1.65241163fe1d2p-4, 0x1.6380343b5e51fp-4, 0x1.61ce7df309cf4p-4, 0x1.600f5fff1a56ap-4, 0x1.5e434a4c7da9dp-4, 0x1.5c6aab3e8b2cbp-4, 0x1.5a85efb58a463p-4, 0x1.5895831b40ff4p-4, 0x1.5699cf6f26187p-4, 0x1.54933d4d66c8cp-4, 0x1.528233eb0af0cp-4, 0x1.5067190bec4abp-4, 0x1.4e4250f246039p-4, 0x1.4c143e510ffa5p-4, 0x1.49dd4245a6fddp-4, 0x1.479dbc5c66f2ap-4, 0x1.45560a9f2ed29p-4, 0x1.430689a874f81p-4, 0x1.40af94b3100aep-4, 0x1.3e51859f9b48cp-4, 0x1.3becb4ec6f0c9p-4, 0x1.398179a2f8875p-4, 0x1.3710294237bf4p-4, 0x1.349917b03189bp-4, 0x1.321c97398467dp-4, 0x1.2f9af8a0c2453p-4, 0x1.2d148b37d689ap-4, 0x1.2a899cf91d891p-4, 0x1.27fa7a95832ddp-4, 0x1.25676f71bd7a8p-4, 0x1.22d0c594518b5p-4, 0x1.2036c58cdd9c7p-4, 0x1.1d99b6603ea85p-4, 0x1.1af9dd82f0d5ep-4, 0x1.18577ee49a414p-4, 0x1.15b2dd084549p-4, 0x1.130c391f52a04p-4, 0x1.1063d31c573e3p-4, 0x1.0db9e9b720474p-4, 0x1.0b0eba61c3f5bp-4, 0x1.086281357cc45p-4, 0x1.05b578e092776p-4, 0x1.0307da9e87c47p-4, 0x1.0059de3d44e78p-4, 0x1.fb57745c88e64p-5, 0x1.f5fb473674974p-5, 0x1.f09f9cef1d81p-5, 0x1.eb44db10708fbp-5, 0x1.e5eb64c1e171dp-5, 0x1.e0939ab4d099cp-5, 0x1.db3ddb0f22381p-5, 0x1.d5ea815fdeb9cp-5, 0x1.d099e6a42bc0ep-5, 0x1.cb4c615b1d608p-5, 0x1.c60245a0ad493p-5, 0x1.c0bbe5462aeb1p-5, 0x1.bb798fe0a64d3p-5, 0x1.b63b92cb8638fp-5, 0x1.b10239228921dp-5, 0x1.abcdcbba31149p-5, 0x1.a69e911d48a35p-5, 0x1.a174cd92e6908p-5, 0x1.9c50c32c4972bp-5, 0x1.9732b1d637b6ep-5, 0x1.921ad768ae841p-5, 0x1.8d096fb11c80dp-5, 0x1.87feb4768756ap-5, 0x1.82fadd7a07313p-5, 0x1.7dfe20776e92bp-5, 0x1.7908b12976869p-5, 0x1.741ac152879d5p-5, 0x1.6f3480c8d6b94p-5, 0x1.6a561d82f9d59p-5, 0x1.657fc3a241c23p-5, 0x1.60b19d7995234p-5, 0x1.5bebd39199d2dp-5, 0x1.572e8cac44818p-5, 0x1.5279edca267a7p-5, 0x1.4dce1a3280b7ep-5, 0x1.492b337d96f07p-5, 0x1.4491599f603acp-5, 0x1.4000aaf1a00c6p-5, 0x1.3b79443931e17p-5, 0x1.36fb40ac880cap-5, 0x1.3286b9f77d236p-5, 0x1.2e1bc841a56abp-5, 0x1.29ba8236da40ap-5, 0x1.2562fd11975d8p-5, 0x1.21154ca5597cdp-5, 0x1.1cd18367166cep-5, 0x1.1897b272e91e1p-5, 0x1.1467e98fa798ap-5, 0x1.1042373290852p-5, 0x1.0c26a8854f31dp-5, 0x1.0815496f9c3cep-5, 0x1.040e24a38d0b2p-5, 0x1.001143aa19c81p-5, 0x1.f83d5dd903cc2p-6, 0x1.f06cdb7179255p-6, 0x1.e8b10c82c9511p-6, 0x1.e109fb3856e89p-6, 0x1.d977af868635p-6, 0x1.d1fa2f3a9cfb1p-6, 0x1.ca917e190830fp-6, 0x1.c33d9e0434809p-6, 0x1.bbfe8f204f25p-6, 0x1.b4d44fe89ec05p-6, 0x1.adbedd2e45febp-6, 0x1.a6be3204df12bp-6, 0x1.9fd247a7e7c0ep-6, 0x1.98fb156a942cbp-6, 0x1.923890c16e747p-6, 0x1.8b8aad6b66602p-6, 0x1.84f15db2aac66p-6, 0x1.7e6c92b1dac4cp-6, 0x1.77fc3c851ce76p-6, 0x1.71a04a53f43fcp-6, 0x1.6b58aa2e6b445p-6, 0x1.652548ca158b2p-6, 0x1.5f06113ae0654p-6, 0x1.58faecc826ca4p-6, 0x1.5303c2f7f189ap-6, 0x1.4d2079d7ad3b7p-6, 0x1.4750f6720eb3ep-6, 0x1.41951d4f572dap-6, 0x1.3becd2d2b3d97p-6, 0x1.3657fb53cedcdp-6, 0x1.30d67ae44868bp-6, 0x1.2b6834d191197p-6, 0x1.260d0b0c4c88bp-6, 0x1.20c4ddac1b13p-6, 0x1.1b8f8ac1a7b53p-6, 0x1.166cee9233532p-6, 0x1.115ce43601be9p-6, 0x1.0c5f467055f4ap-6, 0x1.0773f080b95c3p-6, 0x1.029abeaa4b7d9p-6, 0x1.fba71c820c032p-7, 0x1.f23c7a62544b1p-7, 0x1.e8f5523f60d9dp-7, 0x1.dfd15cc850952p-7, 0x1.d6d04e5a76c7ap-7, 0x1.cdf1d6308acebp-7, 0x1.c5359ecc6f678p-7, 0x1.bc9b4f9745094p-7, 0x1.b4228f53e07c6p-7, 0x1.abcb06bb83ef3p-7, 0x1.a394628460eep-7, 0x1.9b7e5436ce9bbp-7, 0x1.93889189db40cp-7, 0x1.8bb2d26a85f26p-7, 0x1.83fcce30b18b4p-7, 0x1.7c6638bdd25d7p-7, 0x1.74eec049eb871p-7, 0x1.6d960c7c849c2p-7, 0x1.665bbf2278f1dp-7, 0x1.5f3f766db18c4p-7, 0x1.5840d03716092p-7, 0x1.515f6d7cc6d0fp-7, 0x1.4a9af520ff98fp-7, 0x1.43f315303c9b4p-7, 0x1.3d6782580a88dp-7, 0x1.36f7f5bb3cbc3p-7, 0x1.30a429b85ae4fp-7, 0x1.2a6bd667db151p-7, 0x1.244eae9360c59p-7, 0x1.1e4c5dc4fc459p-7, 0x1.186487dfe14p-7, 0x1.1296ca7956c86p-7, 0x1.0ce2bfd18bbbap-7, 0x1.074802db0b218p-7, 0x1.01c633575b3a6p-7, 0x1.f8b9f1da5d9d7p-8, 0x1.ee1808bd255d2p-8, 0x1.e3a61d411cb34p-8, 0x1.d963ac84f9df8p-8, 0x1.cf5037f8edac2p-8, 0x1.c56b3e808daafp-8, 0x1.bbb436b08572ep-8, 0x1.b22a8a980f51p-8, 0x1.a8cd9555d6827p-8, 0x1.9f9ca3054a5ap-8, 0x1.9696f3c82b71ap-8, 0x1.8dbbc2334a243p-8, 0x1.850a4c20426d7p-8, 0x1.7c81db8e54608p-8, 0x1.7421ccb8c11d6p-8, 0x1.6be98f5ecb4e7p-8, 0x1.63d8a3136346cp-8, 0x1.5bee9066e0485p-8, 0x1.542ae1c8ef294p-8, 0x1.4c8d1e8263fp-8, 0x1.4514c86103bc9p-8, 0x1.3dc15ad508093p-8, 0x1.369249b720728p-8, 0x1.2f86ff29036dep-8, 0x1.289eda07e74a6p-8, 0x1.21d92f6c7db21p-8, 0x1.1b3550a7e06b5p-8, 0x1.14b294a6564cdp-8, 0x1.0e5061589b5fdp-8, 0x1.080e31386fb7dp-8, 0x1.01eb926d207a8p-8, 0x1.f7d03f9224b75p-9, 0x1.ec06ed505048bp-9, 0x1.e07a5c85c95d5p-9, 0x1.d529a872eba52p-9, 0x1.ca13dde78a21dp-9, 0x1.bf380593a58bep-9, 0x1.b4952a6354da5p-9, 0x1.aa2a55d0995adp-9, 0x1.9ff6843fee4ddp-9, 0x1.95f89a934828ap-9, 0x1.8c2f66aae3f09p-9, 0x1.8299ae03b4acbp-9, 0x1.79364506ccfbdp-9, 0x1.70042501beb96p-9, 0x1.670277ee40e99p-9, 0x1.5e30959db23b8p-9, 0x1.558df324ebdcep-9, 0x1.4d1a0ad727d73p-9, 0x1.44d4470f060d1p-9, 0x1.3cbbf9033f1ecp-9, 0x1.34d05f2723d36p-9, 0x1.2d10b4bbd397ap-9, 0x1.257c401b5853cp-9, 0x1.1e12548b6b4d4p-9, 0x1.16d2447025ff4p-9, 0x1.0fbb4b544d985p-9, 0x1.08cc7e57ff354p-9, 0x1.0204ce688561p-9, 0x1.f6c6371045497p-10, 0x1.e9cc9c12ab237p-10, 0x1.dd1ad53ed14bep-10, 0x1.d0af3cf10f0c8p-10, 0x1.c48886f0959f9p-10, 0x1.b8a5b6b9f97f9p-10, 0x1.ad06015170589p-10, 0x1.a1a8a3c4dfdf8p-10, 0x1.968cc041c854p-10, 0x1.8bb15153a80ebp-10, 0x1.811538c2be0d5p-10, 0x1.76b7612bbef3ap-10, 0x1.6c96db4886dbbp-10, 0x1.62b2ddd8a1884p-10, 0x1.590aa15135c66p-10, 0x1.4f9d2c78fda19p-10, 0x1.466935902778ep-10, 0x1.3d6d2d428adeep-10, 0x1.34a765da274f4p-10, 0x1.2c1633060dd56p-10, 0x1.23b7f2050b14ap-10, 0x1.1b8b11f71e007p-10, 0x1.138e361b72a3ap-10, 0x1.0bc05f991e57p-10, 0x1.0420f2c5327ccp-10, 0x1.f95f1367ee5e4p-11, 0x1.ead7641ad6721p-11, 0x1.dca9820db07ffp-11, 0x1.ced3a92bea657p-11, 0x1.c153ee7e7f1ebp-11, 0x1.b42889dfdb67dp-11, 0x1.a74fee5d4412fp-11, 0x1.9ac8b4a35d91fp-11, 0x1.8e917723e1325p-11, 0x1.82a8b17556c95p-11, 0x1.770ca914e47aep-11, 0x1.6bbb71a2d30ecp-11, 0x1.60b315410099bp-11, 0x1.55f1b1936b031p-11, 0x1.4b754ac98ecbdp-11, 0x1.413b86821fbf7p-11, 0x1.3741e39bcbe02p-11, 0x1.2d867f55f61f7p-11, 0x1.2408983339754p-11, 0x1.1ac828a859cf2p-11, 0x1.11c4fed714ae6p-11, 0x1.08fe38025de7ap-11, 0x1.0072816a18ceep-11, 0x1.f0415341dd306p-12, 0x1.e00f97115bcedp-12, 0x1.d04ddf83171fdp-12, 0x1.c0f9515c32b01p-12, 0x1.b20e35778d1eep-12, 0x1.a388b5111358fp-12, 0x1.956586fb56673p-12, 0x1.87a2100d510d8p-12, 0x1.7a3c053f033c1p-12, 0x1.6d31179560431p-12, 0x1.607f23037e3edp-12, 0x1.542479a5e1495p-12, 0x1.481f52eb9ebb5p-12, 0x1.3c6cbafa26bfap-12, 0x1.3109059d12fb3p-12, 0x1.25f206336c3ecp-12, 0x1.1b27ff6a3f86ap-12, 0x1.10aba03c9db8ep-12, 0x1.067bbc276ec49p-12, 0x1.f92b505e488dep-13, 0x1.e5eee9b941ff1p-13, 0x1.d341f8fcdb9bfp-13, 0x1.c125352c73e44p-13, 0x1.af96de50a61afp-13, 0x1.9e91fdaeb277dp-13, 0x1.8e0fde54f7bb9p-13, 0x1.7e09c1bac8e96p-13, 0x1.6e79eb9ce009fp-13, 0x1.5f5c03d0e75abp-13, 0x1.50ace923ba6f2p-13, 0x1.426a06eb8bdcdp-13, 0x1.349092549cd7ap-13, 0x1.271d9a1be3cebp-13, 0x1.1a0f365d95f8ap-13, 0x1.0d6500a4cae71p-13, 0x1.011dd7bb43c1ap-13, 0x1.ea6b22d083beap-14, 0x1.d34f2546fc339p-14, 0x1.bce63204642d3p-14, 0x1.a7325870b193ep-14, 0x1.922f27b83a432p-14, 0x1.7dd3a28d623e2p-14, 0x1.6a1c84fea4ee5p-14, 0x1.570d31c91cd6p-14, 0x1.44a6b4a761a15p-14, 0x1.32e37d62122f9p-14, 0x1.21badb2b9032p-14, 0x1.1124e94e53617p-14, 0x1.011bac43c4072p-14, 0x1.e33518e8bfb11p-15, 0x1.c53b06b3ba859p-15, 0x1.a840f12901e23p-15, 0x1.8c3e191a740fbp-15, 0x1.7129952c3284cp-15, 0x1.56fb6b281b366p-15, 0x1.3dacc48071c3ep-15, 0x1.2537dc6ad1defp-15, 0x1.0d99a1a442921p-15, 0x1.eda7569d390eap-16, 0x1.c1cf857e3c3d7p-16, 0x1.9799952e59772p-16, 0x1.6ee2552cb8a05p-16, 0x1.479f46d964c24p-16, 0x1.21da94a418d5ep-16, 0x1.fb135cce844b4p-17, 0x1.b534be1ba92b4p-17, 0x1.721b74a580869p-17, 0x1.31c246cd5a9e4p-17, 0x1.e7fbf94dd0631p-18, 0x1.71409fea50976p-18, 0x1.fe3ec727520e5p-19, 0x1.230be5b34c493p-19, 0x1.4372acae1f51p-21, -0x1.e1775fce91926p-21, -0x1.38c7cddd3cc65p-19, -0x1.f0a9c0db116acp-19, -0x1.503c073b47ce2p-18, -0x1.a461d13b90e38p-18, -0x1.f50604fad9c4cp-18, -0x1.2123391b20ed5p-17, -0x1.460f25015a032p-17, -0x1.6943a4a855e7fp-17, -0x1.8ace1616d3de3p-17, -0x1.aac7674968c74p-17, -0x1.c93828d7bfb2ep-17, -0x1.e60acf570559ep-17, -0x1.009cdbbf8f89dp-16, -0x1.0d77ad7b380e2p-16, -0x1.19a3ef598094ap-16, -0x1.252c02984506p-16, -0x1.301f9c5c9bfe5p-16, -0x1.3a79663367908p-16, -0x1.4433d9ec4fb91p-16, -0x1.4d5909ab6c545p-16, -0x1.55f2c05eb1f69p-16, -0x1.5e0503b202022p-16, -0x1.65914b4c5ee3dp-16, -0x1.6c987f8aa73b7p-16, -0x1.731b7ed0d7c7dp-16, -0x1.791c05110d632p-16, -0x1.7e9ed7849126dp-16, -0x1.83ade9ba15005p-16, -0x1.88567f9bbbb3ep-16, -0x1.8ca17cce3b72ap-16, -0x1.908e3a287446ap-16, -0x1.9418cd3a6e7b4p-16, -0x1.97442a28aa2a9p-16, -0x1.9a17d2a39933bp-16, -0x1.9c94626bb6d23p-16, -0x1.9eb5feb7316fep-16, -0x1.a080808400b44p-16, -0x1.a1fd8e26cbb34p-16, -0x1.a331f29f6e769p-16, }}, 
      {{-0x1.16b1b669170ecp-3, -0x1.0715b62cde4f7p-3, -0x1.dc137b2472924p-4, -0x1.996c487e9db83p-4, -0x1.48ce43bf76798p-4, -0x1.d9c4a394bcfaep-5, -0x1.107c83d0643e4p-5, -0x1.d4f06b31d2344p-8, 0x1.46cf63442f0b3p-6, 0x1.859d01267c389p-5, 0x1.3442acc65a035p-4, 0x1.a48ec11d38f2fp-4, 0x1.09358185eeda7p-3, 0x1.3e62dc64759a9p-3, 0x1.715f5758f14f7p-3, 0x1.a1d13e81077c6p-3, 0x1.cf72e576675c3p-3, 0x1.fa105b9419473p-3, 0x1.10c29fa58f441p-2, 0x1.22dd5bc2b08bep-2, 0x1.3352cb48364bp-2, 0x1.422253ba350fbp-2, 0x1.4f4f928336e0bp-2, 0x1.5ae1ac7e0f255p-2, 0x1.64e2b05fee3efp-2, 0x1.6d5f0acba78f2p-2, 0x1.74650acdbbc01p-2, 0x1.7a047576e96bdp-2, 0x1.7e4e2745f5431p-2, 0x1.8153c21ae904dp-2, 0x1.83276679f7ed2p-2, 0x1.83db76f70f04fp-2, 0x1.838264b6fee3ap-2, 0x1.822e84079d3afp-2, 0x1.7ff1e8266adb3p-2, 0x1.7cde455e4d5b3p-2, 0x1.7904d8c10c7ecp-2, 0x1.747654c197048p-2, 0x1.6f42d21c3a11ep-2, 0x1.6979c4713a7e2p-2, 0x1.6329f2114aa2cp-2, 0x1.5c616e8c28281p-2, 0x1.552d97943f365p-2, 0x1.4d9b13d9093fdp-2, 0x1.45b5d38c41418p-2, 0x1.3d8912438af46p-2, 0x1.351f59f57ed9bp-2, 0x1.2c8286f12ac29p-2, 0x1.23bbcc92992abp-2, 0x1.1ad3ba9023ec4p-2, 0x1.11d242bcc7d89p-2, 0x1.08bebf2fbe5c8p-2, 0x1.ff3ff1660813bp-3, 0x1.ecf85aa615c08p-3, 0x1.dab22deab9ea7p-3, 0x1.c877e3fc1f171p-3, 0x1.b65307f263448p-3, 0x1.a44c4486f828ap-3, 0x1.926b71145f0abp-3, 0x1.80b79e21d8b03p-3, 0x1.6f372180e7bc6p-3, 0x1.5defa22099be3p-3, 0x1.4ce623a78764fp-3, 0x1.3c1f11be93a43p-3, 0x1.2b9e4adc886aap-3, 0x1.1b672a73f47c3p-3, 0x1.0b7c9280a7c66p-3, 0x1.f7c1e928e8861p-4, 0x1.d92cb507a85e9p-4, 0x1.bb3cdd85637b9p-4, 0x1.9df508ccad96bp-4, 0x1.81573d6a26334p-4, 0x1.6564f05346b3p-4, 0x1.4a1f11e533ae7p-4, 0x1.2f8619c2f02dap-4, 0x1.159a11f74919dp-4, 0x1.f8b542bf3dd6p-5, 0x1.c78e2b15c1774p-5, 0x1.97bcd8187a887p-5, 0x1.693eb66d5dc3p-5, 0x1.3c10b46382f59p-5, 0x1.102f50b62beb1p-5, 0x1.cb2d4feb98237p-6, 0x1.7885015559473p-6, 0x1.285cacb9d57b1p-6, 0x1.b5558eb25a1c4p-7, 0x1.1ecaae8a473e4p-7, 0x1.1a08124c52a52p-8, -0x1.3ad755bfaca2bp-19, -0x1.11248060bda1bp-8, -0x1.0c8dde189fd9fp-7, -0x1.8c1d02535d7f1p-7, -0x1.03ab2f28e220dp-6, -0x1.3f28635588033p-6, -0x1.789190f15a8ap-6, -0x1.aff22caa84226p-6, -0x1.e555a5e20853fp-6, -0x1.0c63b05d1dd23p-5, -0x1.252958654a8cap-5, -0x1.3d016a36cda08p-5, -0x1.53f178461b609p-5, -0x1.69ff068505199p-5, -0x1.7f2f88ab42b05p-5, -0x1.938860e917fe4p-5, -0x1.a70edea126738p-5, -0x1.b9c83d6dd67afp-5, -0x1.cbb9a438d8893p-5, -0x1.dce82495ca17bp-5, -0x1.ed58ba2cf4782p-5, -0x1.fd104a4eaa0bfp-5, -0x1.0609d1d0cd814p-4, -0x1.0d33bef551c1cp-4, -0x1.14083cf4293a5p-4, -0x1.1a8990a3cdc77p-4, -0x1.20b9f3501355ep-4, -0x1.269b92c2d86adp-4, -0x1.2c3091518ff9ep-4, -0x1.317b05f0a183p-4, -0x1.367cfc4b3d841p-4, -0x1.3b3874dfd183cp-4, -0x1.3faf651f5116ep-4, -0x1.43e3b7905f44bp-4, -0x1.47d74bf4ac1a8p-4, -0x1.4b8bf7707b852p-4, -0x1.4f0384b4375b4p-4, -0x1.523fb428f0979p-4, -0x1.55423c19617c4p-4, -0x1.580cc8e2a69bcp-4, -0x1.5aa0fd206cb02p-4, -0x1.5d0071db64655p-4, -0x1.5f2cb6b87f0a5p-4, -0x1.612752272360bp-4, -0x1.62f1c18fd221cp-4, -0x1.648d798340e9p-4, -0x1.65fbe5e7560c5p-4, -0x1.673e6a2585b4cp-4, -0x1.6856615819b65p-4, -0x1.69451e762775ap-4, -0x1.6a0bec7f5161p-4, -0x1.6aac0ea7d1f27p-4, -0x1.6b26c0826c326p-4, -0x1.6b7d36298ae2p-4, -0x1.6bb09c69decd6p-4, -0x1.6bc218e7d3f1ap-4, -0x1.6bb2ca48a04a9p-4, -0x1.6b83c85b337d2p-4, -0x1.6b362439166a4p-4, -0x1.6acae86e6a89ep-4, -0x1.6a43191d7a671p-4, -0x1.699fb422799b7p-4, -0x1.68e1b1358c48ep-4, -0x1.680a020cb15eep-4, -0x1.6719927d90ba8p-4, -0x1.6611489d9096bp-4, -0x1.64f204e0daa97p-4, -0x1.63bca239b4fd8p-4, -0x1.6271f63764c1ap-4, -0x1.6112d121dd785p-4, -0x1.5f9ffe1d7773bp-4, -0x1.5e1a4338d0938p-4, -0x1.5c826197cc678p-4, -0x1.5ad91586e14d5p-4, -0x1.591f169693bb4p-4, -0x1.575517b56bdfdp-4, -0x1.557bc749bfcdfp-4, -0x1.5393cf4a4b8dfp-4, -0x1.519dd555adf2fp-4, -0x1.4f9a7acaad1c1p-4, -0x1.4d8a5ce06af38p-4, -0x1.4b6e14bb21cc5p-4, -0x1.494637821f6c3p-4, -0x1.47135677ce706p-4, -0x1.44d5ff0dc0b68p-4, -0x1.428ebaf909fdap-4, -0x1.403e1046c763bp-4, -0x1.3de4817069aa4p-4, -0x1.3b828d6f5151fp-4, -0x1.3918afd003cb3p-4, -0x1.36a760c46f776p-4, -0x1.342f1536473c1p-4, -0x1.31b03ed94ec8ep-4, -0x1.2f2b4c3d65f27p-4, -0x1.2ca0a8df9d0f1p-4, -0x1.2a10bd3aa6f33p-4, -0x1.277beed767f4cp-4, -0x1.24e2a05da6016p-4, -0x1.224531a459e2p-4, -0x1.1fa3ffc126871p-4, -0x1.1cff6517409a3p-4, -0x1.1a57b966506eep-4, -0x1.17ad51d99f986p-4, -0x1.15008116deb4bp-4, -0x1.1251974bb9a3bp-4, -0x1.0fa0e23c907a7p-4, -0x1.0ceead50de8cap-4, -0x1.0a3b41a163a5ap-4, -0x1.0786e60502588p-4, -0x1.04d1df1e0aae1p-4, -0x1.021c6f66859p-4, -0x1.fecdae777d609p-5, -0x1.f962a9dc8bdd6p-5, -0x1.f3f8498badde3p-5, -0x1.ee8f022b44464p-5, -0x1.e9274485c8d13p-5, -0x1.e3c17da2c5aa8p-5, -0x1.de5e16dcd2399p-5, -0x1.d8fd75f6afcd3p-5, -0x1.d39ffd311b20cp-5, -0x1.ce460b5f0bb8ep-5, -0x1.c8effbf9f886dp-5, -0x1.c39e2735f1f98p-5, -0x1.be50e2157cb9cp-5, -0x1.b9087e7c34502p-5, -0x1.b3c54b432a866p-5, -0x1.ae879448f0b72p-5, -0x1.a94fa2852e483p-5, -0x1.a41dbc19c20bcp-5, -0x1.9ef22464792a3p-5, -0x1.99cd1c103e969p-5, -0x1.94aee125c366dp-5, -0x1.8f97af1bbace7p-5, -0x1.8a87bee682ac8p-5, -0x1.857f47081c525p-5, -0x1.807e7b9f5776p-5, -0x1.7b858e775845ap-5, -0x1.7694af1651c28p-5, -0x1.71ac0acc0cbe9p-5, -0x1.6ccbccbfe3845p-5, -0x1.67f41dfea646ep-5, -0x1.63252587faec8p-5, -0x1.5e5f085bd6e24p-5, -0x1.59a1e988eb01bp-5, -0x1.54edea382cf1p-5, -0x1.504329b882a46p-5, -0x1.4ba1c58d7f8ap-5, -0x1.4709d97a56455p-5, -0x1.427b7f8d42bfp-5, -0x1.3df6d02a0a952p-5, -0x1.397be21b25dfap-5, -0x1.350aca9251e8ep-5, -0x1.30a39d3da1e29p-5, -0x1.2c466c4d3d9afp-5, -0x1.27f3487ea6412p-5, -0x1.23aa4126e96d3p-5, -0x1.1f6b643c7aca2p-5, -0x1.1b36be60eb44ep-5, -0x1.170c5aea8ea3ap-5, -0x1.12ec43edfa0f2p-5, -0x1.0ed6824745bd9p-5, -0x1.0acb1da322482p-5, -0x1.06ca1c8791d27p-5, -0x1.02d3845c6b5c1p-5, -0x1.fdceb2e749718p-6, -0x1.f60b3e2315e27p-6, -0x1.ee5caee9db3dep-6, -0x1.e6c307be4f99ep-6, -0x1.df3e4938b2cd9p-6, -0x1.d7ce72151e8a9p-6, -0x1.d0737f435db6fp-6, -0x1.c92d6bf4820cbp-6, -0x1.c1fc31a8c93dcp-6, -0x1.badfc83d3dd5ap-6, -0x1.b3d825f9738d1p-6, -0x1.ace53f9cd73f5p-6, -0x1.a607086d0fe75p-6, -0x1.9f3d724274706p-6, -0x1.98886d95ebed1p-6, -0x1.91e7e984e503p-6, -0x1.8b5bd3ef1fc6fp-6, -0x1.84e4196de8f9ep-6, -0x1.7e80a56969b91p-6, -0x1.783162225f073p-6, -0x1.71f638bd2482ap-6, -0x1.6bcf114d2e4a9p-6, -0x1.65bbd2dff356fp-6, -0x1.5fbc63873e68ap-6, -0x1.59d0a862c47fbp-6, -0x1.53f885a942fd3p-6, -0x1.4e33deb1662dp-6, -0x1.488295fad02f3p-6, -0x1.42e48d376205ep-6, -0x1.3d59a55499c03p-6, -0x1.37e1be851a299p-6, -0x1.327cb849a5bbfp-6, -0x1.2d2a71798d899p-6, -0x1.27eac84a86bf6p-6, -0x1.22bd9a57ff611p-6, -0x1.1da2c4aa3680ap-6, -0x1.189a23bd6dcbp-6, -0x1.13a393894d0bap-6, -0x1.0ebeef88ac6bdp-6, -0x1.09ec12c0da685p-6, -0x1.052ad7c94ed84p-6, -0x1.007b18d269c6bp-6, -0x1.f7b95f57d3a1bp-7, -0x1.ee9eeb95e273bp-7, -0x1.e5a6889f6d18ep-7, -0x1.dccfe8170c534p-7, -0x1.d41abb0c3cf36p-7, -0x1.cb86b208d9518p-7, -0x1.c3137d0fde0d9p-7, -0x1.bac0cbdfc0d9ep-7, -0x1.b28e4d949025fp-7, -0x1.aa7bb119eb682p-7, -0x1.a288a50139a8fp-7, -0x1.9ab4d795a2814p-7, -0x1.92fff6e521adbp-7, -0x1.8b69b0c98df76p-7, -0x1.83f1b2f19d4c8p-7, -0x1.7c97aae9d68c7p-7, -0x1.755b462568972p-7, -0x1.6e3c3206c9109p-7, -0x1.673a1be80b5d9p-7, -0x1.6054b122a97b6p-7, -0x1.598b9f1741959p-7, -0x1.52de93343318p-7, -0x1.4c4d3afd9327fp-7, -0x1.45d744125f5p-7, -0x1.3f7c5c349d51cp-7, -0x1.393c314f922f9p-7, -0x1.3316717e015f6p-7, -0x1.2d0acb10ef292p-7, -0x1.2718ec9560c3dp-7, -0x1.214084da0028fp-7, -0x1.1b8142f464d94p-7, -0x1.15dad64636a1fp-7, -0x1.104cee823f59fp-7, -0x1.0ad73bb178aefp-7, -0x1.05796e380b72cp-7, -0x1.003336da1ad6ep-7, -0x1.f6088d808ca8ap-8, -0x1.ebd89ef79fe9ep-8, -0x1.e1d60614f9556p-8, -0x1.d80027b482d81p-8, -0x1.ce56699a3afb9p-8, -0x1.c4d832796fe1p-8, -0x1.bb84e9fc4a2c1p-8, -0x1.b25bf8cab26c2p-8, -0x1.a95cc8835f50bp-8, -0x1.a086c4073e573p-8, -0x1.97d956ef456d3p-8, -0x1.8f53ee24616e5p-8, -0x1.86f5f798236cap-8, -0x1.7ebee25b41132p-8, -0x1.76ae1ea2967c3p-8, -0x1.6ec31dcc5c1a4p-8, -0x1.66fd5264540abp-8, -0x1.5f5c3026eb29fp-8, -0x1.57df2c03879c2p-8, -0x1.5085bc1ec359cp-8, -0x1.494f57d5615aep-8, -0x1.423b77c03f859p-8, -0x1.3b4995b95c2cep-8, -0x1.34792ce06dc9ap-8, -0x1.2dc9b99db976fp-8, -0x1.273ab9a4474dap-8, -0x1.20cbabf091bfap-8, -0x1.1a7c10c6f4355p-8, -0x1.144b69b2f7316p-8, -0x1.0e3939889efcap-8, -0x1.08450468a31b9p-8, -0x1.026e4fc67b429p-8, -0x1.f96944dc87866p-9, -0x1.ee2f0911ac14bp-9, -0x1.e32cff2e72b32p-9, -0x1.d8623ce5e32e2p-9, -0x1.cdcdda85a949dp-9, -0x1.c36ef2e7ec7c6p-9, -0x1.b944a371809f3p-9, -0x1.af4e0c187776ep-9, -0x1.a58a4f767e758p-9, -0x1.9bf892dfff45dp-9, -0x1.9297fe75c457ap-9, -0x1.8967bd29294afp-9, -0x1.8066fcae6a032p-9, -0x1.7794ed5ea4039p-9, -0x1.6ef0c2167f8d3p-9, -0x1.6679b015fbc7fp-9, -0x1.5e2eeef842d69p-9, -0x1.560fb8bebdfadp-9, -0x1.4e1b49f2c209ap-9, -0x1.4650e1c9c3d35p-9, -0x1.3eafc2692aa45p-9, -0x1.373730b4131d9p-9, -0x1.2fe6747c69509p-9, -0x1.28bcd837e4d6p-9, -0x1.21b9a8c77c8b9p-9, -0x1.1adc3539c0d6dp-9, -0x1.1423cea93d446p-9, -0x1.0d8fc8383a995p-9, -0x1.071f7731e54c2p-9, -0x1.00d23347e25ep-9, -0x1.f54eadab9e35bp-10, -0x1.e93c7e2a837ap-10, -0x1.dd6c985d6e086p-10, -0x1.d1ddc23df2a86p-10, -0x1.c68ec6eb5d814p-10, -0x1.bb7e75fce169cp-10, -0x1.b0aba2d90d2b5p-10, -0x1.a615244260843p-10, -0x1.9bb9d43a65de1p-10, -0x1.91989043f1bbcp-10, -0x1.87b039ec0f5dep-10, -0x1.7dffb779a933dp-10, -0x1.7485f48487413p-10, -0x1.6b41e24ca9bd6p-10, -0x1.623277b31ddc3p-10, -0x1.5956b0d4e03d2p-10, -0x1.50ad8e61a04adp-10, -0x1.483614da2cdecp-10, -0x1.3fef4be655529p-10, -0x1.37d83dea71b6cp-10, -0x1.2feff7f212b68p-10, -0x1.283589e40d7dep-10, -0x1.20a8075703b67p-10, -0x1.1946878df7943p-10, -0x1.121026aa871e3p-10, -0x1.0b0405b8720a8p-10, -0x1.04214ac2a62f8p-10, -0x1.face411f3e3bbp-11, -0x1.eda96c4ca368dp-11, -0x1.e0d27c7aed0fp-11, -0x1.d447dd69bbd81p-11, -0x1.c808005ca9a4p-11, -0x1.bc115ba4529dfp-11, -0x1.b0626a8763311p-11, -0x1.a4f9ad9082eccp-11, -0x1.99d5ab24614cp-11, -0x1.8ef4f0531ddbp-11, -0x1.8456117234e94p-11, -0x1.79f7aaabdcb8fp-11, -0x1.6fd8600dd873dp-11, -0x1.65f6dd11ad5cp-11, -0x1.5c51d440da2a4p-11, -0x1.52e7febc0167cp-11, -0x1.49b81be51ef3ap-11, -0x1.40c0f114faa81p-11, -0x1.3801493aa1c6cp-11, -0x1.2f77f455f3cb1p-11, -0x1.2723c6eab2464p-11, -0x1.1f0399a8dede2p-11, -0x1.1716497d60282p-11, -0x1.0f5ab809b50dap-11, -0x1.07cfcc47df165p-11, -0x1.007473084b1e8p-11, -0x1.f28f3e2b36ed6p-12, -0x1.e490921170bf7p-12, -0x1.d6eade1868eebp-12, -0x1.c99c299f572bap-12, -0x1.bca2877e00aa2p-12, -0x1.affc1688995d7p-12, -0x1.a3a701697df03p-12, -0x1.97a17d43e3648p-12, -0x1.8be9c74a6262fp-12, -0x1.807e223db59e7p-12, -0x1.755cd50bb07dep-12, -0x1.6a842b446fd6cp-12, -0x1.5ff2771a0cc75p-12, -0x1.55a613d0e53fep-12, -0x1.4b9d674b7d6a5p-12, -0x1.41d6e2289e46ep-12, -0x1.3850fe9501f64p-12, -0x1.2f0a3ed06d322p-12, -0x1.26012c7c2f554p-12, -0x1.1d3458f77625fp-12, -0x1.14a25ed2a190cp-12, -0x1.0c49e2d15a9e1p-12, -0x1.0429938d59f87p-12, -0x1.f8804e7154747p-13, -0x1.e918b0ba9cd6p-13, -0x1.da19c6ac3af6ep-13, -0x1.cb810c13c2a79p-13, -0x1.bd4c045d7aa9ep-13, -0x1.af7841b47d22ap-13, -0x1.a2036ae59620ap-13, -0x1.94eb3d3e6df53p-13, -0x1.882d89fab8fffp-13, -0x1.7bc8310bd6707p-13, -0x1.6fb91bcef0a6cp-13, -0x1.63fe3b414522cp-13, -0x1.5895808ed05b5p-13, -0x1.4d7cee496566ap-13, -0x1.42b28d893ad7cp-13, -0x1.38347788303f1p-13, -0x1.2e00d32ad1c22p-13, -0x1.2415d0cdf9accp-13, -0x1.1a71a50933d3ap-13, -0x1.111285f5b78f5p-13, -0x1.07f6ad834976cp-13, -0x1.fe38bdfe1a892p-14, -0x1.ed03e1ab3bc6p-14, -0x1.dc4b9098402aap-14, -0x1.cc0cbe2192e52p-14, -0x1.bc44777d25c91p-14, -0x1.acefdd36990b3p-14, -0x1.9e0c1dfa9a8a1p-14, -0x1.8f967330c4e79p-14, -0x1.818c1df39047cp-14, -0x1.73ea64c40685bp-14, -0x1.66ae9425e86e1p-14, -0x1.59d6035f8ccb2p-14, -0x1.4d5e1b163691ep-14, -0x1.414458f488914p-14, -0x1.35864d466e14dp-14, -0x1.2a2194887d101p-14, -0x1.1f13d2c77a08ep-14, -0x1.145ab570191a9p-14, -0x1.09f3fa4a187cfp-14, -0x1.ffbaea45af56bp-15, -0x1.ec2a1dcb415d7p-15, -0x1.d9317f9ceeec8p-15, -0x1.c6cd167711d0ep-15, -0x1.b4f9023291e6bp-15, -0x1.a3b184e116f12p-15, -0x1.92f30624825d6p-15, -0x1.82ba092613c17p-15, -0x1.730318a9812cdp-15, -0x1.63cab5d02ab6ep-15, -0x1.550d5548962fdp-15, -0x1.46c76d5bf73c9p-15, -0x1.38f58c903b5e7p-15, -0x1.2b946c68c149ep-15, -0x1.1ea0f6e07acc4p-15, -0x1.12183d670a5f9p-15, -0x1.05f7681957d15p-15, -0x1.f47750d3dc944p-16, -0x1.ddc46fda066a6p-16, -0x1.c7d0be9c05162p-16, -0x1.b296f1fb8f428p-16, -0x1.9e11d5cc8f794p-16, -0x1.8a3c4565fe3ebp-16, -0x1.77113f05c9848p-16, -0x1.648c03b51e8f9p-16, -0x1.52a81c6b06a31p-16, -0x1.416145430a031p-16, -0x1.30b346b249245p-16, -0x1.2099da38b15ecp-16, -0x1.1110a94f378cfp-16, -0x1.0213523a9c237p-16, -0x1.e73ae4ca92783p-17, -0x1.cb55753a5422ep-17, -0x1.b06e19e8e323fp-17, -0x1.967d2e89fed71p-17, -0x1.7d7bb3a31d065p-17, -0x1.656323ca2cc11p-17, -0x1.4e2d2114eae26p-17, -0x1.37d32f303deb7p-17, -0x1.224eb2c5514bcp-17, -0x1.0d9928fe9be63p-17, -0x1.f358949acaf83p-18, -0x1.cd03ed9971e22p-18, -0x1.a82867fe3ad8cp-18, -0x1.84bab6cae40ebp-18, -0x1.62b06aea08e19p-18, -0x1.41ff84f665b8dp-18, -0x1.229ddc332f93ep-18, -0x1.048108cf2ff8dp-18, -0x1.cf3d8588b580cp-19, -0x1.97da4d3e29289p-19, -0x1.62c53060f3f75p-19, -0x1.2feaffcab14c9p-19, -0x1.fe70dcb26af14p-20, -0x1.a134cdd85552ap-20, -0x1.47fd41c67ef59p-20, -0x1.e55084119b7ap-21, -0x1.422db8b26dbb5p-21, -0x1.4cb1a0c80ab47p-22, -0x1.19a3fb9eaa428p-25, 0x1.f11c9be6cc208p-23, 0x1.0387356b37c21p-21, 0x1.84618c99ccb6bp-21, 0x1.ff0e22b0e45cep-21, 0x1.39e09d0008a74p-20, 0x1.71568148bcb2cp-20, 0x1.a60075ce4d1a9p-20, 0x1.d7f47afaef30cp-20, 0x1.03a43845e8bffp-19, 0x1.1a09dd9257be1p-19, 0x1.2f37405289caap-19, 0x1.4337d4746812bp-19, 0x1.5616234ca96c6p-19, 0x1.67dc407cfa4aep-19, 0x1.789416e90234fp-19, 0x1.88475dbaad797p-19, 0x1.96ff8d1e58013p-19, 0x1.a4c5f9f3270d6p-19, 0x1.b1a3b964f55cbp-19, 0x1.bda19ca1ef69bp-19, 0x1.c8c88151c782bp-19, 0x1.d31f0f75933bep-19, 0x1.dcae240fa6302p-19, 0x1.e57c8c2715119p-19, 0x1.ed917a988eb61p-19, 0x1.f4f45537860b6p-19, 0x1.fbac7c961a673p-19, 0x1.00e0600931d86p-18, 0x1.039b9a84f55eep-18, 0x1.060ad11ab0ad7p-18, 0x1.0830e98a3446ep-18, 0x1.0a10b82424a9fp-18, 0x1.0bad18a16b6d2p-18, 0x1.0d0918ab4938cp-18, 0x1.0e27b20858bb7p-18, 0x1.0f0b8468cb10ap-18, 0x1.0fb7063f0a53ap-18, 0x1.102caea8a88a7p-18, 0x1.106ede5a2d3cep-18, 0x1.107fcdc8825c3p-18, 0x1.106198b6c884fp-18, 0x1.10164674f5639p-18, 0x1.0f9fdd29f8027p-18, 0x1.0f0066180863dp-18, 0x1.0e39eeab978d3p-18, 0x1.0d4e81088af9ep-18, 0x1.0c4014830e8d1p-18, 0x1.0b10782776304p-18, 0x1.09c148556fe99p-18, 0x1.0853fee1e6c8dp-18, 0x1.06ca1a60c75ecp-18, 0x1.05253623205a3p-18, 0x1.0366eba3da09cp-18, 0x1.01909aff0d497p-18, 0x1.ff46d294c7eecp-19, 0x1.fb4120943d0f4p-19, 0x1.f713060ffca59p-19, 0x1.f2bf404c6f6e9p-19, 0x1.ee4851e65fe7fp-19, 0x1.e9b0a4d52dd07p-19, 0x1.e4fa3a57e478bp-19, 0x1.e0270257aad02p-19, 0x1.db39174d6bcdfp-19, 0x1.d6327ff8664afp-19, 0x1.d1151aa9bbe8ep-19, 0x1.cbe2abf6d191cp-19, 0x1.c69ce9de98616p-19, 0x1.c1457fdfd7407p-19, 0x1.bbde0ebe05934p-19, 0x1.b6683a7197b8ap-19, 0x1.b0e594b976134p-19, 0x1.ab57b6f73781dp-19, 0x1.a5bfe3519219ap-19, 0x1.a01fad9772cacp-19, 0x1.9a784947c76bp-19, 0x1.94cae1f030338p-19, 0x1.8f189358c4d3p-19, 0x1.8962685503273p-19, 0x1.83a976738c2f1p-19, 0x1.7deed3449d14fp-19, 0x1.78339032e18bp-19, 0x1.72788e279b088p-19, }}, 
      std::vector<double>(650, 0.0), 
      {{-0x1.94a3689b190c9p-10, -0x1.dd2c4c1d95371p-8, -0x1.389299b0b947ap-6, -0x1.3063b1ac5f697p-5, -0x1.f218635b47d19p-5, -0x1.6bd32a5d194a8p-4, -0x1.eae77c1312102p-4, -0x1.3853811da6d93p-3, -0x1.7becda4adb0bdp-3, -0x1.bdf59c3c79e57p-3, -0x1.fc81cc7a38ce6p-3, -0x1.1b02e1017e30ep-2, -0x1.34a90b5415f55p-2, -0x1.4ac609c3cefabp-2, -0x1.5d122a5cfa71p-2, -0x1.6b666206a3722p-2, -0x1.75b750ea7d5afp-2, -0x1.7c108652cf3e7p-2, -0x1.7e90240e1467fp-2, -0x1.7d62f125600afp-2, -0x1.78c0e099bc539p-2, -0x1.70ea0a54c1767p-2, -0x1.662410d2eb838p-2, -0x1.58b7ec22f0f64p-2, -0x1.48f011ba755c6p-2, -0x1.3716efe650c99p-2, -0x1.2375b3682e0ddp-2, -0x1.0e534e2f9c37ep-2, -0x1.efe76d622abf7p-3, -0x1.c12eb021b888ep-3, -0x1.90f557ffe717dp-3, -0x1.5fabefac9fcdbp-3, -0x1.2dba4e2798b55p-3, -0x1.f6fef8bfbca41p-4, -0x1.92a383b85aacdp-4, -0x1.2efda22fbe02bp-4, -0x1.993031c38ddeep-5, -0x1.afb6e8a3c4ba2p-6, -0x1.ad45be145a94dp-9, 0x1.3a54c77fa06d7p-6, 0x1.4f80e3f9e49dep-5, 0x1.fba8394069735p-5, 0x1.50984a1f989bdp-4, 0x1.9fdfb542a318cp-4, 0x1.eb86dbc15b984p-4, 0x1.19b98db1d5a2bp-3, 0x1.3bc8f0e5a2e0cp-3, 0x1.5bebf1cc65033p-3, 0x1.7a202e8ef6474p-3, 0x1.9666313a043cbp-3, 0x1.b0c11bf6d8d02p-3, 0x1.c9365c0c97013p-3, 0x1.dfcd61f7412c8p-3, 0x1.f48f5eb2d7f17p-3, 0x1.03c382dd38895p-2, 0x1.0c6029daa10f9p-2, 0x1.14242cdba3e73p-2, 0x1.1b1686633a7c1p-2, 0x1.213e8c9925592p-2, 0x1.26a3dcbc88572p-2, 0x1.2b4e485e2fbddp-2, 0x1.2f45c474fa339p-2, 0x1.32925a47aee61p-2, 0x1.353c1a049a8d1p-2, 0x1.374b0ecc32d5dp-2, 0x1.38c733fee88abp-2, 0x1.39b86bbd8796cp-2, 0x1.3a26769fab614p-2, 0x1.3a18eca86f41p-2, 0x1.3997376ad2b92p-2, 0x1.38a88d3c33667p-2, 0x1.3753ed450cd97p-2, 0x1.35a01c471e182p-2, 0x1.3393a20062405p-2, 0x1.3134c723e5c3p-2, 0x1.2e8993eb63e53p-2, 0x1.2b97cf43846d1p-2, 0x1.2864fe89dcfa8p-2, 0x1.24f665ccaea8bp-2, 0x1.215108706d3bcp-2, 0x1.1d79aa2464a15p-2, 0x1.1974d00ec9a8bp-2, 0x1.1546c225034dcp-2, 0x1.10f38ca9278b5p-2, 0x1.0c7f01cc1a21ap-2, 0x1.07ecbb71ee63dp-2, 0x1.03401d1a76dcdp-2, 0x1.fcf8abca7971ep-3, 0x1.f348c55a6468bp-3, 0x1.e97620608bb18p-3, 0x1.df85fa7eb61d7p-3, 0x1.d57d39cde1594p-3, 0x1.cb6071295997bp-3, 0x1.c133e455ea31ep-3, 0x1.b6fb8c17ef2fdp-3, 0x1.acbb1a224b1a9p-3, 0x1.a275fcf02a7eep-3, 0x1.982f637af2df6p-3, 0x1.8dea40db1391dp-3, 0x1.83a94fc4067b1p-3, 0x1.796f15e897165p-3, 0x1.6f3de739eb672p-3, 0x1.6517e90888a7p-3, 0x1.5aff14fdd00b1p-3, 0x1.50f53bf6cca09p-3, 0x1.46fc08b24668ep-3, 0x1.3d150262f44e5p-3, 0x1.33418f156a17dp-3, 0x1.2982f5f4b76dep-3, 0x1.1fda616fa5666p-3, 0x1.1648e1379bap-3, 0x1.0ccf6c24e2a2ap-3, 0x1.036ee1f93066ap-3, 0x1.f4501a125d54dp-4, 0x1.e1f7478fcfcf3p-4, 0x1.cfd494765f8e4p-4, 0x1.bde926ad45bf4p-4, 0x1.ac36047aff6cbp-4, 0x1.9abc16e755165p-4, 0x1.897c2be3cdcb4p-4, 0x1.7876f85a36abbp-4, 0x1.67ad1a11a915ep-4, 0x1.571f19650d61p-4, 0x1.46cd6aea0a534p-4, 0x1.36b870edb084cp-4, 0x1.26e07cce5ff03p-4, 0x1.1745d047c96ddp-4, 0x1.07e89e9bc88bdp-4, 0x1.f1921b4d1275p-5, 0x1.d3ce6dac37bdp-5, 0x1.b6865028bc416p-5, 0x1.99b9c94d367d6p-5, 0x1.7d68cbc49f2b9p-5, 0x1.619337b8d99b2p-5, 0x1.4638dc482d58ep-5, 0x1.2b59789b7abe6p-5, 0x1.10f4bcd58566p-5, 0x1.ee14967a20412p-6, 0x1.bb33725fbfb52p-6, 0x1.89451f96a7dadp-6, 0x1.5848996d0eda8p-6, 0x1.283cc5e636ffbp-6, 0x1.f240ede38bc2ep-7, 0x1.95e4d6fb6bbf9p-7, 0x1.3b62a10c28848p-7, 0x1.c56f08a83db11p-8, 0x1.17c1330d1d28ap-8, 0x1.b6d6da6bcdb4ep-10, -0x1.c5cd8ad0895dcp-11, -0x1.b726ff979465p-9, -0x1.7ade61c9f7222p-8, -0x1.0b509a6f6a61p-7, -0x1.5771831bb1f33p-7, -0x1.a1d5879bad9afp-7, -0x1.ea8058d409a2ap-7, -0x1.18baddae5034fp-6, -0x1.3b5cc3a8febf2p-6, -0x1.5d27d37c07351p-6, -0x1.7e1e0a93f4c3ep-6, -0x1.9e416e4a2caadp-6, -0x1.bd940bd49b084p-6, -0x1.dc17f7d06394fp-6, -0x1.f9cf4dad9ed9bp-6, -0x1.0b5e17a179c8ap-5, -0x1.197062402b76fp-5, -0x1.271f9d915381ep-5, -0x1.346ce333fb439p-5, -0x1.41594f5b5696ap-5, -0x1.4de6008e7ff9ep-5, -0x1.5a1417711056p-5, -0x1.65e4b6af6d6bep-5, -0x1.715902f4858fp-5, -0x1.7c7222b61dbf7p-5, -0x1.87313de0cc66cp-5, -0x1.91977da7667bcp-5, -0x1.9ba60c88b240cp-5, -0x1.a55e164b6fd82p-5, -0x1.aec0c7bda3c25p-5, -0x1.b7cf4e5db2f4fp-5, -0x1.c08ad835dc9bp-5, -0x1.c8f493ea025f4p-5, -0x1.d10db0b285ef3p-5, -0x1.d8d75e1dce29fp-5, -0x1.e052cbc250cbp-5, -0x1.e781291c3d5b5p-5, -0x1.ee63a59515219p-5, -0x1.f4fb707ed33cp-5, -0x1.fb49b8e4a0fb5p-5, -0x1.00a7d6a5fade9p-4, -0x1.03873dc830457p-4, -0x1.0643a86e33315p-4, -0x1.08ddacd1be64bp-4, -0x1.0b55e0c0c12d8p-4, -0x1.0dacd98a1e98p-4, -0x1.0fe32beabcd93p-4, -0x1.11f96c060a933p-4, -0x1.13f02d5da805bp-4, -0x1.15c802c7261f6p-4, -0x1.17817e5df88a4p-4, -0x1.191d31787a15fp-4, -0x1.1a9bac9f5a17cp-4, -0x1.1bfd7f84d8889p-4, -0x1.1d4338f8c5044p-4, -0x1.1e6d66dcd04a5p-4, -0x1.1f7c961c5518fp-4, -0x1.207152a7c4893p-4, -0x1.214c276fd2e93p-4, -0x1.220d9e5c7a532p-4, -0x1.22b640413360ap-4, -0x1.234694d3060ap-4, -0x1.23bf22a3025bdp-4, -0x1.24206f1c1f488p-4, -0x1.246afe8068524p-4, -0x1.249f53e2a7044p-4, -0x1.24bdf11d9b8bbp-4, -0x1.24c756cca200bp-4, -0x1.24bc044768786p-4, -0x1.249c779f90713p-4, -0x1.24692d9e3f2ddp-4, -0x1.2422a1c02e345p-4, -0x1.23c94e30b904fp-4, -0x1.235dabc5e337fp-4, -0x1.22e031fe4b5dp-4, -0x1.225156ff57349p-4, -0x1.21b18f927946ep-4, -0x1.21014f2171c3fp-4, -0x1.204107b2ec46p-4, -0x1.1f7129e8bb864p-4, -0x1.1e9225003c3acp-4, -0x1.1da466d349f8dp-4, -0x1.1ca85bd7a627bp-4, -0x1.1b9e6f1c0b471p-4, -0x1.1a870a44b45aap-4, -0x1.196295895d281p-4, -0x1.183177b5a6aacp-4, -0x1.16f4162b69de7p-4, -0x1.15aad4e4ce32ap-4, -0x1.145616745fe22p-4, -0x1.12f63c0351cf9p-4, -0x1.118ba54f18426p-4, -0x1.1016b0a9ad555p-4, -0x1.0e97bafbd608bp-4, -0x1.0d0f1fc8582a4p-4, -0x1.0b7d392dd8506p-4, -0x1.09e25fe642078p-4, -0x1.083eeb44b6d36p-4, -0x1.069331343f674p-4, -0x1.04df86397ad54p-4, -0x1.03243d77a56c8p-4, -0x1.0161a8b6cd1f7p-4, -0x1.ff3030cf8912dp-5, -0x1.fb8fb747c3aefp-5, -0x1.f7e280529faeep-5, -0x1.f42924ade76e1p-5, -0x1.f0643a56d1a7p-5, -0x1.ec945492272e5p-5, -0x1.e8ba03fd4d1b4p-5, -0x1.e4d5d6a0e76d9p-5, -0x1.e0e857fddd03cp-5, -0x1.dcf2110ed2e44p-5, -0x1.d8f3883fea5d2p-5, -0x1.d4ed4162aa8cbp-5, -0x1.d0dfbda5f185ep-5, -0x1.cccb7b9804c7ap-5, -0x1.c8b0f7341bf51p-5, -0x1.c490a9f805507p-5, -0x1.c06b0afa953aep-5, -0x1.bc408efa684dp-5, -0x1.b811a862cab82p-5, -0x1.b3dec7429645dp-5, -0x1.afa8593e3925bp-5, -0x1.ab6ec98210d3p-5, -0x1.a73280be41669p-5, -0x1.a2f3e530ae373p-5, -0x1.9eb35abc72a31p-5, -0x1.9a714308227e9p-5, -0x1.962dfd985cf9fp-5, -0x1.91e9e7dd0d75ep-5, -0x1.8da55d2cc593bp-5, -0x1.8960b6b17c3bp-5, -0x1.851c4b50d0343p-5, -0x1.80d86f9cb9528p-5, -0x1.7c9575d692bb2p-5, -0x1.7853ae06b51bfp-5, -0x1.7413662173227p-5, -0x1.6fd4ea2c16a79p-5, -0x1.6b988453e341p-5, -0x1.675e7cef43c8ap-5, -0x1.63271a6b1e90ep-5, -0x1.5ef2a12f1171ep-5, -0x1.5ac1538786efdp-5, -0x1.569371a1a2a93p-5, -0x1.5269399d18456p-5, -0x1.4e42e7ae2cc5ap-5, -0x1.4a20b6435c939p-5, -0x1.4602de20f26ap-5, -0x1.41e99669dca1dp-5, -0x1.3dd51495b9d8ap-5, -0x1.39c58c5bff78dp-5, -0x1.35bb2fa0888bp-5, -0x1.31b62e6c496bcp-5, -0x1.2db6b6f6cf632p-5, -0x1.29bcf5bd5094ep-5, -0x1.25c9159ff7329p-5, -0x1.21db3ffa0fd2ap-5, -0x1.1df39caed5ce6p-5, -0x1.1a1252290ac2dp-5, -0x1.16378551ae366p-5, -0x1.1263598560a9p-5, -0x1.0e95f08fb2625p-5, -0x1.0acf6ab0442c5p-5, -0x1.070fe6a8f7c27p-5, -0x1.035781d086dbap-5, -0x1.ff4cb047523c9p-6, -0x1.f7f908a084c04p-6, -0x1.f0b43f727df49p-6, -0x1.e97e84ea78c66p-6, -0x1.e2580698022b8p-6, -0x1.db40ef6da1519p-6, -0x1.d43967cb9ca9fp-6, -0x1.cd419593ef632p-6, -0x1.c6599c4298d24p-6, -0x1.bf819d03ee644p-6, -0x1.b8b9b6c472f7ap-6, -0x1.b202063958121p-6, -0x1.ab5aa5e47a38ep-6, -0x1.a4c3ae1841245p-6, -0x1.9e3d34ff7b973p-6, -0x1.97c74eaa7ca9dp-6, -0x1.91620d201e34cp-6, -0x1.8b0d806f57b6ap-6, -0x1.84c9b6be2aa55p-6, -0x1.7e96bc5476f5bp-6, -0x1.78749ba373068p-6, -0x1.72635d4c56c5ep-6, -0x1.6c630828c7164p-6, -0x1.6673a1566a712p-6, -0x1.60952c4508729p-6, -0x1.5ac7aac56fd5fp-6, -0x1.550b1d153dc29p-6, -0x1.4f5f81eb42054p-6, -0x1.49c4d67cc1eb4p-6, -0x1.443b1685c7822p-6, -0x1.3ec23c51a7bap-6, -0x1.395a40c669fecp-6, -0x1.34031b7235079p-6, -0x1.2ebcc298c1fb7p-6, -0x1.29872b3ea7305p-6, -0x1.2462493165453p-6, -0x1.1f4e0f0cecd75p-6, -0x1.1a4a6e4119a9p-6, -0x1.155757198f2dfp-6, -0x1.1074b8c99b494p-6, -0x1.0ba2817b21375p-6, -0x1.06e09e5dabdefp-6, -0x1.022efbb262dbfp-6, -0x1.fb1b09a46c8c5p-7, -0x1.f1f8485e16566p-7, -0x1.e8f586a5e1c94p-7, -0x1.e01295c4b8fa9p-7, -0x1.d74f454a9e889p-7, -0x1.ceab6330c353bp-7, -0x1.c626bc054d6bdp-7, -0x1.bdc11b1427018p-7, -0x1.b57a4a80ecfcep-7, -0x1.ad521347acfc1p-7, -0x1.a5483d2a47f43p-7, -0x1.9d5c8e94f6ba1p-7, -0x1.958ecc8ce94b9p-7, -0x1.8ddebaba18625p-7, -0x1.864c1b9282743p-7, -0x1.7ed6b09f628d3p-7, -0x1.777e3ac7f3337p-7, -0x1.70427a87c64d9p-7, -0x1.69232ffc07b9ap-7, -0x1.62201ac14e3e3p-7, -0x1.5b38f9aea29dep-7, -0x1.546d8a8a721b6p-7, -0x1.4dbd89dc283bap-7, -0x1.4728b2f55a45cp-7, -0x1.40aec03b4fbeep-7, -0x1.3a4f6ba0be56ep-7, -0x1.340a6f2ad3adp-7, -0x1.2ddf8555cc30ep-7, -0x1.27ce693191c9ep-7, -0x1.21d6d628f1f02p-7, -0x1.1bf88782060d2p-7, -0x1.163337c191af5p-7, -0x1.1086a02933e26p-7, -0x1.0af27884a183dp-7, -0x1.05767761fa59bp-7, -0x1.001252af898dep-7, -0x1.f58b812b2f1fbp-8, -0x1.eb20f096bc06ep-8, -0x1.e0e465458f022p-8, -0x1.d6d5543391f52p-8, -0x1.ccf334c935638p-8, -0x1.c33d7f1e2f761p-8, -0x1.b9b3a9eb13e48p-8, -0x1.b05528cc691c3p-8, -0x1.a7216b68cf0dp-8, -0x1.9e17ddcfc0647p-8, -0x1.9537ea0da3338p-8, -0x1.8c80fa93b39d1p-8, -0x1.83f27cccdeae7p-8, -0x1.7b8be3216a7a6p-8, -0x1.734ca5cf507dep-8, -0x1.6b34424ffbcffp-8, -0x1.6342396d4f4bap-8, -0x1.5b760c8657893p-8, -0x1.53cf3abba935ap-8, -0x1.4c4d3ec403376p-8, -0x1.44ef8e02ededdp-8, -0x1.3db5993114ab9p-8, -0x1.369ece7dae87ep-8, -0x1.2faa9cb92ea7dp-8, -0x1.28d876a91b02ap-8, -0x1.2227d5b26267bp-8, -0x1.1b983b148b44p-8, -0x1.15292f68232fdp-8, -0x1.0eda408b1cfe8p-8, -0x1.08aafe8aba74ep-8, -0x1.029af84942f2fp-8, -0x1.f953713110178p-9, -0x1.edad88bfdb14cp-9, -0x1.e2433470118p-9, -0x1.d713675aa385cp-9, -0x1.cc1d10142075cp-9, -0x1.c15f203a8bc41p-9, -0x1.b6d8942a30d46p-9, -0x1.ac8878c11870dp-9, -0x1.a26ded9d125f1p-9, -0x1.9888236108bc3p-9, -0x1.8ed656cde3cc1p-9, -0x1.8557ca4a0c386p-9, -0x1.7c0bbf7533b19p-9, -0x1.72f171cfbae5ep-9, -0x1.6a0812ddb735p-9, -0x1.614ec7f9ba8c5p-9, -0x1.58c4aa4fda924p-9, -0x1.5068c9ac04c18p-9, -0x1.483a3258fe427p-9, -0x1.4037f527814ccp-9, -0x1.38612f7e7256p-9, -0x1.30b510dce3942p-9, -0x1.2932dbf992d08p-9, -0x1.21d9e35a0d1e7p-9, -0x1.1aa9830b1139dp-9, -0x1.13a11a1856fdbp-9, -0x1.0cc005f0f2667p-9, -0x1.0605a04ae46cfp-9, -0x1.fee27cce1296bp-10, -0x1.f20460285cfa1p-10, -0x1.e56f7bc7ed3b5p-10, -0x1.d9224fa77ae9ap-10, -0x1.cd1b4d330c0a2p-10, -0x1.c158e1bb5f66dp-10, -0x1.b5d986e209e79p-10, -0x1.aa9bd31251a7dp-10, -0x1.9f9e8320bfebbp-10, -0x1.94e078b3d268bp-10, -0x1.8a60adda57142p-10, -0x1.801e232683909p-10, -0x1.7617d05a3d938p-10, -0x1.6c4c9e4944c0cp-10, -0x1.62bb6b063a07ap-10, -0x1.59631310e669cp-10, -0x1.5042772b7b462p-10, -0x1.47587977df12ap-10, -0x1.3ea3f39088818p-10, -0x1.3623ad7c10a76p-10, -0x1.2dd65de0b4654p-10, -0x1.25bab645b97ddp-10, -0x1.1dcf76c7fa664p-10, -0x1.161380adf9305p-10, -0x1.0e85e04ba0537p-10, -0x1.0725ca752b0a8p-10, -0x1.ffe51c9143447p-11, -0x1.f1d70167134eap-11, -0x1.e41fd4c2c09fap-11, -0x1.d6be005472334p-11, -0x1.c9afd02f6b35p-11, -0x1.bcf38e034e2a3p-11, -0x1.b0879916947ebp-11, -0x1.a46a69ddf0033p-11, -0x1.989a7b4579ad8p-11, -0x1.8d16262b8d71bp-11, -0x1.81db8755af91bp-11, -0x1.76e882e1fe51fp-11, -0x1.6c3ae4210a667p-11, -0x1.61d087057bcebp-11, -0x1.57a779a5560c2p-11, -0x1.4dbe0f58b4326p-11, -0x1.4412e78467d31p-11, -0x1.3aa4e5404ce49p-11, -0x1.3173166ee9c7ap-11, -0x1.287c91bc40f1p-11, -0x1.1fc05a0f15c05p-11, -0x1.173d5407eb2a1p-11, -0x1.0ef251f103186p-11, -0x1.06de2ee74fd2p-11, -0x1.fdffcd316f843p-12, -0x1.eead2aa2d8a57p-12, -0x1.dfc2b5ab31322p-12, -0x1.d13e623e9924dp-12, -0x1.c31da765dfd13p-12, -0x1.b55d912123e5cp-12, -0x1.a7faffa22bcaap-12, -0x1.9af2da8195eb8p-12, -0x1.8e421db43d817p-12, -0x1.81e5e6002e953p-12, -0x1.75dba65a1ae2fp-12, -0x1.6a21698e67b0ap-12, -0x1.5eb5da820345cp-12, -0x1.5397fc55c68afp-12, -0x1.48c6c1ac1b3c3p-12, -0x1.3e40c6f02fa06p-12, -0x1.3404543144ca4p-12, -0x1.2a0f95accdebap-12, -0x1.2060d5bdca33bp-12, -0x1.16f68f8e73483p-12, -0x1.0dcf5da2c7738p-12, -0x1.04e9ddd79d52dp-12, -0x1.f889319e9c11cp-13, -0x1.e7bbe1f90ca35p-13, -0x1.d7684cc9e0df5p-13, -0x1.c78aeaf7fd772p-13, -0x1.b8205a0f589e8p-13, -0x1.a92516eb95597p-13, -0x1.9a95133c590bdp-13, -0x1.8c6c09582b625p-13, -0x1.7ea6a7ebd0298p-13, -0x1.714359863aa6ep-13, -0x1.6441aacde9abbp-13, -0x1.57a0e8662676bp-13, -0x1.4b5f544925824p-13, -0x1.3f7a880d0b85ap-13, -0x1.33f05267ac9efp-13, -0x1.28bef9ec2accdp-13, -0x1.1de4ae77a01dap-13, -0x1.135ef18b57766p-13, -0x1.092aa24b1265ap-13, -0x1.fe89171773a08p-14, -0x1.eb53cde0bfe77p-14, -0x1.d8b0ecfd03574p-14, -0x1.c69c7e6dca71p-14, -0x1.b51292c7bd4c7p-14, -0x1.a40f80e3d07bfp-14, -0x1.939050bb83592p-14, -0x1.8391e72252312p-14, -0x1.740f780325a6ep-14, -0x1.65032d5b12174p-14, -0x1.566962eda2c42p-14, -0x1.484204b6600dfp-14, -0x1.3a8da1e252a41p-14, -0x1.2d4a19deec7f4p-14, -0x1.2073213e6f11dp-14, -0x1.14057d21f9cc5p-14, -0x1.08008c8052991p-14, -0x1.f8c8d99cef801p-15, -0x1.e25eeef8ee99ap-15, -0x1.ccbb749b23bddp-15, -0x1.b7d414662f0efp-15, -0x1.a39e7cabaf3dbp-15, -0x1.9011dccadddfp-15, -0x1.7d276b94d5936p-15, -0x1.6ada249fc191bp-15, -0x1.5925d721d42e7p-15, -0x1.480613e451ec1p-15, -0x1.37763f593d952p-15, -0x1.2773338df1301p-15, -0x1.17fbe3e77ad6cp-15, -0x1.090e426dd4839p-15, -0x1.f5481c775f3cp-16, -0x1.d96cdb9e7f568p-16, -0x1.be87c33e4f13cp-16, -0x1.a49ad81a37ffp-16, -0x1.8b9f2979c1bc2p-16, -0x1.73877bd64221bp-16, -0x1.5c4e7b1f06f65p-16, -0x1.45f8070c16cccp-16, -0x1.3084cde4f90e9p-16, -0x1.1bec701ad1538p-16, -0x1.082255a99a84ep-16, -0x1.ea362da2ddf1ap-17, -0x1.c59bfb2a19c42p-17, -0x1.a26887c017208p-17, -0x1.808fda7fe2d4p-17, -0x1.6005d79fc7039p-17, -0x1.40bd83c7b50adp-17, -0x1.22a9f893b7308p-17, -0x1.05bf8b0eca4f7p-17, -0x1.d3e8941f1a263p-18, -0x1.9e7f9d096626dp-18, -0x1.6b3a8299fd6a8p-18, -0x1.3a1bae513d72ep-18, -0x1.0b25fca49648ep-18, -0x1.bc7fb5602540cp-19, -0x1.66736b4af1d46p-19, -0x1.1408d5756121dp-19, -0x1.8aaf7054b69a4p-20, -0x1.e905cc3aee221p-21, -0x1.949b90dfc3e9ap-22, 0x1.1b1f9aea79956p-23, 0x1.4a5e298b51155p-21, 0x1.20ae82e7346e8p-20, 0x1.965e094518621p-20, 0x1.0341bbd3fd642p-19, 0x1.389d01c9467ecp-19, 0x1.6b467cd87cd28p-19, 0x1.9b44cdce686b5p-19, 0x1.c8a5623a63c97p-19, 0x1.f3813105a1c0cp-19, 0x1.0dff7784209a9p-18, 0x1.2127034ff358fp-18, 0x1.334bfe771f435p-18, 0x1.447851f261f4ep-18, 0x1.54aafc9bf69f2p-18, 0x1.63e28e5691aa9p-18, 0x1.7227e67eee0d5p-18, 0x1.7f8b17350751p-18, 0x1.8c1212434bbd4p-18, 0x1.97b02e780a4e2p-18, 0x1.a2628020eca2ap-18, 0x1.ac43aa2f8e097p-18, 0x1.b5657c70dd3d2p-18, 0x1.bdd51192a9f7ap-18, 0x1.c5a5e63d9bf2cp-18, 0x1.ccd1a8a5f6388p-18, 0x1.d351cf1e4dd15p-18, 0x1.d932eab7d7caep-18, 0x1.de81355ee58cfp-18, 0x1.e341d6ab05853p-18, 0x1.e776d423e1ac8p-18, 0x1.eb2185039562dp-18, 0x1.ee4338568ce97p-18, 0x1.f0de4d42fda3ap-18, 0x1.f2f8c30e9db23p-18, 0x1.f49eb63d0fdc8p-18, 0x1.f5e0026b943a2p-18, 0x1.f6c730c0aaa34p-18, 0x1.f75366d4e045p-18, 0x1.f780249c46c6dp-18, 0x1.f7510ae2bc168p-18, 0x1.f6cef8bc7d73cp-18, 0x1.f5fabd57b1c61p-18, 0x1.f4d00e0d88726p-18, 0x1.f3538642bdeb7p-18, 0x1.f1904e5380759p-18, 0x1.ef8bf1c7502bfp-18, }}, 
      {{-0x1.c362064630d78p-5, 0x1.8926b5a05e66dp-6, 0x1.f084195bf8f9cp-4, 0x1.c2aacbe50a691p-3, 0x1.3e4a70f563742p-2, 0x1.8dc5c4f8d373p-2, 0x1.cd946d98e8028p-2, 0x1.fd6b7bd1d03f8p-2, 0x1.0f12da0155a23p-1, 0x1.18a10b0dbb303p-1, 0x1.1c47626124819p-1, 0x1.1af9064e36f3cp-1, 0x1.15a3e670b26e5p-1, 0x1.0d2650b488eb4p-1, 0x1.024927824ca4fp-1, 0x1.eb7a6199e5137p-2, 0x1.d034e225948a7p-2, 0x1.b3c1b1683a85ap-2, 0x1.96f385fed0c4cp-2, 0x1.7a73dbdca1b32p-2, 0x1.5ec75a5863373p-2, 0x1.44525cc05f13cp-2, 0x1.2b5d6468e50dbp-2, 0x1.14194ecd726b2p-2, 0x1.fd46722a55cc8p-3, 0x1.d6100ab14d53bp-3, 0x1.b28efb3df2923p-3, 0x1.92ae2aad6e541p-3, 0x1.76489a0960adcp-3, 0x1.5d2d7bb2520d4p-3, 0x1.4723a82ab21fep-3, 0x1.33ec7fc0528d2p-3, 0x1.234648eb0ef41p-3, 0x1.14ee1b111c95p-3, 0x1.08a164d64794ap-3, 0x1.fc3e385824327p-4, 0x1.ea514a01e012cp-4, 0x1.db04f585824cp-4, 0x1.cde94dc60ede3p-4, 0x1.c2961ae3a3b8fp-4, 0x1.b8ab303d65eb1p-4, 0x1.afd08d6da7112p-4, 0x1.a7b653a867c02p-4, 0x1.a0149b5ce2eddp-4, 0x1.98ab3306a5ae1p-4, 0x1.914148f6b7adep-4, 0x1.89a50c1cf447fp-4, 0x1.81ab439173866p-4, 0x1.792ee1a783354p-4, 0x1.70109688087bep-4, 0x1.6636622ab89e7p-4, 0x1.5b8b29476baffp-4, 0x1.4ffe4d0ca0089p-4, 0x1.4383468cc1046p-4, 0x1.36114615cf3c5p-4, 0x1.27a2d6e0d88c3p-4, 0x1.183587eccf8e5p-4, 0x1.07c9998209489p-4, 0x1.ecc35e7175a07p-5, 0x1.c8050c8543053p-5, 0x1.a1656055d9776p-5, 0x1.78f4a500183c5p-5, 0x1.4ec5d7142862p-5, 0x1.22ee3791b20ddp-5, 0x1.eb09ce63809efp-6, 0x1.8d4512cd73678p-6, 0x1.2cc1dd4376352p-6, 0x1.936b19379e894p-7, 0x1.915ac6a66637cp-8, -0x1.91b693377634dp-13, -0x1.b2050762b085fp-8, -0x1.af16b1682bedbp-7, -0x1.440aaf3b9d766p-6, -0x1.b1c902521f0b8p-6, -0x1.1048890556b3p-5, -0x1.48176e75e175p-5, -0x1.8037e8a7e4525p-5, -0x1.b8917aeec3c7fp-5, -0x1.f10c84e2da55bp-5, -0x1.14c92781fe186p-4, -0x1.31068a36c662ep-4, -0x1.4d34050de866cp-4, -0x1.6947b20d0973p-4, -0x1.85382c5b6e31dp-4, -0x1.a0fc90fbbb09fp-4, -0x1.bc8c7e936eb99p-4, -0x1.d7e0146d985a6p-4, -0x1.f2eff0b6cd1a2p-4, -0x1.06da970c0ad37p-3, -0x1.1414b06713ea7p-3, -0x1.212349abc7c91p-3, -0x1.2e03a16f0c512p-3, -0x1.3ab32dad8df16p-3, -0x1.472f99d435c87p-3, -0x1.5376c4b2a6ae1p-3, -0x1.5f86be69b516fp-3, -0x1.6b5dc64d83054p-3, -0x1.76fa48c7dfb2fp-3, -0x1.825add3426235p-3, -0x1.8d7e43c010fa6p-3, -0x1.9863635087294p-3, -0x1.a3094763563aap-3, -0x1.ad6f1e135264ep-3, -0x1.b794360bdef9cp-3, -0x1.c177fc9f865e2p-3, -0x1.cb19fbe793778p-3, -0x1.d479d8f6d2098p-3, -0x1.dd97521dd6d8ep-3, -0x1.e6723d42eac4ep-3, -0x1.ef0a864c0d066p-3, -0x1.f7602d9de8688p-3, -0x1.ff7346aa7a8fbp-3, -0x1.03a1fb49435bbp-2, -0x1.0769396eaf635p-2, -0x1.0b0f801d722d1p-2, -0x1.0e94f8ade513cp-2, -0x1.11f9d2ec8fd1bp-2, -0x1.153e449652c68p-2, -0x1.186288db318f6p-2, -0x1.1b66dfeaeeabap-2, -0x1.1e4b8e8738182p-2, -0x1.2110dd9cc1a69p-2, -0x1.23b719e59bb82p-2, -0x1.263e938ee7fcep-2, -0x1.28a79de62c4b2p-2, -0x1.2af28f0d0a6aap-2, -0x1.2d1fbfb1f895bp-2, -0x1.2f2f8acd71e94p-2, -0x1.31224d64d14e6p-2, -0x1.32f86652b8853p-2, -0x1.34b23612c39bfp-2, -0x1.36501e8f6e792p-2, -0x1.37d282f7c71afp-2, -0x1.3939c797b078cp-2, -0x1.3a8651af0d3bbp-2, -0x1.3bb8875076881p-2, -0x1.3cd0cf4432d99p-2, -0x1.3dcf90e8e4d08p-2, -0x1.3eb53417947e7p-2, -0x1.3f82210dbe36ep-2, -0x1.4036c057468c1p-2, -0x1.40d37ab888ae9p-2, -0x1.4158b91ae75bfp-2, -0x1.41c6e47da0f3fp-2, -0x1.421e65e625c6p-2, -0x1.425fa64fc1862p-2, -0x1.428b0e9f7e3d1p-2, -0x1.42a10796672a2p-2, -0x1.42a1f9c9afbbep-2, -0x1.428e4d9743586p-2, -0x1.42666b18bde25p-2, -0x1.422aba1bd7beep-2, -0x1.41dba21d9f9ddp-2, -0x1.41798a41451f6p-2, -0x1.4104d9453b10ap-2, -0x1.407df57d639ap-2, -0x1.3fe544cfc280dp-2, -0x1.3f3b2cadc7b76p-2, -0x1.3e80120b1b54ap-2, -0x1.3db45958c1cf2p-2, -0x1.3cd866807dcbbp-2, -0x1.3bec9ce0af436p-2, -0x1.3af15f460c779p-2, -0x1.39e70fe59f11fp-2, -0x1.38ce10578d558p-2, -0x1.37a6c192e65bap-2, -0x1.367183ea2d31p-2, -0x1.352eb706b951dp-2, -0x1.33deb9e16518bp-2, -0x1.3281eabe10183p-2, -0x1.3118a7284901p-2, -0x1.2fa34bf05373fp-2, -0x1.2e223526922a9p-2, -0x1.2c95be1462b34p-2, -0x1.2afe4136c2213p-2, -0x1.295c183c69b42p-2, -0x1.27af9c03c9a27p-2, -0x1.25f92495a1795p-2, -0x1.2439091df63b2p-2, -0x1.226f9fe76a80fp-2, -0x1.209d3e59b317dp-2, -0x1.1ec238f7946ecp-2, -0x1.1cdee35a05804p-2, -0x1.1af3902a08712p-2, -0x1.1900911c52bcep-2, -0x1.170636ef64964p-2, -0x1.1504d169b3a1dp-2, -0x1.12fcaf56030e3p-2, -0x1.10ee1e7ec0fcbp-2, -0x1.0ed96ba9c58cp-2, -0x1.0cbee2962b54bp-2, -0x1.0a9ecdfa2af98p-2, -0x1.0879778192d8cp-2, -0x1.064f27c913be7p-2, -0x1.0420265cf0003p-2, -0x1.01ecb9b562fa6p-2, -0x1.ff6a4e6ab9dafp-3, -0x1.faf3665033e3fp-3, -0x1.f675417f8fb0bp-3, -0x1.f1f0642899289p-3, -0x1.ed65503f3e6ccp-3, -0x1.e8d48581082ebp-3, -0x1.e43e816870541p-3, -0x1.dfa3bf2fd9f2p-3, -0x1.db04b7ced0bc3p-3, -0x1.d661e1f9cb722p-3, -0x1.d1bbb221786e5p-3, -0x1.cd129a710dc33p-3, -0x1.c8670accbba58p-3, -0x1.c3b970d0d87p-3, -0x1.bf0a37d27388ap-3, -0x1.ba59c8e099f3ap-3, -0x1.b5a88ac5ae415p-3, -0x1.b0f6e20829304p-3, -0x1.ac4530eb0dc8ep-3, -0x1.a793d76efbcep-3, -0x1.a2e3335409d89p-3, -0x1.9e33a01c44d1ap-3, -0x1.9985770e6b3c5p-3, -0x1.94d90f38aa426p-3, -0x1.902ebd7361c9fp-3, -0x1.8b86d4642c468p-3, -0x1.86e1a48139385p-3, -0x1.823f7c152f21fp-3, -0x1.7da0a742af5f4p-3, -0x1.790570084e187p-3, -0x1.746e1e44b46d8p-3, -0x1.6fdaf7bb71ac5p-3, -0x1.6b4c4019ed132p-3, -0x1.66c238fcd9c0dp-3, -0x1.623d21f529581p-3, -0x1.5dbd388c6c9eep-3, -0x1.5942b84a34152p-3, -0x1.54cddab9de7e9p-3, -0x1.505ed76fd8ee2p-3, -0x1.4bf5e41069c2ap-3, -0x1.479334562d5a8p-3, -0x1.4336fa1802863p-3, -0x1.3ee1654e75acep-3, -0x1.3a92a41a4f17fp-3, -0x1.364ae2ca7314dp-3, -0x1.320a4be3524f7p-3, -0x1.2dd108260e87ap-3, -0x1.299f3e9759c9p-3, -0x1.25751485c723cp-3, -0x1.2152ad8ff20ddp-3, -0x1.1d382baaec231p-3, -0x1.1925af2971af4p-3, -0x1.151b56c3eceep-3, -0x1.11193fa09e3c2p-3, -0x1.0d1f855b35c97p-3, -0x1.092e420b70d89p-3, -0x1.05458e4afba2ep-3, -0x1.0165813b5ce9ap-3, -0x1.fb1c611957adp-4, -0x1.f37f610ae8e4p-4, -0x1.ebf428169b907p-4, -0x1.e47ad9581235dp-4, -0x1.dd13954ab8942p-4, -0x1.d5be79d78e685p-4, -0x1.ce7ba2606039ep-4, -0x1.c74b27ca752e9p-4, -0x1.c02d208a6ef82p-4, -0x1.b921a0b28c356p-4, -0x1.b228ba02f38dbp-4, -0x1.ab427bfb98b22p-4, -0x1.a46ef3ee93b89p-4, -0x1.9dae2d0caf32ep-4, -0x1.97003076a9ef5p-4, -0x1.90650544af978p-4, -0x1.89dcb09058878p-4, -0x1.8367357f8aa55p-4, -0x1.7d0495502f43cp-4, -0x1.76b4cf671cfd2p-4, -0x1.7077e1610edc5p-4, -0x1.6a4dc72448faap-4, -0x1.64367af0f2e9bp-4, -0x1.5e31f56e82931p-4, -0x1.58402db5be2b8p-4, -0x1.526119583776p-4, -0x1.4c94ac6743428p-4, -0x1.46dad97cc3d26p-4, -0x1.413391c72ec68p-4, -0x1.3b9ec5191a959p-4, -0x1.361c61faa9769p-4, -0x1.30ac55ba58f49p-4, -0x1.2b4e8c7ad0338p-4, -0x1.2602f13c7fb9bp-4, -0x1.20c96de3bbf93p-4, -0x1.1ba1eb3d6042p-4, -0x1.168c5104aee39p-4, -0x1.118885ec78fb8p-4, -0x1.0c966fabe3708p-4, -0x1.07b5f30db080dp-4, -0x1.02e6f3ffa6df9p-4, -0x1.fc52ab3f60cf4p-5, -0x1.f2f9f48aca9f3p-5, -0x1.e9c3870ffe3cfp-5, -0x1.e0af2485961f3p-5, -0x1.d7bc8d32edfbbp-5, -0x1.ceeb7ffec7ac9p-5, -0x1.c63bba7ef1a1dp-5, -0x1.bdacf915fba1ap-5, -0x1.b53ef705a28b1p-5, -0x1.acf16e87fc5adp-5, -0x1.a4c418e04abc3p-5, -0x1.9cb6ae677ddeap-5, -0x1.94c8e6958cff3p-5, -0x1.8cfa780a5da6cp-5, -0x1.854b1898b7823p-5, -0x1.7dba7d546fe4p-5, -0x1.76485aa344c7cp-5, -0x1.6ef4644eb0ef9p-5, -0x1.67be4d9499842p-5, -0x1.60a5c9355012p-5, -0x1.59aa897ec39a5p-5, -0x1.52cc40563003cp-5, -0x1.4c0a9f3fdb561p-5, -0x1.45655769b520ap-5, -0x1.3edc19b5d9badp-5, -0x1.386e96c7216a3p-5, -0x1.321c7f0daf882p-5, -0x1.2be582d2cdddp-5, -0x1.25c95243492cfp-5, -0x1.1fc79d7838cbcp-5, -0x1.19e0147ed90c2p-5, -0x1.1412676032aacp-5, -0x1.0e5e462947386p-5, -0x1.08c360f3ddf4bp-5, -0x1.034167efb16b5p-5, -0x1.fbb016d6a70e8p-6, -0x1.f10df7b89e2a1p-6, -0x1.e69bd3cc9c1ap-6, -0x1.dc590cc30c301p-6, -0x1.d24504c17e15fp-6, -0x1.c85f1e6f3222ap-6, -0x1.bea6bd0227deap-6, -0x1.b51b444ca427ep-6, -0x1.abbc18cedc7fcp-6, -0x1.a2889fa9c8284p-6, -0x1.99803edcfe08ap-6, -0x1.90a25d1c9342cp-6, -0x1.87ee61f36aa02p-6, -0x1.7f63b5c78a492p-6, -0x1.7701c1e3d1e58p-6, -0x1.6ec7f081daf5ep-6, -0x1.66b5acd36c1abp-6, -0x1.5eca630ab7702p-6, -0x1.5705806124a97p-6, -0x1.4f66731d0f124p-6, -0x1.47ecaa975cdadp-6, -0x1.40979741b78a8p-6, -0x1.3966aaadd9b1cp-6, -0x1.32595795462aap-6, -0x1.2b6f11e115dd9p-6, -0x1.24a74eaf4ce87p-6, -0x1.1e018456c1db6p-6, -0x1.177d2a68bac8fp-6, -0x1.1119b9b2190bep-6, -0x1.0ad6ac3d98303p-6, -0x1.04b37d5858719p-6, -0x1.fd5f53318457ap-7, -0x1.f1955dccef067p-7, -0x1.e6081901f1008p-7, -0x1.dab686077f8e1p-7, -0x1.cf9fa8c9223d6p-7, -0x1.c4c287dfc209dp-7, -0x1.ba1e2c8761918p-7, -0x1.afb1a298d4745p-7, -0x1.a57bf88d94443p-7, -0x1.9b7c3f8e331a5p-7, -0x1.91b18b88780d3p-7, -0x1.881af3450de04p-7, -0x1.7eb790747291cp-7, -0x1.75867face08dp-7, -0x1.6c86e05840d9p-7, -0x1.63b7d4974e606p-7, -0x1.5b1881260c66ep-7, -0x1.52a80d49c6cafp-7, -0x1.4a65a2d487425p-7, -0x1.42506e3c7e84dp-7, -0x1.3a679ec222548p-7, -0x1.32aa6694de984p-7, -0x1.2b17faee539a1p-7, -0x1.23af94102434dp-7, -0x1.1c706d239637fp-7, -0x1.1559c4083d2fap-7, -0x1.0e6ad91a95664p-7, -0x1.07a2ef051cbbap-7, -0x1.01014aafe7a8fp-7, -0x1.f50a66a7d926ep-8, -0x1.e85be55b3a45bp-8, -0x1.dbf5aa7f94229p-8, -0x1.cfd65520fd55bp-8, -0x1.c3fc8a936bf62p-8, -0x1.b866f66032b02p-8, -0x1.ad1449dbfcabap-8, -0x1.a2033b7e4b41cp-8, -0x1.97328627d881dp-8, -0x1.8ca0e88ce898ep-8, -0x1.824d24f0fc08p-8, -0x1.7836014926aabp-8, -0x1.6e5a47c147395p-8, -0x1.64b8c77b219b2p-8, -0x1.5b505552b3a2ap-8, -0x1.521fcc6920da2p-8, -0x1.49260e4867fa8p-8, -0x1.4062028efaa5ap-8, -0x1.37d29634297cfp-8, -0x1.2f76ba931b763p-8, -0x1.274d6478a02d8p-8, -0x1.1f558b71140c2p-8, -0x1.178e29834e966p-8, -0x1.0ff63b7491ea2p-8, -0x1.088cc14996567p-8, -0x1.0150bf9f2dd84p-8, -0x1.f48280916eec7p-9, -0x1.e6baa66efd30dp-9, -0x1.d9481d6939704p-9, -0x1.cc291e29355f5p-9, -0x1.bf5bebe34b43p-9, -0x1.b2ded23a662d2p-9, -0x1.a6b0230c94a34p-9, -0x1.9ace3499cd39fp-9, -0x1.8f37605f55062p-9, -0x1.83ea02e1d384ap-9, -0x1.78e47c810eccep-9, -0x1.6e25332e294cep-9, -0x1.63aa94b52837cp-9, -0x1.597318f8d4d9bp-9, -0x1.4f7d438249c93p-9, -0x1.45c7a3efc5e3fp-9, -0x1.3c50d530f2f2bp-9, -0x1.33177bd116441p-9, -0x1.2a1a43d8c4b62p-9, -0x1.2157dec234af9p-9, -0x1.18cf01ca6aa82p-9, -0x1.107e64bbe77e1p-9, -0x1.0864c1407270dp-9, -0x1.0080d2df3cdf8p-9, -0x1.f1a2afb129d9ep-10, -0x1.e2aa25d59f987p-10, -0x1.d4159b5f3d594p-10, -0x1.c5e2b5d03919cp-10, -0x1.b80f2fe29304cp-10, -0x1.aa98d9beae5ddp-10, -0x1.9d7d96857de28p-10, -0x1.90bb584402746p-10, -0x1.84501be8843e1p-10, -0x1.7839e66f344ffp-10, -0x1.6c76c38c10402p-10, -0x1.6104c513dac32p-10, -0x1.55e20234594c4p-10, -0x1.4b0c963c78be3p-10, -0x1.40829fc660851p-10, -0x1.3642418c9052p-10, -0x1.2c49a591eed22p-10, -0x1.229701eebd051p-10, -0x1.19289d6d5d97cp-10, -0x1.0ffcd1fec81b7p-10, -0x1.07120bcf9f54ep-10, -0x1.fccd8a99da67cp-11, -0x1.ebf303728d3b2p-11, -0x1.db91916547e1ap-11, -0x1.cba648dccf563p-11, -0x1.bc2e45daf80e9p-11, -0x1.ad26b0ded9c9p-11, -0x1.9e8cc19ff59acp-11, -0x1.905dbcc27feeep-11, -0x1.8296edd564076p-11, -0x1.7535a24240b4cp-11, -0x1.683729d61780ap-11, -0x1.5b98de20c48f3p-11, -0x1.4f582db7d3f14p-11, -0x1.4372a65f5f44cp-11, -0x1.37e5f9ed9a5dfp-11, -0x1.2caffc09189dbp-11, -0x1.21ce9975bebbp-11, -0x1.173fcc2920465p-11, -0x1.0d0190fe59d7ap-11, -0x1.0311e3f7fb317p-11, -0x1.f2dd84c591c0ep-12, -0x1.e02c66099cd4ep-12, -0x1.ce0c97d6b285ap-12, -0x1.bc7a65cb4d48cp-12, -0x1.ab722d546d523p-12, -0x1.9af04955f9119p-12, -0x1.8af10456dfe37p-12, -0x1.7b709b940b561p-12, -0x1.6c6b51da81a98p-12, -0x1.5ddd81c565f6fp-12, -0x1.4fc3b85209346p-12, -0x1.421ab562688e6p-12, -0x1.34df72cb7325dp-12, -0x1.280f1dd4ac9bap-12, -0x1.1ba7089c49d3cp-12, -0x1.0fa496fb125b7p-12, -0x1.04052ef5a5eeep-12, -0x1.f18c66cd347d3p-13, -0x1.dbca159a41e9cp-13, -0x1.c6be5bab55515p-13, -0x1.b26466c49d86dp-13, -0x1.9eb79f14b5106p-13, -0x1.8bb38697cb27fp-13, -0x1.79538d1425a1ap-13, -0x1.6792f704bce82p-13, -0x1.566ce84de2c45p-13, -0x1.45dc85e8a1b7cp-13, -0x1.35dd102e0eb77p-13, -0x1.2669e910e9a6dp-13, -0x1.177e9ac9beda2p-13, -0x1.0916f39c8552dp-13, -0x1.f65e4c95f8829p-14, -0x1.db87966be3057p-14, -0x1.c1a370f67233ap-14, -0x1.a8ab966f726eep-14, -0x1.909989a81426fp-14, -0x1.79669acdb3663p-14, -0x1.630c221d55abdp-14, -0x1.4d83b997f0cafp-14, -0x1.38c74e282aed1p-14, -0x1.24d10c7a14b39p-14, -0x1.119b433564edcp-14, -0x1.fe409087599b2p-15, -0x1.dab4cc89d0557p-15, -0x1.b887c11bd0e7bp-15, -0x1.97ae260244e5dp-15, -0x1.781d102fafc6dp-15, -0x1.59c9ab4fd238fp-15, -0x1.3ca8d280d7aaep-15, -0x1.20af69cc919d2p-15, -0x1.05d3866bda186p-15, -0x1.d81a4d626007p-16, -0x1.a6ab1762e08cfp-16, -0x1.774bb3bac494dp-16, -0x1.49ecb67b5615bp-16, -0x1.1e7dcf164512bp-16, -0x1.e9dee52fb40aap-17, -0x1.9a669c5069ad9p-17, -0x1.4e765a754751p-17, -0x1.05efb9973d8cdp-17, -0x1.81652d9d142cp-18, -0x1.fa7cc1d516093p-19, -0x1.fcc029bfccffcp-20, -0x1.c10d5eb710057p-24, 0x1.ade0c3a58d67p-20, 0x1.b0ee5b3f0a941p-19, 0x1.4028a0d0c9c5p-18, 0x1.a2b8add2a7d4dp-18, 0x1.00297dce256e3p-17, 0x1.2c944c362db25p-17, 0x1.56b6a7569d4a2p-17, 0x1.7ea5b92ba51c7p-17, 0x1.a46f95c9b756ep-17, 0x1.c820e03ec892ap-17, 0x1.e9cae432efd2cp-17, 0x1.04c13873dd103p-16, 0x1.13aced5958257p-16, 0x1.21af26e21f097p-16, 0x1.2ecdaa20535c2p-16, 0x1.3b0fb2fa2fb04p-16, 0x1.467e65a35282ap-16, 0x1.5123cf861b477p-16, 0x1.5b09c96a2e653p-16, 0x1.64394cd60e05dp-16, 0x1.6cba3d5ac81d7p-16, 0x1.749387176430ap-16, 0x1.7bcb941c96d7ep-16, 0x1.8268c8b0f2343p-16, 0x1.8871768712f06p-16, 0x1.8deb1d6bc0004p-16, 0x1.92da27adc7234p-16, 0x1.974357b7f1128p-16, 0x1.9b2d321cb411ap-16, 0x1.9e9e56130ec6ap-16, 0x1.a19add1f0b415p-16, 0x1.a425aeb9c9159p-16, 0x1.a64394274ad7cp-16, 0x1.a7fa927cbf319p-16, 0x1.a94ecff0d034ap-16, 0x1.aa425cf33f717p-16, 0x1.aad7ec8a7f1a5p-16, 0x1.ab1411ae8d734p-16, 0x1.aafc2d645fd3dp-16, 0x1.aa9544d16f223p-16, 0x1.a9e3acf6dcbbap-16, 0x1.a8eb39c54c9b2p-16, 0x1.a7af78dcacdfep-16, 0x1.a633e06b131cfp-16, 0x1.a47bf40f35384p-16, 0x1.a28b0d40267b3p-16, 0x1.a0645e2f7b67fp-16, 0x1.9e0ad6abad0c5p-16, 0x1.9b812b3496965p-16, 0x1.98c99a94b59fp-16, 0x1.95e5aafc63379p-16, 0x1.92d6cf526de7fp-16, 0x1.8f9ff2a475d6p-16, 0x1.8c45178d22c33p-16, 0x1.88c87378c56b9p-16, 0x1.852ac0e024adp-16, 0x1.816e1aa695282p-16, 0x1.7d95119785745p-16, 0x1.79a0d8a733796p-16, 0x1.7592d777a5286p-16, 0x1.716daf5dd7fc6p-16, 0x1.6d340ac617a44p-16, 0x1.68e7d31128252p-16, 0x1.648a57d9f9f3bp-16, 0x1.601caa8acf444p-16, 0x1.5b9fd7ecf9d62p-16, 0x1.57150fa71d95cp-16, 0x1.527dc3613ec62p-16, 0x1.4ddbb4db652d4p-16, 0x1.4930d559140a2p-16, 0x1.447ee56c68b81p-16, 0x1.3fc70e1f08e2ep-16, 0x1.3b09e10bb0a2ep-16, 0x1.3647e2a8068e5p-16, 0x1.318216e8da2dep-16, 0x1.2cb9d78b8537bp-16, 0x1.27eff12c6a35dp-16, 0x1.2324365057d2ep-16, 0x1.1e56f34e2293bp-16, 0x1.1989f0f926f2ep-16, 0x1.14be7c0dcbe5fp-16, 0x1.0ff59d6dcca44p-16, 0x1.0b30ac58ca52fp-16, 0x1.066fa947491fep-16, 0x1.01b28bd79384dp-16, 0x1.f9f47dc667d8bp-17, 0x1.f08f47ca080d9p-17, 0x1.e73676c471e8p-17, 0x1.ddeab065da7bep-17, 0x1.d4ac7f2c8d642p-17, 0x1.cb7c63d550a46p-17, 0x1.c25af2efbee0fp-17, 0x1.b949159276406p-17, 0x1.b0484ed3c9adap-17, 0x1.a75a702f49443p-17, 0x1.9e80e6d5aadc4p-17, 0x1.95bba97bb53c3p-17, 0x1.8d0a775567fe8p-17, 0x1.846dd269d46a6p-17, 0x1.7be6bf2b57527p-17, 0x1.7375694a33be3p-17, 0x1.6b1970e7fef7fp-17, 0x1.62d35adb7fc79p-17, 0x1.5aa451c455f4dp-17, 0x1.528ce798846e2p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.0a3df23454659p-3, -0x1.0a39afb743105p-3, -0x1.0a2ad56faa064p-3, -0x1.0a0683714d831p-3, -0x1.09bec3c17fa18p-3, -0x1.09436da82f42ep-3, -0x1.0882ff03df29bp-3, -0x1.076b5fa7d2298p-3, -0x1.05ea8a003aedfp-3, -0x1.03ef181ad351p-3, -0x1.0168b60b8f2bfp-3, -0x1.fc90f6debfbc4p-4, -0x1.f5025c44fc165p-4, -0x1.ec0ee0d0ee49bp-4, -0x1.e1a3b9bf412ccp-4, -0x1.d5b2255980be3p-4, -0x1.c82f68a62e172p-4, -0x1.b914b7489af9dp-4, -0x1.a85f0a31aa8c8p-4, -0x1.960ee96a8440fp-4, -0x1.82282cceb9e16p-4, -0x1.6cb1b70622d51p-4, -0x1.55b52d8180993p-4, -0x1.3d3eafb136905p-4, -0x1.235c8f2a46533p-4, -0x1.081f09f885973p-4, -0x1.d7300ff150558p-5, -0x1.9bb5b784e655dp-5, -0x1.5df80ed5bb577p-5, -0x1.1e220a6b504bbp-5, -0x1.b8c050b02790dp-6, -0x1.31c021e02af1fp-6, -0x1.4f40fabcb5d22p-7, -0x1.abf59d3ce990fp-10, 0x1.d21398e133d39p-8, 0x1.05cdfe27fa723p-6, 0x1.98be45acf7bf5p-6, 0x1.167c9231b8afbp-5, 0x1.6111bd8fb99cap-5, 0x1.abf201abd2158p-5, 0x1.f6f1d283af9d5p-5, 0x1.20f370d59807bp-4, 0x1.4654201305e8fp-4, 0x1.6b873df4587b7p-4, 0x1.9079dc90b731cp-4, 0x1.b519e3b648e4cp-4, 0x1.d956198c4072dp-4, 0x1.fd1e2950fe3fap-4, 0x1.103154252221bp-3, 0x1.218a8c7fa0fc1p-3, 0x1.3293f66afdb63p-3, 0x1.43474217b6a1bp-3, 0x1.539e968f66b94p-3, 0x1.6394906ce0833p-3, 0x1.73243fffe3816p-3, 0x1.824926ebe18c5p-3, 0x1.90ff35512f113p-3, 0x1.9f42c68fef81p-3, 0x1.ad109db3a68f4p-3, 0x1.ba65e195fa854p-3, 0x1.c74018c68f70ap-3, 0x1.d39d25453f599p-3, 0x1.df7b401b21725p-3, 0x1.ead8f4de07e2bp-3, 0x1.f5b51d29290c3p-3, 0x1.00076e0a62a8fp-2, 0x1.04f2ccdad2835p-2, 0x1.099c7f56289a6p-2, 0x1.0e0477e57f8c5p-2, 0x1.122ac4ec1d36p-2, 0x1.160f8eb9b6ff6p-2, 0x1.19b3158fd058cp-2, 0x1.1d15afbbecf7ep-2, 0x1.2037c7c7f8e1p-2, 0x1.2319dac1e6324p-2, 0x1.25bc769b36559p-2, 0x1.282038a0cfcbdp-2, 0x1.2a45cc0b434edp-2, 0x1.2c2de8a7681aap-2, 0x1.2dd95196f8491p-2, 0x1.2f48d428b36bap-2, 0x1.307d46c75a1c5p-2, 0x1.317787febd0b3p-2, 0x1.32387d95f9149p-2, 0x1.32c113bde22ap-2, 0x1.33123c528fe64p-2, 0x1.332cee2ef727p-2, 0x1.3312249168b2p-2, 0x1.32c2de8fcc751p-2, 0x1.32401e9a7cd6p-2, 0x1.318aea0c8b8f9p-2, 0x1.30a448c85e8e2p-2, 0x1.2f8d44df7daf3p-2, 0x1.2e46ea44866e3p-2, 0x1.2cd246863a883p-2, 0x1.2b306892b037dp-2, 0x1.29626081ae304p-2, 0x1.27693f6559a25p-2, 0x1.2546172058a3p-2, 0x1.22f9fa40aa83dp-2, 0x1.2085fbde7ac19p-2, 0x1.1deb2f7e4221ep-2, 0x1.1b2aa8f5a31b7p-2, 0x1.18457c526ce06p-2, 0x1.153cbdc34894bp-2, 0x1.12118181a0192p-2, 0x1.0ec4dbbc59431p-2, 0x1.0b57e08308444p-2, 0x1.07cba3b151221p-2, 0x1.042138da3642cp-2, 0x1.0059b333136adp-2, 0x1.f8ec4afc493e5p-3, 0x1.f0ef43e8d0323p-3, 0x1.e8be745d82b61p-3, 0x1.e05bfe1c979a3p-3, 0x1.d7ca0147922f6p-3, 0x1.cf0a9c2c4ccabp-3, 0x1.c61feb10284c1p-3, 0x1.bd0c07f9642c2p-3, 0x1.b3d10a76b5f0cp-3, 0x1.aa7107652b767p-3, 0x1.a0ee10b47354bp-3, 0x1.974a3529c1e4ep-3, 0x1.8d8780215c99dp-3, 0x1.83a7f94f0f629p-3, 0x1.79ada47daf47p-3, 0x1.6f9a814ddc62bp-3, 0x1.65708af44291ap-3, 0x1.5b31b7f771711p-3, 0x1.50dff9eda64d5p-3, 0x1.467d3d3a9d18dp-3, 0x1.3c0b68cdad08dp-3, 0x1.318c5de06841fp-3, 0x1.2701f7b5e70acp-3, 0x1.1c6e0b5af26a1p-3, 0x1.11d267674d85fp-3, 0x1.0730d3c034a1ep-3, 0x1.f91622b89cdc6p-4, 0x1.e3c5b412703bfp-4, 0x1.ce73c0658f11bp-4, 0x1.b9239d58790a8p-4, 0x1.a3d890f6e4625p-4, 0x1.8e95d14c6aeacp-4, 0x1.795e8403c0546p-4, 0x1.6435be0aa707fp-4, 0x1.4f1e833ac8af6p-4, 0x1.3a1bc607a437p-4, 0x1.25306731afb59p-4, 0x1.105f357ed35b7p-4, 0x1.f755daf0a0ce4p-5, 0x1.ce2c725c5d60ap-5, 0x1.a547600079802p-5, 0x1.7cabacd95c24p-5, 0x1.545e3bc8b87dfp-5, 0x1.2c63c94965f6cp-5, 0x1.04c0eb2e7d499p-5, 0x1.baf420db63e2fp-6, 0x1.6d2701e9b7e6ep-6, 0x1.2022bb1512677p-6, 0x1.a7de7ee5fde24p-7, 0x1.1128671c26601p-7, 0x1.f0c76b3d65cb9p-9, -0x1.6f716e2eaab89p-11, -0x1.5089f6d913b9fp-8, -0x1.37aafc5113d1bp-7, -0x1.c51cde8165a2ap-7, -0x1.284780c8b2a12p-6, -0x1.6cfb2f64a3048p-6, -0x1.b0a444099c404p-6, -0x1.f33dd3637ec7dp-6, -0x1.1a619e9518bc6p-5, -0x1.3a9815b38768fp-5, -0x1.5a4048d586f13p-5, -0x1.7958561b33e09p-5, -0x1.97de7f8923241p-5, -0x1.b5d12a8ea689cp-5, -0x1.d32edf85cabbap-5, -0x1.eff6492d62729p-5, -0x1.06131a0ebef0cp-4, -0x1.13dec71b50299p-4, -0x1.215db30605f81p-4, -0x1.2e8f7524b74fbp-4, -0x1.3b73b48a2c99cp-4, -0x1.480a27b4e5ec1p-4, -0x1.5452943c10489p-4, -0x1.604cce7ad93a6p-4, -0x1.6bf8b93a450c7p-4, -0x1.77564559b1786p-4, -0x1.8265717626c29p-4, -0x1.8d264990a41ep-4, -0x1.9798e6b3865p-4, -0x1.a1bd6e972ffa3p-4, -0x1.ab9413460e769p-4, -0x1.b51d12c0300bep-4, -0x1.be58b69e6f2bbp-4, -0x1.c74753b568903p-4, -0x1.cfe949b861572p-4, -0x1.d83f02dc163eap-4, -0x1.e048f379c32d2p-4, -0x1.e80799b24a63dp-4, -0x1.ef7b7d11c53f2p-4, -0x1.f6a52e3373f5cp-4, -0x1.fd854666330c3p-4, -0x1.020e33a8c78ddp-3, -0x1.05359d4dc7c78p-3, -0x1.083938c79d0bap-3, -0x1.0b196261ff2bep-3, -0x1.0dd679e302415p-3, -0x1.1070e25fc0294p-3, -0x1.12e9021186d47p-3, -0x1.153f422b96d77p-3, -0x1.17740eb17ccb3p-3, -0x1.1987d64dfe734p-3, -0x1.1b7b0a2ab6ef3p-3, -0x1.1d4e1dc852219p-3, -0x1.1f0186d77fed6p-3, -0x1.2095bd1293daep-3, -0x1.220b3a17e39c5p-3, -0x1.23627944dd699p-3, -0x1.249bf791e0c03p-3, -0x1.25b8336edb4afp-3, -0x1.26b7aca0abb2ap-3, -0x1.279ae41f4a585p-3, -0x1.28625bf4c60c4p-3, -0x1.290e971d0085cp-3, -0x1.29a019664965ep-3, -0x1.2a176752b8facp-3, -0x1.2a7505fa698e6p-3, -0x1.2ab97aee78606p-3, -0x1.2ae54c1cdf02ap-3, -0x1.2af8ffb51704ep-3, -0x1.2af51c0d97c58p-3, -0x1.2ada278a1cceap-3, -0x1.2aa8a882c3b4ep-3, -0x1.2a61252bf283p-3, -0x1.2a04237f1221dp-3, -0x1.2992292414d2p-3, -0x1.290bbb5bc1ae1p-3, -0x1.28715eead428ep-3, -0x1.27c39805d7c87p-3, -0x1.2702ea3dd458dp-3, -0x1.262fd86db73c1p-3, -0x1.254ae4a87b9aep-3, -0x1.245490281c03p-3, -0x1.234d5b3d3310cp-3, -0x1.2235c53f5d9bbp-3, -0x1.210e4c7e53d99p-3, -0x1.1fd76e33b0a9dp-3, -0x1.1e91a6756ef65p-3, -0x1.1d3d70290f14dp-3, -0x1.1bdb44f7715bcp-3, -0x1.1a6b9d4148e34p-3, -0x1.18eef01440d57p-3, -0x1.1765b320b828dp-3, -0x1.15d05ab020f5cp-3, -0x1.142f599bf7f87p-3, -0x1.12832145519b3p-3, -0x1.10cc218cfc89dp-3, -0x1.0f0ac8cc2f3e9p-3, -0x1.0d3f83cdc8752p-3, -0x1.0b6abdc8146eep-3, -0x1.098ce0571628fp-3, -0x1.07a6537756452p-3, -0x1.05b77d812d18p-3, -0x1.03c0c32488bddp-3, -0x1.01c2876529ee2p-3, -0x1.ff7a572ea9d77p-4, -0x1.fb621eb9e2918p-4, -0x1.f73d214638095p-4, -0x1.f30c174034d76p-4, -0x1.eecfb5a3708cbp-4, -0x1.ea88adf818239p-4, -0x1.e637ae51265c8p-4, -0x1.e1dd614b5bdc2p-4, -0x1.dd7a6e0cee3e9p-4, -0x1.d90f7845d9042p-4, -0x1.d49d2030d922cp-4, -0x1.d02402950c32dp-4, -0x1.cba4b8c8138d6p-4, -0x1.c71fd8b0eada7p-4, -0x1.c295f4cb2f37p-4, -0x1.be079c2af4d9dp-4, -0x1.b9755a812ebcp-4, -0x1.b4dfb820737f1p-4, -0x1.b0473a0250d1ap-4, -0x1.abac61cd08623p-4, -0x1.a70fadd9b2daap-4, -0x1.a271993acaa68p-4, -0x1.9dd29bc31e859p-4, -0x1.99332a0d14af9p-4, -0x1.9493b582515e7p-4, -0x1.8ff4ac63a2a8p-4, -0x1.8b5679d142b8ap-4, -0x1.86b985d35f312p-4, -0x1.821e3562e73cbp-4, -0x1.7d84ea729658bp-4, -0x1.78ee03f83fac8p-4, -0x1.7459ddf64b84cp-4, -0x1.6fc8d1856da0dp-4, -0x1.6b3b34de866d8p-4, -0x1.66b15b64b716dp-4, -0x1.622b95af95449p-4, -0x1.5daa31958bb2dp-4, -0x1.592d7a36574a5p-4, -0x1.54b5b805a27b2p-4, -0x1.504330d5bfba9p-4, -0x1.4bd627e275f2cp-4, -0x1.476edddbe593ap-4, -0x1.430d90f17d4b6p-4, -0x1.3eb27cdcfe681p-4, -0x1.3a5ddaed8b121p-4, -0x1.360fe212c2c7cp-4, -0x1.31c8c6e7e22fep-4, -0x1.2d88bbbee670ep-4, -0x1.294ff0abb51b8p-4, -0x1.251e938f4307p-4, -0x1.20f4d022b9978p-4, -0x1.1cd2d00296644p-4, -0x1.18b8bab9c45a9p-4, -0x1.14a6b5ccadd7dp-4, -0x1.109ce4c442cdp-4, -0x1.0c9b6938f4db1p-4, -0x1.08a262dda52f5p-4, -0x1.04b1ef8a81d6ap-4, -0x1.00ca2b47d3ef7p-4, -0x1.f9d660b1771fcp-5, -0x1.f22a2e8ba99b3p-5, -0x1.ea8fedcf9d647p-5, -0x1.e307c8e3cbbaep-5, -0x1.db91e6f8957d3p-5, -0x1.d42e6c1cdda6ep-5, -0x1.ccdd7952706ecp-5, -0x1.c59f2ca234eaep-5, -0x1.be73a1302dcc3p-5, -0x1.b75aef4f3b1fbp-5, -0x1.b0552c94a3c38p-5, -0x1.a9626beb64745p-5, -0x1.a282bda74256dp-5, -0x1.9bb62f979c0ebp-5, -0x1.94fccd1a055cp-5, -0x1.8e569f2c93332p-5, -0x1.87c3ac7ff52b2p-5, -0x1.8143f98944545p-5, -0x1.7ad788938cbf3p-5, -0x1.747e59d11f113p-5, -0x1.6e386b6c912ddp-5, -0x1.6805b99982b48p-5, -0x1.61e63ea5168ddp-5, -0x1.5bd9f30628ea9p-5, -0x1.55e0cd6d3f3ebp-5, -0x1.4ffac2d431295p-5, -0x1.4a27c68d8bb32p-5, -0x1.4467ca53ad1f8p-5, -0x1.3ebabe579b6dcp-5, -0x1.3920914f9151ap-5, -0x1.339930854580dp-5, -0x1.2e2487e3ec56dp-5, -0x1.28c28205f31a6p-5, -0x1.2373084273d5ep-5, -0x1.1e3602ba63ep-5, -0x1.190b58657dc7fp-5, -0x1.13f2ef1edf9cdp-5, -0x1.0eecabb16ecc1p-5, -0x1.09f871e3ebc8bp-5, -0x1.05162484caef5p-5, -0x1.0045a575c6b29p-5, -0x1.f70dab6e54b4ep-6, -0x1.edb32ae5bf16dp-6, -0x1.e47b880e6a299p-6, -0x1.db668022d816dp-6, -0x1.d273ceeff0617p-6, -0x1.c9a32ee917dap-6, -0x1.c0f4593bb79d8p-6, -0x1.b86705e2586a5p-6, -0x1.affaebb72cff6p-6, -0x1.a7afc0862d4c9p-6, -0x1.9f85391ebc1f4p-6, -0x1.977b0964c9376p-6, -0x1.8f90e4618d547p-6, -0x1.87c67c53bf264p-6, -0x1.801b82bf639d5p-6, -0x1.788fa87d23c9fp-6, -0x1.71229dc93b4adp-6, -0x1.69d41251f1368p-6, -0x1.62a3b545a994fp-6, -0x1.5b91356084d89p-6, -0x1.549c40f9a4918p-6, -0x1.4dc4860fff89cp-6, -0x1.4709b256caeadp-6, -0x1.406b7341889dbp-6, -0x1.39e9760fb5f68p-6, -0x1.338367d80d4e5p-6, -0x1.2d38f59376affp-6, -0x1.2709cc2793309p-6, -0x1.20f59870f48acp-6, -0x1.1afc074cf451ep-6, -0x1.151cc5a331c79p-6, -0x1.0f57806ec681ap-6, -0x1.09abe4c7188c2p-6, -0x1.04199fe8608cp-6, -0x1.fd40be77ca94bp-7, -0x1.f27fa0bfb07ffp-7, -0x1.e7ef425def72fp-7, -0x1.dd8eff8fa82fep-7, -0x1.d35e3527b98cdp-7, -0x1.c95c409c18265p-7, -0x1.bf888012d038fp-7, -0x1.b5e2526e50852p-7, -0x1.ac69175959b87p-7, -0x1.a31c2f523410ap-7, -0x1.99fafbb59796fp-7, -0x1.9104dec8f2827p-7, -0x1.88393bc4460cbp-7, -0x1.7f9776db8d0dep-7, -0x1.771ef5479fb6ep-7, -0x1.6ecf1d4eb62ebp-7, -0x1.66a7564c6f57p-7, -0x1.5ea708b9804edp-7, -0x1.56cd9e32dcd95p-7, -0x1.4f1a81808b539p-7, -0x1.478d1e9c17b25p-7, -0x1.4024e2b69709p-7, -0x1.38e13c3e5fa15p-7, -0x1.31c19ae461173p-7, -0x1.2ac56fa114075p-7, -0x1.23ec2cb92142ep-7, -0x1.1d3545c1b2519p-7, -0x1.16a02fa479c0ep-7, -0x1.102c60a359eb3p-7, -0x1.09d9505bc3689p-7, -0x1.03a677c9da37p-7, -0x1.fb26a29675d04p-8, -0x1.ef3eb1432e8bp-8, -0x1.e39415e9f17e8p-8, -0x1.d825cdab6934dp-8, -0x1.ccf2d87c9fdf8p-8, -0x1.c1fa3929dff6ep-8, -0x1.b73af55981fc7p-8, -0x1.acb4158df18cfp-8, -0x1.a264a527913b3p-8, -0x1.984bb265d379ap-8, -0x1.8e684e6873e28p-8, -0x1.84b98d2fd1da5p-8, -0x1.7b3e859d302ccp-8, -0x1.71f6517262041p-8, -0x1.68e00d5162331p-8, -0x1.5ffad8bb5fbbdp-8, -0x1.5745d60f9d045p-8, -0x1.4ec02a89fb725p-8, -0x1.4668fe41073dp-8, -0x1.3e3f7c241229cp-8, -0x1.3642d1f89d3c7p-8, -0x1.2e7230580b06fp-8, -0x1.26cccaac9441bp-8, -0x1.1f51d72e2dc11p-8, -0x1.18008edf48b34p-8, -0x1.10d82d8923f75p-8, -0x1.09d7f1b833f92p-8, -0x1.02ff1cb83ff58p-8, -0x1.f899e51ffa68dp-9, -0x1.eb8173f9fd679p-9, -0x1.deb378de0683ap-9, -0x1.d22e8c06db0fp-9, -0x1.c5f14b00f7cc6p-9, -0x1.b9fa58a0ad595p-9, -0x1.ae485cf7b3cbdp-9, -0x1.a2da054b0ed16p-9, -0x1.97ae040835c69p-9, -0x1.8cc310ba281b3p-9, -0x1.8217e7fe9329bp-9, -0x1.77ab4b7a567dep-9, -0x1.6d7c01cdd600fp-9, -0x1.6388d6897daffp-9, -0x1.59d09a2201342p-9, -0x1.505221e41bb17p-9, -0x1.470c47e8f8771p-9, -0x1.3dfdeb09444a4p-9, -0x1.3525eed15afb1p-9, -0x1.2c833b746a224p-9, -0x1.2414bdc021bccp-9, -0x1.1bd9671015667p-9, -0x1.13d02d40effbdp-9, -0x1.0bf80aa39f5ap-9, -0x1.044ffdf07c2dcp-9, -0x1.f9ae1474be5e4p-10, -0x1.eb186dc3d56edp-10, -0x1.dcdd1f10feab9p-10, -0x1.cefa480607d63p-10, -0x1.c16e109a9d8c6p-10, -0x1.b436a8f92f3c5p-10, -0x1.a75249660f0d1p-10, -0x1.9abf3224a5c35p-10, -0x1.8e7bab5df74a9p-10, -0x1.8286050681bc2p-10, -0x1.76dc96c431cb5p-10, -0x1.6b7dbfd47b381p-10, -0x1.6067e6f2c4935p-10, -0x1.55997a3eb6dd8p-10, -0x1.4b10ef22e8574p-10, -0x1.40ccc23a9ae25p-10, -0x1.36cb7738dd0aap-10, -0x1.2d0b98cf21b3ap-10, -0x1.238bb893e3075p-10, -0x1.1a4a6ee9fcebap-10, -0x1.11465ae79da18p-10, -0x1.087e223d8f569p-10, -0x1.ffe0e23cddd21p-11, -0x1.ef37f44c619dfp-11, -0x1.defeec842d9ccp-11, -0x1.cf33493123c89p-11, -0x1.bfd294e308319p-11, -0x1.b0da663c24266p-11, -0x1.a2485fc290eb1p-11, -0x1.941a2fb1640b2p-11, -0x1.864d8fcab7e4ep-11, -0x1.78e0452911d9cp-11, -0x1.6bd02012a701p-11, -0x1.5f1afbcc397ecp-11, -0x1.52bebe6b530c8p-11, -0x1.46b958ab00d23p-11, -0x1.3b08c5bf526b2p-11, -0x1.2fab0b2a7f5a8p-11, -0x1.249e3891ce93fp-11, -0x1.19e0679313fbcp-11, -0x1.0f6fbb9a68e6cp-11, -0x1.054a61b894eaep-11, -0x1.f6dd20f39a501p-12, -0x1.e3b50f7a67494p-12, -0x1.d11921193470dp-12, -0x1.bf05f9e964748p-12, -0x1.ad784fbb1aef9p-12, -0x1.9c6ce9c8036b4p-12, -0x1.8be0a06552356p-12, -0x1.7bd05cb956ffcp-12, -0x1.6c39186f73dep-12, -0x1.5d17dd6f0f9fbp-12, -0x1.4e69c5926e7ecp-12, -0x1.402bfa5d8bb4ep-12, -0x1.325bb4b806be4p-12, -0x1.24f63ca5b5d5ep-12, -0x1.17f8e901da2e8p-12, -0x1.0b611f3aeb0b1p-12, -0x1.fe58a61e8c23ep-13, -0x1.e6b00c9411395p-13, -0x1.cfc391039238dp-13, -0x1.b98e6daeff914p-13, -0x1.a40bf76c61eap-13, -0x1.8f379d29a4ebcp-13, -0x1.7b0ce7704f1fcp-13, -0x1.678777ec281aap-13, -0x1.54a308f003fa7p-13, -0x1.425b6d00dec84p-13, -0x1.30ac8e5fa193cp-13, -0x1.1f926e96ad21ap-13, -0x1.0f092607ebb5p-13, -0x1.fe19c6fb83acbp-14, -0x1.df33d7793edb4p-14, -0x1.c159322c809e1p-14, -0x1.a482b5fe079cbp-14, -0x1.88a96b48bfbcep-14, -0x1.6dc6830b55cc1p-14, -0x1.53d3561c339cfp-14, -0x1.3ac96462dcfc7p-14, -0x1.22a25412a28fdp-14, -0x1.0b57f0e73fc5fp-14, -0x1.e9c856cc6de84p-15, -0x1.be823042d5006p-15, -0x1.94d1de00b0296p-15, -0x1.6cac1514fd60fp-15, -0x1.4605ce696380dp-15, -0x1.20d4456325187p-15, -0x1.fa19ed0fcff4cp-16, -0x1.b54b3c5656d02p-16, -0x1.73286e404a707p-16, -0x1.339df2dcd7ed3p-16, -0x1.ed31644cd6835p-17, -0x1.780c1312a2edfp-17, -0x1.07a792ee2a354p-17, -0x1.37c0cbe7f5c37p-18, -0x1.a49f55fc46257p-20, 0x1.72fd41367d4cdp-20, 0x1.1a3691c8ea559p-18, 0x1.cf7e3d642b592p-18, 0x1.3e6a863e84749p-17, 0x1.913c15e5fb67fp-17, 0x1.e051a20d6592p-17, 0x1.15e420976dc78p-16, 0x1.39de27f961754p-16, 0x1.5c24ba9f9377ap-16, 0x1.7cc55303de2ep-16, 0x1.9bcd1498bb452p-16, 0x1.b948cdac778bep-16, 0x1.d544f94770677p-16, 0x1.efcdc0f2c09eep-16, 0x1.04777f476e29fp-15, 0x1.105a1f0613a97p-15, 0x1.1b945f91e5c2p-15, 0x1.262bbb858e85ap-15, 0x1.3025890cd2b8cp-15, 0x1.3986fab0642a3p-15, 0x1.42552024fd516p-15, 0x1.4a94e7121d91ep-15, 0x1.524b1bd535f8p-15, 0x1.597c6a4631461p-15, 0x1.602d5e6fcc468p-15, 0x1.66626546b1c89p-15, 0x1.6c1fcd64705c3p-15, 0x1.7169c7b02a701p-15, 0x1.7644681419bcep-15, 0x1.7ab3a624595c1p-15, 0x1.7ebb5dc86f827p-15, 0x1.825f4fdf4a9ddp-15, 0x1.85a322daef4e1p-15, 0x1.888a6364f1cf9p-15, 0x1.8b1884f27cb52p-15, 0x1.8d50e25eff142p-15, 0x1.8f36be7d4e218p-15, 0x1.90cd44a9ed876p-15, 0x1.9217895a92512p-15, 0x1.93188aa729ffdp-15, 0x1.93d330d3174c9p-15, 0x1.944a4ed32cdabp-15, 0x1.9480a2cd38ac6p-15, 0x1.9478d69b7597bp-15, 0x1.9435804752138p-15, 0x1.93b922858ceecp-15, 0x1.93062d2caa648p-15, 0x1.921efdaea57d4p-15, 0x1.9105df876489dp-15, 0x1.8fbd0caed887bp-15, 0x1.8e46ae077a41dp-15, 0x1.8ca4dbcaa4862p-15, 0x1.8ad99defb6692p-15, 0x1.88e6ec962ed2fp-15, 0x1.86ceb06a90d23p-15, 0x1.8492c30743abfp-15, 0x1.8234ef58512fcp-15, 0x1.7fb6f1f6899bap-15, 0x1.7d1a79877c013p-15, 0x1.7a612716820d9p-15, 0x1.778c8e6c3736cp-15, 0x1.749e3666d3401p-15, 0x1.7197994ec26afp-15, 0x1.6e7a25285ab3cp-15, 0x1.6b473c070f533p-15, 0x1.6800345b3cbd7p-15, 0x1.64a6593f4303p-15, 0x1.613aeac497e76p-15, 0x1.5dbf1e3b3718dp-15, 0x1.5a341e7d8c7b6p-15, }}, 
      {{-0x1.0a3e62f5c3868p-3, -0x1.0a3d5d75f9694p-3, -0x1.0a3a173a1e176p-3, -0x1.0a3251abadf3ap-3, -0x1.0a231a507ffadp-3, -0x1.0a08effa34ed9p-3, -0x1.09dfe80c4cdd1p-3, -0x1.09a3d1ad2d3f9p-3, -0x1.095055bfb6e4ep-3, -0x1.08e11328abcf9p-3, -0x1.0851b741c2c7dp-3, -0x1.079e128eac967p-3, -0x1.06c229e21931ap-3, -0x1.05ba442e262dp-3, -0x1.0482f54335eeep-3, -0x1.031925c4f08b9p-3, -0x1.017a18a021dcbp-3, -0x1.ff46dc9bc0711p-4, -0x1.fb264c5ffec4dp-4, -0x1.f68f3ca254e53p-4, -0x1.f17f239ec0b18p-4, -0x1.ebf42c657200bp-4, -0x1.e5ed2fd87c186p-4, -0x1.df69ac6424249p-4, -0x1.d869bcce1e064p-4, -0x1.d0ee0e6a094a7p-4, -0x1.c8f7d6f46544dp-4, -0x1.c088ca489aa53p-4, -0x1.b7a3101bf42adp-4, -0x1.ae4939dda34abp-4, -0x1.a47e38d3dfcecp-4, -0x1.9a455487756a9p-4, -0x1.8fa22189a233p-4, -0x1.8498789c1e49bp-4, -0x1.792c6e3fa2cf3p-4, -0x1.6d624aab2d14fp-4, -0x1.613e822c63913p-4, -0x1.54c5adf068166p-4, -0x1.47fc8533a7185p-4, -0x1.3ae7d6d6bfde3p-4, -0x1.2d8c83566efeap-4, -0x1.1fef77243a7bfp-4, -0x1.1215a55db3954p-4, -0x1.040402e00bdeep-4, -0x1.eb7f036bacf1p-5, -0x1.ce9a19b98fc1ep-5, -0x1.b16308c289406p-5, -0x1.93e3739b08e08p-5, -0x1.7624d9d40fa1dp-5, -0x1.58309199ee7bbp-5, -0x1.3a0fc26be511bp-5, -0x1.1bcb6067620d5p-5, -0x1.fad85042e581dp-6, -0x1.bdf5361111f9cp-6, -0x1.80fdf8915fd55p-6, -0x1.44029c57a67e1p-6, -0x1.07129fdf7e7d8p-6, -0x1.9479f02c97fa5p-7, -0x1.1b201b6bcbc0cp-7, -0x1.4466ed88c86f2p-8, -0x1.4e74c7becc0fep-10, 0x1.37d41b2858a69p-9, 0x1.89fe217666b86p-8, 0x1.3b384b3d9c412p-7, 0x1.b08a989bf3e4ap-7, 0x1.127079f2588a3p-6, 0x1.4c13b67c7e9a1p-6, 0x1.852591f39f1bep-6, 0x1.bd9d21d3f72ccp-6, 0x1.f571fe293f5cep-6, 0x1.164e1f37a73ap-5, 0x1.318a3b2155c3ap-5, 0x1.4c69d8f4f825dp-5, 0x1.66e9b96033dddp-5, 0x1.8106d5c4d29fdp-5, 0x1.9abe5e5a92c2cp-5, 0x1.b40db84c353dp-5, 0x1.ccf27bd2ba7dbp-5, 0x1.e56a7251747ddp-5, 0x1.fd7394753b05bp-5, 0x1.0a86042c6fa45p-4, 0x1.16190fd856c25p-4, 0x1.21722aff45fedp-4, 0x1.2c90a7680a5a4p-4, 0x1.3773ea03e0158p-4, 0x1.421b6a190e8edp-4, 0x1.4c86b073e01a6p-4, 0x1.56b5569e4a742p-4, 0x1.60a7061e7398cp-4, 0x1.6a5b77bc3a6e8p-4, 0x1.73d272cdd9c1cp-4, 0x1.7d0bcc8ba61cfp-4, 0x1.8607676ae0da5p-4, 0x1.8ec5327f8ed86p-4, 0x1.974528e5348e4p-4, 0x1.9f87512e5261dp-4, 0x1.a78bbcda7652cp-4, 0x1.af5287d2b488dp-4, 0x1.b6dbd7ec45541p-4, 0x1.be27dc71175d2p-4, 0x1.c536cdae1b9dp-4, 0x1.cc08ec8700e01p-4, 0x1.d29e820f1f7ecp-4, 0x1.d8f7df275cffep-4, 0x1.df155c20bdc31p-4, 0x1.e4f758636aa3ep-4, 0x1.ea9e3a19d7e7p-4, 0x1.f00a6ddfe4fc4p-4, 0x1.f53c6675b23a7p-4, 0x1.fa349c75e0f01p-4, 0x1.fef38e0f1390cp-4, 0x1.01bcdf603ad98p-3, 0x1.03e3db8c88e85p-3, 0x1.05ef023ce1c48p-3, 0x1.07de9c6cce15p-3, 0x1.09b2f5463ed92p-3, 0x1.0b6c5a05e8f34p-3, 0x1.0d0b19e09d26fp-3, 0x1.0e8f85e97959bp-3, 0x1.0ff9f0f8f77dbp-3, 0x1.114aaf94bd1edp-3, 0x1.128217d81bbc8p-3, 0x1.13a0815d3d8b5p-3, 0x1.14a64526eec83p-3, 0x1.1593bd8af0444p-3, 0x1.1669461cd4ea4p-3, 0x1.17273b995d0dep-3, 0x1.17cdfbd24250dp-3, 0x1.185de59a75012p-3, 0x1.18d758b2bf7fep-3, 0x1.193ab5b6c6e5p-3, 0x1.19885e0a70cbp-3, 0x1.19c0b3c79bc96p-3, 0x1.19e419ac2e22bp-3, 0x1.19f2f3087802dp-3, 0x1.19eda3ade3255p-3, 0x1.19d48fddf529ep-3, 0x1.19a81c3998483p-3, 0x1.1968adb0b24c2p-3, 0x1.1916a97209db5p-3, 0x1.18b274db6f752p-3, 0x1.183c756a34bc6p-3, 0x1.17b510abecc25p-3, 0x1.171cac2f77f74p-3, 0x1.1673ad76583c8p-3, 0x1.15ba79e656c2fp-3, 0x1.14f176bb6e86ep-3, 0x1.141908fa0a5b1p-3, 0x1.133195618db85p-3, 0x1.123b805f2cb7ap-3, 0x1.11372e0116babp-3, 0x1.102501e9f1204p-3, 0x1.0f055f44a1223p-3, 0x1.0dd8a8b86be7cp-3, 0x1.0c9f405d6be9fp-3, 0x1.0b5987b153bfap-3, 0x1.0a07df8c91abfp-3, 0x1.08aaa817bed16p-3, 0x1.074240c16c843p-3, 0x1.05cf0834452bdp-3, 0x1.04515c4d889fbp-3, 0x1.02c99a13ddd66p-3, 0x1.01381dae800f4p-3, 0x1.ff3a84b98622bp-4, 0x1.fbf2c4dbe4069p-4, 0x1.f899ae730c73p-4, 0x1.f52ff22f713c2p-4, 0x1.f1b63eb4d297cp-4, 0x1.ee2d408ccfd7bp-4, 0x1.ea95a21a0bea6p-4, 0x1.e6f00b8c1faf6p-4, 0x1.e33d22d42aa07p-4, 0x1.df7d8b9a0a9abp-4, 0x1.dbb1e7325a72cp-4, 0x1.d7dad494f63b9p-4, 0x1.d3f8f05449dd7p-4, 0x1.d00cd4952c694p-4, 0x1.cc1719076d1a6p-4, 0x1.c81852df02318p-4, 0x1.c41114cdcd584p-4, 0x1.c001eefe08e74p-4, 0x1.bbeb6f0d456d8p-4, 0x1.b7ce2008058cap-4, 0x1.b3aa8a65ed9bp-4, 0x1.af8134068002dp-4, 0x1.ab52a02e68201p-4, 0x1.a71f4f8555607p-4, 0x1.a2e7c0145dd8bp-4, 0x1.9eac6d44df83dp-4, 0x1.9a6dcfdfe7362p-4, 0x1.962c5e0e16c05p-4, 0x1.91e88b57fe216p-4, 0x1.8da2c8a6f38e6p-4, 0x1.895b844659f57p-4, 0x1.851329e557bd8p-4, 0x1.80ca2298fa6b4p-4, 0x1.7c80d4dec1e4ap-4, 0x1.7837a49f91bcbp-4, 0x1.73eef33300cb2p-4, 0x1.6fa71f63084a8p-4, 0x1.6b6085700b45ep-4, 0x1.671b7f1537ec8p-4, 0x1.62d8638d364d1p-4, 0x1.5e9787972a46ep-4, 0x1.5a593d7c0099dp-4, 0x1.561dd51402ae1p-4, 0x1.51e59bccae9ecp-4, 0x1.4db0dcaed2d15p-4, 0x1.497fe064e5b82p-4, 0x1.4552ed419937fp-4, 0x1.412a4746a4693p-4, 0x1.3d06302bc32eep-4, 0x1.38e6e765e51fbp-4, 0x1.34ccaa2e8a86ap-4, 0x1.30b7b38b4d5eep-4, 0x1.2ca83c558fc82p-4, 0x1.289e7b4252f12p-4, 0x1.249aa4ea2c9eap-4, 0x1.209cebd15f5a7p-4, 0x1.1ca580700b438p-4, 0x1.18b4913a7b8aap-4, 0x1.14ca4aa98baf6p-4, 0x1.10e6d7431eaeap-4, 0x1.0d0a5fa2ab4dp-4, 0x1.09350a81d5edbp-4, 0x1.0566fcc11b4c5p-4, 0x1.01a05970834e9p-4, 0x1.fbc283b0be307p-5, 0x1.f453ab0418181p-5, 0x1.ecf464817c605p-5, 0x1.e5a4e8749b209p-5, 0x1.de656be00414fp-5, 0x1.d736208ec432ap-5, 0x1.d0173525f962fp-5, 0x1.c908d5366150dp-5, 0x1.c20b294dd96fbp-5, 0x1.bb1e5708d2b18p-5, 0x1.b4428123b297p-5, 0x1.ad77c78c20e65p-5, 0x1.a6be47723c662p-5, 0x1.a0161b59b8062p-5, 0x1.997f5b2ad96b2p-5, 0x1.92fa1c435bafbp-5, 0x1.8c8671872c7eep-5, 0x1.86246b710c552p-5, 0x1.7fd41823026c1p-5, 0x1.79958376af93ap-5, 0x1.7368b70d73a7bp-5, 0x1.6d4dba606b9e1p-5, 0x1.674492d04398cp-5, 0x1.614d43b4d6a8dp-5, 0x1.5b67ce6ca4b1fp-5, 0x1.5594326c16581p-5, 0x1.4fd26d4c8b724p-5, 0x1.4a227adb3d281p-5, 0x1.44845527e6017p-5, 0x1.3ef7f493374c2p-5, 0x1.397d4fdd1d98cp-5, 0x1.34145c32c52f5p-5, 0x1.2ebd0d3c6fb7cp-5, 0x1.2977552b0ec6bp-5, 0x1.244324c5a5101p-5, 0x1.1f206b76705cdp-5, 0x1.1a0f1757d7bp-5, 0x1.150f1541244bap-5, 0x1.102050d2fb058p-5, 0x1.0b42b4839e5ffp-5, 0x1.067629aaf8affp-5, 0x1.01ba988e6586cp-5, 0x1.fa1fd0d88b40ep-6, 0x1.f0ebff0eae03ep-6, 0x1.e7d98663a28e6p-6, 0x1.dee82fb08c419p-6, 0x1.d617c2189961fp-6, 0x1.cd68031dd7a2p-6, 0x1.c4d8b6b5a13ccp-6, 0x1.bc699f5c8ab1p-6, 0x1.b41a7e29e90c9p-6, 0x1.abeb12e2ddc5dp-6, 0x1.a3db1c0cf3667p-6, 0x1.9bea570048372p-6, 0x1.94187ff94ea9ap-6, 0x1.8c65522a178a1p-6, 0x1.84d087cb2c4dfp-6, 0x1.7d59da2c08fb2p-6, 0x1.760101c319817p-6, 0x1.6ec5b63d5c4d9p-6, 0x1.67a7ae8d8d3bbp-6, 0x1.60a6a0faeeb9ep-6, 0x1.59c2432faac54p-6, 0x1.52fa4a46d2174p-6, 0x1.4c4e6ad9ea07bp-6, 0x1.45be590e23e0dp-6, 0x1.3f49c8a12e2adp-6, 0x1.38f06cf5a0a28p-6, 0x1.32b1f91f087c9p-6, 0x1.2c8e1feda68c4p-6, 0x1.268493f9bab77p-6, 0x1.209507ae7e7d7p-6, 0x1.1abf2d54c8f09p-6, 0x1.1502b71d55cc3p-6, 0x1.0f5f572ab81a3p-6, 0x1.09d4bf9af64a1p-6, 0x1.0462a290cfbabp-6, 0x1.fe11647974fabp-7, 0x1.f38d41cb059a8p-7, 0x1.e93841e145816p-7, 0x1.df11c9d4a02dap-7, 0x1.d5193f1a6b288p-7, 0x1.cb4e0793c9324p-7, 0x1.c1af899bfb0f9p-7, 0x1.b83d2c162aa48p-7, 0x1.aef6567aa3b0dp-7, 0x1.a5da70e373253p-7, 0x1.9ce8e4189a1a5p-7, 0x1.9421199bab995p-7, 0x1.8b827bb2f864ep-7, 0x1.830c757430d63p-7, 0x1.7abe72ce89784p-7, 0x1.7297e094777ep-7, 0x1.6a982c84eff68p-7, 0x1.62bec55428576p-7, 0x1.5b0b1ab403fe7p-7, 0x1.537c9d5bfbffcp-7, 0x1.4c12bf10a8a83p-7, 0x1.44ccf2aadcf22p-7, 0x1.3daaac1e66eabp-7, 0x1.36ab608067aa8p-7, 0x1.2fce860d4ed68p-7, 0x1.2913942e7a17p-7, 0x1.227a037f7299dp-7, 0x1.1c014dd2dcc11p-7, 0x1.15a8ee370f936p-7, 0x1.0f7060fa557b3p-7, 0x1.095723aeea4f4p-7, 0x1.035cb52e9648p-7, 0x1.fb012b3c16e7p-8, 0x1.ef848cdfef2cbp-8, 0x1.e44294cf9852bp-8, 0x1.d93a4b388e4cbp-8, 0x1.ce6abaf3642bap-8, 0x1.c3d2f187ce412p-8, 0x1.b971ff301b95ep-8, 0x1.af46f6dc485a6p-8, 0x1.a550ee349676cp-8, 0x1.9b8efd9bb6a42p-8, 0x1.920040307abd7p-8, 0x1.88a3d3cf39405p-8, 0x1.7f78d9129a36ap-8, 0x1.767e7354312e5p-8, 0x1.6db3c8aca96a7p-8, 0x1.651801f38645fp-8, 0x1.5caa4abeaef42p-8, 0x1.5469d1617f877p-8, 0x1.4c55c6eba6766p-8, 0x1.446d5f279deb5p-8, 0x1.3cafd098eda15p-8, 0x1.351c547a14eedp-8, 0x1.2db226ba3ded3p-8, 0x1.267085faa8497p-8, 0x1.1f56b38bd988ep-8, 0x1.1863f36a7c859p-8, 0x1.11978c3c2314p-8, 0x1.0af0c74bc77c6p-8, 0x1.046ef0860ee6cp-8, 0x1.fc22aceacdce3p-9, 0x1.efae947bf1a38p-9, 0x1.e3803f32a0fe6p-9, 0x1.d79659a3f77e1p-9, 0x1.cbef957de89f4p-9, 0x1.c08aa97db3f84p-9, 0x1.b5665166287afp-9, 0x1.aa814df59d677p-9, 0x1.9fda64dbbb651p-9, 0x1.957060aeda155p-9, 0x1.8b4210e149f2dp-9, 0x1.814e49b664345p-9, 0x1.7793e43762643p-9, 0x1.6e11be2811609p-9, 0x1.64c6b9fb4d302p-9, 0x1.5bb1bec762f16p-9, 0x1.52d1b83a2d8c4p-9, 0x1.4a25968d47c76p-9, 0x1.41ac4e79f0ae3p-9, 0x1.3964d92cde831p-9, 0x1.314e343a05deep-9, 0x1.29676190441b5p-9, 0x1.21af676cfc399p-9, 0x1.1a25504f8870fp-9, 0x1.12c82aecc1218p-9, 0x1.0b970a224e4b8p-9, 0x1.049104ea1a3e3p-9, 0x1.fb6a6c9b1c762p-10, 0x1.ee057ab20026fp-10, 0x1.e0f17a1dccb48p-10, 0x1.d42cb8b655f77p-10, 0x1.c7b58c0cc35fap-10, 0x1.bb8a515242a6ep-10, 0x1.afa96d3e88f95p-10, 0x1.a4114bf65adfap-10, 0x1.98c060f2707b6p-10, 0x1.8db526e5f8f06p-10, 0x1.82ee1fa57b407p-10, 0x1.7869d40dba887p-10, 0x1.6e26d3ea9ebdep-10, 0x1.6423b5de2c0fap-10, 0x1.5a5f1747db1a6p-10, 0x1.50d79c2bab4eep-10, 0x1.478bef19ce77bp-10, 0x1.3e7ac115fc6c7p-10, 0x1.35a2c97f417ecp-10, 0x1.2d02c5f7be43fp-10, 0x1.24997a4cb98f6p-10, 0x1.1c65b05e9e293p-10, 0x1.14663809769ep-10, 0x1.0c99e70d5eed7p-10, 0x1.04ff98f7274ecp-10, 0x1.fb2c5e1286982p-11, 0x1.ecb92049978eep-11, 0x1.dea351655b65ep-11, 0x1.d0e8d51a60c1bp-11, 0x1.c38799d301ca6p-11, 0x1.b67d98835473dp-11, 0x1.a9c8d47d07dc9p-11, 0x1.9d675b4426016p-11, 0x1.915744640039dp-11, 0x1.8596b1448cf84p-11, 0x1.7a23cd00497f2p-11, 0x1.6efccc3a697f7p-11, 0x1.641fecf5ace6p-11, 0x1.598b766b91fbbp-11, 0x1.4f3db8e3ef8e3p-11, 0x1.45350d8d4ef3p-11, 0x1.3b6fd6554affp-11, 0x1.31ec7dc189b0bp-11, 0x1.28a976c982fdap-11, 0x1.1fa53cb02f156p-11, 0x1.16de52deac8fap-11, 0x1.0e5344bf0828bp-11, 0x1.0602a597c049ep-11, 0x1.fbd620cefcc82p-12, 0x1.ec164f836856dp-12, 0x1.dcc32b5634dadp-12, 0x1.cdda16ee230fep-12, 0x1.bf58834abc66fp-12, 0x1.b13bef80989d6p-12, 0x1.a381e876cb379p-12, 0x1.962808a53d6bap-12, 0x1.892bf7d3d81d6p-12, 0x1.7c8b6ada9e57ep-12, 0x1.70442362d431bp-12, 0x1.6453efa890ep-12, 0x1.58b8aa3e2e9f5p-12, 0x1.4d7039cf8503ep-12, 0x1.427890e6d489ap-12, 0x1.37cfadb23f8d9p-12, 0x1.2d7399ca3a865p-12, 0x1.236269f8f055dp-12, 0x1.199a3e02b544ap-12, 0x1.1019406e99114p-12, 0x1.06dda650b6668p-12, 0x1.fbcb5e296a6dbp-13, 0x1.ea5f489357d74p-13, 0x1.d973b2dccbd2cp-13, 0x1.c905577d88e7fp-13, 0x1.b9110403ebe49p-13, 0x1.a99398b24e7b8p-13, 0x1.9a8a081f6ce7ep-13, 0x1.8bf156d6c3759p-13, 0x1.7dc69afba44a9p-13, 0x1.7006fbed6ab86p-13, 0x1.62afb1ecde17ap-13, 0x1.55be05c3f9218p-13, 0x1.492f506efda68p-13, 0x1.3d00fac62ee76p-13, 0x1.31307d2a8c3e8p-13, 0x1.25bb5f325871fp-13, 0x1.1a9f37586c316p-13, 0x1.0fd9aaac28019p-13, 0x1.05686c830649bp-13, 0x1.f6927c57e87b5p-14, 0x1.e2f3dd46e0155p-14, 0x1.cff0b492d48c5p-14, 0x1.bd84d5303fecap-14, 0x1.abac2bb9d1016p-14, 0x1.9a62bde385a3cp-14, 0x1.89a4a9f156312p-14, 0x1.796e262ee945ep-14, 0x1.69bb806b4ca28p-14, 0x1.5a891d75e2d4cp-14, 0x1.4bd3789f4772ep-14, 0x1.3d97233b88e49p-14, 0x1.2fd0c4268f5b3p-14, 0x1.227d174bbf5f3p-14, 0x1.1598ed2f7b5dbp-14, 0x1.09212a79d6eadp-14, 0x1.fa258f0b67c25p-15, 0x1.e2d59fe1ed734p-15, 0x1.cc4cc45cad0a4p-15, 0x1.b6855e33d6326p-15, 0x1.a179f31ef459dp-15, 0x1.8d252c0754f21p-15, 0x1.7981d43c80643p-15, 0x1.668ad8ae7bce7p-15, 0x1.543b472a830f2p-15, 0x1.428e4d9c349a2p-15, 0x1.317f39527eea3p-15, 0x1.21097647acb42p-15, 0x1.11288e6f8af38p-15, 0x1.01d82906350ebp-15, 0x1.e62813c9158fap-16, 0x1.c9b021ac98deap-16, 0x1.ae4071eab5001p-16, 0x1.93d1300ef72cdp-16, 0x1.7a5abbbf9b5a5p-16, 0x1.61d5a78688e8fp-16, 0x1.4a3ab7a1bcec7p-16, 0x1.3382e0d883327p-16, 0x1.1da747576b9f5p-16, 0x1.08a13d91f5984p-16, 0x1.e8d4865733c85p-17, 0x1.c1f807cf35f5p-17, 0x1.9ca0ad33f24dcp-17, 0x1.78c278462d676p-17, 0x1.5651bcdda4c7cp-17, 0x1.35431ef05b98ap-17, 0x1.158b90a5385b2p-17, 0x1.ee40a0f2e90c4p-18, 0x1.b3edcec2fa7a9p-18, 0x1.7c0a4e053bb72p-18, 0x1.46824fd782e99p-18, 0x1.13428fbd9768p-18, 0x1.c470a08112de6p-19, 0x1.66a2af3ec78a3p-19, 0x1.0cf7d938fb3bap-19, 0x1.6e9b4d4ce302cp-20, 0x1.960a51099a519p-21, 0x1.7760d48491019p-23, -0x1.97bcd3b773aafp-22, -0x1.e794b17c4ffd7p-21, -0x1.7ae12947210fp-20, -0x1.fb6dcfa1af47fp-20, -0x1.3ad4681fe7da8p-19, -0x1.74e48ad4cd9d1p-19, -0x1.ac01fd4cb9ddp-19, -0x1.e046aa19b33fep-19, -0x1.08e5def2e51dfp-18, -0x1.2054d6233ea5fp-18, -0x1.367c1a339237dp-18, -0x1.4b6732d19843fp-18, -0x1.5f2152030ba58p-18, -0x1.71b55656789bdp-18, -0x1.832dcd0a57cb9p-18, -0x1.9394f42036626p-18, -0x1.a2f4bc6b1b034p-18, -0x1.b156cb86e6681p-18, -0x1.bec47dd59ea9bp-18, -0x1.cb46e860045ep-18, -0x1.d6e6dab4a60fcp-18, -0x1.e1ace0b9c1efep-18, -0x1.eba14471a4301p-18, -0x1.f4cc0fb7dff79p-18, -0x1.fd350deee15cep-18, -0x1.0271e6d33a1a5p-17, -0x1.05efd11ef012ep-17, -0x1.0917d2b7c1a71p-17, -0x1.0bed5c719f11bp-17, -0x1.0e73c3d1f8e93p-17, -0x1.10ae43cf6be2fp-17, -0x1.129ffd8438f18p-17, -0x1.144bf8e510e9p-17, -0x1.15b5256b69dc7p-17, -0x1.16de5ac16d314p-17, -0x1.17ca596798c28p-17, -0x1.187bcb5756cdep-17, -0x1.18f5449e798eap-17, -0x1.193943fb83a2cp-17, -0x1.194a3370ee978p-17, -0x1.192a68d9f66e6p-17, -0x1.18dc2679369a1p-17, -0x1.18619b82b57cdp-17, -0x1.17bce4a5fd049p-17, -0x1.16f00c90c2811p-17, -0x1.15fd0c70be3bbp-17, -0x1.14e5cc70b5778p-17, -0x1.13ac2434b22dfp-17, -0x1.1251db50de62cp-17, -0x1.10d8a9be4d44cp-17, -0x1.0f42384e86638p-17, -0x1.0d902117969d4p-17, -0x1.0bc3efe30ee0bp-17, -0x1.09df229415fdbp-17, -0x1.07e3299168ab6p-17, -0x1.05d1682697d88p-17, -0x1.03ab34e7e081ep-17, -0x1.0171da0fe320bp-17, -0x1.fe4d2bb8bf865p-18, -0x1.f99535d2dd3bfp-18, -0x1.f4be21107eab1p-18, -0x1.efca262904023p-18, -0x1.eabb68908ae55p-18, -0x1.e593f71a43c5dp-18, -0x1.e055cc953e49cp-18, -0x1.db02d0692cc3ep-18, -0x1.d59cd72b5a854p-18, -0x1.d025a32e2bb1p-18, -0x1.ca9ee5132b0e4p-18, -0x1.c50a3c515d5b8p-18, -0x1.bf6937bf5a7dep-18, -0x1.b9bd56145ecb3p-18, -0x1.b4080668aed04p-18, -0x1.ae4aa8b26761cp-18, -0x1.a8868e3d9c0bcp-18, -0x1.a2bcfa2362d15p-18, -0x1.9cef21b9a985dp-18, -0x1.971e2d04db7c2p-18, -0x1.914b37227b2dfp-18, -0x1.8b774eb2f2b2dp-18, -0x1.85a37641d79dap-18, -0x1.7fd0a4a7868a2p-18, -0x1.79ffc56aaba5fp-18, -0x1.7431b92075f5p-18, -0x1.6e6755c549d19p-18, -0x1.68a167187a79cp-18, -0x1.62e0aef01f1e7p-18, -0x1.5d25e58ff67d1p-18, -0x1.5771b9fa7041dp-18, -0x1.51c4d240d7e54p-18, -0x1.4c1fcbcfaf98p-18, -0x1.46833bbb1218ap-18, -0x1.40efaf06c7804p-18, -0x1.3b65aaee0f1d5p-18, -0x1.35e5ad26800c8p-18, -0x1.30702c2533808p-18, -0x1.2b05975fff625p-18, -0x1.25a6578b34958p-18, -0x1.2052ced8d9fc6p-18, -0x1.1b0b5932aaedep-18, -0x1.15d04c75608ddp-18, -0x1.10a1f8a77e8d2p-18, -0x1.0b80a830aa8ccp-18, -0x1.066ca00de112p-18, -0x1.016620062e7d6p-18, -0x1.f8dac5b73a7dcp-19, -0x1.ef053cf7d7aaep-19, -0x1.e54c085fd9ef1p-19, -0x1.dbaf819013384p-19, -0x1.d22ff991cc5b3p-19, -0x1.c8cdb92aa63d3p-19, -0x1.bf8901330b01p-19, }}, 
      std::vector<double>(650, 0.0), 
      {{-0x1.75a57f2537504p-10, -0x1.75d5e95fae9eap-9, -0x1.18c34a3d42b51p-8, -0x1.776982af1f329p-8, -0x1.d78ec74e8f794p-8, -0x1.1d0b0a611d918p-7, -0x1.5003bd7928dc3p-7, -0x1.8540fdaa28cb6p-7, -0x1.bd56e7bba6cfp-7, -0x1.f8d800f26c97bp-7, -0x1.1c27f06b26f12p-6, -0x1.3e1f64b41a551p-6, -0x1.628b16633afe3p-6, -0x1.899b0aebe05ecp-6, -0x1.b375b221ca35p-6, -0x1.e03764412bdcfp-6, -0x1.07f91a91796p-5, -0x1.2157086d34faap-5, -0x1.3c348abe4b538p-5, -0x1.588c0ee3014e2p-5, -0x1.7653b85c126cp-5, -0x1.957dc58906798p-5, -0x1.b5f8fc51be8a1p-5, -0x1.d7b11a66a64c7p-5, -0x1.fa8f4579c34dp-5, -0x1.0f3d3c4725099p-4, -0x1.21abf6184c43cp-4, -0x1.3485bc06bc6b3p-4, -0x1.47bbf67844f0ap-4, -0x1.5b3fb355d3762p-4, -0x1.6f01cae5aae73p-4, -0x1.82f300a3d8944p-4, -0x1.9704204bb3d02p-4, -0x1.ab26175714d01p-4, -0x1.bf4a0b420bb88p-4, -0x1.d3616ce5b9e9p-4, -0x1.e75e093bd48d1p-4, -0x1.fb3217d836584p-4, -0x1.076823af58cedp-3, -0x1.1115e419e1861p-3, -0x1.1a9c2acee3e1ap-3, -0x1.23f51ec1fe3d7p-3, -0x1.2d1b33783df5ap-3, -0x1.36092bb99db7ap-3, -0x1.3eba1bbedcb86p-3, -0x1.47296ae4ff6bfp-3, -0x1.4f52d4edac891p-3, -0x1.57326ad21e028p-3, -0x1.5ec4932d3c3dcp-3, -0x1.66060a40d7f63p-3, -0x1.6cf3e1999e626p-3, -0x1.738b7f55462c2p-3, -0x1.79ca9d0ecbc1ep-3, -0x1.7faf46749a8ffp-3, -0x1.8537d78d39694p-3, -0x1.8a62faaf48b2bp-3, -0x1.8f2fa6323e56fp-3, -0x1.939d19ddb1911p-3, -0x1.97aadc1d811f4p-3, -0x1.9b58b7015a3e3p-3, -0x1.9ea6b50e8f7a2p-3, -0x1.a1951deb3ffa6p-3, -0x1.a42472e9f31bbp-3, -0x1.a6556b7cd417ap-3, -0x1.a828f19789f8p-3, -0x1.a9a01e069e68fp-3, -0x1.aabc34c30fc61p-3, -0x1.ab7ea14863844p-3, -0x1.abe8f2f32e33p-3, -0x1.abfcd96da9fa4p-3, -0x1.abbc212f71652p-3, -0x1.ab28b014f6849p-3, -0x1.aa448212f1355p-3, -0x1.a911a609520e3p-3, -0x1.a7923ab8ddecdp-3, -0x1.a5c86bde1cb44p-3, -0x1.a3b66f73ae86cp-3, -0x1.a15e831db2f7ep-3, -0x1.9ec2e9bf8182cp-3, -0x1.9be5e93c58a37p-3, -0x1.98c9c8638be95p-3, -0x1.9570cd0801834p-3, -0x1.91dd3a42c99d8p-3, -0x1.8e114ee00fcfep-3, -0x1.8a0f43f57bc16p-3, -0x1.85d94ba0d5f06p-3, -0x1.81718fed86384p-3, -0x1.7cda31df53f1ep-3, -0x1.781548a0bb504p-3, -0x1.7324e0d2ee072p-3, -0x1.6e0afbfd91c6fp-3, -0x1.68c9901c456ap-3, -0x1.63628747c38dap-3, -0x1.5dd7bf78a8cfcp-3, -0x1.582b0a61b70f7p-3, -0x1.525e2d5f850a3p-3, -0x1.4c72e17b943fap-3, -0x1.466ad380cb6a4p-3, -0x1.4047a41f64925p-3, -0x1.3a0ae81e6e773p-3, -0x1.33b6289919ab3p-3, -0x1.2d4ae346136c8p-3, -0x1.26ca8ac756f81p-3, -0x1.20368700e8a29p-3, -0x1.199035750866fp-3, -0x1.12d8e9a4920fap-3, -0x1.0c11ed723f5e1p-3, -0x1.053c8187b8de6p-3, -0x1.fcb3bb76bb61fp-4, -0x1.eed662ebb7a86p-4, -0x1.e0e3482d82da4p-4, -0x1.d2dcaaae6ef29p-4, -0x1.c4c4bb54ab4eap-4, -0x1.b69d9d34bd13ap-4, -0x1.a8696644fa744p-4, -0x1.9a2a20090f06cp-4, -0x1.8be1c834f6745p-4, -0x1.7d925146b49bfp-4, -0x1.6f3da3168fb36p-4, -0x1.60e59b5d4fd8p-4, -0x1.528c0e306bf6bp-4, -0x1.4432c673fbc01p-4, -0x1.35db8642706cep-4, -0x1.2788074a2453ap-4, -0x1.1939fb20e69c1p-4, -0x1.0af30b8db96bcp-4, -0x1.f969b59207fb4p-5, -0x1.dd0207671e657p-5, -0x1.c0b23409438p-5, -0x1.a47d54df54911p-5, -0x1.88667583c01ebp-5, -0x1.6c7093f09e22cp-5, -0x1.509ea09d91d4p-5, -0x1.34f37e9076ebdp-5, -0x1.19720361ccd38p-5, -0x1.fc39ee6bd9116p-6, -0x1.c5ee2957fd9dfp-6, -0x1.9006118791467p-6, -0x1.5a86e5766fd66p-6, -0x1.2575c7c97139bp-6, -0x1.e1af7ddd148dbp-7, -0x1.796369646e87cp-7, -0x1.1210eb982f77dp-7, -0x1.5782c5917c2d8p-8, -0x1.19f7c49f4039p-9, 0x1.db0843f557c16p-11, 0x1.0182ad282f29ep-8, 0x1.c5583c7cea8ddp-8, 0x1.4368b3f42e911p-7, 0x1.a2ef31c232b6ap-7, 0x1.009bfa082ddd5p-6, 0x1.2f1dcd4e861dep-6, 0x1.5cf984b758ed8p-6, 0x1.8a2bb4dc9fba4p-6, 0x1.b6b1155b12ebdp-6, 0x1.e28681368638dp-6, 0x1.06d47b9b09ff7p-5, 0x1.1c0acd1baff9bp-5, 0x1.30e4d8bc3d215p-5, 0x1.4561546bf6712p-5, 0x1.597f08854a0dp-5, 0x1.6d3ccfe380c24p-5, 0x1.809997f303dcp-5, 0x1.939460bc2e7fcp-5, 0x1.a62c3ce892ff9p-5, 0x1.b86051c2acbe1p-5, 0x1.ca2fd72ffce2p-5, 0x1.db9a17a59dcfdp-5, 0x1.ec9e701748d67p-5, 0x1.fd3c4fe0e10ebp-5, 0x1.06b99c554ff71p-4, 0x1.0ea15f23f8a25p-4, 0x1.1655434892da2p-4, 0x1.1dd5249c0b301p-4, 0x1.2520e7cbf1d83p-4, 0x1.2c387a3ff7c58p-4, 0x1.331bd1fd1d347p-4, 0x1.39caed86b0f3cp-4, 0x1.4045d3bd2eac2p-4, 0x1.468c93bb184bfp-4, 0x1.4c9f44afe527ap-4, 0x1.527e05b91e07bp-4, 0x1.5828fdb9c1954p-4, 0x1.5da05b3009137p-4, 0x1.62e45409ae497p-4, 0x1.67f52576ca31dp-4, 0x1.6cd313bb634c6p-4, 0x1.717e69ffd1c0dp-4, 0x1.75f77a20097fcp-4, 0x1.7a3e9c79ea0e3p-4, 0x1.7e542fbaaf993p-4, 0x1.823898ab9b7c8p-4, 0x1.85ec41fdf061fp-4, 0x1.896f9c165cb6fp-4, 0x1.8cc31cd7eadep-4, 0x1.8fe73f6e8ad07p-4, 0x1.92dc8419585f2p-4, 0x1.95a36ff4a7654p-4, 0x1.983c8cc3f3a88p-4, 0x1.9aa868bbc955cp-4, 0x1.9ce7964bb8389p-4, 0x1.9efaabe86b8adp-4, 0x1.a0e243d5ed37ap-4, 0x1.a29efbf237eedp-4, 0x1.a43175801f6b9p-4, 0x1.a59a54f29d021p-4, 0x1.a6da41b8958ffp-4, 0x1.a7f1e609235d3p-4, 0x1.a8e1eeb088e03p-4, 0x1.a9ab0adda5b03p-4, 0x1.aa4debf03cd0ap-4, 0x1.aacb4547e763ap-4, 0x1.ab23cc13c55bbp-4, 0x1.ab58372319e8fp-4, 0x1.ab693eb6ab2d4p-4, 0x1.ab579c530f6e4p-4, 0x1.ab240a93eb4bp-4, 0x1.aacf450019eb3p-4, 0x1.aa5a07dedb4eap-4, 0x1.a9c5100df5619p-4, 0x1.a9111ad8e9442p-4, 0x1.a83ee5d132361p-4, 0x1.a74f2ea78013bp-4, 0x1.a642b30625affp-4, 0x1.a51a306c7831dp-4, 0x1.a3d6640b6cdcfp-4, 0x1.a2780aa32d24ap-4, 0x1.a0ffe061e05dep-4, 0x1.9f6ea0c3861fep-4, 0x1.9dc50672ebdf9p-4, 0x1.9c03cb2bc8564p-4, 0x1.9a2ba79decdc7p-4, 0x1.983d53518d6dep-4, 0x1.9639848cb2837p-4, 0x1.9420f039b4beep-4, 0x1.91f449ced5672p-4, 0x1.8fb44336eb9ecp-4, 0x1.8d618cbb2275p-4, 0x1.8afcd4edc6699p-4, 0x1.8886c8961d48ap-4, 0x1.8600129d4a21ep-4, 0x1.83695bfc3137p-4, 0x1.80c34baa61288p-4, 0x1.7e0e868df6ffcp-4, 0x1.7b4baf6c7acd3p-4, 0x1.787b66dcb0fb5p-4, 0x1.759e4b395c1ep-4, 0x1.72b4f894e780bp-4, 0x1.6fc008adfacc9p-4, 0x1.6cc012e4ec673p-4, 0x1.69b5ac3211d3dp-4, 0x1.66a1671ce5a7p-4, 0x1.6383d3b400c1fp-4, 0x1.605d7f85df9fep-4, 0x1.5d2ef59a6e142p-4, 0x1.59f8be6d564dbp-4, 0x1.56bb5fe90b63cp-4, 0x1.53775d628c3fap-4, 0x1.502d3795d6459p-4, 0x1.4cdd6ca305fa5p-4, 0x1.4988780c1f503p-4, 0x1.462ed2b3741aep-4, 0x1.42d0f2daa9b9ap-4, 0x1.3f6f4c2254a35p-4, 0x1.3c0a4f8a25f7p-4, 0x1.38a26b71a1bd5p-4, 0x1.35380b9961051p-4, 0x1.31cb9924d3b87p-4, 0x1.2e5d7a9c7c02p-4, 0x1.2aee13f0a63efp-4, 0x1.277dc67c90d48p-4, 0x1.240cf10a00ea6p-4, 0x1.209befd5402cp-4, 0x1.1d2b1c9180656p-4, 0x1.19bace6d9c2fdp-4, 0x1.164b5a1932bffp-4, 0x1.12dd11ca17f72p-4, 0x1.0f7045421c3e9p-4, 0x1.0c0541d517efbp-4, 0x1.089c526f477cap-4, 0x1.0535bf9be7fb3p-4, 0x1.01d1cf8c181f4p-4, 0x1.fce18c3be0e53p-5, 0x1.f625c9c7b23ddp-5, 0x1.ef70d658235cap-5, 0x1.e8c32c10d7469p-5, 0x1.e21d40ac63d91p-5, 0x1.db7f858c72ad1p-5, 0x1.d4ea67ca31d82p-5, 0x1.ce5e50470ab2p-5, 0x1.c7dba3bd98a31p-5, 0x1.c162c2d2d898bp-5, 0x1.baf40a278b7dfp-5, 0x1.b48fd269cc125p-5, 0x1.ae367066c57a3p-5, 0x1.a7e8351c8cfd4p-5, 0x1.a1a56dcc2658ap-5, 0x1.9b6e640b8978fp-5, 0x1.95435dd7d0504p-5, 0x1.8f249da762ea4p-5, 0x1.8912627c3c7b2p-5, 0x1.830ce7f62acd7p-5, 0x1.7d14666511348p-5, 0x1.772912db2b254p-5, 0x1.714b1f3f44f46p-5, 0x1.6b7aba5eefa81p-5, 0x1.65b810009e9e9p-5, 0x1.600348f5ba4d6p-5, 0x1.5a5c8b2c9bc6dp-5, 0x1.54c3f9c26e36ap-5, 0x1.4f39b514f709ep-5, 0x1.49bddad44574cp-5, 0x1.4450861439dd4p-5, 0x1.3ef1cf5dedf49p-5, 0x1.39a1ccc0f61d5p-5, 0x1.346091e47c1d2p-5, 0x1.2f2e301833752p-5, 0x1.2a0ab6651cd1bp-5, 0x1.24f6319e1d7fcp-5, 0x1.1ff0ac7067bc3p-5, 0x1.1afa2f73b2cf5p-5, 0x1.1612c13a3ebbdp-5, 0x1.113a6660a7b9fp-5, 0x1.0c71219d80584p-5, 0x1.07b6f3d0b6d6bp-5, 0x1.030bdc12c235p-5, 0x1.fcdfaf87284c1p-6, 0x1.f3c5c532b217dp-6, 0x1.eac9ed5ded073p-6, 0x1.e1ec1924a5659p-6, 0x1.d92c36a4b5b0cp-6, 0x1.d08a3119a3d8p-6, 0x1.c805f0f7bfdp-6, 0x1.bf9f5c06cca3fp-6, 0x1.b756557c2f149p-6, 0x1.af2abe14951c3p-6, 0x1.a71c742d28a28p-6, 0x1.9f2b53dc44eefp-6, 0x1.97573709ad71p-6, 0x1.8f9ff58651d52p-6, 0x1.880565237f079p-6, 0x1.808759c9af1b3p-6, 0x1.7925a58ec34dep-6, 0x1.71e018cbcc0d7p-6, 0x1.6ab682325c2cap-6, 0x1.63a8aee15718dp-6, 0x1.5cb66a794a404p-6, 0x1.55df7f304f8b6p-6, 0x1.4f23b5e562657p-6, 0x1.4882d6335c1b4p-6, 0x1.41fca6835bbf2p-6, 0x1.3b90ec1eccf13p-6, 0x1.353f6b40effdap-6, 0x1.2f07e727eddf8p-6, 0x1.28ea22257c602p-6, 0x1.22e5ddaf0b4aap-6, 0x1.1cfada6d8541p-6, 0x1.1728d84ca216fp-6, 0x1.116f9689c9491p-6, 0x1.0bced3c28b9b9p-6, 0x1.06464e02afa6p-6, 0x1.00d5c2d1cc5fap-6, 0x1.f6f9de81176cap-7, 0x1.ec771feaf212ap-7, 0x1.e222c272e2b13p-7, 0x1.d7fc3e0761e0cp-7, 0x1.ce030a0afe89p-7, 0x1.c4369d6ae27c3p-7, 0x1.ba966eb4acc81p-7, 0x1.b121f42b9510ep-7, 0x1.a7d8a3dcc4435p-7, 0x1.9eb9f3b30b6d1p-7, 0x1.95c55989e0cf9p-7, 0x1.8cfa4b3fc4f39p-7, 0x1.84583ec7d8da2p-7, 0x1.7bdeaa3ae3387p-7, 0x1.738d03e7bf1c7p-7, 0x1.6b62c2630859cp-7, 0x1.635f5c965b98cp-7, 0x1.5b8249cecd23ep-7, 0x1.53cb01cae8151p-7, 0x1.4c38fcc80ba9ep-7, 0x1.44cbb38f4c51ap-7, 0x1.3d829f81abfe3p-7, 0x1.365d3aa3e2fcbp-7, 0x1.2f5affa993349p-7, 0x1.287b6a0004e5cp-7, 0x1.21bdf5d86649cp-7, 0x1.1b2220317671dp-7, 0x1.14a766e0d3ae8p-7, 0x1.0e4d489bc3fbcp-7, 0x1.081344ff8dd24p-7, 0x1.01f8dc995f651p-7, 0x1.f7fb21dba2c6bp-8, 0x1.ec41c8ffef74dp-8, 0x1.e0c4b5b012fcap-8, 0x1.d582f1134dbcdp-8, 0x1.ca7b86737fed3p-8, 0x1.bfad83482fbp-8, 0x1.b517f740d67d8p-8, 0x1.aab9f44e94503p-8, 0x1.a0928ead0aecap-8, 0x1.96a0dceab8cf2p-8, 0x1.8ce3f7f09349fp-8, 0x1.835afb091fb94p-8, 0x1.7a0503e6beac9p-8, 0x1.70e132a9a3bf8p-8, 0x1.67eea9e50b3a9p-8, 0x1.5f2c8ea41481ap-8, 0x1.569a086dd8519p-8, 0x1.4e36414939789p-8, 0x1.460065c004397p-8, 0x1.3df7a4e1c1afap-8, 0x1.361b3045f2ec3p-8, 0x1.2e6a3c0df2d85p-8, 0x1.26e3fee65895cp-8, 0x1.1f87b207feacfp-8, 0x1.18549138aebfdp-8, 0x1.1149dacb4d2bp-8, 0x1.0a66cf9fb58e5p-8, 0x1.03aab32252efcp-8, 0x1.fa2996966b16bp-9, 0x1.ed48c13a0667ap-9, 0x1.e0b17c47135efp-9, 0x1.d46262e3dff3ap-9, 0x1.c85a154168947p-9, 0x1.bc973896bd56bp-9, 0x1.b118771bf95eap-9, 0x1.a5dc800488635p-9, 0x1.9ae20779106ffp-9, 0x1.9027c690f920bp-9, 0x1.85ac7b4b59c05p-9, 0x1.7b6ee887c8fffp-9, 0x1.716dd5fe77f92p-9, 0x1.67a81037f67edp-9, 0x1.5e1c6884ec2bdp-9, 0x1.54c9b4f50fc98p-9, 0x1.4baed04e434e1p-9, 0x1.42ca9a02f1941p-9, 0x1.3a1bf62890a92p-9, 0x1.31a1cd6d62751p-9, 0x1.295b0d0e9d86cp-9, 0x1.2146a6cdc7461p-9, 0x1.196390e6277b7p-9, 0x1.11b0c601cab03p-9, 0x1.0a2d452e9f944p-9, 0x1.02d811d33660fp-9, 0x1.f7606746e3306p-10, 0x1.e9696d2a365ddp-10, 0x1.dbc955a827a39p-10, 0x1.ce7e496d9111ep-10, 0x1.c18679641d57bp-10, 0x1.b4e01e9b28e7bp-10, 0x1.a8897a2f3d142p-10, 0x1.9c80d531c5b61p-10, 0x1.90c48090f97fcp-10, 0x1.8552d4ff106ap-10, 0x1.7a2a32da013d8p-10, 0x1.6f49021328977p-10, 0x1.64adb215ecf93p-10, 0x1.5a56b9af9bd7fp-10, 0x1.504296f637551p-10, 0x1.466fcf2ffffc6p-10, 0x1.3cdceebab6747p-10, 0x1.338888f2ef32p-10, 0x1.2a71381b175b5p-10, 0x1.21959d43162bdp-10, 0x1.18f4602fabea2p-10, 0x1.108c2f41d1fdbp-10, 0x1.085bbf5e9a3f9p-10, 0x1.0061cbd6a8652p-10, 0x1.f13a2c9b8708p-11, 0x1.e218cd45ebcb3p-11, 0x1.d35d15b138d52p-11, 0x1.c504adf86f572p-11, 0x1.b70d4a1ec8655p-11, 0x1.a974a9decf6f1p-11, 0x1.9c38987ce8378p-11, 0x1.8f56ec97d5de6p-11, 0x1.82cd87fb22728p-11, 0x1.769a57715a61p-11, 0x1.6abb529669abap-11, 0x1.5f2e7baa7b469p-11, 0x1.53f1df65216b8p-11, 0x1.490394c926223p-11, 0x1.3e61bcf8d4089p-11, 0x1.340a830aad708p-11, 0x1.29fc1bdd8d4c7p-11, 0x1.2034c5eefb826p-11, 0x1.16b2c92fcad17p-11, 0x1.0d7476db87f87p-11, 0x1.0478294e5435fp-11, 0x1.f77887b93393dp-12, 0x1.e67e6554bd78ap-12, 0x1.d5fed50679d8ap-12, 0x1.c5f6d16563e2cp-12, 0x1.b66365bad0853p-12, 0x1.a741adb577a0fp-12, 0x1.988ed51d9c92p-12, 0x1.8a48178884d32p-12, 0x1.7c6ac00f13dfcp-12, 0x1.6ef429045fe17p-12, 0x1.61e1bbace8f1dp-12, 0x1.5530eff7fe5b5p-12, 0x1.48df4c38fc387p-12, 0x1.3cea64e1dca4ep-12, 0x1.314fdc3e33ab8p-12, 0x1.260d622f87c7fp-12, 0x1.1b20b3eb5d747p-12, 0x1.10879bb9503bp-12, 0x1.063ff0b2d31c6p-12, 0x1.f88f2d04daecbp-13, 0x1.e538fa4af359ep-13, 0x1.d279415bbcd91p-13, 0x1.c04c120b7322ap-13, 0x1.aead9364fa645p-13, 0x1.9d9a0335b3485p-13, 0x1.8d0db59892bd6p-13, 0x1.7d051481a152ap-13, 0x1.6d7c9f4f5394p-13, 0x1.5e70ea5a2ca5ap-13, 0x1.4fde9e88beaadp-13, 0x1.41c278e40b8d8p-13, 0x1.34194a2de8153p-13, 0x1.26dff678bf2c7p-13, 0x1.1a1374c151282p-13, 0x1.0db0ce8a2c688p-13, 0x1.01b51f795d6efp-13, 0x1.ec3b29ee66f12p-14, 0x1.d5cedb9e5fe23p-14, 0x1.c01ff3a32aa61p-14, 0x1.ab2932f0024ebp-14, 0x1.96e57b12f8c78p-14, 0x1.834fcd865a43dp-14, 0x1.70634aff90ce9p-14, 0x1.5e1b32c571d8dp-14, 0x1.4c72e207fe57p-14, 0x1.3b65d33873ee7p-14, 0x1.2aef9d691c71p-14, 0x1.1b0bf3ab73203p-14, 0x1.0bb6a4749ce48p-14, 0x1.f9d7320907c1ap-15, 0x1.dd4da99ebd6fdp-15, 0x1.c1c8e9d090c14p-15, 0x1.a7415ee2195d6p-15, 0x1.8dafa615a8d4fp-15, 0x1.750c8c93112bbp-15, 0x1.5d510e5862386p-15, 0x1.4676552cbace3p-15, 0x1.3075b79b1ed1cp-15, 0x1.1b48b7e9bfeffp-15, 0x1.06e9031fd697dp-15, 0x1.e6a0e015d88fp-16, 0x1.c0f1fc9853609p-16, 0x1.9cb9aad2bff4bp-16, 0x1.79ec87c7e1968p-16, 0x1.587f7ca5c9195p-16, 0x1.3867bd0136cb7p-16, 0x1.199ac51ef9abcp-16, 0x1.f81cb07eee9c3p-17, 0x1.bf70fdf45b79ap-17, 0x1.891f0b3c336cfp-17, 0x1.5513f53f11419p-17, 0x1.233d5a109e5f7p-17, 0x1.e712abc00203ep-18, 0x1.8bccfffc8a882p-18, 0x1.3487cfda3cc91p-18, 0x1.c2444a22c41bfp-19, 0x1.22f7dcf5d27a7p-19, 0x1.15d7ea3b26662p-20, -0x1.8706f81c76b8ep-25, -0x1.20b6b4ff7f8e3p-20, -0x1.140b2b816dcc5p-19, -0x1.91635dffd7fbcp-19, -0x1.044d1aa88bb74p-18, -0x1.3cf2394a90396p-18, -0x1.72baaf156ccf9p-18, -0x1.a5bf68692c022p-18, -0x1.d6189e6be3f3bp-18, -0x1.01eeedb524b68p-17, -0x1.1792ff957e0c3p-17, -0x1.2c03a19ac410dp-17, -0x1.3f4b9f70963a7p-17, -0x1.517575b4c53e1p-17, -0x1.628b53e4de49bp-17, -0x1.72971e5de753cp-17, -0x1.81a27033a3677p-17, -0x1.8fb69d0ff1c58p-17, -0x1.9cdcb303ca278p-17, -0x1.a91d7c4289b1ep-17, -0x1.b48180df9bbe1p-17, -0x1.bf11087c4579bp-17, -0x1.c8d41beec5c23p-17, -0x1.d1d286dac7eb2p-17, -0x1.da13d94c3b01fp-17, -0x1.e19f693a4360ep-17, -0x1.e87c540a0f6f7p-17, -0x1.eeb18008d2e53p-17, -0x1.f4459dd92d12ep-17, -0x1.f93f29d4fc29dp-17, -0x1.fda46d6fc4f32p-17, -0x1.00bdc04623caep-16, -0x1.02652564435cdp-16, -0x1.03cb4265ed9fbp-16, -0x1.04f2dcc06a8ecp-16, -0x1.05dea3a31972dp-16, -0x1.06913094ae6bp-16, -0x1.070d0801e4be1p-16, -0x1.075499d2bbcap-16, -0x1.076a41f56bb07p-16, -0x1.075048e9b9205p-16, -0x1.0708e448e7b63p-16, -0x1.06963744abf63p-16, -0x1.05fa532cb8766p-16, -0x1.053737e7eefcfp-16, -0x1.044ed470e9a9cp-16, -0x1.0343074ac2376p-16, -0x1.02159ef6e320fp-16, -0x1.00c85a6762789p-16, -0x1.feb9d2d92334ap-17, -0x1.fba9da41c3232p-17, -0x1.f863f0a779c3p-17, -0x1.f4eb1fdacb1bbp-17, -0x1.f14256ac2c932p-17, -0x1.ed6c69aa53114p-17, -0x1.e96c13e365e43p-17, -0x1.e543f79e4bb4ep-17, -0x1.e0f69f1391291p-17, -0x1.dc867d19a7d04p-17, -0x1.d7f5edd17fdacp-17, -0x1.d347374ff3914p-17, -0x1.ce7c8a4089e9dp-17, -0x1.c9980282278dbp-17, -0x1.c49ba7c74bcb9p-17, -0x1.bf896e2bc977cp-17, -0x1.ba6336c7aae6p-17, -0x1.b52ad04156372p-17, -0x1.afe1f7562574cp-17, -0x1.aa8a5767ac467p-17, -0x1.a5258afd05c2dp-17, -0x1.9fb51c436b3a2p-17, -0x1.9a3a859026524p-17, -0x1.94b731d941e16p-17, -0x1.8f2c7d2e126f1p-17, -0x1.899bb52d6a119p-17, -0x1.840619759543ep-17, -0x1.7e6cdc1246d3dp-17, -0x1.78d121e8d0967p-17, -0x1.7334031ecacf8p-17, -0x1.6d968b8504508p-17, }}, 
      {{-0x1.831dc4add220cp-4, -0x1.831b9e7b97b86p-4, -0x1.82ed1ab34365ep-4, -0x1.8265517a11aecp-4, -0x1.81591af18cbf2p-4, -0x1.7fa3d4ccc2f4p-4, -0x1.7d2961aac7e58p-4, -0x1.79d686316c75bp-4, -0x1.75a065a95e239p-4, -0x1.708392cbc7a4bp-4, -0x1.6a82f5c1ed658p-4, -0x1.63a6a94ff7f57p-4, -0x1.5bfae03de251bp-4, -0x1.538edbb31bd54p-4, -0x1.4a73f76b42677p-4, -0x1.40bccef51234dp-4, -0x1.367c7e375125bp-4, -0x1.2bc5fea3ae569p-4, -0x1.20aba19a2dc44p-4, -0x1.153ea78b4f48ap-4, -0x1.098ef279a7f0ep-4, -0x1.fb55a359ed413p-5, -0x1.e33dc793ca47bp-5, -0x1.caec1835d6ca8p-5, -0x1.b272ef50902bap-5, -0x1.99e15d820f297p-5, -0x1.81435f886dcf4p-5, -0x1.68a22089b96d1p-5, -0x1.500444047a33ep-5, -0x1.376e332d599cfp-5, -0x1.1ee26a533a9c2p-5, -0x1.0661c3aecf028p-5, -0x1.dbd77b79d6b2dp-6, -0x1.aafd77cb3d4eap-6, -0x1.7a3081769d974p-6, -0x1.496a4317f5884p-6, -0x1.18a366a927c9ap-6, -0x1.cfa7c5951d21fp-7, -0x1.6de678c1e53eep-7, -0x1.0bf17b60e7813p-7, -0x1.536e90d2bfdcep-8, -0x1.1c9a33cd0ba39p-9, 0x1.bd199a6da1cfcp-11, 0x1.fd05abd9d0a1bp-9, 0x1.c670b3eaeebdfp-8, 0x1.47c4eb11666a8p-7, 0x1.acf4984c91107p-7, 0x1.0969dd20492f7p-6, 0x1.3cb6ba867cf02p-6, 0x1.7065d43b0c41ap-6, 0x1.a47b7154b635bp-6, 0x1.d8fb2aa373e2ap-6, 0x1.06f3f31bfee4ep-5, 0x1.21a1e9edf309ep-5, 0x1.3c883538c92dbp-5, 0x1.57a7331d2bcb4p-5, 0x1.72fee4025c8d2p-5, 0x1.8e8eeaa38e1d6p-5, 0x1.aa568c959c138p-5, 0x1.c654b346c0892p-5, 0x1.e287ed78e3e65p-5, 0x1.feee7135ac67ap-5, 0x1.0dc30f1d05779p-4, 0x1.1c26406a9ec28p-4, 0x1.2a9f6a9ae0359p-4, 0x1.392d058e9607ep-4, 0x1.47cd64f942257p-4, 0x1.567eba94c627ep-4, 0x1.653f187a4bebbp-4, 0x1.740c739adbf86p-4, 0x1.82e4a651d27c3p-4, 0x1.91c5730b41aa1p-4, 0x1.a0ac86f852bd2p-4, 0x1.af977ccbc1486p-4, 0x1.be83df78ca092p-4, 0x1.cd6f2cef13512p-4, 0x1.dc56d8ce679e7p-4, 0x1.eb384f0d8c423p-4, 0x1.fa10f68fc88dfp-4, 0x1.046f19d296c07p-3, 0x1.0bceb53918ee2p-3, 0x1.1326009dcac3fp-3, 0x1.1a73b149fa862p-3, 0x1.21b67fb48a1fap-3, 0x1.28ed287790a4p-3, 0x1.30166d345fd2dp-3, 0x1.373115659220ap-3, 0x1.3e3bef1ed925p-3, 0x1.4535cfba961acp-3, 0x1.4c1d9475526fbp-3, 0x1.52f222f76409ap-3, 0x1.59b269cd2267dp-3, 0x1.605d60ce30929p-3, 0x1.66f2097484bafp-3, 0x1.6d6f6f23ca1cbp-3, 0x1.73d4a761fc8edp-3, 0x1.7a20d201f9fep-3, 0x1.80531940f4ad3p-3, 0x1.866ab1d79f7f2p-3, 0x1.8c66db00070edp-3, 0x1.9246de70f7e35p-3, 0x1.980a104fe1e19p-3, 0x1.9dafcf1a19492p-3, 0x1.a33783865e53fp-3, 0x1.a8a0a05f81385p-3, 0x1.adeaa258f92d3p-3, 0x1.b3150fde36fd6p-3, 0x1.b81f78dd79f47p-3, 0x1.bd09768edb772p-3, 0x1.c1d2ab3836a6p-3, 0x1.c67ac1eea13b9p-3, 0x1.cb016e55ec674p-3, 0x1.cf666c5ed8489p-3, 0x1.d3a980045c8fap-3, 0x1.d7ca750888709p-3, 0x1.dbc91eb16297fp-3, 0x1.dfa557861848ap-3, 0x1.e35f010cd63d6p-3, 0x1.e6f603899997fp-3, 0x1.ea6a4dbe285b9p-3, 0x1.edbbd4ab6e263p-3, 0x1.f0ea93546ca71p-3, 0x1.f3f68a82dcd9bp-3, 0x1.f6dfc08da2728p-3, 0x1.f9a6412124d66p-3, 0x1.fc4a1d09a1d95p-3, 0x1.fecb69ff7dc7ep-3, 0x1.0095213acb017p-2, 0x1.01b362b4d05dfp-2, 0x1.02c08b1b4108fp-2, 0x1.03bcae34508e7p-2, 0x1.04a7e1ca1456cp-2, 0x1.05823d9692d63p-2, 0x1.064bdb30ba844p-2, 0x1.0704d5fa383ep-2, 0x1.07ad4b0e20c41p-2, 0x1.084559306568ep-2, 0x1.08cd20be06be2p-2, 0x1.0944c39dfce57p-2, 0x1.09ac6532c4cecp-2, 0x1.0a042a4c90a16p-2, 0x1.0a4c391c015cfp-2, 0x1.0a84b9256cc71p-2, 0x1.0aadd3349d2bdp-2, 0x1.0ac7b150fea1ap-2, 0x1.0ad27eb234f92p-2, 0x1.0ace67b50bd69p-2, 0x1.0abb99d0bacb3p-2, 0x1.0a9a438c6d9adp-2, 0x1.0a6a947512defp-2, 0x1.0a2cbd135fe21p-2, 0x1.09e0eee203fa6p-2, 0x1.09875c440a82cp-2, 0x1.0920387b5a4bbp-2, 0x1.08abb79f575a2p-2, 0x1.082a0e939bf56p-2, 0x1.079b72fec3bd8p-2, 0x1.07001b41493ap-2, 0x1.06583e6c6e682p-2, 0x1.05a414392c51ap-2, 0x1.04e3d4ff2cc1bp-2, 0x1.0417b9abc3894p-2, 0x1.033ffbb8efad7p-2, 0x1.025cd52459123p-2, 0x1.016e80665056dp-2, 0x1.00753868d075cp-2, 0x1.fee270fcf638fp-3, 0x1.fcc578b333b59p-3, 0x1.fa9400063b1ddp-3, 0x1.f84e7fa33f28fp-3, 0x1.f5f570c0c342ep-3, 0x1.f3894d0cab1bcp-3, 0x1.f10a8e9a4e9cdp-3, 0x1.ee79afd0978b2p-3, 0x1.ebd72b583607dp-3, 0x1.e9237c09e3246p-3, 0x1.e65f1cdcb7b14p-3, 0x1.e38a88d4a71d2p-3, 0x1.e0a63af112144p-3, 0x1.ddb2ae1b8195bp-3, 0x1.dab05d1687db9p-3, 0x1.d79fc26ccf005p-3, 0x1.d48158605805ap-3, 0x1.d15598d9f0637p-3, 0x1.ce1cfd58dfe36p-3, 0x1.cad7fee2d7932p-3, 0x1.c78715f41e494p-3, 0x1.c42aba700a925p-3, 0x1.c0c36391be95ep-3, 0x1.bd5187dd3cd36p-3, 0x1.b9d59d10c41ep-3, 0x1.b650181689b71p-3, 0x1.b2c16cf6c6178p-3, 0x1.af2a0eca243cep-3, 0x1.ab8a6fac8c72p-3, 0x1.a7e300b04c53cp-3, 0x1.a43431d1af6dcp-3, 0x1.a07e71eaf26fcp-3, 0x1.9cc22ea8a5387p-3, 0x1.98ffd47e7ad35p-3, 0x1.9537ce9c7a385p-3, 0x1.916a86e4af782p-3, 0x1.8d9865e136a08p-3, 0x1.89c1d2bacb72bp-3, 0x1.85e7332fbc7fbp-3, 0x1.8208eb8b56c58p-3, 0x1.7e275e9dc102dp-3, 0x1.7a42edb44a44ep-3, 0x1.765bf8922bb03p-3, 0x1.7272dd69bf45fp-3, 0x1.6e87f8d620376p-3, 0x1.6a9ba5d549e26p-3, 0x1.66ae3dc29b15bp-3, 0x1.62c01851d55a5p-3, 0x1.5ed18b8a81656p-3, 0x1.5ae2ebc3c7a57p-3, 0x1.56f48ba0b5015p-3, 0x1.5306bc0ceca89p-3, 0x1.4f19cc39bb877p-3, 0x1.4b2e099ba199p-3, 0x1.4743bfe836b3bp-3, 0x1.435b391478e37p-3, 0x1.3f74bd537e299p-3, 0x1.3b90931586fdfp-3, 0x1.37aeff0768c68p-3, 0x1.33d04412639ebp-3, 0x1.2ff4a35c403f4p-3, 0x1.2c1c5c47d6934p-3, 0x1.2847ac75db8bcp-3, 0x1.2476cfc60ed4dp-3, 0x1.20aa0058ae076p-3, 0x1.1ce176903fd13p-3, 0x1.191d6913a2d78p-3, 0x1.155e0cd0683fbp-3, 0x1.11a394fd77392p-3, 0x1.0dee331df3614p-3, 0x1.0a3e170460ba1p-3, 0x1.06936ed609992p-3, 0x1.02ee670ea3eb7p-3, 0x1.fe9e55084a304p-4, 0x1.f76bc4d5b4fd7p-4, 0x1.f0456cb3585d3p-4, 0x1.e92b989d27072p-4, 0x1.e21e91668d133p-4, 0x1.db1e9cc40b5ccp-4, 0x1.d42bfd553e35cp-4, 0x1.cd46f2af1c659p-4, 0x1.c66fb9669a6e2p-4, 0x1.bfa68b1b7809bp-4, 0x1.b8eb9e8367615p-4, 0x1.b23f27755cb91p-4, 0x1.aba156f5247b1p-4, 0x1.a5125b3f253d8p-4, 0x1.9e925fd4530a6p-4, 0x1.98218d8649887p-4, 0x1.91c00a8395fe4p-4, 0x1.8b6dfa641aa99p-4, 0x1.852b7e359438bp-4, 0x1.7ef8b48839798p-4, 0x1.78d5b97b72417p-4, 0x1.72c2a6caa2eadp-4, 0x1.6cbf93da03c85p-4, 0x1.66cc95c387ba2p-4, 0x1.60e9bf63cbbbp-4, 0x1.5b1721670aa72p-4, 0x1.5554ca5615685p-4, 0x1.4fa2c6a346e9ap-4, 0x1.4a0120b779f9fp-4, 0x1.446fe0fef5826p-4, 0x1.3eef0df64fc2cp-4, 0x1.397eac3748c38p-4, 0x1.341ebe859301dp-4, 0x1.2ecf45db8f44cp-4, 0x1.29904176f4be9p-4, 0x1.2461aee563e3cp-4, 0x1.1f438a10e345cp-4, 0x1.1a35cd4c42636p-4, 0x1.1538715f64e6cp-4, 0x1.104b6d936e0c1p-4, 0x1.0b6eb7becf5bp-4, 0x1.06a2445137b5dp-4, 0x1.01e6065f62eafp-4, 0x1.fa73df5d87427p-5, 0x1.f13be18218077p-5, 0x1.e823f1bf2137p-5, 0x1.df2bec4d07274p-5, 0x1.d653ab2019f72p-5, 0x1.cd9b05fe6af1bp-5, 0x1.c501d29555f29p-5, 0x1.bc87e48eb4962p-5, 0x1.b42d0da5c07dap-5, 0x1.abf11dbb96399p-5, 0x1.a3d3e2eb6a181p-5, 0x1.9bd5299e5bd7ap-5, 0x1.93f4bc9ef47fcp-5, 0x1.8c32652c46a33p-5, 0x1.848deb0cb86dfp-5, 0x1.7d0714a06b896p-5, 0x1.759da6f34985cp-5, 0x1.6e5165ceb3068p-5, 0x1.672213cad536p-5, 0x1.600f725f9d69fp-5, 0x1.591941f551a63p-5, 0x1.523f41f4c533fp-5, 0x1.4b8130d73bf2p-5, 0x1.44decc35e254bp-5, 0x1.3e57d0d8f25d9p-5, 0x1.37ebfac6782acp-5, 0x1.319b0550b787p-5, 0x1.2b64ab243a383p-5, 0x1.2548a6557de5ap-5, 0x1.1f46b06e4d337p-5, 0x1.195e827ab9841p-5, 0x1.138fd515bc1p-5, 0x1.0dda607580c98p-5, 0x1.083ddc7754b7cp-5, 0x1.02ba00ab44733p-5, 0x1.fa9d08bebfb7fp-6, 0x1.eff63d554aff2p-6, 0x1.e57f0cef44b2fp-6, 0x1.db36e51d6d9a3p-6, 0x1.d11d33401782bp-6, 0x1.c731649a74a8cp-6, 0x1.bd72e6653fa44p-6, 0x1.b3e125e0c8867p-6, 0x1.aa7b90665e01ep-6, 0x1.a141937932fb5p-6, 0x1.98329cd6964b7p-6, 0x1.8f4e1a85a6e96p-6, 0x1.86937ae6717e6p-6, 0x1.7e022cc07ae7ap-6, 0x1.75999f50c39c5p-6, 0x1.6d5942573fbeep-6, 0x1.65408623c5f6ep-6, 0x1.5d4edba28270cp-6, 0x1.5583b467de899p-6, 0x1.4dde82bbe37b7p-6, 0x1.465eb9a532c8p-6, 0x1.3f03ccf371e68p-6, 0x1.37cd31494d181p-6, 0x1.30ba5c25f9759p-6, 0x1.29cac3ee4ed8cp-6, 0x1.22fddff565eb5p-6, 0x1.1c532884d0e1ap-6, 0x1.15ca16e469f3dp-6, 0x1.0f622561bb197p-6, 0x1.091acf56f25dep-6, 0x1.02f391318d059p-6, 0x1.f9d7d0f10542ap-7, 0x1.ee06a7a4521d2p-7, 0x1.e272a61372f17p-7, 0x1.d71ace28d9017p-7, 0x1.cbfe242cae1fbp-7, 0x1.c11baecdbf725p-7, 0x1.b6727729d19f5p-7, 0x1.ac0188d558c0fp-7, 0x1.a1c7f1e28e80ep-7, 0x1.97c4c2e7f19cbp-7, 0x1.8df70f063a158p-7, 0x1.845debedbc6a5p-7, 0x1.7af871e340159p-7, 0x1.71c5bbc44d865p-7, 0x1.68c4e70b074a2p-7, 0x1.5ff513d17d83p-7, 0x1.575564d4814bap-7, 0x1.4ee4ff7619dp-7, 0x1.46a30bbf7b706p-7, 0x1.3e8eb4627b715p-7, 0x1.36a726bac50afp-7, 0x1.2eeb92ce90166p-7, 0x1.275b2b4ef16a1p-7, 0x1.1ff52597d634ep-7, 0x1.18b8b9afa95b9p-7, 0x1.11a522469a8bp-7, 0x1.0ab99cb58a5fap-7, 0x1.03f568fcb12adp-7, 0x1.faaf9383df2d5p-8, 0x1.edc0089dbfa16p-8, 0x1.e11ac11d2e18cp-8, 0x1.d4be521639fcdp-8, 0x1.c8a955d563537p-8, 0x1.bcda6bd9811ffp-8, 0x1.b15038cd6675bp-8, 0x1.a6096680d5a72p-8, 0x1.9b04a3e1326efp-8, 0x1.9040a4f1c1d25p-8, 0x1.85bc22c37f551p-8, 0x1.7b75db6cac5f7p-8, 0x1.716c91ffd8886p-8, 0x1.679f0e82cc9ap-8, 0x1.5e0c1de4f77bcp-8, 0x1.54b291f5b51d6p-8, 0x1.4b91415a2241fp-8, 0x1.42a70782f31bap-8, 0x1.39f2c4a1b3086p-8, 0x1.31735d9e1ec47p-8, 0x1.2927bc0afc49ap-8, 0x1.210ece1afc895p-8, 0x1.19278695498cap-8, 0x1.1170dcc9ec54dp-8, 0x1.09e9cc8627794p-8, 0x1.0291560874524p-8, 0x1.f6ccfbe92f017p-9, 0x1.e8d09a8f02c61p-9, 0x1.db2ba295ed0d2p-9, 0x1.cddc371287d7ap-9, 0x1.c0e08381a4266p-9, 0x1.b436bbaf2ad6ap-9, 0x1.a7dd1b9d1d049p-9, 0x1.9bd1e76a22262p-9, 0x1.90136b38375d4p-9, 0x1.849ffb1340f3cp-9, 0x1.7975f2d77bc07p-9, 0x1.6e93b617df595p-9, 0x1.63f7b004a9ee6p-9, 0x1.59a05351a8065p-9, 0x1.4f8c1a1c96b0bp-9, 0x1.45b985d3aed07p-9, 0x1.3c271f1bf4ba7p-9, 0x1.32d375b7b0ec2p-9, 0x1.29bd206d1a4c7p-9, 0x1.20e2bcecc4c0ap-9, 0x1.1842efb87ab6ap-9, 0x1.0fdc6409f458fp-9, 0x1.07adcbb9a8a73p-9, 0x1.ff6bbe4bba17ep-10, 0x1.efe6ba3372e6bp-10, 0x1.e0ca15691cf78p-10, 0x1.d21366a24a715p-10, 0x1.c3c050da8e81ep-10, 0x1.b5ce8322ee4e3p-10, 0x1.a83bb87174cap-10, 0x1.9b05b7715e8e8p-10, 0x1.8e2a52536bf8dp-10, 0x1.81a7669e4d2dcp-10, 0x1.757add00429ccp-10, 0x1.69a2a92015c08p-10, 0x1.5e1cc96f72479p-10, 0x1.52e746fcdb08ap-10, 0x1.4800354697c99p-10, 0x1.3d65b20d8c82p-10, 0x1.3315e52942dc6p-10, 0x1.290f005b91c32p-10, 0x1.1f4f3f2535df2p-10, 0x1.15d4e69a8bdcep-10, 0x1.0c9e453931816p-10, 0x1.03a9b2bd9d9f8p-10, 0x1.f5eb1ff3293dbp-11, 0x1.e5008d55e1c51p-11, 0x1.d49092a573c88p-11, 0x1.c498261a39338p-11, 0x1.b5144ed27ef93p-11, 0x1.a6022484d0743p-11, 0x1.975ecf31cd023p-11, 0x1.892786d782f4cp-11, 0x1.7b599325f22c2p-11, 0x1.6df24b33fd7b9p-11, 0x1.60ef1536181bdp-11, 0x1.544d6635a454ep-11, 0x1.480ac1c8a04b6p-11, 0x1.3c24b9cb9583fp-11, 0x1.3098ee1b2c13dp-11, 0x1.25650c4fcb9d1p-11, 0x1.1a86cf79a573ap-11, 0x1.0ffbffde09c5fp-11, 0x1.05c272b52ae27p-11, 0x1.f7b013d302251p-12, 0x1.e47567afa9bb7p-12, 0x1.d1d0d6202eae8p-12, 0x1.bfbe6c2f9a151p-12, 0x1.ae3a4e595ecc9p-12, 0x1.9d40b810b7638p-12, 0x1.8ccdfb4ad0fd5p-12, 0x1.7cde800aa68e9p-12, 0x1.6d6ec3ed4c3cdp-12, 0x1.5e7b59baf29c6p-12, 0x1.5000e8f5a2b66p-12, 0x1.41fc2d6e008a6p-12, 0x1.3469f6d6d4906p-12, 0x1.2747285c14febp-12, 0x1.1a90b83acd168p-12, 0x1.0e43af5b4f42dp-12, 0x1.025d28ece3513p-12, 0x1.edb4a40544d1ep-13, 0x1.d770d266687dep-13, 0x1.c1e97c723d4ffp-13, 0x1.ad19632bdacbep-13, 0x1.98fb686ae5754p-13, 0x1.858a8e28a0b25p-13, 0x1.72c1f5cc8b97ep-13, 0x1.609cdf806cedp-13, 0x1.4f16a983f3ffbp-13, 0x1.3e2acf85afddcp-13, 0x1.2dd4e9fde3ef4p-13, 0x1.1e10ad8cede5ep-13, 0x1.0ed9ea5b242bfp-13, 0x1.002c8b7e9006ap-13, 0x1.e4092cc404fe4p-14, 0x1.c8bc545db2e46p-14, 0x1.ae6afe71f9f48p-14, 0x1.950dccde76e8dp-14, 0x1.7c9d919b696c2p-14, 0x1.65134da4c9b14p-14, 0x1.4e682feb80dcep-14, 0x1.389594495d79dp-14, 0x1.2395027b76cd7p-14, 0x1.0f602d207b371p-14, 0x1.f7e1e1794f46p-15, 0x1.d282a58a3078ep-15, 0x1.ae9701597acabp-15, 0x1.8c139df0e8d95p-15, 0x1.6aed70a9a4772p-15, 0x1.4b19b9689abadp-15, 0x1.2c8e00dead689p-15, 0x1.0f4016d604c3dp-15, 0x1.e64c210679d9dp-16, 0x1.b06c8dccfb7cdp-16, 0x1.7cceaa5d47228p-16, 0x1.4b602e4c81282p-16, 0x1.1c0f4f579715cp-16, 0x1.dd957cbeb6b61p-17, 0x1.870348f1b074p-17, 0x1.3447400f6177ep-17, 0x1.ca8307b828ccbp-18, 0x1.33a62b1ca125ep-18, 0x1.477741985634fp-19, 0x1.a88c8bb35ce46p-22, -0x1.a0ad77d307029p-20, -0x1.c9307e5f5a6c6p-19, -0x1.5af3bbcc69ca4p-18, -0x1.cb7233472a908p-18, -0x1.1b23469a5c583p-17, -0x1.4dd1214fdb09p-17, -0x1.7ddab38584606p-17, -0x1.ab5758aca0acbp-17, -0x1.d65dc23ee1445p-17, -0x1.ff03fbfacc587p-17, -0x1.12afb805aeba8p-16, -0x1.24c2758c7a495p-16, -0x1.35c450222f89ep-16, -0x1.45bf1682b2fcap-16, -0x1.54bc4e7ae833cp-16, -0x1.62c536c023cfcp-16, -0x1.6fe2c8c35b3ffp-16, -0x1.7c1dba73f5a4ep-16, -0x1.877e7ffc04638p-16, -0x1.920d4d7287c3p-16, -0x1.9bd218811e91cp-16, -0x1.a4d499fdbb046p-16, -0x1.ad1c4f7ebf142p-16, -0x1.b4b07ce964f97p-16, -0x1.bb982defa7a2dp-16, -0x1.c1da378a7121p-16, -0x1.c77d3966c6926p-16, -0x1.cc879f4d2f983p-16, -0x1.d0ffa27e31f7p-16, -0x1.d4eb4b0905267p-16, -0x1.d850711ae6b08p-16, -0x1.db34be429cdedp-16, -0x1.dd9daeb26e86fp-16, -0x1.df9092736e7a9p-16, -0x1.e1128e96591bfp-16, -0x1.e2289e597589bp-16, -0x1.e2d7944a7904ap-16, -0x1.e3241b618d90cp-16, -0x1.e312b811d25b9p-16, -0x1.e2a7c95a3d68fp-16, -0x1.e1e789c7417e4p-16, -0x1.e0d610731f387p-16, -0x1.df7751ff5cf8ep-16, -0x1.ddcf218831954p-16, -0x1.dbe13190e5969p-16, -0x1.d9b114ecb865ep-16, -0x1.d7423f9f1b89ep-16, -0x1.d49807b95414bp-16, -0x1.d1b5a62ed0ba7p-16, -0x1.ce9e37a8f7b6dp-16, -0x1.cb54bd5006b47p-16, -0x1.c7dc1d93d6993p-16, -0x1.c43724ee3e7fep-16, -0x1.c068869f49078p-16, -0x1.bc72dd674828fp-16, -0x1.b858ac3838a19p-16, -0x1.b41c5ee5e4b5ap-16, -0x1.afc04acee0afbp-16, -0x1.ab46af85ceb64p-16, -0x1.a6b1b771ad092p-16, -0x1.a203786b82826p-16, -0x1.9d3df45ab35fep-16, -0x1.986319c76fc8ep-16, -0x1.9374c47019181p-16, -0x1.8e74bdd42d297p-16, -0x1.8964bdc134265p-16, -0x1.84466ad8a36f8p-16, -0x1.7f1b5b15c703dp-16, -0x1.79e5144ab0438p-16, -0x1.74a50c9ddc72bp-16, -0x1.6f5cab05662bep-16, -0x1.6a0d47bbf442fp-16, -0x1.64b82cb338a32p-16, -0x1.5f5e96055bea8p-16, -0x1.5a01b260ebe64p-16, -0x1.54a2a37361c48p-16, -0x1.4f427e5195ef2p-16, -0x1.49e24bdd1b436p-16, -0x1.448309220ad2bp-16, -0x1.3f25a7baec01dp-16, -0x1.39cb0e2a93158p-16, -0x1.34741838e6a89p-16, -0x1.2f2197485d016p-16, -0x1.29d452ac5022p-16, -0x1.248d07fd49971p-16, -0x1.1f4c6b678d6b9p-16, -0x1.1a1327fc5b06p-16, -0x1.14e1dffcb289fp-16, -0x1.0fb92d24a82cep-16, -0x1.0a99a0f22b183p-16, -0x1.0583c4eca0245p-16, -0x1.00781ae9c6a9bp-16, -0x1.f6ee3a9dc68eap-17, -0x1.ed027ea39306p-17, -0x1.e32dda722321ep-17, -0x1.d971192e8fc0cp-17, -0x1.cfccf9111c3cep-17, -0x1.c6422bd28c791p-17, -0x1.bcd15720c0e62p-17, -0x1.b37b150968a9cp-17, -0x1.aa3ff46719b33p-17, -0x1.a120794514d3ap-17, -0x1.981d1d452c083p-17, -0x1.8f364ffee19efp-17, -0x1.866c775f511ep-17, -0x1.7dbff001184b3p-17, -0x1.75310d89dd06dp-17, -0x1.6cc01afdd51b9p-17, -0x1.646d5b1489ab1p-17, -0x1.5c39088ac2d24p-17, -0x1.5423566f8d807p-17, -0x1.4c2c7074b121p-17, -0x1.44547b352e6e8p-17, -0x1.3c9b947ceb794p-17, -0x1.3501d391ad4ep-17, -0x1.2d87497585d76p-17, -0x1.262c0128917e8p-17, -0x1.1eefffea5213dp-17, -0x1.17d345772beefp-17, -0x1.10d5cc4253f66p-17, -0x1.09f789b0e09ebp-17, -0x1.03386e520269ep-17, -0x1.f930cc2fcc9e3p-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      37, 0x1.770a3d70a3d71p+2, 0x1.af75f496a0a8cp+0, 0x1.5878f99a3678ap+1, -0x1.f2b1a14f5b55bp-9, 
      {{
        {0x1.051eb851eb852p+2, 0x1.0666666666666p+2, 0x1.76056187ad5b8p-7, -0x1.a43f8d485b358p-6, 0x1.622450b61da1bp-6, -0x1.08f6d12f29e39p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.657e064613c1bp-7, -0x1.963dd677baf8cp-6, 0x1.5a3164092e4bcp-6, -0x1.02c1e9bba6c97p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3e911662cc6fbp-7, -0x1.7497b4b35b201p-6, 0x1.46c93f4e4e95fp-6, -0x1.f621e71063d65p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1ae8f80ed6661p-7, -0x1.54db01340936ep-6, 0x1.33f4c6a417a45p-6, -0x1.e75b99ef39d6ep-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.f4aae8c953aa2p-8, -0x1.36f942448e28dp-6, 0x1.21ae241185793p-6, -0x1.d86b99e760a98p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.b94f85819e385p-8, -0x1.1ae434de98d57p-6, 0x1.0ff6e7e5a50c7p-6, -0x1.c986c63457be7p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.83651183bd94fp-8, -0x1.008d8754d9c6p-6, 0x1.fd9d4dba90513p-7, -0x1.ba9ef414de891p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.5293b491033aep-8, -0x1.cfcdd7ce29c9cp-7, 0x1.dc6afb6c32d3p-7, -0x1.abb7ef523d36bp-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.268672eee106cp-8, -0x1.a1c4278f7de52p-7, 0x1.bc56c9793b08ep-7, -0x1.9cd0b388be1fap-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.fdd65acdd260bp-9, -0x1.76e160e2ebe7cp-7, 0x1.9d60bc022cc6ap-7, -0x1.8de9867dd1d4cp-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.b6e5428d9c9dfp-9, -0x1.4f08e697040e2p-7, 0x1.7f88d1ebf03d1p-7, -0x1.7f02557f81015p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.77a0d0c0c6b06p-9, -0x1.2a1e1b84b33c5p-7, 0x1.62cf0b826029fp-7, -0x1.701b25902d91cp-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.3f75f213373ecp-9, -0x1.080462821f8c5p-7, 0x1.473368b1298b5p-7, -0x1.6133f5584189bp-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0dd74c3915afep-9, -0x1.d13e3ccc5b1ebp-8, 0x1.2cb5e97dbe3abp-7, -0x1.524cc533c5388p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.c47a7bdd9447fp-10, -0x1.97a3640f1d981p-8, 0x1.13568de6a909cp-7, -0x1.4365950a1b0ap-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.784bbdf1faf28p-10, -0x1.62ff007a04f33p-8, 0x1.f62aabd89ad23p-8, -0x1.347e64e1c773bp-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.362a004932931p-10, -0x1.3317d7ba883e9p-8, 0x1.c7e4831d234ddp-8, -0x1.259734b925bc4p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fa50ad1b1fb25p-11, -0x1.07b4af7e2083cp-8, 0x1.9bdaa19af73dbp-8, -0x1.16b004908e535p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.98ca8cf3d1dcdp-11, -0x1.c1389ae48c98ep-9, 0x1.720d07521517cp-8, -0x1.07c8d467fda43p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.46158fb32ae79p-11, -0x1.7b2aee88e481p-9, 0x1.4a7bb4427bd8ep-8, -0x1.f1c3487ebab0cp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.009c8910dd074p-11, -0x1.3ccde54439ef8p-9, 0x1.2526a86c2dd89p-8, -0x1.d3f4e82dbff7dp-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.8dc261cb3acc4p-12, -0x1.05af0a717e5dep-9, 0x1.020de3cf25d95p-8, -0x1.b62687dbef967p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2ef84656483d8p-12, -0x1.aab7d2d74461fp-10, 0x1.c262ccd6e7c18p-9, -0x1.9858278d2cd17p-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c4737ff0b0ffap-13, -0x1.56c41b1b34251p-10, 0x1.85226081baa23p-9, -0x1.7a89c732ddd8ep-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.4a272e51cf321p-13, -0x1.0e9e046494b52p-10, 0x1.4c5a82a07fc1ep-9, -0x1.5cbb6703f65afp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.d5017285ddb82p-14, -0x1.a2c14ad3522efp-11, 0x1.180b332cb467bp-9, -0x1.3eed0632deaeep-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.42a1a5763f2p-14, -0x1.3c4e29bdd8622p-11, 0x1.d068e47d5934dp-10, -0x1.211ea7bee0fe9p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.ab0ef4d5f324p-15, -0x1.d031a5fdf6bc1p-12, 0x1.79ac7ef748e7p-10, -0x1.035040793cd31p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.0d852ec4b69p-15, -0x1.48aee7b6cddd6p-12, 0x1.2be1386c8374fp-10, -0x1.cb03f4386af26p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.40670d8b2a7p-16, -0x1.bd00e9432481p-13, 0x1.ce0e0dfb4d3b5p-11, -0x1.8f6671df9b5edp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.605733d624dfep-17, -0x1.1c2546a97a749p-13, 0x1.563c1f050505cp-11, -0x1.53cc842d48e9dp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.5cb09c0deb8p-18, -0x1.4f477a212cd84p-14, 0x1.e09721eede4cdp-12, -0x1.18253981742c5p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.28caea78bc801p-19, -0x1.61522e9815a2ep-15, 0x1.3880cc3acbc92p-12, -0x1.b95f9c2ccae4p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.900d2d1efcp-21, -0x1.389112f1535a6p-16, 0x1.682ea127843dcp-13, -0x1.4100853e1d8f3p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.657e064620001p-23, -0x1.95d88a8cb862fp-18, 0x1.4f296f37b1d11p-14, -0x1.9c1d6064d42c7p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fa50ad1f00004p-27, -0x1.0d9ba09a4457p-20, 0x1.5f926f1ffd442p-16, -0x1.1b704ed96d99cp-13}, 
        {0x1.7666666666666p+2, 0x1.770a3d70a3d71p+2, 0x1.900d33ffffffep-37, 0x1.4ce5f1a1ade41p-24, 0x1.6e42102f38p-21, -0x1.45a448a538a0bp-8}, 
      }}, 
      0x1.50affeded6ceep-1, -0x1.89df9973c8c4ep+4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      {{-0x1.a49edb0494decp-1, -0x1.88fd6a646ece3p-1, -0x1.646907bb3616dp-1, -0x1.386d76d4e1688p-1, -0x1.069d46724ab9p-1, -0x1.a0f9b5b0c5a04p-2, -0x1.2eea974f6758bp-2, -0x1.7333225945e36p-3, -0x1.0d1763b0c2acfp-4, 0x1.9103362ebb4bep-5, 0x1.49ec72425e40fp-3, 0x1.13e1a48e183c9p-2, 0x1.7dcbf6b08213cp-2, 0x1.e1db47a58cd29p-2, 0x1.1fb5d86410384p-1, 0x1.4b044d8161242p-1, 0x1.72b322f1df894p-1, 0x1.96ade89dc889dp-1, 0x1.b6eede0cccbf7p-1, 0x1.d37c7e9f55082p-1, 0x1.ec6754a2d5c93p-1, 0x1.00e40834c426bp+0, 0x1.09def00a5923ep+0, 0x1.1136802791e76p+0, 0x1.16febfb9d7d6ap+0, 0x1.1b4d1648247fep+0, 0x1.1e37d6a9ccbb2p+0, 0x1.1fd5db4f5f812p+0, 0x1.203e322d6e824p+0, 0x1.1f87d6a418946p+0, 0x1.1dc977ccfe455p+0, 0x1.1b194987e08e3p+0, 0x1.178cdedc760d8p+0, 0x1.13390c6157008p+0, 0x1.0e31d18fd1582p+0, 0x1.088a48154fb91p+0, 0x1.02549849c0885p+0, 0x1.f743e3d89a676p-1, 0x1.e905118e50ad3p-1, 0x1.da0b287932271p-1, 0x1.ca72a33f9210dp-1, 0x1.ba561091f380fp-1, 0x1.a9ce1f9c848dap-1, 0x1.98f1ae71536f6p-1, 0x1.87d5dad0a631bp-1, 0x1.768e14547ef1dp-1, 0x1.652c2fa167ceap-1, 0x1.53c07a4b388edp-1, 0x1.4259cf33127a8p-1, 0x1.3105aa723b92fp-1, 0x1.1fd03dc1f6ae3p-1, 0x1.0ec48442a8e76p-1, 0x1.fbd8aac00976p-2, 0x1.daa0efd03a695p-2, 0x1.b9f16798a17bap-2, 0x1.99d7c6ec25accp-2, 0x1.7a6008855c526p-2, 0x1.5b948c7f2ca1p-2, 0x1.3d7e364a205e8p-2, 0x1.2024890f1be12p-2, 0x1.038dc2d11e3b9p-2, 0x1.cf7debbba77e7p-3, 0x1.99784230fdd94p-3, 0x1.65108dc855b73p-3, 0x1.324b051014e39p-3, 0x1.012a39d3170aep-3, 0x1.a35e7cf3becb6p-4, 0x1.47b3945901082p-4, 0x1.dea16971f29c6p-5, 0x1.3461461977189p-5, 0x1.2130a842bcde7p-6, -0x1.996c8199d70ebp-10, -0x1.47bdfee6130dp-6, -0x1.34ba6354bd14cp-5, -0x1.bf77eac74c77cp-5, -0x1.221a095eb4552p-4, -0x1.61869965a50edp-4, -0x1.9e119b8ea104ep-4, -0x1.d7cbb1884fa05p-4, -0x1.0763054f861aep-3, -0x1.218924a5efe14p-3, -0x1.3a613533d46d7p-3, -0x1.51f4572c0e30cp-3, -0x1.684bc23ef7bfbp-3, -0x1.7d70bc2843e6ep-3, -0x1.916c8f8db7c1ep-3, -0x1.a4488522e2d52p-3, -0x1.b60ddb939a74cp-3, -0x1.c6c5c1b87142p-3, -0x1.d67950aa7b6a7p-3, -0x1.e531866e6e931p-3, -0x1.f2f7423dc2c3fp-3, -0x1.ffd33fa8e36d4p-3, -0x1.05e709d13e672p-2, -0x1.0b7814b4032d1p-2, -0x1.10a0dffa7c31cp-2, -0x1.156573f540771p-2, -0x1.19c9c0cd58cb9p-2, -0x1.1dd19de76edcep-2, -0x1.2180c92c4b0b3p-2, -0x1.24dae6b98777ep-2, -0x1.27e380756266ep-2, -0x1.2a9e06102c29cp-2, -0x1.2d0dccaeb2412p-2, -0x1.2f360f35c59d5p-2, -0x1.3119ee3892bf1p-2, -0x1.32bc703c1f00ap-2, -0x1.342082078f566p-2, -0x1.3548f6d8ce1f1p-2, -0x1.363888d797fa1p-2, -0x1.36f1d97fbd422p-2, -0x1.377772058528p-2, -0x1.37cbc3dc99c16p-2, -0x1.37f12934ce2aep-2, -0x1.37e9e59751894p-2, -0x1.37b82664e5492p-2, -0x1.375e036ab3284p-2, -0x1.36dd7f85a3321p-2, -0x1.3638894ee554dp-2, -0x1.3570fb8f926eap-2, -0x1.34889e0abfe2cp-2, -0x1.338125f944016p-2, -0x1.325c36b893fccp-2, -0x1.311b6271303ap-2, -0x1.2fc02a8ea58d2p-2, -0x1.2e4c0067b1c8cp-2, -0x1.2cc045e8c9df2p-2, -0x1.2b1e4e0199b6cp-2, -0x1.29675d2b4d7e9p-2, -0x1.279caa3e9181fp-2, -0x1.25bf5e8a6ff52p-2, -0x1.23d096ee574a7p-2, -0x1.21d163ab152e8p-2, -0x1.1fc2c97ad09e2p-2, -0x1.1da5c1bd7f9a6p-2, -0x1.1b7b3b08bb9adp-2, -0x1.1944199866398p-2, -0x1.170137b462e93p-2, -0x1.14b3662587249p-2, -0x1.125b6c93bca54p-2, -0x1.0ffa0a27537dp-2, -0x1.0d8ff558a362p-2, -0x1.0b1ddce205baep-2, -0x1.08a467bcc02b6p-2, -0x1.062435b2727bdp-2, -0x1.039ddf787b488p-2, -0x1.0111f71a7ef91p-2, -0x1.fd0210867a8b1p-3, -0x1.f7d730c9ca5e9p-3, -0x1.f2a44ee19ef2dp-3, -0x1.ed6a5e6f2985dp-3, -0x1.e82a493eda267p-3, -0x1.e2e4ee91beb5ep-3, -0x1.dd9b23f2ce693p-3, -0x1.d84db58c4eb7ap-3, -0x1.d2fd66936385fp-3, -0x1.cdaaf2081c08p-3, -0x1.c85709dd14e07p-3, -0x1.c3025982a6cd9p-3, -0x1.bdad83c1d97dfp-3, -0x1.b859250489103p-3, -0x1.b305d28c67917p-3, -0x1.adb41b0e4c35ap-3, -0x1.a8648712fdefbp-3, -0x1.a317990fcbafep-3, -0x1.9dcdcdc0e1514p-3, -0x1.98879c7a299acp-3, -0x1.934576dcbc15dp-3, -0x1.8e07ca4ac89b3p-3, -0x1.88cefe7ffc4b5p-3, -0x1.839b76de710fp-3, -0x1.7e6d92553c156p-3, -0x1.7945ab76e6796p-3, -0x1.742418ba55135p-3, -0x1.6f092c814a73ep-3, -0x1.69f535d22691fp-3, -0x1.64e87ecf39856p-3, -0x1.5fe34fb16c3f9p-3, -0x1.5ae5ec3089eefp-3, -0x1.55f094feceeabp-3, -0x1.51038786df7d1p-3, -0x1.4c1efe884d9bcp-3, -0x1.4743313eced6bp-3, -0x1.42705469da9b3p-3, -0x1.3da69a16a5dep-3, -0x1.38e630c5b5765p-3, -0x1.342f45ce25e3cp-3, -0x1.2f8203059e189p-3, -0x1.2ade9023afb51p-3, -0x1.26451284ac394p-3, -0x1.21b5ad51b1bfp-3, -0x1.1d3080e42b693p-3, -0x1.18b5ac8e4c1fep-3, -0x1.14454cbe5d165p-3, -0x1.0fdf7c143cccep-3, -0x1.0b84534c8132ap-3, -0x1.0733e92a10984p-3, -0x1.02ee52ddd0c6dp-3, -0x1.fd6746c35ca3p-4, -0x1.f507d88f3241fp-4, -0x1.ecbe7abd734e8p-4, -0x1.e48b49ad51bd9p-4, -0x1.dc6e5ea2bdf15p-4, -0x1.d467cfb546c03p-4, -0x1.cc77b05302924p-4, -0x1.c49e10a3c50c3p-4, -0x1.bcdafe4ccb0cep-4, -0x1.b52e84490eb58p-4, -0x1.ad98aa4cb018dp-4, -0x1.a61976994d42p-4, -0x1.9eb0ec4535208p-4, -0x1.975f0c19a6f2fp-4, -0x1.9023d4a863c2dp-4, -0x1.88ff423b10f43p-4, -0x1.81f14effd2d51p-4, -0x1.7af9f2e2f919fp-4, -0x1.741924118684fp-4, -0x1.6d4ed672afb67p-4, -0x1.669afc5292093p-4, -0x1.5ffd85da6070cp-4, -0x1.597661832ad2cp-4, -0x1.53057c9bd1985p-4, -0x1.4caac1e7500f8p-4, -0x1.46661b027b3a4p-4, -0x1.4037703c8c32ap-4, -0x1.3a1ea810751c9p-4, -0x1.341ba7acd1a8ep-4, -0x1.2e2e52e8f2b5fp-4, -0x1.28568c39c559ep-4, -0x1.229434e6e8d9p-4, -0x1.1ce72d4ad62f5p-4, -0x1.174f534f89014p-4, -0x1.11cc85a65e0ap-4, -0x1.0c5ea0c011fc3p-4, -0x1.070580470d42cp-4, -0x1.01c0fefba215cp-4, -0x1.f921ed137dcf6p-5, -0x1.eeea7fdad7f4p-5, -0x1.e4db669988c1p-5, -0x1.daf44fa640d57p-5, -0x1.d134e8171cea1p-5, -0x1.c79cdb667cba2p-5, -0x1.be2bd4484e582p-5, -0x1.b4e17b20cd7ccp-5, -0x1.abbd783332f13p-5, -0x1.a2bf71ea6fca3p-5, -0x1.99e70dd45a409p-5, -0x1.9133f0b888268p-5, -0x1.88a5be166c43cp-5, -0x1.803c18f4f8c61p-5, -0x1.77f6a378556bap-5, -0x1.6fd4fec175fb1p-5, -0x1.67d6cb98b824dp-5, -0x1.5ffbaa0a555c2p-5, -0x1.584339cb8c4c2p-5, -0x1.50ad197f6bdbbp-5, -0x1.4938e823a7099p-5, -0x1.41e6440bd2517p-5, -0x1.3ab4cb1cfa353p-5, -0x1.33a41af21eedfp-5, -0x1.2cb3d1076a638p-5, -0x1.25e38a6e033c5p-5, -0x1.1f32e46973c42p-5, -0x1.18a17c20d8099p-5, -0x1.122eeeeb133fdp-5, -0x1.0bdad9919da49p-5, -0x1.05a4d9853769dp-5, -0x1.ff1917064fe51p-6, -0x1.f32319f216f47p-6, -0x1.e766f6d453832p-6, -0x1.dbe3e8f960662p-6, -0x1.d0992cab02cdp-6, -0x1.c585fe5d44813p-6, -0x1.baa99bf715f49p-6, -0x1.b00343470e559p-6, -0x1.a59232527f3d4p-6, -0x1.9b55a73fe87afp-6, -0x1.914ce2971cf71p-6, -0x1.8777251a6e123p-6, -0x1.7dd3b116c381fp-6, -0x1.7461caa59e5ebp-6, -0x1.6b20b737afd5bp-6, -0x1.620fbc3169726p-6, -0x1.592e1faed6d9ap-6, -0x1.507b277724a2ap-6, -0x1.47f61b412146ap-6, -0x1.3f9e449f566e3p-6, -0x1.3772ef232efe9p-6, -0x1.2f73697d0a3f8p-6, -0x1.279f03dfeb719p-6, -0x1.1ff50f98c0044p-6, -0x1.1874de60f6c2ep-6, -0x1.111dc1bb332a9p-6, -0x1.09ef09a9788d2p-6, -0x1.02e809f4def58p-6, -0x1.f8102f8263a6ap-7, -0x1.ea9d16ec74e96p-7, -0x1.dd758650c8adbp-7, -0x1.d0983e28f8f31p-7, -0x1.c4040090d2bacp-7, -0x1.b7b78fddc8c1cp-7, -0x1.abb1ad09ef618p-7, -0x1.9ff111a2254fp-7, -0x1.94747a8278885p-7, -0x1.893aa8d2db214p-7, -0x1.7e426882080aep-7, -0x1.738a92b512928p-7, -0x1.69120a21413dap-7, -0x1.5ed7b940bd069p-7, -0x1.54da8c96e54d9p-7, -0x1.4b1967d558825p-7, -0x1.41932844eac98p-7, -0x1.3846a3ea19c4ap-7, -0x1.2f32b0e5eaefap-7, -0x1.26562b8ab6ec2p-7, -0x1.1dafffd2c3b4cp-7, -0x1.153f2ae5cff65p-7, -0x1.0d02bb18012f9p-7, -0x1.04f9c858c67c6p-7, -0x1.fa46d5fde8e92p-8, -0x1.eafd693facd8ep-8, -0x1.dc154b51e4618p-8, -0x1.cd8c655c548fdp-8, -0x1.bf609423d60eep-8, -0x1.b18fbd75df3c1p-8, -0x1.a417e6e2121afp-8, -0x1.96f73bb82e93fp-8, -0x1.8a2c1a8592bf6p-8, -0x1.7db504e61e0fap-8, -0x1.719090ca83cb6p-8, -0x1.65bd44cccc6cdp-8, -0x1.5a398bbabbd58p-8, -0x1.4f03a8dab1625p-8, -0x1.4419bcecc816cp-8, -0x1.3979ddbd27632p-8, -0x1.2f2229dae31f7p-8, -0x1.2510e5e9d96b9p-8, -0x1.1b44834f5a2d5p-8, -0x1.11bba4b0e16d2p-8, -0x1.08751694e04efp-8, -0x1.fedf80ea73f36p-9, -0x1.ed550cf97a127p-9, -0x1.dc485c30a1582p-9, -0x1.cbb6a6d27b77bp-9, -0x1.bb9ccb4633dc8p-9, -0x1.abf77f65df011p-9, -0x1.9cc3858d43ad8p-9, -0x1.8dfdc968a516p-9, -0x1.7fa3827a56279p-9, -0x1.71b22c81c2e09p-9, -0x1.64279006a198ap-9, -0x1.5701c6e5c2375p-9, -0x1.4a3f1c5d2337ep-9, -0x1.3ddde61f32092p-9, -0x1.31dc3e211f6f9p-9, -0x1.2637ea75f36fap-9, -0x1.1aee692ccca99p-9, -0x1.0ffd191714c9fp-9, -0x1.056172e7154a1p-9, -0x1.f6322857455e4p-10, -0x1.e24365a35eb07p-10, -0x1.cef2241138835p-10, -0x1.bc3a2bf077854p-10, -0x1.aa17cfbb3358cp-10, -0x1.98880cc9a08cdp-10, -0x1.878864fb04eddp-10, -0x1.77164d620c374p-10, -0x1.672eca380b925p-10, -0x1.57ce52c817606p-10, -0x1.48f120c698292p-10, -0x1.3a93a59beba2p-10, -0x1.2cb292720e86fp-10, -0x1.1f4aa68b8a111p-10, -0x1.125837da2505p-10, -0x1.05d7349ce5298p-10, -0x1.f3870786adad7p-11, -0x1.dc33404cca1dfp-11, -0x1.c5adc3ea4c228p-11, -0x1.aff2a98b19c25p-11, -0x1.9afe2a47a7c91p-11, -0x1.86cc1627e24bep-11, -0x1.7357aab5e71cfp-11, -0x1.609c3ee6bf387p-11, -0x1.4e9586f84dd63p-11, -0x1.3d3fdd988802dp-11, -0x1.2c976d9dc1914p-11, -0x1.1c9737203cef6p-11, -0x1.0d38ad22c454ap-11, -0x1.fce8d5efeb5cfp-12, -0x1.e086da29dcb44p-12, -0x1.c53fd06a5759cp-12, -0x1.ab0ad47737a03p-12, -0x1.91e0ca5f07d31p-12, -0x1.79bba6a1a2303p-12, -0x1.6295aed7d8c45p-12, -0x1.4c69b12632a03p-12, -0x1.3732edea7b3c9p-12, -0x1.22ed3a912dd0cp-12, -0x1.0f948e1e86113p-12, -0x1.fa4827fafa66p-13, -0x1.d72a492a6376fp-13, -0x1.b5be49741aa0fp-13, -0x1.95efd8ab7364ap-13, -0x1.77a99a5e93abep-13, -0x1.5ad5c12d9070bp-13, -0x1.3f5ff5ce57b7ap-13, -0x1.25384345af5d4p-13, -0x1.0c549080b1021p-13, -0x1.e95ce48d6b98ap-14, -0x1.bc8323a9ba3fep-14, -0x1.9212d64d3c7f4p-14, -0x1.6a031f500f4bfp-14, -0x1.4448709527971p-14, -0x1.20d288c0977b2p-14, -0x1.ff2120dd9bfa7p-15, -0x1.c0e92c52733cfp-15, -0x1.86e2479891991p-15, -0x1.50e4e29a3102cp-15, -0x1.1eb3875e5a63dp-15, -0x1.dff8ad28eae44p-16, -0x1.88dec2bbba596p-16, -0x1.37b75f4638cc5p-16, -0x1.d8b894ca69272p-17, -0x1.4d665c2fb08ccp-17, -0x1.9a7673abb8e55p-18, -0x1.60775da31cd47p-19, 0x1.200c4ba99759bp-21, 0x1.c5e8c58dab2bbp-19, 0x1.8dd1b5b6f00cap-18, 0x1.12c4234ede8e4p-17, 0x1.552b8a71d5f3ep-17, 0x1.8e17d7123560bp-17, 0x1.bdb13dc8d8868p-17, 0x1.e475f819bcc24p-17, 0x1.019e47c353e5ap-16, 0x1.0d856d245f634p-16, 0x1.1642d1d7fa569p-16, 0x1.1be68043deb03p-16, 0x1.1e87bd1f24e95p-16, 0x1.1e5e576b6997ep-16, 0x1.1b8017aaf8675p-16, 0x1.15d97911b6f1bp-16, 0x1.0d73c1f3410edp-16, 0x1.02884e0e22698p-16, 0x1.eaac8d504dd4p-17, 0x1.cbf72a3b4cc92p-17, 0x1.a8e8910dcd56ap-17, 0x1.8175071ff165ep-17, 0x1.55c28d11e7955p-17, 0x1.262288c036823p-17, 0x1.e5fa3bc4bfdfep-18, 0x1.79a4186748a51p-18, 0x1.07ee25e79cedbp-18, 0x1.216d4aa4f8ce1p-19, 0x1.44537faf0bf8ep-22, -0x1.b180765c4322cp-20, -0x1.e1a73a94df6bbp-19, -0x1.7957f2712b0b9p-18, -0x1.02eca88f9b91ap-17, -0x1.4aeec2a79e1adp-17, -0x1.947094ef565cdp-17, -0x1.df4859e0fb5f5p-17, -0x1.15b6fd8887b2ap-16, -0x1.3c6bf3c412199p-16, -0x1.63b75e247bcbbp-16, -0x1.8b819021f8cbfp-16, -0x1.b3b3a67b94348p-16, -0x1.dc40910c889d1p-16, -0x1.028ba1de5c5f1p-15, -0x1.1712cc3c8b4e7p-15, -0x1.2bb7c59330f47p-15, -0x1.4073f4d9e7eeap-15, -0x1.5535a450854dbp-15, -0x1.69f877ec03172p-15, -0x1.7eba80b4fdb4ap-15, -0x1.9375e7e15a50fp-15, -0x1.a825b7cb6a21ep-15, -0x1.bcc5121b08906p-15, -0x1.d14f60ede9d74p-15, -0x1.e5c25a26ee2e3p-15, -0x1.fa1ab70c1d7f4p-15, -0x1.072a0809736b6p-14, -0x1.1134404ed896dp-14, -0x1.1b2a196bade18p-14, -0x1.250a54a798a52p-14, -0x1.2ed3ba6436c6ap-14, -0x1.388505fa676b6p-14, -0x1.421c6959e8b06p-14, -0x1.4b98b3cf3a54p-14, -0x1.54f8561dfd7f4p-14, -0x1.5e39b8af9eb4dp-14, -0x1.675bb083c13dcp-14, -0x1.705d0688c1c67p-14, -0x1.793d39bbc8d11p-14, -0x1.81fb38686af79p-14, -0x1.8a95f180e98d6p-14, -0x1.930ca6386a8e8p-14, -0x1.9b5dc1ee370a7p-14, -0x1.a388b91ddbd6cp-14, -0x1.ab8d208ffce2cp-14, -0x1.b36b6d42282c6p-14, -0x1.bb22eeaca697ep-14, -0x1.c2b337dc9973ap-14, -0x1.ca1bfec9a5359p-14, -0x1.d15b46a90d32p-14, -0x1.d86f55a33d784p-14, -0x1.df5ab92895ed9p-14, -0x1.e61d642718baap-14, -0x1.ecb69e942b1ccp-14, -0x1.f3222f5653b1ap-14, -0x1.f96127ddc45f6p-14, -0x1.ff7771d56a605p-14, -0x1.02b2aeaf344d3p-13, -0x1.05941f8d12799p-13, -0x1.08609d0e21526p-13, -0x1.0b17a087f30d8p-13, -0x1.0db7fbf2be5eap-13, -0x1.10428d65a116ep-13, -0x1.12b8463ecb9e8p-13, -0x1.15195f6a6ff37p-13, -0x1.1765b58a17b46p-13, -0x1.199d09edd6a1dp-13, -0x1.1bbf6c3df596ep-13, -0x1.1dcd173e7bcffp-13, -0x1.1fc574e7b8b4cp-13, -0x1.21a76c6c09152p-13, -0x1.2375c85dabefcp-13, -0x1.2531488fa24dep-13, -0x1.26d78955bcc63p-13, -0x1.2867d18e39778p-13, -0x1.29e357fa3cdbdp-13, -0x1.2b4bb9bc21a07p-13, -0x1.2ca12d84f2ff2p-13, -0x1.2de39b99a184ep-13, -0x1.2f133e01076bep-13, -0x1.302e4154401a6p-13, -0x1.3135e208b1d4ap-13, -0x1.322b414de22c5p-13, -0x1.330e76ef0a7cdp-13, -0x1.33df7b6316c16p-13, -0x1.349e816c148e5p-13, -0x1.354bb99bf0a89p-13, -0x1.35e733117595fp-13, -0x1.367124cf8ab67p-13, -0x1.36e9f90e5dc52p-13, -0x1.3751d79a04984p-13, -0x1.37a7a8e19b4f1p-13, -0x1.37eddaf93c4d4p-13, -0x1.3824be92d318bp-13, -0x1.384a7b816a3d1p-13, -0x1.38603f05098d9p-13, -0x1.38655c73f665bp-13, -0x1.385b59200be9cp-13, -0x1.384327a9169d4p-13, -0x1.381cec6007cbbp-13, -0x1.37e6a5d92eba1p-13, -0x1.37a1fd8b89e1bp-13, -0x1.374fb23003137p-13, -0x1.36efba91a958p-13, -0x1.368228a892a1fp-13, -0x1.36072f30b0df3p-13, -0x1.357f0d2167bb9p-13, -0x1.34ea140c9bdddp-13, -0x1.34487eaa0de5ap-13, -0x1.339a8aeed23dcp-13, -0x1.32e05993f15ddp-13, -0x1.321a3de316b59p-13, -0x1.3148cbd01021cp-13, -0x1.306b8c9440e1bp-13, -0x1.2f8350ef73591p-13, -0x1.2e90320dedd3ap-13, -0x1.2d929ac4b2bd3p-13, -0x1.2c8a582f1d872p-13, -0x1.2b76d7afba2e3p-13, -0x1.2a5a4e2ccd438p-13, -0x1.29348e28e8f25p-13, -0x1.280451e0d5019p-13, -0x1.26cb11a43af9bp-13, -0x1.25890e064e638p-13, -0x1.243e3f3e561abp-13, -0x1.22eaddd9caeebp-13, -0x1.218ef79c7c329p-13, -0x1.202b1239cc8a7p-13, -0x1.1ebf31038d8c2p-13, -0x1.1d4b90f89d0e4p-13, -0x1.1bd07619116c6p-13, -0x1.1a4e1e515ae63p-13, -0x1.18c4b6dcf4385p-13, -0x1.17346d6bcd0d2p-13, -0x1.159d6e887aa23p-13, -0x1.1400026a84988p-13, -0x1.125c8936cb1a9p-13, -0x1.10b2e71b65b54p-13, -0x1.0f036e54804d1p-13, -0x1.0d4e4e9937e14p-13, -0x1.0b937286e70c9p-13, -0x1.09d384a164bc3p-13, -0x1.080e985ea11e5p-13, -0x1.064482d3952fbp-13, -0x1.0475e9c28f23ep-13, -0x1.02a2d7affd645p-13, -0x1.00cb69a4e7739p-13, -0x1.fddf4fe146357p-14, -0x1.fa204529c174ap-14, -0x1.f6593e9ae17d5p-14, -0x1.f28af6447a80cp-14, -0x1.eeb5b0bde3008p-14, -0x1.ead9aa76c7533p-14, -0x1.e6f75abe6b493p-14, -0x1.e30f082217e5bp-14, -0x1.df20f5a70b972p-14, -0x1.db2d76420feeep-14, -0x1.d734de8223a0ep-14, -0x1.d3376efae64bdp-14, -0x1.cf3584a5248a4p-14, -0x1.cb2f4abd6a26fp-14, -0x1.c7254944331c8p-14, -0x1.c3181687e6ae8p-14, -0x1.bf064c65524b2p-14, -0x1.baf1e9ae7a121p-14, -0x1.b6dab669d05e8p-14, -0x1.b2c0da61746cap-14, -0x1.aea4bb1477908p-14, -0x1.aa86666a35169p-14, -0x1.a666532ee4983p-14, -0x1.a244aeb708b8ep-14, -0x1.9e21828dcbd6fp-14, -0x1.99fd3b8b00726p-14, -0x1.95d7ff1d6f96p-14, -0x1.91b21cfddf5c8p-14, -0x1.8d8bb7127a563p-14, -0x1.8965114d6919bp-14, -0x1.853e594a5449dp-14, -0x1.8117c7a770b7p-14, -0x1.7cf18e7cf0157p-14, -0x1.78cbe4a5f5d57p-14, -0x1.74a6ecf9f393fp-14, -0x1.70831cb691863p-14, -0x1.6c5fefde6f4bap-14, -0x1.683e4db6eed41p-14, -0x1.641e3055f80e7p-14, -0x1.5fffa490df53ep-14, -0x1.5be2e38715707p-14, -0x1.57c814acc2b24p-14, -0x1.53af8ea1b54ddp-14, -0x1.4f993052c19c6p-14, -0x1.4b8541976a6b3p-14, -0x1.4773d6be2ae53p-14, -0x1.4365404992df9p-14, -0x1.3f5991057094ap-14, -0x1.3b50d3178bcd9p-14, -0x1.374b4819866e6p-14, -0x1.334914b145a49p-14, -0x1.2f4a4202f7ea3p-14, -0x1.2b4ee1f43bdb1p-14, -0x1.275721ad0395dp-14, -0x1.236339272f9cep-14, -0x1.1f733c2471e13p-14, -0x1.1b872a1f9917ap-14, -0x1.179f3b2a8d7f5p-14, -0x1.13bb944760cbp-14, -0x1.0fdc37d1521cbp-14, -0x1.0c0181d41119fp-14, -0x1.082abdd6604fp-14, -0x1.0458e2d7deb83p-14, -0x1.008bba6183a39p-14, -0x1.f986bdc89d925p-15, -0x1.f1ff9d883a246p-15, -0x1.ea82725940356p-15, -0x1.e30f64e0b06e7p-15, -0x1.dba69509c37cap-15, -0x1.d447ef55bf322p-15, -0x1.ccf41dcf82794p-15, -0x1.c5aab67cc50dcp-15, -0x1.be6c323705e56p-15, -0x1.b738230adb92fp-15, -0x1.b00ed175717c4p-15, -0x1.a8f2143361d54p-15, -0x1.a1dfc43e2bc67p-15, -0x1.9ad8c182b9efcp-15, -0x1.93dd39190f6fep-15, -0x1.8ced292f7057p-15, -0x1.86093017ee455p-15, -0x1.7f306b9b557b4p-15, -0x1.7863d4a761bdcp-15, -0x1.71a316066d915p-15, -0x1.6aee35f771d0ap-15, -0x1.64455fbe67dffp-15, -0x1.5da8ffb41e701p-15, -0x1.57188e00eeeb5p-15, -0x1.50948df0956ddp-15, -0x1.4a1c88dbf6148p-15, -0x1.43b12f3344a67p-15, -0x1.3d52448b00b1bp-15, -0x1.36ff8dcf39d35p-15, -0x1.30b9f53db0624p-15, -0x1.2a8091f313133p-15, -0x1.2453d923c4e3fp-15, -0x1.1e33941cfbd9p-15, -0x1.1820038ffd088p-15, -0x1.12195dcee4727p-15, -0x1.0c1f91bc8a5bep-15, -0x1.06324e94f7fe5p-15, -0x1.00511582a2abfp-15, -0x1.f4fbbd7d7ca3cp-16, -0x1.e96de6b960002p-16, -0x1.ddfa044381503p-16, -0x1.d29f893a5ca0bp-16, -0x1.c75e6388b9229p-16, -0x1.bc373e5e08934p-16, -0x1.b129ae4921db1p-16, -0x1.a635cf3b59377p-16, -0x1.9b5b9ee1c2727p-16, -0x1.909b28919c10dp-16, -0x1.85f3d72070f22p-16, -0x1.7b6659d4dbcfdp-16, -0x1.70f2d07f97ffbp-16, -0x1.6698aa1c0e5fdp-16, -0x1.5c57b75f2f691p-16, -0x1.523073ed07d5ep-16, -0x1.4822ffc25d1d9p-16, -0x1.3e2e9e72b036ep-16, -0x1.3453a4db88fbdp-16, -0x1.2a91828ef865dp-16, -0x1.20e8f54bcacb7p-16, -0x1.17595665575cap-16, -0x1.0de315123d757p-16, -0x1.04862d2dee28cp-16, -0x1.f6840504da229p-17, -0x1.e42d313c9ec3dp-17, -0x1.d20964fe3ac5cp-17, -0x1.c01335e672bb9p-17, -0x1.ae52aa660bfcp-17, -0x1.9cc0f804d555ep-17, -0x1.8b5fb9c0209f7p-17, -0x1.7a2f91c5c0b36p-17, -0x1.69317d1e4ccccp-17, -0x1.5863623fa1908p-17, -0x1.47c5035607a2dp-17, -0x1.37569c06c722p-17, -0x1.2717e77199b26p-17, -0x1.1709d8438ca31p-17, -0x1.072a3203080a3p-17, -0x1.eef4723489cd1p-18, -0x1.cff08ed3ba1f7p-18, -0x1.b14a7404da90ep-18, -0x1.93032b027dbddp-18, -0x1.7514d61effd99p-18, -0x1.5789c1860490dp-18, -0x1.3a540bf50c621p-18, -0x1.1d7bd8b73aa8cp-18, -0x1.00f7557f07de8p-18, -0x1.c9b1951251046p-19, -0x1.921cdaa59877cp-19, -0x1.5b36f59130c36p-19, -0x1.2504f6749bae6p-19, -0x1.df08ad702a086p-20, -0x1.756ab3374c2c6p-20, -0x1.0d1b5fe661746p-20, -0x1.4c52b13e5c7b3p-21, -0x1.024395497af84p-22, 0x1.1d6724703871dp-23, 0x1.0d3cadf562fb1p-21, 0x1.d0764954f430ap-21, 0x1.488a64a2992fp-20, 0x1.a78dd8aff6e04p-20, 0x1.02a025da05439p-19, 0x1.30d7358edb91bp-19, 0x1.5e68ffaed2fecp-19, 0x1.8b5cb9e0b3eaep-19, 0x1.b7ae5881d7725p-19, 0x1.e362ecf459194p-19, 0x1.073a01fd04b08p-18, 0x1.1c7527d5ad87p-18, 0x1.3160a449e1ad5p-18, 0x1.4601b5808f26ep-18, 0x1.5a5205ffbb549p-18, 0x1.6e5884a3f1497p-18, 0x1.8211cf5608f7ep-18, 0x1.9582db7ad231dp-18, 0x1.a8a690e532f83p-18, 0x1.bb80bd4c47012p-18, 0x1.ce104495cafcbp-18, 0x1.e0593b2c10c0ep-18, 0x1.f25788eba59e8p-18, 0x1.0208444ef0925p-17, 0x1.0ac07d3898645p-17, 0x1.13555d2e75f39p-17, 0x1.1bc731ec77139p-17, 0x1.241658769deb9p-17, 0x1.2c438a035dbf9p-17, 0x1.344de2bcf05a6p-17, 0x1.3c36c0649416cp-17, 0x1.4401f775aa1fcp-17, 0x1.4ba60a18c5142p-17, 0x1.532a6e1de5602p-17, 0x1.5a8e59501d935p-17, 0x1.61d33fdbe41bbp-17, 0x1.68f7a1aec8279p-17, 0x1.6ffc7366fb00cp-17, 0x1.76e12d59f14c6p-17, 0x1.7da7532015899p-17, 0x1.844e794998812p-17, 0x1.8ad6518d573d6p-17, 0x1.91402e5c612ccp-17, 0x1.978c098a7d366p-17, 0x1.9dba487c48b55p-17, 0x1.a3cb1c69be72ep-17, 0x1.a9bdc14a21e0bp-17, 0x1.af946fa1dfe35p-17, 0x1.b54dba31e35fcp-17, 0x1.baebe49d4e96ap-17, 0x1.c06d2b2f845edp-17, 0x1.c5d2da66a4374p-17, 0x1.cb1d28a04445fp-17, 0x1.d04ac91637be8p-17, 0x1.d55ec76de2c1ep-17, 0x1.da571e6b7803dp-17, 0x1.df36d4cc0004p-17, 0x1.e3fb4c957ea4cp-17, 0x1.e8a4cb20a1536p-17, 0x1.ed35dfdbe92d3p-17, 0x1.f1aa612efd8e7p-17, 0x1.f60c3b73cf916p-17, 0x1.fa51dfc3cdfe1p-17, 0x1.fe7f289d0e99bp-17, 0x1.0149e052759cp-16, 0x1.034798e7288f3p-16, 0x1.05398663160e4p-16, 0x1.0720dfc4db69bp-16, 0x1.08fbfa07986cbp-16, 0x1.0acb697903c51p-16, 0x1.0c8f819013da4p-16, 0x1.0e487bf940aaap-16, 0x1.0ff6189d19523p-16, 0x1.1198e63a56c5p-16, 0x1.1330b311bdd4ep-16, 0x1.14bdceb8a6003p-16, 0x1.164031f4ef981p-16, 0x1.17b8016b0ab5ep-16, 0x1.192507f7845bep-16, 0x1.1a88d5a042185p-16, 0x1.1be1ec3fe5fd7p-16, 0x1.1d310ff0b5116p-16, 0x1.1e763fcd7681bp-16, 0x1.1fb14d93e9d78p-16, 0x1.20e32939b377dp-16, 0x1.220b3ae364b93p-16, 0x1.2329c02815a25p-16, 0x1.243f40173073ep-16, 0x1.254addef5f4bdp-16, 0x1.264c4f7e39f1p-16, 0x1.274860fd847f1p-16, 0x1.2839462e50239p-16, 0x1.291ffb039440ep-16, 0x1.2a01062494bacp-16, 0x1.2ad7f6ea5a88p-16, 0x1.2ba67f588c347p-16, 0x1.2c6cded7115cfp-16, 0x1.2d2a923b8ae22p-16, 0x1.2de09085eddc5p-16, 0x1.2e8eb1a8eb45fp-16, 0x1.2f34369dca3e6p-16, 0x1.2fd11805b5569p-16, 0x1.30683d53e968cp-16, 0x1.30f7a04c31bc5p-16, 0x1.317ebc4464aa4p-16, 0x1.31fe3320adbddp-16, 0x1.32768b02a0b68p-16, 0x1.32e7b211d923p-16, 0x1.3351b992461e5p-16, 0x1.33b4d735b2e54p-16, 0x1.340e385d1c4fp-16, 0x1.346653e016fa5p-16, 0x1.34b4e5b59bf0cp-16, 0x1.34fcba0b0c939p-16, 0x1.353ddce822676p-16, 0x1.357885cee6b0ep-16, 0x1.35ace165dfa7fp-16, 0x1.35db3e8837bd2p-16, 0x1.360388d68c5a2p-16, 0x1.3625366fc5564p-16, 0x1.36408403f1201p-16, 0x1.36566c9e97e7fp-16, 0x1.3666fb44976e8p-16, 0x1.367167d950e94p-16, 0x1.3675b6746ab5bp-16, 0x1.3673d4aba7be2p-16, 0x1.366dcad2e47ebp-16, 0x1.36627241bf8f8p-16, 0x1.36511a68c1012p-16, 0x1.363a47c54a1dap-16, 0x1.361e320ec80c1p-16, 0x1.35fda12a261cap-16, 0x1.35d7bfb9d308p-16, 0x1.35ad063500bb1p-16, 0x1.357c807b8c322p-16, 0x1.354871651b14fp-16, 0x1.350f48744cd37p-16, 0x1.34d1a5d933faep-16, 0x1.348f37f875db6p-16, 0x1.3447ec161d9c9p-16, 0x1.33fc9f314bee4p-16, 0x1.33ac8a878e0e5p-16, 0x1.3358e766cf925p-16, 0x1.33007fd0ce566p-16, 0x1.32a4401b0645dp-16, 0x1.3245e265501abp-16, 0x1.31df01da66aa4p-16, 0x1.317622d3bc3bap-16, 0x1.310abe2f3f4c6p-16, 0x1.309a75a68f3fbp-16, 0x1.3027dd536a3e5p-16, 0x1.2faf64ce35e68p-16, 0x1.2f34f0e9654ecp-16, 0x1.2eb52f695840ep-16, 0x1.2e32fc05c12e5p-16, 0x1.2dacb3a3e4c89p-16, 0x1.2d2478806d1e4p-16, 0x1.2c985cf30b335p-16, 0x1.2c0932291e85ap-16, 0x1.2b7690dceb1f6p-16, 0x1.2ae065c4e5bfp-16, 0x1.2a47b1312ec3bp-16, 0x1.29abf66f11075p-16, 0x1.290d22cc44502p-16, 0x1.286bca2cd36f6p-16, 0x1.27c74b0693443p-16, 0x1.271fd85719915p-16, 0x1.2675a920c300ep-16, 0x1.25c9200d6aac4p-16, 0x1.2519ce12454dep-16, 0x1.246873949341ep-16, 0x1.23b433804151dp-16, 0x1.22fcfa568d069p-16, 0x1.2243b49046f6cp-16, 0x1.21885f39f263dp-16, 0x1.20cab0747bbb4p-16, 0x1.200a588a6fe29p-16, 0x1.1f45cc4f75f99p-16, 0x1.1e837e2e56a3dp-16, 0x1.1dbd95c3174cfp-16, 0x1.1cf5736d75fc2p-16, 0x1.1c2999bbf69c9p-16, 0x1.1b5cb64fc3256p-16, 0x1.1a8e680c7ec81p-16, 0x1.19bcf07ca9945p-16, 0x1.18ebdf1a60c46p-16, 0x1.1817c7a3875e2p-16, 0x1.1742586055ca8p-16, 0x1.166a2cfeddca1p-16, 0x1.15909925096ep-16, 0x1.14b61e974097p-16, 0x1.13dbd710fe95dp-16, 0x1.12fc052559f2bp-16, 0x1.121bfb018e0efp-16, 0x1.113af3b2e0297p-16, 0x1.10598c1127eecp-16, 0x1.0f75ee34fade7p-16, 0x1.0e8feb8f9e757p-16, 0x1.0da9c3441d9e6p-16, 0x1.0cc289340d0ebp-16, 0x1.0bd9a901430cbp-16, 0x1.0aef4238b93ap-16, 0x1.0a040da567f34p-16, 0x1.091741ca31fbep-16, 0x1.082a50c7092b5p-16, 0x1.073bd603aa3ap-16, 0x1.064b765d53547p-16, 0x1.055b41af71da8p-16, 0x1.0469f815db2e7p-16, 0x1.037798b9b7318p-16, 0x1.028454aea4fefp-16, 0x1.0190695f44f4fp-16, 0x1.009a2c39fec7p-16, 0x1.ff4a0e3d599d3p-17, 0x1.fd5ee42424f76p-17, 0x1.fb6f7e0b4aep-17, 0x1.f97cb1cd2025cp-17, 0x1.f78d559d7ea66p-17, 0x1.f59b2c44546b1p-17, 0x1.f3a7314105fd1p-17, 0x1.f1b2762a1504bp-17, 0x1.efb66c9a55d0fp-17, 0x1.edc39ec3d804fp-17, 0x1.ebcbf0cbb3945p-17, 0x1.e9d34c6475c3dp-17, 0x1.e7d87f315ca01p-17, 0x1.e5dd6e8daccf5p-17, 0x1.e3e0cd1255663p-17, 0x1.e1e526e13b2b2p-17, 0x1.dfe7e3cc9f75dp-17, 0x1.ddeafbc183211p-17, 0x1.dbea2fc39ed62p-17, 0x1.d9ee273f87335p-17, 0x1.d7ec06d497b1fp-17, 0x1.d5e9ab308acbep-17, 0x1.d3ea1c76511dbp-17, 0x1.d1ea082ece82bp-17, 0x1.cfe827c2a1e2dp-17, 0x1.cde65cdeea275p-17, 0x1.cbe422c796cc3p-17, 0x1.c9e36320435afp-17, 0x1.c7e05e2662fc8p-17, 0x1.c5dd2f539125bp-17, 0x1.c3dae5d26df05p-17, 0x1.c1d8d9cbdbb81p-17, 0x1.bfd60706bf9edp-17, 0x1.bdd2b4178d9a3p-17, 0x1.bbcfbe21caad7p-17, 0x1.b9cebaba1e51bp-17, 0x1.b7cb9c0d25b02p-17, 0x1.b5c8a94a64beap-17, 0x1.b3c8205a7d5a4p-17, 0x1.b1c6b6beeddep-17, 0x1.afc3f98a8481ep-17, 0x1.adc2c902f9e6fp-17, 0x1.abc29276d7a53p-17, 0x1.a9c2497027d89p-17, 0x1.a7c0ff870d2e6p-17, 0x1.a5c28bf120013p-17, 0x1.a3c3e658edb0ap-17, 0x1.a1c453091ac0fp-17, 0x1.9fc5f44f3b316p-17, 0x1.9dc85617f4b79p-17, 0x1.9bcbbd8ef14d6p-17, 0x1.99cfdd56c4758p-17, 0x1.97d4e1e7f06e1p-17, 0x1.95d7f286803eap-17, 0x1.93de9e233819ep-17, 0x1.91e3df30af1cep-17, 0x1.8feb4299d2c43p-17, 0x1.8df2d6eb89c25p-17, 0x1.8bfd1996b443dp-17, 0x1.8a060e45e19eap-17, 0x1.880f48e990ed1p-17, 0x1.8619c1d1dbe61p-17, 0x1.84272dede7647p-17, 0x1.823491254e54ap-17, 0x1.8040cc1241705p-17, 0x1.7e5093c032e4ap-17, 0x1.7c608684e60c2p-17, 0x1.7a70a6764eb74p-17, 0x1.78828b8df241p-17, 0x1.7695f25fb8064p-17, 0x1.74a9f39cbce2dp-17, 0x1.72bdf5c096bd4p-17, 0x1.70d4c19415cd5p-17, 0x1.6eec2560567c8p-17, 0x1.6d046cf0fe45ap-17, 0x1.6b1cb96f7d5e9p-17, 0x1.693801e2e7676p-17, 0x1.6755aa66d7509p-17, 0x1.65714acfeebap-17, 0x1.638dd3df8930ep-17, 0x1.61aed80d6e485p-17, 0x1.5fd03f9826da6p-17, 0x1.5df18e2963615p-17, 0x1.5c10d102dfeb5p-17, 0x1.5a395e6dc2786p-17, 0x1.585f2eaeb7c01p-17, 0x1.568635dcb2064p-17, 0x1.54af37bb426a7p-17, 0x1.52d88da443112p-17, 0x1.5103bcacbc319p-17, 0x1.4f309a05d9d6ap-17, 0x1.4d5ea18400bd6p-17, 0x1.4b8dbe21246fp-17, 0x1.49be62423611fp-17, 0x1.47f11f3f2cac6p-17, 0x1.4624440c1922dp-17, 0x1.4459ed1b83312p-17, 0x1.429030ba5faa8p-17, 0x1.40c7f9faa1511p-17, 0x1.3efedd6d64cb9p-17, 0x1.3d3cfd19e06d5p-17, 0x1.3b78c4c2164d1p-17, 0x1.39b6d76161d3bp-17, 0x1.37f5fcc8d712ap-17, 0x1.36371940ec41cp-17, 0x1.3479d0925b09bp-17, 0x1.32bd9defba6c5p-17, 0x1.310335556f0b3p-17, 0x1.2f4a99fbe1aa9p-17, 0x1.2d935818d51acp-17, 0x1.2bdcfd91f1332p-17, 0x1.2a2928f4d0126p-17, 0x1.287393822c1dep-17, 0x1.26c66922fc53bp-17, 0x1.2516108f67aeap-17, 0x1.236865c1cfb89p-17, 0x1.21bb65e2081e5p-17, 0x1.2011e4a05848dp-17, 0x1.1e68bbe7624cdp-17, 0x1.1cc0e103ca71cp-17, 0x1.1b1b80ff71211p-17, 0x1.197511f7e6b1bp-17, 0x1.17d47ccee9b56p-17, 0x1.1633dcfb05716p-17, 0x1.1495174a7e4dap-17, 0x1.12f62d54e8a4fp-17, 0x1.115a2f6e4cabcp-17, 0x1.0fc138ee0b276p-17, 0x1.0e2845a864e28p-17, 0x1.0c913715bfaadp-17, 0x1.0afba9131c97fp-17, 0x1.09682f99fb497p-17, 0x1.07d6843aed863p-17, 0x1.0646379234f8p-17, 0x1.04b6c26687125p-17, 0x1.032af36f1a6aep-17, 0x1.019fce56ad0f9p-17, 0x1.001576c8e8702p-17, 0x1.fd1ae610af1ffp-18, 0x1.fa0eb3318bb0ep-18, 0x1.f70676908e9a6p-18, 0x1.f4015eb906459p-18, 0x1.f0fdf1c4e50ecp-18, 0x1.edfd9e6de2801p-18, 0x1.eb0248be29583p-18, 0x1.e80c05559901p-18, 0x1.e517499bdf10dp-18, 0x1.e224b7ac6383p-18, 0x1.df3678210b71bp-18, 0x1.dc4d7d1812013p-18, 0x1.d9641a788b6dbp-18, 0x1.d680b9fc85f53p-18, 0x1.d3a018363bfe6p-18, 0x1.d0c26714f1588p-18, 0x1.cde95b4784f2fp-18, 0x1.cb137d0470d22p-18, 0x1.c83da0bb6e7b7p-18, 0x1.c56e319645f1fp-18, 0x1.c2a4329fddd2dp-18, 0x1.bfdb20b77c74p-18, 0x1.bd13e7f18b556p-18, 0x1.ba52999be13bap-18, 0x1.b7939b2e18b37p-18, 0x1.b4d865c68acd5p-18, 0x1.b221a7c9ad50fp-18, 0x1.af6ac901f385ep-18, 0x1.acb99480ce33dp-18, 0x1.aa0bb733c8f03p-18, 0x1.a7616813bf714p-18, 0x1.a4b878f94b102p-18, 0x1.a2145618c4022p-18, 0x1.9f73b20f910ebp-18, 0x1.9cd63f1034b5ep-18, 0x1.9a3c1ee5db7f2p-18, 0x1.97a5e093920fep-18, 0x1.951091e20445ap-18, 0x1.928108e8329d9p-18, 0x1.8ff424118756bp-18, 0x1.8d6b0c8d77c0dp-18, 0x1.8ae3f211a4a16p-18, 0x1.88609162357fp-18, 0x1.85e0739d53494p-18, 0x1.8365e2a68c342p-18, 0x1.80ea3fcf7ce12p-18, 0x1.7e74c8aa9a7p-18, 0x1.7c01769d24f82p-18, 0x1.79916ddd00446p-18, 0x1.772688fa416a2p-18, 0x1.74bc9e1291454p-18, 0x1.72566ea615962p-18, 0x1.6ff3a859b499cp-18, 0x1.6d9401f57fb16p-18, 0x1.6b37976581b7bp-18, 0x1.68da9cb13949dp-18, 0x1.6688b8728a8c6p-18, 0x1.643557ec55e0dp-18, 0x1.61e5a54ae1aafp-18, 0x1.5f97d25232759p-18, 0x1.5d5185acac432p-18, 0x1.5b096efce6fb8p-18, 0x1.58c5bfc73145p-18, 0x1.5685e9fc67d74p-18, 0x1.54499f36de89bp-18, 0x1.520fd50a0617ap-18, 0x1.4fd88a74de762p-18, 0x1.4da4a4532950ap-18, 0x1.4b74f7e5e5a75p-18, 0x1.49468c4a91632p-18, 0x1.471aabd52f6e9p-18, 0x1.44f61a57b77ap-18, 0x1.42d0a819f0febp-18, 0x1.40aef770ec588p-18, 0x1.3e906707cb3a3p-18, 0x1.3c7415b2a17a1p-18, 0x1.3a5ca811d27ddp-18, 0x1.3847673adafc2p-18, 0x1.3634cdcd3c7p-18, 0x1.3425978472e21p-18, 0x1.321a04db30bccp-18, 0x1.300f6d33fe2fdp-18, 0x1.2e07ed41c5219p-18, 0x1.2c059d564315bp-18, 0x1.2a04b4871bfb2p-18, 0x1.280690d471b6cp-18, 0x1.260bb892c2f64p-18, 0x1.2413f2a085c65p-18, 0x1.221f84035ad75p-18, 0x1.202a7b268106cp-18, 0x1.1e3bc05f285d3p-18, 0x1.1c5153adc7446p-18, 0x1.1a6630d5e3ce7p-18, 0x1.187e7b80f69f4p-18, 0x1.169ad49bfaffdp-18, 0x1.14ba474da2b0ep-18, 0x1.12db090445258p-18, 0x1.10ff176222705p-18, 0x1.0f257b2979f2bp-18, 0x1.0d4f75d1da55ap-18, 0x1.0b7b95ce87287p-18, 0x1.09ab132bbeffep-18, 0x1.07dd943f0d41p-18, 0x1.061232c70665ap-18, 0x1.0449b9960f9fcp-18, 0x1.02833307f4fadp-18, 0x1.00c025409a431p-18, 0x1.fdff298566165p-19, 0x1.fa845645f7554p-19, 0x1.f70cb3c634956p-19, 0x1.f39b2dc15d8f7p-19, 0x1.f02f28ab2a663p-19, 0x1.ecc8f301b2665p-19, 0x1.e96763ed53157p-19, 0x1.e6094d3e61595p-19, 0x1.e2b1a4bd40ecbp-19, 0x1.df632fc392222p-19, 0x1.dc145f7ad63ecp-19, 0x1.d8c98971f2498p-19, 0x1.d58670ff3876bp-19, 0x1.d24b7d6477ad1p-19, 0x1.cf13ca8fe93e5p-19, 0x1.cbdf69badffcfp-19, 0x1.c8af8e8e4fa8p-19, 0x1.c584b418442ffp-19, 0x1.c26141f9effc6p-19, 0x1.bf422a4cbd9fp-19, 0x1.bc26c2d07c2a1p-19, 0x1.b90e78a6e5edap-19, 0x1.b5ff083b05ae5p-19, 0x1.b2f3258717a77p-19, 0x1.afeab26bf80c4p-19, 0x1.ace674af1cb01p-19, 0x1.a9e890ee26f03p-19, 0x1.a6f172b8de9abp-19, 0x1.a3fb987b2cf24p-19, }}, 
      {{-0x1.b3fdb2e6795a4p-1, -0x1.aa81ab7e3af4ap-1, -0x1.9db154a502fdbp-1, -0x1.8de90248324b2p-1, -0x1.7b8aaac709f7ap-1, -0x1.66f922ea3ca1dp-1, -0x1.5094d7eac79e9p-1, -0x1.38b99a9f34319p-1, -0x1.1fbd32c13a179p-1, -0x1.05ee87300f2fp-1, -0x1.d72a69ae7db85p-2, -0x1.a1e2ec1ff952bp-2, -0x1.6c788776714bp-2, -0x1.374f3d90320c5p-2, -0x1.02bde7ab9e1d5p-2, -0x1.9e1e3ea726848p-3, -0x1.39046cd14fb9bp-3, -0x1.ad30d976777b4p-4, -0x1.dcc6d33ed8078p-5, -0x1.b1701ed9cb816p-7, 0x1.ebff02a6b3673p-6, 0x1.24d0d9c69ab28p-4, 0x1.c707b7b66b85ep-4, 0x1.30bdb6987e33ep-3, 0x1.7a0a8ca74184dp-3, 0x1.bf66c508a7854p-3, 0x1.006ac677a4fefp-2, 0x1.1f2ff01a669b2p-2, 0x1.3c09d5888ff65p-2, 0x1.57018130980d5p-2, 0x1.7021b90a30fb1p-2, 0x1.8776aee1448afp-2, 0x1.9d0dba0daaee6p-2, 0x1.b0f5192ca135dp-2, 0x1.c33bbb4cde8d8p-2, 0x1.d3f10fdee3ab1p-2, 0x1.e324dd2207455p-2, 0x1.f0e71ad787788p-2, 0x1.fd47d3caf15ecp-2, 0x1.042b852370e73p-1, 0x1.091250a29dcfcp-1, 0x1.0d60246510985p-1, 0x1.111cb6dea8fe2p-1, 0x1.144f96272bb4fp-1, 0x1.17002266c7d6ap-1, 0x1.1935899c06c98p-1, 0x1.1af6c3bfabc9ep-1, 0x1.1c4a905472f52p-1, 0x1.1d377485ea84ap-1, 0x1.1dc3b9a1f567fp-1, 0x1.1df56c7381717p-1, 0x1.1dd25cfd4269ep-1, 0x1.1d601e52e77eep-1, 0x1.1ca4074003d24p-1, 0x1.1ba332d0edb6ep-1, 0x1.1a62814df5907p-1, 0x1.18e699538fd9ap-1, 0x1.1733e91924f57p-1, 0x1.154ea7d82093bp-1, 0x1.133ad73cfc20fp-1, 0x1.10fc453383b81p-1, 0x1.0e968d433fd6p-1, 0x1.0c0d1a40d4463p-1, 0x1.0963283ef5532p-1, 0x1.069bc61152d26p-1, 0x1.03b9d713bf206p-1, 0x1.00c014de3e581p-1, 0x1.fb6221e445f0dp-2, 0x1.f51e6ce8a19b3p-2, 0x1.eeb99771fcaedp-2, 0x1.e837e83303177p-2, 0x1.e19d624fd071ap-2, 0x1.daedc92a6fd23p-2, 0x1.d42ca3106b613p-2, 0x1.cd5d3c1b49874p-2, 0x1.c682a91dc0374p-2, 0x1.bf9fca438457bp-2, 0x1.b8b74de35b36dp-2, 0x1.b1cbb2b05c85ep-2, 0x1.aadf4a84db232p-2, 0x1.a3f43c8d82c76p-2, 0x1.9d0c87962331bp-2, 0x1.962a0436383afp-2, 0x1.8f4e66f792a9ap-2, 0x1.887b41f990015p-2, 0x1.81b207ac9488bp-2, 0x1.7af40b9d4bb29p-2, 0x1.744284f253497p-2, 0x1.6d9e8fc70bae6p-2, 0x1.67092ecdd64a5p-2, 0x1.60834cf09284p-2, 0x1.5a0dbe7c15dbdp-2, 0x1.53a942cc0008cp-2, 0x1.4d568572a4ae5p-2, 0x1.47161f7f55b3ap-2, 0x1.40e898b4b7d08p-2, 0x1.3ace688b4070fp-2, 0x1.34c7f76ee895p-2, 0x1.2ed59f88f4c08p-2, 0x1.28f7adf22a008p-2, 0x1.232e635a072f4p-2, 0x1.1d79f502026dp-2, 0x1.17da8d7f96615p-2, 0x1.12504d8947a34p-2, 0x1.0cdb4c9feff45p-2, 0x1.077b99cf42523p-2, 0x1.02313c42bfc94p-2, 0x1.f9f867ccf7dedp-3, 0x1.efb8f3f3c8f61p-3, 0x1.e5a403216f468p-3, 0x1.dbb97034c7b41p-3, 0x1.d1f90b8e92e34p-3, 0x1.c8629c5559981p-3, 0x1.bef5e08f2658bp-3, 0x1.b5b28e96b2e9bp-3, 0x1.ac985578054bdp-3, 0x1.a3a6ddb980b5ap-3, 0x1.9addc9eb2fec8p-3, 0x1.923cb76c3f0dap-3, 0x1.89c33e94e182ep-3, 0x1.8170f3d673682p-3, 0x1.794567ad6e952p-3, 0x1.7140275a2269p-3, 0x1.6960bd2891b2cp-3, 0x1.61a6b0f4d528ep-3, 0x1.5a1188665fcacp-3, 0x1.52a0c75d9b4b8p-3, 0x1.4b53f0247dbe6p-3, 0x1.442a83d18722ap-3, 0x1.3d24026f96b2bp-3, 0x1.363feb6485c8cp-3, 0x1.2f7dbd701c783p-3, 0x1.28dcf7191a32p-3, 0x1.225d16b86e924p-3, 0x1.1bfd9ab606105p-3, 0x1.15be01b3449aap-3, 0x1.0f9dcaa8af41ap-3, 0x1.099c751160a2fp-3, 0x1.03b98107c89a4p-3, 0x1.fbe8debe01788p-4, 0x1.f09983699afb2p-4, 0x1.e583f54c2825bp-4, 0x1.daa73b72a3db8p-4, 0x1.d0025f5b26144p-4, 0x1.c5946c6d4af55p-4, 0x1.bb5c70a420c6ap-4, 0x1.b1597c778353p-4, 0x1.a78aa2f1dbd51p-4, 0x1.9deef9db07c4ap-4, 0x1.9485995ab1db1p-4, 0x1.8b4d9cf0feeb7p-4, 0x1.824622994575fp-4, 0x1.796e4b5c821fep-4, 0x1.70c53acb13e98p-4, 0x1.684a17fab6428p-4, 0x1.5ffc0cb49ecf6p-4, 0x1.57da45af3ec36p-4, 0x1.4fe3f2d4965eap-4, 0x1.481846bb294aep-4, 0x1.4076779d0c19dp-4, 0x1.38fdbde1a1e1ap-4, 0x1.31ad55b5f80b6p-4, 0x1.2a847dc8d8a17p-4, 0x1.238277e32c473p-4, 0x1.1ca6890c1d131p-4, 0x1.15eff8576d649p-4, 0x1.0f5e116c4b93p-4, 0x1.08f0215132722p-4, 0x1.02a5786ec1fadp-4, 0x1.f8fad43ae2a8cp-5, 0x1.ecee9956d6892p-5, 0x1.e124f1d46c649p-5, 0x1.d59c953757188p-5, 0x1.ca544040fb926p-5, 0x1.bf4ab55b7ac07p-5, 0x1.b47ebbfb821dep-5, 0x1.a9ef217ac9b39p-5, 0x1.9f9ab782bceffp-5, 0x1.958055959dc9fp-5, 0x1.8b9ed80a2dd04p-5, 0x1.81f51fdc714a9p-5, 0x1.788214e756b56p-5, 0x1.6f44a0960c208p-5, 0x1.663bb3b421243p-5, 0x1.5d6642ceabeaap-5, 0x1.54c347c37b9adp-5, 0x1.4c51c02ab2449p-5, 0x1.4410aebb5573ep-5, 0x1.3bff1aa0c45e2p-5, 0x1.341c0f4534d8dp-5, 0x1.2c669c0a9d4ap-5, 0x1.24ddd5e4ac793p-5, 0x1.1d80d44c1115cp-5, 0x1.164eb41f0a81ap-5, 0x1.0f4695b97b04bp-5, 0x1.08679db7d5174p-5, 0x1.01b0f472a509dp-5, 0x1.f6438c7b2fbc3p-6, 0x1.e9728701d6678p-6, 0x1.dced403a5201bp-6, 0x1.d0b22790a12f2p-6, 0x1.c4bfb3bd2f573p-6, 0x1.b9146290b98abp-6, 0x1.adaeb917a24e7p-6, 0x1.a28d431e178f8p-6, 0x1.97ae938937391p-6, 0x1.8d1143bd15727p-6, 0x1.82b3f3635097ap-6, 0x1.78954b2a2d6f3p-6, 0x1.6eb3f5fa96f7p-6, 0x1.650ea8650754dp-6, 0x1.5ba41b81ab994p-6, 0x1.52730f6a1aaa8p-6, 0x1.497a4b36da8a9p-6, 0x1.40b89672735f4p-6, 0x1.382cc6c2050ebp-6, 0x1.2fd5b23d63ab3p-6, 0x1.27b235958c5cp-6, 0x1.1fc133e943104p-6, 0x1.1801923858899p-6, 0x1.1072415b0f693p-6, 0x1.09123210c9f16p-6, 0x1.01e05c7e76273p-6, 0x1.f5b77bc38d92ap-7, 0x1.e806ace239a81p-7, 0x1.daac5acfbf7cdp-7, 0x1.cda6a0d740dcfp-7, 0x1.c0f39856f9297p-7, 0x1.b49171e9a12ap-7, 0x1.a87e5d3688b85p-7, 0x1.9cb8960ca4e68p-7, 0x1.913e658bd3925p-7, 0x1.860e15603a95dp-7, 0x1.7b25fd8dcd416p-7, 0x1.70847cc307fc3p-7, 0x1.6627fa81662f1p-7, 0x1.5c0ee6723d478p-7, 0x1.5237b9ab9517cp-7, 0x1.48a0ed62ce4bdp-7, 0x1.3f490e8eb1162p-7, 0x1.362eaa0f28abap-7, 0x1.2d50566ba4b6cp-7, 0x1.24acafa25099dp-7, 0x1.1c425d1eeb7d1p-7, 0x1.141007fd9d0bp-7, 0x1.0c146477bad4cp-7, 0x1.044e2bd7ee437p-7, 0x1.f9783ba74263bp-8, 0x1.eaba0595a0f6p-8, 0x1.dc5f4ca75222cp-8, 0x1.ce65bb5f8d1c5p-8, 0x1.c0cb04f15a03ep-8, 0x1.b38ce7a819f03p-8, 0x1.a6a93589fb609p-8, 0x1.9a1dc10cb82f1p-8, 0x1.8de87158c9a1fp-8, 0x1.820734789bdd1p-8, 0x1.76780525ddec7p-8, 0x1.6b38e938c83ep-8, 0x1.6047f1431b7ebp-8, 0x1.55a337cb96ab7p-8, 0x1.4b48e27163ba6p-8, 0x1.413720bcaedep-8, 0x1.376c2dd23cc5bp-8, 0x1.2de648a9d7ab7p-8, 0x1.24a3c4863466ap-8, 0x1.1ba2f1f81492p-8, 0x1.12e23696dd76ep-8, 0x1.0a5ff631d8aafp-8, 0x1.021aa488b0342p-8, 0x1.f42182c1818d3p-9, 0x1.e48191a3a149ap-9, 0x1.d5529294a886fp-9, 0x1.c691af40358e4p-9, 0x1.b83c1db312ee8p-9, 0x1.aa4f264a982ffp-9, 0x1.9cc824435965ep-9, 0x1.8fa4806e1cdc2p-9, 0x1.82e1a1c8ce98p-9, 0x1.767d1ea44be55p-9, 0x1.6a7483109cbb3p-9, 0x1.5ec570614f24ap-9, 0x1.536d9780b87f8p-9, 0x1.486ab20658759p-9, 0x1.3dba9178501a6p-9, 0x1.335b071bb1a1ep-9, 0x1.2949f7244665fp-9, 0x1.1f854f870db81p-9, 0x1.160b1a2f595d3p-9, 0x1.0cd9511389b2fp-9, 0x1.03ee0f7511da1p-9, 0x1.f68ee8e5c4d47p-10, 0x1.e5c750381ef67p-10, 0x1.d581cd4e4f13cp-10, 0x1.c5bad81202a14p-10, 0x1.b66f1c6d489dfp-10, 0x1.a79b21d325116p-10, 0x1.993bcdf6201e4p-10, 0x1.8b4de7fbcffe5p-10, 0x1.7dce5b6d4dc3bp-10, 0x1.70ba290fe0538p-10, 0x1.640e42c3ea862p-10, 0x1.57c7e315c77b2p-10, 0x1.4be435610ade4p-10, 0x1.4060792c4928cp-10, 0x1.353a10cd6156ap-10, 0x1.2a6e596bfe073p-10, 0x1.1ffac934c0673p-10, 0x1.15dcecefb414ep-10, 0x1.0c12525e5898fp-10, 0x1.0298a2588f40ap-10, 0x1.f2db2b9dbb966p-11, 0x1.e11dc8bc689e5p-11, 0x1.cff4c7340f484p-11, 0x1.bf5bdef5e8494p-11, 0x1.af4ef2be8fa04p-11, 0x1.9fc9fc3dfac1ep-11, 0x1.90c9134bf3079p-11, 0x1.824858dbe7b52p-11, 0x1.74441b056af77p-11, 0x1.66b8a8c16a8bp-11, 0x1.59a27cc65b01ep-11, 0x1.4cfe199589e15p-11, 0x1.40c817f2f2be8p-11, 0x1.34fd2b1be6135p-11, 0x1.299a1e38d20efp-11, 0x1.1e9bdb3ddfe83p-11, 0x1.13ff6adb61f4ap-11, 0x1.09c1dd4b75a0dp-11, 0x1.ffc09e004722fp-12, 0x1.ecaff439a2989p-12, 0x1.da4c4dc02b706p-12, 0x1.c890428dc0f43p-12, 0x1.b776a937827f3p-12, 0x1.a6fa4bc480c79p-12, 0x1.971660daa09c8p-12, 0x1.87c60fc8d6971p-12, 0x1.7904cb1af7d4ep-12, 0x1.6ace5b71938c5p-12, 0x1.5d1dfebd989f9p-12, 0x1.4feff89d1bd59p-12, 0x1.433fd6357cd4cp-12, 0x1.370998ca29d0ap-12, 0x1.2b4996f680413p-12, 0x1.1ffb820c678b8p-12, 0x1.151bd9b1be25p-12, 0x1.0aa6caf2ecee7p-12, 0x1.0098fbe22a541p-12, 0x1.eddde3ad55132p-13, 0x1.db4af305a0e7p-13, 0x1.c97305f3766a9p-13, 0x1.b84fd8f9d1bc9p-13, 0x1.a7db7b2831038p-13, 0x1.9810058dd55d4p-13, 0x1.88e7d059cf0bep-13, 0x1.7a5d018ca9b9cp-13, 0x1.6c6a2f31e909bp-13, 0x1.5f09e2dead1dcp-13, 0x1.52371dd521b27p-13, 0x1.45ece3831b69ep-13, 0x1.3a26814dd076bp-13, 0x1.2edf7db7dbcddp-13, 0x1.241335a251ccdp-13, 0x1.19bd6fa740d23p-13, 0x1.0fda00078fd59p-13, 0x1.0664e87194f73p-13, 0x1.fab44438e6cc3p-14, 0x1.e96b4a908bbe2p-14, 0x1.d8e74a3898e23p-14, 0x1.c9213003c81c2p-14, 0x1.ba115e9e2f296p-14, 0x1.abb12ca48a516p-14, 0x1.9dfa32daad8dap-14, 0x1.90e5b6c75caf8p-14, 0x1.846db3376081ap-14, 0x1.788c32ca14c6cp-14, 0x1.6d3b612e59997p-14, 0x1.6275c95dca401p-14, 0x1.583547c2a779cp-14, 0x1.4e75a48ff0b33p-14, 0x1.4530c052ec577p-14, 0x1.3c629e6239711p-14, 0x1.34060522ee1d1p-14, 0x1.2c163519243cbp-14, 0x1.248f019a17d6bp-14, 0x1.1d6ba96bfcf09p-14, 0x1.16a8544bc5bb6p-14, 0x1.10405ce3b2141p-14, 0x1.0a30056f289a6p-14, 0x1.0473339286309p-14, 0x1.fe0d02b2c0182p-15, 0x1.f3cd0514ab5fp-15, 0x1.ea1e000f62f46p-15, 0x1.e0fcb3c667f6fp-15, 0x1.d8605696f3152p-15, 0x1.d043ff55f54ecp-15, 0x1.c8a1ecaae893dp-15, 0x1.c17473818bca9p-15, 0x1.bab5e14fc0a95p-15, 0x1.b460ebfa5e13bp-15, 0x1.ae6f1d66aaa78p-15, 0x1.a8dd3fb1d0fdcp-15, 0x1.a3a4702d732cep-15, 0x1.9ec0b115b84a4p-15, 0x1.9a2da023ea6a3p-15, 0x1.95e70d5c67e7bp-15, 0x1.91e8b739e41a4p-15, 0x1.8e3021437b03cp-15, 0x1.8ab4e8848aaa9p-15, 0x1.87792ed9b08a8p-15, 0x1.8477ce38294bcp-15, 0x1.81adc39738fd2p-15, 0x1.7f17c676ce756p-15, 0x1.7cb17e823ab33p-15, 0x1.7a783bcb56df6p-15, 0x1.786aaffdf857bp-15, 0x1.76830f6da0405p-15, 0x1.74c0efe7f4198p-15, 0x1.7320c351df206p-15, 0x1.71a03f8e371ap-15, 0x1.703c9be8e2867p-15, 0x1.6ef3d2719921ap-15, 0x1.6dc3c81564588p-15, 0x1.6caac179481e9p-15, 0x1.6ba717bd736f5p-15, 0x1.6ab71d1c58d18p-15, 0x1.69d912d0fbfc9p-15, 0x1.690b2bde3d8cdp-15, 0x1.684ba565b1a7cp-15, 0x1.6798f781dba13p-15, 0x1.66f102781d264p-15, 0x1.6653da173bc54p-15, 0x1.65bebd60e156p-15, 0x1.6531560282e8bp-15, 0x1.64a993ad3e2cp-15, 0x1.642676b81f8fp-15, 0x1.63a6b3b962cdp-15, 0x1.6329998339c3fp-15, 0x1.62ae148c7d29ep-15, 0x1.6233a38da85a2p-15, 0x1.61b917545f1ebp-15, 0x1.613dcb2a17d6p-15, 0x1.60c132a149e1bp-15, 0x1.6042ee5ffc871p-15, 0x1.5fc0f8bef6c6cp-15, 0x1.5f3ae6789dba6p-15, 0x1.5eb15f1f22a45p-15, 0x1.5e22f0881e608p-15, 0x1.5d8fba9c6127dp-15, 0x1.5cf684a3a0214p-15, 0x1.5c56fb5d2884dp-15, 0x1.5bb0a661f86dfp-15, 0x1.5b038b0cfdd07p-15, 0x1.5a4e7307a7e79p-15, 0x1.59921540c7316p-15, 0x1.58cde1ab7d5acp-15, 0x1.58013631e8087p-15, 0x1.572b928e8f8bcp-15, 0x1.564d101e749e9p-15, 0x1.556692743c038p-15, 0x1.5476c51654503p-15, 0x1.537c7f3901feep-15, 0x1.527a6c8cc2e11p-15, 0x1.516e352ddab43p-15, 0x1.50587aa4bae29p-15, 0x1.4f394a7d85ef8p-15, 0x1.4e1044d4a8548p-15, 0x1.4cdd7ee8acff2p-15, 0x1.4ba104cd438a8p-15, 0x1.4a5a8c60b6325p-15, 0x1.490a524def9fbp-15, 0x1.47b0621baac96p-15, 0x1.464d0a892602fp-15, 0x1.44dfb8a7e9d98p-15, 0x1.4368f52883068p-15, 0x1.41e8213ab9dcdp-15, 0x1.405e35e4f3d0dp-15, 0x1.3ecad185934b3p-15, 0x1.3d2e1d703ff93p-15, 0x1.3b88290c1312bp-15, 0x1.39d893d57849ap-15, 0x1.3821280ee5f88p-15, 0x1.3660ee73477bep-15, 0x1.3496e27dfb1b2p-15, 0x1.32c516ef783d2p-15, 0x1.30ea3f50771b5p-15, 0x1.2f077ee446402p-15, 0x1.2d1caa5f27d95p-15, 0x1.2b29c917d7289p-15, 0x1.292f0056dcc69p-15, 0x1.272d2e2240fb3p-15, 0x1.252300fb0bffep-15, 0x1.2312381203d95p-15, 0x1.20f9f9e317d8cp-15, 0x1.1edad554c4e24p-15, 0x1.1cb4f8904524bp-15, 0x1.1a88ad5d87432p-15, 0x1.185543f9eb945p-15, 0x1.161cf16d15452p-15, 0x1.13ddb2a926286p-15, 0x1.11992abb13694p-15, 0x1.0f4eef1aa83e9p-15, 0x1.0cff15018add3p-15, 0x1.0aaa026d08a0dp-15, 0x1.084fa3db173dbp-15, 0x1.05f0b050d50ap-15, 0x1.038d24348cbf4p-15, 0x1.0124698c77379p-15, 0x1.fd714490d57dfp-16, 0x1.f88fbbefc9f6fp-16, 0x1.f3a77d9814273p-16, 0x1.eeb6f1865b2c1p-16, 0x1.e9bfcd0295a64p-16, 0x1.e4c1d077cad4bp-16, 0x1.dfbd4e41979f5p-16, 0x1.dab31f0e06fe5p-16, 0x1.d5a3514c57d91p-16, 0x1.d08e78934d97p-16, 0x1.cb73f04d6ed58p-16, 0x1.c655f8d5ec34ep-16, 0x1.c133bc3d4bef1p-16, 0x1.bc0d8bdf229d3p-16, 0x1.b6e4805ad5fe8p-16, 0x1.b1b687ad4fbe1p-16, 0x1.ac866758fc359p-16, 0x1.a75458821b1dap-16, 0x1.a22097148c312p-16, 0x1.9cea94f08fe48p-16, 0x1.97b2d43b0e523p-16, 0x1.9279eca0cbb5cp-16, 0x1.8d404e54a51cap-16, 0x1.8805f54e89452p-16, 0x1.82cb8a0a4b0c5p-16, 0x1.7d91bd5844608p-16, 0x1.7857b6c74ff29p-16, 0x1.731e2f358163fp-16, 0x1.6de5afa8a130fp-16, 0x1.68ae29b1effdp-16, 0x1.63783344cabcbp-16, 0x1.5e43ef1545bc1p-16, 0x1.5911cab0d3e75p-16, 0x1.53e23691fb708p-16, 0x1.4eb40d997e7fap-16, 0x1.49898cc2ccbafp-16, 0x1.44621b844c655p-16, 0x1.3f3d3b248a863p-16, 0x1.3a1c5dd4e328dp-16, 0x1.34fe10654dfcdp-16, 0x1.2fe454455dc5fp-16, 0x1.2acf756ebedaap-16, 0x1.25bd80b77cc53p-16, 0x1.20b0bc1e1d7a2p-16, 0x1.1baa15670620ep-16, 0x1.16a5429275992p-16, 0x1.11a6c37cfc178p-16, 0x1.0cada914f3ddbp-16, 0x1.07ba5a78244e5p-16, 0x1.02cc3a29bb571p-16, 0x1.fbc7ac31b855bp-17, 0x1.f203a03535351p-17, 0x1.e84c3882cae2bp-17, 0x1.dea09468db18cp-17, 0x1.d50276bae0747p-17, 0x1.cb6f8a53aa7ddp-17, 0x1.c1ea472af353p-17, 0x1.b8739ba03213ep-17, 0x1.af0bc415c5499p-17, 0x1.a5b1b4beac5aap-17, 0x1.9c65cd02883ddp-17, 0x1.932811c0facb5p-17, 0x1.89f6027cf85dp-17, 0x1.80da82e320dfdp-17, 0x1.77c9ec6e58571p-17, 0x1.6ec957953b07cp-17, 0x1.65d8c5d7e14cp-17, 0x1.5cf847d6b51b2p-17, 0x1.5427dc851e382p-17, 0x1.4b67940d1610bp-17, 0x1.42b7c8bdf7e6bp-17, 0x1.3a1888f28a2bap-17, 0x1.318b2c4b94437p-17, 0x1.290bbf306fb9ap-17, 0x1.20a0b4ce66251p-17, 0x1.18469482b90f3p-17, 0x1.0ffc67dba0877p-17, 0x1.07c3e580ae5bbp-17, 0x1.ff3b044abd17dp-18, 0x1.ef1130a92b08fp-18, 0x1.df0b5631575c6p-18, 0x1.cf2974d077819p-18, 0x1.bf68ab7b3c6d8p-18, 0x1.afce310e611a3p-18, 0x1.a058cc69070d4p-18, 0x1.9107ec6b9b69fp-18, 0x1.81d8aca587f76p-18, 0x1.72ce77a45049bp-18, 0x1.63ea0397349p-18, 0x1.552c18b8a8d24p-18, 0x1.46909213045bbp-18, 0x1.381a5c16faf77p-18, 0x1.29ca822d31416p-18, 0x1.1ba002dd38418p-18, 0x1.0d950e0f810d8p-18, 0x1.ff70c12e05c1ap-19, 0x1.e3f468d32801ep-19, 0x1.c8c7528ac47b2p-19, 0x1.ade5922dde60bp-19, 0x1.9348d2a66fe17p-19, 0x1.78fa622799d8cp-19, 0x1.5ef89cc727bfap-19, 0x1.453e64a5a288p-19, 0x1.2bccdf6293065p-19, 0x1.12a6bed970b6dp-19, 0x1.f393fa9591edfp-20, 0x1.c27082d85a79cp-20, 0x1.91dc4f40d3a95p-20, 0x1.61e0952a0d442p-20, 0x1.3292a54614d7dp-20, 0x1.039512f74bd71p-20, 0x1.aa94e04d2ad9cp-21, 0x1.4f456f4be3e3bp-21, 0x1.e9e49894b39c8p-22, 0x1.3799d26d11f6fp-22, 0x1.0ecff7e3b793ap-23, -0x1.329bf4dab6ba7p-25, -0x1.a372bdf927252p-23, -0x1.7b25b9fac096dp-22, -0x1.1121392a27e7fp-21, -0x1.6399fd445e2a5p-21, -0x1.b4ee02eeea0b3p-21, -0x1.0297980506497p-20, -0x1.2a29da036051p-20, -0x1.5131d40f34a9ap-20, -0x1.77aee17e7a6b9p-20, -0x1.9da1c8a8ae516p-20, -0x1.c309dc32db558p-20, -0x1.e7ed8522c3a69p-20, -0x1.061f49a1b52bdp-19, -0x1.181017f691283p-19, -0x1.29b53992b8922p-19, -0x1.3b17348cc1f19p-19, -0x1.4c39a4acea588p-19, -0x1.5d1a02640de66p-19, -0x1.6db8f4b147cf3p-19, -0x1.7e102a7676cbep-19, -0x1.8e2cb6c7cca51p-19, -0x1.9e0928c38328p-19, -0x1.ada92e611f4d7p-19, -0x1.bd04e5c578dbep-19, -0x1.cc1fea9afedcbp-19, -0x1.db004278e33bbp-19, -0x1.e99fd21af8ad6p-19, -0x1.f7fe807fb9795p-19, -0x1.03116a465fa5ap-18, -0x1.0a05e17663216p-18, -0x1.10dd83a8ea5c7p-18, -0x1.179585ddcf906p-18, -0x1.1e2f0958a080dp-18, -0x1.24acce8aec85fp-18, -0x1.2b0cad4a8df6ap-18, -0x1.314dff79686d2p-18, -0x1.37730593f4eabp-18, -0x1.3d775022662cap-18, -0x1.4369cc76b2d51p-18, -0x1.493a4d1cb6335p-18, -0x1.4eee987bd86cp-18, -0x1.5487067f61ee6p-18, -0x1.5a062cbcb908ep-18, -0x1.5f68fcf6e25ep-18, -0x1.64b04c57c95c3p-18, -0x1.69dcacedc87c2p-18, -0x1.6ef06ac078f65p-18, -0x1.73e6b742d392ap-18, -0x1.78c552a9fd016p-18, -0x1.7d89305356a96p-18, -0x1.8237e5ae78b92p-18, -0x1.86cd6d085edb8p-18, -0x1.8b40fed60fd8p-18, -0x1.8fa15204f6e73p-18, -0x1.93e9a5f817984p-18, -0x1.98197f32ccd25p-18, -0x1.9c3225c1c8395p-18, -0x1.a030183e2cbfep-18, -0x1.a419926a2c91p-18, -0x1.a7e99952565cdp-18, -0x1.aba3756a16d52p-18, -0x1.af47a80609961p-18, -0x1.b2d56c5c57633p-18, -0x1.b649aef82464fp-18, -0x1.b9aa9d18dd3c8p-18, -0x1.bcf3ccf5be916p-18, -0x1.c02afc5afeaf4p-18, -0x1.c349d32519563p-18, -0x1.c653b457645fep-18, -0x1.c94a76386218p-18, -0x1.cc28c26e7da21p-18, -0x1.cef4fd8c940b4p-18, -0x1.d1ac989fd0e08p-18, -0x1.d451c5823c8aep-18, -0x1.d6e2f9d21c1a9p-18, -0x1.d95edca7c0c4bp-18, -0x1.dbc659a327dccp-18, -0x1.de1c7fc07b6cp-18, -0x1.e065128f6e28ep-18, -0x1.e292efe40d3ecp-18, -0x1.e4b17fd026ab2p-18, -0x1.e6bca412f3efap-18, -0x1.e8b7007d6ca0ap-18, -0x1.eaa0cdd1d6146p-18, -0x1.ec779db5f61f9p-18, -0x1.ee3d56dd9c83ap-18, -0x1.eff200d3d9d12p-18, -0x1.f195c69d1def7p-18, -0x1.f32884bccd281p-18, -0x1.f4ac62766e565p-18, -0x1.f61f425d22957p-18, -0x1.f78154e333c0bp-18, -0x1.f8d3ec9a8209ap-18, -0x1.fa18160e0c567p-18, -0x1.fb4c0e6bc7885p-18, -0x1.fc6f2ac441e7ep-18, -0x1.fd84c2ffa547dp-18, -0x1.fe8b2db0fa29bp-18, -0x1.ff84e639e30d9p-18, -0x1.00375e3f38119p-17, -0x1.00a5957b25d03p-17, -0x1.010c627e2e1f2p-17, -0x1.016bc6fbffc5dp-17, -0x1.01c4c73a7dc51p-17, -0x1.02174e6a39d8ep-17, -0x1.02620b679e3b7p-17, -0x1.02a971614542dp-17, -0x1.02e6cd1195f09p-17, -0x1.032015ca38c82p-17, -0x1.03533fe641278p-17, -0x1.03800ff100fb1p-17, -0x1.03a5bb1df4592p-17, -0x1.03c5ad363272p-17, -0x1.03e00bbd35609p-17, -0x1.03f4bc6858353p-17, -0x1.0403e640e4e22p-17, -0x1.040c81a274e8ep-17, -0x1.041080334f88ap-17, -0x1.040ea20127b2p-17, -0x1.040838cd2a328p-17, -0x1.03fc5cf9caf88p-17, -0x1.03ea9ad41063bp-17, -0x1.03d4e06192307p-17, -0x1.03b75d5cc652p-17, -0x1.0397e1e2b1c25p-17, -0x1.0372615c364cbp-17, -0x1.034a004acb893p-17, -0x1.031992696b27ep-17, -0x1.02e60c982021fp-17, -0x1.02ae9c5caa5ddp-17, -0x1.02723fec1a167p-17, -0x1.023125455d2b1p-17, -0x1.01eb461e7dea2p-17, -0x1.01a271a0d6f63p-17, -0x1.01552cdb2bba9p-17, -0x1.0103ba9facc4bp-17, -0x1.00ad9edfe7deep-17, -0x1.0054400470a5fp-17, -0x1.ffeda83fdfdap-18, -0x1.ff2b57bf94efbp-18, -0x1.fe61b31a5c642p-18, -0x1.fd8ff6963dae1p-18, -0x1.fcb7374fa603fp-18, -0x1.fbd680863f3c4p-18, -0x1.faf09bca89853p-18, -0x1.fa03588f976f2p-18, -0x1.f91084b6b175bp-18, -0x1.f8150e97f275bp-18, -0x1.f71448d50ce41p-18, -0x1.f60cc34724a4fp-18, -0x1.f500296b78ecap-18, -0x1.f3eb4602f1749p-18, -0x1.f2d269122494p-18, -0x1.f1b293fb8405bp-18, -0x1.f08f3dd21849cp-18, -0x1.ef64775beb9d2p-18, -0x1.ee3479947781cp-18, -0x1.ecfe66ba138e8p-18, -0x1.ebc4fbe2ece5bp-18, -0x1.ea84d01857feep-18, -0x1.e94104bdedb3fp-18, -0x1.e7f788c47b494p-18, -0x1.e6a91a1a344d9p-18, -0x1.e555968ce8dffp-18, -0x1.e3fde9586343fp-18, -0x1.e2a25d368eac5p-18, -0x1.e14192511061bp-18, -0x1.dfdcfdc7e474dp-18, -0x1.de78b3d4a2fcbp-18, -0x1.dd092159e1302p-18, -0x1.db975344535ddp-18, -0x1.da2214550912bp-18, -0x1.d8aa93b714f28p-18, -0x1.d72e51798beacp-18, -0x1.d5af0fe9dbe34p-18, -0x1.d42b8dc5e475ep-18, -0x1.d2a5bc82d87cdp-18, -0x1.d11c4b37e8d48p-18, -0x1.cf8ede0e5ca16p-18, -0x1.cdfed1274c67cp-18, -0x1.cc6bb70762b6bp-18, -0x1.cad5dddcd3c1dp-18, -0x1.c93d41323712dp-18, -0x1.c7a068a8362bap-18, -0x1.c602594bae0bap-18, -0x1.c4608fe29d728p-18, -0x1.c2bdfd7b7dfa9p-18, -0x1.c117c273f9d96p-18, -0x1.bf6fa21765822p-18, -0x1.bdc56c557336ap-18, -0x1.bc16c56107d53p-18, -0x1.ba685f09e79c7p-18, -0x1.b8b61cad1ed75p-18, -0x1.b7044e86a95fap-18, -0x1.b54f1a3ef6165p-18, -0x1.b396b3e389271p-18, -0x1.b1de1bc02969dp-18, -0x1.b021cef6b04acp-18, -0x1.ae6753ef93c7dp-18, -0x1.aca9c2834954cp-18, -0x1.aaead2b37d7c6p-18, -0x1.a9297221fb2a6p-18, -0x1.a7665cb167ebap-18, -0x1.a5a23a3cbd288p-18, -0x1.a3de0e1e8afe9p-18, -0x1.a217ea6583e4ap-18, -0x1.a050757b9a024p-18, -0x1.9e8810da7cd7dp-18, -0x1.9cbee18d81261p-18, -0x1.9af412d928d7ap-18, -0x1.9928f1875c349p-18, -0x1.975c6743e467cp-18, -0x1.958f46ea38379p-18, -0x1.93c174cdec65bp-18, -0x1.91f2899c993dbp-18, -0x1.9022a54237d14p-18, -0x1.8e537cc89116ap-18, -0x1.8c83057f43ea4p-18, -0x1.8ab273e281d3bp-18, -0x1.88e14ea13d544p-18, -0x1.870ec320dce33p-18, -0x1.853d24f5cf18dp-18, -0x1.836aa8ee3fc1p-18, -0x1.819777e00424bp-18, -0x1.7fc4d8bd7786dp-18, -0x1.7df1067c8ad8bp-18, -0x1.7c1ad6a5bad18p-18, -0x1.7a4b519cd5bb6p-18, -0x1.787772e08dfc6p-18, -0x1.76a1ffd5ea3c4p-18, -0x1.74d05d05b46bep-18, -0x1.72fcd088e6fe1p-18, -0x1.7129d090a5e63p-18, -0x1.6f56c4caece75p-18, -0x1.6d830e6124148p-18, -0x1.6bb0d3b66d1b5p-18, -0x1.69deebe5d49abp-18, -0x1.680c25411e595p-18, -0x1.66385e711d08bp-18, -0x1.646815915a8e5p-18, -0x1.62985b4eb9d28p-18, -0x1.60c78e5a06e1ap-18, -0x1.5ef6cc8ff7ad6p-18, -0x1.5d26e923a4d1ep-18, -0x1.5b579669e25bfp-18, -0x1.5988d6f13f0f5p-18, -0x1.57bb1699d63c3p-18, -0x1.55eb22115847fp-18, -0x1.54210316d738dp-18, -0x1.525545ce3f8d2p-18, -0x1.50899d2ecada9p-18, -0x1.4ebe981c373e1p-18, -0x1.4cf45d9499c32p-18, -0x1.4b2b99952f0b7p-18, -0x1.496396262073cp-18, -0x1.479c8c831244ap-18, -0x1.45d5cb31bba9ap-18, -0x1.440f83c591468p-18, -0x1.424ac22ae8014p-18, -0x1.4087842224aa4p-18, -0x1.3ec4dafd79ed5p-18, -0x1.3d0293f1ddb34p-18, -0x1.3b40c95b3a5fdp-18, -0x1.3981559d189fp-18, -0x1.37c3948cacbd2p-18, -0x1.36058effcb463p-18, -0x1.3448c8f02f0d3p-18, -0x1.328c7cb04e908p-18, -0x1.30d26e325923bp-18, -0x1.2f1943e164485p-18, -0x1.2d615e6c58a0ap-18, -0x1.2ba9e251d01f9p-18, -0x1.29f43410db2a5p-18, -0x1.283fcbd806059p-18, -0x1.268cebac9cfp-18, -0x1.24daf6ac43e0fp-18, -0x1.2329c75d91852p-18, -0x1.217a53ef6a9c5p-18, -0x1.1fcb333d76bd2p-18, -0x1.1e1f6f36c8817p-18, -0x1.1c73d2a5cd7d5p-18, -0x1.1ac9bfdfcdab3p-18, -0x1.1922715385571p-18, -0x1.177886fb7d8d4p-18, -0x1.15d246ec41fffp-18, -0x1.142ebd2dad531p-18, -0x1.128b282aab489p-18, -0x1.10e99e8c089e5p-18, -0x1.0f48c91da397dp-18, -0x1.0dab551bba11p-18, -0x1.0c0bd93b2c958p-18, -0x1.0a6fa37678c32p-18, -0x1.08d373c08508p-18, -0x1.073bd33a9e09cp-18, -0x1.05a41882da593p-18, -0x1.040e33908e95p-18, -0x1.02799231144bfp-18, -0x1.00e5fed079f66p-18, -0x1.fea910b003c76p-19, -0x1.fb88f15a8cfe3p-19, -0x1.f86baf414e77dp-19, -0x1.f5524e6d93f1fp-19, -0x1.f23b569f7f422p-19, -0x1.ef271bd0f3ae3p-19, -0x1.ec165d7ccea32p-19, -0x1.e908d5932d911p-19, -0x1.e5fe6eadbb8d4p-19, -0x1.e2f807f936f9cp-19, -0x1.dff43e84932fep-19, -0x1.dcf2cbd1706ccp-19, -0x1.d9f52c2d3dd42p-19, -0x1.d6fb19a744c87p-19, -0x1.d4042e2f17b05p-19, -0x1.d10fdaa748a95p-19, -0x1.ce1cf6f7c8c65p-19, -0x1.cb31fe9955fbp-19, -0x1.c8498914a1e4cp-19, -0x1.c564018ae0a33p-19, -0x1.c27db5bfbf1b9p-19, -0x1.bf9d3ab3cc851p-19, -0x1.bcc04ce69015p-19, -0x1.b9e5ecb2d0eb8p-19, -0x1.b7114b69db54cp-19, -0x1.b43e40e783d2p-19, -0x1.b16f4a4269b9fp-19, -0x1.aea0f2dbeee44p-19, -0x1.abd73ee7050ffp-19, -0x1.a912a7d4be6d9p-19, -0x1.a6541f6a7257cp-19, -0x1.a392082caf045p-19, -0x1.a0d4e32eecb0ep-19, -0x1.9e1bc7e04fd9p-19, -0x1.9b68524cbc1e5p-19, -0x1.98b7047a067dep-19, -0x1.960767cb45f1bp-19, -0x1.935c20af4baa6p-19, -0x1.90b57ce674ad9p-19, -0x1.8e11142b3beep-19, -0x1.8b6f3655bdfc1p-19, -0x1.88d1c62a96554p-19, -0x1.86369a28d6b64p-19, -0x1.83a05ff197375p-19, -0x1.810cb9a747769p-19, -0x1.7e7bae2dab4a5p-19, -0x1.7beeaa35f18d5p-19, -0x1.79652cf8107d1p-19, -0x1.76ded12ebbdf4p-19, -0x1.745bd384a6287p-19, -0x1.71dc57d1ac6b4p-19, -0x1.6f5ed9bce8016p-19, -0x1.6ce5d1e98959bp-19, -0x1.6a72004a41a97p-19, -0x1.67fe5e7b278e1p-19, -0x1.658e096e44037p-19, -0x1.6322855b9b0ep-19, -0x1.60ba3a78d87fep-19, -0x1.5e54f999c9371p-19, -0x1.5bf2d31a86ca4p-19, -0x1.598f829005501p-19, -0x1.573796578bd79p-19, -0x1.54e01c77f2698p-19, -0x1.528ba1e06f7d6p-19, -0x1.50394e33f5f51p-19, -0x1.4deac1fafc34ap-19, -0x1.4b9f1de2de97cp-19, -0x1.4957e52d8602dp-19, -0x1.4712b39361c7ap-19, -0x1.44d0de963afc4p-19, -0x1.4292b185682bp-19, -0x1.4058c2e318733p-19, -0x1.3e1faec2672edp-19, -0x1.3bea69b2a2256p-19, -0x1.39b79497fbcd3p-19, -0x1.378afbfb46e7ap-19, -0x1.355f65fcac65p-19, -0x1.3336c80389253p-19, -0x1.31117f38b3539p-19, -0x1.2ef1024110fb1p-19, -0x1.2cd21234c4b32p-19, -0x1.2ab5eab717731p-19, -0x1.289da799cf1ep-19, -0x1.2688dc31e0048p-19, -0x1.247643ddd5015p-19, -0x1.2266a4a091c11p-19, -0x1.205a0645f3a41p-19, -0x1.1e528555e59fap-19, -0x1.1c4c31f2b4989p-19, -0x1.1a48b689fe2aap-19, -0x1.1849677bb0d12p-19, -0x1.164c9dead14b3p-19, -0x1.14523ef77d6fcp-19, -0x1.125bb4d83cacp-19, -0x1.1068561ec166cp-19, -0x1.0e77c67c4274fp-19, -0x1.0c88dd24ea03bp-19, -0x1.0a9e5245b9c39p-19, -0x1.08b6e544f2bc5p-19, -0x1.06d1dbecdb9f8p-19, -0x1.04eeff7dab667p-19, -0x1.0310150437092p-19, -0x1.0134d90e0bfc5p-19, -0x1.feb701ae21f4ep-20, -0x1.fb0ccc57dbe8dp-20, -0x1.f761660562a48p-20, -0x1.f3c25a55cbbc7p-20, -0x1.f024ef2e2d8d4p-20, -0x1.ec8f946a59315p-20, -0x1.e8ff42b25197p-20, -0x1.e5773e49cb927p-20, -0x1.e1f1a47dd1458p-20, -0x1.de719d8304602p-20, -0x1.daf7a0bf308c5p-20, -0x1.d78444217e0f5p-20, -0x1.d4162045edde9p-20, -0x1.d0abf7571f743p-20, -0x1.cd4989f01c037p-20, -0x1.c9ebc2406b5dcp-20, -0x1.c691af0bf168p-20, -0x1.c33eb9ef6df3cp-20, -0x1.bff210194a4c2p-20, -0x1.bca9ee1068d0fp-20, -0x1.b9655278942fep-20, -0x1.b628a7beb089cp-20, -0x1.b2f064f58a3e5p-20, -0x1.afbd4d4d58da2p-20, -0x1.ac8ee395b0908p-20, -0x1.a967130214e34p-20, -0x1.a644f126eb158p-20, -0x1.a3244d2199edfp-20, -0x1.a00b1149733d8p-20, -0x1.9cf84d553e45cp-20, -0x1.99eab1d42e2b2p-20, -0x1.96e030be8c57ep-20, -0x1.93d935ed6e212p-20, -0x1.90dbe897f4c72p-20, -0x1.8de16e14457cdp-20, -0x1.8aebf4aac37bcp-20, -0x1.87fbd2e807cbfp-20, -0x1.850fc0aa60b6cp-20, -0x1.8228d89b04d16p-20, -0x1.7f476b5f6f9f7p-20, -0x1.7c6ac61f2723ep-20, -0x1.7991eee07921bp-20, -0x1.76be47115ca53p-20, -0x1.73f169fbad6b5p-20, -0x1.71278b7288701p-20, -0x1.6e62bf587e65ap-20, -0x1.6ba24e6da6f07p-20, -0x1.68e6bfa480f9ep-20, -0x1.6630148dfff4dp-20, -0x1.637e1ebc681a5p-20, -0x1.60cf5fdafe5b2p-20, -0x1.5e282b275b97fp-20, -0x1.5b833bd996599p-20, -0x1.58e3d0f26f14p-20, -0x1.564962cdcc411p-20, -0x1.53b16e020a2d1p-20, -0x1.5120010fbab41p-20, -0x1.4e92a2169d6c3p-20, -0x1.4c08e90358e0cp-20, -0x1.4983cb6ef93ccp-20, -0x1.4704e89f51987p-20, -0x1.448855c8f8c07p-20, -0x1.42135b2e1db2p-20, -0x1.3f9c80cb7f3b2p-20, -0x1.3d2df00eb77b8p-20, -0x1.3ac34dcf78fd6p-20, -0x1.385ccc2968737p-20, -0x1.35fa14c5eb35ep-20, -0x1.339c79e5a47cep-20, -0x1.3143cd23ad62bp-20, -0x1.2eebd17199a18p-20, -0x1.2c9bbc1d13967p-20, -0x1.2a4d9f9ffc935p-20, -0x1.2805321bce5adp-20, -0x1.25be90f85e6a2p-20, -0x1.237de19fab70ep-20, -0x1.214134947dfep-20, -0x1.1f0856772af94p-20, -0x1.1cd2bc77e0987p-20, -0x1.1aa0e3ba87d76p-20, -0x1.1874131dfeb49p-20, -0x1.164ace79eea97p-20, -0x1.142503d729c0fp-20, -0x1.1202dddc8d586p-20, -0x1.0fe58bf729d5dp-20, -0x1.0dcbc07483314p-20, -0x1.0bb5053e4b5f3p-20, -0x1.09a2cf35d9ef9p-20, -0x1.07942ff8071dp-20, -0x1.0589a19d66f9p-20, -0x1.03829b2524aa8p-20, -0x1.017e6c199aad9p-20, -0x1.fefcac5c1bd14p-21, -0x1.fb03b1d13556ap-21, -0x1.f714ad5e3b4cbp-21, -0x1.f329316d71658p-21, -0x1.ef46c428ac587p-21, -0x1.eb6aed47a9e3fp-21, -0x1.e7969abe18eb2p-21, -0x1.e3c8265e11317p-21, -0x1.e00259cf8cc95p-21, -0x1.dc42558d7f78dp-21, -0x1.d88a286f38e77p-21, -0x1.d4d785048b513p-21, -0x1.d12d1f5468bp-21, -0x1.cd87097c2fe0bp-21, -0x1.c9e948b13f75cp-21, -0x1.c6542de6d4d46p-21, -0x1.c2c3fbd0b1c66p-21, -0x1.bf38902d794d5p-21, -0x1.bbb6753f871d2p-21, -0x1.b839dda87788ap-21, -0x1.b4c4007ecc18bp-21, -0x1.b153810654c8p-21, -0x1.adea6652c6c95p-21, -0x1.aa87e3d31bc9bp-21, -0x1.a72c9eabedae2p-21, -0x1.a3d7773fc66c5p-21, -0x1.a084c9c9c728ap-21, -0x1.9d3a9b9df4f28p-21, -0x1.99f78a927e4f1p-21, -0x1.96ba2ab3bd174p-21, -0x1.9382e0cde8a68p-21, -0x1.905214c29c31fp-21, -0x1.8d252e1da5cd1p-21, -0x1.8a006fdbab076p-21, -0x1.86e128bc28bbdp-21, -0x1.83c8266fcacbfp-21, -0x1.80b3b9d80cb59p-21, -0x1.7da50d93eb93p-21, -0x1.7a9d2ad006145p-21, -0x1.779d9c2fe2ffap-21, -0x1.749edc1d5fbep-21, -0x1.71a7d6e0ef1a6p-21, -0x1.6eb5a01fd4d5ap-21, -0x1.6bca5b98d22d2p-21, -0x1.68e4eea5024cbp-21, -0x1.660400a0f6b51p-21, -0x1.6328c620ea6abp-21, -0x1.6053132c7bbe8p-21, -0x1.5d82b261cd3e6p-21, -0x1.5ab7c339a123cp-21, -0x1.57f1aad080061p-21, -0x1.5531d623480ecp-21, -0x1.5275e5d07a291p-21, -0x1.4fc1c32ffcbb5p-21, -0x1.4d0f94f43383dp-21, -0x1.4a67999bd81cap-21, -0x1.47be64daa1965p-21, -0x1.451cd66994746p-21, -0x1.42813e77f2f3ap-21, -0x1.3feaa7f7bb842p-21, -0x1.3d58d68c7e961p-21, -0x1.3acb579526a37p-21, -0x1.38431ed54ceafp-21, -0x1.35bfe32cab19ep-21, -0x1.33417b836621dp-21, -0x1.30c6f91c3ebcdp-21, -0x1.2e545dfd23d53p-21, -0x1.2be373b65793dp-21, -0x1.2978292dd3041p-21, -0x1.2710af3e24383p-21, -0x1.24ae486b1d1ddp-21, -0x1.225184ed5ba43p-21, -0x1.1ff93dbcd1de1p-21, -0x1.1da536fdf0011p-21, -0x1.1b5583af58c39p-21, -0x1.190b53132749dp-21, -0x1.16c4bee4fb6c4p-21, -0x1.1481a97511ceep-21, -0x1.1243f531f0e0dp-21, -0x1.100b47ce377a6p-21, -0x1.0dd5fc32b5259p-21, -0x1.0ba58c79e85f4p-21, -0x1.09798e6d6b3ecp-21, -0x1.0751436019e8ep-21, -0x1.052c431f841p-21, -0x1.030d1dad15d3bp-21, -0x1.00f2376274128p-21, -0x1.fdb6a743267d7p-22, -0x1.f98fa82a85c77p-22, -0x1.f571d1b92ec9ap-22, -0x1.f15bb1094d5eap-22, -0x1.ed4d590cf4f88p-22, -0x1.e947491bc8c1cp-22, -0x1.e5489e9e33ffbp-22, -0x1.e1531c9b8d24ep-22, -0x1.dd663c19d10e4p-22, -0x1.d97e81a3afbf6p-22, -0x1.d5a1487220b02p-22, -0x1.d1c7ecbbfc3a5p-22, -0x1.cdf8e05b02013p-22, -0x1.ca315c611995cp-22, -0x1.c67151f96fe47p-22, -0x1.c2ba0cf532da6p-22, -0x1.bf072cd20f23p-22, -0x1.bb5ce9730e922p-22, -0x1.b7ba13b422c49p-22, -0x1.b41e8fdf2eb49p-22, -0x1.b08a7abf54119p-22, -0x1.acfd09b4d3211p-22, -0x1.a976a3d8eeb09p-22, -0x1.a5f78786b92ap-22, -0x1.a280f90575551p-22, -0x1.9f0eb52a35fb3p-22, -0x1.9ba3bbeb4129ep-22, -0x1.984026381da3fp-22, -0x1.94e3d9a7f97fbp-22, -0x1.919094db4c3d7p-22, -0x1.8e4105ef541ddp-22, -0x1.8af6ad5cde1f8p-22, -0x1.87b341e0052f2p-22, -0x1.8479d0a8d149bp-22, -0x1.814591c8cbc76p-22, -0x1.7e185404fd889p-22, -0x1.7aedce75ca6afp-22, -0x1.77cd0a1a4fcdcp-22, -0x1.74b238c6e18cp-22, -0x1.719d1c77bbc5p-22, -0x1.6e8e4d236a2e8p-22, -0x1.6b85a6e360f4dp-22, -0x1.688391510c467p-22, -0x1.6587012a38b1ep-22, }}, 
      std::vector<double>(1249, 0.0), 
      {{0x1.25c37e70dcc23p-5, 0x1.3a6c4c56ab5c6p-5, 0x1.c63f3bbee76c7p-6, 0x1.06ba023078ae5p-8, -0x1.0329283df99bbp-5, -0x1.3d794ff21e0b3p-4, -0x1.0d982940257f2p-3, -0x1.892fad85f8184p-3, -0x1.06bb505eeb59bp-2, -0x1.4b55b9aa03833p-2, -0x1.90b7df1fd6a7bp-2, -0x1.d569d58513993p-2, -0x1.0c162c0c199acp-1, -0x1.2bfba3c9e5a36p-1, -0x1.49fb2bcc514b1p-1, -0x1.65c25713b0cc7p-1, -0x1.7f13fcb1bc5a2p-1, -0x1.95c5b09fda82dp-1, -0x1.a9bd46c47ba31p-1, -0x1.baee7789d1202p-1, -0x1.c958b1a0e25bcp-1, -0x1.d5051ede79fb3p-1, -0x1.de04dede143d2p-1, -0x1.e46f767b7d933p-1, -0x1.e86170e032dcap-1, -0x1.e9fb2e371f30cp-1, -0x1.e95fdb9c28fc5p-1, -0x1.e6b4903d5d7ebp-1, -0x1.e21f8bda43064p-1, -0x1.dbc7933df436cp-1, -0x1.d3d3677876e2p-1, -0x1.ca6954dd2e4b4p-1, -0x1.bfaed6d4ff93ep-1, -0x1.b3c84dec8ddcp-1, -0x1.a6d8c5bdbe882p-1, -0x1.9901c89325781p-1, -0x1.8a633edc1a7e1p-1, -0x1.7b1b58d83f47dp-1, -0x1.6b4680b8815dp-1, -0x1.5aff542682553p-1, -0x1.4a5ea3be47b16p-1, -0x1.397b77b6907bdp-1, -0x1.286b185ed7752p-1, -0x1.17411a0f832fdp-1, -0x1.060f6baaa6c11p-1, -0x1.e9cccdf72e126p-2, -0x1.c7a9c51be94ep-2, -0x1.a5d0890f639f6p-2, -0x1.84592c1c40008p-2, -0x1.63592e0cb8f2fp-2, -0x1.42e3a38bf6921p-2, -0x1.23095d20d2fdp-2, -0x1.03d90daedc7a5p-2, -0x1.cabedf0c5be38p-3, -0x1.8f4ed101304fp-3, -0x1.55745945c7498p-3, -0x1.1d3ebe86d4541p-3, -0x1.cd74ca967553ep-4, -0x1.63e2181bc5444p-4, -0x1.fba810e92f31fp-5, -0x1.36a9a00e1dc79p-5, -0x1.e354d54cab0b6p-7, 0x1.ee8148bef317bp-8, 0x1.da90252fe1d23p-6, 0x1.959a12db25457p-5, 0x1.1b698642f29cep-4, 0x1.688252a09983bp-4, 0x1.b2225e92a86fcp-4, 0x1.f85677c804953p-4, 0x1.1d968753dad7fp-3, 0x1.3d5b00445327ap-3, 0x1.5b81327edf05bp-3, 0x1.7812304f067e1p-3, 0x1.93177d4dcbdb2p-3, 0x1.ac9afb0352bb7p-3, 0x1.c4a6d7513243fp-3, 0x1.db457c46c30afp-3, 0x1.f081816d272a8p-3, 0x1.0232cf2164453p-2, 0x1.0b7e4f14c4c8fp-2, 0x1.1428aaa4f0a46p-2, 0x1.1c374b5459889p-2, 0x1.23af95901fa46p-2, 0x1.2a96e4b3a582bp-2, 0x1.30f2876b3dbd4p-2, 0x1.36c7bc8e034a9p-2, 0x1.3c1bb03cafea2p-2, 0x1.40f3797a1bc5p-2, 0x1.455417fe9eeb7p-2, 0x1.494272552d0aep-2, 0x1.4cc35460e3f07p-2, 0x1.4fdb6dec40df1p-2, 0x1.528f51ae92211p-2, 0x1.54e37463088f4p-2, 0x1.56dc2c1f5cf11p-2, 0x1.587dafd3b897bp-2, 0x1.59cc16f681a96p-2, 0x1.5acb594a7e828p-2, 0x1.5b7f4ec7835c6p-2, 0x1.5bebafafa8922p-2, 0x1.5c1414a9eb28bp-2, 0x1.5bfbf6fc1fdbep-2, 0x1.5ba6b0f473154p-2, 0x1.5b177e30191fbp-2, 0x1.5a517c38f4d3dp-2, 0x1.5957aaf16f034p-2, 0x1.582ced39fcc4bp-2, 0x1.56d4098c6e3bdp-2, 0x1.554faa96e4fa5p-2, 0x1.53a25fef4213fp-2, 0x1.51ce9ec031711p-2, 0x1.4fd6c27372ce1p-2, 0x1.4dbd0d740a9c7p-2, 0x1.4b83a9d2310cbp-2, 0x1.492caa1764dcap-2, 0x1.46ba09f1e51fbp-2, 0x1.442daef1842c8p-2, 0x1.4189694c36fbcp-2, 0x1.3ecef4a2e1a8bp-2, 0x1.3bfff8a46cc71p-2, 0x1.391e09de1f232p-2, 0x1.362aaa5e0d49p-2, 0x1.33274a6df7829p-2, 0x1.3015493cfb1b5p-2, 0x1.2cf5f57e334cap-2, 0x1.29ca8e1b60f72p-2, 0x1.269442b807a61p-2, 0x1.235434668b157p-2, 0x1.200b762ef1e9fp-2, 0x1.1cbb0daaa904ap-2, 0x1.1963f38060fcdp-2, 0x1.160713f789989p-2, 0x1.12a54f8ad84c3p-2, 0x1.0f3f7b56bfaaap-2, 0x1.0bd6619b8c716p-2, 0x1.086ac23aea89cp-2, 0x1.04fd532c5c463p-2, 0x1.018ec0e341f0ap-2, 0x1.fc3f5d820ca92p-3, 0x1.f5616f09cf076p-3, 0x1.ee84db16f6966p-3, 0x1.e7aab6cae8095p-3, 0x1.e0d407ed8573cp-3, 0x1.da01c5f6bbc5ep-3, 0x1.d334da69d50ddp-3, 0x1.cc6e21a6d06c9p-3, 0x1.c5ae6b6a21f59p-3, 0x1.bef67b6c27976p-3, 0x1.b84709e4dba71p-3, 0x1.b1a0c3ed40703p-3, 0x1.ab044c57a655dp-3, 0x1.a4723bd664238p-3, 0x1.9deb219b8b4abp-3, 0x1.976f83b48cd3ap-3, 0x1.90ffdf8439a68p-3, 0x1.8a9caa1b4ef4fp-3, 0x1.844650a327dafp-3, 0x1.7dfd38ec0faa8p-3, 0x1.77c1c13da36abp-3, 0x1.71944150b610fp-3, 0x1.6b750a2ae667ep-3, 0x1.656466a4f443cp-3, 0x1.5f629bab3de59p-3, 0x1.596fe87bffdccp-3, 0x1.538c86e21e438p-3, 0x1.4db8ab9cb8914p-3, 0x1.47f486657cf71p-3, 0x1.4240426ca9794p-3, 0x1.3c9c062dcb699p-3, 0x1.3707f415fa05bp-3, 0x1.31842a83357f3p-3, 0x1.2c10c3e747e5bp-3, 0x1.26add701e9051p-3, 0x1.215b7719e16b8p-3, 0x1.1c19b4064348ap-3, 0x1.16e89a83e7fc8p-3, 0x1.11c83462c3e6p-3, 0x1.0cb888472fc1dp-3, 0x1.07b99a3e0de67p-3, 0x1.02cb6ba75fa97p-3, 0x1.fbdbf6de657abp-4, 0x1.f2428c2642e58p-4, 0x1.e8ca8bc04cd2p-4, 0x1.df73e5b3a4592p-4, 0x1.d63e85eece22p-4, 0x1.cd2a54f88da2p-4, 0x1.c43736ea18292p-4, 0x1.bb650cb61fdb3p-4, 0x1.b2b3b3f2ab48bp-4, 0x1.aa23070093a9dp-4, 0x1.a1b2dcf706e0cp-4, 0x1.99630aae3b1a1p-4, 0x1.913361926b923p-4, 0x1.8923b0e6f0e2bp-4, 0x1.8133c54bbdd5ap-4, 0x1.7963694121c6bp-4, 0x1.71b264e8e2281p-4, 0x1.6a207e76057a7p-4, 0x1.62ad7a2438c24p-4, 0x1.5b591a548fbfdp-4, 0x1.54231fbc84ef5p-4, 0x1.4d0b496041dcfp-4, 0x1.461154d60cc66p-4, 0x1.3f34fe3b7fdc7p-4, 0x1.387600729de71p-4, 0x1.31d41508a85ccp-4, 0x1.2b4ef478e9ef5p-4, 0x1.24e656121268bp-4, 0x1.1e99f0782e6a4p-4, 0x1.18697903b5a5ep-4, 0x1.1254a48033277p-4, 0x1.0c5b26db583f3p-4, 0x1.067cb366015a1p-4, 0x1.00b8fcc96a469p-4, 0x1.f61f6a6cbcd0dp-5, 0x1.eb011c823867bp-5, 0x1.e01672768d129p-5, 0x1.d55ecde927f0ep-5, 0x1.cad9901a6cd81p-5, 0x1.c08619a9b345ap-5, 0x1.b663cadb64bbep-5, 0x1.ac72036c9cc7dp-5, 0x1.a2b023604f4f1p-5, 0x1.991d8a381c12cp-5, 0x1.8fb99787d976p-5, 0x1.8683ab362ff64p-5, 0x1.7d7b24d3724cbp-5, 0x1.749f64b6d5722p-5, 0x1.6befcaf81f60dp-5, 0x1.636bb87faa94ap-5, 0x1.5b128e44bee96p-5, 0x1.52e3ae8792a2dp-5, 0x1.4ade7afbfd83fp-5, 0x1.430256d13661bp-5, 0x1.3b4ea5938e5p-5, 0x1.33c2cba90d3eep-5, 0x1.2c5e2e27ae26ep-5, 0x1.252033286048fp-5, 0x1.1e0841a092982p-5, 0x1.1715c1638d962p-5, 0x1.10481b5250a2ep-5, 0x1.099eb95707d88p-5, 0x1.0319066357c1fp-5, 0x1.f96cdd457827ap-6, 0x1.ececbead04664p-6, 0x1.e0b08da92ee9fp-6, 0x1.d4b7298ffb115p-6, 0x1.c8ff7435e487p-6, 0x1.bd8851ad7b60dp-6, 0x1.b250a91bf6628p-6, 0x1.a75763ffb13c8p-6, 0x1.9c9b6e685f702p-6, 0x1.921bb75dbec66p-6, 0x1.87d730773bd22p-6, 0x1.7dccce6d72395p-6, 0x1.73fb8836a933bp-6, 0x1.6a62584c1a651p-6, 0x1.61003bd9272c9p-6, 0x1.57d432d518157p-6, 0x1.4edd40232380ap-6, 0x1.461a69b478cfdp-6, 0x1.3d8ab83e2934bp-6, 0x1.352d37c3f02a6p-6, 0x1.2d00f742ca7bep-6, 0x1.250508a0aace2p-6, 0x1.1d3880cbd32e6p-6, 0x1.159a781f3bf56p-6, 0x1.0e2a08f987232p-6, 0x1.06e651ba05e9ep-6, 0x1.ff9ce6ac0ba7ep-7, 0x1.f1c323bc35222p-7, 0x1.e43da98086fefp-7, 0x1.d70acc6f24759p-7, 0x1.ca28e7b0a0399p-7, 0x1.bd965bec917c6p-7, 0x1.b1518f5ff9923p-7, 0x1.a558eda2c84aap-7, 0x1.99aae97975557p-7, 0x1.8e45fbd1bf46ap-7, 0x1.8328a2dbb0bbp-7, 0x1.7851641c5980ap-7, 0x1.6dbecb1a3098ep-7, 0x1.636f682d75b8ap-7, 0x1.5961d0d5cb843p-7, 0x1.4f94a0862a5a5p-7, 0x1.460676b5bfc8dp-7, 0x1.3cb5faa5df19fp-7, 0x1.33a1d92e46272p-7, 0x1.2ac8c6e5a22fp-7, 0x1.22297d3d28f9dp-7, 0x1.19c2bb736ce15p-7, 0x1.1193456018613p-7, 0x1.0999e2ed9cf75p-7, 0x1.01d55ed4deeaep-7, 0x1.f48916301fc4dp-8, 0x1.e5cc7ce7b7963p-8, 0x1.d772ae1ceb62cp-8, 0x1.c979750554f9fp-8, 0x1.bbdea974ab798p-8, 0x1.aea02b70c3056p-8, 0x1.a1bbe3e118cb3p-8, 0x1.952fbeaa2ee95p-8, 0x1.88f9ad83de04ep-8, 0x1.7d17a88f0982dp-8, 0x1.7187b304f23eep-8, 0x1.6647df0f05a09p-8, 0x1.5b56502eec093p-8, 0x1.50b137c26de21p-8, 0x1.4656d38cfe3ddp-8, 0x1.3c4569afb004ap-8, 0x1.327b3f2d8ea7ep-8, 0x1.28f69a6833b3bp-8, 0x1.1fb5c2286b19cp-8, 0x1.16b703029a4ccp-8, 0x1.0df8b3e494649p-8, 0x1.05793d6acee0ap-8, 0x1.fa6e351ae5e3bp-9, 0x1.ea61b1e126b7bp-9, 0x1.daca241464027p-9, 0x1.cba4cb8a6b132p-9, 0x1.bceee6f863d91p-9, 0x1.aea5a4e32fe88p-9, 0x1.a0c62c5a26bd3p-9, 0x1.934da4eed0266p-9, 0x1.86394685d9911p-9, 0x1.79866a3b20fbfp-9, 0x1.6d328d738c32cp-9, 0x1.613b5bc6c2904p-9, 0x1.559ea38d97ce1p-9, 0x1.4a5a4a022312p-9, 0x1.3f6c2fff772a2p-9, 0x1.34d22a48702c2p-9, 0x1.2a89f90afdc3ep-9, 0x1.20914ae984c39p-9, 0x1.16e5cf47fcc92p-9, 0x1.0d85434363f3ep-9, 0x1.046d87f144c87p-9, 0x1.f7394abcc7c1p-10, 0x1.e62198e048d5ep-10, 0x1.d590aa7fe159p-10, 0x1.c58358d9e952ep-10, 0x1.b5f686cc42dfdp-10, 0x1.a6e6fa151defep-10, 0x1.985141633f706p-10, 0x1.8a31c4e62cc61p-10, 0x1.7c84d4488c9e3p-10, 0x1.6f46d9b18f8c8p-10, 0x1.62746793c7938p-10, 0x1.560a536256825p-10, 0x1.4a05ab7621681p-10, 0x1.3e63bb7c41739p-10, 0x1.3322103ed36f4p-10, 0x1.283e5ec08dfcbp-10, 0x1.1db66c0a3575p-10, 0x1.1387db4b4a85fp-10, 0x1.09b0207fcec6p-10, 0x1.002c884e8576cp-10, 0x1.edf4a792ffdb8p-11, 0x1.dc2dc16cefa9cp-11, 0x1.caff6019a20cdp-11, 0x1.ba64ba0374525p-11, 0x1.aa59268cec841p-11, 0x1.9ad836fbdbc5bp-11, 0x1.8bdde1e31ba57p-11, 0x1.7d6699635cc3p-11, 0x1.6f6f34c880957p-11, 0x1.61f48dfc1b9bcp-11, 0x1.54f343b6f8f12p-11, 0x1.4867a47d997fcp-11, 0x1.3c4de2aa2c741p-11, 0x1.30a266ac0106bp-11, 0x1.2561ced1b25fp-11, 0x1.1a88d32c9f88p-11, 0x1.1013f07b48e2cp-11, 0x1.05ff6baa9e13fp-11, 0x1.f88f1872ac48bp-12, 0x1.e5d203959d855p-12, 0x1.d3c225b13aafcp-12, 0x1.c25b0e962bb1p-12, 0x1.b1986aa7618fp-12, 0x1.a175c43f3b3dp-12, 0x1.91ee4e12e68a9p-12, 0x1.82fd6a80264d6p-12, 0x1.749ebba78397ap-12, 0x1.66ce64a96e6c3p-12, 0x1.59887a5975aecp-12, 0x1.4cc85e2731932p-12, 0x1.408889bb2324ep-12, 0x1.34c2f8673ce8dp-12, 0x1.2971f4c956ce2p-12, 0x1.1e909a69cfc01p-12, 0x1.141aee131bc49p-12, 0x1.0a0d985c7c10fp-12, 0x1.00658d849904ap-12, 0x1.ee4012442dddcp-13, 0x1.dc74c8c166952p-13, 0x1.cb645869fed73p-13, 0x1.bb0a473660053p-13, 0x1.ab623ab7e41f1p-13, 0x1.9c6769c46a9ebp-13, 0x1.8e140f94080e6p-13, 0x1.806115f5e772bp-13, 0x1.7346c9409fa62p-13, 0x1.66bd1742c2b93p-13, 0x1.5abbf209a2cd1p-13, 0x1.4f3bd6dcf394ep-13, 0x1.4436a98d11651p-13, 0x1.39a80ae9e321ap-13, 0x1.2f8d2b76d2853p-13, 0x1.25e3505779b27p-13, 0x1.1ca81885e2b9cp-13, 0x1.13d91b87e1d22p-13, 0x1.0b739d6d7c3aep-13, 0x1.03742bcfdcc0fp-13, 0x1.f7ae886399d15p-14, 0x1.e93399f2ce326p-14, 0x1.db71febb9e28p-14, 0x1.ce61fd5ca9667p-14, 0x1.c1f902155c7aap-14, 0x1.b629860fe1c83p-14, 0x1.aae67b7984b24p-14, 0x1.a0276472d0a3ep-14, 0x1.95e8382286482p-14, 0x1.8c25de260a239p-14, 0x1.82dcfda6b87e1p-14, 0x1.7a0b8d81e7f69p-14, 0x1.71afee14f4ae7p-14, 0x1.69c5da787d74ap-14, 0x1.6246c363a2b3dp-14, 0x1.5b2d66a863c47p-14, 0x1.5477cdcef15b5p-14, 0x1.4e2537b3e74dep-14, 0x1.48338c63d8f97p-14, 0x1.429d6d715e234p-14, 0x1.3d5a9037df73ap-14, 0x1.3860ee9d8ea89p-14, 0x1.33aa0bee339e4p-14, 0x1.2f3430776e494p-14, 0x1.2afd33c783d19p-14, 0x1.27009dfcbbba3p-14, 0x1.233c71eed51b2p-14, 0x1.1fb1a6a2aa21ap-14, 0x1.1c5f2d9c722d7p-14, 0x1.19407ff66e5edp-14, 0x1.1650e154bc4dfp-14, 0x1.138def4c8b10cp-14, 0x1.10f784ed901cep-14, 0x1.0e8de78701094p-14, 0x1.0c4f89b550149p-14, 0x1.0a394d228929cp-14, 0x1.084745105980ep-14, 0x1.06749bdfae02bp-14, 0x1.04be1f10d82ccp-14, 0x1.032461e2ac6dbp-14, 0x1.01a5fe0e91e11p-14, 0x1.003e143a3cdaep-14, 0x1.fdd5952cb0082p-15, 0x1.fb5a859bd17b7p-15, 0x1.f90a5214f403ap-15, 0x1.f6e0549ba4483p-15, 0x1.f4d8027fa2977p-15, 0x1.f2ee6c39b4632p-15, 0x1.f12254669526ap-15, 0x1.ef7421ca474c8p-15, 0x1.ede2126733577p-15, 0x1.ec68b9bf22ec9p-15, 0x1.eb04aac76c089p-15, 0x1.e9b40ab3c5b11p-15, 0x1.e8745d4b382f9p-15, 0x1.e743114fe0818p-15, 0x1.e621546356e65p-15, 0x1.e50d77c211cdep-15, 0x1.e40201827136ap-15, 0x1.e2fded85ff3b5p-15, 0x1.e200dba4d9659p-15, 0x1.e1092b8bf83a3p-15, 0x1.e015b6211d945p-15, 0x1.df254d97f6806p-15, 0x1.de36d0bf90d04p-15, 0x1.dd49fb56cbcf2p-15, 0x1.dc5e825560d3p-15, 0x1.db72cd2714c4ap-15, 0x1.da856707fe0bep-15, 0x1.d995513c150d2p-15, 0x1.d8a1714f9fba6p-15, 0x1.d7a9e5807f247p-15, 0x1.d6ae8f9d7c75dp-15, 0x1.d5adf22771ec9p-15, 0x1.d4a8000913bcdp-15, 0x1.d39bf9ebe49f5p-15, 0x1.d289623f79d31p-15, 0x1.d17025765339p-15, 0x1.d04e60411fc6dp-15, 0x1.cf237081f2cep-15, 0x1.cdefbd0a8788p-15, 0x1.ccb329186cb08p-15, 0x1.cb6d2b9a49abp-15, 0x1.ca1e12fe01a06p-15, 0x1.c8c53ab18599p-15, 0x1.c7628734d5e42p-15, 0x1.c5f57f9ac6004p-15, 0x1.c47de9b9bf40ap-15, 0x1.c2fbd7d7611e1p-15, 0x1.c16f21da64533p-15, 0x1.bfd7bd2e21f6cp-15, 0x1.be35d6296f4e7p-15, 0x1.bc890f4ad76d3p-15, 0x1.bad17795d03c1p-15, 0x1.b90ebf7a10642p-15, 0x1.b74175283edc3p-15, 0x1.b5695cafb2eeap-15, 0x1.b3863f010ee1ep-15, 0x1.b198421895e1bp-15, 0x1.af9f7527ffc91p-15, 0x1.ad9c0a828f956p-15, 0x1.ab8df55578b9ep-15, 0x1.a9754536ed1b6p-15, 0x1.a75226a9bdb7ep-15, 0x1.a524c73602a72p-15, 0x1.a2ed4e2fc69fep-15, 0x1.a0abd3b176321p-15, 0x1.9e606c36123e5p-15, 0x1.9c0b3c2c95545p-15, 0x1.99ac8c0679f05p-15, 0x1.974469021525p-15, 0x1.94d2d0fef41acp-15, 0x1.9258348fc3ea8p-15, 0x1.8fd4e03e2f0f2p-15, 0x1.8d48bbab146fp-15, 0x1.8ab3dd7bc675ap-15, 0x1.8816963fdab6bp-15, 0x1.85713a3e778fp-15, 0x1.82c4059607069p-15, 0x1.800f356bced9ep-15, 0x1.7d52db245ce51p-15, 0x1.7a8f0abccaac4p-15, 0x1.77c411b0b0e37p-15, 0x1.74f23dc0bdb33p-15, 0x1.7219d771d115p-15, 0x1.6f3af83722e81p-15, 0x1.6c55e0000d42ep-15, 0x1.696abe2f3cf22p-15, 0x1.6679d356dc529p-15, 0x1.63834929a2b81p-15, 0x1.608774e3c99aap-15, 0x1.5d866d0376c7fp-15, 0x1.5a80611452ffp-15, 0x1.5775b1150eb8ep-15, 0x1.5466957ed2e9bp-15, 0x1.515334b9f6b1ap-15, 0x1.4e3badff197ap-15, 0x1.4b2051ce00a48p-15, 0x1.480126c419c5ep-15, 0x1.44deea472ecb3p-15, 0x1.41b952c9e04a4p-15, 0x1.3e90b7019f5abp-15, 0x1.3b6553964ef28p-15, 0x1.38376835dc16ep-15, 0x1.350708b62e46dp-15, 0x1.31d48210af932p-15, 0x1.2ea00d49916d1p-15, 0x1.2b69c3bb877c6p-15, 0x1.2831e5108948fp-15, 0x1.24f888ea8721dp-15, 0x1.21be02728032dp-15, 0x1.1e827e2483033p-15, 0x1.1b4624067fc49p-15, 0x1.18091dc1b793dp-15, 0x1.14cbb1629df8cp-15, 0x1.118de29b56d34p-15, 0x1.0e50347656a68p-15, 0x1.0b12173b1bdd1p-15, 0x1.07d45d7c496b2p-15, 0x1.04973ddbfec45p-15, 0x1.015a8b885bbd9p-15, 0x1.fc3ce4a66e3cep-16, 0x1.f5c6d08da1c94p-16, 0x1.ef529fa7878f1p-16, 0x1.e8e0bab81115p-16, 0x1.e27159a17c307p-16, 0x1.dc04fb08a2ad4p-16, 0x1.d59c363c21832p-16, 0x1.cf35ff837e894p-16, 0x1.c8d431440ddcp-16, 0x1.c2763be7710b3p-16, 0x1.bc1c9b4e39ebcp-16, 0x1.b5c785e25433fp-16, 0x1.af773a035d068p-16, 0x1.a92c00b01fbfcp-16, 0x1.a2e61f429bc02p-16, 0x1.9ca5abeb39f7ap-16, 0x1.966ad013b8137p-16, 0x1.9036122627899p-16, 0x1.8a0782c7e7408p-16, 0x1.83df2b855bf09p-16, 0x1.7dbdc7fcee3aap-16, 0x1.77a30da48683dp-16, 0x1.718f48b9ec30bp-16, 0x1.6b82eb528bd8cp-16, 0x1.657da59fb2d07p-16, 0x1.5f7ff9d698369p-16, 0x1.598a014cbf513p-16, 0x1.539c482a6b5fp-16, 0x1.4db5dc0804243p-16, 0x1.47d7d938f4f48p-16, 0x1.4202616859407p-16, 0x1.3c3579bc6dcd9p-16, 0x1.3671132d03363p-16, 0x1.30b57f1a99a48p-16, 0x1.2b02eb92ffc9fp-16, 0x1.2559500d8c134p-16, 0x1.1fb8d3f578997p-16, 0x1.1a21ac5070a8ep-16, 0x1.1493f04099b25p-16, 0x1.0f0fa7695eb2bp-16, 0x1.09951bc64619p-16, 0x1.04240d003f1b3p-16, 0x1.fd7830d99bdf2p-17, 0x1.f2bf34a1f9c3dp-17, 0x1.e818cc5335d9p-17, 0x1.dd8790d6bbe61p-17, 0x1.d309a6b54acc2p-17, 0x1.c8a0321ac1f38p-17, 0x1.be4af6eb4c74dp-17, 0x1.b40b18dcd0f1p-17, 0x1.a9e06cecfff85p-17, 0x1.9fca1c1f80e9ep-17, 0x1.95c91581be7d3p-17, 0x1.8bdd3ae1a1673p-17, 0x1.8206d41f62759p-17, 0x1.7845da2da7748p-17, 0x1.6e9a818b64ecap-17, 0x1.6504c1a156f1ap-17, 0x1.5b849c8f87df6p-17, 0x1.521a33845ec0fp-17, 0x1.48c5c699f5225p-17, 0x1.3f870129f09c9p-17, 0x1.365d73432ee1p-17, 0x1.2d4b1be6ffd34p-17, 0x1.244eb5e9ba06ap-17, 0x1.1b67c18852d67p-17, 0x1.1296b9c4ee29dp-17, 0x1.09dbdc813bb94p-17, 0x1.01378547cec78p-17, 0x1.f15309d77aa14p-18, 0x1.e06252db1fbf4p-18, 0x1.cf9db2c876cf9p-18, 0x1.bf0476c189493p-18, 0x1.ae984495d3e43p-18, 0x1.9e58d9fd70b0cp-18, 0x1.8e44b322b4e0cp-18, 0x1.7e5d2d28235e8p-18, 0x1.6ea26e4dbf4f5p-18, 0x1.5f1221d78f5c3p-18, 0x1.4faf2a64159bap-18, 0x1.4076a3b0601d2p-18, 0x1.316a8903960bp-18, 0x1.228a61df32acep-18, 0x1.13d52498d6697p-18, 0x1.054b9283d5a7ap-18, 0x1.eddbe6ebeb21ap-19, 0x1.d1768a952f0e1p-19, 0x1.b563efb978aedp-19, 0x1.99ac2e657104p-19, 0x1.7e48cb37b9c38p-19, 0x1.633a488f2ca9bp-19, 0x1.48811024fde71p-19, 0x1.2e1bd891f3251p-19, 0x1.140b25dc76f7fp-19, 0x1.f49dfa84413d5p-20, 0x1.c1cd78e336a51p-20, 0x1.8fa1cc95405fcp-20, 0x1.5e201700d5bd1p-20, 0x1.2d4024c080c99p-20, 0x1.fa0e6d28409a7p-21, 0x1.9ad445ab74115p-21, 0x1.3cf56d6dd454ap-21, 0x1.c09aef33fb772p-22, 0x1.09d66a87082ffp-22, 0x1.5643543546357p-24, -0x1.70d223f0fbb8ap-24, -0x1.0b797f87c0197p-22, -0x1.b85ba2ed70b29p-22, -0x1.315b99bd75289p-21, -0x1.85518fffe60fbp-21, -0x1.d81ca828118efp-21, -0x1.14d4b740bb74ap-20, -0x1.3d05cf2f2a3b8p-20, -0x1.649882f7def2fp-20, -0x1.8b99db32f7777p-20, -0x1.b201d8689d03ap-20, -0x1.d7da7efebdb62p-20, -0x1.fd1a299121c9fp-20, -0x1.10e3ada6842f8p-19, -0x1.22eeed7d36031p-19, -0x1.34b6450554ca2p-19, -0x1.4633a99d99e4p-19, -0x1.57695e909a3f8p-19, -0x1.6859b218bb124p-19, -0x1.79036f0148ca3p-19, -0x1.89658b3bcf01ap-19, -0x1.998213630cb32p-19, -0x1.a95be8b691f91p-19, -0x1.b8edbedf4f187p-19, -0x1.c841e9c1e09ccp-19, -0x1.d74ff48c17007p-19, -0x1.e61a1256e10bep-19, -0x1.f4a36e4175fefp-19, -0x1.01764c7ee54d2p-18, -0x1.0879bc3b8b445p-18, -0x1.0f5cca501128cp-18, -0x1.1620201dc3841p-18, -0x1.1cc3debbda23fp-18, -0x1.2348a79c379bbp-18, -0x1.29ad9de1dd14ap-18, -0x1.2ff3e9638f4aep-18, -0x1.361c281c9129cp-18, -0x1.3c25f31bdeea4p-18, -0x1.42124fe59c9f7p-18, -0x1.47e08b4f445fap-18, -0x1.4d9073b821582p-18, -0x1.53240e7c73a1dp-18, -0x1.589a99a207a25p-18, -0x1.5df596bc33bd7p-18, -0x1.63337dc974371p-18, -0x1.6855d40968746p-18, -0x1.6d5beeaca97d7p-18, -0x1.7245fcd79e759p-18, -0x1.77154f57c934p-18, -0x1.7bca034cb298cp-18, -0x1.8066c1d4b67d9p-18, -0x1.84e4b786ee75cp-18, -0x1.89486bc47826cp-18, -0x1.8d94fc0335c44p-18, -0x1.91c8359150eap-18, -0x1.95e1c6a8c0f53p-18, -0x1.99e1154820c92p-18, -0x1.9dc7fc8769bcp-18, -0x1.a196c7e599b1ep-18, -0x1.a54d7bdc3b82ap-18, -0x1.a8ec99be99d98p-18, -0x1.ac72ed186763dp-18, -0x1.afe28fbb535fep-18, -0x1.b33aca6a92fabp-18, -0x1.b67d14e528673p-18, -0x1.b9a8738e7f9a3p-18, -0x1.bcbcf35bfaa0bp-18, -0x1.bfbaa5948901dp-18, -0x1.c2a52125ab312p-18, -0x1.c57760172062fp-18, -0x1.c83581c7a795p-18, -0x1.cadcbb21e9eeap-18, -0x1.cd725a3e79b41p-18, -0x1.cff1a9520d256p-18, -0x1.d25d50fe28d69p-18, -0x1.d4b47ec8449f7p-18, -0x1.d6f76de195f08p-18, -0x1.d92631859b819p-18, -0x1.db43571d65858p-18, -0x1.dd4d02990adc7p-18, -0x1.df43ac9dd44e3p-18, -0x1.e126fe087170cp-18, -0x1.e2f8d77149a53p-18, -0x1.e4b84820d2c98p-18, -0x1.e665ff0374726p-18, -0x1.e80220c4ad7ecp-18, -0x1.e98c375c73047p-18, -0x1.eb05612847a5ep-18, -0x1.ec6cfde563995p-18, -0x1.edc501db87df6p-18, -0x1.ef0c24931e3cap-18, -0x1.f043ad33c41d5p-18, -0x1.f16a5045c9a1p-18, -0x1.f280de23301p-18, -0x1.f3889c77f50ccp-18, -0x1.f4806712df834p-18, -0x1.f56819cbb5125p-18, -0x1.f6422baf72fb2p-18, -0x1.f70ca7a37ab97p-18, -0x1.f7ca01489f8f8p-18, -0x1.f87802c97df16p-18, -0x1.f917e8448408fp-18, -0x1.f9a943fe45bf5p-18, -0x1.fa2dd3cb00a57p-18, -0x1.faa48780c6167p-18, -0x1.fb0e867edb79dp-18, -0x1.fb6af98a6960cp-18, -0x1.fbba332a5fce3p-18, -0x1.fbfc559fa1c5ep-18, -0x1.fc32823657fd5p-18, -0x1.fc5c9cdc11812p-18, -0x1.fc79e4b1c0549p-18, -0x1.fc8b8f0652139p-18, -0x1.fc91a3db1cc18p-18, -0x1.fc8d6c2e10d7ep-18, -0x1.fc7b899b484dp-18, -0x1.fc5ec8f4ed2f7p-18, -0x1.fc38a0ac5b81bp-18, -0x1.fc05eb875a37ep-18, -0x1.fbc92f4100f2ap-18, -0x1.fb819440990e2p-18, -0x1.fb30615b3256p-18, -0x1.fad4ada6f6b6dp-18, -0x1.fa6ef62a70f8fp-18, -0x1.f9ff4cb432995p-18, -0x1.f98624acd8093p-18, -0x1.f903ac2df4b44p-18, -0x1.f877f691e2903p-18, -0x1.f7e1dfe5a3072p-18, -0x1.f7440e2c196c8p-18, -0x1.f69cb39e96224p-18, -0x1.f5ede13becbb8p-18, -0x1.f535a7533dc4cp-18, -0x1.f4756d9fb9ff1p-18, -0x1.f3ad2776eaca7p-18, -0x1.f2db09e3bdb96p-18, -0x1.f202f8326d6a4p-18, -0x1.f121d16099b4bp-18, -0x1.f03af860a8e3p-18, -0x1.ef4b84a9e1471p-18, -0x1.ee538d98c5cp-18, -0x1.ed55ca3e326dbp-18, -0x1.ec51b901d9906p-18, -0x1.eb452e315426cp-18, -0x1.ea32bf29ec3f8p-18, -0x1.e919cd1b756b1p-18, -0x1.e7f9af9db0d61p-18, -0x1.e6d29a45566f6p-18, -0x1.e5a6832a123cdp-18, -0x1.e4740df38bafdp-18, -0x1.e33baf595f4a6p-18, -0x1.e1fd41870c721p-18, -0x1.e0b93c207e372p-18, -0x1.df6fded32aa73p-18, -0x1.de20ae9fddd96p-18, -0x1.dccc5d9ad181fp-18, -0x1.db72602080751p-18, -0x1.da137ba25e36ep-18, -0x1.d8afd3438e8d5p-18, -0x1.d7475af48194bp-18, -0x1.d5da5873e588bp-18, -0x1.d46792d8b7e84p-18, -0x1.d2f0e9c62cfadp-18, -0x1.d17627414af8dp-18, -0x1.cff6ff12aa29dp-18, -0x1.ce734ace74e7cp-18, -0x1.cceb8ae33c276p-18, -0x1.cb5fd2ff0d33fp-18, -0x1.c9cfed1f47bf4p-18, -0x1.c83c4378c3fedp-18, -0x1.c6a52263c9b52p-18, -0x1.c50cc61ead37p-18, -0x1.c36d71c4f2118p-18, -0x1.c1cb26517cc2bp-18, -0x1.c025a55925818p-18, -0x1.be7e5b0394f8ap-18, -0x1.bcd2f7bfb389ep-18, -0x1.bb24c95daa6a4p-18, -0x1.b973d414a6fe2p-18, -0x1.b7bf2d13bbd13p-18, -0x1.b608cba14d699p-18, -0x1.b44ff66b40471p-18, -0x1.b2933b55cdbebp-18, -0x1.b0d38eb9f06d7p-18, -0x1.af131169cf8d1p-18, -0x1.ad5124169fb71p-18, -0x1.ab8b79b3638fp-18, -0x1.a9c3374871746p-18, -0x1.a7f93c08142fap-18, -0x1.a62d489cc1e5dp-18, -0x1.a45f69d45c13ep-18, -0x1.a2900772de3f2p-18, -0x1.a0c1d1e27caf3p-18, -0x1.9eeb755343e6p-18, -0x1.9d170e390e346p-18, -0x1.9b406a725cdf4p-18, -0x1.99684f42061a4p-18, -0x1.978f5a1015d42p-18, -0x1.95b42d0153367p-18, -0x1.93d8ae5754cp-18, -0x1.91fc2f3e26a5fp-18, -0x1.901dd1c7a312cp-18, -0x1.8e3d3cee2c5d6p-18, -0x1.8c5cd2a732ea7p-18, -0x1.8a7c21aec0f26p-18, -0x1.889a4697dab73p-18, -0x1.86b696fd8154bp-18, -0x1.84d2023176845p-18, -0x1.82ed38e2009fcp-18, -0x1.810966a53d6bcp-18, -0x1.7f22fab858154p-18, -0x1.7d3c0553aa11fp-18, -0x1.7b543b4e2589fp-18, -0x1.796d43ccf9ab4p-18, -0x1.77856f617690cp-18, -0x1.759d761b52fa9p-18, -0x1.73b4e3f1bc6fcp-18, -0x1.71cbc15df3814p-18, -0x1.6fe2bc86340c1p-18, -0x1.6df9c42e77c6cp-18, -0x1.6c10df75fd29fp-18, -0x1.6a270a903a3eap-18, -0x1.683de74da2606p-18, -0x1.6655490e64e8p-18, -0x1.646badd268f74p-18, -0x1.62826d5fe0fe9p-18, -0x1.6099ee7934081p-18, -0x1.5eafdf907b67bp-18, -0x1.5cc8359390335p-18, -0x1.5adff69ee306fp-18, -0x1.58f9671561075p-18, -0x1.571244f8eb172p-18, -0x1.5528cbb94e7b5p-18, -0x1.5344bd6792d9fp-18, -0x1.515e19303758ep-18, -0x1.4f788c6460d99p-18, -0x1.4d93ba8847edcp-18, -0x1.4bb10f2000d61p-18, -0x1.49cc11869e0f8p-18, -0x1.47e943120d68p-18, -0x1.46076f6e97cd6p-18, -0x1.4426013e75927p-18, -0x1.424497032707ap-18, -0x1.40651ca66f889p-18, -0x1.3e8607bd4bafdp-18, -0x1.3ca7c9c4dd9bap-18, -0x1.3acb03598067dp-18, -0x1.38ee9fcfbfe73p-18, -0x1.3712e210d365bp-18, -0x1.3538b31942bdcp-18, -0x1.335f43ccc6f9fp-18, -0x1.31865cbb667b5p-18, -0x1.2fb0002f41243p-18, -0x1.2dd9f42ed980fp-18, -0x1.2c0422085b8efp-18, -0x1.2a3011f8dd057p-18, -0x1.285da4255c2aap-18, -0x1.268c37a34c495p-18, -0x1.24bb8537a97c2p-18, -0x1.22ee1f2b14393p-18, -0x1.211e7e95799d2p-18, -0x1.1f5327f2bc098p-18, -0x1.1d868604e6862p-18, -0x1.1bbca04938499p-18, -0x1.19f458050c46bp-18, -0x1.182c95b3e5f99p-18, -0x1.16670e04e249cp-18, -0x1.14a2c8ce698e7p-18, -0x1.12dfb29ca5b9dp-18, -0x1.111ec3d0c58aep-18, -0x1.0f5d4e1d3caa4p-18, -0x1.0d9dec40ff028p-18, -0x1.0be17831274cep-18, -0x1.0a258d6e96fe2p-18, -0x1.086c71bc2a484p-18, -0x1.06b22faf36936p-18, -0x1.04fadbda3041dp-18, -0x1.0346c8f3d394dp-18, -0x1.0192fc10b37cap-18, -0x1.ffbdfd4f92324p-19, -0x1.fc5c7f13a5c8dp-19, -0x1.f8ff6a506606ep-19, -0x1.f5a450e1a1818p-19, -0x1.f24ba9e0b7625p-19, -0x1.eef72b7b03ee9p-19, -0x1.eba46a8734d5cp-19, -0x1.e85855ae752a8p-19, -0x1.e50dea4d8539dp-19, -0x1.e1c6b0cd07c51p-19, -0x1.de8126697af43p-19, -0x1.db4156ed37847p-19, -0x1.d8047b70f0706p-19, -0x1.d4cb2b1c174bbp-19, -0x1.d195746929675p-19, -0x1.ce6248e61a49p-19, -0x1.cb323bda381p-19, -0x1.c806ecb965e95p-19, -0x1.c4e0b5d6961cbp-19, -0x1.c1bb2ddd945e7p-19, -0x1.be99e84027cb4p-19, -0x1.bb7d975e450b1p-19, -0x1.b863ce72dc87bp-19, -0x1.b54c4dd4cf0a7p-19, -0x1.b23d66b4f316dp-19, -0x1.af2abed1bfdddp-19, -0x1.ac206c6cc10b3p-19, -0x1.a919b79b7209bp-19, -0x1.a614e3395cac5p-19, -0x1.a314670e61907p-19, -0x1.a0169e6fd0e57p-19, -0x1.9d1f6527a060cp-19, -0x1.9a29d9aad6c32p-19, -0x1.97367e51b1df5p-19, -0x1.9446b6862c9bbp-19, -0x1.915e6b43024e2p-19, -0x1.8e79520612584p-19, -0x1.8b97d8ea3e6ep-19, -0x1.88b81d8c33539p-19, -0x1.85dc095e52903p-19, -0x1.830397ebf27cbp-19, -0x1.802eff377850ep-19, -0x1.7d5e41f8367b9p-19, -0x1.7a94f26b8b757p-19, -0x1.77ca597a500cap-19, -0x1.7504013fff721p-19, -0x1.7243231147e93p-19, -0x1.6f869122fe5dp-19, -0x1.6ccc1a0daf055p-19, -0x1.6a14c277ccd1ep-19, -0x1.6761a4484df4ep-19, -0x1.64b55a558f3bdp-19, -0x1.6209ac0e10706p-19, -0x1.5f610ad16b757p-19, -0x1.5cbf76bd330d2p-19, -0x1.5a200fd12d44ep-19, -0x1.5781d2b6d4be4p-19, -0x1.54e98da1734a8p-19, -0x1.5255e770f0a02p-19, -0x1.4fc518e6ae0b2p-19, -0x1.4d359a9efacaap-19, -0x1.4aad859693c2ap-19, -0x1.4828d0e7d535fp-19, -0x1.45a5294bea3fcp-19, -0x1.4325f18fe4e33p-19, -0x1.40ab22770b0dcp-19, -0x1.3e34f1abfefbep-19, -0x1.3bc22a4ede142p-19, -0x1.3953fc2c668dbp-19, -0x1.36e41561426d5p-19, -0x1.347d9a449bd05p-19, -0x1.32178a0f100f7p-19, -0x1.2fb606bc66b35p-19, -0x1.2d56a2b1f63bep-19, -0x1.2b00e3f3ba28cp-19, -0x1.28a99bce3113bp-19, -0x1.26551438f3bd8p-19, -0x1.24051990ab4e7p-19, -0x1.21bbce1ab0cf1p-19, -0x1.1f741f24418b1p-19, -0x1.1d2d322908fffp-19, -0x1.1aed9deb4ed47p-19, -0x1.18b06fc8cafadp-19, -0x1.167567ebd2b09p-19, -0x1.143f49793f959p-19, -0x1.120d8bfbd1e37p-19, -0x1.0fde79d54360bp-19, -0x1.0db22ec36dad8p-19, -0x1.0b89fc3838e03p-19, -0x1.09659594fbee8p-19, -0x1.074439cc43761p-19, -0x1.05247ec4fc24ep-19, -0x1.030b7bbd7206cp-19, -0x1.00f7be92962a4p-19, -0x1.fdc2cc062833p-20, -0x1.f99d30131b96p-20, -0x1.f588ec22dfd89p-20, -0x1.f178de0268db4p-20, -0x1.ed6bc248242afp-20, -0x1.e96cd290d1eb8p-20, -0x1.e56779e7b464p-20, -0x1.e16fb8f245dfbp-20, -0x1.dd7e1802c0403p-20, -0x1.d9954f2a8f913p-20, -0x1.d5b081a89450cp-20, -0x1.d1d3086da6f4ep-20, -0x1.cdfd91553cd26p-20, -0x1.ca2ddde9e5ab2p-20, -0x1.c6636866233f2p-20, -0x1.c29ff87c8f724p-20, -0x1.bee5c8f8589bfp-20, -0x1.bb2e4241458c4p-20, -0x1.b7808b9c3033cp-20, -0x1.b3d6c26d33f81p-20, -0x1.b033117fb192fp-20, -0x1.ac989f9c8814dp-20, -0x1.a90277f78502ap-20, -0x1.a573bfd4f55b7p-20, -0x1.a1e7a973b010ap-20, -0x1.9e6324eabb83bp-20, -0x1.9ae663c6a6efp-20, -0x1.9770b2fbe9a9ep-20, -0x1.93ffda877dfe5p-20, -0x1.9094868d7a3b7p-20, -0x1.8d30cda3e292ep-20, -0x1.89d28b5e04b9p-20, -0x1.86783d2db97eep-20, -0x1.832790fc020c6p-20, -0x1.7fe1207f6acd5p-20, -0x1.7c91bda5238cep-20, -0x1.7953b5839beddp-20, -0x1.7619dd5a5e7c1p-20, -0x1.72e2d5fcf34bp-20, -0x1.6fb783d1526d1p-20, -0x1.6c8dd1d522268p-20, -0x1.696963539bc2dp-20, -0x1.664daf1713481p-20, -0x1.633514a5e6cabp-20, -0x1.60230f1a47729p-20, -0x1.5d179ef10c3b7p-20, -0x1.5a11c7925f09p-20, -0x1.570b96f2500b8p-20, -0x1.5414ce2984e51p-20, -0x1.511f5038ea548p-20, -0x1.4e2e04567c2cbp-20, -0x1.4b42f0850e7f9p-20, -0x1.485cd39079d72p-20, -0x1.457d67a5a384bp-20, -0x1.42a3f2fab59dp-20, -0x1.3fcec4ea95f66p-20, -0x1.3cfc46fab87c3p-20, -0x1.3a35c1a7afe5ap-20, -0x1.37713987c1476p-20, -0x1.34ac980d72601p-20, -0x1.31f4463ee4a27p-20, -0x1.2f3f6ce0d2523p-20, -0x1.2c90cf61aa115p-20, -0x1.29e708fc5decfp-20, -0x1.273f64ca37dc8p-20, -0x1.249c925f2bee8p-20, -0x1.2201642dacd99p-20, -0x1.1f6e444839342p-20, -0x1.1cdb587b7abcdp-20, -0x1.1a4e1ad0460dp-20, -0x1.17c6eb1f90395p-20, -0x1.154280dbebe1cp-20, -0x1.12c622a85f19p-20, -0x1.104e6db18b7fbp-20, -0x1.0dda53e405cb6p-20, -0x1.0b6aac2367408p-20, -0x1.09018667e9a19p-20, -0x1.069d310ed8d65p-20, -0x1.043827c17addcp-20, -0x1.01dbf3f8cf372p-20, -0x1.ff10f21642226p-21, -0x1.fa6b4c10a4bd7p-21, -0x1.f5c98fc2eae22p-21, -0x1.f139f6432cb6ep-21, -0x1.ecafbdeb1f0b8p-21, -0x1.e8300ce46a19ep-21, -0x1.e3abe10812446p-21, -0x1.df47a42bafd76p-21, -0x1.dae2f36bcc659p-21, -0x1.d687744914178p-21, -0x1.d231390466f61p-21, -0x1.cde46e1f80d1ap-21, -0x1.c9a1c2bd526p-21, -0x1.c5688def90acp-21, -0x1.c13764a9a0815p-21, -0x1.bd0ef33ab7686p-21, -0x1.b8f0fefdffcdbp-21, -0x1.b4d330492be0fp-21, -0x1.b0c6297cb4021p-21, -0x1.acbf6a4c9fac1p-21, -0x1.a8c2906e8fae2p-21, -0x1.a4c99030bb821p-21, -0x1.a0da51e0ee2p-21, -0x1.9cf30fd7ce847p-21, -0x1.991c231a5aec4p-21, -0x1.953e24c235c3dp-21, -0x1.9171ebb3f8be5p-21, -0x1.8da9af4dde636p-21, -0x1.89ea2552603d5p-21, -0x1.86386cec05a69p-21, -0x1.828722d88f6b2p-21, -0x1.7edf23cac040bp-21, -0x1.7b3f727a76781p-21, -0x1.77a7677f4c22dp-21, -0x1.7416e1a61c3dep-21, -0x1.709417eac252p-21, -0x1.6d0d87f17d226p-21, -0x1.6991649cd52a5p-21, -0x1.661f7445d4b3cp-21, -0x1.62af4496224b3p-21, -0x1.5f55bf9094fe6p-21, -0x1.5bf25c9d5f979p-21, -0x1.589aca936d071p-21, -0x1.554ceebb39c35p-21, -0x1.520779bf0e265p-21, -0x1.4ec70da90bddcp-21, -0x1.4b8b159e69f9fp-21, -0x1.4858033a0c2a8p-21, -0x1.452f19c886602p-21, -0x1.4207030663154p-21, -0x1.3ee4019ea9af1p-21, -0x1.3bd651c84089cp-21, -0x1.38c1abfd75b5fp-21, -0x1.35b74c6d43c56p-21, -0x1.32b17d99dc446p-21, -0x1.2fb67320f747ap-21, -0x1.2cbd855d5c031p-21, -0x1.29cded1619c31p-21, -0x1.26e3967710a05p-21, -0x1.2400b8c9f748dp-21, -0x1.2126a88338484p-21, -0x1.1e4c4e0ebd5b7p-21, -0x1.1b7871f009446p-21, -0x1.18b21216eb88fp-21, -0x1.15ed72cf6bd93p-21, -0x1.132e08fd5de2cp-21, -0x1.1075c21d15c6cp-21, -0x1.0dc49464bb636p-21, -0x1.0b1a6186a53ep-21, -0x1.086b65b5752f2p-21, -0x1.05cd64f179817p-21, -0x1.0339ba09a4734p-21, -0x1.00a054f55b6cep-21, -0x1.fc1e760e23905p-22, -0x1.f70e9b143f3b4p-22, -0x1.f20bd40ce8568p-22, -0x1.ed0b04219f1f7p-22, -0x1.e818ab8b8b987p-22, -0x1.e3323cae968dbp-22, -0x1.de51c741fa044p-22, -0x1.d99214611337ep-22, -0x1.d4be4cae87a12p-22, -0x1.d0078ea451f31p-22, -0x1.cb56015f561b5p-22, -0x1.c6b0d872d2ea4p-22, -0x1.c2132718a9b3ep-22, -0x1.bd83c0632d12dp-22, -0x1.b8f91f1bfd4dap-22, -0x1.b484d3a6f4821p-22, -0x1.b00f85cba318ep-22, -0x1.aba6fbb69df3cp-22, -0x1.a74948e5afe5ep-22, -0x1.a2f77beb651fdp-22, -0x1.9eadd853e0399p-22, -0x1.9a6808c06c8c3p-22, -0x1.9630598ef9983p-22, -0x1.920e8d7257962p-22, -0x1.8de5f6e8b778bp-22, -0x1.89c2fb8db0545p-22, -0x1.85bcef66ddf76p-22, -0x1.81b3c359c830dp-22, -0x1.7dbaa0773a1e1p-22, -0x1.79c3fffd076a8p-22, -0x1.75d46c90ce2dfp-22, -0x1.71ee35949093fp-22, -0x1.6e1a3c9d7a499p-22, -0x1.6a4cd7772abc9p-22, -0x1.6684a856a3954p-22, -0x1.62be639f74995p-22, -0x1.5f0eab76b5381p-22, -0x1.5b638255f61b8p-22, -0x1.57bc5b1908c2ep-22, -0x1.54201e0d1466ep-22, -0x1.5088ef4a266d7p-22, -0x1.4d038bc075f51p-22, -0x1.497e2afbd5237p-22, }}, 
      {{-0x1.69937738bbc3p-1, -0x1.0a351c13b06b2p-1, -0x1.4452ad7ca62b1p-2, -0x1.d376cd7eb8ebep-4, 0x1.3a97f534ea80bp-4, 0x1.ff36fd691b933p-3, 0x1.9aa8f689731adp-2, 0x1.0f576795146f2p-1, 0x1.460454c70c31cp-1, 0x1.7201f702493efp-1, 0x1.943ece0448c3ap-1, 0x1.adce7697ab8a2p-1, 0x1.bfd196379abdap-1, 0x1.cb658efd305a5p-1, 0x1.d199e287bb8e6p-1, 0x1.d369b4fad6c0ep-1, 0x1.d1b842638c6b8p-1, 0x1.cd4f6a87eb45ep-1, 0x1.c6dfa9a096d84p-1, 0x1.bf010524e4b5cp-1, 0x1.b63491ea2e0e2p-1, 0x1.ace652515c6ffp-1, 0x1.a36f3dbedd1f2p-1, 0x1.9a1751ffd223fp-1, 0x1.9117984c6e6bep-1, 0x1.889c111956563p-1, 0x1.80c57e138717p-1, 0x1.79ab064d637d1p-1, 0x1.735bb27be3598p-1, 0x1.6ddfc159e8199p-1, 0x1.6939d52a40723p-1, 0x1.6567fcfd58fabp-1, 0x1.62649c052f831p-1, 0x1.6027322a83527p-1, 0x1.5ea508c3c72e4p-1, 0x1.5dd1c63f413f2p-1, 0x1.5d9feb4ba80d3p-1, 0x1.5e013cb3bd4c6p-1, 0x1.5ee71ae32221ap-1, 0x1.6042cac6b5d18p-1, 0x1.6205b0d19518bp-1, 0x1.642180dc8d3f9p-1, 0x1.668863721a945p-1, 0x1.692d12f7dbea8p-1, 0x1.6c02f14de6983p-1, 0x1.6efe17320e087p-1, 0x1.72135ebc7cbb4p-1, 0x1.75386935204c3p-1, 0x1.7863a1491ebffp-1, 0x1.7b8c3acd809c7p-1, 0x1.7eaa2f999da67p-1, 0x1.81b63aa9cf6c1p-1, 0x1.84a9d23d3a74cp-1, 0x1.877f201a0122cp-1, 0x1.8a30f99afa2c8p-1, 0x1.8cbad6efbafe4p-1, 0x1.8f18ca102e242p-1, 0x1.914775853c4e6p-1, 0x1.9344031e390f8p-1, 0x1.950c1ad1ed958p-1, 0x1.969dd971f79e9p-1, 0x1.97f7c816eb009p-1, 0x1.9918d379a3fc7p-1, 0x1.9a004383e58ffp-1, 0x1.9aadb3973446ep-1, 0x1.9b210ac642a7bp-1, 0x1.9b5a74cce3bddp-1, 0x1.9b5a5b304899bp-1, 0x1.9b215ec92e95ep-1, 0x1.9ab051e4a27e3p-1, 0x1.9a083256504afp-1, 0x1.992a24ac7fdd6p-1, 0x1.98176ede93cfep-1, 0x1.96d173ef44ae3p-1, 0x1.9559afcf78219p-1, 0x1.93b1b359f5d88p-1, 0x1.91db20d99f05cp-1, 0x1.8fd7a8a379e03p-1, 0x1.8da906458205bp-1, 0x1.8b50fd92ef78ap-1, 0x1.88d1583969639p-1, 0x1.862be3766bad9p-1, 0x1.83626e02b156ap-1, 0x1.8076c62bb0a0ap-1, 0x1.7d6ab85049522p-1, 0x1.7a400cfd72e8fp-1, 0x1.76f8881a8cc0bp-1, 0x1.7395e74c75e28p-1, 0x1.7019e11fa08bp-1, 0x1.6c86241594669p-1, 0x1.68dc55b30492ap-1, 0x1.651e1224f7d8fp-1, 0x1.614ceb5d4b128p-1, 0x1.5d6a68bf2abbap-1, 0x1.597806b86bbe9p-1, 0x1.5577366b2888dp-1, 0x1.51695d7b9eaap-1, 0x1.4d4fd5d130bb3p-1, 0x1.492bed9738603p-1, 0x1.44fee7047e4ap-1, 0x1.40c9f87b88f5bp-1, 0x1.3c8e4c86a01b3p-1, 0x1.384d01dffc916p-1, 0x1.34072ba00929ep-1, 0x1.2fbdd155df3a6p-1, 0x1.2b71ef360a88fp-1, 0x1.272476493fcdep-1, 0x1.22d64ca5b41p-1, 0x1.1e884da77d45dp-1, 0x1.1a3b4a2df027dp-1, 0x1.15f008d8345cap-1, 0x1.11a7464f52e95p-1, 0x1.0d61b56db157fp-1, 0x1.091fffc34a9f8p-1, 0x1.04e2c5914cc2p-1, 0x1.00aa9e45f75ffp-1, 0x1.f8f03164bf404p-2, 0x1.f09776b3dda7ap-2, 0x1.e84c0956c2681p-2, 0x1.e00ed6d6c61dbp-2, 0x1.d7e0bda1d54f4p-2, 0x1.cfc28df00a903p-2, 0x1.c7b509f806e91p-2, 0x1.bfb8e6c452756p-2, 0x1.b7cecc8bc67f1p-2, 0x1.aff757363b9b6p-2, 0x1.a83316f5e1c06p-2, 0x1.a08290a26295fp-2, 0x1.98e63e4ca7b29p-2, 0x1.915e8f9b336d4p-2, 0x1.89ebea57bd15p-2, 0x1.828eaad2bebdcp-2, 0x1.7b472451435d9p-2, 0x1.7415a16f1bcaep-2, 0x1.6cfa649088a71p-2, 0x1.65f5a84272819p-2, 0x1.5f079f92d859ap-2, 0x1.58307677f7afdp-2, 0x1.5170521ef9d1bp-2, 0x1.4ac7513ee6efdp-2, 0x1.44358c88ce533p-2, 0x1.3dbb16ba520ddp-2, 0x1.3757fd25c6e6fp-2, 0x1.310c47dde88b9p-2, 0x1.2ad7f9fb37fd4p-2, 0x1.24bb11e545325p-2, 0x1.1eb58991d56d1p-2, 0x1.18c756c12cdb8p-2, 0x1.12f06b401215ap-2, 0x1.0d30b523725ffp-2, 0x1.07881ee0047ffp-2, 0x1.01f68fa52c9a5p-2, 0x1.f8f7d6f459d58p-3, 0x1.ee302717a630ap-3, 0x1.e395cc373b72cp-3, 0x1.d9287dea289b9p-3, 0x1.cee7eee72e35ap-3, 0x1.c4d3cd1673d8p-3, 0x1.baebc2830073ep-3, 0x1.b12f75309a51dp-3, 0x1.a79e873c4041ep-3, 0x1.9e3897b5fd51bp-3, 0x1.94fd423f8fb54p-3, 0x1.8bec1fa88b1a8p-3, 0x1.8304c61e6983dp-3, 0x1.7a46c973c4b43p-3, 0x1.71b1bac2feb7cp-3, 0x1.694529a467d2ap-3, 0x1.6100a3b9d5575p-3, 0x1.58e3b4a4b475cp-3, 0x1.50ede6c8a58bp-3, 0x1.491ec317ecb67p-3, 0x1.4175d16186f9p-3, 0x1.39f2983e8ab98p-3, 0x1.32949ddcf16dep-3, 0x1.2b5b66ff895dp-3, 0x1.244677f737feep-3, 0x1.1d5554d858f56p-3, 0x1.1687811383f23p-3, 0x1.0fdc7fd70ba0ap-3, 0x1.0953d451b6c7dp-3, 0x1.02ed00e0f9814p-3, 0x1.f94f117f8c4eep-4, 0x1.ed05ddc8adcaep-4, 0x1.e0fd6d13c01cap-4, 0x1.d534c55ed47abp-4, 0x1.c9aaeeaa723fdp-4, 0x1.be5ef11f79261p-4, 0x1.b34fd5a6a9ce9p-4, 0x1.a87ca5fd48b01p-4, 0x1.9de46ecb69567p-4, 0x1.93863b0136925p-4, 0x1.896119551920bp-4, 0x1.7f741921a7c34p-4, 0x1.75be4b867838ap-4, 0x1.6c3ec2e855af2p-4, 0x1.62f493e9ca9aep-4, 0x1.59ded4a23fef5p-4, 0x1.50fc9d38bdd8bp-4, 0x1.484d07c881279p-4, 0x1.3fcf305ecc69dp-4, 0x1.37823552f49b8p-4, 0x1.2f6536dfac392p-4, 0x1.2777579866929p-4, 0x1.1fb7bc16b0707p-4, 0x1.18258b9718ab5p-4, 0x1.10bfef5f5f94ap-4, 0x1.0986137259534p-4, 0x1.027725541ff15p-4, 0x1.f724ac3400531p-5, 0x1.e9adb0a9d73fep-5, 0x1.dc87c3b2810eap-5, 0x1.cfb154bcb293ep-5, 0x1.c328d848a1855p-5, 0x1.b6ecc9e58e501p-5, 0x1.aafba742ae70bp-5, 0x1.9f53f44289e7fp-5, 0x1.93f43af86c18cp-5, 0x1.88db08ad41da6p-5, 0x1.7e06f2b9423c2p-5, 0x1.73769029de961p-5, 0x1.69287fb18956fp-5, 0x1.5f1b63c0370f3p-5, 0x1.554de5046c8e7p-5, 0x1.4bbeb04f27908p-5, 0x1.426c7814da09ap-5, 0x1.3955f3ab5598p-5, 0x1.3079e017b7343p-5, 0x1.27d6fec05321ep-5, 0x1.1f6c16684fe91p-5, 0x1.1737f38e601bfp-5, 0x1.0f39653e64bb7p-5, 0x1.076f42b75e9fap-5, 0x1.ffb0cc4a6bd69p-6, 0x1.f0e75e1780367p-6, 0x1.e28003e4b402cp-6, 0x1.d47890c83159ap-6, 0x1.c6cedfcff4d5fp-6, 0x1.b980d9d97744cp-6, 0x1.ac8c6a794deddp-6, 0x1.9fef8ba5be053p-6, 0x1.93a83fb575d67p-6, 0x1.87b49160132bcp-6, 0x1.7c129545608c1p-6, 0x1.70c06797d1e03p-6, 0x1.65bc2f71c8fe7p-6, 0x1.5b041b29e25f6p-6, 0x1.5096629ee36afp-6, 0x1.467146b8b9ffap-6, 0x1.3c930f0ef3995p-6, 0x1.32fa0debb3defp-6, 0x1.29a49cce4abc9p-6, 0x1.20911cdb4505p-6, 0x1.17bdf87c90644p-6, 0x1.0f29a1595d0adp-6, 0x1.06d291f995cap-6, 0x1.fd6e96cd2899fp-7, 0x1.edacadabad70fp-7, 0x1.de5c8b3c04a5fp-7, 0x1.cf7b60b309827p-7, 0x1.c1066c84f0f3ap-7, 0x1.b2fafda800e67p-7, 0x1.a5566fde7858p-7, 0x1.98162ee276166p-7, 0x1.8b37b1ab9e486p-7, 0x1.7eb87f86d3c08p-7, 0x1.72962be9909b8p-7, 0x1.66ce58cfbdc7p-7, 0x1.5b5eb3d33dedfp-7, 0x1.5044f6c3cd9bcp-7, 0x1.457ee742b151ep-7, 0x1.3b0a5c2d65441p-7, 0x1.30e53601073abp-7, 0x1.270d609644a89p-7, 0x1.1d80d36317122p-7, 0x1.143d91c343abp-7, 0x1.0b41ab83d5482p-7, 0x1.028b391037e7ep-7, 0x1.f430c4eb3aeebp-8, 0x1.e3ceab468017ap-8, 0x1.d3ec9ce094b2fp-8, 0x1.c4872404a305cp-8, 0x1.b59ae1c62a978p-8, 0x1.a724889e91c5ap-8, 0x1.9920d90a9653ap-8, 0x1.8b8cb3acdc035p-8, 0x1.7e6500c1c1febp-8, 0x1.71a6c25a62e89p-8, 0x1.654f0ac1ef58cp-8, 0x1.595aff6851aa6p-8, 0x1.4dc7d9857aedap-8, 0x1.4292de1dd89c5p-8, 0x1.37b9611936ad4p-8, 0x1.2d38cefa04bb5p-8, 0x1.230e98c6039e8p-8, 0x1.193846585254p-8, 0x1.0fb37b099bf5fp-8, 0x1.067dd286db717p-8, 0x1.fb2a16a562d6dp-9, 0x1.e9eddfde4c1a8p-9, 0x1.d9429fc8c793fp-9, 0x1.c9241f836c99cp-9, 0x1.b98e2e64d4523p-9, 0x1.aa7cc51083c4dp-9, 0x1.9bebf130165a9p-9, 0x1.8dd7dca8ba5bbp-9, 0x1.803cd42fc7805p-9, 0x1.73173b67c5cd8p-9, 0x1.66639955375e4p-9, 0x1.5a1e7b099f10fp-9, 0x1.4e449c67b02d8p-9, 0x1.42d29e74dc6b4p-9, 0x1.37c559ea59b4fp-9, 0x1.2d19a60107d15p-9, 0x1.22cc756f69b8ep-9, 0x1.18dad927593a2p-9, 0x1.0f41fd7a3d9d8p-9, 0x1.05ff24b404f12p-9, 0x1.fa1f671fdcc5p-10, 0x1.e8e21ec313b3p-10, 0x1.d841649da75bp-10, 0x1.c838413ba5a9cp-10, 0x1.b8c1ccd5cd1a6p-10, 0x1.a9d929486c6eep-10, 0x1.9b79a9bd1b6a8p-10, 0x1.8d9ec0ff10f6p-10, 0x1.80442ab750b3ap-10, 0x1.7365c7c5e7459p-10, 0x1.66ffb2e05dfb7p-10, 0x1.5b0e109ee7b4ap-10, 0x1.4f8d2c0cb977bp-10, 0x1.44795edc4c3c1p-10, 0x1.39cef4f6ce53cp-10, 0x1.2f8a50a8dced9p-10, 0x1.25a7cb20cb16dp-10, 0x1.1c23fcd877da8p-10, 0x1.12fb888ca683fp-10, 0x1.0a2b48cc0acecp-10, 0x1.01b05038662f8p-10, 0x1.f30fb2bd4ec1cp-11, 0x1.e35e4932351cap-11, 0x1.d4472bb111c36p-11, 0x1.c5c54ff1858dap-11, 0x1.b7d2fb91c1ee3p-11, 0x1.aa6ba1c5b16d7p-11, 0x1.9d8998041dafp-11, 0x1.9127d560bce3bp-11, 0x1.8541977be9ddcp-11, 0x1.79d2322cb1a4ep-11, 0x1.6ed54c88adf6dp-11, 0x1.6446f576968c3p-11, 0x1.5a233f23ba477p-11, 0x1.506693b0ad0eep-11, 0x1.470d625c68e2cp-11, 0x1.3e143b01a13c3p-11, 0x1.357762facc7c1p-11, 0x1.2d3358f4b75acp-11, 0x1.254478114df29p-11, 0x1.1da764ae3ff11p-11, 0x1.1658c88152a57p-11, 0x1.0f557ea50b0d6p-11, 0x1.089a88d7748e8p-11, 0x1.0224dad5c932ap-11, 0x1.f7e3b80fa3b72p-12, 0x1.ebfe05e98d182p-12, 0x1.e09421da25a63p-12, 0x1.d5a195d93ce9dp-12, 0x1.cb21a56e78aa8p-12, 0x1.c10faaff49362p-12, 0x1.b76718ce21594p-12, 0x1.ae236ff6df5b1p-12, 0x1.a54096d156f51p-12, 0x1.9cba586287a15p-12, 0x1.948c968e6ef8bp-12, 0x1.8cb32ebb70f3dp-12, 0x1.852a1c6b1657dp-12, 0x1.7deda62d65c9cp-12, 0x1.76fa8f4089514p-12, 0x1.704dadbb80a4cp-12, 0x1.69e47894ce732p-12, 0x1.63bc566b4979ep-12, 0x1.5dd246b45df26p-12, 0x1.58238a70d859bp-12, 0x1.52ad8fc863f1dp-12, 0x1.4d6e2e566d3a4p-12, 0x1.4862d78c09393p-12, 0x1.43893ffd962f3p-12, 0x1.3ede8f2986a3ep-12, 0x1.3a6022a31e948p-12, 0x1.360b296d025a5p-12, 0x1.31dd716119ad1p-12, 0x1.2dd4f7ba9e1c3p-12, 0x1.29effbd912c46p-12, 0x1.262ca7d91d1ddp-12, 0x1.2289aee9bc64ep-12, 0x1.1f058a94df514p-12, 0x1.1b9edadb6f71fp-12, 0x1.185453cef877dp-12, 0x1.1524d7fff4728p-12, 0x1.120f26f8f0548p-12, 0x1.0f11e57e1ef59p-12, 0x1.0c2b6219207c6p-12, 0x1.095a4c2fcea4dp-12, 0x1.069cf1a1bbfd3p-12, 0x1.03f1bf8031ecfp-12, 0x1.0157452a858bdp-12, 0x1.fd9893bc6dab1p-13, 0x1.f89fa3d660ebbp-13, 0x1.f3c291f406a74p-13, 0x1.eeffe93a71a9bp-13, 0x1.ea567727aa868p-13, 0x1.e5c50eafbec61p-13, 0x1.e14ac61b32fb2p-13, 0x1.dce5fa2b85521p-13, 0x1.d8950454d964cp-13, 0x1.d4578da9e2a37p-13, 0x1.d02b4021efdb2p-13, 0x1.cc1032e3283ap-13, 0x1.c803e85e75466p-13, 0x1.c4045a54c998bp-13, 0x1.c00f7f7396da2p-13, 0x1.bc24048a26dbp-13, 0x1.b841431708b25p-13, 0x1.b466b4804c42ap-13, 0x1.b093cf09cb7c8p-13, 0x1.acc83e4c9cac9p-13, 0x1.a903c0f0d6d6fp-13, 0x1.a545bbddec218p-13, 0x1.a18d4a6c22a72p-13, 0x1.9dd9bf8cba4aep-13, 0x1.9a2aee6848c9cp-13, 0x1.968070ea90fcfp-13, 0x1.92da5f6afd6f3p-13, 0x1.8f3843c11f0a3p-13, 0x1.8b98a710a2409p-13, 0x1.87fa5fc98cd04p-13, 0x1.845cc121969fp-13, 0x1.80bf955fbd99fp-13, 0x1.7d22bdc67105bp-13, 0x1.7985e21925edp-13, 0x1.75e8b992c3514p-13, 0x1.724baa9b50fe4p-13, 0x1.6eaebac065d5p-13, 0x1.6b11804aeb844p-13, 0x1.677327e7cec2p-13, 0x1.63d45059465e2p-13, 0x1.6034a1878935bp-13, 0x1.5c9451ca6da7fp-13, 0x1.58f3b377e8134p-13, 0x1.5551fc32e443ap-13, 0x1.51af82f85b7ep-13, 0x1.4e0b6765844bcp-13, 0x1.4a65cc7320d86p-13, 0x1.46be7fd8da2a2p-13, 0x1.43160b7171ad3p-13, 0x1.3f6beccef4b14p-13, 0x1.3bbff0258b72cp-13, 0x1.38125e6762f66p-13, 0x1.3463fd3f762bap-13, 0x1.30b39f7878717p-13, 0x1.2d0239fd307fap-13, 0x1.294fb48fa4e68p-13, 0x1.259ba1cfe9241p-13, 0x1.21e6aae151047p-13, 0x1.1e30f12cfa6d3p-13, 0x1.1a7a6620254dp-13, 0x1.16c2fa7570ec2p-13, 0x1.130ad7db77dbap-13, 0x1.0f521c9c46673p-13, 0x1.0b988c33752d8p-13, 0x1.07deaf673483cp-13, 0x1.0424886efed41p-13, 0x1.006a4a176fdbbp-13, 0x1.f95f59554266ap-14, 0x1.f1ea67ebd2afap-14, 0x1.ea74f5a6e6084p-14, 0x1.e30087945bdefp-14, 0x1.db8c6af8caf3dp-14, 0x1.d419585f5e581p-14, 0x1.cca79850e7e82p-14, 0x1.c53732e3b9426p-14, 0x1.bdc9422ca0d5ap-14, 0x1.b65d150a71b91p-14, 0x1.aef315827771dp-14, 0x1.a78bc38d7bc08p-14, 0x1.a026ce7d9b871p-14, 0x1.98c56ef2ad136p-14, 0x1.91676c3834c3bp-14, 0x1.8a0d06ae99e4cp-14, 0x1.82b6b872929e2p-14, 0x1.7b64dc13d245cp-14, 0x1.7416e26ada724p-14, 0x1.6ccde5317e373p-14, 0x1.6589aa8475cfbp-14, 0x1.5e4aa218476a3p-14, 0x1.57111378928f5p-14, 0x1.4fdd33aef15e7p-14, 0x1.48afccdbd64c7p-14, 0x1.4187f2997cb7ep-14, 0x1.3a668f85a23a9p-14, 0x1.334c5a99e56fp-14, 0x1.2c38c6bb2f5cdp-14, 0x1.252c6a53fece8p-14, 0x1.1e2772957ab5bp-14, 0x1.1729eb0b06f3p-14, 0x1.103467f48ea96p-14, 0x1.0946f006f6b09p-14, 0x1.0261b7d70b3c6p-14, 0x1.f70a8b9693d14p-15, 0x1.e9620ea0f795p-15, 0x1.dbcc5da4f3522p-15, 0x1.ce479ec484402p-15, 0x1.c0d62753d9ef9p-15, 0x1.b377b749bf141p-15, 0x1.a62bc900c9417p-15, 0x1.98f4107cc59b9p-15, 0x1.8bd0521ff9c0fp-15, 0x1.7ec0ddf89b708p-15, 0x1.71c5baddd3421p-15, 0x1.64e002077844fp-15, 0x1.580fcf83725c1p-15, 0x1.4b5470357b199p-15, 0x1.3eaf51a40f2a7p-15, 0x1.321fd977ae4e7p-15, 0x1.25a70a85f3ba8p-15, 0x1.194522aff3139p-15, 0x1.0cfa8b5686058p-15, 0x1.00c6a4ce62762p-15, 0x1.e953fe63106a5p-16, 0x1.d14a5d8f57054p-16, 0x1.b9714a74a7affp-16, 0x1.a1c6a0bf44506p-16, 0x1.8a4dc3cf3b882p-16, 0x1.7305bd8451c87p-16, 0x1.5beedf91ddc86p-16, 0x1.4509c6ed8e07dp-16, 0x1.2e5674f24cca6p-16, 0x1.17d53133f37acp-16, 0x1.01860bbb3cf28p-16, 0x1.d6d47cbdfe11p-17, 0x1.ab0460a31201ap-17, 0x1.7f9c3b66758a1p-17, 0x1.549a76f088cb5p-17, 0x1.29fcdde3e8d38p-17, 0x1.ff9a62791604bp-18, 0x1.ac0398c53786dp-18, 0x1.59413809133d8p-18, 0x1.074b74d0b8c86p-18, 0x1.6c5fc5b7f6233p-19, 0x1.97a8d5003335ep-20, 0x1.671bc70965496p-22, -0x1.c17d21cb44b03p-21, -0x1.0bffcd79068ap-19, -0x1.a5e6cfde85a0ap-19, -0x1.1f176ad45bbdcp-18, -0x1.6a65d5c439a9p-18, -0x1.b4ddd58efa92p-18, -0x1.fe7e30a9734c9p-18, -0x1.23a61f646f607p-17, -0x1.47a07f0e91171p-17, -0x1.6b2ea55fbf102p-17, -0x1.8e53d501fe26fp-17, -0x1.b10d4e7ccfe52p-17, -0x1.d3600f571deaep-17, -0x1.f544c0ec592eep-17, -0x1.0b600f8ddf257p-16, -0x1.1be70ca26c66cp-16, -0x1.2c3ad73cfcb83p-16, -0x1.3c58dd284896fp-16, -0x1.4c421d187b0d1p-16, -0x1.5bf32b3d3599ap-16, -0x1.6b7654b7cb3cfp-16, -0x1.7ac1f0be79482p-16, -0x1.89d916a1d300cp-16, -0x1.98bbeb5238eb5p-16, -0x1.a76a8b840a238p-16, -0x1.b5e5417433ad4p-16, -0x1.c42c7ac0508ffp-16, -0x1.d240051e66fc2p-16, -0x1.e020b1c8d32c8p-16, -0x1.edccff7d61324p-16, -0x1.fb440c21765b2p-16, -0x1.0447352da8cf4p-15, -0x1.0ad145b2c5137p-15, -0x1.1143023d6dc9bp-15, -0x1.179b1bf743308p-15, -0x1.1dda51a321124p-15, -0x1.2400a69b39a22p-15, -0x1.2a0e459282ea7p-15, -0x1.30035a99817bap-15, -0x1.35e0ca050762ep-15, -0x1.3ba52f7180017p-15, -0x1.41513e1fb28f4p-15, -0x1.46e56e20627eap-15, -0x1.4c61f3a551d42p-15, -0x1.51c6a7b3543b5p-15, -0x1.5713bdd628835p-15, -0x1.5c4946d4afab7p-15, -0x1.6167b08d50bfdp-15, -0x1.666e7b0919416p-15, -0x1.6b5eb1acf3f88p-15, -0x1.7037453fbd812p-15, -0x1.74f94ea4277e8p-15, -0x1.79a5c03a9c582p-15, -0x1.7e3ba5c662829p-15, -0x1.82bad7e73dbe4p-15, -0x1.8723b36d3f8d8p-15, -0x1.8b77219c53c28p-15, -0x1.8fb48dfbc9ee7p-15, -0x1.93dc1b3d5c52dp-15, -0x1.97ee74acc3389p-15, -0x1.9bebac46a6f78p-15, -0x1.9fd3b6b52b3c8p-15, -0x1.a3a6ae3bc9dfep-15, -0x1.a764dc17098d9p-15, -0x1.ab0e6c55088bbp-15, -0x1.aea3cbe798c58p-15, -0x1.b226efc6c40ap-15, -0x1.b59215d6fc4cdp-15, -0x1.b8eb4a0773d5ep-15, -0x1.bc2f353a9f7b2p-15, -0x1.bf61137f9f07ep-15, -0x1.c27f0d3a5978ap-15, -0x1.c58ad5f991504p-15, -0x1.c8826d183095cp-15, -0x1.cb66e15f1ca11p-15, -0x1.ce395d37ec549p-15, -0x1.d0f903e866b36p-15, -0x1.d3a6a0ac1901p-15, -0x1.d641bddc0aaefp-15, -0x1.d8cacbb6e90c6p-15, -0x1.db42064400668p-15, -0x1.dda7aa808c489p-15, -0x1.dffbbee9d1568p-15, -0x1.e23eaf6bdf85ep-15, -0x1.e46fdb7d09d54p-15, -0x1.e690a62c5d9c3p-15, -0x1.e8a04cf204bc2p-15, -0x1.eaa02cc1fc718p-15, -0x1.ec8e7ddf395d5p-15, -0x1.ee6d0fc849e51p-15, -0x1.f03b8bed4e1bfp-15, -0x1.f1fa24a1da1p-15, -0x1.f3a8e63f05527p-15, -0x1.f54739633f484p-15, -0x1.f6d70a2653189p-15, -0x1.f8579b2363e82p-15, -0x1.f9c9b741b1bacp-15, -0x1.fb2bd1d270934p-15, -0x1.fc7f488a8cd64p-15, -0x1.fdc49833a5833p-15, -0x1.fefb8000610cbp-15, -0x1.0011b8b00fdd1p-14, -0x1.009f04a9c86fcp-14, -0x1.012516f4c6cbap-14, -0x1.01a4ae9735aedp-14, -0x1.021d5ec44a2d4p-14, -0x1.028f2d0dbcf5fp-14, -0x1.02fa9c1604825p-14, -0x1.035f55ab78eap-14, -0x1.03bd44a94e896p-14, -0x1.04154ab3cea9cp-14, -0x1.0466decd9d7e1p-14, -0x1.04b280720da52p-14, -0x1.04f7a33208909p-14, -0x1.0536b83b7186fp-14, -0x1.056fd70d3db42p-14, -0x1.05a340b4c88afp-14, -0x1.05d0bce8909f4p-14, -0x1.05f86c65aeebcp-14, -0x1.061a709dc824p-14, -0x1.0636ef3c4bc12p-14, -0x1.064da86b428c7p-14, -0x1.065f0d6c0074fp-14, -0x1.066b0de11c483p-14, -0x1.06725a9759c2fp-14, -0x1.0674283e114bp-14, -0x1.06701dbc74829p-14, -0x1.066773ac219abp-14, -0x1.0659d9e00898fp-14, -0x1.064748b90ef6ep-14, -0x1.062fcdd323453p-14, -0x1.0613af9be3de3p-14, -0x1.05f2960e447eap-14, -0x1.05cd0007d99d5p-14, -0x1.05a319683a8fap-14, -0x1.05746a60cc4ep-14, -0x1.05414b97b76eep-14, -0x1.05096d4bec498p-14, -0x1.04cdc4bd8b6dcp-14, -0x1.048d9aaece0c4p-14, -0x1.0449bf4ec9013p-14, -0x1.04014c7e25b02p-14, -0x1.03b4dc63df0f8p-14, -0x1.03645c9a57394p-14, -0x1.03102d37c36c3p-14, -0x1.02b80641ee7f3p-14, -0x1.025c1d53292dep-14, -0x1.01fca501690c3p-14, -0x1.019983dcb84bep-14, -0x1.0132760e45a6ep-14, -0x1.00c7e16f78112p-14, -0x1.005a07c6e058bp-14, -0x1.ffd0e557efc73p-15, -0x1.fee86cfee3c68p-15, -0x1.fdf85f4d814cbp-15, -0x1.fd019d6dc1028p-15, -0x1.fc04b775032c1p-15, -0x1.fb01f648cc03ep-15, -0x1.f9f8df07f773bp-15, -0x1.f8e95afc0fd6p-15, -0x1.f7d419679a56p-15, -0x1.f6b9134a581c9p-15, -0x1.f59851a297eep-15, -0x1.f4726e27907bep-15, -0x1.f3468d8d40c2ap-15, -0x1.f2157902c4504p-15, -0x1.f0df2a821104dp-15, -0x1.efa3a3dae83f8p-15, -0x1.ee63063515da3p-15, -0x1.ed1d0966a8c8bp-15, -0x1.ebd2f99a8f322p-15, -0x1.ea83890b71eb4p-15, -0x1.e930256d83c83p-15, -0x1.e7d77efb02913p-15, -0x1.e67a9c95aa2b4p-15, -0x1.e5195cf40673p-15, -0x1.e3b3b55b46914p-15, -0x1.e249ea1ec60a5p-15, -0x1.e0dc198cf9c3fp-15, -0x1.df6ad2956d16p-15, -0x1.ddf4f87f1615p-15, -0x1.dc7a84e370876p-15, -0x1.dafdc2532d413p-15, -0x1.d97d3b0e3d79p-15, -0x1.d7f926264c56cp-15, -0x1.d670f75220aa2p-15, -0x1.d4e569aa9b50ep-15, -0x1.d356bf97e86ccp-15, -0x1.d1c5015c5f0ebp-15, -0x1.d0304f477d539p-15, -0x1.ce97fd27dade7p-15, -0x1.ccfd063e49751p-15, -0x1.cb5ef972f4ca2p-15, -0x1.c9bec5e546f21p-15, -0x1.c81b6d1893c2ep-15, -0x1.c675428394c07p-15, -0x1.c4cc65eace502p-15, -0x1.c321f48cff29dp-15, -0x1.c173a400ea11p-15, -0x1.bfc3ba0388ecdp-15, -0x1.be110c3598a5fp-15, -0x1.bc5d5a6bbdbe8p-15, -0x1.baa6bc2950071p-15, -0x1.b8eddee103718p-15, -0x1.b73351d6fbe26p-15, -0x1.b5767cf2794d7p-15, -0x1.b3b7ed55bdf9bp-15, -0x1.b1f7acc5dd388p-15, -0x1.b035a781385f8p-15, -0x1.ae71f482d763cp-15, -0x1.acac717b98b58p-15, -0x1.aae582de570f3p-15, -0x1.a91d38e62f998p-15, -0x1.a753964537c58p-15, -0x1.a5886081661e7p-15, -0x1.a3bbcc178a75p-15, -0x1.a1edcf87356edp-15, -0x1.a01e8082a6b07p-15, -0x1.9e4e9f468a676p-15, -0x1.9c7d7a63fbd87p-15, -0x1.9aab94fec1d3dp-15, -0x1.98d8709ae99a3p-15, -0x1.97041d43a3154p-15, -0x1.952f500607656p-15, -0x1.93599847a44b6p-15, -0x1.918287378880ep-15, -0x1.8fab7a06f8328p-15, -0x1.8dd35222af2ebp-15, -0x1.8bfb55b42d11ep-15, -0x1.8a2234a61e0a7p-15, -0x1.88489e4a75d26p-15, -0x1.866e0ba6c7dadp-15, -0x1.8493ce942081ep-15, -0x1.82b90450cef99p-15, -0x1.80de4aa46fc07p-15, -0x1.7f02e6ee05d2ep-15, -0x1.7d26ba4052cd8p-15, -0x1.7b4aaea0def73p-15, -0x1.796ed050b65cp-15, -0x1.7792b58e86a73p-15, -0x1.75b65e9844cddp-15, -0x1.73da1556ba02dp-15, -0x1.71fe3583c4382p-15, -0x1.70223b9374c8bp-15, -0x1.6e45e41c9fbf1p-15, -0x1.6c69a755031ebp-15, -0x1.6a8e2fe0af866p-15, -0x1.68b28a933f7fdp-15, -0x1.66d72f6d3ba63p-15, -0x1.64fc15f6b46c1p-15, -0x1.63216041fef07p-15, -0x1.6146f80b2dc9fp-15, -0x1.5f6cf168f816bp-15, -0x1.5d93594860c0ap-15, -0x1.5bba322f5e8dep-15, -0x1.59e192825bcaep-15, -0x1.58097b858083dp-15, -0x1.563194036e7d9p-15, -0x1.545a9ca12e548p-15, -0x1.5284077fda8fp-15, -0x1.50ae6b3c47203p-15, -0x1.4ed9354a66145p-15, -0x1.4d04f2f0166c8p-15, -0x1.4b316faa612a6p-15, -0x1.495dde4d36538p-15, -0x1.478bf262aad2p-15, -0x1.45ba264ad64bap-15, -0x1.43ea02bcb587fp-15, -0x1.421a51821f072p-15, -0x1.404aee5ffb527p-15, -0x1.3e7d2d163585ap-15, -0x1.3caff67db947fp-15, -0x1.3ae4584812622p-15, -0x1.39193cd179ee2p-15, -0x1.374ed2503b04cp-15, -0x1.3585cc03f511fp-15, -0x1.33bdcc57aab8ep-15, -0x1.31f6f760aa113p-15, -0x1.3030e16d4b74fp-15, -0x1.2e6c0a8b77d88p-15, -0x1.2ca845e5a6511p-15, -0x1.2ae5c73981d04p-15, -0x1.2924a7694a62dp-15, -0x1.27645479e92f1p-15, -0x1.25a57ec242348p-15, -0x1.23e7756b7f4ffp-15, -0x1.222adde114cb8p-15, -0x1.206fa7425c0ffp-15, -0x1.1eb5c06b4f2dcp-15, -0x1.1cfd286469941p-15, -0x1.1b45799a1774bp-15, -0x1.198f578a1e90fp-15, -0x1.17daa478b7f1cp-15, -0x1.16273ce11bd48p-15, -0x1.1475415024881p-15, -0x1.12c497ddbe064p-15, -0x1.1115459497b92p-15, -0x1.0f673f8d7222cp-15, -0x1.0dba9c3af3838p-15, -0x1.0c0f969fb073bp-15, -0x1.0a66188c4bb4fp-15, -0x1.08be33affd229p-15, -0x1.0717627a40f3ap-15, -0x1.0571cc191d692p-15, -0x1.03ce862bc397fp-15, -0x1.022c55295c6aap-15, -0x1.008b94ac8c79ep-15, -0x1.fdd9080f82c82p-16, -0x1.fa9d81a3b13fdp-16, -0x1.f765c875b442cp-16, -0x1.f430d580e24b8p-16, -0x1.f0fe9ee29f642p-16, -0x1.edcee399f079p-16, -0x1.eaa389ec72759p-16, -0x1.e77c5cba4a88fp-16, -0x1.e456e114ce695p-16, -0x1.e134362eac19ep-16, -0x1.de1537ce04f7ap-16, -0x1.daf98830f4a8dp-16, -0x1.d7e10b4f58d51p-16, -0x1.d4cc225a6909fp-16, -0x1.d1bd6197d5ca6p-16, -0x1.ceabe0e3ec06ap-16, -0x1.cba0f0289403bp-16, -0x1.c898bc489f0b1p-16, -0x1.c593db0edee46p-16, -0x1.c292bf8aa3717p-16, -0x1.bf9498e93b477p-16, -0x1.bc9a44f872a7ap-16, -0x1.b9a36be63f67ap-16, -0x1.b6af9010f2c33p-16, -0x1.b3be738aca2b2p-16, -0x1.b0d17099f1172p-16, -0x1.ade81df081dabp-16, -0x1.ab01f6a204ebep-16, -0x1.a81ed0247bdfcp-16, -0x1.a53ef8d30b324p-16, -0x1.a263135942974p-16, -0x1.9f8b3b8a788f7p-16, -0x1.9cb59c389552ap-16, -0x1.99e41128ea73bp-16, -0x1.97153b09bec4fp-16, -0x1.944a342dfa6ap-16, -0x1.9182f4fc99a59p-16, -0x1.8ebf00f8cfc9fp-16, -0x1.8bfef57a26e23p-16, -0x1.89413cae8dee8p-16, -0x1.86877a77df391p-16, -0x1.83d198a651c99p-16, -0x1.811f7c1f13c2p-16, -0x1.7e6f9670506aap-16, -0x1.7bc39ab1a72d7p-16, -0x1.791b665221a63p-16, -0x1.7676a3280148ap-16, -0x1.73d533d1c963fp-16, -0x1.71370468bedfp-16, -0x1.6e9b77efc881fp-16, -0x1.6c0515f1b1082p-16, -0x1.697199450e039p-16, -0x1.66e1eecc4085ap-16, -0x1.6454d50bcfb82p-16, -0x1.61cbebbc8553cp-16, -0x1.5f461dd69cba7p-16, -0x1.5cc3281083265p-16, -0x1.5a44860ee3955p-16, -0x1.57c90155dbdd2p-16, -0x1.555242f2f6cefp-16, -0x1.52dc7b7784cbp-16, -0x1.506b443c7b98bp-16, -0x1.4dfd8b17d9f0cp-16, -0x1.4b93323228ea4p-16, -0x1.492c189a251b7p-16, -0x1.46c8a43c9c38p-16, -0x1.44688c9b2e722p-16, -0x1.420be3589a0dbp-16, -0x1.3fb254674875p-16, -0x1.3d5c612bbf1d8p-16, -0x1.3b09ebbc9348cp-16, -0x1.38bac3e255a18p-16, -0x1.366ee278bcb33p-16, -0x1.342648c8d0efcp-16, -0x1.31e12225eec2cp-16, -0x1.2f9fa31827ee7p-16, -0x1.2d60a76ec4eep-16, -0x1.2b25d5816da22p-16, -0x1.28ee0d74a09afp-16, -0x1.26b9bddfeee67p-16, -0x1.24883b136aa61p-16, -0x1.225bfb167c41p-16, -0x1.202f853a51a4ep-16, -0x1.1e0945edf0842p-16, -0x1.1be49027302b5p-16, -0x1.19c3d7ada52fp-16, -0x1.17a64d1dc3e7ep-16, -0x1.158bd0a66c1ecp-16, -0x1.1374c7f9bfd81p-16, -0x1.1161a5441ba46p-16, -0x1.0f51092d77867p-16, -0x1.0d43d7e4dabb5p-16, -0x1.0b38e0c6e1f14p-16, -0x1.0931dde200b9ap-16, -0x1.072e988bde1abp-16, -0x1.052dccce50041p-16, -0x1.0330fefb076d2p-16, -0x1.01362b10b0aap-16, -0x1.fe7d97f2128bap-17, -0x1.fa95f4126fd26p-17, -0x1.f6b48ca6d010dp-17, -0x1.f2d8eecc0c82cp-17, -0x1.ef02fc62b4664p-17, -0x1.eb35463367304p-17, -0x1.e76bd7f3738b5p-17, -0x1.e3a8f44807ea9p-17, -0x1.dfec171f30847p-17, -0x1.dc340a43626p-17, -0x1.d884b0d1ee69bp-17, -0x1.d4d9e9a803172p-17, -0x1.d13704265ad39p-17, -0x1.cd96e68675957p-17, -0x1.c9fe77efe4722p-17, -0x1.c66bf066fed46p-17, -0x1.c2df813ba0e35p-17, -0x1.bf5942a3ac66cp-17, -0x1.bbd72d0605a84p-17, -0x1.b85c6df007135p-17, -0x1.b4e5b13142da5p-17, -0x1.b178dc2ca03a4p-17, -0x1.ae0e7a58565bap-17, -0x1.aaaaf69579e1fp-17, -0x1.a74d3bea6b141p-17, -0x1.a3f4fe14741a8p-17, -0x1.a0a1fdeffd009p-17, -0x1.9d559a1c7ce0ep-17, -0x1.9a0d23744be05p-17, -0x1.96cc8ba900ffap-17, -0x1.93904554066abp-17, -0x1.90598aeee3fadp-17, -0x1.8d28673360a2bp-17, -0x1.89fcf94ba579ep-17, -0x1.86d797ad7b68ap-17, -0x1.83b6b23a865a4p-17, -0x1.809b12cbb291ap-17, -0x1.7d843f9a418ddp-17, -0x1.7a74b1ed32aaap-17, -0x1.776b4a917f438p-17, -0x1.746552763df62p-17, -0x1.7165638a86293p-17, -0x1.6e69ec7a01a28p-17, -0x1.6b74cce588d1fp-17, -0x1.6883fc50015a6p-17, -0x1.6598a891225bp-17, -0x1.62b3b64185b52p-17, -0x1.5fd222d36b3b3p-17, -0x1.5cf646f6a205ep-17, -0x1.5a1fd58c20706p-17, -0x1.574ecad30d3c2p-17, -0x1.54826499d6809p-17, -0x1.51b9ee9b938e6p-17, -0x1.4ef762bf21b7fp-17, -0x1.4c3b7f33e866ap-17, -0x1.4982b0cf63e39p-17, -0x1.46cecf8f630d9p-17, -0x1.4420b46a091e5p-17, -0x1.4176f819309bap-17, -0x1.3ed191a0fa0d7p-17, -0x1.3c3270467a042p-17, -0x1.3997160feb8bcp-17, -0x1.3700c6a98777p-17, -0x1.346d8587002p-17, -0x1.31e1d3d67aff7p-17, -0x1.2f5a7cff1adcbp-17, -0x1.2cd6910203de9p-17, -0x1.2a5692ef4d8edp-17, -0x1.27dc6770d1cf6p-17, -0x1.25684fde3bb64p-17, -0x1.22f633ab4fb2dp-17, -0x1.208b4ceb4a1dap-17, -0x1.1e217778d5c33p-17, -0x1.1bbf4a1f8b8a5p-17, -0x1.195fd4c2353e1p-17, -0x1.1704a4579d88ap-17, -0x1.14ade0d03fbacp-17, -0x1.125e1c6733796p-17, -0x1.10105274e1c0dp-17, -0x1.0dc6b220b0bc6p-17, -0x1.0b81cfb07dd8ep-17, -0x1.094273fce8027p-17, -0x1.0706fcbdbdfcep-17, -0x1.04ccd23818c45p-17, -0x1.029a5841ccabcp-17, -0x1.006b37adb98bep-17, -0x1.fc7fd69210145p-18, -0x1.f83124387bdb5p-18, -0x1.f3ec059cdb1f2p-18, -0x1.efae917d2a258p-18, -0x1.eb794ce037e89p-18, -0x1.e74b454e319f2p-18, -0x1.e3261b7ebb64cp-18, -0x1.df08c245f9693p-18, -0x1.daf28ee68ebb8p-18, -0x1.d6e6339b90cebp-18, -0x1.d2e3743459a43p-18, -0x1.cee1aed5d35dap-18, -0x1.caea41b6d8a5bp-18, -0x1.c6ff3d1fba0d4p-18, -0x1.c319606560d9p-18, -0x1.bf3997d4873ddp-18, -0x1.bb65044f57bf1p-18, -0x1.b79216f7e9a28p-18, -0x1.b3c9e831d55a6p-18, -0x1.b0093bd0137e2p-18, -0x1.ac4f2e630cc52p-18, -0x1.a89c9e1744636p-18, -0x1.a4f215fc19033p-18, -0x1.a14fe57052ecdp-18, -0x1.9db4310c2ec46p-18, -0x1.9a1ca14f770d2p-18, -0x1.968d439910dc8p-18, -0x1.9309603b74ad4p-18, -0x1.8f88db5889774p-18, -0x1.8c10b516eff61p-18, -0x1.889dfb0ddf82p-18, -0x1.85323bcfb211fp-18, -0x1.81cfd09a230c3p-18, -0x1.7e71591d8cda9p-18, -0x1.7b1bc9df0dfc6p-18, -0x1.77cb59b43cf36p-18, -0x1.747f402ab5db2p-18, -0x1.713c96eb530e9p-18, -0x1.6e02b3183b971p-18, -0x1.6acca4314138fp-18, -0x1.679daec238885p-18, -0x1.6475095a39223p-18, -0x1.6150e93fdd18ap-18, -0x1.5e3587efe2dc3p-18, -0x1.5b228f4b3f133p-18, -0x1.5815dc70f202bp-18, -0x1.5508008be8449p-18, -0x1.52057da8dcef3p-18, -0x1.4f099e70b2725p-18, -0x1.4c12907e8fa6cp-18, -0x1.49230f14f9292p-18, -0x1.4638265689ebp-18, -0x1.4353814ad4bacp-18, -0x1.4075cce9516dbp-18, -0x1.3d9ca20b1a58bp-18, -0x1.3aca26cd35eb8p-18, -0x1.37fd807be4d13p-18, -0x1.3537658e5239dp-18, -0x1.3273298513a44p-18, -0x1.2fb91aa24fc11p-18, -0x1.2d0423630c5d4p-18, -0x1.2a5453c3aa4a6p-18, -0x1.27a8a854d3dabp-18, -0x1.2502e8f9deb5cp-18, -0x1.22635e2441177p-18, -0x1.1fc9d0e17bc9fp-18, -0x1.1d351fcecb01p-18, -0x1.1aa4d1c66f288p-18, -0x1.181b75c6b6ec1p-18, -0x1.15987b82c404ep-18, -0x1.13165dc7a3469p-18, -0x1.109d3ec6586f3p-18, -0x1.0e27f3f7ed4d3p-18, -0x1.0bb9b71434511p-18, -0x1.094ee4b206bbcp-18, -0x1.06e9567004e6cp-18, -0x1.04879f78397f7p-18, -0x1.022bc12023ba5p-18, -0x1.ffae51e59e9f9p-19, -0x1.fb078673b17f4p-19, -0x1.f6716c0eae9cdp-19, -0x1.f1e1c073e7bb6p-19, -0x1.ed5aadbb2687ap-19, -0x1.e8deace58f1cbp-19, -0x1.e46ecbc1802d5p-19, -0x1.e0050fd1eaa8ap-19, -0x1.dba742dafe513p-19, -0x1.d74e4492724a5p-19, -0x1.d3030132e311fp-19, -0x1.cebce7130de7p-19, -0x1.ca81ddc7b47a4p-19, -0x1.c653cc8372c4bp-19, -0x1.c22b05c91db2bp-19, -0x1.be0a3dafd4897p-19, -0x1.b9f49347eb95p-19, -0x1.b5e621fbb0837p-19, -0x1.b1e229baba18p-19, -0x1.addf09c07b743p-19, -0x1.a9ef2dfa26bfp-19, -0x1.a6067f80d9ab2p-19, -0x1.a224e2a134ddfp-19, -0x1.9e4932f83e5d1p-19, -0x1.9a75b3a8f7cb2p-19, -0x1.96ab5067f6814p-19, -0x1.92eaf84e54c22p-19, -0x1.8f321e43b4b0ap-19, -0x1.8b81d64621cf8p-19, -0x1.87d8006006171p-19, -0x1.8434eb91b8785p-19, -0x1.809dc18b2e622p-19, -0x1.7d0bc1f9f883bp-19, -0x1.7983417a08f6ap-19, -0x1.7601121946beap-19, -0x1.72878c4869638p-19, -0x1.6f120051ef862p-19, -0x1.6bac9ec82319dp-19, -0x1.6845dd33c41fcp-19, -0x1.64eac14be4c7cp-19, -0x1.619488bd69c8p-19, -0x1.5e472464568ebp-19, -0x1.5b04b2108b8a3p-19, -0x1.57c49c51b723cp-19, -0x1.548ccd03fb4fap-19, -0x1.515ca35424aafp-19, -0x1.4e334c994a444p-19, -0x1.4b110df0c5cfbp-19, -0x1.47f655ffcc694p-19, -0x1.44e1f890d60c3p-19, -0x1.41d36ce4916cp-19, -0x1.3ecd0092ed40bp-19, -0x1.3bca979b23fa2p-19, -0x1.38d7d81928002p-19, -0x1.35e1c516d89f1p-19, -0x1.32f3a14e83b75p-19, -0x1.300eb023079c1p-19, -0x1.2d31495eea0c4p-19, -0x1.2a58881f9813ap-19, -0x1.27857d91cd435p-19, -0x1.24b962a26907ap-19, -0x1.21f5ca299d82ap-19, -0x1.1f3418637a4f6p-19, -0x1.1c78e06083357p-19, -0x1.19caf387c608cp-19, -0x1.171bee180d7d7p-19, -0x1.14749d7374987p-19, -0x1.11d2d90e909a6p-19, -0x1.0f3a786b8f95bp-19, -0x1.0ca25daad57dfp-19, -0x1.0a134d137b958p-19, -0x1.0788b58e13f55p-19, -0x1.0507859554b9ap-19, -0x1.028b48d60351fp-19, -0x1.0010a08911d53p-19, -0x1.fb33865294028p-20, -0x1.f66010bff33cbp-20, -0x1.f1903950299efp-20, -0x1.eccc4556a9f4fp-20, -0x1.e813ede2f3259p-20, -0x1.e3654895d303dp-20, -0x1.dec04497250e4p-20, -0x1.da20a1baf596p-20, -0x1.d5938cc52b142p-20, -0x1.d113cb3485305p-20, -0x1.cc97fcce0869p-20, -0x1.c82726796db27p-20, -0x1.c3c1550a8e725p-20, -0x1.bf683d81ca4d8p-20, -0x1.bb14873eddedfp-20, -0x1.b6cc4276debaap-20, -0x1.b28b70276ffdp-20, -0x1.ae564139a3adep-20, -0x1.aa39b0c03055dp-20, -0x1.a60cb14af7c12p-20, -0x1.a1f9f01bfd65dp-20, -0x1.9deb12c56a577p-20, -0x1.99e3e978d22acp-20, -0x1.95e894105c824p-20, -0x1.91f7e733ecbbfp-20, -0x1.8e0c0cd62ba23p-20, -0x1.8a31190a329c8p-20, -0x1.8658c50849a78p-20, -0x1.828a9994e9774p-20, -0x1.7ec56d4d2d819p-20, -0x1.7b08e1d2e7284p-20, -0x1.7757d1a0c56bdp-20, -0x1.73a9cbca452cp-20, -0x1.70074cdf27eefp-20, -0x1.6c6f7061bc3e7p-20, -0x1.68de3e266cc6fp-20, -0x1.6551ab54d7dbap-20, -0x1.61d60a65695aap-20, -0x1.5e5a14a248d5ap-20, -0x1.5aec7b93f5cf7p-20, -0x1.5782f2f26d339p-20, -0x1.541ff32cc9e78p-20, -0x1.50c47a3f6473p-20, -0x1.4d7772d0b3d4ep-20, -0x1.4a30445c0b8d9p-20, -0x1.46f03b142733fp-20, -0x1.43b01d6a8fcfp-20, -0x1.4081e428cee27p-20, -0x1.3d58ade507d6ep-20, -0x1.3a3501c29eda7p-20, -0x1.371a87fb598abp-20, -0x1.3403f42cf56f5p-20, -0x1.30f914bad8cbfp-20, -0x1.2df2ce7156e65p-20, }}, 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      {{-0x1.174e862ff34e2p-1, -0x1.17e9b1ca3d0c2p-1, -0x1.18bcf094f365cp-1, -0x1.19c2b0d24cebdp-1, -0x1.1af448c07113ap-1, -0x1.1c4a37f302ee6p-1, -0x1.1dbc65cb8560ep-1, -0x1.1f425aeaacecep-1, -0x1.20d3747184fe1p-1, -0x1.22671095d8084p-1, -0x1.23f4b480b32f7p-1, -0x1.25742bb8a6abcp-1, -0x1.26dda1877f5e9p-1, -0x1.2829b4e5061d2p-1, -0x1.2951877c23bap-1, -0x1.2a4ec861ec9cbp-1, -0x1.2b1bbb11f0276p-1, -0x1.2bb33b3adb749p-1, -0x1.2c10bddbdd404p-1, -0x1.2c3050275d0b4p-1, -0x1.2c0e9493546f8p-1, -0x1.2ba8be73827a4p-1, -0x1.2afc8c6e25652p-1, -0x1.2a0842111f085p-1, -0x1.28caa0c37a15bp-1, -0x1.2742e04656882p-1, -0x1.2570a6f0353bp-1, -0x1.235401c682e23p-1, -0x1.20ed5c9301b82p-1, -0x1.1e3d7a0d371d6p-1, -0x1.1b456c2b4fc08p-1, -0x1.18068ca9d3858p-1, -0x1.148275d60c9efp-1, -0x1.10bafba40a047p-1, -0x1.0cb22516a97bcp-1, -0x1.086a25fdf364dp-1, -0x1.03e5590e5d51cp-1, -0x1.fe4c74a4155d3p-2, -0x1.f45ec3e7f519p-2, -0x1.ea06fec830f43p-2, -0x1.df4aa9a4c930fp-2, -0x1.d42f65fd97476p-2, -0x1.c8baeab5a0ea3p-2, -0x1.bcf2fcf3af33bp-2, -0x1.b0dd69993cb0cp-2, -0x1.a47fff488942ep-2, -0x1.97e088f272e4bp-2, -0x1.8b04c8e4a213bp-2, -0x1.7df274509915ap-2, -0x1.70af2f445dc29p-2, -0x1.6340890d94ba6p-2, -0x1.55abf9001e86bp-2, -0x1.47f6db9989249p-2, -0x1.3a266ffae20d9p-2, -0x1.2c3fd5b2d83dep-2, -0x1.1e480ad242a63p-2, -0x1.1043ea459cd02p-2, -0x1.02382a6e2ab6fp-2, -0x1.e852b7ebcd7ap-3, -0x1.cc37d1b32bacp-3, -0x1.b02827494df95p-3, -0x1.942bedb5aa981p-3, -0x1.784b091771b1dp-3, -0x1.5c8d0c1986ac3p-3, -0x1.40f937acaf607p-3, -0x1.25967b01c9162p-3, -0x1.0a6b73be5d2c8p-3, -0x1.defcdccc6b79ap-4, -0x1.a9aacdea046d1p-4, -0x1.74ec1346f1b03p-4, -0x1.40cb67a767f38p-4, -0x1.0d52ea41971f8p-4, -0x1.b51842382f228p-5, -0x1.50fff749666fep-5, -0x1.dcdb55e4fc892p-6, -0x1.1ae1e5729bb97p-6, -0x1.70c2452ba1892p-8, 0x1.7c777224ee47dp-8, 0x1.16f0b69d004ecp-6, 0x1.cb315e5291814p-6, 0x1.3de59adda135dp-5, 0x1.9455c899e89dfp-5, 0x1.e8e0d465573a2p-5, 0x1.1dbfa25f3e624p-4, 0x1.4615419581239p-4, 0x1.6d6e6a5f1b1f5p-4, 0x1.93c8a94dacf22p-4, 0x1.b921f13c37f95p-4, 0x1.dd789792e6bfcp-4, 0x1.0065a84797f0ep-3, 0x1.118c95c91012fp-3, 0x1.2230c7bb46fbdp-3, 0x1.32521b7848c68p-3, 0x1.41f0967be8c85p-3, 0x1.510c649ee50fep-3, 0x1.5fa5d6589d75cp-3, 0x1.6dbd5f07e4d46p-3, 0x1.7b5393436326bp-3, 0x1.88692731e6aa9p-3, 0x1.94feeceb1ac7dp-3, 0x1.a115d2e0d51bap-3, 0x1.acaee251669c4p-3, 0x1.b7cb3dc308952p-3, 0x1.c26c1f88b9ebep-3, 0x1.cc92d850a2acdp-3, 0x1.d640cdbc2d5dbp-3, 0x1.df777901eb337p-3, 0x1.e838659959289p-3, 0x1.f0852ff092443p-3, 0x1.f85f842bfee7ap-3, 0x1.ffc91cefedc7cp-3, 0x1.0361e11a15d7ep-2, 0x1.06a8a410be823p-2, 0x1.09b9c6fc7a52p-2, 0x1.0c963e828b452p-2, 0x1.0f3f03ca51841p-2, 0x1.11b513ff8386cp-2, 0x1.13f96fd920201p-2, 0x1.160d1b250c5d2p-2, 0x1.17f11c58523abp-2, 0x1.19a67c23e47a9p-2, 0x1.1b2e450dd8a5p-2, 0x1.1c89830f044d3p-2, 0x1.1db94334dfb07p-2, 0x1.1ebe9347a402ep-2, 0x1.1f9a817480e95p-2, 0x1.204e1bfbdc5e8p-2, 0x1.20da70e37d595p-2, 0x1.21408dac8e4b6p-2, 0x1.21817f0d5bc1dp-2, 0x1.219e50aeb6f88p-2, 0x1.21980cece1fbcp-2, 0x1.216fbc9bf11e1p-2, 0x1.212666cf80c4ep-2, 0x1.20bd10a5adf59p-2, 0x1.2034bd15349aep-2, 0x1.1f8e6cbe9b532p-2, 0x1.1ecb1dc053444p-2, 0x1.1debcb8db5f8cp-2, 0x1.1cf16ec8c6719p-2, 0x1.1bdcfd1e9efep-2, 0x1.1aaf692673aa3p-2, 0x1.1969a24311138p-2, 0x1.180c9486c2f65p-2, 0x1.169928998812dp-2, 0x1.151043a183932p-2, 0x1.1372c72d8d296p-2, 0x1.11c19121d557bp-2, 0x1.0ffd7ba67c751p-2, 0x1.0e275d1816478p-2, 0x1.0c4007f9f7032p-2, 0x1.0a484aea44d8dp-2, 0x1.0840f097af4aap-2, 0x1.062abfb8bff53p-2, 0x1.04067b04b022ep-2, 0x1.01d4e12db515fp-2, 0x1.ff2d59b95853ep-3, 0x1.fa99295c34fa3p-3, 0x1.f5ee9660dc322p-3, 0x1.f12efdc6e5f0bp-3, 0x1.ec5bb471cf5b7p-3, 0x1.e776072c52a49p-3, 0x1.e27f3aadc6c09p-3, 0x1.dd788ba16d72cp-3, 0x1.d8632eaf9b75dp-3, 0x1.d34050889088p-3, 0x1.ce1115f0fd983p-3, 0x1.c8d69bd0060f3p-3, 0x1.c391f73ebc366p-3, 0x1.be443598f206p-3, 0x1.b8ee5c8f52edep-3, 0x1.b3916a3aa285fp-3, 0x1.ae2e5530248e9p-3, 0x1.a8c60c96fdde1p-3, 0x1.a359783e8f1e1p-3, 0x1.9de978b5b43adp-3, 0x1.9876e762cb7f1p-3, 0x1.9302969c837a5p-3, 0x1.8d8d51c350e86p-3, 0x1.8817dd5b8bb97p-3, 0x1.82a2f72814709p-3, 0x1.7d2f56457e54cp-3, 0x1.77bdab45b304cp-3, 0x1.724ea04bf266cp-3, 0x1.6ce2d9293981dp-3, 0x1.677af378eb508p-3, 0x1.621786bdc6fadp-3, 0x1.5cb9247f11146p-3, 0x1.57605865e7142p-3, 0x1.520da85abfa72p-3, 0x1.4cc194a2fbbabp-3, 0x1.477c97fe8e649p-3, 0x1.423f27c5a68dbp-3, 0x1.3d09b406624a3p-3, 0x1.37dca7a2717a9p-3, 0x1.32b8686cacfd9p-3, 0x1.2d9d574699a74p-3, 0x1.288bd03dc8e9fp-3, 0x1.23842aa91c779p-3, 0x1.1e86b945e08cdp-3, 0x1.1993ca54b1745p-3, 0x1.14aba7b6334dp-3, 0x1.0fce970791851p-3, 0x1.0afcd9bebeff7p-3, 0x1.0636ad46719dep-3, 0x1.017c4b19e038p-3, 0x1.f99bd1c05f4bbp-4, 0x1.f057710f3115fp-4, 0x1.e72bd0c06c196p-4, 0x1.de19466d1a915p-4, 0x1.d52020db62cc4p-4, 0x1.cc40a8322d75cp-4, 0x1.c37b1e2c186eap-4, 0x1.bacfbe49aba76p-4, 0x1.b23ebe02cc761p-4, 0x1.a9c84cf772ee1p-4, 0x1.a16c951fa2faap-4, 0x1.992bbafa92e6p-4, 0x1.9105ddbd0e401p-4, 0x1.88fb177f0d948p-4, 0x1.810b7d687f98dp-4, 0x1.79371fdd450d4p-4, 0x1.717e0aa85bf92p-4, 0x1.69e0452639611p-4, 0x1.625dd26e530cep-4, 0x1.5af6b17bd7f4bp-4, 0x1.53aadd55920dbp-4, 0x1.4c7a4d34fc8d1p-4, 0x1.4564f4ac843e2p-4, 0x1.3e6ac3ccf4642p-4, 0x1.378ba74a194cp-4, 0x1.30c7889e8bb76p-4, 0x1.2a1e4e2eb1cb5p-4, 0x1.238fdb6aef86ep-4, 0x1.1d1c10f10ace8p-4, 0x1.16c2ccacc4a03p-4, 0x1.1083e9f7a8804p-4, 0x1.0a5f41b812a41p-4, 0x1.0454aa7f70338p-4, 0x1.fcc7f14f74ab8p-5, 0x1.f119fce05f72dp-5, 0x1.e59f1832998d9p-5, 0x1.da56e0000b4c4p-5, 0x1.cf40ed708541bp-5, 0x1.c45cd64d4d91ap-5, 0x1.b9aa2d3331f57p-5, 0x1.af2881c33bab3p-5, 0x1.a4d760d1f84a9p-5, 0x1.9ab6549561b35p-5, 0x1.90c4e4d16eefep-5, 0x1.870297034d578p-5, 0x1.7d6eee8b4c7dfp-5, 0x1.74096cd57a7adp-5, 0x1.6ad191810279ep-5, 0x1.61c6da8644c87p-5, 0x1.58e8c45bb9434p-5, 0x1.5036ca199b174p-5, 0x1.47b0659c6b331p-5, 0x1.3f550fa641ac4p-5, 0x1.37243fff02da7p-5, 0x1.2f1d6d9374497p-5, 0x1.27400e933a4e3p-5, 0x1.1f8b988dc0b4fp-5, 0x1.17ff808e1fc69p-5, 0x1.109b3b35eedd8p-5, 0x1.095e3cd71ffc2p-5, 0x1.0247f98cd97cbp-5, 0x1.f6afcaa6bb5e7p-6, 0x1.e91ae83e04517p-6, 0x1.dbd033e46d85ap-6, 0x1.cece95e562d1ep-6, 0x1.c214f6fb66dfdp-6, 0x1.b5a24076e7764p-6, 0x1.a9755c6370795p-6, 0x1.9d8d35ab374cap-6, 0x1.91e8b839205d2p-6, 0x1.8686d11921f9dp-6, 0x1.7b666e973cc5dp-6, 0x1.7086805cf3f42p-6, 0x1.65e5f78d5c855p-6, 0x1.5b83c6dfc70c6p-6, 0x1.515ee2b916f9ep-6, 0x1.47764143c49dcp-6, 0x1.3dc8da869d92fp-6, 0x1.3455a87a48826p-6, 0x1.2b1ba71d93fabp-6, 0x1.2219d488a2a8cp-6, 0x1.194f30fee9addp-6, 0x1.10babf002443ep-6, 0x1.085b83582c7f6p-6, 0x1.0030852ddaf69p-6, 0x1.f0719c21a3b8p-7, 0x1.e0e6d40cd4defp-7, 0x1.d1becf2b33b2ap-7, 0x1.c2f7afa4127ecp-7, 0x1.b48f9ccc78f9ap-7, 0x1.a684c339c30b7p-7, 0x1.98d554d2ad135p-7, 0x1.8b7f88dec9711p-7, 0x1.7e819c146bfe6p-7, 0x1.71d9d0a52bd5ep-7, 0x1.65866e48df427p-7, 0x1.5985c2475f3eep-7, 0x1.4dd61f80dfdacp-7, 0x1.4275de75100bep-7, 0x1.37635d49140f1p-7, 0x1.2c9cffcc31d15p-7, 0x1.22212f7b77dbp-7, 0x1.17ee5b844b998p-7, 0x1.0e02f8c5ea6e6p-7, 0x1.045d81d1fe297p-7, 0x1.f5f8edd849b0dp-8, 0x1.e3bcbc114b85cp-8, 0x1.d203859473ed1p-8, 0x1.c0ca6cfe1061fp-8, 0x1.b00ea0399f4dep-8, 0x1.9fcd5878cba88p-8, 0x1.9003da28b7f6ap-8, 0x1.80af74e6054f2p-8, 0x1.71cd836f94fd2p-8, 0x1.635b6b97fa0dbp-8, 0x1.55569e35e04ebp-8, 0x1.47bc971321d0bp-8, 0x1.3a8adcdaea9f7p-8, 0x1.2dbf0106d6249p-8, 0x1.21569fcb0c663p-8, 0x1.154f600193c34p-8, 0x1.09a6f314c2128p-8, 0x1.fcb629d1b39bbp-9, 0x1.e6d31789c73b6p-9, 0x1.d1a05075c1644p-9, 0x1.bd198a1ebef78p-9, 0x1.a93a8e40a8bc3p-9, 0x1.95ff3a972c1e9p-9, 0x1.836380a95c888p-9, 0x1.716365943990ap-9, 0x1.5ffb01d4c2517p-9, 0x1.4f268110d0e12p-9, 0x1.3ee221df74de8p-9, 0x1.2f2a35908745ap-9, 0x1.1ffb1ff3d22e3p-9, 0x1.1151571f509a6p-9, 0x1.032963352e18cp-9, 0x1.eaffbc52cb243p-10, 0x1.d0a2e70dc09afp-10, 0x1.b735c068bb915p-10, 0x1.9eb1e47283569p-10, 0x1.8711110327605p-10, 0x1.704d25453c9d4p-10, 0x1.5a60213daf1e4p-10, 0x1.454425541779dp-10, 0x1.30f371dab07c4p-10, 0x1.1d686696a92abp-10, 0x1.0a9d82484add3p-10, 0x1.f11ac4666a26ap-11, 0x1.ce65834e4584dp-11, 0x1.ad10f31191b68p-11, 0x1.8d12ffb6b4318p-11, 0x1.6e61ce944e94fp-11, 0x1.50f3bd665cap-11, 0x1.34bf616394968p-11, 0x1.19bb8653fb046p-11, 0x1.ffbe5b53afae4p-12, 0x1.ce431b357267ep-12, 0x1.9ef4207645409p-12, 0x1.71c0a5367288dp-12, 0x1.469847ca28484p-12, 0x1.1d6b08f9b952fp-12, 0x1.ec52948c75a0dp-13, 0x1.a187986111e6fp-13, 0x1.5a575909cf477p-13, 0x1.16a4c95583ca4p-13, 0x1.aca71fe4576a8p-14, 0x1.3290083655665p-14, 0x1.7d9ca94816c89p-15, 0x1.44b588fc691e1p-16, -0x1.68624468f53ccp-18, -0x1.e1f933b622d92p-16, -0x1.a9d7c9719fbaep-15, -0x1.2bfe7dddea8f6p-14, -0x1.7de475e667addp-14, -0x1.cacafbc060546p-14, -0x1.096f0adcfcb28p-13, -0x1.2b2453b54f19cp-13, -0x1.4a9a3bc3e5465p-13, -0x1.67e51ad2c6959p-13, -0x1.8318bff20a5e4p-13, -0x1.9c487446017c6p-13, -0x1.b386fdc8e983fp-13, -0x1.c8e6a2051133cp-13, -0x1.dc7928c3d5a13p-13, -0x1.ee4fdeb370818p-13, -0x1.fe7b980200737p-13, -0x1.06865977771abp-12, -0x1.0d098d298146ep-12, -0x1.12cf240eb69ecp-12, -0x1.17dea3e404201p-12, -0x1.1c3f5c60a1eaap-12, -0x1.1ff868666dc6bp-12, -0x1.2310af2c72faap-12, -0x1.258ee566668d5p-12, -0x1.27798e655e19ep-12, -0x1.28d6fd349d08cp-12, -0x1.29ad55b1b7e22p-12, -0x1.2a028d9fdca16p-12, -0x1.29dc6db660eaep-12, -0x1.294092aae9017p-12, -0x1.28346e35a091ep-12, -0x1.26bd48130097fp-12, -0x1.24e03eff663f7p-12, -0x1.22a249aec438fp-12, -0x1.200837bf72c27p-12, -0x1.1d16b2a95be46p-12, -0x1.19d23ea73bc53p-12, -0x1.163f3b9dfea7p-12, -0x1.1261e5fdbc172p-12, -0x1.0e3e579e84f58p-12, -0x1.09d8889a6a5e3p-12, -0x1.053450227a4abp-12, -0x1.0055654ed2586p-12, -0x1.f67ebfd94bc6dp-13, -0x1.ebeb728d3c0dcp-13, -0x1.e0f799d1dbaa4p-13, -0x1.d5a9b2c7c2013p-13, -0x1.ca0802103e42cp-13, -0x1.be1895402bb13p-13, -0x1.b1e1444b00373p-13, -0x1.a567b2e7941bep-13, -0x1.98b151eaf7608p-13, -0x1.8bc3609f1d91bp-13, -0x1.7ea2ee119343ap-13, -0x1.7154da5820cbfp-13, -0x1.63ddd7d3af202p-13, -0x1.56426c690539dp-13, -0x1.4886f2b393434p-13, -0x1.3aaf9b31f8aeep-13, -0x1.2cc06d6b24fedp-13, -0x1.1ebd490e900aap-13, -0x1.10a9e70ca2acep-13, -0x1.0289daab538f1p-13, -0x1.e8c125232f933p-14, -0x1.cc62b39c915c5p-14, -0x1.affeb1b3db755p-14, -0x1.939b2d24fedd5p-14, -0x1.773df2600e939p-14, -0x1.5aec8e6b0fff7p-14, -0x1.3eac50b73ab23p-14, -0x1.22824ce84ba58p-14, -0x1.06735c990eee4p-14, -0x1.d508421c99ef2p-15, -0x1.9d7209c79639ap-15, -0x1.662c7b560ccddp-15, -0x1.2f3f9b0894821p-15, -0x1.f16612b62bedfp-16, -0x1.851c0c110c1e7p-16, -0x1.19aee60cbde83p-16, -0x1.5e575da143d29p-17, -0x1.167b114b7559p-18, 0x1.17613076ca75ap-19, 0x1.14d4047ba155ep-17, 0x1.e1a0c45269cf9p-17, 0x1.561572abe23cp-16, 0x1.ba2ff68fffdefp-16, 0x1.0e8ba0dada88ep-15, 0x1.3f619a2b7b3bbp-15, 0x1.6f961b31a76fap-15, 0x1.9f2599817d414p-15, 0x1.ce0cca1c6f533p-15, 0x1.fc489f4d42cb3p-15, 0x1.14eb2348c1032p-14, 0x1.2b5993491a924p-14, 0x1.416e6e9638a2p-14, 0x1.57289ec14878ap-14, 0x1.6c87270db1afbp-14, 0x1.8189238bc2b8p-14, 0x1.962dc82fe59e2p-14, 0x1.aa745ff8717f3p-14, 0x1.be5c4c1507968p-14, 0x1.d1e503165311cp-14, 0x1.e50e1021c3f8p-14, 0x1.f7d7122aea238p-14, 0x1.051fdd99958e1p-13, 0x1.0e23e7c680228p-13, 0x1.16f792934c467p-13, 0x1.1f9ad16b7a1dp-13, 0x1.280d9fdabbb9bp-13, 0x1.30500136ecb94p-13, 0x1.3862004fb883fp-13, 0x1.4043af1f4ec7p-13, 0x1.47f5267dc5612p-13, 0x1.4f7685d6133bdp-13, 0x1.56c7f2de0c5cp-13, 0x1.5de9994fbe21p-13, 0x1.64dbaaa56b737p-13, 0x1.6b9e5dd662ed8p-13, 0x1.7231ef1747b7ep-13, 0x1.78969f9c05577p-13, 0x1.7eccb55ab793bp-13, 0x1.84d47ad0ea3dep-13, 0x1.8aae3ecab8276p-13, 0x1.905a542ba9c03p-13, 0x1.95d911b8ee7c7p-13, 0x1.9b2ad1e59fbe6p-13, 0x1.a04ff2a0be00ep-13, 0x1.a548d5244e3d7p-13, 0x1.aa15ddc5f7ed4p-13, 0x1.aeb773c919bd9p-13, 0x1.b32e01335bf97p-13, 0x1.b779f2a17bb2ep-13, 0x1.bb9bb71df2668p-13, 0x1.bf93bff8abd6bp-13, 0x1.c36280a0da22ap-13, 0x1.c7086e7e9b06ap-13, 0x1.ca8600cf834e7p-13, 0x1.cddbb082f43cp-13, 0x1.d109f81958067p-13, 0x1.d41153827fdeap-13, 0x1.d6f23ffe658aep-13, 0x1.d9ad3bfeabf6p-13, 0x1.dc42c7095ccc5p-13, 0x1.deb3619c7f2b7p-13, 0x1.e0ff8d12ca0c1p-13, 0x1.e327cb895a142p-13, 0x1.e52c9fc64a643p-13, 0x1.e70e8d2028448p-13, 0x1.e8ce17662a478p-13, 0x1.ea6bc2c9d51cfp-13, 0x1.ebe813c9174a6p-13, 0x1.ed438f19809dfp-13, 0x1.ee7eb9938e57dp-13, 0x1.ef9a181fbd4b3p-13, 0x1.f0962fa3a6cd9p-13, 0x1.f17384f021f5p-13, 0x1.f2329cb01e62dp-13, 0x1.f2d3fb5839818p-13, 0x1.f35825172b07ap-13, 0x1.f3bf9dc62fae4p-13, 0x1.f40ae8dad6c94p-13, 0x1.f43a8958ee7f5p-13, 0x1.f44f01c56c362p-13, 0x1.f448d419dc197p-13, 0x1.f42881b826344p-13, 0x1.f3ee8b5f04faep-13, 0x1.f39b711f05a47p-13, 0x1.f32fb24ff834cp-13, 0x1.f2abcd8703747p-13, 0x1.f210408d3e382p-13, 0x1.f15d885678639p-13, 0x1.f09420f90a09ep-13, 0x1.efb485a54ec8cp-13, 0x1.eebf309e34c2ap-13, 0x1.edb49b31d74e8p-13, 0x1.ec953db2a45ddp-13, 0x1.eb618f710e654p-13, 0x1.ea1a06b55dcc4p-13, 0x1.e8bf18ba17e14p-13, 0x1.e75139a6631a6p-13, 0x1.e5d0dc895aed9p-13, 0x1.e43e7355017acp-13, 0x1.e29a6eda23819p-13, 0x1.e0e53ec42ded7p-13, 0x1.df1f5195a49c7p-13, 0x1.dd4914a47e207p-13, 0x1.db62f416f57efp-13, 0x1.d96d5ae0afb54p-13, 0x1.d768b2c02864bp-13, 0x1.d555643c1bcb4p-13, 0x1.d333d6a1a794ap-13, 0x1.d104700219b45p-13, 0x1.cec79531976b9p-13, 0x1.cc7da9c55e88p-13, 0x1.ca271012a60eep-13, 0x1.c7c4292d75e6fp-13, 0x1.c55554e7ed4c1p-13, 0x1.c2daf1d18cdd5p-13, 0x1.c0555d36b4022p-13, 0x1.bdc4f32064912p-13, 0x1.bb2a0e53ff425p-13, 0x1.b88508537aa0ep-13, 0x1.b5d6395d5020bp-13, 0x1.b31df86cef695p-13, 0x1.b05c9b3b5a28dp-13, 0x1.ad92763f6ed68p-13, 0x1.aabfdcaeed01dp-13, 0x1.a7e5207f25dc9p-13, 0x1.a502926618dbep-13, 0x1.a21881db5966ep-13, 0x1.9f273d197f3c2p-13, 0x1.9c2f111f3f777p-13, 0x1.993049b0ff316p-13, 0x1.962b315a2b924p-13, 0x1.9320116f2b04dp-13, 0x1.900f320e8cc13p-13, 0x1.8cf8da2328d59p-13, 0x1.89dd4f65e7038p-13, 0x1.86bcd65f7acdep-13, 0x1.8397b26aaebdep-13, 0x1.806e25b64e60ep-13, 0x1.7d4071472898p-13, 0x1.7a0ed4fa7ee4ap-13, 0x1.76d98f8805ea8p-13, 0x1.73a0de845689dp-13, 0x1.7064fe633e8bp-13, 0x1.6d262a7a1b344p-13, 0x1.69e49d0244147p-13, 0x1.66a08f1bc42bbp-13, 0x1.635a38cf7adacp-13, 0x1.6011d111f2c49p-13, 0x1.5cc78dc5e1511p-13, 0x1.597ba3bed252cp-13, 0x1.562e46c3bef49p-13, 0x1.52dfa991b3118p-13, 0x1.4f8ffddea1625p-13, 0x1.4c3f745bfb52p-13, 0x1.48ee3cb99816p-13, 0x1.459c85a84634dp-13, 0x1.424a7cdcb1b74p-13, 0x1.3ef84f123f8bp-13, 0x1.3ba6280d99a1ap-13, 0x1.3854329fd094ap-13, 0x1.350298a906646p-13, 0x1.31b1831b326f5p-13, 0x1.2e6119fd24761p-13, 0x1.2b11846d32f4dp-13, 0x1.27c2e8a43ff4ap-13, 0x1.24756bf858147p-13, 0x1.212932dfccf8ep-13, 0x1.1dde60f3d0bbp-13, 0x1.1a9518f37c86cp-13, 0x1.174d7cc6845bbp-13, 0x1.1407ad803dabbp-13, 0x1.10c3cb623e64p-13, 0x1.0d81f5df4b3a3p-13, 0x1.0a424b9e2bd9bp-13, 0x1.0704ea7c5dbe1p-13, 0x1.03c9ef91181ep-13, 0x1.0091772fcfee9p-13, 0x1.fab739d663cbfp-14, 0x1.f450f72fa8ddep-14, 0x1.edf05a9df7401p-14, 0x1.e79596e2828d8p-14, 0x1.e140dd530835cp-14, 0x1.daf25ddea513cp-14, 0x1.d4aa4713a9058p-14, 0x1.ce68c624ca2f7p-14, 0x1.c82e06ee61422p-14, 0x1.c1fa33fbf6d02p-14, 0x1.bbcd768d3cec3p-14, 0x1.b5a7f69b5d729p-14, 0x1.af89dade20b02p-14, 0x1.a97348d13babdp-14, 0x1.a36464b90ab7ap-14, 0x1.9d5d51a80b808p-14, 0x1.975e31838c73ep-14, 0x1.91672508deef3p-14, 0x1.8b784bd21e6cdp-14, 0x1.8591c45b45e0ap-14, 0x1.7fb3ac06b40fep-14, 0x1.79de1f225dee6p-14, 0x1.741138ec4a22dp-14, 0x1.6e4d13973efcp-14, 0x1.6891c84fc39fcp-14, 0x1.62df6f4054675p-14, 0x1.5d361f965d07dp-14, 0x1.5795ef86560dbp-14, 0x1.51fef450a2049p-14, 0x1.4c714245c6b06p-14, 0x1.46ececcac45c8p-14, 0x1.4172065daceffp-14, 0x1.3c00a099af931p-14, 0x1.3698cc3b7f4ecp-14, 0x1.313a99257fd77p-14, 0x1.2be61663d132fp-14, 0x1.269b5230ad27ap-14, 0x1.215a59f817babp-14, 0x1.1c233a5c4039ep-14, 0x1.16f5ff39421e5p-14, 0x1.11d2b3a90461ep-14, 0x1.0cb9620766a6dp-14, 0x1.07aa13f5aa5fep-14, 0x1.02a4d25e8d0ep-14, 0x1.fb534af3caf01p-15, 0x1.f17129a06779cp-15, 0x1.e7a34e7d12f7ep-15, 0x1.dde9c5f3a2f8p-15, 0x1.d4449b2537cfdp-15, 0x1.cab3d7f0eae65p-15, 0x1.c13784fae68e1p-15, 0x1.b7cfa9b2fdf82p-15, 0x1.ae7c4c5bbfa65p-15, 0x1.a53d72108304ap-15, 0x1.9c131ecca44a8p-15, 0x1.92fd557163f62p-15, 0x1.89fc17cc8e3d7p-15, 0x1.810f669e8a187p-15, 0x1.783741a0ed3d5p-15, 0x1.6f73a78bed5c7p-15, 0x1.66c4961d19f18p-15, 0x1.5e2a0a1cc7029p-15, 0x1.55a3ff63f42cdp-15, 0x1.4d3270e22cd82p-15, 0x1.44d558a32f7ddp-15, 0x1.3c8cafd4507b6p-15, 0x1.34586eca31334p-15, 0x1.2c388d0608364p-15, 0x1.242d013b09d9cp-15, 0x1.1c35c15376bb4p-15, 0x1.1452c2760d589p-15, 0x1.0c83f90ac612p-15, 0x1.04c958c03b081p-15, 0x1.fa45a92067adp-16, 0x1.eb20bd897aebcp-16, 0x1.dc23d1f9c1ad3p-16, 0x1.cd4ec86251afbp-16, 0x1.bea1817110e2bp-16, 0x1.b01bdc99433b1p-16, 0x1.a1bdb81ccd64fp-16, 0x1.9386f114f2276p-16, 0x1.8577637ac58f5p-16, 0x1.778eea2fe8e23p-16, 0x1.69cd5f06b167bp-16, 0x1.5c329aca71c9ep-16, 0x1.4ebe754792755p-16, 0x1.4170c553a718p-16, 0x1.344960d4dc3a8p-16, 0x1.27481cc9d0effp-16, 0x1.1a6ccd511cef6p-16, 0x1.0db745b0e9695p-16, 0x1.0127585dce84p-16, 0x1.e979ae0439dafp-17, 0x1.d0ef250a7fdb6p-17, 0x1.b8aeb623d7923p-17, 0x1.a0b8003a8f3c5p-17, 0x1.890aa0db8a3bap-17, 0x1.71a63442545cp-17, 0x1.5a8a556669811p-17, 0x1.43b69e07b6bcp-17, 0x1.2d2aa6bb149bep-17, 0x1.16e606f5f8987p-17, 0x1.00e8551a1a863p-17, 0x1.d6624d03360ddp-18, 0x1.ab801f15679a2p-18, 0x1.812947443b1e9p-18, 0x1.575cea9c9f329p-18, 0x1.2e1a2c7405247p-18, 0x1.05602e7e4ffd3p-18, 0x1.ba5c21c53a785p-19, 0x1.6b05e49b6c1bdp-19, 0x1.1cbbe01086666p-19, 0x1.9ef898233e25dp-20, 0x1.068abc1ad2d24p-20, 0x1.c0aa48d5721e2p-22, -0x1.215c1e35c3446p-23, -0x1.6cf65068044f1p-21, -0x1.46c80148a74d9p-20, -0x1.d515b8cfd598p-20, -0x1.30b3fdf2e5eeap-19, -0x1.75e13d5b7f117p-19, -0x1.ba14742203a55p-19, -0x1.fd4f7d0f7ap-19, -0x1.1fca1a0b2d28dp-18, -0x1.40723b1a2d49cp-18, -0x1.60a110ab52ca9p-18, -0x1.80578a1e5f4p-18, -0x1.9f96972e2fd8ep-18, -0x1.be5f27e2b493ap-18, -0x1.dcb22c832648dp-18, -0x1.fa90958a0d0d6p-18, -0x1.0bfda9cb38433p-17, -0x1.1a79abb0b89ebp-17, -0x1.28bcc8d8ec8f8p-17, -0x1.36c779a75c5afp-17, -0x1.449a367aa3443p-17, -0x1.523577a608f58p-17, -0x1.5f99b56c9638ep-17, -0x1.6cc767fb49e1p-17, -0x1.79bf0763e957bp-17, -0x1.86810b97d5a35p-17, -0x1.930dec6356996p-17, -0x1.9f66216893ebcp-17, -0x1.ab8a221a8b53cp-17, -0x1.b77a65b858e2fp-17, -0x1.c337634927f0ep-17, -0x1.cec1919772c63p-17, -0x1.da19672d2d2ffp-17, -0x1.e53f5a4f042a7p-17, -0x1.f033e0f8cabfep-17, -0x1.faf770d966a3p-17, -0x1.02c53fa738ed2p-16, -0x1.07f6c0b098fbap-16, -0x1.0d1075e172a0ap-16, -0x1.121299649efep-16, -0x1.16fd65353d1fep-16, -0x1.1bd1131d5afdep-16, -0x1.208ddcb4256e3p-16, -0x1.2533fb5c6a3ddp-16, -0x1.29c3a8430e08dp-16, -0x1.2e3d1c5d8d9a2p-16, -0x1.32a09068c983ap-16, -0x1.36ee3ce774092p-16, -0x1.3b265a20a1a21p-16, -0x1.3f49201eb445ep-16, -0x1.4356c6ae14482p-16, -0x1.474f855bf0687p-16, -0x1.4b33937505d09p-16, -0x1.4f032804962fbp-16, -0x1.52be79d342743p-16, -0x1.5665bf6615cccp-16, -0x1.59f92efd7c7c3p-16, -0x1.5d78fe940eb94p-16, -0x1.60e563de18584p-16, -0x1.643e9448525f6p-16, -0x1.6784c4f70f2d7p-16, -0x1.6ab82ac58cd0ep-16, -0x1.6dd8fa453f725p-16, -0x1.70e767bcac0e4p-16, -0x1.73e3a726f97cdp-16, -0x1.76cdec33300d2p-16, -0x1.79a66a437920cp-16, -0x1.7c6d546c93608p-16, -0x1.7f22dd7539f9ap-16, -0x1.81c737d586172p-16, -0x1.845a95b666b12p-16, -0x1.86dd28f105a06p-16, -0x1.894f230e81b93p-16, -0x1.8bb0b5472a13ap-16, -0x1.8e02108241841p-16, -0x1.9043655592859p-16, -0x1.9274e404ecccdp-16, -0x1.9496bc82248fdp-16, -0x1.96a91e6c1fb06p-16, -0x1.98ac390ef4b84p-16, -0x1.9aa03b638991ep-16, -0x1.9c85540f71aabp-16, -0x1.9e5bb1644c8a1p-16, -0x1.a023815feb49ep-16, -0x1.a1dcf1ac129e4p-16, -0x1.a3882f9e10303p-16, -0x1.a5256836b1f85p-16, -0x1.a6b4c8221991ap-16, -0x1.a8367bb7cb5b6p-16, -0x1.a9aaaefa62dp-16, -0x1.ab118d977e58p-16, -0x1.ac6b42e7a1beep-16, -0x1.adb7f9ee6e678p-16, -0x1.aef7dd5a3a17dp-16, -0x1.b02b178464b8ap-16, -0x1.b151d2711d3f2p-16, -0x1.b26c37cf603cp-16, -0x1.b37a70f91e0c5p-16, -0x1.b47ca6f34e4dep-16, -0x1.b573026def271p-16, -0x1.b65dabc408286p-16, -0x1.b73ccafbcab9fp-16, -0x1.b81087c69da26p-16, -0x1.b8d9098155f45p-16, -0x1.b9967734680dbp-16, -0x1.ba48f793e0637p-16, -0x1.baf0b0ff83ee7p-16, -0x1.bb8dc98318f27p-16, -0x1.bc2066d6ac2b6p-16, -0x1.bca8ae5e85459p-16, -0x1.bd26c52b7d561p-16, -0x1.bd9acffb004b3p-16, -0x1.be04f3379d0a8p-16, -0x1.be6552f8f08bp-16, -0x1.bebc13042d4cdp-16, -0x1.bf0956cc12b41p-16, -0x1.bf4d41713740ap-16, -0x1.bf87f5c29458ep-16, -0x1.bfb9963d8fa7ep-16, -0x1.bfe2450e53beep-16, -0x1.c002240ffeeb8p-16, -0x1.c01954cd00e4cp-16, -0x1.c027f87fa242dp-16, -0x1.c02e3012098a3p-16, -0x1.c02c1c1e8c98cp-16, -0x1.c021dcf03de12p-16, -0x1.c00f9283422a9p-16, -0x1.bff55c84e79fap-16, -0x1.bfd35a54330a2p-16, -0x1.bfa9ab020f619p-16, -0x1.bf786d51edc35p-16, -0x1.bf3fbfb9db107p-16, -0x1.beffc06335838p-16, -0x1.beb88d2aa1e17p-16, -0x1.be6a43a0af0cp-16, -0x1.be15010a6900dp-16, -0x1.bdb8e2614112p-16, -0x1.bd560453b1787p-16, -0x1.bcec8345c2a2p-16, -0x1.bc7c7b5160f17p-16, -0x1.bc060846c3c91p-16, -0x1.bb8945acb70a6p-16, -0x1.bb064ec11595cp-16, -0x1.ba7d3e796c23ep-16, -0x1.b9ee2f83156p-16, -0x1.b9593c438c0d7p-16, -0x1.b8be7ed9840d7p-16, -0x1.b81e111cb22b5p-16, -0x1.b7780c9e8df1bp-16, -0x1.b6cc8aaa82aa6p-16, -0x1.b61ba44678476p-16, -0x1.b5657233500bbp-16, -0x1.b4aa0ced7d4e4p-16, -0x1.b3e98cad224cep-16, -0x1.b3240966c5095p-16, -0x1.b2599acbc06adp-16, -0x1.b18a584a6563ap-16, -0x1.b0b6590eacec7p-16, -0x1.afddb402d17fep-16, -0x1.af007fcf989a3p-16, -0x1.ae1ed2dca2b56p-16, -0x1.ad38c3510e226p-16, -0x1.ac4e6713f188ep-16, -0x1.ab5fd3cc96fdbp-16, -0x1.aa6d1ee345c55p-16, -0x1.a9765d819af5bp-16, -0x1.a87ba492f4d3dp-16, -0x1.a77d08c4841edp-16, -0x1.a67a9e8669693p-16, -0x1.a5747a0bed4d6p-16, -0x1.a46aaf4be3dep-16, -0x1.a35d520127dddp-16, -0x1.a24c75aafb4ebp-16, -0x1.a1382d8da0ecdp-16, -0x1.a0208cb2c057cp-16, -0x1.9f05a5e9df212p-16, -0x1.9de78bc90f2d8p-16, -0x1.9cc650ace3e59p-16, -0x1.9ba206b934c44p-16, -0x1.9a7abfd9a35ddp-16, -0x1.99508dc208e69p-16, -0x1.982381eed550fp-16, -0x1.96f3ada573763p-16, -0x1.95c121f4d9ec9p-16, -0x1.948befb5ea24ep-16, -0x1.9354278c26b8bp-16, -0x1.9219d9e5edc88p-16, -0x1.90dd16fcb91cfp-16, -0x1.8f9deed5cf6ap-16, -0x1.8e5c7142df3b8p-16, -0x1.8d18ade241402p-16, -0x1.8bd2b41f5de32p-16, -0x1.8a8a93331a1b5p-16, -0x1.89405a244ab55p-16, -0x1.87f417c857e63p-16, -0x1.86a5dac3b206dp-16, -0x1.8555b189de8c6p-16, -0x1.8403aa5e0ea25p-16, -0x1.82afd353bb875p-16, -0x1.815a3a4f2bdc2p-16, -0x1.8002ed0582c54p-16, -0x1.7ea9f8fd4c6e1p-16, -0x1.7d4f6b8f1331bp-16, -0x1.7bf351e5a4c7cp-16, -0x1.7a95b8feb465cp-16, -0x1.7936adab0b06p-16, -0x1.77d63c8ec8421p-16, -0x1.767472224df38p-16, -0x1.75115ab27e2cp-16, -0x1.73ad0260e9535p-16, -0x1.7247752436a32p-16, -0x1.70e0bec8e1a9ep-16, -0x1.6f78eaf17a6c6p-16, -0x1.6e100516fd4efp-16, -0x1.6ca618892764p-16, -0x1.6b3b306eeec21p-16, -0x1.69cf57c71cb81p-16, -0x1.686299688bc53p-16, -0x1.66f500025a09cp-16, -0x1.6586961c7e702p-16, -0x1.641766184c89fp-16, -0x1.62a77a30acc4dp-16, -0x1.6136dc7a6d1ebp-16, -0x1.5fc596e4b7524p-16, -0x1.5e53b3398a9e4p-16, -0x1.5ce13b1e266a7p-16, -0x1.5b6e381313a5dp-16, -0x1.59fab374b42b9p-16, -0x1.5886b67be7c6p-16, -0x1.57124a3e261f9p-16, -0x1.559d77ad9c4ep-16, -0x1.54284799fd114p-16, -0x1.52b2c2b0cf5e9p-16, -0x1.513cf17d9a551p-16, -0x1.4fc6dc6a26179p-16, -0x1.4e508bbf1bc4bp-16, -0x1.4cda07a472fd9p-16, -0x1.4b6358217638ep-16, -0x1.49ec851d32734p-16, -0x1.4875965ee6274p-16, -0x1.46fe938e989f8p-16, -0x1.45878434d8642p-16, -0x1.44106fbb7c581p-16, -0x1.42995d6df01acp-16, -0x1.412254798a8p-16, -0x1.3fab5bedaa62cp-16, -0x1.3e347abc2e42bp-16, -0x1.3cbdb7ba051a4p-16, -0x1.3b47199f364bdp-16, -0x1.39d0a7071077cp-16, -0x1.385a6670d2d2dp-16, -0x1.36e45e4000036p-16, -0x1.356e94bc4883ap-16, -0x1.33f910122fa4dp-16, -0x1.3283d6535fdd8p-16, -0x1.310eed76d776fp-16, -0x1.2f9a5b5908f9dp-16, -0x1.2e2625bc7e084p-16, -0x1.2cb2524a28ca1p-16, -0x1.2b3ee6915865fp-16, -0x1.29cbe808198f9p-16, -0x1.28595c0be93bdp-16, -0x1.26e747e18511cp-16, -0x1.2575b0b54bf97p-16, -0x1.24049b9ba6978p-16, -0x1.22940d916abdep-16, -0x1.21240b7bc5152p-16, -0x1.1fb49a28ce453p-16, -0x1.1e45be4fc100ap-16, -0x1.1cd77c912e9eap-16, -0x1.1b69d97724934p-16, -0x1.19fcd975d8a76p-16, -0x1.189080ebaa693p-16, -0x1.1724d4212d435p-16, -0x1.15b9d749bac33p-16, -0x1.144f8e83d5518p-16, -0x1.12e5fdd8ffd7bp-16, -0x1.117d293e2f9ap-16, -0x1.1015149436242p-16, -0x1.0eadc3a7c201bp-16, -0x1.0d473a319f985p-16, -0x1.0be17bd74b6e8p-16, -0x1.0a7c8c2acf953p-16, -0x1.09186eab10c1fp-16, -0x1.07b526c439ac3p-16, -0x1.0652b7cfefa7bp-16, -0x1.04f1251551ec2p-16, -0x1.039071c963818p-16, -0x1.0230a10f77567p-16, -0x1.00d1b5f8ec844p-16, -0x1.fee7670ba814fp-17, -0x1.fc2d394a22779p-17, -0x1.f974e868d1bfcp-17, -0x1.f6be7a01badebp-17, -0x1.f409f38dff9p-17, -0x1.f1575a65bbc34p-17, -0x1.eea6b3c0b56e1p-17, -0x1.ebf804b74bc73p-17, -0x1.e94b524220cecp-17, -0x1.e6a0a13a89b6ap-17, -0x1.e3f7f65bb370ep-17, -0x1.e151564274912p-17, -0x1.deacc56d955bfp-17, -0x1.dc0a483ec4c57p-17, -0x1.d969e2fa6bc43p-17, -0x1.d6cb99c860057p-17, -0x1.d42f70b462bf5p-17, -0x1.d1956bae2f19fp-17, -0x1.cefd8e89cc55p-17, -0x1.cc67dd00a6cdep-17, -0x1.c9d45ab10fbc7p-17, -0x1.c7430b1ee2eedp-17, -0x1.c4b3f1b43f40ap-17, -0x1.c22711c1726e5p-17, -0x1.bf9c6e7d7958p-17, -0x1.bd140b06734c8p-17, -0x1.ba8dea61cd456p-17, -0x1.b80a0f7ca2756p-17, -0x1.b5887d2c63751p-17, -0x1.b309362ea2612p-17, -0x1.b08c3d29b4432p-17, -0x1.ae1194ad555bcp-17, -0x1.ab993f32541c4p-17, -0x1.a9233f1b21436p-17, -0x1.a6af96b4caa04p-17, -0x1.a43e48361e938p-17, -0x1.a1cf55c0d37ebp-17, -0x1.9f62c161aa5acp-17, -0x1.9cf88d10ae213p-17, -0x1.9a90bab159448p-17, -0x1.982b4c13273e6p-17, -0x1.95c842f1c41ebp-17, -0x1.9367a0f558edp-17, -0x1.910967b2d3b77p-17, -0x1.8ead98abfbbf7p-17, -0x1.8c54355062265p-17, -0x1.89fd3efcbf133p-17, -0x1.87a8b6fbe25f9p-17, -0x1.85569e86d4bc5p-17, -0x1.8306f6c507412p-17, -0x1.80b9c0cc88be7p-17, -0x1.7e6efda27797ep-17, -0x1.7c26ae3b18d2ep-17, -0x1.79e0d37a487fcp-17, -0x1.779d6e33ac2a3p-17, -0x1.755c7f2aa5e13p-17, -0x1.731e07133acc6p-17, -0x1.70e20691b12c8p-17, -0x1.6ea87e3aeb267p-17, -0x1.6c716e9540603p-17, -0x1.6a3cd817c2a76p-17, -0x1.680abb2b45ac7p-17, -0x1.65db182a2b21p-17, -0x1.63adef60fa09bp-17, -0x1.6183410dee55bp-17, -0x1.5f5b0d623e91cp-17, -0x1.5d3554812cad1p-17, -0x1.5b12168145e8bp-17, -0x1.58f1536bb5e79p-17, -0x1.56d30b3d542d4p-17, -0x1.54b73de62269bp-17, -0x1.529deb49ef532p-17, -0x1.5087134072076p-17, -0x1.4e72b5957266ap-17, -0x1.4c60d208fed43p-17, -0x1.4a51684fb1d24p-17, -0x1.48447812e7797p-17, -0x1.463a00f0b9de7p-17, -0x1.4432027c8ab32p-17, -0x1.422c7c3ece19p-17, -0x1.40296db5b2ab2p-17, -0x1.3e28d654c3188p-17, -0x1.3c2ab5859fe84p-17, -0x1.3a2f0aa7e640fp-17, -0x1.3835d51138693p-17, -0x1.363f140dddcp-17, -0x1.344ac6e082759p-17, -0x1.3258ecc29d4a9p-17, -0x1.306984e47b863p-17, -0x1.2e7c8e6db9271p-17, -0x1.2c92087cc5abdp-17, -0x1.2aa9f227f52bbp-17, -0x1.28c44a7cb64a6p-17, -0x1.26e110809a179p-17, -0x1.25004330c237p-17, -0x1.2321e182b8c2dp-17, -0x1.2145ea63c2ecbp-17, -0x1.1f6c5cba00ca4p-17, -0x1.1d953763aba4p-17, -0x1.1bc07937e8ccbp-17, -0x1.19ee210679ef1p-17, -0x1.181e2d984e08ep-17, -0x1.16509daf2a841p-17, -0x1.148570064a9abp-17, -0x1.12bca35224d4bp-17, -0x1.10f63640bd768p-17, -0x1.0f322779be23ep-17, -0x1.0d70759e903f1p-17, -0x1.0bb11f4a98248p-17, -0x1.09f423132c3afp-17, -0x1.08397f87ff742p-17, -0x1.06813332d2c1ap-17, -0x1.04cb3c980479ep-17, -0x1.03179a3664888p-17, -0x1.01664a8786ddap-17, -0x1.ff6e97ff456dap-18, -0x1.fc153a1c28a6ap-18, -0x1.f8c07839fed87p-18, -0x1.f5704f23bd32ap-18, -0x1.f224bb9ab637fp-18, -0x1.eeddba56d2866p-18, -0x1.eb9b4807323f7p-18, -0x1.e85d615204f85p-18, -0x1.e52402d4e4cep-18, -0x1.e1ef29251e74ap-18, -0x1.debed0cfa643p-18, -0x1.db92f6599ecd9p-18, -0x1.d86b964059c38p-18, -0x1.d548acf991941p-18, -0x1.d22a36f3a4cf2p-18, -0x1.cf103095dabdfp-18, -0x1.cbfa96405fee1p-18, -0x1.c8e9644cbf3fap-18, -0x1.c5dc970dc2311p-18, -0x1.c2d42ad0054f2p-18, -0x1.bfd01bd980e15p-18, -0x1.bcd0666aca004p-18, -0x1.b9d506bdb2f2p-18, -0x1.b6ddf9077165p-18, -0x1.b3eb3976a4049p-18, -0x1.b0fcc4356c059p-18, -0x1.ae129568211bdp-18, -0x1.ab2ca92e82b67p-18, -0x1.a84afba337294p-18, -0x1.a56d88dc33b98p-18, -0x1.a2944ceb3314dp-18, -0x1.9fbf43dce9d33p-18, -0x1.9cee69bac7d1p-18, -0x1.9a21ba891720bp-18, -0x1.9759324955ddcp-18, -0x1.9494ccf81ea4bp-18, -0x1.91d4868f6cc81p-18, -0x1.8f185b04f0012p-18, -0x1.8c60464b9ac5ap-18, -0x1.89ac4452b6cb4p-18, -0x1.86fc5106e9e1ap-18, -0x1.845068516b9b3p-18, -0x1.81a886193e523p-18, -0x1.7f04a6420fcb2p-18, -0x1.7c64c4adcbdcdp-18, -0x1.79c8dd3afdad5p-18, -0x1.7730ebc718837p-18, -0x1.749cec2bff1c7p-18, -0x1.720cda43168a8p-18, -0x1.6f80b1e230745p-18, -0x1.6cf86edef0ac8p-18, -0x1.6a740d0bd6923p-18, -0x1.67f3883afa54cp-18, -0x1.6576dc3c1e0fap-18, -0x1.62fe04de30985p-18, -0x1.6088fdeec2915p-18, -0x1.5e17c339f1a92p-18, -0x1.5baa508b69fe4p-18, -0x1.5940a1ad10db5p-18, -0x1.56dab26913062p-18, -0x1.54787e878c13ap-18, -0x1.521a01d1643d6p-18, -0x1.4fbf380d9ae68p-18, -0x1.4d681d03f4e1fp-18, -0x1.4b14ac7acf02cp-18, -0x1.48c4e2391075ep-18, -0x1.4678ba04e6c96p-18, -0x1.44302fa4baa18p-18, -0x1.41eb3eded65f2p-18, -0x1.3fa9e37992827p-18, -0x1.3d6c193b9d269p-18, -0x1.3b31dbeba0f1p-18, -0x1.38fb2750fcac4p-18, -0x1.36c7f733022a5p-18, -0x1.34984759f4c6cp-18, -0x1.326c138e34afdp-18, -0x1.304357994aaa6p-18, -0x1.2e1e0f44e0575p-18, -0x1.2bfc365c03e1dp-18, -0x1.29ddc8aa04055p-18, -0x1.27c2c1fbb3bc7p-18, -0x1.25ab1e1e6a97cp-18, -0x1.2396d8e0c4b3fp-18, -0x1.2185ee128ffdbp-18, -0x1.1f78598478e54p-18, -0x1.1d6e17091a755p-18, -0x1.1b6722735f8f9p-18, -0x1.19637798c7ff2p-18, -0x1.1763124efc335p-18, -0x1.1565ee6e667b8p-18, -0x1.136c07cfdca9cp-18, -0x1.11755a4eb90bdp-18, }}, 
      {{-0x1.16fa2711b74c1p-1, -0x1.172e83b0fe7ffp-1, -0x1.177699a79bc0ep-1, -0x1.17d141087a06ap-1, -0x1.183d114feb858p-1, -0x1.18b86c34bf9cep-1, -0x1.1941886107ffep-1, -0x1.19d67bb23743dp-1, -0x1.1a7544c3bf2b5p-1, -0x1.1b1bd3a0f40ccp-1, -0x1.1bc8118d34cbep-1, -0x1.1c77e7de34932p-1, -0x1.1d2945ed1929bp-1, -0x1.1dda262905bc8p-1, -0x1.1e88925966f41p-1, -0x1.1f32a7207815dp-1, -0x1.1fd696cf79592p-1, -0x1.2072ab9e47715p-1, -0x1.210549579a8a2p-1, -0x1.218cee8a7b8bdp-1, -0x1.220835507a594p-1, -0x1.2275d3b70e1bfp-1, -0x1.22d49bd95660bp-1, -0x1.23237bb63593bp-1, -0x1.23617ccd97a06p-1, -0x1.238dc38e82847p-1, -0x1.23a78e9e88f55p-1, -0x1.23ae36022a459p-1, -0x1.23a12a2cc32c4p-1, -0x1.237ff2fdd9c8ep-1, -0x1.234a2eb0c9909p-1, -0x1.22ff90c321075p-1, -0x1.229fe0d56afd2p-1, -0x1.222af98987454p-1, -0x1.21a0c76141385p-1, -0x1.2101479f5d8dap-1, -0x1.204c872cfc122p-1, -0x1.1f82a184d0b5fp-1, -0x1.1ea3bfa57027ap-1, -0x1.1db0170ba80abp-1, -0x1.1ca7e8b5a52d7p-1, -0x1.1b8b802f778fep-1, -0x1.1a5b32a95b957p-1, -0x1.19175e180c55ap-1, -0x1.17c0685f44348p-1, -0x1.1656be867619ap-1, -0x1.14dad3f7b6b17p-1, -0x1.134d21c8b9ccp-1, -0x1.11ae260db9d86p-1, -0x1.0ffe633612bbap-1, -0x1.0e3e5f7250ae1p-1, -0x1.0c6ea4236ddap-1, -0x1.0a8fbd52edcf7p-1, -0x1.08a239338b277p-1, -0x1.06a6a7aa20b28p-1, -0x1.049d99de79504p-1, -0x1.0287a1d3b0e5ep-1, -0x1.00655207d0e8ap-1, -0x1.fc6e7a34a33e5p-2, -0x1.f7fbeaf25ad74p-2, -0x1.f3741a28651c7p-2, -0x1.eed82a2c86a89p-2, -0x1.ea293b486bf5ep-2, -0x1.e5686b4210cedp-2, -0x1.e096d4ee3c844p-2, -0x1.dbb58fcc869dfp-2, -0x1.d6c5afac5829p-2, -0x1.d1c8445a6d2dbp-2, -0x1.ccbe595653ad9p-2, -0x1.c7a8f58f76401p-2, -0x1.c2891b2938ec9p-2, -0x1.bd5fc745c3185p-2, -0x1.b82df1d70b396p-2, -0x1.b2f48d75c159cp-2, -0x1.adb4873dbb2d3p-2, -0x1.a86ec6af8b865p-2, -0x1.a3242d96ea20ep-2, -0x1.9dd597f5a3a0cp-2, -0x1.9883dbf2bf866p-2, -0x1.932fc9cd95bb7p-2, -0x1.8dda2bd490dd4p-2, -0x1.8883c65f5b4c8p-2, -0x1.832d57cc38ffep-2, -0x1.7dd79880547afp-2, -0x1.78833aeacb758p-2, -0x1.7330eb8a3e11p-2, -0x1.6de150f4bd6c1p-2, -0x1.68950be1dab17p-2, -0x1.634cb736baeb2p-2, -0x1.5e08e813f8315p-2, -0x1.58ca2de5332cap-2, -0x1.5391127229623p-2, -0x1.4e5e19f1302e6p-2, -0x1.4931c31af4c3p-2, -0x1.440c873f5ca94p-2, -0x1.3eeeda5b6f061p-2, -0x1.39d92b302aed2p-2, -0x1.34cbe35a28031p-2, -0x1.2fc76769f6e07p-2, -0x1.2acc16fd1d971p-2, -0x1.25da4cd7a2452p-2, -0x1.20f25efe0a34dp-2, -0x1.1c149ecfbf055p-2, -0x1.17415921c5a0bp-2, -0x1.1278d659b4f83p-2, -0x1.0dbb5a88de021p-2, -0x1.0909258796e6cp-2, -0x1.046273109c9c1p-2, -0x1.ff8ef5b8ef298p-3, -0x1.f670e179c4646p-3, -0x1.ed6b09703514ep-3, -0x1.e47dc6483f04fp-3, -0x1.dba96983902b8p-3, -0x1.d2ee3daf58dffp-3, -0x1.ca4c8699c2924p-3, -0x1.c1c48186e292fp-3, -0x1.b95665652e302p-3, -0x1.b10263015a2c3p-3, -0x1.a8c8a5399da1cp-3, -0x1.a0a951304ce65p-3, -0x1.98a4867dc5625p-3, -0x1.90ba5f6197044p-3, -0x1.88eaf0f2f6bebp-3, -0x1.81364b505dea5p-3, -0x1.799c79ce64a08p-3, -0x1.721d8325bd8afp-3, -0x1.6ab969a0613bbp-3, -0x1.63702b45d694cp-3, -0x1.5c41c2069f488p-3, -0x1.552e23e6bec6bp-3, -0x1.4e35432759d26p-3, -0x1.47570e6f74ea7p-3, -0x1.409370f3c0cdp-3, -0x1.39ea529d8b147p-3, -0x1.335b9830b504dp-3, -0x1.2ce72370d035p-3, -0x1.268cd345440bfp-3, -0x1.204c83dc9675dp-3, -0x1.1a260ecec3965p-3, -0x1.14194b3eb60e8p-3, -0x1.0e260dfad467ep-3, -0x1.084c299cb0d6bp-3, -0x1.028b6ea7d4485p-3, -0x1.f9c7574f55d01p-4, -0x1.eea95a992ec02p-4, -0x1.e3bc7d104f1fcp-4, -0x1.d9005150f1963p-4, -0x1.ce7466e57cddep-4, -0x1.c4184a79ffd54p-4, -0x1.b9eb860e10251p-4, -0x1.afeda12502b03p-4, -0x1.a61e20f4ad4cbp-4, -0x1.9c7c88928cd53p-4, -0x1.9308591f74828p-4, -0x1.89c111f1c00d9p-4, -0x1.80a630be12715p-4, -0x1.77b731beaaa11p-4, -0x1.6ef38fd952c57p-4, -0x1.665ac4c3f2f95p-4, -0x1.5dec4927cd276p-4, -0x1.55a794c36cf0ap-4, -0x1.4d8c1e8b4e99ep-4, -0x1.45995cc9478e1p-4, -0x1.3dcec53ab6434p-4, -0x1.362bcd2d824eep-4, -0x1.2eafe99bf13bap-4, -0x1.275a8f475b363p-4, -0x1.202b32d1c47e3p-4, -0x1.192148d6621dbp-4, -0x1.123c4601122b6p-4, -0x1.0b7b9f24cfafdp-4, -0x1.04dec95125deep-4, -0x1.fcca73cd5cde8p-5, -0x1.f01ccd5537e25p-5, -0x1.e3b38bb2b88ecp-5, -0x1.d78d9c70ab728p-5, -0x1.cba9ee4d903c4p-5, -0x1.c007715bae76ep-5, -0x1.b4a5171f86dfep-5, -0x1.a981d2acb566ep-5, -0x1.9e9c98c145f0ap-5, -0x1.93f45fdf8fedep-5, -0x1.89882066a1906p-5, -0x1.7f56d4a9441e7p-5, -0x1.755f7903aaa2ep-5, -0x1.6ba10befcd151p-5, -0x1.621a8e1885ca5p-5, -0x1.58cb026b72f29p-5, -0x1.4fb16e29a924fp-5, -0x1.46ccd8f744b54p-5, -0x1.3e1c4ce9df194p-5, -0x1.359ed695f4549p-5, -0x1.2d53851b41906p-5, -0x1.25396a302713cp-5, -0x1.1d4f9a2c16682p-5, -0x1.15952c11140d2p-5, -0x1.0e09399455e2p-5, -0x1.06aadf260b498p-5, -0x1.fef277f09bf24p-6, -0x1.f0e6e40a9c351p-6, -0x1.e3314c2971613p-6, -0x1.d5cfff80cbf0ap-6, -0x1.c8c152f0aa1b6p-6, -0x1.bc03a10bf3815p-6, -0x1.af954a1dd33e8p-6, -0x1.a374b42dce4d9p-6, -0x1.97a04b02b1a8ep-6, -0x1.8c1680245f351p-6, -0x1.80d5cadc834e2p-6, -0x1.75dca83646ab4p-6, -0x1.6b299afcfeb67p-6, -0x1.60bb2bb9f2dbap-6, -0x1.568fe8b139a05p-6, -0x1.4ca665ddbae27p-6, -0x1.42fd3cec6118dp-6, -0x1.39930d368bep-6, -0x1.30667bbbbc172p-6, -0x1.2776331a9719ap-6, -0x1.1ec0e3893c29bp-6, -0x1.164542ccfad26p-6, -0x1.0e020c3173669p-6, -0x1.05f6007f268aap-6, -0x1.fc3fcbe3051edp-7, -0x1.ecfd1058d904p-7, -0x1.de217062ad101p-7, -0x1.cfaa98a7c9e21p-7, -0x1.c196405c57acep-7, -0x1.b3e229290bfcep-7, -0x1.a68c1f123875ep-7, -0x1.9991f85e11b75p-7, -0x1.8cf1957a74c6cp-7, -0x1.80a8e0e20aa07p-7, -0x1.74b5cf00ed1eap-7, -0x1.69165e18cd36bp-7, -0x1.5dc89624afa89p-7, -0x1.52ca88bc37af3p-7, -0x1.481a50f6a7191p-7, -0x1.3db6134d7c259p-7, -0x1.339bfd7ecbd3ap-7, -0x1.29ca466f5f88ap-7, -0x1.203f2e0c90b54p-7, -0x1.16f8fd2dfe571p-7, -0x1.0df6057714081p-7, -0x1.0534a1386a5adp-7, -0x1.f96666a236c79p-8, -0x1.e8e04e1feaaf9p-8, -0x1.d8d3e02948e2p-8, -0x1.c93e1461b56dfp-8, -0x1.ba1bf292e05b3p-8, -0x1.ab6a926f1582ep-8, -0x1.9d271b5392511p-8, -0x1.8f4ec40b18535p-8, -0x1.81ded29080e77p-8, -0x1.74d49bd19dc14p-8, -0x1.682d83723e51p-8, -0x1.5be6fb8f8e1b1p-8, -0x1.4ffe84839f89p-8, -0x1.4471aca962891p-8, -0x1.393e1020dd9abp-8, -0x1.2e615893d9b32p-8, -0x1.23d93cfae052p-8, -0x1.19a38162a7ed8p-8, -0x1.0fbdf6b1febfcp-8, -0x1.06267a701f21cp-8, -0x1.f9b5ed16ebcc7p-9, -0x1.e7b2c241f8f3cp-9, -0x1.d63f7888178a6p-9, -0x1.c5582b8d592e7p-9, -0x1.b4f90e0505c11p-9, -0x1.a51e69447f833p-9, -0x1.95c49cd7518eep-9, -0x1.86e81e1452ba2p-9, -0x1.788577b4125c7p-9, -0x1.6a994968654fap-9, -0x1.5d2047752da12p-9, -0x1.50173a4a5f33cp-9, -0x1.437afe1f50862p-9, -0x1.3748828f2fa41p-9, -0x1.2b7cca36d1df9p-9, -0x1.2014ea53c19a7p-9, -0x1.150e0a64abe85p-9, -0x1.0a6563caf6dcfp-9, -0x1.0018416daac05p-9, -0x1.ec47febb8a78cp-10, -0x1.d90c14f77eb36p-10, -0x1.c677c03cd4a5p-10, -0x1.b4861b763d756p-10, -0x1.a332611e6214dp-10, -0x1.9277ea957d5ebp-10, -0x1.82522f7994247p-10, -0x1.72bcc50145815p-10, -0x1.63b35d59174f9p-10, -0x1.5531c70390f0fp-10, -0x1.4733ec3bb2b2ep-10, -0x1.39b5d25a20801p-10, -0x1.2cb3993d022p-10, -0x1.20297ab1fda4ap-10, -0x1.1413c9e31c50bp-10, -0x1.086ef2c5fd76ep-10, -0x1.fa6ef31b84555p-11, -0x1.e4d3f43e8c067p-11, -0x1.d0064f0f76b12p-11, -0x1.bbff96ebad531p-11, -0x1.a8b98b6ace1bfp-11, -0x1.962e175a815ep-11, -0x1.84574fbf60a8ep-11, -0x1.732f72da0d4bap-11, -0x1.62b0e73143d66p-11, -0x1.52d63aa05ebd5p-11, -0x1.439a216a91c03p-11, -0x1.34f77552b58d9p-11, -0x1.26e934b75170bp-11, -0x1.196a81b300512p-11, -0x1.0c76a1415a719p-11, -0x1.0008fa6802348p-11, -0x1.e83a2ac83e389p-12, -0x1.d15d35b877874p-12, -0x1.bb72a62b161ecp-12, -0x1.a6724a5b9f3f2p-12, -0x1.92542cb2639c7p-12, -0x1.7f1092479e302p-12, -0x1.6c9ff96fb2278p-12, -0x1.5afb184daf41cp-12, -0x1.4a1adb6dd5f72p-12, -0x1.39f86467de9d3p-12, -0x1.2a8d08883cec4p-12, -0x1.1bd24f80eb827p-12, -0x1.0dc1f221cdcdap-12, -0x1.0055d9175bff6p-12, -0x1.e71037601c42bp-13, -0x1.cea5fd52b221bp-13, -0x1.b761e605dc9cdp-13, -0x1.a13929b0c553ap-13, -0x1.8c215484e513bp-13, -0x1.7810447a786f6p-13, -0x1.64fc2729f1caap-13, -0x1.52db77b367c38p-13, -0x1.41a4fcb01912p-13, -0x1.314fc6313e06ap-13, -0x1.21d32bca6c813p-13, -0x1.1326caa740e8ap-13, -0x1.054283ab22016p-13, -0x1.f03cf33ab8fa8p-14, -0x1.d7661ebf9ecfdp-14, -0x1.bff1cc6032733p-14, -0x1.a9d1b7e6da639p-14, -0x1.94f8131af2603p-14, -0x1.8157827d417c1p-14, -0x1.6ee31a1dfe1f6p-14, -0x1.5d8e5a830b40ep-14, -0x1.4d4d2da1aaf6ap-14, -0x1.3e13e3ebb7d7fp-14, -0x1.2fd7316f0cee5p-14, -0x1.228c2b0635725p-14, -0x1.162843992f8f9p-14, -0x1.0aa14971c3ab2p-14, -0x1.ffdac73de49d4p-15, -0x1.ec061ed4aa05cp-15, -0x1.d9b23bb9193ffp-15, -0x1.c8cd62a5dd86dp-15, -0x1.b9467643fbddap-15, -0x1.ab0cf2912ce52p-15, -0x1.9e10e864fbabdp-15, -0x1.9242f91045019p-15, -0x1.8794521b00e9ep-15, -0x1.7df6a91edfd55p-15, -0x1.755c37ba653ap-15, -0x1.6db7b79ef6681p-15, -0x1.66fc5eba80d0bp-15, -0x1.611ddb78aa1d6p-15, -0x1.5c10511e07ceap-15, -0x1.57c8543c0d824p-15, -0x1.543ae73d2c374p-15, -0x1.515d77068977ep-15, -0x1.4f25d7b0a8a5ep-15, -0x1.4d8a415727eb3p-15, -0x1.4c814cfcece8ep-15, -0x1.4c01f18800aebp-15, -0x1.4c0380cf16652p-15, -0x1.4c7da4bdf9a6ap-15, -0x1.4d685c8cd2f1cp-15, -0x1.4ebbfa09c589cp-15, -0x1.50711ef68adf6p-15, -0x1.5280ba771d06ap-15, -0x1.54e406942b2e9p-15, -0x1.579485cdf8234p-15, -0x1.5a8c00c1af118p-15, -0x1.5dc483dd47d4dp-15, -0x1.61385d265360ep-15, -0x1.64e21a0de8373p-15, -0x1.68bc8556554c1p-15, -0x1.6cc2a50621485p-15, -0x1.70efb86c837d2p-15, -0x1.753f3631a4d01p-15, -0x1.79acca7631ab4p-15, -0x1.7e3455016468p-15, -0x1.82d1e77a9e69p-15, -0x1.8781c3b1bae64p-15, -0x1.8c4059f21a65p-15, -0x1.910a4764c813cp-15, -0x1.95dc547c8002ap-15, -0x1.9ab3736ed8a5dp-15, -0x1.9f8cbeb81e2b9p-15, -0x1.a46577abba265p-15, -0x1.a93b050cc820cp-15, -0x1.ae0af1b48d276p-15, -0x1.b2d2eb404bfd4p-15, -0x1.b790c0cc33f4ap-15, -0x1.bc4261b53530ap-15, -0x1.c0e5dc66e2c56p-15, -0x1.c5795d30640b9p-15, -0x1.c9fb2d2579f2ep-15, -0x1.ce69b1049ac41p-15, -0x1.d2c3682944787p-15, -0x1.d706eb83813fap-15, -0x1.db32ec99cbb4p-15, -0x1.df4634924ea55p-15, -0x1.e33fa34385284p-15, -0x1.e71e2e4c3f99ap-15, -0x1.eae0e0344faecp-15, -0x1.ee86d792304d8p-15, -0x1.f20f46396cf0dp-15, -0x1.f579706eeb6aep-15, -0x1.f8c4ac237abcp-15, -0x1.fbf060357c498p-15, -0x1.fefc03b877026p-15, -0x1.00f38ea12e1efp-14, -0x1.0258a11f81d11p-14, -0x1.03ad0b24be93ep-14, -0x1.04f0a545333b2p-14, -0x1.06234e8dec8eep-14, -0x1.0744ec3974b29p-14, -0x1.08556966a5f8bp-14, -0x1.0954b6d27d4e4p-14, -0x1.0a42ca93f48cp-14, -0x1.0b1f9fda4ef56p-14, -0x1.0beb36addd1f3p-14, -0x1.0ca593b276683p-14, -0x1.0d4ebfec9d8cfp-14, -0x1.0de6c8881515dp-14, -0x1.0e6dbea129539p-14, -0x1.0ee3b70f5c852p-14, -0x1.0f48ca32665ddp-14, -0x1.0f9d13c089a39p-14, -0x1.0fe0b29713621p-14, -0x1.1013c88c99985p-14, -0x1.10367a4499b85p-14, -0x1.1048ef052191fp-14, -0x1.104b508d90e75p-14, -0x1.103dcaef30a44p-14, -0x1.10208c67175ap-14, -0x1.0ff3c539dc84fp-14, -0x1.0fb7a7902ca41p-14, -0x1.0f6c675506183p-14, -0x1.0f123a1554366p-14, -0x1.0ea956e084c0ap-14, -0x1.0e31f62a7ed01p-14, -0x1.0dac51af1f378p-14, -0x1.0d18a45610697p-14, -0x1.0c772a188fc8ap-14, -0x1.0bc81fe7c84e8p-14, -0x1.0b0bc39473425p-14, -0x1.0a4253b766e79p-14, -0x1.096c0f9b14f2dp-14, -0x1.0889372620936p-14, -0x1.079a0ac6a3c4cp-14, -0x1.069ecb5ea2ba4p-14, -0x1.0597ba3128fccp-14, -0x1.048518d0427c9p-14, -0x1.0367290bc5f7cp-14, -0x1.023e2ce0e108p-14, -0x1.010a666a6ed96p-14, -0x1.ff982fa40101dp-15, -0x1.fd0706832e40dp-15, -0x1.fa61d5ac55016p-15, -0x1.f7a921253b7adp-15, -0x1.f4dd6ca6ebe93p-15, -0x1.f1ff3b865821fp-15, -0x1.ef0f109e2d99ep-15, -0x1.ec0d6e39eb27dp-15, -0x1.e8fad601d628p-15, -0x1.e5d7c8e7f8ccp-15, -0x1.e2a4c7164c88ep-15, -0x1.df624fddcce81p-15, -0x1.dc10e1a67d2e4p-15, -0x1.d8b0f9e094008p-15, -0x1.d54314f6131f8p-15, -0x1.d1c7ae3dad7c5p-15, -0x1.ce3f3fee2deb9p-15, -0x1.caaa4312c18d4p-15, -0x1.c7092f8007a43p-15, -0x1.c35c7bca0917dp-15, -0x1.bfa49d3a682a5p-15, -0x1.bbe207c7c2119p-15, -0x1.b8152e0d75cd6p-15, -0x1.b43e8143f32e2p-15, -0x1.b05e7139f015p-15, -0x1.ac756c4e0a828p-15, -0x1.a883df68c3ff2p-15, -0x1.a48a35f761cc8p-15, -0x1.a088d9e7129f3p-15, -0x1.9c8033a0b6d69p-15, -0x1.9870aa04ef52p-15, -0x1.945aa268cf7c2p-15, -0x1.903e8092f1559p-15, -0x1.8c1ca6b8c26cep-15, -0x1.87f5757c6cd72p-15, -0x1.83c94beb41dd5p-15, -0x1.7f98877c325ap-15, -0x1.7b63840ed95e6p-15, -0x1.772a9bea9e423p-15, -0x1.72ee27be798d7p-15, -0x1.6eae7ea0a32f6p-15, -0x1.6a6bf60ef7bbfp-15, -0x1.6626e1ef3c282p-15, -0x1.61df948ffc15bp-15, -0x1.5d965ea98df45p-15, -0x1.594b8f5eefdcbp-15, -0x1.54ff743fa88c8p-15, -0x1.50b259491e64fp-15, -0x1.4c6488e86b6e7p-15, -0x1.48164bfca3925p-15, -0x1.43c7e9d8d7184p-15, -0x1.3f79a846a204p-15, -0x1.3b2bcb888a721p-15, -0x1.36de965cdf38cp-15, -0x1.32924a004d652p-15, -0x1.2e47263128c85p-15, -0x1.29fd69324fa31p-15, -0x1.25b54fce8760ap-15, -0x1.216f155bdc8ebp-15, -0x1.1d2af3bee37ddp-15, -0x1.18e9236e96affp-15, -0x1.14a9db779c275p-15, -0x1.106d518037a62p-15, -0x1.0c33b9cc20772p-15, -0x1.07fd47403ac05p-15, -0x1.03ca2b669b0d4p-15, -0x1.ff352ce513b3dp-16, -0x1.f6dd6e88fac56p-16, -0x1.ee8d76dcacf08p-16, -0x1.e6459e6ed7361p-16, -0x1.de063b41c2614p-16, -0x1.d5cfa0d3447f1p-16, -0x1.cda22025e040bp-16, -0x1.c57e07c8d28d9p-16, -0x1.bd63a3e12716dp-16, -0x1.b5533e321c60fp-16, -0x1.ad4d1e260d1b8p-16, -0x1.a55188d7097d7p-16, -0x1.9d60c1177ab7ap-16, -0x1.957b077b19fd5p-16, -0x1.8da09a5f82abep-16, -0x1.85d1b5f5456dcp-16, -0x1.7e0e94483f4b4p-16, -0x1.76576d4904b6fp-16, -0x1.6eac76d4daf1ap-16, -0x1.670de4bf19001p-16, -0x1.5f7be8d957d2ap-16, -0x1.57f6b2fc6e596p-16, -0x1.507e7110f036ep-16, -0x1.49134f17f0e74p-16, -0x1.41b577334dd8fp-16, -0x1.3a6511ae8c3cfp-16, -0x1.33224506e46edp-16, -0x1.2bed35f435634p-16, -0x1.24c60770c6906p-16, -0x1.1dacdac23ccccp-16, -0x1.16a1cf811fb0fp-16, -0x1.0fa503a1cf2eep-16, -0x1.08b6937c175cbp-16, -0x1.01d699d36ab29p-16, -0x1.f60a5fbdc547cp-17, -0x1.e884daa274e92p-17, -0x1.db1cd0c11b0d9p-17, -0x1.cdd26b9c4f595p-17, -0x1.c0a5d1dc65c6cp-17, -0x1.b397275ea4a4cp-17, -0x1.a6a68d44b157ep-17, -0x1.99d42202e1342p-17, -0x1.8d20016f8dbe3p-17, -0x1.808a44d196852p-17, -0x1.741302ee7f8adp-17, -0x1.67ba50191e591p-17, -0x1.5b803e3f733dap-17, -0x1.4f64dcf8c2cc6p-17, -0x1.43683992ec1b2p-17, -0x1.378a5f20db78ap-17, -0x1.2bcb56870d87bp-17, -0x1.202b26898605ep-17, -0x1.14a9d3d847cd6p-17, -0x1.0947611d00868p-17, -0x1.fc079e0daa54fp-18, -0x1.e5be38af45418p-18, -0x1.cfb28be0293ddp-18, -0x1.b9e48db7d6299p-18, -0x1.a45430bc148c3p-18, -0x1.8f0163f89b491p-18, -0x1.79ec131633e8dp-18, -0x1.6514267227cecp-18, -0x1.507983349186dp-18, -0x1.3c1c0b66b6249p-18, -0x1.27fb9e097f34dp-18, -0x1.1418172a72747p-18, -0x1.00714ff93474ap-18, -0x1.da0e3db9cddbap-19, -0x1.b3b2af0fb0e9fp-19, -0x1.8dcf961952e65p-19, -0x1.68648fe3a94fp-19, -0x1.4371348b3e469p-19, -0x1.1ef51761d5d8bp-19, -0x1.f5df8e29e8238p-20, -0x1.aec19ba5f222ap-20, -0x1.688f62dee217ap-20, -0x1.2347e70e9704cp-20, -0x1.bdd44690a26fbp-21, -0x1.36ea157cfa767p-21, -0x1.639e241bb0b0fp-22, -0x1.740825cec4c05p-24, 0x1.4c0960e3c14a8p-23, 0x1.a57ab0683a3d6p-22, 0x1.50b25bd3e274dp-21, 0x1.cce3d069ea5bdp-21, 0x1.23aa17c13b657p-20, 0x1.6002ff3612231p-20, 0x1.9b7de6e3724e3p-20, 0x1.d61c1c86200d6p-20, 0x1.07ef7988f2e84p-19, 0x1.2463e13bdc5ddp-19, 0x1.406bf3b94976p-19, 0x1.5c0861a79eedbp-19, 0x1.7739dddd1e5ep-19, 0x1.92011d46796aep-19, 0x1.ac5ed6cd115b3p-19, 0x1.c653c34011116p-19, 0x1.dfe09d3b4b2a8p-19, 0x1.f906211077b46p-19, 0x1.08e2865834e8bp-18, 0x1.150f0fc9fa0a7p-18, 0x1.21090d530b03ep-18, 0x1.2cd0e017e258dp-18, 0x1.3866e9e0b6bdfp-18, 0x1.43cb8d0fc07f5p-18, 0x1.4eff2c971a061p-18, 0x1.5a022beece7b4p-18, 0x1.64d4ef0b9cd9dp-18, 0x1.6f77da54f74b5p-18, 0x1.79eb529c716edp-18, 0x1.842fbd14c6938p-18, 0x1.8e457f48ed34fp-18, 0x1.982cff13c461bp-18, 0x1.a1e6a297ecf1dp-18, 0x1.ab72d0376f6edp-18, 0x1.b4d1ee8bda2d2p-18, 0x1.be04645e85719p-18, 0x1.c70a98a12971cp-18, 0x1.cfe4f2668274ap-18, 0x1.d893d8db43ec7p-18, 0x1.e117b33f08f87p-18, 0x1.e970e8dd80dacp-18, 0x1.f19fe10821749p-18, 0x1.f9a5030f4ffc9p-18, 0x1.00c05b1e2082ep-17, 0x1.0499b0e56af75p-17, 0x1.085eb671ef04ap-17, 0x1.0c0f9f4b84afcp-17, 0x1.0fac9eead2772p-17, 0x1.1335e8b683cf3p-17, 0x1.16abb00093cbdp-17, 0x1.1a0e2803cfb45p-17, 0x1.1d5d83e125fffp-17, 0x1.2099f69d69301p-17, 0x1.23c3b31ef4d64p-17, 0x1.26daec2b450dap-17, 0x1.29dfd464d807ep-17, 0x1.2cd29e48fcddfp-17, 0x1.2fb37c2db994ep-17, 0x1.3282a03fdb123p-17, 0x1.35403c80d9f94p-17, 0x1.37ec82c50ba0ep-17, 0x1.3a87a4b1d42f6p-17, 0x1.3d11d3bbcc9cp-17, 0x1.3f8b4125298a3p-17, 0x1.41f41dfbedf9ep-17, 0x1.444c9b1888c1p-17, 0x1.4694e91c091b7p-17, 0x1.48cd386ecc6dfp-17, 0x1.4af5b93ee725dp-17, 0x1.4d0e9b7ee19e1p-17, 0x1.4f180ee4672ep-17, 0x1.511242e6eebc6p-17, 0x1.52fd66be8195ep-17, 0x1.54d9a9628a9f1p-17, 0x1.56a73988b9d8ep-17, 0x1.586645a3e425bp-17, 0x1.5a16fbe2f8ac2p-17, 0x1.5bb98a300050fp-17, 0x1.5d4e1e2f21832p-17, 0x1.5ed4e53db9a69p-17, 0x1.604e0c718aab8p-17, 0x1.61b9c097d75aap-17, 0x1.63182e34953fbp-17, 0x1.64698181b9f55p-17, 0x1.65ade66e75b51p-17, 0x1.66e5889e751cp-17, 0x1.681093694cba6p-17, 0x1.692f31d9ea673p-17, 0x1.6a418eadf2666p-17, 0x1.6b47d4552dda6p-17, 0x1.6c422cf111b5ep-17, 0x1.6d30c25442cb1p-17, 0x1.6e13be021cbd6p-17, 0x1.6eeb492e5001bp-17, 0x1.6fb78cbc7a1b3p-17, 0x1.7078b13fcdb24p-17, 0x1.712edefab7c9bp-17, 0x1.71da3dde9a919p-17, 0x1.727af58b7e242p-17, 0x1.73112d4fdf85dp-17, 0x1.739d0c28758fp-17, 0x1.741eb8bfebbefp-17, 0x1.7496596ecb2d4p-17, 0x1.7504143b43c5ep-17, 0x1.75680ed9153a7p-17, 0x1.75c26ea9722f7p-17, 0x1.761358baf907ap-17, 0x1.765af1c998823p-17, 0x1.76995e3e85a44p-17, 0x1.76cec2303e9abp-17, 0x1.76fb41627dc1dp-17, 0x1.771eff4643bbcp-17, 0x1.773a1ef9fb781p-17, 0x1.774cc34966065p-17, 0x1.77570eadb8da2p-17, 0x1.7759234db92c9p-17, 0x1.775322fde174ap-17, 0x1.77452f406e5fap-17, 0x1.772f69459423dp-17, 0x1.7711f1eba5699p-17, 0x1.76ece9bf3d169p-17, 0x1.76c070fb6818cp-17, 0x1.768ca789d4f56p-17, 0x1.7651ad0314a31p-17, 0x1.760fa0aede457p-17, 0x1.75c6a1843d4b9p-17, 0x1.7576ce29d80d2p-17, 0x1.752044f62dc35p-17, 0x1.74c323efe5cbap-17, 0x1.745f88ce11f35p-17, 0x1.73f590f87dba8p-17, 0x1.73855987fc26ep-17, 0x1.730eff46c9c32p-17, 0x1.72929eb0c6448p-17, 0x1.721053f3dadcfp-17, 0x1.71883af0497ebp-17, 0x1.70fa6f390d6aep-17, 0x1.70670c143d312p-17, 0x1.6fce2c7b69cd1p-17, 0x1.6f2feb1bf68fap-17, 0x1.6e8c62577f716p-17, 0x1.6de3ac443c82dp-17, 0x1.6d35e2ad72557p-17, 0x1.6c831f13ce37ap-17, 0x1.6bcb7aadd52c9p-17, 0x1.6b0f0e6858a7fp-17, 0x1.6a4df2e6d2c9bp-17, 0x1.69884083e3bfcp-17, 0x1.68be0f51b3c51p-17, 0x1.67ef771a64fbbp-17, 0x1.671c8f6096922p-17, 0x1.66456f5fd249fp-17, 0x1.656a2e0cf43b4p-17, 0x1.648ae216a9a71p-17, 0x1.63a7a1e5e442p-17, 0x1.62c0839e5906ap-17, 0x1.61d59d1eedbc6p-17, 0x1.60e7040234e8p-17, 0x1.5ff4cd9ef261bp-17, 0x1.5eff0f0895d48p-17, 0x1.5e05dd0fa6d43p-17, 0x1.5d094c424691dp-17, 0x1.5c0970ecaeadbp-17, 0x1.5b065f19aa46p-17, 0x1.5a002a9328f63p-17, 0x1.58f6e6e2a0d68p-17, 0x1.57eaa7519bb78p-17, 0x1.56db7eea31a1dp-17, 0x1.55c980778a8ap-17, 0x1.54b4be8655ee2p-17, 0x1.539d4b65552fep-17, 0x1.52833925d04fcp-17, 0x1.5166999c2d3fdp-17, 0x1.50477e60632dep-17, 0x1.4f25f8ce6a7e4p-17, 0x1.4e021a06d0a82p-17, 0x1.4cdbf2ef2e628p-17, 0x1.4bb39432ae634p-17, 0x1.4a890e42941eep-17, 0x1.495c7156ae5abp-17, 0x1.482dcd6de1869p-17, 0x1.46fd324ea5431p-17, 0x1.45caaf8784a4fp-17, 0x1.4496546f9ce21p-17, 0x1.436030271d018p-17, 0x1.42285197c4f75p-17, 0x1.40eec7756d1c9p-17, 0x1.3fb3a03e83b54p-17, 0x1.3e76ea3c8265p-17, 0x1.3d38b3846f4f4p-17, 0x1.3bf909f760864p-17, 0x1.3ab7fb42f00e3p-17, 0x1.397594e1c7396p-17, 0x1.3831e41c2260fp-17, 0x1.36ecf60842be4p-17, 0x1.35a6d78add886p-17, 0x1.345f9557a6975p-17, 0x1.33173bf1d1a96p-17, 0x1.31cdd7ac7b4dcp-17, 0x1.308374ab2d9f8p-17, 0x1.2f381ee263b46p-17, 0x1.2debe217fae2ep-17, 0x1.2c9ec9e3a8ef4p-17, 0x1.2b50e1af8280fp-17, 0x1.2a0234b85f953p-17, 0x1.28b2ce0e56dc4p-17, 0x1.2762b8954196ap-17, 0x1.2611ff0530bf9p-17, 0x1.24c0abead3846p-17, 0x1.236ec9a7f6cf1p-17, 0x1.221c6273fc2b9p-17, 0x1.20c9805c48e48p-17, 0x1.1f762d44bb08dp-17, 0x1.1e2272e81d254p-17, 0x1.1cce5ad88c4ccp-17, 0x1.1b79ee7ffeb34p-17, 0x1.1a253720bb263p-17, 0x1.18d03dd5a6952p-17, 0x1.177b0b92c916dp-17, 0x1.1625a925b2a55p-17, 0x1.14d01f35ef6b3p-17, 0x1.137a76457b0e8p-17, 0x1.1224b6b1221c7p-17, 0x1.10cee8b0f4523p-17, 0x1.0f791458b0fc9p-17, 0x1.0e2341982b215p-17, 0x1.0ccd783bbbec3p-17, 0x1.0b77bfeca1f1bp-17, 0x1.0a2220316d455p-17, 0x1.08cca06e6cdb7p-17, 0x1.077747e60aea6p-17, 0x1.06221db93847bp-17, 0x1.04cd28e7d5092p-17, 0x1.03787051151c2p-17, 0x1.0223fab3da584p-17, 0x1.00cfceaf17812p-17, 0x1.fef7e58474f9cp-18, 0x1.fc50da9b218dbp-18, 0x1.f9aa892540222p-18, 0x1.f704fd692f156p-18, 0x1.f46043712af6ep-18, 0x1.f1bc670c1dc41p-18, 0x1.ef1973ce6bd6ep-18, 0x1.ec7775128c156p-18, 0x1.e9d675f9eb5b9p-18, 0x1.e736816d7a4aap-18, 0x1.e497a21e78c6bp-18, 0x1.e1f9e2872004dp-18, 0x1.df5d4ceb6b70bp-18, 0x1.dcc1eb59c835p-18, 0x1.da27c7ab98aa3p-18, 0x1.d78eeb85faedap-18, 0x1.d4f7605a80324p-18, 0x1.d2612f67d7f5dp-18, 0x1.cfcc61ba60b25p-18, 0x1.cd39002ce7403p-18, 0x1.caa7136947181p-18, 0x1.c816a3e90a4a7p-18, 0x1.c587b9f60d809p-18, 0x1.c2fa5dab21f8bp-18, 0x1.c06e96f4aae5ap-18, 0x1.bde46d9133066p-18, 0x1.bb5be91223acdp-18, 0x1.b8d510dc6d5bp-18, 0x1.b64fec28eb33cp-18, 0x1.b3cc82051111ep-18, 0x1.b14ad9539c817p-18, 0x1.aecaf8cd0aa2ep-18, 0x1.ac4ce70036fbp-18, 0x1.a9d0aa52e20e5p-18, 0x1.a756490268671p-18, 0x1.a4ddc9243da89p-18, 0x1.a26730a658ef4p-18, 0x1.9ff2855006a54p-18, 0x1.9d7fccc2406bbp-18, 0x1.9b0f0c783fd02p-18, 0x1.98a049c8106eap-18, 0x1.963389e30ec3fp-18, 0x1.93c8d1d66d573p-18, 0x1.9160268bcb787p-18, 0x1.8ef98cc9afcp-18, 0x1.8c95093408081p-18, 0x1.8a32a04c9864ap-18, 0x1.87d256738f001p-18, 0x1.85742fe7f9b48p-18, 0x1.831830c845bb3p-18, 0x1.80be5d12c801cp-18, 0x1.7e66b8a626f24p-18, 0x1.7c114741dc271p-18, 0x1.79be0c86933eep-18, 0x1.776d0bf6cd004p-18, 0x1.751e48f71e2eep-18, 0x1.72d1c6ceccebap-18, 0x1.708788a83595bp-18, 0x1.6e3f919132d7fp-18, 0x1.6bf9e47b9341dp-18, 0x1.69b6843d91c25p-18, 0x1.6775739239f5ep-18, 0x1.6536b519dd75cp-18, 0x1.62fa4b5a72185p-18, 0x1.60c038bff517cp-18, 0x1.5e887f9cddc93p-18, 0x1.5c53222a92a25p-18, 0x1.5a202289bf67dp-18, 0x1.57ef82c2b7767p-18, 0x1.55c144c5d6081p-18, 0x1.53956a6bee9c9p-18, 0x1.516bf576b70b5p-18, 0x1.4f44e7911025ap-18, 0x1.4d20424f6ae21p-18, 0x1.4afe073022938p-18, 0x1.48de379bf0c7cp-18, 0x1.46c0d4e626593p-18, 0x1.44a5e04d275f4p-18, 0x1.428d5afac565dp-18, 0x1.4077460473e24p-18, 0x1.3e63a26bb2d8cp-18, 0x1.3c52711e6cd2fp-18, 0x1.3a43b2f74f5c2p-18, 0x1.383768be0e74p-18, 0x1.362d9327b9df2p-18, 0x1.342632d715ed9p-18, 0x1.3221485cfb2bfp-18, 0x1.301ed4388e982p-18, 0x1.2e1ed6d7a19c4p-18, 0x1.2c215096f12ep-18, 0x1.2a2641c276cccp-18, 0x1.282daa95cccf6p-18, 0x1.26378b3c5beedp-18, 0x1.2443e3d1ab66bp-18, 0x1.2252b461aa74dp-18, 0x1.2063fce90bb81p-18, 0x1.1e77bd5573e19p-18, 0x1.1c8df585d6cep-18, 0x1.1aa6a54ab0e13p-18, 0x1.18c1cc663fce1p-18, 0x1.16df6a8cdac9bp-18, 0x1.14ff7f653a99bp-18, 0x1.13220a88a1117p-18, 0x1.11470b8322915p-18, 0x1.0f6e81d400d21p-18, 0x1.0d986ceddfa35p-18, 0x1.0bc4cc36ec1f2p-18, 0x1.09f39f0921d66p-18, 0x1.0824e4b29c62fp-18, 0x1.06589c75cf9bap-18, 0x1.048ec589b23d3p-18, 0x1.02c75f19fc2cp-18, 0x1.010268476ecc9p-18, 0x1.fe7fc0501f0cdp-19, 0x1.faff8b8e90abep-19, 0x1.f784304c60dd9p-19, 0x1.f40dac779749fp-19, 0x1.f09bfdea5972ep-19, 0x1.ed2f226b76c8dp-19, 0x1.e9c717aec60dbp-19, 0x1.e663db557293ap-19, 0x1.e3056aee88e57p-19, 0x1.dfabc3f76b37fp-19, 0x1.dc56e3dbf4948p-19, 0x1.d906c7f6fa8d1p-19, 0x1.d5bb6d92e1f5fp-19, 0x1.d274d1e9b9fe1p-19, 0x1.cf32f22598fe6p-19, 0x1.cbf5cb6125ac5p-19, 0x1.c8bd5aa7f355cp-19, 0x1.c5899cf6affedp-19, 0x1.c25a8f3b86f51p-19, 0x1.bf302e569f0e6p-19, 0x1.bc0a771a6c84p-19, 0x1.b8e9664bcc9eap-19, 0x1.b5ccf8a287fdap-19, 0x1.b2b52ac9b121bp-19, 0x1.afa1f95fd7ba6p-19, 0x1.ac9360f75fb22p-19, 0x1.a9895e16d961p-19, 0x1.a683ed39499b5p-19, 0x1.a3830ace802a1p-19, 0x1.a086b33b5981cp-19, 0x1.9d8ee2d9f7415p-19, 0x1.9a9b95fa3b8e7p-19, 0x1.97acc8e1f579p-19, 0x1.94c277cd10d3bp-19, 0x1.91dc9eedf7ap-19, 0x1.8efb3a6debfb9p-19, 0x1.8c1e466d14cf1p-19, 0x1.8945bf02e46a6p-19, 0x1.8671a03e6efc6p-19, 0x1.83a1e626810eap-19, 0x1.80d68cb9dd33bp-19, 0x1.7e0f8fefa73fdp-19, 0x1.7b4cebb79421bp-19, 0x1.788e9bf9ffca2p-19, 0x1.75d49c9854ef9p-19, 0x1.731ee96d461fap-19, 0x1.706d7e4cec4cbp-19, 0x1.6dc057050f705p-19, 0x1.6b176f5d64398p-19, 0x1.6872c317c3f74p-19, 0x1.65d24df05ab6ep-19, 0x1.63360b9dda91ap-19, 0x1.609df7d1bb162p-19, 0x1.5e0a0e387cba7p-19, 0x1.5b7a4a79a4d3p-19, 0x1.58eea83821e09p-19, 0x1.56672312865cbp-19, 0x1.53e3b6a30389bp-19, 0x1.51645e7fbf56ep-19, 0x1.4ee9163b145dbp-19, 0x1.4c71d96385329p-19, 0x1.49fea384177a1p-19, 0x1.478f7024906ffp-19, 0x1.45243ac968389p-19, 0x1.42bcfef4196dfp-19, 0x1.4059b8236243dp-19, 0x1.3dfa61d337d91p-19, 0x1.3b9ef77d07eeep-19, 0x1.39477497f28e5p-19, 0x1.36f3d498de356p-19, 0x1.34a412f2a0c4cp-19, 0x1.32582b162994bp-19, 0x1.30101872aeff8p-19, 0x1.2dcbd675c1673p-19, 0x1.2b8b608b79e73p-19, 0x1.294eb21ea4692p-19, 0x1.2715c698db509p-19, 0x1.24e099629ba7ep-19, 0x1.22af25e39010fp-19, 0x1.208167829158cp-19, 0x1.1e5759a5ae895p-19, 0x1.1c30f7b291cb6p-19, 0x1.1a0e3d0e6c39p-19, 0x1.17ef251e199b5p-19, 0x1.15d3ab4658e8ep-19, 0x1.13bbcaebd3c3ep-19, 0x1.11a77f73386b2p-19, 0x1.0f96c441735f8p-19, 0x1.0d8994bb9cf16p-19, 0x1.0b7fec4738aap-19, 0x1.0979c64a546c4p-19, 0x1.07771e2b8062dp-19, 0x1.0577ef5203754p-19, 0x1.037c3525f9d5ap-19, 0x1.0183eb10599cbp-19, 0x1.ff1e18f6299a9p-20, 0x1.fb3b29a267b0ap-20, 0x1.f75efefddba62p-20, 0x1.f3898fe35a277p-20, 0x1.efbad3308d11p-20, 0x1.ebf2bfc5fb815p-20, 0x1.e8314c871d725p-20, 0x1.e476705ab10acp-20, 0x1.e0c2222ac6252p-20, 0x1.dd1458e4dfbf6p-20, 0x1.d96d0b7a5bbdfp-20, 0x1.d5cc30e054f22p-20, 0x1.d231c00fd3862p-20, 0x1.ce9db0062811ep-20, 0x1.cb0ff7c4cda11p-20, 0x1.c7888e519d94dp-20, 0x1.c4076ab714d0bp-20, 0x1.c08c840435c0bp-20, 0x1.bd17d14cf955dp-20, 0x1.b9a949aa2b488p-20, 0x1.b640e439baccep-20, 0x1.b2de981ec2a4ep-20, 0x1.af825c81a5f31p-20, 0x1.ac2c28902abeap-20, 0x1.a8dbf37dacae7p-20, 0x1.a591b48319933p-20, 0x1.a24d62df20acap-20, 0x1.9f0ef5d67339cp-20, 0x1.9bd664b38bfaap-20, 0x1.98a3a6c6eb243p-20, 0x1.9576b367512c8p-20, 0x1.924f81f1ab319p-20, 0x1.8f2e09c953894p-20, 0x1.8c12425809afap-20, 0x1.88fc230e0f197p-20, 0x1.85eba36240916p-20, 0x1.82e0bad23c43fp-20, 0x1.7fdb60e23bb3bp-20, 0x1.7cdb8d1d75b8dp-20, 0x1.79e1371609c02p-20, 0x1.76ec566507ddap-20, 0x1.73fce2aaaa718p-20, 0x1.7112d38e326abp-20, 0x1.6e2e20be2588ep-20, 0x1.6b4ec1f050aabp-20, 0x1.6874aee1e6eeep-20, 0x1.659fdf576856dp-20, 0x1.62d04b1cea691p-20, 0x1.6005ea05efd7p-20, 0x1.5d40b3edb11f5p-20, 0x1.5a80a0b6e536ap-20, 0x1.57c5a84c00f1p-20, 0x1.550fc29f2a531p-20, 0x1.525ee7aa5fc5p-20, 0x1.4fb30f6f82732p-20, 0x1.4d0c31f842b41p-20, 0x1.4a6a475653eacp-20, 0x1.47cd47a350da8p-20, 0x1.45352b00ec138p-20, 0x1.42a1e998ce838p-20, 0x1.40137b9ccecccp-20, 0x1.3d89d946cc617p-20, 0x1.3b04fad8ea5p-20, 0x1.3884d89d6b85fp-20, 0x1.36096ae6db299p-20, 0x1.3392aa0fffeb9p-20, 0x1.31208e7bf43d4p-20, 0x1.2eb31096208c9p-20, 0x1.2c4a28d24db68p-20, 0x1.29e5cfac94e33p-20, 0x1.2785fda9846a8p-20, 0x1.252aab5609ec3p-20, 0x1.22d3d1478710cp-20, 0x1.2081681bee5bfp-20, 0x1.1e3368798f4b1p-20, 0x1.1be9cb0f53703p-20, 0x1.19a4889475cf3p-20, 0x1.176399c8f5023p-20, 0x1.1526f77521152p-20, 0x1.12ee9a6a1b7fcp-20, 0x1.10ba7b8168772p-20, 0x1.0e8a939d47b42p-20, 0x1.0c5edba87809cp-20, 0x1.0a374c9662f97p-20, 0x1.0813df62fb61ap-20, 0x1.05f48d12d750dp-20, 0x1.03d94eb32edebp-20, 0x1.01c21d59d9678p-20, 0x1.ff5de44ab774cp-21, 0x1.fb3f8c79bac17p-21, 0x1.f72925a0427a2p-21, 0x1.f31aa22f35be7p-21, 0x1.ef13f4a8a74f4p-21, 0x1.eb150fa0251b4p-21, 0x1.e71de5ba38bc2p-21, 0x1.e32e69acfacdfp-21, 0x1.df468e3f9b7e6p-21, 0x1.db66464adaae9p-21, 0x1.d78d84b872fe9p-21, 0x1.d3bc3c835ad34p-21, 0x1.cff260b7d4f09p-21, 0x1.cc2fe4737302fp-21, 0x1.c874bae4f9f3ap-21, 0x1.c4c0d74c5874cp-21, 0x1.c1142cfac0991p-21, 0x1.bd6eaf526ea54p-21, 0x1.b9d051c6f59d3p-21, 0x1.b63907dcb9c22p-21, 0x1.b2a8c5297debdp-21, 0x1.af1f7d53dbb81p-21, 0x1.ab9d2413d3a8p-21, 0x1.a821ad321fba4p-21, 0x1.a4ad0c88ab16cp-21, 0x1.a13f3602239c4p-21, 0x1.9dd81d9a4fe1ap-21, 0x1.9a77b75dcd091p-21, 0x1.971df76a36a38p-21, 0x1.93cad1edf6803p-21, 0x1.907e3b283e372p-21, 0x1.8d38276914c46p-21, 0x1.89f88b113cb46p-21, 0x1.86bf5a923a991p-21, 0x1.838c8a6e2cea9p-21, 0x1.80600f37cda44p-21, 0x1.7d39dd9260bedp-21, 0x1.7a19ea31ebc24p-21, 0x1.770029dac879dp-21, 0x1.73ec9162007ebp-21, 0x1.70df15acd515cp-21, 0x1.6dd7abb12bca6p-21, 0x1.6ad64874fb51ap-21, 0x1.67dae10ed2a9ap-21, 0x1.64e56aa52e3c8p-21, 0x1.61f5da6f0ee8cp-21, 0x1.5f0c25b35736ap-21, 0x1.5c2841c9433f5p-21, 0x1.594a2417f43adp-21, 0x1.5671c216b922cp-21, 0x1.539f114cb14eep-21, 0x1.50d2075116b4ep-21, 0x1.4e0a99cad74c4p-21, 0x1.4b48be70d4ed5p-21, 0x1.488c6b099cafp-21, 0x1.45d5956b88912p-21, 0x1.4324337c7a4f9p-21, 0x1.40783b3213a57p-21, 0x1.3dd1a2915be9ap-21, 0x1.3b305faf2197fp-21, 0x1.389468af6897p-21, 0x1.35fdb3c5d3981p-21, 0x1.336c3734fc3a1p-21, 0x1.30dfe94f07c38p-21, 0x1.2e58c0753afd7p-21, 0x1.2bd6b31808f58p-21, 0x1.2959b7b7295bcp-21, 0x1.26e1c4e12a0f9p-21, 0x1.246ed133e0cd2p-21, 0x1.2200d35bbbb3fp-21, 0x1.1f97c214725d9p-21, 0x1.1d33942808af2p-21, 0x1.1ad4406fbfcf4p-21, 0x1.1879bdd31ce31p-21, 0x1.16240348ad485p-21, 0x1.13d307d54c0a9p-21, 0x1.1186c28c9569p-21, 0x1.0f3f2a9073155p-21, 0x1.0cfc371149dc1p-21, 0x1.0abddf4dd184fp-21, 0x1.08841a92fbec1p-21, 0x1.064ee03c1c34cp-21, 0x1.041e27b261f88p-21, 0x1.01f1e86d6d8b3p-21, 0x1.ff9433e4e8ed4p-22, 0x1.fb4d67aa8b9e6p-22, 0x1.f70f5b6df22cdp-22, 0x1.f2d9fe8e2c9a5p-22, 0x1.eead40846d8aap-22, 0x1.ea8910e6bca2ap-22, 0x1.e66d5f6563857p-22, 0x1.e25a1bccc59b2p-22, 0x1.de4f3603a557bp-22, 0x1.da4c9e0c1e2f7p-22, 0x1.d6524402fda55p-22, 0x1.d260181fa03e7p-22, 0x1.ce760ab44a83bp-22, 0x1.ca940c2d03b3ep-22, }}, 
      std::vector<double>(1249, 0.0), 
      {{0x1.8a5ce414d43cap-7, 0x1.281462dc40c3p-6, 0x1.8b2f7bcaec014p-6, 0x1.ee5a7562809dp-6, 0x1.28a8ded3f43d3p-5, 0x1.59db57a20d625p-5, 0x1.8a8a18c7b30c1p-5, 0x1.ba71fa9453e14p-5, 0x1.e949e22e3a869p-5, 0x1.0b62a3f496dfep-4, 0x1.214b40ce58f1bp-4, 0x1.3638619ed3fbp-4, 0x1.4a04e842340cfp-4, 0x1.5c8db009cf2ebp-4, 0x1.6db21a17237fbp-4, 0x1.7d547795b3753p-4, 0x1.8b5a5576bc9ffp-4, 0x1.97acad8305ba6p-4, 0x1.a238008c2df87p-4, 0x1.aaec5d564ccd3p-4, 0x1.b1bd578bcc8b8p-4, 0x1.b6a1f1bb62507p-4, 0x1.b9947d0a12be3p-4, 0x1.ba9270ee6a2d3p-4, 0x1.b99c3cf975cb5p-4, 0x1.b6b51667383c6p-4, 0x1.b1e2c2ecb212cp-4, 0x1.ab2d61fc95e34p-4, 0x1.a29f358643b62p-4, 0x1.98446b037439ep-4, 0x1.8c2ae580264e5p-4, 0x1.7e62092507e48p-4, 0x1.6efa88ae77e23p-4, 0x1.5e06352056a1dp-4, 0x1.4b97cff11ca9cp-4, 0x1.37c2dfd448628p-4, 0x1.229b883cd75afp-4, 0x1.0c3663a3bb38dp-4, 0x1.e950c1277ab58p-5, 0x1.b80d42e759fa2p-5, 0x1.84ccbe01aab93p-5, 0x1.4fb99acc792d9p-5, 0x1.18fe07b1dbc1cp-5, 0x1.c1879a7984f3cp-6, 0x1.4e684d7ee348p-6, 0x1.b1de7d57ecaeep-7, 0x1.85af9828c2d51p-8, -0x1.7d418962ddecfp-10, -0x1.250a38e354b27p-7, -0x1.0e5dafeddafd3p-6, -0x1.8b16aa7b4231fp-6, -0x1.0435a65b2a839p-5, -0x1.430cab9e6dc42p-5, -0x1.81f08e542bf79p-5, -0x1.c0c2c78c649f1p-5, -0x1.ff6624daf3722p-5, -0x1.1edf65a1cf498p-4, -0x1.3dd91c3f86984p-4, -0x1.5c93a1619ae3cp-4, -0x1.7b030b9b9206cp-4, -0x1.991c1b9b9277ap-4, -0x1.b6d43a45ed897p-4, -0x1.d421765a07951p-4, -0x1.f0fa81af68eefp-4, -0x1.06ab570c334aap-3, -0x1.1496f4fb7ffep-3, -0x1.223c5e479643ep-3, -0x1.2f982110902e7p-3, -0x1.3ca713ea79524p-3, -0x1.496653c028b5ap-3, -0x1.55d341a6ff1a8p-3, -0x1.61eb80a723797p-3, -0x1.6dacf37b51cdep-3, -0x1.7915ba4b3b388p-3, -0x1.84243062e9c0fp-3, -0x1.8ed6e9e986a34p-3, -0x1.992cb19988612p-3, -0x1.a324867c20ee4p-3, -0x1.acbd99a976ebdp-3, -0x1.b5f74c0f2dd98p-3, -0x1.bed12c3e676dap-3, -0x1.c74af4425cd43p-3, -0x1.cf648780837bap-3, -0x1.d71df0a305fd1p-3, -0x1.de775f8e4ab85p-3, -0x1.e57127621946ap-3, -0x1.ec0bbc86dc8cap-3, -0x1.f247b2c76cbc5p-3, -0x1.f825bb77af8e8p-3, -0x1.fda6a3a84e0abp-3, -0x1.0165a933de465p-2, -0x1.03ca6388518e5p-2, -0x1.06020bd2e5852p-2, -0x1.080d379dcaa7cp-2, -0x1.09ec86377877cp-2, -0x1.0ba09ff4e919cp-2, -0x1.0d2a357a874f4p-2, -0x1.0e89ff0bc0b9bp-2, -0x1.0fc0bbe12f345p-2, -0x1.10cf318540342p-2, -0x1.11b62b3748956p-2, -0x1.12767954e75fap-2, -0x1.1310f0c9a1832p-2, -0x1.13866a8493cfcp-2, -0x1.13d7c2f423d7dp-2, -0x1.1405d9878b3c6p-2, -0x1.141190361db9bp-2, -0x1.13fbcb0c2b9ap-2, -0x1.13c56fbd5b2d9p-2, -0x1.136f653c5617fp-2, -0x1.12fa9357ac1a7p-2, -0x1.1267e25bbf601p-2, -0x1.11b83ab9a058ap-2, -0x1.10ec84b2ad282p-2, -0x1.1005a808d5e09p-2, -0x1.0f048bb35c9fcp-2, -0x1.0dea1597f3a9p-2, -0x1.0cb72a4812c66p-2, -0x1.0b6cacc25e8ffp-2, -0x1.0a0b7e38033fbp-2, -0x1.08947dd5dd401p-2, -0x1.070888914d265p-2, -0x1.056878f89a125p-2, -0x1.03b52706b75a1p-2, -0x1.01ef67fa5a261p-2, -0x1.00180e3032948p-2, -0x1.fc5fd2005e9fap-3, -0x1.f86f893b5c457p-3, -0x1.f460d3f4ebd17p-3, -0x1.f0353d58be0fap-3, -0x1.ebee49ab1d7c2p-3, -0x1.e78d761e4f968p-3, -0x1.e31438aca8a25p-3, -0x1.de83fff71c2dp-3, -0x1.d9de33281ad87p-3, -0x1.d52431da7ef78p-3, -0x1.d05754046af59p-3, -0x1.cb78e9e5cde23p-3, -0x1.c68a3bfa77444p-3, -0x1.c18c8aef848bp-3, -0x1.bc810f9bf356fp-3, -0x1.b768fafc3e36fp-3, -0x1.b2457630cb8e5p-3, -0x1.ad17a27f15212p-3, -0x1.a7e09955529f5p-3, -0x1.a2a16c508be9cp-3, -0x1.9d5b2544efe2p-3, -0x1.980ec64844abp-3, -0x1.92bd49be58ba1p-3, -0x1.8d67a2674d223p-3, -0x1.880ebb6fa3fe2p-3, -0x1.82b37881e45a8p-3, -0x1.7d56b5d9cc965p-3, -0x1.77f94858e2d91p-3, -0x1.729bfd9c59f1cp-3, -0x1.6d3f9c1424cb7p-3, -0x1.67e4e31b243dp-3, -0x1.628c8b10603f3p-3, -0x1.5d37457123321p-3, -0x1.57e5bcf3f650fp-3, -0x1.529895a45d05ap-3, -0x1.4d506cff3f46fp-3, -0x1.480dda0ff4ef5p-3, -0x1.42d16d8dd6c64p-3, -0x1.3d9bb1fa4f157p-3, -0x1.386d2bbf4e83fp-3, -0x1.3346594e21b32p-3, -0x1.2e27b33e8b788p-3, -0x1.2911ac6e210eap-3, -0x1.2404b21fd86acp-3, -0x1.1f012c1bb1d5cp-3, -0x1.1a077cce8677cp-3, -0x1.15180169d601ap-3, -0x1.10331203a188dp-3, -0x1.0b5901b633eap-3, -0x1.068a1ebfe322cp-3, -0x1.01c6b2a2abd7fp-3, -0x1.fa1e04876a39p-4, -0x1.f0c69c153d21p-4, -0x1.e787a40145097p-4, -0x1.de618bdefc214p-4, -0x1.d554bb0031e48p-4, -0x1.cc6190b1c8d7ep-4, -0x1.c3886477debc1p-4, -0x1.bac9864960fa4p-4, -0x1.b2253ecadf8dep-4, -0x1.a99bcf88ba8fbp-4, -0x1.a12d73308e3dbp-4, -0x1.98da5dc9d9a0cp-4, -0x1.90a2bceddab58p-4, -0x1.8886b7fe9b58fp-4, -0x1.8086705d22a83p-4, -0x1.78a2019ecc3b9p-4, -0x1.70d981c1be069p-4, -0x1.692d0160773b7p-4, -0x1.619c8be479f51p-4, -0x1.5a2827b804379p-4, -0x1.52cfd676ddbb9p-4, -0x1.4b93951e32f4p-4, -0x1.44735c3b7e028p-4, -0x1.3d6f201a7a421p-4, -0x1.3686d0f224587p-4, -0x1.2fba5b10c294bp-4, -0x1.2909a706f5f4ep-4, -0x1.227499d1d6d12p-4, -0x1.1bfb15041a00dp-4, -0x1.159cf6ee3d11bp-4, -0x1.0f5a1ac5c2b79p-4, -0x1.093258cb7598ep-4, -0x1.03258670ba734p-4, -0x1.fa66ecf7e0b4cp-5, -0x1.eeb7f257c0f72p-5, -0x1.e33db8b47ce59p-5, -0x1.d7f7d73a7e00ap-5, -0x1.cce5e0d080bc3p-5, -0x1.c20764571e965p-5, -0x1.b75bece68655ep-5, -0x1.ace3020a71ed7p-5, -0x1.a29c27fc5c788p-5, -0x1.9886dfdbf907p-5, -0x1.8ea2a7e5fcddap-5, -0x1.84eefba932f5bp-5, -0x1.7b6b5439ebbd9p-5, -0x1.72172863cbe9cp-5, -0x1.68f1ecd9f9484p-5, -0x1.5ffb1465bb672p-5, -0x1.5732101389046p-5, -0x1.4e964f5e8d2f7p-5, -0x1.4627405ab397dp-5, -0x1.3de44fdd322ebp-5, -0x1.35cce9a3a8bbdp-5, -0x1.2de07879d1204p-5, -0x1.261e665dce57ep-5, -0x1.1e861ca31f28p-5, -0x1.1717041437ffbp-5, -0x1.0fd08512d3de5p-5, -0x1.08b207b6fe5dbp-5, -0x1.01baf3ecd8fbp-5, -0x1.f5d563225ea9p-6, -0x1.e8815119ab8dp-6, -0x1.db7881ddbeddcp-6, -0x1.ceb9c60b66a51p-6, -0x1.c243eeee0c8f4p-6, -0x1.b615cead73468p-6, -0x1.aa2e387972d26p-6, -0x1.9e8c00b39015dp-6, -0x1.932dfd169f47fp-6, -0x1.881304dc786e7p-6, -0x1.7d39f0e1c599cp-6, -0x1.72a19bc7f3523p-6, -0x1.6848e2155df61p-6, -0x1.5e2ea253cb81ap-6, -0x1.5451bd2d2463bp-6, -0x1.4ab1158694e2dp-6, -0x1.414b909a15aabp-6, -0x1.3820160e6c658p-6, -0x1.2f2d900da7e5ap-6, -0x1.2672eb5a36d68p-6, -0x1.1def1762875c4p-6, -0x1.15a106535f7cdp-6, -0x1.0d87ad28d3946p-6, -0x1.05a203be072acp-6, -0x1.fbde09b756fcbp-7, -0x1.ecdb5c8aafd6bp-7, -0x1.de3a018b5d9fdp-7, -0x1.cff8007305ffcp-7, -0x1.c2136733a5b75p-7, -0x1.b48a4a0994983p-7, -0x1.a75ac38b91a56p-7, -0x1.9a82f4b8e9a8ap-7, -0x1.8e010505c91f8p-7, -0x1.81d32265c793fp-7, -0x1.75f78154cb55ep-7, -0x1.6a6c5cde53a8dp-7, -0x1.5f2ff6a3252d7p-7, -0x1.544096dd90d18p-7, -0x1.499c8c643bf13p-7, -0x1.3f422cab95dc2p-7, -0x1.352fd3c5f2266p-7, -0x1.2b63e46279e12p-7, -0x1.21dcc7cae0deap-7, -0x1.1898eddff2257p-7, -0x1.0f96cd150d783p-7, -0x1.06d4e26a9cb36p-7, -0x1.fca362cf3f164p-8, -0x1.ec1788244ccacp-8, -0x1.dc0355ce1297cp-8, -0x1.cc63f9a16e259p-8, -0x1.bd36ae3a8e68ep-8, -0x1.ae78bae78a794p-8, -0x1.a027739194e7p-8, -0x1.924038a4be555p-8, -0x1.84c076f6b00e6p-8, -0x1.77a5a7abf27bfp-8, -0x1.6aed501c654cbp-8, -0x1.5e9501b68ab51p-8, -0x1.529a59e1b8a59p-8, -0x1.46fb01dfa2872p-8, -0x1.3bb4aeace6c41p-8, -0x1.30c520e0fa2f8p-8, -0x1.262a248d4cb46p-8, -0x1.1be1911ba74b7p-8, -0x1.11e9492c225cdp-8, -0x1.083f3a727656ap-8, -0x1.fdc2bb25aee91p-9, -0x1.eb9b6bfd032d1p-9, -0x1.da04a39f2346ap-9, -0x1.c8fa93498e8b9p-9, -0x1.b87980f9b6d95p-9, -0x1.a87dc723444e9p-9, -0x1.9903d46612166p-9, -0x1.8a082b43662b1p-9, -0x1.7b8761d32e29ep-9, -0x1.6d7e2178d2e14p-9, -0x1.5fe9269810606p-9, -0x1.52c540499d0bep-9, -0x1.460f50102494cp-9, -0x1.39c4498cadbfap-9, -0x1.2de132336b22ep-9, -0x1.22632100d242bp-9, -0x1.17473e2e93b6bp-9, -0x1.0c8ac2e95106ap-9, -0x1.022af90638a1bp-9, -0x1.f04a7571bf84ep-10, -0x1.dcede493b533bp-10, -0x1.ca3b339ad83dap-10, -0x1.b82d75b5ac9dfp-10, -0x1.a6bfdc88b8a7p-10, -0x1.95edb79eda5cep-10, -0x1.85b273dab2e8fp-10, -0x1.76099ae9cec7fp-10, -0x1.66eed2b89661dp-10, -0x1.585ddce78403ap-10, -0x1.4a5296425fc36p-10, -0x1.3cc8f63805e09p-10, -0x1.2fbd0e536aa53p-10, -0x1.232b09b6f541fp-10, -0x1.170f2c987729ep-10, -0x1.0b65d3bf1f363p-10, -0x1.002b7402fdd5ep-10, -0x1.eab9339c4d561p-11, -0x1.d5ebd13d52a2ep-11, -0x1.c1e83515ded88p-11, -0x1.aea7ff8ed6039p-11, -0x1.9c24fc5bcc6d1p-11, -0x1.8a59218d4de95p-11, -0x1.793e8ea6fcbdp-11, -0x1.68cf8bb6f19d9p-11, -0x1.59068872b6172p-11, -0x1.49de1b5662cf2p-11, -0x1.3b5100c79a8b1p-11, -0x1.2d5a1a3bc21a6p-11, -0x1.1ff46d62420d7p-11, -0x1.131b2351959f6p-11, -0x1.06c987b7341b8p-11, -0x1.f5f61017cebcbp-12, -0x1.df566596192a2p-12, -0x1.c9ab6d5ab61f3p-12, -0x1.b4ecc3cdc75d1p-12, -0x1.a11242d27b643p-12, -0x1.8e14004fa470dp-12, -0x1.7bea4cbf6750fp-12, -0x1.6a8db1c7520cap-12, -0x1.59f6f0d50d98cp-12, -0x1.4a1f01c2d5ae5p-12, -0x1.3aff118240853p-12, -0x1.2c9080cd854a5p-12, -0x1.1ecce2de667p-12, -0x1.11adfc2bd1aa9p-12, -0x1.052dc12e040f8p-12, -0x1.f28caa5116814p-13, -0x1.dbe411f536e0ep-13, -0x1.c656b3ec02cd3p-13, -0x1.b1d9e17714dfp-13, -0x1.9e63403a25b42p-13, -0x1.8be8c80b5d843p-13, -0x1.7a60c0ceb2deap-13, -0x1.69c1c05fb00dfp-13, -0x1.5a02a881ca208p-13, -0x1.4b1aa4dfadccdp-13, -0x1.3d01291547892p-13, -0x1.2fadeec28c9fbp-13, -0x1.2318f3aa2e19dp-13, -0x1.173a77da182cep-13, -0x1.0c0afbdfb2f41p-13, -0x1.01833f05bb6f3p-13, -0x1.ef387b37ed07bp-14, -0x1.dc9e5e91fdbc9p-14, -0x1.cb2b0acd38f1dp-14, -0x1.bad1d2cc94a28p-14, -0x1.ab86767f86534p-14, -0x1.9d3d1fd1277a7p-14, -0x1.8fea5fac17786p-14, -0x1.83832b0e04af2p-14, -0x1.77fcd82cbb02p-14, -0x1.6d4d1bafa073fp-14, -0x1.636a05f6a285ap-14, -0x1.5a4a007314b55p-14, -0x1.51e3cb104f56dp-14, -0x1.4a2e79aeda791p-14, -0x1.432171ac410bdp-14, -0x1.3cb4677cf7bd8p-14, -0x1.36df5c545462ap-14, -0x1.319a9bdcdc4ebp-14, -0x1.2cdeb9fc75ab2p-14, -0x1.28a490a9756a8p-14, -0x1.24e53dcadf249p-14, -0x1.219a212b455c4p-14, -0x1.1ebcda746898fp-14, -0x1.1c47473a3bdfcp-14, -0x1.1a33811284fdbp-14, -0x1.187bdbbb2114p-14, -0x1.171ae347e95c9p-14, -0x1.160b5a63a0d35p-14, -0x1.15483894387a7p-14, -0x1.14cca891b5d4dp-14, -0x1.149406a71824p-14, -0x1.1499df1c3c9cdp-14, -0x1.14d9ecab419e6p-14, -0x1.15501703f4538p-14, -0x1.15f871540977bp-14, -0x1.16cf38dd9b6e4p-14, -0x1.17d0d398261d9p-14, -0x1.18f9ced5e234ap-14, -0x1.1a46ddf8b4d3ep-14, -0x1.1bb4d92e063e4p-14, -0x1.1d40bc3336955p-14, -0x1.1ee7a522ba2c8p-14, -0x1.20a6d34cae63cp-14, -0x1.227ba6138695bp-14, -0x1.24639bd33e2cap-14, -0x1.265c50d2e279ep-14, -0x1.28637e388cbf2p-14, -0x1.2a76f909e5d8fp-14, -0x1.2c94b131b0daep-14, -0x1.2ebab08d544a7p-14, -0x1.30e71a01d7cb5p-14, -0x1.331828972ad78p-14, -0x1.354c2e9ad6e7dp-14, -0x1.378194c765dfbp-14, -0x1.39b6d97500e59p-14, -0x1.3bea8fcf21887p-14, -0x1.3e1b5f0fb057ep-14, -0x1.404801c0535p-14, -0x1.426f4502a1526p-14, -0x1.449007dcb1406p-14, -0x1.46a93a8b765f6p-14, -0x1.48b9dddc374a5p-14, -0x1.4ac102879a64ep-14, -0x1.4cbdc8949af12p-14, -0x1.4eaf5ebfc9919p-14, -0x1.509501e791c16p-14, -0x1.526dfc7c6915ep-14, -0x1.5439a5f5c354fp-14, -0x1.55f7624ca9dc2p-14, -0x1.57a6a17874819p-14, -0x1.5946def0c8d1p-14, -0x1.5ad7a1362cba9p-14, -0x1.5c58795916d94p-14, -0x1.5dc90289a4b14p-14, -0x1.5f28e1a8e3bbdp-14, -0x1.6077c4de520d6p-14, -0x1.61b56330b7919p-14, -0x1.62e17c229491cp-14, -0x1.63fbd7524d56fp-14, -0x1.6504441c145f7p-14, -0x1.65fa994053e0ap-14, -0x1.66deb48db81c5p-14, -0x1.67b07a8ca84d3p-14, -0x1.686fd62e5a73fp-14, -0x1.691cb87e7ad4dp-14, -0x1.69b718584852ap-14, -0x1.6a3ef21d215d6p-14, -0x1.6ab4476e71351p-14, -0x1.6b171eeae6cefp-14, -0x1.6b6783ebef484p-14, -0x1.6ba586470764cp-14, -0x1.6bd13a10e0e2ep-14, -0x1.6beab7638ef89p-14, -0x1.6bf21a25af5ffp-14, -0x1.6be781d42f5dap-14, -0x1.6bcb114e0b57p-14, -0x1.6b9ceea1cc164p-14, -0x1.6b5d42dd29accp-14, -0x1.6b0c39dde4b87p-14, -0x1.6aaa0226a6444p-14, -0x1.6a36ccb21502ep-14, -0x1.69b2ccc9ae4e6p-14, -0x1.691e37de78093p-14, -0x1.6879456268146p-14, -0x1.67c42ea39ba4ep-14, -0x1.66ff2ea90a85bp-14, -0x1.662a821093533p-14, -0x1.654666eead6e6p-14, -0x1.64531cae79555p-14, -0x1.6350e3f426572p-14, -0x1.623ffe81072f5p-14, -0x1.6120af171e14dp-14, -0x1.5ff3395ef71d8p-14, -0x1.5eb7e1cea7022p-14, -0x1.5d6eed9189319p-14, -0x1.5c18a27146799p-14, -0x1.5ab546bf657f5p-14, -0x1.59452140bc61p-14, -0x1.57c879192475cp-14, -0x1.563f95b7ce041p-14, -0x1.54aabec503774p-14, -0x1.530a3c113a355p-14, -0x1.515e5583e5aa7p-14, -0x1.4fa7530ba7fdcp-14, -0x1.4de57c8f2e44dp-14, -0x1.4c1919df28fcp-14, -0x1.4a4272a81b0f7p-14, -0x1.4861ce659bcf7p-14, -0x1.46777455b640fp-14, -0x1.4483ab6e14b34p-14, -0x1.4286ba501125ep-14, -0x1.4080e73e81bc6p-14, -0x1.3e727813e2dfp-14, -0x1.3c5bb239005b9p-14, -0x1.3a3cda9bf923bp-14, -0x1.381635a82a865p-14, -0x1.35e8073e42dd7p-14, -0x1.33b292ad1b4afp-14, -0x1.31761aaa99061p-14, -0x1.2f32e14d05601p-14, -0x1.2ce928055026bp-14, -0x1.2a992f9991707p-14, -0x1.2843381f9bfaap-14, -0x1.25e780f81a6c2p-14, -0x1.238648ca2913p-14, -0x1.211fcd7f06545p-14, -0x1.1eb44c3e6d871p-14, -0x1.1c44016adc5ebp-14, -0x1.19cf289e94962p-14, -0x1.1755fca8c5f4cp-14, -0x1.14d8b78ab11edp-14, -0x1.12579275476bp-14, -0x1.0fd2c5c709686p-14, -0x1.0d4a890a5347fp-14, -0x1.0abf12f3af944p-14, -0x1.083099607730ep-14, -0x1.059f515592dbep-14, -0x1.030b6efe6bb3cp-14, -0x1.007525ac4e4f9p-14, -0x1.fbb94fab36ccep-15, -0x1.f6844e2b0207ap-15, -0x1.f14ba857682eep-15, -0x1.ec0fbdf906bfdp-15, -0x1.e6d0ed212cc49p-15, -0x1.e18f922a979f2p-15, -0x1.dc4c07ba24a81p-15, -0x1.d706a6bfbccfcp-15, -0x1.d1bfc677bc2f6p-15, -0x1.cc77bc6c503c5p-15, -0x1.c72edc7737424p-15, -0x1.c1e578c378a8fp-15, -0x1.bc9be1cff847cp-15, -0x1.b7526671209e5p-15, -0x1.b20953d3c8a99p-15, -0x1.acc0f57fce102p-15, -0x1.a779955b23adbp-15, -0x1.a2337bac73ac9p-15, -0x1.9ceeef1e4972ep-15, -0x1.97ac34c297ccp-15, -0x1.926b9015d8bf2p-15, -0x1.8d2d4302a054fp-15, -0x1.87f18de56a736p-15, -0x1.82b8af900b68ap-15, -0x1.7d82e54dd6687p-15, -0x1.78506ae764337p-15, -0x1.73217aa662637p-15, -0x1.6df64d59bc6e8p-15, -0x1.68cf1a59dc716p-15, -0x1.63ac178ccfdf5p-15, -0x1.5e8d796a9b64dp-15, -0x1.5973730158bf7p-15, -0x1.545e35f9cac1ep-15, -0x1.4f4df29bba38cp-15, -0x1.4a42d7d22e0eep-15, -0x1.453d133020779p-15, -0x1.403cd0f51ed64p-15, -0x1.3b423c115e383p-15, -0x1.364d7e2acd166p-15, -0x1.315ebfa158cecp-15, -0x1.2c7627938375dp-15, -0x1.2793dbe2fdfaap-15, -0x1.22b801395563ep-15, -0x1.1de2bb0c9031dp-15, -0x1.19142ba3abb02p-15, -0x1.144c741b45983p-15, -0x1.0f8bb46a63f6ep-15, -0x1.0ad20b669ffcbp-15, -0x1.061f96c8fdbe1p-15, -0x1.01747332935p-15, -0x1.f9a17861b5bb1p-16, -0x1.f0691884c2aacp-16, -0x1.e73ff9b6b141ep-16, -0x1.de264cd3d87f8p-16, -0x1.d51c40b5776dap-16, -0x1.cc22023ab6f98p-16, -0x1.c337bc517dad7p-16, -0x1.ba5d97ff8b792p-16, -0x1.b193bc6a9e526p-16, -0x1.a8da4ee160982p-16, -0x1.a03172e453db3p-16, -0x1.97994a2db3ec3p-16, -0x1.8f11f4ba3abbp-16, -0x1.869b90d1b5603p-16, -0x1.7e363b0f75d72p-16, -0x1.75e20e6a00b96p-16, -0x1.6d9f243bb1697p-16, -0x1.656d944aaa196p-16, -0x1.5d4d74d0d1817p-16, -0x1.553eda83dd8fap-16, -0x1.4d41d89cfb5f9p-16, -0x1.455680e111653p-16, -0x1.3d7ce3a82e782p-16, -0x1.35b50fe4d8708p-16, -0x1.2dff132c178f2p-16, -0x1.265af9bc91f1fp-16, -0x1.1ec8ce85d8c04p-16, -0x1.17489b2fe2047p-16, -0x1.0fda68225b9c4p-16, -0x1.087e3c8bb61a4p-16, -0x1.01341e67a9a08p-16, -0x1.f3f8250dba3edp-17, -0x1.e5ac392a5a70ap-17, -0x1.d7847e41279fcp-17, -0x1.c980f73f9aabcp-17, -0x1.bba1a4f209121p-17, -0x1.ade6861107fd1p-17, -0x1.a04f974d7854ap-17, -0x1.92dcd35d4cb7bp-17, -0x1.858e3307e35f1p-17, -0x1.7863ad32b678bp-17, -0x1.6b5d36ecb584ap-17, -0x1.5e7ac37a93b06p-17, -0x1.51bc4462eaf6ap-17, -0x1.4521a9799cb0bp-17, -0x1.38aae0ea6a1fdp-17, -0x1.2c57d7455f764p-17, -0x1.20287789032ccp-17, -0x1.141cab2d326c5p-17, -0x1.08345a2e12f16p-17, -0x1.f8ded62c82bd8p-18, -0x1.e19b8614edadap-18, -0x1.ca9e8ba4f63c1p-18, -0x1.b3e7abc6ce7f4p-18, -0x1.9d76a8d34efa3p-18, -0x1.874b42a548a52p-18, -0x1.716536ac3e32bp-18, -0x1.5bc43fff6d2c9p-18, -0x1.466817702afdp-18, -0x1.3150739d9255ap-18, -0x1.1c7d09045e55bp-18, -0x1.07ed8a108f65bp-18, -0x1.e7434e6008fc6p-19, -0x1.bf321dc4933f4p-19, -0x1.97a6db9214943p-19, -0x1.70a0dd7151b4ap-19, -0x1.4a1f759055f6p-19, -0x1.2421f2c4efc85p-19, -0x1.fd4f41511dfb9p-20, -0x1.b35f8f6d1b398p-20, -0x1.6a735ad527937p-20, -0x1.228928baed2a3p-20, -0x1.b73ef18884df9p-21, -0x1.2b698a8632e0bp-21, -0x1.431e0dac22655p-22, -0x1.9ac471c7b2345p-25, 0x1.b107759d5efb3p-23, 0x1.e07d30ed31dfbp-22, 0x1.724d2462b79c7p-21, 0x1.f270c3ac4dc0bp-21, 0x1.385660523b3b4p-20, 0x1.768236875d4a4p-20, 0x1.b3bd90e0a0f24p-20, 0x1.f00a1f2075d2ap-20, 0x1.15b4ca1ad2085p-19, 0x1.32eed3083ae03p-19, 0x1.4fb406bbf7a55p-19, 0x1.6c0542ef66836p-19, 0x1.87e3669cb3b4cp-19, 0x1.a34f51eb10263p-19, 0x1.be49e61a64abbp-19, 0x1.d8d40570fabaap-19, 0x1.f2ee93248f776p-19, 0x1.064d39a638a02p-18, 0x1.12ec45674a6a6p-18, 0x1.1f54dfa5b8bc3p-18, 0x1.2b877b86e7cedp-18, 0x1.37848c7d50f98p-18, 0x1.434c86400c5a3p-18, 0x1.4edfdcc2d21c6p-18, 0x1.5a3f042d47077p-18, 0x1.656a70d3a336dp-18, 0x1.7062972f2d4ccp-18, 0x1.7b27ebd732727p-18, 0x1.85bae379d6486p-18, 0x1.901bf2d4db0d8p-18, 0x1.9a4b8eae96be1p-18, 0x1.a44a2bcf3c5bdp-18, 0x1.ae183efb497a1p-18, 0x1.b7b63ceb9f70fp-18, 0x1.c1249a4838f84p-18, 0x1.ca63cba20950ep-18, 0x1.d374456df2ba2p-18, 0x1.dc567bfd2846dp-18, 0x1.e50ae37909c0cp-18, 0x1.ed91efdd97d65p-18, 0x1.f5ec14f41ab84p-18, 0x1.fe19c64d72d37p-18, 0x1.030dbb9ebc86ep-17, 0x1.06f8cd6b2871ap-17, 0x1.0ace51f19aadp-17, 0x1.0e8e82721261ap-17, 0x1.1239980508ae2p-17, 0x1.15cfcb98cf58ap-17, 0x1.195155ef9439ep-17, 0x1.1cbe6f9d52c92p-17, 0x1.20175106385f9p-17, 0x1.235c325bf4ca2p-17, 0x1.268d4b9c87c19p-17, 0x1.29aad49024e9fp-17, 0x1.2cb504c7b8a84p-17, 0x1.2fac139ae817cp-17, 0x1.3290382665046p-17, 0x1.3561a94ac52ecp-17, 0x1.38209daaaa528p-17, 0x1.3acd4ba921f17p-17, 0x1.3d67e968945f7p-17, 0x1.3ff0acc923b0dp-17, 0x1.4267cb67508dap-17, 0x1.44cd7a9ad47d1p-17, 0x1.4721ef755016ep-17, 0x1.49655ec144de4p-17, 0x1.4b97fd00bc639p-17, 0x1.4db9fe6c218d5p-17, 0x1.4fcb96f178901p-17, 0x1.51ccfa331badfp-17, 0x1.53be5b86ce94p-17, 0x1.559fedf4cb848p-17, 0x1.5771e43701374p-17, 0x1.593470b801082p-17, 0x1.5ae7c5928a3b6p-17, 0x1.5c8c14902eac4p-17, 0x1.5e218f293bbep-17, 0x1.5fa866837337cp-17, 0x1.6120cb71a09f4p-17, 0x1.628aee7325ee3p-17, 0x1.63e6ffb32083ep-17, 0x1.65352f07b7e28p-17, 0x1.6675abf1eb3e4p-17, 0x1.67a8a59cd794cp-17, 0x1.68ce4add6b4bap-17, 0x1.69e6ca31a3a21p-17, 0x1.6af251c065c7dp-17, 0x1.6bf10f5915a8bp-17, 0x1.6ce330731e4f3p-17, 0x1.6dc8e22db55d3p-17, 0x1.6ea2514f67c12p-17, 0x1.6f6faa460b4c8p-17, 0x1.70311926512d2p-17, 0x1.70e6c9ab7c6d3p-17, 0x1.7190e73788dcap-17, 0x1.722f9cd2a7ec1p-17, 0x1.72c3152b20f82p-17, 0x1.734b7a9516332p-17, 0x1.73c8f70aafe16p-17, 0x1.743bb42bf28dap-17, 0x1.74a3db3e9de3fp-17, 0x1.7501952e114fdp-17, 0x1.75550a8b619a2p-17, 0x1.759e638d3c166p-17, 0x1.75ddc80ff67d6p-17, 0x1.76135f95905dap-17, 0x1.763f5145a7943p-17, 0x1.7661c3edf88ffp-17, 0x1.767ade01f68dep-17, 0x1.768ac59b12376p-17, 0x1.7691a078caed3p-17, 0x1.768f9400ecbf8p-17, 0x1.7684c53fabd02p-17, 0x1.767158e79477cp-17, 0x1.7655735226eb2p-17, 0x1.7631387fdcfeep-17, 0x1.7604cc184f9fbp-17, 0x1.75d0516a171dbp-17, 0x1.7593eb6b9ab34p-17, 0x1.754fbcbb11f5ep-17, 0x1.7503e79ee9b76p-17, 0x1.74b08e05e249ep-17, 0x1.7455d1874a961p-17, 0x1.73f3d36376479p-17, 0x1.738ab483e6278p-17, 0x1.731a957ba1763p-17, 0x1.72a3968797eadp-17, 0x1.7225d78ee3fe7p-17, 0x1.71a1782350f3p-17, 0x1.7116978187801p-17, 0x1.7085549172b48p-17, 0x1.6fedcde6b05f7p-17, 0x1.6f5021c0e0537p-17, 0x1.6eac6e0c07d72p-17, 0x1.6e02d060db25p-17, 0x1.6d5366057e888p-17, 0x1.6c9e4bedbe929p-17, 0x1.6be39ebb623efp-17, 0x1.6b237abe7a379p-17, 0x1.6a5dfbf614f96p-17, 0x1.69933e1090f9bp-17, 0x1.68c35c6c2fa59p-17, 0x1.67ee72178006ep-17, 0x1.671499d1b0e9bp-17, 0x1.6635ee0af44ccp-17, 0x1.655288e53c2c1p-17, 0x1.646a84346e624p-17, 0x1.637df97ef9191p-17, 0x1.628d01fe61761p-17, 0x1.6197b69fab5dap-17, 0x1.609e3003d8456p-17, 0x1.5fa08680844a1p-17, 0x1.5e9ed2201cf33p-17, 0x1.5d992aa2b39b4p-17, 0x1.5c8fa77e37157p-17, 0x1.5b825fdf06accp-17, 0x1.5a716aa86850dp-17, 0x1.595cde756967ap-17, 0x1.5844d1991e36bp-17, 0x1.57295a1edfdb5p-17, 0x1.560a8dcb2758bp-17, 0x1.54e8821bfb1ebp-17, 0x1.53c34c49583eap-17, 0x1.529b0145fc2d9p-17, 0x1.516fb5bff9351p-17, 0x1.50417e20cd81ep-17, 0x1.4f106e8e2f7fp-17, 0x1.4ddc9aea73b97p-17, 0x1.4ca616d53db44p-17, 0x1.4b6cf5abe4ca8p-17, 0x1.4a314a8a108cp-17, 0x1.48f3284a41135p-17, 0x1.47b2a18641e11p-17, 0x1.466fc897d5372p-17, 0x1.452aaf9928f88p-17, 0x1.43e3686553e63p-17, 0x1.429a0498e3933p-17, 0x1.414e959275716p-17, 0x1.40012c7305814p-17, 0x1.3eb1da1e940d9p-17, 0x1.3d60af3d1f22p-17, 0x1.3c0dbc3a97e0ep-17, 0x1.3ab9114774eefp-17, 0x1.3962be595c81fp-17, 0x1.380ad32ba65e5p-17, 0x1.36b15f3fe06d2p-17, 0x1.355671de649dbp-17, 0x1.33fa1a1710a44p-17, 0x1.329c66c15a279p-17, 0x1.313d667d04c4ep-17, 0x1.2fdd27b2b04e4p-17, 0x1.2e7bb894501e2p-17, 0x1.2d19271db46edp-17, 0x1.2bb5811519bfbp-17, 0x1.2a50d40b9d90bp-17, 0x1.28eb2d5dca77p-17, 0x1.27849a341a648p-17, 0x1.261d278384089p-17, 0x1.24b4e20dea806p-17, 0x1.234bd662915a3p-17, 0x1.21e210dece221p-17, 0x1.20779dae52bfp-17, 0x1.1f0c88cb9e00bp-17, 0x1.1da0de00bfe87p-17, 0x1.1c34a8e7fa7e8p-17, 0x1.1ac7f4ebbf399p-17, 0x1.195acd4772b48p-17, 0x1.17ed3d07e1fd8p-17, 0x1.167f4f0babca7p-17, 0x1.15110e03e2beap-17, 0x1.13a284746e43cp-17, 0x1.1233bcb4ca7f8p-17, 0x1.10c4c0f0179a9p-17, 0x1.0f559b25b1f01p-17, 0x1.0de65529c634p-17, 0x1.0c76f8a5bacc9p-17, 0x1.0b078f18ac9fdp-17, 0x1.099821d7ceap-17, 0x1.0828ba0efd398p-17, 0x1.06b960c130c0bp-17, 0x1.054a1ec8da1bfp-17, 0x1.03dafcd88912fp-17, 0x1.026c037b2a6bdp-17, 0x1.00fd3b14782f3p-17, 0x1.ff1d57c3341cdp-18, 0x1.fc40bbf2eda13p-18, 0x1.f964b29a14b7ep-18, 0x1.f6894b4fe9a22p-18, 0x1.f3ae9561f59cp-18, 0x1.f0d49fd538103p-18, 0x1.edfb7965f18f2p-18, 0x1.eb2330891acb9p-18, 0x1.e84bd36d2f3b5p-18, 0x1.e5756ffb13ac3p-18, 0x1.e2a013d6cab36p-18, 0x1.dfcbcc6089169p-18, 0x1.dcf8a6b593289p-18, 0x1.da26afb06dc91p-18, 0x1.d755f3ea13607p-18, 0x1.d4867fbac56a9p-18, 0x1.d1b85f3acab27p-18, 0x1.ceeb9e43432bap-18, 0x1.cc20486ec9ee6p-18, 0x1.c956691a63df6p-18, 0x1.c68e0b662f38p-18, 0x1.c3c73a363e00dp-18, 0x1.c1020033572edp-18, 0x1.be3e67cbb3b7bp-18, 0x1.bb7c7b335e434p-18, 0x1.b8bc44656c2fep-18, 0x1.b5fdcd24baa6dp-18, 0x1.b3411efc48d3bp-18, 0x1.b086434019937p-18, 0x1.adcd430dc1d74p-18, 0x1.ab16274db4af2p-18, 0x1.a860f8b38ff53p-18, 0x1.a5adbfbe9db81p-18, 0x1.a2fc84bab2be6p-18, 0x1.a04d4fc0c58f3p-18, 0x1.9da028b7dc86p-18, 0x1.9af517554c14ep-18, 0x1.984c231e00369p-18, 0x1.95a55366f32f5p-18, 0x1.9300af553e8dbp-18, 0x1.905e3ddf47813p-18, 0x1.8dbe05cd58308p-18, 0x1.8b200dba2dd28p-18, 0x1.88845c13a9f19p-18, 0x1.85eaf71b4a52ap-18, 0x1.8353e4e6e7c44p-18, 0x1.80bf2b61602dp-18, 0x1.7e2cd04b1e036p-18, 0x1.7b9cd93ab8455p-18, 0x1.790f4b9d8b857p-18, 0x1.76842cb8121d8p-18, 0x1.73fb81a6e5929p-18, 0x1.71754f5f33067p-18, 0x1.6ef19aaefdcd1p-18, 0x1.6c70683dfff3fp-18, 0x1.69f1bc8e09f4p-18, 0x1.67759bfbad9ccp-18, 0x1.64fc0abf0213ep-18, 0x1.62850cebd68f6p-18, 0x1.6010a672393a2p-18, 0x1.5d9edb1f290a5p-18, 0x1.5b2fae9d2390bp-18, 0x1.58c324746be01p-18, 0x1.5659400bb092dp-18, 0x1.53f204a8d2ab9p-18, 0x1.518d75713522dp-18, 0x1.4f2b956a061c8p-18, 0x1.4ccc6778e580ep-18, 0x1.4a6fee646821dp-18, 0x1.48162cd4a1cabp-18, 0x1.45bf255383ca5p-18, 0x1.436ada4d474e8p-18, 0x1.41194e1112424p-18, 0x1.3eca82d16c096p-18, 0x1.3c7e7aa482f74p-18, 0x1.3a353784c4346p-18, 0x1.37eebb515516fp-18, 0x1.35ab07ce53fcbp-18, 0x1.336a1ea5963cbp-18, 0x1.312c0166d567cp-18, 0x1.2ef0b1880bce2p-18, 0x1.2cb830663d1b3p-18, 0x1.2a827f459cab5p-18, 0x1.284f9f51e3b9dp-18, 0x1.261f919ef2365p-18, 0x1.23f257292945ep-18, 0x1.21c7f0d5d42d6p-18, 0x1.1fa05f735fa8ap-18, 0x1.1d7ba3b9dda3p-18, 0x1.1b59be4b86a1dp-18, 0x1.193aafb4df868p-18, 0x1.171e786d3535p-18, 0x1.150518d70af87p-18, 0x1.12ee91408e613p-18, 0x1.10dae1e39ec3cp-18, 0x1.0eca0ae676b31p-18, 0x1.0cbc0c5bdc6cfp-18, 0x1.0ab0e6439695dp-18, 0x1.08a8988ab773p-18, 0x1.06a3230be9962p-18, 0x1.04a0858fe0462p-18, 0x1.02a0bfcda70c5p-18, 0x1.00a3d16ad5026p-18, 0x1.fd5373f8174a1p-19, 0x1.f964f20a8de8bp-19, 0x1.f57c1bf40c2ffp-19, 0x1.f198f07b8035ap-19, 0x1.edbb6e48429f4p-19, 0x1.e9e393e2bef5dp-19, 0x1.e6115fb51bf8fp-19, 0x1.e244d00bb386ep-19, 0x1.de7de315d1fe9p-19, 0x1.dabc96e63edeep-19, 0x1.d700e97371cf5p-19, 0x1.d34ad898d0d51p-19, 0x1.cf9a6216de709p-19, 0x1.cbef839398bb7p-19, 0x1.c84a3a9b677c9p-19, 0x1.c4aa84a167ac2p-19, 0x1.c1105efff37f2p-19, 0x1.bd7bc6f94f578p-19, 0x1.b9ecb9b7e6df3p-19, 0x1.b663344f4206cp-19, 0x1.b2df33bc03de8p-19, 0x1.af60b4e4d40dap-19, 0x1.abe7b49a8e17cp-19, 0x1.a8742f98d864cp-19, 0x1.a5062286b7408p-19, 0x1.a19d89f6d4e96p-19, 0x1.9e3a62682795fp-19, 0x1.9adca84659cb3p-19, 0x1.978457ea02db7p-19, 0x1.94316d996d335p-19, 0x1.90e3e588ee8cfp-19, 0x1.8d9bbbdb206dep-19, 0x1.8a58eca1a54d7p-19, 0x1.871b73dd3b9aep-19, 0x1.83e34d7e657d2p-19, 0x1.80b07565c2c09p-19, 0x1.7d82e764482dfp-19, 0x1.7a5a9f3c1ea19p-19, 0x1.773798a04bffbp-19, 0x1.7419cf35d9331p-19, 0x1.71013e93b4c6fp-19, 0x1.6dede2432e438p-19, 0x1.6adfb5c078761p-19, 0x1.67d6b47ab05b8p-19, 0x1.64d2d9d4cfd12p-19, 0x1.61d421255ce07p-19, 0x1.5eda85b72a488p-19, 0x1.5be602c9ca357p-19, 0x1.58f693915af23p-19, 0x1.560c333769752p-19, 0x1.5326dcdaf5693p-19, 0x1.50468b90d0deep-19, 0x1.4d6b3a64269d6p-19, 0x1.4a94e45667afcp-19, 0x1.47c3846008799p-19, 0x1.44f715706880ap-19, 0x1.422f926e81ab6p-19, 0x1.3f6cf638e438p-19, 0x1.3caf3ba5e728bp-19, 0x1.39f65d849d426p-19, 0x1.3742569c2943fp-19, 0x1.349321ace633p-19, 0x1.31e8b96fff98cp-19, 0x1.2f4318981dde6p-19, 0x1.2ca239d198744p-19, 0x1.2a0617c278b3bp-19, 0x1.276ead0b27f64p-19, 0x1.24dbf4463cdb3p-19, 0x1.224de8092fb64p-19, 0x1.1fc482e400a2p-19, 0x1.1d3fbf6205df6p-19, 0x1.1abf980a204aep-19, 0x1.1844075e72ba4p-19, 0x1.15cd07dd1f10cp-19, 0x1.135a940016fa1p-19, 0x1.10eca63d9be3dp-19, 0x1.0e8339089bccep-19, 0x1.0c1e46d0844e9p-19, 0x1.09bdca01c8ed8p-19, 0x1.0761bd05ceec6p-19, 0x1.050a1a4396334p-19, 0x1.02b6dc1efb142p-19, 0x1.0067fcfa2aaf9p-19, 0x1.fc3aee6984465p-20, 0x1.f7ae8a592bfb8p-20, 0x1.f32ac27bd2068p-20, 0x1.eeaf8b8627f35p-20, 0x1.ea3cda2ac3bccp-20, 0x1.e5d2a3192b61p-20, 0x1.e170daff66193p-20, 0x1.dd17768906c6fp-20, 0x1.d8c66a60f4829p-20, 0x1.d47dab30257bep-20, 0x1.d03d2d9f7d704p-20, 0x1.cc04e6571e6c3p-20, 0x1.c7d4c9fe9a5ecp-20, 0x1.c3accd3e61ba7p-20, 0x1.bf8ce4be9d76bp-20, 0x1.bb7505289c89ap-20, 0x1.b7652326addc3p-20, 0x1.b35d336440925p-20, 0x1.af5d2a8e1c893p-20, 0x1.ab64fd5337a18p-20, 0x1.a774a0641d901p-20, 0x1.a38c0874476fdp-20, 0x1.9fab2a3a23d3fp-20, 0x1.9bd1fa6d80f39p-20, 0x1.98006dcac0644p-20, 0x1.9436790fc8444p-20, 0x1.907410fff657ap-20, 0x1.8cb92a614d25fp-20, 0x1.8905b9fe5df8ap-20, 0x1.8559b4a5a8994p-20, 0x1.81b50f2a97cedp-20, 0x1.7e17be645dad7p-20, 0x1.7a81b72fc437p-20, 0x1.76f2ee6df611p-20, 0x1.736b590597d4fp-20, 0x1.6feaebe3582d8p-20, 0x1.6c719bf89032ep-20, 0x1.68ff5e3d6f1f7p-20, 0x1.659427af50e2bp-20, 0x1.622fed522261cp-20, 0x1.5ed2a430155fbp-20, 0x1.5b7c4159d5862p-20, 0x1.582cb9e6ad4a3p-20, 0x1.54e402f5116d6p-20, 0x1.51a211a9bddd2p-20, 0x1.4e66db31787e4p-20, 0x1.4b3254bf938e5p-20, 0x1.4804738f11547p-20, 0x1.44dd2ce322f39p-20, 0x1.41bc760566c6bp-20, 0x1.3ea24448e5eafp-20, 0x1.3b8e8d07586d1p-20, 0x1.388145a37831ap-20, 0x1.357a638786cc6p-20, 0x1.3279dc269ab24p-20, 0x1.2f7fa4fbfca93p-20, 0x1.2c8bb38c73d32p-20, 0x1.299dfd645f254p-20, 0x1.26b67819f38fdp-20, 0x1.23d5194ad32ddp-20, 0x1.20f9d69f02bd9p-20, 0x1.1e24a5c6e0817p-20, 0x1.1b557c7cc911p-20, 0x1.188c508422eddp-20, 0x1.15c917a9abc1fp-20, 0x1.130bc7c3e70ebp-20, 0x1.105456b2a3f67p-20, 0x1.0da2ba5f39309p-20, 0x1.0af6e8bd2af14p-20, 0x1.0850d7c93a11p-20, 0x1.05b07d8b001aap-20, 0x1.0315d0135febcp-20, 0x1.0080c57d8813bp-20, 0x1.fbe2a7de74623p-21, 0x1.f6cee32eafde9p-21, 0x1.f1c62960eaea6p-21, 0x1.ecc866fc253d8p-21, 0x1.e7d5889e2eccfp-21, 0x1.e2ed7af8ff91ep-21, 0x1.de102ad36778cp-21, 0x1.d93d8509cbb11p-21, 0x1.d475768d07231p-21, 0x1.cfb7ec640a698p-21, 0x1.cb04d3aaef77ep-21, 0x1.c65c199334675p-21, 0x1.c1bdab646f169p-21, 0x1.bd29767ad49e9p-21, 0x1.b89f6849dda04p-21, 0x1.b41f6e595e673p-21, 0x1.afa97647e6f69p-21, 0x1.ab3d6dc95b17ep-21, 0x1.a6db42a7abfa1p-21, 0x1.a282e2c48c3ap-21, 0x1.9e343c161cccbp-21, 0x1.99ef3ca99a0fep-21, 0x1.95b3d2a1565c1p-21, 0x1.9181ec35eb8a2p-21, 0x1.8d5977b7c154ep-21, 0x1.893a638bcbc8fp-21, 0x1.85249e304438dp-21, 0x1.811816365e607p-21, 0x1.7d14ba495055ap-21, 0x1.791a7927daf05p-21, 0x1.752941a8b7cd8p-21, 0x1.714102b8fededp-21, 0x1.6d61ab5b430f7p-21, 0x1.698b2aaac7d65p-21, 0x1.65bd6fd712f7bp-21, 0x1.61f86a28d1fa1p-21, 0x1.5e3c08fcf6c48p-21, 0x1.5a883bc92e653p-21, 0x1.56dcf2180beecp-21, 0x1.533a1b8c1dfd6p-21, 0x1.4f9fa7dd9432ap-21, 0x1.4c0d86dbe3904p-21, 0x1.4883a86cf97b2p-21, 0x1.4501fc8d36e33p-21, 0x1.4188734fd0e16p-21, 0x1.3e16fcdeba596p-21, 0x1.3aad8979da36cp-21, 0x1.374c0979088e9p-21, 0x1.33f26d4882598p-21, 0x1.30a0a56e36362p-21, 0x1.2d56a282b5c81p-21, 0x1.2a1455394dfadp-21, 0x1.26d9ae5799a91p-21, 0x1.23a69ebdb0787p-21, 0x1.207b175e337b4p-21, 0x1.1d570944f7be8p-21, 0x1.1a3a6592860f2p-21, 0x1.17251d7f1e47fp-21, 0x1.14172259af87cp-21, 0x1.11106584dda67p-21, 0x1.0e10d87c4d0b1p-21, 0x1.0b186cce839edp-21, 0x1.0827142388847p-21, 0x1.053cc036f23d1p-21, 0x1.025962dce8b4bp-21, 0x1.fef9dbfacac64p-22, 0x1.f94ea7302528ap-22, 0x1.f3b10b824b7dap-22, 0x1.ee20ed468e67p-22, 0x1.e89e30fd0f948p-22, 0x1.e328bb515308dp-22, 0x1.ddc0711b59558p-22, 0x1.d865375cf5ffep-22, 0x1.d316f34567febp-22, 0x1.cdd58a2bfe369p-22, 0x1.c8a0e196b1a89p-22, 0x1.c378df321e7abp-22, 0x1.be5d68d8f934dp-22, 0x1.b94e648e0e238p-22, 0x1.b44bb88089149p-22, 0x1.af554b0840415p-22, 0x1.aa6b02a821807p-22, 0x1.a58cc60cf1c28p-22, 0x1.a0ba7c0ce462ep-22, 0x1.9bf40ba8fbf2ep-22, 0x1.97395c09f68cap-22, 0x1.928a5484fdc91p-22, 0x1.8de6dc9480d54p-22, 0x1.894edbe15f556p-22, 0x1.84c23a377720cp-22, 0x1.8040df917a98dp-22, 0x1.7bcab40d9dc1p-22, 0x1.775f9ff782d2cp-22, 0x1.72ff8bbf29a3ep-22, 0x1.6eaa5ffeb53cp-22, }}, 
      {{-0x1.257912d24a52bp-1, -0x1.25f4127a70989p-1, -0x1.268f91b57b2bdp-1, -0x1.27400ee8ca99ap-1, -0x1.27fa8d3d68016p-1, -0x1.28b53c621207ap-1, -0x1.2967ce2c515a7p-1, -0x1.2a0b95063ebc2p-1, -0x1.2a9b7e6fe56f3p-1, -0x1.2b13f74035351p-1, -0x1.2b72c339c0a1ap-1, -0x1.2bb6ce8dbcfc1p-1, -0x1.2bdffdc0b936bp-1, -0x1.2beefed8ad35ap-1, -0x1.2be51da21a6a6p-1, -0x1.2bc41c136a569p-1, -0x1.2b8e0f4c0ce42p-1, -0x1.2b45414f46c2bp-1, -0x1.2aec175cf9971p-1, -0x1.2a84fca3d16dp-1, -0x1.2a1250f1964fdp-1, -0x1.29965afb03da3p-1, -0x1.29133dd0ed2c3p-1, -0x1.288af11a123cfp-1, -0x1.27ff3badf9802p-1, -0x1.2771b03423796p-1, -0x1.26e3ab72f499ap-1, -0x1.265654024188ap-1, -0x1.25ca9b1de351ep-1, -0x1.25413e5cf8a56p-1, -0x1.24baca1a38712p-1, -0x1.24379c60e44c4p-1, -0x1.23b7e838749cdp-1, -0x1.233bb92efd21p-1, -0x1.22c2f7078b33p-1, -0x1.224d69766297ep-1, -0x1.21dabbd915b7dp-1, -0x1.216a80dc03d9cp-1, -0x1.20fc3601d6d8ap-1, -0x1.208f4704425e1p-1, -0x1.20231107831a3p-1, -0x1.1fb6e59c06965p-1, -0x1.1f4a0d8b39c2ep-1, -0x1.1edbcb6dd4f4ep-1, -0x1.1e6b5e0b0eeaap-1, -0x1.1df8028108331p-1, -0x1.1d80f63774703p-1, -0x1.1d05789e164a4p-1, -0x1.1c84ccb913bb9p-1, -0x1.1bfe3a7d7631ep-1, -0x1.1b71100069cbdp-1, -0x1.1adca27bee2f2p-1, -0x1.1a404f2bca07ap-1, -0x1.199b7c05915dp-1, -0x1.18ed984e94347p-1, -0x1.18361d12787aap-1, -0x1.17748d7d32cdep-1, -0x1.16a8771afbc2cp-1, -0x1.15d17200baf41p-1, -0x1.14ef20df4c15p-1, -0x1.14013103daa3cp-1, -0x1.13075a476d76dp-1, -0x1.12015eefa1319p-1, -0x1.10ef0b826166dp-1, -0x1.0fd0368e5a31ap-1, -0x1.0ea4c069b1d48p-1, -0x1.0d6c92e87e3a5p-1, -0x1.0c27a10c488d6p-1, -0x1.0ad5e6add6805p-1, -0x1.0977682251a77p-1, -0x1.080c31dccbc16p-1, -0x1.0694580d06d46p-1, -0x1.050ff63c500dfp-1, -0x1.037f2ee92655p-1, -0x1.01e22b22517b8p-1, -0x1.00391a21fb6abp-1, -0x1.fd0861d29e061p-2, -0x1.f98753ba1707ep-2, -0x1.f5ef88c6e0325p-2, -0x1.f2418907ab82fp-2, -0x1.ee7de51080b0ep-2, -0x1.eaa53542498c6p-2, -0x1.e6b8191737f04p-2, -0x1.e2b7367450e9cp-2, -0x1.dea3390073bc2p-2, -0x1.da7cd18104c55p-2, -0x1.d644b53c75e02p-2, -0x1.d1fb9d62c161cp-2, -0x1.cda2467bf6eb4p-2, -0x1.c9396fdcda806p-2, -0x1.c4c1db21a628ap-2, -0x1.c03c4baee46f3p-2, -0x1.bba98638568e2p-2, -0x1.b70a504de4135p-2, -0x1.b25f6fee6fedfp-2, -0x1.ada9ab208afa8p-2, -0x1.a8e9c790dc77dp-2, -0x1.a4208a3627c3ep-2, -0x1.9f4eb6faced5ap-2, -0x1.9a75106bac10ap-2, -0x1.9594576c2195bp-2, -0x1.90ad4aef32154p-2, -0x1.8bc0a7b5876efp-2, -0x1.86cf281030235p-2, -0x1.81d983a7fa16cp-2, -0x1.7ce06f4934fd2p-2, -0x1.77e49cb3bf672p-2, -0x1.72e6ba6f28c97p-2, -0x1.6de773a2cb76bp-2, -0x1.68e76ff1ae9c5p-2, -0x1.63e7535a0c311p-2, -0x1.5ee7be184e6acp-2, -0x1.59e94c8d650f7p-2, -0x1.54ec972844e62p-2, -0x1.4ff232526fd8ap-2, -0x1.4afaae5f5f849p-2, -0x1.4606977eb0cep-2, -0x1.411675b0e6ab8p-2, -0x1.3c2accbeaaaa2p-2, -0x1.37441c32607f6p-2, -0x1.3262df53f6acp-2, -0x1.2d878d26c7c3bp-2, -0x1.28b298697a528p-2, -0x1.23e46f97badd7p-2, -0x1.1f1d7cedafe45p-2, -0x1.1a5e266d172e7p-2, -0x1.15a6cde3e68e8p-2, -0x1.10f7d0f45be38p-2, -0x1.0c51891e60309p-2, -0x1.07b44bca2b52ap-2, -0x1.03206a5408a9fp-2, -0x1.fd2c64325c674p-3, -0x1.f42bd90b167ecp-3, -0x1.eb3fbe44feb9bp-3, -0x1.e268974cbffc6p-3, -0x1.d9a6e0097bb77p-3, -0x1.d0fb0cfeaf40cp-3, -0x1.c8658b6f4de9fp-3, -0x1.bfe6c181f3af6p-3, -0x1.b77f0e660e31dp-3, -0x1.af2eca79d8cb2p-3, -0x1.a6f647711f6d7p-3, -0x1.9ed5d07c970b7p-3, -0x1.96cdaa71c6419p-3, -0x1.8ede13f3586e7p-3, -0x1.87074599cb648p-3, -0x1.7f49721c5b8fep-3, -0x1.77a4c67a207c7p-3, -0x1.70196a2345828p-3, -0x1.68a77f2241918p-3, -0x1.614f2245119edp-3, -0x1.5a106b464e22cp-3, -0x1.52eb6cf62009cp-3, -0x1.4be03562f7324p-3, -0x1.44eece020357bp-3, -0x1.3e173bd7588bep-3, -0x1.37597f9db8365p-3, -0x1.30b595edf3292p-3, -0x1.2a2b7765dce15p-3, -0x1.23bb18cec1df3p-3, -0x1.1d646b436036cp-3, -0x1.17275c555362ap-3, -0x1.1103d631f1984p-3, -0x1.0af9bfc6900e4p-3, -0x1.0508fce42ff8bp-3, -0x1.fe62dcc508c85p-4, -0x1.f2e5e484a729bp-4, -0x1.e79ac79e67d1bp-4, -0x1.dc813781270e8p-4, -0x1.d198e0b423cb4p-4, -0x1.c6e16b165d517p-4, -0x1.bc5a7a1c6c407p-4, -0x1.b203ad0d00f45p-4, -0x1.a7dc9f3becf84p-4, -0x1.9de4e843be8e2p-4, -0x1.941c1c3ddb786p-4, -0x1.8a81cbf93e624p-4, -0x1.8115852fabcd1p-4, -0x1.77d6d2b9820afp-4, -0x1.6ec53cc0111bp-4, -0x1.65e048ee857bep-4, -0x1.5d277aa163509p-4, -0x1.549a531497a6ap-4, -0x1.4c38519020be7p-4, -0x1.4400f39351345p-4, -0x1.3bf3b4feb2ca8p-4, -0x1.3410103c8ba4cp-4, -0x1.2c557e6808f2ep-4, -0x1.24c37773174f5p-4, -0x1.1d59724aeaed8p-4, -0x1.1616e4fb3bd19p-4, -0x1.0efb44d03d74cp-4, -0x1.0806067757d15p-4, -0x1.01369e1ea28acp-4, -0x1.f518ff265c5p-5, -0x1.e80e3cbc3af9ap-5, -0x1.db4bdbc1296bep-5, -0x1.ced0c2dd0da85p-5, -0x1.c29bd8d0cb438p-5, -0x1.b6ac04a773e1ap-5, -0x1.ab002de557bfep-5, -0x1.9f973cb50132bp-5, -0x1.94701a1227c35p-5, -0x1.8989aff2a46d8p-5, -0x1.7ee2e96d7a558p-5, -0x1.747ab2dffb5c6p-5, -0x1.6a4ffa11115bep-5, -0x1.6061ae52c614dp-5, -0x1.56aec0a20597p-5, -0x1.4d3623c4b14c5p-5, -0x1.43f6cc6610529p-5, -0x1.3aefb131a3d29p-5, -0x1.321fcaec6d0e6p-5, -0x1.2986148cb554bp-5, -0x1.21218b505e2fcp-5, -0x1.18f12ed1c67ap-5, -0x1.10f4011b50a86p-5, -0x1.092906b99a7b3p-5, -0x1.018f46cc628e9p-5, -0x1.f44b962c72b5bp-6, -0x1.e5d74015f2209p-6, -0x1.d7bfa9ba32d63p-6, -0x1.ca02f713c1d08p-6, -0x1.bc9f51c90ed14p-6, -0x1.af92e94091014p-6, -0x1.a2dbf2b2f520bp-6, -0x1.9678a93b5a35ap-6, -0x1.8a674de5b06ccp-6, -0x1.7ea627bb586e9p-6, -0x1.733383cdfe3c1p-6, -0x1.680db540de04p-6, -0x1.5d3315506a7fep-6, -0x1.52a203586ee11p-6, -0x1.4858e4d8cb44ep-6, -0x1.3e562578b7fb8p-6, -0x1.34983708c7ed3p-6, -0x1.2b1d91839edbbp-6, -0x1.21e4b30d6baecp-6, -0x1.18ec1ff2472adp-6, -0x1.103262a36c836p-6, -0x1.07b60bb369576p-6, -0x1.feeb63a2a6544p-7, -0x1.eedfe38604b28p-7, -0x1.df46dcbccdee7p-7, -0x1.d01da10415159p-7, -0x1.c1618e197224ep-7, -0x1.b3100da8d6a85p-7, -0x1.a5269538eecfap-7, -0x1.97a2a61629b3dp-7, -0x1.8a81cd3c6b9ecp-7, -0x1.7dc1a33f948dbp-7, -0x1.715fcc32f172dp-7, -0x1.6559f78f80496p-7, -0x1.59ade01951932p-7, -0x1.4e594bc3ef52fp-7, -0x1.435a0b95f10fep-7, -0x1.38adfb8bb4b7ap-7, -0x1.2e530279731f5p-7, -0x1.244711ec8c872p-7, -0x1.1a88260c4d72cp-7, -0x1.1114457a0f1f6p-7, -0x1.07e98130dcd55p-7, -0x1.fe0be8c94aca4p-8, -0x1.eccf88c1f39c6p-8, -0x1.dc1a40ced037bp-8, -0x1.cbe8831b2913ap-8, -0x1.bc36d535eb8aap-8, -0x1.ad01cfccb20d7p-8, -0x1.9e461e666701cp-8, -0x1.90007f1d81bc1p-8, -0x1.822dc25a16b83p-8, -0x1.74caca8b96794p-8, -0x1.67d48be278b5bp-8, -0x1.5b480c09d1d6ap-8, -0x1.4f2261e0daf4dp-8, -0x1.4360b5349a33dp-8, -0x1.38003e79818b6p-8, -0x1.2cfe46854e065p-8, -0x1.22582648fc653p-8, -0x1.180b468b142bp-8, -0x1.0e151fa22fbe9p-8, -0x1.0473392fcffabp-8, -0x1.f64653b70f227p-9, -0x1.e4452e1d33a9bp-9, -0x1.d2de69600471bp-9, -0x1.c20d89c1dc2ffp-9, -0x1.b1ce2f736b6b2p-9, -0x1.a21c160ea22fdp-9, -0x1.92f31412d6259p-9, -0x1.844f1a61f88c8p-9, -0x1.762c33bf04a9ep-9, -0x1.6886844d90b0cp-9, -0x1.5b5a4912cdb56p-9, -0x1.4ea3d7779c99bp-9, -0x1.425f9ccc52317p-9, -0x1.368a1dcda142fp-9, -0x1.2b1ff62ada3dap-9, -0x1.201dd80dc5e45p-9, -0x1.15808ba3dd8fdp-9, -0x1.0b44eea91a73fp-9, -0x1.0167f3f436308p-9, -0x1.efcd460899d5cp-10, -0x1.dd7c2f2062dfap-10, -0x1.cbd7022e900b5p-10, -0x1.bad844e7af35cp-10, -0x1.aa7aa2de54876p-10, -0x1.9ab8ecadd5505p-10, -0x1.8b8e17288afe3p-10, -0x1.7cf53a8941d7fp-10, -0x1.6ee991a7c17bap-10, -0x1.61667930c14fep-10, -0x1.54676ee0a4871p-10, -0x1.47e810c1a6962p-10, -0x1.3be41c6d23ae7p-10, -0x1.30576e4ffd3b3p-10, -0x1.253e00f23d478p-10, -0x1.1a93ec42347c3p-10, -0x1.105564e2035b3p-10, -0x1.067ebb78a833bp-10, -0x1.fa18b80c8a7dfp-11, -0x1.e7f59a7669731p-11, -0x1.d68d5fa52d1eap-11, -0x1.c5d97bdf03d09p-11, -0x1.b5d394fabf1bfp-11, -0x1.a67581269d13bp-11, -0x1.97b945b4d38e1p-11, -0x1.899915ee27859p-11, -0x1.7c0f51ead21d1p-11, -0x1.6f16857061bc8p-11, -0x1.62a966d5795a9p-11, -0x1.56c2d5eba8f28p-11, -0x1.4b5ddaee86c06p-11, -0x1.4075a57848508p-11, -0x1.36058b7c6f1ap-11, -0x1.2c09084754d27p-11, -0x1.227bbb8295acdp-11, -0x1.1959683ff08b4p-11, -0x1.109df4084eb74p-11, -0x1.084565f0878c2p-11, -0x1.004be5b30e706p-11, -0x1.f15b759db03fep-12, -0x1.e2ce97551aa2bp-12, -0x1.d4ea397a0d5ffp-12, -0x1.c7a79f752e70bp-12, -0x1.bb00458dd4d54p-12, -0x1.aeeddf574dedcp-12, -0x1.a36a5627aa6c1p-12, -0x1.986fc795c0d92p-12, -0x1.8df884022eda1p-12, -0x1.83ff0d27c446dp-12, -0x1.7a7e14b4b3beap-12, -0x1.71707aec4a95ep-12, -0x1.68d14d5161a59p-12, -0x1.609bc5587612dp-12, -0x1.58cb47210685ap-12, -0x1.515b6037ea1d3p-12, -0x1.4a47c660d30dbp-12, -0x1.438c5667855f9p-12, -0x1.3d2512f830571p-12, -0x1.370e237fd8c2dp-12, -0x1.3143d312eb18ep-12, -0x1.2bc28f5ae5e21p-12, -0x1.2686e78bb6eaap-12, -0x1.218d8b5ecfac2p-12, -0x1.1cd34a15ad7p-12, -0x1.185511827330cp-12, -0x1.140fed16dffb1p-12, -0x1.100104f97eaefp-12, -0x1.0c259d20ece59p-12, -0x1.087b1474fe71dp-12, -0x1.04fee3f5c9a1bp-12, -0x1.01ae9de87995dp-12, -0x1.fd0fda140364fp-13, -0x1.f711278d8c5c7p-13, -0x1.f15cd6ef84671p-13, -0x1.ebeec749f6c9p-13, -0x1.e6c3029a14054p-13, -0x1.e1d5bc643d52dp-13, -0x1.dd235055c1f11p-13, -0x1.d8a840f242c5bp-13, -0x1.d4613649dd45bp-13, -0x1.d04afcb83e179p-13, -0x1.cc6283ac71191p-13, -0x1.c8a4dc799a04p-13, -0x1.c50f39308d978p-13, -0x1.c19eeb81c25cbp-13, -0x1.be5163a72c09ep-13, -0x1.bb242f55d561cp-13, -0x1.b814f8b7fc03cp-13, -0x1.b521856e1b8dap-13, -0x1.b247b597645bdp-13, -0x1.af8582e19966bp-13, -0x1.acd8ffa02e823p-13, -0x1.aa4055ea05c58p-13, -0x1.a7b9c6bde5521p-13, -0x1.a543a92da9fc5p-13, -0x1.a2dc698fc8f11p-13, -0x1.a08288b6be2cp-13, -0x1.9e349b2ec56a2p-13, -0x1.9bf14881cb953p-13, -0x1.99b74a804d31ep-13, -0x1.97856c90d3f4fp-13, -0x1.955a8b0453d7bp-13, -0x1.933592702dd4cp-13, -0x1.91157f0cd964bp-13, -0x1.8ef95c1a1d1e5p-13, -0x1.8ce04347caf62p-13, -0x1.8ac95c241589fp-13, -0x1.88b3db8d7df53p-13, -0x1.869f0329eccep-13, -0x1.848a20e20064ap-13, -0x1.82748e6118486p-13, -0x1.805db098ba488p-13, -0x1.7e44f749246aap-13, -0x1.7c29dc8c52aebp-13, -0x1.7a0be46629acbp-13, -0x1.77ea9c58121a6p-13, -0x1.75c59af7e8653p-13, -0x1.739c7f8a77532p-13, -0x1.716ef1a1f828dp-13, -0x1.6f3ca0beed654p-13, -0x1.6d0543f50783bp-13, -0x1.6ac89993491afp-13, -0x1.688666ce25317p-13, -0x1.663e776dc804cp-13, -0x1.63f09d7ea77bcp-13, -0x1.619cb1051c048p-13, -0x1.5f428fb35fbcfp-13, -0x1.5ce21ca2ae585p-13, -0x1.5a7b400e64a12p-13, -0x1.580de711ec0d6p-13, -0x1.559a03695f7bp-13, -0x1.531f8b33b16eap-13, -0x1.509e78b7cb6d7p-13, -0x1.4e16ca2b846b9p-13, -0x1.4b88817cff517p-13, -0x1.48f3a41de17b8p-13, -0x1.46583ad09571fp-13, -0x1.43b6517790d6fp-13, -0x1.410df6e624d85p-13, -0x1.3e5f3cb3abea6p-13, -0x1.3baa37104a21ap-13, -0x1.38eefc9b1fbe8p-13, -0x1.362da63a36e0fp-13, -0x1.33664ef455d23p-13, -0x1.309913cc02a69p-13, -0x1.2dc6139c3483cp-13, -0x1.2aed6ef6b0bf6p-13, -0x1.280f48032c582p-13, -0x1.252bc26052ecp-13, -0x1.22430305f7d2bp-13, -0x1.1f553028972ecp-13, -0x1.1c62711dda67dp-13, -0x1.196aee4284ee9p-13, -0x1.166ed0e191719p-13, -0x1.136e431bfce99p-13, -0x1.10696fd20772p-13, -0x1.0d60828dc6e66p-13, -0x1.0a53a76dcc6a6p-13, -0x1.07430b119e517p-13, -0x1.042eda86b9222p-13, -0x1.0117433670e11p-13, -0x1.fbf8e5a9c85acp-14, -0x1.f5bd2ea124c9ap-14, -0x1.ef7bbd85b455fp-14, -0x1.e934eec232553p-14, -0x1.e2e91edd6fa8fp-14, -0x1.dc98aa5fdd548p-14, -0x1.d643edba49523p-14, -0x1.cfeb452dda422p-14, -0x1.c98f0cb5839adp-14, -0x1.c32f9ff08baa1p-14, -0x1.bccd5a0e64423p-14, -0x1.b66895bbaca43p-14, -0x1.b001ad1048d57p-14, -0x1.a998f97e64f2ap-14, -0x1.a32ed3c28d64ap-14, -0x1.9cc393d493b9ap-14, -0x1.965790da19081p-14, -0x1.8feb21193ab9cp-14, -0x1.897e99ec7f467p-14, -0x1.83124fb72c7f2p-14, -0x1.7ca695daec8e5p-14, -0x1.763bbeade0231p-14, -0x1.6fd21b716154ap-14, -0x1.6969fc4a3d95ep-14, -0x1.6303b0387441cp-14, -0x1.5c9f85102db59p-14, -0x1.563dc7737d13cp-14, -0x1.4fdec2cc7cd25p-14, -0x1.4982c147f7137p-14, -0x1.432a0bd0ba361p-14, -0x1.3cd4ea0b1c0ecp-14, -0x1.3683a2518c9a5p-14, -0x1.303679b0f8c5ep-14, -0x1.29edb3e609599p-14, -0x1.23a9935b0e488p-14, -0x1.1d6a5925af199p-14, -0x1.173045054f46p-14, -0x1.10fb9561edfeap-14, -0x1.0acc874b41071p-14, -0x1.04a3567838694p-14, -0x1.fd007a8d09b8fp-15, -0x1.f0c6e975b8737p-15, -0x1.e49a6902ad989p-15, -0x1.d87b65db8d04cp-15, -0x1.cc6a49f98bb98p-15, -0x1.c0677caa0278dp-15, -0x1.b47362909bdb6p-15, -0x1.a88e5daad28c3p-15, -0x1.9cb8cd5326057p-15, -0x1.90f30e457f62p-15, -0x1.853d7aa3175cbp-15, -0x1.799869f73252ep-15, -0x1.6e04313bc19cfp-15, -0x1.628122df5be64p-15, -0x1.570f8eca12673p-15, -0x1.4bafc2635db59p-15, -0x1.406208989fbd4p-15, -0x1.3526a9e2ae905p-15, -0x1.29fdec4cab0bp-15, -0x1.1ee8137ac17cep-15, -0x1.13e560b0db308p-15, -0x1.08f612d9c5c38p-15, -0x1.fc34cd1c948ffp-16, -0x1.e6a52c384ad39p-16, -0x1.d13db31b44db7p-16, -0x1.bbfecd62b751cp-16, -0x1.a6e8e2432668ep-16, -0x1.91fc5498516fbp-16, -0x1.7d3982f4c7ed2p-16, -0x1.68a0c7b0ad0bcp-16, -0x1.543278fb3037ap-16, -0x1.3feee8e909eb9p-16, -0x1.2bd6658579cfdp-16, -0x1.17e938e2726edp-16, -0x1.0427a9284ebe7p-16, -0x1.e123f14be8ee6p-17, -0x1.ba50cbc2560bap-17, -0x1.93d6574def0fbp-17, -0x1.6db50237c2025p-17, -0x1.47ed3398b7f71p-17, -0x1.227f4b79d544ap-17, -0x1.fad745e626ecdp-18, -0x1.b165189c3787dp-18, -0x1.68a8a648ea733p-18, -0x1.20a27900b9613p-18, -0x1.b2a61bf2040dfp-19, -0x1.2575ab917163p-19, -0x1.3368d293cd221p-20, -0x1.ec60a7f934fcap-24, 0x1.e5f7a0b6b9316p-21, 0x1.00edddef447b4p-19, 0x1.86ec71c5a0a61p-19, 0x1.05bca7e45c1abp-18, 0x1.474a1cf7cc22cp-18, 0x1.881e83ce1c44dp-18, 0x1.c839d28eb2c45p-18, 0x1.03ce04d07a7d4p-17, 0x1.232299b83029fp-17, 0x1.421ab219255bfp-17, 0x1.60b65cd6a4982p-17, 0x1.7ef5ad80eedbcp-17, 0x1.9cd8bc395dc32p-17, 0x1.ba5fa59638043p-17, 0x1.d78a8a883a492p-17, 0x1.f459903ff2385p-17, 0x1.08667008e1f6ap-16, 0x1.167253aec59d1p-16, 0x1.24508bb9a7088p-16, 0x1.320132bd1f9f3p-16, 0x1.3f84652bf1dccp-16, 0x1.4cda414bbd1fdp-16, 0x1.5a02e72831ed6p-16, 0x1.66fe788765b5dp-16, 0x1.73cd18ddbe1f3p-16, 0x1.806eed427ad54p-16, 0x1.8ce41c63aba2dp-16, 0x1.992cce7b306e6p-16, 0x1.a5492d43bd8aap-16, 0x1.b13963ed48b44p-16, 0x1.bcfd9f120f8b1p-16, 0x1.c8960cac9c68ep-16, 0x1.d402dc0c788cp-16, 0x1.df443dcc44628p-16, 0x1.ea5a63c789373p-16, 0x1.f5458110a135ap-16, 0x1.0002e4f35a29cp-15, 0x1.054db9d5f7134p-15, 0x1.0a835a6e25869p-15, 0x1.0fa3e2820bc23p-15, 0x1.14af6e5b272cp-15, 0x1.19a61ac2407dbp-15, 0x1.1e8804faa54f3p-15, 0x1.23554abdc0075p-15, 0x1.280e0a36d7115p-15, 0x1.2cb261ff01653p-15, 0x1.31427118bb95fp-15, 0x1.35be56ec22f7ep-15, 0x1.3a263342e6321p-15, 0x1.3e7a2644501d5p-15, 0x1.42ba50717d82cp-15, 0x1.46e6d2a1525c8p-15, 0x1.4affcdfd2e667p-15, 0x1.4f0563fd21c88p-15, 0x1.52f7b66448a93p-15, 0x1.56d6e73d93ec2p-15, 0x1.5aa318d841f3bp-15, 0x1.5e5c6dc46a7bbp-15, 0x1.620308cf976c3p-15, 0x1.65970d01fda41p-15, 0x1.69189d9af27d2p-15, 0x1.6c87de0e0032dp-15, 0x1.6fe4f1fffccf6p-15, 0x1.732ffd43fb437p-15, 0x1.766923d86086p-15, 0x1.799089e3ec177p-15, 0x1.7ca653b30b194p-15, 0x1.7faaa5b54c8b5p-15, 0x1.829da47a7ce7ap-15, 0x1.857f74b036d5dp-15, 0x1.88503b1f55f7ap-15, 0x1.8b101ca978d6dp-15, 0x1.8dbf3e4656decp-15, 0x1.905dc5017b378p-15, 0x1.92ebd5f846f71p-15, 0x1.9569965715068p-15, 0x1.97d72b5784058p-15, 0x1.9a34ba3e1db14p-15, 0x1.9c82685843d36p-15, 0x1.9ec05afa04b2p-15, 0x1.a0eeb77be0b96p-15, 0x1.a30da339301ep-15, 0x1.a51d438dfd0fdp-15, 0x1.a71dbdd546c59p-15, 0x1.a90f376715558p-15, 0x1.aaf1d596c900ep-15, 0x1.acc5bdb1434e1p-15, 0x1.ae8b14fb0abc2p-15, 0x1.b04200aeb345fp-15, 0x1.b1eaa5fb8ef5p-15, 0x1.b3852a03a7c93p-15, 0x1.b511b1da732dp-15, 0x1.b6906283574bfp-15, 0x1.b80160f02428fp-15, 0x1.b964d1ffc8839p-15, 0x1.babada7c786cfp-15, 0x1.bc039f1ab1707p-15, 0x1.bd3f4477ebde4p-15, 0x1.be6def193f1e5p-15, 0x1.bf8fc36a2e004p-15, 0x1.c0a4e5bb719b3p-15, 0x1.c1ad7a41c76b1p-15, 0x1.c2a9a514cdd7ep-15, 0x1.c3998a2da0f6dp-15, 0x1.c47d4d662c298p-15, 0x1.c555127809e2dp-15, 0x1.c620fcfb4413ap-15, 0x1.c6e1306585007p-15, 0x1.c795d00930abdp-15, 0x1.c83eff1466795p-15, 0x1.c8dce090250abp-15, 0x1.c96f975f17a51p-15, 0x1.c9f7463d04a28p-15, 0x1.ca740fbe09168p-15, 0x1.cae6164db576ap-15, 0x1.cb4d7c2e5693ep-15, 0x1.cbaa63782f71ep-15, 0x1.cbfcee18c5dabp-15, 0x1.cc453dd23f851p-15, 0x1.cc83743a61ea8p-15, 0x1.ccb7b2ba435fap-15, 0x1.cce21a8db8cdbp-15, 0x1.cd02ccc27fafap-15, 0x1.cd19ea37bb491p-15, 0x1.cd27939d7d09p-15, 0x1.cd2be974404fdp-15, 0x1.cd270c0c58286p-15, 0x1.cd191b8558ae9p-15, 0x1.cd0237cd9f715p-15, 0x1.cce280a1fbe65p-15, 0x1.ccba158d40cdap-15, 0x1.cc8915e7d7079p-15, 0x1.cc4fa0d74ccfp-15, 0x1.cc0dd54e05bdap-15, 0x1.cbc3d20acc306p-15, 0x1.cb71b5989463bp-15, 0x1.cb179e4dd5a38p-15, 0x1.cab5aa4c94bddp-15, 0x1.ca4bf7821f8e8p-15, 0x1.c9daa3a68a366p-15, 0x1.c961cc3c7c4e1p-15, 0x1.c8e18e91082fep-15, 0x1.c85a07bb74908p-15, 0x1.c7cb549cf8c2cp-15, 0x1.c73591e06f9ddp-15, 0x1.c698dbfa38813p-15, 0x1.c5f54f2809ef2p-15, 0x1.c54b0770ce99dp-15, 0x1.c49a20a4a0587p-15, 0x1.c3e2b65c7601cp-15, 0x1.c324e3fa0ee28p-15, 0x1.c260c4a7dd7c1p-15, 0x1.c19673590b1e8p-15, 0x1.c0c60ac915e91p-15, 0x1.bfefa57bfee82p-15, 0x1.bf135dbe1f356p-15, 0x1.be314da455b96p-15, 0x1.bd498f0b960a7p-15, 0x1.bc5c3b992831cp-15, 0x1.bb696cbaa0621p-15, 0x1.ba713ba5d766cp-15, 0x1.b973c158dac9cp-15, 0x1.b8711699f34f6p-15, 0x1.b76953f7b7b2ep-15, 0x1.b65c91c906864p-15, 0x1.b54ae82d14f7bp-15, 0x1.b4346f0b9391dp-15, 0x1.b3193e14a8778p-15, 0x1.b1f96cc0f5844p-15, 0x1.b0d51251acd53p-15, 0x1.afac45d0ce652p-15, 0x1.ae7f1e10faa75p-15, 0x1.ad4db1adc7ea8p-15, 0x1.ac18170bad177p-15, 0x1.aade6458565b9p-15, 0x1.a9a0af8aa01dfp-15, 0x1.a85f0e629f486p-15, 0x1.a719966a028efp-15, 0x1.a5d05cf40a825p-15, 0x1.a483771da9fd3p-15, 0x1.a332f9cdd4af3p-15, 0x1.a1def9b57b262p-15, 0x1.a0878b4fc6f9p-15, 0x1.9f2cc2e24cdcep-15, 0x1.9dceb47d36cbcp-15, 0x1.9c6d73fb75bd2p-15, 0x1.9b091502e9479p-15, 0x1.99a1ab048ed36p-15, 0x1.9837493cc7dc2p-15, 0x1.96ca02b370473p-15, 0x1.9559ea3c23ecfp-15, 0x1.93e7127673329p-15, 0x1.92718dce23885p-15, 0x1.90f96e7b4a6ecp-15, 0x1.8f7ec682ba454p-15, 0x1.8e01a7b5ff689p-15, 0x1.8c8223b3d153cp-15, 0x1.8b004be8255c9p-15, 0x1.897c318c7ce22p-15, 0x1.87f5e5a834ec7p-15, 0x1.866d7910b7e51p-15, 0x1.84e2fc69a7bddp-15, 0x1.8356802541be2p-15, 0x1.81c8148487391p-15, 0x1.8037c997968b4p-15, 0x1.7ea5af3dd2603p-15, 0x1.7d11d5263f5f2p-15, 0x1.7b7c4acfbf419p-15, 0x1.79e51f89503bep-15, 0x1.784c62725b88ep-15, 0x1.76b2227af41ap-15, 0x1.75166e6429d19p-15, 0x1.737954c043281p-15, 0x1.71dae3f2ffd39p-15, 0x1.703b2a3207bf4p-15, 0x1.6e9a358511992p-15, 0x1.6cf813c62feb5p-15, 0x1.6b54d2a210297p-15, 0x1.69b07f9862dp-15, 0x1.680b27fc1e67ep-15, 0x1.6664d8f3cb2f7p-15, 0x1.64bd9f79b86cfp-15, 0x1.6315885c66b7dp-15, 0x1.616ca03ebe035p-15, 0x1.5fc2f398669cbp-15, 0x1.5e188eb60ce6dp-15, 0x1.5c6d7db9ab363p-15, 0x1.5ac1cc9b0226fp-15, 0x1.59158727abb55p-15, 0x1.5768b90387b01p-15, 0x1.55bb6da904dbap-15, 0x1.540db0696fd9cp-15, 0x1.525f8c6d4944ep-15, 0x1.50b10cb46e0aap-15, 0x1.4f023c16a5bcp-15, 0x1.4d532543d2788p-15, 0x1.4ba3d2c437e84p-15, 0x1.49f44ef8b428cp-15, 0x1.4844a41b3fb3ep-15, 0x1.4694dc3f1e5fep-15, 0x1.44e501514eb36p-15, 0x1.43351d18c7ddap-15, 0x1.41853936ab6ecp-15, 0x1.3fd55f26be666p-15, 0x1.3e25983f9cb8ep-15, 0x1.3c75edb313be4p-15, 0x1.3ac6688e76dcdp-15, 0x1.391711badc6dp-15, 0x1.3767f1fd8bf87p-15, 0x1.35b911f83c8edp-15, 0x1.340a7a295710bp-15, 0x1.325c32ec59ap-15, 0x1.30ae447a1affcp-15, 0x1.2f00b6e91584cp-15, 0x1.2d53922daec8p-15, 0x1.2ba6de1ab3971p-15, 0x1.29faa26180aa9p-15, 0x1.284ee6924df32p-15, 0x1.26a3b21c764bap-15, 0x1.24f90c4ed46dbp-15, 0x1.234efc580d29cp-15, 0x1.21a58946f3ec7p-15, 0x1.1ffcba0acf8eep-15, 0x1.1e54957387604p-15, 0x1.1cad2231f9416p-15, 0x1.1b0666d862d92p-15, 0x1.196069da8769p-15, 0x1.17bb318e12e15p-15, 0x1.1616c42ae980bp-15, 0x1.147327cb6966fp-15, 0x1.12d0626cb80b1p-15, 0x1.112e79ef20447p-15, 0x1.0f8d74163484bp-15, 0x1.0ded56893ee4dp-15, 0x1.0c4e26d375069p-15, 0x1.0aafea6445e6ep-15, 0x1.0912a68f8dbfcp-15, 0x1.0776608e2b30fp-15, 0x1.05db1d7e0ac73p-15, 0x1.0440e26262cb6p-15, 0x1.02a7b42417c7ap-15, 0x1.010f979201b4p-15, 0x1.fef122c239349p-16, 0x1.fbc54c59f9323p-16, 0x1.f89bb4f030f09p-16, 0x1.f5746557a6c6ap-16, 0x1.f24f6631d709fp-16, 0x1.ef2cbfef5bd2p-16, 0x1.ec0c7ad09e3b5p-16, 0x1.e8ee9ee6455f3p-16, 0x1.e5d33411c72ap-16, 0x1.e2ba4205fe3c1p-16, 0x1.dfa3d047a803bp-16, 0x1.dc8fe62defcf7p-16, 0x1.d97e8ae2f86f1p-16, 0x1.d66fc56453d17p-16, 0x1.d3639c838b34dp-16, 0x1.d05a16e6b95aep-16, 0x1.cd533b08cfb57p-16, 0x1.ca4f0f3a320bap-16, 0x1.c74d99a1b083fp-16, 0x1.c44ee03c7e466p-16, 0x1.c152e8deb106fp-16, 0x1.be59b933eeae4p-16, 0x1.bb6356bfd5d5cp-16, 0x1.b86fc6de7c995p-16, 0x1.b57f0ec50c3cfp-16, 0x1.b29133826f8d3p-16, 0x1.afa639ff48c94p-16, 0x1.acbe26fea4565p-16, 0x1.a9d8ff1e81a8dp-16, 0x1.a6f6c6d82f801p-16, 0x1.a4178280e8fc3p-16, 0x1.a13b364a334adp-16, 0x1.9e61e6425039ap-16, 0x1.9b8b9654c5adep-16, 0x1.98b84a4acd554p-16, 0x1.95e805cbdaac9p-16, 0x1.931acc5de5f06p-16, 0x1.9050a165d9a41p-16, 0x1.8d8988283b2f5p-16, 0x1.8ac583c9681dbp-16, 0x1.8804974dec96ep-16, 0x1.8546c59b31075p-16, 0x1.828c117815c4ep-16, 0x1.7fd47d8ce787ep-16, 0x1.7d200c63f6046p-16, 0x1.7a6ec06a050bdp-16, 0x1.77c09beea69f3p-16, 0x1.7515a124c2674p-16, 0x1.726dd222f58a6p-16, 0x1.6fc930e42e51cp-16, 0x1.6d27bf47a7d66p-16, 0x1.6a897f1172319p-16, 0x1.67ee71eaff002p-16, 0x1.65569963576d4p-16, 0x1.62c1f6efa2397p-16, 0x1.60308beb654d7p-16, 0x1.5da2599905fcdp-16, 0x1.5b1761222a4dbp-16, 0x1.588fa397eab07p-16, 0x1.560b21f37e37ep-16, 0x1.5389dd165ea06p-16, 0x1.510bd5ca96224p-16, 0x1.4e910cc352718p-16, 0x1.4c19829d24dfp-16, 0x1.49a537de3edffp-16, 0x1.47342cf6e558bp-16, 0x1.44c66241e105ap-16, 0x1.425bd80501a04p-16, 0x1.3ff48e70f1322p-16, 0x1.3d9085a1c8853p-16, 0x1.3b2fbd9f6e419p-16, 0x1.38d2365deed69p-16, 0x1.3677efbdbf7ep-16, 0x1.3420e98c28e18p-16, 0x1.31cd2383bc8ecp-16, 0x1.2f7c9d4c3a4e1p-16, 0x1.2d2f567b21b0ep-16, 0x1.2ae54e93fdbadp-16, 0x1.289e8508acf08p-16, 0x1.265af939be4bcp-16, 0x1.241aaa76a746bp-16, 0x1.21dd97fe22f96p-16, 0x1.1fa3c0fe72f4p-16, 0x1.1d6d2495b1643p-16, 0x1.1b39c1d22b273p-16, 0x1.190997b2951cbp-16, 0x1.16dca526319f3p-16, 0x1.14b2e90d55d23p-16, 0x1.128c6239a9c41p-16, 0x1.10690f6e425eap-16, 0x1.0e48ef5fffccap-16, 0x1.0c2c00b5b51b7p-16, 0x1.0a124208cd3ddp-16, 0x1.07fbb1e5499b5p-16, 0x1.05e84ec9df9b4p-16, 0x1.03d81728690d9p-16, 0x1.01cb096615e37p-16, 0x1.ff8247b7854dbp-17, 0x1.fb74c9ac166e6p-17, 0x1.f76d952ba8d49p-17, 0x1.f36ca6a0d1be6p-17, 0x1.ef71fa5f06296p-17, 0x1.eb7d8ca3718e1p-17, 0x1.e78f59956d7d3p-17, 0x1.e3a75d46e22ebp-17, 0x1.dfc593b4d80fcp-17, 0x1.dbe9f8c7b5bb7p-17, 0x1.d8148853e444fp-17, 0x1.d4453e1a3fa09p-17, 0x1.d07c15c867584p-17, 0x1.ccb90af955dd9p-17, 0x1.c8fc1935b2aefp-17, 0x1.c5453bf41bd7ap-17, 0x1.c1946e99d7324p-17, 0x1.bde9ac7b1d59fp-17, 0x1.ba44f0db6d403p-17, 0x1.b6a636edff77cp-17, 0x1.b30d79d625524p-17, 0x1.af7ab4a7b4f68p-17, 0x1.abede267980cfp-17, 0x1.a866fe0c01124p-17, 0x1.a4e6027ca66d8p-17, 0x1.a16aea934b594p-17, 0x1.9df5b11c36103p-17, 0x1.9a8650d646dbbp-17, 0x1.971cc4737293fp-17, 0x1.93b906996407fp-17, 0x1.905b11e19d239p-17, 0x1.8d02e0d99985bp-17, 0x1.89b06e0364619p-17, 0x1.8663b3d5d395p-17, 0x1.831cacbcfaf37p-17, 0x1.7fdb531a5bd46p-17, 0x1.7c9fa14535c81p-17, 0x1.7969918b084b9p-17, 0x1.76391e2fb9b2p-17, 0x1.730e416dec2b8p-17, 0x1.6fe8f57745d46p-17, 0x1.6cc93474ce617p-17, 0x1.69aef8872d187p-17, 0x1.669a3bc7050bep-17, 0x1.638af8452d4f8p-17, 0x1.6081280adf161p-17, 0x1.5d7cc51a3312dp-17, 0x1.5a7dc96e555b1p-17, 0x1.57842efbb3843p-17, 0x1.548fefb0531bap-17, 0x1.51a10574225b4p-17, 0x1.4eb76a292f36cp-17, 0x1.4bd317abd2e17p-17, 0x1.48f407d309925p-17, 0x1.461a3470c00cdp-17, 0x1.43459751d785p-17, 0x1.40762a3ea87abp-17, 0x1.3dabe6fb19ed8p-17, 0x1.3ae6c746f0e9dp-17, 0x1.3826c4ddeff3dp-17, 0x1.356bd9782b7aep-17, 0x1.32b5feca220fep-17, 0x1.30052e85262cbp-17, 0x1.2d596257623dap-17, 0x1.2ab293ec22fe1p-17, 0x1.2810bcec26288p-17, 0x1.2573d6fda66cdp-17, 0x1.22dbdbc4a5398p-17, 0x1.2048c4e31238ap-17, 0x1.1dba8bf91adcfp-17, 0x1.1b312aa53453bp-17, 0x1.18ac9a84569adp-17, 0x1.162cd5324cc69p-17, 0x1.13b1d449adcdp-17, 0x1.113b9164280a1p-17, 0x1.0eca061aba9b4p-17, 0x1.0c5d2c05d436bp-17, 0x1.09f4fcbd83979p-17, 0x1.079171d988a45p-17, 0x1.053284f197bbcp-17, 0x1.02d82f9d89443p-17, 0x1.00826b7571bc7p-17, 0x1.fc626423a980cp-18, 0x1.f7c8fa17a1669p-18, 0x1.f3388bfa592bcp-18, 0x1.eeb10d0130e36p-18, 0x1.ea3270638f273p-18, 0x1.e5bca95b15433p-18, 0x1.e14fab240460dp-18, 0x1.dceb68fd9d383p-18, 0x1.d88fd62a1c51p-18, 0x1.d43ce5ef48651p-18, 0x1.cff28b967d548p-18, 0x1.cbb0ba6d07cddp-18, 0x1.c77765c465945p-18, 0x1.c34680f27ad2ep-18, 0x1.bf1dff51ebbfap-18, 0x1.bafdd4421f7dep-18, 0x1.b6e5f327b28b7p-18, 0x1.b2d64f6c979c6p-18, 0x1.aecedc8046e01p-18, 0x1.aacf8dd83a3b8p-18, 0x1.a6d856efaab45p-18, 0x1.a2e92b482cf33p-18, 0x1.9f01fe69c571p-18, 0x1.9b22c3e307043p-18, 0x1.974b6f495eaeap-18, 0x1.937bf43943c06p-18, 0x1.8fb4465671c66p-18, 0x1.8bf4594bfddf2p-18, 0x1.883c20cc52b16p-18, 0x1.848b9091bb0ffp-18, 0x1.80e29c5e8a09cp-18, 0x1.7d4137fd20f7ap-18, 0x1.79a757400e099p-18, 0x1.7614ee026d693p-18, 0x1.7289f027d59fcp-18, 0x1.6f06519c8443cp-18, 0x1.6b8a0655a1fe1p-18, 0x1.6815025145b6p-18, 0x1.64a73996bae52p-18, 0x1.6140a036befcp-18, 0x1.5de12a4b4242cp-18, 0x1.5a88cbf806a9bp-18, 0x1.5737796a60f3ep-18, 0x1.53ed26d9688fap-18, 0x1.50a9c8863f11bp-18, 0x1.4d6d52bbf9702p-18, 0x1.4a37b9d004503p-18, 0x1.4708f221e8129p-18, 0x1.43e0f01bb781bp-18, 0x1.40bfa831ee625p-18, 0x1.3da50ee3af6bcp-18, 0x1.3a9118bae64adp-18, 0x1.3783ba4c206ebp-18, 0x1.347ce8371ad84p-18, 0x1.317c9726454c1p-18, 0x1.2e82bbcf3c3ebp-18, 0x1.2b8f4af2d008dp-18, 0x1.28a2395d50223p-18, 0x1.25bb7be6378afp-18, 0x1.22db077038e6fp-18, 0x1.2000d0e99a6fep-18, 0x1.1d2ccd4c15f69p-18, 0x1.1a5ef19d55b0fp-18, 0x1.179732eeafeacp-18, 0x1.14d5865d0b597p-18, 0x1.1219e11188e14p-18, 0x1.0f643840d57dap-18, 0x1.0cb4812baf20fp-18, 0x1.0a0ab11e9e60bp-18, 0x1.0766bd7275914p-18, 0x1.04c89b8c10361p-18, 0x1.023040dc97e41p-18, 0x1.ff3b45c2b45bp-19, 0x1.fa216e47b46cdp-19, 0x1.f512e6743468fp-19, 0x1.f00f998c6475ap-19, 0x1.eb1772ed9fd34p-19, 0x1.e62a5e0dc9b8cp-19, 0x1.e148467c23319p-19, 0x1.dc7117e0868b3p-19, 0x1.d7a4bdfc0421p-19, 0x1.d2e324a8a386ap-19, 0x1.ce2c37d99ee88p-19, 0x1.c97fe39bb4e6fp-19, 0x1.c4de1414608e1p-19, 0x1.c046b583509cbp-19, 0x1.bbb9b440b449ap-19, 0x1.b736fcbe68c12p-19, 0x1.b2be7b87b76d7p-19, 0x1.ae501d4100122p-19, 0x1.a9ebcea941f18p-19, 0x1.a5917c985f597p-19, 0x1.a14113ffd0ea6p-19, 0x1.9cfa81e9f2e3ep-19, 0x1.98bdb37b1a6b6p-19, 0x1.948a95f139e4p-19, 0x1.906116a49c481p-19, 0x1.8c41230613f52p-19, 0x1.882aa8a14051dp-19, 0x1.841d951a841b7p-19, 0x1.8019d63030952p-19, 0x1.7c1f59ba03d36p-19, 0x1.782e0da91e5bdp-19, 0x1.7445e0087ba07p-19, 0x1.7066befcdef91p-19, 0x1.6c9098c495621p-19, 0x1.68c35bb75d459p-19, 0x1.64fef646d4032p-19, 0x1.614356fd8747bp-19, 0x1.5d906c80541e3p-19, 0x1.59e6258cbfd09p-19, 0x1.564470fa7b49p-19, 0x1.52ab3dba2f3dcp-19, 0x1.4f1a7ad5fb97p-19, 0x1.4b92177194415p-19, 0x1.481202c9b2cbp-19, 0x1.449a2c3495ca3p-19, 0x1.412a8321e000bp-19, 0x1.3dc2f71a18f67p-19, 0x1.3a6377bf3e3e1p-19, 0x1.370bf4cc82e48p-19, 0x1.33bc5e15ac4ddp-19, 0x1.3074a388134edp-19, 0x1.2d34b5293fecdp-19, 0x1.29fc8318d5a95p-19, 0x1.26cbfd8ed5e7bp-19, 0x1.23a314dc830d2p-19, 0x1.2081b96af7a37p-19, 0x1.1d67dbbc6366ap-19, 0x1.1a556c6b2c2dep-19, 0x1.174a5c2b46113p-19, 0x1.14469bc8a19e5p-19, 0x1.114a1c284246ep-19, 0x1.0e54ce46f2e98p-19, 0x1.0b66a33a6733fp-19, 0x1.087f8c300a1cap-19, 0x1.059f7a6d7b8e3p-19, 0x1.02c65f50a6e28p-19, 0x1.ffe8589e98453p-20, 0x1.fa51a5ef669c8p-20, 0x1.f4c889df82532p-20, 0x1.ef4ce7ea6f9bp-20, 0x1.e9dea3bbc1792p-20, 0x1.e47da12d6bbbcp-20, 0x1.df29c449f4736p-20, 0x1.d9e2f1499b4d1p-20, 0x1.d4a90c94401afp-20, 0x1.cf7bfac0c97dap-20, 0x1.ca5ba0940de26p-20, 0x1.c547e301f296fp-20, 0x1.c040a72bc00d8p-20, 0x1.bb45d261d6d22p-20, 0x1.b6574a21ede6ap-20, 0x1.b174f417e370ap-20, 0x1.ac9eb61cfd57p-20, 0x1.a7d47637f27adp-20, 0x1.a3161a9cf3f0fp-20, 0x1.9e6389ad0de71p-20, 0x1.99bca9f5c22f5p-20, 0x1.95216231985d3p-20, 0x1.909199474190ap-20, 0x1.8c0d364bb52e5p-20, 0x1.8794207e8416fp-20, 0x1.83263f4ba4ab5p-20, 0x1.7ec37a49cdfb3p-20, 0x1.7a6bb93b91158p-20, 0x1.761ee40f8289cp-20, 0x1.71dce2df7d53ap-20, 0x1.6da59df0ff16dp-20, 0x1.6978fdb365544p-20, 0x1.6556eac1c059p-20, 0x1.613f4de0d6cep-20, 0x1.5d320fff8d7b8p-20, 0x1.592f1a37425d8p-20, 0x1.553655ca78876p-20, 0x1.5147ac2663977p-20, 0x1.4d6306e133e91p-20, 0x1.49884fbad71e7p-20, 0x1.45b7709c1063dp-20, 0x1.41f05396b6b19p-20, 0x1.3e32e2e587d52p-20, 0x1.3a7f08eb14e51p-20, 0x1.36d4b0333209p-20, 0x1.3333c370d89a1p-20, 0x1.2f9c2d8007e7cp-20, 0x1.2c0dd963275edp-20, 0x1.2888b2457f7dap-20, 0x1.250ca37884ec2p-20, 0x1.21999875ccda3p-20, 0x1.1e2f7cdd006b2p-20, 0x1.1ace3c753320bp-20, 0x1.1775c32bacb87p-20, 0x1.1425fd141870ap-20, 0x1.10ded668459f1p-20, 0x1.0da03b8808903p-20, 0x1.0a6a18f8ba352p-20, 0x1.073c5b6538b74p-20, 0x1.0416ef9d242a1p-20, 0x1.00f9c29647689p-20, 0x1.fbc982d60c943p-21, 0x1.f5afb2b73dad8p-21, 0x1.efa5ef94c67d8p-21, 0x1.e9ac147f2cbc9p-21, 0x1.e3c1fccc16198p-21, 0x1.dde7841b68b57p-21, 0x1.d81c8654757ep-21, 0x1.d260dfa59805fp-21, 0x1.ccb46c83ee1dep-21, 0x1.c71709aa294d6p-21, 0x1.c1889419e2efdp-21, 0x1.bc08e917b9765p-21, 0x1.b697e62f2eff6p-21, 0x1.b135692eafc4fp-21, 0x1.abe1502a327eep-21, 0x1.a69b7978d769ap-21, 0x1.a163c3b5dfb14p-21, 0x1.9c3a0dbefca29p-21, 0x1.971e36b4dea1dp-21, 0x1.92101df9ff07ap-21, 0x1.8d0fa332188bbp-21, 0x1.881ca6441919cp-21, 0x1.8337075549bc6p-21, 0x1.7e5ea6ce9b9ap-21, 0x1.7993655534907p-21, 0x1.74d523d3025e4p-21, 0x1.7023c36c125dp-21, 0x1.6b7f2588b409ep-21, 0x1.66e72bca92b8cp-21, 0x1.625bb816ad74dp-21, 0x1.5ddcac8b81403p-21, 0x1.5969eb88e1b2fp-21, 0x1.550357a83430bp-21, 0x1.50a8d3c21185cp-21, 0x1.4c5a42ea06b29p-21, 0x1.48178870aba55p-21, 0x1.43e087e1654d4p-21, 0x1.3fb52501d242ep-21, }}, 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
      std::vector<double>(1249, 0.0), 
    }}, 
    {
      33, 0x1.228f5c28f5c29p+2, 0x1.db3e3e9331462p+3, 0x1.51a2f4e1ddc2p+5, -0x1.4dc7a5a3fee8p-4, 
      {{
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.5bfef935f4d4p-2, -0x1.9077ada49d014p+2, 0x1.73b7b707dd853p+5, -0x1.1721541cce2bcp+7}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.016a242663df7p-3, -0x1.542b5492260d6p+1, 0x1.987aa2b9f6d3fp+4, -0x1.7e0984385a9b7p+6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.6e2b2214159c6p-5, -0x1.a44cbe4016ca4p-1, 0x1.66837396b4229p+3, -0x1.d720f785df8b4p+5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.8e254793749ddp-6, -0x1.2347b309b0788p-3, 0x1.2f58491984d99p+1, -0x1.13aa3e7fb0c12p+4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.576b38501b00bp-6, -0x1.1a444eb5728b5p-5, -0x1.b7401e61c1015p-3, 0x1.02a1ccfe4b30ap+1}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.368b956b15158p-6, -0x1.4dd2d9bea5e55p-5, 0x1.6aeece67807b7p-4, -0x1.173393dffe135p-1}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.17ace78430484p-6, -0x1.26bdc235777d1p-5, 0x1.be41cf44f957dp-8, 0x1.22aed6d1b6914p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.f58ab05e2020cp-7, -0x1.18714a7412bc3p-5, 0x1.cc6242667fcfdp-6, -0x1.5c0f2f13ff2d5p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.bf94c53dd038ap-7, -0x1.0408a6d8b2bd2p-5, 0x1.63f74de0800f7p-6, 0x1.b40df1f104026p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8d61a74cf8a63p-7, -0x1.e3a74454e4fb8p-6, 0x1.74516d5989cfbp-6, -0x1.bce07c10e2f96p-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5ed9937041a8ap-7, -0x1.bf417711bb77dp-6, 0x1.63a29be5b47ffp-6, -0x1.c5a68a5d4a7b4p-9}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.33e369cb73ee4p-7, -0x1.9c1e1491baafcp-6, 0x1.5b21161a5b1a5p-6, -0x1.2f3ec94a4d28ep-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.0c64adc17897ep-7, -0x1.79f92122e9b8dp-6, 0x1.4fc1ee8df835ap-6, -0x1.2cc306526ac53p-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d0830be8b26a8p-8, -0x1.58f61a17c0243p-6, 0x1.447a9e514767ep-6, -0x1.3f6ba4aad9187p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.8eb9788a7f8dap-8, -0x1.391cc30cbe34fp-6, 0x1.38802e8adf43cp-6, -0x1.4c6a04d5921e5p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.532f7ba8ed7cbp-8, -0x1.1a7c4d71d0f47p-6, 0x1.2c09018fa9c9p-6, -0x1.5aecfc66bb90fp-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1da53602d1fa3p-8, -0x1.fa43da3e53373p-7, 0x1.1f0684e56926dp-6, -0x1.6907d48bee89cp-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.dbb01daa87573p-9, -0x1.c236bcf0f7b85p-7, 0x1.117ca02029ce7p-6, -0x1.773e92fa6e281p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.870567b7342cap-9, -0x1.8cec72965aa75p-7, 0x1.036a4769f8e02p-6, -0x1.856dd7afe8abep-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3cba329edb3fdp-9, -0x1.5a803e64b3076p-7, 0x1.e99f850d26b34p-7, -0x1.939f1cffe7e27p-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.f871e7a25e445p-10, -0x1.2b0d5e5124d44p-7, 0x1.cb59fc79f54f5p-7, -0x1.a1cfd99f08473p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.89cd5b74c8466p-10, -0x1.fd5e237368a82p-8, 0x1.ac03ff5ad4b01p-7, -0x1.b000b866fa4dep-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.2c45df8660b07p-10, -0x1.ab012f33ef5b9p-8, 0x1.8b9d8b1fe850cp-7, -0x1.be31973ca28b9p-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.bd1f59432e5a2p-11, -0x1.5f3a5e1cba6f5p-8, 0x1.6a269fc828eccp-7, -0x1.cc6253b2c3102p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.3ea82b13bdcc4p-11, -0x1.1a402e24c1cb3p-8, 0x1.479f3fe78d7efp-7, -0x1.da939998fce9cp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b4c61beeba365p-12, -0x1.b8923c11bf6a5p-9, 0x1.2407612f47535p-7, -0x1.e8c2dc1e3ea8cp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1aee1eb201908p-12, -0x1.4b17536091e83p-9, 0x1.febe548d3874p-8, -0x1.f6f9a2b807411p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.53d5c25690d87p-13, -0x1.d8f95e4b9cdp-10, 0x1.b34c15be6a90fp-8, -0x1.028a2e2fe3061p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.6ecd37e24f5cp-14, -0x1.3a5e1aedd6d97p-10, 0x1.65bc3b167342ap-8, -0x1.09cbe2dddacc5p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.5095bcdfb6c41p-15, -0x1.76714ac59ef34p-11, 0x1.15ff10a0b19f4p-8, -0x1.104a3e9c5be8dp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d51b0f7251a01p-17, -0x1.7170c767fa4ep-12, 0x1.889e6216c5b04p-9, -0x1.19a1a63ea9851p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.74e970cb0e3ffp-19, -0x1.ebbfa20e135d5p-14, 0x1.bf479648bff55p-10, -0x1.1839e316199a8p-7}, 
        {0x1.2p+2, 0x1.228f5c28f5c29p+2, 0x1.e500ac0e7068fp-24, -0x1.68f21f62a7ca7p-17, 0x1.bc087d85b8283p-12, -0x1.290c465d109c7p-7}, 
      }}, 
      0x1.c6c38213ef903p-4, -0x1.4131d804cf928p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.1046e2b82818ap-1, -0x1.039de3f7773f4p-1, -0x1.dea9d055c59a9p-2, -0x1.a8c77c14a800bp-2, -0x1.67bfb521f3d03p-2, -0x1.1dcba194fb889p-2, -0x1.9a2a2ac9631acp-3, -0x1.de8eb21ca622p-4, -0x1.f516592e0f07ep-6, 0x1.d1da570d11d04p-5, 0x1.2722fd8652821p-3, 0x1.d6ea6d06ea19p-3, 0x1.40dceff7437cep-2, 0x1.92ee26e82468dp-2, 0x1.e0f93a7ffa699p-2, 0x1.153a87cf0034bp-1, 0x1.377d55c7fd331p-1, 0x1.57207b73d34aap-1, 0x1.740c5e37a31e7p-1, 0x1.8e347d26b8ecep-1, 0x1.a595c411b9ceap-1, 0x1.ba350cea5be59p-1, 0x1.cc1dcbd923752p-1, 0x1.db60e4596e3ddp-1, 0x1.e813a38201aecp-1, 0x1.f24edb3d9b86ap-1, 0x1.fa2e1a83b12ebp-1, 0x1.ffceff326559p-1, 0x1.01a84f6ad05fap+0, 0x1.026982139bf2ep+0, 0x1.023b5fabbc098p+0, 0x1.012e4392ac3d6p+0, 0x1.fea4e8e5a5f73p-1, 0x1.f970055bb8b45p-1, 0x1.f2dd5922fb866p-1, 0x1.eb0b8e8e83b99p-1, 0x1.e21858982c884p-1, 0x1.d820557a583dfp-1, 0x1.cd3ef7c911edcp-1, 0x1.c18e75e5fb344p-1, 0x1.b527be4bbe2b1p-1, 0x1.a82270a5afb4dp-1, 0x1.9a94daa49dd98p-1, 0x1.8c93f81ede16dp-1, 0x1.7e3376513eb94p-1, 0x1.6f85b9112cbb4p-1, 0x1.609be2050fe08p-1, 0x1.5185d9f1b0c94p-1, 0x1.42525a88c2426p-1, 0x1.330ef9a55cee3p-1, 0x1.23c83554360b5p-1, 0x1.14897ff56d56dp-1, 0x1.055d4d2806b8fp-1, 0x1.ec9a3d20152e1p-2, 0x1.cec3214484a84p-2, 0x1.b144cf7517321p-2, 0x1.942d387ee6423p-2, 0x1.7788ced278c58p-2, 0x1.5b629d9eeb84fp-2, 0x1.3fc4608c934adp-2, 0x1.24b6996ef3e02p-2, 0x1.0a40a6013c675p-2, 0x1.e0d1a7cf99d71p-3, 0x1.ae68e84fdf4d2p-3, 0x1.7d4fdafcd9055p-3, 0x1.4d8d9b7f383fp-3, 0x1.1f27b4d262974p-3, 0x1.e444807b7d9e6p-4, 0x1.8d0006a112a53p-4, 0x1.388517299eba1p-4, 0x1.cda9257c44c3cp-5, 0x1.2fdaa357a582ap-5, 0x1.2f314e13a1f61p-6, 0x1.3675f239249ffp-11, -0x1.10dc4da20838ep-6, -0x1.104e6552222fp-5, -0x1.92d85ed359f7cp-5, -0x1.080fd9ac649f5p-4, -0x1.441cf3ba65e44p-4, -0x1.7d9f146e35094p-4, -0x1.b4a28b0ad61fdp-4, -0x1.e934460279c6ap-4, -0x1.0db0dd699f4e1p-3, -0x1.259c682da2f6ap-3, -0x1.3c63e53eba1a3p-3, -0x1.520e9bd6bd5dap-3, -0x1.66a3efbcd5787p-3, -0x1.7a2b597b441fbp-3, -0x1.8cac5f32967bdp-3, -0x1.9e2e8db4fb039p-3, -0x1.aeb972afca0edp-3, -0x1.be549700954d3p-3, -0x1.cd0779d792d8cp-3, -0x1.dad98c009119fp-3, -0x1.e7d22bf585bf3p-3, -0x1.f3f8a235571b1p-3, -0x1.ff541e0bbcf9p-3, -0x1.04f5d95431b1ep-2, -0x1.09e32a46fbfe6p-2, -0x1.0e756bb3725c9p-2, -0x1.12aff60e551f7p-2, -0x1.16960f9cc68acp-2, -0x1.1a2aebbe1e615p-2, -0x1.1d71aa6d2df19p-2, -0x1.206d57c2f5221p-2, -0x1.2320eba9efcd7p-2, -0x1.258f49ae209d1p-2, -0x1.27bb40ccceec5p-2, -0x1.29a78b68922eap-2, -0x1.2b56cf4a782a1p-2, -0x1.2ccb9daecbcbap-2, -0x1.2e087366f5a8ap-2, -0x1.2f0fb902196b1p-2, -0x1.2fe3c3021a30cp-2, -0x1.3086d2253b404p-2, -0x1.30fb13a7c8edfp-2, -0x1.3142a19de532ep-2, -0x1.315f83544ec01p-2, -0x1.3153adb0b4d71p-2, -0x1.3121039d1beb4p-2, -0x1.30c95675f4c0cp-2, -0x1.304e667bba77p-2, -0x1.2fb1e3485b393p-2, -0x1.2ef56c40ca68ep-2, -0x1.2e1a910862c7p-2, -0x1.2d22d1fcd584fp-2, -0x1.2c0fa0a72d7fbp-2, -0x1.2ae2602dcaf7ap-2, -0x1.299c65d1254c8p-2, -0x1.283ef9597dd67p-2, -0x1.26cb558cdbebap-2, -0x1.2542a89ee499cp-2, -0x1.23a614a6f4941p-2, -0x1.21f6b00d84527p-2, -0x1.203585f37de0fp-2, -0x1.1e6396a4e109bp-2, -0x1.1c81d802c88e6p-2, -0x1.1a9135e1fba51p-2, -0x1.1892927049905p-2, -0x1.1686c69ccd5dap-2, -0x1.146ea26e6d2eap-2, -0x1.124aed58f22f9p-2, -0x1.101c669aa51b6p-2, -0x1.0de3c595b4c9cp-2, -0x1.0ba1ba1b3b224p-2, -0x1.0956ecb43b87bp-2, -0x1.0703fef422437p-2, -0x1.04a98bc795004p-2, -0x1.024827b3cc95ap-2, -0x1.ffc0c229e05dp-3, -0x1.fae580ce381f8p-3, -0x1.f5ff91170b112p-3, -0x1.f10fedfb03e9dp-3, -0x1.ec17880df06f7p-3, -0x1.e71745feb0053p-3, -0x1.e210050df91ffp-3, -0x1.dd02996896745p-3, -0x1.d7efce85ce3a5p-3, -0x1.d2d8678277bdep-3, -0x1.cdbd1f8cac157p-3, -0x1.c89eaa3b8f45ap-3, -0x1.c37db3c9e3d56p-3, -0x1.be5ae176b317fp-3, -0x1.b936d1c095f48p-3, -0x1.b4121cc9c5c2ap-3, -0x1.aeed548aa04e6p-3, -0x1.a9c905069011ap-3, -0x1.a4a5b4ad0ab1dp-3, -0x1.9f83e4557ea9ap-3, -0x1.9a640fbf6ce13p-3, -0x1.9546adc0a04dcp-3, -0x1.902c303184d1fp-3, -0x1.8b15045a9a512p-3, -0x1.8601931329c08p-3, -0x1.80f240fd575dp-3, -0x1.7be76e9b32ac7p-3, -0x1.76e1786ed898dp-3, -0x1.71e0b722ec5b1p-3, -0x1.6ce57fd087edfp-3, -0x1.67f023f6630f6p-3, -0x1.6300f1b83f147p-3, -0x1.5e1833df07754p-3, -0x1.593631fa4a13p-3, -0x1.545b30a17a84bp-3, -0x1.4f877158b0261p-3, -0x1.4abb32da830dfp-3, -0x1.45f6b106c1dc8p-3, -0x1.413a250e46e82p-3, -0x1.3c85c574aba5ap-3, -0x1.37d9c64b7e15cp-3, -0x1.3336591abbd82p-3, -0x1.2e9bad0faf28ep-3, -0x1.2a09ef0c7878cp-3, -0x1.2581498f56846p-3, -0x1.2101e4fed5e7ap-3, -0x1.1c8be796eec8cp-3, -0x1.181f758786e55p-3, -0x1.13bcb0f210008p-3, -0x1.0f63ba0280e35p-3, -0x1.0b14aef54d3ep-3, -0x1.06cfac35d8c12p-3, -0x1.0294cc40f96dep-3, -0x1.fcc84fd5c1fe4p-4, -0x1.f47bac9d0a8e3p-4, -0x1.ec43d9959a4b8p-4, -0x1.e420fe32e02f5p-4, -0x1.dc133ebdfcefep-4, -0x1.d41abc62f9fa8p-4, -0x1.cc37954791432p-4, -0x1.c469e4b5696c7p-4, -0x1.bcb1c2d634383p-4, -0x1.b50f45390667fp-4, -0x1.ad827ea24ecd1p-4, -0x1.a60b7f2a22ad7p-4, -0x1.9eaa544650c7ap-4, -0x1.975f08fcb035cp-4, -0x1.9029a5ce59144p-4, -0x1.890a30d4be9f2p-4, -0x1.8200add18efdap-4, -0x1.7b0d1e60044a7p-4, -0x1.742f81bd681e4p-4, -0x1.6d67d51c8f6dap-4, -0x1.66b6137970e2p-4, -0x1.601a360fb668p-4, -0x1.599433dfcbb5bp-4, -0x1.53240219ee90ep-4, -0x1.4cc9941249129p-4, -0x1.4684db505f198p-4, -0x1.4055c79f4e7d1p-4, -0x1.3a3c471b2557ep-4, -0x1.3438463c8a31cp-4, -0x1.2e49aff418dabp-4, -0x1.28706d8cc91c7p-4, -0x1.22ac66f3441f3p-4, -0x1.1cfd827e5e744p-4, -0x1.1763a568f5e46p-4, -0x1.11deb35cf3f8cp-4, -0x1.0c6e8ed288002p-4, -0x1.071319050c291p-4, -0x1.01cc31fd7adcep-4, -0x1.f933713f9af7cp-5, -0x1.eef71570145a2p-5, -0x1.e4e30a0bfdb5bp-5, -0x1.daf70689366bdp-5, -0x1.d132c0724d2p-5, -0x1.c795eb9a227cdp-5, -0x1.be2039b88a327p-5, -0x1.b4d15b38b0be4p-5, -0x1.aba8fe96c1869p-5, -0x1.a2a6d1300a6b4p-5, -0x1.99ca7e92110abp-5, -0x1.9113b112349e3p-5, -0x1.888211ba47p-5, -0x1.8015485b7d133p-5, -0x1.77ccfba29362ep-5, -0x1.6fa8d129a0d7cp-5, -0x1.67a86d88d53bp-5, -0x1.5fcb746729a6fp-5, -0x1.5811888b79d03p-5, -0x1.507a4bed6a4b6p-5, -0x1.49055fcc1ae59p-5, -0x1.41b264cfefaa5p-5, -0x1.3a80fabdb9a85p-5, -0x1.3370c11b214e2p-5, -0x1.2c8156b0ad1f4p-5, -0x1.25b25a17d1535p-5, -0x1.1f036941fe4b5p-5, -0x1.187421ed950f8p-5, -0x1.12042193ed8c1p-5, -0x1.0bb3057444c76p-5, -0x1.05806a9e8465p-5, -0x1.fed7dbfb02942p-6, -0x1.f2ea58c6a9dc5p-6, -0x1.e73785312f924p-6, -0x1.dbbe9ada06ac6p-6, -0x1.d07ed38ceca52p-6, -0x1.c5776956bc9ddp-6, -0x1.baa7968ee2a5dp-6, -0x1.b00e95dfe8e6p-6, -0x1.a5aba272f4ab6p-6, -0x1.9b7df7728f539p-6, -0x1.9184d11217009p-6, -0x1.87bf6ba6b4425p-6, -0x1.7e2d052882c61p-6, -0x1.74ccdbe00a017p-6, -0x1.6b9e2f3e23ap-6, -0x1.62a03fa4b9486p-6, -0x1.59d24e438a273p-6, -0x1.51339d10ea9bp-6, -0x1.48c36edd0859dp-6, -0x1.40810783af67ap-6, -0x1.386bac306d18p-6, -0x1.3082a39cebe83p-6, -0x1.28c536300fd4ep-6, -0x1.2132adeeeb122p-6, -0x1.19ca5644ada2bp-6, -0x1.128b7bba8a36fp-6, -0x1.0b756bc38db4dp-6, -0x1.048774bbf5a1p-6, -0x1.fb81cc5c52181p-7, -0x1.ee4222b90fe18p-7, -0x1.e14e9297892dp-7, -0x1.d4a5c79ab33d8p-7, -0x1.c84671694f1b8p-7, -0x1.bc2f44dc0ee7cp-7, -0x1.b05ef9022ef72p-7, -0x1.a4d44718623f5p-7, -0x1.998de98f95977p-7, -0x1.8e8a9c2fd4539p-7, -0x1.83c91d29cecc9p-7, -0x1.79482eabcd9bep-7, -0x1.6f069881fc41bp-7, -0x1.6503291679d9cp-7, -0x1.5b3cb55f2982fp-7, -0x1.51b217a62237p-7, -0x1.48622d89bbd22p-7, -0x1.3f4bd5e847e9p-7, -0x1.366def838fa62p-7, -0x1.2dc758f2605c1p-7, -0x1.2556f20258f6cp-7, -0x1.1d1b9e23ae878p-7, -0x1.1514471061eb3p-7, -0x1.0d3fdebe3cbb9p-7, -0x1.059d5fe3dd0c3p-7, -0x1.fc5799bffca5p-8, -0x1.edd458fefe673p-8, -0x1.dfaf0f31b195fp-8, -0x1.d1e5ca9140caap-8, -0x1.c476965879ff6p-8, -0x1.b75f798e2b43dp-8, -0x1.aa9e7d6dc1677p-8, -0x1.9e31b4fff6926p-8, -0x1.921743973f6d9p-8, -0x1.864d60f2174d6p-8, -0x1.7ad25948c99c4p-8, -0x1.6fa48919e47f8p-8, -0x1.64c255db2aa67p-8, -0x1.5a2a25be88f91p-8, -0x1.4fda5931ef3c9p-8, -0x1.45d1485fac02ap-8, -0x1.3c0d45af4a929p-8, -0x1.328ca47e81a26p-8, -0x1.294dc1bd69dacp-8, -0x1.204f0b81d3584p-8, -0x1.178f05378a422p-8, -0x1.0f0c4764e7192p-8, -0x1.06c57b57e4018p-8, -0x1.fd72a805f0cd2p-9, -0x1.edcd0bbc21e82p-9, -0x1.de977fee500f9p-9, -0x1.cfcf50ce2ee45p-9, -0x1.c171bb94dba2bp-9, -0x1.b37bfb018b11ep-9, -0x1.a5eb579cd4438p-9, -0x1.98bd3ad8a78d4p-9, -0x1.8bef333159429p-9, -0x1.7f7ef75638a75p-9, -0x1.736a5749bf2d5p-9, -0x1.67af338b34fa7p-9, -0x1.5c4b722403002p-9, -0x1.513cf5fd4aa01p-9, -0x1.468198fedd183p-9, -0x1.3c172a1a4702p-9, -0x1.31fb7228ac2e8p-9, -0x1.282c40edae13ap-9, -0x1.1ea77e917ce25p-9, -0x1.156b390d3c5a2p-9, -0x1.0c75a535666abp-9, -0x1.03c511b9abc7cp-9, -0x1.f6afa6bd45cb8p-10, -0x1.e6586bd2f572cp-10, -0x1.d680f2057ecedp-10, -0x1.c725ae330bb48p-10, -0x1.b8431c0453548p-10, -0x1.a9d5c72fdb8d3p-10, -0x1.9bda452273786p-10, -0x1.8e4d428bdb488p-10, -0x1.812b96ce42581p-10, -0x1.74725eccefde4p-10, -0x1.681f0dc0967aep-10, -0x1.5c2f556592e58p-10, -0x1.50a0ed4917b8ep-10, -0x1.4571559a2f90cp-10, -0x1.3a9dbbf21fdbbp-10, -0x1.30231272b6149p-10, -0x1.25fe4a89a2bbdp-10, -0x1.1c2c8a79f3d04p-10, -0x1.12ab3cc1aaf17p-10, -0x1.097800cf16402p-10, -0x1.00908f3f7c566p-10, -0x1.efe579e63ef54p-11, -0x1.df391e5277ea8p-11, -0x1.cf189cd474b36p-11, -0x1.bf80f8db0bca1p-11, -0x1.b06f465f4496fp-11, -0x1.a1e01fd47ed3ep-11, -0x1.93cf458eb39e7p-11, -0x1.8637b0bdfd603p-11, -0x1.79141dc61da91p-11, -0x1.6c5fbcbd80964p-11, -0x1.60169b899a962p-11, -0x1.543595ce3bdep-11, -0x1.48b9f4f370723p-11, -0x1.3da11ae3c10b4p-11, -0x1.32e86c3725e1fp-11, -0x1.288d65f192e26p-11, -0x1.1e8daf95d899cp-11, -0x1.14e70fd9bf89cp-11, -0x1.0b9740661776fp-11, -0x1.029baac049dcbp-11, -0x1.f3e25e956b4fdp-12, -0x1.e3284d335ed3bp-12, -0x1.d30169ed6d689p-12, -0x1.c3669b51ef6a4p-12, -0x1.b45236717dfa1p-12, -0x1.a5c029e4530c2p-12, -0x1.97ad8a52a75b2p-12, -0x1.8a17e678132f9p-12, -0x1.7cfcc49df4252p-12, -0x1.705956e3c7613p-12, -0x1.642a48937ed2fp-12, -0x1.586bb811b7a1cp-12, -0x1.4d195ebc9c1bbp-12, -0x1.422ec0786a64dp-12, -0x1.37a76813ae4f2p-12, -0x1.2d7f10509d297p-12, -0x1.23b1bf3984455p-12, -0x1.1a3ba48779757p-12, -0x1.1118ff34031b2p-12, -0x1.0846340ec584cp-12, -0x1.ff8043b165c56p-13, -0x1.ef093bff09ae9p-13, -0x1.df254b728b7b7p-13, -0x1.cfd3975d3a11p-13, -0x1.c1123924804f2p-13, -0x1.b2dcb91ddeb36p-13, -0x1.a52c8e9bdf207p-13, -0x1.97fa990269f15p-13, -0x1.8b3f94507a807p-13, -0x1.7ef409ebf85c8p-13, -0x1.73116c5ef8f71p-13, -0x1.6793a246f3162p-13, -0x1.5c78e83a47debp-13, -0x1.51bfdbf24feacp-13, -0x1.47659da62bbe9p-13, -0x1.3d6578508f18p-13, -0x1.33b9f6a9b6c3bp-13, -0x1.2a5f04ee8541dp-13, -0x1.2153c63ed6e2cp-13, -0x1.189977a1da58cp-13, -0x1.102fb31782d1dp-13, -0x1.08128d4f509dcp-13, -0x1.003cbee3713bbp-13, -0x1.f1549ea458b42p-14, -0x1.e2afb1fb90664p-14, -0x1.d4810563b917bp-14, -0x1.c6be4dc818c33p-14, -0x1.b9615270f6b69p-14, -0x1.ac695d376d5b8p-14, -0x1.9fd823f51d20fp-14, -0x1.93ad95ac38f8cp-14, -0x1.87e665953e576p-14, -0x1.7c7d7796464fbp-14, -0x1.716cb4358280ep-14, -0x1.66ae02102ace8p-14, -0x1.5c3ed8f669b31p-14, -0x1.5220b44023061p-14, -0x1.485271acde6bap-14, -0x1.3ecda72c54481p-14, -0x1.358d5f5daa0f7p-14, -0x1.2c9124c25a6abp-14, -0x1.23d711156809fp-14, -0x1.1b58eccd40183p-14, -0x1.130fe2ccd95e1p-14, -0x1.0af823c916b15p-14, -0x1.031132ffd9c49p-14, -0x1.f6b7d2a78fbb9p-15, -0x1.e7b1214d39edbp-15, -0x1.d90c934747e1bp-15, -0x1.cac7a6da471d1p-15, -0x1.bce12fe8e1d2p-15, -0x1.af553a5905898p-15, -0x1.a2180a1eba4fep-15, -0x1.9520dce303348p-15, -0x1.887289d2d3958p-15, -0x1.7c0d3f78c766p-15, -0x1.6fea2ed06777dp-15, -0x1.64096c7203abp-15, -0x1.586f033677365p-15, -0x1.4d17b584574f2p-15, -0x1.41fb52dd806c2p-15, -0x1.3712583f3c62ep-15, -0x1.2c590a93610a1p-15, -0x1.21d04497e7da9p-15, -0x1.1779eee04213ep-15, -0x1.0d54ecaca691fp-15, -0x1.035f200e05a3bp-15, -0x1.f3331288469e8p-16, -0x1.e009bcca09e8cp-16, -0x1.cd3c7e3b1d0dp-16, -0x1.bac47914f5927p-16, -0x1.a898c4766f7d4p-16, -0x1.96b2ce33fa55p-16, -0x1.8517be83304aap-16, -0x1.73c59a19f709fp-16, -0x1.62b76bd5890cfp-16, -0x1.51f4d13602598p-16, -0x1.418012f121622p-16, -0x1.31532566c13fp-16, -0x1.21662184872fp-16, -0x1.11b14014bb17dp-16, -0x1.0233e78b1e3b8p-16, -0x1.e5e7aa5e88b3ap-17, -0x1.c7e1256f6ef74p-17, -0x1.aa4c24ec8fd79p-17, -0x1.8d2cecab7973ep-17, -0x1.7085587bb51p-17, -0x1.544de9903773dp-17, -0x1.38800bf5454f3p-17, -0x1.1d1986cdba57p-17, -0x1.021e9b8f517b1p-17, -0x1.cf227d7479286p-18, -0x1.9acf921b7c35dp-18, -0x1.6741ec8566f36p-18, -0x1.34735c468662bp-18, -0x1.026ca0c557754p-18, -0x1.a2790b70de266p-19, -0x1.41b6557fced4p-19, -0x1.c5002dba5852ap-20, -0x1.0974aac113022p-20, -0x1.42c828e7d6227p-22, 0x1.945a8cee2a66bp-22, 0x1.17f6ba6427ddfp-20, 0x1.c7ecae296ef05p-20, 0x1.3a7156f53826bp-19, 0x1.8f7226d322658p-19, 0x1.e308a06682481p-19, 0x1.1a9c7883869dp-18, 0x1.4300651093092p-18, 0x1.6aafaefbc4915p-18, 0x1.91ab82b8df736p-18, 0x1.b7f1e12ae4111p-18, 0x1.dd7d604281aa4p-18, 0x1.012b307f1ae3dp-17, 0x1.1341960338f94p-17, 0x1.25012c53f5a0ep-17, 0x1.3665ac094079p-17, 0x1.476ffe090fecfp-17, 0x1.5821486a92ea8p-17, 0x1.687a7f85941e6p-17, 0x1.787dd7b88a138p-17, 0x1.882a56c887ec9p-17, 0x1.978133b10d4c7p-17, 0x1.a6803464b7244p-17, 0x1.b52732c8789f5p-17, 0x1.c3785afa210f1p-17, 0x1.d1741ce987debp-17, 0x1.df1a5c5f2f05p-17, 0x1.ec6b3e907cfd2p-17, 0x1.f966fa1ea87bfp-17, 0x1.0306f80aecfa5p-16, 0x1.09302b8f13286p-16, 0x1.0f2f47067489fp-16, 0x1.1504809d1ddaap-16, 0x1.1aaf966e6050cp-16, 0x1.2030bf9e533fdp-16, 0x1.25891e3933775p-16, 0x1.2ab865aa89468p-16, 0x1.2fbe409b810bcp-16, 0x1.349b2ab49fc7dp-16, 0x1.394f23d67bda1p-16, 0x1.3ddae365cce0ap-16, 0x1.423ed2d780c1ep-16, 0x1.467ad6cddaa6dp-16, 0x1.4a8ec062a3d3dp-16, 0x1.4e7b3f06e387ap-16, 0x1.5240a40aa28dep-16, 0x1.55df1ba150ee3p-16, 0x1.5956df0872fd4p-16, 0x1.5ca8316038e04p-16, 0x1.5fd35b0cec18cp-16, 0x1.62d8a7c6fac24p-16, 0x1.65b8655b2cc7p-16, 0x1.6872e1caefb82p-16, 0x1.6b0868fcc4ccap-16, 0x1.6d7947cf4131ap-16, 0x1.6fc5d67827a1ep-16, 0x1.71ee6e3d28f72p-16, 0x1.73f33e6b349ffp-16, 0x1.75d4d5e055699p-16, 0x1.77938047e65c6p-16, 0x1.792f71f8ec78ep-16, 0x1.7aa8fcd8748d7p-16, 0x1.7c00b118feaaep-16, 0x1.7d37084f99b6ep-16, 0x1.7e4c1026e9ceep-16, 0x1.7f4049e6d7083p-16, 0x1.801429800cbd6p-16, 0x1.80c808c34f708p-16, 0x1.815c484b649fp-16, 0x1.81d14d102ba17p-16, 0x1.82277dab10ee3p-16, 0x1.825f41a2f0726p-16, 0x1.8279017d7e54ap-16, 0x1.827526fb5f411p-16, 0x1.82541d16c69bbp-16, 0x1.82164fbcac048p-16, 0x1.81bc2b62c05cdp-16, 0x1.81461c365178dp-16, 0x1.80b48dec5ab71p-16, 0x1.8007f094365bcp-16, 0x1.7f40b87cb4236p-16, 0x1.7e5f4fb172b57p-16, 0x1.7d64194b3323fp-16, 0x1.7c4f871548248p-16, 0x1.7b2216bcb63dep-16, 0x1.79dc7f2da83a9p-16, 0x1.787e33145c236p-16, 0x1.7708feab1d9d8p-16, 0x1.757c6ff1fb812p-16, 0x1.73d93d9bafcdap-16, 0x1.721fd404245bap-16, 0x1.7050a247728aap-16, 0x1.6e6c1a5fd9c8ep-16, 0x1.6c72ae6f5ffa1p-16, 0x1.6a64d06c43e3dp-16, 0x1.6842f2126b7a2p-16, 0x1.660d84e15dc77p-16, 0x1.63c4fa2dded8ap-16, 0x1.6169c348241dfp-16, 0x1.5efc51701f8abp-16, 0x1.5c7d158aab128p-16, 0x1.59ec7ff64d55ap-16, 0x1.574b00bd0a62p-16, 0x1.54990765861c3p-16, 0x1.51d702243a6a7p-16, 0x1.4f055f33947f2p-16, 0x1.4c248f6c6a2a6p-16, 0x1.49350bfe116d1p-16, 0x1.463731c91bcddp-16, 0x1.432b58462eb17p-16, 0x1.4012076a6edf7p-16, 0x1.3ceba947693ffp-16, 0x1.39b8afe835e6ep-16, 0x1.36797ad3ddfacp-16, 0x1.332e71a9b9b2ep-16, 0x1.2fd7fd8e0353ap-16, 0x1.2c76876825ceep-16, 0x1.290a7434fd597p-16, 0x1.2594297ec0c28p-16, 0x1.22140f3f2376ap-16, 0x1.1e8a87e4d8372p-16, 0x1.1af7f6ba7e87bp-16, 0x1.175cbe40faf73p-16, 0x1.13b93fe76edd1p-16, 0x1.100ddc20ff722p-16, 0x1.0c5af26a50c68p-16, 0x1.08a0e1293138ep-16, 0x1.04e005acef35dp-16, 0x1.0118bcb34218p-16, 0x1.fa96c5ab4bf27p-17, 0x1.f2f0a67586c98p-17, 0x1.eb3fc81ec7b07p-17, 0x1.e384d4684fap-17, 0x1.dbc09952816abp-17, 0x1.d3f3c7ee23899p-17, 0x1.cc1eba7206415p-17, 0x1.c442285ed2586p-17, 0x1.bc5f121cacdaap-17, 0x1.b475f5ca9c83fp-17, 0x1.ac876c0a102f6p-17, 0x1.a493f81ac87afp-17, 0x1.9c9c3b5713db4p-17, 0x1.94a0ad601247p-17, 0x1.8ca258af34f18p-17, 0x1.84a1a2de37eb7p-17, 0x1.7c9effdbaa20dp-17, 0x1.749b082d12a28p-17, 0x1.6c964f0e17ccfp-17, 0x1.6491621bd2eb3p-17, 0x1.5c8ccb9aced1p-17, 0x1.54891328a885ep-17, 0x1.4c86bdd788f43p-17, 0x1.44864e14acda3p-17, 0x1.3c8843caf6784p-17, 0x1.348d1cd0dc866p-17, 0x1.2c95556384e15p-17, 0x1.24a168251738ep-17, 0x1.1cb1ccc93067p-17, 0x1.14c6f449bd09p-17, 0x1.0ce14d1a11564p-17, 0x1.050167887bf15p-17, 0x1.fa4f25671f49dp-18, 0x1.eaa800d4c86c9p-18, 0x1.db0f22ad0f3a2p-18, 0x1.cb84d54e9201bp-18, 0x1.bc09ca0e0835ap-18, 0x1.ac9f0a3b05f5fp-18, 0x1.9d4534047835p-18, 0x1.8dfd04eb5f9e5p-18, 0x1.7ec7b75c4ba15p-18, 0x1.6fa4cdfa0eff3p-18, 0x1.6095711e3d58ep-18, 0x1.519b044ec0939p-18, 0x1.42b56e3883449p-18, 0x1.33e59935525f5p-18, 0x1.252c122bf77a9p-18, 0x1.16897029f6cb8p-18, 0x1.07fe479528c93p-18, 0x1.f3165168993d5p-19, 0x1.d6613f2638af2p-19, 0x1.b9de67bbf0843p-19, 0x1.9d8ed1b73ae92p-19, 0x1.81737bcffa5abp-19, 0x1.658d5e28dda33p-19, 0x1.49dd6a3b5962ep-19, 0x1.2e6489178e1a9p-19, 0x1.132395335514ap-19, 0x1.f036ba2b52b3cp-20, 0x1.ba99a9a7529d8p-20, 0x1.8571f08316113p-20, 0x1.50bf18c5c7d8ap-20, 0x1.1c84a8fdd54fcp-20, 0x1.d186e1654879p-21, 0x1.6af97790ee422p-21, 0x1.0563d4c8c0e6p-21, 0x1.418e81a2b4978p-22, 0x1.e93c20467cdb6p-24, -0x1.2bcd15b00036ep-24, -0x1.0e34340737791p-22, -0x1.cf6f9c239933cp-22, -0x1.47509ce3789d9p-21, -0x1.a5e20bbaf171bp-21, -0x1.01b5620b2985ap-20, -0x1.2ff58b9017927p-20, -0x1.5db119b5b4ceep-20, -0x1.8ae6ea8683ffcp-20, -0x1.b792db1f5d1d9p-20, -0x1.e3b71d869a78p-20, -0x1.07a9c8c201b9ep-19, -0x1.1d33a86e46402p-19, -0x1.3278dc3584dbfp-19, -0x1.477925c9a38d3p-19, -0x1.5c344fb818e1cp-19, -0x1.70aa2a6262436p-19, -0x1.84da8b6ec9078p-19, -0x1.98c54e13bed88p-19, -0x1.ac6a54fbfa6e3p-19, -0x1.bfc9878f29bbcp-19, -0x1.d2e2c10704982p-19, }}, 
      {{-0x1.1325919f67eddp-1, -0x1.0edf1232f2e8bp-1, -0x1.07eb90535fca8p-1, -0x1.fd0497d041fccp-2, -0x1.e5c7418f2e096p-2, -0x1.caa8a500a7e8ap-2, -0x1.ac346c864cc13p-2, -0x1.8af3c2d94c2b9p-2, -0x1.676a292ee42e6p-2, -0x1.42135e73db1c4p-2, -0x1.1b6213536576cp-2, -0x1.e77e71db10e1ep-3, -0x1.971384971e6ddp-3, -0x1.462d71c6be808p-3, -0x1.eac62e1898349p-4, -0x1.4a721334174cbp-4, -0x1.588ad47f7ea76p-5, -0x1.1072de368f8d6p-8, 0x1.0d3debd56ed9dp-5, 0x1.1a1e164c331e1p-4, 0x1.a8ff8d2e39fcep-4, 0x1.19714cbd05a7ap-3, 0x1.5bbd11353c092p-3, 0x1.9b4550a9bf3cp-3, 0x1.d7f4195c01fdep-3, 0x1.08dd3395048ccp-2, 0x1.2447a941507dp-2, 0x1.3e37a8b170d3fp-2, 0x1.56adc4ad8d4c6p-2, 0x1.6dac98c81261p-2, 0x1.833881cc46ab2p-2, 0x1.97575d07414b1p-2, 0x1.aa104def7a4cp-2, 0x1.bb6b899f82f55p-2, 0x1.cb7227d5abf72p-2, 0x1.da2df8c13fbcdp-2, 0x1.e7a95f7f9e6e5p-2, 0x1.f3ef30ce8380ap-2, 0x1.ff0a955a1afcfp-2, 0x1.048377e454547p-1, 0x1.08f7e2d3e717bp-1, 0x1.0ce855b8c4a76p-1, 0x1.105a9987ae96bp-1, 0x1.13546e4621bb9p-1, 0x1.15db84a8699cdp-1, 0x1.17f57872f48dfp-1, 0x1.19a7cbae09d4bp-1, 0x1.1af7e2e6c3b53p-1, 0x1.1beb01c46539p-1, 0x1.1c864878436d2p-1, 0x1.1cceb19ccfd43p-1, 0x1.1cc9109e31202p-1, 0x1.1c7a107e50b39p-1, 0x1.1be6330d1fd2cp-1, 0x1.1b11d04ecc8bfp-1, 0x1.1a0116671c5dp-1, 0x1.18b8097336494p-1, 0x1.173a83e38e39cp-1, 0x1.158c36d39b36dp-1, 0x1.13b0aaaa387ddp-1, 0x1.11ab3f9ca9727p-1, 0x1.0f7f2eb826e23p-1, 0x1.0d2f8a865746bp-1, 0x1.0abf402097174p-1, 0x1.08311825355bcp-1, 0x1.0587b7c30c86ep-1, 0x1.02c5a1ddf0e9p-1, 0x1.ffda700977f08p-2, 0x1.fa017787be83dp-2, 0x1.f4049f265f121p-2, 0x1.ede7f032e5736p-2, 0x1.e7af3a79c848dp-2, 0x1.e15e16853895fp-2, 0x1.daf7e7d077046p-2, 0x1.d47fdeef655f9p-2, 0x1.cdf8fbd098edap-2, 0x1.c7660f897e65p-2, 0x1.c0c9beca39542p-2, 0x1.ba26837fa6c2bp-2, 0x1.b37eaefcd89dfp-2, 0x1.acd46bce5364ep-2, 0x1.a629bf8c73719p-2, 0x1.9f808ca6cf6acp-2, 0x1.98da941ad88cfp-2, 0x1.9239771e9fdbap-2, 0x1.8b9eb8b9469b9p-2, 0x1.850bbf5395c5bp-2, 0x1.7e81d63e25398p-2, 0x1.78022eef58805p-2, 0x1.718de2b0d0c51p-2, 0x1.6b25f3a10a6a9p-2, 0x1.64cb4e25e84fcp-2, 0x1.5e7eca125424fp-2, 0x1.58412bd4bd05fp-2, 0x1.5213259151b52p-2, 0x1.4bf558336f089p-2, 0x1.45e85470dd1e8p-2, 0x1.3fec9bc30e38bp-2, 0x1.3a02a153f5c41p-2, 0x1.342acada451abp-2, 0x1.2e65716dbe179p-2, 0x1.28b2e24d35a6fp-2, 0x1.23135fb48ace4p-2, 0x1.1d872163aa7bp-2, 0x1.180e557d4c9fap-2, 0x1.12a921311c363p-2, 0x1.0d57a1237b745p-2, 0x1.0819ea33a4b43p-2, 0x1.02f009fea0c37p-2, 0x1.fbb40ec1f21f5p-3, 0x1.f1afc5e7cce89p-3, 0x1.e7d32f0d24679p-3, 0x1.de1e3512c3eefp-3, 0x1.d490b8ee08362p-3, 0x1.cb2a926a55c02p-3, 0x1.c1eb90e81ddbap-3, 0x1.b8d37c0b3ececp-3, 0x1.afe2145eff321p-3, 0x1.a71713f3e48cep-3, 0x1.9e722ef8bd222p-3, 0x1.95f3144481c76p-3, 0x1.8d996dd651954p-3, 0x1.8564e14de49b2p-3, 0x1.7d55106aee826p-3, 0x1.756999843e9bcp-3, 0x1.6da217964357fp-3, 0x1.65fe22f017cd7p-3, 0x1.5e7d51c122936p-3, 0x1.571f37b243733p-3, 0x1.4fe366c9ec451p-3, 0x1.48c96f783301bp-3, 0x1.41d0e0d9df556p-3, 0x1.3af948f556193p-3, 0x1.344234f516e9ap-3, 0x1.2dab315c956c4p-3, 0x1.2733ca368d14fp-3, 0x1.20db8b424fad7p-3, 0x1.1aa2001d90e69p-3, 0x1.1486b46a74e5ap-3, 0x1.0e8933f24dff5p-3, 0x1.08a90ac66511dp-3, 0x1.02e5c55ed1c59p-3, 0x1.fa7de165462b3p-4, 0x1.ef68349e7b118p-4, 0x1.e489a0dc63fb1p-4, 0x1.d9e1441623a5p-4, 0x1.cf6e3deac3f55p-4, 0x1.c52fafbebd574p-4, 0x1.bb24bcd8acbf7p-4, 0x1.b14c8a7c6c453p-4, 0x1.a7a640020fb89p-4, 0x1.9e3106e350637p-4, 0x1.94ec0af6030fap-4, 0x1.8bd67a5c75ce2p-4, 0x1.82ef8548bc427p-4, 0x1.7a365e61a5b8fp-4, 0x1.71aa3b76bf2e2p-4, 0x1.694a53f56aa48p-4, 0x1.6115e22c1c36ap-4, 0x1.590c22eeda9efp-4, 0x1.512c559ff1828p-4, 0x1.4975bc34a89dfp-4, 0x1.41e79b36944f8p-4, 0x1.3a8139c69ba5p-4, 0x1.3341e19c78a43p-4, 0x1.2c28df07b5f84p-4, 0x1.253580ece865cp-4, 0x1.1e6718c1731cap-4, 0x1.17bcfa8ff2e5dp-4, 0x1.11367cee7150bp-4, 0x1.0ad2f8f91ace8p-4, 0x1.0491ca55c63aap-4, 0x1.fce49e51eacdfp-5, 0x1.f0e7d029e6191p-5, 0x1.e52bf060c1d95p-5, 0x1.d9afca0332303p-5, 0x1.ce722cf3f9d45p-5, 0x1.c371ede14942fp-5, 0x1.b8ade62d65faep-5, 0x1.ae24f3f40a8c1p-5, 0x1.a3d5f9ec3eca1p-5, 0x1.99bfdf65dc03ep-5, 0x1.8fe19039b6044p-5, 0x1.8639fcaa4237cp-5, 0x1.7cc819776bb94p-5, 0x1.738adfb0b80ep-5, 0x1.6a814cbe6384fp-5, 0x1.61aa62410ccbp-5, 0x1.59052614570d4p-5, 0x1.5090a223f518bp-5, 0x1.484be472e1965p-5, 0x1.4035ff7194cb3p-5, 0x1.384e08e3e439fp-5, 0x1.30931ad3e8ae7p-5, 0x1.290452b425bcfp-5, 0x1.21a0d30e3aac7p-5, 0x1.1a67c0c328a09p-5, 0x1.1358450823b7dp-5, 0x1.0c718cac76213p-5, 0x1.05b2c8162f1cp-5, 0x1.fe36565031e08p-6, 0x1.f153dad581bf4p-6, 0x1.e4bc93727eb95p-6, 0x1.d86efca72e45ap-6, 0x1.cc6999c0fbd05p-6, 0x1.c0aaf4a58643fp-6, 0x1.b5319db20701ep-6, 0x1.a9fc2bb0fa9dp-6, 0x1.9f093bbf5fdbcp-6, 0x1.9457710f1eca3p-6, 0x1.89e5754dc6733p-6, 0x1.7fb1f7df323bp-6, 0x1.75bbae2d5f111p-6, 0x1.6c015383072d2p-6, 0x1.6281a9038c841p-6, 0x1.593b757107c0bp-6, 0x1.502d852bcd1e8p-6, 0x1.4756aa1b07544p-6, 0x1.3eb5bb98f35ccp-6, 0x1.36499641260dbp-6, 0x1.2e111c26595e2p-6, 0x1.260b3461792dep-6, 0x1.1e36cb7043b63p-6, 0x1.1692d257c7971p-6, 0x1.0f1e3f8e4d879p-6, 0x1.07d80e3ee2d26p-6, 0x1.00bf3e66c7033p-6, 0x1.f3a5a986475a2p-7, 0x1.e623b579a28d5p-7, 0x1.d8f6bcad9877p-7, 0x1.cc1ce43b6ac6fp-7, 0x1.bf9459e4a5b1dp-7, 0x1.b35b54b46818dp-7, 0x1.a77013d25be9ap-7, 0x1.9bd0dfa4367afp-7, 0x1.907c07b6c7ef4p-7, 0x1.856fe4f17580dp-7, 0x1.7aaad7eff50acp-7, 0x1.702b49470f128p-7, 0x1.65efa96242b02p-7, 0x1.5bf670394637fp-7, 0x1.523e1e01ede17p-7, 0x1.48c53b79649a6p-7, 0x1.3f8a546973f6bp-7, 0x1.368bfede179e4p-7, 0x1.2dc8da733dd82p-7, 0x1.253f8a0bb681p-7, 0x1.1ceeb82ef0e0ap-7, 0x1.14d517422206ep-7, 0x1.0cf15f1965151p-7, 0x1.05424f22f21ccp-7, 0x1.fb8d59aaafdc9p-8, 0x1.ecfa880b2a452p-8, 0x1.dec9cd9c4db1ap-8, 0x1.d0f8dae00a4b6p-8, 0x1.c3856c6e3119dp-8, 0x1.b66d4ac0db838p-8, 0x1.a9ae4a024222dp-8, 0x1.9d4649dc5ef85p-8, 0x1.9133354da0a6dp-8, 0x1.8573025334597p-8, 0x1.7a03b13b52111p-8, 0x1.6ee34f01665b4p-8, 0x1.640ff0ea7d031p-8, 0x1.5987b83c8b878p-8, 0x1.4f48ce898ada6p-8, 0x1.4551695087d23p-8, 0x1.3b9fc7028d0ebp-8, 0x1.32322fba09d77p-8, 0x1.2906f5136f65p-8, 0x1.201c71fb2ae49p-8, 0x1.17710a8193636p-8, 0x1.0f032bb014ab2p-8, 0x1.06d14b5e840f1p-8, 0x1.fdb3d01185412p-9, 0x1.ee37114b24f5dp-9, 0x1.df297900b06fap-9, 0x1.d0883631a369p-9, 0x1.c25087da88dcap-9, 0x1.b47fbb67f1d87p-9, 0x1.a71331687820bp-9, 0x1.9a085533a5778p-9, 0x1.8d5ca61797229p-9, 0x1.810dab11daf8ep-9, 0x1.7518ff2130412p-9, 0x1.697c499b2dcacp-9, 0x1.5e353f420ae4ep-9, 0x1.5341a2776a62cp-9, 0x1.489f42ebdfc42p-9, 0x1.3e4bfd5ac7233p-9, 0x1.3445bb480385ep-9, 0x1.2a8a72ba75d3bp-9, 0x1.211825f3c97f6p-9, 0x1.17ece328e3e29p-9, 0x1.0f06c43efb5cep-9, 0x1.0663ee90a0632p-9, 0x1.fc0525764809fp-10, 0x1.ebc1d8e6cceccp-10, 0x1.dbfa84c30ac24p-10, 0x1.ccabcb7331c7dp-10, 0x1.bdd261bea2328p-10, 0x1.af6b176ae5c3fp-10, 0x1.a172c59d722d4p-10, 0x1.93e677037cb76p-10, 0x1.86c3118f2608p-10, 0x1.7a05b6163659fp-10, 0x1.6dab9b452c79ap-10, 0x1.61b1f9a899ee9p-10, 0x1.56161c7ef9454p-10, 0x1.4ad564b40b615p-10, 0x1.3fed43482b581p-10, 0x1.355b399717cc9p-10, 0x1.2b1cd9131fba2p-10, 0x1.212fc2dc5562fp-10, 0x1.1791a758cf75ap-10, 0x1.0e4045d744916p-10, 0x1.05396c3ddf8cfp-10, 0x1.f8f5ed876067ap-11, 0x1.e8059f60cf05bp-11, 0x1.d79dde3d2696dp-11, 0x1.c7bab579a9417p-11, 0x1.b8584b1d4294ep-11, 0x1.a972df62c3501p-11, 0x1.9b06cb775bcb3p-11, 0x1.8d107ccaea1ep-11, 0x1.7f8c847e4da52p-11, 0x1.72777df18bd9bp-11, 0x1.65ce2bae5eeaep-11, 0x1.598d4dc98c8fap-11, 0x1.4db1ca4b376ebp-11, 0x1.42389d0344eaap-11, 0x1.371ed262658dbp-11, 0x1.2c618be453cd8p-11, 0x1.21fdffa2e29a3p-11, 0x1.17f177c09652ap-11, 0x1.0e3951d340a68p-11, 0x1.04d2fe341fd9bp-11, 0x1.f777fe697be78p-12, 0x1.e5e3d0977e866p-12, 0x1.d4e4bab9bab8fp-12, 0x1.c476247a1bf9p-12, 0x1.b49394fefa08fp-12, 0x1.a538b2f4396bdp-12, 0x1.966144b5b438ep-12, 0x1.8809304b55766p-12, 0x1.7a2c7b0c28951p-12, 0x1.6cc748df71469p-12, 0x1.5fd5db21ce8ffp-12, 0x1.53548f34ca196p-12, 0x1.473fdce24d6bp-12, 0x1.3b9454ab9e531p-12, 0x1.304e9b16cc7bbp-12, 0x1.256b6719ef0c5p-12, 0x1.1ae79ea9a2599p-12, 0x1.10c01d9788729p-12, 0x1.06f1ffd5e4572p-12, 0x1.faf4824e6997ep-13, 0x1.e8ac466089b8cp-13, 0x1.d705e7f7697b7p-13, 0x1.c5fc246b48c9ep-13, 0x1.b589e3ed0432fp-13, 0x1.a5aa35ea7fbc7p-13, 0x1.96584d256002ep-13, 0x1.878f7c96e51efp-13, 0x1.794b36234d16bp-13, 0x1.6b870ba9cd83fp-13, 0x1.5e3eb18fd5094p-13, 0x1.516e00d4fd5d4p-13, 0x1.4510f71b6e9b5p-13, 0x1.3923b49fae87p-13, 0x1.2da279758e114p-13, 0x1.2289a2e6fe348p-13, 0x1.17d5a49c78c16p-13, 0x1.0d830971a8c7ep-13, 0x1.038f0dad97bbfp-13, 0x1.f3eb5a3b91102p-14, 0x1.e1680273545a5p-14, 0x1.cf8ecefc8cb84p-14, 0x1.be5944157f761p-14, 0x1.adc1bc500d6acp-14, 0x1.9dc2c069e3ad2p-14, 0x1.8e5708a6752b8p-14, 0x1.7f7979b6de26cp-14, 0x1.71250bf1fe2ep-14, 0x1.6354fdeafaee1p-14, 0x1.5604c4729e0cdp-14, 0x1.492fe240428b2p-14, 0x1.3cd21947aed9bp-14, 0x1.30e6e4c50f9e9p-14, 0x1.256a7145d572dp-14, 0x1.1a58ce78dd831p-14, 0x1.0fae20d4d465dp-14, 0x1.0566b0a7dd031p-14, 0x1.f6fdd5b4613e9p-15, 0x1.e3e6bf088c992p-15, 0x1.d1817b9fdfe61p-15, 0x1.bfc79ef494ac5p-15, 0x1.aeb2ef904bd0cp-15, 0x1.9e3d6d92e3d33p-15, 0x1.8e6159b2c60efp-15, 0x1.7f19329618ff4p-15, 0x1.705fa7cfed3a7p-15, 0x1.622f8cc67455p-15, 0x1.5483d5b3ef534p-15, 0x1.47579e06b599dp-15, 0x1.3aa62eaf8d34cp-15, 0x1.2e6afe1eb2a29p-15, 0x1.22a1ac62d2526p-15, 0x1.17460022c6bbcp-15, 0x1.0c53e41f4c726p-15, 0x1.01c763b9b0e67p-15, 0x1.ef39552e6f9cp-16, 0x1.dba019baccd3bp-16, 0x1.c8bc25b027278p-16, 0x1.b686f200931a4p-16, 0x1.a4fa3b6f93fedp-16, 0x1.940fd5b220a1fp-16, 0x1.83c19fc8f9eb2p-16, 0x1.74099618b5afcp-16, 0x1.64e1b64deca5bp-16, 0x1.5644c35d043b5p-16, 0x1.482ddde24c069p-16, 0x1.3a97fa11bdcd6p-16, 0x1.2d7e88d0b0c49p-16, 0x1.20db639227512p-16, 0x1.14aae46f4e628p-16, 0x1.08e8c41296834p-16, 0x1.fb21835e13d77p-17, 0x1.e53ddcae104aap-17, 0x1.d01f51e9b679ap-17, 0x1.bbbef700493cep-17, 0x1.a815df4954621p-17, 0x1.951d0168b5ddfp-17, 0x1.82cd6e21a2607p-17, 0x1.712093e5cee6fp-17, 0x1.6010535c6ba9ep-17, 0x1.4f96e71de4835p-17, 0x1.3faec30c32622p-17, 0x1.30527b810085cp-17, 0x1.217cbe788ccdep-17, 0x1.1328694c4e37ep-17, 0x1.0550a9180a044p-17, 0x1.efe2032098d42p-18, 0x1.d60a6c1d6f117p-18, 0x1.bd126cdf0231ep-18, 0x1.a4f23b3d5e04ap-18, 0x1.8da24a475abfbp-18, 0x1.771b124ec41bfp-18, 0x1.61550e2c9540dp-18, 0x1.4c48cdc0229cdp-18, 0x1.37ed871b00415p-18, 0x1.24443cb57a5e2p-18, 0x1.11434aa66487fp-18, 0x1.fdb32655bb1e8p-19, 0x1.da2341f5875c1p-19, 0x1.b7bda5e8f924ep-19, 0x1.9677effd075f5p-19, 0x1.7648d7d69f55dp-19, 0x1.5727883976ec6p-19, 0x1.390b3471a7466p-19, 0x1.1be9ae385be02p-19, 0x1.ff7e5df00f98ep-20, 0x1.c900e04348bd7p-20, 0x1.94596ab2a117p-20, 0x1.6166d6d9ecbc5p-20, 0x1.301563304c4b3p-20, 0x1.006360767767cp-20, 0x1.a4891737b9a59p-21, 0x1.4b570d200b427p-21, 0x1.ea2d952f63b41p-22, 0x1.435fff63f70ccp-22, 0x1.442dafe519ff1p-23, 0x1.8961f0139abdp-28, -0x1.213a303c0c152p-23, -0x1.2256a3bf5cf05p-22, -0x1.af2ad56d47c35p-22, -0x1.1b9df75547aecp-21, -0x1.5d54b011e7a88p-21, -0x1.9cc8604ee51e3p-21, -0x1.da08ddd7fedfap-21, -0x1.0a93cb749737p-20, -0x1.271af517622c2p-20, -0x1.42a1d3081479ep-20, -0x1.5d2ed4ad51983p-20, -0x1.76c71579bb78cp-20, -0x1.8f70064a8ab3ep-20, -0x1.a7300a80bba38p-20, -0x1.be0d6ed4d4b2dp-20, -0x1.d40e1caea506dp-20, -0x1.e937e922b0eb4p-20, -0x1.fd9054ccaa4e7p-20, -0x1.088e27bc4bfbdp-19, -0x1.11f03ad5a7837p-19, -0x1.1af0ac4ccc10ap-19, -0x1.2391b102b5dd5p-19, -0x1.2bd55418d38cep-19, -0x1.33bd876e5440fp-19, -0x1.3b4c435beb37ap-19, -0x1.4283a99102fd2p-19, -0x1.4965f8de663f5p-19, -0x1.4ff542f93c04ap-19, -0x1.563346239955ep-19, -0x1.5c217c3824109p-19, -0x1.61c141ced6f7dp-19, -0x1.67146a16a2d24p-19, -0x1.6c1e18233f4b3p-19, -0x1.70df3ef3c6a08p-19, -0x1.7556d5183f27dp-19, -0x1.79870c230d30ep-19, -0x1.7d6daf122173dp-19, -0x1.8117b7e290522p-19, -0x1.84807ef4cb5c1p-19, -0x1.87a7834db3387p-19, -0x1.8a8e9e9d0f717p-19, -0x1.8d3771049b204p-19, -0x1.8fa35e9a738edp-19, -0x1.91d3ada9e3398p-19, -0x1.93c9953335561p-19, -0x1.958646d30df0ep-19, -0x1.970af81b6bf45p-19, -0x1.9858cc4573327p-19, -0x1.9970cf39a2471p-19, -0x1.9a5417b9388c1p-19, -0x1.9b03bde9e4c07p-19, -0x1.9b80de8285e58p-19, -0x1.9bcc7eae28f64p-19, -0x1.9be79571a7b14p-19, -0x1.9bd32c92da822p-19, -0x1.9b90532b17bbap-19, -0x1.9b2012df511e6p-19, -0x1.9a83698a8cbacp-19, -0x1.99bbffcd46cfbp-19, -0x1.98d0150995b26p-19, -0x1.97a6747f2cc76p-19, -0x1.96664557c7536p-19, -0x1.94fc2bd6302bdp-19, -0x1.9367b01dffbbep-19, -0x1.91ae32b987dccp-19, -0x1.8fcfc23ca1f91p-19, -0x1.8dcd20ab485f9p-19, -0x1.8ba72d3ec6103p-19, -0x1.895ec4c8f6b4dp-19, -0x1.86f4bc0faae1fp-19, -0x1.8469f1d7b428dp-19, -0x1.81bf4284139d3p-19, -0x1.7ef57fedba947p-19, -0x1.7c0d72c734e4ap-19, -0x1.7907ebb9aa24ap-19, -0x1.75e5bdead0751p-19, -0x1.72a7b801f68a5p-19, -0x1.6f4ea2869488ap-19, -0x1.6bdb3ffff1986p-19, -0x1.684e5343fef65p-19, -0x1.64a8972af19eap-19, -0x1.60eae0935e102p-19, -0x1.5d16c0684724fp-19, -0x1.592d807a7b23fp-19, -0x1.552cafe659366p-19, -0x1.5116cbd7069p-19, -0x1.4ce6d5ad09702p-19, -0x1.48a87d9e5d10cp-19, -0x1.44596d45640d7p-19, -0x1.3ff717546c374p-19, -0x1.3b82b07434effp-19, -0x1.36fd4f2b63c0cp-19, -0x1.3267c2bed08fdp-19, -0x1.2dc2c285492cdp-19, -0x1.290ef877a9f95p-19, -0x1.244d0b0f83bbbp-19, -0x1.1f7da1b6eb001p-19, -0x1.1aa16030067b3p-19, -0x1.15b8e921a8dc8p-19, -0x1.10c4dd716e17fp-19, -0x1.0bc5dbb2b87acp-19, -0x1.06bc7e822ea8cp-19, -0x1.01a962337fd35p-19, -0x1.f91a3df3fbce3p-20, -0x1.eed096683165fp-20, -0x1.e476f6bb7242cp-20, -0x1.da0e84348cf0dp-20, -0x1.cf9860760eed9p-20, -0x1.c515a975febd3p-20, -0x1.ba8779218469dp-20, -0x1.afeee5297d74cp-20, -0x1.a54cfec1d458p-20, -0x1.9aa2d2a63d66p-20, -0x1.8ff16a1af5b05p-20, -0x1.8539cafd98a6ap-20, -0x1.7a7cf637d15abp-20, -0x1.6fbbea64c8f4p-20, -0x1.64f7a00bc8329p-20, -0x1.5a310b2d37c53p-20, -0x1.4f691cc16fc4ap-20, -0x1.44a0c2621bdep-20, -0x1.39d8e53accbe9p-20, -0x1.2f12688071beep-20, -0x1.244e2cb8765f3p-20, -0x1.198d0dfbda51ap-20, -0x1.0ecfe3e6f094cp-20, -0x1.0417823abcf9fp-20, -0x1.f2c9724650772p-21, -0x1.dd70aaac91f92p-21, -0x1.c8263f80f2cbbp-21, -0x1.b2ebb9d200ee2p-21, -0x1.9dc298f86b731p-21, -0x1.88ac51c151111p-21, -0x1.73aa4bd46e9b8p-21, -0x1.5ebddec84fda2p-21, -0x1.49e8603bbd164p-21, -0x1.352bb31359b9fp-21, -0x1.208c30f3ff8c7p-21, -0x1.0c0b07423d5b8p-21, -0x1.ef402618129e9p-22, -0x1.c69c6218ae7dcp-22, -0x1.9e14e37b88501p-22, -0x1.75feb9418268ep-22, -0x1.4e611f2f9ce61p-22, -0x1.266c6a184717fp-22, -0x1.fe9311c00843fp-23, -0x1.b07091d8cf6b1p-23, -0x1.62e96d0f6d01bp-23, -0x1.15feb44da00bp-23, -0x1.9360b8d31128dp-24, -0x1.f8070f26cee6ep-25, -0x1.97b3fd87a0097p-26, 0x1.76df745540e89p-27, 0x1.84a1255902493p-25, 0x1.546a7af96336ep-24, 0x1.e5236fd449d21p-24, 0x1.3a3ab8ce7e315p-23, 0x1.812d5bd82bf7ap-23, 0x1.c766d86535721p-23, 0x1.067240ba4a10ap-22, 0x1.28d1e2be0f752p-22, 0x1.4ad116930ffd1p-22, 0x1.6c6eae3157b58p-22, 0x1.8da9883f59107p-22, 0x1.ae808fbcc0615p-22, 0x1.cef2bc662b64p-22, 0x1.eeff143e1d54p-22, 0x1.0752549d26bdfp-21, 0x1.16f14b58df732p-21, 0x1.265c036d2320ep-21, 0x1.3592176ec0fbdp-21, 0x1.4493262bc7617p-21, 0x1.535ec9e87cc09p-21, 0x1.61f4c72be7736p-21, 0x1.7055155fad5dap-21, 0x1.7e7ee3026afeep-21, 0x1.8c71c82087ac2p-21, 0x1.9a2e52d76831ap-21, 0x1.a7b3cc61dfd97p-21, 0x1.b502037c0a429p-21, 0x1.c218d6ee47b7ep-21, 0x1.cef821d29562bp-21, 0x1.db9fc0cf4833fp-21, 0x1.e80f9443aec2bp-21, 0x1.f447815390af3p-21, 0x1.0023b911993cp-20, 0x1.0607aad04ab45p-20, 0x1.0bcf8f9cfe61ep-20, 0x1.117b638e926dfp-20, 0x1.170b25764bec5p-20, 0x1.1c7ed6b87a705p-20, 0x1.21d67ab35bb75p-20, 0x1.2712181307c0cp-20, 0x1.2c31b9f0f7edp-20, 0x1.313567ad49f6cp-20, 0x1.361cf1a785c27p-20, 0x1.3ae74be7c804ap-20, 0x1.3f9425380dab2p-20, 0x1.4427cc15171d8p-20, 0x1.48a1c82d78fe8p-20, 0x1.4d07418f13938p-20, 0x1.5147b9038f894p-20, 0x1.556a42bd7823fp-20, 0x1.59737c8de7e8dp-20, 0x1.5d62622e01833p-20, 0x1.613661fdadbe3p-20, 0x1.64ef66de91accp-20, 0x1.688d8320ad2f1p-20, 0x1.6c10d424b02c2p-20, 0x1.6f797b74b8a44p-20, 0x1.72c79c6607c9bp-20, 0x1.75fb5b85eb95bp-20, 0x1.7914de84f982cp-20, 0x1.7c144c298f3e1p-20, 0x1.7ef9cc55cc94fp-20, 0x1.81c5881b6fd6fp-20, 0x1.8477a9cfca6e6p-20, 0x1.871054c0e4442p-20, 0x1.898fd7bd1648p-20, 0x1.8bf61c3ac5353p-20, 0x1.8e439ad5b4d6ap-20, 0x1.907856d0ac65ap-20, 0x1.92948cd6ede0cp-20, 0x1.94986ff8cc347p-20, 0x1.9684366fb269dp-20, 0x1.98581dc23a63p-20, 0x1.9a143dbffd9ep-20, 0x1.9bb42ef162086p-20, 0x1.9d42f0eee3248p-20, 0x1.9ebc5efd3b00bp-20, 0x1.a01a272a14675p-20, 0x1.a16337ba8517cp-20, 0x1.a295348d1eecdp-20, 0x1.a3b0e46309a04p-20, 0x1.a4b68d6575726p-20, 0x1.a5a668cf00f52p-20, 0x1.a680afbbc8d6ap-20, 0x1.a7459c0e24c33p-20, 0x1.a7f56850fe412p-20, 0x1.a8904f95f62e3p-20, 0x1.a9168d6d7673dp-20, 0x1.a9885dd974709p-20, 0x1.a9e5fd08971aap-20, 0x1.aa2fa78133a2fp-20, 0x1.aa659a3deb1ecp-20, 0x1.aa8812881e9f7p-20, 0x1.aa974db7861d7p-20, 0x1.aa93895b2f839p-20, 0x1.aa7d03d9e898p-20, 0x1.aa53fad969ecfp-20, 0x1.aa18acc652dbbp-20, 0x1.a9cb582bb7f2fp-20, 0x1.a96c3bd72b7dp-20, 0x1.a8fb973df569p-20, 0x1.a879aa00bfbdfp-20, 0x1.a7e6b5032f6dep-20, 0x1.a742f8f6df4e9p-20, 0x1.a68eaba7a6ad8p-20, 0x1.a5c9bf0d983e5p-20, 0x1.a4f36cb78dedbp-20, 0x1.a40c985a9e9cdp-20, 0x1.a3189e570ee45p-20, 0x1.a218e097270f5p-20, 0x1.a10c4d3bfb0ebp-20, 0x1.9fe82e0e14193p-20, 0x1.9eb5bacbef327p-20, 0x1.9d76a487f19d6p-20, 0x1.9c2a05ca89314p-20, 0x1.9acfa9869564ep-20, 0x1.9967b0e3b4acdp-20, 0x1.97f253a64f0d3p-20, 0x1.966fce46b8211p-20, 0x1.94e05e2566d9fp-20, 0x1.934440a13a072p-20, 0x1.919bb2bbfd0a4p-20, 0x1.8fe6f120f67e6p-20, 0x1.8e263819c3e44p-20, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.5f8a211b9256ap-8, 0x1.72f58b9ff9ec3p-8, -0x1.f46e9680093e3p-10, -0x1.2da14fef07574p-6, -0x1.66a98afd4855p-5, -0x1.3c7970fcfc9a3p-4, -0x1.e2129664e2622p-4, -0x1.4f467d6c27b68p-3, -0x1.b60bbf908a0a9p-3, -0x1.1140da649ebddp-2, -0x1.4900537e512b3p-2, -0x1.81112f113c281p-2, -0x1.b8658ce657b58p-2, -0x1.ee16366b7591ap-2, -0x1.10b0ff5e083f9p-1, -0x1.28d5e7cc62661p-1, -0x1.3f3bf4beed3c7p-1, -0x1.53b45bf63c9fbp-1, -0x1.661dbdc3c79dap-1, -0x1.76627cb79d5b5p-1, -0x1.84772602e78e9p-1, -0x1.9058f4f4c0f64p-1, -0x1.9a0c75faa23bcp-1, -0x1.a19c4b8d6fe6p-1, -0x1.a718151937689p-1, -0x1.aa937661bb877p-1, -0x1.ac253d137d188p-1, -0x1.abe6a1e4971afp-1, -0x1.a9f2a2a904aa3p-1, -0x1.a66572e706ee9p-1, -0x1.a15c00b6501fep-1, -0x1.9af38be038df3p-1, -0x1.93494d5010a51p-1, -0x1.8a7a2cf34eadfp-1, -0x1.80a2845b6396ep-1, -0x1.75ddec876c48bp-1, -0x1.6a471589cc892p-1, -0x1.5df7a6c9950fbp-1, -0x1.510826bf6a273p-1, -0x1.438fe945f8d62p-1, -0x1.35a5038875698p-1, -0x1.275c44d46973fp-1, -0x1.18c9338d31132p-1, -0x1.09fe0daf2361fp-1, -0x1.f61798a07e102p-2, -0x1.d80452f23ba99p-2, -0x1.b9df5016acd9ap-2, -0x1.9bc33aec356b1p-2, -0x1.7dc878c860c15p-2, -0x1.600540f7bcf45p-2, -0x1.428db61ae52f2p-2, -0x1.2573ffa22c039p-2, -0x1.08c86491c6fd2p-2, -0x1.d932cc5dd3a56p-3, -0x1.a1e7b4ed6fc14p-3, -0x1.6bc60daaddb2dp-3, -0x1.36e17300cf22ap-3, -0x1.034ac6475cb9ep-3, -0x1.a220bb3857a4ap-4, -0x1.407c66f8dfc6bp-4, -0x1.c3784d440f454p-5, -0x1.0bdf12809126bp-5, -0x1.69133c44ac67ep-7, 0x1.451675efa2ce2p-7, 0x1.ed6b26019da6p-6, 0x1.960626db51a44p-5, 0x1.179bd0d5bc5c1p-4, 0x1.6127828f0c453p-4, 0x1.a7aacc3f7b7c8p-4, 0x1.eb2c3e5e7b236p-4, 0x1.15da11a8e178ep-3, 0x1.34a627e88501ep-3, 0x1.51fffb26edfffp-3, 0x1.6dedbea65a5f6p-3, 0x1.88762c4f7d9ap-3, 0x1.a1a072a6c7e6ap-3, 0x1.b974242565998p-3, 0x1.cff927c3102e2p-3, 0x1.e537aac924464p-3, 0x1.f93813c2b89cep-3, 0x1.06017b42ca519p-2, 0x1.0ed084a3eeebp-2, 0x1.170d8d530928ep-2, 0x1.1ebd044af639cp-2, 0x1.25e35c14bd345p-2, 0x1.2c85070f5b2a5p-2, 0x1.32a6740c086d1p-2, 0x1.384c0b45322f6p-2, 0x1.3d7a2ba090db6p-2, 0x1.42352835ec798p-2, 0x1.46814623a0e47p-2, 0x1.4a62ba9b9b3f7p-2, 0x1.4ddda934fe74fp-2, 0x1.50f6226f06b55p-2, 0x1.53b0226ecdf23p-2, 0x1.560f8fe9b3cabp-2, 0x1.58183b3a70758p-2, 0x1.59cddd9d45941p-2, 0x1.5b34188f832a1p-2, 0x1.5c4e754f6e768p-2, 0x1.5d20647d96131p-2, 0x1.5dad3dd9bab45p-2, 0x1.5df840199a725p-2, 0x1.5e0490e1e3d3cp-2, 0x1.5dd53ccc78e41p-2, 0x1.5d6d378a7517fp-2, 0x1.5ccf5c1b4d502p-2, 0x1.5bfe6d082f0efp-2, 0x1.5afd14b62fd85p-2, 0x1.59cde5bdf4073p-2, 0x1.58735b492d693p-2, 0x1.56efd97f2a0fbp-2, 0x1.5545adf0d3c06p-2, 0x1.5377100e6ca69p-2, 0x1.518621a7272cfp-2, 0x1.4f74ef67513eep-2, 0x1.4d457162c7424p-2, 0x1.4af98ba1e61b2p-2, 0x1.48930eaf35763p-2, 0x1.4613b82b9089ap-2, 0x1.437d335f93fc8p-2, 0x1.40d119cd88b58p-2, 0x1.3e10f3c39ba12p-2, 0x1.3b3e38e8f7baap-2, 0x1.385a50c9e3323p-2, 0x1.35669362b343bp-2, 0x1.326449a567d25p-2, 0x1.2f54adfd83568p-2, 0x1.2c38ecd36c0bcp-2, 0x1.2912250b7b746p-2, 0x1.25e168843c12ap-2, 0x1.22a7bc8fd9714p-2, 0x1.1f661a6ffcbbbp-2, 0x1.1c1d6fcc14da8p-2, 0x1.18ce9f2180db5p-2, 0x1.157a803794d4p-2, 0x1.1221e08e9777p-2, 0x1.0ec583c51e1c4p-2, 0x1.0b6623ff4d039p-2, 0x1.0804724db350ap-2, 0x1.04a1170979338p-2, 0x1.013cb22caa596p-2, 0x1.fbafb75a533ebp-3, 0x1.f4e647a737563p-3, 0x1.ee1e271308cadp-3, 0x1.e75859499fbc2p-3, 0x1.e095d46c5ff8bp-3, 0x1.d9d781a881584p-3, 0x1.d31e3dbb8c965p-3, 0x1.cc6ad973c5d72p-3, 0x1.c5be1a38c747ep-3, 0x1.bf18ba8e1cd46p-3, 0x1.b87b6a83b47cbp-3, 0x1.b1e6d0230dad5p-3, 0x1.ab5b87e43c57ap-3, 0x1.a4da251e35372p-3, 0x1.9e63326798695p-3, 0x1.97f731f451e78p-3, 0x1.91969df29582dp-3, 0x1.8b41e8ecc1342p-3, 0x1.84f97e203b63fp-3, 0x1.7ebdc1c7bb308p-3, 0x1.788f1168b74dfp-3, 0x1.726dc421ceb56p-3, 0x1.6c5a2af9dbf91p-3, 0x1.6654912027e31p-3, 0x1.605d3c2806aep-3, 0x1.5a746c4b9ad43p-3, 0x1.549a5ca6d2314p-3, 0x1.4ecf43798b5e4p-3, 0x1.4913525ac53bdp-3, 0x1.4366b6633cbd5p-3, 0x1.3dc99866b31dfp-3, 0x1.383c1d264eb5fp-3, 0x1.32be6581c62fcp-3, 0x1.2d508e9f03b47p-3, 0x1.27f2b210943afp-3, 0x1.22a4e5feee474p-3, 0x1.1d673d55cf65ap-3, 0x1.1839c7e685c9ap-3, 0x1.131c928c56e2fp-3, 0x1.0e0fa748b8798p-3, 0x1.09130d645a1f6p-3, 0x1.0426c9945ee07p-3, 0x1.fe95bc284f369p-4, 0x1.f4fe958bceebep-4, 0x1.eb881a8fbfb44p-4, 0x1.e232421ff9fefp-4, 0x1.d8fcff07935aap-4, 0x1.cfe8402c12207p-4, 0x1.c6f3f0b3d0726p-4, 0x1.be1ff835ffe4dp-4, 0x1.b56c3ae284f61p-4, 0x1.acd899a0c3dfcp-4, 0x1.a464f24645e53p-4, 0x1.9c111fb7173eep-4, 0x1.93dcfa0eb3401p-4, 0x1.8bc856bc6fc37p-4, 0x1.83d308a5bedf8p-4, 0x1.7bfce0456707ep-4, 0x1.7445abd0bf33bp-4, 0x1.6cad374e06f71p-4, 0x1.65334cbe0727ap-4, 0x1.5dd7b4306de6p-4, 0x1.569a33dacbe7ep-4, 0x1.4f7a903595f47p-4, 0x1.48788c17ab447p-4, 0x1.4193e8cecf23ap-4, 0x1.3acc6637a3e99p-4, 0x1.3421c2d66e245p-4, 0x1.2d93bbe2649efp-4, 0x1.27220d67d9753p-4, 0x1.20cc725597ee7p-4, 0x1.1a92a492ddf1fp-4, 0x1.14745d1218e3p-4, 0x1.0e7153e6e4897p-4, 0x1.08894053d1c63p-4, 0x1.02bbd8dc80e25p-4, 0x1.fa11a6ac920d7p-5, 0x1.eedfc9f83b662p-5, 0x1.e3e184ee1287fp-5, 0x1.d9163fea54d4dp-5, 0x1.ce7d6262a6a35p-5, 0x1.c416531a7ccecp-5, 0x1.b9e0781d3b2c8p-5, 0x1.afdb36ed87ef5p-5, 0x1.a605f498c4395p-5, 0x1.9c6015d0d12d7p-5, 0x1.92e8ff053ec52p-5, 0x1.89a0147a46a3ap-5, 0x1.8084ba5d744c2p-5, 0x1.779654dd1b74ep-5, 0x1.6ed44831bc87p-5, 0x1.663df8c0bd3f6p-5, 0x1.5dd2cb1fc9dd9p-5, 0x1.559224425fd58p-5, 0x1.4d7b696b56a7bp-5, 0x1.458e0050dd423p-5, 0x1.3dc94f26242b5p-5, 0x1.362cbcaaaa3acp-5, 0x1.2eb7b03a620f4p-5, 0x1.276991dd42563p-5, 0x1.2041ca551abfcp-5, 0x1.193fc327f849ap-5, 0x1.1262e6ae4df04p-5, 0x1.0baaa02289e38p-5, 0x1.05165b9c2cbd4p-5, 0x1.fd4b0c6862489p-6, 0x1.f0af1bf000327p-6, 0x1.e457c415601f6p-6, 0x1.d843e5298c475p-6, 0x1.cc7261bada0bep-6, 0x1.c0e21e9c8fa17p-6, 0x1.b59202f7f8c59p-6, 0x1.aa80f85cc8b91p-6, 0x1.9fadeaceec647p-6, 0x1.9517c8d2866afp-6, 0x1.8abd837708a8bp-6, 0x1.809e0e62aa92ap-6, 0x1.76b85fde3137dp-6, 0x1.6d0b70e21e23ep-6, 0x1.63963d257881ap-6, 0x1.5a57c30d8746bp-6, 0x1.514f03dc3338fp-6, 0x1.487b0390ed69ap-6, 0x1.3fdac9110fac3p-6, 0x1.376d5e0b9f9b5p-6, 0x1.2f31cf1b6e2c4p-6, 0x1.27272bc4628cep-6, 0x1.1f4c867663587p-6, 0x1.17a0f48e8a1a3p-6, 0x1.10238e57dbab7p-6, 0x1.08d36f0dab002p-6, 0x1.01afb4e0916b8p-6, 0x1.f56f01f974238p-7, 0x1.e7d3ef1d80459p-7, 0x1.da8c7f891a703p-7, 0x1.cd9707924c30dp-7, 0x1.c0f1e17c4c8d3p-7, 0x1.b49b6d74ce65cp-7, 0x1.a8921168b5621p-7, 0x1.9cd4394cd9f48p-7, 0x1.916056e4325c4p-7, 0x1.8634e22ed18bdp-7, 0x1.7b505909b2191p-7, 0x1.70b13f5933d76p-7, 0x1.66561edcdd49bp-7, 0x1.5c3d8704d868p-7, 0x1.52660cd5e3613p-7, 0x1.48ce4ae4e3ab9p-7, 0x1.3f74e16cf2939p-7, 0x1.36587675c3774p-7, 0x1.2d77b5f5c7dabp-7, 0x1.24d151da5ac3ep-7, 0x1.1c6401e8d4aaep-7, 0x1.142e837cab776p-7, 0x1.0c2f993738662p-7, 0x1.04660abf9f739p-7, 0x1.f9a1495b73df1p-8, 0x1.eadc71588ba73p-8, 0x1.dc7b3b9437dadp-8, 0x1.ce7b61590564fp-8, 0x1.c0daa7ece8b3dp-8, 0x1.b396e00a10581p-8, 0x1.a6ade59c570e8p-8, 0x1.9a1d9e4c4e4fdp-8, 0x1.8de3f8ad985b2p-8, 0x1.81feeb67315a7p-8, 0x1.766c752ed2991p-8, 0x1.6b2a9d7a6f0cap-8, 0x1.603775a3b129cp-8, 0x1.55911a166d56cp-8, 0x1.4b35b3015e356p-8, 0x1.4123742c9ba2ep-8, 0x1.37589be4808d4p-8, 0x1.2dd371426651ap-8, 0x1.24924261b70cfp-8, 0x1.1b9363244fa75p-8, 0x1.12d52cfe015ebp-8, 0x1.0a55ffe44c9bcp-8, 0x1.02144412ff874p-8, 0x1.f41cd806d8d16p-9, 0x1.e485ebb4146d1p-9, 0x1.d560d76b23acep-9, 0x1.c6aac55a11698p-9, 0x1.b860f0f577981p-9, 0x1.aa80a2377182ap-9, 0x1.9d0728873992cp-9, 0x1.8ff1d96f345e1p-9, 0x1.833e10bfdf1bbp-9, 0x1.76e934b199c53p-9, 0x1.6af0bb503ec27p-9, 0x1.5f522f6315962p-9, 0x1.540b336634f82p-9, 0x1.4919816c52181p-9, 0x1.3e7ae7c878209p-9, 0x1.342d435ecde4cp-9, 0x1.2a2e79433428ap-9, 0x1.207c71a29454bp-9, 0x1.171515ac5184bp-9, 0x1.0df6513a10de1p-9, 0x1.051e179ef92e8p-9, 0x1.f914d3bd9f39cp-10, 0x1.e872b83dc7d8ap-10, 0x1.d8523121b3749p-10, 0x1.c8afbe2f425c6p-10, 0x1.b98803d7ae2ap-10, 0x1.aad7c06f0c0bep-10, 0x1.9c9bc0061b60bp-10, 0x1.8ed0d2100ed0dp-10, 0x1.8173c3ff9fc8dp-10, 0x1.7481631afff88p-10, 0x1.67f685467194ap-10, 0x1.5bd0152713897p-10, 0x1.500b1e5d3d1f9p-10, 0x1.44a4d1b81f531p-10, 0x1.399a84de34289p-10, 0x1.2ee9a961d4f4ap-10, 0x1.248fc4c6659dbp-10, 0x1.1a8a689152483p-10, 0x1.10d72c343db65p-10, 0x1.0773a8e7a57c2p-10, 0x1.fcbaf0915a1e9p-11, 0x1.eb246f6f00588p-11, 0x1.da1f22c519bbbp-11, 0x1.c9a690d08ea6ep-11, 0x1.b9b6840eef645p-11, 0x1.aa4b0be9f5149p-11, 0x1.9b60695878bccp-11, 0x1.8cf2f1e52a09bp-11, 0x1.7efef992781eep-11, 0x1.7180ce1614ef3p-11, 0x1.6474c0b00679cp-11, 0x1.57d732b8bb104p-11, 0x1.4ba49c2a63757p-11, 0x1.3fd98847721abp-11, 0x1.34729d62887aap-11, 0x1.296caa44fefccp-11, 0x1.1ec4b8c942cf5p-11, 0x1.1478187e697d4p-11, 0x1.0a844dd5ab736p-11, 0x1.00e6ea4045a1fp-11, 0x1.ef3ac2387be48p-12, 0x1.dd49e83235b7p-12, 0x1.cbf58665b15c9p-12, 0x1.bb37ea3e08d44p-12, 0x1.ab0bb83aed03dp-12, 0x1.9b6c023595d0cp-12, 0x1.8c543067fb14ap-12, 0x1.7dbfde38d3abcp-12, 0x1.6faada4ae06fcp-12, 0x1.621141ec4ce86p-12, 0x1.54ef9ab9f7fd9p-12, 0x1.4842c4e0de363p-12, 0x1.3c07b8ac5d11fp-12, 0x1.303b28959f7b8p-12, 0x1.24d93f19a99f8p-12, 0x1.19ddaa8b86068p-12, 0x1.0f43f99a2a792p-12, 0x1.050811c659bc4p-12, 0x1.f64ced1e3c33fp-13, 0x1.e3387cadc4a95p-13, 0x1.d0cda2cb728bcp-13, 0x1.bf07602539dd7p-13, 0x1.ade0c7664238bp-13, 0x1.9d551a754c713p-13, 0x1.8d5fe3bba454ap-13, 0x1.7dfce8783f55ap-13, 0x1.6f27eeba2eaf3p-13, 0x1.60dc641e385a8p-13, 0x1.5315111d54a5cp-13, 0x1.45cc1919f49e8p-13, 0x1.38fb66d3ad08dp-13, 0x1.2c9d57d9ddaa8p-13, 0x1.20ad446c27d16p-13, 0x1.15279a6c3b6cp-13, 0x1.0a09904c315a7p-13, 0x1.fea166ab23f2ep-14, 0x1.e9f523e431092p-14, 0x1.d60915ce24158p-14, 0x1.c2d75e74cef0ep-14, 0x1.b05980793b267p-14, 0x1.9e889493884d8p-14, 0x1.8d5d87a7ab4b6p-14, 0x1.7cd15fd6ba201p-14, 0x1.6cdd75ed99455p-14, 0x1.5d7b8f18a0749p-14, 0x1.4ea5b280ddedbp-14, 0x1.405608559723ep-14, 0x1.3286f6ddf6f0dp-14, 0x1.25338be7247b7p-14, 0x1.185817341f554p-14, 0x1.0bf264ccf44a2p-14, 0x1.000102c82c422p-14, 0x1.e903ba3bd1924p-15, 0x1.d2e296e0cf756p-15, 0x1.bd94ca546b8f5p-15, 0x1.a90fe2a8cb405p-15, 0x1.95495f61366a7p-15, 0x1.8236982c62903p-15, 0x1.6fce1984f3c8ep-15, 0x1.5e098dbe82327p-15, 0x1.4ce592621abfp-15, 0x1.3c5f486ed62f5p-15, 0x1.2c7206cb38008p-15, 0x1.1d16f09d663c8p-15, 0x1.0e4649aa21731p-15, 0x1.fff422cffe86ap-16, 0x1.e4607fee95ad5p-16, 0x1.c9d2d1784f534p-16, 0x1.b0484f6600b75p-16, 0x1.97b59f8585c03p-16, 0x1.800c30e01f2c2p-16, 0x1.6940c4b82e108p-16, 0x1.534987b79d69p-16, 0x1.3e1940b2bc1bp-16, 0x1.29a20b812186cp-16, 0x1.15db0a83b2ff6p-16, 0x1.02c21c4e16d89p-16, 0x1.e0b027d20071fp-17, 0x1.bd374a753f08dp-17, 0x1.9b0f5ad408bb8p-17, 0x1.7a29cc312d6cep-17, 0x1.5a75d949a942ap-17, 0x1.3be2b20bede45p-17, 0x1.1e6822907be9fp-17, 0x1.0207b8b42e8d9p-17, 0x1.cd79ba506a4c4p-18, 0x1.98ecd0dad47b1p-18, 0x1.664d659bb2cc1p-18, 0x1.3595b88c2b704p-18, 0x1.06b93f70c542dp-18, 0x1.b32df41166fdcp-19, 0x1.5c165ee0fce94p-19, 0x1.080177fb9f6edp-19, 0x1.6dc966807dbebp-20, 0x1.a3089c1243e41p-21, 0x1.d96a07eeb26dp-23, -0x1.555f4d2a73237p-22, -0x1.c05bd89bf273bp-21, -0x1.656b7a3c642bbp-20, -0x1.e540d91e48c75p-20, -0x1.30134fbbeddb6p-19, -0x1.6b3c7a5f9198bp-19, -0x1.a413a5e26bc1dp-19, -0x1.da9ce51686ec5p-19, -0x1.077e785ff468ep-18, -0x1.209c332df9ddcp-18, -0x1.38a0b0796a9e8p-18, -0x1.4f95ee4aff134p-18, -0x1.65915f7e1ea28p-18, -0x1.7aa6c3587499ap-18, -0x1.8ee0f42072923p-18, -0x1.a2402661b7f62p-18, -0x1.b4c22ac30e6cfp-18, -0x1.c66bcd0068e75p-18, -0x1.d7441f22537b2p-18, -0x1.e74b09a4c6b07p-18, -0x1.f68124f11dc8p-18, -0x1.02779bc180affp-17, -0x1.094f9d0d1f157p-17, -0x1.0fceb0c1733bep-17, -0x1.15f998888e9edp-17, -0x1.1bce6dca578eap-17, -0x1.214f58da7f68p-17, -0x1.268031a1c18f2p-17, -0x1.2b5da9c47c389p-17, -0x1.2fe778ca28832p-17, -0x1.342211766d309p-17, -0x1.3812ed3b897b1p-17, -0x1.3bbf6d2c96094p-17, -0x1.3f28d98bb9d19p-17, -0x1.424cee2bec1e9p-17, -0x1.452ce65b6cbacp-17, -0x1.47cbfc5dbef9ap-17, -0x1.4a29f42a46557p-17, -0x1.4c473f95b2954p-17, -0x1.4e26e78ddd805p-17, -0x1.4fcbae78255f8p-17, -0x1.51371fb4995ap-17, -0x1.5268fb2c065f1p-17, -0x1.5361a14655d5fp-17, -0x1.5424a59f8dd63p-17, -0x1.54b34a0317917p-17, -0x1.550f4fc1dca06p-17, -0x1.553866021737p-17, -0x1.552d64e32928ap-17, -0x1.54f04587d3dp-17, -0x1.5483161884955p-17, -0x1.53e8a058697a3p-17, -0x1.532291063610cp-17, -0x1.5230134b5b7e4p-17, -0x1.51129266ee1a4p-17, -0x1.4fcaeee360a1bp-17, -0x1.4e591e6d174f6p-17, -0x1.4cbe6c3dbcb37p-17, -0x1.4afcbcdc2f399p-17, -0x1.491522e0a5972p-17, -0x1.4708446bb705dp-17, -0x1.44d6df2d99426p-17, -0x1.4281e4fc7b25dp-17, -0x1.4009d95d4804cp-17, -0x1.3d6ec8d1016cp-17, -0x1.3ab2951712e0ap-17, -0x1.37d6d64917babp-17, -0x1.34dc1b69fe125p-17, -0x1.31c1fd1de69d4p-17, -0x1.2e89748c30b86p-17, -0x1.2b33897200753p-17, -0x1.27c133d43695p-17, -0x1.2433bd2d0e78dp-17, -0x1.208b94ec9feb4p-17, -0x1.1cc9bbd4cb7f8p-17, -0x1.18ee4a0f13a05p-17, -0x1.14f9e22c685dcp-17, -0x1.10edbdf9fb271p-17, -0x1.0ccaa0b3194e8p-17, -0x1.0891280857236p-17, -0x1.0441ff4bbb62p-17, -0x1.ffbbaba009cb6p-18, -0x1.f6cabed62f1bcp-18, -0x1.edb28bf200fe2p-18, -0x1.e474764012ec3p-18, -0x1.db11e1546a9bcp-18, -0x1.d18bb29263e5dp-18, -0x1.c7e34512b67dap-18, -0x1.be1adc805be05p-18, -0x1.b43344b322008p-18, -0x1.aa2d3b9c77ef5p-18, -0x1.a00a4dd75e80ap-18, -0x1.95cb875efee28p-18, -0x1.8b72a68c35044p-18, -0x1.81011463bc16ep-18, -0x1.7677b18de26c5p-18, -0x1.6bd74906cd157p-18, -0x1.61217ae0ce291p-18, -0x1.565784c8f7d12p-18, -0x1.4b7a7bb71f7d7p-18, -0x1.408b7caacad35p-18, -0x1.358ba94ce61efp-18, -0x1.2a7c23651b3a8p-18, -0x1.1f5e0afd98c05p-18, -0x1.14327d3ddc837p-18, -0x1.08fa929c22b44p-18, -0x1.fb6eb9934b1adp-19, -0x1.e4d3d319c040fp-19, -0x1.ce2698bd8f54fp-19, -0x1.b76929f021da6p-19, -0x1.a09d4f22952b5p-19, -0x1.89c5777ba7ebep-19, -0x1.72e38ca471e7bp-19, -0x1.5bf943c82ccfcp-19, -0x1.450880990fb1ap-19, -0x1.2e138ee5f2144p-19, -0x1.171c854e3b6d2p-19, -0x1.0024b04b06e04p-19, -0x1.d25c47a2e2dd3p-20, -0x1.a475a30b3ed93p-20, -0x1.7698e7d1c5acp-20, -0x1.48c99193c3303p-20, -0x1.1b0b1999d25fbp-20, -0x1.dac1da8a0959ep-21, -0x1.7f9cd78a358dfp-21, -0x1.24adcd1afda0dp-21, -0x1.93f68800b7e5bp-22, -0x1.be2ead1ac1c23p-23, -0x1.56556a3e20b53p-25, 0x1.11c610535e65cp-23, 0x1.3be5a416f27d7p-22, 0x1.ee3149d9a7d43p-22, 0x1.4fdd1500e91dp-21, 0x1.a83a3b2f37e8ep-21, 0x1.001543d82588dp-20, 0x1.2bd4630281083p-20, 0x1.5757b6db8314bp-20, 0x1.829c87afc7231p-20, 0x1.ad9f57a6e2c2ap-20, 0x1.d86095a1ea935p-20, 0x1.016cdc16dc337p-19, 0x1.16857b41e6595p-19, 0x1.2b78910832071p-19, 0x1.4044fc7f92edep-19, 0x1.54e99f5923f01p-19, 0x1.69655e0a6f19fp-19, 0x1.7db723bfc9cebp-19, 0x1.91dde2cdb99dep-19, 0x1.a5d894bf1748dp-19, 0x1.b9a63a275ef27p-19, 0x1.cd45da86c80b9p-19, 0x1.e0b683f6cda7p-19, 0x1.f3f74b2660d52p-19, 0x1.0383a5d877458p-18, 0x1.0cf2d41cf69aap-18, 0x1.1648c510bd455p-18, 0x1.1f8510d152c2dp-18, 0x1.28a75383e653ep-18, 0x1.31af2c43aae6dp-18, 0x1.3a9c3b1720aep-18, 0x1.436e1c88fdcdp-18, 0x1.4c24857d5eb34p-18, 0x1.54bf31adf3f27p-18, 0x1.5d3dbac242ed6p-18, 0x1.659fd3bedd921p-18, 0x1.6de52c64dfa06p-18, 0x1.760d84e8f3b69p-18, 0x1.7e1899e67e36dp-18, 0x1.8606297f1a658p-18, 0x1.8dd5f49d9ed76p-18, 0x1.9587c0ba95735p-18, 0x1.9d1b55ac61775p-18, 0x1.a4907cb0c2ed4p-18, 0x1.abe7042efffc8p-18, 0x1.b31ebc9ef0956p-18, 0x1.ba37794459217p-18, 0x1.c131104c0d0ccp-18, 0x1.c80b5ab0086cbp-18, 0x1.cec6343133c7ep-18, 0x1.d5617b5f2eed8p-18, 0x1.dbdd118b837dfp-18, 0x1.e238da5ecfe36p-18, 0x1.e874bb7ed609bp-18, 0x1.ee909d796094fp-18, 0x1.f48c6e4510e99p-18, 0x1.fa681e8283536p-18, 0x1.0011c9b0d5cf9p-17, 0x1.02df5f2920bfap-17, 0x1.059cd8d78c5eap-17, 0x1.084a2fd30b739p-17, 0x1.0ae750e3a9e7ap-17, 0x1.0d74412a127b4p-17, 0x1.0ff101a69c522p-17, 0x1.125d9755ddaffp-17, 0x1.14ba0304c9033p-17, 0x1.17064cf5bb0ep-17, 0x1.19426672bf52bp-17, 0x1.1b6e5c17201afp-17, 0x1.1d8a38c1af20fp-17, 0x1.1f96021338a05p-17, 0x1.2191bf2553b87p-17, 0x1.237d788f11514p-17, 0x1.25593803cb571p-17, 0x1.27250830a4578p-17, 0x1.28e0f4b6a0064p-17, 0x1.2a8d0a2a42f88p-17, 0x1.2c29560653534p-17, 0x1.2db5e6955dfc9p-17, 0x1.2f32cad6fd2bfp-17, 0x1.30a0127c1f17dp-17, 0x1.31fdce1e29c11p-17, 0x1.334c0fe6d1bd2p-17, 0x1.348aeac3a6e4p-17, 0x1.35ba6c333682cp-17, 0x1.36daad16d766p-17, 0x1.37ebcc462ef67p-17, 0x1.38edc9ced4dd4p-17, 0x1.39e0c715ca748p-17, 0x1.3ac4dcb017p-17, 0x1.3b9a1bc177397p-17, 0x1.3c609f05e4532p-17, 0x1.3d187eb4c50c6p-17, 0x1.3dc1c899d9c9fp-17, 0x1.3e5cb02d15e7cp-17, 0x1.3ee9450d86831p-17, 0x1.3f679234cbf5p-17, 0x1.3fd7c2f3b9b5bp-17, 0x1.4039eccebb117p-17, 0x1.408e2d4f54771p-17, 0x1.40d4a1413034fp-17, 0x1.410d65c4f0565p-17, 0x1.4138986c67ff3p-17, 0x1.41565738e2496p-17, 0x1.4166c09ad2925p-17, 0x1.4169f36ffb7eep-17, 0x1.41600ef5a428bp-17, 0x1.414932b7f10bcp-17, 0x1.41257e9008bc3p-17, 0x1.40f512b31def3p-17, 0x1.40b80ff54d7cp-17, 0x1.406e97a8900eep-17, 0x1.4018c97bdcf66p-17, 0x1.3fb6c4c0edd94p-17, 0x1.3f48b603f2a67p-17, 0x1.3eceb3f446b65p-17, 0x1.3e48e408d4a42p-17, 0x1.3db768ff61ad5p-17, 0x1.3d1a651082fdep-17, 0x1.3c71fe5cf4422p-17, 0x1.3bbe541cc3305p-17, 0x1.3aff8af60a518p-17, 0x1.3a35c679db153p-17, 0x1.39612a275de42p-17, 0x1.3881d93b255a8p-17, 0x1.3797f5f1c368dp-17, 0x1.36a3a550dbcebp-17, 0x1.35a51066a76aep-17, 0x1.349c5d2d7fb54p-17, 0x1.3389adceea9ffp-17, 0x1.326d154222e6dp-17, 0x1.3146c63153e32p-17, 0x1.3016e75ab3761p-17, 0x1.2edd9b704dcf2p-17, 0x1.2d9b064691307p-17, 0x1.2c4f4c41d7ea7p-17, 0x1.2afa91ef4324bp-17, 0x1.299cfbe0d45a1p-17, 0x1.2836aea332ebp-17, 0x1.26c7cec8c4c53p-17, 0x1.255080f4d72fp-17, 0x1.23d0e9bf823e7p-17, 0x1.22492cfec2664p-17, }}, 
      {{-0x1.4e3e923432924p-2, -0x1.b958cb30ac1ep-3, -0x1.1e0cfe3b2a4c1p-4, 0x1.6fe1ef00f589fp-4, 0x1.ff3d74af89088p-3, 0x1.9a5e3acc420e2p-2, 0x1.136218f606aa5p-1, 0x1.50f565ef007c4p-1, 0x1.8558b1d11746ep-1, 0x1.b0954e232bacep-1, 0x1.d31915c57c4fbp-1, 0x1.ed8ffdf19cbc1p-1, 0x1.006444e429408p+0, 0x1.06d02a1fd4646p+0, 0x1.0a7b4d07d1d79p+0, 0x1.0bd19934e3b3ap+0, 0x1.0b3864220bda7p+0, 0x1.090cb892f35cfp+0, 0x1.05a27aa4b567bp+0, 0x1.014424a08fa28p+0, 0x1.f865d8540c94ap-1, 0x1.ed4e591324048p-1, 0x1.e1a1f770b3ee4p-1, 0x1.d5b1aea35ef1dp-1, 0x1.c9c0b7f3fbbe7p-1, 0x1.be05fbe27d0a5p-1, 0x1.b2ad79474429cp-1, 0x1.a7d99a833988fp-1, 0x1.9da473eb3a0dcp-1, 0x1.9420e8c4f105p-1, 0x1.8b5bb5b26de67p-1, 0x1.835c6090d3b2ep-1, 0x1.7c260eab4bd2p-1, 0x1.75b842bf0a6fcp-1, 0x1.700f848aca722p-1, 0x1.6b25f3d0ee692p-1, 0x1.66f3c8937446cp-1, 0x1.636fc25512387p-1, 0x1.608f880db8b0bp-1, 0x1.5e47fa5a6e2edp-1, 0x1.5c8d7970d02ddp-1, 0x1.5b542025a86d5p-1, 0x1.5a8ff551fe37fp-1, 0x1.5a3514bb5482ap-1, 0x1.5a37d08305893p-1, 0x1.5a8ccc239c9e4p-1, 0x1.5b2911c825536p-1, 0x1.5c0222b2fbe56p-1, 0x1.5d0e03945df59p-1, 0x1.5e43453b1af46p-1, 0x1.5f990a3409abfp-1, 0x1.610709f6c1899p-1, 0x1.628591d049e91p-1, 0x1.640d84178b634p-1, 0x1.659855f110648p-1, 0x1.67200bcff1da7p-1, 0x1.689f3532c6f6fp-1, 0x1.6a10e7775bee3p-1, 0x1.6b70b8576d9dcp-1, 0x1.6cbab7d7ef3eep-1, 0x1.6deb6a1cfe1b3p-1, 0x1.6effc0fa1198fp-1, 0x1.6ff5158de6445p-1, 0x1.70c921d792dd1p-1, 0x1.7179fa67229eep-1, 0x1.72060830d3c2fp-1, 0x1.726c0287f3753p-1, 0x1.72aae95225323p-1, 0x1.72c1ff6516e5ap-1, 0x1.72b0c528d9a6fp-1, 0x1.7276f36a956b7p-1, 0x1.72147670ab578p-1, 0x1.7189694a8fabep-1, 0x1.70d6115da2155p-1, 0x1.6ffada31386b3p-1, 0x1.6ef85175a2d31p-1, 0x1.6dcf234ff697bp-1, 0x1.6c8016d50d4a7p-1, 0x1.6b0c0ace6c4a6p-1, 0x1.6973f2aa817c9p-1, 0x1.67b8d3ad747e9p-1, 0x1.65dbc250cab8dp-1, 0x1.63dddfda2156fp-1, 0x1.61c0581ef4774p-1, 0x1.5f845f778be9ap-1, 0x1.5d2b30dbecac2p-1, 0x1.5ab60c299396cp-1, 0x1.5826348d34f85p-1, 0x1.557cef12531ebp-1, 0x1.52bb81509681bp-1, 0x1.4fe3303d85411p-1, 0x1.4cf53f17d0dd8p-1, 0x1.49f2ee7102971p-1, 0x1.46dd7b5341e6bp-1, 0x1.43b61e7d591dfp-1, 0x1.407e0bb659575p-1, 0x1.3d367135778ffp-1, 0x1.39e0771df9ca6p-1, 0x1.367d3f0c4c15cp-1, 0x1.330de3b22987p-1, 0x1.2f9378838ac93p-1, 0x1.2c0f09717ce6ap-1, 0x1.28819ab1e5991p-1, 0x1.24ec28980893dp-1, 0x1.214fa77311708p-1, 0x1.1dad0379142bcp-1, 0x1.1a0520c01b042p-1, 0x1.1658db3710b8ep-1, 0x1.12a906ac0ed76p-1, 0x1.0ef66ed657ad6p-1, 0x1.0b41d76450187p-1, 0x1.078bfc117949p-1, 0x1.03d590bd9b159p-1, 0x1.001f41897e2c6p-1, 0x1.f8d365efbbfacp-2, 0x1.f16b04223bb1bp-2, 0x1.ea068915d6045p-2, 0x1.e2a711e3d0bcbp-2, 0x1.db4dadaaf4c95p-2, 0x1.d3fb5ded4c2e4p-2, 0x1.ccb116ece4d4cp-2, 0x1.c56fc00b01ae4p-2, 0x1.be3834296fd65p-2, 0x1.b70b42098592p-2, 0x1.afe9acac5d87dp-2, 0x1.a8d42bb5d52bep-2, 0x1.a1cb6bc75d43bp-2, 0x1.9ad00edb24928p-2, 0x1.93e2aca9ff4d1p-2, 0x1.8d03d301b35e3p-2, 0x1.863406228bae7p-2, 0x1.7f73c117f5438p-2, 0x1.78c376137130fp-2, 0x1.72238ec4f7a9cp-2, 0x1.6b946caeae5cfp-2, 0x1.6516697a5710ap-2, 0x1.5ea9d74d7c4d1p-2, 0x1.584f01169f25bp-2, 0x1.52062adaa3e5dp-2, 0x1.4bcf9202c7f63p-2, 0x1.45ab6da566aafp-2, 0x1.3f99eeca54a7p-2, 0x1.399b40b0058e7p-2, 0x1.33af890f6ee8p-2, 0x1.2dd6e85ac86bp-2, 0x1.281179f9a934p-2, 0x1.225f5485e2f7bp-2, 0x1.1cc08a07143cfp-2, 0x1.173528290ec71p-2, 0x1.11bd386f8fe71p-2, 0x1.0c58c06bb2cebp-2, 0x1.0707c1f068326p-2, 0x1.01ca3b40a1286p-2, 0x1.f9404e78ec356p-3, 0x1.ef12fb2221dbep-3, 0x1.e50c65c80fd4fp-3, 0x1.db2c71f076208p-3, 0x1.d172fdbafeb2ep-3, 0x1.c7dfe21de613fp-3, 0x1.be72f338e61abp-3, 0x1.b52c009de9944p-3, 0x1.ac0ad590c6613p-3, 0x1.a30f3946c1094p-3, 0x1.9a38ef259286cp-3, 0x1.9187b703c27a6p-3, 0x1.88fb4d6074061p-3, 0x1.80936b96f3759p-3, 0x1.784fc81494c2p-3, 0x1.703016891d43fp-3, 0x1.6834081cf94bep-3, 0x1.605b4b9df986ep-3, 0x1.58a58da50dfbdp-3, 0x1.511278c42230bp-3, 0x1.49a1b5af18445p-3, 0x1.4252eb647b05dp-3, 0x1.3b25bf50390cp-3, 0x1.3419d56cbdfc5p-3, 0x1.2d2ed064a23aep-3, 0x1.266451b671691p-3, 0x1.1fb9f9d17c8e9p-3, 0x1.192f6834c3112p-3, 0x1.12c43b8774f4ep-3, 0x1.0c7811b37b345p-3, 0x1.064a880267d21p-3, 0x1.003b3b32b9cp-3, 0x1.f4938f2539421p-4, 0x1.e8eb922436653p-4, 0x1.dd7db6b22b85ep-4, 0x1.d24933b3a3aedp-4, 0x1.c74d3fcf77a71p-4, 0x1.bc89118e06132p-4, 0x1.b1fbdf7991609p-4, 0x1.a7a4e04a6882fp-4, 0x1.9d834af3c436p-4, 0x1.939656d3b6982p-4, 0x1.89dd3bb6abd75p-4, 0x1.80573215f7d48p-4, 0x1.77037314f7d76p-4, 0x1.6de138a20efb5p-4, 0x1.64efbd8bf9eb6p-4, 0x1.5c2e3d9ae624dp-4, 0x1.539bf59de791ep-4, 0x1.4b38238924ea7p-4, 0x1.43020682a9b3ap-4, 0x1.3af8def0af22ep-4, 0x1.331bee8be8bdap-4, 0x1.2b6a787022d7ep-4, 0x1.23e3c12a79b2cp-4, 0x1.1c870ec778db1p-4, 0x1.1553a8e20b873p-4, 0x1.0e48d8a67627cp-4, 0x1.0765e8e8b8b51p-4, 0x1.00aa26285911bp-4, 0x1.f429bd370343ep-5, 0x1.e74ac46f1c95bp-5, 0x1.dab6057ae535p-5, 0x1.ce6a277814ecep-5, 0x1.c265d53238e3p-5, 0x1.b6a7bd2f68091p-5, 0x1.ab2e91c574e54p-5, 0x1.9ff909112bf93p-5, 0x1.9505dd1144999p-5, 0x1.8a53cba252a35p-5, 0x1.7fe1969c8ffe3p-5, 0x1.75ae03bc0ceb4p-5, 0x1.6bb7dcbad7f52p-5, 0x1.61fdef4feb7fdp-5, 0x1.587f0d33cd62ep-5, 0x1.4f3a0c24a659ap-5, 0x1.462dc5e8d7d4dp-5, 0x1.3d5918501a61p-5, 0x1.34bae537bcd9p-5, 0x1.2c5212803533ap-5, 0x1.241d8a1b5ce8fp-5, 0x1.1c1c39faf4169p-5, 0x1.144d142a27968p-5, 0x1.0caf0eabb2831p-5, 0x1.0541238b76de8p-5, 0x1.fc04a1aaf45e5p-6, 0x1.ede3312439bdcp-6, 0x1.e01c0186f24f3p-6, 0x1.d2ad26b80f721p-6, 0x1.c594bc6e4b625p-6, 0x1.b8d0e66a87bd1p-6, 0x1.ac5fd00f4b4e2p-6, 0x1.a03fac5fffd87p-6, 0x1.946eb6324675fp-6, 0x1.88eb3000b2907p-6, 0x1.7db363bf43b18p-6, 0x1.72c5a3037458ep-6, 0x1.682046bcc4396p-6, 0x1.5dc1af4936ea3p-6, 0x1.53a8445a4ea8p-6, 0x1.49d274e4390efp-6, 0x1.403eb70ce6b9bp-6, 0x1.36eb881a04789p-6, 0x1.2dd76c5e63942p-6, 0x1.2500ef272c94p-6, 0x1.1c66a2a91c944p-6, 0x1.14071fed88e7p-6, 0x1.0be106c12ab3p-6, 0x1.03f2fda629a0ap-6, 0x1.f8776344cb541p-7, 0x1.e973acb67e8c1p-7, 0x1.dad84ba7cbf6dp-7, 0x1.cca2c1037fb2ep-7, 0x1.bed09a19da352p-7, 0x1.b15f70b93f657p-7, 0x1.a44ceaf07f6e7p-7, 0x1.9796bae34dbc8p-7, 0x1.8b3a9e9e77407p-7, 0x1.7f365febfb23cp-7, 0x1.7387d42910116p-7, 0x1.682cdc1ec8d0ap-7, 0x1.5d2363dbf14efp-7, 0x1.5269628dd7d26p-7, 0x1.47fcda559f859p-7, 0x1.3ddbd8197358bp-7, 0x1.34047355b2202p-7, 0x1.2a74cdfbd60b2p-7, 0x1.212b1412a6bd8p-7, 0x1.18257be9263eep-7, 0x1.0f62459036d95p-7, 0x1.06dfbb3aca87cp-7, 0x1.fd38612023b1ep-8, 0x1.ed2c05990bf4bp-8, 0x1.dd9730fc30a79p-8, 0x1.ce76c291cffbap-8, 0x1.bfc7ab6edbc07p-8, 0x1.b186ee2b3614ep-8, 0x1.a3b19eafc15e9p-8, 0x1.9644e21231832p-8, 0x1.893dee6bffe2p-8, 0x1.7c9a0a99d024p-8, 0x1.70568dd8f3f4cp-8, 0x1.6470df48c0cfbp-8, 0x1.58e67562dc13dp-8, 0x1.4db4d5858495cp-8, 0x1.42d993a63e7dp-8, 0x1.385252395eb31p-8, 0x1.2e1cc24f1c3e3p-8, 0x1.2436a33f1b08fp-8, 0x1.1a9dc33f6fa0fp-8, 0x1.114ffdca20808p-8, 0x1.084b3d94e5816p-8, 0x1.ff1af234c7862p-9, 0x1.ee2966174bc45p-9, 0x1.ddbdf48fa8edep-9, 0x1.cdd4d27367997p-9, 0x1.be6a4bc47739ap-9, 0x1.af7ac494f358p-9, 0x1.a102b9991601cp-9, 0x1.92fec049ad351p-9, 0x1.856b8648b7b58p-9, 0x1.7845d00083576p-9, 0x1.6b8a76c491f7ep-9, 0x1.5f3666f360c2dp-9, 0x1.53469ea3aec3cp-9, 0x1.47b82d3c2e7e9p-9, 0x1.3c883404a540ep-9, 0x1.31b3e762436cbp-9, 0x1.2738902e9874fp-9, 0x1.1d138c89630bcp-9, 0x1.13424fb3349d5p-9, 0x1.09c260e4eff48p-9, 0x1.0091587ea48c7p-9, 0x1.ef59bce3cf7fep-10, 0x1.de254e113bde5p-10, 0x1.cd80e6c9e35e5p-10, 0x1.bd68207d706d9p-10, 0x1.add6afdc3c43p-10, 0x1.9ec8693cbf065p-10, 0x1.903943dcbb6b1p-10, 0x1.82255babc3626p-10, 0x1.7488f0737d96ap-10, 0x1.67606256c407dp-10, 0x1.5aa82c794b4f6p-10, 0x1.4e5cdf3edec69p-10, 0x1.427b1bc90e959p-10, 0x1.36ff921172cfbp-10, 0x1.2be70225622d4p-10, 0x1.212e3fec0657ap-10, 0x1.16d237f364a48p-10, 0x1.0ccff376390eep-10, 0x1.03249a34fc941p-10, 0x1.f39ae32c54e59p-11, 0x1.e18fb2af3f4cp-11, 0x1.d0228d515b25p-11, 0x1.bf4e7da00bd33p-11, 0x1.af0ea5588dd66p-11, 0x1.9f5e38ac60497p-11, 0x1.90387fb27fc88p-11, 0x1.8198dd4caaf78p-11, 0x1.737ad6d3cc01dp-11, 0x1.65da20c1075f4p-11, 0x1.58b29cedc056dp-11, 0x1.4c005f5196b25p-11, 0x1.3fbfa027e6733p-11, 0x1.33ecb86127181p-11, 0x1.28841a6dc9df1p-11, 0x1.1d824c6fceadbp-11, 0x1.12e3e45e74915p-11, 0x1.08a586780f535p-11, 0x1.fd87cf257398cp-12, 0x1.ea77a7cb4c657p-12, 0x1.d81470367eb05p-12, 0x1.c6584fd55ba2p-12, 0x1.b53dbb8b7ca87p-12, 0x1.a4bf65e69a391p-12, 0x1.94d828860f38dp-12, 0x1.8582f32e9409ap-12, 0x1.76bac8083f4cfp-12, 0x1.687ac2b236bd8p-12, 0x1.5abe20617e3d5p-12, 0x1.4d803abb5d488p-12, 0x1.40bc9f9e2c9ecp-12, 0x1.346ef4a644ffdp-12, 0x1.28930cc05238dp-12, 0x1.1d2501b72e00dp-12, 0x1.12212c94c2beep-12, 0x1.07841cab8c196p-12, 0x1.fa94f2c5f183p-13, 0x1.e6e1c58269ac5p-13, 0x1.d3e7c94d03bfbp-13, 0x1.c1a0038d13b0bp-13, 0x1.b003a345c0df9p-13, 0x1.9f0c36dc67cf2p-13, 0x1.8eb3b5bece2efp-13, 0x1.7ef474f7f3a17p-13, 0x1.6fc8fcfd11f9bp-13, 0x1.612c15ae430b4p-13, 0x1.5318d60bb40fcp-13, 0x1.458ab3bdd1a35p-13, 0x1.387d76b56aacbp-13, 0x1.2bed07fc3d76ap-13, 0x1.1fd52f189ad0fp-13, 0x1.14316587a3b59p-13, 0x1.08fce25e12149p-13, 0x1.fc65bb0fccd47p-14, 0x1.e79dc4d659447p-14, 0x1.d399fdc7b3595p-14, 0x1.c05370488ab15p-14, 0x1.adc3b69e1f042p-14, 0x1.9be4a95d6fa56p-14, 0x1.8ab04a33abcc7p-14, 0x1.7a20d646e3a68p-14, 0x1.6a30d40a3cd68p-14, 0x1.5adb05fc4e871p-14, 0x1.4c1a40a9cb143p-14, 0x1.3de92e4279042p-14, 0x1.30421da97600fp-14, 0x1.231f0711e5f9p-14, 0x1.1679d8f15c92bp-14, 0x1.0a4cec21f6ecp-14, 0x1.fd26b8ad5877bp-15, 0x1.e6922b1063e0fp-15, 0x1.d0d538f6613ffp-15, 0x1.bbe981bdde05ep-15, 0x1.a7c8c7c4e1a53p-15, 0x1.946cb1de95026p-15, 0x1.81ce9418c46c6p-15, 0x1.6fe76e8d72c58p-15, 0x1.5eb015def37c1p-15, 0x1.4e21528ea6505p-15, 0x1.3e34347638484p-15, 0x1.2ee1fa134f1cdp-15, 0x1.202453fc26533p-15, 0x1.11f53d742e971p-15, 0x1.044ee165a51dep-15, 0x1.ee5757ad33ed3p-16, 0x1.d50d1a7c80a9bp-16, 0x1.bcb6bb5ae3909p-16, 0x1.a54dff1cd87aep-16, 0x1.8ecdc5f7ff025p-16, 0x1.79303aed04125p-16, 0x1.646d9e784f8fep-16, 0x1.507cb592c5538p-16, 0x1.3d53fb35b0d31p-16, 0x1.2ae9fda1c0173p-16, 0x1.193554adc259ep-16, 0x1.082d83cf70c14p-16, 0x1.ef98557150b39p-17, 0x1.d019bef7c0aabp-17, 0x1.b1d73b3392997p-17, 0x1.94c6a3feb9689p-17, 0x1.78db38022454ep-17, 0x1.5e07519a4dbf3p-17, 0x1.443fb3d69b22p-17, 0x1.2b7e4acee12bap-17, 0x1.13c05c043a1f7p-17, 0x1.fa01c15577cd4p-18, 0x1.ce6a2708b337bp-18, 0x1.a4a20031a73fap-18, 0x1.7c96ad9af697ep-18, 0x1.56346b730975p-18, 0x1.316644306e9f3p-18, 0x1.0e15ef8933e74p-18, 0x1.d8670f5de2938p-19, 0x1.976f29cd96d7bp-19, 0x1.593cc81d5f8b8p-19, 0x1.1dc3c03f621aap-19, 0x1.c9dbedb511ed6p-20, 0x1.5d42d057121e9p-20, 0x1.eb01b79a51398p-21, 0x1.24bf9645503d3p-21, 0x1.9deada03c977fp-23, -0x1.3398e2f2178cp-23, -0x1.f12dc737fd1e7p-22, -0x1.9c05b0e30b305p-21, -0x1.1bc773191fc31p-20, -0x1.65ad4707b9167p-20, -0x1.abd00434457bdp-20, -0x1.ee630a7fcb522p-20, -0x1.16ce31b980489p-19, -0x1.34d038f609921p-19, -0x1.514045b9735e5p-19, -0x1.6c2322227b7e1p-19, -0x1.857efece50a92p-19, -0x1.9d5d191d72fap-19, -0x1.b3c79450c1c35p-19, -0x1.c8c69f26f84a1p-19, -0x1.dc6619c309fdcp-19, -0x1.eebc574e91ccdp-19, -0x1.ffdb48f6b4cccp-19, -0x1.07e2635f21171p-18, -0x1.0f3f1726e0f0fp-18, -0x1.160b2acfcea96p-18, -0x1.1c494c73e5a45p-18, -0x1.21f968c1292fap-18, -0x1.272053486643dp-18, -0x1.2bc62e081562p-18, -0x1.2ff29002f4d89p-18, -0x1.33aa6a32ea084p-18, -0x1.36ef85421a50ap-18, -0x1.39c2ec1fe6298p-18, -0x1.3c27a9cca5b92p-18, -0x1.3e2169aa240afp-18, -0x1.3fb1b60af1983p-18, -0x1.40da480e6ccd7p-18, -0x1.419f3bc4febfep-18, -0x1.4204fed79040cp-18, -0x1.421099c8a3d57p-18, -0x1.41c63f7d5a44ap-18, -0x1.41262e4b4c048p-18, -0x1.4033061cccf7p-18, -0x1.3ef0555a2ee85p-18, -0x1.3d5d77d55597cp-18, -0x1.3b7ba7c8b3e61p-18, -0x1.394ec616bf519p-18, -0x1.36dba1a16311p-18, -0x1.3425f37c36262p-18, -0x1.3130157100f18p-18, -0x1.2df9e77f30a1p-18, -0x1.2a853d3cb6296p-18, -0x1.26d5236b13bdap-18, -0x1.22ea8c9c83278p-18, -0x1.1ec6d24a27f72p-18, -0x1.1a6cdc2bdb10dp-18, -0x1.15df637a9b50dp-18, -0x1.1120657010c33p-18, -0x1.0c30be6808f63p-18, -0x1.071199e896f9bp-18, -0x1.01c623007eb82p-18, -0x1.f8a03217610fdp-19, -0x1.ed6322b0af55p-19, -0x1.e1d676a7e73f1p-19, -0x1.d5fa365f8355bp-19, -0x1.c9d29d3b50c4bp-19, -0x1.bd641f41072e1p-19, -0x1.b0b42f8bbbe17p-19, -0x1.a3c6a7df36022p-19, -0x1.969bca72087f9p-19, -0x1.89365ad3b50a2p-19, -0x1.7b9c3e8b6ed78p-19, -0x1.6dca154b516e4p-19, -0x1.5fc58e95314b3p-19, -0x1.5192d3ad2962fp-19, -0x1.43342fd7ad1c8p-19, -0x1.34abf70514c02p-19, -0x1.25fc7d659d155p-19, -0x1.17285cb25b199p-19, -0x1.0831850609185p-19, -0x1.f2321d0aeb25p-20, -0x1.d3c5b600b63cap-20, -0x1.b5250cd73c0a9p-20, -0x1.96540ad547025p-20, -0x1.7752eab1c42acp-20, -0x1.58266ddfdf75dp-20, -0x1.38d3c0874b3bcp-20, -0x1.195fdcd118409p-20, -0x1.f3a19a2e8a8f5p-21, -0x1.b452d6c4d82c7p-21, -0x1.74dd3f9919b1bp-21, -0x1.3543e2196e705p-21, -0x1.eb1b372e7d5fep-22, -0x1.6b8a3a031531ap-22, -0x1.d7c6f106491afp-23, -0x1.b0ddbd30a0cecp-24, 0x1.36e212704389fp-26, 0x1.25f23bce6c055p-23, 0x1.1267b600013f1p-22, 0x1.91a998859565p-22, 0x1.0856f9f47f8dcp-21, 0x1.47b40fc80a325p-21, 0x1.86e80fe4b2f4cp-21, 0x1.c5ecf62ae7368p-21, 0x1.025be01788d85p-20, 0x1.21a2718f5079dp-20, 0x1.40c8f81a9c31cp-20, 0x1.5fcbe767fa5dep-20, 0x1.7ea917a09617ap-20, 0x1.9d5c4d6cd3286p-20, 0x1.bbe2600848db8p-20, 0x1.da39d1775d99ep-20, 0x1.f8616aa38752ap-20, 0x1.0b2ab4a9fef65p-19, 0x1.1a09a04b771f4p-19, 0x1.28cc7467954efp-19, 0x1.37722483f698dp-19, 0x1.45f99fdea69cdp-19, 0x1.5461d71b23c8ep-19, 0x1.62a9be66c1fc3p-19, 0x1.70d04fafc0acfp-19, 0x1.7ed48effd9133p-19, 0x1.8cb5914997542p-19, 0x1.9a727834787a9p-19, 0x1.a80a57f3dfc3cp-19, 0x1.b57c4497b92b3p-19, 0x1.c2c7bf3a76dfp-19, 0x1.cfeb790a3976p-19, 0x1.dce6c5f4d3cc4p-19, 0x1.e9b9539457a1fp-19, 0x1.f6628432f5d34p-19, 0x1.017089d9c148ep-18, 0x1.079a0789e7397p-18, 0x1.0dadda6237674p-18, 0x1.13ab86f45fe11p-18, 0x1.1992a9fd3154dp-18, 0x1.1f63086b48496p-18, 0x1.251c628c6c0ddp-18, 0x1.2abe777920d26p-18, 0x1.304908baeaeb5p-18, 0x1.35bbdb22bb238p-18, 0x1.3b16b679a9ep-18, 0x1.405964efe12f3p-18, 0x1.4583b2fda2696p-18, 0x1.4a956fc070aep-18, 0x1.4f8e6d8172e9ap-18, 0x1.546e8353a44c5p-18, 0x1.593590c315a4ap-18, 0x1.5de380cfc904ap-18, 0x1.6278276f5cdbbp-18, 0x1.66f33567dea06p-18, 0x1.6b54ae85f35b4p-18, 0x1.6f9c2d1be57cfp-18, 0x1.73ca844c49de3p-18, 0x1.77df5d157b08ep-18, 0x1.7bd923655a767p-18, 0x1.7fba0c1f3de9fp-18, 0x1.838084754e66p-18, 0x1.872cf359c993dp-18, 0x1.8abf541b94701p-18, 0x1.8e379df61327ap-18, 0x1.9195ccadb71edp-18, 0x1.94d9dea237302p-18, 0x1.9803d49074e2dp-18, 0x1.9b13b182ca324p-18, 0x1.9e097abcef7dcp-18, 0x1.a0e53785951aep-18, 0x1.a3a6f0e616c92p-18, 0x1.a64eb1ad4a8abp-18, 0x1.a8dc86b5fa226p-18, 0x1.ab507efe4c404p-18, 0x1.adaaab62ccf47p-18, 0x1.afeb1ecd171a7p-18, 0x1.b211eee62082ep-18, 0x1.b41f3229ae189p-18, 0x1.b612fd17acbc1p-18, 0x1.b7ed5c75fc053p-18, 0x1.b9ae7f19a7bffp-18, 0x1.bb5697d611394p-18, 0x1.bce5a5a9d2f17p-18, 0x1.be5bca6352106p-18, 0x1.bfb91ece0eb9bp-18, 0x1.c0fdd0d775ae8p-18, 0x1.c22a0578c0a75p-18, 0x1.c33de2c771838p-18, 0x1.c4399261fc2a1p-18, 0x1.c51d35e48bcdep-18, 0x1.c5e8f4f7f5ebcp-18, 0x1.c69d03e48af09p-18, 0x1.c73988b174f76p-18, 0x1.c7beb047cc20dp-18, 0x1.c82ca90f07e97p-18, 0x1.c883a22c70dap-18, 0x1.c8c3cbc4e7cfcp-18, 0x1.c8ed56fdcf741p-18, 0x1.c90076055552fp-18, 0x1.c8fd5c0b9a90ep-18, 0x1.c8e43cd83e959p-18, 0x1.c8b54c7dc6283p-18, 0x1.c870c0323c1c9p-18, 0x1.c816d0799c97dp-18, 0x1.c7a7b69f7853bp-18, 0x1.c723a040f0a17p-18, 0x1.c68ac4633cd52p-18, 0x1.c5dd766be2efap-18, 0x1.c51bea4a2cfd8p-18, 0x1.c446408f8ddc1p-18, 0x1.c35ccc936b1efp-18, 0x1.c25fd0947e7f6p-18, 0x1.c14f62dacaab4p-18, 0x1.c02bc49aa408bp-18, 0x1.bef506561b991p-18, 0x1.bdabf74a75781p-18, 0x1.bc5097f832d26p-18, 0x1.bae2ff301cd96p-18, 0x1.b963759fa464cp-18, 0x1.b7d2406faaa33p-18, 0x1.b62fa0d221385p-18, 0x1.b47bd6eabf07dp-18, 0x1.b2b722c5941aap-18, 0x1.b0e1c4ab421dbp-18, 0x1.aefbfd24a521dp-18, 0x1.ad060cef975b9p-18, 0x1.ab0034e6bb518p-18, 0x1.a8eab5e36d43ap-18, 0x1.a6c5d0b737af2p-18, 0x1.a491c66cd5711p-18, 0x1.a24ed9052f8c5p-18, 0x1.9ffd4b7d171a6p-18, 0x1.9d9d5503c70ap-18, 0x1.9b2f4455f402fp-18, 0x1.98b35e4d16504p-18, 0x1.9629d15d1bdabp-18, 0x1.9392ea8c42948p-18, 0x1.90eeed0783341p-18, 0x1.8e3e13936aea5p-18, 0x1.8b80a1f5a71d2p-18, 0x1.88b6da089742fp-18, 0x1.85e11f0167a6ep-18, 0x1.82ff60bccda5ep-18, 0x1.8012007092715p-18, 0x1.7d196f2f86456p-18, 0x1.7a15bb02cc917p-18, 0x1.770737183d7bp-18, 0x1.73ee1f0757e3ap-18, 0x1.70cab1ec823fp-18, 0x1.6d9d2f05977bp-18, 0x1.6a65d55563af7p-18, 0x1.6724e394824d4p-18, 0x1.63da9831e0afap-18, 0x1.6087315268cb7p-18, 0x1.5d2aecc8d1bfdp-18, 0x1.59c6080bcde3fp-18, 0x1.5658c02e2f381p-18, 0x1.52e351ecbdbf4p-18, 0x1.4f65f9e066806p-18, 0x1.4be0f464b5eb5p-18, 0x1.48547c0ef5db3p-18, 0x1.44c0ca997a90ep-18, 0x1.412622aa1b103p-18, 0x1.3d84b692b5cc1p-18, 0x1.39dcc2b41b42p-18, 0x1.362e80e3ecff4p-18, 0x1.327a2a0aa5bd1p-18, 0x1.2ebff8fa8548ap-18, 0x1.2b0023728b177p-18, 0x1.273ae22335a13p-18, 0x1.23706c729afdfp-18, 0x1.1fa0f99b21eecp-18, 0x1.1bccc2c680f48p-18, 0x1.17f407257641fp-18, 0x1.1416f65ce8225p-18, 0x1.1035a9593ed52p-18, 0x1.0c504a8008a07p-18, 0x1.086719cb22e23p-18, 0x1.047aad1b25097p-18, 0x1.008ae69442ec2p-18, 0x1.f92fd73135556p-19, 0x1.f143f08248fbbp-19, 0x1.e952840118dc8p-19, 0x1.e15bf59879ca9p-19, 0x1.d960a694cc98ap-19, 0x1.d160f6c0f9d18p-19, 0x1.c95d449bd755p-19, 0x1.c155ed9225f07p-19, 0x1.b94b4e1aa011ap-19, 0x1.b13dc199acd19p-19, 0x1.a92da1c561a3p-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.36b575849437ep-1, -0x1.36f0c4908c172p-1, -0x1.375172cee0a72p-1, -0x1.37d4637095a09p-1, -0x1.387577925ff8ap-1, -0x1.392fbbcb5e31ap-1, -0x1.39fd96d3b848cp-1, -0x1.3ad8f6a692ac5p-1, -0x1.3bbb7a7b936c6p-1, -0x1.3c9e98a6f09bdp-1, -0x1.3d7bbfed2707cp-1, -0x1.3e4c742e42e6cp-1, -0x1.3f0a66868aa67p-1, -0x1.3faf892720084p-1, -0x1.40361f3ebb115p-1, -0x1.4098c95575502p-1, -0x1.40d28e8208b9p-1, -0x1.40dee2dd4d00bp-1, -0x1.40b9ab93f1896p-1, -0x1.405f40efc35a8p-1, -0x1.3fcc6eaa10664p-1, -0x1.3efe72d096e78p-1, -0x1.3df2fb7e67c44p-1, -0x1.3ca823a25549ap-1, -0x1.3b1c6f0546118p-1, -0x1.394ec5bc0f8cfp-1, -0x1.373e6f2a67a61p-1, -0x1.34eb0cb703434p-1, -0x1.3254944c1f385p-1, -0x1.2f7b4abb653b1p-1, -0x1.2c5fbe185600ep-1, -0x1.2902c019211bdp-1, -0x1.2565608aeb407p-1, -0x1.2188e7e4177f3p-1, -0x1.1d6ed1fd0155cp-1, -0x1.1918c8f5bf937p-1, -0x1.1488a04e03757p-1, -0x1.0fc05032c5c96p-1, -0x1.0ac1f10461393p-1, -0x1.058fb716bdc5p-1, -0x1.002beeac6a6aap-1, -0x1.f531f059a7324p-2, -0x1.e9b2892a81cd3p-2, -0x1.dddea44789e2bp-2, -0x1.d1bb5275f65a1p-2, -0x1.c54db2fa2d084p-2, -0x1.b89aee3926acp-2, -0x1.aba830c153d2bp-2, -0x1.9e7aa6b70b24ap-2, -0x1.911777a041749p-2, -0x1.8383c28b49bd9p-2, -0x1.75c49a8c308f3p-2, -0x1.67df038c539adp-2, -0x1.59d7ef67d28fdp-2, -0x1.4bb43b54880c1p-2, -0x1.3d78ad8e4859cp-2, -0x1.2f29f34446027p-2, -0x1.20cc9ec392accp-2, -0x1.126525dad73aep-2, -0x1.03f7e07383f38p-2, -0x1.eb120eb9bbfe5p-3, -0x1.ce39668aed52p-3, -0x1.b16db7bf7febp-3, -0x1.94b6ae5d4264ap-3, -0x1.781bb1ee12cb9p-3, -0x1.5ba3e4a76c81bp-3, -0x1.3f5622d0fe919p-3, -0x1.2339026543917p-3, -0x1.0752d2e760bffp-3, -0x1.d7533ad3a630ep-4, -0x1.a0864983879dbp-4, -0x1.6a49cbc60eff8p-4, -0x1.34a830c260312p-4, -0x1.ff56bc48cbfb8p-5, -0x1.96b9633de343ap-5, -0x1.2f8a054956cfap-5, -0x1.93b291491a541p-6, -0x1.96db3c265b6a4p-7, -0x1.989d1724dac6dp-12, 0x1.76a73debff4bbp-7, 0x1.799b3b8ab983p-6, 0x1.1a2e7195a958ap-5, 0x1.75c177804feb8p-5, 0x1.cf7cc23f2e644p-5, 0x1.13aba282cf02cp-4, 0x1.3ea466dc24b9ap-4, 0x1.68a4ff870204ap-4, 0x1.91aa254f3168cp-4, 0x1.b9b0f5714c0cep-4, 0x1.e0b6ee964a842p-4, 0x1.035cf6e60cf5dp-3, 0x1.15dc15be79ec1p-3, 0x1.27d81c33863b7p-3, 0x1.39507d4b05649p-3, 0x1.4a44d52fd50e2p-3, 0x1.5ab4e7b259aafp-3, 0x1.6aa09ecbb74b4p-3, 0x1.7a0809245274ep-3, 0x1.88eb589e05339p-3, 0x1.974ae0e27f201p-3, 0x1.a52715f630403p-3, 0x1.b2808ad016b3ap-3, 0x1.bf57eff6c482p-3, 0x1.cbae1222eaf0cp-3, 0x1.d783d8e7a0285p-3, 0x1.e2da4560af334p-3, 0x1.edb270e712e42p-3, 0x1.f80d8bcbd9337p-3, 0x1.00f66e0cc7d1p-2, 0x1.05a8de2e31dcfp-2, 0x1.0a1ecd388897ap-2, 0x1.0e58fb2d5d544p-2, 0x1.1258308fe2771p-2, 0x1.161d3dd6dff8p-2, 0x1.19a8fae23d54ep-2, 0x1.1cfc46741baa3p-2, 0x1.201805ad8e077p-2, 0x1.22fd238eea459p-2, 0x1.25ac907bbb2c6p-2, 0x1.282741c248e7dp-2, 0x1.2a6e3126be661p-2, 0x1.2c825c71e5e67p-2, 0x1.2e64c50376918p-2, 0x1.30166f67ef95p-2, 0x1.319862f1f868cp-2, 0x1.32eba95742b7cp-2, 0x1.34114e50e0bbbp-2, 0x1.350a5f3f0c864p-2, 0x1.35d7ead04ea0ap-2, 0x1.367b00ac03908p-2, 0x1.36f4b1202b96dp-2, 0x1.37460cd280b36p-2, 0x1.37702474bf21cp-2, 0x1.3774087c1beb3p-2, 0x1.3752c8dbd3feep-2, 0x1.370d74c2cb06p-2, 0x1.36a51a5c2cc13p-2, 0x1.361ac692fe775p-2, 0x1.356f84d892d24p-2, 0x1.34a45eedd4bb6p-2, 0x1.33ba5caf58103p-2, 0x1.32b283e418dfbp-2, 0x1.318dd80eecb5ep-2, 0x1.304d5a427d7e3p-2, 0x1.2ef208f7d577cp-2, 0x1.2d7cdfe7597c4p-2, 0x1.2beed7e42e151p-2, 0x1.2a48e6b9f393ep-2, 0x1.288bff0cc412ap-2, 0x1.26b9103b6aff3p-2, 0x1.24d10643c2693p-2, 0x1.22d4c9a924085p-2, 0x1.20c53f5ce2fddp-2, 0x1.1ea348a8ba859p-2, 0x1.1c6fc31b22a39p-2, 0x1.1a2b88757c495p-2, 0x1.17d76e9c058f6p-2, 0x1.1574478782a8dp-2, 0x1.1302e13893352p-2, 0x1.108405ac9fb5cp-2, 0x1.0df87ad451f57p-2, 0x1.0b61028b873a3p-2, 0x1.08be5a92b68adp-2, 0x1.06113c89ae003p-2, 0x1.035a5deba9c67p-2, 0x1.009a700ca8a82p-2, 0x1.fba4402ff61e8p-3, 0x1.f6042e1fefa0cp-3, 0x1.f055f39d9e8b9p-3, 0x1.ea9ad210d8e9fp-3, 0x1.e4d4029ab3603p-3, 0x1.df02b61d3541ep-3, 0x1.d9281544e17bcp-3, 0x1.d345409400f99p-3, 0x1.cd5b506f8dfa9p-3, 0x1.c76b552db4054p-3, 0x1.c1765725c934bp-3, 0x1.bb7d56c1abc4cp-3, 0x1.b5814c9072437p-3, 0x1.af83295a56a98p-3, 0x1.a983d635cc843p-3, 0x1.a384349daa6fap-3, 0x1.9d851e885c555p-3, 0x1.9787667ffde1ap-3, 0x1.918bd7bb61967p-3, 0x1.8b933637dea94p-3, 0x1.859e3ed3e307dp-3, 0x1.7fada76a2e3f5p-3, 0x1.79c21eedb7ea1p-3, 0x1.73dc4d861cb16p-3, 0x1.6dfcd4ac9649fp-3, 0x1.68244f4964076p-3, 0x1.625351d1a0821p-3, 0x1.5c8a6a6571d63p-3, 0x1.56ca20ee866a1p-3, 0x1.5112f73ed9d49p-3, 0x1.4b65692fb04d5p-3, 0x1.45c1ecc0c27d4p-3, 0x1.4028f23785752p-3, 0x1.3a9ae43e98772p-3, 0x1.351828053806cp-3, 0x1.2fa11d5ebb87fp-3, 0x1.2a361ee212dd1p-3, 0x1.24d7820936d4p-3, 0x1.1f8597508e23ap-3, 0x1.1a40aa562e58fp-3, 0x1.150901f906c69p-3, 0x1.0fdee077de984p-3, 0x1.0ac2839026eb5p-3, 0x1.05b4249c99e29p-3, 0x1.00b3f8b39ecb7p-3, 0x1.f784618adf9ddp-4, 0x1.edbdf373fd16cp-4, 0x1.e414f91d168dbp-4, 0x1.da89bce5ed46fp-4, 0x1.d11c81cd6c2eep-4, 0x1.c7cd83ab07911p-4, 0x1.be9cf76747f21p-4, 0x1.b58b0b33bbdcp-4, 0x1.ac97e6c21852p-4, 0x1.a3c3ab7a9b453p-4, 0x1.9b0e74b1a1f74p-4, 0x1.927857dc7dda7p-4, 0x1.8a0164c561cp-4, 0x1.81a9a5be8db0fp-4, 0x1.79711fd49342dp-4, 0x1.7157d2ffc64acp-4, 0x1.695dba54c60ccp-4, 0x1.6182cc342b381p-4, 0x1.59c6fa79504fep-4, 0x1.522a32a830741p-4, 0x1.4aac5e1a66be4p-4, 0x1.434d622b3f11fp-4, 0x1.3c0d2062e294p-4, 0x1.34eb76a098ed4p-4, 0x1.2de83f441fbfbp-4, 0x1.270351561ac6p-4, 0x1.203c80af9aacdp-4, 0x1.19939e20b88ap-4, 0x1.130877964e36cp-4, 0x1.0c9ad83ec238cp-4, 0x1.064a88adf3e5fp-4, 0x1.00174f003e9cbp-4, 0x1.f401ddf9379abp-5, 0x1.e80e546bc69f1p-5, 0x1.dc5380565b0bdp-5, 0x1.d0d0dcceab79fp-5, 0x1.c585e13f44c9cp-5, 0x1.ba7201a32b3a4p-5, 0x1.af94aebfc51afp-5, 0x1.a4ed565d25f68p-5, 0x1.9a7b637cae9a3p-5, 0x1.903e3e8e16081p-5, 0x1.86354da2d06b2p-5, 0x1.7c5ff49fea393p-5, 0x1.72bd956e523a2p-5, 0x1.694d90299a8d2p-5, 0x1.600f434d39d0dp-5, 0x1.57020be053d33p-5, 0x1.4e2545a001b01p-5, 0x1.45784b283bda6p-5, 0x1.3cfa761b48dbbp-5, 0x1.34ab1f47d9405p-5, 0x1.2c899ecdbb93fp-5, 0x1.24954c414656cp-5, 0x1.1ccd7ecd68c9ap-5, 0x1.15318d547be77p-5, 0x1.0dc0ce8fcb187p-5, 0x1.067a992de8553p-5, 0x1.febc87df8fb27p-6, 0x1.f0d64b895a7fdp-6, 0x1.e3412bc9f03c4p-6, 0x1.d5fbd7d792d37p-6, 0x1.c904ffdf27405p-6, 0x1.bc5b553325b7ap-6, 0x1.affd8a787c2b5p-6, 0x1.a3ea53d16271ap-6, 0x1.982067062011p-6, 0x1.8c9e7babf877p-6, 0x1.81634b4a16e63p-6, 0x1.766d917cb807fp-6, 0x1.6bbc0c1677cd2p-6, 0x1.614d7b3fe3479p-6, 0x1.5720a19556eeep-6, 0x1.4d34444332758p-6, 0x1.43872b2071a9fp-6, 0x1.3a1820c7b389dp-6, 0x1.30e5f2aebf01dp-6, 0x1.27ef713c89936p-6, 0x1.1f336fddd2e02p-6, 0x1.16b0c51855cf6p-6, 0x1.0e664a9cb54ccp-6, 0x1.0652dd56fb1c7p-6, 0x1.fceabafbec588p-7, 0x1.ed995d42802bdp-7, 0x1.deaf6f6c5d925p-7, 0x1.d02ac64736498p-7, 0x1.c2093d98ef219p-7, 0x1.b448b832e91p-7, 0x1.a6e7200315e66p-7, 0x1.99e266231c3bp-7, 0x1.8d3882e59897ap-7, 0x1.80e775e17212cp-7, 0x1.74ed45fb77cf5p-7, 0x1.6948016e4b9b7p-7, 0x1.5df5bdd0913c5p-7, 0x1.52f49819bb11ap-7, 0x1.4842b4a51023dp-7, 0x1.3dde3f336e389p-7, 0x1.33c56aeb94217p-7, 0x1.29f6725915a19p-7, 0x1.206f976a16765p-7, 0x1.172f236bb2576p-7, 0x1.0e3367054eb97p-7, 0x1.057aba32bfcf8p-7, 0x1.fa06f87ac8cb9p-8, 0x1.e99827686c1c9p-8, 0x1.d9a5dcc5f1ed9p-8, 0x1.ca2d0290bd08bp-8, 0x1.bb2a9116ab0eep-8, 0x1.ac9b8edf1763cp-8, 0x1.9e7d1092394b7p-8, 0x1.90cc38df2c9a1p-8, 0x1.8386386051a52p-8, 0x1.76a84d7e92527p-8, 0x1.6a2fc45342862p-8, 0x1.5e19f688ddcd3p-8, 0x1.52644b3abeb2ap-8, 0x1.470c36d3bfb34p-8, 0x1.3c0f3aebe1667p-8, 0x1.316ae62509d77p-8, 0x1.271cd406ee833p-8, 0x1.1d22acda50f29p-8, 0x1.137a258356c6p-8, 0x1.0a20ff5b748a9p-8, 0x1.0115080a9fa15p-8, 0x1.f0a832bfacd7fp-9, 0x1.dfb83252d4894p-9, 0x1.cf55f219556aap-9, 0x1.bf7d6cba799c4p-9, 0x1.b02ab3e82b312p-9, 0x1.a159f00c7c6fp-9, 0x1.93075ff64f70bp-9, 0x1.852f5885c06cp-9, 0x1.77ce44584b491p-9, 0x1.6ae0a37482538p-9, 0x1.5e630af5a8357p-9, 0x1.525224b755c52p-9, 0x1.46aaaf00645bbp-9, 0x1.3b697c2eb9eb2p-9, 0x1.308b726276526p-9, 0x1.260d8b2995cadp-9, 0x1.1becd32b98f5ep-9, 0x1.122669d596c0ap-9, 0x1.08b781066c1dap-9, 0x1.ff3ab9765597p-10, 0x1.edaaa57840358p-10, 0x1.dcb9949438e12p-10, 0x1.cc627798ad738p-10, 0x1.bca060fd3d5bap-10, 0x1.ad6e8440aef5dp-10, 0x1.9ec83547a44aep-10, 0x1.90a8e7bc5ce66p-10, 0x1.830c2e707494ep-10, 0x1.75edbabf2a5e7p-10, 0x1.69495bf1a6a96p-10, 0x1.5d1afea47eddep-10, 0x1.515eac2e82ed8p-10, 0x1.46108a0950975p-10, 0x1.3b2cd93b91636p-10, 0x1.30aff5c484c1fp-10, 0x1.269656095b2a6p-10, 0x1.1cdc8a4451551p-10, 0x1.137f3bf5b2f9bp-10, 0x1.0a7b2d562f523p-10, 0x1.01cd38cb37b27p-10, 0x1.f2e4a0ba304dfp-11, 0x1.e2cefa5d975cep-11, 0x1.d353bdf071c31p-11, 0x1.c46d5702700dcp-11, 0x1.b6165c3eeb54p-11, 0x1.a8498e6bbd9eap-11, 0x1.9b01d76bb386cp-11, 0x1.8e3a4944d81dep-11, 0x1.81ee1d2a9d26cp-11, 0x1.7618b28bf2fc3p-11, 0x1.6ab58e254724bp-11, 0x1.5fc0591642d69p-11, 0x1.5534dffb0b0e1p-11, 0x1.4b0f120a06bcdp-11, 0x1.414b0034f2866p-11, 0x1.37e4dc4dd8afp-11, 0x1.2ed8f82fe848bp-11, 0x1.2623c4ec2efe7p-11, 0x1.1dc1d1fa1fe09p-11, 0x1.15afcc6baad8bp-11, 0x1.0dea7e256feep-11, 0x1.066ecd1a41aacp-11, 0x1.fe737515351fbp-12, 0x1.f090c48f47bb9p-12, 0x1.e32ff3f4779c4p-12, 0x1.d64ba0d9a2aaep-12, 0x1.c9de99b39c332p-12, 0x1.bde3dc7a2578fp-12, 0x1.b25695523432dp-12, 0x1.a7321d3ec781fp-12, 0x1.9c71f8d912775p-12, 0x1.9211d70f37576p-12, 0x1.880d8feb109dp-12, 0x1.7e61235d94207p-12, 0x1.7508b81258426p-12, 0x1.6c009a493bf1bp-12, 0x1.63453ab709454p-12, 0x1.5ad32d6b498c5p-12, 0x1.52a728be6c78ep-12, 0x1.4abe044349ad8p-12, 0x1.4314b7c14cc4p-12, 0x1.3ba85a3443614p-12, 0x1.347620d129dcp-12, 0x1.2d7b5e114b62p-12, 0x1.26b580c45989ep-12, 0x1.2022132602c2dp-12, 0x1.19beb9fb02cb8p-12, 0x1.138933b4039a4p-12, 0x1.0d7f57935ff4ep-12, 0x1.079f14db16763p-12, 0x1.01e671febd24cp-12, 0x1.f8a717b64b013p-13, 0x1.edc929e4a71a1p-13, 0x1.e32fa95b6d914p-13, 0x1.d8d74d4804df6p-13, 0x1.cebcf3c89ff4cp-13, 0x1.c4dda08ed1067p-13, 0x1.bb367b86424e9p-13, 0x1.b1c4cf88cca27p-13, 0x1.a886091990443p-13, 0x1.9f77b52a2c2d7p-13, 0x1.96977fe7d9a9dp-13, 0x1.8de3339113cbbp-13, 0x1.8558b7540d605p-13, 0x1.7cf60e33b3226p-13, 0x1.74b955f6f886fp-13, 0x1.6ca0c61f53cfcp-13, 0x1.64aaaee5f0b08p-13, 0x1.5cd57840a0898p-13, 0x1.551fa0ef734ep-13, 0x1.4d87bd901f81cp-13, 0x1.460c77b8ce9fbp-13, 0x1.3eac8d1b875ep-13, 0x1.3766cead070bep-13, 0x1.303a1fd442b57p-13, 0x1.292575a07f535p-13, 0x1.2227d6059c259p-13, 0x1.1b40571e0e6bfp-13, 0x1.146e1e729f98cp-13, 0x1.0db0604992a0cp-13, 0x1.07065ef93b197p-13, 0x1.006f6a416e0adp-13, 0x1.f3d5bd5a28a2dp-14, 0x1.e6f049e608b55p-14, 0x1.da2d62c22e58dp-14, 0x1.cd8c069512cb8p-14, 0x1.c10b48f75a79fp-14, 0x1.b4aa51645b3f7p-14, 0x1.a8685a34516ebp-14, 0x1.9c44afa0ab093p-14, 0x1.903eaece9d177p-14, 0x1.8455c4e411d74p-14, 0x1.78896e286f758p-14, 0x1.6cd93527374bfp-14, 0x1.6144b1defdc02p-14, 0x1.55cb88f67c56ep-14, 0x1.4a6d6afb5376ep-14, 0x1.3f2a13a507ea2p-14, 0x1.34014921a200fp-14, 0x1.28f2db6a70406p-14, 0x1.1dfea39bbc822p-14, 0x1.13248354e719ap-14, 0x1.08646420147fap-14, 0x1.fb7c6dbf7f671p-15, 0x1.e663e681fb42ep-15, 0x1.d17f2e6a4dd9ap-15, 0x1.bcce4ce084213p-15, 0x1.a85153dae87ffp-15, 0x1.94085eefa1392p-15, 0x1.7ff3927322273p-15, 0x1.6c131aa55430fp-15, 0x1.58672adc4c018p-15, 0x1.44effcc0d651fp-15, 0x1.31adcf959de35p-15, 0x1.1ea0e781b901dp-15, 0x1.0bc98ce818072p-15, 0x1.f250178a62c1dp-16, 0x1.cd79662c272fcp-16, 0x1.a90fa88cb8c82p-16, 0x1.8513854717769p-16, 0x1.6185a5b6ec745p-16, 0x1.3e66b506992ddp-16, 0x1.1bb75f3d03dcap-16, 0x1.f2f0a0c306468p-17, 0x1.af54675dff4dfp-17, 0x1.6c9b6594dcda8p-17, 0x1.2ac6ea1fefcaep-17, 0x1.d3b07b7b776d9p-18, 0x1.53a143fed268bp-18, 0x1.aac5404a1bd18p-19, 0x1.63dbbced36fbep-20, -0x1.0cfc241c15d36p-21, -0x1.34bd0f946c967p-19, -0x1.114400098f367p-18, -0x1.864ded143a0edp-18, -0x1.f97a6a99dc613p-18, -0x1.3563d8c280281p-17, -0x1.6d1a0ca2a51c9p-17, -0x1.a3df0c79454cfp-17, -0x1.d9b2242d27857p-17, -0x1.0749583358dfdp-16, -0x1.21400f84a894bp-16, -0x1.3abcf7c5f0fedp-16, -0x1.53bfd9a5f5799p-16, -0x1.6c4886e5548aep-16, -0x1.8456da79e30b3p-16, -0x1.9beab8a120f5ep-16, -0x1.b3040ef7739b3p-16, -0x1.c9a2d48253f28p-16, -0x1.dfc709be7719dp-16, -0x1.f570b8a683777p-16, -0x1.054ffa59823d3p-15, -0x1.0faa6d6a4505p-15, -0x1.19c7c8b94a45ap-15, -0x1.23a82430acca8p-15, -0x1.2d4b9c6acb013p-15, -0x1.36b252a9a3e29p-15, -0x1.3fdc6cce6424p-15, -0x1.48ca154ed52cap-15, -0x1.517b7b290ac32p-15, -0x1.59f0d1d54a0c4p-15, -0x1.622a51390ef8p-15, -0x1.6a283598269b2p-15, -0x1.71eabf842d5e4p-15, -0x1.797233ca2895fp-15, -0x1.80bedb60f67a4p-15, -0x1.87d103566499fp-15, -0x1.8ea8fcbbd1921p-15, -0x1.95471c9163f61p-15, -0x1.9babbbb125d63p-15, -0x1.a1d736ba4cf31p-15, -0x1.a7c9edf9fc959p-15, -0x1.ad844555a55fcp-15, -0x1.b306a432275efp-15, -0x1.b851755f2c9f4p-15, -0x1.bd6526fe250d2p-15, -0x1.c2422a6b0fde7p-15, -0x1.c6e8f4234b7f8p-15, -0x1.cb59fbad481f5p-15, -0x1.cf95bb8094aa1p-15, -0x1.d39cb0ecc2877p-15, -0x1.d76f5c00b9c16p-15, -0x1.db0e3f71199ccp-15, -0x1.de79e080913d9p-15, -0x1.e1b2c6e622582p-15, -0x1.e4b97cb4aa4ebp-15, -0x1.e78e8e40a66c6p-15, -0x1.ea328a08e4729p-15, -0x1.eca6009d82ccfp-15, -0x1.eee9848713b8ep-15, -0x1.f0fdaa2e18555p-15, -0x1.f2e307c274222p-15, -0x1.f49a3523b3a06p-15, -0x1.f623cbc937344p-15, -0x1.f78066a9e0a61p-15, -0x1.f8b0a22471e62p-15, -0x1.f9b51be8feb6bp-15, -0x1.fa8e72e17e996p-15, -0x1.fb3d471b89c5ap-15, -0x1.fbc239b152d9bp-15, -0x1.fc1decb356203p-15, -0x1.fc510313114ap-15, -0x1.fc5c208db8febp-15, -0x1.fc3fe995ca3b2p-15, -0x1.fbfd033f17f4cp-15, -0x1.fb941329fec41p-15, -0x1.fb05bf6f37717p-15, -0x1.fa52ae8cbeee6p-15, -0x1.f97b875089604p-15, -0x1.f880f0c6cf81p-15, -0x1.f7639226eeab6p-15, -0x1.f62412c0d4b17p-15, -0x1.f4c319ec04444p-15, -0x1.f3414ef4f0943p-15, -0x1.f19f590bb8f12p-15, -0x1.efdddf3420645p-15, -0x1.edfd8834ac64cp-15, -0x1.ebfefa8610a6p-15, -0x1.e9e2dc44429a2p-15, -0x1.e7a9d31e7f17fp-15, -0x1.e5548449af73cp-15, -0x1.e2e39470b901fp-15, -0x1.e057a7a69ecfap-15, -0x1.ddb161589eacep-15, -0x1.daf164416beb9p-15, -0x1.d818525b9c659p-15, -0x1.d526ccd5ba532p-15, -0x1.d21d74062bfa6p-15, -0x1.cefce75e65c92p-15, -0x1.cbc5c5608315p-15, -0x1.c878ab93de556p-15, -0x1.c516367a0313ap-15, -0x1.c19f0184ed7bap-15, -0x1.be13a70c6b43cp-15, -0x1.ba74c0458af6cp-15, -0x1.b6c2e538ce2f3p-15, -0x1.b2feacb8cb845p-15, -0x1.af28ac5ac7c88p-15, -0x1.ab41786d6bc6cp-15, -0x1.a749a3f1271a1p-15, -0x1.a341c09163fccp-15, -0x1.9f2a5e9cce05ap-15, -0x1.9b040cfe990f8p-15, -0x1.96cf5937fc02ap-15, -0x1.928ccf59d2e3p-15, -0x1.8e3cf9fecd063p-15, -0x1.89e0624628282p-15, -0x1.85778fcd9186ap-15, -0x1.810308aca6c2fp-15, -0x1.7c8351712ede1p-15, -0x1.77f8ed18c152fp-15, -0x1.73645d0e4dc81p-15, -0x1.6ec6212589d8ap-15, -0x1.6a1eb7978d818p-15, -0x1.656e9cfea56f5p-15, -0x1.60b64c54fc5c7p-15, -0x1.5bf63ef076044p-15, -0x1.572eec803e0a1p-15, -0x1.5260cb0b8ba3bp-15, -0x1.4d8c4eedb5d66p-15, -0x1.48b1ead5e7cd9p-15, -0x1.43d20fc53ad3dp-15, -0x1.3eed2d0cafde7p-15, -0x1.3a03b04c29fbap-15, -0x1.35160572ae746p-15, -0x1.302496bbdb32cp-15, -0x1.2b2fccb04e294p-15, -0x1.26380e25485e4p-15, -0x1.213dc03cdd1edp-15, -0x1.1c414664c245bp-15, -0x1.17430257712e9p-15, -0x1.1243541d0617p-15, -0x1.0d429a0a35258p-15, -0x1.084130c2dd60cp-15, -0x1.033f7339b7fb3p-15, -0x1.fc7b7562677b3p-16, -0x1.f278bd7b62543p-16, -0x1.e8776a8d082e9p-16, -0x1.de78250d0ed03p-16, -0x1.d47b921d88607p-16, -0x1.ca8253907e776p-16, -0x1.c08d07ea65bcdp-16, -0x1.b69c4a65bf72fp-16, -0x1.acb0b2f9fa8d6p-16, -0x1.a2cad65e63f88p-16, -0x1.98eb460d6a784p-16, -0x1.8f12904c3a5f4p-16, -0x1.8541402eb64aap-16, -0x1.7b77dd9bd6e82p-16, -0x1.71b6ed550a26ap-16, -0x1.67fef0fbcafecp-16, -0x1.5e506714fffa8p-16, -0x1.54abcb11ca9c4p-16, -0x1.4b119555d1db9p-16, -0x1.41823b3b99fe7p-16, -0x1.37fe2f1c685f8p-16, -0x1.2e85e05754134p-16, -0x1.2519bb57aea8bp-16, -0x1.1bba299a9caa1p-16, -0x1.126791b842b15p-16, -0x1.0922576a7d6b7p-16, -0x1.ffd5b72714f56p-17, -0x1.ed82f88a46647p-17, -0x1.db4d299337f27p-17, -0x1.c934fb531c2e9p-17, -0x1.b73b19687bceap-17, -0x1.a5602a11e4ddfp-17, -0x1.93a4ce3854dedp-17, -0x1.8209a18160817p-17, -0x1.708f3a6019faap-17, -0x1.5f362a24a05bbp-17, -0x1.4dfefd0a4cf7fp-17, -0x1.3cea3a4a9ed16p-17, -0x1.2bf8642bc45ebp-17, -0x1.1b29f813a2347p-17, -0x1.0a7f6e924a445p-17, -0x1.f3f276f326e2p-18, -0x1.d32f9bd64b9dp-18, -0x1.b2b720cc86dffp-18, -0x1.9289d1ba700c3p-18, -0x1.72a87184350aep-18, -0x1.5313ba313ccabp-18, -0x1.33cc5d0fc973fp-18, -0x1.14d302d4b8377p-18, -0x1.ec50977bfb9b8p-19, -0x1.af999f61bf712p-19, -0x1.73823cc0e9c03p-19, -0x1.380b7ed462285p-19, -0x1.fa6cc9e46a5a8p-20, -0x1.8607bd9c89598p-20, -0x1.12e9997f63b31p-20, -0x1.4227ffdfc94d2p-21, -0x1.8443ad59f08cdp-23, 0x1.f5bcef1e0c744p-23, 0x1.5955dfd127509p-21, 0x1.195051cf9daffp-20, 0x1.84a6b0b0f838ep-20, 0x1.eead14cbdd378p-20, 0x1.2bb150918ca52p-19, 0x1.5f63496c2df64p-19, 0x1.926c206272917p-19, 0x1.c4cb8d7a88745p-19, 0x1.f6815512d5954p-19, 0x1.13c6a3d422e8p-18, 0x1.2bf7a0c914cp-18, 0x1.43d3956789e73p-18, 0x1.5b5a7b5ffcab4p-18, 0x1.728c51f8642aap-18, 0x1.89691de872ff3p-18, 0x1.9ff0e94458ap-18, 0x1.b623c359e3bfdp-18, 0x1.cc01c09475e85p-18, 0x1.e18afa5ff6443p-18, 0x1.f6bf8f0ae8c8bp-18, 0x1.05cfd0d689c63p-17, 0x1.1015ad034a535p-17, 0x1.1a3172344ef3fp-17, 0x1.242338cd13332p-17, 0x1.2deb1b5b8bdacp-17, 0x1.3789368cc3ca2p-17, 0x1.40fda91f662abp-17, 0x1.4a4893d59e02cp-17, 0x1.536a196730deep-17, 0x1.5c625e767c369p-17, 0x1.6531898397d0fp-17, 0x1.6dd7c2defaec6p-17, 0x1.7655349bbf8b7p-17, 0x1.7eaa0a84b8106p-17, 0x1.86d67210029dcp-17, 0x1.8eda9a5388d07p-17, 0x1.96b6b3f75330ep-17, 0x1.9e6af12b4036fp-17, 0x1.a5f7859b139b1p-17, 0x1.ad5ca6622689ep-17, }}, 
      {{-0x1.36a823a96a61ep-1, -0x1.36bc04ec01cd5p-1, -0x1.36dcb7100eea7p-1, -0x1.37099772fbc5p-1, -0x1.3741cba71a4fep-1, -0x1.378448b0d53b4p-1, -0x1.37cfdaaf4a428p-1, -0x1.38232c887cc45p-1, -0x1.387ccf51e2d42p-1, -0x1.38db4146823ebp-1, -0x1.393cf42e04f6fp-1, -0x1.39a0532584fc6p-1, -0x1.3a03c7c469381p-1, -0x1.3a65be9e771e9p-1, -0x1.3ac4ab28d83dp-1, -0x1.3b1f0b0adb17bp-1, -0x1.3b7368e504fd7p-1, -0x1.3bc05e9a04b27p-1, -0x1.3c0497256374ep-1, -0x1.3c3ed00bb8ccdp-1, -0x1.3c6dda6fbc7bep-1, -0x1.3c909bd6f38b5p-1, -0x1.3ca60ea803223p-1, -0x1.3cad426be3c48p-1, -0x1.3ca55bda6bad9p-1, -0x1.3c8d94b9d1e34p-1, -0x1.3c653b9810427p-1, -0x1.3c2bb3644d38fp-1, -0x1.3be072edc62b2p-1, -0x1.3b83044d19cf5p-1, -0x1.3b13043c3535fp-1, -0x1.3a902160a8a4dp-1, -0x1.39fa1b8bac854p-1, -0x1.3950c2f2af5eap-1, -0x1.3893f762e861bp-1, -0x1.37c3a77210519p-1, -0x1.36dfcfae13dcp-1, -0x1.35e879cd4e816p-1, -0x1.34ddbbe0a15a9p-1, -0x1.33bfb7887fdfdp-1, -0x1.328e992dde6d1p-1, -0x1.314a973fc6e22p-1, -0x1.2ff3f1762f815p-1, -0x1.2e8af01a91d4ap-1, -0x1.2d0fe356a25b8p-1, -0x1.2b832289754f2p-1, -0x1.29e50ba33f8d4p-1, -0x1.28360287db057p-1, -0x1.267670781cf41p-1, -0x1.24a6c38204145p-1, -0x1.22c76df7b90fep-1, -0x1.20d8e5ed4eed6p-1, -0x1.1edba4bd2d0e3p-1, -0x1.1cd0269301886p-1, -0x1.1ab6e9fd191ccp-1, -0x1.18906f83f0cf7p-1, -0x1.165d3947d791ep-1, -0x1.141dcaa46be19p-1, -0x1.11d2a7d9c80dcp-1, -0x1.0f7c55bb26d3fp-1, -0x1.0d1b5962cb53ap-1, -0x1.0ab037eafadf4p-1, -0x1.083b762bcfb5dp-1, -0x1.05bd987db2ba1p-1, -0x1.03372280459e6p-1, -0x1.00a896e58c42cp-1, -0x1.fc24ee82401ccp-2, -0x1.f6ea87b67b18p-2, -0x1.f1a2f70ef4bc8p-2, -0x1.ec4f36fdecef9p-2, -0x1.e6f03e7bb0dc9p-2, -0x1.e18700c7d803dp-2, -0x1.dc146d3065d03p-2, -0x1.d6996ede8bfa6p-2, -0x1.d116eca8af9a5p-2, -0x1.cb8dc8e97121ap-2, -0x1.c5fee15b6652ap-2, -0x1.c06b0ef94278bp-2, -0x1.bad325e22dfe3p-2, -0x1.b537f54206907p-2, -0x1.af9a473d529a5p-2, -0x1.a9fae0e0a37ap-2, -0x1.a45a82133dfb5p-2, -0x1.9eb9e58cc4ea7p-2, -0x1.9919c0cdbdbafp-2, -0x1.937ac41abd8efp-2, -0x1.8ddd9a7a0c0b2p-2, -0x1.8842e9b39a8b5p-2, -0x1.82ab52531e742p-2, -0x1.7d176fac2be4fp-2, -0x1.7787d7e02af5bp-2, -0x1.71fd1be608b84p-2, -0x1.6c77c7937a354p-2, -0x1.66f861a7bc479p-2, -0x1.617f6bd7ad279p-2, -0x1.5c0d62db2542cp-2, -0x1.56a2be7b74fc8p-2, -0x1.513ff1a2edd52p-2, -0x1.4be56a6d632d6p-2, -0x1.46939239852ebp-2, -0x1.414acdbb06e3ap-2, -0x1.3c0b7d0d7de9cp-2, -0x1.36d5fbc7ddd3dp-2, -0x1.31aaa1108d0a7p-2, -0x1.2c89bfb1f37fep-2, -0x1.2773a62f81042p-2, -0x1.22689edb10d6bp-2, -0x1.1d68efeaa67f3p-2, -0x1.1874db8e6ed2ap-2, -0x1.138ca006ffdbdp-2, -0x1.0eb077bbc4bf8p-2, -0x1.09e0995192876p-2, -0x1.051d37c155fe5p-2, -0x1.0066826ed1624p-2, -0x1.f7794a7ece8ecp-3, -0x1.ee3f9161bce4cp-3, -0x1.e52023e04b646p-3, -0x1.dc1b45e0045a5p-3, -0x1.d33134ff55896p-3, -0x1.ca6228c28a407p-3, -0x1.c1ae52c086fcap-3, -0x1.b915decf2c347p-3, -0x1.b098f32f65928p-3, -0x1.a837b0b8d2465p-3, -0x1.9ff23304fd9f8p-3, -0x1.97c8909a2c58dp-3, -0x1.8fbadb159e073p-3, -0x1.87c91f555a6ddp-3, -0x1.7ff365a169491p-3, -0x1.7839b1d47f1efp-3, -0x1.709c0384172aep-3, -0x1.691a5627e8cc8p-3, -0x1.61b4a140d039cp-3, -0x1.5a6ad87f01fdfp-3, -0x1.533cebe7a3a95p-3, -0x1.4c2ac7f9bb9d5p-3, -0x1.453455d2700cdp-3, -0x1.3e597b509c379p-3, -0x1.379a1b37b3f8p-3, -0x1.30f61551f5a24p-3, -0x1.2a6d4691ea34fp-3, -0x1.23ff893332199p-3, -0x1.1dacb4da992c5p-3, -0x1.17749eb57ad8fp-3, -0x1.115719986d7ecp-3, -0x1.0b53f61d36e03p-3, -0x1.056b02c00fc43p-3, -0x1.ff3817f85f83ep-4, -0x1.f3cdb8cf426abp-4, -0x1.e896799cd51d6p-4, -0x1.dd91e899f88e9p-4, -0x1.d2bf90d3df95bp-4, -0x1.c81efa5e32318p-4, -0x1.bdafaa83c826bp-4, -0x1.b37123f611d8fp-4, -0x1.a962e6fb26939p-4, -0x1.9f84719a7d886p-4, -0x1.95d53fc851b1p-4, -0x1.8c54cb8fc8545p-4, -0x1.83028d3bbd814p-4, -0x1.79ddfb7e57bfep-4, -0x1.70e68b97583d8p-4, -0x1.681bb17930c61p-4, -0x1.5f7cdfece2b64p-4, -0x1.570988b4ad951p-4, -0x1.4ec11cad8fccp-4, -0x1.46a30befa0594p-4, -0x1.3eaec5ed46101p-4, -0x1.36e3b99151538p-4, -0x1.2f41555bfecdep-4, -0x1.27c7077ee48dap-4, -0x1.20743df7d46fbp-4, -0x1.194866aab4b83p-4, -0x1.1242ef7a566a9p-4, -0x1.0b6346604ea7bp-4, -0x1.04a8d983d71e7p-4, -0x1.fc262e9f76b7bp-5, -0x1.ef42dd0eb6dc4p-5, -0x1.e2a69cb586499p-5, -0x1.d6504cf3c4d8ap-5, -0x1.ca3ece4dcc7d3p-5, -0x1.be71028f747d2p-5, -0x1.b2e5cced7142fp-5, -0x1.a79c122519f01p-5, -0x1.9c92b89a9b127p-5, -0x1.91c8a875a924p-5, -0x1.873ccbbcb32d1p-5, -0x1.7cee0e6ea5bap-5, -0x1.72db5e9b4b27ep-5, -0x1.6903ac7a47e0cp-5, -0x1.5f65ea80cb819p-5, -0x1.56010d75f1fdep-5, -0x1.4cd40c85e9dcfp-5, -0x1.43dde153e36fp-5, -0x1.3b1d880ad1c71p-5, -0x1.3291ff6d09c9p-5, -0x1.2a3a48e2c7be6p-5, -0x1.22156887a16c7p-5, -0x1.1a226536f1b14p-5, -0x1.126048974238fp-5, -0x1.0ace1f24bf43ap-5, -0x1.036af83abbcfbp-5, -0x1.f86bcc389dea1p-6, -0x1.ea5bfbf825c5ep-6, -0x1.dca4b00619134p-6, -0x1.cf441ead86a6fp-6, -0x1.c238843d26f79p-6, -0x1.b5802310776e9p-6, -0x1.a9194397703fep-6, -0x1.9d02345cc986dp-6, -0x1.91394a0af70ecp-6, -0x1.85bcdf6fccb61p-6, -0x1.7a8b557efb443p-6, -0x1.6fa3135348da1p-6, -0x1.6502862ebc928p-6, -0x1.5aa82179a1e2dp-6, -0x1.50925ec094fc9p-6, -0x1.46bfbdb181ac1p-6, -0x1.3d2ec417bc1bfp-6, -0x1.33ddfdd72c745p-6, -0x1.2acbfce69cd04p-6, -0x1.21f7594939057p-6, -0x1.195eb10748afp-6, -0x1.1100a82624e47p-6, -0x1.08dbe89f81893p-6, -0x1.00ef225806b06p-6, -0x1.f272162a98bf5p-7, -0x1.e370bce6759e9p-7, -0x1.d4d7bbb1b4cf5p-7, -0x1.c6a4a0d9475abp-7, -0x1.b8d5061087b07p-7, -0x1.ab669057e1a78p-7, -0x1.9e56efe2a1c22p-7, -0x1.91a3dffbdad21p-7, -0x1.854b26ea9fe9dp-7, -0x1.794a95d57ee6dp-7, -0x1.6da008a549a6cp-7, -0x1.624965e7598a5p-7, -0x1.57449eaf2ce57p-7, -0x1.4c8fae778e376p-7, -0x1.42289b033fadep-7, -0x1.380d743d38995p-7, -0x1.2e3c5418856dfp-7, -0x1.24b35e6fcc4abp-7, -0x1.1b70c0e47cc5ep-7, -0x1.1272b2bdcd109p-7, -0x1.09b774c76a415p-7, -0x1.013d512ffc023p-7, -0x1.f20536cf06bebp-8, -0x1.e20b5ffb2141ep-8, -0x1.d289e8fec6196p-8, -0x1.c37daeabdc642p-8, -0x1.b4e39f47c7265p-8, -0x1.a6b8ba4749e2p-8, -0x1.98fa100a8a2d9p-8, -0x1.8ba4c1990fe19p-8, -0x1.7eb6005df5f91p-8, -0x1.722b0de423532p-8, -0x1.66013b92d70dap-8, -0x1.5a35ea6a5586cp-8, -0x1.4ec68ac0f0912p-8, -0x1.43b09c004ac4p-8, -0x1.38f1ac62f9a6ep-8, -0x1.2e8758b293631p-8, -0x1.246f4c0619107p-8, -0x1.1aa73f80c5c66p-8, -0x1.112cfa116caa8p-8, -0x1.07fe503247dep-8, -0x1.fe3247527bd6ep-9, -0x1.ecf6c6918aca1p-9, -0x1.dc461562936a6p-9, -0x1.cc1c4426584e1p-9, -0x1.bc757be2a087p-9, -0x1.ad4dfdc8a612bp-9, -0x1.9ea222bcb7196p-9, -0x1.906e5adf189e2p-9, -0x1.82af2d164bd89p-9, -0x1.7561369aaa63cp-9, -0x1.68812a8348609p-9, -0x1.5c0bd15445126p-9, -0x1.4ffe088e83c61p-9, -0x1.4454c240e416fp-9, -0x1.390d049ac2676p-9, -0x1.2e23e97ff2a63p-9, -0x1.23969e1e4e27p-9, -0x1.196262849d61cp-9, -0x1.0f84893b0861fp-9, -0x1.05fa76dcfac1bp-9, -0x1.f98343690f28bp-10, -0x1.e7af22ae9a7c6p-10, -0x1.d673bc89ba59bp-10, -0x1.c5cc630d3df8cp-10, -0x1.b5b488a24d31ep-10, -0x1.a627bf4e4ce8bp-10, -0x1.9721b7fb7123dp-10, -0x1.889e41c495f05p-10, -0x1.7a9949441a629p-10, -0x1.6d0ed7e549bd1p-10, -0x1.5ffb133923079p-10, -0x1.535a3c4dcf72bp-10, -0x1.4728af095565cp-10, -0x1.3b62e186f6f75p-10, -0x1.3005637769fcp-10, -0x1.250cdd8413529p-10, -0x1.1a7610b515042p-10, -0x1.103dd5da2756ap-10, -0x1.06611cf6751cep-10, -0x1.f9b9d95dca5f7p-11, -0x1.e75cc376dae58p-11, -0x1.d5a55cb5f5ba8p-11, -0x1.c48e339461afcp-11, -0x1.b411ff79b4a89p-11, -0x1.a42b9fb3cb1a5p-11, -0x1.94d61a74062d6p-11, -0x1.860c9bd1d12cap-11, -0x1.77ca74d238e44p-11, -0x1.6a0b1a74b1c4p-11, -0x1.5cca24c525152p-11, -0x1.50034df23c759p-11, -0x1.43b27168f9cfp-11, -0x1.37d38af53e565p-11, -0x1.2c62b5e6b20a8p-11, -0x1.215c2c3b14f52p-11, -0x1.16bc45cc737cep-11, -0x1.0c7f77841aeaep-11, -0x1.02a252923f7edp-11, -0x1.f2430753973b5p-12, -0x1.dff3a4817f5e6p-12, -0x1.ce503faa20da8p-12, -0x1.bd52ce6aaab6p-12, -0x1.acf5779b40abap-12, -0x1.9d3291f1744c9p-12, -0x1.8e04a2aa7ad0bp-12, -0x1.7f665c3d1286ap-12, -0x1.71529d1448c7fp-12, -0x1.63c46e508575cp-12, -0x1.56b7029076b86p-12, -0x1.4a25b4c20e8cp-12, -0x1.3e0c06f9e0db6p-12, -0x1.3265a15241e41p-12, -0x1.272e50d160fb4p-12, -0x1.1c6206562c5cbp-12, -0x1.11fcd58b7d361p-12, -0x1.07faf3e24caf8p-12, -0x1.fcb16f24eee36p-13, -0x1.ea252d4370972p-13, -0x1.d84a4be2161bcp-13, -0x1.c71a30a0f1066p-13, -0x1.b68e7b2f6a966p-13, -0x1.a6a1038c0b31fp-13, -0x1.974bd84dff146p-13, -0x1.88893cfab9f6dp-13, -0x1.7a53a8668041p-13, -0x1.6ca5c3203287ap-13, -0x1.5f7a65e74fd4cp-13, -0x1.52cc982b9e9d6p-13, -0x1.46978e982e88cp-13, -0x1.3ad6a9a7b4556p-13, -0x1.2f85744302692p-13, -0x1.249fa268cdfb3p-13, -0x1.1a210fdf6b158p-13, -0x1.1005beee5e7dp-13, -0x1.0649d7217d0e3p-13, -0x1.f9d3482aaa00cp-14, -0x1.e7c328963f346p-14, -0x1.d65c700b8bb49p-14, -0x1.c598805e55712p-14, -0x1.b570fa89d240cp-14, -0x1.a5dfbc9967288p-14, -0x1.96dedfa1ba703p-14, -0x1.8868b5c773b65p-14, -0x1.7a77c855205aep-14, -0x1.6d06d5df90ef4p-14, -0x1.6010d077f0b7fp-14, -0x1.5390dbeade0ffp-14, -0x1.47824c0c5e34ap-14, -0x1.3be0a3114aa63p-14, -0x1.30a78ff48146ap-14, -0x1.25d2ece9d252ep-14, -0x1.1b5ebddab9104p-14, -0x1.11472ef07c37dp-14, -0x1.0788932952e57p-14, -0x1.fc3ec5eef30b6p-15, -0x1.ea1075d7b66b8p-15, -0x1.d87fb4d52aad2p-15, -0x1.c78644d52576bp-15, -0x1.b71e287cc2de2p-15, -0x1.a741a0cef22edp-15, -0x1.97eb2ae4138a1p-15, -0x1.89157db5c9767p-15, -0x1.7abb87fa470aep-15, -0x1.6cd86e12f4754p-15, -0x1.5f67880a6031cp-15, -0x1.52645fa4f39e1p-15, -0x1.45caae7feb6d9p-15, -0x1.39965c3faed23p-15, -0x1.2dc37cd02490dp-15, -0x1.224e4eafa44c2p-15, -0x1.1733394b7666ap-15, -0x1.0c6ecb6784e78p-15, -0x1.01fdb99618bccp-15, -0x1.efb9b97796cf9p-16, -0x1.dc1261403537cp-16, -0x1.c8ffa514ab809p-16, -0x1.b67bffd97cc78p-16, -0x1.a4822a2daa272p-16, -0x1.930d17ef80815p-16, -0x1.8217f5cf9b087p-16, -0x1.719e270113fe5p-16, -0x1.619b42f7f4498p-16, -0x1.520b134010324p-16, -0x1.42e99164711cap-16, -0x1.3432e4eff4047p-16, -0x1.25e3617677f6cp-16, -0x1.17f784ba42e1p-16, -0x1.0a6bf4d8b4fd8p-16, -0x1.fa7afd202b3f7p-17, -0x1.e0d22724d1fc2p-17, -0x1.c7d791cfea0eap-17, -0x1.af85aac15e39ap-17, -0x1.97d72030b1f65p-17, -0x1.80c6de052b2ccp-17, -0x1.6a500b157b0b4p-17, -0x1.546e067abd38dp-17, -0x1.3f1c64ff82215p-17, -0x1.2a56eeaaac4a7p-17, -0x1.16199c627458ep-17, -0x1.026095a30aa1ep-17, -0x1.de505ca01edb4p-18, -0x1.b8d9c93d2054p-18, -0x1.9456be18d5f97p-18, -0x1.70c0d4e743cfbp-18, -0x1.4e11f05c7be41p-18, -0x1.2c4438978c9aep-18, -0x1.0b5217c1141e7p-18, -0x1.d66c6d7f56f2fp-19, -0x1.97d6f4258b3f6p-19, -0x1.5ad9fdb571133p-19, -0x1.1f6c2fdf222a5p-19, -0x1.cb092c9136386p-20, -0x1.5a353a7c6ef7dp-20, -0x1.d89832a61d306p-21, -0x1.027c0cf40b4c1p-21, -0x1.8fbe3c35791d9p-24, 0x1.32234602dbce9p-22, 0x1.5ebc11d9b115ep-21, 0x1.0f9126ef442c5p-20, 0x1.6d2f0c952046ep-20, 0x1.c8441ec428f69p-20, 0x1.106e26a226285p-19, 0x1.3b818cb79592ep-19, 0x1.6561ce3dd6f31p-19, 0x1.8e1446be61c34p-19, 0x1.b59e2395d8779p-19, 0x1.dc0466afed23cp-19, 0x1.00a5f48a55d95p-18, 0x1.12bcaeb1e2856p-18, 0x1.2448a919ca5e2p-18, 0x1.354c1a1b9b257p-18, 0x1.45c92837d34b5p-18, 0x1.55c1eb0e6beb9p-18, 0x1.65386c51b384fp-18, 0x1.742ea8aa3be86p-18, 0x1.82a69090e4ea9p-18, 0x1.90a2091b4af5p-18, 0x1.9e22ecb6775ddp-18, 0x1.ab2b0be4d2e32p-18, 0x1.b7bc2de44f929p-18, 0x1.c3d8114fb5889p-18, 0x1.cf806cba3123p-18, 0x1.dab6ef39421bbp-18, 0x1.e57d40ed8a1dfp-18, 0x1.efd5037e099bap-18, 0x1.f9bfd28eed01cp-18, 0x1.019fa216ccf34p-17, 0x1.062a7499f4f77p-17, 0x1.0a8126d629bf2p-17, 0x1.0ea47c93f53dp-17, 0x1.1295378949142p-17, 0x1.1654177ec8a37p-17, 0x1.19e1da72a5113p-17, 0x1.1d3f3cb99b98dp-17, 0x1.206cf91cbccd6p-17, 0x1.236bc8f5bf53p-17, 0x1.263c64466d148p-17, 0x1.28df81d126536p-17, 0x1.2b55d72bbd5f1p-17, 0x1.2da018d3958bep-17, 0x1.2fbefa3f40905p-17, 0x1.31b32debf4becp-17, 0x1.337d656c319a8p-17, 0x1.351e5172c60c7p-17, 0x1.3696a1de7eec3p-17, 0x1.37e705c1e90cep-17, 0x1.39102b6b4b357p-17, 0x1.3a12c06b209aap-17, 0x1.3aef719a288fp-17, 0x1.3ba6eb1b60a54p-17, 0x1.3c39d86209227p-17, 0x1.3ca8e43214d39p-17, 0x1.3cf4b8a1ead5cp-17, 0x1.3d1dff1aaa08dp-17, 0x1.3d256058508bep-17, 0x1.3d0b846874992p-17, 0x1.3cd112a8f676cp-17, 0x1.3c76b1c5237edp-17, 0x1.3bfd07b403098p-17, 0x1.3b64b9b4d87b2p-17, 0x1.3aae6c4a0be32p-17, 0x1.39dac336b3a03p-17, 0x1.38ea617945837p-17, 0x1.37dde946b0948p-17, 0x1.36b5fc052f105p-17, 0x1.35733a46ea6f6p-17, 0x1.341643c47fb71p-17, 0x1.329fb757a1e9ap-17, 0x1.311032f36e99ap-17, 0x1.2f68539fc4101p-17, 0x1.2da8b572a4aa5p-17, 0x1.2bd1f3894fb68p-17, 0x1.29e4a801ff771p-17, 0x1.27e16bf5c2d29p-17, 0x1.25c8d771ffd28p-17, 0x1.239b8170a915ap-17, 0x1.2159ffd28aa53p-17, 0x1.1f04e7589d53fp-17, 0x1.1c9ccb9eb7727p-17, 0x1.1a223f133958bp-17, 0x1.1795d2f23ea79p-17, 0x1.14f8173ebe34cp-17, 0x1.12499abc63df1p-17, 0x1.0f8aeae91cb54p-17, 0x1.0cbc93f7afe38p-17, 0x1.09df20ca8b133p-17, 0x1.06f31aecc5159p-17, 0x1.03f90a8d2330dp-17, 0x1.00f176788c017p-17, 0x1.fbb9c82a80744p-18, 0x1.f577aebc614afp-18, 0x1.ef1da5ba91ed4p-18, 0x1.e8acaf4efbf1dp-18, 0x1.e225cab0b78adp-18, 0x1.db89f4190653ap-18, 0x1.d4da24bcd9fd4p-18, 0x1.ce1752c58114ap-18, 0x1.c742714925f42p-18, 0x1.c05c704252a91p-18, 0x1.b9663c89b4bb6p-18, 0x1.b260bfd064f7dp-18, 0x1.ab4ce098d0736p-18, 0x1.a42b8233ecdep-18, 0x1.9cfd84b9a065ep-18, 0x1.95c3c5061ca96p-18, 0x1.8e7f1cb4c06bcp-18, 0x1.8730621b38fc6p-18, 0x1.7fd86845569bap-18, 0x1.7877fef597fc2p-18, 0x1.710ff29f4b6d1p-18, 0x1.69a10c6593ce2p-18, 0x1.622c121866b21p-18, 0x1.5ab1c63397166p-18, 0x1.5332e7dd606abp-18, 0x1.4bb032e62a9d3p-18, 0x1.442a5fc813a41p-18, 0x1.3ca223a6fb98bp-18, 0x1.35183050b31f6p-18, 0x1.2d8d343d9ed45p-18, 0x1.2601da8f51e4p-18, 0x1.1e76cb14b5097p-18, 0x1.16ecaa4af5c97p-18, 0x1.0f64195f950b7p-18, 0x1.07ddb6314df8ap-18, 0x1.005a1b5382c84p-18, 0x1.f1b3c0214cd9fp-19, 0x1.e2bb30db265e4p-19, 0x1.d3cbaa59e7736p-19, 0x1.c4e647a815db5p-19, 0x1.b60c1d59fb227p-19, 0x1.a73e39992b867p-19, 0x1.987da42a7a2p-19, 0x1.89cb5e7677df7p-19, 0x1.7b2863945c801p-19, 0x1.6c95a857dd763p-19, 0x1.5e141b591e88ap-19, 0x1.4fa4a4fdcc722p-19, 0x1.41482787d2e63p-19, 0x1.32ff7f1ee6745p-19, 0x1.24cb81dd4dacbp-19, 0x1.16acffde079b1p-19, 0x1.08a4c34a1eb2p-19, 0x1.f56720cc6d042p-20, 0x1.d9b44b3cdee15p-20, 0x1.be32772e39448p-20, 0x1.a2e30a6d24edap-20, 0x1.87c75f6ca41aap-20, 0x1.6ce0c564301d7p-20, 0x1.52308072b9dd8p-20, 0x1.37b7c9b6252cep-20, 0x1.1d77cf6c4f281p-20, 0x1.0371b51396919p-20, 0x1.d34d27125bf6p-21, 0x1.a02ef257ef747p-21, 0x1.6d8ad3f290b4dp-21, 0x1.3b62bf7022438p-21, 0x1.09b89423aaa8p-21, 0x1.b11c3ad6062d4p-22, 0x1.4fca25eee1875p-22, 0x1.defc641867a5dp-23, 0x1.207702bd8df42p-23, 0x1.90288279e2b9p-25, -0x1.59124f18e32e7p-25, -0x1.0e6fb54ffc7c8p-23, -0x1.c47227314c9f8p-23, -0x1.3c2389d995a01p-22, -0x1.94f4f5a19b067p-22, -0x1.ecab319a34738p-22, -0x1.21a21d3236cdap-21, -0x1.4c5f16f885d2ap-21, -0x1.768ba57c76d16p-21, -0x1.a026f83f2cd2dp-21, -0x1.c9304e9a7a36bp-21, -0x1.f1a6f77daabb2p-21, -0x1.0cc528930c935p-20, -0x1.206ce46c8b7d3p-20, -0x1.33ca6d4cbf677p-20, -0x1.46dd886f02576p-20, -0x1.59a6022b49c21p-20, -0x1.6c23add011718p-20, -0x1.7e56657f11396p-20, -0x1.903e0a0c2e85cp-20, -0x1.a1da82da320ffp-20, -0x1.b32bbdb99239ep-20, -0x1.c431aec1a57bep-20, -0x1.d4ec5032fddccp-20, -0x1.e55ba2546749cp-20, -0x1.f57fab528cff5p-20, -0x1.02ac3b8f24d7bp-19, -0x1.0a730ba56fb84p-19, -0x1.121451771205ep-19, -0x1.19901b3f64885p-19, -0x1.20e679d8ab5b2p-19, -0x1.281780af18e78p-19, -0x1.2f2345aed2467p-19, -0x1.3609e1343a708p-19, -0x1.3ccb6dfd81663p-19, -0x1.4368091998f45p-19, -0x1.49dfd1da80f0fp-19, -0x1.5032e9c404a8dp-19, -0x1.5661747d6364dp-19, -0x1.5c6b97c3b8e5bp-19, -0x1.62517b59901cp-19, -0x1.681348f954498p-19, -0x1.6db12c472b19bp-19, -0x1.732b52c1b4d76p-19, -0x1.7881ebb4b4e4ap-19, -0x1.7db5282a7bfebp-19, -0x1.82c53adea576ap-19, -0x1.87b258304044p-19, -0x1.8c7cb614f89dap-19, -0x1.91248c0ad418dp-19, -0x1.95aa130bdbcefp-19, -0x1.9a0d8581855fep-19, -0x1.9e4f1f369361bp-19, -0x1.a26f1d4c01c4dp-19, -0x1.a66dbe2b998b7p-19, -0x1.aa4b417cdf7b8p-19, -0x1.ae07e817d9fdap-19, -0x1.b1a3f3fa1804dp-19, -0x1.b51fa83b26b25p-19, -0x1.b87b48ffdfd2fp-19, -0x1.bbb71b70804aep-19, -0x1.bed365ad13ebfp-19, -0x1.c1d06ec1bbd49p-19, -0x1.c4ae7e9d62ce1p-19, -0x1.c76dde0598728p-19, -0x1.ca0ed68d886a2p-19, -0x1.cc91b28a83a8p-19, -0x1.cef6bd0b17efep-19, -0x1.d13e41cc07c12p-19, -0x1.d3688d2f06c78p-19, -0x1.d575ec324b02fp-19, -0x1.d766ac655a9d7p-19, -0x1.d93b1be0ee5afp-19, -0x1.daf3893defc17p-19, -0x1.dc90438c1b989p-19, -0x1.de119a49b10b9p-19, -0x1.df77dd5a3bef3p-19, -0x1.e0c35cfff43c3p-19, -0x1.e1f469d26f8bbp-19, -0x1.e30b54b5ca7b9p-19, -0x1.e4086ed489dc8p-19, -0x1.e4ec099693169p-19, -0x1.e5b6769a74001p-19, -0x1.e66807ad4674cp-19, -0x1.e7010ec43f146p-19, -0x1.e781ddf53dc99p-19, -0x1.e7eac76ef5664p-19, -0x1.e83c1d7558cbcp-19, -0x1.e8763257ef049p-19, -0x1.e899586c03ffdp-19, -0x1.e8a5e207671b4p-19, -0x1.e89c217913e0bp-19, -0x1.e87c6903b811ap-19, -0x1.e8470ad7d4d25p-19, -0x1.e7fc590e082e7p-19, -0x1.e79ca5a2b890ap-19, -0x1.e728426ee1d03p-19, -0x1.e69f812336e29p-19, -0x1.e602b3439d79dp-19, -0x1.e5522a21bf049p-19, -0x1.e48e36d8844cfp-19, -0x1.e3b72a46924b4p-19, -0x1.e2cd550a811e8p-19, -0x1.e1d1077daa26dp-19, -0x1.e0c291b070dcep-19, -0x1.dfa24367054aap-19, -0x1.de706c139bb1dp-19, -0x1.dd2d5ad2ab95bp-19, -0x1.dbd95e67a2106p-19, -0x1.da74c538ac6bp-19, -0x1.d8ffdd4b4e33bp-19, -0x1.d77af440c371cp-19, -0x1.d5e65752c976p-19, -0x1.d4425351c21f2p-19, -0x1.d28f349f3deefp-19, -0x1.d0cd472bc8d6ap-19, -0x1.cefcd6739f6d8p-19, -0x1.cd1e2d7d21c2ap-19, -0x1.cb3196d4acf2p-19, -0x1.c9375c8aafffap-19, -0x1.c72fc830353ebp-19, -0x1.c51b22d5dd2eap-19, -0x1.c2f9b507c1dcfp-19, -0x1.c0cbc6ce33f99p-19, -0x1.be919fa944defp-19, -0x1.bc4b868ed233cp-19, -0x1.b9f9c1e879569p-19, -0x1.b79c979247dddp-19, -0x1.b5344cd86a6a4p-19, -0x1.b2c12675de4e2p-19, -0x1.b0436892633dfp-19, -0x1.adbb56c202d5cp-19, -0x1.ab29340359e92p-19, -0x1.a88d42bcfc654p-19, -0x1.a5e7c4bd0b3fp-19, -0x1.a338fb370cc6ep-19, -0x1.a08126c4c15fcp-19, -0x1.9dc0876345a92p-19, -0x1.9af75c729285ep-19, -0x1.9825e4b3fae1ap-19, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.52835cd7b1d96p-8, 0x1.528d89be99431p-7, 0x1.fbd670b7e5ab3p-7, 0x1.5275302441bedp-6, 0x1.a6b6b68cab8d6p-6, 0x1.fa6d35594d806p-6, 0x1.26a1c7d91a739p-5, 0x1.4f6a9f9113fb1p-5, 0x1.7758f52a6a20dp-5, 0x1.9e308bca1d199p-5, 0x1.c3b2de7d818cap-5, 0x1.e7a0c3d06ac1dp-5, 0x1.04ddf0f1a9f56p-4, 0x1.14e3f6f6b8bd4p-4, 0x1.23c5db141c392p-4, 0x1.3168fbeb6ac34p-4, 0x1.3db5026912193p-4, 0x1.48941e7fba78cp-4, 0x1.51f33049db2fp-4, 0x1.59c1e0127f684p-4, 0x1.5ff2a7b7e12b3p-4, 0x1.647acfb87f443p-4, 0x1.6752620d8f08bp-4, 0x1.687414c1c3d2cp-4, 0x1.67dd2dfd5b96dp-4, 0x1.658d630ae7206p-4, 0x1.6186b3a512dc7p-4, 0x1.5bcd42ae071a7p-4, 0x1.54672d453264ep-4, 0x1.4b5c6108f7fc5p-4, 0x1.40b6722e9eb73p-4, 0x1.348071fbf1a37p-4, 0x1.26c6c6130f969p-4, 0x1.179700e989afp-4, 0x1.06ffbbafeaf38p-4, 0x1.ea20e3bb60eadp-5, 0x1.c3b2bd0e8d34p-5, 0x1.9ad6b72f14d63p-5, 0x1.6faf85f859175p-5, 0x1.4260a39817d77p-5, 0x1.130e1acf82d13p-5, 0x1.c3b8aa3c6fcf1p-6, 0x1.5ddfd9877faf8p-6, 0x1.e9b609f538af4p-7, 0x1.11e65b80a66d3p-7, 0x1.a70ce5a3036c6p-10, -0x1.5991944d279bap-8, -0x1.928b704123bd9p-7, -0x1.3deda9822c5f7p-6, -0x1.b41818bb53945p-6, -0x1.15c1373c6044ep-5, -0x1.51f5dff3a41bep-5, -0x1.8e8a76ac5c61cp-5, -0x1.cb605e43a6bffp-5, -0x1.042cfbb1742ecp-4, -0x1.22ad54d9f1351p-4, -0x1.412375aa81bf4p-4, -0x1.5f82235856589p-4, -0x1.7dbcaf6c418eep-4, -0x1.9bc6f94223e72p-4, -0x1.b9956ee9104c1p-4, -0x1.d71d0d723556fp-4, -0x1.f45360bbf921ap-4, -0x1.08974162d8a86p-3, -0x1.16d28d4be6f79p-3, -0x1.24d72d65b73c9p-3, -0x1.32a0ffddda981p-3, -0x1.402c26b53305p-3, -0x1.4d75069068054p-3, -0x1.5a78456a9ba64p-3, -0x1.6732c92e42b3dp-3, -0x1.73a1b6379f8aep-3, -0x1.7fc26dc43bccfp-3, -0x1.8b928c524ca1p-3, -0x1.970fe7f2e29dp-3, -0x1.a2388e915c071p-3, -0x1.ad0ac4327affbp-3, -0x1.b785012d3c8b1p-3, -0x1.c1a5f05f5a69cp-3, -0x1.cb6c6d5f49f39p-3, -0x1.d4d782ad40418p-3, -0x1.dde667e4b421p-3, -0x1.e6987fefb075dp-3, -0x1.eeed573d1246ep-3, -0x1.f6e4a1fad055fp-3, -0x1.fe7e3a552f31dp-3, -0x1.02dd0f5dd98e5p-2, -0x1.064c38164c99fp-2, -0x1.098cb843b640dp-2, -0x1.0c9ec073a7216p-2, -0x1.0f829002b794cp-2, -0x1.123874520e819p-2, -0x1.14c0c80165d4ap-2, -0x1.171bf22dab696p-2, -0x1.194a65b463539p-2, -0x1.1b4ca07be3ba3p-2, -0x1.1d232ac07a89fp-2, -0x1.1ece9666936dp-2, -0x1.204f7e51de08bp-2, -0x1.21a685c18292cp-2, -0x1.22d457b166f2bp-2, -0x1.23d9a6407c834p-2, -0x1.24b72a1c1a6a2p-2, -0x1.256da1f058352p-2, -0x1.25fdd1dd6456ap-2, -0x1.266882f1c86f4p-2, -0x1.26ae82a98b1dcp-2, -0x1.26d0a272276bcp-2, -0x1.26cfb733467c3p-2, -0x1.26ac98dc242d4p-2, -0x1.266821f595e13p-2, -0x1.26032f3895866p-2, -0x1.257e9f29441d3p-2, -0x1.24db51b646b54p-2, -0x1.241a27dc6f5ddp-2, -0x1.233c034e925f8p-2, -0x1.2241c6217708bp-2, -0x1.212c527bcd2ddp-2, -0x1.1ffc8a4a05f0fp-2, -0x1.1eb34ef6022ddp-2, -0x1.1d5181227bb77p-2, -0x1.1bd8006a0788ap-2, -0x1.1a47ab21a96ddp-2, -0x1.18a15e1ece7fap-2, -0x1.16e5f480a28d4p-2, -0x1.1516477ca4516p-2, -0x1.13332e2e5afa2p-2, -0x1.113d7d6a1e80cp-2, -0x1.0f360792d244ap-2, -0x1.0d1d9c727e1fcp-2, -0x1.0af50915ab91ap-2, -0x1.08bd17a976b96p-2, -0x1.06768f5c2ff12p-2, -0x1.04223440853ebp-2, -0x1.01c0c7330ea73p-2, -0x1.fea60b846cba6p-3, -0x1.f9b35430b08f6p-3, -0x1.f4aad5d01ca86p-3, -0x1.ef8df6b52103ap-3, -0x1.ea5e160025514p-3, -0x1.e51c8b8416a12p-3, -0x1.dfcaa7aeadaf5p-3, -0x1.da69b3742bd5ep-3, -0x1.d4faf03e86b8ep-3, -0x1.cf7f97dfc277ep-3, -0x1.c9f8dc876c50dp-3, -0x1.c467e8bafba69p-3, -0x1.becddf510a77cp-3, -0x1.b92bdb6f394a5p-3, -0x1.b382f08a999a1p-3, -0x1.add42a6a8629fp-3, -0x1.a8208d2dc8ab6p-3, -0x1.a2691551e6eap-3, -0x1.9caeb7bc817d5p-3, -0x1.96f261c69ff09p-3, -0x1.9134f949d7066p-3, -0x1.8b775caf2345ep-3, -0x1.85ba62ff64773p-3, -0x1.7ffedbf55c26dp-3, -0x1.7a4590111770cp-3, -0x1.748f40acafd73p-3, -0x1.6edca812453e3p-3, -0x1.692e799316a72p-3, -0x1.6385619fb8cc1p-3, -0x1.5de205e135d4p-3, -0x1.58450553226fep-3, -0x1.52aef85e755cbp-3, -0x1.4d2070f52a162p-3, -0x1.4799faae88e6fp-3, -0x1.421c1ae411b38p-3, -0x1.3ca750cee1ea1p-3, -0x1.373c15a5a8f1ap-3, -0x1.31dadcbaf48fp-3, -0x1.2c84139be6d78p-3, -0x1.2738222f2efd8p-3, -0x1.21f76ad4495cp-3, -0x1.1cc24a82ef027p-3, -0x1.179918eaab135p-3, -0x1.127c28928eeb8p-3, -0x1.0d6bc6f8ee34dp-3, -0x1.08683cb3290bp-3, -0x1.0371cd8d69d08p-3, -0x1.fd117154a81eap-4, -0x1.f35a71453e3bcp-4, -0x1.e9bf07491b2bdp-4, -0x1.e03f97267a6a9p-4, -0x1.d6dc7c4b7ea9dp-4, -0x1.cd960a0c0c8b8p-4, -0x1.c46c8bdf0fd33p-4, -0x1.bb60459b402b1p-4, -0x1.b27173b352231p-4, -0x1.a9a04b7182d1ap-4, -0x1.a0ecfb327c54fp-4, -0x1.9857aa9f7c27bp-4, -0x1.8fe07ae7c6325p-4, -0x1.878786f94abc8p-4, -0x1.7f4ce3b881e1fp-4, -0x1.7730a037700d4p-4, -0x1.6f32c5ebd1e3ap-4, -0x1.675358e464e5bp-4, -0x1.5f9257fd4cf38p-4, -0x1.57efbd138db98p-4, -0x1.506b7d3796454p-4, -0x1.490588dedc4afp-4, -0x1.41bdcc147ed71p-4, -0x1.3a942ea8f558fp-4, -0x1.33889460c3fd5p-4, -0x1.2c9add22311fbp-4, -0x1.25cae5220362dp-4, -0x1.1f18850f3ef12p-4, -0x1.1883923de3d35p-4, -0x1.120bded0b0021p-4, -0x1.0bb139e1e071ap-4, -0x1.05736faaf5d7dp-4, -0x1.fea49356f5c6ep-5, -0x1.f29b1d9d9a983p-5, -0x1.e6ca0721dbe9ep-5, -0x1.db30d444a4ff3p-5, -0x1.cfcf0515899cp-5, -0x1.c4a415968bc8dp-5, -0x1.b9af7dfdff9p-5, -0x1.aef0b2f68b4c8p-5, -0x1.a46725dd442f4p-5, -0x1.9a1244fdf3a62p-5, -0x1.8ff17bcd89839p-5, -0x1.86043322b97e2p-5, -0x1.7c49d16cd8ca6p-5, -0x1.72c1bae8f1414p-5, -0x1.696b51d51a414p-5, -0x1.6045f6a2239c9p-5, -0x1.57510823858dep-5, -0x1.4e8be3bdb3f6fp-5, -0x1.45f5e592ce397p-5, -0x1.3d8e68adb2b35p-5, -0x1.3554c72b87d06p-5, -0x1.2d485a63b23fcp-5, -0x1.25687b0e50ed9p-5, -0x1.1db481693c4b1p-5, -0x1.162bc55b8dd19p-5, -0x1.0ecd9e97c428cp-5, -0x1.079964bc7c8d3p-5, -0x1.008e6f73d475bp-5, -0x1.f3582d22f39c8p-6, -0x1.e5e3645ed444p-6, -0x1.d8bd3592d9547p-6, -0x1.cbe452aeb3d24p-6, -0x1.bf576ecc4795bp-6, -0x1.b3153e5f66d3ap-6, -0x1.a71c77634e07bp-6, -0x1.9b6bd185d9ecp-6, -0x1.9002065092eeep-6, -0x1.84ddd14f98b5bp-6, -0x1.79fdf0368e0adp-6, -0x1.6f61230372eb5p-6, -0x1.65062c1f96ecap-6, -0x1.5aebd07ea6cb4p-6, -0x1.5110d7bbea3e4p-6, -0x1.47740c35af3fep-6, -0x1.3e143b270e6bp-6, -0x1.34f034bff29dfp-6, -0x1.2c06cc3b92538p-6, -0x1.2356d7f549cf9p-6, -0x1.1adf317c01bf3p-6, -0x1.129eb5a411693p-6, -0x1.0a944497c1bb6p-6, -0x1.02bec1e665f11p-6, -0x1.f63a29246ae98p-7, -0x1.e75c4e399e1f2p-7, -0x1.d8e1cf250fc3p-7, -0x1.cac88f2918f01p-7, -0x1.bd0e78c3be8aap-7, -0x1.afb17dbe83acfp-7, -0x1.a2af973c07b8cp-7, -0x1.9606c5c3b93bcp-7, -0x1.89b5114b888bdp-7, -0x1.7db8893fbeb1bp-7, -0x1.720f44890f26ap-7, -0x1.66b76190eb6f4p-7, -0x1.5baf064431e83p-7, -0x1.50f460144a0fdp-7, -0x1.4685a3f6c3d6ep-7, -0x1.3c610e638ea6dp-7, -0x1.3284e351bb981p-7, -0x1.28ef6e32fbadfp-7, -0x1.1f9f01ede0495p-7, -0x1.1691f8d6fcc93p-7, -0x1.0dc6b4a8c3345p-7, -0x1.053b9e7a6cd8cp-7, -0x1.f9de4d6b9c769p-8, -0x1.e9bf8a1884c5dp-8, -0x1.da17f0d54ca69p-8, -0x1.cae48dd8fb86bp-8, -0x1.bc227b9c6ac3p-8, -0x1.adcee2bd8a264p-8, -0x1.9fe6f9e0e0eb9p-8, -0x1.926805920dc4bp-8, -0x1.854f5822dd2dap-8, -0x1.789a518908a2bp-8, -0x1.6c465f3b24b37p-8, -0x1.6050fc0c5ade7p-8, -0x1.54b7b0075bdc9p-8, -0x1.497810485ebap-8, -0x1.3e8fbed6349fdp-8, -0x1.33fc6a7ad0281p-8, -0x1.29bbce9b05f9dp-8, -0x1.1fcbb30dbdd75p-8, -0x1.1629ebf2b9d6cp-8, -0x1.0cd459888eb9p-8, -0x1.03c8e802700e8p-8, -0x1.f60b1ebb01072p-9, -0x1.e510a66bb1fb1p-9, -0x1.d49e8536be9b2p-9, -0x1.c4b0efcc59ba7p-9, -0x1.b5443115dc11fp-9, -0x1.a654a9de017b7p-9, -0x1.97ded07928fd5p-9, -0x1.89df306d47b62p-9, -0x1.7c526a1a38ab4p-9, -0x1.6f3532617528fp-9, -0x1.6284524e1bf2p-9, -0x1.563ca6bd6a273p-9, -0x1.4a5b2006f881dp-9, -0x1.3edcc1a5d02b2p-9, -0x1.33bea1e165ae1p-9, -0x1.28fde976ea9a9p-9, -0x1.1e97d34361f13p-9, -0x1.1489abede2279p-9, -0x1.0ad0d1928a32p-9, -0x1.016ab36e42565p-9, -0x1.f0a9a3155d123p-10, -0x1.df1978d5b1c0cp-10, -0x1.ce20297190ee3p-10, -0x1.bdb915e73c972p-10, -0x1.addfbe3cd7c83p-10, -0x1.9e8fc0e06540ep-10, -0x1.8fc4da088b1e7p-10, -0x1.817ae316d795ap-10, -0x1.73add1fcb358ep-10, -0x1.6659b8a11485dp-10, -0x1.597ac4489df18p-10, -0x1.4d0d3cff7b302p-10, -0x1.410d85052d21cp-10, -0x1.35781839a2a37p-10, -0x1.2a498b8ccb21dp-10, -0x1.1f7e8c6feca86p-10, -0x1.1513e048eef6cp-10, -0x1.0b0663e7c665dp-10, -0x1.01530afe0f9bcp-10, -0x1.efedbf2f7bb87p-11, -0x1.ddde032dc260ep-11, -0x1.cc714c617e029p-11, -0x1.bba22edaae214p-11, -0x1.ab6b675172a9dp-11, -0x1.9bc7da2d8fbap-11, -0x1.8cb2929180b62p-11, -0x1.7e26c168e8e8ep-11, -0x1.701fbc7c3271ap-11, -0x1.6298fd87e5b7p-11, -0x1.558e21580490dp-11, -0x1.48fae6e751f9cp-11, -0x1.3cdb2e839cd4cp-11, -0x1.312af8f4c125fp-11, -0x1.25e666a7bfef8p-11, -0x1.1b09b6dee6bd7p-11, -0x1.109146e4ce12ep-11, -0x1.067991440232ap-11, -0x1.f97e5a049e7f2p-12, -0x1.e6bd99c063786p-12, -0x1.d4aa7d36ffc07p-12, -0x1.c33ed46c6a19ap-12, -0x1.b274a2822b079p-12, -0x1.a2461c53c6e6dp-12, -0x1.92ada71abb444p-12, -0x1.83a5d71a545c9p-12, -0x1.75296e5256e73p-12, -0x1.67335b3833decp-12, -0x1.59beb777a0b2fp-12, -0x1.4cc6c6b9fe5f2p-12, -0x1.4046f5762db9fp-12, -0x1.343ad7c4741a5p-12, -0x1.289e283b3697fp-12, -0x1.1d6cc6d28349ap-12, -0x1.12a2b7cc79902p-12, -0x1.083c22a4f1dc5p-12, -0x1.fc6aa20e5e2f4p-13, -0x1.e9155b94e585dp-13, -0x1.d67187e8d5f43p-13, -0x1.c4787b82b862fp-13, -0x1.b323c7656c9fbp-13, -0x1.a26d374702dbfp-13, -0x1.924ecfc467c93p-13, -0x1.82c2cca02346p-13, -0x1.73c39f0c40204p-13, -0x1.654bec00dbbb5p-13, -0x1.57568a9bcb5e9p-13, -0x1.49de828a97d54p-13, -0x1.3cdf0a81664c4p-13, -0x1.305386b8d89d3p-13, -0x1.2437877796962p-13, -0x1.1886c7a47d38fp-13, -0x1.0d3d2b640e7bap-13, -0x1.0256bebe26a06p-13, -0x1.ef9f689a6f9ap-14, -0x1.db48c7ed6907ap-14, -0x1.c7a2935ad8e3cp-14, -0x1.b4a6087453a3fp-14, -0x1.a24ca81db5418p-14, -0x1.9090343fcdb2dp-14, -0x1.7f6aad920154dp-14, -0x1.6ed6516eb432dp-14, -0x1.5ecd97b83f0c1p-14, -0x1.4f4b30ce1f037p-14, -0x1.404a0393b218fp-14, -0x1.31c52b7ee9c98p-14, -0x1.23b7f6bde6455p-14, -0x1.161de45fa3139p-14, -0x1.08f2a294102a2p-14, -0x1.f86419ee49738p-15, -0x1.dfb055cd07d8p-15, -0x1.c7c25bc8673edp-15, -0x1.b092e015ca4f1p-15, -0x1.9a1ae50d025e2p-15, -0x1.8453b83dec503p-15, -0x1.6f36ef98bed16p-15, -0x1.5abe66a6693e8p-15, -0x1.46e43be256073p-15, -0x1.33a2ce261b7cdp-15, -0x1.20f4ba25b604dp-15, -0x1.0ed4d802e0051p-15, -0x1.fa7c71f65737fp-16, -0x1.d8584a3815eb4p-16, -0x1.b73432267b99dp-16, -0x1.97078824b51a5p-16, -0x1.77ca0b761d6f8p-16, -0x1.5973d852e03d1p-16, -0x1.3bfd640d08cbcp-16, -0x1.1f5f79599a969p-16, -0x1.039334c3fa427p-16, -0x1.d124026acad34p-17, -0x1.9cab29422f023p-17, -0x1.69afd98c2ad3fp-17, -0x1.3826982d83531p-17, -0x1.08046d74aa6a3p-17, -0x1.b27dbeabccf53p-18, -0x1.5797d79c1567ep-18, -0x1.fe880e1b21c72p-19, -0x1.52e012c3a84e2p-19, -0x1.5829aff19c701p-20, -0x1.40a0f10235c9ep-24, 0x1.26de70e8db54bp-20, 0x1.2c665763e9353p-19, 0x1.c0fd6b33d20ddp-19, 0x1.28a82065d4b69p-18, 0x1.6ebcb5f418db2p-18, 0x1.b2c92b38b8072p-18, 0x1.f4d9a76fc86b7p-18, 0x1.1a7ce59a86e72p-17, 0x1.399a5ba9ae0f5p-17, 0x1.57ca898199641p-17, 0x1.75128932aea56p-17, 0x1.91773e284062p-17, 0x1.acfd58099755fp-17, 0x1.c7a955704fb56p-17, 0x1.e17f868cf81a4p-17, 0x1.fa840fa8c66b2p-17, 0x1.095d75bf37b8p-16, 0x1.1513f6cc9ce14p-16, 0x1.20676240ba644p-16, 0x1.2b597de57e60fp-16, 0x1.35ebff114bb34p-16, 0x1.40208b98385a5p-16, 0x1.49f8bab9ab0c4p-16, 0x1.537615f95416fp-16, 0x1.5c9a19f9accd7p-16, 0x1.6566374353c33p-16, 0x1.6ddbd3014727p-16, 0x1.75fc47be57d86p-16, 0x1.7dc8e61213d38p-16, 0x1.8542f5467d615p-16, 0x1.8c6bb3f1f7c97p-16, 0x1.9344588e93b82p-16, 0x1.99ce120811051p-16, 0x1.a00a083f3a89ep-16, 0x1.a5f95c8b2b4dfp-16, 0x1.ab9d2a2f45dcap-16, 0x1.b0f686ce6f35ap-16, 0x1.b60682cf744d7p-16, 0x1.bace29c783ffbp-16, 0x1.bf4e82dabf236p-16, 0x1.c388910ec426ep-16, 0x1.c77d53a24afcfp-16, 0x1.cb2dc659beddfp-16, 0x1.ce9ae1cb8aee7p-16, 0x1.d1c59ba11a82p-16, 0x1.d4aee6d89a7b1p-16, 0x1.d757b401fb0e4p-16, 0x1.d9c0f1773ee15p-16, 0x1.dbeb8b89c2f33p-16, 0x1.ddd86cb98a52ap-16, 0x1.df887ddf606b7p-16, 0x1.e0fca65367797p-16, 0x1.e235cc13ec285p-16, 0x1.e334d3e775442p-16, 0x1.e3faa17dde6afp-16, 0x1.e4881789a54eap-16, 0x1.e4de17da8a5acp-16, 0x1.e4fd837648cdep-16, 0x1.e4e73aadf60e9p-16, 0x1.e49c1d2bcea75p-16, 0x1.e41d0a072be16p-16, 0x1.e36adfd361d98p-16, 0x1.e2867ca945358p-16, 0x1.e170be30e79d1p-16, 0x1.e02a81abcf6a6p-16, 0x1.deb4a3fc72f5p-16, 0x1.dd1001ac7b21p-16, 0x1.db3d76eaeeff6p-16, 0x1.d93ddf944d9f6p-16, 0x1.d7121731bba5dp-16, 0x1.d4baf8f975df9p-16, 0x1.d2395fcb834cdp-16, 0x1.cf8e263353758p-16, 0x1.ccba2662769cep-16, 0x1.c9be3a2adc2d6p-16, 0x1.c69b3afa6993ep-16, 0x1.c35201d61a369p-16, 0x1.bfe36756de2cep-16, 0x1.bc50439d7ce3ap-16, 0x1.b8996e4bfe3edp-16, 0x1.b4bfbe7e8738p-16, 0x1.b0c40ac203b84p-16, 0x1.aca7290ad6ed4p-16, 0x1.a869eeab1ca78p-16, 0x1.a40d304aa01b9p-16, 0x1.9f91c1da76777p-16, 0x1.9af8768a2cfdfp-16, 0x1.964220bc86b87p-16, 0x1.916f91fe1a111p-16, 0x1.8c819afc2a3a9p-16, 0x1.87790b7641719p-16, 0x1.8256b23386b96p-16, 0x1.7d1b5cf7d2becp-16, 0x1.77c7d876d4f93p-16, 0x1.725cf04a2ed7cp-16, 0x1.6cdb6ee5e0bf3p-16, 0x1.67441d8cbe3c1p-16, 0x1.6197c4457f4bbp-16, 0x1.5bd729cd9f97cp-16, 0x1.5603138f69106p-16, 0x1.501c45953e85ep-16, 0x1.4a2382839b642p-16, 0x1.44198b89c75dep-16, 0x1.3dff20598d0cdp-16, 0x1.37d4ff1b32336p-16, 0x1.319be463a5a65p-16, 0x1.2b548b29b3e3cp-16, 0x1.24ffacbf8d07bp-16, 0x1.1e9e00c5cf43cp-16, 0x1.18303d23e1118p-16, 0x1.11b715fe4322ap-16, 0x1.0b333dad3194ep-16, 0x1.04a564b43fe89p-16, 0x1.fc1c73758a6d2p-17, 0x1.eedcd309df23bp-17, 0x1.e18d3dd4cd59ap-17, 0x1.d42f059e24422p-17, 0x1.c6c378389066cp-17, 0x1.b94bdf70677e7p-17, 0x1.abc98102a524ap-17, 0x1.9e3d9e9154f55p-17, 0x1.90a975943887cp-17, 0x1.830e3f4e2adc1p-17, 0x1.756d30c3057d2p-17, 0x1.67c77aab7ed21p-17, 0x1.5a1e496c4dbe9p-17, 0x1.4c72c50f061cap-17, 0x1.3ec6113a953b1p-17, 0x1.31194d28206bcp-17, 0x1.236d939dd28a9p-17, 0x1.15c3fae628b0fp-17, 0x1.081d94ca26d4bp-17, 0x1.f4f6dd16ec22cp-18, 0x1.d9bd21c84da92p-18, 0x1.be8ffffca812ap-18, 0x1.a37176dd35bf9p-18, 0x1.88637c68cd804p-18, 0x1.6d67fd68cef8ap-18, 0x1.5280dd6b571acp-18, 0x1.37aff6c4e78ffp-18, 0x1.1cf71a91fdb3dp-18, 0x1.025810aec44dfp-18, 0x1.cfa92f6f23a0bp-19, 0x1.9adcca15db6eep-19, 0x1.664e498cb596p-19, 0x1.3200f3997bfe2p-19, 0x1.fbeff7221bf6cp-20, 0x1.946d04e314665p-20, 0x1.2d7f2da54f444p-20, 0x1.8e58d3fce48ebp-21, 0x1.85ea37eea5d17p-22, -0x1.c85b5d3a74091p-27, -0x1.9fbf632475275p-22, -0x1.973ae1edf71e3p-21, -0x1.2e943bde082c3p-20, -0x1.90cf19f3c835p-20, -0x1.f2490f43cc187p-20, -0x1.297ea1a44bd87p-19, -0x1.5973805fc49a5p-19, -0x1.8900daafdeeafp-19, -0x1.b82478da2fe74p-19, -0x1.e6dc345e681a8p-19, -0x1.0a92fbf3fe957p-18, -0x1.217fdf97b771ep-18, -0x1.3833cb6690dfap-18, -0x1.4eadce1206c6p-18, -0x1.64ecfe9bc3422p-18, -0x1.7af07c47cfcb5p-18, -0x1.90b76e7f82cdap-18, -0x1.a64104c668983p-18, -0x1.bb8c76a4fd89fp-18, -0x1.d09903963f735p-18, -0x1.e565f2f491bd4p-18, -0x1.f9f293e1e41dfp-18, -0x1.071f1e9a8ff94p-17, -0x1.112426b170f96p-17, -0x1.1b08153225871p-17, -0x1.24caa0d4ba377p-17, -0x1.2e6b83feb2d64p-17, -0x1.37ea7cb84dfa9p-17, -0x1.41474ca17cccdp-17, -0x1.4a81b8e6c5e78p-17, -0x1.53998a354de27p-17, -0x1.5c8e8cac550b1p-17, -0x1.65608fd58aab1p-17, -0x1.6e0f6695a59c4p-17, -0x1.769ae72333e3fp-17, -0x1.7f02eaf9f7503p-17, -0x1.87474ecda0ac8p-17, -0x1.8f67f27e3cbf5p-17, -0x1.9764b90bf2e71p-17, -0x1.9f3d888911ed6p-17, -0x1.a6f24a105b7b7p-17, -0x1.ae82e9b7a9b07p-17, -0x1.b5ef56828930ap-17, -0x1.bd378256e9dedp-17, -0x1.c45b61f02c369p-17, -0x1.cb5aecd37fe08p-17, -0x1.d2361d4195baep-17, -0x1.d8ecf02b08846p-17, -0x1.df7f6524de079p-17, -0x1.e5ed7e5a955ecp-17, -0x1.ec374082d0796p-17, -0x1.f25cb2d33f65ap-17, -0x1.f85ddef2ad241p-17, -0x1.fe3ad0ee81588p-17, -0x1.01f9cb9610cf5p-16, -0x1.04c4212f784e4p-16, -0x1.077c72bd26364p-16, -0x1.0a22cad3f43d9p-16, -0x1.0cb7351c3ca28p-16, -0x1.0f39be4cb4f53p-16, -0x1.11aa7424f6bb9p-16, -0x1.14096565b87ep-16, -0x1.1656a1cd32b86p-16, -0x1.18923a0f4ca6cp-16, -0x1.1abc3fd0c428dp-16, -0x1.1cd4c5a10ff21p-16, -0x1.1edbdef4add06p-16, -0x1.20d1a01f6c9f4p-16, -0x1.22b61e4e4743cp-16, -0x1.24896f82cb406p-16, -0x1.264baa8c71fcep-16, -0x1.27fce703061b3p-16, -0x1.299d3d4245222p-16, -0x1.2b2cc6631b39bp-16, -0x1.2cab9c37c4606p-16, -0x1.2e19d9440b3b5p-16, -0x1.2f7798bac4e43p-16, -0x1.30c4f6762dfd8p-16, -0x1.32020ef3b798bp-16, -0x1.332eff505adc8p-16, -0x1.344be540a1116p-16, -0x1.3558df0d663fap-16, -0x1.36560b8efd788p-16, -0x1.37438a274e1cdp-16, -0x1.38217abd5b96ap-16, -0x1.38effdb89fadbp-16, -0x1.39af33fcd8262p-16, -0x1.3a5f3ee472924p-16, -0x1.3b00403baad8p-16, -0x1.3b925a3d108efp-16, -0x1.3c15af8c7de47p-16, -0x1.3c8a6332f2eb1p-16, -0x1.3cf098990e652p-16, -0x1.3d4873842ec75p-16, -0x1.3d921811612fbp-16, -0x1.3dcdaab066b2bp-16, -0x1.3dfb5022d8945p-16, -0x1.3e1b2d7474115p-16, -0x1.3e2d67f7f634cp-16, -0x1.3e322544a275ep-16, -0x1.3e298b30e6052p-16, -0x1.3e13bfce7790bp-16, -0x1.3df0e9677847bp-16, -0x1.3dc12e7a7278fp-16, -0x1.3d84b5b712d3p-16, -0x1.3d3ba5f9b5e15p-16, -0x1.3ce62647c0058p-16, -0x1.3c845dcd59669p-16, -0x1.3c1673d9a7a65p-16, -0x1.3b9c8fdaf13ffp-16, -0x1.3b16d95b3f00bp-16, -0x1.3a8577fdad521p-16, -0x1.39e8937aaafa9p-16, -0x1.3940539d99ab6p-16, -0x1.388ce042814abp-16, -0x1.37ce615147b16p-16, -0x1.3704febb32f56p-16, -0x1.3630e078c4558p-16, -0x1.35522e86820c1p-16, -0x1.346910e1e246fp-16, -0x1.3375af8702c4bp-16, -0x1.3278326e4a1adp-16, -0x1.3170c189f8698p-16, -0x1.305f84c2f91b3p-16, -0x1.2f44a3f63c1cbp-16, -0x1.2e2046f235fdap-16, -0x1.2cf29576d1876p-16, -0x1.2bbbb730250e3p-16, -0x1.2a7bd3b5c9d3dp-16, -0x1.29331287b4437p-16, -0x1.27e19b0cbbcdep-16, -0x1.268794904eebdp-16, -0x1.25252641c34c3p-16, -0x1.23ba7730b7e3p-16, -0x1.2247ae4b2a338p-16, -0x1.20ccf25bef0a1p-16, -0x1.1f4a6a0907e78p-16, -0x1.1dc03bd183b0ap-16, -0x1.1c2e8e0c05197p-16, -0x1.1a9586e4ee452p-16, -0x1.18f54c5d4aa1bp-16, -0x1.174e0448cd229p-16, -0x1.159fd44c1fe88p-16, -0x1.13eae1db31bf4p-16, -0x1.122f52372ddc4p-16, -0x1.106d4a70054dfp-16, -0x1.0ea4ef5fe2886p-16, -0x1.0cd665aad9692p-16, -0x1.0b01d1bd4a53bp-16, }}, 
      {{-0x1.5614ee97c2777p-1, -0x1.56468ebe9c2ep-1, -0x1.5691b94ac7e05p-1, -0x1.56eddea4b6c34p-1, -0x1.5751e9294a616p-1, -0x1.57b52046acbe7p-1, -0x1.580fb061ad4b3p-1, -0x1.585af341293c1p-1, -0x1.58918d298572p-1, -0x1.58af6d37b515fp-1, -0x1.58b1bb69e909cp-1, -0x1.5896bbbb6be2dp-1, -0x1.585dab81014b9p-1, -0x1.58069c9539ea7p-1, -0x1.579250b83ac62p-1, -0x1.570216ae71341p-1, -0x1.5657aa0f630e6p-1, -0x1.55951648b158dp-1, -0x1.54bc9d0d7297ep-1, -0x1.53d0a036189bcp-1, -0x1.52d38ef2b4248p-1, -0x1.51c7d61b9ba3bp-1, -0x1.50afd35fac13ep-1, -0x1.4f8dcb0900e77p-1, -0x1.4e63e00f09cfap-1, -0x1.4d340e2e0b57p-1, -0x1.4c0025bf30b2ap-1, -0x1.4ac9c910c3a7cp-1, -0x1.49926b03372fdp-1, -0x1.485b4eb530e63p-1, -0x1.4725880e3c382p-1, -0x1.45f1fcfd498fp-1, -0x1.44c167453ab9fp-1, -0x1.439456b6a5804p-1, -0x1.426b33ba6827fp-1, -0x1.41464214c97e4p-1, -0x1.4025a3cc90a0ap-1, -0x1.3f095c24d400ap-1, -0x1.3df1529b2e4eap-1, -0x1.3cdd55dea600cp-1, -0x1.3bcd1eb5d8458p-1, -0x1.3ac052ccf313bp-1, -0x1.39b68765bf306p-1, -0x1.38af43e572662p-1, -0x1.37aa043d3f78ap-1, -0x1.36a63b2ba5e0ep-1, -0x1.35a3545564fc9p-1, -0x1.34a0b635ae313p-1, -0x1.339dc3e5c9e9cp-1, -0x1.3299debcde08p-1, -0x1.319467c8e47d2p-1, -0x1.308cc1222c9a7p-1, -0x1.2f824f1af9863p-1, -0x1.2e74794cf997cp-1, -0x1.2d62ab866ddacp-1, -0x1.2c4c5698eaca9p-1, -0x1.2b30f10b9f49ep-1, -0x1.2a0ff7b315053p-1, -0x1.28e8ee30526eep-1, -0x1.27bb5f593d471p-1, -0x1.2686dd8c12135p-1, -0x1.254b02efabda5p-1, -0x1.240771a250326p-1, -0x1.22bbd3d89167ep-1, -0x1.2167dbedce26fp-1, -0x1.200b4467bd04cp-1, -0x1.1ea5cfee56fffp-1, -0x1.1d37493966325p-1, -0x1.1bbf82f4e4709p-1, -0x1.1a3e579d3dd02p-1, -0x1.18b3a9547f9f3p-1, -0x1.171f61b15c062p-1, -0x1.15817188e6cc8p-1, -0x1.13d9d0b3cf693p-1, -0x1.12287dcfd7e66p-1, -0x1.106d7dfe302aap-1, -0x1.0ea8dc9f52a87p-1, -0x1.0cdaab0ceec28p-1, -0x1.0b03005263f2p-1, -0x1.0921f8e43eb92p-1, -0x1.0737b6572358bp-1, -0x1.05445f16826d3p-1, -0x1.03481e1b6e17fp-1, -0x1.014322a3d9969p-1, -0x1.fe6b3fd5111d1p-2, -0x1.fa3f99bfca0b9p-2, -0x1.f603c7c7f093ep-2, -0x1.f1b84503568d5p-2, -0x1.ed5d9256fab48p-2, -0x1.e8f435f3a0e46p-2, -0x1.e47cbad5d11f1p-2, -0x1.dff7b0496dc7ep-2, -0x1.db65a9710bb7ep-2, -0x1.d6c73cd12af5ap-2, -0x1.d21d03df6d887p-2, -0x1.cd679a95dcac6p-2, -0x1.c8a79f0a4cad3p-2, -0x1.c3ddb109e9f61p-2, -0x1.bf0a71b8ee04ep-2, -0x1.ba2e833685ecfp-2, -0x1.b54a8844dbe78p-2, -0x1.b05f23f544d0ep-2, -0x1.ab6cf95886252p-2, -0x1.a674ab3326d8bp-2, -0x1.a176dbb5b9049p-2, -0x1.9c742c3912ba7p-2, -0x1.976d3cfe5eaffp-2, -0x1.9262acf2eec48p-2, -0x1.8d551977bfab2p-2, -0x1.88451e2c92735p-2, -0x1.833354be86d5p-2, -0x1.7e2054ba1d9ebp-2, -0x1.790cb360863e4p-2, -0x1.73f90380263dfp-2, -0x1.6ee5d55036346p-2, -0x1.69d3b64f621f9p-2, -0x1.64c331254e60ep-2, -0x1.5fb4cd86e7d93p-2, -0x1.5aa9101d6682ap-2, -0x1.55a07a6fe4303p-2, -0x1.509b8acf7256ap-2, -0x1.4b9abc4590154p-2, -0x1.469e8684eaf1ap-2, -0x1.41a75ddc4bedcp-2, -0x1.3cb5b32b9fd1dp-2, -0x1.37c9f3daf8cb4p-2, -0x1.32e489d3791c7p-2, -0x1.2e05db7a0a45ep-2, -0x1.292e4babcc6dcp-2, -0x1.245e39bc2646ap-2, -0x1.1f9601745fe7dp-2, -0x1.1ad5fb14b1b88p-2, -0x1.161e7b56b4853p-2, -0x1.116fd3711e839p-2, -0x1.0cca511cb6d68p-2, -0x1.082e3e9a6edd1p-2, -0x1.039be2ba8e613p-2, -0x1.fe2701c9c301fp-3, -0x1.f52ab243a74afp-3, -0x1.ec435048d3caep-3, -0x1.e3714eaa1bbf3p-3, -0x1.dab519ba26ff7p-3, -0x1.d20f1765e468fp-3, -0x1.c97fa74e38f2fp-3, -0x1.c10722e2dd591p-3, -0x1.b8a5dd7e3d7f3p-3, -0x1.b05c248254485p-3, -0x1.a82a3f765c4a8p-3, -0x1.a01070254206fp-3, -0x1.980ef2bcca738p-3, -0x1.9025fded447fp-3, -0x1.8855c309c670cp-3, -0x1.809e6e28d6989p-3, -0x1.790026456e97fp-3, -0x1.717b0d604c12ep-3, -0x1.6a0f40a17d31ap-3, -0x1.62bcd87a0f6fep-3, -0x1.5b83e8c5e0ba1p-3, -0x1.546480ed7bfa1p-3, -0x1.4d5eac07f05dp-3, -0x1.467270fca0ae3p-3, -0x1.3f9fd2a4f4c9fp-3, -0x1.38e6cfedea84fp-3, -0x1.324763f9738eep-3, -0x1.2bc1863f9beb2p-3, -0x1.25552aaf6d8f6p-3, -0x1.1f0241cf8a1f4p-3, -0x1.18c8b8de6d936p-3, -0x1.12a879f25d4fcp-3, -0x1.0ca16c18ee8e9p-3, -0x1.06b3737627a27p-3, -0x1.00de716336ca6p-3, -0x1.f64489195f45bp-4, -0x1.eafd9220ae3d4p-4, -0x1.dfe7b134d55a8p-4, -0x1.d5029504e84e5p-4, -0x1.ca4de7cf0e9ffp-4, -0x1.bfc94f98183c6p-4, -0x1.b5746e61d8e19p-4, -0x1.ab4ee2608635fp-4, -0x1.a158462ee587ap-4, -0x1.9790310164ffp-4, -0x1.8df636d808b1fp-4, -0x1.8489e8af3219fp-4, -0x1.7b4ad4af40b2p-4, -0x1.7238865b08371p-4, -0x1.695286bd1a9cbp-4, -0x1.60985c93e7a41p-4, -0x1.58098c7cb0dbp-4, -0x1.4fa5991d51a8ap-4, -0x1.476c034cdfcd5p-4, -0x1.3f5c4a3b204a9p-4, -0x1.3775eb96d680ap-4, -0x1.2fb863b2eddc4p-4, -0x1.28232daa7fa99p-4, -0x1.20b5c383b8ebp-4, -0x1.196f9e51a1c9ep-4, -0x1.12503654c9ca9p-4, -0x1.0b57031adcfe1p-4, -0x1.04837b9d241fap-4, -0x1.fbaa2cbbe8bd1p-5, -0x1.ee96930a223c3p-5, -0x1.e1cb15f60dc25p-5, -0x1.d546a106fd02ep-5, -0x1.c9081fad25165p-5, -0x1.bd0e7d724a523p-5, -0x1.b158a628825c2p-5, -0x1.a5e586170a023p-5, -0x1.9ab40a25417fp-5, -0x1.8fc32003d360fp-5, -0x1.8511b6540f95bp-5, -0x1.7a9ebccd86906p-5, -0x1.70692461ee096p-5, -0x1.666fdf5f56628p-5, -0x1.5cb1e190bc4abp-5, -0x1.532e205d0298fp-5, -0x1.49e392e4594a3p-5, -0x1.40d1321c201p-5, -0x1.37f5f8e94d3bbp-5, -0x1.2f50e4395f00bp-5, -0x1.26e0f319e689dp-5, -0x1.1ea526ceb3369p-5, -0x1.169c82e6a8e88p-5, -0x1.0ec60d4f4978cp-5, -0x1.0720ce66fd4b9p-5, -0x1.ff57a21c44cc2p-6, -0x1.f0cc456dd4ee9p-6, -0x1.e29da6e82ea01p-6, -0x1.d4c9ec0d253e3p-6, -0x1.c74f3fd3f9798p-6, -0x1.ba2bd2c04562dp-6, -0x1.ad5ddaf6fc96cp-6, -0x1.a0e394516b6d2p-6, -0x1.94bb406e54216p-6, -0x1.88e326c143fd8p-6, -0x1.7d5994a018caap-6, -0x1.721cdd4ee227p-6, -0x1.672b5a0a1d5a5p-6, -0x1.5c836a0f5c8adp-6, -0x1.522372a472a8fp-6, -0x1.4809df1d24c5ap-6, -0x1.3e3520df7dacfp-6, -0x1.34a3af66c749bp-6, -0x1.2b54084540573p-6, -0x1.2244af248e608p-6, -0x1.19742dc512c18p-6, -0x1.10e113fc1111cp-6, -0x1.0889f7b0c9753p-6, -0x1.006d74d88f42ap-6, -0x1.f1145ae3c0769p-7, -0x1.e1bd92fd22da1p-7, -0x1.d2d3edfa23839p-7, -0x1.c454d3c1cc3b7p-7, -0x1.b63db8148cd7dp-7, -0x1.a88c1a7a0602fp-7, -0x1.9b3d862d60757p-7, -0x1.8e4f920851032p-7, -0x1.81bfe06cc108bp-7, -0x1.758c1f2d60304p-7, -0x1.69b20774f6bcfp-7, -0x1.5e2f5dacc72c9p-7, -0x1.5301f161cdeeap-7, -0x1.48279d292f683p-7, -0x1.3d9e4683c0247p-7, -0x1.3363ddc0bbe2ep-7, -0x1.29765ddfb5a4ap-7, -0x1.1fd3cc71f1b2dp-7, -0x1.167a397b03c32p-7, -0x1.0d67bf50df1a5p-7, -0x1.049a827b6709ep-7, -0x1.f8216326f5226p-8, -0x1.e7910a433d7fap-8, -0x1.d7807ef86cc7ap-8, -0x1.c7ec594ad8107p-8, -0x1.b8d144519926dp-8, -0x1.aa2bfdf13dcf3p-8, -0x1.9bf9569616331p-8, -0x1.8e3630ee096d9p-8, -0x1.80df81a23a3ddp-8, -0x1.73f24f1058f8dp-8, -0x1.676bb103e7683p-8, -0x1.5b48d06f5ed2cp-8, -0x1.4f86e7253e60bp-8, -0x1.44233f9120d07p-8, -0x1.391b3470f7542p-8, -0x1.2e6c308e631c9p-8, -0x1.2413ae782f8b1p-8, -0x1.1a0f383c1081ap-8, -0x1.105c67209ca6cp-8, -0x1.06f8e35fa955ap-8, -0x1.fbc4c7c1f05e4p-9, -0x1.ea2d5bea9f406p-9, -0x1.d9272a23da665p-9, -0x1.c8adf5191f2fap-9, -0x1.b8bd9aafabe99p-9, -0x1.a9521380b9505p-9, -0x1.9a677254914c6p-9, -0x1.8bf9e39ea6f56p-9, -0x1.7e05acfb2df3p-9, -0x1.70872cadcd081p-9, -0x1.637ad921c5d99p-9, -0x1.56dd406b63392p-9, -0x1.4aab07ca988d4p-9, -0x1.3ee0eb2f4890ap-9, -0x1.337bbcbeeb594p-9, -0x1.2878645ba12ap-9, -0x1.1dd3df2d0c217p-9, -0x1.138b3f2a38afep-9, -0x1.099baaa5651ffp-9, -0x1.00025bd946cc6p-9, -0x1.ed7940efbbd07p-10, -0x1.db8fb27627088p-10, -0x1.ca42f2ed48919p-10, -0x1.b98e0d57ba9d5p-10, -0x1.a96c303dcf13cp-10, -0x1.99d8acdb72d52p-10, -0x1.8acef651654aap-10, -0x1.7c4aa0da27591p-10, -0x1.6e4761014ff1bp-10, -0x1.60c10adeb54b8p-10, -0x1.53b39154fa2e4p-10, -0x1.471b055312185p-10, -0x1.3af395199e8eap-10, -0x1.2f398b8309dc2p-10, -0x1.23e94f4f01616p-10, -0x1.18ff62715bd82p-10, -0x1.0e7861640bd5fp-10, -0x1.0451027c69347p-10, -0x1.f50c2a87fbb04p-11, -0x1.e22903a80166p-11, -0x1.cff290680f2d6p-11, -0x1.be62ff784f93dp-11, -0x1.ad74acf3fb6c4p-11, -0x1.9d222131886b2p-11, -0x1.8d660f99b870ep-11, -0x1.7e3b5583f4a3dp-11, -0x1.6f9cf91831d1fp-11, -0x1.618628381dc3fp-11, -0x1.53f2376cef42ep-11, -0x1.46dca0dbb992dp-11, -0x1.3a41033f5ff4ap-11, -0x1.2e1b20e860cc6p-11, -0x1.2266dec16d5d6p-11, -0x1.1720435a2ef61p-11, -0x1.0c4375f76ea97p-11, -0x1.01ccbda87626ep-11, -0x1.ef7100c3edd9bp-12, -0x1.dc06843cbff05p-12, -0x1.c9534804734c5p-12, -0x1.b750c70ddf4efp-12, -0x1.a5f8b3538edb5p-12, -0x1.9544f43ff5189p-12, -0x1.852fa51f3bd19p-12, -0x1.75b3139b65715p-12, -0x1.66c9be4104c18p-12, -0x1.586e530c657c3p-12, -0x1.4a9bae01230cep-12, -0x1.3d4cd7c9fc5b3p-12, -0x1.307d04619b768p-12, -0x1.242791c3a0996p-12, -0x1.184806a71218fp-12, -0x1.0cda113fca825p-12, -0x1.01d986082bdcfp-12, -0x1.ee84bd27b9bf2p-13, -0x1.da2170d20b8cfp-13, -0x1.c681a7c47f7c9p-13, -0x1.b39e262f3f85ep-13, -0x1.a16ff19e54d27p-13, -0x1.8ff04ee8ad00dp-13, -0x1.7f18c02d5c9e6p-13, -0x1.6ee302dedb4a5p-13, -0x1.5f490ddb92deep-13, -0x1.50450f9409b0cp-13, -0x1.41d16c3ec2e8dp-13, -0x1.33e8bc178b818p-13, -0x1.2685c9ab77432p-13, -0x1.19a3903156cd7p-13, -0x1.0d3d39edc0191p-13, -0x1.014e1ea413874p-13, -0x1.eba38420a2803p-14, -0x1.d587a4dcd43d8p-14, -0x1.c0404e17dc47bp-14, -0x1.abc57dc775802p-14, -0x1.980f7e8811c94p-14, -0x1.8516e4fd44078p-14, -0x1.72d48d46de545p-14, -0x1.614198899acaap-14, -0x1.50576a897806cp-14, -0x1.400fa756764a9p-14, -0x1.3064310ce135bp-14, -0x1.214f25a5641adp-14, -0x1.12cadcd658f98p-14, -0x1.04d1e605feb5ap-14, -0x1.eebe0c9b327eap-15, -0x1.d4da6d1778bfep-15, -0x1.bbef430b7da7ap-15, -0x1.a3f344321a28dp-15, -0x1.8cdd82f566ce7p-15, -0x1.76a56b08a17f3p-15, -0x1.6142be1f4458ap-15, -0x1.4cad90c07a818p-15, -0x1.38de4730f2ae8p-15, -0x1.25cd927ac39p-15, -0x1.13746d8bc5021p-15, -0x1.01cc1a6d8e09ep-15, -0x1.e19c3f2430826p-16, -0x1.c0e88a7422da2p-16, -0x1.a17125ddcf344p-16, -0x1.832a9a2e91a97p-16, -0x1.6609e535d8a89p-16, -0x1.4a04753b3cfadp-16, -0x1.2f10249b6914dp-16, -0x1.1523358ff23bbp-16, -0x1.f8689c25705aep-17, -0x1.c874e7e6f364ep-17, -0x1.9a5a11fd34ed3p-17, -0x1.6e078eaa92749p-17, -0x1.436d7bc75f906p-17, -0x1.1a7c99e7d6eap-17, -0x1.e64c8b80803b3p-18, -0x1.9ab8e3a6a0f59p-18, -0x1.5223408df398p-18, -0x1.0c71ba0405d6fp-18, -0x1.9316e00cbc763p-19, -0x1.12b0ff5d1c935p-19, -0x1.2f07e2eabea03p-20, -0x1.0b1d361d356b7p-22, 0x1.3f68cb8d6fcfdp-21, 0x1.78bc864ee2df7p-20, 0x1.244f9923c230bp-19, 0x1.87d3bcf307a25p-19, 0x1.e70ec0657ab2fp-19, 0x1.2111a77b671d9p-18, 0x1.4c995ebb077bap-18, 0x1.762e8c63ca42ap-18, 0x1.9de09a1ac1969p-18, 0x1.c3be5b905069ep-18, 0x1.e7d6151304f06p-18, 0x1.051ac0f1013f5p-17, 0x1.1574ed1e2bc13p-17, 0x1.24ffec9dc9cccp-17, 0x1.33c1e12e67b3bp-17, 0x1.41c0b36ab22f1p-17, 0x1.4f02155d63b53p-17, 0x1.5b8b84f78f711p-17, 0x1.67624e669b26bp-17, 0x1.728b8e581abe1p-17, 0x1.7d0c34210f022p-17, 0x1.86e903c892f57p-17, 0x1.9026980a2b753p-17, 0x1.98c964354dfbp-17, 0x1.a0d5b5fa9d11fp-17, 0x1.a84fb7255c96p-17, 0x1.af3b6f439668dp-17, 0x1.b59cc5387e89fp-17, 0x1.bb7780ba40e4ap-17, 0x1.c0cf4bc6ffb62p-17, 0x1.c5a7b402724a7p-17, 0x1.ca042bfb81362p-17, 0x1.cde80c76b7119p-17, 0x1.d156959602454p-17, 0x1.d452effc8a59cp-17, 0x1.d6e02de2cab3fp-17, 0x1.d9014c1b94261p-17, 0x1.dab9330d7167bp-17, 0x1.dc0ab79f1a589p-17, 0x1.dcf89c1c71bd2p-17, 0x1.dd85910a4067fp-17, 0x1.ddb435f12f66p-17, 0x1.dd871a1dab19p-17, 0x1.dd00bd58dc95dp-17, 0x1.dc239096e82cbp-17, 0x1.daf1f69b0e322p-17, 0x1.d96e44940b4f8p-17, 0x1.d79ac2af17df1p-17, 0x1.d579aca22d7e8p-17, 0x1.d30d323364fedp-17, 0x1.d05777b3ec084p-17, 0x1.cd5a9679da82ep-17, 0x1.ca189d4916217p-17, 0x1.c69390bfee85ep-17, 0x1.c2cd6bb93553ap-17, 0x1.bec81fab92a71p-17, 0x1.ba8595011ed91p-17, 0x1.b607ab68ab49dp-17, 0x1.b1503a28d403ep-17, 0x1.ac61105f87224p-17, 0x1.a73bf54dc212ap-17, 0x1.a1e2a899a4618p-17, 0x1.9c56e28654ed4p-17, 0x1.969a542dd568cp-17, 0x1.90aea7b6353e2p-17, 0x1.8a958083d9ed6p-17, 0x1.84507b68c8b9p-17, 0x1.7de12ecce853ap-17, 0x1.77492adb734bp-17, 0x1.7089f9a71394dp-17, 0x1.69a51f47c7124p-17, 0x1.629c1a0210dd5p-17, 0x1.5b7062640e45ep-17, 0x1.54236b6063d9ap-17, 0x1.4cb6a26820d0ap-17, 0x1.452b6f8390cd8p-17, 0x1.3d83356ae4662p-17, 0x1.35bf51991b8d8p-17, 0x1.2de11c5edd41fp-17, 0x1.25e9e8f7a79d1p-17, 0x1.1ddb0599243a8p-17, 0x1.15b5bb7ee7e7p-17, 0x1.0d7b4efd4c52cp-17, 0x1.052cff8c62636p-17, 0x1.f9980fa9d2ed7p-18, 0x1.e8b33b71b7434p-18, 0x1.d7ade4c0197fbp-18, 0x1.c68a6483de47ap-18, 0x1.b54b0a5fb76b1p-18, 0x1.a3f21cafa50d3p-18, 0x1.9281d8a382b1p-18, 0x1.80fc7248a671p-18, 0x1.6f641494227c8p-18, 0x1.5dbae1739211p-18, 0x1.4c02f1d73aafbp-18, 0x1.3a3e55bc84149p-18, 0x1.286f1435be27cp-18, 0x1.16972b748638fp-18, 0x1.04b890d2fddf8p-18, 0x1.e5aa61c7c677cp-19, 0x1.c1dddee3d4bc7p-19, 0x1.9e0f4f16df671p-19, 0x1.7a4257172df3ep-19, 0x1.567a8a3ee181ep-19, 0x1.32bb6a9bd572bp-19, 0x1.0f08690a0cc2bp-19, 0x1.d6c9ca6e966f9p-20, 0x1.8fa85b741e05bp-20, 0x1.48b30035d909cp-20, 0x1.01f011ca8cb69p-20, 0x1.76cb8eeabbe44p-21, 0x1.d468db53666d5p-22, 0x1.789a9fb47e45dp-23, -0x1.6a90e854eea1ap-24, -0x1.7054fcfd0ec06p-22, -0x1.42575c097ba95p-21, -0x1.cbcdd73c9dfd9p-21, -0x1.2a41a99a51afp-20, -0x1.6e36ba3be3343p-20, -0x1.b1c1103d79a04p-20, -0x1.f4dbbeae133cdp-20, -0x1.1bc0fc64ea869p-19, -0x1.3cd788e525c41p-19, -0x1.5daf3e506afadp-19, -0x1.7e45e5eb4633ap-19, -0x1.9e9958ac8177dp-19, -0x1.bea77f1fb8341p-19, -0x1.de6e514d2774bp-19, -0x1.fdebd6a240f9cp-19, -0x1.0e8f12e54c85cp-18, -0x1.1e01b24befd23p-18, -0x1.2d4ce3f40cd8dp-18, -0x1.3c6fc9bf6d362p-18, -0x1.4b698cf62a193p-18, -0x1.5a395e36b323ep-18, -0x1.68de75639ea1bp-18, -0x1.7758119258d6p-18, -0x1.85a578faa1163p-18, -0x1.93c5f8e80cd65p-18, -0x1.a1b8e5a390507p-18, -0x1.af7d9a656ccap-18, -0x1.bd137942b872bp-18, -0x1.ca79eb17564cap-18, -0x1.d7b05f7628928p-18, -0x1.e4b64c962bec2p-18, -0x1.f18b2f3cac722p-18, -0x1.fe2e8aab6571bp-18, -0x1.054ff446d0306p-17, -0x1.0b6f6c70f212p-17, -0x1.117578f2d6defp-17, -0x1.1761e800c8f3ep-17, -0x1.1d348adb1155p-17, -0x1.22ed35c2643d5p-17, -0x1.288bbfeda180dp-17, -0x1.2e1003800070cp-17, -0x1.3379dd7d822efp-17, -0x1.38c92dbfc0cfep-17, -0x1.3dfdd6ecf8e59p-17, -0x1.4317be6b67d76p-17, -0x1.4816cc56b9b06p-17, -0x1.4cfaeb761fd43p-17, -0x1.51c4093010e82p-17, -0x1.5672157fc8113p-17, -0x1.5b0502e985452p-17, -0x1.5f7cc67052dc7p-17, -0x1.63d9578b02adep-17, -0x1.681ab01834ba2p-17, -0x1.6c40cc5362b01p-17, -0x1.704baacab3c3fp-17, -0x1.743b4c527a71bp-17, -0x1.780fb3fa852ecp-17, -0x1.7bc8e703d11b2p-17, -0x1.7f66ecd45425bp-17, -0x1.82e9ceebc0821p-17, -0x1.865198d98af03p-17, -0x1.899e583125493p-17, -0x1.8cd01c7f11392p-17, -0x1.8fe6f73d92699p-17, -0x1.92e2fbca07d8ap-17, -0x1.95c43f5a74bf5p-17, -0x1.988ad8f2004b9p-17, -0x1.9b36e155b6342p-17, -0x1.9dc873030d433p-17, -0x1.a03faa24c4bd6p-17, -0x1.a29ca486f694ap-17, -0x1.a4df818ed98f6p-17, -0x1.a708622e34f52p-17, -0x1.a91768d9a4cd7p-17, -0x1.ab0cb97df1c6bp-17, -0x1.ace87976ba57p-17, -0x1.aeaacf838f8cp-17, -0x1.b053e3bdbecb2p-17, -0x1.b1e3df8e1fe46p-17, -0x1.b35aeda3c1158p-17, -0x1.b4b939e99e0dbp-17, -0x1.b5fef17ca4c42p-17, -0x1.b72c42a1d15d8p-17, -0x1.b8415cbe1fe2p-17, -0x1.b93e704b8f1c8p-17, -0x1.ba23aecf8bc3ap-17, -0x1.baf14ad35cafp-17, -0x1.bba777d9146b6p-17, -0x1.bc466a53013cbp-17, -0x1.bcce579ab6cdap-17, -0x1.bd3f75e896b1ap-17, -0x1.bd99fc4b5775ep-17, -0x1.bdde229e90efap-17, -0x1.be0c21824a81ep-17, -0x1.be2432529379bp-17, -0x1.be268f1f804bap-17, -0x1.be1372a479708p-17, -0x1.bdeb183ff0945p-17, -0x1.bdadbbeca216p-17, -0x1.bd5b9a3921dc7p-17, -0x1.bcf4f03ee7e8p-17, -0x1.bc79fb9c93c9ap-17, -0x1.bbeafa6d4b5ap-17, -0x1.bb482b411e495p-17, -0x1.ba91cd15db896p-17, -0x1.b9c81f4fd3fb1p-17, -0x1.b8eb61b484388p-17, -0x1.b7fbd461ae1e9p-17, -0x1.b6f9b7c72617dp-17, -0x1.b5e54ca00a85fp-17, -0x1.b4bed3ebf114ap-17, -0x1.b3868ee8e2223p-17, -0x1.b23cbf0c71e59p-17, -0x1.b0e1a5fdfcb0ap-17, -0x1.af7585914af68p-17, -0x1.adf89fbf5c9eep-17, -0x1.ac6b36a02c39fp-17, -0x1.aacd8c66f4f5dp-17, -0x1.a91fe35a7f1f6p-17, -0x1.a7627dd036023p-17, -0x1.a5959e26d3233p-17, -0x1.a3b986c02a1a6p-17, -0x1.a1ce79ff2bd9p-17, -0x1.9fd4ba3f87ab2p-17, -0x1.9dcc89d1b4a5ap-17, -0x1.9bb62af63cd8ap-17, -0x1.9991dfd89c6bbp-17, -0x1.975fea8ad36e6p-17, -0x1.95208d00c98a2p-17, -0x1.92d4090bdfd2fp-17, -0x1.907aa05807b3dp-17, -0x1.8e1494655c57bp-17, -0x1.8ba22684f74b7p-17, -0x1.892397d50291p-17, -0x1.8699293daa14p-17, -0x1.84031b6b2cbp-17, -0x1.8161aecbf3a42p-17, -0x1.7eb5238b88bddp-17, -0x1.7bfdb9909f62dp-17, -0x1.793bb07a6ae72p-17, -0x1.766f479adacf4p-17, -0x1.7398bdf4e3438p-17, -0x1.70b85238abf5dp-17, -0x1.6dce42c101d98p-17, -0x1.6adacd901797cp-17, -0x1.67de304d0ce56p-17, -0x1.64d8a84109c1fp-17, -0x1.61ca7255caa6fp-17, -0x1.5eb3cb10ed2aep-17, -0x1.5b94ee924e125p-17, -0x1.586e1892463b5p-17, -0x1.553f845f771fap-17, -0x1.52096cdb27d9p-17, -0x1.4ecc0c77f2bf4p-17, -0x1.4b879d37c7abfp-17, -0x1.483c58a99fd7fp-17, -0x1.44ea77e9a251cp-17, -0x1.4192339cc889bp-17, -0x1.3e33c3efc0652p-17, -0x1.3acf60958a27ap-17, -0x1.376540c595f31p-17, -0x1.33f59b3a63fecp-17, -0x1.3080a63067ad4p-17, -0x1.2d069763c9d31p-17, -0x1.2987a4111a1ecp-17, -0x1.260400f20c3cdp-17, -0x1.227be23ca1d5p-17, -0x1.1eef7ba1ee59ep-17, -0x1.1b5f004ebd57fp-17, -0x1.17caa2e8e4e74p-17, -0x1.1432958e30d35p-17, -0x1.109709d41a8bcp-17, -0x1.0cf830c6d18e1p-17, -0x1.09563ae929178p-17, -0x1.05b158342728dp-17, -0x1.0209b8153c8b5p-17, -0x1.fcbf12db937bdp-18, -0x1.f565f525cea7bp-18, -0x1.ee087299cc8bp-18, -0x1.e6a6e5ade768ap-18, -0x1.df41a7bde36fap-18, -0x1.d7d91108ee41fp-18, -0x1.d06d78b46a0ep-18, -0x1.c8ff34c807b42p-18, -0x1.c18e9a2e7cfp-18, -0x1.ba1bfcb3af652p-18, -0x1.b2a7af0905b2p-18, -0x1.ab3202c1dfd65p-18, -0x1.a3bb4853960b8p-18, -0x1.9c43cf1557e9p-18, -0x1.94cbe5420b6e7p-18, -0x1.8d53d7f68d1a8p-18, -0x1.85dbf33611ffap-18, -0x1.7e6481e6e7eeep-18, -0x1.76edcdd2f97a6p-18, -0x1.6f781fa8e1818p-18, -0x1.6803befca6d47p-18, -0x1.6090f24874181p-18, -0x1.591ffeedca29bp-18, -0x1.51b12935067cbp-18, -0x1.4a44b45060a51p-18, -0x1.42dae25bcb363p-18, -0x1.3b73f45d7c61fp-18, -0x1.34102a46772b2p-18, -0x1.2cafc2f3e0a99p-18, -0x1.2552fc32f2495p-18, -0x1.1dfa12bf3997cp-18, -0x1.16a542438efd7p-18, -0x1.0f54c55c82e0fp-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      56, 0x1.599999999999ap+2, 0x1.56d7ff72964fep+1, 0x1.4abf916740185p+2, -0x1.d3d6e7663a6c1p-9, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4c8e076060bbcp-3, -0x1.c728844f148e7p-2, 0x1.30c814faed7bp-1, -0x1.954d0a12ad4ddp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.21fc475849545p-3, -0x1.8d3de0d413294p-2, 0x1.12624dd3207bbp-1, -0x1.7910fabf0835cp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.f9d25d02dc667p-4, -0x1.593162810acep-2, 0x1.ec3542d666222p-2, -0x1.610fb564c95f8p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.b98758dd31b01p-4, -0x1.2a9ebc8a702ecp-2, 0x1.b73fb46dae541p-2, -0x1.47ec4b97d0f2bp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.820880b2c889fp-4, -0x1.012794065e65cp-2, 0x1.860f75e3b5631p-2, -0x1.2f16a99c50fd3p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.5259f24479fdfp-4, -0x1.b8d7ec9db354bp-3, 0x1.5898dc72a93cep-2, -0x1.162c0ccdac18bp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2992eaa0c21d2p-4, -0x1.7818bb9936a03p-3, 0x1.2edf0dba35d2ep-2, -0x1.fa8f26f446a02p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.06ddc623bffcbp-4, -0x1.3f5250d33e4f5p-3, 0x1.08e11e017d537p-2, -0x1.c8bf0e1a9a9fap-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.d2f000ee6b724p-5, -0x1.0dc571f843d83p-3, 0x1.cd3f2d1896a8ep-3, -0x1.96ff471521c3fp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a164692510e76p-5, -0x1.c565eca068c8cp-4, 0x1.90327c089e655p-3, -0x1.65055ef17443dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.77e0397580a78p-5, -0x1.7ab6c9b958ed9p-4, 0x1.5aa4e0fe0027ap-3, -0x1.33e3a9726ba79p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.55512505110dcp-5, -0x1.3a00e83a2efe2p-4, 0x1.2c75edf9a335p-3, -0x1.ff3694fdeedap-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.38cb1d945e809p-5, -0x1.01bed9bfeba96p-4, 0x1.061ea2ccfe179p-3, -0x1.c0b74478d21b9p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.218723976bba9p-5, -0x1.a15fb73f0432fp-5, 0x1.c8ee94ee4311ap-4, -0x1.ac495ea72649dp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ed6373f04ff2p-5, -0x1.4c696b85123dap-5, 0x1.88b060553087p-4, -0x1.918e2df84cbc2p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.001449822348cp-5, -0x1.03e5b7a9ad867p-5, 0x1.4c74a63cbe9d9p-4, -0x1.7883451220905p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.e94e186c19276p-6, -0x1.8e1b97dce1b3dp-6, 0x1.13fa8f13a021cp-4, -0x1.5f0487e66f97cp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7fbe41ca7bbdp-6, -0x1.2a3f2f825832p-6, 0x1.bea6f5621ec88p-5, -0x1.45a4d4081e5a3p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.cb245d39b24fap-6, -0x1.b55f13d3b023fp-7, 0x1.5cf58292e27aap-5, -0x1.2c3ccf39d8c67p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c1cd6ca392e64p-6, -0x1.3bcd526e53326p-7, 0x1.02e34467ee3f8p-5, -0x1.12d704de039bap-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.bb107cf73d876p-6, -0x1.c979833381d3p-8, 0x1.60df1f7dda53dp-6, -0x1.f2e14350be066p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b61a7a8e403e8p-6, -0x1.5a424252cf7efp-8, 0x1.966a49cb42a54p-7, -0x1.c014cecf0fcf8p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b22bd37ec31b1p-6, -0x1.23dc547405acdp-8, 0x1.132201d13f1afp-8, -0x1.8d48445a9e04ap-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.ae98779b882ffp-6, -0x1.202f2f69a790bp-8, -0x1.93363a03c9d1ap-9, -0x1.5a7bbfc7931f4p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.aac7d873eb93bp-6, -0x1.4922480f6b1f6p-8, -0x1.34b167f8b11ffp-7, -0x1.27af39a1b5c6ep-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a634e953e360ep-6, -0x1.989d13832defbp-8, -0x1.e61a8a8ceafeep-7, -0x1.e9c567cb77315p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a06e1f43ffb64p-6, -0x1.044383687e55bp-7, -0x1.3c847b3e942cfp-6, -0x1.842c5c2a07abp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.991571096ab5bp-6, -0x1.4963cb84ffed3p-7, -0x1.76be55de7bba2p-6, -0x1.1e93505ae87cdp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8fe05725e8848p-6, -0x1.98a31c9e61473p-7, -0x1.a1bad51f51cc9p-6, -0x1.71f48ad72960dp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8497cbd7d74d7p-6, -0x1.eef5313e93ddfp-7, -0x1.bd79f922a81a4p-6, -0x1.4d84dcad0ac15p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.77184b1a2f3dfp-6, -0x1.24a6e1f31434p-6, -0x1.c9fbc169254e3p-6, 0x1.237cab105c977p-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.6751d2a48285ap-6, -0x1.5250479c440dap-6, -0x1.c7402fce97a33p-6, 0x1.df43eb3314bdep-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5547e1eafd5b6p-6, -0x1.7ef0a6ab8c9e1p-6, -0x1.b5473d6313a8fp-6, 0x1.bad2fc9c8539ep-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.41117a1e65f75p-6, -0x1.a901dd243ae1fp-6, -0x1.9411040a89ab2p-6, 0x1.430485f998c98p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2ad91e2c1c95bp-6, -0x1.cefdc58036392p-6, -0x1.639d23251926bp-6, 0x1.a8962997bfdfdp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.12dcd2be1b77ap-6, -0x1.ef5e476c622dcp-6, -0x1.23ed034e55f88p-6, 0x1.07256ca054ad3p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f2dc3c75edc02p-7, -0x1.044e8ca98bcb2p-5, -0x1.a9f6c56fac534p-7, 0x1.39be5e65ec8afp-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.bde4118bba2eep-7, -0x1.0c9a54baeef7bp-5, -0x1.db6f7ffea334dp-8, 0x1.6d4b6261a26a2p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.87c2387d2cd4p-7, -0x1.0fce5bfe06308p-5, -0x1.28a84f7f02855p-11, 0x1.9d498393a7f53p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.518ec8830a4e9p-7, -0x1.0d2b82cf46743p-5, 0x1.cadcc727b606dp-8, 0x1.da8f1db62e7a4p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1c88dc4f4b406p-7, -0x1.03dfff7517ab9p-5, 0x1.0115544d61d91p-6, 0x1.bf2f89150baccp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d423228548219p-8, -0x1.e7557844b0e5fp-6, 0x1.873d30a07ef55p-6, 0x1.4b293ecf66754p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.76e9fd72b32e5p-8, -0x1.bb3e17955ed36p-6, 0x1.ea965d11ea7e9p-6, 0x1.c8de043b7e935p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.23665ab02bb68p-8, -0x1.86c1dee27e1bbp-6, 0x1.178f0873d1f09p-5, 0x1.e8545bd2f41c2p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.b5ec5905bf2b2p-9, -0x1.4d03aaee0eb9cp-6, 0x1.29deff1887e4cp-5, 0x1.0edd81526b5a5p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.3caa8c57acdf9p-9, -0x1.112fa926462acp-6, 0x1.2c6912b54db33p-5, -0x1.6591a5e30a2a4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b6756f9fc6c8dp-10, -0x1.ace3d31991cdbp-7, 0x1.1f00694996ebp-5, -0x1.807a992d992d5p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.21180bbfb257ep-10, -0x1.3fdb425293e54p-7, 0x1.022a6a995ea14p-5, -0x1.33d0a6c5ffe0dp-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.69258bc2e0d7fp-11, -0x1.c3a6395f4cb9p-8, 0x1.a7fca32a8a192p-6, -0x1.528b0174ffb0ep-5}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a7652479d7da8p-12, -0x1.2e5dfd502f111p-8, 0x1.426c89210a313p-6, -0x1.1c7150b5d0674p-5}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c91384e2a494dp-13, -0x1.7ceda0d9318d2p-9, 0x1.da2eaea1ca8b8p-7, -0x1.e60675a3853c3p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b8da551b63773p-14, -0x1.b8d567f2a813ep-10, 0x1.485ff1bd88f78p-7, -0x1.8ca48687dad1bp-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.69258bc2e0dap-15, -0x1.c3763a32d27dep-11, 0x1.a2c392c3283e9p-8, -0x1.34026f04284d6p-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c91384e2a4a31p-17, -0x1.7cbef210ab24ap-12, 0x1.d3eaa04e2021cp-9, -0x1.bdcd78e84bb4bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.69258bc2e13bfp-19, -0x1.c59f0827ad28ap-14, 0x1.90deaf857f063p-10, -0x1.ebc679f5abec4p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.69258bc2e4801p-23, -0x1.8240ab0cd6c26p-17, 0x1.a737ffc85f8p-12, -0x1.491bc3cd03a16p-7}, 
      }}, 
      0x1.35b802e6dbbf2p-3, -0x1.dd65d97e71b8cp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.3fb2bb8ee62efp+1, -0x1.3ddbddc2f5ee2p+1, -0x1.3ad807d1c3956p+1, -0x1.36b7c41763988p+1, -0x1.318ef9847505ap+1, -0x1.2b73aad133c86p+1, -0x1.247d06b5995ap+1, -0x1.1cc2b45165311p+1, -0x1.145c4c592b3b9p+1, -0x1.0b60f3f22384bp+1, -0x1.01e7114b90eb4p+1, -0x1.f00828651fae7p+0, -0x1.db989cb6e8cefp+0, -0x1.c6a5b049d7081p+0, -0x1.b152feaa956a6p+0, -0x1.9bc17bb5db1d6p+0, -0x1.860f6dfc552bp+0, -0x1.7058737f92148p+0, -0x1.5ab58eb35873p+0, -0x1.453d3a0b42b07p+0, -0x1.300380a45805bp+0, -0x1.1b1a1ad330c2p+0, -0x1.06908d8eaef8ap+0, -0x1.e4e897b9071d2p-1, -0x1.bda1b2f2929f3p-1, -0x1.975fdc4c75145p-1, -0x1.723331777f4aep-1, -0x1.4e28c37feeadcp-1, -0x1.2b4adb4c0beb4p-1, -0x1.09a13cb4b477fp-1, -0x1.d262c7eed3d83p-2, -0x1.93fd7e2a51a6p-2, -0x1.5815d42f410aap-2, -0x1.1eabc776620fbp-2, -0x1.cf78dcd7815eap-3, -0x1.6684c8bdb1066p-3, -0x1.026c450823c04p-3, -0x1.4638c8de28ed1p-4, -0x1.21fc3b3c569bbp-5, 0x1.b08ea5975e02ap-8, 0x1.7c24c63aaf8e5p-5, 0x1.58580a88d7069p-4, 0x1.ea169927e831bp-4, 0x1.39c6974a1044dp-3, 0x1.7a7e60dc15dd2p-3, 0x1.b753d5c0e4783p-3, 0x1.f0689ecc5ddebp-3, 0x1.12ef5954d5dbep-2, 0x1.2bec163894d15p-2, 0x1.433b932992895p-2, 0x1.58eecbcc69f9cp-2, 0x1.6d169ac0dbbbap-2, 0x1.7fc3ab693720bp-2, 0x1.91066d0be8e28p-2, 0x1.a0ef075559e1p-2, 0x1.af8d503a52464p-2, 0x1.bcf0c332a18fp-2, 0x1.c92879bd2cf5bp-2, 0x1.d443252de0466p-2, 0x1.de4f098611c2cp-2, 0x1.e759f9927f8f3p-2, 0x1.ef7153f0f6957p-2, 0x1.f6a2010fed765p-2, 0x1.fcf8720359d59p-2, 0x1.0140500c16ecdp-1, 0x1.03a306856e06bp-1, 0x1.05a9e1e77b04ap-1, 0x1.075a2ce85ea9cp-1, 0x1.08b8f850d262ap-1, 0x1.09cb1bff505cep-1, 0x1.0a9538138509ep-1, 0x1.0b1bb6395a2dap-1, 0x1.0b62cb109532dp-1, 0x1.0b6e77aa406aep-1, 0x1.0b428b1850644p-1, 0x1.0ae2a40987bddp-1, 0x1.0a5232724b956p-1, 0x1.09947934bc639p-1, 0x1.08ac8fd3853d8p-1, 0x1.079d641e40338p-1, 0x1.0669bbdfa6b85p-1, 0x1.05143686edbe3p-1, 0x1.039f4eca94a1dp-1, 0x1.020d5c43e6eap-1, 0x1.006095064881cp-1, 0x1.fd361e4f5f109p-2, 0x1.f97d8483ad5a2p-2, 0x1.f59b11d72c997p-2, 0x1.f1924444a5871p-2, 0x1.ed666553ea5fp-2, 0x1.e91a8cc1efe7ap-2, 0x1.e4b1a3137f62dp-2, 0x1.e02e640983e9p-2, 0x1.db9360ff8fed1p-2, 0x1.d6e3033243736p-2, 0x1.d21f8ded88dfep-2, 0x1.cd4b20a2eb33dp-2, 0x1.c867b8e5460bcp-2, 0x1.c3773450c5e4ap-2, 0x1.be7b525a1a0a3p-2, 0x1.b975b609bf624p-2, 0x1.b467e79fc3371p-2, 0x1.af535622d2cc6p-2, 0x1.aa3958dd0dfdcp-2, 0x1.a51b30c167687p-2, 0x1.9ffa09c28dddfp-2, 0x1.9ad6fc1639e89p-2, 0x1.95b30d63fea4bp-2, 0x1.908f31e832501p-2, 0x1.8b6c4d8392e1bp-2, 0x1.864b34bb326abp-2, 0x1.812cadabb463ep-2, 0x1.7c1170ed56b52p-2, 0x1.76fa2a6a5e9bep-2, 0x1.71e77a290c248p-2, 0x1.6cd9f50995f6ep-2, 0x1.67d2257844533p-2, 0x1.62d08c14d4fefp-2, 0x1.5dd5a0500b839p-2, 0x1.58e1d0fe32d7ap-2, 0x1.53f584e15336bp-2, 0x1.4f111b2bdb08ep-2, 0x1.4a34ebf8f1ec7p-2, 0x1.456148bd3c9b8p-2, 0x1.40967cb2d15ep-2, 0x1.3bd4cd3c86818p-2, 0x1.371c7a41d319fp-2, 0x1.326dbe86e9f29p-2, 0x1.2dc8cffef1492p-2, 0x1.292de0173ba6ep-2, 0x1.249d1bfe5784p-2, 0x1.2016ace7f0671p-2, 0x1.1b9ab84b6c742p-2, 0x1.1729601cf8942p-2, 0x1.12c2c303e8b6bp-2, 0x1.0e66fc8f7bfbp-2, 0x1.0a1625669fb23p-2, 0x1.05d05372531ccp-2, 0x1.01959a07be30ep-2, 0x1.facc14242d5b3p-3, 0x1.f283646d39638p-3, 0x1.ea513ddd6417cp-3, 0x1.e235b56dd0133p-3, 0x1.da30dc4127f9cp-3, 0x1.d242bfe0b267cp-3, 0x1.ca6b6a768caedp-3, 0x1.c2aae2f715a55p-3, 0x1.bb012d593aedcp-3, 0x1.b36e4abe4ba28p-3, 0x1.abf2398d639e3p-3, 0x1.a48cf5a165893p-3, 0x1.9d3e7879b81b5p-3, 0x1.9606b94eaefd2p-3, 0x1.8ee5ad28d3e4ap-3, 0x1.87db4705429bdp-3, 0x1.80e777fd0bf6dp-3, 0x1.7a0a2f555ea16p-3, 0x1.73435a91b0bc2p-3, 0x1.6c92e589a4bb8p-3, 0x1.65f8ba8cc557ap-3, 0x1.5f74c27407282p-3, 0x1.5906e4ace46b3p-3, 0x1.52af0745ea3bfp-3, 0x1.4c6d0f092f52bp-3, 0x1.4640df94acee5p-3, 0x1.402a5b608c084p-3, 0x1.3a2963c6e154cp-3, 0x1.343dd912cb8a9p-3, 0x1.2e679a96f06e5p-3, 0x1.28a686bc27df7p-3, 0x1.22fa7b04d81a8p-3, 0x1.1d63541233208p-3, 0x1.17e0edb4b070fp-3, 0x1.127322fcf9fe6p-3, 0x1.0d19ce4544b8p-3, 0x1.07d4c933d54a9p-3, 0x1.02a3ecc0c33b4p-3, 0x1.fb0e22840b637p-4, 0x1.f0fc1cf42ef86p-4, 0x1.e711773ec445fp-4, 0x1.dd4ddebce53bbp-4, 0x1.d3b0ffbcf4feap-4, 0x1.ca3a859633ec3p-4, 0x1.c0ea1ac01b302p-4, 0x1.b7bf68e057046p-4, 0x1.aeba18d0bf744p-4, 0x1.a5d9d2a675269p-4, 0x1.9d1e3dbf7adc4p-4, 0x1.948700d536229p-4, 0x1.8c13c20b85b04p-4, 0x1.83c426f8d6973p-4, 0x1.7b97d4abd18e5p-4, 0x1.738e6fb4804a4p-4, 0x1.6ba79c31dc9ap-4, 0x1.63e2fde09dc2cp-4, 0x1.5c403825a3796p-4, 0x1.54beee146347fp-4, 0x1.4d5ec2755e0b8p-4, 0x1.461f57cf7d3d1p-4, 0x1.3f005074033c7p-4, 0x1.38014e89d5886p-4, 0x1.3121f416244ddp-4, 0x1.2a61e302a2d9ep-4, 0x1.23c0bd24055cp-4, 0x1.1d3e24429f4f1p-4, 0x1.16d9ba2426f93p-4, 0x1.10932095125aep-4, 0x1.0a69f97044685p-4, 0x1.045de6a54797bp-4, 0x1.fcdd147ce15e9p-5, 0x1.f1370cd056205p-5, 0x1.e5c8faf1ffa8ep-5, 0x1.da9223f30f48fp-5, 0x1.cf91cd573d746p-5, 0x1.c4c73d2026736p-5, 0x1.ba31b9d8aaf25p-5, 0x1.afd08aa0fb90fp-5, 0x1.a5a2f73bfea7bp-5, 0x1.9ba8481d06468p-5, 0x1.91dfc674698e4p-5, 0x1.8848bc3a4c8dbp-5, 0x1.7ee274384df06p-5, 0x1.75ac3a1374b6dp-5, 0x1.6ca55a5723b4p-5, 0x1.63cd2280b268ep-5, 0x1.5b22e10a7d5c2p-5, 0x1.52a5e57579654p-5, 0x1.4a5580517c971p-5, 0x1.42310345439b9p-5, 0x1.3a37c11719433p-5, 0x1.32690db651e3cp-5, 0x1.2ac43e44ad61dp-5, 0x1.2348a91e60c5ap-5, 0x1.1bf5a5e0b4b5fp-5, 0x1.14ca8d6fd61e8p-5, 0x1.0dc6b9fdb297ap-5, 0x1.06e9871238de4p-5, 0x1.0032519436927p-5, 0x1.f340efa1116cp-6, 0x1.e666b2fc6b268p-6, 0x1.d9d4af8028b79p-6, 0x1.cd89aa4dbd5d5p-6, 0x1.c1846b6db2fa3p-6, 0x1.b5c3bde39cbd5p-6, 0x1.aa466fc558553p-6, 0x1.9f0b524b4177cp-6, 0x1.941139d16e8bbp-6, 0x1.8956fdcb0610bp-6, 0x1.7edb78b31fa34p-6, 0x1.749d880adc554p-6, 0x1.6a9c0c6e472f4p-6, 0x1.60d5e9bb0e08ep-6, 0x1.574a07363af1p-6, 0x1.4df74f9a70932p-6, 0x1.44dcb1032d999p-6, 0x1.3bf91cbe69f36p-6, 0x1.334b872048179p-6, 0x1.2ad2e777e93bfp-6, 0x1.228e383440a24p-6, 0x1.1a7c772b9f2b7p-6, 0x1.129ca5e0acf91p-6, 0x1.0aedc99afbbp-6, 0x1.036eeb38d5014p-6, 0x1.f83e2de2df893p-7, 0x1.e9fab776ec93ap-7, 0x1.dc1196ba30344p-7, 0x1.ce80f4ec46a2cp-7, 0x1.c14701e478798p-7, 0x1.b461f509d150ep-7, 0x1.a7d00ddfe9361p-7, 0x1.9b8f93cd259a1p-7, 0x1.8f9ed5242f979p-7, 0x1.83fc25e2e3d97p-7, 0x1.78a5decaaedd1p-7, 0x1.6d9a5d530c6ecp-7, 0x1.62d804899adbbp-7, 0x1.585d3e76a36d3p-7, 0x1.4e287d4ece4dfp-7, 0x1.44383bcaff10ap-7, 0x1.3a8afc67798d7p-7, 0x1.311f47dad5c1ep-7, 0x1.27f3ab809feeap-7, 0x1.1f06b882223a8p-7, 0x1.1657042d15df4p-7, 0x1.0de32950fba4fp-7, 0x1.05a9c9f3366dfp-7, 0x1.fb5320eed4bdap-8, 0x1.ebc25f32df438p-8, 0x1.dc9ec25740e71p-8, 0x1.cde5c85de0642p-8, 0x1.bf94f66a13b18p-8, 0x1.b1a9d7befb613p-8, 0x1.a421ff8739d78p-8, 0x1.96fb0c8afb2f1p-8, 0x1.8a32acee7d7a1p-8, 0x1.7dc69ff32155p-8, 0x1.71b4b49789bfp-8, 0x1.65fac579f4e1ap-8, 0x1.5a96b3d17d47cp-8, 0x1.4f8663f4105f8p-8, 0x1.44c7bd4fe87d1p-8, 0x1.3a58ae2f0145ap-8, 0x1.303731c54cf19p-8, 0x1.266155c475204p-8, 0x1.1cd53ca646f5ep-8, 0x1.13911b1f4ea19p-8, 0x1.0a93313f8f13cp-8, 0x1.01d9c1cfe27a6p-8, 0x1.f2c6171d4ceefp-9, 0x1.e25a8ef3d0762p-9, 0x1.d26d5ada93212p-9, 0x1.c2fafb71f5a44p-9, 0x1.b400182fb4cabp-9, 0x1.a5798f12cdaebp-9, 0x1.976477049159ap-9, 0x1.89be12b2d972ep-9, 0x1.7c83b7bf771afp-9, 0x1.6fb2b2f39c223p-9, 0x1.634833cba6c07p-9, 0x1.57414776333c5p-9, 0x1.4b9ae6084e8ebp-9, 0x1.40520e12293cap-9, 0x1.3563e534331ecp-9, 0x1.2acdd1f202325p-9, 0x1.208d84f9d80a2p-9, 0x1.16a0edf83b06ep-9, 0x1.0d061f89a73aep-9, 0x1.03bb2bc07c16p-9, 0x1.f57c09e09a754p-10, 0x1.e418d9644ee1fp-10, 0x1.d347ed1f1a0e1p-10, 0x1.c3043ba70a143p-10, 0x1.b348cfb23ee02p-10, 0x1.a4110edc9c36p-10, 0x1.9558e9dbed8d5p-10, 0x1.871ce61a65dcbp-10, 0x1.795a00766be69p-10, 0x1.6c0d769e0472fp-10, 0x1.5f34894b0118cp-10, 0x1.52cc46f81912dp-10, 0x1.46d16ab8034a7p-10, 0x1.3b40584364cbp-10, 0x1.30153960fb822p-10, 0x1.254c354c24d57p-10, 0x1.1ae1aca60f1e1p-10, 0x1.10d26000b878ep-10, 0x1.071b744cb482cp-10, 0x1.fb74bd5da1333p-11, 0x1.e9599858392c7p-11, 0x1.d7e11ef328bbdp-11, 0x1.c7071c0661dd2p-11, 0x1.b6c746701dad6p-11, 0x1.a71d037a9e1cep-11, 0x1.980351b005896p-11, 0x1.8974f86706dc6p-11, 0x1.7b6ce0eefbc33p-11, 0x1.6de65485b80e5p-11, 0x1.60dcedd40cf2p-11, 0x1.544c54e48a8b9p-11, 0x1.48301598de45bp-11, 0x1.3c83c95e64225p-11, 0x1.314374586358dp-11, 0x1.266bb97f29dd2p-11, 0x1.1bf9aea6c37cdp-11, 0x1.11ea7aac29c88p-11, 0x1.083b1a78aa644p-11, 0x1.fdd0f3ddd5a9ap-12, 0x1.ebdf6a8d9e3f5p-12, 0x1.da9c5d3157858p-12, 0x1.ca02967406d82p-12, 0x1.ba0c08400bf56p-12, 0x1.aab16149a437p-12, 0x1.9bea9f05dceap-12, 0x1.8db042462cc9ep-12, 0x1.7ffc30268d78bp-12, 0x1.72c9a32dcefcfp-12, 0x1.661485fff5e1p-12, 0x1.59d906c08efcfp-12, 0x1.4e13afffe5b4bp-12, 0x1.42c1a2c076cf2p-12, 0x1.37e0780760b09p-12, 0x1.2d6dae663d48ep-12, 0x1.2365eb2c6925dp-12, 0x1.19c490f140596p-12, 0x1.1084106b94ae1p-12, 0x1.079ed0a24c8d4p-12, 0x1.fe20036910eb9p-13, 0x1.eda75d9558adp-13, 0x1.ddcc4ce66053ap-13, 0x1.ce8737f6b7c1p-13, 0x1.bfd137ef96075p-13, 0x1.b1a5a4c3533dfp-13, 0x1.a40269790f6d4p-13, 0x1.96e68c6cb3389p-13, 0x1.8a4ff2b77778dp-13, 0x1.7e3a068f0d847p-13, 0x1.729e0efcaf88p-13, 0x1.6774a3726063ap-13, 0x1.5cb73255f3e3dp-13, 0x1.5260cfe9bc8c9p-13, 0x1.486ddb6917867p-13, 0x1.3edaa5af704e3p-13, 0x1.35a232d1cb07fp-13, 0x1.2cbe5eac20f4cp-13, 0x1.24296fd9af4e7p-13, 0x1.1bdfe9a4a8e8bp-13, 0x1.13e0f64529cf6p-13, 0x1.0c2c9b301154ap-13, 0x1.04c16fb921ff7p-13, 0x1.fb3827a8a0e8ep-14, 0x1.ed705a5274eap-14, 0x1.e0230a4ef8aa7p-14, 0x1.d3495ed90114ep-14, 0x1.c6de49481e78dp-14, 0x1.bade16796fa53p-14, 0x1.af45cee3a1c41p-14, 0x1.a4120134bc625p-14, 0x1.993d6ba8b8879p-14, 0x1.8ec14caf81dbp-14, 0x1.8497ca71d0a0ep-14, 0x1.7abd1710f9dfdp-14, 0x1.712de58b8973bp-14, 0x1.67e6cc27d343ap-14, 0x1.5ee52f69637c1p-14, 0x1.562725e16f769p-14, 0x1.4daa4c11e0a93p-14, 0x1.456b290bbda71p-14, 0x1.3d6583ad6f743p-14, 0x1.359541d495158p-14, 0x1.2df80531a784bp-14, 0x1.268d8d5d16da3p-14, 0x1.1f54eefaf0bfp-14, 0x1.184acba9daabcp-14, 0x1.116c3d4067a33p-14, 0x1.0ab8cd35ab937p-14, 0x1.042f449a8b5d7p-14, 0x1.fb976b90aadfep-15, 0x1.ef131dc5a294ep-15, 0x1.e2cc37886d6e9p-15, 0x1.d6c28346f4c17p-15, 0x1.caf837698b884p-15, 0x1.bf6d6bdfc4a2fp-15, 0x1.b41d978ddb7f3p-15, 0x1.a900e7362dda5p-15, 0x1.9e12ca222d6e7p-15, 0x1.9355f70b872aap-15, 0x1.88cbe3f500ef9p-15, 0x1.7e6efdeb390a5p-15, 0x1.743b24de1964dp-15, 0x1.6a3135bdca4ccp-15, 0x1.6050adc16743p-15, 0x1.5696f6efab5c9p-15, 0x1.4d02107da4e16p-15, 0x1.43906a12c4073p-15, 0x1.3a3fe5e502173p-15, 0x1.310e411e098f8p-15, 0x1.27fab68b1356ap-15, 0x1.1f06649b9f427p-15, 0x1.163177c5c88e2p-15, 0x1.0d77e0f6fab6bp-15, 0x1.04d63e6507fe1p-15, 0x1.f89f8ed70e7d1p-16, 0x1.e7cb19c76f5ccp-16, 0x1.d727fbe93e686p-16, 0x1.c6b56aa737771p-16, 0x1.b673f747d4e8ap-16, 0x1.a66074efb2bb8p-16, 0x1.9678ae450faddp-16, 0x1.86bc520fb52ffp-16, 0x1.772bb78f7c264p-16, 0x1.67c76ef1b32bp-16, 0x1.58901f38b9506p-16, 0x1.49859b9980bc1p-16, 0x1.3aa580aadb262p-16, 0x1.2bed48f0047f9p-16, 0x1.1d5dd8e471d1cp-16, 0x1.0ef6a06183283p-16, 0x1.00b5fbea84d6ap-16, 0x1.e53adb1074c54p-17, 0x1.c9593d5f4d955p-17, 0x1.adc9481af7708p-17, 0x1.928b422316528p-17, 0x1.779acba0c3128p-17, 0x1.5cf66b7d6969fp-17, 0x1.429ef5b119fcep-17, 0x1.2895539abc58p-17, 0x1.0ed9f801710cep-17, 0x1.eada1056ff302p-18, 0x1.b89d8c49ecef2p-18, 0x1.86ffe10b0a886p-18, 0x1.56031b843f936p-18, 0x1.25a894f1cf028p-18, 0x1.ebe1632ec3c3bp-19, 0x1.8db03fe5bd742p-19, 0x1.30b6e5d841ac1p-19, 0x1.a9fb2b9b9f9ccp-20, 0x1.e9f6d9e08294ep-21, 0x1.0a255d2d74d06p-22, -0x1.b52e1d0e1e48cp-22, -0x1.1a96a3550d2a7p-20, -0x1.c55caa76cfd75p-20, -0x1.36cc09acbf211p-19, -0x1.89a1a19dd0674p-19, -0x1.db2d230da3396p-19, -0x1.15b6952e6c1d8p-18, -0x1.3d305e5287d9ap-18, -0x1.6403902e69c98p-18, -0x1.8a2fc8aba065ep-18, -0x1.afb48d6de221ap-18, -0x1.d49181320802ap-18, -0x1.f8c5a72d4bcep-18, -0x1.0e275851cf457p-17, -0x1.1f96d3be7f0c2p-17, -0x1.30b241d4f4d91p-17, -0x1.41799e734f4d5p-17, -0x1.51eba88b30d38p-17, -0x1.6208cfaa42243p-17, -0x1.71d0a71b4b1cbp-17, -0x1.81434a07955dcp-17, -0x1.9060fa13ab35p-17, -0x1.9f29adb66df1cp-17, -0x1.ad9d515a3d279p-17, -0x1.bbbbe634339adp-17, -0x1.c9857b073b517p-17, -0x1.d6fa2bfb4ba24p-17, -0x1.e41a1f1c58368p-17, -0x1.f0e57e0459cdp-17, -0x1.fd5c7267c1706p-17, -0x1.04bf99703690bp-16, -0x1.0aa6fa1e955a8p-16, -0x1.10645554f5c58p-16, -0x1.15f7ec79ae1d3p-16, -0x1.1b620fc90e70bp-16, -0x1.20a2a60fd200bp-16, -0x1.25b9c92a76931p-16, -0x1.2aa7e6ac0060ap-16, -0x1.2f6d340c72aa9p-16, -0x1.3409c4ff1e7fep-16, -0x1.387dbf4c013bbp-16, -0x1.3cc974be2b50ep-16, -0x1.40ed23a8d4779p-16, -0x1.44e9057048647p-16, -0x1.48bd584360f83p-16, -0x1.4c6a5ee0fe978p-16, -0x1.4ff05fd19ec54p-16, -0x1.534fa4a91f49fp-16, -0x1.568878bc99d99p-16, -0x1.599b28395d093p-16, -0x1.5c8802b9dfca1p-16, -0x1.5f4f5b8f06b96p-16, }}, 
      {{-0x1.401be2db60f52p+1, -0x1.3f7d12eb3e8a6p+1, -0x1.3e77257c27426p+1, -0x1.3d0dbad52dfebp+1, -0x1.3b454cb28e333p+1, -0x1.3922edef4f355p+1, -0x1.36ac17f303613p+1, -0x1.33e68310c8846p+1, -0x1.30d807800a138p+1, -0x1.2d8685113c327p+1, -0x1.29f7d02c1c7a7p+1, -0x1.2631a2fb8b147p+1, -0x1.223991edd44bep+1, -0x1.1e1502e21254ep+1, -0x1.19c92680e32c9p+1, -0x1.155af35a6748dp+1, -0x1.10cf2278a948bp+1, -0x1.0c2a2d257c624p+1, -0x1.07704baf04b48p+1, -0x1.02a574ff8aa03p+1, -0x1.fb9abdc935628p+0, -0x1.f1d6fdce50afdp+0, -0x1.e8061736106d6p+0, -0x1.de2dfc9f9986ep+0, -0x1.d4542a200c314p+0, -0x1.ca7da9bcc946ap+0, -0x1.c0af184497d8ep+0, -0x1.b6ecaa6ee963fp+0, -0x1.ad3a3229d0febp+0, -0x1.a39b240192882p+0, -0x1.9a129c91a6f51p+0, -0x1.90a365f21c3abp+0, -0x1.874ffd0d727fbp+0, -0x1.7e1a96d1c82bbp+0, -0x1.7505253e5cb91p+0, -0x1.6c115c3893726p+0, -0x1.6340b61a6ab65p+0, -0x1.5a94780d91c59p+0, -0x1.520db61d4ffd4p+0, -0x1.49ad56fa195f5p+0, -0x1.41741788adabbp+0, -0x1.39628e2ccf8dap+0, -0x1.31792dd926ac5p+0, -0x1.29b848f3e9596p+0, -0x1.222014102bc6bp+0, -0x1.1ab0a87d87127p+0, -0x1.136a06ae8b9c2p+0, -0x1.0c4c1879eee36p+0, -0x1.0556b33a55cc5p+0, -0x1.fd13339a93c9p-1, -0x1.efc8fce03d14ap-1, -0x1.e2ce08f42a8a3p-1, -0x1.d62183eb2261fp-1, -0x1.c9c282372e5d7p-1, -0x1.bdb003698c217p-1, -0x1.b1e8f4c3ab4dap-1, -0x1.a66c33991ea6fp-1, -0x1.9b388f838faffp-1, -0x1.904ccc6a24236p-1, -0x1.85a7a45ec101dp-1, -0x1.7b47c95444608p-1, -0x1.712be6b0fe02ap-1, -0x1.6752a2c058fdfp-1, -0x1.5dbaa00602024p-1, -0x1.54627e7431908p-1, -0x1.4b48dc86a97b7p-1, -0x1.426c584364c71p-1, -0x1.39cb90228be21p-1, -0x1.316523defd045p-1, -0x1.2937b5312a9dp-1, -0x1.2141e875db341p-1, -0x1.198265429cb6bp-1, -0x1.11f7d6e94a977p-1, -0x1.0aa0ecec259acp-1, -0x1.037c5b63ae194p-1, -0x1.f911b6aef65a4p-2, -0x1.eb8a5614ffa62p-2, -0x1.de601c7977026p-2, -0x1.d1909cc35d483p-2, -0x1.c519759bfc807p-2, -0x1.b8f851b78c265p-2, -0x1.ad2ae80e0421dp-2, -0x1.a1aefc05dff53p-2, -0x1.96825d9193306p-2, -0x1.8ba2e9402dd43p-2, -0x1.810e8845378c7p-2, -0x1.76c330766d57fp-2, -0x1.6cbee43f9746fp-2, -0x1.62ffb29124c72p-2, -0x1.5983b6c739cbdp-2, -0x1.5049188aa3185p-2, -0x1.474e0bac0c45cp-2, -0x1.3e90cffbe252dp-2, -0x1.360fb11df5af3p-2, -0x1.2dc9065931861p-2, -0x1.25bb32643e05dp-2, -0x1.1de4a32fff196p-2, -0x1.1643d1b03039dp-2, -0x1.0ed741a294f87p-2, -0x1.079d8153d8adcp-2, -0x1.00952963e40fp-2, -0x1.f379b913e3592p-3, -0x1.e6268eae6f32fp-3, -0x1.d92e3ff5026a4p-3, -0x1.cc8e4c068a07ep-3, -0x1.c04444488f7c3p-3, -0x1.b44dcbee725acp-3, -0x1.a8a89781f59d9p-3, -0x1.9d526c6bec924p-3, -0x1.9249207e4c063p-3, -0x1.878a99817ff3ap-3, -0x1.7d14ccc21caa5p-3, -0x1.72e5be9fe29e3p-3, -0x1.68fb822023bf1p-3, -0x1.5f54388203cdap-3, -0x1.55ee10d4ab6d6p-3, -0x1.4cc7478f87762p-3, -0x1.43de262cf8cadp-3, -0x1.3b3102c841a97p-3, -0x1.32be3fbd3f041p-3, -0x1.2a844b498e01ep-3, -0x1.22819f318e2f7p-3, -0x1.1ab4c0675589ep-3, -0x1.131c3eb3fb8e5p-3, -0x1.0bb6b46355afdp-3, -0x1.0482c5f1fcbe7p-3, -0x1.fafe437af5657p-4, -0x1.ed54ff6e91c0cp-4, -0x1.e0074234418bdp-4, -0x1.d312a041d48e8p-4, -0x1.c674bf80136f3p-4, -0x1.ba2b56c1fbbbp-4, -0x1.ae342d40d42d5p-4, -0x1.a28d1a1b5de4dp-4, -0x1.973403d94a11dp-4, -0x1.8c26dff2c3094p-4, -0x1.8163b25bb639fp-4, -0x1.76e88d1294f4ep-4, -0x1.6cb38fb3129bdp-4, -0x1.62c2e70ca0017p-4, -0x1.5914ccbbdf4b8p-4, -0x1.4fa786c72cd7dp-4, -0x1.4679673eb2d4bp-4, -0x1.3d88cbdfdee97p-4, -0x1.34d41dbbe3e87p-4, -0x1.2c59d0e02546p-4, -0x1.24186402bab2dp-4, -0x1.1c0e603161f33p-4, -0x1.143a58824bb3ep-4, -0x1.0c9ae9c8b2395p-4, -0x1.052eba4b1f3f2p-4, -0x1.fbe8f2f809f78p-5, -0x1.edd5bf6af2b13p-5, -0x1.e0215bed0d539p-5, -0x1.d2c95b457645ep-5, -0x1.c5cb608762bbap-5, -0x1.b9251e9bb4cc3p-5, -0x1.acd457c9db0a1p-5, -0x1.a0d6dd489f4dp-5, -0x1.952a8ed0500c4p-5, -0x1.89cd5a332771ep-5, -0x1.7ebd3af4f1451p-5, -0x1.73f839e8d31acp-5, -0x1.697c6cd24744fp-5, -0x1.5f47f607d63e5p-5, -0x1.5559041af8e8cp-5, -0x1.4badd17f4051ap-5, -0x1.4244a437384bfp-5, -0x1.391bcd838731fp-5, -0x1.3031a993be117p-5, -0x1.27849f3a05075p-5, -0x1.1f131fa15c5efp-5, -0x1.16dba605eedd8p-5, -0x1.0edcb76f6e8ap-5, -0x1.0714e26e8a843p-5, -0x1.ff057db64c08fp-6, -0x1.f049db294fd76p-6, -0x1.e1f4308bf2882p-6, -0x1.d401e25365cf2p-6, -0x1.c67065a0aa929p-6, -0x1.b93d3fd0d83e7p-6, -0x1.ac66061088698p-6, -0x1.9fe85cf3bc138p-6, -0x1.93c1f80e69c71p-6, -0x1.87f09992ab799p-6, -0x1.7c7211f0875fp-6, -0x1.71443f779037p-6, -0x1.66650dfcfbae8p-6, -0x1.5bd27683dda2fp-6, -0x1.518a7ee7baeeep-6, -0x1.478b3989622abp-6, -0x1.3dd2c4fde2f7dp-6, -0x1.345f4bc0276dfp-6, -0x1.2b2f03e59c085p-6, -0x1.22402ed390a55p-6, -0x1.199118f74d3ebp-6, -0x1.112019800b7a2p-6, -0x1.08eb921a6f06fp-6, -0x1.00f1eeaf9939ep-6, -0x1.f2634a4636e19p-7, -0x1.e3526a2bdf9bep-7, -0x1.d4ae4f4fdb07cp-7, -0x1.c6741e7b08224p-7, -0x1.b8a10e8b6a39ap-7, -0x1.ab326802f1731p-7, -0x1.9e25849a4c537p-7, -0x1.9177ced68b43fp-7, -0x1.8526c1a117688p-7, -0x1.792fe7e2621d2p-7, -0x1.6d90dc1fb6a68p-7, -0x1.624748193bbd4p-7, -0x1.5750e46e202c1p-7, -0x1.4cab7843016a1p-7, -0x1.4254d8e4c704p-7, -0x1.384ae9750d4e2p-7, -0x1.2e8b9a9457155p-7, -0x1.2514ea0fa94b8p-7, -0x1.1be4e2904df89p-7, -0x1.12f99b4d68726p-7, -0x1.0a5137bf6c08p-7, -0x1.01e9e7556f11fp-7, -0x1.f383ca5892c0dp-8, -0x1.e3aeef8f06c1dp-8, -0x1.d451e197f289fp-8, -0x1.c56959783aab5p-8, -0x1.b6f2256bd14e9p-8, -0x1.a8e928651278ap-8, -0x1.9b4b598e96d16p-8, -0x1.8e15c3cfdf6f6p-8, -0x1.81458555e8984p-8, -0x1.74d7cf1c39c27p-8, -0x1.68c9e47c124f6p-8, -0x1.5d191abef7ce9p-8, -0x1.51c2d8aa86cfbp-8, -0x1.46c4961dc3614p-8, -0x1.3c1bdba218c26p-8, -0x1.31c64209f7256p-8, -0x1.27c1720c018efp-8, -0x1.1e0b23e1dd22fp-8, -0x1.14a11ee90fed8p-8, -0x1.0b8139463bb79p-8, -0x1.02a9578a79cacp-8, -0x1.f42ed8b5b60c2p-9, -0x1.e392f03462d2dp-9, -0x1.d37b1129956f8p-9, -0x1.c3e3715b59ff6p-9, -0x1.b4c8601a833e3p-9, -0x1.a62645a396b9ep-9, -0x1.97f9a2841e5bdp-9, -0x1.8a3f0f04a366ap-9, -0x1.7cf33a971dfdap-9, -0x1.7012eb48795ccp-9, -0x1.639afd343630ap-9, -0x1.578861f924268p-9, -0x1.4bd820302948ep-9, -0x1.408752e66cdd1p-9, -0x1.3593291cd9185p-9, -0x1.2af8e54ce089p-9, -0x1.20b5dcf18e60bp-9, -0x1.16c778129e585p-9, -0x1.0d2b30cfd8222p-9, -0x1.03de92ee0d219p-9, -0x1.f5be783578645p-10, -0x1.e455af6170b8ap-10, -0x1.d37e4bea9565cp-10, -0x1.c333e81b4fbbdp-10, -0x1.b3723ec87f94cp-10, -0x1.a43529298c857p-10, -0x1.95789e11f6635p-10, -0x1.8738b1299e26ep-10, -0x1.79719221a3fb8p-10, -0x1.6c1f8bf004702p-10, -0x1.5f3f040219eb8p-10, -0x1.52cc79cacee2fp-10, -0x1.46c485eaf679cp-10, -0x1.3b23d9d9f4225p-10, -0x1.2fe73f2bf119dp-10, -0x1.250b96f6ee551p-10, -0x1.1a8dd9248e7abp-10, -0x1.106b13bf4f2efp-10, -0x1.06a06a4f9e5dbp-10, -0x1.fa562a9eaa8d2p-11, -0x1.e810c365e4324p-11, -0x1.d66b60fb0661bp-11, -0x1.c560ec9fc8b87p-11, -0x1.b4ec75cd799f2p-11, -0x1.a509310b6f475p-11, -0x1.95b276b4c3245p-11, -0x1.86e3c1cef9a07p-11, -0x1.7898af100669ep-11, -0x1.6accfc1c3e5dap-11, -0x1.5d7c86ea63582p-11, -0x1.50a34d294d00ap-11, -0x1.443d6b820d09ap-11, -0x1.38471ca4a46fap-11, -0x1.2cbcb82c3a8dfp-11, -0x1.219ab1808487bp-11, -0x1.16dd96e1a5ba4p-11, -0x1.0c8210bbfae78p-11, -0x1.0284e1406d98cp-11, -0x1.f1c5c8363037bp-12, -0x1.df321c325cb5dp-12, -0x1.cd48d90fce257p-12, -0x1.bc0448913b2c3p-12, -0x1.ab5ee15770038p-12, -0x1.9b534496b5fe3p-12, -0x1.8bdc3c484663ep-12, -0x1.7cf4ba27a0a9ep-12, -0x1.6e97d776de3d8p-12, -0x1.60c0d529f5c4ap-12, -0x1.536b1bed18f84p-12, -0x1.46923b8b67d2cp-12, -0x1.3a31e97e9089cp-12, -0x1.2e45fec6a5f97p-12, -0x1.22ca756fa0c3dp-12, -0x1.17bb665338afap-12, -0x1.0d15079d5b18fp-12, -0x1.02d3ac581917fp-12, -0x1.f1e789aa66996p-13, -0x1.dee3bedbb1b5cp-13, -0x1.cc9551e41ceb2p-13, -0x1.baf5d8bf66603p-13, -0x1.a9ff22fe57c63p-13, -0x1.99ab368a3e1ddp-13, -0x1.89f44c72c29cp-13, -0x1.7ad4ca2b520ecp-13, -0x1.6c4740c574386p-13, -0x1.5e4669d7dfc43p-13, -0x1.50cd2860e734ap-13, -0x1.43d68a1184b98p-13, -0x1.375dc88b88fep-13, -0x1.2b5e497915aa2p-13, -0x1.1fd39d81c07aap-13, -0x1.14b97eb10b0f2p-13, -0x1.0a0bce9ae8865p-13, -0x1.ff8d28085e6cep-14, -0x1.ebcbefe7437p-14, -0x1.d8cc857ad8cf2p-14, -0x1.c687b41635ecep-14, -0x1.b4f680e06214bp-14, -0x1.a4122b9b4896cp-14, -0x1.93d42ecd5650dp-14, -0x1.84363e580c7d2p-14, -0x1.753245ebeea7p-14, -0x1.66c26914fd86p-14, -0x1.58e10491ceb67p-14, -0x1.4b88aea95bd77p-14, -0x1.3eb434bade933p-14, -0x1.325e969c2f717p-14, -0x1.268302009c56p-14, -0x1.1b1ccf57b1485p-14, -0x1.10277f8742ac6p-14, -0x1.059eb9091d1c3p-14, -0x1.f6fc88c5bcb9cp-15, -0x1.e38413e48169bp-15, -0x1.d0cc25c11d3bp-15, -0x1.becd193076d18p-15, -0x1.ad7f97e5535e8p-15, -0x1.9cdc9c1aae1aap-15, -0x1.8cdd6e92f159dp-15, -0x1.7d7ba4555d506p-15, -0x1.6eb11c976cb9fp-15, -0x1.6077fb7802a8cp-15, -0x1.52ca9f447fbdfp-15, -0x1.45a3934dd293ep-15, -0x1.38fd86d20b711p-15, -0x1.2cd34bd5029bcp-15, -0x1.211fdbdfbdcccp-15, -0x1.15de5d3988d0bp-15, -0x1.0b0a2471204cdp-15, -0x1.009eb2e9da95fp-15, -0x1.ed2f6f9227d1ap-16, -0x1.d9e22deb99daep-16, -0x1.c74de23bbdbe2p-16, -0x1.b56b44c5f37bep-16, -0x1.a433694e05597p-16, -0x1.939f9ebce1139p-16, -0x1.83a960df65965p-16, -0x1.744a5e14bca6bp-16, -0x1.657c7e0807ce7p-16, -0x1.5739df73b9585p-16, -0x1.497cc25dc3eaap-16, -0x1.3c3faae3afe5ap-16, -0x1.2f7d215da3bdfp-16, -0x1.232ffc44ee86cp-16, -0x1.1753541714906p-16, -0x1.0be2a07a403ebp-16, -0x1.00d9a3183f17dp-16, -0x1.ec688a6a34b26p-17, -0x1.d7dd10053438ap-17, -0x1.c40929467d393p-17, -0x1.b0e59efebb851p-17, -0x1.9e6ba50d45a02p-17, -0x1.8c94a9da4738p-17, -0x1.7b5a320685124p-17, -0x1.6ab5d4f7642c7p-17, -0x1.5aa14deeb4c4fp-17, -0x1.4b169b1286debp-17, -0x1.3c1020672c8a9p-17, -0x1.2d88c1ce1a851p-17, -0x1.1f7bb2a17164bp-17, -0x1.11e4386cee6e7p-17, -0x1.04bd9801fccfep-17, -0x1.f006897d37b2ep-18, -0x1.d76224d399fe5p-18, -0x1.bf866c7652ebep-18, -0x1.a86c43aa2c7d4p-18, -0x1.920cb3ea18ae1p-18, -0x1.7c60c42e6c8c7p-18, -0x1.67618874777acp-18, -0x1.53084d5dd2e88p-18, -0x1.3f4ec5d0fd679p-18, -0x1.2c2f304374454p-18, -0x1.19a44a26b4802p-18, -0x1.07a8ff245b107p-18, -0x1.ec705591dc4fep-19, -0x1.ca9974b20f895p-19, -0x1.a9c3db35d4c8ap-19, -0x1.89e6b66e0059cp-19, -0x1.6af9add3171d8p-19, -0x1.4cf4db9d1fec8p-19, -0x1.2fd0c822498p-19, -0x1.138648cc44bb4p-19, -0x1.f01cd1b917de5p-20, -0x1.bac4e582f9712p-20, -0x1.86f80a1e62cbcp-20, -0x1.54aa3f282a9bp-20, -0x1.23d036cc91b05p-20, -0x1.e8bdec05d3d99p-21, -0x1.8c973cec7125ep-21, -0x1.3317d90955997p-21, -0x1.b85a65e2c404dp-22, -0x1.0f8b595f2cb09p-22, -0x1.ae7da4827373ep-24, 0x1.9c5daf221ea9cp-25, 0x1.9c2e7d9b28b73p-23, 0x1.6423602295ecap-22, 0x1.f5ce77b598705p-22, 0x1.419a1f6d9fp-21, 0x1.8636f6b103e7ap-21, 0x1.c8c9bc3100279p-21, 0x1.04af391bd5793p-20, 0x1.24009fef1a5b9p-20, 0x1.425f1f27282c5p-20, 0x1.5fd0788a23ae9p-20, 0x1.7c59a3aaac1eep-20, 0x1.97ff0e6c31accp-20, 0x1.b2c63277f22f4p-20, 0x1.ccb27be2714c1p-20, 0x1.e5c94a1c1365fp-20, 0x1.fe0e95700da0ep-20, 0x1.0ac347f857f74p-19, 0x1.161aa73008b73p-19, 0x1.210f6739ed61dp-19, 0x1.2ba36aa5f44f4p-19, 0x1.35d868dfc887fp-19, 0x1.3fb004c8564eep-19, 0x1.492bf2500052p-19, 0x1.524df14c3d0d1p-19, 0x1.5b17b5da75833p-19, 0x1.638acc5459225p-19, 0x1.6ba88819d6e18p-19, 0x1.737248d6075ecp-19, 0x1.7ae991077af29p-19, 0x1.820fcbfc3db05p-19, 0x1.88e64fb3cb4bcp-19, 0x1.8f6e6e3cd2c86p-19, 0x1.95a9704136c92p-19, 0x1.9b98960e04991p-19, 0x1.a13d1ae230667p-19, 0x1.a6983323bd956p-19, 0x1.abab0a42e8fb5p-19, 0x1.b076c86fe9374p-19, 0x1.b4fca0cdadf87p-19, 0x1.b93dd114bbd8ep-19, 0x1.bd3b85485158p-19, 0x1.c0f6d06bceefap-19, 0x1.c470b8d26e55cp-19, 0x1.c7aa4906db3ep-19, 0x1.caa49c4478099p-19, 0x1.cd60c38f7c9bp-19, 0x1.cfdfc8806f849p-19, 0x1.d222b6667fa14p-19, 0x1.d42a932a5c908p-19, 0x1.d5f85f9e25574p-19, 0x1.d78d19fe8b6e8p-19, 0x1.d8e9bf9fa6383p-19, 0x1.da0f4d59a4c22p-19, 0x1.dafebd923a12cp-19, 0x1.dbb9066cc5bd9p-19, 0x1.dc3f1d616dd63p-19, 0x1.dc91fe414f3c4p-19, 0x1.dcb2a742a215ap-19, 0x1.dca20e0d62cb2p-19, 0x1.dc611f5ee6ee1p-19, 0x1.dbf0c60770739p-19, 0x1.db51f5aaff3eap-19, 0x1.da859a7ccb14ap-19, 0x1.d98c9ef838439p-19, 0x1.d867f09bbf66dp-19, 0x1.d718793ff9915p-19, 0x1.d59f20cc7ee0cp-19, 0x1.d3fccd5a5526bp-19, 0x1.d232640d8ff54p-19, 0x1.d040c8eb755ebp-19, 0x1.ce28df42b11ap-19, 0x1.cbeb89a116c52p-19, 0x1.c989a92ca0ae7p-19, 0x1.c7041d061272bp-19, 0x1.c45bc32c03cbfp-19, 0x1.c19178b2f022bp-19, 0x1.bea61844390f6p-19, 0x1.bb9a7d6eea8ccp-19, 0x1.b86f82c6a3dcp-19, 0x1.b525ff5ff08dcp-19, 0x1.b1bec7542d8acp-19, 0x1.ae3aadc6641dcp-19, 0x1.aa9a72fa9e20fp-19, 0x1.a6df1944ea34ep-19, 0x1.a309476e6d3f6p-19, 0x1.9f19f2a8d999dp-19, 0x1.9b11b8c5f3be4p-19, 0x1.96f17d689e723p-19, 0x1.92ba01e9d429ep-19, 0x1.8e6c110f75d59p-19, 0x1.8a08717b5a583p-19, 0x1.858fe7827c0efp-19, 0x1.81033552aece9p-19, 0x1.7c631b3ef95d7p-19, 0x1.77b057e47d115p-19, 0x1.72eba7abf3177p-19, 0x1.6e15c5eaf4101p-19, 0x1.692f6c2e52b21p-19, 0x1.643950dc86919p-19, 0x1.5f3428ad4e6c9p-19, 0x1.5a20a71b80ccbp-19, 0x1.54ff7d386b0f8p-19, 0x1.4fd159bf6c10dp-19, 0x1.4a96e9647cd03p-19, 0x1.4550d70b64f4p-19, 0x1.3fffcb45e9d2cp-19, 0x1.3aa46c6aafde6p-19, 0x1.353f5ea7aebc8p-19, 0x1.2fd1440b6fa59p-19, 0x1.2a5abc86bee4cp-19, 0x1.24dc65e0f920cp-19, 0x1.1f56db971520bp-19, 0x1.19cab6b6dfecp-19, 0x1.14388db35fe64p-19, 0x1.0ea0f262ad866p-19, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.08d724eca58a8p-4, 0x1.02916073fd03ap-3, 0x1.75f32bb776651p-3, 0x1.db9bb1f19be9cp-3, 0x1.18e0a7b3beea9p-2, 0x1.3bbe35c9065e7p-2, 0x1.56471093b55aep-2, 0x1.6899ea0f257e7p-2, 0x1.7302724dca528p-2, 0x1.75ec1c1d91795p-2, 0x1.71d7e8cc57378p-2, 0x1.67548b50ec7a2p-2, 0x1.56f85c4f5cc13p-2, 0x1.415cb80ed2351p-2, 0x1.271a777c648cp-2, 0x1.08c74781f1ed1p-2, 0x1.cde75f6c40a69p-3, 0x1.845347abda22cp-3, 0x1.35d706c5831fep-3, 0x1.c6cdc31d3a756p-4, 0x1.1bcbb8302d425p-4, 0x1.b12b0b6b602a2p-6, -0x1.18d5ecada86c2p-6, -0x1.f4b01d00cfd4dp-5, -0x1.aee1c280a7ed5p-4, -0x1.315bf0999f133p-3, -0x1.8a6f5bfd12121p-3, -0x1.e23bf9c38d2ap-3, -0x1.1c3038414e656p-2, -0x1.46442728088d5p-2, -0x1.6f358eaef80cp-2, -0x1.96e5bea24d6c5p-2, -0x1.bd3b1e96a58e7p-2, -0x1.e220bcf4dab2dp-2, -0x1.02c2f36f23659p-1, -0x1.13aee02985157p-1, -0x1.23cf70168378fp-1, -0x1.33217d94ccbc2p-1, -0x1.41a344ff13853p-1, -0x1.4f543b50e338bp-1, -0x1.5c34ebc5ae97bp-1, -0x1.6846d3f6b2624p-1, -0x1.738c44b24c408p-1, -0x1.7e084624d3652p-1, -0x1.87be7df753f53p-1, -0x1.90b3187a457d1p-1, -0x1.98eab4043c3edp-1, -0x1.a06a4e6debacp-1, -0x1.a7373475656dcp-1, -0x1.ad56f2cb9119ep-1, -0x1.b2cf4892eb097p-1, -0x1.b7a61b1fc74dep-1, -0x1.bbe16ada7faa5p-1, -0x1.bf87492fe927dp-1, -0x1.c29dcf827950ap-1, -0x1.c52b170e9088fp-1, -0x1.c73531b3325dep-1, -0x1.c8c223906a514p-1, -0x1.c9d7dd6b7bcacp-1, -0x1.ca7c37d0aae1p-1, -0x1.cab4eedfbfd22p-1, -0x1.ca879ebe88311p-1, -0x1.c9f9c0a16e49fp-1, -0x1.c910a85e9b073p-1, -0x1.c7d1827e1e301p-1, -0x1.c64152ba3b1ddp-1, -0x1.c464f2e332f8bp-1, -0x1.c241121b54ff3p-1, -0x1.bfda3460bfa67p-1, -0x1.bd34b25baa6a3p-1, -0x1.ba54b969f3b4ap-1, -0x1.b73e4bdeda1a8p-1, -0x1.b3f54171b3c93p-1, -0x1.b07d47d423bf5p-1, -0x1.acd9e36b2641dp-1, -0x1.a90e7023831a7p-1, -0x1.a51e226250ec7p-1, -0x1.a10c080172db3p-1, -0x1.9cdb09648436p-1, -0x1.988dea923a181p-1, -0x1.94274c5b36f19p-1, -0x1.8fa9ad8614dfdp-1, -0x1.8b176bfe2b167p-1, -0x1.8672c6040a36p-1, -0x1.81bddb6234c0cp-1, -0x1.7cfaae9a0cd36p-1, -0x1.782b2610e2699p-1, -0x1.73510d3c3fe67p-1, -0x1.6e6e15c3cb6b7p-1, -0x1.6983d89f98e86p-1, -0x1.6493d7306699dp-1, -0x1.5f9f7c51ea01dp-1, -0x1.5aa81d62b79dep-1, -0x1.55aefb452fe87p-1, -0x1.50b543592242dp-1, -0x1.4bbc106ce2befp-1, -0x1.46c46ba5b2743p-1, -0x1.41cf4d5eae87cp-1, -0x1.3cdd9dffb7c6cp-1, -0x1.37f036cc755a1p-1, -0x1.3307e2aa8c1d7p-1, -0x1.2e255edf27da1p-1, -0x1.29495bc4a9b79p-1, -0x1.24747d7808384p-1, -0x1.1fa75c7df0ceap-1, -0x1.1ae28661b2039p-1, -0x1.16267e4b8d0dp-1, -0x1.1173bd8fc84bbp-1, -0x1.0ccab43739352p-1, -0x1.082bc9816e91p-1, -0x1.03975c5f04c36p-1, -0x1.fe1b87cda559ep-2, -0x1.f51e9f8ae15fep-2, -0x1.ec38914c1256ap-2, -0x1.e369e12be21cp-2, -0x1.dab306c7074eap-2, -0x1.d2146def0537dp-2, -0x1.c98e77539fed7p-2, -0x1.c1217923a05c5p-2, -0x1.b8cdbfa422c16p-2, -0x1.b0938dc0826b5p-2, -0x1.a8731d9306d3dp-2, -0x1.a06ca0e4f70f3p-2, -0x1.988041a7c2954p-2, -0x1.90ae2268eca1dp-2, -0x1.88f65ebef7d2cp-2, -0x1.81590baff2f9p-2, -0x1.79d6381310a44p-2, -0x1.726deced15108p-2, -0x1.6b202dc791abcp-2, -0x1.63ecf9032f49fp-2, -0x1.5cd448260cb65p-2, -0x1.55d6102632842p-2, -0x1.4ef241af3e745p-2, -0x1.4828c9640a984p-2, -0x1.4179901e63e9dp-2, -0x1.3ae47b2b4d52bp-2, -0x1.34696c8209418p-2, -0x1.2e0842f925826p-2, -0x1.27c0da7af2716p-2, -0x1.21930c36af109p-2, -0x1.1b7eaec2ea677p-2, -0x1.158396622d2ebp-2, -0x1.0fa195105b73ep-2, -0x1.09d87ab271e4p-2, -0x1.04281545e4f7dp-2, -0x1.fd2061ee8c09bp-3, -0x1.f22130910c41p-3, -0x1.e7522866f2b9fp-3, -0x1.dcb2d881175d8p-3, -0x1.d242cd4a77e0cp-3, -0x1.c80190cce100ap-3, -0x1.bdeeaad6e8d3ep-3, -0x1.b409a12b3556ap-3, -0x1.aa51f7b26d898p-3, -0x1.a0c730afce1abp-3, -0x1.9768ccdfa62bfp-3, -0x1.8e364ba5353a6p-3, -0x1.852f2b29b5822p-3, -0x1.7c52e88b4a93dp-3, -0x1.73a0fff93448bp-3, -0x1.6b18ecd6e635ep-3, -0x1.62ba29d535731p-3, -0x1.5a8431138c44dp-3, -0x1.52767c42a2903p-3, -0x1.4a9084b7b11c8p-3, -0x1.42d1c38711ab2p-3, -0x1.3b39b19a38115p-3, -0x1.33c7c7cab939ep-3, -0x1.2c7b7efb1e52ep-3, -0x1.25545027bf49p-3, -0x1.1e51b4766f8fp-3, -0x1.1773254d40a5bp-3, -0x1.10b81c662ec08p-3, -0x1.0a2013e0add1p-3, -0x1.03aa864f59e3cp-3, -0x1.faaddd8beb8d2p-4, -0x1.ee4991ce4da94p-4, -0x1.e22721ed14b2p-4, -0x1.d64587cbb25d8p-4, -0x1.caa3bebdc6097p-4, -0x1.bf40c39b57df3p-4, -0x1.b41b94d88717ep-4, -0x1.a933329ec414p-4, -0x1.9e869ee069a5ep-4, -0x1.9414dd69055ccp-4, -0x1.89dcf3edb3b0ap-4, -0x1.7fddea1c69eb1p-4, -0x1.7616c9adb582fp-4, -0x1.6c869e7513e28p-4, -0x1.632c766ddf516p-4, -0x1.5a0761c644e89p-4, -0x1.511672ea02ef9p-4, -0x1.4858be8d2792dp-4, -0x1.3fcd5bb90aa5cp-4, -0x1.377363d646f6fp-4, -0x1.2f49f2b43917ep-4, -0x1.2750268fdf1bfp-4, -0x1.1f85201aaeaa9p-4, -0x1.17e802822dd02p-4, -0x1.1077f376c8892p-4, -0x1.09341b31dd0bap-4, -0x1.021ba4798d607p-4, -0x1.f65b79484016bp-5, -0x1.e8d327385dc17p-5, -0x1.db9cb7c839942p-5, -0x1.ceb695328299fp-5, -0x1.c21f2eecbdbe6p-5, -0x1.b5d4f9aa463a4p-5, -0x1.a9d66f5e2dd7fp-5, -0x1.9e220f3c78343p-5, -0x1.92b65dbbd28bdp-5, -0x1.8791e496e8517p-5, -0x1.7cb332cb38d0bp-5, -0x1.7218dc97b2c2dp-5, -0x1.67c17b7ab5149p-5, -0x1.5dabae2f0c021p-5, -0x1.53d618a8ae2a4p-5, -0x1.4a3f64114b8a7p-5, -0x1.40e63ec42584bp-5, -0x1.37c95c48dc8d9p-5, -0x1.2ee7754d62a72p-5, -0x1.263f479f958bcp-5, -0x1.1dcf9626c6333p-5, -0x1.159728dd28c4ep-5, -0x1.0d94ccc89c01bp-5, -0x1.05c753f26492ap-5, -0x1.fc5b2abd0ba7bp-6, -0x1.ed8cda05b25bbp-6, -0x1.df21777bc0f14p-6, -0x1.d116ce9b9f38dp-6, -0x1.c36ab48e33492p-6, -0x1.b61b0814448b9p-6, -0x1.a925b17159c92p-6, -0x1.9c88a2543e449p-6, -0x1.9041d5c1ee8e9p-6, -0x1.844f500072598p-6, -0x1.78af1e8277d1ep-6, -0x1.6d5f57d0e36a6p-6, -0x1.625e1b712d454p-6, -0x1.57a991c94498p-6, -0x1.4d3fec04289bbp-6, -0x1.431f63fa4dfcbp-6, -0x1.39463c1dd5b64p-6, -0x1.2fb2bf67ece2dp-6, -0x1.26634142a93c8p-6, -0x1.1d561d6bd0364p-6, -0x1.1489b7d148c96p-6, -0x1.0bfc7c6ce2444p-6, -0x1.03acdf26a0f28p-6, -0x1.f732b783b4becp-7, -0x1.e780eba495fcap-7, -0x1.d8417160da3fbp-7, -0x1.c9716ec541323p-7, -0x1.bb0e18ed0e0f7p-7, -0x1.ad14b39ea6866p-7, -0x1.9f8290ebc7376p-7, -0x1.925510f15d0c2p-7, -0x1.8589a1c37b55fp-7, -0x1.791dbf776172dp-7, -0x1.6d0ef429a5e04p-7, -0x1.615ad7dc2d2cep-7, -0x1.55ff10246a4ddp-7, -0x1.4af94f6247a9cp-7, -0x1.404754c577e31p-7, -0x1.35e6eb6927f52p-7, -0x1.2bd5ea8e1fa9p-7, -0x1.221235bb421fcp-7, -0x1.1899bcf5a0341p-7, -0x1.0f6a7cc737bfp-7, -0x1.06827def1cfe9p-7, -0x1.fbbfa985ecacp-8, -0x1.eb0140ee7358ap-8, -0x1.dac6151edb051p-8, -0x1.cb0a8d6a54511p-8, -0x1.bbcb25d87e387p-8, -0x1.ad046ffe0e707p-8, -0x1.9eb313990fd7ep-8, -0x1.90d3ce6e20c24p-8, -0x1.8363733cb19edp-8, -0x1.765ee818d8b61p-8, -0x1.69c324ce67edp-8, -0x1.5d8d31f2f2e37p-8, -0x1.51ba28f76a7e4p-8, -0x1.46473509d40edp-8, -0x1.3b31942a26f9ap-8, -0x1.307697b6e69b1p-8, -0x1.2613a3f6c18edp-8, -0x1.1c062ea688f8ap-8, -0x1.124bbd17589cfp-8, -0x1.08e1e2a83fe25p-8, -0x1.ff8c80805b43ap-9, -0x1.eded09dec4809p-9, -0x1.dce0de90442b3p-9, -0x1.cc639d34479fap-9, -0x1.bc71067d2bd2p-9, -0x1.ad04fb1d1b714p-9, -0x1.9e1b778cc126cp-9, -0x1.8fb08f55b7c94p-9, -0x1.81c069f3ade74p-9, -0x1.744742c6c1cccp-9, -0x1.67416c2a30ec2p-9, -0x1.5aab54450d49ap-9, -0x1.4e8189284cd82p-9, -0x1.42c0b9f106fcep-9, -0x1.3765b3ca3bf74p-9, -0x1.2c6d5b720415dp-9, -0x1.21d4a589b9d02p-9, -0x1.179890c1141e7p-9, -0x1.0db6246775724p-9, -0x1.042a7443c5355p-9, -0x1.f5e550c6fce73p-10, -0x1.e4180b91d41d1p-10, -0x1.d2e7e8920017dp-10, -0x1.c24ffd98aa7dap-10, -0x1.b24b9a782ed37p-10, -0x1.a2d633b705d45p-10, -0x1.93eb4b5f53e21p-10, -0x1.85866041f6c16p-10, -0x1.77a2ea0209ee6p-10, -0x1.6a3c63c6a9acap-10, -0x1.5d4e6227247e2p-10, -0x1.50d4aca43a7bfp-10, -0x1.44cb5136e74dp-10, -0x1.392eaa65a2896p-10, -0x1.2dfb55627b329p-10, -0x1.232e1ad45e5b3p-10, -0x1.18c3d275fab96p-10, -0x1.0eb94a5e7c3fbp-10, -0x1.050b39c2d9b95p-10, -0x1.f76c864a7a21dp-11, -0x1.e56e0a9a0b415p-11, -0x1.d4146b2fa9f24p-11, -0x1.c3597560307eep-11, -0x1.b3377c6a7b496p-11, -0x1.a3a95ee79e6fcp-11, -0x1.94aa6ec6d8768p-11, -0x1.8636467cc2c2dp-11, -0x1.784899454f6bap-11, -0x1.6add0a2dd51dcp-11, -0x1.5def12b1fcffdp-11, -0x1.5179ffb7d6d38p-11, -0x1.457907bfa05a1p-11, -0x1.39e77440d9172p-11, -0x1.2ec0cdb952e1dp-11, -0x1.2400f733634d1p-11, -0x1.19a4306335aaep-11, -0x1.0fa705f25f28cp-11, -0x1.06063f075bafap-11, -0x1.f97d9e5209521p-12, -0x1.e79b8e5267e81p-12, -0x1.d6607dd1d35dp-12, -0x1.c5c67c6884b7fp-12, -0x1.b5c76a3aae079p-12, -0x1.a65d1b096b33bp-12, -0x1.9781966065ca9p-12, -0x1.892f42ed6e6e7p-12, -0x1.7b60dadb4f7d8p-12, -0x1.6e113b2c34d38p-12, -0x1.613b472f96b3cp-12, -0x1.54da067c919fbp-12, -0x1.48e8e4d8d7f9dp-12, -0x1.3d63d2d5b2011p-12, -0x1.324722f912c4fp-12, -0x1.278f439ea69d2p-12, -0x1.1d38967348a1bp-12, -0x1.133f82bf0a62p-12, -0x1.09a0a246a041p-12, -0x1.0058ce963da25p-12, -0x1.eec9e423fafc4p-13, -0x1.dd8378d3ee61dp-13, -0x1.ccd7021664beep-13, -0x1.bcbcd65f824a9p-13, -0x1.ad2dcbd9bac91p-13, -0x1.9e23c870cbd2ap-13, -0x1.8f99ae35bca8ap-13, -0x1.818ae7d8e954ap-13, -0x1.73f3217b53d22p-13, -0x1.66ce5c72897d1p-13, -0x1.5a1914f90f953p-13, -0x1.4dd02972c7ccep-13, -0x1.41f075f1c63c7p-13, -0x1.3676536929fa7p-13, -0x1.2b5d5ad419372p-13, -0x1.20a09d45ba441p-13, -0x1.163b41e08e7bap-13, -0x1.0c290b910a785p-13, -0x1.02665ce309668p-13, -0x1.f1df9ccd8113p-14, -0x1.df83e0eeecb8ep-14, -0x1.cdb335269d57bp-14, -0x1.bc68dc18ba6a8p-14, -0x1.aba1decf59ab4p-14, -0x1.9b5c117c63c12p-14, -0x1.8b949c8ae1dcbp-14, -0x1.7c471f94630fdp-14, -0x1.6d6defef30699p-14, -0x1.5f030ce1b4adfp-14, -0x1.51011c72b9745p-14, -0x1.4363eb7a25309p-14, -0x1.36282cfe4fbd2p-14, -0x1.294a974389386p-14, -0x1.1cc7184c5de18p-14, -0x1.1098f025893c6p-14, -0x1.04bbb25a0ff64p-14, -0x1.f258d4f2e86aep-15, -0x1.dbd3b4a8c4169p-15, -0x1.c5e6acf36bb13p-15, -0x1.b08eb250939a2p-15, -0x1.9bc65c637b8ffp-15, -0x1.87871ef1ab0f8p-15, -0x1.73caab7311b87p-15, -0x1.608bc1d262e27p-15, -0x1.4dc654e47df1p-15, -0x1.3b7744f37ab6cp-15, -0x1.299bf4a3048b8p-15, -0x1.18318126471dcp-15, -0x1.0733f10ed2c1p-15, -0x1.ed3cdfd890bbp-16, -0x1.ccd9945cc7042p-16, -0x1.ad38308116d8ap-16, -0x1.8e5394d206e22p-16, -0x1.7026989121d02p-16, -0x1.52ad2491fa437p-16, -0x1.35e403bbe465cp-16, -0x1.19c76f471979cp-16, -0x1.fca4ac35acec7p-17, -0x1.c6fd9af995c4ap-17, -0x1.928e5102c0f59p-17, -0x1.5f4fcfe6f0cdcp-17, -0x1.2d40376ded4c9p-17, -0x1.f8b800c65e125p-18, -0x1.9933a6daeb66p-18, -0x1.3be32a53564fdp-18, -0x1.c1841e0362deep-19, -0x1.0f90aced241c5p-19, -0x1.870a6309e452ep-21, 0x1.20551ca06d676p-21, 0x1.dc2897ef41d0bp-20, 0x1.903f3f4719b37p-19, 0x1.1747c791df31fp-18, 0x1.64845aeeab533p-18, 0x1.afe1fd51f3c86p-18, 0x1.f97501f1f1ef9p-18, 0x1.20a4fab06a032p-17, 0x1.43ae2216e2397p-17, 0x1.65d52fd8f5b9ep-17, 0x1.872190aea5305p-17, 0x1.a79922405a97p-17, 0x1.c73bc654c7147p-17, 0x1.e60b102e1cd0fp-17, 0x1.02057e68850a5p-16, 0x1.109f7009e998p-16, 0x1.1ed4c80a8c3c8p-16, 0x1.2ca7468a3d2d6p-16, 0x1.3a18c2ad6bf2p-16, 0x1.472a35c0503ep-16, 0x1.53db8111899c2p-16, 0x1.602d179e9d2b9p-16, 0x1.6c21ea4ba3d29p-16, 0x1.77bc87bceefdep-16, 0x1.82fba14ef53e8p-16, 0x1.8ddf2c070fcc3p-16, 0x1.9869dc195c933p-16, 0x1.a29c8b603b475p-16, 0x1.ac77acedcff83p-16, 0x1.b5fcd4bb9dc14p-16, 0x1.bf2d53ea58aecp-16, 0x1.c809eeb402fdap-16, 0x1.d09338a29fe01p-16, 0x1.d8c9b63cd40a6p-16, 0x1.e0ade81d41a2ap-16, 0x1.e84092198ec33p-16, 0x1.ef83274c58275p-16, 0x1.f6772a3746111p-16, 0x1.fd1d16c70d74ep-16, 0x1.01baecd1bca98p-15, 0x1.04c15bb5ae527p-15, 0x1.07a200b692bdep-15, 0x1.0a5d50c8002c6p-15, 0x1.0cf38949de4f9p-15, 0x1.0f6509acb719cp-15, 0x1.11b292486b163p-15, 0x1.13dcad56cc102p-15, 0x1.15e3b773a500bp-15, 0x1.17c80bb47a245p-15, 0x1.198a0f2a3177bp-15, 0x1.1b2a2dedf8b0bp-15, 0x1.1ca8d2943db26p-15, 0x1.1e065e2373f87p-15, 0x1.1f432c4faae87p-15, 0x1.205fa1dabeb92p-15, 0x1.215c3081e0796p-15, 0x1.223970ca39e96p-15, 0x1.22f7faa9e6988p-15, 0x1.239817219c3d2p-15, 0x1.241a6373d4743p-15, 0x1.247f0bfbce041p-15, 0x1.24c65a384ce91p-15, 0x1.24f0fd8f8ec67p-15, 0x1.24ff7c4c3a5ccp-15, 0x1.24f23f24f13bfp-15, 0x1.24c9aea584fe2p-15, 0x1.248637f95473ep-15, 0x1.24284b971ecbep-15, 0x1.23b05c5659e0cp-15, 0x1.231edebbbbbe4p-15, 0x1.22744726b37d7p-15, 0x1.21b1087172a6ep-15, 0x1.20d59683b297bp-15, 0x1.1fe25d2df6a25p-15, 0x1.1ed7b44ff7a97p-15, 0x1.1db61f1dd25ap-15, 0x1.1c7e32473281ap-15, 0x1.1b3066743ab49p-15, 0x1.19cd0b8f50724p-15, 0x1.1854a33198b6fp-15, 0x1.16c797a7c5e14p-15, 0x1.15265e30e4799p-15, 0x1.137172cc561dbp-15, 0x1.11a944d79783ep-15, 0x1.0fce450c089b9p-15, 0x1.0de0e2a35b434p-15, 0x1.0be18ea829cbbp-15, 0x1.09d0ba58faa08p-15, 0x1.07aed76a3e8b1p-15, 0x1.057c5702246c9p-15, 0x1.0339a8deb7faap-15, 0x1.00e73d18d141bp-15, 0x1.fd0b04d2d741fp-16, 0x1.f829b6b892df9p-16, 0x1.f32b7d8d06ac6p-16, 0x1.ee115384f1235p-16, 0x1.e8dbe477eca7ap-16, 0x1.e38bf8f501fc3p-16, 0x1.de229940752a7p-16, 0x1.d8a09f3fc4e5p-16, 0x1.d306c6330dc9p-16, 0x1.cd55d3bfbf3cep-16, 0x1.c78eac10f6e3fp-16, 0x1.c1b2209e2cadp-16, 0x1.bbc0fb3ce15b3p-16, 0x1.b5bc059396f5p-16, 0x1.afa4091d38aa6p-16, 0x1.a979cef12738ap-16, 0x1.a33e1f568fcd6p-16, 0x1.9cf1c05bc1bf8p-16, 0x1.96957448085f5p-16, 0x1.9029fc12c121ep-16, 0x1.89b01925a734dp-16, }}, 
      {{-0x1.ea0f8bb2c9da6p+1, -0x1.e00baf0e89d24p+1, -0x1.d1acda29196f4p+1, -0x1.c061b4105ea78p+1, -0x1.ad4625e8a84a4p+1, -0x1.99341cb98a918p+1, -0x1.84d126d6a86bep+1, -0x1.70996435c54abp+1, -0x1.5ce841717818ap+1, -0x1.49ff69b4340e8p+1, -0x1.380c4ba1c6a2cp+1, -0x1.272c7cb39d5aap+1, -0x1.17713779f98d8p+1, -0x1.08e224926d479p+1, -0x1.f6ff27d477a61p+0, -0x1.de8887906ffa2p+0, -0x1.c84d997e078f6p+0, -0x1.b435896a7a619p+0, -0x1.a2234eaebf4d4p+0, -0x1.91f71e922785bp+0, -0x1.838f923170657p+0, -0x1.76ca8e4f89a79p+0, -0x1.6b85f89f693c3p+0, -0x1.61a043dce5dccp+0, -0x1.58f8da4a9ff29p+0, -0x1.51706cc78f026p+0, -0x1.4ae92b8f9c0dcp+0, -0x1.4546ecd31bb3p+0, -0x1.406f44a4f4154p+0, -0x1.3c49912493617p+0, -0x1.38befd438e37p+0, -0x1.35ba7c1e0dbf7p+0, -0x1.3328be9c5f02ep+0, -0x1.30f824c14e096p+0, -0x1.2f18abd1b61f3p+0, -0x1.2d7bda0db211cp+0, -0x1.2c14a8d6086efp+0, -0x1.2ad76e5c7296cp+0, -0x1.29b9c6704b949p+0, -0x1.28b27b4d4da26p+0, -0x1.27b96f3a0aa78p+0, -0x1.26c78648017dcp+0, -0x1.25d6910d27f33p+0, -0x1.24e13872efd8p+0, -0x1.23e2ea83d34ecp+0, -0x1.22d7c86f4c501p+0, -0x1.21bc95b4311b7p+0, -0x1.208ea870a046dp+0, -0x1.1f4bdad21abc7p+0, -0x1.1df27d9707886p+0, -0x1.1c814b900f5b4p+0, -0x1.1af75e0e413a6p+0, -0x1.195422303fb96p+0, -0x1.17974f032f6cfp+0, -0x1.15c0dc6ea3957p+0, -0x1.13d0fae1a4d45p+0, -0x1.11c80bb6b5ac3p+0, -0x1.0fa69a43c1288p+0, -0x1.0d6d558bc4ba2p+0, -0x1.0b1d0a87b095bp+0, -0x1.08b69efe41b6fp+0, -0x1.063b0ce11c3c6p+0, -0x1.03ab5e26be5e5p+0, -0x1.0108a9180ba6fp+0, -0x1.fca81a10788e8p-1, -0x1.f71d5edcdad7fp-1, -0x1.f17372af1e111p-1, -0x1.ebacaa524d8b2p-1, -0x1.e5cb595a3a055p-1, -0x1.dfd1cebf2e3f1p-1, -0x1.d9c251f324818p-1, -0x1.d39f206340a59p-1, -0x1.cd6a6b5bb3ep-1, -0x1.c72656445176ap-1, -0x1.c0d4f52dfae8ep-1, -0x1.ba784ba3841a6p-1, -0x1.b4124bc405d6dp-1, -0x1.ada4d58366e9ap-1, -0x1.a731b631439bp-1, -0x1.a0baa81992fd7p-1, -0x1.9a415255a8bb8p-1, -0x1.93c748bc802dbp-1, -0x1.8d4e0bec8775ep-1, -0x1.86d7096ded137p-1, -0x1.80639bf5395b1p-1, -0x1.79f50ba78bb92p-1, -0x1.738c8e760f097p-1, -0x1.6d2b488e96c8bp-1, -0x1.66d24cc88e6f3p-1, -0x1.60829d2031c4ep-1, -0x1.5a3d2b39a7086p-1, -0x1.5402d8ecc33dfp-1, -0x1.4dd478cbe38dp-1, -0x1.47b2ceb0acafep-1, -0x1.419e904baf758p-1, -0x1.3b9865b4c5faep-1, -0x1.35a0e9f9fbf06p-1, -0x1.2fb8abaaff906p-1, -0x1.29e02d63ed005p-1, -0x1.2417e65818275p-1, -0x1.1e6042d92019bp-1, -0x1.18b9a4d9198edp-1, -0x1.1324646c62b2p-1, -0x1.0da0d04495512p-1, -0x1.082f2e2893bfdp-1, -0x1.02cfbb6c0428p-1, -0x1.fb055abf24f2ep-2, -0x1.f090637a0a5dfp-2, -0x1.e640de236f7ap-2, -0x1.dc170a474c3d3p-2, -0x1.d2131aa1816dcp-2, -0x1.c83535d99c33bp-2, -0x1.be7d77378d26p-2, -0x1.b4ebef4cc8dc8p-2, -0x1.ab80a496f0a3bp-2, -0x1.a23b941be72e7p-2, -0x1.991cb1ffd767fp-2, -0x1.9023ea1366a48p-2, -0x1.87512058fe6f9p-2, -0x1.7ea431869bbeep-2, -0x1.761cf38148257p-2, -0x1.6dbb35d20ed92p-2, -0x1.657ec21450833p-2, -0x1.5d675c5f29445p-2, -0x1.5574c3a9d35ecp-2, -0x1.4da6b22b57033p-2, -0x1.45fcddb554abep-2, -0x1.3e76f809007d4p-2, -0x1.3714af27f7f6p-2, -0x1.2fd5ada23eddfp-2, -0x1.28b99adfb1ccfp-2, -0x1.21c01b65374d1p-2, -0x1.1ae8d11564d2dp-2, -0x1.14335b708f7e2p-2, -0x1.0d9f57cc77f96p-2, -0x1.072c618edc4bp-2, -0x1.00da126198638p-2, -0x1.f55004c7b8a21p-3, -0x1.e92b90b1f1fp-3, -0x1.dd45f3aab0cc8p-3, -0x1.d19e56d240ea1p-3, -0x1.c633e18765d0ep-3, -0x1.bb05b9c4bf886p-3, -0x1.b01304534db97p-3, -0x1.a55ae5137d0ecp-3, -0x1.9adc7f42da141p-3, -0x1.9096f5adc3e1dp-3, -0x1.86896aebaeb39p-3, -0x1.7cb3019521351p-3, -0x1.7312dc6ee9986p-3, -0x1.69a81e9914f74p-3, -0x1.6071ebc17ec66p-3, -0x1.576f6846742cep-3, -0x1.4e9fb95b430f5p-3, -0x1.4602052ceb689p-3, -0x1.3d957307d5e19p-3, -0x1.35592b72811a7p-3, -0x1.2d4c584bf05dbp-3, -0x1.256e24e367164p-3, -0x1.1dbdbe16814f2p-3, -0x1.163a52668931dp-3, -0x1.0ee3120eacd19p-3, -0x1.07b72f14ef85fp-3, -0x1.00b5dd5e39f5p-3, -0x1.f3bca5859076p-4, -0x1.e65f8e3553dfp-4, -0x1.d952e8981e28ap-4, -0x1.cc952cae65239p-4, -0x1.c024d6c8bfcc5p-4, -0x1.b40067a08917cp-4, -0x1.a826646766066p-4, -0x1.9c9556d440ce4p-4, -0x1.914bcd380ecbfp-4, -0x1.86485a8a976d2p-4, -0x1.7b899679545e8p-4, -0x1.710e1d6f549a2p-4, -0x1.66d4909cf3d47p-4, -0x1.5cdb95fdd8865p-4, -0x1.5321d8622a82ap-4, -0x1.49a60775162c5p-4, -0x1.4066d7be27e87p-4, -0x1.376302a0608f2p-4, -0x1.2e99465ca4e32p-4, -0x1.260866156e17fp-4, -0x1.1daf29cd872dep-4, -0x1.158c5e64ae93bp-4, -0x1.0d9ed59437c7fp-4, -0x1.05e565eb13ed7p-4, -0x1.fcbdd595b99a4p-5, -0x1.ee1488c7bfc1fp-5, -0x1.dfccaf5e3cb55p-5, -0x1.d1e41cce14585p-5, -0x1.c458adffff5f5p-5, -0x1.b728494165a37p-5, -0x1.aa50de371b322p-5, -0x1.9dd065ccfa1a2p-5, -0x1.91a4e222567f5p-5, -0x1.85cc5e75024dfp-5, -0x1.7a44ef10214aap-5, -0x1.6f0cb1346010dp-5, -0x1.6421cb07bbf73p-5, -0x1.59826b7cae4cap-5, -0x1.4f2cca3d21445p-5, -0x1.451f279184ae7p-5, -0x1.3b57cc49c8effp-5, -0x1.31d509a5b8222p-5, -0x1.2895393d1ac4dp-5, -0x1.1f96bce7192a9p-5, -0x1.16d7fea0c429p-5, -0x1.0e5770730f498p-5, -0x1.06138c592cca6p-5, -0x1.fc15a84d5ae9fp-6, -0x1.ec77a2db39e04p-6, -0x1.dd4a2ac96a94dp-6, -0x1.ce8a719857fafp-6, -0x1.c035b7a634ea8p-6, -0x1.b2494bf91eaa1p-6, -0x1.a4c28c0996077p-6, -0x1.979ee38d61fd2p-6, -0x1.8adbcc421845dp-6, -0x1.7e76cdb71c038p-6, -0x1.726d7d1741a01p-6, -0x1.66bd7cf2b63b9p-6, -0x1.5b647d09856f1p-6, -0x1.50603a16ac805p-6, -0x1.45ae7d9b2036cp-6, -0x1.3b4d1da85623p-6, -0x1.3139fcaafba3bp-6, -0x1.2773093612f32p-6, -0x1.1df63dcee4049p-6, -0x1.14c1a0b749471p-6, -0x1.0bd343bbfdae8p-6, -0x1.0329440440066p-6, -0x1.f58393ac55a13p-7, -0x1.e53610d9b97c8p-7, -0x1.d5667b7b5b06ep-7, -0x1.c6116498d6467p-7, -0x1.b73371f29a63ep-7, -0x1.a8c95da101de7p-7, -0x1.9acff5b16d476p-7, -0x1.8d441bc1f5b45p-7, -0x1.8022c49f3496p-7, -0x1.7368f7e72b3c2p-7, -0x1.6713cfb142fb8p-7, -0x1.5b207838dbc2bp-7, -0x1.4f8c2f85a0b19p-7, -0x1.4454450e0cd0cp-7, -0x1.39761954ca9f3p-7, -0x1.2eef1d86c073ap-7, -0x1.24bcd320db931p-7, -0x1.1adccba1e111ap-7, -0x1.114ca8457a86dp-7, -0x1.080a19bfc18fap-7, -0x1.fe25bfdda77d7p-8, -0x1.ecc992fbba9e6p-8, -0x1.dbfb66fc97975p-8, -0x1.cbb7120814007p-8, -0x1.bbf885a51c6bcp-8, -0x1.acbbce41fc45ep-8, -0x1.9dfd12dca6e36p-8, -0x1.8fb894a946ebdp-8, -0x1.81eaae926d2a9p-8, -0x1.748fd4541d05dp-8, -0x1.67a492880f812p-8, -0x1.5b258bf4d198ap-8, -0x1.4f0f7ab59b098p-8, -0x1.435f2ef5a0baep-8, -0x1.38118ef71bee2p-8, -0x1.2d2396fc51f37p-8, -0x1.2292590198001p-8, -0x1.185afc2530e52p-8, -0x1.0e7abbc5ddf76p-8, -0x1.04eee66edcf53p-8, -0x1.f769ba7e31446p-9, -0x1.e594265d3f68ep-9, -0x1.d4581a81c096dp-9, -0x1.c3b0c5074f078p-9, -0x1.b39978525d779p-9, -0x1.a40daa7f1d766p-9, -0x1.9508f3e5e1598p-9, -0x1.86870d1120cdfp-9, -0x1.7883ccb93ea7fp-9, -0x1.6afb26670a1f7p-9, -0x1.5de92a0d42883p-9, -0x1.514a04703a05fp-9, -0x1.4519ffc9379aep-9, -0x1.395583f2ec505p-9, -0x1.2df915a7c054ap-9, -0x1.230154d20ce22p-9, -0x1.186afa6c55fb4p-9, -0x1.0e32d6adb0bd5p-9, -0x1.0455d01e8dafbp-9, -0x1.f5a1c783c2ff4p-10, -0x1.e3424be586327p-10, -0x1.d187866fea5f8p-10, -0x1.c06c0099bf481p-10, -0x1.afea71f89d865p-10, -0x1.9ffdbc01eea43p-10, -0x1.90a0e5481cf85p-10, -0x1.81cf160a4385bp-10, -0x1.7383976ae96cfp-10, -0x1.65b9d57285939p-10, -0x1.586d629fe4347p-10, -0x1.4b99fafb6a561p-10, -0x1.3f3b84a6cf129p-10, -0x1.334e0ce88aea3p-10, -0x1.27cdc238728d8p-10, -0x1.1cb6ed3e64ac4p-10, -0x1.1205eb638b047p-10, -0x1.07b72d228907p-10, -0x1.fb8e71ad3bf9ep-11, -0x1.e86561d59b48bp-11, -0x1.d5ecb58972bdp-11, -0x1.c41e469810033p-11, -0x1.b2f43d6411872p-11, -0x1.a26905cdb31ep-11, -0x1.92773c8083f3bp-11, -0x1.83199ad2f9877p-11, -0x1.744ae83c64a8ap-11, -0x1.6605f6a21c541p-11, -0x1.5845aaf0d741fp-11, -0x1.4b050f13bb48ep-11, -0x1.3e3f66146834p-11, -0x1.31f03bf54459ap-11, -0x1.26136b276ea61p-11, -0x1.1aa51058b40a1p-11, -0x1.0fa1796a02f7ap-11, -0x1.05050b82c7597p-11, -0x1.f5985e27a5a1ep-12, -0x1.e1e68967c7e92p-12, -0x1.ceed4dfc1b4e1p-12, -0x1.bca570f808216p-12, -0x1.ab07f2040fafbp-12, -0x1.9a0e362bcf7acp-12, -0x1.89b22352c0dcfp-12, -0x1.79ee22e363b11p-12, -0x1.6abd0c6bcc02fp-12, -0x1.5c1a0145b4d64p-12, -0x1.4e0044e8d1e28p-12, -0x1.406b1b90871cep-12, -0x1.3355b5fca63f1p-12, -0x1.26bb2f6a8659fp-12, -0x1.1a969f990bbap-12, -0x1.0ee33bccff614p-12, -0x1.039c799137c47p-12, -0x1.f17c47908e8b1p-13, -0x1.dc88b63fb2ea6p-13, -0x1.c8571055c4948p-13, -0x1.b4e096ec99854p-13, -0x1.a21ee32288e97p-13, -0x1.900bcdc7946a4p-13, -0x1.7ea14c7edd455p-13, -0x1.6dd94d9aa69a8p-13, -0x1.5dadac1cd3718p-13, -0x1.4e184aec428b3p-13, -0x1.3f134684b2f7p-13, -0x1.309915f8f7e9ap-13, -0x1.22a480968534cp-13, -0x1.15307670cf89cp-13, -0x1.0837f8bfefe25p-13, -0x1.f76c6090d50e9p-14, -0x1.df4d3d678fc57p-14, -0x1.c80a6fe22a2a1p-14, -0x1.b19c8e69b519ap-14, -0x1.9bfc70861d9cap-14, -0x1.8722ee9507b9p-14, -0x1.7308fc490b60cp-14, -0x1.5fa7ec9526d1fp-14, -0x1.4cf9856cbaf5bp-14, -0x1.3af7b7372a869p-14, -0x1.299c28684b62cp-14, -0x1.18e00128a7fefp-14, -0x1.08bc39c16d37ep-14, -0x1.f254719eb23bbp-15, -0x1.d44882ca7850dp-15, -0x1.b74ac9d29f7a5p-15, -0x1.9b52545285d65p-15, -0x1.8056aa8ff2b83p-15, -0x1.664fe4f47bbfbp-15, -0x1.4d36e39888649p-15, -0x1.35052b657d00ep-15, -0x1.1db432f3c7b47p-15, -0x1.073d04c36c301p-15, -0x1.e32e9d8bd7a8bp-16, -0x1.b97484c19d692p-16, -0x1.913a425c529c7p-16, -0x1.6a704eed4a2e9p-16, -0x1.450917c698bddp-16, -0x1.20f7d357b4a2ep-16, -0x1.fc5f92d3de539p-17, -0x1.b94a5e12b0a6dp-17, -0x1.789d2795c7b9fp-17, -0x1.3a4a42ecd80b4p-17, -0x1.fc8cbf257343p-18, -0x1.8908b60ccd5cap-18, -0x1.19e5a537bc51bp-18, -0x1.5df373b553a6ep-19, -0x1.20661dfed6ac3p-20, 0x1.ae271f6c5b9fp-22, 0x1.e86b91852d857p-20, 0x1.ab5684bd55c7fp-19, 0x1.2daeac1f38d72p-18, 0x1.82445968be3cdp-18, 0x1.d38ef9ee6316bp-18, 0x1.10d78f843b58ep-17, 0x1.365e7b088261dp-17, 0x1.5a6383440e9a3p-17, 0x1.7cec4be0c9abep-17, 0x1.9e00cfbdaa359p-17, 0x1.bdac41f6ae586p-17, 0x1.dbfb50f8c2c93p-17, 0x1.f8fa39dcbf49ap-17, 0x1.0a59d725b4d63p-16, 0x1.179855d8f6106p-16, 0x1.243c708f0a3c6p-16, 0x1.3049a0d9d4178p-16, 0x1.3bc388014160ap-16, 0x1.46ae7c07b47eap-16, 0x1.510f603d4a568p-16, 0x1.5aeaa4371b587p-16, 0x1.6443cf57798b7p-16, 0x1.6d1e273f0b6b6p-16, 0x1.757cf12c68075p-16, 0x1.7d6313ce6551cp-16, 0x1.84d325ead5e74p-16, 0x1.8bcfe8d6e04d4p-16, 0x1.925c84a5939abp-16, 0x1.987c62e4232bp-16, 0x1.9e32d4830266ap-16, 0x1.a3826fa5bc8d1p-16, 0x1.a86ced353799cp-16, 0x1.acf4484090c4bp-16, 0x1.b11b6e1639ab2p-16, 0x1.b4e511bb48756p-16, 0x1.b852ebb4843c2p-16, 0x1.bb66fa713fed6p-16, 0x1.be24479073fccp-16, 0x1.c08e15a923f14p-16, 0x1.c2a6e591a2ab5p-16, 0x1.c4702f5b752f8p-16, 0x1.c5eaef779aa9ep-16, 0x1.c7188a2a1056ep-16, 0x1.c7fb480155ab6p-16, 0x1.c89611a5c6993p-16, 0x1.c8eb26cf673edp-16, 0x1.c8fb5302d3c87p-16, 0x1.c8c79bbb163b4p-16, 0x1.c852a4f05e632p-16, 0x1.c79e2d9439697p-16, 0x1.c6ab9d9cbeb03p-16, 0x1.c57c41a4e856p-16, 0x1.c411e2a19c7fp-16, 0x1.c26e294b9e3cfp-16, 0x1.c092a67e9e769p-16, 0x1.be8102db3b23ep-16, 0x1.bc3aeadbfac5p-16, 0x1.b9c1be71ddc2ep-16, 0x1.b7167d6f934cbp-16, 0x1.b43a5531cd03ap-16, 0x1.b12f487024deap-16, 0x1.adf73532e2fbfp-16, 0x1.aa92a1f81b649p-16, 0x1.a702800e4e033p-16, 0x1.a348b092055fp-16, 0x1.9f666ff006453p-16, 0x1.9b5cd3cfa9a8bp-16, 0x1.972d50d4f1676p-16, 0x1.92d9409178beep-16, 0x1.8e61c8b254ca9p-16, 0x1.89c7facfe4f0dp-16, 0x1.850cdefcf5d43p-16, 0x1.80317668697cbp-16, 0x1.7b36d53cbde59p-16, 0x1.761e4cde5eb89p-16, 0x1.70e934a44b539p-16, 0x1.6b98814f06432p-16, 0x1.662d4c4dc283fp-16, 0x1.60a8ca469a206p-16, 0x1.5b0bd196e8b67p-16, 0x1.55576da64de3fp-16, 0x1.4f8c7b14d0f7bp-16, 0x1.49abf04130c5dp-16, 0x1.43b70ade9817dp-16, 0x1.3daeda2ae372p-16, 0x1.379445b2b3cdep-16, 0x1.31682fe35d97ep-16, 0x1.2b2b7f9360335p-16, 0x1.24df1e025d49fp-16, 0x1.1e83ef63c0ea8p-16, 0x1.181acb30171fbp-16, 0x1.11a47fd9c09e9p-16, 0x1.0b21e02089a2fp-16, 0x1.0493c52ea8a1dp-16, 0x1.fbf65408c6fbap-17, 0x1.eeb213c127e39p-17, 0x1.e15c1c8b8d626p-17, 0x1.d3f65ef8e960bp-17, 0x1.c681e8aad8d56p-17, 0x1.b8fff136e2becp-17, 0x1.ab7277bf1c611p-17, 0x1.9ddb2720961d8p-17, 0x1.903b6753691b7p-17, 0x1.829494e7389e1p-17, 0x1.74e80eaff90cfp-17, 0x1.6737336ca0c18p-17, 0x1.5983610c23853p-17, 0x1.4bcdf34d9dbf3p-17, 0x1.3e183eced0121p-17, 0x1.30638d6807f38p-17, 0x1.22b125be89cdfp-17, 0x1.150231276114cp-17, 0x1.07579a4a29c1cp-17, 0x1.f3657fc02e532p-18, 0x1.d82a4faf90adep-18, 0x1.bd000d3c39724p-18, 0x1.a1e82ff52009p-18, 0x1.86e53fc79355dp-18, 0x1.6bf8f3a289fbap-18, 0x1.5125e7c657634p-18, 0x1.366e071ca2917p-18, 0x1.1bd3ab3655189p-18, 0x1.01584111dec0dp-18, 0x1.cdfbc53ce32dap-19, 0x1.998ca2833f4dbp-19, 0x1.6566cf9d3c101p-19, 0x1.318deaaee34ap-19, 0x1.fc0aeaf4a19ap-20, 0x1.95a192542530bp-20, 0x1.2fe66bd2a666ep-20, 0x1.95bf992ee179dp-21, 0x1.9a4925ba77279p-22, 0x1.828f86334e72ap-27, -0x1.7efec4ac2005bp-22, -0x1.8373254866b02p-21, -0x1.22e428a837073p-20, -0x1.8336bca4c7474p-20, -0x1.e2abc06f85a9cp-20, -0x1.209ffa03d47e9p-19, -0x1.4f77bdc32c10bp-19, -0x1.7dda2290cf991p-19, -0x1.abc4d3e11bc54p-19, -0x1.d935cbda96101p-19, -0x1.0315859667ab8p-18, -0x1.19514bf1bd69ep-18, -0x1.2f4d3f6f78e72p-18, -0x1.45086bc1a7511p-18, -0x1.5a81e83b4f292p-18, -0x1.6fb8ded139d14p-18, -0x1.84ac8058fbddbp-18, -0x1.995bfbb5cd526p-18, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.fb8d504817f7fp-1, 0x1.fa95ffb414667p-1, 0x1.f8fb1d648848cp-1, 0x1.f6be9621806b9p-1, 0x1.f3e30b326db7cp-1, 0x1.f06bc48c06a5fp-1, 0x1.ec5ca17be9654p-1, 0x1.e7ba088d8871fp-1, 0x1.e288d738bfed8p-1, 0x1.dcce51c6826f9p-1, 0x1.d69013baa3e1bp-1, 0x1.cfd400fa0d4acp-1, 0x1.c8a037d1d61c7p-1, 0x1.c0fb03f510216p-1, 0x1.b8ead27bd9445p-1, 0x1.b07626e5d8f0cp-1, 0x1.a7a3911c2cedap-1, 0x1.9e79a46a7114ap-1, 0x1.94feef63a755bp-1, 0x1.8b39f4a5ebccp-1, 0x1.8131246eeb3efp-1, 0x1.76ead6f2a19a7p-1, 0x1.6c6d4766024a4p-1, 0x1.61be8faf7d4ccp-1, 0x1.56e4a4afe8b49p-1, 0x1.4be553170a689p-1, 0x1.40c63cb7b7fb6p-1, 0x1.358cd65052b39p-1, 0x1.2a3e65bd2992ep-1, 0x1.1ee0008b106d6p-1, 0x1.13768ae12de7fp-1, 0x1.0806b6b9b8f2p-1, 0x1.f92a06c3f322dp-2, 0x1.e24b7a74f3c1bp-2, 0x1.cb79fb61be3eap-2, 0x1.b4bd56dac712ep-2, 0x1.9e1cf55cbd672p-2, 0x1.879fdb996c283p-2, 0x1.714cabc8efc3cp-2, 0x1.5b29a73a7925bp-2, 0x1.453cb01c81a52p-2, 0x1.2f8b4b74ff162p-2, 0x1.1a1aa342b30f6p-2, 0x1.04ef88c14127ep-2, 0x1.e01ced94824bap-3, 0x1.b6f7289be480ap-3, 0x1.8e756dbd6ca61p-3, 0x1.669eca95bf70ep-3, 0x1.3f79b48192433p-3, 0x1.190c0df3171dp-3, 0x1.e6b6579c1ef34p-4, 0x1.9cd7b58918ea3p-4, 0x1.5484c95e16112p-4, 0x1.0dc52bb66ca8cp-4, 0x1.913f093468bfp-5, 0x1.0a332bbc6772ep-5, 0x1.0ce1156bad69cp-6, 0x1.7fd37a9abc307p-11, -0x1.dc67cc6219b66p-7, -0x1.e1ac3b8acac57p-6, -0x1.673181c69f885p-5, -0x1.da29c6b143e48p-5, -0x1.24deed1b1128bp-4, -0x1.5af6ef6a5f854p-4, -0x1.8f5d8d892b45cp-4, -0x1.c213f49b3a349p-4, -0x1.f31bd3c6efb0dp-4, -0x1.113baa4cfd139p-3, -0x1.281489d876861p-3, -0x1.3e1a0cd0ac40fp-3, -0x1.534dea12d5427p-3, -0x1.67b207c4ea5dfp-3, -0x1.7b48782be5969p-3, -0x1.8e1376a14cf5fp-3, -0x1.a01564a75d572p-3, -0x1.b150c71b26fdcp-3, -0x1.c1c84383e09d5p-3, -0x1.d17e9d7eaa05ap-3, -0x1.e076b445f6c96p-3, -0x1.eeb38053d931fp-3, -0x1.fc38111e56e2p-3, -0x1.0483c57684931p-2, -0x1.0a92926391b09p-2, -0x1.104a133c99257p-2, -0x1.15abf358d5e4ep-2, -0x1.1ab9e499d10fbp-2, -0x1.1f759e8f6416fp-2, -0x1.23e0dda608603p-2, -0x1.27fd625f14fcep-2, -0x1.2bccf092927cep-2, -0x1.2f514eba4c06bp-2, -0x1.328c4545c4ddp-2, -0x1.357f9df6c86f5p-2, -0x1.382d23463acbfp-2, -0x1.3a969fd0e2a4fp-2, -0x1.3cbdddcbe0d1ap-2, -0x1.3ea4a6808d2bfp-2, -0x1.404cc1cf6fc83p-2, -0x1.41b7f5ba1b97p-2, -0x1.42e805f3a170ep-2, -0x1.43deb377602adp-2, -0x1.449dbc25f9d94p-2, -0x1.4526da682d2a2p-2, -0x1.457bc4d75ef0dp-2, -0x1.459e2deba1bf7p-2, -0x1.458fc3aefd8bfp-2, -0x1.45522f75d03b3p-2, -0x1.44e7159c10fa8p-2, -0x1.4450154747574p-2, -0x1.438ec82d0c4ep-2, -0x1.42a4c25de6b15p-2, -0x1.419392145c353p-2, -0x1.405cbf88079ecp-2, -0x1.3f01ccc496a14p-2, -0x1.3d8435847fe88p-2, -0x1.3be56f0f50c48p-2, -0x1.3a26e81b6fb8ap-2, -0x1.384a08b329443p-2, -0x1.3650321cf38bap-2, -0x1.343abec6b56b7p-2, -0x1.320b02340202fp-2, -0x1.2fc248ef1e0bfp-2, -0x1.2d61d87cb57ep-2, -0x1.2aeaef5225c7cp-2, -0x1.285ec4ce38febp-2, -0x1.25be89343f8c8p-2, -0x1.230b65a9652afp-2, -0x1.20467c342ba0cp-2, -0x1.1d70e7bdee39dp-2, -0x1.1a8bbc1658dcfp-2, -0x1.179805f8b629dp-2, -0x1.1496cb1300637p-2, -0x1.11890a0e9b353p-2, -0x1.0e6fba9aa2864p-2, -0x1.0b4bcd77b69d5p-2, -0x1.081e2c8531c9p-2, -0x1.04e7bacfb0ae8p-2, -0x1.01a954a0dc886p-2, -0x1.fcc79f20c00b2p-3, -0x1.f62ff52befaa7p-3, -0x1.ef8d3c391547cp-3, -0x1.e8e0f82c65fa1p-3, -0x1.e22ca022672ecp-3, -0x1.db719e9b758d6p-3, -0x1.d4b151a8d42a2p-3, -0x1.cded0b1b26ff4p-3, -0x1.c72610b231fa3p-3, -0x1.c05d9c4dccc6cp-3, -0x1.b994dc1fd772ep-3, -0x1.b2ccf2df38b6bp-3, -0x1.ac06f7fba063ep-3, -0x1.a543f7d21dd1p-3, -0x1.9e84f3e253b8bp-3, -0x1.97cae30443632p-3, -0x1.9116b19e8f70bp-3, -0x1.8a6941dd266efp-3, -0x1.83c36be83f3c4p-3, -0x1.7d25fe1b8f78ep-3, -0x1.7691bd3dad11cp-3, -0x1.700764b78cd28p-3, -0x1.6987a6cc00161p-3, -0x1.63132ccf2b6ep-3, -0x1.5caa975debb22p-3, -0x1.564e7e95072a8p-3, -0x1.4fff72482e58bp-3, -0x1.49bdfa38bd6bdp-3, -0x1.438a964c26a02p-3, -0x1.3d65bec201237p-3, -0x1.374fe469b5759p-3, -0x1.314970d7b4cc2p-3, -0x1.2b52c69a338e7p-3, -0x1.256c416d5fe07p-3, -0x1.1f96366f0a8fcp-3, -0x1.19d0f451b996fp-3, -0x1.141cc38f1e0eap-3, -0x1.0e79e699df7ap-3, -0x1.08e89a0ec7dd4p-3, -0x1.036914e532b6fp-3, -0x1.fbf7113d9b9dcp-4, -0x1.f14042ed2f427p-4, -0x1.e6ae0d1e512b8p-4, -0x1.dc40b44055bd3p-4, -0x1.d1f873462a729p-4, -0x1.c7d57bfe31797p-4, -0x1.bdd7f7687a9dp-4, -0x1.b400060b6087ep-4, -0x1.aa4dc0468c20cp-4, -0x1.a0c136a4439d1p-4, -0x1.975a722911418p-4, -0x1.8e1974a1c79dcp-4, -0x1.84fe38efceadep-4, -0x1.7c08b353c8a9bp-4, -0x1.7338d1b683984p-4, -0x1.6a8e7bf0420a4p-4, -0x1.6209940e5098ap-4, -0x1.59a9f696f478ep-4, -0x1.516f7acba8c63p-4, -0x1.4959f2e9ba534p-4, -0x1.41692c69366a2p-4, -0x1.399cf03a3ae5ap-4, -0x1.31f50300a2314p-4, -0x1.2a71254e15bcfp-4, -0x1.231113da846ebp-4, -0x1.1bd487bb0637cp-4, -0x1.14bb36972cfa7p-4, -0x1.0dc4d2dccaab1p-4, -0x1.06f10bf2308aep-4, -0x1.003f8e66eb2f2p-4, -0x1.f360084600809p-5, -0x1.e6842929715b7p-5, -0x1.d9eac9b9e9098p-5, -0x1.cd932ff4280e7p-5, -0x1.c17c9de2f8ae9p-5, -0x1.b5a651ef6ebc9p-5, -0x1.aa0f872e7a02cp-5, -0x1.9eb775abce18bp-5, -0x1.939d52b22816fp-5, -0x1.88c0511111d35p-5, -0x1.7e1fa1601384bp-5, -0x1.73ba723f78bfap-5, -0x1.698ff096ab9c9p-5, -0x1.5f9f47d02cb77p-5, -0x1.55e7a21346fdep-5, -0x1.4c68287b77357p-5, -0x1.4320034da3053p-5, -0x1.3a0e5a2b273ffp-5, -0x1.31325442cb288p-5, -0x1.288b187fa0c7p-5, -0x1.2017cdb5e8d45p-5, -0x1.17d79ace02ad4p-5, -0x1.0fc9a6ed695b9p-5, -0x1.07ed199de3008p-5, -0x1.00411af2d7049p-5, -0x1.f189a759c75bp-6, -0x1.e2eedab77f8ap-6, -0x1.d4b024fcd7aa3p-6, -0x1.c6cbdd439465p-6, -0x1.b9405cfb4369p-6, -0x1.ac0c00202ed3ep-6, -0x1.9f2d256f61134p-6, -0x1.92a22e97bb58p-6, -0x1.8669806850925p-6, -0x1.7a8182fc02262p-6, -0x1.6ee8a1e27a7dfp-6, -0x1.639d4c46a7f6p-6, -0x1.589df512bd0e8p-6, -0x1.4de91311cc67dp-6, -0x1.437d210f23051p-6, -0x1.39589df35f6b8p-6, -0x1.2f7a0cdf6b9ffp-6, -0x1.25dff5455fa23p-6, -0x1.1c88e2ff65bbfp-6, -0x1.13736664b944dp-6, -0x1.0a9e145cbaedap-6, -0x1.020786704ea61p-6, -0x1.f35cb5b2dc00ap-7, -0x1.e322692238385p-7, -0x1.d35d76b78b4ddp-7, -0x1.c40b37a82ac5ep-7, -0x1.b5290ee88cb79p-7, -0x1.a6b4693c4471dp-7, -0x1.98aabd432784p-7, -0x1.8b098b83eb62p-7, -0x1.7dce5e743fdc8p-7, -0x1.70f6ca7e94df8p-7, -0x1.64806e058faf9p-7, -0x1.5868f1655caebp-7, -0x1.4cae06f2e7839p-7, -0x1.414d6af9248f5p-7, -0x1.3644e3b46c8abp-7, -0x1.2b92414c106d2p-7, -0x1.21335dca478a9p-7, -0x1.17261d126de7fp-7, -0x1.0d686cd5bd48dp-7, -0x1.03f8448692445p-7, -0x1.f5a74a94b2384p-8, -0x1.e3f133d457cccp-8, -0x1.d2ca6d8438d55p-8, -0x1.c22f335efd1c4p-8, -0x1.b21bd3fbeddebp-8, -0x1.a28cb0a743fd5p-8, -0x1.937e3d38541d5p-8, -0x1.84ecffe615232p-8, -0x1.76d59119dcb79p-8, -0x1.69349b40a840ap-8, -0x1.5c06da9add324p-8, -0x1.4f491d0aaf284p-8, -0x1.42f841e1621c4p-8, -0x1.371139ab3f9fap-8, -0x1.2b9105faa07d7p-8, -0x1.2074b931f79fdp-8, -0x1.15b9764d04c9bp-8, -0x1.0b5c70a924294p-8, -0x1.015aebcd17a7ep-8, -0x1.ef64765ff01a1p-9, -0x1.dcbf83ffc0a69p-9, -0x1.cac1e5cfdf153p-9, -0x1.b9669fabbc28bp-9, -0x1.a8a8d37ea203bp-9, -0x1.9883c0cdd0f9ap-9, -0x1.88f2c44222368p-9, -0x1.79f1573170fb6p-9, -0x1.6b7b0f277f8fp-9, -0x1.5d8b9d6f2dcfcp-9, -0x1.501ece9b66068p-9, -0x1.43308a103c636p-9, -0x1.36bcd18c8272bp-9, -0x1.2abfc0b30e924p-9, -0x1.1f358c94d6817p-9, -0x1.141a833b54d16p-9, -0x1.096b0b3363fc8p-9, -0x1.fe474631f318ap-10, -0x1.ea81c2462a12fp-10, -0x1.d77ee56167233p-10, -0x1.c53837ace1a09p-10, -0x1.b3a76dd9ee44dp-10, -0x1.a2c66840bf15ep-10, -0x1.928f320159a22p-10, -0x1.82fc00258bb2p-10, -0x1.740730c5d3732p-10, -0x1.65ab4a2fcaf37p-10, -0x1.57e2fa0f2762ep-10, -0x1.4aa914991971cp-10, -0x1.3df893b98c317p-10, -0x1.31cc9643041ep-10, -0x1.26205f20ea872p-10, -0x1.1aef548c37d51p-10, -0x1.1034ff42ef81ap-10, -0x1.05ed09c217f8fp-10, -0x1.f8267f045d74p-11, -0x1.e547186c79ed5p-11, -0x1.d333f61b2c522p-11, -0x1.c1e56bf123d0bp-11, -0x1.b15409df22eb3p-11, -0x1.a1789a7a9b896p-11, -0x1.924c21973cc76p-11, -0x1.83c7dae521e35p-11, -0x1.75e53896227ap-11, -0x1.689de207beb59p-11, -0x1.5bebb272d23dp-11, -0x1.4fc8b7a123be5p-11, -0x1.442f30a8ac963p-11, -0x1.39198cab69f33p-11, -0x1.2e82699da57e1p-11, -0x1.24649311cd995p-11, -0x1.1abb01093a2ecp-11, -0x1.1180d6cb420ecp-11, -0x1.08b161c1d1092p-11, -0x1.0048185a1963bp-11, -0x1.f08131d870058p-12, -0x1.e12d514f1cd2p-12, -0x1.d28c6509286a5p-12, -0x1.c4968c776baacp-12, -0x1.b7442e851b684p-12, -0x1.aa8df79a3dba8p-12, -0x1.9e6cd7a8d49d9p-12, -0x1.92da00453c04ep-12, -0x1.87cee2c86e1a5p-12, -0x1.7d452e7c1ac0ep-12, -0x1.7336ced09d9bdp-12, -0x1.699de99ddf05p-12, -0x1.6074dd6ced725p-12, -0x1.57b63fca0895bp-12, -0x1.4f5cdba327caap-12, -0x1.4763afad2b611p-12, -0x1.3fc5ecd3cef55p-12, -0x1.387ef4b2b016bp-12, -0x1.318a5816a1ba3p-12, -0x1.2ae3d588bf1fcp-12, -0x1.248757e0cf4f4p-12, -0x1.1e70f4e232b1cp-12, -0x1.189cebdfbea1ep-12, -0x1.1307a46866966p-12, -0x1.0dadacfd748e5p-12, -0x1.088bb9cefa691p-12, -0x1.039ea3813a48p-12, -0x1.fdc6cbf2ec197p-13, -0x1.f4ae3e64b719ep-13, -0x1.ebee1c3304c22p-13, -0x1.e38122e3ac83ap-13, -0x1.db624d7ef277bp-13, -0x1.d38cd274c1ef2p-13, -0x1.cbfc218eb5b95p-13, -0x1.c4abe1f0bfd03p-13, -0x1.bd97f0267f35cp-13, -0x1.b6bc5c3fd670bp-13, -0x1.b01567f9d8dc1p-13, -0x1.a99f84f361d9fp-13, -0x1.a35752efbe00ep-13, -0x1.9d399e25d657fp-13, -0x1.97435d99fca6ep-13, -0x1.9171b18465108p-13, -0x1.8bc1e1c28d50ep-13, -0x1.86315c5596a0ep-13, -0x1.80bdb3ea9a0b7p-13, -0x1.7b649e6dac3fp-13, -0x1.7623f3a8cc1c2p-13, -0x1.70f9abec2178ap-13, -0x1.6be3dec0493e5p-13, -0x1.66e0c1a2fa8dcp-13, -0x1.61eea6ce1d37bp-13, -0x1.5d0bfc0738b82p-13, -0x1.58374978b4337p-13, -0x1.536f3094e1285p-13, -0x1.4eb26b0186449p-13, -0x1.49ffc98b0762ap-13, -0x1.45563321fc29ep-13, -0x1.40b4a3ddd5042p-13, -0x1.3c1a2c0c477d6p-13, -0x1.3785ef44eb65cp-13, -0x1.32f72384f5029p-13, -0x1.2e6d10546c7d1p-13, -0x1.29e70df18f61bp-13, -0x1.25648481c2281p-13, -0x1.20e4eb4da39c3p-13, -0x1.1c67c7fdcb6b3p-13, -0x1.17ecade377eccp-13, -0x1.13733d46079c5p-13, -0x1.0efb22b5f0976p-13, -0x1.0a841665bb70dp-13, -0x1.060ddb8b4c9ddp-13, -0x1.01983fc369d76p-13, -0x1.fa4634fa39307p-14, -0x1.f15c98d7cc65ep-14, -0x1.e8737df426dcbp-14, -0x1.df8ac78c3ffe6p-14, -0x1.d6a26844500dbp-14, -0x1.cdba613132e43p-14, -0x1.c4d2c0eb26996p-14, -0x1.bbeba2ac2a24ap-14, -0x1.b3052d736d08dp-14, -0x1.aa1f9332a939dp-14, -0x1.a13b1008c53a7p-14, -0x1.9857e97b26faap-14, -0x1.8f766dc0aa60bp-14, -0x1.8696f30dd3fap-14, -0x1.7db9d6ebfdeaep-14, -0x1.74df7d9624939p-14, -0x1.6c08515d54b1bp-14, -0x1.6334c214e2412p-14, -0x1.5a6544817b4abp-14, -0x1.519a51d31aa46p-14, -0x1.48d467236403fp-14, -0x1.401404f9f2d3ep-14, -0x1.3759aed556fcep-14, -0x1.2ea5eabd01e06p-14, -0x1.25f940d4dad72p-14, -0x1.1d543af7ea192p-14, -0x1.14b76459ba0a7p-14, -0x1.0c2349294f1d6p-14, -0x1.03987638ffbe9p-14, -0x1.f62ef15e4c91dp-15, -0x1.e541bb6df1f89p-15, -0x1.d46a646e97683p-15, -0x1.c3aa051a4627ep-15, -0x1.b301b496be178p-15, -0x1.a27287f7cb36cp-15, -0x1.91fd91c9e9974p-15, -0x1.81a3e1af506efp-15, -0x1.716683ef37072p-15, -0x1.6146811b8d581p-15, -0x1.5144ddb869abfp-15, -0x1.416299ea2882p-15, -0x1.31a0b12735314p-15, -0x1.220019f169fp-15, -0x1.1281c597665d9p-15, -0x1.03269ff47febdp-15, -0x1.e7df1e705d4ffp-16, -0x1.c9bae77627abbp-16, -0x1.abe24f92ba41p-16, -0x1.8e56fef8fbb38p-16, -0x1.711a9129f75ccp-16, -0x1.542e94b776a73p-16, -0x1.37948b022dabp-16, -0x1.1b4de809ee5b7p-16, -0x1.feb8248879113p-17, -0x1.c780c4eb04588p-17, -0x1.90f8471835f1ep-17, -0x1.5b21251d65541p-17, -0x1.25fdbd11299a4p-17, -0x1.e320a1df8565ep-18, -0x1.7bb60d2887ebbp-18, -0x1.15bfcf59e167bp-18, -0x1.62838718fbdafp-19, -0x1.38fe3251176dep-20, 0x1.3436ac23cb993p-22, 0x1.cd0fbdabeb02fp-20, 0x1.a37e0bc8fef99p-19, 0x1.2eb1e9ea06af9p-18, 0x1.8a1a0de5b60e6p-18, 0x1.e3f51aa551cb6p-18, 0x1.1e20775f5405cp-17, 0x1.497dcf0c59588p-17, 0x1.7411b8a102ebep-17, 0x1.9ddb726d4c809p-17, 0x1.c6da547a30491p-17, 0x1.ef0dd02d962c1p-17, 0x1.0b3ab7f1f8313p-16, 0x1.1e886b4e04cc8p-16, 0x1.316fdfc8aab54p-16, 0x1.43f0fee64ca23p-16, 0x1.560bbde1cdde6p-16, 0x1.67c01d712eda9p-16, 0x1.790e29946b85fp-16, 0x1.89f5f955b2558p-16, 0x1.9a77ae91e4abbp-16, 0x1.aa9375c1c5a09p-16, 0x1.ba4985bb6ca65p-16, 0x1.c99a1f75a4547p-16, 0x1.d8858dcb73b66p-16, 0x1.e70c25429e5f3p-16, 0x1.f52e43c96ab3p-16, 0x1.0176283d9d131p-15, 0x1.08235db0a6bffp-15, 0x1.0e9efe9b44fcp-15, 0x1.14e94b952bdf9p-15, 0x1.1b02894da26bep-15, 0x1.20eb007056d2ap-15, 0x1.26a2fd83e0b07p-15, 0x1.2c2ad0cd49812p-15, 0x1.3182ce2d3f6c6p-15, 0x1.36ab4d056a2d1p-15, 0x1.3ba4a81720185p-15, 0x1.406f3d66a626dp-15, 0x1.450b6e1b036a3p-15, 0x1.49799e616746fp-15, 0x1.4dba35509befp-15, 0x1.51cd9cc9fa116p-15, 0x1.55b4415b62d47p-15, 0x1.596e92246af1ep-15, 0x1.5cfd00b88f6aep-15, 0x1.606001044a4dcp-15, 0x1.6398092efd8e5p-15, 0x1.66a59181a39a5p-15, 0x1.6989144a8986ap-15, 0x1.6c430dc31573dp-15, 0x1.6ed3fbf44401bp-15, 0x1.713c5e9d4bebcp-15, 0x1.737cb71b7f6b7p-15, 0x1.7595884f6ab88p-15, 0x1.7787568459e7cp-15, 0x1.7952a757f9174p-15, 0x1.7af801a2db308p-15, 0x1.7c77ed6142989p-15, 0x1.7dd2f39b25e1ap-15, 0x1.7f099e4e4730ap-15, 0x1.801c785861412p-15, 0x1.810c0d60c7e5ap-15, 0x1.81d8e9c3ad593p-15, 0x1.82839a7c28b64p-15, }}, 
      {{0x1.fbc45b1d2f7cp-1, 0x1.fb71da1027ad6p-1, 0x1.fae89b7db9851p-1, 0x1.fa2902d029887p-1, 0x1.f93398bb3ef9dp-1, 0x1.f809091ef0eb7p-1, 0x1.f6aa20a28493bp-1, 0x1.f517ca22a5e3dp-1, 0x1.f3530c07cefebp-1, 0x1.f15d0595d54d8p-1, 0x1.ef36ec41aee52p-1, 0x1.ece209175a58p-1, 0x1.ea5fb6373a15cp-1, 0x1.e7b15c7013c6ap-1, 0x1.e4d870f931194p-1, 0x1.e1d6734ec325cp-1, 0x1.deaceb31971a1p-1, 0x1.db5d66ca58dfcp-1, 0x1.d7e978f006f02p-1, 0x1.d452b790b8cb1p-1, 0x1.d09aba3b94eaap-1, 0x1.ccc318ca8a42ep-1, 0x1.c8cd6a2a49d64p-1, 0x1.c4bb433edd74ap-1, 0x1.c08e35e337a17p-1, 0x1.bc47d00215fa2p-1, 0x1.b7e99ac698412p-1, 0x1.b37519e2f7e07p-1, 0x1.aeebcaebdf7e7p-1, 0x1.aa4f24c6ecd0fp-1, 0x1.a5a0972b02c5bp-1, 0x1.a0e18a311921bp-1, 0x1.9c135df454d9dp-1, 0x1.97376a403d69dp-1, 0x1.924efe4bfd9b4p-1, 0x1.8d5b6081a6503p-1, 0x1.885dce50852a1p-1, 0x1.83577c09a1c6bp-1, 0x1.7e4994c594a01p-1, 0x1.79353a52e5fe5p-1, 0x1.741b852c3ee6fp-1, 0x1.6efd8475b909fp-1, 0x1.69dc3e00abd33p-1, 0x1.64b8ae55599d7p-1, 0x1.5f93c8c1f0122p-1, 0x1.5a6e776e54789p-1, 0x1.55499b743df31p-1, 0x1.50260cfb2ae07p-1, 0x1.4b049b57c2fdep-1, 0x1.45e60d2e40b02p-1, 0x1.40cb209785194p-1, 0x1.3bb48b487e5b1p-1, 0x1.36a2fabb8f8acp-1, 0x1.3197145baeb05p-1, 0x1.2c9175b0f5165p-1, 0x1.2792b48e5ff2ap-1, 0x1.229b5f40891b4p-1, 0x1.1dabfcbd20ce8p-1, 0x1.18c50cd2f4a87p-1, 0x1.13e7085a5d4a2p-1, 0x1.0f126165e0574p-1, 0x1.0a478372ea6b7p-1, 0x1.0586d39a79ab9p-1, 0x1.00d0b0c19ad13p-1, 0x1.f84ae7934102ep-2, 0x1.ef0adf7fef5cap-2, 0x1.e5e1e41b109aap-2, 0x1.dcd0854b14646p-2, 0x1.d3d748677dc3cp-2, 0x1.caf6a8940505ap-2, 0x1.c22f171a4c203p-2, 0x1.b980fbc209795p-2, 0x1.b0ecb527a192ep-2, 0x1.a872991114584p-2, 0x1.a012f4c137746p-2, 0x1.97ce0d492f2cfp-2, 0x1.8fa41fd8215ccp-2, 0x1.87956209171dap-2, 0x1.7fa2022f0d92ep-2, 0x1.77ca279f2eca9p-2, 0x1.700df2f9363adp-2, 0x1.686d7e6dfab1ep-2, 0x1.60e8de0426158p-2, 0x1.59801fdb192e1p-2, 0x1.52334c6bfe218p-2, 0x1.4b0266c911892p-2, 0x1.43ed6cdb24543p-2, 0x1.3cf4579d5df23p-2, 0x1.36171b5742497p-2, 0x1.2f55a7d50444fp-2, 0x1.28afe89e2dc6ap-2, 0x1.2225c52a9fa07p-2, 0x1.1bb72115f4232p-2, 0x1.1563dc514c9d2p-2, 0x1.0f2bd3539144ep-2, 0x1.090edf482b77cp-2, 0x1.030cd63c3f24fp-2, 0x1.fa4b1694ebba1p-3, 0x1.eeb19d8aa9d9fp-3, 0x1.e34cdcc06e4c6p-3, 0x1.d81c6aadc3ef9p-3, 0x1.cd1fd9279b328p-3, 0x1.c256b5aa3c27dp-3, 0x1.b7c089a0ae8fcp-3, 0x1.ad5cdaa9b07bap-3, 0x1.a32b2ada3f0f1p-3, 0x1.992af8fdcbc25p-3, 0x1.8f5bc0d4236cep-3, 0x1.85bcfb4d209a4p-3, 0x1.7c4e1ec22e70ap-3, 0x1.730e9f2db0642p-3, 0x1.69fdee605b071p-3, 0x1.611b7c348cebcp-3, 0x1.5866b6bfb3069p-3, 0x1.4fdf0a81cb09ap-3, 0x1.4783e293073e9p-3, 0x1.3f54a8cfad604p-3, 0x1.3750c6023237ep-3, 0x1.2f77a20ba7184p-3, 0x1.27c8a40a77766p-3, 0x1.2043327f9aae7p-3, 0x1.18e6b372277dbp-3, 0x1.11b28c916d404p-3, 0x1.0aa623558e8e2p-3, 0x1.03c0dd1eb6b9p-3, 0x1.fa043ea5bbb4cp-4, 0x1.ecd29ef48289bp-4, 0x1.dfeba6b508102p-4, 0x1.d34e22212050fp-4, 0x1.c6f8de526d903p-4, 0x1.baeaa97145358p-4, 0x1.af2252e142171p-4, 0x1.a39eab6b9076ep-4, 0x1.985e856718a4ep-4, 0x1.8d60b4de7b13ap-4, 0x1.82a40fb41495fp-4, 0x1.78276dc3f95abp-4, 0x1.6de9a9040a8acp-4, 0x1.63e99da2308efp-4, 0x1.5a262a20c8124p-4, 0x1.509e2f7153844p-4, 0x1.4750910d7ea6ep-4, 0x1.3e3c350e81b5p-4, 0x1.35600442f5037p-4, 0x1.2cbaea431e437p-4, 0x1.244bd583ca0c2p-4, 0x1.1c11b767bbb1dp-4, 0x1.140b844fbfe9p-4, 0x1.0c3833a970cebp-4, 0x1.0496bffcb5e4ap-4, 0x1.fa4c4df019576p-5, 0x1.ebcad2f74a983p-5, 0x1.dda71746be287p-5, 0x1.cfdf299f5cf7fp-5, 0x1.c2711f5af2accp-5, 0x1.b55b1479e455bp-5, 0x1.a89b2baefe665p-5, 0x1.9c2f8e69664e6p-5, 0x1.90166cdccac22p-5, 0x1.844dfe07e2311p-5, 0x1.78d47fb9495a7p-5, 0x1.6da83692d6c4p-5, 0x1.62c76e0b7015ap-5, 0x1.5830786f772bdp-5, 0x1.4de1aedfdcf34p-5, 0x1.43d9714fe8d45p-5, 0x1.3a162681c6fabp-5, 0x1.30963c01eb8bcp-5, 0x1.275826215938fp-5, 0x1.1e5a5feed99a3p-5, 0x1.159b6b2f34569p-5, 0x1.0d19d0547549p-5, 0x1.04d41e744a139p-5, 0x1.f991d67b138e7p-6, 0x1.e9eda5d9d7cd1p-6, 0x1.dab8f08202d37p-6, 0x1.cbf108daea15cp-6, 0x1.bd934e1b44aaep-6, 0x1.af9d2c2d188a1p-6, 0x1.a20c1b907f87dp-6, 0x1.94dda13d4d37dp-6, 0x1.880f4e83b82f8p-6, 0x1.7b9ec0ec0c49dp-6, 0x1.6f89a215842fp-6, 0x1.63cda79448032p-6, 0x1.586892cebcddp-6, 0x1.4d5830da1d47dp-6, 0x1.429a5a5674243p-6, 0x1.382cf34a0ce91p-6, 0x1.2e0deafc5b60dp-6, 0x1.243b3bd079241p-6, 0x1.1ab2eb1f349a9p-6, 0x1.11730910cad65p-6, 0x1.0879b0764fcdcp-6, 0x1.ff8a0d45b58ccp-7, 0x1.eea67688f0ad3p-7, 0x1.de451079d7b4bp-7, 0x1.ce6262f4b1f4bp-7, 0x1.befb099f9b127p-7, 0x1.b00bb39b74f99p-7, 0x1.a1912334df708p-7, 0x1.93882d951ec91p-7, 0x1.85edba7328911p-7, 0x1.78bec3c4cdd0ap-7, 0x1.6bf855700b488p-7, 0x1.5f978cfcb25a9p-7, 0x1.539999464a3dbp-7, 0x1.47fbba2e551e5p-7, 0x1.3cbb404eef74fp-7, 0x1.31d58cadf2f45p-7, 0x1.27481070800fdp-7, 0x1.1d104c8f155fap-7, 0x1.132bd18a35053p-7, 0x1.09983f1f9d8e9p-7, 0x1.005344002272p-7, 0x1.eeb53b0c518e2p-8, 0x1.dd582ed9ab393p-8, 0x1.cc8b170fd1b2ap-8, 0x1.bc49c2f8b4a99p-8, 0x1.ac901cf35ca2dp-8, 0x1.9d5a29e82747fp-8, 0x1.8ea408be904f7p-8, 0x1.8069f1d49e129p-8, 0x1.72a83677e9177p-8, 0x1.655b40605513bp-8, 0x1.587f912c745ebp-8, 0x1.4c11c1dface72p-8, 0x1.400e8262124afp-8, 0x1.34729901fa20bp-8, 0x1.293ae1f7714c3p-8, 0x1.1e644ee94f5f9p-8, 0x1.13ebe6743d9a5p-8, 0x1.09cec3b37622fp-8, 0x1.000a15cb51fecp-8, 0x1.ed363eeb6f988p-9, 0x1.dafe6d208c312p-9, 0x1.c9678758c43f2p-9, 0x1.b86c834225848p-9, 0x1.a8087a3d51a78p-9, 0x1.9836a888808ddp-9, 0x1.88f26c6e17c36p-9, 0x1.7a374576ddae2p-9, 0x1.6c00d39fd7325p-9, 0x1.5e4ad693aa9e5p-9, 0x1.51112ce78b407p-9, 0x1.444fd35bd59dap-9, 0x1.3802e4200bc8cp-9, 0x1.2c26961a59434p-9, 0x1.20b73c32a7683p-9, 0x1.15b144a10c571p-9, 0x1.0b11383fadb35p-9, 0x1.00d3b9dff8d2cp-9, 0x1.edeb0b46ad44cp-10, 0x1.dae6e0ae23044p-10, 0x1.c894cda72b41bp-10, 0x1.b6eedabdce807p-10, 0x1.a5ef3e24c0a8fp-10, 0x1.95905a87144d8p-10, 0x1.85ccbde05f613p-10, 0x1.769f205ae78a1p-10, 0x1.680263341e1e6p-10, 0x1.59f18fa6ffb6p-10, 0x1.4c67d5dc8579ep-10, 0x1.3f608be1fb281p-10, 0x1.32d72ca51da6ep-10, 0x1.26c756f5cd3c2p-10, 0x1.1b2ccc8dbe5e5p-10, 0x1.1003711d6ad8bp-10, 0x1.0547495e81a2cp-10, 0x1.f5e8f457b209cp-11, 0x1.e20e8f3d46a11p-11, 0x1.cef82861c6434p-11, 0x1.bc9ebfc9b7711p-11, 0x1.aafb8ee3726ap-11, 0x1.9a0806ea272cap-11, 0x1.89bdcf52cac2ap-11, 0x1.7a16c44284f35p-11, 0x1.6b0cf50e90d7p-11, 0x1.5c9aa2c54637ap-11, 0x1.4eba3ec03bfaap-11, 0x1.4166693f81c6ep-11, 0x1.3499f00d9373ep-11, 0x1.284fcd2b9945p-11, 0x1.1c83258633c4cp-11, 0x1.112f47b2b9939p-11, 0x1.064faab4a0e9ap-11, 0x1.f7bfd994cc19dp-12, 0x1.e3b7a4853e1b7p-12, 0x1.d07e88b0f2a89p-12, 0x1.be0ca02fb3ef8p-12, 0x1.ac5a4a91c824cp-12, 0x1.9b602ac4db01bp-12, 0x1.8b172506fbf18p-12, 0x1.7b785ce7d7a7bp-12, 0x1.6c7d3356bcbbp-12, 0x1.5e1f44beb7a27p-12, 0x1.5058672f1548ep-12, 0x1.4322a88fdc13p-12, 0x1.36784ce3a5e25p-12, 0x1.2a53cc94c4f44p-12, 0x1.1eafd2cf36ed1p-12, 0x1.13873be5522dfp-12, 0x1.08d513bf75128p-12, 0x1.fd2928aeeb2bp-13, 0x1.e982487c9fb67p-13, 0x1.d6acaa59b2acfp-13, 0x1.c49fc53db4037p-13, 0x1.b35360ee0c384p-13, 0x1.a2bf935c0b069p-13, 0x1.92dcbe1466f88p-13, 0x1.83a38bc2916e1p-13, 0x1.750cedc6d6495p-13, 0x1.671219dc60282p-13, 0x1.59ac87d1b5655p-13, 0x1.4cd5ef51d41a2p-13, 0x1.408845be08257p-13, 0x1.34bdbc1800b95p-13, 0x1.2970bcfcb2d84p-13, 0x1.1e9beaabb05fbp-13, 0x1.143a1d1f83d9ap-13, 0x1.0a46603461d7cp-13, 0x1.00bbf1dc42f2bp-13, 0x1.ef2c80c54693ap-14, 0x1.dda1d178f8075p-14, 0x1.cccf69c7f89dfp-14, 0x1.bcad348775b6bp-14, 0x1.ad337058603edp-14, 0x1.9e5aacacb864cp-14, 0x1.901bc6e68ab5fp-14, 0x1.826fe78a44daap-14, 0x1.75507f870350dp-14, 0x1.68b7459846e43p-14, 0x1.5c9e33b989ce2p-14, 0x1.50ff84afb387dp-14, 0x1.45d5b1a930902p-14, 0x1.3b1b6fedba81p-14, 0x1.30cbaea0baf81p-14, 0x1.26e19499f5519p-14, 0x1.1d587e4c42e73p-14, 0x1.142bfbbfede8p-14, 0x1.0b57ce9e96a2cp-14, 0x1.02d7e84ee2582p-14, 0x1.f550d03b23971p-15, 0x1.e58b32f2fa765p-15, 0x1.d657e47a37e07p-15, 0x1.c7b0220d95cfap-15, 0x1.b98d7740a43eap-15, 0x1.abe9bae9a6186p-15, 0x1.9ebf0c20f9791p-15, 0x1.9207cf60f9382p-15, 0x1.85beabbd39106p-15, 0x1.79de88322b56dp-15, 0x1.6e62890cec82cp-15, 0x1.63460d6c5a2b7p-15, 0x1.5884acd6a20c9p-15, 0x1.4e1a34e0c0e92p-15, 0x1.4402a6f07cf93p-15, 0x1.3a3a3611505f5p-15, 0x1.30bd44dbcd1f7p-15, 0x1.27886371c468ap-15, 0x1.1e984d8f28ea1p-15, 0x1.15e9e8a84ecfep-15, 0x1.0d7a4219f3a04p-15, 0x1.05468d6e0294dp-15, 0x1.fa98455b746a6p-16, 0x1.eb10f989340abp-16, 0x1.dbf26fe7465c8p-16, 0x1.cd3820a7e7c9p-16, 0x1.beddc0c97d62fp-16, 0x1.b0df3f50668c2p-16, 0x1.a338c29f00391p-16, 0x1.95e6a5e5bd73ep-16, 0x1.88e576ac04389p-16, 0x1.7c31f273e836ep-16, 0x1.6fc904764b87cp-16, 0x1.63a7c370ec03ap-16, 0x1.57cb6f8bce191p-16, 0x1.4c317054a6f01p-16, 0x1.40d752d35fedep-16, 0x1.35bac7aabec97p-16, 0x1.2ad9a151e3fbep-16, 0x1.2031d26280a23p-16, 0x1.15c16bf2362c4p-16, 0x1.0b869c001571ep-16, 0x1.017fabf1aa3dbp-16, 0x1.ef55fe4965823p-17, 0x1.dc0e2317d9522p-17, 0x1.c924ecb84cd07p-17, 0x1.b697ad950671ap-17, 0x1.a463e1ac0b7f4p-17, 0x1.92872c3d9ce3dp-17, 0x1.80ff5591cfe54p-17, 0x1.6fca48d92f481p-17, 0x1.5ee6122d6bcfp-17, 0x1.4e50dc9ea26c4p-17, 0x1.3e08f059793eap-17, 0x1.2e0cb0ee85827p-17, 0x1.1e5a9b9c17028p-17, 0x1.0ef145b93d119p-17, 0x1.ff9eb651dfb4dp-18, 0x1.e1e739d2e7d2bp-18, 0x1.c4b9bf6b8a926p-18, 0x1.a8141560224d8p-18, 0x1.8bf42c4424bb4p-18, 0x1.705814a8c252cp-18, 0x1.553dfcc8fdbd1p-18, 0x1.3aa42e704f418p-18, 0x1.20890ce13fd66p-18, 0x1.06eb12f34485cp-18, 0x1.db91a27f90a48p-19, 0x1.aa41d8c002b37p-19, 0x1.79e436949b264p-19, 0x1.4a764ba7f423cp-19, 0x1.1bf5c64fff38fp-19, 0x1.dcc0e1db885b4p-20, 0x1.83685e4d920ddp-20, 0x1.2bddf71293c15p-20, 0x1.ac3b9503b81a2p-21, 0x1.0448378250bb7p-21, 0x1.7f6a7532a04e4p-23, -0x1.0450df5664c14p-23, -0x1.bd162733aae1p-22, -0x1.78909595e4f23p-21, -0x1.07959be2480a9p-20, -0x1.5130aa3f16512p-20, -0x1.991c95db58341p-20, -0x1.df5c73ff66d45p-20, -0x1.11f9a8dfb41b9p-19, -0x1.33721b09ae07fp-19, -0x1.541911e1e868ep-19, -0x1.73f00db7c5657p-19, -0x1.92f88e90e4984p-19, -0x1.b13414fdae9d5p-19, -0x1.cea422d582be3p-19, -0x1.eb4a3bca066e6p-19, -0x1.0393f304ebde3p-18, -0x1.111f5567a21fep-18, -0x1.1e480b6404301p-18, -0x1.2b0edd472444p-18, -0x1.3774958220294p-18, -0x1.437a00d5e63a2p-18, -0x1.4f1fee7a5e04fp-18, -0x1.5a67303d7ee9dp-18, -0x1.65509a982d97p-18, -0x1.6fdd04c8baf5dp-18, -0x1.7a0d48e5f9abdp-18, -0x1.83e243e44f6e2p-18, -0x1.8d5cd5a5b6333p-18, -0x1.967de0fc36043p-18, -0x1.9f464bac2dcf4p-18, -0x1.a7b6fe70198cdp-18, -0x1.afd0e4f1027eep-18, -0x1.b794edbf1cf9ap-18, -0x1.bf040a489011fp-18, -0x1.c61f2ed0c0273p-18, -0x1.cce7525e0a0fep-18, -0x1.d35d6ea9c2314p-18, -0x1.d9828014568cfp-18, -0x1.df5785884627ep-18, -0x1.e4dd806ed20e2p-18, -0x1.ea157494a3a17p-18, -0x1.ef006813b20fbp-18, -0x1.f39f63371e948p-18, -0x1.f7f3706446166p-18, -0x1.fbfd9c004a01bp-18, -0x1.ffbef44de4c7ep-18, -0x1.019c44ac0dd83p-17, -0x1.0335b6698365ep-17, -0x1.04ac58fd8976p-17, -0x1.0600b6be2106cp-17, -0x1.07335aa7c5fbdp-17, -0x1.0844d04f8f8b1p-17, -0x1.0935a3d1dc5f5p-17, -0x1.0a0661c493e0cp-17, -0x1.0ab79726db5e5p-17, -0x1.0b49d1500bd51p-17, -0x1.0bbd9de239d65p-17, -0x1.0c138aba0eb8bp-17, -0x1.0c4c25df181a8p-17, -0x1.0c67fd74a3e78p-17, -0x1.0c679faa8505cp-17, -0x1.0c4b9aae681fep-17, -0x1.0c147c9bec893p-17, -0x1.0bc2d36f1ee19p-17, -0x1.0b572cf4f972fp-17, -0x1.0ad216bd8026cp-17, -0x1.0a341e0d590bcp-17, -0x1.097dcfd0415bfp-17, -0x1.08afb88c2f4c9p-17, -0x1.07ca6452a1cdep-17, -0x1.06ce5eb4b273fp-17, -0x1.05bc32b56605fp-17, -0x1.04946abe718a2p-17, -0x1.03579092bdfe5p-17, -0x1.02062d433a372p-17, -0x1.00a0c92310f56p-17, -0x1.fe4fd779c682cp-18, -0x1.fb38378d4e0bep-18, -0x1.f7fbbe314b4e7p-18, -0x1.f49b7544d0836p-18, -0x1.f11864c145b2ap-18, -0x1.ed7392a75fe0fp-18, -0x1.e9ae02ec82988p-18, -0x1.e5c8b7697e7dap-18, -0x1.e1c4afc8c2f1fp-18, -0x1.dda2e9750472cp-18, -0x1.d9645f8a5b58cp-18, -0x1.d50a0ac70f948p-18, -0x1.d094e17b52e33p-18, -0x1.cc05d77d05c2ep-18, -0x1.c75dde1a6d2cdp-18, -0x1.c29de40c1a3a8p-18, -0x1.bdc6d569206p-18, -0x1.b8d99b9b426cfp-18, -0x1.b3d71d559db26p-18, -0x1.aec03e8a3254ep-18, -0x1.a995e05e10044p-18, -0x1.a458e1226101ap-18, -0x1.9f0a1c4b40caep-18, -0x1.99aa6a67c8554p-18, -0x1.943aa11a5d268p-18, -0x1.8ebb9313102ep-18, -0x1.892e100922b6dp-18, -0x1.8392e4b3af24ep-18, -0x1.7deadac5390a3p-18, -0x1.7836b8e738563p-18, -0x1.727742b81f33ep-18, -0x1.6cad38c43c6bdp-18, -0x1.66d958844544fp-18, -0x1.60fc5c5a9f756p-18, -0x1.5b16fb909608fp-18, -0x1.5529ea54cd5ap-18, -0x1.4f35d9ba11d4cp-18, -0x1.493b77b7555f9p-18, -0x1.433b6f25a4372p-18, -0x1.3d3667c02e282p-18, -0x1.372d062471812p-18, -0x1.311febd3c02f1p-18, -0x1.2b0fb73594aa5p-18, -0x1.24fd039677356p-18, -0x1.1ee8692affba1p-18, -0x1.18d27d1229454p-18, -0x1.12bbd15687965p-18, -0x1.0ca4f4f23477cp-18, -0x1.068e73d223c1dp-18, -0x1.0078d6d936cc8p-18, -0x1.f4c947c780949p-19, -0x1.e8a4bb959aad4p-19, -0x1.dc8508d190c98p-19, -0x1.d06b293b6bb82p-19, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.283977a392cf3p-7, 0x1.28c90dcbe8bd2p-6, 0x1.be8d3f88f36e5p-6, 0x1.2af2714921b59p-5, 0x1.779da00a76863p-5, 0x1.c5749f5a41371p-5, 0x1.0a4d1a4158be4p-4, 0x1.3293b3a2301b8p-4, 0x1.5b95e18835443p-4, 0x1.8556e90451d62p-4, 0x1.afd5dfbd9141fp-4, 0x1.db0e09b925e1ap-4, 0x1.037b9f0a4758p-3, 0x1.19c32735540c9p-3, 0x1.3056b6d7214d3p-3, 0x1.472e4a10a34d1p-3, 0x1.5e40ef5f8b9fdp-3, 0x1.7584f47df2fc6p-3, 0x1.8cf0101358832p-3, 0x1.a47788078f70dp-3, 0x1.bc105467cc29p-3, 0x1.d3af3ee551a8ep-3, 0x1.eb48ff0659638p-3, 0x1.01692996c29e8p-2, 0x1.0d200b5205b63p-2, 0x1.18c3aa6bc5d38p-2, 0x1.244eacff6fb89p-2, 0x1.2fbbe0ace91c2p-2, 0x1.3b06409f8ecffp-2, 0x1.4628fa9529ef8p-2, 0x1.511f72fcac391p-2, 0x1.5be548432d881p-2, 0x1.667655643c341p-2, 0x1.70ceb3d12b379p-2, 0x1.7aeabcc17b69ap-2, 0x1.84c709fd2bc49p-2, 0x1.8e60763045faap-2, 0x1.97b41cd5b9c8ap-2, 0x1.a0bf59c6594aap-2, 0x1.a97fc877a9d4ep-2, 0x1.b1f342f51da1ap-2, 0x1.ba17e09d603b3p-2, 0x1.c1ebf4ac6a8fap-2, 0x1.c96e0c9a3d6dap-2, 0x1.d09cee556bf5bp-2, 0x1.d777965fd9a1cp-2, 0x1.ddfd35d37d116p-2, 0x1.e42d305452f95p-2, 0x1.ea0719f437288p-2, 0x1.ef8ab50cc8e25p-2, 0x1.f4b7f0131e2a1p-2, 0x1.f98ee36896628p-2, 0x1.fe0fcf2bc3ccp-2, 0x1.011d8c8606642p-1, 0x1.0308a51125d04p-1, 0x1.04c9866840446p-1, 0x1.0660955525bd4p-1, 0x1.07ce4533df47ep-1, 0x1.091316f1ec007p-1, 0x1.0a2f9813dca4dp-1, 0x1.0b2461c1cb125p-1, 0x1.0bf217db0aec4p-1, 0x1.0c99681166fafp-1, 0x1.0d1b090c25faap-1, 0x1.0d77b99309a5dp-1, 0x1.0db03fc1633f5p-1, 0x1.0dc568415801p-1, 0x1.0db8058f56bebp-1, 0x1.0d88ef45c2ed1p-1, 0x1.0d390170c6bfap-1, 0x1.0cc91bea3cc1cp-1, 0x1.0c3a21bd92924p-1, 0x1.0b8cf8938acdbp-1, 0x1.0ac28825b3efep-1, 0x1.09dbb9b96de84p-1, 0x1.08d977a24f1abp-1, 0x1.07bcaccbb86b4p-1, 0x1.068644496517cp-1, 0x1.053728eec20a4p-1, 0x1.03d044ecd3ae8p-1, 0x1.0252817671c7ep-1, 0x1.00bec66aa3666p-1, 0x1.fe2bf409bbb3p-2, 0x1.fab20125dbc9dp-2, 0x1.f7117860a7973p-2, 0x1.f34c190dab027p-2, 0x1.ef639d282241fp-2, 0x1.eb59b8e7ac892p-2, 0x1.e7301a5e2128p-2, 0x1.e2e8691e18b76p-2, 0x1.de8445e9c367ep-2, 0x1.da054a69a3c79p-2, 0x1.d56d08eacc5a9p-2, 0x1.d0bd0c243a6f9p-2, 0x1.cbf6d702f7fbp-2, 0x1.c71be47c9e011p-2, 0x1.c22da767eb76fp-2, 0x1.bd2d8a5b119d3p-2, 0x1.b81cef8f69bc8p-2, 0x1.b2fd30ca43c87p-2, 0x1.adcf9f4a80f22p-2, 0x1.a89583bab35adp-2, 0x1.a3501e277b369p-2, 0x1.9e00a5f9dfd73p-2, 0x1.98a849f564695p-2, 0x1.93483039990e8p-2, 0x1.8de17646f23b7p-2, 0x1.88753106aafc1p-2, 0x1.83046cd57b219p-2, 0x1.7d902d90f642ap-2, 0x1.78196ea7590ep-2, 0x1.72a123299f1d6p-2, 0x1.6d2835dfb076ep-2, 0x1.67af895e8079cp-2, 0x1.6237f81ff2abep-2, 0x1.5cc2549c64dcbp-2, 0x1.574f6965b5b64p-2, 0x1.51dff943a8f38p-2, 0x1.4c74bf518a019p-2, 0x1.470e6f1ce9dcep-2, 0x1.41adb4c561bcap-2, 0x1.3c53351d3ap-2, 0x1.36ff8dcade7f1p-2, 0x1.31b3556b064c3p-2, 0x1.2c6f1bb377979p-2, 0x1.2733699654594p-2, 0x1.2200c165d8e4bp-2, 0x1.1cd79ef8790b2p-2, 0x1.17b877cd48e2fp-2, 0x1.12a3bb30a473dp-2, 0x1.0d99d260fda64p-2, 0x1.089b20b3cc103p-2, 0x1.03a803ba8208fp-2, 0x1.fd81a6cf18963p-3, 0x1.f3cbc466748f7p-3, 0x1.ea2efa812b844p-3, 0x1.e0abd90423ecdp-3, 0x1.d742e5bc1d889p-3, 0x1.cdf49ca6471d5p-3, 0x1.c4c1703854ab7p-3, 0x1.bba9c9a7fad22p-3, 0x1.b2ae0931d3c9ep-3, 0x1.a9ce865f87416p-3, 0x1.a10b904d3ec9bp-3, 0x1.98656dee47275p-3, 0x1.8fdc5e50de87ap-3, 0x1.877098e12188dp-3, 0x1.7f224dab0d666p-3, 0x1.76f1a59b8f604p-3, 0x1.6edec2c097aeep-3, 0x1.66e9c0882abddp-3, 0x1.5f12b3fe69a33p-3, 0x1.5759ac0a8745cp-3, 0x1.4fbeb1aab21c4p-3, 0x1.4841c82edd697p-3, 0x1.40e2ed7271e05p-3, 0x1.39a21a14da403p-3, 0x1.327f41b0f6772p-3, 0x1.2b7a53135e6c1p-3, 0x1.2493386f84467p-3, 0x1.1dc9d793af28bp-3, 0x1.171e121bcad9dp-3, 0x1.108fc5a30f014p-3, 0x1.0a1ecbf478ae5p-3, 0x1.03cafb3a243d2p-3, 0x1.fb284c56e177cp-4, 0x1.eef4387413abp-4, 0x1.e2f9537b7f455p-4, 0x1.d737303e7f72bp-4, 0x1.cbad5c03562cfp-4, 0x1.c05b5ed608f4ep-4, 0x1.b540bbd715273p-4, 0x1.aa5cf187d6faap-4, 0x1.9faf7a14c818dp-4, 0x1.9537cb9d946a1p-4, 0x1.8af5587afb39ep-4, 0x1.80e78f829c8b4p-4, 0x1.770ddc48a64d4p-4, 0x1.6d67a75f708fbp-4, 0x1.63f456950f957p-4, 0x1.5ab34d2ee2734p-4, 0x1.51a3ec23259e2p-4, 0x1.48c5925093cb8p-4, 0x1.40179cb419e26p-4, 0x1.3799669caaa7cp-4, 0x1.2f4a49dd368d2p-4, 0x1.27299efcd4787p-4, 0x1.1f36bd651e823p-4, 0x1.1770fb8ed415bp-4, 0x1.0fd7af2cc0912p-4, 0x1.086a2d54f7a38p-4, 0x1.0127caa86bfb9p-4, 0x1.f41fb6f1d4424p-5, 0x1.e64367db02a64p-5, 0x1.d8b9504ac6c74p-5, 0x1.cb8018b28a21fp-5, 0x1.be9669f68955bp-5, 0x1.b1faedaacc485p-5, 0x1.a5ac4e4d4fd28p-5, 0x1.99a9377d7affp-5, 0x1.8df05630e95bdp-5, 0x1.828058e5a5cf1p-5, 0x1.7757efd1e241p-5, 0x1.6c75cd113a2c3p-5, 0x1.61d8a4cf99c55p-5, 0x1.577f2d71d2849p-5, 0x1.4d681fbbf7cf4p-5, 0x1.439236f586ebap-5, 0x1.39fc310b76bfp-5, 0x1.30a4ceb03e1d6p-5, 0x1.278ad379d5f14p-5, 0x1.1ead05fdd68c7p-5, 0x1.160a2febb6d0ap-5, 0x1.0da11e2539814p-5, 0x1.0570a0d523d4fp-5, 0x1.faef17087bf7ap-6, 0x1.eb696a596d29fp-6, 0x1.dc4df097eac89p-6, 0x1.cd9a65e5cabebp-6, 0x1.bf4c8da997121p-6, 0x1.b16232a968e9ap-6, 0x1.a3d927230ba1ap-6, 0x1.96af44e1835f7p-6, 0x1.89e26d500f111p-6, 0x1.7d70898ac1fe9p-6, 0x1.71578a6cc7399p-6, 0x1.6595689c6e941p-6, 0x1.5a2824951132ep-6, 0x1.4f0dc6aeed654p-6, 0x1.44445f250d75fp-6, 0x1.39ca0619435p-6, 0x1.2f9cdb9665ffcp-6, 0x1.25bb0790cef5p-6, 0x1.1c22b9e53059ap-6, 0x1.12d22a55e915dp-6, 0x1.09c79886ca8aap-6, 0x1.01014bf77f28bp-6, 0x1.f0fb27f92696ap-7, 0x1.e0758f6e6db97p-7, 0x1.d06e8c1795864p-7, 0x1.c0e2eb2e7f6fdp-7, 0x1.b1cf8946d09ffp-7, 0x1.a33152347dd1ep-7, 0x1.950540f0665f6p-7, 0x1.87485f7b1505p-7, 0x1.79f7c6bdd79ecp-7, 0x1.6d109e6a32174p-7, 0x1.60901cd7c4756p-7, 0x1.547386e0d81b7p-7, 0x1.48b82fbd97088p-7, 0x1.3d5b78de01176p-7, 0x1.325ad1c2be7acp-7, 0x1.27b3b7d4fbca6p-7, 0x1.1d63b63d2f679p-7, 0x1.136865b9108f3p-7, 0x1.09bf6c70b4476p-7, 0x1.00667dcaf42fbp-7, 0x1.eeb6b48246d9ap-8, 0x1.dd379e6470c88p-8, 0x1.cc4b6d6ab1f66p-8, 0x1.bbedeed8073afp-8, 0x1.ac1b08a78027dp-8, 0x1.9cceb92f02cc7p-8, 0x1.8e0516c16b60fp-8, 0x1.7fba4f5036488p-8, 0x1.71eaa80cb58c5p-8, 0x1.64927d092cb8dp-8, 0x1.57ae40d9829d7p-8, 0x1.4b3a7c33f6b56p-8, 0x1.3f33cd91cb4d6p-8, 0x1.3396e8d0008dap-8, 0x1.286096d03d1cep-8, 0x1.1d8db519d4e14p-8, 0x1.131b357b24c2ep-8, 0x1.09061dab44485p-8, 0x1.fe970dd851428p-9, 0x1.ebd13b5a7513fp-9, 0x1.d9b5425cbfbadp-9, 0x1.c83dc64762d5ep-9, 0x1.b7658eb37450cp-9, 0x1.a72786b4ff49ap-9, 0x1.977ebc264976bp-9, 0x1.88665ef4b8p-9, 0x1.79d9c06f2755dp-9, 0x1.6bd4529619a6cp-9, 0x1.5e51a76da8d2cp-9, 0x1.514d7050f84c2p-9, 0x1.44c37d47cbd97p-9, 0x1.38afbc5dc09c7p-9, 0x1.2d0e38fbb87cbp-9, 0x1.21db1b433586ep-9, 0x1.1712a76b9c409p-9, 0x1.0cb13d21926a1p-9, 0x1.02b356e89895p-9, 0x1.f22b12fd0b3cp-10, 0x1.dfa90683401e1p-10, 0x1.cdda1730e097ep-10, 0x1.bcb804b7dd956p-10, 0x1.ac3cbe87e4636p-10, 0x1.9c6262aba8b3p-10, 0x1.8d233cab063bfp-10, 0x1.7e79c4714035dp-10, 0x1.70609d37ae995p-10, 0x1.62d2947552c2ep-10, 0x1.55caa0d2c357ep-10, 0x1.4943e122c501ap-10, 0x1.3d399b5fc1867p-10, 0x1.31a73bace0e21p-10, 0x1.2688535c81167p-10, 0x1.1bd897fac6334p-10, 0x1.1193e25cd2b1fp-10, 0x1.07b62db4ef137p-10, 0x1.fc772d5470ee3p-11, 0x1.ea40b4eada5b3p-11, 0x1.d8c1ac03b2c7ep-11, 0x1.c7f30a2585da4p-11, 0x1.b7ce02da46d46p-11, 0x1.a84c040c7b54bp-11, 0x1.9966b46aa1efcp-11, 0x1.8b17f1d4d2bb4p-11, 0x1.7d59cfd267bep-11, 0x1.7026960f79066p-11, 0x1.6378bee3db2c8p-11, 0x1.574af5e12b8cap-11, 0x1.4b9816686fc12p-11, 0x1.405b2a491ddcdp-11, 0x1.358f6866af154p-11, 0x1.2b30336681b3dp-11, 0x1.2139186646dfcp-11, 0x1.17a5cdb89f32dp-11, 0x1.0e7231a91f514p-11, 0x1.059a4948fd2ebp-11, 0x1.fa347e83672e6p-12, 0x1.e9dcc55e6c8a5p-12, 0x1.da264c03f8a2ep-12, 0x1.cb0a3bce7268bp-12, 0x1.bc82006d9087ep-12, 0x1.ae8745d4539b8p-12, 0x1.a113f630055f1p-12, 0x1.942237ee946bcp-12, 0x1.87ac6bd109889p-12, 0x1.7bad2b0b955c9p-12, 0x1.701f456ed92aep-12, 0x1.64fdbfa02c9fcp-12, 0x1.5a43d15cc5fe4p-12, 0x1.4fece3c81872cp-12, 0x1.45f48fc6c75f3p-12, 0x1.3c569c64f0abep-12, 0x1.330efd454db4ap-12, 0x1.2a19d11cbd0ccp-12, 0x1.21736038aea32p-12, 0x1.19181b0ee8a9dp-12, 0x1.110498d7e1db3p-12, 0x1.09359633d5973p-12, 0x1.01a7f3d9665bep-12, 0x1.f4b16a971b5e1p-13, 0x1.e689ff36ce04dp-13, 0x1.d8d4306585937p-13, 0x1.cb8ac74d9321cp-13, 0x1.bea8c9270e7c9p-13, 0x1.b229750301131p-13, 0x1.a60841a4c17e7p-13, 0x1.9a40db68965abp-13, 0x1.8ecf224082c25p-13, 0x1.83af27bcf7383p-13, 0x1.78dd2d25813ebp-13, 0x1.6e55a1a056ab5p-13, 0x1.64152069e1747p-13, 0x1.5a186f1912e8ap-13, 0x1.505c7bef67fe7p-13, 0x1.46de5c3ac449bp-13, 0x1.3d9b4ac23a941p-13, 0x1.3490a63ec3cd2p-13, 0x1.2bbbefe3377fbp-13, 0x1.231ac9ef03fa5p-13, 0x1.1aaaf64cdeb76p-13, 0x1.126a553bc2fb1p-13, 0x1.0a56e40452f97p-13, 0x1.026ebbbc1239p-13, 0x1.f560201bba412p-14, 0x1.e6325c21193edp-14, 0x1.d750f6513dc5bp-14, 0x1.c8b8e7e2240a6p-14, 0x1.ba67565d90c88p-14, 0x1.ac599198c0ff7p-14, 0x1.9e8d11c440c37p-14, 0x1.90ff758901172p-14, 0x1.83ae80351034cp-14, 0x1.769817fec5283p-14, 0x1.69ba4453733fep-14, 0x1.5d132c397ab12p-14, 0x1.50a114bca743ep-14, 0x1.44625f6c28376p-14, 0x1.385588eb3587fp-14, 0x1.2c7927895fb24p-14, 0x1.20cbe9eac2088p-14, 0x1.154c95c091bccp-14, 0x1.09fa068a3b787p-14, 0x1.fda658cb033e1p-15, 0x1.e7ae15ce5f348p-15, 0x1.d20970086ac5fp-15, 0x1.bcb6b609d5c0ap-15, 0x1.a7b456ffe197cp-15, 0x1.9300e0c7ce662p-15, 0x1.7e9afe1533a78p-15, 0x1.6a8174a823bc8p-15, 0x1.56b3239d5d70ep-15, 0x1.432f01c35b62bp-15, 0x1.2ff41c148653fp-15, 0x1.1d0194395fcc8p-15, 0x1.0a569f15fee38p-15, 0x1.efe506e4a64eap-16, 0x1.cba9315de9dbdp-16, 0x1.a7f88b07e98b1p-16, 0x1.84d1fdb5b18dcp-16, 0x1.62348d443b648p-16, 0x1.401f5583a635p-16, 0x1.1e91883322a21p-16, 0x1.fb14d61129e7fp-17, 0x1.ba12abad4daf8p-17, 0x1.7a1b61b0dc7f3p-17, 0x1.3b2de5fa055c8p-17, 0x1.fa9281759f053p-18, 0x1.80d92300ff448p-18, 0x1.092e188b1e13p-18, 0x1.271fdb8f053ep-19, 0x1.ffd4d20504cd2p-22, -0x1.462c148b237fcp-20, -0x1.82145e93aade2p-19, -0x1.2e81464c8be3p-18, -0x1.99f151e03b84p-18, -0x1.01ada80f6ccc8p-17, -0x1.35601c7c3ea54p-17, -0x1.681080cceb4dcp-17, -0x1.99bf4f9f63c24p-17, -0x1.ca6d0511d9d7dp-17, -0x1.fa1a2012bca65p-17, -0x1.146391c963ac7p-16, -0x1.2b3a4bd44fdd6p-16, -0x1.4191854b95f28p-16, -0x1.576988e404441p-16, -0x1.6cc2a5572c772p-16, -0x1.819d2dc9387cdp-16, -0x1.95f97a2248231p-16, -0x1.a9d7e768625d2p-16, -0x1.bd38d808ca6dcp-16, -0x1.d01cb41ca0442p-16, -0x1.e283e9a631826p-16, -0x1.f46eecc33c182p-16, -0x1.02ef1bedddffcp-15, -0x1.0b6925e7beae3p-15, -0x1.13a5d808fa92bp-15, -0x1.1ba579634f30ep-15, -0x1.2368546abae5dp-15, -0x1.2aeeb6ffc52b2p-15, -0x1.3238f2731d9cbp-15, -0x1.39475b8a09139p-15, -0x1.401a4a815f42bp-15, -0x1.46b21b070861dp-15, -0x1.4d0f2c3cb25f6p-15, -0x1.5331e0b136c3ep-15, -0x1.591a9e5a48a49p-15, -0x1.5ec9ce8a4708dp-15, -0x1.643fdde8d2eb1p-15, -0x1.697d3c67235aap-15, -0x1.6e825d319c7e8p-15, -0x1.734fb6a486131p-15, -0x1.77e5c23d6474ap-15, -0x1.7c44fc876222cp-15, -0x1.806de50de8ba4p-15, -0x1.8460fe49b9923p-15, -0x1.881ecd8ee0adfp-15, -0x1.8ba7daf6cbc69p-15, -0x1.8efcb14f36eb6p-15, -0x1.921dde0425479p-15, -0x1.950bf1098ef75p-15, -0x1.97c77cc6c8378p-15, -0x1.9a511600ed19fp-15, -0x1.9ca953c303c1ep-15, -0x1.9ed0cf46fb1fep-15, -0x1.a0c823df920fdp-15, -0x1.a28feee08464cp-15, -0x1.a428cf862b15p-15, -0x1.a59366de59d03p-15, -0x1.a6d057b0dd77ep-15, -0x1.a7e0466773d83p-15, -0x1.a8c3d8f487c47p-15, -0x1.a97bb6bcbe7fp-15, -0x1.aa08887f98c86p-15, -0x1.aa6af83da8f44p-15, -0x1.aaa3b1229569fp-15, -0x1.aab35f6cb19bap-15, -0x1.aa9ab05673a73p-15, -0x1.aa5a51fdd4bd1p-15, -0x1.a9f2f34e61ad8p-15, -0x1.a96543ea7f895p-15, -0x1.a8b1f4150dfp-15, -0x1.a7d9b499a7333p-15, -0x1.a6dd36b844c65p-15, -0x1.a5bd2c0f7c789p-15, -0x1.a47a4686483b3p-15, -0x1.a31538377d871p-15, -0x1.a18eb35d17b9fp-15, -0x1.9fe76a3c7c211p-15, -0x1.9e200f11619dcp-15, -0x1.9c3953fae2c63p-15, -0x1.9a33eae85d38bp-15, -0x1.9810858713d9cp-15, -0x1.95cfd52eadf5p-15, -0x1.93728acfbf58ap-15, -0x1.90f956e30605cp-15, -0x1.8e64e9574f725p-15, -0x1.8bb5f18073ee8p-15, -0x1.88ed1e07bea78p-15, -0x1.860b1cdc1a934p-15, -0x1.83109b22d87c1p-15, -0x1.7ffe45274a5ep-15, -0x1.7cd4c64d74851p-15, -0x1.7994c9036e28cp-15, -0x1.763ef6b428e04p-15, -0x1.72d3f7b90eda8p-15, -0x1.6f54734e3521ap-15, -0x1.6bc10f85ff324p-15, -0x1.681a713c01d1dp-15, -0x1.64613c09d20bfp-15, -0x1.6096123c2149dp-15, -0x1.5cb994c8d70e4p-15, -0x1.58cc63435cce6p-15, -0x1.54cf1bd2fea71p-15, -0x1.50c25b29a5116p-15, -0x1.4ca6bc7acc31dp-15, -0x1.487cd972c5bcap-15, -0x1.44454a2df90dp-15, -0x1.4000a531cf9d7p-15, -0x1.3baf7f64d761fp-15, -0x1.37526c06ecb25p-15, -0x1.32e9fcaac4357p-15, -0x1.2e76c12fd6cbbp-15, -0x1.29f947bce18d8p-15, -0x1.25721cb92f94ep-15, -0x1.20e1cac78106cp-15, -0x1.1c48dac11a76bp-15, -0x1.17a7d3b126cc3p-15, -0x1.12ff3ad0870acp-15, -0x1.0e4f9381b13c9p-15, -0x1.09995f4ce7457p-15, -0x1.04dd1dddbd805p-15, -0x1.001b4cfe7e14fp-15, -0x1.f6a8d12c801ep-16, -0x1.ed11d54c5c6b9p-16, }}, 
      {{0x1.f86a1525956cbp-1, 0x1.f7cd9891fc999p-1, 0x1.f6ce33151fe23p-1, 0x1.f572b7f44afdcp-1, 0x1.f3c3397976415p-1, 0x1.f1c8733ce0dd1p-1, 0x1.ef8b59fb3bda6p-1, 0x1.ed14c917ddb62p-1, 0x1.ea6d4775aed91p-1, 0x1.e79cde914f04ap-1, 0x1.e4aaffc973725p-1, 0x1.e19e74935ded6p-1, 0x1.de7d570204a6ep-1, 0x1.db4d108e9b9a4p-1, 0x1.d8125d7eeb59bp-1, 0x1.d4d1539e4425bp-1, 0x1.d18d6b44f193ap-1, 0x1.ce4989e32a9a6p-1, 0x1.cb080d72418edp-1, 0x1.c7cad8537c337p-1, 0x1.c4935d4130388p-1, 0x1.c162ab0e12ae1p-1, 0x1.be3978010c925p-1, 0x1.bb182caa81dffp-1, 0x1.b7feee1b65dc2p-1, 0x1.b4eda76f61894p-1, 0x1.b1e412a23dc53p-1, 0x1.aee1c0ae062abp-1, 0x1.abe620f35cbd4p-1, 0x1.a8f087f06ed4fp-1, 0x1.a600354d18ec5p-1, 0x1.a314594451ac5p-1, 0x1.a02c1973ebbe1p-1, 0x1.9d46951c5220ep-1, 0x1.9a62e8da38f65p-1, 0x1.978031e439a2bp-1, 0x1.949d90d6380e3p-1, 0x1.91ba2c142f0cep-1, 0x1.8ed531cd9d3e3p-1, 0x1.8bedd9aa641fap-1, 0x1.8903662974f9ep-1, 0x1.861525b923247p-1, 0x1.8322739076364p-1, 0x1.802ab850528e8p-1, 0x1.7d2d6a72cb928p-1, 0x1.7a2a0e8e7dc7dp-1, 0x1.772037734cfbp-1, 0x1.740f8625771bdp-1, 0x1.70f7a9bb793cep-1, 0x1.6dd85f22e0867p-1, 0x1.6ab170cfc10d3p-1, 0x1.6782b65a28a59p-1, 0x1.644c140c9de01p-1, 0x1.610d7a665e565p-1, 0x1.5dc6e593d1a3fp-1, 0x1.5a785cdf5b339p-1, 0x1.5721f21c7e45bp-1, 0x1.53c3c10f0a3cep-1, 0x1.505deecfd3885p-1, 0x1.4cf0a9304e3e5p-1, 0x1.497c261e31baep-1, 0x1.4600a3082cec1p-1, 0x1.427e64448305ap-1, 0x1.3ef5b47a572ep-1, 0x1.3b66e40e43b74p-1, 0x1.37d24892c5e31p-1, 0x1.34383c3cf2f6ep-1, 0x1.30991d5dca688p-1, 0x1.2cf54de076f0cp-1, 0x1.294d32cdaf1dap-1, 0x1.25a133d46472ep-1, 0x1.21f1bad7dad36p-1, 0x1.1e3f338338ea7p-1, 0x1.1a8a0ae29a5f9p-1, 0x1.16d2af01a0518p-1, 0x1.13198e8f766a2p-1, 0x1.0f5f18883e08fp-1, 0x1.0ba3bbe3c6a9ep-1, 0x1.07e7e7497c72p-1, 0x1.042c08c96acc6p-1, 0x1.00708d9a328abp-1, 0x1.f96bc3b7a209fp-2, 0x1.f1f8e0be1480fp-2, 0x1.ea8944e2adccp-2, 0x1.e31dbf5a46743p-2, 0x1.dbb71b9c728a2p-2, 0x1.d456211454cf7p-2, 0x1.ccfb92d9129c2p-2, 0x1.c5a82f6d98e4ap-2, 0x1.be5cb08756048p-2, 0x1.b719cadb94be8p-2, 0x1.afe02df3215b9p-2, 0x1.a8b08403e63c3p-2, 0x1.a18b71d02e7c8p-2, 0x1.9a71968b3cdefp-2, 0x1.93638bc2eb58p-2, 0x1.8c61e54e039f2p-2, 0x1.856d313f09f7p-2, 0x1.7e85f7db35201p-2, 0x1.77acbb9547cf7p-2, 0x1.70e1f90c0e895p-2, 0x1.6a26270c43698p-2, 0x1.6379b6959491ap-2, 0x1.5cdd12e29803ap-2, 0x1.5650a17370a9fp-2, 0x1.4fd4c21af267ep-2, 0x1.4969cf0e0e3a5p-2, 0x1.43101cf55758p-2, 0x1.3cc7fb0071d36p-2, 0x1.3691b2fb3f321p-2, 0x1.306d89649cff8p-2, 0x1.2a5bbd868f183p-2, 0x1.245c898fae879p-2, 0x1.1e7022adbb1c6p-2, 0x1.1896b92929ep-2, 0x1.12d07881936a7p-2, 0x1.0d1d878ae50b3p-2, 0x1.077e088b335afp-2, 0x1.01f219591adbfp-2, 0x1.f8f3a6f51611dp-3, 0x1.ee2a9887e44b5p-3, 0x1.e38929ef4fe9p-3, 0x1.d90f75cb0b703p-3, 0x1.cebd8f153ca0dp-3, 0x1.c4938161fba38p-3, 0x1.ba91511ec1813p-3, 0x1.b0b6fbd1ad436p-3, 0x1.a704785880f38p-3, 0x1.9d79b7273c163p-3, 0x1.9416a28631547p-3, 0x1.8adb1ecf99f5dp-3, 0x1.81c70aac7184ap-3, 0x1.78da3f50aa514p-3, 0x1.701490b6852dbp-3, 0x1.6775cdd9217d7p-3, 0x1.5efdc0ee18bc7p-3, 0x1.56ac2f9e2c88dp-3, 0x1.4e80db3cf3d2ap-3, 0x1.467b80ff810bfp-3, 0x1.3e9bda31f3445p-3, 0x1.36e19c6bf2318p-3, 0x1.2f4c79c4054e6p-3, 0x1.27dc2101cb588p-3, 0x1.20903dcf0418ap-3, 0x1.196878e76c77p-3, 0x1.126478476cda6p-3, 0x1.0b83df5990257p-3, 0x1.04c64f22ca5c5p-3, 0x1.fc56ccdb0fcf9p-4, 0x1.ef6583e70e738p-4, 0x1.e2b7f90cfd286p-4, 0x1.d64d5e6f169ffp-4, 0x1.ca24e2fae6dd4p-4, 0x1.be3db2b3588bdp-4, 0x1.b296f6f87a47p-4, 0x1.a72fd6ccdfac4p-4, 0x1.9c077718ac4adp-4, 0x1.911cfaea5c253p-4, 0x1.866f83b545315p-4, 0x1.7bfe318dd2e5dp-4, 0x1.71c8236394ce9p-4, 0x1.67cc7739202a9p-4, 0x1.5e0a4a59ca8bcp-4, 0x1.5480b98d4b06bp-4, 0x1.4b2ee1494c7f3p-4, 0x1.4213dde0f7c19p-4, 0x1.392ecbb27f153p-4, 0x1.307ec752bb78p-4, 0x1.2802edb6deaep-4, 0x1.1fba5c5c49f8ap-4, 0x1.17a4316e8f18ap-4, 0x1.0fbf8bebae998p-4, 0x1.080b8bc6941b1p-4, 0x1.00875207e4a68p-4, 0x1.f26401da452a3p-5, 0x1.e415780c724a6p-5, 0x1.d62150a2e6893p-5, 0x1.c885d8abdd3d4p-5, 0x1.bb41607922e39p-5, 0x1.ae523bcf23e63p-5, 0x1.a1b6c2112a75ep-5, 0x1.956d4e6aea6c6p-5, 0x1.89743ff7661f7p-5, 0x1.7dc9f9e54cde3p-5, 0x1.726ce398da215p-5, 0x1.675b68cb54becp-5, 0x1.5c93f9a840131p-5, 0x1.52150ae84a07dp-5, 0x1.47dd15ea15fc9p-5, 0x1.3dea98c8ee6b2p-5, 0x1.343c167177ac6p-5, 0x1.2ad016b46ca72p-5, 0x1.21a526577fcebp-5, 0x1.18b9d7246feabp-5, 0x1.100cbff6618c5p-5, 0x1.079c7cc58b43fp-5, 0x1.fecf5d6299066p-6, 0x1.eed9f8117159ep-6, 0x1.df5620a352a2ep-6, 0x1.d041389ccd718p-6, 0x1.c198ac03edd4fp-6, 0x1.b359f1664122ep-6, 0x1.a58289dc626d6p-6, 0x1.9810010b27b0cp-6, 0x1.8affed229017p-6, 0x1.7e4feeda86529p-6, 0x1.71fdb16d9fdf1p-6, 0x1.6606ea91d657fp-6, 0x1.5a695a6f7dbf4p-6, 0x1.4f22cb9662979p-6, 0x1.443112f14a396p-6, 0x1.39920fb7d6cbbp-6, 0x1.2f43ab5ef2104p-6, 0x1.2543d987ca43fp-6, 0x1.1b9097ed79022p-6, 0x1.1227ee516ee6ap-6, 0x1.0907ee66af325p-6, 0x1.002eb3bbe8cf7p-6, 0x1.ef34c7492ddfep-7, 0x1.de925a423391fp-7, 0x1.ce72918be4b3bp-7, 0x1.bed1f14449844p-7, 0x1.afad1049adefbp-7, 0x1.a10098046cd7ap-7, 0x1.92c9442f63f5ap-7, 0x1.8503e29f43016p-7, 0x1.77ad5308b34bp-7, 0x1.6ac286c584d1bp-7, 0x1.5e408098ed81bp-7, 0x1.5224547310148p-7, 0x1.466b2733af6a6p-7, 0x1.3b122e6c5014ep-7, 0x1.3016b021ceb24p-7, 0x1.2576028d79724p-7, 0x1.1b2d8bddcff4ep-7, 0x1.113ac1f6db708p-7, 0x1.079b2a3260d72p-7, 0x1.fc98b23fbc239p-8, 0x1.ea97e488b77d2p-8, 0x1.d92f4fb483c6ap-8, 0x1.c85a752242bbfp-8, 0x1.b814f29b27239p-8, 0x1.a85a81d26522p-8, 0x1.9926f7e571a66p-8, 0x1.8a7644dca4a29p-8, 0x1.7c44732c7c447p-8, 0x1.6e8da7374f162p-8, 0x1.614e1ecfae99dp-8, 0x1.548230bba2a28p-8, 0x1.48264c38a2f33p-8, 0x1.3c36f8806c6b3p-8, 0x1.30b0d44ebf427p-8, 0x1.2590956845f1ap-8, 0x1.1ad30822649b1p-8, 0x1.10750eec2fb72p-8, 0x1.0673a1d889751p-8, 0x1.f9979c52ea97bp-9, 0x1.e6f56bb953c72p-9, 0x1.d4fb1e72e3e6fp-9, 0x1.c3a348bf8e815p-9, 0x1.b2e8a5b1bd3f8p-9, 0x1.a2c616520b782p-9, 0x1.9336a0c5f2f74p-9, 0x1.84356f7935161p-9, 0x1.75bdd04a2edafp-9, 0x1.67cb33b90ce0ap-9, 0x1.5a592c1a5adcbp-9, 0x1.4d636ccc12a9ap-9, 0x1.40e5c96df06b3p-9, 0x1.34dc351cd022ep-9, 0x1.2942c1b12c57cp-9, 0x1.1e159f00b43ffp-9, 0x1.13511a22ce142p-9, 0x1.08f19cb85c3cfp-9, 0x1.fde7586d111eap-10, 0x1.eaa7d269b489ap-10, 0x1.d81e1d7c793d5p-10, 0x1.c643e34a40d52p-10, 0x1.b512ffb5887a9p-10, 0x1.a4857f9309f76p-10, 0x1.94959f6503244p-10, 0x1.853dca1bfb96fp-10, 0x1.767897ddf741bp-10, 0x1.6840ccd382843p-10, 0x1.5a9157fafac3cp-10, 0x1.4d65520237916p-10, 0x1.40b7fc2530951p-10, 0x1.3484bf134d363p-10, 0x1.28c729da189e5p-10, 0x1.1d7af0d6161cdp-10, 0x1.129beca96b9c3p-10, 0x1.08261937b5e62p-10, 0x1.fc2b294f828b6p-11, 0x1.e8cd3cd5c3b26p-11, 0x1.d62b2c9301049p-11, 0x1.c43df6eba477dp-11, 0x1.b2fed74610478p-11, 0x1.a26744442857cp-11, 0x1.9270ee077455bp-11, 0x1.8315bc7f59c92p-11, 0x1.744fcdc24d04ap-11, 0x1.661974701831p-11, 0x1.586d361daf20bp-11, 0x1.4b45c9cba3896p-11, 0x1.3e9e16656ae4dp-11, 0x1.3271314abae8bp-11, 0x1.26ba5ce2562d1p-11, 0x1.1b75073442a39p-11, 0x1.109cc88ecb3dfp-11, 0x1.062d623320fd2p-11, 0x1.f8457a1640987p-12, 0x1.e4f1d0d0ec335p-12, 0x1.d258319439dfdp-12, 0x1.c0714d56e7c9ap-12, 0x1.af361ab593dfbp-12, 0x1.9e9fd3aff61a1p-12, 0x1.8ea7f3759a6c6p-12, 0x1.7f4834437443ep-12, 0x1.707a8d4c08bd6p-12, 0x1.623930b1b8035p-12, 0x1.547e898e153e6p-12, 0x1.47453a06bafbbp-12, 0x1.3a881971e98e1p-12, 0x1.2e423286ddbb8p-12, 0x1.226ec199e184p-12, 0x1.170932e843437p-12, 0x1.0c0d20ee3c018p-12, 0x1.017652ca44419p-12, 0x1.ee81755bc9a9ap-13, 0x1.dad0e8afd3c97p-13, 0x1.c7d387337b724p-13, 0x1.b58225d5044f6p-13, 0x1.a3d5e4054d19bp-13, 0x1.92c8290681bffp-13, 0x1.8252a151d4c5bp-13, 0x1.726f3c0f66a6dp-13, 0x1.6318289e12af5p-13, 0x1.5447d43682345p-13, 0x1.45f8e79ad4c6ep-13, 0x1.382644dbce1a8p-13, 0x1.2acb052ffcccdp-13, 0x1.1de276dd69443p-13, 0x1.11681b2f56ed8p-13, 0x1.0557a481e3734p-13, 0x1.f359e8b834396p-14, 0x1.dcc8333174c57p-14, 0x1.c6f29d41e22dap-14, 0x1.b1d1ef6bb1203p-14, 0x1.9d5f428a6d793p-14, 0x1.8993fc9d66645p-14, 0x1.7669cdb006f01p-14, 0x1.63daacd86b5c4p-14, 0x1.51e0d552450f4p-14, 0x1.4076c3b639decp-14, 0x1.2f973347d93ffp-14, 0x1.1f3d1b55a615dp-14, 0x1.0f63acb817ea3p-14, 0x1.00064f66371cdp-14, 0x1.e24140399a1aap-15, 0x1.c55cdc3a6e418p-15, 0x1.a9577207e7be9p-15, 0x1.8e295d5f90737p-15, 0x1.73cb5270c83dp-15, 0x1.5a365a015ba2p-15, 0x1.4163cdac73184p-15, 0x1.294d5446a92cp-15, 0x1.11ecde671c4cdp-15, 0x1.f67946260cfp-16, 0x1.ca6e390feba96p-16, 0x1.9fae0a3b89a12p-16, 0x1.762ea8aa583ep-16, 0x1.4de677f7e6349p-16, 0x1.26cc4ad8062c9p-16, 0x1.00d75ddc71241p-16, 0x1.b7fea4c97841ap-17, 0x1.7078538af98ap-17, 0x1.2b0c813179fbbp-17, 0x1.cf59291760655p-18, 0x1.4c9533161c466p-18, 0x1.9b64e3c916cafp-19, 0x1.4a5d840af7692p-20, -0x1.26a34875aa65ep-21, -0x1.31509291a5b44p-19, -0x1.08fa9df8459ffp-18, -0x1.75e0d409e86e6p-18, -0x1.df6f7389589e7p-18, -0x1.22dd15deb90cp-17, -0x1.5469ef64760fep-17, -0x1.8467564d2d4fp-17, -0x1.b2ddfeba911f3p-17, -0x1.dfd645faf8d2dp-17, -0x1.05ac1bb09752ap-16, -0x1.1ab5c86b91656p-16, -0x1.2f0be3947264ap-16, -0x1.42b2051a45289p-16, -0x1.55aba46f50522p-16, -0x1.67fc1a6516e3ep-16, -0x1.79a6a2f68b36p-16, -0x1.8aae5efbf7ad8p-16, -0x1.9b1655caa6e76p-16, -0x1.aae176b91311ap-16, -0x1.ba129a913aa8p-16, -0x1.c8ac84f4b5a19p-16, -0x1.d6b1e5a821a7ep-16, -0x1.e42559cbcbaa1p-16, -0x1.f1096d0a8f468p-16, -0x1.fd609aafc0db8p-16, -0x1.0496a75d8a8d3p-15, -0x1.0a38f369bee1ap-15, -0x1.0f98599a6ad14p-15, -0x1.14b5fbca4446dp-15, -0x1.1992f5f80e2f2p-15, -0x1.1e305ea801154p-15, -0x1.228f4743c1bb7p-15, -0x1.26b0bc6c7a247p-15, -0x1.2a95c6527357ap-15, -0x1.2e3f68fe45cb2p-15, -0x1.31aea496bfd03p-15, -0x1.34e475a4a2984p-15, -0x1.37e1d551ac96p-15, -0x1.3aa7b99f0f316p-15, -0x1.3d37159d68dfdp-15, -0x1.3f90d99d3ee63p-15, -0x1.41b5f35b15879p-15, -0x1.43a74e2dc39edp-15, -0x1.4565d329dda02p-15, -0x1.46f2694550861p-15, -0x1.484df5792a87fp-15, -0x1.49795adf5b3aap-15, -0x1.4a757acb5fc58p-15, -0x1.4b4334e538ec6p-15, -0x1.4be3673ed0e06p-15, -0x1.4c56ee6599b27p-15, -0x1.4c9ea57773f6p-15, -0x1.4cbb662f45e3cp-15, -0x1.4cae08f3b285dp-15, -0x1.4c7764e2cd82cp-15, -0x1.4c184fdbdc459p-15, -0x1.4b919e878e6f1p-15, -0x1.4ae4245ede338p-15, -0x1.4a10b3b21407dp-15, -0x1.49181dab7fc98p-15, -0x1.47fb32530058fp-15, -0x1.46bac09009555p-15, -0x1.4557962b112a2p-15, -0x1.43d27fcc6775dp-15, -0x1.422c48fc5adebp-15, -0x1.4065bc2125a5fp-15, -0x1.3e7fa27ba238ap-15, -0x1.3c7ac4258e3aep-15, -0x1.3a57e80d60708p-15, -0x1.3817d3f114c0fp-15, -0x1.35bb4c5a15f04p-15, -0x1.3343149800fdcp-15, -0x1.30afeebabe73dp-15, -0x1.2e029b8be1733p-15, -0x1.2b3bda8925884p-15, -0x1.285c69de21a86p-15, -0x1.2565065b4b65cp-15, -0x1.22566b71c0979p-15, -0x1.1f315329dadd1p-15, -0x1.1bf6761ca3eadp-15, -0x1.18a68b6c93e53p-15, -0x1.154248be08c19p-15, -0x1.11ca622f6ebffp-15, -0x1.0e3f8a516940ep-15, -0x1.0aa272202872ap-15, -0x1.06f3c8fbc3832p-15, -0x1.03343ca05988bp-15, -0x1.fec8f23e049b5p-16, -0x1.f70a51ac5dfd9p-16, -0x1.ef2de8d618e8ap-16, -0x1.e7350584ffc2dp-16, -0x1.df20f1f4bb0a4p-16, -0x1.d6f2f4c4db468p-16, -0x1.ceac50ebd235p-16, -0x1.c64e45aac7043p-16, -0x1.bdda0e8185373p-16, -0x1.b550e323b4d7ep-16, -0x1.acb3f76b4214fp-16, -0x1.a4047b4e5801bp-16, -0x1.9b439ad4c34bbp-16, -0x1.92727e0f6465dp-16, -0x1.8992490d7e10dp-16, -0x1.80a41bd37e308p-16, -0x1.77a9125439887p-16, -0x1.6ea24465ebb8ep-16, -0x1.6590c5bcd4103p-16, -0x1.5c75a5e55abeap-16, -0x1.5351f03bf9e6dp-16, -0x1.4a26abe6dfac8p-16, -0x1.40f4dbd0ad9c2p-16, -0x1.37bd7ea525ab2p-16, -0x1.2e818ecc76225p-16, -0x1.25420265c0195p-16, -0x1.1bffcb45ad02ep-16, -0x1.12bbd6f37f1dcp-16, -0x1.09770ea46c813p-16, -0x1.0032573cad546p-16, -0x1.eddd229bc0b6ap-17, -0x1.db59322afbdbp-17, -0x1.c8da8cf6ff0c9p-17, -0x1.b662da268580bp-17, -0x1.a3f3b83c3f15fp-17, -0x1.918ebd162a994p-17, -0x1.7f3575eea907ep-17, -0x1.6ce96763f7695p-17, -0x1.5aac0d7c4f2c8p-17, -0x1.487edba949ba8p-17, -0x1.36633cd191b1ap-17, -0x1.245a93582d307p-17, -0x1.12663924aa87bp-17, -0x1.00877fa8a03c2p-17, -0x1.dd7f5fd71d262p-18, -0x1.ba201530ca27p-18, -0x1.96f390113fddep-18, -0x1.73fc3096127cdp-18, -0x1.513c466a128b5p-18, -0x1.2eb610dd86c0dp-18, -0x1.0c6bbf0123b62p-18, -0x1.d4bedf8a29ef7p-19, -0x1.9126642bd478fp-19, -0x1.4e120a0365c9fp-19, -0x1.0b85af9fdd3fep-19, -0x1.930a2891a8b8cp-20, -0x1.1027b09419844p-20, -0x1.1cd5f529a23e9p-21, -0x1.bb599fbfed53ep-25, 0x1.c60938299e95dp-22, 0x1.df4c0ff4af44ap-21, 0x1.6c8a4d5520a22p-20, 0x1.e8294501fba7fp-20, 0x1.313ea7d1d8f68p-19, 0x1.6dc0837e72368p-19, 0x1.a9979e9adaa8p-19, 0x1.e4c17e25023a3p-19, 0x1.0f9de15596f48p-18, 0x1.2c8213f6df27fp-18, 0x1.490c423ebe17ep-18, 0x1.653b64b811e79p-18, 0x1.810e8101c0b28p-18, 0x1.9c84a99dfecdap-18, 0x1.b79cfdc6f2bcbp-18, 0x1.d256a93e05409p-18, 0x1.ecb0e41a7af15p-18, 0x1.035579503d56ap-17, 0x1.10221284a4eabp-17, 0x1.1cbdebad2f46ep-17, 0x1.2928b89add33cp-17, 0x1.356232d3bd1e4p-17, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      40, 0x1.f333333333333p+1, 0x1.74876948918b6p+2, 0x1.5622de256fbacp+3, 0x1.245fe5da7c45p-5, 
      {{
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.74bead97f954cp-1, -0x1.01e96f0690cf3p+2, 0x1.774fa180f1b61p+3, -0x1.fefc2faa40178p+3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.1b9210c3a30f3p-1, -0x1.7d07617094c6bp+1, 0x1.2aa9cd8dce7f4p+3, -0x1.bd7d5335ce00bp+3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.b4d738be75707p-2, -0x1.12ed9e83b66ffp+1, 0x1.cfae02251264ap+2, -0x1.85ce5894fd18fp+3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.57db7e308c71ep-2, -0x1.83c5db160410cp+0, 0x1.5abce791f9aa6p+2, -0x1.4b7dc0840b6edp+3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.16d8abc2dd407p-2, -0x1.0cf7995e6daeap+0, 0x1.ee94c207ec777p+1, -0x1.11e3bc5ffb6e1p+3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.d3b2afca00933p-3, -0x1.74f7fbbaf71ccp-1, 0x1.4a3f510188cfbp+1, -0x1.b0220bf10b833p+2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.9495eb21a88b9p-3, -0x1.0acc3834558e8p-1, 0x1.9137013f3de8cp+0, -0x1.3cd509638a7bep+2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.65fba894fc78bp-3, -0x1.9b211f1de068bp-2, 0x1.a63b2a6d6f3e5p-1, -0x1.912f84ae56695p+1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.404a4040d3007p-3, -0x1.5ec11978d995ep-2, 0x1.6b0a1c09aa003p-2, -0x1.5f0c8c1365772p+0}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.1eadc3568f664p-3, -0x1.44fb584f81639p-2, 0x1.30d1f66273d57p-3, 0x1.2e1eb5b6757e3p-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe2ff838430fp-4, -0x1.31358195ed091p-2, 0x1.e617969cba538p-3, 0x1.39fe87163b984p+0}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.c4343b3ad94f1p-4, -0x1.0f7c0d0adccf7p-2, 0x1.af714f8ee753p-2, 0x1.1119066837b6ap-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.927ea09764c3dp-4, -0x1.c07cd9574c3fp-3, 0x1.00af9bf0af37fp-1, 0x1.b0292675d7f7p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.6ace7d39fb1b4p-4, -0x1.5900c4a71f83dp-3, 0x1.04bccb8030717p-1, -0x1.10db367990284p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4d3f897b121f8p-4, -0x1.f1c992bbc9e1ap-4, 0x1.b79e39dbe8d65p-2, -0x1.8453024511672p-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.385dde9fd7e88p-4, -0x1.593d57e2d9501p-4, 0x1.431eec60ca049p-2, -0x1.48a6cab7bb0c5p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.2a01db5dfd362p-4, -0x1.d76bb9136f22p-5, 0x1.c10cf8b9bd671p-3, -0x1.26fbfad4e0932p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.202c085f7fc38p-4, -0x1.4732da15e2299p-5, 0x1.100f623a0375fp-3, -0x1.fcb2a490ac7dbp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.191915c3027d2p-4, -0x1.f1cafe751defbp-6, 0x1.ddcd903a72102p-5, -0x1.af2949701d548p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.1341db1bcd81ap-4, -0x1.c5f8c176e1aefp-6, -0x1.3cb97260bc5c4p-8, -0x1.609fc7c0dca93p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.0d5b5771ce213p-4, -0x1.f83467d07182bp-6, -0x1.cebd513386bb3p-5, -0x1.125aea53d5778p-2}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.0656b14196de1p-4, -0x1.3ad66ded48cc6p-5, -0x1.8bfb9b98dd0cbp-4, -0x1.880744d944074p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.fac26cf8bed8p-5, -0x1.95cb876e88f7bp-5, -0x1.00cbb1b9d2541p-3, -0x1.d6c580af7b9acp-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e3c8b9100961cp-5, -0x1.01c995aa8c468p-4, -0x1.241a81c6fb99p-3, -0x1.3aeb8e5c54972p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.c70b807e1188p-5, -0x1.3d639bfed9cb3p-4, -0x1.2fe9bd840b91ep-3, 0x1.37a68de7b36aap-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a44e4be125ddfp-5, -0x1.7900c5d8b5fe8p-4, -0x1.2439e4fe8e715p-3, 0x1.d5305214cbfaep-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7bccf2c0df596p-5, -0x1.afede8ca2fac5p-4, -0x1.010978703257dp-3, 0x1.87220a4caa03ep-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.4e3b9b8e2155p-5, -0x1.dd7840b9135a2p-4, -0x1.8cbbedc964e22p-4, 0x1.121a3f2424f7fp-2}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1cc6bba3198dep-5, -0x1.fceb89ceb0cf7p-4, -0x1.d08b8fcdd09c1p-5, 0x1.5fa4a5d658a12p-2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.d2262e8680495p-6, -0x1.04cc8c694688p-3, -0x1.54964664cb8fp-8, 0x1.b0e6105a4e1d5p-2}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6a7b8336af3d9p-6, -0x1.febd5fcfd4f3bp-4, 0x1.dce7b1395de24p-5, 0x1.f44a3ee2dfeadp-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.07b83982d9c9fp-6, -0x1.d7e2c324e0944p-4, 0x1.0d50325f343fdp-3, 0x1.35b62cc397c38p-1}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.5fef66d35d0dap-7, -0x1.8f70c09fb36c9p-4, 0x1.c723e6d48f4e2p-3, 0x1.7d2cd6a3f504bp-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.a7c751f9cb739p-8, -0x1.28fa259e59a78p-4, 0x1.1cbf139c79344p-2, -0x1.1e58e618d7a75p-2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.caee59f8cc937p-9, -0x1.7f5686cb408f5p-5, 0x1.e396aefe4b4f8p-3, -0x1.03cf5fefe19b6p-1}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.baa44faad51f2p-10, -0x1.ba28d60ee16bdp-6, 0x1.47b3dbd4c3f2ep-3, -0x1.85c79feb800b2p-2}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6a9cb8ddddafdp-11, -0x1.c58ac4afefba3p-7, 0x1.a5898ae907ddap-4, -0x1.3786d50cbb82ep-2}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.caee59f8cc937p-13, -0x1.7e284494f9adcp-8, 0x1.d53e16292eb98p-5, -0x1.be6b1b5e21b14p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.6a9cb8ddddcefp-15, -0x1.c79d6090e230ap-10, 0x1.92c871e1683a2p-6, -0x1.ee3f8cde031e4p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.6a9cb8ddde401p-19, -0x1.8335844476b76p-13, 0x1.a8efa8a3ffccp-8, -0x1.4be03ddddf2edp-3}, 
      }}, 
      0x1.395cbbf540accp+1, -0x1.e3cf5dbfcf7bep+3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.290201914ac0ap-2, 0x1.3bac6a6dc1796p-2, 0x1.596389450f5a8p-2, 0x1.80843b5dcfa6fp-2, 0x1.af3ef90bba148p-2, 0x1.e3bef67699602p-2, 0x1.0e218aa4a4a21p-1, 0x1.2b967b5fb2916p-1, 0x1.4984b5fc07648p-1, 0x1.674a1d70b81b7p-1, 0x1.845c44284f95p-1, 0x1.a04788f8c58d9p-1, 0x1.baad8d251d9f1p-1, 0x1.d343510c4235ep-1, 0x1.e9cf2c07354d5p-1, 0x1.fe26c229455c1p-1, 0x1.08168711750dap+0, 0x1.0fe8465d7a2c5p+0, 0x1.1684c8464c94bp+0, 0x1.1bec603c4a3b3p+0, 0x1.2022e00ea4b99p+0, 0x1.232effe79671dp+0, 0x1.2519d8509f1d8p+0, 0x1.25ee6c71d8317p+0, 0x1.25b942ebc9f5ap+0, 0x1.24880bd80e47fp+0, 0x1.226952af68ad5p+0, 0x1.1f6c3acd0dd27p+0, 0x1.1ba04556cc978p+0, 0x1.17151f578b03ep+0, 0x1.11da77024773cp+0, 0x1.0bffd73fc6072p+0, 0x1.059488d06f5dbp+0, 0x1.fd4ef0d14180bp-1, 0x1.ee8e4284917e2p-1, 0x1.df02f75a334cfp-1, 0x1.cec7de6167d95p-1, 0x1.bdf68fb8bce0dp-1, 0x1.aca75cd31fa42p-1, 0x1.9af145c9622c8p-1, 0x1.88e9f2fc25404p-1, 0x1.76a5b277318e5p-1, 0x1.643778f00d73dp-1, 0x1.51b0e54d2e2a4p-1, 0x1.3f22468efe32p-1, 0x1.2c9aa4763af38p-1, 0x1.1a27c8544be73p-1, 0x1.07d649465bee8p-1, 0x1.eb632f32ab47p-2, 0x1.c78812e0388c4p-2, 0x1.a42dd4b8c7f42p-2, 0x1.81650a3930ebbp-2, 0x1.5f3c6f2e2343p-2, 0x1.3dc0f3fd410dfp-2, 0x1.1cfde80294257p-2, 0x1.f9fa1021b6ca8p-3, 0x1.bb8d4983891d3p-3, 0x1.7ec3674da8ee2p-3, 0x1.43a7e01b9d205p-3, 0x1.0a43da961ae37p-3, 0x1.a53ccd36958d3p-4, 0x1.397940ce66686p-4, 0x1.a287886fa2f04p-5, 0x1.b27f2462b14b2p-6, 0x1.71ba02f615798p-9, -0x1.47d163024e98dp-6, -0x1.57d6a6cc7064ap-5, -0x1.025df7fc2cd29p-4, -0x1.55551d53107fbp-4, -0x1.a4db660287552p-4, -0x1.f0fd10884ff04p-4, -0x1.1ce3e50f6900bp-3, -0x1.3fa541f2deb7fp-3, -0x1.60caa53397198p-3, -0x1.805c8fd4506e1p-3, -0x1.9e63ebeaf90fap-3, -0x1.bae9fc335782fp-3, -0x1.d5f84cbcb8de2p-3, -0x1.ef98a489017e7p-3, -0x1.03ea7c0b1f8a5p-2, -0x1.0f5bae641fba9p-2, -0x1.1a24feaed7c61p-2, -0x1.244b87b3e5c76p-2, -0x1.2dd464f4f80b7p-2, -0x1.36c4ae79bdd5p-2, -0x1.3f2175188d231p-2, -0x1.46efbf216f998p-2, -0x1.4e34855d290fbp-2, -0x1.54f4b05d22c42p-2, -0x1.5b35160c27f35p-2, -0x1.60fa778e94c24p-2, -0x1.66497f67f058fp-2, -0x1.6b26bfeb28fb1p-2, -0x1.6f96b1f59da94p-2, -0x1.739db3e5cb949p-2, -0x1.774008cf80f8ap-2, -0x1.7a81d7de0219p-2, -0x1.7d672bdb4fbe5p-2, -0x1.7ff3f2db7f656p-2, -0x1.822bfe01f122p-2, -0x1.8413015f47f86p-2, -0x1.85ac93ebe3e46p-2, -0x1.86fc2f98b318dp-2, -0x1.88053176b18bep-2, -0x1.88cad9fc24a76p-2, -0x1.89504d58e094ep-2, -0x1.899893df6934dp-2, -0x1.89a69a848bbb2p-2, -0x1.897d336026006p-2, -0x1.891f1642a0264p-2, -0x1.888ee14e02b48p-2, -0x1.87cf198ea5cc2p-2, -0x1.86e22ba1ddadep-2, -0x1.85ca6c56599d5p-2, -0x1.848a194ebcbf8p-2, -0x1.832359adca72ep-2, -0x1.81983eb88aa1fp-2, -0x1.7feac47d2bf22p-2, -0x1.7e1cd283272dcp-2, -0x1.7c303c6b47f23p-2, -0x1.7a26c29920617p-2, -0x1.780212e217e84p-2, -0x1.75c3c92943ae9p-2, -0x1.736d700529954p-2, -0x1.71008167a25ccp-2, -0x1.6e7e67340f865p-2, -0x1.6be87bd9456d3p-2, -0x1.69400aee84aa8p-2, -0x1.668651c286dbdp-2, -0x1.63bc7fe5308ap-2, -0x1.60e3b7b739a05p-2, -0x1.5dfd0ef0ec2e9p-2, -0x1.5b098f1c5ddf6p-2, -0x1.580a3615f9b6dp-2, -0x1.54fff689af511p-2, -0x1.51ebb8611b28dp-2, -0x1.4ece5934db2f1p-2, -0x1.4ba8acbe3bc99p-2, -0x1.487b7d3bcd81dp-2, -0x1.45478bd56b534p-2, -0x1.420d91015d16fp-2, -0x1.3ece3cdf667aep-2, -0x1.3b8a37912066dp-2, -0x1.384221936af98p-2, -0x1.34f6941074e3p-2, -0x1.31a8212c9218cp-2, -0x1.2e575453b4d2dp-2, -0x1.2b04b284340bap-2, -0x1.27b0ba935e4d5p-2, -0x1.245be56d9dccfp-2, -0x1.2106a656dfd03p-2, -0x1.1db16b2b912adp-2, -0x1.1a5c9c9a23584p-2, -0x1.17089e54a7d79p-2, -0x1.13b5cf475d494p-2, -0x1.106489d3600adp-2, -0x1.0d1523fd1cc58p-2, -0x1.09c7ef9175e32p-2, -0x1.067d3a548fd59p-2, -0x1.03354e363e9b4p-2, -0x1.ffe0e2f108e6cp-3, -0x1.f95dcd9835298p-3, -0x1.f2e1daec4c067p-3, -0x1.ec6d82fa83d68p-3, -0x1.e601379995143p-3, -0x1.df9d649a84cfap-3, -0x1.d9426fff3783ep-3, -0x1.d2f0ba40ae107p-3, -0x1.cca89e9357dfcp-3, -0x1.c66a7319fcf41p-3, -0x1.c036890d0ca2dp-3, -0x1.ba0d2ce7ff758p-3, -0x1.b3eea6a431fdcp-3, -0x1.addb39f2c5d9ep-3, -0x1.a7d32663c00f5p-3, -0x1.a1d6a780163cep-3, -0x1.9be5f4eeb627bp-3, -0x1.960142ab02935p-3, -0x1.9028c135fe76fp-3, -0x1.8a5c9db08b72ap-3, -0x1.849d01ecf3557p-3, -0x1.7eea14905bfe2p-3, -0x1.7943f942b0a07p-3, -0x1.73aad0d5828cdp-3, -0x1.6e1eb95799af5p-3, -0x1.689fce24771dcp-3, -0x1.632e280046138p-3, -0x1.5dc9dd3cbcca4p-3, -0x1.587301d8048fcp-3, -0x1.5329a79083719p-3, -0x1.4dedddf53b939p-3, -0x1.48bfb27a2d078p-3, -0x1.439f309094532p-3, -0x1.3e8c61bf3d313p-3, -0x1.39874db8bb004p-3, -0x1.348ffa6ea5b1bp-3, -0x1.2fa66c20f3e19p-3, -0x1.2acaa56b03329p-3, -0x1.25fca7536d8b2p-3, -0x1.213c7161bcb23p-3, -0x1.1c8a01b54e447p-3, -0x1.17e5551566843p-3, -0x1.134e66f87bc25p-3, -0x1.0ec5318a73bd6p-3, -0x1.0a49adbb6ad46p-3, -0x1.05dbd3567cb79p-3, -0x1.017b99164b317p-3, -0x1.fa51e95d5b8a3p-4, -0x1.f1c7b59c7cc52p-4, -0x1.e9587e45a54e1p-4, -0x1.e10428d0cabbdp-4, -0x1.d8ca98fc6220cp-4, -0x1.d0abb0edfd4b4p-4, -0x1.c8a7513da884bp-4, -0x1.c0bd58f5ab3cdp-4, -0x1.b8eda59a6f23ap-4, -0x1.b138134455107p-4, -0x1.a99c7cc270193p-4, -0x1.a21abbb49102ap-4, -0x1.9ab2a8949b453p-4, -0x1.93641ab70deafp-4, -0x1.8c2ee851376e9p-4, -0x1.8512e68c632eep-4, -0x1.7e0fe9a022cbdp-4, -0x1.7725c4e7b18a9p-4, -0x1.70544aebf6fd4p-4, -0x1.699b4d6635fc3p-4, -0x1.62fa9d44dcce4p-4, -0x1.5c720ab867b19p-4, -0x1.56016545f6504p-4, -0x1.4fa87bd86cc75p-4, -0x1.49671ccaece0ap-4, -0x1.433d15ed822a5p-4, -0x1.3d2a34896f0f6p-4, -0x1.372e4569c02bap-4, -0x1.314914e823386p-4, -0x1.2b7a6efa24e32p-4, -0x1.25c21f3afa481p-4, -0x1.201ff0f115144p-4, -0x1.1a93af120d38dp-4, -0x1.151d24486080ep-4, -0x1.0fbc1afc6a595p-4, -0x1.0a705d5ed5d3fp-4, -0x1.0539b57196238p-4, -0x1.0017ed0dd0f16p-4, -0x1.f6159bced9dfap-5, -0x1.ec24432103467p-5, -0x1.e25b62fd8020cp-5, -0x1.d8ba8e264c3b6p-5, -0x1.cf4157449e1bap-5, -0x1.c5ef50f66cc9cp-5, -0x1.bcc40dd6f75b8p-5, -0x1.b3bf2083e7713p-5, -0x1.aae01ba265f9ep-5, -0x1.a22691e70fac2p-5, -0x1.999216218a026p-5, -0x1.91223b49a3b0fp-5, -0x1.88d6948ad6a29p-5, -0x1.80aeb54c0be34p-5, -0x1.78aa31340ee55p-5, -0x1.70c89c2cfe85bp-5, -0x1.69098a691c26p-5, -0x1.616c906a45b3ep-5, -0x1.59f1430b921a8p-5, -0x1.5297378b1f508p-5, -0x1.4b5e0391ec6cdp-5, -0x1.44453d38d89aap-5, -0x1.3d4c7b0b64e5bp-5, -0x1.36735409f37e3p-5, -0x1.2fb95fad62f57p-5, -0x1.291e35ecdcc83p-5, -0x1.22a16f457078fp-5, -0x1.1c42a4c1edff6p-5, -0x1.1601700163e49p-5, -0x1.0fdd6b3b35a4cp-5, -0x1.09d63140c4b6ap-5, -0x1.03eb5d7dc773p-5, -0x1.fc3917f1ea43cp-6, -0x1.f0d2b2ad611cep-6, -0x1.e5a2c5bc7b072p-6, -0x1.daa88d01d31a1p-6, -0x1.cfe345c3341a6p-6, -0x1.c5522eb5f0bcap-6, -0x1.baf4880540ae7p-6, -0x1.b0c99351a72f4p-6, -0x1.a6d093aaff947p-6, -0x1.9d08cd8962f59p-6, -0x1.937186ca3739dp-6, -0x1.8a0a06b52810ep-6, -0x1.80d1960a3f754p-6, -0x1.77c77f164e8d2p-6, -0x1.6eeb0dc7feb9fp-6, -0x1.663b8fbe56794p-6, -0x1.5db8544b26bf6p-6, -0x1.5560ac678d8dcp-6, -0x1.4d33ea9e8fbe3p-6, -0x1.453162f620ff6p-6, -0x1.3d586ae0ec5c9p-6, -0x1.35a8594129bdbp-6, -0x1.2e20867ef9b2bp-6, -0x1.26c04cad5d58p-6, -0x1.1f8707b239367p-6, -0x1.18741562c3802p-6, -0x1.1186d5882a007p-6, -0x1.0abea9c77feacp-6, -0x1.041af572a15afp-6, -0x1.fb363aa282a5fp-7, -0x1.ee7d0eec43147p-7, -0x1.e2093665c75e5p-7, -0x1.d5d98266a8a22p-7, -0x1.c9ecc7777c913p-7, -0x1.be41ddf02ca61p-7, -0x1.b2d7a2829681cp-7, -0x1.a7acf67cabd3ap-7, -0x1.9cc0bfa0e178ap-7, -0x1.9211e795c3be9p-7, -0x1.879f5b12fa283p-7, -0x1.7d68090de30c3p-7, -0x1.736ae22f20413p-7, -0x1.69a6d8c972a69p-7, -0x1.601ae162e6f5fp-7, -0x1.56c5f3b13e90dp-7, -0x1.4da70bbfb3fcap-7, -0x1.44bd2adeb0a6fp-7, -0x1.3c075806f1c6cp-7, -0x1.33849f7fbd014p-7, -0x1.2b3411d1d0638p-7, -0x1.2314c24c99454p-7, -0x1.1b25c58d188f9p-7, -0x1.1366307f5a1ffp-7, -0x1.0bd51835d46c1p-7, -0x1.047192b57189ap-7, -0x1.fa757113d90fp-8, -0x1.ec5f4d66a3103p-8, -0x1.de9f00b31960dp-8, -0x1.d132df7295f84p-8, -0x1.c4194be10e5d5p-8, -0x1.b750b345bd2f6p-8, -0x1.aad7898e92541p-8, -0x1.9eac446ef81afp-8, -0x1.92cd576b4c97ep-8, -0x1.8739320a16d92p-8, -0x1.7bee40d2e8bebp-8, -0x1.70eaf0fa00f57p-8, -0x1.662db5cddc72fp-8, -0x1.5bb50e6d7a38ep-8, -0x1.517f8a2653fe3p-8, -0x1.478bca26325b6p-8, -0x1.3dd87fddf56e1p-8, -0x1.3464685bd21f3p-8, -0x1.2b2e45c028a7dp-8, -0x1.2234d88554f6fp-8, -0x1.1976da6fce8a2p-8, -0x1.10f2fc96ff90ap-8, -0x1.08a7e92883f1p-8, -0x1.0094488902017p-8, -0x1.f16d9116f5a9ap-9, -0x1.e21c47c213988p-9, -0x1.d3324f90faf9cp-9, -0x1.c4ad6cde92836p-9, -0x1.b68b8a951e4f9p-9, -0x1.a8caaf73e28aep-9, -0x1.9b68ee819884ap-9, -0x1.8e6456932272dp-9, -0x1.81bae515c52bcp-9, -0x1.756a7f7c442dep-9, -0x1.6970f4fd22bf3p-9, -0x1.5dcc0833fb0f2p-9, -0x1.52797e41a9b51p-9, -0x1.47772fac5ae29p-9, -0x1.3cc316d7101f5p-9, -0x1.325b5880d18d2p-9, -0x1.283e443494bdap-9, -0x1.1e6a4c8eb6dbcp-9, -0x1.14ddf93e2121p-9, -0x1.0b97d62d6d541p-9, -0x1.029663e2d9107p-9, -0x1.f3b0198808a15p-10, -0x1.e2b6434328b43p-10, -0x1.d23bbc4108c04p-10, -0x1.c23ce77e637d8p-10, -0x1.b2b631776727p-10, -0x1.a3a42eac9c1dfp-10, -0x1.9503b3d436e93p-10, -0x1.86d1e24065d7ap-10, -0x1.790c25df6481p-10, -0x1.6bb025b66dd37p-10, -0x1.5ebbaaf535062p-10, -0x1.522c84cbd4ef5p-10, -0x1.46006f8f2b4b5p-10, -0x1.3a35046c8323cp-10, -0x1.2ec7b48e30047p-10, -0x1.23b5cfdb60255p-10, -0x1.18fc9522a458dp-10, -0x1.0e9947d9e0b4bp-10, -0x1.048946c4b05cp-10, -0x1.f5943d5b43a0bp-11, -0x1.e2b32a16ff6f7p-11, -0x1.d06b50334a741p-11, -0x1.beb9090b0d34dp-11, -0x1.ad98e772de2f7p-11, -0x1.9d078fa8ea389p-11, -0x1.8d01953c7753fp-11, -0x1.7d8366410153dp-11, -0x1.6e8945efc4c95p-11, -0x1.600f545c08543p-11, -0x1.52119ed3b3e6dp-11, -0x1.448c34d9f3c3bp-11, -0x1.377b3ee5cdda2p-11, -0x1.2adb147d1cc9fp-11, -0x1.1ea84e4dcee5p-11, -0x1.12dfcf7e49e48p-11, -0x1.077ec19dba32ap-11, -0x1.f90503bbaeadbp-12, -0x1.e3d1081cac54cp-12, -0x1.cf5c6a4394baap-12, -0x1.bba1d083d5205p-12, -0x1.a89ba9b0a8c38p-12, -0x1.96444771a7712p-12, -0x1.8496056f2f555p-12, -0x1.738b6944a8a18p-12, -0x1.631f305b8a78bp-12, -0x1.534c4ebed78bbp-12, -0x1.440dead4178a1p-12, -0x1.355f609b9bedap-12, -0x1.273c4db759c21p-12, -0x1.19a09cd8051d7p-12, -0x1.0c888292fcb89p-12, -0x1.ffe0c50d58a8dp-13, -0x1.e7a9416dd1639p-13, -0x1.d062e386a35f2p-13, -0x1.ba0586b01332cp-13, -0x1.a4889b1f18383p-13, -0x1.8fe3910417c01p-13, -0x1.7c0e581c92534p-13, -0x1.6901b2f71b114p-13, -0x1.56b7382a3a66ap-13, -0x1.45290c51fe25dp-13, -0x1.345185903697ap-13, -0x1.242aed67643e2p-13, -0x1.14af7a57a22b6p-13, -0x1.05d97677002cap-13, -0x1.ef46e20fa0df9p-14, -0x1.d410ac1ca7d33p-14, -0x1.ba06a94e93a83p-14, -0x1.a11f2f29d6aaap-14, -0x1.894fe57f931acp-14, -0x1.728d73a589f0dp-14, -0x1.5ccbcc09861dep-14, -0x1.47ff0c6e97011p-14, -0x1.341c8c5fe905bp-14, -0x1.211b8c25a136fp-14, -0x1.0ef52405ddaf7p-14, -0x1.fb4700f05d678p-15, -0x1.da41bbfd091e7p-15, -0x1.bacd9be7ad216p-15, -0x1.9cdc1777ec498p-15, -0x1.805d9ea034778p-15, -0x1.6542b00d6951dp-15, -0x1.4b7cce8e32b54p-15, -0x1.32feeaaedea84p-15, -0x1.1bbd127801b35p-15, -0x1.05ab90c2dfb81p-15, -0x1.e17be45901054p-16, -0x1.b9ccfad2fba09p-16, -0x1.942d0fcdeddb7p-16, -0x1.707f5d2f9fc7dp-16, -0x1.4eaae6fdd4996p-16, -0x1.2e9cb9a76cbc7p-16, -0x1.1047a977a91acp-16, -0x1.e7431a1777ff5p-17, -0x1.b13f31eda3b98p-17, -0x1.7e67cd1831642p-17, -0x1.4e9a1d5b9fef4p-17, -0x1.21aed14563c21p-17, -0x1.eefbc0e0238bep-18, -0x1.9fc38feb00be5p-18, -0x1.55720c59a0c89p-18, -0x1.0fcbde9596428p-18, -0x1.9d3753552d17fp-19, -0x1.235f6769a8f97p-19, -0x1.63588db188029p-20, -0x1.1ec6a77be53f2p-21, 0x1.b0738578493ebp-23, 0x1.dbd8e56fb7899p-21, 0x1.99072ceb4f0d4p-20, 0x1.1bfb1d8abd424p-19, 0x1.658cef3523eaep-19, 0x1.a95c4f141e335p-19, 0x1.e792c650b8202p-19, 0x1.1036026428541p-18, 0x1.2a1adbef80496p-18, 0x1.41a2f9682d97ap-18, 0x1.56f7cee51e66cp-18, 0x1.6a3ee05a8e248p-18, 0x1.7b9b9adf73f7dp-18, 0x1.8b30e5a67ba93p-18, 0x1.991ed40e4c714p-18, 0x1.a57f0aec25421p-18, 0x1.b064d72c621cbp-18, 0x1.b9e1d26b00351p-18, 0x1.c20b055999b2ep-18, 0x1.c8fa4675480acp-18, 0x1.cecb5384bc4fbp-18, 0x1.d396fae0c6636p-18, 0x1.d76f0f52affe2p-18, 0x1.da5de1027b0dap-18, 0x1.dc6a706aa40a1p-18, 0x1.dd9e9207116e6p-18, 0x1.de0a29c7a2b3dp-18, 0x1.ddc0ee4973b9ap-18, 0x1.dcd4f37bba6c2p-18, 0x1.db53f201f3875p-18, 0x1.d94a3434d0b25p-18, 0x1.d6c6ae2c80a76p-18, 0x1.d3daec29bf2e1p-18, 0x1.d0975dd6a515fp-18, 0x1.cd07e731dc83fp-18, 0x1.c93357da37bc9p-18, 0x1.c51dcd64196dp-18, 0x1.c0cbfea9775b4p-18, 0x1.bc4526936d286p-18, 0x1.b792f05e99858p-18, 0x1.b2c023f4cfafbp-18, 0x1.add651281ed92p-18, 0x1.a8db452e268bap-18, 0x1.a3d1195a38c61p-18, 0x1.9eb9bbbfb1bfep-18, 0x1.999a3c57efb03p-18, 0x1.947a1578385ap-18, 0x1.8f5f77d84e22ep-18, 0x1.8a4d7c1a17b82p-18, 0x1.8546303f9b41ep-18, 0x1.804cf0721c23dp-18, 0x1.7b66640347553p-18, 0x1.769761778b02fp-18, 0x1.71e42ccde5548p-18, 0x1.6d500e2ec3ab6p-18, 0x1.68dd0c20add8dp-18, 0x1.648c0ab767bf3p-18, 0x1.605d761da280dp-18, 0x1.5c52079e34837p-18, 0x1.586b164e02d9bp-18, 0x1.54aa62098b6b6p-18, 0x1.5111957bdb687p-18, 0x1.4da1bb8d33a67p-18, 0x1.4a5b1f60ab3b7p-18, 0x1.473dde3453d65p-18, 0x1.444a76fc1db75p-18, 0x1.41818b50ed2fbp-18, 0x1.3ee33579f32e2p-18, 0x1.3c6f02676498fp-18, 0x1.3a2486194ca9fp-18, 0x1.380395af0ca93p-18, 0x1.360c1012f02acp-18, 0x1.343db3df862c7p-18, 0x1.32981ed470517p-18, 0x1.311ad53342821p-18, 0x1.2fc53ea4d3012p-18, 0x1.2e969c838b93p-18, 0x1.2d8e1026d69a9p-18, 0x1.2caac1d65a2ddp-18, 0x1.2bec049180aa8p-18, 0x1.2b513a912a849p-18, 0x1.2ad95c24bd417p-18, 0x1.2a828626c33c4p-18, 0x1.2a4aca260074cp-18, 0x1.2a31b847bd90ep-18, 0x1.2a3790d8da013p-18, 0x1.2a5b19a716a7p-18, 0x1.2a9a0a88fd45p-18, 0x1.2af2ef071f9b7p-18, 0x1.2b64fc4ab8682p-18, 0x1.2beefc67fd83dp-18, 0x1.2c8f6c21bb6b6p-18, 0x1.2d44ec882b8bp-18, 0x1.2e0e4db361c9fp-18, 0x1.2eea75c47adc6p-18, 0x1.2fd855bb8d8aep-18, 0x1.30d6e570c93bfp-18, 0x1.31e515feeb21dp-18, 0x1.3301aeae56d6dp-18, 0x1.342b1fab15629p-18, 0x1.355f9d815adc3p-18, 0x1.369dbf32b9961p-18, 0x1.37e4ebde09283p-18, 0x1.3934be7cb8636p-18, 0x1.3a8bbebbf195bp-18, 0x1.3be765ccec73ep-18, 0x1.3d4699b41f19p-18, 0x1.3ea9c4d6267aap-18, 0x1.400f9aa93a79bp-18, 0x1.4175ecced667cp-18, 0x1.42dc0d6ea4c6ep-18, 0x1.4441604f0781ep-18, 0x1.45a4804a64511p-18, 0x1.47041c7c2f982p-18, 0x1.485f3a4a6c9bbp-18, 0x1.49b501382580fp-18, 0x1.4b049a7b8a4b9p-18, 0x1.4c4d2c5e268dp-18, 0x1.4d8de01ffaca2p-18, 0x1.4ec5ebbc37d17p-18, 0x1.4ff49b4430841p-18, 0x1.511953b534365p-18, 0x1.52338565485c5p-18, 0x1.53427166d3834p-18, 0x1.5444d2d53905ap-18, 0x1.55394461850f6p-18, 0x1.561f7ddfff89p-18, 0x1.56f802a0f0935p-18, 0x1.57c1cd6ef33a1p-18, 0x1.587b0414adbd5p-18, 0x1.5923deca9aa9fp-18, 0x1.59bc220024da8p-18, 0x1.5a42f317a1c03p-18, 0x1.5ab8736f6613dp-18, 0x1.5b1bff62bae92p-18, 0x1.5b6ca21f343e5p-18, 0x1.5ba9dd311cf58p-18, 0x1.5bd36db568f99p-18, 0x1.5be9133abde61p-18, 0x1.5bea8643d2985p-18, 0x1.5bd77de152facp-18, 0x1.5bafb4f2f433fp-18, 0x1.5b72eb7d2ee4ep-18, 0x1.5b20e55177c2cp-18, 0x1.5ab9699d09bdp-18, 0x1.5a3c4695ca0f7p-18, 0x1.59a95951365d7p-18, 0x1.5900989829ba4p-18, 0x1.58421c251ddc9p-18, 0x1.576deff8dcc95p-18, 0x1.56839feea06c3p-18, 0x1.5582cc43389fcp-18, 0x1.546c3cc84ef4ap-18, 0x1.533f69f94d762p-18, 0x1.51fb17e634e3p-18, 0x1.509f98821cd8fp-18, 0x1.4f2e4c69b018p-18, 0x1.4da7f48cc9ep-18, 0x1.4c0b85ed45016p-18, 0x1.4a587c81f2b95p-18, 0x1.488f0c6432d7bp-18, 0x1.46af84857d5b6p-18, 0x1.44ba2187485e5p-18, 0x1.42af11ff417dcp-18, 0x1.408e7f806f60bp-18, 0x1.3e58949fda665p-18, 0x1.3c0d808c4b77ap-18, }}, 
      {{0x1.24c2cad9372cap-2, 0x1.2b129c83e7a3fp-2, 0x1.354b3cc5ceb24p-2, 0x1.430eedb1f4309p-2, 0x1.53f176f9c5b7ep-2, 0x1.67805df1c0e9p-2, 0x1.7d48a564f4957p-2, 0x1.94dab27f766e9p-2, 0x1.adccd413903a9p-2, 0x1.c7bcd7ab1fa5cp-2, 0x1.e250f0673e56fp-2, 0x1.fd381b0271b8ep-2, 0x1.0c151150f1c14p-1, 0x1.1973b1e0e98fcp-1, 0x1.269c31e6e3634p-1, 0x1.3376a716ded78p-1, 0x1.3feeb182e40e7p-1, 0x1.4bf330318f559p-1, 0x1.5775f5f36c7d7p-1, 0x1.626b807a92483p-1, 0x1.6ccab2fa3df37p-1, 0x1.768c95063e01bp-1, 0x1.7fac160d0bba6p-1, 0x1.8825d58528c3ap-1, 0x1.8ff7efb4e62d8p-1, 0x1.9721cee4e57f7p-1, 0x1.9da400bec60d7p-1, 0x1.a3800f8fd6c92p-1, 0x1.a8b85f299c1eap-1, 0x1.ad500d1e110a8p-1, 0x1.b14ad41793172p-1, 0x1.b4acf20de6091p-1, 0x1.b77b111cbfa33p-1, 0x1.b9ba32c420b04p-1, 0x1.bb6f9d5e8bce3p-1, 0x1.bca0cb9cdd95bp-1, 0x1.bd535ddaf3d63p-1, 0x1.bd8d0d23f2423p-1, 0x1.bd539fc04e137p-1, 0x1.bcacdf2ad0a9cp-1, 0x1.bb9e8f4ca4b31p-1, 0x1.ba2e66e35fe12p-1, 0x1.b86208f571eb6p-1, 0x1.b63eff3c10c9cp-1, 0x1.b3cab56caad24p-1, 0x1.b10a754a1f14fp-1, 0x1.ae03636c4049ep-1, 0x1.aaba7ca93c14fp-1, 0x1.a734940d7b486p-1, 0x1.a376515b2df86p-1, 0x1.9f842ff2c0aadp-1, 0x1.9b627e2d90f9bp-1, 0x1.97155d0326f51p-1, 0x1.92a0c001e8d8ap-1, 0x1.8e086d84fae17p-1, 0x1.894fff1ce6e2p-1, 0x1.847ae231deb5fp-1, 0x1.7f8c58bebb3bbp-1, 0x1.7a877a406b77p-1, 0x1.756f34ae60198p-1, 0x1.70464d9305234p-1, 0x1.6b0f63261dfa8p-1, 0x1.65cced7f4f8bcp-1, 0x1.60813fd548562p-1, 0x1.5b2e89ca267bdp-1, 0x1.55d6d8b8b948cp-1, 0x1.507c18ff01b77p-1, 0x1.4b201748c3741p-1, 0x1.45c481de0181fp-1, 0x1.406ae9f4ac79ap-1, 0x1.3b14c4feb6823p-1, 0x1.35c36ded14bf4p-1, 0x1.30782664e386dp-1, 0x1.2b3417e9df2dep-1, 0x1.25f8550405e7fp-1, 0x1.20c5da64187a4p-1, 0x1.1b9d9005ff83p-1, 0x1.16804a4c3412p-1, 0x1.116ecb0eafb59p-1, 0x1.0c69c29a59f9ap-1, 0x1.0771d0a1c4b14p-1, 0x1.02878522ddd7fp-1, 0x1.fb56c28bc6706p-2, 0x1.f1bbb070f2c5bp-2, 0x1.e83ea00a30a89p-2, 0x1.dee044c9c577cp-2, 0x1.d5a13b119ba9cp-2, 0x1.cc8209af07608p-2, 0x1.c383233d911cp-2, 0x1.baa4e771c28d6p-2, 0x1.b1e7a44fae99dp-2, 0x1.a94b9751c2784p-2, 0x1.a0d0ee8406ecep-2, 0x1.9877c99642274p-2, 0x1.90403ae564428p-2, 0x1.882a487b313dp-2, 0x1.8035ed020f68bp-2, 0x1.786318aafec9cp-2, 0x1.70b1b2046ab3bp-2, 0x1.692196c16a549p-2, 0x1.61b29c724c152p-2, 0x1.5a64912fcac4ep-2, 0x1.53373c3ad845cp-2, 0x1.4c2a5e92cc64p-2, 0x1.453db38373673p-2, 0x1.3e70f12c0d0a8p-2, 0x1.37c3c8ff9d0edp-2, 0x1.3135e83ee63ccp-2, 0x1.2ac6f86b9d7fp-2, 0x1.24769fb4c1b91p-2, 0x1.1e44815be94cep-2, 0x1.18303e1320976p-2, 0x1.12397453cbbd6p-2, 0x1.0c5fc0ae9dd12p-2, 0x1.06a2be14f71eep-2, 0x1.0102061c8686p-2, 0x1.f6fa627af0681p-3, 0x1.ec27ae1782417p-3, 0x1.e18b1cd8b148fp-3, 0x1.d723db8cc91e7p-3, 0x1.ccf11661bae52p-3, 0x1.c2f1f93a3bd36p-3, 0x1.b925affc4a07ap-3, 0x1.af8b66d9f46abp-3, 0x1.a6224a94baf23p-3, 0x1.9ce988bb41c53p-3, 0x1.93e04fe1ae58ep-3, 0x1.8b05cfd55767p-3, 0x1.825939cb807e8p-3, 0x1.79d9c08b34893p-3, 0x1.718698934aac4p-3, 0x1.695ef83c57f0fp-3, 0x1.616217d67a5cap-3, 0x1.598f31c41fbcp-3, 0x1.51e58291be761p-3, 0x1.4a64490a3d8b9p-3, 0x1.430ac64904b2ap-3, 0x1.3bd83dc9d5188p-3, 0x1.34cbf57620e79p-3, 0x1.2de535b08b54dp-3, 0x1.2723495ea9d59p-3, 0x1.20857df0f6a9p-3, 0x1.1a0b2369502f6p-3, 0x1.13b38c60034d1p-3, 0x1.0d7e0e0768c3fp-3, 0x1.076a002e8376bp-3, 0x1.0176bd4260405p-3, 0x1.f747449c7b139p-4, 0x1.ebe01df61b01fp-4, 0x1.e0b6cb1c0e995p-4, 0x1.d5ca15cc4112ap-4, 0x1.cb18ccf20e757p-4, 0x1.c0a1c49f49fc4p-4, 0x1.b663d6033130dp-4, 0x1.ac5ddf6053a13p-4, 0x1.a28ec4025e6f4p-4, 0x1.98f56c32a7b27p-4, 0x1.8f90c52b12685p-4, 0x1.865fc108ee2bep-4, 0x1.7d6156bff82cdp-4, 0x1.7494820bef4ap-4, 0x1.6bf843612f3e5p-4, 0x1.638b9fddc9effp-4, 0x1.5b4da13aa931cp-4, 0x1.533d55bb9b437p-4, 0x1.4b59d01ee72abp-4, 0x1.43a2278d5094cp-4, 0x1.3c15778a1e2eap-4, 0x1.34b2dfe29611p-4, 0x1.2d79849d60aa3p-4, 0x1.26688dea103f1p-4, 0x1.1f7f28109025bp-4, 0x1.18bc83608835ep-4, 0x1.121fd42109f03p-4, 0x1.0ba8528043736p-4, 0x1.05553a82d3178p-4, 0x1.fe4b97e65d21ep-5, 0x1.f23294a366f91p-5, 0x1.e65df98a03f8p-5, 0x1.dacc5c13ba76ep-5, 0x1.cf7c58c59077dp-5, 0x1.c46c93108d813p-5, 0x1.b99bb533c62e9p-5, 0x1.af08701e3246bp-5, 0x1.a4b17b4f7a3b6p-5, 0x1.9a9594b90187cp-5, 0x1.90b380a0898c1p-5, 0x1.870a0983da895p-5, 0x1.7d97fffc0e518p-5, 0x1.745c3aa0456f3p-5, 0x1.6b5595e8feda2p-5, 0x1.6282f414a876cp-5, 0x1.59e33d0cdf265p-5, 0x1.51755e4b87703p-5, 0x1.49384abfda33cp-5, 0x1.412afab4084bdp-5, 0x1.394c6bb3b9649p-5, 0x1.319ba072f29cep-5, 0x1.2a17a0b51e3a5p-5, 0x1.22bf79345a159p-5, 0x1.1b923b8966d22p-5, 0x1.148efe1429cd7p-5, 0x1.0db4dbe46b92dp-5, 0x1.0702f4a2b3291p-5, 0x1.00786c79973ebp-5, 0x1.f428d7ff7f367p-6, 0x1.e7ac404502c28p-6, 0x1.db79742148406p-6, 0x1.cf8ede4a48df6p-6, 0x1.c3eaf1a47b3b5p-6, 0x1.b88c291a4b7d6p-6, 0x1.ad7107750bf62p-6, 0x1.a2981736b6021p-6, 0x1.97ffea7393018p-6, 0x1.8da71aabe8d4ap-6, 0x1.838c48a65b316p-6, 0x1.79ae1c4bc9aa3p-6, 0x1.700b448481977p-6, 0x1.66a277160696cp-6, 0x1.5d727080c53a6p-6, 0x1.5479f3ddc7d4ap-6, 0x1.4bb7cabd1e006p-6, 0x1.432ac50589f7cp-6, 0x1.3ad1b8d562d64p-6, 0x1.32ab82640b554p-6, 0x1.2ab703e37533p-6, 0x1.22f32561a986cp-6, 0x1.1b5ed4aadfee1p-6, 0x1.13f9052c8446fp-6, 0x1.0cc0afd951aa7p-6, 0x1.05b4d30e142ep-6, 0x1.fda8e4ed4fb96p-7, 0x1.f03d2de612909p-7, 0x1.e3249cf98492cp-7, 0x1.d65d581a145fep-7, 0x1.c9e58f076f4dcp-7, 0x1.bdbb7b1dd1b1fp-7, 0x1.b1dd5f26152a3p-7, 0x1.a649872629db5p-7, 0x1.9afe483215626p-7, 0x1.8ffa003dcd544p-7, 0x1.853b15f05ddfbp-7, 0x1.7abff8785f651p-7, 0x1.70871f6144c9ap-7, 0x1.668f0a694fdd9p-7, 0x1.5cd641580b746p-7, 0x1.535b53d557dc6p-7, 0x1.4a1cd94166962p-7, 0x1.4119708db630fp-7, 0x1.384fc0170f47ap-7, 0x1.2fbe7580394b1p-7, 0x1.2764458d2d1e9p-7, 0x1.1f3febfeef762p-7, 0x1.17502b6fe269bp-7, 0x1.0f93cd30f4d55p-7, 0x1.0809a1279d3b6p-7, 0x1.00b07dacad3e7p-7, 0x1.f30e7ed771346p-8, 0x1.e51992861f33bp-8, 0x1.d78008484e62cp-8, 0x1.ca3fbde92b21bp-8, 0x1.bd569cdf694bep-8, 0x1.b0c29a11cf757p-8, 0x1.a481b59d4d11cp-8, 0x1.9891fa9c1ae03p-8, 0x1.8cf17eedd7d4cp-8, 0x1.819e630092b93p-8, 0x1.7696d19aa8995p-8, 0x1.6bd8ffa5a4bc5p-8, 0x1.61632bfa605f6p-8, 0x1.57339f2e5a504p-8, 0x1.4d48ab621be6dp-8, 0x1.43a0ac109448fp-8, 0x1.3a3a05df3f304p-8, 0x1.3113266f013cdp-8, 0x1.282a842db47cp-8, 0x1.1f7e9e289ae66p-8, 0x1.170dfbdfd5cafp-8, 0x1.0ed72d1af1a2ep-8, 0x1.06d8c9be82a56p-8, 0x1.fe22e3454e144p-9, 0x1.eeff98d47ff2cp-9, 0x1.e04512b569605p-9, 0x1.d1f0be6839537p-9, 0x1.c400181440ecbp-9, 0x1.b670aa3ad31e4p-9, 0x1.a9400d6c02d65p-9, 0x1.9c6be7fd95cc5p-9, 0x1.8ff1edc3fca83p-9, 0x1.83cfdfcd20a9fp-9, 0x1.78038c1c7e951p-9, 0x1.6c8acd67e56dap-9, 0x1.61638ad4d5162p-9, 0x1.568bb7b60a86bp-9, 0x1.4c015349e790fp-9, 0x1.41c2687a14345p-9, 0x1.37cd0d9d2e4e2p-9, 0x1.2e1f643ad164p-9, 0x1.24b798d1ebd75p-9, 0x1.1b93e2a0e2471p-9, 0x1.12b2836eac54ep-9, 0x1.0a11c753d8a4ap-9, 0x1.01b004831c54ap-9, 0x1.f3173622a4b02p-10, 0x1.e345e97b45931p-10, 0x1.d3e90975c67c3p-10, 0x1.c4fd8ef690e24p-10, 0x1.b68084fe74496p-10, 0x1.a86f084e71c56p-10, 0x1.9ac647100bc83p-10, 0x1.8d83807f33258p-10, 0x1.80a404929da2cp-10, 0x1.742533a04fc03p-10, 0x1.68047dfe1aae2p-10, 0x1.5c3f639fca08ep-10, 0x1.50d373b6a6ba6p-10, 0x1.45be4c565534dp-10, 0x1.3afd9a225a522p-10, 0x1.308f1804bf51p-10, 0x1.26708eec7d8a4p-10, 0x1.1c9fd58f5cd9dp-10, 0x1.131ad0299cd4dp-10, 0x1.09df70377fdf1p-10, 0x1.00ebb425ae76ep-10, 0x1.f07b4df4198bdp-11, 0x1.dfa6bff37386fp-11, 0x1.cf5604a421ceep-11, 0x1.bf857996d7857p-11, 0x1.b03193137478bp-11, 0x1.a156dbb58b881p-11, 0x1.92f1f41c7ee59p-11, 0x1.84ff92a1cd9adp-11, 0x1.777c8303fd335p-11, 0x1.6a65a5f900891p-11, 0x1.5db7f0a3bfef6p-11, 0x1.51706bef0d8dbp-11, 0x1.458c33dd1825dp-11, 0x1.3a0876dde0899p-11, 0x1.2ee2754061b9fp-11, 0x1.241780c73e3e5p-11, 0x1.19a4fc6882cc3p-11, 0x1.0f885c2a78a7cp-11, 0x1.05bf250c09958p-11, 0x1.f88dd9c7a1c73p-12, 0x1.e63ab44155f76p-12, 0x1.d48046c1da177p-12, 0x1.c35a1dc227e0ep-12, 0x1.b2c3e39f6f5c4p-12, 0x1.a2b95f3771a8ap-12, 0x1.933672ae4d579p-12, 0x1.84371a857f66fp-12, 0x1.75b76d187fab5p-12, 0x1.67b39a7806329p-12, 0x1.5a27ec8392701p-12, 0x1.4d10c7108bb19p-12, 0x1.406aa7e9983c9p-12, 0x1.3432267ea78b8p-12, 0x1.2863f33165371p-12, 0x1.1cfcd643aae33p-12, 0x1.11f9ae8858d1fp-12, 0x1.075770084b60ap-12, 0x1.fa2645a0480cap-13, 0x1.e653c42989ec8p-13, 0x1.d331b78e1689ap-13, 0x1.c0baa12010dd9p-13, 0x1.aee9282c355fap-13, 0x1.9db81ab3009a5p-13, 0x1.8d226de415383p-13, 0x1.7d233e0762bd3p-13, 0x1.6db5cda826a53p-13, 0x1.5ed584049a46dp-13, 0x1.507deaed8e098p-13, 0x1.42aaac6081fbp-13, 0x1.3557903784f42p-13, 0x1.28807a47c62fcp-13, 0x1.1c2169347f165p-13, 0x1.1036761085b7ep-13, 0x1.04bbd4b7cd5p-13, 0x1.f35ba927fdcc1p-14, 0x1.de11c2c42aab1p-14, 0x1.c9930738be31fp-14, 0x1.b5d8c09bd6223p-14, 0x1.a2dc708b7b26cp-14, 0x1.9097cd95d0575p-14, 0x1.7f04bfffad5a4p-14, 0x1.6e1d5e4d58d26p-14, 0x1.5ddbe9dedeb22p-14, 0x1.4e3acc042d0aep-14, 0x1.3f3493ea9ade4p-14, 0x1.30c3f5b77cacbp-14, 0x1.22e3cadeb9bc4p-14, 0x1.158f135d06219p-14, 0x1.08c0f71f3eae4p-14, 0x1.f8e98d8d02f7fp-15, 0x1.e14bf6ad06fcbp-15, 0x1.caa06989df176p-15, 0x1.b4de6fe4f085ap-15, 0x1.9ffdd917c4697p-15, 0x1.8bf6b65a0c62fp-15, 0x1.78c157683fe3dp-15, 0x1.6656473d69511p-15, 0x1.54ae48c21ced2p-15, 0x1.43c253ec8bbddp-15, 0x1.338b9432c23dep-15, 0x1.240368d20014ap-15, 0x1.15236683fc1e3p-15, 0x1.06e5596200785p-15, 0x1.f2868aad9c301p-16, 0x1.d86ec8b9be53ap-16, 0x1.bf7845d8b8909p-16, 0x1.a798381d46c9cp-16, 0x1.90c42d0d3b23ep-16, 0x1.7af2072b255ccp-16, 0x1.6617fd5fb1e4cp-16, 0x1.522c9a0f9d429p-16, 0x1.3f26b83debb12p-16, 0x1.2cfd7f3d0403fp-16, 0x1.1ba85eb8a9495p-16, 0x1.0b1f0cf109df8p-16, 0x1.f6b30f0b5c326p-17, 0x1.d8a02a8a74aa1p-17, 0x1.bbf68cd5b6cc7p-17, 0x1.a0a7e3577da98p-17, 0x1.86a65c9a3c932p-17, 0x1.6de49b2630183p-17, 0x1.5655ac5dc39e5p-17, 0x1.3fed062981c5bp-17, 0x1.2a9e89de0223fp-17, 0x1.165e8803c148dp-17, 0x1.0321c08c1c6fp-17, 0x1.e1babc6e98fb6p-18, 0x1.bf0ddfbc3ed9bp-18, 0x1.9e28c813cb37cp-18, 0x1.7ef811b75cf5fp-18, 0x1.61691b24f6351p-18, 0x1.456a062776f1ep-18, 0x1.2ae9ae024e4e3p-18, 0x1.11d791cc68029p-18, 0x1.f4477a0baae7fp-19, 0x1.c77d7088b55c2p-19, 0x1.9d330d51824fp-19, 0x1.754b5aeb8fffap-19, 0x1.4faa7c15bad7fp-19, 0x1.2c35b69509288p-19, 0x1.0ad36d717f1bdp-19, 0x1.d6d618eab916fp-20, 0x1.9bc9dcf1e824cp-20, 0x1.64549a0a98adp-20, 0x1.304a8abc077bap-20, 0x1.ff03bccc47fa9p-21, 0x1.a3a5c14ae78c8p-21, 0x1.4e2fd3fd3440fp-21, 0x1.fcb423e058c37p-22, 0x1.67be1854c3494p-22, 0x1.b9ec2cf7df622p-23, 0x1.6f5f9a9ce45edp-24, -0x1.c1c8660d95ffdp-26, -0x1.16c3a8b6bba92p-23, -0x1.e4d9109a1b902p-23, -0x1.51ab2ac3f3077p-22, -0x1.a986eb00846aap-22, -0x1.fa646c96868dep-22, -0x1.22522853a652bp-21, -0x1.4451d58160013p-21, -0x1.635dff72ec734p-21, -0x1.7fa15c3544f7fp-21, -0x1.99442a1efda9dp-21, -0x1.b06bef0f4b37cp-21, -0x1.c53bbb5310a8fp-21, -0x1.d7d4f410c6329p-21, -0x1.e85836f38dd8bp-21, -0x1.f6e5c80c73e3p-21, -0x1.01cea69c76b3p-20, -0x1.074e910a60df4p-20, -0x1.0c00e698cc49p-20, -0x1.0ff2f3c11bdc2p-20, -0x1.133130e247047p-20, -0x1.15c76e7f0a389p-20, -0x1.17c0f0b9f189dp-20, -0x1.1928782f146a6p-20, -0x1.1a084578b3768p-20, -0x1.1a6a2197e8dcbp-20, -0x1.1a5760f8ca73ep-20, -0x1.19d8d09c68ad8p-20, -0x1.18f693c146adep-20, -0x1.17b817c984048p-20, -0x1.16243cd10ee32p-20, -0x1.1441a051f7ebcp-20, -0x1.1216d26980dbep-20, -0x1.0faa50418c2f4p-20, -0x1.0d02534008d74p-20, -0x1.0a24a5511f75p-20, -0x1.071697c45764dp-20, -0x1.03dd14f7c6e13p-20, -0x1.007cb6fef1f6cp-20, -0x1.f9f3adad04738p-21, -0x1.f2b11e5a73f1cp-21, -0x1.eb39692068a83p-21, -0x1.e3939d69d4b12p-21, -0x1.dbc63f62bfdcfp-21, -0x1.d3d76cc94862cp-21, -0x1.cbccf08ad708dp-21, -0x1.c3ac2b82bdc1dp-21, -0x1.bb79f1ae56f7ep-21, -0x1.b33a932c09c8ep-21, -0x1.aaf2143ae6944p-21, -0x1.a2a45b9fb589cp-21, -0x1.9a552c355da1p-21, -0x1.9207fe68c8b41p-21, -0x1.89bfeccf203dfp-21, -0x1.817fc221687d2p-21, -0x1.794a0be9e2d8fp-21, -0x1.7121215e079cbp-21, -0x1.69072751c6a69p-21, -0x1.60fe14df5e65dp-21, -0x1.5907af6bff383p-21, -0x1.51257d85fa2dbp-21, -0x1.4958bdf238ecep-21, -0x1.41a26ffabc415p-21, -0x1.3a036ad1b0578p-21, -0x1.327c7214c5f35p-21, -0x1.2b0e375392986p-21, -0x1.23b94d22793fap-21, -0x1.1c7e222312f42p-21, -0x1.155d0ac2aad4p-21, -0x1.0e56477ee8c1cp-21, -0x1.0769fc5038f94p-21, -0x1.0098297a8c73ep-21, -0x1.f3c16949b4143p-22, -0x1.e686eff66b7c1p-22, -0x1.d9808a4471bbbp-22, -0x1.ccadbf7364a09p-22, -0x1.c00df99d221ecp-22, -0x1.b3a08c669fb95p-22, -0x1.a764b55ca59fdp-22, -0x1.9b5997a25b075p-22, -0x1.8f7e37ae6a711p-22, -0x1.83d17bb2bd235p-22, -0x1.785231b83e198p-22, -0x1.6cff19a9cf8c8p-22, -0x1.61d6ecec6a68fp-22, -0x1.56d860b20b3d1p-22, -0x1.4c0225d7abab8p-22, -0x1.4152e96043eefp-22, -0x1.36c9559dd918p-22, -0x1.2c640fefae24dp-22, -0x1.2221b40a1a5d6p-22, -0x1.1800d538219b3p-22, -0x1.0e00064794f6p-22, -0x1.041ddeae70e84p-22, -0x1.f4b1f2ea01a33p-23, -0x1.e15fe8f7ab3ecp-23, -0x1.ce42e57cbd64fp-23, -0x1.bb583952c12ap-23, -0x1.a89d3cd0aee1ap-23, -0x1.960f4d1c70e9ap-23, -0x1.83abcbf40e9d6p-23, -0x1.717022fe7aad7p-23, -0x1.5f59cbed3994bp-23, -0x1.4d66591394392p-23, -0x1.3b937794f8a9ep-23, -0x1.29dee3a2f46d5p-23, -0x1.18465ae3897e1p-23, -0x1.06c79d8eeb028p-23, -0x1.eac0f9491036bp-24, -0x1.c81dc19ca6306p-24, -0x1.a5a19e3586df5p-24, -0x1.8348e9ae3cebfp-24, -0x1.6110357fd8c78p-24, -0x1.3ef40e80c6174p-24, -0x1.1cf10671610f7p-24, -0x1.f607d2adb2d84p-25, -0x1.b253821d36f58p-25, -0x1.6ebf7b1bd9587p-25, -0x1.2b46662e9261ep-25, -0x1.cfc682463d50dp-26, -0x1.4922b6ffa7b3ep-26, -0x1.853148aec84afp-27, -0x1.e100ca96848c3p-29, 0x1.2939f0357803bp-28, 0x1.a17467a217fbep-27, 0x1.57297600a2a01p-26, 0x1.dda1f9f1d2c52p-26, 0x1.32147c82a0562p-25, 0x1.75619f2d1fb71p-25, 0x1.b8ba9ac3bae92p-25, 0x1.fc2157b257cbdp-25, 0x1.1fcbb630946cep-24, 0x1.418f122e8385dp-24, 0x1.635b23d964a65p-24, 0x1.853020185dcd3p-24, 0x1.a70e51b3318ddp-24, 0x1.c8f5f5c85105ap-24, 0x1.eae702d4e273ap-24, 0x1.0670a5f5c7a43p-23, 0x1.17724cde05b6ep-23, 0x1.28784dd5e6f2fp-23, 0x1.3982719dc388cp-23, 0x1.4a907316fb7d9p-23, 0x1.5ba200686252ap-23, 0x1.6cb6bb3f4ae5dp-23, 0x1.7dce3926845a2p-23, 0x1.8ee80373fb189p-23, 0x1.a003974d7d108p-23, 0x1.b12067e35c406p-23, 0x1.c23de1c53a14dp-23, 0x1.d35b6ddb0017cp-23, 0x1.e478737507324p-23, 0x1.f59455a03bc55p-23, 0x1.0357326466067p-22, 0x1.0be2ec1edc0e8p-22, 0x1.146cf2afd13adp-22, 0x1.1cf4e3925be3ap-22, 0x1.257a54f6157dfp-22, 0x1.2dfcdeac1ab28p-22, 0x1.367c15d978268p-22, 0x1.3ef7851378895p-22, 0x1.476eb8288a189p-22, 0x1.4fe13b552679bp-22, 0x1.584e97a306311p-22, 0x1.60b6544983aacp-22, 0x1.6917f7af8d802p-22, 0x1.7173071681553p-22, 0x1.79c7060823acep-22, 0x1.821375bae630fp-22, 0x1.8a57d57443f5fp-22, 0x1.9293a363f7b4ap-22, 0x1.9ac65d64c597ap-22, 0x1.a2ef8188edc79p-22, 0x1.ab0e8d4a961dep-22, 0x1.b322feee7f9fcp-22, 0x1.bb2c5533333e2p-22, 0x1.c32a122547215p-22, 0x1.cb1bbb64bc6b7p-22, 0x1.d300d11fd2b5bp-22, 0x1.dad8c904a5824p-22, 0x1.e2a322e3c044fp-22, 0x1.ea5f67fe37ae2p-22, 0x1.f20d1c97ff697p-22, 0x1.f9abbdd9e0a24p-22, 0x1.009d64cca8af6p-21, 0x1.045ce3eafcebbp-21, 0x1.08141ffb52711p-21, 0x1.0bc2dc043cbp-21, 0x1.0f68dbf34372ap-21, 0x1.1305e4fa8a53fp-21, 0x1.1699bd65938c7p-21, 0x1.1a242c54784c7p-21, 0x1.1da4f98f7dee4p-21, 0x1.211bed5820e93p-21, }}, 
      std::vector<double>(650, 0.0), 
      {{-0x1.76e4dfcd860e5p-7, -0x1.b3fd9bec22d97p-6, -0x1.844970e2e87ffp-5, -0x1.306afbfaf042ap-4, -0x1.b66aae5e6c869p-4, -0x1.285524e81469fp-3, -0x1.7d4e45223fc3cp-3, -0x1.d7a5b47a0722ap-3, -0x1.1a720fef34a4ep-2, -0x1.495c979da1ef1p-2, -0x1.77880b4ee1a38p-2, -0x1.a40cf1928576ep-2, -0x1.ce2869fe368d7p-2, -0x1.f53b93356afd5p-2, -0x1.0c64c2f9c468dp-1, -0x1.1c3a3fbc9a24ep-1, -0x1.29fd52f9fe14dp-1, -0x1.3599576dedefbp-1, -0x1.3f044ae7de466p-1, -0x1.463d404b186f6p-1, -0x1.4b4af01261f11p-1, -0x1.4e3a6aee46f53p-1, -0x1.4f1def2deba22p-1, -0x1.4e0bdfdd33303p-1, -0x1.4b1ddba3d11cdp-1, -0x1.466ff1061f52ap-1, -0x1.401fed8849196p-1, -0x1.384cc53c75a33p-1, -0x1.2f161043f5084p-1, -0x1.249b9bda01336p-1, -0x1.18fd0ca756c99p-1, -0x1.0c5990581f1bdp-1, -0x1.fd9f39508d05ap-2, -0x1.e0f9749d2533p-2, -0x1.c2fab4b8bcfb1p-2, -0x1.a3d9699ff2d7ap-2, -0x1.83c95e71118ep-2, -0x1.62fb94cc98a67p-2, -0x1.419e2c7c25c61p-2, -0x1.1fdc55dc90261p-2, -0x1.fbbc9aad175e4p-3, -0x1.b792bcecd6367p-3, -0x1.737fdc4ffc702p-3, -0x1.2fc3145862195p-3, -0x1.d92bf24c805dap-4, -0x1.545991793753p-4, -0x1.a2da79c49cf4dp-5, -0x1.42ed6cf89d5a8p-6, 0x1.6b880e09e7d17p-7, 0x1.51ab4a934824dp-5, 0x1.2138a9eb9a4bep-4, 0x1.96680ce416946p-4, 0x1.041c88be805aep-3, 0x1.3b43f0ad359e2p-3, 0x1.709b7794fb2ebp-3, 0x1.a4174d5009f71p-3, 0x1.d5ae50a76994cp-3, 0x1.02acf07f849d5p-2, 0x1.198acfe14d32dp-2, 0x1.2f6fa1fa4461bp-2, 0x1.445b317934c9dp-2, 0x1.584e23fe74852p-2, 0x1.6b49e20b60bc8p-2, 0x1.7d5084ffb93dap-2, 0x1.8e64c30c1ae26p-2, 0x1.9e89dedc2d78ap-2, 0x1.adc39703ca0bbp-2, 0x1.bc16176629a35p-2, 0x1.c985eb811600fp-2, 0x1.d617f1f628476p-2, 0x1.e1d150f9545c4p-2, 0x1.ecb76b84685f7p-2, 0x1.f6cfd733b0a97p-2, 0x1.0010296a0aaedp-1, 0x1.04575ed7abecep-1, 0x1.084087cfbe024p-1, 0x1.0bcea8ebbea83p-1, 0x1.0f04cc24bd3d6p-1, 0x1.11e5fdc3bdfa5p-1, 0x1.1475498b643b2p-1, 0x1.16b5b81763559p-1, 0x1.18aa4c7d5b32p-1, 0x1.1a56023115cecp-1, 0x1.1bbbcb33217ddp-1, 0x1.1cde8e81c7e81p-1, 0x1.1dc126c49558bp-1, 0x1.1e66612683692p-1, 0x1.1ed0fc5287063p-1, 0x1.1f03a78ff2802p-1, 0x1.1f0101f8e3b38p-1, 0x1.1ecb99d02ba33p-1, 0x1.1e65ebf782d68p-1, 0x1.1dd26387ba97dp-1, 0x1.1d13598ca9b22p-1, 0x1.1c2b14deb222fp-1, 0x1.1b1bca174cb49p-1, 0x1.19e79b99ffe4cp-1, 0x1.189099aaf7fbep-1, 0x1.1718c291061fep-1, 0x1.158202bf3952p-1, 0x1.13ce350473b37p-1, 0x1.11ff22c36e21dp-1, 0x1.1016843231adcp-1, 0x1.0e1600a156151p-1, 0x1.0bff2ece84b35p-1, 0x1.09d3953de6511p-1, 0x1.0794aa9b5be81p-1, 0x1.0543d6242ec26p-1, 0x1.02e27011b0133p-1, 0x1.0071c20966728p-1, 0x1.fbe60f1a92684p-2, 0x1.f6cedcd475675p-2, 0x1.f1a02e50156dap-2, 0x1.ec5c2aeadcc7dp-2, 0x1.e704e1248d963p-2, 0x1.e19c47748f811p-2, 0x1.dc243d15ef724p-2, 0x1.d69e8ad26ac64p-2, 0x1.d10ce3d027b4ap-2, 0x1.cb70e6538eabbp-2, 0x1.c5cc1c8403067p-2, 0x1.c01ffd31a7297p-2, 0x1.ba6dec8db9b51p-2, 0x1.b4b73ce61a32fp-2, 0x1.aefd2f5ed8d39p-2, 0x1.a940f49f6e9d1p-2, 0x1.a383ad7ed273dp-2, 0x1.9dc66bad5263bp-2, 0x1.980a32544ee74p-2, 0x1.924ff6af42f1ap-2, 0x1.8c98a0a44564p-2, 0x1.86e50b552b4f6p-2, 0x1.813605a644135p-2, 0x1.7b8c52c570f73p-2, 0x1.75e8aaace39e4p-2, 0x1.704bba9aac09p-2, 0x1.6ab62587d8a37p-2, 0x1.6528849d40302p-2, 0x1.5fa3679e9cf71p-2, 0x1.5a275553e2839p-2, 0x1.54b4cbf0dffa3p-2, 0x1.4f4c417502cfp-2, 0x1.49ee24087cfabp-2, 0x1.449ada57faa1ap-2, 0x1.3f52c3ea05b02p-2, 0x1.3a163970c8988p-2, 0x1.34e58d1a445d6p-2, 0x1.2fc10adc9b69fp-2, 0x1.2aa8f8be8503p-2, 0x1.259d971c3ea33p-2, 0x1.209f20e9c6e3fp-2, 0x1.1badcbf4520bfp-2, 0x1.16c9c91fc9bf3p-2, 0x1.11f3449e0c3bbp-2, 0x1.0d2a66268c587p-2, 0x1.086f512fdef9dp-2, 0x1.03c2252249a43p-2, 0x1.fe45fb072f512p-3, 0x1.f523e44daa791p-3, 0x1.ec1e2ebc74e2p-3, 0x1.e334fc49a7289p-3, 0x1.da686884c426bp-3, 0x1.d1b888e6c454ep-3, 0x1.c9256d26605d3p-3, 0x1.c0af1f7fef03dp-3, 0x1.b855a4f330ed1p-3, 0x1.b018fd83c1affp-3, 0x1.a7f9247d2560cp-3, 0x1.9ff610b2bcbc5p-3, 0x1.980fb4b8ca456p-3, 0x1.9045ff18a0e57p-3, 0x1.8898da841812ap-3, 0x1.81082e0bde6f5p-3, 0x1.7993dd5606779p-3, 0x1.723bc8ccd9d1fp-3, 0x1.6affcdc57e468p-3, 0x1.63dfc6a8d04d2p-3, 0x1.5cdb8b23b17aap-3, 0x1.55f2f0551cf1ap-3, 0x1.4f25c8f0ae94p-3, 0x1.4873e55bcc41bp-3, 0x1.41dd13d19147fp-3, 0x1.3b61208c75011p-3, 0x1.34ffd5ea07a59p-3, 0x1.2eb8fc851e482p-3, 0x1.288c5b4f033fap-3, 0x1.2279b7ae5f1eep-3, 0x1.1c80d59fad7e1p-3, 0x1.16a177d06ab1p-3, 0x1.10db5fb596fap-3, 0x1.0b2e4da2ee0fp-3, 0x1.059a00e3c4d55p-3, 0x1.001e37d24b74dp-3, 0x1.f5755fd83492bp-4, 0x1.eade4bcd82ef7p-4, 0x1.e076ab8b4bc42p-4, 0x1.d63df5dc1b59fp-4, 0x1.cc33a06dee7e4p-4, 0x1.c2571feed6ef1p-4, 0x1.b8a7e83021c25p-4, 0x1.af256c4f64f82p-4, 0x1.a5cf1eda63e0ep-4, 0x1.9ca471e64ccaep-4, 0x1.93a4d720df7d6p-4, 0x1.8acfbfe8cf1afp-4, 0x1.82249d710183cp-4, 0x1.79a2e0e39ad24p-4, 0x1.7149fb7893075p-4, 0x1.69195e80908c7p-4, 0x1.61107b70d3beap-4, 0x1.592ec3fa9c305p-4, 0x1.5173aa2a4f8dcp-4, 0x1.49dea08158038p-4, 0x1.426f1a02fcc0ap-4, 0x1.3b248a3986361p-4, 0x1.33fe653fbbeb8p-4, 0x1.2cfc1fd4d6476p-4, 0x1.261d2f750fc3bp-4, 0x1.1f610a6c1bf33p-4, 0x1.18c727dcf3b0ap-4, 0x1.124effc46c2bdp-4, 0x1.0bf80affe6a1bp-4, 0x1.05c1c35c0bf2dp-4, 0x1.ff57474dc4662p-5, 0x1.f36a4f7ab029bp-5, 0x1.e7bb99218c71p-5, 0x1.dc4a205030f64p-5, 0x1.d114e346bd4bp-5, 0x1.c61ae28a3f5c9p-5, 0x1.bb5b20fdc731fp-5, 0x1.b0d4a3f6a6a27p-5, 0x1.a686734569d19p-5, 0x1.9c6f9936811fap-5, 0x1.928f2293c37dp-5, 0x1.88e41ead87f8bp-5, 0x1.7f6d9f6a2f585p-5, 0x1.762ab9550e4d2p-5, 0x1.6d1a83a65271cp-5, 0x1.643c18435336bp-5, 0x1.5b8e93bc39a38p-5, 0x1.5311154d1becdp-5, 0x1.4ac2bee4e08b1p-5, 0x1.42a2b52edb603p-5, 0x1.3ab01f99ca235p-5, 0x1.32ea285915f6fp-5, 0x1.2b4ffc617834cp-5, 0x1.23e0cb64d4ea9p-5, 0x1.1c9bc7d133acbp-5, 0x1.158026d3b5749p-5, 0x1.0e8d205d06d82p-5, 0x1.07c1ef23b8a25p-5, 0x1.011dd0a272e8fp-5, 0x1.f5400a25ef029p-6, 0x1.e88f9ed0a0969p-6, 0x1.dc28ea95f0fccp-6, 0x1.d00a7e2f968f4p-6, 0x1.c432efc0f6d46p-6, 0x1.b8a0dad64dc24p-6, 0x1.ad52e05eb5563p-6, 0x1.a247a6a0ef3d4p-6, 0x1.977dd92dd85a8p-6, 0x1.8cf428d3feecep-6, 0x1.82a94b96cc345p-6, 0x1.789bfca8e61b6p-6, 0x1.6ecafc67309d8p-6, 0x1.6535105190f83p-6, 0x1.5bd9030012ce2p-6, 0x1.52b5a414e2a4ep-6, 0x1.49c9c82d4bc2ap-6, 0x1.411448d415e41p-6, 0x1.3894047670ac2p-6, 0x1.3047de5b2181ap-6, 0x1.282ebe9a236cbp-6, 0x1.20479212e0c7p-6, 0x1.18914a5fcc319p-6, 0x1.110addc75d0aep-6, 0x1.09b3472bbb873p-6, 0x1.028985facbc9p-6, 0x1.f7193c40592e6p-7, 0x1.e9772ff386328p-7, 0x1.dc2b009c2159cp-7, 0x1.cf32d085c704bp-7, 0x1.c28ccaa56db82p-7, 0x1.b637227eec323p-7, 0x1.aa301404d3162p-7, 0x1.9e75e3740279p-7, 0x1.9306dd2e995c2p-7, 0x1.87e1559ab30eep-7, 0x1.7d03a907b4f84p-7, 0x1.726c3b9b1d718p-7, 0x1.681979425357p-7, 0x1.5e09d5a50c2ffp-7, 0x1.543bcc12e449cp-7, 0x1.4aaddf67c44abp-7, 0x1.415e99e5bd3fcp-7, 0x1.384c8d079493cp-7, 0x1.2f76515236b0fp-7, 0x1.26da862d2f465p-7, 0x1.1e77d1c82ea89p-7, 0x1.164ce10fa7fdfp-7, 0x1.0e5867acda882p-7, 0x1.06992008762a9p-7, 0x1.fe1b968a2779ep-8, 0x1.ef6a62505ba9ep-8, 0x1.e11c3fdc2c4e3p-8, 0x1.d32ed819dec4fp-8, 0x1.c59fdfe42717dp-8, 0x1.b86d17912d4d7p-8, 0x1.ab944aad26fep-8, 0x1.9f134fef75d97p-8, 0x1.92e80963d4e42p-8, 0x1.871064acd541bp-8, 0x1.7b8a5b389db02p-8, 0x1.7053f24203291p-8, 0x1.656b3a85c68dep-8, 0x1.5ace4fad48932p-8, 0x1.507b578a36b52p-8, 0x1.46708152ed70ep-8, 0x1.3cac051389152p-8, 0x1.332c237bbcdf2p-8, 0x1.29ef2614fb4f1p-8, 0x1.20f35fc9bf67p-8, 0x1.18372d8a3cd52p-8, 0x1.0fb8f6ca950edp-8, 0x1.07772d9eb9854p-8, 0x1.fee09ca79d6cep-9, 0x1.ef45bd1c20826p-9, 0x1.e01ad839da50cp-9, 0x1.d15d17a5d3184p-9, 0x1.c309b16708e7fp-9, 0x1.b51de769f8a6bp-9, 0x1.a7970853aaa1dp-9, 0x1.9a7271623f713p-9, 0x1.8dad90c2e8b1fp-9, 0x1.8145e79583e67p-9, 0x1.75390ae0c74cap-9, 0x1.6984a302f92c8p-9, 0x1.5e26699acc491p-9, 0x1.531c265801e9cp-9, 0x1.4863ab83354d4p-9, 0x1.3dfad32b69268p-9, 0x1.33df7dc55802ap-9, 0x1.2a0f92a47ebdp-9, 0x1.20890232f28f9p-9, 0x1.1749c9473fb9bp-9, 0x1.0e4ff49f92a88p-9, 0x1.0599a373cd7e5p-9, 0x1.fa4a108ea1de8p-10, 0x1.e9e0cf301b416p-10, 0x1.d9f4294385eadp-10, 0x1.ca80d9ee9546ep-10, 0x1.bb83a81c6357ep-10, 0x1.acf95fce78ff9p-10, 0x1.9edecf6e9df77p-10, 0x1.9130c9dca1063p-10, 0x1.83ec2cac288f6p-10, 0x1.770de8e948da7p-10, 0x1.6a930c02d9f28p-10, 0x1.5e78c6657e892p-10, 0x1.52bc6de562bc8p-10, 0x1.475b7b25dc86bp-10, 0x1.3c53827973276p-10, 0x1.31a229e8d8609p-10, 0x1.27451ed3c00d6p-10, 0x1.1d3a0db94a354p-10, 0x1.137e9e2a9425dp-10, 0x1.0a1073d878645p-10, 0x1.00ed34606c381p-10, 0x1.f025209ca2902p-11, 0x1.defc9a0787c9cp-11, 0x1.ce5c9a08a7cf9p-11, 0x1.be41291ae45fcp-11, 0x1.aea6929ce7949p-11, 0x1.9f895a960842p-11, 0x1.90e62c411e737p-11, 0x1.82b9c58c3fb24p-11, 0x1.7500e464b5f79p-11, 0x1.67b83a181e03p-11, 0x1.5adc67752e0f5p-11, 0x1.4e6a02267752ep-11, 0x1.425da1a218bf3p-11, 0x1.36b3f0597e2f6p-11, 0x1.2b69bcfdffc8p-11, 0x1.207c07ccdc1fp-11, 0x1.15e808d350ce2p-11, 0x1.0bab2dd3ce7abp-11, 0x1.01c3107626d9dp-11, 0x1.f05ace94893fcp-12, 0x1.ddcfea7ff3031p-12, 0x1.cbe0f6a94ab91p-12, 0x1.ba895ed1b696p-12, 0x1.a9c4737a5099bp-12, 0x1.998d720be4fe9p-12, 0x1.89df9762c88e2p-12, 0x1.7ab6382d048d6p-12, 0x1.6c0cd9c954452p-12, 0x1.5ddf464ae59b2p-12, 0x1.5029971c1d09ep-12, 0x1.42e833b81a065p-12, 0x1.3617c4ce0dd22p-12, 0x1.29b51f68330bdp-12, 0x1.1dbd2dd9663dfp-12, 0x1.122cdc66ccce8p-12, 0x1.07010dc04add8p-12, 0x1.f86d30a0b2857p-13, 0x1.e39495bba55fep-13, 0x1.cf71ebb298197p-13, 0x1.bbfeedccf6255p-13, 0x1.a9358a15b2d8cp-13, 0x1.970ff86de8b38p-13, 0x1.8588cce45ad89p-13, 0x1.749b006c41694p-13, 0x1.6441eb1bf3c0cp-13, 0x1.54792e8d2f762p-13, 0x1.453c95415895bp-13, 0x1.3687f19993864p-13, 0x1.285708717965cp-13, 0x1.1aa58e521252bp-13, 0x1.0d6f354b6c341p-13, 0x1.00afc20a2cf2fp-13, 0x1.e8c63a5c15834p-14, 0x1.d10ab58c86174p-14, 0x1.ba2572f48ccd2p-14, 0x1.a40f3f6a27cb9p-14, 0x1.8ec1396558129p-14, 0x1.7a34dca9cfd6bp-14, 0x1.66640dbb7fcecp-14, 0x1.534916345bc96p-14, 0x1.40de881d0d056p-14, 0x1.2f1f0c0a54a77p-14, 0x1.1e052d68fa7ccp-14, 0x1.0d8b3fa9382f2p-14, 0x1.fb56dbf6c5d4fp-15, 0x1.dcbfe21c9ce97p-15, 0x1.bf46a04e84a26p-15, 0x1.a2e117fe8743fp-15, 0x1.87863f659c88ep-15, 0x1.6d2db9f92e4b6p-15, 0x1.53cf7933e84ecp-15, 0x1.3b637c5a70437p-15, 0x1.23e1c9de501b8p-15, 0x1.0d4297828cf23p-15, 0x1.eefcfbeda257fp-16, 0x1.c51d229acdacep-16, 0x1.9cd88c3237e8cp-16, 0x1.76224e4004453p-16, 0x1.50ecfea0f92cdp-16, 0x1.2d2a59753a39p-16, 0x1.0acb85868722dp-16, 0x1.d383dab84e83ep-17, 0x1.94008e9e0bf2p-17, 0x1.56f681eeb25adp-17, 0x1.1c52de131efddp-17, 0x1.c80a376de5a4dp-18, 0x1.5bfa0c0a69aadp-18, 0x1.e8a539ee1c25ep-19, 0x1.21dcf766dac6ap-19, 0x1.8d35bf83dc4a3p-21, -0x1.4d57bfc458476p-21, -0x1.0254b2ae3c539p-19, -0x1.a9efda1baec5cp-19, -0x1.2531a032e317ap-18, -0x1.71f49187041f6p-18, -0x1.bb5f0131e73eap-18, -0x1.00c8acdec64fp-17, -0x1.2256c946fe098p-17, -0x1.426a7383f6ebbp-17, -0x1.61126ba9b9e1fp-17, -0x1.7e5a8d33e758ep-17, -0x1.9a4bf1cc12ab5p-17, -0x1.b4ee3c6d787e1p-17, -0x1.ce49478fef4c2p-17, -0x1.e66644f83380dp-17, -0x1.fd4fe5f86d5edp-17, -0x1.0988e137299b4p-16, -0x1.13dbbb083681ep-16, -0x1.1da5f1c3edae6p-16, -0x1.26ec7159ac383p-16, -0x1.2fb3a98f81b31p-16, -0x1.37ffabaf4c96bp-16, -0x1.3fd44fde57538p-16, -0x1.47356b3cfc093p-16, -0x1.4e2708cad8fbdp-16, -0x1.54ad745e9d6a5p-16, -0x1.5accf798a6dbfp-16, -0x1.6089673cd1507p-16, -0x1.65e5cdb3ec4a9p-16, -0x1.6ae473ac6576p-16, -0x1.6f87477e32a1p-16, -0x1.73d05f60df964p-16, -0x1.77c2481456f6bp-16, -0x1.7b600151d621bp-16, -0x1.7eacbb94e25dbp-16, -0x1.81ab89e84efb2p-16, -0x1.845f427943ecdp-16, -0x1.86ca97cf3e898p-16, -0x1.88f02f0e84a7fp-16, -0x1.8ad283a418577p-16, -0x1.8c73b9ff43406p-16, -0x1.8dd5a1f6971cap-16, -0x1.8ef9f2caab67cp-16, -0x1.8fe28bd252dccp-16, -0x1.909184530d8d4p-16, -0x1.9109061c52f56p-16, -0x1.914b11c11ab54p-16, -0x1.91594e6ad3c2ep-16, -0x1.91350556b907ep-16, -0x1.90df56169bff1p-16, -0x1.905980c06bc6dp-16, -0x1.8fa50bd76b71dp-16, -0x1.8ec3a8584622bp-16, -0x1.8db6efbe60f5ep-16, -0x1.8c8043deaac9cp-16, -0x1.8b20f2f450423p-16, -0x1.899a68e9c6b33p-16, -0x1.87ee2db761997p-16, -0x1.861db8a4f8b56p-16, -0x1.842a487e102dcp-16, -0x1.8214df23b7f06p-16, -0x1.7fde5e67ccd79p-16, -0x1.7d87ad602a70cp-16, -0x1.7b11ccc307accp-16, -0x1.787dd4c8c3c59p-16, -0x1.75cce63bde1c2p-16, -0x1.73001298243e2p-16, -0x1.7018435befb4dp-16, -0x1.6d163b8d10b7bp-16, -0x1.69fabad89ae97p-16, -0x1.66c69d6d0766ep-16, -0x1.637ad42bed94ap-16, -0x1.6018401ff7dc9p-16, -0x1.5c9fa18a16747p-16, -0x1.5911ad59a8d85p-16, -0x1.556f24d3f778ep-16, -0x1.51b8d4aa9bdb5p-16, -0x1.4def88ccb4c3dp-16, -0x1.4a14045a10ee9p-16, -0x1.4626fe4795a7dp-16, -0x1.4229205c5bd29p-16, -0x1.3e1b09ac9504fp-16, -0x1.39fd549fb5001p-16, -0x1.35d09c67e3136p-16, -0x1.31957ddc66cep-16, -0x1.2d4c93b93cffdp-16, -0x1.28f673259caedp-16, -0x1.2493ae2d42e99p-16, -0x1.2024d865ddabap-16, -0x1.1baa84c36ff0ep-16, -0x1.17253f2ed9992p-16, -0x1.12958b693d40dp-16, -0x1.0dfbe9ac804d1p-16, -0x1.0958d9d9ea3e8p-16, -0x1.04acdafec0ce2p-16, -0x1.fff0d4f49a2bbp-17, -0x1.f678086215086p-17, -0x1.ecf04536f897dp-17, -0x1.e35a7c3230e93p-17, -0x1.d9b79795fee32p-17, -0x1.d008795883fecp-17, -0x1.c64dfb8319a1p-17, -0x1.bc88f50bf41edp-17, -0x1.b2ba412f938d4p-17, -0x1.a8e2c0f2c0552p-17, -0x1.9f03523541094p-17, -0x1.951cbe7903cdfp-17, -0x1.8b2faf2ae99fdp-17, -0x1.813ccbd6642c8p-17, -0x1.7744ed87cf7b5p-17, -0x1.6d49017352114p-17, -0x1.6349bf3079dfp-17, -0x1.5947b8ce1a6bdp-17, -0x1.4f439bcb654a3p-17, -0x1.453e29faf932ap-17, -0x1.3b38131d63ad8p-17, -0x1.3131f920b3a83p-17, -0x1.272c7ff79eeep-17, -0x1.1d284f3cde072p-17, -0x1.13260eb4f045ap-17, -0x1.09266494b40f6p-17, -0x1.fe53e966c4155p-18, -0x1.ea62bd6bc8b7bp-18, -0x1.d67a73fc87e82p-18, -0x1.c29c21fc676afp-18, -0x1.aec8ca9f2d8adp-18, -0x1.9b0183dd53867p-18, -0x1.87478beaaf43ep-18, -0x1.739c23bf4a296p-18, -0x1.600049e6e5ccfp-18, -0x1.4c74bec39cf04p-18, -0x1.38fa8b0df05f4p-18, -0x1.2593029ae0af2p-18, -0x1.123f15b518b4bp-18, -0x1.fdfeffddd9926p-19, -0x1.d7aa9295e09bap-19, -0x1.b182eeacb73f9p-19, -0x1.8b89bd18f87bp-19, -0x1.65c0a307b40b6p-19, -0x1.40295e15d9eb5p-19, -0x1.1ac5ae8912beep-19, -0x1.eb2e92e420b5ep-20, -0x1.a13fad90efeeep-20, -0x1.57c1e7ee8269fp-20, -0x1.0eb86fa3c2445p-20, -0x1.8c4cd8a06da92p-21, -0x1.f83c03fc6f993p-22, -0x1.b3aa09ce098ddp-23, 0x1.0a3fc64b1670cp-24, 0x1.5ce97c37f52bfp-22, 0x1.3a97732a4ee5fp-21, 0x1.c5aa336b276cep-21, 0x1.27d30cf2ed309p-20, 0x1.6c435ff3cbfd1p-20, 0x1.b024917c40864p-20, 0x1.f373ab09c8db8p-20, 0x1.1b17130744e4ap-19, 0x1.3c29034cb6c48p-19, 0x1.5cee53bb8c6bdp-19, 0x1.7d6605cc41be6p-19, 0x1.9d8f446657ab5p-19, 0x1.bd691927ccf11p-19, 0x1.dcf281fa1b4d1p-19, 0x1.fc2a862a1196ap-19, 0x1.0d881cf25f049p-18, 0x1.1cd15e0d7328dp-18, 0x1.2bf09a2fde7d4p-18, 0x1.3ae5692bd393fp-18, 0x1.49af6712ac366p-18, 0x1.584e3418d8ad7p-18, 0x1.66c173fd88748p-18, 0x1.7508ccae0ee56p-18, 0x1.8323e46a2815bp-18, 0x1.91126071f4074p-18, 0x1.9ed3ecadf99fcp-18, 0x1.ac684fb488d4bp-18, 0x1.b9cf51314edf4p-18, 0x1.c7088ae43356cp-18, 0x1.d413d2b56d789p-18, 0x1.e0f120d7d7057p-18, 0x1.eda02faeae6cfp-18, 0x1.fa2091cdf96adp-18, 0x1.0338fbf44947p-17, 0x1.094a3139eb0dep-17, 0x1.0f43dfcd35b8ap-17, 0x1.1525f19839ca4p-17, 0x1.1af0504e77b2p-17, 0x1.20a2e914dac06p-17, 0x1.263dac1e16ecfp-17, 0x1.2bc08bdf36c2ep-17, 0x1.312b7c914bf75p-17, 0x1.367e73e0dd11bp-17, }}, 
      {{0x1.d21bb3cc6b955p-1, 0x1.01c86334552efp+0, 0x1.216a4abc2822p+0, 0x1.43053d8477878p+0, 0x1.636d3f476b4d7p+0, 0x1.80b3339996753p+0, 0x1.99c4e80fc8e23p+0, 0x1.ae2887c4c7b9bp+0, 0x1.bdcb0d2a0f70ep+0, 0x1.c8dc5e90bd25bp+0, 0x1.cfb59ff9165cap+0, 0x1.d2c709020d4d6p+0, 0x1.d28b3c60513c9p+0, 0x1.cf7ea6aed7055p+0, 0x1.ca19cc3b29aa9p+0, 0x1.c2cdb4f5112cbp+0, 0x1.ba01db13957a6p+0, 0x1.b013294d93cb1p+0, 0x1.a553b3bc6ae9bp+0, 0x1.9a0aed5f01d1p+0, 0x1.8e762d5bd207dp+0, 0x1.82c963f5b8d32p+0, 0x1.772fe8b0b154bp+0, 0x1.6bcd5220dcb6p+0, 0x1.60be4ce6676f8p+0, 0x1.56196af2580b4p+0, 0x1.4befe6c71d199p+0, 0x1.424e58475f02p+0, 0x1.393d5a0227076p+0, 0x1.30c21edb2610ep+0, 0x1.28def882f573ap+0, 0x1.2193cf854985cp+0, 0x1.1ade8ddc377e1p+0, 0x1.14bb7d096451bp+0, 0x1.0f2598ba8abd1p+0, 0x1.0a16d6fb42232p+0, 0x1.058866ed559e9p+0, 0x1.0172e6f480885p+0, 0x1.fb9d2668fef9dp-1, 0x1.f526da64a7c8fp-1, 0x1.ef72bab05c168p-1, 0x1.ea709e170c565p-1, 0x1.e6108feb5c227p-1, 0x1.e242f62f3a842p-1, 0x1.def8b04ca30c2p-1, 0x1.dc232f49d8e6ep-1, 0x1.d9b4887ef3362p-1, 0x1.d79f833cf39b2p-1, 0x1.d5d7a26eb7fd8p-1, 0x1.d4512a9febf03p-1, 0x1.d30124b3b29aep-1, 0x1.d1dd5ed2b3991p-1, 0x1.d0dc69da29326p-1, 0x1.cff596fade39p-1, 0x1.cf20f185d3e9bp-1, 0x1.ce573a2b0b448p-1, 0x1.cd91dec49fdcp-1, 0x1.cccaf3d7c720ep-1, 0x1.cbfd2b829b566p-1, 0x1.cb23cdf6f1c7p-1, 0x1.ca3ab01eb3da5p-1, 0x1.c93e2ba530f9ep-1, 0x1.c82b15d34a71bp-1, 0x1.c6feb7a6c97abp-1, 0x1.c5b6c55e98f7ep-1, 0x1.c45156cee716dp-1, 0x1.c2ccdfa9f70b9p-1, 0x1.c1282845e7c56p-1, 0x1.bf6246af93c01p-1, 0x1.bd7a9823b710ap-1, 0x1.bb70badaa084fp-1, 0x1.b944881d8f90bp-1, 0x1.b6f60e9fbc27ap-1, 0x1.b4858d21549f2p-1, 0x1.b1f36d6467356p-1, 0x1.af403f79027f5p-1, 0x1.ac6cb55b6e905p-1, 0x1.a9799edbe7d59p-1, 0x1.a667e5c349981p-1, 0x1.a3388a3147451p-1, 0x1.9fec9f324b6ccp-1, 0x1.9c85479541bp-1, 0x1.9903b303be8d4p-1, 0x1.95691b614a9bdp-1, 0x1.91b6c26c92446p-1, 0x1.8dedef9c7a61dp-1, 0x1.8a0fee3046f5p-1, 0x1.861e0b69dde5dp-1, 0x1.821994ef789a2p-1, 0x1.7e03d75094245p-1, 0x1.79de1cb0ed949p-1, 0x1.75a9ab99aaf74p-1, 0x1.7167c5f110aa3p-1, 0x1.6d19a819041f5p-1, 0x1.68c0882f84adbp-1, 0x1.645d956e59e13p-1, 0x1.5ff1f7a4adc7dp-1, 0x1.5b7ecec5668bap-1, 0x1.57053287e5b37p-1, 0x1.52863217f699ap-1, 0x1.4e02d3d38813dp-1, 0x1.497c1516ae33ap-1, 0x1.44f2ea1520467p-1, 0x1.40683dc0b9e94p-1, 0x1.3bdcf1be28101p-1, 0x1.3751de654ae12p-1, 0x1.32c7d2cc52cd7p-1, 0x1.2e3f94ddfe7f3p-1, 0x1.29b9e175fa012p-1, 0x1.25376c84d841p-1, 0x1.20b8e1390525p-1, 0x1.1c3ee22a6c8aep-1, 0x1.17ca098a4f1a3p-1, 0x1.135ae954b16d2p-1, 0x1.0ef20b832d7c2p-1, 0x1.0a8ff242adba4p-1, 0x1.0635182987698p-1, 0x1.01e1f06eaff1dp-1, 0x1.fb2dce47de169p-2, 0x1.f2a8c2ddb22a9p-2, 0x1.ea357b86ad24fp-2, 0x1.e1d4a84022d15p-2, 0x1.d986ec913abaep-2, 0x1.d14ce001997bp-2, 0x1.c9270e90d3762p-2, 0x1.c115f9292a177p-2, 0x1.b91a1611b7797p-2, 0x1.b133d1600415p-2, 0x1.a9638d65a8029p-2, 0x1.a1a9a31a18588p-2, 0x1.9a066283f4ffp-2, 0x1.927a131f488a2p-2, 0x1.8b04f43e056a4p-2, 0x1.83a73d68225a8p-2, 0x1.7c611eb97e244p-2, 0x1.7532c139a37b9p-2, 0x1.6e1c4732cae71p-2, 0x1.671dcc872ef7ap-2, 0x1.60376700aefcfp-2, 0x1.5969269f261cfp-2, 0x1.52b315e562939p-2, 0x1.4c153a210d48p-2, 0x1.458f93b07d387p-2, 0x1.3f221e4784553p-2, 0x1.38ccd13045bb7p-2, 0x1.328f9f88fbc2fp-2, 0x1.2c6a788046043p-2, 0x1.265d478f31f26p-2, 0x1.2067f4b09db7ep-2, 0x1.1a8a6495763b7p-2, 0x1.14c478d6d125fp-2, 0x1.0f161027b0b4dp-2, 0x1.097f0684150dfp-2, 0x1.03ff355b5d597p-2, 0x1.fd2ce7743e665p-3, 0x1.f2892cea7bb1p-3, 0x1.e812e0a1c9c5fp-3, 0x1.ddc9a44533371p-3, 0x1.d3ad15e8e430cp-3, 0x1.c9bcd0535f6e2p-3, 0x1.bff86b3de4bep-3, 0x1.b65f7b8c6f1f4p-3, 0x1.acf19387b8f55p-3, 0x1.a3ae43198141ep-3, 0x1.9a951802e7107p-3, 0x1.91a59e0c0f00dp-3, 0x1.88df5f32a9307p-3, 0x1.8041e3d96d6d7p-3, 0x1.77ccb2f627bcfp-3, 0x1.6f7f523bead64p-3, 0x1.67594640e2e02p-3, 0x1.5f5a12a1fc445p-3, 0x1.57813a27d8c38p-3, 0x1.4fce3eec649fcp-3, 0x1.4840a27bdf2dp-3, 0x1.40d7e5f00a491p-3, 0x1.39938a0b20a6dp-3, 0x1.32730f56956ep-3, 0x1.2b75f641214b5p-3, 0x1.249bbf366c4eep-3, 0x1.1de3eab2959f4p-3, 0x1.174df957f5293p-3, 0x1.10d96c07c4942p-3, 0x1.0a85c3f83ff1ap-3, 0x1.045282c5ac33ep-3, 0x1.fc7e55033a158p-4, 0x1.f0967b8827f7ap-4, 0x1.e4ec7f7a9984fp-4, 0x1.d97f688abd4f8p-4, 0x1.ce4e3fd2c58c5p-4, 0x1.c3580ff01092fp-4, 0x1.b89be51c3a7ecp-4, 0x1.ae18cd442d1efp-4, 0x1.a3cdd81d0cc8dp-4, 0x1.99ba17391e2p-4, 0x1.8fdc9e1cdbe65p-4, 0x1.863482511b51dp-4, 0x1.7cc0db706c5ecp-4, 0x1.7380c333052cap-4, 0x1.6a73557dc0f5cp-4, 0x1.6197b0738fe6ep-4, 0x1.58ecf483d13fap-4, 0x1.507244721bd07p-4, 0x1.4826c55ab6e0bp-4, 0x1.40099eba36847p-4, 0x1.3819fa79f35c8p-4, 0x1.305704fc527c9p-4, 0x1.28bfed2310293p-4, 0x1.2153e44fc4d67p-4, 0x1.1a121e645e314p-4, 0x1.12f9d1c86e78p-4, 0x1.0c0a3771f21f8p-4, 0x1.05428aebd87cfp-4, 0x1.fd4414ad60b4ap-5, 0x1.f04feccb193d3p-5, 0x1.e3a724b898a5cp-5, 0x1.d74848244196dp-5, 0x1.cb31e7ec45c18p-5, 0x1.bf629a22f6a97p-5, 0x1.b3d8fa0a0822dp-5, 0x1.a893a808d3dcp-5, 0x1.9d9149a53ced5p-5, 0x1.92d08982c25a2p-5, 0x1.8850176462803p-5, 0x1.7e0ea82b22f85p-5, 0x1.740af5ce313a5p-5, 0x1.6a43bf4f425dbp-5, 0x1.60b7c8b055838p-5, 0x1.5765daed9c1cfp-5, 0x1.4e4cc3f9d8597p-5, 0x1.456b56b8fdcbp-5, 0x1.3cc06af6ab799p-5, 0x1.344add5972de6p-5, 0x1.2c098f5640a68p-5, 0x1.23fb67266c848p-5, 0x1.1c1f4fc000e1ap-5, 0x1.147438cdcbacap-5, 0x1.0cf916a4edbe7p-5, 0x1.05ace237b7949p-5, 0x1.fd1d320f46e81p-6, 0x1.ef3a7a310dddap-6, 0x1.e1afa9cba5897p-6, 0x1.d47ad6b176ab6p-6, 0x1.c79a1f7ad15b3p-6, 0x1.bb0bab6c517b2p-6, 0x1.aecdaa5a44253p-6, 0x1.a2de548bb307p-6, 0x1.973bea9fd1d57p-6, 0x1.8be4b57663bc8p-6, 0x1.80d706191d6e7p-6, 0x1.761135a3972bep-6, 0x1.6b91a5286c1bbp-6, 0x1.6156bd94698ap-6, 0x1.575eef91635fdp-6, 0x1.4da8b36ac5564p-6, 0x1.443288f4360a1p-6, 0x1.3afaf77181f9fp-6, 0x1.32008d7df58f9p-6, 0x1.2941e0f21f05p-6, 0x1.20bd8ec7eac7cp-6, 0x1.18723afe3a288p-6, 0x1.105e907d2f983p-6, 0x1.088140fc0e1b4p-6, 0x1.00d904e86378cp-6, 0x1.f2c9369b52ac1p-7, 0x1.e44593788bc1dp-7, 0x1.d624b85f09313p-7, 0x1.c86449e54112dp-7, 0x1.bb01f90b868c8p-7, 0x1.adfb8307b66c3p-7, 0x1.a14eb1135bacbp-7, 0x1.94f9583c09bd8p-7, 0x1.88f959348b4eap-7, 0x1.7d4ca0257213ap-7, 0x1.71f1247c27b88p-7, 0x1.66e4e8b86f248p-7, 0x1.5c25fa3951f72p-7, 0x1.51b2710afbdd3p-7, 0x1.47886fb6cf0b1p-7, 0x1.3da6231637464p-7, 0x1.3409c2279d721p-7, 0x1.2ab18de437ca7p-7, 0x1.219bd11536942p-7, 0x1.18c6e0270829cp-7, 0x1.103118faa2f0ep-7, 0x1.07d8e2b55862cp-7, 0x1.ff795b21d593ep-8, 0x1.efb5e55c21908p-8, 0x1.e06467d5332b9p-8, 0x1.d181f777456bp-8, 0x1.c30bba152c6f3p-8, 0x1.b4fee62588b6dp-8, 0x1.a758c279fdc2ap-8, 0x1.9a16a5eeb7858p-8, 0x1.8d35f710de39fp-8, 0x1.80b42bbfb991p-8, 0x1.748ec8ce35d56p-8, 0x1.68c361ac857f3p-8, 0x1.5d4f981f4ff5ap-8, 0x1.52311c05c965fp-8, 0x1.4765ab2ad9653p-8, 0x1.3ceb1118a57f9p-8, 0x1.32bf26e4931cep-8, 0x1.28dfd2eb7c516p-8, 0x1.1f4b087b62553p-8, 0x1.15fec76f04f0cp-8, 0x1.0cf91bc64c2aap-8, 0x1.04381d48ec859p-8, 0x1.f773de7f6e82bp-9, 0x1.e6f9809325aabp-9, 0x1.d6fd9490d6939p-9, 0x1.c77ca4b283effp-9, 0x1.b873518a48bd8p-9, 0x1.a9de51b4b0d13p-9, 0x1.9bba7146c93b1p-9, 0x1.8e0490fb357ep-9, 0x1.80b9a538e8ae3p-9, 0x1.73d6b51fb6e1fp-9, 0x1.6758d9c8d0319p-9, 0x1.5b3d3dde5c5b2p-9, 0x1.4f811d920462dp-9, 0x1.4421c6db2cee8p-9, 0x1.391c99cd1b462p-9, 0x1.2e6f08c76a7e1p-9, 0x1.2416984cb641fp-9, 0x1.1a10de653fd23p-9, 0x1.105b81963e8b6p-9, 0x1.06f4379cd6d49p-9, 0x1.fbb188659b962p-10, 0x1.ea0df04a6c0a4p-10, 0x1.d8f961e4596cdp-10, 0x1.c86fb1f88269ap-10, 0x1.b86cd065f7886p-10, 0x1.a8ecc9d632098p-10, 0x1.99ebc91bc848bp-10, 0x1.8b66179ab8341p-10, 0x1.7d581c59defd2p-10, 0x1.6fbe59c20f2d4p-10, 0x1.62956a712c918p-10, 0x1.55d9fddd5a174p-10, 0x1.4988d5968f32dp-10, 0x1.3d9ec3d69bd3cp-10, 0x1.3218abb260571p-10, 0x1.26f382cd74ab4p-10, 0x1.1c2c53fdb4ca9p-10, 0x1.11c04202e7b28p-10, 0x1.07ac8969441e9p-10, 0x1.fbdd01c20cfb8p-11, 0x1.e9072f7a74d4cp-11, 0x1.d6d2a5a42fbf7p-11, 0x1.c53a90c034254p-11, 0x1.b43a380719b45p-11, 0x1.a3ccf74fc051dp-11, 0x1.93ee3c79890b5p-11, 0x1.849988e9dbe0bp-11, 0x1.75ca76944ff7ep-11, 0x1.677cbf164fdcfp-11, 0x1.59ac42d82ae55p-11, 0x1.4c550e1e64d5ep-11, 0x1.3f735a7c9b0d8p-11, 0x1.33038c0876b3p-11, 0x1.27022ac4518fp-11, 0x1.1b6bd9bb0ef5fp-11, 0x1.103d4de5bd81p-11, 0x1.057346feb98ddp-11, 0x1.f61517d492ff1p-12, 0x1.e1ffd6e148517p-12, 0x1.cea081d83cde8p-12, 0x1.bbf0f7293c9cfp-12, 0x1.a9eb4ce5b5847p-12, 0x1.9889ddcba3d8bp-12, 0x1.87c75003dfe42p-12, 0x1.779e93bb4bd8cp-12, 0x1.680ad9c5d74e1p-12, 0x1.590784692b2b3p-12, 0x1.4a9015d4b7739p-12, 0x1.3ca0204728163p-12, 0x1.2f333b5e52701p-12, 0x1.224500ae7290ep-12, 0x1.15d10feae1a37p-12, 0x1.09d319332c771p-12, 0x1.fc8dd5746db71p-13, 0x1.e650fcb3ee21ep-13, 0x1.d0e8079834783p-13, 0x1.bc4bca3335d14p-13, 0x1.a8758881f69b8p-13, 0x1.955ee5630a7b8p-13, 0x1.8301c96e65899p-13, 0x1.71584796bdc27p-13, 0x1.605c8595e90bfp-13, 0x1.5008acc6bd958p-13, 0x1.4056e5b5e6125p-13, 0x1.31415e3452e2fp-13, 0x1.22c2579df6ff2p-13, 0x1.14d4399ccf6f4p-13, 0x1.0771a52aecdc8p-13, 0x1.f52b072889526p-14, 0x1.dc761beb13544p-14, 0x1.c4bb96b39e1afp-14, 0x1.adf30bbb631adp-14, 0x1.981473929562dp-14, 0x1.8318064fd4d34p-14, 0x1.6ef61ce2433f3p-14, 0x1.5ba71e9b642a8p-14, 0x1.49237c51263fp-14, 0x1.3763b6a0a49b3p-14, 0x1.26606b4543d89p-14, 0x1.161265d1e61f8p-14, 0x1.0672b1655503dp-14, 0x1.eef552927e1b8p-15, 0x1.d2480b8f022b8p-15, 0x1.b6d1c2f7ce49dp-15, 0x1.9c87674608c23p-15, 0x1.835e7d4995d8dp-15, 0x1.6b4cedbe99e2bp-15, 0x1.5448d3698a807p-15, 0x1.3e485b7b50c7ep-15, 0x1.2941c1bfb097fp-15, 0x1.152b64d60e52cp-15, 0x1.01fbe40e5af8ep-15, 0x1.df546dc88670cp-16, 0x1.bc5b6b625c98ap-16, 0x1.9afc2cf7e31e8p-16, 0x1.7b26cebed704p-16, 0x1.5ccc1da7c9b3p-16, 0x1.3fdda5706dc16p-16, 0x1.244dbd79b792fp-16, 0x1.0a0f7f3bf0f6ep-16, 0x1.e22d32b766014p-17, 0x1.b2ae0c5ee3361p-17, 0x1.85898478eccb8p-17, 0x1.5aa750e3a478bp-17, 0x1.31ef171c04a51p-17, 0x1.0b49080796fc9p-17, 0x1.cd3d2d7c27325p-18, 0x1.87b5d3a3cd1cep-18, 0x1.45d5a68f31165p-18, 0x1.0778c553cb14cp-18, 0x1.98f964af3f646p-19, 0x1.297f327a435bcp-19, 0x1.8080e0f8fd131p-20, 0x1.73f251645ef96p-21, -0x1.13cb65521d667p-28, -0x1.623417fcb5daap-21, -0x1.5687f93d57d3fp-20, -0x1.f1c98100ea9cdp-20, -0x1.41a5e33e44d3dp-19, -0x1.85bf791f84bd2p-19, -0x1.c56a4ab6f9878p-19, -0x1.006ebb54afe29p-18, -0x1.1c25d1ab26d9cp-18, -0x1.35f0a032bbe21p-18, -0x1.4de269bb1ed74p-18, -0x1.640c9062da576p-18, -0x1.787ff95ef63d4p-18, -0x1.8b4e07c70a936p-18, -0x1.9c88d2b1f9102p-18, -0x1.ac42b4735c781p-18, -0x1.ba8d9222f990ep-18, -0x1.c77a3da748e2ep-18, -0x1.d31837664c0e6p-18, -0x1.dd75eac2aa615p-18, -0x1.e6a1473088767p-18, -0x1.eea865e3d2243p-18, -0x1.f599e1e3967b4p-18, -0x1.fb84a21b87e0cp-18, -0x1.003b8a9588473p-17, -0x1.023f192d3999bp-17, -0x1.03d2674be8f0fp-17, -0x1.04f9dd90491f1p-17, -0x1.05b954fed9197p-17, -0x1.0614a8f62e576p-17, -0x1.061017e6178e6p-17, -0x1.05b0508258462p-17, -0x1.04fa3e858635dp-17, -0x1.03f2bf5a37946p-17, -0x1.029e63cd2409cp-17, -0x1.0101556df8ffp-17, -0x1.fe3eba10019b4p-18, -0x1.f9f7ed25d2031p-18, -0x1.f534d513ec83p-18, -0x1.effbe59e0d55ap-18, -0x1.ea53c2b2e1681p-18, -0x1.e4434fcfe40f2p-18, -0x1.ddd15704e98bdp-18, -0x1.d703f112791p-18, -0x1.cfe0157160b8ep-18, -0x1.c869a890136c5p-18, -0x1.c0a407ae4359bp-18, -0x1.b892b6e6b65cep-18, -0x1.b039c952018adp-18, -0x1.a79ddbb0f57cap-18, -0x1.9ec3bca4e39d9p-18, -0x1.95b005d941f5p-18, -0x1.8c66f308a3058p-18, -0x1.82ec83f3f642bp-18, -0x1.79449a6782d59p-18, -0x1.6f72d5a064b21p-18, -0x1.657a57749e16fp-18, -0x1.5b5dc85dd1e5dp-18, -0x1.511fa788272ffp-18, -0x1.46c2a0a5ddebap-18, -0x1.3c49a0b137dc6p-18, -0x1.31b7a42bc8daep-18, -0x1.270f68617fe25p-18, -0x1.1c532cf3da027p-18, -0x1.1184af309f765p-18, -0x1.06a56f6bfd1a5p-18, -0x1.f76e254e645f8p-19, -0x1.e17729ba41573p-19, -0x1.cb6a4a238972ep-19, -0x1.b54b9d206fa27p-19, -0x1.9f1e9bbba7649p-19, -0x1.88e68175dfd8p-19, -0x1.72a6d244635e8p-19, -0x1.5c635871872ccp-19, -0x1.461fac0039fbcp-19, -0x1.2fdec5943d5d6p-19, -0x1.19a2f10605c1ep-19, -0x1.036e1b83eec2ap-19, -0x1.da847361b32dbp-20, -0x1.ae42ffbce0f23p-20, -0x1.821cba1d5321bp-20, -0x1.5616a6fbd910ep-20, -0x1.2a35731edbe84p-20, -0x1.fcf9dbae55c4dp-21, -0x1.a5e016c9f8cccp-21, -0x1.4f233e493c3aap-21, -0x1.f194388f9656p-22, -0x1.45b8b74dfcb04p-22, -0x1.3583dbf8d5b4ap-23, 0x1.e8a47a86bb935p-27, 0x1.70a5354fb0691p-23, 0x1.605b7f49f49e8p-22, 0x1.03a9e38bea254p-21, 0x1.5697b880cd2d3p-21, 0x1.a8f1a80c1d102p-21, 0x1.fab2b2d2f6608p-21, 0x1.25eb3f0411c91p-20, 0x1.4e2c9a185b317p-20, 0x1.761b9cff9ae89p-20, 0x1.9db6754d6ca27p-20, 0x1.c4fb4678e488dp-20, 0x1.ebe840ad52a8cp-20, 0x1.093ddb1639034p-19, 0x1.1c5a063a79d24p-19, 0x1.2f47cf796523cp-19, 0x1.420665b13823cp-19, 0x1.54950cd7371dep-19, 0x1.66f321e88f815p-19, 0x1.79200c49550c8p-19, 0x1.8b1b336a7fbaep-19, 0x1.9ce400934949ap-19, 0x1.ae79e1fa7163bp-19, 0x1.bfdc49e3bc053p-19, 0x1.d10aadf96ba21p-19, 0x1.e204899ab9439p-19, 0x1.f2c9628ab84ebp-19, 0x1.01ac667231ce7p-18, 0x1.09d9351fa35fep-18, 0x1.11eaef9f08a88p-18, 0x1.19e1622434efep-18, 0x1.21bc51a028a6cp-18, 0x1.297b855ed91e9p-18, 0x1.311ed79d4895bp-18, 0x1.38a640abb39cfp-18, 0x1.4011bb7430326p-18, 0x1.4761121674c51p-18, 0x1.4e93f5e00a6bbp-18, 0x1.55aa4b52f43cfp-18, 0x1.5ca41fbea5432p-18, 0x1.638162da15f35p-18, 0x1.6a41e9fada214p-18, 0x1.70e59d307314ep-18, 0x1.776c7593fb1cbp-18, 0x1.7dd669ca3fdf1p-18, 0x1.84236a192739p-18, 0x1.8a5363b6541fdp-18, 0x1.906642e33cb9bp-18, 0x1.965bf4540f8b6p-18, 0x1.9c3468b4bcc36p-18, 0x1.a1ef9a8385f98p-18, 0x1.a78d94966c599p-18, 0x1.ad0e6bb5cc113p-18, 0x1.b272248517e7ap-18, 0x1.b7b8a5ddeb2c7p-18, 0x1.bce1d3b58fe9bp-18, 0x1.c1edbcf8f85cbp-18, 0x1.c6dc99a3e83fcp-18, 0x1.cbae6e713733ep-18, 0x1.d063057cc4808p-18, 0x1.d4fa70a2dd2e6p-18, 0x1.d974eb6a9c105p-18, 0x1.ddd26e1567b42p-18, 0x1.e212ecc8ee566p-18, 0x1.e636867f9f8c4p-18, 0x1.ea3d5ca1d2b6cp-18, 0x1.ee2782e6e0787p-18, 0x1.f1f507e066f64p-18, 0x1.f5a5fb6fab928p-18, 0x1.f93a6ff196bd1p-18, 0x1.fcb279295ec17p-18, 0x1.000715340b6d3p-17, 0x1.01a6ca7b92bf4p-17, 0x1.033863fa3b538p-17, 0x1.04bbe9af4a213p-17, 0x1.06316a0d2b728p-17, 0x1.0799029730485p-17, 0x1.08f2d51fd09cp-17, 0x1.0a3ee7a73b4p-17, 0x1.0b7d2c48bda27p-17, 0x1.0cadbc7842b2ap-17, 0x1.0dd0c95370f59p-17, 0x1.0ee650f19c389p-17, 0x1.0fee5f1416aafp-17, 0x1.10e91027cc29dp-17, 0x1.11d664de43b89p-17, 0x1.12b674cd30babp-17, 0x1.138962dafaf37p-17, 0x1.144f465c755d2p-17, 0x1.1508310c84c64p-17, 0x1.15b4355b7e06ap-17, 0x1.16536787d58b1p-17, 0x1.16e5dd066747ap-17, 0x1.176babf274535p-17, 0x1.17e4eae851cbcp-17, 0x1.1851b12a4209fp-17, 0x1.18b216a6d3df7p-17, 0x1.1906338db2e94p-17, 0x1.194e1f74a085ap-17, 0x1.1989f0378f522p-17, 0x1.19b9b94690a78p-17, 0x1.19dd903e98cafp-17, 0x1.19f59854f8b37p-17, 0x1.1a01f33197151p-17, 0x1.1a02a68db1cbcp-17, 0x1.19f7da36761dfp-17, 0x1.19e1c701a4c71p-17, 0x1.19c07f54302ddp-17, 0x1.1993fd8587bb3p-17, 0x1.195c4dc6818a5p-17, 0x1.1919a6e693cedp-17, 0x1.18cc3287f8ba8p-17, 0x1.18740a247ba7dp-17, 0x1.181145ae297fap-17, 0x1.17a3ff6c112ddp-17, 0x1.172c53726344fp-17, 0x1.16aa5ec5c8dfcp-17, 0x1.161e3ed2f9c7fp-17, 0x1.158811250775ep-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.979f01bcb1157p-1, -0x1.9792eb100406ep-1, -0x1.977d2d833563fp-1, -0x1.975b83350de1p-1, -0x1.972af03c6b858p-1, -0x1.96e7e8613f1d4p-1, -0x1.968e755a42fddp-1, -0x1.961a5b5f83eep-1, -0x1.95873abda5ff6p-1, -0x1.94d0adaffcfcfp-1, -0x1.93f26231554e6p-1, -0x1.92e82fba199d3p-1, -0x1.91ae2910ad807p-1, -0x1.9040aa6da094ep-1, -0x1.8e9c64461a32dp-1, -0x1.8cbe631723d49p-1, -0x1.8aa4148ee9deap-1, -0x1.884b4a6f85ebp-1, -0x1.85b23b8296bp-1, -0x1.82d782eef88bp-1, -0x1.7fba1e3ae023fp-1, -0x1.7c596a3d127fp-1, -0x1.78b51f3848546p-1, -0x1.74cd4c5446d1fp-1, -0x1.70a252a111026p-1, -0x1.6c34dfc9eb14fp-1, -0x1.6785e897d16d4p-1, -0x1.6296a35d91a8ep-1, -0x1.5d688262dbfc7p-1, -0x1.57fd2e5f6d87ap-1, -0x1.52568113d1dc3p-1, -0x1.4c76800a224a7p-1, -0x1.465f5786975c1p-1, -0x1.401355ad948ccp-1, -0x1.3994e5e312d89p-1, -0x1.32e68c65e79ffp-1, -0x1.2c0ae22835079p-1, -0x1.250490e5762e5p-1, -0x1.1dd64f75db934p-1, -0x1.1682de5e2815p-1, -0x1.0f0d049ad3a4fp-1, -0x1.07778ca4ef543p-1, -0x1.ff8a835e16e6dp-2, -0x1.eff1da3078671p-2, -0x1.e02aa82685235p-2, -0x1.d03a6aff8ebb9p-2, -0x1.c0268fe735981p-2, -0x1.aff46fe3b2ce9p-2, -0x1.9fa94c9bcbf15p-2, -0x1.8f4a4d704792bp-2, -0x1.7edc7ce4c6e9fp-2, -0x1.6e64c65403dc1p-2, -0x1.5de7f3eb7156bp-2, -0x1.4d6aacea60dedp-2, -0x1.3cf17420dc857p-2, -0x1.2c80a6aa72154p-2, -0x1.1c1c7ae156156p-2, -0x1.0bc8ff86445dp-2, -0x1.f714363366e17p-3, -0x1.d6c716c5e9789p-3, -0x1.b6b1ca44093efp-3, -0x1.96db27d1b955fp-3, -0x1.7749b4327a50ep-3, -0x1.5803a207f7543p-3, -0x1.390ed24dff43fp-3, -0x1.1a70d50e77aap-3, -0x1.f85dd48ffbb15p-4, -0x1.bc9c0604b186ap-4, -0x1.81a58517d69c7p-4, -0x1.4782ffb76a447p-4, -0x1.0e3c8e272e10ep-4, -0x1.abb36c7b73804p-5, -0x1.3cc2dda4f8e1p-5, -0x1.9f688d564271ep-6, -0x1.924dbc55e968fp-7, 0x1.253a4f4b8ec1ep-11, 0x1.aeec08e22693fp-7, 0x1.a1ac2721cfa54p-6, 0x1.33de44a79cb4ap-5, 0x1.94cca45ebec5bp-5, 0x1.f39b20e4a5347p-5, 0x1.28223fbf5ef48p-4, 0x1.55622a2d4f39dp-4, 0x1.818b7d35d2c46p-4, 0x1.ac9cc5ad5e7a9p-4, 0x1.d694ebc6aa293p-4, 0x1.ff732f23faba5p-4, 0x1.139b917c2101fp-3, 0x1.26f0551ce3875p-3, 0x1.39b7f9f3e58abp-3, 0x1.4bf2bbb240438p-3, 0x1.5da0f87234ffcp-3, 0x1.6ec32ef9fbec4p-3, 0x1.7f59fd0a1046ap-3, 0x1.8f661db74bc6ep-3, 0x1.9ee867d0fc5a8p-3, 0x1.ade1cc531d886p-3, 0x1.bc5354e4cc5c4p-3, 0x1.ca3e226304cdcp-3, 0x1.d7a36b7794681p-3, 0x1.e4847b3c493b6p-3, 0x1.f0e2afea32df8p-3, 0x1.fcbf7994db24ap-3, 0x1.040e2c78aa11ep-2, 0x1.097d6f1472226p-2, 0x1.0eae53db8b15fp-2, 0x1.13a1b0a984affp-2, 0x1.18586171d4f8p-2, 0x1.1cd347bf518ffp-2, 0x1.21134a38dfd79p-2, 0x1.2519542b37cf5p-2, 0x1.28e655179cb23p-2, 0x1.2c7b40475f4bcp-2, 0x1.2fd90c64074bdp-2, 0x1.3300b31405afep-2, 0x1.35f3309bc132fp-2, 0x1.38b18382dfbcep-2, 0x1.3b3cac3da61d1p-2, 0x1.3d95acda4ae21p-2, 0x1.3fbd88b2198e7p-2, 0x1.41b5441e413a1p-2, 0x1.437de43030b79p-2, 0x1.45186e6d5c9dfp-2, 0x1.4685e88e522fcp-2, 0x1.47c75840effbp-2, 0x1.48ddc2edb0d8p-2, 0x1.49ca2d7fe303bp-2, 0x1.4a8d9c30b395cp-2, 0x1.4b291254eea84p-2, 0x1.4b9d922d5f138p-2, 0x1.4bec1cb9ac52dp-2, 0x1.4c15b18da79c7p-2, 0x1.4c1b4ea8e2cc6p-2, 0x1.4bfdf0508a87p-2, 0x1.4bbe90eb5dc31p-2, 0x1.4b5e28dfb74ap-2, 0x1.4addae73901dap-2, 0x1.4a3e15ae6aee3p-2, 0x1.4980503d1150ep-2, 0x1.48a54d57111fap-2, 0x1.47adf9a5edb1ep-2, 0x1.469b3f2decbd2p-2, 0x1.456e053874c07p-2, 0x1.4427303fe9a09p-2, 0x1.42c7a1dcfce6ap-2, 0x1.415038b55b334p-2, 0x1.3fc1d06bb6757p-2, 0x1.3e1d419112825p-2, 0x1.3c6361974d032p-2, 0x1.3a9502c4db038p-2, 0x1.38b2f429a0696p-2, 0x1.36be0194e9418p-2, 0x1.34b6f38c6aeebp-2, 0x1.329e8f444a96dp-2, 0x1.307596981eb0fp-2, 0x1.2e3cc804dd31p-2, 0x1.2bf4dea3b1eaep-2, 0x1.299e9225b3f08p-2, 0x1.273a96d06c49p-2, 0x1.24c99d7b2ee1bp-2, 0x1.224c538d310d7p-2, 0x1.1fc362fc63ba7p-2, 0x1.1d2f724cfd946p-2, 0x1.1a912491b6d45p-2, 0x1.17e9196ca98dep-2, 0x1.1537ed10d3d51p-2, 0x1.127e3844312f7p-2, 0x1.0fbc906269fep-2, 0x1.0cf387600b3e6p-2, 0x1.0a23abce4a983p-2, 0x1.074d88df44ae3p-2, 0x1.0471a66abd2dap-2, 0x1.019088f34e22cp-2, 0x1.fd55635815108p-3, 0x1.f7813cfd1689bp-3, 0x1.f1a59422c3839p-3, 0x1.ebc3579dd13e6p-3, 0x1.e5db6fd8e8929p-3, 0x1.dfeebee3ad59dp-3, 0x1.d9fe20826dd9cp-3, 0x1.d40a6a3e6c1d2p-3, 0x1.ce146b76c05a2p-3, 0x1.c81ced71b75f2p-3, 0x1.c224b36ec6886p-3, 0x1.bc2c7ab8e5bdfp-3, 0x1.b634fab96ba0cp-3, 0x1.b03ee50b4b5abp-3, 0x1.aa4ae58eb4f26p-3, 0x1.a459a27d17423p-3, 0x1.9e6bbc7d70389p-3, 0x1.9881ceb8efc6cp-3, 0x1.929c6eefdda9ap-3, 0x1.8cbc2d8ec4af5p-3, 0x1.86e195c3d0208p-3, 0x1.810d2d94695fdp-3, 0x1.7b3f75f2f8b7ep-3, 0x1.7578ead4d2253p-3, 0x1.6fba034849b48p-3, 0x1.6a03318adddecp-3, 0x1.6454e31f7fcd9p-3, 0x1.5eaf80e4ee17ep-3, 0x1.59136f2c184afp-3, 0x1.53810dce93297p-3, 0x1.4df8b8450f8ep-3, 0x1.487ac5bdcf8bfp-3, 0x1.4307893319ccfp-3, 0x1.3d9f5181a5048p-3, 0x1.3842697ef8d55p-3, 0x1.32f1180fb8b8bp-3, 0x1.2daba03de61aep-3, 0x1.2872414f056f9p-3, 0x1.234536da239ccp-3, 0x1.1e24b8ddcd526p-3, 0x1.1910fbd5d35d2p-3, 0x1.140a30d0fabeep-3, 0x1.0f10858680cb9p-3, 0x1.0a24246b70a7bp-3, 0x1.054534c7d597ap-3, 0x1.0073dacbbeb07p-3, 0x1.f7606f48147a1p-4, 0x1.edf4d31e0dd5dp-4, 0x1.e4a517e1bb189p-4, 0x1.db716ecf835b8p-4, 0x1.d25a03bfdc8c7p-4, 0x1.c95efd4ec7e6p-4, 0x1.c0807d02df93ap-4, 0x1.b7be9f73dcdf3p-4, 0x1.af197c70adc81p-4, 0x1.a691272504e6bp-4, 0x1.9e25ae3e61da5p-4, 0x1.95d71c109ebefp-4, 0x1.8da576b9ecacep-4, 0x1.8590c0464d837p-4, 0x1.7d98f6d281505p-4, 0x1.75be14ae66732p-4, 0x1.6e00107ecc7d7p-4, 0x1.665edd5eb892fp-4, 0x1.5eda6b001b4b6p-4, 0x1.5772a5cbf1beep-4, 0x1.50277701d9d6dp-4, 0x1.48f8c4d70f258p-4, 0x1.41e67294da4d9p-4, 0x1.3af060b669a56p-4, 0x1.34166d0617a98p-4, 0x1.2d5872ba1e032p-4, 0x1.26b64a90b57bfp-4, 0x1.202fcaeba1ff9p-4, 0x1.19c4c7eb2c111p-4, 0x1.13751388883d6p-4, 0x1.0d407dafa9b8ap-4, 0x1.0726d458867cep-4, 0x1.0127e39fc90aap-4, 0x1.f686ebbde1b2bp-5, 0x1.eaf2a787c9a11p-5, 0x1.df9288cfee282p-5, 0x1.d4661accb33b2p-5, 0x1.c96ce5e40fb63p-5, 0x1.bea66fd646c89p-5, 0x1.b4123be793db4p-5, 0x1.a9afcb08b8112p-5, 0x1.9f7e9bfe8586bp-5, 0x1.957e2b885442p-5, 0x1.8badf48571b8p-5, 0x1.820d701987bb2p-5, 0x1.789c15d002918p-5, 0x1.6f595bbe71f9ep-5, 0x1.6644b6a5ee44fp-5, 0x1.5d5d9a1384ad9p-5, 0x1.54a3787faa963p-5, 0x1.4c15c36cbe5aep-5, 0x1.43b3eb84966b4p-5, 0x1.3b7d60b5266b7p-5, 0x1.3371924c3a5a4p-5, 0x1.2b8fef124a8ebp-5, 0x1.23d7e5646e872p-5, 0x1.1c48e34d73778p-5, 0x1.14e2569e1966dp-5, 0x1.0da3ad0472fdbp-5, 0x1.068c54227a514p-5, 0x1.ff377347a3bc9p-6, 0x1.f1a296a579f04p-6, 0x1.e458ee589c831p-6, 0x1.d75956e7a7dc4p-6, 0x1.caa2ad8b08854p-6, 0x1.be33d050dbb0ep-6, 0x1.b20b9e3f5b827p-6, 0x1.a628f775e8ac6p-6, 0x1.9a8abd4cb21a5p-6, 0x1.8f2fd272fc0f2p-6, 0x1.84171b0c1def6p-6, 0x1.793f7ccb2b76ap-6, 0x1.6ea7df0d6c856p-6, 0x1.644f2af37d899p-6, 0x1.5a344b795b5a1p-6, 0x1.50562d8d22ee4p-6, 0x1.46b3c024c4fafp-6, 0x1.3d4bf452936aap-6, 0x1.341dbd58a7fe1p-6, 0x1.2b2810bb4fb5p-6, 0x1.2269e652647bp-6, 0x1.19e23859a1c2bp-6, 0x1.11900380071p-6, 0x1.097246f634081p-6, 0x1.0188047bec795p-6, 0x1.f3a080d94ac9bp-7, 0x1.e494039665ec8p-7, 0x1.d5e8a49957a3fp-7, 0x1.c79c7cc4bfe65p-7, 0x1.b9adaa8621ad7p-7, 0x1.ac1a51e6c39a7p-7, 0x1.9ee09c9b06897p-7, 0x1.91feba104cd1bp-7, 0x1.8572df796858ap-7, 0x1.793b47d9bf51bp-7, 0x1.6d56340f0042bp-7, 0x1.61c1ead9ad131p-7, 0x1.567cb8e444db4p-7, 0x1.4b84f0c96d8f7p-7, 0x1.40d8eb18c2bf8p-7, 0x1.3677065a98ccp-7, 0x1.2c5da712b58cbp-7, 0x1.228b37c1f2724p-7, 0x1.18fe28e6f6b82p-7, 0x1.0fb4f0fdd6b51p-7, 0x1.06ae0c7ee7cd5p-7, 0x1.fbcffbb9388dap-8, 0x1.eac29b0113caap-8, 0x1.da31138f566c2p-8, 0x1.ca188dfb96b85p-8, 0x1.ba763eb072fdbp-8, 0x1.ab4765df7568ap-8, 0x1.9c894f739969bp-8, 0x1.8e395302a946cp-8, 0x1.8054d3bd19c57p-8, 0x1.72d9405cfb15dp-8, 0x1.65c413139e70dp-8, 0x1.5912d1761159fp-8, 0x1.4cc30c68c9b66p-8, 0x1.40d2600a33e9ap-8, 0x1.353e739c5b8b7p-8, 0x1.2a04f96dbbf15p-8, 0x1.1f23aec15270dp-8, 0x1.14985bb5b34eap-8, 0x1.0a60d32b88166p-8, 0x1.007af2ab6d398p-8, 0x1.edc94496127c4p-9, 0x1.db37a92342146p-9, 0x1.c93d0cb877c11p-9, 0x1.b7d57d81bc0b7p-9, 0x1.a6fd1de38d8b1p-9, 0x1.96b0243fc3aep-9, 0x1.86eadaba04d96p-9, 0x1.77a99efb44d8bp-9, 0x1.68e8e1f4dc46dp-9, 0x1.5aa527a2d30dfp-9, 0x1.4cdb06cd91378p-9, 0x1.3f8728cb420c7p-9, 0x1.32a64940ab99p-9, 0x1.263535e1c963fp-9, 0x1.1a30ce31f7aefp-9, 0x1.0e9603440c233p-9, 0x1.0361d77a09295p-9, 0x1.f122bc892b2a7p-10, 0x1.dc4377c58883cp-10, 0x1.c8204a42a4a3p-10, 0x1.b4b3be345f78fp-10, 0x1.a1f87de819e39p-10, 0x1.8fe953437ebd1p-10, 0x1.7e812743e74bbp-10, 0x1.6dbb017e0e80dp-10, 0x1.5d92079dce5adp-10, 0x1.4e017ce678a61p-10, 0x1.3f04c1b3bebbdp-10, 0x1.309752fb4b24fp-10, 0x1.22b4c9ce7f44ap-10, 0x1.1558dadd591eep-10, 0x1.087f55f9a9104p-10, 0x1.f8484b364f5f1p-11, 0x1.e0869cc9f983ap-11, 0x1.c9b1dd55e2936p-11, 0x1.b3c27bf14999cp-11, 0x1.9eb11932765e5p-11, 0x1.8a76864025272p-11, 0x1.770bc3e4f41d2p-11, 0x1.646a01a4e16a3p-11, 0x1.528a9cd54eeep-11, 0x1.41671fb6e8f63p-11, 0x1.30f940927734fp-11, 0x1.213ae0d6fe96ep-11, 0x1.12260c3b81ef8p-11, 0x1.03b4f7e24a767p-11, 0x1.ebc402fdd7ccep-12, 0x1.d14f5cfdfcc8ap-12, 0x1.b801566ab692ep-12, 0x1.9fcf940fd4a87p-12, 0x1.88b0053fd01b9p-12, 0x1.7298e23ace175p-12, 0x1.5d80aa99782c4p-12, 0x1.495e23be3d466p-12, 0x1.3628574b25928p-12, 0x1.23d6919e91a7fp-12, 0x1.1260605366182p-12, 0x1.01bd90c8e3044p-12, 0x1.e3cc5d5d6102ep-13, 0x1.c5a5052e11c9p-13, 0x1.a8f6211bb13b8p-13, 0x1.8db12d6b5df1dp-13, 0x1.73c817d4777f7p-13, 0x1.5b2d3cd28b78ap-13, 0x1.43d364fe49344p-13, 0x1.2dadc2753e609p-13, 0x1.18afee4a7168bp-13, 0x1.04cde60461cabp-13, 0x1.e3f81243d814ap-14, 0x1.c05e2d5fc4833p-14, 0x1.9eb855c46958p-14, 0x1.7ef1797b2d376p-14, 0x1.60f53796a0cecp-14, 0x1.44afdba99254p-14, 0x1.2a0e595680d8cp-14, 0x1.10fe47f9d44aap-14, 0x1.f2dbbcb98e439p-15, 0x1.c697dd0db0a73p-15, 0x1.9d0fc348b7dd5p-15, 0x1.762367ec7a3b6p-15, 0x1.51b3e1c4a442p-15, 0x1.2fa35e24c3bccp-15, 0x1.0fd5194f0a03p-15, 0x1.e45aadfca55c4p-16, 0x1.ad22b6475d4ccp-16, 0x1.79cec57226264p-16, 0x1.4a2d3983eebd5p-16, 0x1.1e0e46f7d9733p-16, 0x1.ea87d6746f485p-17, 0x1.9f43bf31f1e71p-17, 0x1.59fb18c925d14p-17, 0x1.1a5bf8c99da6cp-17, 0x1.c02f4243a3137p-18, 0x1.55c4d01d7dbd1p-18, 0x1.e9ce82b06f93ep-19, 0x1.3a160f785dbb6p-19, 0x1.36a8cfc10cd47p-20, 0x1.9112661628c38p-24, -0x1.cd0f5c5ef74e7p-21, -0x1.c9fa0645dc76fp-20, -0x1.4985324494ef9p-19, -0x1.a1b50ae0f31d1p-19, -0x1.ee5be67614ac8p-19, -0x1.18200e99bbd4dp-18, -0x1.340fa857930fdp-18, -0x1.4b575a14e59a6p-18, -0x1.5e4da996ee63p-18, -0x1.6d452b1bdaaf4p-18, -0x1.788ca2f6e37p-18, -0x1.806f2661d14b1p-18, -0x1.85343b2d3e83p-18, -0x1.871ff703fb4d5p-18, -0x1.86731dbaff8aep-18, -0x1.836b3e5be0d96p-18, -0x1.7e42d06d901bp-18, -0x1.77314f9df8bdfp-18, -0x1.6e6b57059c533p-18, -0x1.6422bb9897d33p-18, -0x1.5886a5f56894fp-18, -0x1.4bc3ab705fed8p-18, -0x1.3e03e65caa9d5p-18, -0x1.2f6f0de922215p-18, -0x1.202a8d2833a1dp-18, -0x1.1059993557b85p-18, -0x1.001d473f2622fp-18, -0x1.df29431575759p-19, -0x1.bdb9781e85da6p-19, -0x1.9c21907cc8633p-19, -0x1.7a945115c4442p-19, -0x1.59410654d0b86p-19, -0x1.3853a82282547p-19, -0x1.17f4fdd389cc6p-19, -0x1.f09580a6d3f59p-20, -0x1.b2ef769f798ep-20, -0x1.7737dae2eaffep-20, -0x1.3da94f5c2f05cp-20, -0x1.067956f29cf26p-20, -0x1.a3b12056ee30dp-21, -0x1.3fe5dc1cb17f8p-21, -0x1.c3bfbcfcaa063p-22, -0x1.13cb4c83638aap-22, -0x1.c1acc7b72049cp-24, 0x1.2f9972ce20251p-25, 0x1.5de22ea0bc975p-23, 0x1.2a3dbaad2c7f1p-22, 0x1.9795834f61be9p-22, 0x1.f6c1684b3aba1p-22, 0x1.23cb2275138f1p-21, 0x1.44fa1b80a8214p-21, 0x1.5ee301475621p-21, 0x1.71803ca328b8cp-21, 0x1.7cd0f50905b5p-21, 0x1.80d8cb47dd047p-21, 0x1.7d9f94a36e438p-21, 0x1.733119f70e786p-21, 0x1.619cd97476599p-21, 0x1.48f5c9823c96dp-21, 0x1.29521f71816d7p-21, 0x1.02cb169eaaa37p-21, 0x1.aaf97796ada9p-22, 0x1.430b725a81f69p-22, 0x1.9c1c905588f49p-23, 0x1.31226c997aaecp-24, -0x1.07eb54ccac411p-24, -0x1.b8db0931563a2p-23, -0x1.82bd7e8a491abp-22, -0x1.1a4ad704ff08fp-21, -0x1.78cf156d56754p-21, -0x1.dcbe41f2181e3p-21, -0x1.22f5016274cbfp-20, -0x1.5a117f906c009p-20, -0x1.939c7ef1bcbaep-20, -0x1.cf7d82f262646p-20, -0x1.06cddeb16b8bcp-19, -0x1.26ef0e5d618b1p-19, -0x1.4815ac6e3ccfdp-19, -0x1.6a35003319d5fp-19, -0x1.8d4042208c942p-19, -0x1.b12aa1b9986dep-19, -0x1.d5e74ac96f6d9p-19, -0x1.fb696ab755a06p-19, -0x1.10d21abc8f656p-18, -0x1.2445750bcbe9cp-18, -0x1.38086b745b277p-18, -0x1.4c14aeea990f3p-18, -0x1.6063fc1fb1642p-18, -0x1.74f01d55011p-18, -0x1.89b2ec000ef34p-18, -0x1.9ea6527d09267p-18, -0x1.b3c44d865d7a1p-18, -0x1.c906eda3bb0e2p-18, -0x1.de685862080a5p-18, -0x1.f3e2c9a1a8a3cp-18, -0x1.04b84a5dfbc1ap-17, -0x1.0f8612c55e45dp-17, -0x1.1a5800aad3a1bp-17, -0x1.252b63da4276cp-17, -0x1.2ffd99b41a668p-17, -0x1.3acc0d8d2d445p-17, -0x1.459438fba19d2p-17, -0x1.5053a42b63fe9p-17, -0x1.5b07e62358733p-17, -0x1.65aea4fe5e5a5p-17, -0x1.70459624c6f6bp-17, -0x1.7aca7e6d177e8p-17, -0x1.853b32566f9e1p-17, -0x1.8f9596200d289p-17, -0x1.99d79de6c7683p-17, -0x1.a3ff4db4f09b6p-17, -0x1.ae0ab990ae02fp-17, -0x1.b7f8058ccb7c6p-17, -0x1.c1c565c591946p-17, -0x1.cb711e61f42b7p-17, -0x1.d4f9838bd7c2p-17, -0x1.de5cf96b936e7p-17, -0x1.e799f41770d9p-17, -0x1.f0aef78108949p-17, -0x1.f99a97577a6cbp-17, -0x1.012dbb7d3a7ep-16, -0x1.057824ab76444p-16, -0x1.09abe8648207p-16, -0x1.0dc86f7a79809p-16, -0x1.11cd2a51150b1p-16, -0x1.15b990cb3c044p-16, -0x1.198d223419272p-16, -0x1.1d47652732b1fp-16, -0x1.20e7e7786a0c3p-16, -0x1.246e3e1d3146p-16, -0x1.27da05122640cp-16, -0x1.2b2adf4068ab3p-16, -0x1.2e607660b99dbp-16, -0x1.317a7adff7f93p-16, -0x1.3478a3c34fabfp-16, -0x1.375aae8b0b7bap-16, -0x1.3a205f11d2f51p-16, -0x1.3cc97f6f9b327p-16, -0x1.3f55dfdbd7f54p-16, -0x1.41c5568c7dc75p-16, -0x1.4417bf98ecfd2p-16, -0x1.464cfcd58f8bdp-16, -0x1.4864f5b5c7d7dp-16, -0x1.4a5f972c42ap-16, -0x1.4c3cd389aee69p-16, -0x1.4dfca25cb681fp-16, -0x1.4f9f005001e12p-16, -0x1.5123ef094da13p-16, -0x1.528b7509e1f0bp-16, -0x1.53d59d8ca34c3p-16, -0x1.550278647f76ap-16, -0x1.561219dc350a5p-16, -0x1.57049a95a7076p-16, -0x1.57da176b626dap-16, -0x1.5892b14d5c4e2p-16, -0x1.592e8d218dedcp-16, -0x1.59add3a2acae4p-16, -0x1.5a10b142f6cd5p-16, -0x1.5a57560ae9dc5p-16, -0x1.5a81f57abfb56p-16, -0x1.5a90c66bdaddap-16, -0x1.5a8402efff69ap-16, -0x1.5a5be8354b7ecp-16, -0x1.5a18b666e2984p-16, -0x1.59bab08f46faep-16, -0x1.59421c7a604b8p-16, -0x1.58af429914f24p-16, -0x1.58026de58cd43p-16, -0x1.573bebc649bafp-16, -0x1.565c0bf1ed657p-16, -0x1.55632053e5755p-16, -0x1.54517cf110e06p-16, -0x1.532777cd41e13p-16, -0x1.51e568d23dcfp-16, -0x1.508ba9b56a4a9p-16, -0x1.4f1a95ddcd481p-16, -0x1.4d928a4c2f4bfp-16, -0x1.4bf3e581fad5ep-16, -0x1.4a3f076987b03p-16, -0x1.4874513f47c9p-16, -0x1.4694257856a21p-16, -0x1.449ee7ae7775bp-16, -0x1.4294fc8a6f43dp-16, -0x1.4076c9ab94c7ep-16, -0x1.3e44b5953ed4dp-16, -0x1.3bff2798b69edp-16, -0x1.39a687c12042dp-16, -0x1.373b3ebf0eff1p-16, -0x1.34bdb5d6ff9d3p-16, -0x1.322e56ce08939p-16, -0x1.2f8d8bd57bee4p-16, -0x1.2cdbbf7c1409bp-16, -0x1.2a195c9954a19p-16, -0x1.2746ce3e33adbp-16, -0x1.24647fa56d372p-16, -0x1.2172dc20dfb1p-16, -0x1.1e724f0a8136p-16, -0x1.1b6343b854e96p-16, -0x1.1846256918354p-16, -0x1.151b5f37f01cap-16, -0x1.11e35c0ef933dp-16, -0x1.0e9e869989c6p-16, -0x1.0b4d49351680fp-16, -0x1.07f00de6a9572p-16, -0x1.04873e4f3998p-16, -0x1.0113439cbbd79p-16, -0x1.fb290d03b6dfap-17, }}, 
      {{-0x1.97a197061276bp-1, -0x1.979da446c55c9p-1, -0x1.9796bd4fa666ep-1, -0x1.978c6b014c566p-1, -0x1.977e0e58907a4p-1, -0x1.976ae6737dbb7p-1, -0x1.975216e2c3744p-1, -0x1.9732adefa364ap-1, -0x1.970baa9b3ed69p-1, -0x1.96dc02319fef1p-1, -0x1.96a2a55a70831p-1, -0x1.965e849c82709p-1, -0x1.960e945125d74p-1, -0x1.95b1d009c8b6dp-1, -0x1.95473d6e00495p-1, -0x1.94cdee9a8231fp-1, -0x1.9445040af95f1p-1, -0x1.93abae1963912p-1, -0x1.93012e1dd9b1p-1, -0x1.9244d73985accp-1, -0x1.91760ed71f045p-1, -0x1.90944ceac25e2p-1, -0x1.8f9f1bfa3bce3p-1, -0x1.8e9618f62f4adp-1, -0x1.8d78f2ebb73f8p-1, -0x1.8c476a9558043p-1, -0x1.8b0151d161f93p-1, -0x1.89a68b03249fcp-1, -0x1.88370863af029p-1, -0x1.86b2cb4633b8cp-1, -0x1.8519e3539b64ep-1, -0x1.836c6dc04c9edp-1, -0x1.81aa947eb908ap-1, -0x1.7fd48d70d6a13p-1, -0x1.7dea999a57165p-1, -0x1.7bed0455151d6p-1, -0x1.79dc2288f3635p-1, -0x1.77b851e8271a5p-1, -0x1.7581f830b609ap-1, -0x1.73398273c78dap-1, -0x1.70df64633e661p-1, -0x1.6e7417a5f3b8ep-1, -0x1.6bf81b32d30fap-1, -0x1.696bf2b2fe3b5p-1, -0x1.66d025eb10a62p-1, -0x1.6425402b87931p-1, -0x1.616bcfc84bfe3p-1, -0x1.5ea465974c86dp-1, -0x1.5bcf94760fa28p-1, -0x1.58edf0d621f5p-1, -0x1.56001050373b1p-1, -0x1.5306893dda9b4p-1, -0x1.5001f2597f83fp-1, -0x1.4cf2e264c2463p-1, -0x1.49d9efd4aae86p-1, -0x1.46b7b083bdd9ap-1, -0x1.438cb969a5173p-1, -0x1.40599e583fd84p-1, -0x1.3d1ef1bde1c6cp-1, -0x1.39dd446c8c1d4p-1, -0x1.36952565ed6c8p-1, -0x1.334721abeff67p-1, -0x1.2ff3c415a5943p-1, -0x1.2c9b952859f4fp-1, -0x1.293f1af4986a7p-1, -0x1.25ded8f6f589ap-1, -0x1.227b4ffc66886p-1, -0x1.1f14fe09faccdp-1, -0x1.1bac5e47c3201p-1, -0x1.1841e8eebcf55p-1, -0x1.14d61339920bap-1, -0x1.11694f580233fp-1, -0x1.0dfc0c64ca955p-1, -0x1.0a8eb65de6d0fp-1, -0x1.0721b61efcf6bp-1, -0x1.03b5715dd6292p-1, -0x1.004a4aa8b9485p-1, -0x1.f9c142cd0e9fcp-2, -0x1.f2f1a3b0f29a4p-2, -0x1.ec266a3ab74a5p-2, -0x1.e560426c55789p-2, -0x1.de9fd217e9b4ep-2, -0x1.d7e5b8edc260fp-2, -0x1.d132908c8d54p-2, -0x1.ca86ec936bebcp-2, -0x1.c3e35ab5bd988p-2, -0x1.bd4862d07d46cp-2, -0x1.b6b68700f8073p-2, -0x1.b02e43bcc5a71p-2, -0x1.a9b00fead0a41p-2, -0x1.a33c5cfd53194p-2, -0x1.9cd3970c9fbdcp-2, -0x1.967624f2a2b99p-2, -0x1.90246866f24cp-2, -0x1.89debe1b5efcbp-2, -0x1.83a57dd8ded7p-2, -0x1.7d78fa9ccae36p-2, -0x1.775982b64d026p-2, -0x1.71475fe3f166ap-2, -0x1.6b42d77147033p-2, -0x1.654c2a5481bccp-2, -0x1.5f63954c085eap-2, -0x1.598950fbe89dfp-2, -0x1.53bd920b1dcfbp-2, -0x1.4e008940a50abp-2, -0x1.485263a04cadep-2, -0x1.42b34a873ca6dp-2, -0x1.3d2363c82eacep-2, -0x1.37a2d1c7493f9p-2, -0x1.3231b3959c155p-2, -0x1.2cd0250c37d41p-2, -0x1.277e3ee6d9982p-2, -0x1.223c16de28f85p-2, -0x1.1d09bfc17df8fp-2, -0x1.17e7499037b98p-2, -0x1.12d4c1929478dp-2, -0x1.0dd232721116fp-2, -0x1.08dfa4514baffp-2, -0x1.03fd1ce365ca5p-2, -0x1.fe553f05d4fd8p-3, -0x1.f4d05a9068683p-3, -0x1.eb6b8a3e9db4fp-3, -0x1.e226c7babfc57p-3, -0x1.d90208ab164b6p-3, -0x1.cffd3edab243ep-3, -0x1.c71858613d1e7p-3, -0x1.be533fc9d35c9p-3, -0x1.b5addc38dbb49p-3, -0x1.ad281190f1977p-3, -0x1.a4c1c096da4d3p-3, -0x1.9c7ac71482e62p-3, -0x1.9452fffb1dde8p-3, -0x1.8c4a438448b5fp-3, -0x1.8460675258438p-3, -0x1.7c953e8fb86bap-3, -0x1.74e89a0d72937p-3, -0x1.6d5a4860d90ddp-3, -0x1.65ea160057829p-3, -0x1.5e97cd5f7581ep-3, -0x1.5763370a0439dp-3, -0x1.504c19be8804dp-3, -0x1.49523a87d4242p-3, -0x1.42755cd5e87b6p-3, -0x1.3bb542960ce75p-3, -0x1.3511ac4a359f2p-3, -0x1.2e8a591fac3a4p-3, -0x1.281f070507084p-3, -0x1.21cf72bf75c37p-3, -0x1.1b9b57ff5d763p-3, -0x1.158271744f03p-3, -0x1.0f8478e05cb3fp-3, -0x1.09a1272acb4dfp-3, -0x1.03d834722d9b2p-3, -0x1.fc52b03bc17fdp-4, -0x1.f12891ddf25fp-4, -0x1.e6317a213976fp-4, -0x1.db6cd44f9a859p-4, -0x1.d0da0ac55614dp-4, -0x1.c678870e66489p-4, -0x1.bc47b202e071dp-4, -0x1.b246f3e26e697p-4, -0x1.a875b46ebe474p-4, -0x1.9ed35b0501153p-4, -0x1.955f4eb6806a4p-4, -0x1.8c18f6603e9c3p-4, -0x1.82ffb8c1c7001p-4, -0x1.7a12fc931323ap-4, -0x1.715228999f074p-4, -0x1.68bca3bcabff5p-4, -0x1.6051d518b5c13p-4, -0x1.5811241221003p-4, -0x1.4ff9f86729c19p-4, -0x1.480bba4112fdcp-4, -0x1.4045d244a0e1bp-4, -0x1.38a7a9a1debdbp-4, -0x1.3130aa2337acbp-4, -0x1.29e03e3be51cap-4, -0x1.22b5d115b9626p-4, -0x1.1bb0ce9e48facp-4, -0x1.14d0a39378a29p-4, -0x1.0e14bd8f739bdp-4, -0x1.077c8b140d79p-4, -0x1.01077b95950f6p-4, -0x1.f569ff0a39902p-5, -0x1.e90910b47157fp-5, -0x1.dceb1138785e9p-5, -0x1.d10ee7d5ea906p-5, -0x1.c5737e0dd865cp-5, -0x1.ba17bfb2561bfp-5, -0x1.aefa9af51d6fap-5, -0x1.a41b00754febap-5, -0x1.9977e34c5917dp-5, -0x1.8f103919fbca4p-5, -0x1.84e2fa0f8e79fp-5, -0x1.7aef20fa71d4cp-5, -0x1.7133ab4dbec88p-5, -0x1.67af992b3d3c8p-5, -0x1.5e61ed6b9d807p-5, -0x1.5549ada60661dp-5, -0x1.4c65e236f248p-5, -0x1.43b596466967fp-5, -0x1.3b37d7cd9a1f7p-5, -0x1.32ebb79bd5185p-5, -0x1.2ad0495af54b4p-5, -0x1.22e4a39334962p-5, -0x1.1b27dfae75589p-5, -0x1.139919fb049a7p-5, -0x1.0c3771add7e6ep-5, -0x1.050208e450b71p-5, -0x1.fbf0094b0535dp-6, -0x1.ee3119c60d5c2p-6, -0x1.e0c598f2bad04p-6, -0x1.d3abe25fcaedap-6, -0x1.c6e25770cddbdp-6, -0x1.ba675f5c7cd3cp-6, -0x1.ae39672a47231p-6, -0x1.a256e1af2e8fep-6, -0x1.96be4789e88e2p-6, -0x1.8b6e171e61205p-6, -0x1.8064d4908f34bp-6, -0x1.75a109beb1b77p-6, -0x1.6b21463af8debp-6, -0x1.60e41f449f351p-6, -0x1.56e82fc078039p-6, -0x1.4d2c1830ff11dp-6, -0x1.43ae7eadea70ap-6, -0x1.3a6e0edb48287p-6, -0x1.316979e029e89p-6, -0x1.289f765ce50cdp-6, -0x1.200ec060f3a3p-6, -0x1.17b619606a7b2p-6, -0x1.0f94482923ebcp-6, -0x1.07a818d788128p-6, -0x1.ffe0b99610c1bp-7, -0x1.f0d7d534ac65p-7, -0x1.e2333c0e8b4ep-7, -0x1.d3f0afe4f4984p-7, -0x1.c60dfc9d9802cp-7, -0x1.b888f828f2632p-7, -0x1.ab5f82683d47fp-7, -0x1.9e8f8512faaf2p-7, -0x1.9216f39c26a9dp-7, -0x1.85f3cb171e692p-7, -0x1.7a24121c2796dp-7, -0x1.6ea5d8acb9c1ep-7, -0x1.637738178caedp-7, -0x1.589652dc6e5c2p-7, -0x1.4e01548fd4115p-7, -0x1.43b671be5bf1dp-7, -0x1.39b3e7d010a44p-7, -0x1.2ff7fceb98d8fp-7, -0x1.2680ffd93ed82p-7, -0x1.1d4d47e5f835p-7, -0x1.145b34c6438f2p-7, -0x1.0ba92e790c86p-7, -0x1.0335a52a7c1bfp-7, -0x1.f5fe222dab403p-8, -0x1.e607e4da83b92p-8, -0x1.d685a265680b2p-8, -0x1.c7747a49920fdp-8, -0x1.b8d19b398521cp-8, -0x1.aa9a42e5123efp-8, -0x1.9ccbbdbf8935p-8, -0x1.8f6366c62f534p-8, -0x1.825ea746dd84ep-8, -0x1.75baf6a6d54e9p-8, -0x1.6975da29f1465p-8, -0x1.5d8ce4ba17f9bp-8, -0x1.51fdb6aeea7f6p-8, -0x1.46c5fd95e508cp-8, -0x1.3be373facb2a8p-8, -0x1.3153e13075d18p-8, -0x1.27151919fdd28p-8, -0x1.1d24fbf458c15p-8, -0x1.138176205a446p-8, -0x1.0a287fed232efp-8, -0x1.01181d63071b6p-8, -0x1.f09cbc1ddb2e4p-9, -0x1.df92b99c3b675p-9, -0x1.cf0e7f351ce6fp-9, -0x1.bf0c6eaf6a10dp-9, -0x1.af88ff3fbdecdp-9, -0x1.a080bd23fc6c3p-9, -0x1.91f0493ff4644p-9, -0x1.83d458bb453bcp-9, -0x1.7629b4a022656p-9, -0x1.68ed397b47f8dp-9, -0x1.5c1bd6fd04d4cp-9, -0x1.4fb28f9b5d19bp-9, -0x1.43ae783551f1cp-9, -0x1.380cb7b750538p-9, -0x1.2cca86c0b9dp-9, -0x1.21e52f4a8e2a9p-9, -0x1.175a0c4f58138p-9, -0x1.0d2689741c479p-9, -0x1.034822b28900ap-9, -0x1.f378c808ca507p-10, -0x1.e101d21fe0f6p-10, -0x1.cf26b9ab3ce6cp-10, -0x1.bde2f2bdc8f91p-10, -0x1.ad320edca4115p-10, -0x1.9d0fbc616eddcp-10, -0x1.8d77c5def3ed7p-10, -0x1.7e66118827e1cp-10, -0x1.6fd6a0999ba02p-10, -0x1.61c58ec51e167p-10, -0x1.542f119fcfff7p-10, -0x1.470f781258966p-10, -0x1.3a6329cb84698p-10, -0x1.2e26a6b5129e7p-10, -0x1.2256866aea152p-10, -0x1.16ef77b4883edp-10, -0x1.0bee4000a2e85p-10, -0x1.014fbae2f365cp-10, -0x1.ee21b328af316p-11, -0x1.da5d44ea1a0dap-11, -0x1.c74c61225d16ap-11, -0x1.b4e9664ef891bp-11, -0x1.a32eda63e6bc8p-11, -0x1.921769e164e6dp-11, -0x1.819de6ee2599cp-11, -0x1.71bd48753159bp-11, -0x1.6270a948ca41cp-11, -0x1.53b347487e528p-11, -0x1.4580828b9ab3bp-11, -0x1.37d3dc8fc761cp-11, -0x1.2aa8f76b56de5p-11, -0x1.1dfb9503b25e1p-11, -0x1.11c79647e4415p-11, -0x1.0608fa6e8b594p-11, -0x1.f577bc6f116d1p-12, -0x1.dfb8f6639fa0ep-12, -0x1.cace4e097d174p-12, -0x1.b6b0a579af0a7p-12, -0x1.a3591439c6553p-12, -0x1.90c0e5e362dcep-12, -0x1.7ee198d3533cep-12, -0x1.6db4dce0519a7p-12, -0x1.5d34921784c06p-12, -0x1.4d5ac78089abdp-12, -0x1.3e21b9e7fa05ep-12, -0x1.2f83d2b0818f5p-12, -0x1.217ba6a9d926bp-12, -0x1.1403f4ee7a2fp-12, -0x1.0717a5c7b61e8p-12, -0x1.f563932f99c2cp-13, -0x1.dd9b2f9436902p-13, -0x1.c6ccdb939c16cp-13, -0x1.b0ef9bf9de025p-13, -0x1.9bfabd8d87a0ep-13, -0x1.87e5d31deb403p-13, -0x1.74a8b39d5b61ap-13, -0x1.623b7846488f5p-13, -0x1.50967acb5ed73p-13, -0x1.3fb253923ef25p-13, -0x1.2f87d7f76f4edp-13, -0x1.2010189dce74ap-13, -0x1.11445fc7cb9d1p-13, -0x1.031e2fbaa3a44p-13, -0x1.eb2e8255f3c9ap-14, -0x1.d1530367e53fdp-14, -0x1.b89e24ac30fc1p-14, -0x1.a1048c0006ca8p-14, -0x1.8a7b4041bb1fbp-14, -0x1.74f7a6852c5efp-14, -0x1.606f7f5acb3e4p-14, -0x1.4cd8e428a39bdp-14, -0x1.3a2a44924730bp-14, -0x1.285a63f14936ep-14, -0x1.176056de9be4bp-14, -0x1.073380cac12e6p-14, -0x1.ef97234bd1755p-15, -0x1.d241072f50585p-15, -0x1.b655318ae78dcp-15, -0x1.9bc4b24dbfd91p-15, -0x1.828120d0b685p-15, -0x1.6a7c97b6e42e8p-15, -0x1.53a9b0e9c518fp-15, -0x1.3dfb81b324e09p-15, -0x1.296596eb9b10bp-15, -0x1.15dbf147481d8p-15, -0x1.035301bb16f16p-15, -0x1.e37f4beeeec8dp-16, -0x1.c22e49fac8a4dp-16, -0x1.a29e5791d8aafp-16, -0x1.84bb942b58194p-16, -0x1.6872de6d10164p-16, -0x1.4db1ce0d68cbfp-16, -0x1.3466adda5a376p-16, -0x1.1c8075eeff793p-16, -0x1.05eec60b7c20dp-16, -0x1.e143c037a508bp-17, -0x1.b91545bddf48dp-17, -0x1.93350978487cdp-17, -0x1.6f871d6f66612p-17, -0x1.4df0af183efb7p-17, -0x1.2e57fddcfa714p-17, -0x1.10a451d303649p-17, -0x1.e97be59428f1fp-18, -0x1.b51c3f1320dfbp-18, -0x1.83fe0abf6fddp-18, -0x1.55f76fd573f7dp-18, -0x1.2ae05235d38b2p-18, -0x1.029242e8ff5ccp-18, -0x1.b9d0e250a4f14p-19, -0x1.737f375a64f7cp-19, -0x1.31ec054347109p-19, -0x1.e9ad672f5b841p-20, -0x1.7802ed58a7f1bp-20, -0x1.0e626b56c696fp-20, -0x1.58b5c672032bp-21, -0x1.4601685770ec7p-22, 0x1.4a2b526ce0fa3p-27, 0x1.4116bcd939f7p-22, 0x1.2fe36ab96d022p-21, 0x1.b3e43f1b3c30dp-21, 0x1.169c7e2f92864p-20, 0x1.4e4263c0de129p-20, 0x1.81318bcb16b57p-20, 0x1.afb40099272e7p-20, 0x1.da103f6144cfap-20, 0x1.0044adecb66dbp-19, 0x1.11af910f44a2p-19, 0x1.21671bf373ae3p-19, 0x1.2f881e366f441p-19, 0x1.3c2df3a7cefaep-19, 0x1.4772932bd12cap-19, 0x1.516e9d41c65d7p-19, 0x1.5a3969ed3401ep-19, 0x1.61e91621930d8p-19, 0x1.689290e261f78p-19, 0x1.6e49a7ce23e41p-19, 0x1.7321134c562cfp-19, 0x1.772a82573e183p-19, 0x1.7a76a5ba930b6p-19, 0x1.7d153b10f1debp-19, 0x1.7f15175bea281p-19, 0x1.80843114d27b8p-19, 0x1.816faa1a1f11cp-19, 0x1.81e3d9191c9c6p-19, 0x1.81ec52bf9000bp-19, 0x1.8193f285e2507p-19, 0x1.80e4e3317e00dp-19, 0x1.7fe8a6ecabd74p-19, 0x1.7ea81f3f8c872p-19, 0x1.7d2b94a42026p-19, 0x1.7b7abdb9f090cp-19, 0x1.799cc6656dddbp-19, 0x1.77985682aa581p-19, 0x1.75739870b1dfdp-19, 0x1.73343f5ab31bep-19, 0x1.70df8d38967e7p-19, 0x1.6e7a588a84153p-19, 0x1.6c0911f39802cp-19, 0x1.698fc99464a67p-19, 0x1.671234182ae6cp-19, 0x1.6493afa7d9066p-19, 0x1.621748ad7ea79p-19, 0x1.5f9fbe45283bap-19, 0x1.5d2f86b36e0bp-19, 0x1.5ac8d37df75bcp-19, 0x1.586d956c489dp-19, 0x1.561f80569391bp-19, 0x1.53e00ed7396b3p-19, 0x1.51b085cbec35ap-19, 0x1.4f91f79c6ae8ap-19, 0x1.4d85478814c2p-19, 0x1.4b8b2caaffc6cp-19, 0x1.49a434e970e04p-19, 0x1.47d0c7cb9f27ep-19, 0x1.4611291c882c6p-19, 0x1.44657b7d3664ep-19, 0x1.42cdc2cf83f58p-19, 0x1.4149e68d76174p-19, 0x1.3fd9b3fbbb428p-19, 0x1.3e7ce0359d7ebp-19, 0x1.3d330a4165d8fp-19, 0x1.3bfbbcf0d58d1p-19, 0x1.3ad670b1073ddp-19, 0x1.39c28d462bbccp-19, 0x1.38bf6b649cc8p-19, 0x1.37cc5643fc32dp-19, 0x1.36e88d12231f3p-19, 0x1.3613445d58964p-19, 0x1.354ba75dceffcp-19, 0x1.3490d9338e975p-19, 0x1.33e1f61191482p-19, 0x1.333e145f125a7p-19, 0x1.32a445bffb15bp-19, 0x1.3213980eeaa5bp-19, 0x1.318b164c6efd6p-19, 0x1.3109c979ea969p-19, 0x1.308eb96d77187p-19, 0x1.3018ed91a5dbep-19, 0x1.2fa76d9d22de7p-19, 0x1.2f394238695acp-19, 0x1.2ecd75a35099ap-19, 0x1.2e631440b531fp-19, 0x1.2df92d29745b3p-19, 0x1.2d8ed2a499a36p-19, 0x1.2d231a9d9f315p-19, 0x1.2cb51f10540a4p-19, 0x1.2c43fe6c9098ap-19, 0x1.2bcedbef8a4bep-19, 0x1.2b54dff8b1d2bp-19, 0x1.2ad5385018ffap-19, 0x1.2a4f186d6bad1p-19, 0x1.29c1b9b647a16p-19, 0x1.292c5baf8abe7p-19, 0x1.288e443141582p-19, 0x1.27e6bf8f51a95p-19, 0x1.273520bce137p-19, 0x1.2678c16c62bb4p-19, 0x1.25b102297c992p-19, 0x1.24dd4a6dc7cb8p-19, 0x1.23fd08b48e4d1p-19, 0x1.230fb2804a3cdp-19, 0x1.2214c4652baafp-19, 0x1.210bc211da73ep-19, 0x1.1ff4364cfb918p-19, 0x1.1ecdb2f21e3c8p-19, 0x1.1d97d0ef1e13bp-19, 0x1.1c52303aaa83cp-19, 0x1.1afc77c59bb6cp-19, 0x1.1996556dbf5d4p-19, 0x1.181f7defe98b1p-19, 0x1.1697acd673e2dp-19, 0x1.14fea461718c2p-19, 0x1.13542d7065f8cp-19, 0x1.1198176a743dfp-19, 0x1.0fca3825abe2p-19, 0x1.0dea6bc83a4d1p-19, 0x1.0bf894ac63008p-19, 0x1.09f49b46369p-19, 0x1.07de6dff07403p-19, 0x1.05b60116d13abp-19, 0x1.037b4e7ffcffp-19, 0x1.012e55c282e33p-19, 0x1.fd9e37ae60d9fp-20, 0x1.f8bb56039c07dp-20, 0x1.f3b4255ee63f7p-20, 0x1.ee88cea24b39p-20, 0x1.e939846a39bfcp-20, 0x1.e3c682c437e61p-20, 0x1.de300ee7d4399p-20, 0x1.d87676ea70066p-20, 0x1.d29a116f64e3cp-20, 0x1.cc9b3d5ada8b9p-20, 0x1.c67a6189c9676p-20, 0x1.c037ec81a70e1p-20, 0x1.b9d4542df4101p-20, 0x1.b350158c00df8p-20, 0x1.acabb467bb12fp-20, 0x1.a5e7bb0d03507p-20, 0x1.9f04b9fa26e9cp-20, 0x1.9803479802b12p-20, 0x1.90e3fff85027cp-20, 0x1.89a784865c4ebp-20, 0x1.824e7bc483008p-20, 0x1.7ad9910123cfcp-20, 0x1.734974144ca53p-20, 0x1.6b9ed919d58fdp-20, 0x1.63da78317c455p-20, 0x1.5bfd0d3b8c7f6p-20, 0x1.54075797a3ea8p-20, 0x1.4bfa19e894f3ap-20, 0x1.43d619cf40d32p-20, 0x1.3b9c1fa96cc6ep-20, 0x1.334cf65e054edp-20, 0x1.2ae96b227d71bp-20, 0x1.22724d3bdb33ap-20, 0x1.19e86dc65f62ap-20, 0x1.114c9f7e55b02p-20, 0x1.089fb6899ba53p-20, 0x1.ffc51085340adp-21, 0x1.ee2bd60f87eadp-21, 0x1.dc756c13e5587p-21, 0x1.caa3822feb0c3p-21, 0x1.b8b7c8eadd14bp-21, 0x1.a6b3f14765524p-21, 0x1.9499ac6a8b20dp-21, 0x1.826aab47591f9p-21, 0x1.70289e5c24e3fp-21, 0x1.5dd5354f819e7p-21, 0x1.4b721e9c50e03p-21, 0x1.3901074f0eea4p-21, 0x1.26839ab2dec98p-21, 0x1.13fb820c25e47p-21, 0x1.016a6455acb64p-21, 0x1.dda3cc0d5855p-22, 0x1.b867518bbfbd8p-22, 0x1.93229666c20afp-22, 0x1.6dd8d158d49b5p-22, 0x1.488d32091263p-22, 0x1.2342e0a9cd9efp-22, 0x1.fbf9fb362d6dep-23, 0x1.b17d423736d18p-23, 0x1.6715b5771247bp-23, 0x1.1cc9622f8eed7p-23, 0x1.a53c85f33091p-24, 0x1.11347e2dcf1cp-24, 0x1.f6194f9327108p-26, -0x1.5c27b2f4ed8acp-28, -0x1.513535b84131p-25, -0x1.3af6e2378e937p-24, -0x1.cccc54454c67ap-24, -0x1.2f08107d85342p-23, -0x1.775bd33127789p-23, -0x1.bf5c389726a64p-23, -0x1.03820f6066bd2p-22, -0x1.27273dceecaeep-22, -0x1.4a9b2ec7bce16p-22, -0x1.6ddb75d5d2d91p-22, -0x1.90e5b2f5f5672p-22, -0x1.b3b792c895a6bp-22, -0x1.d64ece9cb50f4p-22, -0x1.f8a92c9addb5ap-22, -0x1.0d623fdbf6f73p-21, -0x1.1e4f53ee7486ap-21, -0x1.2f1ac8fff2c13p-21, -0x1.3fc39c1262329p-21, -0x1.5048d0bdcde9cp-21, -0x1.60a9712f20b9ap-21, -0x1.70e48e307ef84p-21, -0x1.80f93f1f48649p-21, -0x1.90e6a1eec7c09p-21, -0x1.a0abdb3540374p-21, -0x1.b048161f9ba8dp-21, -0x1.bfba8470e3c64p-21, -0x1.cf025e8463669p-21, -0x1.de1ee34304045p-21, -0x1.ed0f5823fde86p-21, -0x1.fbd30914d367p-21, -0x1.0534a4424f78p-20, -0x1.0c68b7aa6753ep-20, -0x1.13856e69a5d6ep-20, -0x1.1a8a7b5972fcdp-20, -0x1.2177947e9b523p-20, -0x1.284c7305f9a31p-20, -0x1.2f08d33b2083bp-20, -0x1.35ac748016b42p-20, -0x1.3c37194ef0698p-20, -0x1.42a8872d6deccp-20, -0x1.490086a5bdb49p-20, -0x1.4f3ee342e5848p-20, -0x1.55636b85780d5p-20, -0x1.5b6df0defbcadp-20, -0x1.615e47a36cea1p-20, -0x1.673447044475fp-20, -0x1.6cefc90ae9a2bp-20, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.06b544e5d6a71p-10, 0x1.05ceda2037a03p-9, 0x1.8633564b1834dp-9, 0x1.017bd2079311ep-8, 0x1.3d0d2fa773476p-8, 0x1.74982c008d3ffp-8, 0x1.a6bae3a514d75p-8, 0x1.d1f25f8f13698p-8, 0x1.f4a6c2e2db711p-8, 0x1.069baafeee56p-7, 0x1.0d02de8e41f3ep-7, 0x1.0cbff91a9facp-7, 0x1.0514669107e96p-7, 0x1.ea9f08acb1768p-8, 0x1.b9a2cae5db6edp-8, 0x1.7619c69370b78p-8, 0x1.1f1214d26a0e1p-8, 0x1.6787d6073cb0ep-9, 0x1.9c9298386f077p-11, -0x1.87d3d19f4de32p-10, -0x1.0d1a4afe2724p-8, -0x1.cdfd9423ca076p-8, -0x1.524c07c26c88ep-7, -0x1.c85f44ccc5373p-7, -0x1.2488f309f2671p-6, -0x1.6a16ce828efffp-6, -0x1.b4b6e129310dcp-6, -0x1.02202d89d533fp-5, -0x1.2c424ff2f4e2bp-5, -0x1.58a7f9f422fb8p-5, -0x1.8735123a1c64ep-5, -0x1.b7cb951d4f551p-5, -0x1.ea4be223da957p-5, -0x1.0f4a82becb3f3p-4, -0x1.2a427e9bc216fp-4, -0x1.45fc7d001054cp-4, -0x1.6266cdb6721ep-4, -0x1.7f6f93e1b2cf1p-4, -0x1.9d04dfab66646p-4, -0x1.bb14c5caa38a6p-4, -0x1.d98d74f48f48dp-4, -0x1.f85d494b9fe44p-4, -0x1.0bb96ef22c4e7p-3, -0x1.1b5e8e3bcc76dp-3, -0x1.2b15a5ada40b9p-3, -0x1.3ad68ced1dca4p-3, -0x1.4a99558227daep-3, -0x1.5a564f87813fap-3, -0x1.6a060daf3acd6p-3, -0x1.79a168a6f9cd7p-3, -0x1.892181e7237edp-3, -0x1.987fc5f7a10c7p-3, -0x1.a7b5ee348c8f1p-3, -0x1.b6be021c84cbdp-3, -0x1.c5925832100e4p-3, -0x1.d42d9678ec637p-3, -0x1.e28ab297c9d89p-3, -0x1.f0a4f1a668503p-3, -0x1.fe77e7afcec54p-3, -0x1.05ffbb77de96ap-2, -0x1.0c9be76919041p-2, -0x1.130eb55dbd158p-2, -0x1.1956884f6e13dp-2, -0x1.1f71e7b4ca2d3p-2, -0x1.255f7ea3c49fp-2, -0x1.2b1e1ae36529p-2, -0x1.30acabef4590dp-2, -0x1.360a41ef056ebp-2, -0x1.3b360ca3ca313p-2, -0x1.402f5a4dadcdap-2, -0x1.44f5968aeddefp-2, -0x1.4988493277bc6p-2, -0x1.4de7152b614fdp-2, -0x1.5211b742a6996p-2, -0x1.56080500835d9p-2, -0x1.59c9eb7e84a92p-2, -0x1.5d576e3f6ac52p-2, -0x1.60b0a609ca692p-2, -0x1.63d5bfc64bb8ap-2, -0x1.66c6fb624abfap-2, -0x1.6984aab78415bp-2, -0x1.6c0f30796a38p-2, -0x1.6e66ff28a2b52p-2, -0x1.708c980d24fe7p-2, -0x1.72808a3751f3ep-2, -0x1.744371885c901p-2, -0x1.75d5f5c24147fp-2, -0x1.7738c99f81555p-2, -0x1.786ca9f2c6dd9p-2, -0x1.79725cce8fdd1p-2, -0x1.7a4ab0b4ec26dp-2, -0x1.7af67bcf5ddecp-2, -0x1.7b769b2ecad52p-2, -0x1.7bcbf213871fcp-2, -0x1.7bf7693d5a974p-2, -0x1.7bf9ee436c1cdp-2, -0x1.7bd472f3fb58fp-2, -0x1.7b87ecbbbe498p-2, -0x1.7b155414c3d68p-2, -0x1.7a7da3fcacce9p-2, -0x1.79c1d9720e6f3p-2, -0x1.78e2f2f8d12bcp-2, -0x1.77e1f025567c2p-2, -0x1.76bfd12e35c2bp-2, -0x1.757d9684563bp-2, -0x1.741c407138357p-2, -0x1.729ccebb2ac44p-2, -0x1.7100404f46461p-2, -0x1.6f4792f0e7a29p-2, -0x1.6d73c2ee7c47fp-2, -0x1.6b85cadb69422p-2, -0x1.697ea34ed590bp-2, -0x1.675f42a71efecp-2, -0x1.65289cd1d2c9bp-2, -0x1.62dba317e4994p-2, -0x1.607943ee02cc3p-2, -0x1.5e026ac8cd9bdp-2, -0x1.5b77fff4c43a3p-2, -0x1.58dae871bc5f8p-2, -0x1.562c05d1b3e76p-2, -0x1.536c361ad4e78p-2, -0x1.509c53ac8045bp-2, -0x1.4dbd352736c6ep-2, -0x1.4acfad573c16bp-2, -0x1.47d48b21cae06p-2, -0x1.44cc9974b96d4p-2, -0x1.41b89f386ab94p-2, -0x1.3e995f43ec51ap-2, -0x1.3b6f98531c0d5p-2, -0x1.383c04fec3264p-2, -0x1.34ff5bb67c097p-2, -0x1.31ba4ebc4f84bp-2, -0x1.2e6d8c21ed9cfp-2, -0x1.2b19bdc76889cp-2, -0x1.27bf895b5855ap-2, -0x1.245f905c51943p-2, -0x1.20fa701b9a847p-2, -0x1.1d90c1c1082f5p-2, -0x1.1a231a4ff029ep-2, -0x1.16b20aad1c10ep-2, -0x1.133e1fa5b03bp-2, -0x1.0fc7e1f6ed707p-2, -0x1.0c4fd656c69f2p-2, -0x1.08d67d7d33acap-2, -0x1.055c542e389a2p-2, -0x1.01e1d3448e80ep-2, -0x1.fccedf79cc1adp-3, -0x1.f5db35836907fp-3, -0x1.eee9836efc3abp-3, -0x1.e7fa9c932e46p-3, -0x1.e10f4cee9e12ap-3, -0x1.da285942f0accp-3, -0x1.d3467f309725bp-3, -0x1.cc6a7553283cp-3, -0x1.c594eb5e4b261p-3, -0x1.bec68a3b1678dp-3, -0x1.b7fff425e1676p-3, -0x1.b141c4cc6f9c9p-3, -0x1.aa8c916c6b5d8p-3, -0x1.a3e0e8f22528dp-3, -0x1.9d3f54178f271p-3, -0x1.96a855835a072p-3, -0x1.901c69e83dd5fp-3, -0x1.899c0824538cep-3, -0x1.8327a16081188p-3, -0x1.7cbfa12fe39d2p-3, -0x1.76646daf3c5eep-3, -0x1.701667a44eb62p-3, -0x1.69d5ea9d29c7cp-3, -0x1.63a34d0f58bc8p-3, -0x1.5d7ee076f50efp-3, -0x1.5768f17587989p-3, -0x1.5161c7f0c66e9p-3, -0x1.4b69a7311c363p-3, -0x1.4580cdfff1e67p-3, -0x1.3fa776c5c4a3ap-3, -0x1.39ddd7a7f1b86p-3, -0x1.342422a63ed3bp-3, -0x1.2e7a85b81be84p-3, -0x1.28e12ae9909acp-3, -0x1.23583877de0acp-3, -0x1.1ddfd0edc8a57p-3, -0x1.1878133f8ca5fp-3, -0x1.13211ae674775p-3, -0x1.0ddafffc18e33p-3, -0x1.08a5d7553b372p-3, -0x1.0381b29c414cp-3, -0x1.fcdd40d6a3591p-4, -0x1.f2d958cc0391bp-4, -0x1.e8f7bea54dd82p-4, -0x1.df387e6677c5dp-4, -0x1.d59b9ebbb8658p-4, -0x1.cc212129a8026p-4, -0x1.c2c9023c9769cp-4, -0x1.b99339b6fb709p-4, -0x1.b07fbabf0e29cp-4, -0x1.a78e740b95f78p-4, -0x1.9ebf500fc2a2fp-4, -0x1.961235264105bp-4, -0x1.8d8705bb62f71p-4, -0x1.851da0767a191p-4, -0x1.7cd5e06249ba4p-4, -0x1.74af9d14a3ac5p-4, -0x1.6caaaad527f95p-4, -0x1.64c6dac329ec3p-4, -0x1.5d03fafaba414p-4, -0x1.5561d6b8db6a5p-4, -0x1.4de0367ed8b16p-4, -0x1.467ee034cc888p-4, -0x1.3f3d974b4d3d2p-4, -0x1.381c1cdc48d91p-4, -0x1.311a2fcb0cad6p-4, -0x1.2a378ce37f631p-4, -0x1.2373eef88958dp-4, -0x1.1ccf0f01b419bp-4, -0x1.1648a437fc2cbp-4, -0x1.0fe06431dddc4p-4, -0x1.099602fe99f78p-4, -0x1.03693340b85bbp-4, -0x1.fab34c8f9032cp-5, -0x1.eece1852c49cbp-5, -0x1.e32227b2e0785p-5, -0x1.d7aed6836fe56p-5, -0x1.cc737eb163b07p-5, -0x1.c16f786f55dbdp-5, -0x1.b6a21a606a174p-5, -0x1.ac0ab9c1cf6e5p-5, -0x1.a1a8aa92f08b7p-5, -0x1.977b3fbc463fap-5, -0x1.8d81cb34ee151p-5, -0x1.83bb9e26e9d64p-5, -0x1.7a2809122c9fdp-5, -0x1.70c65bee62d7dp-5, -0x1.6795e64b8b35dp-5, -0x1.5e95f77162421p-5, -0x1.55c5de7d9b613p-5, -0x1.4d24ea810335cp-5, -0x1.44b26a9b7d47p-5, -0x1.3c6dae16ebb1bp-5, -0x1.34560481073a2p-5, -0x1.2c6abdc42a8eep-5, -0x1.24ab2a3f176bdp-5, -0x1.1d169adbbf77bp-5, -0x1.15ac61251027bp-5, -0x1.0e6bcf5bc7ffp-5, -0x1.0754388a6666dp-5, -0x1.0064f0982a839p-5, -0x1.f33a98b65ee6bp-6, -0x1.e5f9435366aa8p-6, -0x1.d9048ed4f8dbcp-6, -0x1.cc5b2b48e6919p-6, -0x1.bffbcb1ad430dp-6, -0x1.b3e5233048aa8p-6, -0x1.a815eb032982ap-6, -0x1.9c8cdcbac6d04p-6, -0x1.9148b54372494p-6, -0x1.86483464b8927p-6, -0x1.7b8a1cd63516ap-6, -0x1.710d345322df3p-6, -0x1.66d043ac998bdp-6, -0x1.5cd216da98e3p-6, -0x1.53117d0bd3818p-6, -0x1.498d48b45d3f4p-6, -0x1.40444f9b2feb8p-6, -0x1.37356ae69e4cep-6, -0x1.2e5f7727ab8b8p-6, -0x1.25c1546472a5fp-6, -0x1.1d59e6217efafp-6, -0x1.1528136a30a4cp-6, -0x1.0d2ac6d83d8a4p-6, -0x1.0560ee9a4aecfp-6, -0x1.fb92f8f34fc91p-7, -0x1.ecc6cbbe6277p-7, -0x1.de5b47aee626cp-7, -0x1.d04e662bf1ac4p-7, -0x1.c29e27efcdcd1p-7, -0x1.b548950bbab5ap-7, -0x1.a84bbcea4ff6p-7, -0x1.9ba5b650932a9p-7, -0x1.8f549f5dbcep-7, -0x1.83569d89d7534p-7, -0x1.77a9dda3316b8p-7, -0x1.6c4c93caae616p-7, -0x1.613cfb6ef64a9p-7, -0x1.56795746c2a78p-7, -0x1.4bfff14a20f22p-7, -0x1.41cf1aaabd0e3p-7, -0x1.37e52bcb5adeap-7, -0x1.2e40843667c79p-7, -0x1.24df8a93cf999p-7, -0x1.1bc0ac9e02bedp-7, -0x1.12e25f1648d39p-7, -0x1.0a431db85443p-7, -0x1.01e16b2d5079ap-7, -0x1.f377a1fc4f5b9p-8, -0x1.e3a1bf0abf0f1p-8, -0x1.d43e5bc0a98d6p-8, -0x1.c54ab3bfce707p-8, -0x1.b6c40ff182ed4p-8, -0x1.a8a7c6663fc8cp-8, -0x1.9af33a3474658p-8, -0x1.8da3db567ae4dp-8, -0x1.80b72687c46e2p-8, -0x1.742aa52172409p-8, -0x1.67fbecf647029p-8, -0x1.5c28a02e0252p-8, -0x1.50ae6d205c119p-8, -0x1.458b0e2f3c155p-8, -0x1.3abc49a0bce4fp-8, -0x1.303ff178b5751p-8, -0x1.2613e351f6e0dp-8, -0x1.1c3608374a86cp-8, -0x1.12a4547c03c77p-8, -0x1.095cc7947c176p-8, -0x1.005d6bee3f21p-8, -0x1.ef48ad9063aa6p-9, -0x1.de5f5014fcc04p-9, -0x1.cdfb143d3fd8ap-9, -0x1.be18638e27867p-9, -0x1.aeb3bbee3cd3ep-9, -0x1.9fc9af556c5b2p-9, -0x1.9156e37c71897p-9, -0x1.8358118cf9f7ep-9, -0x1.75ca05d17a83dp-9, -0x1.68a99f65262edp-9, -0x1.5bf3cfe495324p-9, -0x1.4fa59b1e4bfc3p-9, -0x1.43bc16c3d099dp-9, -0x1.38346a1b5ca1dp-9, -0x1.2d0bcdb18fae8p-9, -0x1.223f8b0b9a50fp-9, -0x1.17ccfc5a382e7p-9, -0x1.0db18c2cebfb7p-9, -0x1.03eab525c201fp-9, -0x1.f4ec035c2c59bp-10, -0x1.e2a21756ed936p-10, -0x1.d0f2f86a4432ep-10, -0x1.bfda16954959cp-10, -0x1.af52ff153af0bp-10, -0x1.9f595bd514fbap-10, -0x1.8fe8f2de85b4ep-10, -0x1.80fda5cc835d9p-10, -0x1.7293713e8c10dp-10, -0x1.64a66c4e3ff25p-10, -0x1.5732c8063d5edp-10, -0x1.4a34ceda9ed1fp-10, -0x1.3da8e42324a38p-10, -0x1.318b8397638efp-10, -0x1.25d940cb7c964p-10, -0x1.1a8ec6af95b5ep-10, -0x1.0fa8d71070924p-10, -0x1.05244a19fbb11p-10, -0x1.f5fc1bb6d61d5p-11, -0x1.e2664b9aab6edp-11, -0x1.cf8154b3081f5p-11, -0x1.bd4790c7ab903p-11, -0x1.abb381ab2f978p-11, -0x1.9abfd054ed307p-11, -0x1.8a674bfe27bfp-11, -0x1.7aa4e9429b0a6p-11, -0x1.6b73c145b4793p-11, -0x1.5ccf10d9d1c49p-11, -0x1.4eb237aaf5f9bp-11, -0x1.4118b76e59ed5p-11, -0x1.33fe33144ce85p-11, -0x1.275e6dfe077cdp-11, -0x1.1b354b36f0626p-11, -0x1.0f7eccb1abd99p-11, -0x1.04371287c9de8p-11, -0x1.f2b4b47a321b9p-12, -0x1.ddc9fc0d6418cp-12, -0x1.c9a6e82a5d6a8p-12, -0x1.b6449bc4480adp-12, -0x1.a39c6f028019bp-12, -0x1.91a7ede95a2f2p-12, -0x1.8060d708be9edp-12, -0x1.6fc11a30dcc7cp-12, -0x1.5fc2d72dd884ap-12, -0x1.50605c8b7c59dp-12, -0x1.4194265bd73bfp-12, -0x1.3358dd06957a3p-12, -0x1.25a9541ee00a5p-12, -0x1.1880893d52785p-12, -0x1.0bd9a2e0f05dfp-12, -0x1.ff5fdeab14edbp-13, -0x1.e7fdc742a8a82p-13, -0x1.d18434ee19173p-13, -0x1.bbeaa65c8f862p-13, -0x1.a728e18399236p-13, -0x1.9336f1a64c806p-13, -0x1.800d256788d6dp-13, -0x1.6da40ce5f7006p-13, -0x1.5bf477e354d71p-13, -0x1.4af773f8bfd87p-13, -0x1.3aa64ad223581p-13, -0x1.2afa807490ba8p-13, -0x1.1bedd1921c415p-13, -0x1.0d7a31e2b5424p-13, -0x1.ff3395146af2cp-14, -0x1.e48df109abba2p-14, -0x1.caf8964112f8ap-14, -0x1.b26904fd247e4p-14, -0x1.9ad51c39ff48p-14, -0x1.843316d53139bp-14, -0x1.6e7988c8bfb0bp-14, -0x1.599f5c72af44ep-14, -0x1.459bcff1f9ffcp-14, -0x1.3266728e1ced1p-14, -0x1.1ff7223839007p-14, -0x1.0e460916c8a04p-14, -0x1.fa97364135589p-15, -0x1.da0127937da97p-15, -0x1.babbe7841e3f2p-15, -0x1.9cb9fd76df423p-15, -0x1.7fee729150cc1p-15, -0x1.644ccd7a51a9ep-15, -0x1.49c90e4eb6464p-15, -0x1.3057aaabf6cc8p-15, -0x1.17ed89cdc1723p-15, -0x1.008000c9c75f8p-15, -0x1.d4099de160f4fp-16, -0x1.a8e43469bcecep-16, -0x1.7f7cd7772f733p-16, -0x1.57c158fafa4d6p-16, -0x1.31a043f5d1c95p-16, -0x1.0d08d6280caep-16, -0x1.d3d5f3ce8bfd8p-17, -0x1.906e8024667cep-17, -0x1.4fbdb47b7219ap-17, -0x1.11a72a2fd81c8p-17, -0x1.ac1f4b5f39b9ep-18, -0x1.39ba17af4091cp-18, -0x1.97d95e673595fp-19, -0x1.8a1c7e95635e8p-20, 0x1.524257e069e4ep-25, 0x1.8f08e80ca50cep-20, 0x1.81f83af7f25d1p-19, 0x1.1a7a7edb09e5bp-18, 0x1.7063f1db1b9adp-18, 0x1.c2dd5edc39ea5p-18, 0x1.0905099cec9b1p-17, 0x1.2f05e87fca678p-17, 0x1.53816f130fb13p-17, 0x1.7687099b6e151p-17, 0x1.982574dbc5215p-17, 0x1.b86ac4fc6d329p-17, 0x1.d7646c2e81333p-17, 0x1.f51f4134f2102p-17, 0x1.08d3c2cbfe924p-16, 0x1.168475dfa1af8p-16, 0x1.23a74e6b03e4bp-16, 0x1.30419f360ac82p-16, 0x1.3c587bf580656p-16, 0x1.47f0bbf016533p-16, 0x1.530efc9371aedp-16, 0x1.5db7a3e16519ap-16, 0x1.67eee2d624e16p-16, 0x1.71b8b7bc2270ap-16, 0x1.7b18f0513e0b2p-16, 0x1.84132c0008149p-16, 0x1.8caadde633f29p-16, 0x1.94e34ed52b175p-16, 0x1.9cbf9f37bba99p-16, 0x1.a442c8f2162c6p-16, 0x1.ab6fa128e4368p-16, 0x1.b248d9ef3f4e2p-16, 0x1.b8d103f9be914p-16, 0x1.bf0a9033450f5p-16, 0x1.c4f7d13b324ebp-16, 0x1.ca9afcea3256p-16, 0x1.cff62db5e8edbp-16, 0x1.d50b6412173e9p-16, 0x1.d9dc87b62df48p-16, 0x1.de6b68e8bdc85p-16, 0x1.e2b9c1b0327dbp-16, 0x1.e6c936f3d124p-16, 0x1.ea9b59a13d064p-16, 0x1.ee31a7bbc3a92p-16, 0x1.f18d8d5ed68f9p-16, 0x1.f4b065b8f587ap-16, 0x1.f79b7bfc94705p-16, 0x1.fa500c46f9953p-16, 0x1.fccf447768ab1p-16, 0x1.ff1a4505d34d4p-16, 0x1.009910e547495p-15, 0x1.018bf15f18eadp-15, 0x1.026642566ecffp-15, 0x1.03287cf5b4213p-15, 0x1.03d3157f675dap-15, 0x1.04667b9aca164p-15, 0x1.04e31aa276b08p-15, 0x1.054959eb5227fp-15, 0x1.05999d0acf123p-15, 0x1.05d44415cd7cfp-15, 0x1.05f9abe0bb72cp-15, 0x1.060a2e3a575dap-15, 0x1.060622246feb2p-15, 0x1.05eddc063ca14p-15, 0x1.05c1ade20a88p-15, 0x1.0581e783eba2ap-15, 0x1.052ed6adc61c1p-15, 0x1.04c8c74327a55p-15, 0x1.04500370f36acp-15, 0x1.03c4d3d434436p-15, 0x1.03277f9c1551dp-15, 0x1.02784cac621e5p-15, 0x1.01b77fbd517e3p-15, 0x1.00e55c7a1f519p-15, 0x1.0002259a7979ep-15, 0x1.fe1c39fb3decp-16, 0x1.fc1307880455ep-16, 0x1.f9e934c7ae839p-16, 0x1.f79f417cc96ecp-16, 0x1.f535ac688fbcp-16, 0x1.f2acf36f22d27p-16, 0x1.f00593ba42715p-16, 0x1.ed4009d254c48p-16, 0x1.ea5cd1c0043b9p-16, 0x1.e75c67244b6bp-16, 0x1.e43f45525b11p-16, 0x1.e105e75f9e295p-16, 0x1.ddb0c83d51675p-16, 0x1.da4062c736c74p-16, 0x1.d6b531d1a3643p-16, 0x1.d30fb03764f4p-16, 0x1.cf5058e731163p-16, 0x1.cb77a6f0c27dep-16, 0x1.c78615895cbf7p-16, 0x1.c37c2013af5e7p-16, 0x1.bf5a422730aacp-16, 0x1.bb20f7959ae09p-16, 0x1.b6d0bc6e2d243p-16, 0x1.b26a0cfdb87afp-16, 0x1.aded65d5255ddp-16, 0x1.a95b43c60f6e7p-16, 0x1.a4b423e2b3739p-16, 0x1.9ff8837b63f1fp-16, 0x1.9b28e01e7cecfp-16, 0x1.9645b79712ab9p-16, 0x1.914f87e621ed1p-16, 0x1.8c46cf3ee89a9p-16, 0x1.872c0c01dcaa9p-16, 0x1.81ffbcb71cfddp-16, 0x1.7cc260099c249p-16, 0x1.777474be956c5p-16, 0x1.721679b0d6a0cp-16, 0x1.6ca8edc8efba9p-16, 0x1.672c4ff2fe106p-16, 0x1.61a11f18e4467p-16, 0x1.5c07da173ec4bp-16, 0x1.5660ffba65bdbp-16, 0x1.50ad0eb0696f4p-16, 0x1.4aec858321b83p-16, 0x1.451fe28c48387p-16, 0x1.3f47a3ed292d2p-16, 0x1.3964478532a0cp-16, 0x1.33764aea5a24bp-16, 0x1.2d7e2b5c005ffp-16, 0x1.277c65bc77bbcp-16, 0x1.2171768563b0fp-16, 0x1.1b5dd9bdc4d2dp-16, 0x1.15420af0d00e1p-16, 0x1.0f1e85246782bp-16, 0x1.08f3c2d121d82p-16, 0x1.02c23dd677d1ep-16, 0x1.f914dee512b1bp-17, 0x1.ec99a06fa1c9ep-17, 0x1.e013b005bac5ep-17, 0x1.d383fbe7f12bbp-17, 0x1.c6eb70ca91805p-17, 0x1.ba4af9c13075p-17, 0x1.ada3802fc42ccp-17, 0x1.a0f5ebb851493p-17, 0x1.944322284d07p-17, 0x1.878c076a0fdd4p-17, 0x1.7ad17d75ade89p-17, 0x1.6e146442820a6p-17, 0x1.615599b3f17eap-17, 0x1.5495f98dffc2bp-17, 0x1.47d65d630f171p-17, 0x1.3b179c8678f88p-17, 0x1.2e5a8bffbd7c7p-17, 0x1.219ffe8174377p-17, 0x1.14e8c456ce577p-17, 0x1.0835ab585f94p-17, 0x1.f70efdc41553p-18, 0x1.ddbe0f88deb82p-18, 0x1.c47a18743c194p-18, 0x1.ab449fbec229dp-18, 0x1.921f2755503f8p-18, 0x1.790b2bbc5823fp-18, 0x1.600a23ffb3618p-18, 0x1.471d81a3b8361p-18, 0x1.2e46b08d734dp-18, 0x1.158716f76775fp-18, 0x1.f9c02ac8eb0cfp-19, 0x1.c8a60d3109064p-19, 0x1.97c27ef84e3c9p-19, 0x1.67181e3a4dde1p-19, 0x1.36a97d37785dfp-19, 0x1.067922438b0fbp-19, 0x1.ad130f614ad04p-20, 0x1.4dba37817d921p-20, 0x1.ddd902aeb4ad5p-21, 0x1.215d31c6c846fp-21, 0x1.98288dd25935fp-23, -0x1.505cc8a20dd28p-23, -0x1.0cfe0a3dc7caep-21, -0x1.c4a1d1408b54fp-21, -0x1.3d7d128cbb0dcp-20, -0x1.97ff6a742c08ep-20, -0x1.f1d3f0bf7385p-20, -0x1.257b5f4b49221p-19, -0x1.51b202eecd7cdp-19, -0x1.7d8c08a527941p-19, -0x1.a907a227bbebp-19, -0x1.d4230d90566d3p-19, -0x1.fedc953bd8e98p-19, -0x1.149947ecf4c59p-18, -0x1.2991b02faa356p-18, -0x1.3e56baff56bp-18, -0x1.52e7a61066778p-18, -0x1.6743b529fcc13p-18, -0x1.7b6a3222d9ec5p-18, -0x1.8f5a6cd44ae1ep-18, -0x1.a313bb12f1865p-18, -0x1.b69578b0ecf91p-18, -0x1.c9df07696596ap-18, -0x1.dcefcede66bd2p-18, -0x1.efc73c8f21e49p-18, -0x1.013261e75ee61p-17, -0x1.0a63eedc283b6p-17, -0x1.1378048e353f8p-17, -0x1.1c6e654152b67p-17, -0x1.2546d60a78bacp-17, -0x1.2e011ecd258b2p-17, -0x1.369d0a3437ff5p-17, -0x1.3f1a65aaac728p-17, -0x1.477901564dc15p-17, -0x1.4fb8b00f84203p-17, -0x1.57d9475965cd4p-17, -0x1.5fda9f5f2dd38p-17, -0x1.67bc92e98d2aep-17, -0x1.6f7eff5788a2fp-17, -0x1.7721c4990468ep-17, -0x1.7ea4c52642733p-17, -0x1.8607e5f940d3fp-17, -0x1.8d4b0e8219beap-17, -0x1.946e28a22c24p-17, -0x1.9b7120a4de5fep-17, }}, 
      {{-0x1.c38667da85d8cp-1, -0x1.c3839b8dbcd7cp-1, -0x1.c37867a8b3d07p-1, -0x1.c35d9b1ef3caep-1, -0x1.c32bdbc4e3b5ap-1, -0x1.c2dc6f2a25d0cp-1, -0x1.c269ab0defacap-1, -0x1.c1cf29d5052adp-1, -0x1.c109d7542a0abp-1, -0x1.c017e44e2476bp-1, -0x1.bef8aab121ef8p-1, -0x1.bdac8982d76ep-1, -0x1.bc34bd3239c9p-1, -0x1.ba9337725c338p-1, -0x1.b8ca78a56d031p-1, -0x1.b6dd6c16e2252p-1, -0x1.b4cf47b8765b6p-1, -0x1.b2a36fb50fb7fp-1, -0x1.b05d5deac38d2p-1, -0x1.ae008d3128018p-1, -0x1.ab906834b0163p-1, -0x1.a9103b9e9ee5dp-1, -0x1.a6832b37d90bap-1, -0x1.a3ec29b14b6a7p-1, -0x1.a14df2bd04cb5p-1, -0x1.9eab07263cbb3p-1, -0x1.9c05aa9b6f68bp-1, -0x1.995fe2e3b1727p-1, -0x1.96bb783f02de5p-1, -0x1.9419f6b82b86p-1, -0x1.917cb03575cecp-1, -0x1.8ee4bf1c1186bp-1, -0x1.8c5309600987cp-1, -0x1.89c843e058e14p-1, -0x1.8744f5f3c993dp-1, -0x1.84c97d0fe9f48p-1, -0x1.825610776ee62p-1, -0x1.7feac4e0f6706p-1, -0x1.7d87900a309b9p-1, -0x1.7b2c4c2e248b8p-1, -0x1.78d8bb5787165p-1, -0x1.768c8a8a04e26p-1, -0x1.744754bef3306p-1, -0x1.7208a5b333b4ep-1, -0x1.6fcffc851ee67p-1, -0x1.6d9cce222e9a2p-1, -0x1.6b6e8784ca91ap-1, -0x1.69448fc3286e5p-1, -0x1.671e49f09258ep-1, -0x1.64fb16d2bb3dp-1, -0x1.62da566cfd905p-1, -0x1.60bb6963853c6p-1, -0x1.5e9db23882f41p-1, -0x1.5c8096658d628p-1, -0x1.5a637f5358d24p-1, -0x1.5845db31ef031p-1, -0x1.56271db37ea3fp-1, -0x1.5406c0abd4a1ep-1, -0x1.51e4449679492p-1, -0x1.4fbf31055f1fep-1, -0x1.4d9714f9f9309p-1, -0x1.4b6b872a7a065p-1, -0x1.493c2634e7116p-1, -0x1.470898c197ee3p-1, -0x1.44d08d96a2d3bp-1, -0x1.4293bb9da08f6p-1, -0x1.4051e1dd1eaa9p-1, -0x1.3e0ac76706b76p-1, -0x1.3bbe3b3d23dcp-1, -0x1.396c142ce7906p-1, -0x1.371430a37769dp-1, -0x1.34b6767af9271p-1, -0x1.3252d2c2080e7p-1, -0x1.2fe9397e2a77cp-1, -0x1.2d79a56a0e83ep-1, -0x1.2b0417b047635p-1, -0x1.288897a337cb3p-1, -0x1.26073272c62a5p-1, -0x1.237ffae06a701p-1, -0x1.20f308f21c30ap-1, -0x1.1e6079a498c8dp-1, -0x1.1bc86e9d701c3p-1, -0x1.192b0ddd3a022p-1, -0x1.168881725165cp-1, -0x1.13e0f72c61303p-1, -0x1.1134a0510ff27p-1, -0x1.0e83b15204267p-1, -0x1.0bce61847ed07p-1, -0x1.0914eadab6bafp-1, -0x1.0657899f2404p-1, -0x1.03967c31dd30bp-1, -0x1.00d202c821448p-1, -0x1.fc14be5c59f74p-2, -0x1.f67fa916cf643p-2, -0x1.f0e54e51fc5a2p-2, -0x1.eb463875de06ep-2, -0x1.e5a2f357290b1p-2, -0x1.dffc0bd35bccdp-2, -0x1.da520f71cdfbbp-2, -0x1.d4a58c09baa27p-2, -0x1.cef70f6d39c7bp-2, -0x1.c947271918e77p-2, -0x1.c3965fe982e06p-2, -0x1.bde545d35dd2ep-2, -0x1.b83463a2448edp-2, -0x1.b28442bb05918p-2, -0x1.acd56ae27e3ddp-2, -0x1.a7286208be825p-2, -0x1.a17dac1848837p-2, -0x1.9bd5cac94c2d9p-2, -0x1.96313d78bf046p-2, -0x1.9090810323c4fp-2, -0x1.8af40fa2df8bdp-2, -0x1.855c60d1fb829p-2, -0x1.7fc9e92f22b4ap-2, -0x1.7a3d1a65bf74cp-2, -0x1.74b663190efb7p-2, -0x1.6f362ed2080f4p-2, -0x1.69bce5efebd0bp-2, -0x1.644aed9b60fdep-2, -0x1.5ee0a7bbf6808p-2, -0x1.597e72efe933fp-2, -0x1.5424aa8606314p-2, -0x1.4ed3a6799726ep-2, -0x1.498bbb7028ccdp-2, -0x1.444d3ab916c89p-2, -0x1.3f18724ebce6fp-2, -0x1.39edacd92fc24p-2, -0x1.34cd31b263542p-2, -0x1.2fb744eba2db1p-2, -0x1.2aac275442555p-2, -0x1.25ac168170eedp-2, -0x1.20b74cd71351ep-2, -0x1.1bce019194413p-2, -0x1.16f068d090a98p-2, -0x1.121eb3a24e018p-2, -0x1.0d59100fe8f1bp-2, -0x1.089fa92a26b65p-2, -0x1.03f2a716dc7a5p-2, -0x1.fea45e3dae3dep-3, -0x1.f57cc77871c21p-3, -0x1.ec6ec9527a0f3p-3, -0x1.e37a9dde9d63p-3, -0x1.daa079ece2e27p-3, -0x1.d1e08d29c5492p-3, -0x1.c93b023de38c5p-3, -0x1.c0affeedfe045p-3, -0x1.b83fa43b38329p-3, -0x1.afea0e837db62p-3, -0x1.a7af55a2098ebp-3, -0x1.9f8f8d0fef21ep-3, -0x1.978ac404a502cp-3, -0x1.8fa105967c5fap-3, -0x1.87d258daf1bb8p-3, -0x1.801ec106dc3b5p-3, -0x1.78863d8e6040fp-3, -0x1.7108ca44a637p-3, -0x1.69a65f7b41504p-3, -0x1.625ef2214e26bp-3, -0x1.5b3273e22fb82p-3, -0x1.5420d343f1c82p-3, -0x1.4d29fbc53ff33p-3, -0x1.464dd5faf4f5ap-3, -0x1.3f8c47ad387b4p-3, -0x1.38e533f422aa1p-3, -0x1.32587b53ed542p-3, -0x1.2be5fbd8a138ap-3, -0x1.258d913149002p-3, -0x1.1f4f14ca9be2bp-3, -0x1.192a5de929a3bp-3, -0x1.131f41c2f9d12p-3, -0x1.0d2d9398a6305p-3, -0x1.075524cdebf2cp-3, -0x1.0195c501ae6c2p-3, -0x1.f7de844aebad5p-4, -0x1.ecc2d128b8289p-4, -0x1.e1d80652e230ap-4, -0x1.d71db6ab26ebcp-4, -0x1.cc9372697be79p-4, -0x1.c238c74599932p-4, -0x1.b80d409f63734p-4, -0x1.ae1067a64dbcap-4, -0x1.a441c37fb07cdp-4, -0x1.9aa0d96c014a8p-4, -0x1.912d2ceb0e0c3p-4, -0x1.87e63fdf276b1p-4, -0x1.7ecb92af487e6p-4, -0x1.75dca4683992p-4, -0x1.6d18f2dcb403ep-4, -0x1.647ffac487ecap-4, -0x1.5c1137dacbaaep-4, -0x1.53cc24fb12533p-4, -0x1.4bb03c3db2df9p-4, -0x1.43bcf7131f694p-4, -0x1.3bf1ce5e553a1p-4, -0x1.344e3a8e622ecp-4, -0x1.2cd1b3b70c16dp-4, -0x1.257bb1a8965e4p-4, -0x1.1e4bac06b1187p-4, -0x1.17411a5e8e995p-4, -0x1.105b743c291f2p-4, -0x1.099a313eba4d7p-4, -0x1.02fcc92c6966bp-4, -0x1.f905680a66e01p-5, -0x1.ec56d42a25bddp-5, -0x1.dfecc80ad290ep-5, -0x1.d3c635db6381cp-5, -0x1.c7e210c6f7237p-5, -0x1.bc3f4d13705cap-5, -0x1.b0dce03eb32d4p-5, -0x1.a5b9c11a92256p-5, -0x1.9ad4e7e77396fp-5, -0x1.902d4e6db74e1p-5, -0x1.85c1f015deec7p-5, -0x1.7b91c9ff8b33cp-5, -0x1.719bdb1749ab6p-5, -0x1.67df242b4765p-5, -0x1.5e5aa7fee397ap-5, -0x1.550d6b5d356bfp-5, -0x1.4bf6752a8282ep-5, -0x1.4314ce74b5b23p-5, -0x1.3a678282d48e3p-5, -0x1.31ed9ee38666ap-5, -0x1.29a6337aa6079p-5, -0x1.2190528df35a3p-5, -0x1.19ab10d0de36bp-5, -0x1.11f5856f7d668p-5, -0x1.0a6eca18ad9e5p-5, -0x1.0315fb0766832p-5, -0x1.f7d46e1699868p-6, -0x1.e9d53f20f5db8p-6, -0x1.dc2cb14d3c7a9p-6, -0x1.ced9120ea5da6p-6, -0x1.c1d8b437b4f96p-6, -0x1.b529f004570c1p-6, -0x1.a8cb2322ade17p-6, -0x1.9cbab0bab4d79p-6, -0x1.90f70174ad5fdp-6, -0x1.857e837e6dd14p-6, -0x1.7a4faa8f933bfp-6, -0x1.6f68efeca88a6p-6, -0x1.64c8d26948914p-6, -0x1.5a6dd66949d48p-6, -0x1.505685e0f4028p-6, -0x1.4681705451707p-6, -0x1.3ced2ad5a7d9fp-6, -0x1.3398500317b0bp-6, -0x1.2a8180036b215p-6, -0x1.21a7608230f36p-6, -0x1.19089cab0f904p-6, -0x1.10a3e5246d0b8p-6, -0x1.0877f00963b9fp-6, -0x1.008378e3273bfp-6, -0x1.f18a814371ce5p-7, -0x1.e2781b28329bp-7, -0x1.d3cd56bfc4f2ep-7, -0x1.c587d5f0d242bp-7, -0x1.b7a5452aa23bep-7, -0x1.aa235b51720f1p-7, -0x1.9cffd9a9d28afp-7, -0x1.90388bc346d4dp-7, -0x1.83cb4762008ap-7, -0x1.77b5ec67f02e9p-7, -0x1.6bf664bd28806p-7, -0x1.608aa4378da57p-7, -0x1.5570a881e3e97p-7, -0x1.4aa679026de44p-7, -0x1.402a26c0df592p-7, -0x1.35f9cc4be273cp-7, -0x1.2c138d9e2cda5p-7, -0x1.227598032644fp-7, -0x1.191e21fb33e23p-7, -0x1.100b6b1f9ff3cp-7, -0x1.073bbc063b9c2p-7, -0x1.fd5acc496c2b7p-8, -0x1.ecbd8767618f7p-8, -0x1.dc9c6f2349431p-8, -0x1.ccf45a4b11ab5p-8, -0x1.bdc23082b4f38p-8, -0x1.af02ea08edabcp-8, -0x1.a0b38f7bc7176p-8, -0x1.92d1399cfba96p-8, -0x1.8559111628281p-8, -0x1.78484e3cdf924p-8, -0x1.6b9c38d6d420ap-8, -0x1.5f5227ddf27cap-8, -0x1.536781447b46ap-8, -0x1.47d9b9b93fcb7p-8, -0x1.3ca6546bed151p-8, -0x1.31cae2d19186bp-8, -0x1.2745046948796p-8, -0x1.1d1266811b9afp-8, -0x1.1330c3fb16f7dp-8, -0x1.099de512c601dp-8, -0x1.00579f22cb0cfp-8, -0x1.eeb7a8d610a2ep-9, -0x1.dd50e7adfdf27p-9, -0x1.cc76f18901dc4p-9, -0x1.bc25d595cde64p-9, -0x1.ac59bb0545013p-9, -0x1.9d0ee09aa987p-9, -0x1.8e419c3c94c3p-9, -0x1.7fee5a86cf178p-9, -0x1.72119e5d42bdep-9, -0x1.64a8007ffb9cdp-9, -0x1.57ae2f2014b04p-9, -0x1.4b20ed760307dp-9, -0x1.3efd135888888p-9, -0x1.333f8cd510a77p-9, -0x1.27e559c9245efp-9, -0x1.1ceb8d7d075f3p-9, -0x1.124f4e3fa554bp-9, -0x1.080dd50374101p-9, -0x1.fc48d9f96c2d1p-10, -0x1.e920e681c73c9p-10, -0x1.d69eaccec2be9p-10, -0x1.c4bd2c56d6a62p-10, -0x1.b377861f08e82p-10, -0x1.a2c8fc037450ep-10, -0x1.92acf002c5145p-10, -0x1.831ee38c8a73p-10, -0x1.741a76d1962a7p-10, -0x1.659b6817b2744p-10, -0x1.579d930f40a98p-10, -0x1.4a1cf02b7ed0dp-10, -0x1.3d1593fdc0a72p-10, -0x1.3083ae92d83acp-10, -0x1.24638ad34f1a6p-10, -0x1.18b18de6845aep-10, -0x1.0d6a3697d1a83p-10, -0x1.028a1cbe494a6p-10, -0x1.f01be14ecaca5p-11, -0x1.dbe4f507f68f1p-11, -0x1.c86933af5b5cdp-11, -0x1.b5a289d6cb114p-11, -0x1.a38b10838f0cep-11, -0x1.921d0c1beff04p-11, -0x1.8152eb5b3024dp-11, -0x1.71274648f3ec1p-11, -0x1.6194dd367357dp-11, -0x1.529697c05cb1dp-11, -0x1.442783d5c2f82p-11, -0x1.3642d4c2bfaf1p-11, -0x1.28e3e240bacdbp-11, -0x1.1c06278b2edc4p-11, -0x1.0fa54278e4156p-11, -0x1.03bcf299f4bc2p-11, -0x1.f09230b57c017p-12, -0x1.da8b6853c17dep-12, -0x1.c55dcb48463bp-12, -0x1.b101d587e93dfp-12, -0x1.9d703e2ae3896p-12, -0x1.8aa1f5dd30009p-12, -0x1.7890255837562p-12, -0x1.67342be4516fp-12, -0x1.56879de117038p-12, -0x1.4684435789aa4p-12, -0x1.37241693b41ep-12, -0x1.286142c60bb26p-12, -0x1.1a3622ac60155p-12, -0x1.0c9d3f43add48p-12, -0x1.ff229cff98459p-13, -0x1.e61a641523e25p-13, -0x1.ce17ec178bdc6p-13, -0x1.b7119fed87e09p-13, -0x1.a0fe3abfea409p-13, -0x1.8bd4c5b25dcdfp-13, -0x1.778c95a9f5bcep-13, -0x1.641d49204c31cp-13, -0x1.517ec603ca66bp-13, -0x1.3fa937a5c926bp-13, -0x1.2e950cb4f27d6p-13, -0x1.1e3af54434c64p-13, -0x1.0e93e0dee8557p-13, -0x1.ff31f9504e6f9p-14, -0x1.e287630bd91e4p-14, -0x1.c71b44af29b8ap-14, -0x1.ace154702d2aap-14, -0x1.93cdb59a63f3ap-14, -0x1.7bd4f53c28e5fp-14, -0x1.64ec06ef6e619p-14, -0x1.4f0841b731e9ep-14, -0x1.3a1f5cef0aa91p-14, -0x1.26276d4fcbfabp-14, -0x1.1316e20775ad5p-14, -0x1.00e481e723be2p-14, -0x1.df0ed144a32d5p-15, -0x1.bdee08424247fp-15, -0x1.9e5623c9b9d6dp-15, -0x1.803738fec69fcp-15, -0x1.6381f235d134ep-15, -0x1.48278a24b062ap-15, -0x1.2e19c73672768p-15, -0x1.154af70376ac8p-15, -0x1.fb5bd3c9988a7p-16, -0x1.ce6bdd4fe411bp-16, -0x1.a3ad9ccc195fep-16, -0x1.7b0990e68ee17p-16, -0x1.54691cdc65f3dp-16, -0x1.2fb680d1bf24cp-16, -0x1.0cdcd2667ea06p-16, -0x1.d78feaf435c43p-17, -0x1.98c92a4f18dp-17, -0x1.5d4039eb0c2f8p-17, -0x1.24d1647abfe45p-17, -0x1.deb4b6e9d1cd1p-18, -0x1.7974554b76a87p-18, -0x1.19a2581454f9dp-18, -0x1.7e03f09fe1adbp-19, -0x1.a563752acc1ebp-20, -0x1.86f067d5ce601p-22, 0x1.9f8a4eaf04834p-21, 0x1.efee8d1c3de76p-20, 0x1.7fc2f70b29e41p-19, 0x1.ffa483489e717p-19, 0x1.3bfb71360644cp-18, 0x1.7488a4769453dp-18, 0x1.a9a3a5f5fefeap-18, 0x1.db7481cd4fc05p-18, 0x1.0510cb20e210cp-17, 0x1.1ae7d1dc0d447p-17, 0x1.2f50ee339cb81p-17, 0x1.425cf9a93515ep-17, 0x1.541c156a473a7p-17, 0x1.649db16c84024p-17, 0x1.73f093311080ap-17, 0x1.8222dc5b0eaccp-17, 0x1.8f421113e2ba9p-17, 0x1.9b5b1e35586b8p-17, 0x1.a67a5f30a8124p-17, 0x1.b0aba3dc62f02p-17, 0x1.b9fa35fe6cdd5p-17, 0x1.c270dea2c9dffp-17, 0x1.ca19eb58b8e6dp-17, 0x1.d0ff3325ba666p-17, 0x1.d72a1b6033e36p-17, 0x1.dca39c5825eabp-17, 0x1.e17445d1426ap-17, 0x1.e5a4435c4c7fbp-17, 0x1.e93b6082d6516p-17, 0x1.ec410cd764e9cp-17, 0x1.eebc5fd2fc755p-17, 0x1.f0b41c93e5b81p-17, 0x1.f22eb578919bep-17, 0x1.f3324f9fbdd56p-17, 0x1.f3c4c63d9893cp-17, 0x1.f3ebadd4a5ed9p-17, 0x1.f3ac57538d0a4p-17, 0x1.f30bd30a109f3p-17, 0x1.f20ef391d4729p-17, 0x1.f0ba50914ce2cp-17, 0x1.ef1249617f7ffp-17, 0x1.ed1b079b9303bp-17, 0x1.ead8818fc0bcep-17, 0x1.e84e7ca38b003p-17, 0x1.e5808f8f513dap-17, 0x1.e272249279095p-17, 0x1.df267b8d4b86p-17, 0x1.dba0abf3ae7b1p-17, 0x1.d7e3a6cd0110dp-17, 0x1.d3f238818ab59p-17, 0x1.cfcf0aa33f4c6p-17, 0x1.cb7ca59f321b1p-17, 0x1.c6fd725fbe8d1p-17, 0x1.c253bbdb0cc8dp-17, 0x1.bd81b08c96c5ep-17, 0x1.b88963eae4ee9p-17, 0x1.b36ccfc2f0b9cp-17, 0x1.ae2dd582841b6p-17, 0x1.a8ce3f7d724d4p-17, 0x1.a34fc21d4b126p-17, 0x1.9db3fd08dd197p-17, 0x1.97fc7c37dedf3p-17, 0x1.922ab9020dff5p-17, 0x1.8c401b1b71386p-17, 0x1.863df9838f4ap-17, 0x1.80259b73152e9p-17, 0x1.79f8393719881p-17, 0x1.73b6fd0543e01p-17, 0x1.6d6303bf52bdep-17, 0x1.66fd5db49699bp-17, 0x1.60870f571e73dp-17, 0x1.5a0111e893d6fp-17, 0x1.536c541eebbe6p-17, 0x1.4cc9babee1cfap-17, 0x1.461a21334bf4bp-17, 0x1.3f5e5a10b756fp-17, 0x1.38972fa1f1b7bp-17, 0x1.31c5646770de4p-17, 0x1.2ae9b388db74cp-17, 0x1.2404d148b96c6p-17, 0x1.1d176b6e2c63ep-17, 0x1.162229abd8a1ap-17, 0x1.0f25adfdd019dp-17, 0x1.082295022ab48p-17, 0x1.01197651273efp-17, 0x1.f415c999cd32fp-18, 0x1.e5eeddcb7a34ep-18, 0x1.d7bf3dd107b8cp-18, 0x1.c987f67e84c6fp-18, 0x1.bb4a0d5a7daf1p-18, 0x1.ad06811367939p-18, 0x1.9ebe49ec48a98p-18, 0x1.90725a2910578p-18, 0x1.82239e66e3f73p-18, 0x1.73d2fdf49f782p-18, 0x1.65815b2c1e9ebp-18, 0x1.572f93be13596p-18, 0x1.48de80f03fabap-18, 0x1.3a8ef7e857e15p-18, 0x1.2c41c9e8b50edp-18, 0x1.1df7c48689574p-18, 0x1.0fb1b1d978499p-18, 0x1.017058b039ef7p-18, 0x1.e668f97b3e3b3p-19, 0x1.c9fdbd876e099p-19, 0x1.ada07953e7a3ep-19, 0x1.9152a3576bac5p-19, 0x1.7515ace38979cp-19, 0x1.58eb0257e9b78p-19, 0x1.3cd40b515b8bp-19, 0x1.20d22adc426a7p-19, 0x1.04e6bf96725a3p-19, 0x1.d22647915c138p-20, 0x1.9ab15b0778c96p-20, 0x1.63715d7a4abb4p-20, 0x1.2c68eae80995dp-20, 0x1.eb352eb2f0d55p-21, 0x1.7e11de09bf799p-21, 0x1.116cece1e3c17p-21, 0x1.4a96a9ebcc1e1p-22, 0x1.cd90062f7ec77p-24, -0x1.8ad1a2699a0d2p-24, -0x1.37a8fc0824f93p-22, -0x1.05b81f3e95bb1p-21, -0x1.6f006a21d8109p-21, -0x1.d7a8c032905edp-21, -0x1.1fd6492686124p-20, -0x1.5383b05180296p-20, -0x1.86da5d874d5aap-20, -0x1.b9d82099134cfp-20, -0x1.ec7ad14b452ap-20, -0x1.0f6027bc517c2p-19, -0x1.2853418f5c7b2p-19, -0x1.4115ae38be4a4p-19, -0x1.59a66a0202024p-19, -0x1.7204756886edfp-19, -0x1.8a2ed53527aeep-19, -0x1.a224928793064p-19, -0x1.b9e4bae90f7bp-19, -0x1.d16e60471f5f9p-19, -0x1.e8c0991205043p-19, -0x1.ffda804641a62p-19, -0x1.0b5d9abd6e197p-18, -0x1.16b0ee7878061p-18, -0x1.21e6cfd1733dcp-18, -0x1.2cfed5a36d296p-18, -0x1.37f8993293739p-18, -0x1.42d3b63108414p-18, -0x1.4d8fcac361ac7p-18, -0x1.582c778903dc3p-18, -0x1.62a95fa183e97p-18, -0x1.6d0628afe6433p-18, -0x1.77427add8a5a2p-18, -0x1.815e00e17fdfp-18, -0x1.8b586805af24dp-18, -0x1.9531602868e78p-18, -0x1.9ee89bc350e51p-18, -0x1.a87dcfecdb7bdp-18, -0x1.b1f0b45874dd1p-18, -0x1.bb41035de703dp-18, -0x1.c46e79f9ccffp-18, -0x1.cd78d7cea9166p-18, -0x1.d65fdf28575ap-18, -0x1.df2354fdf148dp-18, -0x1.e7c300eff8dd6p-18, -0x1.f03ead48f7a7fp-18, -0x1.f89626ff60babp-18, -0x1.00649edaee3bcp-17, -0x1.046be1dd3dabbp-17, -0x1.0860c702ed6e7p-17, -0x1.0c433a1dadbdp-17, -0x1.10132852389e4p-17, -0x1.13d0801830c16p-17, -0x1.177b313a81c31p-17, -0x1.1b132cd45f9c1p-17, -0x1.1e986550cab13p-17, -0x1.220ace69d2502p-17, -0x1.256a5d25bd0c4p-17, -0x1.28b707d4d720dp-17, -0x1.2bf0c6103a6e9p-17, -0x1.2f1790b7e5a4cp-17, -0x1.322b61f0c2fcdp-17, -0x1.352c3521ecb18p-17, -0x1.381a06f24d1dcp-17, -0x1.3af4d54679154p-17, -0x1.3dbc9f3c2e64dp-17, -0x1.407165297a353p-17, -0x1.431328993b3ddp-17, -0x1.45a1ec47ea4b5p-17, -0x1.481db42007678p-17, -0x1.4a868537f93d3p-17, -0x1.4cdc65cddf2ebp-17, -0x1.4f1f5d433c836p-17, -0x1.514f741aa65ccp-17, -0x1.536cb3f380c2dp-17, -0x1.557727870eef7p-17, -0x1.576edaa40d9f9p-17, -0x1.5953da2a6b38dp-17, -0x1.5b26340861986p-17, -0x1.5ce5f73536eb7p-17, -0x1.5e9333ad41597p-17, -0x1.602dfa6f2369p-17, -0x1.61b65d75e1594p-17, -0x1.632c6fb584c3ep-17, -0x1.6490451656843p-17, -0x1.65e1f2717560ep-17, -0x1.67218d8ad0032p-17, -0x1.684f2d0dbba0cp-17, -0x1.696ae887d3181p-17, -0x1.6a74d86537214p-17, -0x1.6b6d15ebcc88bp-17, -0x1.6c53bb3609ffep-17, -0x1.6d28e32ec0b11p-17, -0x1.6deca98cfec43p-17, -0x1.6e9f2ace38e51p-17, -0x1.6f40843236decp-17, -0x1.6fd0d3b72b72ap-17, -0x1.70503813afc12p-17, -0x1.70bed0b29764dp-17, -0x1.711cbdae45bb9p-17, -0x1.716a1fcc485c5p-17, -0x1.71a718780f4ap-17, -0x1.71d3c9becf789p-17, -0x1.71f0564a0ce1ap-17, -0x1.71fce15b7a27bp-17, -0x1.71f98ec8919a9p-17, -0x1.71e682f5239fdp-17, -0x1.71c3e2ceecd59p-17, -0x1.7191d3c9bdc3fp-17, -0x1.71507bda1079dp-17, -0x1.710001701e6cbp-17, -0x1.70a08b74b7fcp-17, -0x1.703241438acacp-17, -0x1.6fb54aa6c64b6p-17, -0x1.6f29cfd2a4eafp-17, -0x1.6e8ff961109d1p-17, -0x1.6de7f04e07151p-17, -0x1.6d31ddf216e25p-17, -0x1.6c6debfea283ep-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      30, 0x1.2d70a3d70a3d7p+2, 0x1.6ca256235af53p-8, 0x1.59f8cc5fe7245p+1, -0x1.d315f029ea166p+3, 
      {{
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.e4c02b20d4b3bp-5, -0x1.4dfeeb94bebdap-4, 0x1.dbba42aa57p-13, 0x1.060ad70a72decp-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c363737c969cdp-5, -0x1.4ceb92bdda45ep-4, 0x1.49513a8842f56p-8, 0x1.0214e1f4e9b99p-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a23b4c3c2c194p-5, -0x1.49e4e83f9a421p-4, 0x1.3f81f1a3e0eaep-7, 0x1.fc8fbdcc9d50fp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.817943e8ba2afp-5, -0x1.44f25f9792082p-4, 0x1.d8137761434fap-7, 0x1.f807bbed97e94p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.614e397e03891p-5, -0x1.3e19cbaade815p-4, 0x1.37a47e4778719p-6, 0x1.dce3b18c66712p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.41ea336c251f4p-5, -0x1.356a60566b4d6p-4, 0x1.7f2d0c1c87cfp-6, 0x1.ab06eea18b04cp-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.237a9caaaf52ap-5, -0x1.2b0913bf52afcp-4, 0x1.bf3ae31b2976p-6, 0x1.7c92400c20842p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.062881cbbf4cbp-5, -0x1.1f24217838a0fp-4, 0x1.f850d31cfb23bp-6, 0x1.4d33e52e73d3ep-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.d430cffb76ecbp-6, -0x1.11e892a45e9dp-4, 0x1.1525e78b930e7p-5, 0x1.1e14271c95524p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.9ed49a16a6ee3p-6, -0x1.0383c282eff0bp-4, 0x1.2a9a9dadb7db2p-5, 0x1.ddc7444712e31p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.6c734eb7006c7p-6, -0x1.e845eca5a6428p-5, 0x1.3c8549d6c8906p-5, 0x1.7f6f37f719829p-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.3d3acbe307b3p-6, -0x1.c7e6f27030138p-5, 0x1.4ae64256731edp-5, 0x1.2114c2ecd7225p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.114fe0d9d38b1p-6, -0x1.a6452984dbd7p-5, 0x1.55bd700c21969p-5, 0x1.8575e653366e3p-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.d19c9c261a7bfp-7, -0x1.83bb25dbba454p-5, 0x1.5d0ad92a7dcfp-5, 0x1.9183dc12a367p-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.87918a7de1219p-7, -0x1.60a37b32d4699p-5, 0x1.60ce7c0777572p-5, 0x1.81c1c7dc216c5p-13}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.4491d28c9791ap-7, -0x1.3d58bd579fc9cp-5, 0x1.61085918a529p-5, -0x1.614bb58bb9ap-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.089e9c94ff506p-7, -0x1.1a358013e7b82p-5, 0x1.5db87031bc386p-5, -0x1.6d59b760dfc02p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a74de695fdbep-8, -0x1.ef28ae6167a7cp-6, 0x1.56dec18e519ffp-5, -0x1.1506de343f665p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4b0f87a743746p-8, -0x1.ab9facfb897bfp-6, 0x1.4c7b4c6c5c0bfp-5, -0x1.73609613afadbp-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f82f77146176dp-9, -0x1.6a852361757e9p-6, 0x1.3e8e13986bdbep-5, -0x1.d1bb644e5b847p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.73afcc9ae0fap-9, -0x1.2c8e39c1fd112p-6, 0x1.2d170ca2486d6p-5, -0x1.180911e03af18p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.073a61c3ef3acp-9, -0x1.e4e02ae3de0c3p-7, 0x1.18165e7e4401dp-5, -0x1.473c03fcb768fp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.6242246c13eeap-10, -0x1.79bfccd526e0ep-7, 0x1.ff16ef969fb3ep-6, -0x1.7652b3efefd7cp-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.bdb50d710b59p-11, -0x1.192569daa04a4p-7, 0x1.c6f0ee32a21f8p-6, -0x1.a5d2da249d23p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.feff2331fbb8p-12, -0x1.88f875da6ad8fp-8, 0x1.87aae7138a8dap-6, -0x1.d3c9697cc5389p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.ff16e483966fep-13, -0x1.f4ac9a745e357p-9, 0x1.417fe40da02bfp-6, -0x1.03be6f02ca85ep-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.9a3c775fc4b01p-14, -0x1.12a4d29d009e2p-9, 0x1.e7271f1993a1cp-7, -0x1.12e32a542a7afp-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.b4689df78fbffp-16, -0x1.c313a7e4206b2p-11, 0x1.42386c1a46f22p-7, -0x1.49fd6ed94157cp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.55343406ea001p-19, -0x1.77ad646080b5fp-13, 0x1.f0e7d992e54fdp-9, -0x1.9138e1858cb2fp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.2d70a3d70a3d7p+2, 0x1.0dd111e6e8fp-29, 0x1.11966a9005bd8p-16, 0x1.ee0c91878f601p-14, -0x1.088c86ca17c22p+0}, 
      }}, 
      0x1.11ded19a52ad7p+7, -0x1.407b5343ba7fcp+12
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.ec2c581f3c358p-7, 0x1.e822d26f107b8p-6, 0x1.6933df07098eep-5, 0x1.d8d007d1bb456p-5, 0x1.20c563d4452dfp-4, 0x1.512982b1c9f35p-4, 0x1.7d2fa49872272p-4, 0x1.a494216c4d252p-4, 0x1.c730ca0fb3536p-4, 0x1.e4f8e8ed32a1dp-4, 0x1.fdf53143e994ap-4, 0x1.091fea8a69814p-3, 0x1.11007530afcd2p-3, 0x1.16b5956148d5ep-3, 0x1.1a5c91bc78486p-3, 0x1.1c15643165b6dp-3, 0x1.1c01bba2e2b83p-3, 0x1.1a4425914bebdp-3, 0x1.16ff640744232p-3, 0x1.1255e6356f73cp-3, 0x1.0c695d38a07b5p-3, 0x1.055a6a363d8b5p-3, 0x1.fa90c1d0430dap-4, 0x1.e8a238332e679p-4, 0x1.d521c18780d15p-4, 0x1.c0449bdfff47dp-4, 0x1.aa3cad52f36c1p-4, 0x1.93388724db0eep-4, 0x1.7b6375af483a7p-4, 0x1.62e599253c1a4p-4, 0x1.49e404b56f62ap-4, 0x1.3080e27229f19p-4, 0x1.16db995bb6bb4p-4, 0x1.fa21eab98d84fp-5, 0x1.c6769e4b8020ep-5, 0x1.92e565854a34ap-5, 0x1.5f9a0bc19c3a5p-5, 0x1.2cbc57cd6655ap-5, 0x1.f4e09f9cd39ccp-6, 0x1.91acf531c757p-6, 0x1.301837c300fdep-6, 0x1.a0adb0611c081p-7, 0x1.ca5e6ae179c29p-8, 0x1.703f8b34062e4p-10, -0x1.08fe11a3033abp-8, -0x1.3225db9837c6ap-7, -0x1.dab540feac7d5p-7, -0x1.3efefb0c38079p-6, -0x1.8dec183175771p-6, -0x1.da118dd434201p-6, -0x1.11b1188e9ac2p-5, -0x1.34e9eedf7c5cfp-5, -0x1.56afa055554b1p-5, -0x1.76ffd354a34cep-5, -0x1.95d966e2a54e5p-5, -0x1.b33c5cb6438cp-5, -0x1.cf29c47d64f82p-5, -0x1.e9a3a83166981p-5, -0x1.01567ca7e462bp-4, -0x1.0d24bf7641bb2p-4, -0x1.183ee276a8589p-4, -0x1.22a78561163fap-4, -0x1.2c619a44674efp-4, -0x1.35705d8098846p-4, -0x1.3dd74ebcf42aep-4, -0x1.459a29e15c302p-4, -0x1.4cbce04a20515p-4, -0x1.534392652f099p-4, -0x1.5932898d3ec84p-4, -0x1.5e8e3235bbf3fp-4, -0x1.635b162a6f5bep-4, -0x1.679dd7e20eba7p-4, -0x1.6b5b2c4655d8dp-4, -0x1.6e97d72df2fd1p-4, -0x1.7158a5f47636dp-4, -0x1.73a26cc24d069p-4, -0x1.7579fffab3436p-4, -0x1.76e43378807fcp-4, -0x1.77e5d44be2b1ap-4, -0x1.7883a875ece8p-4, -0x1.78c269db30d7ep-4, -0x1.78a6c34e25a11p-4, -0x1.7835502f03755p-4, -0x1.777298abd4752p-4, -0x1.76630ee655577p-4, -0x1.750b0f70c456ap-4, -0x1.736eddcb0197ep-4, -0x1.7192a3264dd09p-4, -0x1.6f7a6eabe9974p-4, -0x1.6d2a3248ba17ap-4, -0x1.6aa5c34b295c9p-4, -0x1.67f0d8cc85d46p-4, -0x1.650f0c16ae7b9p-4, -0x1.6203d6bbcda18p-4, -0x1.5ed293b8bbae4p-4, -0x1.5b7e7e877ec7ep-4, -0x1.580ab2b67b385p-4, -0x1.547a2d98f520bp-4, -0x1.50cfcc3b94d49p-4, -0x1.4d0e4d14a90b3p-4, -0x1.49385030921c6p-4, -0x1.455056ce751ddp-4, -0x1.4158c48d064afp-4, -0x1.3d53dfead8725p-4, -0x1.3943d1adbf59fp-4, -0x1.352aa77a8141fp-4, -0x1.310a52fbd865ap-4, -0x1.2ce4aa7fea123p-4, -0x1.28bb6b3a2384dp-4, -0x1.24903875250fcp-4, -0x1.20649cbdd5687p-4, -0x1.1c3a0b4e575bdp-4, -0x1.1811dfd3add18p-4, -0x1.13ed5f73141c2p-4, -0x1.0fcdba04701fep-4, -0x1.0bb40a04b0081p-4, -0x1.07a15580c0f3dp-4, -0x1.03968f3b0d6ep-4, -0x1.ff292d9036adcp-5, -0x1.f73873154e944p-5, -0x1.ef5c672a4141ep-5, -0x1.e7966015b3178p-5, -0x1.dfe7932ee7a84p-5, -0x1.d85116f003f4cp-5, -0x1.d0d3e54dfae87p-5, -0x1.c970d955258efp-5, -0x1.c228b40273838p-5, -0x1.bafc19d116d52p-5, -0x1.b3eb981678fb6p-5, -0x1.acf7a13d8cc95p-5, -0x1.a6208faeb3999p-5, -0x1.9f66a92465a21p-5, -0x1.98ca1b0b48c69p-5, -0x1.924affb032b6cp-5, -0x1.8be95c7cedb67p-5, -0x1.85a52393b5919p-5, -0x1.7f7e358d489a2p-5, -0x1.7974629076c79p-5, -0x1.73876a75d0481p-5, -0x1.6db6fd4c24ff1p-5, -0x1.6802be356a3d2p-5, -0x1.626a431deb206p-5, -0x1.5ced1486a90b9p-5, -0x1.578ab2434c13cp-5, -0x1.52428f4945385p-5, -0x1.4d14162c6a467p-5, -0x1.47fea8607df07p-5, -0x1.4301a05a88398p-5, -0x1.3e1c4f41241bep-5, -0x1.394e0203d6b1dp-5, -0x1.3495fe927acb5p-5, -0x1.2ff385e24a6d9p-5, -0x1.2b65d51604599p-5, -0x1.26ec24f1edf2dp-5, -0x1.2285aab48a518p-5, -0x1.1e319aaaea0e5p-5, -0x1.19ef25970979fp-5, -0x1.15bd7b97fabf3p-5, -0x1.119bcbcc4e08dp-5, -0x1.0d89450b8312ep-5, -0x1.0985162fdf9fp-5, -0x1.058e6f250292fp-5, -0x1.01a4800835c25p-5, -0x1.fb8cf784d5af6p-6, -0x1.f3e72bacda754p-6, -0x1.ec560a3b18aefp-6, -0x1.e4d803dd43c44p-6, -0x1.dd6b91ba8a89fp-6, -0x1.d60f31f060931p-6, -0x1.cec16970d749fp-6, -0x1.c780c5ed12128p-6, -0x1.c04bdce7f082cp-6, -0x1.b9214c9fa01dp-6, -0x1.b1ffbc51c0058p-6, -0x1.aae5dc51d29dep-6, -0x1.a3d2676f7afe4p-6, -0x1.9cc422f357f0bp-6, -0x1.95b9de3186a9ep-6, -0x1.8eb273959203ep-6, -0x1.87acc8e43b24p-6, -0x1.80a7cf299ceb7p-6, -0x1.79a2833683686p-6, -0x1.729bed6c7d122p-6, -0x1.6b932267977bep-6, -0x1.6487428343485p-6, -0x1.5d777aba626dbp-6, -0x1.5663041140f37p-6, -0x1.4f49243009246p-6, -0x1.48292cefbba58p-6, -0x1.41027c434a72ap-6, -0x1.39d47d32470d3p-6, -0x1.329ea66f1c125p-6, -0x1.2b607b37b7b6ep-6, -0x1.24198b1fd451ep-6, -0x1.1cc971dd9bf6p-6, -0x1.156fd6f81cda3p-6, -0x1.0e0c6dc28a14fp-6, -0x1.069ef57a3282p-6, -0x1.fe4e71f20bd76p-7, -0x1.ef4a1cb74d00bp-7, -0x1.e030add0ec4eap-7, -0x1.d101fdc97808ap-7, -0x1.c1bdfaf9194aep-7, -0x1.b264a8be3c9c7p-7, -0x1.a2f61f07920a3p-7, -0x1.937289332090bp-7, -0x1.83da27e21544ap-7, -0x1.742d4cbeed0eap-7, -0x1.646c5da0a4bb6p-7, -0x1.5497d199eceb1p-7, -0x1.44b0310e21efcp-7, -0x1.34b61541e4e5bp-7, -0x1.24aa27ae27f86p-7, -0x1.148d217588ab8p-7, -0x1.045fcad25177dp-7, -0x1.e845f388d0851p-8, -0x1.c7af254b349acp-8, -0x1.a6fd0ca830696p-8, -0x1.8631a48b8f769p-8, -0x1.654f0029f71fdp-8, -0x1.445748e932156p-8, -0x1.234cbb54e54dep-8, -0x1.0231ac3f0f84ap-8, -0x1.c210f92c5d0b2p-9, -0x1.7fa746da03689p-9, -0x1.3d2b4c63bb416p-9, -0x1.f544668433bdap-10, -0x1.70227fcfbc29cp-10, -0x1.d5f73af335355p-11, -0x1.976a8f23e22ep-12, 0x1.f3560b891db69p-14, 0x1.48527c96b1544p-11, 0x1.28f5a2a3628cep-10, 0x1.ad8f212d37c3dp-10, 0x1.18f51cbdd5c86p-9, 0x1.5afdae0128e89p-9, 0x1.9cdb75f6d1302p-9, 0x1.de88a0650463fp-9, 0x1.0fffaa701b49dp-8, 0x1.309cdca5e5112p-8, 0x1.5118fcf212d9dp-8, 0x1.71711f701469bp-8, 0x1.91a2608f0f049p-8, 0x1.b1a9dbd7132dep-8, 0x1.d184b1988374ep-8, 0x1.f130064e1b899p-8, 0x1.085482327cd27p-7, 0x1.17f66f1e507e2p-7, 0x1.277c66fa76cap-7, 0x1.36e50b60683f9p-7, 0x1.462f01ba0b16fp-7, 0x1.5558f3a2bd5a5p-7, 0x1.64618f844dcfep-7, 0x1.73478965e72d1p-7, 0x1.82099b8b93118p-7, 0x1.90a686b67cb18p-7, 0x1.9f1d11f96ededp-7, 0x1.ad6c0a730da1dp-7, 0x1.bb92435aa838ep-7, 0x1.c98e968b1d03ep-7, 0x1.d75fe54d99809p-7, 0x1.e505185405cdep-7, 0x1.f27d217ba8999p-7, 0x1.ffc6f90bba68fp-7, 0x1.0670d04e928fap-6, 0x1.0ce60fffda626p-6, 0x1.1342c3a0e8f72p-6, 0x1.1986772c13e91p-6, 0x1.1fb0bb19f618p-6, 0x1.25c1247e01c94p-6, 0x1.2bb74cf4045b6p-6, 0x1.3192d26c7b0f7p-6, 0x1.375356f9f068fp-6, 0x1.3cf880ca8953ep-6, 0x1.4281fa42dbf29p-6, 0x1.47ef724f466e8p-6, 0x1.4d409c8ffe601p-6, 0x1.527531717c5dep-6, 0x1.578cee0a4da22p-6, 0x1.5c8793e150c12p-6, 0x1.6164e8b917adp-6, 0x1.6624b6811350fp-6, 0x1.6ac6cb702b09fp-6, 0x1.6f4afa2fec494p-6, 0x1.73b11a0c412f7p-6, 0x1.77f906fe640a2p-6, 0x1.7c22a18e69c47p-6, 0x1.802dce8fca991p-6, 0x1.841a773bdb49p-6, 0x1.87e8881c7ce57p-6, 0x1.8b97f295615fbp-6, 0x1.8f28ab765c7a2p-6, 0x1.929aac1f27fb7p-6, 0x1.95edf22bbaf46p-6, 0x1.99227f6ee1986p-6, 0x1.9c3859c85c905p-6, 0x1.9f2f8aec47596p-6, 0x1.a20820328e8eap-6, 0x1.a4c22a7d5eea1p-6, 0x1.a75dbe3969862p-6, 0x1.a9daf36e5a408p-6, 0x1.ac39e5ceb07bfp-6, 0x1.ae7ab4b95c30ap-6, 0x1.b09d8323bce81p-6, 0x1.b2a27769553e8p-6, 0x1.b489bb1b1dfddp-6, 0x1.b6537ad376011p-6, 0x1.b7ffe614b77a1p-6, 0x1.b98f2f4bd5dadp-6, 0x1.bb018bb2f7e52p-6, 0x1.bc5733895298ap-6, 0x1.bd9061e117882p-6, 0x1.bead54a8783dap-6, 0x1.bfae4c7dcf1dep-6, 0x1.c0938c84ee706p-6, 0x1.c15d5a3a63278p-6, 0x1.c20bfd4e3048cp-6, 0x1.c29fbf8799aecp-6, 0x1.c318eceb28bd2p-6, 0x1.c377d349c5d26p-6, 0x1.c3bcc2db0ccffp-6, 0x1.c3e80d92edd9cp-6, 0x1.c3fa076e9fa93p-6, 0x1.c3f3064081a2ap-6, 0x1.c3d3617c9cf46p-6, 0x1.c39b72186f7b8p-6, 0x1.c34b926dbb4ebp-6, 0x1.c2e41e26e5024p-6, 0x1.c265722fb885fp-6, 0x1.c1cfecae04eep-6, 0x1.c123ecfcd1ec2p-6, 0x1.c061d39f4dc6ep-6, 0x1.bf8a022d91a6p-6, 0x1.be9cdb3bae33dp-6, 0x1.bd9ac23d53e46p-6, 0x1.bc841b62a8af5p-6, 0x1.bb594b7f50788p-6, 0x1.ba1ab7f3826b1p-6, 0x1.b8c8c69eee7f8p-6, 0x1.b763ddd81e03cp-6, 0x1.b5ec6461a4b4fp-6, 0x1.b462c15fabec1p-6, 0x1.b2c75c4ad8d74p-6, 0x1.b11a9cdeee947p-6, 0x1.af5ceb05d18ap-6, 0x1.ad8eaec081507p-6, 0x1.abb050107faf1p-6, 0x1.a9c236e4060f1p-6, 0x1.a7c4cb060335p-6, 0x1.a5b87411fa959p-6, 0x1.a39d996a4c188p-6, 0x1.a174a22ea126ep-6, 0x1.9f3df52f020acp-6, 0x1.9cf9f8e7b9ebep-6, 0x1.9aa9138440b82p-6, 0x1.984baa92481dp-6, 0x1.95e2235a75272p-6, 0x1.936ce279e8e6dp-6, 0x1.90ec4bacd7caap-6, 0x1.8e60c2856234cp-6, 0x1.8bcaa96bed542p-6, 0x1.892a627c9e0d4p-6, 0x1.86804ed796801p-6, 0x1.83ccceba17d84p-6, 0x1.8110419ebdbd9p-6, 0x1.7e4b061e1aebdp-6, 0x1.7b7d79e68b063p-6, 0x1.78a7f9b8bb3dcp-6, 0x1.75cae1657cffap-6, 0x1.72e68bcbb4c84p-6, 0x1.6ffb52d4c758bp-6, 0x1.6d098f6dc8912p-6, 0x1.6a11997c3652ep-6, 0x1.6713c7ce9812bp-6, 0x1.6410700ada94ep-6, 0x1.6107e69ded3ecp-6, 0x1.5dfa7eb0b6ac4p-6, 0x1.5ae88a25b8385p-6, 0x1.57d259a0869c2p-6, 0x1.54b83c950c1a6p-6, 0x1.519a815992cc3p-6, 0x1.4e797534da533p-6, 0x1.4b5564619b291p-6, 0x1.482e9a03c680dp-6, 0x1.4505600ef05a7p-6, 0x1.41d9ff23f4d34p-6, 0x1.3eacbe6e5664p-6, 0x1.3b7de38b87ba6p-6, 0x1.384db285573ccp-6, 0x1.351c6de70d785p-6, 0x1.31ea56e925fb6p-6, 0x1.2eb7ada64277p-6, 0x1.2b84b14bb2591p-6, 0x1.2851a0342d743p-6, 0x1.251eb7e668e59p-6, 0x1.21ec34f13ac6bp-6, 0x1.1eba5275b7d61p-6, 0x1.1b8949ece9c66p-6, 0x1.185952a8ec53ap-6, 0x1.152aa1cd6474cp-6, 0x1.11fd6a4b8f451p-6, 0x1.0ed1dd394dafcp-6, 0x1.0ba82a65d9ed9p-6, 0x1.0880810cd503fp-6, 0x1.055b107dc5f65p-6, 0x1.023808896b6d2p-6, 0x1.fe2f331b4f331p-7, 0x1.f7f3e81879001p-7, 0x1.f1be8fa88ac61p-7, 0x1.eb8f85c6c35c7p-7, 0x1.e567207740c96p-7, 0x1.df45adec99a8p-7, 0x1.d92b73ad8a143p-7, 0x1.d318af131c1b1p-7, 0x1.cd0d972fcb37fp-7, 0x1.c70a5fdcb84ccp-7, 0x1.c10f3d5ce7ae2p-7, 0x1.bb1c67d56dcf3p-7, 0x1.b5321dcf09c1ap-7, 0x1.af50a51caca92p-7, 0x1.a97849c9a5cc3p-7, 0x1.a3a95b263cd2cp-7, 0x1.9de427690d229p-7, 0x1.9828f6bf783bfp-7, 0x1.927806d103db1p-7, 0x1.8cd187b620efcp-7, 0x1.87359b1f2e874p-7, 0x1.81a455f836deep-7, 0x1.7c1dc453ce1f9p-7, 0x1.76a1eee86292bp-7, 0x1.7130e10e30004p-7, 0x1.6bcaae05e0bafp-7, 0x1.666f746b1654bp-7, 0x1.611f5f0e55f5bp-7, 0x1.5bdaa2f780a27p-7, 0x1.56a17aeae004fp-7, 0x1.51742154dce3ep-7, 0x1.4c52c9df1598ap-7, 0x1.473d9c0af5d31p-7, 0x1.4234affd67d4bp-7, 0x1.3d380e3420534p-7, 0x1.3847b24cade3bp-7, 0x1.336390554291bp-7, 0x1.2e8b9b5d5058ap-7, 0x1.29bfcc429fdccp-7, 0x1.250026e966f4fp-7, 0x1.204cbcfbb3d52p-7, 0x1.1ba5ad169d93ap-7, 0x1.170b1eb0657f8p-7, 0x1.127d3b636d877p-7, 0x1.0dfc26f333117p-7, 0x1.0987f7bb92bddp-7, 0x1.0520b1341cdc8p-7, 0x1.00c641d07018p-7, 0x1.f8f109cbedd27p-8, 0x1.f06e90f3580c3p-8, 0x1.e804ac3071d75p-8, 0x1.dfb2fa7a8652ep-8, 0x1.d7793ad249e02p-8, 0x1.cf575bd555086p-8, 0x1.c74d837960b84p-8, 0x1.bf5c0d4e95cdcp-8, 0x1.b7837b6bd7473p-8, 0x1.afc464ccd2544p-8, 0x1.a81f57f4b9488p-8, 0x1.a094c35375904p-8, 0x1.9924dabdade31p-8, 0x1.91cf8ad7541b7p-8, 0x1.8a9473c067a67p-8, 0x1.8372ef8a09021p-8, 0x1.7c6a23962e2eep-8, 0x1.75791ab1eecc4p-8, 0x1.6e9ee44ea8ed4p-8, 0x1.67dab40c6a962p-8, 0x1.612bfc333b508p-8, 0x1.5a927e7a12643p-8, 0x1.540e505ad8c5ap-8, 0x1.4d9fd2c29f9dfp-8, 0x1.47479f45f9f12p-8, 0x1.41066e8421b49p-8, 0x1.3adcfbccd0d64p-8, 0x1.34cbe98dfcba7p-8, 0x1.2ed3a948d8bc2p-8, 0x1.28f46927519b8p-8, 0x1.232e092cd2e6cp-8, 0x1.1d801a0fd6cacp-8, 0x1.17e9e742045cep-8, 0x1.126a8be6c2a82p-8, 0x1.0d010f6f55e4fp-8, 0x1.07ac83b025ed8p-8, 0x1.026c1d48b3daep-8, 0x1.fa7e82a3b5445p-9, 0x1.f04b0f795e633p-9, 0x1.e63d6c732daeap-9, 0x1.dc5572b2363a8p-9, 0x1.d2933f79881fbp-9, 0x1.c8f72db739fabp-9, 0x1.bf81cc130ffabp-9, 0x1.b633c732cbf75p-9, 0x1.ad0dc60d17cc2p-9, 0x1.a4103f061b9b1p-9, 0x1.9b3b54d8cf1e2p-9, 0x1.928ec9a662e9p-9, 0x1.8a0a0ea55845fp-9, 0x1.81ac6a6a7e838p-9, 0x1.797524a3cbc7ap-9, 0x1.7163a1fd51e51p-9, 0x1.697760cfe5b18p-9, 0x1.61afd64ff2a07p-9, 0x1.5a0c3ec120751p-9, 0x1.528b7fd52c38ap-9, 0x1.4b2c38b1fc237p-9, 0x1.43ed04bd49a68p-9, 0x1.3cccd7726b40cp-9, 0x1.35cb42b5028ddp-9, 0x1.2ee87d71a44fbp-9, 0x1.28251f299a44fp-9, 0x1.2181ae968fe92p-9, 0x1.1afe3cec88fd2p-9, 0x1.149a41d1d5759p-9, 0x1.0e54c8474857bp-9, 0x1.082cd1a1727abp-9, 0x1.0221bbae698b8p-9, 0x1.f866f7735b355p-10, 0x1.ecc52d5313c42p-10, 0x1.e15faeac3370cp-10, 0x1.d637b206066cp-10, 0x1.cb4d1a36a673p-10, 0x1.c09ddba6338fcp-10, 0x1.b62613531fe03p-10, 0x1.abe0ec9536197p-10, 0x1.a1ca144cc916p-10, 0x1.97df21b2c09c5p-10, 0x1.8e20475fe6628p-10, 0x1.848fe89931d99p-10, 0x1.7b314069512b2p-10, 0x1.7206cdcfe9e78p-10, 0x1.691151dffd921p-10, 0x1.604fc2f2980a7p-10, 0x1.57c0004cdb8efp-10, 0x1.4f5fbe866b984p-10, 0x1.472d374a4c72cp-10, 0x1.3f2768351cbd2p-10, 0x1.374de7acb07dbp-10, 0x1.2fa07fea3acf4p-10, 0x1.281ecbf1fd494p-10, 0x1.20c7f31ede7ddp-10, 0x1.199a79fb96998p-10, 0x1.1294283cfa2ddp-10, 0x1.0bb22b902e9a5p-10, 0x1.04f19b5b5bcd5p-10, 0x1.fca07a521b08ep-11, 0x1.ef9a4ed607b7cp-11, 0x1.e2d1c6000e622p-11, 0x1.d649e76e0517ep-11, 0x1.ca06230007b7dp-11, 0x1.be091e91f6743p-11, 0x1.b2546660b131fp-11, 0x1.a6e8b6fa47937p-11, 0x1.9bc6733c24294p-11, 0x1.90ee22ad36e27p-11, 0x1.8660a7146312bp-11, 0x1.7c1e9a26c96dap-11, 0x1.7226fa2bd1bdbp-11, 0x1.68764d143faefp-11, 0x1.5f071840ba538p-11, 0x1.55d340e01a16bp-11, 0x1.4cd5388468578p-11, 0x1.4408665c067bap-11, 0x1.3b69166552f7ap-11, 0x1.32f4af29b8808p-11, 0x1.2aaa029b2da9p-11, 0x1.22891a8f5af16p-11, 0x1.1a9264fc30da8p-11, 0x1.12c650b405e47p-11, 0x1.0b25760562bcdp-11, 0x1.03b0c2732900cp-11, 0x1.f8d2239060525p-12, 0x1.ea9cf7a3f3d1cp-12, 0x1.dcc0ced3ffe73p-12, 0x1.cf3e08c51ab08p-12, 0x1.c21934b5d4e8bp-12, 0x1.b558b478259e1p-12, 0x1.a8fee98e0920fp-12, 0x1.9d073bf1dd6ddp-12, 0x1.9168703829822p-12, 0x1.861937c4bcf0ep-12, 0x1.7b138c7a1ec41p-12, 0x1.7055d381ceca2p-12, 0x1.65e1e9bc6318cp-12, 0x1.5bba7cfa8b7efp-12, 0x1.51dfe5be3ff35p-12, 0x1.484e56d875765p-12, 0x1.3efde6f26b26p-12, 0x1.35e361de2a578p-12, 0x1.2cf2db839bb58p-12, 0x1.242639e552847p-12, 0x1.1b8317822e1bap-12, 0x1.1317028cf82eap-12, 0x1.0aeb45ce02b84p-12, 0x1.02fd225da3933p-12, 0x1.f6874076c3c7fp-13, 0x1.e776ebd8e43ecp-13, 0x1.d8d393143659p-13, 0x1.caa94d3e4fdcap-13, 0x1.bcf982e729e08p-13, 0x1.afbb2b71ff0d1p-13, 0x1.a2e0b37496bbdp-13, 0x1.965d0734dea9cp-13, 0x1.8a265456f31dep-13, 0x1.7e375bb4c8645p-13, 0x1.7290521ddae14p-13, 0x1.67370426178ddp-13, 0x1.5c34d0be95ea5p-13, 0x1.519255d98fac8p-13, 0x1.4753e05456225p-13, 0x1.3d78a5bff73cbp-13, 0x1.33f7e9f50224p-13, 0x1.2abca6d18904cp-13, 0x1.21b0f03b4846p-13, 0x1.18d445253c6eep-13, 0x1.1035fcaf42dbep-13, 0x1.07d7ae09ce061p-13, 0x1.ff54b143130ep-14, 0x1.ef56b2a32f10cp-14, 0x1.dfd88e3d59bedp-14, 0x1.d0efefab0f53ep-14, 0x1.c28a64cfaaa35p-14, 0x1.b48d991bf973ep-14, 0x1.a6f4ec0c64fbdp-14, 0x1.99c9db66a0d1ep-14, 0x1.8d0ef0829b78p-14, 0x1.80ba7d61a0d3ep-14, 0x1.74bef00c18d23p-14, 0x1.691238e6838f8p-14, 0x1.5db037e066707p-14, 0x1.529adca933af5p-14, 0x1.47d8be0e15bd7p-14, 0x1.3d70cdc555194p-14, 0x1.3364e834f1699p-14, 0x1.29b27bf226cedp-14, 0x1.20585ba8df2d4p-14, 0x1.174f2af97818dp-14, 0x1.0e8053f3c9044p-14, 0x1.05e83175c0924p-14, 0x1.fb4e23177402dp-15, 0x1.eb8aa34c0b44p-15, 0x1.dc47774bc5316p-15, 0x1.cd6c8b9152057p-15, 0x1.bf0701338511ep-15, 0x1.b108807aceb6cp-15, 0x1.a36bfe8734399p-15, 0x1.9641db60f2052p-15, 0x1.8983591b4b612p-15, 0x1.7d1645f69b329p-15, 0x1.70fd840f383d6p-15, 0x1.655582454b0c3p-15, 0x1.5a263c6ddaeb1p-15, 0x1.4f5da39fcfa1bp-15, 0x1.44e84b9c63c89p-15, 0x1.3abccae156d5dp-15, 0x1.30d90b0926b5fp-15, 0x1.273e4f87c4bfbp-15, 0x1.1def803a3453ap-15, 0x1.14eed0e0300b1p-15, 0x1.0c39469f1333p-15, 0x1.03c9400248473p-15, 0x1.f74c731769c25p-16, 0x1.e7bbb2f3dab4bp-16, 0x1.d8b13de025c62p-16, 0x1.c9fd32471e92ep-16, 0x1.bbb9a70847455p-16, 0x1.adc2d9a07acb1p-16, 0x1.a028061672193p-16, 0x1.933b9b002c3p-16, 0x1.86f5d3d0149aap-16, 0x1.7b2ff12aa7c24p-16, 0x1.6fcca813bbb1fp-16, 0x1.64a3aa0419985p-16, 0x1.59adeb0c5f296p-16, 0x1.4f12c7e8fd261p-16, 0x1.44d10f64f2ae8p-16, 0x1.3ac644e7f7aefp-16, 0x1.310af260cee03p-16, 0x1.27c0748a852fbp-16, 0x1.1ed558af55203p-16, 0x1.162eeb869bfd2p-16, 0x1.0dc39f3a5af7fp-16, 0x1.05930860801aap-16, 0x1.fb3aeee88a17fp-17, 0x1.ebc5a09dfa679p-17, 0x1.dcc74002c1286p-17, 0x1.ce3de48dd6e07p-17, 0x1.c01d33cf6be85p-17, 0x1.b261d33571241p-17, 0x1.a53a4761c9276p-17, 0x1.98be04a0a6b29p-17, 0x1.8c8cf5621eb06p-17, 0x1.8087098698d17p-17, 0x1.74a8810298ae7p-17, }}, 
      {{0x1.aad331aca570fp-7, 0x1.a90fcdb5e6366p-6, 0x1.3ca3205f6e33dp-5, 0x1.a2436799134c8p-5, 0x1.025e7801c616ep-4, 0x1.31be7fbeeb0cbp-4, 0x1.5f0512ca594bp-4, 0x1.8a01b18d67746p-4, 0x1.b28f50f45c952p-4, 0x1.d893612dbdep-4, 0x1.fbfcb8abeec84p-4, 0x1.0e613ae62c85ap-3, 0x1.1d717233c51c2p-3, 0x1.2b3138342cae3p-3, 0x1.37a5559afb165p-3, 0x1.42d4b3a0cc1adp-3, 0x1.4cc7f5b8492d5p-3, 0x1.55891f30817fcp-3, 0x1.5d234385238e1p-3, 0x1.63a241776c1a1p-3, 0x1.69128750f216dp-3, 0x1.6d80df39a5711p-3, 0x1.70fa44b42df9bp-3, 0x1.738bbf250efb9p-3, 0x1.754244ca5fb3ap-3, 0x1.762aa1c7019d4p-3, 0x1.7651643f08475p-3, 0x1.75c2cd6c787dep-3, 0x1.748ac52dd42dbp-3, 0x1.72b4d1016208bp-3, 0x1.704c0dbb90a08p-3, 0x1.6d5b2afdd726cp-3, 0x1.69ec690b1f3d2p-3, 0x1.66099757d31e2p-3, 0x1.61bc1490347e2p-3, 0x1.5d0cd02d9706cp-3, 0x1.58044bc8684d9p-3, 0x1.52aa9d8858605p-3, 0x1.4d07733251036p-3, 0x1.472214d7691a8p-3, 0x1.41016831cdce5p-3, 0x1.3aabf4469442cp-3, 0x1.3427e4aba8ca4p-3, 0x1.2d7b0d08e4928p-3, 0x1.26aaec95b4961p-3, 0x1.1fbcb175b2b6dp-3, 0x1.18b53c2a81de2p-3, 0x1.119922cabf73ep-3, 0x1.0a6cb42c6ea84p-3, 0x1.0333fae9f2a38p-3, 0x1.f7e580fac8a7ep-4, 0x1.e9592037285f9p-4, 0x1.dac972d5d9452p-4, 0x1.cc3ca67748f9bp-4, 0x1.bdb87c380f6dap-4, 0x1.af424da8e8f6bp-4, 0x1.a0df1197e5e12p-4, 0x1.929360ab87d96p-4, 0x1.846379ca64da3p-4, 0x1.7653465b0df3dp-4, 0x1.68665e9ff4c7p-4, 0x1.5aa00d2132fb1p-4, 0x1.4d03531961408p-4, 0x1.3f92eb910a7ffp-4, 0x1.32514f3c38574p-4, 0x1.2540b7d5b79e1p-4, 0x1.186323490f3ap-4, 0x1.0bba56e5339e6p-4, 0x1.fe8fc4cbcf874p-5, 0x1.e61a45beac088p-5, 0x1.ce168b1d5da05p-5, 0x1.b686951875e33p-5, 0x1.9f6c0edcda305p-5, 0x1.88c8538d1bdd6p-5, 0x1.729c73318a245p-5, 0x1.5ce936fa0c016p-5, 0x1.47af266f718eap-5, 0x1.32ee8addee90bp-5, 0x1.1ea7748135a11p-5, 0x1.0ad9bd29201abp-5, 0x1.ef0a199e61635p-6, 0x1.c951bb891e223p-6, 0x1.a488fdad7153cp-6, 0x1.80ae2df782dd7p-6, 0x1.5dbf53d378a38p-6, 0x1.3bba31ead1454p-6, 0x1.1a9c4e2ce547cp-6, 0x1.f4c5f1c52e11cp-7, 0x1.b616996e49c26p-7, 0x1.79247384b23f9p-7, 0x1.3de90b20f9819p-7, 0x1.045da58270fa1p-7, 0x1.98f684e6ec952p-8, 0x1.2c755e166bc65p-8, 0x1.865212f447cfbp-9, 0x1.740993a2f7c5ap-10, -0x1.837bab1cf74bbp-14, -0x1.985e7097919d2p-10, -0x1.8654dd482f49cp-9, -0x1.1d565e43fdf01p-8, -0x1.74ab7bde86195p-8, -0x1.c939efd3ef474p-8, -0x1.0d88ee8fd3fbap-7, -0x1.3521bbba702d7p-7, -0x1.5b6f6e935d248p-7, -0x1.807a110e64eb2p-7, -0x1.a449a1cda23abp-7, -0x1.c6e61134bff6dp-7, -0x1.e85743c7268dcp-7, -0x1.045281e08c56p-6, -0x1.13eb884e626bap-6, -0x1.22fa86f97eddfp-6, -0x1.318344993e0e4p-6, -0x1.3f897a9d19c6ep-6, -0x1.4d10d465b3a15p-6, -0x1.5a1cee191a3e1p-6, -0x1.66b156214056bp-6, -0x1.72d1868275e7bp-6, -0x1.7e80ed9a3317ep-6, -0x1.89c2e579a063cp-6, -0x1.949ab8485e4e2p-6, -0x1.9f0b9edd5305p-6, -0x1.a918c08a52c3dp-6, -0x1.b2c533114442dp-6, -0x1.bc13faca80e4fp-6, -0x1.c5080a79ea0cp-6, -0x1.cda4424be8d9dp-6, -0x1.d5eb7119f16a9p-6, -0x1.dde0539994f4ep-6, -0x1.e58593e0ad5f6p-6, -0x1.ecddc9cd26611p-6, -0x1.f3eb7bb3f119dp-6, -0x1.fab11cfbf967ap-6, -0x1.009887ec25b79p-5, -0x1.03b6d21bdb046p-5, -0x1.06b48c23a0952p-5, -0x1.0992cc65d31cdp-5, -0x1.0c52a1adaec8ap-5, -0x1.0ef5105586749p-5, -0x1.117b16a95749fp-5, -0x1.13e5a944ea8b5p-5, -0x1.1635b57e9653dp-5, -0x1.186c200ec2c6cp-5, -0x1.1a89c71026914p-5, -0x1.1c8f7fdbd8acep-5, -0x1.1e7e18d12e029p-5, -0x1.205658b38e52p-5, -0x1.2218ffa2803ebp-5, -0x1.23c6c550bb595p-5, -0x1.25605bed7a82cp-5, -0x1.26e66df1f9531p-5, -0x1.28599fe6411fdp-5, -0x1.29ba8e8a287e3p-5, -0x1.2b09d22b0cf89p-5, -0x1.2c47fabd8fb3fp-5, -0x1.2d759457324edp-5, -0x1.2e9323a795258p-5, -0x1.2fa12864ad058p-5, -0x1.30a01ca152202p-5, -0x1.3190751bd9a17p-5, -0x1.3272a13a90f82p-5, -0x1.33470c321617bp-5, -0x1.340e1aec8f08cp-5, -0x1.34c82f01af9e9p-5, -0x1.3575a4dbe6248p-5, -0x1.3616d4bb13225p-5, -0x1.36ac12947ed3dp-5, -0x1.3735ae5ecaa2cp-5, -0x1.37b3f467e9ae3p-5, -0x1.38272ca0d756bp-5, -0x1.388f9bc821548p-5, -0x1.38ed83b8c0495p-5, -0x1.394121ca7aea1p-5, -0x1.398ab0f6869ecp-5, -0x1.39ca68eec82edp-5, -0x1.3a007e838b013p-5, -0x1.3a2d23c3394fdp-5, -0x1.3a508803ab314p-5, -0x1.3a6ad8136906ep-5, -0x1.3a7c3e61c6fdcp-5, -0x1.3a84e30271deep-5, -0x1.3a84ec355cc0fp-5, -0x1.3a7c7d7e632adp-5, -0x1.3a6bb8f01cacbp-5, -0x1.3a52be9f47222p-5, -0x1.3a31ace9b9924p-5, -0x1.3a08a086fa3cdp-5, -0x1.39d7b4b443cdcp-5, -0x1.399f033013268p-5, -0x1.395ea485ab11ap-5, -0x1.3916afb04f832p-5, -0x1.38c73b37095cep-5, -0x1.38705b4299629p-5, -0x1.381224dc8f11fp-5, -0x1.37acaa8e11dd1p-5, -0x1.373ffed5831bcp-5, -0x1.36cc3345fd6dcp-5, -0x1.365158d19a5d1p-5, -0x1.35cf7fcda37dbp-5, -0x1.3546b806d76b4p-5, -0x1.34b710d19e602p-5, -0x1.34209916c555cp-5, -0x1.33835f6d2859cp-5, -0x1.32df72154d5b1p-5, -0x1.3234deed5137dp-5, -0x1.3183b452b911fp-5, -0x1.30cbfee094e9bp-5, -0x1.300dcd176fe99p-5, -0x1.2f492bf1765bfp-5, -0x1.2e7e28eedaef8p-5, -0x1.2dacd173fe4dcp-5, -0x1.2cd532f77112dp-5, -0x1.2bf75af729203p-5, -0x1.2b1357051a42bp-5, -0x1.2a2934da58367p-5, -0x1.2939026380813p-5, -0x1.2842cd985784ep-5, -0x1.2746a4c2398b9p-5, -0x1.2644965a83036p-5, -0x1.253cb10dc3f0ap-5, -0x1.242f03bbb88a2p-5, -0x1.231b9e14187b1p-5, -0x1.22028ec5de524p-5, -0x1.20e3e67d2325p-5, -0x1.1fbfb4ed1a8afp-5, -0x1.1e960aa7ca116p-5, -0x1.1d66f87affc55p-5, -0x1.1c328f89f1f95p-5, -0x1.1af8e14ec9b07p-5, -0x1.19b9ff9e64351p-5, -0x1.1875fca74210ep-5, -0x1.172ceaf221286p-5, -0x1.15dedd5f0e3f8p-5, -0x1.148be72960f82p-5, -0x1.13341be8ccda1p-5, -0x1.11d78f83aa46bp-5, -0x1.1076563e57f47p-5, -0x1.0f1084b424d3bp-5, -0x1.0da62fd032902p-5, -0x1.0c376cbf6d3dap-5, -0x1.0ac45163e596ap-5, -0x1.094cf30b319a1p-5, -0x1.07d16863fb938p-5, -0x1.0651c7a2f623dp-5, -0x1.04ce2794b9567p-5, -0x1.03469f3a92c5ap-5, -0x1.01bb45d4d46edp-5, -0x1.002c32ec793b4p-5, -0x1.fd32fc8176b3ap-6, -0x1.fa067f93e4624p-6, -0x1.f6d31f7bdfa85p-6, -0x1.f3990cffe6f2bp-6, -0x1.f058794c18b5bp-6, -0x1.ed1195e4e9188p-6, -0x1.e9c494a2f6772p-6, -0x1.e671a7aee4393p-6, -0x1.e319017b59432p-6, -0x1.dfbad4bb21b98p-6, -0x1.dc57545a6e0bp-6, -0x1.d8eeb36e71aabp-6, -0x1.d581252379d5cp-6, -0x1.d20edce777d79p-6, -0x1.ce980ebeaf89cp-6, -0x1.cb1ced510d472p-6, -0x1.c79dad5a5ed36p-6, -0x1.c41a81f2fec2ap-6, -0x1.c0939ee664a36p-6, -0x1.bd0937fa98d35p-6, -0x1.b97b80d561366p-6, -0x1.b5eaad0868374p-6, -0x1.b256f00f10ddap-6, -0x1.aec07d46e4d9ap-6, -0x1.ab2787e6e20c6p-6, -0x1.a78c42f7498abp-6, -0x1.a3eee14aaecdbp-6, -0x1.a04f95787df4p-6, -0x1.9cae91d893bedp-6, -0x1.990c087e9586p-6, -0x1.95682b3478e1bp-6, -0x1.91c32b738d398p-6, -0x1.8e1d3a5c7939p-6, -0x1.8a7688b39cc2p-6, -0x1.86cf46dd8ce8bp-6, -0x1.8327a4cdf617p-6, -0x1.7f7fd20dee879p-6, -0x1.7bd7fdb946c53p-6, -0x1.78305674ffdf6p-6, -0x1.74890a63c371ep-6, -0x1.70e2476f94192p-6, -0x1.6d3c3a58c1afap-6, -0x1.6997102779442p-6, -0x1.65f2f4b0e944cp-6, -0x1.62501387942f1p-6, -0x1.5eae979eac2fap-6, -0x1.5b0eab51a732ep-6, -0x1.5770786332ca4p-6, -0x1.53d427f96c9a4p-6, -0x1.5039e299ce14dp-6, -0x1.4ca1d025659b3p-6, -0x1.490c17d5e6f4bp-6, -0x1.4578e03b3c8abp-6, -0x1.41e84f398d757p-6, -0x1.3e5a8a0995722p-6, -0x1.3acfb5388f122p-6, -0x1.3747f49eeee5ap-6, -0x1.33c36b6236074p-6, -0x1.30423bf50a08ap-6, -0x1.2cc4881286917p-6, -0x1.294a70bc85915p-6, -0x1.25d4163b1066cp-6, -0x1.2261981bba81p-6, -0x1.1ef31531d572fp-6, -0x1.1b88ab9574536p-6, -0x1.182278a31da0fp-6, -0x1.14c098fb15b51p-6, -0x1.1163287fe0a9bp-6, -0x1.0e0a425470822p-6, -0x1.0ab600d72fb71p-6, -0x1.07667dc3686c6p-6, -0x1.041bd1e3db326p-6, -0x1.00d61582872cdp-6, -0x1.fb2abff2a7d66p-7, -0x1.f4b38ff1465a1p-7, -0x1.ee46c6f412bdp-7, -0x1.e7e48f6eadbdap-7, -0x1.e18d125c9ec5ap-7, -0x1.db4077449d866p-7, -0x1.d4fee43cb0186p-7, -0x1.cec87de61c57p-7, -0x1.c89d67704686dp-7, -0x1.c27dc2a17bb9bp-7, -0x1.bc69afd805a79p-7, -0x1.b6614e0bff566p-7, -0x1.b064bad288316p-7, -0x1.aa741260d82aap-7, -0x1.a48f6f8dd23d5p-7, -0x1.9eb6ebd56d003p-7, -0x1.98ea9f5b96ed4p-7, -0x1.932aa0f05318ep-7, -0x1.8d7706144ab95p-7, -0x1.87cfe2fc8759ep-7, -0x1.82354a9698041p-7, -0x1.7ca74e8cd6c75p-7, -0x1.7725ff4a9653ep-7, -0x1.71b16c0018b27p-7, -0x1.6c49a2a6a389cp-7, -0x1.66eeb00526c26p-7, -0x1.61a09fb39b3fp-7, -0x1.5c5f7c20b4e7p-7, -0x1.572b4e95c9e2cp-7, -0x1.52041f3bf681p-7, -0x1.4ce9f520b2f6dp-7, -0x1.47dcd6372effp-7, -0x1.42dcc764ee828p-7, -0x1.3de9cc98f1e19p-7, -0x1.3903e893d4b08p-7, -0x1.342b1d22fa6bap-7, -0x1.2f5f6ab49ca8bp-7, -0x1.2aa0d1de35817p-7, -0x1.25ef50e871f97p-7, -0x1.214ae65c71742p-7, -0x1.1cb38ebac6cdbp-7, -0x1.1829462d330eap-7, -0x1.13ac082eefe17p-7, -0x1.0f3bcf25d7ab6p-7, -0x1.0ad894a0ffbfbp-7, -0x1.068251614b75p-7, -0x1.0238fd5c926dep-7, -0x1.fbf91f84e8441p-8, -0x1.f399fe04297d3p-8, -0x1.eb54819fd3942p-8, -0x1.e328945681636p-8, -0x1.db161ec633d7ap-8, -0x1.d31d0834d8365p-8, -0x1.cb3d3697569f5p-8, -0x1.c3768e987a8eap-8, -0x1.bbc8f3a013aa1p-8, -0x1.b43447db9b8dfp-8, -0x1.acb86c48b74b9p-8, -0x1.a55540c1c93b7p-8, -0x1.9e0aa40b8e7edp-8, -0x1.96d873e2e3a07p-8, -0x1.8fbe8d09bc043p-8, -0x1.88bccb4ff4bcep-8, -0x1.81d3099b9c565p-8, -0x1.7b0121ec7dbeap-8, -0x1.7446ed606f602p-8, -0x1.6da44435974p-8, -0x1.6718fdccd8c58p-8, -0x1.60a4f0b2e9fdap-8, -0x1.5a47f2ad4371p-8, -0x1.5401d8c8d20d5p-8, -0x1.4dd2776942bfp-8, -0x1.47b9a25573544p-8, -0x1.41b72cc79c745p-8, -0x1.3bcae981bd74cp-8, -0x1.35f4aaa793918p-8, -0x1.303441ee32b1dp-8, -0x1.2a89806bbef78p-8, -0x1.24f436c66513ap-8, -0x1.1f7435224492cp-8, -0x1.1a094b2ba94cep-8, -0x1.14b34826dc21ap-8, -0x1.0f71fb003c53ap-8, -0x1.0a45325b45e3cp-8, -0x1.052cbc9d4ba27p-8, -0x1.002867f0b73a9p-8, -0x1.f670048b10d66p-9, -0x1.ecb6b296117bp-9, -0x1.e32474d4070cbp-9, -0x1.d9b8e5876f5d6p-9, -0x1.d0739e6c6c00ep-9, -0x1.c75438d37ea5ap-9, -0x1.be5a4dcba7d2dp-9, -0x1.b585765444ec8p-9, -0x1.acd54b8bdf279p-9, -0x1.a44966cfdf964p-9, -0x1.9be161c46973cp-9, -0x1.939cd64587db8p-9, -0x1.8b7b5e33e26abp-9, -0x1.837c9350d446dp-9, -0x1.7ba00efd9b2afp-9, -0x1.73e56a2957187p-9, -0x1.6c4c3d5089fcep-9, -0x1.64d420a42a30ap-9, -0x1.5d7cac52c23d5p-9, -0x1.564578e6e1509p-9, -0x1.4f2e1fa3a27abp-9, -0x1.48363acb11d68p-9, -0x1.415d65bcb908fp-9, -0x1.3aa33ce352f3p-9, -0x1.34075d73fc6edp-9, -0x1.2d89650dbdf2cp-9, -0x1.2728f151934b4p-9, -0x1.20e59f8db4859p-9, -0x1.1abf0c93cde2fp-9, -0x1.14b4d4c6ebe2p-9, -0x1.0ec6946250fd3p-9, -0x1.08f3e7eb61da3p-9, -0x1.033c6cb7db3ffp-9, -0x1.fb3f82d480195p-10, -0x1.f03b0c99b92a4p-10, -0x1.e56abae9b7e4fp-10, -0x1.dacdd51aff0a4p-10, -0x1.d063a4f0b198ap-10, -0x1.c62b7564ba057p-10, -0x1.bc24917f64777p-10, -0x1.b24e43373ff28p-10, -0x1.a8a7d2d9bcde1p-10, -0x1.9f30871cca4p-10, -0x1.95e7a5dc06926p-10, -0x1.8ccc755ed67cbp-10, -0x1.83de3de2bb43cp-10, -0x1.7b1c4b15b5964p-10, -0x1.7285ed319a45dp-10, -0x1.6a1a798b0e68fp-10, -0x1.61d94a84169aep-10, -0x1.59c1bee85419bp-10, -0x1.51d338d0a0b55p-10, -0x1.4a0d1c506e25bp-10, -0x1.426ecd5923abdp-10, -0x1.3af7aa536283fp-10, -0x1.33a71a6ce82c8p-10, -0x1.2c7c76fbb068bp-10, -0x1.25771f8b8f6a3p-10, -0x1.1e9666f5b6a1ap-10, -0x1.17d9ac0ec022fp-10, -0x1.11404c2ed8cadp-10, -0x1.0ac9a84ef8618p-10, -0x1.0475267ed1379p-10, -0x1.fc8463bedba4fp-11, -0x1.f060741cc46d3p-11, -0x1.e47d658122cdfp-11, -0x1.d8da2626bfa89p-11, -0x1.cd75aa4013f4bp-11, -0x1.c24eead58aeadp-11, -0x1.b764e3fc94e58p-11, -0x1.acb6928fb271ep-11, -0x1.a242f1e00525fp-11, -0x1.9808fa46ed2fap-11, -0x1.8e07a15ca854bp-11, -0x1.843ddbf52883ep-11, -0x1.7aaaa12723254p-11, -0x1.714cecfefe2dp-11, -0x1.6823c197bd6a3p-11, -0x1.5f2e2612af0a6p-11, -0x1.566b243a8cc9p-11, -0x1.4dd9c634e3909p-11, -0x1.457915ea3300ep-11, -0x1.3d481eaa84246p-11, -0x1.3545f06d76d6ap-11, -0x1.2d71a31872ec9p-11, -0x1.25ca582f173p-11, -0x1.1e4f3a29d99dep-11, -0x1.16ff79df5aa7fp-11, -0x1.0fda4b61430c7p-11, -0x1.08dee414e77d5p-11, -0x1.020c7aa7eca6cp-11, -0x1.f6c49154f5ef8p-12, -0x1.e9bf1909a43a8p-12, -0x1.dd0714c7c5a38p-12, -0x1.d09b15be3827dp-12, -0x1.c479af3222574p-12, -0x1.b8a16e8c24ad4p-12, -0x1.ad10d5f12924dp-12, -0x1.a1c65c3aa4497p-12, -0x1.96c072a6b09afp-12, -0x1.8bfd8dd7f6118p-12, -0x1.817c2e422e783p-12, -0x1.773ae4ce99b43p-12, -0x1.6d3853088c087p-12, -0x1.637328b8c42d3p-12, -0x1.59ea21af479ebp-12, -0x1.509c0522fe65cp-12, -0x1.4787a5da4fa67p-12, -0x1.3eabe11642a04p-12, -0x1.36079b0cf1ce8p-12, -0x1.2d99b9e50c953p-12, -0x1.256121d18a71dp-12, -0x1.1d5cb485ead67p-12, -0x1.158b53d726a82p-12, -0x1.0debe510908ebp-12, -0x1.067d5266ab7c2p-12, -0x1.fe7d1428b63b3p-13, -0x1.f05cf98c0a3a5p-13, -0x1.e298399fa01ap-13, -0x1.d52cbbb9c3425p-13, -0x1.c81867f751099p-13, -0x1.bb59259597079p-13, -0x1.aeecdf0be53dfp-13, -0x1.a2d1926703369p-13, -0x1.9705683b9032dp-13, -0x1.8b86c54c2cc13p-13, -0x1.80544573fdefdp-13, -0x1.756c9bb8cb7f3p-13, -0x1.6ace651171d7cp-13, -0x1.607806aca6bf2p-13, -0x1.5667ab1ed17b6p-13, -0x1.4c9b5eb2ec744p-13, -0x1.43113816f1d73p-13, -0x1.39c7760f7f024p-13, -0x1.30bc863c18109p-13, -0x1.27eef91a68f0ep-13, -0x1.1f5d6fd966d95p-13, -0x1.17068e14e23cap-13, -0x1.0ee8f1cc78e29p-13, -0x1.07032e7916ffap-13, -0x1.fea793917a349p-14, -0x1.efb27eaf124c4p-14, -0x1.e12426e34484fp-14, -0x1.d2f9e689ae60ap-14, -0x1.c531a08f54362p-14, -0x1.b7c9be2b6f42fp-14, -0x1.aac0e4a4745f9p-14, -0x1.9e158ad629efap-14, -0x1.91c5b30168f7bp-14, -0x1.85ceed3f3f988p-14, -0x1.7a2e92d556744p-14, -0x1.6ee20c0902e98p-14, -0x1.63e6f789c1235p-14, -0x1.593b2b395e3cap-14, -0x1.4edca630cd8ap-14, -0x1.44c97c3351125p-14, -0x1.3affbde11bd7bp-14, -0x1.317d6a01e2a8bp-14, -0x1.28406c18888e9p-14, -0x1.1f46aa5025e1ep-14, -0x1.168e18591749fp-14, -0x1.0e1477394abe2p-14, -0x1.05d7fd76ba489p-14, -0x1.fbae2fcdd086ep-15, -0x1.ec20f3f9a3c3p-15, -0x1.dd05b6b7495c3p-15, -0x1.ce5b67c606281p-15, -0x1.c01fde7c33fc4p-15, -0x1.b25041c0867f3p-15, -0x1.a4e9552b0deccp-15, -0x1.97e802a8b11e6p-15, -0x1.8b49995d95ae1p-15, -0x1.7f0b9db855954p-15, -0x1.732b86d7b41b5p-15, -0x1.67a6ba1e3468p-15, -0x1.5c7ab0245d897p-15, -0x1.51a50714ff521p-15, -0x1.47236fa3c17c6p-15, -0x1.3cf389a40b21cp-15, -0x1.3312d068c10dp-15, -0x1.297ead3dcfdc8p-15, -0x1.2034a6a33b105p-15, -0x1.1732825cfa371p-15, -0x1.0e7636ca9092p-15, -0x1.05fdbc256926fp-15, -0x1.fb8df017b4ee4p-16, -0x1.eb9fbeac8caacp-16, -0x1.dc2d3c1f4289ep-16, -0x1.cd32f2a405b7ep-16, -0x1.bead8a1384d22p-16, -0x1.b099d6ee33e4ep-16, -0x1.a2f53ddd809f4p-16, -0x1.95bd7b7ce9915p-16, -0x1.88f001b37f817p-16, -0x1.7c89bf8fc511cp-16, -0x1.70877e9186896p-16, -0x1.64e63173daeadp-16, -0x1.59a2eae0b87bep-16, -0x1.4ebac9e6902a9p-16, -0x1.442b01154cb7p-16, -0x1.39f0d6129f4dbp-16, -0x1.30098c0b07399p-16, -0x1.267258a31c48ep-16, -0x1.1d288b0160a5dp-16, -0x1.1429e0a97f954p-16, -0x1.0b74c31603ap-16, -0x1.030814426725cp-16, -0x1.f5c4fbf21a64cp-17, -0x1.e6039501abec6p-17, -0x1.d6c5dcdfddb9ap-17, -0x1.c8052eabc6652p-17, -0x1.b9bb28639a668p-17, -0x1.abe29f5767ac6p-17, -0x1.9e78ec512919ep-17, -0x1.917d41b26d058p-17, -0x1.84edfef7b3467p-17, -0x1.78c78307998f7p-17, -0x1.6d05b83f634cdp-17, -0x1.61a58bac9b34dp-17, -0x1.56a4797d79b57p-17, -0x1.4bffabd00e607p-17, -0x1.41b3f369ae62fp-17, -0x1.37be2d98b518cp-17, -0x1.2e1b747c2952cp-17, -0x1.24c90e3e13fddp-17, -0x1.1bc4530047a0fp-17, -0x1.130a9d78aa49bp-17, -0x1.0a99562d6af9cp-17, -0x1.026e32201fa8ep-17, -0x1.f50f0766be6ebp-18, -0x1.e5c874766642cp-18, -0x1.d70690527f81dp-18, -0x1.c8c57499a440bp-18, -0x1.bafee5229450cp-18, -0x1.adabf2d145de6p-18, -0x1.a0c6cd4906a27p-18, -0x1.944b50ef7569dp-18, -0x1.8837d64c531e3p-18, -0x1.7c8bfcf9678e3p-18, -0x1.7144f44466f1ap-18, -0x1.665d4dca9b82cp-18, -0x1.5bd06868c72f4p-18, -0x1.519b0ccaa0248p-18, -0x1.47ba2ca6be1cp-18, -0x1.3e2b638d14813p-18, -0x1.34ed09ae77b43p-18, -0x1.2bfcf3d9b1687p-18, -0x1.23580cffcec2bp-18, -0x1.1afb4b51b2944p-18, -0x1.12e4390b12294p-18, -0x1.0b10983c6436dp-18, -0x1.037e2f517ad54p-18, -0x1.f855b9cd91713p-19, -0x1.ea29390ee5c6dp-19, -0x1.dc73128a598cap-19, -0x1.cf2fd8cf75d23p-19, -0x1.c25c871abcfd8p-19, -0x1.b5f61f7a9dfecp-19, -0x1.a9f8a15997333p-19, -0x1.9e5eb0b993f44p-19, -0x1.932390544ebc9p-19, -0x1.8844b9f1a916ep-19, -0x1.7dbfeb7c4adbcp-19, -0x1.739259750e2bap-19, -0x1.69b93c0e24998p-19, -0x1.6030930169debp-19, -0x1.56f61f618d463p-19, -0x1.4e098498ed9ccp-19, -0x1.4569c97c15889p-19, -0x1.3d0c0945f0f19p-19, -0x1.34f13ed12bb2cp-19, -0x1.2d20515e20e63p-19, -0x1.258745b04013bp-19, -0x1.1e2bcbd706dd5p-19, -0x1.170da8a95b5e9p-19, -0x1.1028d57e89a4ep-19, -0x1.097b450cf639ep-19, -0x1.0303a8a3e6a16p-19, -0x1.f980c32b7c686p-20, -0x1.ed5f781fa7196p-20, -0x1.e19fef53c96a1p-20, -0x1.d63eb4bf75661p-20, -0x1.cb38af0371dc6p-20, -0x1.c08add1450ce3p-20, -0x1.b632a8476c0f9p-20, -0x1.ac2dc0207ddefp-20, -0x1.a279259efd587p-20, -0x1.9911b5fd4e827p-20, -0x1.8ff606520f637p-20, -0x1.8724a72b4337ep-20, -0x1.7e99593442e1bp-20, -0x1.7650cee8f15aap-20, -0x1.6e48bbab2ebe1p-20, }}, 
      {{-0x1.251e44fd48b53p+0, -0x1.1ed72efad5924p+0, -0x1.14e26b2fdbbbp+0, -0x1.07d4fc55e8b98p+0, -0x1.f0a11353a7b92p-1, -0x1.cdeaf089ca905p-1, -0x1.a8b4c0b6dcf9bp-1, -0x1.820e3d9f4f84ap-1, -0x1.5ae4baa86f925p-1, -0x1.34018fa3413eap-1, -0x1.0e0abf3fd87c4p-1, -0x1.d30a1c1111272p-2, -0x1.8dadf3c2fdb9dp-2, -0x1.4c98310e84774p-2, -0x1.10314e6e1ff7bp-2, -0x1.b173ed7764e28p-3, -0x1.4ca3592c0feb8p-3, -0x1.e3f2b32bea929p-4, -0x1.42a5376563a06p-4, -0x1.69a5518be2fc1p-5, -0x1.cdd3923f7b377p-7, 0x1.7c5b8983d414p-7, 0x1.10062f6464078p-5, 0x1.a18657691aa4bp-5, 0x1.0aed0f664f5fcp-4, 0x1.37a664aec1663p-4, 0x1.5813ce55190d2p-4, 0x1.6d54c460ddd43p-4, 0x1.7880570862245p-4, 0x1.7aa2bf680480fp-4, 0x1.74bb9dc32dc5p-4, 0x1.67bcc7b04a396p-4, 0x1.54898c9d20e52p-4, 0x1.3bf6597784d05p-4, 0x1.1ec8a89505afcp-4, 0x1.fb6e5b29722abp-5, 0x1.b2d45d3046955p-5, 0x1.64f7ffec17bdep-5, 0x1.12f3312ef64cep-5, 0x1.7b8cdb4c7cf18p-6, 0x1.99687efef9fabp-7, 0x1.b0012d3062192p-10, -0x1.302d3e962888p-7, -0x1.4b3e7156da0b5p-6, -0x1.fd4ae0a85b6ebp-6, -0x1.5698d0531c103p-5, -0x1.ad04045370aap-5, -0x1.00c028055b46ep-4, -0x1.29da32a9d8a52p-4, -0x1.51a9a578692bcp-4, -0x1.780daa0287ac7p-4, -0x1.9cea9432a1ddap-4, -0x1.c0296eb07dea3p-4, -0x1.e1b78f34d2d96p-4, -0x1.00c31941acbc1p-3, -0x1.0fc50fd2bd509p-3, -0x1.1ddda8fcd7e1ap-3, -0x1.2b0a54d3e828ep-3, -0x1.3749d1064f7d6p-3, -0x1.429c06d7caf65p-3, -0x1.4d01ebaaf8b75p-3, -0x1.567d63fb078bdp-3, -0x1.5f11287bb2189p-3, -0x1.66c0ad5c42e37p-3, -0x1.6d900b6a3c89dp-3, -0x1.7383eb02b84f6p-3, -0x1.78a170b38158p-3, -0x1.7cee2b67f5adbp-3, -0x1.8070040c5956cp-3, -0x1.832d2e8e70582p-3, -0x1.852c1c22033f9p-3, -0x1.86736eb6e8c71p-3, -0x1.8709ed89d66f6p-3, -0x1.86f67abe596f3p-3, -0x1.864009eec5962p-3, -0x1.84ed97a2a3041p-3, -0x1.8306219d6acd7p-3, -0x1.80909ff09cedep-3, -0x1.7d93fecab73bbp-3, -0x1.7a1718eea39ap-3, -0x1.7620b2cde0769p-3, -0x1.71b7763abdaaep-3, -0x1.6ce1ee989facbp-3, -0x1.67a6859ae0afap-3, -0x1.620b8075bf87dp-3, -0x1.5c16fd6cc30a1p-3, -0x1.55cef1dcafb1ap-3, -0x1.4f39288cd499p-3, -0x1.485b405339822p-3, -0x1.413aab1b1fc42p-3, -0x1.39dcad16a7992p-3, -0x1.32465c4e044e2p-3, -0x1.2a7ca059724dcp-3, -0x1.2284324cf5d4dp-3, -0x1.1a619cf785aecp-3, -0x1.12193d06d99e3p-3, -0x1.09af4171e656p-3, -0x1.0127ac3a45cd2p-3, -0x1.f10ca571d03f3p-4, -0x1.df9dbd1e449dap-4, -0x1.ce099d5cd4da5p-4, -0x1.bc56efc3b870fp-4, -0x1.aa8c0cac7e7d7p-4, -0x1.98aefcea94dd3p-4, -0x1.86c57b889edf1p-4, -0x1.74d4f96e2f9ebp-4, -0x1.62e29e73a13a8p-4, -0x1.50f34b6c58355p-4, -0x1.3f0b9dc740f14p-4, -0x1.2d2ff095a7afep-4, -0x1.1b645eed5168p-4, -0x1.09acc731a5a0ep-4, -0x1.f01998e3b531dp-5, -0x1.cd0fb23623235p-5, -0x1.aa4243c0e5beap-5, -0x1.87b74e8739cep-5, -0x1.6574700d71cbcp-5, -0x1.437ee7463a0dp-5, -0x1.21db9793a0ccdp-5, -0x1.008f0cca8f42dp-5, -0x1.bf3afe47ebda3p-6, -0x1.7e15ac7df79afp-6, -0x1.3db5595083f41p-6, -0x1.fc414d11df62fp-7, -0x1.7ebb50205ec45p-7, -0x1.02e3d748adaa4p-7, -0x1.1189f75b8146p-8, -0x1.067e31b7004a5p-11, 0x1.98ace28034dfbp-9, 0x1.b5d9f462f0dc4p-8, 0x1.4dd6d7382ffc3p-7, 0x1.bee3109397fcbp-7, 0x1.1706525655032p-6, 0x1.4da7a5165ac11p-6, 0x1.8353b20c33685p-6, 0x1.b808fd1820ac7p-6, 0x1.ebc658eb84088p-6, 0x1.0f4571a206944p-5, 0x1.282affed6937bp-5, 0x1.4093aab0fd55fp-5, 0x1.587f650e549bdp-5, 0x1.6fee4003a3438p-5, 0x1.86e0681bd4baap-5, 0x1.9d5624fc23cfep-5, 0x1.b34fd6231f03ep-5, 0x1.c8cdf26d94ee4p-5, 0x1.ddd105f42df4bp-5, 0x1.f259b105f09dbp-5, 0x1.033452d5c1f1cp-4, 0x1.0cff53eee6e96p-4, 0x1.168e4571c923p-4, 0x1.1fe19857acb21p-4, 0x1.28f9c44a8e39ep-4, 0x1.31d747313c79bp-4, 0x1.3a7aa45c6184cp-4, 0x1.42e464ac09536p-4, 0x1.4b1515558467fp-4, 0x1.530d4801e0e2fp-4, 0x1.5acd9230effa9p-4, 0x1.62568cdea1e29p-4, 0x1.69a8d417c308dp-4, 0x1.70c506d350c8dp-4, 0x1.77abc6331ffa7p-4, 0x1.7e5db5d3d9b8fp-4, 0x1.84db7add31bd4p-4, 0x1.8b25bc3ac54f6p-4, 0x1.913d21e745427p-4, 0x1.9722552c3a196p-4, 0x1.9cd60004aa513p-4, 0x1.a258cce143cedp-4, 0x1.a7ab66c16568cp-4, 0x1.acce78d47c869p-4, 0x1.b1c2ae314772fp-4, 0x1.b688b1d4d2c0ap-4, 0x1.bb212e598ab44p-4, 0x1.bf8ccdf37c7dep-4, 0x1.c3cc3a4206d9cp-4, 0x1.c7e01c1ab443bp-4, 0x1.cbc91b873e8d9p-4, 0x1.cf87dfa42e58cp-4, 0x1.d31d0e7eb3c5p-4, 0x1.d6894d1e65034p-4, 0x1.d9cd3f33aaa6p-4, 0x1.dce9874960b56p-4, 0x1.dfdec693ffeabp-4, 0x1.e2ad9ce400ad5p-4, 0x1.e556a89e2378bp-4, 0x1.e7da86bdbc702p-4, 0x1.ea39d2b50fee1p-4, 0x1.ec75266b50d27p-4, 0x1.ee8d1a427b5dcp-4, 0x1.f082451966b74p-4, 0x1.f2553c0893493p-4, 0x1.f40692d9ad533p-4, 0x1.f596db7c418d6p-4, 0x1.f706a6633d166p-4, 0x1.f856825ddc4acp-4, 0x1.f986fca1df35bp-4, 0x1.fa98a0c819f4dp-4, 0x1.fb8bf8cf8fe33p-4, 0x1.fc618d277a4c3p-4, 0x1.fd19e4abd8cfbp-4, 0x1.fdb584a82bcaep-4, 0x1.fe34f0d677049p-4, 0x1.fe98ab679254bp-4, 0x1.fee13526bee01p-4, 0x1.ff0f0d30b6bfdp-4, 0x1.ff22b1627fecbp-4, 0x1.ff1c9dfa14d89p-4, 0x1.fefd4ddbacep-4, 0x1.fec53a8551616p-4, 0x1.fe74dc1a34732p-4, 0x1.fe0ca95eb9d1fp-4, 0x1.fd8d17c0a9a05p-4, 0x1.fcf69b640319ep-4, 0x1.fc49a7268a18p-4, 0x1.fb86aca8b0c64p-4, 0x1.faae1c53cdf82p-4, 0x1.f9c0655a78a36p-4, 0x1.f8bdf5c68e712p-4, 0x1.f7a73a7120a89p-4, 0x1.f67c9f2274ddap-4, 0x1.f53e8e6a3cd2dp-4, 0x1.f3ed71f22b011p-4, 0x1.f289b23521e9ap-4, 0x1.f113b6ad85381p-4, 0x1.ef8be5c6d5f4ap-4, 0x1.edf2a4ea934acp-4, 0x1.ec48588d58e23p-4, 0x1.ea8d643657246p-4, 0x1.e8c22a7bf6fa6p-4, 0x1.e6e70cfdb50f2p-4, 0x1.e4fc6c64200cfp-4, 0x1.e302a86e22f1dp-4, 0x1.e0fa20013405p-4, 0x1.dee3312cece97p-4, 0x1.dcbe392a404e4p-4, 0x1.da8b944e0ff02p-4, 0x1.d84b9e03e7472p-4, 0x1.d5feb0d749825p-4, 0x1.d3a52690fed66p-4, 0x1.d13f5824cb35fp-4, 0x1.cecd9ddc4c52fp-4, 0x1.cc504f1bb61e3p-4, 0x1.c9c7c26dc44d6p-4, 0x1.c7344d7fda27ap-4, 0x1.c496453165699p-4, 0x1.c1edfda9c3245p-4, 0x1.bf3bca5cfbd77p-4, 0x1.bc7ffdfa5994cp-4, 0x1.b9baea600cecfp-4, 0x1.b6ece08b81eb5p-4, 0x1.b41630a1e3c15p-4, 0x1.b1372a032cd96p-4, 0x1.ae501b5be6e67p-4, 0x1.ab6152a6a8a46p-4, 0x1.a86b1d1c6044dp-4, 0x1.a56dc71f2acd1p-4, 0x1.a2699c2e3a19fp-4, 0x1.9f5ee6ec48c83p-4, 0x1.9c4df132c66c4p-4, 0x1.99370421569c6p-4, 0x1.961a682993d7bp-4, 0x1.92f864f082909p-4, 0x1.8fd14152756bfp-4, 0x1.8ca5433898cdp-4, 0x1.8974afaaaf8dbp-4, 0x1.863fcad6ece6ap-4, 0x1.8306d826e6018p-4, 0x1.7fca1a49ae224p-4, 0x1.7c89d32e008cdp-4, 0x1.794643efd575ep-4, 0x1.75ffacc468d81p-4, 0x1.72b64cf0acf62p-4, 0x1.6f6a62ce708a3p-4, 0x1.6c1c2bdd60d63p-4, 0x1.68cbe4d3004e4p-4, 0x1.6579c9a1245abp-4, 0x1.6226156de75d4p-4, 0x1.5ed1028223631p-4, 0x1.5b7aca37fcac6p-4, 0x1.5823a4f3617c6p-4, 0x1.54cbca278b69p-4, 0x1.5173706422faap-4, 0x1.4e1acd6543b58p-4, 0x1.4ac2161a709acp-4, 0x1.47697ea128d69p-4, 0x1.44113a36f1b91p-4, 0x1.40b97b2cfea08p-4, 0x1.3d6272d5a7d55p-4, 0x1.3a0c51944e8edp-4, 0x1.36b746d90b1a8p-4, 0x1.33638137c895dp-4, 0x1.30112e6eac2b5p-4, 0x1.2cc07b67b8fffp-4, 0x1.2971943158a18p-4, 0x1.2624a3f211b83p-4, 0x1.22d9d4dd9d551p-4, 0x1.1f9150307c784p-4, 0x1.1c4b3e33cfffap-4, 0x1.1907c6474d954p-4, 0x1.15c70eec8148ep-4, 0x1.12893dce8692cp-4, 0x1.0f4e77c3054d1p-4, 0x1.0c16e0c3d8028p-4, 0x1.08e29be67a026p-4, 0x1.05b1cb54618acp-4, 0x1.02849047a21e9p-4, 0x1.feb6161b3e60dp-5, 0x1.f86ab61f0e068p-5, 0x1.f2273db5bc275p-5, 0x1.ebebe853ca11dp-5, 0x1.e5b8efcc5440bp-5, 0x1.df8e8c4d885bap-5, 0x1.d96cf455f8cc3p-5, 0x1.d3545ca921ca4p-5, 0x1.cd44f848901f9p-5, 0x1.c73ef87506f1ap-5, 0x1.c1428cba99bdcp-5, 0x1.bb4fe2f9e5ec1p-5, 0x1.b567277f32952p-5, 0x1.af8885058069fp-5, 0x1.a9b424c00e92dp-5, 0x1.a3ea2e575b505p-5, 0x1.9e2ac7e28634ap-5, 0x1.987615e1965bbp-5, 0x1.92cc3b3b54229p-5, 0x1.8d2d5940e247fp-5, 0x1.87998fb5fe0a4p-5, 0x1.8210fcdd343b5p-5, 0x1.7c93bd8504e03p-5, 0x1.7721ed1207ccdp-5, 0x1.71bba5850ff99p-5, 0x1.6c60ff7d20e37p-5, 0x1.671212361ff21p-5, 0x1.61cef386cff5bp-5, 0x1.5c97b7e052237p-5, 0x1.576c725108401p-5, 0x1.524d348b239fbp-5, 0x1.4d3a0eee018e4p-5, 0x1.48331090b9783p-5, 0x1.4338474c22e96p-5, 0x1.3e49bfc2f4991p-5, 0x1.396785674b2ccp-5, 0x1.3491a27dad849p-5, 0x1.2fc8201e652f9p-5, 0x1.2b0b06368e659p-5, 0x1.265a5b8a6f91cp-5, 0x1.21b625b9b7d0cp-5, 0x1.1d1e69461391dp-5, 0x1.1893299b35774p-5, 0x1.141469177357dp-5, 0x1.0fa2291400618p-5, 0x1.0b3c69ec85099p-5, 0x1.06e32b05b7e5dp-5, 0x1.02966acfec74cp-5, 0x1.fcac4d9d3ee1ep-6, 0x1.f444b73228e25p-6, 0x1.ebf609ae31eddp-6, 0x1.e3c03aad37166p-6, 0x1.dba33dfa2870cp-6, 0x1.d39f05c07d1e7p-6, 0x1.cbb3827e63fabp-6, 0x1.c3e0a3178e027p-6, 0x1.bc2654e8b1ceap-6, 0x1.b48483d0359a1p-6, 0x1.acfb1a39f0392p-6, 0x1.a58a012ac4118p-6, 0x1.9e31204b91e3ep-6, 0x1.96f05df34d37dp-6, 0x1.8fc79f3025bfbp-6, 0x1.88b6c7cfd52fap-6, 0x1.81bdba672758p-6, 0x1.7adc585903965p-6, 0x1.741281dd63457p-6, 0x1.6d6016094c8c1p-6, 0x1.66c4f2d8a3eeap-6, 0x1.6040f53ab5202p-6, 0x1.59d3f9213e4a3p-6, 0x1.537dd990cbb1ap-6, 0x1.4d3e70b070ce7p-6, 0x1.471597d696122p-6, 0x1.41032791200bp-6, 0x1.3b06f7a8c009bp-6, 0x1.3520df1fe1b1p-6, 0x1.2f50b4306c0c7p-6, 0x1.29964c4b00c08p-6, 0x1.23f17c1b489c1p-6, 0x1.1e6217934c6abp-6, 0x1.18e7f1fee8f39p-6, 0x1.1382de1cfcc09p-6, 0x1.0e32ae39e9125p-6, 0x1.08f73445d88f4p-6, 0x1.03d041e140567p-6, 0x1.fd7b50b8ba3ap-7, 0x1.f37e71531c265p-7, 0x1.e9a9868900f79p-7, 0x1.dffc303467fffp-7, 0x1.d6760cea9f9a1p-7, 0x1.cd16b9fb0b506p-7, 0x1.c3ddd394deadap-7, 0x1.bacaf51a48015p-7, 0x1.b1ddb9949d052p-7, 0x1.a915bc3323bdep-7, 0x1.a07298b7f7c3fp-7, 0x1.97f3ebb71d12ep-7, 0x1.8f99529335051p-7, 0x1.87626b31088e9p-7, 0x1.7f4ed36d73343p-7, 0x1.775e2871925b8p-7, 0x1.6f90060d5aca4p-7, 0x1.67e40643f1b42p-7, 0x1.6059c12e0c633p-7, 0x1.58f0cd459b53p-7, 0x1.51a8c0175c66bp-7, 0x1.4a812f3e65587p-7, 0x1.4379b17a29351p-7, 0x1.3c91dfa552ba5p-7, 0x1.35c95555479a7p-7, 0x1.2f1fb0fbcde6dp-7, 0x1.2894937776029p-7, 0x1.22279f27fbd09p-7, 0x1.1bd876acfa818p-7, 0x1.15a6bb93ffa2cp-7, 0x1.0f920d3d1e782p-7, 0x1.099a0837101cp-7, 0x1.03be463cab8aap-7, 0x1.fbfcbdb758ec8p-8, 0x1.f0b3d15311a05p-8, 0x1.e5a0f596ef67ap-8, 0x1.dac35d06dc63p-8, 0x1.d01a40e1378bbp-8, 0x1.c5a4e27ff2ecdp-8, 0x1.bb628b4becb43p-8, 0x1.b1528b40ae2c7p-8, 0x1.a774364cc31e5p-8, 0x1.9dc6e11b2ef2cp-8, 0x1.9449ddf5d9009p-8, 0x1.8afc7a6e2dc8dp-8, 0x1.81ddfe521d4c2p-8, 0x1.78edac2ca8d11p-8, 0x1.702ac33eead2p-8, 0x1.6794828c5a04bp-8, 0x1.5f2a2c575182p-8, 0x1.56eb09522cdfcp-8, 0x1.4ed66acdf158p-8, 0x1.46ebab63da5a3p-8, 0x1.3f2a2ddfbb152p-8, 0x1.37915a932034bp-8, 0x1.30209b91432f6p-8, 0x1.28d758961c45cp-8, 0x1.21b4f375065f8p-8, 0x1.1ab8c5d849a78p-8, 0x1.13e220db61c37p-8, 0x1.0d304eb1669ap-8, 0x1.06a29624e5691p-8, 0x1.00383f63485a9p-8, 0x1.f3e13282d6eb1p-9, 0x1.e795fc07e6e51p-9, 0x1.db8dad7a9a18fp-9, 0x1.cfc73921da79fp-9, 0x1.c441af32f7c2ep-9, 0x1.b8fc354f8cda1p-9, 0x1.adf5fd328567bp-9, 0x1.a32e3639851a6p-9, 0x1.98a4024b28f08p-9, 0x1.8e5669c359dd9p-9, 0x1.84445668de7f6p-9, 0x1.7a6c91f50a0e5p-9, 0x1.70cdca29e2ccp-9, 0x1.676699d6a1dddp-9, 0x1.5e359597a357p-9, 0x1.55395a6d5a32fp-9, 0x1.4c709bf45bf3fp-9, 0x1.43da2fc75bb2p-9, 0x1.3b7514280cb32p-9, 0x1.334070f3acb4ap-9, 0x1.2b3b930ba05abp-9, 0x1.2365e3527a05cp-9, 0x1.1bbedaeb44017p-9, 0x1.1445f67e867f1p-9, 0x1.0cfaaa0a879c3p-9, 0x1.05dc567005ac3p-9, 0x1.fdd4835f8fc72p-10, 0x1.f0472578413cap-10, 0x1.e30ea36687bf3p-10, 0x1.d628d9ee669e3p-10, 0x1.c993858575686p-10, 0x1.bd4c5b23d935ap-10, 0x1.b151215adbcffp-10, 0x1.a59fc4005625bp-10, 0x1.9a365ee3f932ap-10, 0x1.8f133fba07a83p-10, 0x1.8434e298dcf6ap-10, 0x1.7999ed3e8040ep-10, 0x1.6f412b62e24a2p-10, 0x1.65298b34311f4p-10, 0x1.5b5216eb28647p-10, 0x1.51b9e8e386625p-10, 0x1.48601a8fa53ffp-10, 0x1.3f43b243287c5p-10, 0x1.366395e137bd2p-10, 0x1.2dbe87920b8e6p-10, 0x1.25532de6a6bebp-10, 0x1.1d2023ed29a27p-10, 0x1.15240a08b47acp-10, 0x1.0d5d8fad8b437p-10, 0x1.05cb7127eb9d3p-10, 0x1.fcd8d52ffcfafp-11, 0x1.ee7e4ff372671p-11, 0x1.e0847b7fcabbap-11, 0x1.d2e865c7dec65p-11, 0x1.c5a73876c300dp-11, 0x1.b8be7bb38f6d5p-11, 0x1.ac2c4234724cfp-11, 0x1.9fef22c48870ep-11, 0x1.9405fc2db8287p-11, 0x1.886f9df2bf0ddp-11, 0x1.7d2a809be16c9p-11, 0x1.7234b065514c8p-11, 0x1.678bf162c8d68p-11, 0x1.5d2e069c86fe9p-11, 0x1.5318f7a932c04p-11, 0x1.494b36333250fp-11, 0x1.3fc395a5d8ba1p-11, 0x1.3681181ce5d14p-11, 0x1.2d82a1056c15fp-11, 0x1.24c6a862373dep-11, 0x1.1c4b0f25ebc9bp-11, 0x1.140d2f6d106c4p-11, 0x1.0c0a2e24861a5p-11, 0x1.043f74fcba494p-11, 0x1.f95642f627961p-12, 0x1.ea9866af85d88p-12, 0x1.dc44beec7b59cp-12, 0x1.ce5b37e50787bp-12, 0x1.c0db41f161a6ep-12, 0x1.b3c339bd86b07p-12, 0x1.a7106aaa8289fp-12, 0x1.9abf81c2b77e2p-12, 0x1.8ecd1b83a39c4p-12, 0x1.83362847a59bcp-12, 0x1.77f80cef5d934p-12, 0x1.6d10880de8df2p-12, 0x1.627d79e59cb3p-12, 0x1.583cb0c433934p-12, 0x1.4e4bc6f420f59p-12, 0x1.44a80b0c5de08p-12, 0x1.3b4e73f3a834bp-12, 0x1.323bb8be4746ep-12, 0x1.296c9ea33375ep-12, 0x1.20de666336727p-12, 0x1.188f207991257p-12, 0x1.107db625f91cfp-12, 0x1.08a99f98f5658p-12, 0x1.0112742cddc71p-12, 0x1.f36f31453689cp-13, 0x1.e53057bd36fefp-13, 0x1.d76638dd843f5p-13, 0x1.ca0e8d7e04b04p-13, 0x1.bd27252075a91p-13, 0x1.b0adf728e095dp-13, 0x1.a4a0c5df6340ep-13, 0x1.98fc765f86baap-13, 0x1.8dbcb8aff5ee4p-13, 0x1.82dc61b8a4a67p-13, 0x1.785629e4f782cp-13, 0x1.6e2539365badcp-13, 0x1.644549cffa516p-13, 0x1.5ab28616ee4f6p-13, 0x1.5169a7a1fbd95p-13, 0x1.4868270ef5086p-13, 0x1.3fac2ddd5091bp-13, 0x1.3734280215cc7p-13, 0x1.2efeabd7094bbp-13, 0x1.270a83de1315cp-13, 0x1.1f56acf86f786p-13, 0x1.17e20d6fa7ec5p-13, 0x1.10ab1f128966fp-13, 0x1.09b01018ec918p-13, 0x1.02ef8b488a50cp-13, 0x1.f8d29684b0598p-14, 0x1.ec3ad86cd2eddp-14, 0x1.e0160deb61dfdp-14, 0x1.d45f25c61ee5ep-14, 0x1.c90f0da946656p-14, 0x1.be1eeb979b07ep-14, 0x1.b389a9e657f6ep-14, 0x1.a94c68288255bp-14, 0x1.9f65eebf6da3p-14, 0x1.95d5613328d31p-14, 0x1.8c98c9cbee9e4p-14, 0x1.83ac52c182ae9p-14, 0x1.7b0a595604c2fp-14, 0x1.72abdcc4bb7c5p-14, 0x1.6a89c6748e4c3p-14, 0x1.629fe10003fd2p-14, 0x1.5aef3c6e908b6p-14, 0x1.537c2ad59a4fep-14, 0x1.4c48de9ddb3a4p-14, 0x1.455264ffc2d3ap-14, 0x1.3e936ac91148p-14, 0x1.380929206c7dfp-14, 0x1.31b44d0374687p-14, 0x1.2b95d60ced9ccp-14, 0x1.25acacfd56f5dp-14, 0x1.1ff5ba658b8bap-14, 0x1.1a6d07860aa16p-14, 0x1.150eb94037474p-14, 0x1.0fd7a500dce03p-14, 0x1.0ac59e059dcb5p-14, 0x1.05d7a0fa0e5bcp-14, 0x1.010dcc9773e1cp-14, 0x1.f8d1d34de0b51p-15, 0x1.efd31a2fe8cf5p-15, 0x1.e71ee9af89f8cp-15, 0x1.deb2e404ef3bdp-15, 0x1.d689c6acdc003p-15, 0x1.ce99ee1b3af51p-15, 0x1.c6d9e0bfdd739p-15, 0x1.bf486044f689ep-15, 0x1.b7e9ac42dccf6p-15, 0x1.b0bca3b58cffdp-15, 0x1.a9ba5e1bc9569p-15, 0x1.a2e0b819eaedap-15, 0x1.9c34a2f682691p-15, 0x1.95b878895c202p-15, 0x1.8f67a78cbe6cep-15, 0x1.893c80ca0a9c8p-15, 0x1.833542fde6d26p-15, 0x1.7d52a437fe172p-15, 0x1.7794177b69fbdp-15, 0x1.71f6e902626f8p-15, 0x1.6c77c17a9299cp-15, 0x1.6713fae4c585ep-15, 0x1.61ca0b74a8cbep-15, 0x1.5c997ea42154ap-15, 0x1.5782a865bac69p-15, 0x1.5285e6950a2dcp-15, 0x1.4da2c620a1c8cp-15, 0x1.48d8312e73778p-15, 0x1.44255a867870dp-15, 0x1.3f8869ec5bd3ap-15, 0x1.3afd1e3624c5dp-15, 0x1.368257aab4c21p-15, 0x1.321c90d2833bdp-15, 0x1.2dcc7c9c5bec2p-15, 0x1.298ced94f1804p-15, 0x1.255bc0f76e4p-15, 0x1.21397ab24d426p-15, 0x1.1d24845974bb6p-15, 0x1.191c19eb59e76p-15, 0x1.1521242d53371p-15, 0x1.1132d74594fb6p-15, 0x1.0d4ef3e6eb243p-15, 0x1.097561964b5cbp-15, 0x1.05a7ef71111ccp-15, 0x1.01e6eef57298bp-15, 0x1.fc619444ff91ep-16, 0x1.f507ad33de135p-16, 0x1.edbe5ab243e0bp-16, 0x1.e684ef68d907cp-16, 0x1.df5b4540d0c59p-16, 0x1.d841779e2e1b3p-16, 0x1.d13789c1e06cap-16, 0x1.ca3cca1ac41bbp-16, 0x1.c350385d902d2p-16, 0x1.bc72ad8989fa9p-16, 0x1.b5a5c4416dc72p-16, 0x1.aee5f797ad3d8p-16, 0x1.a82fdfe2c7a94p-16, 0x1.a185298a2d50ep-16, 0x1.9ae35c3d0a415p-16, 0x1.944b6a057ffcfp-16, 0x1.8dc2a03147c19p-16, 0x1.87484ec040f45p-16, 0x1.80da0818e0269p-16, 0x1.7a75bccf1a9a2p-16, 0x1.7418870dd3a1bp-16, 0x1.6dc258dfecaf6p-16, 0x1.67759a6bd8606p-16, 0x1.61322f7726f29p-16, 0x1.5af5e4c311e79p-16, 0x1.54c25ca28f1e2p-16, 0x1.4e99cf7b1695fp-16, 0x1.487b29722b41ep-16, 0x1.4264bf016ed49p-16, 0x1.3c5604119e56bp-16, 0x1.364f07b57e8b8p-16, 0x1.304fe8c1a5977p-16, 0x1.2a58bf75604e5p-16, 0x1.2469af697fde6p-16, 0x1.1e82c531624a7p-16, 0x1.18a3b82f030dbp-16, 0x1.12cc8a0afb98ap-16, 0x1.0cfedb178212bp-16, 0x1.073b9383c11dfp-16, 0x1.017fbcd0e6bep-16, 0x1.f794d5ad13399p-17, 0x1.ec3731fcccd5p-17, }}, 
      {{-0x1.268caafbe18fap+0, -0x1.246c4e485a538p+0, -0x1.20fd0f36f5ebp+0, -0x1.1c60a55df47d6p+0, -0x1.16bd55d343329p+0, -0x1.103af9102ec4bp+0, -0x1.0900f96d48784p+0, -0x1.013500459c8a7p+0, -0x1.f1f43f5430c4ep-1, -0x1.e0e0ab7a71ea3p-1, -0x1.cf68a1442d169p-1, -0x1.bdbec11347ccap-1, -0x1.ac0f142e9f61ep-1, -0x1.9a7f5d635d4f4p-1, -0x1.892f85b854141p-1, -0x1.783a1921d0842p-1, -0x1.67b4ca51c6d13p-1, -0x1.57b0f70092d45p-1, -0x1.483c27eadababp-1, -0x1.3960898cefe3p-1, -0x1.2b255bf1f09a9p-1, -0x1.1d8f591b79006p-1, -0x1.10a111ce77b27p-1, -0x1.045b418294745p-1, -0x1.f17a32811008dp-2, -0x1.db8904b8f6f8ep-2, -0x1.c6dcb2ae35611p-2, -0x1.b36d42c6b4b8ap-2, -0x1.a13162f8be616p-2, -0x1.901eb6dc4272cp-2, -0x1.802a1adfd2dc8p-2, -0x1.7147ddf95d477p-2, -0x1.636bf27ddb12ep-2, -0x1.568a17a743fafp-2, -0x1.4a95fc45083c3p-2, -0x1.3f835b4774112p-2, -0x1.35461396ac61p-2, -0x1.2bd23b3c705d4p-2, -0x1.231c2e9b7bd98p-2, -0x1.1b189cb396019p-2, -0x1.13bc905928c3bp-2, -0x1.0cfd76f759358p-2, -0x1.06d12584e6efdp-2, -0x1.012ddbab8ab1bp-2, -0x1.f8148b090d3fep-3, -0x1.eebaf86b02a14p-3, -0x1.e63e0afba71c3p-3, -0x1.de8da526b2d1bp-3, -0x1.d79a7cac134c8p-3, -0x1.d15616155c933p-3, -0x1.cbb2bf22c0105p-3, -0x1.c6a388cf7253bp-3, -0x1.c21c40f0bfc9ap-3, -0x1.be116b617d50ep-3, -0x1.ba783b06e1ebep-3, -0x1.b7468ab7b180dp-3, -0x1.b472d618b0f99p-3, -0x1.b1f4327e947d4p-3, -0x1.afc247e880a0dp-3, -0x1.add54a13ffbcdp-3, -0x1.ac25f176ff2cep-3, -0x1.aaad751affe9ep-3, -0x1.a965839bef8d9p-3, -0x1.a8483d68f83ffp-3, -0x1.a7502e6d0070ap-3, -0x1.a67848448cbabp-3, -0x1.a5bbdcbbe4d7dp-3, -0x1.a51698618efcep-3, -0x1.a4847d5bcb973p-3, -0x1.a401de76fd86ep-3, -0x1.a38b5a6b034d8p-3, -0x1.a31dd756a1c42p-3, -0x1.a2b67e6ff5d4bp-3, -0x1.a252b7e87d888p-3, -0x1.a1f027036db07p-3, -0x1.a18ca65c99b5bp-3, -0x1.a126445f27a89p-3, -0x1.a0bb3fe96d04bp-3, -0x1.a04a051e12f25p-3, -0x1.9fd12a5f8e6fep-3, -0x1.9f4f6d79e6197p-3, -0x1.9ec3b0ed09c09p-3, -0x1.9e2cf938c1471p-3, -0x1.9d8a6ab6d0be8p-3, -0x1.9cdb472979b0dp-3, -0x1.9c1eeb749a345p-3, -0x1.9b54cdeea2d03p-3, -0x1.9a7c7c24c88b9p-3, -0x1.9995992d4c96fp-3, -0x1.989fdc03013b4p-3, -0x1.979b0de74b7bcp-3, -0x1.968708e390bfbp-3, -0x1.9563b65ebff4bp-3, -0x1.94310dcc6bddep-3, -0x1.92ef136fb2927p-3, -0x1.919dd7363a2bcp-3, -0x1.903d73a9cccb6p-3, -0x1.8ece0cf35693bp-3, -0x1.8d4fcff32401ap-3, -0x1.8bc2f1638518bp-3, -0x1.8a27ad07f0934p-3, -0x1.887e44e8b3689p-3, -0x1.86c70097b19c2p-3, -0x1.85022c817bf8dp-3, -0x1.8330194f71891p-3, -0x1.81511b55a3f6ap-3, -0x1.7f658a12faa43p-3, -0x1.7d6dbfbcd08cap-3, -0x1.7b6a18d50cf1ep-3, -0x1.795af3cc05fc2p-3, -0x1.7740b0a0d9482p-3, -0x1.751bb08ba00f1p-3, -0x1.72ec55a84fb5dp-3, -0x1.70b302a229bc7p-3, -0x1.6e701a6b324f7p-3, -0x1.6c23fff3e38adp-3, -0x1.69cf15ecd334ap-3, -0x1.6771be963af88p-3, -0x1.650c5b91bc61bp-3, -0x1.629f4dacc530ep-3, -0x1.602af4c587796p-3, -0x1.5dafafdd539f7p-3, -0x1.5b2ddcb96ced2p-3, -0x1.58a5d7ea08749p-3, -0x1.5617fcd60f164p-3, -0x1.5384a570caac4p-3, -0x1.50ec2a35a435p-3, -0x1.4e4ee21da118ep-3, -0x1.4bad2285970fbp-3, -0x1.49073f1fab4b7p-3, -0x1.465d89e4e4fddp-3, -0x1.43b05304e783bp-3, -0x1.40ffe8e2fdee6p-3, -0x1.3e4c980eceb99p-3, -0x1.3b96ab40d46fp-3, -0x1.38de6b5a9f9f7p-3, -0x1.36241f66f4ca9p-3, -0x1.33680c98bf35ep-3, -0x1.30aa765574dd1p-3, -0x1.2deb9e3213e85p-3, -0x1.2b2bc3f8dc1a2p-3, -0x1.286b25ab80002p-3, -0x1.25a9ff8dbdaa3p-3, -0x1.22e88c18b0e83p-3, -0x1.202704131f01fp-3, -0x1.1d659e8653e67p-3, -0x1.1aa490c9149bbp-3, -0x1.17e40e7c34085p-3, -0x1.152449a1b47b8p-3, -0x1.12657287cb055p-3, -0x1.0fa7b7e4779b6p-3, -0x1.0ceb46d17d50cp-3, -0x1.0a304ad769e19p-3, -0x1.0776edef307a1p-3, -0x1.04bf5898d9c63p-3, -0x1.0209b1c7900d3p-3, -0x1.feac3e14e72f4p-4, -0x1.f94988fd67919p-4, -0x1.f3eb89c1209dbp-4, -0x1.ee92832649efcp-4, -0x1.e93eb55673a7p-4, -0x1.e3f05dd2c0dafp-4, -0x1.dea7b7be3ed54p-4, -0x1.d964fbb516d4dp-4, -0x1.d4285ffdb5bep-4, -0x1.cef21889cb313p-4, -0x1.c9c2570f8726ep-4, -0x1.c4994b12704a7p-4, -0x1.bf7721f55389bp-4, -0x1.ba5c07096b28cp-4, -0x1.b54823a20b668p-4, -0x1.b03b9f064cc19p-4, -0x1.ab369eb1ecc11p-4, -0x1.a63946357075p-4, -0x1.a143b7598f7a1p-4, -0x1.9c56122647f7dp-4, -0x1.977074f0e47dcp-4, -0x1.9292fc70a10e5p-4, -0x1.8dbdc3ca3cf12p-4, -0x1.88f0e475de051p-4, -0x1.842c76717b156p-4, -0x1.7f709076e5a3ep-4, -0x1.7abd47a1ee044p-4, -0x1.7612afbc038f8p-4, -0x1.7170db67354d5p-4, -0x1.6cd7dbd6f28d1p-4, -0x1.6847c104cee1ep-4, -0x1.63c099bfaf5e4p-4, -0x1.5f4273b2dbefdp-4, -0x1.5acd5b6cd3ae8p-4, -0x1.56615c6a4b9dp-4, -0x1.51fe81140d1fbp-4, -0x1.4da4d2f2bde05p-4, -0x1.49545a657f923p-4, -0x1.450d1f092f26bp-4, -0x1.40cf27801d27p-4, -0x1.3c9a7993a7675p-4, -0x1.386f1a35833b4p-4, -0x1.344d0d890467fp-4, -0x1.303456ea2cbcep-4, -0x1.2c24f8f487c6fp-4, -0x1.281ef58a63671p-4, -0x1.24224dd9599b9p-4, -0x1.202f026356e1fp-4, -0x1.1c45130788d9p-4, -0x1.18647eef4e2e2p-4, -0x1.148d44d7fe77p-4, -0x1.10bf62addac5fp-4, -0x1.0cfad5f76febp-4, -0x1.093f9b9f9bca3p-4, -0x1.058db00e3a893p-4, -0x1.01e50f281ea4cp-4, -0x1.fc8b68ad67eb7p-5, -0x1.f55f3517a7813p-5, -0x1.ee457888c7596p-5, -0x1.e73e271bb90f7p-5, -0x1.e04934150ad8fp-5, -0x1.d96691e943da9p-5, -0x1.d2963245e7e66p-5, -0x1.cbd806195cd3ap-5, -0x1.c52bfd9fa923ep-5, -0x1.be92083e699dap-5, -0x1.b80a150496ccep-5, -0x1.b19411eca9ac6p-5, -0x1.ab2feca5c3d82p-5, -0x1.a4dd92232a1bep-5, -0x1.9e9ceecc1b6c9p-5, -0x1.986dee7b4dabep-5, -0x1.92507c831d052p-5, -0x1.8c4483b16408cp-5, -0x1.8649ee560d226p-5, -0x1.8060a647f34a7p-5, -0x1.7a8894e9adf51p-5, -0x1.74c1a32c0d8edp-5, -0x1.6f0bb99277e2ap-5, -0x1.6966c03cbef3ap-5, -0x1.63d29ee5d3708p-5, -0x1.5e4f3ce8fb99p-5, -0x1.58dc814643581p-5, -0x1.537a52a94226dp-5, -0x1.4e28974ac2b12p-5, -0x1.48e735561628ep-5, -0x1.43b61258871c5p-5, -0x1.3e9513cfb0282p-5, -0x1.39841ed9f6499p-5, -0x1.3483185537c82p-5, -0x1.2f91e4de6cdbbp-5, -0x1.2ab068d2d750cp-5, -0x1.25de885548e8dp-5, -0x1.211c2753d7813p-5, -0x1.1c6929853116cp-5, -0x1.17c5726cc3cp-5, -0x1.1330e55cdda02p-5, -0x1.0eab657972ec7p-5, -0x1.0a34d5bb4d25p-5, -0x1.05cd18f30d447p-5, -0x1.017411cb70febp-5, -0x1.fa534593af809p-6, -0x1.f1db5ca254412p-6, -0x1.e9802d5989269p-6, -0x1.e1417c415a1bep-6, -0x1.d91f0d20383a9p-6, -0x1.d118a38c8f30fp-6, -0x1.c92e040fff889p-6, -0x1.c15ef14141d1cp-6, -0x1.b9ab2f306fdc7p-6, -0x1.b212812a188dep-6, -0x1.aa94aa1b03822p-6, -0x1.a3316d0622de7p-6, -0x1.9be88ce06075p-6, -0x1.94b9cc8a0707ep-6, -0x1.8da4eed28cab7p-6, -0x1.86a9b67bd5593p-6, -0x1.7fc7e63cdab2fp-6, -0x1.78ff40c4b42d8p-6, -0x1.724f88be6ed21p-6, -0x1.6bb880d5694a8p-6, -0x1.6539ebb97df78p-6, -0x1.5ed38c2286f4dp-6, -0x1.588524d305281p-6, -0x1.524e789a8e502p-6, -0x1.4c2f4a5647762p-6, -0x1.46275cf276bbcp-6, -0x1.40367373b8b58p-6, -0x1.3a5c50f5f016fp-6, -0x1.3498b8af7d035p-6, -0x1.2eeb6df77362dp-6, -0x1.29543449951efp-6, -0x1.23d2cf265e78ep-6, -0x1.1e67027983ba2p-6, -0x1.191091fc5c36p-6, -0x1.13cf41d82e1b2p-6, -0x1.0ea2d6429f984p-6, -0x1.098b13a6684p-6, -0x1.0487bea1df993p-6, -0x1.ff313810998ecp-7, -0x1.f57ae1c740ebp-7, -0x1.ebec04ebefb9ep-7, -0x1.e2842c76534dap-7, -0x1.d942e3d57cee4p-7, -0x1.d027b6f4c501ap-7, -0x1.c732324178dcfp-7, -0x1.be61e2ae22f8bp-7, -0x1.b5b655b5547a7p-7, -0x1.ad2f19651fce9p-7, -0x1.a4cbbc5d60259p-7, -0x1.9c8bcdcf56f05p-7, -0x1.946edd830ae15p-7, -0x1.8c747bda72925p-7, -0x1.849c39d503172p-7, -0x1.7ce5a913aaedap-7, -0x1.75505bdd25988p-7, -0x1.6ddbe520faa49p-7, -0x1.6687d87ad5575p-7, -0x1.5f53ca3553da5p-7, -0x1.583f4f4b59009p-7, -0x1.5149fd6b44febp-7, -0x1.4a736afe81bedp-7, -0x1.43bb2f081a8a8p-7, -0x1.3d20e17b27b16p-7, -0x1.36a41ac68311ap-7, -0x1.304474501176p-7, -0x1.2a01882c27866p-7, -0x1.23daf12e1b77fp-7, -0x1.1dd04af3e419cp-7, -0x1.17e131e3a8f1p-7, -0x1.120d432bc6724p-7, -0x1.0c541cc2ab19ep-7, -0x1.06b55d6c9a7ep-7, -0x1.0130a4bd9b4bep-7, -0x1.f78b262f85b42p-8, -0x1.ece7935cbccdp-8, -0x1.e275d51065f8p-8, -0x1.d8353100eada6p-8, -0x1.ce24ee8f27733p-8, -0x1.c44456c8396a4p-8, -0x1.ba92b4667adb6p-8, -0x1.b10f53d338983p-8, -0x1.a7b9832829148p-8, -0x1.9e909231201ffp-8, -0x1.9593d26e31cd6p-8, -0x1.8cc29715988ecp-8, -0x1.841c35152758bp-8, -0x1.7ba003136634ap-8, -0x1.734d59702847bp-8, -0x1.6b239244dd733p-8, -0x1.6322096512af2p-8, -0x1.5b481c5d8e9b7p-8, -0x1.53952a756af9cp-8, -0x1.4c0894ad73ac4p-8, -0x1.44a1bdc09b85ep-8, -0x1.3d600a252bb82p-8, -0x1.3642e010ce86ep-8, -0x1.2f49a76b780aap-8, -0x1.2873c9afba4dbp-8, -0x1.21c0b243639dep-8, -0x1.1b2fce6d1393p-8, -0x1.14c08e24ef83p-8, -0x1.0e725f4b7fe3cp-8, -0x1.0844b6481dfaep-8, -0x1.023704ee90687p-8, -0x1.f89185a1b513cp-9, -0x1.ecf2ce66dd9b3p-9, -0x1.e190d4b1bdf26p-9, -0x1.d66a8e072b9d2p-9, -0x1.cb7ef34667843p-9, -0x1.c0cd008bebac8p-9, -0x1.b653b53e1adf5p-9, -0x1.ac121410555bdp-9, -0x1.a20723016da6p-9, -0x1.9831eb584b36cp-9, -0x1.8e91799fdf37cp-9, -0x1.8524dda250469p-9, -0x1.7beb2a63e9fbap-9, -0x1.72e3761d27e1cp-9, -0x1.6a0cda3530756p-9, -0x1.6166733c15074p-9, -0x1.58ef60e5d1966p-9, -0x1.50a6c605cac4p-9, -0x1.488bc88ac4d03p-9, -0x1.409d917af98cdp-9, -0x1.38db4cefd67eap-9, -0x1.31442a115cfadp-9, -0x1.29d75b0f9f421p-9, -0x1.2294151c9d4f2p-9, -0x1.1b7990633ccdap-9, -0x1.148707fd432d1p-9, -0x1.0dbbb9ec6194bp-9, -0x1.0716e7181874bp-9, -0x1.0097d3456b83ep-9, -0x1.f47b8a1d3d7d7p-10, -0x1.e8100bc1f965ap-10, -0x1.dbebc3f6f8903p-10, -0x1.d00d50e059f6ap-10, -0x1.c4735621ec7b4p-10, -0x1.b91c7c8d2fa1dp-10, -0x1.ae0772dd56a82p-10, -0x1.a332ecb7ab388p-10, -0x1.989da384dc207p-10, -0x1.8e46557a274f7p-10, -0x1.842bc5ff7c9c9p-10, -0x1.7a4cbda1ab12ap-10, -0x1.70a80a01356ccp-10, -0x1.673c7dc93539p-10, -0x1.5e08f0a6bc14ep-10, -0x1.550c3f3c7d87p-10, -0x1.4c454b0f6c07fp-10, -0x1.43b2fa75a883fp-10, -0x1.3b54387e2ba03p-10, -0x1.3327f4db1eecep-10, -0x1.2b2d23d1b8d74p-10, -0x1.2362be2c4ef0ap-10, -0x1.1bc7c132ea891p-10, -0x1.145b2ea8703afp-10, -0x1.0d1c0cc991b33p-10, -0x1.060966498eaadp-10, -0x1.fe449492a88b1p-11, -0x1.f0cb988d4e409p-11, -0x1.e3a6080b92fc1p-11, -0x1.d6d21ad9931f4p-11, -0x1.ca4e10da87c6ep-11, -0x1.be1831b7b83b4p-11, -0x1.b22eccbbe440cp-11, -0x1.a69038b73f6f8p-11, -0x1.9b3ad4077f9fap-11, -0x1.902d04a56b9c2p-11, -0x1.8565383391b9p-11, -0x1.7ae1e410b4e53p-11, -0x1.70a1855e4b64fp-11, -0x1.66a2a0eba5614p-11, -0x1.5ce3c30504e5dp-11, -0x1.53637f2aef42p-11, -0x1.4a206fbc6c768p-11, -0x1.411935a2f7e24p-11, -0x1.384c780e4cb42p-11, -0x1.2fb8e44ba928ap-11, -0x1.275d2dbc96e05p-11, -0x1.1f380deb5092ep-11, -0x1.174844b264ab2p-11, -0x1.0f8c986e9f1dap-11, -0x1.0803d62f49e1cp-11, -0x1.00acd19b9ab51p-11, -0x1.f30cc913eb267p-12, -0x1.e51edf1780e5p-12, -0x1.d78db238f43c2p-12, -0x1.ca571b227d93fp-12, -0x1.bd78fbdb6281p-12, -0x1.b0f14014a2412p-12, -0x1.a4bddccb08903p-12, -0x1.98dcd0256f4dcp-12, -0x1.8d4c21bde55acp-12, -0x1.8209e32d2abep-12, -0x1.771430aca453dp-12, -0x1.6c6931a20d8a3p-12, -0x1.620718efbec0cp-12, -0x1.57ec24f89a099p-12, -0x1.4e169f505a4ddp-12, -0x1.4484dc18478bp-12, -0x1.3b3538ed00c3bp-12, -0x1.32261b16a6fddp-12, -0x1.2955f149d614p-12, -0x1.20c34732ddcadp-12, -0x1.186c755e699f8p-12, -0x1.105013dde734ep-12, -0x1.086c94ef941a1p-12, -0x1.00c0adb08d7fcp-12, -0x1.f295c0a537861p-13, -0x1.e413984845a41p-13, -0x1.d5f836b1f68a1p-13, -0x1.c840ffbde425ep-13, -0x1.baeb6853f498dp-13, -0x1.adf4f5fb6a209p-13, -0x1.a15b3ec1d8aacp-13, -0x1.951be83f7fa4p-13, -0x1.8934a7260b65bp-13, -0x1.7da33e8cb04dp-13, -0x1.72657ec6a5dadp-13, -0x1.677944001f8e5p-13, -0x1.5cdc74d87ffc3p-13, -0x1.528d0170b9aaap-13, -0x1.4888e346ceffcp-13, -0x1.3ece1ddfb584ep-13, -0x1.355abfdd71811p-13, -0x1.2c2ce3dab31c5p-13, -0x1.2342b087a3aa6p-13, -0x1.1a9a57dbb4c72p-13, -0x1.123215de85c84p-13, -0x1.0a082f9d2bc35p-13, -0x1.021af30d54f31p-13, -0x1.f4d16fdae32a5p-14, -0x1.e5dfc279f3361p-14, -0x1.d75dbd0f253e8p-14, -0x1.c94858b432e2ep-14, -0x1.bb9ca75560ffp-14, -0x1.ae57cff614c67p-14, -0x1.a177097791b45p-14, -0x1.94f79b9e97a7ep-14, -0x1.88d6deed70726p-14, -0x1.7d123c7bd8dbcp-14, -0x1.71a72c8834951p-14, -0x1.669338f1c5abep-14, -0x1.5bd3fbeb3c36ap-14, -0x1.51671cb625092p-14, -0x1.474a4c54d4dd7p-14, -0x1.3d7b4391c74afp-14, -0x1.33f7c351afe3p-14, -0x1.2abd97196c761p-14, -0x1.21ca989e21026p-14, -0x1.191cb2c439673p-14, -0x1.10b1e2e4bf5cfp-14, -0x1.0888385158c37p-14, -0x1.009dd2ec35f03p-14, -0x1.f1e1c3a129128p-15, -0x1.e2ff4518e07d9p-15, -0x1.d490c12bad134p-15, -0x1.c692e86142aa1p-15, -0x1.b90280f2ab45ep-15, -0x1.abdc624ef7a7dp-15, -0x1.9f1d723d0a1dcp-15, -0x1.92c2a510be39bp-15, -0x1.86c90048d12cp-15, -0x1.7b2d9d4e5f4f3p-15, -0x1.6fedaa524b37ap-15, -0x1.6506692453bfap-15, -0x1.5a752d7d86239p-15, -0x1.50375be6e0e04p-15, -0x1.464a68fbe0f99p-15, -0x1.3cabd8454f2f9p-15, -0x1.33593b6ef8e29p-15, -0x1.2a50338643384p-15, -0x1.218e7735d548fp-15, -0x1.1911da108ab0bp-15, -0x1.10d851a0f9483p-15, -0x1.08dff19b35338p-15, -0x1.0126df0666c0cp-15, -0x1.f3567fff8b8e6p-16, -0x1.e4d661d846627p-16, -0x1.d6c98a1951ce7p-16, -0x1.c92c22c511627p-16, -0x1.bbfa75342ea3fp-16, -0x1.af30fc3acd4b1p-16, -0x1.a2cc65f3ae2a4p-16, -0x1.96c989a0ec406p-16, -0x1.8b255ad0ef149p-16, -0x1.7fdce03255f0bp-16, -0x1.74ed2ed7b9d62p-16, -0x1.6a53673ef0dfap-16, -0x1.600cb31decf33p-16, -0x1.561647c7616f3p-16, -0x1.4c6d72468cf35p-16, -0x1.430fab5f19614p-16, -0x1.39faa7153b99p-16, -0x1.312c5113d9164p-16, -0x1.28a2b04590ab6p-16, -0x1.205bc1191d85ep-16, -0x1.18556a52543ecp-16, -0x1.108d8493b130cp-16, -0x1.0901e5ccea027p-16, -0x1.01b07386d234bp-16, -0x1.f52e6424fa48p-17, -0x1.e76882998f466p-17, -0x1.da0bb09c88769p-17, -0x1.cd147cdaa9db7p-17, -0x1.c07f8383108a3p-17, -0x1.b44969e280b18p-17, -0x1.a86edcb1179dbp-17, -0x1.9cec85eed7da5p-17, -0x1.91bee8ee605fcp-17, -0x1.86e4ac3f16b1p-17, -0x1.7c59bd8ecb5ffp-17, -0x1.721a73070add3p-17, -0x1.682450476869cp-17, -0x1.5e78061670e85p-17, -0x1.55114278a8299p-17, -0x1.4bee3b688128fp-17, -0x1.430cd0665c1afp-17, -0x1.3a6ab944c5d8cp-17, -0x1.3205c3b5fb0fcp-17, -0x1.29dbe6c95b5d3p-17, -0x1.21eb34cb0e45fp-17, -0x1.1a31c8faf82b2p-17, -0x1.12adc63f3c29ep-17, -0x1.0b5d5ff628666p-17, -0x1.043edd5810dc9p-17, -0x1.faa127bc79abep-18, -0x1.ed21bd710617fp-18, -0x1.dffc368670863p-18, -0x1.d32d5e651fdb7p-18, -0x1.c6b2294577c72p-18, -0x1.ba87c193b162bp-18, -0x1.aeab7a4e4b394p-18, -0x1.a31ab33640b85p-18, -0x1.97d2ce72712fcp-18, -0x1.8cd1445319454p-18, -0x1.8213c046788f3p-18, -0x1.7797ffc20ecc8p-18, -0x1.6d5bec46cd19cp-18, -0x1.635d8241c1e65p-18, -0x1.599aef364c0a7p-18, -0x1.50127de719f83p-18, -0x1.46c26ea2dbb4p-18, -0x1.3da8ef5bc9852p-18, -0x1.34c434a531f4cp-18, -0x1.2c128abfe649bp-18, -0x1.239250ea24f2p-18, -0x1.1b41f395d46e8p-18, -0x1.131fed70b64f5p-18, -0x1.0b2ac6d909785p-18, -0x1.036111229a942p-18, -0x1.f782c9f4f1fe1p-19, -0x1.e894d7b952fcfp-19, -0x1.d9f5e483b388dp-19, -0x1.cba3e542a70d5p-19, -0x1.bd9d0d7082751p-19, -0x1.afdf7f444982ep-19, -0x1.a26909a9e2b3fp-19, -0x1.953738c63364bp-19, -0x1.884790814cd65p-19, -0x1.7b979b6e31b72p-19, -0x1.6f2536fb2523dp-19, -0x1.62ef00e7b23d9p-19, -0x1.56f3fb7782625p-19, -0x1.4b32e2f88c09bp-19, -0x1.3faa13b885ecdp-19, -0x1.3457e63e8aa63p-19, -0x1.293af5a4e7e32p-19, -0x1.1e5203dc93af8p-19, -0x1.139bcc2cb5c6fp-19, -0x1.091701cf48465p-19, -0x1.fd84c6f6d767bp-20, -0x1.e93987e1f87bbp-20, -0x1.d54a0b51c7bc3p-20, -0x1.c1b42a5cc7393p-20, -0x1.ae75ccd3b39fbp-20, -0x1.9b8ceea5ea326p-20, -0x1.88f7b73470785p-20, -0x1.76b494db72934p-20, -0x1.64c238a425739p-20, -0x1.531f5ae301bd6p-20, -0x1.41ca6795845cfp-20, -0x1.30c16d4fe1316p-20, -0x1.200269ed0dca1p-20, -0x1.0f8ba4058f263p-20, -0x1.feb76cf04d94bp-21, -0x1.dee36af896001p-21, -0x1.bf99ddb0f79bap-21, -0x1.a0d883b71e887p-21, -0x1.829c3dcbafc96p-21, -0x1.64e247bd6ea7cp-21, -0x1.47a86b225c86cp-21, -0x1.2aec900a1bc7p-21, -0x1.0eace8f8da181p-21, -0x1.e5cfec124baf3p-22, -0x1.af3829e03eaccp-22, -0x1.798eb9eea2b4cp-22, -0x1.44cfe354474bep-22, -0x1.10f86092e482cp-22, -0x1.bc0a3c79cc69p-23, -0x1.57e62de3d04afp-23, -0x1.eafd889a02225p-24, -0x1.299ce3b69d61bp-24, -0x1.ae7f774ca16eap-26, 0x1.3c0da9dca0493p-26, 0x1.065621ddf7f23p-24, 0x1.ba6149216a1b8p-24, 0x1.35978577cb1bdp-23, 0x1.8c658e65132d6p-23, 0x1.e1a01c58a4ab3p-23, 0x1.1aa58e4766db8p-22, 0x1.43b5276eae94dp-22, 0x1.6c00dac5e1b38p-22, 0x1.938a9b2e032e4p-22, 0x1.ba54b5053a1fbp-22, 0x1.e0611870ce3c7p-22, 0x1.02d9821e3733dp-21, 0x1.152bdeae70288p-21, 0x1.27114611ef8c4p-21, 0x1.3899f641df70cp-21, 0x1.49e79a8501332p-21, 0x1.5ac49040bcac2p-21, 0x1.6b474bfa48573p-21, 0x1.7b7679243bd6p-21, 0x1.8b4f345a984f5p-21, 0x1.9ad1beedf4cd4p-21, 0x1.a9febd4b30d9dp-21, 0x1.b8d6df01c5e24p-21, 0x1.c75aea0a139e7p-21, 0x1.d58bf91f1225bp-21, 0x1.e36afa1f9c535p-21, 0x1.f0f8512ecf621p-21, 0x1.fe34903d8b66ep-21, 0x1.0590428bcdec9p-20, 0x1.0bde79b4f7b7ap-20, 0x1.12054f91608a8p-20, 0x1.1805256a8614ap-20, 0x1.1dde4bf14248ep-20, 0x1.23911419399ecp-20, 0x1.291dea44532cap-20, 0x1.2e8532a7fd56fp-20, 0x1.33c74879c55fp-20, }}, 
      {{-0x1.5a99cbc230e6bp-12, -0x1.4b5b950afc82p-10, -0x1.5c815d18926f6p-9, -0x1.1c247a68410d5p-8, -0x1.90371eebaa3bap-8, -0x1.fed533d80ef69p-8, -0x1.2ed8fc58f0998p-7, -0x1.5217de3c45b0fp-7, -0x1.65bf6504091f9p-7, -0x1.674b6309314e7p-7, -0x1.550c3cafb4252p-7, -0x1.2e10e309895e7p-7, -0x1.e41ad554b35a2p-8, -0x1.42816215ec04ep-8, -0x1.e2d4cef80e735p-10, 0x1.dcded6084a5bp-10, 0x1.8aac6f29c93a5p-8, 0x1.5f577d6bc807dp-7, 0x1.040133c4fb9efp-6, 0x1.5ed3883f23a8fp-6, 0x1.bf471ab44886dp-6, 0x1.1240945af578dp-5, 0x1.46d5b78b67861p-5, 0x1.7cfb7b55da8a1p-5, 0x1.b44f181cf4961p-5, 0x1.ec73399d77328p-5, 0x1.12883eab19bbap-4, 0x1.2eeade68d361p-4, 0x1.4b3c15bd4a8b7p-4, 0x1.6759a9a189c3fp-4, 0x1.83247c083a87bp-4, 0x1.9e8073712791cp-4, 0x1.b9545c6563c3dp-4, 0x1.d389c50ab5fbp-4, 0x1.ed0cd62eaa7d1p-4, 0x1.02e615d8012bfp-3, 0x1.0edc55714030ep-3, 0x1.1a62ad10e647bp-3, 0x1.25739cee9dd15p-3, 0x1.300a8ed304907p-3, 0x1.3a23c3f7f2adp-3, 0x1.43bc43feaceaap-3, 0x1.4cd1cc70dd68fp-3, 0x1.5562c17829f4p-3, 0x1.5d6e1f90e42cep-3, 0x1.64f36e13956dep-3, 0x1.6bf2b2dcc3036p-3, 0x1.726c66989ecc1p-3, 0x1.786169ed4424p-3, 0x1.7dd2fb55ab1e7p-3, 0x1.82c2adf85e7afp-3, 0x1.873260f2716d3p-3, 0x1.8b2437348676bp-3, 0x1.8e9a901bfb04cp-3, 0x1.91980087a7f7p-3, 0x1.941f4c6d8df7ep-3, 0x1.963360e7e922ap-3, 0x1.97d74eaf8d83fp-3, 0x1.990e44f33b30ep-3, 0x1.99db8c8f349ffp-3, 0x1.9a4283e362933p-3, 0x1.9a469a22d7293p-3, 0x1.99eb4c274f4a7p-3, 0x1.9934204c53c51p-3, 0x1.9824a37ca9d25p-3, 0x1.96c06617b8a39p-3, 0x1.950af8fec0bafp-3, 0x1.9307eb032de72p-3, 0x1.90bac67ccca13p-3, 0x1.8e270f132a8f8p-3, 0x1.8b503fa81676dp-3, 0x1.8839c8aa8b7f9p-3, 0x1.84e70e0d9eb35p-3, 0x1.815b661c8e5f7p-3, 0x1.7d9a17d4dd7ecp-3, 0x1.79a65a20c93a1p-3, 0x1.758351f264aeap-3, 0x1.71341234da875p-3, 0x1.6cbb9a15d037fp-3, 0x1.681cd5396deap-3, 0x1.635a9a7244983p-3, 0x1.5e77ab27f6da3p-3, 0x1.5976b3c6cd537p-3, 0x1.545a4ab0f49b4p-3, 0x1.4f24efe45df76p-3, 0x1.49d90dbe8156dp-3, 0x1.4478f7f53f7a5p-3, 0x1.3f06ebfb4f2d6p-3, 0x1.3985117c3836dp-3, 0x1.33f579bc1b2aep-3, 0x1.2e5a2055c3a4fp-3, 0x1.28b4eb258db87p-3, 0x1.2307aafb35b8ap-3, 0x1.1d541b585f444p-3, 0x1.179be35f67653p-3, 0x1.11e095f38e964p-3, 0x1.0c23b1fa6729cp-3, 0x1.0666a389ba66p-3, 0x1.00aac37637e2cp-3, 0x1.f5e2b0cc21952p-4, 0x1.ea772eb43e702p-4, 0x1.df154799b6fb1p-4, 0x1.d3bf2122fa2fbp-4, 0x1.c876c0c600d62p-4, 0x1.bd3e0bce3834fp-4, 0x1.b216ca2cf68bbp-4, 0x1.a702a6542fcb3p-4, 0x1.9c032e2957684p-4, 0x1.9119d57865f8ep-4, 0x1.8647f5ba80e08p-4, 0x1.7b8ecf6f29182p-4, 0x1.70ef8bbfbf146p-4, 0x1.666b3cb32c933p-4, 0x1.5c02de549b2ap-4, 0x1.51b7581822938p-4, 0x1.47897d23d55bbp-4, 0x1.3d7a0d507503p-4, 0x1.3389b6646d89bp-4, 0x1.29b91469f6f48p-4, 0x1.2008b2d97935ep-4, 0x1.16790d785acbbp-4, 0x1.0d0a908de3b1bp-4, 0x1.03bd9a0f975f6p-4, 0x1.f524f4a5587f8p-5, 0x1.e312e98fcf9c3p-5, 0x1.d1457fef18246p-5, 0x1.bfbd0e2ce64b9p-5, 0x1.ae79d2df036e8p-5, 0x1.9d7bf8a4723ep-5, 0x1.8cc394459a5cap-5, 0x1.7c50a6d883aa2p-5, 0x1.6c2320430daf6p-5, 0x1.5c3add5574ce8p-5, 0x1.4c97ab5c05b99p-5, 0x1.3d39474f87ad5p-5, 0x1.2e1f5f313a917p-5, 0x1.1f49936c4a9e9p-5, 0x1.10b777ae32a56p-5, 0x1.0268938cdd2a2p-5, 0x1.e8b8c516c5eafp-6, 0x1.cd24ad6c6e249p-6, 0x1.b213b09235698p-6, 0x1.97848b95d4a56p-6, 0x1.7d75eebe3c434p-6, 0x1.63e6782f722fap-6, 0x1.4ad4ba1b33196p-6, 0x1.323f39f411cep-6, 0x1.1a247385d6475p-6, 0x1.0282d5ef36fdbp-6, 0x1.d6b19576e390ep-7, 0x1.a9496450c66d6p-7, 0x1.7cc9cb8d81af4p-7, 0x1.512f75d84df05p-7, 0x1.2677018149f67p-7, 0x1.f93a0a5e564c1p-8, 0x1.a73c2bc41b65fp-8, 0x1.56ed7fd65d9ffp-8, 0x1.08471e5973db9p-8, 0x1.768437c9de981p-9, 0x1.bf5e37175f178p-10, 0x1.30045bed7707dp-11, -0x1.124e59c9e3c4fp-11, -0x1.a43950ad13104p-10, -0x1.5ca7b7841c8c2p-9, -0x1.e44252fb9a7e9p-9, -0x1.347cf19c2a18cp-8, -0x1.756dde9d6ba48p-8, -0x1.b4fa833dcb20ep-8, -0x1.f3296492c7513p-8, -0x1.18007952264bap-7, -0x1.35c3c407bd7bbp-7, -0x1.52e1b41921053p-7, -0x1.6f5d5fd4841d5p-7, -0x1.8b39d17971216p-7, -0x1.a67a073f518d5p-7, -0x1.c120f19e33e7bp-7, -0x1.db31736e709cp-7, -0x1.f4ae62c7878bfp-7, -0x1.06cd43dce308ap-6, -0x1.12fc4d6edcfe1p-6, -0x1.1ee5a35ccb823p-6, -0x1.2a8a946daf727p-6, -0x1.35ec671994ff4p-6, -0x1.410c5aa2a0e5ep-6, -0x1.4beba7a3f5a19p-6, -0x1.568b7e7b356a8p-6, -0x1.60ed082e38ab2p-6, -0x1.6b116644fd55bp-6, -0x1.74f9b305019dap-6, -0x1.7ea701b35463fp-6, -0x1.881a5d7b3ece5p-6, -0x1.9154cb17b147dp-6, -0x1.9a5747c966263p-6, -0x1.a322c9adab2ffp-6, -0x1.abb83ff15258dp-6, -0x1.b4189307879e2p-6, -0x1.bc44a4b15f768p-6, -0x1.c43d4ff07490dp-6, -0x1.cc0369414e5f5p-6, -0x1.d397beda24636p-6, -0x1.dafb18b93f2a6p-6, -0x1.e22e38c4aa866p-6, -0x1.e931dadb0fdc7p-6, -0x1.f006b518441cp-6, -0x1.f6ad77f3add33p-6, -0x1.fd26ceb2155c2p-6, -0x1.01b9af41ceacdp-5, -0x1.04c9e42bf1c03p-5, -0x1.07c453b1f051ep-5, -0x1.0aa949293b95dp-5, -0x1.0d790d9075f56p-5, -0x1.1033e79eac15p-5, -0x1.12da1bde77a16p-5, -0x1.156becc052719p-5, -0x1.17e99aaf7437cp-5, -0x1.1a53644ac7f72p-5, -0x1.1ca9862b155fep-5, -0x1.1eec3b55aa139p-5, -0x1.211bbd170a7ecp-5, -0x1.2338430fc107ep-5, -0x1.254203699d8aap-5, -0x1.2739331854aedp-5, -0x1.291e052c12dc1p-5, -0x1.2af0ac2ccc8aep-5, -0x1.2cb158e0ccc99p-5, -0x1.2e603b25291adp-5, -0x1.2ffd81bdf99c6p-5, -0x1.31895a74dec68p-5, -0x1.3303f22e40ec5p-5, -0x1.346d74f9b3f8cp-5, -0x1.35c60e1cb029fp-5, -0x1.370de81ce6868p-5, -0x1.38452ccf998d2p-5, -0x1.396c056e1da8ep-5, -0x1.3a829aab40cep-5, -0x1.3b8914c37915ep-5, -0x1.3c7f9b80d73d8p-5, -0x1.3d66563f02febp-5, -0x1.3e3d6bf362e6bp-5, -0x1.3f050337fd88bp-5, -0x1.3fbd42a9b222cp-5, -0x1.4066502d14df8p-5, -0x1.410052286062ep-5, -0x1.418b6e5f06f1dp-5, -0x1.4207ca99ff1e7p-5, -0x1.42758c7fcf54fp-5, -0x1.42d4d9aa94272p-5, -0x1.4325d7ccb4fd7p-5, -0x1.4368ac97fd084p-5, -0x1.439d7ddabb85ap-5, -0x1.43c4716c4f686p-5, -0x1.43ddad2106ac9p-5, -0x1.43e956eb571cp-5, -0x1.43e794e618b9cp-5, -0x1.43d88d63ab6d9p-5, -0x1.43bc66f1d3b29p-5, -0x1.439348514e237p-5, -0x1.435d586a65c51p-5, -0x1.431abe4abef69p-5, -0x1.42cba13af4e3ep-5, -0x1.427028dda1ccfp-5, -0x1.42087cc267cc1p-5, -0x1.4194c5212f522p-5, -0x1.41152a5f9f941p-5, -0x1.4089d50d5536ep-5, -0x1.3ff2ee1c08886p-5, -0x1.3f509eab4015ep-5, -0x1.3ea30fe8521a3p-5, -0x1.3dea6b6c10661p-5, -0x1.3d26db29aa29ep-5, -0x1.3c58896235166p-5, -0x1.3b7fa0970d2f4p-5, -0x1.3a9c4b7bc29ddp-5, -0x1.39aeb4f4f224cp-5, -0x1.38b708142bed5p-5, -0x1.37b5702f1569p-5, -0x1.36aa18de3d8c4p-5, -0x1.35952e041c0b1p-5, -0x1.3476dbc1d235dp-5, -0x1.334f4e6918cbfp-5, -0x1.321eb26eae95cp-5, -0x1.30e5346567292p-5, -0x1.2fa30101affc1p-5, -0x1.2e58451e76b73p-5, -0x1.2d052dc5f1d81p-5, -0x1.2ba9e832222b8p-5, -0x1.2a46a1c5ef02ep-5, -0x1.28db87f8796acp-5, -0x1.2768c874690fp-5, -0x1.25ee908e35229p-5, -0x1.246d0e127b601p-5, -0x1.22e46e79277dbp-5, -0x1.2154df74ee9bp-5, -0x1.1fbe8ebfbb432p-5, -0x1.1e21aa1c718b4p-5, -0x1.1c7e5f4ea3584p-5, -0x1.1ad4dc0eae54p-5, -0x1.19254dff73c8fp-5, -0x1.176fe2a88d429p-5, -0x1.15b4c7759ca16p-5, -0x1.13f429b8ab632p-5, -0x1.122e36ac8774bp-5, -0x1.10631b74ef2cfp-5, -0x1.0e93051a559fp-5, -0x1.0cbe207ef5cc1p-5, -0x1.0ae49a5652d62p-5, -0x1.09069f1d3736dp-5, -0x1.07245b118584cp-5, -0x1.053dfa39889c7p-5, -0x1.0353a84d00e43p-5, -0x1.016590d9a0b1ap-5, -0x1.fee7be43e7c78p-6, -0x1.fafd7c5aa3f4dp-6, -0x1.f70cb1774e80dp-6, -0x1.f315b27dabed6p-6, -0x1.ef18d3a596b78p-6, -0x1.eb16686d07332p-6, -0x1.e70ec38a0867ep-6, -0x1.e302371e466d5p-6, -0x1.def1143aeeb58p-6, -0x1.dadbab932153ep-6, -0x1.d6c24cc70d6dfp-6, -0x1.d2a546cd96c16p-6, -0x1.ce84e7d496c12p-6, -0x1.ca617d26b0125p-6, -0x1.c63b5325b7f37p-6, -0x1.c212b543a5c28p-6, -0x1.bde7edfed1c03p-6, -0x1.b9bb46dd562a1p-6, -0x1.b58d086d7326ap-6, -0x1.b15d7a4875ddbp-6, -0x1.ad2ce3106fb4ap-6, -0x1.a8fb886c70d8cp-6, -0x1.a4c9af03753dap-6, -0x1.a0979a785327fp-6, -0x1.9c658d5b0aabep-6, -0x1.9833c9265148fp-6, -0x1.94028e39299dep-6, -0x1.8fd21bd83c379p-6, -0x1.8ba2b030ced82p-6, -0x1.877488569cc63p-6, -0x1.8347e043a4d6ap-6, -0x1.7f1cf2d7b989cp-6, -0x1.7af3f9d6abaf2p-6, -0x1.76cd2de518b63p-6, -0x1.72a8c684b9a15p-6, -0x1.6e86fa10f639cp-6, -0x1.6a67fdbc6ff78p-6, -0x1.664c05900fef9p-6, -0x1.6233446b310c5p-6, -0x1.5e1dec04d0c04p-6, -0x1.5a0c2cec0cfbap-6, -0x1.55fe3685441ddp-6, -0x1.51f437128763ap-6, -0x1.4dee5bc4b26efp-6, -0x1.49ecd071ae27fp-6, -0x1.45efc021ceae1p-6, -0x1.41f754b51537p-6, -0x1.3e03b5f8a484bp-6, -0x1.3a150bf77bd56p-6, -0x1.362b7c5549444p-6, -0x1.32472cc2982e4p-6, -0x1.2e68413993dd9p-6, -0x1.2a8edc60d6496p-6, -0x1.26bb1ffd194d3p-6, -0x1.22ed2cb5a4585p-6, -0x1.1f2522132210fp-6, -0x1.1b631e85cab2fp-6, -0x1.17a73f6b1b077p-6, -0x1.13f1a113195cap-6, -0x1.10425ec4ab3cep-6, -0x1.0c9992c03844fp-6, -0x1.08f7563ff8f3fp-6, -0x1.055bc17630164p-6, -0x1.01c6eb8a05c14p-6, -0x1.fc71d529cd32p-7, -0x1.f563a74452147p-7, -0x1.ee63756575a58p-7, -0x1.e771658aa294bp-7, -0x1.e08d9bc4abf7p-7, -0x1.d9b83a5294997p-7, -0x1.d2f161b8edc1p-7, -0x1.cc3930d019e6p-7, -0x1.c58fc4c464a0bp-7, -0x1.bef5390964bcap-7, -0x1.b869a7436dc2cp-7, -0x1.b1ed2730e55eap-7, -0x1.ab7fce9a806c3p-7, -0x1.a521b1535ae53p-7, -0x1.9ed2e15425f0bp-7, -0x1.98936eeb8d02p-7, -0x1.926368f29cf1cp-7, -0x1.8c42dcfd67097p-7, -0x1.8631d779e9469p-7, -0x1.803063c27eb03p-7, -0x1.7a3e8c1afde08p-7, -0x1.745c591b91876p-7, -0x1.6e89d1c13251cp-7, -0x1.68c6fac8815fp-7, -0x1.6313d6e616963p-7, -0x1.5d7066a95ef83p-7, -0x1.57dca8ccb0722p-7, -0x1.52589abd0e655p-7, -0x1.4ce4393b2e41ap-7, -0x1.477f80f30b85p-7, -0x1.422a6ee1fa2e8p-7, -0x1.3ce50068f4991p-7, -0x1.37af32f9c6909p-7, -0x1.328903657d38bp-7, -0x1.2d726cebba264p-7, -0x1.286b683fb2935p-7, -0x1.2373eac09c6ccp-7, -0x1.1e8be61fb0b8fp-7, -0x1.19b34899cafdfp-7, -0x1.14e9fdcbd26bcp-7, -0x1.102ff0053cf82p-7, -0x1.0b8509dab7de9p-7, -0x1.06e937a65ab91p-7, -0x1.025c689ed38bbp-7, -0x1.fbbd1e783d709p-8, -0x1.f2df4193499d3p-8, -0x1.ea1f284976cfcp-8, -0x1.e17cbfcadf108p-8, -0x1.d8f7f08db1f65p-8, -0x1.d0909a812ae5ep-8, -0x1.c846927e3bca4p-8, -0x1.c019a19555ed8p-8, -0x1.b809867776312p-8, -0x1.b015f8cd2dca2p-8, -0x1.a83eade2a9aa4p-8, -0x1.a0835dc0fe9dfp-8, -0x1.98e3c7acb60fap-8, -0x1.915fb519c866cp-8, -0x1.89f6fa6f9a3a7p-8, -0x1.82a975683a528p-8, -0x1.7b770956c3081p-8, -0x1.745f9a135bb58p-8, -0x1.6d63069b14524p-8, -0x1.66812485ca19fp-8, -0x1.5fb9bd4b4bcd1p-8, -0x1.590c8df00ae58p-8, -0x1.5279494c8fb82p-8, -0x1.4bff9c7d69fbbp-8, -0x1.459f34148cf9fp-8, -0x1.3f57c1da85212p-8, -0x1.392901107a7bep-8, -0x1.3312b8fd8b51p-8, -0x1.2d14bc3f0a151p-8, -0x1.272ee58ea5d77p-8, -0x1.2161126c8e80ep-8, -0x1.1bab1cba9405p-8, -0x1.160cd4a7331f8p-8, -0x1.1085fc3fef1d6p-8, -0x1.0b1645b334c53p-8, -0x1.05bd54c76333ep-8, -0x1.007ac36cd06bfp-8, -0x1.f69c516802f15p-9, -0x1.ec6e41fcd68aap-9, -0x1.e26aabdb342fcp-9, -0x1.d89108ed0c6f2p-9, -0x1.cee10014c4a69p-9, -0x1.c55a660929d47p-9, -0x1.bbfd2838a1402p-9, -0x1.b2c94c2175e93p-9, -0x1.a9becc9da6209p-9, -0x1.a0dd936e0073ap-9, -0x1.982557295623cp-9, -0x1.8f959acfcfda4p-9, -0x1.872da7dd4e30cp-9, -0x1.7eec934aaa3b3p-9, -0x1.76d14b7503518p-9, -0x1.6edaac8d16a8ep-9, -0x1.670798df8cb6fp-9, -0x1.5f5711182fea1p-9, -0x1.57c848778a436p-9, -0x1.505ab160d865ap-9, -0x1.490e002c9b9f1p-9, -0x1.41e22434a6746p-9, -0x1.3ad738dd45c85p-9, -0x1.33ed718c685acp-9, -0x1.2d2503c5fb31ep-9, -0x1.267e122cab1f4p-9, -0x1.1ff89a7862ffdp-9, -0x1.199467e6fab32p-9, -0x1.13510b8d9fd6ap-9, -0x1.0d2ddbfb36bd9p-9, -0x1.0729fd4935b11p-9, -0x1.014471525efdap-9, -0x1.f6f85b2d42ac3p-10, -0x1.eba0641e73c05p-10, -0x1.e07f3709931e8p-10, -0x1.d5935b1e44b59p-10, -0x1.cadba7a3d830cp-10, -0x1.c0573ae26a3bp-10, -0x1.b6056e866ee8fp-10, -0x1.abe5cfa75747fp-10, -0x1.a1f81915a8ceap-10, -0x1.983c2c3460aadp-10, -0x1.8eb201bf7dc6ep-10, -0x1.85599093cfc08p-10, -0x1.7c32ae42d194fp-10, -0x1.733cf56c74354p-10, -0x1.6a77bc51ddfc4p-10, -0x1.61e2207707d2ep-10, -0x1.597b23005f069p-10, -0x1.5141c92948becp-10, -0x1.4935310d141b6p-10, -0x1.41548f4fe9213p-10, -0x1.399f15573f3c4p-10, -0x1.3213cd9e8f989p-10, -0x1.2ab1850d1e09ep-10, -0x1.2376d59653cb9p-10, -0x1.1c625620aace8p-10, -0x1.1572dd1e64c5dp-10, -0x1.0ea7b404a0595p-10, -0x1.08009ce1eb1c7p-10, -0x1.017da1a620ff2p-10, -0x1.f63d85a62662dp-11, -0x1.e9c75e526f801p-11, -0x1.dd9753f8fefd7p-11, -0x1.d1ab57bd34ceep-11, -0x1.c601542e86d3bp-11, -0x1.ba97c0148ad5cp-11, -0x1.af6df242697cep-11, -0x1.a484149a1f3dcp-11, -0x1.99dab8a11060bp-11, -0x1.8f722dead4f56p-11, -0x1.8549d2d416a53p-11, -0x1.7b5fa660919b6p-11, -0x1.71b059421afep-11, -0x1.6837f24005b8dp-11, -0x1.5ef2d63d1e126p-11, -0x1.55dec819f1bfcp-11, -0x1.4cfb655a0b8d9p-11, -0x1.4449d9877dbefp-11, -0x1.3bcbe966b51e8p-11, -0x1.3382d573023ap-11, -0x1.2b6ea4a357b5fp-11, -0x1.238e1d2667d83p-11, -0x1.1bdf4523d8a3fp-11, -0x1.14600aed94143p-11, -0x1.0d0ec15ad2f6ep-11, -0x1.05ea4b8a4f03bp-11, -0x1.fde3fa93dac6ep-12, -0x1.f04aa52e00eb1p-12, -0x1.e30751948ee92p-12, -0x1.d6181c3cc75d6p-12, -0x1.c97a426741189p-12, -0x1.bd29ff9ba931bp-12, -0x1.b122bf0804758p-12, -0x1.a55fd1f7a29d5p-12, -0x1.99dd7eb4379ep-12, -0x1.8e99e01465a38p-12, -0x1.8395127745ab1p-12, -0x1.78d08df6a5784p-12, -0x1.6e4e1210b2a11p-12, -0x1.640ed1e68c2f8p-12, -0x1.5a133ee647c53p-12, -0x1.505b3d13b4fb6p-12, -0x1.46e674918af44p-12, -0x1.3db4a9ac579cep-12, -0x1.34c5e3eabf3a6p-12, -0x1.2c1a01409b3e5p-12, -0x1.23afcf44106b3p-12, -0x1.1b8473b40e44p-12, -0x1.1393bc1a0eee9p-12, -0x1.0bd90c5c0de7fp-12, -0x1.04502baf801acp-12, -0x1.f9eb3d729b7e6p-13, -0x1.eb8cf8c152d26p-13, -0x1.dd8148f9d1e9p-13, -0x1.cfc5eb4c1467ap-13, -0x1.c25a661e8685ep-13, -0x1.b53e7a922948fp-13, -0x1.a872048cd7354p-13, -0x1.9bf50d8e106ap-13, -0x1.8fc810b2595bep-13, -0x1.83eb7bee2cbf5p-13, -0x1.785ec52d2676dp-13, -0x1.6d207be48dd7bp-13, -0x1.623032e51d87bp-13, -0x1.5790388a0e8f9p-13, -0x1.4d44104e96638p-13, -0x1.434ca5d5cca19p-13, -0x1.39a65d1ac3b3p-13, -0x1.304a9c07fb014p-13, -0x1.2732c3d7736bcp-13, -0x1.1e5a5d304ff1p-13, -0x1.15bfd051d9e02p-13, -0x1.0d63c45cb24e2p-13, -0x1.0547693a6b023p-13, -0x1.fad4e63779ed1p-14, -0x1.eb93e8458ee47p-14, -0x1.dcc0cf37f38ep-14, -0x1.ce4c786719ce1p-14, -0x1.c026e8cdd02d5p-14, -0x1.b2479b115181dp-14, -0x1.a4b4ef78dd22cp-14, -0x1.977f67538c825p-14, -0x1.8ab21ae776a66p-14, -0x1.7e48d337fdec1p-14, -0x1.72376fecd8547p-14, -0x1.66790ef1c8bb6p-14, -0x1.5b138a5482a85p-14, -0x1.500dd8cd4607bp-14, -0x1.45682069b622fp-14, -0x1.3b1beed5b9a3bp-14, -0x1.31200ac044b3p-14, -0x1.276ba97286041p-14, -0x1.1df821fbd842cp-14, -0x1.14c1b1b5a03a3p-14, -0x1.0bc7fbcf3bc03p-14, -0x1.030e197e8e012p-14, -0x1.f532b11ccdf85p-15, -0x1.e4dd1d59f8ffep-15, -0x1.d51fc95f0bf01p-15, -0x1.c5f8b867d62c6p-15, -0x1.b75c2753c9abfp-15, -0x1.a92f426d3fda8p-15, -0x1.9b562227b8cb3p-15, -0x1.8dcf35d1f2a23p-15, -0x1.80ac834465adbp-15, -0x1.73ef5878b0b6ep-15, -0x1.6784b41068adep-15, -0x1.5b68b173c0c41p-15, -0x1.4fb026107056p-15, -0x1.44679c9323496p-15, -0x1.3983202694799p-15, -0x1.2ef1f89b0c3c1p-15, -0x1.24b0a64f8a348p-15, -0x1.1ac4379939a37p-15, -0x1.112d8d00e536dp-15, -0x1.07e63df4581f1p-15, -0x1.fdcb4357fa479p-16, -0x1.ec4a700fa5bdcp-16, -0x1.db442413b36f7p-16, -0x1.cab9bc4dac611p-16, -0x1.bab21e6e70f16p-16, -0x1.ab349aed31ca7p-16, -0x1.9c4273edc5bbp-16, -0x1.8dd7a28557509p-16, -0x1.7ff1c68839fdep-16, -0x1.72874b98ce986p-16, -0x1.657cbbc720a85p-16, -0x1.58cd12fb57f81p-16, -0x1.4c9dbd102a2p-16, -0x1.40f7c2b8dd4a9p-16, -0x1.35b55c4707c2fp-16, -0x1.2ac77fbddaccep-16, -0x1.2035596dba99ap-16, -0x1.15f607e66662cp-16, -0x1.0c0605d4a275bp-16, -0x1.026e395430601p-16, -0x1.f2540387ffaacp-17, -0x1.e0531abdb5e16p-17, -0x1.cedc26e7fa0dp-17, -0x1.be0f183d363afp-17, -0x1.adf3f4893e01ep-17, -0x1.9e74b4f0f85edp-17, -0x1.8f79f4fef2269p-17, -0x1.80f7fad1daafep-17, -0x1.72eb817ab4165p-17, -0x1.65551b4f68befp-17, -0x1.58373b853fde1p-17, -0x1.4b9389730d49p-17, -0x1.3f65c0383ab38p-17, -0x1.33a68f71e6b1fp-17, -0x1.285da421fc7cp-17, -0x1.1d99cb2d7df5fp-17, -0x1.133f8703329efp-17, -0x1.0932dc891f517p-17, -0x1.ff03f302924f9p-18, -0x1.ec2f906b4e973p-18, -0x1.d9f89a0244edbp-18, -0x1.c8bbacfc022a5p-18, -0x1.b86e12132e67dp-18, -0x1.a8e4809bd7a84p-18, -0x1.99fae1101358p-18, -0x1.8b7f477b8868bp-18, -0x1.7d6dfac143c93p-18, -0x1.6ff07663a6662p-18, -0x1.6303c598bbaf1p-18, -0x1.56806e99b1241p-18, -0x1.4a812c1534bcdp-18, -0x1.3f2a6b2742015p-18, -0x1.34677cf4e26bp-18, -0x1.2a197cc2417bfp-18, -0x1.2034ef01e02cfp-18, -0x1.16b88a071f134p-18, -0x1.0da3ae8901796p-18, -0x1.04f553670390dp-18, -0x1.f95a8e471b226p-19, -0x1.e9935ef707aedp-19, -0x1.da85b1c0d9e05p-19, -0x1.cc2c3101e42a9p-19, -0x1.beb95fda12b42p-19, -0x1.b246051bfe807p-19, -0x1.a665389ca7db6p-19, -0x1.9af1a9bd23949p-19, -0x1.8fe5bf5cbfb96p-19, }}, 
      {{0x1.9d6bc17a0c053p-4, 0x1.8a3b812507428p-3, 0x1.13f1b7fc8c19fp-2, 0x1.51a6be299f7f2p-2, 0x1.7e0b2e11712ccp-2, 0x1.9a247debd0dabp-2, 0x1.a7a91c2dfdfe1p-2, 0x1.a8a6572942456p-2, 0x1.9f44794ddba7p-2, 0x1.8d9fe5724b1d2p-2, 0x1.75b0f18caba7ap-2, 0x1.593e153f4c5dap-2, 0x1.39d54a29b207dp-2, 0x1.18ca6b2984bddp-2, 0x1.ee7190bf0ccb8p-3, 0x1.ac0dbf31a0e55p-3, 0x1.6bd66c11df7efp-3, 0x1.2ee39d6be497cp-3, 0x1.ec06e8fb21ce2p-4, 0x1.8389f4bd031f9p-4, 0x1.250470e998c87p-4, 0x1.a1a59b335dbfdp-5, 0x1.0e14655b4b6cfp-5, 0x1.1e1b6997c4f88p-6, 0x1.1f8820d8e93a8p-8, -0x1.a12e7467d1323p-8, -0x1.e931727e3253bp-7, -0x1.5f74fcbced85dp-6, -0x1.ab7b5aff4c4b2p-6, -0x1.db5d70c9af522p-6, -0x1.f1d2f28d3b26fp-6, -0x1.f18c900f590aap-6, -0x1.dd29cb3e42d0cp-6, -0x1.b731470c8b031p-6, -0x1.820b284208771p-6, -0x1.3ffd2d7c07e2fp-6, -0x1.e65053d78da24p-7, -0x1.3b0d461ca2221p-7, -0x1.03b157114924p-8, 0x1.07cc8984f36e4p-9, 0x1.0d475efe03e1ap-7, 0x1.dd5e7bbc2b789p-7, 0x1.57dc94f34419bp-6, 0x1.c10d7bd391103p-6, 0x1.14a1a9b6d671p-5, 0x1.47ce970860947p-5, 0x1.79aaef1df3e63p-5, 0x1.a9e103645433p-5, 0x1.d827197fc2626p-5, 0x1.021f3f0c92023p-4, 0x1.16f9500799b68p-4, 0x1.2a8c1af36b7cdp-4, 0x1.3cc6371de3cfdp-4, 0x1.4d9a15c1ef08dp-4, 0x1.5cfda5c8b8a9fp-4, 0x1.6ae9fd5f384bp-4, 0x1.775b094506052p-4, 0x1.824f41a8dc4d7p-4, 0x1.8bc7645e0153p-4, 0x1.93c63428f0a6bp-4, 0x1.9a503cca7752ap-4, 0x1.9f6b9be46f08fp-4, 0x1.a31fcdc92cc6dp-4, 0x1.a5757ec29290ep-4, 0x1.a6765fdcdecb3p-4, 0x1.a62cff6632414p-4, 0x1.a4a4a4d147404p-4, 0x1.a1e92facf65bfp-4, 0x1.9e06f9906c0aap-4, 0x1.990abac55b88dp-4, 0x1.9301717eed781p-4, 0x1.8bf84b7384cbfp-4, 0x1.83fc91ac00945p-4, 0x1.7b1b9662e73dep-4, 0x1.7162a4ca68c91p-4, 0x1.66def29934ff5p-4, 0x1.5b9d933bcf8a8p-4, 0x1.4fab6c8616711p-4, 0x1.43152cccc1b8p-4, 0x1.35e74245c7d14p-4, 0x1.282dd39b092e6p-4, 0x1.19f4b998ff18ap-4, 0x1.0b4779c8a7954p-4, 0x1.f8628437ced6ep-5, 0x1.d979caadb18fdp-5, 0x1.b9e9b05a02548p-5, 0x1.99c65e812ff6dp-5, 0x1.79233b1aea1fap-5, 0x1.5812e6dc5297p-5, 0x1.36a73c938bdedp-5, 0x1.14f15116f1897p-5, 0x1.e602e87ea8d36p-6, 0x1.a1ce657e3d335p-6, 0x1.5d62b07c8e88fp-6, 0x1.18dbe56b3edecp-6, 0x1.a8a955960c65ap-7, 0x1.1fcc71a05f42dp-7, 0x1.2ea18df263d61p-8, 0x1.ec682b6318765p-12, -0x1.df476b5ed2907p-9, -0x1.fc4db303f35ccp-8, -0x1.8376891922bffp-7, -0x1.03cf0f0cd554bp-6, -0x1.453e8ffb20b61p-6, -0x1.85faabc566ea8p-6, -0x1.c5f557c96c892p-6, -0x1.0290c9d024c0bp-5, -0x1.21b9afd25ce4ep-5, -0x1.406fd6e50942fp-5, -0x1.5eae2dc6dae4dp-5, -0x1.7c7013e96a716p-5, -0x1.99b152b3930cbp-5, -0x1.b66e1a2542f7dp-5, -0x1.d2a2fb6c21f5ep-5, -0x1.ee4ce31fe9badp-5, -0x1.04b48addf5ce3p-4, -0x1.11fa956c2ca23p-4, -0x1.1ef78422d3dd8p-4, -0x1.2baa6f60ce12fp-4, -0x1.38129302bb4dcp-4, -0x1.442f4c6c18443p-4, -0x1.500018ee56804p-4, -0x1.5b84941773294p-4, -0x1.66bc7602a9874p-4, -0x1.71a791e8d5161p-4, -0x1.7c45d46946f5bp-4, -0x1.8697423c32ceap-4, -0x1.909bf68a7932bp-4, -0x1.9a5421e0b7301p-4, -0x1.a3c0088ec602fp-4, -0x1.ace001814fd3bp-4, -0x1.b5b475411c476p-4, -0x1.be3ddc8244569p-4, -0x1.c67cbf6db9c56p-4, -0x1.ce71b456c3c28p-4, -0x1.d61d5ed78fce3p-4, -0x1.dd806efa4b711p-4, -0x1.e49ba05fadc39p-4, -0x1.eb6fb92fc5ap-4, -0x1.f1fd89664611cp-4, -0x1.f845ea0f4222dp-4, -0x1.fe49bc7a56123p-4, -0x1.0204f4a60ce7fp-3, -0x1.04c3b018f762fp-3, -0x1.07618b54b35fcp-3, -0x1.09df03dcb52f5p-3, -0x1.0c3c998fd553p-3, -0x1.0e7ace70bbed8p-3, -0x1.109a262cebdf8p-3, -0x1.129b261f6fff6p-3, -0x1.147e54d4bdd99p-3, -0x1.164439e856f57p-3, -0x1.17ed5dc52ca02p-3, -0x1.197a4979b13d6p-3, -0x1.1aeb86696f985p-3, -0x1.1c419e58f8e47p-3, -0x1.1d7d1afbbbb8cp-3, -0x1.1e9e85fda2f76p-3, -0x1.1fa668cac09c5p-3, -0x1.20954c6f69346p-3, -0x1.216bb9728eddap-3, -0x1.222a37c7011d8p-3, -0x1.22d14e8910fbep-3, -0x1.2361841f6e79dp-3, -0x1.23db5de563c28p-3, -0x1.243f603fc1fdap-3, -0x1.248e0e63b3bb2p-3, -0x1.24c7ea6b2dbf2p-3, -0x1.24ed7523ba1fp-3, -0x1.24ff2dfca4d84p-3, -0x1.24fd930f8bcc6p-3, -0x1.24e921080f84fp-3, -0x1.24c253080c707p-3, -0x1.2489a2af7bd41p-3, -0x1.243f88052ff5ep-3, -0x1.23e47979127fap-3, -0x1.2378ebd89ac41p-3, -0x1.22fd52407feefp-3, -0x1.22721e1fe323ap-3, -0x1.21d7bf309701ap-3, -0x1.212ea37051235p-3, -0x1.2077372a03885p-3, -0x1.1fb1e4d9a61cfp-3, -0x1.1edf154603b69p-3, -0x1.1dff2f732a424p-3, -0x1.1d1298a237c02p-3, -0x1.1c19b452b6973p-3, -0x1.1b14e448da125p-3, -0x1.1a04888700cbbp-3, -0x1.18e8ff51fa077p-3, -0x1.17c2a53718d9dp-3, -0x1.1691d512c7b99p-3, -0x1.1556e7f9cb3f2p-3, -0x1.1412356fea162p-3, -0x1.12c41332577c2p-3, -0x1.116cd562d258fp-3, -0x1.100cce7c19c1fp-3, -0x1.0ea44f5ad6af6p-3, -0x1.0d33a740d189cp-3, -0x1.0bbb23d9e4cdcp-3, -0x1.0a3b11436d664p-3, -0x1.08b3ba0fa288fp-3, -0x1.0725674aff187p-3, -0x1.0590607feb4e7p-3, -0x1.03f4ebbd074bep-3, -0x1.02534da7b2d52p-3, -0x1.00abc960219cfp-3, -0x1.fdfd416d0e71cp-4, -0x1.fa98280803262p-4, -0x1.f728c497d6bb3p-4, -0x1.f3af927262fdcp-4, -0x1.f02d0a4ce872ep-4, -0x1.eca1a240727bfp-4, -0x1.e90dcdd78b387p-4, -0x1.e571fe1e9d7ffp-4, -0x1.e1cea1ad26b81p-4, -0x1.de2424b1f23cfp-4, -0x1.da72f0fecf168p-4, -0x1.d6bb6e0f005c3p-4, -0x1.d2fe011ac6a9ep-4, -0x1.cf3b0d15e26p-4, -0x1.cb72f2d1256bfp-4, -0x1.c7a610d8513e1p-4, -0x1.c3d4c3c3dbbaep-4, -0x1.bfff65faf3145p-4, -0x1.bc264fe7f56bcp-4, -0x1.b849d7f0a963p-4, -0x1.b46a5284f9df9p-4, -0x1.b088122bfbc32p-4, -0x1.aca3678debd2cp-4, -0x1.a8bca17a4e2dap-4, -0x1.a4d40cebefed1p-4, -0x1.a0e9f50f7e3b9p-4, -0x1.9cfea350c2961p-4, -0x1.99125f68a4f6fp-4, -0x1.95256f6401bacp-4, -0x1.913817aba603fp-4, -0x1.8d4a9b03e70dfp-4, -0x1.895d3a90016d5p-4, -0x1.857035dbd9912p-4, -0x1.8183caf51ba45p-4, -0x1.7d98365905189p-4, -0x1.79adb3268950fp-4, -0x1.75c47af27d55dp-4, -0x1.71dcc5df4cc9p-4, -0x1.6df6ca9e19006p-4, -0x1.6a12be7952f81p-4, -0x1.6630d56686febp-4, -0x1.6251420cb883ap-4, -0x1.5e7435c29201ap-4, -0x1.5a99e08e04979p-4, -0x1.56c271231ee64p-4, -0x1.52ee14ec2ffaep-4, -0x1.4f1cf817a34cfp-4, -0x1.4b4f45a4dc3d9p-4, -0x1.4785276a1c34bp-4, -0x1.43bec612c997dp-4, -0x1.3ffc491a9ca44p-4, -0x1.3c3dd6cd9ebacp-4, -0x1.3883944fafa9dp-4, -0x1.34cda5aa17f56p-4, -0x1.311c2dd1f74abp-4, -0x1.2d6f4eba9477ap-4, -0x1.29c7294514c5bp-4, -0x1.2623dd4c94e7ap-4, -0x1.22858994891b6p-4, -0x1.1eec4bd6ddf0ep-4, -0x1.1b5840c81da08p-4, -0x1.17c98427e4aafp-4, -0x1.144030c89d25p-4, -0x1.10bc609108416p-4, -0x1.0d3e2c78a93bfp-4, -0x1.09c5ac835e382p-4, -0x1.0652f7c18f395p-4, -0x1.02e62455aadf9p-4, -0x1.fefe8eff9673p-5, -0x1.f83ceb4f38e57p-5, -0x1.f18784c68abddp-5, -0x1.eade80ef84daap-5, -0x1.e44203aae0d73p-5, -0x1.ddb22f28edd46p-5, -0x1.d72f23eaef9c6p-5, -0x1.d0b900cee80bep-5, -0x1.ca4fe31fd5833p-5, -0x1.c3f3e6aad371p-5, -0x1.bda525cbb7309p-5, -0x1.b763b96ef15cep-5, -0x1.b12fb90cdf6eep-5, -0x1.ab093aaab9f09p-5, -0x1.a4f052c597d55p-5, -0x1.9ee5147972441p-5, -0x1.98e791700118ep-5, -0x1.92f7da0606e16p-5, -0x1.8d15fd51d1148p-5, -0x1.8742092b2257bp-5, -0x1.817c0a2b6f03p-5, -0x1.7bc40baa2835p-5, -0x1.761a17ba03864p-5, -0x1.707e372b2ad1fp-5, -0x1.6af07193cb7e3p-5, -0x1.6570cd5d37a5dp-5, -0x1.5fff4fd1ed02fp-5, -0x1.5a9bfd291529dp-5, -0x1.5546d88cb52e6p-5, -0x1.4fffe4193f842p-5, -0x1.4ac720dca2466p-5, -0x1.459c8ed5bfc29p-5, -0x1.40802cf696298p-5, -0x1.3b71f92a8234bp-5, -0x1.3671f062c68f2p-5, -0x1.31800e9f8dd0ep-5, -0x1.2c9c4efccb9fep-5, -0x1.27c6abb769badp-5, -0x1.22ff1e30e3ea8p-5, -0x1.1e459eefb1e94p-5, -0x1.199a259f21634p-5, -0x1.14fca910f523ap-5, -0x1.106d1f41af2ecp-5, -0x1.0beb7d62d3fa4p-5, -0x1.0777b7ddf45ap-5, -0x1.0311c267101cfp-5, -0x1.fd731ff6c731cp-6, -0x1.f4de25d8e6dd2p-6, -0x1.ec6479c39d183p-6, -0x1.e405fdb387741p-6, -0x1.dbc29255e34e3p-6, -0x1.d39a170e040acp-6, -0x1.cb8c69feda0f9p-6, -0x1.c39968169deb5p-6, -0x1.bbc0ed1df16e2p-6, -0x1.b402d3c81c581p-6, -0x1.ac5ef5c01dad7p-6, -0x1.a4d52bb2c23f8p-6, -0x1.9d654d5610a12p-6, -0x1.960f316dd01ffp-6, -0x1.8ed2adcfc5261p-6, -0x1.87af9768b1f06p-6, -0x1.80a5c2439d378p-6, -0x1.79b501937fdfp-6, -0x1.72dd27bec8b42p-6, -0x1.6c1e066b7fea1p-6, -0x1.65776e8aebebap-6, -0x1.5ee93063ba2f7p-6, -0x1.58731b9a3ac34p-6, -0x1.5214ff36c2425p-6, -0x1.4bcea9aacae9dp-6, -0x1.459fe8d5ee45cp-6, -0x1.3f888a0b253bep-6, -0x1.39885a17e1ab7p-6, -0x1.339f254bfb28ap-6, -0x1.2dccb782c5604p-6, -0x1.2810dc2c5ec77p-6, -0x1.226b5e56311dp-6, -0x1.1cdc08b38b3fep-6, -0x1.1762a5a5e03f1p-6, -0x1.11feff3df53bap-6, -0x1.0cb0df4dbdf8p-6, -0x1.07780f695051fp-6, -0x1.025458bddf22p-6, -0x1.fa8b08f51eecfp-7, -0x1.f096b6d1009b3p-7, -0x1.e6cb4cac70316p-7, -0x1.dd285ba9d8426p-7, -0x1.d3ad749d372d2p-7, -0x1.ca5a283cae745p-7, -0x1.c12e071896b78p-7, -0x1.b828a1a61a866p-7, -0x1.af49884b89b6bp-7, -0x1.a6904b6beebabp-7, -0x1.9dfc7b71b34efp-7, -0x1.958da8d82a45ap-7, -0x1.8d436433cd2eap-7, -0x1.851d3e392c729p-7, -0x1.7d1ac7c2e0b23p-7, -0x1.753b91d6dd1d4p-7, -0x1.6d7f2dac964ccp-7, -0x1.65e52cb4959f9p-7, -0x1.5e6d20a2b2f23p-7, -0x1.57169b7ab1236p-7, -0x1.4fe12f9e34cfap-7, -0x1.48cc6fda74aep-7, -0x1.41d7ef7354e23p-7, -0x1.3b03422a79b6dp-7, -0x1.344dfc4127cfcp-7, -0x1.2db7b276a10c6p-7, -0x1.273ffa0402e33p-7, -0x1.20e66899a7587p-7, -0x1.1aaa946050c39p-7, -0x1.148c1400530e3p-7, -0x1.0e8a7eb07728p-7, -0x1.08a56c4a285fdp-7, -0x1.02dc755efbf31p-7, -0x1.fa5e669571a54p-8, -0x1.ef3a807a06fap-8, -0x1.e44c6e6fdd0eep-8, -0x1.d99368069e5c4p-8, -0x1.cf0ea626608bbp-8, -0x1.c4bd62e5be052p-8, -0x1.ba9ed95d3374bp-8, -0x1.b0b245a3f20cap-8, -0x1.a6f6e4e7a501fp-8, -0x1.9d6bf5adf41c4p-8, -0x1.9410b8336a18dp-8, -0x1.8ae46ed3f453fp-8, -0x1.81e65e649b6d4p-8, -0x1.7915ce65dc048p-8, -0x1.707208fbd4501p-8, -0x1.67fa5aa8eb345p-8, -0x1.5fae11d16ef88p-8, -0x1.578c7e2232f44p-8, -0x1.4f94effd0f692p-8, -0x1.47c6b80ee473p-8, -0x1.4021272faf602p-8, -0x1.38a38e9d26b72p-8, -0x1.314d408cf1521p-8, -0x1.2a1d90fe6fcb6p-8, -0x1.2313d6a346326p-8, -0x1.1c2f6bad26df5p-8, -0x1.156fae51f9c56p-8, -0x1.0ed400dfc0e5p-8, -0x1.085bc95cf5e21p-8, -0x1.020670b401bfap-8, -0x1.f7a6c33cb05eap-9, -0x1.eb840ef9a7772p-9, -0x1.dfa39abf64108p-9, -0x1.d4043ae8c541ap-9, -0x1.c8a4c1f994bd6p-9, -0x1.bd8401ac8811dp-9, -0x1.b2a0ccf2c472p-9, -0x1.a7f9fa8118af5p-9, -0x1.9d8e6766a7604p-9, -0x1.935cf9232701cp-9, -0x1.89649ecafdfcp-9, -0x1.7fa450f77f691p-9, -0x1.761b10815a56ep-9, -0x1.6cc7e44508f42p-9, -0x1.63a9d66679636p-9, -0x1.5abff1a6d2729p-9, -0x1.52093f5cd3184p-9, -0x1.4984c68001cbfp-9, -0x1.41318bfb83696p-9, -0x1.390e943a47205p-9, -0x1.311ae59979f34p-9, -0x1.29558b395db5dp-9, -0x1.21bd9796a4d1ap-9, -0x1.1a5226528587bp-9, -0x1.13125cc1c3051p-9, -0x1.0bfd690ead564p-9, -0x1.051280111041p-9, -0x1.fca1b48586b03p-10, -0x1.ef6f60db21949p-10, -0x1.e28c7187ce951p-10, -0x1.d5f74a0be2479p-10, -0x1.c9ae444265608p-10, -0x1.bdafb2e104c3dp-10, -0x1.b1f9e6e892d27p-10, -0x1.a68b37203ccbbp-10, -0x1.9b62084d7becdp-10, -0x1.907cd4a0bc182p-10, -0x1.85da30d97a80ep-10, -0x1.7b78ce4a5fc5cp-10, -0x1.71577a20d4b4dp-10, -0x1.6775122402ec4p-10, -0x1.5dd083bdab88p-10, -0x1.5468bae9d9af8p-10, -0x1.4b3c9f5358438p-10, -0x1.424b045cdce3dp-10, -0x1.3992a9b54b259p-10, -0x1.31123944e4563p-10, -0x1.28c84a460ed2cp-10, -0x1.20b36869fed34p-10, -0x1.18d21db030d14p-10, -0x1.1122fdbebdcc6p-10, -0x1.09a4b0acc986ap-10, -0x1.0255fba2edd83p-10, -0x1.f66b8b8213364p-11, -0x1.e886311a61a48p-11, -0x1.dafa383f7b19cp-11, -0x1.cdc61fe58e938p-11, -0x1.c0e88359a86c9p-11, -0x1.b46006947abf3p-11, -0x1.a82b43a2c1b57p-11, -0x1.9c48baec3bed4p-11, -0x1.90b6c7b7b78ap-11, -0x1.85739a2f9abe2p-11, -0x1.7a7d380b44006p-11, -0x1.6fd1849351e5ep-11, -0x1.656e4f4b55b26p-11, -0x1.5b5166d02085cp-11, -0x1.5178abc0c85bp-11, -0x1.47e21f64df554p-11, -0x1.3e8beb5d44f2ep-11, -0x1.35746287bf25cp-11, -0x1.2c99fdb39d1c5p-11, -0x1.23fb57748cc39p-11, -0x1.1b9728eba1aefp-11, -0x1.136c46fc58acdp-11, -0x1.0b799d9c2397cp-11, -0x1.03be273c03099p-11, -0x1.f871c0d4dc344p-12, -0x1.e9d17518595bap-12, -0x1.db99242ae8dp-12, -0x1.cdc6582f529b8p-12, -0x1.c05678757b0f7p-12, -0x1.b346e12e1fd1bp-12, -0x1.a694fc498213ep-12, -0x1.9a3e4fd4cd06cp-12, -0x1.8e407a9d10606p-12, -0x1.829920bf5803p-12, -0x1.7745d3a29d3eap-12, -0x1.6c44064f9026ep-12, -0x1.61911b4515a93p-12, -0x1.572a8bade85a4p-12, -0x1.4d0e17b76da33p-12, -0x1.4339e6c11a82cp-12, -0x1.39ac8314a4958p-12, -0x1.3064aed6d3466p-12, -0x1.2761254227132p-12, -0x1.1ea0671821fe4p-12, -0x1.1620ab73d348cp-12, -0x1.0ddffa09e6df4p-12, -0x1.05dc5e7c29d8ap-12, -0x1.fc28349c10c26p-13, -0x1.ed0b7edac1e32p-13, -0x1.de60531dec9b2p-13, -0x1.d024b1bf1504ap-13, -0x1.c25674363447ep-13, -0x1.b4f2def1fe03cp-13, -0x1.a7f6633123203p-13, -0x1.9b5cb64b5ab96p-13, -0x1.8f21468a9bd23p-13, -0x1.833fe82bd2ab9p-13, -0x1.77b572d93e7ecp-13, -0x1.6c8002a9e913ep-13, -0x1.619eb78734a3dp-13, -0x1.5711107d1e39bp-13, -0x1.4cd637d5dec92p-13, -0x1.42ec986af9a65p-13, -0x1.3951e06ba87c6p-13, -0x1.300353b27e9b1p-13, -0x1.26fe30a3bc00ap-13, -0x1.1e3ff72bf642ep-13, -0x1.15c67f5362c9fp-13, -0x1.0d8fe57c747f2p-13, -0x1.059a61f6f68f8p-13, -0x1.fbc847c1d812ap-14, -0x1.ecd671dde7a7cp-14, -0x1.de5afa276c505p-14, -0x1.d051250ad2e3dp-14, -0x1.c2b3e4d237b8ep-14, -0x1.b57e452f5d183p-14, -0x1.a8ac01c9cff0dp-14, -0x1.9c39f9a9b77d8p-14, -0x1.90263aa5ad14p-14, -0x1.846f9a97fc218p-14, -0x1.79151cfb26f68p-14, -0x1.6e158227df9cap-14, -0x1.636f2cba482ccp-14, -0x1.59203f5f66a1bp-14, -0x1.4f26c72b00086p-14, -0x1.4580e47185ca2p-14, -0x1.3c2cd884bfd15p-14, -0x1.3328c7627bbf2p-14, -0x1.2a7244678b747p-14, -0x1.22061622cf19ap-14, -0x1.19e0722997a54p-14, -0x1.11fd7d77d7823p-14, -0x1.0a59aaf57afbfp-14, -0x1.02f1ea14f9cc6p-14, -0x1.f786c4e72a8cap-15, -0x1.e99748afb91a8p-15, -0x1.dc1198da47632p-15, -0x1.cef3143cac9p-15, -0x1.c23911ace7f8fp-15, -0x1.b5e14e71c83bbp-15, -0x1.a9e9c860cc0cep-15, -0x1.9e50c1cef5ae6p-15, -0x1.931466a591b65p-15, -0x1.88325b197ce9p-15, -0x1.7da7e326804d7p-15, -0x1.7372e5db15145p-15, -0x1.6992aed044ab2p-15, -0x1.60070dc5241dap-15, -0x1.56ce83a829919p-15, -0x1.4de574c357cf7p-15, -0x1.4546fdd54412ep-15, -0x1.3cee65f14cf65p-15, -0x1.34d81dbc802f7p-15, -0x1.2d02069848042p-15, -0x1.256b16717be72p-15, -0x1.1e128046d557cp-15, -0x1.16f6c560cb427p-15, -0x1.1015372c778b8p-15, -0x1.096a05a67859ap-15, -0x1.02f089b1c829ep-15, -0x1.f9481f973bbeep-16, -0x1.ed03834200768p-16, -0x1.e1144447e6b3dp-16, -0x1.d57f91c42db16p-16, -0x1.ca47ea9dd5ae2p-16, -0x1.bf6943b43e343p-16, -0x1.b4dc8de5694f1p-16, -0x1.aa9dfb1217206p-16, -0x1.a0ae2326ea7a9p-16, -0x1.970e053b2929ap-16, -0x1.8dbbf6b76d0d7p-16, -0x1.84b3c765463b5p-16, -0x1.7bf037f5c6a1ep-16, -0x1.736c3956a606dp-16, -0x1.6b23a3fdf3013p-16, -0x1.6313925902ce2p-16, -0x1.5b3a9220250dfp-16, -0x1.539898c77b66p-16, -0x1.4c2e6e6afc037p-16, -0x1.44fc9b55fa45bp-16, -0x1.3e029e1011735p-16, -0x1.373ed0c629ea7p-16, -0x1.30adc6cfeb5f5p-16, -0x1.2a4963e8c5918p-16, -0x1.240ba76f85faap-16, -0x1.1df3a30049748p-16, -0x1.1803cd9bf4a6p-16, -0x1.123b576f0e343p-16, -0x1.0c95e780b6d74p-16, -0x1.07120ffa83b05p-16, -0x1.01b2b74cf7b3cp-16, -0x1.f8f259b9ec3bdp-17, -0x1.eec50d4858aeap-17, -0x1.e4d65d225a08dp-17, -0x1.db23e700f563ap-17, -0x1.d1ae459a9fa05p-17, -0x1.c8748f3630375p-17, -0x1.bf734912fef2dp-17, -0x1.b6a63bb880ab5p-17, -0x1.ae0a09451df8ap-17, -0x1.a59ca95250f38p-17, -0x1.9d5d5e32ff881p-17, -0x1.954c5899997e6p-17, -0x1.8d69d4aafe3b2p-17, -0x1.85b5156abde4ep-17, -0x1.7e2c9bd9a7582p-17, -0x1.76cf3e3b780b2p-17, -0x1.6f9a9d4007b78p-17, -0x1.688983bfcfda9p-17, -0x1.619a7296c6fa1p-17, -0x1.5ad2872404b0ep-17, -0x1.54326306d7a64p-17, -0x1.4db3b3f5fdd1p-17, -0x1.4753c2e25ddcp-17, -0x1.411303795ef3cp-17, -0x1.3aef73e8df5d1p-17, -0x1.34e8059e892d7p-17, -0x1.2efd9b6a0ea3fp-17, -0x1.292f18b946c9bp-17, -0x1.2379b50cc0a7bp-17, -0x1.1ddd2cf17fa29p-17, -0x1.185b6fc924a94p-17, -0x1.12f4ae4ec5fd3p-17, -0x1.0da6e671ee765p-17, -0x1.0870024791867p-17, -0x1.034ecf2c1cfa8p-17, -0x1.fc85819939c8p-18, -0x1.f297301aa2d05p-18, -0x1.e8d275eff78bbp-18, -0x1.df370343bebcap-18, -0x1.d5c3b8fd55937p-18, -0x1.cc771cee644ddp-18, -0x1.c351d14369f3bp-18, -0x1.ba5557d783052p-18, -0x1.b17d5cf301cfcp-18, -0x1.a8c5adfd7458p-18, -0x1.a02fe1e292767p-18, -0x1.97b8d583bc695p-18, -0x1.8f614a37b1a91p-18, -0x1.872eee662b1ep-18, -0x1.7f2062d76dfa6p-18, -0x1.7733a8674ee2dp-18, -0x1.6f655ccc58ceap-18, -0x1.67b062381d52dp-18, -0x1.6016e21d40c44p-18, -0x1.589a42749321p-18, -0x1.5139cd7d1d41bp-18, -0x1.49f2e5ecb5aa5p-18, -0x1.42c71946d4659p-18, -0x1.3bb894f0102d3p-18, -0x1.34c5d144d4549p-18, -0x1.2dec9dfe26992p-18, -0x1.272c0bb1d12e1p-18, -0x1.2083da080b1b8p-18, -0x1.19f3ddee2c20cp-18, -0x1.137be383c71efp-18, -0x1.0d1bc1f5653d3p-18, -0x1.06d3372546295p-18, -0x1.00a1a1ed94fc8p-18, -0x1.f50d689d79b03p-19, -0x1.e907e11e6c4f4p-19, -0x1.dd3416de72eacp-19, -0x1.d18acb63df612p-19, -0x1.c60950511b399p-19, -0x1.baaefdfeaf028p-19, }}, 
      {{-0x1.b2c817dae9becp+0, -0x1.9d3a4eeb0bf6dp+0, -0x1.8192ae2793a7p+0, -0x1.63ee9e29f44e1p+0, -0x1.46df061c9110ap+0, -0x1.2be61969a30b6p+0, -0x1.13cf45881f73cp+0, -0x1.fdd91e356421fp-1, -0x1.da82d3628549ap-1, -0x1.bd412a0cad294p-1, -0x1.a581a26f51746p-1, -0x1.92961ee465427p-1, -0x1.83c7f9267cbd1p-1, -0x1.7864744ff7195p-1, -0x1.6fc473800086bp-1, -0x1.6950da5d40dbfp-1, -0x1.64849c806dff8p-1, -0x1.60ed3959e033p-1, -0x1.5e2a3035f022ap-1, -0x1.5bebd0bd4741bp-1, -0x1.59f1afa66ea09p-1, -0x1.5808f1f1a26cap-1, -0x1.560a90b1c2f28p-1, -0x1.53d9ab511dcbap-1, -0x1.5161f5447a93ep-1, -0x1.4e96464a9c604p-1, -0x1.4b6f50684fed7p-1, -0x1.47ea7c672fcacp-1, -0x1.4408ec055ef9cp-1, -0x1.3fce9fd09e251p-1, -0x1.3b41bdf4d9b37p-1, -0x1.3669f6e0352bcp-1, -0x1.3150046f7c442p-1, -0x1.2bfd4070c6736p-1, -0x1.267b4f64394bfp-1, -0x1.20d3dca16a062p-1, -0x1.1b106556a5a21p-1, -0x1.153a100665ad5p-1, -0x1.0f598e776eddfp-1, -0x1.097708523a27ap-1, -0x1.039a0cd378b21p-1, -0x1.fb93147ec945ap-2, -0x1.f01793ec8a0adp-2, -0x1.e4cce05cd6a04p-2, -0x1.d9bcfd0cb0c04p-2, -0x1.cef0b186cdcb4p-2, -0x1.c46f96585051ap-2, -0x1.ba40241870a5ep-2, -0x1.b067c4003f897p-2, -0x1.a6eae179dacb7p-2, -0x1.9dccfc26cb313p-2, -0x1.9510ba02566eep-2, -0x1.8cb7f9517c9bfp-2, -0x1.84c3e2240939ap-2, -0x1.7d34f73ec180fp-2, -0x1.760b264f75a31p-2, -0x1.6f45d75690106p-2, -0x1.68e3fb39a2c1fp-2, -0x1.62e41978ebaf2p-2, -0x1.5d445d057b2e6p-2, -0x1.5802a03648d97p-2, -0x1.531c77ee477ffp-2, -0x1.4e8f3ddfeb9f7p-2, -0x1.4a581a13f78f2p-2, -0x1.46740ba0a9b6fp-2, -0x1.42dff0aacfecep-2, -0x1.3f988db5a3363p-2, -0x1.3c9a944832838p-2, -0x1.39e2a8f4338a5p-2, -0x1.376d68c71fecp-2, -0x1.35376e2f28757p-2, -0x1.333d555c5a8efp-2, -0x1.317bc027b58d5p-2, -0x1.2fef598781047p-2, -0x1.2e94d89a6b448p-2, -0x1.2d69034fd808ep-2, -0x1.2c68b0b6322f3p-2, -0x1.2b90caf580092p-2, -0x1.2ade50fdff137p-2, -0x1.2a4e57f0113c2p-2, -0x1.29de0c447dadbp-2, -0x1.298ab2b874bb4p-2, -0x1.2951a90321f39p-2, -0x1.2930665f5af42p-2, -0x1.29247be28054fp-2, -0x1.292b94b015df4p-2, -0x1.2943760d65f56p-2, -0x1.2969ff4ee2f8cp-2, -0x1.299d29b269a8fp-2, -0x1.29db08184b01ep-2, -0x1.2a21c6abf25e1p-2, -0x1.2a6faa73df8f6p-2, -0x1.2ac310ce4e0c1p-2, -0x1.2b1a6ee8c2c49p-2, -0x1.2b74511c975d5p-2, -0x1.2bcf5a576c601p-2, -0x1.2c2a437839b8dp-2, -0x1.2c83da8d5f5c8p-2, -0x1.2cdb0241cd6c5p-2, -0x1.2d2eb11885fdcp-2, -0x1.2d7df09e0e12dp-2, -0x1.2dc7dccd9e5cdp-2, -0x1.2e0ba326d1d76p-2, -0x1.2e4881fa14853p-2, -0x1.2e7dc7c2b0f27p-2, -0x1.2eaad2377b055p-2, -0x1.2ecf0dc5539c6p-2, -0x1.2ee9f4ee64843p-2, -0x1.2efb0f6d723d7p-2, -0x1.2f01f1bfe37b6p-2, -0x1.2efe3c825ae14p-2, -0x1.2eef9ba966a1ep-2, -0x1.2ed5c604d997cp-2, -0x1.2eb07c97e2f64p-2, -0x1.2e7f89ea433e6p-2, -0x1.2e42c18f423f4p-2, -0x1.2df9ff94c049ap-2, -0x1.2da527f3f7464p-2, -0x1.2d442628aa3acp-2, -0x1.2cd6ecbd5c364p-2, -0x1.2c5d74db13e1dp-2, -0x1.2bd7bded854d5p-2, -0x1.2b45cd3f10e88p-2, -0x1.2aa7ad98884b4p-2, -0x1.29fd6ee883029p-2, -0x1.294725e8eecf6p-2, -0x1.2884ebc6177c6p-2, -0x1.27b6ddcb626a9p-2, -0x1.26dd1d116dea8p-2, -0x1.25f7ce335004ap-2, -0x1.2507190511e93p-2, -0x1.240b284ee153p-2, -0x1.23042990e29c7p-2, -0x1.21f24cc77219cp-2, -0x1.20d5c434b5545p-2, -0x1.1faec42d6b7fdp-2, -0x1.1e7d82e915cccp-2, -0x1.1d423853d7175p-2, -0x1.1bfd1de252341p-2, -0x1.1aae6e679086p-2, -0x1.195665eb77f55p-2, -0x1.17f5418393837p-2, -0x1.168b3f2cdcb84p-2, -0x1.15189da43c85bp-2, -0x1.139d9c464a63ep-2, -0x1.121a7aeb184fcp-2, -0x1.108f79c683097p-2, -0x1.0efcd948ae4d8p-2, -0x1.0d62da0403f2ep-2, -0x1.0bc1bc8f8ab0ap-2, -0x1.0a19c170ca453p-2, -0x1.086b2903e080ep-2, -0x1.06b63366adf5dp-2, -0x1.04fb206651503p-2, -0x1.033a2f6e5373ep-2, -0x1.01739f7609522p-2, -0x1.ff4f5dea99315p-3, -0x1.fbad37a9e6d69p-3, -0x1.f80146c6f7c26p-3, -0x1.f44c04933ce04p-3, -0x1.f08de9008140cp-3, -0x1.ecc76a8b9d671p-3, -0x1.e8f8fe2fd4f6p-3, -0x1.e523175165ecep-3, -0x1.e14627b3de507p-3, -0x1.dd629f6881ed9p-3, -0x1.d978ecc5b515ep-3, -0x1.d5897c58d9e93p-3, -0x1.d194b8df19278p-3, -0x1.cd9b0b3bd31e9p-3, -0x1.c99cda701959fp-3, -0x1.c59a8b93fa852p-3, -0x1.c19481d30056cp-3, -0x1.bd8b1e64f4ddep-3, -0x1.b97ec08c2ab3fp-3, -0x1.b56fc5917b5d1p-3, -0x1.b15e88c20f0d9p-3, -0x1.ad4b636f4cd5p-3, -0x1.a936acee55cbap-3, -0x1.a520ba9637474p-3, -0x1.a109dfc27daecp-3, -0x1.9cf26dd6a091bp-3, -0x1.98dab43c4e5eap-3, -0x1.94c300686b572p-3, -0x1.90ab9ddfc5bf1p-3, -0x1.8c94d6361b2c3p-3, -0x1.887ef1153c5a5p-3, -0x1.846a344139e5p-3, -0x1.8056e39c96483p-3, -0x1.7c45412ce9591p-3, -0x1.78358d206cd83p-3, -0x1.742805d396346p-3, -0x1.701ce7d8b7467p-3, -0x1.6c146df6f0471p-3, -0x1.680ed1383902cp-3, -0x1.640c48eb7a4bp-3, -0x1.600d0aac44af8p-3, -0x1.5c114a676c0bfp-3, -0x1.58193a61bac5ap-3, -0x1.54250b3fa41e3p-3, -0x1.5034ec0c163a2p-3, -0x1.4c490a3e606a8p-3, -0x1.486191bfdcc5fp-3, -0x1.447eacf34eeb8p-3, -0x1.40a084bcc6b69p-3, -0x1.3cc74086e5915p-3, -0x1.38f3064d66751p-3, -0x1.3523fa9c61adcp-3, -0x1.315a409dda08p-3, -0x1.2d95fa1d8c4dap-3, -0x1.29d7479138026p-3, -0x1.261e481e8933p-3, -0x1.226b19a1b776cp-3, -0x1.1ebdd8b400001p-3, -0x1.1b16a0b260c39p-3, -0x1.17758bc4a2ca8p-3, -0x1.13dab2e3d4427p-3, -0x1.10462de0e3198p-3, -0x1.0cb8136ae4eb6p-3, -0x1.093079149904bp-3, -0x1.05af735b1e438p-3, -0x1.023515aad7a7ep-3, -0x1.fd82e4d3d54e4p-4, -0x1.f6a935f1d8e93p-4, -0x1.efdd3f7bb5326p-4, -0x1.e91f204a91505p-4, -0x1.e26ef551d0c47p-4, -0x1.dbccd9abc836dp-4, -0x1.d538e6a7c081dp-4, -0x1.ceb333d5ef418p-4, -0x1.c83bd70fee2edp-4, -0x1.c1d2e47f8c45p-4, -0x1.bb786ea7e6f5ep-4, -0x1.b52c8672243c8p-4, -0x1.aeef3b3bed49ep-4, -0x1.a8c09ae396939p-4, -0x1.a2a0b1ce724ecp-4, -0x1.9c8f8aed608f6p-4, -0x1.968d2fc3b17ddp-4, -0x1.9099a872fffd8p-4, -0x1.8ab4fbc7e213p-4, -0x1.84df2f4bdb70bp-4, -0x1.7f1847440a1ccp-4, -0x1.796046bbbb492p-4, -0x1.73b72f837d20ep-4, -0x1.6e1d023ae6268p-4, -0x1.6891be5e3cc5p-4, -0x1.63156253f3f49p-4, -0x1.5da7eb762c673p-4, -0x1.584956169db4bp-4, -0x1.52f99d7ef289ap-4, -0x1.4db8bbf47dc04p-4, -0x1.4886aac1a2388p-4, -0x1.4363624338437p-4, -0x1.3e4ed9f53a846p-4, -0x1.3949087a55f5fp-4, -0x1.3451e39dd218fp-4, -0x1.2f6960535443p-4, -0x1.2a8f72b9b54c2p-4, -0x1.25c40e23e13c5p-4, -0x1.210725260eap-4, -0x1.1c58a99c995a1p-4, -0x1.17b88cb78c5e2p-4, -0x1.1326bf0474245p-4, -0x1.0ea3305903b64p-4, -0x1.0a2dcfec4d319p-4, -0x1.05c68c4c74b5ep-4, -0x1.016d536bc240dp-4, -0x1.fa44255edd5e2p-5, -0x1.f1c96dee8a584p-5, -0x1.e96a594241c25p-5, -0x1.e126bf11781a1p-5, -0x1.d8fe760dd543cp-5, -0x1.d0f153e77b204p-5, -0x1.c8ff2d5aa88b3p-5, -0x1.c127d64359af3p-5, -0x1.b96b21b14596dp-5, -0x1.b1c8e1f5303e8p-5, -0x1.aa40e8a5c05dbp-5, -0x1.a2d3069e5076fp-5, -0x1.9b7f0bfdaa176p-5, -0x1.9444c82a0397dp-5, -0x1.8d2409dca16a1p-5, -0x1.861c9f3342c56p-5, -0x1.7f2e55c0e2465p-5, -0x1.7858fa99da787p-5, -0x1.719c5a594c959p-5, -0x1.6af84120d8beep-5, -0x1.646c7a9566528p-5, -0x1.5df8d1e656e07p-5, -0x1.579d11cd09f76p-5, -0x1.515904a2197afp-5, -0x1.4b2c7466c41edp-5, -0x1.45172ad32c431p-5, -0x1.3f18f15d5eee6p-5, -0x1.3931913b46038p-5, -0x1.3360d361c8d63p-5, -0x1.2da6808489511p-5, -0x1.2802611919ddep-5, -0x1.22743d5ec63d7p-5, -0x1.1cfbdd699d2f9p-5, -0x1.1799092e197ep-5, -0x1.124b888a6a56ap-5, -0x1.0d13234bcd05dp-5, -0x1.07efa1307822cp-5, -0x1.02e0c9e70a99dp-5, -0x1.fbccca1cfe047p-6, -0x1.f20074719c334p-6, -0x1.e85c21e18a189p-6, -0x1.dedf618452263p-6, -0x1.d589c2860759ap-6, -0x1.cc5ad436702e5p-6, -0x1.c3522613a9e31p-6, -0x1.ba6f47cebfa28p-6, -0x1.b1b1c94c6c069p-6, -0x1.a9193aa4fad65p-6, -0x1.a0a52c26a79a1p-6, -0x1.98552e5c67b72p-6, -0x1.9028d216bf626p-6, -0x1.881fa87d0d3a1p-6, -0x1.803943148d616p-6, -0x1.787533d0dc8d1p-6, -0x1.70d30d16fb41ap-6, -0x1.695261c0f0193p-6, -0x1.61f2c51f0a0dep-6, -0x1.5ab3caf82082cp-6, -0x1.5395078bb823fp-6, -0x1.4c960f96df058p-6, -0x1.45b6785c10ecbp-6, -0x1.3ef5d7ac5a5e7p-6, -0x1.3853c3f0273cfp-6, -0x1.31cfd42effa8bp-6, -0x1.2b69a014e2c93p-6, -0x1.2520bff4fca2cp-6, -0x1.1ef4cccac0f88p-6, -0x1.18e5603a3e555p-6, -0x1.12f214913569p-6, -0x1.0d1a84c9bf63p-6, -0x1.075e4c8ea2417p-6, -0x1.01bd0840e8d1dp-6, -0x1.f86ca9fbaaf15p-7, -0x1.ed93a148c48bbp-7, -0x1.e2ee33b330279p-7, -0x1.d87ba016c6a75p-7, -0x1.ce3b26e4109b8p-7, -0x1.c42c0a21314adp-7, -0x1.ba4d8d6a4ed77p-7, -0x1.b09ef5f2e9a54p-7, -0x1.a71f8a890f716p-7, -0x1.9dce939a5aa04p-7, -0x1.94ab5b3a48f14p-7, -0x1.8bb52d28e103p-7, -0x1.82eb56d8ece1cp-7, -0x1.7a4d277408abep-7, -0x1.71d9efdc52a22p-7, -0x1.699102b24ba3ap-7, -0x1.6171b455e99dep-7, -0x1.597b5af106bf9p-7, -0x1.51ad4e323fbb1p-7, -0x1.4a06e7cb63fdbp-7, -0x1.428782edb1dd6p-7, -0x1.3b2e7cc5a369fp-7, -0x1.33fb3424db6ffp-7, -0x1.2ced0997687eap-7, -0x1.26035f7b7e92cp-7, -0x1.1f3d99f6cd9ffp-7, -0x1.189b1ef6a88cbp-7, -0x1.121b5630c601fp-7, -0x1.0bbda92351067p-7, -0x1.05818314518f9p-7, -0x1.fecca22139c3ep-8, -0x1.f2d703d4ee8bap-8, -0x1.e7210c6fe2aa4p-8, -0x1.dba9a0a2620cp-8, -0x1.d06fa89d2969dp-8, -0x1.c572100e91c54p-8, -0x1.baafc62084958p-8, -0x1.b027bd784ba52p-8, -0x1.a5d8ec37b4661p-8, -0x1.9bc24bfe9f5b2p-8, -0x1.91e2d9ebd9ac9p-8, -0x1.8839969b73d93p-8, -0x1.7ec58621ca49ep-8, -0x1.7585b002f188bp-8, -0x1.6c791f2786869p-8, -0x1.639ee1d08ad7cp-8, -0x1.5af6098c82614p-8, -0x1.527dab3068808p-8, -0x1.4a34ded5a2875p-8, -0x1.421abfdcc1ac8p-8, -0x1.3a2e6cf3967a5p-8, -0x1.326f081c3de7bp-8, -0x1.2adbb6b0dd3bap-8, -0x1.2373a160d4029p-8, -0x1.1c35f423eed7ap-8, -0x1.1521de23f3accp-8, -0x1.0e3691a6bcc78p-8, -0x1.077343ecde7e5p-8, -0x1.00d72d21220f1p-8, -0x1.f4c3108f4574dp-9, -0x1.e823268733f72p-9, -0x1.dbcd1dd0441c9p-9, -0x1.cfbf7e260f574p-9, -0x1.c3f8d594b77d9p-9, -0x1.b877b8a6ceefp-9, -0x1.ad3ac274b7994p-9, -0x1.a2409488b8e1fp-9, -0x1.9787d695b3675p-9, -0x1.8d0f3607cda8dp-9, -0x1.82d5658262a9cp-9, -0x1.78d91c6528be9p-9, -0x1.6f191672a63a4p-9, -0x1.659413ae3fbc5p-9, -0x1.5c48d87c0e949p-9, -0x1.53362dfebae7p-9, -0x1.4a5ae2a03bd73p-9, -0x1.41b5caa741bafp-9, -0x1.3945c0b5d703p-9, -0x1.3109a60fd6d64p-9, -0x1.29006291e628dp-9, -0x1.2128e45380d2bp-9, -0x1.19821efcdfb1fp-9, -0x1.120b0af01da41p-9, -0x1.0ac2a46c1155dp-9, -0x1.03a7ead57f3bbp-9, -0x1.f973c0959f535p-10, -0x1.ebef13328b1c2p-10, -0x1.debfdd2c433d9p-10, -0x1.d1e43591e906p-10, -0x1.c55a3c843f8e4p-10, -0x1.b9201cdd94b6ap-10, -0x1.ad340d761583ep-10, -0x1.a19451b97cffdp-10, -0x1.963f3965ec042p-10, -0x1.8b331f78e2343p-10, -0x1.806e687bed8acp-10, -0x1.75ef808599675p-10, -0x1.6bb4d954d786ap-10, -0x1.61bce8e8286d8p-10, -0x1.580628d9b6bf8p-10, -0x1.4e8f169e14357p-10, -0x1.45563492497fbp-10, -0x1.3c5a0b9aa806dp-10, -0x1.33992d03b3b2cp-10, -0x1.2b12341d04fd5p-10, -0x1.22c3c7447cfecp-10, -0x1.1aac98053f244p-10, -0x1.12cb624e27f33p-10, -0x1.0b1eeac6c9299p-10, -0x1.03a5fc945dc59p-10, -0x1.f8becdfcc850ap-11, -0x1.ea93f6d6333b6p-11, -0x1.dcc9183f278e7p-11, -0x1.cf5bd811033cbp-11, -0x1.c249df3f5f559p-11, -0x1.b590dd983a6f4p-11, -0x1.a92e8ed26782ep-11, -0x1.9d20c0018efe1p-11, -0x1.91655463d87eap-11, -0x1.85fa48899314ap-11, -0x1.7addb35c4816dp-11, -0x1.700dc58273db9p-11, -0x1.6588c065365a6p-11, -0x1.5b4cf6beeeed4p-11, -0x1.5158bf99ff7a4p-11, -0x1.47aa75a1b7ba1p-11, -0x1.3e406ad6472e1p-11, -0x1.3518ea02168adp-11, -0x1.2c323524dc5e7p-11, -0x1.238a8788e3cdep-11, -0x1.1b201a90700f4p-11, -0x1.12f12c4996baap-11, -0x1.0afc06de8d63bp-11, -0x1.033f07a4dd94cp-11, -0x1.f771493f4b223p-12, -0x1.e8cedefc75bebp-12, -0x1.da942b4502c46p-12, -0x1.ccbebab058ea3p-12, -0x1.bf4c41b7ace1fp-12, -0x1.b23a9031905e6p-12, -0x1.a5878411504a7p-12, -0x1.9930fcf365033p-12, -0x1.8d34d1a2a2f33p-12, -0x1.8190c879ecf6p-12, -0x1.764293723bc9dp-12, -0x1.6b47d0988f8b6p-12, -0x1.609e0f4ecc239p-12, -0x1.5642d9dd27781p-12, -0x1.4c33c1a8228afp-12, -0x1.426e6b56f56a7p-12, -0x1.38f09825d1dbcp-12, -0x1.2fb82ab328e1ep-12, -0x1.26c327709da6bp-12, -0x1.1e0fb269f7febp-12, -0x1.159c0c726b141p-12, -0x1.0d6690d19a82bp-12, -0x1.056db32c2c96p-12, -0x1.fb5ff8090b4ddp-13, -0x1.ec5805574ed7fp-13, -0x1.ddc0c9ada505p-13, -0x1.cf977bd6c523cp-13, -0x1.c1d94163bd53ep-13, -0x1.b4832bad2653ap-13, -0x1.a7923f9c2db3fp-13, -0x1.9b0384c567752p-13, -0x1.8ed41507eb9afp-13, -0x1.8301255a8d03ep-13, -0x1.7788036521eeap-13, -0x1.6c66092b191edp-13, -0x1.61988e29bbbb7p-13, -0x1.571ce08f262ffp-13, -0x1.4cf04e84939b1p-13, -0x1.43103f120d5a5p-13, -0x1.397a5011ab798p-13, -0x1.302c694bda079p-13, -0x1.2724b851869ffp-13, -0x1.1e61942ea87b8p-13, -0x1.15e1555d3d9edp-13, -0x1.0da23570b6d63p-13, -0x1.05a245ef7bcdep-13, -0x1.fbbf020a47e11p-14, -0x1.ecafd30110d52p-14, -0x1.de135328e076cp-14, -0x1.cfe645ae8a816p-14, -0x1.c225d37e3df8bp-14, -0x1.b4cf5cc1b4a6ap-14, -0x1.a7e0340e1191ap-14, -0x1.9b555b44b94b8p-14, -0x1.8f2b5e7cda3b2p-14, -0x1.835e63af30756p-14, -0x1.77ea73315c0abp-14, -0x1.6ccbe1c3a85dp-14, -0x1.61ffaf7c03dc2p-14, -0x1.5783ad185ab53p-14, -0x1.4d5651f77c168p-14, -0x1.437655f2cc047p-14, -0x1.39e2437cf339fp-14, -0x1.30983787500cdp-14, -0x1.2795e43a12715p-14, -0x1.1ed8c3622fd43p-14, -0x1.165e534544208p-14, -0x1.0e2440d2f0d4dp-14, -0x1.0628748952d14p-14, -0x1.fcd20c5da67c6p-15, -0x1.edc8492cf03dcp-15, -0x1.df2fff4ecd673p-15, -0x1.d1057423d659ap-15, -0x1.c344bf2117faap-15, -0x1.b5e9c0725b36cp-15, -0x1.a8f0359249496p-15, -0x1.9c53fa34c2dc6p-15, -0x1.901161d36fe76p-15, -0x1.84257aaed8596p-15, -0x1.788e11c9898cfp-15, -0x1.6d497327f20d7p-15, -0x1.62560d30aca86p-15, -0x1.57b22e27bd0b4p-15, -0x1.4d5bf5437446fp-15, -0x1.4351649d8ca16p-15, -0x1.39907a3f36e86p-15, -0x1.301747b0402ffp-15, -0x1.26e3f85c285acp-15, -0x1.1df4ac0ec96eap-15, -0x1.154733ef6922p-15, -0x1.0cd8f0a10bf18p-15, -0x1.04a6f7009647cp-15, -0x1.f95cb75f651f5p-16, -0x1.e9d8d20e951d7p-16, -0x1.dabd75eafe4d6p-16, -0x1.cc06217c94ec8p-16, -0x1.bdaed9643b5b7p-16, -0x1.afb454d4efdb9p-16, -0x1.a21409eeda021p-16, -0x1.94cb6c9976b67p-16, -0x1.87d83e8245ce2p-16, -0x1.7b3870fd3ea18p-16, -0x1.6eea24c927702p-16, -0x1.62eb73d08698ep-16, -0x1.573a3061360e6p-16, -0x1.4bd3fea6fc33ep-16, -0x1.40b6eb4928228p-16, -0x1.35e1d8c432c7ap-16, -0x1.2b53fc6645699p-16, -0x1.210bce0796ea1p-16, -0x1.1706932fd3846p-16, -0x1.0d40dee5d4a19p-16, -0x1.03b765e424dcdp-16, -0x1.f4cf208c397fep-17, -0x1.e29f43c45b12p-17, -0x1.d0dd082e2a6d8p-17, -0x1.bf8690a9ce73ep-17, -0x1.ae993bf2ae4c6p-17, -0x1.9e1114edb9d5fp-17, -0x1.8de8e593f126p-17, -0x1.7e1a8d302718cp-17, -0x1.6e9feef3b1171p-17, -0x1.5f751c313daa2p-17, -0x1.509a05327481dp-17, -0x1.4210fa89f7eacp-17, -0x1.33dac419678eap-17, -0x1.25f4787efa3f1p-17, -0x1.1859849255ef9p-17, -0x1.0b0737071269cp-17, -0x1.fbfabfc74e806p-18, -0x1.e2781b7aaa4a1p-18, -0x1.c983ac5c86ff5p-18, -0x1.b117d5cf54c8ap-18, -0x1.992dd52d73614p-18, -0x1.81bf26d6e3389p-18, -0x1.6ac655bf94171p-18, -0x1.543f6386369c8p-18, -0x1.3e2800656e5cp-18, -0x1.287f7b6b58bffp-18, -0x1.134615f74bb7bp-18, -0x1.fcf797d52eea4p-19, -0x1.d43ee3e53730ap-19, -0x1.ac5d36f6c3f6bp-19, -0x1.8549d08f3cb18p-19, -0x1.5ef60b7f0db24p-19, -0x1.3953a90c039fep-19, -0x1.145fd3d30f048p-19, -0x1.e03e795810bc2p-20, -0x1.991e7d9774994p-20, -0x1.534ad86a1e555p-20, -0x1.0ebbc785e3769p-20, -0x1.96f9626404415p-21, -0x1.1323de1a37d73p-21, -0x1.23b53e5efb34bp-22, -0x1.2fb9f4b2fbb7cp-25, 0x1.a617737d71fedp-23, 0x1.c752a556cb52dp-22, 0x1.5b74e8fd661bap-21, 0x1.d0fa0c55ad202p-21, 0x1.2226aa2163f2p-20, 0x1.5abfbe71eb1f3p-20, 0x1.924da2626293p-20, 0x1.c8d2d28bd0f76p-20, 0x1.fe4fbb61b94eep-20, 0x1.1962585a8ee7p-19, 0x1.331a131b79bd5p-19, 0x1.4c5117fd1c827p-19, 0x1.65090f2a77c57p-19, 0x1.7d44f27e5e895p-19, 0x1.950acaa41e39ap-19, 0x1.ac5c915d6278p-19, 0x1.c3351c8b2ad35p-19, 0x1.d9941fa1e0e0bp-19, 0x1.ef80be813a8cdp-19, 0x1.027f19a60e102p-18, 0x1.0d062f02d7226p-18, 0x1.1756e2f00a399p-18, 0x1.2171f2590a392p-18, 0x1.2b570d32d3f54p-18, 0x1.3506f4e84ba12p-18, 0x1.3e8350d73088ap-18, 0x1.47cc70daa770ap-18, 0x1.50e1786a9eb9ep-18, 0x1.59c27946857cdp-18, 0x1.6270b1a0b0424p-18, 0x1.6aed6a66f6f93p-18, 0x1.7339734f1f9dp-18, 0x1.7b55435e4d8dbp-18, 0x1.834128a146dbbp-18, 0x1.8afd5df636d2fp-18, 0x1.928a26822794ap-18, 0x1.99e7fca235a9dp-18, 0x1.a117720d08fep-18, 0x1.a8188ab874ea4p-18, 0x1.aeeb13b25640dp-18, 0x1.b590627579e97p-18, 0x1.bc09c05a25f4p-18, 0x1.c256f50fd61bbp-18, 0x1.c87900f13a349p-18, 0x1.ce6fe40623b77p-18, 0x1.d43a61a88b73ep-18, 0x1.d9d90edbc945ep-18, 0x1.df4c9c46ab1eap-18, 0x1.e4962144fa44ap-18, 0x1.e9b72c7d18e08p-18, 0x1.eeaf55d9315d9p-18, 0x1.f37e83e849831p-18, 0x1.f825207ff1741p-18, 0x1.fca40de3796e7p-18, 0x1.007d913d47c48p-17, 0x1.029506829dcacp-17, 0x1.0498b66fd5029p-17, 0x1.0689066c40429p-17, 0x1.086633c5ff806p-17, 0x1.0a3065d2feefcp-17, 0x1.0be7c12fd8015p-17, 0x1.0d8c6be99ada2p-17, 0x1.0f1e8b343f0a7p-17, 0x1.109e47df75208p-17, 0x1.120bd6a7a542p-17, 0x1.136761f9a285cp-17, 0x1.14b0dc19353ddp-17, 0x1.15e85236468bap-17, 0x1.170e57d5a9521p-17, 0x1.182337d84eafap-17, 0x1.19271db4cc598p-17, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.2992d3a96c0d5p-8, 0x1.29e4c3d9c4b55p-7, 0x1.bfa278a3db45cp-7, 0x1.2b28010e8cdabp-6, 0x1.771b553aeebc7p-6, 0x1.c3cd40aefcb36p-6, 0x1.08ae61e1c959bp-5, 0x1.2ff2c3a530799p-5, 0x1.57bfd25c7a38ep-5, 0x1.801fc1fd26297p-5, 0x1.a91ae613edd18p-5, 0x1.d2b7b235c3dabp-5, 0x1.fcfac1355798ep-5, 0x1.13f370f247895p-4, 0x1.29be9422b407bp-4, 0x1.3fde8115d9125p-4, 0x1.56522737daa17p-4, 0x1.6d17baf7e4c53p-4, 0x1.842cc2ddd03cfp-4, 0x1.9b8e24ef4f5f7p-4, 0x1.b338342b86a3cp-4, 0x1.cb26bdeeab999p-4, 0x1.e35517190b188p-4, 0x1.fbbe28dc84d01p-4, 0x1.0a2e3e8d7c7eep-3, 0x1.16952522a3986p-3, 0x1.2310bf57d386bp-3, 0x1.2f9de5a9c1e79p-3, 0x1.3c3956fd1e2ap-3, 0x1.48dfbd6743569p-3, 0x1.558db2a9f45aap-3, 0x1.623fc462bda5cp-3, 0x1.6ef277ef0cc79p-3, 0x1.7ba24e069a97p-3, 0x1.884bc60e12b62p-3, 0x1.94eb612450565p-3, 0x1.a17da4eca0c32p-3, 0x1.adff1e18d5f27p-3, 0x1.ba6c62b60bf7dp-3, 0x1.c6c2143f30366p-3, 0x1.d2fce178681f3p-3, 0x1.df198816a3e89p-3, 0x1.eb14d6369813cp-3, 0x1.f6ebaba66b0efp-3, 0x1.014d7d82b92a5p-2, 0x1.070fe55e94934p-2, 0x1.0cbb9aeb5323fp-2, 0x1.124f3657d11a8p-2, 0x1.17c95ac908a12p-2, 0x1.1d28b698972cep-2, 0x1.226c03875a939p-2, 0x1.279206e569fb1p-2, 0x1.2c9991b09f605p-2, 0x1.318180aad1c89p-2, 0x1.3648bc68bc8fap-2, 0x1.3aee395a8a8e1p-2, 0x1.3f70f7ced2eacp-2, 0x1.43d003f0d096fp-2, 0x1.480a75c273383p-2, 0x1.4c1f7112e8b69p-2, 0x1.500e257217808p-2, 0x1.53d5ce217cbe1p-2, 0x1.5775b202ca5f3p-2, 0x1.5aed23848c455p-2, 0x1.5e3b808d1df92p-2, 0x1.6160326418137p-2, 0x1.645aad9a63844p-2, 0x1.672a71f107d7p-2, 0x1.69cf0a3ed3ac2p-2, 0x1.6c480c54e12aep-2, 0x1.6e9518e205d04p-2, 0x1.70b5db552e0b5p-2, 0x1.72aa09bea2e47p-2, 0x1.747164b0362b5p-2, 0x1.760bb71c560c6p-2, 0x1.7778d633f5245p-2, 0x1.78b8a143512f9p-2, 0x1.79cb018d8176dp-2, 0x1.7aafea26d553fp-2, 0x1.7b6757cdf4bc2p-2, 0x1.7bf150c3c10d6p-2, 0x1.7c4de4a1fc471p-2, 0x1.7c7d2c30a97c6p-2, 0x1.7c7f493a34229p-2, 0x1.7c54665e5ab66p-2, 0x1.7bfcb6e3e665ap-2, 0x1.7b78768933b28p-2, 0x1.7ac7e9539941dp-2, 0x1.79eb5b5db28c3p-2, 0x1.78e320a4a38e9p-2, 0x1.77af94d457acap-2, 0x1.76511b12d547bp-2, 0x1.74c81dcab1e9ep-2, 0x1.73150e74b97e8p-2, 0x1.71386560d7fbdp-2, 0x1.6f32a17e5fe21p-2, 0x1.6d044823b5eb1p-2, 0x1.6aade4d58356ap-2, 0x1.6830090d73aadp-2, 0x1.658b4c00a1f7fp-2, 0x1.62c04a65bbc99p-2, 0x1.5fcfa63af6c9cp-2, 0x1.5cba068beb209p-2, 0x1.5980173760a16p-2, 0x1.562288b52aec8p-2, 0x1.52a20fdc1f839p-2, 0x1.4eff65a8399b1p-2, 0x1.4b3b4700ffe4ap-2, 0x1.475674803913p-2, 0x1.4351b23900aecp-2, 0x1.3f2dc77f4ba16p-2, 0x1.3aeb7eafea185p-2, 0x1.368ba4f915437p-2, 0x1.320f0a23945eep-2, 0x1.2d76805c8557cp-2, 0x1.28c2dbffd63edp-2, 0x1.23f4f36377724p-2, 0x1.1f0d9ea3502cap-2, 0x1.1a0db76e01c8cp-2, 0x1.14f618d27ccfbp-2, 0x1.0fc79f0e741fcp-2, 0x1.0a83275db1426p-2, 0x1.05298fca532c1p-2, 0x1.ff776dfbf1713p-3, 0x1.f474f827c5872p-3, 0x1.e94d7cd814b05p-3, 0x1.de02bafe66a77p-3, 0x1.d2967167fdff4p-3, 0x1.c70a5e69fe268p-3, 0x1.bb603f8f9cc98p-3, 0x1.af99d14a5788cp-3, 0x1.a3b8cea444e2ap-3, 0x1.97bef0f46a532p-3, 0x1.8badef952e882p-3, 0x1.7f877f9cd8b58p-3, 0x1.734d53982b1d9p-3, 0x1.67011b470d5ccp-3, 0x1.5aa4835b4adf4p-3, 0x1.4e39353965812p-3, 0x1.41c0d6bb77f17p-3, 0x1.353d09f627da6p-3, 0x1.28af6cffa2859p-3, 0x1.1c1999b8a7824p-3, 0x1.0f7d259796bf4p-3, 0x1.02dba17580555p-3, 0x1.ec6d32ba74d27p-4, 0x1.d31f28b8de234p-4, 0x1.b9d028ad40fd5p-4, 0x1.a0832bb448894p-4, 0x1.873b1fee1b63ep-4, 0x1.6dfae82ffa528p-4, 0x1.54c55bb9bc59cp-4, 0x1.3b9d45eef6408p-4, 0x1.22856613ecfcap-4, 0x1.09806f0e22a86p-4, 0x1.e1220e511ed64p-5, 0x1.af738fb6d4058p-5, 0x1.7dfa7b2ef7c3p-5, 0x1.4cbbcf29e6a9fp-5, 0x1.1bbc6f4b4c547p-5, 0x1.d602482aed3c3p-6, 0x1.751d3536b35a2p-6, 0x1.14d2c8725e965p-6, 0x1.6a57d94e398p-7, 0x1.58c550e78a0edp-8, -0x1.0290e7a1c749bp-11, -0x1.9675953884336p-8, -0x1.84c27e04bb09fp-7, -0x1.1e58471f5d83cp-6, -0x1.797aea5f821f9p-6, -0x1.d3c1cf9ebc93p-6, -0x1.1692ebfdfc189p-5, -0x1.42d00f77cba1bp-5, -0x1.6e94fd2b7d26ap-5, -0x1.99de7d3ac998ap-5, -0x1.c4a974f5c59f2p-5, -0x1.eef2e6d126304p-5, -0x1.0c5bf92bca7e1p-4, -0x1.20faea0b1b397p-4, -0x1.3554f2c239ab3p-4, -0x1.4968ce739a7ebp-4, -0x1.5d354697d50c5p-4, -0x1.70b932eadb0dcp-4, -0x1.83f379570fd7bp-4, -0x1.96e30dde5b6bfp-4, -0x1.a986f2813af95p-4, -0x1.bbde3723e9867p-4, -0x1.cde7f971a6697p-4, -0x1.dfa364be37197p-4, -0x1.f10fb1e5a34cap-4, -0x1.0116139524bbap-3, -0x1.097c0c08abd16p-3, -0x1.11b9729ed610cp-3, -0x1.19cdfe24a2691p-3, -0x1.21b96bce9e7a2p-3, -0x1.297b7f2434b11p-3, -0x1.311401ea50a1ep-3, -0x1.3882c40d6971ap-3, -0x1.3fc79b8af1721p-3, -0x1.46e2645a33b87p-3, -0x1.4dd30054a87cdp-3, -0x1.5499571dcc916p-3, -0x1.5b35560a7a307p-3, -0x1.61a6f007d0518p-3, -0x1.67ee1d81b1527p-3, -0x1.6e0adc48d812fp-3, -0x1.73fd2f7895fadp-3, -0x1.79c51f5c390bp-3, -0x1.7f62b9541c9b4p-3, -0x1.84d60fba81cd2p-3, -0x1.8a1f39c810e98p-3, -0x1.8f3e537834ebdp-3, -0x1.94337d6d3270dp-3, -0x1.98fedcd41b76bp-3, -0x1.9da09b489802ep-3, -0x1.a218e6b888f57p-3, -0x1.a667f1479a25ap-3, -0x1.aa8df132b2311p-3, -0x1.ae8b20b35d034p-3, -0x1.b25fbde32aedep-3, -0x1.b60c0a9f01aeap-3, -0x1.b9904c6a7f0c2p-3, -0x1.bceccc5353885p-3, -0x1.c021d6d4af8c1p-3, -0x1.c32fbbbac1487p-3, -0x1.c616ce06426ep-3, -0x1.c8d763d02bb64p-3, -0x1.cb71d62d7761ap-3, -0x1.cde6811315d8p-3, -0x1.d035c33a01139p-3, -0x1.d25ffe037ce6ep-3, -0x1.d465955d8c0a6p-3, -0x1.d646efa793c8p-3, -0x1.d804759739b4fp-3, -0x1.d99e921d79b71p-3, -0x1.db15b24c00a5bp-3, -0x1.dc6a453ac1da5p-3, -0x1.dd9cbbedd5c2dp-3, -0x1.dead893ba337ap-3, -0x1.df9d21b34d6edp-3, -0x1.e06bfb83757e5p-3, -0x1.e11a8e614ccb7p-3, -0x1.e1a9536ff400dp-3, -0x1.e218c52838225p-3, -0x1.e2695f40a3314p-3, -0x1.e29b9e95e5a84p-3, -0x1.e2b00113a0b81p-3, -0x1.e2a7059d887adp-3, -0x1.e2812bf8ed119p-3, -0x1.e23ef4b69bb74p-3, -0x1.e1e0e11d2ce69p-3, -0x1.e1677313b17edp-3, -0x1.e0d32d0cc0aadp-3, -0x1.e02491f1fba5ep-3, -0x1.df5c250fe42f8p-3, -0x1.de7a6a0231a98p-3, -0x1.dd7fe4a07e2b7p-3, -0x1.dc6d18eb68939p-3, -0x1.db428afa1d816p-3, -0x1.da00bee84e445p-3, -0x1.d8a838c48eb3ap-3, -0x1.d7397c7f26418p-3, -0x1.d5b50dd949ba8p-3, -0x1.d41b7054c054ap-3, -0x1.d26d2723fa36ep-3, -0x1.d0aab51a916fdp-3, -0x1.ced49c9e355a2p-3, -0x1.cceb5f98093cbp-3, -0x1.caef7f66664f6p-3, -0x1.c8e17ccf10196p-3, -0x1.c6c1d7f1d6c35p-3, -0x1.c491103b9a2a8p-3, -0x1.c24fa459c4958p-3, -0x1.bffe122e22a52p-3, -0x1.bd9cd6c33205p-3, -0x1.bb2c6e40cd594p-3, -0x1.b8ad53e1453e4p-3, -0x1.b62001e6e113fp-3, -0x1.b384f191c32e4p-3, -0x1.b0dc9b1634d0dp-3, -0x1.ae27759355902p-3, -0x1.ab65f70a29b1fp-3, -0x1.a898945515a03p-3, -0x1.a5bfc11fac0aap-3, -0x1.a2dbefdee6778p-3, -0x1.9fed91c9bbf22p-3, -0x1.9cf516d20c2b3p-3, -0x1.99f2ed9deedf1p-3, -0x1.96e783815f988p-3, -0x1.93d34478397e8p-3, -0x1.90b69b2097685p-3, -0x1.8d91f0b57c13p-3, -0x1.8a65ad09e05f6p-3, -0x1.87323684062bbp-3, -0x1.83f7f219278a1p-3, -0x1.80b74349735dfp-3, -0x1.7d708c1c5bc7bp-3, -0x1.7a242d1d284b1p-3, -0x1.76d28557e7d61p-3, -0x1.737bf2569a328p-3, -0x1.7020d01eaec96p-3, -0x1.6cc1792ec640cp-3, -0x1.695e467cbb58cp-3, -0x1.65f78f73f145ap-3, -0x1.628da9f3e4e3dp-3, -0x1.5f20ea4efe22p-3, -0x1.5bb1a349a444fp-3, -0x1.584026198d1a6p-3, -0x1.54ccc2654a9f5p-3, -0x1.5157c644171abp-3, -0x1.4de17e3dd279cp-3, -0x1.4a6a354b43677p-3, -0x1.46f234d6845e8p-3, -0x1.4379c4bbababp-3, -0x1.40012b49a6705p-3, -0x1.3c88ad43432e5p-3, -0x1.39108de0710dfp-3, -0x1.35990ecfa7a3cp-3, -0x1.3222703783795p-3, -0x1.2eacf0b888695p-3, -0x1.2b38cd6f11b94p-3, -0x1.27c641f56c6b6p-3, -0x1.2455886615a15p-3, -0x1.20e6d95e2093ap-3, -0x1.1d7a6bffc17b2p-3, -0x1.1a1075f4fc8a6p-3, -0x1.16a92b7278166p-3, -0x1.1344bf3a667f4p-3, -0x1.0fe3629f9dd66p-3, -0x1.0c854588c1fccp-3, -0x1.092a96738f4dfp-3, -0x1.05d382783ecc5p-3, -0x1.0280354d0835ep-3, -0x1.fe61b29375efdp-4, -0x1.f7cb2ed6d4f85p-4, -0x1.f13d2eb069b38p-4, -0x1.eab7fec6444ddp-4, -0x1.e43be9201e74ap-4, -0x1.ddc9352f6058p-4, -0x1.d76027d74a9e6p-4, -0x1.d10103753c7e2p-4, -0x1.caac07e917beep-4, -0x1.c461729dc9acbp-4, -0x1.be217e91e21ep-4, -0x1.b7ec646052efep-4, -0x1.b1c25a4931446p-4, -0x1.aba3943aa47fp-4, -0x1.a59043d9cc746p-4, -0x1.9f88988bd3959p-4, -0x1.998cbf7efa6bdp-4, -0x1.939ce3b3b93f2p-4, -0x1.8db92e05f353bp-4, -0x1.87e1c536253b5p-4, -0x1.8216cdf2a78e1p-4, -0x1.7c586ae0f3ed2p-4, -0x1.76a6bca6ecd5dp-4, -0x1.7101e1f42d325p-4, -0x1.6b69f78b55fafp-4, -0x1.65df184b5d99ep-4, -0x1.60615d38e16b4p-4, -0x1.5af0dd876d364p-4, -0x1.558daea2caeaep-4, -0x1.5037e4383f058p-4, -0x1.4aef903fcd0abp-4, -0x1.45b4c3056ac4dp-4, -0x1.40878b322f494p-4, -0x1.3b67f5d57a12ep-4, -0x1.36560e6e0938dp-4, -0x1.3151def309d78p-4, -0x1.2c5b6fdd1c82bp-4, -0x1.2772c82f476c8p-4, -0x1.2297ed7fdaffep-4, -0x1.1dcae4014c478p-4, -0x1.190bae8af8fcdp-4, -0x1.145a4ea1dd2a6p-4, -0x1.0fb6c481389edp-4, -0x1.0b210f231e08p-4, -0x1.06992c48f0d0fp-4, -0x1.021f1883d2d03p-4, -0x1.fb659e79ea394p-5, -0x1.f2a8957bb8145p-5, -0x1.ea070871112d1p-5, -0x1.e180e79f17b04p-5, -0x1.d916213c0f347p-5, -0x1.d0c6a17f238a8p-5, -0x1.c89252b00c5eap-5, -0x1.c0791d3671decp-5, -0x1.b87ae7a93486fp-5, -0x1.b09796dd6c73p-5, -0x1.a8cf0df5495f9p-5, -0x1.a1212e6eb464cp-5, -0x1.998dd831bdf7bp-5, -0x1.9214e99ee2c23p-5, -0x1.8ab63f9d0b29dp-5, -0x1.8371b5a7669ap-5, -0x1.7c4725dafb281p-5, -0x1.7536690420cf8p-5, -0x1.6e3f56aba1339p-5, -0x1.6761c523bd573p-5, -0x1.609d8994ea807p-5, -0x1.59f2780a6488dp-5, -0x1.5360637e7ebc9p-5, -0x1.4ce71de6c7564p-5, -0x1.4686783feed0cp-5, -0x1.403e4299752a6p-5, -0x1.3a0e4c2127a91p-5, -0x1.33f6632e583ffp-5, -0x1.2df6554cf8cfp-5, -0x1.280def4864684p-5, -0x1.223cfd35f96ecp-5, -0x1.1c834a7f886f8p-5, -0x1.16e0a1ed7c9b3p-5, -0x1.1154cdb0d8458p-5, -0x1.0bdf976cf594p-5, -0x1.0680c84118072p-5, -0x1.013828d1be549p-5, -0x1.f80b02a38b9ffp-6, -0x1.edd13316bb3f2p-6, -0x1.e3c271d16c127p-6, -0x1.d9de4cf910ae8p-6, -0x1.d0245214daf68p-6, -0x1.c6940e1de5cabp-6, -0x1.bd2d0d8f0f32fp-6, -0x1.b3eedc746b179p-6, -0x1.aad9067a4dd5bp-6, -0x1.a1eb16fbea749p-6, -0x1.99249911a6443p-6, -0x1.9085179ef643ap-6, -0x1.880c1d5fdb6b4p-6, -0x1.7fb934f61ab54p-6, -0x1.778be8f5f7e48p-6, -0x1.6f83c3f29b25bp-6, -0x1.67a0508a2b659p-6, -0x1.5fe119717a2c3p-6, -0x1.5845a97f62106p-6, -0x1.50cd8bb7c08acp-6, -0x1.49784b5628b6p-6, -0x1.424573d839e0ap-6, -0x1.3b3491079231cp-6, -0x1.34452f038d3bcp-6, -0x1.2d76da4a8a3ap-6, -0x1.26c91fc305f98p-6, -0x1.203b8cc44f6d2p-6, -0x1.19cdaf1eecbd1p-6, -0x1.137f1524be314p-6, -0x1.0d4f4db0ca8dcp-6, -0x1.073de82ecb661p-6, -0x1.014a74a26c08dp-6, -0x1.f6e9075c6c2cep-7, -0x1.eb774d348326bp-7, -0x1.e03edeb55ac62p-7, -0x1.d53ee12b4b875p-7, -0x1.ca767b52bad59p-7, -0x1.bfe4d5635a886p-7, -0x1.b589191abf7e1p-7, -0x1.ab6271c6c6f45p-7, -0x1.a1700c4f40b28p-7, -0x1.97b1173f47933p-7, -0x1.8e24c2ce1b63dp-7, -0x1.84ca40e762c51p-7, -0x1.7ba0c5332f1fp-7, -0x1.72a7851d7ae14p-7, -0x1.69ddb7dd20a83p-7, -0x1.6142967a98adbp-7, -0x1.58d55bd636282p-7, -0x1.509544ade32ecp-7, -0x1.48818fa2ae2c9p-7, -0x1.40997d3ddd29fp-7, -0x1.38dc4ff58c22ep-7, -0x1.31494c311214ep-7, -0x1.29dfb84d03f56p-7, -0x1.229edc9ec31fep-7, -0x1.1b860377f00a8p-7, -0x1.1494792946f41p-7, -0x1.0dc98c053d61p-7, -0x1.07248c62a9723p-7, -0x1.00a4cc9e6bc48p-7, -0x1.f493423b01c98p-8, -0x1.e824c09cb995dp-8, -0x1.dbfcc55426359p-8, -0x1.d01a056acdcf5p-8, -0x1.c47b3a02bcacap-8, -0x1.b91f205789dfcp-8, -0x1.ae0479be8ac61p-8, -0x1.a32a0ba6ba42ep-8, -0x1.988e9f9855f37p-8, -0x1.8e310333b5ca1p-8, -0x1.8410082fa7403p-8, -0x1.7a2a8458047c7p-8, -0x1.707f518aff0cep-8, -0x1.670d4db6dc104p-8, -0x1.5dd35ad67c287p-8, -0x1.54d05eee76127p-8, -0x1.4c034408db412p-8, -0x1.436af831885bcp-8, -0x1.3b066d71870c6p-8, -0x1.32d499ca717e4p-8, -0x1.2ad4773152212p-8, -0x1.2305038973f1dp-8, -0x1.1b65409ed5976p-8, -0x1.13f43420229f6p-8, -0x1.0cb0e798da0bap-8, -0x1.059a686ac5cbbp-8, -0x1.fd5f8f8f4c036p-9, -0x1.efe03553f6306p-9, -0x1.e2b4f39cfdd9p-9, -0x1.d5dc03599d9dp-9, -0x1.c953a4df8c3fcp-9, -0x1.bd1a1fdc7d216p-9, -0x1.b12dc34652e28p-9, -0x1.a58ce54b73cfdp-9, -0x1.9a35e34289ae9p-9, -0x1.8f27219a3fd93p-9, -0x1.845f0bc85247bp-9, -0x1.79dc14392ef65p-9, -0x1.6f9cb43e04399p-9, -0x1.659f6bfbebecap-9, -0x1.5be2c25a5c498p-9, -0x1.526544f090bb3p-9, -0x1.492587f4c9505p-9, -0x1.4022262927608p-9, -0x1.3759c0c9d535cp-9, -0x1.2ecaff7a9d07ep-9, -0x1.2674903409304p-9, -0x1.1e5527311bcbap-9, -0x1.166b7edc6afdp-9, -0x1.0eb657bd1d198p-9, -0x1.073478645c2ccp-9, -0x1.ffc95ab4154cbp-10, -0x1.f18b92138dae1p-10, -0x1.e3ad475fc9b8ep-10, -0x1.d62c368cfbe2p-10, -0x1.c90626e4328d5p-10, -0x1.bc38eadcf0b28p-10, -0x1.afc25ff77e06cp-10, -0x1.a3a06e960968fp-10, -0x1.97d109d76ac2bp-10, -0x1.8c522f6efef22p-10, -0x1.8121e7816c33cp-10, -0x1.763e447bdf4bfp-10, -0x1.6ba562efac553p-10, -0x1.6155696c4cb98p-10, -0x1.574c885945869p-10, -0x1.4d88f9d0e4ce2p-10, -0x1.4409017af8449p-10, -0x1.3acaec6749541p-10, -0x1.31cd10e8e1987p-10, -0x1.290dce70fae9ap-10, -0x1.208b8d6a4979p-10, -0x1.1844bf154fa47p-10, -0x1.1037dd627c968p-10, -0x1.08636ad0264fdp-10, -0x1.00c5f2457a088p-10, -0x1.f2bc0ddf5b2e6p-11, -0x1.e454883c0f704p-11, -0x1.d6529a4000bddp-11, -0x1.c8b39a43169cfp-11, -0x1.bb74ee12834cp-11, -0x1.ae940aac0eb9dp-11, -0x1.a20e73fb0572ap-11, -0x1.95e1bc946d1a9p-11, -0x1.8a0b85753bab2p-11, -0x1.7e897dc03e4cap-11, -0x1.7359627c9c035p-11, -0x1.6878fe5696577p-11, -0x1.5de6295dab2ecp-11, -0x1.539ec8c7c5346p-11, -0x1.49a0ceb023673p-11, -0x1.3fea39dbf278ap-11, -0x1.3679157b3a0b3p-11, -0x1.2d4b78edd10a8p-11, -0x1.245f87865c894p-11, -0x1.1bb3705035b77p-11, -0x1.13456dd4597fap-11, -0x1.0b13c5e058339p-11, -0x1.031cc94c92e0ep-11, -0x1.f6bda78a2e04ep-12, -0x1.e7b09721c8d62p-12, -0x1.d90f42b836d22p-12, -0x1.cad6a0023d71ap-12, -0x1.bd03b8a81b97fp-12, -0x1.af93a9d9bf1e6p-12, -0x1.a283a3ead621bp-12, -0x1.95d0e9e70e75bp-12, -0x1.8978d1325981fp-12, -0x1.7d78c121b5a2fp-12, -0x1.71ce329b2337p-12, -0x1.6676afb4a3512p-12, -0x1.5b6fd353ee9f9p-12, -0x1.50b748d1bda61p-12, -0x1.464acb9d4128bp-12, -0x1.3c2826e08f957p-12, -0x1.324d352813a52p-12, -0x1.28b7e0099f8f8p-12, -0x1.1f661fcdeb0b3p-12, -0x1.1655fb1b1d446p-12, -0x1.0d8586a1b3a8bp-12, -0x1.04f2e4c8b00d5p-12, -0x1.f9388ab952d9p-13, -0x1.e8ffca82098e1p-13, -0x1.d9381c40b033bp-13, -0x1.c9de2c3decbd3p-13, -0x1.baeebf210b89fp-13, -0x1.ac66b15815e9bp-13, -0x1.9e42f6878cfdbp-13, -0x1.908098f953a2cp-13, -0x1.831cb90fad308p-13, -0x1.76148cbb3722p-13, -0x1.69655ef282e03p-13, -0x1.5d0c8f2a94549p-13, -0x1.510790d74b1adp-13, -0x1.4553eae8061fcp-13, -0x1.39ef3748bb907p-13, -0x1.2ed7226987684p-13, -0x1.24096ac143148p-13, -0x1.1983e059da49ep-13, -0x1.0f44645878ffbp-13, -0x1.0548e88d80033p-13, -0x1.f71ede0510af2p-14, -0x1.e42c131901a82p-14, -0x1.d1b5b2c28d228p-14, -0x1.bfb81d592f368p-14, -0x1.ae2fd053d514cp-14, -0x1.9d19657de9851p-14, -0x1.8c71922de9342p-14, -0x1.7c3526867a5c9p-14, -0x1.6c610cb846a09p-14, -0x1.5cf24846520ffp-14, -0x1.4de5f5518d564p-14, -0x1.3f3947e7183e2p-14, -0x1.30e98b4da24d7p-14, -0x1.22f421627e36ep-14, -0x1.155681ecf2848p-14, -0x1.080e39fd6b73p-14, -0x1.f631d6a021788p-15, -0x1.dce8975f60d1p-15, -0x1.c43c48bd35862p-15, -0x1.ac28a2fdca5ep-15, -0x1.94a9830b22823p-15, -0x1.7dbae95310a19p-15, -0x1.6758f8b9c854dp-15, -0x1.517ff5856896dp-15, -0x1.3c2c445aadcaap-15, -0x1.275a69383d44ap-15, -0x1.1307067dca176p-15, -0x1.fe5db7eb2946ep-16, -0x1.d79d8bce2c4cfp-16, -0x1.b1c7785a5fdbap-16, -0x1.8cd5a2ae4be39p-16, -0x1.68c26382e607p-16, -0x1.4588458e2b551p-16, -0x1.232203d4921c5p-16, -0x1.018a88142258dp-16, -0x1.c179d26674f91p-17, -0x1.8168d381e046ep-17, -0x1.42d8eced1edb5p-17, -0x1.05c14982939p-17, -0x1.9432c5972bc6p-18, -0x1.1fb1fc6caacb1p-18, -0x1.5be0a9e9524cp-19, -0x1.f6f3cff02a375p-21, 0x1.6c930a2089bf8p-21, 0x1.2ee10c48e390cp-19, 0x1.fd937e889b097p-19, 0x1.63ab5d100384dp-18, 0x1.c6223a5572a5ep-18, 0x1.131d6047823fep-17, 0x1.4200760e1ef16p-17, 0x1.6fc0282802699p-17, 0x1.9c620dc47eadp-17, 0x1.c7eb8d85296ap-17, 0x1.f261df4f2103bp-17, 0x1.0de507143cf5fp-16, 0x1.22147cfc2b009p-16, 0x1.35c1ac9bb2afcp-16, 0x1.48eedd4c49ff6p-16, 0x1.5b9e435429bbep-16, 0x1.6dd200ac44561p-16, 0x1.7f8c25c17e8b2p-16, 0x1.90ceb22e3998ap-16, 0x1.a19b956e9098fp-16, 0x1.b1f4af89df5bfp-16, 0x1.c1dbd1c70a928p-16, 0x1.d152bf442e339p-16, 0x1.e05b2d9c56d5ep-16, 0x1.eef6c57daddadp-16, 0x1.fd272339055dp-16, 0x1.0576ebab7f64ap-15, 0x1.0c26338a24e83p-15, 0x1.12a2267ad44dcp-15, 0x1.18eb7c9ebd865p-15, 0x1.1f02e9362fdp-15, 0x1.24e91ad9d69f2p-15, 0x1.2a9ebbb76f004p-15, 0x1.302471c3348c3p-15, 0x1.357adef1975fbp-15, 0x1.3aa2a16641548p-15, 0x1.3f9c53a986dbap-15, 0x1.44688cd4452adp-15, 0x1.4907e0bed967ep-15, }}, 
      {{0x1.01a8ee7b8b62bp-8, 0x1.01cc77b11353bp-7, 0x1.830b1964c4ddcp-7, 0x1.02594c03b9cc6p-6, 0x1.4371f8ed8ac52p-6, 0x1.84df4984c4f9fp-6, 0x1.c6b0072142a01p-6, 0x1.0478f8a74de33p-5, 0x1.25d8d389a9c7cp-5, 0x1.477d4b0c377bbp-5, 0x1.696b7792e3a1dp-5, 0x1.8ba7cfaf46c6fp-5, 0x1.ae3626d49140dp-5, 0x1.d119add9049ebp-5, 0x1.f454f500de57ep-5, 0x1.0bf4f7a9b17fp-4, 0x1.1decfb801cfe3p-4, 0x1.3012e9506800fp-4, 0x1.4266dd9394fd4p-4, 0x1.54e8b1288599cp-4, 0x1.6797fcbdc92ccp-4, 0x1.7a741c5c2e4eep-4, 0x1.8d7c3304dfd22p-4, 0x1.a0af2e57e3f82p-4, 0x1.b40bca39ae841p-4, 0x1.c790946ffbc1dp-4, 0x1.db3bf02fbe5abp-4, 0x1.ef0c1996fad6p-4, 0x1.017f94873ad29p-3, 0x1.0b898b481637ep-3, 0x1.15a2de67fe2fp-3, 0x1.1fca6e226bfb1p-3, 0x1.29ff0f0891137p-3, 0x1.343f8b64b4bb4p-3, 0x1.3e8aa48c85db4p-3, 0x1.48df14224172dp-3, 0x1.533b8d44cf0e1p-3, 0x1.5d9ebdaee071ap-3, 0x1.68074ec570d8bp-3, 0x1.7273e695e239p-3, 0x1.7ce328c42a04bp-3, 0x1.8753b7697e015p-3, 0x1.91c433e3fefcfp-3, 0x1.9c333f97f2836p-3, 0x1.a69f7ca31309ep-3, 0x1.b1078e82986a4p-3, 0x1.bb6a1aac8f173p-3, 0x1.c5c5c91d2286p-3, 0x1.d01944d873dc1p-3, 0x1.da633c61abe9ap-3, 0x1.e4a26227dd1a5p-3, 0x1.eed56ce95571fp-3, 0x1.f8fb180e018c9p-3, 0x1.018911fcba34fp-2, 0x1.068cab2a9303p-2, 0x1.0b87bd29ba4e2p-2, 0x1.1079b075f8e6p-2, 0x1.1561f088bee6cp-2, 0x1.1a3febf14fc67p-2, 0x1.1f13146a508f5p-2, 0x1.23dadeecdfdd2p-2, 0x1.2896c3c178b43p-2, 0x1.2d463e8ec0bdep-2, 0x1.31e8ce6678e46p-2, 0x1.367df5d0af87bp-2, 0x1.3b053ad55b707p-2, 0x1.3f7e270482af1p-2, 0x1.43e8477d0598ep-2, 0x1.48432cf231114p-2, 0x1.4c8e6bb02946dp-2, 0x1.50c99b9f46d6p-2, 0x1.54f45846785b9p-2, 0x1.590e40ccbc3edp-2, 0x1.5d16f7f9bdb46p-2, 0x1.610e2435a7719p-2, 0x1.64f36f8837fp-2, 0x1.68c687971cf9cp-2, 0x1.6c871da3a733ap-2, 0x1.7034e687d7692p-2, 0x1.73cf9ab2d3ab7p-2, 0x1.7756f624c5971p-2, 0x1.7acab86a2856dp-2, 0x1.7e2aa4969164fp-2, 0x1.8176813ef013dp-2, 0x1.84ae18734e6c9p-2, 0x1.87d137b818ab5p-2, 0x1.8adfaffee8b45p-2, 0x1.8dd9559edfa13p-2, 0x1.90be004c8d649p-2, 0x1.938d8b116b5cp-2, 0x1.9647d442ece32p-2, 0x1.98ecbd792abfap-2, 0x1.9b7c2b8528f4bp-2, 0x1.9df60666bee8bp-2, 0x1.a05a394222bebp-2, 0x1.a2a8b2551c49p-2, 0x1.a4e162ebe239p-2, 0x1.a7043f55a5f17p-2, 0x1.a9113ed8d3b3ep-2, 0x1.ab085ba70413bp-2, 0x1.ace992d0ad33cp-2, 0x1.aeb4e4388be2bp-2, 0x1.b06a5286d2a9dp-2, 0x1.b209e31c1bb98p-2, 0x1.b3939e0422fb4p-2, 0x1.b5078de85265bp-2, 0x1.b665c002198a8p-2, 0x1.b7ae440d1d8e9p-2, 0x1.b8e12c39418dcp-2, 0x1.b9fe8d1c8aed6p-2, 0x1.bb067da4e8384p-2, 0x1.bbf91709da117p-2, 0x1.bcd674be062acp-2, 0x1.bd9eb460b4adp-2, 0x1.be51f5af3f8eap-2, 0x1.bef05a7671a3ap-2, 0x1.bf7a0683de33ep-2, 0x1.bfef1f9732d97p-2, 0x1.c04fcd5384187p-2, 0x1.c09c39309d7adp-2, 0x1.c0d48e6c513c1p-2, 0x1.c0f8f9fbd283p-2, 0x1.c109aa7d15534p-2, 0x1.c106d0283acefp-2, 0x1.c0f09cc110623p-2, 0x1.c0c74388990bfp-2, 0x1.c08af92eb17aap-2, 0x1.c03bf3c3c38e3p-2, 0x1.bfda6aaa9912cp-2, 0x1.bf66968a41d6bp-2, 0x1.bee0b1401b9cdp-2, 0x1.be48f5d1f6357p-2, 0x1.bd9fa06056d05p-2, 0x1.bce4ee18e0b1bp-2, 0x1.bc191d28dcafcp-2, 0x1.bb3c6cafeae99p-2, 0x1.ba4f1cb2d73bfp-2, 0x1.b9516e0e97ef2p-2, 0x1.b843a26b746a9p-2, 0x1.b725fc3057e33p-2, 0x1.b5f8be764e427p-2, 0x1.b4bc2cfc2ecafp-2, 0x1.b3708c1a7398dp-2, 0x1.b21620b73f509p-2, 0x1.b0ad303a95617p-2, 0x1.af360082be42dp-2, 0x1.adb0d7d8df269p-2, 0x1.ac1dfce5c27d3p-2, 0x1.aa7db6a6d30d9p-2, 0x1.a8d04c6349a08p-2, 0x1.a71605a18beeap-2, 0x1.a54f2a1cc44ap-2, 0x1.a37c01baa695p-2, 0x1.a19cd4816df4dp-2, 0x1.9fb1ea8e0f4afp-2, 0x1.9dbb8c0a9b9f4p-2, 0x1.9bba0124dfabap-2, 0x1.99ad92052ef23p-2, 0x1.979686c56cd6cp-2, 0x1.9575276845a8ap-2, 0x1.9349bbd09dc5p-2, 0x1.91148bb939048p-2, 0x1.8ed5deac928a1p-2, 0x1.8c8dfbfceff16p-2, 0x1.8a3d2abca3fcep-2, 0x1.87e3b1b6898f6p-2, 0x1.8581d766b21acp-2, 0x1.8317e1f34b085p-2, 0x1.80a61725b3116p-2, 0x1.7e2cbc63ca874p-2, 0x1.7bac16a96f95dp-2, 0x1.79246a823737bp-2, 0x1.7695fc0350634p-2, 0x1.74010ec5a1b5ap-2, 0x1.7165e5e0162d5p-2, 0x1.6ec4c3e21ce8fp-2, 0x1.6c1deace5b097p-2, 0x1.69719c159027fp-2, 0x1.66c01891a8891p-2, 0x1.6409a0810569p-2, 0x1.614e7381f060ep-2, 0x1.5e8ed08e42b26p-2, 0x1.5bcaf5f737accp-2, 0x1.5903216171356p-2, 0x1.56378fc1299c9p-2, 0x1.53687d5693a1p-2, 0x1.509625aa643afp-2, 0x1.4dc0c38a8e19dp-2, 0x1.4ae8910726ea4p-2, 0x1.480dc76f7582ep-2, 0x1.45309f4f2f2p-2, 0x1.4251506bdbc44p-2, 0x1.3f7011c26693fp-2, 0x1.3c8d1984d4e41p-2, 0x1.39a89d182631p-2, 0x1.36c2d1125cfb1p-2, 0x1.33dbe938ad769p-2, 0x1.30f4187dd3602p-2, 0x1.2e0b91008b001p-2, 0x1.2b22840a34d73p-2, 0x1.2839220d95713p-2, 0x1.254f9aa5c2136p-2, 0x1.22661c9527cefp-2, 0x1.1f7cd5c4ba983p-2, 0x1.1c93f34343283p-2, 0x1.19aba144cf9c1p-2, 0x1.16c40b2241fcep-2, 0x1.13dd5b58ffc3bp-2, 0x1.10f7bb8abed5p-2, 0x1.0e13547d7378cp-2, 0x1.0b304e1b56828p-2, 0x1.084ecf730d57p-2, 0x1.056efeb7ea228p-2, 0x1.0291014248a52p-2, 0x1.ff69f7200c881p-3, 0x1.f9b6228a21f23p-3, 0x1.f406ca5825b2p-3, 0x1.ee5c326e664c9p-3, 0x1.e8b69d01e2ae3p-3, 0x1.e3164a9a26ea2p-3, 0x1.dd7b7a135ea1ep-3, 0x1.d7e668a08b7d7p-3, 0x1.d25751cde5db6p-3, 0x1.ccce6f836c207p-3, 0x1.c74bfa078f0d1p-3, 0x1.c1d028020cb26p-3, 0x1.bc5b2e7ee86d8p-3, 0x1.b6ed40f18d1b9p-3, 0x1.b186913807ef4p-3, 0x1.ac274f9e6d7e4p-3, 0x1.a6cfaae254ccdp-3, 0x1.a17fd03676695p-3, 0x1.9c37eb466347ep-3, 0x1.96f8263a5debfp-3, 0x1.91c0a9bb3fe27p-3, 0x1.8c919cf68b36cp-3, 0x1.876b25a282102p-3, 0x1.824d68025c373p-3, 0x1.7d3886ea945b4p-3, 0x1.782ca3c5436a9p-3, 0x1.7329de9693aa5p-3, 0x1.6e305601401f4p-3, 0x1.6940274b2c976p-3, 0x1.64596e6204bcfp-3, 0x1.5f7c45dff2084p-3, 0x1.5aa8c71056175p-3, 0x1.55df09f49a21ep-3, 0x1.511f254903b44p-3, 0x1.4c692e89985ebp-3, 0x1.47bd39f7086dep-3, 0x1.431b5a9ba0accp-3, 0x1.3e83a25049587p-3, 0x1.39f621c185f5p-3, 0x1.3572e8747d0cdp-3, 0x1.30fa04cc07dbp-3, 0x1.2c8b840dc1141p-3, 0x1.282772671c7abp-3, 0x1.23cddaf27aeffp-3, 0x1.1f7ec7bc458c5p-3, 0x1.1b3a41c806f76p-3, 0x1.17005115859f9p-3, 0x1.12d0fca5ded3dp-3, 0x1.0eac4a809e586p-3, 0x1.0a923fb8d4392p-3, 0x1.0682e0722b7cep-3, 0x1.027e2fe5fb926p-3, 0x1.fd0860d0a3a34p-4, 0x1.f529c6d9fd05bp-4, 0x1.ed6093193231ep-4, 0x1.e5acc512f7417p-4, 0x1.de0e5aa97a9d1p-4, 0x1.d68550264a432p-4, 0x1.cf11a04425b3bp-4, 0x1.c7b34438c8d3ep-4, 0x1.c06a33be9c6d3p-4, 0x1.b936651e5fa3ap-4, 0x1.b217cd38bc4f8p-4, 0x1.ab0e5f8fc4789p-4, 0x1.a41a0e505ffbdp-4, 0x1.9d3aca5ba5153p-4, 0x1.9670835020327p-4, 0x1.8fbb2792f83d4p-4, 0x1.891aa4591122bp-4, 0x1.828ee5b00340ap-4, 0x1.7c17d6870ae94p-4, 0x1.75b560b7d24p-4, 0x1.6f676d0f2e127p-4, 0x1.692de355b9443p-4, 0x1.6308aa585a3d1p-4, 0x1.5cf7a7f0abaadp-4, 0x1.56fac10d4ebddp-4, 0x1.5111d9ba1de89p-4, 0x1.4b3cd528461cdp-4, 0x1.457b95b64199ep-4, 0x1.3fcdfcf7bf061p-4, 0x1.3a33ebbd6012ep-4, 0x1.34ad421c63b83p-4, 0x1.2f39df7634771p-4, 0x1.29d9a27fd015cp-4, 0x1.248c69491d96fp-4, 0x1.1f5211441e6c7p-4, 0x1.1a2a774c03b12p-4, 0x1.151577ac27c49p-4, 0x1.1012ee26e6792p-4, 0x1.0b22b5fc58c31p-4, 0x1.0644a9f0f54f7p-4, 0x1.0178a4540c56fp-4, 0x1.f97cfe0c5f785p-5, 0x1.f02c26fede04ep-5, 0x1.e6fe75ab05cffp-5, 0x1.ddf39b83a3e42p-5, 0x1.d50b494eb7482p-5, 0x1.cc452f3104ed7p-5, 0x1.c3a0fcb97623dp-5, 0x1.bb1e60ec35f55p-5, 0x1.b2bd0a4d95dd1p-5, 0x1.aa7ca6ecb8161p-5, 0x1.a25ce46dfd65p-5, 0x1.9a5d701536b8cp-5, 0x1.927df6cfa1a92p-5, 0x1.8abe253da6af5p-5, 0x1.831da7bc5adap-5, 0x1.7b9c2a6ed7487p-5, 0x1.743959473d9cfp-5, 0x1.6cf4e00fa0a3bp-5, 0x1.65ce6a72a0455p-5, 0x1.5ec5a403d6aebp-5, 0x1.57da384811bf6p-5, 0x1.510bd2bd48eaep-5, 0x1.4a5a1ee26f903p-5, 0x1.43c4c83efe7cdp-5, 0x1.3d4b7a6a587d9p-5, 0x1.36ede112f3d45p-5, 0x1.30aba8054aacfp-5, 0x1.2a847b32a377p-5, 0x1.247806b7a2b5bp-5, 0x1.1e85f6e2a04b8p-5, 0x1.18adf839dbb36p-5, 0x1.12efb7817685cp-5, 0x1.0d4ae1c140325p-5, 0x1.07bf244a50d14p-5, 0x1.024c2cbc79bc9p-5, 0x1.f9e3521704e0ap-6, 0x1.ef5e8f0877188p-6, 0x1.e5096da2c5605p-6, 0x1.dae34c00be93fp-6, 0x1.d0eb890b953a2p-6, 0x1.c7218483a935p-6, 0x1.bd849f08fd00fp-6, 0x1.b4143a234b405p-6, 0x1.aacfb849dda5ap-6, 0x1.a1b67ceb00a68p-6, 0x1.98c7ec7332eb8p-6, 0x1.90036c5403d45p-6, 0x1.8768630aaf219p-6, 0x1.7ef6382662c5cp-6, 0x1.76ac544e38b62p-6, 0x1.6e8a2146f59f6p-6, 0x1.668f09f87db7dp-6, 0x1.5eba7a72fac0fp-6, 0x1.570bdff3c638ap-6, 0x1.4f82a8ea1b3f9p-6, 0x1.481e44fb68cbp-6, 0x1.40de250787b1ep-6, 0x1.39c1bb2c9b93ap-6, 0x1.32c87acabfacdp-6, 0x1.2bf1d88779f7cp-6, 0x1.253d4a50e686dp-6, 0x1.1eaa4760b5d4bp-6, 0x1.1838483efd587p-6, 0x1.11e6c6c4b5c39p-6, 0x1.0bb53e1e1e838p-6, 0x1.05a32accd326ap-6, 0x1.ff601553b6404p-7, 0x1.f3b6b9ce8c492p-7, 0x1.e8494423b9dcap-7, 0x1.dd16b824dc2b7p-7, 0x1.d21e1c5e16dc1p-7, 0x1.c75e7a1823cedp-7, 0x1.bcd6dd5a0d07fp-7, 0x1.b28654ea8df08p-7, 0x1.a86bf25122f57p-7, 0x1.9e86c9d6d4312p-7, 0x1.94d5f286afdcbp-7, 0x1.8b58862ded7efp-7, 0x1.820da15bd5ff8p-7, 0x1.78f46361531p-7, 0x1.700bee505ccdcp-7, 0x1.675366faf99dbp-7, 0x1.5ec9f4f22a53dp-7, 0x1.566ec28462f2fp-7, 0x1.4e40fcbbfafb4p-7, 0x1.463fd35d43eddp-7, 0x1.3e6a78e479acfp-7, 0x1.36c022836844ap-7, 0x1.2f40081eecd43p-7, 0x1.27e9644c4480cp-7, 0x1.20bb744e1ee47p-7, 0x1.19b5781192165p-7, 0x1.12d6b22ac1db6p-7, 0x1.0c1e67d195321p-7, 0x1.058be0ddf5c9ap-7, 0x1.fe3ccf884e3d3p-8, 0x1.f1aa9321cdaf7p-8, 0x1.e55fabca9dddp-8, 0x1.d95abde54fe05p-8, 0x1.cd9a72ec3c81cp-8, 0x1.c21d7968b2c9cp-8, 0x1.b6e284e9ba7cap-8, 0x1.abe84dfac6d38p-8, 0x1.a12d921a2a704p-8, 0x1.96b113af3ad0bp-8, 0x1.8c719a0079f39p-8, 0x1.826df12951ee7p-8, 0x1.78a4ea0fca0bp-8, 0x1.6f155a5a0938fp-8, 0x1.65be1c63a8ef6p-8, 0x1.5c9e0f32e5b61p-8, 0x1.53b4166dbf141p-8, 0x1.4aff1a4ecaee3p-8, 0x1.427e079a24c38p-8, 0x1.3a2fcf920998cp-8, 0x1.321367eb86771p-8, 0x1.2a27cac2daa42p-8, 0x1.226bf6901344ep-8, 0x1.1adeee1b29bf6p-8, 0x1.137fb8708698fp-8, 0x1.0c4d60d4f9483p-8, 0x1.0546f6ba17536p-8, 0x1.fcd71b644c1f7p-9, 0x1.ef747ac8a41ffp-9, 0x1.e264430132e7p-9, 0x1.d5a4b367a8167p-9, 0x1.c93413376a9b3p-9, 0x1.bd10b1755365cp-9, 0x1.b138e4d7bf649p-9, 0x1.a5ab0bae34d8dp-9, 0x1.9a658bc9a2599p-9, 0x1.8f66d263b1f7bp-9, 0x1.84ad5407411cfp-9, 0x1.7a378c77dde84p-9, 0x1.7003fe99f27d6p-9, 0x1.6611345ace8dbp-9, 0x1.5c5dbe9895db7p-9, 0x1.52e8350a89efcp-9, 0x1.49af36290ce1dp-9, 0x1.40b167160a038p-9, 0x1.37ed73857b434p-9, 0x1.2f620da5947bbp-9, 0x1.270dee077f715p-9, 0x1.1eefd38826727p-9, 0x1.17068338c10afp-9, 0x1.0f50c8480abadp-9, 0x1.07cd73eb214a4p-9, 0x1.007b5d46b6ff6p-9, 0x1.f2b2c2b113037p-10, 0x1.e4ccc5c16f0ddp-10, 0x1.d7429496e9057p-10, 0x1.ca120b35cd1f8p-10, 0x1.bd3910a1ad7d4p-10, 0x1.b0b596b23e384p-10, 0x1.a48599e781cb1p-10, 0x1.98a7213ebf022p-10, 0x1.8d183e07c6de3p-10, 0x1.81d70bbab64f7p-10, 0x1.76e1afcdb36f9p-10, 0x1.6c36598b67e3p-10, 0x1.61d341e9de4e5p-10, 0x1.57b6ab614ee7cp-10, 0x1.4ddee1c416665p-10, 0x1.444a3a160f506p-10, 0x1.3af712655273bp-10, 0x1.31e3d1a2b3cfep-10, 0x1.290ee77aeaa3bp-10, 0x1.2076cc2ff4062p-10, 0x1.181a007369d2p-10, 0x1.0ff70d402b0d3p-10, 0x1.080c83b5cfaebp-10, 0x1.0058fcf37755p-10, 0x1.f1b633e694e46p-11, 0x1.e32306cdb4564p-11, 0x1.d4f5d32651039p-11, 0x1.c72c085c1c682p-11, 0x1.b9c32476008cbp-11, 0x1.acb8b3d209123p-11, 0x1.a00a50e1e234dp-11, 0x1.93b5a3e7d0f4ep-11, 0x1.87b862b468a01p-11, 0x1.7c10506610e68p-11, 0x1.70bb3d286ca2bp-11, 0x1.65b705f4bd0f8p-11, 0x1.5b0194538fc74p-11, 0x1.5098de1f726c6p-11, 0x1.467ae546fb682p-11, 0x1.3ca5b791e73e3p-11, 0x1.33176e656234dp-11, 0x1.29ce2e89cb2a4p-11, 0x1.20c827f14afbep-11, 0x1.1803957f2252ep-11, 0x1.0f7ebccfdbff9p-11, 0x1.0737ee01fa811p-11, 0x1.fe5b070100762p-12, 0x1.eebbc399df528p-12, 0x1.df8eee96a9477p-12, 0x1.d0d1781b94b78p-12, 0x1.c28063442fd8fp-12, 0x1.b498c5bf9356cp-12, 0x1.a717c76be299bp-12, 0x1.99faa1f6957fcp-12, 0x1.8d3ea07cf9788p-12, 0x1.80e11f2da646p-12, 0x1.74df8aec05b7cp-12, 0x1.693760f5cd7e7p-12, 0x1.5de62e88b80c8p-12, 0x1.52e9908bdb67cp-12, 0x1.483f33379489ep-12, 0x1.3de4d1c1c2962p-12, 0x1.33d8360a4442cp-12, 0x1.2a173847aee87p-12, 0x1.209fbeb7ec037p-12, 0x1.176fbd5038a25p-12, 0x1.0e85356f2c8afp-12, 0x1.05de3590c3af6p-12, 0x1.faf1b204be28dp-13, 0x1.eaa68f3403dc8p-13, 0x1.dad76adb1391cp-13, 0x1.cb80c515cfb08p-13, 0x1.bc9f3565f557ep-13, 0x1.ae2f6a2a16badp-13, 0x1.a02e2815a91cp-13, 0x1.929849ad8298ap-13, 0x1.856abec77fe4bp-13, 0x1.78a28c0b1e209p-13, 0x1.6c3cca732f81p-13, 0x1.6036a6d59098cp-13, 0x1.548d616923611p-13, 0x1.493e4d5311d8cp-13, 0x1.3e46d02fc7904p-13, 0x1.33a461a57341dp-13, 0x1.29548af2c1f18p-13, 0x1.1f54e683cfd1ap-13, 0x1.15a31f87621d6p-13, 0x1.0c3cf185a8c2ep-13, 0x1.032027fb3b9eep-13, 0x1.f4953be873e39p-14, 0x1.e3747b53fc1fdp-14, 0x1.d2da00480b3e7p-14, 0x1.c2c1d9b286702p-14, 0x1.b32832a952296p-14, 0x1.a40951b41d741p-14, 0x1.9561981c7be2p-14, 0x1.872d8141c6b18p-14, 0x1.7969a1ee90063p-14, 0x1.6c12a7b47ba48p-14, 0x1.5f2558485dc04p-14, 0x1.529e90e5dc1cbp-14, 0x1.467b45b43559p-14, 0x1.3ab8812d2f7a5p-14, 0x1.2f536389395ddp-14, 0x1.2449222efc86ep-14, 0x1.1997072501463p-14, 0x1.0f3a7085cc9f3p-14, 0x1.0530cffa4991ap-14, 0x1.f6ef5466c5b7dp-15, 0x1.e4192cd69494fp-15, 0x1.d1da7bc760cecp-15, 0x1.c02eb6d8edcb1p-15, 0x1.af1175d0a27cep-15, 0x1.9e7e71b2a9f3cp-15, 0x1.8e7183d686bf2p-15, 0x1.7ee6a5089501dp-15, 0x1.6fd9ecaca6fc2p-15, 0x1.61478fe8b3d6ap-15, 0x1.532be0d2cde59p-15, 0x1.45834da35b83dp-15, 0x1.384a5fec73b2ep-15, 0x1.2b7dbbd9ef1d2p-15, 0x1.1f1a1f6e14cc5p-15, 0x1.131c61cc3390ap-15, 0x1.078172811033cp-15, 0x1.f88cb1a35cbdbp-16, 0x1.e2d06622c3444p-16, 0x1.cdc86bf1e7d05p-16, 0x1.b96f580016953p-16, 0x1.a5bfe97ef10c7p-16, 0x1.92b508a880d8cp-16, 0x1.8049c58fedb72p-16, 0x1.6e7956f917688p-16, 0x1.5d3f19368c1bcp-16, 0x1.4c968d106d3acp-16, 0x1.3c7b56b664cd1p-16, 0x1.2ce93cafeb3abp-16, 0x1.1ddc26d8e862cp-16, 0x1.0f501d63d7957p-16, 0x1.014147e4c5c44p-16, 0x1.e757d8bb1c61p-17, 0x1.cd18dcae855aap-17, 0x1.b3be9bf94e47dp-17, 0x1.9b424e788bdbap-17, 0x1.839d61e470cc3p-17, 0x1.6cc9782e5d447p-17, 0x1.56c065de44473p-17, 0x1.417c308c97ad2p-17, 0x1.2cf70d60b7f07p-17, 0x1.192b5f9322a06p-17, 0x1.0613b702875ap-17, 0x1.e7559d9f5d231p-18, 0x1.c3d7180cdb0b2p-18, 0x1.a1a1f8985748ep-18, 0x1.80aca92ba3e07p-18, 0x1.60eddfe55c6bep-18, 0x1.425c9c9b8dce9p-18, 0x1.24f026903d5ccp-18, 0x1.08a00a2be70e6p-18, 0x1.dac82d7ed49c6p-19, 0x1.a668b8cd0428dp-19, 0x1.741253e6cf905p-19, 0x1.43b615c2e1baep-19, 0x1.15458ada06a5cp-19, 0x1.d1656271453d7p-20, 0x1.7bdfe9b0de02cp-20, 0x1.29e05820ab0f3p-20, 0x1.b69a505239d0bp-21, 0x1.201b366b0bc5fp-21, 0x1.2026cbd97bcddp-22, 0x1.9515a8ea5551dp-27, -0x1.f53c5f508db74p-23, -0x1.f60553fe22aebp-22, -0x1.72f0d40924fd8p-21, -0x1.e542c4b596f38p-21, -0x1.291038742eb99p-20, -0x1.5cd84ebc679cep-20, -0x1.8e0c74e1cbd45p-20, -0x1.bcbeeccea0cf7p-20, -0x1.e9016f381a682p-20, -0x1.09729839bce7ep-19, -0x1.1d3d726ccbe6ep-19, -0x1.2fe962930290dp-19, -0x1.417e494b5a89bp-19, -0x1.5203cd9089a83p-19, -0x1.61815e94e3b6dp-19, -0x1.6ffe35c0031f7p-19, -0x1.7d815872d4d65p-19, -0x1.8a1199dc1ac6cp-19, -0x1.95b59caa35cd3p-19, -0x1.a073d4af5c352p-19, -0x1.aa5288828165ep-19, -0x1.b357d304af684p-19, -0x1.bb89a4dea6027p-19, -0x1.c2edc6019dfe1p-19, -0x1.c989d6f918119p-19, -0x1.cf63525934b2fp-19, -0x1.d47f8df03110ap-19, -0x1.d8e3bc1de4643p-19, -0x1.dc94ecf9b4dcbp-19, -0x1.df980f8c4af1cp-19, -0x1.e1f1f2e4ae60cp-19, -0x1.e3a74730ea7aap-19, -0x1.e4bc9ecf05dd9p-19, -0x1.e5366f4c4c637p-19, -0x1.e519125519dcap-19, -0x1.e468c6b4236bp-19, -0x1.e329b12bbb528p-19, -0x1.e15fdd6526ae9p-19, -0x1.df0f3eb68fcdep-19, -0x1.dc3bb0f6ef304p-19, -0x1.d8e8f941ed456p-19, -0x1.d51ac6c42936ep-19, -0x1.d0d4b35ca3ebap-19, -0x1.cc1a4460ae75p-19, -0x1.c6eeeb41f115dp-19, -0x1.c156063100e1p-19, -0x1.bb52e0b4d6343p-19, -0x1.b4e8b44a3211ep-19, -0x1.ae1aa8edd4b6ap-19, -0x1.a6ebd5acebcabp-19, -0x1.9f5f412d2bab8p-19, -0x1.9777e224c006fp-19, -0x1.8f389fdd86d5ep-19, -0x1.86a452a7f2cfep-19, -0x1.7dbdc455abbdap-19, -0x1.7487b0977d88cp-19, -0x1.6b04c57574a65p-19, -0x1.6137a3a92f5a3p-19, -0x1.5722df00ed60ep-19, -0x1.4cc8fec3642b3p-19, -0x1.422c7dfae517ep-19, -0x1.374fcbd3818bdp-19, -0x1.2c354be6ee3ffp-19, -0x1.20df5692df19ap-19, -0x1.1550393aea69p-19, -0x1.098a3694034b9p-19, -0x1.fb1f0dda06696p-20, -0x1.e2c4b0dc39b89p-20, -0x1.ca099e9fe590ap-20, -0x1.b0f20c3dd2572p-20, -0x1.97821be6134e4p-20, -0x1.7dbddd5600836p-20, -0x1.63a94e30eac05p-20, -0x1.49485a709a5ecp-20, }}, 
      {{0x1.ac8e3216792dfp-1, 0x1.ac0fc246bdcf5p-1, 0x1.ab3f33f94e72ep-1, 0x1.aa1f9ccd13c95p-1, 0x1.a8b50457349a7p-1, 0x1.a7042f97826c2p-1, 0x1.a5126d566b7ccp-1, 0x1.a2e5663dee6e3p-1, 0x1.a082f2303c37fp-1, 0x1.9df0f382bc62cp-1, 0x1.9b353837032ecp-1, 0x1.985560f3e9e9cp-1, 0x1.9556cd4e2b299p-1, 0x1.923e8cd59a12ep-1, 0x1.8f115451f7462p-1, 0x1.8bd3769acbdc4p-1, 0x1.8888e07c916edp-1, 0x1.853517280c213p-1, 0x1.81db38b552168p-1, 0x1.7e7dfe5136ae7p-1, 0x1.7b1fbfb8f0366p-1, 0x1.77c277b45e5f4p-1, 0x1.7467c94af318bp-1, 0x1.71110579d041p-1, 0x1.6dbf313b2c7cap-1, 0x1.6a730bb769045p-1, 0x1.672d147f9a5f3p-1, 0x1.63ed91b79b912p-1, 0x1.60b4961b3815p-1, 0x1.5d8206ce9f4ffp-1, 0x1.5a55a0ee43c36p-1, 0x1.572efed593246p-1, 0x1.540d9d16b7ee2p-1, 0x1.50f0df1fd9c66p-1, 0x1.4dd8138c2c27dp-1, 0x1.4ac278209bd3p-1, 0x1.47af3d7523c8ep-1, 0x1.449d8a4cbb012p-1, 0x1.418c7e9e90e1p-1, 0x1.3e7b3653d069fp-1, 0x1.3b68cbbd8affcp-1, 0x1.385459c6b0b05p-1, 0x1.353cfde61f4ebp-1, 0x1.3221d9d4ec17ap-1, 0x1.2f02150d06166p-1, 0x1.2bdcde1448e4fp-1, 0x1.28b16b97fbeb6p-1, 0x1.257efd5c9907p-1, 0x1.2244dd059301ap-1, 0x1.1f025eb8a565ap-1, 0x1.1bb6e1a0051c3p-1, 0x1.1861d04ea1e2bp-1, 0x1.1502a1096d0fap-1, 0x1.1198d5f86c26dp-1, 0x1.0e23fd422f912p-1, 0x1.0aa3b1140d7efp-1, 0x1.071797995b9a8p-1, 0x1.037f62e3ab36dp-1, 0x1.ffb5a18bd401cp-2, 0x1.f853554833752p-2, 0x1.f0d78a7255a42p-2, 0x1.e94200a8d0631p-2, 0x1.e1928d1f71434p-2, 0x1.d9c919ffb7f3ep-2, 0x1.d1e5a5bf699acp-2, 0x1.c9e8426f0c409p-2, 0x1.c1d115020372bp-2, 0x1.b9a05491c4cecp-2, 0x1.b156499d7cd83p-2, 0x1.a8f34d474f272p-2, 0x1.a077c8903f1b3p-2, 0x1.97e43393a9b9p-2, 0x1.8f3914c32049fp-2, 0x1.8677002354fb3p-2, 0x1.7d9e968abca77p-2, 0x1.74b084e262b26p-2, 0x1.6bad83696da04p-2, 0x1.629654fbb0c56p-2, 0x1.596bc65ba3e43p-2, 0x1.502ead8004053p-2, 0x1.46dfe8e55b1a4p-2, 0x1.3d805ee39ecedp-2, 0x1.3410fd0808d35p-2, 0x1.2a92b77350a83p-2, 0x1.2106883c5259ap-2, 0x1.176d6ed73ddfbp-2, 0x1.0dc86f815319p-2, 0x1.041892b1347d5p-2, 0x1.f4bdc917a6565p-3, 0x1.e138e8bbda901p-3, 0x1.cda4a8344710fp-3, 0x1.ba032fb726d02p-3, 0x1.a656aad9ec229p-3, 0x1.92a147a862168p-3, 0x1.7ee535c49a7d9p-3, 0x1.6b24a58f8d601p-3, 0x1.5761c75a46aa3p-3, 0x1.439eca9f799d6p-3, 0x1.2fdddd456407fp-3, 0x1.1c212ae7c7352p-3, 0x1.086adc29e33bep-3, 0x1.e97a2c20818c9p-4, 0x1.c233f2c43729dp-4, 0x1.9b074424bbd01p-4, 0x1.73f84d5fbc2bfp-4, 0x1.4d0b2fb9aa7d4p-4, 0x1.2643ff9aa697ep-4, 0x1.ff4d87322cdf3p-5, 0x1.b26ee723351dep-5, 0x1.65f3ef9820bc7p-5, 0x1.19e4505a8837fp-5, 0x1.9c8f2dd428e46p-6, 0x1.064a5a21b7c41p-6, 0x1.c422bc79ad9bp-8, -0x1.193cb218753e6p-9, -0x1.6c710fd808686p-7, -0x1.481c88c4791dbp-6, -0x1.d8c64eabb01c9p-6, -0x1.34147223f26f5p-5, -0x1.7b1bd5571a823p-5, -0x1.c1732d7208a59p-5, -0x1.038a41cec869p-4, -0x1.25fd07223f31p-4, -0x1.480f18cee67f1p-4, -0x1.69bdc012ee815p-4, -0x1.8b065d83904eap-4, -0x1.abe6693965ca1p-4, -0x1.cc5b72f50c348p-4, -0x1.ec63223c4d3e1p-4, -0x1.05fd9b3800cddp-3, -0x1.1590c36d88b36p-3, -0x1.24ea015d51ac1p-3, -0x1.3408589ff1543p-3, -0x1.42ead8c5b3f41p-3, -0x1.51909d515e371p-3, -0x1.5ff8cdaffb4d8p-3, -0x1.6e229d2de454ep-3, -0x1.7c0d4ae91e0dep-3, -0x1.89b821c11f585p-3, -0x1.9722784421e29p-3, -0x1.a44bb09a13ea5p-3, -0x1.b133386d4816ep-3, -0x1.bdd888d0fa4ap-3, -0x1.ca3b2625c2eb2p-3, -0x1.d65a9ffc1856p-3, -0x1.e23690f4de6e8p-3, -0x1.edce9ea041089p-3, -0x1.f922795ace98fp-3, -0x1.0218ee147eb28p-2, -0x1.077e464893514p-2, -0x1.0cc12d3a0a467p-2, -0x1.11e18ff21a84ep-2, -0x1.16df607dc2fbp-2, -0x1.1bba95d82579fp-2, -0x1.20732bd45782dp-2, -0x1.25092306a88a5p-2, -0x1.297c80ad6fbacp-2, -0x1.2dcd4e9963673p-2, -0x1.31fb9b158bc79p-2, -0x1.360778ced01cbp-2, -0x1.39f0febb2e817p-2, -0x1.3db84800a3405p-2, -0x1.415d73dbc7977p-2, -0x1.44e0a58631279p-2, -0x1.4842041c9bbb8p-2, -0x1.4b81ba84e00a9p-2, -0x1.4e9ff753c204fp-2, -0x1.519cecb29db38p-2, -0x1.5478d044fbe6cp-2, -0x1.5733db0e0e44ep-2, -0x1.59ce495621ab1p-2, -0x1.5c485a9007c28p-2, -0x1.5ea2513e8096p-2, -0x1.60dc72d9aa4f5p-2, -0x1.62f707b4786eep-2, -0x1.64f25ae24100cp-2, -0x1.66ceba1c5af8ep-2, -0x1.688c75a7db588p-2, -0x1.6a2be03b711cbp-2, -0x1.6bad4ee5653d9p-2, -0x1.6d1118f1ca2dp-2, -0x1.6e5797d0d1285p-2, -0x1.6f8126fd5b59dp-2, -0x1.708e23e3bbcc7p-2, -0x1.717eedc8b60fep-2, -0x1.7253e5b0bdf53p-2, -0x1.730d6e47762ecp-2, -0x1.73abebc777f2cp-2, -0x1.742fc3e261dcfp-2, -0x1.74995da934a92p-2, -0x1.74e92174fe368p-2, -0x1.751f78cfd7aa4p-2, -0x1.753cce5e38e52p-2, -0x1.75418dc89ff95p-2, -0x1.752e23a598811p-2, -0x1.7502fd641a7aap-2, -0x1.74c0893647b34p-2, -0x1.746735fc89835p-2, -0x1.73f77331125ffp-2, -0x1.7371b0d3bf4e3p-2, -0x1.72d65f5662722p-2, -0x1.7225ef896e60bp-2, -0x1.7160d2890fd4fp-2, -0x1.708779aaa9793p-2, -0x1.6f9a566abda3bp-2, -0x1.6e99da5b40bf7p-2, -0x1.6d8677125775fp-2, -0x1.6c609e1980992p-2, -0x1.6b28c0dd2baf4p-2, -0x1.69df509cbaceap-2, -0x1.6884be5af5108p-2, -0x1.67197acee13fap-2, -0x1.659df655118eap-2, -0x1.6412a0e15c607p-2, -0x1.6277e9f0fff07p-2, -0x1.60ce407d3620bp-2, -0x1.5f1612ee31658p-2, -0x1.5d4fcf0e8a47bp-2, -0x1.5b7be1ff1441ep-2, -0x1.599ab82b21721p-2, -0x1.57acbd3d3049ep-2, -0x1.55b25c1401096p-2, -0x1.53abfeb816fb2p-2, -0x1.519a0e51a17b2p-2, -0x1.4f7cf31ecc583p-2, -0x1.4d55146a76af7p-2, -0x1.4b22d8834eeeep-2, -0x1.48e6a4b353ffcp-2, -0x1.46a0dd37ba474p-2, -0x1.4451e5393016fp-2, -0x1.41fa1ec487b53p-2, -0x1.3f99eac3bbffep-2, -0x1.3d31a8f756b14p-2, -0x1.3ac1b7f032203p-2, -0x1.384a750997cc9p-2, -0x1.35cc3c63b7c2ep-2, -0x1.334768de78d6fp-2, -0x1.30bc54149ff3ep-2, -0x1.2e2b56574ef0cp-2, -0x1.2b94c6a9d4527p-2, -0x1.28f8fabdcf0ddp-2, -0x1.265846efa569ap-2, -0x1.23b2fe434552bp-2, -0x1.210972613921ap-2, -0x1.1e5bf39404109p-2, -0x1.1baad0c5c904ap-2, -0x1.18f6577e3c8c6p-2, -0x1.163ed3e0db099p-2, -0x1.138490ab66fb9p-2, -0x1.10c7d734a70ffp-2, -0x1.0e08ef6b6a908p-2, -0x1.0b481fd5ca12dp-2, -0x1.0885ad90a7ed5p-2, -0x1.05c1dc4f6f903p-2, -0x1.02fcee5c0bd8bp-2, -0x1.003724971af6cp-2, -0x1.fae17cf0aaadap-3, -0x1.f553f41e5fd7ap-3, -0x1.efc628075b0fap-3, -0x1.ea388f2ed100ep-3, -0x1.e4ab9d4d8c369p-3, -0x1.df1fc354c025dp-3, -0x1.d9956f7130a89p-3, -0x1.d40d0d0eb412fp-3, -0x1.ce8704dc0634p-3, -0x1.c903bccef42e9p-3, -0x1.c3839828d0724p-3, -0x1.be06f77b35df4p-3, -0x1.b88e38ad1147cp-3, -0x1.b319b6fff5b67p-3, -0x1.ada9cb15a9p-3, -0x1.a83ecaf5fa38p-3, -0x1.a2d90a14cf8ffp-3, -0x1.9d78d9586f258p-3, -0x1.981e871ffd788p-3, -0x1.92ca5f4a326abp-3, -0x1.8d7cab3c3e9f6p-3, -0x1.8835b1e8de997p-3, -0x1.82f5b7d79ab5p-3, -0x1.7dbcff2c35bfap-3, -0x1.788bc7ae3512ep-3, -0x1.73624ed09e56dp-3, -0x1.6e40cfb9cc235p-3, -0x1.6927834b632cbp-3, -0x1.6416a02a6c621p-3, -0x1.5f0e5ac77ee16p-3, -0x1.5a0ee5670dfbp-3, -0x1.55187029c8cd7p-3, -0x1.502b291509b65p-3, -0x1.4b473c1b648c8p-3, -0x1.466cd325385edp-3, -0x1.419c16195ab56p-3, -0x1.3cd52ae5c575fp-3, -0x1.3818358859e53p-3, -0x1.33655817a3a77p-3, -0x1.2ebcb2cba9d47p-3, -0x1.2a1e6406c00b7p-3, -0x1.258a885e5f717p-3, -0x1.21013aa403348p-3, -0x1.1c8293edfee68p-3, -0x1.180eaba05b006p-3, -0x1.13a59775ac1e6p-3, -0x1.0f476b87e7986p-3, -0x1.0af43a593495cp-3, -0x1.06ac14dcafefap-3, -0x1.026f0a7f32b68p-3, -0x1.fc7a526013877p-4, -0x1.f42cfad3457a8p-4, -0x1.ebf624746099fp-4, -0x1.e3d5e2988794dp-4, -0x1.dbcc45deaa99p-4, -0x1.d3d95c40825adp-4, -0x1.cbfd312367ed5p-4, -0x1.c437cd6913f94p-4, -0x1.bc89378031f9cp-4, -0x1.b4f17374d58ffp-4, -0x1.ad708300d02cep-4, -0x1.a606659bd1f47p-4, -0x1.9eb3188b7583ap-4, -0x1.977696f30acccp-4, -0x1.9050d9e3524bcp-4, -0x1.8941d869f6418p-4, -0x1.824987a0e5262p-4, -0x1.7b67dabd7348ap-4, -0x1.749cc31f57d6bp-4, -0x1.6de8305f73895p-4, -0x1.674a105e66681p-4, -0x1.60c24f52f9bfap-4, -0x1.5a50d7d84fdccp-4, -0x1.53f592fbe8535p-4, -0x1.4db0684b6ba03p-4, -0x1.47813de243c65p-4, -0x1.4167f8770403dp-4, -0x1.3b647b68943p-4, -0x1.3576a8cb2e018p-4, -0x1.2f9e61751fed1p-4, -0x1.29db850b5b96fp-4, -0x1.242df20dccad9p-4, -0x1.1e9585e37c0afp-4, -0x1.19121ce678c8fp-4, -0x1.13a3926f89636p-4, -0x1.0e49c0e1aca6dp-4, -0x1.090481b55d93ap-4, -0x1.03d3ad839e6e5p-4, -0x1.fd6e3821a9afp-5, -0x1.f35d48aed0a26p-5, -0x1.e974392456ebep-5, -0x1.dfb2b48d212d7p-5, -0x1.d618649d46782p-5, -0x1.cca4f1c5a77afp-5, -0x1.c35803470381ep-5, -0x1.ba313f44b79c5p-5, -0x1.b1304ad701352p-5, -0x1.a854ca1cdedb7p-5, -0x1.9f9e604d8aa7fp-5, -0x1.970cafc9840bbp-5, -0x1.8e9f5a2b34499p-5, -0x1.865600572acacp-5, -0x1.7e30428bf965bp-5, -0x1.762dc071a0c1ep-5, -0x1.6e4e19289d625p-5, -0x1.6690eb5896be9p-5, -0x1.5ef5d53e9af46p-5, -0x1.577c74bb0c035p-5, -0x1.5024675f21b8p-5, -0x1.48ed4a7a0f0efp-5, -0x1.41d6bb25c7e3ap-5, -0x1.3ae0565366ebbp-5, -0x1.3409b8d73ccaep-5, -0x1.2d527f7487e49p-5, -0x1.26ba46e8c3547p-5, -0x1.2040abf6adc5cp-5, -0x1.19e54b70ec5ebp-5, -0x1.13a7c244663fp-5, -0x1.0d87ad8236168p-5, -0x1.0784aa696316bp-5, -0x1.019e56702cd19p-5, -0x1.f7a89e9a2ed3p-6, -0x1.ec4c65ff53feep-6, -0x1.e1273fb19cf6cp-6, -0x1.d6386905e784ep-6, -0x1.cb7f2013bb306p-6, -0x1.c0faa3c45755bp-6, -0x1.b6aa33e1331ap-6, -0x1.ac8d1121e6141p-6, -0x1.a2a27d398a8d1p-6, -0x1.98e9bae38bfb8p-6, -0x1.8f620df007036p-6, -0x1.860abb4f81fc5p-6, -0x1.7ce3091e3f6e6p-6, -0x1.73ea3eaf053acp-6, -0x1.6b1fa49563b25p-6, -0x1.628284af8ee51p-6, -0x1.5a122a2fb7e04p-6, -0x1.51cde1a4eac6ap-6, -0x1.49b4f90384c3dp-6, -0x1.41c6bfad3f096p-6, -0x1.3a028678b79dbp-6, -0x1.32679fb8aaa64p-6, -0x1.2af55f42a3e24p-6, -0x1.23ab1a756c975p-6, -0x1.1c88283ef3cb3p-6, -0x1.158be121f23aep-6, -0x1.0eb59f3b24107p-6, -0x1.0804be461df85p-6, -0x1.01789ba1d6eadp-6, -0x1.f6212ca99671dp-7, -0x1.e9981e21c4c0bp-7, -0x1.dd54d06dd53c5p-7, -0x1.d1560bb382f01p-7, -0x1.c59a9b829337p-7, -0x1.ba214ed9ee5e7p-7, -0x1.aee8f82c47b24p-7, -0x1.a3f06d641b3d9p-7, -0x1.993687e741fe9p-7, -0x1.8eba2499d7962p-7, -0x1.847a23e0adf8p-7, -0x1.7a7569a35bc71p-7, -0x1.70aadd4d93bbp-7, -0x1.671969d02e9f3p-7, -0x1.5dbffda1d1645p-7, -0x1.549d8abeea501p-7, -0x1.4bb106a96ed78p-7, -0x1.42f96a68270e2p-7, -0x1.3a75b2858cfeap-7, -0x1.3224df0e429aap-7, -0x1.2a05f38f4854dp-7, -0x1.2217f713b4155p-7, -0x1.1a59f422235bdp-7, -0x1.12caf8b9df8dfp-7, -0x1.0b6a164fa5aabp-7, -0x1.043661ca15bf8p-7, -0x1.fa5de6fbeaa8dp-8, -0x1.eca5ce542208bp-8, -0x1.df42b7e5bf311p-8, -0x1.d232e8bbcd966p-8, -0x1.c574ac99b670ap-8, -0x1.b90655f12689bp-8, -0x1.ace63dd736e5ep-8, -0x1.a112c3f99523bp-8, -0x1.958a4e92c74d7p-8, -0x1.8a4b4a5e7c0ccp-8, -0x1.7f542a8d33f47p-8, -0x1.74a368b7a4b3ep-8, -0x1.6a3784d1c9892p-8, -0x1.600f051d99114p-8, -0x1.5628761d83ec7p-8, -0x1.4c826a869e197p-8, -0x1.431b7b3277dp-8, -0x1.39f24710b3ee2p-8, -0x1.31057318ad5p-8, -0x1.2853aa3a48c4fp-8, -0x1.1fdb9d4f475e8p-8, -0x1.179c030bef04ep-8, -0x1.0f9397ef98ddfp-8, -0x1.07c11e354dc7p-8, -0x1.00235dc3ec4eep-8, -0x1.f172483ceb0dep-9, -0x1.e30288a837411p-9, -0x1.d4f52de01d582p-9, -0x1.c747f3d304f85p-9, -0x1.b9f8a126b8ddbp-9, -0x1.ad050717ad98cp-9, -0x1.a06b0158589fcp-9, -0x1.942875f070db6p-9, -0x1.883b551ba0c63p-9, -0x1.7ca19928ca59ep-9, -0x1.71594658e998ap-9, -0x1.66606abdc2bc1p-9, -0x1.5bb51e18fb596p-9, -0x1.515581bae4b62p-9, -0x1.473fc0613d1a7p-9, -0x1.3d720e16624b5p-9, -0x1.33eaa810229fcp-9, -0x1.2aa7d48e7af35p-9, -0x1.21a7e2bb8f47dp-9, -0x1.18e92a89d1d8dp-9, -0x1.106a0c9425f65p-9, -0x1.0828f1fcee772p-9, -0x1.00244c4d89f1bp-9, -0x1.f0b52aaca7a0ap-10, -0x1.e1949e1c9223dp-10, -0x1.d2e406e663cd5p-10, -0x1.c4a088d34fa9ap-10, -0x1.b6c7573b0a46fp-10, -0x1.a955b4c54cebcp-10, -0x1.9c48f32b021bdp-10, -0x1.8f9e72f7e3d4ep-10, -0x1.8353a34de0a7bp-10, -0x1.776601a6eedf6p-10, -0x1.6bd319993fa51p-10, -0x1.6098849a1f3ep-10, -0x1.55b3e9c328e39p-10, -0x1.4b22fd96407b7p-10, -0x1.40e381c389374p-10, -0x1.36f344eed3f8ap-10, -0x1.2d502276296f9p-10, -0x1.23f802388c841p-10, -0x1.1ae8d85dadb0dp-10, -0x1.1220a51dbde4dp-10, -0x1.099d748a00ccp-10, -0x1.015d5e564a115p-10, -0x1.f2bd0b44ad335p-11, -0x1.e33e31895a71p-11, -0x1.d43aa22989e31p-11, -0x1.c5aee56ebff5p-11, -0x1.b79798d4d1ba6p-11, -0x1.a9f16ea2c428p-11, -0x1.9cb92d868027bp-11, -0x1.8febb0304c59fp-11, -0x1.8385e4f04e1b6p-11, -0x1.7784cd549626cp-11, -0x1.6be57dc929386p-11, -0x1.60a51d389c69cp-11, -0x1.55c0e4af179d9p-11, -0x1.4b361efc6edc3p-11, -0x1.41022859efec1p-11, -0x1.37226e1056de6p-11, -0x1.2d946e1dca442p-11, -0x1.2455b6e002bd6p-11, -0x1.1b63e6bc8f859p-11, -0x1.12bcabcc88c0ap-11, -0x1.0a5dc3889c87p-11, -0x1.0244fa76220dep-11, -0x1.f4e057ac3629cp-12, -0x1.e5ba82aa3af85p-12, -0x1.d71465780e22ap-12, -0x1.c8ea0b45c9f88p-12, -0x1.bb379a47f3972p-12, -0x1.adf9532107adbp-12, -0x1.a12b904d64fcdp-12, -0x1.94cac59279ce9p-12, -0x1.88d37f6e3f573p-12, -0x1.7d42628a7f9d4p-12, -0x1.72142b32583cap-12, -0x1.6745acc9688e2p-12, -0x1.5cd3d146abb6p-12, -0x1.52bb98aea71bcp-12, -0x1.48fa189502401p-12, -0x1.3f8c7b9a1bc05p-12, -0x1.367000efc8383p-12, -0x1.2da1fbde3bebbp-12, -0x1.251fd34ab5738p-12, -0x1.1ce701416f6e9p-12, -0x1.14f512814e41fp-12, -0x1.0d47a6094edadp-12, -0x1.05dc6ca89c21ap-12, -0x1.fd625120b45a9p-13, -0x1.ef8759cf18303p-13, -0x1.e223bac40acd9p-13, -0x1.d5335bac46ad4p-13, -0x1.c8b243b29c9ccp-13, -0x1.bc9c98b4c8913p-13, -0x1.b0ee9e80a37dcp-13, -0x1.a5a4b6123e749p-13, -0x1.9abb5cd941c33p-13, -0x1.902f2bfe83e8p-13, -0x1.85fcd7af3c46ap-13, -0x1.7c212e6bc817ap-13, -0x1.72991859b41cep-13, -0x1.696196987595ap-13, -0x1.6077c29b2a541p-13, -0x1.57d8cd851761fp-13, -0x1.4f81ff88e1b46p-13, -0x1.4770b74d83f2dp-13, -0x1.3fa26952a04f8p-13, -0x1.38149f5c49b37p-13, -0x1.30c4f7ddfcda3p-13, -0x1.29b1256cbfb02p-13, -0x1.22d6ee30d3b4cp-13, -0x1.1c342b5da0d56p-13, -0x1.15c6c8a8f6f27p-13, -0x1.0f8cc3c96d8cap-13, -0x1.09842bf4480c3p-13, -0x1.03ab21604288bp-13, -0x1.fbffa99425098p-14, -0x1.f1010df91f031p-14, -0x1.e65710b4e1cc5p-14, -0x1.dbfe70d7bdf7bp-14, -0x1.d1f40adc190f9p-14, -0x1.c834d7cc4c8dep-14, -0x1.bebdec6a679d2p-14, -0x1.b58c7862622f9p-14, -0x1.ac9dc5791c6e3p-14, -0x1.a3ef36ca1a5f6p-14, -0x1.9b7e4800bd8cep-14, -0x1.93488c9d220fep-14, -0x1.8b4baf3a356d8p-14, -0x1.838570d76ea1cp-14, -0x1.7bf3a829eda39p-14, -0x1.749440f06166dp-14, -0x1.6d653b4a4672cp-14, -0x1.6664ab15e4279p-14, -0x1.5f90b74f40453p-14, -0x1.58e799754aeb4p-14, -0x1.52679cf1cfd32p-14, -0x1.4c0f1e86f030ep-14, -0x1.45dc8bbe49aecp-14, -0x1.3fce625cd4032p-14, -0x1.39e32fdb4b287p-14, -0x1.341990e093106p-14, -0x1.2e7030bf76168p-14, -0x1.28e5c8faaadffp-14, -0x1.237920c8085c2p-14, -0x1.1e290c9af7d1p-14, -0x1.18f46daf1ebf2p-14, -0x1.13da31975e476p-14, -0x1.0ed951d0c6cbep-14, -0x1.09f0d3571fa02p-14, -0x1.051fc63cd4483p-14, -0x1.006545470c874p-14, -0x1.f780eb142ccb1p-15, -0x1.ee610c14df27fp-15, -0x1.e5695ec048b2ep-15, -0x1.dc9866b8df009p-15, -0x1.d3ecb96660759p-15, -0x1.cb64fd49455e2p-15, -0x1.c2ffe95876671p-15, -0x1.babc445eb712p-15, -0x1.b298e4601347bp-15, -0x1.aa94ae0402145p-15, -0x1.a2ae9401fd74p-15, -0x1.9ae5969501b19p-15, -0x1.9338c2f0a49e4p-15, -0x1.8ba732bb5d2afp-15, -0x1.84300b8e487d4p-15, -0x1.7cd27e77a54afp-15, -0x1.758dc7810549bp-15, -0x1.6e612d3ae95e4p-15, -0x1.674c004ac63fcp-15, -0x1.604d9af9dcf4ap-15, -0x1.596560cee5338p-15, -0x1.5292be2325ea7p-15, -0x1.4bd527c09a6cp-15, -0x1.452c1a81c007fp-15, -0x1.3e971af2e3592p-15, -0x1.3815b4f865c05p-15, -0x1.31a77b77055ccp-15, -0x1.2b4c07ff8726ep-15, -0x1.2502fa7e54029p-15, -0x1.1ecbf8ec88ea4p-15, -0x1.18a6af030a505p-15, -0x1.1292cdf2fbc3ap-15, -0x1.0c900c1cd0bbap-15, -0x1.069e24ce31821p-15, -0x1.00bcd7ff48128p-15, -0x1.f5d7d4266527ep-16, -0x1.ea56473845128p-16, -0x1.def4a2417446dp-16, -0x1.d3b285c364b6cp-16, -0x1.c88f9948daaacp-16, -0x1.bd8b8afeb4842p-16, -0x1.b2a60f4b469b8p-16, -0x1.a7dee072d3909p-16, -0x1.9d35be3711d44p-16, -0x1.92aa6d7f010edp-16, -0x1.883cb7ff3389bp-16, -0x1.7dec6bea91f8dp-16, -0x1.73b95b9ff1044p-16, -0x1.69a35d61c82b7p-16, -0x1.5faa4b0cfc4ffp-16, -0x1.55ce01d182f22p-16, -0x1.4c0e61f2604bdp-16, -0x1.426b4e832e30dp-16, -0x1.38e4ad2ec988p-16, -0x1.2f7a65fa04de7p-16, -0x1.262c630e1e549p-16, -0x1.1cfa90845cfa7p-16, -0x1.13e4dc32ab186p-16, -0x1.0aeb357b97a46p-16, -0x1.020d8d1f1bb77p-16, -0x1.f297aa268be2fp-17, -0x1.e14c00abb3172p-17, -0x1.d038058fcb633p-17, -0x1.bf5ba21303378p-17, -0x1.aeb6c0a8704b3p-17, -0x1.9e494cb499e5bp-17, -0x1.8e13324e8195cp-17, -0x1.7e145e02db13dp-17, -0x1.6e4cbc9c91b4ap-17, -0x1.5ebc3af0ce416p-17, -0x1.4f62c5ad9bab6p-17, -0x1.4040492759ca5p-17, -0x1.3154b12f53d0dp-17, -0x1.229fe8e992e69p-17, -0x1.1421daa73be95p-17, -0x1.05da6fc155f48p-17, -0x1.ef9320f2a0ee2p-18, -0x1.d3de47b2ebab2p-18, -0x1.b8961f3103d79p-18, -0x1.9dba6ffd9f5ccp-18, -0x1.834aff953f90dp-18, -0x1.694790451a1a8p-18, -0x1.4fafe0ef315b1p-18, -0x1.3683acf232c9ep-18, -0x1.1dc2ac050fe46p-18, -0x1.056c921c15c2bp-18, -0x1.db021e8fc9675p-19, -0x1.abff9f44d1b69p-19, -0x1.7dd0f67c8517cp-19, }}, 
      {{0x1.acaa6f0e9ef68p-1, 0x1.ac802d570caa5p-1, 0x1.ac3a304a27895p-1, 0x1.abd919e94262fp-1, 0x1.ab5dc19678e4p-1, 0x1.aac92b8fd1ee1p-1, 0x1.aa1c803b94feep-1, 0x1.a95903bd4aab6p-1, 0x1.a8800e1cfbea3p-1, 0x1.a793042a43e41p-1, 0x1.a693512ed2dc3p-1, 0x1.a582617513bb8p-1, 0x1.a4619d9ddff78p-1, 0x1.a33266b9fb9c6p-1, 0x1.a1f613186927fp-1, 0x1.a0adebb8c4d79p-1, 0x1.9f5b2a503450bp-1, 0x1.9dfef7cf9eaf2p-1, 0x1.9c9a6b5a943e3p-1, 0x1.9b2e899f5fc9bp-1, 0x1.99bc4481e80dfp-1, 0x1.98447b0c617fcp-1, 0x1.96c7f99a1d218p-1, 0x1.95477a320dd18p-1, 0x1.93c3a507d3c6fp-1, 0x1.923d111b49724p-1, 0x1.90b444ef92a79p-1, 0x1.8f29b753ab6ap-1, 0x1.8d9dd0374dd54p-1, 0x1.8c10e987c9063p-1, 0x1.8a8350111d5e1p-1, 0x1.88f544603f716p-1, 0x1.8766fba3f87afp-1, 0x1.85d8a08a4a014p-1, 0x1.844a5418a2d06p-1, 0x1.82bc2e7d949c2p-1, 0x1.812e3fdaf9654p-1, 0x1.7fa09107c63cp-1, 0x1.7e132448fbc82p-1, 0x1.7c85f6015211ep-1, 0x1.7af8fd576c4efp-1, 0x1.796c2cd27c4b4p-1, 0x1.77df72ed5b25p-1, 0x1.7652baa03624ep-1, 0x1.74c5ebe0fcffbp-1, 0x1.7338ec1acedbap-1, 0x1.71ab9e9cb1864p-1, 0x1.701de4ffe3571p-1, 0x1.6e8f9f861f445p-1, 0x1.6d00ad7032296p-1, 0x1.6b70ed4d3eec7p-1, 0x1.69e03d4314e87p-1, 0x1.684e7b4ff4f7bp-1, 0x1.66bb85862aeffp-1, 0x1.65273a41d7416p-1, 0x1.6391785945f84p-1, 0x1.61fa1f482cd6cp-1, 0x1.60610f5627656p-1, 0x1.5ec629b8c64c4p-1, 0x1.5d2950b17f236p-1, 0x1.5b8a67a7caccdp-1, 0x1.59e9533fbbc94p-1, 0x1.5845f96d4eb92p-1, 0x1.56a04184b96d4p-1, 0x1.54f81447f33e6p-1, 0x1.534d5bf1b3242p-1, 0x1.51a0043e16902p-1, 0x1.4feffa7126b59p-1, 0x1.4e3d2d5b6b83cp-1, 0x1.4c878d5cb7a6cp-1, 0x1.4acf0c6556747p-1, 0x1.49139df5c66f3p-1, 0x1.4755371d1d659p-1, 0x1.4593ce763edcbp-1, 0x1.43cf5c23fe10ap-1, 0x1.4207d9cc4a8a9p-1, 0x1.403d429282938p-1, 0x1.3e6f9311002cfp-1, 0x1.3c9ec951fc0e3p-1, 0x1.3acae4c7d8757p-1, 0x1.38f3e644e52bfp-1, 0x1.3719cff2b39bep-1, 0x1.353ca5490667ap-1, 0x1.335c6b046c8fdp-1, 0x1.3179271c95ca4p-1, 0x1.2f92e0ba6f6e4p-1, 0x1.2da9a02e0e5d2p-1, 0x1.2bbd6ee477b5bp-1, 0x1.29ce575d4dd2bp-1, 0x1.27dc6520697ebp-1, 0x1.25e7a4b36baep-1, 0x1.23f0238f47be8p-1, 0x1.21f5f015d4f92p-1, 0x1.1ff91987671d1p-1, 0x1.1df9aff87454bp-1, 0x1.1bf7c4475046cp-1, 0x1.19f36811fd256p-1, 0x1.17ecadac1839cp-1, 0x1.15e3a814e61a5p-1, 0x1.13d86aed7f6c8p-1, 0x1.11cb0a6f22d07p-1, 0x1.0fbb9b61ae61ep-1, 0x1.0daa33124095dp-1, 0x1.0b96e74a070d7p-1, 0x1.0981ce4537a27p-1, 0x1.076afeaa38497p-1, 0x1.05528f80f755cp-1, 0x1.0338982a72ccp-1, 0x1.011d30587167dp-1, 0x1.fe00e00adcda2p-2, 0x1.f9c4ded96c968p-2, 0x1.f5868e0570ef5p-2, 0x1.f1461edb14a38p-2, 0x1.ed03c2fb3d9c5p-2, 0x1.e8bfac4d640ebp-2, 0x1.e47a0cf1cc912p-2, 0x1.e03317342f446p-2, 0x1.dbeafd7ebfbd3p-2, 0x1.d7a1f24d9f5dap-2, 0x1.d3582822b383ap-2, 0x1.cf0dd179dffe8p-2, 0x1.cac320bda71cdp-2, 0x1.c678483c2c3dep-2, 0x1.c22d7a1c97961p-2, 0x1.bde2e854de39cp-2, 0x1.b998c49fe450cp-2, 0x1.b54f407406342p-2, 0x1.b1068cf9f6de8p-2, 0x1.acbedb0400e04p-2, 0x1.a8785b059ed95p-2, 0x1.a4333d0b6d3aep-2, 0x1.9fefb0b377f4p-2, 0x1.9bade525d89aap-2, 0x1.976e090db00edp-2, 0x1.93304a92702ap-2, 0x1.8ef4d75175e9bp-2, 0x1.8abbdc57f9cdfp-2, 0x1.8685861d4a1b2p-2, 0x1.8252007d54458p-2, 0x1.7e2176b37b54bp-2, 0x1.79f41355b6d7cp-2, 0x1.75ca004ffc9e1p-2, 0x1.71a366dfedba4p-2, 0x1.6d806f90cf9b5p-2, 0x1.69614237c1d73p-2, 0x1.654605f03c864p-2, 0x1.612ee118ca6fdp-2, 0x1.5d1bf95007614p-2, 0x1.590d7371d7b28p-2, 0x1.55037394df8fcp-2, 0x1.50fe1d0832ff3p-2, 0x1.4cfd92513f845p-2, 0x1.4901f529ed2d5p-2, 0x1.450b667ef69a7p-2, 0x1.411a066e747a3p-2, 0x1.3d2df4469dcc8p-2, 0x1.39474e84b6c43p-2, 0x1.356632d4346f8p-2, 0x1.318abe0e0a287p-2, 0x1.2db50c382a09fp-2, 0x1.29e538852ba7dp-2, 0x1.261b5d5420847p-2, 0x1.2257943093a03p-2, 0x1.1e99f5d2ab56fp-2, 0x1.1ae29a1f77a8dp-2, 0x1.1731982963424p-2, 0x1.13870630c5effp-2, 0x1.0fe2f9a49f8a2p-2, 0x1.0c4587236f04ap-2, 0x1.08aec27c2caedp-2, 0x1.051ebeaf62cbfp-2, 0x1.01958df061e0dp-2, 0x1.fc26834d2b19cp-3, 0x1.f52fd4dde4095p-3, 0x1.ee47303af7de9p-3, 0x1.e76cb37dd38d2p-3, 0x1.e0a07b34bd71ep-3, 0x1.d9e2a266746fp-3, 0x1.d3334295fcc4bp-3, 0x1.cc9273c697232p-3, 0x1.c6004c7fe1137p-3, 0x1.bf7ce1d2150b9p-3, 0x1.b908475a73d91p-3, 0x1.b2a28f47d13bbp-3, 0x1.ac4bca5f383f5p-3, 0x1.a6040800b487ep-3, 0x1.9fcb562c36004p-3, 0x1.99a1c1868fcep-3, 0x1.9387555e8d42dp-3, 0x1.8d7c1bb21e8d3p-3, 0x1.87801d339d29bp-3, 0x1.8193614f23ad7p-3, 0x1.7bb5ee2ff2c31p-3, 0x1.75e7c8c5eec82p-3, 0x1.7028f4cb2392ep-3, 0x1.6a7974c95e35fp-3, 0x1.64d94a1fcc0a8p-3, 0x1.5f487508aa713p-3, 0x1.59c6f49efa17cp-3, 0x1.5454c6e44132dp-3, 0x1.4ef1e8c64cd61p-3, 0x1.499e5624fdbc5p-3, 0x1.445a09d817b2ap-3, 0x1.3f24fdb513a77p-3, 0x1.39ff2a94f37bbp-3, 0x1.34e8885a1958cp-3, 0x1.2fe10df61b81bp-3, 0x1.2ae8b16f9824ap-3, 0x1.25ff67e80aee4p-3, 0x1.212525a1972ep-3, 0x1.1c59de04d6608p-3, 0x1.179d83a69fb01p-3, 0x1.12f0084dc243ap-3, 0x1.0e515cf8c697ap-3, 0x1.09c171e39c7cp-3, 0x1.0540368d43cc2p-3, 0x1.00cd99bd7444ap-3, 0x1.f8d313145b341p-4, 0x1.f027e6ba94652p-4, 0x1.e79987f3fecedp-4, 0x1.df27cf04abb66p-4, 0x1.d6d292f92234p-4, 0x1.ce99a9b12222dp-4, 0x1.c67ce7ea405c8p-4, 0x1.be7c214a731fcp-4, 0x1.b697286a727c1p-4, 0x1.aecdcee00aaa3p-4, 0x1.a71fe54845ee9p-4, 0x1.9f8d3b517f9dp-4, 0x1.98159fc54cb6fp-4, 0x1.90b8e0924d505p-4, 0x1.8976cad5d8a99p-4, 0x1.824f2ae586ce2p-4, 0x1.7b41cc589a2e5p-4, 0x1.744e7a1141d18p-4, 0x1.6d74fe45be812p-4, 0x1.66b522895c7fap-4, 0x1.600eafd54ea3bp-4, 0x1.59816e916291fp-4, 0x1.530d269c8e9cep-4, 0x1.4cb19f555bef2p-4, 0x1.466e9fa2294cap-4, 0x1.4043edf94a787p-4, 0x1.3a315068ff7dfp-4, 0x1.34368c9f4464ep-4, 0x1.2e5367f17e6acp-4, 0x1.2887a763fed5dp-4, 0x1.22d30fb160d77p-4, 0x1.1d356551c05fcp-4, 0x1.17ae6c81cbffdp-4, 0x1.123de949ad74ep-4, 0x1.0ce39f83cacafp-4, 0x1.079f52e367d51p-4, 0x1.0270c6fb1771ep-4, 0x1.faaf7e861b599p-5, 0x1.f0a7fe3e90b4dp-5, 0x1.e6ca93cb27a3dp-5, 0x1.dd16c5c6cebap-5, 0x1.d38c1ac73b894p-5, 0x1.ca2a19680e534p-5, 0x1.c0f04855af02dp-5, 0x1.b7de2e57ddcafp-5, 0x1.aef3525bf65ecp-5, 0x1.a62f3b7ef53c1p-5, 0x1.9d9171172a479p-5, 0x1.95197abda8e92p-5, 0x1.8cc6e0576e9fp-5, 0x1.84992a1e4af0bp-5, 0x1.7c8fe0a97458p-5, 0x1.74aa8cf5e6fbfp-5, 0x1.6ce8b86e75a8dp-5, 0x1.6549ecf39c284p-5, 0x1.5dcdb4e30f734p-5, 0x1.56739b1f083a2p-5, 0x1.4f3b2b1553b88p-5, 0x1.4823f0c61d1d3p-5, 0x1.412d78ca7effap-5, 0x1.3a57505ad2b0fp-5, 0x1.33a10554c3bc1p-5, 0x1.2d0a2641262d5p-5, 0x1.269242599434cp-5, 0x1.2038e98dce35bp-5, 0x1.19fdac88e6698p-5, 0x1.13e01cb62a5dp-5, 0x1.0ddfcc45e5058p-5, 0x1.07fc4e31d6f34p-5, 0x1.0235364188dd6p-5, 0x1.f914321cc4bd4p-6, 0x1.edf5180f1cc18p-6, 0x1.e30c4aeb54cfbp-6, 0x1.d858f8fc97fd4p-6, 0x1.cdda524e97761p-6, 0x1.c38f88b3cd7c4p-6, 0x1.b977cfcb5c7bdp-6, 0x1.af925d069f4e1p-6, 0x1.a5de67ae4b029p-6, 0x1.9c5b28e74a494p-6, 0x1.9307dbb74033p-6, 0x1.89e3bd08ae0edp-6, 0x1.80ee0baed2348p-6, 0x1.7826086933c67p-6, 0x1.6f8af5e6dab62p-6, 0x1.671c18c94657ap-6, 0x1.5ed8b7a70ecf1p-6, 0x1.56c01b0e44591p-6, 0x1.4ed18d8687806p-6, 0x1.470c5b92d8d8fp-6, 0x1.3f6fd3b32f06ap-6, 0x1.37fb4665bdf48p-6, 0x1.30ae062807dcbp-6, 0x1.29876777b1cbap-6, 0x1.2286c0d3154ap-6, 0x1.1bab6ab99d3fcp-6, 0x1.14f4bfabe9236p-6, 0x1.0e621c2bb7dd4p-6, 0x1.07f2debb9f4d6p-6, 0x1.01a667de8e55p-6, 0x1.f6f8342e4247ep-7, 0x1.eae6b3cd790b1p-7, 0x1.df171b990d65dp-7, 0x1.d3883c884fb3p-7, 0x1.c838eb88c3a2fp-7, 0x1.bd28017b13236p-7, 0x1.b2545b2f78c3ep-7, 0x1.a7bcd9621d6f4p-7, 0x1.9d6060b6f6135p-7, 0x1.933dd9b575a73p-7, 0x1.895430c3f1c9dp-7, 0x1.7fa25622b8911p-7, 0x1.76273de6fc1f2p-7, 0x1.6ce1dff566f6bp-7, 0x1.63d137fc877efp-7, 0x1.5af4456f01d3p-7, 0x1.524a0b7d6ff19p-7, 0x1.49d191103811cp-7, 0x1.4189e0c118615p-7, 0x1.397208d475d1dp-7, 0x1.31891b329fec1p-7, 0x1.29ce2d60cef8fp-7, 0x1.2240587a0628ap-7, 0x1.1adeb927c507ep-7, 0x1.13a86f9aa0c07p-7, 0x1.0c9c9f82b1703p-7, 0x1.05ba7007db9d2p-7, 0x1.fe0217840d9b9p-8, 0x1.f0df41626ae55p-8, 0x1.e40ac06adb553p-8, 0x1.d782fe0d5070ap-8, 0x1.cb466a5920ec6p-8, 0x1.bf537bec6c6e4p-8, 0x1.b3a8afe36449fp-8, 0x1.a84489c75337ap-8, 0x1.9d25937d9b797p-8, 0x1.924a5d367fcd9p-8, 0x1.87b17d5bf5f29p-8, 0x1.7d5990803b3eep-8, 0x1.7341394c5cd5ap-8, 0x1.6967206eb0f0ep-8, 0x1.5fc9f4894ec33p-8, 0x1.56686a20595p-8, 0x1.4d413b884f9d2p-8, 0x1.445328d4611d5p-8, 0x1.3b9cf7c4994a3p-8, 0x1.331d73b4256bep-8, 0x1.2ad36d87942ebp-8, 0x1.22bdbb9aff8d6p-8, 0x1.1adb39b05a31bp-8, 0x1.132ac8dd9ac69p-8, 0x1.0bab4f7b0dda1p-8, 0x1.045bb911a4164p-8, 0x1.fa75ec9287b6ap-9, 0x1.ec8ff9ae610b6p-9, 0x1.df038ed8d555ep-9, 0x1.d1ceab489fe6fp-9, 0x1.c4ef57e5f8ef8p-9, 0x1.b863a7282be5fp-9, 0x1.ac29b4f2b9f3bp-9, 0x1.a03fa6730f50ep-9, 0x1.94a3a9fe3db19p-9, 0x1.8953f6eed5184p-9, 0x1.7e4ecd8309c91p-9, 0x1.739276baf541cp-9, 0x1.691d443723c1fp-9, 0x1.5eed9017511cbp-9, 0x1.5501bcd94cf23p-9, 0x1.4b58353831aa7p-9, 0x1.41ef6c0bc3683p-9, 0x1.38c5dc28305f9p-9, 0x1.2fda083ddcff3p-9, 0x1.272a7ab9b0741p-9, 0x1.1eb5c5a559daep-9, 0x1.167a82882b311p-9, 0x1.0e775247f204fp-9, 0x1.06aadd0a58615p-9, 0x1.fe27a42c9114fp-10, 0x1.ef61cf6bb66ddp-10, 0x1.e101b630cf1e7p-10, 0x1.d304e069d17ecp-10, 0x1.c568e3597a14fp-10, 0x1.b82b615d1acd1p-10, 0x1.ab4a09b3870b9p-10, 0x1.9ec29843eedbap-10, 0x1.9292d565e47b5p-10, 0x1.86b895a9f0e44p-10, 0x1.7b31b9a26be2dp-10, 0x1.6ffc2dad3d3c6p-10, 0x1.6515e9be48f91p-10, 0x1.5a7cf12a60886p-10, 0x1.502f5272dcc8ap-10, 0x1.462b2711bce92p-10, 0x1.3c6e9346b51e4p-10, 0x1.32f7c5e48b045p-10, 0x1.29c4f81f5c335p-10, 0x1.20d46d5b4c676p-10, 0x1.182472fbfe52ep-10, 0x1.0fb36034b7934p-10, 0x1.077f95d8e8dacp-10, 0x1.ff0efc5b68a8ep-11, 0x1.ef93197799811p-11, 0x1.e0887c4416602p-11, 0x1.d1ec2fd195d1ap-11, 0x1.c3bb50ab5b16fp-11, 0x1.b5f30c806269dp-11, 0x1.a890a1cd6530dp-11, 0x1.9b915f889e89ep-11, 0x1.8ef2a4ce3e918p-11, 0x1.82b1e08ec4f4dp-11, 0x1.76cc913dbac33p-11, 0x1.6b4044828a426p-11, 0x1.600a96e9cb2d8p-11, 0x1.5529339858854p-11, 0x1.4a99d3ff28b3fp-11, 0x1.405a3f909c2b9p-11, 0x1.36684b76e86abp-11, 0x1.2cc1da4b88aa2p-11, 0x1.2364dbd0212fdp-11, 0x1.1a4f4ca83038bp-11, 0x1.117f361460d1fp-11, 0x1.08f2adae42cd1p-11, 0x1.00a7d526089dep-11, 0x1.f139b4011a1b6p-12, 0x1.e19feaae06d87p-12, 0x1.d27ed72f0f9cap-12, 0x1.c3d3188d6d11cp-12, 0x1.b59963850a018p-12, 0x1.a7ce820bd109cp-12, 0x1.9a6f52db7a46bp-12, 0x1.8d78c8fd90e49p-12, 0x1.80e7eb58d7f94p-12, 0x1.74b9d4414b401p-12, 0x1.68ebb10a2f34cp-12, 0x1.5d7ac19968247p-12, 0x1.526457fddd44cp-12, 0x1.47a5d806b29d1p-12, 0x1.3d3cb6dd155d6p-12, 0x1.33267a9fef0b1p-12, 0x1.2960ba00fc044p-12, 0x1.1fe91be444b2ap-12, 0x1.16bd57012b9dfp-12, 0x1.0ddb3184e4af3p-12, 0x1.054080b7a2014p-12, 0x1.f9d6514542d96p-13, 0x1.e9b237708395p-13, 0x1.da10b4fbb18b8p-13, 0x1.caede66e88909p-13, 0x1.bc460327c5adfp-13, 0x1.ae155cbaa1fc2p-13, 0x1.a0585e5001f03p-13, 0x1.930b8c09b47bdp-13, 0x1.862b826a2ccb9p-13, 0x1.79b4f5bdd23e6p-13, 0x1.6da4b1889c248p-13, 0x1.61f797f5fe2afp-13, 0x1.56aaa14c07882p-13, 0x1.4bbadb60edda8p-13, 0x1.41256914d1caep-13, 0x1.36e781cbe074dp-13, 0x1.2cfe70edeaba1p-13, 0x1.23679566d776p-13, 0x1.1a20612a1099ap-13, 0x1.112658b99ad5p-13, 0x1.087712ae68807p-13, 0x1.001037445378ep-13, 0x1.efdeffcf0b278p-14, 0x1.e0256d8a4814cp-14, 0x1.d0ef6cbc8e227p-14, 0x1.c238d23a2f8bdp-14, 0x1.b3fd91d80a491p-14, 0x1.a639bda08f53bp-14, 0x1.98e9850afd0d5p-14, 0x1.8c093438004p-14, 0x1.7f953332e9244p-14, 0x1.738a053734a4ep-14, 0x1.67e447f8baccbp-14, 0x1.5ca0b2f2d416ap-14, 0x1.51bc16b8f9c3bp-14, 0x1.47335c4c63f3cp-14, 0x1.3d038475fbcf9p-14, 0x1.3329a723176cfp-14, 0x1.29a2f2c6a6976p-14, 0x1.206cabbd8a0fep-14, 0x1.17842bb7f0206p-14, 0x1.0ee6e1241dfacp-14, 0x1.06924e9ee95f5p-14, 0x1.fd0814c9e833dp-15, 0x1.ed737b93baa1p-15, 0x1.de624963732bcp-15, 0x1.cfd01a193c75bp-15, 0x1.c1b8acae80b98p-15, 0x1.b417e23b73811p-15, 0x1.a6e9bd02ae5c6p-15, 0x1.9a2a5f81f6696p-15, 0x1.8dd60b8aa0d13p-15, 0x1.81e9215ddda12p-15, 0x1.76601ed09c8e1p-15, 0x1.6b379e71da87bp-15, 0x1.606c56b9e9ef5p-15, 0x1.55fb193d86dcep-15, 0x1.4be0d1e364c6ep-15, 0x1.421a862369258p-15, 0x1.38a5544747e2cp-15, 0x1.2f7e72b133842p-15, 0x1.26a32f27d23f2p-15, 0x1.1e10ee2511527p-15, 0x1.15c52a2c1881ep-15, 0x1.0dbd7321cbdb7p-15, 0x1.05f76da8e7d1fp-15, 0x1.fce1a509761e6p-16, 0x1.ee4edbfc26cd7p-16, 0x1.e0323e98e4d78p-16, 0x1.d287b007760b4p-16, 0x1.c54b370cf8154p-16, 0x1.b878fcf5fe5c5p-16, 0x1.ac0d4c8627396p-16, 0x1.a00490f2c3eeep-16, 0x1.945b54e1a3dedp-16, 0x1.890e4171eac4cp-16, 0x1.7e1a1d466b53ep-16, 0x1.737bcb9d80fe5p-16, 0x1.69304b68bf38fp-16, 0x1.5f34b6707a5eep-16, 0x1.558640797c261p-16, 0x1.4c22367159c02p-16, 0x1.4305fda221f7bp-16, 0x1.3a2f12eab1b15p-16, 0x1.319b09fc68b98p-16, 0x1.29478c9f36081p-16, 0x1.213259faf3bcdp-16, 0x1.195945e541274p-16, 0x1.11ba383475c41p-16, 0x1.0a532c16e879bp-16, 0x1.03222f70c50dfp-16, 0x1.f84ac47a05c6p-17, 0x1.eab5ebe86e725p-17, 0x1.dd8259eb14b76p-17, 0x1.d0acb3ef31019p-17, 0x1.c431bef738fb6p-17, 0x1.b80e5e86e5f67p-17, 0x1.ac3f939b7583ap-17, 0x1.a0c27baa2b29bp-17, 0x1.95944fa5de6dfp-17, 0x1.8ab2630bf44d7p-17, 0x1.801a22fba4948p-17, 0x1.75c9154fca9bap-17, 0x1.6bbcd7c5327f8p-17, 0x1.61f31f21526d7p-17, 0x1.5869b663ea038p-17, 0x1.4f1e7dfc5c289p-17, 0x1.460f6b07f8015p-17, 0x1.3d3a86938b17cp-17, 0x1.349dece54111p-17, 0x1.2c37ccca0afd9p-17, 0x1.240666eb14a9p-17, 0x1.1c080d27ef019p-17, 0x1.143b21f34e8b7p-17, 0x1.0c9e17b83109dp-17, 0x1.052f704295468p-17, 0x1.fbdb7859ca696p-18, 0x1.edaf34a3f954fp-18, 0x1.dfd76e8c35fc4p-18, 0x1.d25199a18e5ddp-18, 0x1.c51b42dbd003bp-18, 0x1.b8320fa570593p-18, 0x1.ab93bce6888cbp-18, 0x1.9f3e1e229cdf3p-18, 0x1.932f1c95893p-18, 0x1.8764b65c81f4bp-18, 0x1.7bdcfda5a5491p-18, 0x1.709617e47d9e6p-18, 0x1.658e3d0fdbdc7p-18, 0x1.5ac3b6e86c296p-18, 0x1.5034e03fabd3fp-18, 0x1.45e0244a37291p-18, 0x1.3bc3fdf56c734p-18, 0x1.31def744ab69bp-18, 0x1.282fa8b1f7e8ap-18, 0x1.1eb4b898d1c21p-18, 0x1.156cdaa1d4e11p-18, 0x1.0c56cf35ee13dp-18, 0x1.037162f67d22ap-18, 0x1.f576dc767a76fp-19, 0x1.e467a920adbdep-19, 0x1.d3b30880b972p-19, 0x1.c356ebb91c13cp-19, 0x1.b3515799c73adp-19, 0x1.a3a063c40bc55p-19, 0x1.944239dcbb7edp-19, 0x1.853514c12ef43p-19, 0x1.76773fc5caca8p-19, 0x1.680715fd2ab1bp-19, 0x1.59e30185807dfp-19, 0x1.4c097ad9225e1p-19, 0x1.3e79082ccdfccp-19, 0x1.31303ccce67fp-19, 0x1.242db8884a06dp-19, 0x1.1770271d78f6ep-19, 0x1.0af63fad3b333p-19, 0x1.fd7d88689c7e3p-20, 0x1.e5910211ded1p-20, 0x1.ce2498c642b9fp-20, 0x1.b7360bbfd7521p-20, 0x1.a0c32c280f19ep-20, 0x1.8ac9dc3c098b6p-20, 0x1.75480e76dfd2ep-20, 0x1.603bc4ccc28a4p-20, 0x1.4ba30feab8a79p-20, 0x1.377c0e82899e3p-20, 0x1.23c4ec99db39ap-20, 0x1.107be2e20e715p-20, 0x1.fb3e6c3ff1a82p-21, 0x1.d65a6d0c2c38cp-21, 0x1.b2487e5eb7e94p-21, 0x1.8f056b152e58dp-21, 0x1.6c8e11b9b7d91p-21, 0x1.4adf6382bf5bbp-21, 0x1.29f663606ec7p-21, 0x1.09d0251703e24p-21, 0x1.d4d398d281981p-22, 0x1.978118829c70cp-22, 0x1.5ba34bef6f9f5p-22, 0x1.2134d11f4e4aap-22, 0x1.d060c01ae1b47p-23, 0x1.612192bb882cfp-23, 0x1.e943d42ca82afp-24, 0x1.15af85398660ep-24, 0x1.1dca16da23fa4p-26, -0x1.030d1a6979c6p-25, -0x1.454eca2aeae61p-24, -0x1.01fc7fcbd3c79p-23, -0x1.5ecbdb959741fp-23, -0x1.b91e9cab4bb7ep-23, -0x1.087ee4186133dp-22, -0x1.333922debbbb8p-22, -0x1.5cc2705a1a507p-22, -0x1.851f24d40c916p-22, -0x1.ac538bcabae7cp-22, -0x1.d263e4877263fp-22, -0x1.f75462a6c6c9ep-22, -0x1.0d9497500a86dp-21, -0x1.1ef3331df8f77p-21, -0x1.2fc80e7a43dcap-21, -0x1.40152e4169ddfp-21, -0x1.4fdc9290ac4b5p-21, -0x1.5f2036fc61e28p-21, -0x1.6de212b6fd55bp-21, -0x1.7c2418b92d983p-21, -0x1.89e837e31f80ap-21, -0x1.97305b1e23431p-21, -0x1.a3fe697bde446p-21, -0x1.b054465108758p-21, -0x1.bc33d1503dbe2p-21, -0x1.c79ee69980e1p-21, -0x1.d2975eda8a8b5p-21, -0x1.dd1f0f581ba58p-21, -0x1.e737c9fc35196p-21, -0x1.f0e35d6d3b881p-21, -0x1.fa23951706816p-21, -0x1.017d1c992b39p-20, -0x1.05b4876a34c2p-20, -0x1.09b8ebf958d08p-20, -0x1.0d8b29b5b7085p-20, -0x1.112c1e839e753p-20, -0x1.149ca6c1b705dp-20, -0x1.17dd9d4886872p-20, -0x1.1aefdb6d14413p-20, -0x1.1dd438ff66bcbp-20, -0x1.208b8c4cbd4dep-20, -0x1.2316aa1d0cc01p-20, -0x1.257665b4cff63p-20, -0x1.27ab90d299572p-20, -0x1.29b6fbadcffc2p-20, -0x1.2b9974f66271cp-20, -0x1.2d53c9d0e7352p-20, -0x1.2ee6c5d701016p-20, -0x1.305333133d952p-20, -0x1.3199d9ff0a458p-20, -0x1.32bb817f816aep-20, -0x1.33b8eee5004f9p-20, -0x1.3492e5e6db4c4p-20, -0x1.354a289f22099p-20, }}, 
      {{-0x1.989307233da75p-15, -0x1.98fe103e20e62p-13, -0x1.ccdc8cef9e522p-12, -0x1.9a84aa4df7bc7p-11, -0x1.4182b42c86d8fp-10, -0x1.d03ac34f41b4ap-10, -0x1.3cd304f0c8276p-9, -0x1.9ef8f4e7bb015p-9, -0x1.074de9fe9192p-8, -0x1.45dded57f3e9cp-8, -0x1.8b258bbc1e369p-8, -0x1.d7161f1fccacep-8, -0x1.14cc7e12c19a5p-7, -0x1.4147a90bf89b5p-7, -0x1.70e91d5117cfep-7, -0x1.a39978a0d60dfp-7, -0x1.d93d9572c8a9fp-7, -0x1.08db61b222414p-6, -0x1.2671848fb599ep-6, -0x1.454eb67b16868p-6, -0x1.655f20e494becp-6, -0x1.868dbb17dfe4bp-6, -0x1.a8c472179abfp-6, -0x1.cbec5010e54a2p-6, -0x1.efeda2dc70a02p-6, -0x1.0a581091d7bf2p-5, -0x1.1d0d86ee755b1p-5, -0x1.300aacf464ee7p-5, -0x1.4342e1d79580cp-5, -0x1.56a97a5460ef1p-5, -0x1.6a31ce677cae9p-5, -0x1.7dcf45fa5aaddp-5, -0x1.91756488a74dfp-5, -0x1.a517d3c5f4ecdp-5, -0x1.b8aa6d4c39c0ap-5, -0x1.cc21435cea31bp-5, -0x1.df70a8befd1fep-5, -0x1.f28d37c492ce3p-5, -0x1.02b5ec418b136p-4, -0x1.0c00e3244f932p-4, -0x1.15224a2cb5d47p-4, -0x1.1e151900029a9p-4, -0x1.26d476fd4aa0cp-4, -0x1.2f5bbca7e0abdp-4, -0x1.37a674ca9d02fp-4, -0x1.3fb05d58f8dcdp-4, -0x1.47756812e73fap-4, -0x1.4ef1baf02e75bp-4, -0x1.5621b057f187ep-4, -0x1.5d01d728e89e4p-4, -0x1.638ef296b2391p-4, -0x1.69c5f9e069757p-4, -0x1.6fa417e4916ap-4, -0x1.7526aa962490fp-4, -0x1.7a4b425671624p-4, -0x1.7f0fa13727f18p-4, -0x1.8371ba27ce75cp-4, -0x1.876fb0118ddc3p-4, -0x1.8b07d4e4185e7p-4, -0x1.8e38a89627795p-4, -0x1.9100d81bd51bdp-4, -0x1.935f3c54e193fp-4, -0x1.9552d8f4ba002p-4, -0x1.96dadb65e061cp-4, -0x1.97f699aa252b4p-4, -0x1.98a59138f21c8p-4, -0x1.98e765dcb938ep-4, -0x1.98bbe09075273p-4, -0x1.9822ee5e005f2p-4, -0x1.971c9f3dea9d9p-4, -0x1.95a924f94d398p-4, -0x1.93c8d20e14befp-4, -0x1.917c18960b74ap-4, -0x1.8ec38930ecc14p-4, -0x1.8b9fd1f1ad6a1p-4, -0x1.8811bd4f19eb8p-4, -0x1.841a3117e49b3p-4, -0x1.7fba2d6a29607p-4, -0x1.7af2cbae6db3cp-4, -0x1.75c53d961c5dfp-4, -0x1.7032cc1d7592cp-4, -0x1.6a3cd690e9339p-4, -0x1.63e4d195d599p-4, -0x1.5d2c4636986a5p-4, -0x1.5614d0f1f1dc8p-4, -0x1.4ea020cda3a83p-4, -0x1.46cff66c4e2c6p-4, -0x1.3ea62326804e4p-4, -0x1.36248826f4fd2p-4, -0x1.2d4d1589ffc1ap-4, -0x1.2421c98023f2ep-4, -0x1.1aa4af73dce73p-4, -0x1.10d7df32982dbp-4, -0x1.06bd7c18ec5f7p-4, -0x1.f8af68841c96ap-5, -0x1.e3517f7532795p-5, -0x1.cd65bf6d52fc6p-5, -0x1.b6f0bb96bc66ep-5, -0x1.9ff71657a5ccp-5, -0x1.887d7fd3218d4p-5, -0x1.7088b47137641p-5, -0x1.581d7b6e2e363p-5, -0x1.3f40a5713f688p-5, -0x1.25f70b2ac05a1p-5, -0x1.0c458bf9ee5dfp-5, -0x1.e4621934d5d5ep-6, -0x1.af7cebb324767p-6, -0x1.79e566a772bf9p-6, -0x1.43a56472ea698p-6, -0x1.0cc6c039e8216p-6, -0x1.aaa6a71e2b9dap-7, -0x1.3aa9e85dfb646p-7, -0x1.9355c7308cf38p-8, -0x1.5ef49f5ee834cp-9, 0x1.b0bd0583c6baap-11, 0x1.1d3945dda321dp-8, 0x1.02e20a477c2ffp-7, 0x1.77c8e0e229804p-7, 0x1.ed3e2501b93e4p-7, 0x1.31977e148198ep-6, 0x1.6cc45b3b4454fp-6, 0x1.a81c68ef76f4ap-6, 0x1.e3967ea32c51dp-6, 0x1.0f94c6de4c7bep-5, 0x1.2d665181096aep-5, 0x1.4b3b73fb08be4p-5, 0x1.690fd21196bdep-5, 0x1.86df1f2c27b8ap-5, 0x1.a4a51eeab08d7p-5, 0x1.c25da5b441456p-5, 0x1.e004993e1468p-5, 0x1.fd95f10b1d993p-5, 0x1.0d86db721e65ap-4, 0x1.1c3403a49c6d8p-4, 0x1.2ad088ed474d1p-4, 0x1.395a8cde28c07p-4, 0x1.47d03af913effp-4, 0x1.562fc8da42b44p-4, 0x1.6477765fa7a98p-4, 0x1.72a58dcd0a2c4p-4, 0x1.80b863ecead9cp-4, 0x1.8eae582e5df58p-4, 0x1.9c85d4bfd2621p-4, 0x1.aa3d4ea6e8e2bp-4, 0x1.b7d345d566e8ep-4, 0x1.c546453b51f1ap-4, 0x1.d294e2d653a4ap-4, 0x1.dfbdbfbe624f9p-4, 0x1.ecbf882fde77ap-4, 0x1.f998f393095ccp-4, 0x1.032462408d65fp-3, 0x1.0966e4637335ap-3, 0x1.0f936cb28ca6ep-3, 0x1.15a96d4724ec5p-3, 0x1.1ba85dd16270dp-3, 0x1.218fbb951690ep-3, 0x1.275f09658fff4p-3, 0x1.2d15cfa05aba3p-3, 0x1.32b39c2718aa3p-3, 0x1.3838025856c44p-3, 0x1.3da29b0788083p-3, 0x1.42f3047415a31p-3, 0x1.4828e23f97916p-3, 0x1.4d43dd633f6c7p-3, 0x1.5243a4247482dp-3, 0x1.5727ea08ad8cp-3, 0x1.5bf067c89528cp-3, 0x1.609cdb4273e99p-3, 0x1.652d076bf4162p-3, 0x1.69a0b4433acf5p-3, 0x1.6df7aebf6ba9ap-3, 0x1.7231c8c08d10fp-3, 0x1.764ed8fee455fp-3, 0x1.7a4ebaf9c4feep-3, 0x1.7e314ee5e08cfp-3, 0x1.81f6799b1bfdap-3, 0x1.859e2481ecca7p-3, 0x1.89283d804efefp-3, 0x1.8c94b6e64d5a9p-3, 0x1.8fe3875a2fbadp-3, 0x1.9314a9c4453e6p-3, 0x1.96281d3a67293p-3, 0x1.991de4eb1f6bdp-3, 0x1.9bf60808927a9p-3, 0x1.9eb091b31f403p-3, 0x1.a14d90e3c8887p-3, 0x1.a3cd185660d7ap-3, 0x1.a62f3e738b282p-3, 0x1.a8741d3a8b47ap-3, 0x1.aa9bd22af3e58p-3, 0x1.aca67e2e2ecf7p-3, 0x1.ae944580ed6d3p-3, 0x1.b0654f9c817d4p-3, 0x1.b219c7201fd3cp-3, 0x1.b3b1d9ba1c0fbp-3, 0x1.b52db8111aa39p-3, 0x1.b68d95ad368d4p-3, 0x1.b7d1a8e137c48p-3, 0x1.b8fa2ab3c0dd5p-3, 0x1.ba0756c88abd6p-3, 0x1.baf96b49b2ca8p-3, 0x1.bbd0a8d10f40fp-3, 0x1.bc8d5251a95cap-3, 0x1.bd2fad01412f7p-3, 0x1.bdb80041f74ap-3, 0x1.be26958c16f08p-3, 0x1.be7bb857fff99p-3, 0x1.beb7b6083d89ap-3, 0x1.bedaddd3c4635p-3, 0x1.bee580b061989p-3, 0x1.bed7f13d5537p-3, 0x1.beb283ae2702p-3, 0x1.be758db5b0d4fp-3, 0x1.be2166715c09ap-3, 0x1.bdb66654a1b87p-3, 0x1.bd34e714c88b6p-3, 0x1.bc9d4394de60fp-3, 0x1.bbefd7d1faf16p-3, 0x1.bb2d00cfc006p-3, 0x1.ba551c852b7eap-3, 0x1.b96889c9a5275p-3, 0x1.b867a84261e04p-3, 0x1.b752d8500a80ap-3, 0x1.b62a7afcb8ed5p-3, 0x1.b4eef1ea3e313p-3, 0x1.b3a09f40bc25ep-3, 0x1.b23fe59d8d651p-3, 0x1.b0cd280285308p-3, 0x1.af48c9c58127p-3, 0x1.adb32e804cc78p-3, 0x1.ac0cba00e312bp-3, 0x1.aa55d039fbd18p-3, 0x1.a88ed533f8bcbp-3, 0x1.a6b82cfe29b8fp-3, 0x1.a4d23ba064a38p-3, 0x1.a2dd650cf6d67p-3, 0x1.a0da0d12f931ep-3, 0x1.9ec89750ed26ap-3, 0x1.9ca96727c26d6p-3, 0x1.9a7cdfae2e8bbp-3, 0x1.984363a45fd3cp-3, 0x1.95fd5568093aep-3, 0x1.93ab16e8ca8cdp-3, 0x1.914d099cec2ep-3, 0x1.8ee38e767d62fp-3, 0x1.8c6f05d8bf1dep-3, 0x1.89efcf8df4d4fp-3, 0x1.87664abd801d7p-3, 0x1.84d2d5e25b45fp-3, 0x1.8235cec1ecc78p-3, 0x1.7f8f92632900ap-3, 0x1.7ce07d06120dap-3, 0x1.7a28ea1b85ea5p-3, 0x1.7769343d62c7bp-3, 0x1.74a1b52704385p-3, 0x1.71d2c5ae05da1p-3, 0x1.6efcbdbb69656p-3, 0x1.6c1ff444fcf25p-3, 0x1.693cbf471852ep-3, 0x1.665373beac3a9p-3, 0x1.636465a398a5fp-3, 0x1.606fe7e3542eap-3, 0x1.5d764c5bdb7fdp-3, 0x1.5a77e3d6eff55p-3, 0x1.5774fe059ad66p-3, 0x1.546de97bfa73fp-3, 0x1.5162f3ad56863p-3, 0x1.4e5468e87bc99p-3, 0x1.4b42945458b3cp-3, 0x1.482dbfecdd017p-3, 0x1.451634802246dp-3, 0x1.41fc39abca276p-3, 0x1.3ee015daa6718p-3, 0x1.3bc20e4298a3fp-3, 0x1.38a266e2afe71p-3, 0x1.3581628183b7bp-3, 0x1.325f42abc7bedp-3, 0x1.2f3c47b31712fp-3, 0x1.2c18b0acfb4acp-3, 0x1.28f4bb72222d4p-3, 0x1.25d0a49dd0f52p-3, 0x1.22aca78d84702p-3, 0x1.1f88fe60c5043p-3, 0x1.1c65e1f92bf62p-3, 0x1.194389fa9ad49p-3, 0x1.16222ccb98b47p-3, 0x1.1301ff95e5166p-3, 0x1.0fe3364733421p-3, 0x1.0cc603920b741p-3, 0x1.09aa98eed8e84p-3, 0x1.0691269d23df2p-3, 0x1.0379dba4e6065p-3, 0x1.0064e5d80e60fp-3, 0x1.faa4e3a84630cp-4, 0x1.f4855608107bcp-4, 0x1.ee6b7743ce315p-4, 0x1.e857997266b6fp-4, 0x1.e24a0c51a5515p-4, 0x1.dc431d4abcf27p-4, 0x1.d643177707d8ap-4, 0x1.d04a43a4f86f2p-4, 0x1.ca58e85d45ff5p-4, 0x1.c46f49e8455ccp-4, 0x1.be8daa536f4e6p-4, 0x1.b8b4497719fcap-4, 0x1.b2e364fc558e6p-4, 0x1.ad1b3862fa08p-4, 0x1.a75bfd07d312bp-4, 0x1.a1a5ea2af9812p-4, 0x1.9bf934f641f05p-4, 0x1.96561083dbc94p-4, 0x1.90bcade4ffeb5p-4, 0x1.8b2d3c28c8266p-4, 0x1.85a7e8631798bp-4, 0x1.802cddb3a1a92p-4, 0x1.7abc454d034cbp-4, 0x1.7556467bf5fcp-4, 0x1.6ffb06ae92aa7p-4, 0x1.6aaaa97ba7095p-4, 0x1.656550aa1c8fap-4, 0x1.602b1c386a96fp-4, 0x1.5afc2a6416049p-4, 0x1.55d897b13fb8ep-4, 0x1.50c07ef235fd2p-4, 0x1.4bb3f94f156bep-4, 0x1.46b31e4d68f85p-4, 0x1.41be03d7d6cdap-4, 0x1.3cd4be45cb112p-4, 0x1.37f7606328468p-4, 0x1.3325fb77f91bap-4, 0x1.2e609f5020181p-4, 0x1.29a75a43082e1p-4, 0x1.24fa393b554b6p-4, 0x1.205947be886c5p-4, 0x1.1bc48ff4ac4dfp-4, 0x1.173c1aaff21dbp-4, 0x1.12bfef744a775p-4, 0x1.0e50147ef9d01p-4, 0x1.09ec8ece20be2p-4, 0x1.059562283bfb8p-4, 0x1.014a91239ae9p-4, 0x1.fa183a5b93271p-5, 0x1.f1b40d25dfa26p-5, 0x1.e968990a45a57p-5, 0x1.e135da4751f83p-5, 0x1.d91bcb04638cep-5, 0x1.d11a635ff436bp-5, 0x1.c931997dce5fdp-5, 0x1.c161619515b6bp-5, 0x1.b9a9adfe3739ep-5, 0x1.b20a6f40b5bb4p-5, 0x1.aa839420cd37fp-5, 0x1.a31509acf794dp-5, 0x1.9bbebb4b428ecp-5, 0x1.948092c68eccbp-5, 0x1.8d5a785b975ap-5, 0x1.864c52c5d7b43p-5, 0x1.7f56074c49085p-5, 0x1.787779cdf753cp-5, 0x1.71b08cce659dap-5, 0x1.6b012181cdf23p-5, 0x1.646917d93509dp-5, 0x1.5de84e8e49825p-5, 0x1.577ea32f2260bp-5, 0x1.512bf229cbf5cp-5, 0x1.4af016d7a218ep-5, 0x1.44caeb88878dbp-5, 0x1.3ebc498de1f35p-5, 0x1.38c4094571d03p-5, 0x1.32e20223fd956p-5, 0x1.2d160abfc3a14p-5, 0x1.275ff8dac534cp-5, 0x1.21bfa16cdf187p-5, 0x1.1c34d8adba7fp-5, 0x1.16bf721e7ffb6p-5, 0x1.115f40936fb95p-5, 0x1.0c14163d340bdp-5, 0x1.06ddc4b216c75p-5, 0x1.01bc1cf704a5ep-5, 0x1.f95ddf10adef3p-6, 0x1.ef6c18c4f7cbdp-6, 0x1.e5a28614cef3ep-6, 0x1.dc00c52bb41fbp-6, 0x1.d2867366f3825p-6, 0x1.c9332d657519dp-6, 0x1.c0068f1735bdcp-6, 0x1.b70033cc5c413p-6, 0x1.ae1fb6440d238p-6, 0x1.a564b0bac04b2p-6, 0x1.9ccebcf861f99p-6, 0x1.945d745dfcd36p-6, 0x1.8c106ff321c24p-6, 0x1.83e74872ee073p-6, 0x1.7be19658c1c87p-6, 0x1.73fef1ec98543p-6, 0x1.6c3ef34f0f769p-6, 0x1.64a132852925bp-6, 0x1.5d2547839dfe5p-6, 0x1.55caca39fe7f4p-6, 0x1.4e91529d6244dp-6, 0x1.477878b2e8d3p-6, 0x1.407fd499c914ap-6, 0x1.39a6fe95304c2p-6, 0x1.32ed8f15c90edp-6, 0x1.2c531ec2ec666p-6, 0x1.25d74683988a2p-6, 0x1.1f799f8707e56p-6, 0x1.1939c34d24eddp-6, 0x1.13174bae8caf6p-6, 0x1.0d11d2e4590c1p-6, 0x1.0728f38fbb226p-6, 0x1.015c48c129553p-6, 0x1.f756dbfedb537p-7, 0x1.ec2bfe9cbb2e1p-7, 0x1.e137326aac0bfp-7, 0x1.d677b18af4305p-7, 0x1.cbecb73f50183p-7, 0x1.c1957ff48aa18p-7, 0x1.b771494d66aecp-7, 0x1.ad7f522d3189p-7, 0x1.a3bedac1f2bd3p-7, 0x1.9a2f248dec0ddp-7, 0x1.90cf7270e3e9dp-7, 0x1.879f08b0e48e8p-7, 0x1.7e9d2d029a0ddp-7, 0x1.75c92691347b9p-7, 0x1.6d223e05fe1a8p-7, 0x1.64a7bd8f7177ap-7, 0x1.5c58f0e7f843bp-7, 0x1.5435255c5019ep-7, 0x1.4c3ba9d181806p-7, 0x1.446bceca7c463p-7, 0x1.3cc4e66d66795p-7, 0x1.3546448881871p-7, 0x1.2def3e96bffc5p-7, 0x1.26bf2bc408849p-7, 0x1.1fb564f125746p-7, 0x1.18d144b7670f8p-7, 0x1.1212276be0c28p-7, 0x1.0b776b2287667p-7, 0x1.05006fb0cde53p-7, 0x1.fd592d6056fc4p-8, 0x1.f0f68700769a4p-8, 0x1.e4d7b6913f72dp-8, 0x1.d8fb89f553089p-8, 0x1.cd60d2a5594dbp-8, 0x1.c20665b25d877p-8, 0x1.b6eb1bc7988c4p-8, 0x1.ac0dd12bb03dp-8, 0x1.a16d65c1962a7p-8, 0x1.9708bd091d9cp-8, 0x1.8cdebe1eb188cp-8, 0x1.82ee53bb38b96p-8, 0x1.79366c33325ap-8, 0x1.6fb5f9756825ap-8, 0x1.666bf1099086bp-8, 0x1.5d574c0e37819p-8, 0x1.547707369bcc8p-8, 0x1.4bca22c819589p-8, 0x1.434fa29713c7ap-8, 0x1.3b068e03edd62p-8, 0x1.32edeff76c6d2p-8, 0x1.2b04d6deda189p-8, 0x1.234a54a7fd2b7p-8, 0x1.1bbd7ebcc4fd4p-8, 0x1.145d6dfe8648fp-8, 0x1.0d293ec13e943p-8, 0x1.062010c67e5d6p-8, 0x1.fe820e6ff4adfp-9, 0x1.f11691442a129p-9, 0x1.e3fbfddc32288p-9, 0x1.d730aeb8845ddp-9, 0x1.cab304fb5d945p-9, 0x1.be81685bfd551p-9, 0x1.b29a471982305p-9, 0x1.a6fc15ee51b9ap-9, 0x1.9ba5500197e06p-9, 0x1.909476da1dae3p-9, 0x1.85c8124fd5921p-9, 0x1.7b3eb07d55a78p-9, 0x1.70f6e5b185c8ap-9, 0x1.66ef4c608025ep-9, 0x1.5d268514ad8a1p-9, 0x1.539b365f4b4fcp-9, 0x1.4a4c0cc8ebb58p-9, 0x1.4137bac22bac9p-9, 0x1.385cf893961d8p-9, 0x1.2fba844d941e6p-9, 0x1.274f21b8de13ep-9, 0x1.1f199a45c936fp-9, 0x1.1718bcfc5360dp-9, 0x1.0f4b5e6b64be1p-9, 0x1.07b05898c7e6fp-9, 0x1.00468af00c6edp-9, 0x1.f219b464dc31cp-10, 0x1.e40460cbc220fp-10, 0x1.d64af988d440ap-10, 0x1.c8eb67568d00bp-10, 0x1.bbe39d148b7b5p-10, 0x1.af3197a5de8f2p-10, 0x1.a2d35dcf33d3fp-10, 0x1.96c700159e8ebp-10, 0x1.8b0a989cb2619p-10, 0x1.7f9c4b0555828p-10, 0x1.747a444b5b10ep-10, 0x1.69a2baa506103p-10, 0x1.5f13ed6177696p-10, 0x1.54cc24c6aeb6p-10, 0x1.4ac9b1f11f3e2p-10, 0x1.410aeeb25e274p-10, 0x1.378e3d7046dabp-10, 0x1.2e520903dcff6p-10, 0x1.2554c49909ffap-10, 0x1.1c94eb8da9cb6p-10, 0x1.14110151dbdc7p-10, 0x1.0bc791471479cp-10, 0x1.03b72ea0b9644p-10, 0x1.f7bce889112d5p-11, 0x1.e878095427687p-11, 0x1.d99d13797548ap-11, 0x1.cb296976ffad9p-11, 0x1.bd1a7c3548983p-11, 0x1.af6dcaca178a8p-11, 0x1.a220e23ae0a01p-11, 0x1.95315d418a493p-11, 0x1.889ce41025425p-11, 0x1.7c612c156752cp-11, 0x1.707bf7c27ecbfp-11, 0x1.64eb1650a1947p-11, 0x1.59ac638733f7cp-11, 0x1.4ebdc782d031ap-11, 0x1.441d367d70011p-11, 0x1.39c8b095f454p-11, 0x1.2fbe4198af3bp-11, 0x1.25fc00c923b5bp-11, 0x1.1c8010ab538edp-11, 0x1.13489ecf4231ep-11, 0x1.0a53e39a19c4dp-11, 0x1.01a02214871ffp-11, 0x1.f2574f6955629p-12, 0x1.e1e99858d83f5p-12, 0x1.d1f3e26da69a5p-12, 0x1.c27304cb69c98p-12, 0x1.b363e9e2174bbp-12, 0x1.a4c38f0c60b87p-12, 0x1.968f042fd97p-12, 0x1.88c36b5ead1d5p-12, 0x1.7b5df87a38bf7p-12, 0x1.6e5bf0d6ea36ep-12, 0x1.61baaae29d875p-12, 0x1.55778dc83a30bp-12, 0x1.4990111b0e90ap-12, 0x1.3e01bc7d6656bp-12, 0x1.32ca274c032c3p-12, 0x1.27e6f8489e1bep-12, 0x1.1d55e5483c0f6p-12, 0x1.1314b2e06bf9fp-12, 0x1.0921341675c1fp-12, 0x1.fef2942079557p-13, 0x1.ec35c78c72d49p-13, 0x1.da07fb6bef808p-13, 0x1.c865432d8c33dp-13, 0x1.b749cc1e54ef6p-13, 0x1.a6b1dcd62c8dbp-13, 0x1.9699d4aac7e82p-13, 0x1.86fe2b1d3fad6p-13, 0x1.77db6f538b282p-13, 0x1.692e478a41f08p-13, 0x1.5af37092f718dp-13, 0x1.4d27bd4ba7bb9p-13, 0x1.3fc8161ff43e4p-13, 0x1.32d17886747a8p-13, 0x1.2640f68599c0dp-13, 0x1.1a13b636f9ba2p-13, 0x1.0e46f14f17825p-13, 0x1.02d7f4a550c98p-13, 0x1.ef883f823f1a4p-14, 0x1.da11c8ca2a18cp-14, 0x1.c5478c4164164p-14, 0x1.b124b3c1417f6p-14, 0x1.9da48b07287d2p-14, 0x1.8ac27edddb6c2p-14, 0x1.787a1c530d011p-14, 0x1.66c70fe239c51p-14, 0x1.55a524b56d3cbp-14, 0x1.451043daf02abp-14, 0x1.350473883a5c5p-14, 0x1.257dd65d584a1p-14, 0x1.1678aaaa949bp-14, 0x1.07f149bcf1a12p-14, 0x1.f3c84e5b9c0cbp-15, 0x1.d89ba068061bbp-15, 0x1.be55d5f6ce875p-15, 0x1.a4f06bf9bd86ep-15, 0x1.8c650eb9e7e95p-15, 0x1.74ad98962dd15p-15, 0x1.5dc410d0478abp-15, 0x1.47a2aa571de67p-15, 0x1.3243c29c969d1p-15, 0x1.1da1e075e801p-15, 0x1.09b7b2fb77998p-15, 0x1.ed0020db7490cp-16, 0x1.c7ebea576f227p-16, 0x1.a4290545f9b4fp-16, 0x1.81adfc9960bbdp-16, 0x1.6071a15d2edb1p-16, 0x1.406b08c24afp-16, 0x1.21918a3c76f0dp-16, 0x1.03dcbda416cabp-16, 0x1.ce88f2c930f36p-17, 0x1.9781a17e8a0b8p-17, 0x1.629424125a46cp-17, 0x1.2fb189f1df818p-17, 0x1.fd96a437c03b4p-18, 0x1.9fa6cf95c7825p-18, 0x1.45783eda89857p-18, 0x1.dde0ce168bc99p-19, 0x1.37eb06e2b5aecp-19, 0x1.31ba3f1748e5p-20, 0x1.0d09bcd962176p-28, -0x1.228fe382a0d7ap-20, -0x1.1cbc0d58c2dbdp-19, -0x1.a20241b5c67dcp-19, -0x1.10a2dbd2404b5p-18, -0x1.4d582b9710887p-18, -0x1.8735687aedd49p-18, -0x1.be4e53ecf4923p-18, -0x1.f2b61d14c873ep-18, -0x1.123fb2a2eef5ep-17, -0x1.29de22293789p-17, -0x1.403f267e0559p-17, -0x1.556b486762ebap-17, -0x1.696ad22c8df24p-17, -0x1.7c45d1865993fp-17, -0x1.8e041977566ddp-17, -0x1.9ead44330efdcp-17, -0x1.ae48b4e263646p-17, -0x1.bcdd996e6b737p-17, -0x1.ca72ec2370682p-17, -0x1.d70f7563b3f5cp-17, -0x1.e2b9cd3648717p-17, -0x1.ed785cde26d6p-17, -0x1.f7516054668ep-17, -0x1.002573e4366e6p-16, -0x1.04356c83a8009p-16, -0x1.07db786f61091p-16, -0x1.0b1a623a52b05p-16, -0x1.0df4e146e8c8ap-16, -0x1.106d9a69e201ap-16, -0x1.1287208bf8066p-16, -0x1.1443f53aa36e2p-16, -0x1.15a6893f19976p-16, -0x1.16b13d2a79564p-16, -0x1.176661e160514p-16, -0x1.17c8391eb7724p-16, -0x1.17d8f5f79bf93p-16, -0x1.179abd5970a36p-16, -0x1.170fa6815007ep-16, -0x1.1639bb745ce4p-16, -0x1.151af96d103b6p-16, -0x1.13b5514b6a0fp-16, -0x1.120aa7fe6c3a4p-16, -0x1.101cd6eb92d22p-16, -0x1.0dedac53afd25p-16, -0x1.0b7eebaee27e2p-16, -0x1.08d24e0bbdb9dp-16, -0x1.05e9826813543p-16, -0x1.02c62e08eabf2p-16, -0x1.fed3d9923d7d3p-17, -0x1.f7aca2dfe6186p-17, -0x1.f019cbfb29be6p-17, -0x1.e81e57e6409a9p-17, -0x1.dfbd39384fcaep-17, -0x1.d6f952ac119a7p-17, -0x1.cdd577a0a5f1ep-17, -0x1.c4546c9beac56p-17, -0x1.ba78e7ca309c5p-17, -0x1.b045917346ffap-17, -0x1.a5bd0470fe29dp-17, -0x1.9ae1ce9ae259ep-17, -0x1.8fb6713402493p-17, -0x1.843d614c8e2fep-17, -0x1.7879082f9e3a4p-17, -0x1.6c6bc3b3485d4p-17, -0x1.6017e69f0e17dp-17, -0x1.537fb90264658p-17, -0x1.46a5788287f4ep-17, -0x1.398b58b2c82e1p-17, -0x1.2c33835576e2cp-17, -0x1.1ea018b6873f4p-17, -0x1.10d32fe80db51p-17, -0x1.02ced70abc8ap-17, -0x1.e92a271c2d314p-18, -0x1.cc4fc4e75dc3dp-18, -0x1.af1270ff4d8dfp-18, -0x1.917604f848bc3p-18, -0x1.737e4ad66d505p-18, -0x1.552efd7e0559ap-18, -0x1.368bc90f70a5p-18, -0x1.17984b4edfb0cp-18, }}, 
      {{-0x1.f62a724d4f074p-12, -0x1.dc019f6474edbp-11, -0x1.45acb1fe0f5aep-10, -0x1.7b00a80b43886p-10, -0x1.86e3bee9fce27p-10, -0x1.64af2a32a5a8ap-10, -0x1.11fd31687891p-10, -0x1.1cbe8b338a32bp-11, 0x1.27b37d83bd55p-13, 0x1.0582d928bcefdp-10, 0x1.07e4bfc00f24p-9, 0x1.9fce4e513796fp-9, 0x1.24178908515aap-8, 0x1.7f4dcf4929809p-8, 0x1.e05195e665314p-8, 0x1.22f88de8717cp-7, 0x1.5784493372428p-7, 0x1.8d43d2cb15194p-7, 0x1.c3babc1c9a15bp-7, 0x1.fa79a74b6bb02p-7, 0x1.188f875297c2ap-6, 0x1.33abcb8957dp-6, 0x1.4e6f01da8b2c6p-6, 0x1.68bd6f1d81aap-6, 0x1.8281f27414ebbp-6, 0x1.9bada67116447p-6, 0x1.b437728f7474cp-6, 0x1.cc1b9228d7fap-6, 0x1.e35b15372fc53p-6, 0x1.f9fb5e649be8fp-6, 0x1.0802d09fa154ap-5, 0x1.12c3316819479p-5, 0x1.1d467f2a0f2f9p-5, 0x1.279597b3d44b8p-5, 0x1.31ba514e98c93p-5, 0x1.3bbf4692ea146p-5, 0x1.45afa5fbd5e7p-5, 0x1.4f9705541658ep-5, 0x1.59813903b590fp-5, 0x1.637a2f33ed42ep-5, 0x1.6d8dceb21151p-5, 0x1.77c7d97053d7ap-5, 0x1.8233d27bb8a17p-5, 0x1.8cdce73963cacp-5, 0x1.97cddbb9bce35p-5, 0x1.a310f9edf078fp-5, 0x1.aeb0038b6025fp-5, 0x1.bab426688b9e2p-5, 0x1.c725f31fdc45ep-5, 0x1.d40d55c60090cp-5, 0x1.e17190834aa14p-5, 0x1.ef5937e1b4b74p-5, 0x1.fdca30a36362cp-5, 0x1.0664d77c083a7p-4, 0x1.0e2e1b7522b66p-4, 0x1.1642ceeff998fp-4, 0x1.1ea48686382adp-4, 0x1.2754825a3fb23p-4, 0x1.3053b013bc66bp-4, 0x1.39a2ad2981299p-4, 0x1.4341c96c870d1p-4, 0x1.4d3109c901615p-4, 0x1.57702b337f3ap-4, 0x1.61fea5b90164ep-4, 0x1.6cdbafa9db64fp-4, 0x1.780640d80d2c3p-4, 0x1.837d15e27cbbp-4, 0x1.8f3eb387468f3p-4, 0x1.9b4969f7f47ecp-4, 0x1.a79b582b12f8cp-4, 0x1.b4326f2727437p-4, 0x1.c10c7543833c5p-4, 0x1.ce27095c1d66cp-4, 0x1.db7fa5f5a1cfdp-4, 0x1.e913a44fc2e3p-4, 0x1.f6e03f63dbd7ap-4, 0x1.02714b6731b93p-3, 0x1.098bd8d0fbdcbp-3, 0x1.10be40918709ap-3, 0x1.1806f1b5c2452p-3, 0x1.1f6452fac57ddp-3, 0x1.26d4c406c0d7fp-3, 0x1.2e569e9553537p-3, 0x1.35e837973d5d3p-3, 0x1.3d87e04572cf3p-3, 0x1.4533e727a6c48p-3, 0x1.4cea990e72ac9p-3, 0x1.54aa420140331p-3, 0x1.5c712e2028211p-3, 0x1.643daa7a090e9p-3, 0x1.6c0e05d70c704p-3, 0x1.73e09177e7678p-3, 0x1.7bb3a1ca1bf15p-3, 0x1.83858f1190a7ep-3, 0x1.8b54b607b9249p-3, 0x1.931f7870bdd6cp-3, 0x1.9ae43da6d8f8p-3, 0x1.a2a1731c4ea6p-3, 0x1.aa558cd448434p-3, 0x1.b1ff05d2e951fp-3, 0x1.b99c6084ef974p-3, 0x1.c12c271f2e919p-3, 0x1.c8acebf638104p-3, 0x1.d01d49ce7769fp-3, 0x1.d77be4251e504p-3, 0x1.dec767721e308p-3, 0x1.e5fe89637aa88p-3, 0x1.ed20091245197p-3, 0x1.f42aaf317d2a8p-3, 0x1.fb1d4e3727273p-3, 0x1.00fb613fe21a3p-2, 0x1.045af936445bap-2, 0x1.07ace73e3c42dp-2, 0x1.0af0a8b0579d3p-2, 0x1.0e25c00606ef3p-2, 0x1.114bb4df42364p-2, 0x1.14621406174e1p-2, 0x1.17686f703dae2p-2, 0x1.1a5e5e3ec57d7p-2, 0x1.1d437cbbff731p-2, 0x1.20176c57ad599p-2, 0x1.22d9d3a19e644p-2, 0x1.258a5e42bed03p-2, 0x1.2828bcf4bcae9p-2, 0x1.2ab4a5784d477p-2, 0x1.2d2dd28a2d081p-2, 0x1.2f9403d6e9615p-2, 0x1.31e6fded88609p-2, 0x1.34268a311f2a4p-2, 0x1.365276c9687d3p-2, 0x1.386a96926b83fp-2, 0x1.3a6ec10b45debp-2, 0x1.3c5ed24420cecp-2, 0x1.3e3aaacb67f36p-2, 0x1.40022f9a4b436p-2, 0x1.41b54a009cfb5p-2, 0x1.4353e7901288cp-2, 0x1.44ddfa0700327p-2, 0x1.4653773a8d4b8p-2, 0x1.47b459007ae31p-2, 0x1.49009d187d61fp-2, 0x1.4a3845153a3cep-2, 0x1.4b5b5644f1357p-2, 0x1.4c69d999ddeaep-2, 0x1.4d63db9255b02p-2, 0x1.4e496c20b6528p-2, 0x1.4f1a9e931e579p-2, 0x1.4fd7897b08a42p-2, 0x1.50804694c727bp-2, 0x1.5114f2aee8db7p-2, 0x1.5195ad919614cp-2, 0x1.520299e5e47c7p-2, 0x1.525bdd1d2be6ep-2, 0x1.52a19f58669bbp-2, 0x1.52d40b4f9dee2p-2, 0x1.52f34e396a9f9p-2, 0x1.52ff97b2932a9p-2, 0x1.52f919a5c6a3dp-2, 0x1.52e008337fa15p-2, 0x1.52b4999a11ca5p-2, 0x1.5277061de5957p-2, 0x1.522787f1eb007p-2, 0x1.51c65b20402dap-2, 0x1.5153bd7319898p-2, 0x1.50cfee5de944ap-2, 0x1.503b2ee6ca891p-2, 0x1.4f95c19033eefp-2, 0x1.4edfea42f83a8p-2, 0x1.4e19ee38924e7p-2, 0x1.4d4413e5c51f6p-2, 0x1.4c5ea2e58d045p-2, 0x1.4b69e3e46a4eep-2, 0x1.4a66208c03693p-2, 0x1.4953a36f22de5p-2, 0x1.4832b7f60ffd7p-2, 0x1.4703aa4b4ae12p-2, 0x1.45c6c748a6254p-2, 0x1.447c5c64c3205p-2, 0x1.4324b7a0f2641p-2, 0x1.41c0277778131p-2, 0x1.404efaca38734p-2, 0x1.3ed180d1c7037p-2, 0x1.3d48090ce1c31p-2, 0x1.3bb2e3305281fp-2, 0x1.3a125f17371a9p-2, 0x1.3866ccb3b8811p-2, 0x1.36b07c0025375p-2, 0x1.34efbcf07711p-2, 0x1.3324df64475bfp-2, 0x1.31503319258c8p-2, 0x1.2f72079d5c4ep-2, 0x1.2d8aac431f3fbp-2, 0x1.2b9a70141e49ep-2, 0x1.29a1a1c587c7ep-2, 0x1.27a08fac6c54cp-2, 0x1.259787b28d06ep-2, 0x1.2386d74b91e7cp-2, 0x1.216ecb6aa27e7p-2, 0x1.1f4fb0786696fp-2, 0x1.1d29d249698cfp-2, 0x1.1afd7c14e2be7p-2, 0x1.18caf86bdcfe3p-2, 0x1.16929130c32d2p-2, 0x1.14548f8f49306p-2, 0x1.12113bf4b5a8fp-2, 0x1.0fc8de0888e7cp-2, 0x1.0d7bbca57eed1p-2, 0x1.0b2a1dd2edc28p-2, 0x1.08d446be7d1ep-2, 0x1.067a7bb633c6dp-2, 0x1.041d0022e0055p-2, 0x1.01bc1682cf3ccp-2, 0x1.feb000c9be7aep-3, 0x1.f9e1fcc7b6787p-3, 0x1.f50ea044609f4p-3, 0x1.f036688bd41bp-3, 0x1.eb59d0e9ff4a1p-3, 0x1.e67952a3dbdedp-3, 0x1.e19564f12d1b7p-3, 0x1.dcae7cf6da9efp-3, 0x1.d7c50dc1cf237p-3, 0x1.d2d988426155cp-3, 0x1.cdec5b484b2c3p-3, 0x1.c8fdf37f1d439p-3, 0x1.c40ebb6b3004ep-3, 0x1.bf1f1b6717db4p-3, 0x1.ba2f79a18d84fp-3, 0x1.b5403a1bce059p-3, 0x1.b051bea8688b3p-3, 0x1.ab6466ea82322p-3, 0x1.a67890557d2d4p-3, 0x1.a18e962d0fa55p-3, 0x1.9ca6d185b530ap-3, 0x1.97c199458f205p-3, 0x1.92df422595b97p-3, 0x1.8e001eb32bf3p-3, 0x1.89247f520a48p-3, 0x1.844cb23e7a76bp-3, 0x1.7f79038fe7b0cp-3, 0x1.7aa9bd3bbc334p-3, 0x1.75df271888c21p-3, 0x1.711986e176065p-3, 0x1.6c592039fa885p-3, 0x1.679e34b1d2a2fp-3, 0x1.62e903c93608cp-3, 0x1.5e39caf54c9eap-3, 0x1.5990c5a4dba1bp-3, 0x1.54ee2d4526b2bp-3, 0x1.505239470bd11p-3, 0x1.4bbd1f2447cb4p-3, 0x1.472f1264f2fbcp-3, 0x1.42a844a520532p-3, 0x1.3e28e59ab0482p-3, 0x1.39b1231b40cfp-3, 0x1.354129224869ep-3, 0x1.30d921d753881p-3, 0x1.2c7935945fccbp-3, 0x1.28218aec545cap-3, 0x1.23d246b198f5ep-3, 0x1.1f8b8bfcc3e57p-3, 0x1.1b4d7c335fbccp-3, 0x1.1718370ec7e68p-3, 0x1.12ebdaa315f14p-3, 0x1.0ec883662072p-3, 0x1.0aae4c368d405p-3, 0x1.069d4e62ec7fp-3, 0x1.0295a1b0e0d58p-3, 0x1.fd2eb8c8a6331p-4, 0x1.f545268d5840bp-4, 0x1.ed6eb35c307a8p-4, 0x1.e5ab83099c89fp-4, 0x1.ddfbb6a0ad213p-4, 0x1.d65f6c71bae0ap-4, 0x1.ced6c020f7e1dp-4, 0x1.c761cab50d933p-4, 0x1.c000a2a5b0056p-4, 0x1.b8b35bea2db43p-4, 0x1.b17a0807fa081p-4, 0x1.aa54b62120f95p-4, 0x1.a3437302b72e5p-4, 0x1.9c46493336bfap-4, 0x1.955d4100ca922p-4, 0x1.8e88608f84ee3p-4, 0x1.87c7abe77fecdp-4, 0x1.811b2502e94f7p-4, 0x1.7a82cbdbedf8fp-4, 0x1.73fe9e7a912bbp-4, 0x1.6d8e990263c31p-4, 0x1.6732b5c01d84cp-4, 0x1.60eaed3715324p-4, 0x1.5ab7362e99fep-4, 0x1.549785bf2a2bdp-4, 0x1.4e8bcf5f81eebp-4, 0x1.489404f18bd7ap-4, 0x1.42b016cf26849p-4, 0x1.3cdff3d6c503fp-4, 0x1.37238977e7fcep-4, 0x1.317ac3bf6c451p-4, 0x1.2be58d63b15a1p-4, 0x1.2663cfd094c0dp-4, 0x1.20f57333443b1p-4, 0x1.1b9a5e85df41ap-4, 0x1.1652779af3e6fp-4, 0x1.111da328c66bfp-4, 0x1.0bfbc4d473025p-4, 0x1.06ecbf3cdb7bdp-4, 0x1.01f074056cb0ap-4, 0x1.fa0d87c162cfcp-5, 0x1.f05f1d356ceaep-5, 0x1.e6d56646855dap-5, 0x1.dd701f2fbcff3p-5, 0x1.d42f029b5477dp-5, 0x1.cb11c9b60e786p-5, 0x1.c2182c4222f36p-5, 0x1.b941e0a9d139ap-5, 0x1.b08e9c1193719p-5, 0x1.a7fe1269f03ebp-5, 0x1.9f8ff680f79dbp-5, 0x1.9743fa13568cbp-5, 0x1.8f19cddd0c0ecp-5, 0x1.871121a9c9bd6p-5, 0x1.7f29a464ece96p-5, 0x1.77630429261b1p-5, 0x1.6fbcee4faeec9p-5, 0x1.68370f7f3d0b4p-5, 0x1.60d113ba89347p-5, 0x1.598aa66e7e3c9p-5, 0x1.5263728012969p-5, 0x1.4b5b2259c227ap-5, 0x1.44715ff8b4b87p-5, 0x1.3da5d4f987825p-5, 0x1.36f82aa4c2a6ap-5, 0x1.306809fafb9bap-5, 0x1.29f51bc0967eep-5, 0x1.239f088942707p-5, 0x1.1d6578c317495p-5, 0x1.174814c163cd9p-5, 0x1.114684c72bffbp-5, 0x1.0b607111573c1p-5, 0x1.059581e08bff7p-5, 0x1.ffcabf057851bp-6, 0x1.f49f64b8d9f3dp-6, 0x1.e9a845e353e2fp-6, 0x1.dee4b3dd547d6p-6, 0x1.d454006072aa8p-6, 0x1.c9f57d9794b94p-6, 0x1.bfc87e2e90223p-6, 0x1.b5cc55614012p-6, 0x1.ac00570a07798p-6, 0x1.a263d7afdd996p-6, 0x1.98f62c93ba1d6p-6, 0x1.8fb6abbd99c63p-6, 0x1.86a4ac08e8f7ep-6, 0x1.7dbf853078c44p-6, 0x1.75068fda0796bp-6, 0x1.6c7925a135667p-6, 0x1.6416a1220e5a7p-6, 0x1.5bde5e031d19p-6, 0x1.53cfb8ff10b92p-6, 0x1.4bea0fede6269p-6, 0x1.442cc1cdab7cap-6, 0x1.3c972ecad9d3dp-6, 0x1.3528b84836ba7p-6, 0x1.2de0c0e6613c4p-6, 0x1.26beac8af4a86p-6, 0x1.1fc1e0673b73cp-6, 0x1.18e9c2fe96d14p-6, 0x1.1235bc2c74fd5p-6, 0x1.0ba53529f5ea2p-6, 0x1.053798933b799p-6, 0x1.fdd8a4d8a8c5dp-7, 0x1.f185a04bb4c99p-7, 0x1.e5750142780b8p-7, 0x1.d9a5a86978e38p-7, 0x1.ce16795e19355p-7, 0x1.c2c65ab580ea9p-7, 0x1.b7b43602938b6p-7, 0x1.acdef7dba0dfep-7, 0x1.a2458fdf73b99p-7, 0x1.97e6f0b9b6712p-7, 0x1.8dc21026fd523p-7, 0x1.83d5e6f83a704p-7, 0x1.7a217115b70a6p-7, 0x1.70a3ad8199875p-7, 0x1.675b9e59eb5f9p-7, 0x1.5e4848da384a6p-7, 0x1.5568b55ca64eep-7, 0x1.4cbbef5ad58a3p-7, 0x1.4441056e17122p-7, 0x1.3bf7094f722aep-7, 0x1.33dd0fd733af7p-7, 0x1.2bf230fc1e7b8p-7, 0x1.243587d24be47p-7, 0x1.1ca63289b027bp-7, 0x1.1543526c43165p-7, 0x1.0e0c0bdbde716p-7, 0x1.06ff864fdd5d5p-7, 0x1.001cec525193dp-7, 0x1.f2c6d6fa22a31p-8, 0x1.e5a468ecbd0d3p-8, 0x1.d8d0f5dae7242p-8, 0x1.cc4aeb2d46f5cp-8, 0x1.c010bc4ecb399p-8, 0x1.b420e2a42af35p-8, 0x1.a879dd82dfaa5p-8, 0x1.9d1a3227e1fc7p-8, 0x1.92006badcf99cp-8, 0x1.872b1b02f3b2cp-8, 0x1.7c98d6deb766fp-8, 0x1.72483bb6b550bp-8, 0x1.6837ebb3bfd66p-8, 0x1.5e668ea64a6b6p-8, 0x1.54d2d1fabc946p-8, 0x1.4b7b68ad606f3p-8, 0x1.425f0b3e25e1fp-8, 0x1.397c77a411e8bp-8, 0x1.30d271407988ap-8, 0x1.285fc0d2200d2p-8, 0x1.20233467edb02p-8, 0x1.181b9f539c1fbp-8, 0x1.1047da1c49672p-8, 0x1.08a6c2709f515p-8, 0x1.01373b1916f17p-8, 0x1.f3f057d3e959ap-9, 0x1.e5d1036a7294cp-9, 0x1.d80e5c78b20d1p-9, 0x1.caa6504409e51p-9, 0x1.bd96d5b764ed3p-9, 0x1.b0dded464637cp-9, 0x1.a479a0cfc739ap-9, 0x1.98680381525cfp-9, 0x1.8ca731b944ce9p-9, 0x1.813550e9a5205p-9, 0x1.76108f7a9d1e6p-9, 0x1.6b3724ad02479p-9, 0x1.60a7507cbebf9p-9, 0x1.565f5b8354b67p-9, 0x1.4c5d96da6800fp-9, 0x1.42a05bfdfe82ep-9, 0x1.39260caf49f45p-9, 0x1.2fed12d6f89f1p-9, 0x1.26f3e067fc53dp-9, 0x1.1e38ef4232f94p-9, 0x1.15bac11527dffp-9, 0x1.0d77df42f0ac6p-9, 0x1.056edac325d64p-9, 0x1.fb3c980c14e3p-10, 0x1.ec09a5af8534fp-10, 0x1.dd422c8760537p-10, 0x1.cee388efccf98p-10, 0x1.c0eb2552234c3p-10, 0x1.b35679ebec113p-10, 0x1.a6230c978cdc5p-10, 0x1.994e709475036p-10, 0x1.8cd6464fbe89ep-10, 0x1.80b83b2db6fcp-10, 0x1.74f2095325dbfp-10, 0x1.6981776f82e07p-10, 0x1.5e6458877f849p-10, 0x1.53988bbf9517dp-10, 0x1.491bfc27caae9p-10, 0x1.3eeca0875cac2p-10, 0x1.35087b28fa0bap-10, 0x1.2b6d99a7a2a94p-10, 0x1.221a14bc1b4afp-10, 0x1.190c100a5f67fp-10, 0x1.1041b9f02c6a6p-10, 0x1.07b94b53e5e2cp-10, 0x1.fee20ee76cd6dp-11, 0x1.eece776b2780bp-11, 0x1.df347eef4b9dfp-11, 0x1.d010e7c22588p-11, 0x1.c16087677440ep-11, 0x1.b320463c22f1fp-11, 0x1.a54d1f1b18497p-11, 0x1.97e41f04e01acp-11, 0x1.8ae264c5293f5p-11, 0x1.7e45209cc7c54p-11, 0x1.720993ea9bd64p-11, 0x1.662d10d624769p-11, 0x1.5aacf9fbf50cdp-11, 0x1.4f86c21a47837p-11, 0x1.44b7ebbf50ff1p-11, 0x1.3a3e08f82f41dp-11, 0x1.3016bb0167c67p-11, 0x1.263fb1f8950d3p-11, 0x1.1cb6ac8ecd748p-11, 0x1.137977bbf6bbdp-11, 0x1.0a85ee748a2cfp-11, 0x1.01d9f95ea1b2dp-11, 0x1.f2e71d1364c6p-12, 0x1.e2a1624bfa56bp-12, 0x1.d2dee27d0ce15p-12, 0x1.c39bd6e5847c8p-12, 0x1.b4d4916557dadp-12, 0x1.a6857bf5c5f64p-12, 0x1.98ab1824d88dap-12, 0x1.8b41fe9259479p-12, 0x1.7e46de6fba16bp-12, 0x1.71b67d0193d6ap-12, 0x1.658db522d8dcbp-12, 0x1.59c976cb5140fp-12, 0x1.4e66c696df1d4p-12, 0x1.4362bd5013ba2p-12, 0x1.38ba877abfc71p-12, 0x1.2e6b64e33ff16p-12, 0x1.2472a82df11d4p-12, 0x1.1acdb6686ffc3p-12, 0x1.117a069e45f0bp-12, 0x1.0875216e842fdp-12, 0x1.ff794146c430fp-13, 0x1.ee9c5d976aa52p-13, 0x1.de4f0dad465dfp-13, 0x1.ce8ce7616552fp-13, 0x1.bf519fc76364p-13, 0x1.b0990a6d0614ep-13, 0x1.a25f18a20f777p-13, 0x1.949fd8c107e21p-13, 0x1.8757757a6a55fp-13, 0x1.7a82352704ab9p-13, 0x1.6e1c791988953p-13, 0x1.6222bcf6ac781p-13, 0x1.5691960f3c92cp-13, 0x1.4b65b2bd44c4ep-13, 0x1.409bd9c55ae25p-13, 0x1.3630e9bb062a2p-13, 0x1.2c21d866bc0f6p-13, 0x1.226bb231c29e4p-13, 0x1.190b9992630a9p-13, 0x1.0ffec67cca33ap-13, 0x1.074285d5f9e0ep-13, 0x1.fda871d6bde4ap-14, 0x1.ed62a9d69c4b4p-14, 0x1.ddaec4c1a8151p-14, 0x1.ce87f966e621cp-14, 0x1.bfe9a3501040cp-14, 0x1.b1cf41cc7408dp-14, 0x1.a43476fc07bafp-14, 0x1.971506e7b01fdp-14, 0x1.8a6cd6955c7bap-14, 0x1.7e37eb28dc98p-14, 0x1.72726905ffecdp-14, 0x1.671892f7e66dap-14, 0x1.5c26c95e4d1b6p-14, 0x1.5199895f4b78bp-14, 0x1.476d6c1c21e2p-14, 0x1.3d9f25edfdddbp-14, 0x1.342b85a443e46p-14, 0x1.2b0f73c869055p-14, 0x1.2247f1e7f63e3p-14, 0x1.19d219dcebdfp-14, 0x1.11ab1d233438bp-14, 0x1.09d0442a9ffdp-14, 0x1.023eedb127214p-14, 0x1.f5e91c3dc40d3p-15, 0x1.e7dd5dd0cbf67p-15, 0x1.da55dbe4902d5p-15, 0x1.cd4df9f4e7b72p-15, 0x1.c0c1420792ac3p-15, 0x1.b4ab638e2c9bap-15, 0x1.a908324a6ee2dp-15, 0x1.9dd3a53d45a29p-15, 0x1.9309d59c37d61p-15, 0x1.88a6fdcb9d707p-15, 0x1.7ea77862ff1d7p-15, 0x1.7507bf3300866p-15, 0x1.6bc46a564646cp-15, 0x1.62da2f447511bp-15, 0x1.5a45dfef0adb4p-15, 0x1.520469e23be83p-15, 0x1.4a12d56be1ca9p-15, 0x1.426e44c60457bp-15, 0x1.3b13f34ca0996p-15, 0x1.340134b24c46p-15, 0x1.2d33743e904a2p-15, 0x1.26a8340ffecdbp-15, 0x1.205d0c63add8ep-15, 0x1.1a4faae055adap-15, 0x1.147dd1e895c03p-15, 0x1.0ee557f0a8124p-15, 0x1.098426d9c984ep-15, 0x1.04583b4fc7f7cp-15, 0x1.febf485eb2a6ap-16, 0x1.f53103d4ef4afp-16, 0x1.ec020bf0e5af1p-16, 0x1.e32ee487790cbp-16, 0x1.dab43140a25a1p-16, 0x1.d28eb4883c13dp-16, 0x1.cabb4e8306e35p-16, 0x1.c336fc142fbb2p-16, 0x1.bbfed5e214d5p-16, 0x1.b5100f66629cap-16, 0x1.ae67f605b1a81p-16, 0x1.a803f02aaa21p-16, 0x1.a1e17c6a61f3p-16, 0x1.9bfe30adf7f74p-16, 0x1.9657b9662bbb4p-16, 0x1.90ebd8c0227a7p-16, 0x1.8bb865e2424f1p-16, 0x1.86bb4c31ba33dp-16, 0x1.81f28a993db4ap-16, 0x1.7d5c32d60558cp-16, 0x1.78f668d0aa1dep-16, 0x1.74bf61f213064p-16, 0x1.70b5648476a4ep-16, 0x1.6cd6c716b2054p-16, 0x1.6921efe3a265p-16, 0x1.6595544193b3dp-16, 0x1.622f781232f08p-16, 0x1.5eeeed3a811f9p-16, 0x1.5bd2531f96709p-16, 0x1.58d85623678d1p-16, 0x1.55ffaf28df49p-16, 0x1.5347231d83232p-16, 0x1.50ad828376e37p-16, 0x1.4e31a9030fb0dp-16, 0x1.4bd27cfc3beaep-16, 0x1.498eef1fe520cp-16, 0x1.4765fa0879225p-16, 0x1.4556a1d7c5ae9p-16, 0x1.435ff3db4f9d8p-16, 0x1.4181062eb4853p-16, 0x1.3fb8f7652661dp-16, 0x1.3e06ee342fd39p-16, 0x1.3c6a192076868p-16, 0x1.3ae1ae2fd9954p-16, 0x1.396cea9dac59fp-16, 0x1.380b1290220cap-16, 0x1.36bb70d28a4a5p-16, 0x1.357d5690df8dfp-16, 0x1.34501b14f3472p-16, 0x1.33331b888b447p-16, 0x1.3225bab7bf405p-16, 0x1.312760d66abc7p-16, 0x1.30377b4857aap-16, 0x1.2f557c6b1fe6p-16, 0x1.2e80db6121f83p-16, 0x1.2db913debfa69p-16, 0x1.2cfda5fb05263p-16, 0x1.2c4e1601638f1p-16, 0x1.2ba9ec44f06c8p-16, 0x1.2b10b4f60a829p-16, 0x1.2a81fff898c8ap-16, 0x1.29fd60bc91c6p-16, 0x1.29826e1945d1ep-16, 0x1.2910c227fa392p-16, 0x1.28a7fa213b074p-16, 0x1.2847b63c5cb2p-16, 0x1.27ef998f8b00fp-16, 0x1.279f49efae29dp-16, 0x1.27566fd42eb7bp-16, 0x1.2714b63b00c85p-16, 0x1.26d9ca8d55bd7p-16, 0x1.26a55c8737018p-16, 0x1.26771e1d637b8p-16, 0x1.264ec367c9508p-16, 0x1.262c028909994p-16, 0x1.260e9399dd0c2p-16, 0x1.25f630952ccbdp-16, 0x1.25e295442bee9p-16, 0x1.25d37f2bc2f89p-16, 0x1.25c8ad7bb50dp-16, 0x1.25c1e0fc4cfacp-16, 0x1.25bedbff25cddp-16, 0x1.25bf625015f66p-16, 0x1.25c339267a46bp-16, 0x1.25ca2716e0c6bp-16, 0x1.25d3f406fb329p-16, 0x1.25e06920e3d07p-16, 0x1.25ef50c66dcd9p-16, 0x1.26007685641e7p-16, 0x1.2613a70efbaa1p-16, 0x1.2628b02c9044p-16, 0x1.263f60b5a4772p-16, 0x1.26578887b15e5p-16, 0x1.2670f87d7b446p-16, 0x1.268b8266a43cap-16, 0x1.26a6f8fff509cp-16, 0x1.26c32fecb2cadp-16, 0x1.26dffbaf0343cp-16, 0x1.26fd31a222a3dp-16, 0x1.271aa7f45085p-16, 0x1.273835a06f189p-16, 0x1.2755b26a22ebbp-16, 0x1.2772f6d6a56f3p-16, 0x1.278fdc2a35f6cp-16, 0x1.27ac3c6227254p-16, 0x1.27c7f23190f8p-16, 0x1.27e2d8fd9c7f8p-16, 0x1.27fcccd8fd2fep-16, 0x1.2815aa810098bp-16, 0x1.282d4f5a4129p-16, 0x1.2843996e25978p-16, 0x1.28586766cd7dap-16, 0x1.286b988e4795p-16, 0x1.287d0ccb31be9p-16, 0x1.288ca49e807a3p-16, 0x1.289a4121c811ap-16, 0x1.28a5c404cf75cp-16, 0x1.28af0f8c25cb7p-16, }}, 
      {{0x1.b1263a83e9fdcp-1, 0x1.b0d831cdffc5ep-1, 0x1.b05bd9cadcc9fp-1, 0x1.afb7815b91222p-1, 0x1.aef1af18103c6p-1, 0x1.ae107fe05df3ep-1, 0x1.ad1950a8b4702p-1, 0x1.ac1099974ce15p-1, 0x1.aaf9e874b5be6p-1, 0x1.a9d7ee0e281b6p-1, 0x1.a8ac9622ce5e9p-1, 0x1.a77924416093p-1, 0x1.a63e51f10485cp-1, 0x1.a4fc6bdcfc232p-1, 0x1.a3b36caa95b7bp-1, 0x1.a26314c3c649ap-1, 0x1.a10afecd86eeap-1, 0x1.9faab0c796d96p-1, 0x1.9e41a9ff3fb94p-1, 0x1.9ccf6e1853585p-1, 0x1.9b538d7ca4281p-1, 0x1.99cdab86ea392p-1, 0x1.983d82bd278e1p-1, 0x1.96a2e76a5e6e2p-1, 0x1.94fdc8e11b6b5p-1, 0x1.934e31a90cebfp-1, 0x1.919446d225cd4p-1, 0x1.8fd046a0344bcp-1, 0x1.8e0286ba93167p-1, 0x1.8c2b7204dae5ap-1, 0x1.8a4b863f63d0ep-1, 0x1.88635188e2bd4p-1, 0x1.86736fd5a821dp-1, 0x1.847c886cc89b6p-1, 0x1.827f4b77df43bp-1, 0x1.807c6faf03dep-1, 0x1.7e74b027f50d9p-1, 0x1.7c68ca4d4e9c5p-1, 0x1.7a597c00d9233p-1, 0x1.784781ea8b373p-1, 0x1.763395f4ad222p-1, 0x1.741e6df4a15f6p-1, 0x1.7208ba7f1cacep-1, 0x1.6ff325e612268p-1, 0x1.6dde535e32b7fp-1, 0x1.6bcade4997121p-1, 0x1.69b959a5042c9p-1, 0x1.67aa4f9520d83p-1, 0x1.659e4110ecc06p-1, 0x1.6395a5a6ccf68p-1, 0x1.6190eb599a18ep-1, 0x1.5f90769327d0cp-1, 0x1.5d94a229e6f1p-1, 0x1.5b9dbf7759ed8p-1, 0x1.59ac167d403fep-1, 0x1.57bfe6177afdap-1, 0x1.55d96438d2ef4p-1, 0x1.53f8be30f3204p-1, 0x1.521e18fa09e25p-1, 0x1.5049918ca33a6p-1, 0x1.4e7b3d387ba82p-1, 0x1.4cb32a011b611p-1, 0x1.4af15efd3844bp-1, 0x1.4935dcb7eb1b9p-1, 0x1.47809d92e8c33p-1, 0x1.45d19629053d3p-1, 0x1.4428b5b05a61fp-1, 0x1.4285e65b881ecp-1, 0x1.40e90db990056p-1, 0x1.3f520d13e347ep-1, 0x1.3dc0c1ca4a4adp-1, 0x1.3c3505ac597e1p-1, 0x1.3aaeaf5037e59p-1, 0x1.392d9266808f6p-1, 0x1.37b1800b1d1a7p-1, 0x1.363a4712f68f3p-1, 0x1.34c7b45668872p-1, 0x1.335992f869395p-1, 0x1.31efacaa5ba57p-1, 0x1.3089c9ec8ef16p-1, 0x1.2f27b24b67e5cp-1, 0x1.2dc92c9941116p-1, 0x1.2c6dff2509b72p-1, 0x1.2b15efedb4042p-1, 0x1.29c0c4d280a17p-1, 0x1.286e43c03ef01p-1, 0x1.271e32db93166p-1, 0x1.25d058a85b9a2p-1, 0x1.24847c2e4c4b1p-1, 0x1.233a651ad8e2ap-1, 0x1.21f1dbe0866f4p-1, 0x1.20aaa9d3bfe94p-1, 0x1.1f6499454540bp-1, 0x1.1e1f759a51eb3p-1, 0x1.1cdb0b6290ef3p-1, 0x1.1b97286bfbab9p-1, 0x1.1a539bd4bb1c4p-1, 0x1.1910361b22799p-1, 0x1.17ccc92be039ep-1, 0x1.1689286e79782p-1, 0x1.154528d0262d9p-1, 0x1.1400a0cd294a8p-1, 0x1.12bb6878b52d1p-1, 0x1.117559837515cp-1, 0x1.102e4f40ce848p-1, 0x1.0ee626aaed667p-1, 0x1.0d9cbe65aedffp-1, 0x1.0c51f6c07d2aep-1, 0x1.0b05b1b72c971p-1, 0x1.09b7d2f1e9822p-1, 0x1.08683fc44ad8ep-1, 0x1.0716df2b93078p-1, 0x1.05c399cc31613p-1, 0x1.046e59ee92496p-1, 0x1.03170b7b46428p-1, 0x1.01bd9bf69303cp-1, 0x1.0061fa7b74bd7p-1, 0x1.fe082f6c3d728p-2, 0x1.fb47cbbc04bdcp-2, 0x1.f882b15ed724p-2, 0x1.f5b8cac96cbccp-2, 0x1.f2ea055e56b82p-2, 0x1.f016515f12c99p-2, 0x1.ed3da1dc890a3p-2, 0x1.ea5feca709df1p-2, 0x1.e77d2a3dccc54p-2, 0x1.e49555be108edp-2, 0x1.e1a86cd1d7ca3p-2, 0x1.deb66f9e5c275p-2, 0x1.dbbf60b238dafp-2, 0x1.d8c344f35e78bp-2, 0x1.d5c2238cdad28p-2, 0x1.d2bc05dc770f6p-2, 0x1.cfb0f7603cb11p-2, 0x1.cca105a3e901dp-2, 0x1.c98c402e503c9p-2, 0x1.c672b86ec4399p-2, 0x1.c35481aa79c97p-2, 0x1.c031b0e9f97f8p-2, 0x1.bd0a5ce6a2f4cp-2, 0x1.b9de9df843d5cp-2, 0x1.b6ae8e02cf7bfp-2, 0x1.b37a4864338d7p-2, 0x1.b041e9e254a3cp-2, 0x1.ad05909936ec1p-2, 0x1.a9c55be953341p-2, 0x1.a6816c6622f03p-2, 0x1.a339e3c4de653p-2, 0x1.9feee4cb77831p-2, 0x1.9ca0933fd1e21p-2, 0x1.994f13d73b664p-2, 0x1.95fa8c2625198p-2, 0x1.92a3229024263p-2, 0x1.8f48fe383af23p-2, 0x1.8bec46f167b7bp-2, 0x1.888d252f847b1p-2, 0x1.852bc1f86e3fdp-2, 0x1.81c846d58190ap-2, 0x1.7e62ddc5623bcp-2, 0x1.7afbb12e15befp-2, 0x1.7792ebcf71b33p-2, 0x1.7428b8b5dce88p-2, 0x1.70bd432d632f7p-2, 0x1.6d50b6b520a91p-2, 0x1.69e33ef30116bp-2, 0x1.667507a7d4ed8p-2, 0x1.63063ca3bc9d4p-2, 0x1.5f9709baeb5c8p-2, 0x1.5c279ababd852p-2, 0x1.58b81b5f29fabp-2, 0x1.5548b748840d1p-2, 0x1.51d999f199462p-2, 0x1.4e6aeea621052p-2, 0x1.4afce079816d2p-2, 0x1.478f9a3ded9a2p-2, 0x1.4423467bd291p-2, 0x1.40b80f699bb3ep-2, 0x1.3d4e1ee3cac73p-2, 0x1.39e59e655eb01p-2, 0x1.367eb7008f14ap-2, 0x1.33199157d959bp-2, 0x1.2fb6559759458p-2, 0x1.2c552b6e75a36p-2, 0x1.28f63a09d73b6p-2, 0x1.2599a80dae82dp-2, 0x1.223f9b9043a17p-2, 0x1.1ee83a14d2fc4p-2, 0x1.1b93a886b0906p-2, 0x1.18420b34b6113p-2, 0x1.14f385ccf6f5p-2, 0x1.11a83b58b98e3p-2, 0x1.0e604e38b6827p-2, 0x1.0b1be0219726dp-2, 0x1.07db1218bcdd4p-2, 0x1.049e047140be2p-2, 0x1.0164d6c936fc3p-2, 0x1.fc5f500e5fb6dp-3, 0x1.f5fd2cafe64c4p-3, 0x1.efa37e58ed22ep-3, 0x1.e9527e701d3f9p-3, 0x1.e30a64ddaddc5p-3, 0x1.dccb6808a0521p-3, 0x1.d695bcd467532p-3, 0x1.d069969ef50fp-3, 0x1.ca47273f2e7e6p-3, 0x1.c42e9f03bdae5p-3, 0x1.be202cb243ec3p-3, 0x1.b81bfd86e68b2p-3, 0x1.b2223d343561bp-3, 0x1.ac3315e364d7dp-3, 0x1.a64eb034dfeabp-3, 0x1.a0753341208f1p-3, 0x1.9aa6c499e0eabp-3, 0x1.94e3884b8cc3cp-3, 0x1.8f2ba0df0058ap-3, 0x1.897f2f5b8a10bp-3, 0x1.83de534931aabp-3, 0x1.7e492ab337b6dp-3, 0x1.78bfd22ad708dp-3, 0x1.734264ca41197p-3, 0x1.6dd0fc37d0f1p-3, 0x1.686bb0a96e731p-3, 0x1.631298e82bb76p-3, 0x1.5dc5ca540bbbp-3, 0x1.588558e7fcf69p-3, 0x1.5351573dfc6bp-3, 0x1.4e29d6935afc5p-3, 0x1.490ee6cd39557p-3, 0x1.4400967d13a14p-3, 0x1.3efef2e583ccfp-3, 0x1.3a0a07ff139fap-3, 0x1.3521e07d33c32p-3, 0x1.304685d35277cp-3, 0x1.2b78003a021d3p-3, 0x1.26b656b43e844p-3, 0x1.22018f14c75d9p-3, 0x1.1d59ae038d20ap-3, 0x1.18beb7032ce73p-3, 0x1.1430ac7685caap-3, 0x1.0faf8fa6554adp-3, 0x1.0b3b60c6df246p-3, 0x1.06d41efda6becp-3, 0x1.0279c8672ec21p-3, 0x1.fc58b43984b44p-4, 0x1.f3d7a0747cf3ep-4, 0x1.eb704bc7db2e4p-4, 0x1.e322aa98b1afep-4, 0x1.daeeaf7449602p-4, 0x1.d2d44b1bd5b4cp-4, 0x1.cad36c902c293p-4, 0x1.c2ec011d74ad2p-4, 0x1.bb1df466d68e1p-4, 0x1.b369307221dcp-4, 0x1.abcd9db36736cp-4, 0x1.a44b23188c16bp-4, 0x1.9ce1a614c673fp-4, 0x1.95910aac1a037p-4, 0x1.8e59337eb0afp-4, 0x1.873a01d42cb8ap-4, 0x1.803355a6e079ep-4, 0x1.79450daef2426p-4, 0x1.726f076d66874p-4, 0x1.6bb11f370decap-4, 0x1.650b303f5f13fp-4, 0x1.5e7d14a32e765p-4, 0x1.5806a5734b27bp-4, 0x1.51a7babefae0bp-4, 0x1.4b602b9e5bffep-4, 0x1.452fce3c9e5fbp-4, 0x1.3f1677e221ca1p-4, 0x1.3913fcfe6e114p-4, 0x1.332831320908p-4, 0x1.2d52e758283cap-4, 0x1.2793f1903d3b1p-4, 0x1.21eb21475cdd2p-4, 0x1.1c5847417fbabp-4, 0x1.16db33a29cf31p-4, 0x1.1173b5f79dbc3p-4, 0x1.0c219d3f284e1p-4, 0x1.06e4b7f243939p-4, 0x1.01bcd40cd156p-4, 0x1.f9537e2bc4d3bp-5, 0x1.ef568c4fbf821p-5, 0x1.e5826bf1117b2p-5, 0x1.dbd6b5c19e6ccp-5, 0x1.d25301c8fd6a1p-5, 0x1.c8f6e7738bf19p-5, 0x1.bfc1fda11e6ep-5, 0x1.b6b3dab3645edp-5, 0x1.adcc149bf53d8p-5, 0x1.a50a40ea0e94p-5, 0x1.9c6df4d7fcecdp-5, 0x1.93f6c55831065p-5, 0x1.8ba4472206902p-5, 0x1.83760ebe34b4cp-5, 0x1.7b6bb092efd2cp-5, 0x1.7384c0efb82dbp-5, 0x1.6bc0d418dc448p-5, 0x1.641f7e52a2d8bp-5, 0x1.5ca053ec2e969p-5, 0x1.5542e94a0e5a9p-5, 0x1.4e06d2f07e4c6p-5, 0x1.46eba58d60d96p-5, 0x1.3ff0f601e06d2p-5, 0x1.3916596bd5b3dp-5, 0x1.325b652ecfeb1p-5, 0x1.2bbfaefce325cp-5, 0x1.2542ccdf2385bp-5, 0x1.1ee4553ddb262p-5, 0x1.18a3dee877e4ep-5, 0x1.1281011d34e9bp-5, 0x1.0c7b53907a4aap-5, 0x1.06926e73fbf2cp-5, 0x1.00c5ea7d92df5p-5, 0x1.f62ac1dbab3d9p-6, 0x1.eb00d72cd598cp-6, 0x1.e00d49c04191ep-6, 0x1.d54f4fa18481p-6, 0x1.cac620215fdb4p-6, 0x1.c070f3e06d9dcp-6, 0x1.b64f04d9605abp-6, 0x1.ac5f8e6ac5507p-6, 0x1.a2a1cd606077bp-6, 0x1.9914fffbf904ap-6, 0x1.8fb865fddc048p-6, 0x1.868b40acd3a6ep-6, 0x1.7d8cd2ddc30c4p-6, 0x1.74bc60fad2e5ep-6, 0x1.6c19310a39751p-6, 0x1.63a28ab4a16e3p-6, 0x1.5b57b74b23ca2p-6, 0x1.533801ccec718p-6, 0x1.4b42b6ec82059p-6, 0x1.437725149fe22p-6, 0x1.3bd49c6cd39b7p-6, 0x1.345a6edda87c8p-6, 0x1.2d07f01489d6bp-6, 0x1.25dc758755cccp-6, 0x1.1ed7567793ef2p-6, 0x1.17f7ebf5684aap-6, 0x1.113d90e232058p-6, 0x1.0aa7a1f2e2361p-6, 0x1.04357db20d0edp-6, 0x1.fbcd09034e9b6p-7, 0x1.ef743139263abp-7, 0x1.e35f3c2fbae3fp-7, 0x1.d78cf5c76a0fap-7, 0x1.cbfc2d986e527p-7, 0x1.c0abb6f3ca651p-7, 0x1.b59a68e3ef365p-7, 0x1.aac71e2ccf9f3p-7, 0x1.a030b54b8ec2p-7, 0x1.95d61075ca7d6p-7, 0x1.8bb6159867353p-7, 0x1.81cfae561c468p-7, 0x1.7821c80580694p-7, 0x1.6eab53aec4718p-7, 0x1.656b46090cf47p-7, 0x1.5c6097778c98ep-7, 0x1.538a440626c6ap-7, 0x1.4ae74b65e1149p-7, 0x1.4276b0e8f5dabp-7, 0x1.3a377b7ea0ae3p-7, 0x1.3228b5aea6533p-7, 0x1.2a496d949bcd8p-7, 0x1.2298b4dadc84ap-7, 0x1.1b15a0b55773bp-7, 0x1.13bf49dc07573p-7, 0x1.0c94cc85495d3p-7, 0x1.0595485ff262cp-7, 0x1.fd7fc11a5935dp-8, 0x1.f027773452088p-8, 0x1.e32006f33d88cp-8, 0x1.d667cafa5298bp-8, 0x1.c9fd249cbdfd8p-8, 0x1.bdde7bcfd6fcfp-8, 0x1.b20a3f1ca4e68p-8, 0x1.a67ee39172207p-8, 0x1.9b3ae4b300101p-8, 0x1.903cc46d53fddp-8, 0x1.85830b0487ea1p-8, 0x1.7b0c4705372cep-8, 0x1.70d70d34d4d9ep-8, 0x1.66e1f881c286ap-8, 0x1.5d2ba9f33b283p-8, 0x1.53b2c89922eb8p-8, 0x1.4a76017b952f6p-8, 0x1.4174078a89945p-8, 0x1.38ab938d0dcd9p-8, 0x1.301b6410ade4p-8, 0x1.27c23d588b688p-8, 0x1.1f9ee94c88a23p-8, 0x1.17b0376846b38p-8, 0x1.0ff4fcaa2d51ap-8, 0x1.086c13823d002p-8, 0x1.01145bc107956p-8, 0x1.f3d9750d069d8p-9, 0x1.e5e83461b5081p-9, 0x1.d852d4969c6e9p-9, 0x1.cb173ef9d855fp-9, 0x1.be3366ef0e3bep-9, 0x1.b1a549ccc8502p-9, 0x1.a56aeeba6a6d5p-9, 0x1.9982668dfcd8ep-9, 0x1.8de9cba9dd1e2p-9, 0x1.829f41dad1fd2p-9, 0x1.77a0f63607253p-9, 0x1.6ced1ef74a3bep-9, 0x1.6281fb5f5a78dp-9, 0x1.585dd3922abe1p-9, 0x1.4e7ef875b21dap-9, 0x1.44e3c3908a455p-9, 0x1.3b8a96e8e40b7p-9, 0x1.3271dce3a1b3ap-9, 0x1.29980823ac5p-9, 0x1.20fb9369750abp-9, 0x1.189b017294462p-9, 0x1.1074dcd9e0a53p-9, 0x1.0887b7f77650ep-9, 0x1.00d22cc12391ep-9, 0x1.f2a5b95654d91p-10, 0x1.e410e111f273ap-10, 0x1.d5e330dcdb7b6p-10, 0x1.c81a17225d82bp-10, 0x1.bab31054c0a0cp-10, 0x1.adaba6b116609p-10, 0x1.a1017203ca57ap-10, 0x1.94b2176d896e6p-10, 0x1.88bb4928d56cp-10, 0x1.7d1ac65041647p-10, 0x1.71ce5aa52b205p-10, 0x1.66d3de5709233p-10, 0x1.5c2935cb5f53dp-10, 0x1.51cc516655c5cp-10, 0x1.47bb2d53c7fb5p-10, 0x1.3df3d15123523p-10, 0x1.34745077c1497p-10, 0x1.2b3ac908036ecp-10, 0x1.22456434c4ddbp-10, 0x1.199255efe1d75p-10, 0x1.111fdcb6ddc0ap-10, 0x1.08ec4160acbc4p-10, 0x1.00f5d6ebb73fdp-10, 0x1.f275f499875f4p-11, 0x1.e374247cb59e7p-11, 0x1.d4e31e21b5e02p-11, 0x1.c6bfd4f67ec31p-11, 0x1.b9074ed8fb792p-11, 0x1.abb6a3bb0c6dap-11, 0x1.9ecafd47ab4e7p-11, 0x1.92419689e133ap-11, 0x1.8617bb93db679p-11, 0x1.7a4ac928cebb5p-11, 0x1.6ed82c66cb51cp-11, 0x1.63bd62726aa5p-11, 0x1.58f7f823e9367p-11, 0x1.4e8589b4cd355p-11, 0x1.4463c26f9bd71p-11, 0x1.3a905c604c4a3p-11, 0x1.31092005c665ep-11, 0x1.27cbe40558a0bp-11, 0x1.1ed68cdeaa545p-11, 0x1.16270ca122731p-11, 0x1.0dbb62a285e48p-11, 0x1.05919b36e4f2dp-11, 0x1.fb4f9ed28d8adp-12, 0x1.ebf8496c0501dp-12, 0x1.dd19998c27d9cp-12, 0x1.ceb00a56b661cp-12, 0x1.c0b82e3ca3d44p-12, 0x1.b32eae7955c98p-12, 0x1.a6104a922e7b6p-12, 0x1.9959d7d8a1ce4p-12, 0x1.8d0840ee32fe4p-12, 0x1.8118854a0885bp-12, 0x1.7587b8c2d4ccdp-12, 0x1.6a5303174ee82p-12, 0x1.5f779f7c5d271p-12, 0x1.54f2dc2aeb6b2p-12, 0x1.4ac219f08d91bp-12, 0x1.40e2cbc2d6852p-12, 0x1.37527653b903fp-12, 0x1.2e0eafa872ba5p-12, 0x1.25151eb1f7103p-12, 0x1.1c637ae78f2bp-12, 0x1.13f78be3fd8p-12, 0x1.0bcf290351f17p-12, 0x1.03e839031ba6cp-12, 0x1.f881634afcc6fp-13, 0x1.e9ad2ea840781p-13, 0x1.db4ff98d55be5p-13, 0x1.cd66055366366p-13, 0x1.bfebae913a325p-13, 0x1.b2dd6c6ff4614p-13, 0x1.a637d005c3499p-13, 0x1.99f783b1e9eeep-13, 0x1.8e194a7cd44cep-13, 0x1.8299ff7b605f7p-13, 0x1.77769535a02e9p-13, 0x1.6cac150ffda2cp-13, 0x1.62379eb83a716p-13, 0x1.581667959b94bp-13, 0x1.4e45ba3b33003p-13, 0x1.44c2f5de74356p-13, 0x1.3b8b8dce7fb17p-13, 0x1.329d08f10db49p-13, 0x1.29f5014072f62p-13, 0x1.2191234c3511fp-13, 0x1.196f2dbdced1ap-13, 0x1.118cf0def42ap-13, 0x1.09e84e232b342p-13, 0x1.027f37b2ec106p-13, 0x1.f69f5ff54828fp-14, 0x1.e8af9276c0a13p-14, 0x1.db2b4a3d5cdf8p-14, 0x1.ce0ee897196cp-14, 0x1.c156ebfedf76cp-14, 0x1.b4ffef52420e4p-14, 0x1.a906a9088e01fp-14, 0x1.9d67ea74200d8p-14, 0x1.92209f02b710ap-14, 0x1.872dcb85c9941p-14, 0x1.7c8c8d7dd9479p-14, 0x1.723a1a69526c8p-14, 0x1.6833bf191c41dp-14, 0x1.5e76df0834333p-14, 0x1.5500f3b6ea932p-14, 0x1.4bcf8c0b02f9p-14, 0x1.42e04bb2e60cdp-14, 0x1.3a30ea8c9ae02p-14, 0x1.31bf3410baa23p-14, 0x1.298906c1e22f8p-14, 0x1.218c539daf3a5p-14, 0x1.19c71d92f5effp-14, 0x1.123778f9f9a66p-14, 0x1.0adb8b10ebbb4p-14, 0x1.03b1897be28fbp-14, 0x1.f96f738ca466fp-15, 0x1.ebd8e1d5e0adfp-15, 0x1.de9c25b5048cap-15, 0x1.d1b624128d9c6p-15, 0x1.c523ddfad9159p-15, 0x1.b8e26fc0e51a1p-15, 0x1.acef1028201eep-15, 0x1.a1470f92df72ap-15, 0x1.95e7d736d9a35p-15, 0x1.8acee85623f8cp-15, 0x1.7ff9db7e4d633p-15, 0x1.75665fcbf20bbp-15, 0x1.6b123a347f151p-15, 0x1.60fb44d0aed3cp-15, 0x1.571f6e31f5e7p-15, 0x1.4d7cb8b7963f9p-15, 0x1.441139eb45381p-15, 0x1.3adb19e00e897p-15, 0x1.31d892976039cp-15, 0x1.2907ef6a0fa39p-15, 0x1.20678c737ee19p-15, 0x1.17f5d604445dfp-15, 0x1.0fb1481597d14p-15, 0x1.07986dc1e759fp-15, 0x1.ff53c1832a749p-16, 0x1.efc891d6ef1d6p-16, 0x1.e08cb76f17badp-16, 0x1.d19db79030e44p-16, 0x1.c2f930e48c833p-16, 0x1.b49cda9c4546p-16, 0x1.a686838bc42b8p-16, 0x1.98b41158d08c7p-16, 0x1.8b237fa665fa4p-16, 0x1.7dd2df4e847ep-16, 0x1.70c055992123p-16, 0x1.63ea1b80f4c8p-16, 0x1.574e7cf921abfp-16, 0x1.4aebd83a1d813p-16, 0x1.3ec09d13a6c7p-16, 0x1.32cb4c43edc29p-16, 0x1.270a76d3487a5p-16, 0x1.1b7cbd75c96b1p-16, 0x1.1020cff29cdbcp-16, 0x1.04f56c8e5a146p-16, 0x1.f3f2bef47bf73p-17, 0x1.de5704955bacep-17, 0x1.c91576d79ea29p-17, 0x1.b42bfb459d758p-17, 0x1.9f988f16d4f66p-17, 0x1.8b59463e38121p-17, 0x1.776c4a7b7d89ap-17, 0x1.63cfda74bfb02p-17, 0x1.508248d7a46b6p-17, 0x1.3d81fb849116p-17, 0x1.2acd6abb3789p-17, 0x1.18632055df12fp-17, 0x1.0641b702f4024p-17, 0x1.e8cfb316389dbp-18, 0x1.c5a8843551431p-18, 0x1.a30b73269d77ep-18, 0x1.80f62dc71ff6p-18, 0x1.5f667cc444301p-18, 0x1.3e5a426371d92p-18, 0x1.1dcf7951f5e75p-18, 0x1.fb8866f50c388p-19, 0x1.bc6d31e62e634p-19, 0x1.7e49cdc9ff6cdp-19, 0x1.411add14cec03p-19, 0x1.04dd285b93b65p-19, 0x1.931b38e28f216p-20, 0x1.1e529121ee9bcp-20, 0x1.56b5726317e4fp-21, 0x1.d17275840b9f9p-23, -0x1.a9beb0e65c99cp-23, -0x1.45b94afe4c36bp-21, -0x1.0ec4db4916863p-20, -0x1.78f501c15dc83p-20, -0x1.e171746f61649p-20, -0x1.241f315de66fp-19, -0x1.56afe94850ffap-19, -0x1.886cd161924d8p-19, -0x1.b957c6bcd31bep-19, -0x1.e97295377cc6ep-19, -0x1.0c5f7c466f7d2p-18, -0x1.239f4eafefdc4p-18, -0x1.3a79911d24f3p-18, -0x1.50ef0c40f5622p-18, -0x1.670082b17924fp-18, -0x1.7caeb15542ef7p-18, -0x1.91fa4fcf087b9p-18, -0x1.a6e410e29622dp-18, -0x1.bb6ca2d4b7c5ap-18, -0x1.cf94afc69948dp-18, -0x1.e35cde148497fp-18, -0x1.f6c5d09f48d33p-18, -0x1.04e813926f333p-17, -0x1.0e3e3f43de143p-17, -0x1.1765b88abf7bbp-17, -0x1.205ecb67ca57bp-17, -0x1.2929c2d3d4bfp-17, -0x1.31c6e8dfb8c97p-17, -0x1.3a3686d1813p-17, -0x1.4278e53e6f2bap-17, -0x1.4a8e4c25d85a7p-17, -0x1.5277030a1397fp-17, -0x1.5a335105716ccp-17, -0x1.61c37ce2c26ecp-17, -0x1.6927cd2f826ep-17, -0x1.7060884f87967p-17, -0x1.776df48f935acp-17, -0x1.7e50583426734p-17, -0x1.8507f98a293cp-17, -0x1.8b951ef5c2951p-17, -0x1.91f80eff8cd41p-17, -0x1.98311060034dbp-17, -0x1.9e406a0cbfec9p-17, -0x1.a42663412ae4p-17, -0x1.a9e34388f058bp-17, -0x1.af7752c92a93p-17, -0x1.b4e2d9485efd5p-17, -0x1.ba261fb4ac86bp-17, -0x1.bf416f2c3d5d1p-17, -0x1.c4351140dfd2ep-17, -0x1.c9014ffe09852p-17, -0x1.cda675ee5a3fp-17, -0x1.d224ce1d8033ep-17, -0x1.d67ca41d6ff1cp-17, -0x1.daae440773515p-17, -0x1.deb9fa7fdf2dep-17, -0x1.e2a014b6853f4p-17, -0x1.e660e0685045p-17, -0x1.e9fcabe00f3a9p-17, -0x1.ed73c5f69f22p-17, -0x1.f0c67e13417c7p-17, -0x1.f3f5242a0d16bp-17, -0x1.f70008bc7b456p-17, -0x1.f9e77cd756fd7p-17, -0x1.fcabd210a065bp-17, -0x1.ff4d5a86e71b5p-17, -0x1.00e6346f387c6p-16, -0x1.0214a81f5d1b6p-16, -0x1.033232283a2fcp-16, -0x1.043efc9ce05dfp-16, -0x1.053b31cdb37acp-16, -0x1.0626fc46990dp-16, -0x1.070286cd7bd6ep-16, -0x1.07cdfc6035e3ap-16, -0x1.0889883284ab9p-16, -0x1.093555ac5469p-16, -0x1.09d19067523c9p-16, -0x1.0a5e642ce1c29p-16, -0x1.0adbfcf3cd7b3p-16, -0x1.0b4a86de19109p-16, -0x1.0baa2e3682e8bp-16, -0x1.0bfb1f6e97fe2p-16, -0x1.0c3d871b8094bp-16, -0x1.0c7191f44b8ep-16, -0x1.0c976ccf032cbp-16, -0x1.0caf449e558fcp-16, -0x1.0cb9466ed9bcep-16, -0x1.0cb59f64e6f21p-16, -0x1.0ca47cb9af2c9p-16, -0x1.0c860bb8adfe9p-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      26, 0x1.6cccccccccccdp+2, 0x1.3d6d06365e1e2p+3, 0x1.51c98f244db22p+5, -0x1.94206725caa14p-5, 
      {{
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.88b17c9a335e7p-3, -0x1.3218899cd09a2p+1, 0x1.7b8abe475b035p+3, -0x1.8a7199c857a13p+4}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.9476e872e1611p-4, -0x1.63e4314bc95p+0, 0x1.0535768b40b9dp+3, -0x1.3a85b896ab1fdp+4}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.828c07b5d66e9p-5, -0x1.71557f4d9193cp-1, 0x1.4db44b22812e1p+2, -0x1.ed5dbaac75521p+3}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.6c27a96933f9bp-6, -0x1.432623d4fffcdp-2, 0x1.73638caa55928p+1, -0x1.5e6a11324cac1p+3}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.941b7981e0b34p-7, -0x1.b88ca0447f69fp-4, 0x1.4247d17eb58b4p+0, -0x1.a8c84f7595414p+2}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2fd4cf6ad4088p-7, -0x1.01979245af8efp-5, 0x1.0da4edad6fe77p-2, -0x1.ef69898fb7fefp+0}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.09f5339db6ee3p-7, -0x1.418d1d7d6ac9bp-6, -0x1.b9a64dbfe7d53p-6, 0x1.0dee8b2754218p-2}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.d1592d7226381p-8, -0x1.4d530a539179cp-6, 0x1.9c5f9a09c4247p-7, -0x1.262b3f9ca2ad5p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9073800e20ba1p-8, -0x1.3d1e44dbd4595p-6, 0x1.d7be815791e08p-8, 0x1.3d1eac18ade2dp-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.52862535fd531p-8, -0x1.2c915dc38292fp-6, 0x1.aa24db20fe116p-7, 0x1.acabba7a8dd4cp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.18a5f8a80b0a4p-8, -0x1.15a73311669e2p-6, 0x1.ea71d0b360256p-7, 0x1.d5114555caedbp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.c75fd77490048p-9, -0x1.f6be686d054ccp-7, 0x1.186700c01f4adp-6, 0x1.119b71e0d0f66p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.68920ab4c2e3bp-9, -0x1.bc9c7b42fd79ap-7, 0x1.2cec42e42ef6dp-6, 0x1.1abd2dd29cc08p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.15bcc41b67517p-9, -0x1.7f5dccc06755dp-7, 0x1.37868e35ae712p-6, -0x1.f9b1ecf5e5ecap-13}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.9e94cfc5283ap-10, -0x1.411edc0c22dd5p-7, 0x1.36eed8d4fe45bp-6, -0x1.3086206fd6eb4p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2a6b0ae77c878p-10, -0x1.04136ee1f4f8fp-7, 0x1.2b836ad0cc9ccp-6, -0x1.2b3b2d7aa242bp-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9c235d9ee3d92p-11, -0x1.94d5bf3dc0ef7p-8, 0x1.15122dce00718p-6, -0x1.b8ad0ddbdfce7p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0f7d0e1ad6438p-11, -0x1.2c9ddf0c17511p-8, 0x1.e80a66549f50ep-7, -0x1.2cce068231448p-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.531ed6421d03p-12, -0x1.a810be8343c9p-9, 0x1.8dcc9793f6effp-7, -0x1.3c8162c46534ep-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.8d9286f04243dp-13, -0x1.1befa16857b98p-9, 0x1.2ed8f9f2a5607p-7, -0x1.0b778eacab95bp-6}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.ad33072bacb43p-14, -0x1.65b0aab2a620cp-10, 0x1.bd3704b0e3cbp-8, -0x1.c82ee22058209p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.9df7248bb466cp-15, -0x1.9df343d16d663p-11, 0x1.345c2740c95b6p-8, -0x1.74814b58eef12p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.531ed6421d025p-16, -0x1.a7ecfec12e235p-12, 0x1.893787b29cf3dp-9, -0x1.2135b5d4ba96ap-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.ad33072bacbc8p-18, -0x1.6586716e8785p-13, 0x1.b761cecc5a011p-10, -0x1.a29eeda4385dfp-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.531ed6421d47ep-20, -0x1.a9f43d11861a6p-15, 0x1.786b4d3a09fap-11, -0x1.cdc77217c86edp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.531ed64223801p-24, -0x1.6ab2f55cc7308p-18, 0x1.8d6823157a001p-13, -0x1.3506f7428e3d3p-8}, 
      }}, 
      0x1.22d0684decfep-4, -0x1.c040d7015ff04p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.1e67bb4cd9fd6p-1, -0x1.0f5f6781aa4fdp-1, -0x1.f08a2be21344ap-2, -0x1.b65c9ea4010b6p-2, -0x1.7461b0b67b74p-2, -0x1.2e5f759ffcd59p-2, -0x1.cf0f9617058bp-3, -0x1.44d51373cf0d5p-3, -0x1.83ea03e6189efp-4, -0x1.24e29e898a253p-5, 0x1.1c60dbc21f47cp-6, 0x1.06a2b22d7c406p-4, 0x1.ab67118dc6003p-4, 0x1.1acedad1783dfp-3, 0x1.531fb7362993ap-3, 0x1.7f67c557ab9b7p-3, 0x1.a0979fb410316p-3, 0x1.b7bcac4ab4306p-3, 0x1.c5f29be42bec6p-3, 0x1.cc581a832979bp-3, 0x1.cc0642275f4ccp-3, 0x1.c60a62af563a8p-3, 0x1.bb61b75055ddp-3, 0x1.acf6a8244f9abp-3, 0x1.9b9f42d2c2088p-3, 0x1.881ca18d3e251p-3, 0x1.731b02c474208p-3, 0x1.5d32603d00c71p-3, 0x1.46e75d2a211b9p-3, 0x1.30ac6c71bf0abp-3, 0x1.1ae31778ae7fap-3, 0x1.05dd541982075p-3, 0x1.e3bdba6fa617p-4, 0x1.be3d0abdcd8d3p-4, 0x1.9b8efa8d4b37dp-4, 0x1.7bf515429c01p-4, 0x1.5f9e59892e997p-4, 0x1.46a95c63ef153p-4, 0x1.3126459eaf47p-4, 0x1.1f18a67c8bd81p-4, 0x1.10792c24079dp-4, 0x1.05372f82512e8p-4, 0x1.fa7448b43989bp-5, 0x1.f0c5d22f07213p-5, 0x1.ed19f1cc97f28p-5, 0x1.ef1f02d52accap-5, 0x1.f67cbac46b383p-5, 0x1.016af58c5defdp-4, 0x1.09e5093d699d2p-4, 0x1.147b5fe8a4d3cp-4, 0x1.20fc651e86048p-4, 0x1.2f36afea9b0d4p-4, 0x1.3ef97749205c7p-4, 0x1.5014f4d97268fp-4, 0x1.625ab89fefad1p-4, 0x1.759decbf59dc4p-4, 0x1.89b38cceb7f5fp-4, 0x1.9e72904bce691p-4, 0x1.b3b407d948fe4p-4, 0x1.c95335487eeb8p-4, 0x1.df2d9babd9ee6p-4, 0x1.f5230207fd01cp-4, 0x1.058abbda0c023p-3, 0x1.1074a45a3dd8bp-3, 0x1.1b427bafe606p-3, 0x1.25e8966c97279p-3, 0x1.305c54e371d5ep-3, 0x1.3a941aa55f23fp-3, 0x1.448743a943ee9p-3, 0x1.4e2e17a7cf903p-3, 0x1.5781c07a5d75fp-3, 0x1.607c3c521dbe2p-3, 0x1.6918534421f99p-3, 0x1.71518b87bd4f7p-3, 0x1.79241eb715fd3p-3, 0x1.808cee56ec91ap-3, 0x1.878978d567f1ep-3, 0x1.8e17cf27c19f7p-3, 0x1.9436891daa6d3p-3, 0x1.99e4bc4d81eeap-3, 0x1.9f21f1c865651p-3, 0x1.a3ee1cec3266ap-3, 0x1.a849929a174ap-3, 0x1.ac3500a7deba6p-3, 0x1.afb165862d332p-3, 0x1.b2c008ade03c2p-3, 0x1.b56272eac88d1p-3, 0x1.b79a673d96843p-3, 0x1.b969dc2ddc59dp-3, 0x1.bad2f50639872p-3, 0x1.bbd7fcd3923ffp-3, 0x1.bc7b600988458p-3, 0x1.bcbfa7eaba45fp-3, 0x1.bca775cf95832p-3, 0x1.bc357ee3f85e5p-3, 0x1.bb6c880e0f516p-3, 0x1.ba4f63438655bp-3, 0x1.b8e0ea5239d85p-3, 0x1.b723fdb74deep-3, 0x1.b51b8151fc81fp-3, 0x1.b2ca59723c5cp-3, 0x1.b0336911bedd4p-3, 0x1.ad598f73824dcp-3, 0x1.aa3fa67e9fd5ap-3, 0x1.a6e8812fa10f8p-3, 0x1.a356e9bf347d7p-3, 0x1.9f8da0dcddf8bp-3, 0x1.9b8f5bcf043a3p-3, 0x1.975ec43ad2321p-3, 0x1.92fe76ae3f3b8p-3, 0x1.8e710283a8432p-3, 0x1.89b8e8587d243p-3, 0x1.84d89a68a562dp-3, 0x1.7fd27bbb2929ap-3, 0x1.7aa8dfdec0517p-3, 0x1.755e0ab3a9f9dp-3, 0x1.6ff4304b1733dp-3, 0x1.6a6d749b81218p-3, 0x1.64cbeb932d2c9p-3, 0x1.5f11994cd96ffp-3, 0x1.594071b005708p-3, 0x1.535a58bcabd32p-3, 0x1.4d612274b73ecp-3, 0x1.475693d5a1189p-3, 0x1.413c6148673eap-3, 0x1.3b1430995539cp-3, 0x1.34df984206dacp-3, 0x1.2ea01fd45bd38p-3, 0x1.2857403061aa5p-3, 0x1.22066442e037cp-3, 0x1.1baee843ff662p-3, 0x1.15521b34004ccp-3, 0x1.0ef13e44aaf31p-3, 0x1.088d85a73a2e3p-3, 0x1.022818c2e76dp-3, 0x1.f784248fc99a2p-4, 0x1.eab901e6f5216p-4, 0x1.ddf0ceead5177p-4, 0x1.d12d7993ddbbbp-4, 0x1.c470d9fc42969p-4, 0x1.b7bcb115d59d5p-4, 0x1.ab12ac109f14cp-4, 0x1.9e74623e0e94fp-4, 0x1.91e35720e39dfp-4, 0x1.8560fa9afe7a9p-4, 0x1.78eeaa5666084p-4, 0x1.6c8db055cf6fcp-4, 0x1.603f45f973e9ep-4, 0x1.540492915722cp-4, 0x1.47deae2050d43p-4, 0x1.3bce9f0596ffbp-4, 0x1.2fd55d4013712p-4, 0x1.23f3d1950da4bp-4, 0x1.182ad6202be8p-4, 0x1.0c7b37719909bp-4, 0x1.00e5b4bf6428fp-4, 0x1.ead6006b90272p-5, 0x1.d4177f284b9d2p-5, 0x1.bd9119a7122fcp-5, 0x1.a743ed5a570a6p-5, 0x1.9131016d20244p-5, 0x1.7b59478b44d41p-5, 0x1.65bd9d87133e1p-5, 0x1.505ece0bdf837p-5, 0x1.3b3d915dae79fp-5, 0x1.265a8cf6eebc2p-5, 0x1.11b65483d17d5p-5, 0x1.faa2dc3192f12p-6, 0x1.d2589c5da88f9p-6, 0x1.aa8eb4a174c7fp-6, 0x1.8345d38727851p-6, 0x1.5c7e8c3cb73ep-6, 0x1.363958fe03613p-6, 0x1.1076992705b1dp-6, 0x1.d66d292f54f6p-7, 0x1.8cf2fa07647b1p-7, 0x1.447edbf1c2f46p-7, 0x1.fa21bfed9c909p-8, 0x1.6d51d073b4f77p-8, 0x1.c51ae7016fca8p-9, 0x1.674f77b2c0b21p-10, -0x1.66dfa0bece208p-11, -0x1.63069151d022cp-9, -0x1.3423a79d07842p-8, -0x1.b4becfbfdaf95p-8, -0x1.19ab5ab116c6bp-7, -0x1.57f6be06f8ae4p-7, -0x1.9542bdb7a6f48p-7, -0x1.d1909c6d3af8ep-7, -0x1.0670da14c5b89p-6, -0x1.239bb7f66cbdfp-6, -0x1.4049a67c0be15p-6, -0x1.5c7b6d989d6bfp-6, -0x1.7831dde768481p-6, -0x1.936dcfeea1919p-6, -0x1.ae3023d31ab43p-6, -0x1.c879bd5f805c7p-6, -0x1.e24b88c57fbf8p-6, -0x1.fba6777f05975p-6, -0x1.0a45c06bc0082p-5, -0x1.167dd0461f313p-5, -0x1.227beb144f947p-5, -0x1.2e409289512bcp-5, -0x1.39cc4a39e2cbdp-5, -0x1.451f977fefa9p-5, -0x1.503b01622f0adp-5, -0x1.5b1f0fd04002ap-5, -0x1.65cc4be3940e4p-5, -0x1.70433fa0c6e3ap-5, -0x1.7a8475b21651p-5, -0x1.849079b91a834p-5, -0x1.8e67d83983002p-5, -0x1.980b1df32726ap-5, -0x1.a17ad7b3af115p-5, -0x1.aab792f08b958p-5, -0x1.b3c1dc253c4a2p-5, -0x1.bc9a40eaebd81p-5, -0x1.c5414eda4b2afp-5, -0x1.cdb79363a624dp-5, -0x1.d5fd9b5c4e0d6p-5, -0x1.de13f2fe68508p-5, -0x1.e5fb262312e35p-5, -0x1.edb3c09d8f782p-5, -0x1.f53e4e1c27289p-5, -0x1.fc9b5997c2f1ap-5, -0x1.01e5b69b29057p-4, -0x1.056788ec773b7p-4, -0x1.08d367d9065ep-4, -0x1.0c29974ffb95ep-4, -0x1.0f6a5b16f5f7cp-4, -0x1.1295f67d8c149p-4, -0x1.15acac3fded33p-4, -0x1.18aebe658cd41p-4, -0x1.1b9c6e55f146ep-4, -0x1.1e75fd39b9b31p-4, -0x1.213babe8ff343p-4, -0x1.23edbb225a16p-4, -0x1.268c6a93e3d16p-4, -0x1.2917f95d6a6fdp-4, -0x1.2b90a5d552dd6p-4, -0x1.2df6adc8beb04p-4, -0x1.304a4ece8090ep-4, -0x1.328bc62a07097p-4, -0x1.34bb509a5452bp-4, -0x1.36d92a0fe154bp-4, -0x1.38e58d983c294p-4, -0x1.3ae0b5899c049p-4, -0x1.3ccadbc8d0127p-4, -0x1.3ea439fa160d8p-4, -0x1.406d0972246d9p-4, -0x1.422582f00311fp-4, -0x1.43cdde5bae457p-4, -0x1.456652b38e21cp-4, -0x1.46ef1636acbc8p-4, -0x1.48685eb7e4ca4p-4, -0x1.49d261cc8e68cp-4, -0x1.4b2d54c589e95p-4, -0x1.4c796c74b940ep-4, -0x1.4db6dcd25e944p-4, -0x1.4ee5d8fe23bf7p-4, -0x1.5006933cb599ap-4, -0x1.51193d616db3dp-4, -0x1.521e08d3ec1c3p-4, -0x1.53152702ea53fp-4, -0x1.53fec8ed18f79p-4, -0x1.54db1eecf178dp-4, -0x1.55aa588460702p-4, -0x1.566ca457a839fp-4, -0x1.5722305f1eb6ep-4, -0x1.57cb2a308db4dp-4, -0x1.5867bf4633877p-4, -0x1.58f81ce544556p-4, -0x1.597c6fdc4a426p-4, -0x1.59f4e48ea8a76p-4, -0x1.5a61a67efd1c9p-4, -0x1.5ac2e044b0468p-4, -0x1.5b18bbf44423p-4, -0x1.5b6363455b601p-4, -0x1.5ba2ffce5f066p-4, -0x1.5bd7bb05bd6b7p-4, -0x1.5c01be1fa0bfbp-4, -0x1.5c2131cf156b3p-4, -0x1.5c363e03a968dp-4, -0x1.5c4109f516b93p-4, -0x1.5c41bc37111a2p-4, -0x1.5c387af5b46b2p-4, -0x1.5c256c4713425p-4, -0x1.5c08b61045e85p-4, -0x1.5be27e2a2ede4p-4, -0x1.5bb2ea1178487p-4, -0x1.5b7a1eb992483p-4, -0x1.5b384062bf213p-4, -0x1.5aed72beb0b14p-4, -0x1.5a99d8d869683p-4, -0x1.5a3d95944df4cp-4, -0x1.59d8cbaf30bd3p-4, -0x1.596b9ddee6ad7p-4, -0x1.58f62ea3fd4b8p-4, -0x1.5878a03f1f032p-4, -0x1.57f31481f37afp-4, -0x1.5765acbd34f25p-4, -0x1.56d0896debb29p-4, -0x1.5633caecfe939p-4, -0x1.558f910bc0fa8p-4, -0x1.54e3fb9fa92c3p-4, -0x1.54312a6919063p-4, -0x1.53773d1b7f26dp-4, -0x1.52b6532c0fbedp-4, -0x1.51ee8bc33fb0ap-4, -0x1.5120058b4544p-4, -0x1.504adeb6aff1p-4, -0x1.4f6f34fda3693p-4, -0x1.4e8d25cbbe4afp-4, -0x1.4da4ce5ba2707p-4, -0x1.4cb64bcc9a7ap-4, -0x1.4bc1bb4010a0dp-4, -0x1.4ac739b096148p-4, -0x1.49c6e3f23ba4bp-4, -0x1.48c0d6861b424p-4, -0x1.47b52d88e178bp-4, -0x1.46a404ac6988p-4, -0x1.458d773fdb8f6p-4, -0x1.4471a052dc19ep-4, -0x1.43509abf6eee8p-4, -0x1.422a814c01e15p-4, -0x1.40ff6ead9619dp-4, -0x1.3fcf7d83f3397p-4, -0x1.3e9ac85071208p-4, -0x1.3d6169510cb42p-4, -0x1.3c237a74d1794p-4, -0x1.3ae1155359f49p-4, -0x1.399a533107793p-4, -0x1.384f4d036fcd3p-4, -0x1.37001b90bfdcfp-4, -0x1.35acd776d0417p-4, -0x1.34559946b6883p-4, -0x1.32fa796f5361ep-4, -0x1.319b904e8dep-4, -0x1.3038f61c50a57p-4, -0x1.2ed2c2d2ba8edp-4, -0x1.2d690e2c99bc8p-4, -0x1.2bfbef945d30bp-4, -0x1.2a8b7e2bd048bp-4, -0x1.2917d0d33ca18p-4, -0x1.27a0fe41d2d65p-4, -0x1.26271cfdbea6ap-4, -0x1.24aa4377ce68ep-4, -0x1.232a8802c79c3p-4, -0x1.21a800dc0f86p-4, -0x1.2022c4156780dp-4, -0x1.1e9ae798c5178p-4, -0x1.1d108114a47fdp-4, -0x1.1b83a5f5b6ffdp-4, -0x1.19f46b645074dp-4, -0x1.1862e64fe3dbbp-4, -0x1.16cf2b6bb19dp-4, -0x1.15394f432aap-4, -0x1.13a1663b38bcdp-4, -0x1.12078496f9c84p-4, -0x1.106bbe79bbd0dp-4, -0x1.0ece27e59e81dp-4, -0x1.0d2ed4b5baec7p-4, -0x1.0b8dd89b7c1eap-4, -0x1.09eb470d1cfffp-4, -0x1.08473347e16cfp-4, -0x1.06a1b04c7b819p-4, -0x1.04fad0e1169d1p-4, -0x1.0352a79568d71p-4, -0x1.01a946cc9ec85p-4, -0x1.fffd817deb3b1p-5, -0x1.fca64efb823a3p-5, -0x1.f94d19e52fafcp-5, -0x1.f5f205c5fd2adp-5, -0x1.f29535d90a465p-5, -0x1.ef36cd02b25e3p-5, -0x1.ebd6edc72977ep-5, -0x1.e875ba3d5a0ap-5, -0x1.e513540ca1da2p-5, -0x1.e1afdc6771391p-5, -0x1.de4b740d8397p-5, -0x1.dae63b628d499p-5, -0x1.d780525a7e04p-5, -0x1.d419d8a7abf91p-5, -0x1.d0b2ed8eb5529p-5, -0x1.cd4bb00a50e2ep-5, -0x1.c9e43ebd28f86p-5, -0x1.c67cb7f409097p-5, -0x1.c31539a1e0a77p-5, -0x1.bfade15824dfap-5, -0x1.bc46cc4092dc8p-5, -0x1.b8e0171a28c8ep-5, -0x1.b579de308cadcp-5, -0x1.b2143d671457fp-5, -0x1.aeaf5030111e7p-5, -0x1.ab4b31a225e7ap-5, -0x1.a7e7fc785211dp-5, -0x1.a485cb077cf97p-5, -0x1.a124b74d0f9cp-5, -0x1.9dc4dae7a68b2p-5, -0x1.9a664f189bfd8p-5, -0x1.97092cc303719p-5, -0x1.93ad8c6ce493bp-5, -0x1.9053863a9fdd2p-5, -0x1.8cfb31ec7b97ap-5, -0x1.89a4a6db6b24bp-5, -0x1.864ffbf76ae39p-5, -0x1.82fd47c82be46p-5, -0x1.7faca06e79617p-5, -0x1.7c5e1baaa76p-5, -0x1.7911ced521ce7p-5, -0x1.75c7cee832d47p-5, -0x1.7280307a4e522p-5, -0x1.6f3b07c095659p-5, -0x1.6bf86890d81c2p-5, -0x1.68b8666511b8dp-5, -0x1.657b145c5146p-5, -0x1.6240853e2119dp-5, -0x1.5f08cb772fdafp-5, -0x1.5bd3f91637729p-5, -0x1.58a21fc71ed17p-5, -0x1.557350ce7c1c5p-5, -0x1.52479d08cffdfp-5, -0x1.4f1f14ea79569p-5, -0x1.4bf9c88308b1fp-5, -0x1.48d7c780d5e34p-5, -0x1.45b92137a0424p-5, -0x1.429de4a0c3cbep-5, -0x1.3f86206061f4bp-5, -0x1.3c71e2c7061d1p-5, -0x1.396139d07a7f8p-5, -0x1.36543322046cdp-5, -0x1.334adc06b9397p-5, -0x1.3045416bd385bp-5, -0x1.2d436fe26ff89p-5, -0x1.2a45738ebc171p-5, -0x1.274b583d697d9p-5, -0x1.24552960c3f74p-5, -0x1.2162f211a6ba7p-5, -0x1.1e74bd204fadap-5, -0x1.1b8a9514ab0d4p-5, -0x1.18a4842ee244cp-5, -0x1.15c2946294ec7p-5, -0x1.12e4cf4d78dc4p-5, -0x1.100b3e2d42957p-5, -0x1.0d35e9d779e62p-5, -0x1.0a64daac54e16p-5, -0x1.079818cda38b9p-5, -0x1.04cfab8ea047ep-5, -0x1.020b9a799dd58p-5, -0x1.fe97d9161265bp-6, -0x1.f9215150aeb62p-6, -0x1.f3b3ab2e6be9cp-6, -0x1.ee4ef401ad619p-6, -0x1.e8f338d1c9b79p-6, -0x1.e3a0863379ddfp-6, -0x1.de56e8121e003p-6, -0x1.d91669740cf0bp-6, -0x1.d3df1449d7c77p-6, -0x1.ceb0f1508222bp-6, -0x1.c98c0815814fdp-6, -0x1.c4705f21f5c79p-6, -0x1.bf5dfc488e2a1p-6, -0x1.ba54e4f61d401p-6, -0x1.b5551eb87e085p-6, -0x1.b05eaf6d1dd9dp-6, -0x1.ab719d8df2ef1p-6, -0x1.a68df01de6a02p-6, -0x1.a1b3ae6c867bdp-6, -0x1.9ce2dfa19c85cp-6, -0x1.981b8a271b49cp-6, -0x1.935db30eea65ep-6, -0x1.8ea95d921f7d4p-6, -0x1.89fe8ad0dd30fp-6, -0x1.855d39c54fddfp-6, -0x1.80c5679512812p-6, -0x1.7c3710228798bp-6, -0x1.77b22ee237786p-6, -0x1.7336bfb338e5bp-6, -0x1.6ec4bfaa95bdap-6, -0x1.6a5c2dbab185ap-6, -0x1.65fd0af69a057p-6, -0x1.61a75a61c286ap-6, -0x1.5d5b20532fa61p-6, -0x1.5918617d2920fp-6, -0x1.54df21bf73818p-6, -0x1.50af630323c69p-6, -0x1.4c89244b8a101p-6, -0x1.486c612ca5cep-6, -0x1.445911bdc2174p-6, -0x1.404f2b04cd5c6p-6, -0x1.3c4e9fc75a474p-6, -0x1.385761fa62c74p-6, -0x1.3469636cf621ap-6, -0x1.308497ff6d709p-6, -0x1.2ca8f60a6d9ecp-6, -0x1.28d6776575848p-6, -0x1.250d196ef6f82p-6, -0x1.214cdc84a545cp-6, -0x1.1d95c2da76928p-6, -0x1.19e7cee3f3e58p-6, -0x1.1643019c3663dp-6, -0x1.12a759036031p-6, -0x1.0f14cf1b9a144p-6, -0x1.0b8b598f30e3fp-6, -0x1.080aea018b3a5p-6, -0x1.04936eeb1c6bp-6, -0x1.0124d4cfbad2ap-6, -0x1.fb7e0f404488fp-7, -0x1.f4c3e844e3aa7p-7, -0x1.ee1b128dee0cfp-7, -0x1.e783729c9b7acp-7, -0x1.e0fcf52edef87p-7, -0x1.da878fd1e7e75p-7, -0x1.d4234009d20a8p-7, -0x1.cdd008e266402p-7, -0x1.c78def25ffdebp-7, -0x1.c15cf4d070ee9p-7, -0x1.bb3d146bb200ep-7, -0x1.b52e3ec1819acp-7, -0x1.af3058cdd7645p-7, -0x1.a9433b90dd9d9p-7, -0x1.a366b8bce75d7p-7, -0x1.9d9a9ca75e98p-7, -0x1.97deb214d6bcap-7, -0x1.9232c51294c45p-7, -0x1.8c96a5157cb8bp-7, -0x1.870a26a1cc87fp-7, -0x1.818d24e00837p-7, -0x1.7c1f834c51ec2p-7, -0x1.76c12f34ca7c5p-7, -0x1.717220a80bef2p-7, -0x1.6c32595dbb71ep-7, -0x1.6701e2237363ap-7, -0x1.61e0c60333323p-7, -0x1.5ccf0c6ef8ec6p-7, -0x1.57ccb3c56fedbp-7, -0x1.52d9ada3b6e39p-7, -0x1.4df5de1206ae3p-7, -0x1.49211d9a9bf46p-7, -0x1.445b3d59ae8e6p-7, -0x1.3fa40b6637f4cp-7, -0x1.3afb55f22ac51p-7, -0x1.3660ec48f430fp-7, -0x1.31d49dea0526ep-7, -0x1.2d5639033cd6dp-7, -0x1.28e589e31735bp-7, -0x1.24825c7c3e3edp-7, -0x1.202c80069d362p-7, -0x1.1be3cbac8ea23p-7, -0x1.17a82284b4dc9p-7, -0x1.13797521c62bdp-7, -0x1.0f57bfc0f6bf2p-7, -0x1.0b43055494b24p-7, -0x1.073b48df6ad86p-7, -0x1.0340874ef2e22p-7, -0x1.fea567d1b1ff3p-8, -0x1.f6e370e1ee934p-8, -0x1.ef3af17dbe6ffp-8, -0x1.e7abb027408d2p-8, -0x1.e0357b65108adp-8, -0x1.d8d82cdec68b5p-8, -0x1.d193a445a2a4ap-8, -0x1.ca67bbacad4cap-8, -0x1.c3543a4cd382dp-8, -0x1.bc58cbe0528ddp-8, -0x1.b57500fe22a82p-8, -0x1.aea85905f2e7fp-8, -0x1.a7f25236551b8p-8, -0x1.a1527a3f1183ep-8, -0x1.9ac879b71dfadp-8, -0x1.945416db7babcp-8, -0x1.8df52f95b0a4fp-8, -0x1.87abacd5711acp-8, -0x1.81777596fb46fp-8, -0x1.7b58651058c2cp-8, -0x1.754e4816a52aep-8, -0x1.6f58e194de6dep-8, -0x1.6977f4344d406p-8, -0x1.63ab4dc1cd70ap-8, -0x1.5df2d00e895fbp-8, -0x1.584e7308e8eebp-8, -0x1.52be3d5063509p-8, -0x1.4d42343dbf98p-8, -0x1.47da48411098fp-8, -0x1.428646a50f091p-8, -0x1.3d45d645d7ecfp-8, -0x1.381882011de6p-8, -0x1.32fdcb54a87e6p-8, -0x1.2df53da6d7eebp-8, -0x1.28fe7cb111a44p-8, -0x1.241946e39150ap-8, -0x1.1f45748eff0a7p-8, -0x1.1a82eb9eaba32p-8, -0x1.15d196943b4d1p-8, -0x1.1131551f68d69p-8, -0x1.0ca2052d40b69p-8, -0x1.082375b90a6c9p-8, -0x1.03b571c565524p-8, -0x1.feaf8484b19f8p-9, -0x1.f6146779737fep-9, -0x1.ed99397e0d779p-9, -0x1.e53dc6156767cp-9, -0x1.dd01f8056e3b9p-9, -0x1.d4e5cb07cdd88p-9, -0x1.cce9302048cabp-9, -0x1.c50bef84ae77fp-9, -0x1.bd4d97a7ec277p-9, -0x1.b5ad83ac546dbp-9, -0x1.ae2af5504aa2fp-9, -0x1.a6c531a3a6ef6p-9, -0x1.9f7b90b806974p-9, -0x1.984d7ec1e5e2bp-9, -0x1.913a791591984p-9, -0x1.8a420ed4b660cp-9, -0x1.8363e338b14ecp-9, -0x1.7c9fac71e4de4p-9, -0x1.75f52ebf4eef5p-9, -0x1.6f64367a263dp-9, -0x1.68ec92e716733p-9, -0x1.628e12d0536eap-9, -0x1.5c48838b98059p-9, -0x1.561bb0f983e64p-9, -0x1.500763a860c12p-9, -0x1.4a0b5d6d3324p-9, -0x1.44275924e81f6p-9, -0x1.3e5b108b20c1ep-9, -0x1.38a643665c3d5p-9, -0x1.3308b736b385fp-9, -0x1.2d822cbdb89d2p-9, -0x1.2812546a8d2bap-9, -0x1.22b8cf6f9cd51p-9, -0x1.1d7540369f8f6p-9, -0x1.1847597a32789p-9, -0x1.132ed753a50d9p-9, -0x1.0e2b664e2faffp-9, -0x1.093c97c71b1ep-9, -0x1.0461f8360ec33p-9, -0x1.ff3666c7d9bacp-10, -0x1.f5d0411d50cb1p-10, -0x1.ec915338ba75fp-10, -0x1.e3794540c9b4dp-10, -0x1.da8763c401063p-10, -0x1.d1bab59d168c6p-10, -0x1.c912460f55965p-10, -0x1.c08d647d30438p-10, -0x1.b82ba3b97840ap-10, -0x1.afeca0c55746bp-10, -0x1.a7cfccf60c19fp-10, -0x1.9fd46c7f07896p-10, -0x1.97f9c680e78f1p-10, -0x1.903f5e235cfafp-10, -0x1.88a50c60d2c8p-10, -0x1.812ae9b798f66p-10, -0x1.79d112a475dc7p-10, -0x1.72976a28f17a4p-10, -0x1.6b7d86a18f2e4p-10, -0x1.6482d51dcdb07p-10, -0x1.5da6be3667852p-10, -0x1.56e88b277baa6p-10, -0x1.50472e73c3c06p-10, -0x1.49c169d3f2e15p-10, -0x1.43567849f78c2p-10, -0x1.3d068e02d2ac3p-10, -0x1.36d291f971568p-10, -0x1.30bb424a062bp-10, -0x1.2ac08b335880ep-10, -0x1.24e1964fa803cp-10, -0x1.1f1d66f120208p-10, -0x1.197362f562cfdp-10, -0x1.13e354822e314p-10, -0x1.0e6d090b71c92p-10, -0x1.090fff23da432p-10, -0x1.03cb67a9cdfb6p-10, -0x1.fd3c8d9bb0b1ap-11, -0x1.f30f396c73babp-11, -0x1.e90d38ad9f333p-11, -0x1.df357676de1b1p-11, -0x1.d587845fa7453p-11, -0x1.cc03867ab4c88p-11, -0x1.c2a9e08b09766p-11, -0x1.b97abc16606fdp-11, -0x1.b075c0daba2ebp-11, -0x1.a79a555e86491p-11, -0x1.9ee81af8b1eacp-11, -0x1.965ebfff2c07bp-11, -0x1.8dfd04470130ap-11, -0x1.85c07e059ca08p-11, -0x1.7da729fad9f56p-11, -0x1.75b12524b58f7p-11, -0x1.6de0106771077p-11, -0x1.6634bed86ad4p-11, -0x1.5eae2616c2fd3p-11, -0x1.574a88f139cddp-11, -0x1.500930a3c4d52p-11, -0x1.48eaa5e20555bp-11, -0x1.41ef796afb998p-11, -0x1.3b1752380bdfap-11, -0x1.34610e3fa4f27p-11, -0x1.2dcb5b05a64f3p-11, -0x1.27550ed0c9472p-11, -0x1.20fd382c43e56p-11, -0x1.1ac30d4242c2bp-11, -0x1.14a5e65fd0f94p-11, -0x1.0ea549ce784afp-11, -0x1.08c0f8f108cdap-11, -0x1.02f8f17b5b02bp-11, -0x1.fa9abb5f3e9bcp-12, -0x1.ef7c85fb245c1p-12, -0x1.e496699cfccd6p-12, -0x1.d9e66fb035e33p-12, -0x1.cf6a00fea169cp-12, -0x1.c51fab6eb9b64p-12, -0x1.bb06fa1d6b11dp-12, -0x1.b11ead98c3082p-12, -0x1.a763e1a26d346p-12, -0x1.9dd508b029ce6p-12, -0x1.9474596ef83f6p-12, -0x1.8b4470f2e4e2dp-12, -0x1.8243fffeb733ap-12, -0x1.796f321c882d4p-12, -0x1.70c434f3a097dp-12, -0x1.68440029b2ad8p-12, -0x1.5fef6af01e59bp-12, -0x1.57c5d22318f51p-12, -0x1.4fc61c3d13fa3p-12, -0x1.47ef8de8015dep-12, -0x1.4041a38120f3ap-12, -0x1.38bbb41fbcedbp-12, -0x1.315cbbabf714ap-12, -0x1.2a2387063253ep-12, -0x1.230edc131fa64p-12, -0x1.1c1da2746a21cp-12, -0x1.154ef7fce35e2p-12, -0x1.0ea233c268c3p-12, -0x1.0816e3805c2f9p-12, -0x1.01acce917dc3fp-12, -0x1.f6c7e0acbe011p-13, -0x1.ea787ba52b2aap-13, -0x1.de6a6903d7ee5p-13, -0x1.d29b6fd7aab05p-13, -0x1.c709a471b557ep-13, -0x1.bbb59c1b84af1p-13, -0x1.b0a1f506851bfp-13, -0x1.a5ce65c9a9e09p-13, -0x1.9b3547128aefap-13, -0x1.90d2e28ed3bdap-13, -0x1.86a81f2ee41d4p-13, -0x1.7cb265157142cp-13, -0x1.72ec77aca0a5p-13, -0x1.6956d1218c559p-13, -0x1.5ff5464887848p-13, -0x1.56c83c80fca58p-13, -0x1.4dce15c3842d4p-13, -0x1.45047c2964759p-13, -0x1.3c69ce5fdcc99p-13, -0x1.33fcc961bcaf3p-13, -0x1.2bbcb2c95664p-13, -0x1.23a9b76b090bcp-13, -0x1.1bc47264bc7f5p-13, -0x1.140cf3c7b8e27p-13, -0x1.0c823c98fe0e2p-13, -0x1.05228ece153b4p-13, -0x1.fbd8229043863p-14, -0x1.edba70c192745p-14, -0x1.dfe9af0389ac2p-14, -0x1.d2641afd618ccp-14, -0x1.c52878de10f37p-14, -0x1.b83623cfa1bc2p-14, -0x1.ab8cdfcfe991fp-14, -0x1.9f2bf33184f75p-14, -0x1.9311135349903p-14, -0x1.8738fcd99009dp-14, -0x1.7ba253ef14fbep-14, -0x1.705041953e41cp-14, -0x1.654738a8d0066p-14, -0x1.5a82a7463df27p-14, -0x1.4ff8ed563895fp-14, -0x1.45aa270c1edfap-14, -0x1.3b95cda61fef7p-14, -0x1.31ba37a1c7a72p-14, -0x1.281d459ae733fp-14, -0x1.1ec0d09fcbe88p-14, -0x1.15a03de0bc404p-14, -0x1.0cb706278918fp-14, -0x1.0401a5376c3f7p-14, -0x1.f6fa149aef1f7p-15, -0x1.e64f43d4c4cd7p-15, -0x1.d60433c4b6acbp-15, -0x1.c61c3fcb2161ap-15, -0x1.b697e77b00865p-15, -0x1.a7730363caf9p-15, -0x1.98a8d81158a29p-15, -0x1.8a39263aa91a2p-15, -0x1.7c26e5808591fp-15, -0x1.6e72afc874babp-15, -0x1.6118d8cf5c066p-15, -0x1.5414049f7da7fp-15, -0x1.47600a5e05b88p-15, -0x1.3af9fde52afc6p-15, -0x1.2ee04a65172b9p-15, -0x1.2311f9904a0dcp-15, -0x1.178ea6d716ee5p-15, -0x1.0c55e9bdb666ep-15, -0x1.0166657d7b6c1p-15, -0x1.ed7b06129aa19p-16, -0x1.d8b17c75065e2p-16, -0x1.c46f464c530bcp-16, -0x1.b0bc7389080f3p-16, -0x1.9d9e7b3801289p-16, -0x1.8afe95b74c712p-16, -0x1.78cde675cadadp-16, -0x1.670b871bad694p-16, -0x1.55c1a01d821bdp-16, -0x1.44fbb71039d3p-16, -0x1.34add8fedcb11p-16, -0x1.24cdb41e7f7b5p-16, -0x1.15588ebc88b97p-16, -0x1.064e063b532dcp-16, -0x1.ef5ba58e84713p-17, -0x1.d2efe700a2bf8p-17, -0x1.b7598c83337dbp-17, -0x1.9c9830479fa16p-17, -0x1.82a4f3ba0766ap-17, -0x1.696e1ea69532ap-17, -0x1.50e0821f55621p-17, -0x1.38fa678721b9ap-17, -0x1.21c7497387037p-17, -0x1.0b44f3167505bp-17, -0x1.eac6df0821efp-18, -0x1.c04469b845493p-18, -0x1.971e5f4e03e55p-18, -0x1.6f53b90b40097p-18, -0x1.48cf585934e89p-18, -0x1.23721d1648413p-18, -0x1.fe5ef3d2d2c32p-19, -0x1.b8058431414d6p-19, -0x1.73d39c95e3133p-19, -0x1.31c797ba662ep-19, -0x1.e3bc6d3d8fa34p-20, -0x1.681b862adcd5ep-20, -0x1.e111fd71adc62p-21, -0x1.f343aaae5cf7cp-22, -0x1.9a5acdc86377dp-25, 0x1.7c5d4ad8fbcd9p-22, 0x1.8da2dbb3c1964p-21, 0x1.2b6bbb762cce1p-20, 0x1.8d1da4ffe432ap-20, 0x1.eb0b8a3791c43p-20, 0x1.229afce9407bdp-19, 0x1.4e17640e6c537p-19, }}, 
      {{-0x1.21e50395ff12ap-1, -0x1.1cc2bec574085p-1, -0x1.14a1b6ba03d6p-1, -0x1.09fe66e1f938p-1, -0x1.fabbab578a87p-2, -0x1.de834a3b6a17dp-2, -0x1.c0427fdaf7baap-2, -0x1.a0ccbebd5dd83p-2, -0x1.80d76c97622f9p-2, -0x1.60f9e5fb629e3p-2, -0x1.41af1ca8cc22dp-2, -0x1.23581994598cdp-2, -0x1.063ee90f2451ep-2, -0x1.d53342c84ce32p-3, -0x1.a11aa75dece32p-3, -0x1.706191391d22ap-3, -0x1.431dfe6e248d5p-3, -0x1.1952cbdb886bep-3, -0x1.e5e73d54f1bc5p-4, -0x1.9fd08d5523ef2p-4, -0x1.601f4123c9579p-4, -0x1.26840ee1d236cp-4, -0x1.e54d69e503fd6p-5, -0x1.88529f3f28edfp-5, -0x1.35561c7c82f14p-5, -0x1.d729643277a85p-6, -0x1.549a189988ecap-6, -0x1.c3092f2a4c23p-7, -0x1.f1eff51c8a62p-8, -0x1.2118ec30cc234p-9, 0x1.468be87432cefp-9, 0x1.ae691e77d3c88p-8, 0x1.4ab7eb47ad4f6p-7, 0x1.ae4e6cb4c0847p-7, 0x1.01f8bad898bc7p-6, 0x1.26b98e04e3332p-6, 0x1.463f98dd80e96p-6, 0x1.614e4f6b1af2ap-6, 0x1.7897795073d0ap-6, 0x1.8cbc0d5452b2dp-6, 0x1.9e4d19206f25ap-6, 0x1.adccafce697d3p-6, 0x1.bbaedafd9b436p-6, 0x1.c85a8af79584fp-6, 0x1.d42a83f167455p-6, 0x1.df6e45c6ad343p-6, 0x1.ea6ae96944ca7p-6, 0x1.f55bfbab715ffp-6, 0x1.003a27af9da7ap-5, 0x1.05ef5d3f219c1p-5, 0x1.0bdf6b9f921a3p-5, 0x1.1218d95c8435dp-5, 0x1.18a739f31ffa6p-5, 0x1.1f937bb5aabb1p-5, 0x1.26e42ff287ab2p-5, 0x1.2e9dcde3ea1f2p-5, 0x1.36c2f179cf1f3p-5, 0x1.3f5495f30d3acp-5, 0x1.48524b375057dp-5, 0x1.51ba65e0cc0e8p-5, 0x1.5b8a2b5462bb3p-5, 0x1.65bdf88e0c8c2p-5, 0x1.705168f2291bp-5, 0x1.7b3f778b4835dp-5, 0x1.86829e3bf36c7p-5, 0x1.9214efd88984p-5, 0x1.9df02e1e8fc05p-5, 0x1.aa0de03638959p-5, 0x1.b66763f7d3974p-5, 0x1.c2f5ffbae17fbp-5, 0x1.cfb2f34c441c2p-5, 0x1.dc97839c6867ep-5, 0x1.e99d06c86d0f9p-5, 0x1.f6bcec497bc48p-5, 0x1.01f86202e2e83p-4, 0x1.089922cfa2f5fp-4, 0x1.0f3dabbd2dac4p-4, 0x1.15e308d7bee76p-4, 0x1.1c8661299cfe8p-4, 0x1.2324f98a63c2dp-4, 0x1.29bc351e46c31p-4, 0x1.3049964c2a14bp-4, 0x1.36cabf579c6f6p-4, 0x1.3d3d72856fe5p-4, 0x1.439f91d883d7fp-4, 0x1.49ef1f5c63a1fp-4, 0x1.502a3c99deb79p-4, 0x1.564f2a4b38c86p-4, 0x1.5c5c480a67711p-4, 0x1.625012ef3e007p-4, 0x1.6829268f0a10ap-4, 0x1.6de63a8a80288p-4, 0x1.7386228969b64p-4, 0x1.7907cd2942c53p-4, 0x1.7e6a4307107e4p-4, 0x1.83aca580ac1ep-4, 0x1.88ce2edd7593p-4, 0x1.8dce2f0f5818p-4, 0x1.92ac0cb727d46p-4, 0x1.9767434afbb77p-4, 0x1.9bff621ca91f8p-4, 0x1.a0740b6e59987p-4, 0x1.a4c4f370e6f05p-4, 0x1.a8f1df561b2d5p-4, 0x1.acfaa4482b21p-4, 0x1.b0df26e4a6a86p-4, 0x1.b49f5a2cb69cap-4, 0x1.b83b3dd8841eap-4, 0x1.bbb2df0210864p-4, 0x1.bf06565d1c48dp-4, 0x1.c235c7d3ac86ap-4, 0x1.c54161828d306p-4, 0x1.c8295b43d1e85p-4, 0x1.caedf5dcabd3cp-4, 0x1.cd8f7a5ac2a8ep-4, 0x1.d00e39626bf05p-4, 0x1.d26a8ae647694p-4, 0x1.d4a4cc95c5f79p-4, 0x1.d6bd62cf975adp-4, 0x1.d8b4b6fbc9fd9p-4, 0x1.da8b3761c718cp-4, 0x1.dc4156c1402e7p-4, 0x1.ddd78bbe3cd23p-4, 0x1.df4e5105bed09p-4, 0x1.e0a623cb578fep-4, 0x1.e1df84a3cd1f3p-4, 0x1.e2faf6ccc169fp-4, 0x1.e3f8feca895eap-4, 0x1.e4da23b5faf9ep-4, 0x1.e59eee75d3db8p-4, 0x1.e647e8d92fdb3p-4, 0x1.e6d59e001e94bp-4, 0x1.e74898f813acep-4, 0x1.e7a16645c0ea8p-4, 0x1.e7e09270d556dp-4, 0x1.e806aa1684182p-4, 0x1.e81439e530231p-4, 0x1.e809ce1e3f374p-4, 0x1.e7e7f2b18a6e8p-4, 0x1.e7af33060c877p-4, 0x1.e76019c483cdbp-4, 0x1.e6fb30d17794ep-4, 0x1.e681011e41b8cp-4, 0x1.e5f2129405a5p-4, 0x1.e54eebd30b5dap-4, 0x1.e49812d43d215p-4, 0x1.e3ce0b5f5d26fp-4, 0x1.e2f1590d1aff6p-4, 0x1.e2027bdc9f04ap-4, 0x1.e101f50b81fefp-4, 0x1.dff04279fbf05p-4, 0x1.decde0e212f28p-4, 0x1.dd9b4b4b50c41p-4, 0x1.dc58faf7fe5bap-4, 0x1.db076796a7134p-4, 0x1.d9a706df25ab7p-4, 0x1.d8384cb6fb0a6p-4, 0x1.d6bbab4471a8bp-4, 0x1.d53192c64dfddp-4, 0x1.d39a7199a95abp-4, 0x1.d1f6b438be0ccp-4, 0x1.d046c536f20e9p-4, 0x1.ce8b0d3f9a5f1p-4, 0x1.ccc3f30ffb354p-4, 0x1.caf1db8f41ea5p-4, 0x1.c91529d2f56dep-4, 0x1.c72e3e47c7dcap-4, 0x1.c53d78b6acaa1p-4, 0x1.c34335f27f91cp-4, 0x1.c13fd1ac818f4p-4, 0x1.bf33a5b585207p-4, 0x1.bd1f08f525d1dp-4, 0x1.bb025199f2f2ap-4, 0x1.b8ddd39f1f14ap-4, 0x1.b6b1e13779cd2p-4, 0x1.b47ecacd99ee1p-4, 0x1.b244df050dddfp-4, 0x1.b0046ac754ffap-4, 0x1.adbdb900cbf6cp-4, 0x1.ab7113d8610d3p-4, 0x1.a91ec26e8a9cfp-4, 0x1.a6c70b16ff15p-4, 0x1.a46a324f320b7p-4, 0x1.a2087af455f03p-4, 0x1.9fa2264f6633ep-4, 0x1.9d3774138f243p-4, 0x1.9ac8a26adf32ep-4, 0x1.9855edf33d629p-4, 0x1.95df91dfc485ep-4, 0x1.9365c7d21251fp-4, 0x1.90e8c808f3ce3p-4, 0x1.8e68c95293e47p-4, 0x1.8be601178bb89p-4, 0x1.8960a366d3d3dp-4, 0x1.86d8e31179aaap-4, 0x1.844ef0b9028a3p-4, 0x1.81c2fdb08898ap-4, 0x1.7f35380c541abp-4, 0x1.7ca5cd58a81p-4, 0x1.7a14e9fe1d216p-4, 0x1.7782b92581ac8p-4, 0x1.74ef64c3e417dp-4, 0x1.725b15a43ebedp-4, 0x1.6fc5f368364b4p-4, 0x1.6d3025098cfcdp-4, 0x1.6a99cf77f0a9fp-4, 0x1.6803172b14152p-4, 0x1.656c2014cd7b4p-4, 0x1.62d50c397b8b8p-4, 0x1.603dfd09cc01ep-4, 0x1.5da71306950fp-4, 0x1.5b106da2cf249p-4, 0x1.587a2b77b0efdp-4, 0x1.55e46a612ed46p-4, 0x1.534f46858ed18p-4, 0x1.50badc712c44ap-4, 0x1.4e274703bf1b9p-4, 0x1.4b94a07ca08ebp-4, 0x1.4903024d8aac9p-4, 0x1.4672851ff67a4p-4, 0x1.43e340d76023cp-4, 0x1.41554c9783d42p-4, 0x1.3ec8bec89962ep-4, 0x1.3c3dad1989eaep-4, 0x1.39b42c963a58p-4, 0x1.372c5184be8b2p-4, 0x1.34a62f917fa0dp-4, 0x1.3221d9bd3f304p-4, 0x1.2f9f62680c03dp-4, 0x1.2d1edb1134c65p-4, 0x1.2aa0556d01122p-4, 0x1.2823e1f71cc5fp-4, 0x1.25a99043f60b9p-4, 0x1.233170021fd24p-4, 0x1.20bb9016234e6p-4, 0x1.1e47ff0c93878p-4, 0x1.1bd6ca2e3ed0ep-4, 0x1.1967ff6bdad4dp-4, 0x1.16fbab72eae7p-4, 0x1.1491da9f663cbp-4, 0x1.122a98e76c997p-4, 0x1.0fc5f1b5d047dp-4, 0x1.0d63f01640f36p-4, 0x1.0b049ea1b6c35p-4, 0x1.08a80785bea53p-4, 0x1.064e3487fc8ecp-4, 0x1.03f72f03e341p-4, 0x1.01a2fff41a30dp-4, 0x1.fea35fe5b9c0dp-5, 0x1.fa068e7b3c67ap-5, 0x1.f56f9b6e16607p-5, 0x1.f0de95d02e2ddp-5, 0x1.ec538c02f4c11p-5, 0x1.e7ce8bbd8388cp-5, 0x1.e34fa21089a84p-5, 0x1.ded6db6f8da3p-5, 0x1.da6443b54ad09p-5, 0x1.d5f7e61bc00f2p-5, 0x1.d191cd6a84101p-5, 0x1.cd3203a8b0bfdp-5, 0x1.c8d89272e27cep-5, 0x1.c485826a8980dp-5, 0x1.c038dd0225523p-5, 0x1.bbf2a98a8ab6ap-5, 0x1.b7b2ef945d803p-5, 0x1.b379b64c9e3dcp-5, 0x1.af470449b3837p-5, 0x1.ab1adface14fbp-5, 0x1.a6f54e25702c7p-5, 0x1.a2d654f6355acp-5, 0x1.9ebdf8f404897p-5, 0x1.9aac3f38ad24cp-5, 0x1.96a1296c90125p-5, 0x1.929cbeb624287p-5, 0x1.8e9f002b9c33bp-5, 0x1.8aa7f14a1187dp-5, 0x1.86b794a4adccdp-5, 0x1.82cdec77b8296p-5, 0x1.7eeafaa721b71p-5, 0x1.7b0ec0d6d3837p-5, 0x1.77394049c1714p-5, 0x1.736a79fcbd81ap-5, 0x1.6fa26ea123badp-5, 0x1.6be11e98a367dp-5, 0x1.682689fb70da6p-5, 0x1.6472b09bd566p-5, 0x1.60c59206de97ap-5, 0x1.5d1f2d8e3d80ap-5, 0x1.597f824212242p-5, 0x1.55e68ef6831d8p-5, 0x1.52545241eef4p-5, 0x1.4ec8ca82bf91ep-5, 0x1.4b43f59a2ed7dp-5, 0x1.47c5d1f69d002p-5, 0x1.444e5cd822775p-5, 0x1.40dd93b9697bbp-5, 0x1.3d737459e1da2p-5, 0x1.3a0ffae0cc401p-5, 0x1.36b32552b279ep-5, 0x1.335cefc1d7257p-5, 0x1.300d56dc676fdp-5, 0x1.2cc4570575abdp-5, 0x1.2981ec6ac7527p-5, 0x1.2646131048927p-5, 0x1.2310c6e119fep-5, 0x1.1fe20389960acp-5, 0x1.1cb9c4a180ea6p-5, 0x1.1998059b3db63p-5, 0x1.167cc1c13a06ap-5, 0x1.1367f43aab1b2p-5, 0x1.1059980a70dc1p-5, 0x1.0d51a8126e97cp-5, 0x1.0a501f10bdf41p-5, 0x1.0754f7a6d20ep-5, 0x1.04602c598f66bp-5, 0x1.0171b78f36244p-5, 0x1.fd13272b496f5p-6, 0x1.f74f753bb2aa8p-6, 0x1.f1984d7bc909cp-6, 0x1.ebeda3e22a39bp-6, 0x1.e64f6c3054702p-6, 0x1.e0bd98d9a3c0ap-6, 0x1.db38201bb7d69p-6, 0x1.d5bef2e52c5e1p-6, 0x1.d052045a68847p-6, 0x1.caf147a9c4b3cp-6, 0x1.c59caf8829211p-6, 0x1.c0542e80e2fdfp-6, 0x1.bb17b69aa7b69p-6, 0x1.b5e73ac200b9fp-6, 0x1.b0c2acedae8c7p-6, 0x1.aba9fe7c171dfp-6, 0x1.a69d219b2b95bp-6, 0x1.a19c07dd3078ap-6, 0x1.9ca6a2d3fded6p-6, 0x1.97bce3e761e89p-6, 0x1.92debc6b55f81p-6, 0x1.8e0c1d965194p-6, 0x1.8944f86ff82fcp-6, 0x1.84893e10c2a03p-6, 0x1.7fd8df44aa1b6p-6, 0x1.7b33ccd87821cp-6, 0x1.7699f7787aba7p-6, 0x1.720b4fbb20aedp-6, 0x1.6d87c61ab73ebp-6, 0x1.690f4b04de41ep-6, 0x1.64a1cece15dc1p-6, 0x1.603f41bc80b89p-6, 0x1.5be793fb88f71p-6, 0x1.579ab5b124996p-6, 0x1.535896e913f8ap-6, 0x1.4f2127a00b71bp-6, 0x1.4af457c25e1b6p-6, 0x1.46d2172c8e081p-6, 0x1.42ba55a82c2dfp-6, 0x1.3ead02f7064c9p-6, 0x1.3aaa0eca9858ap-6, 0x1.36b168c8ecd38p-6, 0x1.32c3008ef88e9p-6, 0x1.2edec5aeffb74p-6, 0x1.2b04a7b0bea79p-6, 0x1.27349615a863fp-6, 0x1.236e804cdc751p-6, 0x1.1fb255c84d138p-6, 0x1.1c0005f7288edp-6, 0x1.18578027f5682p-6, 0x1.14b8b3b62a625p-6, 0x1.11238ff489ac3p-6, 0x1.0d98042f26caap-6, 0x1.0a15ffb1ebbdep-6, 0x1.069d717ffe82cp-6, 0x1.032e49641df12p-6, 0x1.ff90ec8d02962p-7, 0x1.f8d7cea77d47ap-7, 0x1.f23117c4a78b9p-7, 0x1.eb9ca651b1c92p-7, 0x1.e51a58c140852p-7, 0x1.deaa0d7e2b33bp-7, 0x1.d84ba2fea383bp-7, 0x1.d1fef75e6ea37p-7, 0x1.cbc3ea45d6136p-7, 0x1.c59a57ba35808p-7, 0x1.bf82212dc757p-7, 0x1.b97b232535d84p-7, 0x1.b3853cc79c062p-7, 0x1.ada04c9c4a202p-7, 0x1.a7cc311c13f7p-7, 0x1.a208c8c0ad217p-7, 0x1.9c55f286f52cep-7, 0x1.96b38d8201724p-7, 0x1.912177e558645p-7, 0x1.8b9f9033e2f3dp-7, 0x1.862db655ba07dp-7, 0x1.80cbc8863f365p-7, 0x1.7b79a5897f6c8p-7, 0x1.76372cc019a0ep-7, 0x1.71043d04075cdp-7, 0x1.6be0b5b15bb0bp-7, 0x1.66cc76062c71fp-7, 0x1.61c75d4d05faep-7, 0x1.5cd14b001624cp-7, 0x1.57ea1e7fef3b5p-7, 0x1.5311b75e76824p-7, 0x1.4e47f5400192ep-7, 0x1.498cb7ddbd625p-7, 0x1.44dfdf0933f5ep-7, 0x1.40414aad88e7dp-7, 0x1.3bb0dad322b71p-7, 0x1.372e6f9a5cf19p-7, 0x1.32b9e9241e9dep-7, 0x1.2e5327e8fbdafp-7, 0x1.29fa0c460be8p-7, 0x1.25ae76dab8725p-7, 0x1.2170481671462p-7, 0x1.1d3f60d8477efp-7, 0x1.191ba1f7808ffp-7, 0x1.1504ec6e8d2e9p-7, 0x1.10fb214a8cbeep-7, 0x1.0cfe21d0433f7p-7, 0x1.090dcf78ebaf3p-7, 0x1.052a0b9e176a8p-7, 0x1.0152b80a02434p-7, 0x1.fb0f6d038b1cdp-8, 0x1.f391d1d33b6fep-8, 0x1.ec2c628a6262bp-8, 0x1.e4dee360d29ep-8, 0x1.dda918d29f598p-8, 0x1.d68ac79b8143p-8, 0x1.cf83b4be6cab8p-8, 0x1.c893a592b136ap-8, 0x1.c1ba5fcb95616p-8, 0x1.baf7a987f17b6p-8, 0x1.b44b494a164eap-8, 0x1.adb50530048eap-8, 0x1.a734a55d16827p-8, 0x1.a0c9f0ddec88fp-8, 0x1.9a74aed99c23p-8, 0x1.9434a7a030b4ap-8, 0x1.8e09a31e92711p-8, 0x1.87f3698cd71d3p-8, 0x1.81f1c37ac8a02p-8, 0x1.7c0479cb4490ap-8, 0x1.762b55a012cd2p-8, 0x1.706620ab1357cp-8, 0x1.6ab4a51322029p-8, 0x1.6516abba71895p-8, 0x1.5f8c08e174abp-8, 0x1.5a1475c48262cp-8, 0x1.54afcd6c3a3eep-8, 0x1.4f5dd71a1eb87p-8, 0x1.4a1e5f336b0ffp-8, 0x1.44f132175bebep-8, 0x1.3fd61c561714bp-8, 0x1.3acceab424a2fp-8, 0x1.35d56a3a942cbp-8, 0x1.30ef6849cda75p-8, 0x1.2c1ab2b0454ccp-8, 0x1.275717b7ca043p-8, 0x1.22a46638e4695p-8, 0x1.1e026d9f86712p-8, 0x1.1970fddced8fp-8, 0x1.14efe73babed8p-8, 0x1.107efac7937ap-8, 0x1.0c1e093ffe1c2p-8, 0x1.07cce42658e18p-8, 0x1.038b5cdc13543p-8, 0x1.feb289f443046p-9, 0x1.f66cdc7e462d8p-9, 0x1.ee45553333f2dp-9, 0x1.e63b98678b75dp-9, 0x1.de4f4ac54eb77p-9, 0x1.d680111e12917p-9, 0x1.cecd946243a3bp-9, 0x1.c7377df54b357p-9, 0x1.bfbd7681825fep-9, 0x1.b85f25ec8b8c3p-9, 0x1.b11c3a2153128p-9, 0x1.a9f4615acddb2p-9, 0x1.a2e745effc44dp-9, 0x1.9bf494c99a236p-9, 0x1.951bfcfe49622p-9, 0x1.8e5d2d5829c4bp-9, 0x1.87b7d46eb9229p-9, 0x1.812ba107fe78ep-9, 0x1.7ab8425a1bf51p-9, 0x1.745d681fc263ep-9, 0x1.6e1ac2d0d007dp-9, 0x1.67f0037b49ec4p-9, 0x1.61dcdc4e4f946p-9, 0x1.5be10090673ecp-9, 0x1.55fc2290f528cp-9, 0x1.502dffceaa4fbp-9, 0x1.4a764319611cbp-9, 0x1.44d4ac8ab1826p-9, 0x1.3f48f1e8c6f0ep-9, 0x1.39d2ccdd094c5p-9, 0x1.3471f73fbaaefp-9, 0x1.2f262b58c85c6p-9, 0x1.29ef23b9e17fdp-9, 0x1.24cc9b2174bc6p-9, 0x1.1fbe4c6caf4fap-9, 0x1.1ac3f29e7cf05p-9, 0x1.15dd48fd4c757p-9, 0x1.110a0b4497b8fp-9, 0x1.0c49f5e1ae58p-9, 0x1.079cc630df96fp-9, 0x1.03023aaefaf23p-9, 0x1.fcf4262db6b37p-10, 0x1.f40820d31437p-10, 0x1.eb3fe9c862294p-10, 0x1.e29b07b4056cp-10, 0x1.da19034cca1fap-10, 0x1.d1b966e9f8dcap-10, 0x1.c97bbe10e007ep-10, 0x1.c15f952aa0c42p-10, 0x1.b96478f7517efp-10, 0x1.b189f63d7e985p-10, 0x1.a9cf8e8ee6102p-10, 0x1.a234ddb35c024p-10, 0x1.9ab97b0e7a01ep-10, 0x1.935cd29d3ffccp-10, 0x1.8c1e7fcdb8cfap-10, 0x1.84fe1158effa8p-10, 0x1.7dfb18b2d49e5p-10, 0x1.77152a4105131p-10, 0x1.704bdd56bfb32p-10, 0x1.699ecbf6564fp-10, 0x1.630d92783ad9fp-10, 0x1.5c97cf312f695p-10, 0x1.563d1ff6c2cb9p-10, 0x1.4ffd2a1de90bdp-10, 0x1.49d78c2ca1d2dp-10, 0x1.43cbe9576ea4cp-10, 0x1.3dd9e4b036716p-10, 0x1.3801204a5a13ep-10, 0x1.32413da38b87p-10, 0x1.2c99dcf0c3a26p-10, 0x1.270a9dd093b77p-10, 0x1.2193200687a85p-10, 0x1.1c3304606d526p-10, 0x1.16e9edba15541p-10, 0x1.11b781ecb1478p-10, 0x1.0c9b69eac0193p-10, 0x1.079551854660fp-10, 0x1.02a4e6e1a96a9p-10, 0x1.fb93b390d479ep-11, 0x1.f207b63bc3861p-11, 0x1.e8a53948e4603p-11, 0x1.df6ba207895cp-11, 0x1.d65a57e2ce534p-11, 0x1.cd70c492615adp-11, 0x1.c4ae53d9a95dbp-11, 0x1.bc1272b8f2315p-11, 0x1.b39c8e3d9316bp-11, 0x1.ab4c125b5b4d1p-11, 0x1.a320695371d74p-11, 0x1.9b18fc0a3f427p-11, 0x1.9335335fe91ccp-11, 0x1.8b747a31d9a22p-11, 0x1.83d63f5f89b4p-11, 0x1.7c59f717b98e8p-11, 0x1.74ff1af5e4424p-11, 0x1.6dc528f5f3c1ep-11, 0x1.66aba1b66c2efp-11, 0x1.5fb206cbf1baap-11, 0x1.58d7d9c49069ap-11, 0x1.521c9c1ce9034p-11, 0x1.4b7fcff976ba8p-11, 0x1.4500f92aa3f22p-11, 0x1.3e9f9e64cda16p-11, 0x1.385b479765914p-11, 0x1.3233850ecc291p-11, 0x1.2c27e0e21d194p-11, 0x1.2637ed63ee6b1p-11, 0x1.20633a73c405ep-11, 0x1.1aa957ef730bfp-11, 0x1.1509d56e3d4e9p-11, 0x1.0f8442bbfe29p-11, 0x1.0a1830f0b60c7p-11, 0x1.04c533ba1d635p-11, 0x1.ff15c49ff9467p-12, 0x1.f4d1afafff0dap-12, 0x1.eabd6236750ddp-12, 0x1.e0d81cecc1ebap-12, 0x1.d7211ae638681p-12, 0x1.cd979a534bab7p-12, 0x1.c43ad6d6647dfp-12, 0x1.bb0a0e93e6d04p-12, 0x1.b2047ad90911ep-12, 0x1.a92985cbf54cap-12, 0x1.a07843f0fea68p-12, 0x1.97f02abd67f1p-12, 0x1.8f907e2fa60a4p-12, 0x1.8758de06bebabp-12, 0x1.7f47c7021cd09p-12, 0x1.775d85540b612p-12, 0x1.6f9910b540209p-12, 0x1.67f9da8dc217fp-12, 0x1.607f45a608b94p-12, 0x1.5928b42f07c31p-12, 0x1.51f58791353a6p-12, 0x1.4ae5222bfc395p-12, 0x1.43f6e954403d9p-12, 0x1.3d2a46635dc29p-12, 0x1.367ea5ea75786p-12, 0x1.2ff375b58087cp-12, 0x1.2988234aa8ea9p-12, 0x1.233c1c609fc87p-12, 0x1.1d0ed18773b98p-12, 0x1.16ffb855d13f2p-12, 0x1.110e4bed5423ep-12, 0x1.0b3a0b006a12bp-12, 0x1.058274b4965c6p-12, 0x1.ffce0d7f4c29p-13, 0x1.f4ce7c4b6f003p-13, 0x1.ea053483c17fdp-13, 0x1.df7140d09a5bap-13, 0x1.d511bc423824bp-13, 0x1.cae5d16fc5a6dp-13, 0x1.c0ecb4728120bp-13, 0x1.b7259a3d216a1p-13, 0x1.ad8fb0dde1e9fp-13, 0x1.a42a1bb608397p-13, 0x1.9af3f50bc2915p-13, 0x1.91ec543248fcfp-13, 0x1.8912550de78abp-13, 0x1.80651d3a6cf77p-13, 0x1.77e3dc6f61e38p-13, 0x1.6f8dc8fb1d2e2p-13, 0x1.67621bbc54d11p-13, 0x1.5f600f1473fffp-13, 0x1.5786e18938b08p-13, 0x1.4fd5d8ff24ce8p-13, 0x1.484c4261a7c29p-13, 0x1.40e96c837f918p-13, 0x1.39aca16f9b8a8p-13, 0x1.329523fc78e2ep-13, 0x1.2ba233cc79ce5p-13, 0x1.24d3152848405p-13, 0x1.1e2717ebe3843p-13, 0x1.179d99f88d69ap-13, 0x1.113604f52461ap-13, 0x1.0aefc9be1765p-13, 0x1.04ca5bca40154p-13, 0x1.fd8a5bce7fe81p-14, 0x1.f1bf602a36f3fp-14, 0x1.e63296717469bp-14, 0x1.dae2c4aaf17abp-14, 0x1.cfceac35f48eap-14, 0x1.c4f51457972f6p-14, 0x1.ba54d57db252cp-14, 0x1.afecde6c438dp-14, 0x1.a5bc3105f4f8cp-14, 0x1.9bc1d89c38f33p-14, 0x1.91fcdf1050366p-14, 0x1.886c47b5a69d9p-14, 0x1.7f0f13dc5fc82p-14, 0x1.75e444bd6805ep-14, 0x1.6ceae0898c896p-14, 0x1.642218fad91bp-14, 0x1.5b88cdd3f2e96p-14, 0x1.531e1a621c443p-14, 0x1.4ae111634b54p-14, 0x1.42d0d672a884fp-14, 0x1.3aec987b202dfp-14, 0x1.333387f5621ddp-14, 0x1.2ba4d26b60492p-14, 0x1.243fa5a146d61p-14, 0x1.1d03354403b5cp-14, 0x1.15eebd0d9f1f4p-14, 0x1.0f017ee23015p-14, 0x1.083a5ceec72b6p-14, 0x1.01992465f217fp-14, 0x1.f63aad1806035p-15, 0x1.e98a484427087p-15, 0x1.dd207f24781d7p-15, 0x1.d0fbd6e7c2d07p-15, 0x1.c51b012bee5dep-15, 0x1.b97cd2fe6ca9dp-15, 0x1.ae203118bd1f3p-15, 0x1.a303f4b14cf1bp-15, 0x1.9826d91a953a1p-15, 0x1.8d878283d09ap-15, 0x1.832499f2fdbadp-15, 0x1.78fce08e20571p-15, 0x1.6f0ecd6294d92p-15, 0x1.6559cfb78e593p-15, 0x1.5bdccc36b1f9ap-15, 0x1.5296147dd8a6cp-15, 0x1.49850e27e0046p-15, 0x1.40a8bac35af82p-15, 0x1.3800059775717p-15, 0x1.2f89ce1535b83p-15, 0x1.2744fbcb94758p-15, 0x1.1f308759895c1p-15, 0x1.174b7722e2a2bp-15, 0x1.0f94ce642728ap-15, 0x1.080bb01290dbfp-15, 0x1.00af312fe2739p-15, 0x1.f2fcae375365p-16, 0x1.e4f0896a90466p-16, 0x1.d7382aca57f71p-16, 0x1.c9d1b140c02c5p-16, 0x1.bcbb8cbc9b465p-16, 0x1.aff3ccf196486p-16, 0x1.a377c893d235dp-16, 0x1.974955b0d28dep-16, 0x1.8b641f0f7ebd3p-16, 0x1.7fc5f615024d7p-16, 0x1.7471bdae5742cp-16, 0x1.69602de56b616p-16, 0x1.5e92dd3ecd8aep-16, 0x1.54078bf2d9b62p-16, 0x1.49bcdc860ff69p-16, 0x1.3fb18c3eac035p-16, 0x1.35e4728afb888p-16, 0x1.2c547b798c74bp-16, 0x1.23007e7ef6f0ap-16, 0x1.19e7247ea7e5p-16, 0x1.1107028887c79p-16, 0x1.085ec5f95803ep-16, 0x1.ffda7ab437f8ep-17, 0x1.ef6283c53924ep-17, 0x1.df535471cc241p-17, 0x1.cfaaa43a1a43dp-17, 0x1.c066413f7d129p-17, 0x1.b1837dfa21391p-17, 0x1.a301a2633468fp-17, 0x1.94dd5a191f4p-17, 0x1.8715125c615e1p-17, 0x1.79a6c3b81bbe9p-17, 0x1.6c90631cafd5bp-17, 0x1.5fcff6ae7cdb2p-17, 0x1.536398ed37b3fp-17, 0x1.4749782e2063ap-17, 0x1.3b7fd6940e904p-17, 0x1.300509f935d2fp-17, 0x1.24d76edc4dfa3p-17, 0x1.19f549e4934acp-17, 0x1.0f5cb84dce951p-17, 0x1.050bd413c2e19p-17, 0x1.f601dd0da3b4dp-18, 0x1.e2753b0038b22p-18, 0x1.cf6f0fc6d29acp-18, 0x1.bcec63c968258p-18, 0x1.aaea290af049fp-18, 0x1.99656b9252112p-18, 0x1.885b1445ebfedp-18, 0x1.77c810dcf4d0ep-18, 0x1.67a9c29125967p-18, 0x1.57fdef375ba11p-18, 0x1.48b7247e506b2p-18, 0x1.39eded2b86713p-18, 0x1.2b8cc26209d76p-18, 0x1.1d8f5a146bec5p-18, 0x1.0ff79f7d779abp-18, 0x1.02c3287a0fad9p-18, 0x1.ebdf673f8d9a9p-19, 0x1.d2f61bf073eebp-19, 0x1.bac615ff0e59bp-19, 0x1.a34aff466ed3bp-19, 0x1.8c8084c809f63p-19, 0x1.76625e8475b7ap-19, 0x1.60ec54e6dfbedp-19, 0x1.4c1a3f2195207p-19, 0x1.37e80b87b0174p-19, 0x1.2451e456d50b8p-19, 0x1.11541e46e609dp-19, 0x1.fdd69aa82bd4ap-20, 0x1.da282374b1a58p-20, 0x1.b79575a7e6481p-20, 0x1.9616c66de0685p-20, 0x1.75a50837a082ep-20, 0x1.563a99f3846b5p-20, 0x1.37d25b619f0a1p-20, 0x1.1a65dd3259c92p-20, 0x1.fbdba276f695cp-21, 0x1.c4c8121297432p-21, 0x1.8f8525ff16e32p-21, 0x1.5c0798d52a4c5p-21, 0x1.2a3b324db1e4dp-21, 0x1.f4549db5319aep-22, 0x1.977d9ef4952dap-22, 0x1.3dccecac74bfap-22, 0x1.ce70176be44aep-23, 0x1.27526ecb4dcc8p-23, 0x1.0c305126ff8f5p-24, -0x1.565132d6d1bf7p-27, -0x1.5692d177c3932p-24, -0x1.3bb7b6e08de75p-23, -0x1.c6d2ab1ec644cp-23, -0x1.265e704df8171p-22, -0x1.66cc1f4b1ecdcp-22, -0x1.a4c2f78215f25p-22, -0x1.e053514d38aedp-22, -0x1.0cc710d61cb99p-21, -0x1.28489d4e4c501p-21, -0x1.42a560a5079fcp-21, -0x1.5bf66897b45d2p-21, -0x1.743d2bb3c4bcbp-21, -0x1.8b7f6b11e7015p-21, -0x1.a1c60fef46d08p-21, -0x1.b7163325d20b1p-21, -0x1.cb76c320ffddep-21, -0x1.deeec05058d95p-21, -0x1.f184da4db8db7p-21, -0x1.019f8b6ec37a3p-20, -0x1.0a1181a2d034ap-20, -0x1.121b3ac813a9bp-20, -0x1.19c0563633cb8p-20, -0x1.21040ab70f446p-20, -0x1.27e909164987p-20, -0x1.2e71ace041536p-20, -0x1.34a0291584ae2p-20, -0x1.3a78b983f4adp-20, -0x1.3ffa48b5d5aaap-20, -0x1.452b4c50aed91p-20, -0x1.4a0cb5fd2ca6dp-20, -0x1.4ea0f61ef4319p-20, -0x1.52ea4f2e8e25cp-20, -0x1.56eb0022eb03cp-20, -0x1.5aa54d0cb5d3bp-20, -0x1.5e1b842e576afp-20, -0x1.614ff5b43e8cdp-20, -0x1.6444d0fbec03fp-20, -0x1.66fbfa482fb79p-20, -0x1.69772279a4376p-20, -0x1.6bb812f4b043p-20, -0x1.6dc0adb8214d4p-20, -0x1.6f92a294c83dp-20, -0x1.712f0d3d4f273p-20, -0x1.72a79ed53d6bap-20, -0x1.73d6d27ee47bfp-20, -0x1.74de2c5dffd31p-20, -0x1.75bb2f4b566f2p-20, -0x1.766bbae5e9ae7p-20, -0x1.76f1941f97fe6p-20, -0x1.774e2415b61bcp-20, -0x1.7782c0a92633cp-20, -0x1.7790c8703407ep-20, -0x1.7779a5333a869p-20, -0x1.773ec9fa13ec8p-20, -0x1.76e1a03a3b185p-20, -0x1.76634c78e156ap-20, -0x1.75c4f9459314ap-20, -0x1.7508455c4e40ep-20, -0x1.742e660397f62p-20, -0x1.73381268a7f02p-20, -0x1.72265dd934c8p-20, -0x1.70fa95ff0a898p-20, }}, 
      std::vector<double>(850, 0.0), 
      {{0x1.8d39b3b6d733ep-4, 0x1.71894db5beec4p-3, 0x1.f42f9079044bbp-3, 0x1.26358faf99a04p-2, 0x1.3ee47fa9d1a9p-2, 0x1.47408104665dbp-2, 0x1.42d297f79a4f9p-2, 0x1.350dc31817715p-2, 0x1.210b0aaf4f46fp-2, 0x1.096be065d2369p-2, 0x1.e0a5aeca052ccp-3, 0x1.aed21eb28082p-3, 0x1.7fd4680f4f33bp-3, 0x1.55669bd2c90bap-3, 0x1.30a49c58653afp-3, 0x1.1229de8debedfp-3, 0x1.f459243bd00cp-4, 0x1.d12b1775de6dap-4, 0x1.ba29986c3d7cbp-4, 0x1.ae6570612bdefp-4, 0x1.acbc66471e3e9p-4, 0x1.b3efcb769971ep-4, 0x1.c2b60b4aa4ff8p-4, 0x1.d7c7f44bcfbdap-4, 0x1.f1ea6ce735102p-4, 0x1.07fa9c3d269dap-3, 0x1.186bb03f855f5p-3, 0x1.29cce19401cdbp-3, 0x1.3bb01af249e8cp-3, 0x1.4db4cc08081abp-3, 0x1.5f87908d1552fp-3, 0x1.70e1932800248p-3, 0x1.8187c3aaef472p-3, 0x1.9149f2b6d15fdp-3, 0x1.a001e05369839p-3, 0x1.ad92477180051p-3, 0x1.b9e5ed6891036p-3, 0x1.c4eeba3daddcfp-3, 0x1.cea4dcc00b033p-3, 0x1.d705fc3b1de7p-3, 0x1.de1478950387dp-3, 0x1.e3d6b915f46b5p-3, 0x1.e85689b4c8f69p-3, 0x1.eba08688155dcp-3, 0x1.edc394d722bdep-3, 0x1.eed06932cee42p-3, 0x1.eed919f618d3ap-3, 0x1.edf0bd85d83b6p-3, 0x1.ec2b1394e822dp-3, 0x1.e99c38b823bd2p-3, 0x1.e658639f7533dp-3, 0x1.e273ab6862ecp-3, 0x1.de01d64b28bebp-3, 0x1.d9162fe9a6399p-3, 0x1.d3c36684f6f36p-3, 0x1.ce1b6e5616284p-3, 0x1.c82f6b61774bdp-3, 0x1.c20fa0269fcbep-3, 0x1.bbcb61742f4b9p-3, 0x1.b5710d7b9d371p-3, 0x1.af0e06c932064p-3, 0x1.a8aeb256c0c41p-3, 0x1.a25e78a046a48p-3, 0x1.9c27c9dc32d21p-3, 0x1.961422d608a73p-3, 0x1.902c1420073a6p-3, 0x1.8a77491fbc2ccp-3, 0x1.84fc91b5989fdp-3, 0x1.7fc1eb2a17736p-3, 0x1.7acc8bddec3cp-3, 0x1.7620ed800326bp-3, 0x1.71c2d87fe5ebcp-3, 0x1.6db56e74f5dbfp-3, 0x1.69fb34c4736cbp-3, 0x1.66961ee4d5a13p-3, 0x1.638798a39117fp-3, 0x1.60d0903e2619dp-3, 0x1.5e71805564b79p-3, 0x1.5c6a7965901acp-3, 0x1.5abb2b0a0bf6ap-3, 0x1.5962eca87a71p-3, 0x1.5860c5bc1916cp-3, 0x1.57b375b884cp-3, 0x1.57597b8bc716ep-3, 0x1.57511cbfb308dp-3, 0x1.57986c52d14b3p-3, 0x1.582d512545f56p-3, 0x1.590d8c0dd537dp-3, 0x1.5a36bd89e2ae1p-3, 0x1.5ba66af53648cp-3, 0x1.5d5a0381bfd9ep-3, 0x1.5f4ee49236951p-3, 0x1.61825ddb8afa7p-3, 0x1.63f1b51a6997ep-3, 0x1.669a297421688p-3, 0x1.6978f682d28eep-3, 0x1.6c8b5736484e7p-3, 0x1.6fce881df27e7p-3, 0x1.733fc9dc4d51ap-3, 0x1.76dc63181ee05p-3, 0x1.7aa1a23c4865dp-3, 0x1.7e8cdf172475dp-3, 0x1.829b7c38c1901p-3, 0x1.86cae82c76ca3p-3, 0x1.8b189e8c8fbecp-3, 0x1.8f8228e1a1658p-3, 0x1.94051f77116e3p-3, 0x1.989f29ed8571p-3, 0x1.9d4dffdad0589p-3, 0x1.a20f6929d7664p-3, 0x1.a6e13e773c612p-3, 0x1.abc1693ca443ap-3, 0x1.b0ade4068c127p-3, 0x1.b5a4ba79d1085p-3, 0x1.baa4095beb3ffp-3, 0x1.bfa9fe79c290ep-3, 0x1.c4b4d896b0e44p-3, 0x1.c9c2e73bf7f75p-3, 0x1.ced28a90f1531p-3, 0x1.d3e2332eceb03p-3, 0x1.d8f061d616c24p-3, 0x1.ddfba73d67895p-3, 0x1.e302a3c481b5cp-3, 0x1.e8040746d6f2p-3, 0x1.ecfe90a2860b8p-3, 0x1.f1f10d9551928p-3, 0x1.f6da5a551776dp-3, 0x1.fbb961421bc96p-3, 0x1.00468d3f7c011p-2, 0x1.02aa45d92f518p-2, 0x1.050763c4c8e82p-2, 0x1.075d76b8187b3p-2, 0x1.09ac149289871p-2, 0x1.0bf2d93912eccp-2, 0x1.0e31665b4a165p-2, 0x1.1067634c19f31p-2, 0x1.12947cde450b3p-2, 0x1.14b865277ae8p-2, 0x1.16d2d35e0a0eap-2, 0x1.18e383bb7e765p-2, 0x1.1aea373af3ccep-2, 0x1.1ce6b3887f972p-2, 0x1.1ed8c2cea6232p-2, 0x1.20c03393e9c4fp-2, 0x1.229cd88b1a4cap-2, 0x1.246e8881e25ecp-2, 0x1.26351e27c0238p-2, 0x1.27f077f651bbp-2, 0x1.29a077fbd8cd5p-2, 0x1.2b4503dbf5e5bp-2, 0x1.2cde0484caa42p-2, 0x1.2e6b661f0ef2cp-2, 0x1.2fed17eb39c95p-2, 0x1.31630c2595e8bp-2, 0x1.32cd37df5cadep-2, 0x1.342b92d8e3c55p-2, 0x1.357e176f2c4dbp-2, 0x1.36c4c280f325bp-2, 0x1.37ff93453a3cap-2, 0x1.392e8b2f8d3e9p-2, 0x1.3a51ade071d45p-2, 0x1.3b69010b0dea4p-2, 0x1.3c748c50b84fap-2, 0x1.3d74592749a26p-2, 0x1.3e6872d017556p-2, 0x1.3f50e63e2a392p-2, 0x1.402dc1f094346p-2, 0x1.40ff15edf7041p-2, 0x1.41c4f3a272771p-2, 0x1.427f6ddee2ea9p-2, 0x1.432e98b8d59d3p-2, 0x1.43d2896d3c41p-2, 0x1.446b565d2f128p-2, 0x1.44f916fd3ad2dp-2, 0x1.457be3c684786p-2, 0x1.45f3d61babbf5p-2, 0x1.46610835ac226p-2, 0x1.46c39523b0e07p-2, 0x1.471b98b4cf5b9p-2, 0x1.47692f7870a6cp-2, 0x1.47ac768fb994ap-2, 0x1.47e58bb6bc8d3p-2, 0x1.48148d3757bp-2, 0x1.483999df732d7p-2, 0x1.4854d0f1d329cp-2, 0x1.486652119bf25p-2, 0x1.486e3d3cb282ep-2, 0x1.486cb2c669912p-2, 0x1.4861d352d000ap-2, 0x1.484dbfc265ea1p-2, 0x1.483099284f855p-2, 0x1.480a80c14a079p-2, 0x1.47db97f2371ffp-2, 0x1.47a4004311424p-2, 0x1.4763db51d1b43p-2, 0x1.471b4ac23afe5p-2, 0x1.46ca704766ad6p-2, 0x1.46716d8d6be6ep-2, 0x1.4610644253ac4p-2, 0x1.45a7760aa9f45p-2, 0x1.4536c478eb0b7p-2, 0x1.44be7108b8f5dp-2, 0x1.443e9d1a51e98p-2, 0x1.43b769ef5b30cp-2, 0x1.4328f8a7b7ecap-2, 0x1.42936a3c295f4p-2, 0x1.41f6df7d1cd16p-2, 0x1.41537909ff6ffp-2, 0x1.40a9574c17c39p-2, 0x1.3ff89a77e4a7p-2, 0x1.3f41628bbc8e2p-2, 0x1.3e83cf4ee0079p-2, 0x1.3dc0004e1fad4p-2, 0x1.3cf614d3b8c9cp-2, 0x1.3c262bdcde7ecp-2, 0x1.3b50642c4494cp-2, 0x1.3a74dc3e38131p-2, 0x1.3993b250bb912p-2, 0x1.38ad045a30dfbp-2, 0x1.37c0f00121736p-2, 0x1.36cf929a3bd2p-2, 0x1.35d9092f0f9b5p-2, 0x1.34dd7084af9f6p-2, 0x1.33dce51b5cfc1p-2, 0x1.32d78326a003cp-2, 0x1.31cd6681b6274p-2, 0x1.30beaab1c3976p-2, 0x1.2fab6aec6f32dp-2, 0x1.2e93c22193056p-2, 0x1.2d77cafb5245cp-2, 0x1.2c579fd8f8139p-2, 0x1.2b335abf51bap-2, 0x1.2a0b155801671p-2, 0x1.28dee8fd0afa5p-2, 0x1.27aeeec0c931bp-2, 0x1.267b3f75ac4cfp-2, 0x1.2543f3a089404p-2, 0x1.2409237ad09ccp-2, 0x1.22cae6dde9dfp-2, 0x1.2189554ec11eap-2, 0x1.2044860a971efp-2, 0x1.1efc900e53505p-2, 0x1.1db18a19aadb1p-2, 0x1.1c638aa2b1514p-2, 0x1.1b12a7cb11c96p-2, 0x1.19bef75ccc8f6p-2, 0x1.18688ed26269ep-2, 0x1.170f8365e37dbp-2, 0x1.15b3ea1973dacp-2, 0x1.1455d7b54aac3p-2, 0x1.12f560bbd6b07p-2, 0x1.1192995e492a7p-2, 0x1.102d9579dcca7p-2, 0x1.0ec668a154ebap-2, 0x1.0d5d262b4af3bp-2, 0x1.0bf1e13cce83ep-2, 0x1.0a84acc821c6ep-2, 0x1.09159b818f97p-2, 0x1.07a4bfd3ceda8p-2, 0x1.06322bd8aac9bp-2, 0x1.04bdf1612ce3p-2, 0x1.03482201f083dp-2, 0x1.01d0cf248e169p-2, 0x1.00580a03dd9e3p-2, 0x1.fdbbc75493ce2p-3, 0x1.fac4d9c84ae1ep-3, 0x1.f7cb6c6830b28p-3, 0x1.f4cf9fa7337c4p-3, 0x1.f1d193794dad9p-3, 0x1.eed1677067e59p-3, 0x1.ebcf3ad09a409p-3, 0x1.e8cb2c93fcb59p-3, 0x1.e5c55b4ead4eep-3, 0x1.e2bde52d99a98p-3, 0x1.dfb4e7c56638cp-3, 0x1.dcaa802c01345p-3, 0x1.d99ecb01a8736p-3, 0x1.d691e48d9b0a3p-3, 0x1.d383e8d16b55ap-3, 0x1.d074f38c8f224p-3, 0x1.cd65202c75533p-3, 0x1.ca5489b62f8a9p-3, 0x1.c7434ab46d7e3p-3, 0x1.c4317d3301f46p-3, 0x1.c11f3acc93216p-3, 0x1.be0c9cc1b6e79p-3, 0x1.baf9bc0da3d9dp-3, 0x1.b7e6b170cd769p-3, 0x1.b4d395691af6bp-3, 0x1.b1c08020f4304p-3, 0x1.aead895af318dp-3, 0x1.ab9ac8667b78p-3, 0x1.a888541f255fp-3, 0x1.a57643040482cp-3, 0x1.a264ab3fcc075p-3, 0x1.9f53a2c238f86p-3, 0x1.9c433f439eecp-3, 0x1.9933963d66107p-3, 0x1.9624bcdb12b71p-3, 0x1.9316c7e76845fp-3, 0x1.9009cbc37798cp-3, 0x1.8cfddc6ae0d67p-3, 0x1.89f30d79502dep-3, 0x1.86e9724196919p-3, 0x1.83e11dd86d889p-3, 0x1.80da231be4047p-3, 0x1.7dd494b1979f3p-3, 0x1.7ad084fb24b8cp-3, 0x1.77ce06078ec34p-3, 0x1.74cd298893513p-3, 0x1.71ce00cebd91cp-3, 0x1.6ed09ccfe76a9p-3, 0x1.6bd50e326b3bdp-3, 0x1.68db655aaa052p-3, 0x1.65e3b274f4303p-3, 0x1.62ee0577bd655p-3, 0x1.5ffa6e20cc253p-3, 0x1.5d08fbeaa6589p-3, 0x1.5a19be0203278p-3, 0x1.572cc33d6b5dep-3, 0x1.54421a1b6739ep-3, 0x1.5159d0c5cd7c2p-3, 0x1.4e73f5227026ap-3, 0x1.4b9094cf9a679p-3, 0x1.48afbd36db2ebp-3, 0x1.45d17b8d117e1p-3, 0x1.42f5dccfd36dep-3, 0x1.401cedbf55befp-3, 0x1.3d46bad5d312bp-3, 0x1.3a735043b8e9bp-3, 0x1.37a2b9e724d91p-3, 0x1.34d5034e9c4f5p-3, 0x1.320a37c36b3e3p-3, 0x1.2f42624c4500dp-3, 0x1.2c7d8db6592adp-3, 0x1.29bbc49867a91p-3, 0x1.26fd11556b561p-3, 0x1.24417e1947641p-3, 0x1.218914d50b3b4p-3, 0x1.1ed3df37f477cp-3, 0x1.1c21e6abb489fp-3, 0x1.197334516641cp-3, 0x1.16c7d103b00bbp-3, 0x1.141fc55b524d5p-3, 0x1.117b19b3ee0d9p-3, 0x1.0ed9d631da885p-3, 0x1.0c3c02c4565f1p-3, 0x1.09a1a727a3adcp-3, 0x1.070acae420b41p-3, 0x1.0477754c597eap-3, 0x1.01e7ad78baa15p-3, 0x1.feb6f487e0b31p-4, 0x1.f9a5c490d1acfp-4, 0x1.f49bd7c12e25fp-4, 0x1.ef993a51f0167p-4, 0x1.ea9df8092d169p-4, 0x1.e5aa1c4025ffdp-4, 0x1.e0bdb1e9a77afp-4, 0x1.dbd8c395cc4aep-4, 0x1.d6fb5b73b6dd3p-4, 0x1.d2258351340cfp-4, 0x1.cd57449830398p-4, 0x1.c890a849838bep-4, 0x1.c3d1b6f8c7e1p-4, 0x1.bf1a78c8e0618p-4, 0x1.ba6af56aee1b5p-4, 0x1.b5c3342380374p-4, 0x1.b1233bcf6dfb4p-4, 0x1.ac8b12e8e7559p-4, 0x1.a7fabf8c1855dp-4, 0x1.a3724778543e4p-4, 0x1.9ef1b01858184p-4, 0x1.9a78fe796b8dap-4, 0x1.960837520b872p-4, 0x1.919f5eff93287p-4, 0x1.8d3e7981a90dfp-4, 0x1.88e58a784f05fp-4, 0x1.84949522555ccp-4, 0x1.804b9c5e799d2p-4, 0x1.7c0aa2ae7d823p-4, 0x1.77d1aa3dbd009p-4, 0x1.73a0b4dd2c792p-4, 0x1.6f77c4145a9d6p-4, 0x1.6b56d9133706dp-4, 0x1.673df4bf744b7p-4, 0x1.632d17b0bc5f8p-4, 0x1.5f2442327e076p-4, 0x1.5b237443b3d79p-4, 0x1.572aad954940bp-4, 0x1.5339ed88fb1acp-4, 0x1.4f513330e8494p-4, 0x1.4b707d4f3b87bp-4, 0x1.4797ca57d605ap-4, 0x1.43c71874a0b82p-4, 0x1.3ffe65880523fp-4, 0x1.3c3daf2f9a95p-4, 0x1.3884f2c5786a7p-4, 0x1.34d42d61ceee5p-4, 0x1.312b5bdbe85b4p-4, 0x1.2d8a7acb59619p-4, 0x1.29f18689a37f3p-4, 0x1.26607b317c477p-4, 0x1.22d754a037157p-4, 0x1.1f560e74d94fbp-4, 0x1.1bdca40fed5edp-4, 0x1.186b10940617ap-4, 0x1.15014ee72c1e9p-4, 0x1.119f59b50977cp-4, 0x1.0e452b70db08ap-4, 0x1.0af2be568b79cp-4, 0x1.07a80c6edf697p-4, 0x1.04650f8cc5be1p-4, 0x1.0129c151b13cp-4, 0x1.fbec36567dbc9p-5, 0x1.f5942cb46d516p-5, 0x1.ef4b57dfd6ea1p-5, 0x1.e911a9a16a4c2p-5, 0x1.e2e7136811827p-5, 0x1.dccb8649384a5p-5, 0x1.d6bef300010f8p-5, 0x1.d0c149eb4ed7ep-5, 0x1.cad27b12c491p-5, 0x1.c4f2762720309p-5, 0x1.bf212a86ff40ap-5, 0x1.b95e87430191cp-5, 0x1.b3aa7b21127d6p-5, 0x1.ae04f4a05ccdp-5, 0x1.a86de1fbb9d75p-5, 0x1.a2e5312c18866p-5, 0x1.9d6acfea8c673p-5, 0x1.97feabb191b65p-5, 0x1.92a0b1bdac682p-5, 0x1.8d50cf0da236ep-5, 0x1.880ef063b2b86p-5, 0x1.82db02420fd56p-5, 0x1.7db4f0f1715bcp-5, 0x1.789ca8821d94dp-5, 0x1.739214ce67de1p-5, 0x1.6e952181b3102p-5, 0x1.69a5ba1b0eb3ep-5, 0x1.64c3c9efef4ebp-5, 0x1.5fef3c2c226c5p-5, 0x1.5b27fbcfd9981p-5, 0x1.566df3af4291cp-5, 0x1.51c10e7039f6fp-5, 0x1.4d2136883e4fcp-5, 0x1.488e5653e00c7p-5, 0x1.440857dbad849p-5, 0x1.3f8f25404a117p-5, 0x1.3b22a868593e2p-5, 0x1.36c2cb307403cp-5, 0x1.326f7766dbde2p-5, 0x1.2e2896cd204e4p-5, 0x1.29ee1316183bcp-5, 0x1.25bfd5e0ecdbbp-5, 0x1.219dc8b20dc91p-5, 0x1.1d87d4ebbf6f5p-5, 0x1.197de3c824bd7p-5, 0x1.157fde56f4467p-5, 0x1.118dad802c54cp-5, 0x1.0da73a0c2f7f2p-5, 0x1.09cc6cb1a268cp-5, 0x1.05fd2e24927b7p-5, 0x1.02396729e11a3p-5, 0x1.fd020143f4819p-6, 0x1.f5a7c724606fep-6, 0x1.ee63f245d8689p-6, 0x1.e7365529e4e09p-6, 0x1.e01ec25d8d1efp-6, 0x1.d91d0c4b26796p-6, 0x1.d231050bcb9a9p-6, 0x1.cb5a7e41dc1a1p-6, 0x1.c499490eea2c8p-6, 0x1.bded360dd486ap-6, 0x1.b75615795a9e4p-6, 0x1.b0d3b75ab917bp-6, 0x1.aa65ebd10ea57p-6, 0x1.a40c8356462e5p-6, 0x1.9dc74efda49dap-6, 0x1.979620a66fbdp-6, 0x1.9178cb0d79d6ep-6, 0x1.8b6f21b9f0919p-6, 0x1.8578f8c8e8776p-6, 0x1.7f96249dc4498p-6, 0x1.79c679859153p-6, 0x1.7409cb5db0297p-6, 0x1.6e5fed4f28737p-6, 0x1.68c8b1a8bef2dp-6, 0x1.6343e9e302c0cp-6, 0x1.5dd166c8c3954p-6, 0x1.5870f8bfc64fap-6, 0x1.5322702a9c036p-6, 0x1.4de59dd0f39cbp-6, 0x1.48ba534b52afp-6, 0x1.43a06354680cep-6, 0x1.3e97a1fc69967p-6, 0x1.399fe4ab9548ep-6, 0x1.34b901f0ec596p-6, 0x1.2fe2d12161edcp-6, 0x1.2b1d29d7f6a56p-6, 0x1.2667e36ef6523p-6, 0x1.21c2d48d6d50cp-6, 0x1.1d2dd2de95c7p-6, 0x1.18a8b2fee3032p-6, 0x1.1433489d2ce12p-6, 0x1.0fcd66c4fc76bp-6, 0x1.0b76e0422deep-6, 0x1.072f880f392adp-6, 0x1.02f731c36fe0fp-6, 0x1.fd9b63f2d4c28p-7, 0x1.f565bd4a5784ap-7, 0x1.ed4d1e9e09f14p-7, 0x1.e5513a46b531dp-7, 0x1.dd71c5952d6bfp-7, 0x1.d5ae7808c5fc5p-7, 0x1.ce070a1ce0fa8p-7, 0x1.c67b33e33f313p-7, 0x1.bf0aab9fdfc78p-7, 0x1.b7b5251f871bep-7, 0x1.b07a5129ee1f9p-7, 0x1.a959dd86e202dp-7, 0x1.a253767296ac2p-7, 0x1.9b66c73e48cddp-7, 0x1.94937b7729ef1p-7, 0x1.8dd93fbff2b03p-7, 0x1.8737c270ea118p-7, 0x1.80aeb41469155p-7, 0x1.7a3dc7df40427p-7, 0x1.73e4b4306754ep-7, 0x1.6da332fc82adcp-7, 0x1.67790219e177dp-7, 0x1.6165e2cb6a33p-7, 0x1.5b69990068e1p-7, 0x1.5583e9d01718ap-7, 0x1.4fb499b753936p-7, 0x1.49fb6afc1fcd7p-7, 0x1.44581c9f173efp-7, 0x1.3eca6a2de9975p-7, 0x1.39520c7097efdp-7, 0x1.33eebaa57814ap-7, 0x1.2ea02bcf184ebp-7, 0x1.2966179b049fbp-7, 0x1.244036a206e3bp-7, 0x1.1f2e421e3ca92p-7, 0x1.1a2ff3797c7e5p-7, 0x1.1545042b0e89ep-7, 0x1.106d2e34c5372p-7, 0x1.0ba82d3c2ca37p-7, 0x1.06f5bfeab94dcp-7, 0x1.0255a90fa3a5dp-7, 0x1.fb8f6009b28fap-8, 0x1.f2974028cf25ap-8, 0x1.e9c28ded67528p-8, 0x1.e110e5b78a885p-8, 0x1.d881e147bc98ap-8, 0x1.d01515c0b0d3dp-8, 0x1.c7ca13d7ead44p-8, 0x1.bfa069ff15df4p-8, 0x1.b797a77fcd392p-8, 0x1.afaf5f174e0c4p-8, 0x1.a7e727c21652ep-8, 0x1.a03e9b2903e7fp-8, 0x1.98b5523867598p-8, 0x1.914ae15acd69ep-8, 0x1.89fed61c465b5p-8, 0x1.82d0b76e2fb6bp-8, 0x1.7bc008a1f00cdp-8, 0x1.74cc4e132c88bp-8, 0x1.6df511da228c8p-8, 0x1.6739e6f8db265p-8, 0x1.609a69d9b9653p-8, 0x1.5a163ef0e023fp-8, 0x1.53ad0e299c3c9p-8, 0x1.4d5e802b988bep-8, 0x1.472a3af7aca8ep-8, 0x1.410fe16b8ba4cp-8, 0x1.3b0f148d579b7p-8, 0x1.3527764cb9211p-8, 0x1.2f58acb99b628p-8, 0x1.29a26479f3a99p-8, 0x1.2404514d01509p-8, 0x1.1e7e2bde879d5p-8, 0x1.190fad3803e36p-8, 0x1.13b8894ba440dp-8, 0x1.0e786b02c08e1p-8, 0x1.094ef384a748ap-8, 0x1.043bbd397d5ebp-8, 0x1.fe7cc21c655e3p-9, 0x1.f4acf7ade9ecbp-9, 0x1.eb0763fad6648p-9, 0x1.e18b614e8fbfcp-9, 0x1.d8385929e2df2p-9, 0x1.cf0dbea53ee8ep-9, 0x1.c60b08d4b5652p-9, 0x1.bd2faabb69decp-9, 0x1.b47b176551de8p-9, 0x1.abecbbade6679p-9, 0x1.a3840393d4ef5p-9, 0x1.9b405b70dd7ddp-9, 0x1.93213315f9052p-9, 0x1.8b2601563c315p-9, 0x1.834e46ec8c3c2p-9, 0x1.7b998eb0d5c07p-9, 0x1.7407699d133bp-9, 0x1.6c97672d0f95p-9, 0x1.65490d25d9a4cp-9, 0x1.5e1bd30c8fa44p-9, 0x1.570f240b5f7dfp-9, 0x1.5022661593a91p-9, 0x1.495501aacc06ep-9, 0x1.42a665f99c3edp-9, 0x1.3c16091221d88p-9, 0x1.35a3670b981ap-9, 0x1.2f4e02338e916p-9, 0x1.291563a7d432cp-9, 0x1.22f91afb3baddp-9, 0x1.1cf8bcd3ba24bp-9, 0x1.1713e144c295dp-9, 0x1.114a22628168fp-9, 0x1.0b9b1b4fc1e53p-9, 0x1.060667ecf7806p-9, 0x1.008ba4c92fea2p-9, 0x1.f654dd442b577p-10, 0x1.ebc4c32a0e23bp-10, 0x1.e16632772d23p-10, 0x1.d73864b62a697p-10, 0x1.cd3a99919bbebp-10, 0x1.c36c1651c8d7p-10, 0x1.b9cc1fe47ae29p-10, 0x1.b059f4812b19ap-10, 0x1.a714cc4d669fdp-10, 0x1.9dfbe240491dp-10, 0x1.950e7c2d6c874p-10, 0x1.8c4be703d4fc6p-10, 0x1.83b369aaa2b2ep-10, 0x1.7b443f1d54f88p-10, 0x1.72fda26060905p-10, 0x1.6adee16bf57ap-10, 0x1.62e76313a05fdp-10, 0x1.5b1699974aaa3p-10, 0x1.536bed62ea547p-10, 0x1.4be6b0d2271f4p-10, 0x1.448626377df0cp-10, 0x1.3d49932d542a8p-10, 0x1.363050d30b83ap-10, 0x1.2f39cb4108049p-10, 0x1.28657297c5c45p-10, 0x1.21b2ad5ebd9bep-10, 0x1.1b20d899deeb6p-10, 0x1.14af548156883p-10, 0x1.0e5d933a0192p-10, 0x1.082b1f2787c97p-10, 0x1.021794aec9432p-10, 0x1.f84524e87aa78p-11, 0x1.ec9752c93a3cdp-11, 0x1.e124aff59581p-11, 0x1.d5ec274fdc42dp-11, 0x1.caeca4c363049p-11, 0x1.c025073bce705p-11, 0x1.b5940485bf39fp-11, 0x1.ab383d3ab596p-11, 0x1.a11094b596abep-11, 0x1.971c713920714p-11, 0x1.8d5b9652248afp-11, 0x1.83cdb40528079p-11, 0x1.7a72118a7a8d8p-11, 0x1.71479660ebc4p-11, 0x1.684d1a33ce139p-11, 0x1.5f81a99d71c7cp-11, 0x1.56e4862ef027ep-11, 0x1.4e74f52f8bb2dp-11, 0x1.463216c7eefabp-11, 0x1.3e1ae611048e9p-11, 0x1.362e4ad385f5ap-11, 0x1.2e6b2edc091ep-11, 0x1.26d097977b84dp-11, 0x1.1f5daf718c69dp-11, 0x1.1811cd8ffcdb4p-11, 0x1.10ec7041d2ed5p-11, 0x1.09ed278db081bp-11, 0x1.031376354d4adp-11, 0x1.f8bd800058aebp-12, 0x1.eb9cb5476746fp-12, 0x1.dec35a7f40136p-12, 0x1.d230490095be4p-12, 0x1.c5e1e7ac3c7aap-12, 0x1.b9d60add7eaap-12, 0x1.ae0ac25ce5239p-12, 0x1.a27f34a7043bcp-12, 0x1.973348b594fap-12, 0x1.8c268185ce039p-12, 0x1.815778910ad42p-12, 0x1.76c47452c739fp-12, 0x1.6c6c425410635p-12, 0x1.624e512d15b54p-12, 0x1.586a15bd2a469p-12, 0x1.4ebe9497ea29dp-12, 0x1.454a738b255ccp-12, 0x1.3c0c453fed25cp-12, 0x1.3302b0c58e176p-12, 0x1.2a2c7f870ada2p-12, 0x1.21889154355b6p-12, 0x1.1915d8e51bab5p-12, 0x1.10d363f3a607cp-12, 0x1.08c0612fc4ee6p-12, 0x1.00dc209559fd5p-12, 0x1.f24c1576ca097p-13, 0x1.e33af2e056bc9p-13, 0x1.d4831f18adab6p-13, 0x1.c6225eb28bdbbp-13, 0x1.b81626765749ap-13, 0x1.aa5c89d71bbb5p-13, 0x1.9cf41a4797de6p-13, 0x1.8fdb0aa970d43p-13, 0x1.830ec5d22a44p-13, 0x1.768d6597fc226p-13, 0x1.6a56df4ff771dp-13, 0x1.5e6b5c700d91fp-13, 0x1.52c9225ff53d5p-13, 0x1.476d44f01578fp-13, 0x1.3c55d78d81859p-13, 0x1.31824a3c8f0abp-13, 0x1.26f2006706964p-13, 0x1.1ca3ac64fc446p-13, 0x1.1295cde538142p-13, 0x1.08c717663663fp-13, 0x1.fe6cb4b8ed1b8p-14, 0x1.ebc4b4c61c594p-14, 0x1.d99364a224fd2p-14, 0x1.c7d5d53717a76p-14, 0x1.b68918e998a1dp-14, 0x1.a5aa6b7da35c7p-14, 0x1.95374604f4846p-14, 0x1.852d61a7d1a45p-14, 0x1.758ab4c426532p-14, 0x1.664d7551d19bap-14, 0x1.577412c2f8db5p-14, 0x1.48fcfce6d347dp-14, 0x1.3ae636db278aep-14, 0x1.2d2d3757a2ba8p-14, 0x1.1fcfa33776997p-14, 0x1.12cc5abf23edbp-14, 0x1.06233c4839733p-14, 0x1.f3a58c6880bf2p-15, 0x1.dbaddec11aa5ap-15, 0x1.c4594db86619p-15, 0x1.ada628d724b43p-15, 0x1.978f78c7f20fcp-15, 0x1.820dd66f0f718p-15, 0x1.6d1f4e932b7cbp-15, 0x1.58c51be4fa692p-15, 0x1.44fd518f5fd83p-15, 0x1.31c400d93cf2ep-15, 0x1.1f14d2f6854c3p-15, 0x1.0cec12b156541p-15, 0x1.f68ccd74eec74p-16, 0x1.d4420bb4e4d82p-16, 0x1.b2f4159e2c0edp-16, 0x1.92a004c5f6cb2p-16, 0x1.734200cc48712p-16, 0x1.54d446710b4c6p-16, 0x1.374fbe52e965p-16, 0x1.1aad321000aap-16, 0x1.fdcc2288518f3p-17, 0x1.c7e92544d68bbp-17, 0x1.93a71dd688ee7p-17, 0x1.60fce2a7b54aep-17, 0x1.2fe28ad3d2f1ap-17, 0x1.00511364e88ddp-17, 0x1.a481569b8061p-18, 0x1.4b4d6565bb982p-18, 0x1.e9db84668fda5p-19, 0x1.42a29a2018996p-19, 0x1.41dfd665faf17p-20, 0x1.334177b41c5b4p-25, -0x1.23fe99d25a127p-20, -0x1.23d2d325e61e5p-19, -0x1.b0c26b3718124p-19, -0x1.1c73a372917e3p-18, -0x1.5e31411a3bf5p-18, -0x1.9d8eaf150d552p-18, -0x1.da8fbc872399dp-18, -0x1.0aa789db3dee4p-17, -0x1.26f365dc36496p-17, -0x1.42369e20daff3p-17, -0x1.5c7b69b59524ap-17, -0x1.75c932105cb13p-17, -0x1.8e232c2c706fbp-17, -0x1.a58aa11255101p-17, -0x1.bc035a8ce77cap-17, -0x1.d19547136017ap-17, -0x1.e648c6169204fp-17, -0x1.fa220cb8b67a1p-17, -0x1.069126e55ef42p-16, -0x1.0fa66708c8136p-16, -0x1.1854503fb557p-16, -0x1.209f256f55201p-16, -0x1.288a926fe046dp-16, -0x1.3019a82b049p-16, -0x1.374ed0f33b2bp-16, -0x1.3e2c2352a1fafp-16, -0x1.44b36d8d82bb7p-16, -0x1.4ae6751b9abb3p-16, -0x1.50c767186b869p-16, -0x1.5658f46d77bf9p-16, -0x1.5b9dbae2495a5p-16, -0x1.609761441eff2p-16, -0x1.6545858171b58p-16, -0x1.69a85a2c2269bp-16, -0x1.6dc655657feb1p-16, -0x1.71a4132141c51p-16, -0x1.754309be6f714p-16, -0x1.78a23e1e6d675p-16, -0x1.7bc06d901e6b4p-16, -0x1.7ea18966c081cp-16, -0x1.8148c608dbb1cp-16, -0x1.83b82060aa186p-16, -0x1.85f0b9b13f1ecp-16, -0x1.87f3c00e91d1ap-16, -0x1.89c249fea16b2p-16, -0x1.8b5d53570a6a9p-16, -0x1.8cc5f0dc659b2p-16, -0x1.8dfde3974fdedp-16, -0x1.8f081165b491bp-16, -0x1.8fe781e3575fdp-16, -0x1.909d54426eaefp-16, -0x1.912935c73b0a1p-16, -0x1.918c47c2155e3p-16, -0x1.91c921ac24e52p-16, -0x1.91e0ac81d4a6ap-16, -0x1.91d23d63b5445p-16, -0x1.919ea508d6444p-16, -0x1.9147ee180e092p-16, -0x1.90d071236a767p-16, -0x1.90399d0d8d60fp-16, -0x1.8f846eb4861c9p-16, -0x1.8eb1b86c8546fp-16, -0x1.8dc23676a35a1p-16, -0x1.8cb6ac95d17d9p-16, -0x1.8b9006d400132p-16, -0x1.8a4f6331ac252p-16, -0x1.88f61195e6daep-16, -0x1.8785193f226dcp-16, -0x1.85fbe2b5a248dp-16, -0x1.845aaa1d2c11ep-16, -0x1.82a58e1b2c585p-16, -0x1.80ddcb8916cap-16, -0x1.7f011658dbbd4p-16, -0x1.7d0ffd8da5ac8p-16, -0x1.7b0ce2098dabdp-16, }}, 
      {{-0x1.cade03dbb8256p-1, -0x1.91b18c137efaap-1, -0x1.4e2a7118e1d15p-1, -0x1.0bfb1e9f81307p-1, -0x1.a203cde3273a5p-2, -0x1.3f2ccc9b8dccbp-2, -0x1.e01bc4f2304aap-3, -0x1.662645d7e46bap-3, -0x1.0b43098adb71p-3, -0x1.932467bbb0484p-4, -0x1.36ac928a2dbe8p-4, -0x1.ed81c6a10d7a7p-5, -0x1.95055ce039608p-5, -0x1.5558f7ffa59d9p-5, -0x1.2305cc3e2a8b4p-5, -0x1.eabdf6bda75e7p-6, -0x1.8c46d67478c79p-6, -0x1.22349e31545ebp-6, -0x1.4ecb61459608ap-7, -0x1.95766ec449405p-10, 0x1.10ed6d0699db2p-7, 0x1.3d09c15784c9bp-6, 0x1.012e3f3443dap-5, 0x1.6addfa90358c2p-5, 0x1.da08c6407cad6p-5, 0x1.26873ac807792p-4, 0x1.6127f96b8313fp-4, 0x1.9c1facd9859a7p-4, 0x1.d6b59dbfe71f6p-4, 0x1.08217ebc04c42p-3, 0x1.241a83a33f04ap-3, 0x1.3f06f71d58b48p-3, 0x1.58b271677c87ap-3, 0x1.70f2b742516dap-3, 0x1.87a72c1b6160dp-3, 0x1.9cb81ce30598cp-3, 0x1.b015f381c008cp-3, 0x1.c1b85f224465p-3, 0x1.d19d7a636113cp-3, 0x1.dfc8f5f86bacfp-3, 0x1.ec434c3e2d335p-3, 0x1.f71900c33ebd8p-3, 0x1.002cf6ce910cfp-2, 0x1.040c4fc3537e7p-2, 0x1.0734e090f54f3p-2, 0x1.09b1caa3592b1p-2, 0x1.0b8ebffba2285p-2, 0x1.0cd7cea9fa347p-2, 0x1.0d9932d7485bfp-2, 0x1.0ddf2ee8a9a5cp-2, 0x1.0db5e94cd144p-2, 0x1.0d294f90e8887p-2, 0x1.0c44fe3958a77p-2, 0x1.0b142cd6ccc0ep-2, 0x1.09a19dd452b22p-2, 0x1.07f791a988e13p-2, 0x1.061fbd72d3393p-2, 0x1.04234436c214p-2, 0x1.020ab2b22cce4p-2, 0x1.ffbbf9694e39cp-3, 0x1.fb48f8a326ec7p-3, 0x1.f6c9e593c789ep-3, 0x1.f24b15e3e7229p-3, 0x1.edd7ba5d76bafp-3, 0x1.e979e745b67f3p-3, 0x1.e53a9e83a3432p-3, 0x1.e121d9a85c383p-3, 0x1.dd369620654bcp-3, 0x1.d97ee15d616aep-3, 0x1.d5ffe752d3fe4p-3, 0x1.d2bdffa3cfc7bp-3, 0x1.cfbcbbb81adeep-3, 0x1.ccfef380ad329p-3, 0x1.ca86d23dbe623p-3, 0x1.c855e2ca27c74p-3, 0x1.c66d1bf06566cp-3, 0x1.c4ccec963782bp-3, 0x1.c37547b5c2caap-3, 0x1.c265aff19c343p-3, 0x1.c19d429bf93d7p-3, 0x1.c11ac22289ee2p-3, 0x1.c0dc9fdd08f86p-3, 0x1.c0e10549c1d17p-3, 0x1.c125dccc00a4dp-3, 0x1.c1a8d9f64c22ep-3, 0x1.c267816ac9952p-3, 0x1.c35f305033f7p-3, 0x1.c48d2356a4b0cp-3, 0x1.c5ee7d468fcc2p-3, 0x1.c7804d132c2aep-3, 0x1.c93f936dc0595p-3, 0x1.cb2947de1bfd2p-3, 0x1.cd3a5d5fa4d1p-3, 0x1.cf6fc68d4ecf1p-3, 0x1.d1c67960e7307p-3, 0x1.d43b728cef9a7p-3, 0x1.d6cbb87911feap-3, 0x1.d9745de78a377p-3, 0x1.dc3284470afbap-3, 0x1.df035dbab8a96p-3, 0x1.e1e42edc1afdep-3, 0x1.e4d2503a9ceaep-3, 0x1.e7cb2fa2e172bp-3, 0x1.eacc512a51f41p-3, 0x1.edd3500c91dd4p-3, 0x1.f0dddf56ed04dp-3, 0x1.f3e9ca68ad11dp-3, 0x1.f6f4f54c2e3c5p-3, 0x1.f9fd5ce589466p-3, 0x1.fd011703ba7e9p-3, 0x1.fffe5247c4e5ep-3, 0x1.0179aafc913fdp-2, 0x1.02ef40da6fd6bp-2, 0x1.045f268584ea4p-2, 0x1.05c8a3856babcp-2, 0x1.072b0adc12d3cp-2, 0x1.0885babea513dp-2, 0x1.09d81c464804fp-2, 0x1.0b21a320b3813p-2, 0x1.0c61cd3c4a757p-2, 0x1.0d982271e42a4p-2, 0x1.0ec434332fc89p-2, 0x1.0fe59d2ed0853p-2, 0x1.10fc00fa4d2c8p-2, 0x1.12070bbe63e36p-2, 0x1.130671d62bc4ep-2, 0x1.13f9ef7c2b07fp-2, 0x1.14e14872cd30fp-2, 0x1.15bc47a47c4b7p-2, 0x1.168abed3a9c44p-2, 0x1.174c8644efa81p-2, 0x1.18017c6299e98p-2, 0x1.18a98573c56d3p-2, 0x1.19448b4c0ebbp-2, 0x1.19d27cf70967bp-2, 0x1.1a534e767eff8p-2, 0x1.1ac6f87d0df4p-2, 0x1.1b2d7822220ep-2, 0x1.1b86cea70f7c4p-2, 0x1.1bd3013d863fbp-2, 0x1.1c1218c4a6e64p-2, 0x1.1c44219226b38p-2, 0x1.1c692b442dfdap-2, 0x1.1c8148878fca6p-2, 0x1.1c8c8ee324df8p-2, 0x1.1c8b169051ee1p-2, 0x1.1c7cfa4e12c3ap-2, 0x1.1c62572cef49cp-2, 0x1.1c3b4c6a2ee82p-2, 0x1.1c07fb4d410d4p-2, 0x1.1bc886fd96934p-2, 0x1.1b7d145869fcep-2, 0x1.1b25c9d5f607p-2, 0x1.1ac2cf6c58499p-2, 0x1.1a544e6826573p-2, 0x1.19da714ce4afp-2, 0x1.195563c24563ep-2, 0x1.18c5527b45fafp-2, 0x1.182a6b1400303p-2, 0x1.1784dbf9b5c3cp-2, 0x1.16d4d45ef01bbp-2, 0x1.161a842768cp-2, 0x1.15561bca834f7p-2, 0x1.1487cc4072a49p-2, 0x1.13afc6fb3982bp-2, 0x1.12ce3dd827fe9p-2, 0x1.11e3630724069p-2, 0x1.10ef68f8d9ee2p-2, 0x1.0ff2825b5921fp-2, 0x1.0eece210eb8f5p-2, 0x1.0ddebb1cb667p-2, 0x1.0cc84091e5593p-2, 0x1.0ba9a58dbc60cp-2, 0x1.0a831d34d9d6p-2, 0x1.0954daa6c8e21p-2, 0x1.081f10ed8754fp-2, 0x1.06e1f2f42caaep-2, 0x1.059db384fb44dp-2, 0x1.04528545b41b2p-2, 0x1.03009aaafef8bp-2, 0x1.01a825ec76c28p-2, 0x1.004958fdf86dbp-2, 0x1.fdc8cb2054092p-3, 0x1.faf2fa1a2184ap-3, 0x1.f811a11a4997bp-3, 0x1.f5252198c8f02p-3, 0x1.f22ddc4dd93d1p-3, 0x1.ef2c3135796bdp-3, 0x1.ec207f8a0526ap-3, 0x1.e90b25b12f506p-3, 0x1.e5ec812977a57p-3, 0x1.e2c4ee8681119p-3, 0x1.df94c9753a04p-3, 0x1.dc5c6cb85cfep-3, 0x1.d91c32199b4dp-3, 0x1.d5d4725c287dbp-3, 0x1.d285853702b0cp-3, 0x1.cf2fc159dd532p-3, 0x1.cbd37c69d3d02p-3, 0x1.c8710af9f855dp-3, 0x1.c508c081b086dp-3, 0x1.c19aef581baebp-3, 0x1.be27e8b26c8b4p-3, 0x1.baaffca2b2ccp-3, 0x1.b7337a1617d53p-3, 0x1.b3b2aed284371p-3, 0x1.b02de7726b09ep-3, 0x1.aca56f5f624dap-3, 0x1.a91990cdbec62p-3, 0x1.a58a94bd3958cp-3, 0x1.a1f8c2fdbbddp-3, 0x1.9e6462312ee7ep-3, 0x1.9acdb7c59381dp-3, 0x1.973507ebbdf74p-3, 0x1.939a959499ad4p-3, 0x1.8ffea27663046p-3, 0x1.8c616f1865d99p-3, 0x1.88c33ad3fc9cdp-3, 0x1.852443cb88b3ap-3, 0x1.8184c6df757bep-3, 0x1.7de4ffad9d7bfp-3, 0x1.7a45289d047dfp-3, 0x1.76a57aeb12fp-3, 0x1.73062ead4789ep-3, 0x1.6f677ac62a7a1p-3, 0x1.6bc994d9c48ccp-3, 0x1.682cb14ddafcp-3, 0x1.64910358176d4p-3, 0x1.60f6bd0dbd843p-3, 0x1.5d5e0f67ca6acp-3, 0x1.59c72a38461c8p-3, 0x1.56323c1e071cfp-3, 0x1.529f7282b6ee4p-3, 0x1.4f0ef9a769d65p-3, 0x1.4b80fcb73d78fp-3, 0x1.47f5a5d03c643p-3, 0x1.446d1dfe43d89p-3, 0x1.40e78d2bf6372p-3, 0x1.3d651a1d0c22p-3, 0x1.39e5ea7556025p-3, 0x1.366a22cb01cb6p-3, 0x1.32f1e6b694485p-3, 0x1.2f7d58d57242fp-3, 0x1.2c0c9abff97b2p-3, 0x1.289fccfd2e5f5p-3, 0x1.25370f009b922p-3, 0x1.21d27f3674b2p-3, 0x1.1e723b167ed6bp-3, 0x1.1b165f31aaf0ep-3, 0x1.17bf07327a108p-3, 0x1.146c4dd29dda9p-3, 0x1.111e4cd003762p-3, 0x1.0dd51cebefbabp-3, 0x1.0a90d5f70875ap-3, 0x1.07518ee3c8cbep-3, 0x1.04175dd4408b2p-3, 0x1.00e2581c1ce44p-3, 0x1.fb652470773c2p-4, 0x1.f5103f87dc9bcp-4, 0x1.eec626ebf4e2cp-4, 0x1.e886fe51e7863p-4, 0x1.e252e7d7ea92ep-4, 0x1.dc2a0422cd8eep-4, 0x1.d60c726dad4ap-4, 0x1.cffa50802c7f7p-4, 0x1.c9f3ba9c075fp-4, 0x1.c3f8cb6f92af5p-4, 0x1.be099c19c0f31p-4, 0x1.b82644410d66cp-4, 0x1.b24eda32768ffp-4, 0x1.ac8372f97babbp-4, 0x1.a6c42266c0164p-4, 0x1.a110fb085aba4p-4, 0x1.9b6a0e15d1765p-4, 0x1.95cf6b6c312c2p-4, 0x1.9041219030b1cp-4, 0x1.8abf3dc49b096p-4, 0x1.8549cc24cc772p-4, 0x1.7fe0d7b9c6e8p-4, 0x1.7a846a81c7f27p-4, 0x1.75348d6aab611p-4, 0x1.6ff14845a8c09p-4, 0x1.6abaa1bea6023p-4, 0x1.65909f5ea8889p-4, 0x1.6073459a8efc2p-4, 0x1.5b6297e8d2a0ap-4, 0x1.565e98d5e35edp-4, 0x1.51674a0fdb2fep-4, 0x1.4c7cac67740e5p-4, 0x1.479ebfc8e6f23p-4, 0x1.42cd83337f5ddp-4, 0x1.3e08f4b69a69bp-4, 0x1.395111782adbap-4, 0x1.34a5d5c27c56cp-4, 0x1.30073d17588a3p-4, 0x1.2b75423e47fcep-4, 0x1.26efdf4d20749p-4, 0x1.22770da8b9cf2p-4, 0x1.1e0ac5fffbb8fp-4, 0x1.19ab0046a7225p-4, 0x1.1557b3b3c79bbp-4, 0x1.1110d6c6c4ef3p-4, 0x1.0cd65f52e848p-4, 0x1.08a8428ce256fp-4, 0x1.0486751786192p-4, 0x1.0070eb0c01658p-4, 0x1.f8cf2ff8f1196p-5, 0x1.f0d4dde4e8071p-5, 0x1.e8f2c4d712d03p-5, 0x1.e128c8af27bd2p-5, 0x1.d976cc361c24ap-5, 0x1.d1dcb12bcf81fp-5, 0x1.ca5a585b00ee3p-5, 0x1.c2efa1ae0c72cp-5, 0x1.bb9c6c4000744p-5, 0x1.b46096674a1d8p-5, 0x1.ad3bfdb9352adp-5, 0x1.a62e7f08877f2p-5, 0x1.9f37f6626ca8bp-5, 0x1.98583f0e28792p-5, 0x1.918f3392576abp-5, 0x1.8adcadc0aa509p-5, 0x1.844086c26e199p-5, 0x1.7dba972c29ad8p-5, 0x1.774ab70716212p-5, 0x1.70f0bddb40db4p-5, 0x1.6aac82b49e3cp-5, 0x1.647ddc2425336p-5, 0x1.5e64a03f66674p-5, 0x1.5860a49fd75afp-5, 0x1.5271be674ed9bp-5, 0x1.4c97c246f67a9p-5, 0x1.46d28488707fbp-5, 0x1.4121d91a20f7ep-5, 0x1.3b8593991efb2p-5, 0x1.35fd8759e5601p-5, 0x1.3089876e414a9p-5, 0x1.2b2966a928deep-5, 0x1.25dcf7a07369cp-5, 0x1.20a40cad59185p-5, 0x1.1b7e77ee3d6c3p-5, 0x1.166c0b49a736ep-5, 0x1.116c987421c99p-5, 0x1.0c7ff0f7a12cbp-5, 0x1.07a5e63b87d5cp-5, 0x1.02de498bdb04fp-5, 0x1.fc51d83f220edp-6, 0x1.f30b3e3af07bfp-6, 0x1.e9e8673fc94bcp-6, 0x1.e0e8f56e0bf64p-6, 0x1.d80c8ad505591p-6, 0x1.cf52c97599973p-6, 0x1.c6bb5346a45ep-6, 0x1.be45ca3bff856p-6, 0x1.b5f1d050495f9p-6, 0x1.adbf078f98e24p-6, 0x1.a5ad12223dc53p-6, 0x1.9dbb92560f31fp-6, 0x1.95ea2aa678ddep-6, 0x1.8e387dc33d67bp-6, 0x1.86a62e95ef629p-6, 0x1.7f32e04610ddep-6, 0x1.77de363c28eeep-6, 0x1.70a7d4245386dp-6, 0x1.698f5df1b2772p-6, 0x1.629477e38dd24p-6, 0x1.5bb6c68b74703p-6, 0x1.54f5eed4812fcp-6, 0x1.4e51960a62fe8p-6, 0x1.47c961df8196ep-6, 0x1.415cf872c55aap-6, 0x1.3b0c0052da9a1p-6, 0x1.34d62084b76dbp-6, 0x1.2ebb008590bc8p-6, 0x1.28ba484db4a9ap-6, 0x1.22d3a0532660ep-6, 0x1.1d06b18b64abfp-6, 0x1.1753256df4db4p-6, 0x1.11b8a5f7ba756p-6, 0x1.0c36ddaf317c6p-6, 0x1.06cd77a804095p-6, 0x1.017c1f899ab4ap-6, 0x1.f885031cc59efp-7, 0x1.ee409517b2c34p-7, 0x1.e42a4fe343127p-7, 0x1.da418f9b22063p-7, 0x1.d085b19b310d5p-7, 0x1.c6f61482c47d3p-7, 0x1.bd921835c57d8p-7, 0x1.b4591de0084e8p-7, 0x1.ab4a87fa1bbd7p-7, 0x1.a265ba4934081p-7, 0x1.99aa19e273106p-7, 0x1.91170d3346636p-7, 0x1.88abfc04f029ap-7, 0x1.80684f7e7ac5fp-7, 0x1.784b7227cb8e5p-7, 0x1.7054cfec3de42p-7, 0x1.6883d61c6e025p-7, 0x1.60d7f36fc4762p-7, 0x1.595098060cda8p-7, 0x1.51ed356973503p-7, 0x1.4aad3e8f600abp-7, 0x1.439027d9b5614p-7, 0x1.3c95671786c4ap-7, 0x1.35bc7385d9fa3p-7, 0x1.2f04c5d068e7fp-7, 0x1.286dd81234a64p-7, 0x1.21f725d5dc9e2p-7, 0x1.1ba02c17cef38p-7, 0x1.1568694053355p-7, 0x1.0f4f5d2ad1969p-7, 0x1.09548920c2bd8p-7, 0x1.03776fe109482p-7, 0x1.fb6f2b2fa94eep-8, 0x1.f028ffcca7758p-8, 0x1.e51b6bbfa1e7fp-8, 0x1.da4580114258p-8, 0x1.cfa650a764f57p-8, 0x1.c53cf43f9f3f3p-8, 0x1.bb08846b0846ap-8, 0x1.b1081d88a3a2dp-8, 0x1.a73adec4c899ap-8, 0x1.9d9fea1885e7ap-8, 0x1.9436644ab4c03p-8, 0x1.8afd74f13726fp-8, 0x1.81f44671202fap-8, 0x1.791a05fcfe95p-8, 0x1.706de390baa8p-8, 0x1.67ef11eac9abcp-8, 0x1.5f9cc683a9879p-8, 0x1.5776398499207p-8, 0x1.4f7aa5bf84ea7p-8, 0x1.47a948aace0b6p-8, 0x1.400162598e2d9p-8, 0x1.3882358300ec5p-8, 0x1.312b07830b374p-8, 0x1.29fb205bbb894p-8, 0x1.22f1caba213dep-8, 0x1.1c0e53f28b54cp-8, 0x1.15500bf8596cep-8, 0x1.0eb64550a8028p-8, 0x1.08405501218b1p-8, 0x1.01ed927d155ebp-8, 0x1.f77aaf2b85229p-9, 0x1.eb5e00e2e6318p-9, 0x1.df83d6f8c1cb6p-9, 0x1.d3eaf326b89b2p-9, 0x1.c8921ba802e68p-9, 0x1.bd781bbf57241p-9, 0x1.b29bc3a0dd481p-9, 0x1.a7fbe88a0fd77p-9, 0x1.9d9764bbc6dfbp-9, 0x1.936d175cbfdf3p-9, 0x1.897be4464a84ep-9, 0x1.7fc2b3c1ef5c9p-9, 0x1.76407242ae54cp-9, 0x1.6cf410272fe92p-9, 0x1.63dc819092447p-9, 0x1.5af8be566ffd3p-9, 0x1.5247c21b7b7d3p-9, 0x1.49c88c7ed9dbp-9, 0x1.417a215dafd32p-9, 0x1.395b891e2ac2dp-9, 0x1.316bd0e46a5bcp-9, 0x1.29aa0ab131bb8p-9, 0x1.22154d527302p-9, 0x1.1aacb4288e6c3p-9, 0x1.136f5ec3ec91ap-9, 0x1.0c5c706a9e3a3p-9, 0x1.05730f9acb5dp-9, 0x1.fd64cb3feb11bp-10, 0x1.f0333c8e89ce9p-10, 0x1.e34fcfa78226ep-10, 0x1.d6b8e657e6e12p-10, 0x1.ca6ce85f68b0ap-10, 0x1.be6a4441f95abp-10, 0x1.b2af7078179a4p-10, 0x1.a73aec7f70888p-10, 0x1.9c0b4169fea5cp-10, 0x1.911f021c701e4p-10, 0x1.8674cb08eadf6p-10, 0x1.7c0b414f8c9c8p-10, 0x1.71e1116d9462dp-10, 0x1.67f4edb4b01f5p-10, 0x1.5e458ccbf5ffap-10, 0x1.54d1a87ad8952p-10, 0x1.4b97fcf04441p-10, 0x1.4297489b7e123p-10, 0x1.39ce4c98d7837p-10, 0x1.313bcd9b8d55ep-10, 0x1.28de952c24153p-10, 0x1.20b5731637f18p-10, 0x1.18bf3ec03e358p-10, 0x1.10fad84b2f031p-10, 0x1.09672933dab5dp-10, 0x1.0203245697b4p-10, 0x1.f59b8a845500ap-11, 0x1.e78c1dd5b8571p-11, 0x1.d9d613e595ed8p-11, 0x1.cc7785ac31d4ap-11, 0x1.bf6e90a3e6286p-11, 0x1.b2b9549a810e9p-11, 0x1.a655f2d60493cp-11, 0x1.9a428e88490e4p-11, 0x1.8e7d4e5261151p-11, 0x1.83045e726e241p-11, 0x1.77d5f33b85677p-11, 0x1.6cf04b8d7c6f3p-11, 0x1.6251b3145a9a4p-11, 0x1.57f8841d96472p-11, 0x1.4de328c36872ap-11, 0x1.44101b2555096p-11, 0x1.3a7de46ca1fcdp-11, 0x1.312b1a88875fap-11, 0x1.28165cd8e867cp-11, 0x1.1f3e5051182b1p-11, 0x1.16a19beac896dp-11, 0x1.0e3ee5ba66a87p-11, 0x1.0614d21a6c9c5p-11, 0x1.fc44092d57fe9p-12, 0x1.ecca4258440c6p-12, 0x1.ddb99ecf83ff9p-12, 0x1.cf0f79d14df79p-12, 0x1.c0c93efbd71f7p-12, 0x1.b2e46d41c50f5p-12, 0x1.a55e98f5f8df9p-12, 0x1.98356d857e164p-12, 0x1.8b66af293c177p-12, 0x1.7ef03c565a399p-12, 0x1.72d00dd4a4da5p-12, 0x1.6704354439a8ap-12, 0x1.5b8ad86816b12p-12, 0x1.50622a6858403p-12, 0x1.458863caf1d79p-12, 0x1.3afbbb1123bf9p-12, 0x1.30ba5ffa37534p-12, 0x1.26c27a9586cf2p-12, 0x1.1d122e30c9239p-12, 0x1.13a79ec9cb225p-12, 0x1.0a80f6e211e78p-12, 0x1.019c6b9eda2c3p-12, 0x1.f1f07c406c114p-13, 0x1.e12574ca0cabdp-13, 0x1.d0d46a95f5a33p-13, 0x1.c0fa1731d0ff5p-13, 0x1.b19346cc75872p-13, 0x1.a29cdfd05fedbp-13, 0x1.9413ecc2e11f3p-13, 0x1.85f5a45cf77d3p-13, 0x1.783f6c030c089p-13, 0x1.6aeed29e79cd4p-13, 0x1.5e0184991416fp-13, 0x1.51753c752dd8cp-13, 0x1.4547b4e7dae83p-13, 0x1.3976a0f585fcbp-13, 0x1.2dffac4c517a8p-13, 0x1.22e082fc92ddbp-13, 0x1.1816dcbb967cp-13, 0x1.0da08665f2eb6p-13, 0x1.037b650e1a3b3p-13, 0x1.f34ae13ec2736p-14, 0x1.e0394fed88e25p-14, 0x1.cdbe07367f455p-14, 0x1.bbd4da8346079p-14, 0x1.aa7980a9fdb7bp-14, 0x1.99a7a7ae9c607p-14, 0x1.895b140a6b918p-14, 0x1.798fc01f766acp-14, 0x1.6a41f0e408923p-14, 0x1.5b6e3ab8f02b2p-14, 0x1.4d117059e5d76p-14, 0x1.3f28918aa5c49p-14, 0x1.31b0a9ccee7b2p-14, 0x1.24a6c3b1bdda3p-14, 0x1.1807e2b5537f9p-14, 0x1.0bd10bbddadeep-14, 0x1.fffeac1ae0addp-15, 0x1.e91ffc6270c3dp-15, 0x1.d300e757a95cdp-15, 0x1.bd9cb55a1890dp-15, 0x1.a8eefc2428831p-15, 0x1.94f367f2bfe95p-15, 0x1.81a57b6d4c358p-15, 0x1.6f00625948bb3p-15, 0x1.5cfee9fe5c51dp-15, 0x1.4b9ba4db5159cp-15, 0x1.3ad127e7548e7p-15, 0x1.2a9a487f1dbd9p-15, 0x1.1af245c325415p-15, 0x1.0bd4d4d836a17p-15, 0x1.fa7c21f78e3abp-16, 0x1.de54b4a74f096p-16, 0x1.c32c5ae629d9p-16, 0x1.a8fc27f1eccc5p-16, 0x1.8fbd012893615p-16, 0x1.7767d98bb0e0ep-16, 0x1.5ff5a9cfbdf85p-16, 0x1.495f9458bc68bp-16, 0x1.339f029f5bbfp-16, 0x1.1eadc459928p-16, 0x1.0a86248287113p-16, 0x1.ee45c6528e0ebp-17, 0x1.c8fe11d73612dp-17, 0x1.a52b37f3ad53fp-17, 0x1.82c2a7b780e14p-17, 0x1.61b8e4faa60c3p-17, 0x1.4201b37ebc6ebp-17, 0x1.2390a2238cfb2p-17, 0x1.0659a04364549p-17, 0x1.d4a29d2c07e74p-18, 0x1.9eda0999475a8p-18, 0x1.6b457f3159912p-18, 0x1.39d23ad8c85c6p-18, 0x1.0a6ec0db61cabp-18, 0x1.ba157b65f18d7p-19, 0x1.632d8984bb515p-19, 0x1.1008172ac49a3p-19, 0x1.8110d67dac20dp-20, 0x1.d249d6d36d54bp-21, 0x1.6056c1723fb07p-22, -0x1.928ff26f7e4a2p-23, -0x1.6c8bc1846bac9p-21, -0x1.33f903eb97b6ap-20, -0x1.ab9e34e4e0823p-20, -0x1.0eb3cdfb022p-19, -0x1.44c2f55d677ebp-19, -0x1.78141c596d03cp-19, -0x1.a8be81df4aaf5p-19, -0x1.d6d9afab18b12p-19, -0x1.013eaf592957bp-18, -0x1.15e040a0b9da6p-18, -0x1.295c36b0f8d6ap-18, -0x1.3bbcabe91688fp-18, -0x1.4d0beba27bf4p-18, -0x1.5d54ca81e3b25p-18, -0x1.6ca1fed30cbbap-18, -0x1.7afd13703539bp-18, -0x1.886e11ba5d433p-18, -0x1.94fc3e1cb1fap-18, -0x1.a0af44e046382p-18, -0x1.ab8fe85419938p-18, -0x1.b5a7ab3bbe3b4p-18, -0x1.beffbbeedf28cp-18, -0x1.c7a007a49a8a9p-18, -0x1.cf8f3ab3d45ep-18, -0x1.d6d39034f9b3p-18, -0x1.dd739cf820485p-18, -0x1.e376678b07e76p-18, -0x1.e8e2d71af4b83p-18, -0x1.edbf017523302p-18, -0x1.f20fda4da176p-18, -0x1.f5d9755bbe2f8p-18, -0x1.f91fb61a14308p-18, -0x1.fbe7027011436p-18, -0x1.fe347836c2b3ap-18, -0x1.0006c2b92396ep-17, -0x1.00bbbdf418106p-17, -0x1.013bede28a98dp-17, -0x1.018a7ab988879p-17, -0x1.01aab63b2f193p-17, -0x1.019f3b14bfd0ap-17, -0x1.01693a0e150f4p-17, -0x1.0108e3d942178p-17, -0x1.007e9c7a1eeaep-17, -0x1.ff97c4a68f397p-18, -0x1.fde666e41b0e7p-18, -0x1.fbee63d0b3d03p-18, -0x1.f9b3ce09c5ebcp-18, -0x1.f73984303264dp-18, -0x1.f4823a4f975d4p-18, -0x1.f19148a6b1d78p-18, -0x1.ee6acde1adc04p-18, -0x1.eb132bbfe81e5p-18, -0x1.e78e7e6cd87dbp-18, -0x1.e3e077ad4adcp-18, -0x1.e00c078e2988bp-18, -0x1.dc1350196bb38p-18, -0x1.d7f7c07996203p-18, -0x1.d3ba6f9c3ef57p-18, -0x1.cf5c9d8804aa6p-18, -0x1.cae000121ffa5p-18, -0x1.c6468466f7d6cp-18, -0x1.c191d45a8b20dp-18, -0x1.bcc3868a66b87p-18, -0x1.b7de1715105fap-18, -0x1.b2e5247a1422p-18, -0x1.addbcce909351p-18, -0x1.a8c2f422ef609p-18, -0x1.a399f20b24814p-18, -0x1.9e60decdb011p-18, -0x1.9919a42da073p-18, -0x1.93c6d4d8a4854p-18, -0x1.8e69f943f97c8p-18, -0x1.890358ee7079cp-18, -0x1.83932b1c7a64bp-18, -0x1.7e1a7ee109db2p-18, -0x1.789b16af729a8p-18, -0x1.7316d5e5827b1p-18, -0x1.6d8f4fd8d754ep-18, -0x1.6805e37cfcba6p-18, -0x1.627bb84bbda13p-18, -0x1.5cf1c4df85a6bp-18, -0x1.5768daf0e6598p-18, -0x1.51e19867e5a6ep-18, -0x1.4c5c658ced4fdp-18, -0x1.46d9b3c934a7p-18, -0x1.4159d1b69e843p-18, -0x1.3bdd66de64c48p-18, -0x1.3665bcb75a4fdp-18, -0x1.30f3c97aa4864p-18, -0x1.2b8885ae418e2p-18, -0x1.26245419f32e9p-18, -0x1.20c7d9ce17918p-18, -0x1.1b743f88fa917p-18, -0x1.162a354b048e4p-18, -0x1.10e9287aba6e8p-18, -0x1.0bb065c735f37p-18, -0x1.0680852e24973p-18, -0x1.015aecd033b73p-18, -0x1.f8809f8289465p-19, -0x1.ee60debf47ecbp-19, -0x1.e4562aa02ec4bp-19, -0x1.da610fe4b7d4dp-19, -0x1.d0826d589000ep-19, -0x1.c6bae6771337cp-19, -0x1.bd0aeea4904cep-19, -0x1.b3731053091cp-19, -0x1.a9f3e1922bbd2p-19, -0x1.a08e0f04bc733p-19, -0x1.974235910aad8p-19, -0x1.8e10d51bc6f97p-19, -0x1.84fa4bb5b00c6p-19, -0x1.7bfed803e9d66p-19, -0x1.731e9d270b46p-19, -0x1.6a59a3488e5bep-19, -0x1.61afdab6c37a7p-19, -0x1.5921335491d6bp-19, -0x1.50adc91f313f7p-19, -0x1.4855f15dc085fp-19, -0x1.4019ef34983eap-19, -0x1.37f986b0ea0c1p-19, -0x1.2ff415f2e48aap-19, -0x1.28098ae79f3b6p-19, -0x1.203adaa9baa0ap-19, -0x1.1888950a416dap-19, -0x1.10f25ff1a3331p-19, -0x1.097885010ae0fp-19, -0x1.021bc56720ea9p-19, -0x1.f5b786fc3c705p-20, -0x1.e76efbd6dff3ep-20, -0x1.d95cf9bce8af9p-20, -0x1.cb823eca1892dp-20, -0x1.bddeb745e3268p-20, -0x1.b0726768f775ep-20, -0x1.a33d49839bc4bp-20, -0x1.963f0a9120c3fp-20, -0x1.8977135d700c2p-20, -0x1.7ce4b5fc6ba05p-20, -0x1.708773812e6b9p-20, -0x1.645f1458df293p-20, -0x1.586b8748822ccp-20, -0x1.4cacb3b7884e6p-20, -0x1.4122632a79c5bp-20, -0x1.35cc4295d4969p-20, -0x1.2aa9ec0c6a7e9p-20, -0x1.1fbaecf12e864p-20, -0x1.14fec625ec423p-20, -0x1.0a74f0aa1d346p-20, -0x1.001cef1ac1e87p-20, -0x1.ebecc36b821cfp-21, -0x1.d801f47d0509fp-21, -0x1.c47889012d67ap-21, -0x1.b14ee9bb8e8cfp-21, -0x1.9e834e629dbafp-21, -0x1.8c1546554c865p-21, -0x1.7a051d491b7fcp-21, -0x1.6851a9174fc83p-21, -0x1.56f9d6adc94f9p-21, -0x1.45fcbe440d46p-21, -0x1.35585d8712ac6p-21, -0x1.250b57a797545p-21, -0x1.15153c1c0d757p-21, -0x1.05759045f32eep-21, -0x1.ec5745b9c7d23p-22, -0x1.ce6d32aa17b98p-22, -0x1.b12abe0235df6p-22, -0x1.948d537b5eb2p-22, -0x1.78926052a9255p-22, -0x1.5d37bdb9c5dbep-22, -0x1.427ba26644e8dp-22, -0x1.285c31905025ap-22, -0x1.0ed73ee2d0d56p-22, -0x1.ebd51e378a0cbp-23, -0x1.bb283f72d2056p-23, -0x1.8ba425fd1c7ccp-23, -0x1.5d44d24acdaedp-23, -0x1.3006ae805469cp-23, -0x1.03e52654ce60ep-23, -0x1.b1b88e2b80684p-24, -0x1.5dd02ba369f13p-24, -0x1.0c09315a9d461p-24, -0x1.78b7f1b0e5b93p-25, -0x1.bb029e580edc8p-26, -0x1.1979c35e2bc4bp-27, 0x1.33023a0bea143p-27, 0x1.b7d548aa3b7cbp-26, 0x1.672ce073ace77p-25, 0x1.ee94c824982fp-25, 0x1.391aba1411349p-24, 0x1.79102046a3409p-24, 0x1.b731d2101e62bp-24, 0x1.f385ed11b1706p-24, 0x1.170927618635bp-23, 0x1.33705ffefdc04p-23, 0x1.4efa6b8a3305ep-23, 0x1.69ad245d322b3p-23, 0x1.838b284826e37p-23, 0x1.9c97e91881c0dp-23, 0x1.b4d6ad47fc9c7p-23, 0x1.cc4a9fe2e384cp-23, 0x1.e2f6e4585eb78p-23, 0x1.f8dede61da1d5p-23, 0x1.0703434238c05p-22, 0x1.113906ce661fdp-22, 0x1.1b125d8ffbd6bp-22, 0x1.2490738e715eep-22, 0x1.2db4cd8a52212p-22, 0x1.36816c5bd4e37p-22, 0x1.3ef7d2ba20913p-22, 0x1.4718e7af95c6dp-22, 0x1.4ee644fecd6ebp-22, 0x1.56610ef368e1dp-22, 0x1.5d8bc0a37f3bbp-22, 0x1.6467eb55f8d0dp-22, 0x1.6af6f23348235p-22, 0x1.713a31652d0e2p-22, 0x1.7732f473a0101p-22, 0x1.7ce286bbbdfe6p-22, 0x1.824a45275fe0dp-22, 0x1.876ba3cd48cb1p-22, 0x1.8c482e44e9bdfp-22, 0x1.90e14a36ba98fp-22, 0x1.95378b7e891bdp-22, 0x1.994beeb6e4366p-22, 0x1.9d2162758efe1p-22, 0x1.a0b96119d98p-22, 0x1.a4139cdaaa293p-22, 0x1.a73135945aa45p-22, 0x1.aa14339c87bddp-22, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.80528029e503bp-3, -0x1.815f654890d7cp-3, -0x1.83157ed70129ap-3, -0x1.8566ffe966fdp-3, -0x1.8842a81b33d0ap-3, -0x1.8b9516b2cd71p-3, -0x1.8f49f4feb3246p-3, -0x1.934ceb249080cp-3, -0x1.978a5f60b67f1p-3, -0x1.9bf004e2083dcp-3, -0x1.a06d40b3d3ce6p-3, -0x1.a4f36ae4071fdp-3, -0x1.a975f17aab42p-3, -0x1.adea6257da0e6p-3, -0x1.b24860b625d9ap-3, -0x1.b6898acb2ea93p-3, -0x1.baa953b6e9b1dp-3, -0x1.bea4d594b7b43p-3, -0x1.c27a9f0c746cdp-3, -0x1.c62a7f3a1e78p-3, -0x1.c9b552318b8b4p-3, -0x1.cd1ccfd3d2225p-3, -0x1.d0635e25edca9p-3, -0x1.d38be7e2b4ceep-3, -0x1.d699b7a108099p-3, -0x1.d990579b57b1p-3, -0x1.dc7375ee88355p-3, -0x1.df46cd019717p-3, -0x1.e20e0fb23e02ep-3, -0x1.e4ccd8d9f2796p-3, -0x1.e7869dbed26abp-3, -0x1.ea3ea30a6dddp-3, -0x1.ecf7f3ea94c6dp-3, -0x1.efb55b0c33ba1p-3, -0x1.f2795d2cbdb18p-3, -0x1.f546350a47304p-3, -0x1.f81dd084e563fp-3, -0x1.fb01ceccb50c6p-3, -0x1.fdf37f7efac29p-3, -0x1.0079f14d1e00ap-2, -0x1.0201d49a7c622p-2, -0x1.03919b72ba977p-2, -0x1.052951e533029p-2, -0x1.06c8df92a3367p-2, -0x1.0870093ba04bfp-2, -0x1.0a1e7288d4ec8p-2, -0x1.0bd3a0055096cp-2, -0x1.0d8ef94331d54p-2, -0x1.0f4fcb22c4bcbp-2, -0x1.11154a343e6e5p-2, -0x1.12de952c4f801p-2, -0x1.14aab76406f2p-2, -0x1.1678ab5cb6c3fp-2, -0x1.18475d4115567p-2, -0x1.1a15ad5d36a2fp-2, -0x1.1be27287a2fc1p-2, -0x1.1dac7c765f168p-2, -0x1.1f7295fb6f2c8p-2, -0x1.2133872506a27p-2, -0x1.22ee173e46cdap-2, -0x1.24a10eae1a252p-2, -0x1.264b38b263577p-2, -0x1.27eb64f64c699p-2, -0x1.298069031bef5p-2, -0x1.2b09218b790e8p-2, -0x1.2c8473917cdbap-2, -0x1.2df14d685141dp-2, -0x1.2f4ea79290726p-2, -0x1.309b857ebd38dp-2, -0x1.31d6f623930bdp-2, -0x1.3300147dfac52p-2, -0x1.341607f2aaf83p-2, -0x1.3518049586c03p-2, -0x1.36054b58e1374p-2, -0x1.36dd2a26d1106p-2, -0x1.379efbe6b53dep-2, -0x1.384a28710488p-2, -0x1.38de247377d5bp-2, -0x1.395a71477df01p-2, -0x1.39be9cbcd3be3p-2, -0x1.3a0a40da01924p-2, -0x1.3a3d03945cb56p-2, -0x1.3a5696810c441p-2, -0x1.3a56b6807446fp-2, -0x1.3a3d2b65417ebp-2, -0x1.3a09c7983c1c1p-2, -0x1.39bc67b9dac4dp-2, -0x1.3954f2427d39bp-2, -0x1.38d357220ed0fp-2, -0x1.38378f5fc201dp-2, -0x1.37819cba6e3abp-2, -0x1.36b1894a0dc88p-2, -0x1.35c76722c088cp-2, -0x1.34c34ff9a36fdp-2, -0x1.33a564cbb8b4dp-2, -0x1.326dcd871487ap-2, -0x1.311cb8b66d8c8p-2, -0x1.2fb25b2f26a8bp-2, -0x1.2e2eefc1dcaebp-2, -0x1.2c92b6ed7da24p-2, -0x1.2addf694dd435p-2, -0x1.2910f9b6c3cb5p-2, -0x1.272c10286150cp-2, -0x1.252f8e521124ap-2, -0x1.231bccee5c034p-2, -0x1.20f128cb1b2fbp-2, -0x1.1eb0028ca2f85p-2, -0x1.1c58be72de35ep-2, -0x1.19ebc4203a39cp-2, -0x1.17697e6250b23p-2, -0x1.14d25afc2e184p-2, -0x1.1226ca7226238p-2, -0x1.0f673fd715b81p-2, -0x1.0c94309b08314p-2, -0x1.09ae145b24c4dp-2, -0x1.06b564b2d73c4p-2, -0x1.03aa9d0e21fe2p-2, -0x1.008e3a7d133d2p-2, -0x1.fac1771089599p-3, -0x1.f445400cd6e77p-3, -0x1.eda8d1e5c59bfp-3, -0x1.e6ed308a6f0fap-3, -0x1.e013619341ee9p-3, -0x1.d91c6bf4edb1dp-3, -0x1.d20957b517beap-3, -0x1.cadb2da104237p-3, -0x1.c392f7060c212p-3, -0x1.bc31bd6bfce22p-3, -0x1.b4b88a515adccp-3, -0x1.ad2866e982d59p-3, -0x1.a5825bdcc1239p-3, -0x1.9dc7710a566afp-3, -0x1.95f8ad4c71b79p-3, -0x1.8e17163e31903p-3, -0x1.8623b003a173dp-3, -0x1.7e1f7d13c8dcdp-3, -0x1.760b7e04ccac1p-3, -0x1.6de8b15a20582p-3, -0x1.65b81354de9fbp-3, -0x1.5d7a9dc63f329p-3, -0x1.553147e42bf31p-3, -0x1.4cdd062006878p-3, -0x1.447ec9ff90288p-3, -0x1.3c1781f805436p-3, -0x1.33a8194b56128p-3, -0x1.2b3177e7976fbp-3, -0x1.22b482488c368p-3, -0x1.1a32195b5ef63p-3, -0x1.11ab1a6474336p-3, -0x1.09205ee75458ap-3, -0x1.0092bc90af176p-3, -0x1.f0060a44d28cap-4, -0x1.dee40cc3539a9p-4, -0x1.cdc1140dd2465p-4, -0x1.bc9eab5fc7678p-4, -0x1.ab7e55a7018a8p-4, -0x1.9a618d6f0e519p-4, -0x1.8949c4d044b4bp-4, -0x1.7838656251dd2p-4, -0x1.672ed0321ddccp-4, -0x1.562e5dbb0246dp-4, -0x1.45385de32464cp-4, -0x1.344e17fad8a43p-4, -0x1.2370cabef4807p-4, -0x1.12a1ac5de860bp-4, -0x1.01e1ea7f87bbap-4, -0x1.e265549eb1992p-5, -0x1.c12a1112a3a1cp-5, -0x1.a0143311b3dd4p-5, -0x1.7f25d2b3ee275p-5, -0x1.5e60f798fd279p-5, -0x1.3dc79912607e5p-5, -0x1.1d5b9e51258ep-5, -0x1.fa3dbd2de8285p-6, -0x1.ba2642d43ed1ap-6, -0x1.7a743d9912bf3p-6, -0x1.3b2afeea2b664p-6, -0x1.f89b742dbbfe8p-7, -0x1.7bbf0997a4eb1p-7, -0x1.ff8d5e4a19a17p-8, -0x1.0970395088101p-8, -0x1.531a37cc6ee82p-12, 0x1.ba47a480d2d7fp-9, 0x1.cd8603166c96ap-8, 0x1.5df59a1241719p-7, 0x1.d425092210cdbp-7, 0x1.24a66bf3cb001p-6, 0x1.5eb46098e2024p-6, 0x1.983a582949c68p-6, 0x1.d1365ffff85adp-6, 0x1.04d34e4d4328ap-5, 0x1.20c4a4852cdf5p-5, 0x1.3c6e5b334a125p-5, 0x1.57cfa59f78dc6p-5, 0x1.72e7c187f46dp-5, 0x1.8db5f6dc16cb5p-5, 0x1.a8399777e5f67p-5, 0x1.c271fee088e3cp-5, 0x1.dc5e9201b5f1bp-5, 0x1.f5febeec2b596p-5, 0x1.07a8fe4aa43e9p-4, 0x1.142be54be8f72p-4, 0x1.2087d87afaa2fp-4, 0x1.2cbc9fee4696p-4, 0x1.38ca07b3dfca6p-4, 0x1.44afdfb47b748p-4, 0x1.506dfb971ca21p-4, 0x1.5c0432a5799f6p-4, 0x1.67725fb117435p-4, 0x1.72b860f91c127p-4, 0x1.7dd61810e2f61p-4, 0x1.88cb69c74461cp-4, 0x1.93983e0ea2647p-4, 0x1.9e3c7fe5a9ecep-4, 0x1.a8b81d40d591dp-4, 0x1.b30b06f4a74f2p-4, 0x1.bd3530a09c63bp-4, 0x1.c736909ad5264p-4, 0x1.d10f1fdc74b1cp-4, 0x1.dabed9eeaebacp-4, 0x1.e445bcd888d5cp-4, 0x1.eda3c90d3bd44p-4, 0x1.f6d9015b515e5p-4, 0x1.ffe56adc4e48fp-4, 0x1.0464867289f0fp-3, 0x1.08c1f87b61b5p-3, 0x1.0d0b115828bdfp-3, 0x1.113fd7e04eb1ap-3, 0x1.156053ec8e1d2p-3, 0x1.196c8e50869ffp-3, 0x1.1d6490d49ad15p-3, 0x1.214866300ad7fp-3, 0x1.25181a0351da2p-3, 0x1.28d3b8d2b835fp-3, 0x1.2c7b5001250dbp-3, 0x1.300eedcb1f53fp-3, 0x1.338ea14209c76p-3, 0x1.36fa7a4789264p-3, 0x1.3a5289891f29cp-3, 0x1.3d96e07beed7cp-3, 0x1.40c79158ab0ep-3, 0x1.43e4af17ae64ap-3, 0x1.46ee4d6d355ep-3, 0x1.49e480c5c10dfp-3, 0x1.4cc75e4294237p-3, 0x1.4f96fbb653222p-3, 0x1.52536fa1bfdfep-3, 0x1.54fcd1308f664p-3, 0x1.579338365b185p-3, 0x1.5a16bd2ba36fdp-3, 0x1.5c87792aea7abp-3, 0x1.5ee585ede455ep-3, 0x1.6130fdcaaeb14p-3, 0x1.6369fbb1255b2p-3, 0x1.65909b28388d6p-3, 0x1.67a4f84b5857dp-3, 0x1.69a72fc7e5507p-3, 0x1.6b975edaacb43p-3, 0x1.6d75a34d6f155p-3, 0x1.6f421b7467eaap-3, 0x1.70fce62bdecc6p-3, 0x1.72a622d5bd16dp-3, 0x1.743df1572711p-3, 0x1.75c472161351fp-3, 0x1.7739c5f6e76c6p-3, 0x1.789e0e5a181fap-3, 0x1.79f16d19be187p-3, 0x1.7b3404873a881p-3, 0x1.7c65f768c77f2p-3, 0x1.7d8768f713b8dp-3, 0x1.7e987cdad75bdp-3, 0x1.7f99572a5ff02p-3, 0x1.808a1c671fd8fp-3, 0x1.816af17b35e48p-3, 0x1.823bfbb6f3193p-3, 0x1.82fd60ce527p-3, 0x1.83af46d67a3bbp-3, 0x1.8451d4432b179p-3, 0x1.84e52fe42fb7p-3, 0x1.856980e2c3e97p-3, 0x1.85deeebef9dc2p-3, 0x1.8645a14d13ec1p-3, 0x1.869dc0b2dcb63p-3, 0x1.86e77564f65b2p-3, 0x1.8722e82429c38p-3, 0x1.875041faa7d12p-3, 0x1.876fac394b714p-3, 0x1.87815074d4a58p-3, 0x1.878558831d64ap-3, 0x1.877bee784bd7dp-3, 0x1.87653ca3fbcb8p-3, 0x1.87416d8e67401p-3, 0x1.8710abf589b2cp-3, 0x1.86d322ca3fe1cp-3, 0x1.8688fd2d632b1p-3, 0x1.8632666ce165fp-3, 0x1.85cf8a00d4bccp-3, 0x1.85609388963fbp-3, 0x1.84e5aec7cdd3bp-3, 0x1.845f07a383e41p-3, 0x1.83ccca1f2f8f5p-3, 0x1.832f2259c14efp-3, 0x1.82863c8ab58a4p-3, 0x1.81d244ff19f76p-3, 0x1.81136816a10efp-3, 0x1.8049d240abd31p-3, 0x1.7f75aff95c61fp-3, 0x1.7e972dc6a2604p-3, 0x1.7dae783551f1cp-3, 0x1.7cbbbbd6380e1p-3, 0x1.7bbf253b30989p-3, 0x1.7ab8e0f44543p-3, 0x1.79a91b8ccaaebp-3, 0x1.789001888658cp-3, 0x1.776dbf60d3a62p-3, 0x1.76428181d37c9p-3, 0x1.750e74479e802p-3, 0x1.73d1c3fb7bb61p-3, 0x1.728c9cd121b63p-3, 0x1.713f2ae3f99e1p-3, 0x1.6fe99a346bb21p-3, 0x1.6e8c16a535aa7p-3, 0x1.6d26cbf8c1e23p-3, 0x1.6bb9e5ce8c989p-3, 0x1.6a458fa08f5b3p-3, 0x1.68c9f4c0b45ap-3, 0x1.67474056544a5p-3, 0x1.65bd9d5bbfb89p-3, 0x1.642d369bc7792p-3, 0x1.629636af5dba3p-3, 0x1.60f8c7fb37f69p-3, 0x1.5f5514ad79b4ap-3, 0x1.5dab46bb74618p-3, 0x1.5bfb87df6569ap-3, 0x1.5a46019646ca6p-3, 0x1.588add1dabf42p-3, 0x1.56ca4371a5b5cp-3, 0x1.55045d4ab1976p-3, 0x1.5339531bbc8f3p-3, 0x1.51694d102778dp-3, 0x1.4f947309e0a86p-3, 0x1.4dbaec9f81031p-3, 0x1.4bdce11a7ff5cp-3, 0x1.49fa77756a0f8p-3, 0x1.4813d65a2a14dp-3, 0x1.462924205d821p-3, 0x1.443a86cbb63fcp-3, 0x1.4248240a66e4ep-3, 0x1.405221339ececp-3, 0x1.3e58a346160d7p-3, 0x1.3c5bcee69a324p-3, 0x1.3a5bc85eb905cp-3, 0x1.3858b39b6a5cap-3, 0x1.3652b42bcfea5p-3, 0x1.3449ed3ffc1cep-3, 0x1.323e81a7cb71cp-3, 0x1.303093d1c4d3dp-3, 0x1.2e2045ca0d53ap-3, 0x1.2c0db93963c9fp-3, 0x1.29f90f642d311p-3, 0x1.27e2692989c9ap-3, 0x1.25c9e7027bd76p-3, 0x1.23afa90118eb9p-3, 0x1.2193cecfc4dcdp-3, 0x1.1f7677b08018dp-3, 0x1.1d57c27c3a5bap-3, 0x1.1b37cda237e06p-3, 0x1.1916b72783c2dp-3, 0x1.16f49ca665057p-3, 0x1.14d19b4deb564p-3, 0x1.12adcfe1803adp-3, 0x1.108956b889d27p-3, 0x1.0e644bbe0e7aep-3, 0x1.0c3eca7071f66p-3, 0x1.0a18ede135359p-3, 0x1.07f2d0b4c0af5p-3, 0x1.05cc8d223f6fap-3, 0x1.03a63cf37e8b9p-3, 0x1.017ff984de2d3p-3, 0x1.feb3b78a8e0bbp-4, 0x1.fa67f86c581fep-4, 0x1.f61ce5d73306bp-4, 0x1.f1d2af18905ecp-4, 0x1.ed8982a37c0c8p-4, 0x1.e9418e10f4308p-4, 0x1.e4fafe2049e93p-4, 0x1.e0b5feb79730bp-4, 0x1.dc72bae456286p-4, 0x1.d8315cdbedd51p-4, 0x1.d3f20dfc67526p-4, 0x1.cfb4f6cd2bd1bp-4, 0x1.cb7a3effd26ep-4, 0x1.c7420d70fdd59p-4, 0x1.c30c88294d4cep-4, 0x1.bed9d45e58408p-4, 0x1.baaa1673b9ab8p-4, 0x1.b67d71fc2b53bp-4, 0x1.b25409bab7e3fp-4, 0x1.ae2dffa3def41p-4, 0x1.aa0b74deea52cp-4, 0x1.a5ec89c736fecp-4, 0x1.a1d15ded933c9p-4, 0x1.9dba1019a3b58p-4, 0x1.99a6be4b5db32p-4, 0x1.959785bc8809ep-4, 0x1.918c82e23cb82p-4, 0x1.8d85d16e889a1p-4, 0x1.89838c520441ap-4, 0x1.8585cdbd7d845p-4, 0x1.818caf23ab106p-4, 0x1.7d98493ae70b8p-4, 0x1.79a8b3fef222ep-4, 0x1.75be06b2bf94bp-4, 0x1.71d857e247e83p-4, 0x1.6df7bd6464184p-4, 0x1.6a1c4c5caee5ap-4, 0x1.6646193d6ef57p-4, 0x1.627537c981d08p-4, 0x1.5ea9bb1654c8ap-4, 0x1.5ae3b58ddebf5p-4, 0x1.572338f09a45fp-4, 0x1.53685657920a7p-4, 0x1.4fb31e3662884p-4, 0x1.4c03a05d4e051p-4, 0x1.4859ebfb4a38ap-4, 0x1.44b60fa013682p-4, 0x1.4118193e48d52p-4, 0x1.3d80162d870f4p-4, 0x1.39ee132c8652bp-4, 0x1.36621c63377d6p-4, 0x1.32dc3d64ebed5p-4, 0x1.2f5c81327681ep-4, 0x1.2be2f23c5379dp-4, 0x1.286f9a64cf15cp-4, 0x1.250283022f38dp-4, 0x1.219bb4e0dabf2p-4, 0x1.1e3b384586cfdp-4, 0x1.1ae114ef5adc9p-4, 0x1.178d521a2177ep-4, 0x1.143ff6806f521p-4, 0x1.10f9085dcbf84p-4, 0x1.0db88d70db47ep-4, 0x1.0a7e8afd86e17p-4, 0x1.074b05cf23ea8p-4, 0x1.041e023a98fbep-4, 0x1.00f7842081f3fp-4, 0x1.fbaf1ddea682ep-5, 0x1.f57c4b4af461dp-5, 0x1.ef5695a6f857dp-5, 0x1.e93e013c2540dp-5, 0x1.e332918086c74p-5, 0x1.dd34491af7ca8p-5, 0x1.d74329e74511bp-5, 0x1.d15f34fa5274cp-5, 0x1.cb886aa63a0a3p-5, 0x1.c5beca7e633dcp-5, 0x1.c002535b8d959p-5, 0x1.ba53035fe1199p-5, 0x1.b4b0d7faee8abp-5, 0x1.af1bcdeda783p-5, 0x1.a993e14e525cbp-5, 0x1.a4190d8c78d1fp-5, 0x1.9eab4d74c4ab7p-5, 0x1.994a9b34dee5p-5, 0x1.93f6f05f4281dp-5, 0x1.8eb045eefd152p-5, 0x1.8976944b7f202p-5, 0x1.8449d34c40745p-5, 0x1.7f29fa3c7cddbp-5, 0x1.7a16ffdecf055p-5, 0x1.7510da70d203ap-5, 0x1.70177faeacc82p-5, 0x1.6b2ae4d69d26dp-5, 0x1.664afeac725c9p-5, 0x1.6177c17d040ecp-5, 0x1.5cb12121915d7p-5, 0x1.57f711032e634p-5, 0x1.5349841e0a4cdp-5, 0x1.4ea86d04c0b27p-5, 0x1.4a13bde395d5bp-5, 0x1.458b6883a95edp-5, 0x1.410f5e4e25efep-5, 0x1.3c9f904f55f9ap-5, 0x1.383bef39c4e23p-5, 0x1.33e46b6936ffdp-5, 0x1.2f98f4e5baeap-5, 0x1.2b597b668cb2dp-5, 0x1.2725ee5507e6cp-5, 0x1.22fe3ccf7f2a1p-5, 0x1.1ee255ac13213p-5, 0x1.1ad2277b7659ep-5, 0x1.16cda08ba80dcp-5, 0x1.12d4aeeaab611p-5, 0x1.0ee740692a928p-5, 0x1.0b05429d0ccccp-5, 0x1.072ea2e410e4cp-5, 0x1.03634e664813fp-5, 0x1.ff4664312e0ddp-6, 0x1.f7dc757e4b5f3p-6, 0x1.f088a9df78e13p-6, 0x1.e94ada284d20fp-6, 0x1.e222ded8f6ae9p-6, 0x1.db109022cad3dp-6, 0x1.d413c5ecb3386p-6, 0x1.cd2c57d78f8f2p-6, 0x1.c65a1d427d3a5p-6, 0x1.bf9ced4f04328p-6, 0x1.b8f49ee546097p-6, 0x1.b26108b7f555fp-6, 0x1.abe201484f3c3p-6, 0x1.a5775eea084b3p-6, 0x1.9f20f7c707643p-6, 0x1.98dea1e326f78p-6, 0x1.92b0331fd9671p-6, 0x1.8c95813fb4144p-6, 0x1.868e61e9f1476p-6, 0x1.809aaaadcf9cap-6, 0x1.7aba3105fa965p-6, 0x1.74ecca5bacd15p-6, 0x1.6f324c0a00aa8p-6, 0x1.698a8b60fa85fp-6, 0x1.63f55da88e296p-6, 0x1.5e729823a84f4p-6, 0x1.59021012fdd1ap-6, 0x1.53a39ab7eff21p-6, 0x1.4e570d573f5eap-6, 0x1.491c3d3bc85d6p-6, 0x1.43f2ffb916db6p-6, 0x1.3edb2a2dff68bp-6, 0x1.39d4920701515p-6, 0x1.34df0cc0d1865p-6, 0x1.2ffa6fea9c582p-6, 0x1.2b2691285a308p-6, 0x1.266346350babap-6, 0x1.21b064e4d6baep-6, 0x1.1d0dc3272fbep-6, 0x1.187b3708d863ap-6, 0x1.13f896b5ddd5ap-6, 0x1.0f85b87b8ba34p-6, 0x1.0b2272ca3ac7dp-6, 0x1.06ce9c372f789p-6, 0x1.028a0b7e4c059p-6, 0x1.fca92f079b295p-7, 0x1.f45c2eabc722p-7, 0x1.ec2cc45ca350dp-7, 0x1.e41a9ee7e9de4p-7, 0x1.dc256d7873105p-7, 0x1.d44cdf991288bp-7, 0x1.cc90a537704a2p-7, 0x1.c4f06ea692ecep-7, 0x1.bd6beca181c16p-7, 0x1.b602d04db2defp-7, 0x1.aeb4cb3d6df11p-7, 0x1.a7818f721f891p-7, 0x1.a068cf5e6febap-7, 0x1.996a3de87062dp-7, 0x1.92858e6b947d5p-7, 0x1.8bba74baa2dc7p-7, 0x1.8508a52193b59p-7, 0x1.7e6fd46746841p-7, 0x1.77efb7cf3922fp-7, 0x1.7188051b1345ep-7, 0x1.6b38728c3e9ccp-7, 0x1.6500b6e5497bfp-7, 0x1.5ee0896b4c55fp-7, 0x1.58d7a1e742897p-7, 0x1.52e5b8a72273p-7, 0x1.4d0a867f23ef9p-7, 0x1.4745c4cac495ep-7, 0x1.41972d6ddb46fp-7, 0x1.3bfe7ad57d04ap-7, 0x1.367b67f8ea826p-7, 0x1.310db05a5ceb3p-7, 0x1.2bb51007d35b9p-7, 0x1.2671439bb95f8p-7, 0x1.2142083d99af5p-7, 0x1.1c271ba2aac83p-7, 0x1.17203c0e6029fp-7, 0x1.122d2852daa6p-7, 0x1.0d4d9fd153e59p-7, 0x1.0881627a93393p-7, 0x1.03c830cf24344p-7, 0x1.fe4397bf5dd5cp-8, 0x1.f51bea9a4ace7p-8, 0x1.ec18de9200ebep-8, 0x1.e339f92a9c927p-8, 0x1.da7ec109a7171p-8, 0x1.d1e6bdf64650fp-8, 0x1.c97178d8f24a4p-8, 0x1.c11e7bbbb3bd1p-8, 0x1.b8ed51c9d1e29p-8, 0x1.b0dd874fa251p-8, 0x1.a8eea9ba18acfp-8, 0x1.a1204796abeb9p-8, 0x1.9971f09291929p-8, 0x1.91e3357a6d7fcp-8, 0x1.8a73a839b1783p-8, 0x1.8322dbd9d9d01p-8, 0x1.7bf06481d17bp-8, 0x1.74dbd77532a4ep-8, 0x1.6de4cb134b563p-8, 0x1.670ad6d657dbfp-8, 0x1.604d935297bf2p-8, 0x1.59ac9a351825ep-8, 0x1.53278642ee82bp-8, 0x1.4cbdf357ea784p-8, 0x1.466f7e656dbcdp-8, 0x1.403bc5716dee2p-8, 0x1.3a22679500757p-8, 0x1.342304fb201efp-8, 0x1.2e3d3edf6d10ap-8, 0x1.2870b78cb15c3p-8, 0x1.22bd125ba76f5p-8, 0x1.1d21f3b13f98dp-8, 0x1.179f00fd751bdp-8, 0x1.1233e0b99f3f1p-8, 0x1.0ce03a66e85d1p-8, 0x1.07a3b68ce8228p-8, 0x1.027dfeb7a976dp-8, 0x1.fadd7aecf2bbdp-9, 0x1.f0eb3cb3fc17bp-9, 0x1.e7249be50777ep-9, 0x1.dd88f39d0045fp-9, 0x1.d417a0f11e1b2p-9, 0x1.cad002ebe573bp-9, 0x1.c1b17a89220bdp-9, 0x1.b8bb6ab2e4326p-9, 0x1.afed383d3d395p-9, 0x1.a74649e335768p-9, 0x1.9ec60842a9eb4p-9, 0x1.966bddd8f2e4bp-9, 0x1.8e3736fea60ddp-9, 0x1.862781e45a55ep-9, 0x1.7e3c2e8e9b8c8p-9, 0x1.7674aed1eee0ep-9, 0x1.6ed0764f93f7bp-9, 0x1.674efa70ca03bp-9, 0x1.5fefb263c5362p-9, 0x1.58b2171737f4fp-9, 0x1.5195a336b82ep-9, 0x1.4a99d326bad4ap-9, 0x1.43be2500d52d9p-9, 0x1.3d02188f52678p-9, 0x1.36652f49e18d4p-9, 0x1.2fe6ec5139313p-9, 0x1.2986d46b2fa0ep-9, 0x1.23446dff08033p-9, 0x1.1d1f41110c721p-9, 0x1.1716d73f10035p-9, 0x1.112abbbc2aa98p-9, 0x1.0b5a7b4cf05d7p-9, 0x1.05a5a4433e727p-9, 0x1.000bc67a9a281p-9, 0x1.f518e6a83327cp-10, 0x1.ea4e7b64a7b9bp-10, 0x1.dfb773eb4e0fap-10, 0x1.d552fbf08d327p-10, 0x1.cb2042140d513p-10, 0x1.c11e77d9f1deap-10, 0x1.b74cd1a207029p-10, 0x1.adaa86a097835p-10, 0x1.a436d0d6f3dd7p-10, 0x1.9af0ed0a9a155p-10, 0x1.91d81abef92fbp-10, 0x1.88eb9c2c815e2p-10, 0x1.802ab63a2cec2p-10, 0x1.7794b074d7596p-10, 0x1.6f28d50877775p-10, 0x1.66e670b876177p-10, 0x1.5eccd2d7d3304p-10, 0x1.56db4d4203a72p-10, 0x1.4f1134539d91p-10, 0x1.476ddee2bd839p-10, 0x1.3ff0a6380ce85p-10, 0x1.3898e606d51d2p-10, 0x1.3165fc66cbef9p-10, 0x1.2a5749cbceebbp-10, 0x1.236c30ff54a4bp-10, 0x1.1ca417198aac3p-10, 0x1.15fe6379558f6p-10, 0x1.0f7a7fbe9fecap-10, 0x1.0917d7c258304p-10, 0x1.02d5d98fd02fbp-10, 0x1.f967eabd16e3dp-11, 0x1.ed633b141f8b4p-11, 0x1.e19c8d1973125p-11, 0x1.d612cdef65bdfp-11, 0x1.cac4eeda57978p-11, 0x1.bfb1e532a84cfp-11, 0x1.b4d8aa5824b18p-11, 0x1.aa383ba40ea82p-11, 0x1.9fcf9a5dd0edcp-11, 0x1.959dcbaca3b5ap-11, 0x1.8ba1d88bdbcb9p-11, 0x1.81dacdbdce7ebp-11, 0x1.7847bbc04dccdp-11, 0x1.6ee7b6be6cbf3p-11, 0x1.65b9d68705c71p-11, 0x1.5cbd367dd46abp-11, 0x1.53f0f59116665p-11, 0x1.4b54362d7e415p-11, 0x1.42e61e31fce88p-11, 0x1.3aa5d6e3c1191p-11, 0x1.32928ce46985ap-11, 0x1.2aab7023e8b99p-11, 0x1.22efb3d785f4bp-11, 0x1.1b5e8e6d2f338p-11, 0x1.13f739815cbd1p-11, 0x1.0cb8f1d2bd042p-11, 0x1.05a2f7391b2ap-11, 0x1.fd6919319a58fp-12, 0x1.efd9efb2ccc98p-12, 0x1.e29703b3fbc2cp-12, 0x1.d59eeccfa6519p-12, 0x1.c8f0486731512p-12, 0x1.bc89b98c6175p-12, 0x1.b069e8f07a88bp-12, 0x1.a48f84ce9627p-12, 0x1.98f940d69c935p-12, 0x1.8da5d61c742fp-12, 0x1.82940301fbde5p-12, 0x1.77c28b25e392cp-12, 0x1.6d30374e16d36p-12, 0x1.62dbd55937049p-12, 0x1.58c43827d74bdp-12, 0x1.4ee8378c6b6cdp-12, 0x1.4546b0388a8d6p-12, 0x1.3bde83abee7adp-12, 0x1.32ae9820fe3b9p-12, 0x1.29b5d87ceee93p-12, 0x1.20f3343dc4f52p-12, 0x1.18659f69304d2p-12, 0x1.100c127cd056ap-12, 0x1.07e58a5bb5bf2p-12, 0x1.ffe2107db0037p-13, 0x1.f05b234aa28d8p-13, 0x1.e134608786e25p-13, 0x1.d26be3e8394b9p-13, 0x1.c3ffd14cc6916p-13, 0x1.b5ee54a2d8b8ap-13, 0x1.a835a1c654972p-13, 0x1.9ad3f46436f6cp-13, 0x1.8dc78fd97367fp-13, 0x1.810ebf1b14df1p-13, 0x1.74a7d4947d194p-13, 0x1.68912a0ccec56p-13, 0x1.5cc92088deaaap-13, 0x1.514e20322206ep-13, 0x1.461e98386d44cp-13, 0x1.3b38feb77a107p-13, 0x1.309bd09d44b2dp-13, 0x1.2645918d721d4p-13, 0x1.1c34cbc74bfd9p-13, 0x1.1268100e1e9b3p-13, 0x1.08ddf58d698cfp-13, 0x1.ff2a3381d0092p-14, 0x1.ed1840b4a2e03p-14, 0x1.db836654d6f79p-14, 0x1.ca69041043bfdp-14, 0x1.b9c68571fe873p-14, 0x1.a99961b236d2fp-14, 0x1.99df1b86d31ep-14, 0x1.8a9540f921b0cp-14, 0x1.7bb96b345ff72p-14, 0x1.6d493e5db8f54p-14, 0x1.5f426963da789p-14, 0x1.51a2a5d65f1c1p-14, 0x1.4467b7b852dafp-14, 0x1.378f6d5b10afdp-14, 0x1.2b179f2f884ccp-14, 0x1.1efe2f9dd751fp-14, 0x1.13410ae068514p-14, 0x1.07de26d999bd7p-14, 0x1.f9a705d6266dbp-15, 0x1.e43e4fa04beeap-15, 0x1.cf7e4ef38f389p-15, 0x1.bb6339caf4914p-15, 0x1.a7e957f51e96dp-15, 0x1.950d02c873729p-15, 0x1.82caa4da58853p-15, 0x1.711eb9ba79899p-15, 0x1.6005cdaac5baap-15, 0x1.4f7c7d5c46e1bp-15, 0x1.3f7f75a7b401p-15, 0x1.300b734ccfd28p-15, 0x1.211d42b0cd98bp-15, 0x1.12b1bf9a73ac6p-15, 0x1.04c5d4f288eb6p-15, 0x1.eeacf90a0e76p-16, 0x1.d4c17d88d7d3ep-16, 0x1.bbc36514c122cp-16, 0x1.a3acf9b2e45b5p-16, 0x1.8c78a14575a48p-16, 0x1.7620dd1dde999p-16, 0x1.60a0497b763cbp-16, 0x1.4bf19d21c992cp-16, 0x1.380fa8e2bc146p-16, 0x1.24f5573610394p-16, 0x1.129dabc69a0f2p-16, 0x1.0103c30c03301p-16, 0x1.e045a3b287899p-17, 0x1.bfec49f9ab6f7p-17, 0x1.a0f241a01e837p-17, 0x1.834e81be01ec8p-17, 0x1.66f82eea196a7p-17, 0x1.4be69a8c01648p-17, 0x1.3211421d5b2d6p-17, 0x1.196fce50f7721p-17, 0x1.01fa126da6377p-17, 0x1.d750172754811p-18, 0x1.ace3c008b2ea1p-18, 0x1.849fbcd09ebfep-18, 0x1.5e74fa4833c7fp-18, 0x1.3a54b349b3547p-18, 0x1.18306f894e393p-18, 0x1.eff40451d7fdcp-19, 0x1.b34710c84b34bp-19, 0x1.7a3ed0d0ff2f2p-19, 0x1.44c09fec03e2p-19, 0x1.12b26677370eap-19, 0x1.c7f52e156bfffp-20, 0x1.7100589d9d981p-20, 0x1.20554cd31f7d4p-20, 0x1.ab882324d555dp-21, 0x1.223b5f5a31891p-21, 0x1.48d0b50bfa83fp-22, 0x1.8da8970276553p-24, -0x1.b1b47dbb4615p-24, -0x1.27618aace58e9p-22, -0x1.ce1bdafa601d9p-22, -0x1.30a0979937fe7p-21, -0x1.70b98bb77432p-21, -0x1.a7a7d287c454fp-21, -0x1.d5b8bcd881c68p-21, -0x1.fb37eb691d352p-21, -0x1.0c37ab8e73bd4p-20, -0x1.16d3abfb1b3p-20, -0x1.1d93566effc85p-20, -0x1.20994187d9a65p-20, -0x1.20073ea3801fep-20, -0x1.1bfe5d32c5408p-20, -0x1.149eee717667ep-20, -0x1.0a0888c9580d7p-20, -0x1.f8b41687bfe83p-21, -0x1.d76341526950cp-21, -0x1.b05985e947be3p-21, -0x1.83d07d1df2e81p-21, -0x1.52006aa238165p-21, -0x1.1b20439d7f67p-21, -0x1.becb693fcccd5p-22, }}, 
      {{-0x1.8016152bd0a6bp-3, -0x1.80703c71ac05p-3, -0x1.8104716b7ab7ep-3, -0x1.81cfd362c7065p-3, -0x1.82ceae38ff1b4p-3, -0x1.83fcb3faf16cbp-3, -0x1.855532e8537f1p-3, -0x1.86d344f4a88b8p-3, -0x1.8871f7ce1a59bp-3, -0x1.8a2c6d876caaep-3, -0x1.8bfdf678fd6ecp-3, -0x1.8de225122a83bp-3, -0x1.8fd4dc5633bf6p-3, -0x1.91d259b607618p-3, -0x1.93d73aed82bc3p-3, -0x1.95e08080fdb55p-3, -0x1.97eb8d6f9acf1p-3, -0x1.99f624a5e587dp-3, -0x1.9bfe64b209e34p-3, -0x1.9e02c22f1a8d2p-3, -0x1.a002014f28085p-3, -0x1.a1fb2edd67e1fp-3, -0x1.a3ed9902b18b5p-3, -0x1.a5d8c807db9b2p-3, -0x1.a7bc7744116ap-3, -0x1.a9988e58be43fp-3, -0x1.ab6d1ad24855cp-3, -0x1.ad3a4a3bddb87p-3, -0x1.af0064ad9b7e8p-3, -0x1.b0bfc7d6e478fp-3, -0x1.b278e282af7a9p-3, -0x1.b42c3090ec0d5p-3, -0x1.b5da375e45f6cp-3, -0x1.b7838292a9745p-3, -0x1.b928a14e87922p-3, -0x1.baca23aee8149p-3, -0x1.bc6898a0baaffp-3, -0x1.be048bfc51ceep-3, -0x1.bf9e84e298454p-3, -0x1.c137045625538p-3, -0x1.c2ce840af2739p-3, -0x1.c465756813dbfp-3, -0x1.c5fc40b71da94p-3, -0x1.c793447d96907p-3, -0x1.c92ad4fcd1156p-3, -0x1.cac33bd52a7d4p-3, -0x1.cc5cb7c999992p-3, -0x1.cdf77ca0ccd8ep-3, -0x1.cf93b32135dc7p-3, -0x1.d13179256c2d3p-3, -0x1.d2d0e1c676976p-3, -0x1.d471f599a4225p-3, -0x1.d614b2ff9e831p-3, -0x1.d7b90e82885e8p-3, -0x1.d95ef340fa8f8p-3, -0x1.db064363e5c9dp-3, -0x1.dcaed89d56e88p-3, -0x1.de5884ae4ad48p-3, -0x1.e00311f1da374p-3, -0x1.e1ae43ec15df7p-3, -0x1.e359d7db1a7f8p-3, -0x1.e5058548fa2aep-3, -0x1.e6b0fe9d3e07bp-3, -0x1.e85bf1ace0938p-3, -0x1.ea060847bcff1p-3, -0x1.ebaee8c2a86fdp-3, -0x1.ed56367d59413p-3, -0x1.eefb926399353p-3, -0x1.f09e9b6929868p-3, -0x1.f23eeefff0317p-3, -0x1.f3dc298829d53p-3, -0x1.f575e6ba53a94p-3, -0x1.f70bc20ab787bp-3, -0x1.f89d570678a02p-3, -0x1.fa2a41aa27dcfp-3, -0x1.fbb21eb1ea88dp-3, -0x1.fd348be34931dp-3, -0x1.feb12850cadacp-3, -0x1.0013ca4bc74eep-2, -0x1.00cbb98b8b627p-2, -0x1.01803411bd0fdp-2, -0x1.02310d19240d6p-2, -0x1.02de19012aa23p-2, -0x1.03872d5f61e59p-2, -0x1.042c210ebf40bp-2, -0x1.04cccc3cc161p-2, -0x1.0569087495abbp-2, -0x1.0600b0a868dcbp-2, -0x1.0693a139019a2p-2, -0x1.0721b7fbc749fp-2, -0x1.07aad43f5463dp-2, -0x1.082ed6ceb5ac4p-2, -0x1.08ada1f36e895p-2, -0x1.09271976659ffp-2, -0x1.099b229fcd141p-2, -0x1.0a09a4361f7d5p-2, -0x1.0a72867c50c97p-2, -0x1.0ad5b32f3d2b2p-2, -0x1.0b3315827077bp-2, -0x1.0b8a9a1c578b8p-2, -0x1.0bdc2f11eb1a4p-2, -0x1.0c27c3e1e5f2bp-2, -0x1.0c6d496f8e2fap-2, -0x1.0cacb1fd29174p-2, -0x1.0ce5f1261a88ap-2, -0x1.0d18fbd8c11efp-2, -0x1.0d45c85016144p-2, -0x1.0d6c4e0d193e7p-2, -0x1.0d8c85d013b45p-2, -0x1.0da66991b2de7p-2, -0x1.0db9f47c08b33p-2, -0x1.0dc722e36d9a9p-2, -0x1.0dcdf23f56015p-2, -0x1.0dce61230fbbbp-2, -0x1.0dc86f367b72ap-2, -0x1.0dbc1d2eb7fe9p-2, -0x1.0da96cc6cce07p-2, -0x1.0d9060b84f744p-2, -0x1.0d70fcb40a561p-2, -0x1.0d4b455aa5a87p-2, -0x1.0d1f403554315p-2, -0x1.0cecf3ae89b34p-2, -0x1.0cb4670ab1b74p-2, -0x1.0c75a260f9402p-2, -0x1.0c30ae941c024p-2, -0x1.0be5954b408f9p-2, -0x1.0b9460eae3074p-2, -0x1.0b3d1c8dcac3ap-2, -0x1.0adfd3fe1444p-2, -0x1.0a7c93ae46f54p-2, -0x1.0a1368b27fa7ap-2, -0x1.09a460b9ad0b4p-2, -0x1.092f8a06dea69p-2, -0x1.08b4f36aa796dp-2, -0x1.0834ac3c9a61ep-2, -0x1.07aec454d50edp-2, -0x1.07234c05a8114p-2, -0x1.0692541554148p-2, -0x1.05fbedb7ddc38p-2, -0x1.05602a88ff08ap-2, -0x1.04bf1c862d69ap-2, -0x1.0418d608bcf9fp-2, -0x1.036d69c01f025p-2, -0x1.02bceaac3b0bcp-2, -0x1.02076c17e39f8p-2, -0x1.014d01936ab1dp-2, -0x1.008dbeef4f8e8p-2, -0x1.ff93706e1aa34p-3, -0x1.fe0203580b0b2p-3, -0x1.fc675f81177b2p-3, -0x1.fac3ae261b8cfp-3, -0x1.f91718d2b8c6ap-3, -0x1.f761c95826873p-3, -0x1.f5a3e9c44067p-3, -0x1.f3dda458d6913p-3, -0x1.f20f23833c8ffp-3, -0x1.f03891d4176e9p-3, -0x1.ee5a19f771585p-3, -0x1.ec73e6ad06643p-3, -0x1.ea8622c0d6dd9p-3, -0x1.e890f903f8013p-3, -0x1.e6949445a5d0fp-3, -0x1.e4911f4c91991p-3, -0x1.e286c4d075f34p-3, -0x1.e075af73e1521p-3, -0x1.de5e09be4528bp-3, -0x1.dc3ffe1640023p-3, -0x1.da1bb6bc252a8p-3, -0x1.d7f15dc4c2cc2p-3, -0x1.d5c11d145bf2bp-3, -0x1.d38b1e59eaae9p-3, -0x1.d14f8b0a89cdep-3, -0x1.cf0e8c5d28782p-3, -0x1.ccc84b466c688p-3, -0x1.ca7cf074cab1bp-3, -0x1.c82ca44cd7eb8p-3, -0x1.c5d78ee5cd279p-3, -0x1.c37dd8063f099p-3, -0x1.c11fa72107e34p-3, -0x1.bebd23525f8e5p-3, -0x1.bc56735d272bdp-3, -0x1.b9ebbda85d59cp-3, -0x1.b77d283cc8f1cp-3, -0x1.b50ad8c2c0cf1p-3, -0x1.b294f4802bdf9p-3, -0x1.b01ba056a4643p-3, -0x1.ad9f00c1be60fp-3, -0x1.ab1f39d57bc96p-3, -0x1.a89c6f3ce2fc1p-3, -0x1.a616c438b6aa4p-3, -0x1.a38e5b9e50efp-3, -0x1.a10357d6a357cp-3, -0x1.9e75dadd506f1p-3, -0x1.9be6063fe795ep-3, -0x1.9953fb1d3ec41p-3, -0x1.96bfda24e2471p-3, -0x1.9429c396a7afbp-3, -0x1.9191d74253386p-3, -0x1.8ef8348758706p-3, -0x1.8c5cfa54b2a6ap-3, -0x1.89c04728cfcd7p-3, -0x1.8722391194e04p-3, -0x1.8482edac713ddp-3, -0x1.81e2822687ff9p-3, -0x1.7f41133ce9264p-3, -0x1.7c9ebd3cdf01dp-3, -0x1.79fb9c0442a2cp-3, -0x1.7757cb01e80b3p-3, -0x1.74b3653614eep-3, -0x1.720e8533003a4p-3, -0x1.6f69451d65e15p-3, -0x1.6cc3bead1a9ccp-3, -0x1.6a1e0b2db8564p-3, -0x1.6778437f4384ep-3, -0x1.64d28016e84b2p-3, -0x1.622cd8ffb5d1fp-3, -0x1.5f8765db6513cp-3, -0x1.5ce23de3240cep-3, -0x1.5a3d77e86d3c8p-3, -0x1.57992a55d8fdbp-3, -0x1.54f56b300159p-3, -0x1.525250165d0a1p-3, -0x1.4fafee442c1d6p-3, -0x1.4d0e5a9159ff4p-3, -0x1.4a6da9736cbcep-3, -0x1.47cdeefe7282fp-3, -0x1.452f3ee5ef1c1p-3, -0x1.4291ac7dd23bap-3, -0x1.3ff54abb679f4p-3, -0x1.3d5a2c3649d51p-3, -0x1.3ac063295966fp-3, -0x1.38280173b0818p-3, -0x1.35911899969aep-3, -0x1.32fbb9c5787f8p-3, -0x1.3067f5c8d6b1ep-3, -0x1.2dd5dd1d401afp-3, -0x1.2b457fe53dc65p-3, -0x1.28b6eded4a0d9p-3, -0x1.262a36acbc54dp-3, -0x1.239f6946baef4p-3, -0x1.2116948b27bc3p-3, -0x1.1e8fc6f7893ffp-3, -0x1.1c0b0eb7f822bp-3, -0x1.198879a806865p-3, -0x1.17081553a2f73p-3, -0x1.1489eef800a3ap-3, -0x1.120e138475e66p-3, -0x1.0f948f9b5e55dp-3, -0x1.0d1d6f92f6ab1p-3, -0x1.0aa8bf7638a8fp-3, -0x1.08368b05b5409p-3, -0x1.05c6ddb86a502p-3, -0x1.0359c2bc969f4p-3, -0x1.00ef44f88cfa3p-3, -0x1.fd0ede170cd7ap-4, -0x1.f844969cd210bp-4, -0x1.f37fc7a93b583p-4, -0x1.eec084d99f792p-4, -0x1.ea06e1437274dp-4, -0x1.e552ef75cf933p-4, -0x1.e0a4c17afc6a3p-4, -0x1.dbfc68d9e85ffp-4, -0x1.d759f697afb27p-4, -0x1.d2bd7b390ea9p-4, -0x1.ce2706c3dbdp-4, -0x1.c996a8c077a5ep-4, -0x1.c50c703b3a862p-4, -0x1.c0886bc5dd4d2p-4, -0x1.bc0aa978e5808p-4, -0x1.b79336f4ffe03p-4, -0x1.b3222164690a3p-4, -0x1.aeb7757c4649p-4, -0x1.aa533f7dfcap-4, -0x1.a5f58b3890a36p-4, -0x1.a19e6409edaefp-4, -0x1.9d4dd4e043fbep-4, -0x1.9903e83b4b9eep-4, -0x1.94c0a82d9896cp-4, -0x1.90841e5de0f4ep-4, -0x1.8c4e54084522dp-4, -0x1.881f51ff9367p-4, -0x1.83f720ae8b977p-4, -0x1.7fd5c81920552p-4, -0x1.7bbb4fddb43c4p-4, -0x1.77a7bf3658d5fp-4, -0x1.739b1cfa08442p-4, -0x1.6f956f9ddeec1p-4, -0x1.6b96bd3653b9bp-4, -0x1.679f0b786dbedp-4, -0x1.63ae5fbaf91e4p-4, -0x1.5fc4bef7bb701p-4, -0x1.5be22dcca419dp-4, -0x1.5806b07cfde1ep-4, -0x1.54324af29ec1p-4, -0x1.506500bf161dcp-4, -0x1.4c9ed51cd8ec2p-4, -0x1.48dfcaf070168p-4, -0x1.4527e4c9a1452p-4, -0x1.417724e49ad0cp-4, -0x1.3dcd8d2b1b4eep-4, -0x1.3a2b1f359c1bfp-4, -0x1.368fdc4c76445p-4, -0x1.32fbc5690a10bp-4, -0x1.2f6edb36e6388p-4, -0x1.2be91e14e9a03p-4, -0x1.286a8e166a31ap-4, -0x1.24f32b04566d4p-4, -0x1.2182f45e58bdap-4, -0x1.1e19e95bf854ep-4, -0x1.1ab808edbb9ebp-4, -0x1.175d51be45f3p-4, -0x1.1409c23379ae5p-4, -0x1.10bd586f93c7ep-4, -0x1.0d7812524c275p-4, -0x1.0a39ed79f0e0fp-4, -0x1.0702e74483bbp-4, -0x1.03d2fcd0d37a4p-4, -0x1.00aa2aff98865p-4, -0x1.fb10dce919f57p-5, -0x1.f4db872f0b8dap-5, -0x1.eeb44d2b14151p-5, -0x1.e89b26c3d64fdp-5, -0x1.e2900b6eb1914p-5, -0x1.dc92f231ef67cp-5, -0x1.d6a3d1a6e76fp-5, -0x1.d0c29ffc275bp-5, -0x1.caef52f79507bp-5, -0x1.c529dff891f1p-5, -0x1.bf723bfa15df3p-5, -0x1.b9c85b94d0f66p-5, -0x1.b42c33014067ap-5, -0x1.ae9db619c91d4p-5, -0x1.a91cd85ccc6bap-5, -0x1.a3a98ceeb8e3ap-5, -0x1.9e43c69c1c8cfp-5, -0x1.98eb77dbadfabp-5, -0x1.93a092d05b016p-5, -0x1.8e63094b4a0dbp-5, -0x1.8932cccde3395p-5, -0x1.840fce8bcdc3p-5, -0x1.7ef9ff6ced872p-5, -0x1.79f1500f60777p-5, -0x1.74f5b0c97185ap-5, -0x1.700711ab8f6bfp-5, -0x1.6b25628239f63p-5, -0x1.665092d7f1671p-5, -0x1.618891f71c039p-5, -0x1.5ccd4eebed06ap-5, -0x1.581eb886464d9p-5, -0x1.537cbd5b93af6p-5, -0x1.4ee74bc8a5a02p-5, -0x1.4a5e51f387f4ep-5, -0x1.45e1bdcd50367p-5, -0x1.41717d13eb9ap-5, -0x1.3d0d7d53ea83p-5, -0x1.38b5abea411dp-5, -0x1.3469f6060b203p-5, -0x1.302a48aa45619p-5, -0x1.2bf690af85fb1p-5, -0x1.27cebac5af86bp-5, -0x1.23b2b3759e042p-5, -0x1.1fa26722d2b09p-5, -0x1.1b9dc20d17c64p-5, -0x1.17a4b052205dbp-5, -0x1.13b71def24161p-5, -0x1.0fd4f6c275761p-5, -0x1.0bfe268d1522cp-5, -0x1.083298f43db22p-5, -0x1.04723982ea91ap-5, -0x1.00bcf3ab5b66ep-5, -0x1.fa25659129417p-6, -0x1.f2e6c43fa822cp-6, -0x1.ebbdd9c40c796p-6, -0x1.e4aa7c5a6edbbp-6, -0x1.ddac821bf260ep-6, -0x1.d6c3c1019263ap-6, -0x1.cff00ee6df61ep-6, -0x1.c931418cb36a4p-6, -0x1.c2872e9bda934p-6, -0x1.bbf1aba7b198dp-6, -0x1.b5708e30bc075p-6, -0x1.af03aba72ba08p-6, -0x1.a8aad96d62d29p-6, -0x1.a265ecda64e43p-6, -0x1.9c34bb3c47885p-6, -0x1.961719da89b4bp-6, -0x1.900cddf86f65ap-6, -0x1.8a15dcd749ad4p-6, -0x1.8431ebb8b59d2p-6, -0x1.7e60dfe0d372bp-6, -0x1.78a28e9871184p-6, -0x1.72f6cd2f29646p-6, -0x1.6d5d70fd7d03ap-6, -0x1.67d64f66d6fa9p-6, -0x1.62613ddb98307p-6, -0x1.5cfe11db04043p-6, -0x1.57aca0f531ce5p-6, -0x1.526cc0cceccafp-6, -0x1.4d3e47198b926p-6, -0x1.482109a8c0881p-6, -0x1.4314de605749cp-6, -0x1.3e199b3ff387p-6, -0x1.392f1662babc2p-6, -0x1.34552600fc854p-6, -0x1.2f8ba071ccdep-6, -0x1.2ad25c2c931f7p-6, -0x1.26292fca935c2p-6, -0x1.218ff2086b128p-6, -0x1.1d0679c784b89p-6, -0x1.188c9e0f80b9fp-6, -0x1.1422360f96b7ep-6, -0x1.0fc7191feda41p-6, -0x1.0b7b1ec2e8987p-6, -0x1.073e1ea669d55p-6, -0x1.030ff0a50f6a5p-6, -0x1.fde0d98ec668dp-7, -0x1.f5bed68a0d46ap-7, -0x1.edb9890ba2403p-7, -0x1.e5d0a245c7cb6p-7, -0x1.de03d3cf7e83p-7, -0x1.d652cfa6829f2p-7, -0x1.cebd48314da66p-7, -0x1.c742f040fd614p-7, -0x1.bfe37b1329eaap-7, -0x1.b89e9c53b07d7p-7, -0x1.b174081e64ed5p-7, -0x1.aa637300c487cp-7, -0x1.a36c91fb7d543p-7, -0x1.9c8f1a8401fe7p-7, -0x1.95cac285fa923p-7, -0x1.8f1f4064af957p-7, -0x1.888c4afc616ecp-7, -0x1.821199a39489p-7, -0x1.7baee42c49c39p-7, -0x1.7563e2e52fd8ap-7, -0x1.6f304e9abfa77p-7, -0x1.6913e098479b1p-7, -0x1.630e52a8f9e18p-7, -0x1.5d1f5f18d774p-7, -0x1.5746c0b59b1efp-7, -0x1.518432cf9947ep-7, -0x1.4bd7713a80bcap-7, -0x1.4640384e2a263p-7, -0x1.40be44e73fca8p-7, -0x1.3b515467ef295p-7, -0x1.35f924b87fb6cp-7, -0x1.30b57447e1007p-7, -0x1.2b86020c34e1cp-7, -0x1.266a8d8342376p-7, -0x1.2162d6b2e6ba9p-7, -0x1.1c6e9e2976b4ap-7, -0x1.178da4fe17e9cp-7, -0x1.12bfacd10aebcp-7, -0x1.0e0477cbf0347p-7, -0x1.095bc8a1ff50bp-7, -0x1.04c5629036965p-7, -0x1.0041095d8003cp-7, -0x1.f79d02b59962cp-8, -0x1.eedb1ec64ada3p-8, -0x1.e63bf1b76a911p-8, -0x1.ddbf07678d009p-8, -0x1.d563ecc97f0ecp-8, -0x1.cd2a2fe419955p-8, -0x1.c5115fd20e6f6p-8, -0x1.bd190cc1a653dp-8, -0x1.b540c7f475adep-8, -0x1.ad8823beeed6bp-8, -0x1.a5eeb387f0ee5p-8, -0x1.9e740bc850cbp-8, -0x1.9717c20a40225p-8, -0x1.8fd96ce8b97abp-8, -0x1.88b8a40ecbbe6p-8, -0x1.81b50036e8574p-8, -0x1.7ace1b2a20aeep-8, -0x1.74038fbf54339p-8, -0x1.6d54f9da52d32p-8, -0x1.66c1f66aece1bp-8, -0x1.604a236c0e8aep-8, -0x1.59ed1fe2b5436p-8, -0x1.53aa8bdce6eabp-8, -0x1.4d8208709df2ap-8, -0x1.477337baae358p-8, -0x1.417dbcdd9c494p-8, -0x1.3ba13c0063ef9p-8, -0x1.35dd5a4d4b77fp-8, -0x1.3031bdf08c11dp-8, -0x1.2a9e0e171eb57p-8, -0x1.2521f2ed558a9p-8, -0x1.1fbd159d81b1bp-8, -0x1.1a6f204e94d45p-8, -0x1.1537be22b261cp-8, -0x1.10169b35c5052p-8, -0x1.0b0b649bf1c43p-8, -0x1.0615c8603285fp-8, -0x1.01357582c1e04p-8, -0x1.f8d437ef16cb6p-9, -0x1.ef66d9493e19ap-9, -0x1.e62232c14f5e9p-9, -0x1.dd05a9e26990bp-9, -0x1.d410a6126308fp-9, -0x1.cb42908e590e5p-9, -0x1.c29ad46780af6p-9, -0x1.ba18de7f9bd85p-9, -0x1.b1bc1d85cbdcdp-9, -0x1.a98401f2f48abp-9, -0x1.a16ffe06608ap-9, -0x1.997f85c24245cp-9, -0x1.91b20ee83ef73p-9, -0x1.8a0710f5d007cp-9, -0x1.827e0520d0ecep-9, -0x1.7b166653d938ep-9, -0x1.73cfb12abb433p-9, -0x1.6ca963eed4a76p-9, -0x1.65a2fe938b3d4p-9, -0x1.5ebc02b29405dp-9, -0x1.57f3f388563dfp-9, -0x1.514a55f054125p-9, -0x1.4abeb06161393p-9, -0x1.44508aea207a5p-9, -0x1.3dff6f2d28d54p-9, -0x1.37cae85d78574p-9, -0x1.31b2833ac1c97p-9, -0x1.2bb5ce0d9e39cp-9, -0x1.25d458a403c19p-9, -0x1.200db44d6a1b9p-9, -0x1.1a6173d7443b3p-9, -0x1.14cf2b891a307p-9, -0x1.0f5671211b844p-9, -0x1.09f6dbd023b7dp-9, -0x1.04b0043648204p-9, -0x1.ff0308bdfe99fp-10, -0x1.f4d5ef7b03b45p-10, -0x1.ead7f652784c7p-10, -0x1.e10859b3c9aa6p-10, -0x1.d76658c8299c2p-10, -0x1.cdf1356b002a1p-10, -0x1.c4a83422ae5bbp-10, -0x1.bb8a9c1965407p-10, -0x1.b297b715cdaf4p-10, -0x1.a9ced173e18fcp-10, -0x1.a12f3a1dd1862p-10, -0x1.98b84284b7f5p-10, -0x1.90693e99af12fp-10, -0x1.884184c665863p-10, -0x1.80406de68b2bdp-10, -0x1.7865554034295p-10, -0x1.70af987d5f993p-10, -0x1.691e97a4ba501p-10, -0x1.61b1b512abf06p-10, -0x1.5a685572a8acbp-10, -0x1.5341dfb815d35p-10, -0x1.4c3dbd17afd46p-10, -0x1.455b59009f37bp-10, -0x1.3e9a2115d7e15p-10, -0x1.37f9852734c8ep-10, -0x1.3178f72b31506p-10, -0x1.2b17eb37bbcccp-10, -0x1.24d5d77c4fb07p-10, -0x1.1eb2343acdb5p-10, -0x1.18ac7bc1779f7p-10, -0x1.12c42a643ea24p-10, -0x1.0cf8be766e11p-10, -0x1.0749b8445975bp-10, -0x1.01b69a0d1bdf8p-10, -0x1.f87dcff854512p-11, -0x1.edc45046d299ap-11, -0x1.e33fc4e94fd5ap-11, -0x1.d8ef4177e01a7p-11, -0x1.ced1dd31dca2cp-11, -0x1.c4e6b2f333de9p-11, -0x1.bb2ce12727c36p-11, -0x1.b1a389bd4e258p-11, -0x1.a849d21dbcf3p-11, -0x1.9f1ee31d3995cp-11, -0x1.9621e8f1aff07p-11, -0x1.8d52132709833p-11, -0x1.84ae949388431p-11, -0x1.7c36a34cd43c9p-11, -0x1.73e9789caf972p-11, -0x1.6bc650f5fd03p-11, -0x1.63cc6be9ff932p-11, -0x1.5bfb0c1d46d23p-11, -0x1.5451773d31f09p-11, -0x1.4ccef5f534ccp-11, -0x1.4572d3e485391p-11, -0x1.3e3c5f93690c8p-11, -0x1.372aea692a8d5p-11, -0x1.303dc8a2082bcp-11, -0x1.297451448b8cap-11, -0x1.22cdde184c3fp-11, -0x1.1c49cb9b76844p-11, -0x1.15e778f97bc87p-11, -0x1.0fa64800db64cp-11, -0x1.09859d1a35f26p-11, -0x1.0384df3e492adp-11, -0x1.fb46efd996519p-12, -0x1.efc1a6468f604p-12, -0x1.e478bea75cd7cp-12, -0x1.d96b1ab6e0c68p-12, -0x1.ce97a0f52c00cp-12, -0x1.c3fd3c9567f9dp-12, -0x1.b99add6c5c70cp-12, -0x1.af6f77dfd40a5p-12, -0x1.a57a04d44142ap-12, -0x1.9bb9819cc60f3p-12, -0x1.922cefea30705p-12, -0x1.88d355ba4813ap-12, -0x1.7fabbd47d08dfp-12, -0x1.76b534f9da983p-12, -0x1.6deecf5440c93p-12, -0x1.6557a2e7c86fbp-12, -0x1.5ceeca426e8f6p-12, -0x1.54b363e02d9p-12, -0x1.4ca4921b8e3b2p-12, -0x1.44c17b1eee393p-12, -0x1.3d0948d575f0ap-12, -0x1.357b28dc5fe96p-12, -0x1.2e164c7500f0fp-12, -0x1.26d9e875a7022p-12, -0x1.1fc5353c3e22ep-12, -0x1.18d76ea0293f1p-12, -0x1.120fd3e42d7a1p-12, -0x1.0b6da7a9847cap-12, -0x1.04f02fe1cfe1ep-12, -0x1.fd2d6b84d60b3p-13, -0x1.f0c10b6d783b3p-13, -0x1.e499dea831b2dp-13, -0x1.d8b68a98e068ap-13, -0x1.cd15bac3fbfc2p-13, -0x1.c1b620b5a2b44p-13, -0x1.b69673e9be9ddp-13, -0x1.abb571b2cb624p-13, -0x1.a111dd233c0dfp-13, -0x1.96aa7ef579738p-13, -0x1.8c7e25742d1eep-13, -0x1.828ba465057cep-13, -0x1.78d1d4f07a997p-13, -0x1.6f4f958c5420bp-13, -0x1.6603c9e5d8e88p-13, -0x1.5ced5acc660efp-13, -0x1.540b361b19354p-13, -0x1.4b5c4ea566535p-13, -0x1.42df9c20d877bp-13, -0x1.3a941b118baedp-13, -0x1.3278ccb5fae17p-13, -0x1.2a8cb6f2c1164p-13, -0x1.22cee43f7106cp-13, -0x1.1b3e6392dc95fp-13, -0x1.13da485094d42p-13, -0x1.0ca1aa360b6f8p-13, -0x1.0593a5479d9fap-13, -0x1.fd5eb37d8b34fp-14, -0x1.efe7d7f0c6e9p-14, -0x1.e2c108c5e0c53p-14, -0x1.d5e89ed8b36d9p-14, -0x1.c95cfae426a28p-14, -0x1.bd1c855eb9cbep-14, -0x1.b125ae58d6481p-14, -0x1.a576ed5d966f4p-14, -0x1.9a0ec15150ceep-14, -0x1.8eebb05195c68p-14, -0x1.840c47973508dp-14, -0x1.796f1b54dc1e5p-14, -0x1.6f12c69b365a6p-14, -0x1.64f5eb393ddf3p-14, -0x1.5b17319fe3f54p-14, -0x1.517548c39367dp-14, -0x1.480ee600bb4cep-14, -0x1.3ee2c4ff462eap-14, -0x1.35efa7968d814p-14, -0x1.2d3455b217383p-14, -0x1.24af9d36f634bp-14, -0x1.1c6051e93750dp-14, -0x1.14454d5168893p-14, -0x1.0c5d6ea30126cp-14, -0x1.04a79aa37c125p-14, -0x1.fa457721b71c3p-15, -0x1.eb9b82131af44p-15, -0x1.dd4f3fe90a329p-15, -0x1.cf5ea4d1231f7p-15, -0x1.c1c7af2c01d25p-15, -0x1.b488675dfc48p-15, -0x1.a79edfa16ec1bp-15, -0x1.9b0933dd105c7p-15, -0x1.8ec58973392d9p-15, -0x1.82d20f1bfbb48p-15, -0x1.772cfcb63655p-15, -0x1.6bd493210de5dp-15, -0x1.60c71c116db7p-15, -0x1.5602e9e8af63ap-15, -0x1.4b86578e689afp-15, -0x1.414fc848b5f6p-15, -0x1.375da79594bd4p-15, -0x1.2dae690487428p-15, -0x1.2440881276169p-15, -0x1.1b1288046a2b3p-15, -0x1.1222f3c2b6a5fp-15, -0x1.09705db734201p-15, -0x1.00f95fa8966ddp-15, -0x1.f1793532a82c3p-16, -0x1.e1716d4a9c6e5p-16, -0x1.d1d8c5c1ebed2p-16, -0x1.c2acaa6f5114ep-16, -0x1.b3ea949c425b3p-16, -0x1.a5900abef4673p-16, -0x1.979aa041ad45ep-16, -0x1.8a07f5435865dp-16, -0x1.7cd5b65bd04a9p-16, -0x1.70019c60c60edp-16, -0x1.63896c2c05a91p-16, -0x1.576af66277b27p-16, -0x1.4ba4173c1321cp-16, -0x1.4032b64b910e6p-16, -0x1.3514c64aa15ebp-16, -0x1.2a4844e34079fp-16, -0x1.1fcb3a7a69bc7p-16, -0x1.159bb9fd3b613p-16, -0x1.0bb7e0b052f4ap-16, -0x1.021dd5fabb978p-16, -0x1.f197967017c61p-17, -0x1.df7ff70c9ff6dp-17, -0x1.cdf15730bafddp-17, -0x1.bce853090bd4ep-17, -0x1.ac61993882eeap-17, -0x1.9c59ea7488d3ep-17, -0x1.8cce1930d208dp-17, -0x1.7dbb094a354e6p-17, -0x1.6f1dafafe728bp-17, -0x1.60f31210202d9p-17, -0x1.53384685b28d8p-17, -0x1.45ea73481035ap-17, -0x1.3906ce5be4a91p-17, -0x1.2c8a9d46f80dep-17, -0x1.207334bff0907p-17, -0x1.14bdf8656fa6fp-17, -0x1.09685a735dfb2p-17, -0x1.fcdfb6f947939p-18, -0x1.e7a41441cb92p-18, -0x1.d319058f9649cp-18, -0x1.bf39deba3cc96p-18, -0x1.ac020e1897814p-18, -0x1.996d1bff9c391p-18, -0x1.8776aa366e321p-18, -0x1.761a73821b7cp-18, -0x1.65544b22f2f55p-18, -0x1.55201c5703d42p-18, -0x1.4579e9e1b728ap-18, -0x1.365dcd9a82166p-18, -0x1.27c7f7f01bd0ep-18, -0x1.19b4af79a14abp-18, -0x1.0c205088a134dp-18, -0x1.fe0e9969256bcp-19, -0x1.e4cc54df90f0bp-19, -0x1.cc7309415ea43p-19, -0x1.b4fc1468e4536p-19, -0x1.9e60fb76fe287p-19, -0x1.889b6a02cc1e4p-19, -0x1.73a5315808a59p-19, -0x1.5f7847b29071bp-19, -0x1.4c0ec780d776ap-19, -0x1.3962eea79efddp-19, -0x1.276f1dc85c065p-19, -0x1.162dd78df3ce1p-19, -0x1.0599bff63edcfp-19, -0x1.eb5b37644e4ecp-20, -0x1.ccc89ed7996d2p-20, -0x1.af71be468f6d8p-20, -0x1.934cdb1599233p-20, -0x1.785076d0e5d5p-20, -0x1.5e734de5ccc29p-20, -0x1.45ac5662c1ed8p-20, -0x1.2df2bedd770c5p-20, -0x1.173ded3c918e3p-20, -0x1.01857d890ae43p-20, -0x1.d98281a0ff179p-21, -0x1.b1d2782c0dd83p-21, -0x1.8beb4e577e466p-21, -0x1.67bdd75d16605p-21, -0x1.453b47e4c8f2ep-21, -0x1.2455340530508p-21, -0x1.04fd8d2ffdd6ap-21, -0x1.ce4d40966b955p-22, -0x1.9586276c92d93p-22, -0x1.5f8bcaa83bbf1p-22, -0x1.2c44d1943e344p-22, -0x1.f73116a0f2042p-23, -0x1.9addd61ddefe7p-23, -0x1.436109586edcp-23, -0x1.e11a24d1ab6abp-24, -0x1.446b0e40cd6f3p-24, -0x1.60bca92e7c99dp-25, -0x1.24fe52aae327fp-27, 0x1.7c89f7f1835c9p-26, 0x1.b6707be65afebp-25, 0x1.4fef07f27464p-24, 0x1.bd9253285acdp-24, 0x1.1235c3b770667p-23, 0x1.4261045e969f4p-23, 0x1.6f6da141b373bp-23, 0x1.997d596d349p-23, 0x1.c0b0fad4919ccp-23, 0x1.e52867927b578p-23, 0x1.03814d94b2fe1p-22, 0x1.132ed7c815521p-22, 0x1.21ab71469a438p-22, 0x1.2f054d46bb9b8p-22, 0x1.3b4a359a2f6b3p-22, 0x1.46878d4d13efep-22, 0x1.50ca52c545192p-22, 0x1.5a1f222cd13fbp-22, 0x1.629237a2f9cffp-22, 0x1.6a2f7174b5a41p-22, 0x1.7102523afc729p-22, 0x1.7716030a77bccp-22, 0x1.7c755568100ap-22, 0x1.812ac56aeb93p-22, 0x1.85407bae6717cp-22, 0x1.88c04f3d987ffp-22, 0x1.8bb3c79f1577ep-22, 0x1.8e241e7ef9aa9p-22, 0x1.901a41a557cp-22, 0x1.919ed4b15d9d2p-22, 0x1.92ba32f2f74c5p-22, 0x1.9374710eb2038p-22, 0x1.93d55eb4dfac1p-22, 0x1.93e488511024fp-22, 0x1.93a938a97df7fp-22, 0x1.932a7a64f1884p-22, 0x1.926f19a2cc5f3p-22, 0x1.917da58991f6dp-22, 0x1.905c71b8b37e7p-22, 0x1.8f1197c736fb8p-22, 0x1.8da2f8af00dadp-22, 0x1.8c163e3bf268ep-22, 0x1.8a70dc5e471eap-22, 0x1.88b8127d1cd14p-22, 0x1.86f0ece00e87bp-22, 0x1.852045ec1e2edp-22, 0x1.834ac765441ddp-22, 0x1.8174ebb89a118p-22, 0x1.7fa2ff1b0828fp-22, 0x1.7dd920d24eba1p-22, 0x1.7c1b444a35684p-22, 0x1.7a6d3243a84bap-22, 0x1.78d289f12b625p-22, 0x1.774ec20a28a84p-22, 0x1.75e529d431529p-22, 0x1.7498ea36f089fp-22, 0x1.736d06ce893d4p-22, 0x1.72645edc1ebf5p-22, }}, 
      std::vector<double>(850, 0.0), 
      {{-0x1.6c7cae3816479p-8, -0x1.6afe1db23231ep-7, -0x1.0e7e52a75686fp-6, -0x1.65a9605091686p-6, -0x1.babc9fd86ccc7p-6, -0x1.06cf6ce4f68dfp-5, -0x1.2f2c3e59db893p-5, -0x1.5685488723acfp-5, -0x1.7cf3503b2bbdcp-5, -0x1.a293f95eb10bfp-5, -0x1.c7870d8e32a74p-5, -0x1.ebec56d8516e2p-5, -0x1.07f0fcc426356p-4, -0x1.19c19dcea2c43p-4, -0x1.2b73d6155143p-4, -0x1.3d114f6cf07f4p-4, -0x1.4ea178248a2a8p-4, -0x1.602983dea5f2cp-4, -0x1.71ac85207b185p-4, -0x1.832b999ee880cp-4, -0x1.94a623902c568p-4, -0x1.a61a0acb8d4b6p-4, -0x1.b7840135fef4cp-4, -0x1.c8dfc6cea8517p-4, -0x1.da286a8a9af2ep-4, -0x1.eb58860217cadp-4, -0x1.fc6a72ae7bbcdp-4, -0x1.06ac3c0b85828p-3, -0x1.0f0e79647eb5fp-3, -0x1.17593a2aa9461p-3, -0x1.1f89ee67a67e4p-3, -0x1.279e3737220f4p-3, -0x1.2f93ee043f261p-3, -0x1.376929905efc6p-3, -0x1.3f1c411c8c2aep-3, -0x1.46abce07bcc2p-3, -0x1.4e16ac2b04d83p-3, -0x1.555bf932f6c3cp-3, -0x1.5c7b132b864c8p-3, -0x1.6373966ab578ep-3, -0x1.6a455afe0e27cp-3, -0x1.70f071b7f209dp-3, -0x1.777520f3fce59p-3, -0x1.7dd3e1250b708p-3, -0x1.840d593bdf31ep-3, -0x1.8a225af27cefep-3, -0x1.9013df067a18p-3, -0x1.95e3016ae463dp-3, -0x1.9b90fd7959e68p-3, -0x1.a11f2a294091cp-3, -0x1.a68ef6535b716p-3, -0x1.abe1e507b2db6p-3, -0x1.b11989fb3b9b4p-3, -0x1.b63786124e847p-3, -0x1.bb3d840cb8d6ap-3, -0x1.c02d355783399p-3, -0x1.c5084f084170bp-3, -0x1.c9d0870522165p-3, -0x1.ce87915c5d83bp-3, -0x1.d32f1dcd1f18bp-3, -0x1.d7c8d58363ffcp-3, -0x1.dc565907adf88p-3, -0x1.e0d93e62e21fbp-3, -0x1.e5530f76145e5p-3, -0x1.e9c54885888bdp-3, -0x1.ee3156f5a915p-3, -0x1.f298983864b0fp-3, -0x1.f6fc58e8eb4bcp-3, -0x1.fb5dd4138e66ap-3, -0x1.ffbe32a72cd36p-3, -0x1.020f4586c4724p-2, -0x1.043ff073ceb32p-2, -0x1.0671927588937p-2, -0x1.08a49a6ee02c3p-2, -0x1.0ad96dd63c78fp-2, -0x1.0d1068ccf826bp-2, -0x1.0f49de4191b1p-2, -0x1.1186181b32b68p-2, -0x1.13c5576d3ccp-2, -0x1.1607d4b1a80e6p-2, -0x1.184dc00906489p-2, -0x1.1a97417f1da4bp-2, -0x1.1ce479532169bp-2, -0x1.1f358042a074bp-2, -0x1.218a67d661a48p-2, -0x1.23e33ab07492ap-2, -0x1.263ffcdad4c11p-2, -0x1.28a0ac1613d17p-2, -0x1.2b0540279010cp-2, -0x1.2d6dab26d2309p-2, -0x1.2fd9d9c9b955fp-2, -0x1.3249b3af32a4cp-2, -0x1.34bd1ba840067p-2, -0x1.3733efff23f36p-2, -0x1.39ae0abc9619ep-2, -0x1.3c2b41eae3da8p-2, -0x1.3eab67d6f5917p-2, -0x1.412e4b4f2dae3p-2, -0x1.43b3b7e026df6p-2, -0x1.463b760f5468ap-2, -0x1.48c54b9390103p-2, -0x1.4b50fb8b9ee1bp-2, -0x1.4dde46b2c87b1p-2, -0x1.506ceb9381c49p-2, -0x1.52fca6b84f94dp-2, -0x1.558d32dae6887p-2, -0x1.581e4911a908bp-2, -0x1.5aafa0fb8d9ffp-2, -0x1.5d40f0ea82b6bp-2, -0x1.5fd1ee0c69ad8p-2, -0x1.62624c92af7aep-2, -0x1.64f1bfd89bdfbp-2, -0x1.677ffa88623p-2, -0x1.6a0caebf00e2fp-2, -0x1.6c978e2f002e3p-2, -0x1.6f204a4213a45p-2, -0x1.71a69439ad56fp-2, -0x1.742a1d4e8bbbap-2, -0x1.76aa96cf40ff8p-2, -0x1.7927b23dc3305p-2, -0x1.7ba1216c0143dp-2, -0x1.7e169697871c1p-2, -0x1.8087c4842d74ap-2, -0x1.82f45e95d9ad1p-2, -0x1.855c18e94f343p-2, -0x1.87bea86c10d0bp-2, -0x1.8a1bc2f352a93p-2, -0x1.8c731f51fecdbp-2, -0x1.8ec4756dc5a91p-2, -0x1.910f7e533e514p-2, -0x1.9353f4491562cp-2, -0x1.959192e24602ep-2, -0x1.97c8170f616dap-2, -0x1.99f73f2edbd3ep-2, -0x1.9c1ecb1c67c4fp-2, -0x1.9e3e7c3f59fc9p-2, -0x1.a05615981442bp-2, -0x1.a2655bcc7d85ap-2, -0x1.a46c15337f43ep-2, -0x1.a66a09df95775p-2, -0x1.a85f03a8627e9p-2, -0x1.aa4ace335a5ep-2, -0x1.ac2d36fb78271p-2, -0x1.ae060d580b27fp-2, -0x1.afd522829a923p-2, -0x1.b19a499be1cacp-2, -0x1.b35557afed4e9p-2, -0x1.b50623b95bafep-2, -0x1.b6ac86a3c4df9p-2, -0x1.b8485b4d4f3ccp-2, -0x1.b9d97e877902dp-2, -0x1.bb5fcf171a0bfp-2, -0x1.bcdb2db3a40f9p-2, -0x1.be4b7d05a9b92p-2, -0x1.bfb0a1a4b4808p-2, -0x1.c10a821467f3p-2, -0x1.c25906c107896p-2, -0x1.c39c19fb5aa49p-2, -0x1.c4d3a7f3f93f3p-2, -0x1.c5ff9eb60cc43p-2, -0x1.c71fee218a501p-2, -0x1.c83487e4eac42p-2, -0x1.c93d5f766f2e2p-2, -0x1.ca3a6a0cf1f5bp-2, -0x1.cb2b9e9854336p-2, -0x1.cc10f5b988f4dp-2, -0x1.ccea69ba46571p-2, -0x1.cdb7f6846a1b2p-2, -0x1.ce7999991223ep-2, -0x1.cf2f5207721a7p-2, -0x1.cfd9206370569p-2, -0x1.d07706bc0f51cp-2, -0x1.d1090891a6492p-2, -0x1.d18f2acbf8e31p-2, -0x1.d20973b029723p-2, -0x1.d277ead6976edp-2, -0x1.d2da9920a46cdp-2, -0x1.d33188ae70472p-2, -0x1.d37cc4d489daap-2, -0x1.d3bc5a119dffcp-2, -0x1.d3f0560427d4fp-2, -0x1.d418c76029d59p-2, -0x1.d435bde4f1ef4p-2, -0x1.d4474a52eb39cp-2, -0x1.d44d7e6186fdap-2, -0x1.d4486cb53ad7fp-2, -0x1.d43828d59d35dp-2, -0x1.d41cc7239e675p-2, -0x1.d3f65ccfe38ecp-2, -0x1.d3c4ffd14844bp-2, -0x1.d388c6db859ddp-2, -0x1.d341c95604bbp-2, -0x1.d2f01f52db925p-2, -0x1.d293e185fa899p-2, -0x1.d22d293c852a5p-2, -0x1.d1bc10546321ap-2, -0x1.d140b133fc59ep-2, -0x1.d0bb26c22ddp-2, -0x1.d02b8c5e724f2p-2, -0x1.cf91fdd940d3bp-2, -0x1.ceee976c9e63bp-2, -0x1.ce4175b4ec28p-2, -0x1.cd8ab5a9e7a88p-2, -0x1.ccca7497e5166p-2, -0x1.cc00d0193f3eap-2, -0x1.cb2de60fff56dp-2, -0x1.ca51d49fbc34ep-2, -0x1.c96cba27b00fap-2, -0x1.c87eb53d03067p-2, -0x1.c787e4a54d835p-2, -0x1.c68867514ef39p-2, -0x1.c5805c57d714ap-2, -0x1.c46fe2f0e5588p-2, -0x1.c3571a70f83b9p-2, -0x1.c236224491d0ep-2, -0x1.c10d19ebea0cbp-2, -0x1.bfdc20f6d2503p-2, -0x1.bea35700c5619p-2, -0x1.bd62dbad2834fp-2, -0x1.bc1acea3b55f1p-2, -0x1.bacb4f8d10fe1p-2, -0x1.b9747e0f8b407p-2, -0x1.b81679cc084edp-2, -0x1.b6b1625b10ab7p-2, -0x1.b545574a06839p-2, -0x1.b3d2781882253p-2, -0x1.b258e435ce1f5p-2, -0x1.b0d8bafe8934cp-2, -0x1.af521bba686aap-2, -0x1.adc5259a161cfp-2, -0x1.ac31f7b5312edp-2, -0x1.aa98b1086cc63p-2, -0x1.a8f97073c3d25p-2, -0x1.a75454b8d0317p-2, -0x1.a5a97c79328d8p-2, -0x1.a3f906351b35p-2, -0x1.a2431049e095dp-2, -0x1.a087b8f0b4819p-2, -0x1.9ec71e3d68661p-2, -0x1.9d015e1d46316p-2, -0x1.9b369655fe525p-2, -0x1.9966e484a43c4p-2, -0x1.9792661cbeb5dp-2, -0x1.95b9386762b51p-2, -0x1.93db788262e85p-2, -0x1.91f9435f88eb1p-2, -0x1.9012b5c3dc8e8p-2, -0x1.8e27ec46f7e2bp-2, -0x1.8c39035265cdep-2, -0x1.8a4617210a515p-2, -0x1.884f43be978e9p-2, -0x1.8654a50707a39p-2, -0x1.845656a621857p-2, -0x1.8254741705c62p-2, -0x1.804f18a3c02fep-2, -0x1.7e465f64e3efcp-2, -0x1.7c3a634127bf7p-2, -0x1.7a2b3eed0def6p-2, -0x1.78190cea8d51ep-2, -0x1.7603e788bf6d5p-2, -0x1.73ebe8e394664p-2, -0x1.71d12ae38759dp-2, -0x1.6fb3c73d5aa2dp-2, -0x1.6d93d771d17b8p-2, -0x1.6b7174cd71899p-2, -0x1.694cb8684237bp-2, -0x1.6725bb2592a75p-2, -0x1.64fc95b3bec2p-2, -0x1.62d1608bf3d96p-2, -0x1.60a433f1fcc1dp-2, -0x1.5e7527f40835p-2, -0x1.5c44546a74ec4p-2, -0x1.5a11d0f79dbb1p-2, -0x1.57ddb507a3e72p-2, -0x1.55a817d03d756p-2, -0x1.5371105083074p-2, -0x1.5138b550bb83fp-2, -0x1.4eff1d622d7a1p-2, -0x1.4cc45edeeb3a4p-2, -0x1.4a888fe9a3572p-2, -0x1.484bc66d70448p-2, -0x1.460e181da5c3ap-2, -0x1.43cf9a75a2449p-2, -0x1.419062b89fd7p-2, -0x1.3f5085f18277cp-2, -0x1.3d1018f2a972p-2, -0x1.3acf3055c1a22p-2, -0x1.388de07b95f6p-2, -0x1.364c3d8be13ecp-2, -0x1.340a5b752154fp-2, -0x1.31c84dec695b1p-2, -0x1.2f86286d37143p-2, -0x1.2d43fe3944459p-2, -0x1.2b01e2585dcfep-2, -0x1.28bfe7983a578p-2, -0x1.267e208c4e49ap-2, -0x1.243c9f8da67a2p-2, -0x1.21fb76babfad5p-2, -0x1.1fbab7f76135dp-2, -0x1.1d7a74ec78736p-2, -0x1.1b3abf07f4c2bp-2, -0x1.18fba77ca6f1dp-2, -0x1.16bd3f421fd31p-2, -0x1.147f971492552p-2, -0x1.1242bf74b59acp-2, -0x1.1006c8a7aa978p-2, -0x1.0dcbc2b6e21dp-2, -0x1.0b91bd700439bp-2, -0x1.0958c864de30ap-2, -0x1.0720f2eb4ab9fp-2, -0x1.04ea4c1d24602p-2, -0x1.02b4e2d835ab5p-2, -0x1.0080c5be2a2c8p-2, -0x1.fc9c0669118d6p-3, -0x1.f83952c94ebb7p-3, -0x1.f3d98c7750662p-3, -0x1.ef7cced4ecc1fp-3, -0x1.eb2334cb8c966p-3, -0x1.e6ccd8cc2de13p-3, -0x1.e279d4cf71083p-3, -0x1.de2a4255a8ae8p-3, -0x1.d9de3a66ed0ebp-3, -0x1.d595d5933ac3ap-3, -0x1.d1512bf29435dp-3, -0x1.cd10552525ab7p-3, -0x1.c8d3685375a95p-3, -0x1.c49a7c2e9554p-3, -0x1.c065a6f05c3fdp-3, -0x1.bc34fe5ba6038p-3, -0x1.b80897bc95f3p-3, -0x1.b3e087e8e568ap-3, -0x1.afbce34033d07p-3, -0x1.ab9dbdac5bfa9p-3, -0x1.a7832aa1d5be4p-3, -0x1.a36d3d2015da8p-3, -0x1.9f5c07b1fa272p-3, -0x1.9b4f9c6e3a2bfp-3, -0x1.97480cf7d898dp-3, -0x1.93456a7ea6559p-3, -0x1.8f47c5bfbe887p-3, -0x1.8b4f2f060eecdp-3, -0x1.875bb62ae9d71p-3, -0x1.836d6a9696766p-3, -0x1.7f845b40e81f6p-3, -0x1.7ba096b1e48b5p-3, -0x1.77c22b025f88ep-3, -0x1.73e925dcacaaap-3, -0x1.7015947d4accdp-3, -0x1.6c4783b39ccdap-3, -0x1.687effe2a1637p-3, -0x1.64bc1501b1fcfp-3, -0x1.60fece9d4c2f7p-3, -0x1.5d4737d7d7a08p-3, -0x1.59955b6a775e4p-3, -0x1.55e943a5dc1a1p-3, -0x1.5242fa731e4cap-3, -0x1.4ea289549779ep-3, -0x1.4b07f966ca682p-3, -0x1.47735361428bfp-3, -0x1.43e49f977fc46p-3, -0x1.405be5f9e920cp-3, -0x1.3cd92e16ba5f1p-3, -0x1.395c7f1afb179p-3, -0x1.35e5dfd37a4e6p-3, -0x1.327556adcbc75p-3, -0x1.2f0ae9b948de4p-3, -0x1.2ba69ea814e4bp-3, -0x1.28487ad025037p-3, -0x1.24f0832c4ba19p-3, -0x1.219ebc5d44ac3p-3, -0x1.1e532aaac9c9p-3, -0x1.1b0dd204a222ep-3, -0x1.17ceb603b94p-3, -0x1.1495d9eb387b6p-3, -0x1.116340a99f9d3p-3, -0x1.0e36ecd9e55ep-3, -0x1.0b10e0c49383ep-3, -0x1.07f11e60e683fp-3, -0x1.04d7a755f34cep-3, -0x1.01c47cfbcb4e8p-3, -0x1.fd6f40b93bbbfp-4, -0x1.f762246bca12bp-4, -0x1.f161a5f3133ebp-4, -0x1.eb6dc59e1e43ap-4, -0x1.e586832976a4p-4, -0x1.dfabddc1898d5p-4, -0x1.d9ddd404fa38p-4, -0x1.d41c6406f6473p-4, -0x1.ce678b5199fe7p-4, -0x1.c8bf46e8411cap-4, -0x1.c3239349e5ca7p-4, -0x1.bd946c73814abp-4, -0x1.b811cde259511p-4, -0x1.b29bb2966d032p-4, -0x1.ad321514c24ecp-4, -0x1.a7d4ef69c1541p-4, -0x1.a2843b2b96d7bp-4, -0x1.9d3ff17c8199fp-4, -0x1.98080b0d2b497p-4, -0x1.92dc801f04199p-4, -0x1.8dbd48868eb12p-4, -0x1.88aa5badb489fp-4, -0x1.83a3b0961456p-4, -0x1.7ea93ddb50642p-4, -0x1.79baf9b55844ap-4, -0x1.74d8d9faaff81p-4, -0x1.7002d422b5b4cp-4, -0x1.6b38dd47e3747p-4, -0x1.667aea2a0ebecp-4, -0x1.61c8ef30a3e14p-4, -0x1.5d22e06cdb862p-4, -0x1.5888b19bf375ap-4, -0x1.53fa56295bbaep-4, -0x1.4f77c130e3c93p-4, -0x1.4b00e580e60b5p-4, -0x1.4695b59c677d3p-4, -0x1.423623bd3b508p-4, -0x1.3de221d61e205p-4, -0x1.3999a194ca1aep-4, -0x1.355c94640d47ep-4, -0x1.312aeb6dd45fap-4, -0x1.2d04979d34668p-4, -0x1.28e989a06f5bep-4, -0x1.24d9b1eaefc2ep-4, -0x1.20d500b744b28p-4, -0x1.1cdb660915196p-4, -0x1.18ecd1af1004ep-4, -0x1.15093344d2861p-4, -0x1.11307a34ce788p-4, -0x1.0d6295ba28d71p-4, -0x1.099f74e290264p-4, -0x1.05e7069011a33p-4, -0x1.0239397ae5d3dp-4, -0x1.fd2bf8666e37cp-5, -0x1.f5fa7a45c8e69p-5, -0x1.eeddd51e7808fp-5, -0x1.e7d5e53560ae1p-5, -0x1.e0e2868d15ad2p-5, -0x1.da0394e92303dp-5, -0x1.d338ebd1598f1p-5, -0x1.cc8266950a946p-5, -0x1.c5dfe04e320d8p-5, -0x1.bf5133e49fe62p-5, -0x1.b8d63c11067cp-5, -0x1.b26ed3600ae16p-5, -0x1.ac1ad435405d2p-5, -0x1.a5da18ce184edp-5, -0x1.9fac7b44c6dp-5, -0x1.9991d5931e8a3p-5, -0x1.938a019558d86p-5, -0x1.8d94d90cd847dp-5, -0x1.87b235a2db431p-5, -0x1.81e1f0eb226dp-5, -0x1.7c23e4668aab1p-5, -0x1.7677e9859daf8p-5, -0x1.70ddd9ab11465p-5, -0x1.6b558e2e415adp-5, -0x1.65dee05d953b5p-5, -0x1.6079a980dee14p-5, -0x1.5b25c2dbacdabp-5, -0x1.55e305af903d9p-5, -0x1.50b14b3e542d9p-5, -0x1.4b906ccc2f0d2p-5, -0x1.468043a1de92p-5, -0x1.4180a90ec2171p-5, -0x1.3c91766ae6821p-5, -0x1.37b28518fe743p-5, -0x1.32e3ae885b89fp-5, -0x1.2e24cc36d38c1p-5, -0x1.2975b7b29d897p-5, -0x1.24d64a9c2245fp-5, -0x1.20465ea7c10dp-5, -0x1.1bc5cd9f8c6cfp-5, -0x1.17547164f9ecfp-5, -0x1.12f223f28465p-5, -0x1.0e9ebf5d4c38bp-5, -0x1.0a5a1dd69b6cfp-5, -0x1.062419ad760dcp-5, -0x1.01fc8d500fd6bp-5, -0x1.fbc6a69a73877p-6, -0x1.f3b08cab956ap-6, -0x1.ebb6827bf1e32p-6, -0x1.e3d83dfd6266ep-6, -0x1.dc15756da5edp-6, -0x1.d46ddf58fcbd8p-6, -0x1.cce1329c675a3p-6, -0x1.c56f266824bd4p-6, -0x1.be177241e05f9p-6, -0x1.b6d9ce06d9356p-6, -0x1.afb5f1ee13392p-6, -0x1.a8ab968a542fdp-6, -0x1.a1ba74cc26c1fp-6, -0x1.9ae24603b2a88p-6, -0x1.9422c3e2a3a0ap-6, -0x1.8d7ba87dee98p-6, -0x1.86ecae4f7025fp-6, -0x1.80759037a3a53p-6, -0x1.7a16097f39efp-6, -0x1.73cdd5d887fa6p-6, -0x1.6d9cb1610b4b6p-6, -0x1.678258a2c2c1dp-6, -0x1.617e88958fd94p-6, -0x1.5b90fea066a7ap-6, -0x1.55b9789a9c1d5p-6, -0x1.4ff7b4ccfb45fp-6, -0x1.4a4b71f2e192ap-6, -0x1.44b46f3b51fe2p-6, -0x1.3f326c49eaa36p-6, -0x1.39c52937d6cecp-6, -0x1.346c6694b2488p-6, -0x1.2f27e56756cf3p-6, -0x1.29f7672eb09adp-6, -0x1.24daade26e48ep-6, -0x1.1fd17bf3b8863p-6, -0x1.1adb944dd1cb3p-6, -0x1.15f8ba56a4814p-6, -0x1.1128b1ef66f86p-6, -0x1.0c6b3f74f849dp-6, -0x1.07c027c07c906p-6, -0x1.032730279e598p-6, -0x1.fd403cfa1c078p-7, -0x1.f455722195dacp-7, -0x1.eb8d8d60c9cbcp-7, -0x1.e2e81d4e9764bp-7, -0x1.da64b17defbb3p-7, -0x1.d202da7e514a4p-7, -0x1.c9c229dbd76cep-7, -0x1.c1a2321fc011dp-7, -0x1.b9a286d037a8ap-7, -0x1.b1c2bc70b1cbfp-7, -0x1.aa026881b52efp-7, -0x1.a2612180e9bp-7, -0x1.9ade7ee901d43p-7, -0x1.937a193159ab7p-7, -0x1.8c3389cdf3ffep-7, -0x1.850a6b2f06ee6p-7, -0x1.7dfe58c09d9afp-7, -0x1.770eeeea4ac95p-7, -0x1.703bcb0e8e0cep-7, -0x1.69848b8a60616p-7, -0x1.62e8cfb4a6058p-7, -0x1.5c6837dd7a565p-7, -0x1.5602654d9c09p-7, -0x1.4fb6fa459305fp-7, -0x1.498599fd20dbap-7, -0x1.436de8a235c3fp-7, -0x1.3d6f8b584b466p-7, -0x1.378a28375f267p-7, -0x1.31bd664b0c94bp-7, -0x1.2c08ed91a0062p-7, -0x1.266c66fafe26fp-7, -0x1.20e77c67b3e54p-7, -0x1.1b79d8a7c7272p-7, -0x1.16232779b6161p-7, -0x1.10e3158933249p-7, -0x1.0bb9506e21893p-7, -0x1.06a586ab2242ap-7, -0x1.01a767aca3da8p-7, -0x1.f97d478eb88b1p-8, -0x1.efd5d86e56f24p-8, -0x1.e657e63b6c2cbp-8, -0x1.dd02d7021c973p-8, -0x1.d3d61294b774ap-8, -0x1.cad102890087ap-8, -0x1.c1f312352df53p-8, -0x1.b93baead5d378p-8, -0x1.b0aa46c03f5f7p-8, -0x1.a83e4af4acb5bp-8, -0x1.9ff72d8618f94p-8, -0x1.97d462623afc4p-8, -0x1.8fd55f255a9abp-8, -0x1.87f99b17a9cf2p-8, -0x1.80408f2a1d6ep-8, -0x1.78a9b5f3373cfp-8, -0x1.71348babd9e51p-8, -0x1.69e08e2c3dd33p-8, -0x1.62ad3ce8a3ab2p-8, -0x1.5b9a18ee28815p-8, -0x1.54a6a4df91eb3p-8, -0x1.4dd264f1e1c3fp-8, -0x1.471cdee957ff9p-8, -0x1.40859a15ec426p-8, -0x1.3a0c1f5010ef7p-8, -0x1.33aff8f57caffp-8, -0x1.2d70b2e5c421bp-8, -0x1.274dda7ef57ccp-8, -0x1.2146fe9a51384p-8, -0x1.1b5baf8914b22p-8, -0x1.158b7f10b9ca7p-8, -0x1.0fd6006817654p-8, -0x1.0a3ac8339b64ap-8, -0x1.04b96c8245729p-8, -0x1.fea30993b7448p-9, -0x1.f40553c811624p-9, -0x1.e998ec1532c39p-9, -0x1.df5d09a88816dp-9, -0x1.d550e662b859fp-9, -0x1.cb73bed09bf9dp-9, -0x1.c1c4d2249f78p-9, -0x1.b843623036635p-9, -0x1.aeeeb35ce7dc1p-9, -0x1.a5c60ca5b1392p-9, -0x1.9cc8b79091364p-9, -0x1.93f60027637d8p-9, -0x1.8b4d34f19b1f1p-9, -0x1.82cda6edb2b94p-9, -0x1.7a76a98a06e26p-9, -0x1.7247929f02574p-9, -0x1.6a3fba67d4edep-9, -0x1.625e7b7c60b71p-9, -0x1.5aa332ca7add1p-9, -0x1.530d3f8f76d18p-9, -0x1.4b9c0351ddf42p-9, -0x1.444ee1daa88fep-9, -0x1.3d25412f18f92p-9, -0x1.361e898a34278p-9, -0x1.2f3a2556783cbp-9, -0x1.28778127a8ffap-9, -0x1.21d60bb437931p-9, -0x1.1b5535cf473bfp-9, -0x1.14f472626d7aap-9, -0x1.0eb3366747ea4p-9, -0x1.0890f8e1c1c52p-9, -0x1.028d32d98e2efp-9, -0x1.f94ebea8af884p-10, -0x1.edbdf69ef622cp-10, -0x1.e2670b74dbbd2p-10, -0x1.d748fee0a23bep-10, -0x1.cc62d664cdb3bp-10, -0x1.c1b39b43d985ap-10, -0x1.b73a5a751d79cp-10, -0x1.acf624985a526p-10, -0x1.a2e60deb51eb8p-10, -0x1.99092e3d91baep-10, -0x1.8f5ea0e5145cdp-10, -0x1.85e584b3fa599p-10, -0x1.7c9cfbebee311p-10, -0x1.73842c34276f8p-10, -0x1.6a9a3e8e1adcep-10, -0x1.61de5f4a95a27p-10, -0x1.594fbdfebb29fp-10, -0x1.50ed8d79e30bp-10, -0x1.48b703ba0d8e2p-10, -0x1.40ab59e24d36ep-10, -0x1.38c9cc2fc8037p-10, -0x1.311199ef6cd1ep-10, -0x1.29820573f0d3cp-10, -0x1.221a540b2d211p-10, -0x1.1ad9cdf498052p-10, -0x1.13bfbe56fca42p-10, -0x1.0ccb73369254p-10, -0x1.05fc3d6af99cbp-10, -0x1.fea2e12c7dfcdp-11, -0x1.f194c6354a8e9p-11, -0x1.e4ccdc220e044p-11, -0x1.d849da7fd9e06p-11, -0x1.cc0a7e23dcaf6p-11, -0x1.c00d89183b2f5p-11, -0x1.b451c28b68fabp-11, -0x1.a8d5f6bc811ccp-11, -0x1.9d98f6e9cd17cp-11, -0x1.9299993fec3f6p-11, -0x1.87d6b8c65cf03p-11, -0x1.7d4f355024128p-11, -0x1.7301f3690b5d3p-11, -0x1.68eddc461019ap-11, -0x1.5f11ddb2f76bap-11, -0x1.556cea027ae1p-11, -0x1.4bfdf7fe6a6c3p-11, -0x1.42c402d621a0bp-11, -0x1.39be0a0f34d69p-11, -0x1.30eb117552f7cp-11, -0x1.284a210a9c9f4p-11, -0x1.1fda44f8092ddp-11, -0x1.179a8d7d69eb1p-11, -0x1.0f8a0ee377913p-11, -0x1.07a7e16b6cb89p-11, -0x1.ffe64281bd64ep-12, -0x1.f0d5dcd68217p-12, -0x1.e21cd97cbd573p-12, -0x1.d3b9879ab1ff7p-12, -0x1.c5aa3db67b64fp-12, -0x1.b7ed599a6f983p-12, -0x1.aa81403c0b831p-12, -0x1.9d645d9c17579p-12, -0x1.909524afe84ecp-12, -0x1.84120f436f151p-12, -0x1.77d99de0d79a3p-12, -0x1.6bea57b5baeeep-12, -0x1.6042ca79453a6p-12, -0x1.54e18a5255d5cp-12, -0x1.49c531c03006fp-12, -0x1.3eec617f604e4p-12, -0x1.3455c072d3d06p-12, -0x1.29fffb8ada85ep-12, -0x1.1fe9c5ae24f93p-12, -0x1.1611d7a09c20fp-12, -0x1.0c76efeebe33ap-12, -0x1.0317d2d3c91e6p-12, -0x1.f3e694494902cp-13, -0x1.e2104a731e236p-13, -0x1.d0aa71aef4ee9p-13, -0x1.bfb2be3426692p-13, -0x1.af26eebfa6d8bp-13, -0x1.9f04cc6499dc5p-13, -0x1.8f4a2a66e5776p-13, -0x1.7ff4e60f4f636p-13, -0x1.7102e68453266p-13, -0x1.62721c9fbd4c9p-13, -0x1.544082ca13eb9p-13, -0x1.466c1cd035767p-13, -0x1.38f2f7bfa6f04p-13, -0x1.2bd329bdff048p-13, -0x1.1f0ad1e5a3032p-13, -0x1.1298181fe5ba5p-13, -0x1.06792cfe8515p-13, -0x1.f558933574eedp-14, -0x1.de5f5ee1c49e2p-14, -0x1.c8035076ac8bdp-14, -0x1.b2410ba673592p-14, -0x1.9d154417ca1b8p-14, -0x1.887cbd257b8fap-14, -0x1.74744998c2628p-14, -0x1.60f8cb6efef78p-14, -0x1.4e07339194aafp-14, -0x1.3b9c819aebfd6p-14, -0x1.29b5c396cce9bp-14, -0x1.185015c68912bp-14, -0x1.0768a260edcb7p-14, -0x1.edf942b1800b5p-15, -0x1.ce12b044373f8p-15, -0x1.af1832ee33bcdp-15, -0x1.91048a42aa794p-15, -0x1.73d28f7a228a5p-15, -0x1.577d3508e6d3ep-15, -0x1.3bff863304cfep-15, -0x1.2154a69e1834dp-15, -0x1.0777d1e5bbf3ap-15, -0x1.dcc8b669a251bp-16, -0x1.ac2b59beff33bp-16, -0x1.7d0e8ff7a0dc4p-16, -0x1.4f6987ff50f9ap-16, -0x1.23339cb13d559p-16, -0x1.f0c8a85106e6ap-17, -0x1.9de6bde5b3a7bp-17, -0x1.4db12eb396c18p-17, -0x1.0018014774396p-17, -0x1.6a1719a2f6899p-18, -0x1.b1f1dea7539bcp-19, -0x1.32ddafab2657cp-20, 0x1.d6577ad47924cp-21, 0x1.7b56163bd53b2p-19, 0x1.3c053c75e40a3p-18, 0x1.b5f5477063646p-18, 0x1.15cb30daea2c2p-17, 0x1.4e819a8329b1ap-17, 0x1.852af0e365408p-17, 0x1.b9d400ab1a3cp-17, 0x1.ec89543f9b04ep-17, 0x1.0eab9a7405d3ap-16, 0x1.2624d5fcfb5bap-16, 0x1.3cb64201d8111p-16, 0x1.5265a4eefdc91p-16, 0x1.6738a6eb60b27p-16, 0x1.7b34d25cce144p-16, 0x1.8e5f9477a096ep-16, 0x1.a0be3dc1e7803p-16, 0x1.b256029d84a48p-16, 0x1.c32bfbc12326dp-16, 0x1.d34526c297b4bp-16, 0x1.e2a6669313377p-16, 0x1.f15483f6af21ap-16, 0x1.ff542e02a3564p-16, 0x1.0654fd4c8fc03p-15, 0x1.0cad336e36657p-15, 0x1.12b4ebd029237p-15, 0x1.186e4cf17cd49p-15, 0x1.1ddb719c93463p-15, 0x1.22fe691fdbd5dp-15, 0x1.27d9378481b58p-15, 0x1.2c6dd5c322de5p-15, 0x1.30be31f886a64p-15, 0x1.34cc2f9a2a8b2p-15, 0x1.3899a7a9cdbe8p-15, 0x1.3c2868e67092fp-15, 0x1.3f7a37fdd2025p-15, 0x1.4290cfbdc5371p-15, 0x1.456de143de4d5p-15, 0x1.4813142bad6c5p-15, 0x1.4a8206bcb905ep-15, 0x1.4cbc4e17ce078p-15, 0x1.4ec3766478c1fp-15, 0x1.509902fcaa857p-15, 0x1.523e6e968576cp-15, 0x1.53b52b6fcfbaep-15, 0x1.54fea37760e6fp-15, 0x1.561c38766c20ep-15, 0x1.570f4437c6aep-15, 0x1.57d918b02b113p-15, 0x1.587b0023f5157p-15, 0x1.58f63d4edc037p-15, 0x1.594c0b8800208p-15, 0x1.597d9ee7ef809p-15, 0x1.598c246b6af03p-15, 0x1.5978c2193291ap-15, 0x1.59449722f552ap-15, 0x1.58f0bc0785006p-15, 0x1.587e42b6ec6c5p-15, 0x1.57ee36b18bf2ep-15, 0x1.57419d28d0bc5p-15, 0x1.5679751f90d7p-15, 0x1.5596b7899fb79p-15, 0x1.549a576aa64b3p-15, 0x1.538541f4d5356p-15, 0x1.52585ea5aff18p-15, 0x1.51148f63c16c2p-15, 0x1.4fbab09c2d4dp-15, 0x1.4e4b995d819d1p-15, 0x1.4cc81b74a5ef4p-15, 0x1.4b31038761b9bp-15, 0x1.4987192feac5dp-15, 0x1.47cb1f15a592bp-15, 0x1.45fdd3086e3c7p-15, 0x1.441fee192f6f9p-15, 0x1.423224b2e62b1p-15, 0x1.403526b34c852p-15, 0x1.3e299f8311247p-15, 0x1.3c10362c46f67p-15, 0x1.39e98d729235dp-15, 0x1.37b643e936215p-15, 0x1.3576f4098569ep-15, 0x1.332c34490cbbep-15, 0x1.30d6972f7142dp-15, 0x1.2e76ab6a8992fp-15, 0x1.2c0cfbe3168a7p-15, 0x1.299a0fd1cce73p-15, 0x1.271e6ad29d95p-15, 0x1.249a8cf8d909ap-15, 0x1.220ef2e23b0c1p-15, 0x1.1f7c15c990854p-15, 0x1.1ce26b98eeb4ep-15, 0x1.1a4266fca16d8p-15, 0x1.179c777475f01p-15, 0x1.14f1096557ecep-15, 0x1.1240862a687ddp-15, 0x1.0f8b54259ef3ap-15, 0x1.0cd1d6d09ef61p-15, 0x1.0a146eccded19p-15, 0x1.075379f3a7f1p-15, 0x1.048f536589067p-15, }}, 
      {{-0x1.29b4b0da9157fp-2, -0x1.2a2dc4e532923p-2, -0x1.2ae8af91842f3p-2, -0x1.2bd69526e4e8p-2, -0x1.2ce9c8179d6cfp-2, -0x1.2e171b7c59ab5p-2, -0x1.2f5631cdcd553p-2, -0x1.30a14752e0217p-2, -0x1.31f4c5942dbbbp-2, -0x1.334ec9a04155ep-2, -0x1.34aeb102d818bp-2, -0x1.3614b53e21254p-2, -0x1.378197a9dd382p-2, -0x1.38f65d1e29efep-2, -0x1.3a7417ff9cafep-2, -0x1.3bfbbf22bfaa5p-2, -0x1.3d8e1010d060bp-2, -0x1.3f2b7b4bf1ca4p-2, -0x1.40d41939936d4p-2, -0x1.4287a65a24087p-2, -0x1.444585754b5e5p-2, -0x1.460cc66824804p-2, -0x1.47dc3052ee5c6p-2, -0x1.49b24dfdd4ba3p-2, -0x1.4b8d7b6f1dc6p-2, -0x1.4d6bf3d580c22p-2, -0x1.4f4bdf147f028p-2, -0x1.512b5e6b6842dp-2, -0x1.530897d7cc03dp-2, -0x1.54e1bff7f4c4fp-2, -0x1.56b522506c512p-2, -0x1.588127f03eeecp-2, -0x1.5a445c829c9f4p-2, -0x1.5bfd71ea2b7e6p-2, -0x1.5dab428b440ebp-2, -0x1.5f4cd26f5c68cp-2, -0x1.60e14f6db57c5p-2, -0x1.62681084becedp-2, -0x1.63e0948d44e32p-2, -0x1.654a806cf00fap-2, -0x1.66a59ce95d6adp-2, -0x1.67f1d4388ca8dp-2, -0x1.692f2f66d9f57p-2, -0x1.6a5dd3a66617dp-2, -0x1.6b7dff97d96b9p-2, -0x1.6c900898e4ae4p-2, -0x1.6d945821e0f56p-2, -0x1.6e8b69395645cp-2, -0x1.6f75c60222b39p-2, -0x1.705405674f21bp-2, -0x1.7126c8e75008fp-2, -0x1.71eeba7f81dbap-2, -0x1.72ac8ab7fafa6p-2, -0x1.7360eecf57bdcp-2, -0x1.740c9f05d50f8p-2, -0x1.74b05506ed818p-2, -0x1.754cca708bd42p-2, -0x1.75e2b776f14dfp-2, -0x1.7672d1a475bf9p-2, -0x1.76fdcab447f01p-2, -0x1.77844f87777d9p-2, -0x1.780707338fe93p-2, -0x1.7886922a1e913p-2, -0x1.7903897887e6ap-2, -0x1.797e7e1f84bf7p-2, -0x1.79f7f881b5c14p-2, -0x1.7a7077e89c877p-2, -0x1.7ae8721f52838p-2, -0x1.7b60532242ad2p-2, -0x1.7bd87ce320895p-2, -0x1.7c5147203ede2p-2, -0x1.7ccaff4e6a9ddp-2, -0x1.7d45e89446fd4p-2, -0x1.7dc23bd6338a5p-2, -0x1.7e4027d1a4fb2p-2, -0x1.7ebfd146d499dp-2, -0x1.7f41532fa1632p-2, -0x1.7fc4bf027c2cdp-2, -0x1.804a1d0027725p-2, -0x1.80d16c8b23abbp-2, -0x1.815aa4878bf65p-2, -0x1.81e5b3c242fdbp-2, -0x1.8272815e434f7p-2, -0x1.8300ed46f30a2p-2, -0x1.8390d0a66d4a9p-2, -0x1.8421fe5eb2df8p-2, -0x1.84b44384c7912p-2, -0x1.854767dcd3c6ap-2, -0x1.85db2e5666461p-2, -0x1.866f55880f457p-2, -0x1.8703982991f5ep-2, -0x1.8797ad8c095ffp-2, -0x1.882b4a0f5c129p-2, -0x1.88be1f94814dfp-2, -0x1.894fddec1347cp-2, -0x1.89e03340d06b1p-2, -0x1.8a6ecc7daf37fp-2, -0x1.8afb55af3ca1ap-2, -0x1.8b857a60098c1p-2, -0x1.8c0ce5f001255p-2, -0x1.8c9143e67d00cp-2, -0x1.8d12403f128efp-2, -0x1.8d8f87b10383p-2, -0x1.8e08c7f15c24ep-2, -0x1.8e7dafefc7ecp-2, -0x1.8eedf00e2d889p-2, -0x1.8f593a532fd36p-2, -0x1.8fbf4297b18cap-2, -0x1.901fbeaf8854dp-2, -0x1.907a668d82f01p-2, -0x1.90cef462f80bdp-2, -0x1.911d24bb0ad33p-2, -0x1.9164b691e2035p-2, -0x1.91a56b68008f7p-2, -0x1.91df0751ff291p-2, -0x1.92115104d85efp-2, -0x1.923c11df0b0e5p-2, -0x1.925f15eec2a54p-2, -0x1.927a2bf542c95p-2, -0x1.928d2567d151bp-2, -0x1.9297d66e4be08p-2, -0x1.929a15dfa9c41p-2, -0x1.9293bd3c96188p-2, -0x1.9284a8a853dedp-2, -0x1.926cb6e022201p-2, -0x1.924bc931434d6p-2, -0x1.9221c36dddf44p-2, -0x1.91ee8be0d43f2p-2, -0x1.91b20b40c4d6p-2, -0x1.916c2ca24b8dcp-2, -0x1.911cdd69af316p-2, -0x1.90c40d3c13461p-2, -0x1.9061adf04f349p-2, -0x1.8ff5b37f8066fp-2, -0x1.8f8013f57773ep-2, -0x1.8f00c7610995bp-2, -0x1.8e77c7c468b96p-2, -0x1.8de51105861c6p-2, -0x1.8d48a0de98195p-2, -0x1.8ca276cecf746p-2, -0x1.8bf2940b42c0bp-2, -0x1.8b38fb7022c6ep-2, -0x1.8a75b172377dcp-2, -0x1.89a8bc10b4175p-2, -0x1.88d222c766184p-2, -0x1.87f1ee8141abfp-2, -0x1.8708298b515e8p-2, -0x1.8614df880a1cep-2, -0x1.85181d6308522p-2, -0x1.8411f1452f88dp-2, -0x1.83026a8936adfp-2, -0x1.81e999b095163p-2, -0x1.80c79058d9105p-2, -0x1.7f9c61315bb48p-2, -0x1.7e681ff159dc1p-2, -0x1.7d2ae14e67b2p-2, -0x1.7be4baf33d1b1p-2, -0x1.7a95c376da13ep-2, -0x1.793e1253fe9ecp-2, -0x1.77ddbfe0ed768p-2, -0x1.7674e5477d099p-2, -0x1.75039c7d6d118p-2, -0x1.738a003cfcd15p-2, -0x1.72082bfdc2db8p-2, -0x1.707e3bedbb613p-2, -0x1.6eec4cea8bb8dp-2, -0x1.6d527c7afb1c8p-2, -0x1.6bb0e8c8944e5p-2, -0x1.6a07b09973a96p-2, -0x1.6856f34a3a239p-2, -0x1.669ed0c823ef7p-2, -0x1.64df698b3b43fp-2, -0x1.6318de90abaf8p-2, -0x1.614b51552854cp-2, -0x1.5f76e3cf6e4cfp-2, -0x1.5d9bb86ad5fe4p-2, -0x1.5bb9f201f67a9p-2, -0x1.59d1b3d95a053p-2, -0x1.57e3219a3bd4bp-2, -0x1.55ee5f4d51b4ep-2, -0x1.53f39155a2dacp-2, -0x1.51f2dc6b5eb7dp-2, -0x1.4fec6596c3329p-2, -0x1.4de0522b01fdbp-2, -0x1.4bcec7c12c87ep-2, -0x1.49b7ec332684dp-2, -0x1.479be5969561ep-2, -0x1.457ada37d9d84p-2, -0x1.4354f095089e3p-2, -0x1.412a4f58e469fp-2, -0x1.3efb1d55dccadp-2, -0x1.3cc781810ec53p-2, -0x1.3a8fa2ed48824p-2, -0x1.3853a8c610849p-2, -0x1.3613ba4aadbdcp-2, -0x1.33cffec939515p-2, -0x1.31889d99afe6ep-2, -0x1.2f3dbe190994dp-2, -0x1.2cef87a45b07fp-2, -0x1.2a9e2193f8dddp-2, -0x1.2849b336a5fdbp-2, -0x1.25f263ccc9dc4p-2, -0x1.23985a83b06c5p-2, -0x1.213bbe70d26acp-2, -0x1.1edcb68d2c2dbp-2, -0x1.1c7b69b09f72ep-2, -0x1.1a17fe8d610d7p-2, -0x1.17b29bab789c5p-2, -0x1.154b67644ace8p-2, -0x1.12e287de37721p-2, -0x1.1078230847c8ep-2, -0x1.0e0c5e95ee74fp-2, -0x1.0b9f5ffadabeep-2, -0x1.09314c66e0172p-2, -0x1.06c248c1f1623p-2, -0x1.045279a834045p-2, -0x1.01e20366287a8p-2, -0x1.fee213e9ce5c7p-3, -0x1.f9ff61ecf7443p-3, -0x1.f51c3764a34d8p-3, -0x1.f038da2381d0cp-3, -0x1.eb558f395eb5bp-3, -0x1.e6729aeca159dp-3, -0x1.e19040b3faf67p-3, -0x1.dcaec330553ccp-3, -0x1.d7ce6426ef90ap-3, -0x1.d2ef647bbd5a7p-3, -0x1.ce12042bf59b6p-3, -0x1.c9368248e63c4p-3, -0x1.c45d1cf2f97fcp-3, -0x1.bf861154fbaacp-3, -0x1.bab19b9f99d96p-3, -0x1.b5dff7051e66bp-3, -0x1.b1115db567623p-3, -0x1.ac4608da1a97ep-3, -0x1.a77e309312c52p-3, -0x1.a2ba0bf30de4cp-3, -0x1.9df9d0fc93c6dp-3, -0x1.993db49f16b61p-3, -0x1.9485eab453725p-3, -0x1.8fd2a5fde8959p-3, -0x1.8b2418232c6c6p-3, -0x1.867a71af36b42p-3, -0x1.81d5e20f2a8f8p-3, -0x1.7d369790b37f2p-3, -0x1.789cbf60bfed3p-3, -0x1.7408858a6a572p-3, -0x1.6f7a14f625519p-3, -0x1.6af197690f20cp-3, -0x1.666f358489ed8p-3, -0x1.61f316c5f647cp-3, -0x1.5d7d6186afa24p-3, -0x1.590e3afc3143cp-3, -0x1.54a5c7386f1e3p-3, -0x1.5044292a5d44cp-3, -0x1.4be9829eaa659p-3, -0x1.4795f4409e54bp-3, -0x1.43499d9b2f1f7p-3, -0x1.3f049d1a394f8p-3, -0x1.3ac7100be428ap-3, -0x1.369112a233a42p-3, -0x1.3262bff4b691cp-3, -0x1.2e3c320267bd2p-3, -0x1.2a1d81b3a7b45p-3, -0x1.2606c6dc636a6p-3, -0x1.21f8183e57e1p-3, -0x1.1df18b8b773f3p-3, -0x1.19f335686e72ep-3, -0x1.15fd296f4c406p-3, -0x1.120f7a323babp-3, -0x1.0e2a393e65f33p-3, -0x1.0a4d771ee62bfp-3, -0x1.0679435fdd5c6p-3, -0x1.02adac91920ffp-3, -0x1.fdd5809774401p-4, -0x1.f66116618737dp-4, -0x1.eefe31e28a8b7p-4, -0x1.e7ace89eea703p-4, -0x1.e06d4e456cd49p-4, -0x1.d93f74b66f975p-4, -0x1.d2236c0b3d9dcp-4, -0x1.cb19429d87193p-4, -0x1.c421050ef26cep-4, -0x1.bd3abe50c2311p-4, -0x1.b66677ab991d4p-4, -0x1.afa438c741785p-4, -0x1.a8f407b29978dp-4, -0x1.a255e8eb86b04p-4, -0x1.9bc9df66f2408p-4, -0x1.954fec98d4611p-4, -0x1.8ee8107c514d5p-4, -0x1.8892499bd0bfep-4, -0x1.824e9519259c8p-4, -0x1.7c1ceeb5b350ep-4, -0x1.75fd50da9ce25p-4, -0x1.6fefb4a0ec10bp-4, -0x1.69f411d9befbfp-4, -0x1.640a5f1672ccp-4, -0x1.5e3291b0c4d84p-4, -0x1.586c9dd2f6463p-4, -0x1.52b8767fe3b13p-4, -0x1.4d160d9b16aa1p-4, -0x1.478553f0d0008p-4, -0x1.4206393e01af8p-4, -0x1.3c98ac3844be9p-4, -0x1.373c9a95bbc8cp-4, -0x1.31f1f114ea144p-4, -0x1.2cb89b847dff9p-4, -0x1.279084cb05f82p-4, -0x1.227996ee99207p-4, -0x1.1d73bb1c6c157p-4, -0x1.187ed9b052b34p-4, -0x1.139ada3c2f083p-4, -0x1.0ec7a38f4a761p-4, -0x1.0a051bbd9bd49p-4, -0x1.05532826f4f23p-4, -0x1.00b1ad7e1bd9dp-4, -0x1.f8411f9f974a2p-5, -0x1.ef3f65133ac17p-5, -0x1.e65df101b58edp-5, -0x1.dd9c87f269ac7p-5, -0x1.d4faed56c542dp-5, -0x1.cc78e39753fd9p-5, -0x1.c4162c208c1d9p-5, -0x1.bbd2876f796afp-5, -0x1.b3adb51e2113ep-5, -0x1.aba773efc099dp-5, -0x1.a3bf81dcc607p-5, -0x1.9bf59c1e9c821p-5, -0x1.94497f3b3d6c1p-5, -0x1.8cbae71087709p-5, -0x1.85498edf6237p-5, -0x1.7df53156a8baap-5, -0x1.76bd889dd3f31p-5, -0x1.6fa24e5f7aea8p-5, -0x1.68a33bd38f9fap-5, -0x1.61c009c9628ecp-5, -0x1.5af870b1765ffp-5, -0x1.544c28a7127edp-5, -0x1.4dbae979a3079p-5, -0x1.47446ab5dc2f7p-5, -0x1.40e863aea9f51p-5, -0x1.3aa68b85e4b46p-5, -0x1.347e9934cd14fp-5, -0x1.2e70439455a84p-5, -0x1.287b416534962p-5, -0x1.229f4957b59aap-5, -0x1.1cdc1213676c1p-5, -0x1.1731523e820e9p-5, -0x1.119ec085201e9p-5, -0x1.0c2413a048f5ap-5, -0x1.06c1025cb79b2p-5, -0x1.017543a17cc41p-5, -0x1.f8811cecc2466p-6, -0x1.ee45341447ac5p-6, -0x1.e4363b70f0df1p-6, -0x1.da53a21fb58fbp-6, -0x1.d09cd7ae5d789p-6, -0x1.c7114c266fa23p-6, -0x1.bdb07017ac23dp-6, -0x1.b479b4a235abdp-6, -0x1.ab6c8b805aa04p-6, -0x1.a28867100865ep-6, -0x1.99ccba5bdc23p-6, -0x1.9138f923e3fe3p-6, -0x1.88cc97e60379bp-6, -0x1.80870be609b32p-6, -0x1.7867cb35673b6p-6, -0x1.706e4cbaa060ap-6, -0x1.689a08386565dp-6, -0x1.60ea76545bea9p-6, -0x1.595f109d9f235p-6, -0x1.51f75192eba09p-6, -0x1.4ab2b4a88dddfp-6, -0x1.4390b64df11dp-6, -0x1.3c90d3f301eb7p-6, -0x1.35b28c0d2f8d4p-6, -0x1.2ef55e1c3b70bp-6, -0x1.2858caaec243fp-6, -0x1.21dc5366741ep-6, -0x1.1b7f7afc21bbp-6, -0x1.1541c54376af7p-6, -0x1.0f22b72e87fa7p-6, -0x1.0921d6d11a1d5p-6, -0x1.033eab63aee79p-6, -0x1.faf17a8cbb8f6p-7, -0x1.ef9f2c06dc5fap-7, -0x1.e48580a38f828p-7, -0x1.d9a3902e2cf16p-7, -0x1.cef874d3b4e45p-7, -0x1.c4834b264677bp-7, -0x1.ba43322078c34p-7, -0x1.b0374b2816519p-7, -0x1.a65eba10afc67p-7, -0x1.9cb8a51da8d2ap-7, -0x1.93443504181dfp-7, -0x1.8a0094ec2cc07p-7, -0x1.80ecf2725736ep-7, -0x1.78087da827c0bp-7, -0x1.6f526914bd8e8p-7, -0x1.66c9e9b5250d4p-7, -0x1.5e6e36fc280cbp-7, -0x1.563e8ad2113afp-7, -0x1.4e3a21941b2ebp-7, -0x1.46603a13853b2p-7, -0x1.3eb0159488516p-7, -0x1.3728f7cd070fdp-7, -0x1.2fca26e2f7969p-7, -0x1.2892eb6aa9318p-7, -0x1.21829064b0eb5p-7, -0x1.1a98633bcf171p-7, -0x1.13d3b3c27f24ep-7, -0x1.0d33d43062968p-7, -0x1.06b8191f7e36bp-7, -0x1.005fd9894bd3bp-7, -0x1.f454dd87460a7p-8, -0x1.e82e68facc456p-8, -0x1.dc4b1176529fp-8, -0x1.d0a997a7272afp-8, -0x1.c548c0d7572e6p-8, -0x1.ba2756e615014p-8, -0x1.af44283fb1925p-8, -0x1.a49e07d5815e8p-8, -0x1.9a33cd1563f4ep-8, -0x1.900453e12ccd3p-8, -0x1.860e7c85cec0ep-8, -0x1.7c512bb25c2bfp-8, -0x1.72cb4a6ec0f6fp-8, -0x1.697bc6126db68p-8, -0x1.6061903ac7ae4p-8, -0x1.577b9ec17d3e3p-8, -0x1.4ec8ebb2a3fd3p-8, -0x1.46487542c55fdp-8, -0x1.3df93dc4ccf89p-8, -0x1.35da4b9fbc74fp-8, -0x1.2deaa9447a0f2p-8, -0x1.262965234535fp-8, -0x1.1e9591a15a35cp-8, -0x1.172e450e3706dp-8, -0x1.0ff2999914bdbp-8, -0x1.08e1ad4613dc1p-8, -0x1.01faa1e38e116p-8, -0x1.f67939fe62c05p-9, -0x1.e94d8fb64acaep-9, -0x1.dc709ec64a2bcp-9, -0x1.cfe0c8431b00fp-9, -0x1.c39c7468c68f5p-9, -0x1.b7a21284c237cp-9, -0x1.abf018dfeaa62p-9, -0x1.a08504a86cfbep-9, -0x1.955f59dc0a0dcp-9, -0x1.8a7da331b9c04p-9, -0x1.7fde720416cd4p-9, -0x1.75805e3b27485p-9, -0x1.6b62063691c93p-9, -0x1.61820eb7ccf55p-9, -0x1.57df22cc32e2ep-9, -0x1.4e77f3b771f03p-9, -0x1.454b38ddca5f6p-9, -0x1.3c57afae6a591p-9, -0x1.339c1b8e26419p-9, -0x1.2b1745c1e50ecp-9, -0x1.22c7fd5968f0dp-9, -0x1.1aad171a17fabp-9, -0x1.12c56d6a01974p-9, -0x1.0b0fe03acf2a4p-9, -0x1.038b54f50b62ep-9, -0x1.f86d6cc6d8bd9p-10, -0x1.ea21e93c68a41p-10, -0x1.dc3209edde236p-10, -0x1.ce9bc3c823915p-10, -0x1.c15d15d9c0f51p-10, -0x1.b474092b1202fp-10, -0x1.a7deb096be86p-10, -0x1.9b9b28a1fb9ddp-10, -0x1.8fa7975692b9cp-10, -0x1.84022c1b1d358p-10, -0x1.78a91f8dc51a8p-10, -0x1.6d9ab35dd4c21p-10, -0x1.62d5322639a9cp-10, -0x1.5856ef4884415p-10, -0x1.4e1e46c7f2facp-10, -0x1.44299d25299ddp-10, -0x1.3a775f39de792p-10, -0x1.31060215535d7p-10, -0x1.27d402d91106p-10, -0x1.1edfe695e84fdp-10, -0x1.16283a29393e5p-10, -0x1.0dab921b28b1fp-10, -0x1.05688a7c73263p-10, -0x1.fabb8d8aeb068p-11, -0x1.eb13e3699f674p-11, -0x1.dbd77a5e18325p-11, -0x1.cd03c43c97ec1p-11, -0x1.be9640a546806p-11, -0x1.b08c7cc4e0216p-11, -0x1.a2e41316fd4c8p-11, -0x1.959aab290b5afp-11, -0x1.88adf95d8b531p-11, -0x1.7c1bbeb0653f5p-11, -0x1.6fe1c87c25eecp-11, -0x1.63fdf0403d6a2p-11, -0x1.586e1b6704e3fp-11, -0x1.4d303b0e1f035p-11, -0x1.42424bcdcb183p-11, -0x1.37a25582bde6cp-11, -0x1.2d4e6b17abdc4p-11, -0x1.2344aa4fbaf9cp-11, -0x1.19833b923edcp-11, -0x1.100851b6939cdp-11, -0x1.06d229d137558p-11, -0x1.fbbe160295139p-12, -0x1.ea5a8c7e013afp-12, -0x1.d9766c55d56cfp-12, -0x1.c90e7dbbda9d9p-12, -0x1.b91f9b72e3cc4p-12, -0x1.a9a6b272904a1p-12, -0x1.9aa0c18b3b7d5p-12, -0x1.8c0ad90b08d1bp-12, -0x1.7de21a65c6176p-12, -0x1.7023b7dcd0957p-12, -0x1.62ccf42978b88p-12, -0x1.55db2227c7ef6p-12, -0x1.494ba4836a2acp-12, -0x1.3d1bed657e65cp-12, -0x1.31497e246fcc5p-12, -0x1.25d1e6f40ac78p-12, -0x1.1ab2c69863f6bp-12, -0x1.0fe9ca18475dbp-12, -0x1.0574ac724374ap-12, -0x1.f6a26ca509788p-13, -0x1.e2fa7b94c7d68p-13, -0x1.cfed4c11013d6p-13, -0x1.bd76be24df201p-13, -0x1.ab92caffc54b1p-13, -0x1.9a3d846d4c0f2p-13, -0x1.8973145030d4ap-13, -0x1.792fbc1ec2c88p-13, -0x1.696fd463c5a6fp-13, -0x1.5a2fcc3e3a98fp-13, -0x1.4b6c28e6c784ap-13, -0x1.3d2185357309p-13, -0x1.2f4c912a20d67p-13, -0x1.21ea1176e99bap-13, -0x1.14f6df0de3d9cp-13, -0x1.086fe6af21ddep-13, -0x1.f8a450f4c85d3p-14, -0x1.e1356f0366edap-14, -0x1.ca8d72bdc1426p-14, -0x1.b4a6cb96b6103p-14, -0x1.9f7c0c6f83a96p-14, -0x1.8b07ead1b2e6bp-14, -0x1.77453e26cd7dep-14, -0x1.642efef8634dcp-14, -0x1.51c0462f43909p-14, -0x1.3ff44c5c4015bp-14, -0x1.2ec668fd8e88p-14, -0x1.1e3211ceb585fp-14, -0x1.0e32da170305ap-14, -0x1.fd88e3fc36443p-15, -0x1.dfc54bc4922c7p-15, -0x1.c312bb66b3ee2p-15, -0x1.a76938a18168ap-15, -0x1.8cc0fdd46d732p-15, -0x1.731278c8c5f7ep-15, -0x1.5a5649805f7a8p-15, -0x1.42854109bf2f3p-15, -0x1.2b98605c9ea7dp-15, -0x1.1588d739f9a14p-15, -0x1.00500315080aap-15, -0x1.d7cedbfbefc58p-16, -0x1.b0919b2a663a3p-16, -0x1.8adc040972802p-16, -0x1.66a229f91cce2p-16, -0x1.43d8716ca057fp-16, -0x1.22738dfc77989p-16, -0x1.026880810d7f9p-16, -0x1.c7592a7111257p-17, -0x1.8c6ac3ebb0119p-17, -0x1.53f188b35f9b4p-17, -0x1.1dd9c035f0665p-17, -0x1.d420753698e0fp-18, -0x1.71049af4901e2p-18, -0x1.123ba12647491p-18, -0x1.6f446aa576f83p-19, -0x1.8457f2c56e66cp-20, -0x1.ceb1c571c1f17p-23, 0x1.017e4e5d281d8p-20, 0x1.171200399a75dp-19, 0x1.a64add5d41171p-19, 0x1.1752bbfa05f67p-18, 0x1.582def7dd2dc2p-18, 0x1.95d340e6912dfp-18, 0x1.d05e1d2d7b222p-18, 0x1.03f495e335bcp-17, 0x1.1e4729c5cc07cp-17, 0x1.37335fcb8c7c3p-17, 0x1.4ec5720859353p-17, 0x1.650941644142dp-17, 0x1.7a0a57de94bfep-17, 0x1.8dd3eacbc0f5ep-17, 0x1.a070dcf9dba4dp-17, 0x1.b1ebc0cc6d971p-17, 0x1.c24eda5869986p-17, 0x1.d1a4215b5c612p-17, 0x1.dff5433d0250ep-17, 0x1.ed4ba4fd13821p-17, 0x1.f9b0650d72e54p-17, 0x1.02962e9761a5p-16, 0x1.07e4121d44e07p-16, 0x1.0cc607f0dd0c3p-16, 0x1.11401b32390fap-16, 0x1.1556381d522fcp-16, 0x1.190c2cddd4ea3p-16, 0x1.1c65aa5756151p-16, 0x1.1f6644edc25dp-16, 0x1.2211754787999p-16, 0x1.246a9908c3d1ep-16, 0x1.2674f3917dc3p-16, 0x1.2833aeabb549dp-16, 0x1.29a9db3f2416bp-16, 0x1.2ada71fcff389p-16, 0x1.2bc854042ccafp-16, 0x1.2c764b891be78p-16, 0x1.2ce70c71ba51cp-16, 0x1.2d1d34f422371p-16, 0x1.2d1b4e2aa4df3p-16, 0x1.2ce3ccab6efb6p-16, 0x1.2c791115a8e31p-16, 0x1.2bdd68a0966c1p-16, 0x1.2b130da2c54bfp-16, 0x1.2a1c281a65cafp-16, 0x1.28face2d46a2p-16, 0x1.27b104a8c26f5p-16, 0x1.2640bf7ecd761p-16, 0x1.24abe23bceb1p-16, 0x1.22f44081393a5p-16, 0x1.211b9e73f2017p-16, 0x1.1f23b12ebf86cp-16, 0x1.1d0e1f2dff6b3p-16, 0x1.1adc80ba831a6p-16, 0x1.1890605059104p-16, 0x1.162b3b05ad2d6p-16, 0x1.13ae80eaae047p-16, 0x1.111b956a71f56p-16, 0x1.0e73cfa899dafp-16, 0x1.0bb87adab741ap-16, 0x1.08ead6a318bdep-16, 0x1.060c17641e93p-16, 0x1.031d66964f5a3p-16, 0x1.001fe319621cdp-16, 0x1.fa294308bf5fp-17, 0x1.f3f958e4a703bp-17, 0x1.edb2099ae76f7p-17, 0x1.e755443355772p-17, 0x1.e0e4e576404fbp-17, 0x1.da62b87946da6p-17, 0x1.d3d07726b9e79p-17, 0x1.cd2fcabed74bdp-17, 0x1.c6824c5c69f8ep-17, 0x1.bfc9856e926e1p-17, 0x1.b906f030fff53p-17, 0x1.b23bf8277ab72p-17, 0x1.ab69fa8b7aa29p-17, 0x1.a49246bf59b6ep-17, 0x1.9db61eb927504p-17, 0x1.96d6b76f2eae7p-17, 0x1.8ff5393b746eep-17, 0x1.8912c042a602fp-17, 0x1.82305cd4c0d2fp-17, 0x1.7b4f13cbcdf26p-17, 0x1.746fdee6d27e1p-17, 0x1.6d93ad26043c4p-17, 0x1.66bb631f08738p-17, 0x1.5fe7db5409182p-17, 0x1.5919e68350209p-17, 0x1.52524bfa67918p-17, 0x1.4b91c9e1f1b32p-17, 0x1.44d915884e73ep-17, 0x1.3e28dbaea92c8p-17, 0x1.3781c0cbb735cp-17, 0x1.30e4615483967p-17, 0x1.2a5151fe3c0f9p-17, 0x1.23c91fffb7afap-17, 0x1.1d4c5152c50cbp-17, 0x1.16db64eea1a35p-17, 0x1.1076d307a2871p-17, 0x1.0a1f0d45d022ap-17, 0x1.03d47f00adaa3p-17, 0x1.fb2f1ae7ac83ap-18, 0x1.eed12feca424fp-18, 0x1.e28ff058f74dp-18, 0x1.d66c0476c611dp-18, 0x1.ca6609f3bdfdcp-18, 0x1.be7e943ea7fc9p-18, 0x1.b2b62ce139a59p-18, 0x1.a70d53df0fc56p-18, 0x1.9b8480059f035p-18, 0x1.901c1f463f1a6p-18, 0x1.84d497036b7d3p-18, 0x1.79ae4461ffbbcp-18, 0x1.6ea97c94cf4d2p-18, 0x1.63c68d29c14e3p-18, 0x1.5905bc4c1bccap-18, 0x1.4e674911c8bd5p-18, 0x1.43eb6bb93a4c5p-18, 0x1.399255eff27a3p-18, 0x1.2f5c330df562ep-18, 0x1.2549285848fd7p-18, 0x1.1b595537edf5bp-18, 0x1.118cd378ac024p-18, 0x1.07e3b77dd9d84p-18, 0x1.fcbc20f77e3cep-19, 0x1.e9f7d15443f0bp-19, 0x1.d77a8af08c291p-19, 0x1.c5444f80bc6a7p-19, 0x1.b35517e900263p-19, 0x1.a1acd49ea932fp-19, 0x1.904b6e02cad93p-19, 0x1.7f30c4b5b4f4fp-19, 0x1.6e5cb1f1127eap-19, 0x1.5dcf07d39e275p-19, 0x1.4d8791b7f2a38p-19, 0x1.3d861476d766fp-19, 0x1.2dca4ebc804b2p-19, 0x1.1e53f949c62bbp-19, 0x1.0f22c73b0d576p-19, 0x1.0036664bbb2dp-19, 0x1.e31cfe3182319p-20, 0x1.c6556ab83e92ap-20, 0x1.aa15505a55351p-20, 0x1.8e5be472b713p-20, 0x1.732853fb865acp-20, 0x1.5879c3fb6f5dfp-20, 0x1.3e4f51f158133p-20, 0x1.24a8143a65376p-20, 0x1.0b831a749d3ecp-20, 0x1.e5bedbbd8b872p-21, 0x1.b5782369ce5e4p-21, 0x1.863007193464fp-21, 0x1.57e4774e48241p-21, 0x1.2a935a846025bp-21, 0x1.fc751bd0c9942p-22, 0x1.a5afcbafede37p-22, 0x1.50d25d160059ep-22, 0x1.fbb0b2666cf67p-23, 0x1.597a763923fbdp-23, 0x1.75f1c32e0c9cep-24, 0x1.0115c2cf6b68p-26, -0x1.dc455f64ce8e8p-25, -0x1.0aacb5b006712p-23, -0x1.9ab8da54d0d65p-23, -0x1.139fa7d39939cp-22, -0x1.5824d75a815edp-22, -0x1.9af0cef0033f5p-22, -0x1.dc0867c1e610fp-22, -0x1.0db8401473529p-21, -0x1.2c96fd7f3edfap-21, -0x1.4aa2df6e397c3p-21, -0x1.67de5abf957c6p-21, -0x1.844be58d3428fp-21, -0x1.9fedf6df85f7p-21, -0x1.bac706614bcdcp-21, -0x1.d4d98c123bc02p-21, -0x1.ee28000d4ef9ap-21, -0x1.035a6d1b4da68p-20, -0x1.0f41490259225p-20, -0x1.1ac9cf20a3608p-20, -0x1.25f53a673bbeep-20, -0x1.30c4c5362028ep-20, -0x1.3b39a9407b2dp-20, -0x1.45551f75e80a7p-20, -0x1.4f185fe51107dp-20, -0x1.5884a1a7fa443p-20, -0x1.619b1aca32525p-20, -0x1.6a5d0035c435cp-20, -0x1.72cb859caab58p-20, -0x1.7ae7dd652fed7p-20, -0x1.82b33897f9c27p-20, -0x1.8a2ec6ce670bbp-20, -0x1.915bb621a9cf5p-20, -0x1.983b3316e1a7p-20, -0x1.9ece689405422p-20, -0x1.a5167fce96067p-20, -0x1.ab14a03ed8125p-20, -0x1.b0c9ef9313781p-20, -0x1.b63791a0f951bp-20, -0x1.bb5ea85bd013bp-20, -0x1.c04053c7e65c1p-20, -0x1.c4ddb1f11496ap-20, -0x1.c937dedf9c1e5p-20, -0x1.cd4ff48f5f0adp-20, -0x1.d1270ae72f0d6p-20, -0x1.d4be37b1fe38cp-20, -0x1.d8168e932156ep-20, -0x1.db312103051fdp-20, -0x1.de0efe4639105p-20, -0x1.e0b13367d6553p-20, -0x1.e318cb33389f1p-20, -0x1.e546ce2f2c81fp-20, -0x1.e73c42981a6d2p-20, -0x1.e8fa2c5d78f5cp-20, -0x1.ea818d1a4e614p-20, -0x1.ebd36414cea55p-20, -0x1.ecf0ae384132dp-20, -0x1.edda6613c3e7ep-20, -0x1.ee9183d73d61dp-20, -0x1.ef16fd4f3f37dp-20, -0x1.ef6bc5e5b5397p-20, -0x1.ef90ce9dfb8b3p-20, -0x1.ef870613db3ep-20, -0x1.ef4f5879a863bp-20, -0x1.eeeaaf993553p-20, -0x1.ee59f2d12b958p-20, -0x1.ed9e0716829abp-20, -0x1.ecb7cef149af8p-20, -0x1.eba82a7e9b357p-20, -0x1.ea6ff771f55bcp-20, -0x1.e91011128d496p-20, -0x1.e789503ed8287p-20, -0x1.e5dc8b6b8a0cp-20, -0x1.e40a96a6181d7p-20, -0x1.e21443950a78p-20, -0x1.dffa617917c76p-20, -0x1.ddbdbd2e86128p-20, -0x1.db5f212ef6c01p-20, -0x1.d8df5593c9a2ap-20, -0x1.d63f2018abd4ap-20, -0x1.d37f441b3dcafp-20, -0x1.d0a0829ec4ba3p-20, -0x1.cda39a4fbf292p-20, -0x1.ca89478408ae8p-20, -0x1.c752443f15afdp-20, -0x1.c3ff4833bd175p-20, -0x1.c09108c6b26f1p-20, -0x1.bd08391351bdap-20, -0x1.b96589ecd7f72p-20, -0x1.b5a9a9e21c74ap-20, -0x1.b1d54540ad9f3p-20, -0x1.ade9061739c01p-20, -0x1.a9e59439be111p-20, -0x1.a5cb954516b2dp-20, -0x1.a19baca1cbca3p-20, -0x1.9d567b87812eep-20, -0x1.98fca10154c02p-20, -0x1.948eb9f04cf95p-20, -0x1.900d610ff461ap-20, -0x1.8b792efa2d883p-20, -0x1.86d2ba2a4427bp-20, -0x1.821a97017ac0bp-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      76, 0x1.09eb851eb851fp+3, 0x1.5ca2f1fbeec6dp+1, 0x1.0c7277ff62f31p+3, 0x1.85963b348fbdp-8, 
      {{
        {0x1.251eb851eb852p+2, 0x1.2666666666666p+2, 0x1.74d72f6bbf58dp-6, -0x1.771dc89c49293p-5, 0x1.fedb4021984a4p-5, -0x1.a2e77075c5c48p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.663ce6c633f7ap-6, -0x1.632f4d0a7e991p-5, 0x1.e5b8e257f7f24p-5, -0x1.8b7509167b80ap-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.450c9626cdc34p-6, -0x1.3594171d62e31p-5, 0x1.aa67542e3237ap-5, -0x1.6e66e3460683bp-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2821b973c2343p-6, -0x1.0dafa6294ab6fp-5, 0x1.73717ee3b13dcp-5, -0x1.527eaff1741b6p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0eef8b172be8ep-6, -0x1.d6293824d3b96p-6, 0x1.40ab4ae5dfd36p-5, -0x1.3647b91510d03p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.f1e8296a42b39p-7, -0x1.9aae6fc7cee46p-6, 0x1.122088bc50812p-5, -0x1.1a25dddc0122p-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.cb705e5769b2ap-7, -0x1.681693ebd8689p-6, 0x1.cf9c1bb6a0ab9p-6, -0x1.fbfcaf3af86a9p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.a99f0525e9261p-7, -0x1.3d89808b4e0aep-6, 0x1.836967d42e9a7p-6, -0x1.c3b0c3a2ea885p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.8bb10c79d51a5p-7, -0x1.1a2f01de5938cp-6, 0x1.3fa87daef1d3p-6, -0x1.8b63aa81dbb67p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.70f9016b394d9p-7, -0x1.fa5dcfb7d0e4fp-7, 0x1.04598a81ddab2p-6, -0x1.5318269fcd86cp-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.58df0f8619322p-7, -0x1.cb6206841471dp-7, 0x1.a2f8a306fdae4p-7, -0x1.1ac77b4ac8438p-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.42e100ca6fed1p-7, -0x1.a5ba3be710003p-7, 0x1.4e23313d5b33cp-7, -0x1.c513b1051bcb2p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2e923dac30577p-7, -0x1.87b638f23ec49p-7, 0x1.0a2d09e2fd6dep-7, -0x1.540a75f466c23p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.1b9bcd1344fdfp-7, -0x1.6fa4ff3e04ea5p-7, 0x1.ae56f0630f3b8p-8, -0x1.ca25ff960b4d7p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.09bc545b901ffp-7, -0x1.5bd878fb3a98cp-7, 0x1.699e0a0c8d89cp-8, -0x1.b989ae1244de2p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.f1902ea9d7614p-8, -0x1.4a97b571fed99p-7, 0x1.48808364c85fap-8, -0x1.ffc5c4919d276p-11}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.d15134a1e01e3p-8, -0x1.3a684bba4dfc1p-7, 0x1.3ee8014eda3a2p-8, -0x1.25c07cb0442c1p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b2aa204248dc7p-8, -0x1.2abccbc77cbc7p-7, 0x1.33e3fca1d7ab8p-8, -0x1.155c7a2c7d6f2p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.958d4709693e4p-8, -0x1.1b9a5d05ad453p-7, 0x1.297d51a692f77p-8, -0x1.139ac2c477dfp-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.79ed3ac7d4688p-8, -0x1.0cfca47b73cb7p-7, 0x1.1f2783f268124p-8, -0x1.0ded3a6433b1bp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.5fbcc8e474936p-8, -0x1.fdc3b2c25f331p-8, 0x1.150838283fbbap-8, -0x1.094caac961144p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.46eefa5c8b094p-8, -0x1.e28f0524cdf8p-8, 0x1.0b15582718e48p-8, -0x1.04640910d612ap-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.2f7713c3b026fp-8, -0x1.c856ac5872477p-8, 0x1.015197d010dd4p-8, -0x1.ff1d6e13c3ee1p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.19489543d35c9p-8, -0x1.af15fb4475565p-8, 0x1.ef787b7f63fb3p-9, -0x1.f56870b495bb9p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.04573a9d3b2b7p-8, -0x1.96c84b99235bcp-8, 0x1.dcaaf7456b2abp-9, -0x1.ebb639372f1fap-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e12df64d0a4f8p-9, -0x1.7f68f53551a5p-8, 0x1.ca3a885359666p-9, -0x1.e2034383ae803p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.bbf813994bf0ep-9, -0x1.68f350748e0fp-8, 0x1.b82735cb360e8p-9, -0x1.d85080c78f91ap-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.98f5aa25d2abdp-9, -0x1.5362b590fb3fdp-8, 0x1.a670fdc3ba458p-9, -0x1.ce9db063581ddp-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.78100e25e4191p-9, -0x1.3eb27ccdb02dbp-8, 0x1.9517e0c000913p-9, -0x1.c4eae3a82166cp-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.59310af973f3ep-9, -0x1.2addfe6b5d9f2p-8, 0x1.841bde9ce5b71p-9, -0x1.bb3815f19c0b6p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3c42e32d241cdp-9, -0x1.17e092ab58ec4p-8, 0x1.737cf763d6438p-9, -0x1.b185487e97f86p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.2130507a44999p-9, -0x1.05b591cecb4fdp-8, 0x1.633b2b124a2a3p-9, -0x1.a7d27af95df81p-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.07e483c6d393cp-9, -0x1.e8b0a82dd3b3bp-9, 0x1.535679a8f03d8p-9, -0x1.9e1fad792c415p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.e0964a4afab86p-10, -0x1.c7886389cce18p-9, 0x1.43cee327982e4p-9, -0x1.946cdff76399fp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.b4a0a7ab38cb9p-10, -0x1.a7e90633e79c3p-9, 0x1.34a4678e513fp-9, -0x1.8aba12764e5fep-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.8bc14c8672948p-10, -0x1.89c940ae88e9bp-9, 0x1.25d706dd14b52p-9, -0x1.810744f4e6c58p-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.65d2540e158ddp-10, -0x1.6d1fc37c15fedp-9, 0x1.1766c113e5a75p-9, -0x1.7754777383aa2p-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.42aec7cceb7bfp-10, -0x1.51e33f1ef3ea5p-9, 0x1.09539632c3ea6p-9, -0x1.6da1a9f22e3f7p-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.22329fa71a702p-10, -0x1.380a641987c56p-9, 0x1.f73b0c735df66p-10, -0x1.63eedc70fbe66p-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.043ac1da24c2cp-10, -0x1.1f8be2ee36befp-9, 0x1.dc8922514b121p-10, -0x1.5a3c0eef8b7dep-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.d14a05f9d229cp-11, -0x1.085e6c1f65f96p-9, 0x1.c2916dff53cf1p-10, -0x1.5089416e212ap-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.9ea04bff44a5ep-11, -0x1.e4f1605ef4f8cp-10, 0x1.a953ef7d77b8fp-10, -0x1.46d673ecfaaa9p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.7037b857cf674p-11, -0x1.bba2bf41b2e5ep-10, 0x1.90d0a6cbb1b89p-10, -0x1.3d23a66b93cecp-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.45d18a49596cap-11, -0x1.94be55ebd014ap-10, 0x1.790793ea06a2cp-10, -0x1.3370d8ea29701p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.1f30ddcc8246ep-11, -0x1.70318562169ccp-10, 0x1.61f8b6d876ba6p-10, -0x1.29be0b68f901p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.f8355719443acp-12, -0x1.4de9aea950cb4p-10, 0x1.4ba40f96fda72p-10, -0x1.200b3de77d947p-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.b8ab91cf93501p-12, -0x1.2dd432c648dc4p-10, 0x1.36099e25a108cp-10, -0x1.16587066473e2p-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.7f55cfdd8468ep-12, -0x1.0fde72bdc9058p-10, 0x1.212962845bb0cp-10, -0x1.0ca5a2e4ef929p-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.4bc92eca1b456p-12, -0x1.e7eb9f2937438p-11, 0x1.0d035cb3301f6p-10, -0x1.02f2d5636052ap-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.1d9e8581cccb5p-12, -0x1.b40f549f1567p-11, 0x1.f32f196444ff6p-11, -0x1.f2800fc5258fap-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.e8e4c8acfe1e4p-13, -0x1.8402c7e6c1863p-11, 0x1.cdcbe5024894bp-11, -0x1.df1a74c12a5d7p-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.9fca29ff126f2p-13, -0x1.57a0bb09cfddap-11, 0x1.a9dd1c40989aap-11, -0x1.cbb4d9bf9b6b8p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.5f3535336755ep-13, -0x1.2ec3f011d4b4bp-11, 0x1.8762bf1f068bap-11, -0x1.b84f3ebc18fa5p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.2675634e6fcc9p-13, -0x1.0947290864c91p-11, 0x1.665ccd9db7df6p-11, -0x1.a4e9a3ba265bap-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.e9c3403f025e1p-14, -0x1.ce0a4fee28eccp-12, 0x1.46cb47bc8e98ap-11, -0x1.918408b6cdd67p-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.93b09481a625fp-14, -0x1.8fb15dcef0829p-12, 0x1.28ae2d7ba58f1p-11, -0x1.7e1e6db50e3efp-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.497e662efedbp-14, -0x1.5738ffc649bfp-12, 0x1.0c057edade174p-11, -0x1.6ab8d2b0d85f2p-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.0a073da704d2p-14, -0x1.2456b9e75c636p-12, 0x1.e1a277b4ceec3p-12, -0x1.575337b05c367p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.a86911beeac8p-15, -0x1.ed80208aa5417p-13, 0x1.ae22c8f3f44abp-12, -0x1.43ed9cabb1b49p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.4dfd36c7a3bp-15, -0x1.9c550de6ab8b4p-13, 0x1.7d8bf173ccd62p-12, -0x1.308801aa05703p-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.02d95caac16p-15, -0x1.5497440919b3p-13, 0x1.4fddf133e59f1p-12, -0x1.1d2266a713c4ap-12}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.8a5381acb3481p-16, -0x1.15b1cb1844648p-13, 0x1.2518c8346f75p-12, -0x1.09bccba54ba9p-12}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.2670d7c816981p-16, -0x1.be1f5674ffbf2p-14, 0x1.fa78ecea7b694p-13, -0x1.ecae613bfd1ddp-13}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.adb4c663faf01p-17, -0x1.6037d92c1f578p-14, 0x1.b091f7ee48a5p-13, -0x1.c5e32b5ef9987p-13}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.3136c39793ap-17, -0x1.10832ea302a35p-14, 0x1.6c7cb16cd667ep-13, -0x1.9f17f4b81f6b8p-13}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.a3ea9f37c9ap-18, -0x1.9baece48f8235p-15, 0x1.2e3919846b4b3p-13, -0x1.784cc11c5d4bdp-13}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.15ea7f1ff5cp-18, -0x1.2e1526080d75fp-15, 0x1.eb8e5f805433ap-14, -0x1.5181820b0522ap-13}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.5eca55042afffp-19, -0x1.abcb09d331dc2p-16, 0x1.864debb0390ddp-14, -0x1.2ab66dcca4c6fp-13}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.a103f9536fffep-20, -0x1.219818899fce6p-16, 0x1.2cb0cabfa138fp-14, -0x1.03eab9b88c0bcp-13}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.ca95875a28p-21, -0x1.71d367b90ce1ep-17, 0x1.bd6e5943bb384p-15, -0x1.ba42b4508b611p-14}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.c5d51f494ffffp-22, -0x1.b460c6a1bda93p-18, 0x1.38c0bcc52aff7p-15, -0x1.6c9e90b50bfb6p-14}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.82494f8ba8002p-23, -0x1.cbdc300a811c6p-19, 0x1.96bbef841ba06p-16, -0x1.1f3b5612a917ap-14}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.04573a9c4p-24, -0x1.96d11ea6c0c2bp-20, 0x1.d4ca448b6c525p-17, -0x1.a1cbb7b9a43fbp-15}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.d14a05f600003p-27, -0x1.081c8e382d51ap-21, 0x1.b439ac9e79fd5p-18, -0x1.0c30ee63b7b6dp-15}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.497e661c00001p-30, -0x1.5ee78b730ac1ap-24, 0x1.c9956d680fa6ep-20, -0x1.70e7de5d8d851p-17}, 
        {0x1.099999999999ap+3, 0x1.09eb851eb851fp+3, 0x1.04566p-40, 0x1.b14771715c9b1p-28, 0x1.dcb2b89320001p-25, -0x1.a7d5995b03882p-12}, 
      }}, 
      0x1.b635f672395afp-5, -0x1.0051f6af3a1c4p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.a9bc2e0ea5c39p-1, -0x1.a455e9b8a4f1ep-1, -0x1.9b8d845fa6357p-1, -0x1.8fa82438286e7p-1, -0x1.80f6f468e9003p-1, -0x1.6fd14f5efad2p-1, -0x1.5c9088cedaccfp-1, -0x1.478ceac849b73p-1, -0x1.311b94af7fadcp-1, -0x1.198d06d1ae118p-1, -0x1.012c2bf5a0fcbp-1, -0x1.d07b9ff1616cfp-2, -0x1.9e00b90a119a7p-2, -0x1.6b5794042f12dp-2, -0x1.38e386efcaa0bp-2, -0x1.06fbbd1ff828ep-2, -0x1.abd7a991623e6p-3, -0x1.4be93b4b5ab5p-3, -0x1.dd3364c8127a9p-4, -0x1.28884657c020ep-4, -0x1.e9967c2450cd8p-6, 0x1.65f39784304c3p-7, 0x1.99122b7172f9p-5, 0x1.64b7bbad7b278p-4, 0x1.f51d62a3a212bp-4, 0x1.3ecfee402f54p-3, 0x1.7f1abecc27292p-3, 0x1.bb716e0aa9a93p-3, 0x1.f3dc69d5e91ecp-3, 0x1.1434aaf0ce787p-2, 0x1.2c95201f48aedp-2, 0x1.431a771d1a57ap-2, 0x1.57d1173d28f1bp-2, 0x1.6ac6a735f4728p-2, 0x1.7c09cf197c3f8p-2, 0x1.8ba9fcdaad5d4p-2, 0x1.99b735e82bd94p-2, 0x1.a641e9a62f84dp-2, 0x1.b15ac59189575p-2, 0x1.bb129fa822c0cp-2, 0x1.c37a4af52474p-2, 0x1.caa282fabfbf6p-2, 0x1.d09bd44e19526p-2, 0x1.d57689a96a56p-2, 0x1.d9429a62a5c7dp-2, 0x1.dc0f9da47b5f8p-2, 0x1.ddecbf5ecf9b6p-2, 0x1.dee8b6d878df1p-2, 0x1.df11bf7eeef36p-2, 0x1.de75942a2603ap-2, 0x1.dd216a4b5d1fp-2, 0x1.db21f030dbd0ap-2, 0x1.d8834b02b9267p-2, 0x1.d55116ce31f63p-2, 0x1.d19666e01e56fp-2, 0x1.cd5dc72f3ba25p-2, 0x1.c8b13e67d8d45p-2, 0x1.c39a505d3d829p-2, 0x1.be22011a0f6e1p-2, 0x1.b850d8c0e4f7cp-2, 0x1.b22ee6a3f4c94p-2, 0x1.abc3c5c4e4e71p-2, 0x1.a516a0ec730a7p-2, 0x1.9e2e36f3fa50dp-2, 0x1.9710df37ee4cp-2, 0x1.8fc48e0f60767p-2, 0x1.884ed945ec0f1p-2, 0x1.80b4fc7c726c3p-2, 0x1.78fbdd9ec4204p-2, 0x1.712811237000dp-2, 0x1.693dde3552b57p-2, 0x1.614142ecae8c4p-2, 0x1.5935f81e6d245p-2, 0x1.511f754de3732p-2, 0x1.4900f46d30163p-2, 0x1.40dd74c9b575p-2, 0x1.38b7bfa9ab1e7p-2, 0x1.30926a4c566bep-2, 0x1.286fd999c07a6p-2, 0x1.205244edd1881p-2, 0x1.183bb8cbc122p-2, 0x1.102e19a986d46p-2, 0x1.082b262e25d32p-2, 0x1.003479b0d10f5p-2, 0x1.f0971d39bec8dp-3, 0x1.e0e38000e5e32p-3, 0x1.d15097ffb815ep-3, 0x1.c1e0ab4284131p-3, 0x1.b295cca08550fp-3, 0x1.a371df726f8e4p-3, 0x1.94769a9ae24a8p-3, 0x1.85a58b346eb03p-3, 0x1.770017bfe4d3dp-3, 0x1.68878236d2fb6p-3, 0x1.5a3ceadf340ccp-3, 0x1.4c21528b6dbdp-3, 0x1.3e359c77d3634p-3, 0x1.307a90b10aab4p-3, 0x1.22f0dd9661f9bp-3, 0x1.15991a03cf58fp-3, 0x1.0873c69113772p-3, 0x1.f7029ed3f1d22p-4, 0x1.dd841b7c02cb5p-4, 0x1.c46c916dabfb9p-4, 0x1.abbc6e889cf69p-4, 0x1.937401e04d2fdp-4, 0x1.7b937df467279p-4, 0x1.641afabf4fbeep-4, 0x1.4d0a77831de6p-4, 0x1.3661dcd5eac48p-4, 0x1.2020fdde1c0c2p-4, 0x1.0a4799e48ada2p-4, 0x1.e9aabbe0ec04dp-5, 0x1.bf93cb9da5d77p-5, 0x1.96497b1e1fa24p-5, 0x1.6dcac50266f8fp-5, 0x1.46168880bd86cp-5, 0x1.1f2b8b96bf541p-5, 0x1.f210fa02b74b4p-6, 0x1.a757eb7b8686cp-6, 0x1.5e28f5ed9579dp-6, 0x1.1680fefb1937cp-6, 0x1.a0b995b5a270fp-7, 0x1.1771fdb5a3652p-7, 0x1.2248904d3236ap-8, 0x1.b92a80ee20fdap-12, -0x1.ca98b608a2b4p-9, -0x1.e0636a89582afp-8, -0x1.6ae0e23de9d01p-7, -0x1.e2bb7476728cdp-7, -0x1.2be4a4b63b247p-6, -0x1.65092cb1b66f5p-6, -0x1.9ccf599aa4877p-6, -0x1.d33b3c4ec08abp-6, -0x1.0428772649a1ap-5, -0x1.1e0a4802bf3cfp-5, -0x1.3745237dfcf15p-5, -0x1.4fdb1e687ac62p-5, -0x1.67ce4fc49d795p-5, -0x1.7f20cf2dd22cap-5, -0x1.95d4b45ef999ap-5, -0x1.abec17aa4e358p-5, -0x1.c16910aaae491p-5, -0x1.d64db66fe23b7p-5, -0x1.ea9c1e9a5ab7dp-5, -0x1.fe565d4148127p-5, -0x1.08bf424acd908p-4, -0x1.120b5257c7d1dp-4, -0x1.1b10659d7a8f1p-4, -0x1.23cf8179620d9p-4, -0x1.2c49a9e676117p-4, -0x1.347fe153e0d55p-4, -0x1.3c73287555cd4p-4, -0x1.44247e447c946p-4, -0x1.4b94dfce430a4p-4, -0x1.52c54856cd82p-4, -0x1.59b6b14b7b747p-4, -0x1.606a11d7b734ep-4, -0x1.66e05f2544891p-4, -0x1.6d1a8c3da5198p-4, -0x1.73198a6042c24p-4, -0x1.78de485c6f5c5p-4, -0x1.7e69b2c13e5b6p-4, -0x1.83bcb3fc7b504p-4, -0x1.88d834815e01cp-4, -0x1.8dbd1a77f7efbp-4, -0x1.926c49a4db6ap-4, -0x1.96e6a3a63a94fp-4, -0x1.9b2d07f6cd192p-4, -0x1.9f40540baa894p-4, -0x1.a321630652d0fp-4, -0x1.a6d10dacc2b4fp-4, -0x1.aa502ab142f49p-4, -0x1.ad9f8ed734e77p-4, -0x1.b0c00cb9b2c61p-4, -0x1.b3b274de032a2p-4, -0x1.b677956b9f00bp-4, -0x1.b9103a96ce0e4p-4, -0x1.bb7d2ecdfc7f9p-4, -0x1.bdbf3a710f2d2p-4, -0x1.bfd723d459d43p-4, -0x1.c1c5af3559f87p-4, -0x1.c38b9ecfe148cp-4, -0x1.c529b343b6b49p-4, -0x1.c6a0ab763165fp-4, -0x1.c7f144369c9ccp-4, -0x1.c91c38546832fp-4, -0x1.ca2240f664223p-4, -0x1.cb04158863e1dp-4, -0x1.cbc26bdc48b97p-4, -0x1.cc5df7fd48c2ap-4, -0x1.ccd76c3bb0eeap-4, -0x1.cd2f7905c94fbp-4, -0x1.cd66cd3821917p-4, -0x1.cd7e16376eabcp-4, -0x1.cd75ffe433542p-4, -0x1.cd4f34816f07bp-4, -0x1.cd0a5c75b9accp-4, -0x1.cca81ea3abebfp-4, -0x1.cc292074648cep-4, -0x1.cb8e05f190623p-4, -0x1.cad771ca2d6c9p-4, -0x1.ca0604e8d147p-4, -0x1.c91a5ea03b717p-4, -0x1.c8151ce837fdfp-4, -0x1.c6f6dc303bed6p-4, -0x1.c5c037abfbacep-4, -0x1.c471c9182411p-4, -0x1.c30c28b83abc9p-4, -0x1.c18fed34b462p-4, -0x1.bffdabca0aee2p-4, -0x1.be55f85d3f09ep-4, -0x1.bc99657d6cb99p-4, -0x1.bac8844f3d89dp-4, -0x1.b8e3e47c0b707p-4, -0x1.b6ec14578cd5bp-4, -0x1.b4e1a08cc4e78p-4, -0x1.b2c5146f75db7p-4, -0x1.b096f9f1ccd43p-4, -0x1.ae57da07be6bdp-4, -0x1.ac083b89d39cbp-4, -0x1.a9a8a3f4a8247p-4, -0x1.a739982439892p-4, -0x1.a4bb9a98d57bp-4, -0x1.a22f2c98082cap-4, -0x1.9f94ce1be2636p-4, -0x1.9cecfdafd6947p-4, -0x1.9a383867838aap-4, -0x1.9776f9d5e83fap-4, -0x1.94a9bc0d924d7p-4, -0x1.91d0f79016218p-4, -0x1.8eed237847fa4p-4, -0x1.8bfeb5597bd1ep-4, -0x1.89062164e15cp-4, -0x1.8603da3627f98p-4, -0x1.82f850f184653p-4, -0x1.7fe3f5207e56p-4, -0x1.7cc734c0065dfp-4, -0x1.79a27c48378b2p-4, -0x1.767636a79ba85p-4, -0x1.7342cd538a38fp-4, -0x1.7008a81c55c2fp-4, -0x1.6cc82d576b772p-4, -0x1.6981c1cde6de6p-4, -0x1.6635c892cf149p-4, -0x1.62e4a33379709p-4, -0x1.5f8eb1aee3b7ap-4, -0x1.5c345265a1d47p-4, -0x1.58d5e2268ae5p-4, -0x1.5573bc3be4117p-4, -0x1.520e3a4976cdbp-4, -0x1.4ea5b4572d421p-4, -0x1.4b3a80d97ca25p-4, -0x1.47ccf4a59d868p-4, -0x1.445d62bab310fp-4, -0x1.40ec1d017caf8p-4, -0x1.3d79736b5cfc3p-4, -0x1.3a05b46aaf3d6p-4, -0x1.36912cdaea28ep-4, -0x1.331c27faedd97p-4, -0x1.2fa6ef6f0fb41p-4, -0x1.2c31cb41bbbap-4, -0x1.28bd01ec22132p-4, -0x1.2548d84af05abp-4, -0x1.21d591afb7c94p-4, -0x1.1e636fe1a2951p-4, -0x1.1af2b3089d777p-4, -0x1.178399c942805p-4, -0x1.1416612c2d238p-4, -0x1.10ab44c34c03p-4, -0x1.0d427e7dec172p-4, -0x1.09dc46d004c62p-4, -0x1.0678d4a9bae7ap-4, -0x1.03185d79ff8ebp-4, -0x1.ff762a6346ee2p-5, -0x1.f8c25c894bf39p-5, -0x1.f215b35944d04p-5, -0x1.eb708dd5dab6ep-5, -0x1.e4d34811b1946p-5, -0x1.de3e3b25c3869p-5, -0x1.d7b1be0710774p-5, -0x1.d12e2382c008dp-5, -0x1.cab3bce43cb3bp-5, -0x1.c442d74826cbp-5, -0x1.bddbbf414947ep-5, -0x1.b77ebc8c9ed51p-5, -0x1.b12c15225029cp-5, -0x1.aae40c43afe0ap-5, -0x1.a4a6e28c4af5cp-5, -0x1.9e74d60014fcdp-5, -0x1.984e22162e95bp-5, -0x1.9232ffc4259d9p-5, -0x1.8c23a58676bedp-5, -0x1.862047684565p-5, -0x1.802916fe9514ep-5, -0x1.7a3e433d99dc7p-5, -0x1.745ffaaae241bp-5, -0x1.6e8e64f6f0d33p-5, -0x1.68c9ad3f58234p-5, -0x1.6311f83fde4d6p-5, -0x1.5d676a1c35eb1p-5, -0x1.57ca24bdbf75ap-5, -0x1.523a47c0d8331p-5, -0x1.4cb7f0b87c70cp-5, -0x1.47433b3454546p-5, -0x1.41dc40c8baa05p-5, -0x1.3c8319108ee54p-5, -0x1.3737d9abb54b5p-5, -0x1.31fa9656a7fcbp-5, -0x1.2ccb6112b142cp-5, -0x1.27aa4a08cb9a9p-5, -0x1.22975f7fdab09p-5, -0x1.1d92ae1c6c003p-5, -0x1.189c40cd492ap-5, -0x1.13b420da4d0cep-5, -0x1.0eda55ed190ddp-5, -0x1.0a0ee621e47edp-5, -0x1.0551d5fc64e3ap-5, -0x1.00a32884cb624p-5, -0x1.f805be992a8acp-6, -0x1.eee1f50428c68p-6, -0x1.e5daf1be57eb4p-6, -0x1.dcf0af8fef8acp-6, -0x1.d42326a36c956p-6, -0x1.cb724c942edb9p-6, -0x1.c2de14846a977p-6, -0x1.ba666f1e077e7p-6, -0x1.b20b4ab9496a2p-6, -0x1.a9cc935e92b48p-6, -0x1.a1aa32ed4d9e6p-6, -0x1.99a4110e55fb5p-6, -0x1.91ba135ff64e1p-6, -0x1.89ec1d84107a5p-6, -0x1.823a113003e54p-6, -0x1.7aa3ce3c1b41dp-6, -0x1.732932ae9acbfp-6, -0x1.6bca1ac5d61ccp-6, -0x1.6486610f6dd7fp-6, -0x1.5d5dde68ddd0ep-6, -0x1.56506a182a0b2p-6, -0x1.4f5dd9eadccep-6, -0x1.4886027a1b928p-6, -0x1.41c8b6e230681p-6, -0x1.3b25c904db1dcp-6, -0x1.349d09912995cp-6, -0x1.2e2e47ca8a66fp-6, -0x1.27d951e28a26p-6, -0x1.219df4a610c6p-6, -0x1.1b7bfbc0c3ca5p-6, -0x1.157331d8c5ffep-6, -0x1.0f8360b5a738dp-6, -0x1.09ac5178c5a2p-6, -0x1.03edccc09e085p-6, -0x1.fc8f34c7e3c54p-7, -0x1.f173033f96178p-7, -0x1.e68691d222968p-7, -0x1.dbc96b914b2a8p-7, -0x1.d13b19c6bb196p-7, -0x1.c6db230391daap-7, -0x1.bca90d661405ap-7, -0x1.b2a45d7ebcc5p-7, -0x1.a8cc988de0f6cp-7, -0x1.9f2142a45486ep-7, -0x1.95a1e3bda14cep-7, -0x1.8c4dfa14cc7cfp-7, -0x1.83251653c33a7p-7, -0x1.7a26b3bc2b27bp-7, -0x1.715256a941026p-7, -0x1.68a77ed11e1f6p-7, -0x1.6025a9f165b32p-7, -0x1.57cc54ca752f4p-7, -0x1.4f9afc6615835p-7, -0x1.47911f6dd10cap-7, -0x1.3fae3f23ae274p-7, -0x1.37f1df9fa21ccp-7, -0x1.305b86287e12cp-7, -0x1.28eabf43153eap-7, -0x1.219f04adeb542p-7, -0x1.1a77e6a43e80ep-7, -0x1.1374de18d745p-7, -0x1.0c95674a645d1p-7, -0x1.05d8fb30b4e85p-7, -0x1.fe7e2423f2945p-8, -0x1.f18e4cc939b6dp-8, -0x1.e4e16eee57d1bp-8, -0x1.d87695e48b46ap-8, -0x1.cc4cda1710fe8p-8, -0x1.c0635e4d7e48p-8, -0x1.b4b9499671893p-8, -0x1.a94dc102cc3b9p-8, -0x1.9e1fe0a82900fp-8, -0x1.932eb66b7c57cp-8, -0x1.887947cc8c0cfp-8, -0x1.7dfe833edecdfp-8, -0x1.73bd6203fa9f5p-8, -0x1.69b4d1a00c74dp-8, -0x1.5fe3d276eabcp-8, -0x1.56497616f089bp-8, -0x1.4ce4dfd8ad0e8p-8, -0x1.43b5463544ed7p-8, -0x1.3ab9ec48b8f02p-8, -0x1.31f2199a9798dp-8, -0x1.295d11499ae7bp-8, -0x1.20fa0ab454e99p-8, -0x1.18c82d8d5af95p-8, -0x1.10c69292555d2p-8, -0x1.08f4469b98dc5p-8, -0x1.01505214c198ep-8, -0x1.f3b382f21c3c4p-9, -0x1.e51f58e10b675p-9, -0x1.d6e276306d3bp-9, -0x1.c8fb4fbd1175bp-9, -0x1.bb687c2beea09p-9, -0x1.ae28a7ba792b5p-9, -0x1.a13a8780253e2p-9, -0x1.949ccbbff913p-9, -0x1.884e119dee1a3p-9, -0x1.7c4ce080a6832p-9, -0x1.7097b30081f52p-9, -0x1.652cdad3dae61p-9, -0x1.5a0ad4cd4288dp-9, -0x1.4f300b8ab02f3p-9, -0x1.449b044c7e001p-9, -0x1.3a4a5d37faf32p-9, -0x1.303cca2189f5dp-9, -0x1.267114577028bp-9, -0x1.1ce617519e20ep-9, -0x1.139a9cb2d7c9p-9, -0x1.0a8d9daa82cp-9, -0x1.01bdc7c2b7c5dp-9, -0x1.f253b5439dap-10, -0x1.e1a0f5c7b79afp-10, -0x1.d1608785a3145p-10, -0x1.c18fa7a9a9085p-10, -0x1.b22bb43251ed8p-10, -0x1.a3323d374e52bp-10, -0x1.94a10709bfbdfp-10, -0x1.8675fd0a7dacdp-10, -0x1.78af24c9cbfc2p-10, -0x1.6b4a90adc3dd6p-10, -0x1.5e465deec4391p-10, -0x1.51a0b04e8ede2p-10, -0x1.4557b5a9feb77p-10, -0x1.39699053e7bfcp-10, -0x1.2dd44bbbb2448p-10, -0x1.2295d44d5faddp-10, -0x1.17abf26cc77c6p-10, -0x1.0d145473f183ep-10, -0x1.02cccc1b1b3c2p-10, -0x1.f1a6a5e49e047p-11, -0x1.de4c3bc4ea47fp-11, -0x1.cb8705d33c211p-11, -0x1.b95414cd527ebp-11, -0x1.a7afb14e52292p-11, -0x1.9696c29c73dp-11, -0x1.8605434e112c5p-11, -0x1.75f7c91f786f3p-11, -0x1.666b2aaa6b36cp-11, -0x1.575cac1fc854dp-11, -0x1.48c9c4961dc6ap-11, -0x1.3aafdea04c042p-11, -0x1.2d0c223b440ap-11, -0x1.1fdb761a77a5fp-11, -0x1.131ab3f3a421cp-11, -0x1.06c6eac39eb17p-11, -0x1.f5bb2afab22bfp-12, -0x1.deb92c41d256fp-12, -0x1.c8840362a5f7dp-12, -0x1.b3178641a0921p-12, -0x1.9e6e8781768e7p-12, -0x1.8a82817f4f13fp-12, -0x1.774c0fbdb7786p-12, -0x1.64c3b1da65d86p-12, -0x1.52e2d0d85da04p-12, -0x1.41a44b5619fc3p-12, -0x1.31045876eedadp-12, -0x1.20ffe2555a57ap-12, -0x1.1193cc202749fp-12, -0x1.02bc8f84b472fp-12, -0x1.e8eca4130ac42p-13, -0x1.cd7a7cb151a9ep-13, -0x1.b31bc6a6dd93cp-13, -0x1.99cad3f980098p-13, -0x1.8182ba9ae1844p-13, -0x1.6a40da67bc72ep-13, -0x1.53fe55e6f7353p-13, -0x1.3eb7cd3c3898dp-13, -0x1.2a61cb350fbc7p-13, -0x1.16f3c5da852dp-13, -0x1.0460e3db63561p-13, -0x1.e539ed814bde7p-14, -0x1.c33aa4ac5f0c6p-14, -0x1.a2b38e4f7523dp-14, -0x1.839949e5d8b8ep-14, -0x1.65e33b0458a82p-14, -0x1.498bae4786f36p-14, -0x1.2e8b23515e611p-14, -0x1.14d9e85c2dda3p-14, -0x1.f8ddbe7c389f3p-15, -0x1.ca8391d56beb1p-15, -0x1.9e95fcfb93346p-15, -0x1.75080626398e1p-15, -0x1.4dcd4ee4f844dp-15, -0x1.28d91f0c9b832p-15, -0x1.061d77bd2174dp-15, -0x1.cb14605c9a518p-16, -0x1.8e164d4cfbe77p-16, -0x1.550e7051a5513p-16, -0x1.1fc20cde5a72p-16, -0x1.dbe5255b92683p-17, -0x1.7ec412a9b214ep-17, -0x1.27b5c92c224bep-17, -0x1.acdff7c2759cfp-18, -0x1.159b37148803ap-18, -0x1.1308064edeb12p-19, -0x1.0ffe0dd07b785p-23, 0x1.b6c7cab0c295fp-20, 0x1.b2ea71da9dfep-19, 0x1.3b2da12d7d694p-18, 0x1.935589a761411p-18, 0x1.e1d62b0186313p-18, 0x1.1391c0a866425p-17, 0x1.31dd7fed40482p-17, 0x1.4be911d57b3f7p-17, 0x1.61dcb82725a2bp-17, 0x1.73e704c9856f4p-17, 0x1.82304d613c6cep-17, 0x1.8ce311b5e9cf9p-17, 0x1.942c1d7ec6628p-17, 0x1.98420d232fcdp-17, 0x1.996bbbeeb586cp-17, 0x1.97f7f54b9e62ep-17, 0x1.94242ccf3a838p-17, 0x1.8e03979ada064p-17, 0x1.858e95b83b65fp-17, 0x1.7ac293c353182p-17, 0x1.6dbc3028d3f0bp-17, 0x1.5ea26345f8801p-17, 0x1.4d900119514cp-17, 0x1.3a9623d612e09p-17, 0x1.25c8f48d7699bp-17, 0x1.0f3fa339df39cp-17, 0x1.ee40db457296fp-18, 0x1.bae61b47d563p-18, 0x1.84b3097e8730fp-18, 0x1.4c186c38ca8b4p-18, 0x1.1129923bb90afp-18, 0x1.a7f50405c1fe3p-19, 0x1.2960168c72a23p-19, 0x1.4d1cf804044dap-20, 0x1.fcab30a855e3fp-23, -0x1.aa04b50838e2cp-21, -0x1.ef6fdb528e84fp-20, -0x1.87113461c87edp-19, -0x1.0c167fbbb499ep-18, -0x1.5595240228b08p-18, -0x1.a0156a7ac3a8bp-18, -0x1.eb77f57c8956dp-18, -0x1.1bc656306197ep-17, -0x1.42177db8b6ad2p-17, -0x1.68b9a66cfb782p-17, -0x1.8fae5415948abp-17, -0x1.b6cf24409d0edp-17, -0x1.de11b7dc8cc8p-17, -0x1.02b1110deab62p-16, -0x1.165975a75a485p-16, -0x1.29f9264110263p-16, -0x1.3d9198a7a825ap-16, -0x1.511fde45e2e9cp-16, -0x1.649b42c6d459ep-16, -0x1.78052d5c62facp-16, -0x1.8b5c167420293p-16, -0x1.9e9effb53a6d6p-16, -0x1.b1c51db5f1495p-16, -0x1.c4d114657cc78p-16, -0x1.d7b294230c3cp-16, -0x1.ea629a5b10897p-16, -0x1.fcdfa5b441c09p-16, -0x1.0797b8efd4578p-15, -0x1.10a7a1fe1004ap-15, -0x1.199b5a30832dbp-15, -0x1.226e9892dd7ffp-15, -0x1.2b2b5d4adedffp-15, -0x1.33d35363d09f3p-15, -0x1.3c566c008827dp-15, -0x1.44b8b01d4d188p-15, -0x1.4cf929193779ep-15, -0x1.55176f3864cd1p-15, -0x1.5d1313db6deebp-15, -0x1.64eb9f1f436a4p-15, -0x1.6ca0802035a62p-15, -0x1.7431017a326e7p-15, -0x1.7b9cccf3efd58p-15, -0x1.82e37d3d713dbp-15, -0x1.8a052a4c58911p-15, -0x1.9101f93f59ed9p-15, -0x1.97d5d34714c09p-15, -0x1.9e872f99f8278p-15, -0x1.a50ea7bcca696p-15, -0x1.ab6e4c96ad6f5p-15, -0x1.b1a77bd71e8bap-15, -0x1.b7b84f2f2bc14p-15, -0x1.bda0a4b5f7d3ap-15, -0x1.c3617320b27ap-15, -0x1.c8f9e90823a83p-15, -0x1.ce6a0eac3a575p-15, -0x1.d3b20208f4b69p-15, -0x1.d8d239484dd12p-15, -0x1.ddca4c7785548p-15, -0x1.e299bd933fc7dp-15, -0x1.e7411ab115f4bp-15, -0x1.ebc08f2c2c4fp-15, -0x1.f0183ec5dcac4p-15, -0x1.f448602d27db5p-15, -0x1.f85122ada30dfp-15, -0x1.fc3298dfbe862p-15, -0x1.ffed2fe7fd094p-15, -0x1.01c08e8865b2ep-14, -0x1.03775f21bc178p-14, -0x1.051b471e2ccb9p-14, -0x1.06ac3f96ff54bp-14, -0x1.082a3762295a2p-14, -0x1.099580a491ee2p-14, -0x1.0aee30eb389b4p-14, -0x1.0c34953fcf14p-14, -0x1.0d690b71a6a98p-14, -0x1.0e8a02d82aacep-14, -0x1.0f9b22471b0a5p-14, -0x1.109baf3a602cdp-14, -0x1.1189541c10b4dp-14, -0x1.1265c1ec77df4p-14, -0x1.1331733b6aa96p-14, -0x1.13ec9b20834ccp-14, -0x1.149763e8131fdp-14, -0x1.1530a05f31466p-14, -0x1.15ba915f9dfebp-14, -0x1.1634a17563c2p-14, -0x1.169f03adde409p-14, -0x1.16fa169c11048p-14, -0x1.1749ae290c9a9p-14, -0x1.1782777001a05p-14, -0x1.17b0686139e0ep-14, -0x1.17cfe7d9e4666p-14, -0x1.17e13b5394595p-14, -0x1.17e485bfc0298p-14, -0x1.17d9fc2cb552fp-14, -0x1.17c1f23423fbfp-14, -0x1.179b838a35169p-14, -0x1.1769e7de8f4f2p-14, -0x1.172a7762d76c7p-14, -0x1.16de6943b2812p-14, -0x1.16863fddd97edp-14, -0x1.16211202528fbp-14, -0x1.15b0f9cd54114p-14, -0x1.15351cb375de2p-14, -0x1.14ad82def62d8p-14, -0x1.141ad1f7fb9b3p-14, -0x1.137d2b32a5c47p-14, -0x1.12d4c671c1876p-14, -0x1.1221e22faa37cp-14, -0x1.1164b906443a8p-14, -0x1.109cf19c88e4ep-14, -0x1.0fccd8f72eaf7p-14, -0x1.0ef208cafe542p-14, -0x1.0e0e2a1dfe297p-14, -0x1.0d2115ad8a6edp-14, -0x1.0c2b2512a2566p-14, -0x1.0b2c80f274794p-14, -0x1.0a24fdcb8175fp-14, -0x1.0915f3aebf50ep-14, -0x1.07fe96db27106p-14, -0x1.06df4d840a187p-14, -0x1.05b868e671517p-14, -0x1.048a247e47bc1p-14, -0x1.0354b071b25c3p-14, -0x1.02183db2a2403p-14, -0x1.00d4f69a8e8dep-14, -0x1.ff15ffe5a7c51p-15, -0x1.fc756b04751a1p-15, -0x1.f9c8d91f3a30bp-15, -0x1.f70fe3ad83a51p-15, -0x1.f44b4e221cf1p-15, -0x1.f17b77eeaca7ap-15, -0x1.eea0c266f87d2p-15, -0x1.ebbba7f794c27p-15, -0x1.e8cc37c879f7fp-15, -0x1.e5d3065603191p-15, -0x1.e2d2491e67bfp-15, -0x1.dfc463cf3f606p-15, -0x1.dcaff0dea4903p-15, -0x1.d993027b8b10fp-15, -0x1.d66e4190f2563p-15, -0x1.d3406b0397dc8p-15, -0x1.d00525209bfb4p-15, -0x1.ccd250d576176p-15, -0x1.c98d3770aa53bp-15, -0x1.c646eca421aacp-15, -0x1.c2f7ee369d876p-15, -0x1.bfa3171e2b9d1p-15, -0x1.bc48bf5ccb425p-15, -0x1.b8e914c583bb5p-15, -0x1.b58414310e0ccp-15, -0x1.b21ce7b618ba3p-15, -0x1.aead061f173e8p-15, -0x1.ab3afdcec8e03p-15, -0x1.a7c4f217a0921p-15, -0x1.a44b3c9074a9bp-15, -0x1.a0ce18cfd4f26p-15, -0x1.9d4dbf8e0a031p-15, -0x1.99ca7782f6112p-15, -0x1.96447de42e95ep-15, -0x1.92bc0e3733f37p-15, -0x1.8f315f469e6abp-15, -0x1.8ba4c8cc1fe32p-15, -0x1.88166bcce015ep-15, -0x1.848677fe0e0dcp-15, -0x1.80f518a6604dep-15, -0x1.7d62cec9f2685p-15, -0x1.79cfd00f65137p-15, -0x1.763ba51e67d81p-15, -0x1.72a69e7a0ec53p-15, -0x1.6f116017e8ccap-15, -0x1.6b7c359a61db2p-15, -0x1.67e8d9aa8c8bap-15, -0x1.64531ebb10df6p-15, -0x1.60bdda0af94dfp-15, -0x1.5d2a0d6210145p-15, -0x1.5996e33c99fd4p-15, -0x1.560496b5240ddp-15, -0x1.527354ab169c5p-15, -0x1.4ee30d992d4f1p-15, -0x1.4b5486187164p-15, -0x1.47c75b2e73781p-15, -0x1.443bdf56579fp-15, -0x1.40b204539eed9p-15, -0x1.3d2876fe3a12ep-15, -0x1.39a46f0e30e63p-15, -0x1.3620b48d7382cp-15, -0x1.329f9d631e74ep-15, -0x1.2f212f3235a3bp-15, -0x1.2ba294959de23p-15, -0x1.282c33e594f87p-15, -0x1.24ac8f1a45dd4p-15, -0x1.214182640fff6p-15, -0x1.1dcfd92755d5dp-15, -0x1.1a61f9f7f26e3p-15, -0x1.16f757807b65fp-15, -0x1.138f48fb70145p-15, -0x1.102cb681f46efp-15, -0x1.0ccbb38506333p-15, -0x1.096eff20bb9f1p-15, -0x1.0615ed50af109p-15, -0x1.02c0933cf939ap-15, -0x1.fede415614f13p-16, -0x1.f84378ee7835cp-16, -0x1.f1b06a493b2e3p-16, -0x1.eb25141851579p-16, -0x1.e4a24659593bep-16, -0x1.de280f4d07c1cp-16, -0x1.d7b63ba47b79bp-16, -0x1.d14d5c50a0dbbp-16, -0x1.caecddf6e3227p-16, -0x1.c4955cc2b9e88p-16, -0x1.be46d29a2d044p-16, -0x1.b801a6fe0e07ap-16, -0x1.b1c59b3bb5618p-16, -0x1.ab92c22fe6f2cp-16, -0x1.a569629e0087bp-16, -0x1.9f49884ffdcfap-16, -0x1.9933341fd26d8p-16, -0x1.9326873fb5154p-16, -0x1.8d240150de698p-16, -0x1.872ae051cdc83p-16, -0x1.813b7d5b7db1ep-16, -0x1.7b5655a8f359dp-16, -0x1.757af918111ffp-16, -0x1.6fa9dfff5ea8ap-16, -0x1.69e340777f97fp-16, -0x1.64262c487ecf1p-16, -0x1.5e76f5707bab6p-16, -0x1.58cf5bf1d4624p-16, -0x1.532e23f0f14bdp-16, -0x1.4da3b4196993dp-16, -0x1.4811f1c67285ep-16, -0x1.42924e2170bb4p-16, -0x1.3d1def58cfb82p-16, -0x1.37b42f0b73a6cp-16, -0x1.325563b407a28p-16, -0x1.2d08e02fa7b5ep-16, -0x1.27b701be30563p-16, -0x1.227694ffae36fp-16, -0x1.1d4165f3b4ffcp-16, -0x1.181789a20bbbap-16, -0x1.12fb75db27bc6p-16, -0x1.0de15f3a14721p-16, -0x1.08d789eea00fap-16, -0x1.03d79b6d21696p-16, -0x1.fdc4129983289p-17, -0x1.f3ecb78615e27p-17, -0x1.ea2aaf4b90074p-17, -0x1.e08002da836b8p-17, -0x1.d6ee552284376p-17, -0x1.cd6e879e03911p-17, -0x1.c4036d3625b7dp-17, -0x1.baad0b5aec4bfp-17, -0x1.b16b94e1c60c1p-17, -0x1.a83fdd7c92e57p-17, -0x1.9f29484e50312p-17, -0x1.9627ce090630ep-17, -0x1.8d3b111e15d57p-17, -0x1.8462d489cc0dap-17, -0x1.7b9f2f131806fp-17, -0x1.72f16fa09a1dfp-17, -0x1.6a57f680b8f3ap-17, -0x1.61d31a9906645p-17, -0x1.5962eaf8945cep-17, -0x1.510750400e43dp-17, -0x1.48c033c1b535ep-17, -0x1.408da59bff78fp-17, -0x1.386fe548465c7p-17, -0x1.3067360107f28p-17, -0x1.2864b61d1c49ap-17, -0x1.208ede4fe4e3ap-17, -0x1.18c0c5724d7fp-17, -0x1.11072d7853fcdp-17, -0x1.0961a2e75612ep-17, -0x1.01cfc8e457903p-17, -0x1.f4a36827b06afp-18, -0x1.e5cf3d4b32ca6p-18, -0x1.d72325ac55ec2p-18, -0x1.c852f83145d77p-18, -0x1.ba3efb271c4e6p-18, -0x1.ac019ce7df4b3p-18, -0x1.9dee498574017p-18, -0x1.9001a80cf3ac2p-18, -0x1.823af557a96d4p-18, -0x1.749a01425e68bp-18, -0x1.671ea90196bb9p-18, -0x1.59cacdfe168e2p-18, -0x1.4c9a091235361p-18, -0x1.3f8abd2cb2229p-18, -0x1.32a5fdae34bc4p-18, -0x1.25e29ec5a53fep-18, -0x1.19443341f32a4p-18, -0x1.0cc924314fe3p-18, -0x1.00741fed6722p-18, -0x1.e882ffd2dec5p-19, -0x1.d06599594de1ap-19, -0x1.b892ebf1c6929p-19, -0x1.a10460166effdp-19, -0x1.89afdbddd1bbfp-19, -0x1.72a9e56a99be2p-19, -0x1.5be8a3a5866e7p-19, -0x1.456b9566f0f0dp-19, -0x1.2f32dabcc106fp-19, -0x1.194269fc8635ep-19, -0x1.0359c0280ecbfp-19, -0x1.dbf5e42a4fdc1p-20, -0x1.b1cb55579aa9cp-20, -0x1.87f387260685cp-20, -0x1.5ea36c3672abap-20, -0x1.35c34f3370433p-20, -0x1.0d6b245295634p-20, -0x1.cb241cf8c3f65p-21, -0x1.7bda97b67cba7p-21, -0x1.2e32287aea24dp-21, -0x1.c4352c8d8eb9p-22, -0x1.2c6518c4c2cddp-22, -0x1.2d4ad03a33994p-23, -0x1.337adf8e90a66p-29, 0x1.1d87bfce81832p-23, 0x1.1edb4347cfd05p-22, 0x1.acdec2db19913p-22, 0x1.1c97a2d547af5p-21, 0x1.61c470bf5fa34p-21, 0x1.a5e3c40f3bdecp-21, 0x1.e97c209972ce6p-21, 0x1.1600849e4576ep-20, 0x1.36d125e04701cp-20, 0x1.572e84246c901p-20, 0x1.771e7f140da7bp-20, 0x1.96a23a2afbaedp-20, 0x1.b5ff6e010fe65p-20, 0x1.d458c5a5acc4bp-20, 0x1.f2953653e2afdp-20, 0x1.083327ba43c39p-19, 0x1.16e3b83295d1ep-19, 0x1.25619aff3125dp-19, 0x1.33b6d66de18c3p-19, 0x1.41bfdcc8f9a68p-19, 0x1.4fa42e1287bd9p-19, 0x1.5d57430d07d14p-19, 0x1.6ad27bd23994ap-19, 0x1.781cffa89041cp-19, 0x1.853702dc7ca2dp-19, 0x1.922617ef09097p-19, 0x1.9ed870046266cp-19, 0x1.ab604efd5f8edp-19, 0x1.b7b7e3325c5e6p-19, 0x1.c3e2694ea5911p-19, 0x1.cfdab18cdb97ep-19, 0x1.dba4af7efde4dp-19, 0x1.e73c51031ad85p-19, 0x1.f1f7a63c33abp-19, 0x1.fdf097a489ca7p-19, 0x1.0484a77d4e172p-18, 0x1.09f95cb89140cp-18, 0x1.0f5931e1ab22bp-18, 0x1.14b6f4bce0a8ep-18, 0x1.19d4339d83585p-18, 0x1.1ef149794f6a7p-18, 0x1.23f8e86f10ccap-18, 0x1.28ecb210bea51p-18, 0x1.2dcacdea31089p-18, 0x1.329577cf4619p-18, 0x1.3746e5d01e29bp-18, 0x1.3c083d7c69a37p-18, 0x1.4079030feff5p-18, 0x1.44f2532b74e58p-18, 0x1.4947630bd84c3p-18, 0x1.4dacdb7d438eep-18, 0x1.51d3efd47a052p-18, 0x1.561cb5a599005p-18, 0x1.5a32599276236p-18, 0x1.5e366f70f4b7dp-18, 0x1.622d818ae3254p-18, 0x1.660ed292ee9d2p-18, 0x1.69f7471443fa4p-18, 0x1.6d9e688b22f15p-18, 0x1.714a58767a88cp-18, 0x1.74e531ae12422p-18, 0x1.786ee7cce9495p-18, 0x1.7be7e48222bdbp-18, 0x1.7fb04daca1a9ap-18, 0x1.82a1e14c68f96p-18, 0x1.85eaedf4cc9d1p-18, 0x1.8921b0db17482p-18, 0x1.8c44ed46b2e36p-18, 0x1.8f5948d4ee164p-18, 0x1.925c9ec5e741dp-18, 0x1.9521b38069703p-18, 0x1.9835e0225804dp-18, 0x1.9b0dea009fe08p-18, 0x1.9dd526e56b2bdp-18, 0x1.a0ace182c294dp-18, 0x1.a335003dd571dp-18, 0x1.a5ce161b8fe8cp-18, 0x1.a858cd0022cd4p-18, 0x1.aad510e1d6d73p-18, 0x1.ad407250ffd6cp-18, 0x1.afa2a9d6cf0cap-18, 0x1.b1f398dc257dbp-18, 0x1.b4134a1118cd6p-18, 0x1.b668ac8dada0cp-18, 0x1.b897d3d21bfd8p-18, 0x1.bab40698fe24ep-18, 0x1.bcbed583be795p-18, 0x1.bebe126d1a744p-18, 0x1.c0aa7aa8047dcp-18, 0x1.c296a17bc5f81p-18, 0x1.c48cae98f842bp-18, 0x1.c6742b43cf021p-18, 0x1.c7ffb3aa530d7p-18, 0x1.c9b74ebc49da6p-18, 0x1.cb60c1f87fddbp-18, 0x1.ccfc8051bf16fp-18, 0x1.ce8d6d532d01fp-18, 0x1.d01274867470ep-18, 0x1.d18b9b02c2ca8p-18, 0x1.d2fd542500285p-18, 0x1.d446ed4d9497dp-18, 0x1.d5b38daf516b3p-18, 0x1.d70225b506d07p-18, 0x1.d84199e60f082p-18, 0x1.d97841c96bb47p-18, 0x1.daa48d68e9a46p-18, 0x1.dbc5cf752fc3ep-18, 0x1.dcd9275780f66p-18, 0x1.ddf2977219bb8p-18, 0x1.deeb33489b51p-18, 0x1.dfe82f0719177p-18, 0x1.e0d0b35a2f9acp-18, 0x1.e17ef38004ac1p-18, 0x1.e291784b71b81p-18, 0x1.e36473074cc24p-18, 0x1.e42c9c53d5653p-18, 0x1.e4eb6fe879d5ep-18, 0x1.e5a1cf94f6e5ap-18, 0x1.e6212a39858dap-18, 0x1.e6f0bdddcc462p-18, 0x1.e78b7cc202435p-18, 0x1.e81d4a2ab3635p-18, 0x1.e8b6e26ce6589p-18, 0x1.e925d64d1e624p-18, 0x1.e99c7316ee312p-18, 0x1.ea0e96ec026e8p-18, 0x1.ea74f181d86dcp-18, 0x1.ead38986487abp-18, 0x1.eb2a631b21a69p-18, 0x1.eb79e47ded345p-18, 0x1.ebb069cbf2f25p-18, 0x1.ebffccff72e1fp-18, 0x1.ec39219785ed7p-18, 0x1.ec69831a1470cp-18, 0x1.ec93ef3fc321fp-18, 0x1.ecb69e8f73b72p-18, 0x1.ecb0ab04e6497p-18, 0x1.ece344f5301efp-18, 0x1.ecef285db2ff7p-18, 0x1.ecf519dacabbbp-18, 0x1.ecf3ed6775bfbp-18, 0x1.ecea9a9217ac7p-18, 0x1.ecdc68f144868p-18, 0x1.ecc4aa2f67ad6p-18, 0x1.ec8dcec1b654p-18, 0x1.ec88e12679e97p-18, 0x1.ec6086800b375p-18, 0x1.ec3163f8d6c0fp-18, 0x1.ebfc84d0ba4b4p-18, 0x1.ebc1bdf3b0899p-18, 0x1.eb806a969855bp-18, 0x1.eb39acef3e858p-18, 0x1.eaed18abc4b2fp-18, 0x1.ea9b17fc58a64p-18, 0x1.ea4482c3101f2p-18, 0x1.e9e679e318d62p-18, 0x1.e974f3699b42ap-18, 0x1.e926b6377a38bp-18, 0x1.e8ab600827bd1p-18, 0x1.e83178ebef67ap-18, 0x1.e7c043146402dp-18, 0x1.e7432df7d7759p-18, 0x1.e6c0e3cd68d82p-18, 0x1.e639a05b120fdp-18, 0x1.e5ae0c380165ap-18, 0x1.e51e6d4a5f4e2p-18, 0x1.e49e60afd3153p-18, 0x1.e3ee42a24f2cdp-18, 0x1.e34ddd02a1028p-18, 0x1.e2a5f9f7d3b11p-18, 0x1.e200e57725e89p-18, 0x1.e155e09a31d29p-18, 0x1.e0a78240c2a8p-18, 0x1.dff244fb7e974p-18, 0x1.df38e7feaff4fp-18, 0x1.de7d86ef6ac9p-18, 0x1.ddbc13f444c34p-18, 0x1.dcf6682ac7794p-18, 0x1.dc2e2b3da2b9dp-18, 0x1.db6787447750cp-18, }}, 
      {{-0x1.aaf2af1423df8p-1, -0x1.a92120148b84ep-1, -0x1.a624f529bbb67p-1, -0x1.a20d58756225p-1, -0x1.9ceca687091acp-1, -0x1.96d742c19094p-1, -0x1.8fe2aeb9a2be8p-1, -0x1.8824df349f9e3p-1, -0x1.7fb3b9741fa34p-1, -0x1.76a4b0d0ed28fp-1, -0x1.6d0c815de5627p-1, -0x1.62fefc25ccd9p-1, -0x1.588ee50b76748p-1, -0x1.4dcdda6e6e3b7p-1, -0x1.42cc4b0b7feefp-1, -0x1.3799702ba5ecp-1, -0x1.2c434e19aa276p-1, -0x1.20d6bc69eb81p-1, -0x1.155f6c099f986p-1, -0x1.09e7f58d4decap-1, -0x1.fcf3cafc31f7dp-2, -0x1.e63b950e43be4p-2, -0x1.cfb68c30e065p-2, -0x1.b972397126fd2p-2, -0x1.a37a82cad5b4ap-2, -0x1.8dd9d8be0e031p-2, -0x1.789942ee5944bp-2, -0x1.63c089ed8afb6p-2, -0x1.4f564ae378049p-2, -0x1.3b6018564720ap-2, -0x1.27e285f240fc5p-2, -0x1.14e14d10d31b1p-2, -0x1.025f576f25c91p-2, -0x1.e0bdad7b820abp-3, -0x1.bdc2a7a40690fp-3, -0x1.9bcf8a99b0cbcp-3, -0x1.7ae52980a002ep-3, -0x1.5b036e77f37ap-3, -0x1.3c296cb1c3077p-3, -0x1.1e557318e5243p-3, -0x1.01852b7f5b564p-3, -0x1.cb6b56c61c243p-4, -0x1.95c70f0dea13fp-4, -0x1.6215c33b87e3p-4, -0x1.304efe916a606p-4, -0x1.0069a887dc68p-4, -0x1.a4b825760a1ap-5, -0x1.4c38527f991d4p-5, -0x1.ee7dde1d1cce4p-6, -0x1.4b6cfb2cc39b4p-6, -0x1.5e2456134435ep-7, -0x1.940f722bd73ffp-10, 0x1.d8cde6a50333fp-8, 0x1.fef06ca613377p-7, 0x1.82ba54733f9p-6, 0x1.001364af0bd82p-5, 0x1.3bf520a7e83c6p-5, 0x1.7518931b9cc21p-5, 0x1.ab938d680647ep-5, 0x1.df7bbede1e42dp-5, 0x1.0873384b92111p-4, 0x1.1ff4453ceca39p-4, 0x1.364b4b0faacadp-4, 0x1.4b825b4291e72p-4, 0x1.5fa34c4c8f284p-4, 0x1.72b7bd548eadep-4, 0x1.84c912254214p-4, 0x1.95e0727c07192p-4, 0x1.a606c976683e7p-4, 0x1.b544c55583a37p-4, 0x1.c3a2d67b8646dp-4, 0x1.d129306f1e712p-4, 0x1.dddfc9cc974e2p-4, 0x1.e9ce5ca8fb696p-4, 0x1.f4fc67bcb548dp-4, 0x1.ff712d9766ccap-4, 0x1.0499dc018fc4ap-3, 0x1.09256b06d6f7fp-3, 0x1.0d5e925dfc613p-3, 0x1.11487f4a36b24p-3, 0x1.14e649380947cp-3, 0x1.183aece8ad2bfp-3, 0x1.1b494b25fad94p-3, 0x1.1e142da2c884dp-3, 0x1.209e457aae0cap-3, 0x1.22ea2c467c173p-3, 0x1.24fa646d3ea01p-3, 0x1.26d15a8a7664fp-3, 0x1.287165434f1f8p-3, 0x1.29dcc672dae73p-3, 0x1.2b15abc0aefcp-3, 0x1.2c1e2f0ed9e9fp-3, 0x1.2cf8573507748p-3, 0x1.2da618ab1f58fp-3, 0x1.2e2956111761dp-3, 0x1.2e83e0d81ef76p-3, 0x1.2eb779a425131p-3, 0x1.2ec5d1327b247p-3, 0x1.2eb0888571117p-3, 0x1.2e7931a609303p-3, 0x1.2e21500def6d3p-3, 0x1.2daa593636e78p-3, 0x1.2d15b53484266p-3, 0x1.2c64bec95e6ep-3, 0x1.2b98c421401d9p-3, 0x1.2ab3079143ca9p-3, 0x1.29b4bf556b15cp-3, 0x1.289f1641a261dp-3, 0x1.27732cc933fdp-3, 0x1.263218c230384p-3, 0x1.24dce417ee863p-3, 0x1.237492271e96p-3, 0x1.21fa19fae4e9ap-3, 0x1.206e6aac30471p-3, 0x1.1ed26a6012752p-3, 0x1.1d26f6fdec3dp-3, 0x1.1b6ce5be48c26p-3, 0x1.19a5043ddd0b8p-3, 0x1.17d0187508bafp-3, 0x1.15eee0f184f13p-3, 0x1.1402152c90e69p-3, 0x1.120a65cd0d9a1p-3, 0x1.10087ce769308p-3, 0x1.0dfcfe2bafe09p-3, 0x1.0be8871d61999p-3, 0x1.09cbaf5d14ebap-3, 0x1.07a708d523b58p-3, 0x1.057b1ff76f007p-3, 0x1.03487bccb917ep-3, 0x1.010f9e477f8e9p-3, 0x1.fda208da2c054p-4, 0x1.f91a4cf34f154p-4, 0x1.f488f00ebf3b8p-4, 0x1.efeed09420309p-4, 0x1.eb4cc4459a53bp-4, 0x1.e6a398869f199p-4, 0x1.e1f4131fa15a4p-4, 0x1.dd3ef290886c8p-4, 0x1.d884ebe81f22fp-4, 0x1.d3c6ae3a8633fp-4, 0x1.cf04e39e6a26dp-4, 0x1.ca402cbbb82afp-4, 0x1.c57924ea350e9p-4, 0x1.c0b061115069fp-4, 0x1.bbe670590363cp-4, 0x1.b71bdc04bdb58p-4, 0x1.b25127b842cc6p-4, 0x1.ad86d19bf97f8p-4, 0x1.a8bd5364252bcp-4, 0x1.a3f5208d3443ap-4, 0x1.9f2ea8f834c7bp-4, 0x1.9a6a56e1074a1p-4, 0x1.95a8906170537p-4, 0x1.90e9b758a7601p-4, 0x1.8c2e296a52af3p-4, 0x1.877640302c08ap-4, 0x1.82c25150473eap-4, 0x1.7e12aeab5e9p-4, 0x1.7967a64df9dd4p-4, 0x1.74c183ccd2ff4p-4, 0x1.70208dcc1b218p-4, 0x1.6b8508abd6974p-4, 0x1.66ef354d12651p-4, 0x1.625f52007765ap-4, 0x1.5dd5996a732c2p-4, 0x1.595243f97cddap-4, 0x1.54d58717f67c8p-4, 0x1.505f95965902ap-4, 0x1.4bf09fbd78bc8p-4, 0x1.4788d3724625dp-4, 0x1.43285c1c252aap-4, 0x1.3ecf62ecd056ap-4, 0x1.3a7e0f0f944b9p-4, 0x1.3634850777576p-4, 0x1.31f2e7fff519cp-4, 0x1.2db9587be5fb9p-4, 0x1.2987f57165c81p-4, 0x1.255edbec985b4p-4, 0x1.213e2723634afp-4, 0x1.1d25f0b242818p-4, 0x1.19165060f9d51p-4, 0x1.150f5c6572ee1p-4, 0x1.111129754cc93p-4, 0x1.0d1bcabd8081cp-4, 0x1.092f51f430284p-4, 0x1.054bcf6ccd241p-4, 0x1.017152231b2c3p-4, 0x1.fb3fcf6edb44ap-5, 0x1.f3af39227791fp-5, 0x1.ec30f7b8697d5p-5, 0x1.e4c51f40e3663p-5, 0x1.dd6bc15539c67p-5, 0x1.d624ed6e46af5p-5, 0x1.cef0b0d84f738p-5, 0x1.c7cf16c7905d8p-5, 0x1.c0c028ffca4dfp-5, 0x1.b9c3eee4b513ep-5, 0x1.b2da6dbcb9c9dp-5, 0x1.ac03a9230d9abp-5, 0x1.a53fa33199d31p-5, 0x1.9e8e5c56ef38ap-5, 0x1.97efd33c154dfp-5, 0x1.9164051624575p-5, 0x1.8aeaee2faa1d5p-5, 0x1.848486c7f43cap-5, 0x1.7e30c992ad828p-5, 0x1.77efad4e2b6a6p-5, 0x1.71c128191ead4p-5, 0x1.6ba52ecd7b15fp-5, 0x1.659bb5054532ap-5, 0x1.5fa4ad2a42a08p-5, 0x1.59c00881f2411p-5, 0x1.53edb73e9fe25p-5, 0x1.4e2da88c4a4cbp-5, 0x1.487fca855a9fdp-5, 0x1.42e40a36ff50ap-5, 0x1.3d5a53ca84532p-5, 0x1.37e29222c1935p-5, 0x1.327cae2f64842p-5, 0x1.2d289966647fep-5, 0x1.27e6335a576a4p-5, 0x1.22b560edc6673p-5, 0x1.1d9615d0e62fp-5, 0x1.18883159faedep-5, 0x1.138b98e6aec14p-5, 0x1.0ea0326e1b9bfp-5, 0x1.09c5e26ea25f8p-5, 0x1.04fc8cb3f29d3p-5, 0x1.00441475dd08bp-5, 0x1.f738b8a963174p-6, 0x1.ee0a8cf69379bp-6, 0x1.e4fd68f70a783p-6, 0x1.dc110e9d3488cp-6, 0x1.d3454006d7484p-6, 0x1.ca99bcd273418p-6, 0x1.c20e44cfacd16p-6, 0x1.b9a296c90d0fcp-6, 0x1.b15670bcd68cp-6, 0x1.a9298fefe2b59p-6, 0x1.a11bb0fd29b15p-6, 0x1.992c8fc0e06fbp-6, 0x1.915be7f5f50ap-6, 0x1.89a97436baa41p-6, 0x1.8214ee8ac3ea8p-6, 0x1.7a9e10dfec8b2p-6, 0x1.73449489dc0a3p-6, 0x1.6c08332e3a536p-6, 0x1.64e8a4eb8fa2ap-6, 0x1.5de5a1828c507p-6, 0x1.56fee0f2c94c5p-6, 0x1.50341b17fa11ap-6, 0x1.49850749eaf66p-6, 0x1.42f15c69532afp-6, 0x1.3c78d1215599p-6, 0x1.361b1d98ec37p-6, 0x1.2fd7f6ee5047cp-6, 0x1.29af142ac3ab4p-6, 0x1.23a02bbc869ep-6, 0x1.1daaf3d115c81p-6, 0x1.17cf22e6d4bf3p-6, 0x1.120c6f541bc7bp-6, 0x1.0c628f6e56b58p-6, 0x1.06d13978fa0f5p-6, 0x1.015823fdcaaf2p-6, 0x1.f7ee0afa9f457p-7, 0x1.ed5b2a6e141f5p-7, 0x1.e2f7100dc5865p-7, 0x1.d8c12d905aad4p-7, 0x1.ceb8eff1d5b75p-7, 0x1.c4ddc57824299p-7, 0x1.bb2f1d53fc4b7p-7, 0x1.b1ac66eda623p-7, 0x1.a855122e98352p-7, 0x1.9f288f8beaf0fp-7, 0x1.9626500a98962p-7, 0x1.8d4dc54b43ce2p-7, 0x1.849e618aa6dabp-7, 0x1.7c1797903e21dp-7, 0x1.73b8da194dba4p-7, 0x1.6b819a40f3639p-7, 0x1.63715e0eacf3ep-7, 0x1.5b8784fad448cp-7, 0x1.53c395e86bb2fp-7, 0x1.4c24f0318104fp-7, 0x1.44ab2f4bfcc7ap-7, 0x1.3d55b5c58a62p-7, 0x1.3624015efe4bcp-7, 0x1.2f158dff411bdp-7, 0x1.2829d7b44de7ep-7, 0x1.21605b4fd5c12p-7, 0x1.1ab8969a628b1p-7, 0x1.1432088023d2p-7, 0x1.0dcc30d1923c4p-7, 0x1.07869079a224fp-7, 0x1.0160a849b6c42p-7, 0x1.f6b3e95c78649p-8, 0x1.eae4384a2f71fp-8, 0x1.df50c917bc822p-8, 0x1.d3f91f7cad24ep-8, 0x1.c8dc0ebc0bef3p-8, 0x1.bdf8b40a7e368p-8, 0x1.b34e21cae04b1p-8, 0x1.a8db6dc0f49d9p-8, 0x1.9e9fb066fba16p-8, 0x1.949a03b59a902p-8, 0x1.8ac98297b18bep-8, 0x1.812d4b8677ebbp-8, 0x1.77c480fe6ad08p-8, 0x1.6e8e47d90c576p-8, 0x1.6589c1e61f999p-8, 0x1.5cb617609f7aap-8, 0x1.54127575a727dp-8, 0x1.4b9e07e92c88cp-8, 0x1.4357fd55377dfp-8, 0x1.3b3f87b7fd643p-8, 0x1.3353db93db662p-8, 0x1.2b942eef82037p-8, 0x1.23ffbac73997bp-8, 0x1.1c95ba5de4c41p-8, 0x1.15556b85507b2p-8, 0x1.0e3e0dd09876cp-8, 0x1.074ee41caf79cp-8, 0x1.00873341ec88ep-8, 0x1.f3cc850013e78p-9, 0x1.e6d6b716500ccp-9, 0x1.da2b94b7feb29p-9, 0x1.cdc9bb4caf8d5p-9, 0x1.c1afcc4283202p-9, 0x1.b5dc6e447e3bdp-9, 0x1.aa4e4b99ad438p-9, 0x1.9f0414b43164ap-9, 0x1.93fc7e0d02f9ap-9, 0x1.8936407a0096p-9, 0x1.7eb019818b817p-9, 0x1.7468cb9394e4cp-9, 0x1.6a5f1df80a211p-9, 0x1.6091dc6d92a91p-9, 0x1.56ffd6471dab9p-9, 0x1.4da7df8e307a5p-9, 0x1.4488d1dfda0f6p-9, 0x1.3ba18bcf95f7ap-9, 0x1.32f0edd5f2a0dp-9, 0x1.2a75de52bcd1ep-9, 0x1.222f4830362ccp-9, 0x1.1a1c1bf4140acp-9, 0x1.123b470a0b6dfp-9, 0x1.0a8bc6bddb58fp-9, 0x1.030c94d5c578fp-9, 0x1.f77961a921acep-10, 0x1.e9363d20dc43ap-10, 0x1.db4dcb0c6dd4ap-10, 0x1.cdbe236741c76p-10, 0x1.c0856ca869e79p-10, 0x1.b3a1cad4fc6aep-10, 0x1.a7116d2e07febp-10, 0x1.9ad28c110c912p-10, 0x1.8ee368c26d3bbp-10, 0x1.83423f3f2673ap-10, 0x1.77ed717ad6626p-10, 0x1.6ce34881d356cp-10, 0x1.62222d3ec4303p-10, 0x1.57a875712d9b3p-10, 0x1.4d748dde5db97p-10, 0x1.438529eaed58ap-10, 0x1.39d7fd70f7498p-10, 0x1.306cb973f77fap-10, 0x1.274105621c42ap-10, 0x1.1e53b189fd4fap-10, 0x1.15a35467c436ap-10, 0x1.0d2e89dce82a5p-10, 0x1.04f3f516a6208p-10, 0x1.f9e48008830b9p-11, 0x1.ea5036c577f3bp-11, 0x1.db287dce2b6fep-11, 0x1.cc6ad1546f803p-11, 0x1.be147f39b39f9p-11, 0x1.b0244805529abp-11, 0x1.a295225dfcb38p-11, 0x1.95678c0a2ea97p-11, 0x1.8897d829ebd22p-11, 0x1.7c23f25c6927ap-11, 0x1.7009bb3d6448cp-11, 0x1.644708b33a474p-11, 0x1.58d9bd40a6c1p-11, 0x1.4dbfc3aa27026p-11, 0x1.42f715d66849p-11, 0x1.387db7c3b12a9p-11, 0x1.2e51b4ea2b2bep-11, 0x1.2471296f61867p-11, 0x1.1ada3539d2808p-11, 0x1.118afbf04771p-11, 0x1.08818cb784463p-11, 0x1.ff796a823b262p-12, 0x1.ee73cb95c88ap-12, 0x1.ddf07c82bc0c6p-12, 0x1.cdeb33db6d6ap-12, 0x1.be60fbf9e640ep-12, 0x1.af4e8d26f1862p-12, 0x1.a0b0fb4a9c6f3p-12, 0x1.92853ad2222fbp-12, 0x1.84c8563b6561cp-12, 0x1.77776bfe9c31p-12, 0x1.6a8faa729440ep-12, 0x1.5e0e4a6e2d2dp-12, 0x1.51f091198190cp-12, 0x1.4633e6566727p-12, 0x1.3ad5ab835fce5p-12, 0x1.2fd34dfbd13cdp-12, 0x1.252a55e95945ap-12, 0x1.1ad858e9f2cd8p-12, 0x1.10dafad65dd6fp-12, 0x1.072fea2900d53p-12, 0x1.fba9f59dce02ap-13, 0x1.e98fcc9bafc35p-13, 0x1.d80d0c0ae1de9p-13, 0x1.c71db9e66cf99p-13, 0x1.b6bd9bb4e1faap-13, 0x1.a6e8ab1013755p-13, 0x1.979c4baa0788bp-13, 0x1.88d0cc3a2d3d2p-13, 0x1.7a86395802f2ep-13, 0x1.6cb7abf06a341p-13, 0x1.5f6197ac65ba2p-13, 0x1.52806abe92e9p-13, 0x1.4610f6bd2996fp-13, 0x1.3a0fd16bb7e42p-13, 0x1.2e7a31269f721p-13, 0x1.234a7a3fd5075p-13, 0x1.18826c1b586b5p-13, 0x1.0e1b131a9c6fap-13, 0x1.0412cfaec0bbep-13, 0x1.f4cd7e4ee937ep-14, 0x1.e2282bcd9bcb6p-14, 0x1.d0302c36bc111p-14, 0x1.bee019e4d72afp-14, 0x1.ae32cddc7f123p-14, 0x1.9e237106b2014p-14, 0x1.8eacfdaf1bdbfp-14, 0x1.7fcac7b30f8edp-14, 0x1.717830bb49ap-14, 0x1.63b0beee3e43p-14, 0x1.56706ef1950ccp-14, 0x1.49b2d8039b184p-14, 0x1.3d736ad2b4851p-14, 0x1.31adb8442b876p-14, 0x1.265f0bf34d6b1p-14, 0x1.1b841a169f71p-14, 0x1.111668a26055p-14, 0x1.07142c0ab9335p-14, 0x1.faf350773726dp-15, 0x1.e8862827f0036p-15, 0x1.d6d826ceea82ap-15, 0x1.c5ea61407272ep-15, 0x1.b5a941d08a79bp-15, 0x1.a61ea3dad51d8p-15, 0x1.9738cb2c3f97fp-15, 0x1.88f5ed5f893cep-15, 0x1.7b5022ba3b171p-15, 0x1.6e425de179fefp-15, 0x1.61c7008933648p-15, 0x1.55d8ee9cd042ep-15, 0x1.4a732ec0704efp-15, 0x1.3f90d58928c88p-15, 0x1.352d256136f4fp-15, 0x1.2b434196b65bbp-15, 0x1.21ced490f74acp-15, 0x1.18cb6ccea3b88p-15, 0x1.1034c9788c02fp-15, 0x1.0806c348cb66p-15, 0x1.003cda711e8ffp-15, 0x1.f1a8fb899921p-16, 0x1.e390ffe46ad35p-16, 0x1.d62b5ce3b208cp-16, 0x1.c971302dbd356p-16, 0x1.bd5beccceb4d2p-16, 0x1.b1e5433f27233p-16, 0x1.a707073cbed76p-16, 0x1.9cbb1f80e6c71p-16, 0x1.92fb9bc5098bdp-16, 0x1.89c264c6ee294p-16, 0x1.810a08a761cd4p-16, 0x1.78cd831949856p-16, 0x1.7107d7e99df56p-16, 0x1.69ad5f592fd2bp-16, 0x1.62d01273005c6p-16, 0x1.5c460ffcf8e19p-16, 0x1.563351a62d4e5p-16, 0x1.5069b595664d8p-16, 0x1.4b01de7caae74p-16, 0x1.45eedd16a161fp-16, 0x1.412cfb0b00a32p-16, 0x1.3cb86c55cb9ecp-16, 0x1.388e342ca1ccp-16, 0x1.34abd23c85a4ep-16, 0x1.3103fe8270fa1p-16, 0x1.2da3dbb9f166ep-16, 0x1.2a7e50c56c43bp-16, 0x1.2793ae44039a8p-16, 0x1.24dae39cba8a2p-16, 0x1.22574103bc6fap-16, 0x1.2004b72becc3dp-16, 0x1.1de054344dc2bp-16, 0x1.1be72a4bf3831p-16, 0x1.1a16fba9df6dep-16, 0x1.186d179f0c727p-16, 0x1.16e70d2d406dbp-16, 0x1.1582702c0858p-16, 0x1.143cff82ede0ep-16, 0x1.13148ed55f084p-16, 0x1.12077ccf7886cp-16, 0x1.11139afbfc786p-16, 0x1.1036edce076dfp-16, 0x1.0f7023c52e2bcp-16, 0x1.0ebda4aa8be7p-16, 0x1.0e1db5e7609b5p-16, 0x1.0d8e83719ad0cp-16, 0x1.0d0f4103a51c1p-16, 0x1.0c9f03e0a1949p-16, 0x1.0c3c0a5104fd8p-16, 0x1.0bd5030676525p-16, 0x1.0b8c7c04131dbp-16, 0x1.0b52619284803p-16, 0x1.0b15df442136fp-16, 0x1.0ae08f8696b7fp-16, 0x1.0ab3173ec3af2p-16, 0x1.0a8956da9521p-16, 0x1.0a6438c6e8086p-16, 0x1.0a421cc32f227p-16, 0x1.0a227c098fb69p-16, 0x1.0a04b2e1f31f1p-16, 0x1.09e761236eb56p-16, 0x1.09ca4aa865921p-16, 0x1.09ac5be4959f9p-16, 0x1.098cf288b00a6p-16, 0x1.096c89b9c29bp-16, 0x1.0949c23fbda15p-16, 0x1.0924235771146p-16, 0x1.08fb21b2bf10ap-16, 0x1.08ce4f153c38ep-16, 0x1.089d7bb30da13p-16, 0x1.086853c322679p-16, 0x1.082eb5e1e09e3p-16, 0x1.07e876bb2e486p-16, 0x1.07a339c234c34p-16, 0x1.075f341a3f6bp-16, 0x1.070d654048815p-16, 0x1.06b586ec7a32cp-16, 0x1.06596f8601385p-16, 0x1.05f1c67741787p-16, 0x1.05856ee24940ep-16, 0x1.0511cf156b6a2p-16, 0x1.0494fe63fb1a8p-16, 0x1.04142ad155149p-16, 0x1.03897290e59c2p-16, 0x1.02f7030da1effp-16, 0x1.025cfa1c12da5p-16, 0x1.01bacfc3391c1p-16, 0x1.01107adebfae1p-16, 0x1.005e318767bfbp-16, 0x1.ff3d9cab46f9dp-17, 0x1.fdb52d1fc4a75p-17, 0x1.fc2d3bb66323ep-17, 0x1.fa86f5ea936a3p-17, 0x1.f8d0a9103c2cep-17, 0x1.f70b426587c04p-17, 0x1.f53a400761185p-17, 0x1.f3468fc77708cp-17, 0x1.f14f34cb13f2bp-17, 0x1.ef56bd2ffd02cp-17, 0x1.ed3c86b82a11ep-17, 0x1.eb14e977b21a9p-17, 0x1.e8dff098da992p-17, 0x1.e69faf15a43f6p-17, 0x1.e44366a722d48p-17, 0x1.e1e716022454dp-17, 0x1.df74e1b7b082p-17, 0x1.dcf58e18a4badp-17, 0x1.da67ccdf8e414p-17, 0x1.d7cc01a9667d1p-17, 0x1.d5228bb806d2fp-17, 0x1.d26c26d54718ep-17, 0x1.cf94a19a6f945p-17, 0x1.ccbe51633db92p-17, 0x1.c9f85e910c99ep-17, 0x1.c70cb6c18ef59p-17, 0x1.c415a67b949d2p-17, 0x1.c112afd0f6e95p-17, 0x1.be041d79a1276p-17, 0x1.baea1fb2a8dedp-17, 0x1.b7c56a3b23afp-17, 0x1.b49667e16f747p-17, 0x1.b15c2c85aff53p-17, 0x1.ae18217d5395bp-17, 0x1.aac94fde8abb5p-17, 0x1.a7718c0e9bb0cp-17, 0x1.a4125eb31230fp-17, 0x1.a09e46b619bcbp-17, 0x1.9d337ad8d23b6p-17, 0x1.99ba9c54ba35ep-17, 0x1.96372d669f657p-17, 0x1.92ac7351652b1p-17, 0x1.8f1a5f314861cp-17, 0x1.8b812da65a992p-17, 0x1.87e12af014ff2p-17, 0x1.843aa1f707df5p-17, 0x1.808dd3db612a4p-17, 0x1.7cd97a1ac0b7dp-17, 0x1.79214ba1b9044p-17, 0x1.756503ad49fbp-17, 0x1.71a211706d2c2p-17, 0x1.6dda67802e6c4p-17, 0x1.6a0e404e510ep-17, 0x1.663dbd530defap-17, 0x1.6269a86459d75p-17, 0x1.5e92524516d82p-17, 0x1.5ab6c0ca6a919p-17, 0x1.56d89c0271017p-17, 0x1.52f74196d072bp-17, 0x1.4f12c7b276ba6p-17, 0x1.4b2c948219879p-17, 0x1.4745273e4da4fp-17, 0x1.435b02f4d1be8p-17, 0x1.3f6f1472acc08p-17, 0x1.3b822ac2c6853p-17, 0x1.37943a06c3672p-17, 0x1.33a5c61311b4p-17, 0x1.2faa2ff863d62p-17, 0x1.2bbc41c86765bp-17, 0x1.27d65bbe412adp-17, 0x1.23e5f670fe389p-17, 0x1.1ff5f5c0a9884p-17, 0x1.1c07abdbbe078p-17, 0x1.18164956c2877p-17, 0x1.1432adbb53ebap-17, 0x1.103de8186b24fp-17, 0x1.0c53523daab3ap-17, 0x1.086a703af9b89p-17, 0x1.0482c9f5299d8p-17, 0x1.009dc5232eeafp-17, 0x1.f9a56c03e55a6p-18, 0x1.f1aff77d2281ep-18, 0x1.e9f09ebb9d6cfp-18, 0x1.e2376f08a88dbp-18, 0x1.da8366f25fd44p-18, 0x1.d2d5ad6419495p-18, 0x1.cb2ecbcac7623p-18, 0x1.c38ebd4a0ddf9p-18, 0x1.bbe8fbf4dfcf1p-18, 0x1.b4601c20f59a7p-18, 0x1.acd3ace6ffbb6p-18, 0x1.a54ef45bb2a84p-18, 0x1.9dd99960563eep-18, 0x1.965225fdc5f61p-18, 0x1.8eef90786681ap-18, 0x1.879288f70d9ffp-18, 0x1.8035ae2085b21p-18, 0x1.78e5150cd3c8ap-18, 0x1.719dd0ed5c875p-18, 0x1.6a5fb624df184p-18, 0x1.632b588f2600dp-18, 0x1.5c00fd4dd721ep-18, 0x1.54d7e8ba60fe4p-18, 0x1.4dd0de6733221p-18, 0x1.46c1f66671da6p-18, 0x1.3fc2f25e13eedp-18, 0x1.38ccac7dd40d7p-18, 0x1.31e29d9c3d256p-18, 0x1.2b04949fa87d2p-18, 0x1.2428a9d70f66ep-18, 0x1.1d6a56ff3df89p-18, 0x1.16ae9911ceabap-18, 0x1.0ffeb1ece9eddp-18, 0x1.095ac41155d14p-18, 0x1.02c2fee262ec3p-18, 0x1.f86f438359dbcp-19, 0x1.eb719410ad283p-19, 0x1.de8b84b59d7cep-19, 0x1.d1bc8daaa90efp-19, 0x1.c5097f3bc7e2p-19, 0x1.b874db5df0417p-19, 0x1.abf49f65125fdp-19, 0x1.9f8e0dce636ebp-19, 0x1.9342104cc1e76p-19, 0x1.8710beb50420dp-19, 0x1.7afa779c077f1p-19, 0x1.6efd62c1ebc76p-19, 0x1.631d07ef702f7p-19, 0x1.5769bfffd7429p-19, 0x1.4ba606adac531p-19, 0x1.4015d29eb16a6p-19, 0x1.349e68ccffef3p-19, 0x1.29447c8384963p-19, 0x1.1df8b098ba735p-19, 0x1.1290d4ffec355p-19, 0x1.07d6400efe777p-19, 0x1.f99cd20c20fcdp-20, 0x1.e41f67d04767ap-20, 0x1.ceac747e4fad4p-20, 0x1.b96d6a23fe277p-20, 0x1.a46898d3d6a2fp-20, 0x1.8f99fb6312af4p-20, 0x1.7af59dd9e5704p-20, 0x1.66e259c258e18p-20, 0x1.52753151cd3d5p-20, 0x1.3e84b1b5caa1cp-20, 0x1.2ac81622733a8p-20, 0x1.1742caf24028dp-20, 0x1.03f3c46a42b13p-20, 0x1.e1b3a4806cffp-21, 0x1.bbec680b15b44p-21, 0x1.9691e3f06d062p-21, 0x1.71a3932cb5ecdp-21, 0x1.4d1f2ea06907ap-21, 0x1.290a25ca4746p-21, 0x1.055e755e46117p-21, 0x1.c43b5193342d6p-22, 0x1.7e8f271c873f3p-22, 0x1.39b95a3f1b48dp-22, 0x1.eb701d2d9757cp-23, 0x1.64fcbdde930c2p-23, 0x1.c07c444e90c9ap-24, 0x1.74de7ec83ed38p-25, -0x1.2294855e0306ep-26, -0x1.45a5c9fc47b7fp-24, -0x1.21cbd23874166p-23, -0x1.9f132064ecedbp-23, -0x1.0cffb6e1142e8p-22, -0x1.49b1f86435cefp-22, -0x1.859ac34593556p-22, -0x1.c0ba0f02058cep-22, -0x1.fb2ded0b2aa05p-22, -0x1.1a52e26e8168ep-21, -0x1.36b38b4aed0c6p-21, -0x1.52af60af5c1c1p-21, -0x1.6e52132f5630dp-21, -0x1.89d9c0471220ep-21, -0x1.a46dd44c7fe08p-21, -0x1.beebaad5e186cp-21, -0x1.d8ff4ce7acb6ep-21, -0x1.f2aab8dafd1fcp-21, -0x1.062315353ea21p-20, -0x1.12752afc69ef6p-20, -0x1.1f478f33b75dbp-20, -0x1.2ae5529d394e1p-20, -0x1.36e9a8d6aee0fp-20, -0x1.42b25e7ed9773p-20, -0x1.4e3e2e54400acp-20, -0x1.59c74fe14c2cp-20, -0x1.64d4070b78bc8p-20, -0x1.70017219cad3p-20, -0x1.7ae50e18fb873p-20, -0x1.859d1851666p-20, -0x1.902a3bce0202p-20, -0x1.9a8adebe8fb2dp-20, -0x1.a4c0cd92fb12ap-20, -0x1.aeca9c5c9edfap-20, -0x1.b8af769e151f4p-20, -0x1.c2662c79440b1p-20, -0x1.cbf32fcec13ebp-20, -0x1.d5589f4a7f3e7p-20, -0x1.de9059e74042fp-20, -0x1.e7a76f30cd89dp-20, -0x1.f093183205ceep-20, -0x1.f957b48705211p-20, -0x1.00f884c7ace12p-19, -0x1.053248668bddbp-19, -0x1.09598ebe6c295p-19, -0x1.0d6d432abaad3p-19, -0x1.116db8af2229p-19, -0x1.155b3c94391c4p-19, -0x1.1936030399e45p-19, -0x1.1cfe3930d22cp-19, -0x1.20b40f7780dd3p-19, -0x1.2457c0d57a03dp-19, -0x1.27e9a1994eb43p-19, -0x1.2b6a7ed23ad79p-19, -0x1.2ed85bad1d379p-19, -0x1.3232ed3418f4fp-19, -0x1.358078e6b90fbp-19, -0x1.38a3f69a97e5cp-19, -0x1.3bc9d0838a7fdp-19, -0x1.3efabde5083b8p-19, -0x1.41e8bfe89f8eap-19, -0x1.44f64fdbb1e64p-19, -0x1.47df537e895cbp-19, -0x1.4ab632d508b7dp-19, -0x1.4d7cc91331f3cp-19, -0x1.50325dde567eap-19, -0x1.52c26752b3038p-19, -0x1.556fb694ac22ep-19, -0x1.57fa0637093acp-19, -0x1.5a742b0db0821p-19, -0x1.5cda2cd0caa3ep-19, -0x1.5f1f6a5038497p-19, -0x1.617e883f10051p-19, -0x1.63c4d482abf95p-19, -0x1.65f50d718029p-19, -0x1.681757b6304e9p-19, -0x1.6a2e802b38c81p-19, -0x1.6c39ceae02a6cp-19, -0x1.6e309e99fe304p-19, -0x1.7012f0fc0961fp-19, -0x1.71ee86c93a594p-19, -0x1.73bdfec6f5479p-19, -0x1.7582267eafcc9p-19, -0x1.77396c6768437p-19, -0x1.78e209258eb82p-19, -0x1.7a7db949b6487p-19, -0x1.7c0cb466c04bp-19, -0x1.7d900ffb439d9p-19, -0x1.7f087d2afdad1p-19, -0x1.80748f75685c6p-19, -0x1.81d3b1bc7b4f2p-19, -0x1.832787b79bc99p-19, -0x1.846fde4994f0dp-19, -0x1.85acbda6b746dp-19, -0x1.86de58fe69743p-19, -0x1.8804e758fb255p-19, -0x1.892028d228659p-19, -0x1.8a2fc14f5f965p-19, -0x1.8b345a9b97acfp-19, -0x1.8c3cbaa64de66p-19, -0x1.8d2195e7ed5a2p-19, -0x1.8e0866db6c306p-19, -0x1.8ee4a1782de35p-19, -0x1.8fb6bbf0a0f31p-19, -0x1.907f227a10c6p-19, -0x1.913ddce6c0762p-19, -0x1.91f1991b3217p-19, -0x1.929bb1f9af704p-19, -0x1.936533ea65705p-19, -0x1.93d4acb5a53bdp-19, -0x1.94674fae2aac8p-19, -0x1.94ed8e54d273fp-19, -0x1.956a8a36d1434p-19, -0x1.95defaee3e236p-19, -0x1.964ae22a45351p-19, -0x1.96ae40e689621p-19, -0x1.970537bb721dfp-19, -0x1.975aae1973cffp-19, -0x1.97a7390f0d0cfp-19, -0x1.97e85245a7dc4p-19, -0x1.982355a96431cp-19, -0x1.985610c77e9d9p-19, -0x1.98814e4c36357p-19, -0x1.98a470e15579dp-19, -0x1.98c05c2ea7df3p-19, -0x1.98d46b6e33c45p-19, -0x1.98ddad427af96p-19, -0x1.98e35e6e55397p-19, -0x1.98e789ad700c3p-19, -0x1.98df381f8a172p-19, -0x1.98cf965c27022p-19, -0x1.98b9781c29401p-19, -0x1.989ce0a8aec71p-19, -0x1.987a9f3ed47fep-19, -0x1.985be2c92bf5ep-19, -0x1.982caf40dc04bp-19, -0x1.97eced094a49dp-19, -0x1.97b04ca0d2cc5p-19, -0x1.976d90835d543p-19, -0x1.972662a95ac6ep-19, -0x1.96d8cb41f9d8dp-19, -0x1.96847a5b61073p-19, -0x1.963b4fed9e541p-19, -0x1.95e26e8957319p-19, -0x1.95647f370893cp-19, -0x1.950089032f29ap-19, -0x1.948fedc38f43cp-19, -0x1.941d077963138p-19, -0x1.93a27caf5b34cp-19, -0x1.9326747a083bbp-19, -0x1.92a15d2d4deacp-19, -0x1.9218c9035d647p-19, -0x1.918b4dafb4663p-19, -0x1.90f259d2ddbcp-19, -0x1.906356118d0e1p-19, -0x1.8fc8ae3e56e6fp-19, -0x1.8f295783bd22cp-19, -0x1.8e8509ee1536ap-19, -0x1.8ddd588663837p-19, -0x1.8d318cb06bba6p-19, -0x1.8c89213a64bfep-19, -0x1.8bcc3c5cd4f84p-19, -0x1.8b1406dee4ecfp-19, -0x1.8a581137951d2p-19, -0x1.89976b26e317bp-19, -0x1.88d42e71338b7p-19, -0x1.880d910b5e3c1p-19, -0x1.873fa75c2039bp-19, -0x1.867141a52fcd8p-19, -0x1.859fc8ff0754cp-19, -0x1.84c9edf2f02aap-19, -0x1.83f049901d52p-19, -0x1.8313f52e0a0ffp-19, -0x1.8235d4d83b90bp-19, -0x1.8151ad57bc4c2p-19, -0x1.806bccdee25d5p-19, -0x1.7f82d3551f645p-19, -0x1.7e971c4fbc49ap-19, -0x1.7da82b6188f9cp-19, -0x1.7cb66325c4e9p-19, -0x1.7bc11c77384a3p-19, -0x1.7aaed66f0827bp-19, -0x1.79d092b1be032p-19, -0x1.78d4aed259888p-19, -0x1.77d5d246cf977p-19, -0x1.76d50a6b5aaaap-19, -0x1.75dc0be04ff95p-19, -0x1.74cacce87707ap-19, -0x1.73c21ecad74f1p-19, -0x1.72b5fe7f1ec9p-19, -0x1.71a96b32cf6c7p-19, -0x1.709977b15dc62p-19, -0x1.6f8995e59c4c3p-19, -0x1.6e7533902ce3cp-19, -0x1.6d65f50727167p-19, -0x1.6c488d405149fp-19, -0x1.6b2f09282d02p-19, -0x1.6a0e78b002daep-19, -0x1.68f7f86b5612p-19, -0x1.67cb6161d9298p-19, -0x1.66b968a8d1a34p-19, -0x1.65971d57f10f3p-19, -0x1.64682a3eec4adp-19, -0x1.634d54866780ep-19, -0x1.622535e2b955cp-19, -0x1.61245069fb5f5p-19, -0x1.5fd51f12bbdafp-19, -0x1.5ea93cfb940b8p-19, -0x1.5d7cb85b564a6p-19, -0x1.5c4f45f58f678p-19, -0x1.5b2062f963717p-19, -0x1.5a0f6da158ad5p-19, -0x1.58bdc14bb54d6p-19, -0x1.578c5bcf5a352p-19, -0x1.5656ae3a0a47dp-19, -0x1.5523a568680b3p-19, -0x1.53ecca560deaap-19, -0x1.52b5b8707b54bp-19, -0x1.5176d7446661p-19, -0x1.5044bbce53e0bp-19, -0x1.4f0b82d564111p-19, -0x1.4dd104b09c235p-19, -0x1.4cac500d43304p-19, -0x1.4b598e48c4adep-19, -0x1.4a1c859afd2d7p-19, -0x1.48def0c8aa74dp-19, -0x1.47a09abdbc7afp-19, -0x1.465e6aa53a713p-19, -0x1.4521e84aad5cp-19, -0x1.43e1da90a3ed7p-19, -0x1.429775608a574p-19, -0x1.41569cf48b57ap-19, -0x1.401e7cf4926ffp-19, -0x1.3eddab6ee1861p-19, -0x1.3d98a31983fa3p-19, -0x1.3c5166f8eca39p-19, -0x1.3b0b034ce8b43p-19, -0x1.39ce2f56948f4p-19, -0x1.388e258fb3f23p-19, -0x1.374a9b20e6b19p-19, -0x1.3600c2007358ep-19, -0x1.34bc26c7cd39ap-19, -0x1.3376f64132814p-19, -0x1.32318492fa5fp-19, -0x1.30ebef30dbd1dp-19, -0x1.2fa63add3bedap-19, -0x1.2e606dbc0c26p-19, -0x1.2d1ac87790a13p-19, -0x1.2bcc3eaa88e87p-19, -0x1.2a8e5586ae7c1p-19, -0x1.2949327380a12p-19, -0x1.28022bb95bb82p-19, -0x1.26bc20de77479p-19, -0x1.25765f12dd7fp-19, -0x1.2430968c9ce56p-19, -0x1.22eaaee240276p-19, -0x1.21a50d9daf1a8p-19, -0x1.205f143e72ddfp-19, -0x1.1f19e04c232cp-19, -0x1.1dd47768d6f88p-19, -0x1.1c89498531998p-19, -0x1.1b4a78eba9a23p-19, -0x1.1a05ce6fb1f7ap-19, -0x1.18c16628dce0dp-19, -0x1.177d7bcd9dda9p-19, -0x1.163a0d2b66028p-19, -0x1.14e21aba40cf7p-19, -0x1.13b1ed9d75581p-19, -0x1.126fdd48f9629p-19, -0x1.112e8271f72fdp-19, -0x1.0feee54c210b3p-19, -0x1.0ea85fe69774ap-19, -0x1.0d66202233576p-19, -0x1.0c27bb14fc958p-19, -0x1.0ae61be4d978fp-19, -0x1.09a55aa2ac595p-19, -0x1.08658bf26ea66p-19, -0x1.072644df035aap-19, -0x1.05e69e20df724p-19, -0x1.04a948aeefae1p-19, -0x1.036ba570bf2ddp-19, -0x1.022e6b4680fd6p-19, -0x1.00f1db266c216p-19, -0x1.ff71b5358ca1cp-20, -0x1.fcd717ff80407p-20, -0x1.fa7f4cada23cep-20, -0x1.f80993f322465p-20, -0x1.f59685e60f66bp-20, -0x1.f32462b60cd14p-20, -0x1.f0b1f9e8a81ffp-20, -0x1.ee42cd652c3dp-20, -0x1.ebd43a83ff8b5p-20, -0x1.e96285530e383p-20, -0x1.e6fc16ad4783fp-20, -0x1.e491dca9e18cap-20, -0x1.e227eab546bf8p-20, -0x1.dfc0364b9130dp-20, -0x1.dd5a6aeb72685p-20, -0x1.daf5630fe7b2ep-20, -0x1.d8924b22031e1p-20, -0x1.d630bdd198b4dp-20, -0x1.d3d182eab12adp-20, -0x1.d17693f243e6fp-20, -0x1.cf15b10552fbcp-20, -0x1.ccb3de1fff1cp-20, -0x1.ca7efac70decbp-20, -0x1.c805c604da083p-20, -0x1.c5aed4edd293fp-20, -0x1.c3595565f701ap-20, -0x1.c105ba10d51a4p-20, -0x1.beb3ad7813f01p-20, -0x1.bc6337f9883a1p-20, -0x1.ba14d0b916efp-20, -0x1.b7c8a2790bde3p-20, -0x1.b58a68457347cp-20, -0x1.b33380e4606d3p-20, -0x1.b0eae312d6983p-20, -0x1.aea46b04a3a1dp-20, -0x1.ac6039e33c63p-20, -0x1.aa1c31aae51ccp-20, -0x1.a7ddd78db5ed7p-20, -0x1.a59df73194c4dp-20, -0x1.a3601acbee2e8p-20, -0x1.a125dc9c84623p-20, -0x1.9eebd6e01c376p-20, -0x1.9cb362737091p-20, -0x1.9a7e0b0ae2e17p-20, -0x1.984b00b69637dp-20, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.f4b3454744062p-7, 0x1.d5bc00ff8114p-6, 0x1.3f086c19b2b67p-5, 0x1.7414fa3ea99p-5, 0x1.879c933d77461p-5, 0x1.797576b77db12p-5, 0x1.4afefb809c9e7p-5, 0x1.fd3900b0cb268p-6, 0x1.2ea6c894ffacbp-6, 0x1.882ecbcb06d32p-9, -0x1.e94075c1748e5p-7, -0x1.1da1a45fb30c5p-5, -0x1.ce09200919f55p-5, -0x1.4425e0fb44003p-4, -0x1.a4b46dc753f8ap-4, -0x1.03a83ce7d5741p-3, -0x1.355e51a3c04eep-3, -0x1.66ef3d0302e6ep-3, -0x1.97dee1f82ee53p-3, -0x1.c7c1b24b7a8fdp-3, -0x1.f63bc624d110cp-3, -0x1.117feb8a4217ep-2, -0x1.26e70e7160d65p-2, -0x1.3b3995b208b2ep-2, -0x1.4e635b1d1449p-2, -0x1.60553fb213cdfp-2, -0x1.7104939c0348fp-2, -0x1.806a981bc2fd4p-2, -0x1.8e83fd639e2a6p-2, -0x1.9b506dc280d5cp-2, -0x1.a6d22a6e8da4ap-2, -0x1.b10da0d1b17b6p-2, -0x1.ba091b2b63f52p-2, -0x1.c1cc6c993013bp-2, -0x1.c860af83dd2abp-2, -0x1.cdd0068678c1p-2, -0x1.d225655846e25p-2, -0x1.d56c643a9daa2p-2, -0x1.d7b10a7463531p-2, -0x1.d8ffbc6f1df45p-2, -0x1.d96507b94d856p-2, -0x1.d8ed90e8986dp-2, -0x1.d7a5f80647e84p-2, -0x1.d59ac32486134p-2, -0x1.d2d84c8f028bap-2, -0x1.cf6ab48efca0dp-2, -0x1.cb5dd18bf91dcp-2, -0x1.c6bd29602c361p-2, -0x1.c193e5c360144p-2, -0x1.bbeccf34af3fcp-2, -0x1.b5d24835bbd39p-2, -0x1.af4e48a2a513cp-2, -0x1.a86a5b890482bp-2, -0x1.a12f9ee6522d7p-2, -0x1.99a6c164ee814p-2, -0x1.91d80417709b9p-2, -0x1.89cb3b9854e58p-2, -0x1.8187d1886450ep-2, -0x1.7914c692e872cp-2, -0x1.7078b4bd4e1e7p-2, -0x1.67b9d34225914p-2, -0x1.5eddf7da86a1fp-2, -0x1.55ea9c8644ebfp-2, -0x1.4ce4e17e80705p-2, -0x1.43d191131aad6p-2, -0x1.3ab5234565d24p-2, -0x1.3193c188f3a7dp-2, -0x1.28714aef29032p-2, -0x1.1f5155f9ec111p-2, -0x1.163736de3212ep-2, -0x1.0d260122ec1b8p-2, -0x1.04208a468395dp-2, -0x1.f652dfa6d6a0dp-3, -0x1.e4863020cc2c9p-3, -0x1.d2df6d71de3b8p-3, -0x1.c1629a8fa5957p-3, -0x1.b013654c02281p-3, -0x1.9ef5214a0b976p-3, -0x1.8e0ad36a0a33ep-3, -0x1.7d57347ea35bap-3, -0x1.6cdcb759f8d9ep-3, -0x1.5c9d8ba0334ddp-3, -0x1.4c9ba44e05413p-3, -0x1.3cd8b7331d9fep-3, -0x1.2d5646a8bfb11p-3, -0x1.1e15a017bb98ep-3, -0x1.0f17e3d528c2bp-3, -0x1.005e043746372p-3, -0x1.e3d195665d9cep-4, -0x1.c771b4f785292p-4, -0x1.ab9d66cd6ace1p-4, -0x1.9055660a40d7bp-4, -0x1.759a3667251edp-4, -0x1.5b6c1ad2321bp-4, -0x1.41cb2819fe60cp-4, -0x1.28b73d842ab0ap-4, -0x1.1030106cfb686p-4, -0x1.f06a5bab40256p-5, -0x1.c18bf3aaa5373p-5, -0x1.93c36c8e83e1ap-5, -0x1.670f103cf4c81p-5, -0x1.3b6ceb54ca155p-5, -0x1.10dacde6ab33fp-5, -0x1.ceacc0fa5dfa5p-6, -0x1.7dba3bd72b9cbp-6, -0x1.2ed8af4779871p-6, -0x1.c404e9242e31fp-7, -0x1.2e6350be0f212p-7, -0x1.3980b69f8c95p-8, -0x1.e1ebb91a10b44p-12, 0x1.eaf29bfa91378p-9, 0x1.00b1102e0c04fp-7, 0x1.82db77a0258f9p-7, 0x1.00a4d931b293p-6, 0x1.3e04eec1ba8adp-6, 0x1.79951859c4778p-6, 0x1.b35c8d15aea93p-6, 0x1.eb628c00a1adep-6, 0x1.10d735c064f6bp-5, 0x1.2b23bdfdeb77ep-5, 0x1.449a9259538d7p-5, 0x1.5d3f616ff6064p-5, 0x1.7515e0adf3408p-5, 0x1.8c21c303f7408p-5, 0x1.a266b78390464p-5, 0x1.b7e86b83d23e3p-5, 0x1.ccaa8cfc19728p-5, 0x1.e0b0c142ccbf2p-5, 0x1.f3fea9f621cc7p-5, 0x1.034bf17b444b2p-4, 0x1.0c4001bf4cc54p-4, 0x1.14dd4c7f62227p-4, 0x1.1d2593debcd54p-4, 0x1.251a98d5bc973p-4, 0x1.2cbe15c0a9916p-4, 0x1.3411c099e07d6p-4, 0x1.3b174c01fdd23p-4, 0x1.41d06375b10bap-4, 0x1.483eb02572ddep-4, 0x1.4e63d3ed5fdbap-4, 0x1.54416b25714ecp-4, 0x1.59d90d3f2265fp-4, 0x1.5f2c4d9a1f7e5p-4, 0x1.643cb8017a6bap-4, 0x1.690bd33338cd9p-4, 0x1.6d9b2005a5817p-4, 0x1.71ec19e23fff5p-4, 0x1.76003656cbb3fp-4, 0x1.79d8e4ae7d84fp-4, 0x1.7d778ee4c994fp-4, 0x1.80dd981e21191p-4, 0x1.840c5de10d72cp-4, 0x1.87053a89bbdabp-4, 0x1.89c97e20826b3p-4, 0x1.8c5a7634a4fd9p-4, 0x1.8eb96a2885fe2p-4, 0x1.90e798e9fda75p-4, 0x1.92e63f80dca6ep-4, 0x1.94b693f090f81p-4, 0x1.9659c477cb13p-4, 0x1.97d0fdaae637fp-4, 0x1.991d63783e5c9p-4, 0x1.9a4013d28f0fep-4, 0x1.9b3a2fa348defp-4, 0x1.9c0cc513ea77bp-4, 0x1.9cb8e6fa3c687p-4, 0x1.9d3fa0d68418ap-4, 0x1.9da1f6a5f267dp-4, 0x1.9de0e9b91a0e7p-4, 0x1.9dfd75d61f376p-4, 0x1.9df8924367414p-4, 0x1.9dd3323c70bd1p-4, 0x1.9d8e41647283bp-4, 0x1.9d2aaa93202b9p-4, 0x1.9ca951183ec14p-4, 0x1.9c0b14dac3342p-4, 0x1.9b50d26bd6185p-4, 0x1.9a7b61057a80dp-4, 0x1.998b92ac73df2p-4, 0x1.988237dd2cd0fp-4, 0x1.97601b0cd684bp-4, 0x1.9626020b5676cp-4, 0x1.94d4b225c7755p-4, 0x1.936ce9a4a59f1p-4, 0x1.91ef62074f466p-4, 0x1.905cd56a2fecp-4, 0x1.8eb5f85f8702ep-4, 0x1.8cfb7979a9d69p-4, 0x1.8b2e055a3c30dp-4, 0x1.894e47282881ap-4, 0x1.875ce69f81c92p-4, 0x1.855a844fceeebp-4, 0x1.8347bf3fc367bp-4, 0x1.812534b539e47p-4, 0x1.7ef37ec59ce4dp-4, 0x1.7cb334371d98fp-4, 0x1.7a64e6b5bd301p-4, 0x1.7809273cfcb9cp-4, 0x1.75a082886703ep-4, 0x1.732b83ef9f584p-4, 0x1.70aab4a4b5f54p-4, 0x1.6e1e96c516446p-4, 0x1.6b87acf61257dp-4, 0x1.68e678da030c2p-4, 0x1.663b75c74489fp-4, 0x1.63871e36f8736p-4, 0x1.60c9e9eb22b46p-4, 0x1.5e044f1ab185dp-4, 0x1.5b36bfdc0ad4ep-4, 0x1.5861ad508894dp-4, 0x1.5585848671adfp-4, 0x1.52a2b214c6fb2p-4, 0x1.4fb99e5849df4p-4, 0x1.4ccab1ac5e01dp-4, 0x1.49d6525550137p-4, 0x1.46dcdf0f50d79p-4, 0x1.43debbbe0e376p-4, 0x1.40dc464847fcp-4, 0x1.3dd5da08dece7p-4, 0x1.3acbd1452453fp-4, 0x1.37be83bdd3d73p-4, 0x1.34ae4acaa3e52p-4, 0x1.319b7803a1f1cp-4, 0x1.2e865cb9714a4p-4, 0x1.2b6f4a60aa853p-4, 0x1.28568fa51de9dp-4, 0x1.253c78dc86068p-4, 0x1.2221507df337bp-4, 0x1.1f055f12a3b2ap-4, 0x1.1be8eba33af58p-4, 0x1.18cc3c404d73cp-4, 0x1.15af92b5fff16p-4, 0x1.129332957e19cp-4, 0x1.0f7759ff94869p-4, 0x1.0c5c48b14d3b7p-4, 0x1.094239fc3434ap-4, 0x1.0629699bec3f8p-4, 0x1.031211531c28bp-4, 0x1.fff8cfd1f01e7p-5, 0x1.f9d147f90d3f4p-5, 0x1.f3adf129d83afp-5, 0x1.ed8f3682bedabp-5, 0x1.e7757a48c1f97p-5, 0x1.e16118f464861p-5, 0x1.db5270a3c2e7cp-5, 0x1.d549dccf1bf9cp-5, 0x1.cf47b35f1737dp-5, 0x1.c94c495f7d6bfp-5, 0x1.c357f1bbb5f2dp-5, 0x1.bd6af90526a6ap-5, 0x1.b785ac418427bp-5, 0x1.b1a85511b7c3dp-5, 0x1.abd337dee41ccp-5, 0x1.a6069ce35c02fp-5, 0x1.a042c53435a29p-5, 0x1.9a87ecc320373p-5, 0x1.94d651ddb04d6p-5, 0x1.8f2e2efaff4fcp-5, 0x1.898fbb8d37bbap-5, 0x1.83fb2d5837109p-5, 0x1.7e70b76e397a3p-5, 0x1.78f08ad9c7117p-5, 0x1.737ad4ba61171p-5, 0x1.6e0fc3b9aaab3p-5, 0x1.68af816bb2211p-5, 0x1.635a336edc08fp-5, 0x1.5e1002ba1c82ep-5, 0x1.58d1125099f9cp-5, 0x1.539d852ec362ep-5, 0x1.4e75789155cbdp-5, 0x1.49590caa98894p-5, 0x1.44485d4e02aacp-5, 0x1.3f4384a16c11cp-5, 0x1.3a4a9b18cc227p-5, 0x1.355db7675a77p-5, 0x1.307cee8dbd323p-5, 0x1.2ba853d5e53e9p-5, 0x1.26dff88df39aep-5, 0x1.2223ed3ceeba7p-5, 0x1.1d7441726523dp-5, 0x1.18d0fca62802dp-5, 0x1.143a2f194c77p-5, 0x1.0fafe0d592ca8p-5, 0x1.0b32201146267p-5, 0x1.06c0e8f680979p-5, 0x1.025c47537e7fp-5, 0x1.fc087e3675a6dp-6, 0x1.f371a57410446p-6, 0x1.eaf4074d50b37p-6, 0x1.e28fa49483f7cp-6, 0x1.da447bbcc9907p-6, 0x1.d21288897c0e1p-6, 0x1.c9f9c5056fa5fp-6, 0x1.c1fa28c7a43acp-6, 0x1.ba13a9d0a14fap-6, 0x1.b2463d44b2438p-6, 0x1.aa91c7d132b0cp-6, 0x1.a2f64c064d3a5p-6, 0x1.9b73a8931cb41p-6, 0x1.9409d0276f47dp-6, 0x1.8cb8ae6a76549p-6, 0x1.8580237d0e9abp-6, 0x1.7e6019e926e6cp-6, 0x1.775878aae2d94p-6, 0x1.7069209c4dea8p-6, 0x1.6991f3f9571c6p-6, 0x1.62d2d2a47ea08p-6, 0x1.5c2b9b77151dfp-6, 0x1.559c2c06a54bdp-6, 0x1.4f2462c6e6d35p-6, 0x1.48c419343fdp-6, 0x1.427b28ef0d695p-6, 0x1.3c496b29e9213p-6, 0x1.362eb8ad95b16p-6, 0x1.302ae7c850bacp-6, 0x1.2a3dce04c3194p-6, 0x1.24673db5a575bp-6, 0x1.1ea70dddce68dp-6, 0x1.18fd112010c35p-6, 0x1.13691c9646c02p-6, 0x1.0deafbea9cb57p-6, 0x1.0882835d7d148p-6, 0x1.032f8317a7943p-6, 0x1.fbe3951223a81p-7, 0x1.f19250e0f841ep-7, 0x1.e76ad4c7927b6p-7, 0x1.dd6cbfbfcac16p-7, 0x1.d397ab7be392cp-7, 0x1.c9eb32af060f4p-7, 0x1.c066eb2394fecp-7, 0x1.b70a6f19dbd02p-7, 0x1.add556aa19953p-7, 0x1.a4c73997516efp-7, 0x1.9bdfaf047f37ep-7, 0x1.931e4c8e12e12p-7, 0x1.8a82a709860dfp-7, 0x1.820c53bace64cp-7, 0x1.79bae4fed4c23p-7, 0x1.718df1ae062f3p-7, 0x1.6985119caffe9p-7, 0x1.619fda2fe30cfp-7, 0x1.59ddd62170e44p-7, 0x1.523e9e60be34p-7, 0x1.4ac1c816bccb9p-7, 0x1.4366e786e345ep-7, 0x1.3c2d911a4cd1ap-7, 0x1.3515584c09d87p-7, 0x1.2e1dd1960a369p-7, 0x1.274691d517ca7p-7, 0x1.208f2dd0282ebp-7, 0x1.19f73aaaefd48p-7, 0x1.137e4ca5860dfp-7, 0x1.0d23fa64bed57p-7, 0x1.06e7dbaf1000ap-7, 0x1.00c9883a4eca2p-7, 0x1.f59129faecb8bp-8, 0x1.e9c935386c99fp-8, 0x1.de3a6671dbaf1p-8, 0x1.d2e3e7c30e972p-8, 0x1.c7c4eef1ce5a3p-8, 0x1.bcdcaa372cb1ap-8, 0x1.b22a4a66a702fp-8, 0x1.a7ad133b131fap-8, 0x1.9d642d4f9f027p-8, 0x1.934ef4b9d2f37p-8, 0x1.896c6db93a91cp-8, 0x1.7fbc00d51d178p-8, 0x1.763ce02b2ebb7p-8, 0x1.6cee486401decp-8, 0x1.63cf76bbd1d96p-8, 0x1.5adfa9772f697p-8, 0x1.521e2097350aap-8, 0x1.498a1f80ab7bp-8, 0x1.4122ec911ff2cp-8, 0x1.38e7d12013923p-8, 0x1.30d823c6b7402p-8, 0x1.28f31f649c8b5p-8, 0x1.213852511a85dp-8, 0x1.19a6c5b542459p-8, 0x1.123df1704502ap-8, 0x1.0afd1cf08f4acp-8, 0x1.03e38ddc26d08p-8, 0x1.f9e1274b4f542p-9, 0x1.ec4702b0a51c7p-9, 0x1.def75810d86eap-9, 0x1.d1f0e4fe5669ap-9, 0x1.c53272b486119p-9, 0x1.b8bace9e6e101p-9, 0x1.ac88e8b4063dcp-9, 0x1.a09b9afffdc3p-9, 0x1.94f1c36176f5ep-9, 0x1.898a1baf28678p-9, 0x1.7e63644b1af4dp-9, 0x1.737c7f18fab83p-9, 0x1.68d3feebd9c35p-9, 0x1.5e68b5fc11397p-9, 0x1.54396b58df526p-9, 0x1.4a45018553555p-9, 0x1.408a61a520a21p-9, 0x1.370894eba7b29p-9, 0x1.2dbeaeb2fb1c4p-9, 0x1.24abc5b6faac8p-9, 0x1.1bceee1868103p-9, 0x1.13273553787edp-9, 0x1.0ab39d3b9453cp-9, 0x1.02731874686d2p-9, 0x1.f4c9244d4b67p-10, 0x1.e50de8a19236p-10, 0x1.d5b25a4e47c42p-10, 0x1.c6b46d6ea9202p-10, 0x1.b81237d303bb8p-10, 0x1.a9c9f4d92d1aep-10, 0x1.9bd9f9968afb8p-10, 0x1.8e40befa11d8dp-10, 0x1.80fcc8131adf7p-10, 0x1.740c7bf262765p-10, 0x1.676e59442e3dcp-10, 0x1.5b20bb53aa5dep-10, 0x1.4f262f0958c2p-10, 0x1.43702d5a511ccp-10, 0x1.3809bf7073084p-10, 0x1.2cecfa578cc0cp-10, 0x1.22184103ab28p-10, 0x1.178a15d55de7p-10, 0x1.0d41049474561p-10, 0x1.033bbbaad2497p-10, 0x1.f2f1d678821adp-11, 0x1.dfef1e1380c46p-11, 0x1.cd6bd68033dep-11, 0x1.bb662a3d7b661p-11, 0x1.a9db1b03d0eb1p-11, 0x1.98c7c86e8f982p-11, 0x1.88293e7932bbfp-11, 0x1.77fcb055cdeb1p-11, 0x1.683f8dfda3ff5p-11, 0x1.58ef411202af6p-11, 0x1.4a09387b5ac8ap-11, 0x1.3b8b4ce223b0fp-11, 0x1.2d73a050ad52ep-11, 0x1.1fc01c06babd8p-11, 0x1.126e91bd3c506p-11, 0x1.057d1b466fbc9p-11, 0x1.f1d38e1837019p-12, 0x1.d9658396dbbcap-12, 0x1.c1ac05ec65f0cp-12, 0x1.aaa2593b81912p-12, 0x1.94444e9b4a968p-12, 0x1.7e8e14f5dca02p-12, 0x1.697a121d24ebdp-12, 0x1.5504d64eebabap-12, 0x1.412ad3913bab9p-12, 0x1.2de88f95e6b67p-12, 0x1.1b3a269dc9dfcp-12, 0x1.091d9c6f0d07bp-12, 0x1.ef1b3345d38ecp-13, 0x1.cd0eeba04892ep-13, 0x1.ac10e4ca0c30ep-13, 0x1.8c1867938de98p-13, 0x1.6d209dd98674cp-13, 0x1.4f246eb9f3701p-13, 0x1.321e984eeb3bbp-13, 0x1.160964867aa84p-13, 0x1.f5bd61a17581ep-14, 0x1.c1317400240a6p-14, 0x1.8e60b45113d35p-14, 0x1.5d43a8cdec8a6p-14, 0x1.2dd0d80caf3a4p-14, 0x1.00007e2c50649p-14, 0x1.a793f011123cbp-15, 0x1.52325325e1df9p-15, 0x1.fffe563f41b75p-16, 0x1.6144ada81c0e1p-16, 0x1.904abbc6e4319p-17, 0x1.a374405013211p-19, -0x1.681e949a3e8b9p-18, -0x1.c6b69166cf76p-17, -0x1.67a57970f65ep-16, -0x1.e6ff78d476188p-16, -0x1.30c2bf6a53b5cp-15, -0x1.6baa9e52379a5p-15, -0x1.a4469852f817bp-15, -0x1.daa4bd9e5cd35p-15, -0x1.07684d0535fb8p-14, -0x1.2067f1ea5991cp-14, -0x1.385b9cada8fcfp-14, -0x1.4f3e371d4e90ap-14, -0x1.652059c2d4a84p-14, -0x1.7a003e432cc9p-14, -0x1.8deeff4c8d99ep-14, -0x1.a0f5b7d9ad55dp-14, -0x1.b320147b7ae1ep-14, -0x1.c47824a735dd6p-14, -0x1.d505db02347cdp-14, -0x1.e4cf2269ccfd2p-14, -0x1.f3d4ee175f67ep-14, -0x1.010ff7a0b7559p-13, -0x1.07d845da5e004p-13, -0x1.0e45eb33ede7cp-13, -0x1.145a2e3e50423p-13, -0x1.1a18372d5bccp-13, -0x1.1f81a382404d6p-13, -0x1.24979731ba5c3p-13, -0x1.295ce5ae21f89p-13, -0x1.2dd22ab027742p-13, -0x1.31f979c638e9bp-13, -0x1.35d4dbdd070b7p-13, -0x1.3966b6f8dc0d2p-13, -0x1.3cb24352d4a6dp-13, -0x1.3fbb2857dae86p-13, -0x1.42849e84aefaap-13, -0x1.4512329825fd5p-13, -0x1.4766fc017623ap-13, -0x1.4985c1dd94ae3p-13, -0x1.4b6fbe0867688p-13, -0x1.4d252b6bd882cp-13, -0x1.4ea63f12f2dd8p-13, -0x1.4ff4e31376719p-13, -0x1.51135009ad004p-13, -0x1.52017c144a013p-13, -0x1.52be8e2a8aaecp-13, -0x1.5351f3264b026p-13, -0x1.53b903545164bp-13, -0x1.53f4447bb39b1p-13, -0x1.5406cba6924d1p-13, -0x1.53f1cb572226cp-13, -0x1.53b67196968b5p-13, -0x1.53563f1cb4c47p-13, -0x1.52d158033c85bp-13, -0x1.522a4c0589b5ap-13, -0x1.5163314ccf2a6p-13, -0x1.507cb0dd84792p-13, -0x1.4f79a81493903p-13, -0x1.4e5cfc975ed8cp-13, -0x1.4d26ac17e2cc5p-13, -0x1.4bd64b1efbd27p-13, -0x1.4a6cc4ffc9f92p-13, -0x1.48ea9b88ff8ep-13, -0x1.4750700f1c794p-13, -0x1.459f8807275a9p-13, -0x1.43d91f3766075p-13, -0x1.41fdef1d4fa47p-13, -0x1.400e9ed05017fp-13, -0x1.3e0ad3966a4b2p-13, -0x1.3bf5976e4a74bp-13, -0x1.39d005efa961ep-13, -0x1.379925ab710e6p-13, -0x1.3552dc844edf8p-13, -0x1.32f2be76a7ba2p-13, -0x1.3099e0eea0bc5p-13, -0x1.2e27fc13f7be3p-13, -0x1.2ba8b90dbaef7p-13, -0x1.2926964d8a98dp-13, -0x1.268523336ee0ap-13, -0x1.23e32ca7393cfp-13, -0x1.213864611d7a6p-13, -0x1.1e84cd0eaead1p-13, -0x1.1bc7b8c68ae24p-13, -0x1.1901d0932fb77p-13, -0x1.16341af911b9p-13, -0x1.135e36362f1a4p-13, -0x1.1081a6480ff66p-13, -0x1.0d9f7436e0106p-13, -0x1.0ab5df66566ep-13, -0x1.07c6bbabc2f43p-13, -0x1.04d2da5cba602p-13, -0x1.01dac5cdf111dp-13, -0x1.fdba44499fe06p-14, -0x1.f7b9cb9ff68dap-14, -0x1.f1b4b0adcc5e6p-14, -0x1.eba7010901b89p-14, -0x1.e595c7eefb74p-14, -0x1.df7e3d5c11022p-14, -0x1.d962776875d83p-14, -0x1.d340c4cbf969dp-14, -0x1.cd1f1d02ff132p-14, -0x1.c6fa86d3b2185p-14, -0x1.c0d58e9e13d6ap-14, -0x1.bab05983148f2p-14, -0x1.b48ab06c0a704p-14, -0x1.ae652cf83a3b3p-14, -0x1.a8410342d1976p-14, -0x1.a21b08ebcbc28p-14, -0x1.9bf8ce6a9015bp-14, -0x1.95dd0a04c58a4p-14, -0x1.8fc01be98195fp-14, -0x1.89a6b063e793bp-14, -0x1.8391107960f2ep-14, -0x1.7d7f7b1c9da65p-14, -0x1.77722446edfd1p-14, -0x1.716ae513d7a72p-14, -0x1.6b6a26a2dd95cp-14, -0x1.656c640d8dfcdp-14, -0x1.5f7599505c27fp-14, -0x1.5982a684c2202p-14, -0x1.539720786e971p-14, -0x1.4db46e80039dap-14, -0x1.47d5b89dc3a8cp-14, -0x1.42015594906cap-14, -0x1.3c33ca7a8686p-14, -0x1.366da8118cd81p-14, -0x1.30af879b9c1c3p-14, -0x1.2af9d36b21f6cp-14, -0x1.254cc3ccce9e8p-14, -0x1.1fa85c94db95cp-14, -0x1.1a0cee198ef8dp-14, -0x1.147aa2a738ad3p-14, -0x1.0ef1572263fd4p-14, -0x1.097208af44cf7p-14, -0x1.03fc6d94b525fp-14, -0x1.fd208242def0ap-15, -0x1.f25c289eb1cdp-15, -0x1.e7aba97175b8ap-15, -0x1.dd0ec749830e5p-15, -0x1.d28996bdfa586p-15, -0x1.c81b3313cd238p-15, -0x1.bdbc097fd6e59p-15, -0x1.b37615c9061b1p-15, -0x1.a943581220e65p-15, -0x1.9f230db22c606p-15, -0x1.951c58f7e07ep-15, -0x1.8b2c42838c16cp-15, -0x1.81527540a9c86p-15, -0x1.778e728fdc8a4p-15, -0x1.6de080a270974p-15, -0x1.6448f401835adp-15, -0x1.5ac80c725aab5p-15, -0x1.515920cf8b807p-15, -0x1.48063922262bp-15, -0x1.3eccd498ee97bp-15, -0x1.35a647352b9a3p-15, -0x1.2c9661cae52ddp-15, -0x1.239e9281e8edp-15, -0x1.1a6c256607e34p-15, -0x1.11f7c3eb13e8bp-15, -0x1.0941fce7cd2bp-15, -0x1.00a1bab0bc66bp-15, -0x1.f03cf30e0b46dp-16, -0x1.df5fbc03efdbap-16, -0x1.ceb05378ec63bp-16, -0x1.be3f3b78885f4p-16, -0x1.add8e0f64b799p-16, -0x1.9db6b869e0b82p-16, -0x1.8dc39ae448641p-16, -0x1.7df77075756c3p-16, -0x1.6e5b67d7a4c82p-16, -0x1.5eef98c159777p-16, -0x1.4faa740eb87p-16, -0x1.408ed5c4ccd84p-16, -0x1.31ad15627b26ap-16, -0x1.22f4358e545a7p-16, -0x1.146781130e3fep-16, -0x1.060a14439ee8p-16, -0x1.ef9c02b583389p-17, -0x1.d393f10b2f043p-17, -0x1.b7e1a9ce7a567p-17, -0x1.9c815478eb6bcp-17, -0x1.817bb60b26299p-17, -0x1.66cbc0d790ff4p-17, -0x1.4c6dbc6bb3b17p-17, -0x1.32674bfbb3e1ap-17, -0x1.18b7c6fc53abdp-17, -0x1.feb72f368bd5cp-18, -0x1.ccf64818a0191p-18, -0x1.9b73d604cd4eep-18, -0x1.6ace26244ca2dp-18, -0x1.3a9dcf9c9945dp-18, -0x1.0b30c3affa275p-18, -0x1.b8f6ea34cb32dp-19, -0x1.606418ca2cf8cp-19, -0x1.01da88ee56616p-19, -0x1.504bc3286927ap-20, -0x1.3ee41bf3dcc78p-21, 0x1.dd8dc111b0919p-25, 0x1.75a2f7bc6ec1cp-21, 0x1.6428092156adep-20, 0x1.057d2f3c539fap-19, 0x1.57d45de07b058p-19, 0x1.a8e92c3c5c0a8p-19, 0x1.f8a9a8150a242p-19, 0x1.23a13f65410dp-18, 0x1.4a636912c4c6ep-18, 0x1.7095bb078999dp-18, 0x1.962ba918a93b5p-18, 0x1.bb273d0ebcd68p-18, 0x1.dfa31faf1ff82p-18, 0x1.01b380d90c628p-17, 0x1.1355d30851834p-17, 0x1.24aac4ab00a99p-17, 0x1.35d1478aa16ebp-17, 0x1.4696d2a1a475p-17, 0x1.57208cfb16ad6p-17, 0x1.67658fe664d32p-17, 0x1.776b6f34ff695p-17, 0x1.874449966469fp-17, 0x1.969b4489b2f5ap-17, 0x1.a5d9b030ca795p-17, 0x1.b4c03e2262503p-17, 0x1.c364d3ee0065bp-17, 0x1.d1dc785f80cd8p-17, 0x1.e00798583368dp-17, 0x1.edf425ac6e427p-17, 0x1.fbb616d56aae5p-17, 0x1.04897b6693ea7p-16, 0x1.0b26d46100daap-16, 0x1.11a0600d1ec67p-16, 0x1.17fd7e75e8ddbp-16, 0x1.1e39825b0ffc2p-16, 0x1.2457c51cbdee4p-16, 0x1.2a5a33b30897p-16, 0x1.303efc10c476p-16, 0x1.36064c90e0bd2p-16, 0x1.3bb0aa700ca7fp-16, 0x1.413b6f2899bdcp-16, 0x1.46b03456f8005p-16, 0x1.4c061ce22f16p-16, 0x1.514040faaaca1p-16, 0x1.565e9047077p-16, 0x1.5b612f09efecbp-16, 0x1.60498957cdc35p-16, 0x1.651c30f32555dp-16, 0x1.69cee55a83e4p-16, 0x1.6e63491a3ca33p-16, 0x1.72e4449650637p-16, 0x1.7746c99f4aaacp-16, 0x1.7b9786dd8ce7dp-16, 0x1.7fced109dfc83p-16, 0x1.83ea660aa97cbp-16, 0x1.87ed905c5447p-16, 0x1.8bd8a0d0698bap-16, 0x1.8fac67dfcee51p-16, 0x1.936843a72ca17p-16, 0x1.9711a00310d2ep-16, 0x1.9a9abb0f323d4p-16, 0x1.9e0d0c780fc2ap-16, 0x1.a16de0237d115p-16, 0x1.a4be237498ee8p-16, 0x1.a7f53c455114ap-16, 0x1.ab12f797cc04dp-16, 0x1.ae194ce174366p-16, 0x1.b105454b2e175p-16, 0x1.b3e9e62068e0ep-16, 0x1.b6ad9b94a297p-16, 0x1.b9727b0353915p-16, 0x1.bc06c826f8aecp-16, 0x1.be96f75428f56p-16, 0x1.c10f0beccc1d4p-16, 0x1.c3711c9a5071bp-16, 0x1.c5c6709f01e9p-16, 0x1.c7ffb7df1655ap-16, 0x1.ca2f057304989p-16, 0x1.cc47c4d09359ap-16, 0x1.ce4f44a0a412ap-16, 0x1.d045e517c036fp-16, 0x1.d227713e0912dp-16, 0x1.d3f87f0598744p-16, 0x1.d5ba87307487cp-16, 0x1.d7699df7e7f24p-16, 0x1.d904e5ebdbdcbp-16, 0x1.da8f58d044085p-16, 0x1.dc0dcb82aa01ep-16, 0x1.dd7b64d1f187dp-16, 0x1.ded35da13f46fp-16, 0x1.e0217668e40dfp-16, 0x1.e160ada37f95dp-16, 0x1.e28823ab9200ap-16, 0x1.e3a3b168a06c3p-16, 0x1.e4b3658313ecfp-16, 0x1.e5b2e598f343bp-16, 0x1.e6a31eacf1e18p-16, 0x1.e7849758e5689p-16, 0x1.e857af7076843p-16, 0x1.e91d4b1d1561p-16, 0x1.e9d46a9e53bf1p-16, 0x1.ea7e124c6568cp-16, 0x1.eb1c11cb5dae6p-16, 0x1.ebae55f16f3dcp-16, 0x1.ec2e28ee54016p-16, 0x1.ec99bdefe25fbp-16, 0x1.ed07d9f8bb9b6p-16, 0x1.ed5809256407p-16, 0x1.edb0966bff59fp-16, 0x1.edf82b71bbe2dp-16, 0x1.ee2314b56e882p-16, 0x1.ee55c1568f148p-16, 0x1.ee74461811effp-16, 0x1.ee882d6068572p-16, 0x1.ee90d3e62ad97p-16, 0x1.ee8e45621d62fp-16, 0x1.ee795fdec2f96p-16, 0x1.ee666b945729ap-16, 0x1.ee40d49c91c72p-16, 0x1.ee1572d8f1425p-16, 0x1.eddcada0a73e7p-16, 0x1.ed92fdff63f96p-16, 0x1.ed4f1542eb55bp-16, 0x1.ecf99902f0e73p-16, 0x1.ec9874bc10589p-16, 0x1.ec29fb6f6f728p-16, 0x1.ebbca2ec95758p-16, 0x1.eb44d1874d839p-16, 0x1.eac109994651fp-16, 0x1.ea2af61dc342fp-16, 0x1.e990826b66c56p-16, 0x1.e8ef5a4c52a0ep-16, 0x1.e84d2a04beee5p-16, 0x1.e798524ab17abp-16, 0x1.e6e8973df57f4p-16, 0x1.e624d90c562ap-16, 0x1.e557b451403dep-16, 0x1.e489571a207adp-16, 0x1.e3b21ddc77cd3p-16, 0x1.e2d2fa86056d9p-16, 0x1.e1eceffe44959p-16, 0x1.e0fdb14d9fbebp-16, 0x1.e0087bc0ff5dep-16, 0x1.df0c63d7e91d9p-16, 0x1.de09d98273d21p-16, 0x1.dd01505d25f05p-16, 0x1.dbf06f3efa362p-16, 0x1.dad616d9171a3p-16, 0x1.d9b9a985d47adp-16, 0x1.d89e9a5f0076dp-16, 0x1.d76f68ab67efdp-16, 0x1.d63f6a75785c1p-16, 0x1.d50a2085c38e5p-16, 0x1.d3cf8af9f5d65p-16, 0x1.d2907dfdb6d92p-16, 0x1.d14ca52742958p-16, 0x1.cffbb6d8d20eep-16, 0x1.cea90cda0273ap-16, 0x1.cd64d81aabbdep-16, 0x1.cbf830ab664f1p-16, 0x1.ca9fadcef86efp-16, 0x1.c93982ca7787dp-16, 0x1.c7ce37d4017d5p-16, 0x1.c65f7cade83edp-16, 0x1.c4ecbd9bd3fbep-16, 0x1.c375b16c16c5dp-16, 0x1.c1fb47d72dc5cp-16, 0x1.c07a5efba90e7p-16, 0x1.bef796519cf4cp-16, 0x1.bd6f5fcd3864dp-16, 0x1.bbe3de6aa687fp-16, 0x1.ba53f3de376b8p-16, 0x1.b8c05c873aeb6p-16, 0x1.b72b2aaa3ff55p-16, 0x1.b58fd1b2872fbp-16, 0x1.b3ee4579af4bp-16, 0x1.b24c5c4639aa1p-16, 0x1.b0af1919867dbp-16, 0x1.af086aae9f051p-16, 0x1.ad5d571e3183ap-16, 0x1.abaaa907a5fb2p-16, 0x1.a9f76e4e9c318p-16, 0x1.a84353e6d2c7fp-16, 0x1.a68b402f52c7dp-16, 0x1.a4e36db683dfep-16, 0x1.a321d38c07d65p-16, 0x1.a15e62b6772e9p-16, 0x1.9f9d65ea0a0aap-16, 0x1.9de67a2303f0dp-16, 0x1.9c15d1baf83b8p-16, 0x1.9a4ea214a9413p-16, 0x1.988633ff5c2d9p-16, 0x1.96bed010626a4p-16, 0x1.94f2bb0a018e2p-16, 0x1.931dcc53b10fbp-16, 0x1.91511f252c678p-16, 0x1.8f734fb41eea7p-16, 0x1.8da1bc5d87da7p-16, 0x1.8bc969c957b44p-16, 0x1.89faad2da75a7p-16, 0x1.881d48aef9558p-16, 0x1.8640af21e25d7p-16, 0x1.8463bdf39f265p-16, 0x1.82899300e5ae9p-16, 0x1.80a7f6b616493p-16, 0x1.7ec92e05ae20ap-16, 0x1.7ce4b45fbc627p-16, 0x1.7b018f2898ef5p-16, 0x1.7921281779899p-16, 0x1.773e354aec7dap-16, 0x1.755c25831ba5bp-16, 0x1.7371db29f11f4p-16, 0x1.718b6715fd0b7p-16, 0x1.6fa029cf2d93ep-16, 0x1.6dbc9f8bb884dp-16, 0x1.6bd4b38c9ab61p-16, 0x1.69ec7c631aa94p-16, 0x1.67fafa215f92p-16, 0x1.66125a488f185p-16, 0x1.64294d92ec8ecp-16, 0x1.6244beb324545p-16, 0x1.6053d6eca30ap-16, 0x1.5e69f9e37943ap-16, 0x1.5c7fae0bb2d9fp-16, 0x1.5a933c31a815cp-16, 0x1.58a7431c27f36p-16, 0x1.56bb35a1d7f59p-16, 0x1.54cf64e7892eep-16, 0x1.52e354dcca3c5p-16, 0x1.50f752cb854b3p-16, 0x1.4f0ac10188014p-16, 0x1.4d0ce47b28034p-16, 0x1.4b3445021eaf9p-16, 0x1.4949667bc3bc8p-16, 0x1.475e8c7436d1bp-16, 0x1.4571b3474e9bp-16, 0x1.438fa0096e388p-16, 0x1.41a2aa7412fe7p-16, 0x1.3fbb04bccc827p-16, 0x1.3dc954c8c7882p-16, 0x1.3be4ac1550efp-16, 0x1.39f8c563b7259p-16, 0x1.3819db9bad679p-16, 0x1.3631912658451p-16, 0x1.344fb52a0d67cp-16, 0x1.32644b62e87e9p-16, 0x1.307f8b390892dp-16, 0x1.2e9807dde3fdap-16, 0x1.2cba376eae19p-16, 0x1.2ad0eab1ec91ap-16, 0x1.28f1584fb1ab5p-16, 0x1.27191ff31468ep-16, 0x1.25337d14f01c5p-16, 0x1.235697b7c6eabp-16, 0x1.21717d98d02d1p-16, 0x1.1f96e66498e8ap-16, 0x1.1dc414241d3d7p-16, 0x1.1be5b62827e15p-16, 0x1.1a0c3bf4c3bdcp-16, 0x1.18354e33f4685p-16, 0x1.16593008ffb82p-16, 0x1.149826c6b65d7p-16, 0x1.12ad7b3b3919ap-16, 0x1.10e2ee87932f7p-16, 0x1.0f09f00130a5bp-16, 0x1.0d3643f2f6803p-16, 0x1.0b6940678ad3fp-16, 0x1.0999b7f35f4d9p-16, 0x1.07c25b90510cap-16, 0x1.05fe78ade0311p-16, 0x1.04339dfa7015cp-16, 0x1.026b4cc111173p-16, 0x1.00aa2d2c5650ap-16, 0x1.fdb5ec2c41fd9p-17, 0x1.fa2b9a7eb921fp-17, 0x1.f6a61aee7a71ep-17, 0x1.f3214c8c1cfc3p-17, 0x1.ef96027ec87b2p-17, 0x1.ec1dee9824c64p-17, 0x1.e8a37b91d11c5p-17, 0x1.e51b5c92fcc9ap-17, 0x1.e16a6c3b44977p-17, 0x1.de3dfe10427d5p-17, 0x1.dac1c84be13c3p-17, 0x1.d76183ec5734dp-17, 0x1.d3f712f92b372p-17, 0x1.d08e99338d62fp-17, 0x1.cd2effdc545efp-17, 0x1.c9d8f549bec08p-17, 0x1.c686da286e366p-17, 0x1.c32d554109f86p-17, 0x1.bfc6c38c78591p-17, 0x1.bc745c60c621ep-17, 0x1.b9249c6f56379p-17, 0x1.b5d908b0d2daap-17, 0x1.b2911e11bae12p-17, 0x1.af4ca1145b58bp-17, 0x1.ac0c09ba17ea9p-17, 0x1.a8bf1f947ec1dp-17, 0x1.a5932bd8768abp-17, 0x1.a266c3c4ae0a6p-17, 0x1.9f26643f18b58p-17, 0x1.9bf76ae02d161p-17, 0x1.98cf5bdaf49f9p-17, 0x1.95a7ffcbe9f46p-17, 0x1.9284b8f422d51p-17, 0x1.8f62935d2f614p-17, 0x1.8c420cab5603dp-17, 0x1.892487c4ec96ap-17, 0x1.8616a14537b42p-17, 0x1.82ef962dde8dfp-17, 0x1.7ff3cdcdf1ebep-17, 0x1.7ce892daa0633p-17, 0x1.79e212e50e1dap-17, 0x1.76e4840f382afp-17, 0x1.73e5c982d2ce1p-17, 0x1.70c313007c41dp-17, 0x1.6dfbf3907d864p-17, 0x1.6afc9dc6bfd76p-17, 0x1.681cc29ee08b1p-17, 0x1.65179cce83cb5p-17, 0x1.622701b7d1898p-17, 0x1.5f3a8715fbc95p-17, 0x1.5c7e68ff1adb2p-17, 0x1.59935d8a9823cp-17, 0x1.56b2a9bd91736p-17, 0x1.53dbe417ae3b8p-17, 0x1.510a341cf79d6p-17, 0x1.4e3620f0a4538p-17, 0x1.4b71c96464551p-17, 0x1.48abf619f9cb3p-17, 0x1.45e9867504434p-17, 0x1.432b935d94e24p-17, 0x1.406f12443eda5p-17, 0x1.3daa808d2a31ap-17, 0x1.3b05e91e13cc7p-17, 0x1.38505f06d4ebap-17, 0x1.35aed576763cp-17, 0x1.330926465a792p-17, 0x1.30567aa96d26fp-17, 0x1.2dbb39a811be8p-17, 0x1.2b24159274dbap-17, 0x1.2881f062c39cap-17, 0x1.25f78b2ad2037p-17, 0x1.23688505fba7dp-17, 0x1.20d4f3fb2287fp-17, 0x1.1e4d01db590fp-17, 0x1.1bcb4528c264bp-17, 0x1.19464b569c784p-17, 0x1.16ca5ba87c323p-17, 0x1.1451d0c800afap-17, 0x1.11dc617a35ff6p-17, 0x1.0f6b9f04446fap-17, 0x1.0cfc341327f47p-17, 0x1.0a8bc63988161p-17, 0x1.081f8dc7c1bc8p-17, 0x1.05c72d57d4bb8p-17, 0x1.03658d0eb422p-17, 0x1.010ccca4dc3f9p-17, 0x1.fd6a829323efcp-18, 0x1.f8c2cab58ae12p-18, 0x1.f422c3fcb0cffp-18, 0x1.ef85869551ce9p-18, 0x1.eafa9003fceacp-18, 0x1.e6835a8a35061p-18, 0x1.e1ef2594da106p-18, 0x1.dd730b9d0b949p-18, 0x1.d8faac36d099cp-18, 0x1.d4b71a1bcb6b7p-18, 0x1.d030227460e5ap-18, 0x1.cbdc6e877a168p-18, 0x1.c77962eb0fc19p-18, 0x1.c31bb6a18c7adp-18, 0x1.bef99f61223d2p-18, 0x1.baab3e88b876fp-18, 0x1.b662faeee3f4dp-18, 0x1.b2412ec2ee622p-18, 0x1.ae2ee26802196p-18, }}, 
      {{-0x1.b72973c332b3ap-1, -0x1.9e199ef4d28a8p-1, -0x1.7b57ddde00f34p-1, -0x1.52f52cd1fad01p-1, -0x1.27ea40986963dp-1, -0x1.f8b5a926e2737p-2, -0x1.a392c925fd0bp-2, -0x1.527cd66a0ec16p-2, -0x1.06ccd1b6f89dbp-2, -0x1.82a3911272508p-3, -0x1.04e7ca0045d6bp-3, -0x1.293e2f9144a0ep-4, -0x1.8ca31ef57e45p-6, 0x1.25d8d5e5c0b4dp-6, 0x1.bc1cb275bffdbp-5, 0x1.5c5322e667edap-4, 0x1.c61f1aac3a4dfp-4, 0x1.0eaed72d50d5ep-3, 0x1.31fda79f79a5cp-3, 0x1.4dec8097d8ecap-3, 0x1.6362030bae2aap-3, 0x1.73380240baf8ap-3, 0x1.7e399edaa3423p-3, 0x1.852240134c1dbp-3, 0x1.889d163c91892p-3, 0x1.8945343ab1e19p-3, 0x1.87a5dd77be27dp-3, 0x1.843b33eb7818ep-3, 0x1.7f72faddf97d3p-3, 0x1.79ad87b80ca63p-3, 0x1.733eb5250e63ap-3, 0x1.6c6ede85561a2p-3, 0x1.657be960bd449p-3, 0x1.5e9a32bd2e8efp-3, 0x1.57f5838246693p-3, 0x1.51b1f3aa2f1c9p-3, 0x1.4becb8bd5395ap-3, 0x1.46bcf398b4e1fp-3, 0x1.423468de5176ap-3, 0x1.3e601df6c3035p-3, 0x1.3b490012b11dap-3, 0x1.38f46f041c6e3p-3, 0x1.3764b9b7d40cfp-3, 0x1.36999237f64e9p-3, 0x1.369076bd36e4ap-3, 0x1.3745105260295p-3, 0x1.38b17c1b15108p-3, 0x1.3ace9fc82f24dp-3, 0x1.3d94617750a91p-3, 0x1.40f9e27b8fc2ap-3, 0x1.44f5b4b395403p-3, 0x1.497e006dc2d12p-3, 0x1.4e88ab07aa043p-3, 0x1.540b7a5a9b5a2p-3, 0x1.59fc2b41b5587p-3, 0x1.60508af2f21e4p-3, 0x1.66fe8c7eb531cp-3, 0x1.6dfc55e95a7e9p-3, 0x1.7540526af0e19p-3, 0x1.7cc133de466ccp-3, 0x1.847605f319758p-3, 0x1.8c562cdd73199p-3, 0x1.94596e5d54f37p-3, 0x1.9c77f2de64a1bp-3, 0x1.a4aa49150e953p-3, 0x1.ace96517bffc7p-3, 0x1.b52ea1f370726p-3, 0x1.bd73c0e9b4d7cp-3, 0x1.c5b2e4a7c1e5cp-3, 0x1.cde694a5f3969p-3, 0x1.d609b7b5dff7ap-3, 0x1.de178ea5efdb4p-3, 0x1.e60bb73ec57e3p-3, 0x1.ede22464ab85cp-3, 0x1.f5971cff51073p-3, 0x1.fd27355acc1aap-3, 0x1.0247a8c830f0ep-2, 0x1.05e64d9945963p-2, 0x1.096e4081b90ep-2, 0x1.0cde5ad621cbdp-2, 0x1.10359420637bep-2, 0x1.137300ce650b8p-2, 0x1.1695d2922c365p-2, 0x1.199d53ea5027bp-2, 0x1.1c88e84424c14p-2, 0x1.1f5809fe0171cp-2, 0x1.220a4a5f2c5dap-2, 0x1.249f4dd88855bp-2, 0x1.2716cc4f4f763p-2, 0x1.29708f6cc8dep-2, 0x1.2bac718a97e9p-2, 0x1.2dca5bf4be761p-2, 0x1.2fca481afc9e2p-2, 0x1.31ac3a761cd91p-2, 0x1.337045d2cfabbp-2, 0x1.35168707600f5p-2, 0x1.369f2692f0ab4p-2, 0x1.380a56eb2860ap-2, 0x1.39585283d15cdp-2, 0x1.3a895c4a5aa7cp-2, 0x1.3b9dc020e445p-2, 0x1.3c95d01888d26p-2, 0x1.3d71e31e1f817p-2, 0x1.3e3257ee02f42p-2, 0x1.3ed791f1237f6p-2, 0x1.3f61f9035ee25p-2, 0x1.3fd1f9333b2e9p-2, 0x1.402802e305c6fp-2, 0x1.406489b6ebff6p-2, 0x1.408803ea75dccp-2, 0x1.4092eb547a3ep-2, 0x1.4085baa625e72p-2, 0x1.4060eff9abd1ap-2, 0x1.40250af18bebp-2, 0x1.3fd28bc6b7617p-2, 0x1.3f69f4c8ca831p-2, 0x1.3eebc89f0792p-2, 0x1.3e588b60f4759p-2, 0x1.3db0c07bb3b29p-2, 0x1.3cf4ed7154868p-2, 0x1.3c259652ca279p-2, 0x1.3b43407703d94p-2, 0x1.3a4e6f6d9e90ep-2, 0x1.3947a7409cb4ep-2, 0x1.382f6c2e4fd7fp-2, 0x1.37064190e37dbp-2, 0x1.35cca895c2caap-2, 0x1.3483233c1ecb3p-2, 0x1.332a31efd8e2fp-2, 0x1.31c2541652f26p-2, 0x1.304c07a8d54aep-2, 0x1.2ec7ca0ef93f4p-2, 0x1.2d36172b3c56ap-2, 0x1.2b97690ea44d6p-2, 0x1.29ec38d3b3beap-2, 0x1.2834fdf19d454p-2, 0x1.26722dcb8e19bp-2, 0x1.24a43d29d0ddap-2, 0x1.22cb9e43fb1cap-2, 0x1.20e8c28446559p-2, 0x1.1efc18beb32b4p-2, 0x1.1d060ee5f0fdep-2, 0x1.1b070ff41bf16p-2, 0x1.18ff863294234p-2, 0x1.16efd9c743c87p-2, 0x1.14d870aabe4c8p-2, 0x1.12b9af58c0172p-2, 0x1.1093f7c4be98dp-2, 0x1.0e67ab24982cfp-2, 0x1.0c35282c9a88dp-2, 0x1.09fccb3317166p-2, 0x1.07beeff301f44p-2, 0x1.057bee7802d5ep-2, 0x1.03341e6a5b36cp-2, 0x1.00e7d4dae8a54p-2, 0x1.fd2ecaf3ce869p-3, 0x1.f8864345a2309p-3, 0x1.f3d6b1e6fcb98p-3, 0x1.ef20b2f0c788dp-3, 0x1.ea64dd7f6e216p-3, 0x1.e5a3c57e464aep-3, 0x1.e0ddfcd29f814p-3, 0x1.dc140f6cd973p-3, 0x1.d74688c6f6254p-3, 0x1.d275ecd641452p-3, 0x1.cda2be7ef007dp-3, 0x1.c8cd7d159af91p-3, 0x1.c3f6a4001dff2p-3, 0x1.bf1eaca8ac7c8p-3, 0x1.ba460a8b3e245p-3, 0x1.b56d3056f3ep-3, 0x1.b0948cb3f995cp-3, 0x1.abbc89ceccf3dp-3, 0x1.a6e5905686253p-3, 0x1.a21004acb6064p-3, 0x1.9d3c4a03ac034p-3, 0x1.986abef27bdcbp-3, 0x1.939bbf69abae5p-3, 0x1.8ecfa3b52ca8dp-3, 0x1.8a06c2f6d6d84p-3, 0x1.8541701b0ae14p-3, 0x1.807ffbc105d69p-3, 0x1.7bc2b4523bed2p-3, 0x1.7709e53ba751cp-3, 0x1.7255d5edaaf5fp-3, 0x1.6da6cd402bda9p-3, 0x1.68fd0ebed6ff2p-3, 0x1.6458db7252e77p-3, 0x1.5fba71ec91e31p-3, 0x1.5b220dd58f8fp-3, 0x1.568fe8e2e2718p-3, 0x1.52043c33c47bcp-3, 0x1.4d7f3bce715e6p-3, 0x1.49011b4fa6251p-3, 0x1.448a0bb2af12bp-3, 0x1.401a3bfd26058p-3, 0x1.3bb1d859c2c42p-3, 0x1.37510bb88b6cep-3, 0x1.32f7ff1b89917p-3, 0x1.2ea6d995bdeedp-3, 0x1.2a5dc058b03ecp-3, 0x1.261cd5ea76062p-3, 0x1.21e43be39ac23p-3, 0x1.1db411a723ec3p-3, 0x1.198c7538f9795p-3, 0x1.156d8280c200bp-3, 0x1.1157545c0ac17p-3, 0x1.0d4a0365abe76p-3, 0x1.0945a77effe9p-3, 0x1.054a5559b7aa1p-3, 0x1.015822835975cp-3, 0x1.fade42891319bp-4, 0x1.f31ec687dfc68p-4, 0x1.eb71f0051c68dp-4, 0x1.e3d7dd591186bp-4, 0x1.dc50a976e4b79p-4, 0x1.d4dc6c73a4ce6p-4, 0x1.cd7b3c4c665c8p-4, 0x1.c62d2bd0dd51ap-4, 0x1.bef24af7f6b8fp-4, 0x1.b7caaa1eaf87cp-4, 0x1.b0b656c216766p-4, 0x1.a9b5584d40db9p-4, 0x1.a2c7b9efea5dep-4, 0x1.9bed803db334cp-4, 0x1.9526ae2b48b22p-4, 0x1.8e7347436d235p-4, 0x1.87d34c15c70ffp-4, 0x1.8146bb4e81972p-4, 0x1.7acd9162d7f51p-4, 0x1.7467c92d35b9ep-4, 0x1.6e155b182a162p-4, 0x1.67d641a33163cp-4, 0x1.61aa71ad42c72p-4, 0x1.5b91e0ccab3bfp-4, 0x1.558c80485ab93p-4, 0x1.4f9a437744e2p-4, 0x1.49bb1b05f3068p-4, 0x1.43eef5a983bd4p-4, 0x1.3e35c16c21b5p-4, 0x1.388f6bbb891c4p-4, 0x1.32fbe0f1c97e7p-4, 0x1.2d7b09a1709b8p-4, 0x1.280ccf8ed2be5p-4, 0x1.22b11c430a317p-4, 0x1.1d67d5f02ab1fp-4, 0x1.1830e29bc7a3bp-4, 0x1.130c28c26f5a2p-4, 0x1.0df98dbe029e7p-4, 0x1.08f8f3f97b007p-4, 0x1.040a3e28f3508p-4, 0x1.fe5a9d7c78d7ap-5, 0x1.f4c40f31fed76p-5, 0x1.eb5091dfa9e3dp-5, 0x1.e1ffe48e4431cp-5, 0x1.d8d1c78bf87f8p-5, 0x1.cfc5f635a9a46p-5, 0x1.c6dc2da9620cep-5, 0x1.be142c19aaa8dp-5, 0x1.b56da7d778281p-5, 0x1.ace85be23cef5p-5, 0x1.a483ff70f6783p-5, 0x1.9c4048cf1bd4fp-5, 0x1.941cf041b6289p-5, 0x1.8c19ab8c3c877p-5, 0x1.84362fef931c7p-5, 0x1.7c72304d8062cp-5, 0x1.74cd5fad5c218p-5, 0x1.6d4776b401accp-5, 0x1.65e0224b119d1p-5, 0x1.5e97169b2954p-5, 0x1.576c056c59e47p-5, 0x1.505ea021d3c13p-5, 0x1.496e97cac5f8bp-5, 0x1.429b9d2b2e3aap-5, 0x1.3be560c27fc49p-5, 0x1.354b92d7fbfe6p-5, 0x1.2ecde39f8e933p-5, 0x1.286c030a681cap-5, 0x1.2225a10d730dap-5, 0x1.1bfa6d3a64b65p-5, 0x1.15ea166a00e75p-5, 0x1.0ff44cc4c502fp-5, 0x1.0a18c2189b8e9p-5, 0x1.045724f8104e9p-5, 0x1.fd5e49d3f0deep-6, 0x1.f240df43b847cp-6, 0x1.e7556ecef154dp-6, 0x1.dc9b5ba41e022p-6, 0x1.d212064baead6p-6, 0x1.c7b8ce1dcf226p-6, 0x1.bd8f1329ddd51p-6, 0x1.b3943a06b75d6p-6, 0x1.a9c7a57d7b9c9p-6, 0x1.a028b77207672p-6, 0x1.96b6d66075faap-6, 0x1.8d71654b5611p-6, 0x1.8457cef1eaac4p-6, 0x1.7b69755655a24p-6, 0x1.72a5c298ce9a1p-6, 0x1.6a0c1b6c167cap-6, 0x1.619be8319fce7p-6, 0x1.59549484b386cp-6, 0x1.51358f0c025f2p-6, 0x1.493e3f6d32ef1p-6, 0x1.416e13e256524p-6, 0x1.39c479c8c9dfcp-6, 0x1.3240df6239cdbp-6, 0x1.2ae2b1dcc4784p-6, 0x1.23a968ff9ce2cp-6, 0x1.1c9476fd2c5e9p-6, 0x1.15a34bf37b764p-6, 0x1.0ed55a6eac8bp-6, 0x1.082a1c1c2e99dp-6, 0x1.01a10721b899ap-6, 0x1.f673232a33f07p-7, 0x1.e9e669fa51097p-7, 0x1.dd9ada5a76da5p-7, 0x1.d18f6c6b5b3fp-7, 0x1.c5c31ac7a4b23p-7, 0x1.ba34dcfb27f16p-7, 0x1.aee3b3673a7eep-7, 0x1.a3cea64fecf51p-7, 0x1.98f4ba73df43bp-7, 0x1.8e54f4343d632p-7, 0x1.83ee5364ed4d2p-7, 0x1.79bfef00a0e1cp-7, 0x1.6fc8d5770189p-7, 0x1.660819ab42bdbp-7, 0x1.5c7cc8a4b8ed2p-7, 0x1.5325fd8e0154p-7, 0x1.4a02d2923f10ep-7, 0x1.411264831d84dp-7, 0x1.3853d2f519f9p-7, 0x1.2fc63f302e363p-7, 0x1.2768cccd71c16p-7, 0x1.1f3aa2d48f189p-7, 0x1.173aeab371412p-7, 0x1.0f68cef6a12ap-7, 0x1.07c3839ad9f1fp-7, 0x1.004a3a96591c4p-7, 0x1.f1f843313f014p-8, 0x1.e3b0e6b0a3ccp-8, 0x1.d5bcd59f1c23ap-8, 0x1.c81a89d376dc4p-8, 0x1.bac8889f40198p-8, 0x1.adc544de1be8fp-8, 0x1.a10f4932888e9p-8, 0x1.94a528ddd70afp-8, 0x1.888577b8c5aabp-8, 0x1.7caecda0ffdafp-8, 0x1.711fbff8f51e9p-8, 0x1.65d6f5cc8ac0fp-8, 0x1.5ad31b87c560ep-8, 0x1.5012e06488a06p-8, 0x1.4594e81b68718p-8, 0x1.3b57ee96fd826p-8, 0x1.315ab5b4523cep-8, 0x1.279bf3f9b4a13p-8, 0x1.1e1a6b96cb289p-8, 0x1.14d4e781c7513p-8, 0x1.0bca40b5ed0a5p-8, 0x1.02f949ca9a887p-8, 0x1.f4c198b1ce06bp-9, 0x1.e3ff639dc9a5p-9, 0x1.d3a9987cafb83p-9, 0x1.c3be24c65d76fp-9, 0x1.b43ad3259e2a1p-9, 0x1.a51d7eb8a3816p-9, 0x1.96640bca04a17p-9, 0x1.880c6593ff01bp-9, 0x1.7a14767041e73p-9, 0x1.6c7a411266a49p-9, 0x1.5f3bddd832911p-9, 0x1.525751faee0d4p-9, 0x1.45caadbd5edcep-9, 0x1.39943cc0c70adp-9, 0x1.2db212fecf3bbp-9, 0x1.22225f3e71622p-9, 0x1.16e37286e72e5p-9, 0x1.0bf37d9a57a99p-9, 0x1.0150abb484f4fp-9, 0x1.edf2b4e01ebb9p-10, 0x1.d9d7c9efe9adp-10, 0x1.c64d2ab744e2cp-10, 0x1.b34fb2324bfb2p-10, 0x1.a0dc5701d556p-10, 0x1.8ef0104644ac8p-10, 0x1.7d87f5b58bc6dp-10, 0x1.6ca11f9846ef9p-10, 0x1.5c38aea7244d1p-10, 0x1.4c4ba6637c232p-10, 0x1.3cd7580a7ce42p-10, 0x1.2dd8938f38c2ep-10, 0x1.1f4d2216402f2p-10, 0x1.1131da3f31d3ep-10, 0x1.03843b654cc9ep-10, 0x1.ec83455a847cbp-11, 0x1.d2cee703709e5p-11, 0x1.b9e6d07d1e2fap-11, 0x1.a1c678f2f62ecp-11, 0x1.8a6948f17f2cep-11, 0x1.73ca9f7875d0ep-11, 0x1.5de6300d286dep-11, 0x1.48b7bc730e86ap-11, 0x1.343ab5d934676p-11, 0x1.206a6b230b526p-11, 0x1.0d4278bec24cdp-11, 0x1.f57d0e4d846d2p-12, 0x1.d1b52321751f4p-12, 0x1.af259529735aep-12, 0x1.8dc6354ea483bp-12, 0x1.6d8fc3dc681c2p-12, 0x1.4e7a7715c9342p-12, 0x1.307fc990eb753p-12, 0x1.1399eb163f6c4p-12, 0x1.ef819e43bca75p-13, 0x1.b9db2cdc3567dp-13, 0x1.8630ecfb5637ep-13, 0x1.547cf8bdc2eddp-13, 0x1.24aa14b2ef9b5p-13, 0x1.ed5bcdd3df44bp-14, 0x1.94f7a94868763p-14, 0x1.400fa77cc5546p-14, 0x1.dd18965adacd3p-15, 0x1.40ae83ca4ffe5p-15, 0x1.556a897ee225ap-16, 0x1.b04eca298035p-19, -0x1.ba46a7d126226p-17, -0x1.e468302217fe8p-16, -0x1.700ddbc28ff16p-15, -0x1.e8497aee74f63p-15, -0x1.2d88b6bcf49b5p-14, -0x1.6446e13cab18dp-14, -0x1.9871d49043352p-14, -0x1.ca1cc111cb93fp-14, -0x1.f95b2e5264fbdp-14, -0x1.131f06eb97063p-13, -0x1.286a52c948acdp-13, -0x1.3c97c69a05a78p-13, -0x1.4fafda428ceaep-13, -0x1.61ba681b05f63p-13, -0x1.72beea17f3462p-13, -0x1.82c435cb51d21p-13, -0x1.91d1bd178a6fp-13, -0x1.9ff0c4ce16ba1p-13, -0x1.ad27e94c76954p-13, -0x1.b97c0e16515ccp-13, -0x1.c4f9f3bb97f17p-13, -0x1.cfa548a6714afp-13, -0x1.d98228e6ea678p-13, -0x1.e299a812183e1p-13, -0x1.eaf19d5021862p-13, -0x1.f291191f4c7dp-13, -0x1.f97d782218771p-13, -0x1.ffbb9bf2a0722p-13, -0x1.02a983092040fp-12, -0x1.0523c82db4b2cp-12, -0x1.074f8b9c0c1abp-12, -0x1.092f3cb3521a3p-12, -0x1.0ac54abc0855ep-12, -0x1.0c142e8ef88d8p-12, -0x1.0d1e68ceaa66fp-12, -0x1.0de662ea639ecp-12, -0x1.0e6ea9f570e85p-12, -0x1.0eb94044ee1aep-12, -0x1.0ec83dcc474f1p-12, -0x1.0e9d8dfa068a2p-12, -0x1.0e3b2878f886ap-12, -0x1.0da495e0b649dp-12, -0x1.0cd7994da5341p-12, -0x1.0bdaf73c7af2cp-12, -0x1.0aaf8c3525b6p-12, -0x1.0957729786976p-12, -0x1.07d487b9edc36p-12, -0x1.06286c6cd0059p-12, -0x1.04549e762e45fp-12, -0x1.025a94a68d40fp-12, -0x1.003bcde0713cp-12, -0x1.fbf3c0da8ed5ep-13, -0x1.f72c7eac7869dp-13, -0x1.f22485b7b3912p-13, -0x1.ecde5ef7a9d54p-13, -0x1.e75d343a0882p-13, -0x1.e1a0b9fff19f2p-13, -0x1.dbaf55ce7bad3p-13, -0x1.d588da3e44c0bp-13, -0x1.cf2f2a6bb5038p-13, -0x1.c8a6713069d62p-13, -0x1.c1f279a3df22bp-13, -0x1.bb15e33b15d1ep-13, -0x1.b413a8dc20d91p-13, -0x1.acee70c5195d4p-13, -0x1.a5a7c4520b9f2p-13, -0x1.9e3ffea99cbddp-13, -0x1.96bc04258949fp-13, -0x1.8f1b8e4d45fedp-13, -0x1.87609626e2d86p-13, -0x1.7f8bfb9f58b1cp-13, -0x1.77a0b46ac5128p-13, -0x1.6f9f9f7422a55p-13, -0x1.678983766432fp-13, -0x1.5f6021e9b8cdep-13, -0x1.57256664abab1p-13, -0x1.4eda68d61ae5cp-13, -0x1.467fd406c09d3p-13, -0x1.3e17b96c554dfp-13, -0x1.35a4118907448p-13, -0x1.2d272436cb7fdp-13, -0x1.24a183863e316p-13, -0x1.1c14e1c96ecc6p-13, -0x1.1382bc3fd0708p-13, -0x1.0aed8f362fa5ap-13, -0x1.025631d4021c8p-13, -0x1.f37956f8b826cp-14, -0x1.e2436066509d3p-14, -0x1.d10cb2246b5bep-14, -0x1.bfd8cbc272f3p-14, -0x1.aea5e20e640e4p-14, -0x1.9d76a8706f983p-14, -0x1.8c4ec885d6d7ap-14, -0x1.7b2b28ceb485bp-14, -0x1.6a1133ebecd0cp-14, -0x1.5904b8634210bp-14, -0x1.47ffbed4145p-14, -0x1.370cf070a9244p-14, -0x1.2628dd5d9ba5bp-14, -0x1.1552630c2e3c3p-14, -0x1.048c89974af9ap-14, -0x1.e7b83273d88dep-15, -0x1.c67fbd77c98c8p-15, -0x1.a57392d3bbcdep-15, -0x1.849a4889e4d08p-15, -0x1.63f4767feee53p-15, -0x1.437fb26e4468cp-15, -0x1.233f611223c19p-15, -0x1.0334971b22451p-15, -0x1.c6c3ad7e5841fp-16, -0x1.87914120c1d5cp-16, -0x1.48d0f0edb4e2fp-16, -0x1.0a878b082c801p-16, -0x1.9974ac040e8bp-17, -0x1.1ecfcc7ef04d1p-17, -0x1.4a5c8bbe8798fp-18, -0x1.64b8b5ab5b319p-20, 0x1.2be0fa0fc05d3p-19, 0x1.82ec5562eab6dp-18, 0x1.36657d12ff9c1p-17, 0x1.ab34727305c61p-17, 0x1.0f38ced686677p-16, 0x1.4849c007d4d0cp-16, 0x1.809c45547b0c2p-16, 0x1.b8b7ab17ade0ep-16, 0x1.f00d87ad5d482p-16, 0x1.13672b82fa7dfp-15, 0x1.2e7b48ba3d337p-15, 0x1.494264cbbb4c3p-15, 0x1.63bd293102e1fp-15, 0x1.7deb422e62e3bp-15, 0x1.97c977a90603bp-15, 0x1.b15c0a8c4674bp-15, 0x1.caa51301cba57p-15, 0x1.e39cfe359111ep-15, 0x1.fc465f93193c4p-15, 0x1.0a4fdc70db882p-14, 0x1.16552ba651a78p-14, 0x1.2234acab7e632p-14, 0x1.2deb2ff2177efp-14, 0x1.3977586ed35b5p-14, 0x1.44dccdd642d54p-14, 0x1.501aacbef29d3p-14, 0x1.5b31f87391b8ep-14, 0x1.6620f291842f1p-14, 0x1.70ec387dd30d3p-14, 0x1.7b8a1cbb22aafp-14, 0x1.8602a9f1937bfp-14, 0x1.9052f0200a2fdp-14, 0x1.9a7b8436c211ap-14, 0x1.a47cc969d8611p-14, 0x1.ae56cd5f80582p-14, 0x1.b8095d4ce0f1ep-14, 0x1.c19480667b982p-14, 0x1.caf91a400682dp-14, 0x1.d437714fe4d27p-14, 0x1.dd4ecd218eb14p-14, 0x1.e63f37df7fa12p-14, 0x1.ef08f4213c369p-14, 0x1.f7ad26dd3d773p-14, 0x1.0015ceffc8841p-13, 0x1.04413447dd20ep-13, 0x1.08590f65e7d08p-13, 0x1.0c5fc9fee1192p-13, 0x1.1052c4c2a2361p-13, 0x1.14345a81cc638p-13, 0x1.1803a78d8628ep-13, 0x1.1bbfc84b6bbd4p-13, 0x1.1f69e7024c653p-13, 0x1.2301aa7d55de5p-13, 0x1.2687960401db4p-13, 0x1.29fbbd4808abfp-13, 0x1.2d5e342d1d5a5p-13, 0x1.30af022d8a314p-13, 0x1.33ee63171319ap-13, 0x1.371c6c4e57ad1p-13, 0x1.3a3945d119383p-13, 0x1.3d45180b14a27p-13, 0x1.403ec4948dcb5p-13, 0x1.43288c6bcda82p-13, 0x1.4602c6ba22901p-13, 0x1.48cbae8480b7ep-13, 0x1.4b8418e6eb024p-13, 0x1.4e2c4e3669997p-13, 0x1.50c417c34ebe5p-13, 0x1.534b56cc33ecap-13, 0x1.55c33d7686bb3p-13, 0x1.582c50eb40622p-13, 0x1.5a84c0d4f0187p-13, 0x1.5cce345a9a36ap-13, 0x1.5f08fdf0b3727p-13, 0x1.613420896b5b6p-13, 0x1.63501ef9f7dc6p-13, 0x1.655d688133767p-13, 0x1.675c0f6298bc8p-13, 0x1.694c383bad256p-13, 0x1.6b2e07b377002p-13, 0x1.6d01a6518e34p-13, 0x1.6ec660e9f9ac4p-13, 0x1.707e20afe050fp-13, 0x1.7228a1c979031p-13, 0x1.73c4f0c7fd7f2p-13, 0x1.7553f217f3403p-13, 0x1.76d5555f8192ap-13, 0x1.7848a710632ebp-13, 0x1.79af5b73034e3p-13, 0x1.7b0a0f7da8d8p-13, 0x1.7c58e4eacc23fp-13, 0x1.7d99c7ac40a6ep-13, 0x1.7ece4dc389c3fp-13, 0x1.7ff69a5e8f069p-13, 0x1.8112f145858e7p-13, 0x1.8222ee6de6f5p-13, 0x1.832728c294355p-13, 0x1.841face5ecb62p-13, 0x1.850ccc1fbcdb5p-13, 0x1.85ee6d490e6f8p-13, 0x1.86c4b9e71aa5dp-13, 0x1.87901aea43a6fp-13, 0x1.885095bc833dap-13, 0x1.8905d3b7fb448p-13, 0x1.89b07f6845a5dp-13, 0x1.8a50a22247af7p-13, 0x1.8ae637ee448b8p-13, 0x1.8b720b4843297p-13, 0x1.8bf32971f147p-13, 0x1.8c6a532d08df8p-13, 0x1.8cd7c111bedb1p-13, 0x1.8d3b7645ac901p-13, 0x1.8d959c8a421d7p-13, 0x1.8de5f2a65c39cp-13, 0x1.8e2d4cbaf369ap-13, 0x1.8e6c1a58a602cp-13, 0x1.8ea1d473edf6bp-13, 0x1.8eca87d9e4fcdp-13, 0x1.8eef45e108609p-13, 0x1.8f0960bfa9a1p-13, 0x1.8f1c842ca7a9dp-13, 0x1.8f263610ea66ep-13, 0x1.8f2705dd8fa3ep-13, 0x1.8f1aa10fe56d8p-13, 0x1.8f10c132cde89p-13, 0x1.8ef9dc2127bp-13, 0x1.8edb1003a4b8ap-13, 0x1.8eb49488fff13p-13, 0x1.8e868c6557603p-13, 0x1.8e511b50139ap-13, 0x1.8e14668d63629p-13, 0x1.8dd065e14e81p-13, 0x1.8d84c53e5f29p-13, 0x1.8d325d24776b4p-13, 0x1.8cda56d8d1be1p-13, 0x1.8c7a8feef65a5p-13, 0x1.8c1412b049236p-13, 0x1.8ba720edf664fp-13, 0x1.8b33d9fbc8e46p-13, 0x1.8ab9f24109f93p-13, 0x1.8a3a89a3d71b3p-13, 0x1.89b48332daabdp-13, 0x1.8928f08de14edp-13, 0x1.8896dea701927p-13, 0x1.87ff29514817p-13, 0x1.8761d1fc557bdp-13, 0x1.86befa87e2eb3p-13, 0x1.8616baa0c9d65p-13, 0x1.856912e790af3p-13, 0x1.84b654887ad11p-13, 0x1.83fdd7bda6237p-13, 0x1.834058b01d439p-13, 0x1.827e0a01c3643p-13, 0x1.81b7551cb9642p-13, 0x1.80eb2a0c9b60cp-13, 0x1.801a648b07932p-13, 0x1.7f45cf833577cp-13, 0x1.7e6b68d60f51ep-13, 0x1.7d8dba3d38173p-13, 0x1.7cab0ef7355e9p-13, 0x1.7bc400c33ca55p-13, 0x1.7ad941c6948c8p-13, 0x1.79ea6bf74353fp-13, 0x1.78f7539d6927dp-13, 0x1.78005b5ff445dp-13, 0x1.77059b9a8f4a9p-13, 0x1.76072078e51fbp-13, 0x1.7504c4470bbe2p-13, 0x1.73ff412392a7bp-13, 0x1.72f6050d0d2cap-13, 0x1.71e958e0b9efcp-13, 0x1.70d95719a88a4p-13, 0x1.6fc631bd86052p-13, 0x1.6eaffa47583bep-13, 0x1.6d966f40e84c1p-13, 0x1.6c79c74a627bbp-13, 0x1.6b5a3844f37cp-13, 0x1.6a37d47a5cc24p-13, 0x1.69120db6ef764p-13, 0x1.67ea3804ceab4p-13, 0x1.66bf93d14c4e2p-13, 0x1.6592295f4b68bp-13, 0x1.646254b3ef06dp-13, 0x1.63300b0492e14p-13, 0x1.61fb5f2fcf94fp-13, 0x1.60c4517194e58p-13, 0x1.5f8b75a53ae19p-13, 0x1.5e4f637144fedp-13, 0x1.5d111226de926p-13, 0x1.5bd16deb71e4bp-13, 0x1.5a90c62d525edp-13, 0x1.594cbc4c6b2d1p-13, 0x1.5806c0bd7a2dep-13, 0x1.56bed5d853e9fp-13, 0x1.55755d9591c01p-13, 0x1.542a53d010dd2p-13, 0x1.52dd883f89745p-13, 0x1.518eea834a221p-13, 0x1.503f61427f3ecp-13, 0x1.4eedbdefd8455p-13, 0x1.4d9abf59f477bp-13, 0x1.4c4651bbea18bp-13, 0x1.4af0ace157e6ep-13, 0x1.4999963b0928p-13, 0x1.4841714e2dad8p-13, 0x1.46e818325e7fap-13, 0x1.458d6e21c2748p-13, 0x1.443180887105fp-13, 0x1.42d4f29888234p-13, 0x1.41775ca6d3136p-13, 0x1.4018bd1012c0dp-13, 0x1.3eb93276831c1p-13, 0x1.3d58536c00745p-13, 0x1.3bf69ed36a799p-13, 0x1.3a94effcd5661p-13, 0x1.39327caa44af6p-13, 0x1.37ced48233caep-13, 0x1.366a805bf1f4fp-13, 0x1.3505a5ba6e489p-13, 0x1.33a05beb2099p-13, 0x1.323a81fa8bdeep-13, 0x1.30d4206026993p-13, 0x1.2f6d4dba6ee73p-13, 0x1.2e0611b604c6dp-13, 0x1.2c9e738488d81p-13, 0x1.2b367bd2e0d5ap-13, 0x1.29ce36dc0cff7p-13, 0x1.2865ae575bc67p-13, 0x1.26fcfefe05a57p-13, 0x1.25944a726e6d5p-13, 0x1.242b8aaf3f3c9p-13, 0x1.22c240a1d99e2p-13, 0x1.21585d627fb65p-13, 0x1.1fef5113f2d04p-13, 0x1.1e855d08514e4p-13, 0x1.1d1caea92f2c1p-13, 0x1.1bb372add8e3ap-13, 0x1.1a498bf5558c4p-13, 0x1.18e07936f82e6p-13, 0x1.177775760435p-13, 0x1.160e9c681db11p-13, 0x1.14a5f2001d783p-13, 0x1.133d79e43d65bp-13, 0x1.11d539a0bd2ep-13, 0x1.106d32e54209ap-13, 0x1.0f05a4550aecep-13, 0x1.0d9e25988c0e5p-13, 0x1.0c37332e20963p-13, 0x1.0acfa254179b4p-13, 0x1.096915382dbacp-13, 0x1.08042706502cp-13, 0x1.069eac3dca61ap-13, 0x1.053993a104a08p-13, 0x1.03d482feda6bdp-13, 0x1.0271992b397c5p-13, 0x1.010ed0b918637p-13, 0x1.ff561c028bb9cp-14, 0x1.fc9069e66a1c3p-14, 0x1.f9cc8c3bb9d5fp-14, 0x1.f70becb4b4e1dp-14, 0x1.f44a9741307dap-14, 0x1.f18afa4b61782p-14, 0x1.eecca1ceae6cep-14, 0x1.ec0fc92b78c99p-14, 0x1.e9544c1897a6fp-14, 0x1.e69a3dfeb9499p-14, 0x1.e3e1becbb3c88p-14, 0x1.e12ac971dca2fp-14, 0x1.de754e8fe19c7p-14, 0x1.dbc17a53bc197p-14, 0x1.d90f4df319ddcp-14, 0x1.d65ee9caea226p-14, 0x1.d3b06f1653cbbp-14, 0x1.d10326d531694p-14, 0x1.ce56c039bf28fp-14, 0x1.cbad85fabcc75p-14, 0x1.c906d9e66936ap-14, 0x1.c66075633a3b4p-14, 0x1.c3bc23fa4d625p-14, 0x1.c119e3494ac93p-14, 0x1.be79a2c7ce39cp-14, 0x1.bbdb65d413edfp-14, 0x1.b93f2a996aff1p-14, 0x1.b6a49e3c8a46cp-14, 0x1.b40c50fabf0b8p-14, 0x1.b175d55989a7fp-14, 0x1.aee1acd2c0d9ap-14, 0x1.ac4fe68d23ad6p-14, 0x1.a9bfd52077d0ep-14, 0x1.a731b9cc5f484p-14, 0x1.a4a5d817a504p-14, 0x1.a21c382139f05p-14, 0x1.9f94da90aadfep-14, 0x1.9d0fa5cc2eccdp-14, 0x1.9a8cb754299bbp-14, 0x1.980bcecec433bp-14, 0x1.958d6d8c7f7bep-14, 0x1.93111bfc8461cp-14, 0x1.90972df268081p-14, 0x1.8e1f9adb6a221p-14, 0x1.8ba9d06c92126p-14, 0x1.8936be18f22a3p-14, 0x1.86c63faf31f12p-14, 0x1.8457f2b62280ep-14, 0x1.81ecbc6d036d9p-14, 0x1.7f82e13fd16ffp-14, 0x1.7d1cf14296e5fp-14, 0x1.7ab6e0dcbaf68p-14, 0x1.78542720daf25p-14, 0x1.75f497eaf13bbp-14, 0x1.739b87cff4cc5p-14, 0x1.713cd7f81ca94p-14, 0x1.6ee50b6e1c77cp-14, 0x1.6c8d5e23c0713p-14, 0x1.6a39c3421e663p-14, 0x1.67e8a2caccfbcp-14, 0x1.659a471f5e918p-14, 0x1.634e42aa2d318p-14, 0x1.6104d55dd3643p-14, 0x1.5ebeba88eac2bp-14, 0x1.5c798c92ba16bp-14, 0x1.5a37ab4a44915p-14, 0x1.57f8e4a1a0c1cp-14, 0x1.55b9e427f47dbp-14, 0x1.537fadb903774p-14, 0x1.51483f2e0106bp-14, 0x1.4f14af957bdc6p-14, 0x1.4ce15fa3ebee3p-14, 0x1.4ab0fdad3062fp-14, 0x1.48836a1dac7acp-14, 0x1.4658c51fdeb62p-14, 0x1.4430620217bb7p-14, 0x1.420aff6dce1dcp-14, 0x1.3fe72f9d6d4c5p-14, 0x1.3dc620571d445p-14, 0x1.3ba8f95275432p-14, 0x1.398df1aff2143p-14, 0x1.377456dad3099p-14, 0x1.355eae2f13a61p-14, 0x1.334b216d346dap-14, 0x1.3139b72b1435ep-14, 0x1.2f2bb20c7c4d7p-14, 0x1.2d1fe7c38be41p-14, 0x1.2b16ec7b2f56p-14, 0x1.2910b1a5dc893p-14, 0x1.270c92302d56cp-14, 0x1.2511a337aa9ep-14, 0x1.230c37b80c943p-14, 0x1.21102936e8568p-14, 0x1.1f16a0f3be1cp-14, 0x1.1d1e978cb300ep-14, 0x1.1b2b47124f997p-14, 0x1.19398044232cp-14, 0x1.174a56fa117ffp-14, 0x1.155dc972e5823p-14, 0x1.1373cb4fd7b52p-14, 0x1.118c6360177a8p-14, 0x1.0fa790409c98bp-14, 0x1.0dc5913b8fa0ep-14, 0x1.0be5ab7c86d14p-14, 0x1.0a0892f7c2eccp-14, 0x1.082e0f23d8c53p-14, 0x1.06553b14df684p-14, 0x1.0482be5c8ba4bp-14, 0x1.02ae06bfb1f0dp-14, 0x1.00ddbcd8ad1c9p-14, 0x1.fe1f4cf0c1c15p-15, 0x1.fa893b49bb70dp-15, 0x1.f6f7976d5b8f3p-15, 0x1.f36c1188012fdp-15, 0x1.efe4c3af01eecp-15, 0x1.ec62ffcfdaa05p-15, 0x1.e8e56b00d9f11p-15, 0x1.e56d76bf0839cp-15, 0x1.e1fb61c019117p-15, 0x1.de8c78b4f2c44p-15, 0x1.db20eaff99256p-15, 0x1.d7bee6d217183p-15, 0x1.d460535abc35cp-15, 0x1.d105d080401d6p-15, 0x1.cdb1b76e69269p-15, 0x1.ca5f487367492p-15, 0x1.c724f57666f0ap-15, 0x1.c3d06c27bb00fp-15, 0x1.c08cd505ef7a2p-15, 0x1.bd50e89c0cf33p-15, 0x1.ba1a8999151d1p-15, 0x1.b6e3d50b7d3f3p-15, 0x1.b3b84db739f18p-15, 0x1.b0904249b725bp-15, 0x1.ad6d193a7450fp-15, 0x1.aa4877d839a2ap-15, 0x1.a73071cbfdcd3p-15, 0x1.a41b37607e545p-15, 0x1.a109b12504143p-15, 0x1.9dfbca619f811p-15, 0x1.9af45ec6d7bep-15, 0x1.97f12c080ba98p-15, 0x1.94f2b302d7e0bp-15, 0x1.91fa58fdb082bp-15, 0x1.8f03f29cbac64p-15, 0x1.8c13bc9515721p-15, 0x1.89286f40d4e9ap-15, 0x1.86414cf8790b6p-15, 0x1.835b1a6ccc5bp-15, 0x1.80804bbada545p-15, 0x1.7da74fd2d5a06p-15, 0x1.7ad446bccdf8bp-15, 0x1.77feb0afb6e25p-15, 0x1.7535429f23f22p-15, 0x1.726c195a451bdp-15, 0x1.6fab0c77d7a18p-15, 0x1.6cec9811cb2e4p-15, 0x1.6a32362515bb8p-15, 0x1.677d2b15f2647p-15, 0x1.64cc9f57116ddp-15, 0x1.62200d2d9ea39p-15, 0x1.5f76c4c0baeddp-15, 0x1.5cd2182da2fabp-15, 0x1.5a326602ca46ap-15, 0x1.57974b3f2c5d7p-15, 0x1.55004d7beddc5p-15, 0x1.526d7aac52d16p-15, 0x1.4fdee3347c44bp-15, 0x1.4d54aedebcf7bp-15, 0x1.4accbc7cda5abp-15, 0x1.484c729b68abp-15, 0x1.45ce47e74e84cp-15, 0x1.435547d00e68fp-15, 0x1.40dfd4045c6bp-15, 0x1.3e6e820c33e2cp-15, 0x1.3c016eedad1fap-15, 0x1.399815a3b43c7p-15, 0x1.3733565bc74d5p-15, 0x1.34d292940c32ep-15, 0x1.3275eb01c51a1p-15, 0x1.301c716356657p-15, 0x1.2dc81432b72a5p-15, 0x1.2b76c8f2b5394p-15, 0x1.2929de4b74258p-15, 0x1.26e1091a1bc1p-15, 0x1.249c07d22d435p-15, 0x1.225b16ba057a9p-15, 0x1.201a46bf33e2dp-15, 0x1.1decae8080bp-15, 0x1.1bb03958ace83p-15, 0x1.197ec2037342bp-15, 0x1.1750656854101p-15, 0x1.1523aec0e1863p-15, 0x1.12fc4604edf32p-15, 0x1.10de7bfda13e8p-15, 0x1.0ebdf2853441ap-15, 0x1.0ca1dc4864afp-15, 0x1.0a8a532937828p-15, 0x1.0876a5ae3529p-15, 0x1.0666a33e1cd8bp-15, 0x1.045a32454723bp-15, 0x1.02514a6bf21c5p-15, 0x1.004c1fe5a9b44p-15, 0x1.fc9523343ca24p-16, 0x1.f8983d9c282ddp-16, 0x1.f4a19c92d2e4dp-16, 0x1.f0b623e17ffb6p-16, 0x1.eccf33b928539p-16, 0x1.e8eea0be4607ep-16, 0x1.e51528dbf6e6dp-16, 0x1.e142a6f565a52p-16, 0x1.dd777f3c697c8p-16, 0x1.d9b5171f6b1f5p-16, 0x1.d5f64d56ac0a3p-16, 0x1.d23fe825b3e56p-16, 0x1.ce910be1346a9p-16, 0x1.cae5a52e3d84ap-16, 0x1.c74160e8f7cb1p-16, 0x1.c3a5200f5e04ep-16, 0x1.c0114674cf73bp-16, 0x1.bc81e185fca99p-16, 0x1.b8f8e8b0fa4bap-16, 0x1.b576b43fde5c1p-16, 0x1.b1fb4b445dc9dp-16, 0x1.ae85e63c1acb3p-16, 0x1.ab13213128663p-16, 0x1.a7a41acf90966p-16, 0x1.a44b5d768c1c3p-16, 0x1.a0ef031e31a07p-16, 0x1.9d98fa0a41fbcp-16, 0x1.9a48d64bee4c8p-16, 0x1.96ff035d82a78p-16, 0x1.93bb6752a1f31p-16, 0x1.907d92becf29ap-16, 0x1.8d46f25615d46p-16, 0x1.8a17283f34196p-16, 0x1.86e9908fc07adp-16, 0x1.83c39afa70536p-16, 0x1.80a3240ec3126p-16, 0x1.7d522a243342dp-16, 0x1.7a75d792d692p-16, 0x1.7769d9c0b9719p-16, 0x1.745f0b46efa7ep-16, 0x1.715ad713974a4p-16, 0x1.6e5d293ba77c9p-16, 0x1.6b6623b55e04cp-16, 0x1.6874356463cc1p-16, 0x1.658896a61b96fp-16, 0x1.62a412a3cd0aap-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.24b727c1782ddp-2, -0x1.256bb8426687fp-2, -0x1.2696b32dff575p-2, -0x1.28353a907237p-2, -0x1.2a436cce66fc2p-2, -0x1.2cbc805252b0ap-2, -0x1.2f9ae19d43d41p-2, -0x1.32d852162b454p-2, -0x1.366e0660b5fc3p-2, -0x1.3a54c3615bf86p-2, -0x1.3e84f95f389d1p-2, -0x1.42f6dceee33f9p-2, -0x1.47a27d7dbe449p-2, -0x1.4c7fd97570fcap-2, -0x1.5186f005b7512p-2, -0x1.56afd0b17f3dcp-2, -0x1.5bf2a8c5386c2p-2, -0x1.6147cee0d7961p-2, -0x1.66a7ccc191ebbp-2, -0x1.6c0b6776b03c2p-2, -0x1.716ba62afce13p-2, -0x1.76c1d7a974e9dp-2, -0x1.7c0796c0d0ddcp-2, -0x1.8136cda63e3p-2, -0x1.8649b87468f12p-2, -0x1.8b3ae6e10a891p-2, -0x1.90053d407a0a5p-2, -0x1.94a3f4ec415f3p-2, -0x1.99129c1fa11f6p-2, -0x1.9d4d155afc538p-2, -0x1.a14f965d87204p-2, -0x1.a516a6c31672dp-2, -0x1.a89f1e52b5a58p-2, -0x1.abe623097e344p-2, -0x1.aee926ec335a1p-2, -0x1.b1a5e5a9357f3p-2, -0x1.b41a62139bea8p-2, -0x1.b644e37f73fep-2, -0x1.b823f3067c686p-2, -0x1.b9b658bc02c66p-2, -0x1.bafb18d5ed9dcp-2, -0x1.bbf170d067f52p-2, -0x1.bc98d49111554p-2, -0x1.bcf0eb8e0bcb3p-2, -0x1.bcf98dfcc2d5fp-2, -0x1.bcb2c20bc7f2ap-2, -0x1.bc1cb92ab4d8ep-2, -0x1.bb37cd62853d4p-2, -0x1.ba047ec088962p-2, -0x1.b88370d5a10bdp-2, -0x1.b6b5684b254f3p-2, -0x1.b49b488e7ed09p-2, -0x1.b23611943fb17p-2, -0x1.af86ddb32eab1p-2, -0x1.ac8edf97917acp-2, -0x1.a94f604ebea06p-2, -0x1.a5c9bd6ad1ed2p-2, -0x1.a1ff673e3c32fp-2, -0x1.9df1df2eb988fp-2, -0x1.99a2b61f22474p-2, -0x1.95138aef69e4cp-2, -0x1.90460912144efp-2, -0x1.8b3be73652265p-2, -0x1.85f6e605e6a6p-2, -0x1.8078cef5fd12bp-2, -0x1.7ac37329f998cp-2, -0x1.74d8aa67677fcp-2, -0x1.6eba521a0ed9dp-2, -0x1.686a4c674d6c4p-2, -0x1.61ea7f4fcdaeep-2, -0x1.5b3cd3deb9609p-2, -0x1.546335659183ap-2, -0x1.4d5f90c3d520fp-2, -0x1.4633d3b9b7f19p-2, -0x1.3ee1ec451cde7p-2, -0x1.376bc8082ef67p-2, -0x1.2fd353b8dd815p-2, -0x1.281a7a98aa7cp-2, -0x1.204325f42b685p-2, -0x1.184f3ca9b72cfp-2, -0x1.1040a2b6bca47p-2, -0x1.081938cb4f815p-2, -0x1.ffb5b7c6f41edp-3, -0x1.ef0ec9cbeeedcp-3, -0x1.de41508fe7169p-3, -0x1.cd50eb6b100d4p-3, -0x1.bc412f7d4ac5p-3, -0x1.ab15a71056fe4p-3, -0x1.99d1d101ed703p-3, -0x1.8879203555bd9p-3, -0x1.770efb0c1e7a2p-3, -0x1.6596bae5a8f8ep-3, -0x1.5413aba54609ep-3, -0x1.42890b3e99c2ep-3, -0x1.30fa094823259p-3, -0x1.1f69c693a84cap-3, -0x1.0ddb54cc7589bp-3, -0x1.f8a36c3665825p-4, -0x1.d59fb99ea898ap-4, -0x1.b2b1561bdc685p-4, -0x1.8fdde50be65dcp-4, -0x1.6d2ae8536c3d7p-4, -0x1.4a9dbfdb61f31p-4, -0x1.283ba918f257ep-4, -0x1.0609be9fb5bf3p-4, -0x1.c819ef7c3dc44p-5, -0x1.849450480f4e9p-5, -0x1.418bff26996a5p-5, -0x1.fe1426698fb7ep-6, -0x1.7a2eb56352b68p-6, -0x1.eef16a6bfebap-7, -0x1.d80a72e9ebc3cp-8, 0x1.44761a509829dp-11, 0x1.11d5c84819e4cp-7, 0x1.0644420af87fbp-6, 0x1.8221a37ee7d74p-6, 0x1.fc757582e0f19p-6, 0x1.3a995c72fba3bp-5, 0x1.762680f06af01p-5, 0x1.b0dc3bc859b84p-5, 0x1.eab4e9a84d26ep-5, 0x1.11d597fc6577bp-4, 0x1.2ddcfe34b16bdp-4, 0x1.496e423686cb7p-4, 0x1.64872253aaed3p-4, 0x1.7f258025623bbp-4, 0x1.994760348301fp-4, 0x1.b2eae99aacde6p-4, 0x1.cc0e659cd7876p-4, 0x1.e4b03f3f8dabbp-4, 0x1.fccf02d5082fdp-4, 0x1.0a34aec2bf1c6p-3, 0x1.15bf0e68f02fep-3, 0x1.21061708abb05p-3, 0x1.2c094ef4e2cb4p-3, 0x1.36c84be1c7f16p-3, 0x1.4142b29c81384p-3, 0x1.4b7836c0c4cfap-3, 0x1.55689a6c91ae1p-3, 0x1.5f13adf216ecfp-3, 0x1.68794f87fbf7cp-3, 0x1.71996af82939p-3, 0x1.7a73f94d31cfep-3, 0x1.8309007e817f2p-3, 0x1.8b58931b7c908p-3, 0x1.9362cff5a0a32p-3, 0x1.9b27e1c9d6c42p-3, 0x1.a2a7fee912162p-3, 0x1.a9e368e059d23p-3, 0x1.b0da6c2067f7ep-3, 0x1.b78d5fa4e73c8p-3, 0x1.bdfca49b80988p-3, 0x1.c428a60ad1158p-3, 0x1.ca11d8795c17dp-3, 0x1.cfb8b9949d51dp-3, 0x1.d51dcfd853e48p-3, 0x1.da41aa361bc92p-3, 0x1.df24dfbd6c61fp-3, 0x1.e3c80f442043cp-3, 0x1.e82bdf0f8c5f5p-3, 0x1.ec50fc7e4635cp-3, 0x1.f0381bb2a80bap-3, 0x1.f3e1f73e2e601p-3, 0x1.f74f4fcdb4cebp-3, 0x1.fa80ebd6af64ep-3, 0x1.fd7797456a16bp-3, 0x1.001a119632282p-2, 0x1.015bb2ba66f62p-2, 0x1.02811c481d551p-2, 0x1.038abd95cb59dp-2, 0x1.047907f1b440bp-2, 0x1.054c6e7cb6377p-2, 0x1.06056605c6c17p-2, 0x1.06a464e62844ep-2, 0x1.0729e2de54597p-2, 0x1.079658f3aaafbp-2, 0x1.07ea414eda014p-2, 0x1.0826171b12e05p-2, 0x1.084a5665feadep-2, 0x1.08577c007f8ep-2, 0x1.084e05603b1bfp-2, 0x1.082e7081f4b44p-2, 0x1.07f93bccb0bd9p-2, 0x1.07aee5f5ac5d1p-2, 0x1.074fede5205ccp-2, 0x1.06dcd29bd5da2p-2, 0x1.065613198afccp-2, 0x1.05bc2e4427b32p-2, 0x1.050fa2cfc0b4ep-2, 0x1.0450ef276a1b5p-2, 0x1.03809156d6ec9p-2, 0x1.029f06f4c75c2p-2, 0x1.01accd0e40eaep-2, 0x1.00aa60128e31cp-2, 0x1.ff3077801741p-3, 0x1.fcedb6236b7eap-3, 0x1.fa8d705afab47p-3, 0x1.f81098a6bc227p-3, 0x1.f5781f9a65ce9p-3, 0x1.f2c4f3be90bf7p-3, 0x1.eff8017353ed5p-3, 0x1.ed1232d447d78p-3, 0x1.ea146f9dfb88bp-3, 0x1.e6ff9d14c34b9p-3, 0x1.e3d49deceb9cdp-3, 0x1.e09452344329ep-3, 0x1.dd3f973cec063p-3, 0x1.d9d7478983ecep-3, 0x1.d65c3aba805f2p-3, 0x1.d2cf457cd57eep-3, 0x1.cf313979c6379p-3, 0x1.cb82e547e8446p-3, 0x1.c7c5145d4d1f4p-3, 0x1.c3f88f02cd355p-3, 0x1.c01e1a48674ddp-3, 0x1.bc3677fab7a86p-3, 0x1.b84266996f127p-3, 0x1.b442a14edaaaap-3, 0x1.b037dfe858418p-3, 0x1.ac22d6cfcd556p-3, 0x1.a8043705fe5acp-3, 0x1.a3dcae1dd627p-3, 0x1.9face63883fbp-3, 0x1.9b75860278f9ap-3, 0x1.973730b12c689p-3, 0x1.92f28601b4cfp-3, 0x1.8ea822381aadp-3, 0x1.8a589e1f68511p-3, 0x1.86048f0a7264ep-3, 0x1.81ac86d54c006p-3, 0x1.7d5113e75d77ap-3, 0x1.78f2c13626adep-3, 0x1.7492164890c9ap-3, 0x1.702f973ad8f5dp-3, 0x1.6bcbc4c307dfap-3, 0x1.67671c35f18bcp-3, 0x1.6302178cb2f38p-3, 0x1.5e9d2d6ab0f03p-3, 0x1.5a38d12404388p-3, 0x1.55d572c45cfe5p-3, 0x1.51737f1649109p-3, 0x1.4d135faae8d23p-3, 0x1.48b57ae1f43c1p-3, 0x1.445a33f2288b9p-3, 0x1.4001eaf20277bp-3, 0x1.3bacfce0c4ecep-3, 0x1.375bc3afd358cp-3, 0x1.330e964c4d0dbp-3, 0x1.2ec5c8a8e719ap-3, 0x1.2a81abc802ce6p-3, 0x1.26428dc6039f4p-3, 0x1.2208b9e3d1da7p-3, 0x1.1dd478918b201p-3, 0x1.19a60f79641bp-3, 0x1.157dc18aaf2bcp-3, 0x1.115bcf050560ap-3, 0x1.0d4075838f192p-3, 0x1.092bf0086e15ap-3, 0x1.051e7708359a6p-3, 0x1.0118407585c13p-3, 0x1.fa32ff9954a0dp-4, 0x1.f244cc3ea9ac1p-4, 0x1.ea664440b2cd3p-4, 0x1.e297c05ef9e71p-4, 0x1.dad994ca7e777p-4, 0x1.d32c113d63db7p-4, 0x1.cb8f81129505bp-4, 0x1.c4042b5d69f72p-4, 0x1.bc8a530140e6ep-4, 0x1.b52236c913e61p-4, 0x1.adcc117ee9911p-4, 0x1.a6881a0347844p-4, 0x1.9f5683647c597p-4, 0x1.98377cf5cc9f4p-4, 0x1.912b3266875bdp-4, 0x1.8a31cbd8ec4b8p-4, 0x1.834b6df8f02b4p-4, 0x1.7c783a12d2bebp-4, 0x1.75b84e298529cp-4, 0x1.6f0bc50ce55cdp-4, 0x1.6872b66fbf73bp-4, 0x1.61ed36fd9ad46p-4, 0x1.5b7b58704fe4p-4, 0x1.551d29a56163dp-4, 0x1.4ed2b6b319fe4p-4, 0x1.489c08fd67dbdp-4, 0x1.4279274a7bb2fp-4, 0x1.3c6a15d722e23p-4, 0x1.366ed66ade567p-4, 0x1.3087686bb1239p-4, 0x1.2ab3c8f1acf78p-4, 0x1.24f3f2da347cap-4, 0x1.1f47dedaf1bdbp-4, 0x1.19af839487bf6p-4, 0x1.142ad5a4f35b8p-4, 0x1.0eb9c7b9a508ep-4, 0x1.095c4aa14e1cdp-4, 0x1.04124d5d5a7cbp-4, 0x1.fdb77a6647e13p-5, 0x1.f3710b79a8604p-5, 0x1.e95121f3f41b4p-5, 0x1.df578ebf9ab6cp-5, 0x1.d5841fd24d48p-5, 0x1.cbd6a04c4c468p-5, 0x1.c24ed8971783bp-5, 0x1.b8ec8e8384bbp-5, 0x1.afaf856734487p-5, 0x1.a6977e3967e5cp-5, 0x1.9da437af3e3cdp-5, 0x1.94d56e57518ecp-5, 0x1.8c2adcb4b8ba3p-5, 0x1.83a43b5972b96p-5, 0x1.7b41410030faep-5, 0x1.7301a2a58b7e1p-5, 0x1.6ae513a09e584p-5, 0x1.62eb45bb0aa84p-5, 0x1.5b13e94867a2p-5, 0x1.535ead3d1ec66p-5, 0x1.4bcb3f44af0d1p-5, 0x1.44594bd76243bp-5, 0x1.3d087e4f6fb52p-5, 0x1.35d880fd92c7cp-5, 0x1.2ec8fd3d15934p-5, 0x1.27d99b8747b05p-5, 0x1.210a0386738d7p-5, 0x1.1a59dc2847bbcp-5, 0x1.13c8cbafb5409p-5, 0x1.0d5677c653d0ap-5, 0x1.0702858d3a5c7p-5, 0x1.00cc99ad59a6fp-5, 0x1.f568b0ceafbp-6, 0x1.e972cb45d30d7p-6, 0x1.ddb6c9fb72ef9p-6, 0x1.d233f3b3998b2p-6, 0x1.c6e98ed6f2829p-6, 0x1.bbd6e18dbe8e6p-6, 0x1.b0fb31d9dc1c2p-6, 0x1.a655c5afffa41p-6, 0x1.9be5e30ffcbcfp-6, 0x1.91aad01c3e314p-6, 0x1.87a3d3305fb78p-6, 0x1.7dd032f70084fp-6, 0x1.742f367eb8eb7p-6, 0x1.6ac0254e48d2fp-6, 0x1.618247780a4fep-6, 0x1.5874e5ac98282p-6, 0x1.4f97494cb43ccp-6, 0x1.46e8bc7a86797p-6, 0x1.3e688a29fd66p-6, 0x1.3615fe30aea68p-6, 0x1.2df06554db398p-6, 0x1.25f70d5bed4f4p-6, 0x1.1e29451833e92p-6, 0x1.16865c761107fp-6, 0x1.0f0da4887c274p-6, 0x1.07be6f94eb513p-6, 0x1.0098111ea7b81p-6, 0x1.f333bbe311d0ep-7, 0x1.e58658585a30ep-7, 0x1.d826a6932be6ap-7, 0x1.cb13585498b86p-7, 0x1.be4b2239d592bp-7, 0x1.b1ccbbcc6b40bp-7, 0x1.a596df916b388p-7, 0x1.99a84b1791f7dp-7, 0x1.8dffbf04a728p-7, 0x1.829bff21dace8p-7, 0x1.777bd267333aep-7, 0x1.6c9e03063755cp-7, 0x1.62015e73d27eep-7, 0x1.57a4b5713f502p-7, 0x1.4d86dc1443dd1p-7, 0x1.43a6a9ceb29fbp-7, 0x1.3a02f9752d8aep-7, 0x1.309aa9451b7e7p-7, 0x1.276c9aea0ba56p-7, 0x1.1e77b3825b655p-7, 0x1.15badba333238p-7, 0x1.0d34ff5c0fc5cp-7, 0x1.04e50e396a521p-7, 0x1.f993f68e0d35cp-8, 0x1.e9c57a232e6aep-8, 0x1.da5c9b4fc1e27p-8, 0x1.cb5755369dccbp-8, 0x1.bcb3aa0017954p-8, 0x1.ae6fa2d93ce2cp-8, 0x1.a0894ff21843cp-8, 0x1.92fec87b3af6p-8, 0x1.85ce2aa216f78p-8, 0x1.78f59b8cd6c45p-8, 0x1.6c73475539b9ap-8, 0x1.60456102b66abp-8, 0x1.546a2283ed992p-8, 0x1.48dfcca764409p-8, 0x1.3da4a713966efp-8, 0x1.32b7003e59e98p-8, 0x1.28152d63b84dap-8, 0x1.1dbd8a7c1f2edp-8, 0x1.13ae7a32157b8p-8, 0x1.09e665d74da0cp-8, 0x1.0063bd596b662p-8, 0x1.ee49ee6c0aa24p-9, 0x1.dc5120dcff832p-9, 0x1.cada18f68d881p-9, 0x1.b9e1ea7d7bbb6p-9, 0x1.a965b5ef54d9dp-9, 0x1.9962a866c39a2p-9, 0x1.89d5fb7f29ed8p-9, 0x1.7abcf537d2ea6p-9, 0x1.6c14e7d5f0389p-9, 0x1.5ddb31c6cb47fp-9, 0x1.500d3d80c9e97p-9, 0x1.42a88164845bep-9, 0x1.35aa7f9cf90a2p-9, 0x1.2910c5ffb2c7p-9, 0x1.1cd8edec35d2ep-9, 0x1.11009c2b47b99p-9, 0x1.058580ce213c5p-9, 0x1.f4caae199fe14p-10, 0x1.df3bca4951856p-10, 0x1.ca59f86d8c949p-10, 0x1.b620f04b3affdp-10, 0x1.a28c7ee625984p-10, 0x1.8f98863c99527p-10, 0x1.7d40fd01e6addp-10, 0x1.6b81ee59a744bp-10, 0x1.5a5779929084bp-10, 0x1.49bdd1e13b24bp-10, 0x1.39b13e1a9ceb3p-10, 0x1.2a2e186ef54bdp-10, 0x1.1b30ce24472dep-10, 0x1.0cb5df50eed8p-10, 0x1.fd73bd2e1916p-11, 0x1.e272e1bdf474fp-11, 0x1.c8629a24dad75p-11, 0x1.af3c77b02f09ep-11, 0x1.96fa2e9dcff9ap-11, 0x1.7f959594bd1bap-11, 0x1.6908a51c55047p-11, 0x1.534d771638372p-11, 0x1.3e5e463658413p-11, 0x1.2a356d7edad29p-11, 0x1.16cd67ba75b1cp-11, 0x1.0420cef87193ep-11, 0x1.e454b811d8761p-12, 0x1.c1c9cbf658687p-12, 0x1.a096c337dd74cp-12, 0x1.80b1c1e9ed6a1p-12, 0x1.6211259ccb021p-12, 0x1.44ab845e1646fp-12, 0x1.2877abc0a1a55p-12, 0x1.0d6c9fe101535p-12, 0x1.e70334e63a04bp-13, 0x1.b55c1398f0968p-13, 0x1.85d31fe4145d3p-13, 0x1.58580355d28ap-13, 0x1.2cdacb237877dp-13, 0x1.034be65661ffap-13, 0x1.b738480456cb7p-14, 0x1.6b7962e1e9fcep-14, 0x1.233e30c931715p-14, 0x1.bcd4f54df3fdbp-15, 0x1.39c576bd5fda6p-15, 0x1.7a30717be5ffbp-16, 0x1.1a63921187ddbp-17, -0x1.4f5c689156b8fp-18, -0x1.294db42c6e62ep-16, -0x1.f392fc0cfb6c7p-16, -0x1.5982b8375f89bp-15, -0x1.b40092296e63dp-15, -0x1.04b7f2e523e2dp-14, -0x1.2cfe31d280c3dp-14, -0x1.52e84c758c00dp-14, -0x1.768afabc22851p-14, -0x1.97fa68e2f13b8p-14, -0x1.b74a3a4c91dbbp-14, -0x1.d48d8c7699bcbp-14, -0x1.efd6f9bea8db9p-14, -0x1.049c4e198170ep-13, -0x1.10620826d7a0bp-13, -0x1.1b453bd339183p-13, -0x1.254e3dce96f0cp-13, -0x1.2e8527fb6d199p-13, -0x1.36f1daba5716ap-13, -0x1.3e9bfe2d18p-13, -0x1.458b037651201p-13, -0x1.4bc625efcaa4p-13, -0x1.51546c65adcebp-13, -0x1.563caa414e1bfp-13, -0x1.5a8580b79a3c5p-13, -0x1.5e355fead6c3cp-13, -0x1.6152880e4670dp-13, -0x1.63e30a7f17419p-13, -0x1.65eccadc1c636p-13, -0x1.6775801712699p-13, -0x1.6882b5835f809p-13, -0x1.6919cbdc2af56p-13, -0x1.693ffa463bdf3p-13, -0x1.68fa4f501f56p-13, -0x1.684db1ed2e4f3p-13, -0x1.673ee26901217p-13, -0x1.65d27b5854352p-13, -0x1.640cf2861d3a9p-13, -0x1.61f299d9ec80bp-13, -0x1.5f87a03b69e7bp-13, -0x1.5cd012705119bp-13, -0x1.59cfdbf8ec416p-13, -0x1.568ac7e659e2p-13, -0x1.530481aa5cf65p-13, -0x1.4f4095e6aa755p-13, -0x1.4b427335fac3p-13, -0x1.470d6af2ae892p-13, -0x1.42a4b1f7935b7p-13, -0x1.3e0b615f14d72p-13, -0x1.3944773b42168p-13, -0x1.3452d74eb539fp-13, -0x1.2f394bba52c1fp-13, -0x1.29fa85ae8da12p-13, -0x1.24991e17020c6p-13, -0x1.1f179640d886dp-13, -0x1.1978587e2c36cp-13, -0x1.13bdb8c671d1cp-13, -0x1.0de9f552c44b1p-13, -0x1.07ff3737a6493p-13, -0x1.01ff92fa2b453p-13, -0x1.f7da1247354c8p-14, -0x1.eb930da2137bp-14, -0x1.df2dcc7e16827p-14, -0x1.d2addea3fc2e9p-14, -0x1.c616b037fdadep-14, -0x1.b96b8ac33de15p-14, -0x1.acaf9630673fap-14, -0x1.9fe5d9c6d1676p-14, -0x1.93113d1eba12p-14, -0x1.8634891008d57p-14, -0x1.7952689b5098fp-14, -0x1.6c6d69c9aaa02p-14, -0x1.5f87fe906fd73p-14, -0x1.52a47da6c6329p-14, -0x1.45c5235bd340dp-14, -0x1.38ec12634fa02p-14, -0x1.2c1b549d81924p-14, -0x1.1f54dbdeb6c34p-14, -0x1.129a82aeaff47p-14, -0x1.05ee0d01c33f2p-14, -0x1.f2a251e2a6691p-15, -0x1.d98adedcbf53cp-15, -0x1.c098c9da6e766p-15, -0x1.a7cef4207b6f4p-15, -0x1.8f30188f50309p-15, -0x1.76beccf2387a9p-15, -0x1.5e7d83313e854p-15, -0x1.466e8a8579d8dp-15, -0x1.2e94109efa341p-15, -0x1.16f022c673d1ap-15, -0x1.ff095df164f86p-16, -0x1.d0a709ed68b4ep-16, -0x1.a2bcaea2c2b45p-16, -0x1.754d78d8bd565p-16, -0x1.485c5efe9bf79p-16, -0x1.1bec2313a4012p-16, -0x1.dffea90c2cddcp-17, -0x1.8930a3f494438p-17, -0x1.33729638d2ef4p-17, -0x1.bd91095796ab5p-18, -0x1.166c39f270b42p-18, -0x1.c5f5c6cce1b4ep-20, 0x1.89a9ebdc909bfp-21, 0x1.a34cba12e26c7p-19, 0x1.6fd10bcd93923p-18, 0x1.05d87c296367dp-17, 0x1.52a12d9128afap-17, 0x1.9e40f8a5b0964p-17, 0x1.e8b67b82abbbap-17, 0x1.190048a4f51dap-16, 0x1.3d0f27d54e2e6p-16, 0x1.6087823842ba4p-16, 0x1.8369199495f3cp-16, 0x1.a5b3c9673f8cep-16, 0x1.c76785d3e7855p-16, 0x1.e8845a8b8cfedp-16, 0x1.048534df2159bp-15, 0x1.147cf59033431p-15, 0x1.2429957461b1bp-15, 0x1.338b44765b50cp-15, 0x1.42a23bd46e942p-15, 0x1.516ebdb14727cp-15, 0x1.5ff114a3da67p-15, 0x1.6e29934dce3c9p-15, 0x1.7c1893f5c9f7ap-15, 0x1.89be78244d206p-15, 0x1.971ba83fb0a64p-15, 0x1.a430933331122p-15, 0x1.b0fdae13231a6p-15, 0x1.bd8373c6a8943p-15, 0x1.c9c264b28e45ap-15, 0x1.d5bb06662c356p-15, 0x1.e16de35030f58p-15, 0x1.ecdb8a7211406p-15, 0x1.f8048f1881c72p-15, 0x1.0174c44965524p-14, 0x1.06c588f72217ap-14, 0x1.0bf4e4db92d7ep-14, 0x1.110328daac988p-14, 0x1.15f0a75a12963p-14, 0x1.1abdb4222fc98p-14, 0x1.1f6aa4427fcp-14, 0x1.23f7cdf6ab7d5p-14, 0x1.2865888cd3612p-14, 0x1.2cb42c4b98bddp-14, 0x1.30e41259f3b34p-14, 0x1.34f594a72ede9p-14, 0x1.38e90dd66650fp-14, 0x1.3cbed927fe735p-14, 0x1.40775265a1fd7p-14, 0x1.4412d5cdf63fap-14, 0x1.4791c001b3bf7p-14, 0x1.4af46df1ddfa5p-14, 0x1.4e3b3cce1b0b9p-14, 0x1.516689f3d42e4p-14, 0x1.5476b2deb1be3p-14, 0x1.576c151940a8ap-14, 0x1.5a470e2e43b7ap-14, 0x1.5d07fb9bf9208p-14, 0x1.5faf3ac5599d9p-14, 0x1.623d28e5bd769p-14, 0x1.64b2230547b1p-14, 0x1.670e85ecdd0fdp-14, 0x1.6952ae1b47313p-14, 0x1.6b7ef7bc012cdp-14, 0x1.6d93be9b75e94p-14, 0x1.6f915e1f60401p-14, 0x1.7178313c1eed2p-14, 0x1.7348926e14248p-14, 0x1.7502dbb076834p-14, 0x1.76a766761ebap-14, 0x1.78368ba2d323dp-14, 0x1.79b0a3839a0afp-14, 0x1.7b1605c9a7b8dp-14, 0x1.7c670984eab4ap-14, 0x1.7da4051c0761dp-14, 0x1.7ecd4e495dfdfp-14, 0x1.7fe33a162b7dbp-14, 0x1.80e61cd40ccd4p-14, 0x1.81d64a1a92f08p-14, 0x1.82b414c388116p-14, 0x1.837fcee5f04cp-14, 0x1.8439c9d38973ap-14, 0x1.84e256163bb52p-14, 0x1.8579c36c77de4p-14, 0x1.860060c6a9fb7p-14, 0x1.86767c466f953p-14, 0x1.86dc633a0f613p-14, 0x1.8732621c5de0bp-14, 0x1.8778c49345c6cp-14, 0x1.87afd56dae3d8p-14, 0x1.87d7dea1a7f72p-14, 0x1.87f1294d64565p-14, 0x1.87fbfdb47e413p-14, 0x1.87f8a3400a29cp-14, 0x1.87e7607df5e82p-14, 0x1.87c87b209de7p-14, 0x1.879c37ff19293p-14, 0x1.8762db13ced64p-14, 0x1.871ca77eb8acp-14, 0x1.86c9df83968bbp-14, 0x1.866ac48aed333p-14, 0x1.85ff97237813p-14, 0x1.858897018f1a2p-14, 0x1.850602ffb6777p-14, 0x1.847819201f07p-14, 0x1.83df168dad54bp-14, 0x1.833b379baf07cp-14, 0x1.828cb7c8072bcp-14, 0x1.81d3d1bd1d96p-14, 0x1.8110bf508f77cp-14, 0x1.8043b986be2d3p-14, 0x1.7f6cf89310d01p-14, 0x1.7e8cb3d9b5db1p-14, 0x1.7da321f0e11e6p-14, 0x1.7cb078a28f5eap-14, 0x1.7bb4ecee816f9p-14, 0x1.7ab0b30ae4fffp-14, 0x1.79a3fe6692897p-14, 0x1.788f01ab82613p-14, 0x1.7771eebf3e34fp-14, 0x1.764cf6c56f53ep-14, 0x1.75204a21e550cp-14, 0x1.73ec18795638cp-14, 0x1.72b090b48fe3cp-14, 0x1.716de10202d44p-14, 0x1.702436d7837fp-14, 0x1.6ed3bef480aa5p-14, 0x1.6d7ca5636598p-14, 0x1.6c1f157c8b8fdp-14, 0x1.6abb39e72e548p-14, 0x1.69513c9ca7e66p-14, 0x1.67e146e943486p-14, 0x1.666b816f50a0ep-14, 0x1.64f01428a9421p-14, 0x1.636f26683803cp-14, 0x1.61e8deddad5cfp-14, 0x1.605d6395e249cp-14, 0x1.5eccd9fdb54cep-14, 0x1.5d3766e45ee4bp-14, 0x1.5b9d2e7ca22acp-14, 0x1.59fe545efbd05p-14, 0x1.585afb8cba366p-14, 0x1.56b34671094d6p-14, 0x1.550756e365d7fp-14, 0x1.53574e293e177p-14, 0x1.51a34cf89ce6ep-14, 0x1.4feb737994e6cp-14, 0x1.4e2fe1481aa06p-14, 0x1.4c70b57708fbp-14, 0x1.4aae0e91503cbp-14, 0x1.48e80a9bbff6ep-14, 0x1.471ec71756ccap-14, 0x1.45526103591d6p-14, 0x1.4382f4debfcaep-14, 0x1.41b09eaa354f5p-14, 0x1.3fdb79ea95f8dp-14, 0x1.3e03a1aa7cc4bp-14, 0x1.3c29307b86312p-14, 0x1.3a4c40783c07ep-14, 0x1.386ceb4702688p-14, 0x1.368b4a1aed9ccp-14, 0x1.34a775b58164fp-14, 0x1.32c18668d525bp-14, 0x1.30d9941906d21p-14, 0x1.2eefb63e3df44p-14, 0x1.2d0403e5d6b7p-14, 0x1.2b1693b4919b4p-14, 0x1.29277be86ae77p-14, 0x1.2736d259908d6p-14, 0x1.2544ac7c3f8bep-14, 0x1.23511f629c16cp-14, 0x1.215c3fbe18701p-14, 0x1.1f6621e0a32fep-14, 0x1.1d6ed9be86fd7p-14, 0x1.1b767af06df3dp-14, 0x1.197d18b48c4f7p-14, 0x1.1782c5ef16c8cp-14, 0x1.1587952cb7768p-14, 0x1.138b98a4340f6p-14, 0x1.118ee2374cc0bp-14, 0x1.0f918374258cdp-14, 0x1.0d938d9682723p-14, 0x1.0b951189c171ap-14, 0x1.09961fe96e181p-14, 0x1.0796c902dac81p-14, 0x1.05971cd69ecf7p-14, 0x1.03972b19c000cp-14, 0x1.01970336c84dp-14, 0x1.ff2d689d9bb63p-15, 0x1.fb2c9a7688535p-15, 0x1.f72bb91d84129p-15, 0x1.f32ae12bcbb58p-15, 0x1.ef2a2eb1574dap-15, 0x1.eb29bd3833b8fp-15, 0x1.e729a7c622c3bp-15, 0x1.e32a08de10c6bp-15, 0x1.df2afa81e9bfcp-15, 0x1.db2c96366618dp-15, 0x1.d72ef50398f7ep-15, 0x1.d3322f783d7bep-15, 0x1.cf365daa1e233p-15, 0x1.cb3b973903a32p-15, 0x1.c741f35129f7ep-15, 0x1.c34988abc2187p-15, 0x1.bf526d91bc6a8p-15, 0x1.bb5cb7dd6f603p-15, 0x1.b7687cfc730cfp-15, 0x1.b375d1f1bb0e1p-15, 0x1.af84cb55f8e6ep-15, 0x1.ab957d5ae31cep-15, 0x1.a7a7fbcc2134ep-15, 0x1.a3bc5a102d998p-15, 0x1.9fd2ab2b42a52p-15, 0x1.9beb01c06e40cp-15, 0x1.98057013b35d9p-15, 0x1.9422080a6bf5p-15, 0x1.9040db2ceaf76p-15, 0x1.8c61faa937419p-15, 0x1.88857752c446bp-15, 0x1.84ab61a573471p-15, 0x1.80d3c9c5d7686p-15, 0x1.7cfebf82ccd5ep-15, 0x1.792c52572918bp-15, 0x1.755c916ae454dp-15, 0x1.718f8b943e32fp-15, 0x1.6dc54f58a0dbep-15, 0x1.69fdeaeeea703p-15, 0x1.66396c401fbc5p-15, 0x1.6277e0e880ebcp-15, 0x1.5eb956384148bp-15, 0x1.5afdd9358e686p-15, 0x1.5745769d31942p-15, 0x1.53903ae358775p-15, 0x1.4fde32357c97bp-15, 0x1.4c2f687adc63ep-15, 0x1.4883e95676204p-15, 0x1.44dbc0268a297p-15, 0x1.4136f806a391bp-15, 0x1.3d959bd03dddp-15, 0x1.39f7b61c082e2p-15, 0x1.365d514295d19p-15, 0x1.32c6775d687ep-15, 0x1.2f333247d4646p-15, 0x1.2ba38b9fa58f4p-15, 0x1.28178cc6a83d1p-15, 0x1.248f3ee31d3fep-15, 0x1.210aaae00a556p-15, 0x1.1d89d96f1673dp-15, 0x1.1a0cd30978a91p-15, 0x1.16939fefcd971p-15, 0x1.131e482b60c15p-15, 0x1.0facd38e7eb22p-15, 0x1.0c3f49b60d8cp-15, 0x1.08d5b209a7b27p-15, 0x1.057013bc9b983p-15, 0x1.020e75ce94b8fp-15, 0x1.fd61be1981beap-16, 0x1.f6aeac24069c4p-16, 0x1.f003c28fc5158p-16, 0x1.e9610dcddca66p-16, 0x1.e2c699ee5e9d1p-16, 0x1.dc3472a4a0e7ep-16, 0x1.d5aaa344aac1ap-16, 0x1.cf2936c717cf1p-16, 0x1.c8b037c8e384ep-16, 0x1.c23fb08da8e51p-16, 0x1.bbd7ab005251p-16, 0x1.b57830b474226p-16, 0x1.af214ae6ac814p-16, 0x1.a8d3027f8a4e1p-16, 0x1.a28d6013c2744p-16, 0x1.9c506be5e4955p-16, 0x1.961c2de5eb58ap-16, 0x1.8ff0adb2f05e2p-16, 0x1.89cdf29d7559bp-16, 0x1.83b403a6d2853p-16, 0x1.7da2e783c0959p-16, 0x1.779aa49b7c3c3p-16, 0x1.719b410b4462cp-16, 0x1.6ba4c2a56ba8bp-16, 0x1.65b72ef4255c1p-16, 0x1.5fd28b389e2bdp-16, 0x1.59f6dc6b2e983p-16, 0x1.5424273fd10fep-16, 0x1.4e5a70242a41p-16, 0x1.4899bb41aee63p-16, 0x1.42e20c7dbf27cp-16, 0x1.3d33677b845a4p-16, 0x1.378dcf9c7faa7p-16, 0x1.31f148007c6cep-16, 0x1.2c5dd3873e4ccp-16, 0x1.26d374d155252p-16, 0x1.21522e41afcecp-16, 0x1.1bda01fd66cdp-16, 0x1.166af1ee005e5p-16, 0x1.1104ffbf3f283p-16, 0x1.0ba82ce22d284p-16, 0x1.06547a8e3b37p-16, 0x1.0109e9c115cbap-16, 0x1.f790f68007cf2p-17, 0x1.ed205f2e82b66p-17, 0x1.e2c20e39a5e72p-17, 0x1.d87603dfc45f5p-17, 0x1.ce3c3ff713027p-17, 0x1.c414c1e9883cp-17, 0x1.b9ff88b6ffa2ep-17, 0x1.affc92fb0d91p-17, 0x1.a60bdeeb44b42p-17, 0x1.9c2d6a582c7dep-17, 0x1.926132b025e43p-17, 0x1.88a73500466f7p-17, 0x1.7eff6df7bbcd4p-17, 0x1.7569d9e5b243dp-17, 0x1.6be674b9cdc07p-17, 0x1.62753a0956427p-17, 0x1.5916251162b37p-17, 0x1.4fc930b3232f3p-17, 0x1.468e5779a4c09p-17, 0x1.3d65939a81c7cp-17, 0x1.344edef232bdep-17, 0x1.2b4a330b12e45p-17, 0x1.2257891dcd5d1p-17, 0x1.1976da0faaa9p-17, 0x1.10a81e76eacf3p-17, 0x1.07eb4e991a34ap-17, 0x1.fe80c4de17483p-18, 0x1.ed4ea346b4827p-18, 0x1.dc402731ba79ep-18, 0x1.cb553ecbf5565p-18, 0x1.ba8dd7abf5ce1p-18, 0x1.a9e9dedc64cbep-18, 0x1.996940daffbdp-18, 0x1.890be997f1f87p-18, 0x1.78d1c479dc085p-18, 0x1.68babc5f1ffecp-18, 0x1.58c6bba6430bep-18, 0x1.48f5ac29a7a84p-18, 0x1.3947773fc7cddp-18, 0x1.29bc05c1f3c1dp-18, 0x1.1a53400fbb216p-18, 0x1.0b0d0e0f9b42bp-18, 0x1.f7d2ae566851bp-19, 0x1.d9d004b9a3d0bp-19, 0x1.bc11ec4f07181p-19, 0x1.9e983137d0315p-19, 0x1.81629ebbe7768p-19, 0x1.6470ff45001bdp-19, 0x1.47c31c67f891fp-19, 0x1.2b58bee317275p-19, 0x1.0f31aea547ee3p-19, 0x1.e69b65ad128d5p-20, 0x1.af5923a851354p-20, 0x1.789c227a6a152p-20, 0x1.4263ebdc88847p-20, 0x1.0cb0080f05c22p-20, 0x1.aefffbd188602p-21, 0x1.45a6a5b1485c1p-21, 0x1.baa62b76a2d9ep-22, 0x1.d811455a5ef9dp-23, 0x1.f72b67cdeb3b4p-26, -0x1.563b316355ca7p-23, -0x1.73aa4f8b6b5b7p-22, -0x1.1d1abbf1ecf8cp-21, -0x1.7f609037c0fe2p-21, -0x1.e0a7ae2a64fbap-21, -0x1.207890c999aa4p-20, -0x1.501efc5f6db4fp-20, -0x1.7f47a20735d8fp-20, -0x1.adf30afed5177p-20, -0x1.dc21c1a346e25p-20, -0x1.04ea28a51f886p-19, -0x1.1b85a31e3c4a3p-19, -0x1.31e396e5c9743p-19, -0x1.48044b1ab879p-19, -0x1.5de80754414adp-19, -0x1.738f139c286afp-19, -0x1.88f9b86b57e12p-19, -0x1.9e283ea43696cp-19, -0x1.b31aef91930f7p-19, -0x1.c7d214e804344p-19, -0x1.dc4df8c1c9409p-19, -0x1.f08ee5901c62ap-19, -0x1.024a931260e7ap-18, -0x1.0c3082d9f1617p-18, -0x1.15f967e13024bp-18, -0x1.1fa56813b285p-18, -0x1.2934a9875af08p-18, -0x1.32a75275dd046p-18, -0x1.3bfd8944963abp-18, -0x1.4537747ca5ac7p-18, -0x1.4e553ac80595ep-18, -0x1.575702f16c7fdp-18, -0x1.603cf3e426e99p-18, -0x1.690734ac67fdap-18, -0x1.71b5ec7279622p-18, -0x1.7a49427d5a82bp-18, -0x1.82c15e30262d1p-18, -0x1.8b1e670365129p-18, -0x1.93608489714dap-18, -0x1.9b87de6caaf16p-18, -0x1.a3949c6dc032cp-18, -0x1.ab86e6623feeap-18, -0x1.b35ee4323caadp-18, -0x1.bb1cbdda97b65p-18, -0x1.c2c09b67a77d7p-18, -0x1.ca4aa4f4b41b4p-18, -0x1.d1bb02abea60bp-18, -0x1.d911dcc8cb8ffp-18, -0x1.e04f5b8f2576fp-18, -0x1.e773a74f678bep-18, -0x1.ee7ee8656390dp-18, -0x1.f5714735d7cb9p-18, -0x1.fc4aec2cc79c6p-18, -0x1.0185ffdec236bp-17, -0x1.04da552f6ab22p-17, -0x1.08228a486edacp-17, -0x1.0b5eb36bc6d35p-17, -0x1.0e8ee4db63aeep-17, -0x1.11b332da53fe6p-17, -0x1.14cbb1abbe3f1p-17, -0x1.17d87594141b8p-17, -0x1.1ad992d605bf7p-17, -0x1.1dcf1db3184cap-17, -0x1.20b92a6cc8f7ap-17, -0x1.2397cd422b917p-17, -0x1.266b1a6e44d8dp-17, -0x1.2933262a4c3c9p-17, -0x1.2bf004ac76961p-17, -0x1.2ea1ca266483p-17, -0x1.31488ac6220e7p-17, -0x1.33e45ab44db48p-17, -0x1.36754e158d35bp-17, -0x1.38fb7907e7872p-17, -0x1.3b76efa3ad6c9p-17, -0x1.3de7c5fbabe94p-17, -0x1.404e101c17674p-17, -0x1.42a9e207a8fbdp-17, -0x1.44fb4fbba6fcdp-17, -0x1.47426d2e03155p-17, -0x1.497f4e4bec818p-17, -0x1.4bb206f834775p-17, -0x1.4ddaab0d96d2dp-17, -0x1.4ff94e5e2c22bp-17, -0x1.520e04b1afa76p-17, -0x1.5418e1c6dc15bp-17, -0x1.5619f951cf216p-17, -0x1.58115efa81edcp-17, -0x1.59ff265df4d01p-17, -0x1.5be3630e747c4p-17, -0x1.5dbe2892ac3adp-17, -0x1.5f8f8a6567f0bp-17, -0x1.61579bf441736p-17, -0x1.631670a207e82p-17, -0x1.64cc1bc2c4df3p-17, -0x1.6678b09d249d6p-17, -0x1.681c426b0edf2p-17, -0x1.69b6e458dd15dp-17, -0x1.6b48a983f0accp-17, -0x1.6cd1a4fc21171p-17, -0x1.6e51e9c243ab6p-17, -0x1.6fc98ac8090d8p-17, -0x1.71389aefcf109p-17, -0x1.729f2d0d6a79cp-17, -0x1.73fd53e43fe47p-17, -0x1.755322282604dp-17, -0x1.76a0aa7d3055ap-17, -0x1.77e5ff7681e46p-17, -0x1.79233396910d7p-17, -0x1.7a58594fc03f4p-17, -0x1.7b858303253f6p-17, -0x1.7caac2fef433cp-17, -0x1.7dc82b822f971p-17, -0x1.7eddceb8b8db3p-17, -0x1.7febbebd729bbp-17, -0x1.80f20d9914db6p-17, -0x1.81f0cd427683ap-17, -0x1.82e80f9cece6ap-17, -0x1.83d7e6793254cp-17, -0x1.84c063960d49p-17, -0x1.85a1989e93182p-17, -0x1.867b972b40f72p-17, -0x1.874e70c0ed0b2p-17, -0x1.881a36d1d6ca7p-17, -0x1.88defabb97861p-17, }}, 
      {{-0x1.248ee77e06829p-2, -0x1.24cb3103f061fp-2, -0x1.252f46a7f6f65p-2, -0x1.25ba93dbe4595p-2, -0x1.266c4db9d9a14p-2, -0x1.27437749438fep-2, -0x1.283ee6409562cp-2, -0x1.295d48078106ep-2, -0x1.2a9d26ca76da5p-2, -0x1.2bfcee7baca67p-2, -0x1.2d7af1a79a399p-2, -0x1.2f156e0ad4ed4p-2, -0x1.30ca90dd9857dp-2, -0x1.32987ace4b1fcp-2, -0x1.347d43a821e88p-2, -0x1.3676fda5cacb7p-2, -0x1.3883b872206ap-2, -0x1.3aa183da364e8p-2, -0x1.3cce7234f7333p-2, -0x1.3f089a85106a2p-2, -0x1.414e1a5a208c8p-2, -0x1.439d17761890ap-2, -0x1.45f3c13bb9ff2p-2, -0x1.485051eaccf3bp-2, -0x1.4ab10fae7836cp-2, -0x1.4d144d81d7e36p-2, -0x1.4f786bee9e912p-2, -0x1.51dbd9a943f81p-2, -0x1.543d140dff68dp-2, -0x1.569aa7818684fp-2, -0x1.58f32fb842446p-2, -0x1.5b4557e683001p-2, -0x1.5d8fdadbf80a1p-2, -0x1.5fd1830c8b501p-2, -0x1.62092a888b681p-2, -0x1.6435bae5f63a1p-2, -0x1.66562d1c83e38p-2, -0x1.68698955fa93cp-2, -0x1.6a6ee6b433943p-2, -0x1.6c656b0e1d8a9p-2, -0x1.6e4c4aa4efd0dp-2, -0x1.7022c7d2ae15dp-2, -0x1.71e832b2fa095p-2, -0x1.739be8c72f873p-2, -0x1.753d54969ecd6p-2, -0x1.76cbed4bb6859p-2, -0x1.7847364ed2658p-2, -0x1.79aebedf5e521p-2, -0x1.7b0221abddd5ap-2, -0x1.7c4104696bafep-2, -0x1.7d6b176b2a017p-2, -0x1.7e80153a1105ep-2, -0x1.7f7fc22d82d6bp-2, -0x1.8069ec04f9179p-2, -0x1.813e69831751ep-2, -0x1.81fd1a0a6be17p-2, -0x1.82a5e53c0b6ep-2, -0x1.8338ba9842c17p-2, -0x1.83b591218067cp-2, -0x1.841c67019714cp-2, -0x1.846d41317333bp-2, -0x1.84a82b235769ep-2, -0x1.84cd366fac5e5p-2, -0x1.84dc7a846fa5ap-2, -0x1.84d614573ebdfp-2, -0x1.84ba261a0919bp-2, -0x1.8488d6f25b978p-2, -0x1.844252b346b7fp-2, -0x1.83e6c999d10ebp-2, -0x1.8376700bee746p-2, -0x1.82f17e59ec949p-2, -0x1.8258308247a6fp-2, -0x1.81aac5f7d54ap-2, -0x1.80e9816a3459fp-2, -0x1.8014a890742p-2, -0x1.7f2c83f5db8cp-2, -0x1.7e315ec8bbcbep-2, -0x1.7d2386ab44945p-2, -0x1.7c034b863c324p-2, -0x1.7ad0ff5d9147fp-2, -0x1.798cf626aa809p-2, -0x1.783785a06bddfp-2, -0x1.76d1052cd8203p-2, -0x1.7559cdac3dffcp-2, -0x1.73d23959e408ap-2, -0x1.723aa3aa1fbd6p-2, -0x1.70936929c4a72p-2, -0x1.6edce75ee59b6p-2, -0x1.6d177caad1c9bp-2, -0x1.6b43882d3f7d8p-2, -0x1.696169a89f4e5p-2, -0x1.6771816782302p-2, -0x1.657430230b5b2p-2, -0x1.6369d6ea63eddp-2, -0x1.6152d70b2153ep-2, -0x1.5f2f91fa992c1p-2, -0x1.5d006940150abp-2, -0x1.5ac5be5fe455ap-2, -0x1.587ff2c73950fp-2, -0x1.562f67b8d4e1p-2, -0x1.53d47e3a73d01p-2, -0x1.516f9702f5acdp-2, -0x1.4f0112693c60ep-2, -0x1.4c895053b9f0dp-2, -0x1.4a08b028a9c2p-2, -0x1.477f90beee5dbp-2, -0x1.44ee504f910ccp-2, -0x1.42554c67db623p-2, -0x1.3fb4e1dc0dc8p-2, -0x1.3d0d6cbaa2586p-2, -0x1.3a5f48402a162p-2, -0x1.37aacecbad34fp-2, -0x1.34f059d39e461p-2, -0x1.323041db4c101p-2, -0x1.2f6ade68dd7e9p-2, -0x1.2ca085fbcc3cfp-2, -0x1.29d18e03da759p-2, -0x1.26fe4ad88ba14p-2, -0x1.24270fb10d0c4p-2, -0x1.214c2e9c9ec7cp-2, -0x1.1e6df87b68cc8p-2, -0x1.1b8cbcf7c82e4p-2, -0x1.18a8ca8008101p-2, -0x1.15c26e408ba01p-2, -0x1.12d9f41e5fdeap-2, -0x1.0fefa6b23a778p-2, -0x1.0d03cf43ddc2fp-2, -0x1.0a16b5c5df4bp-2, -0x1.0728a0d1d84fp-2, -0x1.0439d5a4edcbfp-2, -0x1.014a981cc0c1bp-2, -0x1.fcb65569616b2p-3, -0x1.f6d79d0704f7cp-3, -0x1.f0f98672b0bd8p-3, -0x1.eb1c8e3c0474ep-3, -0x1.e5412e1f487d1p-3, -0x1.df67dd03554b8p-3, -0x1.d9910ef81f592p-3, -0x1.d3bd3535e326p-3, -0x1.cdecbe1cd9939p-3, -0x1.c82015358e189p-3, -0x1.c257a331b7233p-3, -0x1.bc93cdeda07f3p-3, -0x1.b6d4f87210002p-3, -0x1.b11b82f6b8aabp-3, -0x1.ab67cae51cb2ap-3, -0x1.a5ba2adbf1a79p-3, -0x1.a012fab2eff15p-3, -0x1.9a728f7f1bafap-3, -0x1.94d93b9769f55p-3, -0x1.8f474e99dbe1dp-3, -0x1.89bd1570f0cf4p-3, -0x1.843ada597da8dp-3, -0x1.7ec0e4e8da74p-3, -0x1.794f7a13652cbp-3, -0x1.73e6dc335912cp-3, -0x1.6e874b0ff0bb7p-3, -0x1.693103e4d4a9ep-3, -0x1.63e44169cda2p-3, -0x1.5ea13bdab48e9p-3, -0x1.596828ffa9a62p-3, -0x1.54393c357e955p-3, -0x1.4f14a676556fp-3, -0x1.49fa96627b6d2p-3, -0x1.44eb384965ffep-3, -0x1.3fe6b632e6655p-3, -0x1.3aed37e87dcd2p-3, -0x1.35fee2fedad3dp-3, -0x1.311bdadf77896p-3, -0x1.2c4440d251db9p-3, -0x1.27783407c3aa8p-3, -0x1.22b7d1a26ff97p-3, -0x1.1e0334c1461dap-3, -0x1.195a768996841p-3, -0x1.14bdae31382ep-3, -0x1.102cf108b6f96p-3, -0x1.0ba852858ffbfp-3, -0x1.072fe44c71631p-3, -0x1.02c3b63b823e4p-3, -0x1.fcc7ace95655cp-4, -0x1.f420a2cfba7b1p-4, -0x1.eb9263bab398dp-4, -0x1.e31d01ffe9e5cp-4, -0x1.dac08ccea216bp-4, -0x1.d27d104420f8bp-4, -0x1.ca52957ffbb0fp-4, -0x1.c24122b85827cp-4, -0x1.ba48bb4dffb5fp-4, -0x1.b2695fe069066p-4, -0x1.aaa30e6184655p-4, -0x1.a2f5c22981059p-4, -0x1.9b61740a4daa9p-4, -0x1.93e61a6302ccfp-4, -0x1.8c83a93310686p-4, -0x1.853a122d45f64p-4, -0x1.7e0944caa10f4p-4, -0x1.76f12e5ceb7dfp-4, -0x1.6ff1ba211f9ebp-4, -0x1.690ad15194735p-4, -0x1.623c5b37ef4f1p-4, -0x1.5b863d3ed8fe2p-4, -0x1.54e85b0375e1fp-4, -0x1.4e6296669cf57p-4, -0x1.47f4cf9dcf504p-4, -0x1.419ee543ee0aep-4, -0x1.3b60b469ac681p-4, -0x1.353a18a5bc814p-4, -0x1.2f2aec24ba271p-4, -0x1.293307b8cced8p-4, -0x1.235242e905417p-4, -0x1.1d8874007299p-4, -0x1.17d5701cf0a22p-4, -0x1.12390b3dae99p-4, -0x1.0cb318516afa5p-4, -0x1.07436944692ffp-4, -0x1.01e9cf0e1c4d3p-4, -0x1.f94c337d15c9bp-5, -0x1.eef03116cd0cdp-5, -0x1.e4bf33b9bc888p-5, -0x1.dab8d6b448b3cp-5, -0x1.d0dcb3eb58702p-5, -0x1.c72a63f241ef1p-5, -0x1.bda17e2222c28p-5, -0x1.b44198b0aa7d1p-5, -0x1.ab0a48c65401cp-5, -0x1.a1fb229411097p-5, -0x1.9913b96865c05p-5, -0x1.90539fc3fcedep-5, -0x1.87ba676da63a4p-5, -0x1.7f47a185d56f6p-5, -0x1.76fade998fb69p-5, -0x1.6ed3aeb4d48acp-5, -0x1.66d1a174809d4p-5, -0x1.5ef44617a8372p-5, -0x1.573b2b9071e1ap-5, -0x1.4fa5e0946b01ep-5, -0x1.4833f3ac5e244p-5, -0x1.40e4f343aa443p-5, -0x1.39b86db71cd1fp-5, -0x1.32adf1634f2bp-5, -0x1.2bc50cb28c185p-5, -0x1.24fd4e2a3a80bp-5, -0x1.1e564477d784fp-5, -0x1.17cf7e7d77387p-5, -0x1.11688b5dd51d4p-5, -0x1.0b20fa87f355p-5, -0x1.04f85bc24e276p-5, -0x1.fddc7e6b3de41p-6, -0x1.f2046aee70b63p-6, -0x1.e6679f25f138ap-6, -0x1.db053e29a96dep-6, -0x1.cfdc6c23fd59fp-6, -0x1.c4ec4e635b925p-6, -0x1.ba340b6afb671p-6, -0x1.afb2cb02f2294p-6, -0x1.a567b6477babap-6, -0x1.9b51f7b7a0e9fp-6, -0x1.9170bb431d2cap-6, -0x1.87c32e57a09fdp-6, -0x1.7e487fed63b1ap-6, -0x1.74ffe0931cd0fp-6, -0x1.6be882794c952p-6, -0x1.6301997cec455p-6, -0x1.5a4a5b318cd3p-6, -0x1.51c1feead8339p-6, -0x1.4967bdc57e3fep-6, -0x1.413ad2af9a785p-6, -0x1.393a7a708dbfdp-6, -0x1.3165f3b04d77p-6, -0x1.29bc7efe311cp-6, -0x1.223d5ed7462eap-6, -0x1.1ae7d7ac1f13fp-6, -0x1.13bb2fe62e935p-6, -0x1.0cb6afecaf372p-6, -0x1.05d9a2291529bp-6, -0x1.fe46a61631419p-7, -0x1.f1262218958aap-7, -0x1.e4505966a549fp-7, -0x1.d7c3f12d6d786p-7, -0x1.cb7f92be9a43dp-7, -0x1.bf81eb9497ff2p-7, -0x1.b3c9ad5606f77p-7, -0x1.a8558dd8741a6p-7, -0x1.9d24472263191p-7, -0x1.9234976cca65cp-7, -0x1.87854123e2163p-7, -0x1.7d150ae757f65p-7, -0x1.72e2bf89f9aebp-7, -0x1.68ed2e10cc8cfp-7, -0x1.5f3329b19cc85p-7, -0x1.55b389d10f84bp-7, -0x1.4c6d2a002f22p-7, -0x1.435ee9f9810bap-7, -0x1.3a87ad9dae096p-7, -0x1.31e65cefb283bp-7, -0x1.2979e410a1fddp-7, -0x1.2141333b1b53cp-7, -0x1.193b3ebe3cc1dp-7, -0x1.1166fef84bc88p-7, -0x1.09c37050fded9p-7, -0x1.024f933379256p-7, -0x1.f614d80fec2b6p-8, -0x1.e7e6065a3011ap-8, -0x1.da10c9e1f7644p-8, -0x1.cc934314109b5p-8, -0x1.bf6b9a1ef1626p-8, -0x1.b297fee3474p-8, -0x1.a616a8e427b14p-8, -0x1.99e5d736bdf31p-8, -0x1.8e03d071932e6p-8, -0x1.826ee29b7f1a8p-8, -0x1.7725631a3db4fp-8, -0x1.6c25aea0acdf1p-8, -0x1.616e291cacd0ep-8, -0x1.56fd3da4c8401p-8, -0x1.4cd15e658fafap-8, -0x1.42e9048ebb533p-8, -0x1.3942b04019709p-8, -0x1.2fdce87630792p-8, -0x1.26b63af6c3052p-8, -0x1.1dcd3c3d2ab6bp-8, -0x1.1520876671875p-8, -0x1.0caebe1d83029p-8, -0x1.04768886fa6cp-8, -0x1.f8ed2a5a0a52cp-9, -0x1.e95b31d62986fp-9, -0x1.da349db319eabp-9, -0x1.cb76f072bee08p-9, -0x1.bd1fb8bf47edcp-9, -0x1.af2c91423ce97p-9, -0x1.a19b207b6aa46p-9, -0x1.94691897f78a1p-9, -0x1.879437497841p-9, -0x1.7b1a459cd982dp-9, -0x1.6ef917d1be7bap-9, -0x1.632e8d317f765p-9, -0x1.57b88fe67878fp-9, -0x1.4c9514d3884b2p-9, -0x1.41c21b6b81696p-9, -0x1.373dad88ef6ap-9, -0x1.2d05df45f0a5fp-9, -0x1.2318ced44b8ddp-9, -0x1.1974a455a1452p-9, -0x1.101791b3dd99dp-9, -0x1.06ffd279f26b9p-9, -0x1.fc5757598eda5p-10, -0x1.eb32d748bc82ep-10, -0x1.da8ed3caea831p-10, -0x1.ca680df601358p-10, -0x1.babb58a0a621p-10, -0x1.ab859816d34a5p-10, -0x1.9cc3c1cef5a22p-10, -0x1.8e72dc200e674p-10, -0x1.808ffdf80192bp-10, -0x1.73184e92f4bb2p-10, -0x1.66090532fcc8ap-10, -0x1.595f68d8ba593p-10, -0x1.4d18cffc97263p-10, -0x1.4132a048d955ap-10, -0x1.35aa4e544027ap-10, -0x1.2a7d5d5d9f17ap-10, -0x1.1fa95f07d0cfep-10, -0x1.152bf316b9746p-10, -0x1.0b02c72d13974p-10, -0x1.012b968ac3455p-10, -0x1.ef4853983be9cp-11, -0x1.dcd4ad5445e4ap-11, -0x1.caf7ff7609f4dp-11, -0x1.b9ae2867b64e6p-11, -0x1.a8f31f5626229p-11, -0x1.98c2f3b6fd4edp-11, -0x1.8919ccd0962b9p-11, -0x1.79f3e943c4a0dp-11, -0x1.6b4d9e9715c91p-11, -0x1.5d2358c3390abp-11, -0x1.4f7199c181584p-11, -0x1.4234f91bac471p-11, -0x1.356a237d68948p-11, -0x1.290dda47be1a4p-11, -0x1.1d1cf3256d3bfp-11, -0x1.119457a16db0ap-11, -0x1.067104beb2757p-11, -0x1.f7601523564f2p-12, -0x1.e29d17b68773dp-12, -0x1.ce937b4a978ebp-12, -0x1.bb3dcdc18ad1p-12, -0x1.a896c00ab60c3p-12, -0x1.96992565d1a37p-12, -0x1.853ff2a7cdf27p-12, -0x1.74863d83e091ap-12, -0x1.64673bd60f0e9p-12, -0x1.54de42f2a78d5p-12, -0x1.45e6c6f6ba913p-12, -0x1.377c5a1d49094p-12, -0x1.299aac1630375p-12, -0x1.1c3d89605976p-12, -0x1.0f60daa6ed75ap-12, -0x1.0300a420e4c1fp-12, -0x1.ee3209e852527p-13, -0x1.d74c6d34c8a8fp-13, -0x1.c1491893bf36bp-13, -0x1.ac20e4c02dc85p-13, -0x1.97ccdb9ef388p-13, -0x1.8446371f8e4f5p-13, -0x1.7186602288bcap-13, -0x1.5f86ed631a247p-13, -0x1.4e41a2695b5ccp-13, -0x1.3db06e7d828bbp-13, -0x1.2dcd6ba49fce3p-13, -0x1.1e92dd9ddf2cdp-13, -0x1.0ffb30e87d259p-13, -0x1.0200f9cbaf1b7p-13, -0x1.e93de6cbc7276p-14, -0x1.cf9ffd7bf94eep-14, -0x1.b71e43b7977c3p-14, -0x1.9faf0dc66ccf3p-14, -0x1.8948f6698f2aap-14, -0x1.73e2dd25d5ff4p-14, -0x1.5f73e4963c401p-14, -0x1.4bf370c61b7bbp-14, -0x1.39592597384cap-14, -0x1.279ce52beeca1p-14, -0x1.16b6ce5d9f76p-14, -0x1.069f3b3788e97p-14, -0x1.ee9d7efa1f2adp-15, -0x1.d17c4e6b3dd69p-15, -0x1.b5ccea84584e4p-15, -0x1.9b81c3f10a9c8p-15, -0x1.828db38e64ab4p-15, -0x1.6ae3f7c39681p-15, -0x1.547831e528d98p-15, -0x1.3f3e63a847e03p-15, -0x1.2b2aeca6a4442p-15, -0x1.183287eb338e4p-15, -0x1.064a499089252p-15, -0x1.eacf38daa3617p-16, -0x1.cb007f9073226p-16, -0x1.ad148a435bc75p-16, -0x1.90f81c0478b3ep-16, -0x1.769893b65deccp-16, -0x1.5de3e7dd5bc25p-16, -0x1.46c8a291c0282p-16, -0x1.3135dd7f6d6afp-16, -0x1.1d1b3e08de112p-16, -0x1.0a68f173b37cdp-16, -0x1.f21f526721a95p-17, -0x1.d2012e9d31dcep-17, -0x1.b45ad59f106bcp-17, -0x1.991098a652436p-17, -0x1.8007b549c5197p-17, -0x1.69264ee7a0143p-17, -0x1.5453682def6f2p-17, -0x1.4176dce1b260ap-17, -0x1.30795badcb303p-17, -0x1.21446029517f9p-17, -0x1.13c22d07cba55p-17, -0x1.07ddc65fc0f89p-17, -0x1.fb05d83bd8d22p-18, -0x1.e93c293b71fc6p-18, -0x1.da38ce9fdef5bp-18, -0x1.cdd76f386b78ep-18, -0x1.c3f4ffaca3657p-18, -0x1.bc6fb8ae244b3p-18, -0x1.b7270d5d6c571p-18, -0x1.b3fba1f9d3385p-18, -0x1.b2cf42daa9102p-18, -0x1.b384db79eaabfp-18, -0x1.b6006de50f58dp-18, -0x1.ba270a477c4f8p-18, -0x1.bfdec6b3793d4p-18, -0x1.c70eb72b8133p-18, -0x1.cf9ee5d6d0c78p-18, -0x1.d9784b6ac7febp-18, -0x1.e484c7ccb8476p-18, -0x1.f0af1ad8f2dd5p-18, -0x1.fde2dd7c96f27p-18, -0x1.06063d64d318dp-17, -0x1.0d8c94b245dbdp-17, -0x1.157b7281bdbfep-17, -0x1.1dca34110a971p-17, -0x1.267092fc60d16p-17, -0x1.2f66a23c0909fp-17, -0x1.38a4cb41726e3p-17, -0x1.4223cb2380c26p-17, -0x1.4bdcafe5403f5p-17, -0x1.55c8d5cd4286dp-17, -0x1.5fe1e4cf787b9p-17, -0x1.6a21ce0359722p-17, -0x1.7482c93330ba4p-17, -0x1.7eff5279bbb87p-17, -0x1.899227f40e97bp-17, -0x1.9436478160a0ep-17, -0x1.9ee6ec9280698p-17, -0x1.a99f8e0a807edp-17, -0x1.b45bdc3129c7ep-17, -0x1.bf17beb1deda2p-17, -0x1.c9cf52a817af4p-17, -0x1.d47ee8c10dda6p-17, -0x1.df23035e40e91p-17, -0x1.e9b854d1a2192p-17, -0x1.f43bbda26cde7p-17, -0x1.feaa4ae223316p-17, -0x1.04809a43ca1c6p-16, -0x1.099eedef68937p-16, -0x1.0eaee4ff09b6p-16, -0x1.13af5725c04cap-16, -0x1.189f2e85cd8a9p-16, -0x1.1d7d66fcbfed1p-16, -0x1.22490d77d899cp-16, -0x1.27013f4993209p-16, -0x1.2ba5298942593p-16, -0x1.30340872d9ecp-16, -0x1.34ad26ced48fcp-16, -0x1.390fdd5d54c5ep-16, -0x1.3d5b92479c54fp-16, -0x1.418fb8932892dp-16, -0x1.45abcf9ccbae3p-16, -0x1.49af629728d27p-16, -0x1.4d9a0808fdda1p-16, -0x1.516b61557c58dp-16, -0x1.55231a44d73efp-16, -0x1.58c0e892ae2b2p-16, -0x1.5c448b7e567a8p-16, -0x1.5fadcb60ca8a1p-16, -0x1.62fc7945d2c0cp-16, -0x1.66306e85fa85p-16, -0x1.69498c66a8c62p-16, -0x1.6c47bbbd06efep-16, -0x1.6f2aec933d394p-16, -0x1.71f315d1d5146p-16, -0x1.74a034e9f259cp-16, -0x1.77324d85eeb7ap-16, -0x1.79a9693979e96p-16, -0x1.7c059735be323p-16, -0x1.7e46ec005f813p-16, -0x1.806d812d5992ep-16, -0x1.8279751b3c138p-16, -0x1.846aeaaf9b5b8p-16, -0x1.86420919ae1dbp-16, -0x1.87fefb9439197p-16, -0x1.89a1f12afe154p-16, -0x1.8b2b1c820abf8p-16, -0x1.8c9ab39fad9fep-16, -0x1.8df0efb7bad24p-16, -0x1.8f2e0cf81f1a8p-16, -0x1.90524a596e95fp-16, -0x1.915de96f00dap-16, -0x1.92512e3b2d70dp-16, -0x1.932c5f035191bp-16, -0x1.93efc426ae5a6p-16, -0x1.949ba7f625b11p-16, -0x1.9530568db305ap-16, -0x1.95ae1daee8ecfp-16, -0x1.96154c9e9c434p-16, -0x1.96663402f93b7p-16, -0x1.96a125c3159ep-16, -0x1.96c674e77f3afp-16, -0x1.96d6757c645ep-16, -0x1.96d17c757035cp-16, -0x1.96b7df91ab8d7p-16, -0x1.9689f541caa98p-16, -0x1.9648148eedb6ep-16, -0x1.95f29502f7a18p-16, -0x1.9589ce91ac84ap-16, -0x1.950e198284f82p-16, -0x1.947fce5b12345p-16, -0x1.93df45cca83c9p-16, -0x1.932cd8a12fde9p-16, -0x1.9268dfa8bf92p-16, -0x1.9193b3a78e6aep-16, -0x1.90adad474a9e9p-16, -0x1.8fb72506fc37fp-16, -0x1.8eb0732bd64dbp-16, -0x1.8d99efb3ed2bcp-16, -0x1.8c73f2489bc81p-16, -0x1.8b3ed231e56b2p-16, -0x1.89fae64a7697ap-16, -0x1.88a884f4b70b6p-16, -0x1.8748040ea023dp-16, -0x1.85d9b8ea40223p-16, -0x1.845df8438a68p-16, -0x1.82d5163766322p-16, -0x1.813f663a8a2a9p-16, -0x1.7f9d3b123c33fp-16, -0x1.7deee6ce2f476p-16, -0x1.7c34bac02dd44p-16, -0x1.7a6f0776ac7adp-16, -0x1.789e1cb6670fep-16, -0x1.76c249755eb5p-16, -0x1.74dbdbd4da4c7p-16, -0x1.72eb211dc09b5p-16, -0x1.70f065bb15666p-16, -0x1.6eebf536ff13ap-16, -0x1.6cde1a37ce74cp-16, -0x1.6ac71e7c8fad7p-16, -0x1.68a74ad90afaep-16, -0x1.667ee73318288p-16, -0x1.644e3a81a25bap-16, -0x1.62158aca0656fp-16, -0x1.5fd51d1e0c623p-16, -0x1.5d8d359b56033p-16, -0x1.5b3e1768d9cc3p-16, -0x1.58e804b6fbdbap-16, -0x1.568b3ebd314bep-16, -0x1.542805baa5365p-16, -0x1.51be98f4c148p-16, -0x1.4f4f36b805edap-16, -0x1.4cda1c584ec82p-16, -0x1.4a5f863084d9fp-16, -0x1.47dfafa2e74e9p-16, -0x1.455ad318f9769p-16, -0x1.42d12a04c4e0cp-16, -0x1.4042ece1ff58cp-16, -0x1.3db0533606944p-16, -0x1.3b199391f3fcp-16, -0x1.387ee392e62b5p-16, -0x1.35e077e3ec5f2p-16, -0x1.333e843edb07cp-16, -0x1.30993b6d3c751p-16, -0x1.2df0cf4b3ccb8p-16, -0x1.2b4570c82c711p-16, -0x1.28974fe97bdc6p-16, -0x1.25e69bcbdbcfep-16, -0x1.233382a5562e3p-16, -0x1.207e31c6fb706p-16, -0x1.1dc6d59ed4915p-16, -0x1.1b0d99ba6686bp-16, -0x1.1852a8c8fd869p-16, -0x1.15962c9d4708ap-16, -0x1.12d84e307c6cbp-16, -0x1.101935a3735bp-16, -0x1.0d590a42755a8p-16, -0x1.0a97f28594d7dp-16, -0x1.07d6141468a13p-16, -0x1.051393c862b3p-16, -0x1.025095aef6bcbp-16, -0x1.ff1a7a1934867p-17, -0x1.f99358be046a1p-17, -0x1.f40c0abf37293p-17, -0x1.ee84d20c6a44fp-17, -0x1.e8fdef1580915p-17, -0x1.e377a0d23bc3p-17, -0x1.ddf224c65b5bfp-17, -0x1.d86db705bb978p-17, -0x1.d2ea923af5a7p-17, -0x1.cd68efab75f83p-17, -0x1.c7e9073d94fa1p-17, -0x1.c26b0f7c3b895p-17, -0x1.bcef3d9c3a97ep-17, -0x1.b775c582fe256p-17, -0x1.b1fed9ca038dfp-17, -0x1.ac8aabc56428ap-17, -0x1.a7196b87d5f01p-17, -0x1.a1ab47e810223p-17, -0x1.9c406e8628ab2p-17, -0x1.96d90bcf4fa0ep-17, -0x1.91754b03c6e29p-17, -0x1.8c15563c3b305p-17, -0x1.86b9566d9f5bdp-17, -0x1.8161736e3ec2bp-17, -0x1.7c0dd3fbaad69p-17, -0x1.76be9dbdd0ddep-17, -0x1.7173f54d480aap-17, -0x1.6c2dfe35c5d21p-17, -0x1.66ecdafcdf4eap-17, -0x1.61b0ad25e752p-17, -0x1.5c79953655607p-17, -0x1.5747b2bb0a9bbp-17, -0x1.521b244c5df31p-17, -0x1.4cf407921290fp-17, -0x1.47d27948931dep-17, -0x1.42b69544cd5f7p-17, -0x1.3da07677c098cp-17, -0x1.389036f45e64p-17, -0x1.3385eff27580cp-17, -0x1.2e81b9d2f8619p-17, -0x1.2983ac24811f4p-17, -0x1.248bdda76d391p-17, -0x1.1f9a6451229a5p-17, -0x1.1aaf554fd4e2dp-17, -0x1.15cac50f26514p-17, -0x1.10ecc73c0eap-17, -0x1.0c156ec7f2a4ep-17, -0x1.0744cdec9b771p-17, -0x1.027af630750fcp-17, -0x1.fb6ff0d30fe0fp-18, -0x1.f1f7c98116485p-18, -0x1.e88d956c5861ap-18, -0x1.df317248c86cfp-18, -0x1.d5e37c85d7c58p-18, -0x1.cca3cf5626eaep-18, -0x1.c37284b34e3f6p-18, -0x1.ba4fb566b050dp-18, -0x1.b13b790f5d4a5p-18, -0x1.a835e6284cde5p-18, -0x1.9f3f120dbe002p-18, -0x1.9657110328bebp-18, -0x1.8d7df63ac7f8ap-18, -0x1.84b3d3daeaf6p-18, -0x1.7bf8bb02adab2p-18, -0x1.734cbbd136e85p-18, -0x1.6aafe56a688acp-18, -0x1.622245fca00e4p-18, -0x1.59a3eac506795p-18, -0x1.5134e0177bc6dp-18, -0x1.48d53161ef84cp-18, -0x1.4084e93106115p-18, -0x1.3844113679249p-18, -0x1.3012b24daf375p-18, -0x1.27f0d47f292cfp-18, -0x1.1fde7f07d94c3p-18, -0x1.17dbb85c30a43p-18, -0x1.0fe8862d0445bp-18, -0x1.0804ed6b748fp-18, -0x1.0030f24dcca1ap-18, -0x1.f0d930aae5063p-19, -0x1.e16fc4a2aed69p-19, -0x1.d225a4c44752bp-19, -0x1.c2fad3fee1c91p-19, -0x1.b3ef53f56e717p-19, -0x1.a5032507ccb04p-19, -0x1.96364659ba037p-19, -0x1.8788b5dc0cebbp-19, -0x1.78fa705402f66p-19, -0x1.6a8b71607ebddp-19, -0x1.5c3bb384088cfp-19, -0x1.4e0b302922e78p-19, -0x1.3ff9dfa9e00fap-19, -0x1.3207b95817cc4p-19, -0x1.2434b384a1d98p-19, -0x1.1680c381e2767p-19, -0x1.08ebddaf72bb7p-19, -0x1.f6ebeaf4ca66fp-20, -0x1.dc3dfad366b15p-20, -0x1.c1cdce43e6057p-20, -0x1.a79b46d4d37d1p-20, -0x1.8da64463fb1fp-20, -0x1.73eea52d6a40ap-20, -0x1.5a7445d3bea9dp-20, -0x1.4137016d24c2bp-20, -0x1.2836b18c7c01bp-20, -0x1.0f732e5047297p-20, -0x1.edd89cd19fa96p-21, -0x1.bd43ce437c5ecp-21, -0x1.8d2798e2f1d81p-21, -0x1.5d83a1edb4a04p-21, -0x1.2e578c1c03a02p-21, -0x1.ff45ef567dbd1p-22, -0x1.a2cb04e9e24f8p-22, -0x1.473d8fe5d9cdp-22, -0x1.d939859200c7dp-23, -0x1.25cf971f5d913p-23, -0x1.d0eea02e569ecp-25, 0x1.dc1fe27e769edp-26, 0x1.d2e22556b878ap-24, 0x1.958d5f9dc5c2dp-23, 0x1.1fed57a688cefp-22, 0x1.742d6a9a905f5p-22, 0x1.c787d5f5770b3p-22, 0x1.0cfec5393dbb5p-21, 0x1.35c7be0e4a7f2p-21, 0x1.5e1f511486015p-21, 0x1.8605fb79f93d3p-21, 0x1.ad7c3be930e6ep-21, 0x1.d482928323e6dp-21, 0x1.fb1980d5101fcp-21, 0x1.10a0c4e29fd84p-20, 0x1.237d98c1844fap-20, 0x1.36237ec0f05a7p-20, 0x1.4892ba382b844p-20, 0x1.5acb8f125b37ep-20, 0x1.6cce41ce11c2dp-20, 0x1.7e9b176f09e09p-20, 0x1.9032557cf2e65p-20, 0x1.a1944202474ecp-20, 0x1.b2c1238569e8ep-20, 0x1.c3b9410313adfp-20, 0x1.d47ce1e8a83a7p-20, 0x1.e50c4e10e5412p-20, 0x1.f567cdbd8c61fp-20, 0x1.02c7d4c963dcep-19, 0x1.0ac215479dcb5p-19, 0x1.12a2cd0683c93p-19, 0x1.1a6a20dead335p-19, 0x1.221835d0f7fa6p-19, 0x1.29ad3105710d4p-19, 0x1.312937c937a0fp-19, 0x1.388c6f8ad62b6p-19, 0x1.3fd6fdd8fc1cbp-19, 0x1.470908621212fp-19, 0x1.4e22b4f1dc913p-19, 0x1.5524296ff5bc5p-19, 0x1.5c0d8bdb3b23ap-19, 0x1.62df02489d61ep-19, 0x1.6998b2e42f0dp-19, 0x1.703ac3eeba2b7p-19, 0x1.76c55bbbf9f3ap-19, 0x1.7d38a0b045956p-19, 0x1.8394b9401852cp-19, 0x1.89d9cbed74ce1p-19, 0x1.9007ff4814e28p-19, 0x1.961f79e796569p-19, 0x1.9c20626d1d5e7p-19, 0x1.a20adf823d06bp-19, 0x1.a7df17d8c479fp-19, 0x1.ad9d32266cc66p-19, 0x1.b3455525e3c46p-19, 0x1.b8d7a794cdebbp-19, 0x1.be545031bae62p-19, 0x1.c3bb75baa5a39p-19, 0x1.c90d3eed2dff2p-19, 0x1.ce49d2862aa4bp-19, 0x1.d371573f61afdp-19, 0x1.d883f3cd7b843p-19, 0x1.dd81cedc5cefap-19, 0x1.e26b0f131c01bp-19, 0x1.e73fdb1239cbp-19, 0x1.ec005971aa8a1p-19, 0x1.f0acb0bf5ef81p-19, 0x1.f545077faae4ep-19, 0x1.f9c9842a1f52cp-19, 0x1.fe3a4d2b39144p-19, 0x1.014bc4713cd8p-18, 0x1.0370aece705f2p-18, 0x1.058bf8cd22ca6p-18, 0x1.079db5852515fp-18, 0x1.09a5f806849b1p-18, 0x1.0ba4d357ace36p-18, 0x1.0d9a5a76772c3p-18, 0x1.0f86a05678e71p-18, 0x1.1169b7e15b58fp-18, 0x1.1343b3f610664p-18, 0x1.1514a7692502p-18, 0x1.16dca5047f769p-18, 0x1.189bbf866f4cfp-18, 0x1.1a5209a136d62p-18, 0x1.1bff95f9657d4p-18, 0x1.1da47727e411bp-18, 0x1.1f40bfb91d784p-18, 0x1.20d4822ce18eep-18, 0x1.225fd0f4bf345p-18, 0x1.23e2be757255cp-18, 0x1.255d5d04e6a1p-18, 0x1.26cfbeeb8e395p-18, 0x1.2839f6636d028p-18, 0x1.299c1596bf53ap-18, 0x1.2af62e9fecff1p-18, 0x1.2c48538aff71bp-18, 0x1.2d929654c3c31p-18, 0x1.2ed508e98a323p-18, 0x1.300fbd2622a32p-18, 0x1.3142c4d6cc87cp-18, 0x1.326e31b73a55ap-18, 0x1.339215721b0f1p-18, 0x1.34ae81a156374p-18, 0x1.35c387ce02053p-18, 0x1.36d1396fd7e2fp-18, 0x1.37d7a7ed582b6p-18, 0x1.38d6e49ad4e0fp-18, 0x1.39cf00b94bf96p-18, 0x1.3ac00d78743b4p-18, 0x1.3baa1bf642752p-18, 0x1.3c8d3d3e660e5p-18, 0x1.3d6982494b62cp-18, 0x1.3e3efbfd4a66fp-18, 0x1.3f0dbb2d10409p-18, 0x1.3fd5d09903d0dp-18, 0x1.40974cee1914ep-18, 0x1.415240c5fdd26p-18, 0x1.4206bca573e98p-18, 0x1.42b4d0fe65fb5p-18, 0x1.435c8e2f8160bp-18, 0x1.43fe04830ddep-18, 0x1.4499442f7fc48p-18, 0x1.452e5d5756837p-18, 0x1.45bd600877361p-18, 0x1.46465c3c803ap-18, 0x1.46c961d878313p-18, 0x1.474680ad07f0ep-18, 0x1.47bdc876979e1p-18, 0x1.482f48dc9d211p-18, 0x1.489b1171c0765p-18, 0x1.490131b39b68p-18, 0x1.4961b9099ff44p-18, 0x1.49bcb6c710fdfp-18, 0x1.4a123a2a6e705p-18, 0x1.4a62525cc522dp-18, 0x1.4aad0e71c272ap-18, 0x1.4af27d67d84a4p-18, 0x1.4b32ae27b8d52p-18, 0x1.4b6daf857422ap-18, 0x1.4ba3903ef1e26p-18, 0x1.4bd45efcd96adp-18, 0x1.4c002a5116b34p-18, 0x1.4c2700b85cd89p-18, 0x1.4c48f09a4211ep-18, 0x1.4c66084819b27p-18, 0x1.4c7e55fd57e3cp-18, 0x1.4c91e7e024a4bp-18, 0x1.4ca0cc0035cb1p-18, 0x1.4cab1057b9ebfp-18, 0x1.4cb0c2ca85a95p-18, 0x1.4cb1f12698dbap-18, 0x1.4caea92467345p-18, 0x1.4ca6f86624f6p-18, 0x1.4c9aec77fe021p-18, 0x1.4c8a92d047ff8p-18, 0x1.4c75f8cf307f6p-18, 0x1.4c5d2bbdaf343p-18, 0x1.4c4038cfc61e2p-18, 0x1.4c1f2d23b2046p-18, 0x1.4bfa15c0fe1bfp-18, 0x1.4bd0ff997f13dp-18, 0x1.4ba3f788ebe59p-18, 0x1.4b730a54c0b89p-18, 0x1.4b3e44acc8a87p-18, 0x1.4b05b32a9cee1p-18, 0x1.4ac962521e81dp-18, 0x1.4a895e90252a7p-18, 0x1.4a45b43bd8366p-18, 0x1.49fe6f9706aecp-18, 0x1.49b39cccf8b2ap-18, 0x1.496547f2fe23fp-18, 0x1.49137d08fc2ccp-18, 0x1.48be47f87359fp-18, 0x1.4865b4957202p-18, 0x1.4809ce9dab615p-18, 0x1.47aaa1b907b78p-18, 0x1.4748397a23ad5p-18, 0x1.46e2a15dae585p-18, 0x1.4679e4ca7a3c8p-18, 0x1.460e0f11abfd8p-18, 0x1.459f2b6f10433p-18, 0x1.452d45084ecb6p-18, 0x1.44b866ed5bafbp-18, 0x1.44409c193e90cp-18, 0x1.43c5ef7153c71p-18, 0x1.43486bc54f44ap-18, 0x1.42c81bcfe29abp-18, 0x1.42450a3614a5dp-18, 0x1.41bf4187d2d2bp-18, 0x1.4136cc3fd8e7fp-18, 0x1.40abb4c3a4eb2p-18, 0x1.401e0563c2a4cp-18, 0x1.3f8dc85b352bcp-18, 0x1.3efb07cfeb576p-18, 0x1.3e65cdd34eb53p-18, 0x1.3dce2461bea9dp-18, 0x1.3d341562a2e2cp-18, 0x1.3c97aaa8d5fcp-18, 0x1.3bf8edf2371b6p-18, 0x1.3b57e8e82ff7bp-18, 0x1.3ab4a51f91f82p-18, 0x1.3a0f2c187a894p-18, 0x1.3967873ec180ep-18, 0x1.38bdbfe9ed96fp-18, 0x1.3811df5cfff03p-18, 0x1.3763eec6be315p-18, 0x1.36b3f741ce2aap-18, 0x1.360201d4dd54fp-18, 0x1.354e17723830bp-18, 0x1.349840f867a5bp-18, 0x1.33e0873244093p-18, 0x1.3326f2d677bc8p-18, 0x1.326b8c880fddep-18, 0x1.31ae5cd6a8624p-18, 0x1.30ef6c3e0a5f2p-18, 0x1.302ec326a9b5ep-18, 0x1.2f6c69e56687fp-18, 0x1.2ea868bbfb9b3p-18, 0x1.2de2c7d8c189p-18, 0x1.2d1b8f56c4efap-18, 0x1.2c52c73e4feeep-18, 0x1.2b88778475225p-18, 0x1.2abca80b3922cp-18, 0x1.29ef60a1ecbdap-18, 0x1.2920a9053a37p-18, 0x1.285088df172a2p-18, 0x1.277f07c6bf596p-18, 0x1.26ac2d411211p-18, 0x1.25d800c03f24ap-18, 0x1.250289a49145ap-18, 0x1.242bcf3c0e52p-18, 0x1.2353d8c25dad2p-18, 0x1.227aad6121066p-18, 0x1.21a0542feedefp-18, 0x1.20c4d434b036bp-18, 0x1.1fe834636045bp-18, 0x1.1f0a7b9e38022p-18, 0x1.1e2bb0b65b5a2p-18, 0x1.1d4bda6b1a64bp-18, 0x1.1c6aff6a3037ap-18, 0x1.1b89265028a6p-18, 0x1.1aa655a851d6fp-18, 0x1.19c293ecd3e81p-18, 0x1.18dde786d4618p-18, 0x1.17f856ce950cdp-18, 0x1.1711e80b7361ap-18, 0x1.162aa174014f3p-18, 0x1.1542892e04156p-18, 0x1.1459a54ee4639p-18, 0x1.136ffbdbebbd9p-18, 0x1.128592c989b58p-18, 0x1.119a6ffbd1034p-18, 0x1.10ae994711b8bp-18, 0x1.0fc2146f4ee7ep-18, 0x1.0ed4e7287925bp-18, 0x1.0de71716d4dc6p-18, 0x1.0cf8a9ce9160fp-18, 0x1.0c09a4d448ecdp-18, 0x1.0b1a0d9d36839p-18, 0x1.0a29e98f0d4f7p-18, 0x1.09393dffe9eddp-18, 0x1.084810367c848p-18, 0x1.0756656a8467fp-18, 0x1.066442c4652c9p-18, 0x1.0571ad5d97593p-18, 0x1.047eaa40a944cp-18, 0x1.038b3e698c0b2p-18, 0x1.02976ec5aeef1p-18, 0x1.01a340334aeb6p-18, 0x1.00aeb7825fc43p-18, 0x1.ff73b2e8f14ccp-19, 0x1.fd895579364d3p-19, 0x1.fb9e5fff6338ep-19, 0x1.f9b2dba956419p-19, 0x1.f7c6d18887dap-19, 0x1.f5da4a92702abp-19, 0x1.f3ed4fa10e8ap-19, 0x1.f1ffe972995b5p-19, 0x1.f01220aaa8aa4p-19, 0x1.ee23fdd1df1f3p-19, 0x1.ec358955166f7p-19, 0x1.ea46cb86f0012p-19, 0x1.e857cc9f71312p-19, 0x1.e66894bc5f8e9p-19, 0x1.e4792be10cf9ap-19, 0x1.e28999f73e389p-19, 0x1.e099e6ceb437ep-19, 0x1.deaa1a1d71373p-19, 0x1.dcba3b80e115ep-19, 0x1.daca527cd960bp-19, 0x1.d8da667c3a26ap-19, 0x1.d6ea7ed0ee8c9p-19, 0x1.d4faa2b4372a5p-19, 0x1.d30ad94754ac7p-19, 0x1.d11b299284ffdp-19, 0x1.cf2b9a867bbefp-19, 0x1.cd3c32fc737d9p-19, 0x1.cb4cf9b5d7e42p-19, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.ac8c8c28d7c37p-8, 0x1.acb973a882291p-7, 0x1.41bec5aa48faep-6, 0x1.ad53d5805144ap-6, 0x1.0c8eaf5791dd6p-5, 0x1.42898851261d9p-5, 0x1.78916d7005b37p-5, 0x1.ae98b72c0ebb2p-5, 0x1.e48d882cb6a3cp-5, 0x1.0d2d27f98ee79p-4, 0x1.27f32d84e3c45p-4, 0x1.428b341081b6bp-4, 0x1.5ce69dedc8d43p-4, 0x1.76f6177039ecfp-4, 0x1.90a9d996556a5p-4, 0x1.a9f1e758e181ep-4, 0x1.c2be450f701fap-4, 0x1.daff29a803629p-4, 0x1.f2a529aa85166p-4, 0x1.04d0ae161937ap-3, 0x1.0ff2bcfaf5d8cp-3, 0x1.1ab1fb9ad9057p-3, 0x1.25080c10ad5cdp-3, 0x1.2eef007c23089p-3, 0x1.386160eab1895p-3, 0x1.415a2f61391p-3, 0x1.49d4ea3d8ef0bp-3, 0x1.51cd8d24c061fp-3, 0x1.594090b0251e5p-3, 0x1.602ae907c7cfdp-3, 0x1.668a039525773p-3, 0x1.6c5bc3f583952p-3, 0x1.719e804f5469ap-3, 0x1.7650fd2a7996ep-3, 0x1.7a7268e7b35fcp-3, 0x1.7e0256f00fb0ap-3, 0x1.8100bab235e52p-3, 0x1.836de280565cbp-3, 0x1.854a725ee86dp-3, 0x1.86975ed1ed38p-3, 0x1.8755e7b43f5dp-3, 0x1.87879322697c5p-3, 0x1.872e2880d205p-3, 0x1.864baba36c7aap-3, 0x1.84e2581bcbf7bp-3, 0x1.82f49cb13c304p-3, 0x1.808517058c69ap-3, 0x1.7d968f6844356p-3, 0x1.7a2bf4d951bc3p-3, 0x1.7648593b8df46p-3, 0x1.71eeedb6f9bd2p-3, 0x1.6d22ff4a2c68bp-3, 0x1.67e7f38a06374p-3, 0x1.6241458e7f35bp-3, 0x1.5c32830b3b74p-3, 0x1.55bf49924f13bp-3, 0x1.4eeb43ff9929p-3, 0x1.47ba280aff645p-3, 0x1.402fb3ffbf5a2p-3, 0x1.384fac972587ep-3, 0x1.301ddaf4d45ecp-3, 0x1.279e0ac2f8a2ap-3, 0x1.1ed4086ca61dep-3, 0x1.15c39f74d0d6fp-3, 0x1.0c7098e8439a7p-3, 0x1.02deb9e91ee5ep-3, 0x1.f22384a4d67d3p-4, 0x1.de1ad6e4d6dap-4, 0x1.c9aacdb4cb472p-4, 0x1.b4daba8562ecap-4, 0x1.9fb1db03d7c49p-4, 0x1.8a37572c7794ep-4, 0x1.74723f7f7aed9p-4, 0x1.5e698b5629029p-4, 0x1.48241756b60a6p-4, 0x1.31a8a4053727dp-4, 0x1.1afdd47037caep-4, 0x1.042a2cf793ae9p-4, 0x1.da682458a7615p-5, 0x1.ac438f90b299fp-5, 0x1.7df2df799ee1cp-5, 0x1.4f8212aca15cdp-5, 0x1.20fce0ebb5874p-5, 0x1.e4dd7376a56f6p-6, 0x1.87c58644aba8fp-6, 0x1.2ac7b11d1e60cp-6, 0x1.9bf227722e433p-7, 0x1.c5b8d409642edp-8, 0x1.53b01a7c3f99ap-10, -0x1.1a34d43e52e8dp-8, -0x1.43af7469dc737p-7, -0x1.f924ebd05f8a7p-7, -0x1.56abedd633ca5p-6, -0x1.b013458123e62p-6, -0x1.045c1f2a6477cp-5, -0x1.30459bc46b3f6p-5, -0x1.5bbe96e98236cp-5, -0x1.86bfdd756ca7ep-5, -0x1.b1428a7073144p-5, -0x1.db4006a5a50dbp-5, -0x1.025904124b042p-4, -0x1.16c948d7bdfacp-4, -0x1.2aedf90b4025ap-4, -0x1.3ec461c08fb01p-4, -0x1.5249f553376b8p-4, -0x1.657c4afa8cff2p-4, -0x1.78591e55f154dp-4, -0x1.8ade4ef1c109dp-4, -0x1.9d09dfc555ffdp-4, -0x1.aed9f6aa85b72p-4, -0x1.c04cdbcef0b7cp-4, -0x1.d160f91fa7ad3p-4, -0x1.e214d9af67a6fp-4, -0x1.f2672917d6de6p-4, -0x1.012b596b1b524p-3, -0x1.08f130d1e4e68p-3, -0x1.10849f65347c6p-3, -0x1.17e538babf674p-3, -0x1.1f129efffb8dap-3, -0x1.260c829f9f61cp-3, -0x1.2cd2a1e5ea783p-3, -0x1.3364c8a3dc8fep-3, -0x1.39c2cfd177307p-3, -0x1.3fec9d2f48537p-3, -0x1.45e222e74c2aep-3, -0x1.4ba35f2d62b6dp-3, -0x1.51305bdf68fe9p-3, -0x1.56892e252c78p-3, -0x1.5badf61048704p-3, -0x1.609ede3c1c16ap-3, -0x1.655c1b6df54d5p-3, -0x1.69e5ec3589c3dp-3, -0x1.6e3c988ddee59p-3, -0x1.7260717ebf66fp-3, -0x1.7651d0bed46d8p-3, -0x1.7a1118567d983p-3, -0x1.7d9eb2437fa7cp-3, -0x1.80fb101d9fc46p-3, -0x1.8426aabc45c43p-3, -0x1.872201dd2d5d1p-3, -0x1.89ed9bcc4b33cp-3, -0x1.8c8a050cea2d8p-3, -0x1.8ef7d00411bb4p-3, -0x1.913794a44f818p-3, -0x1.9349f01ae53e1p-3, -0x1.952f847e754eep-3, -0x1.96e8f87f2cf97p-3, -0x1.9876f7187eeabp-3, -0x1.99da2f447a405p-3, -0x1.9b1353b0c1a09p-3, -0x1.9c231a752888p-3, -0x1.9d0a3ccc0946ep-3, -0x1.9dc976cc491eep-3, -0x1.9e61872521615p-3, -0x1.9ed32edb9e988p-3, -0x1.9f1f3109f0201p-3, -0x1.9f4652a073f1bp-3, -0x1.9f495a28911dap-3, -0x1.9f290f8958253p-3, -0x1.9ee63bcdf03eap-3, -0x1.9e81a8edcee04p-3, -0x1.9dfc2196b369fp-3, -0x1.9d5670f874ffep-3, -0x1.9c9162928752bp-3, -0x1.9badc203535a6p-3, -0x1.9aac5ad93ff59p-3, -0x1.998df865830c8p-3, -0x1.98536590a297dp-3, -0x1.96fd6cb0b39d5p-3, -0x1.958cd7613afd6p-3, -0x1.94026e5cc44bep-3, -0x1.925ef95813704p-3, -0x1.90a33edefb9afp-3, -0x1.8ed00432cad8fp-3, -0x1.8ce60d2a45e16p-3, -0x1.8ae61c133339ap-3, -0x1.88d0f19563393p-3, -0x1.86a74c973cd6bp-3, -0x1.8469ea23b85fep-3, -0x1.82198551cba14p-3, -0x1.7fb6d72d3cef2p-3, -0x1.7d4296a0d0bfap-3, -0x1.7abd7861d012ep-3, -0x1.78282edcdd1c4p-3, -0x1.75836a240b9d4p-3, -0x1.72cfd7de3c11dp-3, -0x1.700e2337a4911p-3, -0x1.6d3ef4d391f15p-3, -0x1.6a62f2bf4427ap-3, -0x1.677ac065ec0bfp-3, -0x1.6486fe85c0d41p-3, -0x1.61884b261baedp-3, -0x1.5e7f418e9de4p-3, -0x1.5b6c7a3f4d3f9p-3, -0x1.58508ae9a969fp-3, -0x1.552c066aaa59dp-3, -0x1.51ff7cc5a6fcap-3, -0x1.4ecb7b2010bd5p-3, -0x1.4b908bbe0a10ap-3, -0x1.484f35ffc831ap-3, -0x1.4507fe5fb4a04p-3, -0x1.41bb667153a76p-3, -0x1.3e69ece0de54p-3, -0x1.3b140d73846dfp-3, -0x1.37ba410864845p-3, -0x1.345cfd9a12799p-3, -0x1.30fcb640c6f2p-3, -0x1.2d99db3517fa5p-3, -0x1.2a34d9d341ef8p-3, -0x1.26ce1c9ef295bp-3, -0x1.23660b47973edp-3, -0x1.1ffd0aad1fed9p-3, -0x1.1c937ce535b41p-3, -0x1.1929c140e1a87p-3, -0x1.15c0345293babp-3, -0x1.12572ff48cefcp-3, -0x1.0eef0b4fa97d2p-3, -0x1.0b881ae27a0eap-3, -0x1.0822b088b34p-3, -0x1.04bf1b82e2938p-3, -0x1.015da87e6f0e2p-3, -0x1.fbfd433bb5d63p-4, -0x1.f5449d027cf83p-4, -0x1.ee91e89dfbf0cp-4, -0x1.e7e5ab7969e88p-4, -0x1.e1406630949ccp-4, -0x1.daa294a2770f4p-4, -0x1.d40cae0401783p-4, -0x1.cd7f24f340375p-4, -0x1.c6fa678ab94e3p-4, -0x1.c07edf74fcdf2p-4, -0x1.ba0cf2006c353p-4, -0x1.b3a50033320e1p-4, -0x1.ad4766df48f73p-4, -0x1.a6f47eb6bbb89p-4, -0x1.a0ac9c5fe944p-4, -0x1.9a701089dbff1p-4, -0x1.943f2800ba073p-4, -0x1.8e1a2bc22caaep-4, -0x1.88016111d6d65p-4, -0x1.81f5098dbfb71p-4, -0x1.7bf56342b9804p-4, -0x1.7602a8c0bd47bp-4, -0x1.701d112f3495dp-4, -0x1.6a44d0612dadbp-4, -0x1.647a16e97b989p-4, -0x1.5ebd122eb7696p-4, -0x1.590dec7f22b5dp-4, -0x1.536ccd2468fd7p-4, -0x1.4dd9d8773b10bp-4, -0x1.48552ff2c0c64p-4, -0x1.42def247e0782p-4, -0x1.3d773b705b0c9p-4, -0x1.381e24c1b3652p-4, -0x1.32d3c4ffe67b7p-4, -0x1.2d98306fee2fcp-4, -0x1.286b78ea0d8e4p-4, -0x1.234dadebe46f4p-4, -0x1.1e3edcaa48dbfp-4, -0x1.193f1022e6bf8p-4, -0x1.144e512da070ap-4, -0x1.0f6ca68db0127p-4, -0x1.0a9a15028beaap-4, -0x1.05d69f588891cp-4, -0x1.012246793aed1p-4, -0x1.f8fa12f725d2cp-5, -0x1.efcdcb677470bp-5, -0x1.e6bfad8554cb9p-5, -0x1.ddcfad4af8695p-5, -0x1.d4fdbb88eef42p-5, -0x1.cc49c603b6bd2p-5, -0x1.c3b3b790bdb1cp-5, -0x1.bb3b7832d8645p-5, -0x1.b2e0ed363091cp-5, -0x1.aaa3f94ba1a24p-5, -0x1.a2847ca38b98ep-5, -0x1.9a825508161acp-5, -0x1.929d5df6ef2bep-5, -0x1.8ad570ba73aedp-5, -0x1.832a648251232p-5, -0x1.7b9c0e7b9aa69p-5, -0x1.742a41e85b6e2p-5, -0x1.6cd4d03694c42p-5, -0x1.659b8916b4eb1p-5, -0x1.5e7e3a918bd1bp-5, -0x1.577cb11db95f9p-5, -0x1.5096b7b48c346p-5, -0x1.49cc17e6675e1p-5, -0x1.431c99ee9af8dp-5, -0x1.3c8804c6c41fbp-5, -0x1.360e1e39a4598p-5, -0x1.2faeaaf57eefp-5, -0x1.29696e9df19bap-5, -0x1.233e2bdd5db56p-5, -0x1.1d2ca475c6b49p-5, -0x1.17349951418ccp-5, -0x1.1155ca91f1ac1p-5, -0x1.0b8ff7a17cc2dp-5, -0x1.05e2df401f8b3p-5, -0x1.004e3f9341173p-5, -0x1.f5a3ac674191bp-6, -0x1.eadac0761d8ebp-6, -0x1.e04134a36ca5cp-6, -0x1.d5d68176014fdp-6, -0x1.cb9a1ec41707bp-6, -0x1.c18b83cb76c6bp-6, -0x1.b7aa2748cf6fcp-6, -0x1.adf57f8e3a6abp-6, -0x1.a46d02990c1aep-6, -0x1.9b102626d573ep-6, -0x1.91de5fc9b1689p-6, -0x1.88d724fbe0524p-6, -0x1.7ff9eb329f03dp-6, -0x1.774627f054457p-6, -0x1.6ebb50d60ae09p-6, -0x1.6658dbb44a85ep-6, -0x1.5e1e3e9b40c84p-6, -0x1.560aefea57b8fp-6, -0x1.4e1e665f19c7bp-6, -0x1.465819237a1eep-6, -0x1.3eb77fdb9968dp-6, -0x1.373c12b2d9f4ap-6, -0x1.2fe54a6888318p-6, -0x1.28b2a05bd1213p-6, -0x1.21a38e973c3d4p-6, -0x1.1ab78fdba8ce8p-6, -0x1.13ee1faab1296p-6, -0x1.0d46ba50a5c4ap-6, -0x1.06c0dcee04b94p-6, -0x1.005c05807400bp-6, -0x1.f42f65d67a121p-7, -0x1.e7e6c9feca22dp-7, -0x1.dbdd3906a43c5p-7, -0x1.d011b673edc9p-7, -0x1.c48347d361349p-7, -0x1.b930f4c53cbc2p-7, -0x1.ae19c70944236p-7, -0x1.a33cca8a154ep-7, -0x1.98990d679609dp-7, -0x1.8e2da000cf7b5p-7, -0x1.83f994fd0e5b8p-7, -0x1.79fc01545d241p-7, -0x1.7033fc57430d3p-7, -0x1.66a09fb5f2158p-7, -0x1.5d410786d3312p-7, -0x1.5414524c84536p-7, -0x1.4b19a0fb414a8p-7, -0x1.425016fdd36ep-7, -0x1.39b6da39b80bep-7, -0x1.314d131315dc7p-7, -0x1.2911ec6fef414p-7, -0x1.210493bb0b31ep-7, -0x1.192438e64d0e8p-7, -0x1.11700e6ca8f23p-7, -0x1.09e74953a50a1p-7, -0x1.0289212c63ff8p-7, -0x1.f6a9a028ae01p-8, -0x1.e893256b1d596p-8, -0x1.dacd508d5a4c1p-8, -0x1.cd56a514f004fp-8, -0x1.c02dab9e53005p-8, -0x1.b350f1da92823p-8, -0x1.a6bf0a8c90746p-8, -0x1.9a768d85bbbb1p-8, -0x1.8e7617a1fd57ap-8, -0x1.82bc4ac353125p-8, -0x1.7747cdccd2b4dp-8, -0x1.6c174c9d2310fp-8, -0x1.612978086da36p-8, -0x1.567d05d20a68p-8, -0x1.4c10b0a5862ccp-8, -0x1.41e3380f5e4cdp-8, -0x1.37f3607562599p-8, -0x1.2e3ff30eb3cf9p-8, -0x1.24c7bddb5da61p-8, -0x1.1b89939b949cap-8, -0x1.12844bc6af7a6p-8, -0x1.09b6c281c6a29p-8, -0x1.011fd89646ffp-8, -0x1.f17ce6cfc621fp-9, -0x1.e122f9d524bb3p-9, -0x1.d12fc7308f557p-9, -0x1.c1a134cca114ap-9, -0x1.b27531753570ep-9, -0x1.a3a9b4c1852c3p-9, -0x1.953cbefdf117p-9, -0x1.872c591577d39p-9, -0x1.7976947b0af2bp-9, -0x1.6c198b1258739p-9, -0x1.5f135f189dd62p-9, -0x1.52623b0cf9222p-9, -0x1.46045198cbf2ap-9, -0x1.39f7dd77acc96p-9, -0x1.2e3b215f7f3b1p-9, -0x1.22cc67e8437c1p-9, -0x1.17aa0373aa40ep-9, -0x1.0cd24e14f40eep-9, -0x1.0243a9783bed9p-9, -0x1.eff8fd9430743p-10, -0x1.dbf67d3dbe4fap-10, -0x1.c87cc1b4645e5p-10, -0x1.b588c92c95ffep-10, -0x1.a317a016e5586p-10, -0x1.912660eebb9acp-10, -0x1.7fb23409acb38p-10, -0x1.6eb84f65d580cp-10, -0x1.5e35f6796c49p-10, -0x1.4e287a0176c5bp-10, -0x1.3e8d37d1d3124p-10, -0x1.2f619aa42a832p-10, -0x1.20a319e8279e1p-10, -0x1.124f399319b56p-10, -0x1.046389f0b8f7p-10, -0x1.edbb4ee61b9ep-11, -0x1.d376750779f1cp-11, -0x1.b9f3eea8deb29p-11, -0x1.a12f3b61020dbp-11, -0x1.8923f19d9cffcp-11, -0x1.71cdbe46f7d11p-11, -0x1.5b2864645e406p-11, -0x1.452fbcc29b9fp-11, -0x1.2fdfb598da64ep-11, -0x1.1b345230565f3p-11, -0x1.0729aa8bc4c93p-11, -0x1.e777d61ee4aeep-12, -0x1.c1cea8554b7cdp-12, -0x1.9d5074042816ep-12, -0x1.79f60834ef552p-12, -0x1.57b85a0859447p-12, -0x1.3690841166648p-12, -0x1.1677c5aeae3f5p-12, -0x1.eecf04ce84123p-13, -0x1.b2b282953b0d5p-13, -0x1.788d589ee755ap-13, -0x1.40531f6d815b4p-13, -0x1.09f7b2e07c3dep-13, -0x1.aade61fb58498p-14, -0x1.455bf18b4220ep-14, -0x1.c6a2a40e811a1p-15, -0x1.09507c9d0b2d4p-15, -0x1.4a5761bdf90c9p-17, 0x1.76dfad5b88192p-17, 0x1.07c28498b59b6p-15, 0x1.abb2c09e8fd98p-15, 0x1.24d8443cecd43p-14, 0x1.70f172a432f42p-14, 0x1.ba38023390786p-14, 0x1.005f4ee8f4eddp-13, 0x1.224bc35364904p-13, 0x1.42ea4b13c76bcp-13, 0x1.6243a008de82p-13, 0x1.80604a3323283p-13, 0x1.9d48a0a8c5405p-13, 0x1.b904ca8c749f1p-13, 0x1.d39cbffe907e9p-13, 0x1.ed184b069b29ap-13, 0x1.02bf843f66648p-12, 0x1.0e6c347ca8e5dp-12, 0x1.1995d8cf49d73p-12, 0x1.243ffe88b50a3p-12, 0x1.2e6e1e22d623dp-12, 0x1.38239bac76557p-12, 0x1.4163c732b7f2ap-12, 0x1.4a31dd2978193p-12, 0x1.529106d181e79p-12, 0x1.5a845a9c7a7b9p-12, 0x1.620edc90f4932p-12, 0x1.69337eab612eap-12, 0x1.6ff5213d53e94p-12, 0x1.7656934bf9f2ep-12, 0x1.7c5a92ec0ac73p-12, 0x1.8203cd9d4c5a2p-12, 0x1.8754e0a2e4f71p-12, 0x1.8c50595b7dd68p-12, 0x1.90f8b597b881ep-12, 0x1.955063ec354f8p-12, 0x1.9959c4079b568p-12, 0x1.9d172702619bbp-12, 0x1.a08acfafac50bp-12, 0x1.a3b6f2eb661bap-12, 0x1.a69db7e6f3555p-12, 0x1.a941387588822p-12, 0x1.aba38155e400dp-12, 0x1.adc6927bd295fp-12, 0x1.afac5f572d3fp-12, 0x1.b156cf19e5a18p-12, 0x1.b2c7bcfc21ba5p-12, 0x1.b400f8814557fp-12, 0x1.b50445b91dafbp-12, 0x1.b5d35d8149c04p-12, 0x1.b66fedc4319a5p-12, 0x1.b6db99b817c7dp-12, 0x1.b717fa1bfa748p-12, 0x1.b7269d734e0cfp-12, 0x1.b7090841066c2p-12, 0x1.b6c0b54152529p-12, 0x1.b64f15a208b19p-12, 0x1.b5b5913932476p-12, 0x1.b4f586bc22722p-12, 0x1.b4104bf49727dp-12, 0x1.b3072df44bb79p-12, 0x1.b1db714809d59p-12, 0x1.b08e522a10defp-12, 0x1.af2104b26bf0bp-12, 0x1.ad94b506ea52p-12, 0x1.abea8789e0387p-12, 0x1.aa23990872746p-12, 0x1.a840fee7be47bp-12, 0x1.a643c75020b41p-12, 0x1.a42cf958be2fdp-12, 0x1.a1fd9531a19e2p-12, 0x1.9fb6944d079b7p-12, 0x1.9d58e987a82f2p-12, 0x1.9ae581509466dp-12, 0x1.985d41cf7e2bbp-12, 0x1.95c10b0b4f5b1p-12, 0x1.9311b70df53fbp-12, 0x1.90501a0957889p-12, 0x1.8d7d027b1e5acp-12, 0x1.8a99394f13407p-12, 0x1.87a58200e1511p-12, 0x1.84a29abd86891p-12, 0x1.81913c83bfecp-12, 0x1.7e721b4388503p-12, 0x1.7b45e5fd28601p-12, 0x1.780d46dfd99fp-12, 0x1.74c8e3678e8e3p-12, 0x1.71795c798e6d5p-12, 0x1.6e1f4e80daf1p-12, 0x1.6abb5189e5e0ep-12, 0x1.674df95e19ad5p-12, 0x1.63d7d59dd7f46p-12, 0x1.605971da7c13ep-12, 0x1.5cd355b009849p-12, 0x1.594604dd80c7bp-12, 0x1.55b1ff5d18dbep-12, 0x1.5217c17b8018ep-12, 0x1.4e77c3efb2901p-12, 0x1.4ad27bf10a76cp-12, 0x1.47285b4d84ce3p-12, 0x1.4379d07f2b2b8p-12, 0x1.3fc746c0ea3b6p-12, 0x1.3c1126233baf7p-12, 0x1.3857d3a04983dp-12, 0x1.349bb12f4e42bp-12, 0x1.30dd1dd806d84p-12, 0x1.2d1c75c55048ap-12, 0x1.295a12571e4fep-12, 0x1.25964a34a5cc9p-12, 0x1.21d1715d19eccp-12, 0x1.1e0bd939978bdp-12, 0x1.1a45d0ad1fd1p-12, 0x1.167fa42545992p-12, 0x1.12b99da995b71p-12, 0x1.0ef404eb0c43fp-12, 0x1.0b2f1f532c429p-12, 0x1.076b3012f1e18p-12, 0x1.03a87830d67f8p-12, 0x1.ffce6d2e2045cp-13, 0x1.f84f50427a713p-13, 0x1.f0d40f535eff9p-13, 0x1.e95d1c2d193ffp-13, 0x1.e1eae4cc71997p-13, 0x1.da7dd37815a55p-13, 0x1.d3164ed8e1d9ap-13, 0x1.cbb4ba11a89a8p-13, 0x1.c45974d5d829p-13, 0x1.bd04db7fb0e1dp-13, 0x1.b5b74726fe16cp-13, 0x1.ae710db65ae9p-13, 0x1.a73281ffbae2ap-13, 0x1.9ffbf3d0e8a8cp-13, 0x1.98cdb0079b4a2p-13, 0x1.91a800a4cf4eap-13, 0x1.8a8b2cdff0096p-13, 0x1.83777938f4805p-13, 0x1.7c6d278ab25fbp-13, 0x1.756c771c43229p-13, 0x1.6e75a4b2e4a1cp-13, 0x1.6788eaa1b17e7p-13, 0x1.60a680da04affp-13, 0x1.59ce9cfbf395ep-13, 0x1.530172660662ep-13, 0x1.4c3f32441a283p-13, 0x1.45880b9d5516ep-13, 0x1.3edc2b63b7492p-13, 0x1.383bbc817a64bp-13, 0x1.31a6e7e708906p-13, 0x1.2b1dd4989221cp-13, 0x1.24a0a7baf90efp-13, 0x1.1e2f84a052fdap-13, 0x1.17ca8cd4dbe96p-13, 0x1.1171e02abea66p-13, 0x1.0b259cc552ae8p-13, 0x1.04e5df24f78e1p-13, 0x1.fd65846560bb3p-14, 0x1.f118be96c6b8p-14, 0x1.e4e59c9367e4cp-14, 0x1.d8cc4b216b95fp-14, 0x1.ccccf42be989fp-14, 0x1.c0e7bed6d5c98p-14, 0x1.b51ccf92cde8p-14, 0x1.a96c482ee4db1p-14, 0x1.9dd647ed5cf03p-14, 0x1.925aeb9331617p-14, 0x1.86fa4d7afbbd4p-14, 0x1.7bb485a584d9ap-14, 0x1.7089a9c95822ap-14, 0x1.6579cd63cd3ffp-14, 0x1.5a8501c8e768ap-14, 0x1.4fab5633a71b7p-14, 0x1.44ecd7d443027p-14, 0x1.3a4991de107edp-14, 0x1.2fc18d97043b6p-14, 0x1.2554d26487a3dp-14, 0x1.1b0365da15956p-14, 0x1.10cd4bc5b790bp-14, 0x1.06b2863dbac05p-14, 0x1.f9662b5ad75a9p-15, 0x1.e59df1c1d4ee9p-15, 0x1.d20c5a22d5eadp-15, 0x1.beb15be0b3a9ap-15, 0x1.ab8ceb660ace1p-15, 0x1.989efa3b26cp-15, 0x1.85e7771d620e4p-15, 0x1.73664e1450153p-15, 0x1.611b688489b8ap-15, 0x1.4f06ad452dde9p-15, 0x1.3d2800b38efb5p-15, 0x1.2b7f44c4f8c88p-15, 0x1.1a0c591bbc60cp-15, 0x1.08cf1b1705d93p-15, 0x1.ef8ecbd00d402p-16, 0x1.cdea254124b7cp-16, 0x1.acaff08b782cbp-16, 0x1.8bdfd7beace55p-16, 0x1.6b7981105e7a3p-16, 0x1.4b7c8efbeec98p-16, 0x1.2be8a0610901cp-16, 0x1.0cbd50a191ad9p-16, 0x1.dbf46f8612e81p-17, 0x1.9f3dd50ad78d7p-17, 0x1.6355f5009ecd3p-17, 0x1.283bec83b725dp-17, 0x1.dbdda593cd2a6p-18, 0x1.68db72b429fd3p-18, 0x1.eedeb0fa280f5p-19, 0x1.0f2ec8e5ec271p-19, 0x1.95199e62bbc51p-22, -0x1.4d9036cea8e47p-20, -0x1.7d1744b23b2fcp-19, -0x1.28273d31ae3ep-18, -0x1.90390029bc5fdp-18, -0x1.f6c315a597d19p-18, -0x1.2de3d816491e1p-17, -0x1.5fa48506471fap-17, -0x1.90a4b28a8e2d8p-17, -0x1.c0e58525173d8p-17, -0x1.f06824cb7ba89p-17, -0x1.0f96de5f9800dp-16, -0x1.269bbdb6d223ep-16, -0x1.3d434925581b5p-16, -0x1.538e1ad6df6edp-16, -0x1.697cce5709d16p-16, -0x1.7f1000835692ap-16, -0x1.94484f79c78cdp-16, -0x1.a9265a88dae7bp-16, -0x1.bdaac2223f181p-16, -0x1.d1d627ca74b9ep-16, -0x1.e5a92e0980ca9p-16, -0x1.f924785f532afp-16, -0x1.062455998565fp-15, -0x1.0f8b35e27bd9bp-15, -0x1.18c73012d3c68p-15, -0x1.21d897929d91ap-15, -0x1.2abfc02405c8cp-15, -0x1.337cfddca67c2p-15, -0x1.3c10a52104e1ep-15, -0x1.447b0a9cbedb2p-15, -0x1.4cbc833d53012p-15, -0x1.54d5642dac55ap-15, -0x1.5cc602cf62ae2p-15, -0x1.648eb4b5fdf94p-15, -0x1.6c2fcfa1f7956p-15, -0x1.73a9a97b75c18p-15, -0x1.7afc984cde586p-15, -0x1.8228f23e4ab9p-15, -0x1.892f0d9246cabp-15, -0x1.900f409e29616p-15, -0x1.96c9e1c746303p-15, -0x1.9d5f477fd5dfap-15, -0x1.a3cfc8403a132p-15, -0x1.aa1bba849498fp-15, -0x1.b04374c766c15p-15, -0x1.b6474d7f16e68p-15, -0x1.bc279b18b2b6ep-15, -0x1.c1e4b3f3eba9dp-15, -0x1.c77eee6133226p-15, -0x1.ccf6a09cc12cdp-15, -0x1.d24c20cab1618p-15, -0x1.d77fc4f50e73fp-15, -0x1.dc91e307a257ap-15, -0x1.e182d0cc1fbebp-15, -0x1.e652e3e765b35p-15, -0x1.eb0271d78ec1dp-15, -0x1.ef91cfefc6e0ep-15, -0x1.f4015354a760dp-15, -0x1.f85150fa4a0bep-15, -0x1.fc821da250bf4p-15, -0x1.004a06eba4044p-14, -0x1.0243baf5b930bp-14, -0x1.042e54facd25bp-14, -0x1.0609fee76949bp-14, -0x1.07d6e287a1b07p-14, -0x1.099529863788p-14, -0x1.0b44fd6bf1bdap-14, -0x1.0ce6879d9c4d8p-14, -0x1.0e79f15b0e949p-14, -0x1.0fff63bec783ep-14, -0x1.117707bc3021cp-14, -0x1.12e1061eb974ep-14, -0x1.143d8788fddbfp-14, -0x1.158cb4741956dp-14, -0x1.16ceb52e801bbp-14, -0x1.1803b1dacbfc5p-14, -0x1.192bd26f37734p-14, -0x1.1a473eb48b76bp-14, -0x1.1b561e45b6cep-14, -0x1.1c58988e67c38p-14, -0x1.1d4ed4cae5c5bp-14, -0x1.1e38fa06b2a99p-14, -0x1.1f172f1c51618p-14, -0x1.1fe99ab4186d8p-14, -0x1.20b063444c28ap-14, -0x1.216baf0ff786fp-14, -0x1.221ba4261eb8dp-14, -0x1.22c068613b1eep-14, -0x1.235a2166e5004p-14, -0x1.23e8f4a6e253ep-14, -0x1.246d075ac99e6p-14, -0x1.24e67e8586e81p-14, -0x1.25557ef31a2a6p-14, -0x1.25ba2d37a675cp-14, -0x1.2614adaf1472dp-14, -0x1.2665247cdb9fp-14, -0x1.26abb58ae521ap-14, -0x1.26e8848a32c9fp-14, -0x1.271bb4f18dd4ap-14, -0x1.274569fdb565ep-14, -0x1.2765c6b053ec5p-14, -0x1.277cedd077492p-14, -0x1.278b01e97c1c7p-14, -0x1.2790254bbb4p-14, -0x1.278c7a0b6aa0bp-14, -0x1.27802200865ddp-14, -0x1.276b3ec66146dp-14, -0x1.274df1bbac6bfp-14, -0x1.27285c01ddff6p-14, -0x1.26fa9e7d51657p-14, -0x1.26c4d9d4f39edp-14, -0x1.26872e721c8d6p-14, -0x1.2641bc808c121p-14, -0x1.25f4a3edba3b1p-14, -0x1.25a00469326aep-14, -0x1.2543fd6406d52p-14, -0x1.24e0ae10b9cbep-14, -0x1.24763563842f5p-14, -0x1.2404b211f6ac4p-14, -0x1.238c4292bd913p-14, -0x1.230d051d6f15fp-14, -0x1.228717aaf1aep-14, -0x1.21fa97f4fc7e1p-14, -0x1.2167a376d33f9p-14, -0x1.20ce576c6993ap-14, -0x1.202ed0d28de32p-14, -0x1.1f892c66c7ae7p-14, -0x1.1edd86a78158ep-14, -0x1.1e2bfbd3dc34p-14, -0x1.1d74a7ebd3726p-14, -0x1.1cb7a6b072045p-14, -0x1.1bf513a3bdb2cp-14, -0x1.1b2d0a08c1355p-14, -0x1.1a5fa4e370a2bp-14, -0x1.198cfef8bae9fp-14, -0x1.18b532cebdb42p-14, -0x1.17d85aacad9dp-14, -0x1.16f6909b15f8p-14, -0x1.160fee640b6fap-14, -0x1.15248d9306308p-14, -0x1.14348774d748ap-14, -0x1.133ff518117f4p-14, -0x1.1246ef4ccf53ap-14, -0x1.11498ea5bd997p-14, -0x1.1047eb77a9431p-14, -0x1.0f421dd9505dp-14, -0x1.0e383da3d1622p-14, -0x1.0d2a6272b46b7p-14, -0x1.0c18a3a4395f1p-14, -0x1.0b0318596dea5p-14, -0x1.09e9d7765f965p-14, -0x1.08ccf7a24422p-14, -0x1.07ac8f482e318p-14, -0x1.0688b49693872p-14, -0x1.05617d7fdac93p-14, -0x1.0436ffba0c6cdp-14, -0x1.030950bfa6bd9p-14, -0x1.01d885cf7d421p-14, -0x1.00a4b3ed269f9p-14, -0x1.fedbdfc243c7ap-15, -0x1.fc689c72216a3p-15, -0x1.f9efc68fa50b6p-15, -0x1.f771864b7990ep-15, -0x1.f4ee0361a3685p-15, -0x1.f265651b2ce98p-15, -0x1.efd7d24e9b6ep-15, -0x1.ed45715ef4ebp-15, -0x1.eaae683cae73ep-15, -0x1.e812dc669d9ecp-15, -0x1.e572f2ea62718p-15, -0x1.e2ced064c002cp-15, -0x1.e0269902c0abfp-15, -0x1.dd7a708177b47p-15, -0x1.daca7a2f3ac53p-15, -0x1.d816d8ecd9eb3p-15, -0x1.d55faf2ce2705p-15, -0x1.d2a51ef4c92d4p-15, -0x1.cfe749dcce131p-15, -0x1.cd265111ee722p-15, -0x1.ca625555282fcp-15, -0x1.c79b76fd67027p-15, -0x1.c4d1d5f73022dp-15, -0x1.c20591c596924p-15, -0x1.bf36c982b8d87p-15, -0x1.bc659be02a37ap-15, -0x1.b992272778b38p-15, -0x1.b6bc893c0e0d6p-15, -0x1.b3e4df9bd29dap-15, -0x1.b10b475e5e85ap-15, -0x1.ae2fdd3618d6p-15, -0x1.ab52bd70af88ap-15, -0x1.a87403f8ae442p-15, -0x1.a593cc5535951p-15, -0x1.a2b231ab781cfp-15, -0x1.9fcf4ebe5abc3p-15, -0x1.9ceb3df0156c7p-15, -0x1.9a061942d0b2dp-15, -0x1.971ffa5993c65p-15, -0x1.9438fa77f4f03p-15, -0x1.91513282cfda3p-15, -0x1.8e68bb0221232p-15, -0x1.8b7fac208845p-15, -0x1.88961dac866ffp-15, -0x1.85ac27195deafp-15, -0x1.82c1df7f8f193p-15, -0x1.7fd75d9d6bd58p-15, -0x1.7cecb7d790249p-15, -0x1.7a020439b77f9p-15, -0x1.7717587798f6ap-15, -0x1.742cc9ee0a4ep-15, -0x1.71426da3e6efap-15, -0x1.6e585849c9a9cp-15, -0x1.6b6e9e3a8d4e2p-15, -0x1.6885537c91ad3p-15, -0x1.659c8bc2a7367p-15, -0x1.62b45a6c4fd31p-15, -0x1.5fccd286f238ap-15, -0x1.5ce606cdbc027p-15, -0x1.5a0009ab30e3fp-15, -0x1.571aed3952a6bp-15, -0x1.5436c3438a703p-15, -0x1.51539d45cb89ep-15, -0x1.4e718c6d57046p-15, -0x1.4b90a19a7a1cep-15, -0x1.48b0ed609beep-15, -0x1.45d28006c7117p-15, -0x1.42f56988f1d85p-15, -0x1.4019b99867dc2p-15, -0x1.3d3f7f9c87ddbp-15, -0x1.3a66cab33efd1p-15, -0x1.378fa9b18f1cfp-15, -0x1.34ba2b24935f4p-15, -0x1.31e65d527a8c1p-15, -0x1.2f144e3aadfa6p-15, -0x1.2c440b97a7bd8p-15, -0x1.2975a2de25a3dp-15, -0x1.26a9213df29d7p-15, -0x1.23de93a376a7ep-15, -0x1.211606b7e9f6fp-15, -0x1.1e4f86e20bfbap-15, -0x1.1b8b2046ce872p-15, -0x1.18c8dec9bb088p-15, -0x1.1608ce0e79763p-15, -0x1.134af9786bc8dp-15, -0x1.108f6c2cc5026p-15, -0x1.0dd63111e2ba3p-15, -0x1.0b1f52cfecp-15, -0x1.086adbd2670afp-15, -0x1.05b8d64861f04p-15, -0x1.03094c24a5703p-15, -0x1.005c471f4766cp-15, -0x1.fb63a16b6ed0bp-16, -0x1.f613e4580df4bp-16, -0x1.f0c969194d1f7p-16, -0x1.eb84415260c17p-16, -0x1.e6447e36da88p-16, -0x1.e10a308c4e2e3p-16, -0x1.dbd568aabb699p-16, -0x1.d6a6367db6127p-16, -0x1.d17ca987e6895p-16, -0x1.cc58d0e093359p-16, -0x1.c73abb368dec3p-16, -0x1.c22276d252872p-16, -0x1.bd10119625e2p-16, -0x1.b80398ffc85b4p-16, -0x1.b2fd1a293edf6p-16, -0x1.adfca1ca0dcc8p-16, -0x1.a9023c3913166p-16, -0x1.a40df56cf032ep-16, -0x1.9f1fd8feed69ap-16, -0x1.9a37f22a0e337p-16, -0x1.95564bcc1613p-16, -0x1.907af068b3f3ap-16, -0x1.8ba5ea29a34e9p-16, -0x1.86d742ded3ccep-16, -0x1.820f04010c754p-16, -0x1.7d4d36b1e1958p-16, -0x1.7891e3be849dap-16, -0x1.73dd139fa5239p-16, -0x1.6f2ece79c75b9p-16, -0x1.6a871c1f91861p-16, -0x1.65e60412aa98cp-16, -0x1.614b8d856643ap-16, -0x1.5cb7bf5a27db9p-16, -0x1.582aa0265e297p-16, -0x1.53a4363332841p-16, -0x1.4f24877ce3ccep-16, -0x1.4aab99b570d2bp-16, -0x1.46397245c91f7p-16, -0x1.41ce164daeb48p-16, -0x1.3d698aa5ca8c3p-16, -0x1.390bd3dfd71d6p-16, -0x1.34b4f64836c3p-16, -0x1.3064f5e6e6919p-16, -0x1.2c1bd6801943fp-16, -0x1.27d99b9621f15p-16, -0x1.239e4869b9f2dp-16, -0x1.1f69dffa6b887p-16, -0x1.1b3c6508bcb14p-16, -0x1.1715da169a88dp-16, -0x1.12f64167afbf8p-16, -0x1.0edd9d034bb62p-16, -0x1.0acbeeb4f4c54p-16, -0x1.06c1380d3aa58p-16, -0x1.02bd7a62fd939p-16, -0x1.fd816da761375p-17, -0x1.f595dc88fc4ddp-17, -0x1.edb842c73b122p-17, -0x1.e5e8a15287595p-17, -0x1.de26f8af58e21p-17, -0x1.d67348f87177fp-17, -0x1.cecd91e277497p-17, -0x1.c735d2bb95cacp-17, -0x1.bfac0a6d33d16p-17, -0x1.b830377f72893p-17, -0x1.b0c2581962c6dp-17, -0x1.a9626a02bc94dp-17, -0x1.a2106aa5c64f8p-17, -0x1.9acc57106dabap-17, -0x1.93962bf718495p-17, -0x1.8c6de5b5423b8p-17, -0x1.8553804f738cap-17, -0x1.7e46f7749e725p-17, -0x1.7748467f1e629p-17, -0x1.7057687716cd8p-17, -0x1.69745814c9314p-17, -0x1.629f0fc04465bp-17, -0x1.5bd78992721bp-17, -0x1.551dbf586921bp-17, -0x1.4e71aa9557fb9p-17, -0x1.47d34481ce68fp-17, -0x1.4142860ee1b71p-17, -0x1.3abf67e570d2dp-17, -0x1.3449e268de3c3p-17, -0x1.2de1edb9600cap-17, -0x1.278781b499e11p-17, -0x1.213a95f781ccep-17, -0x1.1afb21ddff377p-17, -0x1.14c91c8572cd3p-17, -0x1.0ea47ccdf0f57p-17, -0x1.088d395ab9011p-17, -0x1.028348947bd31p-17, -0x1.f90d4156ffe4ep-18, -0x1.ed2e6f2dff656p-18, -0x1.e16a062e95a57p-18, -0x1.d5bff16d34ac6p-18, -0x1.ca301b9523c56p-18, -0x1.beba6eead4229p-18, -0x1.b35ed54e27f43p-18, -0x1.a81d383d32d7ap-18, -0x1.9cf580d6192bap-18, -0x1.91e797d95b3p-18, -0x1.86f365aa1ba37p-18, -0x1.7c18d2549fb82p-18, -0x1.7157c58e6c796p-18, -0x1.66b026b649ae2p-18, -0x1.5c21dcd9695d5p-18, -0x1.51acceb4c6de9p-18, -0x1.4750e2b716e58p-18, -0x1.3d0dff0359898p-18, -0x1.32e409712862p-18, -0x1.28d2e78eac557p-18, -0x1.1eda7ea406a62p-18, -0x1.14fab3b5c0ad4p-18, -0x1.0b336b874c4dap-18, -0x1.01848a9a69bf8p-18, -0x1.efdbea6682998p-19, -0x1.dcdf1eb0e77ddp-19, -0x1.ca1279ac036f2p-19, -0x1.b775c27a82a04p-19, -0x1.a508bfcedfaf8p-19, -0x1.92cb37f776a1fp-19, -0x1.80bcf0d758491p-19, -0x1.6eddafeeb7f3fp-19, -0x1.5d2d3a5daec09p-19, -0x1.4bab54e5cfb4fp-19, -0x1.3a57c3eee93bap-19, -0x1.29324b8a8d9bp-19, -0x1.183aaf76c749cp-19, -0x1.0770b32077f2p-19, -0x1.eda8335240703p-20, -0x1.ccc94bc922dc9p-20, -0x1.ac4434c1b8e88p-20, -0x1.8c1872d2a8e27p-20, -0x1.6c458a0c4e219p-20, -0x1.4ccafe062956ep-20, -0x1.2da851dc949p-20, -0x1.0edd0843fabb3p-20, -0x1.e0d146f9715cap-21, -0x1.a4954acce7d2bp-21, -0x1.69051f025de2ep-21, -0x1.2e1fc5d192a24p-21, -0x1.e7c8819a76d59p-22, -0x1.74a321c9bea48p-22, -0x1.02cd6cf893efp-22, -0x1.248ac58e37fb8p-23, -0x1.18480e7842176p-25, 0x1.2ba6e0d5cb63fp-24, 0x1.6f299cfab71bbp-23, 0x1.22fa451a7e3c6p-22, 0x1.8d1c20dcc3c6dp-22, }}, 
      {{-0x1.7e22d9ae9f756p-2, -0x1.7e96b544ccc5p-2, -0x1.7f50fc6390209p-2, -0x1.8049719a52bf7p-2, -0x1.8176b9800665fp-2, -0x1.82cf1e75828cap-2, -0x1.84491790c1823p-2, -0x1.85dba2c08492fp-2, -0x1.877e7e0f877c6p-2, -0x1.892a48de39c7p-2, -0x1.8ad893a79f6ep-2, -0x1.8c83e33aa3773p-2, -0x1.8e27ab1472e43p-2, -0x1.8fc0419d039adp-2, -0x1.914ad056f8bd1p-2, -0x1.92c5418ffc714p-2, -0x1.942e2cbad98b4p-2, -0x1.9584c250b9641p-2, -0x1.96c8b7dcde809p-2, -0x1.97fa34a98e924p-2, -0x1.9919bf623d393p-2, -0x1.9a282ce44e00bp-2, -0x1.9b269062cd24p-2, -0x1.9c162cf1676e5p-2, -0x1.9cf8687e45e8dp-2, -0x1.9dcec038e7ca5p-2, -0x1.9e9abe5cc158fp-2, -0x1.9f5df1510729bp-2, -0x1.a019e40b25ec8p-2, -0x1.a0d0179ecdf84p-2, -0x1.a181fde4c34c5p-2, -0x1.a230f520d8703p-2, -0x1.a2de448f3fa8ep-2, -0x1.a38b19c19c6ffp-2, -0x1.a43886b5017dp-2, -0x1.a4e7808aebf53p-2, -0x1.a598ded085772p-2, -0x1.a64d5b40c4199p-2, -0x1.a70591ef69d9fp-2, -0x1.a7c201cc65caap-2, -0x1.a8830d707d1f6p-2, -0x1.a948fc25acb6ep-2, -0x1.aa13fb1f06d7ep-2, -0x1.aae41ed54399p-2, -0x1.abb9647e681f6p-2, -0x1.ac93b3982bb1cp-2, -0x1.ad72df7de2201p-2, -0x1.ae56a903a9ba3p-2, -0x1.af3ec0119b7a9p-2, -0x1.b02ac53a8eb0fp-2, -0x1.b11a4b4ac5a2ep-2, -0x1.b20cd8cb8812cp-2, -0x1.b301e97950b36p-2, -0x1.b3f8efaab44eep-2, -0x1.b4f155a6a72cdp-2, -0x1.b5ea7ee92bc0dp-2, -0x1.b6e3c955cbdbbp-2, -0x1.b7dc8e578da54p-2, -0x1.b8d423ee556bbp-2, -0x1.b9c9dda9d695ap-2, -0x1.babd0d92697a5p-2, -0x1.bbad050032c1ep-2, -0x1.bc991561371cep-2, -0x1.bd8090eef5b23p-2, -0x1.be62cb544824p-2, -0x1.bf3f1a444234ep-2, -0x1.c014d602dbcccp-2, -0x1.c0e359e02deb5p-2, -0x1.c1aa04a70b857p-2, -0x1.c26838ffc654p-2, -0x1.c31d5dc7d84d4p-2, -0x1.c3c8de5f400b9p-2, -0x1.c46a2aec3a57cp-2, -0x1.c500b89611fe4p-2, -0x1.c58c01b7b2c72p-2, -0x1.c60b860a9195p-2, -0x1.c67ecaca905afp-2, -0x1.c6e55ad362ba3p-2, -0x1.c73ec6b7feb42p-2, -0x1.c78aa4d48dfc6p-2, -0x1.c7c8915b5f04dp-2, -0x1.c7f82e5d399aap-2, -0x1.c81923cd7c3b7p-2, -0x1.c82b1f8261925p-2, -0x1.c82dd531c2ff4p-2, -0x1.c820fe6aa35d4p-2, -0x1.c8045a8bcd3c5p-2, -0x1.c7d7aeb7ca0cfp-2, -0x1.c79ac5c668544p-2, -0x1.c74d70340e7dap-2, -0x1.c6ef840f0e9d8p-2, -0x1.c680dce324efbp-2, -0x1.c6015ba351e0ep-2, -0x1.c570e69235778p-2, -0x1.c4cf692911ed6p-2, -0x1.c41cd3fd93639p-2, -0x1.c3591ca68211ap-2, -0x1.c2843d9f77916p-2, -0x1.c19e362bb059ap-2, -0x1.c0a70a3819114p-2, -0x1.bf9ec23ca55ddp-2, -0x1.be856b1d0cc35p-2, -0x1.bd5b1608ff2d6p-2, -0x1.bc1fd85be085ep-2, -0x1.bad3cb7c238a3p-2, -0x1.b9770cba4e6c5p-2, -0x1.b809bd2fbad86p-2, -0x1.b68c019d21a38p-2, -0x1.b4fe0248fcb32p-2, -0x1.b35feaddcef13p-2, -0x1.b1b1ea4860605p-2, -0x1.aff43295f3977p-2, -0x1.ae26f8d2886fp-2, -0x1.ac4a74e731973p-2, -0x1.aa5ee17888f84p-2, -0x1.a8647bc54c885p-2, -0x1.a65b83852f071p-2, -0x1.a4443ac7e257p-2, -0x1.a21ee5d46753ap-2, -0x1.9febcb08a94cfp-2, -0x1.9dab32b971798p-2, -0x1.9b5d6712b09bap-2, -0x1.9902b3f833158p-2, -0x1.969b66e6bbe75p-2, -0x1.9427ced58f63ap-2, -0x1.91a83c187978dp-2, -0x1.8f1d00424dce9p-2, -0x1.8c866e07ecb56p-2, -0x1.89e4d923cc777p-2, -0x1.8738963a158ebp-2, -0x1.8481fabd48134p-2, -0x1.81c15cd37f0d2p-2, -0x1.7ef7133c44e8fp-2, -0x1.7c2375370b17ap-2, -0x1.7946da6a3cee2p-2, -0x1.76619acaf853bp-2, -0x1.73740e8568b9dp-2, -0x1.707e8de5ccb9p-2, -0x1.6d817142233edp-2, -0x1.6a7d10e4819d8p-2, -0x1.6771c4f619f95p-2, -0x1.645fe56aeccaap-2, -0x1.6147c9ee27a8ap-2, -0x1.5e29c9cf338fap-2, -0x1.5b063bef7150ap-2, -0x1.57dd76b0a65e3p-2, -0x1.54afcfe4151e6p-2, -0x1.517d9cba43673p-2, -0x1.4e4731b371576p-2, -0x1.4b0ce290b9115p-2, -0x1.47cf0245d7c9ep-2, -0x1.448de2eba5e15p-2, -0x1.4149d5b331b6fp-2, -0x1.3e032ad9827e1p-2, -0x1.3aba319c00003p-2, -0x1.376f382d7923dp-2, -0x1.34228babd0428p-2, -0x1.30d478163ec9p-2, -0x1.2d854844372c6p-2, -0x1.2a3545dcdd48ap-2, -0x1.26e4b94f167afp-2, -0x1.2393e9ca2a6e1p-2, -0x1.20431d36f4282p-2, -0x1.1cf298319ef43p-2, -0x1.19a29e03ef273p-2, -0x1.165370a00df54p-2, -0x1.1305509bda183p-2, -0x1.0fb87d2cb8023p-2, -0x1.0c6d3423df67fp-2, -0x1.0923b1eb1ea93p-2, -0x1.05dc3182172b5p-2, -0x1.0296ec7be8f96p-2, -0x1.fea835fa9fb8cp-3, -0x1.f827e776507cfp-3, -0x1.f1ad57f2bebd4p-3, -0x1.eb38ef1485e7bp-3, -0x1.e4cb119c6e943p-3, -0x1.de64216788e83p-3, -0x1.d8047d7004f89p-3, -0x1.d1ac81ceb08ap-3, -0x1.cb5c87bd1db3bp-3, -0x1.c514e5986613cp-3, -0x1.bed5eee48d39dp-3, -0x1.b89ff45069a5cp-3, -0x1.b27343ba234efp-3, -0x1.ac5028342f138p-3, -0x1.a636ea0ace18p-3, -0x1.a027ceca0305bp-3, -0x1.9a231943f7dfbp-3, -0x1.94290997d1cb8p-3, -0x1.8e39dd38ea014p-3, -0x1.8855cef6685f2p-3, -0x1.827d1703334f4p-3, -0x1.7cafeafe3c09p-3, -0x1.76ee7dfb15973p-3, -0x1.7139008ad4ep-3, -0x1.6b8fa0c53a8fdp-3, -0x1.65f28a5217124p-3, -0x1.6061e672efa25p-3, -0x1.5adddc0cd3bb7p-3, -0x1.55668fb266705p-3, -0x1.4ffc23ae17417p-3, -0x1.4a9eb80c7e227p-3, -0x1.454e6aa6e1b89p-3, -0x1.400b572dd8dd9p-3, -0x1.3ad597340bcd1p-3, -0x1.35ad42390b4f2p-3, -0x1.30926db43fa36p-3, -0x1.2b852d1fe2dabp-3, -0x1.26859204104dap-3, -0x1.2193ac01d95a2p-3, -0x1.1caf88de612ap-3, -0x1.17d9348e0064bp-3, -0x1.1310b93f655c1p-3, -0x1.0e561f66b438fp-3, -0x1.09a96dc8a646fp-3, -0x1.050aa9859cef9p-3, -0x1.0079d624ab082p-3, -0x1.f7edeb3d3373fp-4, -0x1.ef0410d1ad186p-4, -0x1.e6361b00af7ffp-4, -0x1.dd8404e8d39d2p-4, -0x1.d4edc6e2d157ep-4, -0x1.cc735696d42aep-4, -0x1.c414a71193f0ep-4, -0x1.bbd1a8d937286p-4, -0x1.b3aa4a020cc13p-4, -0x1.ab9e764304d34p-4, -0x1.a3ae1709f108cp-4, -0x1.9bd9138f89397p-4, -0x1.941f50eb283dcp-4, -0x1.8c80b22651862p-4, -0x1.84fd184feccddp-4, -0x1.7d94628f3a8f6p-4, -0x1.76466e3685713p-4, -0x1.6f1316d586a58p-4, -0x1.67fa364b81fbap-4, -0x1.60fba4d9156b1p-4, -0x1.5a173931bc9ebp-4, -0x1.534cc88d04752p-4, -0x1.4c9c26b7738f4p-4, -0x1.460526231e135p-4, -0x1.3f8797f7ee526p-4, -0x1.39234c239aebp-4, -0x1.32d8116949025p-4, -0x1.2ca5b570e1f64p-4, -0x1.268c04d613905p-4, -0x1.208acb36ff78fp-4, -0x1.1aa1d3429909cp-4, -0x1.14d0e6c6b260ep-4, -0x1.0f17cebdb44e4p-4, -0x1.0976535c06904p-4, -0x1.03ec3c1d29999p-4, -0x1.fcf29fa0f11d7p-5, -0x1.f23aa94b43ce8p-5, -0x1.e7b0207191f44p-5, -0x1.dd528f3cbe78ep-5, -0x1.d3217edd4d8aap-5, -0x1.c91c77a1d7457p-5, -0x1.bf43010cd9ec5p-5, -0x1.b594a1e9f6f3ap-5, -0x1.ac10e0628c15fp-5, -0x1.a2b74211c114dp-5, -0x1.99874c17faa93p-5, -0x1.9080832dbabc7p-5, -0x1.87a26bb5ea0a1p-5, -0x1.7eec89cf99f2p-5, -0x1.765e61673338ap-5, -0x1.6df7764715938p-5, -0x1.65b74c27b290dp-5, -0x1.5d9d66bf1d84ep-5, -0x1.55a949d016d2p-5, -0x1.4dda79388eac8p-5, -0x1.463078ffacb9bp-5, -0x1.3eaacd635417ep-5, -0x1.3748fae52754p-5, -0x1.300a865717e9dp-5, -0x1.28eef4e77827ep-5, -0x1.21f5cc2c97eap-5, -0x1.1b1e922fe958cp-5, -0x1.1468cd78b7e2fp-5, -0x1.0dd4051671164p-5, -0x1.075fc0aa795c2p-5, -0x1.010b887196752p-5, -0x1.f5adca99ef93dp-6, -0x1.e982c195a083dp-6, -0x1.dd950a5d20cc6p-6, -0x1.d1e3baf175ab3p-6, -0x1.c66deadcb7abfp-6, -0x1.bb32b3403ede7p-6, -0x1.b0312ee224c26p-6, -0x1.a5687a3a03fafp-6, -0x1.9ad7b37d1629cp-6, -0x1.907dfaa9a3f9cp-6, -0x1.865a7191c80efp-6, -0x1.7c6c3be59ee43p-6, -0x1.72b27f3cd637cp-6, -0x1.692c631f97ce8p-6, -0x1.5fd9110eed1b5p-6, -0x1.56b7b48c88cb2p-6, -0x1.4dc77b220e21ep-6, -0x1.45079467ce6bfp-6, -0x1.3c77320af5795p-6, -0x1.341587d33f2cbp-6, -0x1.2be1cba834b5ep-6, -0x1.23db3595e5814p-6, -0x1.1c00ffd1396ap-6, -0x1.145266bbc172p-6, -0x1.0ccea8e725f5bp-6, -0x1.057507182177bp-6, -0x1.fc8988923d151p-7, -0x1.ee7a4b58d9bf6p-7, -0x1.e0bae55c3180ap-7, -0x1.d349e9eabd329p-7, -0x1.c625f0cb942bcp-7, -0x1.b94d964001928p-7, -0x1.acbf7b04685b8p-7, -0x1.a07a44509d5c6p-7, -0x1.947c9bd789003p-7, -0x1.88c52fc63c3fap-7, -0x1.7d52b2c289bf3p-7, -0x1.7223dbe8ed9ap-7, -0x1.673766ca3305fp-7, -0x1.5c8c13685658ep-7, -0x1.5220a63311338p-7, -0x1.47f3e803ead36p-7, -0x1.3e04a619d7195p-7, -0x1.3451b2146e1fp-7, -0x1.2ad9e1eec92a1p-7, -0x1.219c0ff9ebcaep-7, -0x1.18971ad6ce68ep-7, -0x1.0fc9e570226fcp-7, -0x1.073356f3b855bp-7, -0x1.fda4b59719efp-8, -0x1.ed4bc12d5b709p-8, -0x1.dd59b8435db4ep-8, -0x1.cdcc8abdbdb6ap-8, -0x1.bea230bcb7f0cp-8, -0x1.afd8aa8b882fbp-8, -0x1.a16e008f9477dp-8, -0x1.9360433717d96p-8, -0x1.85ad8ae76d48ep-8, -0x1.7853f7eae28f2p-8, -0x1.6b51b25e48cbap-8, -0x1.5ea4ea1e34761p-8, -0x1.524bd6b3f3599p-8, -0x1.4644b742290c8p-8, -0x1.3a8dd2716850ap-8, -0x1.2f25765c196e3p-8, -0x1.2409f87aa2b45p-8, -0x1.1939b58f20aafp-8, -0x1.0eb31190f7247p-8, -0x1.047477985243fp-8, -0x1.f4f8b392e6521p-9, -0x1.e192627fd49f7p-9, -0x1.ceb2fbf326e72p-9, -0x1.bc578d834b6ep-9, -0x1.aa7d323722d07p-9, -0x1.9921125bdba32p-9, -0x1.8840635a7882p-9, -0x1.77d8678d9c7dap-9, -0x1.67e66e16d45dap-9, -0x1.5867d2b427626p-9, -0x1.4959fd95bcdap-9, -0x1.3aba633347ba2p-9, -0x1.2c868421c58acp-9, -0x1.1ebbece946527p-9, -0x1.115835da997d8p-9, -0x1.045902e545142p-9, -0x1.ef7806db5633cp-10, -0x1.d6fde4464876dp-10, -0x1.bf3f29acc3f48p-10, -0x1.a83778a03890ep-10, -0x1.91e2884fcd185p-10, -0x1.7c3c253639bp-10, -0x1.674030c84468dp-10, -0x1.52eaa1239ea4dp-10, -0x1.3f3780be76a25p-10, -0x1.2c22ee17afa8fp-10, -0x1.19a91b6714955p-10, -0x1.07c64e4ecfc79p-10, -0x1.ecedbf1a2f126p-11, -0x1.cb6e755d62fe2p-11, -0x1.ab07bb839552cp-11, -0x1.8bb2b2135701cp-11, -0x1.6d689d6644455p-11, -0x1.5022e512fe61p-11, -0x1.33db13591a2fap-11, -0x1.188ad48d611b1p-11, -0x1.fc57ed11c1b4fp-12, -0x1.c970d0302b13p-12, -0x1.985470d9729fep-12, -0x1.68f72d1ff6574p-12, -0x1.3b4da1af1443bp-12, -0x1.0f4ca8b5d08b2p-12, -0x1.c9d2b1acc1ab7p-13, -0x1.7832082fbde44p-13, -0x1.29a26db6d35b8p-13, -0x1.bc1edb525fd15p-14, -0x1.2aca081051352p-14, -0x1.3e3e6dbcdc9c2p-15, -0x1.8f81628c5b042p-18, 0x1.9f43595b5afc5p-16, 0x1.c6c072f0c55a7p-15, 0x1.59d9f077cb744p-14, 0x1.cb610ebc8c885p-14, 0x1.1c0bf0c7c0f6fp-13, 0x1.500ff9e5549d7p-13, 0x1.81cd08b89a771p-13, 0x1.b15325a4562fcp-13, 0x1.deb1fd2ce2a0cp-13, 0x1.04fc70dadca3ap-12, 0x1.199b669ac6ccbp-12, 0x1.2d3d31742ef8cp-12, 0x1.3fe8f87ad5df8p-12, 0x1.51a5b90b3baf5p-12, 0x1.627a4798a1a74p-12, 0x1.726d50779b3d4p-12, 0x1.818558a6da33dp-12, 0x1.8fc8be94a69bcp-12, 0x1.9d3dbadfd081ap-12, 0x1.a9ea61181bda3p-12, 0x1.b5d4a0794646ep-12, 0x1.c10244a45b27dp-12, 0x1.cb78f6567b1bdp-12, 0x1.d53e3c1b820e3p-12, 0x1.de577afe46fa2p-12, 0x1.e6c9f7361a6aap-12, 0x1.ee9ad4d1bc025p-12, 0x1.f5cf185e4fe52p-12, 0x1.fc6ba78cf4668p-12, 0x1.013aa4ea7127cp-11, 0x1.03f8548915199p-11, 0x1.067129119ace5p-11, 0x1.08a75ac15e278p-11, 0x1.0a9d13ef415bdp-11, 0x1.0c54715686e14p-11, 0x1.0dcf825f4a74ep-11, 0x1.0f104966b947cp-11, 0x1.1018bc054c97ap-11, 0x1.10eac3547fa58p-11, 0x1.11883c3252f2dp-11, 0x1.11f2f784590dp-11, 0x1.122cba792b52p-11, 0x1.12373ec91c604p-11, 0x1.121432f539f53p-11, 0x1.11c53a8562941p-11, 0x1.114bee4539d23p-11, 0x1.10a9dc7fa86a1p-11, 0x1.0fe08939fffbap-11, 0x1.0ef16e6d42514p-11, 0x1.0dddfc3ef4ad4p-11, 0x1.0ca79937fc09fp-11, 0x1.0b4fa27b6ddddp-11, 0x1.09d76bfbdbfcap-11, 0x1.084040af5e3d8p-11, 0x1.068b62c341614p-11, 0x1.04ba0bce28c12p-11, 0x1.02cd6d0102798p-11, 0x1.00c6af5829113p-11, 0x1.fd4de7946c0e9p-12, 0x1.f8dea6edb0dfp-12, 0x1.f441bfa87243fp-12, 0x1.ef7945b77d2e9p-12, 0x1.ea873e6b8bdc3p-12, 0x1.e56da0c9086f1p-12, 0x1.e02e55dc7ea9p-12, 0x1.dacb390cc4a16p-12, 0x1.d546186bb148ep-12, 0x1.cfa0b5052221ep-12, 0x1.c9dcc32ca223bp-12, 0x1.c3fbeac998912p-12, 0x1.bdffc7a14876ap-12, 0x1.b7e9e99fb3136p-12, 0x1.b1bbd51f5a7c3p-12, 0x1.ab77032dde8b5p-12, 0x1.a51ce1d2028e4p-12, 0x1.9eaed44d89d92p-12, 0x1.982e335f83245p-12, 0x1.919c4d840262dp-12, 0x1.8afa67330a88dp-12, 0x1.8449bb1e2af37p-12, 0x1.7d8b7a6ca19d2p-12, 0x1.76c0ccf6aff4ep-12, 0x1.6fead17ef50d8p-12, 0x1.690a9deb1f5dfp-12, 0x1.62213f7a836c5p-12, 0x1.5b2fbafd08f1dp-12, 0x1.54370d079abbcp-12, 0x1.4d382a28345edp-12, 0x1.4633ff1828271p-12, 0x1.3f2b70edf4709p-12, 0x1.381f5d4d8a6ecp-12, 0x1.31109a97be942p-12, 0x1.29fff8189b007p-12, 0x1.22ee3e3513da5p-12, 0x1.1bdc2e972fcbdp-12, 0x1.14ca8458de461p-12, 0x1.0db9f42eef8c4p-12, 0x1.06ab2c929be5ep-12, 0x1.ff3dabd390b8cp-13, 0x1.f12b255d572edp-13, 0x1.e31fff2d99fc8p-13, 0x1.d51d677136377p-13, 0x1.c724816124a3ap-13, 0x1.b936658ab3ae1p-13, 0x1.ab542216d4837p-13, 0x1.9d7ebb0f51204p-13, 0x1.8fb72aa169a4ep-13, 0x1.81fe6160b284cp-13, 0x1.74554687029aap-13, 0x1.66bcb8343fea2p-13, 0x1.59358bab5f676p-13, 0x1.4bc08d8f0f2dep-13, 0x1.3e5e821c2942bp-13, 0x1.31102563e2c9p-13, 0x1.23d62b82a9d6p-13, 0x1.16b140d7c405p-13, 0x1.09a20a3b5338cp-13, 0x1.f9524a63a57b9p-14, 0x1.df8e503f3e783p-14, 0x1.c5f944f56bfd7p-14, 0x1.ac9439f6fe783p-14, 0x1.9360339857844p-14, 0x1.7a5e296e67f35p-14, 0x1.618f06a9cb391p-14, 0x1.48f3aa6fe4ac2p-14, 0x1.308ce83055787p-14, 0x1.185b87f9fa97dp-14, 0x1.006046cd2e64p-14, 0x1.d137add8a760cp-15, 0x1.a21dc053c7145p-15, 0x1.7374006c1c546p-15, 0x1.453b95d131575p-15, 0x1.1775951570d6ep-15, 0x1.d4460075bdcb3p-16, 0x1.7a898e7c5d80dp-16, 0x1.21b7913f6154ap-16, 0x1.93a3479d569f4p-17, 0x1.cb65013586c1fp-18, 0x1.ccfc0ec10e68dp-20, -0x1.c24cf9079a1dbp-19, -0x1.18e3856880f5p-17, -0x1.bf4f5393f52e7p-17, -0x1.31ea709c643ap-16, -0x1.83394ec6d78fap-16, -0x1.d3939668da303p-16, -0x1.117c59aaf78dcp-15, -0x1.38b415233ad9bp-15, -0x1.5f70cc08d6364p-15, -0x1.85b2587126b6ap-15, -0x1.ab789fbd7848ap-15, -0x1.d0c3923c85168p-15, -0x1.f5932ad09ee7dp-15, -0x1.0cf3b74b8f48dp-14, -0x1.1ee036490e13p-14, -0x1.308f1ea9bc5d5p-14, -0x1.420081555dd23p-14, -0x1.533473ab229cap-14, -0x1.642b0f598ca3fp-14, -0x1.74e4723925895p-14, -0x1.8560be274a9f9p-14, -0x1.95a018e2a9f37p-14, -0x1.a5a2abe7271c2p-14, -0x1.b568a44be51ebp-14, -0x1.c4f232a20b7e3p-14, -0x1.d43f8ad40c748p-14, -0x1.e350e4066941cp-14, -0x1.f2267878c30b1p-14, -0x1.006042b386f9cp-13, -0x1.078fa576bdc83p-13, -0x1.0ea185f5c5b1fp-13, -0x1.159606f3f1a6bp-13, -0x1.1c6d4c7aeb429p-13, -0x1.23277bcd6a968p-13, -0x1.29c4bb5a97467p-13, -0x1.304532b13d847p-13, -0x1.36a90a73fe598p-13, -0x1.3cf06c4d335e8p-13, -0x1.431b82e3d5dcdp-13, -0x1.492a79d02e17bp-13, -0x1.4f1d7d90e041bp-13, -0x1.54f4bb8064a2p-13, -0x1.5ab061ca8a886p-13, -0x1.60509f632397ep-13, -0x1.65d5a3fb7db8fp-13, -0x1.6b3f9ff967901p-13, -0x1.708ec46dbfdbap-13, -0x1.75c3430bae286p-13, -0x1.7add4e1fba31fp-13, -0x1.7fdd18876fc68p-13, -0x1.84c2d5a91594cp-13, -0x1.898eb96be0467p-13, -0x1.8e40f83024b49p-13, -0x1.92d9c6c7b38ap-13, -0x1.97595a6e98e1bp-13, -0x1.9bbfe8c3aedaap-13, -0x1.a00da7c212418p-13, -0x1.a442cdba5d945p-13, -0x1.a85f914c08f43p-13, -0x1.ac64295f2175dp-13, -0x1.b050cd1e18c38p-13, -0x1.b425b3f00389ap-13, -0x1.b7e31572537a6p-13, -0x1.bb89297384841p-13, -0x1.bf1827ed9c171p-13, -0x1.c2904900f7af9p-13, -0x1.c5f1c4ef2aaeep-13, -0x1.c93cd415ef1f5p-13, -0x1.cc71aeea5a05dp-13, -0x1.cf908df42c863p-13, -0x1.d299a9c91c058p-13, -0x1.d58d3b08e890ap-13, -0x1.d86b7a5889f8cp-13, -0x1.db34a05e7fdf4p-13, -0x1.dde8e5be8e09ap-13, -0x1.e088831613a1ap-13, -0x1.e313b0f83e6e4p-13, -0x1.e58aa7ea2220bp-13, -0x1.e7eda05f922f3p-13, -0x1.ea3cd2b79e03ap-13, -0x1.ec78773958d28p-13, -0x1.eea0c610a7c0dp-13, -0x1.f0b5f74b11d64p-13, -0x1.f2b842d50d235p-13, -0x1.f4a7e076d24e5p-13, -0x1.f68507d1dd103p-13, -0x1.f84ff05e258ap-13, -0x1.fa08d16783eecp-13, -0x1.fbafe20b55ef2p-13, -0x1.fd455935e5fddp-13, -0x1.fec96da074b5bp-13, -0x1.001e2ae754903p-12, -0x1.00cf240645662p-12, -0x1.0177bd364031cp-12, -0x1.021811629844dp-12, -0x1.02b03b57ea8edp-12, -0x1.034055c3282a7p-12, -0x1.03c87b3097036p-12, -0x1.0448c60b2ac09p-12, -0x1.04c1509b94b9bp-12, -0x1.05323507841c8p-12, -0x1.059b8d50fed7cp-12, -0x1.05fd73557bebdp-12, -0x1.065800cd5674ap-12, -0x1.06ab4f4b165d8p-12, -0x1.06f7783adf5d2p-12, -0x1.073c94e1de97bp-12, -0x1.077abe5d9f7bep-12, -0x1.07b20da39383bp-12, -0x1.07e29b808ce62p-12, -0x1.080c80983f96cp-12, -0x1.082fd564c485cp-12, -0x1.084cb2362dfd3p-12, -0x1.08632f3220f25p-12, -0x1.087364536abc9p-12, -0x1.087d6969a5a97p-12, -0x1.08815618e043bp-12, -0x1.087f41d94b5c8p-12, -0x1.087743f6d6105p-12, -0x1.0869739102fe2p-12, -0x1.0855e79a82f2ep-12, -0x1.083cb6d90f884p-12, -0x1.081df7e531f24p-12, -0x1.07f9c129f6e32p-12, -0x1.07d028e4c268dp-12, -0x1.07a145252a8b4p-12, -0x1.076d2bccc9d05p-12, -0x1.0733f28f10654p-12, -0x1.06f5aef128a5ep-12, -0x1.06b27649d9634p-12, -0x1.066a5dc17c6eap-12, -0x1.061d7a51bcd8bp-12, -0x1.05cbe0c5b1f73p-12, -0x1.0575a5b9ba77p-12, -0x1.051add9b6bb23p-12, -0x1.04bb9ca9866ddp-12, -0x1.0457f6f40375fp-12, -0x1.03f0005bf009ep-12, -0x1.0383cc9390161p-12, -0x1.03136f1e5ea7ap-12, -0x1.029efb50fcceep-12, -0x1.022684514f593p-12, -0x1.01aa1d166aff9p-12, -0x1.0129d868c5f12p-12, -0x1.00a5c8e2280fcp-12, -0x1.001e00edce10fp-12, -0x1.ff25259107394p-13, -0x1.fe0721016454p-13, -0x1.fce217ecd8835p-13, -0x1.fbb62db749c52p-13, -0x1.fa8385685f046p-13, -0x1.f94a41abf27cep-13, -0x1.f80a84d210d4dp-13, -0x1.f6c470cf70e88p-13, -0x1.f578273db023cp-13, -0x1.f425c95b935b7p-13, -0x1.f2cd780d7be6p-13, -0x1.f16f53dd958abp-13, -0x1.f00b7cfc317b3p-13, -0x1.eea213401930ep-13, -0x1.ed333626eecdap-13, -0x1.ebbf04d586476p-13, -0x1.ea459e18487cdp-13, -0x1.e8c7206396495p-13, -0x1.e743a9d45ef0ap-13, -0x1.e5bb583032228p-13, -0x1.e42e48e5d2cc2p-13, -0x1.e29c990dadfcep-13, -0x1.e106656a3d148p-13, -0x1.df6bca6879f42p-13, -0x1.ddcce42039f75p-13, -0x1.dc29ce54c0c57p-13, -0x1.da82a475227f6p-13, -0x1.d8d7819ccadafp-13, -0x1.d72880940c59fp-13, -0x1.d575bbd07df71p-13, -0x1.d3bf4d7560edbp-13, -0x1.d2054f54410dfp-13, -0x1.d047daed5f05bp-13, -0x1.ce8709703695ap-13, -0x1.ccc2f3bc0f954p-13, -0x1.cafbb260666eep-13, -0x1.c9315d9da3de5p-13, -0x1.c7640d656c35p-13, -0x1.c593d95b305d7p-13, -0x1.c3c0d8d4b410ap-13, -0x1.c1eb22dab0ddbp-13, -0x1.c012ce29424p-13, -0x1.be37f13075bccp-13, -0x1.bc5aa214c3952p-13, -0x1.ba7af6afc4b86p-13, -0x1.b8990490876ecp-13, -0x1.b6b4e0fc6137bp-13, -0x1.b4cea0ef4f2a5p-13, -0x1.b2e6591c86f95p-13, -0x1.b0fc1deef2595p-13, -0x1.af100389cd87ap-13, -0x1.ad221dc9384e1p-13, -0x1.ab328042c53a3p-13, -0x1.a9413e45f6d05p-13, -0x1.a74e6adcf917fp-13, -0x1.a55a18cd179a4p-13, -0x1.a3645a973c62bp-13, -0x1.a16d42788cb84p-13, -0x1.9f74e26af206cp-13, -0x1.9d7b4c25cd1ccp-13, -0x1.9b80911e568c3p-13, -0x1.9984c28840cbbp-13, -0x1.9787f156476d2p-13, -0x1.958a2e3ac3bc8p-13, -0x1.938b89a82ad96p-13, -0x1.918c13d1d3df7p-13, -0x1.8f8bdcac52dfdp-13, -0x1.8d8af3ee14b3cp-13, -0x1.8b89690fdfcaap-13, -0x1.89874b4d764aap-13, -0x1.8784a9a61a791p-13, -0x1.858192dd25259p-13, -0x1.837e157a85918p-13, -0x1.817a3fcb64776p-13, -0x1.7f761fe2c5457p-13, -0x1.7d71c399dc96p-13, -0x1.7b6d3890af9cdp-13, -0x1.79688c2ea52adp-13, -0x1.7763cba31de74p-13, -0x1.755f03e5f99e2p-13, -0x1.735a41b816405p-13, -0x1.715591a3da99cp-13, -0x1.6f50fffdd5befp-13, -0x1.6d4c98e5286efp-13, -0x1.6b4868441f19dp-13, -0x1.694479d0e09d8p-13, -0x1.6740d90dc771fp-13, -0x1.653d9149ee2c2p-13, -0x1.633aada1a9fdap-13, -0x1.613838ff340a5p-13, -0x1.5f363e1b12cafp-13, -0x1.5d34c77cb15f1p-13, -0x1.5b33df7acd707p-13, -0x1.5933903c1c08p-13, -0x1.5733e3b7cdf5ap-13, -0x1.5534e3b5f932bp-13, -0x1.533699d00a5f7p-13, -0x1.51390f7167cbp-13, -0x1.4f3c4dd7edbfcp-13, -0x1.4d405e147204fp-13, -0x1.4b45490b355bfp-13, -0x1.494b17745ee6bp-13, -0x1.4751d1dc94602p-13, -0x1.455980a552619p-13, -0x1.43622c056efd9p-13, -0x1.416bdc09cb30cp-13, -0x1.3f769895a6a64p-13, -0x1.3d8269630ae78p-13, -0x1.3b8f56034edd2p-13, -0x1.399d65df92355p-13, -0x1.37aca03941cb8p-13, -0x1.35bd0c2a7f3dap-13, -0x1.33ceb0a69b6bcp-13, -0x1.31e1947a7b594p-13, -0x1.2ff5be4d3fb5cp-13, -0x1.2e0b34a09c3b7p-13, -0x1.2c21fdd144ac4p-13, -0x1.2a3a20174b64dp-13, -0x1.2853a186b9955p-13, -0x1.266e880fe86d8p-13, -0x1.248ad9801220ap-13, -0x1.22a89b819659bp-13, -0x1.20c7d39c7b095p-13, -0x1.1ee88736ea7f5p-13, -0x1.1d0abb957c604p-13, -0x1.1b2e75dbaf3dfp-13, -0x1.1953bb0c74347p-13, -0x1.177a900a8c969p-13, -0x1.15a2f998d596ep-13, -0x1.13ccfc5ac0fa7p-13, -0x1.11f89cd4b65f5p-13, -0x1.1025df6c940a9p-13, -0x1.0e54c869fc5e5p-13, -0x1.0c855bf6ce8c2p-13, -0x1.0ab79e1f63d4bp-13, -0x1.08eb92d3250ccp-13, -0x1.07213de4e02edp-13, -0x1.0558a30b2e22dp-13, -0x1.0391c5e0b398cp-13, -0x1.01cca9e499ba5p-13, -0x1.0009527afb282p-13, -0x1.fc8f85da3b3ddp-14, -0x1.f90ffcd405f7p-14, -0x1.f594100d2c887p-14, -0x1.f21bc57c55523p-14, -0x1.eea722e591f4bp-14, -0x1.eb362ddafc09cp-14, -0x1.e7c8ebbd8d519p-14, -0x1.e45f61bde0731p-14, -0x1.e0f994dcc84e8p-14, -0x1.dd9789ec10be6p-14, -0x1.da39458f05b31p-14, -0x1.d6decc3b35c0ep-14, -0x1.d38822392f472p-14, -0x1.d0354ba52291p-14, -0x1.cce64c6f895e5p-14, -0x1.c99b285d98613p-14, -0x1.c653e30a326fcp-14, -0x1.c3107fe664d0cp-14, -0x1.bfd1023a2b971p-14, -0x1.bc956d24e4ec6p-14, -0x1.b95dc39de12eap-14, -0x1.b62a08754985cp-14, -0x1.b2fa3e547828cp-14, -0x1.afce67beb1ea2p-14, -0x1.aca68711a61f1p-14, -0x1.a9829e861f29ap-14, -0x1.a662b030aa019p-14, -0x1.a346be01e549bp-14, -0x1.a02ec9c73c4d1p-14, -0x1.9d1ad52b81bd7p-14, -0x1.9a0ae1b78bb4ap-14, -0x1.96fef0d28a885p-14, -0x1.93f703c2cbe35p-14, -0x1.90f31bae15ec1p-14, -0x1.8df3399a4ecddp-14, -0x1.8af75e6e0b088p-14, -0x1.87ff8af0fc0cep-14, -0x1.850bbfcc956d8p-14, -0x1.821bfd8c4fb3fp-14, -0x1.7f30449e70e14p-14, -0x1.7c489554667ffp-14, -0x1.7964efe36ad58p-14, -0x1.76855464dec67p-14, -0x1.73a9c2d6b7e7dp-14, -0x1.70d23b1c2f3ccp-14, -0x1.6dfebcfe0fc11p-14, -0x1.6b2f482b4968cp-14, -0x1.6863dc3960feap-14, -0x1.659c78a4c135p-14, -0x1.62d91cd178849p-14, -0x1.6019c80b7b779p-14, -0x1.5d5e79870b2a4p-14, -0x1.5aa73061433f3p-14, -0x1.57f3eba09aac5p-14, -0x1.5544aa351ea3bp-14, -0x1.52996af8eb458p-14, -0x1.4ff22cb0ad542p-14, -0x1.4d4eee0bfcd14p-14, -0x1.4aafada5da30dp-14, -0x1.48146a05007e3p-14, -0x1.457d219c57eefp-14, -0x1.42e9d2cb4ff4dp-14, -0x1.405a7bde321bdp-14, -0x1.3dcf1b0eb6d67p-14, -0x1.3b47ae84414cbp-14, -0x1.38c434544e823p-14, -0x1.3644aa82c8ec4p-14, -0x1.33c90f0264518p-14, -0x1.31515fb512b3ep-14, -0x1.2edd9a6c516a8p-14, -0x1.2c6dbce96d39fp-14, -0x1.2a01c4de0bc74p-14, -0x1.2799afec51f6ep-14, -0x1.25357ba75ad21p-14, -0x1.22d525938ac07p-14, -0x1.2078ab26cbe17p-14, -0x1.1e2009c8f5cf8p-14, -0x1.1bcb3ed43b271p-14, -0x1.197a479560a69p-14, -0x1.172d214bdd6d2p-14, -0x1.14e3c92a707f9p-14, -0x1.129e3c57516c2p-14, -0x1.105c77ec7b68ep-14, -0x1.0e1e78f81a7f1p-14, -0x1.0be43c7cb750ep-14, -0x1.09adbf7182c2fp-14, -0x1.077afec2aa1cep-14, -0x1.054bf75193342p-14, -0x1.0320a5f5213ccp-14, -0x1.00f9077a118f9p-14, -0x1.fdaa31467cffp-15, -0x1.f969ac537ade4p-15, -0x1.f530797a80e7ep-15, -0x1.f0fe9208d4ee2p-15, -0x1.ecd3ef39ebe06p-15, -0x1.e8b08a37f1435p-15, -0x1.e4945c1c5bfd7p-15, -0x1.e07f5df043ba5p-15, -0x1.dc7188ad07bacp-15, -0x1.d86ad53cbf3dfp-15, -0x1.d46b3c7a835d5p-15, -0x1.d072b7333f4b6p-15, -0x1.cc813e25e2689p-15, -0x1.c896ca03fca06p-15, -0x1.c4b35372234bp-15, -0x1.c0d6d3081fa77p-15, -0x1.bd0141517c734p-15, -0x1.b93296ce35609p-15, -0x1.b56acbf2f173ap-15, -0x1.b1a9d929890a3p-15, -0x1.adefb6d1493adp-15, -0x1.aa3c5d3f70da1p-15, -0x1.a68fc4bf782d6p-15, -0x1.a2e9e5939018ep-15, -0x1.9f4ab7f4fc329p-15, -0x1.9bb2341477ff5p-15, -0x1.9820521a7f024p-15, -0x1.94950a27ac361p-15, -0x1.9110545539f47p-15, -0x1.8d9228b5477f1p-15, -0x1.8a1a7f5319d97p-15, -0x1.86a95033a2e4fp-15, -0x1.833e9355c0112p-15, -0x1.7fda40b28b106p-15, -0x1.7c7c503da7aap-15, -0x1.7924b9e58042p-15, -0x1.75d37593b9dbfp-15, -0x1.72887b2d8e2d7p-15, -0x1.6f43c2940a4f1p-15, -0x1.6c0543a45bd6p-15, -0x1.68ccf6382975fp-15, -0x1.659ad225b8d54p-15, -0x1.626ecf4028328p-15, -0x1.5f48e557c2573p-15, -0x1.5c290c3a7eda6p-15, -0x1.590f3bb42fe2fp-15, -0x1.55fb6b8eafe9p-15, -0x1.52ed9392337eep-15, -0x1.4fe5ab8575a2p-15, -0x1.4ce3ab2e03c03p-15, -0x1.49e78a5091aa2p-15, -0x1.46f140b1188f6p-15, -0x1.4400c6132af0ep-15, -0x1.4116123a156a6p-15, -0x1.3e311ce8f5c0fp-15, -0x1.3b51dde36d3b5p-15, -0x1.38784ced87c51p-15, -0x1.35a461cbed4b4p-15, -0x1.32d614443499bp-15, -0x1.300d5c1d036c1p-15, -0x1.2d4a311e6656cp-15, -0x1.2a8c8b11eab7fp-15, -0x1.27d461c2ca4f7p-15, -0x1.2521acfdfd9f1p-15, -0x1.2274649293d37p-15, -0x1.1fcc805211e1ap-15, -0x1.1d29f8105a077p-15, -0x1.1a8cc3a3fab29p-15, -0x1.17f4dae66205dp-15, -0x1.156235b3e960ep-15, -0x1.12d4cbebf5cd1p-15, -0x1.104c9571135f5p-15, -0x1.0dc98a2971289p-15, -0x1.0b4ba1feed194p-15, -0x1.08d2d4df20f9ep-15, -0x1.065f1abba6836p-15, -0x1.03f06b8a15918p-15, -0x1.0186bf444d46bp-15, -0x1.fe441bd1014ffp-16, -0x1.f9849ef2c976p-16, -0x1.f4cef7fcba662p-16, -0x1.f02317070f388p-16, -0x1.eb80ec33b114cp-16, -0x1.e6e867ae7a35ap-16, -0x1.e25979adc1b38p-16, -0x1.ddd4127281b54p-16, -0x1.d9582248313f6p-16, -0x1.d4e5998583281p-16, -0x1.d07c688c4ab51p-16, -0x1.cc1c7fc9dc2acp-16, -0x1.c7c5cfb74ac4p-16, -0x1.c37848d967fa1p-16, -0x1.bf33dbc0d6f8bp-16, -0x1.baf8790a8ab87p-16, -0x1.b6c61160251cp-16, -0x1.b29c9577dcffbp-16, -0x1.ae7bf614b7de8p-16, -0x1.aa642406fd1d3p-16, -0x1.a655102bd3521p-16, -0x1.a24eab6dc422ap-16, -0x1.9e50e6c4a8ceep-16, -0x1.9a5bb335dd5a9p-16, -0x1.966f01d500396p-16, -0x1.928ac3c37d939p-16, -0x1.8eaeea30d97d9p-16, -0x1.8adb665af2438p-16, -0x1.8710298e10434p-16, -0x1.834d2524b65d7p-16, -0x1.7f924a885338cp-16, -0x1.7bdf8b31389c3p-16, -0x1.7834d8a651ef4p-16, -0x1.7492247da30c6p-16, -0x1.70f7605c3b487p-16, -0x1.6d647df6379c4p-16, -0x1.69d96f0f704d2p-16, -0x1.6656257af7f13p-16, -0x1.62da931b7bfe2p-16, -0x1.5f66a9e340765p-16, -0x1.5bfa5bd443379p-16, -0x1.58959b00575d4p-16, -0x1.5538598932387p-16, -0x1.51e289a0a9481p-16, -0x1.4e941d88531b8p-16, -0x1.4b4d0791e2d5ap-16, -0x1.480d3a1f4c345p-16, -0x1.44d4a7a2d4dbcp-16, -0x1.41a3429f34c36p-16, -0x1.3e78fda75f724p-16, -0x1.3b55cb5ef520bp-16, -0x1.38399e79e7ed1p-16, -0x1.352469bca37ddp-16, -0x1.32161ffc34a3p-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
    }}, 
    {
      62, 0x1.cp+2, 0x1.0fef5ce205a7p+0, 0x1.4c1be654bc2fcp-1, -0x1.440b95c6ddf05p-8, 
      {{
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a0aa5ffda7b83p-6, -0x1.0853e0eb31d53p-5, 0x1.18c7f14f7a0b5p-6, -0x1.be2b4a78eee76p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.86ebb7b53a027p-6, -0x1.f569ec90e88c8p-6, 0x1.080cb81e2448ep-6, -0x1.95c4782cbfaf9p-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6e7f5df7d8dep-6, -0x1.dbc505427547bp-6, 0x1.f1aab405ba319p-7, -0x1.736bf7097201dp-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.5751cc4c693d8p-6, -0x1.c3952af630811p-6, 0x1.d5cf67e504d7dp-7, -0x1.4f70ab58821cap-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.41513204d7546p-6, -0x1.acb89bd924fc8p-6, 0x1.bca6f4a4c7e2dp-7, -0x1.2bf238b5348d2p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2c6d743e16955p-6, -0x1.970d09009aedfp-6, 0x1.a627fd30ca57bp-7, -0x1.08232c6925c4p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.18982de021b46p-6, -0x1.827038bf00b91p-6, 0x1.92588d0f4de93p-7, -0x1.ca335b64a2feep-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.05c4af9dfaa4dp-6, -0x1.6ec02989ee94ap-6, 0x1.8129d33b87cc9p-7, -0x1.7e95249e9e449p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e7cfffeb55346p-7, -0x1.5bd9e40d2f23cp-6, 0x1.72d1084261dd4p-7, -0x1.57dd6e4fea4cp-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.c5f1950f2f95cp-7, -0x1.49a1f7807ffc7p-6, 0x1.65ebedb8fc473p-7, -0x1.560ac43971d3ap-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.a5dd51ae699c5p-7, -0x1.380ea9146cad8p-6, 0x1.5918532a08026p-7, -0x1.4eb13d8948be5p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.8782d6175ff85p-7, -0x1.271dc53821b4cp-6, 0x1.4c8b4741aee17p-7, -0x1.48d2d34729196p-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.6ad20e8e925bp-7, -0x1.16cc1fc646337p-6, 0x1.403692889d571p-7, -0x1.428ed3e669cfep-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.4fbb334ea37c7p-7, -0x1.0716cf34dc089p-6, 0x1.341e042ff95f5p-7, -0x1.3c660c92929a3p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.362ec8885917fp-7, -0x1.eff5b041ff158p-7, 0x1.284096ea7a466p-7, -0x1.3635fa2962991p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.1e1d9e629bedbp-7, -0x1.d2ea87e010f6p-7, 0x1.1c9e90bc202d4p-7, -0x1.3007dc08c1938p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0778d0fa77c36p-7, -0x1.b706357e8cd3ap-7, 0x1.1137dee232849p-7, -0x1.29d937db3a1adp-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.e46390c636c3ep-8, -0x1.9c42ca07dc862p-7, 0x1.060c8663938ap-7, -0x1.23aab798d7179p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.bc74714bb12e9p-8, -0x1.829a56374f73dp-7, 0x1.f6390bcee3bf2p-8, -0x1.1d7c2db6a4fbfp-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.97084384486b9p-8, -0x1.6a06ead4d40e1p-7, 0x1.e0cfbb94642c5p-8, -0x1.174da668a3a28p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.74039f5b2c282p-8, -0x1.528298a4f7082p-7, 0x1.cbdd1be624b3p-8, -0x1.111f1e69b2131p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.534bb4a7d21c5p-8, -0x1.3c07706d2d0d2p-7, 0x1.b7612cd16a8b3p-8, -0x1.0af0969a33175p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.34c64b2df6077p-8, -0x1.268f82f2ac9eep-7, 0x1.a35bee52a6b66p-8, -0x1.04c20ebdfacf6p-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1859c29d99b25p-8, -0x1.1214e0fabcea6p-7, 0x1.8fcd606acd808p-8, -0x1.fd270dca50e01p-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.fbda252609dd9p-9, -0x1.fd2336954145ep-8, 0x1.7cb583199dab6p-8, -0x1.f0c9fe16d06a4p-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.cacf952d8b2eap-9, -0x1.d7ff854f3755bp-8, 0x1.6a14565f290d8p-8, -0x1.e46cee63f9574p-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9d64243b5f22ap-9, -0x1.b4b2cfade337ap-8, 0x1.57e9da3b694d8p-8, -0x1.d80fdeb0c49f5p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.73695111b9919p-9, -0x1.9331373bcc419p-8, 0x1.46360eae61edfp-8, -0x1.cbb2cefdc2ad6p-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.4cb1ca4b5a67bp-9, -0x1.736edd8379b57p-8, 0x1.34f8f3b811079p-8, -0x1.bf55bf4aa5eaap-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.29116e5b8da32p-9, -0x1.555fe40f72e0ap-8, 0x1.24328958779bbp-8, -0x1.b2f8af97a3559p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.085d4b8e2b53cp-9, -0x1.38f86c6a3f0fap-8, 0x1.13e2cf8f94ae9p-8, -0x1.a69b9fe489722p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.d4d7400f2f399p-10, -0x1.1e2c981e65922p-8, 0x1.0409c65d6920cp-8, -0x1.9a3e90317652ap-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.9e27b38985638p-10, -0x1.04f088b66dae4p-8, 0x1.e94edb83e961dp-9, -0x1.8de1807e5f77bp-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6c5d2d3651b23p-10, -0x1.da70bf79bd576p-9, 0x1.cb778b7a6f05cp-9, -0x1.818470cb74881p-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.3f2b4871a4d6dp-10, -0x1.adf07d787fccp-9, 0x1.ae8d9c9e5fe21p-9, -0x1.752761180e8c9p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.16480048a7a35p-10, -0x1.84488e7e3124p-9, 0x1.92910eefc530ap-9, -0x1.68ca51657d9e5p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.e2d75ef3362cap-11, -0x1.5d61359fe022p-9, 0x1.7781e26e8ef83p-9, -0x1.5c6d41b1cc5aep-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.a0a220e7b08d2p-11, -0x1.3922b5f29b3e3p-9, 0x1.5d60171ad2d7cp-9, -0x1.501031ff6e147p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.656a7aafa0f5ep-11, -0x1.1775528b7121dp-9, 0x1.442bacf477632p-9, -0x1.43b3224bae26cp-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.30af5fee1a242p-11, -0x1.f0829cfee0d05p-10, 0x1.2be4a3fb97206p-9, -0x1.375612990fb53p-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.01f483a85f366p-11, -0x1.b6ddd9c74edcdp-10, 0x1.148afc301c58cp-9, -0x1.2af902e5f07d4p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.b184b08bc7093p-12, -0x1.81cce19a4a5bcp-10, 0x1.fc3d6b24216bep-10, -0x1.1e9bf33298884p-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.694c1f209559fp-12, -0x1.51203aa1efd73p-10, 0x1.d13fa042f0f14p-10, -0x1.123ee37ff88bdp-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2a633566d144fp-12, -0x1.24a86b085ccf9p-10, 0x1.a81c97bc8ba91p-10, -0x1.05e1d3cc82c43p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.e7eea8f50639p-13, -0x1.f86bf1ef5d17ap-11, 0x1.80d4519111a59p-10, -0x1.f3098832ee0ccp-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8a7eb87827cd1p-13, -0x1.af32d53403064p-11, 0x1.5b66cdc072fd7p-10, -0x1.da4f68ce0468p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.3af756a09a63fp-13, -0x1.6d468c32e8386p-11, 0x1.37d40c4a990f9p-10, -0x1.c19549647288cp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.efd87c81640bdp-14, -0x1.3248234042c9cp-11, 0x1.161c0d2fdd454p-10, -0x1.a8db2a08c625cp-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.80084f670842p-14, -0x1.fbb14d60b5297p-12, 0x1.ec7da0de699edp-11, -0x1.90210a7d224bp-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.23f191b9ce4cp-14, -0x1.9f3245ae6c12dp-12, 0x1.b078ac187147p-11, -0x1.7766eba415745p-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.b25b54a5c9dp-15, -0x1.4e554813acc68p-12, 0x1.78293bf307a7ep-11, -0x1.5eacca2addad9p-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.3af7f639fc6p-15, -0x1.085c6d331269p-12, 0x1.438f50d300014p-11, -0x1.45f2b287fd167p-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.bb07845135cffp-16, -0x1.99139b95d2dp-13, 0x1.12aae93e9a0aep-11, -0x1.2d38762766f31p-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.2c2ad11a21a01p-16, -0x1.343f04645d67bp-13, 0x1.caf8157162006p-12, -0x1.147ec2e5c2d6dp-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.843e3e973c402p-17, -0x1.c17e910552809p-14, 0x1.7805415fa78dp-12, -0x1.f7861fd443962p-12}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.d9069ea250cp-18, -0x1.3a3120c944b3dp-14, 0x1.2c7defcc9d68ap-12, -0x1.c61da56877fc3p-12}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.0a1e3ce7dbfffp-18, -0x1.9f3cb9bccafffp-15, 0x1.d0bfc7937d393p-13, -0x1.947d7c44ce6eap-12}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.0bef3a7617fffp-19, -0x1.fb36c4019c847p-16, 0x1.5766ef18727edp-13, -0x1.63ad227a14a07p-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.c935af7f6cp-21, -0x1.132c6506f17abp-16, 0x1.d965fcb472382p-14, -0x1.2fd539fbc5aa9p-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.29f2e72b8p-22, -0x1.e918967e265f7p-18, 0x1.231940509538cp-14, -0x1.074bbcf2006aep-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.da2fa3e7c04f9p-25, -0x1.2b70c2a550e44p-19, 0x1.0a3e044b9052ap-15, -0x1.47f8104f316c2p-13}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.da2fa3e7c052ep-29, -0x1.ee0c39a1b4cbfp-23, 0x1.15d7ea09cab06p-17, -0x1.ced42e261e9e7p-13}, 
      }}, 
      0x1.c9d7c2247ba44p-9, -0x1.69650f5ecfef3p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.8e174b8e625c2p-13, 0x1.8bf6ece391828p-11, 0x1.b95f9c7848135p-10, 0x1.836e22f2719adp-9, 0x1.2a131203953ccp-8, 0x1.a5c0bec9c037dp-8, 0x1.1983f6e3f3227p-7, 0x1.68177d5168535p-7, 0x1.bdc0ab03c1651p-7, 0x1.0cd5009450418p-6, 0x1.3d825918faf25p-6, 0x1.70852a01003cep-6, 0x1.a57f21e3728e9p-6, 0x1.dc1755c99cc99p-6, 0x1.09fd49e06efaap-5, 0x1.266dc40995a39p-5, 0x1.43395d9790651p-5, 0x1.603f385724784p-5, 0x1.7d6136d993311p-5, 0x1.9a83db159ec5ep-5, 0x1.b78e1d8f1cfcfp-5, 0x1.d46945cd6b088p-5, 0x1.f100c28400dep-5, 0x1.06a101a8d30bap-4, 0x1.148e2a74d0bdfp-4, 0x1.22405fe8e09aep-4, 0x1.2fb0f4b7ebe5ap-4, 0x1.3cd9fbcdf7bd1p-4, 0x1.49b63ab084499p-4, 0x1.56411bbbf3f53p-4, 0x1.6276a4903112p-4, 0x1.6e5367c1f180fp-4, 0x1.79d4788420404p-4, 0x1.84f762487829ep-4, 0x1.8fba1d675f64dp-4, 0x1.9a1b072ca615p-4, 0x1.a418dc788b2aep-4, 0x1.adb2b6739c22p-4, 0x1.b6e809a429a3ep-4, 0x1.bfb8a67c4914fp-4, 0x1.c824b8f39a716p-4, 0x1.d02cc6ba6dd31p-4, 0x1.d7d1a9ef16ebdp-4, 0x1.df14890401a45p-4, 0x1.e5f6cd53b2742p-4, 0x1.ec7a18e52cbb4p-4, 0x1.f2a03d48f6cc9p-4, 0x1.f86b33a578ea9p-4, 0x1.fddd15e1805eep-4, 0x1.017c0c742a652p-3, 0x1.03df43f727e7cp-3, 0x1.0619600593196p-3, 0x1.082b964637b1p-3, 0x1.0a1721c7e4063p-3, 0x1.0bdd417db81c1p-3, 0x1.0d7f36d5ed2f1p-3, 0x1.0efe448a33838p-3, 0x1.105bad627bfc1p-3, 0x1.1198b33f9cf5ep-3, 0x1.12b69629aa7b5p-3, 0x1.13b693791d2dp-3, 0x1.1499e50fa26cbp-3, 0x1.1561c0ae16a8dp-3, 0x1.160f575b2f091p-3, 0x1.16a3d4ee2e358p-3, 0x1.17205f7cd88b8p-3, 0x1.178616fc30f2ap-3, 0x1.17d614e13bdap-3, 0x1.18116bda8c972p-3, 0x1.1839279014899p-3, 0x1.184e4c6764753p-3, 0x1.1851d75026c4ap-3, 0x1.1844bd9d70e4dp-3, 0x1.1827ecef32e05p-3, 0x1.17fc4b161ece4p-3, 0x1.17c2b61c5b1d4p-3, 0x1.177c04295b0e3p-3, 0x1.172903850d397p-3, 0x1.16ca7aa01a9e6p-3, 0x1.16612811a0564p-3, 0x1.15edc2a9b58ddp-3, 0x1.1570f980ed323p-3, 0x1.14eb7416de267p-3, 0x1.145dd274f5396p-3, 0x1.13c8ad4ded7dp-3, 0x1.132c962213ac2p-3, 0x1.128a175bf2813p-3, 0x1.11e1b46d91113p-3, 0x1.1133e9f7b6175p-3, 0x1.10812de1c3158p-3, 0x1.0fc9efa05f411p-3, 0x1.0f0e9854791b1p-3, 0x1.0e4f8b138de63p-3, 0x1.0d8d251b9c76ep-3, 0x1.0cc7be0ac1ad7p-3, 0x1.0bffa8104ccdp-3, 0x1.0b35301af2b54p-3, 0x1.0a689e0345db2p-3, 0x1.099a34b706a3dp-3, 0x1.08ca3266c900ap-3, 0x1.07f8d0b633072p-3, 0x1.072644f106978p-3, 0x1.0652c0426c088p-3, 0x1.057e6fec04888p-3, 0x1.04a97d7e1c2p-3, 0x1.03d40f0c6cf93p-3, 0x1.02fe4760050ffp-3, 0x1.02284625c9773p-3, 0x1.0152281960aabp-3, 0x1.007c072f1a463p-3, 0x1.ff4bf5690fc02p-4, 0x1.fda02efc89e61p-4, 0x1.fbf4e00793e4p-4, 0x1.fa4a290f93dcap-4, 0x1.f8a02676f699fp-4, 0x1.f6f6f0bf4ec0fp-4, 0x1.f54e9cd7658abp-4, 0x1.f3a73c5645f94p-4, 0x1.f200ddc168392p-4, 0x1.f05b8cc859683p-4, 0x1.eeb7528030581p-4, 0x1.ed1435980fbe7p-4, 0x1.eb723a8c36f66p-4, 0x1.e9d163d3838b6p-4, 0x1.e831b209a2d42p-4, 0x1.e693241847fadp-4, 0x1.e4f5b7560fad5p-4, 0x1.e35967ad0488ep-4, 0x1.e1be2fb9e54ep-4, 0x1.e02408e42e9ffp-4, 0x1.de8aeb7d87ec9p-4, 0x1.dcf2ceda1c55ep-4, 0x1.db5ba968c2592p-4, 0x1.d9c570c89f966p-4, 0x1.d83019df2d5ap-4, 0x1.d69b98eb27423p-4, 0x1.d507e19622d86p-4, 0x1.d374e7065163ap-4, 0x1.d1e29bec9f1a4p-4, 0x1.d050f293466f3p-4, 0x1.cebfdce9ff2a7p-4, 0x1.cd2f4c90e9cecp-4, 0x1.cb9f32e367a6p-4, 0x1.ca0f8100cc2a2p-4, 0x1.c88027d4c8107p-4, 0x1.c6f1181dfe9e6p-4, 0x1.c56242761fc7bp-4, 0x1.c3d397564c52ep-4, 0x1.c245071c087bep-4, 0x1.c0b6820fb19ecp-4, 0x1.bf27f86820d8p-4, 0x1.bd995a4ce886p-4, 0x1.bc0a97dc676fp-4, 0x1.ba7ba12eecb7ep-4, 0x1.b8ec6657ae2e6p-4, 0x1.b75cd76954e38p-4, 0x1.b5cce47a71248p-4, 0x1.b43c7da5d0af1p-4, 0x1.b2ab930cd857dp-4, 0x1.b11a14dd117d8p-4, 0x1.af87f34d3e5ep-4, 0x1.adf51eb126653p-4, 0x1.ac61875ab0baep-4, 0x1.aacd1dbdff31ap-4, 0x1.a937d266963b1p-4, 0x1.a7a195f506c56p-4, 0x1.a60a592aacbc9p-4, 0x1.a4720ce7f3b77p-4, 0x1.a2d8a2310a465p-4, 0x1.a13e0a2d9d569p-4, 0x1.9fa2362e9df13p-4, 0x1.9e0517b233055p-4, 0x1.9c66a0640dd9ap-4, 0x1.9ac6c2208e02cp-4, 0x1.99256efa45563p-4, 0x1.9782993c2b91ap-4, 0x1.95de336bf3153p-4, 0x1.9438304d76e9ep-4, 0x1.929082e78737fp-4, 0x1.90e71e86b0b4bp-4, 0x1.8f3bf6bf1a15fp-4, 0x1.8d8eff709ace5p-4, 0x1.8be02ccc016d8p-4, 0x1.8a2f7355c1e5cp-4, 0x1.887cc7e7861eap-4, 0x1.86c81fb325f0dp-4, 0x1.851170470aefdp-4, 0x1.8358af9525f9bp-4, 0x1.819dd3f1914e4p-4, 0x1.7fe0d414eb449p-4, 0x1.7e21a721f9bb1p-4, 0x1.7c6044a92a976p-4, 0x1.7a9ca4abda647p-4, 0x1.78d6bf9bc51fbp-4, 0x1.770e8e5ccff85p-4, 0x1.75440a4b2622bp-4, 0x1.73772d4069951p-4, 0x1.71a7f193d095cp-4, 0x1.6fd65217f8965p-4, 0x1.6e024a1c6f086p-4, 0x1.6c2bd573c6faep-4, 0x1.6a52f078d6276p-4, 0x1.6877980e940bfp-4, 0x1.6699c99ccb357p-4, 0x1.64b9830f916f5p-4, 0x1.62d6c2dba8634p-4, 0x1.60f1880398581p-4, 0x1.5f09d218772a1p-4, 0x1.5d1fa13696697p-4, 0x1.5b32f602f6556p-4, 0x1.5943d1ad3161fp-4, 0x1.575235f3b0dcdp-4, 0x1.555e252547002p-4, 0x1.5367a21e17d37p-4, 0x1.516eb0430d9fep-4, 0x1.4f7353809e368p-4, 0x1.4d75904ddb05ep-4, 0x1.4b756bafeabd3p-4, 0x1.4972eb393d0d3p-4, 0x1.476e1504119ddp-4, 0x1.4566efac637f8p-4, 0x1.435d824de8014p-4, 0x1.4151d486dca07p-4, 0x1.3f43ee7bc981p-4, 0x1.3d33d8d75a322p-4, 0x1.3b219cc4b2ad8p-4, 0x1.390d43e70f348p-4, 0x1.36f6d85382e5ap-4, 0x1.34de64900036dp-4, 0x1.32c3f396ed82fp-4, 0x1.30a790db957e7p-4, 0x1.2e89484b20521p-4, 0x1.2c6926479e548p-4, 0x1.2a47379d93907p-4, 0x1.282389776b6f6p-4, 0x1.25fe2953df73p-4, 0x1.23d725040d709p-4, 0x1.21ae8ab32280ep-4, 0x1.1f8468f463da8p-4, 0x1.1d58cecf34ec4p-4, 0x1.1b2bcbbed1e03p-4, 0x1.18fd6f9f9cf33p-4, 0x1.16cdca8d732a5p-4, 0x1.149cecc13d681p-4, 0x1.126ae6811d789p-4, 0x1.1037c83183a98p-4, 0x1.0e03a2811d4c2p-4, 0x1.0bce86a3b25a2p-4, 0x1.0998866f4cc43p-4, 0x1.0761b4423438cp-4, 0x1.052a22c978f6p-4, 0x1.02f1e485c9aa3p-4, 0x1.00b90b893766ap-4, 0x1.fcff52d49873cp-5, 0x1.f88b9f2ac7863p-5, 0x1.f4171fc1856a4p-5, 0x1.efa1fa2a34229p-5, 0x1.eb2c566d577f9p-5, 0x1.e6b65e645e327p-5, 0x1.e2403c3b067e4p-5, 0x1.ddca1884fbac5p-5, 0x1.d95418dd28d6ep-5, 0x1.d4de5fd583f7dp-5, 0x1.d0690e7709108p-5, 0x1.cbf446d36feb5p-5, 0x1.c7802e90dc704p-5, 0x1.c30cf03041c98p-5, 0x1.be9aba3b96dap-5, 0x1.ba29bc6b52443p-5, 0x1.b5ba23cf00bb1p-5, 0x1.b14c17a149259p-5, 0x1.acdfb85107c3bp-5, 0x1.a875216c67af3p-5, 0x1.a40c6de01c59fp-5, 0x1.9fa5bcef36582p-5, 0x1.9b4135d6c2887p-5, 0x1.96df086ae3929p-5, 0x1.927f6a104fc3ep-5, 0x1.8e228fece2e54p-5, 0x1.89c8a891c674bp-5, 0x1.8571d7a88f611p-5, 0x1.811e359d8a793p-5, 0x1.7ccdd37d53499p-5, 0x1.7880c1b65b8bfp-5, 0x1.74371776cb463p-5, 0x1.6ff0f826bbcf1p-5, 0x1.6bae94d6e0accp-5, 0x1.677028850e874p-5, 0x1.6335eff865948p-5, 0x1.5f002017d5818p-5, 0x1.5acede9c16154p-5, 0x1.56a23fe8bc654p-5, 0x1.527a4a731f6bep-5, 0x1.4e56fe49569d3p-5, 0x1.4a385edf3b0a8p-5, 0x1.461e7d2471252p-5, 0x1.42097ed667872p-5, 0x1.3df99f0b9aec2p-5, 0x1.39ef25a537cccp-5, 0x1.35ea5829548cfp-5, 0x1.31eb6afd8c5b4p-5, 0x1.2df2799e56ec2p-5, 0x1.29ff875b42e1fp-5, 0x1.261285b4c69ecp-5, 0x1.222b5e05a08fep-5, 0x1.1e49ff04b0c6cp-5, 0x1.1a6e6d8693b4ep-5, 0x1.1698d1a6d79bep-5, 0x1.12c975bd667b8p-5, 0x1.0f00b2f8a6fbbp-5, 0x1.0b3ed5463aac5p-5, 0x1.0784080380014p-5, 0x1.03d055128d666p-5, 0x1.0023afb56a06bp-5, 0x1.f8fbfbe8c37f9p-6, 0x1.f1be3ad2c6d99p-6, 0x1.ea8dda5f435f7p-6, 0x1.e36ac7673f683p-6, 0x1.dc5549e3cc94p-6, 0x1.d54e0487dd24dp-6, 0x1.ce55b4df43cfdp-6, 0x1.c76cdc38f1a1ep-6, 0x1.c093970cc157ap-6, 0x1.b9c9c0a50ec2ap-6, 0x1.b30f3749064aep-6, 0x1.ac63f8fde90c2p-6, 0x1.a5c803ccff096p-6, 0x1.9f3b2f999ae61p-6, 0x1.98bd4268173a4p-6, 0x1.924e3842502bcp-6, 0x1.8bee70e12a3cfp-6, 0x1.859e83f587cd7p-6, 0x1.7f5ed59cade83p-6, 0x1.792f4d982344ep-6, 0x1.730f7e25d9b6p-6, 0x1.6cff1f505e5dp-6, 0x1.66fe6b85e1fdfp-6, 0x1.610dfbc0f250fp-6, 0x1.5b2e3f8add864p-6, 0x1.555f1e0a2aceap-6, 0x1.4fa01efafc0c2p-6, 0x1.49f0e0b110a75p-6, 0x1.445160ea28b69p-6, 0x1.3ec1e0c31e50fp-6, 0x1.394284d14950dp-6, 0x1.33d30a6d13fe8p-6, 0x1.2e72e8e8480f4p-6, 0x1.2921e3536eb02p-6, 0x1.23e08be0bb9cap-6, 0x1.1eb00c45456ebp-6, 0x1.19913f2e1e551p-6, 0x1.148407cc4746bp-6, 0x1.0f877dca0a658p-6, 0x1.0a9a806556c2dp-6, 0x1.05bc363df9541p-6, 0x1.00ec722893bafp-6, 0x1.f8576951f2e18p-7, 0x1.eef50cf147849p-7, 0x1.e5b19abc0ef46p-7, 0x1.dc8c27e45d52cp-7, 0x1.d385266b901c2p-7, 0x1.ca9f17e3bb5a6p-7, 0x1.c1dc97a1b8ab3p-7, 0x1.b93e0badd93b5p-7, 0x1.b0c165ca38692p-7, 0x1.a86336990f6cp-7, 0x1.a01f7090552f4p-7, 0x1.97f30cdbeb095p-7, 0x1.8fdeb26deea78p-7, 0x1.87e63d3649cc5p-7, 0x1.800c80dc88ee1p-7, 0x1.7851016f898a1p-7, 0x1.70b2977305e1ep-7, 0x1.69327cba42f6bp-7, 0x1.61d3bf0720821p-7, 0x1.5a98be0fab89cp-7, 0x1.53813d874514ep-7, 0x1.4c8a42c95747ap-7, 0x1.45af15a2bd9d8p-7, 0x1.3ee963840be8ep-7, 0x1.3833b98ffea1fp-7, 0x1.318f6b1c66017p-7, 0x1.2b037d584743dp-7, 0x1.2493f6e14925bp-7, 0x1.1e3f826ed3af8p-7, 0x1.1805071d9d23bp-7, 0x1.11e60757fad3ap-7, 0x1.0be4f1ba8bea1p-7, 0x1.0604c6a6f51e4p-7, 0x1.0047f5bc975cdp-7, 0x1.f55afb4d1e22ep-8, 0x1.ea61cfe3b797dp-8, 0x1.df96e60f8a20ep-8, 0x1.d4e7964c6079p-8, 0x1.ca4b083cd82d4p-8, 0x1.bfceac08cca95p-8, 0x1.b57fd6cd68f41p-8, 0x1.ab5cd6d62dc16p-8, 0x1.a1648ab4527f6p-8, 0x1.979ab1fe4c243p-8, 0x1.8dfeafcbee43dp-8, 0x1.84902a9504ac2p-8, 0x1.7b56ccf4a4538p-8, 0x1.725cd9dca46cfp-8, 0x1.69a4000c5f885p-8, 0x1.612606b20f839p-8, 0x1.58da126b4aff7p-8, 0x1.50ae3fa2b7e9cp-8, 0x1.4895bdf7ce373p-8, 0x1.409925160cdaap-8, 0x1.38bacc95e7de4p-8, 0x1.30f53c9a8fe5bp-8, 0x1.29520f4efeecep-8, 0x1.21d9c0b29902ap-8, 0x1.1a868f9590c67p-8, 0x1.135196c8b5e4p-8, 0x1.0c3d0e72e023p-8, 0x1.0552f586f1348p-8, 0x1.fd360fafff212p-9, 0x1.f027014b6b3efp-9, 0x1.e3746f9b4875dp-9, 0x1.d71bad6f8a92p-9, 0x1.cb046ca49b05fp-9, 0x1.bf2c121df39a5p-9, 0x1.b394d1948c2cep-9, 0x1.a821b3bbcb233p-9, 0x1.9cd84eaffab87p-9, 0x1.91c8e7c5447a5p-9, 0x1.86ef6963ee299p-9, 0x1.7c48b87ba3c9bp-9, 0x1.71d4f79856f58p-9, 0x1.67940123c6611p-9, 0x1.5d8af346f78bbp-9, 0x1.53c27fa154ea9p-9, 0x1.4a3a13ae0c4e6p-9, 0x1.40f3b9d019c8fp-9, 0x1.37fd81bb8a6cep-9, 0x1.2f42cbd636447p-9, 0x1.26b36eaa5dd11p-9, 0x1.1e502d2a7840fp-9, 0x1.161325deb3c21p-9, 0x1.0e18f9191089ap-9, 0x1.0660448eacfacp-9, 0x1.fdaa6685bf301p-10, 0x1.eed61e55c41b1p-10, 0x1.e03a16dda758fp-10, 0x1.d1dccd7802b3dp-10, 0x1.c3ce7a99b2546p-10, 0x1.b61ce64996588p-10, 0x1.a8c06a341b5a1p-10, 0x1.9ba44c1f7eafep-10, 0x1.8eeb37248ffebp-10, 0x1.82c9749cd91abp-10, 0x1.76fbee4003cebp-10, 0x1.6b63aa8aab266p-10, 0x1.5fec436190822p-10, 0x1.54c278e1f4e42p-10, 0x1.49e99a26dceefp-10, 0x1.3f4feb6578c23p-10, 0x1.34fdf416a57ap-10, 0x1.2aff6736c87c2p-10, 0x1.2157e0e11ed64p-10, 0x1.17fee7b652fcdp-10, 0x1.0ee1e1ee4dae3p-10, 0x1.05f2c6bc7a54dp-10, 0x1.fa60830d2257fp-11, 0x1.e9334989ea779p-11, 0x1.d878b9c460dc2p-11, 0x1.c87c134e78c34p-11, 0x1.b8ed0402e66f4p-11, 0x1.a9a61e32e10cfp-11, 0x1.9acd923bc87d8p-11, 0x1.8c9f5d079ef97p-11, 0x1.7eced75f034a3p-11, 0x1.713cb1e1f9d22p-11, 0x1.63f75359a0405p-11, 0x1.5709f47bee4d8p-11, 0x1.4a76583e721b8p-11, 0x1.3e38ed09d7f12p-11, 0x1.324dcad8e4905p-11, 0x1.26b80e14da7ccp-11, 0x1.1b899b4f19e7p-11, 0x1.10d270a1e728p-11, 0x1.068a1fc61a5f3p-11, 0x1.f93aef19e45e4p-12, 0x1.e6390e42a1199p-12, 0x1.d36975d29d5eap-12, 0x1.c0b679863c6f4p-12, 0x1.aed63757c7a12p-12, 0x1.9d8dc077df94bp-12, 0x1.8cc2bdf1da572p-12, 0x1.7caeab5f34142p-12, 0x1.6d356a9240299p-12, 0x1.5e2c835a885bap-12, 0x1.4f873895ce3a4p-12, 0x1.4147a7ee9cd7dp-12, 0x1.336fad16755fcp-12, 0x1.25fded73c6dbfp-12, 0x1.18f7627ef0cafp-12, 0x1.0c68ed274e48bp-12, 0x1.004eaf0e4604ap-12, 0x1.e913e3c32c5bap-13, 0x1.d24cdc48c4eefp-13, 0x1.bcbaf31e447dbp-13, 0x1.a7508f2691b3p-13, 0x1.93229a69e4ea5p-13, 0x1.8030df7728951p-13, 0x1.6df5e4dd0b628p-13, 0x1.5c10c5840bcacp-13, 0x1.4a9a3a93cdda6p-13, 0x1.39caa79873cb8p-13, 0x1.296ddd823b01p-13, 0x1.19cfa737fff1ap-13, 0x1.0b155c9ed57b3p-13, 0x1.f9ce718902a9ep-14, 0x1.de2d38f00a656p-14, 0x1.c35b35a37d5dbp-14, 0x1.a9975d44fc3cp-14, 0x1.90f6d9b698d07p-14, 0x1.793a670ba40d4p-14, 0x1.6228b3f3d8adcp-14, 0x1.4c9b89d05960ep-14, 0x1.3759602fb6154p-14, 0x1.236faf9f8311fp-14, 0x1.10417dc6ad06bp-14, 0x1.fb7977e7d924ap-15, 0x1.d7eda58f7d1b4p-15, 0x1.b5d64ba369bcep-15, 0x1.9525344072194p-15, 0x1.75dee6ef66e8fp-15, 0x1.584897938817cp-15, 0x1.3cde163351526p-15, 0x1.232b0536f4934p-15, 0x1.0a1a3aafcf0eap-15, 0x1.e3719072d8addp-16, 0x1.b3f5f2689f3c2p-16, 0x1.885430ddd59e2p-16, 0x1.601adc6962965p-16, 0x1.39364f7ab45abp-16, 0x1.131dc4702983dp-16, 0x1.df400175ebc2dp-17, 0x1.9b3a618365abbp-17, 0x1.5beb225c0ae69p-17, 0x1.1f53379908ec4p-17, 0x1.cc3cc264f15cap-18, 0x1.60932a514ed69p-18, 0x1.f6c927d6099c7p-19, 0x1.38dae5d54ce02p-19, 0x1.0d8df9045d77dp-20, -0x1.0026db46d6012p-22, -0x1.7810b47f572b2p-20, -0x1.4dbc7526f0708p-19, -0x1.d5ab592066bb5p-19, -0x1.2a45a4d6e2616p-18, -0x1.65800897f3e08p-18, -0x1.9c7d69dc3a572p-18, -0x1.cf7b0f66a4893p-18, -0x1.fe7a2f99b5119p-18, -0x1.13b898618f7e5p-17, -0x1.257bd69aeddd6p-17, -0x1.3648e9975f02fp-17, -0x1.467a0699ba729p-17, -0x1.54386ffe05dd9p-17, -0x1.5fce464585f14p-17, -0x1.6a7b399ca8756p-17, -0x1.7415d00f85414p-17, -0x1.7c693d865fa77p-17, -0x1.836f6d2d4f869p-17, -0x1.893620b11ae7fp-17, -0x1.8dcf0df4cf8c6p-17, -0x1.914b1c25fa33fp-17, -0x1.93ba17a67b2bep-17, -0x1.952b6cfbf1729p-17, -0x1.95afa8eabe69p-17, -0x1.9556ec5229d2fp-17, -0x1.9424745dccd9bp-17, -0x1.921e1fb87c892p-17, -0x1.8f5aaf9a28526p-17, -0x1.8be6853933e72p-17, -0x1.87ecd7d4bd101p-17, -0x1.8355dc6867854p-17, -0x1.7debe7c92d1adp-17, -0x1.7824e5ae7f041p-17, -0x1.71e5cfaf3dadcp-17, -0x1.6b334c04381bep-17, -0x1.641d8b3114c92p-17, -0x1.5cb75358cc618p-17, -0x1.54f7263bdc339p-17, -0x1.4c856cf2e9be6p-17, -0x1.43d401fce51e6p-17, -0x1.3b2910cf86fa3p-17, -0x1.31f35b3f5d9dp-17, -0x1.28948b5a1294p-17, -0x1.1f1c52fb91d67p-17, -0x1.157c3bc76a3bep-17, -0x1.0bb49be6dd143p-17, -0x1.01c9eb0f2ab2dp-17, -0x1.ef82e974c1486p-18, -0x1.db43707edf632p-18, -0x1.c6df2c6b92083p-18, }}, 
      {{0x1.ea5db537415a4p-8, 0x1.d234be948f519p-7, 0x1.4342aa0e02cefp-6, 0x1.83f15cf523869p-6, 0x1.a856076ad792fp-6, 0x1.af4ccf07865e3p-6, 0x1.98e5320a668bp-6, 0x1.6606ec236dabep-6, 0x1.182d7ff128265p-6, 0x1.626ae9dd738c4p-7, 0x1.99ba251aa7ed9p-9, -0x1.7e4fec9e2c19fp-8, -0x1.04e717823a7b6p-6, -0x1.ba800c8230556p-6, -0x1.3f1597fa10909p-5, -0x1.a6e58c1b6a3f6p-5, -0x1.09d77dd97528dp-4, -0x1.4240401c072a3p-4, -0x1.7c3c93a84799ap-4, -0x1.b7646b4881787p-4, -0x1.f3582300a70d5p-4, -0x1.17e02b45c3731p-3, -0x1.3626ce5548581p-3, -0x1.545c17f3af037p-3, -0x1.725fc58fbd9f1p-3, -0x1.9014ff745e889p-3, -0x1.ad6221bc4e534p-3, -0x1.ca3084d42213dp-3, -0x1.e66c467cfbea6p-3, -0x1.01020a16142dfp-2, -0x1.0e747b2ee2189p-2, -0x1.1b870f56ef185p-2, -0x1.28345be70b362p-2, -0x1.3477dbc6dc387p-2, -0x1.404dda3ec136ap-2, -0x1.4bb35f7c24757p-2, -0x1.56a61f32f89adp-2, -0x1.61246993e908fp-2, -0x1.6b2d1e84fb20bp-2, -0x1.74bfa2c05d281p-2, -0x1.7ddbd62586cbfp-2, -0x1.86820a31ec888p-2, -0x1.8eb2f818ddeb9p-2, -0x1.966fb61704d8ep-2, -0x1.9db9ac5dab2ddp-2, -0x1.a4928a3d5c637p-2, -0x1.aafc3bfbd56fp-2, -0x1.b0f8e19cd20e7p-2, -0x1.b68ac6c0bc0b8p-2, -0x1.bbb45b70e79adp-2, -0x1.c0782db4b2f78p-2, -0x1.c4d8e3ef16718p-2, -0x1.c8d937c5c79a7p-2, -0x1.cc7bf193527b7p-2, -0x1.cfc3e44d54b6p-2, -0x1.d2b3e9d8d73dcp-2, -0x1.d54edfb309139p-2, -0x1.d797a3fe39ec4p-2, -0x1.d99112d9653ecp-2, -0x1.db3e040bcd66p-2, -0x1.dca148e3fc66bp-2, -0x1.ddbdaa5515bd1p-2, -0x1.de95e76408012p-2, -0x1.df2cb3d54c348p-2, -0x1.df84b6ed90a0cp-2, -0x1.dfa08a52b946ep-2, -0x1.df82b9209fa94p-2, -0x1.df2dbf4ee1e3bp-2, -0x1.dea4093781972p-2, -0x1.dde7f3190edc7p-2, -0x1.dcfbc8973aa32p-2, -0x1.dbe1c4653977bp-2, -0x1.da9c1030b93a1p-2, -0x1.d92cc4b5eafefp-2, -0x1.d795e9d782415p-2, -0x1.d5d97694f41ccp-2, -0x1.d3f95107298ebp-2, -0x1.d1f74e6c884bcp-2, -0x1.cfd5336c8b4d5p-2, -0x1.cd94b47bd41e8p-2, -0x1.cb377647c3631p-2, -0x1.c8bf0e10d7012p-2, -0x1.c62d01e9f80d8p-2, -0x1.c382c8f254c6ep-2, -0x1.c0c1cb953de2p-2, -0x1.bdeb63e89b704p-2, -0x1.bb00de238cf18p-2, -0x1.b803792221274p-2, -0x1.b4f466ea2bc63p-2, -0x1.b1d4cd1e2ceacp-2, -0x1.aea5c55e619f2p-2, -0x1.ab685d9e4aa68p-2, -0x1.a81d987283994p-2, -0x1.a4c66d668d6bp-2, -0x1.a163c959a1f12p-2, -0x1.9df68ee828dafp-2, -0x1.9a7f96dbc11cfp-2, -0x1.96ffb09a0011bp-2, -0x1.9377a29188311p-2, -0x1.8fe82a9c77ab7p-2, -0x1.8c51fe58aa7fcp-2, -0x1.88b5cb79987ddp-2, -0x1.8514381179f5bp-2, -0x1.816de2d77e178p-2, -0x1.7dc3636f014bbp-2, -0x1.7a154aad44784p-2, -0x1.766422e13e993p-2, -0x1.72b0701d45d0bp-2, -0x1.6efab07e9e258p-2, -0x1.6b435c740d206p-2, -0x1.678ae702e2779p-2, -0x1.63d1be061599fp-2, -0x1.60184a6ab8a67p-2, -0x1.5c5ef067d8a0fp-2, -0x1.58a60fb2789d7p-2, -0x1.54ee03ad54522p-2, -0x1.513723974c0d2p-2, -0x1.4d81c2b670739p-2, -0x1.49ce3081a3da3p-2, -0x1.461cb8c8d7601p-2, -0x1.426da3dc66db5p-2, -0x1.3ec136b2c4012p-2, -0x1.3b17b30d13f49p-2, -0x1.3771579ace2fp-2, -0x1.33ce601bb8b79p-2, -0x1.302f058079839p-2, -0x1.2c937e0901a4dp-2, -0x1.28fbfd629826ep-2, -0x1.2568b4c38982ap-2, -0x1.21d9d304b697dp-2, -0x1.1e4f84baac057p-2, -0x1.1ac9f44cf08e1p-2, -0x1.17494a0bfb8ddp-2, -0x1.13cdac45bae2dp-2, -0x1.10573f59aa001p-2, -0x1.0ce625cb740dp-2, -0x1.097a8054a5717p-2, -0x1.06146df630f66p-2, -0x1.02b40c0870fe8p-2, -0x1.feb2ec959e0bdp-3, -0x1.f8098de698b22p-3, -0x1.f16c2d78b40dcp-3, -0x1.eadaf9e579654p-3, -0x1.e4561f06cc915p-3, -0x1.ddddc60f101f1p-3, -0x1.d77215a17ab4fp-3, -0x1.d11331ead7c6ep-3, -0x1.cac13cb6a145p-3, -0x1.c47c558406d0ep-3, -0x1.be44999c47996p-3, -0x1.b81a24253853cp-3, -0x1.b1fd0e3314024p-3, -0x1.abed6edc7c285p-3, -0x1.a5eb5b4bd4944p-3, -0x1.9ff6e6cdd86eep-3, -0x1.9a1022e2dac01p-3, -0x1.94371f4fc88p-3, -0x1.8e6bea2aee18ep-3, -0x1.88ae8fe99e171p-3, -0x1.82ff1b7077dedp-3, -0x1.7d5d9620a0689p-3, -0x1.77ca07e15153dp-3, -0x1.7244772f2b14ap-3, -0x1.6ccce928afb15p-3, -0x1.67636198da987p-3, -0x1.6207e30111564p-3, -0x1.5cba6ea5ab844p-3, -0x1.577b0499e7d39p-3, -0x1.5249a3c7fc7e3p-3, -0x1.4d2649fa9a096p-3, -0x1.4810f3e87965cp-3, -0x1.43099d3dfad74p-3, -0x1.3e1040a493ac9p-3, -0x1.3924d7cba033ap-3, -0x1.34475b72a47b2p-3, -0x1.2f77c37151545p-3, -0x1.2ab606be56596p-3, -0x1.26021b777a498p-3, -0x1.215bf6ead0632p-3, -0x1.1cc38d9db6656p-3, -0x1.1838d352771eep-3, -0x1.13bbbb0fcfe54p-3, -0x1.0f4c3729a9077p-3, -0x1.0aea39477f27cp-3, -0x1.0695b268bcd1ep-3, -0x1.024e92eacf63p-3, -0x1.fc299522ae4c9p-4, -0x1.f3d0911ba8c0dp-4, -0x1.eb91f7058bfecp-4, -0x1.e36da30efaf98p-4, -0x1.db63705eba2a9p-4, -0x1.d373392388537p-4, -0x1.cb9cd69e69cd5p-4, -0x1.c3e0212655b73p-4, -0x1.bc3cf02f661adp-4, -0x1.b4b31a5a19636p-4, -0x1.ad427582d6aecp-4, -0x1.a5ead6c8e3e3cp-4, -0x1.9eac128fb06e1p-4, -0x1.9785fc8509a42p-4, -0x1.907867afcf818p-4, -0x1.8983267f2a279p-4, -0x1.82a60ad13698p-4, -0x1.7be0e5f30a93dp-4, -0x1.753388a419d5fp-4, -0x1.6e9dc32259625p-4, -0x1.681f65394120cp-4, -0x1.61b83e4a4bd72p-4, -0x1.5b681d4da4f91p-4, -0x1.552ed0d256ec7p-4, -0x1.4f0c270686948p-4, -0x1.48ffedc4c509ap-4, -0x1.4309f29f47dfep-4, -0x1.3d2a02e2df607p-4, -0x1.375feb95a32efp-4, -0x1.31ab79796545cp-4, -0x1.2c0c7915b8224p-4, -0x1.2682b6c4a633bp-4, -0x1.210dfebac5777p-4, -0x1.1bae1d07c435cp-4, -0x1.1662dd945cc27p-4, -0x1.112c0c24e2dcap-4, -0x1.0c097462c3191p-4, -0x1.06fae1e868f8cp-4, -0x1.02002048d67e6p-4, -0x1.fa31f620b8be1p-5, -0x1.f08a7b83e69abp-5, -0x1.e70967aebd9d6p-5, -0x1.ddae518ee6717p-5, -0x1.d478d0210a21fp-5, -0x1.cb687a83cc01cp-5, -0x1.c27ce8013eb4fp-5, -0x1.b9b5b00e728b8p-5, -0x1.b1126a4717589p-5, -0x1.a892ae6c23a3ep-5, -0x1.a036146943da6p-5, -0x1.97fc3460cf588p-5, -0x1.8fe4a6bc2fabbp-5, -0x1.87ef043dc8be1p-5, -0x1.801ae61048066p-5, -0x1.7867e5ce1894cp-5, -0x1.70d59d7cbdd6ep-5, -0x1.6963a77ca556ep-5, -0x1.62119e7602403p-5, -0x1.5adf1d5121bc3p-5, -0x1.53cbbf474216p-5, -0x1.4cd7200d40e23p-5, -0x1.4600dc07c593ap-5, -0x1.3f48906e0016fp-5, -0x1.38addb53e0c84p-5, -0x1.32305b594c429p-5, -0x1.2bcfaf8421eedp-5, -0x1.258b76ea1f3f1p-5, -0x1.1f6350b1271b1p-5, -0x1.1956dc511243fp-5, -0x1.1365ba085886bp-5, -0x1.0d8f8b59fb9a5p-5, -0x1.07d3f33e4ec2bp-5, -0x1.023295ffff35p-5, -0x1.f95631587f4b9p-6, -0x1.ee7a40c352f66p-6, -0x1.e3d0a39c9dcdap-6, -0x1.d958a2513c36cp-6, -0x1.cf118573f270cp-6, -0x1.c4fa9799deb92p-6, -0x1.bb1327358ae48p-6, -0x1.b15a878ede62dp-6, -0x1.a7d010457c36p-6, -0x1.9e731b69d4f02p-6, -0x1.954302e624961p-6, -0x1.8c3f1e58798bp-6, -0x1.8366c266def38p-6, -0x1.7ab941ffb2554p-6, -0x1.7235f1252a5b3p-6, -0x1.69dc28323d9fcp-6, -0x1.61ab4641e88dcp-6, -0x1.59a2b1a241f47p-6, -0x1.51c1d5f21ff4fp-6, -0x1.4a082084ce4afp-6, -0x1.4274fc5c212b6p-6, -0x1.3b07cf83fbc9bp-6, -0x1.33bffada55bfcp-6, -0x1.2c9cdc7c9a6a4p-6, -0x1.259dd3f478665p-6, -0x1.1ec246afc3781p-6, -0x1.1809a336d2ef6p-6, -0x1.117361e1cca83p-6, -0x1.0aff027de692p-6, -0x1.04ac0771d9c8dp-6, -0x1.fcf3e04b56c75p-7, -0x1.f0d069ed56f1fp-7, -0x1.e4ec8ca3dfd88p-7, -0x1.d9471e2d3ba34p-7, -0x1.cddef267ab518p-7, -0x1.c2b2e65133792p-7, -0x1.b7c1ea3a99466p-7, -0x1.ad0b0819b90e9p-7, -0x1.a28d6274fc8a9p-7, -0x1.98482a4e77382p-7, -0x1.8e3a8f38bafa8p-7, -0x1.8463b0f4101dp-7, -0x1.7ac2994022765p-7, -0x1.71563f086b0c2p-7, -0x1.681d8f17876a6p-7, -0x1.5f1776a20dac1p-7, -0x1.5642ef28ff12dp-7, -0x1.4d9f0b44c3c39p-7, -0x1.452aff55d3e18p-7, -0x1.3ce61e02617dfp-7, -0x1.34cfc5d0fb4ccp-7, -0x1.2ce748d592fa5p-7, -0x1.252bddc54a03ep-7, -0x1.1d9ca26fe2affp-7, -0x1.1638a8e5859abp-7, -0x1.0eff023ff09c7p-7, -0x1.07eec2a305c1bp-7, -0x1.010706226985bp-7, -0x1.f48dfb0b50f8ep-8, -0x1.e75bf81103a1dp-8, -0x1.da76ead728665p-8, -0x1.cdddcb0d35363p-8, -0x1.c18f610fc2fefp-8, -0x1.b58a2cb07d917p-8, -0x1.a9cc87bdf95dep-8, -0x1.9e54e0ada8ea2p-8, -0x1.9321d401aa002p-8, -0x1.8832121dcb972p-8, -0x1.7d8439d5e8cep-8, -0x1.7316db4f9d75p-8, -0x1.68e8a3b783a2bp-8, -0x1.5ef87ce91350fp-8, -0x1.5545738f206f9p-8, -0x1.4bce7346cc1a7p-8, -0x1.42921b13ef8a1p-8, -0x1.398edcfeba17ep-8, -0x1.30c354c12b232p-8, -0x1.282e86cebb82ep-8, -0x1.1fcfc63370ae3p-8, -0x1.17a6546602e33p-8, -0x1.0fb11a162cef1p-8, -0x1.07eebacf7ee6p-8, -0x1.005ddfa9e1641p-8, -0x1.f1fad32155269p-9, -0x1.e398cbe96ff24p-9, -0x1.d593b38574f48p-9, -0x1.c7e9306f04caep-9, -0x1.ba96afbc66306p-9, -0x1.ad9a0e62ef6c1p-9, -0x1.a0f22d8fb5bbep-9, -0x1.949eaab2a2b2p-9, -0x1.889ecc6581422p-9, -0x1.7cf0bb6876cf1p-9, -0x1.7191b7278d03ep-9, -0x1.667ec369cb767p-9, -0x1.5bb53adb0f0ddp-9, -0x1.51333df3d9b71p-9, -0x1.46f7b7da0e97dp-9, -0x1.3d01b15b6d6e9p-9, -0x1.334f997e3f2c1p-9, -0x1.29df88f875c26p-9, -0x1.20b04d7a35ef7p-9, -0x1.17c1bc9b604f8p-9, -0x1.0f13aee9060dbp-9, -0x1.06a4de0cafecap-9, -0x1.fce5b2d521a27p-10, -0x1.ecf5411063283p-10, -0x1.dd720a18081bp-10, -0x1.ce56cc5173635p-10, -0x1.bfa1cbbb2d74bp-10, -0x1.b1545c8fa6778p-10, -0x1.a36eed15973a9p-10, -0x1.95eee6a072c68p-10, -0x1.88d11ad35f16fp-10, -0x1.7c1472c4ac4e6p-10, -0x1.6fb93f3f1cce2p-10, -0x1.63befac423d5p-10, -0x1.5822df5615448p-10, -0x1.4ce015e06ee57p-10, -0x1.41f0b53f36d06p-10, -0x1.374ddd1c1235dp-10, -0x1.2cf190fa88735p-10, -0x1.22db5618c595cp-10, -0x1.190f3fb32ab8p-10, -0x1.0f8eea9912524p-10, -0x1.0657a9b0e2386p-10, -0x1.face33e4edb12p-11, -0x1.e979d30c56e66p-11, -0x1.d8b26349d7b5p-11, -0x1.c878262981982p-11, -0x1.b8ca5368628b4p-11, -0x1.a9a3968013d3dp-11, -0x1.9afa4d892322p-11, -0x1.8cc252f70360fp-11, -0x1.7eeca03c05c82p-11, -0x1.7171330daa215p-11, -0x1.64572cfb2abdfp-11, -0x1.57a56b646b228p-11, -0x1.4b586871ed3bep-11, -0x1.3f6d07ab4e8e1p-11, -0x1.33e3bcde8007dp-11, -0x1.28ba14a5e17bdp-11, -0x1.1ded32e9dcb34p-11, -0x1.137eb7ed629ebp-11, -0x1.0971c56e299ebp-11, -0x1.ff89561feae9fp-12, -0x1.ece2b515c7879p-12, -0x1.dae11b65f3963p-12, -0x1.c96ce3b2c72b5p-12, -0x1.b874bd03c966ap-12, -0x1.a7ff45b0e9fd3p-12, -0x1.980c61810deadp-12, -0x1.889319f11b9d1p-12, -0x1.799a97501f1bfp-12, -0x1.6b28e4fffdc5ep-12, -0x1.5d34eed62f35cp-12, -0x1.4fb45c08c4102p-12, -0x1.42a5c8dfbb68cp-12, -0x1.360f049e2a2c8p-12, -0x1.29f3b36cd82fp-12, -0x1.1e4efa8999eb6p-12, -0x1.131b96a489e3fp-12, -0x1.0855594658354p-12, -0x1.fbdee500f153cp-13, -0x1.e7cca398f2b0dp-13, -0x1.d470d5fa1df1bp-13, -0x1.c1ae81b1fa00cp-13, -0x1.af8615bd7e7d7p-13, -0x1.9e015b5ae7209p-13, -0x1.8d1913a54a538p-13, -0x1.7cc68b998cd38p-13, -0x1.6d05b76ca341ep-13, -0x1.5dd2425ef9bfap-13, -0x1.4f2b3a97491b4p-13, -0x1.411231d26ff28p-13, -0x1.3382f8889a057p-13, -0x1.267a462d3c08dp-13, -0x1.19fc07671bb58p-13, -0x1.0df8c40aed415p-13, -0x1.02643df3d7196p-13, -0x1.ee782d5170912p-14, -0x1.d8f32a0113ffdp-14, -0x1.c4531dba669d7p-14, -0x1.b08e511355635p-14, -0x1.9d870b3e944a2p-14, -0x1.8b2a94e262f1p-14, -0x1.7970dc1d99b15p-14, -0x1.6859ec0b46988p-14, -0x1.57e87c46598e6p-14, -0x1.481c22a7a466ap-14, -0x1.38ec59435682p-14, -0x1.2a4d3178c8f2cp-14, -0x1.1c45b3e97e8p-14, -0x1.0ee1fc7e50c03p-14, -0x1.020689fea3d9ap-14, -0x1.eb49ea25e5345p-15, -0x1.d366ce5d7b248p-15, -0x1.bc7aef6ea8df1p-15, -0x1.a6809c7af6497p-15, -0x1.9162bccb57394p-15, -0x1.7d1d054798b13p-15, -0x1.69adb93cde9ap-15, -0x1.570ef7bce2246p-15, -0x1.4535365d53cfep-15, -0x1.3410c7a7f2a56p-15, -0x1.23947ecaacefap-15, -0x1.13bad31cb255ep-15, -0x1.048181ff66944p-15, -0x1.ebcbe6ee393a8p-16, -0x1.cfcda0457ff18p-16, -0x1.b4f24b715ed72p-16, -0x1.9b298d29cf8eap-16, -0x1.826a8b29c3c9bp-16, -0x1.6ab29b69c5c3p-16, -0x1.53f0256e7ce38p-16, -0x1.3e1703e4571cap-16, -0x1.291f581b9f272p-16, -0x1.15011ec788568p-16, -0x1.01b4f82491c92p-16, -0x1.de688dc7bfb2p-17, -0x1.baf0ae0ec8a19p-17, -0x1.98f000412264cp-17, -0x1.78494eda3a3a5p-17, -0x1.58e07a56a16bcp-17, -0x1.3aa86f325472p-17, -0x1.1d961bfd07115p-17, -0x1.0185d23192716p-17, -0x1.cd66d2870f99ep-18, -0x1.9a44b1760ce52p-18, -0x1.68f5cc601e032p-18, -0x1.39951e3231fa2p-18, -0x1.0c18e90dbd6d5p-18, -0x1.c045e5b2c482ep-19, -0x1.6b67b92634986p-19, -0x1.19d698a907a3dp-19, -0x1.973502e0eb465p-20, -0x1.011d298a1a8f4p-20, -0x1.c45dada0b9d31p-22, 0x1.91fdcdc2fe489p-24, 0x1.3c0c674ef3cfdp-21, 0x1.1e567a0adf53fp-20, 0x1.9a41e8403df59p-20, 0x1.088f49d25cc1fp-19, 0x1.41c6f29c9c6f8p-19, 0x1.79cb66bec739fp-19, 0x1.aea4847eb34bfp-19, 0x1.e29bf7d314db5p-19, 0x1.0af09eaf833ecp-18, 0x1.23cbb0237820ap-18, 0x1.3b820f224c648p-18, 0x1.5234863c26454p-18, 0x1.6830d09643a8fp-18, 0x1.7d41fff5c9aep-18, 0x1.91d1340e4a85fp-18, 0x1.a623546d9e90ap-18, 0x1.b9d3dea4902ebp-18, 0x1.ccaaae58cb136p-18, 0x1.debf858b3382cp-18, 0x1.f04e5f7037194p-18, 0x1.00b993afc3fecp-17, 0x1.090269418eae7p-17, 0x1.10efb22f9d6p-17, 0x1.18e0d85dd0b18p-17, 0x1.2059dfa955671p-17, 0x1.27cef6867e289p-17, 0x1.2f041331ae123p-17, 0x1.35f6322962cc4p-17, 0x1.3cb27aa00ddc9p-17, 0x1.433b573e9400ap-17, 0x1.4991e11865499p-17, 0x1.4fbaf5f9702f6p-17, 0x1.55cb1dc7789a1p-17, 0x1.5be6533968c81p-17, 0x1.61f6cea708653p-17, 0x1.67b9e466d03f2p-17, 0x1.6d33d7d784b65p-17, 0x1.726308f28261cp-17, 0x1.77a693572c4bap-17, 0x1.7cf5196ea397fp-17, 0x1.82054eb537b4p-17, 0x1.86c4839705764p-17, 0x1.8b7b9f6c930acp-17, 0x1.9001e1e205af9p-17, 0x1.947cc9492ba9ep-17, 0x1.98c88bf727586p-17, 0x1.9cf5468f99f6ep-17, 0x1.a105b31a6c34ep-17, 0x1.a4fa2980c7c4cp-17, 0x1.a8d2e4797bb39p-17, 0x1.ac8f7ecf9ef86p-17, 0x1.b02f74a7b9414p-17, 0x1.b3b2a4a92239fp-17, 0x1.b71901c2ca8e1p-17, 0x1.ba61eaf85a0d2p-17, 0x1.bd8b6caf62c31p-17, 0x1.c0940669bfc04p-17, 0x1.c37f11238604bp-17, 0x1.c64bcc0d5a5f8p-17, 0x1.c8fb976c1957ep-17, 0x1.cbab9abe17ddfp-17, 0x1.ce587d1d91ab7p-17, 0x1.d0d5d8ffb2e98p-17, 0x1.d318ed67d1c38p-17, 0x1.d55844cd8149cp-17, 0x1.d78f5fb70a773p-17, 0x1.d99af8ba21a22p-17, 0x1.db813dc8c9a85p-17, 0x1.dd4a7711ff463p-17, 0x1.def981e7a2db2p-17, 0x1.e08eb2e416ea6p-17, 0x1.e209cca3ed994p-17, 0x1.e36a9eb3f3953p-17, 0x1.e4b10acc18c23p-17, 0x1.e5dce6452c2cbp-17, 0x1.e6edb981ac87p-17, 0x1.e7e30655e9eebp-17, 0x1.e8be7258832b4p-17, 0x1.e9812a7c135cp-17, 0x1.ea293726bb237p-17, 0x1.eab68701f90a7p-17, 0x1.eb238b1d4e0b3p-17, 0x1.eb763b635293cp-17, 0x1.ebb9a0516f56ep-17, 0x1.ebdb24f136066p-17, 0x1.ebe1199bbe714p-17, 0x1.ebcc405163f35p-17, 0x1.eb9b2fb6c7bep-17, 0x1.eb4bc1a35c30ap-17, 0x1.eae131af3a73ep-17, 0x1.ea6ff204c5bffp-17, 0x1.e9e2cfe834fd3p-17, 0x1.e92a6b8d47aeep-17, 0x1.e86a259cb2536p-17, 0x1.e78d206c2d1c5p-17, 0x1.e69044a5298afp-17, 0x1.e5789f65dd9b7p-17, 0x1.e447c6b71af25p-17, 0x1.e2fe73450bf07p-17, 0x1.e19cf9c8d2ab7p-17, 0x1.e022e288cc663p-17, 0x1.de9061e155c86p-17, }}, 
      {{-0x1.2947b4c4bf6bep-1, -0x1.2740171c0a3d2p-1, -0x1.24b28b6d66d1p-1, -0x1.2212dacd520f1p-1, -0x1.1faff0eada85fp-1, -0x1.1dbd66c74a059p-1, -0x1.1c5aaa40c3468p-1, -0x1.1b985fc0453a7p-1, -0x1.1b7c71a81ed53p-1, -0x1.1c05201891b4ep-1, -0x1.1d2b4d733aa61p-1, -0x1.1ee43804f8d77p-1, -0x1.2122c674a8492p-1, -0x1.23d881927c851p-1, -0x1.26f64e9a9391bp-1, -0x1.2a6cf860dc58bp-1, -0x1.2e2d929a8ae71p-1, -0x1.3229bffdb0115p-1, -0x1.3653e208ec3a6p-1, -0x1.3a9f37c20fe4bp-1, -0x1.3effef9969a21p-1, -0x1.436b2fa7d0912p-1, -0x1.47d716ca348afp-1, -0x1.4c3ab89004f95p-1, -0x1.508e15746d1acp-1, -0x1.54ca1087fde6bp-1, -0x1.58e8636e8bf6cp-1, -0x1.5ce39155f8d62p-1, -0x1.60b6d961f94cap-1, -0x1.645e28eb64339p-1, -0x1.67d60dd30a87bp-1, -0x1.6b1ba9213a6bfp-1, -0x1.6e2ca21213669p-1, -0x1.710719ae3199ap-1, -0x1.73a99f1e07417p-1, -0x1.761324d7e47dfp-1, -0x1.7842f6cc5830dp-1, -0x1.7a38b1a8eae29p-1, -0x1.7bf43b2e8df21p-1, -0x1.7d75bb731a287p-1, -0x1.7ebd96cceb899p-1, -0x1.7fcc68082f009p-1, -0x1.80a2faa318f1ap-1, -0x1.814244f830da2p-1, -0x1.81ab626febdeep-1, -0x1.81df8df4bcf9bp-1, -0x1.81e01cce613bep-1, -0x1.81ae7a029c21cp-1, -0x1.814c223a017c1p-1, -0x1.80baa01da000ep-1, -0x1.7ffb8921f55ffp-1, -0x1.7f107aad454f1p-1, -0x1.7dfb179107f5bp-1, -0x1.7cbd05c9ee28bp-1, -0x1.7b57ec80b0e1cp-1, -0x1.79cd724456dc5p-1, -0x1.781f3b78ad70ep-1, -0x1.764ee8f2553c5p-1, -0x1.745e16c467805p-1, -0x1.724e5b3440ef1p-1, -0x1.702145cac6322p-1, -0x1.6dd85e86d906ep-1, -0x1.6b75253a28f5fp-1, -0x1.68f911045d686p-1, -0x1.66658fd9a8438p-1, -0x1.63bc06138856ap-1, -0x1.60fdce232bdc6p-1, -0x1.5e2c3869c0fdep-1, -0x1.5b488b2071229p-1, -0x1.58540239c75b5p-1, -0x1.554fcf3ff0a49p-1, -0x1.523d194924517p-1, -0x1.4f1cfd0e1d211p-1, -0x1.4bf08d1603884p-1, -0x1.48b8d1dc1d071p-1, -0x1.4576c9e6efe36p-1, -0x1.422b69d667a1fp-1, -0x1.3ed79c83d5b46p-1, -0x1.3b7c433a229adp-1, -0x1.381a36037038dp-1, -0x1.34b243f642c7ep-1, -0x1.31453375abfbfp-1, -0x1.2dd3c25e50f96p-1, -0x1.2a5ea62cac578p-1, -0x1.26e68c28f636ep-1, -0x1.236c19a337c8dp-1, -0x1.1fefec40290cbp-1, -0x1.1c729a4d6a03dp-1, -0x1.18f4b3143f776p-1, -0x1.1576bf1f6b02p-1, -0x1.11f940750bdc2p-1, -0x1.0e7cb2c464cbep-1, -0x1.0b018b9043d75p-1, -0x1.07883a5c9b57ep-1, -0x1.041128e225a06p-1, -0x1.009cbb4a3377bp-1, -0x1.fa56a0df76ff5p-2, -0x1.f37a8441d6b47p-2, -0x1.eca5cabccfe5dp-2, -0x1.e5d9152865038p-2, -0x1.df14fb9640ff6p-2, -0x1.d85a0da8ba86cp-2, -0x1.d1a8d2df5aab7p-2, -0x1.cb01cade0ed51p-2, -0x1.c4656db472731p-2, -0x1.bdd42c25d2b79p-2, -0x1.b74e6ff44b4adp-2, -0x1.b0d49c2f238aap-2, -0x1.aa670d81c6298p-2, -0x1.a4061a821e6e7p-2, -0x1.9db213fc98b97p-2, -0x1.976b453c5a952p-2, -0x1.9131f44d42b04p-2, -0x1.8b066239be50ap-2, -0x1.84e8cb42de4eep-2, -0x1.7ed96713d398p-2, -0x1.78d868f1eaeb7p-2, -0x1.72e5ffea2e119p-2, -0x1.6d0256fc8fb56p-2, -0x1.672d95461ddffp-2, -0x1.6167de2a50a21p-2, -0x1.5bb1517b9496fp-2, -0x1.560a0ba2d8f42p-2, -0x1.507225c67d82ap-2, -0x1.4ae9b5f036f3cp-2, -0x1.4570cf316996p-2, -0x1.400781c634e85p-2, -0x1.3aaddb3713751p-2, -0x1.3563e678adc37p-2, -0x1.3029ac09e5a4fp-2, -0x1.2aff3210530ccp-2, -0x1.25e47c7356f15p-2, -0x1.20d98cf588682p-2, -0x1.1bde634c9a54cp-2, -0x1.16f2fd3899f73p-2, -0x1.12175699a7cfap-2, -0x1.0d4b6984c4c68p-2, -0x1.088f2e583717ap-2, -0x1.03e29bce9d798p-2, -0x1.fe8b4e23405fap-3, -0x1.f57087988fec6p-3, -0x1.ec74c878080bcp-3, -0x1.e397f2832d342p-3, -0x1.dad9e4e387c27p-3, -0x1.d23a7c4936bd8p-3, -0x1.c9b993094eb3ep-3, -0x1.c157013c3ec25p-3, -0x1.b9129cd918ac6p-3, -0x1.b0ec39d091b63p-3, -0x1.a8e3aa28aa9dep-3, -0x1.a0f8be1521264p-3, -0x1.992b440ef5039p-3, -0x1.917b08ed64605p-3, -0x1.89e7d7fc834bfp-3, -0x1.82717b115ab84p-3, -0x1.7b17ba9fdfd19p-3, -0x1.73da5dd063e06p-3, -0x1.6cb92a916c18dp-3, -0x1.65b3e5aa12a2ep-3, -0x1.5eca52ce0eb93p-3, -0x1.57fc34af0eb04p-3, -0x1.51494d0b81ccep-3, -0x1.4ab15cc081abap-3, -0x1.443423daa22e4p-3, -0x1.3dd161a4286d8p-3, -0x1.3788d4b2d1135p-3, -0x1.315a3af780a72p-3, -0x1.2b4551cd10079p-3, -0x1.2549d60411f55p-3, -0x1.1f6783ef6d7b5p-3, -0x1.199e17726e2c5p-3, -0x1.13ed4c0d12045p-3, -0x1.0e54dce66b96bp-3, -0x1.08d484d802711p-3, -0x1.036bfe7a0cc16p-3, -0x1.fc36085bc7fa3p-4, -0x1.f1c2a04e102f8p-4, -0x1.e77d38ea96505p-4, -0x1.dd65461f1a9cap-4, -0x1.d37a3bb927df7p-4, -0x1.c9bb8d753378fp-4, -0x1.c028af1067fc3p-4, -0x1.b6c1145c1d0d6p-4, -0x1.ad84314d566afp-4, -0x1.a4717a089e951p-4, -0x1.9b8862f045a99p-4, -0x1.92c860b60ba34p-4, -0x1.8a30e86ac4284p-4, -0x1.81c16f87a6a1bp-4, -0x1.79796bf7b8e42p-4, -0x1.7158542659842p-4, -0x1.695d9f0f14b96p-4, -0x1.6188c448655f5p-4, -0x1.59d93c093b044p-4, -0x1.524e7f30eb916p-4, -0x1.4ae807550e0dcp-4, -0x1.43a54ecf5dd2cp-4, -0x1.3c85d0c4fbeddp-4, -0x1.358909291115ap-4, -0x1.2eae74c2c4505p-4, -0x1.27f591396fdap-4, -0x1.215ddd210e83cp-4, -0x1.1ae6d80023bfcp-4, -0x1.149002505ad73p-4, -0x1.0e58dd816d20ep-4, -0x1.0840ec02648d6p-4, -0x1.0247b14cea456p-4, -0x1.f8d963d71e95ap-5, -0x1.ed5ee6f3c0595p-5, -0x1.e21ef9482b601p-5, -0x1.d718aa5860e13p-5, -0x1.cc4b0be6bc837p-5, -0x1.c1b53202dc1bcp-5, -0x1.b756330c4337ap-5, -0x1.ad2d27adbd9f2p-5, -0x1.a3392addbe54ap-5, -0x1.997959e9a12e2p-5, -0x1.8fecd4854a3dcp-5, -0x1.8692bcd3dcdc4p-5, -0x1.7d6a3765522cbp-5, -0x1.74726b2fae4c8p-5, -0x1.6baa818e4741bp-5, -0x1.6311a64abe2b2p-5, -0x1.5aa707a950d35p-5, -0x1.5269d66f02a78p-5, -0x1.4a5945ddfa172p-5, -0x1.42748bad2d1b8p-5, -0x1.3abae00405dfep-5, -0x1.332b7d7e434e5p-5, -0x1.2bc5a134d6745p-5, -0x1.24888ac458e1p-5, -0x1.1d737c4c5fe3dp-5, -0x1.1685ba68a72efp-5, -0x1.0fbe8c292df5bp-5, -0x1.091d3b0e02489p-5, -0x1.02a11307ad194p-5, -0x1.f892c4f3dee83p-6, -0x1.ec2af47c10e64p-6, -0x1.e0095b469a7aap-6, -0x1.d42ca4dc256eep-6, -0x1.c89381a98c242p-6, -0x1.bd3ca6f4627eap-6, -0x1.b226cec84856fp-6, -0x1.a750b7e02bdf6p-6, -0x1.9cb92594bb2fep-6, -0x1.925edfdadc51ep-6, -0x1.8840b355a1bd2p-6, -0x1.7e5d7172b6781p-6, -0x1.74b3f07d84af4p-6, -0x1.6b430b957722fp-6, -0x1.6209a27d6bebcp-6, -0x1.590699574debbp-6, -0x1.5038d8654be19p-6, -0x1.479f4bf5319b3p-6, -0x1.3f38e483f4bf7p-6, -0x1.3704970bb3efep-6, -0x1.2f015d5514a2fp-6, -0x1.272e3618699c2p-6, -0x1.1f8a24d31f825p-6, -0x1.18143151e0296p-6, -0x1.10cb671da5126p-6, -0x1.09aed50c4fabbp-6, -0x1.02bd8d2d36065p-6, -0x1.f7ed4a458959cp-7, -0x1.eab26d8caeac6p-7, -0x1.ddc8c197138fcp-7, -0x1.d12e8e1f2696fp-7, -0x1.c4e224be9ea37p-7, -0x1.b8e1df72355e9p-7, -0x1.ad2c1e9d7b1e6p-7, -0x1.a1bf47619d43ap-7, -0x1.9699c30700ac3p-7, -0x1.8bb9ffcad512fp-7, -0x1.811e72c8daaf1p-7, -0x1.76c59a3b1ef1ep-7, -0x1.6cadff19297a4p-7, -0x1.62d63550fa565p-7, -0x1.593cda577d265p-7, -0x1.4fe0927c88efcp-7, -0x1.46c005ffeb1abp-7, -0x1.3dd9df1790351p-7, -0x1.352cc9b6d8ba6p-7, -0x1.2cb7753038973p-7, -0x1.2478970f015cdp-7, -0x1.1c6eee1f06ce8p-7, -0x1.1499448b39efep-7, -0x1.0cf670382a35ep-7, -0x1.058550fec77d2p-7, -0x1.fc899a65e1a77p-8, -0x1.ee679b6642f72p-8, -0x1.e0a2762ceee1p-8, -0x1.d337fa20dc24fp-8, -0x1.c625f83177c08p-8, -0x1.b96a49222c0d3p-8, -0x1.ad02d4d991903p-8, -0x1.a0ed98e842e2cp-8, -0x1.9528ac4580d09p-8, -0x1.89b23e1012332p-8, -0x1.7e888e6ff0723p-8, -0x1.73a9e3d20c3bcp-8, -0x1.6914816b5d2d1p-8, -0x1.5ec6a363f35bbp-8, -0x1.54be814daeab8p-8, -0x1.4afa5429c2b9ap-8, -0x1.41785d4ec430ap-8, -0x1.3836edb18eb6bp-8, -0x1.2f346d6028f69p-8, -0x1.266f603f205cdp-8, -0x1.1de6632b338e8p-8, -0x1.15981ffa100c2p-8, -0x1.0d833e18631ebp-8, -0x1.05a65973b6493p-8, -0x1.fc00093cfce99p-9, -0x1.ed1da365cd3b9p-9, -0x1.dea2b2d121555p-9, -0x1.d08c7aa211abap-9, -0x1.c2d85403dfc34p-9, -0x1.b583bbb49e557p-9, -0x1.a88c613241f16p-9, -0x1.9bf023af02e69p-9, -0x1.8facf45281e7bp-9, -0x1.83c0b03e06a9ap-9, -0x1.7829124bad89p-9, -0x1.6ce3c9435d04ap-9, -0x1.61ee9c687b084p-9, -0x1.57477b0e853cap-9, -0x1.4cec6bd18caa6p-9, -0x1.42db73f2f039bp-9, -0x1.391296b106e09p-9, -0x1.2f8feddda1369p-9, -0x1.2651bc933f768p-9, -0x1.1d5660c3b0144p-9, -0x1.149c2c5be9d24p-9, -0x1.0c214cb81c479p-9, -0x1.03e3ddfa1b2e2p-9, -0x1.f7c43c2e729a2p-10, -0x1.e83522d8099ddp-10, -0x1.d917e55d58bdp-10, -0x1.ca69f32ec5b6bp-10, -0x1.bc285fd2ce96bp-10, -0x1.ae4ff749fcaa6p-10, -0x1.a0dd93e7c26d7p-10, -0x1.93ce595b88a59p-10, -0x1.871fa99772465p-10, -0x1.7aceea37bef73p-10, -0x1.6ed9570fa8f9cp-10, -0x1.633c19e51c98fp-10, -0x1.57f4a8850acd4p-10, -0x1.4d011666bc0ep-10, -0x1.425feacf62532p-10, -0x1.380f85a5694f7p-10, -0x1.2e0dafa683c68p-10, -0x1.2457b8164fb88p-10, -0x1.1aead638f57a6p-10, -0x1.11c47a78641a1p-10, -0x1.08e28aca6dc7p-10, -0x1.0043658674844p-10, -0x1.efcb0740a32dep-11, -0x1.df8e28b7935b7p-11, -0x1.cfcc4057d29fdp-11, -0x1.c0822f1f5fa6p-11, -0x1.b1adfcf4885c4p-11, -0x1.a34dbee221bf9p-11, -0x1.955e62fa723d4p-11, -0x1.87dbaa191f9c2p-11, -0x1.7ac0d1986d708p-11, -0x1.6e08fb5c00b62p-11, -0x1.61afede1ba278p-11, -0x1.55b354b8d7d6bp-11, -0x1.4a128264bd59p-11, -0x1.3ecc5d386e044p-11, -0x1.33de4259db572p-11, -0x1.294548c95983cp-11, -0x1.1effa3bf433c8p-11, -0x1.150c41e09bb24p-11, -0x1.0b69a4f88654bp-11, -0x1.0215318025ad5p-11, -0x1.f216a2428eb69p-12, -0x1.e08ff27e8c599p-12, -0x1.cf8d6ea56a366p-12, -0x1.bf0731f23fc96p-12, -0x1.aefaee7c870eap-12, -0x1.9f6af2ff5ea17p-12, -0x1.90571f08dbd72p-12, -0x1.81bb11835051fp-12, -0x1.7392c4498efefp-12, -0x1.65dc4d757c184p-12, -0x1.5896274e9aecap-12, -0x1.4bbec726d369cp-12, -0x1.3f5427478184ap-12, -0x1.335225fa9a6ccp-12, -0x1.27b2abb7c611ep-12, -0x1.1c6e8cfd5490bp-12, -0x1.117d5d3b5768p-12, -0x1.06da207051477p-12, -0x1.f90e4300c41bfp-13, -0x1.e50d18d16433p-13, -0x1.d1ab2ced5fe92p-13, -0x1.bee35de06a5f8p-13, -0x1.acb410c019518p-13, -0x1.9b18f8587903cp-13, -0x1.8a0d53b09ec29p-13, -0x1.799087a8456c5p-13, -0x1.69a36c570ebccp-13, -0x1.5a4284e2711dp-13, -0x1.4b666ce2225dcp-13, -0x1.3d06c30502702p-13, -0x1.2f1731f1f3c96p-13, -0x1.218e65bc090efp-13, -0x1.146df43f9ef06p-13, -0x1.07b4765fb6727p-13, -0x1.f6b90ba0f3574p-14, -0x1.ded004724981bp-14, -0x1.c7b0ae9c09ecep-14, -0x1.b15067a575ec5p-14, -0x1.9ba37ddc189e3p-14, -0x1.86a6374220acp-14, -0x1.725b2a1c09df6p-14, -0x1.5ec3189817457p-14, -0x1.4bd78a3d6c51fp-14, -0x1.3991b9e3c5f2ep-14, -0x1.27ebf5261b471p-14, -0x1.16d96d77ba7dfp-14, -0x1.06553574123cdp-14, -0x1.ecb83e547aeefp-15, -0x1.cdc0556993a19p-15, -0x1.afbfb2374b7c8p-15, -0x1.92bb67798f8bp-15, -0x1.76aa4206f90abp-15, -0x1.5b838a253a1e2p-15, -0x1.4140db5f2bd4bp-15, -0x1.27dbae36187e7p-15, -0x1.0f503e522c846p-15, -0x1.ef39c067fd00cp-16, -0x1.c176f88d1ccecp-16, -0x1.954d341afc3bp-16, -0x1.6abcce8bb320cp-16, -0x1.41a8fc9a5c735p-16, -0x1.19fa40a4c0dp-16, -0x1.e750a4d373344p-17, -0x1.9d485c6dc70a5p-17, -0x1.55f9547b0770bp-17, -0x1.114b3775f7763p-17, -0x1.9e0fdf8d8a851p-18, -0x1.1e1705b4caa54p-18, -0x1.450bce8ce0a16p-19, -0x1.5a757bd21f53cp-21, 0x1.1e584e1c18119p-20, 0x1.6c7432172f28bp-19, 0x1.20c46974e4a12p-18, 0x1.87635483bff7dp-18, 0x1.ea141afa927b8p-18, 0x1.2463cf1c60eap-17, 0x1.51e972913863p-17, 0x1.7db41f149db1bp-17, 0x1.a7d683106d6b2p-17, 0x1.d048174437b35p-17, 0x1.f712d8dea83c2p-17, 0x1.0e25613f5c665p-16, 0x1.1ffc97d345dd4p-16, 0x1.3112d1f5829cp-16, 0x1.416cebf5cb943p-16, 0x1.511132d538caap-16, 0x1.6006e0241e3dep-16, 0x1.6e546221f7dccp-16, 0x1.7bfdd365ae1e2p-16, 0x1.8905f61dfcc5p-16, 0x1.9570aafae803ap-16, 0x1.a142fb828a357p-16, 0x1.ac8055ba0e76bp-16, 0x1.b72c7cf863344p-16, 0x1.c14c491e9fc58p-16, 0x1.cae409f4cabdp-16, 0x1.d3f6479b8e9f4p-16, 0x1.dc85fd3d5c737p-16, 0x1.e496d7e70a74fp-16, 0x1.ec2c6829178c5p-16, 0x1.f349c3558ac57p-16, 0x1.f9f1a1df809fcp-16, 0x1.00135b033b6abp-15, 0x1.02f630ac65cffp-15, 0x1.05a3c624d534ap-15, 0x1.081e766b27c83p-15, 0x1.0a67741072a35p-15, 0x1.0c7fa35e095a5p-15, 0x1.0e69aa3462082p-15, 0x1.1021f846d73fap-15, 0x1.11a8e56e58f0dp-15, 0x1.1304d6d206434p-15, 0x1.1435519d0ba5cp-15, 0x1.153afa14ee859p-15, 0x1.161923914552p-15, 0x1.16d02cb9840b8p-15, 0x1.175f9df063662p-15, 0x1.17c7e9a039f2cp-15, 0x1.180a1f9ec33ecp-15, 0x1.182755c6b43a6p-15, 0x1.1820880ed9b49p-15, 0x1.17f70f35f99e7p-15, 0x1.17acac955445ap-15, 0x1.1742357b49463p-15, 0x1.16b709a98fe2dp-15, 0x1.160cbbe930b6cp-15, 0x1.15473fdd56366p-15, 0x1.146063aaace91p-15, 0x1.136069532fc41p-15, 0x1.12485f781d5e8p-15, 0x1.1115c4abbdf26p-15, 0x1.0fc6adec708aep-15, 0x1.0e5c7e3a8f4a7p-15, 0x1.0cd9afec19e1dp-15, 0x1.0b3d6daf94784p-15, 0x1.098ad7ff6e342p-15, 0x1.07c411c09cbc7p-15, 0x1.05e7146ba2d25p-15, 0x1.03f3004991c2dp-15, 0x1.01e8e5d2ddf62p-15, 0x1.ff9556d97b0e5p-16, 0x1.fb32e4a740c8fp-16, 0x1.f6a977c6a2198p-16, 0x1.f1f84c1a35d03p-16, 0x1.ed292f19bb9f7p-16, 0x1.e83178bff2ad2p-16, 0x1.e31ce31ee415ap-16, 0x1.dde6b97929147p-16, 0x1.d88f96a150c5fp-16, 0x1.d31994eda0d95p-16, 0x1.cd85cb963dc91p-16, 0x1.c7d5318833d94p-16, 0x1.c209154329d98p-16, 0x1.bc2426e8798bap-16, 0x1.b62a6454b4abdp-16, 0x1.b01aa08e18668p-16, 0x1.a9efd572bc6bep-16, 0x1.a3ab47327e9b1p-16, 0x1.9d4db136bf35cp-16, 0x1.96e0036807aeap-16, 0x1.90622908b0a07p-16, 0x1.89cebb56dda98p-16, 0x1.8324feaa298e8p-16, 0x1.7c6bce5eab46fp-16, 0x1.75a08d8fd1f3cp-16, 0x1.6ec71a3ef71d9p-16, 0x1.67dd3ab12ad1cp-16, 0x1.60e502706455cp-16, 0x1.59df65fd2cf67p-16, 0x1.52cd2423b75d2p-16, 0x1.4baef79bfa9d4p-16, 0x1.44858da6bc5ccp-16, 0x1.3d518f4e8a6fbp-16, 0x1.3613aabc3bcfp-16, 0x1.2ecc8d54b48edp-16, 0x1.277cd75c1dfc9p-16, 0x1.20250e0e12a05p-16, 0x1.18c5bc9bfca71p-16, 0x1.115fc70652d1p-16, 0x1.09f3c3903b84ap-16, 0x1.02827423d13e4p-16, 0x1.f61d490d5b79p-17, 0x1.e7314236a941p-17, 0x1.d83b6dd2f2aacp-17, 0x1.c93b985693342p-17, 0x1.ba3ad06b3a282p-17, 0x1.ab397f5f04af3p-17, 0x1.9c33c847c340fp-17, 0x1.8d2bb50e911bfp-17, 0x1.7e238ad391a97p-17, 0x1.6f1cc3a199e29p-17, 0x1.60187b215e2ccp-17, 0x1.5117b46113707p-17, 0x1.421b6f709ecbcp-17, 0x1.3324aa6a19b1ep-17, 0x1.24345daa84651p-17, 0x1.154b73f791f8fp-17, 0x1.066ad3042dee4p-17, 0x1.ef273c54a5cf8p-18, 0x1.d18dcce7093bdp-18, 0x1.b40aab778d648p-18, 0x1.969f9bbf88495p-18, 0x1.794d0419ae128p-18, 0x1.5c1608814ba91p-18, 0x1.3efefb9c029c2p-18, 0x1.2205090347314p-18, 0x1.052b4fb760b17p-18, 0x1.d0e722c825309p-19, 0x1.97be0a5e1470fp-19, 0x1.5edd667048388p-19, 0x1.2649abeb5b906p-19, 0x1.dc1d483bd86c3p-20, 0x1.6c4b2a368b32bp-20, 0x1.fa2ba34345299p-21, 0x1.1d40b017a7dbap-21, 0x1.06f29f877118p-23, -0x1.30b57f740ffefp-22, -0x1.70f343b23ab4bp-21, -0x1.24005ebcb56d3p-20, -0x1.8ebc6d7a0f229p-20, -0x1.f8a90bc760fb2p-20, -0x1.30e10a951e646p-19, -0x1.65018b661fd13p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.98ac06f204d85p-14, -0x1.987a5e83ef394p-12, -0x1.cb2c272101737p-11, -0x1.97b2e72811743p-10, -0x1.3e0f793b74e58p-9, -0x1.c936e077aef5ap-9, -0x1.368783f06b09bp-8, -0x1.94a6cabc806d4p-8, -0x1.fecf881d2e9d8p-8, -0x1.3a69dbc4768bfp-7, -0x1.7b40aa1284babp-7, -0x1.c1d1520582a87p-7, -0x1.06ffa1f3ab666p-6, -0x1.2fd63338fc364p-6, -0x1.5b5ca0194f9acp-6, -0x1.89828fdfd52cp-6, -0x1.ba3720cba1a9p-6, -0x1.ed68f96ddc712p-6, -0x1.11832c237c904p-5, -0x1.2d7e90d1c722cp-5, -0x1.4a9d75ef53972p-5, -0x1.68d6852385bdep-5, -0x1.88204b77cabeap-5, -0x1.a8713dd960f92p-5, -0x1.c9bfbd54c28ddp-5, -0x1.ec021b24822f7p-5, -0x1.07974e52ee103p-4, -0x1.199dbf9efb4c2p-4, -0x1.2c0f7e19fc989p-4, -0x1.3ee7a63f64465p-4, -0x1.522156408bb03p-4, -0x1.65b7afd5f016dp-4, -0x1.79a5d9ff10b5ap-4, -0x1.8de702ac484e7p-4, -0x1.a276604e5a87ap-4, -0x1.b74f33482440fp-4, -0x1.cc6cc73fd66a3p-4, -0x1.e1ca744e0d677p-4, -0x1.f763a00a26dbep-4, -0x1.0699df3a2690dp-3, -0x1.119b295f2b80bp-3, -0x1.1cb377fabcebfp-3, -0x1.27e09cc7b472dp-3, -0x1.332071eed6045p-3, -0x1.3e70da353fc9cp-3, -0x1.49cfc1213967bp-3, -0x1.553b1b170e128p-3, -0x1.60b0e56f7c678p-3, -0x1.6c2f26893f123p-3, -0x1.77b3edd6f5755p-3, -0x1.833d53eaa73c8p-3, -0x1.8ec97a7fce947p-3, -0x1.9a568c84d13ffp-3, -0x1.a5e2be246815bp-3, -0x1.b16c4ccf933a9p-3, -0x1.bcf17f4844705p-3, -0x1.c870a5acf5207p-3, -0x1.d3e8198532b17p-3, -0x1.df563dcef7cf2p-3, -0x1.eab97f0cb21a4p-3, -0x1.f6105353b0841p-3, -0x1.00ac9d2d4e1c6p-2, -0x1.06495ec3dadc7p-2, -0x1.0bddb7ff2e607p-2, -0x1.1168f755cfa09p-2, -0x1.16ea7028a4dadp-2, -0x1.1c617ac79e863p-2, -0x1.21cd74754d31ep-2, -0x1.272dbf693eb11p-2, -0x1.2c81c2d102e8fp-2, -0x1.31c8eacfb2de3p-2, -0x1.3702a87be8dbcp-2, -0x1.3c2e71dc14964p-2, -0x1.414bc1e11efaep-2, -0x1.465a185f53fdbp-2, -0x1.4b58fa0599001p-2, -0x1.5047f052ecba9p-2, -0x1.5526898a3c1ap-2, -0x1.59f458a499b1cp-2, -0x1.5eb0f541ed511p-2, -0x1.635bfb982799ap-2, -0x1.67f50c611e8acp-2, -0x1.6c7bccc721837p-2, -0x1.70efe6506b6fbp-2, -0x1.755106c98ed64p-2, -0x1.799ee02ef77cp-2, -0x1.7dd92895a9319p-2, -0x1.81ff9a135a24bp-2, -0x1.8611f2a605bbep-2, -0x1.8a0ff41b1eaffp-2, -0x1.8df963f67c89bp-2, -0x1.91ce0b5923bd6p-2, -0x1.958db6e808f02p-2, -0x1.993836b2e3308p-2, -0x1.9ccd5e1b3529bp-2, -0x1.a04d03bb984ebp-2, -0x1.a3b7014f68c7bp-2, -0x1.a70b339ae73cfp-2, -0x1.aa497a53de936p-2, -0x1.ad71b80ae2b6p-2, -0x1.b083d2153760dp-2, -0x1.b37fb07765f6bp-2, -0x1.b6653dd0977e4p-2, -0x1.b9346746afb1cp-2, -0x1.bbed1c733cec7p-2, -0x1.be8f4f513348ep-2, -0x1.c11af42b86492p-2, -0x1.c390018c960b8p-2, -0x1.c5ee702e77848p-2, -0x1.c8363aec12072p-2, -0x1.ca675eb3152f9p-2, -0x1.cc81da76bdf3cp-2, -0x1.ce85af236754dp-2, -0x1.d072df92e47f1p-2, -0x1.d249708196b5bp-2, -0x1.d4096884405c6p-2, -0x1.d5b2cffe81c48p-2, -0x1.d745b11a0423ep-2, -0x1.d8c217be3af58p-2, -0x1.da281188bfb92p-2, -0x1.db77adc632858p-2, -0x1.dcb0fd6b9e1a2p-2, -0x1.ddd41310500dep-2, -0x1.dee102e818c81p-2, -0x1.dfd7e2bdf1f3p-2, -0x1.e0b8c9eef3a8dp-2, -0x1.e183d1659cbefp-2, -0x1.e23913955590ap-2, -0x1.e2d8ac762f7aep-2, -0x1.e362b980d134p-2, -0x1.e3d759aa8490ep-2, -0x1.e436ad6166977p-2, -0x1.e480d688a3e2p-2, -0x1.e4b5f874c69a7p-2, -0x1.e4d637e8000efp-2, -0x1.e4e1bb0e778e5p-2, -0x1.e4d8a97a8508ep-2, -0x1.e4bb2c20e2751p-2, -0x1.e4896d54bf4bdp-2, -0x1.e44398c3ba82fp-2, -0x1.e3e9db71bb1a5p-2, -0x1.e37c63b4a1f5ap-2, -0x1.e2fb612fce69p-2, -0x1.e26704cf77abdp-2, -0x1.e1bf80c3d57ap-2, -0x1.e105087c11bc1p-2, -0x1.e037d0a106b96p-2, -0x1.df580f0fc17adp-2, -0x1.de65fad3d0473p-2, -0x1.dd61cc214f28p-2, -0x1.dc4bbc4ebde4p-2, -0x1.db2405ce98d8dp-2, -0x1.d9eae428b4b1cp-2, -0x1.d8a093f35fa05p-2, -0x1.d74552cc46c5p-2, -0x1.d5d95f5121897p-2, -0x1.d45cf91824af9p-2, -0x1.d2d060a83bc32p-2, -0x1.d133d7710ea62p-2, -0x1.cf879fc2d255bp-2, -0x1.cdcbfcc5e63abp-2, -0x1.cc01327242db3p-2, -0x1.ca278586bc20bp-2, -0x1.c83f3b8015705p-2, -0x1.c6489a8fef7fap-2, -0x1.c443e99392fa4p-2, -0x1.c231700a91d02p-2, -0x1.c011760d5215bp-2, -0x1.bde4444373819p-2, -0x1.bbaa23da203fp-2, -0x1.b9635e7a48331p-2, -0x1.b7103e3ec4f2fp-2, -0x1.b4b10daa72badp-2, -0x1.b246179e375d4p-2, -0x1.afcfa74f053dp-2, -0x1.ad4e083bd2d75p-2, -0x1.aac1862392bf1p-2, -0x1.a82a6cfb2ab6ap-2, -0x1.a58908e36c1b8p-2, -0x1.a2dda61f158e4p-2, -0x1.a0289108d9e1cp-2, -0x1.9d6a160978313p-2, -0x1.9aa2818dde846p-2, -0x1.97d21ffd5eecep-2, -0x1.94f93daffcd36p-2, -0x1.921826e4ccbdfp-2, -0x1.8f2f27b8718e2p-2, -0x1.8c3e8c1bb2dp-2, -0x1.89469fca34063p-2, -0x1.8647ae414dd2cp-2, -0x1.834202b705791p-2, -0x1.8035e8112fea5p-2, -0x1.7d23a8dcb6aebp-2, -0x1.7a0b8f450a1c4p-2, -0x1.76ede50bbc035p-2, -0x1.73caf38046569p-2, -0x1.70a3037803f59p-2, -0x1.6d765d4654215p-2, -0x1.6a4548b4f3279p-2, -0x1.67100cfc83e04p-2, -0x1.63d6f0bd49fbbp-2, -0x1.609a39f820923p-2, -0x1.5d5a2e079d1fp-2, -0x1.5a1711996f2ccp-2, -0x1.56d128a7f5391p-2, -0x1.5388b6740973ap-2, -0x1.503dfd7f088a6p-2, -0x1.4cf13f850f703p-2, -0x1.49a2bd7774122p-2, -0x1.4652b77777aa3p-2, -0x1.43016cd1323eap-2, -0x1.3faf1bf6bad2ep-2, -0x1.3c5c027b87734p-2, -0x1.39085d1007bf3p-2, -0x1.35b4677d7bb42p-2, -0x1.32605ca202c45p-2, -0x1.2f0c766ce5dc5p-2, -0x1.2bb8eddb1a955p-2, -0x1.2865faf40004bp-2, -0x1.2513d4c65447dp-2, -0x1.21c2b16562cbep-2, -0x1.1e72c5e6698f6p-2, -0x1.1b24465e3801p-2, -0x1.17d765df02a57p-2, -0x1.148c56766bf43p-2, -0x1.1143492bc742ap-2, -0x1.0dfc6dfe896c7p-2, -0x1.0ab7f3e4f318dp-2, -0x1.077608caed23ap-2, -0x1.0436d99111012p-2, -0x1.00fa920bee43dp-2, -0x1.fb82ba06e4e0ap-3, -0x1.f516c8651942ep-3, -0x1.eeb1a08deb5a8p-3, -0x1.e85391c25940dp-3, -0x1.e1fce929375f6p-3, -0x1.dbadf1cfd40b6p-3, -0x1.d566f4aaedd05p-3, -0x1.cf283897f8e43p-3, -0x1.c8f2025ec0171p-3, -0x1.c2c494b344362p-3, -0x1.bca03037eefefp-3, -0x1.b6851380137a2p-3, -0x1.b0737b12a864ep-3, -0x1.aa6ba16d570a9p-3, -0x1.a46dbf07be04cp-3, -0x1.9e7a0a56ffa0ap-3, -0x1.9890b7d185ec2p-3, -0x1.92b1f9f304559p-3, -0x1.8cde0140b7bfdp-3, -0x1.8714fc4dd7d78p-3, -0x1.815717c03b6d7p-3, -0x1.7ba47e5536deap-3, -0x1.75fd58e6a4b4cp-3, -0x1.7061ce701ce5ap-3, -0x1.6ad204145b921p-3, -0x1.654e1d22ccb65p-3, -0x1.5fd63b1d42f45p-3, -0x1.5a6a7dbdd0ac2p-3, -0x1.550b02fcc98a9p-3, -0x1.4fb7e716dd99fp-3, -0x1.4a7144935b06dp-3, -0x1.4537344a86c37p-3, -0x1.4009cd6c185a6p-3, -0x1.3ae92585c4b55p-3, -0x1.35d55089eb319p-3, -0x1.30ce60d64d42fp-3, -0x1.2bd4673ae3feep-3, -0x1.26e77300c0359p-3, -0x1.220791f0fd03cp-3, -0x1.1d34d05bc3fc6p-3, -0x1.186f391f56991p-3, -0x1.13b6d5af2b04cp-3, -0x1.0f0bae1b0f0e9p-3, -0x1.0a6dc9164cdeep-3, -0x1.05dd2bfee2256p-3, -0x1.0159dae4b2e11p-3, -0x1.f9c7b12182deep-4, -0x1.f0f64d18d7c53p-4, -0x1.e83f8a514d684p-4, -0x1.dfa3670a6eef3p-4, -0x1.d721df2fdf1acp-4, -0x1.cebaec67bdd52p-4, -0x1.c66e8621168e2p-4, -0x1.be3ca1a22d2a2p-4, -0x1.b6253216d0383p-4, -0x1.ae28289e92877p-4, -0x1.a645745af4e68p-4, -0x1.9e7d027d800ebp-4, -0x1.96cebe55bc403p-4, -0x1.8f3a915f2993p-4, -0x1.87c0634f04bc2p-4, -0x1.80601a2203bb5p-4, -0x1.79199a29eb4d4p-4, -0x1.71ecc61b10234p-4, -0x1.6ad97f19aef01p-4, -0x1.63dfa4c727c82p-4, -0x1.5cff154f1cd4bp-4, -0x1.5637ad7462958p-4, -0x1.4f89489dd5bf8p-4, -0x1.48f3c0e3038a3p-4, -0x1.4276ef18b118bp-4, -0x1.3c12aadd395cdp-4, -0x1.35c6caa4be4c4p-4, -0x1.2f9323c538d51p-4, -0x1.29778a8253b1dp-4, -0x1.2373d2192476bp-4, -0x1.1d87cccbb497ap-4, -0x1.17b34bec5cb1p-4, -0x1.11f61fe8f61f8p-4, -0x1.0c501855dbdbfp-4, -0x1.06c103f8bd9a9p-4, -0x1.0148b0d3482a4p-4, -0x1.f7cdd85b2e3b5p-5, -0x1.ed37054100e8cp-5, -0x1.e2cc803f50a5bp-5, -0x1.d88de006d4a93p-5, -0x1.ce7aba25200ddp-5, -0x1.c492a317b022p-5, -0x1.bad52e5e9dd5p-5, -0x1.b141ee8ee3d45p-5, -0x1.a7d875644e1b2p-5, -0x1.9e9853d304871p-5, -0x1.95811a18b2e9p-5, -0x1.8c9257cd53d8ap-5, -0x1.83cb9bf39470dp-5, -0x1.7b2c7508e4a94p-5, -0x1.72b4711517cd1p-5, -0x1.6a631db9adaf3p-5, -0x1.62380840bdee3p-5, -0x1.5a32bdab7fa52p-5, -0x1.5252cac079dafp-5, -0x1.4a97bc194f514p-5, -0x1.43011e302bad2p-5, -0x1.3b8e7d6cdea64p-5, -0x1.343f663197dbap-5, -0x1.2d1364e73a831p-5, -0x1.260a060971104p-5, -0x1.1f22d6324aa2cp-5, -0x1.185d62259ae23p-5, -0x1.11b936dbeff1fp-5, -0x1.0b35e18d393b7p-5, -0x1.04d2efbb17503p-5, -0x1.fd1fde75b456bp-6, -0x1.f0d8dc7e51ca7p-6, -0x1.e4cff6c2b8b3p-6, -0x1.d9044b54f2cabp-6, -0x1.cd74f937e7d0fp-6, -0x1.c221207018e28p-6, -0x1.b707e213cfc97p-6, -0x1.ac28605ac8995p-6, -0x1.a181bead1e012p-6, -0x1.971321b1c39d8p-6, -0x1.8cdbaf5c4cda7p-6, -0x1.82da8efa4c63cp-6, -0x1.790ee93ffebcap-6, -0x1.6f77e8548a954p-6, -0x1.6614b7dd956d9p-6, -0x1.5ce4850a7b54ap-6, -0x1.53e67e9edc5dbp-6, -0x1.4b19d4fcc13b4p-6, -0x1.427dba2e3a272p-6, -0x1.3a1161ee7db83p-6, -0x1.31d401b29233fp-6, -0x1.29c4d0b18378cp-6, -0x1.21e307ec1dc2cp-6, -0x1.1a2de23435bdp-6, -0x1.12a49c337f483p-6, -0x1.0b467471ff9fap-6, -0x1.0412ab5c13d59p-6, -0x1.fa1106900a9dfp-7, -0x1.ec4e80f67e814p-7, -0x1.dedc525e36a4cp-7, -0x1.d1b90b2aaf69fp-7, -0x1.c4e33fb8404acp-7, -0x1.b859886393108p-7, -0x1.ac1a819040e67p-7, -0x1.a024cbaef392cp-7, -0x1.94770b42b0c4p-7, -0x1.890fe8e589266p-7, -0x1.7dee114cb51b2p-7, -0x1.7310354bf371p-7, -0x1.687509d87ff7ap-7, -0x1.5e1b480b450a4p-7, -0x1.5401ad229f546p-7, -0x1.4a26fa838996ep-7, -0x1.4089f5ba32f6ep-7, -0x1.3729687a3478ap-7, -0x1.2e04209e1375fp-7, -0x1.2518f02684bf7p-7, -0x1.1c66ad3902ea8p-7, -0x1.13ec321e1e411p-7, -0x1.0ba85d3f34d5dp-7, -0x1.039a1123ef7dp-7, -0x1.f78068de1d69p-8, -0x1.e83363b653835p-8, -0x1.d94af06d7d75ap-8, -0x1.cac4f4c03c83ap-8, -0x1.bc9f5e81ccbe3p-8, -0x1.aed8239236d2p-8, -0x1.a16d41d43db7fp-8, -0x1.945cbf2209432p-8, -0x1.87a4a941d698fp-8, -0x1.7b4315d9ee51ep-8, -0x1.6f362263a9aa2p-8, -0x1.637bf41e8c3d9p-8, -0x1.5812b802707bcp-8, -0x1.4cf8a2b17286p-8, -0x1.422bf06959937p-8, -0x1.37aae4f46cfe6p-8, -0x1.2d73cb9a2edc7p-8, -0x1.2384f70f74bd9p-8, -0x1.19dcc16629b91p-8, -0x1.10798bfcd3668p-8, -0x1.0759bf6db49a5p-8, -0x1.fcf796fb6a0c7p-9, -0x1.ebbc4e156e181p-9, -0x1.dafe9ff446168p-9, -0x1.cabb964d71414p-9, -0x1.baf0489cd5bfdp-9, -0x1.ab99dbfffb01dp-9, -0x1.9cb5831097d55p-9, -0x1.8e407dbf1c8cdp-9, -0x1.8038192cba8ap-9, -0x1.7299af8507047p-9, -0x1.6562a7d78a1bdp-9, -0x1.589075f0e895cp-9, -0x1.4c209a33e5a32p-9, -0x1.4010a1721c96ep-9, -0x1.345e24c4aa497p-9, -0x1.2906c964bc06bp-9, -0x1.1e084083bfe8bp-9, -0x1.13604723ddd0ep-9, -0x1.090ca5f02f14ap-9, -0x1.fe1662292629ap-10, -0x1.eab3902c85597p-10, -0x1.d7ecab571ecb6p-10, -0x1.c5bd9f28a7fd9p-10, -0x1.b4226ce3c152fp-10, -0x1.a3172b3ed9635p-10, -0x1.929806141d19ap-10, -0x1.82a13e1342f36p-10, -0x1.732f2871dbf27p-10, -0x1.643e2e9caae56p-10, -0x1.55cacde92c185p-10, -0x1.47d197479c413p-10, -0x1.3a4f2ef4bbdd5p-10, -0x1.2d404c2ca4275p-10, -0x1.20a1b8ddc5b55p-10, -0x1.1470515bd7544p-10, -0x1.08a904144290fp-10, -0x1.fa91a282f0435p-11, -0x1.e49995416d12bp-11, -0x1.cf64264d08473p-11, -0x1.baebbd6967a2dp-11, -0x1.a72ae3a1a2afap-11, -0x1.941c42b50ca1p-11, -0x1.81baa4872506p-11, -0x1.7000f28f9da7p-11, -0x1.5eea354ac0c3bp-11, -0x1.4e7193ad7d5d1p-11, -0x1.3e92529813c3dp-11, -0x1.2f47d44bba5cap-11, -0x1.208d97e109e65p-11, -0x1.125f38c046018p-11, -0x1.04b86e19cf611p-11, -0x1.ef2a14c3088e2p-12, -0x1.d5e1f594db22bp-12, -0x1.bd908d88900fcp-12, -0x1.a62e1ef6375f9p-12, -0x1.8fb31eadefa6bp-12, -0x1.7a1832fb97d69p-12, -0x1.655632ae24691p-12, -0x1.51662421e3becp-12, -0x1.3e413c4b46727p-12, -0x1.2be0ddcabb14p-12, -0x1.1a3e97fa773fdp-12, -0x1.09542607e68a7p-12, -0x1.f236dc1669ad7p-13, -0x1.d31d0047beb25p-13, -0x1.b54f2b2fceb11p-13, -0x1.98c21febf4dfbp-13, -0x1.7d6af0764ac6ap-13, -0x1.633efbf494706p-13, -0x1.4a33ed0f82677p-13, -0x1.323fb85198f78p-13, -0x1.1b589a8a3713dp-13, -0x1.0575173424a99p-13, -0x1.e117edd4e5c08p-14, -0x1.b9288bb0b3744p-14, -0x1.930aa473a4dbep-14, -0x1.6ead55b3fc2aap-14, -0x1.4c003b3c1c49fp-14, -0x1.2af36c22e3918p-14, -0x1.0b7777f566f8fp-14, -0x1.dafac7ce0f414p-15, -0x1.a1ed502738dd9p-15, -0x1.6baa599acdc6p-15, -0x1.38168fe71d13cp-15, -0x1.0717749d9b697p-15, -0x1.b126b4194e071p-16, -0x1.58e2bc62db0dbp-16, -0x1.0532cb7932435p-16, -0x1.6bd05ceb478c2p-17, -0x1.ab56b227a61bdp-18, -0x1.1e7bed3dc7d0dp-19, 0x1.f54bebff34a0ap-20, 0x1.7b002b5cd437ep-18, 0x1.3534265a64d65p-17, 0x1.a6126eed0f105p-17, 0x1.083293191997ep-16, 0x1.3a3a059810884p-16, 0x1.69423ac3d332ap-16, 0x1.956cb2d6e85a3p-16, 0x1.bed9ca52a67f4p-16, 0x1.e5a8c1cf3639ap-16, 0x1.04fbe2be17a4bp-15, 0x1.15f1fa4ce010cp-15, 0x1.25c4b46c9d72p-15, 0x1.34819eb6d7ecfp-15, 0x1.4235cb0985114p-15, 0x1.4eedd2f312dccp-15, 0x1.5ab5db0a512f6p-15, 0x1.6599963bb7d41p-15, 0x1.6fa448fb5e97ep-15, 0x1.78e0cc6e51919p-15, 0x1.8159917c44e61p-15, 0x1.8918a3d437a2cp-15, 0x1.9027acda0a848p-15, 0x1.968ff687cc598p-15, 0x1.9c5a6e4384ac3p-15, 0x1.a18fa79a24232p-15, 0x1.a637def40c1fep-15, 0x1.aa5afc2f0703ep-15, 0x1.ae00953aa9a1p-15, 0x1.b12ff091f97abp-15, 0x1.b3f007ae56544p-15, 0x1.b647897100a06p-15, 0x1.b83cdc74deff7p-15, 0x1.b9d6215c21f04p-15, 0x1.bb1935049309ap-15, 0x1.bc0bb2b0597c1p-15, 0x1.bcb2f62c74be4p-15, 0x1.bd141de0d64a6p-15, 0x1.bd340ccf03d2p-15, 0x1.bd176c8b39146p-15, 0x1.bcc2af2fcc17dp-15, 0x1.bc3a1131c9e2fp-15, 0x1.bb819b368215cp-15, 0x1.ba9d23d2934ddp-15, 0x1.b990514fe25bcp-15, 0x1.b85e9b56e667ap-15, 0x1.b70b4c9601011p-15, 0x1.b599845478d12p-15, 0x1.b40c380430667p-15, 0x1.b26634c702659p-15, 0x1.b0aa20def1e96p-15, 0x1.aeda7d247460ep-15, 0x1.acf9a6666f615p-15, 0x1.ab09d6ccbefep-15, 0x1.a90d27227865cp-15, 0x1.a705902208154p-15, 0x1.a4f4ebaacbca3p-15, 0x1.a2dcf5fec6472p-15, 0x1.a0bf4eebd2c7ap-15, 0x1.9e9d7af0e6eccp-15, 0x1.9c78e45761d18p-15, 0x1.9a52dc4a7574ap-15, 0x1.982c9bdee7ed8p-15, 0x1.960745185ed91p-15, 0x1.93e3e3ddf90a4p-15, 0x1.91c36ef561312p-15, 0x1.8fa6c8ecb4fedp-15, 0x1.8d8ec0ff5185ap-15, 0x1.8b7c13f6d443p-15, 0x1.896f6cfc35fd8p-15, 0x1.87696669934aep-15, 0x1.856a8a9504de2p-15, 0x1.83735494da1f6p-15, 0x1.818430f934aaep-15, 0x1.7f9d7e856690fp-15, 0x1.7dbf8ee2e8ea2p-15, 0x1.7beaa745bd79ep-15, 0x1.7a1f0117a2455p-15, 0x1.785cca8fb4cdcp-15, 0x1.76a427547388ap-15, 0x1.74f5310c41aefp-15, 0x1.734ff7f157a0ep-15, 0x1.71b4835852c0cp-15, 0x1.7022d235f5c69p-15, 0x1.6e9adb9df8dbbp-15, 0x1.6d1c8f4416ee5p-15, 0x1.6ba7d5ef28349p-15, 0x1.6a3c91eeb5b61p-15, 0x1.68da9f89b7ff5p-15, 0x1.6781d568a950ap-15, 0x1.663204fef43b1p-15, 0x1.64eafae9ac72cp-15, 0x1.63ac7f501ee31p-15, 0x1.6276563c841c1p-15, }}, 
      {{0x1.80281a7761c76p-7, 0x1.80354778ecf5p-6, 0x1.20378941c91e6p-5, 0x1.8064e469c7d9fp-5, 0x1.e0a4fe30b1019p-5, 0x1.207c056f2a3f9p-4, 0x1.50ae0d868054dp-4, 0x1.80e691fd6d39ap-4, 0x1.b1228bd7dc694p-4, 0x1.e15e03c7d2541p-4, 0x1.08ca135cc087bp-3, 0x1.20dfae1c92785p-3, 0x1.38ecaed6a9e04p-3, 0x1.50eda6d40c994p-3, 0x1.68dee76303ae7p-3, 0x1.80bc8cdca5691p-3, 0x1.9882891e4fd92p-3, 0x1.b02cad605e843p-3, 0x1.c7b6b35c2fedcp-3, 0x1.df1c45ba815e9p-3, 0x1.f65907c86f43fp-3, 0x1.06b44e3ab9e7dp-2, 0x1.1223564fe70d7p-2, 0x1.1d77765b70783p-2, 0x1.28ae90de4fe81p-2, 0x1.33c692d7fd6fdp-2, 0x1.3ebd75b5639e4p-2, 0x1.499140fedb8f5p-2, 0x1.54400bca62dd8p-2, 0x1.5ec7fdf7261d7p-2, 0x1.6927513722948p-2, 0x1.735c51eb74928p-2, 0x1.7d655fd78daacp-2, 0x1.8740eeaf3dfddp-2, 0x1.90ed868336495p-2, 0x1.9a69c40f4d686p-2, 0x1.a3b458ed99dfap-2, 0x1.accc0bb120e99p-2, 0x1.b5afb7eaa1f4bp-2, 0x1.be5e4e19c948ap-2, 0x1.c6d6d38cdf4cp-2, 0x1.cf186230e0203p-2, 0x1.d7222853ae898p-2, 0x1.def36859fc0a2p-2, 0x1.e68b786a579f1p-2, 0x1.ede9c20eac191p-2, 0x1.f50dc1cd6ab91p-2, 0x1.fbf706bb78e8p-2, 0x1.01529903f209cp-1, 0x1.048bfb4123ef3p-1, 0x1.07a78c0e60d41p-1, 0x1.0aa535b51ddf1p-1, 0x1.0d84ea8ce242ap-1, 0x1.1046a4b7cde8fp-1, 0x1.12ea65de47f68p-1, 0x1.157036ea1d0a3p-1, 0x1.17d827c14c598p-1, 0x1.1a224f00c090ep-1, 0x1.1c4ec9b727b62p-1, 0x1.1e5dbb201cd83p-1, 0x1.204f4c5fcf4fbp-1, 0x1.2223ac3f4d626p-1, 0x1.23db0ee998c5cp-1, 0x1.2575ada9a23f3p-1, 0x1.26f3c6a94a831p-1, 0x1.28559cb17e4f7p-1, 0x1.299b76eb877d8p-1, 0x1.2ac5a0a3a2359p-1, 0x1.2bd4690ce734dp-1, 0x1.2cc8230699374p-1, 0x1.2da124e2e1666p-1, 0x1.2e5fc82f00bbdp-1, 0x1.2f04697d00e65p-1, 0x1.2f8f682ee7c5ep-1, 0x1.3001264370924p-1, 0x1.305a08244ed99p-1, 0x1.309a7475f995ap-1, 0x1.30c2d3e8fe1dfp-1, 0x1.30d3910cdc4a3p-1, 0x1.30cd182462165p-1, 0x1.30afd6fb8b67fp-1, 0x1.307c3cbedb2d9p-1, 0x1.3032b9d42ac4p-1, 0x1.2fd3bfb4ebacap-1, 0x1.2f5fc0c9d1af1p-1, 0x1.2ed73047e138ap-1, 0x1.2e3a820edab87p-1, 0x1.2d8a2a88f9f2dp-1, 0x1.2cc69e8c035d7p-1, 0x1.2bf0533b967f1p-1, 0x1.2b07bdecbdd9cp-1, 0x1.2a0d540ab3cacp-1, 0x1.29018afcd5201p-1, 0x1.27e4d80db7ed3p-1, 0x1.26b7b0535eee3p-1, 0x1.257a889881fe2p-1, 0x1.242dd546e29d8p-1, 0x1.22d20a52a49cep-1, 0x1.21679b26a33b3p-1, 0x1.1feefa91bb3bcp-1, 0x1.1e689ab5020bp-1, 0x1.1cd4ecf2e0ec9p-1, 0x1.1b3461df103e5p-1, 0x1.1987692f6798dp-1, 0x1.17ce71ad7ff19p-1, 0x1.1609e9291c174p-1, 0x1.143a3c6b54ac4p-1, 0x1.125fd72a8106cp-1, 0x1.107b23fed2d83p-1, 0x1.0e8c8c57a3131p-1, 0x1.0c94787166d1fp-1, 0x1.0a934f4c48f2dp-1, 0x1.088976a35f9cdp-1, 0x1.067752e47beb6p-1, 0x1.045d47288b9e7p-1, 0x1.023bb52c88a01p-1, 0x1.0012fd4af26b6p-1, 0x1.fbc6fceb94261p-2, 0x1.f75b2c621f996p-2, 0x1.f2e3411b71fddp-2, 0x1.ee5ff04a3e818p-2, 0x1.e9d1ec29bfe16p-2, 0x1.e539e3f657732p-2, 0x1.e09883e6fdf8ep-2, 0x1.dbee752782485p-2, 0x1.d73c5dd3900eep-2, 0x1.d282e0f2709f6p-2, 0x1.cdc29e73878b4p-2, 0x1.c8fc332b7cf55p-2, 0x1.c43038d212f98p-2, 0x1.bf5f4600a0029p-2, 0x1.ba89ee3123ee7p-2, 0x1.b5b0c1bdf9c5cp-2, 0x1.b0d44de2154e1p-2, 0x1.abf51cb9d2a0bp-2, 0x1.a713b544477ecp-2, 0x1.a2309b651aca1p-2, 0x1.9d4c4fe6d5606p-2, 0x1.9867507da9b5bp-2, 0x1.938217cab1bdep-2, 0x1.8e9d1d5f96d42p-2, 0x1.89b8d5c2a2bf6p-2, 0x1.84d5b27339632p-2, 0x1.7ff421eead7aep-2, 0x1.7b148fb574c4dp-2, 0x1.76376450b341dp-2, 0x1.715d055817d2bp-2, 0x1.6c85d5780db6ep-2, 0x1.67b2347834da6p-2, 0x1.62e27f422639cp-2, 0x1.5e170fe879ce4p-2, 0x1.59503dae10a4ap-2, 0x1.548e5d0d99736p-2, 0x1.4fd1bfc151e1cp-2, 0x1.4b1ab4cafe585p-2, 0x1.4669887c1383bp-2, 0x1.41be847e142e1p-2, 0x1.3d19efdb178ebp-2, 0x1.387c0f067f18fp-2, 0x1.33e523e5d21ebp-2, 0x1.2f556dd9bca11p-2, 0x1.2acd29c733139p-2, 0x1.264c9220b3255p-2, 0x1.21d3deefa2e42p-2, 0x1.1d6345ddcab22p-2, 0x1.18fafa3ee3075p-2, 0x1.149b2d1a3ec87p-2, 0x1.10440d34802cdp-2, 0x1.0bf5c71966445p-2, 0x1.07b08525a34a2p-2, 0x1.03746f90c25b9p-2, 0x1.fe8358ee2db78p-3, 0x1.f630bfc76866p-3, 0x1.edf157b4d76c5p-3, 0x1.e5c560c39d067p-3, 0x1.ddad171a6787fp-3, 0x1.d5a8b30d7b3dap-3, 0x1.cdb86932bb6ep-3, 0x1.c5dc6a75b1977p-3, 0x1.be14e42b885d8p-3, 0x1.b6620026fcca1p-3, 0x1.aec3e4cc3ed7p-3, 0x1.a73ab524c5a81p-3, 0x1.9fc690f306bdbp-3, 0x1.986794c61ff6p-3, 0x1.911dda0d63a59p-3, 0x1.89e9772bc3439p-3, 0x1.82ca7f8b26bc2p-3, 0x1.7bc103af99895p-3, 0x1.74cd114a59e5p-3, 0x1.6deeb34cbf83bp-3, 0x1.6725f1fafe3f1p-3, 0x1.6072d2fec04adp-3, 0x1.59d559799007bp-3, 0x1.534d86171c04cp-3, 0x1.4cdb571f48dc8p-3, 0x1.467ec88812b1cp-3, 0x1.4037d40740eebp-3, 0x1.3a067123e61ebp-3, 0x1.33ea9547a5ba2p-3, 0x1.2de433cfd17b8p-3, 0x1.27f33e1e42197p-3, 0x1.2217a3aa01613p-3, 0x1.1c51520fbb24dp-3, 0x1.16a03521efb5fp-3, 0x1.110436f8f1993p-3, 0x1.0b7d4002a6886p-3, 0x1.060b3712075d6p-3, 0x1.00ae016e6f9c6p-3, 0x1.f6cb05c53d68ep-4, 0x1.ec633b971a8bdp-4, 0x1.e224664def478p-4, 0x1.d80e45435e519p-4, 0x1.ce20954b56accp-4, 0x1.c45b10cfb57a4p-4, 0x1.babd6feb71ed6p-4, 0x1.b14768853abf4p-4, 0x1.a7f8ae69a14ap-4, 0x1.9ed0f364bd2d4p-4, 0x1.95cfe75b54fb7p-4, 0x1.8cf53863807efp-4, 0x1.844092dcd08e8p-4, 0x1.7bb1a187f593fp-4, 0x1.73480d9de5d3dp-4, 0x1.6b037ee685926p-4, 0x1.62e39bcece9ebp-4, 0x1.5ae8097e7c324p-4, 0x1.53106bed36eabp-4, 0x1.4b5c65f744095p-4, 0x1.43cb9971ba6eap-4, 0x1.3c5da73e3783bp-4, 0x1.35122f5e1ef93p-4, 0x1.2de8d1055bafdp-4, 0x1.26e12aaca9e1ap-4, 0x1.1ffada2369d73p-4, 0x1.19357ca0f967ap-4, 0x1.1290aed599e3dp-4, 0x1.0c0c0cfadf9c1p-4, 0x1.05a732e3aeb2ep-4, 0x1.fec378178ad18p-5, 0x1.f276874da92bfp-5, 0x1.e666c95e50ddp-5, 0x1.da9373e7c8c1p-5, 0x1.cefbbc4d9f88bp-5, 0x1.c39ed7d36c5c1p-5, 0x1.b87bfbb6c25e4p-5, 0x1.ad925d4848497p-5, 0x1.a2e1320407d8ap-5, 0x1.9867afa8ef5ccp-5, 0x1.8e250c4f88a85p-5, 0x1.84187e7fee782p-5, 0x1.7a413d46f460fp-5, 0x1.709e804aa03a4p-5, 0x1.672f7fddd3f23p-5, 0x1.5df375134bae6p-5, 0x1.54e999cfdd39dp-5, 0x1.4c1128dc0b657p-5, 0x1.43695df4de3abp-5, 0x1.3af175dc1d8d4p-5, 0x1.32a8ae67d2217p-5, 0x1.2a8e46912c5cdp-5, 0x1.22a17e82c2c7ep-5, 0x1.1ae197a62c9b5p-5, 0x1.134dd4b1082bbp-5, 0x1.0be579b162a79p-5, 0x1.04a7cc1987d61p-5, 0x1.fb282596810bdp-6, 0x1.ed532c4509336p-6, 0x1.dfcf3fff307f3p-6, 0x1.d29af7a14f5d6p-6, 0x1.c5b4ed35a6adfp-6, 0x1.b91bbe058610dp-6, 0x1.acce0aa96294ap-6, 0x1.a0ca7717f17a1p-6, 0x1.950faab45b73ap-6, 0x1.899c505b72918p-6, 0x1.7e6f16700d55p-6, 0x1.7386aee66fb1fp-6, 0x1.68e1cf4eea1b5p-6, 0x1.5e7f30df8eefbp-6, 0x1.545d907d24f9dp-6, 0x1.4a7baec344b9ep-6, 0x1.40d8500bb917cp-6, 0x1.37723c7514b7ep-6, 0x1.2e483fe89db99p-6, 0x1.25592a1f6a928p-6, 0x1.1ca3cea6e8543p-6, 0x1.142704e4ac178p-6, 0x1.0be1a81998b5dp-6, 0x1.03d297646f533p-6, 0x1.f7f16b87794f1p-7, 0x1.e8a5d42e71ac7p-7, 0x1.d9c03e410dab5p-7, 0x1.cb3e8706fca45p-7, 0x1.bd1e938ba49f7p-7, 0x1.af5e509c9b13fp-7, 0x1.a1fbb2c706ff7p-7, 0x1.94f4b65412535p-7, 0x1.88475f446d89fp-7, 0x1.7bf1b94b0188ep-7, 0x1.6ff1d7c6b3a9fp-7, 0x1.6445d5bb6a5dep-7, 0x1.58ebd5ca34d93p-7, 0x1.4de20228c16dp-7, 0x1.43268c9820b73p-7, 0x1.38b7ae5ab4df2p-7, 0x1.2e93a829abba7p-7, 0x1.24b8c229aa339p-7, 0x1.1b254bdeeb177p-7, 0x1.11d79c20d55f5p-7, 0x1.08ce110cf6669p-7, 0x1.00070ff97dbecp-7, 0x1.ef020ace6cd1cp-8, 0x1.de74c9e610942p-8, 0x1.ce63528e14533p-8, 0x1.becaa816378cdp-8, 0x1.afa7dbaa45cabp-8, 0x1.a0f80c31e50c1p-8, 0x1.92b8662f7c4p-8, 0x1.84e6239e913b8p-8, 0x1.777e8bd17a24bp-8, 0x1.6a7ef34e79f7p-8, 0x1.5de4bbac73323p-8, 0x1.51ad536ed1902p-8, 0x1.45d635e14ce23p-8, 0x1.3a5ceaf3015c8p-8, 0x1.2f3f0711401ap-8, 0x1.247a2b0204b5fp-8, 0x1.1a0c03be0eda9p-8, 0x1.0ff24a4aba82ap-8, 0x1.062ac3938a42bp-8, 0x1.f9668086e7dc3p-9, 0x1.e713393c38b03p-9, 0x1.d55780b15d31ap-9, 0x1.c42f3ce599de5p-9, 0x1.b3966a1e852c2p-9, 0x1.a3891a991872p-9, 0x1.9403763b02af1p-9, 0x1.8501ba4397acfp-9, 0x1.768038fcda279p-9, 0x1.687b596c7f33dp-9, 0x1.5aef970527213p-9, 0x1.4dd981576b022p-9, 0x1.4135bbc325e11p-9, 0x1.3500fd291f594p-9, 0x1.29380f9cb3eedp-9, 0x1.1dd7d015c0f51p-9, 0x1.12dd2e233205dp-9, 0x1.08452b9d36a63p-9, 0x1.fc19b8b106a61p-10, 0x1.e862cbb319d6cp-10, 0x1.d55ffe1091ed2p-10, 0x1.c30bdfc8bac1ep-10, 0x1.b1612273a9077p-10, 0x1.a05a98aca9cfbp-10, 0x1.8ff3357d5e549p-10, 0x1.80260bca3eeabp-10, 0x1.70ee4dc02328fp-10, 0x1.62474c431874bp-10, 0x1.542c765e261ecp-10, 0x1.469958b4b6962p-10, 0x1.39899cf4d687p-10, 0x1.2cf9094ad220fp-10, 0x1.20e37fd69b7aep-10, 0x1.1544fe2205c2bp-10, 0x1.0a199c98a3423p-10, 0x1.febb1c0272551p-11, 0x1.ea1a3df05e06cp-11, 0x1.d6496ad7cdb45p-11, 0x1.c341a034ccdadp-11, 0x1.b0fc0c20c553cp-11, 0x1.9f720c53d8603p-11, 0x1.8e9d2d295a3eep-11, 0x1.7e7728a79bfbfp-11, 0x1.6ef9e58a1336dp-11, 0x1.601f764f9beaep-11, 0x1.51e2184ad874cp-11, 0x1.443c32b680d1cp-11, 0x1.372855cd2133fp-11, 0x1.2aa139e2c50d7p-11, 0x1.1ea1be8345b5fp-11, 0x1.1324e99308cefp-11, 0x1.0825e67346fb7p-11, 0x1.fb400a529271ap-12, 0x1.e71d7311bbda1p-12, 0x1.d3db34c4d264p-12, 0x1.c170c1672b07fp-12, 0x1.afd5cdb86f57ap-12, 0x1.9f024faa4c395p-12, 0x1.8eee7cd6c0bf7p-12, 0x1.7f92c8fb501bp-12, 0x1.70e7e47b0765fp-12, 0x1.62e6bae725bc6p-12, 0x1.5588718df0332p-12, 0x1.48c6660f6d365p-12, 0x1.3c9a2cf8b5271p-12, 0x1.30fd9065ed639p-12, 0x1.25ea8ea96e041p-12, 0x1.1b5b58f9ecfa8p-12, 0x1.114a5225995bbp-12, 0x1.07b20d4ce393bp-12, 0x1.fd1a99433bfcap-13, 0x1.ebae005af64eap-13, 0x1.db14893b3dc33p-13, 0x1.cb44c42895223p-13, 0x1.bc35960029154p-13, 0x1.adde35f214ec3p-13, 0x1.a0362b46e9afep-13, 0x1.93354b318ebbbp-13, 0x1.86d3b6a9c935ep-13, 0x1.7b09d8546404cp-13, 0x1.6fd0627460d09p-13, 0x1.65204ce900a61p-13, 0x1.5af2d3335e0b8p-13, 0x1.5141728aa92e8p-13, 0x1.4805e7f5ece65p-13, 0x1.3f3a2e73be0f6p-13, 0x1.36d87d2ba2b05p-13, 0x1.2edb45a7bf9e1p-13, 0x1.273d3219a1b19p-13, 0x1.1ff923aa48654p-13, 0x1.190a30cfbdc8ap-13, 0x1.126ba3afc9a21p-13, 0x1.0c18f88ba1e7ap-13, 0x1.060ddc31fa6bep-13, 0x1.00462a7d89fe5p-13, 0x1.f57bd9b5aaa97p-14, 0x1.eae2b1ae2f71dp-14, 0x1.e0b99d6f2aabp-14, 0x1.d6f9b0357d09dp-14, 0x1.cd9c4d3f8e178p-14, 0x1.c49b252f2d13ep-14, 0x1.bbf0337d3112bp-14, 0x1.b395bbf85b666p-14, 0x1.ab864859b7a44p-14, 0x1.a3bca5e412ba2p-14, 0x1.9c33e3161a2c1p-14, 0x1.94e74d6935965p-14, 0x1.8dd26f1f1391fp-14, 0x1.86f10d2002191p-14, 0x1.803f24e2a9dbap-14, 0x1.79b8ea670a7fbp-14, 0x1.735ac63c1627ap-14, 0x1.6d215394346b8p-14, 0x1.67095e648084ap-14, 0x1.610fe19458a6ap-14, 0x1.5b320537a57afp-14, 0x1.556d1cd4cb7fp-14, 0x1.4fbea5ba2b306p-14, 0x1.4a24455b902a3p-14, 0x1.449bc7bc6ba31p-14, 0x1.3f231de6a5b27p-14, 0x1.39b85c6d1c6e8p-14, 0x1.3459b9f782bd8p-14, 0x1.2f058dd9434e4p-14, 0x1.29ba4eb581ceep-14, 0x1.24769128feaf9p-14, 0x1.1f3906801d1d9p-14, 0x1.1a007b7c0be44p-14, 0x1.14cbd7164f6f2p-14, 0x1.0f9a19577c526p-14, 0x1.0a6a5a338e4b4p-14, 0x1.053bc8700f2e6p-14, 0x1.000da891f9cbdp-14, 0x1.f5bea7aa31411p-15, 0x1.eb606e5a24d26p-15, 0x1.e0ffa49769328p-15, 0x1.d69b6d61c78d4p-15, 0x1.cc330d8bdce71p-15, 0x1.c1c5e9f17f33dp-15, 0x1.b75385cac6a5p-15, 0x1.acdb810757b36p-15, 0x1.a25d96bc942f3p-15, 0x1.97d99b9b0a5b6p-15, 0x1.8d4f7c7698fb1p-15, 0x1.82bf3cde74243p-15, 0x1.7828f5ba0db64p-15, 0x1.6d8cd3f6384b6p-15, 0x1.62eb17418d7ccp-15, 0x1.584410d146f5ep-15, 0x1.4d9822325e52ap-15, 0x1.42e7bc2835e08p-15, 0x1.38335d936f5f5p-15, 0x1.2d7b92654d475p-15, 0x1.22c0f29a8c78dp-15, 0x1.1804214580e2p-15, 0x1.0d45cba11eba8p-15, 0x1.0286a827ee11ap-15, 0x1.ef8eeb730e1bep-16, 0x1.da11f5947e0a8p-16, 0x1.c498092c0f96ap-16, 0x1.af22ccc3652cbp-16, 0x1.99b3f182e868p-16, 0x1.844d31d188e06p-16, 0x1.6ef050032301dp-16, 0x1.599f15140d6bep-16, 0x1.445b4f7654f9ep-16, 0x1.2f26d1f16a018p-16, 0x1.1a037284ad467p-16, 0x1.04f3095f1cdabp-16, 0x1.dfeedfcbf4ea9p-17, 0x1.b624ff7f31458p-17, 0x1.8c8c23edabef3p-17, 0x1.6327fc366c433p-17, 0x1.39fc32f7cfb67p-17, 0x1.110c6ccabed94p-17, 0x1.d0b88d98396e3p-18, 0x1.7fdeaa9714b14p-18, 0x1.2f924516cab3bp-18, 0x1.bfb4b638998e2p-19, 0x1.217ba3d37d5bfp-19, 0x1.090dcfcec19c9p-20, -0x1.71c22319376d5p-23, -0x1.62c0b89647564p-20, -0x1.4a38e8cfee818p-19, -0x1.e1992dfa2399fp-19, -0x1.3bba6c38812b3p-18, -0x1.85dfef1a95bb8p-18, -0x1.cf3740812e21ap-18, -0x1.0bdd54298c956p-17, -0x1.2fb24b34d1de5p-17, -0x1.5317d1ceb4a34p-17, -0x1.760b493f1aa08p-17, -0x1.988a28143aa88p-17, -0x1.ba91fa67e2726p-17, -0x1.dc20623307c7ap-17, -0x1.fd33178e775a2p-17, -0x1.0ee3f473079fap-16, -0x1.1eee5d8cb6699p-16, -0x1.2eb7c4d539ebbp-16, -0x1.3e3f336a90b3cp-16, -0x1.4d83bdd218568p-16, -0x1.5c8483f900021p-16, -0x1.6b40b13a3bca2p-16, -0x1.79b77c5af23ecp-16, -0x1.87e82786e215ep-16, -0x1.95d20042137bbp-16, -0x1.a3745f6170f4dp-16, -0x1.b0cea8fe1c0edp-16, -0x1.bde04c61a97d6p-16, -0x1.caa8c3f159d01p-16, -0x1.d72795170a7cbp-16, -0x1.e35c502b1a784p-16, -0x1.ef4690596ec62p-16, -0x1.fae5fb81a284cp-16, -0x1.031d210d1459ep-15, -0x1.08a18f883fedcp-15, -0x1.0e002bd26f82p-15, -0x1.1338dda4077b4p-15, -0x1.184b91b815a77p-15, -0x1.1d3839bcd6cb9p-15, -0x1.21fecc3df0439p-15, -0x1.269f448fe87cdp-15, -0x1.2b19a2ba6f5c1p-15, -0x1.2f6deb622f04bp-15, -0x1.339c27b4886c3p-15, -0x1.37a4654f43bc5p-15, -0x1.3b86b62a0ef64p-15, -0x1.3f43307eb5706p-15, -0x1.42d9eeb28317ap-15, -0x1.464b0f3e418fap-15, -0x1.4996b495b624bp-15, -0x1.4cbd050defa8ep-15, -0x1.4fbe2ac78a29fp-15, -0x1.529a539468021p-15, -0x1.5551b0dfe72c5p-15, -0x1.57e47794cf4b9p-15, -0x1.5a52e004ffe3ap-15, -0x1.5c9d25d14f362p-15, -0x1.5ec387d0540fdp-15, -0x1.60c647f4f19d4p-15, -0x1.62a5ab355f303p-15, -0x1.6461f9734f87ap-15, -0x1.65fb7d6332f2cp-15, -0x1.67728473866ccp-15, -0x1.68c75eb3f3858p-15, -0x1.69fa5ebd56e0ap-15, -0x1.6b0bd999f7b35p-15, -0x1.6bfc26add6ae4p-15, -0x1.6ccb9f9da58c7p-15, -0x1.6d7aa037e583p-15, -0x1.6e09865deb087p-15, -0x1.6e78b1ec6d3bep-15, -0x1.6ec884a5720ecp-15, -0x1.6ef96217f99c1p-15, -0x1.6f0baf8a7111bp-15, -0x1.6effd3e519b59p-15, -0x1.6ed6379bcc58ep-15, -0x1.6e8f4498f1ebcp-15, -0x1.6e2b6627c9013p-15, -0x1.6dab08df40d74p-15, -0x1.6d0e9a8e3f2f1p-15, -0x1.6c568a26e6572p-15, -0x1.6b8347aa0e01fp-15, -0x1.6a954413fc68ep-15, -0x1.698cf14924d65p-15, -0x1.686ac203fbf83p-15, -0x1.672f29c158bd9p-15, -0x1.65da9cae45c6dp-15, -0x1.646d8f958c952p-15, }}, 
      {{0x1.8cf9a42ad0b2p-1, 0x1.8cf6c36df20fcp-1, 0x1.8cf23ccbcf8d7p-1, 0x1.8cec59be95ccfp-1, 0x1.8ce560bad95cap-1, 0x1.8cdd8af72f8adp-1, 0x1.8cd4fe34d85dap-1, 0x1.8ccbc968e0704p-1, 0x1.8cc1e36fa51dbp-1, 0x1.8cb72b2cd761dp-1, 0x1.8cab68a3fac17p-1, 0x1.8c9e4eb45e3f2p-1, 0x1.8c8f7d3a5fc13p-1, 0x1.8c7e8368a6c4p-1, 0x1.8c6ae2386fdd3p-1, 0x1.8c540ed94a686p-1, 0x1.8c39750f880d7p-1, 0x1.8c1a7975d06fcp-1, 0x1.8bf67b9a3455dp-1, 0x1.8bccd7f20468p-1, 0x1.8b9ce9a1f1c3cp-1, 0x1.8b660c19a0714p-1, 0x1.8b279c83118d4p-1, 0x1.8ae0fb072de6bp-1, 0x1.8a918be95aca7p-1, 0x1.8a38b87c6d5bfp-1, 0x1.89d5eff398538p-1, 0x1.8968a812090b7p-1, 0x1.88f05dbbfbe78p-1, 0x1.886c956c05223p-1, 0x1.87dcdb8f30e3p-1, 0x1.8740c4ca862d8p-1, 0x1.8697ee2c4e3d2p-1, 0x1.85e1fd4b5a0ffp-1, 0x1.851ea056568f5p-1, 0x1.844d8e1513c69p-1, 0x1.836e85dd7b248p-1, 0x1.82814f7dc732cp-1, 0x1.8185bb1d6994ep-1, 0x1.807ba115e8b91p-1, 0x1.7f62e1c4de186p-1, 0x1.7e3b65581c786p-1, 0x1.7d051b94f04a8p-1, 0x1.7bbffb9b4aa0ep-1, 0x1.7a6c03a597cc5p-1, 0x1.790938c5eaf55p-1, 0x1.7797a6a114e2fp-1, 0x1.76175f282d2bep-1, 0x1.74887a510653fp-1, 0x1.72eb15cdf582ap-1, 0x1.713f54c54e938p-1, 0x1.6f855f88e6c02p-1, 0x1.6dbd634de987fp-1, 0x1.6be791e53ef33p-1, 0x1.6a042174c01abp-1, 0x1.68134c316b6e6p-1, 0x1.6615501ac2f4p-1, 0x1.640a6eb77f96ep-1, 0x1.61f2ecd3b5e7dp-1, 0x1.5fcf12408d0ffp-1, 0x1.5d9f29959d845p-1, 0x1.5b637ff40d073p-1, 0x1.591c64cb783bdp-1, 0x1.56ca29a0b7a88p-1, 0x1.546d21d688bap-1, 0x1.5205a278266f7p-1, 0x1.4f940205d1af5p-1, 0x1.4d18984350bfdp-1, 0x1.4a93be08641f2p-1, 0x1.4805cd132fa34p-1, 0x1.456f1fdc97706p-1, 0x1.42d0116e8a9dp-1, 0x1.4028fd3c35953p-1, 0x1.3d7a3efc187e5p-1, 0x1.3ac43283f513ep-1, 0x1.380733a69158cp-1, 0x1.35439e133ed7fp-1, 0x1.3279cd3721d5ep-1, 0x1.2faa1c202b092p-1, 0x1.2cd4e561b86a2p-1, 0x1.29fa82fad28c9p-1, 0x1.271b4e3df9186p-1, 0x1.24379fba739b4p-1, 0x1.214fcf271981fp-1, 0x1.1e64334e83ce3p-1, 0x1.1b7521fc9dfc8p-1, 0x1.1882efed86b3dp-1, 0x1.158df0bdb774p-1, 0x1.129676db613bp-1, 0x1.0f9cd378f981cp-1, 0x1.0ca15680e23d9p-1, 0x1.09a44e8a295f9p-1, 0x1.06a608ce4d934p-1, 0x1.03a6d12001a26p-1, 0x1.00a6f1e2de389p-1, 0x1.fb4d6807f90ebp-2, 0x1.f54cbde6d37acp-2, 0x1.ef4c713cdb309p-2, 0x1.e94d0ad52879dp-2, 0x1.e34f1062f396dp-2, 0x1.dd53047a86e79p-2, 0x1.d759668b90ed8p-2, 0x1.d162b2dcaf008p-2, 0x1.cb6f62882ef4fp-2, 0x1.c57feb79ef11cp-2, 0x1.bf94c06e4f254p-2, 0x1.b9ae50f224a4cp-2, 0x1.b3cd09639d9dbp-2, 0x1.adf152f40d9f2p-2, 0x1.a81b93aa8b8d2p-2, 0x1.a24c2e675fea3p-2, 0x1.9c8382e82af8bp-2, 0x1.96c1edccc00e8p-2, 0x1.9107c89ca727dp-2, 0x1.8b5569cd3787ap-2, 0x1.85ab24c845ad9p-2, 0x1.800949f35850cp-2, 0x1.7a7026b758f0cp-2, 0x1.74e00588bab4ep-2, 0x1.6f592df00dedcp-2, 0x1.69dbe492f5395p-2, 0x1.64686b3d78549p-2, 0x1.5eff00eba8bb8p-2, 0x1.599fe1d39968p-2, 0x1.544b476f95e61p-2, 0x1.4f0168889e03bp-2, 0x1.49c279411aae1p-2, 0x1.448eab1fc8058p-2, 0x1.3f662d1aca1aep-2, 0x1.3a492ba2f19d8p-2, 0x1.3537d0af1e008p-2, 0x1.303243c7c501dp-2, 0x1.2b38aa129343dp-2, 0x1.264b265e20b06p-2, 0x1.2169d92dbecfdp-2, 0x1.1c94e0c54f097p-2, 0x1.17cc593528ba1p-2, 0x1.13105c660653ep-2, 0x1.0e610224f4403p-2, 0x1.09be602f46cb2p-2, 0x1.05288a3e89e6ep-2, 0x1.009f92146d6a4p-2, 0x1.f8470f0d5e385p-3, 0x1.ef68f115e7308p-3, 0x1.e6a4e285367c9p-3, 0x1.ddfaf80d086f9p-3, 0x1.d56b42e57f7a3p-3, 0x1.ccf5d0e462b8fp-3, 0x1.c49aac94421f7p-3, 0x1.bc59dd4b5ed38p-3, 0x1.b433674274be8p-3, 0x1.ac274bab4bd3cp-3, 0x1.a43588c71029bp-3, 0x1.9c5e19fc7d375p-3, 0x1.94a0f7edc8db4p-3, 0x1.8cfe188e5373bp-3, 0x1.85756f381a63dp-3, 0x1.7e06ecc0ec25ap-3, 0x1.76b27f8f57bf8p-3, 0x1.6f7813af579ddp-3, 0x1.685792e6ba73cp-3, 0x1.6150e4c940776p-3, 0x1.5a63eecc7866dp-3, 0x1.5390945b465a1p-3, 0x1.4cd6b6e92b401p-3, 0x1.463636053c5p-3, 0x1.3faeef6ccb50bp-3, 0x1.3940bf1dc2595p-3, 0x1.32eb7f68b8523p-3, 0x1.2caf0902aadcbp-3, 0x1.268b331671dc1p-3, 0x1.207fd355dccb1p-3, 0x1.1a8cbe0a870f5p-3, 0x1.14b1c6265294ep-3, 0x1.0eeebd539c0aap-3, 0x1.0943740511012p-3, 0x1.03afb98545d2ap-3, 0x1.fc66b80bd3d1fp-4, 0x1.f19c515d67c3cp-4, 0x1.e6ffd757fb50bp-4, 0x1.dc90e07a18396p-4, 0x1.d24f01840f24bp-4, 0x1.c839cd9346c2p-4, 0x1.be50d63cf1debp-4, 0x1.b493aba81913dp-4, 0x1.ab01dca71979ap-4, 0x1.a19af6d071acbp-4, 0x1.985e869703d89p-4, 0x1.8f4c1761b0484p-4, 0x1.866333a25ea6bp-4, 0x1.7da364ec6b61bp-4, 0x1.750c340a7bd26p-4, 0x1.6c9d2913c115bp-4, 0x1.6455cb80a25fp-4, 0x1.5c35a23ed7bd5p-4, 0x1.543c33c4f119fp-4, 0x1.4c6906254f996p-4, 0x1.44bb9f208ee81p-4, 0x1.3d338437649a1p-4, 0x1.35d03abbf2fbep-4, 0x1.2e9147e2946d2p-4, 0x1.277630d21f455p-4, 0x1.207e7ab3a4b9dp-4, 0x1.19a9aac1ad94ep-4, 0x1.12f74656f3dd2p-4, 0x1.0c66d2fc9eb41p-4, 0x1.05f7d67800f3p-4, 0x1.ff53adafb566dp-5, 0x1.f2f8b50248301p-5, 0x1.e6ddd076bdc07p-5, 0x1.db020e78e6b08p-5, 0x1.cf647e6833c44p-5, 0x1.c40430ada8dccp-5, 0x1.b8e036d0edadfp-5, 0x1.adf7a38c8887ep-5, 0x1.a3498ae1400a2p-5, 0x1.98d50228ad9abp-5, 0x1.8e992026feddfp-5, 0x1.8494fd1bf3e8ep-5, 0x1.7ac7b2d30ff8ep-5, 0x1.71305cb311749p-5, 0x1.67ce17cca37adp-5, 0x1.5ea002e861494p-5, 0x1.55a53e941aef1p-5, 0x1.4cdced2f70c38p-5, 0x1.444632f7bcd3cp-5, 0x1.3be03613558acp-5, 0x1.33aa1e9c2edap-5, 0x1.2ba316a9d38e4p-5, 0x1.23ca4a5ac9cefp-5, 0x1.1c1ee7dd57882p-5, 0x1.14a01f77b9082p-5, 0x1.0d4d238fc0532p-5, 0x1.062528b1e8c7dp-5, 0x1.fe4ecb2fccf1ap-6, 0x1.f0a6265d4bf28p-6, 0x1.e34ed937a58bdp-6, 0x1.d6475e85b42f9p-6, 0x1.c98e3592eb782p-6, 0x1.bd21e2377a5e2p-6, 0x1.b100ecdf8ad88p-6, 0x1.a529e29197dbep-6, 0x1.999b54f3f7fd4p-6, 0x1.8e53da51884e4p-6, 0x1.83520d9d8a73ep-6, 0x1.78948e76c842bp-6, 0x1.6e1a0129ee1a8p-6, 0x1.63e10eb3295eap-6, 0x1.59e864bf2029p-6, 0x1.502eb5ab309fp-6, 0x1.46b2b88511f1ep-6, 0x1.3d732909c3572p-6, 0x1.346ec7a3fe72ep-6, 0x1.2ba45969f59dfp-6, 0x1.2312a81a90b1p-6, 0x1.1ab8821a1f2f5p-6, 0x1.1294ba6e88437p-6, 0x1.0aa628baeb2dep-6, 0x1.02eba93ada5f3p-6, 0x1.f6c8397a21be4p-7, 0x1.e81cd13b88f5ap-7, 0x1.d9d2ed80f99cbp-7, 0x1.cbe86b13196dap-7, 0x1.be5b2fae5f2b6p-7, 0x1.b12929f473039p-7, 0x1.a450515ced179p-7, 0x1.97cea62574fc8p-7, 0x1.8ba2314128de3p-7, 0x1.7fc90447767c8p-7, 0x1.74413962649b9p-7, 0x1.6908f33c4fb73p-7, 0x1.5e1e5ced29748p-7, 0x1.537fa9e730f8p-7, 0x1.492b15e34a1ffp-7, 0x1.3f1ee4ccdf166p-7, 0x1.355962ad55612p-7, 0x1.2bd8e397351dbp-7, 0x1.229bc390ece12p-7, 0x1.19a0667f4974p-7, 0x1.10e5380f9b15ap-7, 0x1.0868aba19a263p-7, 0x1.00293c3113191p-7, 0x1.f04ad87e9ed33p-8, 0x1.e0b78b78833e6p-8, 0x1.d195b3df31f18p-8, 0x1.c2e282c335a7ap-8, 0x1.b49b3787aef91p-8, 0x1.a6bd1fb38c28dp-8, 0x1.994596c276a2bp-8, 0x1.8c3205f5a9f52p-8, 0x1.7f7fe4248c06p-8, 0x1.732cb58d3b6d7p-8, 0x1.67360ba4f307dp-8, 0x1.5b9984e8864dp-8, 0x1.5054ccaca092fp-8, 0x1.45659aee3bc39p-8, 0x1.3ac9b423059f5p-8, 0x1.307ee909c8a83p-8, 0x1.2683167b02a67p-8, 0x1.1cd42539839e7p-8, 0x1.137009c345eaep-8, 0x1.0a54c4225619dp-8, 0x1.01805fbdf1acfp-8, 0x1.f1e1e6579f95ap-9, 0x1.e1494003699d6p-9, 0x1.d133254e4d8fbp-9, 0x1.c19c044f09898p-9, 0x1.b28060087eaa1p-9, 0x1.a3dcd00ed09a8p-9, 0x1.95ae002d2bb8p-9, 0x1.87f0b00c218c5p-9, 0x1.7aa1b2d8b69a6p-9, 0x1.6dbdeeec0c1b5p-9, 0x1.61425d73d6a54p-9, 0x1.552c0a1b6fa14p-9, 0x1.497812b5cc715p-9, 0x1.3e23a6e819f6ep-9, 0x1.332c07d56921fp-9, 0x1.288e87cad7e95p-9, 0x1.1e4889ec94afdp-9, 0x1.145781e40e469p-9, 0x1.0ab8f38e91262p-9, 0x1.016a72ad3d2dap-9, 0x1.f0d3452b019b5p-10, 0x1.df686bc50fe99p-10, 0x1.ce8fdc4f90ccep-10, 0x1.be4537487269ep-10, 0x1.ae8439ed34464p-10, 0x1.9f48bda59ffd3p-10, 0x1.908eb76fe37c8p-10, 0x1.8252374e9e075p-10, 0x1.748f67b937d14p-10, 0x1.67428d0ddb4edp-10, 0x1.5a68050541c58p-10, 0x1.4dfc46290860ap-10, 0x1.41fbdf4b5169ep-10, 0x1.366377006029ep-10, 0x1.2b2fcb1abc2cep-10, 0x1.205db02881255p-10, 0x1.15ea10f333f21p-10, 0x1.0bd1ee015d61cp-10, 0x1.02125d1a3dad5p-10, 0x1.f151119603232p-11, 0x1.df235fdc6f108p-11, 0x1.cd964a6a59097p-11, 0x1.bca49d66672acp-11, 0x1.ac494ad58fb84p-11, 0x1.9c7f69b9db801p-11, 0x1.8d4235338058ep-11, 0x1.7e8d0ba721d38p-11, 0x1.705b6de70240dp-11, 0x1.62a8fe6066468p-11, 0x1.5571804c58042p-11, 0x1.48b0d6e46a573p-11, 0x1.3c63049b5461ap-11, 0x1.30842a58180f9p-11, 0x1.251086b5aefp-11, 0x1.1a0475463337cp-11, 0x1.0f5c6dd95a24dp-11, 0x1.051503c64f86dp-11, 0x1.f655ca73abb1fp-12, 0x1.e335b50db3e2p-12, 0x1.d0c38af4d98afp-12, 0x1.bef94167e4ef1p-12, 0x1.add0fdffd9966p-12, 0x1.9d45156c967dep-12, 0x1.8d500a380d527p-12, 0x1.7dec8b906acaep-12, 0x1.6f1574176e37fp-12, 0x1.60c5c8b85c2e5p-12, 0x1.52f8b7848c4a8p-12, 0x1.45a99695e7d2bp-12, 0x1.38d3e2f7584fp-12, 0x1.2c733f9369342p-12, 0x1.20837428fc319p-12, 0x1.15006c4541e12p-12, 0x1.09e6364300bf8p-12, 0x1.fe6204a050dd1p-13, 0x1.e9ba42f39c286p-13, 0x1.d5ce0976ffeaep-13, 0x1.c296782b3699dp-13, 0x1.b00ceb528dc55p-13, 0x1.9e2af9b07cf22p-13, 0x1.8cea72d4c9827p-13, 0x1.7c455d7020a8fp-13, 0x1.6c35f5b49cff1p-13, 0x1.5cb6abbde9434p-13, 0x1.4dc2220451a18p-13, 0x1.3f532bd955d37p-13, 0x1.3164cbed11dc6p-13, 0x1.23f232dd11ffap-13, 0x1.16f6bdcb28c07p-13, 0x1.0a6df4fdbaeb6p-13, 0x1.fca71514aaa87p-14, 0x1.e546b20cafd78p-14, 0x1.ceb2c4812a56p-14, 0x1.b8e39c0bce78cp-14, 0x1.a3d1d1d36a193p-14, 0x1.8f764633045b5p-14, 0x1.7bca1e6a4e8e1p-14, 0x1.68c6c2634810dp-14, 0x1.5665da85b5dedp-14, 0x1.44a14d9635949p-14, 0x1.33733ea67748dp-14, 0x1.22d60b14a5492p-14, 0x1.12c44894c5eaep-14, 0x1.0338c34b0018bp-14, 0x1.e85cf7dcc84f9p-15, 0x1.cb414bfe850a2p-15, 0x1.af154c0d4780ap-15, 0x1.93d01fc2441eep-15, 0x1.79694a2fc8f0bp-15, 0x1.5fd8a68ec4ebap-15, 0x1.471665189bc78p-15, 0x1.2f1b0805ff36cp-15, 0x1.17df60905eb03p-15, 0x1.015c8c1c01066p-15, 0x1.d717e2e4d94d1p-16, 0x1.acce7c17f8efap-16, 0x1.83d0c6e20ac74p-16, 0x1.5c13296c73ecfp-16, 0x1.358a87fc91a9bp-16, 0x1.102c4038193a3p-16, 0x1.d7dc48f766ec9p-17, 0x1.918ceeb031034p-17, 0x1.4d57ce7d98da5p-17, 0x1.0b2b149b7234dp-17, 0x1.95eb68bc21cb3p-18, 0x1.194ec09e55835p-18, 0x1.40c20a5b8a821p-19, 0x1.58235786a6d13p-21, -0x1.1b8e1e7fdcec2p-20, -0x1.6ae4101115a0dp-19, -0x1.20c1155672babp-18, -0x1.88e984e9d6c66p-18, -0x1.ee030f260bb43p-18, -0x1.28122dd0c196bp-17, -0x1.57b1865f73093p-17, -0x1.85e9e58e279b3p-17, -0x1.b2c5283a7d08ap-17, -0x1.de4cb922c669p-17, -0x1.0444cb00dfc6ap-16, -0x1.18c22a3dcbd58p-16, -0x1.2ca29366fc69ap-16, -0x1.3fe9f03a95643p-16, -0x1.529bfd4aaf30dp-16, -0x1.64bc4c16471e7p-16, -0x1.764e451d701b3p-16, -0x1.875529d4d4d49p-16, -0x1.97d4168e6c465p-16, -0x1.a7ce0452ca2ccp-16, -0x1.b745ca9f567b2p-16, -0x1.c63e211602409p-16, -0x1.d4b9a11d93659p-16, -0x1.e2bac77782ad8p-16, -0x1.f043f5b7b73c5p-16, -0x1.fd5773b852bdcp-16, -0x1.04fbb8815a837p-15, -0x1.0b13030a7b94ep-15, -0x1.10f29adb9d2bp-15, -0x1.169b771658b11p-15, -0x1.1c0e85305fa4bp-15, -0x1.214ca98066dc1p-15, -0x1.2656bfca5c92fp-15, -0x1.2b2d9bc201563p-15, -0x1.2fd20984210f8p-15, -0x1.3444ce13aca84p-15, -0x1.3886a7cae18dp-15, -0x1.3c984ec50acc1p-15, -0x1.407a754bb0958p-15, -0x1.442dc836c7c09p-15, -0x1.47b2ef4d72dfdp-15, -0x1.4b0a8d9c63497p-15, -0x1.4e3541cf93407p-15, -0x1.5133a681d16eap-15, -0x1.540652877ce71p-15, -0x1.56add93b69d85p-15, -0x1.592acac3e38cp-15, -0x1.5b7db45355d52p-15, -0x1.5da720670d956p-15, -0x1.5fa797024b774p-15, -0x1.617f9de68ac3bp-15, -0x1.632fb8c5d9f72p-15, -0x1.64b869764ba4p-15, -0x1.661a301f84f8ap-15, -0x1.67558b666d71cp-15, -0x1.686af89501901p-15, -0x1.695af3c23db13p-15, -0x1.6a25f7f6a1bbbp-15, -0x1.6acc7f4ae5e21p-15, -0x1.6b4f03098676p-15, -0x1.6badfbca690b3p-15, -0x1.6be9e18f3a123p-15, -0x1.6c032bd9aa797p-15, -0x1.6bfa51c428231p-15, -0x1.6bcfca1615ca3p-15, -0x1.6b840b580db7bp-15, -0x1.6b178be307e6p-15, -0x1.6a8ac1f307befp-15, -0x1.69de23b462582p-15, -0x1.6912274ff2de2p-15, -0x1.682742f75cafap-15, -0x1.671deceefe3e3p-15, -0x1.65f69b974f216p-15, -0x1.64b1c57360fb2p-15, -0x1.634fe12ff5845p-15, -0x1.61d165a8ded9cp-15, -0x1.6036c9ee79b9bp-15, -0x1.5e80854704826p-15, -0x1.5caf0f3221087p-15, -0x1.5ac2df6bbb80ep-15, -0x1.58bc6dead789fp-15, -0x1.569c32e1fa17dp-15, -0x1.5462a6bee9af1p-15, -0x1.521042297ab58p-15, -0x1.4fa57e01f851ap-15, -0x1.4d22d35c1d77fp-15, -0x1.4a88bb7e0de87p-15, -0x1.47d7afdbbaf58p-15, -0x1.45102a13c7ffep-15, -0x1.4232a3e868863p-15, -0x1.3f3f973cfe2d3p-15, -0x1.3c377e0fbdb08p-15, -0x1.391ad2728f778p-15, -0x1.35ea0e857097fp-15, -0x1.32a5ac70469ccp-15, -0x1.2f4e265da2887p-15, -0x1.2be3f67153fb9p-15, -0x1.286796c1e73cp-15, -0x1.24d98151702c4p-15, -0x1.213a30064c9cep-15, -0x1.1d8a1ca32ededp-15, -0x1.19c9c0be26ba8p-15, -0x1.15f995bb3c17ep-15, -0x1.121a14c23ba05p-15, -0x1.0e2bb6b6e21a4p-15, -0x1.0a2ef430511a5p-15, -0x1.06244571b258ap-15, -0x1.020c2262e96f9p-15, -0x1.fbce050d20d1fp-16, -0x1.f36ab9e4abcd2p-16, -0x1.eaef508d92074p-16, -0x1.e25cb54ddfc8p-16, -0x1.d9b3d361b65ebp-16, -0x1.d0f594e968df7p-16, -0x1.c822e2dba510dp-16, -0x1.bf3ca4f4f13e7p-16, -0x1.b643c1a5a7182p-16, -0x1.ad391e04cbb97p-16, -0x1.a41d9dbe94e2ap-16, -0x1.9af2230aaa567p-16, -0x1.91b78e9809562p-16, -0x1.886ebf81e884dp-16, -0x1.7f18933eba818p-16, -0x1.75b5e5936735dp-16, -0x1.6c479085229e1p-16, -0x1.62ce6c4eff0d7p-16, -0x1.594b4f508d107p-16, -0x1.4fbf0e051b27dp-16, -0x1.462a7af4a1a83p-16, -0x1.3c8e66a7b98b6p-16, -0x1.32eb9f9c7131ep-16, -0x1.2942f23bada6bp-16, -0x1.1f9528cf24a72p-16, -0x1.15e30b74b09a7p-16, -0x1.0c2d60152717fp-16, -0x1.0274ea59cabe7p-16, -0x1.f174d74265631p-17, -0x1.ddfd45f2f5385p-17, -0x1.ca849a2cc2f02p-17, -0x1.b70c488f67fc4p-17, -0x1.a395c0e4f2817p-17, -0x1.90226e10daf9ep-17, -0x1.7cb3b5ff8e475p-17, -0x1.694af99aae03fp-17, -0x1.55e994bd5244ap-17, -0x1.4290de2913d1p-17, -0x1.2f42277565806p-17, -0x1.1bfebd08d5011p-17, -0x1.08c7e60b112f8p-17, -0x1.eb3dc8b72265cp-18, -0x1.c509e913a247bp-18, -0x1.9ef69ba50b981p-18, -0x1.79064421c6576p-18, -0x1.533b3b745156dp-18, -0x1.2d97cfb28fa38p-18, -0x1.081e440b9fa84p-18, -0x1.c5a1a17d4ef1ep-19, -0x1.7b63463204eep-19, -0x1.3185bae9abb8p-19, -0x1.d01a5ca439832p-20, -0x1.3dfb721b9f729p-20, -0x1.596d76d4b677dp-21, -0x1.c541181ed6596p-24, 0x1.cc937b623341dp-22, 0x1.01ac9503434a5p-20, 0x1.8f3bbc5d0d0fap-20, 0x1.0de5963f68b26p-19, 0x1.53a9f479403dp-19, 0x1.98e790a0ab046p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      32, 0x1.ef5c28f5c28f6p+1, 0x1.c07b825a7591cp+3, 0x1.d4a0052328699p+4, 0x1.f9b2bf9e664cp-10, 
      {{
        {0x1.2a3d70a3d70a4p+1, 0x1.2cccccccccccdp+1, 0x1.2aa27bfb22adp-5, -0x1.ef7d06cb61c01p-2, 0x1.b204eca160df3p+1, -0x1.62a822769dd85p+3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.cb7b73d3d6667p-6, -0x1.723896b68290ep-2, 0x1.5ce6cfe112076p+1, -0x1.18169b5c72d48p+3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.01073c0701df9p-6, -0x1.3ca4545a3e20dp-3, 0x1.69b27eeccd77ap+0, -0x1.779e0bca2592cp+2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.6072543e0100bp-7, -0x1.d5baa7d91a70ap-5, 0x1.10a7561a3aa2bp-1, -0x1.8b210659f6499p+1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.217b31e8e4a3cp-7, -0x1.be4a56bee0905p-6, 0x1.1c9c2beed0888p-4, -0x1.5a4f971f2b9afp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.f2517bfa8bc8cp-8, -0x1.7600f0e836393p-6, 0x1.334b450a0cb19p-6, 0x1.97a5a79221b22p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.aaff86c46a0fp-8, -0x1.5128d968dad8fp-6, 0x1.ad9690e916ce1p-6, -0x1.dfc3edd23f915p-6}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.6b9f4ad2d232cp-8, -0x1.29cc8ac83e2a2p-6, 0x1.659f93a326defp-6, -0x1.e965987e50ea1p-8}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.3393d6c3af2aap-8, -0x1.06f44b811fde5p-6, 0x1.53455deb37095p-6, -0x1.9f6cd9cf83eb6p-7}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.024686c19980dp-8, -0x1.cd2b886b298f3p-7, 0x1.341d33fba6be3p-6, -0x1.5cddfcdb6f014p-7}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ae4e0907ae9d8p-9, -0x1.9229eacc65d84p-7, 0x1.19f2f437fe6b1p-6, -0x1.59e3ad036424bp-7}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.63568e9cb87fcp-9, -0x1.5c5e3be46cabbp-7, 0x1.0001e0d7bd4e9p-6, -0x1.45e0133fac617p-7}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.229f27e393233p-9, -0x1.2b9c56bf839f8p-7, 0x1.cf222532ba5b4p-7, -0x1.366d140e8fa6p-7}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.d659f32db8475p-10, -0x1.ff4048eadc72ap-8, 0x1.a091c896f19bep-7, -0x1.25c0f47ec5dc6p-7}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.7823871518815p-10, -0x1.b057f144557ecp-8, 0x1.7481a3ea53ee1p-7, -0x1.1568bbd702c27p-7}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.28d7c157eeb71p-10, -0x1.6a00dd8a9d124p-8, 0x1.4ae52156e0514p-7, -0x1.04fa07ede4d2ap-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.cd991c0731dd9p-11, -0x1.2bbd3097afcc9p-8, 0x1.23bfa02664648p-7, -0x1.e922b4442555ap-8}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.60e21eb056f32p-11, -0x1.ea1d9c2628a47p-9, 0x1.fe20720f5cc94p-8, -0x1.c84e1e450a3f8p-8}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.089b3b90e1d12p-11, -0x1.8aef5526ae8e9p-9, 0x1.b9ae53eb680c2p-8, -0x1.a77a65a92c962p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.840f1fe7a8492p-12, -0x1.38f36c4ac7379p-9, 0x1.7a28c4aba15c4p-8, -0x1.86a671e7a626p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.15394b1338528p-12, -0x1.e65b883692e09p-10, 0x1.3f8fcd2f48706p-8, -0x1.65d28d59a35e2p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8009c9a052958p-13, -0x1.71447cf096f5ap-10, 0x1.09e36b2ea321fp-8, -0x1.44fea7233ded6p-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.004d642a13a51p-13, -0x1.10a97aebcac42p-10, 0x1.b2473dd2b3b03p-9, -0x1.242ab85af1354p-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.46e1428d0641p-14, -0x1.85248c03a3ce7p-11, 0x1.5aa0d35104ec9p-9, -0x1.0356ed8269c6dp-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.89c1b8388a9cp-15, -0x1.0a0d45bcfa1aep-11, 0x1.0cd38c104b97ap-9, -0x1.c50536f9d4cd3p-9}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.b89b49792f581p-16, -0x1.58394ccdd3ddep-12, 0x1.91bf213c0a8bbp-10, -0x1.83608476a5d9ep-9}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.be9e2ed72e9ffp-17, -0x1.9d891e46a8f3fp-13, 0x1.1d88931872637p-10, -0x1.41ad1a2f06e36p-9}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.89bba4542f4p-18, -0x1.bf6b80717dd2ep-14, 0x1.7a0fb014ad725p-11, -0x1.00309d6ff0a9fp-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.18c2cf7efffffp-19, -0x1.9ce9b7d8e900ap-15, 0x1.c0b1d66fd3b08p-12, -0x1.7bce44a94270dp-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.16d2447ebp-21, -0x1.22389ff3fb5bep-16, 0x1.b99f5a7af141ap-13, -0x1.fa6acc81c7eedp-11}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.024686c170001p-24, -0x1.d3b4e90b52b6ap-19, 0x1.138b5926f29a6p-14, -0x1.a138956676099p-12}, 
        {0x1.ecccccccccccdp+1, 0x1.ef5c28f5c28f6p+1, 0x1.b89b490ffffffp-32, 0x1.b018713a7532p-24, 0x1.93632b6456p-18, -0x1.7da20cb654b11p-9}, 
      }}, 
      0x1.774ea894b1791p-3, -0x1.b1cd608f99a1fp+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{0x1.7cb7a643a25f5p-3, 0x1.75725a6c1c13bp-2, 0x1.0f821ed626acap-1, 0x1.5b283e9d51b53p-1, 0x1.9c12ae922ea16p-1, 0x1.d15e7f7040704p-1, 0x1.fac1e8ccb6a08p-1, 0x1.0c36861bda949p+0, 0x1.157637e922c4fp+0, 0x1.1987769657d4fp+0, 0x1.18e7c9712697cp+0, 0x1.1421b0ad19052p+0, 0x1.0bc547ef31e6ap+0, 0x1.00627a675f478p+0, 0x1.e5092d9793546p-1, 0x1.c55e2b7e8d1c1p-1, 0x1.a2b6cbac72dc4p-1, 0x1.7def21f6b96ddp-1, 0x1.57cb21a00a7bp-1, 0x1.30f659bb5f1e5p-1, 0x1.0a04838628a87p-1, 0x1.c6e555a0bbfe3p-2, 0x1.7b517dd117e62p-2, 0x1.31f6c7dab1b81p-2, 0x1.d6b78ebace29ep-3, 0x1.4fd08f2f3aaaap-3, 0x1.9fa469eedeee9p-4, 0x1.5c9d93c46051p-5, -0x1.9ed0fac8e5ed5p-7, -0x1.0694c37bec3adp-4, -0x1.c9d8d3c074bbep-4, -0x1.3ee6c345d49f7p-3, -0x1.9160747e056fep-3, -0x1.dc9012b9a6623p-3, -0x1.105c2acf8a20ap-2, -0x1.2f128addb7509p-2, -0x1.4a9457f2ace2cp-2, -0x1.630ce3e2e5184p-2, -0x1.78a8b1db9c6bbp-2, -0x1.8b94ad9137cfdp-2, -0x1.9bfd876b063a4p-2, -0x1.aa0f313aa6206p-2, -0x1.b5f4774a9ef06p-2, -0x1.bfd6b1e5e33ffp-2, -0x1.c7dd8ba9d0e4p-2, -0x1.ce2ed93b23d85p-2, -0x1.d2ee7f5dea674p-2, -0x1.d63e64ea412cfp-2, -0x1.d83e6e72efcf8p-2, -0x1.d90c81b9806dap-2, -0x1.d8c48f44b65e6p-2, -0x1.d780a0a8de32bp-2, -0x1.d558ea4c774a4p-2, -0x1.d263dfae8cd7bp-2, -0x1.ceb6495d5061bp-2, -0x1.ca635bf32624dp-2, -0x1.c57ccf8ce7701p-2, -0x1.c012f7467b00cp-2, -0x1.ba34d85d7b659p-2, -0x1.b3f040bb3af03p-2, -0x1.ad51dcab55d04p-2, -0x1.a6654ba1c1babp-2, -0x1.9f3533f467eefp-2, -0x1.97cb55808e7abp-2, -0x1.90309b30e4afbp-2, -0x1.886d2b677d75fp-2, -0x1.80887750cb8abp-2, -0x1.7889491a0cf19p-2, -0x1.7075d13a7b17bp-2, -0x1.6853b2a0930c5p-2, -0x1.60280e078bb3dp-2, -0x1.57f78c6783a72p-2, -0x1.4fc66892b7809p-2, -0x1.47987813b4eb4p-2, -0x1.3f71335484781p-2, -0x1.3753bd21b71c8p-2, -0x1.2f42e98fd40d6p-2, -0x1.27414457cf2d7p-2, -0x1.1f5116a9c143ep-2, -0x1.17746c8f41044p-2, -0x1.0fad19d64bfcdp-2, -0x1.07fcbe9f11ab6p-2, -0x1.0064cb8363e2fp-2, -0x1.f1cd0ae3aaa05p-3, -0x1.e306125e60b08p-3, -0x1.d4769d395dbb5p-3, -0x1.c6205757cc1cap-3, -0x1.b804ae551e139p-3, -0x1.aa24d677ef632p-3, -0x1.9c81cf845d0b9p-3, -0x1.8f1c68d9f5211p-3, -0x1.81f545a4d8224p-3, -0x1.750ce04b5b2c8p-3, -0x1.68638e0b3a9f8p-3, -0x1.5bf981ed02db9p-3, -0x1.4fcecfbd9876bp-3, -0x1.43e36ecb209e6p-3, -0x1.38373c2642f91p-3, -0x1.2cc9fd4b6d4dcp-3, -0x1.219b61d6c22fcp-3, -0x1.16ab05d804ea1p-3, -0x1.0bf87384125e5p-3, -0x1.018324bb65e46p-3, -0x1.ee950a29d1c4cp-4, -0x1.da9be58132b1bp-4, -0x1.c719809b24adp-4, -0x1.b40c6be8aa96cp-4, -0x1.a173247f20e29p-4, -0x1.8f4c17bc28ec4p-4, -0x1.7d95a4741995dp-4, -0x1.6c4e1c57b13f4p-4, -0x1.5b73c7526194cp-4, -0x1.4b04e39a24cc1p-4, -0x1.3affa779f76e5p-4, -0x1.2b6243f30c6f2p-4, -0x1.1c2ae479f243cp-4, -0x1.0d57b080729cep-4, -0x1.fdcd9bd54e275p-5, -0x1.e1acc0bb02af9p-5, -0x1.c64914e7ae3b7p-5, -0x1.ab9ee079bc39p-5, -0x1.91aa6ca64553bp-5, -0x1.786804bf62cf9p-5, -0x1.5fd3fb5c3ab54p-5, -0x1.47eaa98314666p-5, -0x1.30a86d326d2aep-5, -0x1.1a09ae302a04cp-5, -0x1.040adf4bd1cccp-5, -0x1.dd50f6e727158p-6, -0x1.b3be0fe4eca4fp-6, -0x1.8b56300f2e057p-6, -0x1.641295bfc9dc2p-6, -0x1.3dec94ca6ae8cp-6, -0x1.18dd9d952ed49p-6, -0x1.e9be7dfd06599p-7, -0x1.a3d64210aa9f2p-7, -0x1.5ff60c36145afp-7, -0x1.1e11a1c425381p-7, -0x1.bc3a0afe2c748p-8, -0x1.4018ddecc9158p-8, -0x1.8f5140449dde3p-9, -0x1.4b4aea6a4c047p-10, 0x1.e7eefd4ec614dp-12, 0x1.18c421090601p-9, 0x1.edd7c3eb291a2p-9, 0x1.5e311b402ac65p-8, 0x1.c245fb7145d12p-8, 0x1.119f2b71ddd71p-7, 0x1.4096c7d566a9cp-7, 0x1.6e1344ed044b4p-7, 0x1.9a1dd9989bd67p-7, 0x1.c4bf896227314p-7, 0x1.ee012283bb0ccp-7, 0x1.0af59c93d4341p-6, 0x1.1e4313fe93661p-6, 0x1.30ed0bc2115c8p-6, 0x1.42f7801e4965p-6, 0x1.54665352f3bc3p-6, 0x1.653d4c9bc533ep-6, 0x1.75801a9814133p-6, 0x1.853255ca8a3acp-6, 0x1.9457804a7833ep-6, 0x1.a2f30406bf69ep-6, 0x1.b108332c56305p-6, 0x1.be9a4abb558dfp-6, 0x1.cbac74112604p-6, 0x1.d841c42ac2d3dp-6, 0x1.e45d3a7e9195fp-6, 0x1.f001c1ebbf54cp-6, 0x1.fb3232f8d671fp-6, 0x1.02f8aa6fe39b3p-5, 0x1.0820ee760f17fp-5, 0x1.0d1336d71e71p-5, 0x1.11d0cbf1c1f5cp-5, 0x1.165aee275ec81p-5, 0x1.1ab2d652f7531p-5, 0x1.1ed9b59d42f0dp-5, 0x1.22d0b52eb73abp-5, 0x1.2698f6766735ep-5, 0x1.2a3393e462637p-5, 0x1.2da1a165b6344p-5, 0x1.30e42c6a601c3p-5, 0x1.33fc3bacd1258p-5, 0x1.36eacf3eb01aep-5, 0x1.39b0e1093e113p-5, 0x1.3c4f654c8a3e3p-5, 0x1.3ec74ad301098p-5, 0x1.41197ae06189ep-5, 0x1.4346d9186fb9ap-5, 0x1.455043b55d9afp-5, 0x1.473693f5d0a9p-5, 0x1.48fa9e6d2d41ap-5, 0x1.4a9d331fa2047p-5, 0x1.4c1f1d73e1ed8p-5, 0x1.4d81242c5005p-5, 0x1.4ec4099f5c7c3p-5, 0x1.4fe88c0b2008ap-5, 0x1.50ef65cd50812p-5, 0x1.51d94d79277f2p-5, 0x1.52a6f5d131505p-5, 0x1.53590dc58ba89p-5, 0x1.53f0409e47703p-5, 0x1.546d36397465cp-5, 0x1.54d093361dbcp-5, 0x1.551af90a8d9ddp-5, 0x1.554d06080e112p-5, 0x1.55675558b6b78p-5, 0x1.556a7f1610ba7p-5, 0x1.5557187588b75p-5, 0x1.552db3ecbfddap-5, 0x1.54eee1483413dp-5, 0x1.549b2db75ee07p-5, 0x1.543323cd5bd5cp-5, 0x1.53b74b8682af9p-5, 0x1.53282a629f186p-5, 0x1.528643843d8dp-5, 0x1.51d217c653b6ep-5, 0x1.510c25cae38fp-5, 0x1.5034ea030985cp-5, 0x1.4f4cdeb070691p-5, 0x1.4e547bec99cfcp-5, 0x1.4d4c37bd75124p-5, 0x1.4c34862a954b9p-5, 0x1.4b0dd94b2a8b2p-5, 0x1.49d8a150a1ef9p-5, 0x1.48954c8cfe1cfp-5, 0x1.47444776bed36p-5, 0x1.45e5fcac849dap-5, 0x1.447ad503067e6p-5, 0x1.43033793c4e8p-5, 0x1.417f89c743749p-5, 0x1.3ff02f5cd59bfp-5, 0x1.3e558a713b127p-5, 0x1.3caffb82e6b8cp-5, 0x1.3affe1749304fp-5, 0x1.3945998da15c3p-5, 0x1.37817f923bbe8p-5, 0x1.35b3edc00eafbp-5, 0x1.33dd3cd7c5a3ep-5, 0x1.31fdc423117b3p-5, 0x1.3015d978b4affp-5, 0x1.2e25d13f1e14ep-5, 0x1.2c2dfe6ee0647p-5, 0x1.2a2eb2985367ep-5, 0x1.28283deabe202p-5, 0x1.261aef39c704fp-5, 0x1.240714015e6c1p-5, 0x1.21ecf86982f05p-5, 0x1.1fcce749d220ap-5, 0x1.1da72a2c14774p-5, 0x1.1b7c094e5da72p-5, 0x1.194bcba6d4881p-5, 0x1.1716b6e89cedfp-5, 0x1.14dd0f87e80fdp-5, 0x1.129f18bcf54fp-5, 0x1.105d1486f7e6fp-5, 0x1.0e1743af25135p-5, 0x1.0bcde5cb59025p-5, 0x1.0981394019ee5p-5, 0x1.07317b42ea075p-5, 0x1.04dee7ddacda9p-5, 0x1.0289b9f21e52ap-5, 0x1.00322b3caf9abp-5, 0x1.fbb0e8adeffdcp-6, 0x1.f6f99974751c8p-6, 0x1.f23ed583f2372p-6, 0x1.ed81075c9a607p-6, 0x1.e8c0974bcc71ap-6, 0x1.e3fdeb70b2a42p-6, 0x1.df3967c1ff2a5p-6, 0x1.da736e13b9ab4p-6, 0x1.d5ac5e1c37876p-6, 0x1.d0e49578acab3p-6, 0x1.cc1c6fb1cb29dp-6, 0x1.c7544640aa9dcp-6, 0x1.c28c7093a5afap-6, 0x1.bdc54412d2fc9p-6, 0x1.b8ff142487226p-6, 0x1.b43a323268754p-6, 0x1.af76edaeb1dbcp-6, 0x1.aab5941937bd4p-6, 0x1.a5f6710421a5fp-6, 0x1.a139ce18ac5b9p-6, 0x1.9c7ff31c15779p-6, 0x1.97c925f4ac4c3p-6, 0x1.9315aaaeb9f9bp-6, 0x1.8e65c3813d2e3p-6, 0x1.89b9b0d2b6c8fp-6, 0x1.8511b13e4e73ep-6, 0x1.806e01991c88cp-6, 0x1.7bcedcf749092p-6, 0x1.77347cb11c83cp-6, 0x1.729f1867fc921p-6, 0x1.6e0ee60b874b6p-6, 0x1.698419debf9cp-6, 0x1.64fee67d399c4p-6, 0x1.607f7ce046e74p-6, 0x1.5c060c6418641p-6, 0x1.5792c2cd17a59p-6, 0x1.5325cc4d47545p-6, 0x1.4ebf53899a723p-6, 0x1.4a5f819f302c9p-6, 0x1.46067e28954fap-6, 0x1.41b46f430edf7p-6, 0x1.3d697993fd527p-6, 0x1.3925c04e537f5p-6, 0x1.34e9653807ea6p-6, 0x1.30b488af76975p-6, 0x1.2c8749b0c87c5p-6, 0x1.2861c5db5af54p-6, 0x1.2444197736b1bp-6, 0x1.202e5f7a7e31bp-6, 0x1.1c20b18edad9cp-6, 0x1.181b2816f5498p-6, 0x1.141dda33e3242p-6, 0x1.1028ddcaa507ep-6, 0x1.0c3c47899f98ep-6, 0x1.08582aee126f4p-6, 0x1.047c9a4983c35p-6, 0x1.00a9a6c7245b7p-6, 0x1.f9bec0e281b39p-7, 0x1.f23bac6d6611ap-7, 0x1.eaca2be0929d7p-7, 0x1.e36a58cc60799p-7, 0x1.dc1c4aaa9d808p-7, 0x1.d4e016e9325a2p-7, 0x1.cdb5d0f4c891ep-7, 0x1.c69d8a436c736p-7, 0x1.bf97525f223d1p-7, 0x1.b8a336f06d3f6p-7, 0x1.b1c143c8de05fp-7, 0x1.aaf182ed7376ep-7, 0x1.a433fca0fbf2ep-7, 0x1.9d88b76e6861fp-7, 0x1.96efb8330752ep-7, 0x1.90690228974b9p-7, 0x1.89f496ef6b63ap-7, 0x1.8392769851f36p-7, 0x1.7d429fae905ebp-7, 0x1.77050f41b60fcp-7, 0x1.70d9c0ef6b389p-7, 0x1.6ac0aeed2be0bp-7, 0x1.64b9d211e6cd7p-7, 0x1.5ec521df75019p-7, 0x1.58e2948c0d042p-7, 0x1.53121f0b8a87p-7, 0x1.4d53b518987e8p-7, 0x1.47a7493dd9ad7p-7, 0x1.420cccded5847p-7, 0x1.3c843040f74d4p-7, 0x1.370d629453121p-7, 0x1.31a851fc73aaep-7, 0x1.2c54eb98f29b7p-7, 0x1.27131b8e012a7p-7, 0x1.21e2cd0cc8181p-7, 0x1.1cc3ea5b9dd04p-7, 0x1.17b65cde1991ap-7, 0x1.12ba0d1d043d7p-7, 0x1.0dcee2ce35df8p-7, 0x1.08f4c4dc6372fp-7, 0x1.042b996ee08cdp-7, 0x1.fee68be2b909fp-8, 0x1.f5975e37010aep-8, 0x1.ec6971f0fbf46p-8, 0x1.e35c8ddcb4de6p-8, 0x1.da70778a08ceep-8, 0x1.d1a4f35a36284p-8, 0x1.c8f9c48ceff61p-8, 0x1.c06ead4d02e38p-8, 0x1.b8036ebcf4007p-8, 0x1.afb7c903a05e7p-8, 0x1.a78b7b593f329p-8, 0x1.9f7e4414c0495p-8, 0x1.978fe0b973f2p-8, 0x1.8fc00e04979ccp-8, 0x1.880e87fa7b72bp-8, 0x1.807b09f2a4b21p-8, 0x1.79054ea2b3a8bp-8, 0x1.71ad1027f290cp-8, 0x1.6a72080fb61fdp-8, 0x1.6353ef5f3e4b4p-8, 0x1.5c527e9bc96f3p-8, 0x1.556d6dd3a0009p-8, 0x1.4ea474a8bedb8p-8, 0x1.47f74a5d31eacp-8, 0x1.4165a5e0bf2b5p-8, 0x1.3aef3ddef2847p-8, 0x1.3493c8cc49d99p-8, 0x1.2e52fcf112936p-8, 0x1.282c90711da35p-8, 0x1.2220394ff3ep-8, 0x1.1c2dad72106d4p-8, 0x1.1654a29cd020fp-8, 0x1.1094ce76f4addp-8, 0x1.0aede68c29a3cp-8, 0x1.055fa05517069p-8, 0x1.ffd36289cca4cp-9, 0x1.f5179db6669e8p-9, 0x1.ea8b5d70e12adp-9, 0x1.e02e0d6281e57p-9, 0x1.d5ff19ba572a1p-9, 0x1.cbfdef3af8c48p-9, 0x1.c229fb357a483p-9, 0x1.b882ab7283601p-9, 0x1.af076e0faf992p-9, 0x1.a5b7b15b15dbfp-9, 0x1.9c92e3b9117f6p-9, 0x1.939873a00069dp-9, 0x1.8ac7cfb149ffep-9, 0x1.822066f17fe0ap-9, 0x1.79a1a91983e03p-9, 0x1.714b06f312a76p-9, 0x1.691bf2ae90518p-9, 0x1.6113e01e06af4p-9, 0x1.593244c4dd3d5p-9, 0x1.517697b3032b7p-9, 0x1.49e0512d7ad7p-9, 0x1.426eea31c4fdap-9, 0x1.3b21dbec221d9p-9, 0x1.33f89f3f58dc5p-9, 0x1.2cf2ac7c95d49p-9, 0x1.260f7b63b4c52p-9, 0x1.1f4e8377bc8a7p-9, 0x1.18af3ca28aebbp-9, 0x1.12312010d69f7p-9, 0x1.0bd3a92133736p-9, 0x1.059656383df65p-9, 0x1.fef15297a4488p-10, 0x1.f2f4500257a13p-10, 0x1.e734b6973b7c4p-10, 0x1.dbb19d21db3cp-10, 0x1.d06a1ce2bff62p-10, 0x1.c55d4ecd43353p-10, 0x1.ba8a48f31df5ep-10, 0x1.aff01ca176b56p-10, 0x1.a58dd59c3b14cp-10, 0x1.9b627ab8674a5p-10, 0x1.916d0fd8cebc5p-10, 0x1.87ac99101b3acp-10, 0x1.7e201e70bfd13p-10, 0x1.74c6afeaa2267p-10, 0x1.6b9f68893c183p-10, 0x1.62a970744f832p-10, 0x1.59e3fd430b662p-10, 0x1.514e50761b589p-10, 0x1.48e7b43d711c6p-10, 0x1.40af76fdb1626p-10, 0x1.38a4e64671c34p-10, 0x1.30c74a0b27dd3p-10, 0x1.2915e0ecb67a2p-10, 0x1.218fde3a100ddp-10, 0x1.1a346a09e055fp-10, 0x1.1302a37c2829fp-10, 0x1.0bf9a4da9c81bp-10, 0x1.0518890264ea2p-10, 0x1.fcbce2963df7ep-11, 0x1.ef95160673b27p-11, 0x1.e2b82747a70e5p-11, 0x1.d624b6143497cp-11, 0x1.c9d986a1f44dfp-11, 0x1.bdd57c8f68b47p-11, 0x1.b21791cb4db0cp-11, 0x1.a69ecadf96a1cp-11, 0x1.9b6a2a6c4e35p-11, 0x1.9078a5ae6e309p-11, 0x1.85c91bb0369b3p-11, 0x1.7b5a504ca91ep-11, 0x1.712aeb9c0247cp-11, 0x1.67397dc8f5069p-11, 0x1.5d8486bb659c1p-11, 0x1.540a8082fa29p-11, 0x1.4ac9eb063038ep-11, 0x1.41c15748ddc16p-11, 0x1.38ef70ab5462cp-11, 0x1.305302dc6261ap-11, 0x1.27eafbc88e959p-11, 0x1.1fb669789f193p-11, 0x1.17b47473dc54ep-11, 0x1.0fe457a92d02ap-11, 0x1.0845571c09c0bp-11, 0x1.00d6b68f52a2ap-11, 0x1.f32f6286c740cp-12, 0x1.e50ee7590a654p-12, 0x1.d74a2fa0d98e9p-12, 0x1.c9df4964dc602p-12, 0x1.bccc219217db2p-12, 0x1.b00e8dd82d047p-12, 0x1.a3a459524fcb4p-12, 0x1.978b517d702e5p-12, 0x1.8bc15168d646ep-12, 0x1.80444a47184bfp-12, 0x1.751249a85fe22p-12, 0x1.6a297e2e33b8cp-12, 0x1.5f883b11d5601p-12, 0x1.552cf9daacd84p-12, 0x1.4b1658d515f69p-12, 0x1.414314fb88e2p-12, 0x1.37b1ff3a7690fp-12, 0x1.2e61eed520d3dp-12, 0x1.2551b44eff32fp-12, 0x1.1c8010ad6d49bp-12, 0x1.13ebb3a50e32dp-12, 0x1.0b93409aa8de3p-12, 0x1.03755763691acp-12, 0x1.f72137adc5f82p-13, 0x1.e7c76f7ae51ecp-13, 0x1.d8daab0ce49a9p-13, 0x1.ca582cdc883cap-13, 0x1.bc3d146d09d33p-13, 0x1.ae865e56d8dccp-13, 0x1.a130fc04e5effp-13, 0x1.9439fe9063b86p-13, 0x1.879ec50ae8addp-13, 0x1.7b5d1a30309cfp-13, 0x1.6f733304d7decp-13, 0x1.63df8d3d25822p-13, 0x1.58a0baf98f734p-13, 0x1.4db531b6c16c8p-13, 0x1.431b2fd680df5p-13, 0x1.38d0c0825679fp-13, 0x1.2ed3d77a4cdb9p-13, 0x1.2522750205a4p-13, 0x1.1bbac093b34aep-13, 0x1.129b0dfe96de6p-13, 0x1.09c1c92c54fadp-13, 0x1.012d4ef3c0dd2p-13, 0x1.f1b785f73d5dp-14, 0x1.e195ef4ab5cfep-14, 0x1.d1f0f1bc386e4p-14, 0x1.c2c379b0dd975p-14, 0x1.b408d6afb193ep-14, 0x1.a5bd3d53cc223p-14, 0x1.97de022fe5887p-14, 0x1.8a6971cc29fa1p-14, 0x1.7d5e5aefc5b04p-14, 0x1.70bb87c2ae25dp-14, 0x1.647f653cc647dp-14, 0x1.58a7f43a4c9e8p-14, 0x1.4d32f07623bf4p-14, 0x1.421e022567edap-14, 0x1.3766d925d8b9p-14, 0x1.2d0b29283b835p-14, 0x1.23088fd1963fp-14, 0x1.195c74540bc2fp-14, 0x1.1003efcd45039p-14, 0x1.06fbc78c72358p-14, 0x1.fc80f42bbbb4cp-15, 0x1.eb9cbcdbf55aap-15, 0x1.db43b3ce56099p-15, 0x1.cb6f58dd5f3c1p-15, 0x1.bc1a7f6678e3p-15, 0x1.ad41a620f6436p-15, 0x1.9ee2c6a30da2ap-15, 0x1.90fc9e85aa5b5p-15, 0x1.838dcc97756ecp-15, 0x1.769445fe32c29p-15, 0x1.6a0d6c883a4fep-15, 0x1.5df69624b7855p-15, 0x1.524d8fe258574p-15, 0x1.4710cc863c3dap-15, 0x1.3c3f34737fe36p-15, 0x1.31d7a5fe87d8p-15, 0x1.27d847618928fp-15, 0x1.1e3dfd3be3652p-15, 0x1.15046120ebefap-15, 0x1.0c263b4df39p-15, 0x1.039e1e9173cb9p-15, 0x1.f6cd8c0d694cfp-16, 0x1.e6f661e95b014p-16, 0x1.d7ad8a72adb57p-16, 0x1.c8eb4edafc8dfp-16, 0x1.baaa344539f78p-16, 0x1.ace71b88fd1fp-16, 0x1.9fa0948c9103fp-16, 0x1.92d5c96bcd4fdp-16, 0x1.868579556acc3p-16, 0x1.7aad5b0f86dep-16, 0x1.6f4a0c7448c81p-16, 0x1.64577bb15105cp-16, 0x1.59d1d008845ccp-16, 0x1.4fb6b4488013dp-16, 0x1.4605ef125528bp-16, 0x1.3cc0132c1106bp-16, 0x1.33e40905fb337p-16, 0x1.2b6db81b482b1p-16, 0x1.2356d6fa2ab1ap-16, 0x1.1b98d69970f6dp-16, 0x1.142e7254642bep-16, 0x1.0d1439fc82c8cp-16, 0x1.0648178fcc86ep-16, 0x1.ff905333a7375p-17, 0x1.f3232fe728aa7p-17, 0x1.e740247d1512ap-17, 0x1.dbdc2bcf621edp-17, 0x1.d0eb2ea8134e1p-17, 0x1.c662418a8095cp-17, 0x1.bc3b5965e2261p-17, 0x1.b277dda67c60ep-17, 0x1.a91df3674e9d1p-17, 0x1.a031467c8411fp-17, 0x1.97adc46bba0d3p-17, 0x1.8f8a0c4dedc1ap-17, 0x1.87bf77265ff66p-17, 0x1.804e6c65e8f8ap-17, 0x1.793a4099354d2p-17, 0x1.7282b8c645c1p-17, 0x1.6c22375507846p-17, 0x1.6610413a1e2b6p-17, 0x1.604494c4db823p-17, 0x1.5ab8ca8784542p-17, 0x1.5568b1747a1f7p-17, 0x1.50523ff7e9a83p-17, 0x1.4b75749875304p-17, 0x1.46d3d46b6bfb6p-17, 0x1.426f2f5be4546p-17, 0x1.3e48198d6cd86p-17, 0x1.3a5ce8b49d145p-17, 0x1.36a8b977d69bfp-17, 0x1.332206d6d548bp-17, 0x1.2fbcaaf453766p-17, 0x1.2c71d1cedf654p-17, 0x1.2944abe419599p-17, 0x1.263b84049f1c1p-17, 0x1.235692be0217ap-17, 0x1.209175402226p-17, 0x1.1deabbf25359dp-17, 0x1.1b6408e9576afp-17, 0x1.18fce5a4032d8p-17, 0x1.16b2de96d8e7ep-17, 0x1.1484274597698p-17, 0x1.126f0ff157657p-17, 0x1.1070ccd86721p-17, 0x1.0e861616b48f6p-17, 0x1.0cac41ffed728p-17, 0x1.0ae18e753ee4bp-17, 0x1.0924e8e3ffe2cp-17, 0x1.0775d42f96333p-17, 0x1.05d47b846c393p-17, 0x1.04418be94ee91p-17, 0x1.02bd8dd3376b7p-17, 0x1.0148480f642e8p-17, 0x1.ffc25cef29766p-18, 0x1.fd0fc8ba94068p-18, 0x1.fa74b2a1f759bp-18, 0x1.f7e88b857bf6ep-18, 0x1.f569f4036c64dp-18, 0x1.f2ff8e210412cp-18, 0x1.f0a400e2e9e11p-18, 0x1.ee46a4f4e36a8p-18, 0x1.ebe61e52f4138p-18, 0x1.e9919c3a5ea23p-18, 0x1.e74fd0919175bp-18, 0x1.e5188826f9fd3p-18, 0x1.e2e2b768896f7p-18, 0x1.e0aeae76e3964p-18, 0x1.de810fee5fcdep-18, 0x1.dc5a3632cb76ep-18, 0x1.da368c40d9027p-18, 0x1.d812db5364cdcp-18, 0x1.d5edcb5daf072p-18, 0x1.d3c71a3657abbp-18, 0x1.d19eb5c6a6dd8p-18, 0x1.cf74708210a3ap-18, 0x1.cd482a90b5698p-18, 0x1.cb1a017f6c9dfp-18, 0x1.c8ea2622dcc7bp-18, 0x1.c6b82a2f31abdp-18, 0x1.c482fb47b6ffbp-18, 0x1.c24b04e999d96p-18, 0x1.c012890786e6p-18, 0x1.bdd789fcb219p-18, 0x1.bb95d1d5963a9p-18, 0x1.b950b725b7491p-18, 0x1.b708818c8fabep-18, 0x1.b4b9d0709b0e1p-18, 0x1.b268828e5958p-18, 0x1.b0137bb143acfp-18, 0x1.adb5ec34f3a6cp-18, 0x1.ab5194caa7306p-18, 0x1.a8e75db9ddde3p-18, 0x1.a67408d2ce374p-18, 0x1.a3f91a968654cp-18, 0x1.a17b1aba4d5e2p-18, 0x1.9ef9cb4c40424p-18, 0x1.9c7273d0d61c2p-18, 0x1.99e3d1233a60cp-18, 0x1.974e13acd9f81p-18, 0x1.94b1d2a27c8c9p-18, 0x1.920f8582c2b3fp-18, 0x1.8f6765c558debp-18, 0x1.8cb97962eb85p-18, 0x1.8a05b2e20cf16p-18, 0x1.874c1e6ed83efp-18, 0x1.848cea0f5370ep-18, 0x1.81c80b4df1304p-18, 0x1.7efd24ab36d6ep-18, 0x1.7c2d18dc9d777p-18, 0x1.795b06ec91e33p-18, 0x1.76865a8f86648p-18, 0x1.73aaab932630ep-18, 0x1.70c7c206f1968p-18, 0x1.6dddb0778e907p-18, 0x1.6af1401cc71a8p-18, 0x1.6803c59b3320cp-18, 0x1.6513b34d3c105p-18, 0x1.6220a2a70cd22p-18, 0x1.5f289791abce5p-18, 0x1.5c2b79a342d91p-18, 0x1.592a109e27417p-18, 0x1.5623b6265808p-18, 0x1.531b6f43e80a6p-18, 0x1.50127623b338ap-18, 0x1.4d0705be5dfafp-18, 0x1.49f8665da2e08p-18, 0x1.46e6f4cdda88p-18, 0x1.43d335379183ap-18, 0x1.40bd8e17e2494p-18, 0x1.3da648339343bp-18, 0x1.3a8d97a9d4f8ap-18, 0x1.37739dd13b5fdp-18, 0x1.3458726334221p-18, 0x1.313c32c027f4fp-18, 0x1.2e1f10b6f23b6p-18, 0x1.2b014a99805d8p-18, 0x1.27e2fcb0a4d5ap-18, 0x1.24c429a4bceebp-18, 0x1.21a5906d40725p-18, 0x1.1e88d3f7b0e6dp-18, 0x1.1b6c769847f3fp-18, 0x1.184e7967f1e96p-18, 0x1.15306e9b8016ep-18, 0x1.1214c7ee47a72p-18, 0x1.0efa425f2a266p-18, 0x1.0be0342ec5124p-18, 0x1.08c6fbf17901p-18, 0x1.05af7d92fc9ccp-18, 0x1.029afc50eb3cep-18, 0x1.ff114c492e1bp-19, 0x1.f8ee06ef096b7p-19, 0x1.f2cc9dfe6c21bp-19, 0x1.ecb0da430a154p-19, 0x1.e69bb220d4dcbp-19, 0x1.e08b3684130f6p-19, 0x1.da7f568cf95bap-19, 0x1.d478b67334865p-19, 0x1.ce77d526cc137p-19, 0x1.c87d0be4c3789p-19, 0x1.c288a3831d5b7p-19, 0x1.bc9adc61d0fc3p-19, 0x1.b6b3efafe82ffp-19, 0x1.b0d410893cca3p-19, 0x1.aafb6e6baa1f3p-19, 0x1.a52a399935e42p-19, 0x1.9f60abc70104p-19, 0x1.999f0de641365p-19, 0x1.93e5a460eebe7p-19, 0x1.8e34815f14c46p-19, 0x1.888b9eb45ba1bp-19, 0x1.82ebf3edfdd9dp-19, 0x1.7d55b96b8902bp-19, 0x1.77c7377e068c5p-19, 0x1.72429603800a2p-19, 0x1.6cc7cd3450f8fp-19, 0x1.675629d10f08p-19, 0x1.61edff77bf9ecp-19, 0x1.5c8f9b7a64927p-19, 0x1.573b27990ee83p-19, 0x1.51f0b4681e8b6p-19, 0x1.4cb09bfdc9773p-19, 0x1.477bb6d57b83ap-19, 0x1.4251136d7d9b1p-19, 0x1.3d301ed0f2ffcp-19, 0x1.381a797952478p-19, 0x1.330fdbb8cbdecp-19, 0x1.2e0fe5c421562p-19, 0x1.291ad01972df5p-19, 0x1.2430c8aa88655p-19, 0x1.1f51e9d8a3f32p-19, 0x1.1a7e475bc1e26p-19, 0x1.15b5f2df977fbp-19, 0x1.10f8fcbf5aadfp-19, 0x1.0c4773c479269p-19, 0x1.07a1651d2e4a8p-19, 0x1.0306dc9ba5f0fp-19, 0x1.fcefc995b3c6ap-20, 0x1.f3e90e84e1724p-20, 0x1.eaf99d0e7e251p-20, 0x1.e221904158522p-20, 0x1.d96100988fa27p-20, 0x1.d0b7edd90dc19p-20, 0x1.c82636e113a3cp-20, 0x1.bfabfef499919p-20, 0x1.b74991253e725p-20, 0x1.aefeaedbb5d73p-20, 0x1.a6cba12f66d18p-20, 0x1.9eb0023ebd0bfp-20, 0x1.96abeae4e8004p-20, 0x1.8ebf69ceeb9fbp-20, 0x1.86ea7b17c6271p-20, 0x1.7f2d1912bc8b5p-20, 0x1.778740207d57fp-20, 0x1.6ff8e3b7cde8fp-20, 0x1.6881e1a61b368p-20, 0x1.61224cb85b3dcp-20, 0x1.59da39f2917bap-20, 0x1.52a946131e1abp-20, 0x1.4b8fc1ed7919ep-20, 0x1.448d4413ec214p-20, 0x1.3da1be59e11c7p-20, 0x1.36cd2fc10c55p-20, 0x1.300f8613bafa7p-20, 0x1.2968a978feb47p-20, 0x1.22d88097e9509p-20, 0x1.1c5ef1470731p-20, 0x1.15fbe061f0797p-20, 0x1.0faf3172d21e2p-20, 0x1.0978c6adf280cp-20, 0x1.0358812ceb829p-20, 0x1.fa9c821366167p-21, 0x1.eeb3ca824bc79p-21, 0x1.e2f698254e785p-21, 0x1.d764a9d546758p-21, 0x1.cbfdc3538b4d2p-21, 0x1.c0c1a2b881bb8p-21, 0x1.b5aff420efcp-21, 0x1.aac84757b1789p-21, 0x1.a00a35498eda2p-21, 0x1.9575f87b30b3ap-21, 0x1.8b0b469683eb1p-21, 0x1.80c9484eca526p-21, 0x1.76afc9632a0cfp-21, 0x1.6cbe963a8da52p-21, 0x1.62f55ce462f3dp-21, 0x1.5953c53405978p-21, 0x1.4fd975eb3248bp-21, 0x1.468618574a1c9p-21, 0x1.3d595d3d0e09p-21, 0x1.3452f7437bc64p-21, 0x1.2b7274ffef73dp-21, 0x1.22b73e31e2513p-21, 0x1.1a214fbbaa99fp-21, 0x1.11b0bfc1d38ddp-21, 0x1.0964bc1ad5cf5p-21, 0x1.013c8e92ef1c6p-21, 0x1.f2703803f5576p-22, 0x1.e2ae376a1e808p-22, 0x1.d33260ca3c019p-22, 0x1.c3fbf52e09c8p-22, 0x1.b50a36967b4e4p-22, 0x1.a65c67f35c18bp-22, 0x1.97f1cc5bc4fc6p-22, 0x1.89c9a61188983p-22, 0x1.7be3363a63b74p-22, 0x1.6e3dbd93f5e76p-22, 0x1.60d87cebf5debp-22, 0x1.53b2b4b0f8794p-22, 0x1.46cba457a31eap-22, 0x1.3a228c3cd4753p-22, 0x1.2db6b475015e7p-22, 0x1.21876bfad7077p-22, 0x1.1593f5d5da15ap-22, 0x1.09db8806ddfe1p-22, 0x1.fcba664e5950ap-23, 0x1.e62faff8366f1p-23, 0x1.d0185d437df47p-23, 0x1.ba718432df19bp-23, 0x1.a53868920476cp-23, 0x1.906c7648db709p-23, 0x1.7c0c53b802f37p-23, 0x1.68166ee4a687dp-23, 0x1.54896abd81db8p-23, 0x1.4163dbe13d825p-23, 0x1.2ea4539c07c13p-23, 0x1.1c49379a328bp-23, 0x1.0a512c46c5032p-23, 0x1.f175ea264cc94p-24, 0x1.cf0a60c8dcce5p-24, 0x1.ad5c08a79f818p-24, 0x1.8c6638c709fadp-24, 0x1.6c2bbb3b1a56ap-24, 0x1.4ca8b6e365461p-24, 0x1.2dd6059b499bdp-24, 0x1.0fb2f6da9eb2ap-24, 0x1.e47ab5b66e444p-25, 0x1.aae4f5e1b73edp-25, 0x1.729f437f965b2p-25, 0x1.3ba44a52c5ec8p-25, 0x1.05eec7d8d4648p-25, 0x1.a2f30e5d30cefp-26, 0x1.3c7ebaabfb63ap-26, 0x1.b0eca0e557955p-27, 0x1.db3e849cf0473p-28, 0x1.7809621dae97cp-30, -0x1.1603430845f3ep-28, -0x1.407d03116f22bp-27, -0x1.f184b3485959p-27, -0x1.4f1613e9636e9p-26, -0x1.a34323c8d2e94p-26, -0x1.f552e9bfd1944p-26, -0x1.22a77dae184a7p-25, -0x1.49a06841700dap-25, -0x1.6f995bec1b39bp-25, -0x1.9497fe04f7fcap-25, -0x1.b89c083bdad02p-25, -0x1.dbae5034c74d4p-25, -0x1.fdd2d95a03abp-25, -0x1.0f86adab09b22p-24, -0x1.1fb11babb85ep-24, -0x1.2f6ae20a550b7p-24, -0x1.3eb62388757c3p-24, -0x1.4d94fc59a2addp-24, -0x1.5c0981bc06cd5p-24, -0x1.6a15c127339e4p-24, -0x1.77bbc5dbcb6ap-24, -0x1.84fd96233fbedp-24, -0x1.91dd2d9254306p-24, -0x1.9e5c7a983323dp-24, -0x1.aa7d6502e2062p-24, -0x1.b641dfbe899bfp-24, -0x1.c1ac1bc4a22e6p-24, -0x1.ccbde7a0034d8p-24, -0x1.d777e973d3d61p-24, -0x1.e1dd5ea54ee15p-24, -0x1.ebefc658d3a1ap-24, -0x1.f5b0b9475b3bcp-24, -0x1.ff21f8100344ap-24, -0x1.04229f3fb4012p-23, -0x1.088e2077c7d19p-23, -0x1.0cd4568c95cb9p-23, -0x1.10f61580c877p-23, -0x1.14f42d6692a46p-23, -0x1.18cf6c849dcc2p-23, -0x1.1c889d571259dp-23, -0x1.202087a749a1ep-23, -0x1.2397f0562ebc7p-23, -0x1.26ef99609e3dp-23, -0x1.2a2841c168a9ap-23, -0x1.2d42a57f13f67p-23, -0x1.303f7e27cf9ccp-23, -0x1.331f8285e909ep-23, -0x1.35e36608c5172p-23, -0x1.388bd9bf93078p-23, -0x1.3b198be6bc0ccp-23, -0x1.3d8d25d6adc7bp-23, -0x1.3fe756287664ep-23, -0x1.4228bbe077ea8p-23, -0x1.4451fcbf8e014p-23, -0x1.4663b9bbd4cdap-23, -0x1.485e90aea545p-23, -0x1.4a431c8cd865dp-23, -0x1.4c11f60088e0bp-23, -0x1.4dcbb321883f7p-23, -0x1.4f70e75a8fc8p-23, -0x1.5102239a0ac75p-23, -0x1.527ff65f1483ap-23, -0x1.53eaeba4bef42p-23, -0x1.55438ccfb010fp-23, -0x1.568a609f1badep-23, -0x1.57bfeaf8ad3fep-23, -0x1.58e4afcd90556p-23, -0x1.59f92b89d00ccp-23, -0x1.5afddf361dbacp-23, -0x1.5bf344ef4bb93p-23, -0x1.5cd9d6d57b166p-23, -0x1.5db20963078f5p-23, -0x1.5e7c41a1850dap-23, -0x1.5f3903aca2b41p-23, -0x1.5fe8da52d1bcap-23, -0x1.608c000362ce8p-23, -0x1.6122f36113732p-23, -0x1.61ae2094d1d5fp-23, -0x1.622dee17d6166p-23, -0x1.62a2c093a69b7p-23, -0x1.630cfae4b69dfp-23, -0x1.636cfded2fbf3p-23, -0x1.63c32897c1759p-23, -0x1.640fd7c8e3c49p-23, -0x1.6453664e62ec1p-23, -0x1.648e2d59a113bp-23, -0x1.64c085d4b9ca5p-23, -0x1.64eac7e9686cep-23, -0x1.650d4ec090aeep-23, -0x1.65283223800a8p-23, -0x1.653ba023e4ca6p-23, -0x1.65491a6323a5ep-23, -0x1.654f814b52a36p-23, -0x1.654fa4dc5d8f1p-23, -0x1.6549d42f1136ep-23, -0x1.653e5357889cap-23, -0x1.652d65c90503dp-23, -0x1.65174e9055072p-23, -0x1.64fc4f7a7ac2ep-23, -0x1.64dca8db7c7e5p-23, -0x1.64b8997f7eceep-23, -0x1.64905eb86e18cp-23, -0x1.6464342fb80edp-23, -0x1.643454351bd37p-23, -0x1.6400f7814cb8ep-23, -0x1.63ca556439ad5p-23, -0x1.6390a3bf24989p-23, -0x1.6354170ac1696p-23, -0x1.6314e2604fe84p-23, -0x1.62d336c5fbac4p-23, -0x1.628f4308eaf8cp-23, -0x1.62493a3d32f4ap-23, -0x1.6201424dea039p-23, -0x1.61b796be1b44p-23, -0x1.616c677bea905p-23, -0x1.611fb48fab6ep-23, -0x1.60d1d492f588bp-23, -0x1.6082c14f2ad62p-23, -0x1.6032d454b5fafp-23, -0x1.5fe21b7f2786ap-23, -0x1.5f90b71785a16p-23, -0x1.5f3ecbfa155cfp-23, -0x1.5eec7d014d48cp-23, -0x1.5e99ebe1e3f52p-23, -0x1.5e4738a0bb605p-23, -0x1.5df480bc0913p-23, -0x1.5da1d9b9f396fp-23, -0x1.5d4f65e6c60e9p-23, -0x1.5cfd59cdb3b02p-23, -0x1.5cabac18778b8p-23, -0x1.5c5a81c9451p-23, -0x1.5c09f6cd74b16p-23, -0x1.5bba1ce605983p-23, -0x1.5b6b17d980a0fp-23, -0x1.5b1cf2465ff6ap-23, -0x1.5acfc3cd51b94p-23, -0x1.5a83a1ffd7a7bp-23, -0x1.5a38a00dea7eap-23, -0x1.59eed093b6dcfp-23, -0x1.59a6456d30d8ap-23, -0x1.595f0fa0b3c4fp-23, -0x1.59193f26085bp-23, -0x1.58d4e8a346d65p-23, -0x1.58920e340a947p-23, -0x1.5850cadf35d02p-23, -0x1.581126d90818fp-23, -0x1.57d32f5069bffp-23, -0x1.5796f0722e3a8p-23, -0x1.575c75a457a8ap-23, -0x1.5723c9b109172p-23, -0x1.56ecf6caaee05p-23, -0x1.56b8067b956d1p-23, -0x1.568501af70c9bp-23, -0x1.5653f0b668061p-23, -0x1.5624db5cc00adp-23, -0x1.55f7c9054ca18p-23, -0x1.55ccc046f636ep-23, -0x1.55a3c73835bd9p-23, -0x1.557ce37d50d5ap-23, -0x1.55581a3db44b2p-23, -0x1.5535701b8c45dp-23, -0x1.5514e94091598p-23, -0x1.54f6895df2639p-23, -0x1.54da53ab968a3p-23, -0x1.54c04ad27160ep-23, -0x1.54a857b6d6b3dp-23, -0x1.5492c7b54fc29p-23, -0x1.547f53e4af06cp-23, -0x1.546e126b96b4cp-23, -0x1.545f058724d29p-23, -0x1.54522dc4495cdp-23, -0x1.54478bc40b43ep-23, -0x1.543f189001b6bp-23, -0x1.5438e1fe4178bp-23, -0x1.5434d95fb9183p-23, -0x1.5433028918288p-23, -0x1.54335b59ac08ep-23, -0x1.5435e1ca0936dp-23, -0x1.543a93915a3b6p-23, -0x1.54416e0d37662p-23, -0x1.544a6e4a0563bp-23, -0x1.54559135cc57cp-23, -0x1.5462d360181adp-23, -0x1.5472311bb061cp-23, -0x1.5483a6724af5cp-23, -0x1.54972f437cbc5p-23, -0x1.54acc70064ab6p-23, -0x1.54c467f013884p-23, -0x1.54de0d63901acp-23, -0x1.54f9b79d66e07p-23, -0x1.55175b983e2fep-23, -0x1.5536f4989d3a6p-23, -0x1.55587d6d0d925p-23, -0x1.557bf09067d1ap-23, -0x1.55a14809763eap-23, -0x1.55c87da380e15p-23, -0x1.55f18afc27e66p-23, -0x1.561c69e5c7ba5p-23, -0x1.5649136e75b39p-23, -0x1.567780f46c8ccp-23, -0x1.56a7ab9f74a45p-23, -0x1.56d98c4e6c162p-23, -0x1.570d1b701b14fp-23, -0x1.5742535aa74d5p-23, -0x1.57792acfa1fdfp-23, -0x1.57b19aca1e3d1p-23, -0x1.57eb9bfcc5fecp-23, -0x1.58272711d22dep-23, -0x1.586435a9b08b2p-23, -0x1.58a2bcfae05e7p-23, -0x1.58e2b620893bap-23, -0x1.592419b2e05dfp-23, -0x1.5966df45ea939p-23, -0x1.59aafeae27bc6p-23, -0x1.59f06fcf5f5a3p-23, -0x1.5a372a64ec4efp-23, -0x1.5a7f262b4c063p-23, -0x1.5ac85ac6abfccp-23, -0x1.5b12bfdd6c4fbp-23, -0x1.5b5e4d04a00cp-23, -0x1.5baaf9c8e498dp-23, -0x1.5bf8bda29b849p-23, -0x1.5c47902d9851fp-23, -0x1.5c9768be71241p-23, -0x1.5ce83e250983ep-23, -0x1.5d3a0906c4958p-23, -0x1.5d8cc198371c4p-23, -0x1.5de06075fe582p-23, -0x1.5e34dc0415d25p-23, -0x1.5e8a27ae8f8f7p-23, -0x1.5ee03920008bcp-23, -0x1.5f370e9d636ddp-23, -0x1.5f8e7441a246fp-23, -0x1.5fe6d3ea0be7ep-23, -0x1.603fab86e4114p-23, -0x1.609938a1007e8p-23, -0x1.60f3539b13a38p-23, -0x1.614dfce1f462dp-23, -0x1.61a929fd18c75p-23, -0x1.6204db93f9d12p-23, -0x1.626100a76fed8p-23, -0x1.62bd91d37607bp-23, -0x1.631a8715896dap-23, -0x1.6377e0ef1e9efp-23, -0x1.63d57e1fd19f9p-23, -0x1.64337081de90fp-23, -0x1.6491a5c11f45cp-23, -0x1.64f0168628ff1p-23, -0x1.654ebae7a91ap-23, -0x1.65ad8b178f5b3p-23, -0x1.660c7e7989914p-23, -0x1.666b893b34c9p-23, -0x1.66cab0333f4ebp-23, -0x1.6729e51bfdbep-23, -0x1.6789199dbc66cp-23, -0x1.67e8491c5ca7ep-23, -0x1.68476c55f7f5p-23, -0x1.68a67ab8cd54p-23, -0x1.69056e610ccdep-23, -0x1.696440b5c5c34p-23, -0x1.69c2eab7ed779p-23, -0x1.6a2164fb1d7abp-23, -0x1.6a7fa7db830c6p-23, -0x1.6addabe3f1d87p-23, -0x1.6b3b698e8d46ap-23, -0x1.6b98d9097e7f6p-23, -0x1.6bf5f67fea95fp-23, -0x1.6c52b778c0ecp-23, -0x1.6caf16341140dp-23, -0x1.6d0b0be7a6eafp-23, -0x1.6d6692770b1f1p-23, -0x1.6dc1a1be43942p-23, -0x1.6e1c34abbc8bap-23, -0x1.6e764429b12e9p-23, -0x1.6ecfc9b7fd501p-23, -0x1.6f28bed72dd9dp-23, -0x1.6f811d7df14d3p-23, -0x1.6fd8df6c74216p-23, -0x1.702ffc0b1a8fep-23, -0x1.708673c1222b3p-23, -0x1.70dc3bf9f0e8cp-23, -0x1.71315aad76ec6p-23, -0x1.7185a5dd45e14p-23, -0x1.71d93ce3668adp-23, -0x1.722c0dcbc2164p-23, -0x1.727e12f90b9c9p-23, -0x1.72cf46def4e0ap-23, -0x1.731fa41742e7ep-23, -0x1.736f2546a5663p-23, -0x1.73bdc57dc00cfp-23, -0x1.740b8dbdf674ap-23, -0x1.74584cb74ef27p-23, -0x1.74a42940e7259p-23, -0x1.74ef106f7e0e2p-23, -0x1.7538fd59041f7p-23, -0x1.7581eb055f73bp-23, -0x1.75c9d4ba7030ap-23, -0x1.7610b5bfe2baep-23, -0x1.7656896f5c155p-23, -0x1.769b4c31f89a3p-23, -0x1.76def8abde8fep-23, -0x1.77218b430e567p-23, -0x1.7763000a9ade9p-23, -0x1.77a351010071fp-23, -0x1.77e270648bf68p-23, -0x1.782079e247ffep-23, -0x1.785d4e6d0f63fp-23, }}, 
      {{0x1.4acab83303edep-3, 0x1.4798d418ef1dp-2, 0x1.e3b9d0d65be1ep-2, 0x1.3bb21108c4023p-1, 0x1.805e9ac13a2e6p-1, 0x1.bf383ff8d60d7p-1, 0x1.f7d189e7335fdp-1, 0x1.14f8d230e7257p+0, 0x1.2ac5dd5ce00dp+0, 0x1.3d5b552304e01p+0, 0x1.4cd2b6769b978p+0, 0x1.59503162dd015p+0, 0x1.62ffc0d8f8523p+0, 0x1.6a12b0d3bf74ep+0, 0x1.6ebd8afe0c579p+0, 0x1.7136613df13f2p+0, 0x1.71b36cf1e04a9p+0, 0x1.7069f91a4f7c5p+0, 0x1.6d8d8d9f8ac2bp+0, 0x1.694f526e19175p+0, 0x1.63dda1adcd41p+0, 0x1.5d63c14f6ec6ap+0, 0x1.5609bc9b61461p+0, 0x1.4df4575883749p+0, 0x1.454514c93497bp+0, 0x1.3c1a4d7501b2p+0, 0x1.328f4f83f5887p+0, 0x1.28bc863e06fb7p+0, 0x1.1eb7a616ea7a2p+0, 0x1.1493db567289ap+0, 0x1.0a61f9f4ef605p+0, 0x1.0030ad9e5a64bp+0, 0x1.ec1951bd62fa2p-1, 0x1.d801a5ba87f45p-1, 0x1.c42ce65dd05cp-1, 0x1.b0aab689b459bp-1, 0x1.9d881aa5156bp-1, 0x1.8acfc14bd5e14p-1, 0x1.788a46a3043a8p-1, 0x1.66be723c09a7fp-1, 0x1.55716fb511653p-1, 0x1.44a70260428ep-1, 0x1.3461b415c03b8p-1, 0x1.24a2ff6276964p-1, 0x1.156b755e1633ep-1, 0x1.06badf8241fa5p-1, 0x1.f120bba4c0a2dp-2, 0x1.d5d5033d04454p-2, 0x1.bb8eca4be2b32p-2, 0x1.a24980c37397bp-2, 0x1.89fff67df4c53p-2, 0x1.72ac7b18d31d3p-2, 0x1.5c48f9b1a0023p-2, 0x1.46cf10f1957dap-2, 0x1.323827cdccceep-2, 0x1.1e7d7f59b0fe1p-2, 0x1.0b9842026c80fp-2, 0x1.f303210595bbcp-3, 0x1.d06519b0ae229p-3, 0x1.af48c6ef43697p-3, 0x1.8fa0a5f3f9fdcp-3, 0x1.715f64ea70d36p-3, 0x1.5477ed55dabe5p-3, 0x1.38dd6c6be6c1fp-3, 0x1.1e8359b452257p-3, 0x1.055d7c29787bcp-3, 0x1.dabfdc2537f0fp-4, 0x1.acfe3f8d0e7edp-4, 0x1.815fb302f92dbp-4, 0x1.57ce78e42a5bep-4, 0x1.3035863ac5b9cp-4, 0x1.0a808269bf67ap-4, 0x1.cd378bd87f964p-5, 0x1.88e8b0a355211p-5, 0x1.47efdb305ed9bp-5, 0x1.0a29c60bbce3fp-5, 0x1.9ee8ee67fd996p-6, 0x1.2f5e70aec4e06p-6, 0x1.8aea3a5ff7332p-7, 0x1.83c18f91d7117p-8, 0x1.9608c499c09afp-14, -0x1.6347b8d09df0cp-8, -0x1.5cfa967364bp-7, -0x1.ff3f75b75df5cp-7, -0x1.4c6ade29b76b4p-6, -0x1.950e5ca32d665p-6, -0x1.d9b7f5f3e7d99p-6, -0x1.0d49c9abbabdp-5, -0x1.2be5ac5982bb1p-5, -0x1.48c3da9e35b6p-5, -0x1.63f7b9e52e55dp-5, -0x1.7d93e55134284p-5, -0x1.95aa357334afbp-5, -0x1.ac4bc7bee4a1ep-5, -0x1.c18905c87f543p-5, -0x1.d571ac471543ep-5, -0x1.e814d1d4e81a2p-5, -0x1.f980ed81d2cb1p-5, -0x1.04e1ee8ca5b55p-4, -0x1.0c7575a13bf0ap-4, -0x1.13816aac5e56cp-4, -0x1.1a0be88943575p-4, -0x1.201ac8fd6307ap-4, -0x1.25b3a750d3fd6p-4, -0x1.2adbe2da187d4p-4, -0x1.2f98a167874cep-4, -0x1.33eed19281e38p-4, -0x1.37e32d03eb25dp-4, -0x1.3b7a3a9374fb1p-4, -0x1.3eb8505f4aafbp-4, -0x1.41a195ca0b9p-4, -0x1.443a055e1ee87p-4, -0x1.46856ea94e4fap-4, -0x1.48877801d2888p-4, -0x1.4a43a02d48c6bp-4, -0x1.4bbd400ee2d24p-4, -0x1.4cf78c3009becp-4, -0x1.4df5963ad8771p-4, -0x1.4eba4e76c2bb1p-4, -0x1.4f4885230bd28p-4, -0x1.4fa2ebc6fef5fp-4, -0x1.4fcc167df778dp-4, -0x1.4fc67d3247bfep-4, -0x1.4f947cbd9c17fp-4, -0x1.4f385813681fp-4, -0x1.4eb43955a1cbfp-4, -0x1.4e0a32d71d309p-4, -0x1.4d3c401a6a8d1p-4, -0x1.4c4c46cf65f5ep-4, -0x1.4b3c17b5d91fep-4, -0x1.4a0d6f794ed87p-4, -0x1.48c1f792ff9e7p-4, -0x1.475b471633f65p-4, -0x1.45dae36fcef04p-4, -0x1.44424126a9ad4p-4, -0x1.4292c4987080ep-4, -0x1.40cdc2a2da783p-4, -0x1.3ef4814742b77p-4, -0x1.3d08384f6bda6p-4, -0x1.3b0a11eb14f2dp-4, -0x1.38fb2b3de165cp-4, -0x1.36dc94ea6e18dp-4, -0x1.34af539eaee4bp-4, -0x1.3274609733872p-4, -0x1.302caa17271dp-4, -0x1.2dd913ddcf408p-4, -0x1.2b7a779cd35aep-4, -0x1.2911a5672eb33p-4, -0x1.269f64167175ap-4, -0x1.242471acf22d9p-4, -0x1.21a183b93348dp-4, -0x1.1f1747b338cc8p-4, -0x1.1c866353720d1p-4, -0x1.19ef74e3332f6p-4, -0x1.1753138faf052p-4, -0x1.14b1cfb9598b5p-4, -0x1.120c333d86996p-4, -0x1.0f62c1ba6c29bp-4, -0x1.0cb5f8d220cbep-4, -0x1.0a06506de0481p-4, -0x1.07543afd9aa2bp-4, -0x1.04a025b17c76dp-4, -0x1.01ea78b0fd781p-4, -0x1.fe672ea3a59ep-5, -0x1.f8f7c09cca838p-5, -0x1.f3875bf0413cep-5, -0x1.ee16accae023bp-5, -0x1.e8a6573bf09e7p-5, -0x1.e336f78eb25b3p-5, -0x1.ddc922a1e1c68p-5, -0x1.d85d663804293p-5, -0x1.d2f4494071b09p-5, -0x1.cd8e4c1e4efdfp-5, -0x1.c82be8f0d38eap-5, -0x1.c2cd93d904868p-5, -0x1.bd73bb39fd1f2p-5, -0x1.b81ec7f3dfd36p-5, -0x1.b2cf1d9c30ab2p-5, -0x1.ad851ab6ee3a2p-5, -0x1.a84118eedff59p-5, -0x1.a3036d4994735p-5, -0x1.9dcc68570722p-5, -0x1.989c565ed19c1p-5, -0x1.93737f8cf25f3p-5, -0x1.8e52281ebaec1p-5, -0x1.8938908d8f856p-5, -0x1.8426f5b6499fp-5, -0x1.7f1d90fd81f2bp-5, -0x1.7a1c9872870ddp-5, -0x1.75243ef2f8e23p-5, -0x1.7034b44db51fap-5, -0x1.6b4e256344407p-5, -0x1.6670bc43c7a33p-5, -0x1.619ca04afd2bfp-5, -0x1.5cd1f63ba437ap-5, -0x1.5810e05b26d09p-5, -0x1.53597e8c53fcbp-5, -0x1.4eabee683e5a3p-5, -0x1.4a084b5562ee5p-5, -0x1.456eae9d45e36p-5, -0x1.40df2f81925f6p-5, -0x1.3c59e35171f1ap-5, -0x1.37dedd7e34c93p-5, -0x1.336e2fae9b7bp-5, -0x1.2f07e9d0e63bcp-5, -0x1.2aac1a2bc4ff6p-5, -0x1.265acd6e996e8p-5, -0x1.22140ec1d33f8p-5, -0x1.1dd7e7d71cb59p-5, -0x1.19a660f891e41p-5, -0x1.157f811704d15p-5, -0x1.11634dd7774bp-5, -0x1.0d51cb9fddc45p-5, -0x1.094afda3af2ffp-5, -0x1.054ee5f07eb45p-5, -0x1.015d857a20e9ap-5, -0x1.faedb84c257e4p-6, -0x1.f335d1ac8a6d5p-6, -0x1.eb9352e6c1387p-6, -0x1.e40635ed19e49p-6, -0x1.dc8e72e63d259p-6, -0x1.d52c004068114p-6, -0x1.cdded2c3dd29cp-6, -0x1.c6a6dda4445f4p-6, -0x1.bf8412914af73p-6, -0x1.b87661c66a024p-6, -0x1.b17dba19f745dp-6, -0x1.aa9a090bf61bfp-6, -0x1.a3cb3ad4d98c6p-6, -0x1.9d113a73bb113p-6, -0x1.966bf1bbcb9ebp-6, -0x1.8fdb49613199cp-6, -0x1.895f29056af41p-6, -0x1.82f77743152d8p-6, -0x1.7ca419b95d5f5p-6, -0x1.7664f517639c5p-6, -0x1.7039ed27519e1p-6, -0x1.6a22e4d8f64c7p-6, -0x1.641fbe4bed294p-6, -0x1.5e305ad96c5e5p-6, -0x1.58549b1db1aebp-6, -0x1.528c5f0107f78p-6, -0x1.4cd785c095cd3p-6, -0x1.4735edf71be9cp-6, -0x1.41a775a57c02ep-6, -0x1.3c2bfa3ad9984p-6, -0x1.36c3589c6703fp-6, -0x1.316d6d2cf6baap-6, -0x1.2c2a13d44deb8p-6, -0x1.26f928062b203p-6, -0x1.21da84c91db6fp-6, -0x1.1cce04bd45705p-6, -0x1.17d38222ef81ap-6, -0x1.12ead6e0e6f38p-6, -0x1.0e13dc8a8b4cfp-6, -0x1.094e6c65b5fc2p-6, -0x1.049a5f7079bf8p-6, -0x1.ffef1ccd440bap-7, -0x1.f6cba38e1733ep-7, -0x1.edca03b1b2d7dp-7, -0x1.e4e9ed6143378p-7, -0x1.dc2b106ab7c7fp-7, -0x1.d38d1c4a59a93p-7, -0x1.cb0fc033fcc7ep-7, -0x1.c2b2ab1c03f57p-7, -0x1.ba758bc00aedep-7, -0x1.b25810af52714p-7, -0x1.aa59e852dc24p-7, -0x1.a27ac0f55c377p-7, -0x1.9aba48cb094aap-7, -0x1.93182df9204c5p-7, -0x1.8b941e9d1dc52p-7, -0x1.842dc8d3c30f8p-7, -0x1.7ce4dabfdad21p-7, -0x1.75b90290dd1b5p-7, -0x1.6ea9ee8948e69p-7, -0x1.67b74d04d4d02p-7, -0x1.60e0cc7e5f0cp-7, -0x1.5a261b95d3836p-7, -0x1.5386e915ce635p-7, -0x1.4d02e3f9103acp-7, -0x1.4699bb6fc45abp-7, -0x1.404b1ee49a753p-7, -0x1.3a16be01b0631p-7, -0x1.33fc48b5614f9p-7, -0x1.2dfb6f36d0c66p-7, -0x1.2813e20a60a55p-7, -0x1.22455205fadcfp-7, -0x1.1c8f705541b8p-7, -0x1.16f1ee7d9439dp-7, -0x1.116c7e61ed54ep-7, -0x1.0bfed24697ed6p-7, -0x1.06a89cd4c20ffp-7, -0x1.0169911defca7p-7, -0x1.f882c53ea1356p-8, -0x1.ee5f8a89d3508p-8, -0x1.e468dad956538p-8, -0x1.da9e1fd2bba5p-8, -0x1.d0fec40af1c5bp-8, -0x1.c78a330bb23cep-8, -0x1.be3fd958ae7fap-8, -0x1.b51f247478b9fp-8, -0x1.ac2782e544e79p-8, -0x1.a358643968e8p-8, -0x1.9ab1390badd8ap-8, -0x1.923173076e7c4p-8, -0x1.89d884ec7606p-8, -0x1.81a5e292b102cp-8, -0x1.799900eda3fe4p-8, -0x1.71b1560fc0f22p-8, -0x1.69ee592d86611p-8, -0x1.624f82a073199p-8, -0x1.5ad44be9c7de8p-8, -0x1.537c2fb5239f8p-8, -0x1.4c46a9daebe78p-8, -0x1.453337628ac9bp-8, -0x1.3e415684851f4p-8, -0x1.377086ac683c4p-8, -0x1.30c0487a8a532p-8, -0x1.2a301dc5a95a2p-8, -0x1.23bf899c6b415p-8, -0x1.1d6e1046b1687p-8, -0x1.173b3746d19eep-8, -0x1.1126855a929f4p-8, -0x1.0b2f827c20f18p-8, -0x1.0555b7e2cb81bp-8, -0x1.ff31600759046p-9, -0x1.f3efed246740ap-9, -0x1.e8e6310111a0bp-9, -0x1.de1347ffbead3p-9, -0x1.d37651013b7f1p-9, -0x1.c90e6d64dc664p-9, -0x1.bedac1086935dp-9, -0x1.b4da7247b90f5p-9, -0x1.ab0ca9fc35692p-9, -0x1.a170937c18f74p-9, -0x1.98055c997be9p-9, -0x1.8eca35a13ef0dp-9, -0x1.85be5159c430fp-9, -0x1.7ce0e50174ee4p-9, -0x1.7431284d16d8cp-9, -0x1.6bae556602ee4p-9, -0x1.6357a8e824a15p-9, -0x1.5b2c61dfc535bp-9, -0x1.532bc1c74a2a4p-9, -0x1.4b550c84c1887p-9, -0x1.43a788673d39ep-9, -0x1.3c227e2424cbep-9, -0x1.34c538d451b84p-9, -0x1.2d8f05f116496p-9, -0x1.267f35511ec6dp-9, -0x1.1f95192538bccp-9, -0x1.18d005f4f48b2p-9, -0x1.122f529b31012p-9, -0x1.0bb2584291034p-9, -0x1.05587261ce4b4p-9, -0x1.fe41fd6fd5e08p-10, -0x1.f216ba909d572p-10, -0x1.e62de0ada672fp-10, -0x1.da8638c75845dp-10, -0x1.cf1e904e8568dp-10, -0x1.c3f5b91c19c8ap-10, -0x1.b90a896879a14p-10, -0x1.ae5bdbc2f81f5p-10, -0x1.a3e88f091fd6cp-10, -0x1.99af865dcd119p-10, -0x1.8fafa9203859dp-10, -0x1.85e7e2e2b234ep-10, -0x1.7c5723613d167p-10, -0x1.72fc5e781310cp-10, -0x1.69d68c19db933p-10, -0x1.60e4a845f8cedp-10, -0x1.5825b2feb5935p-10, -0x1.4f98b03fb7db6p-10, -0x1.473ca7f42a28cp-10, -0x1.3f10a5ed53379p-10, -0x1.3713b9d8da60ep-10, -0x1.2f44f7371e001p-10, -0x1.27a37551584eep-10, -0x1.202e4f2f74509p-10, -0x1.18e4a38db2539p-10, -0x1.11c594d21c08fp-10, -0x1.0ad04901e8d8cp-10, -0x1.0403e9b6e94e2p-10, -0x1.fabf482a37ab9p-11, -0x1.edc551811675ep-11, -0x1.e11857a6b4cfdp-11, -0x1.d4b6c9a83a51fp-11, -0x1.c89f1d5851e28p-11, -0x1.bccfcf3bc2e9cp-11, -0x1.b1476275569b5p-11, -0x1.a60460b16199ap-11, -0x1.9b055a1084bcep-11, -0x1.9048e5122fb3ap-11, -0x1.85cd9e7ee74adp-11, -0x1.7b9229530a085p-11, -0x1.71952eaa2abeap-11, -0x1.67d55dab21853p-11, -0x1.5e516b74e1466p-11, -0x1.5508130b8e9a4p-11, -0x1.4bf81545dbfccp-11, -0x1.432038b99b20ap-11, -0x1.3a7f49a7fe51cp-11, -0x1.321419e927469p-11, -0x1.29dd80d723cdp-11, -0x1.21da5b392d1e7p-11, -0x1.1a098b2f933d8p-11, -0x1.1269f820cbb61p-11, -0x1.0afa8ea7a8b2ep-11, -0x1.03ba4082b0fbdp-11, -0x1.f9500907efb53p-12, -0x1.eb85ad00bd9b8p-12, -0x1.de136e7b55af9p-12, -0x1.d0f758bd0026dp-12, -0x1.c42f8098b0156p-12, -0x1.b7ba043fd4c6fp-12, -0x1.ab950b124000ap-12, -0x1.9fbec57089f87p-12, -0x1.94356c93b192ep-12, -0x1.88f7426cb0404p-12, -0x1.7e02918d07972p-12, -0x1.7355ad16bb733p-12, -0x1.68eef0b0bcc9fp-12, -0x1.5eccc07a74aadp-12, -0x1.54ed88f9e17p-12, -0x1.4b4fbefebdbdbp-12, -0x1.41f1df7814875p-12, -0x1.38d26f3bb5239p-12, -0x1.2feffac40cdd8p-12, -0x1.274915e94d9b5p-12, -0x1.1edc5b9ecfa36p-12, -0x1.16a86dbbdf90fp-12, -0x1.0eabf4d6f466fp-12, -0x1.06e5a03619d26p-12, -0x1.fea84ba6f17d1p-13, -0x1.efec84e26e18dp-13, -0x1.e19573671beb9p-13, -0x1.d3a0ac6e807f2p-13, -0x1.c60bd331a9828p-13, -0x1.b8d498cb5c163p-13, -0x1.abf8bbe220361p-13, -0x1.9f76081e4a984p-13, -0x1.934a5576b47dep-13, -0x1.87738769c1497p-13, -0x1.7bef8c3d50b27p-13, -0x1.70bc5c5f42f05p-13, -0x1.65d7f9fbf5f06p-13, -0x1.5b4070d590e84p-13, -0x1.50f3d65a38c72p-13, -0x1.46f049eda4f73p-13, -0x1.3d33f5500b39fp-13, -0x1.33bd0d0799701p-13, -0x1.2a89d0b503b39p-13, -0x1.21988b3c94a4fp-13, -0x1.18e792b8a70d3p-13, -0x1.1075482f1c1d8p-13, -0x1.0840170f69252p-13, -0x1.00467484ce4f3p-13, -0x1.f10dbd61298a8p-14, -0x1.e1ffb7c8fe85dp-14, -0x1.d35ff3f1261d1p-14, -0x1.c52b9ba344713p-14, -0x1.b75fe64dbe4e9p-14, -0x1.a9fa190c49873p-14, -0x1.9cf78712106d5p-14, -0x1.905592456223ep-14, -0x1.8411abda8baa2p-14, -0x1.782954c6e900ap-14, -0x1.6c9a1dfb37ac9p-14, -0x1.6161a86b608d3p-14, -0x1.567da4ee6d00ep-14, -0x1.4bebd40133585p-14, -0x1.41aa0565c0187p-14, -0x1.37b6179306f36p-14, -0x1.2e0df6ecf35f4p-14, -0x1.24af9cce19debp-14, -0x1.1b990e83747cep-14, -0x1.12c85c72ee87cp-14, -0x1.0a3ba1958a78fp-14, -0x1.01f103529697ep-14, -0x1.f3cd6346af80fp-15, -0x1.e435ce8941b66p-15, -0x1.d517d37741c56p-15, -0x1.c670121b67147p-15, -0x1.b83b3e81afe4p-15, -0x1.aa761fc1771b6p-15, -0x1.9d1d8f80a707ap-15, -0x1.902e7a557fa47p-15, -0x1.83a5e0b1f135p-15, -0x1.7780d7fd96d8p-15, -0x1.6bbc8b2edff2ap-15, -0x1.60563a89d92aap-15, -0x1.554b3a84f186bp-15, -0x1.4a98f23671f29p-15, -0x1.403cd9e1a21f7p-15, -0x1.36347a1392e7fp-15, -0x1.2c7d6b6929a73p-15, -0x1.231556aa8143fp-15, -0x1.19f9f4aed21eep-15, -0x1.11290d98ea8b3p-15, -0x1.08a0775fd99c3p-15, -0x1.005e14105e545p-15, -0x1.f0bfa0dbf972ap-16, -0x1.e147470c6440ep-16, -0x1.d24f1eaf24457p-16, -0x1.c3d3446ce91c6p-16, -0x1.b5cff086ab336p-16, -0x1.a84178a2fa426p-16, -0x1.9b244ff5d7edfp-16, -0x1.8e75061d21e03p-16, -0x1.823045a35fa05p-16, -0x1.7652d2fe40ae9p-16, -0x1.6ad98c30a6f8dp-16, -0x1.5fc16879d4f4bp-16, -0x1.5507772f7a701p-16, -0x1.4aa8dd39ea6ffp-16, -0x1.40a2d1935e80cp-16, -0x1.36f299e35e583p-16, -0x1.2d9588730d13cp-16, -0x1.2488fc14eb9edp-16, -0x1.1bca61a7e9424p-16, -0x1.1357365a6445dp-16, -0x1.0b2d09d348282p-16, -0x1.03497fa369c13p-16, -0x1.f7549f0ef1d39p-17, -0x1.e89a88532202fp-17, -0x1.da60717109cf1p-17, -0x1.cca22d505e5ffp-17, -0x1.bf5baacc58fdbp-17, -0x1.b288f9f603fafp-17, -0x1.a62654cd2d0a4p-17, -0x1.9a3025f08bbc2p-17, -0x1.8ea306f86bec9p-17, -0x1.837bb4f6ce1f4p-17, -0x1.78b6ff2588198p-17, -0x1.6e51b7c6766a3p-17, -0x1.6448ae67f5bbep-17, -0x1.5a98b4ea1f923p-17, -0x1.513eaaa0cd9aap-17, -0x1.4837866e71bbdp-17, -0x1.3f805b8c6e2b9p-17, -0x1.371659745e88p-17, -0x1.2ef6ca0e3d7fp-17, -0x1.271f104674653p-17, -0x1.1f8ca67fd6758p-17, -0x1.183d1b3aba026p-17, -0x1.112e0c377278ap-17, -0x1.0a5d23b839195p-17, -0x1.03c81c9de4aa2p-17, -0x1.fad99c279e1adp-18, -0x1.ee9270c92268bp-18, -0x1.e2b71179acfe8p-18, -0x1.d7441bf813eeap-18, -0x1.cc3645f4c8354p-18, -0x1.c18a353ea6bc9p-18, -0x1.b73c71f97c07fp-18, -0x1.ad4976a695b17p-18, -0x1.a3adcdeccc222p-18, -0x1.9a6628d2dc26ap-18, -0x1.916f635d91e96p-18, -0x1.88c67c5544de1p-18, -0x1.80688a44e4e66p-18, -0x1.7852b3c86a02p-18, -0x1.70822c8c88828p-18, -0x1.68f436c006b1ep-18, -0x1.61a6271f9b253p-18, -0x1.5a9567ca46e71p-18, -0x1.53bf7769c6082p-18, -0x1.4d21e8c5a889dp-18, -0x1.46ba6b4efaa2fp-18, -0x1.4086de7cc8661p-18, -0x1.3a8562419935cp-18, -0x1.34b450aa0ebcdp-18, -0x1.2f121ca40d209p-18, -0x1.299d2b0bf259fp-18, -0x1.2453c27c4226ap-18, -0x1.1f341b18ddda1p-18, -0x1.1a3c7c16972b4p-18, -0x1.156b4bf7317f7p-18, -0x1.10bf0b350cb47p-18, -0x1.0c3646dac460ep-18, -0x1.07cf93845e00bp-18, -0x1.0389905e8460ap-18, -0x1.fec5d363cc3a8p-19, -0x1.f6b4ad50fe32cp-19, -0x1.eedd29699705p-19, -0x1.e73ccacd97238p-19, -0x1.dfd1232d22695p-19, -0x1.d897df71ba403p-19, -0x1.d18ece270985p-19, -0x1.cab3d81c4be96p-19, -0x1.c404f5a9dbcbbp-19, -0x1.bd8031a4bfd21p-19, -0x1.b723bcb768b4ep-19, -0x1.b0edf7b278fa7p-19, -0x1.aadd63f82aeb4p-19, -0x1.a4f086e7e526bp-19, -0x1.9f25e68d016abp-19, -0x1.997c1fafad7aap-19, -0x1.93f1ebdbc8291p-19, -0x1.8e861640b061fp-19, -0x1.893765852e502p-19, -0x1.84049b7bfebe2p-19, -0x1.7eec80e7134bbp-19, -0x1.79edeaacd713dp-19, -0x1.7507b98d69df2p-19, -0x1.7038dc0319e04p-19, -0x1.6b804ff27e7cap-19, -0x1.66dd1fd72626cp-19, -0x1.624e5e2fce071p-19, -0x1.5dd32612ddceap-19, -0x1.596aa3cfbcfe3p-19, -0x1.55141f3e4155fp-19, -0x1.50cefaec0378dp-19, -0x1.4c9aa0babefecp-19, -0x1.487666b6ff07ap-19, -0x1.44618506e640ap-19, -0x1.405b25faa6e4cp-19, -0x1.3c627bda8354cp-19, -0x1.3876d1932f14ep-19, -0x1.3497a08e77c88p-19, -0x1.30c497dff086cp-19, -0x1.2cfd7723534a8p-19, -0x1.2941e08bdf064p-19, -0x1.25915c0d0f7c2p-19, -0x1.21eb7b36bcfa5p-19, -0x1.1e4fe27529789p-19, -0x1.1abe3694d72bap-19, -0x1.17361620430b6p-19, -0x1.13b721d5bb3p-19, -0x1.10410258e5b9p-19, -0x1.0cd368d964a0cp-19, -0x1.096e0e61f6793p-19, -0x1.0610b1a98fb5ap-19, -0x1.02bb147a638p-19, -0x1.fed9f91a7e24cp-20, -0x1.f84c728a643a5p-20, -0x1.f1cd523f5a746p-20, -0x1.eb5c6c301b743p-20, -0x1.e4f98b35c9be5p-20, -0x1.dea44e5263a3fp-20, -0x1.d85c297591ee4p-20, -0x1.d220917c1869ap-20, -0x1.cbf119cf106bp-20, -0x1.c5cd7a6b0b9a6p-20, -0x1.bfb59c3a0737dp-20, -0x1.b9a97a32087f7p-20, -0x1.b3a8dada16ac7p-20, -0x1.adb357fdcfcc1p-20, -0x1.a7c8b597524ep-20, -0x1.a1e8f65100dccp-20, -0x1.9c141f220fb4cp-20, -0x1.964a1401250eap-20, -0x1.908aa64e56226p-20, -0x1.8ad5ad6a6359bp-20, -0x1.852b0a3be1993p-20, -0x1.7f8a9fa310f38p-20, -0x1.79f45479fad3p-20, -0x1.746818ead9d19p-20, -0x1.6ee5e50f93a34p-20, -0x1.696db36aff8c6p-20, -0x1.63ff7e2cc782cp-20, -0x1.5e9b3d2a2fdb6p-20, -0x1.5940ef5fd8611p-20, -0x1.53f0968093a6p-20, -0x1.4eaa36442d3f9p-20, -0x1.496dc83f79b2ap-20, -0x1.443b34074bd4dp-20, -0x1.3f125ebd0575bp-20, -0x1.39f344120b1dfp-20, -0x1.34ddf18288a42p-20, -0x1.2fd2780bae787p-20, -0x1.2ad0e893bd36bp-20, -0x1.25d937052ba15p-20, -0x1.20eb47af15a04p-20, -0x1.1c0718630b3d8p-20, -0x1.172cac45fa222p-20, -0x1.125c0a6d2b174p-20, -0x1.0d954995334ccp-20, -0x1.08d87701590ccp-20, -0x1.04258d4005942p-20, -0x1.fef9159e2cde4p-21, -0x1.f5baeae56fb1p-21, -0x1.ec909c51be937p-21, -0x1.e37a291152e61p-21, -0x1.da7799de214e9p-21, -0x1.d188ffcd9ab87p-21, -0x1.c8ae6e71d2e36p-21, -0x1.bfe7f737c6241p-21, -0x1.b735a5e58e073p-21, -0x1.ae977fdcdcc47p-21, -0x1.a60d867813657p-21, -0x1.9d97bc9dc5d69p-21, -0x1.95362a32e1043p-21, -0x1.8ce8d52c9e52p-21, -0x1.84afb9b817e27p-21, -0x1.7c8ada42a74abp-21, -0x1.747a4fffaae9ap-21, -0x1.6c7e241d6e1f8p-21, -0x1.649641ed6909dp-21, -0x1.5cc2a3945404ep-21, -0x1.550348bb4fe6bp-21, -0x1.4d5847a979113p-21, -0x1.45c1a0a7d572ap-21, -0x1.3e3f42cdb351fp-21, -0x1.36d129dc87756p-21, -0x1.2f7754d7edd61p-21, -0x1.2831c635c85c4p-21, -0x1.2100798a7ee6bp-21, -0x1.19e360a08039p-21, -0x1.12da7b459e794p-21, -0x1.0be5c4b8f6cep-21, -0x1.05052e17ff083p-21, -0x1.fc715784cc503p-22, -0x1.ef006af130323p-22, -0x1.e1b7862b49896p-22, -0x1.d496936a0f112p-22, -0x1.c79d9773aa2b4p-22, -0x1.bacc5e608acd8p-22, -0x1.ae22d1db3dea1p-22, -0x1.a1a0cde8708edp-22, -0x1.954628e318f8cp-22, -0x1.8912ccae6c50ap-22, -0x1.7d06943b7e616p-22, -0x1.71215ae785fdp-22, -0x1.6562fb2c1577bp-22, -0x1.59cb54e39ffe2p-22, -0x1.4e5a4afac2681p-22, -0x1.430f9f11bca3dp-22, -0x1.37eb0f2bf40c3p-22, -0x1.2cec7b35e6de9p-22, -0x1.2213ca04f8799p-22, -0x1.1760bfa20ca71p-22, -0x1.0cd3251b847e4p-22, -0x1.026aca565498p-22, -0x1.f04f013c455a8p-23, -0x1.dc123777543f5p-23, -0x1.c81ebd068e991p-23, -0x1.b4740645fbf0ep-23, -0x1.a1119d7c7388p-23, -0x1.8df7263f531c4p-23, -0x1.7b24307023fc4p-23, -0x1.689835a74b1d1p-23, -0x1.5652b9eb66c1fp-23, -0x1.445344158b00ep-23, -0x1.329958a838adbp-23, -0x1.21247a349b072p-23, -0x1.0ff429749349dp-23, -0x1.fe0fc89e4b255p-24, -0x1.dcbe4a022d41dp-24, -0x1.bbf2c5086193dp-24, -0x1.9bac23b4b1e6ep-24, -0x1.7be94ee6dc1c2p-24, -0x1.5ca930f473cap-24, -0x1.3deabce0b5be9p-24, -0x1.1facde8f868d8p-24, -0x1.01ee7cdee9b14p-24, -0x1.c95cd70944f19p-25, -0x1.8fd722040e8c2p-25, -0x1.5749934e52eb5p-25, -0x1.1fb1a29071c88p-25, -0x1.d21aa7020c5f6p-26, -0x1.66b49f9d7225bp-26, -0x1.fa58861fa7281p-27, -0x1.2af9dd16d3164p-27, -0x1.7d102bb63a9e7p-29, 0x1.a348bd6e41942p-29, 0x1.2d522bfb6e964p-27, 0x1.ee454981d16c8p-27, 0x1.55da677f46648p-26, 0x1.b2d567a784e17p-26, 0x1.070c47f5806c3p-25, 0x1.33d425002f97fp-25, 0x1.5fc4b58a5227fp-25, 0x1.8ae067fe1248ep-25, 0x1.b5299b24b718dp-25, 0x1.dea2af3162183p-25, 0x1.03a703177645ap-24, 0x1.179700ac459a4p-24, 0x1.2b2280ba6819ap-24, 0x1.3e4ab353f06c5p-24, 0x1.5110c8973f02ep-24, 0x1.6375f0ea6da3dp-24, 0x1.757b5ce6f22f9p-24, 0x1.87223c56911b2p-24, 0x1.986bbce7e4632p-24, 0x1.a9590a390f411p-24, 0x1.b9eb4e08200dap-24, 0x1.ca23b17fa1b1bp-24, 0x1.da035fd8e3faep-24, 0x1.e98b85ae137f5p-24, 0x1.f8bd4ac244775p-24, 0x1.03cce9630492dp-23, 0x1.0b112256f6d9fp-23, 0x1.122be099e3c75p-23, 0x1.191db723344dfp-23, 0x1.1fe7360ee9644p-23, 0x1.2688ed04d915bp-23, 0x1.2d036b2c01ba2p-23, 0x1.33573e9c72d3cp-23, 0x1.3984f42737f4fp-23, 0x1.3f8d17cdf0d02p-23, 0x1.4570358180d5fp-23, 0x1.4b2ed80080d03p-23, 0x1.50c988e710dcfp-23, 0x1.5640d229b3e11p-23, 0x1.5b953a310ad94p-23, 0x1.60c748f4b34d5p-23, 0x1.65d78437ba602p-23, 0x1.6ac670904f978p-23, 0x1.6f9491c75402ep-23, 0x1.74426aa8c89c9p-23, 0x1.78d07ceaa7746p-23, 0x1.7d3f4922aeb3dp-23, 0x1.818f4ede6226ep-23, 0x1.85c10c9e08434p-23, 0x1.89d4ffdd4a3bap-23, 0x1.8dcba4fb7e192p-23, 0x1.91a5772f07c89p-23, 0x1.9562f0866ce22p-23, 0x1.990489e2718fdp-23, 0x1.9c8abacbfa6e4p-23, 0x1.9ff5f95a1d911p-23, 0x1.a346bab241bebp-23, 0x1.a67d7370dbb3ep-23, 0x1.a99a974308652p-23, 0x1.ac9e984647befp-23, 0x1.af89e5cca97dcp-23, 0x1.b25cef272c5bp-23, 0x1.b51823b4e82b1p-23, 0x1.b7bbf0249266bp-23, 0x1.ba48bfff5c7b4p-23, 0x1.bcbefdeb23202p-23, 0x1.bf1f136c1f708p-23, 0x1.c16968d2e6ec3p-23, 0x1.c39e655c9d792p-23, 0x1.c5be6e74fc642p-23, 0x1.c7c9ebe26c9f3p-23, 0x1.c9c130658ad5cp-23, 0x1.cba4b8ad668b2p-23, 0x1.cd74d9891404cp-23, 0x1.cf31eb31b3c53p-23, 0x1.d0dc547533e9fp-23, 0x1.d274718a75557p-23, 0x1.d3fa9e0cd2625p-23, 0x1.d56f34cd51babp-23, 0x1.d6d28f8f3aa58p-23, 0x1.d82506e7a09d1p-23, 0x1.d966f23696db9p-23, 0x1.da98a7a54fd18p-23, 0x1.dbba7c2ff320ap-23, 0x1.dcccc3b3daafap-23, 0x1.ddcfd0f2603e4p-23, 0x1.dec3f584d3dddp-23, 0x1.dfa981d721597p-23, 0x1.e080c52c6745p-23, 0x1.e14a0da6b8c78p-23, 0x1.e205a83f238d7p-23, 0x1.e2b3e09ff6e9bp-23, 0x1.e355012f0792dp-23, 0x1.e3e9538676398p-23, 0x1.e471206af7112p-23, 0x1.e4ecaf8e167cbp-23, 0x1.e55c47bc7cc9fp-23, 0x1.e5c02ced160c7p-23, 0x1.e618a61631b5dp-23, 0x1.e665fdb86887cp-23, 0x1.e6a8848b1ca7cp-23, 0x1.e6e06ae0092edp-23, 0x1.e70d52635f5dap-23, 0x1.e730254d7effbp-23, 0x1.e7496cd31aaa5p-23, 0x1.e759933145d3ap-23, 0x1.e75fcf174695dp-23, 0x1.e75c8392453d2p-23, 0x1.e750542016ca2p-23, 0x1.e73b716d045bfp-23, 0x1.e71e07becf48ap-23, 0x1.e6f84a2f0c337p-23, 0x1.e6ca6c49c83f3p-23, 0x1.e694a30ce0effp-23, 0x1.e6572388bd365p-23, 0x1.e6122090e2ddp-23, 0x1.e5c5cc673e30cp-23, 0x1.e57258852bbf9p-23, 0x1.e517f57faf486p-23, 0x1.e4b6d30454101p-23, 0x1.e44f1fdbf4ed1p-23, 0x1.e3e109f0dd2cap-23, 0x1.e36cbe5589086p-23, 0x1.e2f2694919a8dp-23, 0x1.e2723636c1925p-23, 0x1.e1ec4fb5959acp-23, 0x1.e160df8bfafacp-23, 0x1.e0d00eb42cd5bp-23, 0x1.e03a055ec6796p-23, 0x1.df9eeaee35884p-23, 0x1.defee5eade905p-23, 0x1.de5a1c1d127b5p-23, 0x1.ddb0b2aea4962p-23, 0x1.dd02ce06ffc8bp-23, 0x1.dc5091d559b99p-23, 0x1.db9a2122e5871p-23, 0x1.dadf9d669d81fp-23, 0x1.da2128bdeb591p-23, 0x1.d95ee3e15115fp-23, 0x1.d898eed0697d8p-23, 0x1.d7cf68f714bdp-23, 0x1.d702710ac0c61p-23, 0x1.d63224e8a6157p-23, 0x1.d55ea17f83a84p-23, 0x1.d48803f938f54p-23, 0x1.d3ae6a8410e7dp-23, 0x1.d2d1f00111cf8p-23, 0x1.d1f2adce9d5ddp-23, 0x1.d110be6c7fb13p-23, 0x1.d02c3bf1c6b81p-23, 0x1.cf453fa46e12bp-23, 0x1.ce5be22a0650fp-23, 0x1.cd703ba02c89ep-23, 0x1.cc82637c0f7cep-23, 0x1.cb9270652825cp-23, 0x1.caa07909af09bp-23, 0x1.c9ac93363c3cp-23, 0x1.c8b6d4348e5ecp-23, 0x1.c7bf50d6446fp-23, 0x1.c6c61d6c741c6p-23, 0x1.c5cb4dc88811bp-23, 0x1.c4cef53e91f14p-23, 0x1.c3d126b8289c5p-23, 0x1.c2d1f46e12554p-23, 0x1.c1d170718d7c5p-23, 0x1.c0cfac292157p-23, 0x1.bfccb8984fa6fp-23, 0x1.bec8a650a3bb1p-23, 0x1.bdc38576aef33p-23, 0x1.bcbd65bf55ebbp-23, 0x1.bbb65675cf425p-23, 0x1.baae667dc8605p-23, 0x1.b9a5a453d4292p-23, 0x1.b89c1e0e04158p-23, 0x1.b791e15f4ee3ap-23, 0x1.b686fb99b9fddp-23, 0x1.b57b79af2f763p-23, 0x1.b46f68462d29dp-23, 0x1.b362d36eed0acp-23, 0x1.b255c72852c1ep-23, 0x1.b1484eec7ec3cp-23, 0x1.b03a75b55028fp-23, 0x1.af2c46e34b6cfp-23, 0x1.ae1dccce31403p-23, 0x1.ad0f11685ed51p-23, 0x1.ac001eb1e418p-23, 0x1.aaf0fe4875274p-23, 0x1.a9e1b97661b63p-23, 0x1.a8d25939908adp-23, 0x1.a7c2e64593adfp-23, 0x1.a6b369208acbfp-23, 0x1.a5a3ea83a6c64p-23, 0x1.a4946fe2c867ap-23, 0x1.a38504975defp-23, 0x1.a275ac05fd56p-23, 0x1.a16670194eee1p-23, 0x1.a05756d9e2851p-23, 0x1.9f4866cfca585p-23, 0x1.9e39a652092ep-23, 0x1.9d2b1b8b0af4p-23, 0x1.9c1ccc6e659f3p-23, 0x1.9b0ebe9610013p-23, 0x1.9a00f781ec1f1p-23, 0x1.98f37c740a879p-23, 0x1.97e652776bb55p-23, 0x1.96d97e6379307p-23, 0x1.95cd04dd1edfp-23, 0x1.94c0ea57aed61p-23, 0x1.93b533151e398p-23, 0x1.92a9e325e0575p-23, 0x1.919efe66ae7ebp-23, 0x1.909488754fd7ap-23, 0x1.8f8a848aa2b83p-23, 0x1.8e80f4d077444p-23, 0x1.8d77d8c72e74cp-23, 0x1.8c6f4bf92736ap-23, 0x1.8b676018437e4p-23, 0x1.8a5f8e3e50172p-23, 0x1.8958850d0e9f6p-23, 0x1.8851fe3a761f2p-23, 0x1.874bfdcde7727p-23, 0x1.864688048a437p-23, 0x1.85419f874f614p-23, 0x1.843d4676821f6p-23, 0x1.83397eb31ca9ep-23, 0x1.823649f5ca10ep-23, 0x1.8133a9d69d024p-23, 0x1.80319fc48b618p-23, 0x1.7f302d24d55f4p-23, 0x1.7e2f532a73f5p-23, 0x1.7d2f12f86cec6p-23, 0x1.7c2f6d93b8d81p-23, 0x1.7b3063e90c59ep-23, 0x1.7a31f6d277e75p-23, 0x1.793427266fc76p-23, 0x1.7836f5c81c6a6p-23, 0x1.773a646356476p-23, 0x1.763e79a26ba82p-23, 0x1.75433f3bae131p-23, 0x1.74487c7ae1e8cp-23, 0x1.734e165a65e78p-23, 0x1.7254d35e3c57p-23, 0x1.715bd92c1b1cfp-23, 0x1.7064065d4efedp-23, 0x1.6f6c61147e777p-23, 0x1.6e75596341a1ap-23, 0x1.6d7f00e7becd8p-23, 0x1.6c894d857f461p-23, 0x1.6b943b0cb67bbp-23, 0x1.6a9fc81bf412ep-23, 0x1.69abf412b5ec6p-23, 0x1.68b8be778196ap-23, 0x1.67c626cd57806p-23, 0x1.66d42c9588714p-23, 0x1.65e2cf4a90706p-23, 0x1.64f20e3eca86fp-23, 0x1.6401e8d081724p-23, 0x1.63125e4f20871p-23, 0x1.62236dfa3d6e4p-23, 0x1.61351713f8fcp-23, 0x1.604758c5113b1p-23, 0x1.5f5a323678c8bp-23, 0x1.5e6da28995f67p-23, 0x1.5d81a8d6b8f33p-23, 0x1.5c96442e2af69p-23, 0x1.5bab739492fdcp-23, 0x1.5ac1360b26451p-23, 0x1.59d78ab87b486p-23, 0x1.58ee6f63dcf26p-23, 0x1.5805e63c981f7p-23, 0x1.571dea9b32f99p-23, 0x1.56367cf1b2b57p-23, 0x1.554f9c04690f9p-23, 0x1.546946ad6176p-23, 0x1.53837bc518e3bp-23, 0x1.529e3a220e462p-23, 0x1.51b98099b5108p-23, 0x1.50d54dfd99d1ep-23, 0x1.4ff1a11ab7934p-23, 0x1.4f0e78bbbb11ep-23, 0x1.4e2bd3ab2875ep-23, 0x1.4d49b0bb51af9p-23, 0x1.4c680e98791d6p-23, 0x1.4b86ec1fcd887p-23, 0x1.4aa6480a6d216p-23, 0x1.49c6211ce0fbdp-23, 0x1.48e6761ad87fap-23, 0x1.480745c895bb4p-23, 0x1.47288eebedccfp-23, 0x1.464a504c0ddb2p-23, 0x1.456c88c741af7p-23, 0x1.448f498952c65p-23, 0x1.43b25a9ed19c1p-23, 0x1.42d5eff64ecabp-23, 0x1.41f9f85b9290ep-23, 0x1.411e71b75286ep-23, 0x1.40435ab344f36p-23, 0x1.3f68b1ec30ec6p-23, 0x1.3e8e75ee15489p-23, 0x1.3db4a55161b38p-23, 0x1.3cdb3eac94b49p-23, 0x1.3c0240c1ac341p-23, 0x1.3b29aa7799978p-23, 0x1.3a517ad060b5cp-23, 0x1.3979b0d5d5f21p-23, 0x1.38a24b86d703dp-23, 0x1.37cb49d36b732p-23, 0x1.36f4aaa038322p-23, 0x1.361e6cc6e0757p-23, 0x1.35488f1c5d049p-23, 0x1.34731076d441ap-23, 0x1.339defb30733cp-23, 0x1.32c92b8ab74c6p-23, 0x1.31f4c1cd5e173p-23, 0x1.3120b1ab0bcf2p-23, 0x1.304cfea2ae8f1p-23, 0x1.2f79a346a5cd8p-23, 0x1.2ea69dbee13b3p-23, 0x1.2dd3ee64e8ec7p-23, 0x1.2d019443cda14p-23, 0x1.2c2f8e5319f46p-23, 0x1.2b5ddb8cf9cfp-23, 0x1.2a8c7aed595bbp-23, 0x1.29bb6b9076229p-23, 0x1.28eaac697fa34p-23, 0x1.281a3c8f4833ep-23, 0x1.274a1b13e8fb5p-23, 0x1.267a470c0bd4ep-23, 0x1.25aabf8e90ec4p-23, 0x1.24db83bdbeb3cp-23, 0x1.240c92bde2e42p-23, 0x1.233debce6157ep-23, 0x1.226f8e1caf706p-23, 0x1.21a178aa496f1p-23, 0x1.20d3aa62e321dp-23, 0x1.2006228d7d492p-23, 0x1.1f38e13fd1967p-23, 0x1.1e6be4d1d0f3p-23, 0x1.1d9f2cd3c1b1ap-23, 0x1.1cd2b88674eb8p-23, 0x1.1c06872dcaca6p-23, 0x1.1b3a9814c0298p-23, 0x1.1a6eea8a85562p-23, 0x1.19a37de34370dp-23, 0x1.18d85176ec0e4p-23, 0x1.180d64a0e9e56p-23, 0x1.1742b6c116268p-23, 0x1.1678473df0a47p-23, 0x1.15ae157f770afp-23, 0x1.14e420ef10943p-23, 0x1.141a68f4a78d9p-23, 0x1.1350ed09db8dep-23, 0x1.1287aca0939a6p-23, 0x1.11bea72bf5d95p-23, 0x1.10f5dc15bb9b8p-23, 0x1.102d4a9832642p-23, 0x1.0f64f0e02182fp-23, 0x1.0e9cc49d566bcp-23, 0x1.0dd52c24e80bap-23, 0x1.0d0d29cd75aa8p-23, 0x1.0c45d1f13d848p-23, 0x1.0b7e7e1e489c7p-23, 0x1.0ab782579f929p-23, 0x1.09f0b3da0652dp-23, 0x1.092a27fa41d94p-23, 0x1.0863bb739918ap-23, 0x1.079d8a0307103p-23, 0x1.06d78fe3115c2p-23, 0x1.0611caf9d0e2dp-23, 0x1.054c3a9852cacp-23, 0x1.0486de4ca53ddp-23, 0x1.03c1b5def93b2p-23, 0x1.02fcc114e6c08p-23, 0x1.0237ffe7eed4bp-23, 0x1.017372ab1f2f4p-23, 0x1.00af1a5153cc1p-23, 0x1.ffd5f07dfe5adp-24, 0x1.fe4e19e5ae014p-24, 0x1.fcc6bf36861b9p-24, 0x1.fb3fd487cffd6p-24, 0x1.f9b9443c47659p-24, 0x1.f8330335d7be7p-24, 0x1.f6ad0d05e8222p-24, 0x1.f52763e9174e5p-24, 0x1.f3a214bcafdfdp-24, 0x1.f21d3094f0c5ep-24, 0x1.f098bf4940eedp-24, 0x1.ef14beaa914a3p-24, 0x1.ed91295c6feedp-24, 0x1.ec0dfaff2c985p-24, 0x1.ea8b30e640bdfp-24, 0x1.e908c96cb67e9p-24, 0x1.e786c60f4539ap-24, 0x1.e6052491ac456p-24, 0x1.e483e5b91ed63p-24, 0x1.e30309b299397p-24, 0x1.e18290aa774p-24, 0x1.e0027ac3bfe02p-24, 0x1.de82c839fbcd2p-24, 0x1.dd037935e6f8ap-24, 0x1.db848ddd8993dp-24, 0x1.da06064d70383p-24, 0x1.d887e2eb82486p-24, 0x1.d70a24190e404p-24, 0x1.d58cc9d33241p-24, 0x1.d40fd447cd7d3p-24, 0x1.d29343d666ce1p-24, 0x1.d1177f4977cbap-24, 0x1.cf9b532d45225p-24, 0x1.ce1ff2fa5c3c1p-24, 0x1.cca4f955781c6p-24, 0x1.cb2a6639e2589p-24, 0x1.c9b03a00ce2ap-24, 0x1.c83675089793ap-24, 0x1.c6bd17bafb561p-24, 0x1.c54422a48f0a4p-24, 0x1.c3cb9d2f29583p-24, 0x1.c2537204a3166p-24, 0x1.c0dbb71b89e2p-24, 0x1.bf64663632ad5p-24, 0x1.bded7f937e194p-24, 0x1.bc7703a31ac19p-24, 0x1.bb00f2dca9ef4p-24, 0x1.b98b4dc27358cp-24, 0x1.b81614fe1c299p-24, 0x1.b6a148b04160bp-24, 0x1.b52ceab28cd21p-24, 0x1.b3b8f9af340cap-24, 0x1.b245759ccdeb7p-24, 0x1.b0d26125d6ec6p-24, 0x1.af5fb6714892cp-24, 0x1.aded86617b6f2p-24, 0x1.ac7bc3dc94f55p-24, }}, 
      {{0x1.c8a300f30e41ap-3, 0x1.fa4d4f01f9d4ap-3, 0x1.212d27843c078p-2, 0x1.4b293b85cd4d1p-2, 0x1.765554369b8cbp-2, 0x1.9ed3287ca44a7p-2, 0x1.c1c976806925fp-2, 0x1.dd55de17940a8p-2, 0x1.f06adc463b219p-2, 0x1.faa7753f9f33bp-2, 0x1.fc2f92a87b8f6p-2, 0x1.f5885891917bcp-2, 0x1.e779a17688cb1p-2, 0x1.d2f4cc1440dfep-2, 0x1.b90093272f159p-2, 0x1.9aa96b9eb9d2ap-2, 0x1.78f5ca9798a12p-2, 0x1.54ddb20001c74p-2, 0x1.2f44f9f517da2p-2, 0x1.08f7ceb3ef5p-2, 0x1.c551e6ca6107fp-3, 0x1.79e2bb497d322p-3, 0x1.30a1aa10ac00ap-3, 0x1.d4bd256d24eefp-4, 0x1.4f7a8873004f4p-4, 0x1.a4e6ae2acd5fep-5, 0x1.796217d6910e4p-6, -0x1.8c5de705b020bp-9, -0x1.b6057b8ad1783p-6, -0x1.89e4990ac4c2cp-5, -0x1.12cae810f259dp-4, -0x1.573f3ddd20fbfp-4, -0x1.929c1af5f16dcp-4, -0x1.c541a26875f96p-4, -0x1.ef9e8ba007ea2p-4, -0x1.0915ffccc93b2p-3, -0x1.16b505902f8e1p-3, -0x1.20ee4e002dc68p-3, -0x1.28047e824925p-3, -0x1.2c39e239b449ep-3, -0x1.2dcf94607355p-3, -0x1.2d04d7f67f86ep-3, -0x1.2a16969a6a6bdp-3, -0x1.253f00da0a892p-3, -0x1.1eb54adbbbddbp-3, -0x1.16ad80e5db491p-3, -0x1.0d586fa8888a1p-3, -0x1.02e39cac0816cp-3, -0x1.eef2975562325p-4, -0x1.d6811c4086467p-4, -0x1.bcbab578e4406p-4, -0x1.a1e155f5745acp-4, -0x1.8631393818a94p-4, -0x1.69e12d77808cfp-4, -0x1.4d22e05de90c2p-4, -0x1.30232d85b1d0bp-4, -0x1.130a6da012f24p-4, -0x1.ebf98b77eac69p-5, -0x1.b234e2c33ff6ep-5, -0x1.79001d2a736bbp-5, -0x1.408dc6d9b9751p-5, -0x1.090a44f697052p-5, -0x1.a538a6c88905p-6, -0x1.3acb00f351e05p-6, -0x1.a60a6dd8fadc1p-7, -0x1.b860ff2476adp-8, -0x1.85a5c9d942282p-11, 0x1.4a684c9e818e9p-8, 0x1.5c444118c2605p-7, 0x1.0655772fa2e71p-6, 0x1.5b23e829b33acp-6, 0x1.ac8211e01367fp-6, 0x1.fa68e3979bcf8p-6, 0x1.226a969504969p-5, 0x1.45e39aef433d2p-5, 0x1.67a12e4006059p-5, 0x1.87a66035befcep-5, 0x1.a5f777fcadcd5p-5, 0x1.c299cfe35f957p-5, 0x1.dd93b363ffe2p-5, 0x1.f6ec40699254ap-5, 0x1.0755a5ae8f9acp-4, 0x1.126ca2a224ef5p-4, 0x1.1cbf925512a6p-4, 0x1.26532813b85d8p-4, 0x1.2f2c458ea8748p-4, 0x1.374ff21279dd6p-4, 0x1.3ec3528d559bbp-4, 0x1.458ba25a922b9p-4, 0x1.4bae2cb1c0dddp-4, 0x1.513046cfb54a5p-4, 0x1.56174a8c4e811p-4, 0x1.5a6891ae229b9p-4, 0x1.5e29718413038p-4, 0x1.615f3721efd02p-4, 0x1.640f23ebb8c7p-4, 0x1.663e6a7df89bdp-4, 0x1.67f22c1dae013p-4, 0x1.692f761dff94fp-4, 0x1.69fb400cd31afp-4, 0x1.6a5a69adf215p-4, 0x1.6a51b97aab631p-4, 0x1.69e5db7006905p-4, 0x1.691b5f9a60a59p-4, 0x1.67f6b98472749p-4, 0x1.667c3f3cc0d81p-4, 0x1.64b0289eecc14p-4, 0x1.62968f4f29415p-4, 0x1.60336df9c10dep-4, 0x1.5d8aa00eaf6b1p-4, 0x1.5a9fe260990dcp-4, 0x1.5776d2227bc89p-4, 0x1.5412eddbebfdap-4, 0x1.50779535d2f5bp-4, 0x1.4ca80940402f5p-4, 0x1.48a76cb20ff4dp-4, 0x1.4478c4c1574fep-4, 0x1.401ef8f5e6b6cp-4, 0x1.3b9cd3e4bd7c3p-4, 0x1.36f504201db2p-4, 0x1.322a1c056cc5cp-4, 0x1.2d3e92de501dap-4, 0x1.2834c5800a9b6p-4, 0x1.230ef6ac33da4p-4, 0x1.1dcf4fdb024d8p-4, 0x1.1877e219ec4ddp-4, 0x1.130aa6730129ep-4, 0x1.0d897eb28f719p-4, 0x1.07f63653afba6p-4, 0x1.025283130705dp-4, 0x1.f9400ae449038p-5, 0x1.edc0936a9c18fp-5, 0x1.e229919ee37e2p-5, 0x1.d67dd13bd7926p-5, 0x1.cabff9437486dp-5, 0x1.bef28e29470d1p-5, 0x1.b317f30079637p-5, 0x1.a7326a0fc1538p-5, 0x1.9b4416b50d63fp-5, 0x1.8f4eff5bde8a3p-5, 0x1.83550e266bd06p-5, 0x1.7758116b0942p-5, 0x1.6b59bd89c07a2p-5, 0x1.5f5baee47ac41p-5, 0x1.535f6a88fcc99p-5, 0x1.47665ea17fb8dp-5, 0x1.3b71e3f8a53ffp-5, 0x1.2f833fb569a59p-5, 0x1.239ba3f7626f1p-5, 0x1.17bc3036c8dd9p-5, 0x1.0be5f2a15bb28p-5, 0x1.0019e94583bbap-5, 0x1.e8b206c118f34p-6, 0x1.d1484245621c2p-6, 0x1.b9f829ba474c2p-6, 0x1.a2c34850b5a88p-6, 0x1.8bab11bbe53fdp-6, 0x1.74b0e2c4f3a55p-6, 0x1.5dd6021f5ac28p-6, 0x1.471ba26a169e2p-6, 0x1.3082e43592da6p-6, 0x1.1a0cd6d22f727p-6, 0x1.03ba78ce0adfap-6, 0x1.db197209cbde5p-7, 0x1.af08f0af4a18fp-7, 0x1.834515ca2c10cp-7, 0x1.57cf712ab2074p-7, 0x1.2ca97b19bf3d8p-7, 0x1.01d496478ff58p-7, 0x1.aea4246f3881cp-8, 0x1.5a465a11261b7p-8, 0x1.069228719851ap-8, 0x1.671395fb55c37p-9, 0x1.84bd80328b242p-10, 0x1.f09d8d7b4f816p-13, -0x1.05ce873235db9p-10, -0x1.2370e3731ffddp-9, -0x1.c28f7de28290ap-9, -0x1.301fd801e4665p-8, -0x1.7e3f1bda04339p-8, -0x1.cba3f7778b673p-8, -0x1.0c26725a063bp-7, -0x1.321c34fc3f842p-7, -0x1.57b28cd75ffc4p-7, -0x1.7ce8c85043378p-7, -0x1.a1be3a17e1079p-7, -0x1.c63238a85b803p-7, -0x1.ea441e2f21b24p-7, -0x1.06f9a44c860efp-6, -0x1.189f8ca00a427p-6, -0x1.2a137a2b06532p-6, -0x1.3b55203f1047p-6, -0x1.4c6433564d926p-6, -0x1.5d40691ccba15p-6, -0x1.6de9787896176p-6, -0x1.7e5f1973393d5p-6, -0x1.8ea105189f0dbp-6, -0x1.9eaef564dccb3p-6, -0x1.ae88a54142c34p-6, -0x1.be2dd0936e9f1p-6, -0x1.cd9e3452f30a5p-6, -0x1.dcd98e8b56935p-6, -0x1.ebdf9e4fc97b8p-6, -0x1.fab023b53b617p-6, -0x1.04a56fec8d0d3p-5, -0x1.0bd7ca7beeab7p-5, -0x1.12ef03464fc31p-5, -0x1.19eafcb118925p-5, -0x1.20cb99c9a2885p-5, -0x1.2790be47b13cfp-5, -0x1.2e3a4e962e0dep-5, -0x1.34c82fe0e5269p-5, -0x1.3b3a481f5e406p-5, -0x1.41907e22fdf07p-5, -0x1.47cab9a375236p-5, -0x1.4de8e3435b163p-5, -0x1.53eae497d4c12p-5, -0x1.59d0a8341d29fp-5, -0x1.5f9a19b6781bep-5, -0x1.654725d64e893p-5, -0x1.6ad7ba710f516p-5, -0x1.704bc693c55d7p-5, -0x1.75a33a8394427p-5, -0x1.7ade07cf93c2fp-5, -0x1.7ffc212971f2fp-5, -0x1.84fd7af8e17e6p-5, -0x1.89e20a89be4aap-5, -0x1.8ea9c6f0b71c2p-5, -0x1.9354a8990730ap-5, -0x1.97e2a96afa508p-5, -0x1.9c53c4d524f9dp-5, -0x1.a0a7f7d4dc15ep-5, -0x1.a4df40fb7f382p-5, -0x1.a8f9a07968977p-5, -0x1.acf7182866747p-5, -0x1.b0d7ab6653524p-5, -0x1.b49b5f7a1fc11p-5, -0x1.b8423b44d9137p-5, -0x1.bbcc47602434cp-5, -0x1.bf398e2861905p-5, -0x1.c28a1bbda62c9p-5, -0x1.c5bdfe07d6fap-5, -0x1.c8d544ba684d9p-5, -0x1.cbd001572878ep-5, -0x1.ceae473041d55p-5, -0x1.d1702b69f1de1p-5, -0x1.d415c4fbebd86p-5, -0x1.d69f2cb1f7dc8p-5, -0x1.d90c7d2c441bep-5, -0x1.db5dd2e00dc43p-5, -0x1.dd934c17e3247p-5, -0x1.dfad08f2c7121p-5, -0x1.e1ab2b62174adp-5, -0x1.e38dd72727316p-5, -0x1.e55531d0b8c2fp-5, -0x1.e70162b86e295p-5, -0x1.e89292ffc56ebp-5, -0x1.ea08ed8cc074ep-5, -0x1.eb649f0607386p-5, -0x1.eca5d5ce3a7ddp-5, -0x1.edccc1fe8555p-5, -0x1.eed99560ffd12p-5, -0x1.efcc836b1b408p-5, -0x1.f0a5c137e2697p-5, -0x1.f165858192a6fp-5, -0x1.f20c089aa35b8p-5, -0x1.f2998466648a8p-5, -0x1.f30e34517dc73p-5, -0x1.f36a554a488c2p-5, -0x1.f3ae25b8bdda4p-5, -0x1.f3d9e57623cf1p-5, -0x1.f3edd5c44bb1fp-5, -0x1.f3ea39447adbcp-5, -0x1.f3cf53ee05dd1p-5, -0x1.f39d6b04cdbbep-5, -0x1.f354c50fc7656p-5, -0x1.f2f5a9cf69cacp-5, -0x1.f2806233cef03p-5, -0x1.f1f538525056ap-5, -0x1.f154775acbc9ap-5, -0x1.f09e6b8cd1a8cp-5, -0x1.efd3622ced941p-5, -0x1.eef3a97a08c82p-5, -0x1.edff90a2afa03p-5, -0x1.ecf767ba181dp-5, -0x1.ebdb7facf12f1p-5, -0x1.eaac2a35ed63fp-5, -0x1.e969b9d23e196p-5, -0x1.e81481b64e5eap-5, -0x1.e6acd5c27239ep-5, -0x1.e5330a76d848ap-5, -0x1.e3a774e9cc95ap-5, -0x1.e20a6abafc69fp-5, -0x1.e05c42086b3c3p-5, -0x1.de9d5162b9d0ap-5, -0x1.dccdefc184ec1p-5, -0x1.daee747829b57p-5, -0x1.d8ff372aab2ap-5, -0x1.d7008fc29fa9ap-5, -0x1.d4f2d6640c36dp-5, -0x1.d2d6636230962p-5, -0x1.d0ab8f3450f6cp-5, -0x1.ce72b26aa9d3bp-5, -0x1.cc2c25a39084ap-5, -0x1.c9d84180e0819p-5, -0x1.c7775e9d9cba3p-5, -0x1.c509d583a6bc9p-5, -0x1.c28ffea1871a8p-5, -0x1.c00a32402b99ep-5, -0x1.bd78c878bf6efp-5, -0x1.badc192ab5c67p-5, -0x1.b8347bf215c18p-5, -0x1.b582481e1e0d4p-5, -0x1.b2c5d4a8244aap-5, -0x1.afff782a9eaf2p-5, -0x1.ad2f88d84be76p-5, -0x1.aa565c7369c0cp-5, -0x1.a774484513efap-5, -0x1.a489a114d255p-5, -0x1.a196bb207072dp-5, -0x1.9e9bea1425cdcp-5, -0x1.9b99810305605p-5, -0x1.988fd25fa5b4bp-5, -0x1.957f2ff4fc5c7p-5, -0x1.9267eadf5e59dp-5, -0x1.8f4a5385a6891p-5, -0x1.8c26b9928cf1ap-5, -0x1.88fd6bee3f2e8p-5, -0x1.85ceb8b84043ap-5, -0x1.829aed4190939p-5, -0x1.7f6256071d9c1p-5, -0x1.7c253eac68962p-5, -0x1.78e3f1f663f8ap-5, -0x1.759eb9c67f6d5p-5, -0x1.7255df15dcef5p-5, -0x1.6f09a9f0c64dbp-5, -0x1.6bba6172560bdp-5, -0x1.68684bc062c1ap-5, -0x1.6513ae07b0806p-5, -0x1.61bccc7856fdep-5, -0x1.5e63ea426fe0dp-5, -0x1.5b094992f0536p-5, -0x1.57ad2b90bbf06p-5, -0x1.544fd059e6214p-5, -0x1.50f177011fd18p-5, -0x1.4d925d8b58da6p-5, -0x1.4a32c0ed94cd9p-5, -0x1.46d2dd0af0a75p-5, -0x1.4372ecb2e6c7cp-5, -0x1.4013299fc9751p-5, -0x1.3cb3cc757a968p-5, -0x1.39550cc05d7cep-5, -0x1.35f720f475008p-5, -0x1.329a3e6caf5c4p-5, -0x1.2f3e996a51b35p-5, -0x1.2be4651476f08p-5, -0x1.288bd377a693p-5, -0x1.253515858d9bap-5, -0x1.21e05b14de887p-5, -0x1.1e8dd2e17375ap-5, -0x1.1b3daa8cbda66p-5, -0x1.17f00e9e8db7bp-5, -0x1.14a52a86228c2p-5, -0x1.115d289b70dc8p-5, -0x1.0e18322073eeep-5, -0x1.0ad66f4269e59p-5, -0x1.0798071ad9842p-5, -0x1.045d1fb05954cp-5, -0x1.0125ddf738304p-5, -0x1.fbe4cba475c63p-6, -0x1.f585b4275ea36p-6, -0x1.ef2eb8fe47d86p-6, -0x1.e8e01b97cc8ebp-6, -0x1.e29a1b5099712p-6, -0x1.dc5cf57b07c64p-6, -0x1.d628e566fee96p-6, -0x1.cffe2468ffd75p-6, -0x1.c9dce9df61b4fp-6, -0x1.c3c56b352cf09p-6, -0x1.bdb7dbe2b9968p-6, -0x1.b7b46d6cdd9e1p-6, -0x1.b1bb4f64326f8p-6, -0x1.abccaf66594a3p-6, -0x1.a5e8b922d3decp-6, -0x1.a00f966471f49p-6, -0x1.9a416f1f2bfffp-6, -0x1.947e6980cfb2fp-6, -0x1.8ec6aa021b0ap-6, -0x1.891a5374fb81bp-6, -0x1.8379870d2d8ecp-6, -0x1.7de464616d504p-6, -0x1.785b096585305p-6, -0x1.72dd925f57961p-6, -0x1.6d6c19db30396p-6, -0x1.6806b8a4528d6p-6, -0x1.62ad85c6aebd6p-6, -0x1.5d60969ccc726p-6, -0x1.581ffeea01e3dp-6, -0x1.52ebd0fdcb272p-6, -0x1.4dc41dd9c7254p-6, -0x1.48a8f5522d736p-6, -0x1.439a66207a78cp-6, -0x1.3e987de2a9b23p-6, -0x1.39a3490579a3cp-6, -0x1.34bad29dbb723p-6, -0x1.2fdf243a12a3fp-6, -0x1.2b1045ba0ef71p-6, -0x1.264e3d388f493p-6, -0x1.21990f147de89p-6, -0x1.1cf0be1d32517p-6, -0x1.18554bdf453e2p-6, -0x1.13c6b905c95fbp-6, -0x1.0f4505bccf865p-6, -0x1.0ad031fe556f5p-6, -0x1.06683db468dd1p-6, -0x1.020d28a23a223p-6, -0x1.fb7de4227d89fp-7, -0x1.f2fb309accff6p-7, -0x1.ea9230117d64cp-7, -0x1.e242d79082a94p-7, -0x1.da0d16fd8e986p-7, -0x1.d1f0d8ebdd461p-7, -0x1.c9ee032fdf257p-7, -0x1.c2047834a8ddfp-7, -0x1.ba3418e8ec018p-7, -0x1.b27cc6f1e8d4fp-7, -0x1.aade66b963461p-7, -0x1.a358e0e559bcp-7, -0x1.9bec22d9b9499p-7, -0x1.94981e0b07258p-7, -0x1.8d5cc620630c6p-7, -0x1.863a0e20cab6ep-7, -0x1.7f2fe51f99c6dp-7, -0x1.783e330261b3fp-7, -0x1.7164d605bf54dp-7, -0x1.6aa3a1924c7e2p-7, -0x1.63fa5ebff3616p-7, -0x1.5d68ce9d53c44p-7, -0x1.56eeadfd205abp-7, -0x1.508bba3e7162fp-7, -0x1.4a3fb64a587ecp-7, -0x1.440a6ee7ae23cp-7, -0x1.3debbd9236706p-7, -0x1.37e3893634cd7p-7, -0x1.31f1c486188a5p-7, -0x1.2c166a07ee0edp-7, -0x1.265176624478dp-7, -0x1.20a2e1c7497fap-7, -0x1.1b0a998ff062fp-7, -0x1.15887b1da7588p-7, -0x1.101c50ec871f1p-7, -0x1.0ac5d26b78835p-7, -0x1.0584a6c239177p-7, -0x1.00586a3685a6bp-7, -0x1.f6816aec50c86p-8, -0x1.ec7a4b6eeaf34p-8, -0x1.e29ac8e8bb7cbp-8, -0x1.d8e25b0a427f1p-8, -0x1.cf50a5294a4ep-8, -0x1.c5e5769a27a1cp-8, -0x1.bca0c4449538cp-8, -0x1.b3829c5e91767p-8, -0x1.aa8b1630b9dcbp-8, -0x1.a1ba4063a4b18p-8, -0x1.9910107b465a9p-8, -0x1.908c55da4c3fbp-8, -0x1.882eb20b96f5fp-8, -0x1.7ff6974b31ab4p-8, -0x1.77e34d76ec4ffp-8, -0x1.6ff3fcbfd3c78p-8, -0x1.6827bcaf841p-8, -0x1.607da56d78bd3p-8, -0x1.58f4e0c78bf1ap-8, -0x1.518cb87c8de94p-8, -0x1.4a449fb8b4f66p-8, -0x1.431c368b1a88cp-8, -0x1.3c134727cf3e3p-8, -0x1.3529bdcebaa9p-8, -0x1.2e5f9ce738c29p-8, -0x1.27b4ef3352b75p-8, -0x1.2129b9edca356p-8, -0x1.1abdf05fa7c0bp-8, -0x1.14716a2fcd2afp-8, -0x1.0e43dd713d556p-8, -0x1.0834dd2cb0f42p-8, -0x1.0243dc9ba2105p-8, -0x1.f8e06cee61b04p-9, -0x1.ed726dbbfd2b5p-9, -0x1.e23c4b8e522d9p-9, -0x1.d73ca05f2e713p-9, -0x1.cc721e09cc96ap-9, -0x1.c1db97c254071p-9, -0x1.b778089a3102ap-9, -0x1.ad4698377d4e8p-9, -0x1.a3469d6e3be26p-9, -0x1.99779cd7fc9cap-9, -0x1.8fd9412702d87p-9, -0x1.866b4c581e481p-9, -0x1.7d2d83b35265fp-9, -0x1.741f9b7174e53p-9, -0x1.6b412835c4c9fp-9, -0x1.62919b2b7e4p-9, -0x1.5a104988de752p-9, -0x1.51bc7b185ad3ep-9, -0x1.499577b301a36p-9, -0x1.419a8b97755a6p-9, -0x1.39cafee589ab2p-9, -0x1.322603c2d4b1p-9, -0x1.2aaaa5537c1bbp-9, -0x1.2357c3d0b4e27p-9, -0x1.1c2c257322f3ep-9, -0x1.152699fdd01f2p-9, -0x1.0e46244353b66p-9, -0x1.078a17c7e7291p-9, -0x1.00f21c2508bbep-9, -0x1.f4fc26213be72p-10, -0x1.e85bd71ecab8dp-10, -0x1.dc02eb6e3d945p-10, -0x1.cff093303f101p-10, -0x1.c42393f247147p-10, -0x1.b89a7c81fe713p-10, -0x1.ad53ea881c7fbp-10, -0x1.a24ec09816722p-10, -0x1.978a339651321p-10, -0x1.8d05a62c199dfp-10, -0x1.82c05c897130ep-10, -0x1.78b925fb2bc9dp-10, -0x1.6eee2538d7dfcp-10, -0x1.655cdabcf87f9p-10, -0x1.5c027b42092f3p-10, -0x1.52dc78717b5dp-10, -0x1.49e904d059e47p-10, -0x1.4127576b9ep-10, -0x1.38978edf466cbp-10, -0x1.303a434c96f4ep-10, -0x1.281000b65691ep-10, -0x1.2018eab515755p-10, -0x1.1854a98e5d67cp-10, -0x1.10c2910f68a8cp-10, -0x1.0961d699b77b3p-10, -0x1.0231b2c811c28p-10, -0x1.f662c5bc06c1fp-11, -0x1.e8c021e4a459ep-11, -0x1.db7963b56ecafp-11, -0x1.ce8bd1d627dd9p-11, -0x1.c1f3f860a4ef1p-11, -0x1.b5adb7263dea8p-11, -0x1.a9b4777f5e531p-11, -0x1.9e0394d8657cep-11, -0x1.9296fa87360a9p-11, -0x1.876bcf3b2fc4ep-11, -0x1.7c80dc2ba0595p-11, -0x1.71d665b2fe41bp-11, -0x1.676d71e9c1d1bp-11, -0x1.5d46da00555f8p-11, -0x1.5362b31bde67ap-11, -0x1.49c06113f9e42p-11, -0x1.405f24bedb17bp-11, -0x1.373eaa1b6716fp-11, -0x1.2e5f3fe4f6588p-11, -0x1.25c1ac2623c99p-11, -0x1.1d66ab325de72p-11, -0x1.154e36dfc52f8p-11, -0x1.0d76eadb95a56p-11, -0x1.05ddec794240cp-11, -0x1.fcfec6585c3b6p-12, -0x1.eeae3efd85fc9p-12, -0x1.e0c20d3675585p-12, -0x1.d33270e5535c3p-12, -0x1.c5f87744c123bp-12, -0x1.b90ec5001caabp-12, -0x1.ac726b3b29eccp-12, -0x1.a02302b8a1622p-12, -0x1.9421d977a7541p-12, -0x1.8870b05dd5f08p-12, -0x1.7d10a01b330bdp-12, -0x1.7201853f53e4fp-12, -0x1.674206231baebp-12, -0x1.5cd00816c4a9ap-12, -0x1.52a99df498f3fp-12, -0x1.48ce6affdc23cp-12, -0x1.3f4058717d766p-12, -0x1.36023273a4e1ap-12, -0x1.2d14e7a05a00dp-12, -0x1.2475f637a4064p-12, -0x1.1c20436b92675p-12, -0x1.140e3f5c19dccp-12, -0x1.0c3bafa38d4b3p-12, -0x1.04a658599cd79p-12, -0x1.fa9af870e4f09p-13, -0x1.ec6123d2afbecp-13, -0x1.de9bd692929afp-13, -0x1.d1443beb91e69p-13, -0x1.c450a9a4f9f78p-13, -0x1.b7b620fc56f3dp-13, -0x1.ab6acbb565145p-13, -0x1.9f6a32fbf74aap-13, -0x1.93b85a5ad5dbap-13, -0x1.885ed8c8ff737p-13, -0x1.7d6482ea8adbep-13, -0x1.72c7143196b27p-13, -0x1.687dd4b1d3592p-13, -0x1.5e830bf15cb21p-13, -0x1.54d93fc068fep-13, -0x1.4b8662abad07ap-13, -0x1.428c1c1c220cep-13, -0x1.39e5986c69cc7p-13, -0x1.318a8acd04f86p-13, -0x1.2972da35fca4bp-13, -0x1.21988cde26fc6p-13, -0x1.19f833cb4428fp-13, -0x1.1290dec107dfdp-13, -0x1.0b6400c47d166p-13, -0x1.0474d9eb97134p-13, -0x1.fb8dec20706e8p-14, -0x1.eeb894eeadep-14, -0x1.e267f4ee5927dp-14, -0x1.d69269a982d4bp-14, -0x1.cb2318d071e3ap-14, -0x1.bffec318dc28fp-14, -0x1.b516f07d2251cp-14, -0x1.aa754ca02008dp-14, -0x1.a02ae2679e4e3p-14, -0x1.9639e1cf54eb9p-14, -0x1.8c993d1cfb8d3p-14, -0x1.8346fa43ff807p-14, -0x1.7a486a6b28359p-14, -0x1.719daa162e2adp-14, -0x1.6941f84856d56p-14, -0x1.61322447dab18p-14, -0x1.596b3d2bd3012p-14, -0x1.51e7975226aebp-14, -0x1.4aa04742afe56p-14, -0x1.438fc782e330ap-14, -0x1.3cb2ab26f887cp-14, -0x1.36071c6b928d4p-14, -0x1.2f8ca28b2479fp-14, -0x1.29444c790f7afp-14, -0x1.2330496af5b89p-14, -0x1.1d524efcc721p-14, -0x1.17aa254d7bb7fp-14, -0x1.1236c0eebbadcp-14, -0x1.0cf783aadb184p-14, -0x1.07e7c3e5a1c3ep-14, -0x1.02fdb0d1d9fb9p-14, -0x1.fc7006ea3a4d9p-15, -0x1.f33d5e6ec41eep-15, -0x1.ea572a2d65525p-15, -0x1.e1976e51a488cp-15, -0x1.d8fb8a7233e73p-15, -0x1.d0a5fb7bdad59p-15, -0x1.c8a5761bc6958p-15, -0x1.c0e72c18ed5aap-15, -0x1.b956a8743ccdbp-15, -0x1.b1f4a41cd96a4p-15, -0x1.aacb7f6778b67p-15, -0x1.a3dbc297842b7p-15, -0x1.9d1cf55f884e7p-15, -0x1.96876ae7f0852p-15, -0x1.9017aaf125362p-15, -0x1.89ccab89df0a9p-15, -0x1.83a5cb581687ep-15, -0x1.7da22de22ca17p-15, -0x1.77c1093998231p-15, -0x1.720210199471fp-15, -0x1.6c65096d3220cp-15, -0x1.66e85f581b866p-15, -0x1.618944b8ded66p-15, -0x1.5c483ac8f1caep-15, -0x1.572943610cd2dp-15, -0x1.5226fff1f570dp-15, -0x1.4d37c0e413468p-15, -0x1.48617fb5577d1p-15, -0x1.43a426beff77cp-15, -0x1.3ef8e2f1b4007p-15, -0x1.3a66955770a03p-15, -0x1.35e9ea69af4d2p-15, -0x1.3178e856b3a79p-15, -0x1.2d1651861dba6p-15, -0x1.28c349444125ep-15, -0x1.24790d9cf0442p-15, -0x1.2039abb0be6bbp-15, -0x1.1c0cd295a3769p-15, -0x1.17f1584978981p-15, -0x1.13e17aca4e729p-15, -0x1.0fda2ead0c05dp-15, -0x1.0bdb16f3e2cfcp-15, -0x1.07e48fddeb6b8p-15, -0x1.03f6b915c54e2p-15, -0x1.0011466eca23dp-15, -0x1.f86738487551p-16, -0x1.f0ba16f399089p-16, -0x1.e91a30e5195adp-16, -0x1.e186efb487d9cp-16, -0x1.d9fefb29c4c56p-16, -0x1.d28028524808ep-16, -0x1.cb0c60fa6fd69p-16, -0x1.c3abb6f4339acp-16, -0x1.bc5a4d2271605p-16, -0x1.b50a28a710524p-16, -0x1.adba8203b06d9p-16, -0x1.a66b6bc5c24ddp-16, -0x1.9f2890050a875p-16, -0x1.97f3908512067p-16, -0x1.90c7689e09498p-16, -0x1.89a28a7eb4c7p-16, -0x1.827f83c89cd58p-16, -0x1.7b5d54a83455dp-16, -0x1.743d16a2783efp-16, -0x1.6d1c77ea10fa1p-16, -0x1.66021113f518p-16, -0x1.5ef0316c2fc42p-16, -0x1.57e1f302e2541p-16, -0x1.50d4fffa0417p-16, -0x1.49c9a0e592284p-16, -0x1.42c07d110a00dp-16, -0x1.3bb9f2a0d5939p-16, -0x1.34b61f036660ep-16, -0x1.2db4f051aae25p-16, -0x1.26b63f6c7d714p-16, -0x1.1fb9e0785936bp-16, -0x1.18bfbb5c39ec5p-16, -0x1.11c7e275e19f5p-16, -0x1.0ad2752c01638p-16, -0x1.03df52d58da04p-16, -0x1.f9dc7f8d7f1e7p-17, -0x1.ec009fb7c1603p-17, -0x1.de2fa5bc649p-17, -0x1.d063f8bbe4ad2p-17, -0x1.c297cb2c32575p-17, -0x1.b4d010a203f39p-17, -0x1.a712dedf04bp-17, -0x1.995c5b99b8e6dp-17, -0x1.8baae6e1128f2p-17, -0x1.7dff6faf8523p-17, -0x1.705bf5220392p-17, -0x1.62c3468acf358p-17, -0x1.55338549b1683p-17, -0x1.47a96382d3ab7p-17, -0x1.3a256ce1982b8p-17, -0x1.2cabf2ca3b853p-17, -0x1.1f3e1d046de5fp-17, -0x1.11d9d3813341cp-17, -0x1.047f1cfe01d5ep-17, -0x1.ee5d9ee0227a6p-18, -0x1.d3d331e7ca136p-18, -0x1.b95ffd2ab8796p-18, -0x1.9f04e9155a581p-18, -0x1.84c2d1a643309p-18, -0x1.6a9a8d4aeaeaep-18, -0x1.508cf0a0fe67fp-18, -0x1.369ad2078ba2ep-18, -0x1.1cc50eda864ddp-18, -0x1.030c940f4f38ap-18, -0x1.d2e4be4655497p-19, -0x1.9feeba0edf93ap-19, -0x1.6d387ade6becap-19, -0x1.3ac358a098aebp-19, -0x1.089322c065a9fp-19, -0x1.ad52d02d408b2p-20, -0x1.4a07dda623bccp-20, -0x1.cea29b44650bep-21, -0x1.0a629fb22a711p-21, -0x1.1d430166179e3p-23, 0x1.ea2a9dc5c935fp-23, 0x1.3b27d5b728225p-21, 0x1.fa8008317fa21p-21, 0x1.5c468c8ef39afp-20, 0x1.baa3a9753a57ap-20, 0x1.0c291278bd99ap-19, 0x1.3aa8e96eb7ff5p-19, 0x1.68d0c340610dp-19, 0x1.969cf94d35bbep-19, 0x1.c40c9524fa22dp-19, 0x1.f11ec73b60603p-19, 0x1.0ee8f81eb7b3dp-18, 0x1.251242993e596p-18, 0x1.3b0a8e30099ecp-18, 0x1.50d12de281dd1p-18, 0x1.66657934cc254p-18, 0x1.7bc6cbb9e1092p-18, 0x1.90f4852527608p-18, 0x1.a5ee09635df5cp-18, 0x1.bab2c0856c2ep-18, 0x1.cf4216e14fe8ep-18, 0x1.e39b7d17dae65p-18, 0x1.f7be6751b4286p-18, 0x1.05d5264669ca9p-17, 0x1.0faf542fb689bp-17, 0x1.196d7f9532429p-17, 0x1.230f6fb654127p-17, 0x1.2c94e6ed0beccp-17, 0x1.35fda64269146p-17, 0x1.3f497e2a256abp-17, 0x1.487833b13be6cp-17, 0x1.51899f02a0acp-17, 0x1.5a7d8e39821ecp-17, 0x1.6353d267e1fc4p-17, 0x1.6c0c407731021p-17, 0x1.74a6af84c6ac1p-17, 0x1.7d22f87d0586bp-17, 0x1.8580f754a1d89p-17, 0x1.8dc08c715a52bp-17, 0x1.95e194630f24cp-17, 0x1.9de3ed7c10d2p-17, 0x1.a5c7856984d03p-17, 0x1.ad8c37daa9069p-17, 0x1.b531f72293d65p-17, 0x1.bcb8ad6c29a1fp-17, 0x1.c4204561015cp-17, 0x1.cb68ad85f96b1p-17, 0x1.d291d6ec7cc57p-17, 0x1.d99bb4b7a2eb6p-17, 0x1.e0863bfca3b03p-17, 0x1.e75163ce6a3c3p-17, 0x1.edfd2544afc8cp-17, 0x1.f4897b84a870dp-17, 0x1.faf663b0db15ap-17, 0x1.00a1ee6b9bd03p-16, 0x1.03b8f3fa740dbp-16, 0x1.06c043f3052a1p-16, 0x1.09b7e07cb6881p-16, 0x1.0c9fcc38b7fa9p-16, 0x1.0f780ac6040f8p-16, 0x1.1240a1988ea63p-16, 0x1.14f9989fa9c8cp-16, 0x1.17a2f88fa89d4p-16, 0x1.1a3cc153bd5cdp-16, 0x1.1cc6f9dc06547p-16, 0x1.1f41b3d62668fp-16, 0x1.21acf7d40e322p-16, 0x1.2408ce791aa56p-16, 0x1.26554323d14c1p-16, 0x1.28926267448p-16, 0x1.2ac0399d634bap-16, 0x1.2cded681f0577p-16, 0x1.2eee46cefdf34p-16, 0x1.30ee98ccbfea8p-16, 0x1.32dfddb30a259p-16, 0x1.34c22d5cfc2c3p-16, 0x1.3695901bc9571p-16, 0x1.385a0cb94030dp-16, 0x1.3a0fc13e7bb63p-16, 0x1.3bb6c9179b9b5p-16, 0x1.3d4f31bfb9769p-16, 0x1.3ed90d85cbfbfp-16, 0x1.4054712fe5cefp-16, 0x1.41c1723e0455dp-16, 0x1.432026a2c2d1p-16, 0x1.4470a4bcde264p-16, 0x1.45b3035fe322p-16, 0x1.46e759e8a0bafp-16, 0x1.480dc04587106p-16, 0x1.49264ee5fb715p-16, 0x1.4a311ea76571ap-16, 0x1.4b2e48da4da4ap-16, 0x1.4c1de7531ae0cp-16, 0x1.4d0014478c624p-16, 0x1.4dd4e9a5ca449p-16, 0x1.4e9c80ef9e76dp-16, 0x1.4f56f50aa5128p-16, 0x1.500462a1b32b1p-16, 0x1.50a4ea21044e3p-16, 0x1.5138b1e104c09p-16, 0x1.51bfb349a84f1p-16, 0x1.523a1ac8cbffep-16, 0x1.52a8176a79a82p-16, 0x1.5309bb9dd42aep-16, 0x1.535f22fdcb222p-16, 0x1.53a8691dd2dd9p-16, 0x1.53e5af5ee8991p-16, 0x1.541715cf56a98p-16, 0x1.543cbc486e266p-16, 0x1.5456bdb8abdb9p-16, 0x1.546539253d3afp-16, 0x1.54684d4af54efp-16, 0x1.546018dd6751ep-16, 0x1.544cc3c377255p-16, 0x1.542e7f89670ecp-16, 0x1.540537186317dp-16, 0x1.53d114ef9092p-16, 0x1.53926350719a1p-16, 0x1.53492f3289922p-16, 0x1.52f5941a970eep-16, 0x1.5297b2d9291afp-16, 0x1.522fac768dc2ap-16, 0x1.51bda1d00ba05p-16, 0x1.5141b3a7f6836p-16, 0x1.50bc02b7f1cfep-16, 0x1.502cafcbd9ec6p-16, 0x1.4f93dbcf699b9p-16, 0x1.4ef1a7bcd4d3fp-16, 0x1.4e463489374dcp-16, 0x1.4d91a32682d3fp-16, 0x1.4cd414975f409p-16, 0x1.4c0da9fec3eb9p-16, 0x1.4b3e845744a16p-16, 0x1.4a66c3a683391p-16, 0x1.498687be127c2p-16, 0x1.489df1efa85d3p-16, 0x1.47ad238e148ddp-16, 0x1.46b441f7ead72p-16, 0x1.45b379594850ap-16, 0x1.44aab9fe7890bp-16, 0x1.439a4ec0450ecp-16, 0x1.4282555424253p-16, 0x1.4162e67c5c7ecp-16, 0x1.403c22a0518c8p-16, 0x1.3f0e2a3cb358ep-16, 0x1.3dd91d7afad29p-16, 0x1.3c9d1c63288a3p-16, 0x1.3b5a46e468dcep-16, 0x1.3a10bcc7578b7p-16, 0x1.38c09df84c0cep-16, 0x1.376a0a587ed96p-16, 0x1.360d2124aefefp-16, 0x1.34aa00534be5ep-16, 0x1.3340c59ce319ap-16, 0x1.31d1917180894p-16, 0x1.305c8f6a9d73dp-16, 0x1.2ee1dba3ee5bep-16, 0x1.2d6161dde3801p-16, 0x1.2bdb7cce28c84p-16, 0x1.2a503df32182bp-16, 0x1.28bfbbde2518bp-16, 0x1.272a14967f328p-16, 0x1.258f662957b57p-16, 0x1.23efce308316ep-16, 0x1.224b69f4bbd8p-16, 0x1.20a25688306f3p-16, 0x1.1ef4b0dfa3dd4p-16, 0x1.1d4295aa3052ep-16, 0x1.1b8c2165f260dp-16, 0x1.19d170566a0a4p-16, 0x1.18129e90476c8p-16, 0x1.164fc8047cc55p-16, 0x1.1489087ac5a6p-16, 0x1.12be7b26b1c99p-16, 0x1.10f03a9e04b5ap-16, 0x1.0f1e6212a7e32p-16, 0x1.0d490c9c4f82cp-16, 0x1.0b7054b042ef7p-16, 0x1.09945a7a72517p-16, 0x1.07b52fd3cbbb5p-16, 0x1.05d2e885eb324p-16, 0x1.03edae471f7ecp-16, 0x1.020592f136ccap-16, 0x1.001aaf8a6bebbp-16, 0x1.fc5a3a982bc7p-17, 0x1.f879e9dba3a83p-17, 0x1.f4949df9d3218p-17, 0x1.f0aa879000b0cp-17, 0x1.ecbbd699c4f2p-17, 0x1.e8c8ba958267bp-17, 0x1.e4d1627e2fe36p-17, 0x1.e0d5fcd6d3081p-17, 0x1.dcd6b7b9eb9afp-17, 0x1.d8d3c0dafa106p-17, 0x1.d4cd4582e6a7p-17, 0x1.d0c372417da87p-17, 0x1.ccb673b606896p-17, 0x1.c8a674e46fc6cp-17, 0x1.c493a029b0bdbp-17, 0x1.c07e1f962fb03p-17, 0x1.bc661edeb7c63p-17, 0x1.b84bd32345ae9p-17, 0x1.b42f57e4ab82ap-17, 0x1.b010c169d0ff2p-17, 0x1.abf05e7e994b5p-17, 0x1.a7ce485e81f3ep-17, 0x1.a3aaa41711c63p-17, 0x1.9f8598e177042p-17, 0x1.9b5f4d46b1a58p-17, 0x1.9737e72610fe3p-17, 0x1.930f8bd2ed05dp-17, 0x1.8ee6602128959p-17, 0x1.8abc886e89b7dp-17, 0x1.869228b15e17cp-17, 0x1.8267644d618c1p-17, 0x1.7e3c5db5ac711p-17, 0x1.7a113784dd76bp-17, 0x1.75e614a0b0972p-17, 0x1.71bb124c1ebf8p-17, 0x1.6d904f69ddedfp-17, 0x1.69660881503e8p-17, 0x1.653c30b434c22p-17, 0x1.611303daa46f7p-17, 0x1.5cea9bcea3a97p-17, 0x1.58c316100d6bfp-17, 0x1.549c90e0c3707p-17, 0x1.507729f978025p-17, 0x1.4c52fe959e63fp-17, 0x1.48302b7900b7bp-17, 0x1.440eccf194602p-17, 0x1.3feefed7a0309p-17, 0x1.3bd0dc937b43ep-17, 0x1.37b481176a6b9p-17, 0x1.339a06e5402f4p-17, 0x1.2f81880c1b0adp-17, 0x1.2b6b1e29d8d0ep-17, 0x1.2756e26c3fb04p-17, 0x1.2344ed9107236p-17, 0x1.1f3557f3f6ec8p-17, 0x1.1b2839a03d66ap-17, 0x1.171daa24123c2p-17, 0x1.1315c0eb3f4b8p-17, 0x1.0f1091ed28e9bp-17, 0x1.0b0e3330b4d42p-17, 0x1.070ec1123e513p-17, 0x1.031249a46c371p-17, 0x1.fe31d1c941b07p-18, 0x1.f64556d97e6e1p-18, 0x1.ee5f5208a9abdp-18, 0x1.e67febfec4db2p-18, 0x1.dea74ad26c9c7p-18, 0x1.d6d593fddbce2p-18, 0x1.cf0aec151bbdfp-18, 0x1.c747773a4b709p-18, 0x1.bf8b599c76cd6p-18, 0x1.b7d6baa3235c5p-18, 0x1.b029b91369c8dp-18, 0x1.a88467ef97d73p-18, 0x1.a0e6fc503747cp-18, 0x1.99518f87071a5p-18, 0x1.91c43ed847a9fp-18, 0x1.8a3f2bf6f4933p-18, 0x1.82c26d771a71p-18, 0x1.7b4e268851bacp-18, 0x1.73e272034913fp-18, 0x1.6c7f6acb0c495p-18, 0x1.65252be0c06a9p-18, 0x1.5dd3cf7426e2dp-18, 0x1.568b6f051c9c5p-18, 0x1.4f4c236829ap-18, 0x1.481604a3d1db7p-18, 0x1.40e92b04b0badp-18, 0x1.39c5ab21503ap-18, 0x1.32ab9db3fa98dp-18, 0x1.2b9b17334749ap-18, 0x1.24942ca2f8121p-18, 0x1.1d96f257ddc51p-18, 0x1.16a37c0864f5bp-18, 0x1.0fb9dcce55e03p-18, 0x1.08da2723752a2p-18, 0x1.02046cee5c03bp-18, 0x1.f6717f053c686p-19, 0x1.e8ee5f4405a91p-19, 0x1.db7f9ae370f03p-19, 0x1.ce2550e03c1ebp-19, 0x1.c0df9f8a295eap-19, 0x1.b3aea3be46ffep-19, 0x1.a69279673ec81p-19, 0x1.998b3b4697081p-19, 0x1.8c9903104b234p-19, 0x1.7fbbe96b60dcep-19, 0x1.72f405f5dc9bep-19, 0x1.66416f3fd1d13p-19, 0x1.59a43ac35f577p-19, 0x1.4d1c614fe18d4p-19, 0x1.40aa4984bbcfcp-19, 0x1.344db4bc42b6ep-19, 0x1.2806cdb0ff02bp-19, 0x1.1bd5a60811949p-19, 0x1.0fba4d6acda3fp-19, 0x1.03b4d22f12adbp-19, 0x1.ef8a8f75428c9p-20, 0x1.d7d75e2cd1d62p-20, 0x1.c0503f3adf74fp-20, 0x1.a8f54099e2a05p-20, 0x1.91c677c0083d8p-20, 0x1.7ac3f7bd913d9p-20, 0x1.63edd1e6813d1p-20, 0x1.4d441607e7e21p-20, 0x1.36c6d25a56066p-20, 0x1.20761341e1023p-20, 0x1.0a51e3b7a7f7dp-20, 0x1.e8b49a5d94871p-21, 0x1.bd1eaf284bfdfp-21, 0x1.91e2127b1aac7p-21, 0x1.66fecebe46688p-21, 0x1.3c74ef1b2a3cp-21, 0x1.12447687b24f6p-21, 0x1.d0daa62e53d2dp-22, 0x1.7ddf2f17f813cp-22, 0x1.2b967cda989ccp-22, 0x1.b400f81cdc4c9p-23, 0x1.123a2f40b9ad5p-23, 0x1.c761b8962df97p-25, -0x1.69243087da9e3p-26, -0x1.9579e381edc08p-24, -0x1.66f126fdd883cp-23, -0x1.00e0bde8f2358p-22, -0x1.4d9729f0f086p-22, -0x1.999c0dbc9272p-22, -0x1.e4efa349b8d72p-22, -0x1.17c913998da06p-21, -0x1.3cc1f34aa31c7p-21, -0x1.61628f89d065ep-21, -0x1.85ab10571a26ap-21, -0x1.a99b9ead70bf6p-21, -0x1.cd34645aab6b3p-21, -0x1.f0758f4f9ed0ep-21, -0x1.09afa3070a4f4p-20, -0x1.1af8e08904ceap-20, -0x1.2c16981ee5e38p-20, -0x1.3d08e3e83d784p-20, -0x1.4dcfdea37d44bp-20, -0x1.5e6ba417b65d4p-20, -0x1.6edc50eeb6d2cp-20, -0x1.7f2202b738dd5p-20, -0x1.8f3cd7d886171p-20, -0x1.9f2cef948f983p-20, -0x1.aef269f4cc5a7p-20, -0x1.be8d67d456af8p-20, -0x1.cdfe0abfd5bp-20, -0x1.dd44754361029p-20, -0x1.ec60ca3cfacb3p-20, -0x1.fb532c9710efbp-20, -0x1.050de149cc08ep-19, -0x1.0c5d593a4390ap-19, -0x1.139811de92b25p-19, -0x1.1abe1db1fc44ep-19, -0x1.21cf8d34282fbp-19, -0x1.28cc717f4c5p-19, -0x1.2fb4d812deb1fp-19, -0x1.36892c71d2775p-19, -0x1.3d48af18f2fd4p-19, -0x1.43f4614c8cbap-19, -0x1.4a8be6c90f96fp-19, -0x1.510f5db113ab5p-19, -0x1.577ee1caa736ep-19, -0x1.5dda88c223097p-19, -0x1.64226d13b0bb7p-19, -0x1.6a56a14d70ba8p-19, -0x1.70773cd9a04a2p-19, -0x1.768456f60df4cp-19, -0x1.7c7e0d105683cp-19, -0x1.8264657880368p-19, -0x1.883789e88021fp-19, -0x1.8df78b5e19b58p-19, -0x1.93a4829059f3ep-19, -0x1.993e88029ca4p-19, -0x1.9ec5b4765eaddp-19, -0x1.a43a2069aa3eap-19, -0x1.a99be2a4a8afap-19, -0x1.aeeb1c0cd258fp-19, -0x1.b427e19448773p-19, -0x1.b952482de70dp-19, -0x1.be6a6a9c86cd4p-19, -0x1.c370629f19e4cp-19, -0x1.c864496198e89p-19, -0x1.cd463a76bed35p-19, -0x1.d216511303665p-19, -0x1.d6d4a805b294fp-19, -0x1.db8159723dfd8p-19, -0x1.e01c7f592dcbdp-19, -0x1.e4a633e96caf9p-19, -0x1.e91e915b6696p-19, -0x1.ed85b19ad370fp-19, -0x1.f1dbb2b5d9a7bp-19, -0x1.f620abef5b1c4p-19, -0x1.fa54b96f03a13p-19, -0x1.fe77f645aff8ap-19, -0x1.01453effa5a8fp-18, -0x1.03463561f721ap-18, -0x1.053eec715eb38p-18, -0x1.072f71a2b66c2p-18, -0x1.0917d29fc04afp-18, -0x1.0af81d10d9318p-18, -0x1.0cd05ec88b1d6p-18, -0x1.0ea0a5866d6b2p-18, -0x1.1068fe34d69d8p-18, -0x1.122978d7346c2p-18, -0x1.13e221ad1ea33p-18, -0x1.15933a8692a97p-18, -0x1.173c34f9f9f02p-18, -0x1.18ddbb282d595p-18, -0x1.1a77a72de8701p-18, -0x1.1c0a06b6c193cp-18, -0x1.1d94e79abcb5ep-18, -0x1.1f1857b5fb8dp-18, -0x1.209464e2e7654p-18, -0x1.22091d0894b5ep-18, -0x1.23768fcc30955p-18, -0x1.24dcc56d5ed4cp-18, -0x1.263bd15f0646ep-18, -0x1.2793bf942f0d7p-18, -0x1.28e49df9d1eeep-18, -0x1.2a2e7a5235224p-18, -0x1.2b716269a904dp-18, -0x1.2cad640a20619p-18, -0x1.2de28d11a206bp-18, -0x1.2f10eb194999ep-18, -0x1.30388c79562eep-18, -0x1.31597e046262fp-18, -0x1.3273cd2c1f7d6p-18, -0x1.338788a006a46p-18, -0x1.3494bb245a80fp-18, -0x1.359b79af4476fp-18, -0x1.369bcba20d263p-18, }}, 
      {{0x1.bcbab9b7820dfp-3, 0x1.cdf7a73ae30ecp-3, 0x1.e84d18e706a28p-3, 0x1.049883f977311p-2, 0x1.170d839070b5dp-2, 0x1.2a60482fac1cfp-2, 0x1.3d984ecedd1b3p-2, 0x1.4fedecf30dd35p-2, 0x1.60c8d51a97092p-2, 0x1.6fbbb08d0d18cp-2, 0x1.7c7e72afa5decp-2, 0x1.86e85c17019f7p-2, 0x1.8eea35b48bf3dp-2, 0x1.9489091cdddb1p-2, 0x1.97d9733c8042p-2, 0x1.98fb994aea68dp-2, 0x1.9817bca5548a3p-2, 0x1.955b637683caap-2, 0x1.90f7087380125p-2, 0x1.8b1c4217cbd6ap-2, 0x1.83fc52251cdb3p-2, 0x1.7bc70d968a14bp-2, 0x1.72aa0fea8ff65p-2, 0x1.68d02c8539582p-2, 0x1.5e61129d86b67p-2, 0x1.538119c141a52p-2, 0x1.48512e1c4c53fp-2, 0x1.3ceed518d19fep-2, 0x1.3174442a636a8p-2, 0x1.25f884cf7bdb2p-2, 0x1.1a8fa1b4d68e7p-2, 0x1.0f4ad9e3f190dp-2, 0x1.0438d730fc735p-2, 0x1.f2cbcc02e3ba4p-3, 0x1.ddb859f056d17p-3, 0x1.c947c66795b03p-3, 0x1.b58708b3c6435p-3, 0x1.a28003f9241a6p-3, 0x1.9039e3f617adap-3, 0x1.7eb972d7b47aap-3, 0x1.6e01687ee5999p-3, 0x1.5e12b2de96868p-3, 0x1.4eecb7d43bc4ep-3, 0x1.408d9083fde7cp-3, 0x1.32f23e95c3332p-3, 0x1.2616dba2385bp-3, 0x1.19f6c36318ea4p-3, 0x1.0e8cb8e7bfae4p-3, 0x1.03d3074503f1p-3, 0x1.f3873c3a8872bp-4, 0x1.e0b054ce81007p-4, 0x1.cf1457b50e699p-4, 0x1.bea60ea24bafp-4, 0x1.af582d014a9b5p-4, 0x1.a11d6a8c9704fp-4, 0x1.93e899b29f82fp-4, 0x1.87acba39ca8bfp-4, 0x1.7c5d087028c45p-4, 0x1.71ed09e41e1fdp-4, 0x1.6850971f2baebp-4, 0x1.5f7be3a2044afp-4, 0x1.576383af34468p-4, 0x1.4ffc70e547a9fp-4, 0x1.493c0cd356b17p-4, 0x1.431823184d0d1p-4, 0x1.3d86e9fdd6ee9p-4, 0x1.387f028435887p-4, 0x1.33f7778a440b3p-4, 0x1.2fe7bc9f5c2ccp-4, 0x1.2c47ac1237676p-4, 0x1.290f84db5211ap-4, 0x1.2637e822b6aa3p-4, 0x1.23b9d6720fb41p-4, 0x1.218eacee0a154p-4, 0x1.1fb02237e63abp-4, 0x1.1e184349d3bf5p-4, 0x1.1cc17066d8a5p-4, 0x1.1ba659bc9f625p-4, 0x1.1ac1fc5448c9ap-4, 0x1.1a0f9ec890d95p-4, 0x1.198ace223c816p-4, 0x1.192f5acfd2263p-4, 0x1.18f9557e7c582p-4, 0x1.18e50c3ea8b87p-4, 0x1.18ef078ad2726p-4, 0x1.191407819b36p-4, 0x1.1951012846f86p-4, 0x1.19a31bd01b41bp-4, 0x1.1a07ae859527cp-4, 0x1.1a7c3da4a106ep-4, 0x1.1afe7879f526dp-4, 0x1.1b8c37003b676p-4, 0x1.1c2377b69fc45p-4, 0x1.1cc25d8c0bfc5p-4, 0x1.1d672ddfac92ap-4, 0x1.1e104e9e3e7b1p-4, 0x1.1ebc446c7dc1fp-4, 0x1.1f69b0ee202d1p-4, 0x1.20175119bf0fdp-4, 0x1.20c3fba59c646p-4, 0x1.216e9f87879fap-4, 0x1.221642861ac9cp-4, 0x1.22b9ffda8b2cfp-4, 0x1.235906e4f56f7p-4, 0x1.23f299f1961acp-4, 0x1.24860d0e0d089p-4, 0x1.2512c4edc26f1p-4, 0x1.259835d9c5d23p-4, 0x1.2615e2b2ea73fp-4, 0x1.268b5bfd83e73p-4, 0x1.26f83effb2d03p-4, 0x1.275c34e400801p-4, 0x1.27b6f1f151a34p-4, 0x1.280834c143cbp-4, 0x1.284fc5922e8a3p-4, 0x1.288d758e31415p-4, 0x1.28c11e31847bbp-4, 0x1.28eaa0af4d04dp-4, 0x1.2909e55847582p-4, 0x1.291edb1ac216ap-4, 0x1.292976f9df835p-4, 0x1.2929b39be9388p-4, 0x1.291f90ce75959p-4, 0x1.290b13247f1a2p-4, 0x1.28ec438a282d7p-4, 0x1.28c32eec12358p-4, 0x1.288fe5d79ae0cp-4, 0x1.28527c2fb4746p-4, 0x1.280b08d8a2f6ep-4, 0x1.27b9a570709bfp-4, 0x1.275e6e0f372c7p-4, 0x1.26f9810168394p-4, 0x1.268afe91ac9f3p-4, 0x1.261308ce763e5p-4, 0x1.2591c35793886p-4, 0x1.2507532c1aacp-4, 0x1.2473de80c29a4p-4, 0x1.23d78c94286aap-4, 0x1.23328589c8824p-4, 0x1.2284f2441524fp-4, 0x1.21cefc453777ap-4, 0x1.2110cd9051a31p-4, 0x1.204a908c42685p-4, 0x1.1f7c6feaa5cb7p-4, 0x1.1ea696909b9eep-4, 0x1.1dc92f8154fep-4, 0x1.1ce465c9615c2p-4, 0x1.1bf8646cfcb44p-4, 0x1.1b0556586d234p-4, 0x1.1a0b665115e24p-4, 0x1.190abee7f28a5p-4, 0x1.18038a6c417dcp-4, 0x1.16f5f2e253215p-4, 0x1.15e221f7e2661p-4, 0x1.14c840fc62d0cp-4, 0x1.13a878d7d5265p-4, 0x1.1282f203d3cbdp-4, 0x1.1157d485e9e1dp-4, 0x1.102747e9e5cd4p-4, 0x1.0ef1733c456f1p-4, 0x1.0db67d06d1438p-4, 0x1.0c768b4d4783ap-4, 0x1.0b31c38b01f6fp-4, 0x1.09e84ab0615d9p-4, 0x1.089a452164ccp-4, 0x1.0747d6b494f1fp-4, 0x1.05f122b2dd38fp-4, 0x1.04964bd7afd51p-4, 0x1.0337745107b42p-4, 0x1.01d4bdbf8990ap-4, 0x1.006e4937638a3p-4, 0x1.fe086e83c389ap-5, 0x1.fb2d4fbd97eddp-5, 0x1.f84b750aa8fb2p-5, 0x1.f5631c4a1914cp-5, 0x1.f274824f17845p-5, 0x1.ef7fe2e49457ap-5, 0x1.ec8578d0c5196p-5, 0x1.e9857dd883895p-5, 0x1.e6802ac2b4127p-5, 0x1.e375b75b9dd45p-5, 0x1.e0665a78d0771p-5, 0x1.dd5249fd92ddap-5, 0x1.da39badf62072p-5, 0x1.d71ce12a6237cp-5, 0x1.d3fbf0055af75p-5, 0x1.d0d719b610a73p-5, 0x1.cdae8fa64eb84p-5, 0x1.ca828268d1283p-5, 0x1.c75321be2803ap-5, 0x1.c4209c9965c73p-5, 0x1.c0eb2124ad083p-5, 0x1.bdb2dcc5f1d5cp-5, 0x1.ba77fc23c54dcp-5, 0x1.b73aab2a06cebp-5, 0x1.b3fb150e32ffbp-5, 0x1.b0b964533cf9ap-5, 0x1.ad75c2cd57f5cp-5, 0x1.aa3059a62ec2ap-5, 0x1.a6e95160f6a15p-5, 0x1.a3a0d1ddcdfe4p-5, 0x1.a057025ccaf0ep-5, 0x1.9d0c098118833p-5, 0x1.99c00d53ff367p-5, 0x1.96733347d64f3p-5, 0x1.9325a03adbcc9p-5, 0x1.8fd77879db76ep-5, 0x1.8c88dfc2b535fp-5, 0x1.8939f946cea56p-5, 0x1.85eae7ad68284p-5, 0x1.829bcd15df58p-5, 0x1.7f4ccb19f334bp-5, 0x1.7bfe02cffcb9ap-5, 0x1.78af94cd0c5a1p-5, 0x1.7561a126cbadap-5, 0x1.7214477569514p-5, 0x1.6ec7a6d5949cfp-5, 0x1.6b7bddea513d3p-5, 0x1.68310ade868b3p-5, 0x1.64e74b6699cc6p-5, 0x1.619ebcc207643p-5, 0x1.5e577bbcd49ep-5, 0x1.5b11a4b0dac29p-5, 0x1.57cd5386fba96p-5, 0x1.548aa3b852c4fp-5, 0x1.5149b04f2d2f9p-5, 0x1.4e0a93e82e0d3p-5, 0x1.4acd68b314fc2p-5, 0x1.479248738c42fp-5, 0x1.44594c81e837fp-5, 0x1.41228dcbb6744p-5, 0x1.3dee24d4562d1p-5, 0x1.3abc29b581c5ep-5, 0x1.378cb41fc3fa4p-5, 0x1.345fdb5ae7c0fp-5, 0x1.3135b64661d96p-5, 0x1.2e0e5b5982c1ep-5, 0x1.2ae9e0a3daa42p-5, 0x1.27c85bcd8fe2dp-5, 0x1.24a9e2178b14cp-5, 0x1.218e885ba6deap-5, 0x1.1e76630ce3ab8p-5, 0x1.1b618637a86a2p-5, 0x1.18500581f31bp-5, 0x1.1541f42b82aeap-5, 0x1.1237650dffd62p-5, 0x1.0f306a9d25d38p-5, 0x1.0c2d16e6edc09p-5, 0x1.092d7b93b3264p-5, 0x1.0631a9e66b943p-5, 0x1.0339b2bccdae9p-5, 0x1.0045a68f77e2p-5, 0x1.faab2ae43adap-6, 0x1.f4d31e2759732p-6, 0x1.ef03457cff226p-6, 0x1.e93bbeb111b42p-6, 0x1.e37ca6c716f5p-6, 0x1.ddc619fa92fcep-6, 0x1.d81833bf73251p-6, 0x1.d2730ec27a66p-6, 0x1.ccd6c4e9ad01dp-6, 0x1.c7436f54e179ap-6, 0x1.c1b9265e42bc4p-6, 0x1.bc38019ae6bd4p-6, 0x1.b6c017db4d1e7p-6, 0x1.b1517f2bf7e38p-6, 0x1.abec4cd606f59p-6, 0x1.a690955ff83ebp-6, 0x1.a13e6c8e62d8p-6, 0x1.9bf5e564b7d95p-6, 0x1.96b7122616285p-6, 0x1.918204561efc2p-6, 0x1.8c56ccb9d4eefp-6, 0x1.87357b5893b0bp-6, 0x1.821e1f7d0e0f1p-6, 0x1.7d10c7b658a81p-6, 0x1.780d81d90bd53p-6, 0x1.73145b0058ec7p-6, 0x1.6e255f8f4b21bp-6, 0x1.69409b31edab2p-6, 0x1.646618dea6ac1p-6, 0x1.5f95e2d7840d2p-6, 0x1.5ad002abb28cdp-6, 0x1.56148138e284ep-6, 0x1.516366accc597p-6, 0x1.4cbcba86af478p-6, 0x1.48208398ea3c8p-6, 0x1.438ec80a9b035p-6, 0x1.3f078d594b844p-6, 0x1.3a8ad85ab09c1p-6, 0x1.3618ad3e70b18p-6, 0x1.31b10f8ff910dp-6, 0x1.2d54023853fc5p-6, 0x1.2901878003a97p-6, 0x1.24b9a110f52adp-6, 0x1.207c4ff871f22p-6, 0x1.1c4994a92aa6fp-6, 0x1.18216efd4b23dp-6, 0x1.1403de3883e4bp-6, 0x1.0ff0e10a326c3p-6, 0x1.0be8758f7810ep-6, 0x1.07ea995568037p-6, 0x1.03f7495b3c5e8p-6, 0x1.000e821493a7ap-6, 0x1.f8607ed76c1d7p-7, 0x1.f0b8f987d0164p-7, 0x1.e92669f759951p-7, 0x1.e1a8c4de4c59fp-7, 0x1.da3ffdf4b29fbp-7, 0x1.d2ec07f72856ap-7, 0x1.cbacd4ab9b1ddp-7, 0x1.c48254e623909p-7, 0x1.bd6c788de2cd9p-7, 0x1.b66b2ea1e436cp-7, 0x1.af7e653e0639fp-7, 0x1.a8a6099fd0cedp-7, 0x1.a1e2082b61106p-7, 0x1.9b324c70455b7p-7, 0x1.9496c12e7c9cap-7, 0x1.8e0f505b6ffccp-7, 0x1.879be326f4ff6p-7, 0x1.813c62003a84bp-7, 0x1.7af0b49add338p-7, 0x1.74b8c1f3bf5f4p-7, 0x1.6e94705610c74p-7, 0x1.6883a56023abdp-7, 0x1.628646086d848p-7, 0x1.5c9c36a271314p-7, 0x1.56c55ae3b035ap-7, 0x1.510195e89d5bcp-7, 0x1.4b50ca39749a1p-7, 0x1.45b2d9cf27a94p-7, 0x1.4027a61828673p-7, 0x1.3aaf0ffd2a5c2p-7, 0x1.3548f7e5e28f6p-7, 0x1.2ff53dbdcef5ap-7, 0x1.2ab3c0f8d923fp-7, 0x1.258460981a151p-7, 0x1.2066fb2e80cd5p-7, 0x1.1b5b6ee573edp-7, 0x1.1661998163ebdp-7, 0x1.117958664d6d6p-7, 0x1.0ca2889c25c47p-7, 0x1.07dd06d34eec9p-7, 0x1.0328af68e65bap-7, 0x1.fd0abcd648ddcp-8, 0x1.f3e5df3b3b738p-8, 0x1.eae27cfb108b7p-8, 0x1.e2004c8bd8433p-8, 0x1.d93f03e77f5ap-8, 0x1.d09e58940bffep-8, 0x1.c81dffab8cf59p-8, 0x1.bfbdade407d3bp-8, 0x1.b77d17974c94ep-8, 0x1.af5bf0caa488p-8, 0x1.a759ed366324ep-8, 0x1.9f76c04d51286p-8, 0x1.97b21d44012cdp-8, 0x1.900bb717fe41ep-8, 0x1.88834096b7cf6p-8, 0x1.81186c6467d67p-8, 0x1.79caed02d453ap-8, 0x1.729a74d805162p-8, 0x1.6b86b634f70fp-8, 0x1.648f635c2be0bp-8, 0x1.5db42e88252aap-8, 0x1.56f4c9f1bf761p-8, 0x1.5050e7d64363fp-8, 0x1.49c83a7d322c7p-8, 0x1.435a743de2d56p-8, 0x1.3d074784c47d6p-8, 0x1.36ce66d898c61p-8, 0x1.30af84df8b566p-8, 0x1.2aaa54648040dp-8, 0x1.24be885c41327p-8, 0x1.1eebd3eb007bcp-8, 0x1.1931ea69b0785p-8, 0x1.13907f6b4e4cp-8, 0x1.0e0746c1da6f8p-8, 0x1.0895f482f6e2p-8, 0x1.033c3d0bef0c8p-8, 0x1.fbf3aa0abfe28p-9, 0x1.f19ce2cd1bc53p-9, 0x1.e7738ef12632dp-9, 0x1.dd7719b359647p-9, 0x1.d3a6ef019c10ep-9, 0x1.ca027b8331ac5p-9, 0x1.c0892ca155cb7p-9, 0x1.b73a708fefbb2p-9, 0x1.ae15b6563fe71p-9, 0x1.a51a6dd6865a3p-9, 0x1.9c4807d4a6dbp-9, 0x1.939df5fb24903p-9, 0x1.8b1baadf042c4p-9, 0x1.82c09a02b936dp-9, 0x1.7a8c37d916b6ap-9, 0x1.727df9c88cfb3p-9, 0x1.6a95562f7d7fbp-9, 0x1.62d1c4699a345p-9, 0x1.5b32bcd5f46b6p-9, 0x1.53b7b8dd9ac45p-9, 0x1.4c6032f94624bp-9, 0x1.452ba6b64359ap-9, 0x1.3e1990b9b8332p-9, 0x1.37296ec27362fp-9, 0x1.305abfa9e78fdp-9, 0x1.29ad036531ab6p-9, 0x1.231fbb06eba1bp-9, 0x1.1cb268c25e503p-9, 0x1.16648ff06df83p-9, 0x1.1035b515593b4p-9, 0x1.0a255de671576p-9, 0x1.0433114e55d44p-9, 0x1.fcbcaedc9d74cp-10, 0x1.f14d7338833p-10, 0x1.e61784bad4d93p-10, 0x1.db19fabe32b96p-10, 0x1.d053eedf407eep-10, 0x1.c5c47cf3f355ap-10, 0x1.bb6ac30c7f78p-10, 0x1.b145e1812e435p-10, 0x1.a754fb0bcd4c8p-10, 0x1.9d9734ea0205dp-10, 0x1.940bb7015ea0ep-10, 0x1.8ab1abfcb10e2p-10, 0x1.818841591d0afp-10, 0x1.788ea75f3a194p-10, 0x1.6fc411041c092p-10, 0x1.6727b3b702adap-10, 0x1.5eb8c723558c3p-10, 0x1.567684f4275c2p-10, 0x1.4e6028a5f6101p-10, 0x1.4674ef730d529p-10, 0x1.3eb418618522fp-10, 0x1.371ce4737251ep-10, 0x1.2fae96f335fe3p-10, 0x1.286875ce183f4p-10, 0x1.2149c9ecafdbap-10, 0x1.1a51df755e836p-10, 0x1.138005ea61778p-10, 0x1.0cd390183d509p-10, 0x1.064bd3d46b014p-10, 0x1.ffd05328a0abp-11, 0x1.f34fd7db66525p-11, 0x1.e714ee2f12905p-11, 0x1.db1e510567072p-11, 0x1.cf6abd3ed911ep-11, 0x1.c3f8f1b64e182p-11, 0x1.b8c7afafda647p-11, 0x1.add5bba88de2p-11, 0x1.a321de60f79f3p-11, 0x1.98aae5f2df01p-11, 0x1.8e6fa6c2b617p-11, 0x1.846efc2389137p-11, 0x1.7aa7c8918c4cfp-11, 0x1.7118f57a8f739p-11, 0x1.67c17297fd99fp-11, 0x1.5ea034f39dec4p-11, 0x1.55b435baf2935p-11, 0x1.4cfc7110af66fp-11, 0x1.4477e50fe58bcp-11, 0x1.3c25912ccd33p-11, 0x1.3404760f9dc63p-11, 0x1.2c1395eaf58f4p-11, 0x1.2451f533d45d3p-11, 0x1.1cbe9b8bc31a7p-11, 0x1.155894a7a1738p-11, 0x1.0e1ef10843f71p-11, 0x1.0710c66fc9be7p-11, 0x1.002d3016670e6p-11, 0x1.f2e69d59f4086p-12, 0x1.e5c49079b7673p-12, 0x1.d8f28fcf5ac74p-12, 0x1.cc6efb02907f8p-12, 0x1.c03839fae5118p-12, 0x1.b44cbb7895ac2p-12, 0x1.a8aaf3a66ecdep-12, 0x1.9d515aff97535p-12, 0x1.923e6ddc6dc1ap-12, 0x1.8770accb7cba6p-12, 0x1.7ce69d80ad866p-12, 0x1.729ecbdf5d7afp-12, 0x1.6897ca9c08b45p-12, 0x1.5ed03324bd919p-12, 0x1.5546a4e9fd622p-12, 0x1.4bf9c478050a6p-12, 0x1.42e83af93ed3p-12, 0x1.3a10b66dd3078p-12, 0x1.3171eaae89219p-12, 0x1.290a92af2f74ep-12, 0x1.20d9717b0d63p-12, 0x1.18dd52724804ep-12, 0x1.111508b5b5b31p-12, 0x1.097f6e157de2bp-12, 0x1.021b6212b872p-12, 0x1.f5cf92de3aa89p-13, 0x1.e7c71cd7c9c3ep-13, 0x1.da1b42cd82efp-13, 0x1.ccc9f2773669ap-13, 0x1.bfd125c99f983p-13, 0x1.b32ee07132988p-13, 0x1.a6e12c4f887f4p-13, 0x1.9ae616695fea1p-13, 0x1.8f3bada6b9587p-13, 0x1.83e003f42878p-13, 0x1.78d13145d1197p-13, 0x1.6e0d5729bc5fcp-13, 0x1.6392a37ceb443p-13, 0x1.595f517e134cfp-13, 0x1.4f71a96ebcd67p-13, 0x1.45c7ffaf02acp-13, 0x1.3c60b446beeafp-13, 0x1.333a3327ab239p-13, 0x1.2a52f49ad224fp-13, 0x1.21a97cd8a19ecp-13, 0x1.193c5a132f786p-13, 0x1.110a212bce717p-13, 0x1.09116a377e67dp-13, 0x1.0150ce3c35073p-13, 0x1.f38dcdf0b30b5p-14, 0x1.e4e4a0ff80e19p-14, 0x1.d6a3579f65432p-14, 0x1.c8c742d79ccc1p-14, 0x1.bb4dc69e70796p-14, 0x1.ae345b46b2a56p-14, 0x1.a1788ba7daa71p-14, 0x1.9517f08c5a07bp-14, 0x1.89102c3516533p-14, 0x1.7d5eea14355fep-14, 0x1.7201e52d6f011p-14, 0x1.66f6f334f7879p-14, 0x1.5c3c0dc4c3686p-14, 0x1.51cf52ab13cf7p-14, 0x1.47aef83494642p-14, 0x1.3dd9399d6a971p-14, 0x1.344c44f052fp-14, 0x1.2b06332496dfcp-14, 0x1.22050d3c270e4p-14, 0x1.1946d99e603a2p-14, 0x1.10c9a951b61e9p-14, 0x1.088b9f540b3cep-14, 0x1.008af1d57315cp-14, 0x1.f18bd14f10478p-15, 0x1.e275b7077a1f7p-15, 0x1.d3d05fc971e24p-15, 0x1.c598a9968337ap-15, 0x1.b7cb79b044d56p-15, 0x1.aa65b629c8dd9p-15, 0x1.9d645066c7fc2p-15, 0x1.90c462e556db7p-15, 0x1.8483535c6d288p-15, 0x1.789edfce6b3e5p-15, 0x1.6d1506802b9abp-15, 0x1.61e3d1b1ddea4p-15, 0x1.570924d389b8fp-15, 0x1.4c82a8585bfd4p-15, 0x1.424ddb3359b24p-15, 0x1.386837f035eaap-15, 0x1.2ecf52dd13d87p-15, 0x1.2580e3428621ap-15, 0x1.1c7abbfedf5cfp-15, 0x1.13babf510454ep-15, 0x1.0b3ed5684fa83p-15, 0x1.0304e7d2b069ep-15, 0x1.f615c41f3797cp-16, 0x1.e69d6b97892cp-16, 0x1.d79cbd0909f0dp-16, 0x1.c90fc2da90b02p-16, 0x1.baf29c4f4cc26p-16, 0x1.ad4195a9573e5p-16, 0x1.9ff95c0d6318ap-16, 0x1.93172a9d84965p-16, 0x1.8698bcbd17738p-16, 0x1.7a7bf93793edcp-16, 0x1.6ebe8be60f7ffp-16, 0x1.635db92ce9457p-16, 0x1.585685fa1349p-16, 0x1.4da60625fda03p-16, 0x1.434989be86326p-16, 0x1.393e9115605fap-16, 0x1.2f82ab1ee1fd2p-16, 0x1.261369446eca3p-16, 0x1.1cee68ce7a9ap-16, 0x1.14115ab34c77p-16, 0x1.0b79fd8b62217p-16, 0x1.03261025dde3fp-16, 0x1.f62694f073dccp-17, 0x1.e67ecbbe974cdp-17, 0x1.d7505ef4f0489p-17, 0x1.c897267729b05p-17, 0x1.ba4f2962dc7e9p-17, 0x1.ac74826f0bffap-17, 0x1.9f036928ca75cp-17, 0x1.91f863e386143p-17, 0x1.855063c5f2296p-17, 0x1.7908954a1e0eap-17, 0x1.6d1e1afedb25dp-17, 0x1.618e03b1b3b32p-17, 0x1.56557fcde8eb4p-17, 0x1.4b7209e68f282p-17, 0x1.40e137b659cfep-17, 0x1.36a081f9dc363p-17, 0x1.2cad41b90620ep-17, 0x1.2304d1bd038adp-17, 0x1.19a49f2e197a9p-17, 0x1.108a2a40775a9p-17, 0x1.07b30bebb3e9ap-17, 0x1.fe39f54b26d7cp-18, 0x1.ed8b850973343p-18, 0x1.dd5671726706cp-18, 0x1.cd967bb4d18c4p-18, 0x1.be47ae87d1ae3p-18, 0x1.af669ac3aa404p-18, 0x1.a0f054e977915p-18, 0x1.92e208c731d5p-18, 0x1.85385fbea2dcap-18, 0x1.77ef47474788ep-18, 0x1.6b024ca1d894ap-18, 0x1.5e6d1ab62c983p-18, 0x1.522bda5d5119bp-18, 0x1.463bad66ef704p-18, 0x1.3a9ad633d6042p-18, 0x1.2f47e6d11de0fp-18, 0x1.2440bfbb2d706p-18, 0x1.1982a2f60849p-18, 0x1.0f0afe08d1e0cp-18, 0x1.04d79e65ae841p-18, 0x1.f5cc95d8c7f93p-19, 0x1.e2693fe8039f7p-19, 0x1.cf807ee93ccc3p-19, 0x1.bd0de334a743ap-19, 0x1.ab0d51b6fcc6ap-19, 0x1.997afc6fb6681p-19, 0x1.885349e283391p-19, 0x1.7792b87304501p-19, 0x1.6735e91dabfe9p-19, 0x1.5739dfb821ef3p-19, 0x1.479c3df1ec61cp-19, 0x1.385b18fa14a27p-19, 0x1.29744916bba72p-19, 0x1.1ae4ad0ef63f4p-19, 0x1.0ca84125da703p-19, 0x1.fd761235319dbp-20, 0x1.e2336b81a5071p-20, 0x1.c783841b5a694p-20, 0x1.ad63539fafac9p-20, 0x1.93d07ed85c295p-20, 0x1.7ac66ff6dbe0bp-20, 0x1.623ebd509a05p-20, 0x1.4a34c646df3f7p-20, 0x1.32a67a802bbc7p-20, 0x1.1b91ddba80521p-20, 0x1.04f39f879af09p-20, 0x1.dd8f6c2fadb81p-21, 0x1.b214c2025468ep-21, 0x1.8770a01b635f8p-21, 0x1.5d9ca772fb073p-21, 0x1.3492dd1a62119p-21, 0x1.0c4e10188e86dp-21, 0x1.c9936cc73e0d7p-22, 0x1.7c02f5e14edp-22, 0x1.2fe21475b0346p-22, 0x1.ca4fc86d9ffd3p-23, 0x1.3799707a01e72p-23, 0x1.4f25d7f878029p-24, 0x1.a2eef26444d57p-27, -0x1.c28a1345dd7c4p-25, -0x1.f1ec69080fad2p-24, -0x1.7ee0c2461788fp-23, -0x1.0137d6f17d9ap-22, -0x1.41d5c37f51cap-22, -0x1.814e009c438d5p-22, -0x1.bfa42b80899a7p-22, -0x1.fcdf9fe12d68fp-22, -0x1.1c84c4b6a316dp-21, -0x1.3a13b904ee999p-21, -0x1.571f1caf1f4d5p-21, -0x1.73a9095edbd4dp-21, -0x1.8fb26f1de5451p-21, -0x1.ab3cca4e707e1p-21, -0x1.c64abfa91b44ap-21, -0x1.e0de9223739a3p-21, -0x1.faf9e8a4937a8p-21, -0x1.0a4f50a233f1ep-20, -0x1.16e74f385a368p-20, -0x1.2345b2473526cp-20, -0x1.2f6b14fe69f38p-20, -0x1.3b5805119d6dfp-20, -0x1.470d141be70ccp-20, -0x1.528ae18529b72p-20, -0x1.5dd218fe358e6p-20, -0x1.68e3668fec154p-20, -0x1.73bf62e0011eep-20, -0x1.7e668c066829dp-20, -0x1.88d962c3d03fep-20, -0x1.931882db4e919p-20, -0x1.9d2467e3c727fp-20, -0x1.a6fd3dc30a6e3p-20, -0x1.b0a36945d57cep-20, -0x1.ba17a3770938fp-20, -0x1.c35a634d354a5p-20, -0x1.cc6c0673d213dp-20, -0x1.d54ca58f2c67ep-20, -0x1.ddfc9bbcaa69ap-20, -0x1.e67c6e85700cp-20, -0x1.eecc784f3b4e9p-20, -0x1.f6ed061139542p-20, -0x1.fede56ab3ae34p-20, -0x1.03505b657342fp-19, -0x1.071a4445ebcb5p-19, -0x1.0acd009fc319fp-19, -0x1.0e68aee15854dp-19, -0x1.11ed796261ad4p-19, -0x1.155b8414ea24ap-19, -0x1.18b2ec9344253p-19, -0x1.1bf3ce3fcb221p-19, -0x1.1f1e424e451fdp-19, -0x1.223273ff2060cp-19, -0x1.25307541ce21fp-19, -0x1.28186c3617cdfp-19, -0x1.2aea78db04793p-19, -0x1.2da6ba5030836p-19, -0x1.304d54d9c82eap-19, -0x1.32de5e55bb1c5p-19, -0x1.3559f111df5ep-19, -0x1.37c02c2a3cc0dp-19, -0x1.3a112ba37683cp-19, -0x1.3c4d08f872c27p-19, -0x1.3e73eb90af3cap-19, -0x1.4085f9b788747p-19, -0x1.42834aabf8231p-19, -0x1.446bf47ab709ep-19, -0x1.46401a89d7f1p-19, -0x1.47ffdd5642a86p-19, -0x1.49ab5aba77e32p-19, -0x1.4b42b027e8fa1p-19, -0x1.4cc5fa32ff9d8p-19, -0x1.4e355ad538665p-19, -0x1.4f90f6b8a6be5p-19, -0x1.50d8eed993b0ep-19, -0x1.520d6004139ep-19, -0x1.532e6a314f588p-19, -0x1.543c30fd0d17fp-19, -0x1.5536d660a8061p-19, -0x1.561e7bfb978fcp-19, -0x1.56f343f99ae8ap-19, -0x1.57b551116178bp-19, -0x1.5864c67d314bp-19, -0x1.5901c8065b825p-19, -0x1.598c7a088b2b7p-19, -0x1.5a05015d30f69p-19, -0x1.5a6b833e528e7p-19, -0x1.5ac0252cc46cap-19, -0x1.5b030cb98856p-19, -0x1.5b346005d3743p-19, -0x1.5b5444ef2275fp-19, -0x1.5b62e31097a8p-19, -0x1.5b6062028baeap-19, -0x1.5b4ce947cde8fp-19, -0x1.5b28a12a28aa3p-19, -0x1.5af3b36ea4a3bp-19, -0x1.5aae4788185e6p-19, -0x1.5a5886fbc7c0dp-19, -0x1.59f29c01aea76p-19, -0x1.597cb08e49853p-19, -0x1.58f6eee9cfeb7p-19, -0x1.586181ae0436fp-19, -0x1.57bc93d2ae4fbp-19, -0x1.570850a38d2efp-19, -0x1.5644e3a5b5128p-19, -0x1.5572794a14b8p-19, -0x1.54913e15de6eep-19, -0x1.53a15e017a789p-19, -0x1.52a305f5690fep-19, -0x1.519663259c2d7p-19, -0x1.507ba2d2889abp-19, -0x1.4f52f281d812fp-19, -0x1.4e1c8008201d7p-19, -0x1.4cd879471ba23p-19, -0x1.4b870c7e2f6b9p-19, -0x1.4a28681d31aa9p-19, -0x1.48bcbac48635cp-19, -0x1.47443325d2e26p-19, -0x1.45beffe3a8f6fp-19, -0x1.442d4fcba30b6p-19, -0x1.428f5227c1b71p-19, -0x1.40e53682c3f79p-19, -0x1.3f2f2c50a83b6p-19, -0x1.3d6d62fc9efabp-19, -0x1.3ba00a0e66338p-19, -0x1.39c7512dfed7cp-19, -0x1.37e3680a45bfdp-19, -0x1.35f47e58201a8p-19, -0x1.33fac3e7c4225p-19, -0x1.31f6687e8bcc8p-19, -0x1.2fe79bfde585bp-19, -0x1.2dce8e3989a89p-19, -0x1.2bab6f0596985p-19, -0x1.297e6e3348463p-19, -0x1.2747bb8a4f052p-19, -0x1.250786c3ea508p-19, -0x1.22bdff8ce414fp-19, -0x1.206b5588bcec2p-19, -0x1.1e0fb8468bd1ep-19, -0x1.1bab573de73c9p-19, -0x1.193e61d963ff9p-19, -0x1.16c907543a3b2p-19, -0x1.144b76e10add1p-19, -0x1.11c5df88ebb32p-19, -0x1.0f38703176acfp-19, -0x1.0ca3579dfed75p-19, -0x1.0a06c46b9b84ep-19, -0x1.0762e50cd862p-19, -0x1.04b7e7ca27051p-19, -0x1.0205fabb6c85bp-19, -0x1.fe9a9796ff292p-20, -0x1.f91c1167fae75p-20, -0x1.f390bdf68e5dap-20, -0x1.edf8f7df56bdbp-20, -0x1.e855194e1bedbp-20, -0x1.e2a57bf9453bcp-20, -0x1.dcea7918f5805p-20, -0x1.d724695d5b2edp-20, -0x1.d153a4fb02ba7p-20, -0x1.cb7883baf16efp-20, -0x1.c5935cea9182bp-20, -0x1.bfa48741bb7efp-20, -0x1.b9ac58b09d26ap-20, -0x1.b3ab26b422ab7p-20, -0x1.ada14665bfab5p-20, -0x1.a78f0c1796eb6p-20, -0x1.a174cb8e90b98p-20, -0x1.9b52d7f2a7d7p-20, -0x1.952983c4a8446p-20, -0x1.8ef921057ccd9p-20, -0x1.88c20089d26d2p-20, -0x1.82847367519e9p-20, -0x1.7c40c74d77fbdp-20, -0x1.75f7537905ec2p-20, -0x1.6fa85a9e3326dp-20, -0x1.69542ff9cd88fp-20, -0x1.62fb23ca75033p-20, -0x1.5c9d7efaf2a89p-20, -0x1.563b8e3da7948p-20, -0x1.4fd59c8027d9cp-20, -0x1.496bf3fc27dbbp-20, -0x1.42fede3831508p-20, -0x1.3c8ea3fdeb404p-20, -0x1.361b8d54e78bep-20, -0x1.2fa5e18086352p-20, -0x1.292de700020cdp-20, -0x1.22b3e3929fc3bp-20, -0x1.1c381c39ab816p-20, -0x1.15bad5333f812p-20, -0x1.0f3c51f31f891p-20, -0x1.08bcd5227d4fp-20, -0x1.023ca0a32ef72p-20, -0x1.f777eb180bf74p-21, -0x1.ea76282daa591p-21, -0x1.dd74773e29ed8p-21, -0x1.d07355b0823acp-21, -0x1.c3733fa0052d1p-21, -0x1.b674af90e3aa1p-21, -0x1.a9781e6bcb8a9p-21, -0x1.9c7e011bd2a1cp-21, -0x1.8f86cb5b1c99dp-21, -0x1.8292e9e334637p-21, -0x1.75a2bcaa3c9f7p-21, -0x1.68b6c74555ae9p-21, -0x1.5bd0301761dd7p-21, -0x1.4eee9dde762e7p-21, -0x1.4212250d4e414p-21, -0x1.353afb6008c54p-21, -0x1.286ab826b1e5bp-21, -0x1.1ba1937b409fcp-21, -0x1.0edf778cfd42ap-21, -0x1.0224d14aef4d9p-21, -0x1.eae4225565dfdp-22, -0x1.d18f3ae2177ecp-22, -0x1.b84ba97aa3063p-22, -0x1.9f1a29d056d5bp-22, -0x1.85fb75c9354aap-22, -0x1.6cf040308f15fp-22, -0x1.53f93994e796bp-22, -0x1.3b170fb860cbp-22, -0x1.224a6d44a316bp-22, -0x1.0993f9be64982p-22, -0x1.e1e8b3010ec71p-23, -0x1.b0d85b889d317p-23, -0x1.7ff82979a8e1bp-23, -0x1.4f4953561446ap-23, -0x1.1ecd099d329e6p-23, -0x1.dd08ed357c0fbp-24, -0x1.7ce17cdf336cfp-24, -0x1.1d25fe7b9bdc7p-24, -0x1.7bb145532511p-25, -0x1.7bee37fbe99ddp-26, -0x1.21af483c988e5p-33, 0x1.7595d4f8ca038p-26, 0x1.75caac4d17b96p-25, 0x1.17ecd41787741p-24, 0x1.747a038ef2866p-24, 0x1.d08b026c46a4dp-24, 0x1.160f06f3c94fdp-23, 0x1.4398a7d8d5df9p-23, 0x1.70e1860260a24p-23, 0x1.9de8c9efd071dp-23, 0x1.caada058f42e4p-23, 0x1.f72f3b2e00a52p-23, 0x1.11b6685ec6f8bp-22, 0x1.27b2cd78a9c99p-22, 0x1.3d8c6f39bc1e1p-22, 0x1.5342f788c778cp-22, 0x1.68d60a6898335p-22, 0x1.7e454bed019eep-22, 0x1.93906846089fbp-22, 0x1.a8b70f19ef87bp-22, 0x1.bdb8f1d07d71bp-22, 0x1.d295c3547d8cap-22, 0x1.e74d383aedfc8p-22, 0x1.fbdf08d4d9878p-22, 0x1.08257971834c3p-21, 0x1.124857d187633p-21, 0x1.1c57ffa5b399ep-21, 0x1.265451ff65963p-21, 0x1.303d30e24e023p-21, 0x1.3a127f7aa5579p-21, 0x1.43d4221ea3f49p-21, 0x1.4d81fe4f64508p-21, 0x1.571bfa4d3ec62p-21, 0x1.60a1fe9a82b7bp-21, 0x1.6a13f31fb4a47p-21, 0x1.7371c2035fbaap-21, 0x1.7cbb562d9c7fp-21, 0x1.85f09b966fb5dp-21, 0x1.8f117f37f3eb2p-21, 0x1.981def1986c4ep-21, 0x1.a115da540be83p-21, 0x1.a9f93119ba102p-21, 0x1.b2c7e467ccfa4p-21, 0x1.bb81e629476b4p-21, 0x1.c427295fb295cp-21, 0x1.ccb7a1c36923bp-21, 0x1.d53344931b10fp-21, 0x1.dd9a081291345p-21, 0x1.e5ebe1d47524bp-21, 0x1.ee28ca31eb1p-21, 0x1.f650b98cf9db4p-21, 0x1.fe63a8b19bd1cp-21, 0x1.0330c9abd29eep-20, 0x1.07253a0a234f8p-20, 0x1.0b0f231303628p-20, 0x1.0eee834fb5a0dp-20, 0x1.12c359970106bp-20, 0x1.168da51f3f49bp-20, 0x1.1a4d6581bf7f3p-20, 0x1.1e029ab8ee562p-20, 0x1.21ad452ba2c5p-20, 0x1.254d65d27f493p-20, 0x1.28e2fccc31966p-20, 0x1.2c6e0d17f43a7p-20, 0x1.2fee96f1ce7fep-20, 0x1.33649db8f72bfp-20, 0x1.36d023a4d6d33p-20, 0x1.3a312b85dadaap-20, 0x1.3d87b8793c453p-20, 0x1.40d3ce2666a29p-20, 0x1.44157094ae204p-20, 0x1.474ca3a92cb78p-20, 0x1.4a796c01504e6p-20, 0x1.4d9bce6ea58d7p-20, 0x1.50b3d00937cbap-20, 0x1.53c176367ac9ep-20, 0x1.56c4c6a6bf4cep-20, 0x1.59bdc75298b98p-20, 0x1.5cac7e792cbc1p-20, 0x1.5f90f29bfd4d9p-20, 0x1.626b2a77d575cp-20, 0x1.653b2cf7c0bd9p-20, 0x1.68010106b83b8p-20, 0x1.6abcacb92b4d3p-20, 0x1.6d6e336519d77p-20, 0x1.7015bb00baa66p-20, 0x1.72b35c88426c4p-20, 0x1.75467cc82a7f5p-20, 0x1.77cff15e862afp-20, 0x1.7a4f6c935f2fep-20, 0x1.7cc4f9c34cebdp-20, 0x1.7f30a4c1405c2p-20, 0x1.819277dc071b5p-20, 0x1.83ea7d1b7a7c6p-20, 0x1.8638be96add99p-20, 0x1.887d468ba0194p-20, 0x1.8ab81f63c25dcp-20, 0x1.8ce953b2545b3p-20, 0x1.8f10ee3dbca7dp-20, 0x1.912ef9f147bc9p-20, 0x1.934381e6a4028p-20, 0x1.954e91603e5e2p-20, 0x1.975033ca152acp-20, 0x1.994874b8474bdp-20, 0x1.9b375fed6ca3dp-20, 0x1.9d1d01ac36c84p-20, 0x1.9ef96703bef4bp-20, 0x1.a0cc9c9323p-20, 0x1.a296b61cf93e1p-20, 0x1.a457a375222acp-20, 0x1.a60f6318fdc4bp-20, 0x1.a7be63b08b644p-20, 0x1.a9644673255adp-20, 0x1.ab0185f0d56ep-20, 0x1.ac95b413849f6p-20, 0x1.ae211553a7919p-20, 0x1.afa3bfb81427ap-20, 0x1.b11dbbbdf3f8ap-20, 0x1.b28f14ee8dabbp-20, 0x1.b3f7d8559f8f2p-20, 0x1.b558137af778ap-20, 0x1.b6afd4143e49fp-20, 0x1.b7ff27f0305c2p-20, 0x1.b9461cfd55a8ap-20, 0x1.ba84c1463df17p-20, 0x1.bbbb22c38445dp-20, 0x1.bce94f9d0428dp-20, 0x1.be0f5606b9eeep-20, 0x1.bf2d443e76c03p-20, 0x1.c043289fd8a6dp-20, 0x1.c1511181f94b5p-20, 0x1.c2570d5513a39p-20, 0x1.c3552a9670f76p-20, 0x1.c44b77cea178cp-20, 0x1.c53a03929c7fp-20, 0x1.c620dc7c9f73dp-20, 0x1.c700113b4d559p-20, 0x1.c7d7b0de6da71p-20, 0x1.c8a7c67894a94p-20, 0x1.c9706a607409bp-20, 0x1.ca31a153eda25p-20, 0x1.caeb7e5a04989p-20, 0x1.cb9e0ff7956afp-20, 0x1.cc4964fde884cp-20, 0x1.cced8c4d4b4f8p-20, 0x1.cd8a94cdac415p-20, 0x1.ce208d6cfbcfap-20, 0x1.ceaf851b0d82cp-20, 0x1.cf378ac993597p-20, 0x1.cfb8ad6b2f214p-20, 0x1.d032fbf785db4p-20, 0x1.d0a68573c75e7p-20, 0x1.d11358b4f58d5p-20, 0x1.d17984d380fc1p-20, 0x1.d1d918b7bebdp-20, 0x1.d2322358c4dadp-20, 0x1.d284b3ac4f801p-20, 0x1.d2d0d8a612df6p-20, 0x1.d316a13861392p-20, 0x1.d3561c55c672fp-20, 0x1.d38f5910cba62p-20, 0x1.d3c2861b5aadcp-20, 0x1.d3ef53b1127ffp-20, 0x1.d4162c9e4a28bp-20, 0x1.d437040eb05b1p-20, 0x1.d451e75f0e37dp-20, 0x1.d466e53c4d2bdp-20, 0x1.d4760c43f7b81p-20, 0x1.d47f6afd04c52p-20, 0x1.d4830ff2f0c4p-20, 0x1.d48109a5d9054p-20, 0x1.d47966b096978p-20, 0x1.d46c35c24587bp-20, 0x1.d45985952e48bp-20, 0x1.d44164df340d3p-20, 0x1.d423e2416812ep-20, 0x1.d4010c437ae13p-20, 0x1.d3d8f15809533p-20, 0x1.d3ab9fda69f7dp-20, 0x1.d3792613e2ff9p-20, 0x1.d341924123095p-20, 0x1.d304f2957604p-20, 0x1.d2c35523d432ap-20, 0x1.d27cc775e8ba2p-20, 0x1.d23157c9af6b4p-20, 0x1.d1e1168d74d15p-20, 0x1.d18c0f52bfba9p-20, 0x1.d1324fc01f499p-20, 0x1.d0d3e65bda016p-20, 0x1.d070e1006b0cdp-20, 0x1.d0094d6cdcd6bp-20, 0x1.cf9d3952bf181p-20, 0x1.cf2cb2633c14ep-20, 0x1.ceb7c6013287p-20, 0x1.ce3e81e78829p-20, 0x1.cdc0f37afc795p-20, 0x1.cd3f2822e3961p-20, 0x1.ccb92d35dfbc1p-20, 0x1.cc2f0ffa74d9ep-20, 0x1.cba0ddae4b121p-20, 0x1.cb0ea37dd9d39p-20, 0x1.ca786e95600f5p-20, 0x1.c9de4bfcb5a56p-20, 0x1.c9404878b272cp-20, 0x1.c89e709d006d3p-20, 0x1.c7f8d156935cbp-20, 0x1.c74f7849a9ca1p-20, 0x1.c6a2714c348b3p-20, 0x1.c5f1c94764b7bp-20, 0x1.c53d8cc001dd8p-20, 0x1.c485c82abe756p-20, 0x1.c3ca87ed37d5cp-20, 0x1.c30bd85cd3a96p-20, 0x1.c249c5bd3edc1p-20, 0x1.c1845c3f389efp-20, 0x1.c0bba801a5f5p-20, 0x1.bfefb510cdb38p-20, 0x1.bf208f676c0edp-20, 0x1.be4e42ed43f93p-20, 0x1.bd78db743af5cp-20, 0x1.bca064b7796dcp-20, 0x1.bbc4ea6a4bf19p-20, 0x1.bae67822c810fp-20, 0x1.ba051963371d8p-20, 0x1.b920d990210e9p-20, 0x1.b839c3d511f12p-20, 0x1.b74fe282ed2d2p-20, 0x1.b66339c1e61c7p-20, 0x1.b5741db198e3ep-20, 0x1.b481e548229bp-20, 0x1.b38d603424213p-20, 0x1.b2962b6296e88p-20, 0x1.b19c7c07736ccp-20, 0x1.b0a04b7745658p-20, 0x1.afa1ad767bd95p-20, 0x1.aea09dce1dd8fp-20, 0x1.ad9d32f1d1041p-20, 0x1.ac9775df821f8p-20, 0x1.ab8f70354e33dp-20, 0x1.aa852c152a109p-20, 0x1.a978b39d9513ap-20, 0x1.a86a10fdf0e89p-20, 0x1.a7594e4aa1c55p-20, 0x1.a64675a5f8b55p-20, 0x1.a531915a6be86p-20, 0x1.a41aac0962b48p-20, 0x1.a301d0a5bdf0bp-20, 0x1.a1e709c93610ap-20, 0x1.a0ca64db0cc01p-20, 0x1.9fabe7f5afe6bp-20, 0x1.9e8b95cc39164p-20, 0x1.9d697391fc0b9p-20, 0x1.9c4589177d1ebp-20, 0x1.9b1fe070918f7p-20, 0x1.99f88749c4bcp-20, 0x1.98cf8caa3515cp-20, 0x1.97a4fc54a89d2p-20, 0x1.9678de7c9d6bcp-20, 0x1.954b3a2633a92p-20, 0x1.941c16995d552p-20, 0x1.92eb7b9a085d6p-20, 0x1.91b9712ceeebbp-20, 0x1.9086008f277e3p-20, 0x1.8f51313ad5642p-20, 0x1.8e1b0be548d49p-20, 0x1.8ce398e9a5142p-20, 0x1.8baae08cf77a2p-20, 0x1.8a70eafb884c4p-20, 0x1.8935c056abe8ap-20, 0x1.87f968a36e548p-20, 0x1.86bbebd2e4ae7p-20, 0x1.857d51bdb6a2dp-20, 0x1.843da23d63769p-20, 0x1.82fce5140e3a9p-20, 0x1.81bb21d55c63cp-20, 0x1.807860110e203p-20, 0x1.7f34a754a7c48p-20, 0x1.7df03cb74ad59p-20, 0x1.7caa6e6bcbd7p-20, 0x1.7b63fc896074dp-20, 0x1.7a1cb11770ccbp-20, 0x1.78d493027144cp-20, 0x1.778ba95a5348bp-20, 0x1.7641fb1de0c9cp-20, 0x1.74f78f3892d7fp-20, 0x1.73ac6c6d35532p-20, 0x1.72609524557dfp-20, 0x1.71141db13f58bp-20, 0x1.6fc6ff47bb19fp-20, 0x1.6e79449d47468p-20, 0x1.6d2af45e30e6bp-20, 0x1.6bdc14fd06406p-20, 0x1.6a8cacd8e7e53p-20, 0x1.693cc246deb47p-20, 0x1.67ec5baf01904p-20, 0x1.669b7ea85e80ap-20, 0x1.654a3277b6199p-20, 0x1.63f87bc3fcaeep-20, 0x1.62a66021a4bdfp-20, 0x1.6153e72d354b7p-20, 0x1.600114cd3006ep-20, 0x1.5eadf26424e41p-20, 0x1.5d5a8249412dp-20, }}, 
      {{-0x1.21f367ce3409bp-6, -0x1.134f08eb00e7bp-4, -0x1.1faf5dd4675b3p-3, -0x1.d35be85292e86p-3, -0x1.497438a4f026fp-2, -0x1.a7b7dffbd5666p-2, -0x1.feb7d32aa44c3p-2, -0x1.252c8077288a9p-1, -0x1.43fb2c436e44fp-1, -0x1.5b1195808ea79p-1, -0x1.6a3629aa453f4p-1, -0x1.718f158d0628bp-1, -0x1.7188e68b9e7c7p-1, -0x1.6ac123cb6784dp-1, -0x1.5df4b005d3ac8p-1, -0x1.4bf192d97d11fp-1, -0x1.358bc68a5b479p-1, -0x1.1b94a97be0891p-1, -0x1.fda962f44cb73p-2, -0x1.c00e048de2bf3p-2, -0x1.7fad1fd8e832p-2, -0x1.3db8ff22e1e25p-2, -0x1.f67e0a794574ap-3, -0x1.724fc3f9a9375p-3, -0x1.e0e37f5cfc202p-4, -0x1.c8afac806f0cap-5, 0x1.ddd4ff5f2d507p-9, 0x1.ee95cd3d6f235p-5, 0x1.d37bc15dd7167p-4, 0x1.514c2be2b6bcfp-3, 0x1.b202694ab518ap-3, 0x1.05d9f3192b175p-2, 0x1.2f281f410d8bdp-2, 0x1.54ef6cd391f8ep-2, 0x1.773d6800137edp-2, 0x1.96279c549713ap-2, 0x1.b1c9eed578204p-2, 0x1.ca4529b2a4ec7p-2, 0x1.dfbdb7bc75afp-2, 0x1.f25a8d1b40e8bp-2, 0x1.01221cf8cc502p-1, 0x1.07d2119017a4p-1, 0x1.0d51eeaaa68b7p-1, 0x1.11b6534e4c376p-1, 0x1.15137d5472651p-1, 0x1.177d1f1c46863p-1, 0x1.19063f226a9c7p-1, 0x1.19c120076af8cp-1, 0x1.19bf2fb814952p-1, 0x1.1910fc8d71771p-1, 0x1.17c62f59ab13ap-1, 0x1.15ed8977f094ap-1, 0x1.1394e615b5a5fp-1, 0x1.10c93e0b46492p-1, 0x1.0d96adb1b3f0cp-1, 0x1.0a087c3ad49cfp-1, 0x1.062924227925fp-1, 0x1.02025c609de7bp-1, 0x1.fb3a4423a221bp-2, 0x1.f20384bb84ca4p-2, 0x1.e86fc8d46c6c8p-2, 0x1.de8d2670cb781p-2, 0x1.d4688e9e00548p-2, 0x1.ca0de03c343f7p-2, 0x1.bf87fa1698efap-2, 0x1.b4e0cc3a06ea1p-2, 0x1.aa21687a54995p-2, 0x1.9f52121d19ed5p-2, 0x1.947a4ca9e478ap-2, 0x1.89a0e9dbd3d3fp-2, 0x1.7ecc16bbdb9c5p-2, 0x1.740167e8dde64p-2, 0x1.6945e51401c85p-2, 0x1.5e9e13bbdb9efp-2, 0x1.540e012d649b5p-2, 0x1.49994bd7b77fap-2, 0x1.3f432bf6f3987p-2, 0x1.350e7ba78ed3ap-2, 0x1.2afdbe616383bp-2, 0x1.211327efb47ap-2, 0x1.1750a2e1749aep-2, 0x1.0db7d688849d9p-2, 0x1.044a2c8139e43p-2, 0x1.f611abb235772p-3, 0x1.e3e99f97192b4p-3, 0x1.d21dd05bfcc31p-3, 0x1.c0af82f70adafp-3, 0x1.af9fad44381c6p-3, 0x1.9eeefce5cf9d5p-3, 0x1.8e9dddd3504b1p-3, 0x1.7eac8029939f8p-3, 0x1.6f1addd65b9dp-3, 0x1.5fe8bf813221dp-3, 0x1.5115c169a08f5p-3, 0x1.42a1579d50f54p-3, 0x1.348ad20940514p-3, 0x1.26d160392d9f1p-3, 0x1.197414987961ep-3, 0x1.0c71e7dd59f6ep-3, 0x1.ff9377457c363p-4, 0x1.e6f4bab0c0e2cp-4, 0x1.cf051145bfc49p-4, 0x1.b7c1d304cd5a5p-4, 0x1.a1283d81fc3ecp-4, 0x1.8b3576ef09cedp-4, 0x1.75e6923bb8e4cp-4, 0x1.61389264913e6p-4, 0x1.4d286cb72306dp-4, 0x1.39b30c9510c9fp-4, 0x1.26d555650970fp-4, 0x1.148c248556b03p-4, 0x1.02d454865c2fap-4, 0x1.e3557c108dc13p-5, 0x1.c218734ac3a0fp-5, 0x1.a1eb44c194e92p-5, 0x1.82c7ac272000ap-5, 0x1.64a76dd91ba7cp-5, 0x1.47845b08e4bb5p-5, 0x1.2b5851a42a5c9p-5, 0x1.101d3e8bd345fp-5, 0x1.eb9a42cd2b1eep-6, 0x1.b8c417d9c1e64p-6, 0x1.87ac45ef335d9p-6, 0x1.5847444a696ebp-6, 0x1.2a89b714e9161p-6, 0x1.fcd0dbbbbf792p-7, 0x1.a7b0d3e65959ep-7, 0x1.559dc060cfa44p-7, 0x1.06826a9292dbcp-7, 0x1.749401b98919cp-8, 0x1.c3807e173b0bap-9, 0x1.51865be8e771bp-10, -0x1.9d7916fb46cdep-11, -0x1.6d3082b493ee9p-9, -0x1.347f3a2179d77p-8, -0x1.ad88b436f354p-8, -0x1.10ec43b0bad8fp-7, -0x1.48c8d818c8b28p-7, -0x1.7e6b2aa60ce9fp-7, -0x1.b1e3e9ee8c64ap-7, -0x1.e3435e00a53d1p-7, -0x1.094cb26fb03a6p-6, -0x1.1ffabb6f5227fp-6, -0x1.35b355f2d27bp-6, -0x1.4a7ddcd981cb6p-6, -0x1.5e6178d709577p-6, -0x1.716522b5d742dp-6, -0x1.838fa5e242e1ep-6, -0x1.94e7a011b1539p-6, -0x1.a573805274c7p-6, -0x1.b53988c2804b6p-6, -0x1.c43fd175e5c0cp-6, -0x1.d28c48880a395p-6, -0x1.e024b18f4f364p-6, -0x1.ed0ea65eff198p-6, -0x1.f94f99b450fc5p-6, -0x1.02766c3b9a9d6p-5, -0x1.07f5c4a6569ffp-5, -0x1.0d285654e0134p-5, -0x1.12108f5df4793p-5, -0x1.16b0ccb06cf9bp-5, -0x1.1b0b5a4f2e4aap-5, -0x1.1f227324c205dp-5, -0x1.22f84166ec339p-5, -0x1.268edf8f91d65p-5, -0x1.29e8590fd0f7dp-5, -0x1.2d06aa64da218p-5, -0x1.2febc10cc7bdap-5, -0x1.32997c0720891p-5, -0x1.3511acae9deaap-5, -0x1.3756174089bd8p-5, -0x1.396872f11f1b1p-5, -0x1.3b4a69f08244ep-5, -0x1.3cfd99e2a4acep-5, -0x1.3e8394945a7abp-5, -0x1.3fdde0712d0d7p-5, -0x1.410df8a2d3da5p-5, -0x1.42154d1e29f54p-5, -0x1.42f542fbc2bf1p-5, -0x1.43af3509d7f58p-5, -0x1.4444743c20a17p-5, -0x1.44b647de995dp-5, -0x1.4505eda7e14f6p-5, -0x1.453499ed7fd9p-5, -0x1.45437810707d7p-5, -0x1.4533aae76771cp-5, -0x1.45064d023be5ap-5, -0x1.44bc70caa70b2p-5, -0x1.4457209fd888fp-5, -0x1.43d75f17acc28p-5, -0x1.433e2759fbeecp-5, -0x1.428c6d6c6daa5p-5, -0x1.41c31e63dab5cp-5, -0x1.40e320800d63ap-5, -0x1.3fed5349f399fp-5, -0x1.3ee28fcf57d6cp-5, -0x1.3dc3a8eaeb134p-5, -0x1.3c916b7dfe8ep-5, -0x1.3b4c9e98cfd96p-5, -0x1.39f60394aeaf7p-5, -0x1.388e562f96abbp-5, -0x1.37164cbbe6402p-5, -0x1.358e985873577p-5, -0x1.33f7e51ea7559p-5, -0x1.3252da46231b3p-5, -0x1.30a01a3f3c75p-5, -0x1.2ee042ca2bf3fp-5, -0x1.2d13ed18f97c3p-5, -0x1.2b3badfaaad92p-5, -0x1.295816021049bp-5, -0x1.2769b1a5b1d4ap-5, -0x1.2571095a64a54p-5, -0x1.236ea1a8350cap-5, -0x1.2162fb40cf519p-5, -0x1.1f4e931e9b523p-5, -0x1.1d31e2a5cbc38p-5, -0x1.1b0d5fc098b62p-5, -0x1.18e17cf7adf5fp-5, -0x1.16aea987204e1p-5, -0x1.147551700900ep-5, -0x1.1235dd8c4bc23p-5, -0x1.0ff0b3a7d88bep-5, -0x1.0da63699b9064p-5, -0x1.0b56c659700dcp-5, -0x1.0902c012491a5p-5, -0x1.06aa7e34df4f8p-5, -0x1.044e588671999p-5, -0x1.01eea430c16a8p-5, -0x1.ff1767aa697d1p-6, -0x1.fa4baf40753f4p-6, -0x1.f57abab49364p-6, -0x1.f0a520ef058dbp-6, -0x1.ebcb744d459ebp-6, -0x1.e6ee42bd4f3a9p-6, -0x1.e20e15d679cfcp-6, -0x1.dd2b72f18f018p-6, -0x1.d846db4f71e85p-6, -0x1.d360cc2e9576ap-6, -0x1.ce79bee6cbadp-6, -0x1.c992290244efep-6, -0x1.c4aa7c54b0dafp-6, -0x1.bfc327108b20bp-6, -0x1.badc93dbe09aep-6, -0x1.b5f729e737d1fp-6, -0x1.b1134d054e08cp-6, -0x1.ac315dc0f0d91p-6, -0x1.a751b9711d319p-6, -0x1.a274ba4c8654ap-6, -0x1.9d9ab77c988c3p-6, -0x1.98c4052f4ebp-6, -0x1.93f0f4a848447p-6, -0x1.8f21d452d52fdp-6, -0x1.8a56efd482365p-6, -0x1.8590901e919c9p-6, -0x1.80cefb7e48ba4p-6, -0x1.7c1275accad81p-6, -0x1.775b3fded0df7p-6, -0x1.72a998d3a7f7cp-6, -0x1.6dfdbce36c83dp-6, -0x1.6957e60d1db71p-6, -0x1.64b84c054e177p-6, -0x1.601f24448b837p-6, -0x1.5b8ca2150c0afp-6, -0x1.5700f69fc4306p-6, -0x1.527c50f93e89ap-6, -0x1.4dfede2e36dc4p-6, -0x1.4988c94fc11e1p-6, -0x1.451a3b7ef27ffp-6, -0x1.40b35bf8885c1p-6, -0x1.3c545020c607bp-6, -0x1.37fd3b8f16d47p-6, -0x1.33ae401921ec7p-6, -0x1.2f677ddd72849p-6, -0x1.2b29134df68a6p-6, -0x1.26f31d3a5da72p-6, -0x1.22c5b6da464cfp-6, -0x1.1ea0f9d713821p-6, -0x1.1a84fe558f4d5p-6, -0x1.1671daff88e9fp-6, -0x1.1267a50d5789fp-6, -0x1.0e66704f0d94p-6, -0x1.0a6e4f3571794p-6, -0x1.067f52dabd8bap-6, -0x1.02998b0b55fa6p-6, -0x1.fd7a0c9c98478p-7, -0x1.f5d3a3db641a6p-7, -0x1.ee3ff3fd50627p-7, -0x1.e6bf12d29fb77p-7, -0x1.df5113e16b914p-7, -0x1.d7f6087553854p-7, -0x1.d0adffae785f4p-7, -0x1.c9790690ae1d5p-7, -0x1.c2572811f9c6dp-7, -0x1.bb486d288af8bp-7, -0x1.b44cdcd90cb2fp-7, -0x1.ad647c4463c9p-7, -0x1.a68f4eb53aa6ep-7, -0x1.9fcd55ad49892p-7, -0x1.991e90f27fbe3p-7, -0x1.9282fe9bf604bp-7, -0x1.8bfa9b1e856e9p-7, -0x1.8585615920582p-7, -0x1.7f234aa0df5f6p-7, -0x1.78d44ecce6f2cp-7, -0x1.7298644230bafp-7, -0x1.6c6f7fff17178p-7, -0x1.665995a6bd6c4p-7, -0x1.6056978c1cf45p-7, -0x1.5a6676bce48b8p-7, -0x1.5489230c25cdep-7, -0x1.4ebe8b1cd0f46p-7, -0x1.49069c6c0ab2ep-7, -0x1.4361435b3ecf4p-7, -0x1.3dce6b3a21b1bp-7, -0x1.384dfe50690e2p-7, -0x1.32dfe5e765decp-7, -0x1.2d840a5368785p-7, -0x1.283a52fcf337cp-7, -0x1.2302a669bf72ap-7, -0x1.1ddcea458e0cfp-7, -0x1.18c9036adf019p-7, -0x1.13c6d5eb7ac1cp-7, -0x1.0ed64518d81c8p-7, -0x1.09f7338c48973p-7, -0x1.0529832f0442ep-7, -0x1.006d1541fae1bp-7, -0x1.f78394cb0eb43p-8, -0x1.ee4f0541efebcp-8, -0x1.e53c3ad3e9b2cp-8, -0x1.dc4af35780f6fp-8, -0x1.d37aeb9ca70c1p-8, -0x1.cacbdf7a999a6p-8, -0x1.c23d89dd7f8fep-8, -0x1.b9cfa4d3aa069p-8, -0x1.b181e99a95458p-8, -0x1.a95410ab903fbp-8, -0x1.a145d1c81e8cbp-8, -0x1.9956e4061b0c6p-8, -0x1.9186fddb8f632p-8, -0x1.89d5d52a4bd91p-8, -0x1.82431f4b3e343p-8, -0x1.7ace911984745p-8, -0x1.7377defd37803p-8, -0x1.6c3ebcf5e7db1p-8, -0x1.6522dea4e32ecp-8, -0x1.5e23f7572eaep-8, -0x1.5741ba0f3968dp-8, -0x1.507bd98e626fp-8, -0x1.49d2085e2601p-8, -0x1.4343f8d930db3p-8, -0x1.3cd15d341d5fep-8, -0x1.3679e7860d917p-8, -0x1.303d49d0f99dep-8, -0x1.2a1b3609c545fp-8, -0x1.24135e201d413p-8, -0x1.1e25740602b97p-8, -0x1.185129b71d11ap-8, -0x1.1296313fd049ap-8, -0x1.0cf43cc424efbp-8, -0x1.076afe8680387p-8, -0x1.01fa28ee3db0bp-8, -0x1.f942dd1c57521p-9, -0x1.eec10455a20d6p-9, -0x1.e46e2d812209ap-9, -0x1.da49bf1301fcbp-9, -0x1.d0532005decedp-9, -0x1.c689b7e5279a4p-9, -0x1.bceceed6d7089p-9, -0x1.b37c2da4aa154p-9, -0x1.aa36ddc52275bp-9, -0x1.a11c69645fe89p-9, -0x1.982c3b6d3c835p-9, -0x1.8f65bf9298d8dp-9, -0x1.86c86258e18c8p-9, -0x1.7e53911f5157p-9, -0x1.7606ba28e31afp-9, -0x1.6de14ca41cfd1p-9, -0x1.65e2b8b1c202fp-9, -0x1.5e0a6f6a2589cp-9, -0x1.5657e2e13e6cp-9, -0x1.4eca862a342b7p-9, -0x1.4761cd5aea6aap-9, -0x1.401d2d905e61dp-9, -0x1.38fc1cf45e8a2p-9, -0x1.31fe12c4c628dp-9, -0x1.2b22875bec389p-9, -0x1.2468f4397056ep-9, -0x1.1dd0d40a52fbdp-9, -0x1.1759a2aefec64p-9, -0x1.1102dd3e81c4cp-9, -0x1.0acc020683539p-9, -0x1.04b490887d1bp-9, -0x1.fd7812eb208acp-10, -0x1.f1c3dd55698dbp-10, -0x1.e64b865e99262p-10, -0x1.db0e166f72289p-10, -0x1.d00a98595cb68p-10, -0x1.c540196d0ca09p-10, -0x1.baada995ed633p-10, -0x1.b0525b742ffafp-10, -0x1.a62d446f5eb22p-10, -0x1.9c3d7cbb772bbp-10, -0x1.92821f4dffe77p-10, -0x1.88fa49c3572c2p-10, -0x1.7fa51c394d806p-10, -0x1.7681b92793f1ep-10, -0x1.6d8f454026ff5p-10, -0x1.64cce761ff9f2p-10, -0x1.5c39c8a46f729p-10, -0x1.53d5147d0225ep-10, -0x1.4b9df8fb3728fp-10, -0x1.4393a70e6d3dbp-10, -0x1.3bb552c6fe4a9p-10, -0x1.3402338179d3p-10, -0x1.2c7983eddff21p-10, -0x1.251a81eaedb82p-10, -0x1.1de46e36b50b1p-10, -0x1.16d68bffc6d91p-10, -0x1.0ff0206ac0ea3p-10, -0x1.09307225e6b27p-10, -0x1.0296c9247e867p-10, -0x1.f844dd2c5eb47p-11, -0x1.eba55a48c3675p-11, -0x1.df4da2e2f6531p-11, -0x1.d33c558e30b35p-11, -0x1.c77017a8841bbp-11, -0x1.bbe796aaffe64p-11, -0x1.b0a189015d87dp-11, -0x1.a59cae2da42dep-11, -0x1.9ad7ce19f1d2ep-11, -0x1.9051b7a10203cp-11, -0x1.86093e7fca4afp-11, -0x1.7bfd3904cc97bp-11, -0x1.722c7de6a3196p-11, -0x1.6895e2adb9373p-11, -0x1.5f383b09feb15p-11, -0x1.561259483dbd1p-11, -0x1.4d230fe8c2332p-11, -0x1.44693423927acp-11, -0x1.3be3a0f7b1878p-11, -0x1.33913a41ccaeep-11, -0x1.2b70ef4d73d5fp-11, -0x1.2381bc6107adep-11, -0x1.1bc2aaeb34dc5p-11, -0x1.1432d030e9101p-11, -0x1.0cd14a9c43897p-11, -0x1.059d3e0cdf5b3p-11, -0x1.fd2b9f74ede96p-12, -0x1.ef7444a85ac4ep-12, -0x1.e212a60417ee3p-12, -0x1.d504ef9a3402ep-12, -0x1.c8493f730c342p-12, -0x1.bbdda937560fdp-12, -0x1.afc03cd1e8722p-12, -0x1.a3ef0f14afdffp-12, -0x1.986843145a2afp-12, -0x1.8d2a12c840842p-12, -0x1.8232d58d79241p-12, -0x1.77810376c27d9p-12, -0x1.6d1334cfaf7f8p-12, -0x1.62e81dd6f0fe1p-12, -0x1.58fe87519d08p-12, -0x1.4f55451dba923p-12, -0x1.45eb2c35c512ap-12, -0x1.3cbf099eca4fp-12, -0x1.33cf9b84c3f14p-12, -0x1.2b1b8d69652e4p-12, -0x1.22a177d22df59p-12, -0x1.1a5fe36b6c737p-12, -0x1.12554f238fa51p-12, -0x1.0a80385d61062p-12, -0x1.02df240b9fe61p-12, -0x1.f6e14ec97a781p-13, -0x1.e866ddd8ad38cp-13, -0x1.da4c85b2d505cp-13, -0x1.cc9010a796a76p-13, -0x1.bf2f7f0f3843cp-13, -0x1.b228fe1bad6d8p-13, -0x1.a57adaf748901p-13, -0x1.99237427a65a5p-13, -0x1.8d212b1d875bbp-13, -0x1.817257970559ap-13, -0x1.76153e27c42a2p-13, -0x1.6b080ae26695fp-13, -0x1.6048d0b278c34p-13, -0x1.55d58d53875p-13, -0x1.4bac30f93c96ep-13, -0x1.41caa80b1252ap-13, -0x1.382ee4f6028e7p-13, -0x1.2ed6e889d8e5p-13, -0x1.25c0c832243e1p-13, -0x1.1ceab24a261b3p-13, -0x1.1452f1364c0ccp-13, -0x1.0bf7ed9996af9p-13, -0x1.03d82f423b979p-13, -0x1.f7e4b78f8ed09p-14, -0x1.e88a63ce01d92p-14, -0x1.d99f030ba679cp-14, -0x1.cb204352878ecp-14, -0x1.bd0bcdb24d655p-14, -0x1.af5f39832d787p-14, -0x1.a21809eb7b81ap-14, -0x1.9533b57907488p-14, -0x1.88afb3349dc93p-14, -0x1.7c8985da9bc1dp-14, -0x1.70bebe9c193ebp-14, -0x1.654cf510e242cp-14, -0x1.5a31b847e9aefp-14, -0x1.4f6a820795748p-14, -0x1.44f4b6307eb5p-14, -0x1.3acdb38b5eb7fp-14, -0x1.30f2f2b8e5505p-14, -0x1.276227d1411d9p-14, -0x1.1e19580c835e8p-14, -0x1.1516d8d658d18p-14, -0x1.0c59376b52f32p-14, -0x1.03df12e06ba7dp-14, -0x1.f74df11520ef2p-15, -0x1.e75ea1e03176dp-15, -0x1.d7ecc5cf7ff45p-15, -0x1.c8f4d0446a20fp-15, -0x1.ba734f026cd3cp-15, -0x1.ac65111054b2cp-15, -0x1.9ec72ddcdcae8p-15, -0x1.9196e764a1402p-15, -0x1.84d170e03da1dp-15, -0x1.7873b143434b7p-15, -0x1.6c7a1fbd30e24p-15, -0x1.60e0d25ac0356p-15, -0x1.55a3c301702b4p-15, -0x1.4abf34c4e431cp-15, -0x1.403010742dba5p-15, -0x1.35f40eabc37bfp-15, -0x1.2c099b9bfec31p-15, -0x1.226f836a8d6adp-15, -0x1.1924921d2166dp-15, -0x1.1027543e73df5p-15, -0x1.07760bead4e2ep-15, -0x1.fe1d99260ddbdp-16, -0x1.eddf3db83bea3p-16, -0x1.de2d29f41dd4p-16, -0x1.cf039215e3aedp-16, -0x1.c05e96f5138edp-16, -0x1.b23a1891524e3p-16, -0x1.a491943efc58dp-16, -0x1.97601bc77d418p-16, -0x1.8aa066d80069ep-16, -0x1.7e4cfdb4d5a8p-16, -0x1.7260827d73995p-16, -0x1.66d618dcf4288p-16, -0x1.5ba9d17f5c917p-16, -0x1.50d8e582d0f82p-16, -0x1.46619500036f5p-16, -0x1.3c42a9fbdc79p-16, -0x1.327add68cd9bap-16, -0x1.2908780127d5ep-16, -0x1.1fe960d1f3c58p-16, -0x1.171b78ac3a1b6p-16, -0x1.0e9cf29834e7fp-16, -0x1.066c735df9511p-16, -0x1.fd11e3376f826p-17, -0x1.ede2c12a44d4ep-17, -0x1.df4877033ae1fp-17, -0x1.d13e51a579a62p-17, -0x1.c3bde6e830cd5p-17, -0x1.b6bfb98e9fab3p-17, -0x1.aa3c0ce71c2e3p-17, -0x1.9e2b65ea8e0bdp-17, -0x1.9286b353caf33p-17, -0x1.87477bf8638ccp-17, -0x1.7c6851a9460c3p-17, -0x1.71e54ae807aecp-17, -0x1.67bc11d5bef1fp-17, -0x1.5deb6c5086658p-17, -0x1.5472826870352p-17, -0x1.4b5033d044f87p-17, -0x1.4282b49fece24p-17, -0x1.3a0786309d7aep-17, -0x1.31dbbc84ac0ap-17, -0x1.29fc94437edc1p-17, -0x1.226848888c046p-17, -0x1.1b1e7605493e6p-17, -0x1.141f4066e0e82p-17, -0x1.0d69b77ec3452p-17, -0x1.06faf8e2d860fp-17, -0x1.00ceb8ff0bd4cp-17, -0x1.f5c107326c31ep-18, -0x1.ea597dbe77e8dp-18, -0x1.df6206573d5bap-18, -0x1.d4d7953d438dfp-18, -0x1.cab76713a3098p-18, -0x1.c0fd821ce1c84p-18, -0x1.b7a4133d2b9fep-18, -0x1.aea3cbe2e32d1p-18, -0x1.a5f4bb9a3497ap-18, -0x1.9d8fba84583adp-18, -0x1.9570bddf5425bp-18, -0x1.8d987693602efp-18, -0x1.860a99f4d722cp-18, -0x1.7ec94c232b3cdp-18, -0x1.77d1c841c066ep-18, -0x1.711dec0ab9c65p-18, -0x1.6aa9529f652c8p-18, -0x1.6474134c04001p-18, -0x1.5e801e9f3d534p-18, -0x1.58cd203f8f9f6p-18, -0x1.53575d02c92f5p-18, -0x1.4e19532e63164p-18, -0x1.490db0d24ef24p-18, -0x1.44305735f359dp-18, -0x1.3f7e8ebea5ee5p-18, -0x1.3af6f859f860cp-18, -0x1.369977185f593p-18, -0x1.3266df305ee6cp-18, -0x1.2e6032a978042p-18, -0x1.2a85af849558fp-18, -0x1.26d62fb7c48c2p-18, -0x1.234e9050c0b1ep-18, -0x1.1fe8d6aabff06p-18, -0x1.1c9d6e0a7e2dap-18, -0x1.19680bb08527dp-18, -0x1.164a9343a6be9p-18, -0x1.1348d61d4da6ap-18, -0x1.1062eb058ab97p-18, -0x1.0d960f199fc92p-18, -0x1.0ae14aff5d88ep-18, -0x1.08458c255c879p-18, -0x1.05c27b6a66c54p-18, -0x1.035687f377247p-18, -0x1.010081e36cdp-18, -0x1.fd7e9693f1cc1p-19, -0x1.f9223f468489bp-19, -0x1.f4e7eb15d2514p-19, -0x1.f0cc4d7e6560cp-19, -0x1.eccd32bcb1a8ap-19, -0x1.e8e938af6ff72p-19, -0x1.e51fadeb0c9f1p-19, -0x1.e170a80fd17dcp-19, -0x1.dddcd694fc217p-19, -0x1.da64bd2f2bc25p-19, -0x1.d707f9295e35fp-19, -0x1.d3c5c3bac055ap-19, -0x1.d09d8ee9f45bcp-19, -0x1.cd8ccb08003b4p-19, -0x1.ca8e4a3872bdap-19, -0x1.c7a11c67bdee9p-19, -0x1.c4c90aa513e7ap-19, -0x1.c202ccb4b00ebp-19, -0x1.bf4474fecf0a1p-19, -0x1.bc8d24406af6ep-19, -0x1.b9e5b9b913e5ep-19, -0x1.b752086f5fe9dp-19, -0x1.b4cd1da626526p-19, -0x1.b2518ff051c6ap-19, -0x1.afdf741b78b52p-19, -0x1.ad7960cf2dd7ep-19, -0x1.ab1f6bf563a7bp-19, -0x1.a8cf651bf2897p-19, -0x1.a68756246ff74p-19, -0x1.a4465f4575c2bp-19, -0x1.a20c40bbbd1d8p-19, -0x1.9fd8d5ecb2658p-19, -0x1.9dabe843995afp-19, -0x1.9b854a9afc648p-19, -0x1.9964f1638dab8p-19, -0x1.974adc7727f14p-19, -0x1.9536b0567edd5p-19, -0x1.9327b2e06555ap-19, -0x1.911e0382ec31dp-19, -0x1.8f1acf7eb1796p-19, -0x1.8d1cd9ce6ed8dp-19, -0x1.8b21a1759d342p-19, -0x1.892af19b204d3p-19, -0x1.8738d4eeb258p-19, -0x1.85493f483b6d6p-19, -0x1.835e471dc03dp-19, -0x1.81772f8d7e422p-19, -0x1.7f912180dc242p-19, -0x1.7dacff020c7d5p-19, -0x1.7bcb2e76865e1p-19, -0x1.79e9bf1e61c7p-19, -0x1.780971c76fe64p-19, -0x1.762cb71cf7a47p-19, -0x1.74534db7bf271p-19, -0x1.727b90a17acadp-19, -0x1.70a4ae2d3c273p-19, -0x1.6ecea5890ce1bp-19, -0x1.6cf9af45c1412p-19, -0x1.6b25f1e92e28ep-19, -0x1.695370ff6f442p-19, -0x1.67821317becf4p-19, -0x1.65b1b3cde7399p-19, -0x1.63e23d2c99cbbp-19, -0x1.6213ac5f2a7fcp-19, -0x1.6045defe1d34cp-19, -0x1.5e7883f19889bp-19, -0x1.5cabfd33e9fe3p-19, -0x1.5ae1ed3a1a722p-19, -0x1.5919e50278f79p-19, -0x1.5751515cd8366p-19, -0x1.5587f69160713p-19, -0x1.53bdc2bf492d7p-19, -0x1.51f546d212193p-19, -0x1.502f24fc534acp-19, -0x1.4e6a627e3f3b7p-19, -0x1.4ca6aa2449b2ep-19, -0x1.4ae2c4cb86abp-19, -0x1.491e898b88279p-19, -0x1.475a4c403265dp-19, -0x1.45959302b9d6cp-19, -0x1.43d1f35275c02p-19, -0x1.4210036d9705dp-19, -0x1.404eaa2d80bcap-19, -0x1.3e8d64b1095fbp-19, -0x1.3ccc4be3091e3p-19, -0x1.3b0b8f702f604p-19, -0x1.394b4e5c4eff2p-19, -0x1.378b99defdc62p-19, -0x1.35cc723d4f37dp-19, -0x1.340dd11af3e98p-19, -0x1.324faa7679cc8p-19, -0x1.3091f404a6b1dp-19, -0x1.2ed4b156d6932p-19, -0x1.2d17ec7d00e79p-19, -0x1.2b5b9bf6dfe8bp-19, -0x1.299fa7a5133e8p-19, -0x1.27e4659098b15p-19, -0x1.262ab11083b9cp-19, -0x1.247192b6abd6p-19, -0x1.22b7c80bab32dp-19, -0x1.20fe238b70877p-19, -0x1.1f45fa22ba212p-19, -0x1.1d8e7757f6618p-19, -0x1.1bd72065d755p-19, -0x1.1a2014bef7f88p-19, -0x1.1869c33f19979p-19, -0x1.16b4d7faa092ep-19, -0x1.1500c2c9c3cb9p-19, -0x1.134c883854578p-19, -0x1.11982ec50bae2p-19, -0x1.0fe4c8edcbf6ap-19, -0x1.0e329231e8eb7p-19, -0x1.0c80da5944d2cp-19, -0x1.0acf841fce02fp-19, -0x1.091ead2681395p-19, -0x1.076e68b684d5fp-19, -0x1.05bebecb2b223p-19, -0x1.040fb27fe1b0ap-19, -0x1.02614462d10c7p-19, -0x1.00b372be1b437p-19, -0x1.fe0c74012e2cfp-20, -0x1.fab32b69223dbp-20, -0x1.f75b0462a3849p-20, -0x1.f403ffc5d3dccp-20, -0x1.f0ae2b6af1709p-20, -0x1.ed5991e6d0a15p-20, -0x1.ea0618b08e41fp-20, -0x1.e6b392cd73ad8p-20, -0x1.e362979e7f133p-20, -0x1.e0132d0def3f4p-20, -0x1.dcc3dd8ad2d6cp-20, -0x1.d9762e3539927p-20, -0x1.d629f6d12f78cp-20, -0x1.d2de8b6478542p-20, -0x1.cf940a2c49ffep-20, -0x1.cc4a8e4cb7076p-20, -0x1.c90219d471963p-20, -0x1.c5ba9b0b87e2ep-20, -0x1.c2743e2d29206p-20, -0x1.bf2fa94ed5e53p-20, -0x1.bbebec94dda72p-20, -0x1.b8a8503cbe788p-20, -0x1.b56645d6639dcp-20, -0x1.b22575f2e1241p-20, -0x1.aee55e26d1d8cp-20, -0x1.aba6194116766p-20, -0x1.a867bd00e3a88p-20, -0x1.a52a4ca435f33p-20, -0x1.a1edc57e40b4ap-20, -0x1.9eb223db607cdp-20, -0x1.9b7763a85c40dp-20, -0x1.983d7ff94b4b2p-20, -0x1.95047303766a3p-20, -0x1.91cc368e2650cp-20, -0x1.8e94c429f739ep-20, -0x1.8b5e15d49111p-20, -0x1.88282923b8899p-20, -0x1.84f302c4a7fc3p-20, -0x1.81bea6f1ef391p-20, -0x1.7e8b0629d385p-20, -0x1.7b57f6180ef01p-20, -0x1.782589b6bea84p-20, -0x1.74f3f883b4f4bp-20, -0x1.71c3044f44f8ap-20, -0x1.6e92e6b50721fp-20, -0x1.6b6342e1dc3fep-20, -0x1.68342b67782b7p-20, -0x1.6505ab0f8fb95p-20, -0x1.61d7bdd1cb53dp-20, -0x1.5eaa6058601fp-20, -0x1.5b7d945892b69p-20, -0x1.585154d870bdp-20, -0x1.5525854173c9bp-20, -0x1.51fa41813e8fbp-20, -0x1.4ecfafb54542ep-20, -0x1.4ba56e875eeb6p-20, -0x1.487bee5577d09p-20, -0x1.4552c55a81d82p-20, -0x1.4229f5f9e47a6p-20, -0x1.3f0195ebca5efp-20, -0x1.3bd9a8004a729p-20, -0x1.38b229a8d3a35p-20, -0x1.358b1804a7836p-20, -0x1.326470bbecffdp-20, -0x1.2f3e31bfec296p-20, -0x1.2c1858e8d8722p-20, -0x1.28f2e3dd8a6e5p-20, -0x1.25cdd04ed6b8ep-20, -0x1.22a91c0ba2d46p-20, -0x1.1f84c4d497e0dp-20, -0x1.1c60c8bc9ff37p-20, -0x1.193d2850abbap-20, -0x1.1619e80217c42p-20, -0x1.12f70a1f8d2f2p-20, -0x1.0fd487d365f9cp-20, -0x1.0cb24b48df968p-20, -0x1.099044d232e94p-20, -0x1.066ec10fe85ecp-20, -0x1.034dc26082533p-20, -0x1.002cfc385f2ccp-20, -0x1.fa18fdfcb7fb4p-21, -0x1.f3d8b88c0260cp-21, -0x1.ed992ab24c191p-21, -0x1.e75a51cba2ec1p-21, -0x1.e11c2bc642635p-21, -0x1.dadeba7c907adp-21, -0x1.d4a207f3b6b08p-21, -0x1.ce661e870696bp-21, -0x1.c82aedafb1aa4p-21, -0x1.c1f0359ffd874p-21, -0x1.bbb654b2e3746p-21, -0x1.b57db48767bdcp-21, -0x1.af45e4d1e895bp-21, -0x1.a90e9d7bdb908p-21, -0x1.a2d81e94ff844p-21, -0x1.9ca27e10f6bb6p-21, -0x1.966dc0ab241cbp-21, -0x1.9039ea047e28cp-21, -0x1.8a06fec487b3ap-21, -0x1.83d5047d16c4p-21, -0x1.7da4014af7003p-21, -0x1.7773fb717f384p-21, -0x1.7144f93c15812p-21, -0x1.6b17012f8839fp-21, -0x1.64ea1a2936307p-21, -0x1.5ebe4b335e5e2p-21, -0x1.58939b4cf04a3p-21, -0x1.526a11fe1f25bp-21, -0x1.4c41b98d3b0e2p-21, -0x1.461a9eb66cd03p-21, -0x1.3ff4ca79e6082p-21, -0x1.39d041bb4ff59p-21, -0x1.33acfd536c308p-21, -0x1.2d8ae69f9c5bbp-21, -0x1.276a80aa98565p-21, -0x1.214b98bc8ccd7p-21, -0x1.1b2e02f0a5984p-21, -0x1.1511ec260adcbp-21, -0x1.0ef765825e823p-21, -0x1.08de8b0c46542p-21, -0x1.02c752bc4a12fp-21, -0x1.f9637bd0c1606p-22, -0x1.ed3ba2d42a885p-22, -0x1.e1176d226274p-22, -0x1.d4f6eb3cbedap-22, -0x1.c8da23e62659dp-22, -0x1.bcc132480ed9cp-22, -0x1.b0ac10d70c15dp-22, -0x1.a49a97f5d9451p-22, -0x1.988da6e99af87p-22, -0x1.8c852afaa8849p-22, -0x1.8080a52b01929p-22, -0x1.748076278a8c7p-22, -0x1.6884c8d5ecebp-22, -0x1.5c8db5c8d91e1p-22, -0x1.509b5574abcfcp-22, -0x1.44adc169771b6p-22, -0x1.38c513f0b1d0fp-22, -0x1.2ce167bdba64ap-22, -0x1.2102d7b2ad3b9p-22, -0x1.15297ece514e5p-22, -0x1.0955783cb072p-22, -0x1.fb0dbecaaf4c6p-23, -0x1.e37b9fb9d7c69p-23, -0x1.cbf4ca7f8b418p-23, -0x1.b479764b3bf45p-23, -0x1.9d09db383e6dp-23, -0x1.85a634584e48bp-23, -0x1.6e4ebcbb555cbp-23, -0x1.5703ab5a238ep-23, -0x1.3fc537b83a205p-23, -0x1.28938c4b13463p-23, -0x1.116ec45252ce6p-23, -0x1.f4af44e368895p-24, -0x1.c69bc967ea663p-24, -0x1.98a3a254286fcp-24, -0x1.6ac76a1ed16c1p-24, -0x1.3d0792f0474abp-24, -0x1.0f648e99c152fp-24, -0x1.c3bda040bdaeap-25, -0x1.68ed95c1391a6p-25, -0x1.0e59e47b53356p-25, -0x1.6806e73cffd79p-26, -0x1.67aca1e4cae06p-27, -0x1.1e79c25990c66p-37, 0x1.661d9fcf2b47ep-27, 0x1.65bfb45a175e7p-26, 0x1.0bf6833cb2978p-25, 0x1.64ca85918c4d4p-25, 0x1.bd5b39d79c1b9p-25, 0x1.0ad3d748281edp-24, 0x1.36d70925be554p-24, 0x1.62b74ffec1736p-24, 0x1.8e741ce91879p-24, 0x1.ba0cee43426d5p-24, 0x1.e58154c425cc9p-24, 0x1.0868710b7d4d7p-23, 0x1.1dfd93e761316p-23, 0x1.337fdbe476298p-23, 0x1.48ef1247dc371p-23, 0x1.5e4b0051b413p-23, 0x1.73936feeec85cp-23, 0x1.88c82b1ab8cbfp-23, 0x1.9de8fc3adede9p-23, 0x1.b2f5ae0fa9833p-23, 0x1.c7ee0bb704465p-23, 0x1.dcd1e0a5294aep-23, 0x1.f1a0f8a700304p-23, 0x1.032d900965e25p-22, 0x1.0d8011d52eaf5p-22, 0x1.17c7e835eaaacp-22, 0x1.2204f9f4b1437p-22, 0x1.2c372e109b47dp-22, 0x1.365e6b632965ap-22, 0x1.407a9a5f1e6b6p-22, 0x1.4a8ba17aa808fp-22, 0x1.54916910a9a4ap-22, 0x1.5e8bd95305105p-22, 0x1.687ada9f9d8aep-22, 0x1.725e55903fdefp-22, 0x1.7c363307987e4p-22, 0x1.86025c293811ep-22, 0x1.8fc2ba5bac46cp-22, 0x1.9977374a67427p-22, 0x1.a31fbce8a446p-22, 0x1.acbc356ea43f4p-22, 0x1.b64c8b57229d6p-22, 0x1.bfd0a96f55e04p-22, 0x1.c9487b0aabe5ap-22, 0x1.d2b3ea34f06d6p-22, 0x1.dc12e479cb48cp-22, 0x1.e56553bebc3bbp-22, 0x1.eeab25e6200f2p-22, 0x1.f7e4471e41d89p-22, 0x1.008851ef7f66fp-21, 0x1.051813806fb57p-21, 0x1.09a16055879c6p-21, 0x1.0e243141fa758p-21, 0x1.12a079867d403p-21, 0x1.171631b8a3e95p-21, 0x1.1b855160be1cap-21, 0x1.1fedcfed752c8p-21, 0x1.244fa4f9f234cp-21, 0x1.28aac84f58f43p-21, 0x1.2cff31e08c83ap-21, 0x1.314cd9caa13eap-21, 0x1.3593b85408a02p-21, 0x1.39d3c5ec2593dp-21, 0x1.3e0cfb3692af2p-21, 0x1.423f512e41991p-21, 0x1.466ac14e81001p-21, 0x1.4a8f464b6d94bp-21, 0x1.4eacce30caee8p-21, 0x1.52c34bf4b498fp-21, 0x1.56d2f645f9e59p-21, 0x1.5adb7bdb906f4p-21, 0x1.5edcf500235bcp-21, 0x1.62d75bac084bap-21, 0x1.66caa94ed3075p-21, 0x1.6ab6d801056cfp-21, 0x1.6e9be23a0bddfp-21, 0x1.7279c2aa6418p-21, 0x1.7650743153791p-21, 0x1.7a1ff1daf43e7p-21, 0x1.7de836da36bfcp-21, 0x1.81a93e95048eep-21, 0x1.85630491ea006p-21, 0x1.8915848684d2ap-21, 0x1.8cc0ba51070cbp-21, 0x1.9064a1f9e842ep-21, 0x1.940137b38833dp-21, 0x1.979677dd2e2aep-21, 0x1.9b245f001aaddp-21, 0x1.9eaae9f3feb1ap-21, 0x1.a22a16da3bf0ap-21, 0x1.a5a1e3b89ef68p-21, 0x1.a91244c03fca5p-21, 0x1.ac7b33991b01ep-21, 0x1.afdccbe7a7915p-21, 0x1.b336ea15952bdp-21, 0x1.b689adb6c4797p-21, 0x1.b9d4eebee6077p-21, 0x1.bd18bc59d4e39p-21, 0x1.c0551785a56d5p-21, 0x1.c389fd2e0508ep-21, 0x1.c6b76b5321df5p-21, 0x1.c9dd609312fcbp-21, 0x1.ccfbdbccf761cp-21, 0x1.d012dbfc7e946p-21, 0x1.d3225ff015ef2p-21, 0x1.d62a674bf1722p-21, 0x1.d92af2bf0bce2p-21, 0x1.dc24003605a5fp-21, 0x1.df15900937d6p-21, 0x1.e1ffa24f25d2dp-21, 0x1.e4e236d7f9823p-21, 0x1.e7bd4e7274987p-21, 0x1.ea90e8fbd511p-21, 0x1.ed5d071456414p-21, 0x1.f021a973c830cp-21, 0x1.f2ded0e411094p-21, 0x1.f5947e54881dp-21, 0x1.f842b2d92be93p-21, 0x1.fae96fa821856p-21, 0x1.fd88b60fb0c5ep-21, 0x1.0010441520065p-20, 0x1.015873043c1e5p-20, 0x1.029ce980ffb6ep-20, 0x1.03dda82a08d2dp-20, 0x1.051ab0089be7dp-20, 0x1.065402316f922p-20, 0x1.07899fc73698cp-20, 0x1.08bb89fd28722p-20, 0x1.09e9c21724e44p-20, 0x1.0b1449693f3a4p-20, 0x1.0c3b21575dff8p-20, 0x1.0d5e4b5467e5fp-20, 0x1.0e7dc8e2b4e02p-20, 0x1.0f999b94638fep-20, 0x1.10b1c50ab749bp-20, 0x1.11c646f5ab218p-20, 0x1.12d723144f4d9p-20, 0x1.13e45b3497932p-20, 0x1.14edf132edbf6p-20, 0x1.15f3e6f9e3413p-20, 0x1.16f63e82aed4bp-20, 0x1.17f4f9d417cf6p-20, 0x1.18f01b01424bap-20, 0x1.19e7a1d5fd148p-20, 0x1.1adb97798139p-20, 0x1.1bcbf768cf523p-20, 0x1.1cb8c5f683c9fp-20, 0x1.1da2059598e62p-20, 0x1.1e87b8ab536e7p-20, 0x1.1f69e1a9ccd7p-20, 0x1.204883058c009p-20, 0x1.21239f57319d9p-20, 0x1.21fb3925befe9p-20, 0x1.22cf5319e79dp-20, 0x1.239fefe26ec71p-20, 0x1.246d123b46652p-20, 0x1.2536bcec9cdc5p-20, 0x1.25fcf2c7be151p-20, 0x1.26bfb6a80b5c1p-20, 0x1.277f0b77935dp-20, 0x1.283af428d8cc3p-20, 0x1.28f373b850047p-20, 0x1.29a88d2ce712bp-20, 0x1.2a5a439848947p-20, 0x1.2b089a15b92e8p-20, 0x1.2bb393c50b204p-20, 0x1.2c5b33d91a0f5p-20, 0x1.2cff7d9e0584ep-20, 0x1.2da07451af80bp-20, 0x1.2e3e1b20ac7c1p-20, 0x1.2ed8757b29236p-20, 0x1.2f6f86bbd7da7p-20, 0x1.30035249c7ca4p-20, 0x1.3093db9496a8dp-20, 0x1.312126148d8bbp-20, 0x1.31ab354d9d4b6p-20, 0x1.32320cc5afbb3p-20, 0x1.32b5b00f52ee6p-20, 0x1.333622c2f8fdep-20, 0x1.33b36883bf48p-20, 0x1.342d8503d03b2p-20, 0x1.34a47bd3164e3p-20, 0x1.351850c8f286bp-20, 0x1.3589078f63edp-20, 0x1.35f6a3f2eeaep-20, 0x1.366129c0b04d5p-20, 0x1.36c89cb5428b3p-20, 0x1.372d00e113a3p-20, 0x1.378e5a1f9489dp-20, 0x1.37ecac1794032p-20, 0x1.3847faccfd798p-20, 0x1.38a04a34229fp-20, 0x1.38f59e448c555p-20, 0x1.3947fafa5b793p-20, 0x1.3997645713cbfp-20, 0x1.39e3de61b42a2p-20, 0x1.3a2d6d2580688p-20, 0x1.3a7414b248cf1p-20, 0x1.3ab7d91a4e882p-20, 0x1.3af8be73ef5bfp-20, 0x1.3b36c8df761cdp-20, 0x1.3b71fc833fc05p-20, 0x1.3baa5d8b9553cp-20, 0x1.3bdff075df775p-20, 0x1.3c12b9bca73b1p-20, 0x1.3c42bd9f3b9cfp-20, 0x1.3c6fff89677e4p-20, 0x1.3c9a8286ac4a4p-20, 0x1.3cc24acfa3245p-20, 0x1.3ce75e21df04bp-20, 0x1.3d09bd5c37a0cp-20, 0x1.3d2977e9ea03p-20, 0x1.3d46857cb31aap-20, 0x1.3d60edb2e7179p-20, 0x1.3d78ba0019aa5p-20, 0x1.3d8de9c5e6932p-20, 0x1.3da083e707e8cp-20, 0x1.3db0892bdb255p-20, 0x1.3dbe00a345133p-20, 0x1.3dc8ee5246f76p-20, 0x1.3dd156626e0c4p-20, 0x1.3dd73e1eea3c4p-20, 0x1.3ddaa72477054p-20, 0x1.3ddb98b4e9e34p-20, 0x1.3dda16151fdd3p-20, 0x1.3dd623c1a4371p-20, 0x1.3dcfc627a5975p-20, 0x1.3dc701bc5925fp-20, 0x1.3dbbdaf81b168p-20, 0x1.3dae564971a19p-20, 0x1.3d9e7870f94c8p-20, 0x1.3d8c45970a561p-20, 0x1.3d77c1afa6e32p-20, 0x1.3d60f0ef90a62p-20, 0x1.3d47d7b311a9ap-20, 0x1.3d2c7a6520304p-20, 0x1.3d0eddc574781p-20, 0x1.3cef069bdfb32p-20, 0x1.3cccf97b7c214p-20, 0x1.3ca8bac6f32f7p-20, 0x1.3c824ecde732bp-20, 0x1.3c59b9e52bd1ap-20, 0x1.3c2f006994497p-20, 0x1.3c0226bc25363p-20, 0x1.3bd33155f0f4cp-20, 0x1.3ba2248cd57eep-20, 0x1.3b6f04cf4d85ap-20, 0x1.3b39d68543ebap-20, 0x1.3b029e1ed3963p-20, 0x1.3ac95fec3ccdcp-20, 0x1.3a8e206800903p-20, 0x1.3a50e3eda3c1ep-20, 0x1.3a11aede163e3p-20, 0x1.39d08599a79edp-20, 0x1.398d6c7fe5ccbp-20, 0x1.394867eb6019bp-20, 0x1.39017c169631ap-20, 0x1.38b8adbbfa409p-20, 0x1.386e00ef2ac69p-20, 0x1.38217b1c605bdp-20, 0x1.37d31d4af1c7fp-20, 0x1.3782ef26c4fb5p-20, 0x1.3730f3e474f0ep-20, 0x1.36dd2fd070438p-20, 0x1.3687a7367776dp-20, 0x1.36305e5fbb0b3p-20, 0x1.35d7599372864p-20, 0x1.357c9d1860fbbp-20, 0x1.35202d9e39b87p-20, 0x1.34c20e0f7d8bep-20, 0x1.346243fbbe564p-20, 0x1.3400d32ff2682p-20, 0x1.339dbfe436611p-20, 0x1.33390e4ba970cp-20, 0x1.32d2c297415fcp-20, 0x1.326ae0f590ea7p-20, 0x1.32016d8f9c189p-20, 0x1.31966c97f7cp-20, 0x1.3129e228a9d53p-20, 0x1.30bbd26e06eccp-20, 0x1.304c418a3a9d9p-20, 0x1.2fdb338962a36p-20, 0x1.2f68ac4cc74a1p-20, 0x1.2ef4b09a90561p-20, 0x1.2e7f43f20d6bep-20, }}, 
      {{0x1.528fb8364ee93p-3, 0x1.35c74f25eb656p-2, 0x1.9a78064908ca3p-2, 0x1.d73a10623904p-2, 0x1.f12d209aed88ap-2, 0x1.ef78bf797264bp-2, 0x1.d982ebeb2bed6p-2, 0x1.b6072fc12d3cfp-2, 0x1.8ab27ec9c717cp-2, 0x1.5c0a10241f9dfp-2, 0x1.2d79cddcd1ea5p-2, 0x1.01755c1057d3ap-2, 0x1.b33f8d4e36455p-3, 0x1.6de6bd05db087p-3, 0x1.33ccfbe601b81p-3, 0x1.05178bc1c18a8p-3, 0x1.c2b5ca9d373bp-4, 0x1.8f8fb9719538cp-4, 0x1.6ea0078d9c44ep-4, 0x1.5d848b7b3108fp-4, 0x1.59c19266b9aep-4, 0x1.60e24a16c0994p-4, 0x1.708fc6256c6ffp-4, 0x1.86a06ac4762f1p-4, 0x1.a12151170ef5bp-4, 0x1.be5b0298096aep-4, 0x1.dcd2b40f666dp-4, 0x1.fb48f611b0529p-4, 0x1.0c5b518655146p-3, 0x1.1a24559872396p-3, 0x1.26ad9cd7fe715p-3, 0x1.31ba4716fb7b7p-3, 0x1.3b1fe5e083a92p-3, 0x1.42c3f5ba8c3c2p-3, 0x1.4899789190b81p-3, 0x1.4c9ebae528e11p-3, 0x1.4edb49eaad956p-3, 0x1.4f5e1e1b973e2p-3, 0x1.4e3bfad3dcd71p-3, 0x1.4b8e01e89a8f3p-3, 0x1.4770790c4cc3p-3, 0x1.4201bdf21df8cp-3, 0x1.3b616532ec7c8p-3, 0x1.33af7fab60778p-3, 0x1.2b0c02178d3d1p-3, 0x1.21964adf25782p-3, 0x1.176cc2272e5d6p-3, 0x1.0cac907b9d444p-3, 0x1.017168ae3a701p-3, 0x1.ebaac3d046721p-4, 0x1.d3e1be7fb63b4p-4, 0x1.bbb5053cbd5dp-4, 0x1.a34e50e29f72dp-4, 0x1.8ad3d645a919cp-4, 0x1.726857f3fb422p-4, 0x1.5a2b40cae3cb2p-4, 0x1.4238c57c6ca19p-4, 0x1.2aaa0bb2984a8p-4, 0x1.139551d9e3371p-4, 0x1.fa1c388db652bp-5, 0x1.ce4ac154cf30fp-5, 0x1.a3d366b91fba5p-5, 0x1.7acee50a6c10cp-5, 0x1.5351e4e38f85bp-5, 0x1.2d6d4c3a36dap-5, 0x1.092e8fa4876f2p-5, 0x1.cd3ffbf3088d3p-6, 0x1.8b9212b5211ecp-6, 0x1.4d5d150111b2dp-6, 0x1.12a603bdebf9ep-6, 0x1.b6db4c83bb97fp-7, 0x1.4f61f51c2ea6ep-7, 0x1.dda6790e34a12p-8, 0x1.2a38b99694fbep-8, 0x1.08950cf27171p-9, -0x1.45d94218eb566p-12, -0x1.4002565fa6f14p-9, -0x1.1ee8d82eb70ccp-8, -0x1.91633c885b6fp-8, -0x1.f7c413aa2ccf3p-8, -0x1.2931ae5b190c9p-7, -0x1.50ce4c0cbef5p-7, -0x1.72e7097d2b6b3p-7, -0x1.8fac23da1e9dp-7, -0x1.a74ea4e7b1a9ap-7, -0x1.ba0020f04f00cp-7, -0x1.c7f27b214a693p-7, -0x1.d157afd7f454fp-7, -0x1.d661a4a7f6769p-7, -0x1.d741fd2d2d98ep-7, -0x1.d429f53518da5p-7, -0x1.cd4a3e3d1c288p-7, -0x1.c2d2e2520c245p-7, -0x1.b4f3292c65734p-7, -0x1.a3d981cd879dp-7, -0x1.8fb36eab97854p-7, -0x1.78ad745fea3e2p-7, -0x1.5ef30c39d61b3p-7, -0x1.42ae96cf26e16p-7, -0x1.240953a275edp-7, -0x1.032b5820b91f5p-7, -0x1.c0771377689acp-8, -0x1.76bf3499d3e0bp-8, -0x1.2978064b9af2ep-8, -0x1.b1d0155f3b4efp-9, -0x1.0aa6a04b188b4p-9, -0x1.77db87609b027p-11, 0x1.4f032958e4da7p-11, 0x1.0a06e0fc0c3edp-9, 0x1.c466acc9a961ep-9, 0x1.413813cbb48b8p-8, 0x1.a1dbff63ddaf5p-8, 0x1.01f5db4b8a9dfp-7, 0x1.339b0ba676f48p-7, 0x1.65c619cff5049p-7, 0x1.9860a37bb5369p-7, 0x1.cb55521003594p-7, 0x1.fe8fd73a4cdabp-7, 0x1.18fe7274464f3p-6, 0x1.32c511ff07a4ep-6, 0x1.4c9318aed1223p-6, 0x1.666049dc0b77cp-6, 0x1.8024da4246af1p-6, 0x1.99d96cd40331cp-6, 0x1.b3770f45aa227p-6, 0x1.ccf7353b0a2eep-6, 0x1.e653b5e57705ep-6, 0x1.ff86c813c061p-6, 0x1.0c457f0da2feap-5, 0x1.18ada15f7a4bcp-5, 0x1.24f96b13d7cb8p-5, 0x1.3126a4f6bd3adp-5, 0x1.3d333eac9a60bp-5, 0x1.491d4daaf4fb9p-5, 0x1.54e30b7007e19p-5, 0x1.6082d36265cc3p-5, 0x1.6bfb2180e82a2p-5, 0x1.774a918d0effdp-5, 0x1.826fdd4365699p-5, 0x1.8d69da718b14dp-5, 0x1.983779daeb474p-5, 0x1.a2d7c659ac484p-5, 0x1.ad49e3484b699p-5, 0x1.b78d0ade50e61p-5, 0x1.c1a08d59f9261p-5, 0x1.cb83d04572d1p-5, 0x1.d5364d0f56985p-5, 0x1.deb78f873949ap-5, 0x1.e807351c5cfccp-5, 0x1.f124ec461b879p-5, 0x1.fa10734c6f511p-5, 0x1.0164cba23736ap-4, 0x1.05a81970a6a12p-4, 0x1.09d2172dc130ep-4, 0x1.0de2bf2fddedap-4, 0x1.11da118d075bfp-4, 0x1.15b813acb7985p-4, 0x1.197cd010a976cp-4, 0x1.1d285614d671ep-4, 0x1.20bab984e2112p-4, 0x1.24341232faca2p-4, 0x1.27947bbff836ep-4, 0x1.2adc156d5db06p-4, 0x1.2e0b01dc884d6p-4, 0x1.312166b8307adp-4, 0x1.341f6c72fb0e2p-4, 0x1.37053e1e076c9p-4, 0x1.39d3094284747p-4, 0x1.3c88fdab48c1bp-4, 0x1.3f274d28cad91p-4, 0x1.41ae2b5fc5beep-4, 0x1.441dcdab11296p-4, 0x1.46766af88d928p-4, 0x1.48b83ba60b891p-4, 0x1.4ae379546d39ep-4, 0x1.4cf85ec06f747p-4, 0x1.4ef727a6b2b3fp-4, 0x1.50e010af4cca8p-4, 0x1.52b35754edf5ap-4, 0x1.547139c366a94p-4, 0x1.5619f6b7d87dp-4, 0x1.57adcd6bc27ep-4, 0x1.592cfd8793ab8p-4, 0x1.5a97c7145102ep-4, 0x1.5bee6a64ef77bp-4, 0x1.5d3127fee0f7fp-4, 0x1.5e60408964295p-4, 0x1.5f7bf4c4650bep-4, 0x1.608485820127ep-4, 0x1.617a339a2c204p-4, 0x1.625d3fda9df0ep-4, 0x1.632deafa6129bp-4, 0x1.63ec7592103f7p-4, 0x1.6499201723ff7p-4, 0x1.65342ad7260b5p-4, 0x1.65bdd5ef976e9p-4, 0x1.6636614512e03p-4, 0x1.669e0c7c51bf1p-4, 0x1.66f516f4bb4bfp-4, 0x1.673bbfc53d2e4p-4, 0x1.677245ba6a219p-4, 0x1.6798e752985a5p-4, 0x1.67afe2b842a86p-4, 0x1.67b775bd105fcp-4, 0x1.67afddd691b7bp-4, 0x1.6799581d2c1f3p-4, 0x1.6774214c6696ap-4, 0x1.674075c18e109p-4, 0x1.66fe9178611a9p-4, 0x1.66aeb008881e7p-4, 0x1.66510ca4a6216p-4, 0x1.65e5e21a96839p-4, 0x1.656d6ad48adfap-4, 0x1.64e7e0d99ac55p-4, 0x1.64557dcce7a4fp-4, 0x1.63b67aed26f1dp-4, 0x1.630b111528896p-4, 0x1.625378bc87267p-4, 0x1.618fe9f87419p-4, 0x1.60c09c7d0d16dp-4, 0x1.5fe5c79ea4ae1p-4, 0x1.5effa25286f32p-4, 0x1.5e0e632f6eabp-4, 0x1.5d12406e3bb95p-4, 0x1.5c0b6fe9a47d6p-4, 0x1.5afa2721a3d8bp-4, 0x1.59de9b3929bc4p-4, 0x1.58b900fb30fa9p-4, 0x1.57898cd970264p-4, 0x1.565072ecd64c8p-4, 0x1.550de6f5b6692p-4, 0x1.53c21c5c122a9p-4, 0x1.526d4630afe7p-4, 0x1.510f972fa8b03p-4, 0x1.4fa941c0a7d55p-4, 0x1.4e3a77f01a722p-4, 0x1.4cc36b7da5886p-4, 0x1.4b444dd04afefp-4, 0x1.49bd4ffaa7f32p-4, 0x1.482ea2bc153b6p-4, 0x1.469876805db1ap-4, 0x1.44fafb5ff5164p-4, 0x1.43566120413f1p-4, 0x1.41aad733c55e5p-4, 0x1.3ff88cba3231dp-4, 0x1.3e3fb08068d3cp-4, 0x1.3c80710072cfcp-4, 0x1.3abafc615b6f4p-4, 0x1.38ef8077087e5p-4, 0x1.371e2ac2496ccp-4, 0x1.35472870d28e5p-4, 0x1.336aa65d0934ap-4, 0x1.3188d10d8f67p-4, 0x1.2fa1d4b4c1e04p-4, 0x1.2db5dd304967ap-4, 0x1.2bc51608b6e3dp-4, 0x1.29cfaa7122125p-4, 0x1.27d5c546b511cp-4, 0x1.25d791101ae4dp-4, 0x1.23d537fcce1e1p-4, 0x1.21cee3e44bcp-4, 0x1.1fc4be4550ab5p-4, 0x1.1db6f0452958cp-4, 0x1.1ba5a2af05f8cp-4, 0x1.1990fdf32c18bp-4, 0x1.17792a26110e6p-4, 0x1.155e4eff5f483p-4, 0x1.134093d9143d8p-4, 0x1.11201faea0d62p-4, 0x1.0efd191c083c4p-4, 0x1.0cd7a65cf52e4p-4, 0x1.0aafed4bbe6d5p-4, 0x1.08861360571dfp-4, 0x1.065a3daf449c5p-4, 0x1.042c90e8a01a7p-4, 0x1.01fd31572b6acp-4, 0x1.ff9885bede3c7p-5, 0x1.fb33d1fd90e54p-5, 0x1.f6cc8d94caf8bp-5, 0x1.f262fddc5d551p-5, 0x1.edf7675781a8dp-5, 0x1.e98a0db2f5415p-5, 0x1.e51b33c345cfdp-5, 0x1.e0ab1b83204abp-5, 0x1.dc3a061195f51p-5, 0x1.d7c833b041bb7p-5, 0x1.d355e3c17cb1ep-5, 0x1.cee354c6c42dep-5, 0x1.ca70c45e174aap-5, 0x1.c5fe6f3e5a43bp-5, 0x1.c18c9141323b6p-5, 0x1.bd1b6553bcba4p-5, 0x1.b8ab25756e1dep-5, 0x1.b43c0ac3eb8b7p-5, 0x1.afce4d6ef2028p-5, 0x1.ab6224b8d93f2p-5, 0x1.a6f7c6f644ea7p-5, 0x1.a28f698d30c65p-5, 0x1.9e2940f3f576p-5, 0x1.99c580b06642p-5, 0x1.95645b56ce22fp-5, 0x1.910602890e939p-5, 0x1.8caaa6f5ceec1p-5, 0x1.88527857d9209p-5, 0x1.83fda575af256p-5, 0x1.7fac5c213bc4dp-5, 0x1.7b5ec93788bc3p-5, 0x1.771518a083f97p-5, 0x1.72cf754eaad02p-5, 0x1.6e8e093ed7a92p-5, 0x1.6a50fd78279edp-5, 0x1.66187a0c104e3p-5, 0x1.61e4a616a3641p-5, 0x1.5db5a7beece8cp-5, 0x1.598ba437691e2p-5, 0x1.5566bfbe729ffp-5, 0x1.51471d9ebef1ap-5, 0x1.4d2ce02fdbbfap-5, 0x1.491828d6da92cp-5, 0x1.4509180716328p-5, 0x1.40ffcd4323a86p-5, 0x1.3cfc671ddbe4p-5, 0x1.38ff033b8a51ap-5, 0x1.3507be53113b3p-5, 0x1.3116b42f2b04cp-5, 0x1.2d2bffaf9b928p-5, 0x1.2947baca91894p-5, 0x1.2569fe8e0c219p-5, 0x1.2192e3216fc6bp-5, 0x1.1dc27fc732fc2p-5, 0x1.19f8eade9e9d8p-5, 0x1.163639e5a7194p-5, 0x1.127a817ac714p-5, 0x1.0ec5d55ee222fp-5, 0x1.0b1848773ae0ep-5, 0x1.0771eccf79323p-5, 0x1.03d2d39bb8fabp-5, 0x1.003b0d3ac474p-5, 0x1.f95552709f25cp-6, 0x1.f2436c9e9e6f2p-6, 0x1.eb4084d8b8a9ep-6, 0x1.e44cb56036a0cp-6, 0x1.dd6816e360cccp-6, 0x1.d692c082800bp-6, 0x1.cfccc7d4e779p-6, 0x1.c91640ee2233ap-6, 0x1.c26f3e632dc0fp-6, 0x1.bbd7d14fd6f56p-6, 0x1.b550095c24373p-6, 0x1.aed7f4c1d3762p-6, 0x1.a86fa052052c8p-6, 0x1.a217177adab56p-6, 0x1.9bce644d42601p-6, 0x1.95958f82be972p-6, 0x1.8f6ca0833f52ap-6, 0x1.89539d6ae39d7p-6, 0x1.834a8b0fbc835p-6, 0x1.7d516d078b11ap-6, 0x1.776845ad8e876p-6, 0x1.718f162851d1p-6, 0x1.6bc5de6fb420ep-6, 0x1.660c9d531786bp-6, 0x1.6063507fc39a1p-6, 0x1.5ac9f48756ec2p-6, 0x1.554084e630bb7p-6, 0x1.4fc6fc09a3106p-6, 0x1.4a5d5355dfe3cp-6, 0x1.4503832b7cb78p-6, 0x1.3fb982ecc168dp-6, 0x1.3a7f4902e299fp-6, 0x1.3554cae35b126p-6, 0x1.3039fd15cad28p-6, 0x1.2b2ed33a644c3p-6, 0x1.2633401106b6bp-6, 0x1.21473580acd43p-6, 0x1.1c6aa49efee66p-6, 0x1.179d7db755c97p-6, 0x1.12dfb050e49f4p-6, 0x1.0e312b33a468cp-6, 0x1.0991dc6c110a2p-6, 0x1.0501b14e1ba4ep-6, 0x1.00809677f421ep-6, 0x1.f81cefab36913p-7, 0x1.ef56814bd9359p-7, 0x1.e6adb7033bd65p-7, 0x1.de2264c87ba92p-7, 0x1.d5b45d6ce78dap-7, 0x1.cd6372b0e1432p-7, 0x1.c52f75562386p-7, 0x1.bd18352cfd9cap-7, 0x1.b51d811a8de5bp-7, 0x1.ad3f2718665d9p-7, 0x1.a57cf42f1447bp-7, 0x1.9dd6b46f912f1p-7, 0x1.964c32efc3cf2p-7, 0x1.8edd39cedab7cp-7, 0x1.8789924411eb1p-7, 0x1.805104b8719ap-7, 0x1.793358e8d5cadp-7, 0x1.7230560aaa6d7p-7, 0x1.6b47c2ec7162ep-7, 0x1.6479660a57b39p-7, 0x1.5dc505922daf3p-7, 0x1.572a6754bd74bp-7, 0x1.50a950a7c6adfp-7, 0x1.4a4186408043ep-7, 0x1.43f2cc11b01a2p-7, 0x1.3dbce53950f61p-7, 0x1.379f940794c1bp-7, 0x1.319a9a2417683p-7, 0x1.2badb8cf1b733p-7, 0x1.25d8b134b14a8p-7, 0x1.201b44c1f324bp-7, 0x1.1a753568dbc09p-7, 0x1.14e645c0b0473p-7, 0x1.0f6e38f69fba3p-7, 0x1.0a0cd28bb1435p-7, 0x1.04c1d5e91cfcfp-7, 0x1.ff1a0bbe1b60cp-8, 0x1.f4dc4854006d4p-8, 0x1.eac9e23b93e9dp-8, 0x1.e0e2572190852p-8, 0x1.d725222eeba47p-8, 0x1.cd91bd210fc9ep-8, 0x1.c427a1e00d099p-8, 0x1.bae64c4f18acap-8, 0x1.b1cd3bff53275p-8, 0x1.a8dbf5667b4bcp-8, 0x1.a012024acc1c6p-8, 0x1.976ef134e07p-8, 0x1.8ef253e727975p-8, 0x1.869bbd0c67158p-8, 0x1.7e6abd7d92bd1p-8, 0x1.765ee19dd9315p-8, 0x1.6e77af54a6388p-8, 0x1.66b4a51c393ecp-8, 0x1.5f153a70834d5p-8, 0x1.5798e1aea3bedp-8, 0x1.503f0b3034722p-8, 0x1.4907292f897b3p-8, 0x1.41f0b3d2644a8p-8, 0x1.3afb2ca5a7514p-8, 0x1.342620df4059dp-8, 0x1.2d7129e78f9cep-8, 0x1.26dbebf0defc3p-8, 0x1.206612b857577p-8, 0x1.1a0f4ce1ba187p-8, 0x1.13d746a4710aap-8, 0x1.0dbda4a81f9acp-8, 0x1.07c1fff0ffdb9p-8, 0x1.01e3e396099e5p-8, 0x1.f845996a1d27cp-9, 0x1.ecfc59804c8f4p-9, 0x1.e1eadbbfd8a04p-9, 0x1.d70ff1a11012ap-9, 0x1.cc6a76bda704p-9, 0x1.c1f95d0e18ab4p-9, 0x1.b7bbb677ab462p-9, 0x1.adb0ba0f25f7fp-9, 0x1.a3d7c41a41851p-9, 0x1.9a3050b27648fp-9, 0x1.90b9f1d043243p-9, 0x1.8774424a15cep-9, 0x1.7e5ed7c9056e3p-9, 0x1.757935cd42c08p-9, 0x1.6cc2c399e190fp-9, 0x1.643ac65ead215p-9, 0x1.5be060570af9p-9, 0x1.53b294eea04b7p-9, 0x1.4bb0515b0e0a1p-9, 0x1.43d8788109d73p-9, 0x1.3c29f07d87ec3p-9, 0x1.34a3afddf9014p-9, 0x1.2d44c894e9db6p-9, 0x1.260c6f155d211p-9, 0x1.1ef9fcada2739p-9, 0x1.180ced0d2afc8p-9, 0x1.1144d7ada2a33p-9, 0x1.0aa16663abd9ap-9, 0x1.04224a98cd247p-9, 0x1.fb8e653510ef7p-10, 0x1.ef1f8057dc1fap-10, 0x1.e2f7029075ecdp-10, 0x1.d713d7a2bb3fap-10, 0x1.cb74b95cd4c92p-10, 0x1.c01834f111edep-10, 0x1.b4fcb674b42ap-10, 0x1.aa209825503bep-10, 0x1.9f8232668767dp-10, 0x1.951fe9949301fp-10, 0x1.8af8383458154p-10, 0x1.8109b59d93dfap-10, 0x1.77531a46a018dp-10, 0x1.6dd342ade0d9ap-10, 0x1.648930c77df0cp-10, 0x1.5b740a9f68468p-10, 0x1.5293148a603acp-10, 0x1.49e5a63c1659ep-10, 0x1.416b1c23c1b5cp-10, 0x1.3922c89593684p-10, 0x1.310be949d9444p-10, 0x1.2925a4b9781d4p-10, 0x1.216f0fdfcb5aap-10, 0x1.19e7391fbea9p-10, 0x1.128d324b9e04p-10, 0x1.0b6013d415193p-10, 0x1.045ef65d8f997p-10, 0x1.fb11caa9c333ap-11, 0x1.edb9a408cc46dp-11, 0x1.e0b3207688cp-11, 0x1.d3fbc47f4bbe4p-11, 0x1.c79124fd9d287p-11, 0x1.bb71238697cap-11, 0x1.af9a19c2e3286p-11, 0x1.a40adeab0e582p-11, 0x1.98c2a104d5595p-11, 0x1.8dc0a675602dfp-11, 0x1.83040b73a1596p-11, 0x1.788b9f3c2fe81p-11, 0x1.6e55e862ec3ccp-11, 0x1.64614b1b47a6bp-11, 0x1.5aac3c39cf004p-11, 0x1.5135688d98fc2p-11, 0x1.47fbbe599e3b8p-11, 0x1.3efe52680e5c9p-11, 0x1.363c2865cf365p-11, 0x1.2db3f4013e14fp-11, 0x1.2563f03b1362cp-11, 0x1.1d49e628a9f94p-11, 0x1.15636a41cd4b7p-11, 0x1.0dae3dab146ap-11, 0x1.0628ac3a9f242p-11, 0x1.fda379cacd9e1p-12, 0x1.ef523ad3317cp-12, 0x1.e15da86568e72p-12, 0x1.d3c5c279ccce9p-12, 0x1.c689f853f39ccp-12, 0x1.b9a90d19fc4afp-12, 0x1.ad214f44041dcp-12, 0x1.a0f0e6ac26b98p-12, 0x1.95160663b600cp-12, 0x1.898ef0d6200bep-12, 0x1.7e59d76eb5f12p-12, 0x1.7374aad10649dp-12, 0x1.68dcf2977226fp-12, 0x1.5e8fbc157d75cp-12, 0x1.5489a3b6ab97cp-12, 0x1.4ac6f9ca67f0fp-12, 0x1.414409e3c4d4bp-12, 0x1.37fd866094c89p-12, 0x1.2ef0fd215fe8bp-12, 0x1.261d1db3dc326p-12, 0x1.1d819e3760ee6p-12, 0x1.151ebc9bd6ebcp-12, 0x1.0cf49b78de293p-12, 0x1.0502da7a0e356p-12, 0x1.fa9144e5230c2p-13, 0x1.eb8a0b0deb972p-13, 0x1.dceebeafa714bp-13, 0x1.cebef58265769p-13, 0x1.c0faea6508448p-13, 0x1.b3a2d152087ffp-13, 0x1.a6b5df998e528p-13, 0x1.9a3179e9df2b7p-13, 0x1.8e1112df83ep-13, 0x1.824ecd625ce98p-13, 0x1.76e45f779176fp-13, 0x1.6bcba676405dcp-13, 0x1.60fedd79c5947p-13, 0x1.5678d8b85bbb8p-13, 0x1.4c35898f3123fp-13, 0x1.423286dc116fbp-13, 0x1.386f1856e3fa5p-13, 0x1.2eeba525ee7cbp-13, 0x1.25a8dbebe76f2p-13, 0x1.1ca6f9d893c35p-13, 0x1.13e56e45a7d0bp-13, 0x1.0b62e2eecebedp-13, 0x1.031d896dc8e44p-13, 0x1.f627696d5aee7p-14, 0x1.e6897d39d00bp-14, 0x1.d762fc20d5617p-14, 0x1.c8b6c031724b8p-14, 0x1.ba8539982f9f7p-14, 0x1.acca638f0cb25p-14, 0x1.9f7ee04a2ffd7p-14, 0x1.929ac40c9652ep-14, 0x1.8617e760fb43bp-14, 0x1.79f2be85c815ep-14, 0x1.6e29b13f84847p-14, 0x1.62bb7047189edp-14, 0x1.57a53c24668fcp-14, 0x1.4ce227425ba98p-14, 0x1.426b82e1edb6dp-14, 0x1.3839d6d9e29b7p-14, 0x1.2e4672eeae844p-14, 0x1.248e1634b000ep-14, 0x1.1b12e3aacecf3p-14, 0x1.11da89ddd6676p-14, 0x1.08e8fa99c0a62p-14, 0x1.003c62af59b81p-14, 0x1.ef9db12cb6c3cp-15, 0x1.df38bad2124b2p-15, 0x1.cf4c60acf650fp-15, 0x1.bfdf76ae1245ep-15, 0x1.b0f359e6e3c1ap-15, 0x1.a2813940fd303p-15, 0x1.947df6cd714fcp-15, 0x1.86ded35c2f2e4p-15, 0x1.799bd2366e10fp-15, 0x1.6cb032233f62fp-15, 0x1.601a51bdb0d01p-15, 0x1.53db866f93cc9p-15, 0x1.47f760b95467cp-15, 0x1.3c71cf8bb0c5bp-15, 0x1.314ccb0cda0e7p-15, 0x1.2686ce600ff53p-15, 0x1.1c19753930212p-15, 0x1.11f77a669b50ep-15, 0x1.080fb4c40aba2p-15, 0x1.fcb1c7019efep-16, 0x1.e9b1595724f1bp-16, 0x1.d7329a8d83fb7p-16, 0x1.c537c90b50dc8p-16, 0x1.b3b53e53e4edp-16, 0x1.a2a7f41c74404p-16, 0x1.9215e8038b98ap-16, 0x1.81fece6d06a44p-16, 0x1.725c6057d56c9p-16, 0x1.632a2b1e88231p-16, 0x1.54640f6133053p-16, 0x1.4602bcc6f82c9p-16, 0x1.37fd80fc51abcp-16, 0x1.2a4d6e66e6756p-16, 0x1.1cee25285e2c9p-16, 0x1.0fdd2e7087922p-16, 0x1.0319b2c863a4bp-16, 0x1.ed4959883d1ep-17, 0x1.d500de2c7783dp-17, 0x1.bd5d7bfa31551p-17, 0x1.a65e28f6c46eep-17, 0x1.8fffe61aaf7dfp-17, 0x1.7a40bc8c48648p-17, 0x1.6515324644018p-17, 0x1.5065a693ca80fp-17, 0x1.3c2ea49c8fd4dp-17, 0x1.2882843ba276ap-17, 0x1.15526b5437ed4p-17, 0x1.0271424ce4b1dp-17, 0x1.dfb7a9a878f73p-18, 0x1.bb7555b60c9a8p-18, 0x1.983d9600ab88p-18, 0x1.75e38d8ea48c9p-18, 0x1.5436d377f003dp-18, 0x1.3338c06e6f0e7p-18, 0x1.130118e4d6c2p-18, 0x1.e721474a2ea93p-19, 0x1.a9a6b983333dep-19, 0x1.6d6e800271136p-19, 0x1.32682e81a146p-19, 0x1.f11d2db867799p-20, 0x1.7fbcc922bb49bp-20, 0x1.10a66994679c8p-20, 0x1.47a3c99576dbcp-21, 0x1.c9dd04f05261fp-23, -0x1.78f9c69b74ea9p-23, -0x1.2a9bdf4e3f7d1p-21, -0x1.f2d5ed6ad86f1p-21, -0x1.5b728bff0ba0ep-20, -0x1.bb40b748cbf1cp-20, -0x1.0c83629f49f5ep-19, -0x1.3a8eac9ec3ed3p-19, -0x1.67a7328b4b647p-19, -0x1.93cdaa3bac02bp-19, -0x1.bf2191a6948d9p-19, -0x1.e983d532ded06p-19, -0x1.0981dacb04eb6p-18, -0x1.1de75414e6098p-18, -0x1.31ec2968c5556p-18, -0x1.458de14e925eap-18, -0x1.58dbd1b1a273p-18, -0x1.6bd1601dcb98ep-18, -0x1.7e5d536ef6e2ap-18, -0x1.90826ffcafe49p-18, -0x1.a24dc5a47a80fp-18, -0x1.b3c63fff3a094p-18, -0x1.c4ecc3a6c84e6p-18, -0x1.d5c0982ca301ep-18, -0x1.e6418fe6b26dp-18, -0x1.f67071217df1ap-18, -0x1.03275b259d049p-17, -0x1.0aef02c3e90d6p-17, -0x1.128fc9e388941p-17, -0x1.1a0a146f24085p-17, -0x1.215eb374efd34p-17, -0x1.288eef6ce04bap-17, -0x1.2f99c957be8d9p-17, -0x1.367ad0932dfdcp-17, -0x1.3d34411090fd6p-17, -0x1.43ce005fa2dfcp-17, -0x1.4a4893f4637dcp-17, -0x1.50a4079fe8652p-17, -0x1.56d9ecf285d31p-17, -0x1.5ce97305760fep-17, -0x1.62d58273567abp-17, -0x1.689f13f522e46p-17, -0x1.6e494cc9f9dc6p-17, -0x1.73d4d7636bcaep-17, -0x1.79413470856fdp-17, -0x1.7e8fd1e32852dp-17, -0x1.83bd1da003cc4p-17, -0x1.88c7e94346ca9p-17, -0x1.8db31565048b4p-17, -0x1.928015feff9b7p-17, -0x1.972ee6c8ca08ep-17, -0x1.9bbf4dffcb62bp-17, -0x1.a0313a962c952p-17, -0x1.a484c92eb9752p-17, -0x1.a8ba24a857291p-17, -0x1.acd18faa0d5d7p-17, -0x1.b0cb4eecbe66bp-17, -0x1.b4a79a4b454fdp-17, -0x1.b866965802428p-17, -0x1.bc085ccb2cf4cp-17, -0x1.bf8d2ef711ea8p-17, -0x1.c2f5603a99805p-17, -0x1.c640815b8abc3p-17, -0x1.c96d6bb438af5p-17, -0x1.cc7df4ca1635p-17, -0x1.cf74026292a23p-17, -0x1.d24e5839a60f2p-17, -0x1.d50b66bb63c4cp-17, -0x1.d7ac85b2906a9p-17, -0x1.da326788c55a1p-17, -0x1.dc9d00ec3f68bp-17, -0x1.deebf6a4ae976p-17, -0x1.e11eabafa7cbp-17, -0x1.e335e77ec67e2p-17, -0x1.e532e9ec007f8p-17, -0x1.e715cf59a0ec3p-17, -0x1.e8dd85747141ap-17, -0x1.ea89ec069b138p-17, -0x1.ec1bec8ab8d4ep-17, -0x1.ed93caddf793cp-17, -0x1.eef188b8fa981p-17, -0x1.f035340b4cf9cp-17, -0x1.f15ee85268c6cp-17, -0x1.f26ec73cb1a08p-17, -0x1.f364f55d7e20ep-17, -0x1.f441990d7fb99p-17, -0x1.f504d9b0c0299p-17, -0x1.f5aedef8d22c5p-17, -0x1.f63fcfd555ec8p-17, -0x1.f6b7d0aca5c54p-17, -0x1.f71703934265fp-17, -0x1.f75d8db0204aep-17, -0x1.f78ba11768927p-17, -0x1.f7a1706ac6972p-17, -0x1.f79ef252d2784p-17, -0x1.f78454f83a3ddp-17, -0x1.f75223b3612d1p-17, -0x1.f708217836a79p-17, -0x1.f6a68896c5802p-17, -0x1.f62da8aa29abp-17, -0x1.f59da42d0f4ebp-17, -0x1.f4f6a14546bb7p-17, -0x1.f438cc197c29p-17, -0x1.f36454dff100dp-17, -0x1.f2796172a2b34p-17, -0x1.f17802d731affp-17, -0x1.f0609199ab642p-17, -0x1.ef335cf310cfcp-17, -0x1.edf053c9a2d5ep-17, -0x1.ec97b57f0a1e5p-17, -0x1.eb29c9801abb8p-17, -0x1.e9a6bc3bd9237p-17, -0x1.e80ebb87c6595p-17, -0x1.e661f8fcb82bp-17, -0x1.e4a0a7d0373ebp-17, -0x1.e2cafbe8a492ep-17, -0x1.e0e129b592051p-17, -0x1.dee366301ffeap-17, -0x1.dcd1e6da53668p-17, -0x1.daace1b0af29bp-17, -0x1.d8748d2583c06p-17, -0x1.d629200f603a7p-17, -0x1.d3cad156e44f9p-17, -0x1.d159d7aaeef0ap-17, -0x1.ced66a3fa935ap-17, -0x1.cc40c2979f935p-17, -0x1.c9991d10fd79ap-17, -0x1.c6dfb034a212dp-17, -0x1.c414afcbe2056p-17, -0x1.c1385b643daa1p-17, -0x1.be4ae6fff0d1p-17, -0x1.bb4c959ce754bp-17, -0x1.b83d9fe0a5b7bp-17, -0x1.b51e3f6aac46dp-17, -0x1.b1eeaf8d4aff6p-17, -0x1.aeaf2bc225c1ap-17, -0x1.ab5fef32da749p-17, -0x1.a8013604c2fc6p-17, -0x1.a4933f37b68c2p-17, -0x1.a11643c023b7bp-17, -0x1.9d8a7ba2b7dafp-17, -0x1.99f02e1a1ceddp-17, -0x1.96478b44eb307p-17, -0x1.9290db9c53dc2p-17, -0x1.8ecc5bbad8a4dp-17, -0x1.8afa46352f88ep-17, -0x1.871ad7d6201cfp-17, -0x1.832e4e17e938bp-17, -0x1.7f34e68db5aecp-17, -0x1.7b2edec43e334p-17, -0x1.771c744607fcbp-17, -0x1.72fde4b2dcedcp-17, -0x1.6ed36dc6816f3p-17, -0x1.6a9d4d4a5af16p-17, -0x1.665bc105b557ep-17, -0x1.620f06c4d22ddp-17, -0x1.5db75c4c91a4cp-17, -0x1.5954fee0bce08p-17, -0x1.54e82ab7e4dp-17, -0x1.50711c2a58a5ep-17, -0x1.4bf0119e31263p-17, -0x1.47654d026052ep-17, -0x1.42d10ff3c1973p-17, -0x1.3e338626b2942p-17, -0x1.398ce930392c1p-17, -0x1.34dd88f71e4c3p-17, -0x1.30259ed687803p-17, -0x1.2b6562606e185p-17, -0x1.269d0f574f53bp-17, -0x1.21cce2394f82ep-17, -0x1.1cf51750e50b6p-17, -0x1.1815ea04ff24bp-17, -0x1.132f94010ca13p-17, -0x1.0e424e310c39dp-17, -0x1.094e5969fd6edp-17, -0x1.0453f8d595f5cp-17, -0x1.fea6ae896c668p-18, -0x1.f49938e0f0902p-18, -0x1.ea802d55b8cd9p-18, -0x1.e05c1bb4fcb38p-18, -0x1.d62d5f8b0b64bp-18, -0x1.cbf463ad27934p-18, -0x1.c1b198e04efffp-18, -0x1.b7656fc14619bp-18, -0x1.ad1057e9d5b2p-18, -0x1.a2b2bfed39022p-18, -0x1.984d157ae5ae7p-18, -0x1.8ddfc59d9ebabp-18, -0x1.836b3cd979a01p-18, -0x1.78efe70689bc3p-18, -0x1.6e6e2f25518c8p-18, -0x1.63e67f715ed7p-18, -0x1.595941948e155p-18, -0x1.4ec6de54c9c8dp-18, -0x1.442fbbdcaa4e4p-18, -0x1.39943d60b275fp-18, -0x1.2ef4c7e5d6b04p-18, -0x1.2451c3437b99fp-18, -0x1.19ab9f502b813p-18, -0x1.0f02d989287aep-18, -0x1.04577865959c3p-18, -0x1.f3540aba7c53ep-19, -0x1.ddf61be357af4p-19, -0x1.c895a2b9cbc27p-19, -0x1.b3335970ec848p-19, -0x1.9dd03a494bb91p-19, -0x1.886cbdb55713ep-19, -0x1.73097fa4d27b6p-19, -0x1.5da725c33da25p-19, -0x1.4846cb3e87b68p-19, -0x1.32e90e93f90fp-19, -0x1.1d8e6c173a694p-19, -0x1.083792ad3af13p-19, -0x1.e5cab2c218f05p-20, -0x1.bb31723872103p-20, -0x1.90a2db722b257p-20, -0x1.6620a22cfac55p-20, -0x1.3bad78721a1a9p-20, -0x1.1149f7c63e2f3p-20, -0x1.cdee6ce05ab5ap-21, -0x1.796ce5d72487fp-21, -0x1.2511d0fd147c7p-21, -0x1.a1bf30f4737e6p-22, -0x1.f3626dd1981fdp-23, -0x1.47f97b6c67d9p-24, 0x1.5552f0732cf26p-24, 0x1.f88719d34d925p-23, 0x1.a2c99620c8cb7p-22, 0x1.24713609cd199p-21, 0x1.7744da1fd366p-21, 0x1.c9dd917353ab7p-21, 0x1.0e1c9e44663c8p-20, 0x1.372ae31bb58c4p-20, 0x1.6018977d75b72p-20, 0x1.88e4c1066d3e8p-20, 0x1.b18e5e6f804p-20, 0x1.da1472377dfe6p-20, 0x1.013af2ed63465p-19, 0x1.1558bb0f5f112p-19, 0x1.2963c6ce5971ap-19, 0x1.3d5b0afc55bcp-19, 0x1.513e1ed2c1652p-19, 0x1.650cace435c66p-19, 0x1.78c6464173289p-19, 0x1.8c6a7d580ba2cp-19, 0x1.9ff8e765e9f01p-19, 0x1.b3711bc876c99p-19, 0x1.c6d2b3b54b449p-19, 0x1.da1d4a4b32d4dp-19, 0x1.ed507c254c932p-19, 0x1.0035f3d8fec56p-18, 0x1.09b797640ff5cp-18, 0x1.132cfc5fc708ep-18, 0x1.1c95f7876133cp-18, 0x1.25f259faa76bcp-18, 0x1.2f41e3fc98e7dp-18, 0x1.38846fadc8a41p-18, 0x1.41ba229d60d9fp-18, 0x1.4ae27572fc55cp-18, 0x1.53fd54a90c01p-18, 0x1.5d0aa4f3a161bp-18, 0x1.660a401fd9393p-18, 0x1.6efc009d870d1p-18, 0x1.77dfc230d8fccp-18, 0x1.80b561ba0d64p-18, 0x1.897cbd093f82p-18, 0x1.9235b2ba11fd5p-18, 0x1.9ae02266e42fbp-18, 0x1.a37bec8904375p-18, 0x1.ac08f284456e5p-18, 0x1.b487169341b8ap-18, 0x1.bcf63bb62a8b4p-18, 0x1.c55645b7673e5p-18, 0x1.cda719ba59d0bp-18, 0x1.d5e89e467c517p-18, 0x1.de1ab9981d1cp-18, 0x1.e63d529741232p-18, 0x1.ee50518e09d6ap-18, 0x1.f653978775c3ep-18, 0x1.fe471982bc6eep-18, 0x1.0315652b10405p-17, 0x1.06ff3fcd79723p-17, 0x1.0ae117dcd1508p-17, 0x1.0ebae3eeca082p-17, 0x1.128c9ab29630ep-17, 0x1.1656335dd6f2dp-17, 0x1.1a17a584d9be8p-17, 0x1.1dd0e91dd43e2p-17, 0x1.2181f685dcba2p-17, 0x1.252ac679d05fep-17, 0x1.28cb521616018p-17, 0x1.2c6392d17d0dap-17, 0x1.2ff382780149dp-17, 0x1.337b1b2d16d01p-17, 0x1.36fa5778f6a27p-17, 0x1.3a7131e2bep-17, 0x1.3ddfa5fa5b613p-17, 0x1.4145aee87da7ap-17, 0x1.44a3492864059p-17, 0x1.47f870f69d711p-17, 0x1.4b45225ad181dp-17, 0x1.4e8956c086b78p-17, 0x1.51c50f6e929a3p-17, 0x1.54f84fc752d5cp-17, 0x1.58230a339eb1bp-17, 0x1.5b45410b8b34cp-17, 0x1.5e5ef34c1217p-17, 0x1.61701f78f79fep-17, 0x1.6478c4709b6d8p-17, 0x1.6778e1676ee39p-17, 0x1.6a7075df51001p-17, 0x1.6d5f81a2f20d9p-17, 0x1.704604c20289bp-17, 0x1.7323ff8c20aa6p-17, 0x1.75f9729a2244dp-17, 0x1.78c65ee2f044dp-17, 0x1.7b8ac562d2724p-17, 0x1.7e46a6f027dd6p-17, 0x1.80fa084d2124ep-17, 0x1.83a4ed15e056p-17, 0x1.864744f1ac8bp-17, 0x1.88e12bf4effbdp-17, 0x1.8b7297722f2f9p-17, 0x1.8dfb8bc807acfp-17, 0x1.907c0c82384f9p-17, 0x1.92f41cf6c2b7p-17, 0x1.9563c0b131dd3p-17, 0x1.97cafb74910d5p-17, 0x1.9a29d13ba588fp-17, 0x1.9c80463718b71p-17, 0x1.9ece5ecb955b5p-17, 0x1.a1141f9587645p-17, 0x1.a3518d6130385p-17, 0x1.a586ad2f48c6dp-17, 0x1.a7b3843229c02p-17, 0x1.a9d817cd1bc3ap-17, 0x1.abf46d935849fp-17, 0x1.ae088b49b5ab2p-17, 0x1.b01476e83651p-17, 0x1.b21836ad9e7cp-17, 0x1.b413d17df7c3p-17, 0x1.b6074eab17f68p-17, 0x1.b7f2af4b55f5fp-17, 0x1.b9d5f7c5422fdp-17, 0x1.bbb141c489774p-17, 0x1.bd847fca9e104p-17, 0x1.bf4fce1922f8bp-17, 0x1.c1131c7fb3b45p-17, 0x1.c2ce7d24ff862p-17, 0x1.c481f96e81302p-17, 0x1.c62d98461a335p-17, 0x1.c7d1614e3aca2p-17, 0x1.c96d5c99447cdp-17, 0x1.cb019267dac5dp-17, 0x1.cc8e0b0c31844p-17, 0x1.ce12ce97338d6p-17, 0x1.cf8fe60195b36p-17, 0x1.d1055b6877f9fp-17, 0x1.d27335b40736dp-17, 0x1.d3d97e828cd5fp-17, 0x1.d5383f185401fp-17, 0x1.d68f805e4ce28p-17, 0x1.d7df4c46f8853p-17, 0x1.d927abad8373cp-17, 0x1.da68a836c77c1p-17, 0x1.dba24b8f61c54p-17, 0x1.dcd49f69a63b4p-17, 0x1.ddffad933ab31p-17, 0x1.df237ff05242cp-17, 0x1.e040207c55dfp-17, 0x1.e155994e7973ep-17, 0x1.e263f450cc54bp-17, 0x1.e36b3c5ab7ad4p-17, 0x1.e46b7b145c0b9p-17, 0x1.e564bb241ff04p-17, 0x1.e65706f822aa2p-17, 0x1.e74269152f0c9p-17, 0x1.e826ec0fe5e0ep-17, 0x1.e9049a8da5ecbp-17, 0x1.e9db7f4542f8cp-17, 0x1.eaaba4fcf096dp-17, 0x1.eb75168a0147ep-17, 0x1.ec37dece59a47p-17, 0x1.ecf408ba13bccp-17, 0x1.eda99f4afd647p-17, 0x1.ee58ad8addc3ap-17, 0x1.ef013e8f0f04bp-17, 0x1.efa35d796f002p-17, 0x1.f03f1575d547p-17, 0x1.f0d471bc07379p-17, 0x1.f1637d8ca9715p-17, 0x1.f1ec44322d9f6p-17, 0x1.f26ed10183bb9p-17, 0x1.f2eb2f59c7e8fp-17, 0x1.f3616fdfa430ep-17, 0x1.f3d18e63ffd01p-17, 0x1.f43ba57cf40bdp-17, 0x1.f49fbc14a6214p-17, 0x1.f4fddd6c606b6p-17, 0x1.f556150379a59p-17, 0x1.f5a86e5fee8b1p-17, 0x1.f5f4f4fb19e58p-17, 0x1.f63bb4798420fp-17, 0x1.f67cb85340e2ap-17, 0x1.f6b80c296c5e5p-17, 0x1.f6edbb996ff15p-17, 0x1.f71dd246c518p-17, 0x1.f7485bd886d9ap-17, 0x1.f76d63f2ffaa2p-17, 0x1.f78cf6383af85p-17, 0x1.f7a71e50eff6dp-17, 0x1.f7bbe7e09822p-17, 0x1.f7cb5e8897bc5p-17, 0x1.f7d58deb67bb8p-17, 0x1.f7da81aa060fbp-17, 0x1.f7da4563d19bap-17, 0x1.f7d4e4abf4d75p-17, 0x1.f7ca6b25058b4p-17, 0x1.f7bae49c7da2fp-17, 0x1.f7a65c81f663dp-17, 0x1.f78cde5348a15p-17, 0x1.f76e75c449d49p-17, 0x1.f74b2e620d22p-17, 0x1.f72313b915908p-17, 0x1.f6f631527149p-17, 0x1.f6c492b22d454p-17, 0x1.f68e435c5c42dp-17, 0x1.f6534ec8f5146p-17, 0x1.f613c07018578p-17, 0x1.f5cfa3c179428p-17, 0x1.f587042c60665p-17, 0x1.f539ed249b92cp-17, 0x1.f4e869dc37f02p-17, 0x1.f49285dcf0977p-17, 0x1.f4384c5dce1c6p-17, 0x1.f3d9c8b5ad589p-17, 0x1.f3770621eaba6p-17, 0x1.f3100fb278eaap-17, 0x1.f2a4f0f2953dp-17, 0x1.f235b51ba86fbp-17, 0x1.f1c266f152086p-17, 0x1.f14b11b653151p-17, 0x1.f0cfc080974eap-17, 0x1.f0507e5a80112p-17, 0x1.efcd5645500e6p-17, 0x1.ef4653393564p-17, 0x1.eebb8025b2d01p-17, 0x1.ee2ce7ef81d15p-17, 0x1.ed9a9571b0008p-17, 0x1.ed049378a0c2cp-17, 0x1.ec6aecc3b0aa3p-17, 0x1.ebcdac12f34f7p-17, 0x1.eb2cdc1edfdb4p-17, 0x1.ea888795bfdc2p-17, 0x1.e9e0b9871873cp-17, 0x1.e9357cebf720ep-17, 0x1.e886dc5a69493p-17, 0x1.e7d4e12fa4a15p-17, 0x1.e71f9426fba98p-17, 0x1.e666ff51e2e35p-17, 0x1.e5ab2cf23b9a3p-17, 0x1.e4ec3854be0bp-17, 0x1.e42a048400088p-17, 0x1.e364c6a895744p-17, 0x1.e29c70bd3128fp-17, 0x1.e1d115c835771p-17, 0x1.e102bb6888ca5p-17, 0x1.e0316e45e6839p-17, 0x1.df5d34d3f0beap-17, 0x1.de861b9e11ddfp-17, 0x1.ddac2c2eb1275p-17, 0x1.dccf70209a82ep-17, 0x1.dbeff2807f9d2p-17, 0x1.db0db933b5221p-17, 0x1.da28d1d6ff771p-17, 0x1.d941447b40cbep-17, 0x1.d8571acff3d36p-17, 0x1.d76a5e64af207p-17, 0x1.d67b18cb4b2ccp-17, 0x1.d58953970e7f9p-17, 0x1.d49518494eac8p-17, 0x1.d39e70a7ee2f7p-17, 0x1.d2a56573a9ebdp-17, 0x1.d1a9fedc320dp-17, 0x1.d0ac455b1fa0ap-17, 0x1.cfac41d1adde3p-17, 0x1.cea9fd5078b96p-17, 0x1.cda5818a023c3p-17, 0x1.cc9ed84fe6cdap-17, 0x1.cb960ad47f342p-17, 0x1.ca8b21cd30678p-17, 0x1.c97e25ae8c824p-17, 0x1.c86f1eed50db2p-17, 0x1.c75e1604c6d7fp-17, 0x1.c64b136e9e953p-17, 0x1.c5361fcacd229p-17, 0x1.c41f4363efb3p-17, 0x1.c30686ac29cd4p-17, 0x1.c1ebf1fae17f5p-17, 0x1.c0cf8da585e1p-17, 0x1.bfb161c80ec2cp-17, 0x1.be9176ac750d1p-17, 0x1.bd6fd4642b0dp-17, 0x1.bc4c82fc20b2fp-17, 0x1.bb278a72bce18p-17, 0x1.ba00f2b91909fp-17, 0x1.b8d8c3ad3bfe5p-17, 0x1.b7af04f3fa764p-17, 0x1.b683bed656ea3p-17, 0x1.b556f8ae7c127p-17, 0x1.b428ccf5192f8p-17, 0x1.b2f90ab4a6d37p-17, 0x1.b1c7f1fce2635p-17, 0x1.b0957792de049p-17, 0x1.af61a2d146238p-17, 0x1.ae2c7b15132ap-17, 0x1.acf607acaeb06p-17, 0x1.abbe4fd803577p-17, 0x1.aa855ac9f4ecep-17, 0x1.a94b2fdc4c295p-17, 0x1.a80fd5768dccep-17, 0x1.a6d3534bdc86cp-17, 0x1.a595b01699677p-17, 0x1.a456f2c4306c2p-17, 0x1.a317222c35e6bp-17, 0x1.a1d645197df36p-17, 0x1.a0946249ecea4p-17, 0x1.9f51806d4185dp-17, 0x1.9e0da61cff64ep-17, 0x1.9cc8da0f2c247p-17, 0x1.9b83228f85dfdp-17, 0x1.9a3c8601e444bp-17, 0x1.98f50b172084ep-17, 0x1.97acb7c9001efp-17, 0x1.966393063ed9dp-17, 0x1.9519a2877bc0cp-17, }}, 
      {{0x1.2cfbd9431939fp-1, 0x1.57a392cbcc91cp-1, 0x1.825796b30817fp-1, 0x1.a3a40a3b0052dp-1, 0x1.b86be2c14c64ap-1, 0x1.c0ea23df271d5p-1, 0x1.beee37342dd0cp-1, 0x1.b4d94bd80fe63p-1, 0x1.a5119dcafbeafp-1, 0x1.91bc6a29b621ap-1, 0x1.7ca119336374ep-1, 0x1.6723772e5a05bp-1, 0x1.524a05e02afap-1, 0x1.3ec9edfc94c49p-1, 0x1.2d14d897d04ddp-1, 0x1.1d66a63a287a8p-1, 0x1.0fd1fb4c18d0ep-1, 0x1.044b2d3c9fef1p-1, 0x1.f562dcd24c131p-2, 0x1.e5ac897cbbb44p-2, 0x1.d906dff80bb3p-2, 0x1.cefee01adc02cp-2, 0x1.c721bf66c713dp-2, 0x1.c101acfebf273p-2, 0x1.bc3902e68e63p-2, 0x1.b86c3905e9ea4p-2, 0x1.b54ae327259efp-2, 0x1.b28ff7da6cc44p-2, 0x1.b001936726ecp-2, 0x1.ad706041e88ebp-2, 0x1.aab6c5a3fbcc6p-2, 0x1.a7b7f512d6029p-2, 0x1.a45ee904ca0e9p-2, 0x1.a09d61ec99b9bp-2, 0x1.9c6aeafa05c2p-2, 0x1.97c3ec92d7b16p-2, 0x1.92a8d0a436eedp-2, 0x1.8d1d3b677ff8cp-2, 0x1.8727599b54791p-2, 0x1.80cf44294e767p-2, 0x1.7a1e78b7d29aep-2, 0x1.731f661c613cfp-2, 0x1.6bdd0b28df0eap-2, 0x1.6462a60d015e2p-2, 0x1.5cbb7288baf63p-2, 0x1.54f2753c2bfa5p-2, 0x1.4d12526e49437p-2, 0x1.45252eaf5646p-2, 0x1.3d3497dbf7094p-2, 0x1.3549752d3fcb2p-2, 0x1.2d6bfd2b8e59ap-2, 0x1.25a3b07d4723ep-2, 0x1.1df758a8cad4ep-2, 0x1.166d09fcd598p-2, 0x1.0f0a27ef0412ep-2, 0x1.07d36b5ab8c9bp-2, 0x1.00ccea235ce8ap-2, 0x1.f3f43fa4f38bbp-3, 0x1.e6bbedbc9425ep-3, 0x1.d9f5a49ea14d2p-3, 0x1.cda52f1e785b5p-3, 0x1.c1cd706088275p-3, 0x1.b6707716b21e4p-3, 0x1.ab8f902d2533fp-3, 0x1.a12b58c62a8e7p-3, 0x1.9743cf621c85bp-3, 0x1.8dd86424a9042p-3, 0x1.84e808287b0d9p-3, 0x1.7c713be35b317p-3, 0x1.74721c8f3c4bep-3, 0x1.6ce870a63a45bp-3, 0x1.65d1b37039ef1p-3, 0x1.5f2b1facabcd8p-3, 0x1.58f1b960a0366p-3, 0x1.532256d3e193p-3, 0x1.4db9a8c6f6902p-3, 0x1.48b441ee88b86p-3, 0x1.440e9dbe63095p-3, 0x1.3fc5268f639ecp-3, 0x1.3bd43b2cbb886p-3, 0x1.383833d05f7cp-3, 0x1.34ed669d56364p-3, 0x1.31f02b9c0cdbap-3, 0x1.2f3ce048d8663p-3, 0x1.2ccfeab611294p-3, 0x1.2aa5bc52492e2p-3, 0x1.28bad45189383p-3, 0x1.270bc1cb51dbep-3, 0x1.25952587c3606p-3, 0x1.2453b391a0eb2p-3, 0x1.23443480aa889p-3, 0x1.2263869797efcp-3, 0x1.21ae9ea26e441p-3, 0x1.212288b384459p-3, 0x1.20bc68abf015p-3, 0x1.20797aa452686p-3, 0x1.2057133601d27p-3, 0x1.20529f98c0bdfp-3, 0x1.2069a5bc9ea5ap-3, 0x1.2099c42e51dc6p-3, 0x1.20e0b1ffecae8p-3, 0x1.213c3e928e46ep-3, 0x1.21aa5144b2d9fp-3, 0x1.2228e931a207dp-3, 0x1.22b61cbae1b2dp-3, 0x1.23501923a5987p-3, 0x1.23f522237be82p-3, 0x1.24a3914edb9afp-3, 0x1.2559d5a7b0901p-3, 0x1.2616730d8f059p-3, 0x1.26d80198da948p-3, 0x1.279d2d2682d9dp-3, 0x1.2864b4aa30e85p-3, 0x1.292d6993f8079p-3, 0x1.29f62f4b1917ep-3, 0x1.2abdfa81854e3p-3, 0x1.2b83d0914717p-3, 0x1.2c46c6ff40cfap-3, 0x1.2d0602cd167d2p-3, 0x1.2dc0b7d5c9bccp-3, 0x1.2e76285765c79p-3, 0x1.2f25a44d802fbp-3, 0x1.2fce88d319416p-3, 0x1.30703fa8920cap-3, 0x1.310a3ea6ada05p-3, 0x1.319c0721cea04p-3, 0x1.322525754c22ep-3, 0x1.32a53083c0c55p-3, 0x1.331bc927d1095p-3, 0x1.338899c0f4462p-3, 0x1.33eb55c7ec678p-3, 0x1.3443b94a2502ep-3, 0x1.34918872e7ba3p-3, 0x1.34d48f3594ca1p-3, 0x1.350ca0e15f6d8p-3, 0x1.353997a40d785p-3, 0x1.355b54304b4b9p-3, 0x1.3571bd7736912p-3, 0x1.357cc040ca694p-3, 0x1.357c4ebeb396cp-3, 0x1.357060465118ap-3, 0x1.3558f11559cadp-3, 0x1.353601f6d164ap-3, 0x1.350797e57a77dp-3, 0x1.34cdbbd2868ecp-3, 0x1.34887a75a41acp-3, 0x1.3437e401b9bbap-3, 0x1.33dc0bd538fcfp-3, 0x1.3375084745e0cp-3, 0x1.3302f28295d09p-3, 0x1.3285e64cf8feep-3, 0x1.31fe01be4b453p-3, 0x1.316b6519594e9p-3, 0x1.30ce32a80f8b8p-3, 0x1.30268e96237b5p-3, 0x1.2f749eb6c756fp-3, 0x1.2eb88a5a2a2e4p-3, 0x1.2df27a340bacfp-3, 0x1.2d22983ff8dcap-3, 0x1.2c490f980d502p-3, 0x1.2b660c4d9f216p-3, 0x1.2a79bb4f6f519p-3, 0x1.29844a57759d9p-3, 0x1.2885e7d0b7257p-3, 0x1.277ec2b79b10ap-3, 0x1.266f0a8041a1ep-3, 0x1.2556ef05b60bfp-3, 0x1.2436a07aaebcbp-3, 0x1.230e4f5547ab6p-3, 0x1.21de2c38e36bfp-3, 0x1.20a667e48663bp-3, 0x1.1f6733259b692p-3, 0x1.1e20becd1bb83p-3, 0x1.1cd33ba1aff67p-3, 0x1.1b7eda4fec8d6p-3, 0x1.1a23cb5cb203ep-3, 0x1.18c23f1b418f7p-3, 0x1.175a65a61b02bp-3, 0x1.15ec6ed684909p-3, 0x1.14788a397a751p-3, 0x1.12fee705236f9p-3, 0x1.117fb41156bb5p-3, 0x1.0ffb1fd39609bp-3, 0x1.0e71585abbd7p-3, 0x1.0ce28b47d958bp-3, 0x1.0b4ee5c6af444p-3, 0x1.09b694887f5b7p-3, 0x1.0819c3c160f7ep-3, 0x1.06789f268cc16p-3, 0x1.04d351eb0bdb9p-3, 0x1.032a06bb0f25ap-3, 0x1.017ce7b8501eap-3, 0x1.ff983cf0094dp-4, 0x1.fc2fa80402a88p-4, 0x1.f8c0619ffdf85p-4, 0x1.f54ab9979643ap-4, 0x1.f1cefe9a05181p-4, 0x1.ee4d7e2f0056p-4, 0x1.eac684b4fb58dp-4, 0x1.e73a5d60f7775p-4, 0x1.e3a9523f241a5p-4, 0x1.e013ac3227c78p-4, 0x1.dc79b2f14c2d4p-4, 0x1.d8dbad0738ae9p-4, 0x1.d539dfd1c82ap-4, 0x1.d1948f835abefp-4, 0x1.cdebff250379cp-4, 0x1.ca407097c6beep-4, 0x1.c69224948a759p-4, 0x1.c2e15aac8a23bp-4, 0x1.bf2e514aafbc5p-4, 0x1.bb7945b5d6681p-4, 0x1.b7c2741384eep-4, 0x1.b40a176a789cfp-4, 0x1.b05069a475ba6p-4, 0x1.ac95a38ff2fffp-4, 0x1.a8d9fce26c393p-4, 0x1.a51dac3ae29e8p-4, 0x1.a160e724973dfp-4, 0x1.9da3e21a29aafp-4, 0x1.99e6d0889fcecp-4, 0x1.9629e4d21839ep-4, 0x1.926d505027a9fp-4, 0x1.8eb14356793c1p-4, 0x1.8af5ed358fb27p-4, 0x1.873b7c3d7dedap-4, 0x1.83821dc17f862p-4, 0x1.7fc9fe1ae9641p-4, 0x1.7c1348abf50bfp-4, 0x1.785e27e229c09p-4, 0x1.74aac5390b4fbp-4, 0x1.70f9493cfb2f1p-4, 0x1.6d49db8e24db2p-4, 0x1.699ca2e348f6cp-4, 0x1.65f1c50cbb9bdp-4, 0x1.624966f87d33cp-4, 0x1.5ea3acb1dd3adp-4, 0x1.5b00b9669fe73p-4, 0x1.5760af690efb9p-4, 0x1.53c3b03296a2p-4, 0x1.5029dc6692d48p-4, 0x1.4c9353d50999p-4, 0x1.4900357d729bfp-4, 0x1.45709f915d311p-4, 0x1.41e4af77048f8p-4, 0x1.3e5c81cbe3e0ap-4, 0x1.3ad83267496e5p-4, 0x1.3757dc5cdccbcp-4, 0x1.33db99ff22016p-4, 0x1.306384e21d16ep-4, 0x1.2cefb5ddeb968p-4, 0x1.298045113d846p-4, 0x1.261549e3af601p-4, 0x1.22aedb081cc1bp-4, 0x1.1f4d0e7efeeebp-4, 0x1.1beff998cf1fp-4, 0x1.1897b0f8680f8p-4, 0x1.154448955de61p-4, 0x1.11f5d3be4c96ep-4, 0x1.0eac651b14de8p-4, 0x1.0b680eaf041fbp-4, 0x1.0828e1daff121p-4, 0x1.04eeef5fb1e49p-4, 0x1.01ba475fc8ffp-4, 0x1.fd15f2c42082p-5, 0x1.f6c228a717241p-5, 0x1.f0794d1302622p-5, 0x1.ea3b7b8720aa2p-5, 0x1.e408ce5b82962p-5, 0x1.dde15ec51cbb7p-5, 0x1.d7c544d9d48cdp-5, 0x1.d1b49794754fap-5, 0x1.cbaf6cd896fe5p-5, 0x1.c5b5d9767af6dp-5, 0x1.bfc7f12eed95bp-5, 0x1.b9e5c6b72c0a4p-5, 0x1.b40f6bbcd45f1p-5, 0x1.ae44f0e9b95c3p-5, 0x1.a88665e7a63a8p-5, 0x1.a2d3d963ffdbfp-5, 0x1.9d2d591375247p-5, 0x1.9792f1b5b27ep-5, 0x1.9204af19269a1p-5, 0x1.8c829c1eb48d3p-5, 0x1.870cc2bd6752cp-5, 0x1.81a32c06016d8p-5, 0x1.7c45e0268fb2fp-5, 0x1.76f4e66decf52p-5, 0x1.71b0454f5f5c4p-5, 0x1.6c7802665ccddp-5, 0x1.674c227937f7p-5, 0x1.622ca97dd3408p-5, 0x1.5d199a9d1557cp-5, 0x1.5812f835427bdp-5, 0x1.5318c3de4800ap-5, 0x1.4e2afe6d00a3dp-5, 0x1.4949a7f6a0fe1p-5, 0x1.4474bfd435323p-5, 0x1.3fac44a6113d1p-5, 0x1.3af0345741ap-5, 0x1.36408c20df30ep-5, 0x1.319d488d66c92p-5, 0x1.2d06657c0e249p-5, 0x1.287bde2417b19p-5, 0x1.23fdad183474p-5, 0x1.1f8bcc49e2be2p-5, 0x1.1b26350cc5855p-5, 0x1.16cce019f561fp-5, 0x1.127fc5933ccccp-5, 0x1.0e3edd0653a84p-5, 0x1.0a0a1d701a6fep-5, 0x1.05e17d3fd4594p-5, 0x1.01c4f25a6e79ap-5, 0x1.fb68e43b7cf3cp-6, 0x1.f35fe2c783fdbp-6, 0x1.eb6ec90b96d7p-6, 0x1.e3957ebf57a53p-6, 0x1.dbd3eaa5a1e41p-6, 0x1.d429f292c0bb2p-6, 0x1.cc977b72ad10ap-6, 0x1.c51c694f48cbdp-6, 0x1.bdb89f56952a6p-6, 0x1.b66bffe0f23bfp-6, 0x1.af366c772afe7p-6, 0x1.a817c5d896979p-6, 0x1.a10fec0104c7p-6, 0x1.9a1ebe2eb702fp-6, 0x1.93441ae841a8bp-6, 0x1.8c7fe00272191p-6, 0x1.85d1eaa6363e1p-6, 0x1.7f3a175665cdbp-6, 0x1.78b841f59837fp-6, 0x1.724c45cbdae9ap-6, 0x1.6bf5fd8c4a01ep-6, 0x1.65b5435ab178cp-6, 0x1.5f89f0d11388fp-6, 0x1.5973df051677cp-6, 0x1.5372e68d855dcp-6, 0x1.4d86df87ad0b7p-6, 0x1.47afa19cbb0aap-6, 0x1.41ed0407061b5p-6, 0x1.3c3edd974735p-6, 0x1.36a504b9c2595p-6, 0x1.311f4f7b56c4ep-6, 0x1.2bad938e88cb7p-6, 0x1.264fa65071aa6p-6, 0x1.21055ccd9f2c1p-6, 0x1.1bce8bc6ead95p-6, 0x1.16ab07b63d77p-6, 0x1.119aa4d33f83bp-6, 0x1.0c9d371809b54p-6, 0x1.07b29245b5ccp-6, 0x1.02da89e8e6401p-6, 0x1.fc29e2bc730ccp-7, 0x1.f2c337ad5a4d2p-7, 0x1.e980b8b7abc7dp-7, 0x1.e0620ba81c18fp-7, 0x1.d766d60cffc9p-7, 0x1.ce8ebd3e5a83cp-7, 0x1.c5d96665bba34p-7, 0x1.bd46768621c59p-7, 0x1.b4d59283e83cp-7, 0x1.ac865f2c8e7a6p-7, 0x1.a458813e7e1e5p-7, 0x1.9c4b9d709e4c2p-7, 0x1.945f5879723bbp-7, 0x1.8c935715f2cf2p-7, 0x1.84e73e0fde3dap-7, 0x1.7d5ab243bd26bp-7, 0x1.75ed58a6c5de6p-7, 0x1.6e9ed64cb1a71p-7, 0x1.676ed06de4f4p-7, 0x1.605cec6df055ap-7, 0x1.5968cfe2798bfp-7, 0x1.5292209a357bdp-7, 0x1.4bd884a3e0bcp-7, 0x1.453ba2548b071p-7, 0x1.3ebb204d0aeccp-7, 0x1.3856a57e60c41p-7, 0x1.320dd92cfc323p-7, 0x1.2be062f3647e2p-7, 0x1.25cdeac4b46aap-7, 0x1.1fd618efb5a8ep-7, 0x1.19f8962324bp-7, 0x1.14350b7368b0ap-7, 0x1.0e8b2261bd1bfp-7, 0x1.08fa84e41e16dp-7, 0x1.0382dd6d23c17p-7, 0x1.fc47ade505ff7p-8, 0x1.f1ba39e2cf631p-8, 0x1.e75cb6dfbd112p-8, 0x1.dd2e7df76a2afp-8, 0x1.d32ee94ee532ap-8, 0x1.c95d540e3c58ep-8, 0x1.bfb91a5ceafa1p-8, 0x1.b6419964d229dp-8, 0x1.acf62f5d69453p-8, 0x1.a3d63b9f22e25p-8, 0x1.9ae11ebc9a07ap-8, 0x1.92163a9ca751ap-8, 0x1.8974f29016ac8p-8, 0x1.80fcab5ce3284p-8, 0x1.78accb3beb409p-8, 0x1.7084b9c82b3e6p-8, 0x1.6883dfe2a7387p-8, 0x1.60a9a791e23b6p-8, 0x1.58f57be5b376p-8, 0x1.5166c8e8cffcp-8, 0x1.49fcfba7008bp-8, 0x1.42b7824afdd7p-8, 0x1.3b95cc5143705p-8, 0x1.34974ac6e8dfcp-8, 0x1.2dbb7087b9632p-8, 0x1.2701b26c2483cp-8, 0x1.20698759aeb37p-8, 0x1.19f2682d38329p-8, 0x1.139bcf7e49f4dp-8, 0x1.0d653943ef124p-8, 0x1.074e226b9fef5p-8, 0x1.01560878b512ep-8, 0x1.f6f8d2885994dp-9, 0x1.eb8185e04a533p-9, 0x1.e045283415ae7p-9, 0x1.d542b8931e728p-9, 0x1.ca79391a831p-9, 0x1.bfe7b052d1d99p-9, 0x1.b58d2a6dda7c2p-9, 0x1.ab68ba1d42a6cp-9, 0x1.a17978c8dfe9cp-9, 0x1.97be860502a92p-9, 0x1.8e37064d43629p-9, 0x1.84e2212e00c74p-9, 0x1.7bbeff28eccaep-9, 0x1.72ccc7b5bc145p-9, 0x1.6a0a9fc48c28ap-9, 0x1.6177a917fd591p-9, 0x1.591302aad7ffap-9, 0x1.50dbca27b0bb6p-9, 0x1.48d11e452623cp-9, 0x1.40f221ace3707p-9, 0x1.393dfdf181cc3p-9, 0x1.31b3e60d05fa1p-9, 0x1.2a5317ebedbabp-9, 0x1.231adcac1039fp-9, 0x1.1c0a876b8e435p-9, 0x1.152172c298b7dp-9, 0x1.0e5efd4184534p-9, 0x1.07c2857cde1e7p-9, 0x1.014b664b9480ep-9, 0x1.f5f1e7b32c959p-10, 0x1.e994f424fb0adp-10, 0x1.dd7e796550c53p-10, 0x1.d1acf21869f96p-10, 0x1.c61ed28e94259p-10, 0x1.bad29152214a7p-10, 0x1.afc6b07f4ad57p-10, 0x1.a4f9c6755bee5p-10, 0x1.9a6a847d7560ap-10, 0x1.9017ba4795d5ep-10, 0x1.8600559961d74p-10, 0x1.7c235e2835a4p-10, 0x1.727fee39694f7p-10, 0x1.6915292d0df39p-10, 0x1.5fe231668e381p-10, 0x1.56e61f11af714p-10, 0x1.4e1ff90e2fc9p-10, 0x1.458eb0eda9692p-10, 0x1.3d31227c1cc9fp-10, 0x1.350616d598a6p-10, 0x1.2d0c4a9a133f6p-10, 0x1.2542766581dffp-10, 0x1.1da7585c83b09p-10, 0x1.1639bd6aaac65p-10, 0x1.0ef888d54f998p-10, 0x1.07e2b90bc8e6bp-10, 0x1.00f7691a92605p-10, 0x1.f46b9d75fb62ap-11, 0x1.e73a6b1192448p-11, 0x1.da59f08880de7p-11, 0x1.cdc8f25f5243ap-11, 0x1.c186350c29fb3p-11, 0x1.b5906fb8d5f84p-11, 0x1.a9e642246a6adp-11, 0x1.9e862ea5b08f2p-11, 0x1.936e9902924b2p-11, 0x1.889dca3fcf135p-11, 0x1.7e11f8af35a79p-11, 0x1.73c952964b1d6p-11, 0x1.69c209443d7c6p-11, 0x1.5ffa5aa3e9ee2p-11, 0x1.5670984a2d116p-11, 0x1.4d232c1aaf4bfp-11, 0x1.44109b4a2fdb3p-11, 0x1.3b37885e08d7bp-11, 0x1.3296b40975b52p-11, 0x1.2a2cfbf9768abp-11, 0x1.21f956756d9acp-11, 0x1.19faca7371fb4p-11, 0x1.1230652b7184dp-11, 0x1.0a992fa5d20fbp-11, 0x1.033427641e49ep-11, 0x1.f80079063a4ebp-12, 0x1.e9f8ab4074d58p-12, 0x1.dc4eae7544f94p-12, 0x1.cf0054ee47208p-12, 0x1.c20b7e8836db6p-12, 0x1.b56e102dcd8bdp-12, 0x1.a925e2369cca5p-12, 0x1.9d30afdb336d1p-12, 0x1.918c13cc2c6a7p-12, 0x1.8635993e8bb61p-12, 0x1.7b2adee15b2dfp-12, 0x1.7069bf0c3e4b1p-12, 0x1.65f06ba89e971p-12, 0x1.5bbd7024ba3d2p-12, 0x1.51cf96ed19d7p-12, 0x1.4825bd2afcacdp-12, 0x1.3ebea7cf2f9eep-12, 0x1.3598ebc0038bep-12, 0x1.2cb2f11aca36p-12, 0x1.240b0c8e5d6bep-12, 0x1.1b9fa0c5f394ap-12, 0x1.136f37e802e35p-12, 0x1.0b78896aa6c16p-12, 0x1.03ba683b54c42p-12, 0x1.f8673cf821729p-13, 0x1.e9c58a18d662cp-13, 0x1.db8c54390405p-13, 0x1.cdb7ae0e0db3ep-13, 0x1.c0437322e8b9ep-13, 0x1.b32bc7a8c38edp-13, 0x1.a66d91aa85f0ep-13, 0x1.9a06b4b6d663p-13, 0x1.8df5f34c6635ep-13, 0x1.823a8633e3faep-13, 0x1.76d3a009af023p-13, 0x1.6bc018d8087a8p-13, 0x1.60fe5e35523a1p-13, 0x1.568c984d847edp-13, 0x1.4c68dc0ef4aaap-13, 0x1.429149f80517fp-13, 0x1.39040f3f342dep-13, 0x1.2fbf5035e67f3p-13, 0x1.26c109d7dad14p-13, 0x1.1e06f904f1321p-13, 0x1.158e90bc84ff9p-13, 0x1.0d55013d870b3p-13, 0x1.0557509db5ccap-13, 0x1.fb25133731969p-14, 0x1.ec0802c9b974fp-14, 0x1.dd534484db3bcp-14, 0x1.cf042dd074a01p-14, 0x1.c1196ca638348p-14, 0x1.b392600bb6b1cp-14, 0x1.a66e44fbd5763p-14, 0x1.99abb348a7c7cp-14, 0x1.8d48b04e43ed1p-14, 0x1.81432c5431b7cp-14, 0x1.75997daa727a8p-14, 0x1.6a4a8f1a2b137p-14, 0x1.5f55b89d63576p-14, 0x1.54ba4faf29e1ep-14, 0x1.4a770a0a25717p-14, 0x1.40897b94a865ap-14, 0x1.36ee059142755p-14, 0x1.2da0402e71d1cp-14, 0x1.249b89ab9d8c1p-14, 0x1.1bdb6171a4951p-14, 0x1.135b87c699e19p-14, 0x1.0b1821f6db418p-14, 0x1.030e0da537c2p-14, 0x1.f6766e288a229p-15, 0x1.e73d40b92b84ap-15, 0x1.d8700b3e70833p-15, 0x1.ca0ea8fb08918p-15, 0x1.bc186d7807424p-15, 0x1.ae8bae9662a54p-15, 0x1.a165cefb146b4p-15, 0x1.94a3a1981a185p-15, 0x1.88422c9769233p-15, 0x1.7c3fc6a3d1e9p-15, 0x1.709ca4ffeda87p-15, 0x1.6559b7d024104p-15, 0x1.5a7671d3be93fp-15, 0x1.4fef8a1a16cdcp-15, 0x1.45bfb0890911fp-15, 0x1.3be1491ebb5d1p-15, 0x1.324fd9990a8b7p-15, 0x1.29088c0ed69fep-15, 0x1.2009c4a4bbed9p-15, 0x1.175218a9dcda4p-15, 0x1.0edf3ea59bad5p-15, 0x1.06ad9ab43a954p-15, 0x1.fd7106996597bp-16, 0x1.edf5b6367b938p-16, 0x1.dee01267a6806p-16, 0x1.d02b31383deafp-16, 0x1.c1d8c984b1c63p-16, 0x1.b3eee20efc8d6p-16, 0x1.a6715a597ea5ep-16, 0x1.995d1076f898fp-16, 0x1.8ca9fc6b0e994p-16, 0x1.805278f0745d7p-16, 0x1.74573d8366a56p-16, 0x1.68bb9fbf29167p-16, 0x1.5d7fae9f63152p-16, 0x1.529e9569db6d4p-16, 0x1.4810f1e51a942p-16, 0x1.3dcfa19d856f7p-16, 0x1.33d5317c6ccd2p-16, 0x1.2a1e27eb891e3p-16, 0x1.20a8f50cb6f71p-16, 0x1.1775d85e042b1p-16, 0x1.0e866b930d2e2p-16, 0x1.05dc8018fd156p-16, 0x1.faf170ca68fcep-17, 0x1.eab34489c88a5p-17, 0x1.daf5d12b4026ep-17, 0x1.cba84ec0b3b7dp-17, 0x1.bcb5795736c76p-17, 0x1.ae119de114fafp-17, 0x1.9fc2c500aa9ep-17, 0x1.91d44df3293cbp-17, 0x1.8446bbf181a9dp-17, 0x1.77126f39d2da5p-17, 0x1.6a34f73748a26p-17, 0x1.5db130664975ap-17, 0x1.51863ae31319p-17, 0x1.45afbf1389b42p-17, 0x1.3a2a8e48820d8p-17, 0x1.2ef3b35cdcd8dp-17, 0x1.240657a39f6fdp-17, 0x1.195cd4ce0a2e4p-17, 0x1.0ef294199251dp-17, 0x1.04c4870f38d77p-17, 0x1.f5a18e86426b1p-18, 0x1.e22cd4ca39ef6p-18, 0x1.cf2b3b6842d37p-18, 0x1.bc9eb4e13e23ap-18, 0x1.aa888a51542a1p-18, 0x1.98e755ebec94ap-18, 0x1.87b890eb315f7p-18, 0x1.76fa55dbf0ffp-18, 0x1.66a53bd305918p-18, 0x1.56aae06f33825p-18, 0x1.4708bbb30be4cp-18, 0x1.37c8eb37f06cep-18, 0x1.28e2473e88cdap-18, 0x1.1a3a3d927de0ep-18, 0x1.0bce80f08d95fp-18, 0x1.fb6bdfd06b71p-19, 0x1.dff3ae8800ecbp-19, 0x1.c519b62cbb2cdp-19, 0x1.aac14cba46ed7p-19, 0x1.90ea752deefbp-19, 0x1.77a21e48759bep-19, 0x1.5ee7fd5d60384p-19, 0x1.46afd67c64a1ep-19, 0x1.2eee9f13a1117p-19, 0x1.179efc0789fafp-19, 0x1.00bed774a3ddbp-19, 0x1.d4995deb696eap-20, 0x1.a88d6181cb90dp-20, 0x1.7d566d99047c6p-20, 0x1.52f27a9b08c13p-20, 0x1.295fc479a2208p-20, 0x1.0098ff878b657p-20, 0x1.b12b84b42d417p-21, 0x1.62ac9c12ef69ep-21, 0x1.15c7f7303844cp-21, 0x1.94bf8347e1a99p-22, 0x1.008074be8c7dap-22, 0x1.bc3474cb8331ap-24, -0x1.f9ed71f49b21dp-26, -0x1.57990b4005073p-23, -0x1.35389b1b985c7p-22, -0x1.bc084aaa2751fp-22, -0x1.2051ea379830dp-21, -0x1.6178b2b329f71p-21, -0x1.a173e49cdb963p-21, -0x1.e066da4e9e2d6p-21, -0x1.0f242930d9142p-20, -0x1.2d795f011679fp-20, -0x1.4b369ad02045ep-20, -0x1.686ae5ecd9f82p-20, -0x1.851e65ba80f82p-20, -0x1.a1527e541bd2ap-20, -0x1.bd06c3fc5c6bp-20, -0x1.d83b63600c65fp-20, -0x1.f2f196942329fp-20, -0x1.0695add367469p-19, -0x1.13756dde11854p-19, -0x1.2018df1af85d7p-19, -0x1.2c809863a874bp-19, -0x1.38ada8bb01ebap-19, -0x1.44a19f1f6b53bp-19, -0x1.505b866da4e5ep-19, -0x1.5bd6ad41b187dp-19, -0x1.6715ba977ba1dp-19, -0x1.72216f9c2ff74p-19, -0x1.7cfa73a26f3dap-19, -0x1.87a0e942e4108p-19, -0x1.920e0660b9692p-19, -0x1.9c411e11e69c8p-19, -0x1.a63d76a3ecdcep-19, -0x1.b0043825643a2p-19, -0x1.b998dc8f76d0dp-19, -0x1.c2fc3b2076b18p-19, -0x1.cc2dee9af37adp-19, -0x1.d52f9f8df2f7cp-19, -0x1.ddfda038f84f6p-19, -0x1.e696ce5924511p-19, -0x1.eefe5b43843ecp-19, -0x1.f735f33aa9b0fp-19, -0x1.ff3db1500468ep-19, -0x1.038abc0214316p-18, -0x1.075eab3e71bf2p-18, -0x1.0b1ac373c3552p-18, -0x1.0ebf2e4a5fcddp-18, -0x1.124c1df2eda95p-18, -0x1.15c1c5f70038bp-18, -0x1.192053a0918c2p-18, -0x1.1c67e8caaf5e9p-18, -0x1.1f98a3ef6a1bap-18, -0x1.22b2b7e8abaa4p-18, -0x1.25b65fd6762f6p-18, -0x1.28a3738d2626dp-18, -0x1.2b7971b88e0f3p-18, -0x1.2e395a62b3789p-18, -0x1.30e42c3857241p-18, -0x1.337957fb7bd9cp-18, -0x1.35f83065e16c4p-18, -0x1.3861705a97f5dp-18, -0x1.3ab57db89d278p-18, -0x1.3cf46489c2582p-18, -0x1.3f1e0d4aad497p-18, -0x1.4132429409decp-18, -0x1.433173fed162cp-18, -0x1.451c48e1f67b9p-18, -0x1.46f2e1beb581fp-18, -0x1.48b4d30ce5f98p-18, -0x1.4a62214fa3d24p-18, -0x1.4bfb4c04fb5d8p-18, -0x1.4d8086247b09cp-18, -0x1.4ef1e42883078p-18, -0x1.504f8058d4acep-18, -0x1.51997b72930b3p-18, -0x1.52cff93c2b61fp-18, -0x1.53f31ee3c8debp-18, -0x1.55031258e8205p-18, -0x1.55fff9e73d92p-18, -0x1.56e9fbe951537p-18, -0x1.57c13e69dd2bfp-18, -0x1.5885e6a1f3384p-18, -0x1.593819543f469p-18, -0x1.59d7fd34be851p-18, -0x1.5a65bd85c3b9fp-18, -0x1.5ae1848bc784fp-18, -0x1.5b4b67f78d704p-18, -0x1.5ba39384a5314p-18, -0x1.5bea4bf21a053p-18, -0x1.5c1f9b78fe1a3p-18, -0x1.5c43b172bec91p-18, -0x1.5c56bea7fd72ep-18, -0x1.5c58e9716f488p-18, -0x1.5c4a5a38683c2p-18, -0x1.5c2b3ae760a83p-18, -0x1.5bfbb61d1cac3p-18, -0x1.5bbbf587b56fp-18, -0x1.5b6c20c414a4fp-18, -0x1.5b0c6752f377ep-18, -0x1.5a9cf7e38bc17p-18, -0x1.5a1df6f2c15e8p-18, -0x1.598f91d986652p-18, -0x1.58f1f6fc775e2p-18, -0x1.5845520440112p-18, -0x1.5789ceec9f59ep-18, -0x1.56bf9a49affd5p-18, -0x1.55e6e1040ebf3p-18, -0x1.54ffd04db57aap-18, -0x1.540a95885fe91p-18, -0x1.53075e357d77ap-18, -0x1.51f657f0b26d4p-18, -0x1.50d7b0713b97ap-18, -0x1.4fab958f9d91ap-18, -0x1.4e72354cab523p-18, -0x1.4d2bbdf2173c5p-18, -0x1.4bd85e4b853b9p-18, -0x1.4a784561e8874p-18, -0x1.490ba1756c813p-18, -0x1.47929f5eed956p-18, -0x1.460d6e6fca891p-18, -0x1.447c40787b345p-18, -0x1.42df41d9ab6b6p-18, -0x1.4136a4e1b9cf6p-18, -0x1.3f8293c29626dp-18, -0x1.3dc33e9c59c56p-18, -0x1.3bf8d550a743p-18, -0x1.3a2386f369343p-18, -0x1.384382a32daacp-18, -0x1.3658f7c7fef0bp-18, -0x1.3464155fe998p-18, -0x1.326508f9eece8p-18, -0x1.305c036d2b771p-18, -0x1.2e49361d90993p-18, -0x1.2c2cca66e68c2p-18, -0x1.2a06f5edeb86fp-18, -0x1.27d7e1686e659p-18, -0x1.259fbbd426fcap-18, -0x1.235eb5387c943p-18, -0x1.2114fc63ef329p-18, -0x1.1ec2bfb5b428ep-18, -0x1.1c682d66f4532p-18, -0x1.1a057394376e1p-18, -0x1.179ac0376fa41p-18, -0x1.15284121ac52fp-18, -0x1.12ae23fa50936p-18, -0x1.102c96407e1a8p-18, -0x1.0da3c54756488p-18, -0x1.0b13de32a6ba2p-18, -0x1.087d0dfb84b8cp-18, -0x1.05df81861273bp-18, -0x1.033b659f4ef7bp-18, -0x1.0090e6b2cd522p-18, -0x1.fbc0613796518p-19, -0x1.f652dcf4f7b78p-19, -0x1.f0d99777906fep-19, -0x1.eb54ed88ead41p-19, -0x1.e5c5346412b9dp-19, -0x1.e02abd4dde9e4p-19, -0x1.da85df3f05b91p-19, -0x1.d4d6effdfd22fp-19, -0x1.cf1e43e44c264p-19, -0x1.c95c2eb174231p-19, -0x1.c39103a16dac2p-19, -0x1.bdbd1557d6921p-19, -0x1.b7e0b5e732179p-19, -0x1.b1fc36a8da489p-19, -0x1.ac0fe8f053949p-19, -0x1.a61c1cdfde847p-19, -0x1.a02121dcd0e09p-19, -0x1.9a1f4687dbdafp-19, -0x1.9416d9b8acaa2p-19, -0x1.8e08299e6ac5cp-19, -0x1.87f382f97fca3p-19, -0x1.81d932194b92cp-19, -0x1.7bb982b95d5dfp-19, -0x1.7594bfe8e57f4p-19, -0x1.6f6b3402f5c56p-19, -0x1.693d28a9d303cp-19, -0x1.630ae6c6c9432p-19, -0x1.5cd4b6921fd0ap-19, -0x1.569adf9888d18p-19, -0x1.505da8b5789d6p-19, -0x1.4a1d580862433p-19, -0x1.43da32f5a3e24p-19, -0x1.3d947e3002244p-19, -0x1.374c7db0073dcp-19, -0x1.3102746b8d93dp-19, -0x1.2ab6a43152e78p-19, -0x1.24694e6fd79eap-19, -0x1.1e1ab47c7ad1dp-19, -0x1.17cb184b30d94p-19, -0x1.117abdce105a3p-19, -0x1.0b29d4d6ac516p-19, -0x1.04d8a0f8d5dc9p-19, -0x1.fd0ecf26af93fp-20, -0x1.f06cbf55b0e58p-20, -0x1.e3cb885edb7ep-20, -0x1.d72ba5f6583cdp-20, -0x1.ca8d85ee9b8d2p-20, -0x1.bdf1983e51d57p-20, -0x1.b1584c7b8b038p-20, -0x1.a4c21c34247c1p-20, -0x1.982f72e57ea36p-20, -0x1.8ba0b69c2cbffp-20, -0x1.7f1651e50921cp-20, -0x1.7290b6b65aea4p-20, -0x1.66105d9b197eap-20, -0x1.5995796e14c7dp-20, -0x1.4d2079f58f447p-20, -0x1.40b1e96e5a3bep-20, -0x1.344a16d87ff4p-20, -0x1.27e95da0bc6d8p-20, -0x1.1b901c76b32a9p-20, -0x1.0f3eb09acaffdp-20, -0x1.02f5758b1d985p-20, -0x1.ed698a2ab96a3p-21, -0x1.d4f9eeda8bacap-21, -0x1.bc9cc68d7d472p-21, -0x1.a452bbd2f8c5dp-21, -0x1.8c1c764ad78d4p-21, -0x1.73fa9a7eb4551p-21, -0x1.5bedc9f022eep-21, -0x1.43f6a343a80cfp-21, -0x1.2c15c26756714p-21, -0x1.144bc018bcb98p-21, -0x1.f93260b9504ddp-22, -0x1.c9fd47c2d1c2p-22, -0x1.9af956c98bec7p-22, -0x1.6c27a9c9f1322p-22, -0x1.3d8966247729cp-22, -0x1.0f1fc6683661bp-22, -0x1.c1d6384663187p-23, -0x1.65da1420b6fa6p-23, -0x1.0a4d086e65ca6p-23, -0x1.5e61947d34adcp-24, -0x1.521cfbd8d0f1bp-25, 0x1.6b6f5d4d675a3p-29, 0x1.7db16e78894afp-25, 0x1.7165ae09d6675p-24, 0x1.117f761a99b21p-23, 0x1.69d08adbd71bfp-23, 0x1.c1a46f0c37b57p-23, 0x1.0c7cc30bb2d7ap-22, 0x1.37e7212778665p-22, 0x1.6310945de23cp-22, 0x1.8df86478689fap-22, 0x1.b89dd3b76a066p-22, 0x1.e3000042e2d6dp-22, 0x1.068f235a42ec9p-21, 0x1.1b7c5a66b55edp-21, 0x1.3046e5e6c616ap-21, 0x1.44ee8d5eaca26p-21, 0x1.597310dcd1365p-21, 0x1.6dd4251d8d931p-21, 0x1.821180e77a538p-21, 0x1.962addd462488p-21, 0x1.aa1ff80fb9636p-21, 0x1.bdf08dfac2a5bp-21, 0x1.d19c6086b201fp-21, 0x1.e523326dc4a88p-21, 0x1.f884c907cbc6bp-21, 0x1.05e075e8f34d7p-20, 0x1.0f6bb237d243cp-20, 0x1.18e3ff4755243p-20, 0x1.224943f69c08ap-20, 0x1.2b9b687f7398ep-20, 0x1.34da56804fccbp-20, 0x1.3e05f7ecbe36bp-20, 0x1.471e37a26e7eep-20, 0x1.502301dc31151p-20, 0x1.59143edf61068p-20, 0x1.61f1e3a8164a1p-20, 0x1.6abbe4790ce54p-20, 0x1.737223e512202p-20, 0x1.7c149942f0d14p-20, 0x1.84a336a910993p-20, 0x1.8d1deeb97b6d9p-20, 0x1.9584b5405323bp-20, 0x1.9dd77edab6e36p-20, 0x1.a6164109e4c38p-20, 0x1.ae40f24330e4dp-20, 0x1.b65789d9d8763p-20, 0x1.be59fffe4dd92p-20, 0x1.c6484db63a329p-20, 0x1.ce226cd396172p-20, 0x1.d5e857f433f26p-20, 0x1.dd9a0a85818ffp-20, 0x1.e53780a2ab4a8p-20, 0x1.ecc0b765ed325p-20, 0x1.f435ac958cf1ap-20, 0x1.fb965f404f721p-20, 0x1.0171676fd4026p-19, 0x1.050d7d722b44ap-19, 0x1.089f6fd92be4cp-19, 0x1.0c27420bc711dp-19, 0x1.0fa4f8f2dbdbep-19, 0x1.13188eb1c1409p-19, 0x1.168207d088d73p-19, 0x1.19e166d31a273p-19, 0x1.1d36ae1221d31p-19, 0x1.2081e0437b032p-19, 0x1.23c300763c48cp-19, 0x1.26fa120c0d4b5p-19, 0x1.2a2718b587d58p-19, 0x1.2d4a186e50d38p-19, 0x1.306315785f7c8p-19, 0x1.3372145d93ba3p-19, 0x1.367719f0f3ca5p-19, 0x1.39722ae51bc34p-19, 0x1.3c634b3c9489bp-19, 0x1.3f4a89acb2ed4p-19, 0x1.4227f1423ac32p-19, 0x1.44fb559d875e6p-19, 0x1.47c4fe29a31cp-19, 0x1.4a84d48df8d79p-19, 0x1.4d3ae13dcb759p-19, 0x1.4fe72c4bbb0a1p-19, 0x1.5289bd559aa46p-19, 0x1.55229c14c3fbcp-19, 0x1.57b1d073a1484p-19, 0x1.5a3762929cdcep-19, 0x1.5cb35ac7a4a3dp-19, 0x1.5f25c19e93088p-19, 0x1.618e9fd7b96bep-19, 0x1.63edfe66c237dp-19, 0x1.6643e671e0c4dp-19, 0x1.6890615093b8cp-19, 0x1.6ad3788a9f506p-19, 0x1.6d0d35d648461p-19, 0x1.6f3da318105fdp-19, 0x1.7164ca6ad8088p-19, 0x1.7382b61e8751fp-19, 0x1.7597705c6f7ecp-19, 0x1.77a3043e042bbp-19, 0x1.79a57b8e7f31fp-19, 0x1.7b9ee09368e1ep-19, 0x1.7d8f419b65b46p-19, 0x1.7f76a643259bdp-19, 0x1.81551d896b37p-19, 0x1.832aaec051838p-19, 0x1.84f76759934b9p-19, 0x1.86bb535852f65p-19, 0x1.88767e6af6b32p-19, 0x1.8a28f47b7cb9fp-19, 0x1.8bd2c1a46842bp-19, 0x1.8d73f21c70b12p-19, 0x1.8f0c9228f6befp-19, 0x1.909cade8b2784p-19, 0x1.9224521cf8729p-19, 0x1.93a38c551f59fp-19, 0x1.951a67f276cf1p-19, 0x1.9688f2358a8dep-19, 0x1.97ef38256383ap-19, 0x1.994d468d769ddp-19, 0x1.9aa32af28a5b3p-19, 0x1.9bf0f21c016bap-19, 0x1.9d36a95e21ea7p-19, 0x1.9e745e14759cap-19, 0x1.9faa1da03b077p-19, 0x1.a0d7f57665df7p-19, 0x1.a1fdf31c494b7p-19, 0x1.a31c24295c69ep-19, 0x1.a4329651c0b1cp-19, 0x1.a5415698f0d4fp-19, 0x1.a6487486dc487p-19, 0x1.a747fc13b21f2p-19, 0x1.a83ffbdd0f4c8p-19, 0x1.a93081b9c6cf5p-19, 0x1.aa199b996d427p-19, 0x1.aafb5775c03e6p-19, 0x1.abd5c353106b1p-19, 0x1.aca8ed3f8b562p-19, 0x1.ad74e352026e9p-19, 0x1.ae39b3a9018d3p-19, 0x1.aef76c68a4fap-19, 0x1.afae1bbc1e88cp-19, 0x1.b05dcfd4a20c6p-19, 0x1.b10696e855d3ep-19, 0x1.b1a87f319e3b7p-19, 0x1.b24396ef57e5dp-19, 0x1.b2d7ec6335ccap-19, 0x1.b3658dd2dc4bbp-19, 0x1.b3ec89853572p-19, 0x1.b46cedc38521ep-19, 0x1.b4e6c8d9708f3p-19, 0x1.b55a2918613ecp-19, 0x1.b5c7260650b89p-19, 0x1.b62db27d522bep-19, 0x1.b68df765ecf24p-19, 0x1.b6e7fb06375f2p-19, 0x1.b73bcb3a4a838p-19, 0x1.b7897643350e8p-19, 0x1.b7d10a6270e83p-19, 0x1.b81295cb9bdacp-19, 0x1.b84e26c9a7d29p-19, 0x1.b883cb80f9268p-19, 0x1.b8b3922a03ddap-19, 0x1.b8dd88f22b44bp-19, 0x1.b901be027049ep-19, 0x1.b9203f7f6d73ep-19, 0x1.b9391b8424fcep-19, 0x1.b94c6023b003bp-19, 0x1.b95a1b6fa8e2p-19, 0x1.b9625b6edef79p-19, 0x1.b9652e1ef4904p-19, 0x1.b962a176c4d27p-19, 0x1.b95ac3641eac4p-19, 0x1.b94da1cab9edp-19, 0x1.b93b4a76b63cp-19, 0x1.b923cb3f61f5p-19, 0x1.b90732369a504p-19, 0x1.b8e58cd0ebd29p-19, 0x1.b8bee8bae676ep-19, 0x1.b89353b70eb6p-19, 0x1.b862db6341683p-19, 0x1.b82d8d5288597p-19, 0x1.b7f3770cd3627p-19, 0x1.b7b4a610124bcp-19, 0x1.b77127c58176ap-19, 0x1.b729099828b4dp-19, 0x1.b6dc58dc9475ap-19, 0x1.b68b22dc4d1ccp-19, 0x1.b63574d7230c9p-19, 0x1.b5db5c0795a17p-19, 0x1.b57ce56f95d43p-19, 0x1.b51a1e484a48p-19, 0x1.b4b31385f5f5fp-19, 0x1.b447d2299cea3p-19, 0x1.b3d867137301p-19, 0x1.b364def7518abp-19, 0x1.b2ed46e30772ep-19, 0x1.b271aba9e8622p-19, 0x1.b1f219afb868ap-19, 0x1.b16e9db11d121p-19, 0x1.b0e7443dd670ap-19, 0x1.b05c19d4dc39ep-19, 0x1.afcd2ae5609b6p-19, 0x1.af3a83cf4e798p-19, 0x1.aea430e2ca9cfp-19, 0x1.ae0a3e5efd903p-19, 0x1.ad6cb8731b10bp-19, 0x1.accbab393150dp-19, 0x1.ac2722b6914fp-19, 0x1.ab7f2aeaa804p-19, 0x1.aad3cfc7092dp-19, 0x1.aa251d2a7d62bp-19, 0x1.a9731f31fdef8p-19, 0x1.a8bde1ded07eep-19, 0x1.a80570e1c2e92p-19, 0x1.a749d6fc4384cp-19, 0x1.a68b1e69b07d4p-19, 0x1.a5c95228880bfp-19, 0x1.a5047bfa46452p-19, 0x1.a43cc322a0f29p-19, 0x1.a371eec6cc382p-19, 0x1.a2a45547f6607p-19, 0x1.a1d3dbe055496p-19, 0x1.a10093c96265p-19, 0x1.a02a8790519b7p-19, 0x1.9f51c2db975b3p-19, 0x1.9e764fc88ab51p-19, 0x1.9d9839824a2fp-19, 0x1.9cb78aa64035bp-19, 0x1.9bd44dbe67c6fp-19, 0x1.9aee8e44df61bp-19, 0x1.9a0653e5a2de1p-19, 0x1.991babe1df60ep-19, 0x1.982e9f65c6cc7p-19, 0x1.973f38c0b645p-19, 0x1.964d821de99ecp-19, 0x1.955985982e3eep-19, 0x1.94634d3500c36p-19, 0x1.936ae2d04d7a6p-19, 0x1.927050b113673p-19, 0x1.9173a05d26718p-19, 0x1.9074db2fd40abp-19, 0x1.8f740ac1e5e6fp-19, 0x1.8e71389f2383dp-19, 0x1.8d6c6e3af0b95p-19, 0x1.8c65b52eb49b5p-19, 0x1.8b5d170b8841p-19, 0x1.8a529d1c06135p-19, 0x1.89465093fe1f7p-19, 0x1.88383a811696ep-19, 0x1.872863e353333p-19, 0x1.8616d5a995f7p-19, 0x1.850398b05eab8p-19, 0x1.83eeb5e9e6378p-19, 0x1.82d835f2d6e1ap-19, 0x1.81c0218467e2bp-19, 0x1.80a6813a528b6p-19, 0x1.7f8b5da64aec5p-19, 0x1.7e6ebf284d68cp-19, 0x1.7d50ae3a5bf8bp-19, 0x1.7c3133252252bp-19, 0x1.7b105626ac6f7p-19, 0x1.79ee1f6a55144p-19, 0x1.78ca970a31924p-19, 0x1.77a5c50afca6cp-19, 0x1.767fb13fc3c21p-19, 0x1.755863ecd6002p-19, 0x1.742fe4a226ddp-19, 0x1.73065232236p-19, 0x1.71db6ef5555c5p-19, 0x1.70af87c6df4a5p-19, 0x1.6f828d425bfcdp-19, 0x1.6e5486c88c51fp-19, 0x1.6d257bbcc8a96p-19, 0x1.6bf5737097468p-19, 0x1.6ac4752352f6ap-19, 0x1.699287ffd5468p-19, 0x1.685fb278172e5p-19, 0x1.672bfda7ca427p-19, 0x1.65f76e800359bp-19, 0x1.64c20c83ced16p-19, 0x1.638bde9507158p-19, 0x1.6254eb778d4d2p-19, 0x1.611d39df09ccbp-19, 0x1.5fe4d06fa76f4p-19, 0x1.5eabb5bfbc70cp-19, 0x1.5d71f03ab28e6p-19, 0x1.5c37868c0340dp-19, 0x1.5afc7ec1b4b6bp-19, 0x1.59c0df124cc44p-19, 0x1.5884ae22b3ec7p-19, 0x1.5747f1ac25bccp-19, 0x1.560ab081677eep-19, 0x1.54ccf00d795a1p-19, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      {{-0x1.33ce18f8e9618p-7, -0x1.318fd8b0777e1p-6, -0x1.c4d0cbc892f68p-6, -0x1.28d366c88081ep-5, -0x1.6b2174c430007p-5, -0x1.a889c028ecc36p-5, -0x1.e064b3419da6dp-5, -0x1.0916646df6a68p-4, -0x1.1ebf01e1ddc0bp-4, -0x1.310a2f0879da9p-4, -0x1.3fe4bf08d395p-4, -0x1.4b48f96d6b698p-4, -0x1.533d171ad2729p-4, -0x1.57d1b2f7737dbp-4, -0x1.59203e16a0b18p-4, -0x1.574982d2db38fp-4, -0x1.52743eab530cep-4, -0x1.4acbd7dfc28ap-4, -0x1.407f31937368bp-4, -0x1.33bf9f98f5327p-4, -0x1.24bff9d17ad34p-4, -0x1.13b3ce2d6ddfcp-4, -0x1.00ceafc3a653dp-4, -0x1.d8874223a41b8p-5, -0x1.ac892e7c01c77p-5, -0x1.7e042829d5765p-5, -0x1.4d55a8f538ee1p-5, -0x1.1ad7221b34705p-5, -0x1.cdbb3b4a5d493p-6, -0x1.6372f773d5245p-6, -0x1.eed9205c57274p-7, -0x1.146a90bc5aab1p-7, -0x1.c50856c6f9627p-10, 0x1.4720723069b65p-8, 0x1.7f493d539437ap-7, 0x1.2cde5fe32155p-6, 0x1.9917ce6428fbdp-6, 0x1.01fe0698ce2dcp-5, 0x1.369f488fbd65fp-5, 0x1.6a4d5bdc9df24p-5, 0x1.9ce9ad2ac2d69p-5, 0x1.ce592f9a7479cp-5, 0x1.fe84251d819d9p-5, 0x1.16aaf3a2a4745p-4, 0x1.2d5e5883bb5e4p-4, 0x1.4354b4f1d5dc6p-4, 0x1.5887b95e812p-4, 0x1.6cf23a5326964p-4, 0x1.809018e77b75ep-4, 0x1.935e2c57ff0d7p-4, 0x1.a55a2cc63d106p-4, 0x1.b6829f2783adap-4, 0x1.c6d6c262b86d6p-4, 0x1.d6567d9a62a2dp-4, 0x1.e5024f9d98c06p-4, 0x1.f2db3f783b9cp-4, 0x1.ffe2ce192bdabp-4, 0x1.060d748216389p-3, 0x1.0bc2ef01fd0b8p-3, 0x1.111327e8658c3p-3, 0x1.15ff95cf59fe1p-3, 0x1.1a89cfc3d584ap-3, 0x1.1eb388e240357p-3, 0x1.227e8c543d393p-3, 0x1.25ecb9a9b1aafp-3, 0x1.2900018717c5p-3, 0x1.2bba62a355f92p-3, 0x1.2e1de70f91c75p-3, 0x1.302ca1c3a92d5p-3, 0x1.31e8ac6a3a383p-3, 0x1.335425675264ep-3, 0x1.34712e153e7d7p-3, 0x1.3541e9330c403p-3, 0x1.35c87980a3903p-3, 0x1.36070084999fp-3, 0x1.35ff9d7817ebap-3, 0x1.35b46c556da1cp-3, 0x1.3527850619509p-3, 0x1.345afaad5ae85p-3, 0x1.3350db0c7cb6bp-3, 0x1.320b2dfe5145p-3, 0x1.308bf5077bb9dp-3, 0x1.2ed52af953514p-3, 0x1.2ce8c3a56038ap-3, 0x1.2ac8ab9f942ebp-3, 0x1.2876c80d83949p-3, 0x1.25f4f68116a16p-3, 0x1.23450cdd45af5p-3, 0x1.2068d9438c38bp-3, 0x1.1d622208f0406p-3, 0x1.1a32a5b1866ep-3, 0x1.16dc1af1766b1p-3, 0x1.136030b2b36fap-3, 0x1.0fc08e1e8ed9fp-3, 0x1.0bfed2aa8134ep-3, 0x1.081c96278612bp-3, 0x1.041b68d37dfe4p-3, 0x1.fff9a6d8430dfp-4, 0x1.f784ae862619ep-4, 0x1.eedadca573f6bp-4, 0x1.e5ff16a71b71ap-4, 0x1.dcf433a321f19p-4, 0x1.d3bcfc8386bf6p-4, 0x1.ca5c2c2eaeaep-4, 0x1.c0d46fb0fe699p-4, 0x1.b72866657af79p-4, 0x1.ad5aa21d1f7b6p-4, 0x1.a36da744df732p-4, 0x1.9963ed0a1942bp-4, 0x1.8f3fdd7d8ad22p-4, 0x1.8503d5b4a1b73p-4, 0x1.7ab225e93558bp-4, 0x1.704d1197a947ap-4, 0x1.65d6cf9b84a71p-4, 0x1.5b518a4a8a983p-4, 0x1.50bf5f8e689adp-4, 0x1.462260fd11ed1p-4, 0x1.3b7c93efda09bp-4, 0x1.30cff19971467p-4, 0x1.261e671ad9373p-4, 0x1.1b69d59770d8bp-4, 0x1.10b4124835041p-4, 0x1.05fee68e533ffp-4, 0x1.f698200a5bc9cp-5, 0x1.e13a8127dcdfdp-5, 0x1.cbe83cfd866d5p-5, 0x1.b6a488efc8ebdp-5, 0x1.a1728360fa1a7p-5, 0x1.8c5533d326cf9p-5, 0x1.774f8b0a0961ap-5, 0x1.6264632d65bf3p-5, 0x1.4d967febeebebp-5, 0x1.38e88e9ee1afap-5, 0x1.245d266e79f3ep-5, 0x1.0ff6c8776c213p-5, 0x1.f76fbfe2fad91p-6, 0x1.cf4584aec27ccp-6, 0x1.a7735f1fdba5fp-6, 0x1.7ffda43181105p-6, 0x1.58e87e64ea0ebp-6, 0x1.3237ee1cd842cp-6, 0x1.0befc9fc88462p-6, 0x1.cc277e940380ap-7, 0x1.814ea4a7d2c8p-7, 0x1.375bbdb5d3e13p-7, 0x1.dcaa61fab1a1ap-8, 0x1.4c822cb9b8bfap-8, 0x1.7c94dce9733a7p-9, 0x1.9070f72f6f8e1p-11, -0x1.60a18d732edecp-10, -0x1.c09ea1ccd6bfbp-9, -0x1.665d776975794p-8, -0x1.ea4a37a1382ccp-8, -0x1.3606c196dbf31p-7, -0x1.75cfed31600aap-7, -0x1.b47d2505592afp-7, -0x1.f20b348eaa812p-7, -0x1.173b959ad0566p-6, -0x1.34df2d8f978a7p-6, -0x1.51ef2bfbf9e73p-6, -0x1.6e6a7add311abp-6, -0x1.8a5023b829125p-6, -0x1.a59f4ef827a35p-6, -0x1.c057434b6ce0ep-6, -0x1.da7764fe07f0bp-6, -0x1.f3ff3552f7959p-6, -0x1.067728ede8c6cp-5, -0x1.12a239e788906p-5, -0x1.1e80b7aea07a7p-5, -0x1.2a1299828c08ep-5, -0x1.3557e3736022ap-5, -0x1.4050a60b3a2cep-5, -0x1.4afcfdf74e0ebp-5, -0x1.555d13b0c72b6p-5, -0x1.5f711b259061dp-5, -0x1.6939536118e17p-5, -0x1.72b60635238cbp-5, -0x1.7be787e2bf2cbp-5, -0x1.84ce36c3741fp-5, -0x1.8d6a7af2b9cabp-5, -0x1.95bcc5f7c89ep-5, -0x1.9dc5926fd4e5bp-5, -0x1.a58563b8c95c5p-5, -0x1.acfcc59c8e1c5p-5, -0x1.b42c4bfcf21f8p-5, -0x1.bb1492803dfaep-5, -0x1.c1b63c3e892c7p-5, -0x1.c811f36fd1faep-5, -0x1.ce28691af2fe8p-5, -0x1.d3fa54c57a325p-5, -0x1.d988742476a99p-5, -0x1.ded38ace41d7p-5, -0x1.e3dc61ed532bfp-5, -0x1.e8a3c7f42628ap-5, -0x1.ed2a90523d0f9p-5, -0x1.f171932a49be2p-5, -0x1.f579ad098790ap-5, -0x1.f943bea04db74p-5, -0x1.fcd0ac7be3d44p-5, -0x1.0010af60cb09ep-4, -0x1.019b60758ebf9p-4, -0x1.0308e0c229e02p-4, -0x1.0459a8f5208ddp-4, -0x1.058e3305c54e3p-4, -0x1.06a6fa151e77p-4, -0x1.07a47a4f7f388p-4, -0x1.088730ced5ae1p-4, -0x1.094f9b7daa6ffp-4, -0x1.09fe38fad90a4p-4, -0x1.0a93887dff689p-4, -0x1.0b1009bca2a2bp-4, -0x1.0b743cd01032p-4, -0x1.0bc0a21bf4e1dp-4, -0x1.0bf5ba35acd0ep-4, -0x1.0c1405cc4c583p-4, -0x1.0c1c05915eabdp-4, -0x1.0c0e3a225cd98p-4, -0x1.0beb23f2dbe9bp-4, -0x1.0bb343376ecb7p-4, -0x1.0b6717d13f358p-4, -0x1.0b07213a59174p-4, -0x1.0a93de72a6a9bp-4, -0x1.0a0dcded9e2ebp-4, -0x1.09756d809cf8bp-4, -0x1.08cb3a51f0f63p-4, -0x1.080fb0c88b4dp-4, -0x1.07434c7c5e21p-4, -0x1.066688275fb95p-4, -0x1.0579dd9734f27p-4, -0x1.047dc59f7b99dp-4, -0x1.0372b80cb53b2p-4, -0x1.02592b97cf8cap-4, -0x1.013195da499b8p-4, -0x1.fff8d685db98ep-5, -0x1.fd743e164c48bp-5, -0x1.fad64659bf89fp-5, -0x1.f81fd0b205c71p-5, -0x1.f551bbdce8fd6p-5, -0x1.f26ce3e349fc7p-5, -0x1.ef7222094d453p-5, -0x1.ec624cbf8bec4p-5, -0x1.e93e3795503d1p-5, -0x1.e606b32bcc2bdp-5, -0x1.e2bc8d2a466c6p-5, -0x1.df6090333f959p-5, -0x1.dbf383da7e6dep-5, -0x1.d8762c9c04158p-5, -0x1.d4e94bd3df9c9p-5, -0x1.d14d9fb6dd256p-5, -0x1.cda3e34c049e1p-5, -0x1.c9ecce66eca33p-5, -0x1.c62915a2d1027p-5, -0x1.c2596a5e6deb4p-5, -0x1.be7e7ab897b71p-5, -0x1.ba98f18d8788fp-5, -0x1.b6a97674dbb9cp-5, -0x1.b2b0adc03f632p-5, -0x1.aeaf387ab8b13p-5, -0x1.aaa5b46897a55p-5, -0x1.a694bc07fd317p-5, -0x1.a27ce691fa52fp-5, -0x1.9e5ec7fc36a33p-5, -0x1.9a3af0fb2b083p-5, -0x1.9611ef04d8f2dp-5, -0x1.91e44c5405e86p-5, -0x1.8db28febebdb7p-5, -0x1.897d3d9c63426p-5, -0x1.8544d6067b4ddp-5, -0x1.8109d6a17af8bp-5, -0x1.7cccb9c04af23p-5, -0x1.788df6974156dp-5, -0x1.744e01424831p-5, -0x1.700d4acb5e0b8p-5, -0x1.6bcc41316c039p-5, -0x1.678b4f6f67264p-5, -0x1.634add83c1ac8p-5, -0x1.5f0b5078201edp-5, -0x1.5acd0a695260bp-5, -0x1.56906a8f8c6bbp-5, -0x1.5255cd46da7fbp-5, -0x1.4e1d8c17ca752p-5, -0x1.49e7fdc04bf1bp-5, -0x1.45b5763cbe006p-5, -0x1.418646d12c29cp-5, -0x1.3d5abe12b34ddp-5, -0x1.393327f10cd7fp-5, -0x1.350fcdc039f76p-5, -0x1.30f0f642547d5p-5, -0x1.2cd6e5b17531bp-5, -0x1.28c1ddc9b91dep-5, -0x1.24b21dd35ae5cp-5, -0x1.20a7e2acdec66p-5, -0x1.1ca366d554659p-5, -0x1.18a4e276a4975p-5, -0x1.14ac8b6feb746p-5, -0x1.10ba955fda2dcp-5, -0x1.0ccf31af27a7ap-5, -0x1.08ea8f9afbcd7p-5, -0x1.050cdc3f68f82p-5, -0x1.013642a1dbd51p-5, -0x1.facdd777228ffp-6, -0x1.f33dfd080f73ep-6, -0x1.ebbd3ff6d0a16p-6, -0x1.e44be669e1b44p-6, -0x1.dcea32c2978c1p-6, -0x1.d59863b1cc077p-6, -0x1.ce56b44c6f00cp-6, -0x1.c7255c1ff584ep-6, -0x1.c0048f46ba427p-6, -0x1.b8f47e7c2d6b5p-6, -0x1.b1f55730f24a2p-6, -0x1.ab07439ed0832p-6, -0x1.a42a6adc77974p-6, -0x1.9d5ef0f12be2cp-6, -0x1.96a4f6e831767p-6, -0x1.8ffc9ae41f03dp-6, -0x1.8965f831ef57fp-6, -0x1.82e1275bf10f5p-6, -0x1.7c6e3e3c7be1ep-6, -0x1.760d50106e578p-6, -0x1.6fbe6d89808fdp-6, -0x1.6981a4e057b55p-6, -0x1.635701e66340bp-6, -0x1.5d3e8e1781f15p-6, -0x1.573850ab6a412p-6, -0x1.51444ea6db412p-6, -0x1.4b628aec8b501p-6, -0x1.4593064ddfee6p-6, -0x1.3fd5bf9b609cp-6, -0x1.3a2ab3b4f2d23p-6, -0x1.3491dd99d3d8dp-6, -0x1.2f0b36784cf0ep-6, -0x1.2996b5bd314fep-6, -0x1.2434512316711p-6, -0x1.1ee3fcc14c5ddp-6, -0x1.19a5ab1a8d7a9p-6, -0x1.14794d2b7fe2fp-6, -0x1.0f5ed278dbfeep-6, -0x1.0a56291d6a478p-6, -0x1.055f3dd7abe69p-6, -0x1.0079fc174c72cp-6, -0x1.f74c9c149a9adp-7, -0x1.edc83953e8f82p-7, -0x1.e4669f8eebaf6p-7, -0x1.db279c30b594ap-7, -0x1.d20afa855b115p-7, -0x1.c91083d1c012dp-7, -0x1.c037ff6ae8b8p-7, -0x1.b78132ccbd419p-7, -0x1.aeebe1b075586p-7, -0x1.a677ce2246bd4p-7, -0x1.9e24b896da44fp-7, -0x1.95f260000caf4p-7, -0x1.8de081e1556b9p-7, -0x1.85eeda63a9128p-7, -0x1.7e1d2468dd359p-7, -0x1.766b199e9e688p-7, -0x1.6ed87290e7a05p-7, -0x1.6764e6bbfdb98p-7, -0x1.60102c9e1253bp-7, -0x1.58d9f9c84d46p-7, -0x1.51c202ef830aap-7, -0x1.4ac7fbfc613e2p-7, -0x1.43eb981b4dda8p-7, -0x1.3d2c89cbae2bap-7, -0x1.368a82eee6691p-7, -0x1.300534d6d81cep-7, -0x1.299c5054069ccp-7, -0x1.234f85c33d44ep-7, -0x1.1d1e851af194ep-7, -0x1.1708fdf81ba8dp-7, -0x1.110e9faac5ef3p-7, -0x1.0b2f19422fa87p-7, -0x1.056a1998950c2p-7, -0x1.ff7e9ebd1fb21p-8, -0x1.f45cd24c4927cp-8, -0x1.e96e2adae3ce4p-8, -0x1.deb20551ffc62p-8, -0x1.d427be9b83ab9p-8, -0x1.c9ceb3b57007fp-8, -0x1.bfa641c482e1cp-8, -0x1.b5adc6263733ap-8, -0x1.abe49e820bbdp-8, -0x1.a24a28da4b299p-8, -0x1.98ddc39c19e1ep-8, -0x1.8f9ecdaef4df5p-8, -0x1.868ca6839c712p-8, -0x1.7da6ae226702ep-8, -0x1.74ec4538fd942p-8, -0x1.6c5ccd2793548p-8, -0x1.63f7a80d981cep-8, -0x1.5bbc38d5c1bep-8, -0x1.53a9e341ca6f6p-8, -0x1.4bc00bf569ee6p-8, -0x1.43fe1881101ffp-8, -0x1.3c636f6bde534p-8, -0x1.34ef783d7e2dp-8, -0x1.2da19b8728d86p-8, -0x1.267942ec7b456p-8, -0x1.1f75d92bbd62dp-8, -0x1.1896ca25b8c06p-8, -0x1.11db82e533ff1p-8, -0x1.0b4371a60422fp-8, -0x1.04ce05dba0ec3p-8, -0x1.fcf5606ef204bp-9, -0x1.f091c55d97edep-9, -0x1.e47021004387cp-9, -0x1.d88f5c7128d08p-9, -0x1.ccee6370fe8bcp-9, -0x1.c18c2470106ddp-9, -0x1.b66790968dee9p-9, -0x1.ab7f9bcc1bf63p-9, -0x1.a0d33cbef5f28p-9, -0x1.96616cea5255cp-9, -0x1.8c29289c447aep-9, -0x1.82296efaf516dp-9, -0x1.7861420978261p-9, -0x1.6ecfa6abf9f7p-9, -0x1.6573a4ab5a674p-9, -0x1.5c4c46b87dd1p-9, -0x1.53589a6ef9975p-9, -0x1.4a97b057525bap-9, -0x1.42089be8afb6ap-9, -0x1.39aa738a6c7aap-9, -0x1.317c5094db2b3p-9, -0x1.297d4f51d3daap-9, -0x1.21ac8efce6441p-9, -0x1.1a0931c3100c7p-9, -0x1.12925cc221f28p-9, -0x1.0b473807d59f6p-9, -0x1.0426ee90724f3p-9, -0x1.fa615c8a737d6p-10, -0x1.ecc74ff4dc274p-10, -0x1.df7e1eda39524p-10, -0x1.d284368130b75p-10, -0x1.c5d809f741079p-10, -0x1.b978120ac4727p-10, -0x1.ad62cd4431849p-10, -0x1.a196bfdeeb6f2p-10, -0x1.961273c1dd649p-10, -0x1.8ad478772ce5ep-10, -0x1.7fdb6323fcf2dp-10, -0x1.7525ce7f6b121p-10, -0x1.6ab25ac95d0f7p-10, -0x1.607fadc0cf803p-10, -0x1.568c7299ee3c1p-10, -0x1.4cd759f3cd231p-10, -0x1.435f19cdb70d7p-10, -0x1.3a226d7c5433p-10, -0x1.3120159e5a5b1p-10, -0x1.2856d8116113p-10, -0x1.1fc57fe5c974ep-10, -0x1.176add5321c7p-10, -0x1.0f45c5abf7de4p-10, -0x1.0755135138a89p-10, -0x1.ff2f4b4bf43afp-11, -0x1.f018c2051709dp-11, -0x1.e1645d4f54ac5p-11, -0x1.d30ff96318284p-11, -0x1.c5197c1503dc2p-11, -0x1.b77ed4bbc45e1p-11, -0x1.aa3dfc14ffb19p-11, -0x1.9d54f42a4c6p-11, -0x1.90c1c83614f8ap-11, -0x1.84828c8881a65p-11, -0x1.78955e6b29377p-11, -0x1.6cf8640667e97p-11, -0x1.61a9cc44f4122p-11, -0x1.56a7ceb858b0cp-11, -0x1.4bf0ab7cd4669p-11, -0x1.4182ab1dd8fc5p-11, -0x1.375c1e7992fc2p-11, -0x1.2d7b5ea54ea4cp-11, -0x1.23deccd1566e6p-11, -0x1.1a84d22ca653ep-11, -0x1.116bdfc9c6c47p-11, -0x1.08926e81de788p-11, -0x1.ffedfdb393ecep-12, -0x1.ef3031cb3bfccp-12, -0x1.dee8985aa33dep-12, -0x1.cf145f21e6d7ep-12, -0x1.bfb0c25a69005p-12, -0x1.b0bb0c7ff7a7fp-12, -0x1.a230961a3f447p-12, -0x1.940ec586374c1p-12, -0x1.86530ec0b6941p-12, -0x1.78faf33026816p-12, -0x1.6c04016ee7aa2p-12, -0x1.5f6bd5172a766p-12, -0x1.5330168ce9791p-12, -0x1.474e7acb0d147p-12, -0x1.3bc4c32ddaeacp-12, -0x1.3090bd40676c5p-12, -0x1.25b042890de5fp-12, -0x1.1b2138568ebe1p-12, -0x1.10e18f8dc3aa4p-12, -0x1.06ef44779ea6dp-12, -0x1.fa90bd1f57139p-13, -0x1.e7d5e0a686f38p-13, -0x1.d5aa2e210f4c6p-13, -0x1.c409f56d536e2p-13, -0x1.b2f19b4c605e2p-13, -0x1.a25d9902e7ff5p-13, -0x1.924a7bfd30d57p-13, -0x1.82b4e571573cfp-13, -0x1.73998a05813e8p-13, -0x1.64f531747b426p-13, -0x1.56c4b634841c8p-13, -0x1.4905051f9b819p-13, -0x1.3bb31d1b8ebb2p-13, -0x1.2ecc0ec483117p-13, -0x1.224cfc172f25p-13, -0x1.1633181d13e3bp-13, -0x1.0a7ba69993117p-13, -0x1.fe47f77014412p-14, -0x1.e852f774bd0d8p-14, -0x1.d31335532393ap-14, -0x1.be83b80e7a10fp-14, -0x1.aa9fa4fd6a488p-14, -0x1.97623f3445f0bp-14, -0x1.84c6e6eb2a08ep-14, -0x1.72c918ea0b382p-14, -0x1.61646df5b27a5p-14, -0x1.50949a3ed8c2bp-14, -0x1.40556cd320e5cp-14, -0x1.30a2cf10ddc46p-14, -0x1.2178c41ccb486p-14, -0x1.12d36859def24p-14, -0x1.04aef0e23d513p-14, -0x1.ee0f560634b77p-15, -0x1.d3b3f7760d1dp-15, -0x1.ba44be7424719p-15, -0x1.a1bad0c4e8937p-15, -0x1.8a0f809b1473ep-15, -0x1.733c4ba2ac7a1p-15, -0x1.5d3ada1197018p-15, -0x1.4804fdbc27181p-15, -0x1.3394b128bd681p-15, -0x1.1fe416b27ce66p-15, -0x1.0ced77a273ab1p-15, -0x1.f55686abf176dp-16, -0x1.d2301ccacd905p-16, -0x1.b05d239d425a5p-16, -0x1.8fd35448fe353p-16, -0x1.7088ad832b43ep-16, -0x1.527371f9a5c9bp-16, -0x1.358a26c8e50bfp-16, -0x1.19c391f4acdabp-16, -0x1.fe2d71d50b50fp-17, -0x1.caf5be19837c1p-17, -0x1.99cf087591d3fp-17, -0x1.6aa8c6e25cfd9p-17, -0x1.3d72e2c3620f8p-17, -0x1.121db62eba849p-17, -0x1.d1341282f3d6dp-18, -0x1.81b21f11429afp-18, -0x1.3598cacdda8a2p-18, -0x1.d998366043555p-19, -0x1.4e61bace2ceeap-19, -0x1.92b28640ee48fp-20, -0x1.292daf7de9304p-21, 0x1.77cddaadb52b3p-22, 0x1.454d7204fe105p-20, 0x1.10eab29d4da99p-19, 0x1.79f37558bfe27p-19, 0x1.dded7eb16c3a4p-19, 0x1.1e82026a6228ap-18, 0x1.4bb07f69747c4p-18, 0x1.7696965523034p-18, 0x1.9f480f8da7389p-18, 0x1.c5d81fb61e0f6p-18, 0x1.ea596b7dbfe58p-18, 0x1.066f05a14a7bcp-17, 0x1.16bbc75edc73ep-17, 0x1.261b8040d02cap-17, 0x1.349674bb6582cp-17, 0x1.4234aa1a66a2dp-17, 0x1.4efde82c94a59p-17, 0x1.5af9badcd9252p-17, 0x1.662f73cf252e5p-17, 0x1.70a62be383f9bp-17, 0x1.7a64c4c06a3d9p-17, 0x1.8371ea476576p-17, 0x1.8bd4140c5c325p-17, 0x1.939186b9218eap-17, 0x1.9ab05572c77p-17, 0x1.a1366330f37cdp-17, 0x1.a729640b687a8p-17, 0x1.ac8ede8b36fa4p-17, 0x1.b16c2ce420d53p-17, 0x1.b5c67e33dea8ap-17, 0x1.b9a2d7b1108b7p-17, 0x1.bd0615d92fad3p-17, 0x1.bff4ed9361aebp-17, 0x1.c273ed4cb182ep-17, 0x1.c4877e0fb1c4dp-17, 0x1.c633e4907ac0bp-17, 0x1.c77d423aa818fp-17, 0x1.c8679631e9457p-17, 0x1.c8f6be4b085ecp-17, 0x1.c92e78056152ap-17, 0x1.c9126179cf422p-17, 0x1.c8a5fa4239f75p-17, 0x1.c7eca4607abd4p-17, 0x1.c6e9a51aa0533p-17, 0x1.c5a025d237747p-17, 0x1.c41334d94e97p-17, 0x1.c245c6408feefp-17, 0x1.c03ab49c905cap-17, 0x1.bdf4c1cd4c159p-17, 0x1.bb7697b7ba369p-17, 0x1.b8c2c90199975p-17, 0x1.b5dbd1c65c87dp-17, 0x1.b2c4184319ea6p-17, 0x1.af7ded85dc1cbp-17, 0x1.ac0b8e0ef9d27p-17, 0x1.a86f227837005p-17, 0x1.a4aac00f3c9fep-17, 0x1.a0c0696ef76ddp-17, 0x1.9cb20f17701a3p-17, 0x1.98818ffa21c26p-17, 0x1.9430ba0cd997cp-17, 0x1.8fc14ace1a71ep-17, 0x1.8b34efccf6ae6p-17, 0x1.868d472aff6b7p-17, 0x1.81cbe0184edeep-17, 0x1.7cf23b5107ef4p-17, 0x1.7801cb93970a4p-17, 0x1.72fbf61310959p-17, 0x1.6de212e9a66efp-17, 0x1.68b56d84b282ap-17, 0x1.637745106f3bdp-17, 0x1.5e28ccddc6c09p-17, 0x1.58cb2cc6399ffp-17, 0x1.535f818e4beb5p-17, 0x1.4de6dd4221758p-17, 0x1.486247934a709p-17, 0x1.42d2be30faffcp-17, 0x1.3d39351dfd6d6p-17, 0x1.37969704d5c46p-17, 0x1.31ebc587f0b74p-17, 0x1.2c399991e7484p-17, 0x1.2680e3a188db1p-17, 0x1.20c26c135fee2p-17, 0x1.1afef368f7a9ap-17, 0x1.153732900dd55p-17, 0x1.0f6bdb24f1298p-17, 0x1.099d97b56581ap-17, 0x1.03cd0bfd66ca6p-17, 0x1.fbf5aa4e3ebf3p-18, 0x1.f04f140a6b409p-18, 0x1.e4a77697b5bdcp-18, 0x1.d8ffe7957fca3p-18, 0x1.cd59713eb7c28p-18, 0x1.c1b512db313d4p-18, 0x1.b613c11c28a5p-18, 0x1.aa7666834c0c1p-18, 0x1.9edde3c1601b1p-18, 0x1.934b10126b2eep-18, 0x1.87beb990e6664p-18, 0x1.7c39a592a8ff3p-18, 0x1.70bc90f611a1fp-18, 0x1.654830762a1f6p-18, 0x1.59dd30f6ae32ap-18, 0x1.4e7c37cc2d8f3p-18, 0x1.4325e3081584ap-18, 0x1.37dac9bd30a42p-18, 0x1.2c9b7c41c155ap-18, 0x1.216884725dd3cp-18, 0x1.164265ef93a1cp-18, 0x1.0b299e5df41bp-18, 0x1.001ea59a68887p-18, 0x1.ea43dbee3edap-19, 0x1.d467c8e4b4457p-19, 0x1.bea9e1d0f8e1dp-19, 0x1.a90aec914b9dp-19, 0x1.938ba58859448p-19, 0x1.7e2cbffcb1d8ep-19, 0x1.68eee6740b5a7p-19, 0x1.53d2bb0c6a2ccp-19, 0x1.3ed8d7cc22bcbp-19, 0x1.2a01cef696ep-19, 0x1.154e2b5ae2378p-19, 0x1.00be7098dd8dfp-19, 0x1.d8a636e4dc87bp-20, 0x1.b0194417692ffp-20, 0x1.87d6e860abdbcp-20, 0x1.5fdff7236437p-20, 0x1.3835380da11cfp-20, 0x1.10d7678ed3e37p-20, 0x1.d38e6e8dbaa6bp-21, 0x1.860a9d0a82b2cp-21, 0x1.3924952ff4fcep-21, 0x1.d9bafd24c4fd4p-22, 0x1.426cdccf11155p-22, 0x1.58c1a11c0b001p-23, 0x1.798bdc9cde1b9p-26, -0x1.efa65a24df5e1p-24, -0x1.0e2486a3aa3ecp-22, -0x1.9f168ab5ba8c8p-22, -0x1.175f1bc1595ddp-21, -0x1.5e8d1ec8ee797p-21, -0x1.a514b3e7945dbp-21, -0x1.eaf54d4a9bd3fp-21, -0x1.181734a6738dap-20, -0x1.3a5fc90cb352bp-20, -0x1.5c542e8884487p-20, -0x1.7df4353560877p-20, -0x1.9f3fb264194p-20, -0x1.c036806097febp-20, -0x1.e0d87e4bef9d4p-20, -0x1.0092c7f20a19bp-19, -0x1.108eceab2aadfp-19, -0x1.2060498a086e8p-19, -0x1.300730d8dda32p-19, -0x1.3f837edbbc24cp-19, -0x1.4ed52fbb33f0bp-19, -0x1.5dfc417850e51p-19, -0x1.6cf8b3d864709p-19, -0x1.7bca88541a9fcp-19, -0x1.8a71c20774981p-19, -0x1.98ee65a5f90ecp-19, -0x1.a7407966d470dp-19, -0x1.b56804fd9130dp-19, -0x1.c3651188153e1p-19, -0x1.d137a9858f753p-19, -0x1.dedfd8c7b3328p-19, -0x1.ec5dac6a15978p-19, -0x1.f9b132c6e32b4p-19, -0x1.036d3db537742p-18, -0x1.09eccb8601162p-18, -0x1.10574bc1ad7a6p-18, -0x1.16acc7e000d2cp-18, -0x1.1ced49e15a055p-18, -0x1.2318dc496e9e7p-18, -0x1.292f8a1b63858p-18, -0x1.2f315ed6bb456p-18, -0x1.351e66740176bp-18, -0x1.3af6ad613a802p-18, -0x1.40ba407f1ffb3p-18, -0x1.46692d1ccf576p-18, -0x1.4c0380f77ee94p-18, -0x1.51894a3471417p-18, -0x1.56fa9760d406cp-18, -0x1.5c57776ed8e7ap-18, -0x1.619ff9b26d1f2p-18, -0x1.66d42ddf9c6c5p-18, -0x1.6bf42408a39ecp-18, -0x1.70ffec9bceae5p-18, -0x1.75f79860c1ce8p-18, -0x1.7adb38768fba8p-18, -0x1.7faade53bce0bp-18, -0x1.84669bc2b2e25p-18, -0x1.890e82e04fa4p-18, -0x1.8da2a61ad73b7p-18, -0x1.922318306e3f4p-18, -0x1.968fec2d37db5p-18, -0x1.9ae93569f0b2dp-18, -0x1.9f2f078af9971p-18, -0x1.a361767f2e13ep-18, -0x1.a780967d072d3p-18, -0x1.ab8c7c040bbaep-18, -0x1.af853bd9a306p-18, -0x1.b36aeb075e629p-18, -0x1.b73d9edbbf7d6p-18, -0x1.bafd6ce933826p-18, -0x1.beaa6b036e593p-18, -0x1.c244af3ea1759p-18, -0x1.c5cc4fef6434fp-18, -0x1.c94163a8ede7fp-18, -0x1.cca4013bdac94p-18, -0x1.cff43fb71e1abp-18, -0x1.d3323664f5e7cp-18, -0x1.d65dfccb617c2p-18, -0x1.d977aaa90a327p-18, -0x1.dc7f57f6fec0ap-18, -0x1.df751ce65c909p-18, -0x1.e25911dfa68eap-18, -0x1.e52b4f8240dep-18, -0x1.e7ebeea313829p-18, -0x1.ea9b084c29d25p-18, -0x1.ed38b5bb36923p-18, -0x1.efc51060e5debp-18, -0x1.f24031dfc5968p-18, -0x1.f4aa340c70e05p-18, -0x1.f70330ec05948p-18, -0x1.f94b42b2d5e44p-18, -0x1.fb8283c42128p-18, -0x1.fda90eb0e6629p-18, -0x1.ffbefe375b0e4p-18, -0x1.00e236a0afafcp-17, -0x1.01dcbb720a19ap-17, -0x1.02cf1b2fd77abp-17, -0x1.03b9638f14c6cp-17, -0x1.049ba258a03a2p-17, -0x1.0575e5693677fp-17, -0x1.06483ab0faec8p-17, -0x1.0712b033409b2p-17, -0x1.07d55405ec4fap-17, -0x1.08903450f9d55p-17, -0x1.09435f4ddc6d9p-17, -0x1.09eee347444d8p-17, -0x1.0a92ce9859525p-17, -0x1.0b2f2fad429e7p-17, -0x1.0bc4150123f6ap-17, -0x1.0c518d1e77661p-17, -0x1.0cd7a69f52b47p-17, -0x1.0d56702be8c66p-17, -0x1.0dcdf87a318f2p-17, -0x1.0e3e4e4dac186p-17, -0x1.0ea78076e0689p-17, -0x1.0f099dd2bd61dp-17, -0x1.0f64b54a808b8p-17, -0x1.0fb8d5d2e846bp-17, -0x1.10060e6bf9263p-17, -0x1.104c6e20260c5p-17, -0x1.108c0403db007p-17, -0x1.10c4df35a2827p-17, -0x1.10f70edce1b6cp-17, -0x1.1122a229ad74ap-17, -0x1.1147a8549b257p-17, -0x1.1166309dedc9p-17, -0x1.117e4a4d23193p-17, -0x1.119004b0c060ep-17, -0x1.119b6f1d3c0ddp-17, -0x1.11a098ecd1721p-17, -0x1.119f917f4d079p-17, -0x1.1198683988239p-17, -0x1.118b2c8462193p-17, -0x1.1177edccbb9cap-17, -0x1.115ebb8312e44p-17, -0x1.113fa51a857p-17, -0x1.111aba08d053cp-17, -0x1.10f009c5b3d97p-17, -0x1.10bfa3ca6a739p-17, -0x1.108997911830fp-17, -0x1.104df494d41adp-17, -0x1.100cca50a4a7cp-17, -0x1.0fc6283f2d02ap-17, -0x1.0f7a1dd9f5269p-17, -0x1.0f28ba995a29cp-17, -0x1.0ed20df45a805p-17, -0x1.0e76275f752e3p-17, -0x1.0e15164c70fecp-17, -0x1.0daeea2a3576cp-17, -0x1.0d43b263e0c97p-17, -0x1.0cd37e6069e1dp-17, -0x1.0c5e5d82bfa8cp-17, -0x1.0be45f28e7c43p-17, -0x1.0b6592ab23f7fp-17, -0x1.0ae2075c14bcp-17, -0x1.0a59cc88b12a9p-17, -0x1.09ccf176f531cp-17, -0x1.093b8565d2bb5p-17, -0x1.08a5978cbd3b1p-17, -0x1.080b371b5079ap-17, -0x1.076c7338f107fp-17, -0x1.06c95b0464eaep-17, -0x1.0621fd9377157p-17, -0x1.057669f262f88p-17, -0x1.04c6af235e562p-17, -0x1.0412dc1ea9afap-17, -0x1.035affd1c3ea4p-17, -0x1.029f291f35da5p-17, -0x1.01df66de33dd9p-17, -0x1.011bc7d9d4d14p-17, -0x1.00545ad17358cp-17, -0x1.ff125ceff80ebp-18, -0x1.fd74a2e77e846p-18, -0x1.fbcfa4bb26ea4p-18, -0x1.fa237f8161836p-18, -0x1.f870503554bcp-18, -0x1.f6b633b56e882p-18, -0x1.f4f546c3ad065p-18, -0x1.f32da6045f235p-18, -0x1.f15f6dfd612eep-18, -0x1.ef8abb159a93cp-18, -0x1.edafa994781a8p-18, -0x1.ebce55a12cd1p-18, -0x1.e9e6db42d3c36p-18, -0x1.e7f9565ecb2aep-18, -0x1.e605e2b8452c5p-18, -0x1.e40c9bf05b719p-18, -0x1.e20d9d85a7afdp-18, -0x1.e00902d32fd1cp-18, -0x1.ddfee70fdb09fp-18, -0x1.dbef654df3de3p-18, -0x1.d9da987a9168ap-18, -0x1.d7c09b5d8aa99p-18, -0x1.d5a18898a0f2bp-18, -0x1.d37d7aa787664p-18, -0x1.d1548bdf189ffp-18, -0x1.cf26d66c69c88p-18, -0x1.ccf47455109fbp-18, -0x1.cabd7f763722fp-18, -0x1.c8821184d40bep-18, -0x1.c642440cd98ebp-18, -0x1.c3fe30706c74bp-18, -0x1.c1b5efe7d0392p-18, -0x1.bf699b8228b9cp-18, -0x1.bd194c23eec38p-18, -0x1.bac51a863d147p-18, -0x1.b86d1f36f1379p-18, -0x1.b6117298c2ddbp-18, -0x1.b3b22ce2dcad8p-18, -0x1.b14f661ffb282p-18, -0x1.aee9362ec5257p-18, -0x1.ac7fb4c128faep-18, -0x1.aa12f95c2f3a7p-18, -0x1.a7a31b578e094p-18, -0x1.a53031dddf993p-18, -0x1.a2ba53eba9b4ap-18, -0x1.a0419850506eep-18, -0x1.9dc615ac77aadp-18, -0x1.9b47e2727742ap-18, -0x1.98c714e670fp-18, -0x1.9643c31dcd26ep-18, -0x1.93be02ff79577p-18, -0x1.9135ea430f2e4p-18, -0x1.8eab8e70dbc91p-18, -0x1.8c1f04e1dd688p-18, -0x1.899062bf99a4ep-18, -0x1.86ffbd0450bc4p-18, -0x1.846d287a98675p-18, -0x1.81d8b9bce844cp-18, -0x1.7f428535b4f12p-18, -0x1.7caa9f1ff939cp-18, -0x1.7a111b8657053p-18, -0x1.77760e43472c3p-18, -0x1.74d98b010d5e9p-18, -0x1.723ba539b1cbdp-18, -0x1.6f9c70372248bp-18, -0x1.6cfbff125f9cep-18, -0x1.6a5a64b49bb96p-18, -0x1.67b7b3d674dc4p-18, -0x1.6513ff0045fafp-18, -0x1.626f5889daf47p-18, -0x1.5fc9d29a55c3p-18, -0x1.5d237f28f91c8p-18, -0x1.5a7c6ffc1c1aap-18, -0x1.57d4b6aa1ae71p-18, -0x1.552c6498bdaebp-18, -0x1.52838afdc797cp-18, -0x1.4fda3adeb7a2cp-18, -0x1.4d30851061c43p-18, -0x1.4a867a38095c2p-18, -0x1.47dc2acac9065p-18, -0x1.4531a70d98147p-18, -0x1.4286ff159f4b8p-18, -0x1.3fdc42c836953p-18, -0x1.3d3181dab8e6cp-18, -0x1.3a86cbd336ab3p-18, -0x1.37dc30081c1f3p-18, -0x1.3531bda0c2963p-18, -0x1.32878394d4417p-18, -0x1.2fdd90acfa479p-18, -0x1.2d33f382bc7c6p-18, -0x1.2a8aba80c6d76p-18, -0x1.27e1f3e2f9e21p-18, -0x1.2539adb6b718dp-18, -0x1.2291f5db025adp-18, -0x1.1feada0094123p-18, -0x1.1d4467a9b2deap-18, -0x1.1a9eac2adbe8cp-18, -0x1.17f9b4aaccf8dp-18, -0x1.15558e22b16d7p-18, -0x1.12b2455df1cf5p-18, -0x1.100fe6fb28d04p-18, -0x1.0d6e7f6bb4532p-18, -0x1.0ace1af3ed0ccp-18, -0x1.082ec5aba2746p-18, -0x1.05908b7e13d8ap-18, -0x1.02f3782a8b274p-18, -0x1.00579743be1c9p-18, -0x1.fb79e86245535p-19, -0x1.f647345cb59bep-19, -0x1.f117289672fb7p-19, -0x1.ebe9dad9bac5ep-19, -0x1.e6bf609a61348p-19, -0x1.e197cef7a0defp-19, -0x1.dc733abae80e4p-19, -0x1.d751b859d52dp-19, -0x1.d2335bf53767ep-19, -0x1.cd18395aead5ep-19, -0x1.c80064056af16p-19, -0x1.c2ebef1d7c99p-19, -0x1.bddaed79114a6p-19, -0x1.b8cd719cc3052p-19, -0x1.b3c38dbc54449p-19, -0x1.aebd53bb4a7d4p-19, -0x1.a9bad52cc6566p-19, -0x1.a4bc2354c1defp-19, -0x1.9fc14f288874cp-19, -0x1.9aca694e102bap-19, -0x1.95d7821f0d3fap-19, -0x1.90e8a9a6bad81p-19, -0x1.8bfdefa405023p-19, -0x1.87176389dcdaep-19, -0x1.8235147f4d4f6p-19, -0x1.7d5711602f8bfp-19, -0x1.787d68be56be5p-19, -0x1.73a828e12fd0ep-19, -0x1.6ed75fc789658p-19, -0x1.6a0b1b266af52p-19, -0x1.6543686b36b84p-19, -0x1.608054bb4028fp-19, -0x1.5bc1ecf54beefp-19, -0x1.57083db15888bp-19, -0x1.52535341af896p-19, -0x1.4da339b249607p-19, -0x1.48f7fccb5b0e2p-19, -0x1.4451a810dda91p-19, -0x1.3fb046c273d97p-19, -0x1.3b13e3dd5b555p-19, -0x1.367c8a1c1b991p-19, -0x1.31ea43f797251p-19, -0x1.2d5d1ba72ced3p-19, -0x1.28d51b21499d4p-19, -0x1.24524c1cb9678p-19, -0x1.1fd4b8109907dp-19, -0x1.1b5c683508774p-19, -0x1.16e96583d9975p-19, -0x1.127bb8b8ef4f8p-19, -0x1.0e136a53474ccp-19, -0x1.09b08294ff321p-19, -0x1.055309844d0c4p-19, -0x1.00fb06ec4478dp-19, -0x1.f95104b94d99fp-20, -0x1.f0b706563baap-20, -0x1.e82820e7b1413p-20, -0x1.dfa462333189ep-20, -0x1.d72bd78e692e4p-20, -0x1.cebe8dddb7a5dp-20, -0x1.c65c9197417fbp-20, -0x1.be05eec555bdbp-20, -0x1.b5bab1032c444p-20, -0x1.ad7ae38354399p-20, -0x1.a546910b6822ap-20, -0x1.9d1dc3fb67749p-20, -0x1.95008648ca6fdp-20, -0x1.8ceee183fd3b6p-20, -0x1.84e8ded8161b5p-20, -0x1.7cee870aa3dd2p-20, -0x1.74ffe27eab624p-20, -0x1.6d1cf935805fcp-20, -0x1.6545d2ceb7889p-20, -0x1.5d7a768ad23c4p-20, -0x1.55baeb4b0e1abp-20, -0x1.4e07379390b95p-20, -0x1.465f618c1dccbp-20, -0x1.3ec36eff84bcap-20, -0x1.37336560a99b8p-20, -0x1.2faf49c714514p-20, -0x1.283720f42fc2dp-20, -0x1.20caef5139c83p-20, -0x1.196ab8f1f250cp-20, -0x1.121681959a2edp-20, -0x1.0ace4ca6224c8p-20, -0x1.03921d3cae523p-20, -0x1.f8c3ec3fdd983p-21, -0x1.ea7bb38b6fd47p-21, -0x1.dc4b94a93da61p-21, -0x1.ce3393491b59p-21, -0x1.c033b282d383dp-21, -0x1.b24bf4cefda7dp-21, -0x1.a47c5c1839bafp-21, -0x1.96c4e9ab25e8cp-21, -0x1.89259e4886762p-21, -0x1.7b9e7a1c10075p-21, -0x1.6e2f7cc765376p-21, -0x1.60d8a55b6cf5dp-21, -0x1.5399f260662d6p-21, -0x1.467361d2cb8e8p-21, -0x1.3964f12d57328p-21, -0x1.2c6e9d5fea659p-21, -0x1.1f9062dee480ep-21, -0x1.12ca3d9622a96p-21, -0x1.061c28f97f6cbp-21, -0x1.f30c3ff00b617p-22, -0x1.da103a1a71626p-22, -0x1.c1443466dc5efp-22, -0x1.a8a821e86801ep-22, -0x1.903bf4bc9177bp-22, -0x1.77ff9e1e7f515p-22, -0x1.5ff30e63193e5p-22, -0x1.481635003f075p-22, -0x1.3069008cb1f58p-22, -0x1.18eb5ec46978dp-22, -0x1.019d3c92b69cap-22, -0x1.d4fd0c0ea6b56p-23, -0x1.a71e4cd111c25p-23, -0x1.799e10694fc5ap-23, -0x1.4c7c2a39276bdp-23, -0x1.1fb86c145f8e8p-23, -0x1.e6a54c9da93dap-24, -0x1.8e954f7e76214p-24, -0x1.37407b95fc2bbp-24, -0x1.c14cd19777c63p-25, -0x1.158d586d699ep-25, -0x1.ad06c0fb89654p-27, 0x1.ecb83d47d1b6ap-28, 0x1.c9fb6b5d3750ep-26, 0x1.8af3450e20501p-25, 0x1.17bc534c366a4p-24, 0x1.694767d346edbp-24, 0x1.ba1b5d8d07684p-24, 0x1.051c5a06f35c2p-23, 0x1.2ccff6cc431dfp-23, 0x1.5428c740a0b99p-23, 0x1.7b270ed0d401bp-23, 0x1.a1cb11ef974fep-23, 0x1.c8151646f825fp-23, 0x1.ee05627952949p-23, 0x1.09ce1f25ae741p-22, 0x1.1c6cf93c5a98cp-22, 0x1.2edf64691026p-22, 0x1.4125860ef4cb1p-22, 0x1.533f84120eadbp-22, 0x1.652d84c805158p-22, 0x1.76efaf0397c25p-22, 0x1.88862a09835bap-22, 0x1.99f11d901a994p-22, 0x1.ab30b1bccf625p-22, 0x1.bc450f20a5d6dp-22, 0x1.cd2e5ebae2fdbp-22, 0x1.ddecc9ef61372p-22, 0x1.ee807a849ea2cp-22, 0x1.fee99aac86b47p-22, 0x1.07942a75882b2p-21, 0x1.0f9e6a186a262p-21, 0x1.1793a1ddd30e5p-21, 0x1.1f73e798a25e3p-21, 0x1.273f513f5a2bap-21, 0x1.2ef5f4fa1997fp-21, 0x1.3697e913b4a42p-21, 0x1.3e254405476e4p-21, 0x1.459e1c684baa4p-21, 0x1.4d02890078875p-21, 0x1.5452a0b343d0fp-21, 0x1.5b8e7a8cfbf64p-21, 0x1.62b62dbb91a6p-21, 0x1.69c9d18cbf56fp-21, 0x1.70c97d7044ab3p-21, 0x1.77b548f4380a1p-21, 0x1.7e8d4bc5d575ep-21, 0x1.85519daf33f0ap-21, 0x1.8c02569797cd8p-21, 0x1.929f8e80e5ad3p-21, 0x1.99295d89bc36ap-21, 0x1.9f9fdbe754cf6p-21, 0x1.a60321eb4e7e7p-21, 0x1.ac5347f95ba87p-21, 0x1.b2906693f3749p-21, 0x1.b8ba964932085p-21, 0x1.bed1efc7dc0ffp-21, 0x1.c4d68bc810249p-21, 0x1.cac8831dc9898p-21, 0x1.d0a7eea8c63f5p-21, 0x1.d674e760631e2p-21, 0x1.dc2f86499533cp-21, 0x1.e1d7e47962b77p-21, 0x1.e76e1b12ed4ap-21, 0x1.ecf24347ffff8p-21, 0x1.f264765cba503p-21, 0x1.f7c4cd9ba53bcp-21, 0x1.fd136260fde46p-21, 0x1.012827069f644p-20, 0x1.03bdd509da585p-20, 0x1.064ac7f42cc84p-20, 0x1.08cf0c889268ep-20, 0x1.0b4aaf8a320d7p-20, 0x1.0dbdbdc38a077p-20, 0x1.102844003ba79p-20, 0x1.128a4f102f67bp-20, 0x1.14e3ebc5d9458p-20, 0x1.173526f514f51p-20, 0x1.197e0d764bc4fp-20, 0x1.1bbeac1ff741fp-20, 0x1.1df70fced5d6fp-20, 0x1.2027455b7241cp-20, 0x1.224f59a4d5c37p-20, 0x1.246f5984a6b82p-20, 0x1.268751daaeeabp-20, 0x1.28974f8248853p-20, 0x1.2a9f5f59457edp-20, 0x1.2c9f8e3a95fp-20, 0x1.2e97e900d003cp-20, 0x1.30887c8741358p-20, 0x1.327155a507f06p-20, 0x1.3452813287bf1p-20, 0x1.362c0c026acf6p-20, 0x1.37fe02e941d79p-20, 0x1.39c872b461f64p-20, 0x1.3b8b68334d26ap-20, 0x1.3d46f02d5687fp-20, 0x1.3efb176be4b8dp-20, 0x1.40a7eaaf7a79dp-20, 0x1.424d76ba1b9efp-20, 0x1.43ebc8452f996p-20, 0x1.4582ec0967b0fp-20, }}, 
      {{-0x1.0ae49adaeba9cp-7, -0x1.09eb2e11289b6p-6, -0x1.8c773f37ac1d1p-6, -0x1.061746b41b0a2p-5, -0x1.441c7cb25d494p-5, -0x1.7fe8c1673c254p-5, -0x1.b924417dd1e28p-5, -0x1.ef827a6bae71p-5, -0x1.11613b937ba9dp-4, -0x1.29575c5b11f5cp-4, -0x1.3f8e6e68d36dap-4, -0x1.53f68987fa3ep-4, -0x1.6684b775b65aep-4, -0x1.77329156b676p-4, -0x1.85fdd68d415c4p-4, -0x1.92e800de749c7p-4, -0x1.9df5d8f4e1553p-4, -0x1.a72f0d8f72e5bp-4, -0x1.ae9dcf0c251c2p-4, -0x1.b44e707bfa2f2p-4, -0x1.b84f0f052d8fbp-4, -0x1.baaf40061cd25p-4, -0x1.bb7fc62b1c3c1p-4, -0x1.bad24d788fc2ep-4, -0x1.b8b92e2580406p-4, -0x1.b547360856f88p-4, -0x1.b08f784416a8p-4, -0x1.aaa522d7e7881p-4, -0x1.a39b59aaf7f5bp-4, -0x1.9b8516aa8b14ap-4, -0x1.92750e8f93a41p-4, -0x1.887d99e1f385ap-4, -0x1.7db0a1d30765p-4, -0x1.721f908d0025cp-4, -0x1.65db4499e0b7bp-4, -0x1.58f4070a84eb9p-4, -0x1.4b79840c29088p-4, -0x1.3d7ac5a0fd083p-4, -0x1.2f063036761c5p-4, -0x1.202980da192f7p-4, -0x1.10f1ccd33d107p-4, -0x1.016b826dda441p-4, -0x1.e344d58f6c235p-5, -0x1.c34358ec433f2p-5, -0x1.a2e79dbe3b467p-5, -0x1.82457c49c297p-5, -0x1.616f9f0d602b3p-5, -0x1.40778c3ad08d4p-5, -0x1.1f6dafbaeae9bp-5, -0x1.fcc2cb2acf582p-6, -0x1.bac20935d1936p-6, -0x1.78f3d268a8bbfp-6, -0x1.3771007d832dfp-6, -0x1.eca1477be4bb1p-7, -0x1.6b5030eb7e30cp-7, -0x1.d62c704ffb46bp-8, -0x1.b05f0f1107ad4p-9, 0x1.189b185b19fe7p-11, 0x1.1b5ee2fb611a4p-8, 0x1.083d644a75286p-7, 0x1.8119eb9592f89p-7, 0x1.f82dbf03c77a3p-7, 0x1.36b1e50574138p-6, 0x1.7054859535128p-6, 0x1.a8f63a4460581p-6, 0x1.e08f66fa553a6p-6, 0x1.0b8ca611d18a8p-5, 0x1.2646fc8882d04p-5, 0x1.40741f8071dd7p-5, 0x1.5a11d267bb608p-5, 0x1.731e2da47dcap-5, 0x1.8b97990c8ddd1p-5, 0x1.a37cc6a923c33p-5, 0x1.baccadc3c7a2fp-5, 0x1.d1868639b1b93p-5, 0x1.e7a9c412c2787p-5, 0x1.fd361359302a9p-5, 0x1.0915aa1787ffep-4, 0x1.1344cb8f6d6cp-4, 0x1.1d288cd21277cp-4, 0x1.26c12174dd837p-4, 0x1.300ed05d3d661p-4, 0x1.3911f2511df8fp-4, 0x1.41caf09e21477p-4, 0x1.4a3a43d65eccp-4, 0x1.526072a17644p-4, 0x1.5a3e10a0d2f56p-4, 0x1.61d3bd6603a21p-4, 0x1.6922237a14e6ap-4, 0x1.7029f774f2cc4p-4, 0x1.76ebf723d2781p-4, 0x1.7d68e8bdc026bp-4, 0x1.83a19a256a76cp-4, 0x1.8996e0375e6a4p-4, 0x1.8f499623e2f2ep-4, 0x1.94ba9cd3ba701p-4, 0x1.99eada5716272p-4, 0x1.9edb395e0bf66p-4, 0x1.a38ca8b9f88dep-4, 0x1.a8001ae727c15p-4, 0x1.ac36859e44a4p-4, 0x1.b030e16d00a4cp-4, 0x1.b3f029557f7fbp-4, 0x1.b7755a73fd08ep-4, 0x1.bac173aa62eedp-4, 0x1.bdd575513c6fcp-4, 0x1.c0b260edcfb69p-4, 0x1.c35938ece53fp-4, 0x1.c5cb0061fc298p-4, 0x1.c808baca9a924p-4, 0x1.ca136bd563b83p-4, 0x1.cbec172cbf2c9p-4, 0x1.cd93c044d8bfbp-4, 0x1.cf0b6a2ca83ecp-4, 0x1.d0541761d5072p-4, 0x1.d16ec9a75b0c5p-4, 0x1.d25c81de8ecb7p-4, 0x1.d31e3fe2954a5p-4, 0x1.d3b50265f4a5p-4, 0x1.d421c6d22b94cp-4, 0x1.d4658929390fbp-4, 0x1.d48143e8ed4e4p-4, 0x1.d475efefcf6fcp-4, 0x1.d4448463b220ap-4, 0x1.d3edf699a8192p-4, 0x1.d37339ff6bcd9p-4, 0x1.d2d54005fe80ap-4, 0x1.d214f80da3a8dp-4, 0x1.d1334f52dd2e3p-4, 0x1.d03130dca613ep-4, 0x1.cf0f856ba1a8ep-4, 0x1.cdcf336a49cfap-4, 0x1.cc711ede1c5bap-4, 0x1.caf629599f0ebp-4, 0x1.c95f31ef46872p-4, 0x1.c7ad15252e863p-4, 0x1.c5e0ace99901bp-4, 0x1.c3fad088323dcp-4, 0x1.c1fc54a00a19ap-4, 0x1.bfe60b1a4451ap-4, 0x1.bdb8c32171a49p-4, 0x1.bb7549198c936p-4, 0x1.b91c6698a44b7p-4, 0x1.b6aee26010c87p-4, 0x1.b42d80564c544p-4, 0x1.b199018152ba1p-4, 0x1.aef22401a0908p-4, 0x1.ac39a30da69efp-4, 0x1.a97036edd651p-4, 0x1.a69694f925c9cp-4, 0x1.a3ad6f9210dedp-4, 0x1.a0b576242892bp-4, 0x1.9daf5522018e3p-4, 0x1.9a9bb603a84ddp-4, 0x1.977b3f45882ebp-4, 0x1.944e9467b8dfcp-4, 0x1.911655edc1289p-4, 0x1.8dd3215ebf05ep-4, 0x1.8a859145f9da9p-4, 0x1.872e3d33d7d8ap-4, 0x1.83cdb9bf35679p-4, 0x1.806498871d4c9p-4, 0x1.7cf36834dbf2fp-4, 0x1.797ab47e6e2fdp-4, 0x1.75fb062947fb7p-4, 0x1.7274e30d6e8dap-4, 0x1.6ee8ce18e772bp-4, 0x1.6b57475376437p-4, 0x1.67c0cbe2a9002p-4, 0x1.6425d60e2e4ecp-4, 0x1.6086dd4475c94p-4, 0x1.5ce4561f96aa5p-4, 0x1.593eb26a7872bp-4, 0x1.559661263e67cp-4, 0x1.51ebce8ff267ep-4, 0x1.4e3f64266a25cp-4, 0x1.4a9188b06861cp-4, 0x1.46e2a042f5605p-4, 0x1.43330c47eb45ep-4, 0x1.3f832b84b6df9p-4, 0x1.3bd35a214981p-4, 0x1.3823f1af3575p-4, 0x1.34754930faa1bp-4, 0x1.30c7b5217a3abp-4, 0x1.2d1b877b92bd4p-4, 0x1.29710fc1dfa1bp-4, 0x1.25c89b069d77bp-4, 0x1.222273f3ad809p-4, 0x1.1e7ee2d2b899p-4, 0x1.1ade2d956c86cp-4, 0x1.174097ddd6d47p-4, 0x1.13a66306d49c6p-4, 0x1.100fce2c9905p-4, 0x1.0c7d16354a155p-4, 0x1.08ee75d9ac7cdp-4, 0x1.056425ade1209p-4, 0x1.01de5c2a31f5dp-4, 0x1.fcba9b67d114ep-5, 0x1.f5c2594c637c3p-5, 0x1.eed452b612cd9p-5, 0x1.e7f0e4685894dp-5, 0x1.e118674822434p-5, 0x1.da4b306dc7c8ep-5, 0x1.d389913708828p-5, 0x1.ccd3d75908823p-5, 0x1.c62a4cf24cc93p-5, 0x1.bf8d389cb1e0fp-5, 0x1.b8fcdd7f5b109p-5, 0x1.b2797b60997aap-5, 0x1.ac034eb7c1492p-5, 0x1.a59a90bef60dep-5, 0x1.9f3f7784dd73bp-5, 0x1.98f235fe459e9p-5, 0x1.92b2fc17adfe8p-5, 0x1.8c81f6c6ba517p-5, 0x1.865f501b897f5p-5, 0x1.804b2f51f15f1p-5, 0x1.7a45b8e2974bep-5, 0x1.744f0e93ecef5p-5, 0x1.6e674f8b04eeap-5, 0x1.688e985c462bbp-5, 0x1.62c5031bf9061p-5, 0x1.5d0aa76eaa634p-5, 0x1.575f9a99685d3p-5, 0x1.51c3ef91d241ep-5, 0x1.4c37b70dfdffap-5, 0x1.46baff942e126p-5, 0x1.414dd58a5ea03p-5, 0x1.3bf043459aa44p-5, 0x1.36a2511929b22p-5, 0x1.316405658405p-5, 0x1.2c3564a71b481p-5, 0x1.27167184ec21bp-5, 0x1.22072cdedd6e2p-5, 0x1.1d0795dbe8f15p-5, 0x1.1817a9f812c67p-5, 0x1.133765122829ep-5, 0x1.0e66c17946abfp-5, 0x1.09a5b7fa327b4p-5, 0x1.04f43fec6e0eep-5, 0x1.00524f3f2141dp-5, 0x1.f77fb50b87219p-6, 0x1.ee79aa09253d8p-6, 0x1.e59261799befep-6, 0x1.dcc9bcf17511fp-6, 0x1.d41f9baee1eacp-6, 0x1.cb93dab0de1f1p-6, 0x1.c32654cde85f7p-6, 0x1.bad6e2ca49cb6p-6, 0x1.b2a55b6de9ec9p-6, 0x1.aa919399b870ap-6, 0x1.a29b5e5c9c718p-6, 0x1.9ac28d0801ee7p-6, 0x1.9306ef43eeef8p-6, 0x1.8b685322ac4bap-6, 0x1.83e6853400a7ep-6, 0x1.7c81509801e92p-6, 0x1.75387f11728ap-6, 0x1.6e0bd917bdd51p-6, 0x1.66fb25e87a62p-6, 0x1.60062b989550dp-6, 0x1.592caf2503144p-6, 0x1.526e748310887p-6, 0x1.4bcb3eb04f69p-6, 0x1.4542cfc213985p-6, 0x1.3ed4e8f494384p-6, 0x1.38814ab9a3e8ep-6, 0x1.3247b4c707ecp-6, 0x1.2c27e62469f33p-6, 0x1.26219d38f0906p-6, 0x1.203497d870e8ap-6, 0x1.1a60935049259p-6, 0x1.14a54c73d591ep-6, 0x1.0f027fa894c95p-6, 0x1.0977e8f1e7482p-6, 0x1.040543fc7f761p-6, 0x1.fd549852de5b1p-7, 0x1.f2cd7931daf73p-7, 0x1.e874a06970e83p-7, 0x1.de4983745bacap-7, 0x1.d44b97881d18fp-7, 0x1.ca7a51a7dcdc1p-7, 0x1.c0d526b6b5a63p-7, 0x1.b75b8b89569bfp-7, 0x1.ae0cf4f7207f4p-7, 0x1.a4e8d7ea92eb7p-7, 0x1.9beea9713ae81p-7, 0x1.931ddecb0813fp-7, 0x1.8a75ed7915134p-7, 0x1.81f64b4be0711p-7, 0x1.799e6e71083e3p-7, 0x1.716dcd807352dp-7, 0x1.6963df88fbe5fp-7, 0x1.61801c1ca11c1p-7, 0x1.59c1fb5c344aep-7, 0x1.5228f602835a2p-7, 0x1.4ab4856f2208ap-7, 0x1.436423b0a47cp-7, 0x1.3c374b8e78007p-7, 0x1.352d789243bc2p-7, 0x1.2e462710e215p-7, 0x1.2780d432e4db3p-7, 0x1.20dcfdfcbe401p-7, 0x1.1a5a235678efp-7, 0x1.13f7c41312223p-7, 0x1.0db560f7732bfp-7, 0x1.07927bc10a74bp-7, 0x1.018e972c09b16p-7, 0x1.f7526df292a9p-8, 0x1.ebc3bfe7adb1ap-8, 0x1.e0702fec58fd6p-8, 0x1.d556cbde2e415p-8, 0x1.ca76a3cc943e8p-8, 0x1.bfceca0152d37p-8, 0x1.b55e530884ebfp-8, 0x1.ab2455b7fd6cbp-8, 0x1.a11feb3618e86p-8, 0x1.97502f000b9ap-8, 0x1.8db43eefa0a9bp-8, 0x1.844b3b4077f7ap-8, 0x1.7b144694c80cdp-8, 0x1.720e85f9a2cb1p-8, 0x1.693920eacb35bp-8, 0x1.6093415603d69p-8, 0x1.581c139e0599bp-8, 0x1.4fd2c69cfacfp-8, 0x1.47b68ba697a7fp-8, 0x1.3fc69689cfa15p-8, 0x1.38021d92215efp-8, 0x1.306859889177p-8, 0x1.28f885b43df05p-8, 0x1.21b1dfdaa0f8p-8, 0x1.1a93a83f83168p-8, 0x1.139d21a48db13p-8, 0x1.0ccd9148a2b84p-8, 0x1.06243ee6d9f94p-8, 0x1.ff40e96a780a1p-9, 0x1.f282fec6703dbp-9, 0x1.e60d5c2faf7c8p-9, 0x1.d9dea4df64e7ap-9, 0x1.cdf580f536deep-9, 0x1.c2509d72499c7p-9, 0x1.b6eeac33c575cp-9, 0x1.abce63ecd7218p-9, 0x1.a0ee802080237p-9, 0x1.964dc11ad9eb8p-9, 0x1.8beaebea05a4p-9, 0x1.81c4ca56ce4f7p-9, 0x1.77da2adce7425p-9, 0x1.6e29e0a2ea6ffp-9, 0x1.64b2c371f7035p-9, 0x1.5b73afad1efe1p-9, 0x1.526b864876441p-9, 0x1.49992cbfeefcfp-9, 0x1.40fb8d0e03daep-9, 0x1.389195a217827p-9, 0x1.305a39569de7p-9, 0x1.28546f671c8f8p-9, 0x1.207f3365fcb09p-9, 0x1.18d985322a0d6p-9, 0x1.116268ec81fddp-9, 0x1.0a18e6ed3a93ap-9, 0x1.02fc0bb8f8aeap-9, 0x1.f815cfebdac5p-10, 0x1.ea8920c18dc73p-10, 0x1.dd503b8304fa8p-10, 0x1.d06959c05b497p-10, 0x1.c3d2bcf3102bap-10, 0x1.b78aae672e98ep-10, 0x1.ab8f7f2469da6p-10, 0x1.9fdf87d6e82b2p-10, 0x1.947928b823dcap-10, 0x1.895ac9778a0e2p-10, 0x1.7e82d9234aee9p-10, 0x1.73efce10b9667p-10, 0x1.69a025c50dd6dp-10, 0x1.5f9264ddc3832p-10, 0x1.55c516f930874p-10, 0x1.4c36ce9f104aap-10, 0x1.42e62528f88efp-10, 0x1.39d1baaaef25ep-10, 0x1.30f835dc00c68p-10, 0x1.285843fedd846p-10, 0x1.1ff098ca994d8p-10, 0x1.17bfee5363673p-10, 0x1.0fc504f35c501p-10, 0x1.07fea33381079p-10, 0x1.006b95b4c220ep-10, 0x1.f2155e321cad2p-11, 0x1.e3b58fd941cc5p-11, 0x1.d5b57d1e9f9ccp-11, 0x1.c812ee3c2271cp-11, 0x1.bacbb6b92be4p-11, 0x1.adddb53e29b48p-11, 0x1.a146d368500a8p-11, 0x1.9505059dc3283p-11, 0x1.89164ae211bc4p-11, 0x1.7d78acaaf00ep-11, 0x1.722a3eb55e926p-11, 0x1.67291edb0c66dp-11, 0x1.5c7374e849eap-11, 0x1.520772720eb16p-11, 0x1.47e352ac9dccdp-11, 0x1.3e055a4285af5p-11, 0x1.346bd72bd8d76p-11, 0x1.2b152085e6241p-11, 0x1.21ff966b62348p-11, 0x1.1929a1ccf368ap-11, 0x1.1091b44a19148p-11, 0x1.0836480a72a0ap-11, 0x1.0015df97a7382p-11, 0x1.f05e0b6ef165cp-12, 0x1.e1009a8ce3bf3p-12, 0x1.d210a225d8cc1p-12, 0x1.c38b677113e82p-12, 0x1.b56e3ef849133p-12, 0x1.a7b68c502d9fep-12, 0x1.9a61c1d23b94cp-12, 0x1.8d6d6056f6c12p-12, 0x1.80d6f6f144fdap-12, 0x1.749c22aace563p-12, 0x1.68ba8e40e19b7p-12, 0x1.5d2ff1e28c8ccp-12, 0x1.51fa12ef600c7p-12, 0x1.4716c3b74f268p-12, 0x1.3c83e33b1b0ebp-12, 0x1.323f5cee17313p-12, 0x1.284728783cfa5p-12, 0x1.1e994979af8fcp-12, 0x1.1533cf4ea95f6p-12, 0x1.0c14d4d4af4aap-12, 0x1.033a803035c29p-12, 0x1.f5460526fa2d3p-13, 0x1.e499300c506d4p-13, 0x1.d46b0e5b269eap-13, 0x1.c4b8422c787p-13, 0x1.b57d81fb78b08p-13, 0x1.a6b7983c08371p-13, 0x1.986362f197fa7p-13, 0x1.8a7dd34930667p-13, 0x1.7d03ed339f6d5p-13, 0x1.6ff2c702987f5p-13, 0x1.6347890699c4fp-13, 0x1.56ff6d2eb087bp-13, 0x1.4b17bea9d5a16p-13, 0x1.3f8dd989e10bbp-13, 0x1.345f2a67f256p-13, 0x1.29892e0abf7dfp-13, 0x1.1f09710ddc621p-13, 0x1.14dd8f8adce19p-13, 0x1.0b0334c43fa74p-13, 0x1.01781ad0f693ep-13, 0x1.f07414951a976p-14, 0x1.de8db3f792b91p-14, 0x1.cd38dd2281fdp-14, 0x1.bc7174969b02fp-14, 0x1.ac3379624c23p-14, 0x1.9c7b048b9e115p-14, 0x1.8d44487bfcae4p-14, 0x1.7e8b906ef3e72p-14, 0x1.704d3fe4346b8p-14, 0x1.6285d2135895p-14, 0x1.5531d962b97a8p-14, 0x1.484dfee0dcec2p-14, 0x1.3bd701c08ac1ep-14, 0x1.2fc9b6d6f98dfp-14, 0x1.2423081cdfb31p-14, 0x1.18dff43200edep-14, 0x1.0dfd8de276d75p-14, 0x1.0378fbaf8a8dep-14, 0x1.f29eeeb359987p-15, 0x1.defc9adaea521p-15, 0x1.cc05b9a5dd89cp-15, 0x1.b9b52cbd8e12p-15, 0x1.a805f8cb38258p-15, 0x1.96f344a55c4fp-15, 0x1.8678587d04c5ap-15, 0x1.76909d13cf61fp-15, 0x1.67379af368ddap-15, 0x1.5868f9a945445p-15, 0x1.4a207f0820cf7p-15, 0x1.3c5a0e6b741f6p-15, 0x1.2f11a8003cdcap-15, 0x1.224368106701cp-15, 0x1.15eb865314be3p-15, 0x1.0a0655405572fp-15, 0x1.fd2082d056018p-16, 0x1.e70ba19986332p-16, 0x1.d1c74484422bep-16, 0x1.bd4cd99d988e7p-16, 0x1.a995fe2332d3p-16, 0x1.969c7d5404bc9p-16, 0x1.845a4f491880dp-16, 0x1.72c997d200ceap-16, 0x1.61e4a55ba238fp-16, 0x1.51a5efd99c365p-16, 0x1.420817b7da5a2p-16, 0x1.3305e4d1e4f93p-16, 0x1.249a456f5c0f9p-16, 0x1.16c04d4754addp-16, 0x1.09733487befc3p-16, 0x1.f95cadcb47246p-17, 0x1.e0da655cede47p-17, 0x1.c956cfc63d5eap-17, 0x1.b2c96ea8335f9p-17, 0x1.9d2a038daf59bp-17, 0x1.88708e3be240ap-17, 0x1.74954b0b58788p-17, 0x1.6190b14f0108ep-17, 0x1.4f5b71c294246p-17, 0x1.3dee75022b3c5p-17, 0x1.2d42da0b36ddep-17, 0x1.1d51f4c6e6615p-17, 0x1.0e154c9ce8f8cp-17, 0x1.ff0d362263907p-18, 0x1.e33f94c9902cbp-18, 0x1.c8b5e88bacd4cp-18, 0x1.af64c106de311p-18, 0x1.97410791c0d5bp-18, 0x1.803ffcc9008a9p-18, 0x1.6a573625b5786p-18, 0x1.557c9ba62e391p-18, 0x1.41a66583fb3e3p-18, 0x1.2ecb19f866bcap-18, 0x1.1ce18b1039a4fp-18, 0x1.0be0d48db0e3ap-18, 0x1.f780b3a71399ep-19, 0x1.d8ef87ca47dfbp-19, 0x1.bbfdfed61d01bp-19, 0x1.a09c75942471bp-19, 0x1.86bbc886cc872p-19, 0x1.6e4d504a1ce02p-19, 0x1.5742de05c8eebp-19, 0x1.418eb7f109ae2p-19, 0x1.2d2395fc9dbe4p-19, 0x1.19f49e821b189p-19, 0x1.07f56318da831p-19, 0x1.ee33badbf186ep-20, 0x1.ceacd88d5a90ep-20, 0x1.b13fa104a03e5p-20, 0x1.95d6547cba02ep-20, 0x1.7c5bec0e93d29p-20, 0x1.64bc143980c9cp-20, 0x1.4ee3279141ce8p-20, 0x1.3abe299916907p-20, 0x1.283ac1ada31bp-20, 0x1.1747362af4e75p-20, 0x1.07d267a0cdc6p-20, 0x1.f3979854fda6ep-21, 0x1.da46d5ec58eabp-21, 0x1.c393af9f0e327p-21, 0x1.af605dcaa6487p-21, 0x1.9d9021384e324p-21, 0x1.8e073b071e97ap-21, 0x1.80aae4c174178p-21, 0x1.756148d08d412p-21, 0x1.6c117aeeda6ffp-21, 0x1.64a37103eb46cp-21, 0x1.5efffc03201p-21, 0x1.5b10c12c2c1c2p-21, 0x1.58c03354cbc65p-21, 0x1.57f98c7700a2dp-21, 0x1.58a8c76fc8a5p-21, 0x1.5aba99dcff7d9p-21, 0x1.5e1c6e37c563ap-21, 0x1.62bc5e0f3aec4p-21, 0x1.68892c6df3a67p-21, 0x1.6f72406e3e686p-21, 0x1.77679feb64bdep-21, 0x1.8059ea6e545f1p-21, 0x1.8a3a5425f3df7p-21, 0x1.94faa11706f48p-21, 0x1.a08d2072f5c06p-21, 0x1.ace4a8013b488p-21, 0x1.b9f48fb29593dp-21, 0x1.c7b0ad5c57eefp-21, 0x1.d60d508966822p-21, 0x1.e4ff3e7425a68p-21, 0x1.f47bae12fee02p-21, 0x1.023c2229b9914p-20, 0x1.0a758832cad17p-20, 0x1.12e54412f5677p-20, 0x1.1b86c256c9479p-20, 0x1.24559f73b4fccp-20, 0x1.2d4da62d0a319p-20, 0x1.366acdf834a7cp-20, 0x1.3fa939781a519p-20, 0x1.49053501a911cp-20, 0x1.527b35258c949p-20, 0x1.5c07d54fb6101p-20, 0x1.65a7d66c0531ep-20, 0x1.6f581d955725bp-20, 0x1.7915b2d04fd06p-20, 0x1.82ddbfd1b1716p-20, 0x1.8cad8ecc56773p-20, 0x1.9682894787268p-20, 0x1.a05a37055b1dap-20, 0x1.aa323ce917621p-20, 0x1.b4085bed299c2p-20, 0x1.bdda7020ae772p-20, 0x1.c7a66fab3cdf9p-20, 0x1.d16a69d5ccab3p-20, 0x1.db24862801ae6p-20, 0x1.e4d30379ee2ffp-20, 0x1.ee74371ee310fp-20, 0x1.f8068c0d3b7fp-20, 0x1.00c441090c862p-19, 0x1.057c56844e116p-19, 0x1.0a2ada0c6adep-19, 0x1.0ecf287f3ef0bp-19, 0x1.1368a7aa9055dp-19, 0x1.17f6c5f3a1843p-19, 0x1.1c78fa04a328fp-19, 0x1.20eec27a2fc01p-19, 0x1.2557a594d5615p-19, 0x1.29b330ed8c606p-19, 0x1.2e00f92b975d4p-19, 0x1.324099bf47679p-19, 0x1.3671b49b14f98p-19, 0x1.3a93f1f41e0b9p-19, 0x1.3ea70000c1a93p-19, 0x1.42aa92baca53dp-19, 0x1.469e63a5bed11p-19, 0x1.4a8231931c979p-19, 0x1.4e55c06cf7f5cp-19, 0x1.5218d8fea464cp-19, 0x1.55cb48c341746p-19, 0x1.596ce1b2d9163p-19, 0x1.5cfd7a120c30ap-19, 0x1.607cec45a6c81p-19, 0x1.63eb16a383dbbp-19, 0x1.6747db49a287ap-19, 0x1.6a931ff381012p-19, 0x1.6dcccdd2cf9e9p-19, 0x1.70f4d1687aeabp-19, 0x1.740b1a605b0fdp-19, 0x1.770f9b6ce187ap-19, 0x1.7a024a24f1ed5p-19, 0x1.7ce31ee251d7ap-19, 0x1.7fb214a357613p-19, 0x1.826f28e9e765bp-19, 0x1.851a5b9fd6a38p-19, 0x1.87b3aef9b227ep-19, 0x1.8a3b275af1bf4p-19, 0x1.8cb0cb3cd29efp-19, 0x1.8f14a31420d0bp-19, 0x1.9166b938ae14fp-19, 0x1.93a719ceb6cc1p-19, 0x1.95d5d2b03875dp-19, 0x1.97f2f357543f3p-19, 0x1.99fe8cc88d3ebp-19, 0x1.9bf8b1804b22fp-19, 0x1.9de1755e895e2p-19, 0x1.9fb8ed95580c7p-19, 0x1.a17f3095d7be6p-19, 0x1.a3345600a6aaep-19, 0x1.a4d87694a4747p-19, 0x1.a66bac1f7a73bp-19, 0x1.a7ee116ed3d41p-19, 0x1.a95fc241cd9abp-19, 0x1.aac0db3b91496p-19, 0x1.ac1179d507306p-19, 0x1.ad51bc50ec614p-19, 0x1.ae81c1af71e04p-19, 0x1.afa1a9a285e4ep-19, 0x1.b0b194828bc86p-19, 0x1.b1b1a343ad4afp-19, 0x1.b2a1f76bf62f3p-19, 0x1.b382b308c9d0bp-19, 0x1.b453f8a601941p-19, 0x1.b515eb4463979p-19, 0x1.b5c8ae520f7c1p-19, 0x1.b66c65a0f10c7p-19, 0x1.b701355f617cp-19, 0x1.b787421120d7fp-19, 0x1.b7feb0872aa0ap-19, 0x1.b867a5d939951p-19, 0x1.b8c2475f9017p-19, 0x1.b90ebaac0c209p-19, 0x1.b94d25848ec3p-19, 0x1.b97daddcc5b23p-19, 0x1.b9a079d171471p-19, 0x1.b9b5afa24a49dp-19, 0x1.b9bd75add5c3cp-19, 0x1.b9b7f26bceccp-19, 0x1.b9a54c695f3acp-19, 0x1.b985aa43fa727p-19, 0x1.b95932a62f69ap-19, 0x1.b9200c42ae1cap-19, 0x1.b8da5dd162cd6p-19, 0x1.b8884e0b92771p-19, 0x1.b82a03a80ee43p-19, 0x1.b7bfa558f91afp-19, 0x1.b74959c7b5768p-19, 0x1.b6c7479255e02p-19, 0x1.b6399549114acp-19, 0x1.b5a0696b71f7ep-19, 0x1.b4fbea656093ap-19, 0x1.b44c3e8d4d3c4p-19, 0x1.b3918c22110f5p-19, 0x1.b2cbf94834a55p-19, 0x1.b1fbac085bf8p-19, 0x1.b120ca4cd3c5dp-19, 0x1.b03b79e09762ap-19, 0x1.af4be06cb6e7ep-19, 0x1.ae5223773665ep-19, 0x1.ad4e68614e8edp-19, 0x1.ac40d465efabep-19, 0x1.ab298c987f5fbp-19, 0x1.aa08b5e373d22p-19, 0x1.a8de750718f0ap-19, 0x1.a7aaee9864ac1p-19, 0x1.a66e46ffc4debp-19, 0x1.a528a27831385p-19, 0x1.a3da250e37f9fp-19, 0x1.a282f29f0ab1bp-19, 0x1.a1232ed76aae7p-19, 0x1.9fbafd3324fd3p-19, 0x1.9e4a80fc567c3p-19, 0x1.9cd1dd4a466fbp-19, 0x1.9b51350103eeep-19, 0x1.99c8aad0f7358p-19, 0x1.983861358fd5cp-19, 0x1.96a07a75ab544p-19, 0x1.950118a28c8fcp-19, 0x1.935a5d972e3d4p-19, 0x1.91ac6af82f4e9p-19, 0x1.8ff7623345b69p-19, 0x1.8e3b647ef6ee4p-19, 0x1.8c7892d9e0109p-19, 0x1.8aaf0e0aa48efp-19, 0x1.88def69fc262p-19, 0x1.87086cef0a91bp-19, 0x1.852b9115768c5p-19, 0x1.834882f6c0f79p-19, 0x1.815f623d4ea0dp-19, 0x1.7f704e5a15b3fp-19, 0x1.7d7b66845b703p-19, 0x1.7b80c9b9742b5p-19, 0x1.798096bc7b43p-19, 0x1.777aec166a2bep-19, 0x1.756fe8164f34cp-19, 0x1.735fa8d06cb51p-19, 0x1.714a4c1e7ecd4p-19, 0x1.6f2fef9feaabbp-19, 0x1.6d10b0b93715p-19, 0x1.6aecac943ba9p-19, 0x1.68c400201cd9bp-19, 0x1.6696c8112954dp-19, 0x1.646520e0ef584p-19, 0x1.622f26ce26365p-19, 0x1.5ff4f5dc9feccp-19, 0x1.5db6a9d53e309p-19, 0x1.5b745e46382e9p-19, 0x1.592e2e828f9e2p-19, 0x1.56e435a2d3059p-19, 0x1.54968e84b1edap-19, 0x1.524553cb22edap-19, 0x1.4ff09fde34f9fp-19, 0x1.4d988ceb874b1p-19, 0x1.4b3d34e5ef709p-19, 0x1.48deb185d58c7p-19, 0x1.467d1c4909ab1p-19, 0x1.44188e72f307fp-19, 0x1.41b1210cbb49ep-19, 0x1.3f46ece520f8bp-19, 0x1.3cda0a90a34c9p-19, 0x1.3a6a92699d469p-19, 0x1.37f89c9072133p-19, 0x1.358440eb96d7ap-19, 0x1.330d9727b9e48p-19, 0x1.3094b6b7d4012p-19, 0x1.2e19b6d4f2cf5p-19, 0x1.2b9cae7ec16a2p-19, 0x1.291db47b70c3bp-19, 0x1.269cdf580732p-19, 0x1.241a45683dd8bp-19, 0x1.2195fcc69569dp-19, 0x1.1f101b54c4d3ep-19, 0x1.1c88b6bba10bap-19, 0x1.19ffe46b4e0c3p-19, 0x1.1775b99b46553p-19, 0x1.14ea4b4aa8bd7p-19, 0x1.125dae403469bp-19, 0x1.0fcff70a7093ap-19, 0x1.0d4139fff4983p-19, 0x1.0ab18b3f8437p-19, 0x1.0820feaffa3ep-19, 0x1.058fa800a39ep-19, 0x1.02fd9aa96576fp-19, 0x1.006ae9eaf7508p-19, 0x1.fbaf519dc50d2p-20, 0x1.f687d44f6a07fp-20, 0x1.f15f8122353f3p-20, 0x1.ec367ce03c804p-20, 0x1.e70cebe6ca78bp-20, 0x1.e1e2f226aacdep-20, 0x1.dcb8b3244a653p-20, 0x1.d78e51f827392p-20, 0x1.d263f14f4bb68p-20, 0x1.cd39b36b5ee04p-20, 0x1.c80fba239e7ebp-20, 0x1.c2e626e49555dp-20, 0x1.bdbd1ab0f1971p-20, 0x1.b894b6218292fp-20, 0x1.b36d1965d336cp-20, 0x1.ae4664449b092p-20, 0x1.a920b61c2963p-20, 0x1.a3fc2de288059p-20, 0x1.9ed8ea25f79edp-20, 0x1.99b7090dd09bp-20, 0x1.9496a85a61b56p-20, 0x1.8f77e56576dcbp-20, 0x1.8a5add2320a7ap-20, 0x1.853fac21b6a31p-20, 0x1.80266e8a1b58p-20, 0x1.7b0f402103b95p-20, 0x1.75fa3c46fce7cp-20, 0x1.70e77df83728dp-20, 0x1.6bd71fcdcc2ep-20, 0x1.66c93bfe23624p-20, 0x1.61bdec5d3f294p-20, 0x1.5cb54a5cd9b1ep-20, 0x1.57af6f0d73e6p-20, 0x1.52ac731eb3f4bp-20, 0x1.4dac6edf94974p-20, 0x1.48af7a3ef9cb3p-20, 0x1.43b5accca416ap-20, 0x1.3ebf1db9364bdp-20, 0x1.39cbe3d683ef7p-20, 0x1.34dc159855378p-20, 0x1.2fefc915886dap-20, 0x1.2b071407c5d75p-20, 0x1.26220bcc0c5dcp-20, 0x1.2140c5634ae4cp-20, 0x1.1c635573c48b7p-20, 0x1.1789d04863bbdp-20, 0x1.12b449d18ad8cp-20, 0x1.0de2d5a628f17p-20, 0x1.09158703be5dfp-20, 0x1.044c70cf49713p-20, 0x1.ff0f4b2b47064p-21, 0x1.f58e6f17e02aap-21, 0x1.ec1671204b949p-21, 0x1.e2a7745439489p-21, 0x1.d9419b1705ac9p-21, 0x1.cfe50721e02acp-21, 0x1.c691d984473f5p-21, 0x1.bd4832a50f916p-21, 0x1.b408324471e95p-21, 0x1.aad1f77c42fdfp-21, 0x1.a1a5a0c10a006p-21, 0x1.98834be39d95cp-21, 0x1.8f6b16133a1b1p-21, 0x1.865d1bdd4eaf6p-21, 0x1.7d59792ec33ffp-21, 0x1.74604955cb3bap-21, 0x1.6b71a70339eb2p-21, 0x1.628dac4b052e3p-21, 0x1.59b472a590d59p-21, 0x1.50e612f1c9bdfp-21, 0x1.4822a57512717p-21, 0x1.3f6a41dd430d8p-21, 0x1.36bcff4145d39p-21, 0x1.2e1af424395d9p-21, 0x1.2584367431065p-21, 0x1.1cf8db8c77733p-21, 0x1.1478f83644f83p-21, 0x1.0c04a0abb073fp-21, 0x1.039be89791905p-21, 0x1.f67dc62d6d556p-22, 0x1.e5db4571e3606p-22, 0x1.d550730673d18p-22, 0x1.c4dd71e10ef69p-22, 0x1.b48263e621e2dp-22, 0x1.a43f69e9c9926p-22, 0x1.9414a3b483562p-22, 0x1.8402300518e4fp-22, 0x1.74082c9232f53p-22, 0x1.6426b60d70248p-22, 0x1.545de82652d39p-22, 0x1.44addd8b7b34bp-22, 0x1.3516afeee1a8bp-22, 0x1.25987807e5662p-22, 0x1.16334d94697a5p-22, 0x1.06e7475c6f955p-22, 0x1.ef68f66ab0e5ep-23, 0x1.d135fc077f8f9p-23, 0x1.b335c77a515c4p-23, 0x1.95687ed5ad83p-23, 0x1.77ce465aa940ep-23, 0x1.5a67407e0c06p-23, 0x1.3d338dea22292p-23, 0x1.20334d86098f9p-23, 0x1.03669c7a8fc11p-23, 0x1.cd9b2c6d515c4p-24, 0x1.94d0a8e878b2ep-24, 0x1.5c6dde7c9767fp-24, 0x1.2472f9e7a1a5ep-24, 0x1.d9c0493bc6534p-25, 0x1.6b6b09a5f3152p-25, 0x1.fbccf6001fc14p-26, 0x1.2265b9b62869bp-26, 0x1.2a834476c6125p-28, -0x1.1702bb1f0fab8p-27, -0x1.6000786622597p-26, -0x1.196e18c25d7f4p-25, -0x1.820a2385738d3p-25, -0x1.e9d44171b0086p-25, -0x1.28662ea98614p-24, -0x1.5b7933d80f2e3p-24, -0x1.8e232b5fb115dp-24, -0x1.c0641328f95b9p-24, -0x1.f23bebe0c413ap-24, -0x1.11d55c76f8a2ap-23, -0x1.2a58403506521p-23, -0x1.42a6a588ace94p-23, -0x1.5ac092213deb2p-23, -0x1.72a60cf78d0c2p-23, -0x1.8a571e4a75381p-23, -0x1.a1d3cf98fdc5bp-23, -0x1.b91c2b9f6bae6p-23, -0x1.d0303e536a581p-23, -0x1.e71014db36033p-23, -0x1.fdbbbd8e08a07p-23, -0x1.0a19a3f6c76d1p-22, -0x1.153b6250a9e4dp-22, -0x1.204322b8576ap-22, -0x1.2b30eea10437p-22, -0x1.3604d009c4e2p-22, -0x1.40bed17bf3764p-22, -0x1.4b5efe08e4629p-22, -0x1.55e561472046ap-22, -0x1.60520751be635p-22, -0x1.6aa4fcc49dfefp-22, -0x1.74de4ebbe9e13p-22, -0x1.7efe0ad09d58fp-22, -0x1.89043f1637c8bp-22, -0x1.92f0fa1a1f643p-22, -0x1.9cc44ae053684p-22, -0x1.a67e40e1fe65dp-22, -0x1.b01eec0b34df9p-22, -0x1.b9a65cb8f9151p-22, -0x1.c314a3b7b9792p-22, -0x1.cc69d23f242adp-22, -0x1.d5a5f9f330216p-22, -0x1.dec92ce069eecp-22, -0x1.e7d37d7a4752cp-22, -0x1.f0c4fe992a198p-22, -0x1.f99dc3784f9bcp-22, -0x1.012eefdaa2819p-21, -0x1.0582b3a5c98cdp-21, -0x1.09ca374a61ae4p-21, -0x1.0e058522e2916p-21, -0x1.1234a7b6be56cp-21, -0x1.1657a9b923d56p-21, -0x1.1a6e960824eecp-21, -0x1.1e7977ac37468p-21, -0x1.227859d704596p-21, -0x1.266b47e272c3bp-21, -0x1.2a524d4fa1eccp-21, -0x1.2e2d75c66921ap-21, -0x1.31fccd1498e35p-21, -0x1.35c05f2c74fcp-21, -0x1.397838246d79cp-21, -0x1.3d2464365e25p-21, -0x1.40c4efbdf399bp-21, -0x1.4459e7384a6eep-21, -0x1.47e35743ca172p-21, -0x1.4b614c9e5617dp-21, -0x1.4ed3d424e9f6bp-21, -0x1.523afad29b94ep-21, -0x1.5596cdc057dacp-21, -0x1.58e75a237cd9ap-21, -0x1.5c2cad4d2e3dep-21, -0x1.5f66d4aa12707p-21, -0x1.6295ddc112ffbp-21, -0x1.65b9d632cbd0fp-21, -0x1.68d2cbb89e161p-21, -0x1.6be0cc2452394p-21, -0x1.6ee3e55f00a07p-21, -0x1.71dc25684fc14p-21, -0x1.74c99a5646ef3p-21, -0x1.77ac52546c27cp-21, -0x1.7a845ba24973dp-21, -0x1.7d51c493b5ffep-21, -0x1.80149b8fb956bp-21, -0x1.82ccef1046e58p-21, -0x1.857acda0bd237p-21, -0x1.881e45de4208ap-21, -0x1.8ab766763ec03p-21, -0x1.8d463e25e8ad3p-21, -0x1.8fcadbbaa6a47p-21, -0x1.92454e1012a41p-21, -0x1.94b5a40fb557dp-21, -0x1.971becb0c5c3cp-21, -0x1.997836f7a6105p-21, -0x1.9bca91f4a9f23p-21, -0x1.9e130cc406fc8p-21, -0x1.a051b68d45e51p-21, -0x1.a2869e82305a9p-21, -0x1.a4b1d3de8e60cp-21, -0x1.a6d365e7faf74p-21, -0x1.a8eb63ec68c98p-21, -0x1.aaf9dd42bb859p-21, -0x1.acfee14939692p-21, -0x1.aefa7f65ba106p-21, -0x1.b0ecc70461566p-21, -0x1.b2d5c7981a76dp-21, -0x1.b4b5909961eb1p-21, -0x1.b68c3185f17bdp-21, -0x1.b859b9dfc824dp-21, -0x1.ba1e392e13aa1p-21, -0x1.bbd9befadcfe7p-21, -0x1.bd8c5ad4236bep-21, -0x1.bf361c4a541f2p-21, -0x1.c0d712f029df7p-21, -0x1.c26f4e5ae902bp-21, -0x1.c3fede207e321p-21, -0x1.c585d1d89f1b7p-21, -0x1.c704391a94d1fp-21, -0x1.c87a237f267c8p-21, -0x1.c9e7a09dbdb14p-21, -0x1.cb4cc00da0bedp-21, -0x1.cca99164e681p-21, -0x1.cdfe243807ed5p-21, -0x1.cf4a8819ec86ep-21, -0x1.d08ecc9ae8ce5p-21, -0x1.d1cb0148da283p-21, -0x1.d2ff35ae8c245p-21, -0x1.d42b79533d20cp-21, -0x1.d54fdbba94d5fp-21, -0x1.d66c6c6408763p-21, -0x1.d7813acadfc0dp-21, -0x1.d88e5664e9326p-21, -0x1.d993cea35d9abp-21, -0x1.da91b2f1ff4b6p-21, -0x1.db8812b619738p-21, -0x1.dc76fd4fa01ffp-21, -0x1.dd5e821725f51p-21, -0x1.de3eb05f9cab7p-21, -0x1.df179773ae73cp-21, -0x1.dfe946977ee95p-21, -0x1.e0b3cd0725272p-21, -0x1.e17739f6cb23dp-21, -0x1.e2339c925d739p-21, -0x1.e2e903fd22985p-21, -0x1.e3977f51ced6ap-21, -0x1.e43f1da1e0b9bp-21, -0x1.e4dfedf557849p-21, -0x1.e579ff4acc54cp-21, -0x1.e60d6096f94ebp-21, -0x1.e69a20c44104fp-21, -0x1.e7204eb314d9bp-21, -0x1.e79ff938df23ep-21, -0x1.e8192f20af339p-21, -0x1.e88bff29ff081p-21, -0x1.e8f878098c106p-21, -0x1.e95ea8682eddcp-21, -0x1.e9be9ee325636p-21, -0x1.ea186a0bdaee1p-21, -0x1.ea6c1867abbacp-21, -0x1.eab9b86f40181p-21, -0x1.eb01588f4a66fp-21, -0x1.eb43072743d2fp-21, -0x1.eb7ed28a4973dp-21, -0x1.ebb4c8fd88166p-21, -0x1.ebe4f8ba24d88p-21, -0x1.ec0f6fea88f23p-21, -0x1.ec343cac9bf19p-21, -0x1.ec536d0fb3ec7p-21, -0x1.ec6d0f15c142bp-21, -0x1.ec8130b250be6p-21, -0x1.ec8fdfcac6d6ep-21, -0x1.ec992a363acbcp-21, -0x1.ec9d1dbd3b9d5p-21, -0x1.ec9bc81950134p-21, -0x1.ec9536f5e264bp-21, -0x1.ec8977ee9f52fp-21, -0x1.ec789890e4195p-21, -0x1.ec62a65a0e14ap-21, -0x1.ec47aeb8fcc2dp-21, -0x1.ec27bf0c3772fp-21, -0x1.ec02e4a3bed22p-21, -0x1.ebd92cbedf98fp-21, -0x1.ebaaa48de9ceap-21, -0x1.eb775930a7dfp-21, -0x1.eb3f57b7a42fep-21, -0x1.eb02ad227b523p-21, -0x1.eac166614c402p-21, -0x1.ea7b905396fb1p-21, -0x1.ea3137c8a413ap-21, -0x1.e9e2697f1ce6cp-21, -0x1.e98f322576d62p-21, -0x1.e9379e58f2696p-21, -0x1.e8dbbaa7012cp-21, -0x1.e87b938b6de6cp-21, -0x1.e8173571ee4d3p-21, -0x1.e7aeacb4bb479p-21, -0x1.e742059d8aabfp-21, -0x1.e6d14c64d38bep-21, -0x1.e65c8d31e6e0ep-21, -0x1.e5e3d41b472b6p-21, -0x1.e5672d25ca2a7p-21, -0x1.e4e6a44591e38p-21, -0x1.e462455d11877p-21, -0x1.e3da1c3d9d54ap-21, -0x1.e34e34a706848p-21, -0x1.e2be9a47ddb3dp-21, -0x1.e22b58bd18092p-21, -0x1.e1947b9270832p-21, -0x1.e0fa0e41a4aadp-21, -0x1.e05c1c3385205p-21, -0x1.dfbab0bec1152p-21, -0x1.df15d728ef3dap-21, -0x1.de6d9aa56c6e4p-21, -0x1.ddc206568124ep-21, -0x1.dd13254c81a28p-21, -0x1.dc6102862600dp-21, -0x1.dbaba8f0684cfp-21, -0x1.daf32366c1a2p-21, -0x1.da377cb2b87bdp-21, -0x1.d978bf8c38ccp-21, -0x1.d8b6f69969169p-21, -0x1.d7f22c6eb9e4ep-21, -0x1.d72a6b8eead83p-21, -0x1.d65fbe6ad5a12p-21, -0x1.d5922f61e3226p-21, -0x1.d4c1c8c16ab96p-21, -0x1.d3ee94c57d633p-21, -0x1.d3189d97d3924p-21, -0x1.d23fed514a568p-21, -0x1.d1648df803bfdp-21, -0x1.d0868981a0dedp-21, -0x1.cfa5e9d0dca5bp-21, -0x1.cec2b8b7e6311p-21, -0x1.cddcfff685164p-21, -0x1.ccf4c93b489bp-21, -0x1.cc0a1e230c93cp-21, -0x1.cb1d083905d71p-21, -0x1.ca2d90f70f06dp-21, -0x1.c93bc1c53c6bp-21, -0x1.c847a3fa6f49fp-21, -0x1.c75140dbc041ap-21, -0x1.c658a19d3b706p-21, -0x1.c55dcf60ffddcp-21, -0x1.c460d338713bbp-21, -0x1.c361b622ef51ap-21, -0x1.c260810f308dbp-21, -0x1.c15d3cda09cedp-21, -0x1.c057f24fa2af5p-21, -0x1.bf50aa2a7c06ap-21, -0x1.be476d145ecc6p-21, -0x1.bd3c43a556d76p-21, -0x1.bc2f36654eb0dp-21, -0x1.bb204dc9eb3fep-21, -0x1.ba0f923952e8cp-21, -0x1.b8fd0c071a1aep-21, -0x1.b7e8c3779a526p-21, -0x1.b6d2c0bc9b8cap-21, -0x1.b5bb0bf8e5db8p-21, -0x1.b4a1ad3cd1b73p-21, -0x1.b386ac89796a7p-21, -0x1.b26a11ce0a293p-21, -0x1.b14be4ea1e1fp-21, -0x1.b02c2dac0d028p-21, -0x1.af0af3d23fbc2p-21, -0x1.ade83f0a3f701p-21, -0x1.acc416f18d8d2p-21, -0x1.ab9e8314fc652p-21, -0x1.aa778af17a171p-21, -0x1.a94f35f37311dp-21, -0x1.a8258b7747e82p-21, -0x1.a6fa92c953c5dp-21, -0x1.a5ce53259d934p-21, -0x1.a4a0d3b8e121bp-21, -0x1.a3721b9ee247ep-21, -0x1.a24231e4d9633p-21, -0x1.a1111d86cc8p-21, -0x1.9fdee5726e746p-21, -0x1.9eab90847d917p-21, -0x1.9d77258b425b8p-21, -0x1.9c41ab447b1eap-21, -0x1.9b0b285f57e8ep-21, -0x1.99d3a37ae318fp-21, -0x1.989b23275a8dap-21, -0x1.9761ade56745p-21, -0x1.96274a26936b6p-21, -0x1.94ebfe4d64e01p-21, -0x1.93afd0ad00f95p-21, -0x1.9272c78a15de6p-21, -0x1.9134e919b062p-21, -0x1.8ff63b82c9ffep-21, -0x1.8eb6c4dcc9a12p-21, -0x1.8d768b312ea75p-21, -0x1.8c359479ffb4ep-21, -0x1.8af3e6a380182p-21, -0x1.89b1878a9e943p-21, -0x1.886e7cfeb3189p-21, -0x1.872accbfdcf01p-21, }}, 
      {{-0x1.f0bfdf4425d1p-1, -0x1.f08662f628217p-1, -0x1.f02490828ed8ep-1, -0x1.ef97d4780382bp-1, -0x1.eedd3d1f1063cp-1, -0x1.edf1d9e3eab51p-1, -0x1.ecd3076244b71p-1, -0x1.eb7ea5cd6650bp-1, -0x1.e9f33b0c857bfp-1, -0x1.e8300386b7cb3p-1, -0x1.e634f51fb45a6p-1, -0x1.e402b7d3768b5p-1, -0x1.e19a970134193p-1, -0x1.defe6dfb40613p-1, -0x1.dc3091f2541a8p-1, -0x1.d933badc22ae8p-1, -0x1.d60aec8cd964ap-1, -0x1.d2b960e31d022p-1, -0x1.cf42739ddab59p-1, -0x1.cba99039a4c12p-1, -0x1.c7f222067055fp-1, -0x1.c41f868490ef6p-1, -0x1.c03501fee05d9p-1, -0x1.bc35b64675336p-1, -0x1.b8249b68b17c8p-1, -0x1.b4047a3161d75p-1, -0x1.afd7e8473bcffp-1, -0x1.aba145b0326afp-1, -0x1.a762bb8c2fbb6p-1, -0x1.a31e3bd730b3ep-1, -0x1.9ed582070912dp-1, -0x1.9a8a145cdc304p-1, -0x1.963d45c661ab9p-1, -0x1.91f0382f17ce9p-1, -0x1.8da3df257cc9bp-1, -0x1.895902bc25cf1p-1, -0x1.8510429209a4cp-1, -0x1.80ca18f0821f7p-1, -0x1.7c86ddf06d7bfp-1, -0x1.7846ca9a68856p-1, -0x1.7409fbf859479p-1, -0x1.6fd07610893f7p-1, -0x1.6b9a26c43a917p-1, -0x1.6766e88d269c6p-1, -0x1.6336851690b0ep-1, -0x1.5f08b7afb0146p-1, -0x1.5add2f9612c97p-1, -0x1.56b392175b3a2p-1, -0x1.528b7c8a5c48ap-1, -0x1.4e6486200d99bp-1, -0x1.4a3e418d3f6f6p-1, -0x1.46183e8e41b88p-1, -0x1.41f20b45f3112p-1, -0x1.3dcb3579d2ebcp-1, -0x1.39a34bacde85fp-1, -0x1.3579de1b086efp-1, -0x1.314e7f9730641p-1, -0x1.2d20c64d82983p-1, -0x1.28f04c6c1ee1fp-1, -0x1.24bcb0b3e968cp-1, -0x1.208596f353b34p-1, -0x1.1c4aa86ce318cp-1, -0x1.180b942b25c9cp-1, -0x1.13c80f43b59cbp-1, -0x1.0f7fd50ad5c41p-1, -0x1.0b32a7391cdcfp-1, -0x1.06e04e0491ffap-1, -0x1.0288982e812cfp-1, -0x1.fc56b60e815aap-2, -0x1.f390e4d207de4p-2, -0x1.eabf815590589p-2, -0x1.e1e25d18a4052p-2, -0x1.d8f9563839e98p-2, -0x1.d00457301c597p-2, -0x1.c70356935643cp-2, -0x1.bdf656bcfe007p-2, -0x1.b4dd657a98f8bp-2, -0x1.abb89bb13c9f6p-2, -0x1.a2881cfe6af11p-2, -0x1.994c17558a55ep-2, -0x1.9004c29ad933dp-2, -0x1.86b2603c821d3p-2, -0x1.7d553aca86b0dp-2, -0x1.73eda58e03ca9p-2, -0x1.6a7bfc205527dp-2, -0x1.6100a20288a72p-2, -0x1.577c02357d0dfp-2, -0x1.4dee8ed303d97p-2, -0x1.4458c0a847a38p-2, -0x1.3abb16d1bd08p-2, -0x1.31161658c5a14p-2, -0x1.276a49d336ccep-2, -0x1.1db84104e373ep-2, -0x1.140090834338dp-2, -0x1.0a43d15b4ecc2p-2, -0x1.0082a0b99d46bp-2, -0x1.ed7b3f29a4beep-3, -0x1.d9eae4b4be7dap-3, -0x1.c655813b38306p-3, -0x1.b2bc699276d45p-3, -0x1.9f20f7a625e1dp-3, -0x1.8b8489e46844p-3, -0x1.77e882aea8632p-3, -0x1.644e47cee5d5bp-3, -0x1.50b741f17c518p-3, -0x1.3d24dc234c1dap-3, -0x1.2998835427de6p-3, -0x1.1613a5dd7c4d6p-3, -0x1.0297b30d0ceb2p-3, -0x1.de4c35677f043p-4, -0x1.b78099708fb9ap-4, -0x1.90cf715b5f741p-4, -0x1.6a3b9adb2d271p-4, -0x1.43c7f16c2ebb5p-4, -0x1.1d774d9674c42p-4, -0x1.ee99086f764e2p-5, -0x1.a294cba7eca3fp-5, -0x1.56e77bd8f838bp-5, -0x1.0b96a4bb29335p-5, -0x1.814f8b093e04p-6, -0x1.d8813ef3ada12p-7, -0x1.602d30e79ebbep-8, 0x1.da2e4858d8951p-9, 0x1.9b50390458e3fp-7, 0x1.5f114e2c9bc0dp-6, 0x1.ef7723c5fa28dp-6, 0x1.3f67c54a53bb8p-5, 0x1.86884c92d2de2p-5, 0x1.cd184879cb112p-5, 0x1.098977fe79be8p-4, 0x1.2c39c88d0044p-4, 0x1.4e9ac8c250c96p-4, 0x1.70aa37a980431p-4, 0x1.9265e0d069296p-4, 0x1.b3cb9c94ae277p-4, 0x1.d4d9506c2c241p-4, 0x1.f58cef290df49p-4, 0x1.0af23c9cb9d39p-3, 0x1.1aeefe71723a4p-3, 0x1.2abbcb3cbce11p-3, 0x1.3a57b8497b75fp-3, 0x1.49c1e21adfe26p-3, 0x1.58f96c81ece37p-3, 0x1.67fd82b0fb196p-3, 0x1.76cd574d51827p-3, 0x1.8568247ed4e52p-3, 0x1.93cd2bfdd99a8p-3, 0x1.a1fbb71f22453p-3, 0x1.aff316de08d2bp-3, 0x1.bdb2a3e4ed0b2p-3, 0x1.cb39be93e1a5ep-3, 0x1.d887cf059eecap-3, 0x1.e59c4512d7f43p-3, 0x1.f2769853daaa9p-3, 0x1.ff164820ab1b5p-3, 0x1.05bd6dc7bc3fp-2, 0x1.0bd1f0b8cc752p-2, 0x1.11c878277d7d4p-2, 0x1.17a0d3301370ep-2, 0x1.1d5ad4c367e96p-2, 0x1.22f653a28094fp-2, 0x1.28732a5977313p-2, 0x1.2dd13739b9f56p-2, 0x1.33105c53a69dfp-2, 0x1.38307f6f84f1cp-2, 0x1.3d318a05ea6bfp-2, 0x1.4213693781c54p-2, 0x1.46d60dc4454f4p-2, 0x1.4b796c022c932p-2, 0x1.4ffd7bd34fd72p-2, 0x1.5462389b8c898p-2, 0x1.58a7a135a62b3p-2, 0x1.5ccdb7e7f5c1ep-2, 0x1.60d482589c62ep-2, 0x1.64bc09814d825p-2, 0x1.688459a2ac2f3p-2, 0x1.6c2d823740855p-2, 0x1.6fb795e60f002p-2, 0x1.7322aa74d5a5p-2, 0x1.766ed8b9ebf02p-2, 0x1.799c3c8dd55a3p-2, 0x1.7caaf4bc8604ap-2, 0x1.7f9b22f65ca2cp-2, 0x1.826cebc0d7c5dp-2, 0x1.852076670ee8ep-2, 0x1.87b5ece9ed088p-2, 0x1.8a2d7bf036744p-2, 0x1.8c8752b65b9acp-2, 0x1.8ec3a2fe212dap-2, 0x1.90e2a0fe1af7ep-2, 0x1.92e483510628ep-2, 0x1.94c982e4ff8f3p-2, 0x1.9691daeaa050bp-2, 0x1.983dc8c3feedfp-2, 0x1.99cd8bf3a1c1dp-2, 0x1.9b41660b5aa2fp-2, 0x1.9c999a9b1ccc8p-2, 0x1.9dd66f1fc3d42p-2, 0x1.9ef82af1dbf0ap-2, 0x1.9fff17346489ep-2, 0x1.a0eb7ec3972d8p-2, 0x1.a1bdae23b66f8p-2, 0x1.a275f36fe0bf1p-2, 0x1.a3149e48f6259p-2, 0x1.a399ffc48a556p-2, 0x1.a4066a5be8c18p-2, 0x1.a45a31db3237p-2, 0x1.a495ab509074p-2, 0x1.a4b92cfb85744p-2, 0x1.a4c50e3c5d0bp-2, 0x1.a4b9a783b9c2p-2, 0x1.a49752424b0fep-2, 0x1.a45e68d8a48a9p-2, 0x1.a40f46874347dp-2, 0x1.a3aa475eb82f6p-2, 0x1.a32fc830023d4p-2, 0x1.a2a0267d19956p-2, 0x1.a1fbc069a7038p-2, 0x1.a142f4abf3552p-2, 0x1.a076227e05c36p-2, 0x1.9f95a98eff7e1p-2, 0x1.9ea1e9f4a8ea6p-2, 0x1.9d9b441d3b921p-2, 0x1.9c8218c168541p-2, 0x1.9b56c8d6941e2p-2, 0x1.9a19b5815b049p-2, 0x1.98cb40084a543p-2, 0x1.976bc9c6dd7ddp-2, 0x1.95fbb420bba8p-2, 0x1.947b607538fc8p-2, 0x1.92eb30131517p-2, 0x1.914b842c83c7ep-2, 0x1.8f9cbdcb72f8fp-2, 0x1.8ddf3dc61ae5fp-2, 0x1.8c1364b3d04d6p-2, 0x1.8a3992e21e51ap-2, 0x1.8852284a21e21p-2, 0x1.865d8486328bbp-2, 0x1.845c06c7cbf0ep-2, 0x1.824e0dcdbfd26p-2, 0x1.8033f7dab0a95p-2, 0x1.7e0e22abd06d2p-2, 0x1.7bdceb6fe93c4p-2, 0x1.79a0aebeaa30ap-2, 0x1.7759c8903cc51p-2, 0x1.7508943520998p-2, 0x1.72ad6c4e4bd2fp-2, 0x1.7048aac5940dp-2, 0x1.6ddaa8c65cc86p-2, 0x1.6b63beb688b34p-2, 0x1.68e4442fb2a1dp-2, 0x1.665c8ff8ab22ep-2, 0x1.63ccf7ff35d9ap-2, 0x1.6135d152127d8p-2, 0x1.5e97701b3e95ap-2, 0x1.5bf2279a8269ap-2, 0x1.59464a2038e1p-2, 0x1.569429085cdffp-2, 0x1.53dc14b5d436fp-2, 0x1.511e5c8dfac83p-2, 0x1.4e5b4ef46b3fep-2, 0x1.4b9339470873p-2, 0x1.48c667da3feafp-2, 0x1.45f525f58b556p-2, 0x1.431fbdd02a4p-2, 0x1.4046788e1a477p-2, 0x1.3d699e3d440d9p-2, 0x1.3a8975d2e38f1p-2, 0x1.37a645292691ep-2, 0x1.34c050fd019c6p-2, 0x1.31d7dcec3a95p-2, 0x1.2eed2b73a898ep-2, 0x1.2c007deda433ap-2, 0x1.29121490ae205p-2, 0x1.26222e6e4275ap-2, 0x1.23310971e1eb3p-2, 0x1.203ee2604324p-2, 0x1.1d4bf4d6b930bp-2, 0x1.1a587b4ac1a6cp-2, 0x1.1764af09c1c6cp-2, 0x1.1470c838ec18dp-2, 0x1.117cfdd553565p-2, 0x1.0e8985b421637p-2, 0x1.0b969482fa43dp-2, 0x1.08a45dc880ecfp-2, 0x1.05b313e507321p-2, 0x1.02c2e8135c797p-2, 0x1.ffa814d3872c3p-3, 0x1.f9cd53b610989p-3, 0x1.f3f5e86f72ad5p-3, 0x1.ee222c5ef8bc8p-3, 0x1.e85276a513f0ap-3, 0x1.e2871c267bbe7p-3, 0x1.dcc06f8f96774p-3, 0x1.d6fec15814e05p-3, 0x1.d1425fc6c1aefp-3, 0x1.cb8b96f5878eap-3, 0x1.c5dab0d5a787ap-3, 0x1.c02ff5341fc66p-3, 0x1.ba8ba9be40208p-3, 0x1.b4ee12066d386p-3, 0x1.af576f89042cp-3, 0x1.a9c801b173ec4p-3, 0x1.a44005df755d6p-3, 0x1.9ebfb76c63218p-3, 0x1.99474fb0bf216p-3, 0x1.93d70609d2776p-3, 0x1.8e6f0fdf6b43fp-3, 0x1.890fa0a9bb0c7p-3, 0x1.83b8e9f74f7e3p-3, 0x1.7e6b1b7327571p-3, 0x1.792662ead9c6cp-3, 0x1.73eaec54dbb84p-3, 0x1.6eb8e1d6d9569p-3, 0x1.69906bcc1be19p-3, 0x1.6471b0cc0ac81p-3, 0x1.5f5cd5b0b74f6p-3, 0x1.5a51fd9d7f1ap-3, 0x1.55514a05af8f6p-3, 0x1.505adab34488p-3, 0x1.4b6ecdcda6f9fp-3, 0x1.468d3fe079b8p-3, 0x1.41b64be272813p-3, 0x1.3cea0b3c314e7p-3, 0x1.382895cf23f01p-3, 0x1.337201fc7196ap-3, 0x1.2ec664abe032dp-3, 0x1.2a25d152c4642p-3, 0x1.259059faefa4ap-3, 0x1.21060f49a1f9ep-3, 0x1.1c870086765e9p-3, 0x1.18133ba24d69bp-3, 0x1.13aacd3e3fe0ap-3, 0x1.0f4dc0b27b4b8p-3, 0x1.0afc20152bbb5p-3, 0x1.06b5f441569bfp-3, 0x1.027b44ddb03f3p-3, 0x1.fc9830c6d8417p-4, 0x1.f450e84a0fc5ap-4, 0x1.ec20b8aa09672p-4, 0x1.e407a819486dfp-4, 0x1.dc05baa51b619p-4, 0x1.d41af242e9e28p-4, 0x1.cc474edd5849dp-4, 0x1.c48ace615ef98p-4, 0x1.bce56ccb4586p-4, 0x1.b557243381baap-4, 0x1.addfecdb7a77fp-4, 0x1.a67fbd3a2caa4p-4, 0x1.9f368a08c06a6p-4, 0x1.9804464eeac07p-4, 0x1.90e8e36f40728p-4, 0x1.89e451335c7dcp-4, 0x1.82f67dd7edef2p-4, 0x1.7c1f5618a3f48p-4, 0x1.755ec53bf14b7p-4, 0x1.6eb4b51eb0315p-4, 0x1.68210e3fa135ep-4, 0x1.61a3b7caca08ap-4, 0x1.5b3c97a4a7976p-4, 0x1.54eb92753f19ep-4, 0x1.4eb08bb30db0ap-4, 0x1.488b65adc2e32p-4, 0x1.427c0198e62e1p-4, 0x1.3c823f9649bb1p-4, 0x1.369dfec058da4p-4, 0x1.30cf1d3440a9bp-4, 0x1.2b15781be9f0ap-4, 0x1.2570ebb7d1bb6p-4, 0x1.1fe15368b9daep-4, 0x1.1a6689b9295d9p-4, 0x1.15006866ca8cbp-4, 0x1.0faec86b9b59ep-4, 0x1.0a718206fe4f2p-4, 0x1.05486cc690e98p-4, 0x1.00335f8eede6p-4, 0x1.f664614867d6ap-5, 0x1.ec896b64dbe2p-5, 0x1.e2d587aba5ad7p-5, 0x1.d9485f45a7726p-5, 0x1.cfe19a5c13d1p-5, 0x1.c6a0e027ed8e2p-5, 0x1.bd85d7013babbp-5, 0x1.b490246ded489p-5, 0x1.abbf6d3067a6fp-5, 0x1.a3135555c7d97p-5, 0x1.9a8b8043ce95dp-5, 0x1.922790c68d0dbp-5, 0x1.89e7291dab09bp-5, 0x1.81c9eb0976218p-5, 0x1.79cf77d78fd83p-5, 0x1.71f7706f59eccp-5, 0x1.6a41755e14e93p-5, 0x1.62ad26e2b1493p-5, 0x1.5b3a24f950691p-5, 0x1.53e80f668023ep-5, 0x1.4cb685c233983p-5, 0x1.45a5278260184p-5, 0x1.3eb394056715p-5, 0x1.37e16a9c2272ep-5, 0x1.312e4a93c26c6p-5, 0x1.2a99d33f4a592p-5, 0x1.2423a400dea95p-5, 0x1.1dcb5c52ca0bfp-5, 0x1.17909bd0309aep-5, 0x1.1173023d905bep-5, 0x1.0b722f90f50e9p-5, 0x1.058dc3f9f9a96p-5, 0x1.ff8abfd2f6c2dp-6, 0x1.f431483212fabp-6, 0x1.e90e63245d9f5p-6, 0x1.de21536ac2ef8p-6, 0x1.d3695c8199fb3p-6, 0x1.c8e5c2ad9f737p-6, 0x1.be95cb089667dp-6, 0x1.b478bb8d629c7p-6, 0x1.aa8ddb23b3b14p-6, 0x1.a0d471ab52b1dp-6, 0x1.974bc806e9f27p-6, 0x1.8df32826635eep-6, 0x1.84c9dd1101d39p-6, 0x1.7bcf32eed464bp-6, 0x1.73027711fc9bbp-6, 0x1.6a62f7ff67f8ap-6, 0x1.61f0057748b5dp-6, 0x1.59a8f07d076fcp-6, 0x1.518d0b5f038b7p-6, 0x1.499ba9bdc8fbep-6, 0x1.41d420930dbc6p-6, 0x1.3a35c638488d6p-6, 0x1.32bff26cf0703p-6, 0x1.2b71fe5c615b5p-6, 0x1.244b44a37e159p-6, 0x1.1d4b2155ef8dp-6, 0x1.1670f2031bb31p-6, 0x1.0fbc15bacd882p-6, 0x1.092bed118ad3p-6, 0x1.02bfda24b7e16p-6, 0x1.f8ee813c7d773p-7, 0x1.eca30b70670e1p-7, 0x1.e09c207fddf9bp-7, 0x1.d4d891323b3c9p-7, 0x1.c9573180d8c95p-7, 0x1.be16d89bf3429p-7, 0x1.b31660ef24fd9p-7, 0x1.a854a8253dc39p-7, 0x1.9dd08f2bd4348p-7, 0x1.9388fa3658805p-7, 0x1.897cd0c0897f5p-7, 0x1.7faafd909c636p-7, 0x1.76126eb92eed8p-7, 0x1.6cb2159a4e9c4p-7, 0x1.6388e6e2a740ep-7, 0x1.5a95da9005e2fp-7, 0x1.51d7ebef6c73bp-7, 0x1.494e199d0ac4fp-7, 0x1.40f765839f386p-7, 0x1.38d2d4dbabf21p-7, 0x1.30df702a4e4ffp-7, 0x1.291c433fa070bp-7, 0x1.21885d3512016p-7, 0x1.1a22d06b3ce3cp-7, 0x1.12eab28779177p-7, 0x1.0bdf1c7141c55p-7, 0x1.04ff2a4f4f8fdp-7, 0x1.fc93f708a347p-8, 0x1.ef7d65571d24p-8, 0x1.e2b8eb2a8e823p-8, 0x1.d644da855d36bp-8, 0x1.ca1f8bc3dab6cp-8, 0x1.be475d9374a24p-8, 0x1.b2bab4e9a057fp-8, 0x1.a777fcfa96b03p-8, 0x1.9c7da72f5200ep-8, 0x1.91ca2b1b356f3p-8, 0x1.875c06722f42fp-8, 0x1.7d31bcfcfa775p-8, 0x1.7349d88ea9e76p-8, 0x1.69a2e8f8e8767p-8, 0x1.603b840019b22p-8, 0x1.5712454fab6eap-8, 0x1.4e25ce6d85a4ap-8, 0x1.4574c6adccc7ep-8, 0x1.3cfddb25e276dp-8, 0x1.34bfbe9f8c29p-8, 0x1.2cb9298bf3deap-8, 0x1.24e8d9f62e16bp-8, 0x1.1d4d93757e2f4p-8, 0x1.15e61f202079cp-8, 0x1.0eb14b7d05cf9p-8, 0x1.07adec76264dap-8, 0x1.00dadb4a106ffp-8, 0x1.f46decfc2689dp-9, 0x1.e782439ed96a2p-9, 0x1.daf08c4a82a83p-9, 0x1.ceb6a30392808p-9, 0x1.c2d26de798c41p-9, 0x1.b741dd0fbb4d6p-9, 0x1.ac02ea7340b93p-9, 0x1.a11399c9f9588p-9, 0x1.9671f86e21071p-9, 0x1.8c1c1d3f1dafp-9, 0x1.82102883028b8p-9, 0x1.784c43c93d394p-9, 0x1.6ecea1cbb4c4ap-9, 0x1.65957e51a4e3p-9, 0x1.5c9f1e117126bp-9, 0x1.53e9ce92112c9p-9, 0x1.4b73e60db4aadp-9, 0x1.433bc35398e43p-9, 0x1.3b3fcdaa1ff9ep-9, 0x1.337e74b0ed4d9p-9, 0x1.2bf6304340609p-9, 0x1.24a58059f3603p-9, 0x1.1d8aecee7ca71p-9, 0x1.16a505dca269dp-9, 0x1.0ff262c5a8b1ap-9, 0x1.0971a2f3106fep-9, 0x1.03216d38be028p-9, 0x1.fa00dfb1fa343p-10, 0x1.ee1ac0cda64edp-10, 0x1.e28df7535b5fep-10, 0x1.d7580b01a0eabp-10, 0x1.cc76918d5fd1fp-10, 0x1.c1e72e6a2ed1fp-10, 0x1.b7a79292039b1p-10, 0x1.adb57c4d415f5p-10, 0x1.a40eb6fc15c49p-10, 0x1.9ab11adf21b17p-10, 0x1.919a8ce0fec8p-10, 0x1.88c8fe604bfb6p-10, 0x1.803a6cfa92524p-10, 0x1.77ece256a4cd9p-10, 0x1.6fde73efc5584p-10, 0x1.680d42e1ff55bp-10, 0x1.60777bb5bf687p-10, 0x1.591b562d92ea6p-10, 0x1.51f7151193cap-10, 0x1.4b0905ff825ddp-10, 0x1.444f8136ca615p-10, 0x1.3dc8e9685edb8p-10, 0x1.3773ab85ef62dp-10, 0x1.314e3e91157fep-10, 0x1.2b57236beb79fp-10, 0x1.258ce4a9ddafbp-10, 0x1.1fee1660bd3cbp-10, 0x1.1a7955facc92ep-10, 0x1.152d4a08edda1p-10, 0x1.1008a2157a32dp-10, 0x1.0b0a167845963p-10, 0x1.063068294b4fap-10, 0x1.017a6096a382bp-10, 0x1.f9cda2f13424bp-11, 0x1.f0e9294f8806cp-11, 0x1.e84517e5024f6p-11, 0x1.dfdf41e935c92p-11, 0x1.d7b589db405adp-11, 0x1.cfc5e13238594p-11, 0x1.c80e480d71fd3p-11, 0x1.c08ccce6888f6p-11, 0x1.b93f8c439d9fdp-11, 0x1.b224b06bac905p-11, 0x1.ab3a711b52505p-11, 0x1.a47f133a7599ep-11, 0x1.9df0e8949245ap-11, 0x1.978e4f8f0fd1ep-11, 0x1.9155b2e4943bap-11, 0x1.8b45895d1f225p-11, 0x1.855c558b6c731p-11, 0x1.7f98a587a727ap-11, 0x1.79f912ae492c6p-11, 0x1.747c415d73034p-11, 0x1.6f20e0b542234p-11, 0x1.69e5aa57e4776p-11, 0x1.64c9622ba47e3p-11, 0x1.5fcad61cc3a5ap-11, 0x1.5ae8dde20d957p-11, 0x1.56225ac06d3f6p-11, 0x1.517637515fcb8p-11, 0x1.4ce36748ed78fp-11, 0x1.4868e73db70afp-11, 0x1.4405bc70d8342p-11, 0x1.3fb8f498a3234p-11, 0x1.3b81a5a945b65p-11, 0x1.375eeda1fc351p-11, 0x1.334ff257fc61dp-11, 0x1.2f53e1448cfc4p-11, 0x1.2b69ef52ffff5p-11, 0x1.279158af99882p-11, 0x1.23c96097988cp-11, 0x1.2011512a6243bp-11, 0x1.1c687b3adc6c2p-11, 0x1.18ce362261cf7p-11, 0x1.1541df93fd489p-11, 0x1.11c2db70e9b5fp-11, 0x1.0e50939d98954p-11, 0x1.0aea77d809435p-11, 0x1.078ffd8e3b087p-11, 0x1.04409fb5eca25p-11, 0x1.00fbdea55f6fep-11, 0x1.fb827fd8c38a6p-12, 0x1.f5209c5c39dc8p-12, 0x1.eed131f8bff16p-12, 0x1.e8936965708dap-12, 0x1.e26674a638296p-12, 0x1.dc498ec57f8c4p-12, 0x1.d63bfb9001b48p-12, 0x1.d03d0751ecc17p-12, 0x1.ca4c0695766a8p-12, 0x1.c46855e2042dcp-12, 0x1.be91597e82325p-12, 0x1.b8c67d3350544p-12, 0x1.b307340e11143p-12, 0x1.ad52f828017e3p-12, 0x1.a7a94a6b42d96p-12, 0x1.a209b25be5dcap-12, 0x1.9c73bde0487fap-12, 0x1.96e7010c0c86ep-12, 0x1.916315eb9191ap-12, 0x1.8be79c50a4198p-12, 0x1.867439a0eb346p-12, 0x1.810898a4d0d5cp-12, 0x1.7ba4695827048p-12, 0x1.764760bbab18p-12, 0x1.70f138a717b86p-12, 0x1.6ba1af9da7122p-12, 0x1.665888a2791d7p-12, 0x1.61158b0e8c84dp-12, 0x1.5bd88267b3bfp-12, 0x1.56a13e38c6505p-12, 0x1.516f91e97b93ep-12, 0x1.4c43549a13a57p-12, 0x1.471c60fcd419dp-12, 0x1.41fa953245fa7p-12, 0x1.3cddd2a68846cp-12, 0x1.37c5fdee5b4cfp-12, 0x1.32b2fea6550dcp-12, 0x1.2da4bf51a8a3bp-12, 0x1.289b2d3b59ceep-12, 0x1.23963856dafdp-12, 0x1.1e95d322abd29p-12, 0x1.1999f28a7f02bp-12, 0x1.14a28dcbcd328p-12, 0x1.0faf9e59af368p-12, 0x1.0ac11fc2483bcp-12, 0x1.05d70f94e4fc5p-12, 0x1.00f16d48a9b77p-12, 0x1.f82074483d475p-13, 0x1.ee66f24b45ee4p-13, 0x1.e4b65dd7846c1p-13, 0x1.db0ec33ec5ab3p-13, 0x1.d17031bb3030dp-13, 0x1.c7dabb45dd57cp-13, 0x1.be4e746d26e19p-13, 0x1.b4cb742e5e3b2p-13, 0x1.ab51d3ce160f7p-13, 0x1.a1e1aeb33c6ep-13, 0x1.987b22441339cp-13, 0x1.8f1e4dc1ef242p-13, 0x1.85cb5228f078dp-13, 0x1.7c82520e9baeap-13, 0x1.734371823453ep-13, 0x1.6a0ed5ef329cep-13, 0x1.60e4a5fe7e983p-13, 0x1.57c5097b598ap-13, 0x1.4eb02936defep-13, 0x1.45a62eee7c40fp-13, 0x1.3ca745319e17bp-13, 0x1.33b39749c68d7p-13, 0x1.2acb51223cfa9p-13, 0x1.21ee9f3196eb8p-13, 0x1.191dae63b9babp-13, 0x1.1058ac048cb41p-13, 0x1.079fc5ab8f1b7p-13, 0x1.fde6525176ed1p-14, 0x1.eca608e288371p-14, 0x1.db7f0b1bcf8e7p-14, 0x1.ca71b513291e3p-14, 0x1.b97e62c0c2985p-14, 0x1.a8a56fe13c18dp-14, 0x1.97e737d51a53bp-14, 0x1.8744158642939p-14, 0x1.76bc6349d3039p-14, 0x1.66507ac695d69p-14, 0x1.5600b4dcdc2d7p-14, 0x1.45cd698b7948p-14, 0x1.35b6efdc305aep-14, 0x1.25bd9dcb3ddaep-14, 0x1.15e1c8348e2f5p-14, 0x1.0623c2be971b5p-14, 0x1.ed07bf918dfa1p-15, 0x1.ce04e0b1a51cdp-15, 0x1.af3f8816ae8bap-15, 0x1.90b852066fa94p-15, 0x1.726fd7b691346p-15, 0x1.5466af2f50a48p-15, 0x1.369d6b353815cp-15, 0x1.19149b2b2c13cp-15, 0x1.f799960198deap-16, 0x1.bd8d063448898p-16, 0x1.8404907a78bf3p-16, 0x1.4b0136fe29b67p-16, 0x1.1283f46c836eep-16, 0x1.b51b779482074p-17, 0x1.463ef0cdf338ep-17, 0x1.b0e836dbc9dcp-18, 0x1.aef2ba2b36846p-19, 0x1.a5131063272b4p-29, -0x1.a9c596c8e02efp-19, -0x1.a7c9defaec244p-18, -0x1.3c3ed5eb033bp-17, -0x1.a37db3319ff7ep-17, -0x1.04d01906ac8cbp-16, -0x1.375286ed0fe79p-16, -0x1.6945894b10e03p-16, -0x1.9aa88e74c15eep-16, -0x1.cb7b0d17fc662p-16, -0x1.fbbc843a879ccp-16, -0x1.15b63d9ada1fcp-15, -0x1.2d4540dd47503p-15, -0x1.448b17e37e33bp-15, -0x1.5b8792d2fc8d1p-15, -0x1.723a85ef7be9cp-15, -0x1.88a3c99d114ecp-15, -0x1.9ec33a54561e3p-15, -0x1.b498b8a151f2fp-15, -0x1.ca24291d014dap-15, -0x1.df657464f91bdp-15, -0x1.f45c871476dc4p-15, -0x1.0484a8df38d2bp-14, -0x1.0eb5e4717ad31p-14, -0x1.18c1f27424978p-14, -0x1.22a8d1084b5f1p-14, -0x1.2c6a803869bp-14, -0x1.360701f389084p-14, -0x1.3f7e5a080d854p-14, -0x1.48d08e1e522bp-14, -0x1.51fda5b2cdbb6p-14, -0x1.5b05aa10fe40bp-14, -0x1.63e8a64d8d5abp-14, -0x1.6ca6a73fe32b7p-14, -0x1.753fbb7cb51b9p-14, -0x1.7db3f34e8aec1p-14, -0x1.860360b1a0541p-14, -0x1.8e2e174b6877dp-14, -0x1.96342c6535b71p-14, -0x1.9e15b6e4fb45dp-14, -0x1.a5d2cf473b40bp-14, -0x1.ad6b8f9777916p-14, -0x1.b4e01369e99b7p-14, -0x1.bc3077d4c35fep-14, -0x1.c35cdb68c1879p-14, -0x1.ca655e2a0a875p-14, -0x1.d14a218a1861p-14, -0x1.d80b485fa4965p-14, -0x1.dea8f6e03b715p-14, -0x1.e523529814266p-14, -0x1.eb7a8263fa957p-14, -0x1.f1aeae6974e16p-14, -0x1.f7c000103f4e7p-14, -0x1.fdaea1fa55071p-14, -0x1.01bd5ffe880dp-13, -0x1.0492438d0b844p-13, -0x1.075612bbc2154p-13, -0x1.0a08e52d12f44p-13, -0x1.0caad30e2d54ap-13, -0x1.0f3bf5143e23ap-13, -0x1.11bc647883bacp-13, -0x1.142c3af4e092bp-13, -0x1.168b92c039b87p-13, -0x1.18da868ad375p-13, -0x1.1b19317b230d3p-13, -0x1.1d47af2a0be3p-13, -0x1.1f661b9f8092p-13, -0x1.2174934ef7e8dp-13, -0x1.237333142008ep-13, -0x1.2562182f56142p-13, -0x1.2741604265e91p-13, -0x1.2911294d1ea28p-13, -0x1.2ad191aa086b9p-13, -0x1.2c82b80b15d24p-13, -0x1.2e24bb76272abp-13, -0x1.2fb7bb4242fdp-13, -0x1.313bd713eb79p-13, -0x1.32b12eda33c39p-13, -0x1.3417e2cba5875p-13, -0x1.35701362d741cp-13, -0x1.36b9e15badb3bp-13, -0x1.37f56db0201ep-13, -0x1.3922d9955f936p-13, -0x1.3a42467894e6cp-13, -0x1.3b53d5fc316bdp-13, -0x1.3c57a9f4f5db3p-13, -0x1.3d4de467405ebp-13, -0x1.3e36a783c99ap-13, -0x1.3f1215a55ecdp-13, -0x1.3fe0514db560dp-13, -0x1.40a17d22f71a5p-13, -0x1.4155bbed038adp-13, -0x1.41fd3092cab83p-13, -0x1.4297fe17b294fp-13, -0x1.432647992b4ddp-13, -0x1.43a8304bd04d4p-13, -0x1.441ddb796986p-13, -0x1.44876c7e1e7a1p-13, -0x1.44e506c645149p-13, -0x1.4536cdcbf5f7fp-13, -0x1.457ce51495161p-13, -0x1.45b7702ec9f98p-13, -0x1.45e692b02c64ep-13, -0x1.460a70330eac2p-13, -0x1.46232c543e254p-13, -0x1.4630eab1192a4p-13, -0x1.4633cee5476e7p-13, -0x1.462bfc88dadp-13, -0x1.4619972e406bap-13, -0x1.45fcc2602fe4p-13, -0x1.45d5a19fe0ea1p-13, -0x1.45a45863278d7p-13, -0x1.45690a12a376fp-13, -0x1.4523da07c867bp-13, -0x1.44d4eb8b58368p-13, -0x1.447c61d384874p-13, -0x1.441a600230effp-13, -0x1.43af0923678dfp-13, -0x1.433a802bc018fp-13, -0x1.42bce7f6b1579p-13, -0x1.4236634531d77p-13, -0x1.41a714bc0146ap-13, -0x1.410f1ee24a127p-13, -0x1.406ea42057bdap-13, -0x1.3fc5c6bdf7a4bp-13, -0x1.3f14a8e146bfbp-13, -0x1.3e5b6c8d45bdep-13, -0x1.3d9a33a0a4133p-13, -0x1.3cd11fd46e338p-13, -0x1.3c0052bad7b96p-13, -0x1.3b27edbe28addp-13, -0x1.3a48121f75abbp-13, -0x1.3960e0f57ebe4p-13, -0x1.38727b2bb97b6p-13, -0x1.377d018125f9cp-13, -0x1.368094875383dp-13, -0x1.357d54a175815p-13, -0x1.3473620345097p-13, -0x1.3362dcb0329eep-13, -0x1.324be47a841b7p-13, -0x1.312e990265ff1p-13, -0x1.300b19b51a783p-13, -0x1.2ee185cc38a2ep-13, -0x1.2db1fc4cc98d6p-13, -0x1.2c7c9c06a27cfp-13, -0x1.2b4183939cf7ap-13, -0x1.2a00d156f2d66p-13, -0x1.28baa37c781c5p-13, -0x1.276f17f80ca66p-13, -0x1.261e4c85108edp-13, -0x1.24c85ea597b68p-13, -0x1.236d6ba217cdep-13, -0x1.220d9088c9cep-13, -0x1.20a8ea2d0d3eep-13, -0x1.1f3f9527043cap-13, -0x1.1dd1add311c38p-13, -0x1.1c5f50518083bp-13, -0x1.1ae89885f1dd9p-13, -0x1.196da217196d2p-13, -0x1.17ee886e64c4dp-13, -0x1.166b66b779b95p-13, -0x1.14e457e011739p-13, -0x1.1359769790dbap-13, -0x1.11cadd4eb3075p-13, -0x1.1038a6376e343p-13, -0x1.0ea2eb44919a9p-13, -0x1.0d09c629994a4p-13, -0x1.0b6d505a82eedp-13, -0x1.09cda30b942a4p-13, -0x1.082ad731368d5p-13, -0x1.0685057fc5272p-13, -0x1.04dc466b8636ep-13, -0x1.0330b22877d49p-13, -0x1.018260aa36b8ap-13, -0x1.ffa2d347faabp-14, -0x1.fc3bc910fdd2dp-14, -0x1.f8cfd113e8357p-14, -0x1.f55f1934191d2p-14, -0x1.f1e9ced3b0c87p-14, -0x1.ee701ed3a7d56p-14, -0x1.eaf235942953fp-14, -0x1.e7703ef3ff0e1p-14, -0x1.e3ea665133a92p-14, -0x1.e060d6891d749p-14, -0x1.dcd3b9f822f7cp-14, -0x1.d9433a7a811a3p-14, -0x1.d5af816c1a801p-14, -0x1.d218b7a887c0dp-14, -0x1.ce7f058bedc63p-14, -0x1.cae292f2bebf5p-14, -0x1.c743873a3a07ap-14, -0x1.c3a20940c0d1dp-14, -0x1.bffe3f6627389p-14, -0x1.bc584f8c191fcp-14, -0x1.b8b05f1692e6fp-14, -0x1.b50692ebda347p-14, -0x1.b15b0f7571278p-14, -0x1.adadf8a0826ep-14, -0x1.a9ff71ddda1p-14, -0x1.a64f9e22f00cbp-14, -0x1.a29e9fea47a61p-14, -0x1.9eec9933880f2p-14, -0x1.9b39ab848116ep-14, -0x1.9785f7e9bdcb6p-14, -0x1.93d19ef694542p-14, -0x1.901cc0c669aa3p-14, -0x1.8c677cfcb4d5ep-14, -0x1.88b1f2c5cf004p-14, -0x1.84fc40d7d2a58p-14, -0x1.81468572c2ac8p-14, -0x1.7d90de61e360ap-14, -0x1.79db68fba1c37p-14, -0x1.76264222c2037p-14, -0x1.72718646e2446p-14, -0x1.6ebd516517875p-14, -0x1.6b09bf08e0dc6p-14, -0x1.6756ea4cc8cb5p-14, -0x1.63a4eddafcd3fp-14, -0x1.5ff3e3ee300d1p-14, -0x1.5c43e652475c4p-14, -0x1.58950e6508613p-14, -0x1.54e775174b867p-14, -0x1.513b32ed40477p-14, -0x1.4d905fff50b66p-14, -0x1.49e713fb39f7fp-14, -0x1.463f662468db8p-14, -0x1.42996d5524b7p-14, -0x1.3ef53fff248f9p-14, -0x1.3b52f42c5b623p-14, -0x1.37b29f801c271p-14, -0x1.341457377b74ep-14, -0x1.3078302a9a6dbp-14, -0x1.2cde3eccfd08cp-14, -0x1.2946972ecd4p-14, -0x1.25b14cfd711fep-14, -0x1.221e73845efc6p-14, -0x1.1e8e1dae71bc6p-14, -0x1.1b005e05f2937p-14, -0x1.177546b639526p-14, -0x1.13ece98c07039p-14, -0x1.106757f698755p-14, -0x1.0ce4a308a9fe5p-14, -0x1.0964db78d69b5p-14, -0x1.05e811a2e78bp-14, -0x1.026e5588a659dp-14, -0x1.fdef6da50d858p-15, -0x1.f70889a19b848p-15, -0x1.f0281cf80851cp-15, -0x1.e94e44ecc38d6p-15, -0x1.e27b1e187cbd6p-15, -0x1.dbaec46a18d29p-15, -0x1.d4e953288dbd8p-15, -0x1.ce2ae4f48fe4dp-15, -0x1.c77393ca6e723p-15, -0x1.c0c37903ac9c1p-15, -0x1.ba1aad58df072p-15, -0x1.b37948e32a669p-15, -0x1.acdf631dfea3ap-15, -0x1.a64d12e97258fp-15, -0x1.9fc26e8b08fb4p-15, -0x1.993f8bb042eefp-15, -0x1.92c47f6fa42e5p-15, -0x1.8c515e4aebbddp-15, -0x1.85e63c30b820ep-15, -0x1.7f832c7db3785p-15, -0x1.792841ff41237p-15, -0x1.72d58ef425487p-15, -0x1.6c8b250ef9888p-15, -0x1.664915779c7dep-15, -0x1.600f70cc64572p-15, -0x1.59de4724bc9d6p-15, -0x1.53b5a811f1684p-15, -0x1.4d95a2a18fe47p-15, -0x1.477e455e5083dp-15, -0x1.416f9e52813eap-15, -0x1.3b69bb08ddbf3p-15, -0x1.356ca88ebee98p-15, -0x1.2f78737559b5bp-15, -0x1.298d27d3f8715p-15, -0x1.23aad148f2a05p-15, -0x1.1dd17afb71debp-15, -0x1.18012f9cfaf3ap-15, -0x1.1239f96b60d0fp-15, -0x1.0c7be2320d84ap-15, -0x1.06c6f34b32aa8p-15, -0x1.011b35a230cb2p-15, -0x1.f6f163688da36p-16, -0x1.ebbedf2539a6ap-16, -0x1.e09eedc789b0ep-16, -0x1.d5919dc9f36fbp-16, -0x1.ca96fcd796f0ep-16, -0x1.bfaf17cf1217dp-16, -0x1.b4d9fac59b693p-16, -0x1.aa17b10a48cbp-16, -0x1.9f684527fdd52p-16, -0x1.94cbc0e9d948cp-16, -0x1.8a422d5bce8cp-16, -0x1.7fcb92cff9b69p-16, -0x1.7567f8dfb2d46p-16, -0x1.6b17666ff5994p-16, -0x1.60d9e1b26d6eap-16, -0x1.56af70295386p-16, -0x1.4c9816a9617c2p-16, -0x1.4293d95d9e205p-16, -0x1.38a2bbc96cea9p-16, -0x1.2ec4c0cbc146ep-16, -0x1.24f9eaa0379bcp-16, -0x1.1b423ae429354p-16, -0x1.119db29768574p-16, -0x1.080c521ef6277p-16, -0x1.fd1c3291b1a4ap-17, -0x1.ea460e9a40c95p-17, -0x1.d79635a430e7cp-17, -0x1.c50ca3da8e67p-17, -0x1.b2a9544d2ec51p-17, -0x1.a06c40f4e23fbp-17, -0x1.8e5562b98e094p-17, -0x1.7c64b17696266p-17, -0x1.6a9a23fe9bcbp-17, -0x1.58f5b021bb979p-17, -0x1.47774ab011cadp-17, -0x1.361ee781276c8p-17, -0x1.24ec79776a7c4p-17, -0x1.13dff2843c261p-17, -0x1.02f943abeba74p-17, -0x1.e470ba164a9d2p-18, -0x1.c33a5bb893fc9p-18, -0x1.a24f48f4c9492p-18, -0x1.81af5ccace8ccp-18, -0x1.615a708f6c7d9p-18, -0x1.41505beeb9039p-18, -0x1.2190f5004bce5p-18, -0x1.021c1040e7046p-18, -0x1.c5e30151908e3p-19, -0x1.88222f4e4b841p-19, -0x1.4af54a678f925p-19, -0x1.0e5befa38a7e3p-19, -0x1.a4ab72654846ep-20, -0x1.2dc47cfd4527p-20, -0x1.700450e80f0a3p-21, -0x1.0d8e636d170b6p-22, 0x1.80c09795c879ap-23, 0x1.44e38246bb9c5p-21, 0x1.13aa5ce7b55e7p-20, 0x1.83c2d640a9fe2p-20, 0x1.f2bc21fa196fp-20, 0x1.304b9cbc0e178p-19, 0x1.66aa8d5481b6p-19, 0x1.9c7b63ec03957p-19, 0x1.d1bea3dab6887p-19, 0x1.033a6944d5fd1p-18, 0x1.1d4f3bb805ee1p-18, 0x1.371e0e029680cp-18, 0x1.50a725d8f396p-18, 0x1.69eac9e2b960bp-18, 0x1.82e941b414bcdp-18, 0x1.9ba2d5c47c74ap-18, 0x1.b417cf6ed0ab8p-18, 0x1.cc4878e414eb2p-18, 0x1.e4351d2da55bep-18, 0x1.fbde081bc5cabp-18, 0x1.09a1c32740505p-17, 0x1.1532f290748dbp-17, 0x1.20a2b957d66b2p-17, 0x1.2bf13ee4d86adp-17, 0x1.371eaaf9ca66fp-17, 0x1.422b25aba337bp-17, 0x1.4d16d766545e9p-17, 0x1.57e1e8e2e353ap-17, 0x1.628c8329f47d8p-17, 0x1.6d16cf8e238e2p-17, 0x1.7780f7ac5c6e3p-17, 0x1.81cb25652a242p-17, 0x1.8bf582e013327p-17, 0x1.96003a81381b6p-17, 0x1.9feb76f0559d5p-17, 0x1.a9b7630d7b301p-17, 0x1.b36429f4ed6ap-17, 0x1.bcf1f6f99be81p-17, 0x1.c660f5a4ae033p-17, 0x1.cfb151b13fdc4p-17, 0x1.d8e3370cb481cp-17, 0x1.e1f6d1d18c662p-17, 0x1.eaec4e47aedfep-17, 0x1.f3c3d8e24685dp-17, 0x1.fc7d9e3aef8f4p-17, 0x1.028ce58969ddep-16, 0x1.06cc4627e663fp-16, 0x1.0afd077c6db0bp-16, 0x1.0f1f401ab24cap-16, 0x1.133306a62c239p-16, 0x1.173871cf9f213p-16, 0x1.1b2f985601c73p-16, 0x1.1f1891045c6b9p-16, 0x1.22f372b0b3ccbp-16, 0x1.26c0543c6d3a6p-16, 0x1.2a7f4c92797d9p-16, 0x1.2e3072a5aafcp-16, 0x1.31d3dd7296581p-16, 0x1.3569a3fae9e3p-16, 0x1.38f1dd489b251p-16, 0x1.3c6ca069745a7p-16, 0x1.3fda0471a3748p-16, 0x1.433a2077c387ap-16, 0x1.468d0b96d3c14p-16, 0x1.49d2dceb415c7p-16, 0x1.4d0bab946f9fep-16, 0x1.50378eb0e329ep-16, 0x1.53569d61b27b8p-16, 0x1.5668eec577189p-16, 0x1.596e99fac126dp-16, 0x1.5c67b61e498a6p-16, 0x1.5f545a49d2632p-16, 0x1.62349d942c17dp-16, 0x1.65089710f816dp-16, 0x1.67d05dce61e38p-16, 0x1.6a8c08d67eba8p-16, 0x1.6d3baf2d8d5fp-16, 0x1.6fdf67d0f1419p-16, 0x1.727749b8c3dc5p-16, 0x1.75036bd402e0ep-16, 0x1.7783e50ae7bdp-16, 0x1.79f8cc3d24864p-16, 0x1.7c62384059d2p-16, 0x1.7ec03fe24c5cbp-16, 0x1.8112f9e56c911p-16, 0x1.835a7d0216784p-16, 0x1.8596dfe575d12p-16, 0x1.87c83931b14c9p-16, 0x1.89ee9f7bea392p-16, 0x1.8c0a294dd1799p-16, 0x1.8e1aed23c79dcp-16, 0x1.9021016c8893dp-16, 0x1.921c7c8951d91p-16, 0x1.940d74cd8cba1p-16, 0x1.95f4007caaafep-16, 0x1.97d035ccb5d15p-16, 0x1.99a22ae33a5abp-16, 0x1.9b69f5d5c9d29p-16, 0x1.9d27acaafdb99p-16, 0x1.9edb6557041d9p-16, 0x1.a08535bec199ap-16, 0x1.a22533b4e6198p-16, 0x1.a3bb74fa7c3e7p-16, 0x1.a5480f3f3dae1p-16, 0x1.a6cb181f8db2bp-16, 0x1.a844a525f7db8p-16, 0x1.a9b4cbca2bdbep-16, 0x1.ab1ba16f31d11p-16, 0x1.ac793b66df204p-16, 0x1.adcdaeeccb30ep-16, 0x1.af19112a05dd6p-16, 0x1.b05b7732ed535p-16, 0x1.b194f6063e203p-16, 0x1.b2c5a28f30583p-16, 0x1.b3ed91a2cb0a1p-16, 0x1.b50cd8012fb69p-16, 0x1.b6238a5470b6ep-16, 0x1.b731bd315c70dp-16, 0x1.b83785155a6bbp-16, 0x1.b934f6696949bp-16, 0x1.ba2a257e0d8bdp-16, 0x1.bb17268e2b841p-16, 0x1.bbfc0dbd9f0b1p-16, 0x1.bcd8ef186f945p-16, 0x1.bdadde9418c2fp-16, 0x1.be7af00e6523bp-16, 0x1.bf40374cbda26p-16, 0x1.bffdc7fdf038dp-16, 0x1.c0b3b5b76fedfp-16, 0x1.c16213f76daa7p-16, 0x1.c208f6239d542p-16, 0x1.c2a86f887be59p-16, 0x1.c340935ba4c96p-16, 0x1.c3d174b706b68p-16, 0x1.c45b269f9dddp-16, 0x1.c4ddbbfd332bcp-16, 0x1.c55947a1f01aep-16, 0x1.c5cddc44d26ap-16, 0x1.c63b8c836d0c2p-16, 0x1.c6a26ae38229p-16, 0x1.c70289ceff92ep-16, 0x1.c75bfb984eb27p-16, 0x1.c7aed276b3b47p-16, 0x1.c7fb208833ed4p-16, 0x1.c840f7d096c32p-16, 0x1.c8806a3a5f003p-16, 0x1.c8b98994adab4p-16, 0x1.c8ec67966b3cfp-16, 0x1.c91915da3e511p-16, 0x1.c93fa5e2586dfp-16, 0x1.c96029158674cp-16, 0x1.c97ab0c0552f4p-16, }}, 
      {{-0x1.f0cc826c74052p-1, -0x1.f0b9748559771p-1, -0x1.f099482d2024dp-1, -0x1.f06b6f4ebcd7fp-1, -0x1.f02f3e77066bcp-1, -0x1.efe3fdc5539d8p-1, -0x1.ef88f7a57530dp-1, -0x1.ef1d84a57145dp-1, -0x1.eea1144c948efp-1, -0x1.ee1333290d0ddp-1, -0x1.ed738e6fa05dfp-1, -0x1.ecc1f596b59b8p-1, -0x1.ebfe5a556bdap-1, -0x1.eb28cf675648dp-1, -0x1.ea418669cf0f6p-1, -0x1.e948cd1af8681p-1, -0x1.e83f0a35ea67dp-1, -0x1.e724ba1be4b13p-1, -0x1.e5fa6b7003af8p-1, -0x1.e4c0bbc2098bdp-1, -0x1.e378545d44448p-1, -0x1.e221e74a5b2ddp-1, -0x1.e0be2c8dbbd59p-1, -0x1.df4ddfa8560abp-1, -0x1.ddd1bd5d2530fp-1, -0x1.dc4a81bb9958fp-1, -0x1.dab8e66d29a11p-1, -0x1.d91da143021ep-1, -0x1.d77962ffe2193p-1, -0x1.d5ccd659acff8p-1, -0x1.d4189f2de5947p-1, -0x1.d25d59e423dc8p-1, -0x1.d09b9af9b1e2fp-1, -0x1.ced3eeb18ea45p-1, -0x1.cd06d8e45f9efp-1, -0x1.cb34d4ec1604cp-1, -0x1.c95e55a75e8f5p-1, -0x1.c783c59147696p-1, -0x1.c5a586e9d7726p-1, -0x1.c3c3f3eca4d12p-1, -0x1.c1df5f12ca5f8p-1, -0x1.bff8135de47a5p-1, -0x1.be0e54aa02cfp-1, -0x1.bc226004c274p-1, -0x1.ba346c07fa941p-1, -0x1.b844a9369fca4p-1, -0x1.b653425ab4359p-1, -0x1.b4605ce34253ep-1, -0x1.b26c194192d3dp-1, -0x1.b0769344e1cb8p-1, -0x1.ae7fe274073e8p-1, -0x1.ac881a6498e92p-1, -0x1.aa8f4b0f24554p-1, -0x1.a89581203d0e9p-1, -0x1.a69ac6462081ap-1, -0x1.a49f217ad04c7p-1, -0x1.a2a2974a846eap-1, -0x1.a0a52a16697abp-1, -0x1.9ea6da53aa1dfp-1, -0x1.9ca7a6c6c4e19p-1, -0x1.9aa78cbb3dc0ap-1, -0x1.98a68837bcbb4p-1, -0x1.96a4942eaf632p-1, -0x1.94a1aaab89503p-1, -0x1.929dc4fcbf69dp-1, -0x1.9098dbda9fe26p-1, -0x1.8e92e78b2738ep-1, -0x1.8c8be002f304p-1, -0x1.8a83bd037a1c1p-1, -0x1.887a7636a9253p-1, -0x1.86700348086bfp-1, -0x1.84645bfb8fcc6p-1, -0x1.8257784246c5bp-1, -0x1.8049504cd7342p-1, -0x1.7e39dc9c2ff22p-1, -0x1.7c29161058944p-1, -0x1.7a16f5f59346dp-1, -0x1.7803760febcfcp-1, -0x1.75ee90a54fa0cp-1, -0x1.73d8408647d44p-1, -0x1.71c0811570594p-1, -0x1.6fa74e4dc4b6dp-1, -0x1.6d8ca4c7d712fp-1, -0x1.6b7081be0a1e1p-1, -0x1.6952e30fdfeacp-1, -0x1.6733c74471eep-1, -0x1.65132d8c250fdp-1, -0x1.62f115c1a6c6fp-1, -0x1.60cd806a4a55fp-1, -0x1.5ea86eb5cc8a5p-1, -0x1.5c81e27d91579p-1, -0x1.5a59de43679f6p-1, -0x1.5830652fdbf19p-1, -0x1.56057b102970cp-1, -0x1.53d92453cf3dp-1, -0x1.51ab6609d794bp-1, -0x1.4f7c45ddd5f3cp-1, -0x1.4d4bca14a7d89p-1, -0x1.4b19f988fbb38p-1, -0x1.48e6dba7a9a81p-1, -0x1.46b2786bdf39fp-1, -0x1.447cd85b28737p-1, -0x1.4246048158487p-1, -0x1.400e066c5857ap-1, -0x1.3dd4e827e0b43p-1, -0x1.3b9ab4391fdap-1, -0x1.395f759a53e5ep-1, -0x1.372337b6585efp-1, -0x1.34e606642ef0cp-1, -0x1.32a7ede28002dp-1, -0x1.3068fad31dbb3p-1, -0x1.2e293a36829b4p-1, -0x1.2be8b9675644ap-1, -0x1.29a78615f4a99p-1, -0x1.2765ae43fc7eep-1, -0x1.2523403fe39dfp-1, -0x1.22e04aa0962cep-1, -0x1.209cdc411facap-1, -0x1.1e59043c5f75ap-1, -0x1.1c14d1e8c86cp-1, -0x1.19d054d430f99p-1, -0x1.178b9cbfaeaf4p-1, -0x1.1546b99b814b2p-1, -0x1.1301bb830ee61p-1, -0x1.10bcb2b8ee6b8p-1, -0x1.0e77afa30452cp-1, -0x1.0c32c2c6ae84p-1, -0x1.09edfcc503cffp-1, -0x1.07a96e5724c64p-1, -0x1.0565284a9c9a3p-1, -0x1.03213b7dd8041p-1, -0x1.00ddb8dcab4fdp-1, -0x1.fd3562b9db0e6p-2, -0x1.f8b06bf649867p-2, -0x1.f42caf6e8ec3bp-2, -0x1.efaa4f231e16ap-2, -0x1.eb296d0ebcd12p-2, -0x1.e6aa2b2078cd6p-2, -0x1.e22cab35be2e8p-2, -0x1.ddb10f149d119p-2, -0x1.d93778662c454p-2, -0x1.d4c008b117fd3p-2, -0x1.d04ae15457a9p-2, -0x1.cbd8238204c83p-2, -0x1.c767f03a5db8bp-2, -0x1.c2fa6846ead39p-2, -0x1.be8fac35cb1eep-2, -0x1.ba27dc55250fcp-2, -0x1.b5c318aebee1bp-2, -0x1.b1618103bafe5p-2, -0x1.ad0334c878752p-2, -0x1.a8a853209a27ap-2, -0x1.a450fadb30436p-2, -0x1.9ffd4a6f086fbp-2, -0x1.9bad5ff71ef7bp-2, -0x1.9761592f36383p-2, -0x1.931953708f796p-2, -0x1.8ed56baec7699p-2, -0x1.8a95be74d5c5fp-2, -0x1.865a67e22c3dep-2, -0x1.822383a7fceb8p-2, -0x1.7df12d069c103p-2, -0x1.79c37ecb06c32p-2, -0x1.759a934c894a2p-2, -0x1.7176846a858dcp-2, -0x1.6d576b8a58567p-2, -0x1.693d619561b91p-2, -0x1.65287ef727e69p-2, -0x1.6118db9b9af85p-2, -0x1.5d0e8eed77859p-2, -0x1.5909afd4c47d1p-2, -0x1.550a54b571fbcp-2, -0x1.5110936e0f71fp-2, -0x1.4d1c8156a2c53p-2, -0x1.492e333f9b273p-2, -0x1.4545bd70dacb8p-2, -0x1.416333a8e0478p-2, -0x1.3d86a91c07b25p-2, -0x1.39b03073e698dp-2, -0x1.35dfdbcec092bp-2, -0x1.3215bcbf14e8cp-2, -0x1.2e51e44b454d8p-2, -0x1.2a9462ed5140ep-2, -0x1.26dd4892af5c6p-2, -0x1.232ca49c34b21p-2, -0x1.1f8285de18c1fp-2, -0x1.1bdefaa00d39ap-2, -0x1.1842109d6a6p-2, -0x1.14abd5056fbc1p-2, -0x1.111c547b9a488p-2, -0x1.0d939b180d908p-2, -0x1.0a11b4680ed56p-2, -0x1.0696ab6e946e7p-2, -0x1.03228aa4e4fefp-2, -0x1.ff6ab7f694ebcp-3, -0x1.f89e51b3a8e63p-3, -0x1.f1dff44255023p-3, -0x1.eb2fb056e18fap-3, -0x1.e48d959a705dep-3, -0x1.ddf9b2ad02d25p-3, -0x1.d77415279359cp-3, -0x1.d0fcc99e54abfp-3, -0x1.ca93dba303881p-3, -0x1.c43955c7573a6p-3, -0x1.bded419f82d8ep-3, -0x1.b7afa7c4d9ae1p-3, -0x1.b1808fd87e333p-3, -0x1.ab60008630b39p-3, -0x1.a54dff872a41ep-3, -0x1.9f4a91a50f6c1p-3, -0x1.9955babcf568cp-3, -0x1.936f7dc279bd2p-3, -0x1.8d97dcc2e714cp-3, -0x1.87ced8e86bb0dp-3, -0x1.8214727d608dcp-3, -0x1.7c68a8ef9cd98p-3, -0x1.76cb7ad3d85ddp-3, -0x1.713ce5e91412cp-3, -0x1.6bbce71c1a712p-3, -0x1.664b7a8af99ccp-3, -0x1.60e89b8897108p-3, -0x1.5b9444a0450d4p-3, -0x1.564e6f995c6eap-3, -0x1.5117157ae816cp-3, -0x1.4bee2e8f4cd66p-3, -0x1.46d3b267fda46p-3, -0x1.41c797e1335acp-3, -0x1.3cc9d525a635ap-3, -0x1.37da5fb250ff6p-3, -0x1.32f92c5a31993p-3, -0x1.2e262f4a0d085p-3, -0x1.29615c0c38ca5p-3, -0x1.24aaa58c6186p-3, -0x1.2001fe1b5621fp-3, -0x1.1b675772c92e8p-3, -0x1.16daa2b921434p-3, -0x1.125bd0853b4a2p-3, -0x1.0dead0e22f6dcp-3, -0x1.0987935312834p-3, -0x1.053206d6b9361p-3, -0x1.00ea19eb70a65p-3, -0x1.f95f752571919p-4, -0x1.f105aca9ebf6ap-4, -0x1.e8c6b48a4c3c8p-4, -0x1.e0a2660902e4ep-4, -0x1.d898998c53141p-4, -0x1.d0a926a57bac4p-4, -0x1.c8d3e417f3c2bp-4, -0x1.c118a7e08aeebp-4, -0x1.b977473c79c3ep-4, -0x1.b1ef96b065fbap-4, -0x1.aa816a0f5a4ep-4, -0x1.a32c9481acb35p-4, -0x1.9bf0e88bca421p-4, -0x1.94ce381503c1p-4, -0x1.8dc4546e313bep-4, -0x1.86d30e58594a5p-4, -0x1.7ffa360b35268p-4, -0x1.79399b3ba982dp-4, -0x1.72910d2225dc3p-4, -0x1.6c005a80f370cp-4, -0x1.658751aa70554p-4, -0x1.5f25c0872c1bp-4, -0x1.58db749bfb506p-4, -0x1.52a83b0fec37bp-4, -0x1.4c8be0b229055p-4, -0x1.468631ffbfbacp-4, -0x1.4096fb2959a4ap-4, -0x1.3abe0818d5a5dp-4, -0x1.34fb2476cd64dp-4, -0x1.2f4e1bb004503p-4, -0x1.29b6b8fabc982p-4, -0x1.2434c75bf62bcp-4, -0x1.1ec811ac94ba9p-4, -0x1.1970629e6eaa9p-4, -0x1.142d84c1417d8p-4, -0x1.0eff428792289p-4, -0x1.09e5664b6f83dp-4, -0x1.04dfba5323d58p-4, -0x1.ffdc11ab892f5p-5, -0x1.f62037ff6636dp-5, -0x1.ec8b7bedfb5f9p-5, -0x1.e31d71bf5cf82p-5, -0x1.d9d5adbff5605p-5, -0x1.d0b3c448c68fap-5, -0x1.c7b749c7626c7p-5, -0x1.bedfd2c5cc454p-5, -0x1.b62cf3f217c96p-5, -0x1.ad9e4225e1a8dp-5, -0x1.a533526d9041cp-5, -0x1.9cebba0f733bep-5, -0x1.94c70e92a3ceap-5, -0x1.8cc4e5c5c06fap-5, -0x1.84e4d5c571f89p-5, -0x1.7d267502d1d61p-5, -0x1.75895a498ca95p-5, -0x1.6e0d1cc5e8695p-5, -0x1.66b1540a9bb95p-5, -0x1.5f75981669c8p-5, -0x1.58598159a8056p-5, -0x1.515ca8bb8590dp-5, -0x1.4a7ea79f31ef4p-5, -0x1.43bf17e8d4f5p-5, -0x1.3d1d94025cd1fp-5, -0x1.3699b6e01e057p-5, -0x1.30331c0555c4ap-5, -0x1.29e95f8871f8ap-5, -0x1.23bc1e1745e32p-5, -0x1.1daaf4fafe04ep-5, -0x1.17b5821c048a2p-5, -0x1.11db6405aed3p-5, -0x1.0c1c39e9caf7bp-5, -0x1.0677a3a40800cp-5, -0x1.00ed41bd35a98p-5, -0x1.f6f96adcc61eep-6, -0x1.ec4b4147ab3ebp-6, -0x1.e1cf4bffc218dp-6, -0x1.d784d1bb30724p-6, -0x1.cd6b1aa6bacfp-6, -0x1.c381706aa415cp-6, -0x1.b9c71e2f483cap-6, -0x1.b03b70a16dc7ap-6, -0x1.a6ddb5f674cbap-6, -0x1.9dad3df0133e5p-6, -0x1.94a959e011458p-6, -0x1.8bd15cab943bfp-6, -0x1.83249ace4ef82p-6, -0x1.7aa26a5d6fedep-6, -0x1.724a230a48f17p-6, -0x1.6a1b1e24db89p-6, -0x1.6214b69e0dfc2p-6, -0x1.5a364909c389bp-6, -0x1.527f33a0bfd6ap-6, -0x1.4aeed6423b8cep-6, -0x1.438492756e6bdp-6, -0x1.3c3fcb6ad4631p-6, -0x1.351fe5fd35743p-6, -0x1.2e2448b29e19cp-6, -0x1.274c5bbd15886p-6, -0x1.209788fb2ea49p-6, -0x1.1a053bf869d2ep-6, -0x1.1394e1ed75b4cp-6, -0x1.0d45e9c039b7p-6, -0x1.0717c403c5e26p-6, -0x1.0109e2f8143acp-6, -0x1.f63775135a891p-7, -0x1.ea9980a22b4d1p-7, -0x1.df38d72461137p-7, -0x1.d4146a76dd356p-7, -0x1.c92b2fc9bef9p-7, -0x1.be7c1f9e569ebp-7, -0x1.b40635c4b7512p-7, -0x1.a9c871593129ap-7, -0x1.9fc1d4c16e50ap-7, -0x1.95f165a97f3b4p-7, -0x1.8c562d008e3e7p-7, -0x1.82ef36f561e01p-7, -0x1.79bb92f2b7bffp-7, -0x1.70ba539b72781p-7, -0x1.67ea8ec683eep-7, -0x1.5f4b5d7ab1a5ep-7, -0x1.56dbdbea41272p-7, -0x1.4e9b296e52c18p-7, -0x1.468868823307cp-7, -0x1.3ea2bebe7dd8ep-7, -0x1.36e954d40ee32p-7, -0x1.2f5b5686e5c44p-7, -0x1.27f7f2a8cad5p-7, -0x1.20be5b13e7b62p-7, -0x1.19adc4a541beep-7, -0x1.12c5673705facp-7, -0x1.0c047d9ac7eb7p-7, -0x1.056a459390061p-7, -0x1.fdebffa003a8bp-8, -0x1.f14ddfc833e1ap-8, -0x1.e4f8b88657408p-8, -0x1.d8eb1c7304779p-8, -0x1.cd23a3cc31f82p-8, -0x1.c1a0ec686049fp-8, -0x1.b66199a9a4043p-8, -0x1.ab6454708786dp-8, -0x1.a0a7cb0ed08d1p-8, -0x1.962ab13a35fdbp-8, -0x1.8bebbffef002ep-8, -0x1.81e9b5b2277bfp-8, -0x1.782355e45a745p-8, -0x1.6e976953a355p-8, -0x1.6544bdde0135cp-8, -0x1.5c2a26736fc4fp-8, -0x1.53467b081c2cap-8, -0x1.4a9898864a084p-8, -0x1.421f60c07e277p-8, -0x1.39d9ba635d526p-8, -0x1.31c690e7b6ae2p-8, -0x1.29e4d48453dep-8, -0x1.22337a1ff8b5ap-8, -0x1.1ab17b433dc47p-8, -0x1.135dd60a74723p-8, -0x1.0c378d179736dp-8, -0x1.053da78413899p-8, -0x1.fcde61a5c5d25p-9, -0x1.ef9671c486af5p-9, -0x1.e2a1a7bb9221ap-9, -0x1.d5fe3460cd5c7p-9, -0x1.c9aa50eca8ba5p-9, -0x1.bda43ede44d9bp-9, -0x1.b1ea47dfae3e9p-9, -0x1.a67abdaa363a1p-9, -0x1.9b53f9eaafac1p-9, -0x1.90745e25f8e4cp-9, -0x1.85da539d9dbb3p-9, -0x1.7b844b3475b2ep-9, -0x1.7170bd53a4a5cp-9, -0x1.679e29cf7886bp-9, -0x1.5e0b17cc95646p-9, -0x1.54b615a54ba48p-9, -0x1.4b9db8ceed1efp-9, -0x1.42c09dbf74f9fp-9, -0x1.3a1d67d3577e1p-9, -0x1.31b2c133593c1p-9, -0x1.297f5abac4c63p-9, -0x1.2181ebdda96a8p-9, -0x1.19b9328f667e3p-9, -0x1.1223f3293a083p-9, -0x1.0ac0f85151778p-9, -0x1.038f12e1a05d1p-9, -0x1.f91a339ee0b74p-10, -0x1.eb73d4251c06ep-10, -0x1.de28cd1a7f8e9p-10, -0x1.d136efe7f086ap-10, -0x1.c49c196b46a78p-10, -0x1.b85631c7b3acap-10, -0x1.ac632c370d259p-10, -0x1.a0c106db60967p-10, -0x1.956dca90d3079p-10, -0x1.8a678ac059e2p-10, -0x1.7fac653261c8p-10, -0x1.753a81e2a44b9p-10, -0x1.6b1012d37328ap-10, -0x1.612b53e2abf65p-10, -0x1.578a8a9e11984p-10, -0x1.4e2c0618d00d4p-10, -0x1.450e1ec143cbap-10, -0x1.3c2f363717cf6p-10, -0x1.338db7222d31bp-10, -0x1.2b2815098aa18p-10, -0x1.22fccc2b3a8dbp-10, -0x1.1b0a61549d46bp-10, -0x1.134f61bab33dfp-10, -0x1.0bca62d3691b2p-10, -0x1.047a022f5f8cfp-10, -0x1.fab9caa75c137p-11, -0x1.ece373299ae42p-11, -0x1.df6e67e2dca68p-11, -0x1.d25821dc14cc6p-11, -0x1.c59e28e2126b7p-11, -0x1.b93e133e2dbf2p-11, -0x1.ad35857066492p-11, -0x1.a18231ea73afbp-11, -0x1.9621d8cb1b10fp-11, -0x1.8b12479b9d641p-11, -0x1.8051590d09411p-11, -0x1.75dcf4b70155p-11, -0x1.6bb30ed74c994p-11, -0x1.61d1a81286ff3p-11, -0x1.5836cd355d451p-11, -0x1.4ee096f704f24p-11, -0x1.45cd29bca4248p-11, -0x1.3cfab55d2ee7fp-11, -0x1.346774e6f5223p-11, -0x1.2c11ae650d5bbp-11, -0x1.23f7b2a6a7f3ep-11, -0x1.1c17dd06a0086p-11, -0x1.147093341ffadp-11, -0x1.0d0044fbf96ebp-11, -0x1.05c56c137a484p-11, -0x1.fd7d17c5c78acp-12, -0x1.efd462a45b828p-12, -0x1.e28de52b1acbfp-12, -0x1.d5a6ddf638a4fp-12, -0x1.c91c9d737928dp-12, -0x1.bcec858007adcp-12, -0x1.b1140909f56e6p-12, -0x1.a590abb10b438p-12, -0x1.9a60016acf784p-12, -0x1.8f7fae27f28eap-12, -0x1.84ed657a9d32p-12, -0x1.7aa6ea3e6e81bp-12, -0x1.70aa0e42c5a14p-12, -0x1.66f4b1f5b510fp-12, -0x1.5d84c4108c40ap-12, -0x1.5458414643782p-12, -0x1.4b6d33f388c7fp-12, -0x1.42c1b3cec95ffp-12, -0x1.3a53e59bc338cp-12, -0x1.3221fadee27efp-12, -0x1.2a2a3192a55b9p-12, -0x1.226ad3de74a2dp-12, -0x1.1ae237ce8fadfp-12, -0x1.138ebf0d5b8afp-12, -0x1.0c6ed69df754dp-12, -0x1.0580f698b92fep-12, -0x1.fd8743cfd4a71p-13, -0x1.f06acc0d9cb07p-13, -0x1.e3a9b581b9067p-13, -0x1.d74143e65470dp-13, -0x1.cb2ece9e09edfp-13, -0x1.bf6fc038f83efp-13, -0x1.b40195ff889ebp-13, -0x1.a8e1df7db645fp-13, -0x1.9e0e3e10d7401p-13, -0x1.93846477bc39ep-13, -0x1.8942166588924p-13, -0x1.7f4528157e834p-13, -0x1.758b7de3145e9p-13, -0x1.6c130be179adp-13, -0x1.62d9d577b2d77p-13, -0x1.59ddecfdccef7p-13, -0x1.511d735ad5d4p-13, -0x1.489697a784fe2p-13, -0x1.404796d08b223p-13, -0x1.382ebb3baa498p-13, -0x1.304a5c6f6b27dp-13, -0x1.2898debaf92bep-13, -0x1.2118b2e20dfe9p-13, -0x1.19c855c8fe552p-13, -0x1.12a65022ff1f1p-13, -0x1.0bb1362281b9dp-13, -0x1.04e7a72b888ccp-13, -0x1.fc909b0c979d3p-14, -0x1.efa3bc2a0e474p-14, -0x1.e3063016dd256p-14, -0x1.d6b5894d97d29p-14, -0x1.caaf6dcfe2cc1p-14, -0x1.bef1969ef4b85p-14, -0x1.b379cf3495c71p-14, -0x1.a845f5033a862p-14, -0x1.9d53f6f352474p-14, -0x1.92a1d4e9ff4f4p-14, -0x1.882d9f4d0a83bp-14, -0x1.7df5768d398a6p-14, -0x1.73f78ab26b989p-14, -0x1.6a321ae90e829p-14, -0x1.60a375149d44cp-14, -0x1.5749f562a631cp-14, -0x1.4e2405e1cdd36p-14, -0x1.45301e1a8c969p-14, -0x1.3c6cc2aacabb7p-14, -0x1.33d884e41cee3p-14, -0x1.2b72026b2820ep-14, -0x1.2337e4dae291bp-14, -0x1.1b28e16929d3ap-14, -0x1.1343b88dd268cp-14, -0x1.0b8735ac4e4a1p-14, -0x1.03f22ebe71afap-14, -0x1.f90708056b136p-15, -0x1.ea743f58198fap-15, -0x1.dc29eb24ec1b7p-15, -0x1.ce2605cfa5c3bp-15, -0x1.c0669bd92686cp-15, -0x1.b2e9cb4f93bcfp-15, -0x1.a5adc33fe7b5bp-15, -0x1.98b0c32d7c328p-15, -0x1.8bf11a8ab859ep-15, -0x1.7f6d2838ff3bep-15, -0x1.73235a0655962p-15, -0x1.67122c34a11f1p-15, -0x1.5b3828fe05957p-15, -0x1.4f93e8232e34ap-15, -0x1.44240e754e70ap-15, -0x1.38e74d6a79bbdp-15, -0x1.2ddc62afbb8f1p-15, -0x1.230217c07ad9p-15, -0x1.185741809bfdp-15, -0x1.0ddabfd94f025p-15, -0x1.038b7d5701983p-15, -0x1.f2d0dd9b090fbp-16, -0x1.dee125f4b5f31p-16, -0x1.cb45e45c8571fp-16, -0x1.b7fd3beafed84p-16, -0x1.a505618871a53p-16, -0x1.925c9b4c5dcdfp-16, -0x1.80013fdedd0d1p-16, -0x1.6df1b5dd3ec4ep-16, -0x1.5c2c7346d06fap-16, -0x1.4aaffceb825c2p-16, -0x1.397ae5dfef996p-16, -0x1.288bcef4c8bcap-16, -0x1.17e16633db7b4p-16, -0x1.077a665db8cb7p-16, -0x1.eeab2ce1b5edbp-17, -0x1.cee3925db947ap-17, -0x1.af9bb950dcbd3p-17, -0x1.90d17396b44ffp-17, -0x1.7282a7ec5618fp-17, -0x1.54ad511a1c5dfp-17, -0x1.374f7d253e4f8p-17, -0x1.1a674c8b0d53ep-17, -0x1.fbe5e2fbe397cp-18, -0x1.c3e15e56c2a76p-18, -0x1.8cbdb213962fcp-18, -0x1.5677a44c7024p-18, -0x1.210c18f601b81p-18, -0x1.d8f0214154adbp-19, -0x1.71714e68a9688p-19, -0x1.0b9625825bcafp-19, -0x1.4eb28961a2fa5p-20, -0x1.12d5e788e1042p-21, 0x1.c5a3f54ed4dcep-23, 0x1.ef6aff5988b2ap-21, 0x1.b3a16ddd8d904p-20, 0x1.3640ac52d7959p-19, 0x1.912f01f2e8b08p-19, 0x1.ea9ff5ca5da42p-19, 0x1.214bd1d0fd6c5p-18, 0x1.4c8d035a05ad4p-18, 0x1.77157da4368c9p-18, 0x1.a0e720269a7bap-18, 0x1.ca03bc5f6206fp-18, 0x1.f26d1695da6fdp-18, 0x1.0d1273442a25dp-17, 0x1.20966c09c27f9p-17, 0x1.33c345ed62371p-17, 0x1.4699cbf069c57p-17, 0x1.591ac412dcd85p-17, 0x1.6b46ef971a399p-17, 0x1.7d1f0b4baeee6p-17, 0x1.8ea3cfcbb536p-17, 0x1.9fd5f1be99e84p-17, 0x1.b0b62214ea56ep-17, 0x1.c1450e474d078p-17, 0x1.d18360886c64fp-17, 0x1.e171bfff4632cp-17, 0x1.f110d0fa6497dp-17, 0x1.00309a8eb0ea7p-16, 0x1.07b1c5ca4f581p-16, 0x1.0f0c389f137e3p-16, 0x1.1640406b5b3ecp-16, 0x1.1d4e29904b4f3p-16, 0x1.24363f862b25ap-16, 0x1.2af8cced63cf2p-16, 0x1.31961ba241a8fp-16, 0x1.380e74cb19fd8p-16, 0x1.3e6220e9e4c7ap-16, 0x1.449167eafb12dp-16, 0x1.4a9c913278996p-16, 0x1.5083e3aa5ff13p-16, 0x1.5647a5cefe851p-16, 0x1.5be81dbaa962p-16, 0x1.61659131a1a65p-16, 0x1.66c045abd7769p-16, 0x1.6bf880601312fp-16, 0x1.710e864c1695cp-16, 0x1.76029c3eb8d19p-16, 0x1.7ad506de47956p-16, 0x1.7f860ab26bc72p-16, 0x1.8415ec29c9d22p-16, 0x1.8884efa07bb2ap-16, 0x1.8cd359676dfccp-16, 0x1.91016dc8b9defp-16, 0x1.950f710d28bep-16, 0x1.98fda781f22e5p-16, 0x1.9ccc557b5b87dp-16, 0x1.a07bbf5a7ba3p-16, 0x1.a40c298f9034cp-16, 0x1.a77dd89ddbe07p-16, 0x1.aad1111dbf0cp-16, 0x1.ae0617c0643a5p-16, 0x1.b11d3150b4517p-16, 0x1.b416a2b625049p-16, 0x1.b6f2b0f5639b1p-16, 0x1.b9b1a13286fcdp-16, 0x1.bc53b8b1b344ap-16, 0x1.bed93cd7de777p-16, 0x1.c142732b4f57p-16, 0x1.c38fa1542a9d4p-16, 0x1.c5c10d1c6603ep-16, 0x1.c7d6fc6f876a7p-16, 0x1.c9d1b55aafa55p-16, 0x1.cbb17e0b92c26p-16, 0x1.cd769cd06d3a6p-16, 0x1.cf215816360dp-16, 0x1.d0b1f6687385p-16, 0x1.d228be700e04cp-16, 0x1.d385f6f107a3p-16, 0x1.d4c9e6caac729p-16, 0x1.d5f4d4f476456p-16, 0x1.d707087d68624p-16, 0x1.d800c889ab074p-16, 0x1.d8e25c50fcefap-16, 0x1.d9ac0b1c8d86ap-16, 0x1.da5e1c44f6cfdp-16, 0x1.daf8d7302c7fcp-16, 0x1.db7c834edd20ep-16, 0x1.dbe9681aacd5ap-16, 0x1.dc3fcd13b9137p-16, 0x1.dc7ff9bdce8bap-16, 0x1.dcaa359e935abp-16, 0x1.dcbec83a7653p-16, 0x1.dcbdf91262476p-16, 0x1.dca80fa11c4d9p-16, 0x1.dc7d5358e16a9p-16, 0x1.dc3e0b9fef8bp-16, 0x1.dbea7fcf44db9p-16, 0x1.db82f72e375c5p-16, 0x1.db07b8f1125b6p-16, 0x1.da790c35dbf45p-16, 0x1.d9d73801c1043p-16, 0x1.d922833e2fb08p-16, 0x1.d85b34b639fcep-16, 0x1.d7819313e0998p-16, 0x1.d695e4dd5c408p-16, 0x1.d59870722b446p-16, 0x1.d4897c08cb567p-16, 0x1.d3694dabb73b4p-16, 0x1.d2382b36c50d2p-16, 0x1.d0f65a547ebbfp-16, 0x1.cfa4207bcf92fp-16, 0x1.ce41c2ecc05adp-16, 0x1.cccf86ae83454p-16, 0x1.cb4db08c8e73ep-16, 0x1.c9bc851471207p-16, 0x1.c81c48928718cp-16, 0x1.c66d3f10ac8f7p-16, 0x1.c4afac52e558p-16, 0x1.c2e3d3d50bde4p-16, 0x1.c109f8c8f7bafp-16, 0x1.bf225e13b002ap-16, 0x1.bd2d464b3fb4cp-16, 0x1.bb2af3b4a13a9p-16, 0x1.b91ba84142225p-16, 0x1.b6ffa58d1d741p-16, 0x1.b4d72cdc6efcp-16, 0x1.b2a27f19b748bp-16, 0x1.b061dcd39807dp-16, 0x1.ae15863acdee6p-16, 0x1.abbdbb2081d0cp-16, 0x1.a95abaf4082d2p-16, 0x1.a6ecc4c150874p-16, 0x1.a474172ecd4cfp-16, 0x1.a1f0f07be3321p-16, 0x1.9f638e7f496adp-16, 0x1.9ccc2ea4f471cp-16, 0x1.9a2b0decdf76ap-16, 0x1.978068e956fa2p-16, 0x1.94cc7bbd4faaap-16, 0x1.920f821b03256p-16, 0x1.8f49b742a6a92p-16, 0x1.8c7b5600ba04ep-16, 0x1.89a498acebb02p-16, 0x1.86c5b928c6d73p-16, 0x1.83def0de597b5p-16, 0x1.80f078befafedp-16, 0x1.7dfa8942705efp-16, 0x1.7afd5a6562c47p-16, 0x1.77f923a8a87cfp-16, 0x1.74ee1c0ff3079p-16, 0x1.71dc7a213d869p-16, 0x1.6ec473e3934c3p-16, 0x1.6ba63ede427d1p-16, 0x1.68821017e882ap-16, 0x1.65581c15ea92fp-16, 0x1.622896db8fd3cp-16, 0x1.5ef3b3e93d5b2p-16, 0x1.5bb9a63c0c432p-16, 0x1.587aa04ccf9f2p-16, 0x1.5536d40fb8f8fp-16, 0x1.51ee72f3dc5fep-16, 0x1.4ea1ade2a3e64p-16, 0x1.4b50b53f5468bp-16, 0x1.47fbb8e6a8ad7p-16, 0x1.44a2e82e94dc9p-16, 0x1.414671e5a3a68p-16, 0x1.3de68452ee56fp-16, 0x1.3a834d35addccp-16, 0x1.371cf9c541fedp-16, 0x1.33b3b6b0bbe7bp-16, 0x1.3047b01edf967p-16, 0x1.2cd911ae106a6p-16, 0x1.296806744200fp-16, 0x1.25f4b8fee297bp-16, 0x1.227f5352af17ep-16, 0x1.1f07feebfbdddp-16, 0x1.1b8ee4be9a0f2p-16, 0x1.18142d360671bp-16, 0x1.14980035863ddp-16, 0x1.111a8518525abp-16, 0x1.0d9be2b1acfc3p-16, 0x1.0a1c3f4d26175p-16, 0x1.069bc0aefa8p-16, 0x1.031a8c14322c9p-16, 0x1.ff318c65d1fa3p-17, 0x1.f82d2675a3c0dp-17, 0x1.f1282daaef5c6p-17, 0x1.ea22e84d0336bp-17, 0x1.e31d9b987e097p-17, 0x1.dc188bc005e4ep-17, 0x1.d513fbed5b728p-17, 0x1.ce102e4223b7cp-17, 0x1.c70d63d91267bp-17, 0x1.c00bdcc6ab002p-17, 0x1.b90bd81ac3045p-17, 0x1.b20d93e13d567p-17, 0x1.ab114d236e2e6p-17, 0x1.a4173fe94289bp-17, 0x1.9d1fa73a8ba25p-17, 0x1.962abd2050297p-17, 0x1.8f38baa617beap-17, 0x1.8849d7db5bdefp-17, 0x1.815e4bd49e09ap-17, 0x1.7a764cad3c1fbp-17, 0x1.73920f887f53ep-17, 0x1.6cb1c89384b77p-17, 0x1.65d5ab06a583fp-17, 0x1.5efde926ec5d6p-17, 0x1.582ab4477abap-17, 0x1.515c3ccb7a14ep-17, 0x1.4a92b227bab15p-17, 0x1.43ce42e40bc09p-17, 0x1.3d0f1c9d1c4b7p-17, 0x1.36556c06695ddp-17, 0x1.2fa15cebbfd2ep-17, 0x1.28f31a330ffc4p-17, 0x1.224acdde01e03p-17, 0x1.1ba8a10be2884p-17, 0x1.150cbbfb56a7dp-17, 0x1.0e77460c71ff6p-17, 0x1.07e865c29923bp-17, 0x1.016040c5e7c2dp-17, 0x1.f5bdf7ca92a71p-18, 0x1.e8c97631041e9p-18, 0x1.dbe343040985cp-18, 0x1.cf0ba2e1b871dp-18, 0x1.c242d8c4c7485p-18, 0x1.b5892608a540ap-18, 0x1.a8deca6e5cbc2p-18, 0x1.9c44041f53217p-18, 0x1.8fb90fb16eb44p-18, 0x1.833e282b5e253p-18, 0x1.76d38707f6abp-18, 0x1.6a79643a89b2p-18, 0x1.5e2ff633722d2p-18, 0x1.51f771e341f8ep-18, 0x1.45d00abf0adc2p-18, 0x1.39b9f2c488b29p-18, 0x1.2db55a7db4d7dp-18, 0x1.21c2710580b91p-18, 0x1.15e1640b6581p-18, 0x1.0a125fd7a3961p-18, 0x1.fcab1e9e4bba6p-19, 0x1.e55637ef1b3f9p-19, 0x1.ce265bf6e09f4p-19, 0x1.b71bd85cb3408p-19, 0x1.a036f821d1715p-19, 0x1.897803a90eb8cp-19, 0x1.72df40be9f8bcp-19, 0x1.5c6cf2a0b9b92p-19, 0x1.46215a08d516ep-19, 0x1.2ffcb5323465cp-19, 0x1.19ff3fe250b44p-19, 0x1.04293370dab02p-19, 0x1.dcf58d9dd7bb2p-20, 0x1.b1e85d20e99d7p-20, 0x1.872b39e5e9723p-20, 0x1.5cbe83cd6d5aap-20, 0x1.32a2962b34eecp-20, 0x1.08d7c7d634861p-20, 0x1.bebcd66fff1a3p-21, 0x1.6c6d9cc0c39c4p-21, 0x1.1ac2761e679dfp-21, 0x1.9377db1abeac6p-22, 0x1.e56a16cc24429p-23, 0x1.4cf5c7ae80a4ap-24, -0x1.2bb832feafe27p-24, -0x1.cf993818faf3fp-23, -0x1.835d7734ff4ccp-22, -0x1.0ecff47e58882p-21, -0x1.5b49a5b9dffdbp-21, -0x1.a71b83dd31b5ap-21, -0x1.f2454ae6536b5p-21, -0x1.1e635f1080df4p-20, -0x1.434fd40553dcdp-20, -0x1.67e7ed195b1fp-20, -0x1.8c2b968e903acp-20, -0x1.b01ac015e9126p-20, -0x1.d3b55cbdb74c7p-20, -0x1.f6fb62e59fb8bp-20, -0x1.0cf666182c14dp-19, -0x1.1e44cab9d3903p-19, -0x1.2f68df571b18fp-19, -0x1.4062a57b03b33p-19, -0x1.5132203572e33p-19, -0x1.61d754163f9e3p-19, -0x1.72524724a7329p-19, -0x1.82a300d9730f3p-19, -0x1.92c98a18a206cp-19, -0x1.a2c5ed29cf555p-19, -0x1.b29835b241ec1p-19, -0x1.c24070af47d53p-19, -0x1.d1beac6d6964cp-19, -0x1.e112f88412f54p-19, -0x1.f03d65cf26887p-19, -0x1.ff3e0668aace8p-19, -0x1.070a76d0f9eep-18, -0x1.0e6117ff13743p-18, -0x1.15a2f195c9245p-18, -0x1.1cd00efeda54ep-18, -0x1.23e87c33fca63p-18, -0x1.2aec45bb8b2c1p-18, -0x1.31db78a6076bap-18, -0x1.38b6228abaf92p-18, -0x1.3f7c5184e5298p-18, -0x1.462e14310da9p-18, -0x1.4ccb79aa95e77p-18, -0x1.5354918858672p-18, -0x1.59c96bda0c9ebp-18, -0x1.602a1925ac4bcp-18, -0x1.6676aa648efc7p-18, -0x1.6caf3100d7bd8p-18, -0x1.72d3bed335386p-18, -0x1.78e4661fe8c53p-18, -0x1.7ee1399423abdp-18, -0x1.84ca4c43d6d18p-18, -0x1.8a9fb1a665a22p-18, -0x1.90617d9507024p-18, -0x1.960fc4480f8a5p-18, -0x1.9baa9a547f339p-18, -0x1.a13214a92e75ep-18, -0x1.a6a6488d0ae9ep-18, -0x1.ac074b9c6d54bp-18, -0x1.b15533c6c4bafp-18, -0x1.b690174cbed5cp-18, -0x1.bbb80cbd2106cp-18, -0x1.c0cd2af355647p-18, -0x1.c5cf8914d78b6p-18, -0x1.cabf3e8f59098p-18, -0x1.cf9c631665d08p-18, -0x1.d4670ea103c15p-18, -0x1.d91f596807cd8p-18, -0x1.ddc55be3d6f28p-18, -0x1.e2592eca65768p-18, -0x1.e6daeb0d64432p-18, -0x1.eb4aa9d7c9628p-18, -0x1.efa8848c29735p-18, -0x1.f3f494c2d0d6bp-18, -0x1.f82ef447ee72fp-18, -0x1.fc57bd1974196p-18, -0x1.003784b2c15b7p-17, -0x1.023a79c415cc2p-17, -0x1.0434cb05030e5p-17, -0x1.062685cf5b59bp-17, -0x1.080fb79128135p-17, -0x1.09f06dcc17f5p-17, -0x1.0bc8b6148b11p-17, -0x1.0d989e10ea0f6p-17, -0x1.0f603378ac242p-17, -0x1.111f84136944cp-17, -0x1.12d69db87cc56p-17, -0x1.14858e4dd1a9p-17, -0x1.162c63c72fc8cp-17, -0x1.17cb2c259ee3p-17, -0x1.1961f5767254cp-17, -0x1.1af0cdd2bbddfp-17, -0x1.1c77c35e9d8a8p-17, -0x1.1df6e4485f133p-17, -0x1.1f6e3ec7d0c83p-17, -0x1.20dde11d894c7p-17, -0x1.2245d99264e3ap-17, -0x1.23a63676bd8f6p-17, -0x1.24ff0621b14b1p-17, -0x1.265056f0c07b2p-17, -0x1.279a3746af231p-17, -0x1.28dcb58b795dep-17, -0x1.2a17e02b59c29p-17, -0x1.2b4bc5961e787p-17, -0x1.2c78743ef530ap-17, -0x1.2d9dfa9b7b7c3p-17, -0x1.2ebc672350b17p-17, -0x1.2fd3c84f820f4p-17, -0x1.30e42c99ea0cdp-17, -0x1.31eda27cc0f3p-17, -0x1.32f038721ab99p-17, -0x1.33ebfcf349a75p-17, -0x1.34e0fe78733e7p-17, -0x1.35cf4b77f70a9p-17, -0x1.36b6f265ff5f2p-17, -0x1.379801b3e5439p-17, -0x1.387287d0220a4p-17, -0x1.3946932557ddep-17, -0x1.3a14321a1a8fep-17, -0x1.3adb73105c73ap-17, -0x1.3b9c646541fb8p-17, -0x1.3c57147090994p-17, -0x1.3d0b91840849bp-17, -0x1.3db9e9eb81b3cp-17, -0x1.3e622bebdcc55p-17, -0x1.3f0465c336e37p-17, -0x1.3fa0a5a8324d5p-17, -0x1.4036f9c9a7234p-17, -0x1.40c7704e7086bp-17, -0x1.41521754b2437p-17, -0x1.41d6fcf1e2c0fp-17, -0x1.42562f322e8p-17, -0x1.42cfbc182bde8p-17, -0x1.4343b19cf731p-17, -0x1.43b21daefea51p-17, -0x1.441b0e328488ap-17, -0x1.447e9100e71c2p-17, -0x1.44dcb3e8693b9p-17, -0x1.453584ac115dcp-17, -0x1.4589110327e06p-17, -0x1.45d76698e429ep-17, -0x1.4620930c80684p-17, -0x1.4664a3f0848e9p-17, -0x1.46a3a6cb1befep-17, -0x1.46dda914f97bcp-17, -0x1.4712b839f5fb7p-17, -0x1.4742e19890f5fp-17, -0x1.476e32810dfe2p-17, -0x1.4794b83690e54p-17, -0x1.47b67fed5122fp-17, -0x1.47d396cbc2227p-17, -0x1.47ec09e9a87efp-17, -0x1.47ffe64fef5b5p-17, -0x1.480f38f8a9642p-17, -0x1.481a0ecedb588p-17, -0x1.482074ae248f4p-17, -0x1.48227762b0693p-17, -0x1.482023a92e63ap-17, -0x1.4819862e3f192p-17, -0x1.480eab8eb360ep-17, -0x1.47ffa057576acp-17, -0x1.47ec7104663c3p-17, -0x1.47d52a020c668p-17, -0x1.47b9d7ab9ffecp-17, -0x1.479a864bef28ep-17, -0x1.4777421cf954ap-17, -0x1.47501747b26cdp-17, -0x1.472511e445b5dp-17, -0x1.46f63df93cc3fp-17, -0x1.46c3a77c7430ap-17, -0x1.468d5a51cbabap-17, -0x1.4653624c23c47p-17, -0x1.4615cb2c9120fp-17, -0x1.45d4a0a263b19p-17, -0x1.458fee4b87d41p-17, -0x1.4547bfb3a12e5p-17, -0x1.44fc2054ae8acp-17, -0x1.44ad1b96b9dcp-17, -0x1.445abccf83362p-17, -0x1.44050f42eb04cp-17, -0x1.43ac1e2278695p-17, -0x1.434ff48d604a9p-17, -0x1.42f09d90d5e44p-17, -0x1.428e242752741p-17, -0x1.4228933916c95p-17, -0x1.41bff59bfbb59p-17, -0x1.415456133c01fp-17, -0x1.40e5bf4f8f871p-17, -0x1.40743bef44afp-17, -0x1.3fffd67dd61a3p-17, -0x1.3f8899744972ep-17, -0x1.3f0e8f38ecd8fp-17, -0x1.3e91c21f618b6p-17, -0x1.3e123c6893683p-17, -0x1.3d900842d934p-17, -0x1.3d0b2fc97f4b1p-17, -0x1.3c83bd0595b6dp-17, -0x1.3bf9b9ecd82a1p-17, -0x1.3b6d3062dca4fp-17, -0x1.3ade2a37f88f4p-17, -0x1.3a4cb12a15008p-17, -0x1.39b8cee460c88p-17, -0x1.39228cfefd6cdp-17, -0x1.3889f4ffb3e11p-17, -0x1.37ef1059603b9p-17, -0x1.3751e86c101dep-17, -0x1.36b286857f5dcp-17, -0x1.3610f3e048597p-17, -0x1.356d39a4d02c5p-17, -0x1.34c760e89bc2fp-17, -0x1.341f72ae9bce3p-17, -0x1.337577e742abp-17, -0x1.32c979707e0afp-17, -0x1.321b80156e9bcp-17, -0x1.316b948f3ab9bp-17, -0x1.30b9bf840ec65p-17, -0x1.3006098811008p-17, -0x1.2f507b1cdc7f9p-17, -0x1.2e991cb1bf507p-17, -0x1.2ddff6a3bbc1ap-17, -0x1.2d25113da7f3p-17, -0x1.2c6874b809f34p-17, -0x1.2baa29396241ep-17, -0x1.2aea36d5fed83p-17, -0x1.2a28a59046f7cp-17, -0x1.29657d5849501p-17, -0x1.28a0c60ca52c6p-17, -0x1.27da8779944dcp-17, -0x1.2712c959bce4bp-17, -0x1.264993560e1d8p-17, -0x1.257eed056d424p-17, -0x1.24b2ddeda769ap-17, -0x1.23e56d8259725p-17, -0x1.2316a325f244bp-17, -0x1.224686295faadp-17, -0x1.21751dcbeb708p-17, -0x1.20a2713be776p-17, -0x1.1fce879601c22p-17, -0x1.1ef967e5fbd2dp-17, -0x1.1e23192666e1p-17, -0x1.1d4ba24089816p-17, -0x1.1c730a0d155edp-17, -0x1.1b9957536ee7cp-17, -0x1.1abe90ca539d7p-17, -0x1.19e2bd17c2babp-17, -0x1.1905e2d0fb79ap-17, -0x1.1828087a8a7abp-17, -0x1.17493488b0aa7p-17, -0x1.16696d5ee3dbcp-17, -0x1.1588b95070c43p-17, -0x1.14a71ea0535a4p-17, -0x1.13c4a38121375p-17, -0x1.12e14e1572a7p-17, -0x1.11fd246fdec32p-17, -0x1.11182c92bd7b6p-17, -0x1.10326c70e7d55p-17, -0x1.0f4be9ed020ccp-17, -0x1.0e64aada1f00fp-17, -0x1.0d7cb4fbd25d4p-17, -0x1.0c940e05a9462p-17, -0x1.0baabb9c5e775p-17, -0x1.0ac0c3548faa5p-17, -0x1.09d62ab44696dp-17, -0x1.08eaf731974a1p-17, -0x1.07ff2e3424414p-17, -0x1.0712d513f5f73p-17, -0x1.0625f11a6b6c1p-17, -0x1.053887820b29ap-17, -0x1.044a9d765d37dp-17, -0x1.035c38146ed4fp-17, -0x1.026d5c6a9886ep-17, -0x1.017e0f78a2471p-17, -0x1.008e5630002eep-17, -0x1.ff3c6ae78c6f1p-18, -0x1.fd5b6431330dfp-18, -0x1.fb79a1cae0cc1p-18, -0x1.f9972d2514772p-18, -0x1.f7b40f959b357p-18, -0x1.f5d05255c078dp-18, -0x1.f3ebfe83446e7p-18, -0x1.f2071d20e1726p-18, -0x1.f021b715b147dp-18, -0x1.ee3bd52dac352p-18, -0x1.ec55801ab279dp-18, -0x1.ea6ec0728dd9bp-18, -0x1.e8879eb26b175p-18, -0x1.e6a0233b11c9fp-18, -0x1.e4b8565523918p-18, -0x1.e2d0402d8b8d8p-18, -0x1.e0e7e8d8ea953p-18, -0x1.deff58511023bp-18, -0x1.dd1696777c3bep-18, -0x1.db2dab138cc31p-18, -0x1.d9449dd448142p-18, -0x1.d75b764f5fa4dp-18, -0x1.d5723c020b13bp-18, -0x1.d388f65108285p-18, -0x1.d19fac88b0277p-18, -0x1.cfb665dd202d2p-18, -0x1.cdcd296ad0c8ap-18, -0x1.cbe3fe360e84cp-18, -0x1.c9faeb2bf3396p-18, -0x1.c811f722249ddp-18, -0x1.c62928d68e3edp-18, -0x1.c44086f1154c1p-18, -0x1.c25818014c079p-18, -0x1.c06fe281b029cp-18, -0x1.be87ecd4c94cap-18, -0x1.bca03d47d3bd1p-18, -0x1.bab8da116eac9p-18, -0x1.b8d1c9521385p-18, -0x1.b6eb11150805bp-18, -0x1.b504b74f4586dp-18, -0x1.b31ec1e0ca7e4p-18, -0x1.b13936941c406p-18, -0x1.af541b1e98dc2p-18, -0x1.ad6f7520ef01fp-18, -0x1.ab8b4a26d561bp-18, -0x1.a9a79fa7816acp-18, -0x1.a7c47b05df36ep-18, -0x1.a5e1e190472cfp-18, -0x1.a3ffd8816b818p-18, -0x1.a21e64ffb5a71p-18, -0x1.a03d8c1e2b28cp-18, -0x1.9e5d52dbfe68ap-18, -0x1.9c7dbe2543ebap-18, -0x1.9a9ed2d29fa0dp-18, -0x1.98c095a9f828ep-18, -0x1.96e30b5dd0d09p-18, }}, 
      {{0x1.6a3a8ceb2c2fbp-14, 0x1.5d5d93d986a9ep-12, 0x1.721972d56b994p-11, 0x1.2e429dd0ab19dp-10, 0x1.a6a6a7e14320dp-10, 0x1.084f793cc94e2p-9, 0x1.2d4b933f92868p-9, 0x1.3a021f42c815dp-9, 0x1.270fdeecfb6bep-9, 0x1.dc61a119d5dccp-10, 0x1.14c333edc2242p-10, -0x1.02a41bd24b2bp-14, -0x1.97487af397222p-10, -0x1.c187c4b29a6b7p-9, -0x1.74f065c16de4bp-8, -0x1.10f515e86db3ep-7, -0x1.736b323075d3bp-7, -0x1.e13ef95207c42p-7, -0x1.2cd785b13dd18p-6, -0x1.6dee106b6db2bp-6, -0x1.b36830ecc1ff2p-6, -0x1.fcc309b9190c2p-6, -0x1.24bb63b758e03p-5, -0x1.4c7ca00e0957bp-5, -0x1.75601bfbb08f2p-5, -0x1.9f21a7ae8463dp-5, -0x1.c97ecfb7cee4dp-5, -0x1.f43785ccf74c4p-5, -0x1.0f8753ac5c063p-4, -0x1.24e532a987b67p-4, -0x1.3a1a4868688bdp-4, -0x1.4f0d67d0a6bb6p-4, -0x1.63a75e138e98ep-4, -0x1.77d2f9b2e9ca7p-4, -0x1.8b7d0a0252b9cp-4, -0x1.9e945864880f4p-4, -0x1.b1099c672c4e6p-4, -0x1.c2cf6bc09fa2cp-4, -0x1.d3da2715a916bp-4, -0x1.e41fe4508bdc4p-4, -0x1.f39857380b4ffp-4, -0x1.011e5c6e5fb22p-3, -0x1.0803d72e07e3fp-3, -0x1.0e7a97b20bd48p-3, -0x1.148136689af5p-3, -0x1.1a16dbd6ef524p-3, -0x1.1f3b34677147cp-3, -0x1.23ee649d04a87p-3, -0x1.2830fdbced9ddp-3, -0x1.2c03f2fc407ddp-3, -0x1.2f688f39bc9f2p-3, -0x1.32606b49bf48cp-3, -0x1.34ed64d736e3bp-3, -0x1.371195da2f7bbp-3, -0x1.38cf4ca2ce5f8p-3, -0x1.3a290476051acp-3, -0x1.3b215eb82705ap-3, -0x1.3bbb1ca0a8d62p-3, -0x1.3bf91971a453fp-3, -0x1.3bde452d39045p-3, -0x1.3b6d9fc2a42edp-3, -0x1.3aaa34aca0b8ep-3, -0x1.399716faa2db2p-3, -0x1.38375dbe73dccp-3, -0x1.368e20d7cfecp-3, -0x1.349e7617b5599p-3, -0x1.326b6eb561e6cp-3, -0x1.2ff8150f06447p-3, -0x1.2d476ab08b718p-3, -0x1.2a5c669b02587p-3, -0x1.2739f3c78206fp-3, -0x1.23e2efe092935p-3, -0x1.205a2a2d7f735p-3, -0x1.1ca262ab1aa8fp-3, -0x1.18be494ddbc9fp-3, -0x1.14b07d6974884p-3, -0x1.107b8d3a29255p-3, -0x1.0c21f58ca064dp-3, -0x1.07a62180db0cep-3, -0x1.030a6a658b586p-3, -0x1.fca22f51d1397p-4, -0x1.f2f8bdb92ecdfp-4, -0x1.e91cc79483b9fp-4, -0x1.df12712d7e0b5p-4, -0x1.d4ddbbe3b5438p-4, -0x1.ca8286a1c5302p-4, -0x1.c0048e64ce305p-4, -0x1.b5676ed3417fep-4, -0x1.aaaea2e069575p-4, -0x1.9fdd857a23ba3p-4, -0x1.94f7523ea86f7p-4, -0x1.89ff26386bfa4p-4, -0x1.7ef8009e60349p-4, -0x1.73e4c396fea0ap-4, -0x1.68c834fccb604p-4, -0x1.5da4ff231aac8p-4, -0x1.527db19a12ac5p-4, -0x1.4754c1f10363ep-4, -0x1.3c2c8c7656bc5p-4, -0x1.310754f46e5a1p-4, -0x1.25e7476aed996p-4, -0x1.1ace78c3fb962p-4, -0x1.0fbee78527be4p-4, -0x1.04ba7c7baba07p-4, -0x1.f38616c7abc49p-5, -0x1.ddb4a716fed23p-5, -0x1.c80400deea235p-5, -0x1.b27754a7972a4p-5, -0x1.9d11adae4b676p-5, -0x1.87d5f301e8c34p-5, -0x1.72c6e8958facbp-5, -0x1.5de730499549ap-5, -0x1.49394aeb11fdcp-5, -0x1.34bf992a4d3c3p-5, -0x1.207c5c8860034p-5, -0x1.0c71b83c578b2p-5, -0x1.f143642087a13p-6, -0x1.ca1c666cf875ep-6, -0x1.a372122f11aafp-6, -0x1.7d47cc321245p-6, -0x1.57a0c4bbec3bfp-6, -0x1.327ff9013b76fp-6, -0x1.0de8348d6dbe4p-6, -0x1.d3b8253f944b5p-7, -0x1.8cbbfefc0ce7cp-7, -0x1.46e0737a116f2p-7, -0x1.0229a7010d02dp-7, -0x1.7d36cec83461ap-8, -0x1.f0e4b98009cc9p-9, -0x1.d8311f52625f3p-10, 0x1.3eb7e36b982ecp-13, 0x1.0f1d43aae4379p-9, 0x1.02b9e073b958cp-8, 0x1.7b738d2bdde33p-8, 0x1.f1b8482b4aa6ap-8, 0x1.32c29dc3b428cp-7, 0x1.6b6c0ba02d2f1p-7, 0x1.a2d786aab3909p-7, 0x1.d90466f4f3c4ap-7, 0x1.06f920de70979p-6, 0x1.20d073c72ea7cp-6, 0x1.3a083135ff4fp-6, 0x1.52a079ff3f2a3p-6, 0x1.6a9989e55cb7ap-6, 0x1.81f3b6b6ea28bp-6, 0x1.98af6f6fc6d9p-6, 0x1.aecd3b5d2af14p-6, 0x1.c44db944a5639p-6, 0x1.d9319e8de1562p-6, 0x1.ed79b66f42765p-6, 0x1.0093708e9e617p-5, 0x1.0a1d097e3a95fp-5, 0x1.135a29eb50979p-5, 0x1.1c4b5f09125d8p-5, 0x1.24f13ef6383b8p-5, 0x1.2d4c685b93624p-5, 0x1.355d820c0ac63p-5, 0x1.3d253aa5faaebp-5, 0x1.44a4483606c38p-5, 0x1.4bdb67db578dcp-5, 0x1.52cb5d6d4cee5p-5, 0x1.5974f322b232p-5, 0x1.5fd8f93a63963p-5, 0x1.65f845a581bc7p-5, 0x1.6bd3b3b323ec8p-5, 0x1.716c23bd9abc5p-5, 0x1.76c27ad93f3f3p-5, 0x1.7bd7a284d9a44p-5, 0x1.80ac885b9e36p-5, 0x1.85421dc8c8d2cp-5, 0x1.899957bcd02ecp-5, 0x1.8db32e6445fb7p-5, 0x1.91909ce05311bp-5, 0x1.9532a100e406p-5, 0x1.989a3b007814dp-5, 0x1.9bc86d41a12ccp-5, 0x1.9ebe3c0e2d00ap-5, 0x1.a17cad57fdcf1p-5, 0x1.a404c87b9178cp-5, 0x1.a65796043900bp-5, 0x1.a8761f71fc3e6p-5, 0x1.aa616f012b29dp-5, 0x1.ac1a8f739d758p-5, 0x1.ada28bdb9be3ap-5, 0x1.aefa6f68740a5p-5, 0x1.b0234534b46b2p-5, 0x1.b11e18160d581p-5, 0x1.b1ebf26ed2c87p-5, 0x1.b28dde011bf23p-5, 0x1.b304e3c3815bbp-5, 0x1.b3520bb76f32ep-5, 0x1.b3765cc10f137p-5, 0x1.b372dc80bd45bp-5, 0x1.b3488f2e0bed5p-5, 0x1.b2f8777446c89p-5, 0x1.b28396507b04cp-5, 0x1.b1eaeaf0f7e63p-5, 0x1.b12f72964734cp-5, 0x1.b052287593933p-5, 0x1.af54059c7888ep-5, 0x1.ae3600d635e7fp-5, 0x1.acf90e924094ep-5, 0x1.ab9e20cc2a009p-5, 0x1.aa2626f4d63c7p-5, 0x1.a8920ddcfd246p-5, 0x1.a6e2bfa0efef7p-5, 0x1.a5192395983e4p-5, 0x1.a3361e36aa527p-5, 0x1.a13a911609609p-5, 0x1.9f275acc4f35ep-5, 0x1.9cfd56ea74611p-5, 0x1.9abd5dec922e8p-5, 0x1.9868452db5ac9p-5, 0x1.95fededcbcaep-5, 0x1.9381f9f236763p-5, 0x1.90f262273e339p-5, 0x1.8e50dfed4d878p-5, 0x1.8b9e3866fa16p-5, 0x1.88db2d619a3ecp-5, 0x1.86087d4fcb5e4p-5, 0x1.8326e344cf63p-5, 0x1.803716f0bc7p-5, 0x1.7d39cc9d7565cp-5, 0x1.7a2fb52c69906p-5, 0x1.77197e150fde5p-5, 0x1.73f7d164163b7p-5, 0x1.70cb55bb45c55p-5, 0x1.6d94ae520d6bcp-5, 0x1.6a547af6b1eedp-5, 0x1.670b581016907p-5, 0x1.63b9dea020ef7p-5, 0x1.6060a446aa53dp-5, 0x1.5d003b44fc4f5p-5, 0x1.59993281d09b1p-5, 0x1.562c158dd106fp-5, 0x1.52b96ca891269p-5, 0x1.4f41bcc5f8eecp-5, 0x1.4bc587941f907p-5, 0x1.48454b818c5c1p-5, 0x1.44c183c3debc3p-5, 0x1.413aa85ecd724p-5, 0x1.3db12e2b86eeap-5, 0x1.3a2586e05fc57p-5, 0x1.36982118d3774p-5, 0x1.3309685dcfd1ep-5, 0x1.2f79c52e4492dp-5, 0x1.2be99d07f8b3cp-5, 0x1.285952709803p-5, 0x1.24c944fefd9ap-5, 0x1.2139d164b1b2ap-5, 0x1.1dab51779a269p-5, 0x1.1a1e1c3bd4cdap-5, 0x1.169285edc0a75p-5, 0x1.1308e00c28716p-5, 0x1.0f81796291d5ep-5, 0x1.0bfc9e13ab8f7p-5, 0x1.087a97a3d6a54p-5, 0x1.04fbad03c739bp-5, 0x1.0180229b3d46p-5, 0x1.fc1074a798edfp-6, 0x1.f52867476ec75p-6, 0x1.ee489731a71f7p-6, 0x1.e77179c6f4e59p-6, 0x1.e0a37fc303117p-6, 0x1.d9df15526deaep-6, 0x1.d324a228c0894p-6, 0x1.cc748996768c7p-6, 0x1.c5cf2a9ef7801p-6, 0x1.bf34e00e8b35fp-6, 0x1.b8a600903ea44p-6, 0x1.b222dec3c1bbbp-6, 0x1.ababc9532a7edp-6, 0x1.a5410b08a1958p-6, 0x1.9ee2eae3f9c44p-6, 0x1.9891ac302433ap-6, 0x1.924d8e9889469p-6, 0x1.8c16ce3e39548p-6, 0x1.85eda3ccf8176p-6, 0x1.7fd244902382fp-6, 0x1.79c4e2876ac18p-6, 0x1.73c5ac7b5773bp-6, 0x1.6dd4ce11ab4f5p-6, 0x1.67f26fe1878f1p-6, 0x1.621eb787626cp-6, 0x1.5c59c7b8caa0bp-6, 0x1.56a3c057eae36p-6, 0x1.50fcbe86dc1e5p-6, 0x1.4b64dcbaba6edp-6, 0x1.45dc32ce7fbd6p-6, 0x1.4062d6159e4bdp-6, 0x1.3af8d96e5d574p-6, 0x1.359e4d53fb51dp-6, 0x1.30533ff08a729p-6, 0x1.2b17bd2e8ea3ep-6, 0x1.25ebceca594d1p-6, 0x1.20cf7c6320256p-6, 0x1.1bc2cb8bd836fp-6, 0x1.16c5bfdbbf41p-6, 0x1.11d85afeb26fap-6, 0x1.0cfa9cc530a29p-6, 0x1.082c8334202f1p-6, 0x1.036e0a944d8fdp-6, 0x1.fd7e5b03449bap-7, 0x1.f43fc9f43928ap-7, 0x1.eb2050d8f151dp-7, 0x1.e21fdb8d334c8p-7, 0x1.d93e53075eba4p-7, 0x1.d07b9d741c335p-7, 0x1.c7d79e51925fap-7, 0x1.bf52368a08b2p-7, 0x1.b6eb448e0307ep-7, 0x1.aea2a46dd08bdp-7, 0x1.a6782ff2937dp-7, 0x1.9e6bbeb6c6133p-7, 0x1.967d263e2a34cp-7, 0x1.8eac3a0d45c4ep-7, 0x1.86f8cbc04b2bap-7, 0x1.7f62ab217efacp-7, 0x1.77e9a63f25f2ep-7, 0x1.708d8980e2125p-7, 0x1.694e1fbc9533p-7, 0x1.622b324ac7cf6p-7, 0x1.5b24891a88ab1p-7, 0x1.5439eac4d4dbdp-7, 0x1.4d6b1c9f83f87p-7, 0x1.46b7e2cfba43p-7, 0x1.4020005bda54ep-7, 0x1.39a3373d0c1cep-7, 0x1.334148704262cp-7, 0x1.2cf9f406d1884p-7, 0x1.26ccf93694b6bp-7, 0x1.20ba16699b905p-7, 0x1.1ac1094d6e781p-7, 0x1.14e18ee1e169fp-7, 0x1.0f1b63877cb5bp-7, 0x1.096e430d73728p-7, 0x1.03d9e8bf3e0b4p-7, 0x1.fcbc1ee37e8e8p-8, 0x1.f1f4e3202030ep-8, 0x1.e75d924fb4cdp-8, 0x1.dcf59feab6f04p-8, 0x1.d2bc7ede032e7p-8, 0x1.c8b1a1a159a4fp-8, 0x1.bed47a4d190d1p-8, 0x1.b5247aaf529cp-8, 0x1.aba114601f0bdp-8, 0x1.a249b8d547194p-8, 0x1.991dd9753f2e2p-8, 0x1.901ce7a96d366p-8, 0x1.874654efe9e24p-8, 0x1.7e9992ec6a4cp-8, 0x1.76161378c298ep-8, 0x1.6dbb48b49d605p-8, 0x1.6588a514b4695p-8, 0x1.5d7d9b716ce7bp-8, 0x1.55999f14ddfadp-8, 0x1.4ddc23c84c1fbp-8, 0x1.46449de115a61p-8, 0x1.3ed2824d1340dp-8, 0x1.3785469e7d04bp-8, 0x1.305c61173f4a4p-8, 0x1.295748b3dcb7bp-8, 0x1.22757535c195dp-8, 0x1.1bb65f2d36e11p-8, 0x1.15198002c4ad6p-8, 0x1.0e9e520032dd7p-8, 0x1.084450590fb16p-8, 0x1.020af732ce304p-8, 0x1.f7e38758d7104p-9, 0x1.ebf067cb8fbecp-9, 0x1.e03b8e0cf0132p-9, 0x1.d4c3fa88979aap-9, 0x1.c988afd2d4a8fp-9, 0x1.be88b2b42be3fp-9, 0x1.b3c30a3415264p-9, 0x1.a936bfa32603bp-9, 0x1.9ee2dea47354dp-9, 0x1.94c6753657f28p-9, 0x1.8ae093baa6d32p-9, 0x1.81304cfe1ee16p-9, 0x1.77b4b63f66598p-9, 0x1.6e6ce73562e5cp-9, 0x1.6557fa14f92bdp-9, 0x1.5c750b965861ap-9, 0x1.53c33af9ae745p-9, 0x1.4b41aa0b59936p-9, 0x1.42ef7d27a2645p-9, 0x1.3acbdb3dfc0cap-9, 0x1.32d5edd3c351cp-9, 0x1.2b0ce10698f47p-9, 0x1.236fe38e4d252p-9, 0x1.1bfe26be48eep-9, 0x1.14b6de86bf516p-9, 0x1.0d99417543086p-9, 0x1.06a488b53208dp-9, 0x1.ffafe01f18da2p-10, 0x1.f2656bd57970cp-10, 0x1.e56836937653ap-10, 0x1.d8b6c79630943p-10, 0x1.cc4fab4f4449p-10, 0x1.c0317361731f8p-10, 0x1.b45ab69cd0d34p-10, 0x1.a8ca10fa772dp-10, 0x1.9d7e239776197p-10, 0x1.927594af8a546p-10, 0x1.87af0f972fb25p-10, 0x1.7d2944b52e8e5p-10, 0x1.72e2e97c10739p-10, 0x1.68dab862ba59ep-10, 0x1.5f0f70dcdf79dp-10, 0x1.557fd7531fb03p-10, 0x1.4c2ab51a9a44ap-10, 0x1.430ed86c51662p-10, 0x1.3a2b145c2853ep-10, 0x1.317e40cf9df7p-10, 0x1.29073a742a0a3p-10, 0x1.20c4e2b570984p-10, 0x1.18b61fb3246a6p-10, 0x1.10d9dc3696252p-10, 0x1.092f07a832822p-10, 0x1.01b49604bf028p-10, 0x1.f4d2ffa48b227p-11, 0x1.e6998429cb257p-11, 0x1.d8babc87303dap-11, 0x1.cb34b47925743p-11, 0x1.be05807332572p-11, 0x1.b12b3d88952fbp-11, 0x1.a4a411544d1b6p-11, 0x1.986e29e107523p-11, 0x1.8c87bd9102f78p-11, 0x1.80ef0b0572fd9p-11, 0x1.75a25905f68d4p-11, 0x1.6a9ff667dd69fp-11, 0x1.5fe639f54392ep-11, 0x1.5573825421dc9p-11, 0x1.4b4635ed2abfp-11, 0x1.415cc2d2c17cfp-11, 0x1.37b59ea7c18ddp-11, 0x1.2e4f468631506p-11, 0x1.25283ee635978p-11, 0x1.1c3f13849920dp-11, 0x1.13925749bc4d4p-11, 0x1.0b20a43044732p-11, 0x1.02e89b2beec46p-11, 0x1.f5d1c820ccb63p-12, 0x1.e6405af0644b6p-12, 0x1.d71a59577c95dp-12, 0x1.c85d3b10b74bcp-12, 0x1.ba0684ced6563p-12, 0x1.ac13c80b1140cp-12, 0x1.9e82a2d450cc3p-12, 0x1.9150bf9d73b43p-12, 0x1.847bd50d0c699p-12, 0x1.7801a5cce766cp-12, 0x1.6be000594acfcp-12, 0x1.6014bed1a0292p-12, 0x1.549dc6c8823bap-12, 0x1.49790914a156cp-12, 0x1.3ea481a1f2569p-12, 0x1.341e3742d17f8p-12, 0x1.29e43b8224b61p-12, 0x1.1ff4aa755c619p-12, 0x1.164daa8efe92cp-12, 0x1.0ced6c71bc6c9p-12, 0x1.03d22ac40b0dfp-12, 0x1.f5f45406a8e79p-13, 0x1.e4c770b1d73a9p-13, 0x1.d41a5adc7b5d3p-13, 0x1.c3e9d48428e47p-13, 0x1.b432b1fbfb905p-13, 0x1.a4f1d9994d74p-13, 0x1.9624435fb8132p-13, 0x1.87c6f8afb2babp-13, 0x1.79d713f4ed4c8p-13, 0x1.6c51c05598d49p-13, 0x1.5f3439645bc45p-13, 0x1.527bcad03adcp-13, 0x1.4625d018bcbecp-13, 0x1.3a2fb4404cf75p-13, 0x1.2e96f1814aa26p-13, 0x1.2359110345efcp-13, 0x1.1873aa9177fc8p-13, 0x1.0de4645236e1dp-13, 0x1.03a8f27f483d1p-13, 0x1.f37e2e3e3a04ap-14, 0x1.e049437f0b9cp-14, 0x1.cdaede61695b8p-14, 0x1.bbaad28267cf3p-14, 0x1.aa390cf7e95e1p-14, 0x1.995593cb09604p-14, 0x1.88fc8578e32bap-14, 0x1.792a18706ca07p-14, 0x1.69da9a9634844p-14, 0x1.5b0a70c82052dp-14, 0x1.4cb6166371b8fp-14, 0x1.3eda1ccc8d292p-14, 0x1.31732af8f24edp-14, 0x1.247dfcfadba9cp-14, 0x1.17f7638f0e3adp-14, 0x1.0bdc43abee2bfp-14, 0x1.0029961305a59p-14, 0x1.e9b8cdc832ce5p-15, 0x1.d3e3aa62f6a58p-15, 0x1.bece252f822d7p-15, 0x1.aa72c5aa23454p-15, 0x1.96cc36c93e171p-15, 0x1.83d54633e447ep-15, 0x1.7188e37d265d7p-15, 0x1.5fe21f63f7b68p-15, 0x1.4edc2b14b0d89p-15, 0x1.3e72576f5c28dp-15, 0x1.2ea014506f6bep-15, 0x1.1f60efdd66f26p-15, 0x1.10b095d48d944p-15, 0x1.028acee018654p-15, 0x1.e9d6ffd6c7c55p-16, 0x1.cf9d52fa4c215p-16, 0x1.b660ce273ef59p-16, 0x1.9e19dd0664fe4p-16, 0x1.86c11eb5e8c34p-16, 0x1.704f6490fbf5cp-16, 0x1.5abdb102dc40bp-16, 0x1.4605365d38ca4p-16, 0x1.321f55b5632d9p-16, 0x1.1f059dc5d906dp-16, 0x1.0cb1c9d7d26ap-16, 0x1.f63b8160213d4p-17, 0x1.d487270896844p-17, 0x1.b43af9e2abc41p-17, 0x1.954bbff52bf21p-17, 0x1.77ae8e19d8b1fp-17, 0x1.5b58c611096d6p-17, 0x1.40401499eceb8p-17, 0x1.265a6f984ef86p-17, 0x1.0d9e144633c82p-17, 0x1.ec030ad7eeaeep-18, 0x1.bef7134958e86p-18, 0x1.940653496f8a1p-18, 0x1.6b1f5d3306a61p-18, 0x1.443140fd0b04fp-18, 0x1.1f2b891513ef3p-18, 0x1.f7fc6e7a33fcep-19, 0x1.b53382ffd4e93p-19, 0x1.75de1e68f0287p-19, 0x1.39deec2ff3021p-19, 0x1.01196ed3556c4p-19, 0x1.96e3f4ac08ef4p-20, 0x1.319b5d7bd6c3dp-20, 0x1.a449cb06bd92ep-21, 0x1.e13775008ecadp-22, 0x1.1f286ec9e36bap-23, -0x1.5a2a846513d21p-23, -0x1.d57e82c650d33p-22, -0x1.752dd35ecf977p-21, -0x1.f62dc08e073fcp-21, -0x1.3709efd187e1fp-20, -0x1.6e9943444d222p-20, -0x1.a1eccda7d8f28p-20, -0x1.d12b52a9aa0fep-20, -0x1.fc7a6eb543429p-20, -0x1.11ff4f89b05acp-19, -0x1.23eda4d7a5a5fp-19, -0x1.34196268c991ep-19, -0x1.42932f40622cap-19, -0x1.4f6b31ed884ecp-19, -0x1.5ab114104bb52p-19, -0x1.647405d96786ap-19, -0x1.6cc2c1624875bp-19, -0x1.73ab8e00da04cp-19, -0x1.793c436f6a3b6p-19, -0x1.7d824cfe929bp-19, -0x1.808aac9e3ad21p-19, -0x1.8261fdce53758p-19, -0x1.83147893111f7p-19, -0x1.82adf43f3e779p-19, -0x1.8139ea39af592p-19, -0x1.7ec378a7da40fp-19, -0x1.7b55650fef49cp-19, -0x1.76fa1edd92af6p-19, -0x1.71bbc1e81bdafp-19, -0x1.6ba418cf7d314p-19, -0x1.64bc9f6464f5p-19, -0x1.5d0e84e4fa57p-19, -0x1.54a2ae4415f35p-19, -0x1.4b81b84a3a8a7p-19, -0x1.41b3f9b968af5p-19, -0x1.37418558b1f92p-19, -0x1.2c322bee43e27p-19, -0x1.208d7e41b23bep-19, -0x1.145aceee98d41p-19, -0x1.07a1344a8d6d3p-19, -0x1.f4cf144b9a8c2p-20, -0x1.d968e721e85adp-20, -0x1.bd1cb91273048p-20, -0x1.9ff6f7435d04ap-20, -0x1.8203a739b59cdp-20, -0x1.634e69ed62c14p-20, -0x1.43e27edfd25eep-20, -0x1.23cac708c164fp-20, -0x1.0311c7a7fb32cp-20, -0x1.c3835a33a3b39p-21, -0x1.7fc89b151b9ddp-21, -0x1.3b06570f48a75p-21, -0x1.ea9de2787c82p-22, -0x1.5d685f288f09cp-22, -0x1.9d1cfee1a1e14p-23, -0x1.f18bba9ae8bd1p-25, 0x1.4e3a8d8418ae9p-24, 0x1.cd25a08b58888p-23, 0x1.7abd1bbf8fe45p-22, 0x1.07f84b6d92324p-21, 0x1.5308a78d698b6p-21, 0x1.9e822352af335p-21, 0x1.ea57b66b5ce9ap-21, 0x1.1b3e65acc6778p-20, 0x1.41729dfe8d597p-20, 0x1.67c2a6fefa31dp-20, 0x1.8e28d7c5a8892p-20, 0x1.b49fba05f8113p-20, 0x1.db220876aae08p-20, 0x1.00d556ac491c7p-19, 0x1.141a607400cb7p-19, 0x1.275dc3fd73e88p-19, 0x1.3a9d394a581ep-19, 0x1.4dd68d4638a4cp-19, 0x1.6107a11fce674p-19, 0x1.742e69a56b048p-19, 0x1.8748eea64e3b8p-19, 0x1.9a554a5d2be16p-19, 0x1.ad51a8d8c58ap-19, 0x1.c03c476f0fc2cp-19, 0x1.d313742f8cf5ap-19, 0x1.e5d58d60489edp-19, 0x1.f88100fa0cc7ap-19, 0x1.058a26144ba6bp-18, 0x1.0ec6fd6a9e5f8p-18, 0x1.17f6539609ca4p-18, 0x1.21177c950e9b6p-18, 0x1.2a29d317d96b5p-18, 0x1.332cb84aeaef3p-18, 0x1.3c1f93a2002e7p-18, 0x1.4501d2a75e872p-18, 0x1.4dd2e8c9a6b1cp-18, 0x1.56924f2d9892ep-18, 0x1.5f3f84813c74dp-18, 0x1.67da0cce76a9dp-18, 0x1.7061715127aefp-18, 0x1.78d5404d43f3p-18, 0x1.81350ce872a4p-18, 0x1.89806f01d7898p-18, 0x1.91b7030d49f44p-18, 0x1.99d869efa21c7p-18, 0x1.a1e448db09f57p-18, 0x1.a9da492eba834p-18, 0x1.b1ba1853880e7p-18, 0x1.b983679fd9346p-18, 0x1.c135ec36c0cfcp-18, 0x1.c8d15eea7d786p-18, 0x1.d0557c2048833p-18, 0x1.d7c203b5efdf1p-18, 0x1.df16b8e4ed7a3p-18, 0x1.e653622acc38ap-18, 0x1.ed77c92de4745p-18, 0x1.f483baa6f7604p-18, 0x1.fb7706494675dp-18, 0x1.0128bf561d9e5p-17, 0x1.04897c9a56646p-17, 0x1.07dda70082d34p-17, 0x1.0b252bea2ad38p-17, 0x1.0e5ffa0120843p-17, 0x1.118e012db6eeap-17, 0x1.14af328e5a873p-17, 0x1.17c3806e18ba9p-17, 0x1.1acade3bcb7b1p-17, 0x1.1dc54082204b4p-17, 0x1.20b29cdf78153p-17, 0x1.2392e9fdf4fb1p-17, 0x1.26661f8bdf57cp-17, 0x1.292c363482a7cp-17, 0x1.2be52798ba504p-17, 0x1.2e90ee48b33dbp-17, 0x1.312f85bcc1976p-17, 0x1.33c0ea4ec1aa7p-17, 0x1.36451934ff3cdp-17, 0x1.38bc107aa5389p-17, 0x1.3b25cefb4dc13p-17, 0x1.3d82545c3a9f9p-17, 0x1.3fd1a10791528p-17, 0x1.4213b626fa2e4p-17, 0x1.4448959e10372p-17, 0x1.46704205f5651p-17, 0x1.488abea7cbb72p-17, 0x1.4a980f78ed531p-17, 0x1.4c9839156ba64p-17, 0x1.4e8b40bc53a08p-17, 0x1.50712c4b2f3b1p-17, 0x1.524a0239af5a2p-17, 0x1.5415c995f230ap-17, 0x1.55d48a004a196p-17, 0x1.57864ba7ba4f8p-17, 0x1.592b1745eabe9p-17, 0x1.5ac2f61befab8p-17, 0x1.5c4df1ee5bc83p-17, 0x1.5dcc15028b01fp-17, 0x1.5f3d6a1a25e82p-17, 0x1.60a1fc7134cc9p-17, 0x1.61f9d7ba21fcdp-17, 0x1.6345081aea9f6p-17, 0x1.64839a2a38829p-17, 0x1.65b59aec57e36p-17, 0x1.66db17d07b078p-17, 0x1.67f41eae039a2p-17, 0x1.6900bdc16e5d3p-17, 0x1.6a0103aa14241p-17, 0x1.6af4ff67c3e52p-17, 0x1.6bdcc057acf9dp-17, 0x1.6cb856323fcdfp-17, 0x1.6d87d108fbd32p-17, 0x1.6e4b414391f5p-17, 0x1.6f02b79e22f56p-17, 0x1.6fae452698a43p-17, 0x1.704dfb3ad00e7p-17, 0x1.70e1eb85b4bdep-17, 0x1.716a27fe5b941p-17, 0x1.71e6c2e4f7211p-17, 0x1.7257cec10906fp-17, 0x1.72bd5e5f86657p-17, 0x1.731784d10d908p-17, 0x1.73665567a70bbp-17, 0x1.73a9e3b4f6ed8p-17, 0x1.73e2438874076p-17, 0x1.740f88ed851cap-17, 0x1.7431c82a213ddp-17, 0x1.744915bc86addp-17, 0x1.745586599d45p-17, 0x1.74572eeb5bb72p-17, 0x1.744e248f5af69p-17, 0x1.743a7c94afaf6p-17, 0x1.741c4c7aad398p-17, 0x1.73f3a9ef4238fp-17, 0x1.73c0aacd41102p-17, 0x1.7383651b25b4bp-17, 0x1.733bef090638fp-17, 0x1.72ea5eef86be1p-17, 0x1.728ecb4e58aa9p-17, 0x1.72294aca876fep-17, 0x1.71b9f42d28c08p-17, 0x1.7140de6208736p-17, 0x1.70be20762d7e4p-17, 0x1.7031d1966905fp-17, 0x1.6f9c090e03b2ep-17, 0x1.6efcde4582147p-17, 0x1.6e5468c130cf8p-17, 0x1.6da2c01ff8dc4p-17, 0x1.6ce7fc19c1e9bp-17, 0x1.6c24347e7ecfap-17, 0x1.6b578134c5453p-17, 0x1.6a81fa38b7bc3p-17, 0x1.69a3b79a9ff92p-17, 0x1.68bcd17dc914ep-17, 0x1.67cd6017259c1p-17, 0x1.66d57bac5a901p-17, 0x1.65d53c929686bp-17, 0x1.64ccbb2cfe241p-17, 0x1.63bc0fec1d6e8p-17, 0x1.62a3534c899aep-17, 0x1.61829dd59424fp-17, 0x1.605a081847671p-17, 0x1.5f29aaae8a1b1p-17, 0x1.5df19e39bcd44p-17, 0x1.5cb1fb61d4daep-17, 0x1.5b6adad492692p-17, 0x1.5a1c5543e761cp-17, 0x1.58c68365293a3p-17, 0x1.57697df027836p-17, 0x1.56055d9e5c62cp-17, 0x1.549a3b297a328p-17, 0x1.53282f4a91e3dp-17, 0x1.51af52b98170fp-17, 0x1.502fbe2ba865fp-17, 0x1.4ea98a530733bp-17, 0x1.4d1ccfdd30af1p-17, 0x1.4b89a77292079p-17, 0x1.49f029b56ef0cp-17, 0x1.48506f412468cp-17, 0x1.46aa90a93b382p-17, 0x1.44fea678725fp-17, 0x1.434cc92fde43ap-17, 0x1.419511461cc5bp-17, 0x1.3fd79726b289ep-17, 0x1.3e147330f825ep-17, 0x1.3c4bbdb753adfp-17, 0x1.3a7d8efea2652p-17, 0x1.38a9ff3d58106p-17, 0x1.36d1269a8458ap-17, 0x1.34f31d2d4be68p-17, 0x1.330ffafc02606p-17, 0x1.3127d7fb9e30fp-17, 0x1.2f3acc0ef58a7p-17, 0x1.2d48ef05ee714p-17, 0x1.2b52589cc138ep-17, 0x1.2957207b8480fp-17, 0x1.27575e352a605p-17, 0x1.25532947462cp-17, 0x1.234a9918e405ap-17, 0x1.213dc4fa24fbep-17, 0x1.1f2cc423e5fa8p-17, 0x1.1d17adb6bc86ep-17, 0x1.1afe98ba6c665p-17, 0x1.18e19c1d514e1p-17, 0x1.16c0ceb3f7b3ap-17, 0x1.149c4738457dep-17, 0x1.12741c492163bp-17, 0x1.10486469eb052p-17, 0x1.0e193601ce453p-17, 0x1.0be6a75b20deep-17, 0x1.09b0cea31851fp-17, 0x1.0777c1e9611d2p-17, 0x1.053b971f37ba5p-17, 0x1.02fc641720456p-17, 0x1.00ba3e84a5c7cp-17, 0x1.fcea77f7812ecp-18, 0x1.f85ae3e073158p-18, 0x1.f3c5eb6ad160bp-18, 0x1.ef2bb8fb71016p-18, 0x1.ea8c76b43ac88p-18, 0x1.e5e84e73a6872p-18, 0x1.e13f69d44f8bep-18, 0x1.dc91f22b7beb8p-18, 0x1.d7e0108871015p-18, 0x1.d329edb3f376p-18, 0x1.ce6fb22fd0c95p-18, 0x1.c9b18635d0182p-18, 0x1.c4ef91b70498fp-18, 0x1.c029fc5b192d5p-18, 0x1.bb60ed80411adp-18, 0x1.b6948c3a56128p-18, 0x1.b1c4ff51c0514p-18, 0x1.acf26d4373be6p-18, 0x1.a81cfc401808dp-18, 0x1.a344d22bc8aa9p-18, 0x1.9e6a149d810c1p-18, 0x1.998ce8de84e8p-18, 0x1.94ad73e9ef4f1p-18, 0x1.8fcbda6c733eap-18, 0x1.8ae840c379146p-18, 0x1.8602cafd27c72p-18, 0x1.811b9cd7e98a9p-18, 0x1.7c32d9c1e93d4p-18, 0x1.7748a4d8d597bp-18, 0x1.725d20e9735bbp-18, 0x1.6d70706f63aebp-18, 0x1.6882b594bae5dp-18, 0x1.6394123209becp-18, 0x1.5ea4a7cd9dfd5p-18, 0x1.59b4979b5e1a8p-18, 0x1.54c4027cdc005p-18, 0x1.4fd309011e901p-18, 0x1.4ae1cb6413d39p-18, 0x1.45f0698e8ef8p-18, 0x1.40ff031647276p-18, 0x1.3c0db73d496f2p-18, 0x1.371ca4f2541eep-18, 0x1.322bead042a19p-18, 0x1.2d3ba71e8360dp-18, 0x1.284bf7d058182p-18, 0x1.235cfa8531c73p-18, 0x1.1e6ecc8858354p-18, 0x1.19818ad198524p-18, 0x1.1495520487b5ep-18, 0x1.0faa3e7066effp-18, 0x1.0ac06c1072863p-18, 0x1.05d7f68bf284ep-18, 0x1.00f0f9364572dp-18, 0x1.f8171e1d8de7dp-19, 0x1.ee4fa5819a628p-19, 0x1.e48bbd47c2ae6p-19, 0x1.dacb9977b9f78p-19, 0x1.d10f6d71ce798p-19, 0x1.c7576bef269a5p-19, 0x1.bda3c7022819dp-19, 0x1.b3f4b0163cb21p-19, 0x1.aa4a57f088d4p-19, 0x1.a0a4eeb0c33ffp-19, 0x1.9704a3d081be9p-19, 0x1.8d69a623cf01bp-19, 0x1.83d423da25faap-19, 0x1.7a444a7e7428ap-19, 0x1.70ba46f72f80ap-19, 0x1.67364586bb4e8p-19, 0x1.5db871cd0fe83p-19, 0x1.5440f6c7683e9p-19, 0x1.4acffed00f22bp-19, 0x1.4165b3a02c714p-19, 0x1.38023e4f6c4c2p-19, 0x1.2ea5c754ed2e3p-19, 0x1.25507687a9fd6p-19, 0x1.1c02731f1f7bep-19, 0x1.12bbe3b3de20cp-19, 0x1.097cee40a1ad1p-19, 0x1.0045b822847a3p-19, 0x1.ee2ccc331cdfap-20, 0x1.dbde3891d78fap-20, 0x1.c99ffc72566b7p-20, 0x1.b7725daf7616dp-20, 0x1.a555a0ef49259p-20, 0x1.934a09a631511p-20, 0x1.814fda16f9fcbp-20, 0x1.6f67535445afcp-20, 0x1.5d90b5423af8ap-20, 0x1.4bcc3e999a2cep-20, 0x1.3a1a2ce775ee1p-20, 0x1.287abc8ffdf9ap-20, 0x1.16ee28cf65be8p-20, 0x1.0574abbb70bcap-20, 0x1.e81cfc8c09ad8p-21, 0x1.c577b07e0f431p-21, 0x1.a2f9e0aa67d1cp-21, 0x1.80a3f830a6003p-21, 0x1.5e765ff57099p-21, 0x1.3c717ea70b12bp-21, 0x1.1a95b8bfc9365p-21, 0x1.f1c6e115ecd8cp-22, 0x1.aeb60c534f307p-22, 0x1.6bf9af25f928bp-22, 0x1.299281339c0fdp-22, 0x1.cf026bc2f909ap-23, 0x1.4b8cf8bc87aaap-23, 0x1.918bfe99175ap-24, 0x1.1abb346321aap-25, -0x1.d5bac3f89e654p-26, -0x1.76d668970fc4bp-24, -0x1.3b6b914020d39p-23, -0x1.bab742652f257p-23, -0x1.1ca69160d43dfp-22, -0x1.5b960aabf1b43p-22, -0x1.9a298284d2312p-22, -0x1.d8607242a36ffp-22, -0x1.0b1d2b8fb289bp-21, -0x1.29db5916997fcp-21, -0x1.486a8427b5feep-21, -0x1.66ca7118f3d8ap-21, -0x1.84fae61f5c6c8p-21, -0x1.a2fbab4bcea32p-21, -0x1.c0cc8a85faceap-21, -0x1.de6d4f89ef3edp-21, -0x1.fbddc7e29ceb9p-21, -0x1.0c8ee1725de7ep-20, -0x1.1b1688d5ccf9ep-20, -0x1.2985c38abeee1p-20, -0x1.37dc7bdfed156p-20, -0x1.461a9d0006977p-20, -0x1.544012f1025b7p-20, -0x1.624cca90cb05ap-20, -0x1.7040b194adb31p-20, -0x1.7e1bb68604cfbp-20, -0x1.8bddc8bfdace2p-20, -0x1.9986d86e13b5bp-20, -0x1.a716d68a820b1p-20, -0x1.b48db4dab556ep-20, -0x1.c1eb65ed645fp-20, -0x1.cf2fdd1917e2ap-20, -0x1.dc5b0e7a23c9ep-20, -0x1.e96ceef033f54p-20, -0x1.f665741bfccabp-20, -0x1.01a24a2e6932dp-19, -0x1.08052367b0946p-19, -0x1.0e5b41a59dda8p-19, -0x1.14a4a130411e8p-19, -0x1.1ae13eaac8f5ep-19, -0x1.21111712fd487p-19, -0x1.273427bfb4703p-19, -0x1.2d4a6e5fe9c2p-19, -0x1.3353e8f9b6afdp-19, -0x1.395095e8c3df9p-19, -0x1.3f4073de58bb6p-19, -0x1.452381dfbbd12p-19, -0x1.4af9bf44dcfadp-19, -0x1.50c32bb793aep-19, -0x1.567fc732d5387p-19, -0x1.5c2f92011c9e4p-19, -0x1.61d28cbbd6733p-19, -0x1.6768b84a51eabp-19, -0x1.6cf215e0db69ep-19, -0x1.726ea6ff58466p-19, -0x1.77de6d703f557p-19, -0x1.7d416b47d3c55p-19, -0x1.8297a2e3b9513p-19, -0x1.87e116e8d8afdp-19, -0x1.8d1dca42b336ep-19, -0x1.924dc02330b43p-19, -0x1.9770fc009dcd3p-19, -0x1.9c8781958cdep-19, -0x1.a19154df0b1c8p-19, -0x1.a68e7a1c0fe75p-19, -0x1.ab7ef5ccbfb1bp-19, -0x1.b062ccb14040cp-19, -0x1.b53a03c86898p-19, -0x1.ba04a04fc18d2p-19, -0x1.bec2a7c1d448p-19, -0x1.c3741fd4f8bccp-19, -0x1.c8190e7b1360bp-19, -0x1.ccb179e0810a7p-19, -0x1.d13d686ae7263p-19, -0x1.d5bce0b8cc867p-19, -0x1.da2fe9a004b6ap-19, -0x1.de968a2d58efcp-19, -0x1.e2f0c9a2dd837p-19, -0x1.e73eaf7803bb1p-19, -0x1.eb804358d41d7p-19, -0x1.efb58d23fc5f3p-19, -0x1.f3de94e9d6ee6p-19, -0x1.f7fb62ed738afp-19, -0x1.fc0bffa18fefbp-19, -0x1.000839d480148p-18, -0x1.020463ea901fdp-18, -0x1.03fa8292d511dp-18, -0x1.05ea9a63fc021p-18, -0x1.07d4b00a4e539p-18, -0x1.09b8c84877247p-18, -0x1.0b96e7f5fa28ep-18, -0x1.0d6f13ffa2ec7p-18, -0x1.0f415166b6733p-18, -0x1.110da540ac516p-18, -0x1.12d414b697103p-18, -0x1.1494a50510003p-18, -0x1.164f5b7b92eeep-18, -0x1.18043d7c4b6c5p-18, -0x1.19b3507b825f1p-18, -0x1.1b5c99ff51594p-18, -0x1.1d001f9f72759p-18, -0x1.1e9de70468bf5p-18, -0x1.2035f5e7ab6dcp-18, -0x1.21c852131251cp-18, -0x1.2355015ffa7d7p-18, -0x1.24dc09b7cee3bp-18, -0x1.265d7113330d4p-18, -0x1.27d93d798e13bp-18, -0x1.294f7500e4019p-18, -0x1.2ac01dcd40cefp-18, -0x1.2c2b3e110b19dp-18, -0x1.2d90dc0b58b46p-18, -0x1.2ef0fe094cd82p-18, -0x1.304baa6453eap-18, -0x1.31a0e782750cp-18, -0x1.32f0bbd626e18p-18, -0x1.343b2ddd5b6d6p-18, -0x1.35804421c8fe1p-18, -0x1.36c005384c846p-18, -0x1.37fa77c0b440cp-18, -0x1.392fa26557227p-18, -0x1.3a5f8bdad4cb1p-18, -0x1.3b8a3adfcea6dp-18, -0x1.3cafb63ca2bfbp-18, -0x1.3dd004c2b1d4dp-18, -0x1.3eeb2d4ce1a25p-18, -0x1.400136be846e6p-18, -0x1.41122803cc0a5p-18, -0x1.421e0810b6d9ep-18, -0x1.4324dde15c7eap-18, -0x1.4426b07976cd9p-18, -0x1.452386e43f831p-18, -0x1.461b6833b1298p-18, -0x1.470e5b80c9ae9p-18, -0x1.47fc67eb23332p-18, -0x1.48e594987d4b2p-18, -0x1.49c9e8b487ab3p-18, -0x1.4aa96b7124bd2p-18, -0x1.4b84240501e9fp-18, -0x1.4c5a19acc157bp-18, -0x1.4d2b53a969d95p-18, -0x1.4df7d9413d161p-18, -0x1.4ebfb1bed6249p-18, -0x1.4f82e4710009p-18, -0x1.504178aa95237p-18, -0x1.50fb75c2478eep-18, -0x1.51b0e31241264p-18, -0x1.5261c7f81ee7cp-18, -0x1.530e2bd471455p-18, -0x1.53b6160af458ep-18, -0x1.54598e01b9bcdp-18, -0x1.54f89b2185a53p-18, -0x1.559344d517454p-18, -0x1.56299289a5539p-18, -0x1.56bb8bad93704p-18, -0x1.574937b16ae34p-18, -0x1.57d29e06bc1cp-18, -0x1.5857c620bcee7p-18, -0x1.58d8b7730732bp-18, -0x1.5955797299951p-18, -0x1.59ce1394dd671p-18, -0x1.5a428d4f61bc6p-18, -0x1.5ab2ee184e21ep-18, -0x1.5b1f3d65b3159p-18, -0x1.5b8782ad9748ap-18, -0x1.5bebc565bace8p-18, -0x1.5c4c0d031dc47p-18, -0x1.5ca860fa632e8p-18, -0x1.5d00c8bf35e64p-18, -0x1.5d554bc436283p-18, -0x1.5da5f17afe308p-18, -0x1.5df2c153bac18p-18, -0x1.5e3bc2bd3afdep-18, -0x1.5e80fd2482045p-18, -0x1.5ec277f4ea634p-18, -0x1.5f003a97bc9afp-18, -0x1.5f3a4c7421478p-18, -0x1.5f70b4ef26516p-18, -0x1.5fa37b6b51f99p-18, -0x1.5fd2a74890b1p-18, -0x1.5ffe3fe45f2dep-18, -0x1.60264c990da0cp-18, -0x1.604ad4be5d5e3p-18, -0x1.606bdfa8707ep-18, -0x1.608974a8c658dp-18, -0x1.60a39b0cd8248p-18, -0x1.60ba5a1f454a5p-18, -0x1.60cdb926ac412p-18, -0x1.60ddbf6607f02p-18, -0x1.60ea741c670cdp-18, -0x1.60f3de84e77e3p-18, -0x1.60fa05d6a0752p-18, -0x1.60fcf1443810dp-18, -0x1.60fca7fc26872p-18, -0x1.60f931288c59bp-18, -0x1.60f293eec35dbp-18, -0x1.60e8d76f9eb8bp-18, -0x1.60dc02c73c78fp-18, -0x1.60cc1d0ca26e9p-18, -0x1.60b92d5229ae3p-18, -0x1.60a33aa4be9adp-18, -0x1.608a4c0c9b183p-18, -0x1.606e688c1daa1p-18, -0x1.604f9720f7cf1p-18, -0x1.602ddec2c3fcp-18, -0x1.600946641ae2fp-18, -0x1.5fe1d4f19b48bp-18, -0x1.5fb791524486p-18, -0x1.5f8a826760e95p-18, -0x1.5f5aaf0c43224p-18, -0x1.5f281e167f094p-18, -0x1.5ef2d6553c662p-18, -0x1.5ebade91ffd51p-18, -0x1.5e803d8f9a1c7p-18, -0x1.5e42fa0b0d519p-18, -0x1.5e031abab0a31p-18, -0x1.5dc0a64eb20d5p-18, -0x1.5d7ba370a436cp-18, -0x1.5d3418c39a652p-18, -0x1.5cea0ce436098p-18, -0x1.5c9d866810df3p-18, -0x1.5c4e8bde735ebp-18, -0x1.5bfd23cfa12c6p-18, -0x1.5ba954bce6a4ep-18, -0x1.5b5325211a90bp-18, -0x1.5afa9b6f7ec6ep-18, -0x1.5a9fbe150596ap-18, -0x1.5a429376d3957p-18, -0x1.59e321f3bdd0ep-18, -0x1.59816fe2a188p-18, -0x1.591d8393e33a8p-18, -0x1.58b7634fe6168p-18, -0x1.584f15586abf8p-18, -0x1.57e49fe7592bbp-18, -0x1.5778092fa3c3cp-18, -0x1.5709575c64d6bp-18, -0x1.569890918eff3p-18, -0x1.5625baeb58699p-18, -0x1.55b0dc7e86a1fp-18, -0x1.5539fb584109ap-18, -0x1.54c11d7e034b5p-18, -0x1.544648edca08p-18, -0x1.53c9839da599cp-18, -0x1.534ad37c35708p-18, -0x1.52ca3e7002568p-18, -0x1.5247ca5835c0fp-18, -0x1.51c37d0bb3cddp-18, -0x1.513d5c5a03de3p-18, -0x1.50b56e0a61ee6p-18, -0x1.502bb7dc84e38p-18, -0x1.4fa03f87fa40ep-18, -0x1.4f130abc7f384p-18, -0x1.4e841f21d164ap-18, -0x1.4df38257d84bdp-18, -0x1.4d6139f64adcep-18, -0x1.4ccd4b8d0195fp-18, -0x1.4c37bca3b3a55p-18, -0x1.4ba092ba25e4dp-18, -0x1.4b07d3481a22p-18, -0x1.4a6d83bd03e43p-18, -0x1.49d1a980a6a9p-18, -0x1.493449f22a68bp-18, -0x1.48956a6928816p-18, -0x1.47f510348d806p-18, -0x1.4753409bb06e2p-18, -0x1.46b000dd51fdbp-18, -0x1.460b56306246bp-18, -0x1.456545c37b521p-18, -0x1.44bdd4bd26da6p-18, -0x1.4415083bb7ac8p-18, }}, 
      {{-0x1.b997e6fed07eap-8, -0x1.b6f107cac6eacp-7, -0x1.462390e90e306p-6, -0x1.adac21c8323adp-6, -0x1.08d7ab887fea5p-5, -0x1.390a8b09f2b92p-5, -0x1.677f24cd926bap-5, -0x1.945986887fb55p-5, -0x1.bfc9704642687p-5, -0x1.ea03df741ba7fp-5, -0x1.099f0e5bedb8ep-4, -0x1.1dd517a10f4f4p-4, -0x1.31ba4197d7535p-4, -0x1.456145281a96bp-4, -0x1.58d9103937b1fp-4, -0x1.6c2cc1066252cp-4, -0x1.7f63d5ad18d2p-4, -0x1.92827ebdc11ecp-4, -0x1.a58a07158cfa3p-4, -0x1.b8794662250dcp-4, -0x1.cb4d16559d3a5p-4, -0x1.de00c4c48ef4cp-4, -0x1.f08e7eb1cde4dp-4, -0x1.0177d8db5da81p-3, -0x1.0a8eb128da55ap-3, -0x1.13883b3d531c7p-3, -0x1.1c60fa3df6e18p-3, -0x1.25159b3efd28ep-3, -0x1.2da309c0304c1p-3, -0x1.36067f5532814p-3, -0x1.3e3d8efb6435p-3, -0x1.46462ca3e339ap-3, -0x1.4e1eb176d3f7dp-3, -0x1.55c5dd4f9071cp-3, -0x1.5d3ad5e922a1ep-3, -0x1.647d2428674c8p-3, -0x1.6b8cafe659e73p-3, -0x1.7269ba920a982p-3, -0x1.7914d8f6bdee1p-3, -0x1.7f8eec684bd5ap-3, -0x1.85d91b8e3006p-3, -0x1.8bf4cafca78c1p-3, -0x1.91e395c34c7cfp-3, -0x1.97a7461143d91p-3, -0x1.9d41ce08d285ap-3, -0x1.a2b540d696439p-3, -0x1.a803cc1bc9ed2p-3, -0x1.ad2fb1b6f39bap-3, -0x1.b23b41f2c17fcp-3, -0x1.b728d62017e69p-3, -0x1.bbfacb9db3bep-3, -0x1.c0b37f4de82e1p-3, -0x1.c55549795967p-3, -0x1.c9e27a1c425c4p-3, -0x1.ce5d559ad5d05p-3, -0x1.d2c811d88fba6p-3, -0x1.d724d3adabf7p-3, -0x1.db75acb59c9d3p-3, -0x1.dfbc99711856fp-3, -0x1.e3fb7fb62b5fep-3, -0x1.e8342d68c13cbp-3, -0x1.ec6857760f292p-3, -0x1.f099990d7175p-3, -0x1.f4c9731170559p-3, -0x1.f8f94bbbc8466p-3, -0x1.fd2a6e6f99533p-3, -0x1.00af05da85dffp-2, -0x1.02ca9cad0608fp-2, -0x1.04e87959f3299p-2, -0x1.07090c7ef817cp-2, -0x1.092cb9e8c74b6p-2, -0x1.0b53d8da24ca6p-2, -0x1.0d7eb45c5dbabp-2, -0x1.0fad8b97c95c6p-2, -0x1.11e09232f7f94p-2, -0x1.1417f0b763d86p-2, -0x1.1653c4fa85e4dp-2, -0x1.1894228a5205bp-2, -0x1.1ad9131c35235p-2, -0x1.1d2296fdcbdb2p-2, -0x1.1f70a5868e2c6p-2, -0x1.21c32d89d9435p-2, -0x1.241a15c8bc92ap-2, -0x1.26753d63137c7p-2, -0x1.28d47c4772275p-2, -0x1.2b37a3a18fbd6p-2, -0x1.2d9e7e46d228ap-2, -0x1.3008d120bd4b2p-2, -0x1.32765b9502d78p-2, -0x1.34e6d7eb0973ep-2, -0x1.3759fbaebb35ep-2, -0x1.39cf7810873d3p-2, -0x1.3c46fa42725bdp-2, -0x1.3ec02bd22e716p-2, -0x1.413ab3002b46fp-2, -0x1.43b63313973f8p-2, -0x1.46324cab512dep-2, -0x1.48ae9e0bd027p-2, -0x1.4b2ac369feadp-2, -0x1.4da6573319e97p-2, -0x1.5020f2519ea3dp-2, -0x1.529a2c6f4a8dp-2, -0x1.55119c344a0fep-2, -0x1.5786d7839a92ep-2, -0x1.59f973b4b8e85p-2, -0x1.5c6905caa6ee9p-2, -0x1.5ed522a86483ap-2, -0x1.613d5f42e1f65p-2, -0x1.63a150d08d608p-2, -0x1.66008cf681f46p-2, -0x1.685aa9f374f22p-2, -0x1.6aaf3ec86d77p-2, -0x1.6cfde35f5ee6cp-2, -0x1.6f4630afb3909p-2, -0x1.7187c0e0ddfe3p-2, -0x1.73c22f6afe8fcp-2, -0x1.75f51935b12ep-2, -0x1.78201cb514abbp-2, -0x1.7a42da051581ep-2, -0x1.7c5cf30314895p-2, -0x1.7e6e0b65f0b97p-2, -0x1.8075c8d487b82p-2, -0x1.8273d2fab6e7p-2, -0x1.8467d39ced33ep-2, -0x1.865176aa598cap-2, -0x1.88306a4dc0f54p-2, -0x1.8a045efd0a529p-2, -0x1.8bcd078787641p-2, -0x1.8d8a19230c841p-2, -0x1.8f3b4b77d81p-2, -0x1.90e058ab5db33p-2, -0x1.9278fd69f6054p-2, -0x1.9404f8ef816fcp-2, -0x1.95840d0f0727fp-2, -0x1.96f5fe3954a08p-2, -0x1.985a9382a8e53p-2, -0x1.99b196a776dc8p-2, -0x1.9afad4103caf4p-2, -0x1.9c361ad4825cfp-2, -0x1.9d633cbd02207p-2, -0x1.9e820e44fdba6p-2, -0x1.9f92669ad2a77p-2, -0x1.a0941f9fc559dp-2, -0x1.a18715e7173f6p-2, -0x1.a26b28b46642cp-2, -0x1.a34039f95e93dp-2, -0x1.a4062e52c46e4p-2, -0x1.a4bced04dc079p-2, -0x1.a5645ff736adp-2, -0x1.a5fc73afe744fp-2, -0x1.a685174e2a135p-2, -0x1.a6fe3c847fc19p-2, -0x1.a767d79242423p-2, -0x1.a7c1df3cbd3dcp-2, -0x1.a80c4cc7ca795p-2, -0x1.a8471bedf93fep-2, -0x1.a8724ad8492a1p-2, -0x1.a88dda1575307p-2, -0x1.a899cc90e09ebp-2, -0x1.a89627891eep-2, -0x1.a882f2862202ep-2, -0x1.a860374f15adbp-2, -0x1.a82e01dfe36e3p-2, -0x1.a7ec605e71fcdp-2, -0x1.a79b630f9788ep-2, -0x1.a73b1c4bca7c9p-2, -0x1.a6cba07396e14p-2, -0x1.a64d05e3d7f3dp-2, -0x1.a5bf64e9babf2p-2, -0x1.a522d7b6960d3p-2, -0x1.a4777a538e025p-2, -0x1.a3bd6a9518ee9p-2, -0x1.a2f4c80e57b42p-2, -0x1.a21db40452782p-2, -0x1.a13851611c422p-2, -0x1.a044c4a6d6f0cp-2, -0x1.9f4333e2ad112p-2, -0x1.9e33c69fb3152p-2, -0x1.9d16a5d9c10f7p-2, -0x1.9bebfbf041714p-2, -0x1.9ab3f498fa0fbp-2, -0x1.996ebcd2d60b5p-2, -0x1.981c82d8ac31ep-2, -0x1.96bd76140d4b6p-2, -0x1.9551c71019e11p-2, -0x1.93d9a76c6140ap-2, -0x1.925549cfce21bp-2, -0x1.90c4e1dba3918p-2, -0x1.8f28a41e8e89cp-2, -0x1.8d80c607cb525p-2, -0x1.8bcd7dda64659p-2, -0x1.8a0f02a08a654p-2, -0x1.88458c1f0ad9ep-2, -0x1.867152c8e3f84p-2, -0x1.84928fb2fce83p-2, -0x1.82a97c87fd455p-2, -0x1.80b6537c4f48dp-2, -0x1.7eb94f4242ef9p-2, -0x1.7cb2aafe5f4e3p-2, -0x1.7aa2a23bdbeacp-2, -0x1.788970e146826p-2, -0x1.7667532556fc2p-2, -0x1.743c8583f18a9p-2, -0x1.720944b35b60bp-2, -0x1.6fcdcd999d95p-2, -0x1.6d8a5d421dac9p-2, -0x1.6b3f30d368b9cp-2, -0x1.68ec858531f06p-2, -0x1.669298968984dp-2, -0x1.6431a74447e1cp-2, -0x1.61c9eebfb19a2p-2, -0x1.5f5bac254ecf6p-2, -0x1.5ce71c7403b02p-2, -0x1.5a6c7c8455d1fp-2, -0x1.57ec08fff779cp-2, -0x1.5565fe5981119p-2, -0x1.52da98c46c975p-2, -0x1.504a142d48e5fp-2, -0x1.4db4ac3223f8ep-2, -0x1.4b1a9c1b34136p-2, -0x1.487c1ed3b9a48p-2, -0x1.45d96ee31b384p-2, -0x1.4332c6663a258p-2, -0x1.40885f0907012p-2, -0x1.3dda72004834ap-2, -0x1.3b293803a21c2p-2, -0x1.3874e947d2299p-2, -0x1.35bdbd79287b1p-2, -0x1.3303ebb636a9p-2, -0x1.3047aa8ab8313p-2, -0x1.2d892feab39e7p-2, -0x1.2ac8b12dd157ap-2, -0x1.2806630aeb9c1p-2, -0x1.25427993d497fp-2, -0x1.227d28314e9c1p-2, -0x1.1fb6a19f3f452p-2, -0x1.1cef17e913741p-2, -0x1.1a26bc6656bb3p-2, -0x1.175dbfb780741p-2, -0x1.149451c2f216bp-2, -0x1.11caa1b22511p-2, -0x1.0f00ddef0d649p-2, -0x1.0c373421aa731p-2, -0x1.096dd12dc5168p-2, -0x1.06a4e130dfddap-2, -0x1.03dc8f8051804p-2, -0x1.011506a78e636p-2, -0x1.fc9ce0cd38aacp-3, -0x1.f711eb61648aep-3, -0x1.f1897d5601c3dp-3, -0x1.ec03e5574bbfap-3, -0x1.e68170718bec8p-3, -0x1.e1026a0f9ea03p-3, -0x1.db871bf9bf3b1p-3, -0x1.d60fce54aa7edp-3, -0x1.d09cc7a0faf2fp-3, -0x1.cb2e4cbad7f8p-3, -0x1.c5c4a0d9e7b5p-3, -0x1.c06005917bf37p-3, -0x1.bb00bad10d44ap-3, -0x1.b5a6fee4eaed7p-3, -0x1.b0530e7732122p-3, -0x1.ab052490f3804p-3, -0x1.a5bd7a9ba0b8ap-3, -0x1.a07c4862ab1cp-3, -0x1.9b41c415561c9p-3, -0x1.960e2248c29cp-3, -0x1.90e195fa2f109p-3, -0x1.8bbc50915d7c5p-3, -0x1.869e81e335356p-3, -0x1.8188583488bep-3, -0x1.7c7a003d0cdeep-3, -0x1.7773a52a73d1ep-3, -0x1.727570a3b62a2p-3, -0x1.6d7f8acc7d28fp-3, -0x1.68921a48b3c67p-3, -0x1.63ad444039278p-3, -0x1.5ed12c62baa86p-3, -0x1.59fdf4eba303cp-3, -0x1.5533bea62d8a4p-3, -0x1.5072a8f199043p-3, -0x1.4bbad1c56dedfp-3, -0x1.470c55b5e6201p-3, -0x1.42674ff8644dcp-3, -0x1.3dcbda680a4bep-3, -0x1.393a0d8a5ba8fp-3, -0x1.34b20093fe2cbp-3, -0x1.3033c96d83244p-3, -0x1.2bbf7cb84a2fbp-3, -0x1.27552dd36a386p-3, -0x1.22f4eee0b146p-3, -0x1.1e9ed0c9aee14p-3, -0x1.1a52e344cac7ap-3, -0x1.161134da5e428p-3, -0x1.11d9d2e9ea852p-3, -0x1.0dacc9af40168p-3, -0x1.098a2447bedc8p-3, -0x1.0571ecb793837p-3, -0x1.01642beeff738p-3, -0x1.fac1d39f418cep-4, -0x1.f2d05a637d464p-4, -0x1.eaf3f7d3323bdp-4, -0x1.e32cb59973f39p-4, -0x1.db7a9b6e874f7p-4, -0x1.d3ddaf228794bp-4, -0x1.cc55f4a7fd607p-4, -0x1.c4e36e1e802afp-4, -0x1.bd861bdd42adbp-4, -0x1.b63dfc7d9f4a5p-4, -0x1.af0b0ce59f29bp-4, -0x1.a7ed48526e01dp-4, -0x1.a0e4a862c894p-4, -0x1.99f125215b56p-4, -0x1.9312b50f12548p-4, -0x1.8c494d2d5cc44p-4, -0x1.8594e1085a96dp-4, -0x1.7ef562c0fba13p-4, -0x1.786ac3170b967p-4, -0x1.71f4f173288b7p-4, -0x1.6b93dbf0a4044p-4, -0x1.65476f674ff3cp-4, -0x1.5f0f9775312a7p-4, -0x1.58ec3e8823586p-4, -0x1.52dd4de75303bp-4, -0x1.4ce2adbcb20aap-4, -0x1.46fc451e42fbdp-4, -0x1.4129fa17516dbp-4, -0x1.3b6bb1b18cc9p-4, -0x1.35c14ffe05571p-4, -0x1.302ab81e11371p-4, -0x1.2aa7cc4c0d427p-4, -0x1.25386de406b89p-4, -0x1.1fdc7d6c467b9p-4, -0x1.1a93da9db5117p-4, -0x1.155e646c2c873p-4, -0x1.103bf90ea3457p-4, -0x1.0b2c7607354bap-4, -0x1.062fb82b14c9ap-4, -0x1.01459baa55f52p-4, -0x1.f8dbf82f35015p-5, -0x1.ef5168df390dp-5, -0x1.e5eb3e4138256p-5, -0x1.dca92c234e696p-5, -0x1.d38ae55382558p-5, -0x1.ca901badda1c2p-5, -0x1.c1b8802a28dc1p-5, -0x1.b903c2e991f4bp-5, -0x1.b0719343d955p-5, -0x1.a8019fd4622a9p-5, -0x1.9fb39686f59ebp-5, -0x1.978724a4438f4p-5, -0x1.8f7bf6de1f05cp-5, -0x1.8791b95b79971p-5, -0x1.7fc817c41adacp-5, -0x1.781ebd4c21b43p-5, -0x1.709554bf32ec1p-5, -0x1.692b888b719bp-5, -0x1.61e102cc30dbdp-5, -0x1.5ab56d547002bp-5, -0x1.53a871b907aa4p-5, -0x1.4cb9b95aa0377p-5, -0x1.45e8ed6f6d414p-5, -0x1.3f35b70c9a287p-5, -0x1.389fbf2f8ab42p-5, -0x1.3226aec6d6b85p-5, -0x1.2bca2ebb03f11p-5, -0x1.2589e7f70d334p-5, -0x1.1f658370a0c81p-5, -0x1.195caa3030b1cp-5, -0x1.136f0558c340ep-5, -0x1.0d9c3e2f8616fp-5, -0x1.07e3fe232b541p-5, -0x1.0245eed30b4fp-5, -0x1.f983742c333ap-6, -0x1.eeae140314786p-6, -0x1.e40b11dec1da7p-6, -0x1.d999c30953fep-6, -0x1.cf597d6f29b15p-6, -0x1.c54997aaac6eep-6, -0x1.bb69690f96308p-6, -0x1.b1b849b5ed5e3p-6, -0x1.a835928489d19p-6, -0x1.9ee09d3b412e8p-6, -0x1.95b8c47cb3887p-6, -0x1.8cbd63d7afe28p-6, -0x1.83edd7d040057p-6, -0x1.7b497de8511ccp-6, -0x1.72cfb4a818c7p-6, -0x1.6a7fdba5f8aa8p-6, -0x1.6259538e3b572p-6, -0x1.5a5b7e2a47ef2p-6, -0x1.5285be67ad006p-6, -0x1.4ad7785ebce25p-6, -0x1.43501158ec27dp-6, -0x1.3beeefd6cabcp-6, -0x1.34b37b95bfc6ap-6, -0x1.2d9d1d957a44ep-6, -0x1.26ab401d06dbep-6, -0x1.1fdd4ebfb300bp-6, -0x1.1932b6618746dp-6, -0x1.12aae53bad46ap-6, -0x1.0c454ae05355p-6, -0x1.0601583e80cp-6, -0x1.ffbcff4b33a6p-7, -0x1.f3b869911c02ap-7, -0x1.e7f3d981c5c3p-7, -0x1.dc6e3c22e0b14p-7, -0x1.d1268151eabb3p-7, -0x1.c61b9bc8bd408p-7, -0x1.bb4c8121a2c0bp-7, -0x1.b0b829db3caf8p-7, -0x1.a65d915ba9e1bp-7, -0x1.9c3bb5f38f6c1p-7, -0x1.925198e083e23p-7, -0x1.889e3e4f37075p-7, -0x1.7f20ad5d38633p-7, -0x1.75d7f01a3af4ap-7, -0x1.6cc313893e26p-7, -0x1.63e127a11ec3p-7, -0x1.5b313f4cf10b2p-7, -0x1.52b2706c15cddp-7, -0x1.4a63d3d1d7e68p-7, -0x1.42448544dd1b4p-7, -0x1.3a53a37e3356fp-7, -0x1.329050282dc1fp-7, -0x1.2af9afdcd57c6p-7, -0x1.238eea244974ep-7, -0x1.1c4f2972a31a6p-7, -0x1.15399b25c3f8dp-7, -0x1.0e4d6f82d6eacp-7, -0x1.0789d9b399faep-7, -0x1.00ee0fc35b4adp-7, -0x1.f4f29537be586p-8, -0x1.e8558c03f15d2p-8, -0x1.dc038123e60ebp-8, -0x1.cffaf777a0f29p-8, -0x1.c43a777ea1083p-8, -0x1.b8c08f4fb97ep-8, -0x1.ad8bd2903e4b8p-8, -0x1.a29ada6b590abp-8, -0x1.97ec45888906dp-8, -0x1.8d7eb802482a1p-8, -0x1.8350db5c27f7ep-8, -0x1.79615e78b09a5p-8, -0x1.6faef58f11c61p-8, -0x1.66385a206ed9ap-8, -0x1.5cfc4aed2513fp-8, -0x1.53f98be9c6a2ap-8, -0x1.4b2ee633b4055p-8, -0x1.429b2805a99d8p-8, -0x1.3a3d24ac50583p-8, -0x1.3213b47a1207cp-8, -0x1.2a1db4bb6e612p-8, -0x1.225a07aab7f99p-8, -0x1.1ac79463b90f1p-8, -0x1.136546d7727edp-8, -0x1.0c320fbf6afc3p-8, -0x1.052ce49122dfdp-8, -0x1.fca97ee2b428ep-9, -0x1.ef513e4e1e2c9p-9, -0x1.e24f0e1d814e5p-9, -0x1.d5a0fe1aa6605p-9, -0x1.c9452705e344ep-9, -0x1.bd39aa7bf724fp-9, -0x1.b17cb2dbb75d5p-9, -0x1.a60c732b53b62p-9, -0x1.9ae726fdfade8p-9, -0x1.900b125950be3p-9, -0x1.8576819a7a61dp-9, -0x1.7b27c95bb7c41p-9, -0x1.711d46597c1c5p-9, -0x1.67555d57b8d7bp-9, -0x1.5dce7b07508a6p-9, -0x1.548713eb34df2p-9, -0x1.4b7da43d8b49p-9, -0x1.42b0afd5b763p-9, -0x1.3a1ec20ce321ap-9, -0x1.31c66da42047dp-9, -0x1.29a64ca9b3efcp-9, -0x1.21bd005e8c4d1p-9, -0x1.1a09311c501ddp-9, -0x1.12898e3adb2ddp-9, -0x1.0b3ccdf66dde5p-9, -0x1.0421ad557518bp-9, -0x1.fa6de01d728c6p-10, -0x1.ecf6c0dfd334bp-10, -0x1.dfdb9e878ad35p-10, -0x1.d31a27710ebb3p-10, -0x1.c6b0168e1eff3p-10, -0x1.ba9b3332b47f2p-10, -0x1.aed950e39e2cdp-10, -0x1.a3684f244624ep-10, -0x1.984619465e4b7p-10, -0x1.8d70a637e472p-10, -0x1.82e5f85392dcp-10, -0x1.78a41d303749ep-10, -0x1.6ea92d71237ep-10, -0x1.64f34c96a7e34p-10, -0x1.5b80a8cf60bf2p-10, -0x1.524f7ac999e7ep-10, -0x1.495e0584f6092p-10, -0x1.40aa962531a2p-10, -0x1.383383c481cf2p-10, -0x1.2ff72f472d34bp-10, -0x1.27f4032e78a52p-10, -0x1.2028736d868e9p-10, -0x1.1892fd3dba8dcp-10, -0x1.113226f326041p-10, -0x1.0a047fd2a985fp-10, -0x1.03089fe7a2355p-10, -0x1.f87a4fb4ae99ep-11, -0x1.eb41818d94d1fp-11, -0x1.de6438287bf83p-11, -0x1.d1dfe699613cep-11, -0x1.c5b20feba0d3ap-11, -0x1.b9d846d1fdfp-11, -0x1.ae502d5a3ba3ap-11, -0x1.a31774a0da36ap-11, -0x1.982bdc8403c24p-11, -0x1.8d8b335b37a41p-11, -0x1.833355abfedc9p-11, -0x1.79222de20c9ap-11, -0x1.6f55b407d56f3p-11, -0x1.65cbed7f15a6ep-11, -0x1.5c82ecbc1372bp-11, -0x1.5378d1006ce93p-11, -0x1.4aabc6175c7d3p-11, -0x1.421a0413226a3p-11, -0x1.39c1cf0b439a3p-11, -0x1.31a176db33ba2p-11, -0x1.29b756e2bc09dp-11, -0x1.2201d5c77c8c1p-11, -0x1.1a7f653645ce7p-11, -0x1.132e81a6350d7p-11, -0x1.0c0db21cd1f3ap-11, -0x1.051b87f263bdep-11, -0x1.fcad3d314bd1p-12, -0x1.ef7b36bf8b125p-12, -0x1.e29e5a80567adp-12, -0x1.d6141941fd825p-12, -0x1.c9d9f64513f9bp-12, -0x1.bded86d13573p-12, -0x1.b24c71ca2f58ap-12, -0x1.a6f46f493fd9fp-12, -0x1.9be3483645fbap-12, -0x1.9116d5e3d0a46p-12, -0x1.868d01ac4de51p-12, -0x1.7c43c4911d7cdp-12, -0x1.723926db49cddp-12, -0x1.686b3fbeb2d17p-12, -0x1.5ed834fc4d1p-12, -0x1.557e3a8a27935p-12, -0x1.4c5b923947752p-12, -0x1.436e8b5f65d25p-12, -0x1.3ab58280c442bp-12, -0x1.322ee0fd5d812p-12, -0x1.29d91cbe135f5p-12, -0x1.21b2b7e3bc5c9p-12, -0x1.19ba40788d9d9p-12, -0x1.11ee50220b1a5p-12, -0x1.0a4d8bd4d93a7p-12, -0x1.02d6a38a3148p-12, -0x1.f710a3ed4731dp-13, -0x1.e8c2b883a2d7fp-13, -0x1.dac12382a3bcbp-13, -0x1.cd0997637f9bap-13, -0x1.bf99d9eaeafcp-13, -0x1.b26fc39fa7778p-13, -0x1.a5893f4dbd7f4p-13, -0x1.98e44982ead69p-13, -0x1.8c7ef01604fe5p-13, -0x1.805751aa497eap-13, -0x1.746b9d399e68bp-13, -0x1.68ba119f07fcdp-13, -0x1.5d40fd256a187p-13, -0x1.51febd15fd13dp-13, -0x1.46f1bd4d0334ap-13, -0x1.3c1877cc60cafp-13, -0x1.31717454f77d8p-13, -0x1.26fb47fef7dfap-13, -0x1.1cb494d651c4fp-13, -0x1.129c097845b76p-13, -0x1.08b060b53e999p-13, -0x1.fde0c26141bdap-14, -0x1.eab5ba104f367p-14, -0x1.d7dd62f122db7p-14, -0x1.c5558d0f0fc46p-14, -0x1.b31c1d5c0d752p-14, -0x1.a12f0d0aba3dcp-14, -0x1.8f8c68ea9e9b6p-14, -0x1.7e3250cbaca7bp-14, -0x1.6d1ef6e14398cp-14, -0x1.5c509f2d39f97p-14, -0x1.4bc59eea41ca1p-14, -0x1.3b7c5bfda1e8fp-14, -0x1.2b734c6a042e5p-14, -0x1.1ba8f5c78873ap-14, -0x1.0c1becbdb1bdcp-14, -0x1.f995a90210731p-15, -0x1.db68bcaabc032p-15, -0x1.bdae9223c21edp-15, -0x1.a064c14fea918p-15, -0x1.8388fb5da3e3p-15, -0x1.671909e288643p-15, -0x1.4b12cdfbff145p-15, -0x1.2f743f76dd50bp-15, -0x1.143b6bfd28da9p-15, -0x1.f2ccec90dd31dp-16, -0x1.bde72ab6269b2p-16, -0x1.89c227780eac3p-16, -0x1.565a9d7965acdp-16, -0x1.23ad6b7ef82e3p-16, -0x1.e36f260f5b9ccp-17, -0x1.80ec6df619c51p-17, -0x1.1fcd3496e1214p-17, -0x1.80187ae11b1a1p-18, -0x1.86921c55d7967p-19, -0x1.24523035bed69p-23, 0x1.5cc83fde519d8p-19, 0x1.6353c2f3ed771p-18, 0x1.0ada5851a4b9p-17, 0x1.62c77156d6016p-17, 0x1.b974fbc578a29p-17, 0x1.07734d9cca3e8p-16, 0x1.318fe4d9622d6p-16, 0x1.5b11ecb3bceedp-16, 0x1.83fafb5360ea8p-16, 0x1.ac4c94cbd5e4fp-16, 0x1.d4082bfb68191p-16, 0x1.fb2f235cbc247p-16, 0x1.10e166eef685ep-15, 0x1.23e237cd69f8cp-15, 0x1.369a9f54ae117p-15, 0x1.490b31e8a06c9p-15, 0x1.5b347d9d85b75p-15, 0x1.6d170a935b546p-15, 0x1.7eb35b45c8701p-15, 0x1.9009ece1edd6ap-15, 0x1.a11b3790a439cp-15, 0x1.b1e7aec51badap-15, 0x1.c26fc1832e873p-15, 0x1.d2b3daa91fbaap-15, 0x1.e2b4612f65453p-15, 0x1.f271b86cde40cp-15, 0x1.00f6202a8936ap-14, 0x1.08922ad9e407fp-14, 0x1.100d29342c202p-14, 0x1.176746ce172b1p-14, 0x1.1ea0adfc8db1dp-14, 0x1.25b987eefbf2dp-14, 0x1.2cb1fcc72fa52p-14, 0x1.338a33b1f596dp-14, 0x1.3a4252fcf7497p-14, 0x1.40da802d957cp-14, 0x1.4752e014505b6p-14, 0x1.4dab96e22bb4fp-14, 0x1.53e4c83b77b9ep-14, 0x1.59fe974939c2ap-14, 0x1.5ff926cbe19d6p-14, 0x1.65d4992a8f386p-14, 0x1.6b911083b3417p-14, 0x1.712eaebc56f94p-14, 0x1.76ad958d56e88p-14, 0x1.7c0de6928c9e1p-14, 0x1.814fc356433f1p-14, 0x1.86734d5e8b469p-14, 0x1.8b78a637fba92p-14, 0x1.905fef81a36a5p-14, 0x1.95294af6387e2p-14, 0x1.99d4da76e07d4p-14, 0x1.9e62c013d4183p-14, 0x1.a2d31e1533895p-14, 0x1.a7261702ed3d2p-14, 0x1.ab5bcdacc6866p-14, 0x1.af746530c7ca8p-14, 0x1.b37001026f053p-14, 0x1.b74ec4f0557p-14, 0x1.bb10d529f67dcp-14, 0x1.beb6564588d9bp-14, 0x1.c23f6d43a38cep-14, 0x1.c5ac3f94ebc11p-14, 0x1.c8fcf31cbbe58p-14, 0x1.cc31ae35e90f1p-14, 0x1.cf4a97b5a1f52p-14, 0x1.d247d6edba368p-14, 0x1.d52993b0b0c5fp-14, 0x1.d7eff652336b5p-14, 0x1.da9b27aa88767p-14, 0x1.dd2b5116e7047p-14, 0x1.dfa09c7bfbea1p-14, 0x1.e1fb34461df15p-14, 0x1.e43b436a8cb4cp-14, 0x1.e660f567cc7ecp-14, 0x1.e86c7646005c1p-14, 0x1.ea5df296c0acdp-14, 0x1.ec359775a975p-14, 0x1.edf39286c16f3p-14, 0x1.ef9811f743cf3p-14, 0x1.f123447ba9a85p-14, 0x1.f295594f87b3p-14, 0x1.f3ee8033fac6fp-14, 0x1.f52ee96eb8441p-14, 0x1.f656c5c793f69p-14, 0x1.f7664688b2885p-14, 0x1.f85d9d7aa54e1p-14, 0x1.f93cfce44f424p-14, 0x1.fa049787948a6p-14, 0x1.fab4a0a02a05bp-14, 0x1.fb4d4be07e78p-14, 0x1.fbcecd700a318p-14, 0x1.fc3959e81264cp-14, 0x1.fc8d2651df964p-14, 0x1.fcca682355b6cp-14, 0x1.fcf1553ce2838p-14, 0x1.fd0223e62b3efp-14, 0x1.fcfd0acb331b2p-14, 0x1.fce240f9bd176p-14, 0x1.fcb1fdddeb4eep-14, 0x1.fc6c793ef5b36p-14, 0x1.fc11eb3ca1884p-14, 0x1.fba28c4b67ff5p-14, 0x1.fb1e95321555ep-14, 0x1.fa863f0540b43p-14, 0x1.f9d9c32589d12p-14, 0x1.f9195b3aca904p-14, 0x1.f845413195b1bp-14, 0x1.f75daf37bce8cp-14, 0x1.f662dfb8b2eb9p-14, 0x1.f5550d5a2c8edp-14, 0x1.f43472f8fb87ep-14, 0x1.f3014ba526a01p-14, 0x1.f1bbd29ef6e6ep-14, 0x1.f064435311b2bp-14, 0x1.eefad957552f9p-14, 0x1.ed7fd06743706p-14, 0x1.ebf36460b3c1bp-14, 0x1.ea55d1405525fp-14, 0x1.e8a7531e30d21p-14, 0x1.e6e8262a72eb3p-14, 0x1.e51886a9daff7p-14, 0x1.e338b0f269be6p-14, 0x1.e148e1685158bp-14, 0x1.df495479fbafdp-14, 0x1.dd3a469da5d89p-14, 0x1.db1bf44d4076bp-14, 0x1.d8ee9a03c1633p-14, 0x1.d6b27439af2adp-14, 0x1.d467bf620a38ep-14, 0x1.d20eb7e7072cp-14, 0x1.cfa79a2711398p-14, 0x1.cd32a271b6f26p-14, 0x1.cab00d04a5726p-14, 0x1.c82016086bb64p-14, 0x1.c582f98df049ep-14, 0x1.c2d8f38b0060ep-14, 0x1.c0223fd7ed266p-14, 0x1.bd5f1a2c2cd96p-14, 0x1.ba8fbe1c16bc5p-14, 0x1.b7b46715b86f6p-14, 0x1.b4cd505e6c0b6p-14, 0x1.b1dab50fe3874p-14, 0x1.aedcd015bed32p-14, 0x1.abd3dc2af14fdp-14, 0x1.a8c013d7050c5p-14, 0x1.a5a1b16c105b1p-14, 0x1.a278ef038f7eap-14, 0x1.9f46067ca8f8p-14, 0x1.9c093179871a7p-14, 0x1.98c2a95d1b3p-14, 0x1.9572a748eae26p-14, 0x1.9219641ac0471p-14, 0x1.8eb7186aae682p-14, 0x1.8b4bfc8895b7dp-14, 0x1.87d8487a8b7fbp-14, 0x1.845c33fa900c6p-14, 0x1.80d7f674afad1p-14, 0x1.7d4bc7051a268p-14, 0x1.79b7dc7636b9dp-14, 0x1.761c6d3ee5ecfp-14, 0x1.7279af80c1582p-14, 0x1.6ecfd9067b83dp-14, 0x1.6b1f1f41bfdfdp-14, 0x1.6767b74a26872p-14, 0x1.63a9d5db4a707p-14, 0x1.5fe5af535e707p-14, 0x1.5c1b77b1b76d9p-14, 0x1.584b62954caadp-14, 0x1.5475a33b6c22dp-14, 0x1.509a6c7e3f81dp-14, 0x1.4cb9f0d3b6e8p-14, 0x1.48d4624c14319p-14, 0x1.44e9f290d5005p-14, 0x1.40fad2e38d75dp-14, 0x1.3d07341cdd95fp-14, 0x1.390f46ab0057ep-14, 0x1.35133a91470ffp-14, 0x1.31133f66d6703p-14, 0x1.2d0f8455c5b68p-14, 0x1.2908381a2da42p-14, 0x1.24fd89015da66p-14, 0x1.20efa4e903a9fp-14, 0x1.1cdeb93e8f8ffp-14, 0x1.18caf2fe1f607p-14, 0x1.14b47eb22b867p-14, 0x1.109b8872a17dp-14, 0x1.0c803be474d75p-14, 0x1.0862c438f6ff7p-14, 0x1.04434c2d3fe45p-14, 0x1.0021fe09ca893p-14, 0x1.f7fe0743e531ap-15, 0x1.efb50ca71495fp-15, 0x1.e7695e0cdp-15, 0x1.df1b4c58743c6p-15, 0x1.d6cb278014d23p-15, 0x1.ce793e8c2d1b7p-15, 0x1.c625df96aa8dep-15, 0x1.bdd157cae920bp-15, 0x1.b57bf36564c15p-15, 0x1.ad25fdb3161dep-15, 0x1.a4cfc1117a922p-15, 0x1.9c7986ee4035p-15, 0x1.942397c73cd6dp-15, 0x1.8bce3b2a62d61p-15, 0x1.8379b7b5c3a4fp-15, 0x1.7b26531761ab9p-15, 0x1.72d4520d901dfp-15, 0x1.6a83f867365cp-15, 0x1.62358903e8cd6p-15, 0x1.59e945d3e37a1p-15, 0x1.519f6fd8a8ed8p-15, 0x1.495847259af9ap-15, 0x1.41140adfe7fadp-15, 0x1.38d2f93f853e1p-15, 0x1.30954f8f633f3p-15, 0x1.285b4a2df57cep-15, 0x1.2025248e24f1bp-15, 0x1.17f31937987f6p-15, 0x1.0fc561c79e664p-15, 0x1.079c36f204cd9p-15, 0x1.feefa103340d9p-16, 0x1.eeb0cab239024p-16, 0x1.de7c56e8b3e02p-16, 0x1.ce52afd171d8dp-16, 0x1.be343dcc6c796p-16, 0x1.ae21677165a3ap-16, 0x1.9e1a91912f6abp-16, 0x1.8e201f3814e37p-16, 0x1.7e3271b02621ap-16, 0x1.6e51e883491f2p-16, 0x1.5e7ee17d72449p-16, 0x1.4eb9b8af03dbcp-16, 0x1.3f02c86f58bd6p-16, 0x1.2f5a695f16126p-16, 0x1.1fc0f26ad38d3p-16, 0x1.1036b8cd72eecp-16, 0x1.00bc1012ca68ep-16, 0x1.e2a294351b63bp-17, 0x1.c3ed6e35c13f4p-17, 0x1.a5594b465afdep-17, 0x1.86e6c53e4d4d1p-17, 0x1.689672b1dfbcap-17, 0x1.4a68e6f90101dp-17, 0x1.2c5eb2358bd5ep-17, 0x1.0e78615824fabp-17, 0x1.e16cfc4e9b35ep-18, 0x1.a6331e89cf865p-18, 0x1.6b4430683adbep-18, 0x1.30a132c0e8aap-18, 0x1.ec96408f947e6p-19, 0x1.7885db30996d1p-19, 0x1.0513128b2b134p-19, 0x1.247f6f915d916p-20, 0x1.006c8187aaab4p-22, -0x1.4606aae03ceep-21, -0x1.84d89636a1a76p-20, -0x1.32b0aeb2340b1p-19, -0x1.a24d3ead97349p-19, -0x1.08a037cd20612p-18, -0x1.3fc460a1b346cp-18, -0x1.76925f4d9fe2p-18, -0x1.ad097ecf1e00ep-18, -0x1.e3290f9c2943bp-18, -0x1.0c7833c9e9deep-17, -0x1.272f70f851065p-17, -0x1.41b9ef9eabde7p-17, -0x1.5c1762a0f1098p-17, -0x1.76477f7ceaf84p-17, -0x1.9049fe43333acp-17, -0x1.aa1e998e0b79ep-17, -0x1.c3c50e7d5b145p-17, -0x1.dd3d1cae75984p-17, -0x1.f68686332ba8p-17, -0x1.07d087c6fac6ap-16, -0x1.14463fd46e9ap-16, -0x1.20a44fe797518p-16, -0x1.2cea9dd376ae9p-16, -0x1.391910942e719p-16, -0x1.452f904c24f79p-16, -0x1.512e0640b3abp-16, -0x1.5d145cd591328p-16, -0x1.68e27f8a62244p-16, -0x1.74985af6fcd1cp-16, -0x1.8035dcc7c422dp-16, -0x1.8bbaf3ba3ccd8p-16, -0x1.97278f99c46d4p-16, -0x1.a27ba13b6c19dp-16, -0x1.adb71a7b363d8p-16, -0x1.b8d9ee38e2912p-16, -0x1.c3e41053751d3p-16, -0x1.ced575a6ddfc8p-16, -0x1.d9ae1408043b2p-16, -0x1.e46de241026d3p-16, -0x1.ef14d80e9866bp-16, -0x1.f9a2ee1c7cb7bp-16, -0x1.020c0f00e4c59p-15, -0x1.073a311edbabbp-15, -0x1.0c5bdb1a36f2ep-15, -0x1.11710b15c9e37p-15, -0x1.1679bfa35607fp-15, -0x1.1b75f7c244c12p-15, -0x1.2065b2dde03afp-15, -0x1.2548f0cb75aeap-15, -0x1.2a1fb1c90bb89p-15, -0x1.2ee9f67b82cdap-15, -0x1.33a7bfed0fc25p-15, -0x1.38590f8be8668p-15, -0x1.3cfde72850e21p-15, -0x1.419648f315279p-15, -0x1.4622377c3dd97p-15, -0x1.4aa1b5b11bd94p-15, -0x1.4f14c6daf70d4p-15, -0x1.537b6e9dc5caap-15, -0x1.57d5b0f61067bp-15, -0x1.5c239237e7b2ep-15, -0x1.6065170d42a8p-15, -0x1.649a447477e28p-15, -0x1.68c31fbebe44fp-15, -0x1.6cdfae8ea66bap-15, -0x1.70eff6d6ced97p-15, -0x1.74f3fed83906ap-15, -0x1.78ebcd2126fcap-15, -0x1.7cd7688b80f7ep-15, -0x1.80b6d83b4eda6p-15, -0x1.848a239d6e259p-15, -0x1.8851526635947p-15, -0x1.8c0c6c901b3b2p-15, -0x1.8fbb7a5a26c4bp-15, -0x1.935e8446c387bp-15, -0x1.96f5931a50abp-15, -0x1.9a80afd9cd65ep-15, -0x1.9dffe3c9ad3d6p-15, -0x1.a173386c556d5p-15, -0x1.a4dab780c6a2ap-15, -0x1.a8366b018fd89p-15, -0x1.ab865d2364fa3p-15, -0x1.aeca9853c2206p-15, -0x1.b2032737cc0f1p-15, -0x1.b53014ab425a7p-15, -0x1.b8516bbee16e2p-15, -0x1.bb6737b75db43p-15, -0x1.be71840c49d65p-15, -0x1.c1705c66ad02fp-15, -0x1.c463cc9fefab2p-15, -0x1.c74be0c0cf743p-15, -0x1.ca28a5000f6e5p-15, -0x1.ccfa25c157d92p-15, -0x1.cfc06f9420b84p-15, -0x1.d27b8f32a0011p-15, -0x1.d52b9180883afp-15, -0x1.d7d0838a1d39dp-15, -0x1.da6a728316c5ep-15, -0x1.dcf96bc54def6p-15, -0x1.df7d7cd025603p-15, -0x1.e1f6b347141a1p-15, -0x1.e4651cf0c55dp-15, -0x1.e6c8c7b62f8bep-15, -0x1.e921c1a15ab9ap-15, -0x1.eb7018dc853e3p-15, -0x1.edb3dbb135348p-15, -0x1.efed18870dcc4p-15, -0x1.f21bdde2dde58p-15, -0x1.f4403a66029e6p-15, -0x1.f65a3ccd189e5p-15, -0x1.f869f3ef2a658p-15, -0x1.fa6f6ebce3a8ap-15, -0x1.fc6abc3f83757p-15, -0x1.fe5beb97e399dp-15, -0x1.002185ff03ef3p-14, -0x1.0110165fe40e4p-14, -0x1.01f9aea00e3b3p-14, -0x1.02de567b22951p-14, -0x1.03be15b67ef69p-14, -0x1.0498f420e511dp-14, -0x1.056ef991e00e4p-14, -0x1.06402de9a0811p-14, -0x1.070c9910587fp-14, -0x1.07d442f5feb8dp-14, -0x1.08973391ea808p-14, -0x1.095572e26c05cp-14, -0x1.0a0f08ec68e5cp-14, -0x1.0ac3fdbaf23e3p-14, -0x1.0b74595f11846p-14, -0x1.0c2023ef3ba57p-14, -0x1.0cc765870c362p-14, -0x1.0d6a264726484p-14, -0x1.0e086e5456a91p-14, -0x1.0ea245d7acbd5p-14, -0x1.0f37b4fe11a9p-14, -0x1.0fc8c3f7dcc41p-14, -0x1.10557af89712cp-14, -0x1.10dde236a529ep-14, -0x1.116201eadbff5p-14, -0x1.11e1e2505f685p-14, -0x1.125d8ba42a4d8p-14, -0x1.12d5062502c7ap-14, -0x1.13485a12cde77p-14, -0x1.13b78faea5821p-14, -0x1.1422af3a73abbp-14, -0x1.1489c0f865aa1p-14, -0x1.14eccd2b331cbp-14, -0x1.154bdc152c0dfp-14, -0x1.15a6f5f88cb75p-14, -0x1.15fe231709ac4p-14, -0x1.16516bb15898ep-14, -0x1.16a0d807231b7p-14, -0x1.16ec7056ed8bep-14, -0x1.17343cdd7a425p-14, -0x1.177845d5d0cb9p-14, -0x1.17b8937914a87p-14, -0x1.17f52dfddfee8p-14, -0x1.182e1d987d77cp-14, -0x1.18636a7a9d95dp-14, -0x1.18951cd2cc70bp-14, -0x1.18c33ccc9c8a2p-14, -0x1.18edd290406bbp-14, -0x1.1914e6425c5a3p-14, -0x1.19388003d5566p-14, -0x1.1958a7f1adcd9p-14, -0x1.19756624cea88p-14, -0x1.198ec2b19bbf3p-14, -0x1.19a4c5a849f4ep-14, -0x1.19b7771413d64p-14, -0x1.19c6defb968d9p-14, -0x1.19d3056040826p-14, -0x1.19dbf23e4a531p-14, -0x1.19e1ad8cc6dd3p-14, -0x1.19e43f3ced4b5p-14, -0x1.19e3af3a880d5p-14, -0x1.19e0056b87db6p-14, -0x1.19d949afa5ad2p-14, -0x1.19cf83e0b903ap-14, -0x1.19c2bbd236ed9p-14, -0x1.19b2f9510417bp-14, -0x1.19a04423c3297p-14, -0x1.198aa40a165b8p-14, -0x1.197220bce86d3p-14, -0x1.1956c1ee489cep-14, -0x1.19388f490598bp-14, -0x1.19179070bdb4ep-14, -0x1.18f3cd01e36cdp-14, -0x1.18cd4c91433fbp-14, -0x1.18a416ac3144p-14, -0x1.187832d86f37p-14, -0x1.1849a893c7f74p-14, -0x1.18187f5440565p-14, -0x1.17e4be87e7b82p-14, -0x1.17ae6d9496805p-14, -0x1.177593d82c0aap-14, -0x1.173a38a7f5b96p-14, -0x1.16fc6351478adp-14, -0x1.16bc1b189a606p-14, -0x1.1679673a21e01p-14, -0x1.16344ee97543ep-14, -0x1.15ecd9512c176p-14, -0x1.15a30d937b4dcp-14, -0x1.1556f2c980924p-14, -0x1.1508900350e01p-14, -0x1.14b7ec4866655p-14, -0x1.14650e96b9916p-14, -0x1.140ffde36a3c8p-14, -0x1.13b8c11a4d15cp-14, -0x1.135f5f1de8648p-14, -0x1.1303dec78d131p-14, -0x1.12a646e71ed62p-14, -0x1.12469e42ee2a7p-14, -0x1.11e4eb982975fp-14, -0x1.1181359a1177bp-14, -0x1.111b82f28efb3p-14, -0x1.10b3da41eaf7cp-14, -0x1.104a421e9d623p-14, -0x1.0fdec115859p-14, -0x1.0f715da9ba79ep-14, -0x1.0f021e548ba2bp-14, -0x1.0e9109855a5bfp-14, -0x1.0e1e25a1d4241p-14, -0x1.0da97905ac368p-14, -0x1.0d330a0289b62p-14, -0x1.0cbadee073672p-14, -0x1.0c40fddd01c78p-14, -0x1.0bc56d2c2088ap-14, -0x1.0b4832f7ac334p-14, -0x1.0ac9555f1cf26p-14, -0x1.0a48da7861a14p-14, -0x1.09c6c84ed9ddbp-14, -0x1.094324e3f4325p-14, -0x1.08bdf62f195f6p-14, -0x1.0837421d4e7fep-14, -0x1.07af0e91a5ce8p-14, -0x1.07256164e88a1p-14, -0x1.069a4065bbb52p-14, -0x1.060db158a6641p-14, -0x1.057fb9f7bbcf9p-14, -0x1.04f05ff343958p-14, -0x1.045fa8f0ed9ebp-14, -0x1.03cd9a8c6914dp-14, -0x1.033a3a57277eep-14, -0x1.02a58dd86452p-14, -0x1.020f9a8d053d4p-14, -0x1.017865e7fab7bp-14, -0x1.00dff551c74ebp-14, -0x1.00464e28c109dp-14, -0x1.ff56eb8282ac8p-15, -0x1.fe1ee2ca2dc91p-15, -0x1.fce48ca86e334p-15, -0x1.fba7f38880464p-15, -0x1.fa6921c125d0ap-15, -0x1.f928219579ed7p-15, -0x1.f7e4fd337264p-15, -0x1.f69fbeb5657cfp-15, -0x1.f5587021655b5p-15, -0x1.f40f1b68bd33dp-15, -0x1.f2c3ca697eb26p-15, -0x1.f17686ecbd18ap-15, -0x1.f0275aa80dab3p-15, -0x1.eed64f3c8ac58p-15, -0x1.ed836e37bcf54p-15, -0x1.ec2ec112bb992p-15, -0x1.ead85132fa3e7p-15, -0x1.e98027ea34178p-15, -0x1.e8264e75bf0bap-15, -0x1.e6cacdffc9d97p-15, -0x1.e56daf9e65a6ep-15, -0x1.e40efc5401f1dp-15, -0x1.e2aebd0f7bb1cp-15, -0x1.e14cfaac3b9b8p-15, -0x1.dfe9bdf1a3da3p-15, -0x1.de850f94768bfp-15, -0x1.dd1ef8352903cp-15, -0x1.dbb78061791c3p-15, -0x1.da4eb093b8b6cp-15, -0x1.d8e491329d17cp-15, -0x1.d7792a9275d49p-15, -0x1.d60c84f39c2f6p-15, -0x1.d49ea88401356p-15, -0x1.d32f9d5e8c569p-15, -0x1.d1bf6b8aa0e5ap-15, -0x1.d04e1afe03c37p-15, -0x1.cedbb39a50b0ep-15, -0x1.cd683d2faf805p-15, -0x1.cbf3bf7ad6ffap-15, -0x1.ca7e4226633e2p-15, -0x1.c907ccca348p-15, -0x1.c79066ec28124p-15, -0x1.c61817ff43007p-15, -0x1.c49ee764dc09ep-15, -0x1.c324dc6bbbe49p-15, -0x1.c1a9fe50b37a7p-15, -0x1.c02e543ec162p-15, -0x1.beb1e54eb6b6fp-15, -0x1.bd34b887a277dp-15, -0x1.bbb6d4df01cd9p-15, -0x1.ba3841384ee9ep-15, -0x1.b8b90465a213bp-15, -0x1.b7392527bd2efp-15, -0x1.b5b8aa2d59c0bp-15, -0x1.b4379a14ca825p-15, -0x1.b2b5fb6a0d10dp-15, -0x1.b133d4a8f691cp-15, -0x1.afb12c3b79fcep-15, -0x1.ae2e087b0ef4cp-15, -0x1.acaa6fb01f23cp-15, -0x1.ab266811ef2d2p-15, -0x1.a9a1f7c7c61c9p-15, -0x1.a81d24e75e8f7p-15, -0x1.a697f576abf3p-15, -0x1.a5126f6ac5d09p-15, -0x1.a38c98a8468f6p-15, -0x1.a2067703f3b59p-15, -0x1.a0801041e617fp-15, -0x1.9ef96a165b2e2p-15, -0x1.9d728a25b5127p-15, -0x1.9beb7603dff1ap-15, -0x1.9a6433359d257p-15, -0x1.98dcc72f629ddp-15, -0x1.975537565f016p-15, -0x1.95cd89000c829p-15, -0x1.9445c17273871p-15, -0x1.92bde5e43a25dp-15, -0x1.9135fb7cdff5ap-15, -0x1.8fae075461192p-15, }}, 
      {{-0x1.f160c62611ffcp-1, -0x1.f13f5acbd15c4p-1, -0x1.f1024dd43c2d6p-1, -0x1.f0a55dd5ea697p-1, -0x1.f025c24dbeb37p-1, -0x1.ef826fab86a6dp-1, -0x1.eebbed4a0588bp-1, -0x1.edd3fd838deap-1, -0x1.eccd3afa2b76ap-1, -0x1.ebaabcfc56ae1p-1, -0x1.ea6fcafa9971dp-1, -0x1.e91fa16a6bfa6p-1, -0x1.e7bd47775d6aap-1, -0x1.e64b7373fbd4dp-1, -0x1.e4cc7b711f181p-1, -0x1.e3424f56d0cccp-1, -0x1.e1ae7a10d26a7p-1, -0x1.e01227b57f862p-1, -0x1.de6e2eeb49f52p-1, -0x1.dcc31c2bc18f3p-1, -0x1.db113dd4f23bbp-1, -0x1.d958b0407902bp-1, -0x1.d7996952504a4p-1, -0x1.d5d34320cebe5p-1, -0x1.d406057c8b6b6p-1, -0x1.d2316e3b71b1bp-1, -0x1.d055383f7a19bp-1, -0x1.ce712140b3fd1p-1, -0x1.cc84ee6cadb48p-1, -0x1.ca906ff3e4e67p-1, -0x1.c89383a1ab194p-1, -0x1.c68e169c73d81p-1, -0x1.c480266c896d5p-1, -0x1.c269c16606e4ep-1, -0x1.c04b069126b41p-1, -0x1.be242529aff66p-1, -0x1.bbf55bcbc45d4p-1, -0x1.b9bef761c86efp-1, -0x1.b78151e48df93p-1, -0x1.b53cd0fc7a0fdp-1, -0x1.b2f1e49026d49p-1, -0x1.b0a1054ae059dp-1, -0x1.ae4ab3238fb15p-1, -0x1.abef73eaeda6cp-1, -0x1.a98fd1e673123p-1, -0x1.a72c5a7c2bc87p-1, -0x1.a4c59cf286e54p-1, -0x1.a25c29464ad7cp-1, -0x1.9ff08f18152dbp-1, -0x1.9d835cb2248bdp-1, -0x1.9b151e26a6e23p-1, -0x1.98a65c8657854p-1, -0x1.96379d2ee42c9p-1, -0x1.93c9613048275p-1, -0x1.915c24c820aa7p-1, -0x1.8ef05ef1cc841p-1, -0x1.8c86810a1f62p-1, -0x1.8a1ef6854da9ep-1, -0x1.87ba24b5bfc5ep-1, -0x1.85586aa26c2e3p-1, -0x1.82fa20eb623b4p-1, -0x1.809f99bb3434ep-1, -0x1.7e4920c3fb292p-1, -0x1.7bf6fb46bb66fp-1, -0x1.79a96823fefc6p-1, -0x1.77609ff48cbddp-1, -0x1.751cd52931faep-1, -0x1.72de3430aa1f7p-1, -0x1.70a4e3a2b8bdfp-1, -0x1.6e71046fa6a38p-1, -0x1.6c42b2135b2cbp-1, -0x1.6a1a02cb5f824p-1, -0x1.67f707cf28238p-1, -0x1.65d9cd8a12109p-1, -0x1.63c25bd68cc8dp-1, -0x1.61b0b639fc9p-1, -0x1.5fa4dc20e57d2p-1, -0x1.5d9ec91b06b46p-1, -0x1.5b9e75171040ap-1, -0x1.59a3d49da9399p-1, -0x1.57aed90b8c98bp-1, -0x1.55bf70ca81256p-1, -0x1.53d58789043a3p-1, -0x1.51f106707e7cp-1, -0x1.5011d459e2307p-1, -0x1.4e37d6009f302p-1, -0x1.4c62ee33d282p-1, -0x1.4a92fe05a7f3p-1, -0x1.48c7e4f8e2025p-1, -0x1.4701812c7fc72p-1, -0x1.453faf85833a6p-1, -0x1.43824bd6d1bdfp-1, -0x1.41c931073853bp-1, -0x1.4014393593869p-1, -0x1.3e633ddb24789p-1, -0x1.3cb617ec1cfcap-1, -0x1.3b0c9ff66a6cap-1, -0x1.3966ae3ecca82p-1, -0x1.37c41adc431e7p-1, -0x1.3624bdd1e10d2p-1, -0x1.34886f270ffb3p-1, -0x1.32ef06fe55fe4p-1, -0x1.31585daaa4d89p-1, -0x1.2fc44bc34a2p-1, -0x1.2e32aa3685b5cp-1, -0x1.2ca3525ad976fp-1, -0x1.2b161dff1fca2p-1, -0x1.298ae77974af4p-1, -0x1.280189b500484p-1, -0x1.2679e03eb0eb9p-1, -0x1.24f3c750ed8cep-1, -0x1.236f1bde51dcp-1, -0x1.21ebbb9b7c038p-1, -0x1.20698507fafbbp-1, -0x1.1ee8577664b3ep-1, -0x1.1d681313a2244p-1, -0x1.1be898ed78fb2p-1, -0x1.1a69caf85f6e2p-1, -0x1.18eb8c149fe73p-1, -0x1.176dc012d9f75p-1, -0x1.15f04bb7e36aap-1, -0x1.147314c01839ep-1, -0x1.12f601e21bc49p-1, -0x1.1178fad11457cp-1, -0x1.0ffbe83e69ccep-1, -0x1.0e7eb3db0b6f2p-1, -0x1.0d01485845ba5p-1, -0x1.0b8391682a25dp-1, -0x1.0a057bbd954d1p-1, -0x1.0886f50bd222fp-1, -0x1.0707ec05e36cfp-1, -0x1.0588505d770acp-1, -0x1.040812c1896abp-1, -0x1.028724dcba0c2p-1, -0x1.010579535abd1p-1, -0x1.ff0607827082cp-2, -0x1.fbff716e47b93p-2, -0x1.f8f71b7080c6cp-2, -0x1.f5ecf26e2d915p-2, -0x1.f2e0e524e843bp-2, -0x1.efd2e4242e239p-2, -0x1.ecc2e1c65cb9ap-2, -0x1.e9b0d229522dbp-2, -0x1.e69cab26c42f5p-2, -0x1.e386644c42deep-2, -0x1.e06df6d2fc611p-2, -0x1.dd535d9736ffbp-2, -0x1.da36950f97656p-2, -0x1.d7179b4428d59p-2, -0x1.d3f66fc53655fp-2, -0x1.d0d313a1f457bp-2, -0x1.cdad895f0179cp-2, -0x1.ca85d4ecc0981p-2, -0x1.c75bfb9d932f1p-2, -0x1.c430041bf5676p-2, -0x1.c101f660809f3p-2, -0x1.bdd1dba7d8664p-2, -0x1.ba9fbe6885e2bp-2, -0x1.b76baa48c522ep-2, -0x1.b435ac14437b1p-2, -0x1.b0fdd1b1dc917p-2, -0x1.adc42a194bfaep-2, -0x1.aa88c548e10a5p-2, -0x1.a74bb43b33f24p-2, -0x1.a40d08dcdc38p-2, -0x1.a0ccd60230d36p-2, -0x1.9d8b2f5d0fc98p-2, -0x1.9a482972b3688p-2, -0x1.9703d9919526ep-2, -0x1.93be55c761385p-2, -0x1.9077b4d6fbba5p-2, -0x1.8d300e2ea0b56p-2, -0x1.89e779de12302p-2, -0x1.869e108ce901cp-2, -0x1.8353eb70fa501p-2, -0x1.80092444dbd6ap-2, -0x1.7cbdd53e8848fp-2, -0x1.79721906212c9p-2, -0x1.76260aacd533dp-2, -0x1.72d9c5a3e6b3ap-2, -0x1.6f8d65b3db003p-2, -0x1.6c4106f3c903fp-2, -0x1.68f4c5c0d5935p-2, -0x1.65a8beb5d441bp-2, -0x1.625d0ea3111d6p-2, -0x1.5f11d28646666p-2, -0x1.5bc72782b9da7p-2, -0x1.587d2ad98a61bp-2, -0x1.5533f9e22550bp-2, -0x1.51ebb202ec7cp-2, -0x1.4ea470aa06f49p-2, -0x1.4b5e53466306ap-2, -0x1.48197740e2713p-2, -0x1.44d5f9f5bbd49p-2, -0x1.4193f8ae03b65p-2, -0x1.3e5390996b9dcp-2, -0x1.3b14dec82d9bep-2, -0x1.37d8002528347p-2, -0x1.349d117029c67p-2, -0x1.31642f386d36cp-2, -0x1.2e2d75d7461afp-2, -0x1.2af9016af9bf8p-2, -0x1.27c6edd1cdd69p-2, -0x1.249756a53f9cfp-2, -0x1.216a573570a6ap-2, -0x1.1e400a84be556p-2, -0x1.1b188b43893e9p-2, -0x1.17f3f3cc2cf2fp-2, -0x1.14d25e1f20ac6p-2, -0x1.11b3e3df4c529p-2, -0x1.0e989e4e84334p-2, -0x1.0b80a64a358bcp-2, -0x1.086c14483e2cep-2, -0x1.055b0053ed75ep-2, -0x1.024d820b322bap-2, -0x1.fe876137e7b45p-3, -0x1.f87b45832878cp-3, -0x1.f276dd852eadcp-3, -0x1.ec7a54dcf4641p-3, -0x1.e685d6375601p-3, -0x1.e0998b4b58bf6p-3, -0x1.dab59cd6b86ffp-3, -0x1.d4da329ac1c0bp-3, -0x1.cf0773597accdp-3, -0x1.c93d84d30be32p-3, -0x1.c37c8bc373f1cp-3, -0x1.bdc4abe080acdp-3, -0x1.b81607d807cc6p-3, -0x1.b270c14e678ap-3, -0x1.acd4f8dd3da74p-3, -0x1.a742ce126857ep-3, -0x1.a1ba5f6f3b10dp-3, -0x1.9c3bca67f1cbap-3, -0x1.96c72b635f38bp-3, -0x1.915c9dbaced74p-3, -0x1.8bfc3bba23be5p-3, -0x1.86a61ea023618p-3, -0x1.815a5e9ef7bf3p-3, -0x1.7c1912dce7376p-3, -0x1.76e2517533f75p-3, -0x1.71b62f792d88ap-3, -0x1.6c94c0f16d79ep-3, -0x1.677e18df43875p-3, -0x1.6272493e424ecp-3, -0x1.5d716305fb83dp-3, -0x1.587b762bdf52cp-3, -0x1.539091a53c4f5p-3, -0x1.4eb0c3696c3f9p-3, -0x1.49dc187416e48p-3, -0x1.45129cc79efbp-3, -0x1.40545b6fa6fccp-3, -0x1.3ba15e83b206dp-3, -0x1.36f9af29ea936p-3, -0x1.325d5599f826fp-3, -0x1.2dcc591ff2e61p-3, -0x1.2946c01f6b65fp-3, -0x1.24cc90169146cp-3, -0x1.205dcda1645bap-3, -0x1.1bfa7c7cff55p-3, -0x1.17a29f8af15f5p-3, -0x1.135638d4af816p-3, -0x1.0f15498f0b417p-3, -0x1.0adfd21dc1ecp-3, -0x1.06b5d21715874p-3, -0x1.029748476db0cp-3, -0x1.fd08656a1eb57p-4, -0x1.f4f91d47a2071p-4, -0x1.ed00b131c6529p-4, -0x1.e51f18bd34fe1p-4, -0x1.dd544a10879eep-4, -0x1.d5a039ebfc0f3p-4, -0x1.ce02dbb133113p-4, -0x1.c67c216af7bf2p-4, -0x1.bf0bfbd50a7f3p-4, -0x1.b7b25a63f3013p-4, -0x1.b06f2b4cdcca8p-4, -0x1.a9425b8d6af5dp-4, -0x1.a22bd6f3913a6p-4, -0x1.9b2b88256eb58p-4, -0x1.944158a920f63p-4, -0x1.8d6d30ec92d05p-4, -0x1.86aef84d4da61p-4, -0x1.800695203c9e8p-4, -0x1.7973ecb965d53p-4, -0x1.72f6e373a70e7p-4, -0x1.6c8f5cb85591bp-4, -0x1.663d3b06e3d22p-4, -0x1.60005ffc7146bp-4, -0x1.59d8ac5b4f2dp-4, -0x1.53c60012743bbp-4, -0x1.4dc83a44e67a9p-4, -0x1.47df39511059p-4, -0x1.420adad805947p-4, -0x1.3c4afbc4b4c56p-4, -0x1.369f78530c415p-4, -0x1.31082c17019c6p-4, -0x1.2b84f2038dbadp-4, -0x1.2615a47191aa4p-4, -0x1.20ba1d26a1448p-4, -0x1.1b72355bbfec6p-4, -0x1.163dc5c40070cp-4, -0x1.111ca69310b46p-4, -0x1.0c0eaf83af583p-4, -0x1.0713b7de03aafp-4, -0x1.022b967de4b47p-4, -0x1.faac43b204596p-5, -0x1.f1266009ed279p-5, -0x1.e7c52d7a847c1p-5, -0x1.de8856d24c5dap-5, -0x1.d56f8642d8408p-5, -0x1.cc7a656c23bcdp-5, -0x1.c3a89d67b0f88p-5, -0x1.baf9d6d379aecp-5, -0x1.b26db9dca4c0ep-5, -0x1.aa03ee4a0c47ap-5, -0x1.a1bc1b8686c5cp-5, -0x1.9995e8ab018f9p-5, -0x1.9190fc88644ebp-5, -0x1.89acfdb13b867p-5, -0x1.81e9928330c7fp-5, -0x1.7a4661304b4e8p-5, -0x1.72c30fc7f79cfp-5, -0x1.6b5f443fea28fp-5, -0x1.641aa47cadef2p-5, -0x1.5cf4d65a2115ap-5, -0x1.55ed7fb39e85ep-5, -0x1.4f04466c099ddp-5, -0x1.4838d07595457p-5, -0x1.418ac3d960174p-5, -0x1.3af9c6bedb0e3p-5, -0x1.34857f72f7336p-5, -0x1.2e2d946f2913bp-5, -0x1.27f1ac60376e6p-5, -0x1.21d16e2ccae88p-5, -0x1.1bcc80fbe2a94p-5, -0x1.15e28c3b0839p-5, -0x1.101337a44e991p-5, -0x1.0a5e2b443265ap-5, -0x1.04c30f7f3aa2dp-5, -0x1.fe831a2ee441ep-6, -0x1.f3b29a635bba5p-6, -0x1.e913f2b555d6ep-6, -0x1.dea67717f2b82p-6, -0x1.d4697c6175989p-6, -0x1.ca5c5854704cap-6, -0x1.c07e61a8999dep-6, -0x1.b6cef01336938p-6, -0x1.ad4d5c4f51c49p-6, -0x1.a3f9002582138p-6, -0x1.9ad136736bbf5p-6, -0x1.91d55b32f8454p-6, -0x1.8904cb8128eeap-6, -0x1.805ee5a4b05e4p-6, -0x1.77e309142d1edp-6, -0x1.6f90967c2f6a5p-6, -0x1.6766efc4e20e9p-6, -0x1.5f6578176ad6dp-6, -0x1.578b93e30984p-6, -0x1.4fd8a8e1fc5cfp-6, -0x1.484c1e1e03a2fp-6, -0x1.40e55bf4ba195p-6, -0x1.39a3cc1ba5c64p-6, -0x1.3286d9a3fa981p-6, -0x1.2b8df0fe321d1p-6, -0x1.24b87ffd5d91bp-6, -0x1.1e05f5da30dbfp-6, -0x1.1775c335e786dp-6, -0x1.11075a1cd54cap-6, -0x1.0aba2e08d85f8p-6, -0x1.048db3e3876f2p-6, -0x1.fd02c4105197ep-7, -0x1.f129608aef27bp-7, -0x1.e58e2fbe68301p-7, -0x1.da30271f1f572p-7, -0x1.cf0e3f1094ab5p-7, -0x1.c42772e78bec5p-7, -0x1.b97ac0eb8cc19p-7, -0x1.af072a5848332p-7, -0x1.a4cbb35e8abbcp-7, -0x1.9ac76324cd3dfp-7, -0x1.90f943c7907f5p-7, -0x1.876062594adc2p-7, -0x1.7dfbcee2278acp-7, -0x1.74ca9c5f6792ap-7, -0x1.6bcbe0c2728b8p-7, -0x1.62feb4efb8eafp-7, -0x1.5a6234bd369e4p-7, -0x1.51f57ef0d2758p-7, -0x1.49b7b53e56d0cp-7, -0x1.41a7fc455e33ep-7, -0x1.39c57b8ec5f85p-7, -0x1.320f5d8a22f88p-7, -0x1.2a84cf8ad6ce4p-7, -0x1.232501c50b758p-7, -0x1.1bef274a58841p-7, -0x1.14e27606592eep-7, -0x1.0dfe26bb0462ep-7, -0x1.074174fccdb1ap-7, -0x1.00ab9f2eb33f1p-7, -0x1.f477ccfbf2b3ep-8, -0x1.e7e31dbbeb1e8p-8, -0x1.db97be06def8bp-8, -0x1.cf9440c02e523p-8, -0x1.c3d73e3b898e5p-8, -0x1.b85f543300db2p-8, -0x1.ad2b25bd0c0f4p-8, -0x1.a2395b42355cbp-8, -0x1.9788a272ae56fp-8, -0x1.8d17ae3b87868p-8, -0x1.82e536bba6f65p-8, -0x1.78eff938d7872p-8, -0x1.6f36b814504e3p-8, -0x1.65b83abf5399bp-8, -0x1.5c734daf7bc37p-8, -0x1.5366c252f8892p-8, -0x1.4a916f04a5d45p-8, -0x1.41f22effe20d5p-8, -0x1.3987e2547f73dp-8, -0x1.31516dda6225cp-8, -0x1.294dbb25171dfp-8, -0x1.217bb8776eda1p-8, -0x1.19da58b6cc027p-8, -0x1.1268935e8bf5fp-8, -0x1.0b25647341bd6p-8, -0x1.040fcc75f8981p-8, -0x1.fa4da0ae8f9e2p-9, -0x1.ecd2f2d5163eep-9, -0x1.dfadaab1ae0e9p-9, -0x1.d2dbec2825038p-9, -0x1.c65be393ee4cap-9, -0x1.ba2bc5ae28306p-9, -0x1.ae49cf7374e35p-9, -0x1.a2b4460a0968bp-9, -0x1.976976a7935b7p-9, -0x1.8c67b67720f76p-9, -0x1.81ad627f2eda2p-9, -0x1.7738df8796cd8p-9, -0x1.6d0899ffbbeeap-9, -0x1.631b05e46b65ep-9, -0x1.596e9ea64a6b4p-9, -0x1.5001e70fd0e36p-9, -0x1.46d3692bcba85p-9, -0x1.3de1b62bb0a8dp-9, -0x1.352b664e18bf3p-9, -0x1.2caf18c56cc34p-9, -0x1.246b739e7c16ap-9, -0x1.1c5f23a77014fp-9, -0x1.1488dc56cf472p-9, -0x1.0ce757b275e3ep-9, -0x1.05795636da509p-9, -0x1.fc7b3d7d3480ap-10, -0x1.ee65fcd37206cp-10, -0x1.e0b0910b413c1p-10, -0x1.d358ace9b1214p-10, -0x1.c65c0f2e101d8p-10, -0x1.b9b88262982f9p-10, -0x1.ad6bdcace3f33p-10, -0x1.a173ff9f56d8bp-10, -0x1.95ced80a9f41bp-10, -0x1.8a7a5dcf4e02p-10, -0x1.7f7493b08e1bcp-10, -0x1.74bb87269e8ecp-10, -0x1.6a4d5031db255p-10, -0x1.6028112e579e8p-10, -0x1.5649f6a7dded4p-10, -0x1.4cb1372e0add5p-10, -0x1.435c132941c46p-10, -0x1.3a48d4afede31p-10, -0x1.3175cf5bec4e3p-10, -0x1.28e16020d9466p-10, -0x1.2089ed2267b27p-10, -0x1.186de58b671c5p-10, -0x1.108bc16547c8ep-10, -0x1.08e2016fda7b9p-10, -0x1.016f2ef973fadp-10, -0x1.f463b770aedd2p-11, -0x1.e65143462e492p-11, -0x1.d8a44595e2735p-11, -0x1.cb5a126b5a122p-11, -0x1.be700d7033ac8p-11, -0x1.b1e3a9a2eb05cp-11, -0x1.a5b2690d64c96p-11, -0x1.99d9dc7d5d396p-11, -0x1.8e57a33ce0fecp-11, -0x1.83296acc365edp-11, -0x1.784cee9d2a733p-11, -0x1.6dbff7ce3f14cp-11, -0x1.63805ce716bb3p-11, -0x1.598c0196cc60cp-11, -0x1.4fe0d671a1d6ep-11, -0x1.467cd8b0d9d95p-11, -0x1.3d5e11f2842aep-11, -0x1.348297fb5eec8p-11, -0x1.2be88c78011b7p-11, -0x1.238e1cc0b7bp-11, -0x1.1b71819cecf79p-11, -0x1.1390ff0804d42p-11, -0x1.0beae3f6feb18p-11, -0x1.047d8a1f19158p-11, -0x1.fa8eab7a306f6p-12, -0x1.ec8d6abb08983p-12, -0x1.def4434c33a55p-12, -0x1.d1c03a3ee3f1dp-12, -0x1.c4ee68008f05bp-12, -0x1.b87bf7f0e50a7p-12, -0x1.ac6627fc48444p-12, -0x1.a0aa483659b6bp-12, -0x1.9545ba7543d5cp-12, -0x1.8a35f1f0f92d6p-12, -0x1.7f7872e2554edp-12, -0x1.750ad224a1c88p-12, -0x1.6aeab4d7e7216p-12, -0x1.6115d005f3d4ep-12, -0x1.5789e847aaeadp-12, -0x1.4e44d16d85c3cp-12, -0x1.45446e277437p-12, -0x1.3c86afb04b51fp-12, -0x1.3409957a1f2d6p-12, -0x1.2bcb2cda4d0c5p-12, -0x1.23c990ba7dbf7p-12, -0x1.1c02e947a0c4p-12, -0x1.14756ba46e5c2p-12, -0x1.0d1f599cebb55p-12, -0x1.05ff015a79c4cp-12, -0x1.fe257a3594aa5p-13, -0x1.f0b1e5cdd9e71p-13, -0x1.e3a028982c38p-13, -0x1.d6ed3c2c0df96p-13, -0x1.ca963015137afp-13, -0x1.be98294bb389dp-13, -0x1.b2f061b1fee0ep-13, -0x1.a79c279318dbdp-13, -0x1.9c98dd236e383p-13, -0x1.91e3f804a4cc6p-13, -0x1.877b00cbc9e71p-13, -0x1.7d5b92897014cp-13, -0x1.73835a55d604ap-13, -0x1.69f016db97a1ep-13, -0x1.609f97eaa042cp-13, -0x1.578fbe06e4e22p-13, -0x1.4ebe79fe32979p-13, -0x1.4629cc7e2be6fp-13, -0x1.3dcfc5abec7edp-13, -0x1.35ae84bf4d9c9p-13, -0x1.2dc4379f2054ep-13, -0x1.260f1a80408bbp-13, -0x1.1e8d7785ff185p-13, -0x1.173da66529261p-13, -0x1.101e0c08c3875p-13, -0x1.092d1a392b6cap-13, -0x1.02694f433f377p-13, -0x1.f7a26b493b79fp-14, -0x1.eac6c76db7a6fp-14, -0x1.de3cf6bca4d02p-14, -0x1.d2025372ba585p-14, -0x1.c6144da5f04bfp-14, -0x1.ba706aac0b62p-14, -0x1.af144483bfea2p-14, -0x1.a3fd894407cc7p-14, -0x1.9929fa8c12eb8p-14, -0x1.8e976cf79fc4ap-14, -0x1.8443c796b2f31p-14, -0x1.7a2d03682901ep-14, -0x1.70512ad6834b9p-14, -0x1.66ae593adc07cp-14, -0x1.5d42ba5d5ad64p-14, -0x1.540c89fefa08dp-14, -0x1.4b0a135f647c9p-14, -0x1.4239b0cca24c7p-14, -0x1.3999cb2ea9a71p-14, -0x1.3128d99c2052fp-14, -0x1.28e560ec2fcc8p-14, -0x1.20cdf34ec7017p-14, -0x1.18e12fe5b0cccp-14, -0x1.111dc260c484bp-14, -0x1.0982629b6d2c7p-14, -0x1.020dd43ea5acap-14, -0x1.f57dccc58761ep-15, -0x1.e728e66bf9177p-15, -0x1.d91abf4740d15p-15, -0x1.cb5135fc71f93p-15, -0x1.bdca3d56ca54bp-15, -0x1.b083dba6fa372p-15, -0x1.a37c2a1ee1225p-15, -0x1.96b1543b57297p-15, -0x1.8a21972968126p-15, -0x1.7dcb4134cfb8ap-15, -0x1.71acb138542dcp-15, -0x1.65c456122dd7ap-15, -0x1.5a10ae1b3e548p-15, -0x1.4e9046a4ca6cbp-15, -0x1.4341bb75a94e6p-15, -0x1.3823b64ea761p-15, -0x1.2d34ee6f00847p-15, -0x1.2274281ef6522p-15, -0x1.17e0343b9cf01p-15, -0x1.0d77efc75467ep-15, -0x1.033a437c751f2p-15, -0x1.f24c46c60189bp-16, -0x1.de751cd48dde8p-16, -0x1.caed1c09afc0ap-16, -0x1.b7b26b8bbe6fbp-16, -0x1.a4c3460802596p-16, -0x1.921df8f9a9b6ep-16, -0x1.7fc0e3f7a8588p-16, -0x1.6daa7806d8f2ep-16, -0x1.5bd936f2c18b3p-16, -0x1.4a4bb2aa24a9fp-16, -0x1.39008ca128e61p-16, -0x1.27f6753697a0ep-16, -0x1.172c2b207c636p-16, -0x1.06a07ad9f16edp-16, -0x1.eca47c2e59677p-17, -0x1.cc80b67e68d78p-17, -0x1.acd389ca3defbp-17, -0x1.8d9af2973d38fp-17, -0x1.6ed503cebea35p-17, -0x1.507fe5cfad63ep-17, -0x1.3299d58886612p-17, -0x1.1521239383eb5p-17, -0x1.f02866be5b6f6p-18, -0x1.b6e2f4b829b0fp-18, -0x1.7e6efe612bc42p-18, -0x1.46c9b1ea16b3p-18, -0x1.0ff05ce3731f5p-18, -0x1.b3c0d5b13f893p-19, -0x1.492ec7c742a25p-19, -0x1.c04bad68e6645p-20, -0x1.e285f4092f3f8p-21, -0x1.29d66a0612884p-23, 0x1.47aa46a29a3e8p-21, 0x1.69f4c8b4382d8p-20, 0x1.1695dfa8ca863p-19, 0x1.76c0a99b43189p-19, 0x1.d57e4213eabaep-19, 0x1.1969027740f11p-18, 0x1.475f95ed073cdp-18, 0x1.74a4682538c93p-18, 0x1.a138f69c6a778p-18, 0x1.cd1eb07332da4p-18, 0x1.f856f7401833ep-18, 0x1.11718ff2a8c9dp-17, 0x1.266239a4c245p-17, 0x1.3afe17908b876p-17, 0x1.4f45c350224e3p-17, 0x1.6339d19439325p-17, 0x1.76dad279b724ep-17, 0x1.8a2951d7b89c9p-17, 0x1.9d25d78dfd47cp-17, 0x1.afd0e7cff93b8p-17, 0x1.c22b0369f7bdp-17, 0x1.d434a8058cc7cp-17, 0x1.e5ee506a67eabp-17, 0x1.f75874bcd5642p-17, 0x1.0439c55b14adbp-16, 0x1.0ca002f09f3f7p-16, 0x1.14df2be730e12p-16, 0x1.1cf7782276e69p-16, 0x1.24e91ebc47944p-16, 0x1.2cb456195de2bp-16, 0x1.3459540096915p-16, 0x1.3bd84db11c20ep-16, 0x1.433177f3dc8edp-16, 0x1.4a6507311780cp-16, 0x1.51732f80296bcp-16, 0x1.585c24ba06288p-16, 0x1.5f201a87e3df8p-16, 0x1.65bf4473ad5c6p-16, 0x1.6c39d5f4f56c4p-16, 0x1.7290027f3b779p-16, 0x1.78c1fd8e0a4e9p-16, 0x1.7ecffab0b7d8ap-16, 0x1.84ba2d95f3c38p-16, 0x1.8a80ca15d4b06p-16, 0x1.9024043ac5268p-16, 0x1.95a4104b7f74cp-16, 0x1.9b0122d2b4389p-16, 0x1.a03b70a689425p-16, 0x1.a5532ef0bfa7p-16, 0x1.aa48933381c5dp-16, 0x1.af1bd350ba8b4p-16, 0x1.b3cd258e0a92ap-16, 0x1.b85cc09b1b481p-16, 0x1.bccadb953e4a6p-16, 0x1.c117ae0a9810ap-16, 0x1.c5436fff90119p-16, 0x1.c94e59ef91e0ap-16, 0x1.cd38a4d143e1ep-16, 0x1.d1028a1775142p-16, 0x1.d4ac43b3ec339p-16, 0x1.d8360c1815626p-16, 0x1.dba01e36de759p-16, 0x1.deeab584881edp-16, 0x1.e2160df7b92eep-16, 0x1.e52264094719bp-16, 0x1.e80ff4b49179ap-16, 0x1.eadefd75f2243p-16, 0x1.ed8fbc4b9c8adp-16, 0x1.f0226fb33aae9p-16, 0x1.f29756a9791ccp-16, 0x1.f4eeb0a8aae55p-16, 0x1.f728bda702336p-16, 0x1.f945be13ddfd4p-16, 0x1.fb45f2d8000fcp-16, 0x1.fd299d50bf08p-16, 0x1.fef0ff4f83e72p-16, 0x1.004e2d8b22acep-15, 0x1.0115f9aaf05eep-15, 0x1.01d005950a36fp-15, 0x1.027c730bde57p-15, 0x1.031b640446ea3p-15, 0x1.03acfaa4912fep-15, 0x1.043159425ee36p-15, 0x1.04a8a26168d2p-15, 0x1.0512f8b17528ep-15, 0x1.05707f0c95d11p-15, 0x1.05c15875a0153p-15, 0x1.0605a81634f27p-15, 0x1.063d913c8d3f3p-15, 0x1.0669375a28ccp-15, 0x1.0688be0184ec5p-15, 0x1.069c48e475d7fp-15, 0x1.06a3fbd1af156p-15, 0x1.069ffab3a05d3p-15, 0x1.0690698d94cffp-15, 0x1.06756c7a30bb7p-15, 0x1.064f27a997d3ap-15, 0x1.061dbf5f15519p-15, 0x1.05e157ef313cbp-15, 0x1.059a15bdebe5ap-15, 0x1.05481d3c62c6cp-15, 0x1.04eb92e7012fap-15, 0x1.04849b438c30dp-15, 0x1.04135adefe3fdp-15, 0x1.0397f64b9a57bp-15, 0x1.0312921f04244p-15, 0x1.028352f040668p-15, 0x1.01ea5d55a636bp-15, 0x1.0147d5e320fb2p-15, 0x1.009be1281793ep-15, 0x1.ffcd475b59086p-16, 0x1.fe5083e998c7cp-16, 0x1.fcc1c0e82c3f4p-16, 0x1.fb21472cdb483p-16, 0x1.f96f5f719ad72p-16, 0x1.f7ac525172e8fp-16, 0x1.f5d868447d21ap-16, 0x1.f3f3e99caa4bfp-16, 0x1.f1ff1e81f64b1p-16, 0x1.effa4eef598edp-16, 0x1.ede5c2af4b902p-16, 0x1.ebc1c1585ba3dp-16, 0x1.e98e9249f16f4p-16, 0x1.e74c7ca96b098p-16, 0x1.e4fbc75e62f0dp-16, 0x1.e29cb90ff45c4p-16, 0x1.e02f9821437c4p-16, 0x1.ddb4aaaf471aep-16, 0x1.db2c368d3e2p-16, 0x1.d89681420a39dp-16, 0x1.d5f3d0052e49ap-16, 0x1.d34467bc3bc89p-16, 0x1.d0888cf82bff4p-16, 0x1.cdc083f279d49p-16, 0x1.caec908b0e045p-16, 0x1.c80cf64527ee4p-16, 0x1.c521f845532afp-16, 0x1.c22bd94eed70dp-16, 0x1.bf2adbc1c0a56p-16, 0x1.bc1f4197c82b7p-16, 0x1.b9094c6303e19p-16, 0x1.b5e93d4b8bfaep-16, 0x1.b2bf550ce0202p-16, 0x1.af8bd3f4750f8p-16, 0x1.ac4ef9df879b4p-16, 0x1.a909063946d9p-16, 0x1.a5ba37f8e45ffp-16, 0x1.a262cd9fd6f83p-16, 0x1.9f03053857a7ap-16, 0x1.9b9b1c539bbb7p-16, 0x1.982b500853fe9p-16, 0x1.94b3dcf08b3fdp-16, 0x1.9134ff28dd476p-16, 0x1.8daef24ec0023p-16, 0x1.8a21f17f51fbdp-16, 0x1.868e3755f5af1p-16, 0x1.82f3fdeaf4c38p-16, 0x1.7f537ed261fc5p-16, 0x1.7bacf31ae2a67p-16, 0x1.7800934cda06cp-16, 0x1.744e97690a6ecp-16, 0x1.709736e7bd0fdp-16, 0x1.6cdaa8b7ff6d7p-16, 0x1.6919233ece128p-16, 0x1.6552dc55bcdaap-16, 0x1.6188094abb233p-16, 0x1.5db8dedf09e6ep-16, 0x1.59e59146b2d4dp-16, 0x1.560e5427fc861p-16, 0x1.52335a9ab5a01p-16, 0x1.4e54d727a7992p-16, 0x1.4a72fbc83ecf8p-16, 0x1.468df9e5e8681p-16, 0x1.42a60259d8a8ep-16, 0x1.3ebb456c9079ep-16, 0x1.3acdf2d5b8a5p-16, 0x1.36de39bbd8567p-16, 0x1.32ec48b40520cp-16, 0x1.2ef84dc1c79b4p-16, 0x1.2b027656d6ed5p-16, 0x1.270aef53239dap-16, 0x1.2311e5048b30bp-16, 0x1.1f1783274a026p-16, 0x1.1b1bf4e5ba6c3p-16, 0x1.171f64d859d04p-16, 0x1.1321fd05c21d6p-16, 0x1.0f23e6e2f9123p-16, 0x1.0b254b53b05fp-16, 0x1.072652aa2afc6p-16, 0x1.032724a7a888bp-16, 0x1.fe4fd0f964c4ep-17, 0x1.f6518992bec7ap-17, 0x1.ee53bf3b5beafp-17, 0x1.e656bcf35bb2bp-17, 0x1.de5acc9be85c5p-17, 0x1.d66036f7f68adp-17, 0x1.ce6743ad99639p-17, 0x1.c6703946e923dp-17, 0x1.be7b5d325998dp-17, 0x1.b688f3c402b5p-17, 0x1.ae9940372ce11p-17, 0x1.a6ac84aedb55ap-17, 0x1.9ec3023769b7ap-17, 0x1.96dcf8c7884bep-17, 0x1.8efaa7415c323p-17, 0x1.871c4b745c6aap-17, 0x1.7f42221e60c55p-17, 0x1.776c66ecebe89p-17, 0x1.6f9b547ec49a7p-17, 0x1.67cf24652b999p-17, 0x1.60080f255c66fp-17, 0x1.58464c3ad37f8p-17, 0x1.508a121820c4cp-17, 0x1.48d39628d1e92p-17, 0x1.41230cd327652p-17, 0x1.3978a9797790fp-17, 0x1.31d49e7c2429cp-17, 0x1.2a371d3b614a5p-17, 0x1.22a05618ec3fdp-17, 0x1.1b107879ce9eap-17, 0x1.1387b2c835a87p-17, 0x1.0c0632758c482p-17, 0x1.048c23fbe943dp-17, 0x1.fa3365c0b0faep-18, 0x1.eb5e1368e3487p-18, 0x1.dc98a43080ef4p-18, 0x1.cde369791b32cp-18, 0x1.bf3eb2c9c3d0cp-18, 0x1.b0aacdd2b16e7p-18, 0x1.a22806718cec7p-18, 0x1.93b6a6b4966dcp-18, 0x1.8556f6df8a91ap-18, 0x1.77093d700dc15p-18, 0x1.68cdbf20c3618p-18, 0x1.5aa4beeeaa5fdp-18, 0x1.4c8e7e1c5e78cp-18, 0x1.3e8b3c36a3844p-18, 0x1.309b3719147f6p-18, 0x1.22beaaf22cda9p-18, 0x1.14f5d246cfca2p-18, 0x1.0740e5f7abbe9p-18, 0x1.f3403a88eb3adp-19, 0x1.d8275ba0f683bp-19, 0x1.bd37975078902p-19, 0x1.a27152888fc57p-19, 0x1.87d4ef1c1e1dap-19, 0x1.6d62cbc8658a3p-19, 0x1.531b443db7f07p-19, 0x1.38feb128f6ac6p-19, 0x1.1f0d683b62e27p-19, 0x1.0547bc335ec6dp-19, 0x1.d75bf9c9a9ef6p-20, 0x1.a480ee86f23a5p-20, 0x1.71feead647782p-20, 0x1.3fd67d4ca85cdp-20, 0x1.0e082ef44338ap-20, 0x1.b92906b3aae76p-21, 0x1.56f7f1390be92p-21, 0x1.eafc1e171d31bp-22, 0x1.29788e4bbc5e7p-22, 0x1.a59bb0ad7d472p-24, -0x1.54dc8ee49ce9cp-24, -0x1.126011322727ap-22, -0x1.ce1260154819ep-22, -0x1.44265402327c1p-21, -0x1.a086ca1678a7ap-21, -0x1.fc29f17a105e5p-21, -0x1.2b879970036e9p-20, -0x1.589b002de5152p-20, -0x1.854eea9a426e8p-20, -0x1.b1a31ae72ec72p-20, -0x1.dd9757c31bb8cp-20, -0x1.0495b62433ecap-19, -0x1.1a2f93f66fcap-19, -0x1.2f992f3890049p-19, -0x1.44d273e6dde2ap-19, -0x1.59db5012bc4a4p-19, -0x1.6eb3b3db6c29fp-19, -0x1.835b9163bfbd3p-19, -0x1.97d2dccc83326p-19, -0x1.ac198c2a7d2e8p-19, -0x1.c02f977ecd2cdp-19, -0x1.d414f8b09bad8p-19, -0x1.e7c9ab83f40c4p-19, -0x1.fb4dad9219138p-19, -0x1.07507f20fef07p-18, -0x1.10e1cf60452a1p-18, -0x1.1a5ac8fc7d94ep-18, -0x1.23bb6e4649b53p-18, -0x1.2d03c266599afp-18, -0x1.3633c95992b55p-18, -0x1.3f4b87ec76fafp-18, -0x1.484b03b8614ebp-18, -0x1.5132431f3f605p-18, -0x1.5a014d4839575p-18, -0x1.62b82a1cb56ffp-18, -0x1.6b56e243ce1fep-18, -0x1.73dd7f1eec7eep-18, -0x1.7c4c0ac73e078p-18, -0x1.84a29008c6b77p-18, -0x1.8ce11a5fcbdc9p-18, -0x1.9507b5f604a85p-18, -0x1.9d166f9d9d9d6p-18, -0x1.a50d54cf1f02ep-18, -0x1.acec73a5d6e0ep-18, -0x1.b4b3dadc88bd7p-18, -0x1.bc6399c9e4914p-18, -0x1.c3fbc05d68abap-18, -0x1.cb7c5f1c4755cp-18, -0x1.d2e5871e1b75cp-18, -0x1.da374a0a588bap-18, -0x1.e171ba147d0cdp-18, -0x1.e894e9f92061bp-18, -0x1.efa0ecfaeab0cp-18, -0x1.f695d6df98c5ep-18, -0x1.fd73bbed8d7e1p-18, -0x1.021d5874043b1p-17, -0x1.0575658630c91p-17, -0x1.08c21007ce36ep-17, -0x1.0c03630d7d7edp-17, -0x1.0f3969e4f046p-17, -0x1.126430133fb92p-17, -0x1.1583c15369742p-17, -0x1.189829954cadbp-17, -0x1.1ba174fc300eap-17, -0x1.1e9fafdd31a1dp-17, -0x1.2192e6be2527dp-17, -0x1.247b26547776cp-17, -0x1.27587b839229ap-17, -0x1.2a2af35bbcd69p-17, -0x1.2cf29b18e8cb6p-17, -0x1.2faf802131468p-17, -0x1.3261b003db5f1p-17, -0x1.3509387831e5dp-17, -0x1.37a6275c2b3b1p-17, -0x1.3a388ab321031p-17, -0x1.3cc070a4d71e8p-17, -0x1.3f3de77c681dbp-17, -0x1.41b0fda6d296cp-17, -0x1.4419c1b22493dp-17, -0x1.4678424c4e159p-17, -0x1.48cc8e41cf69fp-17, -0x1.4b16b47d20692p-17, -0x1.4d56c4051220bp-17, -0x1.4f8ccbfc175e2p-17, -0x1.51b8db9f3c852p-17, -0x1.53db0244f2b8ep-17, -0x1.55f34f5c46192p-17, -0x1.5801d26bcdab6p-17, -0x1.5a069b109989p-17, -0x1.5c01b8fd398ddp-17, -0x1.5df33bf901fe7p-17, -0x1.5fdb33def6d4bp-17, -0x1.61b9b09cc5759p-17, -0x1.638ec23217c1p-17, -0x1.655a78af799a9p-17, -0x1.671ce4357f4c9p-17, -0x1.68d614f4241eep-17, -0x1.6a861b29a5c9ap-17, -0x1.6c2d0721d8f5cp-17, -0x1.6dcae9353a01bp-17, -0x1.6f5fd1c817b72p-17, -0x1.70ebd14a1e8f7p-17, -0x1.726ef834e7c3fp-17, -0x1.73e9570bcca17p-17, -0x1.755afe5ad3454p-17, -0x1.76c3feb6003c3p-17, -0x1.782468b8b2381p-17, -0x1.797c4d04e2635p-17, -0x1.7acbbc4250879p-17, -0x1.7c12c71db7d9dp-17, -0x1.7d517e488298ep-17, -0x1.7e87f277acb44p-17, -0x1.7fb63463323ddp-17, -0x1.80dc54c6169e4p-17, -0x1.81fa645c861f1p-17, -0x1.831073e3f14bdp-17, -0x1.841e941a91025p-17, -0x1.8524d5be6027fp-17, -0x1.8623498ce093ap-17, -0x1.871a00425fb44p-17, -0x1.88090a9915beep-17, -0x1.88f07948f9017p-17, -0x1.89d05d06f13e7p-17, -0x1.8aa8c684b7f82p-17, -0x1.8b79c66f97101p-17, -0x1.8c436d7094031p-17, -0x1.8d05cc2be13cep-17, -0x1.8dc0f33f99d5bp-17, -0x1.8e74f344646bcp-17, -0x1.8f21dccbc2cbp-17, -0x1.8fc7c06092302p-17, -0x1.9066ae864fef4p-17, -0x1.90feb7b84fb0cp-17, -0x1.918fec69833d1p-17, -0x1.921a5d047348p-17, -0x1.929e19ea0262dp-17, -0x1.931b337174312p-17, -0x1.9391b9e869162p-17, -0x1.9401bd91a6ea5p-17, -0x1.946b4ea54fbf8p-17, -0x1.94ce7d5078ac5p-17, -0x1.952b59b431eb3p-17, -0x1.9581f3e5ebbc4p-17, -0x1.95d25beea84f5p-17, -0x1.961ca1cabae9fp-17, -0x1.9660d56982ba7p-17, -0x1.969f06ad36f68p-17, -0x1.96d7456a69797p-17, -0x1.9709a1674e4cep-17, -0x1.97362a5c77023p-17, -0x1.975ceff3437f5p-17, -0x1.977e01c6b8ba6p-17, -0x1.97996f6278feap-17, -0x1.97af4842a1558p-17, -0x1.97bf9bd42e68bp-17, -0x1.97ca797361c74p-17, -0x1.97cff06cd0d5ap-17, -0x1.97d00ffc9f5d8p-17, -0x1.97cae74de83b8p-17, -0x1.97c0857b4c0bep-17, -0x1.97b0f98e28d89p-17, -0x1.979c527e19d5fp-17, -0x1.97829f31d834cp-17, -0x1.9763ee7da3494p-17, -0x1.97404f240038p-17, -0x1.9717cfd57edf2p-17, -0x1.96ea7f3002cfcp-17, -0x1.96b86bbefb82ap-17, -0x1.9681a3fb55ee6p-17, -0x1.9646364ad108bp-17, -0x1.960631001d7a8p-17, -0x1.95c1a25b0a4d5p-17, -0x1.957898878b993p-17, -0x1.952b219e61b16p-17, -0x1.94d94ba4a186ap-17, -0x1.9483248b56fa7p-17, -0x1.9428ba30121abp-17, -0x1.93ca1a5b9ffd7p-17, -0x1.936752c38455cp-17, -0x1.930071081afd9p-17, -0x1.929582b5fa7b6p-17, -0x1.922695454b651p-17, -0x1.91b3b618d1effp-17, -0x1.913cf27f82e78p-17, -0x1.90c257b30cfa3p-17, -0x1.9043f2d7fcc12p-17, -0x1.8fc1d0fec47acp-17, -0x1.8f3bff21d37e4p-17, -0x1.8eb28a273266dp-17, -0x1.8e257edf856fp-17, -0x1.8d94ea0619695p-17, -0x1.8d00d8410d8b1p-17, -0x1.8c6956212c838p-17, -0x1.8bce702177bfdp-17, -0x1.8b3032a82ad37p-17, -0x1.8a8eaa0546361p-17, -0x1.89e9e273af7e5p-17, -0x1.8941e818bf884p-17, -0x1.8896c703e075ap-17, -0x1.87e88b2f2da5ap-17, -0x1.8737407eb9cc5p-17, -0x1.8682f2c1500fep-17, -0x1.85cbadafb45c6p-17, -0x1.85117ced47ae4p-17, -0x1.84546c0777f4cp-17, -0x1.83948675b1a8cp-17, -0x1.82d1d79a591e7p-17, -0x1.820c6ac11a2cbp-17, -0x1.81444b209b67ap-17, -0x1.807983d99ebfbp-17, -0x1.7fac1ff6ac7a4p-17, -0x1.7edc2a6da264cp-17, -0x1.7e09ae1d97665p-17, -0x1.7d34b5d05ad7ep-17, -0x1.7c5d4c3a33aacp-17, -0x1.7b837bf9560e7p-17, -0x1.7aa74f96a48ep-17, -0x1.79c8d185456b1p-17, -0x1.78e80c22ab432p-17, -0x1.780509b7252d6p-17, -0x1.771fd474ba2c9p-17, -0x1.76387678e50f4p-17, -0x1.754ef9cab5f94p-17, -0x1.7463685c7e695p-17, -0x1.7375cc0aeef68p-17, -0x1.72862e9d93405p-17, -0x1.719499c6576f7p-17, -0x1.70a1172254da6p-17, -0x1.6fabb0392dbbp-17, -0x1.6eb46e7d3cbd5p-17, -0x1.6dbb5b4c5a6f9p-17, -0x1.6cc07fee7f0efp-17, -0x1.6bc3e5977fd8bp-17, -0x1.6ac59565def4cp-17, -0x1.69c59863361abp-17, -0x1.68c3f784df2fap-17, -0x1.67c0bbaaad216p-17, -0x1.66bbeda071036p-17, -0x1.65b5961d4307dp-17, -0x1.64adbdc340345p-17, -0x1.63a46d20e724cp-17, -0x1.6299acaf92ee6p-17, -0x1.618d84d4d953p-17, -0x1.607ffde1c0fe8p-17, -0x1.5f71201375ab5p-17, -0x1.5e60f392c7df4p-17, -0x1.5d4f8074a0369p-17, -0x1.5c3cceba4ea7p-17, -0x1.5b28e650bddb7p-17, -0x1.5a13cf11c8c1p-17, -0x1.58fd90c30be34p-17, -0x1.57e63316ebb5cp-17, -0x1.56cdbdac01956p-17, -0x1.55b4380deb4e4p-17, -0x1.5499a9b44c06ep-17, -0x1.537e1a046b4cep-17, -0x1.5261904fa01eap-17, -0x1.514413d4c1da9p-17, -0x1.5025abbfadbf9p-17, -0x1.4f065f28de4c4p-17, -0x1.4de63516e33e5p-17, -0x1.4cc5347cb6b3fp-17, -0x1.4ba3643b66745p-17, -0x1.4a80cb2161aa8p-17, -0x1.495d6fea3aa39p-17, -0x1.4839594034da2p-17, -0x1.47148dba3152bp-17, -0x1.45ef13de1b059p-17, -0x1.44c8f21f117d3p-17, -0x1.43a22edeb5e2fp-17, -0x1.427ad06c8f351p-17, -0x1.4152dd06d837ap-17, -0x1.402a5ad9d5d4ep-17, -0x1.3f015000b813fp-17, -0x1.3dd7c284e0c3dp-17, -0x1.3cadb85e8f8e3p-17, -0x1.3b833774f2654p-17, -0x1.3a58459ded991p-17, -0x1.392ce89e8409bp-17, -0x1.3801262adcea9p-17, -0x1.36d503e64a641p-17, -0x1.35a887637562cp-17, -0x1.347bb624c988bp-17, -0x1.334e959b84f04p-17, -0x1.32212b29775c3p-17, -0x1.30f37c1f33521p-17, -0x1.2fc58dbe0edd3p-17, -0x1.2e976536a19ddp-17, -0x1.2d6907aa054c6p-17, -0x1.2c3a7a2963ba8p-17, -0x1.2b0bc1b5e1c8ep-17, -0x1.29dce341b113dp-17, -0x1.28ade3aeb739ep-17, -0x1.277ec7d01e366p-17, -0x1.264f94695c117p-17, -0x1.25204e2eb401p-17, -0x1.23f0f9c5a8d5ep-17, -0x1.22c19bc476618p-17, -0x1.219238b2924cap-17, -0x1.2062d508ddaa8p-17, -0x1.1f3375310aa04p-17, -0x1.1e041d86e66adp-17, -0x1.1cd4d25733166p-17, -0x1.1ba597e0ca2cap-17, -0x1.1a76725403ccdp-17, -0x1.194765d34d206p-17, -0x1.18187672dbf99p-17, -0x1.16e9a8393a0a7p-17, -0x1.15baff1ec4c6ap-17, }}, 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
      std::vector<double>(1200, 0.0), 
    }}, 
    {
      32, 0x1p+2, 0x1.d9aa061af1a4ap+1, 0x1.af68ced7b09bp+2, -0x1.027008cde7bc6p-5, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.607cdf79e323fp-4, -0x1.bda39353587cep-2, 0x1.9c459a3ac8471p-1, -0x1.0b4636a4d09c4p-1}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0f5691543684ap-4, -0x1.6f3196944d29p-2, 0x1.742e453ba8fc3p-1, -0x1.0b4698875fa5dp-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.9a26c9257e36dp-5, -0x1.28c445e68f5bcp-2, 0x1.4c16e18dc109ep-1, -0x1.0b4510fd23ecep-1}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.3031a12eb05c9p-5, -0x1.d4b739c4f8fb4p-3, 0x1.23ffb89afba68p-1, -0x1.0b4acd4383899p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.bb31330f740fdp-6, -0x1.67ef575d7c1acp-3, 0x1.f7cf66d4e9702p-2, -0x1.0b3563b440a1dp-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.3e4d41e8a3907p-6, -0x1.0b306c30a146fp-3, 0x1.a7a5c8eba2d98p-2, -0x1.0b854daaed2e2p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c69a98e0b8a86p-7, -0x1.7cf8731261902p-4, 0x1.5764319ec217fp-2, -0x1.0a5b0f5f7d005p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.478e605c16f21p-7, -0x1.03986544208c2p-4, 0x1.077c136882fe9p-2, -0x1.0eb41e9691d63p-1}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.e5432aa47866dp-8, -0x1.54e325138366cp-5, 0x1.6c8c1476ae7d3p-3, -0x1.dc556c4578178p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7642b42288222p-8, -0x1.bf4bff1818fa8p-6, 0x1.bb4b4e5d481dcp-4, -0x1.507ca42f38c0cp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2bd74fbcb6b8ap-8, -0x1.365b8d0cee76bp-6, 0x1.e2cdd7b518efcp-5, -0x1.a55b1d5082a96p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.eb7afab63f28ap-9, -0x1.de2804c69af34p-7, 0x1.cbfb25d661ddfp-6, -0x1.1b7b4933607ffp-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.93ea31844594ep-9, -0x1.932b44290d2aap-7, 0x1.21e4605127f85p-6, -0x1.5edb906b50e41p-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.48fdbb994e49cp-9, -0x1.5a819d474d7a6p-7, 0x1.14bc248054efdp-6, -0x1.b0235c25934acp-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.09022dd9e1919p-9, -0x1.26667db5991d1p-7, 0x1.e8a62e616d60fp-7, -0x1.51bef39ef2ecfp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a5b12eb5df63bp-10, -0x1.f0231713b1eabp-8, 0x1.b5fcbd0995bd7p-7, -0x1.516e59550e5cep-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4ae313acaa0cap-10, -0x1.9d99e0b07e6c2p-8, 0x1.835f62d66d2f1p-7, -0x1.37e8828ec5f29p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.ff3466ab681p-11, -0x1.54ce20ccdec18p-8, 0x1.54961c0dcf7e3p-7, -0x1.2523cf7d501dep-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.83eb7770ccdc9p-11, -0x1.1515c36bfcdc1p-8, 0x1.289d89bb0379ep-7, -0x1.108fca14f5a63p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.2067c04c050f3p-11, -0x1.bbb3629d28a81p-9, 0x1.ff7656d623a7dp-8, -0x1.f8efd4a6b2d0dp-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.a2c764e68737p-12, -0x1.5cfb798e6e72fp-9, 0x1.b3b8c3bd226f3p-8, -0x1.d07d8c9b5186cp-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.27af9360d7a3ap-12, -0x1.0cce2a471824bp-9, 0x1.6e0c550c3c9a8p-8, -0x1.a81d1b631baaap-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.93ea318445914p-13, -0x1.93ea30cc44657p-10, 0x1.2e6e5dbd5edadp-8, -0x1.7fb7d7665d4ffp-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.09022dd9e18ddp-13, -0x1.2674330b4518ap-10, 0x1.e9bf2e0f3b514p-9, -0x1.575407a8933fcp-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.4ae313acaa05p-14, -0x1.9d9bd93e66d0cp-11, 0x1.82bf9229758a6p-9, -0x1.2eef39b3896d1p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.83eb7770ccc41p-15, -0x1.1515e4cd11f78p-11, 0x1.27de340d32b6cp-9, -0x1.068cf05c79ffap-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.a2c764e6870e1p-16, -0x1.5cfb93d81e7a7p-12, 0x1.b234a4afb5d37p-10, -0x1.bc432589afc1p-9}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.93ea3184451bep-17, -0x1.93e993f6c0971p-13, 0x1.2ced4ca0011a1p-10, -0x1.6bb00322e13f9p-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.4ae313aca8ap-18, -0x1.9da070a3f2ec2p-14, 0x1.7fa430f7e175p-11, -0x1.1a20a61b5eeadp-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a2c764e684c02p-20, -0x1.5cd934953a06ap-15, 0x1.acbacdceea9bp-12, -0x1.987d359d1fad8p-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4ae313ac91fffp-22, -0x1.9f9bbae4f910bp-17, 0x1.6f45c1ae159adp-13, -0x1.c28e0cdc2a5cdp-11}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.4ae313ab2p-26, -0x1.61e8d4504c616p-20, 0x1.83c21b0e572p-15, -0x1.2d7c72a114e95p-10}, 
      }}, 
      0x1.1bb08ee46e67cp-6, -0x1.b5402850de0b4p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.1330552093597p-2, 0x1.1d4fbdd8a1633p-2, 0x1.2bb98e90bc879p-2, 0x1.3bf3d9c1cb2b8p-2, 0x1.4baaa796a6232p-2, 0x1.58eacabcaa64p-2, 0x1.6237068092342p-2, 0x1.6687fff1d29f4p-2, 0x1.65410bce05a4ap-2, 0x1.5e2013b8ef602p-2, 0x1.512c447f81a5bp-2, 0x1.3ea57dd17a5c4p-2, 0x1.26f574a582717p-2, 0x1.0aa2e2df29094p-2, 0x1.d48d9c66bb71p-3, 0x1.8d0791ca3158ap-3, 0x1.3ffdfa4ad8153p-3, 0x1.dd6b322c8a044p-4, 0x1.34cb2dd7cbcb3p-4, 0x1.10c70f57fba3cp-5, -0x1.2d9416320d77cp-7, -0x1.a721659f374fp-5, -0x1.7f85f15d9d69ep-4, -0x1.140b478bf7082p-3, -0x1.65fd8a0d71b36p-3, -0x1.b50f01153dfbfp-3, -0x1.00663666c7c2dp-2, -0x1.246c2acc2be3fp-2, -0x1.4674989713eb7p-2, -0x1.6663be64df773p-2, -0x1.8425eddffbd5ap-2, -0x1.9faea1af0a108p-2, -0x1.b8f7a0af3cf3dp-2, -0x1.d0002e55f9f55p-2, -0x1.e4cc4bac135ffp-2, -0x1.f76408b4521b7p-2, -0x1.03e972a6a9d0cp-1, -0x1.0b13a0aba1329p-1, -0x1.1138ede41c7aap-1, -0x1.1662af6343f4cp-1, -0x1.1a9afbb933176p-1, -0x1.1dec7c9489d67p-1, -0x1.206245ea8cc1p-1, -0x1.2207b212971e3p-1, -0x1.22e842492cfa9p-1, -0x1.230f834ffe9eep-1, -0x1.2288f5f448d89p-1, -0x1.215ffb2686a54p-1, -0x1.1f9fc3334dcf9p-1, -0x1.1d533fb2879c5p-1, -0x1.1a8517d98ef2p-1, -0x1.173f9ef426629p-1, -0x1.138ccccf98cd5p-1, -0x1.0f7637e6d6173p-1, -0x1.0b05111e507dfp-1, -0x1.064220d013a58p-1, -0x1.0135c50a45e2ap-1, -0x1.f7cfe19dd3bdap-2, -0x1.ecc058438d9fep-2, -0x1.e14b29f130eb4p-2, -0x1.d57dc13f5f745p-2, -0x1.c964bbba253fap-2, -0x1.bd0beeb20a564p-2, -0x1.b07e6d0c8c9a2p-2, -0x1.a3c68d7ee05b2p-2, -0x1.96edf15465d6fp-2, -0x1.89fd8b744d6a6p-2, -0x1.7cfda7c598791p-2, -0x1.6ff5f2729d2f4p-2, -0x1.62ed7fb51a56ap-2, -0x1.55ead2e9563cbp-2, -0x1.48f3e699d5c5fp-2, -0x1.3c0e331a27696p-2, -0x1.2f3eb69df16ap-2, -0x1.2289fb4e82d9fp-2, -0x1.15f41f115fb3ep-2, -0x1.0980d95024197p-2, -0x1.fa6703e933c62p-3, -0x1.e21e2e65ae599p-3, -0x1.ca2c86c7df5e3p-3, -0x1.b296c5d2b9904p-3, -0x1.9b6111f2be2c1p-3, -0x1.848f0a9752028p-3, -0x1.6e23d093325a1p-3, -0x1.582210211231bp-3, -0x1.428c08d1ed269p-3, -0x1.2d6395e7d018ap-3, -0x1.18aa35e49a9bap-3, -0x1.046111969c541p-3, -0x1.e11205e269e94p-4, -0x1.ba45368eaafe8p-4, -0x1.945c527c6a0ebp-4, -0x1.6f577cd56fab8p-4, -0x1.4b3668f130c18p-4, -0x1.27f8644abb86fp-4, -0x1.059c5fa795edap-4, -0x1.c841ef55ff6dep-5, -0x1.8708fa460e133p-5, -0x1.4789f8a534a43p-5, -0x1.09c088b0e5446p-5, -0x1.9b4fb6623b24ap-6, -0x1.26757fcd0a06dp-6, -0x1.69cec5989bdfbp-7, -0x1.1a66f8f002f8ap-8, 0x1.23fc81525f8fep-9, 0x1.18e2346cb4f34p-7, 0x1.e28fa1838e0e6p-7, 0x1.5310f2e08f227p-6, 0x1.b1da01018afffp-6, 0x1.06d857ac116e7p-5, 0x1.33516c9f8f46dp-5, 0x1.5e5f3bde592bp-5, 0x1.8808cb57e18f1p-5, 0x1.b05525c4a3c43p-5, 0x1.d74b57358f96ap-5, 0x1.fcf268e7d2832p-5, 0x1.10a8aee9e038fp-4, 0x1.223798263dbd7p-4, 0x1.332967715a9a6p-4, 0x1.43818ce098bfep-4, 0x1.534370933892cp-4, 0x1.6272719cf5e3ap-4, 0x1.7111e4f3e3f41p-4, 0x1.7f2514fd566bbp-4, 0x1.8caf40e931522p-4, 0x1.99b39bcffdb07p-4, 0x1.a6354c63a5dccp-4, 0x1.b2376cb4ef44p-4, 0x1.bdbd098c7efcdp-4, 0x1.c8c9221a7e5aap-4, 0x1.d35ea807d3888p-4, 0x1.dd807f2463a09p-4, 0x1.e7317d0882113p-4, 0x1.f074693697818p-4, 0x1.f94bfd2de800cp-4, 0x1.00dd7213293b9p-3, 0x1.04e1dd8726994p-3, 0x1.08b48868aaf1fp-3, 0x1.0c56b33048b89p-3, 0x1.0fc9974f9cdap-3, 0x1.130e674b4c1a4p-3, 0x1.16264ede7c2aep-3, 0x1.19127305c6fb4p-3, 0x1.1bd3f20bbe426p-3, 0x1.1e6be3a9d545ap-3, 0x1.20db5929e028ap-3, 0x1.23235d7e4b69ap-3, 0x1.2544f55c31dffp-3, 0x1.27411f5969cc2p-3, 0x1.2918d40cf298ap-3, 0x1.2acd0633fd477p-3, 0x1.2c5ea2d419ebcp-3, 0x1.2dce91537b769p-3, 0x1.2f1db395b05e8p-3, 0x1.304ce629491ccp-3, 0x1.315d0071d17bfp-3, 0x1.324ed4bc19cebp-3, 0x1.33233052499cep-3, 0x1.33dadbaa0308dp-3, 0x1.34769a97caa48p-3, 0x1.34f72c6648a42p-3, 0x1.355d4bdf54e0bp-3, 0x1.35a9af6ebd5ebp-3, 0x1.35dd095b89dfdp-3, 0x1.35f807ec2db0ap-3, 0x1.35fb556b9d7bp-3, 0x1.35e798370bf4p-3, 0x1.35bd72ee72569p-3, 0x1.357d84a8ced9ap-3, 0x1.3528690633089p-3, 0x1.34beb82de8c65p-3, 0x1.344106e3e694ep-3, 0x1.33afe6bc86957p-3, 0x1.330be646c7f7ap-3, 0x1.325591135e927p-3, 0x1.318d6fb131b0dp-3, 0x1.30b407c4971b4p-3, 0x1.2fc9dc3780f97p-3, 0x1.2ecf6d5ce5513p-3, 0x1.2dc538f4060cfp-3, 0x1.2cabba231308dp-3, 0x1.2b83698993e6p-3, 0x1.2a4cbd69efe16p-3, 0x1.290829ca952cep-3, 0x1.27b6207ade616p-3, 0x1.2657110b8faabp-3, 0x1.24eb68d7de654p-3, 0x1.2373932595dc2p-3, 0x1.21eff945f2fdbp-3, 0x1.206102a0c3a71p-3, 0x1.1ec714add4d3ep-3, 0x1.1d2292f3980d9p-3, 0x1.1b73df1990c37p-3, 0x1.19bb5905b25p-3, 0x1.17f95eefbf35ep-3, 0x1.162e4d6197688p-3, 0x1.145a7f303888cp-3, 0x1.127e4d7f47e46p-3, 0x1.109a0fd43b295p-3, 0x1.0eae1c2d13e49p-3, 0x1.0cbac70b7fafp-3, 0x1.0ac0637200bdbp-3, 0x1.08bf42de37f85p-3, 0x1.06b7b54cda49p-3, 0x1.04aa094938718p-3, 0x1.02968bfe98312p-3, 0x1.007d89406c4b1p-3, 0x1.fcbe971003d1cp-4, 0x1.f87837dedad74p-4, 0x1.f42884664199fp-4, 0x1.efd00979382c5p-4, 0x1.eb6f515ffde78p-4, 0x1.e706e3e8476a4p-4, 0x1.e2974664f2f3dp-4, 0x1.de20fba5a6245p-4, 0x1.d9a483f418db7p-4, 0x1.d5225d1f0b2c1p-4, 0x1.d09b028e46729p-4, 0x1.cc0eed53a9f39p-4, 0x1.c77e943113c9ap-4, 0x1.c2ea6b9469d3ap-4, 0x1.be52e5920375fp-4, 0x1.b9b871e643807p-4, 0x1.b51b7e00ba1d8p-4, 0x1.b07c751344dc8p-4, 0x1.abdbc01d2b59bp-4, 0x1.a739c5ee270fp-4, 0x1.a296eb236edd3p-4, 0x1.9df39224a1286p-4, 0x1.99501b2609f8p-4, 0x1.94ace4316ef0cp-4, 0x1.900a49317a727p-4, 0x1.8b68a3fa99b0cp-4, 0x1.86c84c4e97691p-4, 0x1.822997dbe4388p-4, 0x1.7d8cda3c29bfbp-4, 0x1.78f264f5f7015p-4, 0x1.745a8782f8a6ap-4, 0x1.6fc58f58d8dacp-4, 0x1.6b33c7f17750dp-4, 0x1.66a57ad025f7ap-4, 0x1.621aef83ac12ap-4, 0x1.5d946ba6a2965p-4, 0x1.591232e0c6a11p-4, 0x1.549486eb16e6dp-4, 0x1.501ba7968d9d9p-4, 0x1.4ba7d2d3beef3p-4, 0x1.473944b976ed6p-4, 0x1.42d037895d915p-4, 0x1.3e6ce3b2c3f7bp-4, 0x1.3a0f7fd4c7abcp-4, 0x1.35b840c15151fp-4, 0x1.31675981fc63p-4, 0x1.2d1cfb5e8f4cep-4, 0x1.28d955e3e2681p-4, 0x1.249c96ea35168p-4, 0x1.2066ea9a62051p-4, 0x1.1c387b71ffc1ep-4, 0x1.18117246f9afap-4, 0x1.13f1f64b87174p-4, 0x1.0fda2d135b5ep-4, 0x1.0bca3a99bdbep-4, 0x1.07c241483c83ep-4, 0x1.03c261fd0c341p-4, 0x1.ff957821eacb1p-5, 0x1.f7b6dab93f6a1p-5, 0x1.efe9247ace688p-5, 0x1.e82c8b3446d83p-5, 0x1.e08141d0d1461p-5, 0x1.d8e77864ea069p-5, 0x1.d15f5c3b1d655p-5, 0x1.c9e917e0e702ep-5, 0x1.c284d332f717fp-5, 0x1.bb32b369beca4p-5, 0x1.b3f2db24a24b6p-5, 0x1.acc56a75796dp-5, 0x1.a5aa7eebaebf6p-5, 0x1.9ea2339fb2c79p-5, 0x1.97aca13ee9ffep-5, 0x1.90c9de17da2ddp-5, 0x1.89f9fe2661922p-5, 0x1.833d1320076dbp-5, 0x1.7c932c80af0adp-5, 0x1.75fc57976bd92p-5, 0x1.6f789f932fe3fp-5, 0x1.69080d8ec78bfp-5, 0x1.62aaa89c195e5p-5, 0x1.5c6075cecefb5p-5, 0x1.56297846d30fcp-5, 0x1.5005b13b3d152p-5, 0x1.49f520065b1e1p-5, 0x1.43f7c23330f16p-5, 0x1.3e0d938c0aa36p-5, 0x1.38368e28f5801p-5, 0x1.3272aa7ca3fc2p-5, 0x1.2cc1df5eabffbp-5, 0x1.2724221347a67p-5, 0x1.21996651b9ac3p-5, 0x1.1c219e4c25c03p-5, 0x1.16bcbab90da5ep-5, 0x1.116aaae2708b2p-5, 0x1.0c2b5cb754e9p-5, 0x1.06febcde96cabp-5, 0x1.01e4b6c7b3af7p-5, 0x1.f9ba696b79f3bp-6, 0x1.efd03f8749029p-6, 0x1.e60abfc6917b8p-6, 0x1.dc69b7b6ade24p-6, 0x1.d2ecf292af812p-6, 0x1.c994395858f3ap-6, 0x1.c05f52f0d8b01p-6, 0x1.b74e046808717p-6, 0x1.ae6011262a2bdp-6, 0x1.a5953b1ca056ep-6, 0x1.9ced42d8f85f5p-6, 0x1.9467e779f945ap-6, 0x1.8c04e68d91695p-6, 0x1.83c3fbe8dc1afp-6, 0x1.7ba4e19000a41p-6, 0x1.73a74fc0e01abp-6, 0x1.6bcafd284723cp-6, 0x1.640f9f3a7ca5bp-6, 0x1.5c74ea996ff4fp-6, 0x1.54fa936aa1e02p-6, 0x1.4da04d810e834p-6, 0x1.4665cc4b7ba55p-6, 0x1.3f4ac28b25dafp-6, 0x1.384ee1eb2d713p-6, 0x1.3171da9ecb568p-6, 0x1.2ab35b2ed697p-6, 0x1.24131092a8f41p-6, 0x1.1d90a69a030b3p-6, 0x1.172bc89270818p-6, 0x1.10e421fc0be87p-6, 0x1.0ab95f18151ebp-6, 0x1.04ab2d2257b6ep-6, 0x1.fd72743949d0ap-7, 0x1.f1c66873adfddp-7, 0x1.e651920e92bb3p-7, 0x1.db134949b6055p-7, 0x1.d00ae281b782fp-7, 0x1.c537ae269b641p-7, 0x1.ba98f9cbf54a5p-7, 0x1.b02e1221bb4cap-7, 0x1.a5f64559447c9p-7, 0x1.9bf0e54fa9fdap-7, 0x1.921d48db5fef7p-7, 0x1.887acbce723b4p-7, 0x1.7f08cd9652832p-7, 0x1.75c6aec77225ap-7, 0x1.6cb3ce367a69cp-7, 0x1.63cf866c8eccp-7, 0x1.5b192c36b081fp-7, 0x1.52900ecd4f5a6p-7, 0x1.4a3379a80ad39p-7, 0x1.4202b79f844b5p-7, 0x1.39fd16a11661fp-7, 0x1.3221eb073228p-7, 0x1.2a7091b42950ap-7, 0x1.22e870531a4e8p-7, 0x1.1b88f3951b006p-7, 0x1.14518bc407f4ap-7, 0x1.0d41a8773bd73p-7, 0x1.0658b472c25cap-7, 0x1.ff2c257e543a3p-8, 0x1.f1f23b7d7953ep-8, 0x1.e502512298d6dp-8, 0x1.d85b051a7020dp-8, 0x1.cbfaf80d01933p-8, 0x1.bfe0d6f2c4018p-8, 0x1.b40b637fcc0c2p-8, 0x1.a87978a5debc2p-8, 0x1.9d2a0a3b8fa3bp-8, 0x1.921c1f85edffap-8, 0x1.874ec9bbd7a5fp-8, 0x1.7cc1188ef5595p-8, 0x1.72720f3911f1ep-8, 0x1.68609c80ebd41p-8, 0x1.5e8b978bf855fp-8, 0x1.54f1c253a861p-8, 0x1.4b91d15ccb3bep-8, 0x1.426a7727abf57p-8, 0x1.397a70fc17677p-8, 0x1.30c09265cdcf9p-8, 0x1.283bccfab4386p-8, 0x1.1feb32c7a490dp-8, 0x1.17cdf2d19b33bp-8, 0x1.0fe350431168bp-8, 0x1.082a95e9b6304p-8, 0x1.00a30871ac6bbp-8, 0x1.f297b44d2e6f1p-9, 0x1.e44845aa7a108p-9, 0x1.d655bb3978e6fp-9, 0x1.c8bdda609c665p-9, 0x1.bb7e4b1c74b88p-9, 0x1.ae94b201e52bap-9, 0x1.a1fecb78b5fbp-9, 0x1.95ba83362419p-9, 0x1.89c6043ba9c9fp-9, 0x1.7e1fbef926fb2p-9, 0x1.72c664697e259p-9, 0x1.67b8d65f95c51p-9, 0x1.5cf60f078f4f2p-9, 0x1.527d03eb325a6p-9, 0x1.484c8a9a1b0ap-9, 0x1.3e63457df769ap-9, 0x1.34bf9d871641p-9, 0x1.2b5fc98e1b5d2p-9, 0x1.2241e007f96p-9, 0x1.1963ed10fa07p-9, 0x1.10c40734a061fp-9, 0x1.0860601dd8dbp-9, 0x1.0037514b434e1p-9, 0x1.f08ecb5f9fa9bp-10, 0x1.e11ebef2b5e58p-10, 0x1.d21c6dc35849ep-10, 0x1.c3861df5b8023p-10, 0x1.b55a4040cd27ep-10, 0x1.a7973a009ec69p-10, 0x1.9a3b36319077ep-10, 0x1.8d440c8ca4e2bp-10, 0x1.80af46cde16a6p-10, 0x1.747a3d95fc0a7p-10, 0x1.68a23c8ef42f6p-10, 0x1.5d249c368a0d8p-10, 0x1.51fec819acf3fp-10, 0x1.472e35b75045fp-10, 0x1.3cb05ac12608cp-10, 0x1.3282b209cd86cp-10, 0x1.28a2d3f194b7dp-10, 0x1.1f0e97ce92853p-10, 0x1.15c42a29d7f32p-10, 0x1.0cc206f6cf2b8p-10, 0x1.0406d69cdfb9bp-10, 0x1.f7227e3295277p-11, 0x1.e6bf850a1152fp-11, 0x1.d6e1771a397ffp-11, 0x1.c784eb090fb78p-11, 0x1.b8a69d1322db1p-11, 0x1.aa439e4230b94p-11, 0x1.9c59526ecad44p-11, 0x1.8ee535d9b32ddp-11, 0x1.81e47bb3a834ep-11, 0x1.7553af5b50c04p-11, 0x1.692e8f152831ep-11, 0x1.5d7045edd371ap-11, 0x1.5213fba4fd6f3p-11, 0x1.47157c62b3726p-11, 0x1.3c71a28115c18p-11, 0x1.32264a25c5fd6p-11, 0x1.2831e06e0cc82p-11, 0x1.1e92dae98e512p-11, 0x1.15476878694fep-11, 0x1.0c4d78ffab8fap-11, 0x1.03a3041cddd38p-11, 0x1.f68cba1c1b27bp-12, 0x1.e66cbbc921919p-12, 0x1.d6e4834226f7dp-12, 0x1.c7f2586da83c3p-12, 0x1.b993220c4cb38p-12, 0x1.abc18131c892ap-12, 0x1.9e75b1b87e23p-12, 0x1.91a65c6341134p-12, 0x1.854a28c993ed2p-12, 0x1.79597e23ca66dp-12, 0x1.6dcfabcace8bdp-12, 0x1.62aada743d373p-12, 0x1.57eac31ce6b93p-12, 0x1.4d8eef146eeb9p-12, 0x1.4395958905d2cp-12, 0x1.39fbafa8c09fp-12, 0x1.30be02af25aa7p-12, 0x1.27da50462d306p-12, 0x1.1f4fcf9af9e67p-12, 0x1.171e82cf06032p-12, 0x1.0f45d5e8326bap-12, 0x1.07c38cb881dcap-12, 0x1.0093a47279f3dp-12, 0x1.f361c7ce8cc36p-13, 0x1.e62afe027bb96p-13, 0x1.d97745b925937p-13, 0x1.cd3c458edfce3p-13, 0x1.c1727ff2d765ap-13, 0x1.b6161c71f13aap-13, 0x1.ab2614c4b3218p-13, 0x1.a0a22b554e612p-13, 0x1.9689126adee9dp-13, 0x1.8cd7e899e67e1p-13, 0x1.838afa13cc4a3p-13, 0x1.7a9efa30d2b87p-13, 0x1.7211ff07b76a7p-13, 0x1.69e36fe26a3d5p-13, 0x1.62127b6b605c4p-13, 0x1.5a9c5770317e3p-13, 0x1.537c0c5fe7533p-13, 0x1.4caba9015823dp-13, 0x1.46256076266f2p-13, 0x1.3fe3e73204cddp-13, 0x1.39e2943f6964ep-13, 0x1.341dc9c5d6d85p-13, 0x1.2e9351dc418a7p-13, 0x1.2941e1cf8ca55p-13, 0x1.2427b086865f5p-13, 0x1.1f41825b21aa9p-13, 0x1.1a8b93f6af553p-13, 0x1.1603966ec3effp-13, 0x1.11a9744c88da4p-13, 0x1.0d7ddeb96fadfp-13, 0x1.0980065c5a518p-13, 0x1.05ad310e516dcp-13, 0x1.02028f3c2ad1cp-13, 0x1.fcfca86e6454fp-14, 0x1.f63dc8bc55c8cp-14, 0x1.efc44f3eacfedp-14, 0x1.e98ba6c6a0edp-14, 0x1.e38f3cfde6988p-14, 0x1.ddca294c127dp-14, 0x1.d8374a7d1a7b9p-14, 0x1.d2d28e0fdca97p-14, 0x1.cd9a7419496cdp-14, 0x1.c88fdafdcd351p-14, 0x1.c3b391dd484bbp-14, 0x1.bf03a944c2effp-14, 0x1.ba7add562c403p-14, 0x1.b613375eaf849p-14, 0x1.b1c9e72238c91p-14, 0x1.ad9fdaefe2d48p-14, 0x1.a995f187e979p-14, 0x1.a5a95135d417bp-14, 0x1.a1d4e495442d5p-14, 0x1.9e161edd91595p-14, 0x1.9a6da638d0b91p-14, 0x1.96dbb279500d3p-14, 0x1.935ec1b303d98p-14, 0x1.8ff4f3e4124aap-14, 0x1.8c9c7b954d1cdp-14, 0x1.8952cac4486f3p-14, 0x1.86145bdcc67f6p-14, 0x1.82de98b769271p-14, 0x1.7fb1d58e8d8bap-14, 0x1.7c8fa426d17f2p-14, 0x1.797798db0ff53p-14, 0x1.7667fee6fb6bbp-14, 0x1.7360d8da926e6p-14, 0x1.7062d7cbf519p-14, 0x1.6d6c78602f6b6p-14, 0x1.6a7a1e9fb510ep-14, 0x1.6788e06f7f117p-14, 0x1.64990f7e781dbp-14, 0x1.61abf5a79bcd3p-14, 0x1.5ec073a52cbb5p-14, 0x1.5bd52199d444fp-14, 0x1.58ead23bbb937p-14, 0x1.56025becbc4f1p-14, 0x1.531b3a8bdc9b1p-14, 0x1.50349238e868cp-14, 0x1.4d4d4b5b205a8p-14, 0x1.4a6390f6c4569p-14, 0x1.47763f950710ep-14, 0x1.44867241479ecp-14, 0x1.4194f961ba145p-14, 0x1.3ea0aaf0f704ep-14, 0x1.3ba9380c5490dp-14, 0x1.38af83ec87ff4p-14, 0x1.35b35c4b0abfap-14, 0x1.32b3f18340dfcp-14, 0x1.2fb0deccb85f4p-14, 0x1.2caa251b0da63p-14, 0x1.299ffff0ff76fp-14, 0x1.269271224b2a4p-14, 0x1.2380cd98a3bc6p-14, 0x1.206ae4f38acd4p-14, 0x1.1d51215e9cb9p-14, 0x1.1a332a3e720dp-14, 0x1.17113a14ff38fp-14, 0x1.13ec36d4ee3a3p-14, 0x1.10c42baba4ee5p-14, 0x1.0d98ac690f606p-14, 0x1.0a69102d5d806p-14, 0x1.0735395ba8e1p-14, 0x1.03fde6fd4e774p-14, 0x1.00c2faf957bafp-14, 0x1.fb08e959a6ddp-15, 0x1.f4862135305b5p-15, 0x1.edfda28319a3ap-15, 0x1.e76ef3992caf2p-15, 0x1.e0da335016fddp-15, 0x1.da3fc49ede9c5p-15, 0x1.d3a0088f8464p-15, 0x1.ccfb57487166ap-15, 0x1.c65204e3824bep-15, 0x1.bfa45dfb60c18p-15, 0x1.b8f2bc835c8e3p-15, 0x1.b23dc3408b384p-15, 0x1.ab85f5586a086p-15, 0x1.a4cb11c67b5c2p-15, 0x1.9e0d4627df13ep-15, 0x1.974ce9bd9412ap-15, 0x1.908ace1ccecd9p-15, 0x1.89c80dce60f56p-15, 0x1.83043b1362bcap-15, 0x1.7c3f3b3796946p-15, 0x1.75797dfb44b1bp-15, 0x1.6eb3733971adbp-15, 0x1.67ee266d235b9p-15, 0x1.6129bc196aaeep-15, 0x1.5a6648f93a93ap-15, 0x1.53a432359d0b6p-15, 0x1.4ce3e919d4645p-15, 0x1.4625d5fde5764p-15, 0x1.3f6a5ac0cfce7p-15, 0x1.38b1d625a447p-15, 0x1.31fca52e55598p-15, 0x1.2b4b236ce6b1bp-15, 0x1.249dab2dab94bp-15, 0x1.1df495f6c83f8p-15, 0x1.17503c48e08cp-15, 0x1.10b0f273c6ef3p-15, 0x1.0a170ac517cf9p-15, 0x1.0382f31a0237p-15, 0x1.f9ea6be3b749cp-16, 0x1.ecdc2593dc931p-16, 0x1.dfdb926d61ab8p-16, 0x1.d2e8c15a5b698p-16, 0x1.c604b0d6d264dp-16, 0x1.b93006d661e24p-16, 0x1.ac6bd3c0cf6f8p-16, 0x1.9fb846d0e5a5fp-16, 0x1.9315ca39f79e9p-16, 0x1.8685069f6aca3p-16, 0x1.7a06c10a0b3acp-16, 0x1.6d9b6c7766b52p-16, 0x1.61439d6e7a2eap-16, 0x1.54ffd9027346p-16, 0x1.48d09fe63eb35p-16, 0x1.3cb67073df962p-16, 0x1.30b1c76f77722p-16, 0x1.24c32459c206bp-16, 0x1.18eaf4d557effp-16, 0x1.0d29b7d6cf737p-16, 0x1.017fd477ab8f3p-16, 0x1.ebdb5d59e8547p-17, 0x1.d4e75331d03dcp-17, 0x1.be244ee7171adp-17, 0x1.a7930a03dd093p-17, 0x1.9134b1c39e4f1p-17, 0x1.7b0a860975299p-17, 0x1.6513d1043a8ddp-17, 0x1.4f51b12124c77p-17, 0x1.39c5355b1ee5ap-17, 0x1.246e4431ae9e6p-17, 0x1.0f4e317fea8e4p-17, 0x1.f4ca43c0383edp-18, 0x1.cb66f59356315p-18, 0x1.a273bddd585acp-18, 0x1.79f1b04a6258ap-18, 0x1.51e1ba4da4fe9p-18, 0x1.2a44b525087b4p-18, 0x1.031b6c1dee459p-18, 0x1.b8cd3d6894714p-19, 0x1.6c4e03f7d193p-19, 0x1.20ba81e70a8e5p-19, 0x1.ac27e64755305p-20, 0x1.18b7056388768p-20, 0x1.0e48d123c93a7p-21, -0x1.11c3fb243ddf7p-25, -0x1.2cbde4e68d021p-21, -0x1.224c69fb48128p-20, -0x1.ac5508475a5b4p-20, -0x1.1a3c05312d43p-19, -0x1.5d59a8ee408b3p-19, -0x1.9f821e32f9fa8p-19, -0x1.e0b7e021d7d1cp-19, -0x1.107c0b8a5cd7fp-18, -0x1.3021a005ee233p-18, -0x1.4f4ce78d75b8ap-18, -0x1.6dfdc7a7bf77ep-18, -0x1.8c33f0a186004p-18, -0x1.a9efa5c07ab4dp-18, -0x1.c730f4a6b5058p-18, -0x1.e3f7c856e7998p-18, -0x1.00224df0e4e32p-17, -0x1.0e0bc45192342p-17, -0x1.1bb85ae4c856dp-17, -0x1.29282ff3e5079p-17, -0x1.365b6662ed221p-17, -0x1.4352273b446f8p-17, -0x1.500c9c559255p-17, -0x1.5c8af4f67dbe2p-17, -0x1.68cd637f539a4p-17, -0x1.74d41cd64449dp-17, -0x1.809f5cd4a8b3p-17, -0x1.8c2f60967fe9ep-17, -0x1.9784668d7c0cp-17, -0x1.a29eaf463e72bp-17, -0x1.ad7e87f475772p-17, -0x1.b8243a1d16b63p-17, -0x1.c28ffb44b55f3p-17, -0x1.ccc22ff3051ecp-17, -0x1.d6bb17b1cad18p-17, -0x1.e07b2184cc9f6p-17, -0x1.ea0299b7c3a8bp-17, -0x1.f351d635dfaccp-17, -0x1.fc69327d7727bp-17, -0x1.02a485a777b8ap-16, -0x1.06f8df6cb92ecp-16, -0x1.0b31d88dd1374p-16, -0x1.0f4fa7e4127cep-16, -0x1.13527e526fe81p-16, -0x1.173a87a0fc92ep-16, -0x1.1b07f8b5903c2p-16, -0x1.1ebb123942b41p-16, -0x1.22540a1bf213fp-16, -0x1.25d3147d70dddp-16, -0x1.293868fdda3ffp-16, -0x1.2c8440790a2d5p-16, -0x1.2fb6d4aefaf42p-16, -0x1.32d0605163635p-16, -0x1.35d11f0add0dfp-16, -0x1.38b94cf77fde9p-16, -0x1.3b892562448f7p-16, -0x1.3e40e2842c095p-16, -0x1.40e0c49233cb5p-16, -0x1.436914484aa24p-16, -0x1.45d9fc9f588cp-16, -0x1.4833b3241bd47p-16, -0x1.4a769091038f4p-16, -0x1.4ca2d2055cc53p-16, -0x1.4eb8b00c7bbbbp-16, -0x1.50b869ff43119p-16, -0x1.52a240f37e83p-16, -0x1.547673d074138p-16, -0x1.56354517b2689p-16, -0x1.57def52c2c91bp-16, -0x1.5973c56102ec4p-16, -0x1.5af3f6f9c7361p-16, -0x1.5c5fcbdfb6d59p-16, -0x1.5db7846d1e85dp-16, -0x1.5efb61c9245cfp-16, -0x1.602ba0fcfcde5p-16, -0x1.61488d9bb4e5dp-16, -0x1.6252791e9f601p-16, -0x1.63497832899bcp-16, -0x1.642dd91f29397p-16, -0x1.64fff610e233p-16, -0x1.65c00699975d4p-16, -0x1.666e48ca546b2p-16, -0x1.670afe69325fp-16, -0x1.679667d3a1655p-16, -0x1.6810c3071bbf5p-16, }}, 
      {{0x1.10be53d40647dp-2, 0x1.1445a5294ccb2p-2, 0x1.199bdc7428cccp-2, 0x1.20297d4eca95ep-2, 0x1.2753be57eaaddp-2, 0x1.2e8b3ec7d6e3p-2, 0x1.35538d913bdffp-2, 0x1.3b4635da03ed5p-2, 0x1.40131376d9a4dp-2, 0x1.437f0efee6bc2p-2, 0x1.4562010c1edaep-2, 0x1.45a437e8b8b1ap-2, 0x1.443beb05d406dp-2, 0x1.412ac8286677dp-2, 0x1.3c7bb21391882p-2, 0x1.3640bbe179881p-2, 0x1.2e9164951c404p-2, 0x1.258911fdbbeebp-2, 0x1.1b45c77099363p-2, 0x1.0fe71379e55ccp-2, 0x1.038d2efdda8e3p-2, 0x1.ecb0901eca58bp-3, 0x1.d0cfe5be7612ap-3, 0x1.b3b576e20524ep-3, 0x1.959ba65b1dc98p-3, 0x1.76b9abb17e658p-3, 0x1.574343d724c01p-3, 0x1.376881a244586p-3, 0x1.1755b7c934b45p-3, 0x1.ee66ee5bb3a36p-4, 0x1.ae4d39ece0159p-4, 0x1.6ea0d8fb16dddp-4, 0x1.2f9d64ffb9b3fp-4, 0x1.e2efb8b4ee897p-5, 0x1.68bdfb271d5f4p-5, 0x1.e1eea1db6bcd4p-6, 0x1.ef8a05f10a6e1p-7, 0x1.37843fa754701p-10, -0x1.9522925d4ce2fp-7, -0x1.a202a86831387p-6, -0x1.394b61f186bd2p-5, -0x1.9e0b85be537ddp-5, -0x1.ff2d10a36a2a2p-5, -0x1.2e50a5de60488p-4, -0x1.5b2f70e5a46eap-4, -0x1.8630a9977f6afp-4, -0x1.af54397e5183ap-4, -0x1.d69bf62232a39p-4, -0x1.fc0b67d2b9028p-4, -0x1.0fd3ca77487b3p-3, -0x1.20bb68bed0108p-3, -0x1.30c04970cdb7cp-3, -0x1.3fe6a3a6ccc5dp-3, -0x1.4e3318553015dp-3, -0x1.5baaa158e769ep-3, -0x1.6852820d4fe2dp-3, -0x1.74303957bc376p-3, -0x1.7f4975142f7bcp-3, -0x1.89a406cba6c0bp-3, -0x1.9345d999040cap-3, -0x1.9c34e92469595p-3, -0x1.a477399bc97f4p-3, -0x1.ac12d0991682bp-3, -0x1.b30daed6af4e1p-3, -0x1.b96dcaa6975acp-3, -0x1.bf390b26305b7p-3, -0x1.c4754414403e9p-3, -0x1.c9283235a091dp-3, -0x1.cd5778477c0a4p-3, -0x1.d1089c691304dp-3, -0x1.d44105f87982fp-3, -0x1.d705fbcc896fbp-3, -0x1.d95ca2cf9a35cp-3, -0x1.db49fce0987dcp-3, -0x1.dcd2e80607cf6p-3, -0x1.ddfc1dd36182dp-3, -0x1.deca33156ea9ep-3, -0x1.df4197a05d197p-3, -0x1.df6696569b1cap-3, -0x1.df3d554be9a0cp-3, -0x1.dec9d60ed5c63p-3, -0x1.de0ff60c80bb2p-3, -0x1.dd136f0b74012p-3, -0x1.dbd7d7beb196p-3, -0x1.da60a465a15ddp-3, -0x1.d8b1277f42852p-3, -0x1.d6cc928552108p-3, -0x1.d4b5f6b511124p-3, -0x1.d27045dca9f34p-3, -0x1.cffe5330f1d3p-3, -0x1.cd62d4261c9b7p-3, -0x1.caa0614c238b8p-3, -0x1.c7b9772c9707bp-3, -0x1.c4b07728e649dp-3, -0x1.c187a858b8a7fp-3, -0x1.be413865e0e38p-3, -0x1.badf3c67f6c08p-3, -0x1.b763b1bbc848ap-3, -0x1.b3d07ed90b55ap-3, -0x1.b0277422bd79ap-3, -0x1.ac6a4cb5cc18fp-3, -0x1.a89aaf321e5abp-3, -0x1.a4ba2e7f2c01ap-3, -0x1.a0ca4a8cfed5ep-3, -0x1.9ccc710f30bep-3, -0x1.98c1fe33de8bp-3, -0x1.94ac3d5586b4ap-3, -0x1.908c69a71fb34p-3, -0x1.8c63aedc390afp-3, -0x1.883329cb1c8ap-3, -0x1.83fbe909dd39ep-3, -0x1.7fbeed8712018p-3, -0x1.7b7d2b1c7ee36p-3, -0x1.7737891d3b4eap-3, -0x1.72eee2df0e436p-3, -0x1.6ea4083e53011p-3, -0x1.6a57be1d8cebbp-3, -0x1.660abee061a3fp-3, -0x1.61bdbae1aa2a5p-3, -0x1.5d7158e3f931dp-3, -0x1.592636817dd7fp-3, -0x1.54dce89226e8ep-3, -0x1.5095fb921a94ap-3, -0x1.4c51f4025c15dp-3, -0x1.48114ec5b1b0bp-3, -0x1.43d481799aaap-3, -0x1.3f9bfacc1b1f4p-3, -0x1.3b6822cde61f8p-3, -0x1.37395b40aa34dp-3, -0x1.330fffe26b394p-3, -0x1.2eec66b5fa2ddp-3, -0x1.2acee047ebddep-3, -0x1.26b7b7f06c6d7p-3, -0x1.22a73412ea81bp-3, -0x1.1e9d965ac0c25p-3, -0x1.1a9b1bf4ccfa6p-3, -0x1.169ffdc6dd135p-3, -0x1.12ac70a4f64d2p-3, -0x1.0ec0a583db053p-3, -0x1.0adcc9a921b94p-3, -0x1.070106d998a22p-3, -0x1.032d8385a0946p-3, -0x1.fec4c5e61ee03p-4, -0x1.f73f8acaae7c4p-4, -0x1.efcb90882c166p-4, -0x1.e8690c7f9c947p-4, -0x1.e1182ee95027ap-4, -0x1.d9d923178e3d3p-4, -0x1.d2ac0fb663d64p-4, -0x1.cb9117083a901p-4, -0x1.c488571f77afdp-4, -0x1.bd91ea15a5628p-4, -0x1.b6ade63fdc4bfp-4, -0x1.afdc5e60cc66p-4, -0x1.a91d61d835af1p-4, -0x1.a270fcd07d0fcp-4, -0x1.9bd73869bf22ep-4, -0x1.95501ae2ab4b1p-4, -0x1.8edba7bfc50e8p-4, -0x1.8879dff0e93f9p-4, -0x1.822ac1f4a51eep-4, -0x1.7bee49f991c7bp-4, -0x1.75c471fe60d4ap-4, -0x1.6fad31f0d477fp-4, -0x1.69a87fcae345ep-4, -0x1.63b64faddc3d4p-4, -0x1.5dd693fc60a04p-4, -0x1.58093d73ba8bbp-4, -0x1.524e3b440416fp-4, -0x1.4ca57b268487cp-4, -0x1.470ee972961abp-4, -0x1.418a713205913p-4, -0x1.3c17fc34fd773p-4, -0x1.36b77324c05c1p-4, -0x1.3168bd94ce6ccp-4, -0x1.2c2bc21310b78p-4, -0x1.270066379a2e9p-4, -0x1.21e68eb40bf3fp-4, -0x1.1cde1f62c5c06p-4, -0x1.17e6fb542bfe7p-4, -0x1.130104da6e639p-4, -0x1.0e2c1d9604f6ep-4, -0x1.096826821a72dp-4, -0x1.04b4ffffe1bffp-4, -0x1.001289e0cc275p-4, -0x1.f70146e043cb8p-5, -0x1.edfe56f92ba21p-5, -0x1.e51c00c394138p-5, -0x1.dc5a00228a98dp-5, -0x1.d3b8103503f53p-5, -0x1.cb35eb64bceb5p-5, -0x1.c2d34b74ddba2p-5, -0x1.ba8fe9907b78dp-5, -0x1.b26b7e59467b9p-5, -0x1.aa65c1f44b159p-5, -0x1.a27e6c159cc0bp-5, -0x1.9ab5340b9d57bp-5, -0x1.9309d0ca22e46p-5, -0x1.8b7bf8f5b121cp-5, -0x1.840b62ee1feb9p-5, -0x1.7cb7c4d838642p-5, -0x1.7580d4a6768cep-5, -0x1.6e6648217e2b4p-5, -0x1.6767d4f0a307ep-5, -0x1.608530a274b21p-5, -0x1.59be10b4d1eedp-5, -0x1.53122a9c31d86p-5, -0x1.4c8133ca544bp-5, -0x1.460ae1b4ad009p-5, -0x1.3faee9dae4d7fp-5, -0x1.396d01cd5e45ep-5, -0x1.3344df336f2f6p-5, -0x1.2d3637d118ef4p-5, -0x1.2740c18c37238p-5, -0x1.216432716dbdap-5, -0x1.1ba040b9149c5p-5, -0x1.15f4a2cc32faap-5, -0x1.10610f495b8e2p-5, -0x1.0ae53d093ca64p-5, -0x1.0580e322c3ed3p-5, -0x1.0033b8eefa61bp-5, -0x1.f5faec197f319p-6, -0x1.ebbba4c91b963p-6, -0x1.e1a90c587ffcbp-6, -0x1.d7c293d56cd07p-6, -0x1.ce07acf670a31p-6, -0x1.c477ca21209e7p-6, -0x1.bb125e6fec559p-6, -0x1.b1d6ddb7beebdp-6, -0x1.a8c4bc8dba451p-6, -0x1.9fdb704cdfeap-6, -0x1.971a6f1b9338dp-6, -0x1.8e812ff0b58ccp-6, -0x1.860f2a98549f7p-6, -0x1.7dc3d7b7fed7bp-6, -0x1.759eb0d2fef71p-6, -0x1.6d9f304e965f6p-6, -0x1.65c4d1763add1p-6, -0x1.5e0f107fb4c68p-6, -0x1.567d6a8eece3cp-6, -0x1.4f0f5db958856p-6, -0x1.47c46909199c5p-6, -0x1.409c0c804098cp-6, -0x1.3995c91c2df2cp-6, -0x1.32b120d877da6p-6, -0x1.2bed96b1616ccp-6, -0x1.254aaea698478p-6, -0x1.1ec7edbded2f8p-6, -0x1.1864da05c3885p-6, -0x1.1220fa9736347p-6, -0x1.0bfbd798172a2p-6, -0x1.05f4fa3cd666fp-6, -0x1.000becca74d9ep-6, -0x1.f480753091b8p-7, -0x1.e922e023773ecp-7, -0x1.ddfe356f959c7p-7, -0x1.d3119244ea1abp-7, -0x1.c85c1603d55d1p-7, -0x1.bddce23f5124fp-7, -0x1.b3931abf15319p-7, -0x1.a97de5812589dp-7, -0x1.9f9c6abc408b6p-7, -0x1.95edd4e0d2648p-7, -0x1.8c71509aaefe8p-7, -0x1.83260cd217c36p-7, -0x1.7a0b3aac9459fp-7, -0x1.71200d8d9cf0fp-7, -0x1.6863bb170ad5ep-7, -0x1.5fd57b295c02ep-7, -0x1.577487e3e2f8bp-7, -0x1.4f401da4deab3p-7, -0x1.47377b093d253p-7, -0x1.3f59e0ecaf846p-7, -0x1.37a6926863e29p-7, -0x1.301cd4d324b81p-7, -0x1.28bbefc00abf9p-7, -0x1.21832cfd7d198p-7, -0x1.1a71d893fd5d4p-7, -0x1.138740c4d663ep-7, -0x1.0cc2b608b10a3p-7, -0x1.06238b0e0dc88p-7, -0x1.ff52296f513dp-8, -0x1.f2a554355ecb2p-8, -0x1.e63f48f99092bp-8, -0x1.da1ebea3e829ap-8, -0x1.ce42707459e39p-8, -0x1.c2a91dfdb8f77p-8, -0x1.b7518b209983ep-8, -0x1.ac3a80061a15bp-8, -0x1.a162c91ab0d8p-8, -0x1.96c93708f0e2p-8, -0x1.8c6c9eb416199p-8, -0x1.824bd9323d7c2p-8, -0x1.7865c3c62e818p-8, -0x1.6eb93fd865174p-8, -0x1.654532efd7c6p-8, -0x1.5c0886aa9987bp-8, -0x1.530228b72af94p-8, -0x1.4a310acab88bdp-8, -0x1.419422a025ea9p-8, -0x1.392a69ec1667dp-8, -0x1.30f2de589c7bp-8, -0x1.28ec817dddd76p-8, -0x1.211658d92036fp-8, -0x1.196f6dc3ff3e5p-8, -0x1.11f6cd6ae4f14p-8, -0x1.0aab88c3a1662p-8, -0x1.038cb484d4742p-8, -0x1.f932d23c4fe7dp-9, -0x1.eba18562bf489p-9, -0x1.de63c2173d13cp-9, -0x1.d177cf3c7c7fdp-9, -0x1.c4dbfaecc01d3p-9, -0x1.b88e9a660136cp-9, -0x1.ac8e09f386cbap-9, -0x1.a0d8acd6c7448p-9, -0x1.956ced316d345p-9, -0x1.8a493bf1ff127p-9, -0x1.7f6c10c3aa4a5p-9, -0x1.74d3ea00f953p-9, -0x1.6a7f4ca7dafc4p-9, -0x1.606cc44c4a739p-9, -0x1.569ae307f2eafp-9, -0x1.4d0841650143ep-9, -0x1.43b37e45192fp-9, -0x1.3a9b3ec63ad0fp-9, -0x1.31be2e287ee22p-9, -0x1.291afdb750c6p-9, -0x1.20b064b87d03bp-9, -0x1.187d205fcb5c6p-9, -0x1.107ff3c614081p-9, -0x1.08b7a7e02248ap-9, -0x1.01230b71dd58ap-9, -0x1.f381e5f69b333p-10, -0x1.e520713e22b38p-10, -0x1.d71f780698119p-10, -0x1.c97cc473c4d63p-10, -0x1.bc362b17f216dp-10, -0x1.af498b16c7b82p-10, -0x1.a2b4cdc37eaafp-10, -0x1.9675e6b64e4eap-10, -0x1.8a8ad3bdda562p-10, -0x1.7ef19cd6747d6p-10, -0x1.73a8541544e63p-10, -0x1.68ad1581cf983p-10, -0x1.5dfe06dd9dba3p-10, -0x1.5399575f194bep-10, -0x1.497d3f69c5565p-10, -0x1.3fa8004dcafbdp-10, -0x1.3617e418c64f7p-10, -0x1.2ccb3d7b7973cp-10, -0x1.23c067c2e8513p-10, -0x1.1af5c6dd7ba3dp-10, -0x1.1269c76110782p-10, -0x1.0a1ade86a328dp-10, -0x1.02078a12721f4p-10, -0x1.f45ca04a918afp-11, -0x1.e51b7df48068bp-11, -0x1.d648d932bc03ep-11, -0x1.c7e1ed198a854p-11, -0x1.b9e403372f1c6p-11, -0x1.ac4c732d7cb0bp-11, -0x1.9f18a2c3ec41bp-11, -0x1.924605a44232p-11, -0x1.85d21d8c204c3p-11, -0x1.79ba7a6b661fdp-11, -0x1.6dfcba75adcfbp-11, -0x1.629689eba9037p-11, -0x1.5785a3228ab8bp-11, -0x1.4cc7cdd6db2dfp-11, -0x1.425adec6ccae5p-11, -0x1.383cb7152b34cp-11, -0x1.2e6b43bb2a80ap-11, -0x1.24e47d17cd785p-11, -0x1.1ba666a3a29b6p-11, -0x1.12af0ec4bc2cfp-11, -0x1.09fc8ec92abf3p-11, -0x1.018d0aeb1bb82p-11, -0x1.f2bd64c9ad83fp-12, -0x1.e2df7f081d0b6p-12, -0x1.d37cef6daa3c2p-12, -0x1.c492570c2f144p-12, -0x1.b61c6cdfc59c7p-12, -0x1.a817fd302be74p-12, -0x1.9a81e89f9aebcp-12, -0x1.8d572310e7259p-12, -0x1.8094b299c7645p-12, -0x1.7437aea8f1767p-12, -0x1.683d3f65bd99p-12, -0x1.5ca29d3b86c14p-12, -0x1.5165107dfde78p-12, -0x1.4681f12ba88acp-12, -0x1.3bf6a6e64ba3cp-12, -0x1.31c0a940df8b3p-12, -0x1.27dd805a59cc6p-12, -0x1.1e4ac58b2ba51p-12, -0x1.150623cb8e74p-12, -0x1.0c0d5784566b4p-12, -0x1.035e2dbeaeb2fp-12, -0x1.f5ed05ce15acdp-13, -0x1.e5a8831bb4dd4p-13, -0x1.d5eac2af2f2e1p-13, -0x1.c6afcca76690dp-13, -0x1.b7f3c0c957b9cp-13, -0x1.a9b2d53c597b2p-13, -0x1.9be955222c388p-13, -0x1.8e939fa3fc61cp-13, -0x1.81ae282d302e7p-13, -0x1.75357828a7ebfp-13, -0x1.692631af8a854p-13, -0x1.5d7d11fdf0582p-13, -0x1.5236f27c71f28p-13, -0x1.4750c7ea01c05p-13, -0x1.3cc7a01c054f1p-13, -0x1.32989f641b488p-13, -0x1.28c0ffb9bf16p-13, -0x1.1f3e0c31502p-13, -0x1.160d223943822p-13, -0x1.0d2bb520aa699p-13, -0x1.0497432c2379p-13, -0x1.f89ab2006bfabp-14, -0x1.e8971e660e658p-14, -0x1.d91f15072622ap-14, -0x1.ca2dfbcfe691cp-14, -0x1.bbbf5a838b761p-14, -0x1.adcedeafccb7ep-14, -0x1.a0585c7a3bcbap-14, -0x1.9357cc956863ap-14, -0x1.86c94a1ae9449p-14, -0x1.7aa910c21d3b1p-14, -0x1.6ef37e33f960ep-14, -0x1.63a512ee60f33p-14, -0x1.58ba709646f76p-14, -0x1.4e3054f2e9a55p-14, -0x1.440392fd6ebfdp-14, -0x1.3a310d5149d99p-14, -0x1.30b5b47d5fca9p-14, -0x1.278e88f8e6a7bp-14, -0x1.1eb89e56759dp-14, -0x1.16311d6b35e8fp-14, -0x1.0df54446285bp-14, -0x1.0602640b07c4fp-14, -0x1.fcabc012cc4b9p-15, -0x1.edda56c455b91p-15, -0x1.df8b97c08312dp-15, -0x1.d1babfa73cb5bp-15, -0x1.c4634a79c51b9p-15, -0x1.b780fb784fa04p-15, -0x1.ab0fceb54c48cp-15, -0x1.9f0bf2f2fd829p-15, -0x1.9371a5e663c83p-15, -0x1.883d2ff401dd3p-15, -0x1.7d6ae6f307c8dp-15, -0x1.72f7396aa1936p-15, -0x1.68deb5e1dec64p-15, -0x1.5f1e097f92bb8p-15, -0x1.55b1f84763897p-15, -0x1.4c9754ebdd486p-15, -0x1.43cafc737c934p-15, -0x1.3b49d70041e29p-15, -0x1.3310dd538578bp-15, -0x1.2b1d2219d1a78p-15, -0x1.236bddc702f8fp-15, -0x1.1bfa79ef75589p-15, -0x1.14c6965f0a22ap-15, -0x1.0dce0294677d2p-15, -0x1.070eac47072fdp-15, -0x1.00868b88a2b09p-15, -0x1.f4672e71b317cp-16, -0x1.e8278e6246da6p-16, -0x1.dc4a3da9fc137p-16, -0x1.d0cb6caf485eap-16, -0x1.c5a77805fda5dp-16, -0x1.badadc9859a28p-16, -0x1.b062279e305a8p-16, -0x1.a639ee93d3c62p-16, -0x1.9c5ed3215df61p-16, -0x1.92cd8dd686c4p-16, -0x1.8982f608de861p-16, -0x1.807c039cd3cfep-16, -0x1.77b5d09bf7c69p-16, -0x1.6f2dab5b5ed8ep-16, -0x1.66e126804d3f4p-16, -0x1.5ece1986da4abp-16, -0x1.56f2819b745fep-16, -0x1.4f4c58f6bc709p-16, -0x1.47d9876045d53p-16, -0x1.4097f42a48ed3p-16, -0x1.39859f1ca8d88p-16, -0x1.32a0a57dfdb43p-16, -0x1.2be737541e17ap-16, -0x1.255790a92c758p-16, -0x1.1eeffc45e9ad4p-16, -0x1.18aed6e2584c5p-16, -0x1.12928cf707ff3p-16, -0x1.0c99954053bbbp-16, -0x1.06c26d1f26592p-16, -0x1.010b9c57e12b5p-16, -0x1.f6e781e17cdbbp-17, -0x1.ebf336b5d0fcp-17, -0x1.e1381e93f52d9p-17, -0x1.d6b42d065b93p-17, -0x1.cc6560481e96fp-17, -0x1.c249b2a31f942p-17, -0x1.b85f248c52ff8p-17, -0x1.aea3d02762e8ep-17, -0x1.a515f3b21d6aep-17, -0x1.9bb3eab8cf96dp-17, -0x1.927c1c5d01dd3p-17, -0x1.896cf42b9d4c4p-17, -0x1.8084eb01706ap-17, -0x1.77c2975d5c0a8p-17, -0x1.6f249dba6284p-17, -0x1.66a9b9b55d12bp-17, -0x1.5e50a6bb5c738p-17, -0x1.5618289010906p-17, -0x1.4dff10b162678p-17, -0x1.46044dabb628cp-17, -0x1.3e26f2b402c8dp-17, -0x1.36662b8a7f826p-17, -0x1.2ec128c2b148bp-17, -0x1.2737195ed246dp-17, -0x1.1fc72fa6040eep-17, -0x1.1870a154e6e7dp-17, -0x1.1132a54ae333bp-17, -0x1.0a0c7dc66d53cp-17, -0x1.02fd8a0a62584p-17, -0x1.f80a8d296e6b5p-18, -0x1.ea466f9122426p-18, -0x1.dcadb74832296p-18, -0x1.cf3f619b6ae14p-18, -0x1.c1fa7b1ce692ap-18, -0x1.b4de19d2ba46ep-18, -0x1.a7e95e1832adfp-18, -0x1.9b1b7fed96ffcp-18, -0x1.8e73c3f27afc9p-18, -0x1.81f1799d7f0adp-18, -0x1.7593f96daae52p-18, -0x1.695aa14333544p-18, -0x1.5d44e3cfe719fp-18, -0x1.51525537a65e9p-18, -0x1.45829b1e1d077p-18, -0x1.39d55322b423ep-18, -0x1.2e4a0d006db59p-18, -0x1.22e04f54d1514p-18, -0x1.17979fc6ef79cp-18, -0x1.0c6f93e91aae9p-18, -0x1.0167df03e6d87p-18, -0x1.ed00ad0ad92c4p-19, -0x1.d771a962e1f16p-19, -0x1.c2223436fe6eap-19, -0x1.ad11bfc397e79p-19, -0x1.983fe3730a4efp-19, -0x1.83ac50f6966e7p-19, -0x1.6f56bb4e319ccp-19, -0x1.5b3ecc24af3f9p-19, -0x1.476421e3117d5p-19, -0x1.33c65ae7bf5b1p-19, -0x1.20652f96f4733p-19, -0x1.0d4083712ef2p-19, -0x1.f4b08204a9bbbp-20, -0x1.cf586af47677dp-20, -0x1.aa7853dbd59fp-20, -0x1.860fef9c79796p-20, -0x1.621efbc3bbb1ep-20, -0x1.3ea53c511b4efp-20, -0x1.1ba275c1598b6p-20, -0x1.f22cbdb10e984p-21, -0x1.ae01551c859eap-21, -0x1.6ac2344d36ba4p-21, -0x1.286ef796e4be7p-21, -0x1.ce0eb61cce82p-22, -0x1.4d1631bbaf5ap-22, -0x1.9be6eed923598p-23, -0x1.42970f8b79b8fp-24, 0x1.5699278e3fefbp-25, 0x1.48f078e78eddep-23, 0x1.1c4ab767179a2p-22, 0x1.924ba336d68f1p-22, 0x1.033dcf26722dep-21, 0x1.3c6d8a867ddb5p-21, 0x1.74b57c4475704p-21, 0x1.ac162f3ab83d9p-21, 0x1.e2900ef8aa571p-21, 0x1.0c11cb04488ap-20, 0x1.2668a393c5dc1p-20, 0x1.404cd1f6e81a4p-20, 0x1.59be9adbfc769p-20, 0x1.72be48cc56fb6p-20, 0x1.8b4c2acda43c6p-20, 0x1.a36892f77885dp-20, 0x1.bb13d85de3997p-20, 0x1.d24e5856611f3p-20, 0x1.e918713388166p-20, 0x1.ff7283e8ee51cp-20, 0x1.0aae7e9131bfep-19, 0x1.156c0c6c09d95p-19, 0x1.1ff1ab0b4209ap-19, 0x1.2a40b47bfc51fp-19, 0x1.34594367416dp-19, 0x1.3e3a96470daf6p-19, 0x1.47e5691ac370ep-19, 0x1.515a102153b63p-19, 0x1.5a98cc314d0d9p-19, 0x1.63a1ddf997b32p-19, 0x1.6c758cac8b4f4p-19, 0x1.7514225644ab7p-19, 0x1.7d7dea230d21dp-19, 0x1.85b33143cdb5cp-19, 0x1.8db44728fabffp-19, 0x1.95817d68cae0ep-19, 0x1.9d1b279ebc226p-19, 0x1.a4819b614b454p-19, 0x1.abb5303479a32p-19, 0x1.b2b63f78a802ap-19, 0x1.b9852443a2f8dp-19, 0x1.c0223b46705ep-19, 0x1.c68de2d5dddabp-19, 0x1.ccc87b73fafccp-19, 0x1.d2d2669bb49bfp-19, 0x1.d8ac05f36092dp-19, 0x1.de55c04296f35p-19, 0x1.e3cffd3eaf1cfp-19, 0x1.e91b25fc9c797p-19, 0x1.ee37a33b2ba2dp-19, 0x1.f325e03b97259p-19, 0x1.f7e64843be376p-19, 0x1.fc794917ac7ddp-19, 0x1.006fa7073e215p-18, 0x1.028ccb2719c09p-18, 0x1.04931908b9564p-18, 0x1.0683fbe4fe3aap-18, 0x1.085f43c82daf5p-18, 0x1.0a252b7431dcp-18, 0x1.0bd5ee8f7b9aap-18, 0x1.0d71c847bc371p-18, 0x1.0ef8f3b200c75p-18, 0x1.106bd55abab4fp-18, 0x1.11ca309dbe209p-18, 0x1.1314ba035f3f7p-18, 0x1.144b8665cea9cp-18, 0x1.156ed355e1fb8p-18, 0x1.167ede80270bdp-18, 0x1.177be58bb6111p-18, 0x1.186626399251ap-18, 0x1.193dde4b3949bp-18, 0x1.1a034bd156427p-18, 0x1.1ab6ae493ad83p-18, 0x1.1b58444a01094p-18, 0x1.1be84c978c0e2p-18, 0x1.1c6706651a426p-18, 0x1.1cd4b011909aep-18, 0x1.1d3188ddda021p-18, 0x1.1d7dcfe8c3b73p-18, 0x1.1db9c42b948b7p-18, 0x1.1de5a4ad36ef6p-18, 0x1.1e01b079919c7p-18, 0x1.1e0e26952acfap-18, 0x1.1e0b45f1b3d5p-18, 0x1.1df94d676a3c4p-18, 0x1.1dd87c95810f9p-18, 0x1.1da912ee7a9e7p-18, 0x1.1d6b4a1ef6d2ep-18, 0x1.1d1f64d98bbedp-18, 0x1.1cc5a05f52ce6p-18, 0x1.1c5e3ac51a89fp-18, 0x1.1be972379bc71p-18, 0x1.1b678512e1f79p-18, 0x1.1ad8af81f0825p-18, 0x1.1a3d2e59bf2e2p-18, 0x1.19953ed07d026p-18, 0x1.18e11db311c16p-18, 0x1.182107ccd23b3p-18, 0x1.175538cab01b6p-18, 0x1.167dec6e70294p-18, 0x1.159b5e32bf714p-18, 0x1.14adc9391b67ep-18, 0x1.13b56838a0ecbp-18, 0x1.12b275af8d7dap-18, 0x1.11a52b8a0588dp-18, 0x1.108dc3a61ce99p-18, 0x1.0f6c7738b8413p-18, 0x1.0e417f048b4a8p-18, 0x1.0d0d137559774p-18, 0x1.0bcf6c864bba3p-18, 0x1.0a88c0fb5d55fp-18, 0x1.093948f080cbcp-18, 0x1.07e13b4a95277p-18, 0x1.0680d028246bdp-18, 0x1.05183cc672228p-18, 0x1.03a7b286c3ee4p-18, 0x1.022f69a024dd9p-18, 0x1.00af95d83831cp-18, 0x1.fe50d696a53edp-19, 0x1.fb343ad5ae409p-19, 0x1.f809be60e4984p-19, 0x1.f4d1c63aec1c3p-19, 0x1.f18cb647d1526p-19, 0x1.ee3af1894f91p-19, 0x1.eadcd9d41287cp-19, 0x1.e772d02842fe2p-19, 0x1.e3fd34599d38cp-19, 0x1.e07c653803a4fp-19, 0x1.dcf0c0863c706p-19, 0x1.d95aa2ec7e562p-19, 0x1.d5ba67ff1efa6p-19, 0x1.d2106a4e146ccp-19, 0x1.ce5d036c8207ep-19, 0x1.caa08bc538f31p-19, 0x1.c6db5a9a8722ep-19, 0x1.c30dc62d78c99p-19, 0x1.bf3823c6dd10dp-19, 0x1.bb5ac77b26996p-19, 0x1.b77604459f202p-19, 0x1.b38a2c0ecca45p-19, 0x1.af978f824e182p-19, 0x1.ab9e7e767cad9p-19, 0x1.a79f47916ec9bp-19, 0x1.a39a38516367cp-19, 0x1.9f8f9d4c5fb0bp-19, 0x1.9b7fc1c606e4ap-19, 0x1.976aefeb9c74dp-19, 0x1.935170eecbdcdp-19, 0x1.8f338d1896f0bp-19, 0x1.8b118b510e365p-19, 0x1.86ebb1751ae5ep-19, 0x1.82c244985d8bp-19, 0x1.7e95887fe1d93p-19, 0x1.7a65bfcc9e371p-19, 0x1.76332bb15be0cp-19, 0x1.71fe143bdfb66p-19, 0x1.6dc6a58325bcp-19, 0x1.698d315d38ed8p-19, 0x1.6551ede138412p-19, 0x1.611517f9398a5p-19, 0x1.5cd6ea6979d92p-19, 0x1.5897a1f570b3bp-19, 0x1.5457780864d6p-19, 0x1.5016ad92d5a23p-19, 0x1.4bd54dd32b94bp-19, 0x1.4793aef2c8459p-19, 0x1.435248d9b796ep-19, 0x1.3f10d38486008p-19, 0x1.3acfc9826642ep-19, 0x1.368f53e3770cdp-19, 0x1.324fa1fbfe328p-19, 0x1.2e10e3bc65e57p-19, 0x1.29d34878fb786p-19, 0x1.2596fe971f731p-19, 0x1.215c337cda05bp-19, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.7cabce815a85ap-11, -0x1.6b2ada24b9281p-10, -0x1.b8fabb1b85d28p-8, -0x1.d583c77f8c2d6p-7, -0x1.73fba142053c2p-6, -0x1.f12e80c61db1ap-6, -0x1.2685a3bb062d9p-5, -0x1.3ba8f0aabc59fp-5, -0x1.329103b823d97p-5, -0x1.084bfdd1f1413p-5, -0x1.78152b8d1e7aep-6, -0x1.3ad938a83ecbp-7, 0x1.ebb7c1e138089p-8, 0x1.caa455e19298ep-6, 0x1.a5117dfb233dp-5, 0x1.3c489e20790a2p-4, 0x1.adc5ab6e567cep-4, 0x1.1270b3e585e29p-3, 0x1.4fc91bd3c8baep-3, 0x1.8df7950faf4bfp-3, 0x1.cc1bf728a08fp-3, 0x1.04b66ae1b5d77p-2, 0x1.229c578ec5b21p-2, 0x1.3f7311ca85fcfp-2, 0x1.5af9b97592a3fp-2, 0x1.74fab9081f46fp-2, 0x1.8d4b112ceadbep-2, 0x1.a3c986f121435p-2, 0x1.b85dc0db9a3d3p-2, 0x1.caf75e0b04a2ep-2, 0x1.db8d0f7d79b33p-2, 0x1.ea1bb83cc1fe2p-2, 0x1.f6a59a37c1a1ap-2, 0x1.0098c83d1b59ep-1, 0x1.04e52cdc3e6cfp-1, 0x1.083ef9b715f49p-1, 0x1.0aae823dbf92cp-1, 0x1.0c3d2b99c02a7p-1, 0x1.0cf5316159a22p-1, 0x1.0ce170f3c6374p-1, 0x1.0c0d3aab134cp-1, 0x1.0a8428d24c713p-1, 0x1.0851fc2ffbcdbp-1, 0x1.05827d756af98p-1, 0x1.022162e1ba18fp-1, 0x1.fc747383e6a9ap-2, 0x1.f3b0a74911e7fp-2, 0x1.ea0d6df382b04p-2, 0x1.dfa0255f9f3eap-2, 0x1.d47d68a4875b1p-2, 0x1.c8b900a16a8cp-2, 0x1.bc65d85b94e77p-2, 0x1.af95f4cc1d263p-2, 0x1.a25a6fc381c65p-2, 0x1.94c375801c6c8p-2, 0x1.86e044829da38p-2, 0x1.78bf2f5399ba5p-2, 0x1.6a6d9fd767a97p-2, 0x1.5bf81be4bbe95p-2, 0x1.4d6a4b0ecd986p-2, 0x1.3ecefd261606ap-2, 0x1.303031ab69bc5p-2, 0x1.21971f94ed515p-2, 0x1.130c3dc2f1dd2p-2, 0x1.04974b72c6e9fp-2, 0x1.ec7eb2758e3e5p-3, 0x1.d015a34409caap-3, 0x1.b3ff04a64c4d6p-3, 0x1.984548dcad328p-3, 0x1.7cf1cb77fede5p-3, 0x1.620ce0de43bfcp-3, 0x1.479de85e4d511p-3, 0x1.2dab5a4b92701p-3, 0x1.143ad95b676e6p-3, 0x1.f6a27ee73d154p-4, 0x1.c5e55b5e9d603p-4, 0x1.964530c4a5dd2p-4, 0x1.67c7aa0880c24p-4, 0x1.3a714bf3d71f6p-4, 0x1.0e458bfa5a35p-4, 0x1.c68dcef64156cp-5, 0x1.72edec8706e8bp-5, 0x1.21ad0084803a5p-5, 0x1.a596363de1d0cp-6, 0x1.0c8de45666fbep-6, 0x1.e0eff7b8dae55p-8, -0x1.766c6501f4885p-10, -0x1.44c76c62744e5p-7, -0x1.28c5f132863bbp-6, -0x1.aa9a37684d311p-6, -0x1.13f75ebe10761p-5, -0x1.50698170139a8p-5, -0x1.8aabd586a6d99p-5, -0x1.c2c72d067476ep-5, -0x1.f8c4c9746a78cp-5, -0x1.1657263f0de8dp-4, -0x1.2f46d4eb4d8cdp-4, -0x1.47368ce001d11p-4, -0x1.5e2b86a30a11bp-4, -0x1.742b11514d214p-4, -0x1.893a8d9859fdp-4, -0x1.9d5f68fa62041p-4, -0x1.b09f1957aaf2fp-4, -0x1.c2ff1936ee78ap-4, -0x1.d484e3f5dc355p-4, -0x1.e535f2a154caep-4, -0x1.f517b91c6e31bp-4, -0x1.0217d1a13c8d1p-3, -0x1.0941896179dc2p-3, -0x1.100bae7a81b94p-3, -0x1.1678e46a92b8ep-3, -0x1.1c8bc6cd9037bp-3, -0x1.2246e891772e2p-3, -0x1.27acd34ae0e37p-3, -0x1.2cc006c514c65p-3, -0x1.3182f875822a8p-3, -0x1.35f8130d0d07cp-3, -0x1.3a21b63da57f6p-3, -0x1.3e0236619681ap-3, -0x1.419bdc34aee5dp-3, -0x1.44f0e4c344a07p-3, -0x1.4803813cf8b51p-3, -0x1.4ad5d6c7ad4a9p-3, -0x1.4d69fe8985557p-3, -0x1.4fc205a43a151p-3, -0x1.51dfed19c2445p-3, -0x1.53c5a9e25be9ep-3, -0x1.5575250b57678p-3, -0x1.56f03bb014314p-3, -0x1.5838bf0e2b3b5p-3, -0x1.595074bb61b85p-3, -0x1.5a3916bb74767p-3, -0x1.5af4538f4a624p-3, -0x1.5b83ce6d48d75p-3, -0x1.5be91f75b7e8bp-3, -0x1.5c25d3c9db1c8p-3, -0x1.5c3b6db6a535p-3, -0x1.5c2b64f704403p-3, -0x1.5bf726e250a22p-3, -0x1.5ba0168f5e5fdp-3, -0x1.5b278d0d4206dp-3, -0x1.5a8ed9a2d36p-3, -0x1.59d741fdbe532p-3, -0x1.590202601b50ep-3, -0x1.58104dda80b8dp-3, -0x1.57034e8704612p-3, -0x1.55dc25bca44d7p-3, -0x1.549bec41b211ep-3, -0x1.5343b28105d0ep-3, -0x1.51d480c0c5d74p-3, -0x1.504f5759ce4fep-3, -0x1.4eb52eeb98a43p-3, -0x1.4d06f88ab3525p-3, -0x1.4b459df1f42bep-3, -0x1.497201bb5eaafp-3, -0x1.478cff954557ap-3, -0x1.45976c6b51325p-3, -0x1.4392168f650dcp-3, -0x1.417dc5efa1e53p-3, -0x1.3f5b3c4daa7f5p-3, -0x1.3d2b3566244c9p-3, -0x1.3aee67108b393p-3, -0x1.38a5816bf61b4p-3, -0x1.36512f1691cp-3, -0x1.33f2155922886p-3, -0x1.3188d441f107cp-3, -0x1.2f1606c3b2facp-3, -0x1.2c9a42e593565p-3, -0x1.2a1619f44e896p-3, -0x1.278a18a1503a5p-3, -0x1.24f6c717368bfp-3, -0x1.225ca9196cc2ap-3, -0x1.1fbc3e32514ccp-3, -0x1.1d1601dc175a2p-3, -0x1.1a6a6b97b55f4p-3, -0x1.17b9eefe026a9p-3, -0x1.1504fbdd480fap-3, -0x1.124bfe628682ap-3, -0x1.0f8f5f3c45ad2p-3, -0x1.0ccf83ad4d4a7p-3, -0x1.0a0ccd9a99e0fp-3, -0x1.07479ba414aadp-3, -0x1.04804947f870ep-3, -0x1.01b72f0200e04p-3, -0x1.fdd944b9c4f2dp-4, -0x1.f841ebfad3b74p-4, -0x1.f2a8f36961a39p-4, -0x1.ed0ef53955fdbp-4, -0x1.e7748669c4142p-4, -0x1.e1da36e9f3abbp-4, -0x1.dc4091ad30d34p-4, -0x1.d6a81cc2650bfp-4, -0x1.d111597cfc655p-4, -0x1.cb7cc4a74b994p-4, -0x1.c5ead6ab51f8dp-4, -0x1.c05c03a9d931bp-4, -0x1.bad0bb8a632c8p-4, -0x1.b5496a13b7bdp-4, -0x1.afc67711845acp-4, -0x1.aa48467ccee4p-4, -0x1.a4cf3899f9e1ep-4, -0x1.9f5baa0a15c39p-4, -0x1.99edf3d9152c8p-4, -0x1.94866b93a6096p-4, -0x1.8f25636687c71p-4, -0x1.89cb2a3f07ad1p-4, -0x1.84780be38648fp-4, -0x1.7f2c51029a492p-4, -0x1.79e83f3f5d506p-4, -0x1.74ac1942cf4f9p-4, -0x1.6f781ed45db36p-4, -0x1.6a4c8cf4875adp-4, -0x1.65299df2ace0ep-4, -0x1.600f897bcbac3p-4, -0x1.5afe84a574f14p-4, -0x1.55f6c1faae1f1p-4, -0x1.50f8718e0a4d2p-4, -0x1.4c03c10f10f78p-4, -0x1.4718dbde36fcfp-4, -0x1.4237eb1c1ceb7p-4, -0x1.3d6115b4835fp-4, -0x1.389480684f6b7p-4, -0x1.33d24dda10152p-4, -0x1.2f1a9e9dfe4e3p-4, -0x1.2a6d914b52f19p-4, -0x1.25cb428bc3834p-4, -0x1.2133cd279e1bbp-4, -0x1.1ca74a0f5630bp-4, -0x1.1825d064b1246p-4, -0x1.13af7585cf662p-4, -0x1.0f444d1a717f7p-4, -0x1.0ae4692209e73p-4, -0x1.068fda00998f3p-4, -0x1.0246ae895843bp-4, -0x1.fc11e80f0473fp-5, -0x1.f3ad6c8d549bdp-5, -0x1.eb5fff37f53cp-5, -0x1.e329b1e1eef71p-5, -0x1.db0a939e1c7d6p-5, -0x1.d302b0d55e3c8p-5, -0x1.cb12135a3d838p-5, -0x1.c338c279c4b58p-5, -0x1.bb76c30ad79f5p-5, -0x1.b3cc177dd4a26p-5, -0x1.ac38bfeddb616p-5, -0x1.a4bcba33a7b24p-5, -0x1.9d5801f8b239ep-5, -0x1.960a90c948cbep-5, -0x1.8ed45e24e2ac5p-5, -0x1.87b55f8cd5499p-5, -0x1.80ad889231fdp-5, -0x1.79bccae3f07edp-5, -0x1.72e3165e305d4p-5, -0x1.6c20591a37be5p-5, -0x1.65747f7e7e184p-5, -0x1.5edf744dfa532p-5, -0x1.586120b662b35p-5, -0x1.51f96c5d5cca3p-5, -0x1.4ba83d6d0755p-5, -0x1.456d78a08df5ap-5, -0x1.3f49015129fdbp-5, -0x1.393ab983bcfb2p-5, -0x1.334281f64436ep-5, -0x1.2d603a2d0c845p-5, -0x1.2793c07f2f1b8p-5, -0x1.21dcf2226da83p-5, -0x1.1c3bab3687f1ep-5, -0x1.16afc6d0414aep-5, -0x1.11391f047f54cp-5, -0x1.0bd78cf39b156p-5, -0x1.068ae8d4c23acp-5, -0x1.01530a0116edfp-5, -0x1.f85f8dfd18e39p-6, -0x1.ee41eb146f73p-6, -0x1.e44cd5453b106p-6, -0x1.da7ff522d6c4bp-6, -0x1.d0daf1ea29668p-6, -0x1.c75d7194873b6p-6, -0x1.be0718ea565ffp-6, -0x1.b4d78b955e0b6p-6, -0x1.abce6c32a8bffp-6, -0x1.a2eb5c64461d5p-6, -0x1.9a2dfce2f1f5p-6, -0x1.9195ed8fad4c5p-6, -0x1.8922cd84f7aa9p-6, -0x1.80d43b2729558p-6, -0x1.78a9d4339fac7p-6, -0x1.70a335cef4a08p-6, -0x1.68bffc9284d94p-6, -0x1.60ffc49a0338p-6, -0x1.59622991b53d3p-6, -0x1.51e6c6c5d1599p-6, -0x1.4a8d37329bf26p-6, -0x1.435515944c197p-6, -0x1.3c3dfc7532d71p-6, -0x1.354786395789ep-6, -0x1.2e714d2764c68p-6, -0x1.27baeb70247b9p-6, -0x1.2123fb35e374bp-6, -0x1.1aac16975f372p-6, -0x1.1452d7bc9b85ep-6, -0x1.0e17d8e7d1ccep-6, -0x1.07fab486faa7ap-6, -0x1.01fb0542f6b71p-6, -0x1.f830cc139383bp-7, -0x1.eca4e424ffa8p-7, -0x1.e15189b82d2c6p-7, -0x1.d635f455fb4d4p-7, -0x1.cb515c13d7a1cp-7, -0x1.c0a2f9a3ffb6fp-7, -0x1.b62a0676f4f05p-7, -0x1.abe5bce9f7e27p-7, -0x1.a1d55877a2ed2p-7, -0x1.97f815dd1f582p-7, -0x1.8e4d33288e0e1p-7, -0x1.84d3efacc0f16p-7, -0x1.7b8b8bdffb0eap-7, -0x1.72734934e8401p-7, -0x1.698a6a00b708dp-7, -0x1.60d0317ee94ccp-7, -0x1.5843e3fa5a257p-7, -0x1.4fe4c714c80d8p-7, -0x1.47b2221ae23b2p-7, -0x1.3fab3e4a6474ep-7, -0x1.37cf66f23adcfp-7, -0x1.301de95f30012p-7, -0x1.2896149816698p-7, -0x1.213738fe3dd3dp-7, -0x1.1a00a7f35cb06p-7, -0x1.12f1b3a708637p-7, -0x1.0c09af2484bc6p-7, -0x1.0547eea5db967p-7, -0x1.fd579033d053ap-8, -0x1.f069276feaa1p-8, -0x1.e3c358e714efcp-8, -0x1.d764e04fc613p-8, -0x1.cb4c7ed09af8ep-8, -0x1.bf78f9ee96feep-8, -0x1.b3e91a28fae1cp-8, -0x1.a89ba989e4e9cp-8, -0x1.9d8f72c0ace61p-8, -0x1.92c341076da25p-8, -0x1.8835e0f655dbbp-8, -0x1.7de62219e3f81p-8, -0x1.73d2d8e3d91dp-8, -0x1.69fae06c17602p-8, -0x1.605d1b79e9cecp-8, -0x1.56f8747ab52e7p-8, -0x1.4dcbdc5282dd8p-8, -0x1.44d648482c38ap-8, -0x1.3c16af931395dp-8, -0x1.338c09344afe2p-8, -0x1.2b354ab8fa292p-8, -0x1.2311684c4d581p-8, -0x1.1b1f5628958dbp-8, -0x1.135e0b18dc94bp-8, -0x1.0bcc83704eb2fp-8, -0x1.0469c3b573d5ep-8, -0x1.fa69b492084dbp-9, -0x1.ec59bf152166ap-9, -0x1.dea1e8b6d5953p-9, -0x1.d1407e93df398p-9, -0x1.c433d21b1d891p-9, -0x1.b77a32503b267p-9, -0x1.ab11e70f6d45cp-9, -0x1.9ef92f88d8d8fp-9, -0x1.932e44712773cp-9, -0x1.87af5d7c9cf39p-9, -0x1.7c7ab904eb693p-9, -0x1.718ea404e8754p-9, -0x1.66e980a4f87d9p-9, -0x1.5c89c9ae33e19p-9, -0x1.526e1204f96d5p-9, -0x1.489500218e2f5p-9, -0x1.3efd466e0722ep-9, -0x1.35a59a2874269p-9, -0x1.2c8caac6b54a6p-9, -0x1.23b11bc08a2cbp-9, -0x1.1b11822ac666fp-9, -0x1.12ac66ba61617p-9, -0x1.0a804bd58139fp-9, -0x1.028bb672bb5f4p-9, -0x1.f59a6fceabe82p-10, -0x1.e686ed23c90a3p-10, -0x1.d7da6718bea45p-10, -0x1.c992986466bc2p-10, -0x1.bbad6e3b1ad8p-10, -0x1.ae28fa4a28199p-10, -0x1.a1035f55cc102p-10, -0x1.943abc3b16789p-10, -0x1.87cd198c4ede3p-10, -0x1.7bb85da4f75eep-10, -0x1.6ffa49ceed7f2p-10, -0x1.64908116025f6p-10, -0x1.59789727650a6p-10, -0x1.4eb023dc45926p-10, -0x1.4434d758cd68cp-10, -0x1.3a048b07a60fap-10, -0x1.301d4cc2c805dp-10, -0x1.267d628dcfcc3p-10, -0x1.1d23463df21adp-10, -0x1.140d995cbdb1ap-10, -0x1.0b3b12e72d917p-10, -0x1.02aa6a0cf2ce5p-10, -0x1.f4b484cb374b3p-11, -0x1.e4923c92b0137p-11, -0x1.d4eab539032b5p-11, -0x1.c5ba692442d89p-11, -0x1.b6fdada830842p-11, -0x1.a8b0d3360e3e9p-11, -0x1.9ad04323f01eep-11, -0x1.8d5896ec91cb8p-11, -0x1.8046a936dee17p-11, -0x1.7397a2491b97ep-11, -0x1.6748ff2920378p-11, -0x1.5b588f70e26c5p-11, -0x1.4fc464ab03a63p-11, -0x1.448ab41d8131ep-11, -0x1.39a9b166de9c6p-11, -0x1.2f1f6c12903d7p-11, -0x1.24e9beef67ddbp-11, -0x1.1b0653d070581p-11, -0x1.1172b8291c16ap-11, -0x1.082c76bc18ce4p-11, -0x1.fe62538492ac5p-12, -0x1.ecfcfde3318e7p-12, -0x1.dc2460c163b41p-12, -0x1.cbd3f9953a85ap-12, -0x1.bc07548720675p-12, -0x1.acba2dd15318ep-12, -0x1.9de8a0cf78ed8p-12, -0x1.8f8f48144a22bp-12, -0x1.81ab3665b45d8p-12, -0x1.7439c6727da3ep-12, -0x1.67385921ce0f1p-12, -0x1.5aa425f6778cap-12, -0x1.4e7a3513d1461p-12, -0x1.42b77ffa2296cp-12, -0x1.3759209d495cp-12, -0x1.2c5c71fd356a8p-12, -0x1.21bf0e7dfc69cp-12, -0x1.177ea712719aep-12, -0x1.0d98bfa65ebd5p-12, -0x1.040a6df4f0349p-12, -0x1.f5a080eefc587p-13, -0x1.e3cccdd9729f6p-13, -0x1.d2922bff989b4p-13, -0x1.c1e9f567ca6ebp-13, -0x1.b1cf0350c045ap-13, -0x1.a23d9c3029148p-13, -0x1.9332d4b31d889p-13, -0x1.84abd46cefaeep-13, -0x1.76a568c7f2423p-13, -0x1.691c0f64c3148p-13, -0x1.5c0c567ad121ep-13, -0x1.4f734e8599371p-13, -0x1.434ec37964c81p-13, -0x1.379d07e709bbep-13, -0x1.2c5c52b62ca7ep-13, -0x1.2189f26d63781p-13, -0x1.1721b7dd4e05fp-13, -0x1.0d1de59e0bc7ep-13, -0x1.0377bf886027bp-13, -0x1.f4512dcc30e52p-14, -0x1.e255e4ed7f40dp-14, -0x1.d0f69dbec7ae2p-14, -0x1.c0301ffc33297p-14, -0x1.b00147299eb52p-14, -0x1.a068b0b8d8f11p-14, -0x1.916340158afabp-14, -0x1.82ec3e1ddb5b9p-14, -0x1.74feb96212cb9p-14, -0x1.679713cf52499p-14, -0x1.5ab39d0b3442fp-14, -0x1.4e53b009423e9p-14, -0x1.4275e5cd6d6f3p-14, -0x1.3716b32042732p-14, -0x1.2c3045d3f872ep-14, -0x1.21bb44dee6585p-14, -0x1.17afa7c8af5d1p-14, -0x1.0e056d56d0fedp-14, -0x1.04b57b5055543p-14, -0x1.f77537c576bcfp-15, -0x1.e623f14c07c68p-15, -0x1.d575176a4ca23p-15, -0x1.c5679b10d4e5p-15, -0x1.b5f9103971d2p-15, -0x1.a7250eda45b11p-15, -0x1.98e62ed147776p-15, -0x1.8b37950a6dacbp-15, -0x1.7e162e43e1587p-15, -0x1.718096ea19ca1p-15, -0x1.65752999cc4ap-15, -0x1.59efc92f0b7bbp-15, -0x1.4ee99e7e3085ap-15, -0x1.445a9d11bfb18p-15, -0x1.3a3aeca095a2cp-15, -0x1.3083601808b9dp-15, -0x1.272da2c8235fep-15, -0x1.1e34be3d2fe03p-15, -0x1.15958d1af7136p-15, -0x1.0d4e18db66297p-15, -0x1.055bcf2bd1baep-15, -0x1.fb749cd87219fp-16, -0x1.ecc918503cc6ep-16, -0x1.deaea2fc6cf3p-16, -0x1.d124642fbd162p-16, -0x1.c42b789283922p-16, -0x1.b7c14153438d4p-16, -0x1.abde5fdd96a5cp-16, -0x1.a07b4e064cbecp-16, -0x1.959318e939f95p-16, -0x1.8b2149ed63b5cp-16, -0x1.81203b844c87dp-16, -0x1.7789c5f095e8bp-16, -0x1.6e57c8b293698p-16, -0x1.6583bf438c4c7p-16, -0x1.5d06e8cba5606p-16, -0x1.54dbdcaff7b68p-16, -0x1.4d00651d8a729p-16, -0x1.457537b6a144ep-16, -0x1.3e3af519c5bb6p-16, -0x1.374ee118aec65p-16, -0x1.30aa33e64d8b9p-16, -0x1.2a4552b76cc23p-16, -0x1.241c786bfab13p-16, -0x1.1e306bc798bf2p-16, -0x1.1881e6c908d24p-16, -0x1.130d2762827acp-16, -0x1.0dcbb89d351b8p-16, -0x1.08ba382529542p-16, -0x1.03d925414bb3ep-16, -0x1.fe50f369bf066p-17, -0x1.f54c2e22e9afdp-17, -0x1.ec9ed9245ddb5p-17, -0x1.e444007a72ac4p-17, -0x1.dc34e5e3aadfbp-17, -0x1.d46883f79c6f6p-17, -0x1.ccd823af9546bp-17, -0x1.c584116359257p-17, -0x1.be6f8810b4ac5p-17, -0x1.b798f9164cef5p-17, -0x1.b0fbc8d39c736p-17, -0x1.aa9774dfadc0bp-17, -0x1.a46d143a56eb2p-17, -0x1.9e7880b0447b7p-17, -0x1.98b0a5501259ap-17, -0x1.930e19e6929e3p-17, -0x1.8d9120240dd51p-17, -0x1.883c43baa5946p-17, -0x1.830c59487e8b1p-17, -0x1.7dfd891472173p-17, -0x1.791142fa2e9cep-17, -0x1.7448ffe6a9f2dp-17, -0x1.6fa30326ba8b9p-17, -0x1.6b1cbecccfcfdp-17, -0x1.66b3197d3546cp-17, -0x1.626141aaaa14dp-17, -0x1.5e240e13fa5a9p-17, -0x1.59fd98ac04a3bp-17, -0x1.55ef4606e7878p-17, -0x1.51f5db39bc58p-17, -0x1.4e101f7f92e6fp-17, -0x1.4a3f9fb28100ep-17, -0x1.468361a016e54p-17, -0x1.42d900ab221abp-17, -0x1.3f3f11dab3e7bp-17, -0x1.3bb51512dd008p-17, -0x1.383b108cfd4fcp-17, -0x1.34d085c65c4fp-17, -0x1.31736846d002ap-17, -0x1.2e22c6dc728f6p-17, -0x1.2adf1481d172dp-17, -0x1.27a702ed8b6eep-17, -0x1.247a96f767601p-17, -0x1.215b60ba66dcap-17, -0x1.1e48f775a8edep-17, -0x1.1b41df46619a1p-17, -0x1.184412baef24dp-17, -0x1.154ecea39ee14p-17, -0x1.1263486d6f52bp-17, -0x1.0f80bb8781fb8p-17, -0x1.0ca6a7c67fd97p-17, -0x1.09d63a1e69051p-17, -0x1.070ef81541942p-17, -0x1.044fd98247f72p-17, -0x1.0198840d5f35ep-17, -0x1.fdd1d4fdd2347p-18, -0x1.f881fb0fe919ep-18, -0x1.f341484449c09p-18, -0x1.ee0f8274012afp-18, -0x1.e8ec5fa3e01a9p-18, -0x1.e3d7b487124efp-18, -0x1.ded1f9d294392p-18, -0x1.d9db62ccf5fb2p-18, -0x1.d4f26d15a0cb6p-18, -0x1.d016937d58c65p-18, -0x1.cb47c0885680ep-18, -0x1.c686a96868111p-18, -0x1.c1d4df502cebbp-18, -0x1.bd30af7082361p-18, -0x1.b898e0677e643p-18, -0x1.b40d831f4bf55p-18, -0x1.af8eae95c9233p-18, -0x1.ab1dd0e3e3003p-18, -0x1.a6ba5a9920a7cp-18, -0x1.a2639d184808dp-18, -0x1.9e199ca994a4dp-18, -0x1.99dc797c0228ep-18, -0x1.95ac41a7603c3p-18, -0x1.9188f6f456ce1p-18, -0x1.8d72966ae090ap-18, -0x1.89691b4a28ca2p-18, -0x1.856c7fc7d843ep-18, -0x1.817cbd602ad46p-18, -0x1.7d99cdda521f7p-18, -0x1.79c3aacbb02f4p-18, -0x1.75fa47013bc1bp-18, -0x1.723d9348d166fp-18, -0x1.6e8dbd797bdb2p-18, -0x1.6aeb32dfc117ap-18, -0x1.6755c39fd5db7p-18, -0x1.63cd40964e0fbp-18, -0x1.605103e8da409p-18, -0x1.5ce16d7e866cep-18, -0x1.597e80e56ddbbp-18, -0x1.5628b08697d54p-18, -0x1.52df85355f8c5p-18, -0x1.4fa2caa870e1ep-18, -0x1.4c726fc75ed13p-18, -0x1.494f0019dd811p-18, -0x1.4637f76da32ddp-18, -0x1.432d7709f5e4fp-18, -0x1.402f70a600289p-18, -0x1.3d3dd490ed694p-18, -0x1.3a589348c742p-18, -0x1.377f9e45a4ad4p-18, -0x1.34b2d1f1363bap-18, -0x1.31f2612310e71p-18, -0x1.2f3dfa099d5dap-18, -0x1.2c959adc768e8p-18, -0x1.29f9281882225p-18, -0x1.276888106f08ap-18, -0x1.24e3a23d305f1p-18, -0x1.226a5aef44dd3p-18, -0x1.1ffcd16bed00dp-18, -0x1.1d9b2d789676bp-18, -0x1.1b44a8d0246f9p-18, -0x1.18f963d1eaebap-18, -0x1.16b975549fc78p-18, -0x1.14846bd9acc9dp-18, -0x1.125a84521d096p-18, -0x1.103b6fbb0589p-18, -0x1.0e26fed79dce4p-18, -0x1.0c1d21103560ep-18, -0x1.0a1dbc89d44ffp-18, -0x1.0828b0d43d62fp-18, -0x1.063ddb147ebc5p-18, -0x1.045d177dfd03ap-18, -0x1.028641cebdb9bp-18, -0x1.00b934da93486p-18, -0x1.fdeb9668c72b4p-19, -0x1.fa77c5296aef6p-19, -0x1.f716a322099e3p-19, -0x1.f3c7e22392cfp-19, -0x1.f08b30071c83p-19, -0x1.ed603bc11f2a5p-19, -0x1.ea46b60e058e6p-19, -0x1.e73e4ebcd35e2p-19, -0x1.e446a8d41eb1cp-19, -0x1.e15f87baa49dcp-19, -0x1.de88b21f558e2p-19, -0x1.dbc17589eccefp-19, -0x1.d909cc666039ap-19, -0x1.d6614641322f9p-19, -0x1.d3c783551f55dp-19, -0x1.d13c3264218e2p-19, -0x1.cebf0484cd1f1p-19, -0x1.cc4f9b4cd1721p-19, -0x1.c9ed9eff9b54bp-19, -0x1.c798bc20f179p-19, -0x1.c55090d80d4bfp-19, -0x1.c314c6aea0282p-19, -0x1.c0e506a1b9b41p-19, -0x1.bec0f85e11f35p-19, -0x1.bca843d1ac8b6p-19, -0x1.ba9a8fa6a4227p-19, -0x1.b89782582151p-19, -0x1.b69ec0ea277a2p-19, -0x1.b4aff354482f9p-19, -0x1.b2cac5781a8d9p-19, -0x1.b0eeddc5b9e79p-19, -0x1.af1be6b03ee78p-19, -0x1.ad51882d2551ap-19, -0x1.ab8f6838eaac7p-19, -0x1.a9d5352e67863p-19, -0x1.a8229d4159086p-19, -0x1.a67736fe333eep-19, -0x1.a4d2c010ab193p-19, -0x1.a334d1577e6e1p-19, -0x1.a19d3530f4a2cp-19, -0x1.a00b8e1e204cbp-19, -0x1.9e7f86661ea76p-19, -0x1.9cf8ccbefd388p-19, -0x1.9b770facd5511p-19, -0x1.99f9fd98dcbdap-19, -0x1.988149b1bb796p-19, -0x1.970cb023a974dp-19, -0x1.959bdf3bd9508p-19, -0x1.942e793a39331p-19, -0x1.92c432a77cb2cp-19, -0x1.915cd8134488p-19, -0x1.8ff81e738c808p-19, -0x1.8e95b62dced31p-19, -0x1.8d3556a6348fep-19, -0x1.8bd6b9af19395p-19, -0x1.8a799a555d79ep-19, -0x1.891db50d1d57fp-19, -0x1.87c2c79e9a21ap-19, -0x1.8668903df7f47p-19, -0x1.850ecca746957p-19, -0x1.83b53af658ef2p-19, -0x1.825ba1bc01d78p-19, -0x1.8101cdec645a2p-19, -0x1.7fa76bc2b3d4ap-19, -0x1.7e4c3d1f44526p-19, -0x1.7cf01fbe8317dp-19, -0x1.7b92d609cf036p-19, -0x1.7a34233b1b5bcp-19, -0x1.78d3d146774b2p-19, -0x1.7771a7d09ac76p-19, -0x1.760d7c8d555efp-19, -0x1.74a7138b7fd3bp-19, -0x1.733e3efa7bc45p-19, -0x1.71d2ce6a08be3p-19, -0x1.70649336003a6p-19, -0x1.6ef35e41573f1p-19, -0x1.6d7f030363bccp-19, -0x1.6c07517e06975p-19, -0x1.6a8c375fe298ap-19, -0x1.690d7a59bcbe8p-19, -0x1.678acdcf8e741p-19, -0x1.660450f965944p-19, -0x1.6479b771ab7aap-19, -0x1.62eae0fbabd02p-19, -0x1.6157ac4cfe622p-19, -0x1.5fbff80c15b7dp-19, -0x1.5e23a390dfd3fp-19, -0x1.5c828fd288f83p-19, -0x1.5adca0168483bp-19, }}, 
      {{0x1.41016169328d5p-3, 0x1.cbb5f9ee6dc7fp-3, 0x1.28ce40f92d1cbp-2, 0x1.58353655dca22p-2, 0x1.6de551a83c608p-2, 0x1.69d6e1dc87784p-2, 0x1.4f2dac356fc75p-2, 0x1.226c3d2454e64p-2, 0x1.d0cc55cbb8862p-3, 0x1.4b56718c4246p-3, 0x1.78f46eb2493d1p-4, 0x1.5723113223187p-6, -0x1.906d6be417cdep-5, -0x1.d8f7f658d6057p-4, -0x1.6b568e728064dp-3, -0x1.debc1893245cap-3, -0x1.22c58486195dep-2, -0x1.4fa39720ec40cp-2, -0x1.75fad07d12f23p-2, -0x1.95fea461dec58p-2, -0x1.b00609f698ec9p-2, -0x1.c480576bdc268p-2, -0x1.d3ec2d708bdc7p-2, -0x1.ded037f4e8b91p-2, -0x1.e5b586a8be96cp-2, -0x1.e92340bdef6cap-2, -0x1.e99b7ad15adeap-2, -0x1.e798fc2f10777p-2, -0x1.e38dc54207dafp-2, -0x1.dde22fbcb33b2p-2, -0x1.d6f4870b170e1p-2, -0x1.cf18fbfb1da75p-2, -0x1.c699dc78d7d84p-2, -0x1.bdb7fc0dd2f9ap-2, -0x1.b4ab3d8cf9b07p-2, -0x1.aba3317f371d7p-2, -0x1.a2c7c0951fe2bp-2, -0x1.9a39dab43b1c4p-2, -0x1.921424da3b6ffp-2, -0x1.8a6ba2a08731p-2, -0x1.8350592203b57p-2, -0x1.7ccde8f07e46p-2, -0x1.76ec1d801329ep-2, -0x1.71af719c4897bp-2, -0x1.6d1988fb01d24p-2, -0x1.69299ee89bf84p-2, -0x1.65dcea0c20c55p-2, -0x1.632ef5992e40bp-2, -0x1.6119f0a458e9bp-2, -0x1.5f96f473212dcp-2, -0x1.5e9e428e10bbap-2, -0x1.5e277b3b108b6p-2, -0x1.5e29ccf3559acp-2, -0x1.5e9c1d6628ee2p-2, -0x1.5f752ca217b2bp-2, -0x1.60abb2fe80287p-2, -0x1.62367a52a5338p-2, -0x1.640c7307b389p-2, -0x1.6624c577f071bp-2, -0x1.6876e005306ccp-2, -0x1.6afa82537f1d9p-2, -0x1.6da7c5eb6bafdp-2, -0x1.707724b5c498ep-2, -0x1.73617d76568fp-2, -0x1.766016b8dba81p-2, -0x1.796ca035d1dadp-2, -0x1.7c81332f22facp-2, -0x1.7f98519702b08p-2, -0x1.82ace4a907c3ep-2, -0x1.85ba3a7a4fa5fp-2, -0x1.88bc036cb56d2p-2, -0x1.8bae4eabc7392p-2, -0x1.8e8d86ed095f9p-2, -0x1.91566e484169ep-2, -0x1.94061a8d887e5p-2, -0x1.9699f0de8594p-2, -0x1.990fa1bdc2764p-2, -0x1.9b6524c1ead03p-2, -0x1.9d98b4724cb01p-2, -0x1.9fa8ca4bc6865p-2, -0x1.a1941a8cf03d1p-2, -0x1.a35990926be13p-2, -0x1.a4f84acd7b42bp-2, -0x1.a66f975bf38e5p-2, -0x1.a7bef05f91a66p-2, -0x1.a8e5f8bf34eb7p-2, -0x1.a9e478ef30a82p-2, -0x1.aaba5be78f2e3p-2, -0x1.ab67ac4be6326p-2, -0x1.abec91acf11bcp-2, -0x1.ac494dfb47938p-2, -0x1.ac7e3b1c7f21ap-2, -0x1.ac8bc8a185497p-2, -0x1.ac7279a78255fp-2, -0x1.ac32e2d31d589p-2, -0x1.abcda8704667cp-2, -0x1.ab437cb2f28fp-2, -0x1.aa951e0cd9ad7p-2, -0x1.a9c355ad98f2ap-2, -0x1.a8cef60df588bp-2, -0x1.a7b8d9a1cc1fep-2, -0x1.a681e19d85fa5p-2, -0x1.a52af4cd7c35ap-2, -0x1.a3b4fe9243675p-2, -0x1.a220ede021c81p-2, -0x1.a06fb45f30b3p-2, -0x1.9ea2459de00d7p-2, -0x1.9cb9964915a4ap-2, -0x1.9ab69b86b808ep-2, -0x1.989a4a543e8c7p-2, -0x1.966596f1c45b8p-2, -0x1.94197468f3ef1p-2, -0x1.91b6d411dc933p-2, -0x1.8f3ea527297f7p-2, -0x1.8cb1d46fa3e01p-2, -0x1.8a114be39f747p-2, -0x1.875df26053cb4p-2, -0x1.8498ab6d1062ep-2, -0x1.81c256fba317fp-2, -0x1.7edbd132803a4p-2, -0x1.7be5f247e8bd9p-2, -0x1.78e18e58cbf0cp-2, -0x1.75cf754364769p-2, -0x1.72b07292c8cb7p-2, -0x1.6f854d68f37d7p-2, -0x1.6c4ec8660b438p-2, -0x1.690da19e79c1bp-2, -0x1.65c292950e7b9p-2, -0x1.626e502de2aep-2, -0x1.5f118aa9e86a2p-2, -0x1.5bacedac7dbfap-2, -0x1.5841203a9cb5ep-2, -0x1.54cec4b9e7a52p-2, -0x1.515678fb33da8p-2, -0x1.4dd8d6454cf84p-2, -0x1.4a5671598d706p-2, -0x1.46cfda7e7f25ep-2, -0x1.43459d91252dfp-2, -0x1.3fb84212034a8p-2, -0x1.3c284b3056b83p-2, -0x1.389637db92f38p-2, -0x1.350282d6bd009p-2, -0x1.316da2c81a64ep-2, -0x1.2dd80a49aa005p-2, -0x1.2a4227fd36babp-2, -0x1.26ac66a031042p-2, -0x1.23172d1e1f41ep-2, -0x1.1f82dea41a823p-2, -0x1.1befdab50e76dp-2, -0x1.185e7d3d7a549p-2, -0x1.14cf1ea7d31bbp-2, -0x1.114213f17e0c1p-2, -0x1.0db7aebe4b26ap-2, -0x1.0a303d6b5863cp-2, -0x1.06ac0b243037ep-2, -0x1.032b5ff88bb4p-2, -0x1.ff5d01de2de4bp-3, -0x1.f86b602d5361bp-3, -0x1.f18259351ae69p-3, -0x1.eaa265b1444fbp-3, -0x1.e3cbf8e854fdbp-3, -0x1.dcff80ca7f09fp-3, -0x1.d63d661508c55p-3, -0x1.cf860c7d3628bp-3, -0x1.c8d9d2d7bba0bp-3, -0x1.c239133671651p-3, -0x1.bba42304e8f16p-3, -0x1.b51b532d98a19p-3, -0x1.ae9ef0426fe1ep-3, -0x1.a82f429d48742p-3, -0x1.a1cc8e7876c37p-3, -0x1.9b77140ab0518p-3, -0x1.952f0fab4e3b3p-3, -0x1.8ef4b9f661ff6p-3, -0x1.88c847e7acab7p-3, -0x1.82a9eaf013234p-3, -0x1.7c99d10fb9664p-3, -0x1.769824f74c379p-3, -0x1.70a50e27e302ep-3, -0x1.6ac0b10a957fbp-3, -0x1.64eb2f0365f14p-3, -0x1.5f24a68837948p-3, -0x1.596d333df7de4p-3, -0x1.53c4ee1551dbdp-3, -0x1.4e2bed607c332p-3, -0x1.48a244e410fafp-3, -0x1.432805ea060dbp-3, -0x1.3dbd3f5a13242p-3, -0x1.3861fdd385dbcp-3, -0x1.33164bc265f2fp-3, -0x1.2dda316f3c736p-3, -0x1.28adb50e4b7c7p-3, -0x1.2390dad2b452fp-3, -0x1.1e83a504b5f8bp-3, -0x1.1986141659c7fp-3, -0x1.149826b37208bp-3, -0x1.0fb9d9cea32d5p-3, -0x1.0aeb28af9f2ap-3, -0x1.062c0d04a8d33p-3, -0x1.017c7ef56c85cp-3, -0x1.f9b8ea675d4fcp-4, -0x1.f097ca109f3d5p-4, -0x1.e79584bd54dddp-4, -0x1.deb1ffa24e74dp-4, -0x1.d5ed1d7070368p-4, -0x1.cd46be7422b43p-4, -0x1.c4bec0b1475cfp-4, -0x1.bc54fff9b82bap-4, -0x1.b409560113f68p-4, -0x1.abdb9a71e1ca2p-4, -0x1.a3cba30617901p-4, -0x1.9bd943a13fe2dp-4, -0x1.94044e6899f72p-4, -0x1.8c4c93d742ce5p-4, -0x1.84b1e2cf9754dp-4, -0x1.7d3408ac7b961p-4, -0x1.75d2d154cdad8p-4, -0x1.6e8e07509d89cp-4, -0x1.676573de04487p-4, -0x1.6058df038e63ep-4, -0x1.59680f9ff38f4p-4, -0x1.5292cb7886a7cp-4, -0x1.4bd8d74841844p-4, -0x1.4539f6d051546p-4, -0x1.3eb5ece9650bbp-4, -0x1.384c7b942d9dap-4, -0x1.31fd6407facb3p-4, -0x1.2bc866bf95edfp-4, -0x1.25ad43854bc5p-4, -0x1.1fabb97f70b27p-4, -0x1.19c3873dca05dp-4, -0x1.13f46ac75ff32p-4, -0x1.0e3e21a7b351cp-4, -0x1.08a068faabf76p-4, -0x1.031afd773f28p-4, -0x1.fb5b36f2bba9dp-5, -0x1.f0affe17f0a4fp-5, -0x1.e633c7e70f27bp-5, -0x1.dbe60b71cb7c8p-5, -0x1.d1c63f67c007p-5, -0x1.c7d3da2a01fbep-5, -0x1.be0e51dcdb757p-5, -0x1.b4751c7814186p-5, -0x1.ab07afd6acfc3p-5, -0x1.a1c581c6f4893p-5, -0x1.98ae081b22808p-5, -0x1.8fc0b8b9dd25bp-5, -0x1.86fd09ae022b3p-5, -0x1.7e62713542cbfp-5, -0x1.75f065cd84fep-5, -0x1.6da65e414f695p-5, -0x1.6583d1b3de76ap-5, -0x1.5d8837ad6aa05p-5, -0x1.55b308278439fp-5, -0x1.4e03bb994a45fp-5, -0x1.4679cb02fc479p-5, -0x1.3f14aff8d08cbp-5, -0x1.37d3e4acdebb4p-5, -0x1.30b6e3f862302p-5, -0x1.29bd296499da1p-5, -0x1.22e631338e0b4p-5, -0x1.1c317868ee37bp-5, -0x1.159e7cd2a3c24p-5, -0x1.0f2cbd1114eb8p-5, -0x1.08dbb89ed3fa3p-5, -0x1.02aaefd7bd6ep-5, -0x1.f933c7ff2da92p-6, -0x1.ed502e9072505p-6, -0x1.e1aa19aefd54ep-6, -0x1.d640919a3acap-6, -0x1.cb12a090b4841p-6, -0x1.c01f52dae5eb6p-6, -0x1.b565b6d5722f9p-6, -0x1.aae4dcfa83da1p-6, -0x1.a09bd7eaba624p-6, -0x1.9689bc752d6dp-6, -0x1.8cada19ee6d4p-6, -0x1.8306a0a9d2c1cp-6, -0x1.7993d51b47a72p-6, -0x1.70545cc21c32ap-6, -0x1.674757bc5b76dp-6, -0x1.5e6be87ca6081p-6, -0x1.55c133cf417a1p-6, -0x1.4d4660ded41f3p-6, -0x1.44fa9938bcdc8p-6, -0x1.3cdd08d0a1bbbp-6, -0x1.34ecde03353c7p-6, -0x1.2d29499848e8ep-6, -0x1.25917ec469b21p-6, -0x1.1e24b32a62f71p-6, -0x1.16e21edcf2ce3p-6, -0x1.0fc8fc60da7d4p-6, -0x1.08d888af09af3p-6, -0x1.021003368a54ap-6, -0x1.f6dd5bba89effp-7, -0x1.e9e799fee2607p-7, -0x1.dd3d4edb49a65p-7, -0x1.d0dd0cd42b5bap-7, -0x1.c4c56b4bce66p-7, -0x1.b8f506802a759p-7, -0x1.ad6a7f8a6efcp-7, -0x1.a2247c6207d2ap-7, -0x1.9721a7dfb8653p-7, -0x1.8c60b1bdfe35ep-7, -0x1.81e04e948ed17p-7, -0x1.779f37cda676cp-7, -0x1.6d9c2b96f240ep-7, -0x1.63d5ecd160d73p-7, -0x1.5a4b430470cc8p-7, -0x1.50fafa587081dp-7, -0x1.47e3e398992c7p-7, -0x1.3f04d43aaf6ep-7, -0x1.365ca666f3ffbp-7, -0x1.2dea38fa2bdd6p-7, -0x1.25ac6f7ccd6edp-7, -0x1.1da2320df6ca2p-7, -0x1.15ca6d455987fp-7, -0x1.0e2412135b5dfp-7, -0x1.06ae15a7fa5bap-7, -0x1.fecee2cf91eabp-8, -0x1.f09e45e39cb82p-8, -0x1.e2c858650b591p-8, -0x1.d54b26f71b7fbp-8, -0x1.c824c72799523p-8, -0x1.bb53576b7f014p-8, -0x1.aed4feed25676p-8, -0x1.a2a7ed3062dbfp-8, -0x1.96ca59a0ab665p-8, -0x1.8b3a83276a17ap-8, -0x1.7ff6afe83d2d4p-8, -0x1.74fd2d37979e1p-8, -0x1.6a4c4fce22258p-8, -0x1.5fe274268123fp-8, -0x1.55bdfee33db09p-8, -0x1.4bdd5d1532125p-8, -0x1.423f043ffc993p-8, -0x1.38e1720e72e87p-8, -0x1.2fc32bbc3757dp-8, -0x1.26e2bd5ec3cbfp-8, -0x1.1e3eb93009997p-8, -0x1.15d5b718a131fp-8, -0x1.0da65494ac1f6p-8, -0x1.05af34fece3b5p-8, -0x1.fbde045792dcp-9, -0x1.ecc8da4f81102p-9, -0x1.de1c5db21b687p-9, -0x1.cfd610a022175p-9, -0x1.c1f3854052b38p-9, -0x1.b4725c79e8edep-9, -0x1.a75043f7643f8p-9, -0x1.9a8af3e6f323dp-9, -0x1.8e202d0927579p-9, -0x1.820db78f73cbbp-9, -0x1.76516319cee9dp-9, -0x1.6ae907d838018p-9, -0x1.5fd288865bb75p-9, -0x1.550bd4bbb19cdp-9, -0x1.4a92eaed4cd2fp-9, -0x1.4065d98bc51a4p-9, -0x1.3682bedba129bp-9, -0x1.2ce7c7779330fp-9, -0x1.23932bc13354ap-9, -0x1.1a832ccf0fad9p-9, -0x1.11b6118d58034p-9, -0x1.092a24bcb06abp-9, -0x1.00ddb44aed0cfp-9, -0x1.f19e245facc66p-10, -0x1.e1f92d34f55f6p-10, -0x1.d2c945e690622p-10, -0x1.c40b49e1b8b28p-10, -0x1.b5bc32153465ep-10, -0x1.a7d91746dce75p-10, -0x1.9a5f312b400bp-10, -0x1.8d4bd24c18eefp-10, -0x1.809c6184ce682p-10, -0x1.744e526a26edbp-10, -0x1.685f1e354a417p-10, -0x1.5ccc3eb2b5caep-10, -0x1.51932c4b9b1e8p-10, -0x1.46b15f94efa55p-10, -0x1.3c2456102ef46p-10, -0x1.31e999151d8bap-10, -0x1.27fec56385131p-10, -0x1.1e6191b9615f7p-10, -0x1.150fd3001298p-10, -0x1.0c077d25fbddfp-10, -0x1.0346a0642ea8dp-10, -0x1.f596c6c8ea307p-11, -0x1.e527f6aee3c81p-11, -0x1.d53d46f45e5c7p-11, -0x1.c5d32b687dc0fp-11, -0x1.b6e60ba2065f4p-11, -0x1.a87240a3c43ccp-11, -0x1.9a741a1b38828p-11, -0x1.8ce7e9ddc245p-11, -0x1.7fca12f586ae6p-11, -0x1.7317190b7641cp-11, -0x1.66cbad4c4d6b3p-11, -0x1.5ae4b6b5bc82cp-11, -0x1.4f5f548ab3d5cp-11, -0x1.4438da6ebba4dp-11, -0x1.396ec66c0b4c1p-11, -0x1.2efeb238481b8p-11, -0x1.24e642428350fp-11, -0x1.1b23161079d8bp-11, -0x1.11b2bd8ab9c33p-11, -0x1.0892b5b40891dp-11, -0x1.ff80da265544cp-12, -0x1.ee729b7d09e88p-12, -0x1.ddf5932b7d9bp-12, -0x1.ce04cb13496b5p-12, -0x1.be9b84d55d30ep-12, -0x1.afb546b44b399p-12, -0x1.a14de4c6555p-12, -0x1.936185b01b4e9p-12, -0x1.85ec9fbf66c2bp-12, -0x1.78ebeac0daed6p-12, -0x1.6c5c47a4bc8aap-12, -0x1.603aa350b20bp-12, -0x1.5483dc4b6ea71p-12, -0x1.4934b66b6067dp-12, -0x1.3e49ddf4165c6p-12, -0x1.33bff7210f39dp-12, -0x1.2993b126ba8f3p-12, -0x1.1fc1d36a2c144p-12, -0x1.164740597370ap-12, -0x1.0d20f0581848ep-12, -0x1.044bec7add1fbp-12, -0x1.f78aa1c6497f7p-13, -0x1.e714b191a0c28p-13, -0x1.d730dd621eaaep-13, -0x1.c7da6ce0c2333p-13, -0x1.b90d1189d138bp-13, -0x1.aac4c0f815613p-13, -0x1.9cfd847d60b8ep-13, -0x1.8fb3577bfda02p-13, -0x1.82e22462e2acbp-13, -0x1.7685dcf7b00e7p-13, -0x1.6a9a9bd361107p-13, -0x1.5f1cbaa7e3ba8p-13, -0x1.5408cff4904c9p-13, -0x1.495b916c6a394p-13, -0x1.3f11a418a699ep-13, -0x1.35276efea1cafp-13, -0x1.2b990a463d963p-13, -0x1.22625c4f488a4p-13, -0x1.197f5f41c51f9p-13, -0x1.10ec7066ff7bcp-13, -0x1.08a67fdb30ebbp-13, -0x1.00ab085a2f705p-13, -0x1.f1efad5357795p-14, -0x1.e31590ee948f6p-14, -0x1.d4c34e538dc9dp-14, -0x1.c6f457b538fd3p-14, -0x1.b9a440de4dd54p-14, -0x1.accf0be998f06p-14, -0x1.a0714ee7e140dp-14, -0x1.94880e3cf7d08p-14, -0x1.89104c730b9c1p-14, -0x1.7e067d69e7ee9p-14, -0x1.73661ffbf3c54p-14, -0x1.6929b340e2e6ap-14, -0x1.5f4b19e81b258p-14, -0x1.55c452a86ffddp-14, -0x1.4c904256c1de4p-14, -0x1.43ab3576caa24p-14, -0x1.3b12d383115fdp-14, -0x1.32c585d8b610cp-14, -0x1.2ac1ac998d8eap-14, -0x1.23051d85daee8p-14, -0x1.1b8d2efaaf6dap-14, -0x1.14572f65fb10dp-14, -0x1.0d60eb5dfe232p-14, -0x1.06a8e0ad752d1p-14, -0x1.002df0d5ce05cp-14, -0x1.f3dd8a74dbb31p-15, -0x1.e7d2b07aa54a8p-15, -0x1.dc35d439af628p-15, -0x1.d100834fa311dp-15, -0x1.c62be8ac79457p-15, -0x1.bbb14701479a2p-15, -0x1.b18a8e16c61b2p-15, -0x1.a7b3050908d92p-15, -0x1.9e279bc4d26adp-15, -0x1.94e6897f60c65p-15, -0x1.8bee67b29ad5bp-15, -0x1.833d669d4fa57p-15, -0x1.7ad117a143a2ep-15, -0x1.72a6c26d92593p-15, -0x1.6abbea3c50824p-15, -0x1.630eb5e9195acp-15, -0x1.5b9de667a38fep-15, -0x1.546830d1def88p-15, -0x1.4d6b82f277542p-15, -0x1.46a4ed78f8d91p-15, -0x1.401124094b3e1p-15, -0x1.39acf3ca97942p-15, -0x1.33756a39f1b7cp-15, -0x1.2d67e497c8fd9p-15, -0x1.27823d5eda8a9p-15, -0x1.21c2f2f3e3c64p-15, -0x1.1c28f1476fd76p-15, -0x1.16b2f85cf89f3p-15, -0x1.115f34b2c161dp-15, -0x1.0c2b9f6b1e484p-15, -0x1.0716d100be891p-15, -0x1.022054d48adbcp-15, -0x1.fa90221f2882dp-16, -0x1.f11aa7ac808b5p-16, -0x1.e7dd4b0147799p-16, -0x1.ded518c0adbdap-16, -0x1.d60003b7dfcap-16, -0x1.cd5c3b895cecbp-16, -0x1.c4e7838a85f4p-16, -0x1.bc9f7c56f943p-16, -0x1.b481c7ece0fb8p-16, -0x1.ac8be94c3cc1cp-16, -0x1.a4bb54811f894p-16, -0x1.9d0dfb125b4f6p-16, -0x1.9582efe45a067p-16, -0x1.8e1a4fb17321ap-16, -0x1.86d438b40e80ep-16, -0x1.7fafa7fc6055dp-16, -0x1.78aa396c65aa5p-16, -0x1.71c13cb468d9cp-16, -0x1.6af34c202a439p-16, -0x1.644097c8b475cp-16, -0x1.5da960667f09ap-16, -0x1.572c6568b740cp-16, -0x1.50c76c2aa5b9p-16, -0x1.4a7945f7ac869p-16, -0x1.44422d0fec594p-16, -0x1.3e2236a34870fp-16, -0x1.3818b5ad050a4p-16, -0x1.3224cdbad26e7p-16, -0x1.2c45a6534922dp-16, -0x1.267a0fa7a7952p-16, -0x1.20c06cc4fa7e2p-16, -0x1.1b1793181c665p-16, -0x1.157fb005e0384p-16, -0x1.0ff9819ad93efp-16, -0x1.0a84de0ae5594p-16, -0x1.052109833f06ap-16, -0x1.ff9c23b922803p-17, -0x1.f518a0ea3d8f7p-17, -0x1.eab63429ba793p-17, -0x1.e07196917f9abp-17, -0x1.d6481645eb193p-17, -0x1.cc3a10cd781c1p-17, -0x1.c248ea6f1e3e4p-17, -0x1.b873a0fd635fap-17, -0x1.aeb8c8a2728dbp-17, -0x1.a5194d66ff1c4p-17, -0x1.9b9649034ee74p-17, -0x1.922f624a664bfp-17, -0x1.88e3c2c102464p-17, -0x1.7fb23cfa99ce2p-17, -0x1.7698cb461984p-17, -0x1.6d9636f379d9ep-17, -0x1.64abd64fabe5fp-17, -0x1.5bdaa62cb73e5p-17, -0x1.53216276241a1p-17, -0x1.4a7fbbe7061f4p-17, -0x1.41f6b7bc0b40bp-17, -0x1.3986209534316p-17, -0x1.312d115de9429p-17, -0x1.28eb19d2a5089p-17, -0x1.20c031734dee2p-17, -0x1.18ac8e9e7c7f5p-17, -0x1.10b02b6f56fe4p-17, -0x1.08ca28038884ep-17, -0x1.00fa309ae6cbdp-17, -0x1.f2817b3f655fap-18, -0x1.e33a60b07b772p-18, -0x1.d41f6d802dfa6p-18, -0x1.c5333c68f71ccp-18, -0x1.b675dafb21abep-18, -0x1.a7e59e67d026p-18, -0x1.997ff11e34cb2p-18, -0x1.8b440b37b6af7p-18, -0x1.7d33fa0cd1f67p-18, -0x1.6f4eed87b6e15p-18, -0x1.61947023798b3p-18, -0x1.54066f10c99d1p-18, -0x1.46a4726106c99p-18, -0x1.396d31a4b8f96p-18, -0x1.2c60577927639p-18, -0x1.1f7df453946a9p-18, -0x1.12c60c3762463p-18, -0x1.06388ebe5c81cp-18, -0x1.f3aac5347f38dp-19, -0x1.db38b7dc1a548p-19, -0x1.c31abc47b1599p-19, -0x1.ab51c1e7f522bp-19, -0x1.93de6f45f9b32p-19, -0x1.7cbe2105e297ap-19, -0x1.65efb60cc28dfp-19, -0x1.4f72ad6a8781ep-19, -0x1.3948b31f5ead7p-19, -0x1.237521c02e175p-19, -0x1.0df3f816edf48p-19, -0x1.f185066f6ac04p-20, -0x1.c7c16fc40098fp-20, -0x1.9e9d25089719ep-20, -0x1.761de6183c329p-20, -0x1.4e40c13342dbbp-20, -0x1.27022f4e32dbep-20, -0x1.0061a56c996b1p-20, -0x1.b4be0de1e25bbp-21, -0x1.69f3bed4bbd45p-21, -0x1.2062f7af6ae76p-21, -0x1.b0142d2cb903bp-22, -0x1.21ceaef77aa12p-22, -0x1.2be36a296dc81p-23, -0x1.8f2ab3ded34acp-27, 0x1.ea79973aa63ecp-24, 0x1.feb30773c78d9p-23, 0x1.81bca07f2c714p-22, 0x1.00e64ad53f193p-21, 0x1.3fc4ddd3600cbp-21, 0x1.7d77ed3b7ad32p-21, 0x1.ba035b1148423p-21, 0x1.f56adf2bd9bacp-21, 0x1.17db2111e732ep-20, 0x1.34720e63627a9p-20, 0x1.507b366890a27p-20, 0x1.6bf579025e154p-20, 0x1.86e3faac5cf4ep-20, 0x1.a148b5f7e903dp-20, 0x1.bb24763efa234p-20, 0x1.d4774958deaedp-20, 0x1.ed43067d924a7p-20, 0x1.02c44e0a807dfp-19, 0x1.0ea4a59a9b78ap-19, 0x1.1a432b8475119p-19, 0x1.25a0813e1ae37p-19, 0x1.30bd473ec9a8fp-19, 0x1.3b99aa9cd52a9p-19, 0x1.463793ed84d49p-19, 0x1.50965c876979ap-19, 0x1.5ab71fc020184p-19, 0x1.649a90d6d3982p-19, 0x1.6e415ec45b0edp-19, 0x1.77ac351bf76a8p-19, 0x1.80dbc4561d9b6p-19, 0x1.89d0576180c8p-19, 0x1.928a29a85d891p-19, 0x1.9b0b0e6e6d60ep-19, 0x1.a3534d3bdea6dp-19, 0x1.ab633a83aa136p-19, 0x1.b33c0e4b7781dp-19, 0x1.badde735adcbcp-19, 0x1.c249c1b88bfdp-19, 0x1.c9806112701ccp-19, 0x1.d08259f28c8ddp-19, 0x1.d7504fd6ee1ep-19, 0x1.ddeaef60c6b1ap-19, 0x1.e452e79032c2ap-19, 0x1.ea88e77f9a202p-19, 0x1.f08d9dd10a8p-19, 0x1.f661baae64a5ep-19, 0x1.fc05ed8406f91p-19, 0x1.00bd6be0c8a45p-18, 0x1.0360986658751p-18, 0x1.05ecd30722219p-18, 0x1.086272370e172p-18, 0x1.0ac1cc22613d5p-18, 0x1.0d0b361617801p-18, 0x1.0f3f05086f869p-18, 0x1.115d912b1f22fp-18, 0x1.1367288c0b2fcp-18, 0x1.155c17adc0c1bp-18, 0x1.173cce5f88cbap-18, 0x1.190988b647443p-18, 0x1.1ac2a1dc6518cp-18, 0x1.1c686f7415c9ep-18, 0x1.1dfb4228a9e3ap-18, 0x1.1f7b6985fa63dp-18, 0x1.20e938f17156p-18, 0x1.224501639f565p-18, 0x1.238f12037aca3p-18, 0x1.24c7bd3fd00bdp-18, 0x1.25ef51f6f12acp-18, 0x1.27061e9b2e8fbp-18, 0x1.280c715f43fb3p-18, 0x1.29029815cf3d3p-18, 0x1.29e8df9b4f469p-18, 0x1.2abf94d4c2983p-18, 0x1.2b8703c90e82cp-18, 0x1.2c3f7810dad68p-18, 0x1.2ce93b60b0f0cp-18, 0x1.2d8498335bcdfp-18, 0x1.2e11d74c9cffbp-18, 0x1.2e91417ace0d2p-18, 0x1.2f031f5946807p-18, 0x1.2f67b73afacb7p-18, 0x1.2fbf4edeaec8p-18, 0x1.300a3025bf243p-18, 0x1.30489c7ab9294p-18, 0x1.307adc171235p-18, 0x1.30a12ca80276ep-18, 0x1.30bbd3489352bp-18, 0x1.30cb12ed4956p-18, 0x1.30cf2d0c2c96p-18, 0x1.30c862817f841p-18, 0x1.30b6f3844b0c7p-18, 0x1.309b1ed7b758p-18, 0x1.30752127e2e45p-18, 0x1.30453912777ep-18, 0x1.300ba66d4438ep-18, 0x1.2fc8a527f3dc4p-18, 0x1.2f7c6ce2bd41fp-18, 0x1.2f273899111fdp-18, 0x1.2ec943459386cp-18, 0x1.2e62c62322bbcp-18, 0x1.2df3f96b275fdp-18, 0x1.2d7d1498224fep-18, 0x1.2cfe4e513f47ap-18, 0x1.2c77dc6dbbe9dp-18, 0x1.2be9f41edf3fep-18, 0x1.2b54ca0011b11p-18, 0x1.2ab892047c39ap-18, 0x1.2a157e69332p-18, 0x1.296bbff9cc164p-18, 0x1.28bb8b1f2f846p-18, 0x1.280510df30facp-18, 0x1.27487e1199591p-18, 0x1.268602741c0e3p-18, 0x1.25bdcd13130ffp-18, 0x1.24f00b8c4ce99p-18, 0x1.241ceafa2d9cbp-18, 0x1.234496d4c77a2p-18, 0x1.22673b31160cap-18, 0x1.2185027fcbee3p-18, 0x1.209e16ba87531p-18, 0x1.1fb2a131e3055p-18, 0x1.1ec2ca681447dp-18, 0x1.1dceba67a8aeap-18, 0x1.1cd69932e1d59p-18, 0x1.1bda88ab4b673p-18, 0x1.1adab1d4f76e3p-18, 0x1.19d740b13af92p-18, 0x1.18d04c9620279p-18, 0x1.17c600a39a5dp-18, 0x1.16b87f017b2a3p-18, 0x1.15a7e9cf331d5p-18, 0x1.149462b0eafb7p-18, 0x1.137e0ab3ccac9p-18, 0x1.1265023a84cfcp-18, 0x1.114968f3f5f2cp-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.dc62224ee437ap-2, 0x1.dc96c85aad68p-2, 0x1.dcf02d03bec2p-2, 0x1.dd7063d96001bp-2, 0x1.de19ba5c731bap-2, 0x1.deee5ad971147p-2, 0x1.dfeffe0a03f09p-2, 0x1.e11faf6963a04p-2, 0x1.e27da49f7e69cp-2, 0x1.e4092675fd45fp-2, 0x1.e5c088d904e7ap-2, 0x1.e7a12f1110656p-2, 0x1.e9a7996b2c3c9p-2, 0x1.ebcf79bf34fccp-2, 0x1.ee13cc96c9f5dp-2, 0x1.f06ef512c5b23p-2, 0x1.f2dada0712e93p-2, 0x1.f551031816812p-2, 0x1.f7cab4ef0cbecp-2, 0x1.fa410bda8305ep-2, 0x1.fcad1465b5db2p-2, 0x1.ff07e19d77ee7p-2, 0x1.00a5506e2b3fcp-1, 0x1.01b755898ce96p-1, 0x1.02b6c9cbb961fp-1, 0x1.03a09a48eaf6bp-1, 0x1.0471dc9709858p-1, 0x1.0527d2dc88cc9p-1, 0x1.05bfeeecfe66p-1, 0x1.0637d48b6ae26p-1, 0x1.068d5aea1ad06p-1, 0x1.06be8d7f61c4cp-1, 0x1.06c9ac4547b65p-1, 0x1.06ad2b78dd6cdp-1, 0x1.0667b2ec5660dp-1, 0x1.05f81cfd556ccp-1, 0x1.055d753f33eacp-1, 0x1.0496f6e75bd81p-1, 0x1.03a40b084071ep-1, 0x1.028446a5fe61fp-1, 0x1.013768ae55bbbp-1, 0x1.ff7aafb8bc913p-2, 0x1.fc2c411e8072p-2, 0x1.f883e5344b9bcp-2, 0x1.f4823e256ad59p-2, 0x1.f0282c451b814p-2, 0x1.eb76c9bf05afep-2, 0x1.e66f665b74722p-2, 0x1.e113835c5c7fep-2, 0x1.db64cf775756fp-2, 0x1.d56522efcda77p-2, 0x1.cf167bd3dfeaep-2, 0x1.c87afa5de580ap-2, 0x1.c194dd7be45a4p-2, 0x1.ba667f7dd5a4ep-2, 0x1.b2f252eb36193p-2, 0x1.ab3adf8000bbfp-2, 0x1.a342bf50e7a2cp-2, 0x1.9b0c9c16691a7p-2, 0x1.929b2c9e249d5p-2, 0x1.89f13261a69aep-2, 0x1.81117741ca545p-2, 0x1.77fecb65a6669p-2, 0x1.6ebc033bee7e1p-2, 0x1.654bf59d9cef5p-2, 0x1.5bb17a10ac62fp-2, 0x1.51ef6729a166fp-2, 0x1.4808910a9d1f1p-2, 0x1.3dffc7feb1dddp-2, 0x1.33d7d7302f59bp-2, 0x1.29938378a3af1p-2, 0x1.1f358a494834ep-2, 0x1.14c0a0aaa6468p-2, 0x1.0a37725235989p-2, 0x1.ff39419995937p-3, 0x1.e9e585795aa07p-3, 0x1.d478c6547698p-3, 0x1.bef801cc1198bp-3, 0x1.a9681bf6dba16p-3, 0x1.93cdde651974dp-3, 0x1.7e2df741b3267p-3, 0x1.688cf88e7300bp-3, 0x1.52ef5779c5c1ep-3, 0x1.3d596bcc4e0f6p-3, 0x1.27cf6f6cbe6abp-3, 0x1.12557df87e8b4p-3, 0x1.f9df28df7a4ebp-4, 0x1.cf4321e71e689p-4, 0x1.a4de6529cdfd5p-4, 0x1.7ab8326675887p-4, 0x1.50d78ad35db84p-4, 0x1.274331139e806p-4, 0x1.fc03528b419edp-5, 0x1.aa327251d20f6p-5, 0x1.591fd0b2dedd8p-5, 0x1.08d7013de3ea8p-5, 0x1.72c6393af35c6p-6, 0x1.ab3b05f432e5fp-7, 0x1.d24158e1a9e99p-9, -0x1.7c99caabad09ap-8, -0x1.ed37cfb8c0b21p-7, -0x1.8c06b0827259ap-6, -0x1.0fab182bc1c73p-5, -0x1.583d57e1a5c26p-5, -0x1.9fb2ac58e0d33p-5, -0x1.e60419a38d593p-5, -0x1.1595889cf06aap-4, -0x1.3790b81aca89p-4, -0x1.58f0bec008961p-4, -0x1.79b2f3fa48737p-4, -0x1.99d4e23bbb61cp-4, -0x1.b9544601ec993p-4, -0x1.d82f0cd82e4bdp-4, -0x1.f6635456201f9p-4, -0x1.09f7b48d6c9cbp-3, -0x1.1868e2e2807bdp-3, -0x1.268488f43489ep-3, -0x1.344a1080afda1p-3, -0x1.41b8f8b32153ap-3, -0x1.4ed0d59bc6095p-3, -0x1.5b914fa75d8cbp-3, -0x1.67fa231635955p-3, -0x1.740b1f72ed876p-3, -0x1.7fc427091dd3ep-3, -0x1.8b252e5c04a0ap-3, -0x1.962e3b9d51393p-3, -0x1.a0df662435de1p-3, -0x1.ab38d5e4e6a6cp-3, -0x1.b53ac2e88c7ebp-3, -0x1.bee574c5dbbebp-3, -0x1.c839421a637d7p-3, -0x1.d1369004ad57ep-3, -0x1.d9ddd19f48f5ep-3, -0x1.e22f877cd7863p-3, -0x1.ea2c3f2537bd7p-3, -0x1.f1d49293d5dd3p-3, -0x1.f92927b748384p-3, -0x1.001557f920105p-2, -0x1.036cf3cef29d7p-2, -0x1.069bcac6d7b98p-2, -0x1.09a2454a642f6p-2, -0x1.0c80d08688fa5p-2, -0x1.0f37de2febef8p-2, -0x1.11c7e4481a8cep-2, -0x1.14315ce3a964ap-2, -0x1.1674c5f134b71p-2, -0x1.1892a10159faap-2, -0x1.1a8b730fa50a7p-2, -0x1.1c5fc44c7723fp-2, -0x1.1e101fe7f2425p-2, -0x1.1f9d13dde784ap-2, -0x1.210730c2cde76p-2, -0x1.224f0991c5b5cp-2, -0x1.2375337baf4cep-2, -0x1.247a45b74f07cp-2, -0x1.255ed9528c673p-2, -0x1.26238904c2585p-2, -0x1.26c8f1022f8d3p-2, -0x1.274faed07d3b6p-2, -0x1.27b8611c62d84p-2, -0x1.2803a7906825fp-2, -0x1.283222acc20b4p-2, -0x1.284473a051406p-2, -0x1.283b3c22b9948p-2, -0x1.28171e4f99453p-2, -0x1.27d8bc82dea64p-2, -0x1.2780b93635811p-2, -0x1.270fb6df9100ep-2, -0x1.268657d0cf196p-2, -0x1.25e53e1873a46p-2, -0x1.252d0b6376d09p-2, -0x1.245e60e029853p-2, -0x1.2379df222a036p-2, -0x1.228026076701bp-2, -0x1.2171d49e2dbe5p-2, -0x1.204f890c4306ep-2, -0x1.1f19e077010e9p-2, -0x1.1dd176ec761cap-2, -0x1.1c76e74d85d5dp-2, -0x1.1b0acb390535ep-2, -0x1.198dbaf7cbf2ep-2, -0x1.18004d69bbb99p-2, -0x1.166317f3b9bf5p-2, -0x1.14b6ae6e90fc3p-2, -0x1.12fba316bf3fcp-2, -0x1.1132867d23038p-2, -0x1.0f5be7788c9e7p-2, -0x1.0d785318276a6p-2, -0x1.0b885496ba69fp-2, -0x1.098c754ebb999p-2, -0x1.07853caf31149p-2, -0x1.057330315904bp-2, -0x1.0356d34f185c8p-2, -0x1.0130a77a28e26p-2, -0x1.fe025827fd42ep-3, -0x1.f991bcccd24d4p-3, -0x1.f5107339c249dp-3, -0x1.f07f6d7d0885ep-3, -0x1.ebdf9951771c2p-3, -0x1.e731e0150163ep-3, -0x1.e27726c0876f6p-3, -0x1.ddb04de0d80a8p-3, -0x1.d8de3190d41dbp-3, -0x1.d401a974bb5fdp-3, -0x1.cf1b88b68c592p-3, -0x1.ca2c9e0373522p-3, -0x1.c535b38a3afb7p-3, -0x1.c0378efac173bp-3, -0x1.bb32f18655848p-3, -0x1.b62897e106a54p-3, -0x1.b1193a43d0e4bp-3, -0x1.ac058c6fa3d8bp-3, -0x1.a6ee3db13a056p-3, -0x1.a1d3f8e5b70fp-3, -0x1.9cb7648004cbfp-3, -0x1.9799228ee74c2p-3, -0x1.9279d0c3c1ad7p-3, -0x1.8d5a087a02f1ep-3, -0x1.883a5ebf2da4fp-3, -0x1.831b645b7c137p-3, -0x1.7dfda5db113ffp-3, -0x1.78e1ab97b693fp-3, -0x1.73c7f9c319fd8p-3, -0x1.6eb1107182cbdp-3, -0x1.699d6ba4ffef3p-3, -0x1.648d83590269cp-3, -0x1.5f81cb8e5a443p-3, -0x1.5a7ab45797c97p-3, -0x1.5578a9e5c75bdp-3, -0x1.507c14957b929p-3, -0x1.4b8558fc29264p-3, -0x1.4694d7f5cbddep-3, -0x1.41aaeeb2cbb32p-3, -0x1.3cc7f6c61ea7ap-3, -0x1.37ec4633a2042p-3, -0x1.33182f7ea940bp-3, -0x1.2e4c01b8b2be8p-3, -0x1.2988089051493p-3, -0x1.24cc8c602b959p-3, -0x1.2019d23e2273fp-3, -0x1.1b701c0a94eafp-3, -0x1.16cfa87fafc16p-3, -0x1.1238b340daf07p-3, -0x1.0dab74ea2f008p-3, -0x1.0928231ff6b63p-3, -0x1.04aef09e3606ep-3, -0x1.00400d4838f7bp-3, -0x1.f7b74c703523p-4, -0x1.ef03cb9ca2399p-4, -0x1.e665e7825893dp-4, -0x1.ddddea589c254p-4, -0x1.d56c19402cd39p-4, -0x1.cd10b461faa75p-4, -0x1.c4cbf70dbf985p-4, -0x1.bc9e17d8610f8p-4, -0x1.b48748ba35426p-4, -0x1.ac87b72d0cbe3p-4, -0x1.a49f8c49fadc8p-4, -0x1.9cceece70211p-4, -0x1.9515f9b458f41p-4, -0x1.8d74cf598e941p-4, -0x1.85eb869256a3dp-4, -0x1.7e7a344b11675p-4, -0x1.7720e9bd04759p-4, -0x1.6fdfb48a49c55p-4, -0x1.68b69ed964d38p-4, -0x1.61a5af708872fp-4, -0x1.5aace9d082b6bp-4, -0x1.53cc4e4f505eep-4, -0x1.4d03da3254cb2p-4, -0x1.465387c832edbp-4, -0x1.3fbb4e824988p-4, -0x1.393b230dcd983p-4, -0x1.32d2f76c818d1p-4, -0x1.2c82bb0d099d2p-4, -0x1.264a5ae2dc031p-4, -0x1.2029c17dcc9a6p-4, -0x1.1a20d7212e66dp-4, -0x1.142f81da8ff47p-4, -0x1.0e55a59810fa7p-4, -0x1.0893243e4d085p-4, -0x1.02e7ddbdddb36p-4, -0x1.faa76050e9981p-5, -0x1.efacef8b16e14p-5, -0x1.e4e01e4d52a88p-5, -0x1.da409e767de79p-5, -0x1.cfce1ec8321bbp-5, -0x1.c5884b0cd7905p-5, -0x1.bb6ecc3ce12bep-5, -0x1.b18148a339b37p-5, -0x1.a7bf6400e22cdp-5, -0x1.9e28bfafc103ap-5, -0x1.94bcfac499dadp-5, -0x1.8b7bb2304272p-5, -0x1.826480dffe747p-5, -0x1.7976ffdd1da33p-5, -0x1.70b2c66bc95abp-5, -0x1.68176a2903eap-5, -0x1.5fa47f27ec07dp-5, -0x1.5759980e375fdp-5, -0x1.4f36462feb435p-5, -0x1.473a19aa53214p-5, -0x1.3f64a17e3959cp-5, -0x1.37b56ba96597ap-5, -0x1.302c053f5d2afp-5, -0x1.28c7fa816ee45p-5, -0x1.2188d6f60c8e6p-5, -0x1.1a6e257f682ap-5, -0x1.1377707166862p-5, -0x1.0ca441a6e6245p-5, -0x1.05f4229653baap-5, -0x1.fecd38cb3c89ep-6, -0x1.f1f66ffaf8706p-6, -0x1.e562fc38262b9p-6, -0x1.d911eecdf55dbp-6, -0x1.cd0258f946438p-6, -0x1.c1334c0a3c8aep-6, -0x1.b5a3d984acb94p-6, -0x1.aa53133f4a18fp-6, -0x1.9f400b81b9c47p-6, -0x1.9469d5217cbd1p-6, -0x1.89cf839dc6dd3p-6, -0x1.7f702b3a462bp-6, -0x1.754ae118bdb18p-6, -0x1.6b5ebb51b6062p-6, -0x1.61aad10c10cf9p-6, -0x1.582e3a93a27d5p-6, -0x1.4ee8116edcbf3p-6, -0x1.45d7707375526p-6, -0x1.3cfb73da28d13p-6, -0x1.345339518466bp-6, -0x1.2bdde00fd77afp-6, -0x1.239a88e44599p-6, -0x1.1b885646f23a2p-6, -0x1.13a66c686a58fp-6, -0x1.0bf3f14033e02p-6, -0x1.04700c9a85c54p-6, -0x1.fa33d04aad191p-7, -0x1.ebe15ef92420dp-7, -0x1.dde7206b4b65p-7, -0x1.d04373d48acf5p-7, -0x1.c2f4bc852eb9cp-7, -0x1.b5f961fd2e1d7p-7, -0x1.a94fcffdbc8bap-7, -0x1.9cf67699a51dfp-7, -0x1.90ebca4446f79p-7, -0x1.852e43df7f561p-7, -0x1.79bc60c8650c6p-7, -0x1.6e94a2e2af67fp-7, -0x1.63b590a3580dep-7, -0x1.591db519e6d9bp-7, -0x1.4ecb9ff8e0c6fp-7, -0x1.44bde59d1bd58p-7, -0x1.3af31f1434d79p-7, -0x1.3169ea220bdd3p-7, -0x1.2820e9454dd9dp-7, -0x1.1f16c3bb2f8bfp-7, -0x1.164a258248326p-7, -0x1.0db9bf5ca8a1ep-7, -0x1.056446d11c6ebp-7, -0x1.fa90ec5771d44p-8, -0x1.eaca18fb425bdp-8, -0x1.db719b382c96cp-8, -0x1.cc85043def91cp-8, -0x1.be01eebcf2a3ep-8, -0x1.afe5fee0add94p-8, -0x1.a22ee248d29cfp-8, -0x1.94da50012fd83p-8, -0x1.87e60878955d2p-8, -0x1.7b4fd576d1ea7p-8, -0x1.6f158a115f223p-8, -0x1.6335029f50a19p-8, -0x1.57ac24ac4c868p-8, -0x1.4c78deeabe14ap-8, -0x1.41992924f6c27p-8, -0x1.370b042dc0911p-8, -0x1.2ccc79d00a6dp-8, -0x1.22db9cbddf49fp-8, -0x1.1936887ef3688p-8, -0x1.0fdb615e162acp-8, -0x1.06c8545674e65p-8, -0x1.fbf72e00342d6p-9, -0x1.eae6cef7e0dd1p-9, -0x1.da5c18be7528p-9, -0x1.ca53a93d300b6p-9, -0x1.baca2ef13a22cp-9, -0x1.abbc68bff106dp-9, -0x1.9d2725cab7f2bp-9, -0x1.8f07454189386p-9, -0x1.8159b6357370bp-9, -0x1.741b776a1a77bp-9, -0x1.67499726c6b1ep-9, -0x1.5ae13307068b3p-9, -0x1.4edf77cacdeabp-9, -0x1.4341a1263833fp-9, -0x1.3804f990d9b0cp-9, -0x1.2d26da14eb438p-9, -0x1.22a4aa1df49fp-9, -0x1.187bdf47704cbp-9, -0x1.0ea9fd2b066dfp-9, -0x1.052c952ef3f5fp-9, -0x1.f8028ca7b849cp-10, -0x1.e64b7a060332p-10, -0x1.d52f65b84978ap-10, -0x1.c4a9dd070011fp-10, -0x1.b4b686df3e4b2p-10, -0x1.a551236eb0b2p-10, -0x1.96758bbfcc291p-10, -0x1.881fb1565c2e4p-10, -0x1.7a4b9dcb83455p-10, -0x1.6cf5726b15082p-10, -0x1.601967d0613a3p-10, -0x1.53b3cd84455fp-10, -0x1.47c1099ab8549p-10, -0x1.3c3d9851d81d7p-10, -0x1.31260bb0678d1p-10, -0x1.26770b2595d77p-10, -0x1.1c2d53298e8a1p-10, -0x1.1245b4ddcdd88p-10, -0x1.08bd15aeb6eb1p-10, -0x1.ff20ddec7a779p-11, -0x1.ed799b3c4b298p-11, -0x1.dc7ea3880f3acp-11, -0x1.cc2a5cbc1d2a2p-11, -0x1.bc7751bf3174ep-11, -0x1.ad6031bf374abp-11, -0x1.9edfcf7f3c862p-11, -0x1.90f120a7099a8p-11, -0x1.838f3d142939bp-11, -0x1.76b55e2dd9ffdp-11, -0x1.6a5ede396ce1ap-11, -0x1.5e8737b11be93p-11, -0x1.532a049dd99b1p-11, -0x1.4842fdf10b30cp-11, -0x1.3dcdfae18fb32p-11, -0x1.33c6f04a8c5e4p-11, -0x1.2a29f00bf8014p-11, -0x1.20f3286dc9e7cp-11, -0x1.181ee3842c658p-11, -0x1.0fa98696dfe2ep-11, -0x1.078f91890f2dp-11, -0x1.ff9b3c8a79c6p-12, -0x1.f0c0c053c51ccp-12, -0x1.e28946f0f08b8p-12, -0x1.d4ee998cb363cp-12, -0x1.c7eab0e0beff9p-12, -0x1.bb77b420391f6p-12, -0x1.af8ff7e63cb3ap-12, -0x1.a42dfd2a3e749p-12, -0x1.994c703540319p-12, -0x1.8ee6279e838f5p-12, -0x1.84f623498f718p-12, -0x1.7b778b6bf0466p-12, -0x1.7265af9405a35p-12, -0x1.69bc05b43cfc2p-12, -0x1.6176293484d34p-12, -0x1.598fda051dd83p-12, -0x1.5204fbb6d0d3fp-12, -0x1.4ad19499d8008p-12, -0x1.43f1ccda37c13p-12, -0x1.3d61eda64f0b4p-12, -0x1.371e605614beep-12, -0x1.3123ad97caebp-12, -0x1.2b6e7c9fd6dc3p-12, -0x1.25fb925cd0aeep-12, -0x1.20c7d0af6a041p-12, -0x1.1bd035a55fd62p-12, -0x1.1711dab8f6adap-12, -0x1.1289f414f1019p-12, -0x1.0e35cfda732fap-12, -0x1.0a12d56bc1fefp-12, -0x1.061e84b9c0269p-12, -0x1.02567596b59bdp-12, -0x1.fd70ae1528aa5p-13, -0x1.f683dd56723b4p-13, -0x1.efe22ff6e1e33p-13, -0x1.e987878e45f0fp-13, -0x1.e36fef105859bp-13, -0x1.dd979997f3093p-13, -0x1.d7fae13b0f196p-13, -0x1.d29645e4bc8e7p-13, -0x1.cd666c34e92a7p-13, -0x1.c8681c679f7a9p-13, -0x1.c39841406a0b2p-13, -0x1.bef3e6fe23d3ep-13, -0x1.ba783a537eb58p-13, -0x1.b62287698b9c9p-13, -0x1.b1f038df93647p-13, -0x1.added6d89cd4p-13, -0x1.a9ec060aef81cp-13, -0x1.a61586d7312cfp-13, -0x1.a2593462f317dp-13, -0x1.9eb503bafec3fp-13, -0x1.9b2702f977918p-13, -0x1.97ad5871bdf18p-13, -0x1.944641e0028dbp-13, -0x1.90f013a085e79p-13, -0x1.8da937ec5b65bp-13, -0x1.8a702e1750364p-13, -0x1.874389d4f4da5p-13, -0x1.8421f2830fffep-13, -0x1.810a22778c2c2p-13, -0x1.7dfae65356e7ep-13, -0x1.7af31c5a08e78p-13, -0x1.77f1b3ce36bfdp-13, -0x1.74f5ac5216649p-13, -0x1.71fe154a62693p-13, -0x1.6f0a0d474b65p-13, -0x1.6c18c172e1f5ap-13, -0x1.69296d00b4ce4p-13, -0x1.663b58a2dc955p-13, -0x1.634dda028aaep-13, -0x1.6060533ce4afbp-13, -0x1.5d7232621d9f8p-13, -0x1.5a82f0fa42542p-13, -0x1.5792138b0a294p-13, -0x1.549f2925ac6fep-13, -0x1.51a9caf2dfb1dp-13, -0x1.4eb19bc453618p-13, -0x1.4bb647a9c2f88p-13, -0x1.48b78389e4478p-13, -0x1.45b50cbc6a4aep-13, -0x1.42aea8a964b22p-13, -0x1.3fa4246985165p-13, -0x1.3c95546b89f11p-13, -0x1.39821419e16bfp-13, -0x1.366a4584abc87p-13, -0x1.334dd10e73554p-13, -0x1.302ca51c6ae98p-13, -0x1.2d06b5c7a4f9p-13, -0x1.29dbfc90be75ep-13, -0x1.26ac78173b73cp-13, -0x1.23782bd326f45p-13, -0x1.203f1fd033501p-13, -0x1.1d01606bce524p-13, -0x1.19befe154ff78p-13, -0x1.16780d11bd336p-13, -0x1.132ca53e83b46p-13, -0x1.0fdce1d8d0b22p-13, -0x1.0c88e145c3828p-13, -0x1.0930c4ddad1b2p-13, -0x1.05d4b0b94e484p-13, -0x1.0274cb7f45a09p-13, -0x1.fe227c690bc9cp-14, -0x1.f754681e758a4p-14, -0x1.f07fb493cafc1p-14, -0x1.e9a4bff196135p-14, -0x1.e2c3ebc31c1cap-14, -0x1.dbdd9ca75ec6cp-14, -0x1.d4f23a08d58bap-14, -0x1.ce022dd0da6bcp-14, -0x1.c70de424625d1p-14, -0x1.c015cb20a583ap-14, -0x1.b91a529cb6392p-14, -0x1.b21bebec48861p-14, -0x1.ab1b09a497d6dp-14, -0x1.a4181f6571bc8p-14, -0x1.9d13a1a3fffadp-14, -0x1.960e0577f5cfbp-14, -0x1.8f07c069a9663p-14, -0x1.8801484466b1ap-14, -0x1.80fb12ea8da5ap-14, -0x1.79f5962d65f9p-14, -0x1.72f147a284b0ap-14, -0x1.6bee9c7ed4706p-14, -0x1.64ee0971e974cp-14, -0x1.5df002856529cp-14, -0x1.56f4fafbc608fp-14, -0x1.4ffd65316b23cp-14, -0x1.4909b2802b8cp-14, -0x1.421a5324ddab5p-14, -0x1.3b2fb625a4c43p-14, -0x1.344a4938a5d92p-14, -0x1.2d6a78adb048bp-14, -0x1.2690af595cee4p-14, -0x1.1fbd5681b2e94p-14, -0x1.18f0d5cba3aaep-14, -0x1.122b932959f58p-14, -0x1.0b6df2c9bff8fp-14, -0x1.04b8570bac329p-14, -0x1.fc1640ddc2983p-15, -0x1.eecd5b0ee1b1bp-15, -0x1.e196b5e616418p-15, -0x1.d473069af4b2dp-15, -0x1.c762fe530fd4cp-15, -0x1.ba674a0e17c8cp-15, -0x1.ad8092970ea9fp-15, -0x1.a0af7c75e49b4p-15, -0x1.93f4a7e560277p-15, -0x1.8750b0c8b5907p-15, -0x1.7ac42ea3fe8c8p-15, -0x1.6e4fb4935c75ep-15, -0x1.61f3d1473e9bfp-15, -0x1.55b10f000e049p-15, -0x1.4987f38b64693p-15, -0x1.3d79004241edep-15, -0x1.3184b2067c532p-15, -0x1.25ab81465d9efp-15, -0x1.19ede1fe2260dp-15, -0x1.0e4c43bb440c6p-15, -0x1.02c7119eb181ep-15, -0x1.eebd64c496324p-16, -0x1.d82710bd58457p-16, -0x1.c1cbe321643bdp-16, -0x1.abac8f456c18bp-16, -0x1.95c9bfe512392p-16, -0x1.80241737be4f2p-16, -0x1.6abc2f01cd37cp-16, -0x1.559298aba66dp-16, -0x1.40a7dd54bbe8cp-16, -0x1.2bfc7de8f2d8p-16, -0x1.1790f3387fedap-16, -0x1.0365ae1230d7dp-16, -0x1.def62eb970215p-17, -0x1.b7a3206384805p-17, -0x1.90d2e3ef7a89ep-17, -0x1.6a861cfa04f71p-17, -0x1.44bd602a75fecp-17, -0x1.1f79336eb3505p-17, -0x1.f5741c684d80ep-18, -0x1.ad00b34b52bep-18, -0x1.6598e1d42f7bbp-18, -0x1.1f3d42be9f40fp-18, -0x1.b3dcab90355afp-19, -0x1.2b5900314bf39p-19, -0x1.49e03322387d9p-20, -0x1.0512d68ab7795p-22, 0x1.86402bfb11547p-21, 0x1.c34e2fb932a4ap-20, 0x1.5fa2fbb5c2753p-19, 0x1.db84156f21aa1p-19, 0x1.2aa578eb3d045p-18, 0x1.667c2554f7f64p-18, 0x1.a14682b1e6a42p-18, 0x1.db05192e5e2a6p-18, 0x1.09dc42e8cea48p-17, 0x1.25b0bcfcd9e12p-17, 0x1.41005d729f518p-17, 0x1.5bcb908c9a41dp-17, 0x1.7612cbf07376fp-17, 0x1.8fd68e7208a95p-17, 0x1.a9175fc2bda49p-17, 0x1.c1d5d034bacabp-17, 0x1.da12788243e26p-17, 0x1.f1cdf986c0ee1p-17, 0x1.04847dfe1cc2bp-16, 0x1.0fe21821d614cp-16, 0x1.1b00271289ca9p-16, 0x1.25df0a467786bp-16, 0x1.307f24a9b1ef2p-16, 0x1.3ae0dc8028dddp-16, 0x1.45049b4368b03p-16, 0x1.4eeacd8b1dcbp-16, 0x1.5893e2ed391ffp-16, 0x1.62004dde105ffp-16, 0x1.6b308396f6109p-16, 0x1.7424fbfb7d83dp-16, 0x1.7cde31789bf5bp-16, 0x1.855ca0ecd08c3p-16, 0x1.8da0c98ce97d9p-16, 0x1.95ab2cc9784fcp-16, 0x1.9d7c4e32514b1p-16, 0x1.a514b35ec354dp-16, 0x1.ac74e3d5d58dap-16, 0x1.b39d68efd420cp-16, 0x1.ba8ecdc304b79p-16, 0x1.c1499f0a559dap-16, 0x1.c7ce6b09cd26fp-16, 0x1.ce1dc17b2e493p-16, 0x1.d4383377d03c6p-16, 0x1.da1e535ea2d7bp-16, 0x1.dfd0b4bfc7d58p-16, 0x1.e54fec4869571p-16, 0x1.ea9c8fac0a0dp-16, 0x1.efb7358ce4b3ap-16, 0x1.f4a0756e0d134p-16, 0x1.f958e79a9b14bp-16, 0x1.fde125142c5fcp-16, 0x1.011ce3bf58c0ap-15, 0x1.0331b487c08bfp-15, 0x1.052f523cd40fdp-15, 0x1.07160a6dbcb96p-15, 0x1.08e62ad851a18p-15, 0x1.0aa0015eb2d31p-15, 0x1.0c43dbff35993p-15, 0x1.0dd208cd7c90cp-15, 0x1.0f4ad5ea10044p-15, 0x1.10ae9179fb53cp-15, 0x1.11fd89a0c68fdp-15, 0x1.13380c78034ebp-15, 0x1.145e6808b90bdp-15, 0x1.1570ea43849fdp-15, 0x1.166fe0fb792a2p-15, 0x1.175b99df49c95p-15, 0x1.18346271824b8p-15, 0x1.18fa8804bd491p-15, 0x1.19ae57b36ef1bp-15, 0x1.1a501e5b8cd6dp-15, 0x1.1ae028984932bp-15, 0x1.1b5ec2bd2a391p-15, 0x1.1bcc38d0f120bp-15, 0x1.1c28d68706834p-15, 0x1.1c74e73cadc05p-15, 0x1.1cb0b5f2d0d74p-15, 0x1.1cdc8d497b84cp-15, 0x1.1cf8b77ca8af8p-15, 0x1.1d057e5f6de6ap-15, 0x1.1d032b56b0b25p-15, 0x1.1cf20756dfa23p-15, 0x1.1cd25adec2474p-15, 0x1.1ca46df599a96p-15, 0x1.1c688825bf419p-15, 0x1.1c1ef07a6ccdbp-15, 0x1.1bc7ed7caa2a5p-15, 0x1.1b63c52ec13b9p-15, 0x1.1af2bd0aecb28p-15, 0x1.1a751a000f239p-15, 0x1.19eb206e9b1cbp-15, 0x1.1955142685d8dp-15, 0x1.18b3386495a85p-15, 0x1.1805cfd0974b9p-15, 0x1.174d1c7a26b0fp-15, 0x1.16895fd6f934cp-15, 0x1.15badac1b182ap-15, 0x1.14e1cd78447ecp-15, 0x1.13fe779862e64p-15, 0x1.1311181f1ae9cp-15, 0x1.1219ed6789789p-15, 0x1.111935291b7e8p-15, 0x1.100f2c767ddfbp-15, 0x1.0efc0fbbb209bp-15, 0x1.0de01abe42e9dp-15, 0x1.0cbb889adb64ap-15, 0x1.0b8e93c4a93ffp-15, 0x1.0a59760570f3bp-15, 0x1.091c687c1c5e6p-15, 0x1.07d7a39bb6484p-15, 0x1.068b5f2b8453dp-15, 0x1.0537d246f441fp-15, 0x1.03dd335c507abp-15, 0x1.027bb82bd0d24p-15, 0x1.011395c834bcfp-15, 0x1.ff4a012f4bdcp-16, 0x1.fc6058a45ffafp-16, 0x1.f96a9802c06aep-16, 0x1.f6692401ec397p-16, 0x1.f35c5ffebeceap-16, 0x1.f044adfb0d345p-16, 0x1.ed226e9ca41f7p-16, 0x1.e9f6013008a8dp-16, }}, 
      {{0x1.dc568c05ba42cp-2, 0x1.dc68021d04883p-2, 0x1.dc857381ac9b7p-2, 0x1.dcaf539617411p-2, 0x1.dce62b2bce77fp-2, 0x1.dd2a8864221bbp-2, 0x1.dd7cf00ed3689p-2, 0x1.ddddd15c54039p-2, 0x1.de4d7c33f6972p-2, 0x1.decc1a2ca389ep-2, 0x1.df59a9f71af09p-2, 0x1.dff5fceff2a4p-2, 0x1.e0a0b68529f96p-2, 0x1.e1594d1a1e1e7p-2, 0x1.e21f0c1908176p-2, 0x1.e2f116e88ec39p-2, 0x1.e3ce6c84ea3eap-2, 0x1.e4b5eb8541a12p-2, 0x1.e5a6565f01d42p-2, 0x1.e69e57c1502bdp-2, 0x1.e79c86ea5a07p-2, 0x1.e89f6bdef2d9p-2, 0x1.e9a58372bfad2p-2, 0x1.eaad43141bae1p-2, 0x1.ebb51c52f9b8ep-2, 0x1.ecbb801d65eaap-2, 0x1.edbee1af08036p-2, 0x1.eebdb93327849p-2, 0x1.efb6861a6486dp-2, 0x1.f0a7d126986fbp-2, 0x1.f1902e3038976p-2, 0x1.f26e3da93c7d5p-2, 0x1.f340ade1f47c8p-2, 0x1.f4063c1465836p-2, 0x1.f4bdb53af007ap-2, 0x1.f565f6b6e1b99p-2, 0x1.f5fdeecb8ap-2, 0x1.f6849cf2340fap-2, 0x1.f6f9120b2ef17p-2, 0x1.f75a706fd623bp-2, 0x1.f7a7ebe940fb4p-2, 0x1.f7e0c98efeb35p-2, 0x1.f8045f910474dp-2, 0x1.f81214efa454p-2, 0x1.f8096124313f9p-2, 0x1.f7e9cbbca7c57p-2, 0x1.f7b2ebec8564dp-2, 0x1.f7646814ba90dp-2, 0x1.f6fdf5446d704p-2, 0x1.f67f56b41fc58p-2, 0x1.f5e85d3c8fec5p-2, 0x1.f538e6ca92e85p-2, 0x1.f470ddd0f6dfdp-2, 0x1.f39038b96139p-2, 0x1.f296f954fbe67p-2, 0x1.f1852c4dac5b6p-2, 0x1.f05ae898727ddp-2, 0x1.ef184ee978ccfp-2, 0x1.edbd892a4cedcp-2, 0x1.ec4ac9f2a7856p-2, 0x1.eac04c0410cb6p-2, 0x1.e91e51c8aec9fp-2, 0x1.e76524d56e1d5p-2, 0x1.e595156fbe603p-2, 0x1.e3ae7a16f8b25p-2, 0x1.e1b1af1195bb8p-2, 0x1.df9f15fe3db9ap-2, 0x1.dd771568c4a1ap-2, 0x1.db3a18631415ap-2, 0x1.d8e88e2204f2ap-2, 0x1.d682e99e24812p-2, 0x1.d409a1385a48ap-2, 0x1.d17d2e62654adp-2, 0x1.cede0d4b23e4ap-2, 0x1.cc2cbc8e8d442p-2, 0x1.c969bce95335fp-2, 0x1.c69590f00d82p-2, 0x1.c3b0bcc9dfe2cp-2, 0x1.c0bbc5ee7e713p-2, 0x1.bdb732e779a7dp-2, 0x1.baa38b14b726fp-2, 0x1.b7815674021fep-2, 0x1.b4511d6b92d9dp-2, 0x1.b113689778a5ep-2, 0x1.adc8c099c8c97p-2, 0x1.aa71aded7e255p-2, 0x1.a70eb8bbe668cp-2, 0x1.a3a068b48ebf3p-2, 0x1.a02744e78da9p-2, 0x1.9ca3d3a21868fp-2, 0x1.99169a4d4a13p-2, 0x1.95801d4f00f7ep-2, 0x1.91e0dfecc53bep-2, 0x1.8e396430972bcp-2, 0x1.8a8a2acf9ac1fp-2, 0x1.86d3b31284a6ep-2, 0x1.83167abfb4e15p-2, 0x1.7f52fe06f3c82p-2, 0x1.7b89b76eb3bd8p-2, 0x1.77bb1fc2cbd3bp-2, 0x1.73e7ae049bf6fp-2, 0x1.700fd75c85f05p-2, 0x1.6c340f0cab6cfp-2, 0x1.6854c664e447ep-2, 0x1.64726cb7df749p-2, 0x1.608d6f515a4fp-2, 0x1.5ca6396d6747bp-2, 0x1.58bd3430b6494p-2, 0x1.54d2c6a1cbeedp-2, 0x1.50e755a325576p-2, 0x1.4cfb43ee368eap-2, 0x1.490ef20f39ddfp-2, 0x1.4522be61c88bbp-2, 0x1.4137050e2e852p-2, 0x1.3d4c2007748d2p-2, 0x1.3962670a11fcp-2, 0x1.357a2f9b452eap-2, 0x1.3193cd09002c6p-2, 0x1.2daf906a6bb72p-2, 0x1.29cdc8a0f2414p-2, 0x1.25eec259ce64p-2, 0x1.2212c81015cd9p-2, 0x1.1e3a220f36f7cp-2, 0x1.1a651675e9aa4p-2, 0x1.1693e93983c21p-2, 0x1.12c6dc29b4e3bp-2, 0x1.0efe2ef49be5ep-2, 0x1.0b3a1f2b35833p-2, 0x1.077ae8461d4b1p-2, 0x1.03c0c3aa9bf9ep-2, 0x1.000be8afff43dp-2, 0x1.f8b9194a664f6p-3, 0x1.f165c5ad3edaap-3, 0x1.ea1e392874b5cp-3, 0x1.e2e2d26fb3bcfp-3, 0x1.dbb3ec5764087p-3, 0x1.d491dde20dc32p-3, 0x1.cd7cfa4e12531p-3, 0x1.c6759123b3cb8p-3, 0x1.bf7bee436d4b7p-3, 0x1.b89059f489cf8p-3, 0x1.b1b318f3fa597p-3, 0x1.aae46c836543dp-3, 0x1.a424927863533p-3, 0x1.9d73c54bf0ad1p-3, 0x1.96d23c29fc97dp-3, 0x1.90402b011fef3p-3, 0x1.89bdc29273423p-3, 0x1.834b308174c78p-3, 0x1.7ce89f640c39p-3, 0x1.769636d295b9p-3, 0x1.70541b780011fp-3, 0x1.6a226f21ecb7dp-3, 0x1.640150d0d0aacp-3, 0x1.5df0dcc820c9cp-3, 0x1.57f12c9e6c8cdp-3, 0x1.5202574d7c445p-3, 0x1.4c2471425f832p-3, 0x1.46578c6d6e571p-3, 0x1.409bb8523e308p-3, 0x1.3af102177d482p-3, 0x1.35577496bd4e2p-3, 0x1.2fcf186c2497p-3, 0x1.2a57f40604046p-3, 0x1.24f20bb44d425p-3, 0x1.1f9d61b7ebfedp-3, 0x1.1a59f6520219ap-3, 0x1.1527c7d2f4549p-3, 0x1.1006d2a95e62cp-3, 0x1.0af71170dafd2p-3, 0x1.05f87d009c76cp-3, 0x1.010b0c79ea0cdp-3, 0x1.f85d6aacc48f7p-4, 0x1.eec6d6ec30d4ap-4, 0x1.e552425b06858p-4, 0x1.dbff8ea6702b6p-4, 0x1.d2ce9a9af6a1dp-4, 0x1.c9bf423f30221p-4, 0x1.c0d15eee1596ep-4, 0x1.b804c770ec9f9p-4, 0x1.af595018c9c85p-4, 0x1.a6cecad7a934cp-4, 0x1.9e6507591a384p-4, 0x1.961bd31a7fcb5p-4, 0x1.8df2f982e60adp-4, 0x1.85ea43fa67a7dp-4, 0x1.7e017a012319ep-4, 0x1.76386145c346ap-4, 0x1.6e8ebdbb98461p-4, 0x1.670451b03d73ap-4, 0x1.5f98dde0d23fcp-4, 0x1.584c218ec04e4p-4, 0x1.511dda94112a3p-4, 0x1.4a0dc57754f87p-4, 0x1.431b9d7f17df2p-4, 0x1.3c471cc4e67b8p-4, 0x1.358ffc47e5191p-4, 0x1.2ef5f3fef515dp-4, 0x1.2878baea6cda6p-4, 0x1.2218072560769p-4, 0x1.1bd38df67d2b6p-4, 0x1.15ab03e0791d9p-4, 0x1.0f9e1cb21515cp-4, 0x1.09ac8b95b3767p-4, 0x1.03d6032085ff6p-4, 0x1.fc346ac2a29dep-5, 0x1.f0f1a7dd8cf74p-5, 0x1.e5e31feaef0c9p-5, 0x1.db08348ac85b3p-5, 0x1.d06046be43e8ep-5, 0x1.c5eab70140d11p-5, 0x1.bba6e56312f9ap-5, 0x1.b194319e867c7p-5, 0x1.a7b1fb3119d05p-5, 0x1.9dffa17181b04p-5, 0x1.947c83a56ce7ap-5, 0x1.8b28011693f93p-5, 0x1.820179270f00ap-5, 0x1.79084b64fc5b7p-5, 0x1.703bd79d73e2p-5, 0x1.679b7deecfd51p-5, 0x1.5f269eda49be9p-5, 0x1.56dc9b54f19a2p-5, 0x1.4ebcd4d801083p-5, 0x1.46c6ad7089237p-5, 0x1.3ef987ce89653p-5, 0x1.3754c75363a23p-5, 0x1.2fd7d01fbf6c9p-5, 0x1.28820720cdb84p-5, 0x1.2152d21d08e8fp-5, 0x1.1a4997c056e5cp-5, 0x1.1365bfa7aa0c5p-5, 0x1.0ca6b26c12f09p-5, 0x1.060bd9ad4f39ap-5, 0x1.ff294037a7b46p-6, 0x1.f280e304afd3ap-6, 0x1.e61d759dc25e8p-6, 0x1.d9fdd436af433p-6, 0x1.ce20dd6b477f2p-6, 0x1.c285724ea6539p-6, 0x1.b72a7679a3264p-6, 0x1.ac0ed0186017ep-6, 0x1.a13167f702adep-6, 0x1.9691298d9c32ap-6, 0x1.8c2d030b41ca6p-6, 0x1.8203e56065214p-6, 0x1.7814c448648c4p-6, 0x1.6e5e965263805p-6, 0x1.64e054e96c14bp-6, 0x1.5b98fc5be0985p-6, 0x1.52878be23ea49p-6, 0x1.49ab05a5394c5p-6, 0x1.41026ec3403a2p-6, 0x1.388ccf5551402p-6, 0x1.3049327349224p-6, 0x1.2836a63791d32p-6, 0x1.20543bc24e824p-6, 0x1.18a1073bf3e3bp-6, 0x1.111c1fd761ce3p-6, 0x1.09c49fd377da2p-6, 0x1.0299a47c35303p-6, 0x1.f7349c56b4c53p-7, 0x1.e98b809128b3ap-7, 0x1.dc3642928ae2cp-7, 0x1.cf33355fb0b9p-7, 0x1.c280b21555ca8p-7, 0x1.b61d17e53d33p-7, 0x1.aa06cc128de6fp-7, 0x1.9e3c39ed69fcep-7, 0x1.92bbd2cde6ed9p-7, 0x1.87840e0e5cf24p-7, 0x1.7c9369050aaf5p-7, 0x1.71e866fd2951ep-7, 0x1.6781912f65dd3p-7, 0x1.5d5d76b9d35d5p-7, 0x1.537aac975494ep-7, 0x1.49d7cd9681605p-7, 0x1.40737a501e2eap-7, 0x1.374c591d14f3ep-7, 0x1.2e61160c00e5ep-7, 0x1.25b062d654538p-7, 0x1.1d38f6d5251e1p-7, 0x1.14f98ef58dd09p-7, 0x1.0cf0edacb3845p-7, 0x1.051ddaeb90f18p-7, 0x1.fafe4824b2fd5p-8, 0x1.ec2737c746a03p-8, 0x1.ddb434ee8d80dp-8, 0x1.cfa2fa59fc77bp-8, 0x1.c1f14d3d98cf9p-8, 0x1.b49cfd265956dp-8, 0x1.a7a3e3de1bea9p-8, 0x1.9b03e54f3b4e4p-8, 0x1.8ebaef67e1756p-8, 0x1.82c6f9fceff7dp-8, 0x1.772606acaf19fp-8, 0x1.6bd620c155b4fp-8, 0x1.60d55d13298a7p-8, 0x1.5621d9ea8cbb5p-8, 0x1.4bb9bee1d21b7p-8, 0x1.419b3cc7017a4p-8, 0x1.37c48d7d6627ep-8, 0x1.2e33f3df09c67p-8, 0x1.24e7bb9e172e9p-8, 0x1.1bde39263c7b8p-8, 0x1.1315c97df9ab7p-8, 0x1.0a8cd227eabefp-8, 0x1.0241c10417795p-8, 0x1.f46618628010ep-9, 0x1.e4be63dc68be1p-9, 0x1.d58970f67f14fp-9, 0x1.c6c45bf747d96p-9, 0x1.b86c50ae5923cp-9, 0x1.aa7e8a3798a28p-9, 0x1.9cf852becb7cap-9, 0x1.8fd703435d5e9p-9, 0x1.8318035c71d78p-9, 0x1.76b8c8fd5cba8p-9, 0x1.6ab6d83a3466p-9, 0x1.5f0fc30cdda3ap-9, 0x1.53c1291a815d8p-9, 0x1.48c8b77934fe9p-9, 0x1.3e2428766a1b3p-9, 0x1.33d1435d5e19bp-9, 0x1.29cddc3e385efp-9, 0x1.2017d3b589dedp-9, 0x1.16ad16b445b52p-9, 0x1.0d8b9e483a191p-9, 0x1.04b16f6521dfdp-9, 0x1.f839355c2384p-10, 0x1.e796787ecd16ap-10, 0x1.d776f6f2b97a2p-10, 0x1.c7d715965a176p-10, 0x1.b8b34efd2323bp-10, 0x1.aa08330859834p-10, 0x1.9bd2668043bfdp-10, 0x1.8e0ea2aedaeep-10, 0x1.80b9b4fbc7b6bp-10, 0x1.73d07e893aecdp-10, 0x1.674ff3d23e311p-10, 0x1.5b351c4a1e0dep-10, 0x1.4f7d11fd14f67p-10, 0x1.44250131fffb1p-10, 0x1.392a280d60c24p-10, 0x1.2e89d635b0266p-10, 0x1.24416c78dfb1bp-10, 0x1.1a4e5c730456ap-10, 0x1.10ae2836943b2p-10, 0x1.075e61f52a7f1p-10, 0x1.fcb957546f686p-11, 0x1.eb4d6d8d33a56p-11, 0x1.da7487baf0322p-11, 0x1.ca2a44a5068a9p-11, 0x1.ba6a60128a113p-11, 0x1.ab30b22ba0005p-11, 0x1.9c792edcd5f58p-11, 0x1.8e3fe53d4ce47p-11, 0x1.8080fef73db82p-11, 0x1.7338bfb30c8cfp-11, 0x1.6663848482425p-11, 0x1.59fdc35ad4d21p-11, 0x1.4e040a726d832p-11, 0x1.4272ffc973874p-11, 0x1.37476096dea94p-11, 0x1.2c7e00c3663dcp-11, 0x1.2213ca651a985p-11, 0x1.1805bd3d83a5p-11, 0x1.0e50ee3963b17p-11, 0x1.04f286f32568p-11, 0x1.f7cf8a6f347bbp-12, 0x1.e65bf5193bd5cp-12, 0x1.d58517744464dp-12, 0x1.c545e0ab22674p-12, 0x1.b599649e918fap-12, 0x1.a67adb03d7343p-12, 0x1.97e59e884063dp-12, 0x1.89d52bf8658cdp-12, 0x1.7c45216bb6c4cp-12, 0x1.6f313d74b7d1cp-12, 0x1.62955e542d351p-12, 0x1.566d81313b2b4p-12, 0x1.4ab5c155175b5p-12, 0x1.3f6a576a86658p-12, 0x1.348798c15f6c3p-12, 0x1.2a09f6958c391p-12, 0x1.1fedfd5a58512p-12, 0x1.16305408cc0eap-12, 0x1.0ccdbb7294cfdp-12, 0x1.03c30d9785e0ep-12, 0x1.f61a79ff17d0bp-13, 0x1.e552a82df79ebp-13, 0x1.d528e91f657e5p-13, 0x1.c597ad8883c84p-13, 0x1.b699923f68a8ep-13, 0x1.a8295f0f943c8p-13, 0x1.9a4205954b2e4p-13, 0x1.8cdea02019671p-13, 0x1.7ffa709a0bb41p-13, 0x1.7390df76db402p-13, 0x1.679d7aa74ab5cp-13, 0x1.5c1bf4945b15ap-13, 0x1.5108231f44205p-13, 0x1.465dfea7894cap-13, 0x1.3c19a116bb9aap-13, 0x1.323744f287b0ap-13, 0x1.28b34472305e7p-13, 0x1.1f8a189c4ceb9p-13, 0x1.16b85866c4408p-13, 0x1.0e3ab7df2fe27p-13, 0x1.060e07555c43bp-13, 0x1.fc5e651aafa6fp-14, 0x1.ed367fe8c214cp-14, 0x1.de9e9fb9b6675p-14, 0x1.d0913778f3887p-14, 0x1.c308eae2d10bbp-14, 0x1.b6008d146a0bcp-14, 0x1.a9731f26bef25p-14, 0x1.9d5bced2301d8p-14, 0x1.91b5f51a37732p-14, 0x1.867d1500eb9b1p-14, 0x1.7bacda45a34d1p-14, 0x1.71411827e40a1p-14, 0x1.6735c8358348bp-14, 0x1.5d87091e08684p-14, 0x1.54311d8f9aa72p-14, 0x1.4b306b1a3bedap-14, 0x1.4281791bd2752p-14, 0x1.3a20efb17478ep-14, 0x1.320b96b10bafep-14, 0x1.2a3e54aa83619p-14, 0x1.22b62dedbda7bp-14, 0x1.1b7043983bd2ep-14, 0x1.1469d2a9d631dp-14, 0x1.0da0331e0f3f6p-14, 0x1.0710d70d6b323p-14, 0x1.00b949d432d64p-14, 0x1.f52e5e7b82191p-15, 0x1.e9508571882abp-15, 0x1.ddd4ad1bc9eebp-15, 0x1.d2b6a63c5b20bp-15, 0x1.c7f26c49f3594p-15, 0x1.bd84240205b47p-15, 0x1.b3681a01b8d61p-15, 0x1.a99ac16d4b853p-15, 0x1.a018b29c21d5dp-15, 0x1.96dea9d16c568p-15, 0x1.8de98600411b4p-15, 0x1.853647949c62cp-15, 0x1.7cc20f4887991p-15, 0x1.748a1cff5dce4p-15, 0x1.6c8bceab52501p-15, 0x1.64c49f39f418bp-15, 0x1.5d32258c4c884p-15, 0x1.55d213721eae7p-15, 0x1.4ea234af2dfd1p-15, 0x1.47a06e09c6f4p-15, 0x1.40cabc5e19ca1p-15, 0x1.3a1f33b9513a2p-15, 0x1.339bfe7d6880cp-15, 0x1.2d3f5c877b752p-15, 0x1.2707a2616b504p-15, 0x1.20f33877b859dp-15, 0x1.1b009a566aca2p-15, 0x1.152e55eb18f52p-15, 0x1.0f7b0acdb0a43p-15, 0x1.09e56990fbdccp-15, 0x1.046c33146a447p-15, 0x1.fe1c6fbeca8d6p-16, 0x1.f394aeff7f7c2p-16, 0x1.e93effdb1af6bp-16, 0x1.df1959eb0459bp-16, 0x1.d521cf4dbd708p-16, 0x1.cb568b8db53fp-16, 0x1.c1b5d290cd5f6p-16, 0x1.b83dff90a3f7ep-16, 0x1.aeed8420ef214p-16, 0x1.a5c2e7357ef2cp-16, 0x1.9cbcc437121c5p-16, 0x1.93d9ca1d395ffp-16, 0x1.8b18ba90d3af3p-16, 0x1.82786919ca6d1p-16, 0x1.79f7ba4e67b17p-16, 0x1.7195a30dee223p-16, 0x1.695127c007779p-16, 0x1.61295b9d8fa39p-16, 0x1.591d5ffefe3e3p-16, 0x1.512c63b149448p-16, 0x1.4955a24ea026dp-16, 0x1.419863a020c12p-16, 0x1.39f3fb0496282p-16, 0x1.3267c6dd674a7p-16, 0x1.2af330005b83bp-16, 0x1.2395a92ef35f6p-16, 0x1.1c4eae930645ap-16, 0x1.151dc540c91b3p-16, 0x1.0e027abdea3d4p-16, 0x1.06fc648bff0c5p-16, 0x1.000b1fba79ba4p-16, 0x1.f25ca0f0b2657p-17, 0x1.e4cb435d34031p-17, 0x1.d76189399899fp-17, 0x1.ca1ee0f506bb7p-17, 0x1.bd02c4365a7dp-17, 0x1.b00cb7303e743p-17, 0x1.a33c47f86ea0ep-17, 0x1.96910de97f694p-17, 0x1.8a0aa90851a8bp-17, 0x1.7da8c170e0e35p-17, 0x1.716b06cc70fe4p-17, 0x1.65512fc89705ep-17, 0x1.595af999c23a5p-17, 0x1.4d882780121b3p-17, 0x1.41d88252e60d8p-17, 0x1.364bd81105fdep-17, 0x1.2ae1fb7879529p-17, 0x1.1f9ac39eee68bp-17, 0x1.14760b9452fcep-17, 0x1.0973b2080765dp-17, 0x1.fd2731dc29ab5p-18, 0x1.e7ab4a6025b91p-18, 0x1.d2737cbb24d7cp-18, 0x1.bd7f9cc3a4c24p-18, 0x1.a8cf8279fd62dp-18, 0x1.9463098586fadp-18, 0x1.803a10b6d434ep-18, 0x1.6c54798c2f8ffp-18, 0x1.58b227c42193fp-18, 0x1.455300f2b11f5p-18, 0x1.3236ec1eae887p-18, 0x1.1f5dd16335e1bp-18, 0x1.0cc7999524105p-18, 0x1.f4e85be950305p-19, 0x1.d0c6efb84711p-19, 0x1.ad2ac0ee7b075p-19, 0x1.8a13a102e5981p-19, 0x1.6781600d37406p-19, 0x1.4573cc55b8534p-19, 0x1.23eab1dbd0609p-19, 0x1.02e5d9fb9cbaep-19, 0x1.c4ca161b6887cp-20, 0x1.84d0101d7a88dp-20, 0x1.45dd20a9b58c1p-20, 0x1.07f0be939aea7p-20, 0x1.9614b0acc545p-21, 0x1.1e52a72182377p-21, 0x1.5134329550533p-22, 0x1.a74d65b2f1a19p-24, -0x1.e600670af7c98p-24, -0x1.58c92c72885f9p-22, -0x1.1a0586f1ebccp-21, -0x1.85a48c0c2a4c4p-21, -0x1.ef43683e4b8b9p-21, -0x1.2b71fa27e99d1p-20, -0x1.5e440fa40f38dp-20, -0x1.9018f743af98fp-20, -0x1.c0f1bef738fbcp-20, -0x1.f0cf7ffe5c578p-20, -0x1.0fd9af70c6446p-19, -0x1.26cf45b86135ep-19, -0x1.3d49205c20bcdp-19, -0x1.5347e278635c7p-19, -0x1.68cc34b606064p-19, -0x1.7dd6c53de021ep-19, -0x1.926847a8e5cf2p-19, -0x1.a68174f2d8705p-19, -0x1.ba230b6b7e333p-19, -0x1.cd4dce9849ae5p-19, -0x1.e002871f84773p-19, -0x1.f24202b3d686fp-19, -0x1.020689ffa2807p-18, -0x1.0ab24940c2533p-18, -0x1.1324ad3afa211p-18, -0x1.1b5e265c8a1c3p-18, -0x1.235f2754d22f3p-18, -0x1.2b2825047dc1cp-18, -0x1.32b9966f3dd3ap-18, -0x1.3a13f4ab49d57p-18, -0x1.4137bad0c23e6p-18, -0x1.482565ec76fe8p-18, -0x1.4edd74e90cfe9p-18, -0x1.5560687f5ae4dp-18, -0x1.5baec32535359p-18, -0x1.61c9090030293p-18, -0x1.67afbfd060798p-18, -0x1.6d636edcd52e6p-18, -0x1.72e49ee53b866p-18, -0x1.7833da0dc3751p-18, -0x1.7d51abceb8fc4p-18, -0x1.823ea0e1be81dp-18, -0x1.86fb4732d9665p-18, -0x1.8b882dcbe1c79p-18, -0x1.8fe5e4c5f3658p-18, -0x1.9414fd35fb9b3p-18, -0x1.9816091919cd7p-18, -0x1.9be99b43f5e5bp-18, -0x1.9f90475446d46p-18, -0x1.a30aa1a0ed548p-18, -0x1.a6593f25003dbp-18, -0x1.a97cb570ea666p-18, -0x1.ac759a9a6ce72p-18, -0x1.af44852aa2e9ap-18, -0x1.b1ea0c1076892p-18, -0x1.b466c68e5d6fep-18, -0x1.b6bb4c2f7076ep-18, -0x1.b8e834b4174fp-18, -0x1.baee1805b4183p-18, -0x1.bccd8e25d0edap-18, -0x1.be872f1e7653bp-18, -0x1.c01b92f54992cp-18, -0x1.c18b519d8bb52p-18, -0x1.c2d702ecf7cacp-18, -0x1.c3ff3e8b795f5p-18, -0x1.c5049be5d3379p-18, -0x1.c5e7b2226c006p-18, -0x1.c6a91812c3869p-18, -0x1.c7496429700e7p-18, -0x1.c7c92c6bff57dp-18, -0x1.c829066a595dcp-18, -0x1.c86987331722fp-18, -0x1.c88b4346561c1p-18, -0x1.c88ece8d1576p-18, -0x1.c874bc4c14bdfp-18, -0x1.c83d9f1b3b879p-18, -0x1.c7ea08daefe26p-18, -0x1.c77a8aac77e57p-18, -0x1.c6efb4e8aeeb4p-18, -0x1.c64a1715294cap-18, -0x1.c58a3fdbea232p-18, -0x1.c4b0bd04ac47bp-18, -0x1.c3be1b6a4123cp-18, -0x1.c2b2e6f57f142p-18, -0x1.c18faa92d41cp-18, -0x1.c054f030011bfp-18, -0x1.bf0340b148374p-18, -0x1.bd9b23ebb8a6ap-18, -0x1.bc1d209ec53fdp-18, -0x1.ba89bc6d32f29p-18, -0x1.b8e17bd86ceadp-18, -0x1.b724e239d308ep-18, -0x1.b55471be7c67dp-18, -0x1.b370ab63c63e7p-18, -0x1.b17a0eee9f46dp-18, -0x1.af711ae91a9afp-18, -0x1.ad564c9ec3c98p-18, -0x1.ab2a2016a49f2p-18, -0x1.a8ed10110a29ep-18, -0x1.a69f96027ce96p-18, -0x1.a4422a12dbf4p-18, -0x1.a1d543194588ap-18, -0x1.9f5956971c812p-18, -0x1.9cced8b808e59p-18, -0x1.9a363c4d15945p-18, -0x1.978ff2cb2e9b8p-18, -0x1.94dc6c4951bedp-18, -0x1.921c177e24cadp-18, -0x1.8f4f61bfaaa3cp-18, -0x1.8c76b7007c354p-18, -0x1.899281ce0a443p-18, -0x1.86a32b50307b1p-18, -0x1.83a91b48736f8p-18, -0x1.80a4b80ff860bp-18, -0x1.7d966697ee21dp-18, -0x1.7a7e8a68a83f2p-18, -0x1.775d85a2edeaap-18, -0x1.7433b8fd9534dp-18, -0x1.710183c60ace6p-18, -0x1.6dc743e145962p-18, -0x1.6a8555cac5355p-18, -0x1.673c14951ec7bp-18, -0x1.63ebd9ebcbc15p-18, -0x1.6094fe122bb66p-18, -0x1.5d37d7e5a3621p-18, -0x1.59d4bcdea17fap-18, -0x1.566c010fed878p-18, -0x1.52fdf7299cdd8p-18, -0x1.4f8af079907c1p-18, -0x1.4c133cecd1b69p-18, -0x1.48972b1089867p-18, -0x1.45170814b606bp-18, -0x1.41931fcde3282p-18, -0x1.3e0bbcb5fed49p-18, -0x1.3a8127ee68f8bp-18, -0x1.36f3a9427e0d2p-18, -0x1.33638728b18dep-18, -0x1.2fd106c4ecfd5p-18, -0x1.2c3c6beadc75ap-18, -0x1.28a5f9212b9bep-18, -0x1.250defa1365cap-18, -0x1.21748f5c5db16p-18, -0x1.1dda16fd73a96p-18, -0x1.1a3ec3e9eaa1cp-18, -0x1.16a2d2468045fp-18, -0x1.13067cf8a0a9ap-18, -0x1.0f69fda932d2fp-18, -0x1.0bcd8cc73726fp-18, -0x1.0831618b4d931p-18, -0x1.0495b1fabd777p-18, -0x1.00fab2e8aa58ep-18, -0x1.fac12ff429a6bp-19, -0x1.f38f2752d51fap-19, -0x1.ec5fae902aeeep-19, -0x1.e5332604fb068p-19, -0x1.de09ebc56e99ap-19, -0x1.d6e45ba88ea48p-19, -0x1.cfc2cf4bb4c1ap-19, -0x1.c8a59e1a7fcc4p-19, -0x1.c18d1d5601a28p-19, -0x1.ba79a01997b04p-19, -0x1.b36b776146488p-19, -0x1.ac62f2127b142p-19, -0x1.a5605cff031d6p-19, -0x1.9e6402edc52ccp-19, -0x1.976e2ca07ce0ap-19, -0x1.907f20db5e083p-19, -0x1.8997246affp-19, -0x1.82b67a287c3b2p-19, -0x1.7bdd630319354p-19, -0x1.750c1e0666c33p-19, -0x1.6e42e85f70eefp-19, -0x1.6781fd64be8e7p-19, -0x1.60c9969c0a0cdp-19, -0x1.5a19ebc1cf714p-19, -0x1.537332ce5307cp-19, -0x1.4cd59ffbbb034p-19, -0x1.464165cf19faep-19, -0x1.3fb6b51cba397p-19, -0x1.3935bd102e0bfp-19, -0x1.32beab320b6cbp-19, -0x1.2c51ab6e5095cp-19, -0x1.25eee81a2fd08p-19, -0x1.1f9689fcd9628p-19, -0x1.1948b852604e4p-19, -0x1.130598d62bf2ep-19, -0x1.0ccd4fc4b19e4p-19, -0x1.069fffe3cea46p-19, -0x1.007dca89d2f73p-19, -0x1.f4cd9f47a43f6p-20, -0x1.e8b65b752ee9p-20, -0x1.dcb603f4088fcp-20, -0x1.d0ccd06c79394p-20, -0x1.c4faf5e4b316p-20, -0x1.b940a6c9d8f62p-20, -0x1.ad9e12fdbf4e9p-20, -0x1.a21367e4af8dbp-20, -0x1.96a0d06cd5459p-20, -0x1.8b467521971fep-20, -0x1.80047c2f6e4ebp-20, -0x1.74db097273a3ap-20, -0x1.69ca3e806bbaap-20, -0x1.5ed23ab88c823p-20, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.177e9e0cc8bd2p-8, -0x1.17759f40238b4p-7, -0x1.a3254f63cc10cp-7, -0x1.176edde611ec8p-6, -0x1.5d5b39c5c3253p-6, -0x1.a3640d265c682p-6, -0x1.e992a0ddcc7c6p-6, -0x1.17f5188d8bea5p-5, -0x1.3b32db2be9d5bp-5, -0x1.5e7b42c9ea752p-5, -0x1.81c1db91d23c6p-5, -0x1.a4f51b070272p-5, -0x1.c7feaa99f2c16p-5, -0x1.eac3e3ddf7849p-5, -0x1.0693374d6dad3p-4, -0x1.1782798d3b7adp-4, -0x1.281deab8685b4p-4, -0x1.3852f8687cee4p-4, -0x1.480ea61219cbap-4, -0x1.573de17cafa69p-4, -0x1.65cdcfbcd7c41p-4, -0x1.73ac11af08c24p-4, -0x1.80c6ff75d72d3p-4, -0x1.8d0ddae65fb8cp-4, -0x1.9870f91aea1fap-4, -0x1.a2e1e39b7c456p-4, -0x1.ac5371b1ccdefp-4, -0x1.b4b9da955376fp-4, -0x1.bc0ac128685a2p-4, -0x1.c23d3a02a4a11p-4, -0x1.c749cc81f27f6p-4, -0x1.cb2a6f941fbe1p-4, -0x1.cdda82e035c15p-4, -0x1.cf56c4ea1ce4bp-4, -0x1.cf9d46bdca287p-4, -0x1.cead5da0db27bp-4, -0x1.cc87933bfaa89p-4, -0x1.c92d949ff002cp-4, -0x1.c4a2207d9daedp-4, -0x1.bee8f4dc86659p-4, -0x1.b806bc90a7ffdp-4, -0x1.b000fca6be77dp-4, -0x1.a6de01f52408ap-4, -0x1.9ca4cef7cbcd7p-4, -0x1.915d0a16dbb5ep-4, -0x1.850eec7150fc2p-4, -0x1.77c3313fc6e37p-4, -0x1.698305def034ap-4, -0x1.5a57fa8d3de3ap-4, -0x1.4a4bf3e3d4baap-4, -0x1.39691d0ffee9p-4, -0x1.27b9dacfd709p-4, -0x1.1548bf32ced04p-4, -0x1.02207e1cf73c9p-4, -0x1.dc97c51509364p-5, -0x1.b3ab891f9bc41p-5, -0x1.89920022449a2p-5, -0x1.5e60d859faddbp-5, -0x1.322da6a51eb8p-5, -0x1.050dd7fc3b48cp-5, -0x1.ae2d4851902b7p-6, -0x1.50ba0357c295fp-6, -0x1.e3d66b1a05952p-7, -0x1.23d30e533fd83p-7, -0x1.86e712e024727p-9, 0x1.889ce4593ae69p-9, 0x1.27836a397096fp-7, 0x1.ee101e34dfee2p-7, 0x1.5ac2452d2304p-6, 0x1.beccee1bf53dep-6, 0x1.1182d24f000e7p-5, 0x1.43a586ef8083ep-5, 0x1.75be6f67490cdp-5, 0x1.a7bdf0283822ep-5, 0x1.d994f931b6ac1p-5, 0x1.059a8394e29a6p-4, 0x1.1e481202ac0b3p-4, 0x1.36cc73a4a1673p-4, 0x1.4f213af636b6dp-4, 0x1.674040f1c9c54p-4, 0x1.7f23a4af23bddp-4, 0x1.96c5cade444d4p-4, 0x1.ae215d21e0424p-4, 0x1.c531494cc28c3p-4, 0x1.dbf0c08515788p-4, 0x1.f25b365044379p-4, 0x1.04362fc518805p-3, 0x1.0f1018a500f4ap-3, 0x1.19b96fdb674e6p-3, 0x1.24306e6723c12p-3, 0x1.2e736b8f96e58p-3, 0x1.3880dc3caf625p-3, 0x1.4257524a8ef65p-3, 0x1.4bf57bd9895cdp-3, 0x1.555a229b20a8ap-3, 0x1.5e842b1cb7cd4p-3, 0x1.677294106e909p-3, 0x1.70247594c6fc4p-3, 0x1.7899007b79761p-3, 0x1.80cf7d8ff1c3bp-3, 0x1.88c74cddd77d8p-3, 0x1.907fe4f7f1fc6p-3, 0x1.97f8d23fcce99p-3, 0x1.9f31b62e53199p-3, 0x1.a62a469db421fp-3, 0x1.ace24d14bc409p-3, 0x1.b359a613ee9e7p-3, 0x1.b9904064762a2p-3, 0x1.bf861c6930c47p-3, 0x1.c53b4b71e1f0cp-3, 0x1.caafef10c9ba7p-3, 0x1.cfe43872a7badp-3, 0x1.d4d867b94c8cp-3, 0x1.d98ccb58d9557p-3, 0x1.de01bf77abad3p-3, 0x1.e237ad51246e7p-3, 0x1.e62f0a9b3e158p-3, 0x1.e9e858ef0ec5ep-3, 0x1.ed6425343ec83p-3, 0x1.f0a3070f737dfp-3, 0x1.f3a5a053c3e93p-3, 0x1.f66c9c7737a7dp-3, 0x1.f8f8b00a4878ep-3, 0x1.fb4a983280afp-3, 0x1.fd631a2823359p-3, 0x1.ff4302b6f164ap-3, 0x1.007592e0fbe2p-2, 0x1.012e2ee53fd31p-2, 0x1.01cbc5bcffe3ep-2, 0x1.024eca979721ap-2, 0x1.02b7b3470a864p-2, 0x1.0306f80999c2dp-2, 0x1.033d1354d3815p-2, 0x1.035a81a22928fp-2, 0x1.035fc13d01b4cp-2, 0x1.034d521246546p-2, 0x1.0323b58168d81p-2, 0x1.02e36e2edea06p-2, 0x1.028cffd80c8c9p-2, 0x1.0220ef28a0d43p-2, 0x1.019fc1915827fp-2, 0x1.0109fd2027811p-2, 0x1.00602859c9bd8p-2, 0x1.ff459429523f9p-3, 0x1.fda4d2aa46bd7p-3, 0x1.fbdf1a56451e6p-3, 0x1.f9f5792207ba2p-3, 0x1.f7e8fc979c8f1p-3, 0x1.f5bab19954d6fp-3, 0x1.f36ba4273c014p-3, 0x1.f0fcdf2708df8p-3, 0x1.ee6f6c2e776dp-3, 0x1.ebc453500b32p-3, 0x1.e8fc9aea2281dp-3, 0x1.e61947785fdb5p-3, 0x1.e31b5b674b843p-3, 0x1.e003d6ea35484p-3, 0x1.dcd3b7d337956p-3, 0x1.d98bf96d659edp-3, 0x1.d62d9458feb7ap-3, 0x1.d2b97e69bcdf4p-3, 0x1.cf30aa870a9cap-3, 0x1.cb94088e3eefcp-3, 0x1.c7e48536ab754p-3, 0x1.c42309f790f5dp-3, 0x1.c0507cefdab82p-3, 0x1.bc6dc0cf98aa1p-3, 0x1.b87bb4c33a23bp-3, 0x1.b47b346060cdcp-3, 0x1.b06d1794628a7p-3, 0x1.ac5232945027dp-3, 0x1.a82b55ce88c5dp-3, 0x1.a3f94dddc3f3cp-3, 0x1.9fbce37d8d3dp-3, 0x1.9b76db801f8d7p-3, 0x1.9727f6c59c086p-3, 0x1.92d0f23486541p-3, 0x1.8e7286b389de2p-3, 0x1.8a0d69246db66p-3, 0x1.85a24a6036ff5p-3, 0x1.8131d734693ep-3, 0x1.7cbcb8615c9f2p-3, 0x1.784392999c1dcp-3, 0x1.73c7068247265p-3, 0x1.6f47b0b4643dp-3, 0x1.6ac629bf2203dp-3, 0x1.6643062af6cbp-3, 0x1.61bed67d99655p-3, 0x1.5d3a273ec8b15p-3, 0x1.58b580fdd1218p-3, 0x1.54316857d4a97p-3, 0x1.4fae5dfec296bp-3, 0x1.4b2cdec0ef80ap-3, 0x1.46ad6391599f7p-3, 0x1.4230619080082p-3, 0x1.3db64a15c15e8p-3, 0x1.393f8ab94f2e4p-3, 0x1.34cc8d5e92bc9p-3, 0x1.305db83f1245ap-3, 0x1.2bf36df5c0a94p-3, 0x1.278e0d8ab9488p-3, 0x1.232df27f567cep-3, 0x1.1ed374daa7fp-3, 0x1.1a7ee9363ac15p-3, 0x1.1630a0cb2c6fep-3, 0x1.11e8e97f86c5fp-3, 0x1.0da80df3d4f1bp-3, 0x1.096e5590fe1abp-3, 0x1.053c0496494f3p-3, 0x1.01115c2797192p-3, 0x1.f9dd34b77900bp-4, 0x1.f1a7f4961b17cp-4, 0x1.e983683bf63bcp-4, 0x1.e16ffa37a0f34p-4, 0x1.d96e0f730d8e6p-4, 0x1.d17e0751464a9p-4, 0x1.c9a03bcc55709p-4, 0x1.c1d501932f36p-4, 0x1.ba1ca827a62c1p-4, 0x1.b27779fc63336p-4, 0x1.aae5bc92d9eb2p-4, 0x1.a367b0992803ep-4, 0x1.9bfd9207e4bcep-4, 0x1.94a7983fd5d15p-4, 0x1.8d65f6278406ep-4, 0x1.8638da48a3eddp-4, 0x1.7f206eed5abecp-4, 0x1.781cda3d4b9fcp-4, 0x1.712e3e5a6f9cdp-4, 0x1.6a54b97db68fp-4, 0x1.6390661362e14p-4, 0x1.5ce15ad725ff9p-4, 0x1.5647aaeff44c1p-4, 0x1.4fc3660b8c326p-4, 0x1.49549879b196dp-4, 0x1.42fb4b4713c49p-4, 0x1.3cb78457e1bc9p-4, 0x1.3689468205d95p-4, 0x1.307091a7067f9p-4, 0x1.2a6d62cd8af9cp-4, 0x1.247fb43a81dbcp-4, 0x1.1ea77d89e4b4ep-4, 0x1.18e4b3c71d1cap-4, 0x1.13374985024eap-4, 0x1.0d9f2ef57035fp-4, 0x1.081c52007c221p-4, 0x1.02ae9e5b3d77p-4, 0x1.faabfb3c5aaecp-5, 0x1.f024aeb63ec8cp-5, 0x1.e5c722659a7cbp-5, 0x1.db931dd3efe0ep-5, 0x1.d18864fc361e4p-5, 0x1.c7a6b873755d5p-5, 0x1.bdedd5907a219p-5, 0x1.b45d7692bad17p-5, 0x1.aaf552c85f93dp-5, 0x1.a1b51eb3787bcp-5, 0x1.989c8c2e522b2p-5, 0x1.8fab4a8efbedcp-5, 0x1.86e106c9f4635p-5, 0x1.7e3d6b9403c3p-5, 0x1.75c0218339dd8p-5, 0x1.6d68cf2f21cfbp-5, 0x1.653719502402cp-5, 0x1.5d2aa2de13a86p-5, 0x1.55430d2ded54dp-5, 0x1.4d7ff80ed3bb7p-5, 0x1.45e101e638419p-5, 0x1.3e65c7cb39f66p-5, 0x1.370de5a14799cp-5, 0x1.2fd8f631f8624p-5, 0x1.28c6934624a7dp-5, 0x1.21d655be3a941p-5, 0x1.1b07d5a9e0167p-5, 0x1.145aaa5ed3ae5p-5, 0x1.0dce6a8f147ddp-5, 0x1.0762ac5e5bd88p-5, 0x1.01170576e2539p-5, 0x1.f5d6163ae86afp-6, 0x1.e9bca489af783p-6, 0x1.dde0df411c0a8p-6, 0x1.d241ef6ddf4e7p-6, 0x1.c6defde53d494p-6, 0x1.bbb73366adc27p-6, 0x1.b0c9b8bc53844p-6, 0x1.a615b6da34d72p-6, 0x1.9b9a56fc3970ep-6, 0x1.9156c2c30ee9bp-6, 0x1.874a244fde9c1p-6, 0x1.7d73a65eee437p-6, 0x1.73d274611f63cp-6, 0x1.6a65ba9467833p-6, 0x1.612ca61b2cce1p-6, 0x1.58266512b64a1p-6, 0x1.4f5226a87c3a9p-6, 0x1.46af1b2e9973cp-6, 0x1.3e3c742f422ap-6, 0x1.35f9647f3c053p-6, 0x1.2de5204f8535cp-6, 0x1.25fedd3e048a7p-6, 0x1.1e45d26570455p-6, 0x1.16b9386c525aap-6, 0x1.0f584993360f3p-6, 0x1.082241c2135f8p-6, 0x1.01165e94ee54cp-6, 0x1.f467becf6b156p-7, 0x1.e6f40ac2e5cb9p-7, 0x1.d9d026fd53c46p-7, 0x1.ccfa9d3633563p-7, 0x1.c071faf59619dp-7, 0x1.b434d1a4f91ccp-7, 0x1.a841b69ed690fp-7, 0x1.9c97433cf3c9cp-7, 0x1.913414e58a7dcp-7, 0x1.8616cd1736c77p-7, 0x1.7b3e1173e3994p-7, 0x1.70a88bca8e3d6p-7, 0x1.6654ea2017c34p-7, 0x1.5c41deb6f8bb5p-7, 0x1.526e2015f79eap-7, 0x1.48d8690e0c1afp-7, 0x1.3f7f78bf3e4a4p-7, 0x1.3662129cc6a6dp-7, 0x1.2d7efe7039ad1p-7, 0x1.24d5085bdd49ep-7, 0x1.1c6300dc54b24p-7, 0x1.1427bcc96b30dp-7, 0x1.0c2215563b459p-7, 0x1.0450e810b08c6p-7, 0x1.f9662dc07dab1p-8, 0x1.ea8f1007f7846p-8, 0x1.dc1a4c2057908p-8, 0x1.ce05bfd6620bp-8, 0x1.c04f5193b7c57p-8, 0x1.b2f4f056c1e01p-8, 0x1.a5f493a927b62p-8, 0x1.994c3b956e4e4p-8, 0x1.8cf9f09bd66b7p-8, 0x1.80fbc3a60e007p-8, 0x1.754fcdfa4522cp-8, 0x1.69f4312d66093p-8, 0x1.5ee717149463dp-8, 0x1.5426b1b5c795bp-8, 0x1.49b13b37d8316p-8, 0x1.3f84f5d1e56b5p-8, 0x1.35a02bba228ccp-8, 0x1.2c012f140ea8bp-8, 0x1.22a659de4c545p-8, 0x1.198e0ddf85565p-8, 0x1.10b6b4935d40bp-8, 0x1.081ebf1689e64p-8, 0x1.ff894c259c83ap-9, 0x1.ef4dd354d9235p-9, 0x1.df8822c6af6b2p-9, 0x1.d03558241fa72p-9, 0x1.c1529f881068dp-9, 0x1.b2dd3353ee56fp-9, 0x1.a4d25c03b48eap-9, 0x1.972f70018dff1p-9, 0x1.89f1d378f6fb6p-9, 0x1.7d16f829e85dep-9, 0x1.709c5d3b256f1p-9, 0x1.647f8f0c74673p-9, 0x1.58be2708ef254p-9, 0x1.4d55cb78b7f66p-9, 0x1.42442f52db65cp-9, 0x1.3787120f08f49p-9, 0x1.2d1c3f7731ecdp-9, 0x1.23018f78f1083p-9, 0x1.1934e5f739064p-9, 0x1.0fb4329bcb869p-9, 0x1.067d70a8d98bbp-9, 0x1.fb1d4d95924b5p-10, 0x1.e9cbcdd42b244p-10, 0x1.d9029bfa9b846p-10, 0x1.c8be07b63103bp-10, 0x1.b8fa7618f73a4p-10, 0x1.a9b4613e983a7p-10, 0x1.9ae857f25c273p-10, 0x1.8c92fd547da61p-10, 0x1.7eb10880ee7d5p-10, 0x1.713f4436b791bp-10, 0x1.643a8e7f395d7p-10, 0x1.579fd85689422p-10, 0x1.4b6c255455f58p-10, 0x1.3f9c8b5597b8ap-10, 0x1.342e3226e18f6p-10, 0x1.291e532fa36a1p-10, 0x1.1e6a391df008dp-10, 0x1.140f3f935d7a3p-10, 0x1.0a0ad2d240cb1p-10, 0x1.005a6f6c220acp-10, 0x1.edf743e15bb07p-11, 0x1.dbd80d3bfd1e9p-11, 0x1.ca529222fae9fp-11, 0x1.b96247f2fe7aep-11, 0x1.a902c19115abep-11, 0x1.992faed0fe63p-11, 0x1.89e4dbdef6aap-11, 0x1.7b1e30aa1c70fp-11, 0x1.6cd7b051ed60dp-11, 0x1.5f0d7894ee57ep-11, 0x1.51bbc14194ef3p-11, 0x1.44dedba8fe9edp-11, 0x1.38733214475e7p-11, 0x1.2c75473a73c46p-11, 0x1.20e1b5b98de56p-11, 0x1.15b52f909c67fp-11, 0x1.0aec7d9d1e4f6p-11, 0x1.00847f18ebe29p-11, 0x1.ecf45236488a1p-12, 0x1.d9950c34c7a7dp-12, 0x1.c6e56ae43b007p-12, 0x1.b4dfd5d0292d7p-12, 0x1.a37edc6baf8bbp-12, 0x1.92bd3523ad9ecp-12, 0x1.8295bc78f7718p-12, 0x1.7303741d5409cp-12, 0x1.6401821323e6fp-12, 0x1.558b2fd166326p-12, 0x1.479be96db8b5bp-12, 0x1.3a2f3cc6367d6p-12, 0x1.2d40d8b272d6bp-12, 0x1.20cc8c36ac347p-12, 0x1.14ce45ba1d1dep-12, 0x1.094212426b35ep-12, 0x1.fc483965a4c0bp-13, 0x1.e6e15a1b0699ep-13, 0x1.d2484f729d616p-13, 0x1.be761999412bp-13, 0x1.ab63eeb12c78p-13, 0x1.990b3973687b3p-13, 0x1.876597d921486p-13, 0x1.766cd9c74aafbp-13, 0x1.661affc62fd6bp-13, 0x1.566a39bcd5e5cp-13, 0x1.4754e5b20290bp-13, 0x1.38d58e98664d3p-13, 0x1.2ae6eb1c0817ap-13, 0x1.1d83dc7997d84p-13, 0x1.10a76d58636cp-13, 0x1.044cd0ae35e7fp-13, 0x1.f0dec14ecf3c8p-14, 0x1.da153b2cc1eddp-14, 0x1.c43459cced87ap-14, 0x1.af33b02d3ac66p-14, 0x1.9b0b1776a3ff1p-14, 0x1.87b2ad051cd0ep-14, 0x1.7522d082c110bp-14, 0x1.63542205068e3p-14, 0x1.523f803addd55p-14, 0x1.41de06a396cf6p-14, 0x1.32290bd4101d7p-14, 0x1.231a1fc0f8069p-14, 0x1.14ab0a1373068p-14, 0x1.06d5c88e86a72p-14, 0x1.f3291aedce138p-15, 0x1.d9c37c0ab50cdp-15, 0x1.c16fe1d7346f8p-15, 0x1.aa23d9a3bd039p-15, 0x1.93d54dd98c096p-15, 0x1.7e7a8329becb9p-15, 0x1.6a0a15d44cf57p-15, 0x1.567af6fabf5acp-15, 0x1.43c46a077dc2ep-15, 0x1.31de022cfe6d8p-15, 0x1.20bf9fe3506bp-15, 0x1.10616e8373c54p-15, 0x1.00bbe1f40b4a7p-15, 0x1.e38f68b46a626p-16, 0x1.c6fbc7c9842f5p-16, 0x1.abaf613a7c526p-16, 0x1.919d34a4ab261p-16, 0x1.78b8bd0867138p-16, 0x1.60f5eccbd8a9dp-16, 0x1.4a4929ed24a33p-16, 0x1.34a74a1e64e43p-16, 0x1.20058f21fee42p-16, 0x1.0c59a33446ce2p-16, 0x1.f3332b249d5d2p-17, 0x1.cf77ae31bf8c1p-17, 0x1.ad6e6de76a5e1p-17, 0x1.8d05bee66ffd6p-17, 0x1.6e2ca5ce9ea1ap-17, 0x1.50d2d13fc31e3p-17, 0x1.34e893f988203p-17, 0x1.1a5edf3c8cbbbp-17, 0x1.01273d1fb4ce2p-17, 0x1.d2679677b2847p-18, 0x1.a4ee6af8c5fp-18, 0x1.79c9621503234p-18, 0x1.50dfeec476f83p-18, 0x1.2a1a8316c410ep-18, 0x1.0562870e2b655p-18, 0x1.c5449f24a8ecep-19, 0x1.838a2b7c79d8p-19, 0x1.456ddcd99b3fdp-19, 0x1.0ac9847435572p-19, 0x1.a6f1158acb02fp-20, 0x1.3eafc0a1ad90ep-20, 0x1.b917bb873ae88p-21, 0x1.008a2c5457759p-21, 0x1.4cee65850a70dp-23, -0x1.3d27e7f53d8b9p-23, -0x1.ceef0188e0827p-22, -0x1.75b916cd7f2a9p-21, -0x1.fa76321ea0895p-21, -0x1.3b08e93fc7c2fp-20, -0x1.747557094a7c9p-20, -0x1.a9adaf191a3e9p-20, -0x1.dadd45331d4afp-20, -0x1.0416c447a46c6p-19, -0x1.18e30be572b81p-19, -0x1.2be66a35866e4p-19, -0x1.3d32faa2505fep-19, -0x1.4cda0c5e41e12p-19, -0x1.5aec2aac0d47dp-19, -0x1.67792585df37ap-19, -0x1.729019ad440b4p-19, -0x1.7c3f786f86be4p-19, -0x1.84950ef40af4dp-19, -0x1.8b9e0db69f901p-19, -0x1.91670f5ccecafp-19, -0x1.95fc1f5ed336cp-19, -0x1.9968c07443b68p-19, -0x1.9bb7f2eff71d3p-19, -0x1.9cf43ac46f2e2p-19, -0x1.9d27a52048f61p-19, -0x1.9c5bcdefd527dp-19, -0x1.9a99e53f48925p-19, -0x1.97eab46b9efb9p-19, -0x1.9456a2f7e82b3p-19, -0x1.8fe5bb3455085p-19, -0x1.8a9faf02de4a3p-19, -0x1.848bdbfb3246dp-19, -0x1.7db14fa3a7702p-19, -0x1.7616cb53fda15p-19, -0x1.6dc2c843b68dp-19, -0x1.64bb7b286b478p-19, -0x1.5b06d7b67786bp-19, -0x1.50aa94006167p-19, -0x1.45ac2ba396d27p-19, -0x1.3a10e2e9c979p-19, -0x1.2dddc9c6d5422p-19, -0x1.2117be96fbe3fp-19, -0x1.13c370f1d475dp-19, -0x1.05e5642d78c51p-19, -0x1.ef03e38412195p-20, -0x1.d13a9779ae75ap-20, -0x1.b276fd996af98p-20, -0x1.92c0e95d71d16p-20, -0x1.721febfd3c4adp-20, -0x1.509b589df1948p-20, -0x1.2e3a47b22da15p-20, -0x1.0b039a81dceddp-20, -0x1.cdfbfcfec4857p-21, -0x1.845fe147f0951p-21, -0x1.393f803085995p-21, -0x1.d94e4506adc89p-22, -0x1.3d45816dd446fp-22, -0x1.3cf81fdeae38cp-23, 0x1.7ba100b2b1acap-29, 0x1.4dfc569bfa873p-23, 0x1.4d82ddd0a7ebfp-22, 0x1.f66ffea3b4e77p-22, 0x1.50d84f1bcd6c1p-21, 0x1.a79818f92e821p-21, 0x1.ff6d46e9c37c5p-21, 0x1.2c26f740953a5p-20, 0x1.59182710c66ddp-20, 0x1.868565399575p-20, 0x1.b469f5f2c8da3p-20, 0x1.e2c12e0533a44p-20, 0x1.08c338e52955cp-19, 0x1.205a9a0776dd7p-19, 0x1.38247a960509cp-19, 0x1.501ea109144cfp-19, 0x1.6846d9c685bd6p-19, 0x1.809af6aa7a04bp-19, 0x1.9918ced7382bep-19, 0x1.b1be3e5ce44fbp-19, 0x1.ca8925e5f3c77p-19, 0x1.e3776a5dd85f2p-19, 0x1.fc86f4cbcd354p-19, 0x1.0adad91b61b5bp-18, 0x1.1780c9a9e59f6p-18, 0x1.243446383de2fp-18, 0x1.30f44aa3c1cb8p-18, 0x1.3dbfd46e6eae4p-18, 0x1.4a95e2ab9a7e5p-18, 0x1.577575ff41f68p-18, 0x1.645d908cf629p-18, 0x1.714d35f217e51p-18, 0x1.7e436b4de368ap-18, 0x1.8b3f373641621p-18, 0x1.983fa1b04c837p-18, 0x1.a543b4235d6b1p-18, 0x1.b24a797218eb1p-18, 0x1.bf52fdf2cf465p-18, 0x1.cc5c4f761cb71p-18, 0x1.d9657d497115dp-18, 0x1.e66d983b4d9d2p-18, 0x1.f373b2a7216b5p-18, 0x1.003b70333ae6dp-17, 0x1.06bb1b7903f81p-17, 0x1.0d3866ae10409p-17, 0x1.13b2de305d095p-17, 0x1.1a2a0f3ab8a51p-17, 0x1.209d87e704eaep-17, 0x1.270cd73420ff4p-17, 0x1.2d778d0430563p-17, 0x1.33dd3a2aa9f9fp-17, 0x1.3a3d707223c6dp-17, 0x1.4097c29f26056p-17, 0x1.46ebc47b23802p-17, 0x1.4d390ad639914p-17, 0x1.537f2b912a003p-17, 0x1.59bdbd9ca9e3ap-17, 0x1.5ff4590406458p-17, 0x1.662296f386d63p-17, 0x1.6c4811be3ea2p-17, 0x1.726464e78cbb5p-17, 0x1.78772d265a552p-17, 0x1.7e80086eb83fbp-17, 0x1.847e95f1b51dbp-17, 0x1.8a727623a5b73p-17, 0x1.905b4ac8832fdp-17, 0x1.9638b6f4f9f67p-17, 0x1.9c0a5f1502cdp-17, 0x1.a1cfe8f39a99fp-17, 0x1.a788fbbd98bf9p-17, 0x1.ad3540099229fp-17, 0x1.b2d45fd49f86ep-17, 0x1.b86606915c80cp-17, 0x1.bde9e1252faadp-17, 0x1.c35f9df23a234p-17, 0x1.c8c6ecdb4b438p-17, 0x1.ce1f7f45d907ap-17, 0x1.d369082084e87p-17, 0x1.d8a33be4c38fp-17, 0x1.ddcdd09693546p-17, 0x1.e2e87dd02aa5dp-17, 0x1.e7f2fcc1f9759p-17, 0x1.eced083275596p-17, 0x1.f1d65c85c5d49p-17, 0x1.f6aeb7be24e6cp-17, 0x1.fb75d97f9a879p-17, 0x1.0015c186e323bp-16, 0x1.0267bba85fac8p-16, 0x1.04b0bd6ca3d55p-16, 0x1.06f0a9eeeba5ep-16, 0x1.09276520725fep-16, 0x1.0b54d3c7d84b4p-16, 0x1.0d78db81948fcp-16, 0x1.0f9362c13ff3ap-16, 0x1.11a450cf41a9ap-16, 0x1.13ab8dcbbcb6fp-16, 0x1.15a902adcb3bap-16, 0x1.179c99441fdb8p-16, 0x1.19863c3384f45p-16, 0x1.1b65d6f7e6825p-16, 0x1.1d3b55e49ae77p-16, 0x1.1f06a62202086p-16, 0x1.20c7b5ae0c0bfp-16, 0x1.227e735bceb5ep-16, 0x1.242aced340f28p-16, 0x1.25ccb88fc1fa3p-16, 0x1.276421e0805c4p-16, 0x1.28f0fce6f59aep-16, 0x1.2a733c95351a6p-16, 0x1.2bead4af36dfbp-16, 0x1.2d57b9c67fb7p-16, 0x1.2eb9e13a2ee4ap-16, 0x1.30114137ee18fp-16, 0x1.315dd0b7cd788p-16, 0x1.329f877cc9a2fp-16, 0x1.33d65e1144d19p-16, 0x1.35024dc8c1463p-16, 0x1.362350bb01416p-16, 0x1.373961c358a1ap-16, 0x1.38447c80cd502p-16, 0x1.39449d518f208p-16, 0x1.3a39c152c6182p-16, 0x1.3b23e65fa0517p-16, 0x1.3c030b0d9cfc2p-16, 0x1.3cd72eab20793p-16, 0x1.3da0513d81b76p-16, 0x1.3e5e7380e349ep-16, 0x1.3f1196e26423cp-16, 0x1.3fb9bd7f9032cp-16, 0x1.4056ea2678df3p-16, 0x1.40e92050a62cp-16, 0x1.4170642238c6dp-16, 0x1.41ecba665b391p-16, 0x1.425e288f463abp-16, 0x1.42c4b4b1c6fb3p-16, 0x1.432065822fdd3p-16, 0x1.4371425600297p-16, 0x1.43b7531d878e8p-16, 0x1.43f2a061a88c7p-16, 0x1.4423334481126p-16, 0x1.4449157c48e26p-16, 0x1.446451507b3ap-16, 0x1.4474f1989348dp-16, 0x1.447b01ba4862fp-16, 0x1.44768da59f5c5p-16, 0x1.4467a1d1e9adcp-16, 0x1.444e4b3b90869p-16, 0x1.442a9763833e1p-16, 0x1.43fc9449e346cp-16, 0x1.43c4506cac776p-16, 0x1.4381dac4be46bp-16, 0x1.433542c3cc554p-16, 0x1.42de9850a68bep-16, 0x1.427debc54cf4ap-16, 0x1.42134dede9706p-16, 0x1.419ed00396536p-16, 0x1.412083aa2f3a8p-16, 0x1.40987aef4fcc7p-16, 0x1.4006c84678891p-16, 0x1.3f6b7e8605497p-16, 0x1.3ec6b0e508e3dp-16, 0x1.3e1872f9f90efp-16, 0x1.3d60d8b731975p-16, 0x1.3c9ff6679c535p-16, 0x1.3bd5e0ac76717p-16, 0x1.3b02ac7ad93e9p-16, 0x1.3a266f1af11bap-16, 0x1.39413e2227042p-16, 0x1.38532f7352467p-16, 0x1.375c593a5b9f3p-16, 0x1.365cd1ead9faep-16, 0x1.3554b03d06138p-16, 0x1.34440b2ce0d3cp-16, 0x1.332af9f649044p-16, 0x1.3209941237b11p-16, 0x1.30dff134c7c21p-16, 0x1.2fae294b53321p-16, 0x1.2e7454791bbbcp-16, 0x1.2d328b15842afp-16, 0x1.2be8e5a9eee27p-16, 0x1.2a977cefd325fp-16, 0x1.293e69cdce42fp-16, 0x1.27ddc555338bep-16, 0x1.2675a8c05ee16p-16, 0x1.25062d6ed0242p-16, 0x1.238f6ce699422p-16, 0x1.221180ceb240dp-16, 0x1.208c82ee8f503p-16, 0x1.1f008d2a6f661p-16, }}, 
      {{0x1.1b7bd4a92ab4ep-1, 0x1.1b95c393d0f6dp-1, 0x1.1bc54e625acf9p-1, 0x1.1c0db39acd3a5p-1, 0x1.1c70b41f9acdp-1, 0x1.1cee4b6f395b4p-1, 0x1.1d84ce785f7ddp-1, 0x1.1e313a8972b9cp-1, 0x1.1eef94a6ec56cp-1, 0x1.1fbb479dcb53p-1, 0x1.208f77bb0be1p-1, 0x1.21674839e19c7p-1, 0x1.223e117ee30d6p-1, 0x1.230f88e495142p-1, 0x1.23d7dbb822a7ap-1, 0x1.2493bf5e6083ep-1, 0x1.254078a63fb4bp-1, 0x1.25dbdc2fda63p-1, 0x1.2664499b67476p-1, 0x1.26d8a2f691412p-1, 0x1.273841a0ca67cp-1, 0x1.2782e9a4b537dp-1, 0x1.27b8bc4fff278p-1, 0x1.27da2aa5082dbp-1, 0x1.27e7e81a9c8bdp-1, 0x1.27e2ddfd8896cp-1, 0x1.27cc1fad53147p-1, 0x1.27a4dfd83c31ap-1, 0x1.276e66ca030b1p-1, 0x1.272a09d431c7fp-1, 0x1.26d923cd27599p-1, 0x1.267d0e9c2280cp-1, 0x1.26171dc3bfda2p-1, 0x1.25a899d93964fp-1, 0x1.2532bcd4d3487p-1, 0x1.24b6af2714e26p-1, 0x1.2435857e4601ep-1, 0x1.23b03f2829bafp-1, 0x1.2327c4fcbd2fdp-1, 0x1.229ce8bfe32b5p-1, 0x1.221064e9255d4p-1, 0x1.2182dcc2113d6p-1, 0x1.20f4dccd1b498p-1, 0x1.2066db6852476p-1, 0x1.1fd939a07ff6bp-1, 0x1.1f4c442a9f56ep-1, 0x1.1ec0347abfe6bp-1, 0x1.1e3531f087d52p-1, 0x1.1dab5312955cdp-1, 0x1.1d229ed2e2e6bp-1, 0x1.1c9b0dd7391c6p-1, 0x1.1c148bc17029dp-1, 0x1.1b8ef873fbacbp-1, 0x1.1b0a294fd099p-1, 0x1.1a85ea6945ebbp-1, 0x1.1a01ffb203971p-1, 0x1.197e261685dd6p-1, 0x1.18fa148e0ff95p-1, 0x1.18757d1c403f5p-1, 0x1.17f00dc3bb2fp-1, 0x1.176971699c86ep-1, 0x1.16e150a99316dp-1, 0x1.1657529ab5637p-1, 0x1.15cb1d853df1ep-1, 0x1.153c578981798p-1, 0x1.14aaa7388261bp-1, 0x1.1415b41e9c4p-1, 0x1.137d2740cecbdp-1, 0x1.12e0ab8d3c473p-1, 0x1.123fee3f75123p-1, 0x1.119a9f39327a4p-1, 0x1.10f0715022671p-1, 0x1.10411a916a936p-1, 0x1.0f8c547b844bp-1, 0x1.0ed1dc2f15297p-1, 0x1.0e11729760c37p-1, 0x1.0d4adc8af0adap-1, 0x1.0c7de2e5058dbp-1, 0x1.0baa5298648bap-1, 0x1.0acffcbc0898ap-1, 0x1.09eeb6923f396p-1, 0x1.0906598aaca2bp-1, 0x1.0816c33faf008p-1, 0x1.071fd56f94216p-1, 0x1.062175f209c46p-1, 0x1.051b8eaa2dadep-1, 0x1.040e0d759dd7ep-1, 0x1.02f8e418dc4b2p-1, 0x1.01dc08295d471p-1, 0x1.00b772f588f1dp-1, 0x1.ff1642d5f244fp-2, 0x1.fcae27f66766p-2, 0x1.fa369cfe3ddadp-2, 0x1.f7afb032ce8b1p-2, 0x1.f519763012c87p-2, 0x1.f27409aa6077fp-2, 0x1.efbf8b2f232ecp-2, 0x1.ecfc20e4e08dcp-2, 0x1.ea29f64acf194p-2, 0x1.e7493bf840351p-2, 0x1.e45a275c18a3cp-2, 0x1.e15cf27c8779dp-2, 0x1.de51dbb7327e7p-2, 0x1.db392581f9666p-2, 0x1.d813162c7d362p-2, 0x1.d4dff7a2854dbp-2, 0x1.d1a0172f662d7p-2, 0x1.ce53c5427f827p-2, 0x1.cafb5534e9389p-2, 0x1.c7971d1060ba6p-2, 0x1.c42775578a9a2p-2, 0x1.c0acb8cf916e3p-2, 0x1.bd27444b32995p-2, 0x1.b99776773d637p-2, 0x1.b5fdafa88d2e7p-2, 0x1.b25a51ab88755p-2, 0x1.aeadbf9521f1p-2, 0x1.aaf85d9562ec5p-2, 0x1.a73a90cb7e576p-2, 0x1.a374bf1b6b47bp-2, 0x1.9fa74f050c9d1p-2, 0x1.9bd2a77cd8295p-2, 0x1.97f72fc606963p-2, 0x1.94154f4e409b8p-2, 0x1.902d6d8ac7c1ep-2, 0x1.8c3ff1d719d1fp-2, 0x1.884d4354fea96p-2, 0x1.8455c8ce0be58p-2, 0x1.8059e8968551bp-2, 0x1.7c5a0871a2e5bp-2, 0x1.78568d772f217p-2, 0x1.744fdbfa72c8dp-2, 0x1.7046577272d43p-2, 0x1.6c3a62636a99fp-2, 0x1.682c5e4988581p-2, 0x1.641cab84da162p-2, 0x1.600ba946698dbp-2, 0x1.5bf9b57e7c8b4p-2, 0x1.57e72ccbf4801p-2, 0x1.53d46a6cc2b7ap-2, 0x1.4fc1c82f69b5ap-2, 0x1.4baf9e6588a96p-2, 0x1.479e43d762725p-2, 0x1.438e0db85d92dp-2, 0x1.3f7f4f9c73d3fp-2, 0x1.3b725b6e89b1p-2, 0x1.37678167a7d19p-2, 0x1.335f10070a42ap-2, 0x1.2f59540b08f3p-2, 0x1.2b56986ac3761p-2, 0x1.2757265096343p-2, 0x1.235b45154a15ap-2, 0x1.1f633a3bfc74cp-2, 0x1.1b6f496eb3773p-2, 0x1.177fb47b9c9b9p-2, 0x1.1394bb52f0343p-2, 0x1.0fae9c056bbcdp-2, 0x1.0bcd92c364cc3p-2, 0x1.07f1d9dc6b666p-2, 0x1.041ba9bf7517p-2, 0x1.004b38fb8958p-2, 0x1.f9017881df6efp-3, 0x1.f178ccc5a34f3p-3, 0x1.e9fcd0b2a37a5p-3, 0x1.e28de28818f5bp-3, 0x1.db2c5cda08dap-3, 0x1.d3d89697d9a7dp-3, 0x1.cc92e313a77ccp-3, 0x1.c55b920a49155p-3, 0x1.be32efabf7898p-3, 0x1.b71944a5961fap-3, 0x1.b00ed62a8ec74p-3, 0x1.a913e5ff3a6efp-3, 0x1.a228b283c6426p-3, 0x1.9b4d76bf9b166p-3, 0x1.94826a6d31069p-3, 0x1.8dc7c2064f442p-3, 0x1.871daed0abc4dp-3, 0x1.80845eeae9f19p-3, 0x1.79fbfd59e419fp-3, 0x1.7384b2164e9f2p-3, 0x1.6d1ea21a92898p-3, 0x1.66c9ef70ed9bep-3, 0x1.6086b941ce369p-3, 0x1.5a551be2550cfp-3, 0x1.543530e3154fap-3, 0x1.4e270f1ee82f8p-3, 0x1.482acac9ee1f5p-3, 0x1.42407580a8b53p-3, 0x1.3c681e5726249p-3, 0x1.36a1d1e84558bp-3, 0x1.30ed9a6500378p-3, 0x1.2b4b7fa3c072ep-3, 0x1.25bb872fbd257p-3, 0x1.203db4584c1eep-3, 0x1.1ad208403bfc1p-3, 0x1.157881ed1ae54p-3, 0x1.10311e5678e6bp-3, 0x1.0afbd87516ee6p-3, 0x1.05d8a95203522p-3, 0x1.00c78815a0576p-3, 0x1.f790d42d2b3e1p-4, 0x1.edb685d1393f1p-4, 0x1.e40008d6738a9p-4, 0x1.da6d3db096b3dp-4, 0x1.d0fe01a4f508p-4, 0x1.c7b22ee705de2p-4, 0x1.be899cb4a9415p-4, 0x1.b5841f721aafp-4, 0x1.aca188c58313p-4, 0x1.a3e1a7b234901p-4, 0x1.9b4448b39014cp-4, 0x1.92c935d778971p-4, 0x1.8a7036d87454fp-4, 0x1.823911375ada9p-4, 0x1.7a2388549eeefp-4, 0x1.722f5d892fd44p-4, 0x1.6a5c503ee77a6p-4, 0x1.62aa1e08916dcp-4, 0x1.5b1882b97b8d6p-4, 0x1.53a7387c98fb2p-4, 0x1.4c55f7eb311c9p-4, 0x1.452478231b62p-4, 0x1.3e126edc85e2bp-4, 0x1.371f907f48653p-4, 0x1.304b9037bff3cp-4, 0x1.2996200b3546ep-4, 0x1.22fef0ebce603p-4, 0x1.1c85b2cc052cbp-4, 0x1.162a14b1ae719p-4, 0x1.0febc4c883a46p-4, 0x1.09ca70743c2bep-4, 0x1.03c5c4622e1f7p-4, 0x1.fbbad934f3051p-5, 0x1.f022292183013p-5, 0x1.e4c0ce68dd1f4p-5, 0x1.d9961e00fd816p-5, 0x1.cea16c15c8d5cp-5, 0x1.c3e20c26e3ebep-5, 0x1.b9575124ab29fp-5, 0x1.af008d8c4cb2cp-5, 0x1.a4dd1382fff57p-5, 0x1.9aec34f06c3e7p-5, 0x1.912d43983144dp-5, 0x1.879f91329755ap-5, 0x1.7e426f847589bp-5, 0x1.75153076431dep-5, 0x1.6c17262a57ccep-5, 0x1.6347a3126cc16p-5, 0x1.5aa5fa044c89cp-5, 0x1.52317e4dc566fp-5, 0x1.49e983c7d30e3p-5, 0x1.41cd5ee918d8fp-5, 0x1.39dc64d791a55p-5, 0x1.3215eb7994037p-5, 0x1.2a7949861b8e8p-5, 0x1.2305d6946a71bp-5, 0x1.1bbaeb2af28fp-5, 0x1.1497e0cd9ee9dp-5, 0x1.0d9c120b72c65p-5, 0x1.06c6da8b86efep-5, 0x1.001797196742dp-5, 0x1.f31b4b61a52bbp-6, 0x1.e650cb11d1f39p-6, 0x1.d9ce6e3d7cea8p-6, 0x1.cd92f87eb8e1ep-6, 0x1.c19d302275f3ap-6, 0x1.b5ebde3a59d8cp-6, 0x1.aa7dcead7e12ap-6, 0x1.9f51d04839e5ep-6, 0x1.9466b4cade1e5p-6, 0x1.89bb50f781917p-6, 0x1.7f4e7c9eccc91p-6, 0x1.751f12abe803ep-6, 0x1.6b2bf12f77d93p-6, 0x1.6173f969bd9b3p-6, 0x1.57f60fd3e3362p-6, 0x1.4eb11c286f06dp-6, 0x1.45a4096aec53ep-6, 0x1.3ccdc5eecd567p-6, 0x1.342d435d8b0abp-6, 0x1.2bc176bc14609p-6, 0x1.2389586f7f6dcp-6, 0x1.1b83e44105122p-6, 0x1.13b019616d0fp-6, 0x1.0c0cfa6bbcd3cp-6, 0x1.04998d67598d9p-6, 0x1.faa9b7931bfe1p-7, 0x1.ec7be4ece9a8cp-7, 0x1.dea7c382cb6bp-7, 0x1.d12b7ad9a2c5ap-7, 0x1.c405395337464p-7, 0x1.b733342be49e2p-7, 0x1.aab3a7777e0ebp-7, 0x1.9e84d61d0bb2cp-7, 0x1.92a509d1e04cep-7, 0x1.87129313d220ep-7, 0x1.7bcbc9227ab2p-7, 0x1.70cf09f7eb2cdp-7, 0x1.661aba407899cp-7, 0x1.5bad4552025bdp-7, 0x1.51851d2270d7p-7, 0x1.47a0ba3d90448p-7, 0x1.3dfe9bba57555p-7, 0x1.349d472faa857p-7, 0x1.2b7b48a877f51p-7, 0x1.22973297738e1p-7, 0x1.19ef9dca3324cp-7, 0x1.1183295be3ffdp-7, 0x1.09507aa792519p-7, 0x1.01563d3a07b39p-7, 0x1.f32645869c98p-8, 0x1.e40bc60f97e2cp-8, 0x1.d55a77a214d2bp-8, 0x1.c70fe1bc62874p-8, 0x1.b92997a86962ep-8, 0x1.aba5385b7e3dbp-8, 0x1.9e806e55de563p-8, 0x1.91b8ef816dd35p-8, 0x1.854c7d1029b6dp-8, 0x1.7938e35a53712p-8, 0x1.6d7bf9bc12413p-8, 0x1.6213a273129b6p-8, 0x1.56fdca7b92a32p-8, 0x1.4c38696d4e453p-8, 0x1.41c1815838a81p-8, 0x1.37971ea101d17p-8, 0x1.2db757dd752bep-8, 0x1.24204db0de85cp-8, 0x1.1ad02aa82310ap-8, 0x1.11c52315d15ebp-8, 0x1.08fd74ee404bap-8, 0x1.007767a39d498p-8, 0x1.f0629803d274ep-9, 0x1.e052f81677e1fp-9, 0x1.d0bcb5a7a589dp-9, 0x1.c19ca8bc60189p-9, 0x1.b2efbaef204b1p-9, 0x1.a4b2e72866519p-9, 0x1.96e33957fa05dp-9, 0x1.897dce2e5048dp-9, 0x1.7c7fd2d657f57p-9, 0x1.6fe684af5f087p-9, 0x1.63af310793281p-9, 0x1.57d734d6e2ff3p-9, 0x1.4c5bfc7a55413p-9, 0x1.413b036fc7424p-9, 0x1.3671d4127a2a9p-9, 0x1.2bfe075768fdfp-9, 0x1.21dd448aefd86p-9, 0x1.180d410e8a3f9p-9, 0x1.0e8bc0174a19fp-9, 0x1.0556926cebb62p-9, 0x1.f8d72c5317e67p-10, 0x1.e7916cf402356p-10, 0x1.d6d7d6bd26db9p-10, 0x1.c6a672d96cce7p-10, 0x1.b6f963226768fp-10, 0x1.a7cce1a658354p-10, 0x1.991d402f46cf7p-10, 0x1.8ae6e7cbff2bfp-10, 0x1.7d265859c8835p-10, 0x1.6fd8280fc5d5ap-10, 0x1.62f9030c2d0d9p-10, 0x1.5685aae25890ep-10, 0x1.4a7af62ad7f8dp-10, 0x1.3ed5d014d16fcp-10, 0x1.339337f8b7147p-10, 0x1.28b040ec8e4f7p-10, 0x1.1e2a1159dd5eap-10, 0x1.13fde294d0c12p-10, 0x1.0a2900750fdafp-10, 0x1.00a8c8f01ff0cp-10, 0x1.eef5576ac05bbp-11, 0x1.dd38539699061p-11, 0x1.cc15aa5c9ffc5p-11, 0x1.bb88a0e233fa2p-11, 0x1.ab8c9cbcea396p-11, 0x1.9c1d2339de4e3p-11, 0x1.8d35d8a6ac0d9p-11, 0x1.7ed27f9eaaa5bp-11, 0x1.70eef85ab2b5fp-11, 0x1.63874003a8968p-11, 0x1.56977007fa8f1p-11, 0x1.4a1bbd7419bc2p-11, 0x1.3e10784e025bp-11, 0x1.32720af37f7efp-11, 0x1.273cf97b918ap-11, 0x1.1c6de11a22d89p-11, 0x1.120177874ea82p-11, 0x1.07f48a68adaddp-11, 0x1.fc87fd7bcee47p-12, 0x1.e9d9a09f3876ap-12, 0x1.d7d82243588c5p-12, 0x1.c67dd1cf30918p-12, 0x1.b5c528f79d58fp-12, 0x1.a5a8cab3997a7p-12, 0x1.96238234e0a27p-12, 0x1.873041e66111fp-12, 0x1.78ca226f1c072p-12, 0x1.6aec61bb472cdp-12, 0x1.5d926208e218dp-12, 0x1.50b7a8faa356ap-12, 0x1.4457deaef7209p-12, 0x1.386eccdc7d78fp-12, 0x1.2cf85df21670dp-12, 0x1.21f09c3cc446cp-12, 0x1.1753b1111fc08p-12, 0x1.0d1de3faea6bap-12, 0x1.034b99ef3a7ffp-12, 0x1.f3b2a90920d59p-13, 0x1.e187625c7d43fp-13, 0x1.d00ed0fb020dap-13, 0x1.bf429ac9a3309p-13, 0x1.af1c99032fb07p-13, 0x1.9f96d6cf4803bp-13, 0x1.90ab8fe4be704p-13, 0x1.82552f33c7e81p-13, 0x1.748e4d965e294p-13, 0x1.6751b088742c6p-13, 0x1.5a9a48ea5ea8p-13, 0x1.4e6331c694441p-13, 0x1.42a7af220a5f6p-13, 0x1.37632cd2c880ap-13, 0x1.2c913d5bb559dp-13, 0x1.222d98d1daba8p-13, 0x1.18341bc7c8c37p-13, 0x1.0ea0c63f03a39p-13, 0x1.056fba9fd5092p-13, 0x1.f93a797301c9ep-14, 0x1.e84b618bd28e8p-14, 0x1.d80b34e9f5425p-14, 0x1.c87337fe6ff6bp-14, 0x1.b97cea76c89fep-14, 0x1.ab2205792037bp-14, 0x1.9d5c79e9f7f91p-14, 0x1.90266ebb9d48ap-14, 0x1.837a3f4ca427ap-14, 0x1.775279cd31fc2p-14, 0x1.6ba9ddb15e4eep-14, 0x1.607b5a2a875b2p-14, 0x1.55c20caf71116p-14, 0x1.4b793f8b6b8efp-14, 0x1.419c68780f7dbp-14, 0x1.3827273f24a99p-14, 0x1.2f1544678a947p-14, 0x1.2662afeb34b6cp-14, 0x1.1e0b7ff4daca5p-14, 0x1.160befa8c0541p-14, 0x1.0e605df19e2a9p-14, 0x1.07054c59f52fbp-14, 0x1.ffeebbd6cb9fp-15, 0x1.f266ac30e3419p-15, 0x1.e56c2f56091edp-15, 0x1.d8f947771307p-15, 0x1.cd083162c5082p-15, 0x1.c193628f289dbp-15, 0x1.b6958734197b5p-15, 0x1.ac098079d93c4p-15, 0x1.a1ea62a61a5cfp-15, 0x1.98337364eb6d5p-15, 0x1.8ee028167d9e1p-15, 0x1.85ec242cf29f7p-15, 0x1.7d5337954ffb4p-15, 0x1.75115d2c09679p-15, 0x1.6d22b93f9669cp-15, 0x1.658398199ae11p-15, 0x1.5e306c9785b0fp-15, 0x1.5725cecd981c3p-15, 0x1.50607ab33539p-15, 0x1.49dd4ed9f1469p-15, 0x1.43994b2d1b627p-15, 0x1.3d918fbf16635p-15, 0x1.37c35b9be5af9p-15, 0x1.322c0ba6bdb13p-15, 0x1.2cc91984ef6bdp-15, 0x1.27981a8874982p-15, 0x1.2296beaacebb4p-15, 0x1.1dc2cf8b96318p-15, 0x1.191a2f7bf225bp-15, 0x1.149ad88e4ecccp-15, 0x1.1042dbae47bffp-15, 0x1.0c105fc12d801p-15, 0x1.0801a0cc173a4p-15, 0x1.0414ef23281c8p-15, 0x1.0048ae9d62eb1p-15, 0x1.f936aba9d5da7p-16, 0x1.f216dac979644p-16, 0x1.eb2f1e654883ap-16, 0x1.e47ccb7e384fap-16, 0x1.ddfd56f4b1199p-16, 0x1.d7ae543d078c7p-16, 0x1.d18d742120a83p-16, 0x1.cb98838cf327fp-16, 0x1.c5cd6a64a948p-16, 0x1.c02a2a62fd81ep-16, 0x1.baacde04dfaefp-16, 0x1.b553b78506765p-16, 0x1.b01cffd34e5b1p-16, 0x1.ab07159cc6eb4p-16, 0x1.a6106c5e75baap-16, 0x1.a1378b7dbed63p-16, 0x1.9c7b0d68a4beap-16, 0x1.97d99ec0331adp-16, 0x1.9351fd8b24612p-16, 0x1.8ee2f86f07505p-16, 0x1.8a8b6ded36f2fp-16, 0x1.864a4bab9f4a5p-16, 0x1.821e8dc7da178p-16, 0x1.7e073e28625e8p-16, 0x1.7a0373d9f0151p-16, 0x1.7612527119a61p-16, 0x1.72330974ea553p-16, 0x1.6e64d3ca1da52p-16, 0x1.6aa6f72905b9ap-16, 0x1.66f8c3942e83ep-16, 0x1.635992dd6d29fp-16, 0x1.5fc8c824bcb95p-16, 0x1.5c45cf610e157p-16, 0x1.58d01cf1b9e82p-16, 0x1.55672d2f51e18p-16, 0x1.520a8401d8c15p-16, 0x1.4eb9ac7dee328p-16, 0x1.4b743884ccab3p-16, 0x1.4839c06866f1dp-16, 0x1.4509e291cd4c3p-16, 0x1.41e4432b57898p-16, 0x1.3ec88bd2499dp-16, 0x1.3bb66b499ef12p-16, 0x1.38ad952ef451cp-16, 0x1.35adc1b5082edp-16, 0x1.32b6ad60bf106p-16, 0x1.2fc818c6f1cep-16, 0x1.2ce1c85098fefp-16, 0x1.2a0383ff40788p-16, 0x1.272d1736efffep-16, 0x1.245e5089c7351p-16, 0x1.21970182df965p-16, 0x1.1ed6fe761fd77p-16, 0x1.1c1e1e52f56b4p-16, 0x1.196c3a7891b85p-16, 0x1.16c12e8d2d33ap-16, 0x1.141cd8579f1e3p-16, 0x1.117f1798d928fp-16, 0x1.0ee7cde7d827ep-16, 0x1.0c56de9166988p-16, 0x1.09cc2e76cb2c7p-16, 0x1.0747a3f16c437p-16, 0x1.04c926b5a044ap-16, 0x1.02509fba027dfp-16, 0x1.ffbbf2334fb01p-17, 0x1.fae23bfd6f28p-17, 0x1.f613f51618b47p-17, 0x1.f150f7860bc98p-17, 0x1.ec991ef59b216p-17, 0x1.e7ec488759e5cp-17, 0x1.e34a52b0d7a73p-17, 0x1.deb31d1c1ec3p-17, 0x1.da26888a1229dp-17, 0x1.d5a476b1e3845p-17, 0x1.d12cca28de3fp-17, 0x1.ccbf66494d718p-17, 0x1.c85c2f1be7692p-17, 0x1.c403093e334c7p-17, 0x1.bfb3d9d055dd8p-17, 0x1.bb6e86628aa47p-17, 0x1.b732f4e3cbbfcp-17, 0x1.b3010b93af284p-17, 0x1.aed8b0f33ac9fp-17, 0x1.aab9cbb3f6f8cp-17, 0x1.a6a442b0a2b4bp-17, 0x1.a297fce1303f3p-17, 0x1.9e94e14e4e65p-17, 0x1.9a9ad70a61ef8p-17, 0x1.96a9c529f4bc6p-17, 0x1.92c192bba320cp-17, 0x1.8ee226c014d44p-17, 0x1.8b0b6826ac1a5p-17, 0x1.873d3dc76739ep-17, 0x1.83778e60cb439p-17, 0x1.7fba4092f14bep-17, 0x1.7c053ade02bfdp-17, 0x1.7858639da169dp-17, 0x1.74b3a1072d03p-17, 0x1.7116d92d95bdbp-17, 0x1.6d81f1facd548p-17, 0x1.69f4d132d9e89p-17, 0x1.666f5c72cfb79p-17, 0x1.62f179323230ep-17, 0x1.5f7b0cc1749c7p-17, 0x1.5c0bfc4c4bdc7p-17, 0x1.58a42cdbac97fp-17, 0x1.554383584103ap-17, 0x1.51e9e48bb8ab6p-17, 0x1.4e97352354db5p-17, 0x1.4b4b59b28c3c8p-17, 0x1.480636b2ac00cp-17, 0x1.44c7b0892643dp-17, 0x1.418fab8a79889p-17, 0x1.3e5e0bfb92f58p-17, 0x1.3b32b615c1962p-17, 0x1.380d8e0a54df4p-17, 0x1.34ee7806ac0afp-17, 0x1.31d55834481cp-17, 0x1.2ec212be9310ep-17, 0x1.2bb48bd67acd9p-17, 0x1.28aca7b6aab11p-17, 0x1.25aa4aa6c1794p-17, 0x1.22ad58fe0d841p-17, 0x1.1fb5b728b42f6p-17, 0x1.1cc349a989d36p-17, 0x1.19d5f51d5557p-17, 0x1.16ed9e41c606dp-17, 0x1.140a29f50a17p-17, 0x1.112b7d3bfb954p-17, 0x1.0e517d43bbdb3p-17, 0x1.0b7c0f679fcb4p-17, 0x1.08ab1931f2a85p-17, 0x1.05de805f62731p-17, 0x1.03162ae2feb35p-17, 0x1.0051fee9df0dep-17, 0x1.fb23c5bc5e276p-18, 0x1.f5ab7ad2e989dp-18, 0x1.f03aeaeed3de2p-18, 0x1.ead1e4749a808p-18, 0x1.e5703656b53a5p-18, 0x1.e015b01d79067p-18, 0x1.dac221eeafe42p-18, 0x1.d5755c8cbe5cep-18, 0x1.d02f315fdf4b6p-18, 0x1.caef7278114e7p-18, 0x1.c5b5f295b409cp-18, 0x1.c0828528e7e3cp-18, 0x1.bb54fe57bc1ebp-18, 0x1.b62d33016eaddp-18, 0x1.b10af8c1e720bp-18, 0x1.abee25f72e491p-18, 0x1.a6d691c20de89p-18, 0x1.a1c41408eb5aep-18, 0x1.9cb6857e48b11p-18, 0x1.97adbf9f8632ep-18, 0x1.92a99cb7f5d0fp-18, 0x1.8da9f7e702e5fp-18, 0x1.88aead1bde8b6p-18, 0x1.83b7991b8d6a4p-18, 0x1.7ec499809ff5fp-18, 0x1.79d58cbdbdd2cp-18, 0x1.74ea522184c5bp-18, 0x1.7002c9d2d01a7p-18, 0x1.6b1ed4d5509e3p-18, 0x1.663e55083c8cp-18, 0x1.61612d279e2fap-18, 0x1.5c8740cda5fd7p-18, 0x1.57b07470e5797p-18, 0x1.52dcad668a335p-18, 0x1.4e0bd1e29036ep-18, 0x1.493dc8f660f76p-18, 0x1.44727a8ff2c73p-18, 0x1.3fa9cf7cf02d4p-18, 0x1.3ae3b164aeb11p-18, 0x1.36200acae32efp-18, 0x1.315ec70df2a6cp-18, 0x1.2c9fd2642ae1dp-18, 0x1.27e319e1785a1p-18, 0x1.23288b6f04109p-18, 0x1.1e7015cc3f9b5p-18, 0x1.19b9a88dc6eebp-18, 0x1.1505341ae112p-18, 0x1.1052a9ac8d252p-18, 0x1.0ba1fb4a50f47p-18, 0x1.06f31bca5f4ebp-18, 0x1.0245fed14d5e2p-18, 0x1.fb353194b6412p-19, 0x1.f1e1bdd53bd07p-19, 0x1.e8918e57f365dp-19, 0x1.df44909a065fep-19, 0x1.d5fab393d21b1p-19, 0x1.ccb3e7c05ee8dp-19, 0x1.c3701f0adfdc9p-19, 0x1.ba2f4cd55acfcp-19, 0x1.b0f165f65fda5p-19, 0x1.a7b660a501b4p-19, 0x1.9e7e347d3af5p-19, 0x1.9548da76e7a16p-19, 0x1.8c164ce12e558p-19, 0x1.82e6875958624p-19, 0x1.79b986c88132fp-19, 0x1.708f495feeb4ep-19, 0x1.6767ce9338d96p-19, 0x1.5e431708bd1fcp-19, 0x1.5521249da82dp-19, 0x1.4c01fa5af9d29p-19, 0x1.42e59c72fa3bp-19, 0x1.39cc10329a60fp-19, 0x1.30b55c02bca3ep-19, 0x1.27a1875f00368p-19, 0x1.1e909acc9d435p-19, 0x1.15829fe2bafbdp-19, 0x1.0c77a1335112dp-19, 0x1.036faa482ece5p-19, 0x1.f4d58f3fd98c8p-20, 0x1.e2d20d48aca48p-20, 0x1.d0d4eb47adb2ap-20, 0x1.bede479aa7f55p-20, 0x1.acee424e1802ap-20, 0x1.9b04fd249c687p-20, 0x1.89229b6e3cf57p-20, 0x1.77474203aa63cp-20, 0x1.6573173f4351ep-20, 0x1.53a642f1ec791p-20, 0x1.41e0ee4f97724p-20, 0x1.302343de7e61fp-20, 0x1.1e6d6f7310938p-20, 0x1.0cbf9e1e568dp-20, 0x1.f633fc4dd776bp-21, 0x1.d2f97e0c5b82cp-21, 0x1.afd02295d0224p-21, 0x1.8cb84d1ab0749p-21, 0x1.69b262d08c82cp-21, 0x1.46becad77e9fp-21, 0x1.23ddee1ff477dp-21, 0x1.0110375c214fcp-21, 0x1.bcac25b88d434p-22, 0x1.775fdd3e0c2aep-22, 0x1.323c741244356p-22, 0x1.da85977f071c3p-23, 0x1.50e7909fa9c06p-23, 0x1.8f4141c86a543p-24, 0x1.f594cfa6e8254p-26, -0x1.2782b9834f44fp-25, -0x1.a42ebd4c2b17ap-24, -0x1.59ef99a47e32ap-23, -0x1.e1677f41c3c5p-23, -0x1.343e95f8be58cp-22, -0x1.77975cd34ff52p-22, -0x1.babd201515d3ep-22, -0x1.fdaeeab626fd7p-22, -0x1.2035e36b3b0aep-21, -0x1.41795ef44fd31p-21, -0x1.62a16c65f0eep-21, -0x1.83ad900521322p-21, -0x1.a49d4ddfe6bfep-21, -0x1.c57029ef87494p-21, -0x1.e625a834d2f3dp-21, -0x1.035ea662dc33fp-20, -0x1.139b4def427b6p-20, -0x1.23c88ce93047bp-20, -0x1.33e6259ff6d0bp-20, -0x1.43f3da8d5621dp-20, -0x1.53f16e5b22dd9p-20, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      40, 0x1.4p+2, 0x1.953a29c39aa7cp+1, 0x1.bde4df4749c94p+2, -0x1.e654978dfeccp-9, 
      {{
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.36f2f71a75bdp-4, -0x1.0221cca2c0dc6p-2, 0x1.989a1e827d72cp-2, -0x1.58dd1b3b15038p-2}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.073c7be85e5cep-4, -0x1.b7b77393f9969p-3, 0x1.64df5a6cd3e5ap-2, -0x1.3ae40d7b01d4fp-2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.bd5a0d80b73cp-5, -0x1.7510c2f9a78dep-3, 0x1.35a38b9a606bcp-2, -0x1.2168734307f78p-2}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.78a45ce58471dp-5, -0x1.3b7a944db4642p-3, 0x1.0a3a471d1f3ap-2, -0x1.06b8d719f9923p-2}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.3e9bacfcad48dp-5, -0x1.0a2c938c1c20bp-3, 0x1.c5a380e5a6c7ep-3, -0x1.d8b79e5a499ffp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.0dac5e209a2fcp-5, -0x1.c0b6161729eccp-4, 0x1.7ebb2924e889bp-3, -0x1.a3d0f080fc737p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c8d6d4112625cp-6, -0x1.7a7659263267dp-4, 0x1.3fc23844c2abep-3, -0x1.6ef7922dc8aa8p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.832cc7917ebbep-6, -0x1.4003db9bb10a4p-4, 0x1.08b6af244af84p-3, -0x1.3a1593c1da509p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.4826efa44bf7bp-6, -0x1.0fc89acbd21f1p-4, 0x1.b333b1f4d4729p-4, -0x1.0548c632ad68ap-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.15e2d7e55aad5p-6, -0x1.d05d889646a25p-5, 0x1.64d11018d39f6p-4, -0x1.a05faa928dedp-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.d59e7d546d5e1p-7, -0x1.8f3f655dbfb83p-5, 0x1.265c501c7188ep-4, -0x1.386481d7f2a08p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.8b582a045598ap-7, -0x1.590fb89256e48p-5, 0x1.ef00dfab4d7b9p-5, -0x1.904d76e223495p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.4b14fd6c81a56p-7, -0x1.2a9036efb4872p-5, 0x1.b2f5410961c9ep-5, -0x1.1e196bc304fd5p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.13936b399e21fp-7, -0x1.0136998f96f27p-5, 0x1.880b0a78edd74p-5, -0x1.1a2cdca0769bbp-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.c7d338c233a06p-8, -0x1.b84024fa0a58p-6, 0x1.5db782fa75a61p-5, -0x1.05bb233b7424dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.7681f09e9d861p-8, -0x1.763bb06df5d65p-6, 0x1.36750a7e576d8p-5, -0x1.eb6d3ac1517e8p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.319fd71d3abcbp-8, -0x1.3bd3d1f8b3af1p-6, 0x1.1199a6163e1dbp-5, -0x1.c904e73ee6401p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ef679f1db1638p-9, -0x1.0888f79bc3ddbp-6, 0x1.dea5c3164017bp-6, -0x1.a73f4bdb61a43p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8ebd8f00a2f2ap-9, -0x1.b7b07393cf945p-7, 0x1.9f29114ef1728p-6, -0x1.854e17c91a30ap-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.3eb76d751793ap-9, -0x1.6a7f2b5a3d1efp-7, 0x1.64c3c0f0c71e3p-6, -0x1.63688e52ef79p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.f9fe7d09ec047p-10, -0x1.287996425e02cp-7, 0x1.2f7411fdefff6p-6, -0x1.417ff31b19858p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8ee635647c81bp-10, -0x1.e136aa0e0d6ep-8, 0x1.fe74f4a6f1f09p-7, -0x1.1f97f44dd8b1p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.384a5dee13384p-10, -0x1.83bffde4c2438p-8, 0x1.a82dc4f5fdbbfp-7, -0x1.fb612b2fc5706p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.e56ef3162aac3p-11, -0x1.3686601bf508cp-8, 0x1.5c1264e206837p-7, -0x1.b78c34346cce5p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.76446820353f4p-11, -0x1.ef01eb59f4f82p-9, 0x1.1a23c373c2fe7p-7, -0x1.73cee3482511cp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1dcec483dad4p-11, -0x1.894e4cf2efc3dp-9, 0x1.c4bca91eae11ap-8, -0x1.2fb933af10957p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.af3007562a791p-12, -0x1.37dec3b72c2b7p-9, 0x1.699eb336f5e52p-8, -0x1.d9dab17431c3ep-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3ff4e5c086e5p-12, -0x1.ed4ed98c7c98cp-10, 0x1.228ab23254d4dp-8, -0x1.4aa513c2d9683p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d082c538a6775p-13, -0x1.8302b94351d2p-10, 0x1.e1e3de770208dp-9, -0x1.f7437a648d323p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.47f9c3c518febp-13, -0x1.2a2e7b67e8031p-10, 0x1.96668c1b200e5p-9, -0x1.d9a1603d8951cp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.c00607b3dfc63p-14, -0x1.c00306c6cf00ep-11, 0x1.4f5b2411e50f3p-9, -0x1.a8c3685f4f88cp-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.25f2c0cdd9596p-14, -0x1.469cc0998ccebp-11, 0x1.0fa43ad065ee1p-9, -0x1.7d0cf6f9b3c85p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.6f05597573bdep-15, -0x1.cac6423f3423fp-12, 0x1.acf7c522af871p-10, -0x1.4ff44968d6ee6p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.ae482580d24e4p-16, -0x1.3358353cbd609p-12, 0x1.482e7be9a23e1p-10, -0x1.233d060c5f00ap-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.d082c538a67d7p-17, -0x1.8317abe9045d3p-13, 0x1.e19ec0ff0b7c3p-11, -0x1.ecc4ac132c413p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.c00607b3dfd04p-18, -0x1.c005616eb2ef8p-14, 0x1.4dca26f94b02dp-11, -0x1.9367dcd755fap-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.6f05597573c7p-19, -0x1.cacbc3bfa654ep-15, 0x1.a9892fd7c8d7p-12, -0x1.38efa3c13379ap-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.d082c538a69p-21, -0x1.82f19e07e6983p-16, 0x1.db8c67faed83ep-13, -0x1.c51902950d533p-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.6f05597575401p-23, -0x1.ccfe758bb9526p-18, 0x1.97613342fe34cp-14, -0x1.f3c1b8c14e25cp-12}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.6f05597594002p-27, -0x1.888ec2f4d035p-21, 0x1.ae1a44d5a3affp-16, -0x1.4e68afd6d2191p-11}, 
      }}, 
      0x1.3aab3639f7c76p-7, -0x1.e4ff9bde91581p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_p_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.4efc82755aa5ep-5, 0x1.a26ff81def3ep-5, 0x1.1454a1507d9e7p-4, 0x1.6de5fd05c7cf6p-4, 0x1.da98407c14edcp-4, 0x1.2b7aba68b7064p-3, 0x1.6fc99c118101fp-3, 0x1.b89869fb0ed9ep-3, 0x1.0232811747e6dp-2, 0x1.28e8827ac5d8dp-2, 0x1.4fd242595945bp-2, 0x1.766740520937fp-2, 0x1.9c31e9496eaf8p-2, 0x1.c0ce9145c24dcp-2, 0x1.e3ea23cd93088p-2, 0x1.02a056ec8ff2p-1, 0x1.124deec4bfe46p-1, 0x1.20e8c2cddd258p-1, 0x1.2e61198358d84p-1, 0x1.3aabecea89a1ap-1, 0x1.45c24ef0555a6p-1, 0x1.4fa0dc4fd0d42p-1, 0x1.58473df95b7bp-1, 0x1.5fb7b8171164bp-1, 0x1.65f6c5d0b3794p-1, 0x1.6b0ac069cc774p-1, 0x1.6efb909e4ddefp-1, 0x1.71d2690f3bf05p-1, 0x1.739988ce7c106p-1, 0x1.745c0538db24dp-1, 0x1.74259a6205b49p-1, 0x1.73028166cf1e6p-1, 0x1.70ff4bf909fa2p-1, 0x1.6e28c47f1f7b4p-1, 0x1.6a8bd2323cab1p-1, 0x1.663560b93b817p-1, 0x1.61324ad93475cp-1, 0x1.5b8f47e588313p-1, 0x1.5558dba820b4cp-1, 0x1.4e9b4886d976dp-1, 0x1.476283b1a4789p-1, 0x1.3fba2b2abe2cap-1, 0x1.37ad7d7f622f6p-1, 0x1.2f475307da2d9p-1, 0x1.2692188b0eab2p-1, 0x1.1d97cb29b33d2p-1, 0x1.1461f562d5edp-1, 0x1.0af9ad2252bcdp-1, 0x1.016792c599b2fp-1, 0x1.ef67a19dcc723p-2, 0x1.dbcc3909a4bb2p-2, 0x1.c80b6e037203ap-2, 0x1.b432ddeb8d97ep-2, 0x1.a04f45bca3d72p-2, 0x1.8c6c870e74bep-2, 0x1.7895ae7587cd5p-2, 0x1.64d4f9340743dp-2, 0x1.5133dd9025f02p-2, 0x1.3dbb1014f16f3p-2, 0x1.2a728e3f01f6dp-2, 0x1.1761a23b8f3d7p-2, 0x1.048eeff2e91afp-2, 0x1.e400ee5b767a5p-3, 0x1.bf77436e4e0e6p-3, 0x1.9b8a8b71083bdp-3, 0x1.7843638f9efcap-3, 0x1.55a9661670256p-3, 0x1.33c33643dd98ep-3, 0x1.12969a2a0d3dbp-3, 0x1.e450ee1e00afbp-4, 0x1.a4f9ece76f0abp-4, 0x1.672ef5f18b2a4p-4, 0x1.2af587389649fp-4, 0x1.e0a39e9713b17p-5, 0x1.6e8daea2e5214p-5, 0x1.ff5a54c1a1795p-6, 0x1.2807ee05c495bp-6, 0x1.5c9166e7eaee2p-8, -0x1.cd4ea36223ec4p-8, -0x1.3766714d44b43p-6, -0x1.f51d3794f0e9ep-6, -0x1.5641ea9b16d0bp-5, -0x1.aed44626673c1p-5, -0x1.0226f4e151264p-4, -0x1.2b5c09010805cp-4, -0x1.530e72caf728fp-4, -0x1.7943afa2a3eddp-4, -0x1.9e019c97c44a7p-4, -0x1.c14e6c62d4854p-4, -0x1.e3309deca5143p-4, -0x1.01d77990eb388p-3, -0x1.1168341f72273p-3, -0x1.204e15caaa6b2p-3, -0x1.2e8ccad21389ep-3, -0x1.3c2810e121be2p-3, -0x1.4923b38cccd8fp-3, -0x1.558389038fcd1p-3, -0x1.614b6ef852029p-3, -0x1.6c7f47ad36138p-3, -0x1.7722f7397d6b8p-3, -0x1.813a6103f8a4bp-3, -0x1.8ac96567542d7p-3, -0x1.93d3df9b67e12p-3, -0x1.9c5da3cd4da22p-3, -0x1.a46a7d64cf45ep-3, -0x1.abfe2d847fd5cp-3, -0x1.b31c69acfebb8p-3, -0x1.b9c8da80ec69dp-3, -0x1.c0071ab117b8bp-3, -0x1.c5dab602759bep-3, -0x1.cb472868d9afbp-3, -0x1.d04fdd44478f5p-3, -0x1.d4f82eb6b5b57p-3, -0x1.d943650bd508ap-3, -0x1.dd34b642ce76fp-3, -0x1.e0cf45b1d3b5cp-3, -0x1.e41623b7e8b63p-3, -0x1.e70c4d8d81d5p-3, -0x1.e9b4ad27d7839p-3, -0x1.ec121925951e2p-3, -0x1.ee2754d30f528p-3, -0x1.eff7103549e95p-3, -0x1.f183e81d902f8p-3, -0x1.f2d0664ef3425p-3, -0x1.f3df019fd771cp-3, -0x1.f4b21e2758c55p-3, -0x1.f54c0d7db261dp-3, -0x1.f5af0ef0eaf1ep-3, -0x1.f5dd4fc4e5d8bp-3, -0x1.f5d8eb8d9bf93p-3, -0x1.f5a3ec7a095a8p-3, -0x1.f5404ba078e11p-3, -0x1.f4aff16b80a29p-3, -0x1.f3f4b5fbde0dp-3, -0x1.f310617b4c67p-3, -0x1.f204ac8e1bd09p-3, -0x1.f0d340c69fbc8p-3, -0x1.ef7db8fd449afp-3, -0x1.ee05a1b92564ep-3, -0x1.ec6c79aa2b90dp-3, -0x1.eab3b20a1499cp-3, -0x1.e8dcaef7af243p-3, -0x1.e6e8c7e95cda8p-3, -0x1.e4d948193ba55p-3, -0x1.e2af6edc0697ap-3, -0x1.e06c70016f0e4p-3, -0x1.de117442270e5p-3, -0x1.db9f999f20eb4p-3, -0x1.d917f3b4dc866p-3, -0x1.d67b8c1b900dep-3, -0x1.d3cb62cbdb93ap-3, -0x1.d1086e73f149ep-3, -0x1.ce339cc8b7ba2p-3, -0x1.cb4dd2e065115p-3, -0x1.c857ed89da4f9p-3, -0x1.c552c199b78edp-3, -0x1.c23f1c38bb04ep-3, -0x1.bf1dc333898abp-3, -0x1.bbef7542fd1bep-3, -0x1.b8b4ea51f68p-3, -0x1.b56ed3c6e5cf1p-3, -0x1.b21ddcc7e6f0bp-3, -0x1.aec2aa7510941p-3, -0x1.ab5ddc2482e1p-3, -0x1.a7f00ba54d764p-3, -0x1.a479cd7c2fc89p-3, -0x1.a0fbb112f145ap-3, -0x1.9d7640e6a9aacp-3, -0x1.99ea02c0c8c5ep-3, -0x1.965777f162ca4p-3, -0x1.92bf1d7a49417p-3, -0x1.8f216c2ecaa1ap-3, -0x1.8b7ed8dc85d2ep-3, -0x1.87d7d481cd848p-3, -0x1.842ccc7ca2321p-3, -0x1.807e2aa451627p-3, -0x1.7ccc555e83059p-3, -0x1.7917afc69019fp-3, -0x1.756099dfa42cbp-3, -0x1.71a770b675d5dp-3, -0x1.6dec8e6d724bdp-3, -0x1.6a304a4c185cdp-3, -0x1.6672f8e367cf6p-3, -0x1.62b4ec38c58bcp-3, -0x1.5ef673de2eb31p-3, -0x1.5b37dcf784194p-3, -0x1.5779724438212p-3, -0x1.53bb7c3c39874p-3, -0x1.4ffe4134090a1p-3, -0x1.4c420572359c1p-3, -0x1.48870b32821d2p-3, -0x1.44cd92a82f2bep-3, -0x1.4115da10097eep-3, -0x1.3d601dce87aaep-3, -0x1.39ac98870ed9fp-3, -0x1.35fb832140e91p-3, -0x1.324d14c592f49p-3, -0x1.2ea182e338e95p-3, -0x1.2af90145ca2d2p-3, -0x1.2753c22e1147dp-3, -0x1.23b1f65dbef49p-3, -0x1.2013cd1499bcp-3, -0x1.1c79740cf06fcp-3, -0x1.18e31784bd0c3p-3, -0x1.1550e2522b816p-3, -0x1.11c2fdf5b1b96p-3, -0x1.0e39929f3eec4p-3, -0x1.0ab4c729a1d47p-3, -0x1.0734c1185cc4ep-3, -0x1.03b9a4a06281cp-3, -0x1.004394b8c05b5p-3, -0x1.f9a5665129d2dp-4, -0x1.f2ce4115e5c42p-4, -0x1.ec01f896ac71ap-4, -0x1.e540c946d98b4p-4, -0x1.de8aed41c0d2bp-4, -0x1.d7e09c6441eaap-4, -0x1.d1420c654d3b9p-4, -0x1.caaf70e057b91p-4, -0x1.c428fb5223915p-4, -0x1.bdaedb13b4e91p-4, -0x1.b7413d5f6b327p-4, -0x1.b0e04d62c4c1cp-4, -0x1.aa8c3453fd4dbp-4, -0x1.a445197ff85a9p-4, -0x1.9e0b224cc3573p-4, -0x1.97de7236aad3ap-4, -0x1.91bf2ad131ac5p-4, -0x1.8bad6bd0f6aadp-4, -0x1.85a9531bbc136p-4, -0x1.7fb2fcd74d74p-4, -0x1.79ca8371eebbcp-4, -0x1.73efffa4eb896p-4, -0x1.6e238875fe671p-4, -0x1.6865333bd6e25p-4, -0x1.62b513a7025fdp-4, -0x1.5d133bce494aap-4, -0x1.577fbc3b4435dp-4, -0x1.51faa3eacdae6p-4, -0x1.4c84005516b8cp-4, -0x1.471bdd7971753p-4, -0x1.41c245e2fb755p-4, -0x1.3c7742aaa3a62p-4, -0x1.373adb7915d67p-4, -0x1.320d16966d4c4p-4, -0x1.2cedf8f3cfa0dp-4, -0x1.27dd8633705a7p-4, -0x1.22dbc0af4f6bcp-4, -0x1.1de8a97df16fp-4, -0x1.190440760ab7fp-4, -0x1.142e843359dd7p-4, -0x1.0f67721e32d17p-4, -0x1.0aaf067582695p-4, -0x1.06053c594e474p-4, -0x1.016a0dd3447c4p-4, -0x1.f9bae7b85fa68p-5, -0x1.f0beccbe51f1fp-5, -0x1.e7dfb879d0ba1p-5, -0x1.df1d96a2f3fd4p-5, -0x1.d67850f9cf98ap-5, -0x1.cdefcf5b0b4f1p-5, -0x1.c583f7d2f6ba6p-5, -0x1.bd34aeab8d656p-5, -0x1.b501d67526734p-5, -0x1.aceb500cbb7dep-5, -0x1.a4f0faa4030ebp-5, -0x1.9d12b3ce31606p-5, -0x1.95505790ff03p-5, -0x1.8da9c076f76adp-5, -0x1.861ec79f9cfdbp-5, -0x1.7eaf44cb87fcp-5, -0x1.775b0e64f7e5bp-5, -0x1.7021f9875869dp-5, -0x1.6903da084e4adp-5, -0x1.62008283f1b8dp-5, -0x1.5b17c46b94a3fp-5, -0x1.544970150bf09p-5, -0x1.4d9554c84c7acp-5, -0x1.46fb40ca84936p-5, -0x1.407b016732646p-5, -0x1.3a1462f8aea63p-5, -0x1.33c730f196c08p-5, -0x1.2d9335e7dff3p-5, -0x1.27783ba10fed1p-5, -0x1.21760b1e86fd9p-5, -0x1.1b8c6ca89bacfp-5, -0x1.15bb27d82b921p-5, -0x1.1002039f2af4cp-5, -0x1.0a60c6514e1f7p-5, -0x1.04d735adafaabp-5, -0x1.feca2dd33ec6ap-6, -0x1.f4145d77eaf7p-6, -0x1.e98c82cf654b2p-6, -0x1.df322589f8dd1p-6, -0x1.d504cc9021086p-6, -0x1.cb03fe0dc616ep-6, -0x1.c12f3f7da6423p-6, -0x1.b78615b819e95p-6, -0x1.ae0805071aa1cp-6, -0x1.a4b4913ed8ff4p-6, -0x1.9b8b3dd7b7207p-6, -0x1.928b8e05459f5p-6, -0x1.89b504c65fe0ep-6, -0x1.810724ecabbep-6, -0x1.7881711d3d791p-6, -0x1.70236bce87459p-6, -0x1.67ec974a69c0ap-6, -0x1.5fdc75b9b4df4p-6, -0x1.57f2893b702a1p-6, -0x1.502e54061bf32p-6, -0x1.488f588c59b62p-6, -0x1.4115199c1c225p-6, -0x1.39bf1a7055ec3p-6, -0x1.328cdeb09fbbcp-6, -0x1.2b7dea60659aap-6, -0x1.2491c1c55b96ap-6, -0x1.1dc7e95132d99p-6, -0x1.171fe59adfbd5p-6, -0x1.10993b6f5036dp-6, -0x1.0a336ffbdf963p-6, -0x1.03ee090aa8f23p-6, -0x1.fb911a7d8bc04p-7, -0x1.ef850885d9fb7p-7, -0x1.e3b6edb26b2ddp-7, -0x1.d825dd873c506p-7, -0x1.ccd0ed1c241e8p-7, -0x1.c1b732912751bp-7, -0x1.b6d7c490a4a25p-7, -0x1.ac31ba0f3258ap-7, -0x1.a1c42a6ab3987p-7, -0x1.978e2deeb01ddp-7, -0x1.8d8edea44a6ap-7, -0x1.83c55935f80c5p-7, -0x1.7a30bda44c8fap-7, -0x1.70d02fa17432dp-7, -0x1.67a2d67322f97p-7, -0x1.5ea7dc401fe03p-7, -0x1.55de6ceeb2346p-7, -0x1.4d45b4fcf0837p-7, -0x1.44dce0a9722cdp-7, -0x1.3ca31ba02ee36p-7, -0x1.349791563bf75p-7, -0x1.2cb96e13587b7p-7, -0x1.2507e071e229cp-7, -0x1.1d821af75dcedp-7, -0x1.1627555921a46p-7, -0x1.0ef6cd0edbf05p-7, -0x1.07efc4fc6d746p-7, -0x1.01118435c7e2cp-7, -0x1.f4b6a83a2ba4bp-8, -0x1.e798fc967b5a2p-8, -0x1.dac89593d5b91p-8, -0x1.ce43fe3728a1bp-8, -0x1.c209bcc6c1f44p-8, -0x1.b618557793b89p-8, -0x1.aa6e4eff5cfc7p-8, -0x1.9f0a380f93025p-8, -0x1.93eaac6f4ab6dp-8, -0x1.890e586a26708p-8, -0x1.7e73f99c83d6dp-8, -0x1.741a5cb8cf9d9p-8, -0x1.6a00589153c64p-8, -0x1.6024c7641ff4ap-8, -0x1.56867fdb1a767p-8, -0x1.4d244f62b3a74p-8, -0x1.43fcf74d47388p-8, -0x1.3b0f2da99393dp-8, -0x1.3259a1de3d3b4p-8, -0x1.29db0431b8e4dp-8, -0x1.21920ea11aa33p-8, -0x1.197d8d0644a37p-8, -0x1.119c62aa96f8fp-8, -0x1.09ed8be94976fp-8, -0x1.02701b4e1d0bbp-8, -0x1.f64665408ba06p-9, -0x1.e80bf23bbb53bp-9, -0x1.da2f218fa2929p-9, -0x1.ccae1a4e452cep-9, -0x1.bf86db8b0507fp-9, -0x1.b2b73bc344058p-9, -0x1.a63cf34fe75e7p-9, -0x1.9a15af8ffb2b8p-9, -0x1.8e3f2a4f17ef7p-9, -0x1.82b7402d51cf6p-9, -0x1.777c018c79293p-9, -0x1.6c8bbb0e5ed68p-9, -0x1.61e4f440f1815p-9, -0x1.5786646dfae1ap-9, -0x1.4d6edee5f1cb9p-9, -0x1.439d39e8e33c7p-9, -0x1.3a103542a8d65p-9, -0x1.30c666db91184p-9, -0x1.27be32a80e9a9p-9, -0x1.1ef5d02007207p-9, -0x1.166b5adc6ac14p-9, -0x1.0e1ce87e54e6ap-9, -0x1.06089d9274f52p-9, -0x1.fc597b6e35e01p-10, -0x1.ed0f6d501f903p-10, -0x1.de304e828fe88p-10, -0x1.cfb9c470f4bd6p-10, -0x1.c1a9d4243979dp-10, -0x1.b3fec748c58d4p-10, -0x1.a6b6ff71e3ab8p-10, -0x1.99d0c2fe130ep-10, -0x1.8d4a15b8b526cp-10, -0x1.8120ac69c3127p-10, -0x1.7551fdfff755p-10, -0x1.69db65f1d72cfp-10, -0x1.5eba4377c588dp-10, -0x1.53ec061461e23p-10, -0x1.496e2716da7cap-10, -0x1.3f3e1f4bbf81dp-10, -0x1.35596c1e3a95bp-10, -0x1.2bbdab8d61b5ap-10, -0x1.2268c2569181ep-10, -0x1.1958f30b71452p-10, -0x1.108cd2b3e0423p-10, -0x1.08031dbeba0f2p-10, -0x1.ff750cc1233cp-11, -0x1.ef63343d7bb49p-11, -0x1.dfcd961841bb3p-11, -0x1.d0b120ba0ee71p-11, -0x1.c20b081637f7dp-11, -0x1.b3d8cda16435fp-11, -0x1.a61805778abd6p-11, -0x1.98c5ee1190129p-11, -0x1.8bdf0f5813edap-11, -0x1.7f5f202245c16p-11, -0x1.734154df62b7ap-11, -0x1.6780fdcf7479ap-11, -0x1.5c1a2577ecd2p-11, -0x1.5109d7554da7bp-11, -0x1.464deef755f03p-11, -0x1.3be4a62eabd7cp-11, -0x1.31cc4019b2c8p-11, -0x1.28030129d25c1p-11, -0x1.1e87597166f21p-11, -0x1.15580c0094f0bp-11, -0x1.0c7434d51740fp-11, -0x1.03db25343cc8dp-11, -0x1.f7182ae314414p-12, -0x1.e70b6d0349551p-12, -0x1.d78b88ab86fe1p-12, -0x1.c891a3349a9f4p-12, -0x1.ba1509f4f0372p-12, -0x1.ac0c968d93e2ap-12, -0x1.9e705ec205fd7p-12, -0x1.913ac9baa2566p-12, -0x1.8468908841eb7p-12, -0x1.77f7f4bffd39dp-12, -0x1.6be7dbb609aep-12, -0x1.6037359d6b024p-12, -0x1.54e4ba96d7a25p-12, -0x1.49ef093fb3de7p-12, -0x1.3f5510332b972p-12, -0x1.35164234d5a65p-12, -0x1.2b323b43f7b36p-12, -0x1.21a81dd375c3fp-12, -0x1.1876067be2143p-12, -0x1.0f98a5d4025a8p-12, -0x1.070b1a46d6178p-12, -0x1.fd8e8e1204ec6p-13, -0x1.ed8d463c19f6p-13, -0x1.de06622114402p-13, -0x1.cef0da0b7cadcp-13, -0x1.c0480cf794a28p-13, -0x1.b20bc9ea70f75p-13, -0x1.a43e21434444ep-13, -0x1.96dff8fca860ap-13, -0x1.89ef32455d048p-13, -0x1.7d684dc8328a8p-13, -0x1.714952e607868p-13, -0x1.6592206296a65p-13, -0x1.5a425445f1ae5p-13, -0x1.4f57b510b97fbp-13, -0x1.44ce49552962ep-13, -0x1.3aa17f1015df1p-13, -0x1.30cd45ce9936bp-13, -0x1.274e18075031ep-13, -0x1.1e1feb7416b86p-13, -0x1.153cf07b148fep-13, -0x1.0c9d46033bc39p-13, -0x1.043901b4f0a2fp-13, -0x1.f818903f3073ep-14, -0x1.e83246c9058e6p-14, -0x1.d8c73c5d30356p-14, -0x1.c9d83b66ab5b4p-14, -0x1.bb5e3185323ccp-14, -0x1.ad5398ab22426p-14, -0x1.9fb8d1de7381ap-14, -0x1.928f28cb4b96fp-14, -0x1.85d3cf09dfb1ep-14, -0x1.797f8b1291d48p-14, -0x1.6d899fe38f72fp-14, -0x1.61eb5fab301dbp-14, -0x1.56a22be02cd0cp-14, -0x1.4baf040b2bf6bp-14, -0x1.4113f3e061434p-14, -0x1.36d0b940b4887p-14, -0x1.2ce04586f8b11p-14, -0x1.233792ae65e7ep-14, -0x1.19c8dcac72cf8p-14, -0x1.108e3942c5195p-14, -0x1.078e7a00c962fp-14, -0x1.fda1ab416680ap-15, -0x1.eca3dab5efab2p-15, -0x1.dc16e849e6915p-15, -0x1.cbfc640ebda36p-15, -0x1.bc5ab0a0b041p-15, -0x1.ad2da2d0cef09p-15, -0x1.9e685949f85cdp-15, -0x1.8ffefd5b2e722p-15, -0x1.81eb2aba2c959p-15, -0x1.742a61dd4252fp-15, -0x1.66bbd57e9e6adp-15, -0x1.59a0472cdd075p-15, -0x1.4cda98516c091p-15, -0x1.406e4aaf9a38ap-15, -0x1.345c1c42cf5dap-15, -0x1.289f5618ca0b6p-15, -0x1.1d2a402d586d8p-15, -0x1.11e9165a284dfp-15, -0x1.06d8edf8707d6p-15, -0x1.f815b8134d14ap-16, -0x1.e3015aac99ae8p-16, -0x1.ce596ebc73cb6p-16, -0x1.ba24614fd9477p-16, -0x1.a674e2cfd3a1ap-16, -0x1.9340005048893p-16, -0x1.80709fa83e7eap-16, -0x1.6dfc49dd663a5p-16, -0x1.5be16f2ba151ap-16, -0x1.4a20e0cc2829ep-16, -0x1.38ba8302fcb77p-16, -0x1.27ac9df890d85p-16, -0x1.16f4ee211cea8p-16, -0x1.0692de3d0c99bp-16, -0x1.ed11bc1eb30f7p-17, -0x1.cdb459fcb819fp-17, -0x1.af0c87708147cp-17, -0x1.910c9293af09dp-17, -0x1.739b01f627043p-17, -0x1.56a36c7b331b6p-17, -0x1.3a34548eebfe1p-17, -0x1.1e558824719a9p-17, -0x1.02e9a0840a9eap-17, -0x1.d00a37d35d9adp-18, -0x1.9b7ecd599d6c5p-18, -0x1.67ff1624dea69p-18, -0x1.3562ed5dc644bp-18, -0x1.03a5ef04b5c16p-18, -0x1.a5995916666b3p-19, -0x1.45b1fd4c23462p-19, -0x1.cf26dc6a605cp-20, -0x1.16706bbd9a37bp-20, -0x1.84c6b775d2a0bp-22, 0x1.429da40d77d4dp-22, 0x1.fe54ccd14ef11p-21, 0x1.aa5c0115f7b74p-20, 0x1.291a479fb9ab7p-19, 0x1.7b531b0a39e7cp-19, 0x1.cbdd761c15b7fp-19, 0x1.0d708adb75ff7p-18, 0x1.342ba2a3ef8f3p-18, 0x1.5a16272540c1dp-18, 0x1.7f5755b84fbcp-18, 0x1.a3e86a2b97814p-18, 0x1.c7b6e63474dbep-18, 0x1.eab8b469cd4b4p-18, 0x1.06813186924c3p-17, 0x1.17500d015ba5ep-17, 0x1.27c7d65000acep-17, 0x1.37e75a503748bp-17, 0x1.47aea3bd22bf6p-17, 0x1.571e64a393a36p-17, 0x1.663773d0887afp-17, 0x1.74fa8f5a89f6dp-17, 0x1.83685a9031b65p-17, 0x1.918183a002a88p-17, 0x1.9f46de569ba41p-17, 0x1.acb9505270476p-17, 0x1.b9d9bfec41abfp-17, 0x1.c6a87a4ac2defp-17, 0x1.d322ef315d12dp-17, 0x1.df496a02eab76p-17, 0x1.eb23029b41f43p-17, 0x1.f6adb06a9aae4p-17, 0x1.00f3b6f288e2ep-16, 0x1.0668c4ffbff85p-16, 0x1.0bb879e23f22cp-16, 0x1.10e1446e37badp-16, 0x1.15e2c4905c23fp-16, 0x1.1abed2c9ff48ep-16, 0x1.1f75717a37b3bp-16, 0x1.24068108b266p-16, 0x1.28722724b04fp-16, 0x1.2cb8a8df0f866p-16, 0x1.30da532b087c8p-16, 0x1.34d770b6ee0dp-16, 0x1.38b045839e2dp-16, 0x1.3c650fcc841c6p-16, 0x1.3ff60f783c31ep-16, 0x1.43638f4389d74p-16, 0x1.46ade46f3c55cp-16, 0x1.49d5697686567p-16, 0x1.4cda84dd00f76p-16, 0x1.4fbd26b479852p-16, 0x1.527c661a9bfcap-16, 0x1.5519ee9c2a607p-16, 0x1.579765988853dp-16, 0x1.59f3762765b95p-16, 0x1.5c2ce67b9fd4cp-16, 0x1.5e46014ba213fp-16, 0x1.6040047c91cc3p-16, 0x1.62193cd4ebd79p-16, 0x1.63d29c4926019p-16, 0x1.656cc0b005ce7p-16, 0x1.66e7c68d6a1b7p-16, 0x1.6843ebd8174f7p-16, 0x1.69818046810b6p-16, 0x1.6aa0d833f66fcp-16, 0x1.6ba248f38d78fp-16, 0x1.6c86275c0be6dp-16, 0x1.6d4cc6dc3516fp-16, 0x1.6df679b188805p-16, 0x1.6e83935936742p-16, 0x1.6ef46bdf14b2cp-16, 0x1.6f495f990261ap-16, 0x1.6f82c93cbcb3ap-16, 0x1.6fa1035963ff6p-16, 0x1.6fa474b70512ap-16, 0x1.6f8d25fafea7ep-16, 0x1.6f5b47feba58p-16, 0x1.6f104c78b2b7bp-16, 0x1.6eab7668abdefp-16, 0x1.6e2d663824d36p-16, 0x1.6d96e3d40a36ap-16, 0x1.6ce7c5ae0d5aep-16, 0x1.6c20dc11f2dc4p-16, 0x1.6b420e209e7b8p-16, 0x1.6a4bfd364fdfap-16, 0x1.693f16d40d55ap-16, 0x1.681ba2c8a1247p-16, 0x1.66e1fc1253e65p-16, 0x1.659282b5aa085p-16, 0x1.642d976ff3f04p-16, 0x1.62b39b18f8266p-16, 0x1.6124ee5fbf954p-16, 0x1.5f81f171a29ep-16, 0x1.5dcb03df38c22p-16, 0x1.5c008551e1766p-16, 0x1.5a22d6ecd2b26p-16, 0x1.58325bbdf8c19p-16, 0x1.562f766769f35p-16, 0x1.541a84a5b9762p-16, 0x1.51f3e4ab2a79p-16, 0x1.4fbc08a07b9bcp-16, 0x1.4d7327931ad67p-16, 0x1.4b19c3c9aba54p-16, 0x1.48b028a2a235ap-16, 0x1.4636b833080ecp-16, 0x1.43adf009c951ap-16, 0x1.411622b1ce04p-16, 0x1.3e6fc06a8321ap-16, 0x1.3bbb01c4b7e5ep-16, 0x1.38f83f2bbc00cp-16, 0x1.3627e8929e7bbp-16, 0x1.334a74c654733p-16, 0x1.30602f4d8b1c3p-16, 0x1.2d69721363e2fp-16, 0x1.2a669a7e55619p-16, 0x1.27580597a9b13p-16, 0x1.243e0fc705ae8p-16, 0x1.211914d643722p-16, 0x1.1de96fd806128p-16, 0x1.1aaf7b0090443p-16, 0x1.176b8fb20c39cp-16, 0x1.141e06f8de093p-16, 0x1.10c73a270fb72p-16, 0x1.0d6782b084ed6p-16, 0x1.09ff38a02fb89p-16, 0x1.068eaf738878cp-16, 0x1.031639e5e6271p-16, 0x1.ff2c7c37dd62dp-17, 0x1.f81e1b6fa78fp-17, 0x1.f101b08206435p-17, 0x1.e9d7fb003af63p-17, 0x1.e2a1f06e18f81p-17, 0x1.db60082be34cp-17, 0x1.d412d24415951p-17, 0x1.ccbaf2a7f0a63p-17, 0x1.c55920531e0f4p-17, 0x1.bdee0537e2e4fp-17, 0x1.b679d5df0db3dp-17, 0x1.aefd79caac416p-17, 0x1.a7799dba7a1e2p-17, 0x1.9feebc13bb308p-17, 0x1.985d6700a915ep-17, 0x1.90c63207f629cp-17, 0x1.8929ae81db4ebp-17, 0x1.81886badb030ap-17, 0x1.79e2f6ce8a15ap-17, 0x1.7239db2736e27p-17, 0x1.6a8da1d5c270bp-17, 0x1.62ded1d877bd9p-17, 0x1.5b2df07f672f2p-17, 0x1.537b8200ededbp-17, 0x1.4bc80971accabp-17, 0x1.441407daea089p-17, 0x1.3c5ff8f131887p-17, 0x1.34ac520790e28p-17, 0x1.2cf994621a2bdp-17, 0x1.2548631f554e8p-17, 0x1.1d98e1856a767p-17, 0x1.15eb814898c74p-17, 0x1.0e410b19723ecp-17, 0x1.0699c7cd11a12p-17, 0x1.fdec3e8ed007ep-18, 0x1.eeacf9ecb540ep-18, 0x1.df7694415f01bp-18, 0x1.d049e36638a1bp-18, 0x1.c127cefcf6a1ap-18, 0x1.b2112dd8d812cp-18, 0x1.a30635f993e61p-18, 0x1.940844fe24507p-18, 0x1.8517f427d31fep-18, 0x1.7635ed2dd03bbp-18, 0x1.6762e738665dap-18, 0x1.589f956986414p-18, 0x1.49eca67281267p-18, 0x1.3b4ac4f82c077p-18, 0x1.2cba97ab7ce3ap-18, 0x1.1e3cc14b25c39p-18, 0x1.0fd1e0971d6fep-18, 0x1.017a906c947d5p-18, 0x1.e66ed099333cfp-19, 0x1.ca11f93cdce2fp-19, 0x1.addfbd15315bcp-19, 0x1.91d936965f027p-19, 0x1.75ff7217cfc0ap-19, 0x1.5a536dc62496cp-19, 0x1.3ed639c4ca7adp-19, 0x1.238938b553e51p-19, 0x1.086c8560e5511p-19, 0x1.db02b2ea532bcp-20, 0x1.a59222db3c29bp-20, 0x1.70887a47dbd9bp-20, 0x1.3be768ede622ep-20, 0x1.07b09a214f603p-20, 0x1.a7cb4666c434dp-21, 0x1.41100dc393f3fp-21, 0x1.b6651062a27f3p-22, 0x1.d8d69a8e3643ep-23, 0x1.21cd133e08f4ap-25, -0x1.445b268a84747p-23, -0x1.66c3c58cba7a2p-22, -0x1.14c17b15c60cap-21, -0x1.7533a7c56c0ep-21, -0x1.d4b620cba9b6bp-21, -0x1.19a35a26841bdp-20, -0x1.4871a5937a3afp-20, -0x1.76c4f388349dp-20, -0x1.a49c50d54c826p-20, -0x1.d1f6d6375e791p-20, -0x1.fed3a81d89dcbp-20, -0x1.1598fb3a9bc77p-19, -0x1.2b887e1e9a29cp-19, -0x1.4137ff66be95cp-19, -0x1.56a726dc97372p-19, -0x1.6bd5a1914861p-19, -0x1.80c32280e0686p-19, -0x1.956f64a020eb7p-19, -0x1.a9da27f274c26p-19, -0x1.be03266168fb8p-19, -0x1.d1ea077eb13a2p-19, -0x1.e58eff175abe9p-19, -0x1.f8f1803aba25ep-19, -0x1.0608ba2437c98p-18, -0x1.0f775fefbd038p-18, -0x1.18c4a0a59351p-18, -0x1.21f06df1a7cccp-18, -0x1.2afabbe397ac6p-18, -0x1.33e38115beac9p-18, -0x1.3caab69401035p-18, -0x1.455056f2dfb72p-18, -0x1.4dd45ee3ac62bp-18, -0x1.5636ca256adb5p-18, -0x1.5e779d7e1b1ecp-18, -0x1.6696e0353d9cfp-18, -0x1.6e948d9f7da81p-18, -0x1.7670b1034c8c5p-18, -0x1.7e2b52f5b4aafp-18, -0x1.85c47dc804a49p-18, -0x1.8d3c3db0e2db6p-18, -0x1.9492a0b07d959p-18, -0x1.9bc7b686ebc55p-18, -0x1.a2db90a3ac27dp-18, -0x1.a9ce4220e5399p-18, -0x1.b09fdfbed5e17p-18, }}, 
      {{0x1.3c1ba22bd472fp-5, 0x1.5840b6fcc5f73p-5, 0x1.86205363a181dp-5, 0x1.c46e8ac1642dbp-5, 0x1.08d2065c8abe8p-4, 0x1.360ce28ae9a6p-4, 0x1.690e8a865611dp-4, 0x1.a0ff32dcd9cb3p-4, 0x1.dd0da7557cccep-4, 0x1.0e3958c52307fp-3, 0x1.2f39a9ec9e5f4p-3, 0x1.51311471f24f4p-3, 0x1.73d00afb89493p-3, 0x1.96ce3b72ec2ap-3, 0x1.b9ea7419b0991p-3, 0x1.dcea651f460acp-3, 0x1.ff9a4be145d7ep-3, 0x1.10e6476d307ebp-2, 0x1.21aca94a9c25cp-2, 0x1.320f05ab69fddp-2, 0x1.41fe87bb3642cp-2, 0x1.516e964ce539dp-2, 0x1.6054a0f4db247p-2, 0x1.6ea7efbbc3328p-2, 0x1.7c61761aaffc2p-2, 0x1.897ba8e7a463cp-2, 0x1.95f2579614df4p-2, 0x1.a1c2887256155p-2, 0x1.acea57b97eacep-2, 0x1.b768d97da82c8p-2, 0x1.c13dfe104fbdcp-2, 0x1.ca6a78c8b0a98p-2, 0x1.d2efa8f24f14fp-2, 0x1.dacf84bfcbf56p-2, 0x1.e20c8620ad23cp-2, 0x1.e8a99943fbb72p-2, 0x1.eeaa0cb18ba73p-2, 0x1.f41182d5c343p-2, 0x1.f8e3e4dcca289p-2, 0x1.fd2556c99f83bp-2, 0x1.006d165691197p-1, 0x1.02037070c3acep-1, 0x1.0358059ca1bbcp-1, 0x1.046d2c8640c6p-1, 0x1.05454309a5997p-1, 0x1.05e2aafe14fa7p-1, 0x1.0647c757cbd59p-1, 0x1.0676f999a522p-1, 0x1.06729f90b2473p-1, 0x1.063d11535a789p-1, 0x1.05d89f7ea9e56p-1, 0x1.054791acdec2ap-1, 0x1.048c2521197d3p-1, 0x1.03a88ba2ce2bfp-1, 0x1.029eea86aec2p-1, 0x1.017159de88107p-1, 0x1.0021e3d0632cfp-1, 0x1.fd650816d1d8fp-2, 0x1.fa4a4ec043ba9p-2, 0x1.f6f756da6ea54p-2, 0x1.f36fbcddbf651p-2, 0x1.efb6fe31a9ee2p-2, 0x1.ebd0792765ccfp-2, 0x1.e7bf6cf0e1b3p-2, 0x1.e386f9e0e8732p-2, 0x1.df2a219145fd1p-2, 0x1.daabc75597f32p-2, 0x1.d60eb08beb0f2p-2, 0x1.d15585328775cp-2, 0x1.cc82d062fbf67p-2, 0x1.c79900f601a6p-2, 0x1.c29a6a226f79ep-2, 0x1.bd8944215e191p-2, 0x1.b867ace2246eep-2, 0x1.b337a8afbebdap-2, 0x1.adfb22eb341adp-2, 0x1.a8b3eebd817bbp-2, 0x1.a363c7d6bc2cep-2, 0x1.9e0c532ee9e48p-2, 0x1.98af1fc7f4816p-2, 0x1.934da76f8fb73p-2, 0x1.8de94f7c3320bp-2, 0x1.888369874d98ep-2, 0x1.831d3424e0e96p-2, 0x1.7db7db99749f9p-2, 0x1.78547a8ecae64p-2, 0x1.72f41ac618fabp-2, 0x1.6d97b5c63848ep-2, 0x1.6840358478444p-2, 0x1.62ee7507cc5e4p-2, 0x1.5da34106e73f5p-2, 0x1.585f58826a5d8p-2, 0x1.53236d5c9ee4cp-2, 0x1.4df024ee564e6p-2, 0x1.48c618996fff9p-2, 0x1.43a5d6579593cp-2, 0x1.3e8fe143f832cp-2, 0x1.3984b21f07828p-2, 0x1.3484b7cc075f4p-2, 0x1.2f9057c8c8f6dp-2, 0x1.2aa7eea072928p-2, 0x1.25cbd05a706a6p-2, 0x1.20fc48e6a5c84p-2, 0x1.1c399c87634dap-2, 0x1.178408393a8b3p-2, 0x1.12dbc218688dap-2, 0x1.0e40f9c2fd396p-2, 0x1.09b3d8b711bd2p-2, 0x1.053482ac90c29p-2, 0x1.00c315e9ecc2ap-2, 0x1.f8bf5728eb737p-3, 0x1.f014aff71eb9fp-3, 0x1.e78655c0e0731p-3, 0x1.df145f7495e8cp-3, 0x1.d6bedbf0bfb75p-3, 0x1.ce85d282556eep-3, 0x1.c669435f92d05p-3, 0x1.be69281f1fc5ap-3, 0x1.b685742b219e6p-3, 0x1.aebe152f5624p-3, 0x1.a712f3827375fp-3, 0x1.9f83f28a0c09ap-3, 0x1.9810f11847c4fp-3, 0x1.90b9c9c4205c4p-3, 0x1.897e533bd8d31p-3, 0x1.825e6091c0d6p-3, 0x1.7b59c18496944p-3, 0x1.747042c35cep-3, 0x1.6da1ae2d1e175p-3, 0x1.66edcb0dda40bp-3, 0x1.60545e58656c8p-3, 0x1.59d52add32d5fp-3, 0x1.536ff17f1c90bp-3, 0x1.4d247165d18fdp-3, 0x1.46f2682d3afa2p-3, 0x1.40d99212c9d06p-3, 0x1.3ad9aa208a969p-3, 0x1.34f26a55196cep-3, 0x1.2f238bc8fe0dap-3, 0x1.296cc6d1e9f44p-3, 0x1.23cdd3233ebf1p-3, 0x1.1e4667ec10b12p-3, 0x1.18d63bf2bc336p-3, 0x1.137d05aea6803p-3, 0x1.0e3a7b5fcee15p-3, 0x1.090e53245f1d2p-3, 0x1.03f8430d7de56p-3, 0x1.fdf00263e733ap-4, 0x1.f41a877e74d82p-4, 0x1.ea6f82134912bp-4, 0x1.e0ee5f373ea82p-4, 0x1.d7968c87462bap-4, 0x1.ce677841ed7dfp-4, 0x1.c560915f75dd2p-4, 0x1.bc8147a845802p-4, 0x1.b3c90bc9328fdp-4, 0x1.ab374f65fdb0dp-4, 0x1.a2cb852a75815p-4, 0x1.9a8520da1e193p-4, 0x1.9263975e170edp-4, 0x1.8a665ed184f73p-4, 0x1.828cee8cc2d0bp-4, 0x1.7ad6bf2f5041ap-4, 0x1.73434aa875d05p-4, 0x1.6bd20c3eb5c4dp-4, 0x1.648280964c073p-4, 0x1.5d5425b6c45e6p-4, 0x1.56467b0f8a07dp-4, 0x1.4f59017b9ec06p-4, 0x1.488b3b44c7e08p-4, 0x1.41dcac26199f9p-4, 0x1.3b4cd94da0fbfp-4, 0x1.34db495d6cab5p-4, 0x1.2e87846c6e1bap-4, 0x1.28511407073e3p-4, 0x1.2237832ecfc59p-4, 0x1.1c3a5e59bb00fp-4, 0x1.1659337137bc5p-4, 0x1.109391d15d255p-4, 0x1.0ae90a4797cacp-4, 0x1.05592f10a05b1p-4, 0x1.ffc727ac726bep-5, 0x1.f50f9b5a5489p-5, 0x1.ea8ae62665f03p-5, 0x1.e03837d8fb96ap-5, 0x1.d616c3012caa6p-5, 0x1.cc25bceea8e73p-5, 0x1.c2645dabf92d8p-5, 0x1.b8d1dff8d6f8p-5, 0x1.af6d8143da94cp-5, 0x1.a63681a3731ccp-5, 0x1.9d2c23ce9f16bp-5, 0x1.944dad160bd6bp-5, 0x1.8b9a655d9e6bbp-5, 0x1.83119715ccb3p-5, 0x1.7ab28f343f766p-5, 0x1.727c9d2c028acp-5, 0x1.6a6f12e5fe785p-5, 0x1.628944ba28096p-5, 0x1.5aca8968e11b7p-5, 0x1.53323a13d5259p-5, 0x1.4bbfb236365b8p-5, 0x1.44724f9d093e4p-5, 0x1.3d49726015306p-5, 0x1.36447cdb5b175p-5, 0x1.2f62d3a86e151p-5, 0x1.28a3dd974850ap-5, 0x1.220703a6dfb54p-5, 0x1.1b8bb0fe0110ap-5, 0x1.153152e4b197ap-5, 0x1.0ef758bddf3c1p-5, 0x1.08dd3400f7acdp-5, 0x1.02e258333f4d1p-5, 0x1.fa0c75c1f9c8ap-6, 0x1.ee90a72da3481p-6, 0x1.e35037b6ce0c8p-6, 0x1.d84a1e52eb61ep-6, 0x1.cd7d55d3ccc4bp-6, 0x1.c2e8dcdb8af46p-6, 0x1.b88bb5d0042cp-6, 0x1.ae64e6ce54ba3p-6, 0x1.a473799ed8d0ep-6, 0x1.9ab67baa0a962p-6, 0x1.912cfdedcbdeep-6, 0x1.87d614f27c8bcp-6, 0x1.7eb0d8bf87accp-6, 0x1.75bc64cfbbdf7p-6, 0x1.6cf7d8060d395p-6, 0x1.646254a3169adp-6, 0x1.5bfb003b302f8p-6, 0x1.53c103ac7cc95p-6, 0x1.4bb38b148cf99p-6, 0x1.43d1c5c5afd57p-6, 0x1.3c1ae63c830f4p-6, 0x1.348e2215ff9d1p-6, 0x1.2d2ab20616a11p-6, 0x1.25efd1ce70cd1p-6, 0x1.1edcc034f9b2ep-6, 0x1.17f0befa40dcbp-6, 0x1.112b12cfdb992p-6, 0x1.0a8b034f02978p-6, 0x1.040fdaef985e2p-6, 0x1.fb71cdfed5b7bp-7, 0x1.ef0aef32e2eb4p-7, 0x1.e2e9bf39e2148p-7, 0x1.d70ce949485ecp-7, 0x1.cb731dfc0bd26p-7, 0x1.c01b1341d3943p-7, 0x1.b503844e34cfdp-7, 0x1.aa2b318835ff8p-7, 0x1.9f90e079b60f5p-7, 0x1.95335bbedd595p-7, 0x1.8b1172f5f126ap-7, 0x1.8129faaf624c2p-7, 0x1.777bcc5e38aaap-7, 0x1.6e05c6488cc13p-7, 0x1.64c6cb77f7666p-7, 0x1.5bbdc3a9eafc2p-7, 0x1.52e99b403c7dbp-7, 0x1.4a494331f183bp-7, 0x1.41dbb0fc7a3a6p-7, 0x1.399fde9533f6ap-7, 0x1.3194ca5ae3c51p-7, 0x1.29b977073773p-7, 0x1.220ceba019f9dp-7, 0x1.1a8e33691cbeep-7, 0x1.133c5dd52388fp-7, 0x1.0c167e786a401p-7, 0x1.051bacfad4247p-7, 0x1.fc960a14e4f0dp-8, 0x1.ef474c9bc9367p-8, 0x1.e24968adc3defp-8, 0x1.d59aad28ca5ddp-8, 0x1.c939708a75ec2p-8, 0x1.bd2410d5510a9p-8, 0x1.b158f376bd498p-8, 0x1.a5d6852d60be2p-8, 0x1.9a9b39efd50bep-8, 0x1.8fa58cd35e081p-8, 0x1.84f3fff29a743p-8, 0x1.7a851c543307cp-8, 0x1.705771d1bd8cbp-8, 0x1.666996fef3dd6p-8, 0x1.5cba29112eb7fp-8, 0x1.5347cbc76e27p-8, 0x1.4a1129526e94cp-8, 0x1.4114f23d067dp-8, 0x1.3851dd54aaaf1p-8, 0x1.2fc6a7921bf02p-8, 0x1.277214024e097p-8, 0x1.1f52ebaf8721ep-8, 0x1.1767fd8ab3ba5p-8, 0x1.0fb01e54e2a26p-8, 0x1.082a2888db624p-8, 0x1.00d4fc44d1eaep-8, 0x1.f35efe6887dc8p-9, 0x1.e57138f46f381p-9, 0x1.d7de8937ddcb8p-9, 0x1.caa4dad806f13p-9, 0x1.bdc223ebc204bp-9, 0x1.b13464d2c15a5p-9, 0x1.a4f9a80c8aba2p-9, 0x1.9910020f381f4p-9, 0x1.8d75911e1c51ap-9, 0x1.82287d1f269dbp-9, 0x1.7726f773a34d1p-9, 0x1.6c6f3ad03715dp-9, 0x1.61ff8b163b82bp-9, 0x1.57d6353018f8p-9, 0x1.4df18eed3381ap-9, 0x1.444ff6de107d4p-9, 0x1.3aefd42f8be2ep-9, 0x1.31cf96850588p-9, 0x1.28edb5d1b9965p-9, 0x1.2048b232039f2p-9, 0x1.17df13c5d08bap-9, 0x1.0faf6a8d0aa5bp-9, 0x1.07b84e4680a1ep-9, 0x1.fff0bca1d3517p-10, 0x1.f0dc831977d4fp-10, 0x1.e2314c7b914fp-10, 0x1.d3ec83d5cd24ep-10, 0x1.c60ba277160c3p-10, 0x1.b88c2fa69c3d4p-10, 0x1.ab6bc05a141afp-10, 0x1.9ea7f6ee8c03cp-10, 0x1.923e82e739fa1p-10, 0x1.862d20b43e0e2p-10, 0x1.7a719980cf0c2p-10, 0x1.6f09c305a368p-10, 0x1.63f37f5abc892p-10, 0x1.592cbcc416ea8p-10, 0x1.4eb37575c7da2p-10, 0x1.4485af4f1cc0dp-10, 0x1.3aa17b907fb89p-10, 0x1.3104f690de08ap-10, 0x1.27ae4779ec2ap-10, 0x1.1e9ba01088c5dp-10, 0x1.15cb3c8a8d13dp-10, 0x1.0d3b63708aa94p-10, 0x1.04ea65853d1fap-10, 0x1.f9ad3b55cafb1p-11, 0x1.e9fce17cb8111p-11, 0x1.dac09ac592befp-11, 0x1.cbf5577b7d647p-11, 0x1.bd981a50562afp-11, 0x1.afa5f7b98b024p-11, 0x1.a21c155d5f944p-11, 0x1.94f7a9a0db078p-11, 0x1.8835fb5fb9edbp-11, 0x1.7bd461cb30094p-11, 0x1.6fd044613b5a6p-11, 0x1.64271ae7934f4p-11, 0x1.58d66d545704dp-11, 0x1.4ddbd393c1b2fp-11, 0x1.4334f5224d414p-11, 0x1.38df887fc3441p-11, 0x1.2ed9528a5e99fp-11, 0x1.252025d88b80fp-11, 0x1.1bb1e22ab5aaep-11, 0x1.128c73f6ad418p-11, 0x1.09add44bd80f7p-11, 0x1.011408b8dbd64p-11, 0x1.f17a469ece103p-12, 0x1.e14e85716218fp-12, 0x1.d1a1245360c79p-12, 0x1.c26e927cb0503p-12, 0x1.b3b3576eb872ap-12, 0x1.a56c123a02e4bp-12, 0x1.97957898506d4p-12, 0x1.8a2c55ec78156p-12, 0x1.7d2d8a433e7f9p-12, 0x1.7096097966dcbp-12, 0x1.6462daa57e4a1p-12, 0x1.589117c9c215dp-12, 0x1.4d1dedb2536eap-12, 0x1.42069bce7ae99p-12, 0x1.374873e390624p-12, 0x1.2ce0d99b6cb1dp-12, 0x1.22cd4216dbf79p-12, 0x1.190b33b3838f3p-12, 0x1.0f98460dbe8bbp-12, 0x1.06722212299b5p-12, 0x1.fb2d03b7be8b2p-13, 0x1.ea066067e3f07p-13, 0x1.d96c0f894c428p-13, 0x1.c959e482d3f54p-13, 0x1.b9cbcf882f484p-13, 0x1.aabddcc5b18d5p-13, 0x1.9c2c338367426p-13, 0x1.8e1314b1699e5p-13, 0x1.806ed8d74434cp-13, 0x1.733bee21623ecp-13, 0x1.6676d7a95f9efp-13, 0x1.5a1c2e9330a0bp-13, 0x1.4e28a48c00e43p-13, 0x1.4299064becc6ep-13, 0x1.376a3ca93899bp-13, 0x1.2c994bb74f971p-13, 0x1.22235090507b9p-13, 0x1.18057f1591f86p-13, 0x1.0e3d208e2b79cp-13, 0x1.04c792fe98cdep-13, 0x1.f7449074a8202p-14, 0x1.e59587800e577p-14, 0x1.d47d2f00ce0bfp-14, 0x1.c3f6c1d6bf153p-14, 0x1.b3fd8fde7d713p-14, 0x1.a48d01644e84ep-14, 0x1.95a09e4f1e703p-14, 0x1.8734150e4536cp-14, 0x1.79433db78fb85p-14, 0x1.6bca189f69431p-14, 0x1.5ec4cad5d3714p-14, 0x1.522f9be7bf2d2p-14, 0x1.4606f62d817c7p-14, 0x1.3a4767cada8c8p-14, 0x1.2eeda1027c05ap-14, 0x1.23f66e3ae2d44p-14, 0x1.195eaf94449f8p-14, 0x1.0f23521bbec4bp-14, 0x1.05414d9f4329p-14, 0x1.f76b4e4c5eb9ap-15, 0x1.e4faeb240059bp-15, 0x1.d32bcb01f5f41p-15, 0x1.c1f874d5af766p-15, 0x1.b15b995cedbdep-15, 0x1.a1500d59cccc9p-15, 0x1.91d0c9ea14c62p-15, 0x1.82d8f8489be6ap-15, 0x1.7464042f06566p-15, 0x1.666da6868ff42p-15, 0x1.58f1dbee79618p-15, 0x1.4becc95d11b93p-15, 0x1.3f5aa07a4c403p-15, 0x1.333795cc73a65p-15, 0x1.277feafccb528p-15, 0x1.1c2ffef6d835cp-15, 0x1.11445449edec6p-15, 0x1.06b98ae451008p-15, 0x1.f918a9b63e14dp-16, 0x1.e572daef3da44p-16, 0x1.d27b28a8a32ep-16, 0x1.c02b1bee8ce0ep-16, 0x1.ae7c5dc483d9fp-16, 0x1.9d68e724a1664p-16, 0x1.8ceb364fffbp-16, 0x1.7cfe5ff566768p-16, 0x1.6d9de46160176p-16, 0x1.5ec562d20bbb9p-16, 0x1.507065574964ep-16, 0x1.429a68308ed6ap-16, 0x1.353f07304485ap-16, 0x1.285a1f283c9dep-16, 0x1.1be7ca81a8a83p-16, 0x1.0fe4472d022b9p-16, 0x1.044bdc9ffb601p-16, 0x1.f2359714da28ep-17, 0x1.dc9a930d4135p-17, 0x1.c7bf12299c9dbp-17, 0x1.b39b95a66909bp-17, 0x1.a028ea44f296dp-17, 0x1.8d6062097222dp-17, 0x1.7b3c00f66c19p-17, 0x1.69b66f84d8dp-17, 0x1.58caaae1b4b24p-17, 0x1.4873b46dbf10dp-17, 0x1.38ac872211575p-17, 0x1.2970458a6ab4bp-17, 0x1.1aba55d6397dbp-17, 0x1.0c864f75fed99p-17, 0x1.fd9fcf6bd48a1p-18, 0x1.e325eebe2ab1fp-18, 0x1.c996ecf463579p-18, 0x1.b0eabaddd4b6ap-18, 0x1.99191fda4d243p-18, 0x1.8219e0e601e96p-18, 0x1.6be519f7947c3p-18, 0x1.567376500d91bp-18, 0x1.41be1d35e0546p-18, 0x1.2dbe7dd838967p-18, 0x1.1a6e39ac67453p-18, 0x1.07c72f00d7c09p-18, 0x1.eb87107ee7378p-19, 0x1.c8bbb35029a43p-19, 0x1.a7228161f3402p-19, 0x1.86b27ca20944dp-19, 0x1.67629d72d5ce4p-19, 0x1.49297b85f78cap-19, 0x1.2bfdcb559d21fp-19, 0x1.0fd6bd02bb93ap-19, 0x1.e95798e2b6bf7p-20, 0x1.b4e92083f2492p-20, 0x1.82518c70cddfcp-20, 0x1.5180e84bf2c92p-20, 0x1.2268225814e68p-20, 0x1.e9f2c6292c27p-21, 0x1.9250022b56915p-21, 0x1.3dcf499fcd41ep-21, 0x1.d8ac94b93a2b7p-22, 0x1.3b91feb905b27p-22, 0x1.483050b99100bp-23, 0x1.20dde84c1b163p-26, -0x1.eada08f8d4718p-24, -0x1.02574a1d0cfep-22, -0x1.84f50023c626p-22, -0x1.0159dce7e8c97p-21, -0x1.3ddccfc51fde4p-21, -0x1.7815e92a45eebp-21, -0x1.b0175d5bb14e1p-21, -0x1.e5f317bb86c7ep-21, -0x1.0cdcf2be206dap-20, -0x1.25bd7a5df4b4cp-20, -0x1.3da223782febep-20, -0x1.5491c6e8809cbp-20, -0x1.6a933c8f7b066p-20, -0x1.7fad09dd5d54dp-20, -0x1.93e5114430e1fp-20, -0x1.a740fe86b4943p-20, -0x1.b9c7327a16716p-20, -0x1.cb7ed870a92d4p-20, -0x1.dc6f0d5226d3dp-20, -0x1.ec9e27616a0fep-20, -0x1.fc10d5424f034p-20, -0x1.05652ba585be8p-19, -0x1.0c6755dd41661p-19, -0x1.131185594e4c6p-19, -0x1.19662b20a6902p-19, -0x1.1f677e6002222p-19, -0x1.2517c596f8af8p-19, -0x1.2a79336b1b306p-19, -0x1.2f8dc78c34bccp-19, -0x1.34575870f5949p-19, -0x1.38d7a53529dc3p-19, -0x1.3d10681a3e7c7p-19, -0x1.410364026a24ep-19, -0x1.44b25a840a7f6p-19, -0x1.481eea3fc335cp-19, -0x1.4b4a7edacc4e4p-19, -0x1.4e3682db7f979p-19, -0x1.50e4aed223244p-19, -0x1.5356faed41b3p-19, -0x1.558f3069cd44cp-19, -0x1.578ea05afc084p-19, -0x1.59563aa971c1ap-19, -0x1.5ae7253d1d0f9p-19, -0x1.5c42f27c79f6ap-19, -0x1.5d6af154d1b55p-19, -0x1.5e60412408bbdp-19, -0x1.5f2422bc84085p-19, -0x1.5fb7cc1aa7238p-19, -0x1.601c5f97f0f17p-19, -0x1.6052faac2a6b6p-19, -0x1.605cb7e9c7dc8p-19, -0x1.603aaa4561db4p-19, -0x1.5feddabf65ef3p-19, -0x1.5f774b95c9e9dp-19, -0x1.5ed7fca19fad1p-19, -0x1.5e10e985ed18fp-19, -0x1.5d23044774f8cp-19, -0x1.5c0f3984cf99fp-19, -0x1.5ad6800cf1b81p-19, -0x1.5979e0b779a7fp-19, -0x1.57fa5fd07bd38p-19, -0x1.5658c9b0406f2p-19, -0x1.5495dd0fa19f6p-19, -0x1.52b2901289e52p-19, -0x1.50afc95318b7dp-19, -0x1.4e8e590ee426bp-19, -0x1.4c4f0034a40aep-19, -0x1.49f28f8fe56b7p-19, -0x1.4779d324405ffp-19, -0x1.44e58dcf8cf23p-19, -0x1.4236823eadc31p-19, -0x1.3f6d7400a6376p-19, -0x1.3c8b2554e57c7p-19, -0x1.399054876012bp-19, -0x1.367dba2cc4724p-19, -0x1.33540961153aap-19, -0x1.3013f24e2277ap-19, -0x1.2cbe24ea970e2p-19, -0x1.295351a2031dep-19, -0x1.25d428aebcc48p-19, -0x1.22415994907c3p-19, -0x1.1e9b8d5c4749dp-19, -0x1.1ae366e47ffb9p-19, -0x1.17198c6e9a576p-19, -0x1.133e9ccac5aecp-19, -0x1.0f5338abd476dp-19, -0x1.0b580596b9f3bp-19, -0x1.074da4d470bc7p-19, -0x1.0334a85cf4706p-19, -0x1.fe1b494aeba27p-20, -0x1.f5b2659564483p-20, -0x1.ed2fcae3de4aep-20, -0x1.e4949b0c4e9a3p-20, -0x1.dbe1f6e315f49p-20, -0x1.d318fd4cc5a93p-20, -0x1.ca3aca0a0a8a5p-20, -0x1.c148745194ad8p-20, -0x1.b8430dd5ac5ffp-20, -0x1.af2ba2b39ac94p-20, -0x1.a6033adc04ef4p-20, -0x1.9ccadc3d24899p-20, -0x1.93838b85e52d1p-20, -0x1.8a2e4ac15f92cp-20, -0x1.80cc18afaad6fp-20, -0x1.775dee76e61d2p-20, -0x1.6de4bb402d23ap-20, -0x1.6461741b4ba61p-20, -0x1.5ad50d29d3494p-20, -0x1.51406c6f5bb18p-20, -0x1.47a474326c029p-20, -0x1.3e0212b22f78dp-20, -0x1.345a2d1e33deep-20, -0x1.2aad952de39d8p-20, -0x1.20fd2789e771ap-20, -0x1.1749bbc0ee26fp-20, -0x1.0d94234cce41p-20, -0x1.03dd2d21c7e32p-20, -0x1.f44b4b0052aa6p-21, -0x1.e0dcab6483d7ap-21, -0x1.cd700783dbde4p-21, -0x1.ba06e4393422ep-21, -0x1.a6a2beb08adc7p-21, -0x1.93450c4ae3159p-21, -0x1.7fef3b7e6f1cap-21, -0x1.6ca2b51d258a3p-21, -0x1.5960dc7572146p-21, -0x1.462b0dea7c2f7p-21, -0x1.33029dcb6983ep-21, -0x1.1fe8da1346a9cp-21, -0x1.0cdf093940872p-21, -0x1.f3ccdb401e972p-22, -0x1.ce0094ccfeeaap-22, -0x1.a85b8fc3383afp-22, -0x1.82e02a6a3723fp-22, -0x1.5d90bd9bcd40dp-22, -0x1.386f819b9af02p-22, -0x1.137eb384014f2p-22, -0x1.dd80df03894fp-23, -0x1.946dac0edb8bep-23, -0x1.4bc7efae156f8p-23, -0x1.0393ac50524c3p-23, -0x1.77a99949b8fb7p-24, -0x1.d23c815b6187cp-25, -0x1.6e32e40dec94ap-26, 0x1.881e2365557e4p-27, 0x1.79185b2409499p-25, 0x1.4705a85d68a83p-24, 0x1.d0698c21eaf18p-24, 0x1.2c58b04790db5p-23, 0x1.6feb6cf8f3656p-23, 0x1.b2e9ec3f38ca9p-23, 0x1.f5513673ca9bep-23, 0x1.1b8f37d75b4e1p-22, 0x1.3c276b41e05f2p-22, 0x1.5c6fdcccc2379p-22, 0x1.7c673f914ad1ap-22, 0x1.9c0c4e41b923p-22, 0x1.bb5dd4e33a598p-22, 0x1.da5aab444c24p-22, 0x1.f901b2415cc03p-22, 0x1.0ba8ea5b56f74p-21, 0x1.1aa502be96f8cp-21, 0x1.2974a4585397p-21, 0x1.3817557f2e4ddp-21, 0x1.468ca0bdc088bp-21, 0x1.54d4157987fa6p-21, 0x1.62ed4a0c4d826p-21, 0x1.70d7d946bae3fp-21, 0x1.7e9362c1dabcp-21, 0x1.8c1f8b0a90bb6p-21, 0x1.997bfb8d1a7ap-21, 0x1.a6a8628bf654cp-21, 0x1.b3a47322c3ea6p-21, 0x1.c06fe54f15fccp-21, 0x1.cd0a75dcf1997p-21, 0x1.d973e627eb2acp-21, 0x1.e5abfbc77756fp-21, 0x1.f1b28094899dfp-21, 0x1.fd87430df90bbp-21, 0x1.04950b6a083b6p-20, 0x1.0a4d6a1b1c86ep-20, 0x1.0fecab0d77954p-20, 0x1.1572bdcddbdeep-20, 0x1.1adf94c58dd9cp-20, 0x1.203323c8689ep-20, 0x1.256d6035635f9p-20, 0x1.2a8e427f1fd59p-20, 0x1.2f95c4e45d184p-20, 0x1.3483e2fd80f94p-20, 0x1.395899ead19a5p-20, 0x1.3e13e8f8e0488p-20, 0x1.42b5d28d9c6d7p-20, 0x1.473e58e48b3bcp-20, 0x1.4bad808ce3fa9p-20, 0x1.5003504688995p-20, 0x1.543fd03867b1fp-20, 0x1.58630a211b7a3p-20, 0x1.5c6d095a88b5fp-20, 0x1.605ddad1ad8ddp-20, 0x1.64358cfe73d9fp-20, 0x1.67f42fde7b344p-20, 0x1.6b99d4f140602p-20, 0x1.6f268f293645bp-20, 0x1.729a72e214dbfp-20, 0x1.75f595c8c1072p-20, 0x1.79380ed7a6bb1p-20, 0x1.7c61f65d31baap-20, 0x1.7f73661a9a6c7p-20, 0x1.826c794765acap-20, 0x1.854d4c0a1b09cp-20, 0x1.8815fb3e8850ap-20, 0x1.8ac6a604f35bdp-20, 0x1.8d5f6c148d931p-20, 0x1.8fe06d8dc5d68p-20, 0x1.9249cc9a55b04p-20, 0x1.949bac330b266p-20, 0x1.96d63064a4e6p-20, 0x1.98f97e337c152p-20, 0x1.9b05bb63e6e4ep-20, 0x1.9cfb0e9a3a61cp-20, 0x1.9ed99f8541593p-20, 0x1.a0a1978ce8692p-20, 0x1.a2531f5a95d75p-20, 0x1.a3ee6170628dbp-20, 0x1.a57388fe848f5p-20, 0x1.a6e2c1e28098fp-20, 0x1.a83c38b8d3e32p-20, 0x1.a9801ad6fc833p-20, 0x1.aaae964427ebfp-20, 0x1.abc7d9b5afa63p-20, 0x1.accc14828e6ep-20, 0x1.adbb76a402c27p-20, 0x1.ae9630abf28ffp-20, 0x1.af5c73ba5f0bfp-20, 0x1.b00e71746aef2p-20, 0x1.b0ac5c024b92dp-20, 0x1.b136660ecfe27p-20, 0x1.b1acc2d148c8ep-20, 0x1.b20fa601d4bf2p-20, 0x1.b25f439d5f6ccp-20, 0x1.b29bcfd4efc68p-20, 0x1.b2c57fedb8351p-20, 0x1.b2dc88f7c20b3p-20, 0x1.b2e12042acb4fp-20, 0x1.b2d37bd192ffdp-20, 0x1.b2b3d1d1020f8p-20, 0x1.b28258afec8d4p-20, 0x1.b23f4728aff52p-20, 0x1.b1ead43ae7ee4p-20, 0x1.b1853708a3f93p-20, 0x1.b10ea6e55311p-20, 0x1.b0875b447d0ffp-20, 0x1.afef8c215da4cp-20, 0x1.af47713c753eap-20, 0x1.ae8f427ed3828p-20, 0x1.adc738188ff64p-20, 0x1.acef8a3e3af9ap-20, 0x1.ac087137778bbp-20, 0x1.ab12255adfd3fp-20, 0x1.aa0cdf0fe4c01p-20, 0x1.a8f8d6cfeac92p-20, 0x1.a7d64519b2624p-20, 0x1.a6a5627fa109dp-20, 0x1.a56667a0d9db9p-20, 0x1.a4198cf6f8a7ap-20, 0x1.a2bf0ab4efe7bp-20, 0x1.a15718b811963p-20, 0x1.9fe1eec901767p-20, 0x1.9e5fc4eef039p-20, 0x1.9cd0d37aa7999p-20, 0x1.9b3552b8cb7c7p-20, 0x1.998d7aa621dd1p-20, 0x1.97d982ea4382ap-20, 0x1.9619a3362620cp-20, 0x1.944e12aa18bb7p-20, 0x1.9277087225b31p-20, 0x1.9094bb931d75bp-20, 0x1.8ea762d6cdb66p-20, 0x1.8caf34d7bba27p-20, 0x1.8aac67fb5efccp-20, 0x1.889f32713939fp-20, 0x1.8687ca2f12d02p-20, 0x1.846664e5a0b2bp-20, 0x1.823b3808965b9p-20, 0x1.800678c60bb6ap-20, 0x1.7dc85c10915ecp-20, 0x1.7b811692c72a3p-20, 0x1.7930dc9c41793p-20, 0x1.76d7e24488902p-20, 0x1.74765b4f5f358p-20, 0x1.720c7b315e21ap-20, 0x1.6f9a750d6d352p-20, 0x1.6d207bb4ee215p-20, 0x1.6a9ec1a464f02p-20, 0x1.68157901bafd9p-20, 0x1.6584d39bbb887p-20, 0x1.62ed02e6f82e5p-20, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.e551639468a3dp-8, -0x1.100308ec34027p-6, -0x1.d4879e195850ap-6, -0x1.66aa84159642bp-5, -0x1.fd15023c952e5p-5, -0x1.559e76a429aacp-4, -0x1.b6c958f341ce8p-4, -0x1.0ff664fc4d6efp-3, -0x1.4765262057f78p-3, -0x1.80943d25d59e5p-3, -0x1.ba75d097557bdp-3, -0x1.f412856bee33p-3, -0x1.1646dedb802cap-2, -0x1.3193b62cd6f8ap-2, -0x1.4b9e1e512cbffp-2, -0x1.64224d8ea61c1p-2, -0x1.7ae984651d484p-2, -0x1.8fc901fcb93c4p-2, -0x1.a2a0dec4d9529p-2, -0x1.b35ae0211460ep-2, -0x1.c1e951ff33038p-2, -0x1.ce45eea55583ap-2, -0x1.d870d9a83c9f5p-2, -0x1.e06fb07caa2f5p-2, -0x1.e64cb182813cep-2, -0x1.ea15f92132471p-2, -0x1.ebdcd3e2a502ep-2, -0x1.ebb5241cf7a12p-2, -0x1.e9b4d999f6735p-2, -0x1.e5f379a413c1ep-2, -0x1.e089b5f22a216p-2, -0x1.d9911108b51fbp-2, -0x1.d1238eb2e78e9p-2, -0x1.c75b6f4237fcbp-2, -0x1.bc52f45b2bf01p-2, -0x1.b0242e35d8e58p-2, -0x1.a2e8d05bb80e6p-2, -0x1.94ba0d093081ep-2, -0x1.85b076736b159p-2, -0x1.75e3e54a85cd1p-2, -0x1.656b63e3867f1p-2, -0x1.545d1d86d4682p-2, -0x1.42ce516f2696ep-2, -0x1.30d3490c7ea33p-2, -0x1.1e7f512caeeb2p-2, -0x1.0be4b5bd10c5ap-2, -0x1.f2297f7fcd3bfp-3, -0x1.cc3f6a80a71e8p-3, -0x1.a629b632ff09ep-3, -0x1.8004effcdc42ep-3, -0x1.59ebb23b47657p-3, -0x1.33f6af320e5b4p-3, -0x1.0e3cbdf79c26ap-3, -0x1.d1a5d2af5fcabp-4, -0x1.8798fdb8f9138p-4, -0x1.3e764139f1fd4p-4, -0x1.ecbb54ab9afa4p-5, -0x1.5ed86f1c94d23p-5, -0x1.a6efdd366f86bp-6, -0x1.2b21ab997fb18p-7, 0x1.d866ab3132d5fp-8, 0x1.7bc6eee489a38p-6, 0x1.3d9be31d47507p-5, 0x1.ba1ad9a0f13a7p-5, 0x1.19a4a7658c7e3p-4, 0x1.548a061fa3dep-4, 0x1.8db5bd08189b6p-4, 0x1.c521b27e1cec9p-4, 0x1.fac95299e062bp-4, 0x1.1754c45911a4cp-3, 0x1.306042353dd0cp-3, 0x1.4886dfabeb83fp-3, 0x1.5fc8e27db3d35p-3, 0x1.7627184fbc171p-3, 0x1.8ba2c4b7de6bfp-3, 0x1.a03d97d39697p-3, 0x1.b3f9a5c10b5d2p-3, 0x1.c6d95a084653ep-3, 0x1.d8df719fd8f7ap-3, 0x1.ea0ef0e6421d5p-3, 0x1.fa6b1cdd23f07p-3, 0x1.04fbb9f0f312fp-2, 0x1.0c5bd387529aap-2, 0x1.1357ca1c742cap-2, 0x1.19f1a020d9092p-2, 0x1.202b68f33b9aap-2, 0x1.26074670216bcp-2, 0x1.2b8766adf940bp-2, 0x1.30ae01d516d18p-2, 0x1.357d581a1287p-2, 0x1.39f7afd45988ap-2, 0x1.3e1f53b2af953p-2, 0x1.41f6911376e9ap-2, 0x1.457fb677f3b9ap-2, 0x1.48bd121980e13p-2, 0x1.4bb0f0989bafcp-2, 0x1.4e5d9bc1d1eeep-2, 0x1.50c5596c9d00ap-2, 0x1.52ea6a6b13139p-2, 0x1.54cf0990292c6p-2, 0x1.56756ace8fa0bp-2, 0x1.57dfba6c097bap-2, 0x1.59101c5084ecep-2, 0x1.5a08ab6e229acp-2, 0x1.5acb793da3a2ap-2, 0x1.5b5a8d52308adp-2, 0x1.5bb7e4fe07011p-2, 0x1.5be57302f9743p-2, 0x1.5be51f510513bp-2, 0x1.5bb8c6ce30f3dp-2, 0x1.5b623b2525b67p-2, 0x1.5ae3429ed5fb7p-2, 0x1.5a3d9805ae69fp-2, 0x1.5972ea904e44cp-2, 0x1.5884ddd89c63cp-2, 0x1.577509de164ccp-2, 0x1.5644fb0f58ad7p-2, 0x1.54f6325ebd033p-2, 0x1.538a255ec388ep-2, 0x1.52023e62a1f42p-2, 0x1.505fdca58b96ep-2, 0x1.4ea45473a7327p-2, 0x1.4cd0ef550d847p-2, 0x1.4ae6ec3ca4822p-2, 0x1.48e77fb46197cp-2, 0x1.46d3d40c0e058p-2, 0x1.44ad098cd3a66p-2, 0x1.427436a8b44d6p-2, 0x1.402a682ccf55cp-2, 0x1.3dd0a17b47eeap-2, 0x1.3b67dcc1240fcp-2, 0x1.38f10b2c6ba37p-2, 0x1.366d152b89cd2p-2, 0x1.33dcdaa9e3801p-2, 0x1.31413347f4d66p-2, 0x1.2e9aee9b54303p-2, 0x1.2bead46eb6a45p-2, 0x1.2931a4f9b2bdbp-2, 0x1.2670191bfb2fep-2, 0x1.23a6e29c28d1ep-2, 0x1.20d6ac5e9b4c7p-2, 0x1.1e001a99c8b68p-2, 0x1.1b23cb0f7e838p-2, 0x1.184255435b46fp-2, 0x1.155c4aaacc359p-2, 0x1.127236de99fdcp-2, 0x1.0f849fcf3e1bdp-2, 0x1.0c9405f4b540ep-2, 0x1.09a0e47a83ffdp-2, 0x1.06abb16e86993p-2, 0x1.03b4ddf06e804p-2, 0x1.00bcd65c9249fp-2, 0x1.fb8804ea6552p-3, 0x1.f5958b1bb0d76p-3, 0x1.efa2fd6a39f15p-3, 0x1.e9b111b64bdd9p-3, 0x1.e3c075f031b49p-3, 0x1.ddd1d064c0972p-3, 0x1.d7e5c004570bdp-3, 0x1.d1fcdca782b65p-3, 0x1.cc17b75497f25p-3, 0x1.c636da813b7eep-3, 0x1.c05aca4db3303p-3, 0x1.ba8404c017d87p-3, 0x1.b4b30201a5e87p-3, 0x1.aee83497f6731p-3, 0x1.a9240996f3d13p-3, 0x1.a366e8d143537p-3, 0x1.9db1350c81144p-3, 0x1.98034c3551916p-3, 0x1.925d878c0912fp-3, 0x1.8cc03bcaf0c21p-3, 0x1.872bb94f6bfb2p-3, 0x1.81a04c48e8a58p-3, 0x1.7c1e3ce46a7d5p-3, 0x1.76a5cf6d56f2bp-3, 0x1.7137446aed923p-3, 0x1.6bd2d8c58a808p-3, 0x1.6678c5f0c2f88p-3, 0x1.6129420d82ef2p-3, 0x1.5be48001779d2p-3, 0x1.56aaaf8f4b612p-3, 0x1.517bfd7817dep-3, 0x1.4c58939f21ea5p-3, 0x1.474099249cd75p-3, 0x1.42343277bef24p-3, 0x1.3d33816a69c29p-3, 0x1.383ea54c8e492p-3, 0x1.3355bb0a0ef65p-3, 0x1.2e78dd4205421p-3, 0x1.29a8245613d96p-3, 0x1.24e3a678cfb35p-3, 0x1.202b77c20dad6p-3, 0x1.1b7faa47ec41fp-3, 0x1.16e04e3500881p-3, 0x1.124d71d6dc4f3p-3, 0x1.0dc721a83d488p-3, 0x1.094d685e6d58dp-3, 0x1.04e04efcf5651p-3, 0x1.007fdceabeebbp-3, 0x1.f858300342416p-4, 0x1.efca092eb4f03p-4, 0x1.e7554b0b7c3c8p-4, 0x1.def9f86fc0c78p-4, 0x1.d6b81177c4796p-4, 0x1.ce8f93a7251f7p-4, 0x1.c68079ff02624p-4, 0x1.be8abd0b6b49p-4, 0x1.b6ae52f26e6ebp-4, 0x1.aeeb2f8b856c9p-4, 0x1.a741447d18b29p-4, 0x1.9fb0815753844p-4, 0x1.9838d3a6993bfp-4, 0x1.90da26ff945e1p-4, 0x1.8994650be5c4p-4, 0x1.8267759cd554cp-4, 0x1.7b533ec33c73cp-4, 0x1.7457a4e6b622bp-4, 0x1.6d748ad6d1731p-4, 0x1.66a9d1d66a2bbp-4, 0x1.5ff759a5f7157p-4, 0x1.595d0091c3ea6p-4, 0x1.52daa384f4bep-4, 0x1.4c701e1d87c6dp-4, 0x1.461d4abca42bep-4, 0x1.3fe20291f43f7p-4, 0x1.39be1da4ec43ap-4, 0x1.33b172dfe9021p-4, 0x1.2dbbd81e9dcdcp-4, 0x1.27dd223e2b04cp-4, 0x1.2215252bbcfap-4, 0x1.1c63b3f026c01p-4, 0x1.16c8a0b97ef51p-4, 0x1.1143bce4eaff1p-4, 0x1.0bd4d909ba4c9p-4, 0x1.067bc5055a4ffp-4, 0x1.0138500715012p-4, 0x1.f8149135b8239p-5, 0x1.ede2f9653e5abp-5, 0x1.e3db73609c8cdp-5, 0x1.d9fd98e081093p-5, 0x1.d04902a528631p-5, 0x1.c6bd4886eccf6p-5, 0x1.bd5a01859a417p-5, 0x1.b41ec3da64aap-5, 0x1.ab0b250a99646p-5, 0x1.a21eb9fb0d943p-5, 0x1.99591702481cfp-5, 0x1.90b9cff76a14bp-5, 0x1.8840783e17d86p-5, 0x1.7feca2d1d4543p-5, 0x1.77bde25383a39p-5, 0x1.6fb3c91a1f602p-5, 0x1.67cde944afb13p-5, 0x1.600bd4caa5881p-5, 0x1.586d1d884dfaap-5, 0x1.50f15547c24d2p-5, 0x1.49980dc8d724p-5, 0x1.4260d8cb16e68p-5, 0x1.3b4b481af9131p-5, 0x1.3456eda11b447p-5, 0x1.2d835b70ae7fcp-5, 0x1.26d023d2c9571p-5, 0x1.203cd94e3e7a6p-5, 0x1.19c90ead86b35p-5, 0x1.1374570563f27p-5, 0x1.0d3e45bdf6ffap-5, 0x1.07266e9e276d2p-5, 0x1.012c65d79a648p-5, 0x1.f69f80222ffe3p-6, 0x1.eb2024dc677e4p-6, 0x1.dfd9e52942bap-6, 0x1.d4cbed617d223p-6, 0x1.c9f56af61e91dp-6, 0x1.bf558c7f127adp-6, 0x1.b4eb81cc50506p-6, 0x1.aab67bf7136d5p-6, 0x1.a0b5ad704ad7dp-6, 0x1.96e84a0b39b68p-6, 0x1.8d4d87053d576p-6, 0x1.83e49b0cc01bep-6, 0x1.7aacbe4993466p-6, 0x1.71a52a6752361p-6, 0x1.68cd1aa12797dp-6, 0x1.6023cbcd4041cp-6, 0x1.57a87c662ce27p-6, 0x1.4f5a6c91bae4p-6, 0x1.4738de25f3b97p-6, 0x1.3f4314add5ce6p-6, 0x1.3778556f32e64p-6, 0x1.2fd7e77204d83p-6, 0x1.28611388b7e1bp-6, 0x1.21132457c674bp-6, 0x1.19ed665b702f7p-6, 0x1.12ef27eabbb16p-6, 0x1.0c17b93882b69p-6, 0x1.05666c5405299p-6, 0x1.fdb52a559d5d5p-7, 0x1.f0e7131a2f3acp-7, 0x1.e4614268f2975p-7, 0x1.d8226b970f7ffp-7, 0x1.cc2945e8441fdp-7, 0x1.c0748c9516dd7p-7, 0x1.b502fec874f57p-7, 0x1.a9d35f967075ep-7, 0x1.9ee475efcf5aap-7, 0x1.94350c98a9299p-7, 0x1.89c3f227125d2p-7, 0x1.7f8ff90c180aap-7, 0x1.7597f7a5aa851p-7, 0x1.6bdac853a4923p-7, 0x1.625749885bd69p-7, 0x1.590c5dcd812cdp-7, 0x1.4ff8ebb988a29p-7, 0x1.471bddd68567cp-7, 0x1.3e7422812ff35p-7, 0x1.3600abca08962p-7, 0x1.2dc06f632b1f8p-7, 0x1.25b266a2099f6p-7, 0x1.1dd58e960882ep-7, 0x1.1628e82e0e53cp-7, 0x1.0eab785fcb6a1p-7, 0x1.075c484303b57p-7, 0x1.003a6513a0c17p-7, 0x1.f289c029dee6fp-8, 0x1.e4f59cb47a9a5p-8, 0x1.d7b691033754p-8, 0x1.cacad4e76613p-8, 0x1.be30a678ad448p-8, 0x1.b1e64a127033fp-8, 0x1.a5ea0aa3883adp-8, 0x1.9a3a3a3cd70cfp-8, 0x1.8ed532b418f14p-8, 0x1.83b9562696d7ap-8, 0x1.78e50f2e22e8ep-8, 0x1.6e56d0aad9f4ep-8, 0x1.640d151ed4f41p-8, 0x1.5a065dbc1ae05p-8, 0x1.5041316277823p-8, 0x1.46bc1bd2a06ep-8, 0x1.3d75ad4ea0ad6p-8, 0x1.346c7ac95b902p-8, 0x1.2b9f1ea0fb017p-8, 0x1.230c39b8b567dp-8, 0x1.1ab274a780d4ep-8, 0x1.129080a5c09f3p-8, 0x1.0aa517ee5c783p-8, 0x1.02eefd6828dc2p-8, 0x1.f6d9f7325c0c7p-9, 0x1.e83bc62e5fb76p-9, 0x1.da01119c6afdcp-9, 0x1.cc27890f13777p-9, 0x1.beace0266c456p-9, 0x1.b18ecea67b7a5p-9, 0x1.a4cb1267530dp-9, 0x1.985f72bc2ac5bp-9, 0x1.8c49c48bbac09p-9, 0x1.8087ee1788ba5p-9, 0x1.7517e972973c7p-9, 0x1.69f7c4eb1faf5p-9, 0x1.5f25a120524a3p-9, 0x1.549fad054025p-9, 0x1.4a642098a449dp-9, 0x1.4071377236352p-9, 0x1.36c52c6452e1ep-9, 0x1.2d5e37488a5f1p-9, 0x1.243a8d9d9361ap-9, 0x1.1b5865f985b8dp-9, 0x1.12b5fda0994ebp-9, 0x1.0a519f02a25f6p-9, 0x1.0229a79d29f44p-9, 0x1.f47917b4f97aap-10, 0x1.e511afea098c2p-10, 0x1.d61a5b14d215ep-10, 0x1.c7907c6d02484p-10, 0x1.b971886067428p-10, 0x1.abbaf4c409a5p-10, 0x1.9e6a2b64e235ep-10, 0x1.917c822cf32b4p-10, 0x1.84ef3af855c15p-10, 0x1.78bf8b61a3198p-10, 0x1.6ceaaab5d195dp-10, 0x1.616de2b32e26fp-10, 0x1.56469f43d20cp-10, 0x1.4b727a0107e7cp-10, 0x1.40ef3f8020e1p-10, 0x1.36baed9619571p-10, 0x1.2cd3aabc402adp-10, 0x1.2337b7add6e6ap-10, 0x1.19e55d83bb89dp-10, 0x1.10dadbe0a6f7fp-10, 0x1.08165b80d907dp-10, 0x1.ff2bd1c3a9aap-11, 0x1.eeaef0d40c409p-11, 0x1.deb1e486e07aep-11, 0x1.cf308368b0678p-11, 0x1.c026c6f204e3fp-11, 0x1.b190e1014a105p-11, 0x1.a36b49cd28e85p-11, 0x1.95b2c81ecb898p-11, 0x1.886473e73c002p-11, 0x1.7b7db00438d57p-11, 0x1.6efc178bc5ffcp-11, 0x1.62dd5f42f6dd8p-11, 0x1.571f32d7a7cafp-11, 0x1.4bbf1a244bf53p-11, 0x1.40ba70d8d8684p-11, 0x1.360e725623dddp-11, 0x1.2bb85138d8d86p-11, 0x1.21b54c8b0803bp-11, 0x1.1802b7e71fb09p-11, 0x1.0e9df6508dcafp-11, 0x1.0584723489efap-11, 0x1.f9673fd018d28p-12, 0x1.e8521fe30cd38p-12, 0x1.d7c5117d619b5p-12, 0x1.c7bc2d414a07ap-12, 0x1.b8340958c3c7ep-12, 0x1.a92980065e9p-12, 0x1.9a996c89724cep-12, 0x1.8c80868311fc1p-12, 0x1.7edb6d21a17bep-12, 0x1.71a6d1e76ae67p-12, 0x1.64df9fdbddf92p-12, 0x1.5883009d5ebb6p-12, 0x1.4c8e34d4eca64p-12, 0x1.40fe4e6eed75ep-12, 0x1.35cff011d00a5p-12, 0x1.2aff3b4abd3bcp-12, 0x1.2088046f4bca4p-12, 0x1.16663c3764828p-12, 0x1.0c96595b5fb2cp-12, 0x1.0315870ea08d8p-12, 0x1.f3c3080b391d1p-13, 0x1.e1f0ad0322ab5p-13, 0x1.d0b0258e4f005p-13, 0x1.bffda80e99b44p-13, 0x1.afd5ae3ca7e3cp-13, 0x1.a03528a5cd66cp-13, 0x1.911986fe3ee28p-13, 0x1.8280899634a03p-13, 0x1.7467dadb264d8p-13, 0x1.66cc7fdf46135p-13, 0x1.59aa4c3d758a7p-13, 0x1.4cfba2511ebf2p-13, 0x1.40b9c5f772363p-13, 0x1.34ddc38d23afp-13, 0x1.296184457c3d8p-13, 0x1.1e407ce0a62b2p-13, 0x1.1377aa089bf38p-13, 0x1.09050b9b115b6p-13, 0x1.fdce1efffa6e7p-14, 0x1.ea385db6f41e5p-14, 0x1.d74588536fa22p-14, 0x1.c4f240a51ea9ap-14, 0x1.b33b9cf3b94dap-14, 0x1.a21f68509e847p-14, 0x1.919bab50fca0bp-14, 0x1.81addbb6e73ap-14, 0x1.72522e6a56c9ap-14, 0x1.63831f77be28cp-14, 0x1.55394b1589e95p-14, 0x1.476bdea4ed9b8p-14, 0x1.3a119a0781adep-14, 0x1.2d2200242ae9p-14, 0x1.2096790398eebp-14, 0x1.146b3140b41eap-14, 0x1.089f19c07685fp-14, 0x1.fa6517402ef1dp-15, 0x1.e44a599d2ffe6p-15, 0x1.cee99d751d5d1p-15, 0x1.ba3ce63ffec6fp-15, 0x1.a640297350732p-15, 0x1.92f1ac6453087p-15, 0x1.804f6c71fa2d6p-15, 0x1.6e552c4f17cbp-15, 0x1.5cfc986c56821p-15, 0x1.4c3eb8318e5cdp-15, 0x1.3c154871c5c6p-15, 0x1.2c7ac3ed7d873p-15, 0x1.1d69168519448p-15, 0x1.0ed819914466ep-15, 0x1.00bd3b014cb0ep-15, 0x1.e61bdefa12afp-16, 0x1.cb89306ba2c89p-16, 0x1.b1c563107e9dcp-16, 0x1.98d849f97aaccp-16, 0x1.80c109e049d4fp-16, 0x1.69756be89f85cp-16, 0x1.52ed22a69c7c4p-16, 0x1.3d26fde8d1eb2p-16, 0x1.2822ecef862bp-16, 0x1.13dc00095abe1p-16, 0x1.004818b2c6f44p-16, 0x1.dab6d7ce8d3a8p-17, 0x1.b61974fe771a4p-17, 0x1.92af4196dbd6bp-17, 0x1.70780cfbc34afp-17, 0x1.4f76277b81fadp-17, 0x1.2fa67f89a5193p-17, 0x1.10facf797f036p-17, 0x1.e6adf0273b5cp-18, 0x1.ad313a90c3ebp-18, 0x1.755fc91374b3bp-18, 0x1.3f559654b57bfp-18, 0x1.0b30878608486p-18, 0x1.b1ba34f2bab43p-19, 0x1.5074664ad2bbap-19, 0x1.e51f78ada5eb7p-20, 0x1.30459fe86c3aap-20, 0x1.044c8a850b14cp-21, -0x1.2e1cec815c952p-23, -0x1.8fe455a01cb1ep-21, -0x1.64ac57f0e7e42p-20, -0x1.fc14de921889p-20, -0x1.471f61412cc95p-19, -0x1.8d974f0a3d389p-19, -0x1.d16ab3e65478ep-19, -0x1.0947914b991b3p-18, -0x1.2883718d80892p-18, -0x1.46769c84de803p-18, -0x1.63431dd1962b3p-18, -0x1.7f187992fc635p-18, -0x1.99ff9ebf7452bp-18, -0x1.b3d40a4cf88a8p-18, -0x1.cc9413c5403f5p-18, -0x1.e46126197223bp-18, -0x1.fb36459cfea4cp-18, -0x1.08804d716bfa6p-17, -0x1.12e76e90a685bp-17, -0x1.1cdd8cef7ebbp-17, -0x1.26699e64978e2p-17, -0x1.2f8d8f2d3fe9dp-17, -0x1.3849f446d426fp-17, -0x1.409fe6a672705p-17, -0x1.489163bb2c532p-17, -0x1.5020b36b1e40cp-17, -0x1.574f29825d71ep-17, -0x1.5e1c68edb7a9fp-17, -0x1.6487a26d1cd62p-17, -0x1.6a9224492b12ep-17, -0x1.7040c278fc88cp-17, -0x1.759b899e5fd6fp-17, -0x1.7aa9052e3cff3p-17, -0x1.7f66185569255p-17, -0x1.83d18c98641ebp-17, -0x1.87f46a98ce13p-17, -0x1.8bc9f7d80947ap-17, -0x1.8f4cac6da078p-17, -0x1.92844dc8f794ep-17, -0x1.957742bd520eep-17, -0x1.9827059c95f8ep-17, -0x1.9a93d59d176eep-17, -0x1.9cbe510ae5a2fp-17, -0x1.9ea77f37080cap-17, -0x1.a0509c2332ecfp-17, -0x1.a1bb0550e169bp-17, -0x1.a2e830bef4d53p-17, -0x1.a3d97ca5d3ae5p-17, -0x1.a48fe7f6ca76fp-17, -0x1.a50c06465f02ap-17, -0x1.a54e34ffa7d3bp-17, -0x1.a5579e8cc6de8p-17, -0x1.a52bc4ed3764cp-17, -0x1.a4cb06e01b3f3p-17, -0x1.a434dd480ff53p-17, -0x1.a36f50cb135d3p-17, -0x1.a27a44135671fp-17, -0x1.a1540f6bb80e7p-17, -0x1.9ffc225893f78p-17, -0x1.9e75fdc51f768p-17, -0x1.9cc405569b5b8p-17, -0x1.9ae6b375fa106p-17, -0x1.98de796916be1p-17, -0x1.96ac1b5c8cf8p-17, -0x1.945088372a997p-17, -0x1.91ccb703c95bbp-17, -0x1.8f2196d1a4035p-17, -0x1.8c500e47c8a51p-17, -0x1.8959054f17a9fp-17, -0x1.863d6bb68525cp-17, -0x1.82fe33e6fa8fp-17, -0x1.7f9c4eaa4e599p-17, -0x1.7c188347df099p-17, -0x1.7872dadea382ap-17, -0x1.74ac1c9a8e6f1p-17, -0x1.70c6cb029334dp-17, -0x1.6cc30e16974e2p-17, -0x1.68a10ba84a787p-17, -0x1.6461c3c029b2p-17, -0x1.600720dcefe9ap-17, -0x1.5b90fcea0b0eap-17, -0x1.56ffcb9e4bc3dp-17, -0x1.52551f9a68c09p-17, -0x1.4d919c085c844p-17, -0x1.48b5d0e511ceap-17, -0x1.43c26f281244ep-17, -0x1.3eb835970e4dep-17, -0x1.3997e4f9e4cdcp-17, -0x1.34623b07b17e3p-17, -0x1.2f17f0554694dp-17, -0x1.29b9b8e66ceedp-17, -0x1.244847c3682f8p-17, -0x1.1ec4532fd26eap-17, -0x1.192e94341960ap-17, -0x1.1387c41f783cep-17, -0x1.0dd09febc3522p-17, -0x1.0809a9dd874cep-17, -0x1.0232fd427f3eap-17, -0x1.f89bdafa5b2dfp-18, -0x1.ecb7866e18f9ep-18, -0x1.e0b8c1167382fp-18, -0x1.d49f6fd6c15fap-18, -0x1.c86eb00ddf9b3p-18, -0x1.bc28a0918eb86p-18, -0x1.afcca71a5ff1dp-18, -0x1.a35c962f22099p-18, -0x1.96d9ee9a40f76p-18, -0x1.8a45b5b630c9bp-18, -0x1.7da10b8bc717fp-18, -0x1.70ed1c565319dp-18, -0x1.642b146bdb722p-18, -0x1.575c1cd3e3509p-18, -0x1.4a815a052720ep-18, -0x1.3d9beb3e6c0fdp-18, -0x1.30aceab83d31fp-18, -0x1.23b56fbc7777p-18, -0x1.16b6918803b79p-18, -0x1.09b166c173aefp-18, -0x1.f94e00ce8bc57p-19, -0x1.df30d6c4a9f1ap-19, -0x1.c50d761258434p-19, -0x1.aae55c643e2e3p-19, -0x1.90ba474ace9fep-19, -0x1.769006ff86487p-19, -0x1.5c66b6642d45bp-19, -0x1.4240b5c2db439p-19, -0x1.28209b72e96aep-19, -0x1.0e0766c1a827fp-19, -0x1.e7ef576b5ffc7p-20, -0x1.b3e4ecc3fab42p-20, -0x1.7ff3fb678a32p-20, -0x1.4c2036df0eb97p-20, -0x1.186cc6eec35cdp-20, -0x1.c9ba05e7eeebdp-21, -0x1.62e886bb52d15p-21, -0x1.f8d74e09eee9bp-22, -0x1.2c93bff6b4dfp-22, -0x1.844c5a5c92f3ap-24, 0x1.a678f674d3b16p-24, 0x1.33740fb343d4fp-22, 0x1.fc626ca4692a1p-22, 0x1.622ec50f0fabfp-21, 0x1.c5ace088a93aap-21, 0x1.1452eab4d2b05p-20, 0x1.458a15bad0fdbp-20, 0x1.767941c67c006p-20, 0x1.a71d8fdbf718cp-20, 0x1.d774e6e5c59bp-20, 0x1.03be2901aa5a1p-19, 0x1.1b98ca03678fp-19, 0x1.33491ba40b692p-19, 0x1.4acdc0892ae9bp-19, 0x1.6225a3abf5b93p-19, 0x1.794f89628a6c2p-19, 0x1.904a91211f46ep-19, 0x1.a715b0b44c2b5p-19, 0x1.bdafc0c73fa02p-19, 0x1.d417962013f69p-19, 0x1.ea4c4d849e245p-19, 0x1.00267a224f7fcp-18, 0x1.0b0c4c4ab9185p-18, 0x1.15d727b805f26p-18, 0x1.20869a75b4994p-18, 0x1.2b1a360967aecp-18, 0x1.35918f7a1a98p-18, 0x1.3fec3f741e32ap-18, 0x1.4a29e22a94a25p-18, 0x1.544a16f87b63ap-18, 0x1.5e4c7fda65854p-18, 0x1.6830c17ff1d1ap-18, 0x1.71f6847204531p-18, 0x1.7b9d77511e1e5p-18, 0x1.85254bfac175dp-18, 0x1.8e8da8ba53594p-18, 0x1.97d645a38f7dbp-18, 0x1.a0fef6318df0ap-18, 0x1.aa076d1142d35p-18, 0x1.b2ef4bf5f23cap-18, 0x1.bbb664fcd8abfp-18, 0x1.c45c83aee1313p-18, 0x1.cce16ebc3ab6ep-18, 0x1.d544e84e88d3bp-18, 0x1.dd86b9a253205p-18, 0x1.e5a6d8a96b47bp-18, 0x1.eda4fcef82b23p-18, 0x1.f580f56d90402p-18, 0x1.fd3aa5712b825p-18, 0x1.0268f4eb029d1p-17, 0x1.0623508967c0ap-17, 0x1.09cc563b289d4p-17, 0x1.0d63f80a5bbafp-17, 0x1.10ea29593a8b2p-17, 0x1.145edede64c5ap-17, 0x1.17c20ea767c63p-17, 0x1.1b13b00dfca6bp-17, 0x1.1e53bba370cd7p-17, 0x1.21822b0ffaa1fp-17, 0x1.249ef9132ad36p-17, 0x1.27aa219f66c09p-17, 0x1.2aa3a272c20c7p-17, 0x1.2d8b7b3f27818p-17, 0x1.3061aa64eccaep-17, 0x1.33262915b938dp-17, 0x1.35d907debb5aap-17, 0x1.387a4a2101125p-17, 0x1.3b09e4afbdcfep-17, 0x1.3d87e39ee9995p-17, 0x1.3ff44e36bc9dap-17, 0x1.424f2bce02c3dp-17, 0x1.449884c3ff3efp-17, 0x1.46d061d1413e1p-17, 0x1.48f6cac17f5d1p-17, 0x1.4b0bc9710dad6p-17, 0x1.4d0f7666dfb41p-17, 0x1.4f01d0dfa1f0ap-17, 0x1.50e2e9d50ac4dp-17, 0x1.52b2d157c1bffp-17, 0x1.547196cfa9dc9p-17, 0x1.561f4a820e962p-17, 0x1.57bbfd943c48p-17, 0x1.5947c1fdc988p-17, 0x1.5ac2aa8519a2dp-17, 0x1.5c2ccab4ef98cp-17, 0x1.5d8636df31b86p-17, 0x1.5ecf04156ce39p-17, 0x1.60074818fbb76p-17, 0x1.612f1950a681ap-17, 0x1.62468ec98864ep-17, 0x1.634dc0403c6cdp-17, 0x1.6444c6643d42ap-17, 0x1.652bbad17d254p-17, 0x1.6602b6abdbff8p-17, 0x1.66c9cfda311p-17, 0x1.67812aa3984d4p-17, 0x1.6828df3839d85p-17, 0x1.68c1049285f7bp-17, 0x1.6949baae3786p-17, 0x1.69c31eaa996bp-17, 0x1.6a2d4df5b6d49p-17, 0x1.6a8866a82984dp-17, 0x1.6ad4877267c1p-17, 0x1.6b11cf437ba6bp-17, 0x1.6b405d575caa8p-17, 0x1.6b604fcd47accp-17, 0x1.6b71caf7d8e9ep-17, 0x1.6b74ed93fbec1p-17, 0x1.6b69d73f6b335p-17, 0x1.6b50aaa4298b7p-17, 0x1.6b2989853c688p-17, 0x1.6af495f612a84p-17, 0x1.6ab1f26359bd2p-17, 0x1.6a61c18f57d08p-17, 0x1.6a04268c51d06p-17, 0x1.699944b54cac3p-17, 0x1.69213faad38d4p-17, 0x1.689c3b547a112p-17, 0x1.680a5bd55d74bp-17, 0x1.676bc5884ad4dp-17, 0x1.66c09cfca0c8p-17, 0x1.660906f63e13dp-17, 0x1.65452872a11efp-17, 0x1.647526ba62b87p-17, 0x1.6399274102b44p-17, 0x1.62b14f2b6a6b3p-17, 0x1.61bdc2c94d066p-17, 0x1.60beac3ba4f8fp-17, 0x1.5fb42d7794d93p-17, 0x1.5e9e6d52e8d0ap-17, 0x1.5d7d925a36da9p-17, 0x1.5c51c2b942936p-17, 0x1.5b1b24b58836fp-17, 0x1.59d9deab40d11p-17, 0x1.588e1711ded6ap-17, 0x1.5737f473207adp-17, 0x1.55d79d526bc36p-17, 0x1.546d3840c1f99p-17, 0x1.52f8eb93444f3p-17, 0x1.517ade3768171p-17, 0x1.4ff33724e74d5p-17, 0x1.4e621c2aef5cfp-17, 0x1.4cc7b4412760ep-17, 0x1.4b2425f6a6ee5p-17, 0x1.497797d0eab5ep-17, 0x1.47c2304c0c6dep-17, 0x1.460415d96b65bp-17, 0x1.443d6edb8741bp-17, 0x1.426e61a46010dp-17, 0x1.40971473b7f97p-17, 0x1.3eb7ad745b4acp-17, }}, 
      {{0x1.08bc1630e0838p-1, 0x1.25ef005e7d8b6p-1, 0x1.4c8a9aa83594bp-1, 0x1.7713888755bf2p-1, 0x1.a1c9b94fbc29bp-1, 0x1.ca31cf027a0dep-1, 0x1.eebc884811c3p-1, 0x1.0742a6fe8dae8p+0, 0x1.1490f475da3ddp+0, 0x1.1f3f22a20dd3dp+0, 0x1.276098fcbcc16p+0, 0x1.2d1c10336049p+0, 0x1.30a41e2f1e17p+0, 0x1.3231c7fcc1d97p+0, 0x1.32009bf167376p+0, 0x1.304bf46c2d62bp+0, 0x1.2d4d19c78296dp+0, 0x1.293a0adf1d59ap+0, 0x1.2444c0af4eb6fp+0, 0x1.1e9acba9b7bc6p+0, 0x1.18653149d2824p+0, 0x1.11c8769fa667ap+0, 0x1.0ae4c94c99f48p+0, 0x1.03d63c2809947p+0, 0x1.f96a1f3c43037p-1, 0x1.eb2c001ab509cp-1, 0x1.dd152c256cd56p-1, 0x1.cf42ebe404241p-1, 0x1.c1cd58634fd6ep-1, 0x1.b4c7ec5c6bb9ep-1, 0x1.a8420bcf54ecfp-1, 0x1.9c47814f6fac3p-1, 0x1.90e0f0cbd7523p-1, 0x1.86144001b1f5cp-1, 0x1.7be4f507b67b2p-1, 0x1.72548b8617fdcp-1, 0x1.6962c13eaef81p-1, 0x1.610dda8d93736p-1, 0x1.5952df87ee8aep-1, 0x1.522dd258b3513p-1, 0x1.4b99df729ac43p-1, 0x1.45918825b0b51p-1, 0x1.400ec81d83cf9p-1, 0x1.3b0b364355cecp-1, 0x1.3680217669ab9p-1, 0x1.3266a98492b07p-1, 0x1.2eb7d4c381681p-1, 0x1.2b6ca2a1c00b3p-1, 0x1.287e1b8419964p-1, 0x1.25e55e35d9c36p-1, 0x1.239bab2d85202p-1, 0x1.219a6deb82109p-1, 0x1.1fdb449c039d5p-1, 0x1.1e58063d3fbaep-1, 0x1.1d0ac76d97a65p-1, 0x1.1bedde0b03333p-1, 0x1.1afbe3d694dd2p-1, 0x1.1a2fb81bf52ffp-1, 0x1.198480ba24dacp-1, 0x1.18f5aa3efa009p-1, 0x1.187ee7d463eep-1, 0x1.181c322663728p-1, 0x1.17c9c69173cf6p-1, 0x1.1784252ff1124p-1, 0x1.17480f6297521p-1, 0x1.1712858919dccp-1, 0x1.16e0c4b892e1p-1, 0x1.16b044c0da712p-1, 0x1.167eb4e0982c8p-1, 0x1.1649fa6eb3f5dp-1, 0x1.16102ccc2605p-1, 0x1.15cf9451fbbcbp-1, 0x1.1586a65f58b5cp-1, 0x1.153403bad2226p-1, 0x1.14d6758ec85e9p-1, 0x1.146ceaf60550bp-1, 0x1.13f676d74f555p-1, 0x1.13724d3ad8381p-1, 0x1.12dfc163224a6p-1, 0x1.123e4380c8c61p-1, 0x1.118d5ec1daa76p-1, 0x1.10ccb761063fdp-1, 0x1.0ffc08ccaae8ap-1, 0x1.0f1b23eb3018ep-1, 0x1.0e29ed7277c5cp-1, 0x1.0d285c5933bc6p-1, 0x1.0c16785b7ac67p-1, 0x1.0af45894179c9p-1, 0x1.09c222256e696p-1, 0x1.088006f3f18bdp-1, 0x1.072e44704357dp-1, 0x1.05cd227181f7p-1, 0x1.045cf22199ef6p-1, 0x1.02de0cf892e1bp-1, 0x1.0150d3c8cebbfp-1, 0x1.ff6b5bb2aa67fp-2, 0x1.fc1a101914553p-2, 0x1.f8aea82885acep-2, 0x1.f52a0f60884c1p-2, 0x1.f18d37f1fa671p-2, 0x1.edd9196deb457p-2, 0x1.ea0eaf8bc26d3p-2, 0x1.e62ef90aaa803p-2, 0x1.e23af6ad3f659p-2, 0x1.de33aa4bc6af3p-2, 0x1.da1a15fe5f462p-2, 0x1.d5ef3b5ae5a5bp-2, 0x1.d1b41ac29a6aap-2, 0x1.cd69b2c10e3ep-2, 0x1.c910ff77df91ep-2, 0x1.c4aafa16948d4p-2, 0x1.c03898600d94ep-2, 0x1.bbbacc3c6f7e3p-2, 0x1.b7328356962a3p-2, 0x1.b2a0a6c74ad7cp-2, 0x1.ae061acd220fdp-2, 0x1.a963be8e981f2p-2, 0x1.a4ba6be809192p-2, 0x1.a00af743bf623p-2, 0x1.9b562f78c70f3p-2, 0x1.969cddb202877p-2, 0x1.91dfc55ae5ab9p-2, 0x1.8d1fa4107cefcp-2, 0x1.885d31983f7b2p-2, 0x1.83991fd96b4fep-2, 0x1.7ed41ada13e84p-2, 0x1.7a0ec8c1f4dp-2, 0x1.7549c9de9c2b4p-2, 0x1.7085b8aadb10fp-2, 0x1.6bc329dcdbf0ep-2, 0x1.6702ac7564ec2p-2, 0x1.6244c9d083417p-2, 0x1.5d8a05bce04a2p-2, 0x1.58d2de947f1a6p-2, 0x1.541fcd5444f32p-2, 0x1.4f7145b86cdcbp-2, 0x1.4ac7b65b2ea58p-2, 0x1.462388d0724b1p-2, 0x1.418521c3745dcp-2, 0x1.3cece117769afp-2, 0x1.385b2205e7d15p-2, 0x1.33d03b3b84c43p-2, 0x1.2f4c7ef828082p-2, 0x1.2ad03b2e6fa76p-2, 0x1.265bb9a0d99f4p-2, 0x1.21ef3fff9d0a6p-2, 0x1.1d8b1008623e1p-2, 0x1.192f67a478507p-2, 0x1.14dc81056fd7ep-2, 0x1.109292c3294cdp-2, 0x1.0c51cffa77a2cp-2, 0x1.081a6869cadc6p-2, 0x1.03ec888d56af7p-2, 0x1.ff90b378ab6c3p-3, 0x1.f75c048abd61dp-3, 0x1.ef3b4b12450d6p-3, 0x1.e72ec82b12878p-3, 0x1.df36b7818e5cdp-3, 0x1.d7534f8524104p-3, 0x1.cf84c19935e5ep-3, 0x1.c7cb3a4770862p-3, 0x1.c026e17072427p-3, 0x1.b897da78145e2p-3, 0x1.b11e4470c0bp-3, 0x1.a9ba3a48918b5p-3, 0x1.a26bd2f53eacap-3, 0x1.9b33219b87394p-3, 0x1.941035b43a2d2p-3, 0x1.8d031b3317227p-3, 0x1.860bdaaef7311p-3, 0x1.7f2a798647be8p-3, 0x1.785ef9fe962f6p-3, 0x1.71a95b64351adp-3, 0x1.6b099a2dca7d5p-3, 0x1.647fb01f504cbp-3, 0x1.5e0b9466e8649p-3, 0x1.57ad3bb5e0f59p-3, 0x1.5164985d2a533p-3, 0x1.4b319a6d81dacp-3, 0x1.45142fd46589fp-3, 0x1.3f0c447254588p-3, 0x1.3919c22fab34bp-3, 0x1.333c9115e29ffp-3, 0x1.2d74976b42178p-3, 0x1.27c1b9ca939ffp-3, 0x1.2223db3551c8dp-3, 0x1.1c9add24f0fcbp-3, 0x1.17269f9fc2a67p-3, 0x1.11c70150276f7p-3, 0x1.0c7bdf990fe04p-3, 0x1.074516a5b0315p-3, 0x1.0222817730a7fp-3, 0x1.fa27f3e984515p-4, 0x1.f032b1fd68e3dp-4, 0x1.e664ed01fbafcp-4, 0x1.dcbe530317702p-4, 0x1.d33e905670db2p-4, 0x1.c9e54fb2c2b8p-4, 0x1.c0b23a4da2a36p-4, 0x1.b7a4f7fc2fe76p-4, 0x1.aebd2f4ec5227p-4, 0x1.a5fa85a4a8706p-4, 0x1.9d5c9f3cedd0dp-4, 0x1.94e31f4b5b5abp-4, 0x1.8c8da812a729bp-4, 0x1.845bdafe8355ap-4, 0x1.7c4d58b8178a1p-4, 0x1.7461c134dc1a5p-4, 0x1.6c98b3c4b4736p-4, 0x1.64f1cf23ace22p-4, 0x1.5d6cb18f39061p-4, 0x1.5608f8dad368bp-4, 0x1.4ec6428059227p-4, 0x1.47a42bac364f3p-4, 0x1.40a25148c0dp-4, 0x1.39c0500bf76f6p-4, 0x1.32fdc4881a378p-4, 0x1.2c5a4b3c5d58cp-4, 0x1.25d580a2b1cdep-4, 0x1.1f6f013a0bbe4p-4, 0x1.1926698f3ea6ep-4, 0x1.12fb56472a0d5p-4, 0x1.0ced642b2f7d9p-4, 0x1.06fc3036724fdp-4, 0x1.012757a17273bp-4, 0x1.f6dcefd5ef741p-5, 0x1.eba25dbeacc3cp-5, 0x1.e09e353ff94ep-5, 0x1.d5cfb3589347ep-5, 0x1.cb3615d695524p-5, 0x1.c0d09b69dad97p-5, 0x1.b69e83b3797d6p-5, 0x1.ac9f0f52a4a92p-5, 0x1.a2d17ff0bc4c7p-5, 0x1.9935184dcf56bp-5, 0x1.8fc91c4d9e44bp-5, 0x1.868cd10472675p-5, 0x1.7d7f7cc3204c5p-5, 0x1.74a0672249582p-5, 0x1.6beed90cdfbadp-5, 0x1.636a1cc9f0447p-5, 0x1.5b117e058ab2p-5, 0x1.52e449d8bb6cep-5, 0x1.4ae1ced10eb8cp-5, 0x1.43095cf847f35p-5, 0x1.3b5a45dccf703p-5, 0x1.33d3dc9a2d58dp-5, 0x1.2c7575e072d0fp-5, 0x1.253e67f9cc562p-5, 0x1.1e2e0ace7c568p-5, 0x1.1743b7e876c79p-5, 0x1.107eca77dc28dp-5, 0x1.09de9f58c6a5dp-5, 0x1.036295196932dp-5, 0x1.fa1417fe93ecbp-6, 0x1.eda8cc14f9899p-6, 0x1.e1820dee47614p-6, 0x1.d59ea87c8f8e3p-6, 0x1.c9fd6a2ef4b2cp-6, 0x1.be9d24f77dcaap-6, 0x1.b37cae5273588p-6, 0x1.a89adf4cd9fd9p-6, 0x1.9df6948803dc3p-6, 0x1.938eae39da7b3p-6, 0x1.8962102b2f697p-6, 0x1.7f6fa1b64fbb9p-6, 0x1.75b64dc77bac1p-6, 0x1.6c3502df1bab2p-6, 0x1.62eab314573e5p-6, 0x1.59d654164d703p-6, 0x1.50f6df2ae14dep-6, 0x1.484b512b6f965p-6, 0x1.3fd2aa8095292p-6, 0x1.378bef1e844e7p-6, 0x1.2f7626829cfcfp-6, 0x1.27905bb1fab66p-6, 0x1.1fd99d37f8894p-6, 0x1.1850fd23910cp-6, 0x1.10f5910334463p-6, 0x1.09c671df60f23p-6, 0x1.02c2bc34cbbe6p-6, 0x1.f7d31fddee4cbp-7, 0x1.ea7420c6c52cdp-7, 0x1.dd66c89a571d8p-7, 0x1.d0a96b91064afp-7, 0x1.c43a649a99d1ep-7, 0x1.b818155185151p-7, 0x1.ac40e5ecee313p-7, 0x1.a0b345328e715p-7, 0x1.956da86984d45p-7, 0x1.8a6e8b4e2fc0cp-7, 0x1.7fb4700686ca6p-7, 0x1.753ddf1594b27p-7, 0x1.6b09674d458fdp-7, 0x1.61159dbde8af7p-7, 0x1.57611da45b0dfp-7, 0x1.4dea885815ab9p-7, 0x1.44b0853ad1e7bp-7, 0x1.3bb1c1aa9571ap-7, 0x1.32ecf0f5e169dp-7, 0x1.2a60cc508ca5dp-7, 0x1.220c12c729243p-7, 0x1.19ed892f4e79cp-7, 0x1.1203fa13ed3e9p-7, 0x1.0a4e359e9f862p-7, 0x1.02cb117ff4217p-7, 0x1.f6f2d1b3582e3p-8, 0x1.e8b0385a68faep-8, 0x1.dacc229eee587p-8, 0x1.cd4466c1f11fap-8, 0x1.c016e58ebeec7p-8, 0x1.b3418a490b05fp-8, 0x1.a6c24a8f5c617p-8, 0x1.9a97262e5f0dfp-8, 0x1.8ebe26e6a799ap-8, 0x1.8335602bff1ccp-8, 0x1.77faeee81e5p-8, 0x1.6d0cf94b7dc5p-8, 0x1.6269aeb34c925p-8, 0x1.580f47a32fdc3p-8, 0x1.4dfc05cc09d77p-8, 0x1.442e341658188p-8, 0x1.3aa4269cdc2bbp-8, 0x1.315c3a8e1e484p-8, 0x1.2854d5f2f7b66p-8, 0x1.1f8c675a410e6p-8, 0x1.17016578dd569p-8, 0x1.0eb24ed206293p-8, 0x1.069da97a0171dp-8, 0x1.fd8405fdd8abdp-9, 0x1.ee3be0f255f33p-9, 0x1.df601d71b9599p-9, 0x1.d0ee04f609575p-9, 0x1.c2e2f11a8a6c6p-9, 0x1.b53c4b93d5a26p-9, 0x1.a7f78dbe7648cp-9, 0x1.9b123fc9947e9p-9, 0x1.8e89f7a0a24f1p-9, 0x1.825c57cb319b9p-9, 0x1.76870e84da6d7p-9, 0x1.6b07d54321ba9p-9, 0x1.5fdc70c52d6bdp-9, 0x1.5502b1a3f97eep-9, 0x1.4a787536d5e6ep-9, 0x1.403ba6841efdep-9, 0x1.364a3eee1a73ap-9, 0x1.2ca24657f4af1p-9, 0x1.2341d29ec53fcp-9, 0x1.1a27066c571bbp-9, 0x1.11500f97dcb56p-9, 0x1.08bb2568b802cp-9, 0x1.0066871dffc4ap-9, 0x1.f0a0f625d7b16p-10, 0x1.e0ee9d6db00eap-10, 0x1.d1b2aebca754ep-10, 0x1.c2e9e7775cd33p-10, 0x1.b4911b43f0646p-10, 0x1.a6a537367cadap-10, 0x1.992343bd05463p-10, 0x1.8c0864a52c231p-10, 0x1.7f51d7024ee71p-10, 0x1.72fced37f63f6p-10, 0x1.670709e20f9d8p-10, 0x1.5b6d9aa62afep-10, 0x1.502e140eee472p-10, 0x1.4545ef6b334b3p-10, 0x1.3ab2ab4358098p-10, 0x1.3071ce6068cadp-10, 0x1.2680ecbf43a7cp-10, 0x1.1cddad4b0dd81p-10, 0x1.1385cefffe598p-10, 0x1.0a772c31f4a62p-10, 0x1.01afbb19a7aafp-10, 0x1.f25b16bfc300ep-11, 0x1.e1dd81f5e7da4p-11, 0x1.d1e31a886da07p-11, 0x1.c2684f3ac8c0cp-11, 0x1.b3698e677b35dp-11, 0x1.a4e33ea94b2cdp-11, 0x1.96d1be895e8a5p-11, 0x1.89316b69a411cp-11, 0x1.7bfeadfb525e2p-11, 0x1.6f36092e90968p-11, 0x1.62d42828a355dp-11, 0x1.56d5e85f8adb4p-11, 0x1.4b385e10e1d0ep-11, 0x1.3ff8d2560126dp-11, 0x1.3514bafd28ad4p-11, 0x1.2a89ad29c81c6p-11, 0x1.20554cd3c228cp-11, 0x1.16753c6bd8523p-11, 0x1.0ce71091ba688p-11, 0x1.03a84b2c5e4adp-11, 0x1.f56cbe301d882p-12, 0x1.e41d75747e8e9p-12, 0x1.d35dab5a552cbp-12, 0x1.c3287b04231c3p-12, 0x1.b3793e911296ap-12, 0x1.a44b9b6ce81e7p-12, 0x1.959b895c482d2p-12, 0x1.8765542fe0b14p-12, 0x1.79a59543289ebp-12, 0x1.6c5921b5fe016p-12, 0x1.5f7cee4bd998dp-12, 0x1.530deff91d0ccp-12, 0x1.4709040e04f5cp-12, 0x1.3b6ae8f603f6ep-12, 0x1.303048cff7338p-12, 0x1.2555ce29724fcp-12, 0x1.1ad836864749ep-12, 0x1.10b45982374a8p-12, 0x1.06e7248e9589cp-12, 0x1.fadb28e0305dbp-13, 0x1.e8896fa3df58fp-13, 0x1.d6d37e30b39f5p-13, 0x1.c5b423aa77effp-13, 0x1.b526b63f0bccfp-13, 0x1.a5270390ad86fp-13, 0x1.95b11ce5c3c77p-13, 0x1.86c11cca77a05p-13, 0x1.7853085a492cdp-13, 0x1.6a62d9db4b8c3p-13, 0x1.5ceca5c46e2e7p-13, 0x1.4fecbbc8857ap-13, 0x1.435faa574b08fp-13, 0x1.37421c7f0f63cp-13, 0x1.2b909f0e2ef19p-13, 0x1.20476b1fd6f95p-13, 0x1.156258a7eed1ap-13, 0x1.0add0b541980bp-13, 0x1.00b34b1305e45p-13, 0x1.edc2b5881b45fp-14, 0x1.dac83864de413p-14, 0x1.c871e3cfb81a9p-14, 0x1.b6bafd953eb81p-14, 0x1.a59eededa3fcap-14, 0x1.9519367c3d6efp-14, 0x1.85259fcec1346p-14, 0x1.75c0627318ac5p-14, 0x1.66e62af9a88c8p-14, 0x1.5893f165727c2p-14, 0x1.4ac6a44e7853bp-14, 0x1.3d7ab3aa6aa46p-14, 0x1.30ab9ed40e494p-14, 0x1.2453c187fe485p-14, 0x1.186c9990034e1p-14, 0x1.0cef8592ac6f2p-14, 0x1.01d6a6f65da5dp-14, 0x1.ee3adbf16839cp-15, 0x1.d981261ae0132p-15, 0x1.c57b5120f9631p-15, 0x1.b225434e6694ap-15, 0x1.9f7b062487a72p-15, 0x1.8d788240c41bcp-15, 0x1.7c199e6833e3cp-15, 0x1.6b5aa96b2c458p-15, 0x1.5b388c28be174p-15, 0x1.4bb06a8eb8bf7p-15, 0x1.3cbefe6d8b98ap-15, 0x1.2e600bfd8d729p-15, 0x1.208dff4528caep-15, 0x1.1341cb7f8f771p-15, 0x1.0673485144644p-15, 0x1.f434091335619p-16, 0x1.dc5c78b4986b2p-16, 0x1.c553807f467ebp-16, 0x1.af1148132a1cfp-16, 0x1.9992749a319bdp-16, 0x1.84d5f64da60fep-16, 0x1.70d9aa127d09p-16, 0x1.5d988f2b08f3ep-16, 0x1.4b0c6861a21aap-16, 0x1.39308f0bd09ep-16, 0x1.28023a6fc4393p-16, 0x1.177e745bb17f7p-16, 0x1.07a092f05dabp-16, 0x1.f0c4aae3d8848p-17, 0x1.d37a08e3e27d9p-17, 0x1.b755007316667p-17, 0x1.9c4a8dfed4507p-17, 0x1.824ee239b1c2fp-17, 0x1.695308145e4f9p-17, 0x1.5144613e3ebb5p-17, 0x1.3a1082a484329p-17, 0x1.23acdb1f633a1p-17, 0x1.0e1a047d42421p-17, 0x1.f2b8b87c10406p-18, 0x1.cae2f47512ebep-18, 0x1.a49f805cb0126p-18, 0x1.7fde4273a549fp-18, 0x1.5c9a3cc1723fbp-18, 0x1.3ad0409e6f16bp-18, 0x1.1a75b88f2f10ap-18, 0x1.f6f058bff1756p-19, 0x1.bb8548d92232bp-19, 0x1.82885e14c18cfp-19, 0x1.4be6e6fc4124fp-19, 0x1.179b979181b82p-19, 0x1.cb4a24d65389dp-20, 0x1.6bf38b5b81c35p-20, 0x1.10fe2809ea459p-20, 0x1.7415ac0452f3dp-21, 0x1.9aa071dccbc22p-22, 0x1.69dc33149362p-24, -0x1.af8a1f61ea9b6p-23, -0x1.fb7d9168022ddp-22, -0x1.88a41e8ba925ap-21, -0x1.0682ee4bb24e9p-20, -0x1.457938b3ec1fdp-20, -0x1.812b0a75ffdffp-20, -0x1.b9b3633becb79p-20, -0x1.ef4b41d4e2993p-20, -0x1.1113a8781ca2bp-19, -0x1.2934571b2258dp-19, -0x1.4011495e3e4c8p-19, -0x1.55b10d1df156ap-19, -0x1.6a17640a71384p-19, -0x1.7d444d9a2709dp-19, -0x1.8f36a884e05e2p-19, -0x1.9ff212a2f9594p-19, -0x1.af837a82646b3p-19, -0x1.be0706f41df73p-19, -0x1.cba2d732dc708p-19, -0x1.d85ffbdb2dfa4p-19, -0x1.e42572471a983p-19, -0x1.eef4498eb09b7p-19, -0x1.f8e7b96058656p-19, -0x1.00ff2169350bfp-18, -0x1.05160498d0a24p-18, -0x1.08bf132e84805p-18, -0x1.0c050a6ec8dcbp-18, -0x1.0eee19f207f94p-18, -0x1.117ca92f0ea33p-18, -0x1.13b219aa97581p-18, -0x1.159029da92711p-18, -0x1.17193d93c255fp-18, -0x1.184feb05848c8p-18, -0x1.19360ca076fd6p-18, -0x1.19cc3488b26f9p-18, -0x1.1a129be2f56dcp-18, -0x1.1a0b0d193e29cp-18, -0x1.19b9ede2eabd3p-18, -0x1.19260141d6ae5p-18, -0x1.1854e257b4129p-18, -0x1.1744f8cd2d0d1p-18, -0x1.15f6135d934d9p-18, -0x1.146f9b7de7599p-18, -0x1.12aec15ce8521p-18, -0x1.10b01503c8045p-18, -0x1.0e79ff7daf432p-18, -0x1.0c11e31b110cfp-18, -0x1.097977add8585p-18, -0x1.06b18782313e9p-18, -0x1.03bb1fa1f2f88p-18, -0x1.00979707f8678p-18, -0x1.fa90cf6273131p-19, -0x1.f39e41373f1d8p-19, -0x1.ec5abeb6bda3p-19, -0x1.e4c9585b6629fp-19, -0x1.dcec89251a2bep-19, -0x1.d4c6258604c3cp-19, -0x1.cc57ac1112d97p-19, -0x1.c3a3c9e14f3c5p-19, -0x1.bab0a9930f549p-19, -0x1.b17fb7651eef7p-19, -0x1.a810f644b8f42p-19, -0x1.9e6e40350f897p-19, -0x1.94983d0f39984p-19, -0x1.8a8d3e39820bp-19, -0x1.804d1e32f38c7p-19, -0x1.75ddd37f6f7aap-19, -0x1.6b43ad283bb2p-19, -0x1.608011b6a27d2p-19, -0x1.5594520e831bap-19, -0x1.4a823698e6905p-19, -0x1.3f4bc339ab8e8p-19, -0x1.33f3029ff5e2p-19, -0x1.2879ed5d3ba1ep-19, -0x1.1ce2693117ae3p-19, -0x1.112e583845373p-19, -0x1.055fa3ac7f2a9p-19, -0x1.f2f068800c8d8p-20, -0x1.daf3d89299ffep-20, -0x1.c2ccd31ddc117p-20, -0x1.aa7c35e39565fp-20, -0x1.920524311007cp-20, -0x1.797026176f123p-20, -0x1.60be5f22f53c6p-20, -0x1.47f0d4bba291cp-20, -0x1.2f0b3b394fddbp-20, -0x1.16143030d87d3p-20, -0x1.fa175473f3634p-21, -0x1.c7e6ee9c932ddp-21, -0x1.95a20b4a5ddf4p-21, -0x1.634d774c08febp-21, -0x1.30ed67840f7a4p-21, -0x1.fd0da6bf6bfd8p-22, -0x1.983dfa0c09ddfp-22, -0x1.33764a0f7e566p-22, -0x1.9d81a14a148f5p-23, -0x1.a89d8f2f8b112p-24, -0x1.6cdf39dca51e5p-28, 0x1.7a46562be78acp-24, 0x1.853cea5292d0dp-23, 0x1.2669b90765f03p-22, 0x1.89ea0d9016c8ap-22, 0x1.ed1602d96e9b2p-22, 0x1.27f3b7aed28ebp-21, 0x1.592eee33751a8p-21, 0x1.8a3400042d23cp-21, 0x1.bafaa1f772b3cp-21, 0x1.eb844ad7b603p-21, 0x1.0de90823c4b73p-20, 0x1.25ecf0d29b7eep-20, 0x1.3dca835597eeep-20, 0x1.558351f20b5afp-20, 0x1.6d149beb965fbp-20, 0x1.847c2fb54f34ap-20, 0x1.9bb8c65965b8cp-20, 0x1.b2c8ee35de496p-20, 0x1.c9ab23419d233p-20, 0x1.e05de521439fp-20, 0x1.f6dfbd903ef4bp-20, 0x1.0697a17f859ddp-19, 0x1.11a58cfdf14bfp-19, 0x1.1c98fa4f964d2p-19, 0x1.277147088be37p-19, 0x1.322dd2475d193p-19, 0x1.3ccdfd3109df3p-19, 0x1.4751302e0d9a8p-19, 0x1.51b6d91ec8a7fp-19, 0x1.5bfe602f7a193p-19, 0x1.6627869c7cae2p-19, 0x1.7031ed3480d2bp-19, 0x1.7a1c213a466f6p-19, 0x1.83e6a1330c1c1p-19, 0x1.8d90bcae00436p-19, 0x1.9719a59849abep-19, 0x1.a081669185f62p-19, 0x1.a9c73251e5a53p-19, 0x1.b2eb11e0fb0ccp-19, 0x1.bbec6a4594ba4p-19, 0x1.c4cad295f2aa1p-19, 0x1.cd860a7894a11p-19, 0x1.d61dc4732ec0bp-19, 0x1.de91b2a8d9f31p-19, 0x1.e6e18ad449a29p-19, 0x1.ef0d06bfb8df4p-19, 0x1.f713e47fc5e71p-19, 0x1.fef5e6b79015ap-19, 0x1.03596a4f070d5p-18, 0x1.07253c9a76d3cp-18, 0x1.0ade50ea3504fp-18, 0x1.0e848ed903b9bp-18, 0x1.1217e018ca17dp-18, 0x1.15983297e0b73p-18, 0x1.190575be548adp-18, 0x1.1c5f90cb21b95p-18, 0x1.1fa689e64193ap-18, 0x1.22da439e9a603p-18, 0x1.25fabd22d0426p-18, 0x1.2907ec1915e6dp-18, 0x1.2c01ba921d6e4p-18, 0x1.2ee828c95e4f5p-18, 0x1.31bb299be53aap-18, 0x1.347acce39f72p-18, 0x1.372714894a983p-18, 0x1.39bff7e5d1fb3p-18, 0x1.3c456be341d06p-18, 0x1.3eb77c795b59dp-18, 0x1.41162fa3b6718p-18, 0x1.43618ac16a0e4p-18, 0x1.459994819fe6cp-18, 0x1.47be54fcba11dp-18, 0x1.49cfd5a76ec95p-18, 0x1.4bce2157db785p-18, 0x1.4db9444cfa8b4p-18, 0x1.4f914c228c6bbp-18, 0x1.51564787b3343p-18, 0x1.530845ea0dd46p-18, 0x1.54a75781882ep-18, 0x1.56338e0706279p-18, 0x1.57acfe3077e83p-18, 0x1.5913bdcde6ddp-18, 0x1.5a67da08ac0f2p-18, 0x1.5ba96aab34478p-18, 0x1.5cd89878d578cp-18, 0x1.5df5759a51d19p-18, 0x1.5f0008081cb84p-18, 0x1.5ff874749c79dp-18, 0x1.60deda1cb2025p-18, 0x1.61b35404c8446p-18, 0x1.6275f95100fc2p-18, 0x1.6326e4cecbf4cp-18, 0x1.63c64c74bf267p-18, 0x1.64543d7772728p-18, 0x1.64d0d34b274bap-18, 0x1.653c34f677c74p-18, 0x1.6596846a35b23p-18, 0x1.65dfe39a0041p-18, 0x1.66187540ccfb1p-18, 0x1.66405cd24223cp-18, 0x1.6657be6c180e9p-18, 0x1.665ebed29be54p-18, 0x1.665583716cbc2p-18, 0x1.663c32517eadep-18, 0x1.6612f201d28a8p-18, 0x1.65d9e970b53d8p-18, 0x1.65913fe90e118p-18, 0x1.65391d3b5438ep-18, 0x1.64d1aa597effap-18, 0x1.645b1183e65e8p-18, 0x1.63d57ab8686b9p-18, 0x1.6341077c8e0e4p-18, 0x1.629df1fb77065p-18, 0x1.61ec6539a71e6p-18, 0x1.612c7b8e92785p-18, 0x1.605e67d6195dcp-18, 0x1.5f8256e499e6ep-18, 0x1.5e9874c64926cp-18, 0x1.5da0edd2b9775p-18, 0x1.5c9bee03f6c3dp-18, 0x1.5b899fabb53e3p-18, 0x1.5a6a2e9ef654p-18, 0x1.593dd470f0931p-18, 0x1.5804b0d20c39p-18, 0x1.56bef4802167bp-18, 0x1.556cce8621816p-18, 0x1.540e6c9a977d4p-18, 0x1.52a3fc9d91f3cp-18, 0x1.512dac9ab24b3p-18, 0x1.4fabaabd294cap-18, 0x1.4e1e254c1a354p-18, 0x1.4c854aa56b2p-18, 0x1.4ae1493b1674bp-18, 0x1.49324f8da649fp-18, 0x1.47788c2089c0fp-18, 0x1.45b42d71a0b29p-18, 0x1.43e561f9212b5p-18, 0x1.420c5832eeddbp-18, 0x1.40293ed63e09dp-18, 0x1.3e3c44d136e25p-18, 0x1.3c459821157d4p-18, 0x1.3a45638ba32d9p-18, 0x1.383bdd2b4dbbcp-18, 0x1.362930901a219p-18, 0x1.340d87c4a160bp-18, 0x1.31e913b7bc417p-18, 0x1.2fbc02713bed8p-18, 0x1.2d8681b10a96dp-18, 0x1.2b48bf3adbc0ep-18, 0x1.2902e8c471339p-18, 0x1.26b52bb84d699p-18, 0x1.245fb53c03ac6p-18, 0x1.2202b123d80b6p-18, 0x1.1f9e4f721e76fp-18, 0x1.1d32bb6e7c76p-18, 0x1.1ac020a656db3p-18, 0x1.1846ac62bfb03p-18, 0x1.15c68acb382d4p-18, 0x1.133fe7cc3f198p-18, 0x1.10b2ef1ce8251p-18, 0x1.0e1fcc3dcf911p-18, 0x1.0b86aa766b55bp-18, 0x1.08e7b4cdc403p-18, 0x1.0643160b6e127p-18, 0x1.0398f8bb45632p-18, 0x1.00e9871e80278p-18, 0x1.fc69d652cb004p-19, 0x1.f6f69d0204b75p-19, 0x1.f179b5034ac3fp-19, 0x1.ebf37091b562bp-19, 0x1.e66421863eb04p-19, 0x1.e0cc191d70541p-19, 0x1.db2ba760af4a1p-19, 0x1.d5831a8023904p-19, 0x1.cfd2c6f9e90bfp-19, 0x1.ca1af682ccd63p-19, 0x1.c45bf7fd29b95p-19, 0x1.be96192b4b558p-19, 0x1.b8c9a691fbbfcp-19, 0x1.b2f6ec109db43p-19, 0x1.ad1e34dec6a76p-19, 0x1.a73fcb948e7e3p-19, 0x1.a15bfa1c00284p-19, 0x1.9b730996a1e7dp-19, 0x1.9585428029282p-19, 0x1.8f92ec527d7dbp-19, 0x1.899c4e748ef58p-19, 0x1.83a1af9695db9p-19, 0x1.7da3547a309bbp-19, 0x1.77a18261de35dp-19, 0x1.719c7d70d9699p-19, 0x1.6b94890a13d3ap-19, 0x1.6589e7d250eb7p-19, 0x1.5f7cdbb1ee918p-19, 0x1.596da5d100fp-19, 0x1.535c869705cf3p-19, 0x1.4d49bdab87252p-19, 0x1.473589f32ffe5p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.9a99d7601d8afp-1, -0x1.9a8ff0f6d7eb8p-1, -0x1.9a7e8a0739197p-1, -0x1.9a645541e748ep-1, -0x1.9a3f96b493cecp-1, -0x1.9a0e3554ab7fep-1, -0x1.99cdcd6237a43p-1, -0x1.997bc2a24983fp-1, -0x1.991551c346e6fp-1, -0x1.9897a07b61e38p-1, -0x1.97ffcc1f55f54p-1, -0x1.974af690ea5bbp-1, -0x1.9676517cbc3c1p-1, -0x1.957f27ef99b41p-1, -0x1.9462e6571a11fp-1, -0x1.931f210876ae5p-1, -0x1.91b1996ce982fp-1, -0x1.901841f4f0b26p-1, -0x1.8e5140f4488fep-1, -0x1.8c5af287c5ea3p-1, -0x1.8a33e9a4c79fp-1, -0x1.87daf07000376p-1, -0x1.854f07f718632p-1, -0x1.828f676646819p-1, -0x1.7f9b7ad07b3aap-1, -0x1.7c72e19e64ab8p-1, -0x1.79156cb62e0aap-1, -0x1.75831c6bb85dbp-1, -0x1.71bc1e46fdb9ap-1, -0x1.6dc0caac6eb43p-1, -0x1.6991a2716ca7bp-1, -0x1.652f4c6576b55p-1, -0x1.609a92d74471ap-1, -0x1.5bd4611bd2dd2p-1, -0x1.56ddc11c579e2p-1, -0x1.51b7d8ef2163ap-1, -0x1.4c63e87e9f2b5p-1, -0x1.46e3474114b77p-1, -0x1.41376202ecf59p-1, -0x1.3b61b8c519231p-1, -0x1.3563dcb080637p-1, -0x1.2f3f6e1f2872bp-1, -0x1.28f61abb7397ap-1, -0x1.22899bb596944p-1, -0x1.1bfbb40f30cfap-1, -0x1.154e2efcd067ap-1, -0x1.0e82de5d06788p-1, -0x1.079b99449a58fp-1, -0x1.009a3a9f54ffap-1, -0x1.f3013fc9aa60ap-2, -0x1.e4a14fc198446p-2, -0x1.d618631c08258p-2, -0x1.c76a36070e02cp-2, -0x1.b89a80e67dc78p-2, -0x1.a9acf672cf158p-2, -0x1.9aa541f8570e8p-2, -0x1.8b8705b590e83p-2, -0x1.7c55d9572e134p-2, -0x1.6d154890bd2c1p-2, -0x1.5dc8d1d0a9bacp-2, -0x1.4e73e50e735f2p-2, -0x1.3f19e2b1f69d4p-2, -0x1.2fbe1a92ae421p-2, -0x1.2063cb0de037bp-2, -0x1.110e2032ad758p-2, -0x1.01c0330303c3fp-2, -0x1.e4fa119103442p-3, -0x1.c68f24f8ab23ep-3, -0x1.a845588272bfcp-3, -0x1.8a2239dd4eabbp-3, -0x1.6c2b2b58e7378p-3, -0x1.4e65633beb912p-3, -0x1.30d5eb37fddafp-3, -0x1.13819ff9ab82bp-3, -0x1.ecda61a5e66e5p-4, -0x1.b33a3efdfbd6cp-4, -0x1.7a2b7ffb34e16p-4, -0x1.41b6710a58af8p-4, -0x1.09e3031394fabp-4, -0x1.a57197612b317p-5, -0x1.387e0b102de56p-5, -0x1.99f243327c452p-6, -0x1.8bbf9ee172abfp-7, 0x1.645200a50678cp-11, 0x1.b1fb0df597cd3p-7, 0x1.a39b1e4f73862p-6, 0x1.35735bdd77534p-5, 0x1.9766849b40beap-5, 0x1.f79e0c087d69cp-5, 0x1.2b08cced29965p-4, 0x1.595cbc096a8f9p-4, 0x1.86c7480fc0e5bp-4, 0x1.b34533ed09d4dp-4, 0x1.ded38f373d0cbp-4, 0x1.04b7da4a2efc8p-3, 0x1.198ba40b56047p-3, 0x1.2de41ac7aa4dp-3, 0x1.41c0576c6bf77p-3, 0x1.551f950d1d3d2p-3, 0x1.680130020dfe5p-3, 0x1.7a64a5046451ap-3, 0x1.8c49904809e0ap-3, 0x1.9dafac941014dp-3, 0x1.ae96d259e148dp-3, 0x1.befef6cbbcc65p-3, 0x1.cee82af2d1219p-3, 0x1.de529ac562037p-3, 0x1.ed3e8c3d46cb6p-3, 0x1.fbac5e6f20264p-3, 0x1.04ce445143ba5p-2, 0x1.0b87ccb5c8dc6p-2, 0x1.12031ae2ed68ep-2, 0x1.18408c18b3375p-2, 0x1.1e4087e8c7808p-2, 0x1.24037fc71c2dap-2, 0x1.2989ee9bbf212p-2, 0x1.2ed4585609de1p-2, 0x1.33e3498138814p-2, 0x1.38b756da88277p-2, 0x1.3d511ce8e2e94p-2, 0x1.41b13f963986dp-2, 0x1.45d869ca8ac49p-2, 0x1.49c74d08b7415p-2, 0x1.4d7ea10d1eb23p-2, 0x1.50ff236e21c83p-2, 0x1.5449973e876f2p-2, 0x1.575ec4b1d376bp-2, 0x1.5a3f78c298c57p-2, 0x1.5cec84dac9b73p-2, 0x1.5f66be7e0e22dp-2, 0x1.61aefef6267f8p-2, 0x1.63c623015d7d1p-2, 0x1.65ad0a8308ef2p-2, 0x1.6764983624299p-2, 0x1.68edb161fb01ep-2, 0x1.6a493d90f0043p-2, 0x1.6b78264953bd9p-2, 0x1.6c7b56c855e88p-2, 0x1.6d53bbbf07ae9p-2, 0x1.6e0243117284cp-2, 0x1.6e87db97bbb81p-2, 0x1.6ee574e155fbp-2, 0x1.6f1bfefa390a9p-2, 0x1.6f2c6a32212c9p-2, 0x1.6f17a6e5caa75p-2, 0x1.6edea54a29a35p-2, 0x1.6e82553994c9ep-2, 0x1.6e03a602e3826p-2, 0x1.6d63863a7068bp-2, 0x1.6ca2e38d006ddp-2, 0x1.6bc2aa9486b89p-2, 0x1.6ac3c6aeb8f45p-2, 0x1.69a721d576b37p-2, 0x1.686da478f1db4p-2, 0x1.6718355b981acp-2, 0x1.65a7b96fb11b5p-2, 0x1.641d13b6a9f0bp-2, 0x1.6279252209638p-2, 0x1.60bccc75fd404p-2, 0x1.5ee8e62d811b9p-2, 0x1.5cfe4c600f976p-2, 0x1.5afdd6a8d47d2p-2, 0x1.58e85a0f608c8p-2, 0x1.56bea8f1c7404p-2, 0x1.548192f02e029p-2, 0x1.5231e4d9b581ap-2, 0x1.4fd0689abee6ep-2, 0x1.4d5de52c7cab3p-2, 0x1.4adb1e85cbf3dp-2, 0x1.4848d58d49461p-2, 0x1.45a7c80c9adaep-2, 0x1.42f8b0a4e2eecp-2, 0x1.403c46c4599eep-2, 0x1.3d733e9cfe7d1p-2, 0x1.3a9e491c589e7p-2, 0x1.37be13e444441p-2, 0x1.34d34944bcf65p-2, 0x1.31de9036a16eep-2, 0x1.2ee08c5766c43p-2, 0x1.2bd9dde5b0b8p-2, 0x1.28cb21becba4bp-2, 0x1.25b4f15cfc9a1p-2, 0x1.2297e2d69f4dap-2, 0x1.1f7488de0c287p-2, 0x1.1c4b72c23fd76p-2, 0x1.191d2c7035dc2p-2, 0x1.15ea3e74f8518p-2, 0x1.12b32e00573fdp-2, 0x1.0f787ce83f278p-2, 0x1.0c3aa9acb012ap-2, 0x1.08fa2f7c41d42p-2, 0x1.05b786393abb4p-2, 0x1.0273227f29c7ap-2, 0x1.fe5aeb520292ap-3, 0x1.f7cddbaf54061p-3, 0x1.f13febf21934bp-3, 0x1.eab1eb9f05a7ap-3, 0x1.e424a3f36ae0dp-3, 0x1.dd98d7f5abedp-3, 0x1.d70f44867278dp-3, 0x1.d088a07286a08p-3, 0x1.ca059c854b3c8p-3, 0x1.c386e39bd33a8p-3, 0x1.bd0d1ab87f4e9p-3, 0x1.b698e1171eb3p-3, 0x1.b02ad0418bef5p-3, 0x1.a9c37c24b24b3p-3, 0x1.a3637325ff72fp-3, 0x1.9d0b3e392ed3fp-3, 0x1.96bb60f6696aap-3, 0x1.907459b0b59bbp-3, 0x1.8a36a18ca3befp-3, 0x1.8402ac973f45ep-3, 0x1.7dd8e9dd2bdd7p-3, 0x1.77b9c381fd7fp-3, 0x1.71a59ed7a4bbep-3, 0x1.6b9cdc760b6abp-3, 0x1.659fd852bf66bp-3, 0x1.5faee9d8b5f0ap-3, 0x1.59ca64001c413p-3, 0x1.53f2956628fccp-3, 0x1.4e27c864f5918p-3, 0x1.486a432b508c2p-3, 0x1.42ba47d489c4bp-3, 0x1.3d1814802b30fp-3, 0x1.3783e369a2c3p-3, 0x1.31fdeaffd80cbp-3, 0x1.2c865dfc9eb3cp-3, 0x1.271d6b7c1044fp-3, 0x1.21c33f13bf535p-3, 0x1.1c7800e9c2214p-3, 0x1.173bd5cb9857bp-3, 0x1.120edf44dbf6ep-3, 0x1.0cf13bb5c64bdp-3, 0x1.07e306697e5cep-3, 0x1.02e457ac2f0a9p-3, 0x1.fbea89c1d0d39p-4, 0x1.f22bc12e800cfp-4, 0x1.e88c75416c6eep-4, 0x1.df0cc04baf6ebp-4, 0x1.d5acb77646da5p-4, 0x1.cc6c6aeb4053p-4, 0x1.c34be5fe726eap-4, 0x1.ba4b2f5597843p-4, 0x1.b16a490fd2f01p-4, 0x1.a8a930ecaee26p-4, 0x1.a007e072730d6p-4, 0x1.97864d13f329ap-4, 0x1.8f246855ad617p-4, 0x1.86e21ff25c2c6p-4, 0x1.7ebf5dfee083cp-4, 0x1.76bc090d8d0e1p-4, 0x1.6ed80450d18e2p-4, 0x1.67132fbd409a7p-4, 0x1.5f6d682af5975p-4, 0x1.57e6877653eb6p-4, 0x1.507e64a022116p-4, 0x1.4934d3ed021c6p-4, 0x1.4209a704450bfp-4, 0x1.3afcad0e150fap-4, 0x1.340db2d103399p-4, 0x1.2d3c82cee9501p-4, 0x1.2688e5612c69ep-4, 0x1.1ff2a0d45978ep-4, 0x1.1979798324bacp-4, 0x1.131d31f0bf0cdp-4, 0x1.0cdd8ae292e5fp-4, 0x1.06ba43795b3edp-4, 0x1.00b31949a004cp-4, 0x1.f58f90e726ad3p-5, 0x1.e9f01774a29cep-5, 0x1.de87393511016p-5, 0x1.d35466c10e48p-5, 0x1.c8570e7b5f0c8p-5, 0x1.bd8e9cbaaea59p-5, 0x1.b2fa7bf225cadp-5, 0x1.a89a14d8dd334p-5, 0x1.9e6cce90246e4p-5, 0x1.94720ec8b7b4bp-5, 0x1.8aa939e6d0a3fp-5, 0x1.8111b32527b3cp-5, 0x1.77aadcb6d9bbcp-5, 0x1.6e7417e8480d5p-5, 0x1.656cc53ee677dp-5, 0x1.5c94449808cdep-5, 0x1.53e9f546a39c3p-5, 0x1.4b6d363018578p-5, 0x1.431d65e80491cp-5, 0x1.3af9e2cb197bfp-5, 0x1.33020b1900a24p-5, 0x1.2b353d0d54ec8p-5, 0x1.2392d6f7b5dd2p-5, 0x1.1c1a3752ed517p-5, 0x1.14cabcdb42816p-5, 0x1.0da3c6a3e0342p-5, 0x1.06a4b42b720e3p-5, 0x1.ff99cadfd67dfp-6, 0x1.f2377602eb01dp-6, 0x1.e5212c293e93p-6, 0x1.d855b12789e3p-6, 0x1.cbd3ca5f5fcedp-6, 0x1.bf9a3edf02c6dp-6, 0x1.b3a7d77fb67acp-6, 0x1.a7fb5f02b74edp-6, 0x1.9c93a22cce74bp-6, 0x1.916f6fe07c51ep-6, 0x1.868d9936f7d51p-6, 0x1.7becf197b606cp-6, 0x1.718c4eceda3c9p-6, 0x1.676a892258c06p-6, 0x1.5d867b65f623cp-6, 0x1.53df030e15e12p-6, 0x1.4a7300416bfebp-6, 0x1.414155e99f117p-6, 0x1.3848e9c2cd427p-6, 0x1.2f88a46a14b3dp-6, 0x1.26ff716b0fcb2p-6, 0x1.1eac3f4c6673ep-6, 0x1.168dff9b620dfp-6, 0x1.0ea3a6f69a8c8p-6, 0x1.06ec2d17b9f5fp-6, 0x1.fecd19b8d8271p-7, 0x1.f023889cfd16ap-7, 0x1.e1d9a9562be32p-7, 0x1.d3ed84d276bfep-7, 0x1.c65d2a7f26dap-7, 0x1.b926b052b5529p-7, 0x1.ac4832d57c4dfp-7, 0x1.9fbfd528ddf27p-7, 0x1.938bc10d3cd11p-7, 0x1.87aa26e698af3p-7, 0x1.7c193dbff00f6p-7, 0x1.70d7434d90b2fp-7, 0x1.65e27bee1656p-7, 0x1.5b3932aa829c3p-7, 0x1.50d9b9352ed9ap-7, 0x1.46c267e7a43dcp-7, 0x1.3cf19dbfab4d8p-7, 0x1.3365c05b4fae8p-7, 0x1.2a1d3bf3fc271p-7, 0x1.21168358cad3fp-7, 0x1.18500fe80c89bp-7, 0x1.0fc86187e37d2p-7, 0x1.077dfe9e3629bp-7, 0x1.fedee80ff4a25p-8, 0x1.ef36aa1f66b3dp-8, 0x1.e00076c6b1eb7p-8, 0x1.d1398e13780cep-8, 0x1.c2df3cae1daa3p-8, 0x1.b4eedbc2669acp-8, 0x1.a765d0e688f1cp-8, 0x1.9a418e01874e8p-8, 0x1.8d7f91306e0afp-8, 0x1.811d64aadc8cap-8, 0x1.75189ea6a3d6cp-8, 0x1.696ee13a898ep-8, 0x1.5e1dda406e7d3p-8, 0x1.53234336b131ep-8, 0x1.487ce121007adp-8, 0x1.3e2884688d763p-8, 0x1.342408bbc5272p-8, 0x1.2a6d54ed63f8cp-8, 0x1.21025ad316fabp-8, 0x1.17e11723e6815p-8, 0x1.0f079155fa6d2p-8, 0x1.0673db7c278ep-8, 0x1.fc4824468c477p-9, 0x1.ec2cb85e0af69p-9, 0x1.dc91d56d5d528p-9, 0x1.cd73f1c3557efp-9, 0x1.becf9787935b7p-9, 0x1.b0a16472db19bp-9, 0x1.a2e609873b6a2p-9, 0x1.959a4ac81d235p-9, 0x1.88bafef1d5607p-9, 0x1.7c450f31a5654p-9, 0x1.703576dd2704fp-9, 0x1.6489432a10dap-9, 0x1.593d92e63fbd3p-9, 0x1.4e4f962f40714p-9, 0x1.43bc8e2aa3f93p-9, 0x1.3981ccbe24a43p-9, 0x1.2f9cb448276c9p-9, 0x1.260ab7587c63fp-9, 0x1.1cc958695529dp-9, 0x1.13d62998c30eap-9, 0x1.0b2ecc624dfb4p-9, 0x1.02d0f1596d175p-9, 0x1.f574afc793e81p-10, 0x1.e5d19be9273dbp-10, 0x1.d6b45f8fbe6dep-10, 0x1.c818cf3d4c46p-10, 0x1.b9fadaf6ddb36p-10, 0x1.ac568dbed223ep-10, 0x1.9f280d102b1f5p-10, 0x1.926b985b0f401p-10, 0x1.861d8882f7e2ap-10, 0x1.7a3a4f5d74943p-10, 0x1.6ebe77329ff9ap-10, 0x1.63a6a23e968b7p-10, 0x1.58ef8a34cbd34p-10, 0x1.4e95ffc4172fap-10, 0x1.4496ea1cdd057p-10, 0x1.3aef4678113e6p-10, 0x1.319c27a009a67p-10, 0x1.289ab57a8949p-10, 0x1.1fe82c9436586p-10, 0x1.1781ddadda53p-10, 0x1.0f652d4b03b15p-10, 0x1.078f9341df72bp-10, 0x1.fffd349a59792p-11, 0x1.f15fbf3e4a42ep-11, 0x1.e34224ed40603p-11, 0x1.d59fe7698d93ep-11, 0x1.c874aaeb1ba28p-11, 0x1.bbbc3550e9ea8p-11, 0x1.af726d57695bcp-11, 0x1.a39359d1e7623p-11, 0x1.981b20e621a1ep-11, 0x1.8d06074b72023p-11, 0x1.82506f8e4479ep-11, 0x1.77f6d95451368p-11, 0x1.6df5e0a5b2e26p-11, 0x1.644a3d390d37dp-11, 0x1.5af0c1c155f6ap-11, 0x1.51e65b4046a13p-11, 0x1.4928105b64ed9p-11, 0x1.40b300b3b1aeap-11, 0x1.388464406b312p-11, 0x1.30998aae11782p-11, 0x1.28efdabe534fp-11, 0x1.2184d1ac380d4p-11, 0x1.1a56029398b3dp-11, 0x1.136115d9efc42p-11, 0x1.0ca3c89bed1d7p-11, 0x1.061bec1c97bfp-11, 0x1.ff8eca6fdf826p-12, 0x1.f34857b084853p-12, 0x1.e76094dc37d5ep-12, 0x1.dbd3bad6e06cp-12, 0x1.d09e2580fcc03p-12, 0x1.c5bc52b93830ap-12, 0x1.bb2ae161ec3fcp-12, 0x1.b0e6906ca2e71p-12, 0x1.a6ec3dea06eb8p-12, 0x1.9d38e61fdcee2p-12, 0x1.93c9a2a41360bp-12, 0x1.8a9ba97bc996dp-12, 0x1.81ac4c4126a29p-12, 0x1.78f8f74bfe108p-12, 0x1.707f30e075446p-12, 0x1.683c986246953p-12, 0x1.602ee58d32b78p-12, 0x1.5853e7b1868b4p-12, 0x1.50a984f4aa094p-12, 0x1.492db99836ed1p-12, 0x1.41de97430f6ebp-12, 0x1.3aba444f7b359p-12, 0x1.33befb208db0fp-12, 0x1.2ceb0975ea0cap-12, 0x1.263ccfc8d4a78p-12, 0x1.1fb2c0ab2b607p-12, 0x1.194b602b178ep-12, 0x1.13054339eb82ap-12, 0x1.0cdf0f1787be2p-12, 0x1.06d778c2417e6p-12, 0x1.00ed446894adep-12, 0x1.f63e89bf4b1d1p-13, 0x1.ead8b63e2a5cap-13, 0x1.dfa6eb78f05e7p-13, 0x1.d4a720dbe23dfp-13, 0x1.c9d7671bfe9adp-13, 0x1.bf35e74991eb3p-13, 0x1.b4c0e1e3f323cp-13, 0x1.aa76adf74bee5p-13, 0x1.a055b842d1b39p-13, 0x1.965c825f5fecbp-13, 0x1.8c89a1ef80622p-13, 0x1.82dbbfd64a6bp-13, 0x1.7951977241636p-13, 0x1.6fe9f5de766bbp-13, 0x1.66a3b939c8815p-13, 0x1.5d7dcff3bf705p-13, 0x1.5477381dc3a9fp-13, 0x1.4b8efec1775a8p-13, 0x1.42c43f3e08b9fp-13, 0x1.3a1622aa715dcp-13, 0x1.3183df39400fbp-13, 0x1.290cb7a407e71p-13, 0x1.20affa9c88dbdp-13, 0x1.186d023f19e76p-13, 0x1.1043338c63beap-13, 0x1.0831fde614a79p-13, 0x1.0038da91021e9p-13, 0x1.f0ae9874872e8p-14, 0x1.e119bd00df2bfp-14, 0x1.d1b24b02d7722p-14, 0x1.c2777adaca6ccp-14, 0x1.b36894343dd53p-14, 0x1.a484ed393b6bbp-14, 0x1.95cbe9cce8d0ap-14, 0x1.873cfac901987p-14, 0x1.78d79d4866c9fp-14, 0x1.6a9b59f122365p-14, 0x1.5c87c44c31091p-14, 0x1.4e9c7a1f8ca42p-14, 0x1.40d922ccd0548p-14, 0x1.333d6eb8db1aap-14, 0x1.25c916b9ebdafp-14, 0x1.187bdb892dbcdp-14, 0x1.0b558538e415ep-14, 0x1.fcabc5680c7c7p-15, 0x1.e2f9927eb9cd6p-15, 0x1.c9942803429ep-15, 0x1.b07b471e80044p-15, 0x1.97aebaf4db501p-15, 0x1.7f2e57db68c4ep-15, 0x1.66f9fa84bac05p-15, 0x1.4f1187413acaap-15, 0x1.3774e9409c664p-15, 0x1.202411ea93126p-15, 0x1.091ef82a30698p-15, 0x1.e4cb2fa8fa35p-16, 0x1.b7efe20ef7da5p-16, 0x1.8bac0f3eda958p-16, 0x1.5fffc549c9e43p-16, 0x1.34eb178eab51fp-16, 0x1.0a6e1dc08fe24p-16, 0x1.c111e602947c7p-17, 0x1.6e7769e537ffp-17, 0x1.1d0d05c17e4fbp-17, 0x1.99a5f3c7dda26p-18, 0x1.f7261bb5cb9a2p-19, 0x1.7f876236d9ac1p-20, -0x1.cb6992524e639p-21, -0x1.a0b340e563a9ep-19, -0x1.64e3096fd2b1dp-18, -0x1.f70910e2db6c6p-18, -0x1.4365b4533711ap-17, -0x1.8a14e95918ee5p-17, -0x1.cf92116a978b4p-17, -0x1.09ee9018c05eep-16, -0x1.2b7b09f57086ap-16, -0x1.4c6e7b11fb0b4p-16, -0x1.6cc8ee231a28ep-16, -0x1.8c8a7425af7acp-16, -0x1.abb324a33411p-16, -0x1.ca431df0dd1eap-16, -0x1.e83a856a63c2ep-16, -0x1.02ccc3cda56bdp-15, -0x1.11302c3edcb39p-15, -0x1.1f4799ce0cf9dp-15, -0x1.2d132e1af3473p-15, -0x1.3a930eacd9159p-15, -0x1.47c7650019998p-15, -0x1.54b05e9531ebfp-15, -0x1.614e2cf4587e5p-15, -0x1.6da105b44836fp-15, -0x1.79a9227f87856p-15, -0x1.8566c117abe4ap-15, -0x1.90da23569bf3bp-15, -0x1.9c038f2bd5f18p-15, -0x1.a6e34e966cf25p-15, -0x1.b179afa806209p-15, -0x1.bbc7047a4a376p-15, -0x1.c5cba32a1abacp-15, -0x1.cf87e5cce138ap-15, -0x1.d8fc2a6726097p-15, -0x1.e228d2e5719e1p-15, -0x1.eb0e450c458a4p-15, -0x1.f3acea6c8138fp-15, -0x1.fc053053d7435p-15, -0x1.020bc3e06fa3dp-14, -0x1.05f232a9427b2p-14, -0x1.09b6209babe2fp-14, -0x1.0d57cb8d36c29p-14, -0x1.10d77309a5f3ap-14, -0x1.14355849ed30cp-14, -0x1.1771be2a7abcap-14, -0x1.1a8ce920d5e64p-14, -0x1.1d871f3118429p-14, -0x1.2060a7e5642adp-14, -0x1.2319cc4218fbdp-14, -0x1.25b2d6bbfbc55p-14, -0x1.282c132c39ff3p-14, -0x1.2a85cec56dab6p-14, -0x1.2cc05809ceaafp-14, -0x1.2edbfebf4d96fp-14, -0x1.30d913e4584afp-14, -0x1.32b7e9a3fb3ap-14, -0x1.3478d34b2b197p-14, -0x1.361c253cd2ef6p-14, -0x1.37a234e71adbcp-14, -0x1.390b58b67968ep-14, -0x1.3a57e80ad9009p-14, -0x1.3b883b2ca457ep-14, -0x1.3c9cab410d6a3p-14, -0x1.3d95923e80f33p-14, -0x1.3e734ae11d836p-14, -0x1.3f36309e3ddfp-14, -0x1.3fde9f9b6d0fbp-14, -0x1.406cf4a1d5bdap-14, -0x1.40e18d134e3ecp-14, -0x1.413cc6df98e3ep-14, -0x1.417f0078ce709p-14, -0x1.41a898c91a58ep-14, -0x1.41b9ef282d229p-14, -0x1.41b3634ff000cp-14, -0x1.41955551ca5a9p-14, -0x1.4160258d39cedp-14, -0x1.411434a53e191p-14, -0x1.40b1e37647c05p-14, -0x1.4039930c70fc9p-14, -0x1.3faba498d2033p-14, -0x1.3f0879686bba5p-14, -0x1.3e5072daf456dp-14, -0x1.3d83f2593da85p-14, -0x1.3ca3594c3ec86p-14, -0x1.3baf0913d44aep-14, -0x1.3aa762fdddbe6p-14, -0x1.398cc83dec02bp-14, -0x1.385f99e4b4e5p-14, -0x1.372038d775154p-14, -0x1.35cf05c75ce98p-14, -0x1.346c612ab4818p-14, -0x1.32f8ab34b276fp-14, -0x1.317443cd71e69p-14, -0x1.2fdf8a8b5853bp-14, -0x1.2e3adeaabd82bp-14, -0x1.2c869f077e098p-14, -0x1.2ac32a1600a47p-14, -0x1.28f0dddca7cfap-14, -0x1.271017ed9ce83p-14, -0x1.2521355f56dd2p-14, -0x1.232492c7b5a4bp-14, -0x1.211a8c3514b82p-14, -0x1.1f037d2915782p-14, -0x1.1cdfc092f2db5p-14, -0x1.1aafb0c984f17p-14, -0x1.1873a7862d83p-14, -0x1.162bfde0c9e58p-14, -0x1.13d90c4915cf4p-14, -0x1.117b2a8343155p-14, -0x1.0f12afa2a17a2p-14, -0x1.0c9ff205aafd3p-14, -0x1.0a2347512e161p-14, -0x1.079d046cb444bp-14, -0x1.050d7d7f14c42p-14, -0x1.027505e9a179bp-14, -0x1.ffa7e08a7a518p-15, -0x1.fa551cbd9b71ep-15, -0x1.f4f2626740dd3p-15, -0x1.ef8051dd8af45p-15, -0x1.e9ff89cc77f0ep-15, -0x1.e470a72e5f98ep-15, -0x1.ded44548635b6p-15, -0x1.d92afda53886ep-15, -0x1.d375680fbbbcep-15, -0x1.cdb41a8e8a531p-15, -0x1.c7e7a960405afp-15, -0x1.c210a6f7dfbcdp-15, -0x1.bc2fa3f7266b2p-15, -0x1.b6452f2dd026fp-15, -0x1.b051d5958882dp-15, -0x1.aa56224e60c2fp-15, -0x1.a4529e9c8159ep-15, -0x1.9e47d1e69c26dp-15, -0x1.983641b2217b9p-15, -0x1.921e71a2340eap-15, -0x1.8c00e3774baaap-15, -0x1.85de170b9a1fbp-15, -0x1.7fb68a5300d09p-15, -0x1.798ab95a164c3p-15, -0x1.735b1e452341ap-15, -0x1.6d28314f07505p-15, -0x1.66f268c9a06f7p-15, -0x1.60ba391d60483p-15, -0x1.5a8014c947877p-15, -0x1.54446c622dc19p-15, -0x1.4e07ae956d46ap-15, -0x1.47ca482713152p-15, -0x1.418ca3f3bc97dp-15, -0x1.3b4f2af1eaaddp-15, -0x1.3512443172458p-15, -0x1.2ed654de0146dp-15, -0x1.289bc03fec4cdp-15, -0x1.2262e7be982e4p-15, -0x1.1c2c2ae0d91b3p-15, -0x1.15f7e75002f5fp-15, -0x1.0fc678d8b59b7p-15, -0x1.0998396e5f162p-15, -0x1.036d812b1cfdep-15, -0x1.fa8d4ca9a3a84p-16, -0x1.ee47fabc6b826p-16, -0x1.e20bb1d14272cp-16, -0x1.d5d9139107a5p-16, -0x1.c9b0be0e48ed8p-16, -0x1.bd934bca60cabp-16, -0x1.b18153be1e2bp-16, -0x1.a57b695dd154fp-16, -0x1.99821c9ff7ab7p-16, -0x1.8d95fa0372b59p-16, -0x1.81b78a97f35cfp-16, -0x1.75e754030a3e7p-16, -0x1.6a25d88784b12p-16, -0x1.5e73970ec5ceap-16, -0x1.52d10b2df5c03p-16, -0x1.473ead2ccb0d6p-16, -0x1.3bbcf20ff6e7ap-16, -0x1.304c4b9d5b24dp-16, -0x1.24ed28687ecc5p-16, -0x1.199ff3d5d9e1ep-16, -0x1.0e6516255dcb2p-16, -0x1.033cf47be7902p-16, -0x1.f04fe1ce24cc5p-17, -0x1.da4cd4d4f1c23p-17, -0x1.c4717a0c7c41p-17, -0x1.aebe837d025a6p-17, -0x1.99349d4a96546p-17, -0x1.83d46dc59bcc1p-17, -0x1.6e9e957db7be3p-17, -0x1.5993af50313bp-17, -0x1.44b4507a9cb1p-17, -0x1.300108af725cap-17, -0x1.1b7a62285dc5ep-17, -0x1.0720e1b23bb17p-17, -0x1.e5ea0d836651p-18, -0x1.bdee9711f07d2p-18, -0x1.96504a0e4669bp-18, -0x1.6f1006343599cp-18, -0x1.482ea11d1badbp-18, -0x1.21ace67416bbp-18, -0x1.f717300e78aeap-19, -0x1.ab96dbe42752bp-19, -0x1.60da2d9c588fdp-19, -0x1.16e26f936c4a3p-19, -0x1.9b61b334aa4b3p-20, -0x1.0a8d228cabf3ep-20, -0x1.ed25523abc089p-22, 0x1.267b2c68f9ffbp-24, 0x1.3d0824b7189p-21, 0x1.290a0b39a0b12p-20, 0x1.b1f7fffccdd62p-20, 0x1.1ca63a2aa5251p-19, 0x1.5f830647832b9p-19, 0x1.a191c67b3603p-19, 0x1.e2d1ec916b00ap-19, 0x1.11a17ce1e59c5p-18, 0x1.31723f40ef9f6p-18, 0x1.50db0d06fe971p-18, 0x1.6fdbbd247135fp-18, 0x1.8e742db65901bp-18, 0x1.aca443e25b073p-18, 0x1.ca6bebb2c5e21p-18, 0x1.e7cb17f572dcdp-18, 0x1.0260e10ec0006p-17, 0x1.10a7f50eff586p-17, 0x1.1ebacb236a71fp-17, 0x1.2c996990b7d77p-17, 0x1.3a43d9ae8ba71p-17, 0x1.47ba27d2dc17dp-17, 0x1.54fc633f7e195p-17, 0x1.620a9e1291ce2p-17, 0x1.6ee4ed39dfbc3p-17, 0x1.7b8b6862004c6p-17, 0x1.87fe29e73d93bp-17, 0x1.943d4ec156626p-17, 0x1.a048f678759bcp-17, 0x1.ac21431849a63p-17, 0x1.b7c65917f4efcp-17, 0x1.c3385f540f1a5p-17, 0x1.ce777efdb1acdp-17, 0x1.d983e3888ce36p-17, 0x1.e45dbaa00bb3fp-17, 0x1.ef0534155e882p-17, 0x1.f97a81d5be0bdp-17, 0x1.01deebec53734p-16, 0x1.06e7b6091ae94p-16, 0x1.0bd7bb3394fa8p-16, 0x1.10af184f6a6fbp-16, 0x1.156deb2b43832p-16, 0x1.1a14527989d62p-16, 0x1.1ea26dc89de32p-16, 0x1.23185d7f13949p-16, 0x1.277642d2e3969p-16, 0x1.2bbc3fc4ff503p-16, 0x1.2fea771a25954p-16, 0x1.34010c543629cp-16, 0x1.380023ad37c79p-16, 0x1.3be7e2105c5ebp-16, 0x1.3fb86d14ea482p-16, 0x1.4371eaf7cf32ap-16, 0x1.47148296ff827p-16, 0x1.4aa05b6a4e9ccp-16, 0x1.4e159d7f170ebp-16, 0x1.5174717172af3p-16, 0x1.54bd006851053p-16, 0x1.57ef740e8b625p-16, 0x1.5b0bf68e16dcdp-16, 0x1.5e12b28c498c4p-16, }}, 
      {{-0x1.9a9bfbb215caap-1, -0x1.9a98ba9f0a399p-1, -0x1.9a931f9e2c2e7p-1, -0x1.9a8ae6d02ef3cp-1, -0x1.9a7fb4a0f1c85p-1, -0x1.9a7118895ae41p-1, -0x1.9a5e9008cbe28p-1, -0x1.9a4789af84e4ap-1, -0x1.9a2b681dfdf38p-1, -0x1.9a0984e58052ep-1, -0x1.99e1333ca5d2cp-1, -0x1.99b1c27f48be3p-1, -0x1.997a80751a034p-1, -0x1.993abb5cd77c4p-1, -0x1.98f1c3bc299c8p-1, -0x1.989eedf59fa7cp-1, -0x1.984193a753d32p-1, -0x1.97d914d564bb5p-1, -0x1.9764d8e3e8ca9p-1, -0x1.96e44f64348p-1, -0x1.9656f0b963682p-1, -0x1.95bc3e98085fcp-1, -0x1.9513c464d3bc4p-1, -0x1.945d1775cab83p-1, -0x1.9397d7397c3bap-1, -0x1.92c3ad4765ea2p-1, -0x1.91e04d5c7a698p-1, -0x1.90ed75468035p-1, -0x1.8feaecc0bf3b6p-1, -0x1.8ed885443be17p-1, -0x1.8db619cd7eb09p-1, -0x1.8c838e99bap-1, -0x1.8b40d0dce3195p-1, -0x1.89edd67230483p-1, -0x1.888a9d883682ep-1, -0x1.87172c49c5341p-1, -0x1.8593908470f11p-1, -0x1.83ffdf4da5efap-1, -0x1.825c34a6f76dbp-1, -0x1.80a8b3224bb1bp-1, -0x1.7ee583866ac7ap-1, -0x1.7d12d47461e32p-1, -0x1.7b30da0e1b0f1p-1, -0x1.793fcd9e7a4fdp-1, -0x1.773fed433ffd3p-1, -0x1.75317b98e8a05p-1, -0x1.7314bf68b1b17p-1, -0x1.70ea0358e77eep-1, -0x1.6eb1959f95bf2p-1, -0x1.6c6bc7b7aa32cp-1, -0x1.6a18ee189b96fp-1, -0x1.67b95ff096017p-1, -0x1.654d76e137a53p-1, -0x1.62d58ebed56c5p-1, -0x1.605205524c755p-1, -0x1.5dc33a1d537b8p-1, -0x1.5b298e214b481p-1, -0x1.588563a87ccd4p-1, -0x1.55d71e11c2807p-1, -0x1.531f219e887f3p-1, -0x1.505dd3431e712p-1, -0x1.4d9398794609ap-1, -0x1.4ac0d714f6779p-1, -0x1.47e5f51b4087dp-1, -0x1.4503589b4a3dep-1, -0x1.421967894e187p-1, -0x1.3f28879b8feeap-1, -0x1.3c311e293c2f5p-1, -0x1.3933900b1cd67p-1, -0x1.3630417e18e16p-1, -0x1.332796076dfc7p-1, -0x1.3019f05a96571p-1, -0x1.2d07b240cc52ep-1, -0x1.29f13c821ce19p-1, -0x1.26d6eecffbd0ep-1, -0x1.23b927b14bf0cp-1, -0x1.2098446fcc20fp-1, -0x1.1d74a106df276p-1, -0x1.1a4e98139e7afp-1, -0x1.172682c62d02bp-1, -0x1.13fcb8d43d0a1p-1, -0x1.10d1906cbd183p-1, -0x1.0da55e2ca03b7p-1, -0x1.0a787514b621ep-1, -0x1.074b2680886fep-1, -0x1.041dc21e3104ap-1, -0x1.00f095e71f803p-1, -0x1.fb87dc338a0afp-2, -0x1.f5302a68319fbp-2, -0x1.eedaa7ddde758p-2, -0x1.e887e2742e46ep-2, -0x1.e23864726e17dp-2, -0x1.dbecb482bcafp-2, -0x1.d5a555ae864e1p-2, -0x1.cf62c75c4c06cp-2, -0x1.c925854e9d9b4p-2, -0x1.c2ee07a44184p-2, -0x1.bcbcc2d97127bp-2, -0x1.b69227ca21cc3p-2, -0x1.b06ea3b548375p-2, -0x1.aa52a04109ce8p-2, -0x1.a43e837fcee48p-2, -0x1.9e32aff626d05p-2, -0x1.982f84a175022p-2, -0x1.92355cff56cf9p-2, -0x1.8c449115b92c5p-2, -0x1.865d757b911cfp-2, -0x1.80805b622f69ep-2, -0x1.7aad909f210f4p-2, -0x1.74e55fb692bccp-2, -0x1.6f280fe632feep-2, -0x1.6975e530817b6p-2, -0x1.63cf2068897c6p-2, -0x1.5e33ff3dfcce4p-2, -0x1.58a4bc49a29cdp-2, -0x1.53218f1a1a51fp-2, -0x1.4daaac40e461ep-2, -0x1.4840455fac9f6p-2, -0x1.42e28935cc6aep-2, -0x1.3d91a3ae052cfp-2, -0x1.384dbdec61145p-2, -0x1.3316fe5c3fcedp-2, -0x1.2ded88be820bbp-2, -0x1.28d17e37d0425p-2, -0x1.23c2fd5ef7e72p-2, -0x1.1ec2224b59c7bp-2, -0x1.19cf06a363d5ap-2, -0x1.14e9c1ab150fep-2, -0x1.1012685280196p-2, -0x1.0b490d4451553p-2, -0x1.068dc0f44e69p-2, -0x1.01e091adcba2fp-2, -0x1.fa83174432e8p-3, -0x1.f16171edbc40dp-3, -0x1.e85c43a8bf351p-3, -0x1.df7398e76cfe1p-3, -0x1.d6a77a59d3841p-3, -0x1.cdf7ed09db8b8p-3, -0x1.c564f27713ddap-3, -0x1.bcee88b22feafp-3, -0x1.b494aa784f031p-3, -0x1.ac574f4df6249p-3, -0x1.a4366b99bc658p-3, -0x1.9c31f0beac96ep-3, -0x1.9449cd3651968p-3, -0x1.8c7decaa6c6c9p-3, -0x1.84ce380e56d95p-3, -0x1.7d3a95b8019c6p-3, -0x1.75c2e978a2b08p-3, -0x1.6e6714b4f9188p-3, -0x1.6726f67d31adp-3, -0x1.60026ba471506p-3, -0x1.58f94ed7ecc98p-3, -0x1.520b78b5a604cp-3, -0x1.4b38bfe2bee66p-3, -0x1.4480f9215febdp-3, -0x1.3de3f7663b675p-3, -0x1.37618beda56c4p-3, -0x1.30f986503f895p-3, -0x1.2aabb4973a152p-3, -0x1.2477e3502ccd4p-3, -0x1.1e5ddda080a18p-3, -0x1.185d6d5871b37p-3, -0x1.12765b05a2814p-3, -0x1.0ca86e0546647p-3, -0x1.06f36c95defe3p-3, -0x1.01571be88e535p-3, -0x1.f7a6806405bffp-4, -0x1.eccf3975eb6edp-4, -0x1.e227e7e07fef1p-4, -0x1.d7b00ee50d5d9p-4, -0x1.cd67304b087b9p-4, -0x1.c34ccc7dc78b9p-4, -0x1.b96062a970a06p-4, -0x1.afa170d7282b8p-4, -0x1.a60f7408601f8p-4, -0x1.9ca9e8517aab7p-4, -0x1.937048f395fbfp-4, -0x1.8a6210759bbfep-4, -0x1.817eb8bc900acp-4, -0x1.78c5bb232562bp-4, -0x1.7036909090e07p-4, -0x1.67d0b18eaa2ap-4, -0x1.5f93965f52e3p-4, -0x1.577eb7112c417p-4, -0x1.4f918b939a6cfp-4, -0x1.47cb8bca1c852p-4, -0x1.402c2f9ef6512p-4, -0x1.38b2ef1536addp-4, -0x1.315f425a1275dp-4, -0x1.2a30a1d5a304ap-4, -0x1.2326863b00973p-4, -0x1.1c406897c2eadp-4, -0x1.157dc262e6858p-4, -0x1.0ede0d8b1d29bp-4, -0x1.0860c484883a8p-4, -0x1.02056255e581ap-4, -0x1.f796c54a543dbp-5, -0x1.eb6483872dc52p-5, -0x1.df72f9728410bp-5, -0x1.d3c122a03a5a8p-5, -0x1.c84dfc3cf17b1p-5, -0x1.bd18852214f5cp-5, -0x1.b21fbde8e83a8p-5, -0x1.a762a8fcaa483p-5, -0x1.9ce04aabc7f14p-5, -0x1.9297a93827516p-5, -0x1.8887cce695f3ap-5, -0x1.7eafc00d5624dp-5, -0x1.750e8f21dcaf1p-5, -0x1.6ba348c5bb20cp-5, -0x1.626cfdd2be00cp-5, -0x1.596ac1664b9c6p-5, -0x1.509ba8ebfbb02p-5, -0x1.47fecc277b9fdp-5, -0x1.3f93453db7807p-5, -0x1.375830bd5931p-5, -0x1.2f4cada6961fcp-5, -0x1.276fdd725dabfp-5, -0x1.1fc0e418e22a3p-5, -0x1.183ee81788dbdp-5, -0x1.10e912764024p-5, -0x1.09be8ecc45d61p-5, -0x1.02be8b446120dp-5, -0x1.f7d071411ca9ap-6, -0x1.ea75947a5801ep-6, -0x1.dd6aec2746d2ap-6, -0x1.d0aee97937a98p-6, -0x1.c44002e3580afp-6, -0x1.b81cb41d4a9d6p-6, -0x1.ac437e24c7beep-6, -0x1.a0b2e73e7be25p-6, -0x1.95697af60b145p-6, -0x1.8a65ca1d5247fp-6, -0x1.7fa66acaecc1bp-6, -0x1.7529f858006fap-6, -0x1.6aef135d56d1dp-6, -0x1.60f461afd6254p-6, -0x1.57388e5c51acbp-6, -0x1.4dba49a2c0922p-6, -0x1.447848f0e269dp-6, -0x1.3b7146dc54dcbp-6, -0x1.32a4031c25bb9p-6, -0x1.2a0f4281dd427p-6, -0x1.21b1cef210bb8p-6, -0x1.198a775c86a79p-6, -0x1.11980fb3dda4ap-6, -0x1.09d970e4d5bd9p-6, -0x1.024d78cd31947p-6, -0x1.f5e614646b78dp-7, -0x1.e792196dafb81p-7, -0x1.d99cd9a308825p-7, -0x1.cc04378365ceap-7, -0x1.bec61f0a2478bp-7, -0x1.b1e0859904161p-7, -0x1.a55169e17af2ep-7, -0x1.9916d3cda8f23p-7, -0x1.8d2ed468bae11p-7, -0x1.819785c6fd91cp-7, -0x1.764f0aed7ef69p-7, -0x1.6b538fb959641p-7, -0x1.60a348c6ae9a9p-7, -0x1.563c7357431bcp-7, -0x1.4c1d5538f6519p-7, -0x1.42443cabe20a9p-7, -0x1.38af804840d2ep-7, -0x1.2f5d7ee4360adp-7, -0x1.264c9f795e41fp-7, -0x1.1d7b510a31b15p-7, -0x1.14e80a8755f59p-7, -0x1.0c914ab4cfd6cp-7, -0x1.0475980f1c037p-7, -0x1.f927016071302p-8, -0x1.e9d334694c6a2p-8, -0x1.daed0340c5368p-8, -0x1.cc71b687b3b54p-8, -0x1.be5ea541c02dbp-8, -0x1.b0b1349f689aap-8, -0x1.a366d7c80907fp-8, -0x1.967d0fa409a6ep-8, -0x1.89f16aa72b019p-8, -0x1.7dc1849b0d01bp-8, -0x1.71eb0669d69e5p-8, -0x1.666ba5e904f1bp-8, -0x1.5b4125a4aae6p-8, -0x1.506954aabc6cap-8, -0x1.45e20e56c342dp-8, -0x1.3ba93a1dd6b42p-8, -0x1.31bccb5aeae71p-8, -0x1.281ac11b7211ep-8, -0x1.1ec125ec5d63ap-8, -0x1.15ae0fa77ec06p-8, -0x1.0cdf9f4147a94p-8, -0x1.0454009701745p-8, -0x1.f812d47abb3f3p-9, -0x1.e7fc3a9ef4c5cp-9, -0x1.d860ca7cd2098p-9, -0x1.c93d2f4221947p-9, -0x1.ba8e280933249p-9, -0x1.ac50877a9171cp-9, -0x1.9e81336fd20cp-9, -0x1.911d24973a964p-9, -0x1.8421661887ebap-9, -0x1.778b153a9b84ap-9, -0x1.6b57610a57295p-9, -0x1.5f838a026a25ap-9, -0x1.540ce1b436d6cp-9, -0x1.48f0ca71c5df9p-9, -0x1.3e2cb6f8caf54p-9, -0x1.33be2a1ebf34dp-9, -0x1.29a2b67e1fa3fp-9, -0x1.1fd7fe24af376p-9, -0x1.165bb242e3c66p-9, -0x1.0d2b92dc61c54p-9, -0x1.04456e79968b1p-9, -0x1.f74e43b4d9419p-10, -0x1.e69d2f5438b48p-10, -0x1.d67390685d5d2p-10, -0x1.c6cd7234f1c57p-10, -0x1.b7a6fa186fbedp-10, -0x1.a8fc66fcceaecp-10, -0x1.9aca10ca02daep-10, -0x1.8d0c67db4686bp-10, -0x1.7fbff475ee428p-10, -0x1.72e15642cc803p-10, -0x1.666d43c9b8582p-10, -0x1.5a6089ef20f97p-10, -0x1.4eb80b73e4f09p-10, -0x1.4370c0776683cp-10, -0x1.3887b5fb92d4ep-10, -0x1.2dfa0d6afeb11p-10, -0x1.23c4fc214976ep-10, -0x1.19e5caf596ca6p-10, -0x1.1059d5c6d166ap-10, -0x1.071e8b0a8bd7ep-10, -0x1.fc62d6baa0f68p-11, -0x1.eb20122a7dcc5p-11, -0x1.da700fad87329p-11, -0x1.ca4e385607bfdp-11, -0x1.bab61630fbbe6p-11, -0x1.aba3537b10563p-11, -0x1.9d11b9d99431cp-11, -0x1.8efd3196f93dbp-11, -0x1.8161c0e31165cp-11, -0x1.743b8b174f43ep-11, -0x1.6786cffe9b111p-11, -0x1.5b3feb20a7cdfp-11, -0x1.4f63531156b93p-11, -0x1.43ed98c2cc46p-11, -0x1.38db66dbd0da8p-11, -0x1.2e29811121e17p-11, -0x1.23d4c3828713fp-11, -0x1.19da221b138a8p-11, -0x1.1036a7f4d7071p-11, -0x1.06e776bfe9a31p-11, -0x1.fbd38c588cf9ep-12, -0x1.ea75c6ae30da2p-12, -0x1.d9b0607693661p-12, -0x1.c97e464a227dcp-12, -0x1.b9da8c50d3199p-12, -0x1.aac06d35c92fp-12, -0x1.9c2b491ffb73ap-12, -0x1.8e16a4b0c463ap-12, -0x1.807e2808ed82p-12, -0x1.735d9dd27f858p-12, -0x1.66b0f25070799p-12, -0x1.5a74327433df4p-12, -0x1.4ea38af80f48dp-12, -0x1.433b477ea8f9ap-12, -0x1.3837d1b80eb1cp-12, -0x1.2d95b08b8f5c6p-12, -0x1.23518746a721bp-12, -0x1.196814d10aeb6p-12, -0x1.0fd632e57a3p-12, -0x1.0698d54f11aa6p-12, -0x1.fb5a1256ea039p-13, -0x1.ea1fe86215277p-13, -0x1.d97da7f45febbp-13, -0x1.c96dfaaa2d23ep-13, -0x1.b9ebb72e00fefp-13, -0x1.aaf1dfe91ccdbp-13, -0x1.9c7ba1bc78b1fp-13, -0x1.8e8452c04d26p-13, -0x1.8107710ccd323p-13, -0x1.7400a189dd76cp-13, -0x1.676baec798cf8p-13, -0x1.5b4487dcedea6p-13, -0x1.4f873f4f2496dp-13, -0x1.443009ff9e41ap-13, -0x1.393b3e210eabbp-13, -0x1.2ea5523294d42p-13, -0x1.246adc033734p-13, -0x1.1a888fba38439p-13, -0x1.10fb3ee79cc7bp-13, -0x1.07bfd79a0d034p-13, -0x1.fda6c6f584806p-14, -0x1.ec660de29bb1fp-14, -0x1.dbb80094d6c4dp-14, -0x1.cb974dcea98bap-14, -0x1.bbfed4e0c843cp-14, -0x1.ace9a41e0e563p-14, -0x1.9e52f759d80d1p-14, -0x1.9036366f414edp-14, -0x1.828ef3d44ac33p-14, -0x1.7558eb384a484p-14, -0x1.689000282d314p-14, -0x1.5c303cc140e03p-14, -0x1.5035d06855bdep-14, -0x1.449d0e8f7d71fp-14, -0x1.39626d80bbe06p-14, -0x1.2e828533dbd54p-14, -0x1.23fa0e2b59042p-14, -0x1.19c5e05c843bp-14, -0x1.0fe2f21b7684ap-14, -0x1.064e5713415bfp-14, -0x1.fa0a7e830c19p-15, -0x1.e809ebfbd1b82p-15, -0x1.d695c20e0ffc5p-15, -0x1.c5a8ff2cc9763p-15, -0x1.b53ed2f734f85p-15, -0x1.a5529c8141beap-15, -0x1.95dfe8a18993dp-15, -0x1.86e270536ccf7p-15, -0x1.7856172024abdp-15, -0x1.6a36e9988d786p-15, -0x1.5c811bd8fce4ep-15, -0x1.4f31081b53e4p-15, -0x1.42432d502247cp-15, -0x1.35b42dc78496p-15, -0x1.2980cde4a0f4ap-15, -0x1.1da5f2d783d49p-15, -0x1.1220a165067bdp-15, -0x1.06edfcb715febp-15, -0x1.f8168a6cef4a4p-16, -0x1.e2ebaee212dacp-16, -0x1.ce56560c22789p-16, -0x1.ba51a336f6535p-16, -0x1.a6d8ebc1a5891p-16, -0x1.93e7b52797cd6p-16, -0x1.8179b32451a78p-16, -0x1.6f8ac5e03b531p-16, -0x1.5e16f830f1de5p-16, -0x1.4d1a7de6fe392p-16, -0x1.3c91b23048bf7p-16, -0x1.2c7915ff050abp-16, -0x1.1ccd4e83db9ddp-16, -0x1.0d8b23bb980aep-16, -0x1.fd5efdfc32641p-17, -0x1.e06ed345e5f45p-17, -0x1.c440175b70039p-17, -0x1.a8cd550ba9c16p-17, -0x1.8e114f793077ap-17, -0x1.7406ffc1e2fc9p-17, -0x1.5aa992b17a89dp-17, -0x1.41f4668b73f61p-17, -0x1.29e308f59b258p-17, -0x1.127134eb42dc4p-17, -0x1.f735a18018ae7p-18, -0x1.cab7d88a7025ep-18, -0x1.9f617dd5a330ep-18, -0x1.752b4c0bc20dp-18, -0x1.4c0e46412a582p-18, -0x1.2403b4bb28dfp-18, -0x1.fa0a43905e8a7p-19, -0x1.ae18ad86a564dp-19, -0x1.6426b28fe5f1cp-19, -0x1.1c28d0adc58b4p-19, -0x1.ac27e6d9c0f91p-20, -0x1.23baddb6d002bp-20, -0x1.3debe9fc941e4p-21, -0x1.dc559821b9989p-24, 0x1.7fa84cd63d7fep-22, 0x1.b45586fa8d7b5p-21, 0x1.510e85e76a36bp-20, 0x1.c4a68d22ca9a5p-20, 0x1.1a81bba5a7484p-19, 0x1.511aaac3a72a7p-19, 0x1.8625d970fc81fp-19, 0x1.b9aacd6f5e249p-19, 0x1.ebb0d0013ea65p-19, 0x1.0e1f786dbbba8p-18, 0x1.25ae048f2c3cap-18, 0x1.3c875f05bbdbap-18, 0x1.52aec1de867b7p-18, 0x1.68274fd106cb1p-18, 0x1.7cf4156c9d885p-18, 0x1.91180a45a9387p-18, 0x1.a4961211d4a61p-18, 0x1.b770fdab9f274p-18, 0x1.c9ab8c154cb36p-18, 0x1.db486b6a4c7fbp-18, 0x1.ec4a39c2e8f5dp-18, 0x1.fcb386116c2fp-18, 0x1.06436876afa6bp-17, 0x1.0de346ae384a6p-17, 0x1.153a90c2405fap-17, 0x1.1c4a73b180f54p-17, 0x1.231416b95f2c2p-17, 0x1.29989ba77e5cep-17, 0x1.2fd91f21e77b2p-17, 0x1.35d6b8ef85ee8p-17, 0x1.3b927c3a99333p-17, 0x1.410d77d026a24p-17, 0x1.4648b65a50f73p-17, 0x1.4b453e99a582p-17, 0x1.50041397f6145p-17, 0x1.548634d967588p-17, 0x1.58cc9e8ccde68p-17, 0x1.5cd849b6fb50ep-17, 0x1.60aa2c5a45e9ap-17, 0x1.6443399e5895dp-17, 0x1.67a461f1894d9p-17, 0x1.6ace932c941a4p-17, 0x1.6dc2b8afa5fdp-17, 0x1.7081bb7f7ee55p-17, 0x1.730c8260adfb7p-17, 0x1.7563f1ee40077p-17, 0x1.7788ecafdad83p-17, 0x1.797c5330532a5p-17, 0x1.7b3f04129adcp-17, 0x1.7cd1dc1fdf55ap-17, 0x1.7e35b6598604dp-17, 0x1.7f6b6c07dae29p-17, 0x1.8073d4c68fce9p-17, 0x1.814fc6902002ap-17, 0x1.820015c9f0508p-17, 0x1.8285954d18c4dp-17, 0x1.82e1166ef6168p-17, 0x1.831369076ac4fp-17, 0x1.831d5b772d2f8p-17, 0x1.82ffbab034fcbp-17, 0x1.82bb52389fdaep-17, 0x1.8250ec2cbca38p-17, 0x1.81c1514651533p-17, 0x1.810d48db63bf9p-17, 0x1.803598e25712cp-17, 0x1.7f3b05f0dcdbap-17, 0x1.7e1e533f65992p-17, 0x1.7ce042a740d29p-17, 0x1.7b8194a2ddf25p-17, 0x1.7a03084c8ae4ap-17, 0x1.78655b5d53dd4p-17, 0x1.76a94a2c5c2abp-17, 0x1.74cf8facb7b1p-17, 0x1.72d8e569fbcfdp-17, 0x1.70c60388664b5p-17, 0x1.6e97a0bf85a53p-17, 0x1.6c4e72587778dp-17, 0x1.69eb2c2ac451ap-17, 0x1.676e8098c3e42p-17, 0x1.64d9208cef105p-17, 0x1.622bbb75352b5p-17, 0x1.5f66ff40c42e8p-17, 0x1.5c8b985addbdbp-17, 0x1.599a31a7ce5eep-17, 0x1.56937481026fdp-17, 0x1.537808b224475p-17, 0x1.50489472eaf0bp-17, 0x1.4d05bc6635bfep-17, 0x1.49b0239355e34p-17, 0x1.46486b6425b1ep-17, 0x1.42cf33a0682ffp-17, 0x1.3f451a6ad4e2ap-17, 0x1.3baabc3c4cac2p-17, 0x1.3800b3e17324ap-17, 0x1.34479a76f2418p-17, 0x1.30800765c4534p-17, 0x1.2caa905ebe7c3p-17, 0x1.28c7c95a0cf7dp-17, 0x1.24d84491ffc4bp-17, 0x1.20dc92814c765p-17, 0x1.1cd541df61915p-17, 0x1.18c2df9d94622p-17, 0x1.14a5f6e522199p-17, 0x1.107f111473d54p-17, 0x1.0c4eb5bd67373p-17, 0x1.08156aa25cf6ep-17, 0x1.03d3b3b4b7f28p-17, 0x1.ff142627216bdp-18, 0x1.f6721212162f8p-18, 0x1.edc228105397cp-18, 0x1.e5056158f3df3p-18, 0x1.dc3cb374355a7p-18, 0x1.d369103571d77p-18, 0x1.ca8b65ba638dbp-18, 0x1.c1a49e69730b5p-18, 0x1.b8b5a0f08d76dp-18, 0x1.afbf50439a8c7p-18, 0x1.a6c28b9e12289p-18, 0x1.9dc02e8257b2fp-18, 0x1.94b910b7ea124p-18, 0x1.8bae064e06b48p-18, 0x1.829fdf9c40982p-18, 0x1.798f694043de7p-18, 0x1.707d6c20c73b3p-18, 0x1.676aad704cad8p-18, 0x1.5e57eeb08f732p-18, 0x1.5545edb0c8724p-18, 0x1.4c356492b08fcp-18, 0x1.432709cb62148p-18, 0x1.3a1b9026fe41ap-18, 0x1.3113a6ccb1b82p-18, 0x1.280ff940f6aap-18, 0x1.1f112f6d608eap-18, 0x1.1617ed9f54ff4p-18, 0x1.0d24d490000f7p-18, 0x1.04388167a976cp-18, 0x1.f6a71b815dde8p-19, 0x1.e4ed1f5beb80fp-19, 0x1.d344338062cap-19, 0x1.c1ad761bdf9fdp-19, 0x1.b029fe6adb993p-19, 0x1.9ebadcc8236b4p-19, 0x1.8d611ab7ff465p-19, 0x1.7c1dbaf37ae7ap-19, 0x1.6af1b97706dd2p-19, 0x1.59de0b8e8247fp-19, 0x1.48e39fe84972ap-19, 0x1.38035e9e17f46p-19, 0x1.273e294446c14p-19, 0x1.1694daf946c1ap-19, 0x1.0608487188914p-19, 0x1.eb328011447e9p-20, 0x1.ca91139afd11cp-20, 0x1.aa2dcf334f841p-20, 0x1.8a0a2a3cba24cp-20, 0x1.6a278fdffed69p-20, 0x1.4a875f375f1bep-20, 0x1.2b2aeb6a377f3p-20, 0x1.0c137bcee0a86p-20, 0x1.da84981a37e55p-21, 0x1.9d71188304115p-21, 0x1.60eec25509b09p-21, 0x1.24ffc878682e6p-21, 0x1.d34c8f361d8bp-22, 0x1.5dc88cd0df34bp-22, 0x1.d2eed75a403fcp-23, 0x1.d9738b9690bcep-24, 0x1.1f1fce7c8968ap-28, -0x1.b09970c03caf9p-24, -0x1.b710ea742219fp-23, -0x1.49a6ba7457e5dp-22, -0x1.b67e4254e6f2dp-22, -0x1.1106255a97f8fp-21, -0x1.46271c24a425fp-21, -0x1.7aa0cafdce198p-21, -0x1.ae720a335e66ap-21, -0x1.e199c4850d337p-21, -0x1.0a0b7b77fcf0dp-20, -0x1.22f4583347b2ep-20, -0x1.3b8708bbfa27ep-20, -0x1.53c3260ac5bedp-20, -0x1.6ba8519fd1c32p-20, -0x1.8336355ea200bp-20, -0x1.9a6c836856fa8p-20, -0x1.b14af5ee52d7fp-20, -0x1.c7d14f16eb3acp-20, -0x1.ddff58d6efd72p-20, -0x1.f3d4e4ca2341dp-20, -0x1.04a8e607e1d78p-19, -0x1.0f3af792e3d2cp-19, -0x1.19a09ae3d95d5p-19, -0x1.23d9c76238d7ap-19, -0x1.2de677eb10d8fp-19, -0x1.37c6aac312b47p-19, -0x1.417a6184372a1p-19, -0x1.4b01a109d8cbap-19, -0x1.545c71623faf1p-19, -0x1.5d8addbb70d59p-19, -0x1.668cf450e01ebp-19, -0x1.6f62c65c0c2cap-19, -0x1.780c67fdfc16cp-19, -0x1.8089f0331e04ep-19, -0x1.88db78c275995p-19, -0x1.91011e29d7c4cp-19, -0x1.98faff8f56c4ap-19, -0x1.a0c93eb010482p-19, -0x1.a86bffd094df4p-19, -0x1.afe369ac0b70ep-19, -0x1.b72fa561dd6a8p-19, -0x1.be50de672e45fp-19, -0x1.c5474277c00f9p-19, -0x1.cc130184f56d4p-19, -0x1.d2b44da960acap-19, -0x1.d92b5b164d5bap-19, -0x1.df786006c0f43p-19, -0x1.e59b94ae18953p-19, -0x1.eb95332c4b57ap-19, -0x1.f165777a0a773p-19, -0x1.f70c9f5e4678fp-19, -0x1.fc8aea60e2041p-19, -0x1.00f04cdca8174p-18, -0x1.0386f820fe759p-18, -0x1.060999355ecc1p-18, -0x1.08785315ff99ep-18, -0x1.0ad3497bdaa19p-18, -0x1.0d1aa0d5a29b6p-18, -0x1.0f4e7e42437d7p-18, -0x1.116f0789f627dp-18, -0x1.137c63174f29cp-18, -0x1.1576b7f2a351ap-18, -0x1.175e2dba9e8b1p-18, -0x1.1932ec9e43504p-18, -0x1.1af51d5706a4ep-18, -0x1.1ca4e9235da08p-18, -0x1.1e4279bf6349cp-18, -0x1.1fcdf96083c39p-18, -0x1.214792af8182fp-18, -0x1.22af70c35d107p-18, -0x1.2405bf1a878bbp-18, -0x1.254aa996fdadfp-18, -0x1.267e5c78330ebp-18, -0x1.27a1045637009p-18, -0x1.28b2ce1c45dbp-18, -0x1.29b3e7038afa1p-18, -0x1.2aa47c8f1974fp-18, -0x1.2b84bc8619ad1p-18, -0x1.2c54d4ef62536p-18, -0x1.2d14f40d8628cp-18, -0x1.2dc5485960f55p-18, -0x1.2e66007dffd04p-18, -0x1.2ef74b53ae5adp-18, -0x1.2f7957dca9a82p-18, -0x1.2fec553fc5211p-18, -0x1.305072c4d63b4p-18, -0x1.30a5dfd0af33dp-18, -0x1.30eccbe10baa8p-18, -0x1.3125668896506p-18, -0x1.314fdf6b08871p-18, -0x1.316c6639dc6c4p-18, -0x1.317b2aafe74f4p-18, -0x1.317c5c8e76ab7p-18, -0x1.31702b993f11ap-18, -0x1.3156c793853d3p-18, -0x1.3130603c8b3c5p-18, -0x1.30fd254bd8fd4p-18, -0x1.30bd466e90559p-18, -0x1.3070f3447d97ep-18, -0x1.30185b5c54e2fp-18, -0x1.2fb3ae3136df9p-18, -0x1.2f431b27eb6a7p-18, -0x1.2ec6d18ba93dcp-18, -0x1.2e3f008b8885ep-18, -0x1.2dabd737c9f09p-18, -0x1.2d0d847fbb1bcp-18, -0x1.2c64372dcbd49p-18, -0x1.2bb01de6af003p-18, -0x1.2af1672610b07p-18, -0x1.2a28413c9764bp-18, -0x1.2954da4cc681bp-18, -0x1.2877604a3c0d3p-18, -0x1.279000f5fa183p-18, -0x1.269ee9ddfbd02p-18, -0x1.25a4485a0b91bp-18, -0x1.24a0498a19c49p-18, -0x1.23931a53f3c05p-18, -0x1.227ce7621245ep-18, -0x1.215ddd215500dp-18, -0x1.203627bf8e6c3p-18, -0x1.1f05f329cfbadp-18, -0x1.1dcd6b0ab912bp-18, -0x1.1c8cbac92fd03p-18, -0x1.1b440d867720dp-18, -0x1.19f38e1d125fdp-18, -0x1.189b671f31472p-18, -0x1.173bc2d4e9f87p-18, -0x1.15d4cb3c00c9p-18, -0x1.1466aa0609378p-18, -0x1.12f18897105ecp-18, -0x1.117590041b982p-18, -0x1.0ff2e9132472fp-18, -0x1.0e69bc3932759p-18, -0x1.0cda319a9c415p-18, -0x1.0b4471088769bp-18, -0x1.09a8a200b3b53p-18, -0x1.0806ebac59bb6p-18, -0x1.065f74df6ca96p-18, -0x1.04b26417fe53p-18, -0x1.02ffdf7d2e3ebp-18, -0x1.01480cdf160bfp-18, -0x1.ff16236b260d6p-19, -0x1.fb9226405abb2p-19, -0x1.f8046bca05b6p-19, -0x1.f46d3ce05432p-19, -0x1.f0cce1a784b6dp-19, -0x1.ed23a18d02f2ep-19, -0x1.e971c3492bad9p-19, -0x1.e5b78cdcf1cc8p-19, -0x1.e1f543912fa8ep-19, -0x1.de2b2bf533d1cp-19, -0x1.da5989df6cd52p-19, -0x1.d680a06ba4ba7p-19, -0x1.d2a0b1fdbf236p-19, -0x1.ceba003f1c06ep-19, -0x1.cacccc1caf6dbp-19, -0x1.c6d955c899017p-19, -0x1.c2dfdcb8f15f1p-19, -0x1.bee09fa7fbaa2p-19, -0x1.badbdc94788fdp-19, -0x1.b6d1d0c0d2236p-19, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.d191a4904eaa1p-11, 0x1.d050c06679039p-10, 0x1.5a8b641b6217fp-9, 0x1.ca99c4849cc18p-9, 0x1.1b928db64832fp-8, 0x1.4f625dc5fe823p-8, 0x1.7feda88193fe9p-8, 0x1.ac4fd5fb38b5ep-8, 0x1.d3939d8472e34p-8, 0x1.f4b893ee77566p-8, 0x1.075c566b09d12p-7, 0x1.1046b7e8c45ffp-7, 0x1.149a5ca903741p-7, 0x1.13da7801d885p-7, 0x1.0d9051ea1584ap-7, 0x1.014cca4f9a3d7p-7, 0x1.dd5324aa406bfp-8, 0x1.aa943f38f91a2p-8, 0x1.69b8be20130e9p-8, 0x1.1a325ab3b4ebp-8, 0x1.77126e23c95ffp-9, 0x1.3570334836aa6p-10, -0x1.84ff920126f55p-11, -0x1.7d3efac9cf2ffp-9, -0x1.5cc1cd0469acp-8, -0x1.0588afbe96fcbp-7, -0x1.64c270bdf9aa2p-7, -0x1.cc0018dae6ba2p-7, -0x1.1d955e36147a2p-6, -0x1.591193dc575c5p-6, -0x1.98613b1bcc0e8p-6, -0x1.db6d55e9822f1p-6, -0x1.110dd39052a5bp-5, -0x1.36277f36fd218p-5, -0x1.5cf3c169783c3p-5, -0x1.85617d9cf05a8p-5, -0x1.af5e8a58c36a6p-5, -0x1.dad7d2ff43c21p-5, -0x1.03dcbc11c7b4bp-4, -0x1.1af7772bc263dp-4, -0x1.32b18db23f8ffp-4, -0x1.4b0038f3ef647p-4, -0x1.63d885a8d0333p-4, -0x1.7d2f6023c2a05p-4, -0x1.96f99fb96724fp-4, -0x1.b12c11609bda4p-4, -0x1.cbbb8191fe4f4p-4, -0x1.e69cc56cb0b69p-4, -0x1.00e26193912a6p-3, -0x1.0e943ce9808f1p-3, -0x1.1c5e843defa23p-3, -0x1.2a3bda53fdffp-3, -0x1.3826f82172b08p-3, -0x1.461aaf7cafa2bp-3, -0x1.5411ed870f293p-3, -0x1.6207bcd748f5ap-3, -0x1.6ff7476765d84p-3, -0x1.7ddbd849b8101p-3, -0x1.8bb0dd282ba0ap-3, -0x1.9971e79117093p-3, -0x1.a71aae14abee9p-3, -0x1.b4a70d35e7f2fp-3, -0x1.c2130831eb3e6p-3, -0x1.cf5ac9a04db47p-3, -0x1.dc7aa3ef1742p-3, -0x1.e96f11bcc6819p-3, -0x1.f634b612b06a7p-3, -0x1.01642e41008c5p-2, -0x1.07937c92b80b1p-2, -0x1.0da6d444d4eb5p-2, -0x1.139cd7bf29877p-2, -0x1.19743d68bf215p-2, -0x1.1f2bcf7ba2971p-2, -0x1.24c26bcf8dc5ap-2, -0x1.2a37039c3f626p-2, -0x1.2f889b343219dp-2, -0x1.34b649b865f1dp-2, -0x1.39bf38c5ea1b3p-2, -0x1.3ea2a41dbc48bp-2, -0x1.435fd9479cc21p-2, -0x1.47f637305b23ep-2, -0x1.4c652dc42ceeep-2, -0x1.50ac3d8580b0bp-2, -0x1.54caf720cc7p-2, -0x1.58c0fafdc31cbp-2, -0x1.5c8df8ce5b727p-2, -0x1.6031af1c0b436p-2, -0x1.63abead390e1cp-2, -0x1.66fc86cfa706p-2, -0x1.6a236b62ebc17p-2, -0x1.6d208de150b1fp-2, -0x1.6ff3f02950468p-2, -0x1.729da02d30a5bp-2, -0x1.751db77c91594p-2, -0x1.77745ace77321p-2, -0x1.79a1b98c0f223p-2, -0x1.7ba60d5c57fcbp-2, -0x1.7d8199b0dc015p-2, -0x1.7f34ab53ab077p-2, -0x1.80bf97f6aec82p-2, -0x1.8222bdc486965p-2, -0x1.835e82f305576p-2, -0x1.84735557697cep-2, -0x1.8561a9fc71be2p-2, -0x1.8629fcba5b51cp-2, -0x1.86cccfd0e4ed4p-2, -0x1.874aab8365edep-2, -0x1.87a41db7074e1p-2, -0x1.87d9b993315p-2, -0x1.87ec172432b4cp-2, -0x1.87dbd30030e3cp-2, -0x1.87a98dee6649ep-2, -0x1.8755ec90b66aep-2, -0x1.86e1970f9c0ap-2, -0x1.864d38c8747eap-2, -0x1.85997ffe2c2a3p-2, -0x1.84c71d8c4b2d9p-2, -0x1.83d6c49c63b0fp-2, -0x1.82c92a5dde381p-2, -0x1.819f05c024e4ep-2, -0x1.80590f2f2a23bp-2, -0x1.7ef800524113cp-2, -0x1.7d7c93cd4c82cp-2, -0x1.7be78504389bbp-2, -0x1.7a398fe0b75dbp-2, -0x1.7873709a412d7p-2, -0x1.7695e38049ab2p-2, -0x1.74a1a4c6a77c3p-2, -0x1.729770542013ap-2, -0x1.7078019317091p-2, -0x1.6e441344520a6p-2, -0x1.6bfc5f53c7bacp-2, -0x1.69a19eaf75193p-2, -0x1.673489202847ep-2, -0x1.64b5d52440437p-2, -0x1.622637cc4aab4p-2, -0x1.5f866499807cep-2, -0x1.5cd70d5e11ecp-2, -0x1.5a18e21f34973p-2, -0x1.574c90f8ef41cp-2, -0x1.5472c60391ecbp-2, -0x1.518c2b3ad425ep-2, -0x1.4e9968668c5bcp-2, -0x1.4b9b2304f293dp-2, -0x1.4891fe366c501p-2, -0x1.457e9aaac973ep-2, -0x1.4261968ff53bfp-2, -0x1.3f3b8d8203891p-2, -0x1.3c0d187c9d931p-2, -0x1.38d6cdcdb1dc9p-2, -0x1.359941096fc45p-2, -0x1.325502ff744f8p-2, -0x1.2f0aa1b1289e5p-2, -0x1.2bbaa8493eb08p-2, -0x1.28659f144d5b4p-2, -0x1.250c0b7a75024p-2, -0x1.21ae6ffa0ca34p-2, -0x1.1e4d4c2348405p-2, -0x1.1ae91c94d2f09p-2, -0x1.17825af94e14fp-2, -0x1.14197e05b0689p-2, -0x1.10aef9787c92cp-2, -0x1.0d433e19bf647p-2, -0x1.09d6b9bbd8d6p-2, -0x1.0669d73cf8e62p-2, -0x1.02fcfe8953de9p-2, -0x1.ff21293bfe172p-3, -0x1.f849f718e13a1p-3, -0x1.f17524fd312c5p-3, -0x1.eaa36b771da8cp-3, -0x1.e3d57d5991f99p-3, -0x1.dd0c07c7ab58ap-3, -0x1.d647b2412a008p-3, -0x1.cf891eafcb55ap-3, -0x1.c8d0e9757ff6ap-3, -0x1.c21fa97b75c96p-3, -0x1.bb75f041e0066p-3, -0x1.b4d449f07b813p-3, -0x1.ae3b3d67baf1cp-3, -0x1.a7ab4c528e0dbp-3, -0x1.a124f338c29p-3, -0x1.9aa8a991eaf45p-3, -0x1.9436e1d8bcd22p-3, -0x1.8dd0099eed017p-3, -0x1.877489a167398p-3, -0x1.8124c5dcf2c23p-3, -0x1.7ae11da31f465p-3, -0x1.74a9ebaf899b5p-3, -0x1.6e7f863d58d55p-3, -0x1.68623f1d045c3p-3, -0x1.625263ca3d30bp-3, -0x1.5c503d82113efp-3, -0x1.565c115928333p-3, -0x1.5076205220da5p-3, -0x1.4a9ea77402bdbp-3, -0x1.44d5dfe0c1562p-3, -0x1.3f1bfeebc4866p-3, -0x1.3971363071f68p-3, -0x1.33d5b3a8b9f45p-3, -0x1.2e49a1c3955f4p-3, -0x1.28cd277b74a0ap-3, -0x1.2360686c9ece8p-3, -0x1.1e0384eb774c5p-3, -0x1.18b69a1aa5834p-3, -0x1.1379c2011c0f6p-3, -0x1.0e4d139ffcbd1p-3, -0x1.0930a3084d072p-3, -0x1.0424817085a3p-3, -0x1.fe517a93da8cep-4, -0x1.f47ac4ab7d4cap-4, -0x1.eac4f374351f7p-4, -0x1.e130142d81a91p-4, -0x1.d7bc2f331040fp-4, -0x1.ce6948253b059p-4, -0x1.c5375e10feb77p-4, -0x1.bc266b9763d7ep-4, -0x1.b3366714691d1p-4, -0x1.aa6742c55da56p-4, -0x1.a1b8ecee9cd59p-4, -0x1.992b5000c9171p-4, -0x1.90be52bd5b976p-4, -0x1.8871d85aa8852p-4, -0x1.8045c0a73fdfcp-4, -0x1.7839e82cb2688p-4, -0x1.704e2851b4e7ap-4, -0x1.6882577ba300cp-4, -0x1.60d6492f5f4d3p-4, -0x1.5949ce318fdap-4, -0x1.51dcb4a63386fp-4, -0x1.4a8ec82f966c8p-4, -0x1.435fd20c9b43ap-4, -0x1.3c4f9936642f3p-4, -0x1.355de27d5086ap-4, -0x1.2e8a70a557b93p-4, -0x1.27d50481bdf25p-4, -0x1.213d5d1020625p-4, -0x1.1ac33792e1ca9p-4, -0x1.14664faaedfap-4, -0x1.0e265f70dd32fp-4, -0x1.08031f8d73c86p-4, -0x1.01fc4751800f1p-4, -0x1.f823199a2fbbfp-5, -0x1.ec8549cc74617p-5, -0x1.e11e86dd9e95fp-5, -0x1.d5ee367419fbfp-5, -0x1.caf3bc6288549p-5, -0x1.c02e7ad0246cep-5, -0x1.b59dd25ff50d5p-5, -0x1.ab412256dc3b6p-5, -0x1.a117c8c078f35p-5, -0x1.97212292e96d7p-5, -0x1.8d5c8bd1673fp-5, -0x1.83c95fadd6abep-5, -0x1.7a66f8a92caa1p-5, -0x1.7134b0b2cf78fp-5, -0x1.6831e146e144p-5, -0x1.5f5de38b86c2bp-5, -0x1.56b8106d1d29bp-5, -0x1.4e3fc0b97ca31p-5, -0x1.45f44d3a31d5dp-5, -0x1.3dd50ecdc9954p-5, -0x1.35e15e801c11p-5, -0x1.2e1895a1b5158p-5, -0x1.267a0dde4b48ap-5, -0x1.1f05215255de6p-5, -0x1.17b92a9fb79fap-5, -0x1.109585019d849p-5, -0x1.09998c5f7734ep-5, -0x1.02c49d5f21b2fp-5, -0x1.f82c2aec86fedp-6, -0x1.eb1aa5f5c7682p-6, -0x1.de536a6665e1ap-6, -0x1.d1d538c932346p-6, -0x1.c59ed3c41086fp-6, -0x1.b9af003330938p-6, -0x1.ae048542d1511p-6, -0x1.a29e2c87bcb23p-6, -0x1.977ac216643f5p-6, -0x1.8c991498b5c6ap-6, -0x1.81f7f562aaf0cp-6, -0x1.77963885a0662p-6, -0x1.6d72b4e28837fp-6, -0x1.638c443ae48dap-6, -0x1.59e1c340a3379p-6, -0x1.507211a4eddbp-6, -0x1.473c1225e6f98p-6, -0x1.3e3eaa9b553cep-6, -0x1.3578c4025d654p-6, -0x1.2ce94a883aaa9p-6, -0x1.248f2d941487dp-6, -0x1.1c695fcfdab73p-6, -0x1.1476d7304f7b1p-6, -0x1.0cb68cfc2de8cp-6, -0x1.05277dd28f634p-6, -0x1.fb915360d8c77p-7, -0x1.ed3227eae5ed8p-7, -0x1.df2f86d025211p-7, -0x1.d18784719d9d4p-7, -0x1.c4383c09df5a3p-7, -0x1.b73fcfb0f6f38p-7, -0x1.aa9c685f2bf06p-7, -0x1.9e4c35ee88038p-7, -0x1.924d6f1b1a98ep-7, -0x1.869e5182369e2p-7, -0x1.7b3d21a088be3p-7, -0x1.70282acf27d79p-7, -0x1.655dbf3fb631cp-7, -0x1.5adc37f76ed9ep-7, -0x1.50a1f4c9641d2p-7, -0x1.46ad5c4fc8495p-7, -0x1.3cfcdbe481279p-7, -0x1.338ee798d19p-7, -0x1.2a61fa2c4d939p-7, -0x1.217495031aed8p-7, -0x1.18c5401b6e88dp-7, -0x1.10528a027e456p-7, -0x1.081b07c8bb36dp-7, -0x1.001d54f596f08p-7, -0x1.f0b026f53fdbcp-8, -0x1.e193d74c1542ep-8, -0x1.d2e31829e4592p-8, -0x1.c49b5349cb059p-8, -0x1.b6b9feca83349p-8, -0x1.a93c9d0fef1d2p-8, -0x1.9c20bca3eb2f5p-8, -0x1.8f63f8169ff11p-8, -0x1.8303f5ddf4a4dp-8, -0x1.76fe683478948p-8, -0x1.6b510cf7e7977p-8, -0x1.5ff9ad86ed813p-8, -0x1.54f61e9e76b89p-8, -0x1.4a444036bcb0fp-8, -0x1.3fe1fd5fd2512p-8, -0x1.35cd4c1dbf336p-8, -0x1.2c042d44a6ff6p-8, -0x1.2284ac544481cp-8, -0x1.194cdf53453c6p-8, -0x1.105ae6aaa5874p-8, -0x1.07aced0089866p-8, -0x1.fe824e26744dep-9, -0x1.ee2ba727e1b53p-9, -0x1.de52760342b46p-9, -0x1.cef35f0700d6p-9, -0x1.c00b198764175p-9, -0x1.b1966f93d04c6p-9, -0x1.a3923dac31cep-9, -0x1.95fb72765a639p-9, -0x1.88cf0e73ef6bap-9, -0x1.7c0a23b7c2454p-9, -0x1.6fa9d59c221c7p-9, -0x1.63ab5878f29aap-9, -0x1.580bf15a73eb4p-9, -0x1.4cc8f5b82806bp-9, -0x1.41dfcb2c39774p-9, -0x1.374de72b6e4afp-9, -0x1.2d10cebd1203ep-9, -0x1.23261633bba4dp-9, -0x1.198b60e68cc78p-9, -0x1.103e60eaf46dp-9, -0x1.073cd6ced0f24p-9, -0x1.fd0922a74df99p-10, -0x1.ec26da53cf35dp-10, -0x1.dbcea959ac88bp-10, -0x1.cbfc7f3f07a75p-10, -0x1.bcac65d42afe9p-10, -0x1.adda80afaab74p-10, -0x1.9f830cabeaa3ap-10, -0x1.91a25f6670ab3p-10, -0x1.8434e6bfd9576p-10, -0x1.7737285daae23p-10, -0x1.6aa5c12db255dp-10, -0x1.5e7d64eacfb6fp-10, -0x1.52badda348df4p-10, -0x1.475b0b40b50b5p-10, -0x1.3c5ae311b0663p-10, -0x1.31b76f54bc31fp-10, -0x1.276dcec47d187p-10, -0x1.1d7b342601a62p-10, -0x1.13dce5d8fb8b2p-10, -0x1.0a903d6883586p-10, -0x1.0192a71e507dbp-10, -0x1.f1c3432fa1d39p-11, -0x1.e0f57ab7c3561p-11, -0x1.d0b738e581a3cp-11, -0x1.c103e3feb961ep-11, -0x1.b1d703b55b49ap-11, -0x1.a32c40604b033p-11, -0x1.94ff62384519bp-11, -0x1.874c509807745p-11, -0x1.7a0f113f42806p-11, -0x1.6d43c798c73f3p-11, -0x1.60e6b403d5643p-11, -0x1.54f4332065ef8p-11, -0x1.4968bd1fbd0f2p-11, -0x1.3e40e516b7278p-11, -0x1.337958539b414p-11, -0x1.290eddb89029ep-11, -0x1.1efe55167daaap-11, -0x1.1544b68d37873p-11, -0x1.0bdf11ec9ff61p-11, -0x1.02ca8e1a9af47p-11, -0x1.f408d0f6edf6fp-12, -0x1.e313e8b955c56p-12, -0x1.d2b134c668cd9p-12, -0x1.c2dbaffa1195cp-12, -0x1.b38e7da8ee3f9p-12, -0x1.a4c4e88e65aebp-12, -0x1.967a61bdda467p-12, -0x1.88aa7f9d019fep-12, -0x1.7b50fce1617dep-12, -0x1.6e69b793526fdp-12, -0x1.61f0b016f8b8fp-12, -0x1.55e2083b70bcep-12, -0x1.4a3a024c71798p-12, -0x1.3ef5002c90ebcp-12, -0x1.340f826fb9fe6p-12, -0x1.2986277f6efap-12, -0x1.1f55aac292edfp-12, -0x1.157ae3c87c5edp-12, -0x1.0bf2c579e89c3p-12, -0x1.02ba5d50ac6a4p-12, -0x1.f39da51f7394ap-13, -0x1.e25acb077b896p-13, -0x1.d1a6dd8b059f5p-13, -0x1.c17cbd028d0cep-13, -0x1.b1d7778776ac5p-13, -0x1.a2b2479610f75p-13, -0x1.940892b4699a6p-13, -0x1.85d5e8252448fp-13, -0x1.7815ffa3c2341p-13, -0x1.6ac4b8237bed4p-13, -0x1.5dde1699f6b77p-13, -0x1.515e44d0a0336p-13, -0x1.4541903bda09bp-13, -0x1.398468dea3238p-13, -0x1.2e236030c318fp-13, -0x1.231b280cd0ef1p-13, -0x1.186891a8dd9c6p-13, -0x1.0e088c91629dap-13, -0x1.03f825aead96ap-13, -0x1.f4690c9accc43p-14, -0x1.e175e65f45908p-14, -0x1.cf1197475e59fp-14, -0x1.bd371147b22b9p-14, -0x1.abe177efc3da5p-14, -0x1.9b0c1ebd5e55ep-14, -0x1.8ab287803fabdp-14, -0x1.7ad060bfe8fp-14, -0x1.6b618435116ccp-14, -0x1.5c61f5490f48ap-14, -0x1.4dcddf9ecc8b5p-14, -0x1.3fa195aa8ba0cp-14, -0x1.31d98f5481892p-14, -0x1.247268a30b924p-14, -0x1.1768e06be71f1p-14, -0x1.0ab9d7179ae03p-14, -0x1.fcc49acef7af4p-15, -0x1.e4bec685d0984p-15, -0x1.cd5cad335dd0fp-15, -0x1.b699047a9f3f1p-15, -0x1.a06eb9a16b485p-15, -0x1.8ad8ef7599e38p-15, -0x1.75d2fc4b9961fp-15, -0x1.615867fe909edp-15, -0x1.4d64ea0944cecp-15, -0x1.39f467b7413bfp-15, -0x1.2702f24ea4813p-15, -0x1.148cc555d75c7p-15, -0x1.028e44f1097c9p-15, -0x1.e207f8664a752p-16, -0x1.bfd537291e6d5p-16, -0x1.9e7deed15d575p-16, -0x1.7dfc0cdf22ddp-16, -0x1.5e49c0be467ccp-16, -0x1.3f61790ca3e4ep-16, -0x1.213de105d3b01p-16, -0x1.03d9dddb374edp-16, -0x1.ce61187a58b78p-17, -0x1.967a7c02e09dfp-17, -0x1.5ff6ef913ca91p-17, -0x1.2acddd8e4c63bp-17, -0x1.edee1a6790e94p-18, -0x1.88d53d012d796p-18, -0x1.26420c4302b8ap-18, -0x1.8c4c265960a91p-19, -0x1.a1cddc6a1d9e1p-20, -0x1.a39e11a228d8fp-23, 0x1.2fa8ef610046dp-20, 0x1.455c87baeaa62p-19, 0x1.ee75bc15f981dp-19, 0x1.499b47f37d27ep-18, 0x1.99da4c07b8597p-18, 0x1.e8024756478b2p-18, 0x1.1a0e976a13ad5p-17, 0x1.3f1a4a6631e96p-17, 0x1.6328d6e7fcb73p-17, 0x1.863eaacc6bf56p-17, 0x1.a86009ceb5073p-17, 0x1.c9910fcc87a71p-17, 0x1.e9d5b2e41e45p-17, 0x1.0498e2bd0c13p-16, 0x1.13d47c1dc6f7fp-16, 0x1.229f6dfb79ee4p-16, 0x1.30fb71b4b7574p-16, 0x1.3eea3275df3f7p-16, 0x1.4c6d4e0ff8ee1p-16, 0x1.598655bed4f4ep-16, 0x1.6636ceed9de36p-16, 0x1.728033e8bd65ap-16, 0x1.7e63f48a59e12p-16, 0x1.89e376e97740ap-16, 0x1.950017ee90512p-16, 0x1.9fbb2beffc1edp-16, 0x1.aa15ff408aa7ep-16, 0x1.b411d6b6cea01p-16, 0x1.bdaff0308c033p-16, 0x1.c6f1830734658p-16, 0x1.cfd7c089267b6p-16, 0x1.d863d466d045p-16, 0x1.e096e5229d7a7p-16, 0x1.e8721463fb7ddp-16, 0x1.eff67f638d047p-16, 0x1.f7253f3c0ep-16, 0x1.fdff693f1ef83p-16, 0x1.024307a051f3ap-15, 0x1.055d1ff22ff95p-15, 0x1.084e8370fb43fp-15, 0x1.0b17b6a23fdddp-15, 0x1.0db93cd1edc49p-15, 0x1.1033982fee864p-15, 0x1.128749ec4372ep-15, 0x1.14b4d24f12927p-15, 0x1.16bcb0ca9ecdp-15, 0x1.189f64180b7b9p-15, 0x1.1a5d6a455610dp-15, 0x1.1bf740c9ff7c8p-15, 0x1.1d6d64950ed5ep-15, 0x1.1ec0521e86bb6p-15, 0x1.1ff08574e13d9p-15, 0x1.20fe7a490e9b3p-15, 0x1.21eaabf98ae23p-15, 0x1.22b5959bb4721p-15, 0x1.235fb206e3c66p-15, 0x1.23e97bdc9c56fp-15, 0x1.24536d8ba64e9p-15, 0x1.249e015b62dc9p-15, 0x1.24c9b16e2f413p-15, 0x1.24d6f7c50aab9p-15, 0x1.24c64e45674b3p-15, 0x1.24982eb896f5p-15, 0x1.244d12d1d3b0dp-15, 0x1.23e5742c991b6p-15, 0x1.2361cc5003a64p-15, 0x1.22c294abbdb9bp-15, 0x1.2208469924fa5p-15, 0x1.21335b5b63822p-15, 0x1.20444c1d70442p-15, 0x1.1f3b91ee4ba39p-15, 0x1.1e19a5c1bc9a9p-15, 0x1.1cdf006afb98ap-15, 0x1.1b8c1a9ab7f21p-15, 0x1.1a216cdbda7ddp-15, 0x1.189f6f8e656a5p-15, 0x1.17069ae58c0cep-15, 0x1.155766e1836a4p-15, 0x1.13924b4cd88cep-15, 0x1.11b7bfb543c4fp-15, 0x1.0fc83b66eecf9p-15, 0x1.0dc4356a11126p-15, 0x1.0bac247b06c98p-15, 0x1.09807f058e897p-15, 0x1.0741bb1f4884fp-15, 0x1.04f04e81974ccp-15, 0x1.028cae83a7d3ep-15, 0x1.00175015a98a1p-15, 0x1.fb214f73a6a8cp-16, 0x1.f5f252feca7fdp-16, 0x1.f0a291f705edfp-16, 0x1.eb32f289f6809p-16, 0x1.e5a459d7fc85p-16, 0x1.dff7abe86b7fp-16, 0x1.da2dcba07876cp-16, 0x1.d4479ab89126ap-16, 0x1.ce45f9ac687a5p-16, 0x1.c829c7b10299dp-16, 0x1.c1f3e2a87e553p-16, 0x1.bba527159a1c3p-16, 0x1.b53e70111ea05p-16, 0x1.aec0973f382c5p-16, 0x1.a82c74c5c4fa2p-16, 0x1.a182df3e54556p-16, 0x1.9ac4abaca98bep-16, 0x1.93f2ad75e3e0ap-16, 0x1.8d0db6514ab74p-16, 0x1.86169640b6e7fp-16, 0x1.7f0e1b88bed33p-16, 0x1.77f512a77c55ep-16, 0x1.70cc4646dc9fep-16, 0x1.69947f37b3ea7p-16, 0x1.624e8464d207p-16, 0x1.5afb1acc2200cp-16, 0x1.539b057675a27p-16, 0x1.4c2f056eca3cp-16, 0x1.44b7d9bf0b411p-16, 0x1.3d363f620248fp-16, 0x1.35aaf13f10814p-16, 0x1.2e16a823d0bbfp-16, 0x1.267a1aba49abdp-16, 0x1.1ed5fd83e29e6p-16, 0x1.172b02d437c96p-16, 0x1.0f79dace215d3p-16, 0x1.07c33357fbc2cp-16, 0x1.0007b81b160d3p-16, 0x1.f09024f8ab575p-17, 0x1.e109d32d62b8bp-17, 0x1.d17dc46fe3427p-17, 0x1.c1ed3db830198p-17, 0x1.b2597f5a5df51p-17, 0x1.a2c3c4f7ea5cp-17, 0x1.932d4579c4061p-17, 0x1.8397330bc2bb7p-17, 0x1.7402bb15194dcp-17, 0x1.64710633e034p-17, 0x1.54e338365e3eep-17, 0x1.455a701fad1dep-17, 0x1.35d7c82056258p-17, 0x1.265c558c51875p-17, 0x1.16e928e482f2ap-17, 0x1.077f4dcb2a52p-17, 0x1.f03f960a29312p-18, 0x1.d19744f035144p-18, 0x1.b307a25911bf6p-18, 0x1.94929ea7a50f3p-18, 0x1.763a207b254ebp-18, 0x1.580004c046beep-18, 0x1.39e61ea8cf569p-18, 0x1.1bee37b57ee5dp-18, 0x1.fc341f7292e2bp-19, 0x1.c0d6b9b671a91p-19, 0x1.85c7974dce036p-19, 0x1.4b09fe2870447p-19, 0x1.10a120f8f369ap-19, 0x1.ad203edaa5d57p-20, 0x1.39b40c652b8fbp-20, 0x1.8e073bfe891a3p-21, 0x1.54530588c3ce3p-22, -0x1.c12e14fa9ed5cp-24, -0x1.18db8e13bf4cbp-21, -0x1.f7ed23d60d4abp-21, -0x1.6aa809081adb7p-20, -0x1.d87d181bf49eap-20, -0x1.22b867b166988p-19, -0x1.58bf31acb7a55p-19, -0x1.8e50963a79067p-19, -0x1.c36a5377c1925p-19, -0x1.f80a392762eadp-19, -0x1.161714591f1d9p-18, -0x1.2fea0a7c92dcbp-18, -0x1.497d01136b2f5p-18, -0x1.62cf02c92d253p-18, -0x1.7bdf22cd8c38fp-18, -0x1.94ac7cc523072p-18, -0x1.ad3634ad81b7p-18, -0x1.c57b76c322589p-18, -0x1.dd7b77760fd17p-18, -0x1.f53573573f9dbp-18, -0x1.0654577eeb2dap-17, -0x1.11ea3b7ab02c1p-17, -0x1.1d5c0fd3bbaacp-17, -0x1.28a982a0d71fep-17, -0x1.33d245d3ca1aap-17, -0x1.3ed60f24d8943p-17, -0x1.49b4980f6340dp-17, -0x1.546d9dc73a6b1p-17, -0x1.5f00e126f9d08p-17, -0x1.696e26a7f391dp-17, -0x1.73b53654f9d0bp-17, -0x1.7dd5dbc1e9c9ep-17, -0x1.87cfe5fc9138ep-17, -0x1.91a3277e22681p-17, -0x1.9b4f762240c28p-17, -0x1.a4d4ab18bb81ep-17, -0x1.ae32a2db72d03p-17, -0x1.b7693d2453f91p-17, -0x1.c0785cdb86b97p-17, -0x1.c95fe80e7e243p-17, -0x1.d21fc7e237e62p-17, -0x1.dab7e889a1ab2p-17, -0x1.e32839318bbbfp-17, -0x1.eb70abfaf3aa8p-17, -0x1.f39135efd1de3p-17, -0x1.fb89cef1dcc55p-17, -0x1.01ad38d79d7ffp-16, -0x1.05818dcb85dfbp-16, -0x1.0941e6679c96p-16, -0x1.0cee44128c4e2p-16, -0x1.1086a97f4d745p-16, -0x1.140b1aa9ce2abp-16, -0x1.177b9cce5270dp-16, -0x1.1ad83663e21efp-16, -0x1.1e20ef18b67c8p-16, -0x1.2155cfc96fe46p-16, -0x1.2476e27ad27dp-16, -0x1.27843254eb39ep-16, -0x1.2a7dcb9de7c34p-16, -0x1.2d63bbb117802p-16, -0x1.303610fb2df14p-16, -0x1.32f4daf3429e4p-16, -0x1.35a02a179977bp-16, -0x1.38380fe3b27c2p-16, -0x1.3abc9eccd875p-16, -0x1.3d2dea3c490bbp-16, -0x1.3f8c068978412p-16, -0x1.41d708f385cf6p-16, -0x1.440f079ba1c6cp-16, -0x1.4634198083b43p-16, -0x1.4846567773ed9p-16, -0x1.4a45d7275c659p-16, -0x1.4c32b50430b14p-16, -0x1.4e0d0a48c1167p-16, -0x1.4fd4f1f0871dbp-16, -0x1.518a87b2ad092p-16, -0x1.532de7fe98f63p-16, -0x1.54bf2ff3e39f4p-16, -0x1.563e7d5f0b1f3p-16, -0x1.57abeeb2d425fp-16, -0x1.5907a304ba716p-16, -0x1.5a51ba0815cecp-16, -0x1.5b8a540663ba1p-16, -0x1.5cb191ddb82b1p-16, -0x1.5dc794f9eae81p-16, -0x1.5ecc7f4fa297p-16, -0x1.5fc0735903e67p-16, -0x1.60a3940fcd63bp-16, -0x1.617604e8f419bp-16, -0x1.6237e9cffde55p-16, -0x1.62e96722a6ba7p-16, -0x1.638aa1aca4e4bp-16, -0x1.641bbea290c9ap-16, -0x1.649ce39d97259p-16, -0x1.650e36981a84cp-16, -0x1.656fdde87fa2cp-16, -0x1.65c2003d50115p-16, -0x1.6604c4991b4bap-16, -0x1.6638524e88c9fp-16, -0x1.665cd0faf86d3p-16, -0x1.66726885da9a2p-16, -0x1.66794119217ap-16, -0x1.6671831fcd29dp-16, -0x1.665b5740681e2p-16, -0x1.6636e65a69b93p-16, -0x1.660459827452bp-16, -0x1.65c3d9ffa176ep-16, -0x1.65759145c8405p-16, -0x1.6519a8f3e40dbp-16, -0x1.64b04acf542d6p-16, -0x1.6439a0c1b32e8p-16, -0x1.63b5d4d40f576p-16, -0x1.6325112d2b2b4p-16, -0x1.6287800db15bcp-16, -0x1.61dd4bcce1103p-16, -0x1.61269ed5f07b9p-16, -0x1.6063a3a45389fp-16, -0x1.5f9484c1b5c87p-16, -0x1.5eb96cc1f9bc7p-16, -0x1.5dd2864024947p-16, -0x1.5cdffbde54114p-16, -0x1.5be1f8401b35dp-16, -0x1.5ad8a608766b7p-16, -0x1.59c42fd6a0236p-16, -0x1.58a4c044dddfcp-16, -0x1.577a81e56e0d6p-16, -0x1.56459f41383a5p-16, -0x1.550642d29522fp-16, -0x1.53bc97055304cp-16, -0x1.5268c632fe759p-16, -0x1.510afaa15a65p-16, -0x1.4fa35e7fc36acp-16, -0x1.4e321be4c07a7p-16, -0x1.4cb75ccdaddc1p-16, -0x1.4b334b1a8c3c7p-16, -0x1.49a6108d20938p-16, -0x1.480fd6c694b25p-16, -0x1.4670c745975bep-16, -0x1.44c90b64a628cp-16, -0x1.4318cc5698a94p-16, -0x1.416033288b1b7p-16, -0x1.3f9f68bd8ff06p-16, -0x1.3dd695ccfa681p-16, -0x1.3c05e2dfe1945p-16, -0x1.3a2d7851bb454p-16, -0x1.384d7e4cf64d1p-16, -0x1.36661ccc1fc68p-16, -0x1.34777b967c9fcp-16, -0x1.3281c23d98ddbp-16, -0x1.3085181db6936p-16, -0x1.2e81a45b46ceap-16, -0x1.2c778de21c3abp-16, -0x1.2a66fb6461f44p-16, -0x1.28501358a0f8bp-16, }}, 
      {{-0x1.c6a89faeea3fep-1, -0x1.c6a44a142b208p-1, -0x1.c6992cb0128dap-1, -0x1.c682d29c307acp-1, -0x1.c65c78806ccd4p-1, -0x1.c621862a0d3ffp-1, -0x1.c5cddac8b03fdp-1, -0x1.c55df8adfff24p-1, -0x1.c4cf1a1ed2a4bp-1, -0x1.c41f364790c58p-1, -0x1.c34cfb878b8p-1, -0x1.c257c2e0857e7p-1, -0x1.c13f7f4bae074p-1, -0x1.c004aaed4c9bfp-1, -0x1.bea8338b8c402p-1, -0x1.bd2b673e66416p-1, -0x1.bb8fe1fd2b5cp-1, -0x1.b9d77c724565ep-1, -0x1.b8043c52274efp-1, -0x1.b6184652f81bbp-1, -0x1.b415d1cc20d9fp-1, -0x1.b1ff1df56c08bp-1, -0x1.afd668b2e6953p-1, -0x1.ad9de6d40545p-1, -0x1.ab57bda8a0ea6p-1, -0x1.a905fdcc74727p-1, -0x1.a6aa9f09554cdp-1, -0x1.a4477d30e9dc4p-1, -0x1.a1de55cff3d86p-1, -0x1.9f70c69ef0749p-1, -0x1.9d004c95e6ee8p-1, -0x1.9a8e438b544b7p-1, -0x1.981be648691f3p-1, -0x1.95aa4efef18fcp-1, -0x1.933a780f61222p-1, -0x1.90cd3d0f814c8p-1, -0x1.8e635c0419096p-1, -0x1.8bfd76c1a7fe8p-1, -0x1.899c1469e4307p-1, -0x1.873fa2fd1b8cap-1, -0x1.84e878f7e782dp-1, -0x1.8296d6f6cadd7p-1, -0x1.804ae95a5de19p-1, -0x1.7e04c9e794834p-1, -0x1.7bc48160796bep-1, -0x1.798a09126d181p-1, -0x1.77554c5795fe7p-1, -0x1.75262a09b0a83p-1, -0x1.72fc75e4eb1a4p-1, -0x1.70d7f9d9d22fdp-1, -0x1.6eb8774db06p-1, -0x1.6c9da848ff5f1p-1, -0x1.6a874093d18efp-1, -0x1.6874eec03e769p-1, -0x1.66665d230c4d4p-1, -0x1.645b32baf0c3bp-1, -0x1.62531406d8f85p-1, -0x1.604da3cbc2077p-1, -0x1.5e4a83cab4e42p-1, -0x1.5c495567886c1p-1, -0x1.5a49ba41137bp-1, -0x1.584b54bb79d95p-1, -0x1.564dc87d46cf9p-1, -0x1.5450bae00386ep-1, -0x1.5253d354fce0bp-1, -0x1.5056bbbee0c5ep-1, -0x1.4e5920c0df1d3p-1, -0x1.4c5ab203f5891p-1, -0x1.4a5b227301d5p-1, -0x1.485a286e3af2cp-1, -0x1.46577df6a0c75p-1, -0x1.4452e0d1f5e55p-1, -0x1.424c12a7cb8c8p-1, -0x1.4042d9181fe95p-1, -0x1.3e36fdcc0fa9cp-1, -0x1.3c284e810e5a8p-1, -0x1.3a169d0f17757p-1, -0x1.3801bf6a421f2p-1, -0x1.35e98fa01e457p-1, -0x1.33cdebd136d29p-1, -0x1.31aeb627182b1p-1, -0x1.2f8bd4c72a22bp-1, -0x1.2d6531c2b19fep-1, -0x1.2b3abb0443285p-1, -0x1.290c623aeaf2ep-1, -0x1.26da1cc34ffc2p-1, -0x1.24a3e38f0cd3dp-1, -0x1.2269b30a7a64cp-1, -0x1.202b8b011f4a4p-1, -0x1.1de96e80f993fp-1, -0x1.1ba363bccf9bcp-1, -0x1.195973edb420ep-1, -0x1.170bab33e575ep-1, -0x1.14ba18772e04dp-1, -0x1.1264cd46e92p-1, -0x1.100bddb9cab16p-1, -0x1.0daf604d88907p-1, -0x1.0b4f6dc6801bfp-1, -0x1.08ec210f7197fp-1, -0x1.0685971967f86p-1, -0x1.041beebbdfc76p-1, -0x1.01af489545596p-1, -0x1.fe7f8dd7aa295p-2, -0x1.f99b1b1de55fep-2, -0x1.f4b18372037ebp-2, -0x1.efc313e39d74dp-2, -0x1.ead01be323715p-2, -0x1.e5d8ed092a747p-2, -0x1.e0dddadf16a46p-2, -0x1.dbdf3aa92ba2dp-2, -0x1.d6dd63321479dp-2, -0x1.d1d8ac97eb7bep-2, -0x1.ccd1701acd87p-2, -0x1.c7c807ecfdeffp-2, -0x1.c2bccf04a3033p-2, -0x1.bdb020ef1bf9bp-2, -0x1.b8a259a5f7dep-2, -0x1.b393d5658c7efp-2, -0x1.ae84f0852de18p-2, -0x1.a976075106a12p-2, -0x1.a46775e58f7e4p-2, -0x1.9f59980ca3753p-2, -0x1.9a4cc91c2d4a9p-2, -0x1.954163d66a279p-2, -0x1.9037c24bbb8d6p-2, -0x1.8b303dbe08a09p-2, -0x1.862b2e85a048ap-2, -0x1.8128ebf79d052p-2, -0x1.7c29cc4dbf088p-2, -0x1.772e248fb8a46p-2, -0x1.7236487de207p-2, -0x1.6d428a7d51375p-2, -0x1.68533b8546089p-2, -0x1.6368ab0debc8fp-2, -0x1.5e8327005ea18p-2, -0x1.59a2fba7f2769p-2, -0x1.54c873a4ada4p-2, -0x1.4ff3d7def0fe8p-2, -0x1.4b256f7c46f02p-2, -0x1.465d7fd546571p-2, -0x1.419c4c6c8d1bdp-2, -0x1.3ce216e6bf94cp-2, -0x1.382f1f0387003p-2, -0x1.3383a29786b9ap-2, -0x1.2edfdd873cb9fp-2, -0x1.2a4409c2c65abp-2, -0x1.25b05f427fadfp-2, -0x1.2125140472dd8p-2, -0x1.1ca25c0a940c6p-2, -0x1.18286959b9e55p-2, -0x1.13b76bf94e70cp-2, -0x1.0f4f91f3b27a1p-2, -0x1.0af1075741ecbp-2, -0x1.069bf637fee16p-2, -0x1.025086b1cc7bap-2, -0x1.fc1dbdd67f81ep-3, -0x1.f3ae4631e1b7cp-3, -0x1.eb52eb02ab2f4p-3, -0x1.e30bed0218e47p-3, -0x1.dad9891f3dbdcp-3, -0x1.d2bbf8895ccf5p-3, -0x1.cab370bb0a68dp-3, -0x1.c2c023860418fp-3, -0x1.bae23f1fc790ep-3, -0x1.b319ee2eb9c93p-3, -0x1.ab6757d7f384bp-3, -0x1.a3ca9fcd91c43p-3, -0x1.9c43e65d8db01p-3, -0x1.94d34880ffd1cp-3, -0x1.8d78dfebdcaffp-3, -0x1.8634c31d04fb2p-3, -0x1.7f07056eb67bdp-3, -0x1.77efb7274a686p-3, -0x1.70eee58a322f4p-3, -0x1.6a049ae93b7ffp-3, -0x1.6330deb6004f9p-3, -0x1.5c73b593881fap-3, -0x1.55cd2168080d4p-3, -0x1.4f3d216eca769p-3, -0x1.48c3b24a23d1p-3, -0x1.4260ce157adap-3, -0x1.3c146c775b557p-3, -0x1.35de82b3870a8p-3, -0x1.2fbf03bd0f8b1p-3, -0x1.29b5e048591dfp-3, -0x1.23c306dd1b045p-3, -0x1.1de663e849c23p-3, -0x1.181fe1cded2bep-3, -0x1.126f68fad5e79p-3, -0x1.0cd4dff6388b5p-3, -0x1.07502b732126ap-3, -0x1.01e12e61c55e4p-3, -0x1.f90f94014a8d7p-4, -0x1.ee87bbdb0086bp-4, -0x1.e42a906c3bd54p-4, -0x1.d9f7cad1b471dp-4, -0x1.cfef214a06494p-4, -0x1.c6104755edbb7p-4, -0x1.bc5aedd818c9ap-4, -0x1.b2cec33476168p-4, -0x1.a96b736f0a837p-4, -0x1.a030a84a3f57dp-4, -0x1.971e0964a979ep-4, -0x1.8e333c5659344p-4, -0x1.856fe4cd887cp-4, -0x1.7cd3a4aacb6e8p-4, -0x1.745e1c1caf251p-4, -0x1.6c0ee9bac3877p-4, -0x1.63e5aaa0188e2p-4, -0x1.5be1fa8525fc7p-4, -0x1.540373d91ea02p-4, -0x1.4c49afdaaddb4p-4, -0x1.44b446b023de6p-4, -0x1.3d42cf7f0550ep-4, -0x1.35f4e0830bf28p-4, -0x1.2eca0f248a51ap-4, -0x1.27c1f00e40d47p-4, -0x1.20dc17429712p-4, -0x1.1a18183043db1p-4, -0x1.137585c66041bp-4, -0x1.0cf3f287e6536p-4, -0x1.0692f09e9d483p-4, -0x1.005211ed7624ep-4, -0x1.f461d044aba26p-5, -0x1.e85e098ea1ba5p-5, -0x1.dc97f2a6b56b6p-5, -0x1.d10eae74cc5acp-5, -0x1.c5c15ff9ff95ep-5, -0x1.baaf2a6eb0b9dp-5, -0x1.afd7315fa27bap-5, -0x1.a53898c9f4322p-5, -0x1.9ad2853625accp-5, -0x1.90a41bd20e3bfp-5, -0x1.86ac8289d6651p-5, -0x1.7ceae01ffc5adp-5, -0x1.735e5c4457f69p-5, -0x1.6a061faa334fcp-5, -0x1.60e1541d72505p-5, -0x1.57ef2496d0a8ap-5, -0x1.4f2ebd4f39a9p-5, -0x1.469f4bd24054ep-5, -0x1.3e3fff0fb7569p-5, -0x1.3610076c76e5ep-5, -0x1.2e0e96d24b5a8p-5, -0x1.263ae0bf120bbp-5, -0x1.1e941a53139e3p-5, -0x1.17197a5e929a5p-5, -0x1.0fca396e99328p-5, -0x1.08a591d90e525p-5, -0x1.01aabfc811418p-5, -0x1.f5b2028940db7p-6, -0x1.e85f2c811dc08p-6, -0x1.db5b813fba438p-6, -0x1.cea58882b2cbep-6, -0x1.c23bce0d5ab3p-6, -0x1.b61ce1b78e8cap-6, -0x1.aa47577b62677p-6, -0x1.9eb9c7819a6e5p-6, -0x1.9372ce2d11cdcp-6, -0x1.88710c24ffad6p-6, -0x1.7db3265e3e225p-6, -0x1.7337c62376f33p-6, -0x1.68fd991c5eff2p-6, -0x1.5f03515403cb9p-6, -0x1.5547a53e1e8f8p-6, -0x1.4bc94fbb81233p-6, -0x1.4287101db8faap-6, -0x1.397faa29c9345p-6, -0x1.30b1e61a194aap-6, -0x1.281c909fa72e4p-6, -0x1.1fbe7ae2723c6p-6, -0x1.17967a813377bp-6, -0x1.0fa3699059df5p-6, -0x1.07e426986d5e8p-6, -0x1.00579493c11bcp-6, -0x1.f1f935d71a2ap-7, -0x1.e3a44ae8eabb5p-7, -0x1.d5ae48d4f85cep-7, -0x1.c81518d8e0bbcp-7, -0x1.bad6aced9fa0dp-7, -0x1.adf0ffbc65f86p-7, -0x1.a16214928cda8p-7, -0x1.9527f7548b408p-7, -0x1.8940bc70189e4p-7, -0x1.7daa80cd944dep-7, -0x1.726369c09e189p-7, -0x1.6769a4f7e6e74p-7, -0x1.5cbb686c6f146p-7, -0x1.5256f2500827fp-7, -0x1.483a88fb486dep-7, -0x1.3e647adae3751p-7, -0x1.34d31e5c82e7ep-7, -0x1.2b84d1db0b0edp-7, -0x1.2277fb8a8780bp-7, -0x1.19ab09637fd44p-7, -0x1.111c710e080f1p-7, -0x1.08caafcc61c28p-7, -0x1.00b44a6538f3cp-7, -0x1.f1af9a1b4164fp-8, -0x1.e26796a5779dbp-8, -0x1.d38dc00658d6dp-8, -0x1.c51f5a307550cp-8, -0x1.b719b73d8f502p-8, -0x1.a97a37401949bp-8, -0x1.9c3e48147742p-8, -0x1.8f636531d21e1p-8, -0x1.82e7177ae11a7p-8, -0x1.76c6f50e3f023p-8, -0x1.6b00a116b85cep-8, -0x1.5f91cb9b75947p-8, -0x1.5478315011f8p-8, -0x1.49b19b64a4f32p-8, -0x1.3f3bdf55b8f9fp-8, -0x1.3514debc55086p-8, -0x1.2b3a871dff18fp-8, -0x1.21aad1bce49ap-8, -0x1.1863c3680efeep-8, -0x1.0f636c4bdf865p-8, -0x1.06a7e7c28097cp-8, -0x1.fc5eb8490b232p-9, -0x1.ebeff533f02bap-9, -0x1.dbfffdd6afa8ap-9, -0x1.cc8b5ea65ba5bp-9, -0x1.bd8eb89f3939ap-9, -0x1.af06c0e89aab5p-9, -0x1.a0f040798c222p-9, -0x1.934813bde2da6p-9, -0x1.860b2a3c1b84p-9, -0x1.7936863c2fc4p-9, -0x1.6cc73c6ec9b8ep-9, -0x1.60ba7395485a3p-9, -0x1.550d642acbddbp-9, -0x1.49bd580df1c0cp-9, -0x1.3ec7aa2b4b27bp-9, -0x1.3429c62928f32p-9, -0x1.29e12813c9396p-9, -0x1.1feb5c0a8062fp-9, -0x1.1645fdee27a9fp-9, -0x1.0ceeb91008935p-9, -0x1.03e347e20e59dp-9, -0x1.f642e74fc0d3bp-10, -0x1.e54e285213e71p-10, -0x1.d4e41ec79ca0ep-10, -0x1.c500b2827c96p-10, -0x1.b59fe6948a312p-10, -0x1.a6bdd8bb7ab2dp-10, -0x1.9856c0cef3b56p-10, -0x1.8a66f0313bba2p-10, -0x1.7cead140cd04ep-10, -0x1.6fdee6cd21c06p-10, -0x1.633fcb8cd9c92p-10, -0x1.570a319654b97p-10, -0x1.4b3ae1da2dd75p-10, -0x1.3fcebba0083cp-10, -0x1.34c2b4056f885p-10, -0x1.2a13d57e30a63p-10, -0x1.1fbf3f575bb53p-10, -0x1.15c2253c38bd2p-10, -0x1.0c19cebd436b8p-10, -0x1.02c396d907ccp-10, -0x1.f379d70f4b9fdp-11, -0x1.e2069a8f2679p-11, -0x1.d1289d590fc36p-11, -0x1.c0db27e1d4004p-11, -0x1.b119a5116ce74p-11, -0x1.a1dfa16d36babp-11, -0x1.9328ca46291b1p-11, -0x1.84f0eceb21899p-11, -0x1.7733f5de5c2a4p-11, -0x1.69edf00f12b32p-11, -0x1.5d1b04170a5c9p-11, -0x1.50b7777bc4b63p-11, -0x1.44bfabf37d09ap-11, -0x1.39301eadf4c47p-11, -0x1.2e0567a0e8a1cp-11, -0x1.233c38d7d7e21p-11, -0x1.18d15dc7332edp-11, -0x1.0ec1baa365c79p-11, -0x1.050a4bbbe2a22p-11, -0x1.f75049b0abb43p-12, -0x1.e530e1349962bp-12, -0x1.d3b0dfc4c1695p-12, -0x1.c2caf26f80c6p-12, -0x1.b279f067076a7p-12, -0x1.a2b8d9dde3bfbp-12, -0x1.9382d6eafa3bp-12, -0x1.84d33672b3d14p-12, -0x1.76a56d170f928p-12, -0x1.68f5142d947ap-12, -0x1.5bbde8bb55e1dp-12, -0x1.4efbca767a7e5p-12, -0x1.42aabacd9be52p-12, -0x1.36c6dbf4cb486p-12, -0x1.2b4c6ff937274p-12, -0x1.2037d7d90f42dp-12, -0x1.158592a125a5ep-12, -0x1.0b323c916d6e8p-12, -0x1.013a8e445ca16p-12, -0x1.ef36b7ba607f3p-13, -0x1.dca328734f24cp-13, -0x1.cab48054df759p-13, -0x1.b965035f6b508p-13, -0x1.a8af2674a6335p-13, -0x1.988d8de427b8fp-13, -0x1.88fb0c0209c1dp-13, -0x1.79f29fc4342c1p-13, -0x1.6b6f736ac7ba2p-13, -0x1.5d6cdb2e8e19ap-13, -0x1.4fe653fbe946fp-13, -0x1.42d78233400f5p-13, -0x1.363c30724f98dp-13, -0x1.2a104e65c9b63p-13, -0x1.1e4fefa475e04p-13, -0x1.12f74a8e4b19p-13, -0x1.0802b737e43c1p-13, -0x1.fadd5caeaac89p-14, -0x1.e66f907b7da65p-14, -0x1.d2b577ad209dcp-14, -0x1.bfa8bb586469ap-14, -0x1.ad433de8ad06ep-14, -0x1.9b7f194ab6461p-14, -0x1.8a569d1b2384ap-14, -0x1.79c44cea0bd5bp-14, -0x1.69c2de86bef7bp-14, -0x1.5a4d38569773cp-14, -0x1.4b5e6fbc3d14cp-14, -0x1.3cf1c7890b3ebp-14, -0x1.2f02ae76cf0efp-14, -0x1.218cbdaf9f08bp-14, -0x1.148bb762e5b7p-14, -0x1.07fb855e8a54ap-14, -0x1.f7b06f6e7856bp-15, -0x1.e03c06f455994p-15, -0x1.c99282caf59e1p-15, -0x1.b3acd960d3e87p-15, -0x1.9e8443af80b2fp-15, -0x1.8a123ae91f024p-15, -0x1.7650763d7925ap-15, -0x1.6338e8a8b595dp-15, -0x1.50c5bed957accp-15, -0x1.3ef15d1fdaf82p-15, -0x1.2db65d743eb77p-15, -0x1.1d0f8d891813dp-15, -0x1.0cf7ecf1bd74p-15, -0x1.fad556a0821a2p-16, -0x1.dcc64d2e27e68p-16, -0x1.bfb9d2b5dda3fp-16, -0x1.a3a752574ae75p-16, -0x1.88868a0492d25p-16, -0x1.6e4f876aecc7cp-16, -0x1.54faa4f7ccd02p-16, -0x1.3c8086fc91ea5p-16, -0x1.24da18ea5241ep-16, -0x1.0e008aa048e2ep-16, -0x1.efda9b9d5e6a5p-17, -0x1.c53426fb1edbcp-17, -0x1.9c01933508ad7p-17, -0x1.74373135ec505p-17, -0x1.4dc9c29305de5p-17, -0x1.28ae7503d678p-17, -0x1.04dade3ebea76p-17, -0x1.c489efbd8acdp-18, -0x1.81c636fa3d98dp-18, -0x1.4157fdb37af6p-18, -0x1.032d60669e53ep-18, -0x1.8e6a4b3ed3dfbp-19, -0x1.1abd6df311641p-19, -0x1.56686a61f50d8p-20, -0x1.fd7ecf2be6affp-22, 0x1.3f6a57706f9c1p-22, 0x1.177f978364576p-20, 0x1.d7c6640631a77p-20, 0x1.487208bff1a37p-19, 0x1.a185e76cc6cddp-19, 0x1.f7377bed142edp-19, 0x1.24cf4a081757cp-18, 0x1.4c69139f66747p-18, 0x1.72742fb5e0593p-18, 0x1.96fb50d65a07ap-18, 0x1.ba08cb4a21102p-18, 0x1.dba6991af0e33p-18, 0x1.fbde5df00444ep-18, 0x1.0d5cb557f982bp-17, 0x1.1c20608e8b2c8p-17, 0x1.2a3e8b9c57c75p-17, 0x1.37bb6d42ccfa7p-17, 0x1.449b198e7df8ap-17, 0x1.50e1836398e8dp-17, 0x1.5c927dee1be34p-17, 0x1.67b1bdfab37e6p-17, 0x1.7242db52d28f5p-17, 0x1.7c4951fcfceeap-17, 0x1.85c88378ca884p-17, 0x1.8ec3b7e046e2cp-17, 0x1.973e1f0aeb61dp-17, 0x1.9f3ad19e61f7p-17, 0x1.a6bcd214ddb0fp-17, 0x1.adc70dacda826p-17, 0x1.b45c5d637c7cdp-17, 0x1.ba7f86d48dce9p-17, 0x1.c0333d1050975p-17, 0x1.c57a216f37305p-17, 0x1.ca56c455ea85bp-17, 0x1.cecba5f5ad742p-17, 0x1.d2db36fa8a05fp-17, 0x1.d687d93930dep-17, 0x1.d9d3e05512677p-17, 0x1.dcc1925e01f8p-17, 0x1.df53285cda1c4p-17, 0x1.e18acee4b8dedp-17, 0x1.e36aa69dcfb45p-17, 0x1.e4f4c4bda55e9p-17, 0x1.e62b338239ae1p-17, 0x1.e70ff2a66da5ap-17, 0x1.e7a4f7cf949dbp-17, 0x1.e7ec2ef806b6dp-17, 0x1.e7e77ac6234b3p-17, 0x1.e798b4f385918p-17, 0x1.e701aea19fafep-17, 0x1.e62430b13d6fep-17, 0x1.e501fc07df3cfp-17, 0x1.e39cc9e545e25p-17, 0x1.e1f64c241186dp-17, 0x1.e0102d7c33973p-17, 0x1.ddec11bfae3e6p-17, 0x1.db8b96193af9ep-17, 0x1.d8f051479922bp-17, 0x1.d61bd3cbc5c8ap-17, 0x1.d30fa819bd838p-17, 0x1.cfcd52c9d877fp-17, 0x1.cc5652c4f59e9p-17, 0x1.c8ac216cf1c4p-17, 0x1.c4d032be9c901p-17, 0x1.c0c3f57e0944fp-17, 0x1.bc88d3517a561p-17, 0x1.b82030e36eeefp-17, 0x1.b38b6dfbd41b3p-17, 0x1.aecbe5a0211a7p-17, 0x1.a9e2ee2eda49dp-17, 0x1.a4d1d973aa0cep-17, 0x1.9f99f4bdca07bp-17, 0x1.9a3c88f45a009p-17, 0x1.94badaaa4095p-17, 0x1.8f162a31b123dp-17, 0x1.894fb3a9002ffp-17, 0x1.8368af0e0824fp-17, 0x1.7d62504aeddf4p-17, 0x1.773dc740e87acp-17, 0x1.70fc3fd6de8d7p-17, 0x1.6a9ee1ff81cdep-17, 0x1.6426d1cd31394p-17, 0x1.5d952f73f5cd5p-17, 0x1.56eb17561eb69p-17, 0x1.5029a2088443dp-17, 0x1.4951e45b25ba3p-17, 0x1.4264ef60729d5p-17, 0x1.3b63d075eeb57p-17, 0x1.344f91452b17cp-17, 0x1.2d2937ccabbe7p-17, 0x1.25f1c662ff4e2p-17, 0x1.1eaa3bbb2e6c8p-17, 0x1.175392e8d0275p-17, 0x1.0feec3630ed86p-17, 0x1.087cc10bf69ep-17, 0x1.00fe7c3041797p-17, 0x1.f2e9c317b152dp-18, 0x1.e3c1b49700cbcp-18, 0x1.d486981bc621cp-18, 0x1.c53a31d4cdd3fp-18, 0x1.b5de3ee405d48p-18, 0x1.a674756131491p-18, 0x1.96fe845e77e01p-18, 0x1.877e13eec0967p-18, 0x1.77f4c527be4bdp-18, 0x1.68643227b6f58p-18, 0x1.58cdee1a1d0a2p-18, 0x1.4933853ebbd27p-18, 0x1.39967cea1ee2ep-18, 0x1.29f8538d854d9p-18, 0x1.1a5a80b760bdfp-18, 0x1.0abe751812ec9p-18, 0x1.f64b351292689p-19, 0x1.d722a82f7b9a8p-19, 0x1.b805fc069bfc3p-19, 0x1.98f7db8520d2bp-19, 0x1.79fae418a10efp-19, 0x1.5b11a5b6e33ebp-19, 0x1.3c3ea2e850e75p-19, 0x1.1d8450db80792p-19, 0x1.fdca2eec3d0f7p-20, 0x1.c0c6a2b8237d9p-20, 0x1.840297fd135adp-20, 0x1.47828f5ddfebfp-20, 0x1.0b4aef49b25d2p-20, 0x1.9ec008516f8dbp-21, 0x1.278c01039ccf7p-21, 0x1.6203f4b97a24fp-22, 0x1.d94f95f1cad09p-24, -0x1.cfa252d32b18bp-24, -0x1.5ca2484063aa5p-22, -0x1.21e5340e11fdfp-21, -0x1.94a945aa1d68cp-21, -0x1.034b2b14d1fc6p-20, -0x1.3bd2c9f30c1ep-20, -0x1.73e82f267a849p-20, -0x1.ab8822b17e52ep-20, -0x1.e2af84b61df59p-20, -0x1.0cada6a822368p-19, -0x1.27c4462d64799p-19, -0x1.429a34a12acfcp-19, -0x1.5d2e115efd093p-19, -0x1.777e8759244edp-19, -0x1.918a4cfc27fcep-19, -0x1.ab5024110bb59p-19, -0x1.c4ced9a731f4ap-19, -0x1.de0545f3c5859p-19, -0x1.f6f24c3b69f0fp-19, -0x1.07ca6d53bc3f5p-18, -0x1.13f5f519fdf97p-18, -0x1.1ffb3f47c5ca3p-18, -0x1.2bd9d2ff7ac86p-18, -0x1.37913c9fff619p-18, -0x1.43210db431e97p-18, -0x1.4e88dce5555f6p-18, -0x1.59c845e86e5a9p-18, -0x1.64dee96dc6c4ep-18, -0x1.6fcc6d15f67e1p-18, -0x1.7a907b5dac2e7p-18, -0x1.852ac38f67614p-18, -0x1.8f9af9b328ecfp-18, -0x1.99e0d67e62c45p-18, -0x1.a3fc174332c58p-18, -0x1.adec7ddbbbb77p-18, -0x1.b7b1d0a01515fp-18, -0x1.c14bda5026bafp-18, -0x1.caba6a070001bp-18, -0x1.d3fd5328d17f4p-18, -0x1.dd146d50bc5bfp-18, -0x1.e5ff94414b572p-18, -0x1.eebea7d2cfa68p-18, -0x1.f7518bdfff12dp-18, -0x1.ffb828394ad1cp-18, -0x1.03f93448baed6p-17, -0x1.08001e3600866p-17, -0x1.0bf0cb86c083dp-17, -0x1.0fcb37b4f2237p-17, -0x1.138f600a191dfp-17, -0x1.173d43956040ap-17, -0x1.1ad4e324022dap-17, -0x1.1e5641395ccaep-17, -0x1.21c1620550751p-17, -0x1.25164b5caa9f8p-17, -0x1.285504b0c15bap-17, -0x1.2b7d97061c30cp-17, -0x1.2e900ced540aap-17, -0x1.318c727928a34p-17, -0x1.3472d53792bd4p-17, -0x1.374344287916ap-17, -0x1.39fdcfb6e02e9p-17, -0x1.3ca289aeed179p-17, -0x1.3f31853696464p-17, -0x1.41aad6c6927d9p-17, -0x1.440e941fab5fdp-17, -0x1.465cd44588ccdp-17, -0x1.4895af74aca3bp-17, -0x1.4ab93f1bc3403p-17, -0x1.4cc79dd342c19p-17, -0x1.4ec0e755dab5ep-17, -0x1.50a53878cf4ddp-17, -0x1.5274af2381707p-17, -0x1.542f6a495b706p-17, -0x1.55d589e0e1a64p-17, -0x1.57672edc3eca1p-17, -0x1.58e47b2339978p-17, -0x1.5a4d918a42d0cp-17, -0x1.5ba295cd109eep-17, -0x1.5ce3ac84a1f73p-17, -0x1.5e10fb235f181p-17, -0x1.5f2aa7eb56941p-17, -0x1.6030d9e834678p-17, -0x1.6123b8ea5c2b3p-17, -0x1.62036d7c8d5c4p-17, -0x1.62d020df63e13p-17, -0x1.6389fd02d4a02p-17, -0x1.64312c7e5d2d7p-17, -0x1.64c5da8b0668ap-17, -0x1.654832fd2921cp-17, -0x1.65b8623ed1454p-17, -0x1.661695484ca81p-17, -0x1.6662f999cff7fp-17, -0x1.669dbd36a3aa9p-17, -0x1.66c70e9e8af5ap-17, -0x1.66df1cc824191p-17, -0x1.66e61719b6941p-17, -0x1.66dc2d655f299p-17, -0x1.66c18fe22ec9cp-17, -0x1.66966f25c6dcdp-17, -0x1.665afc22de3d6p-17, -0x1.660f681f5d1dap-17, -0x1.65b3e4b01cf5ap-17, -0x1.6548a3b5a0524p-17, -0x1.64cdd754ff4ep-17, -0x1.6443b1f2bf78cp-17, -0x1.63aa662f14091p-17, -0x1.630226e09a61fp-17, -0x1.624b270fcd9fbp-17, -0x1.618599f17b0efp-17, -0x1.60b1b2e1e504cp-17, -0x1.5fcfa561a1973p-17, -0x1.5edfa510b7b18p-17, -0x1.5de1e5a989b81p-17, -0x1.5cd69afc8e41dp-17, -0x1.5bbdf8eca5e7ep-17, -0x1.5a98336a3295ep-17, -0x1.59657e7025d19p-17, -0x1.58260e00c12eep-17, -0x1.56da161f7938fp-17, -0x1.5581cacdd59b4p-17, -0x1.541d6008880e2p-17, -0x1.52ad09c33c1f5p-17, -0x1.5130fbe4a7d48p-17, -0x1.4fa96a43942e8p-17, -0x1.4e1688a3cbe0cp-17, -0x1.4c788ab2ec0efp-17, -0x1.4acfa4043f9ccp-17, -0x1.491c080d7cc09p-17, -0x1.475dea23960afp-17, -0x1.45957d7a5c4b2p-17, -0x1.43c2f51df663dp-17, -0x1.41e683f1ff9bfp-17, -0x1.40005cad891fap-17, -0x1.3e10b1d9112abp-17, -0x1.3c17b5cbcf486p-17, -0x1.3a159aaabb014p-17, -0x1.380a9263e3bc7p-17, -0x1.35f6ceac224fp-17, -0x1.33da80fd2b889p-17, -0x1.31b5da936f283p-17, -0x1.2f890c6b60814p-17, -0x1.2d54473fb289bp-17, -0x1.2b17bb87263b9p-17, -0x1.28d3997306c55p-17, -0x1.268810ecb49e2p-17, -0x1.243551938a886p-17, -0x1.21db8abaeb5dp-17, -0x1.1f7aeb67b57dbp-17, -0x1.1d13a2520530ep-17, -0x1.1aa5dddfbbd56p-17, -0x1.1831cc24310d4p-17, -0x1.15b79ade24257p-17, -0x1.1337777706ee2p-17, -0x1.10b18f00a6803p-17, -0x1.0e260e36dce13p-17, -0x1.0b95217a71ffbp-17, -0x1.08fef4d142c11p-17, -0x1.0663b3e487defp-17, -0x1.03c38a007f6ebp-17, -0x1.011ea2126aadbp-17, -0x1.fcea4d50d07e5p-18, -0x1.f78e83df68869p-18, -0x1.f22a3b68da37cp-18, -0x1.ecbdc6c186a48p-18, -0x1.e74977f6143ecp-18, -0x1.e1cda04b40702p-18, -0x1.dc4a903a633d6p-18, -0x1.d6c09771e4022p-18, -0x1.d13004d6f4bd4p-18, -0x1.cb99267e27c7ep-18, -0x1.c5fc49ac98227p-18, -0x1.c059bad6be8f5p-18, -0x1.bab1c59f80538p-18, -0x1.b504b4d7a4492p-18, -0x1.af52d280fbef6p-18, -0x1.a99c67c5a4279p-18, -0x1.a3e1bcfc1ef19p-18, -0x1.9e2319a47269ep-18, -0x1.9860c4696b084p-18, -0x1.929b031ed5a88p-18, -0x1.8cd21ac1e549dp-18, -0x1.87064f7873f5ap-18, -0x1.8137e49180214p-18, -0x1.7b671c84b9191p-18, -0x1.759438f1afc3dp-18, -0x1.6fbf7a9f79896p-18, -0x1.69e9217c81a15p-18, -0x1.64116c9dd37cep-18, -0x1.5e389a44c44a1p-18, -0x1.585ee7d8d82a5p-18, -0x1.528491e8d80d6p-18, -0x1.4ca9d42c35a8p-18, -0x1.46cee983271fcp-18, -0x1.40f40bf4f33cdp-18, -0x1.3b1974b7930a6p-18, -0x1.353f5c29a4e35p-18, -0x1.2f65f9d2b30fep-18, -0x1.298d8465bb239p-18, -0x1.23b631c0de25bp-18, -0x1.1de036ee986f4p-18, -0x1.180bc826a10bbp-18, -0x1.123918cdb0a72p-18, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      48, 0x1.4p+2, 0x1.06c536c228acfp+1, 0x1.0a0474b095d1bp+2, -0x1.576d408a7b312p-4, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.c8f6ba5a285a1p-3, -0x1.42a6dd4f9faffp-1, 0x1.4b2f55ebb41a9p-1, -0x1.003d572013538p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.8bae63997225cp-3, -0x1.227e855d9d1c1p-1, 0x1.37f788fc7f746p-1, -0x1.003443c7af58bp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.54a352ba287fep-3, -0x1.04421f99e9a94p-1, 0x1.24c06a4d8580dp-1, -0x1.002c222877058p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.237325c80b74fp-3, -0x1.cfe336ff8131ep-2, 0x1.1189e7bdafc6ep-1, -0x1.002542e5a637cp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ef76fbd21353p-4, -0x1.9b19d54fc50c2p-2, 0x1.fca7d23f536bfp-2, -0x1.00186877ff134p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.a233feba80b73p-4, -0x1.6a27f4453793bp-2, 0x1.d63dc293b9f5ap-2, -0x1.00223859535c3p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.5e58a2fdf6c78p-4, -0x1.3d0d8e0908ceap-2, 0x1.afd23a1fed74bp-2, -0x1.ffaeb453198aep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.23203d856a649p-4, -0x1.13ca25b2f4095p-2, 0x1.8971ec99b1f07p-2, -0x1.00c889ef36437p-2}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.df8c52dc5b49p-5, -0x1.dcbdf52fe02dfp-3, 0x1.62ed71829d002p-2, -0x1.f2f7d6a4474fcp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.870c7e39eb692p-5, -0x1.997fb01843e01p-3, 0x1.3d8141697e0d8p-2, -0x1.d3e30aff3bc75p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.3b43e41e377e5p-5, -0x1.5d81c7932931p-3, 0x1.1a69d3c98cc4bp-2, -0x1.b746303557a46p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f595baaf77415p-6, -0x1.28519edbe4189p-3, 0x1.f2ef86be4c645p-3, -0x1.9a00972d90297p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.88a0455d92e6ep-6, -0x1.f3002509721d2p-4, 0x1.b56f7011105ddp-3, -0x1.7ce606422d208p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2d3199cb1054cp-6, -0x1.a13a1b847732ep-4, 0x1.7c4cef20bccc3p-3, -0x1.5fc813231dc5ep-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c20152dfd2139p-7, -0x1.5a718fd1a5163p-4, 0x1.478885db78553p-3, -0x1.428ca0b6596cp-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.43e24b6f83441p-7, -0x1.1dc6725690eb9p-4, 0x1.1726a0f351518p-3, -0x1.25ca8db41a0a5p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b84e0007a756p-8, -0x1.d4b4288c16934p-5, 0x1.d62a1763ce06ep-4, -0x1.05d89777abba7p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.0e95170d7ff7fp-8, -0x1.7e86b7c5f5148p-5, 0x1.879c505980e8p-4, -0x1.c56bf26435d07p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.08a8afe7bece5p-9, -0x1.370164f070965p-5, 0x1.4398ebfdac09p-4, -0x1.801e11879f77dp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.41a5ac6053862p-12, -0x1.f8187120c26cep-6, 0x1.09facfc2edb74p-4, -0x1.3a8448479ebc1p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.1ad2ef8341223p-10, -0x1.97239b12606b6p-6, 0x1.b59abd09f89bfp-5, -0x1.ea4589cd78c8ep-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.1fbe75aac82e9p-9, -0x1.46f8e6b0e78ccp-6, 0x1.6c104ec4c017bp-5, -0x1.5e5824d993937p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.94abc8b8f4f7cp-9, -0x1.036a2968fa624p-6, 0x1.3783160a838ep-5, -0x1.ad4759dfec85bp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.f067dc55b20bdp-9, -0x1.90a9eb5a11c69p-7, 0x1.1750ef4ceb6a9p-5, -0x1.f9aef87ac03eap-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.1abf016546906p-8, -0x1.22d566cdae924p-7, 0x1.0dd5a771049cap-5, -0x1.0bac29b542492p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.3273134613264p-8, -0x1.6ecda5400774fp-8, 0x1.0b533d7351971p-5, -0x1.2cccfc4d8c9adp-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.3f84b439eeeaep-8, -0x1.3ae90e77f46efp-9, 0x1.000b8d96cf849p-5, -0x1.d7bebc5829cb8p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.42635efcc1043p-8, 0x1.42701af9825cep-11, 0x1.dcb599da358p-6, -0x1.49ddfd3a3568ep-6}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.3bc5513f2f806p-8, 0x1.ba2f59082c056p-9, 0x1.ab3ab3de4717p-6, -0x1.a53db90fdd27dp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.2ca78ba69f564p-8, 0x1.7b58d2c05c73p-8, 0x1.6c0b0b4f191ep-6, -0x1.0149a15f4a9f9p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.164dd1cd3465p-8, 0x1.fd86e73152a83p-8, 0x1.1edb5ae5b5ee8p-6, -0x1.2d583c20c3ff8p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.f4855483a2e7ap-9, 0x1.2f18320d4cf51p-7, 0x1.88e82b515ca75p-7, -0x1.62dc984d3b247p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.b4aebd103066ep-9, 0x1.4bbd464b709b9p-7, 0x1.67fad312d8bdfp-8, -0x1.595e2e51d7f52p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.7139bce3bb059p-9, 0x1.5360972386e2dp-7, -0x1.b3b18a7aecce8p-11, -0x1.10de0746d603ep-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.2e2b09ee50d03p-9, 0x1.4877dc228db4bp-7, -0x1.7de706d7919d3p-8, -0x1.a3a10cbc712bfp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.dd9b7438c43a8p-10, 0x1.2f14220077edcp-7, -0x1.3cd7073deac1bp-7, -0x1.20647ed3a715ap-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6b4a14135429p-10, 0x1.0b119a41578b4p-7, -0x1.935b93b09ce31p-7, -0x1.3d91aa08a3207p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.08d8ba025d678p-10, 0x1.c0b3d3245a10bp-8, -0x1.c2fe39feb55afp-7, -0x1.bcb26e6b93ac6p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.705cf3f50321cp-11, 0x1.65ab86603f995p-8, -0x1.cb54c5aa53531p-7, 0x1.8d2d685d2517ep-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.e68ad53bdf9cap-12, 0x1.0cc859dd9a17ep-8, -0x1.ad8af77023bep-7, 0x1.e139168abefdep-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.2ff46ac635487p-12, 0x1.7c2f4edf4f761p-9, -0x1.655c00db53e51p-7, 0x1.1f1c79d8671f8p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.64586bad9f348p-13, 0x1.fcef787b0c023p-10, -0x1.0f39dc4d9b5a5p-7, 0x1.dda07bcbf5619p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.80b15722db6d6p-14, 0x1.409cbb2f9954bp-10, -0x1.8f29f9de06b18p-8, 0x1.995ed3c5987e6p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.7309dc56f40ap-15, 0x1.73048a735e54ap-11, -0x1.145a53ef8c25bp-8, 0x1.4dbee35b8cdddp-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, -0x1.2ff46ac63549fp-16, 0x1.7bf84a4a3bad8p-12, -0x1.607552a82a2d6p-9, 0x1.034144a1c04aap-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, -0x1.80b15722db778p-18, 0x1.4072e9979a6a9p-13, -0x1.89cf8627d4029p-10, 0x1.77314f154c442p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, -0x1.2ff46ac6354bfp-20, 0x1.7dc94f3b16a7ap-15, -0x1.5163e09c7fac6p-11, 0x1.9de6c8e20cc93p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, -0x1.2ff46ac636001p-24, 0x1.45142dbb79e54p-18, -0x1.64326d20466cp-13, 0x1.15011dc413455p-8}, 
      }}, 
      -0x1.04b1da425c20cp-4, 0x1.91d729980bc34p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.b4e337681ef72p-1, -0x1.ad510dd449129p-1, -0x1.a110a3cd4b022p-1, -0x1.90947f54b03d8p-1, -0x1.7c6067606c768p-1, -0x1.64ff88e8668b6p-1, -0x1.4afda03898f34p-1, -0x1.2ee2414bf310ap-1, -0x1.112da9a12e7ebp-1, -0x1.e4ad6b5c4eb34p-2, -0x1.a5936080e8a5cp-2, -0x1.65cf8741c7eb7p-2, -0x1.260dc210b730cp-2, -0x1.cdc7f56852e8dp-3, -0x1.51a62774a5f16p-3, -0x1.b120ac0dcb851p-4, -0x1.8cf076e0bce8ep-5, 0x1.b84c19c3e8a48p-8, 0x1.e7d53562c6a67p-5, 0x1.c203c282cbc94p-4, 0x1.42a555a808b91p-3, 0x1.9eb1f71bed549p-3, 0x1.f50c64ebe277cp-3, 0x1.22d4841a92809p-2, 0x1.4844e3721d595p-2, 0x1.6addf95284f59p-2, 0x1.8aab366d68675p-2, 0x1.a7bc008328b8ap-2, 0x1.c222fa231832ep-2, 0x1.d9f561677a40ap-2, 0x1.ef4a833da612p-2, 0x1.011da06a8f91ap-1, 0x1.0970d251aebaap-1, 0x1.10ac4274c1e35p-1, 0x1.16dd9912bf84dp-1, 0x1.1c129825b1d47p-1, 0x1.2058fce95486ep-1, 0x1.23be65e80cdb6p-1, 0x1.26503d2d3f35fp-1, 0x1.281ba63664be2p-1, 0x1.292d6f3a27681p-1, 0x1.2992055e00685p-1, 0x1.29556b7af6064p-1, 0x1.2883331d1ca1bp-1, 0x1.2726777429472p-1, 0x1.2549d9f425df3p-1, 0x1.22f7806bfdef5p-1, 0x1.2039145dcc64p-1, 0x1.1d17c36919be6p-1, 0x1.199c409ce838ap-1, 0x1.15cec68aa4855p-1, 0x1.11b719f620e17p-1, 0x1.0d5c8d0690344p-1, 0x1.08c602de223b1p-1, 0x1.03f9f37a7a10fp-1, 0x1.fdfcdf9c8c641p-2, 0x1.f3b24c0a31386p-2, 0x1.e91ecbb113959p-2, 0x1.de4c49dae5782p-2, 0x1.d34406712e333p-2, 0x1.c80e9e989b05ep-2, 0x1.bcb41538696fbp-2, 0x1.b13bdb46e3c6dp-2, 0x1.a5acd7da0ee4p-2, 0x1.9a0d6ff8bb98ap-2, 0x1.8e638e1b17c77p-2, 0x1.82b4a9628cb72p-2, 0x1.7705cc83099bdp-2, 0x1.6b5b9c4af033p-2, 0x1.5fba5dffdbaddp-2, 0x1.5425fd33a55cep-2, 0x1.48a2118e99abap-2, 0x1.3d31e405dbe02p-2, 0x1.31d873f970101p-2, 0x1.26987c1667a7bp-2, 0x1.1b7476a304eaap-2, 0x1.106ea203c61cp-2, 0x1.05890493c847cp-2, 0x1.f58ae0dd3b906p-3, 0x1.e04b0e496c772p-3, 0x1.cb5579f556614p-3, 0x1.b6acb8057269cp-3, 0x1.a2530e71fbb41p-3, 0x1.8e4a7a543a34dp-3, 0x1.7a94b51af5066p-3, 0x1.673339862982dp-3, 0x1.542747fb3518fp-3, 0x1.4171eaf002c14p-3, 0x1.2f13faa9a36e6p-3, 0x1.1d0e211a98022p-3, 0x1.0b60dd16a3337p-3, 0x1.f4190b4edaf91p-4, 0x1.d2229a11734b1p-4, 0x1.b0de86626e4e2p-4, 0x1.904cb18380699p-4, 0x1.706cc23ed896p-4, 0x1.513e29bafa0fbp-4, 0x1.32c027b0c26a9p-4, 0x1.14f1ce0f35957p-4, 0x1.efa40a8849fdcp-5, 0x1.b6bf1e4359b47p-5, 0x1.7f3214ddb7519p-5, 0x1.48f9ebdbfba93p-5, 0x1.1413664d7e518p-5, 0x1.c0f6252cbfbbap-6, 0x1.5c5a9dc3ee9adp-6, 0x1.f4993a98db394p-7, 0x1.358879e67f55ap-7, 0x1.edca8bbd08b2fp-9, -0x1.cdc8d7a6c2c1dp-10, -0x1.d417f5f636d2fp-8, -0x1.959795a4a7059p-7, -0x1.1e36e9861c1c3p-6, -0x1.6f507022f2eep-6, -0x1.be219080f8f01p-6, -0x1.0559ca1c73825p-5, -0x1.2a87eb2d20866p-5, -0x1.4e9fdfb41a90fp-5, -0x1.71a660759025cp-5, -0x1.93a028ac7d7f1p-5, -0x1.b491f44595fe4p-5, -0x1.d4807deb961b8p-5, -0x1.f3707deebb858p-5, -0x1.08b3540c3e5e5p-4, -0x1.1733d5787a708p-4, -0x1.253c171214a88p-4, -0x1.32ce68bd015c2p-4, -0x1.3fed15e0f288ap-4, -0x1.4c9a64ece4bap-4, -0x1.58d896f746b16p-4, -0x1.64a9e741f8787p-4, -0x1.70108aec8a86cp-4, -0x1.7b0eb096b1569p-4, -0x1.85a680482f54cp-4, -0x1.8fda1ae1e8d4p-4, -0x1.99ab9a073e03fp-4, -0x1.a31d101c23a37p-4, -0x1.ac3087d5b2cfcp-4, -0x1.b4e80429959acp-4, -0x1.bd45804c10f67p-4, -0x1.c54aef89901e8p-4, -0x1.ccfa3d185c421p-4, -0x1.d4554c1e759c1p-4, -0x1.db5df7c384c4dp-4, -0x1.e2161313bea58p-4, -0x1.e87f68e325a87p-4, -0x1.ee9bbbdc76bebp-4, -0x1.f46cc6d0fc75ap-4, -0x1.f9f43c6e2d2e9p-4, -0x1.ff33c746cd1f3p-4, -0x1.021684ff0bfc4p-3, -0x1.0470cfbd048d4p-3, -0x1.06a98d6f720b6p-3, -0x1.08c183b749f53p-3, -0x1.0ab97460d256bp-3, -0x1.0c921d8bcc6bp-3, -0x1.0e4c39aea6a6p-3, -0x1.0fe87f83507bcp-3, -0x1.1167a2199e0cp-3, -0x1.12ca51085650ap-3, -0x1.1411388c5fcfcp-3, -0x1.153d015f28efcp-3, -0x1.164e50cc483a9p-3, -0x1.1745c8d7142b6p-3, -0x1.182408699b715p-3, -0x1.18e9ab4568bf2p-3, -0x1.199749ff06067p-3, -0x1.1a2d7a11309a5p-3, -0x1.1aacce1875871p-3, -0x1.1b15d5d86c562p-3, -0x1.1b691e4339e12p-3, -0x1.1ba731690c0a7p-3, -0x1.1bd096a423b02p-3, -0x1.1be5d2b9710cp-3, -0x1.1be767ef4584cp-3, -0x1.1bd5d60319157p-3, -0x1.1bb19a22bd8e6p-3, -0x1.1b7b2f1cd1f3bp-3, -0x1.1b330d7218fffp-3, -0x1.1ad9ab7071318p-3, -0x1.1a6f7d22e1a55p-3, -0x1.19f4f461b774cp-3, -0x1.196a80e003ef9p-3, -0x1.18d0904bf45efp-3, -0x1.18278e592a86ap-3, -0x1.176fe4cbe4bc2p-3, -0x1.16a9fb704abafp-3, -0x1.15d6383e20c8fp-3, -0x1.14f4ff48bf741p-3, -0x1.1406b2ee0cb66p-3, -0x1.130bb3d654606p-3, -0x1.120460fb88136p-3, -0x1.10f117a82242ap-3, -0x1.0fd2338b2e532p-3, -0x1.0ea80eb1ef168p-3, -0x1.0d7301b31300ap-3, -0x1.0c3363a73234cp-3, -0x1.0ae98a2f7653dp-3, -0x1.0995c97529e4ep-3, -0x1.08387430ad8aap-3, -0x1.06d1dbbf1f501p-3, -0x1.05625020cd129p-3, -0x1.03ea2010268a4p-3, -0x1.026998f86926p-3, -0x1.00e106f8b42d1p-3, -0x1.fea169d245ee1p-4, -0x1.fb71d8cb8944dp-4, -0x1.f833ebaf0d55ap-4, -0x1.f4e8310dba603p-4, -0x1.f18f34f61bec5p-4, -0x1.ee29815577079p-4, -0x1.eab79daeb338ap-4, -0x1.e73a0f3e3ee55p-4, -0x1.e3b1591c3dad3p-4, -0x1.e01dfc3645c36p-4, -0x1.dc80775b4fb23p-4, -0x1.d8d9473575773p-4, -0x1.d528e6616a3ebp-4, -0x1.d16fcd40304b1p-4, -0x1.cdae724763aa4p-4, -0x1.c9e549d43916ep-4, -0x1.c614c651267c5p-4, -0x1.c23d583043ec8p-4, -0x1.be5f6de950f86p-4, -0x1.ba7b73fc1fee6p-4, -0x1.b691d4f5f048dp-4, -0x1.b2a2f978516aep-4, -0x1.aeaf484208d06p-4, -0x1.aab7263b152b4p-4, -0x1.a6baf6620d25ap-4, -0x1.a2bb19ede42ebp-4, -0x1.9eb7f03051862p-4, -0x1.9ab1d6a7d1639p-4, -0x1.96a92901d6db5p-4, -0x1.929e4121423dp-4, -0x1.8e91772434e4ap-4, -0x1.8a832166d4f6bp-4, -0x1.86739484d8abbp-4, -0x1.8263235994ea7p-4, -0x1.7e521efe7a13bp-4, -0x1.7a40d6e541665p-4, -0x1.762f98a26e5c5p-4, -0x1.721eb0473e169p-4, -0x1.6e0e681d7f6eep-4, -0x1.69ff08c93197fp-4, -0x1.65f0d94b845d8p-4, -0x1.61e41efb6fe19p-4, -0x1.5dd91d8bd76a7p-4, -0x1.59d0170f287eep-4, -0x1.55c94bfb8f2fep-4, -0x1.51c4fb2f5af12p-4, -0x1.4dc361f4b02d6p-4, -0x1.49c4bc047e258p-4, -0x1.45c9438537059p-4, -0x1.41d13120d8a6ap-4, -0x1.3ddcbbd9a0f46p-4, -0x1.39ec194e7f63dp-4, -0x1.35ff7d7aec2edp-4, -0x1.32171af557e28p-4, -0x1.2e3322d02c3d8p-4, -0x1.2a53c4a7ce2dfp-4, -0x1.26792ea5b9ddp-4, -0x1.22a38d84ee90dp-4, -0x1.1ed30c91dcbaap-4, -0x1.1b07d5af8359cp-4, -0x1.1742115d41dd7p-4, -0x1.1381e6b4bc6a8p-4, -0x1.0fc77b797358cp-4, -0x1.0c12f411860a5p-4, -0x1.0864738d37adfp-4, -0x1.04bc1bb6543fbp-4, -0x1.011a0cf5a127dp-4, -0x1.fafccd079c0f9p-5, -0x1.f3d28c785dff1p-5, -0x1.ecb5918d805f7p-5, -0x1.e5a61319114b1p-5, -0x1.dea445787cb5dp-5, -0x1.d7b05aa92a6e8p-5, -0x1.d0ca82461e23p-5, -0x1.c9f2e99478ccdp-5, -0x1.c329bb8cce6a9p-5, -0x1.bc6f20e625738p-5, -0x1.b5c3401905583p-5, -0x1.af263d685e74ap-5, -0x1.a8983af4f10aap-5, -0x1.a21958bcf389ap-5, -0x1.9ba9b4a8afc76p-5, -0x1.95496a90bb176p-5, -0x1.8ef8944ab7c1bp-5, -0x1.88b749c1ed409p-5, -0x1.8285a0beaea03p-5, -0x1.7c63ad67bf862p-5, -0x1.765181d5fba67p-5, -0x1.704f2e5e11112p-5, -0x1.6a5cc184df3fap-5, -0x1.647a480a58462p-5, -0x1.5ea7ccf3d5491p-5, -0x1.58e55997bc5dp-5, -0x1.5332f5aa28a7bp-5, -0x1.4d90a747d8f0fp-5, -0x1.47fe72fe10c0ep-5, -0x1.427c5bd017664p-5, -0x1.3d0a633b60a41p-5, -0x1.37a8893deea8p-5, -0x1.3256cc610efeep-5, -0x1.2d1529c88d44cp-5, -0x1.27e39d43c8e9dp-5, -0x1.22c2215bbab4fp-5, -0x1.1db0af5bd49e7p-5, -0x1.18af3f4d15dc5p-5, -0x1.13bdc80c8b9fp-5, -0x1.0edc3f12f1247p-5, -0x1.0a0a98c7cbb53p-5, -0x1.0548c846cd908p-5, -0x1.0096bfb209b22p-5, -0x1.f7e8e06428617p-6, -0x1.eec39414ac059p-6, -0x1.e5bd7931eb8bep-6, -0x1.dcd66c9499a3ap-6, -0x1.d40e490ad6f73p-6, -0x1.cb64e7453a062p-6, -0x1.c2da1de90c1cep-6, -0x1.ba6dc1cdf1be3p-6, -0x1.b21fa6554ef8fp-6, -0x1.a9ef9dc967eb2p-6, -0x1.a1dd7970aca48p-6, -0x1.99e9098f671aap-6, -0x1.92121d2af5556p-6, -0x1.8a588196b0a24p-6, -0x1.82bc0237fa27dp-6, -0x1.7b3c6892c3024p-6, -0x1.73d97c9a5cac7p-6, -0x1.6c9305484f253p-6, -0x1.6568c932781e9p-6, -0x1.5e5a8f088165fp-6, -0x1.57681d583f186p-6, -0x1.50913a5634689p-6, -0x1.49d5ab3031205p-6, -0x1.43353315e3e84p-6, -0x1.3caf931c8126cp-6, -0x1.36448a5ba991cp-6, -0x1.2ff3d6b2bbaeap-6, -0x1.29bd35dfcd0f5p-6, -0x1.23a066895d73ep-6, -0x1.1d9d28ceac031p-6, -0x1.17b33e1ee587ep-6, -0x1.11e26855b4a49p-6, -0x1.0c2a68678429ep-6, -0x1.068afd18f0bd5p-6, -0x1.0103e242bce2dp-6, -0x1.f729a1f171f51p-7, -0x1.ec7b0139f9539p-7, -0x1.e1fb5125f93a7p-7, -0x1.d7aa040b11ebbp-7, -0x1.cd86923e81771p-7, -0x1.c3907a76794ccp-7, -0x1.b9c73fd6231f7p-7, -0x1.b02a66340caebp-7, -0x1.a6b96dd98d081p-7, -0x1.9d73d02d56774p-7, -0x1.9458fe81807b8p-7, -0x1.8b6863813ffc3p-7, -0x1.82a1671972b35p-7, -0x1.7a0373274991p-7, -0x1.718df880a5d9fp-7, -0x1.694072035e4c5p-7, -0x1.611a63df83888p-7, -0x1.591b58ddce7dp-7, -0x1.5142dcca5f146p-7, -0x1.4990769c6a518p-7, -0x1.4203a40e67c6dp-7, -0x1.3a9bd814e462ep-7, -0x1.33587caec0ea7p-7, -0x1.2c38f7918b26bp-7, -0x1.253cb07c97d05p-7, -0x1.1e63178e4aecap-7, -0x1.17aba9debc1c9p-7, -0x1.1115f2e2156f3p-7, -0x1.0aa189d62e79dp-7, -0x1.044e0bb192311p-7, -0x1.fc362698a0931p-8, -0x1.f0106467cfce4p-8, -0x1.e429d8bdc4f15p-8, -0x1.d8816fbc45f42p-8, -0x1.cd1600716533ap-8, -0x1.c1e658b60bf53p-8, -0x1.b6f14b2dbde1bp-8, -0x1.ac35bced103a5p-8, -0x1.a1b2b04a4a79bp-8, -0x1.97674a7d91d9dp-8, -0x1.8d52d1786b402p-8, -0x1.8374a165df7afp-8, -0x1.79cc1c13b1951p-8, -0x1.70589756e370bp-8, -0x1.671950a1b46b3p-8, -0x1.5e0d67fa3cc8bp-8, -0x1.5533e4a48f4a7p-8, -0x1.4c8bbd389e6edp-8, -0x1.4413dfdb78dd1p-8, -0x1.3bcb3b2968f1cp-8, -0x1.33b0c682289c4p-8, -0x1.2bc38bd86a64p-8, -0x1.2402b1122c5d9p-8, -0x1.1c6d7cd02b486p-8, -0x1.150352a9c1987p-8, -0x1.0dc3a6b158122p-8, -0x1.06aded2f0a6e8p-8, -0x1.ff831c2c27b9dp-9, -0x1.f1fbc2a5e4f26p-9, -0x1.e4c465e0ae923p-9, -0x1.d7db91972b406p-9, -0x1.cb3fc6f0bd012p-9, -0x1.beef72afcd1ebp-9, -0x1.b2e8e2b4b0ef3p-9, -0x1.a72a49b88b96fp-9, -0x1.9bb1d7199aabep-9, -0x1.907dd9583601bp-9, -0x1.858cd83908a58p-9, -0x1.7add971f60dbdp-9, -0x1.706eff5d1e471p-9, -0x1.66400278b6095p-9, -0x1.5c4f895ddf5dcp-9, -0x1.529c7a979ac24p-9, -0x1.4925ceb7943fdp-9, -0x1.3fea9d7301b89p-9, -0x1.36ea11ae69fc7p-9, -0x1.2e2345367dbebp-9, -0x1.25951989c166ep-9, -0x1.1d3e285fab9c5p-9, -0x1.151cda43ce69dp-9, -0x1.0d2f958c224f6p-9, -0x1.0574ee06c56dp-9, -0x1.fbd7683f9cb16p-10, -0x1.ed25d22675e4fp-10, -0x1.ded336e499a42p-10, -0x1.d0dd9dd624834p-10, -0x1.c342fc490511cp-10, -0x1.b601649b012d4p-10, -0x1.a9173e23d2631p-10, -0x1.9c8357bb770a6p-10, -0x1.9044b8a2fe166p-10, -0x1.845a3d474609fp-10, -0x1.78c23904917f1p-10, -0x1.6d7a5dd310cbp-10, -0x1.627ffb1e1f8fap-10, -0x1.57d069f4c4bb1p-10, -0x1.4d6965dbe35b7p-10, -0x1.4349299973a28p-10, -0x1.396e4f2de2554p-10, -0x1.2fd79031a848bp-10, -0x1.2683926425263p-10, -0x1.1d70da10fd727p-10, -0x1.149de0197b7cfp-10, -0x1.0c093d4a07a47p-10, -0x1.03b1d4252f98cp-10, -0x1.f72da9605424dp-11, -0x1.e76f0a6b46294p-11, -0x1.d825cd3e8b94ap-11, -0x1.c94ee628a0703p-11, -0x1.bae64ec94c3aap-11, -0x1.ace7940f69f2cp-11, -0x1.9f4e6f40ae189p-11, -0x1.921727980f381p-11, -0x1.853ec9f5eb9bcp-11, -0x1.78c3396a278a1p-11, -0x1.6ca2fc1170955p-11, -0x1.60dcce94a11e3p-11, -0x1.556f38e807f13p-11, -0x1.4a58631d3a596p-11, -0x1.3f96439d2814ep-11, -0x1.3526f75b48ccap-11, -0x1.2b08f3069f92fp-11, -0x1.213aedc38b6b3p-11, -0x1.17bba8ea33016p-11, -0x1.0e89abcfc3d2bp-11, -0x1.05a30a67921e9p-11, -0x1.fa0ac0d96c1e6p-12, -0x1.e95bbb8e66fffp-12, -0x1.d93279720bd63p-12, -0x1.c987c8f1f4488p-12, -0x1.ba55381c3e26p-12, -0x1.ab96af5266d8ep-12, -0x1.9d4a738c27318p-12, -0x1.8f6f8ad08ef6cp-12, -0x1.820441dce5ea9p-12, -0x1.750637e2de27p-12, -0x1.68733a1ca39b4p-12, -0x1.5c49574772867p-12, -0x1.508617aa66916p-12, -0x1.45264f8eb381fp-12, -0x1.3a27057d2d025p-12, -0x1.2f864f727f451p-12, -0x1.25432e6e5b66dp-12, -0x1.1b5cb38175c02p-12, -0x1.11d14dffc4adp-12, -0x1.089e4a8ddb12dp-12, -0x1.ff7e39f1182dp-13, -0x1.ee5b6129c36f3p-13, -0x1.ddc9cb770c05fp-13, -0x1.cdc516902108p-13, -0x1.be4bc11429132p-13, -0x1.af59b2a768668p-13, -0x1.a0e83904b6038p-13, -0x1.92f2c3fef1389p-13, -0x1.8578bbc90ec3cp-13, -0x1.787a0a60cc172p-13, -0x1.6bf3d193bdc7cp-13, -0x1.5fe0d3171230ap-13, -0x1.543bc09044dbbp-13, -0x1.490110eed3131p-13, -0x1.3e2f67b1fe24bp-13, -0x1.33c67d396c91ep-13, -0x1.29c59a4a93aabp-13, -0x1.202b21fd286fap-13, -0x1.16f430948f942p-13, -0x1.0e1aba3ac7112p-13, -0x1.05966c4b3afd7p-13, -0x1.fac5c1c276cbfp-14, -0x1.eb0254dc9c49dp-14, -0x1.dbe1638050ab4p-14, -0x1.cd571f52cac0bp-14, -0x1.bf57b36549fd3p-14, -0x1.b1df31c87f083p-14, -0x1.a4ebeb6fcd161p-14, -0x1.987932ff3b8cfp-14, -0x1.8c8175e2c3db7p-14, -0x1.8100aac6324bdp-14, -0x1.75f3a18da2142p-14, -0x1.6b570092db2cp-14, -0x1.61279f55cbd75p-14, -0x1.576346ef172c4p-14, -0x1.4e084fdca43eap-14, -0x1.4514a338b97cp-14, -0x1.3c862c758ce09p-14, -0x1.345aac6ae7a0cp-14, -0x1.2c8b62845b66bp-14, -0x1.250dbfebcca0fp-14, -0x1.1dde5a776fcacp-14, -0x1.16ffb53fa0b3bp-14, -0x1.106dbe36774c8p-14, -0x1.0a21bae1d5ae2p-14, -0x1.041c2362a8a8fp-14, -0x1.fcbd069cf71dfp-15, -0x1.f1c93e1ef9928p-15, -0x1.e74f8243696ccp-15, -0x1.dd451b0d05b76p-15, -0x1.d3a3ccc1e3ff4p-15, -0x1.ca6926451d4b1p-15, -0x1.c19458d01bc9bp-15, -0x1.b923adbc93cf4p-15, -0x1.b113a0ce73a98p-15, -0x1.a96012b014f78p-15, -0x1.a205c0a036835p-15, -0x1.9b022264b65f3p-15, -0x1.94534f9a784e2p-15, -0x1.8df8dce84a347p-15, -0x1.87ee90e39cb2p-15, -0x1.82279c320e3c5p-15, -0x1.7c9dd59510b95p-15, -0x1.7751c0d575956p-15, -0x1.723c6e3327516p-15, -0x1.6d5d5aaba228dp-15, -0x1.68b99b13801fbp-15, -0x1.644e700e93d0ap-15, -0x1.6016b26af5e67p-15, -0x1.5c0fae240a564p-15, -0x1.58375a3e3c671p-15, -0x1.548a3eb5d325ep-15, -0x1.5103767c24d4p-15, -0x1.4d9ea967d7582p-15, -0x1.4a5a513bbe535p-15, -0x1.4736ee56f52e2p-15, -0x1.4433e512f7a0fp-15, -0x1.414e89bd1dbacp-15, -0x1.3e84de0f462eap-15, -0x1.3bd6c22d25867p-15, -0x1.394336dcd6845p-15, -0x1.36c921a5591a9p-15, -0x1.3468ad541d6c6p-15, -0x1.321c9be9cfad5p-15, -0x1.2fdf6f3321fa4p-15, -0x1.2db11b8e62f6bp-15, -0x1.2b901d1b35db9p-15, -0x1.297f6e8c9500dp-15, -0x1.277ebc3cb3f9p-15, -0x1.258a8e7fe3a1bp-15, -0x1.23a141f843558p-15, -0x1.21c25c5952ceap-15, -0x1.1fedaa38adb4cp-15, -0x1.1e2315746f76cp-15, -0x1.1c624c1aca583p-15, -0x1.1aa9e74ff9d01p-15, -0x1.18f718c9b8d0bp-15, -0x1.1747b61e9800ap-15, -0x1.159c3bec3486fp-15, -0x1.13f55131deea4p-15, -0x1.125170e27a4a4p-15, -0x1.10aff249ed507p-15, -0x1.0f11eaacdc801p-15, -0x1.0d76b227d9affp-15, }}, 
      {{-0x1.b697f50a5ff8ep-1, -0x1.b40a8dc719e89p-1, -0x1.afdd93c6a665ep-1, -0x1.aa2a5ac7bc118p-1, -0x1.a30f06d038897p-1, -0x1.9aac86638c50dp-1, -0x1.912514e56e5cfp-1, -0x1.869b2361c2957p-1, -0x1.7b308d5407d2p-1, -0x1.6f06066821644p-1, -0x1.623ab3a2d7f09p-1, -0x1.54ebe66bebe25p-1, -0x1.4734f1bf04133p-1, -0x1.392f1398674dbp-1, -0x1.2af16e14449bep-1, -0x1.1c910c64d3b2p-1, -0x1.0e20f0a5cb684p-1, -0x1.ff645054dc55ep-2, -0x1.e2a7c8940c2c9p-2, -0x1.c6272ce44d697p-2, -0x1.a9fa1b4962e0dp-2, -0x1.8e3529ed830ccp-2, -0x1.72ea2412982f6p-2, -0x1.582845a10feaep-2, -0x1.3dfc749f081e5p-2, -0x1.2471779964d92p-2, -0x1.0b90292c6b547p-2, -0x1.e6bf4f5aff455p-3, -0x1.b7cb03b8e11d2p-3, -0x1.8a4bbfe25d0eap-3, -0x1.5e475356b5a6bp-3, -0x1.33c152f6f911ep-3, -0x1.0abb59a40ea03p-3, -0x1.c66a86aeb3ed7p-4, -0x1.7a5ac76123db9p-4, -0x1.31416e7329e0ep-4, -0x1.d62c42ac3ec96p-5, -0x1.4f9d07be0ffa5p-5, -0x1.9d7a095eef00ap-6, -0x1.4dc4a59b09782p-7, 0x1.13204d2f4e37p-8, 0x1.25c42cb978cdep-6, 0x1.fc543e4945333p-6, 0x1.645e8f624b3fep-5, 0x1.c5a2cd74e58ecp-5, 0x1.110d7aabe5198p-4, 0x1.3cf5cd8c276d4p-4, 0x1.669cca786557p-4, 0x1.8e14e5e630c89p-4, 0x1.b37088bdbd777p-4, 0x1.d6c1fe7029ed5p-4, 0x1.f81b656b73ca8p-4, 0x1.0bc750d1ee915p-3, 0x1.1a96a8a316fdp-3, 0x1.288461998482ep-3, 0x1.3598f7853a04p-3, 0x1.41dcb74320543p-3, 0x1.4d57bc6f282ep-3, 0x1.5811eeb4e470bp-3, 0x1.621300e2bd363p-3, 0x1.6b626f7b704cbp-3, 0x1.7407800aa9e6ep-3, 0x1.7c0940bfae4b2p-3, 0x1.836e885326cdep-3, 0x1.8a3df62ddda7ap-3, 0x1.907df2c7abcd8p-3, 0x1.9634b03623336p-3, 0x1.9b682ae3f3f1p-3, 0x1.a01e2a69cd32dp-3, 0x1.a45c428438ca2p-3, 0x1.a827d41e87a03p-3, 0x1.ab860e7426f87p-3, 0x1.ae7bf03ae3ce9p-3, 0x1.b10e48dbc180dp-3, 0x1.b341b9b9d2a66p-3, 0x1.b51ab76c9808p-3, 0x1.b69d8b1765a8ep-3, 0x1.b7ce53ae71558p-3, 0x1.b8b1073c94a35p-3, 0x1.b949743ebe275p-3, 0x1.b99b42e141613p-3, 0x1.b9a9f63cfb8dp-3, 0x1.b978eda7a8317p-3, 0x1.b90b65df46c2dp-3, 0x1.b8647a3d72cf1p-3, 0x1.b78725eee8e3fp-3, 0x1.b676450be3285p-3, 0x1.b53495c4eeac7p-3, 0x1.b3c4b96a50812p-3, 0x1.b229358c9976bp-3, 0x1.b06474f11badp-3, 0x1.ae78c89e2a8ep-3, 0x1.ac6868d6c4e82p-3, 0x1.aa3575efaba94p-3, 0x1.a7e1f95f3d701p-3, 0x1.a56fe67b0778ap-3, 0x1.a2e11b62122b8p-3, 0x1.a03761ceab6bdp-3, 0x1.9d746fcb35644p-3, 0x1.9a99e89c7a1f3p-3, 0x1.97a95d55b57ebp-3, 0x1.94a44da39730ep-3, 0x1.918c28755e6b5p-3, 0x1.8e624ca2dfc26p-3, 0x1.8b28099b20448p-3, 0x1.87de9fe3f9343p-3, 0x1.848741d768be6p-3, 0x1.8123140f06e15p-3, 0x1.7db32e08e3b7ap-3, 0x1.7a389a9c2487cp-3, 0x1.76b4589f5fcfp-3, 0x1.73275b1c2a08cp-3, 0x1.6f928a183921ap-3, 0x1.6bf6c2c698787p-3, 0x1.6854d83158602p-3, 0x1.64ad936df348bp-3, 0x1.6101b42653b01p-3, 0x1.5d51f0ef2d981p-3, 0x1.599ef7a8999efp-3, 0x1.55e96dd92466ep-3, 0x1.5231f10355d27p-3, 0x1.4e7917092d399p-3, 0x1.4abf6e57aaf14p-3, 0x1.47057e69fc425p-3, 0x1.434bc7e3af501p-3, 0x1.3f92c4f582d51p-3, 0x1.3bdae999c3fep-3, 0x1.3824a3d6f18e5p-3, 0x1.34705c003239fp-3, 0x1.30be74f2b9812p-3, 0x1.2d0f4c50cafa9p-3, 0x1.29633ab85513bp-3, 0x1.25ba94094082dp-3, 0x1.2215a76f6724cp-3, 0x1.1e74bfc67c636p-3, 0x1.1ad823bcd49d5p-3, 0x1.174015e66b8b9p-3, 0x1.13acd50763f1ap-3, 0x1.101e9c3314a55p-3, 0x1.0c95a2f69e6f5p-3, 0x1.09121d807afc2p-3, 0x1.05943cc60da13p-3, 0x1.021c2ea7b3bd8p-3, 0x1.fd543c2726569p-4, 0x1.f67c664ca90dep-4, 0x1.efb12692fd10ep-4, 0x1.e8f2c2c4ce781p-4, 0x1.e2417b8b67fb4p-4, 0x1.db9d8d105acd5p-4, 0x1.d5072eef9b3a6p-4, 0x1.ce7e9476dae4bp-4, 0x1.c803ece63303cp-4, 0x1.c19763943bcebp-4, 0x1.bb39201e9091dp-4, 0x1.b4e94694f40e7p-4, 0x1.aea7f7a44013ap-4, 0x1.a87550bdd05f6p-4, 0x1.a2516c3d6fbfp-4, 0x1.9c3c618e67866p-4, 0x1.9636439d09e93p-4, 0x1.903f297215369p-4, 0x1.8a571d5b5ed12p-4, 0x1.847e2e082c0bfp-4, 0x1.7eb466257b986p-4, 0x1.78f9ce197d876p-4, 0x1.734e6c55b4f0dp-4, 0x1.6db2452c94631p-4, 0x1.68255b140021dp-4, 0x1.62a7aeb5a5befp-4, 0x1.5d393f0179486p-4, 0x1.57da094395939p-4, 0x1.528a0939815fep-4, 0x1.4d493925f799cp-4, 0x1.481791e4942c8p-4, 0x1.42f50afafa7d5p-4, 0x1.3de19aa946e0dp-4, 0x1.38dd35fc68c66p-4, 0x1.33e7d0db64136p-4, 0x1.2f015e18d4278p-4, 0x1.2a29cf7eba8d4p-4, 0x1.256115de36d66p-4, 0x1.20a72119ff7b3p-4, 0x1.1bfbe030bcd24p-4, 0x1.175f4169bd4edp-4, 0x1.12d13205a35f2p-4, 0x1.0e519eac8215fp-4, 0x1.09e0737550dd4p-4, 0x1.057d9b8a310fp-4, 0x1.01290196c1558p-4, 0x1.f9c51f542d2c8p-5, 0x1.f1545e87667aap-5, 0x1.e8ff92b79bbb7p-5, 0x1.e0c68cd839fc4p-5, 0x1.d8a91ce6f264cp-5, 0x1.d0a7120bd9db5p-5, 0x1.c8c03a93cdd95p-5, 0x1.c0f4640a191e9p-5, 0x1.b9435b40606c7p-5, 0x1.b1acec5b7eb94p-5, 0x1.aa30e2e01f3e9p-5, 0x1.a2cf09b79071ep-5, 0x1.9b872b48d27bp-5, 0x1.9459117300f58p-5, 0x1.8d44859fe0d4bp-5, 0x1.864950ca2525cp-5, 0x1.7f673b86e743ep-5, 0x1.789e0e0e004bcp-5, 0x1.71ed90416102p-5, 0x1.6b5589ad366acp-5, 0x1.64d5c1df7bdcdp-5, 0x1.5e6dffa017351p-5, 0x1.581e09c18544fp-5, 0x1.51e5a743093b8p-5, 0x1.4bc49e6d51f3dp-5, 0x1.45bab5a72370dp-5, 0x1.3fc7b332b6893p-5, 0x1.39eb5d3b4a4e3p-5, 0x1.342579cbdc0b5p-5, 0x1.2e75cefb1f75ap-5, 0x1.28dc22bd765e7p-5, 0x1.23583b14814fp-5, 0x1.1de9ddfd45c9p-5, 0x1.1890d17c0c18dp-5, 0x1.134cdb9f8020dp-5, 0x1.0e1dc284c59f3p-5, 0x1.09034c5b92151p-5, 0x1.03fd3f6a0beacp-5, 0x1.fe16c4179aedp-6, 0x1.f45af5a089769p-6, 0x1.eac6a096e773bp-6, 0x1.e15952853ba62p-6, 0x1.d812994d25d9cp-6, 0x1.cef203204a31fp-6, 0x1.c5f71e8dfb316p-6, 0x1.bd217a888aa81p-6, 0x1.b470a66ae7561p-6, 0x1.abe431fe2083fp-6, 0x1.a37bad7e3a63dp-6, 0x1.9b36a99dc3ad4p-6, 0x1.9314b78af3e13p-6, 0x1.8b1568ffffe59p-6, 0x1.8338505abaeacp-6, 0x1.7b7d002076b6p-6, 0x1.73e30b94a8843p-6, 0x1.6c6a070bb41aep-6, 0x1.651186b313252p-6, 0x1.5dd91fb465421p-6, 0x1.56c067cc26ad6p-6, 0x1.4fc6f5562778ep-6, 0x1.48ec5f53a9f47p-6, 0x1.42303d6efd372p-6, 0x1.3b9227fe99b21p-6, 0x1.3511b808603e9p-6, 0x1.2eae874e8e988p-6, 0x1.2868301aeb337p-6, 0x1.223e4dc06d75ep-6, 0x1.1c307bf66d544p-6, 0x1.163e576cd5ebcp-6, 0x1.10677d75f3474p-6, 0x1.0aab8c2b8b564p-6, 0x1.050a226a915c4p-6, 0x1.ff05bfa9dd431p-7, 0x1.f42ac9a666709p-7, 0x1.e982a52d85343p-7, 0x1.df0c9636a4ecfp-7, 0x1.d4c7e250886b2p-7, 0x1.cab3d0a69f175p-7, 0x1.c0cfa9ffa7eb4p-7, 0x1.b71ab8c4f32dep-7, 0x1.ad9449138975cp-7, 0x1.a43ba865deb0ap-7, 0x1.9b10266932942p-7, 0x1.921113bce7417p-7, 0x1.893dc357e114dp-7, 0x1.8095897cac873p-7, 0x1.7817bc322e48p-7, 0x1.6fc3b330c6891p-7, 0x1.6798c7db7ba0bp-7, 0x1.5f965535bd81ap-7, 0x1.57bbb84e6f519p-7, 0x1.50084fbbd1d29p-7, 0x1.487b7b4655852p-7, 0x1.41149c7e0c087p-7, 0x1.39d3182a1e4e4p-7, 0x1.32b652d75f10ap-7, 0x1.2bbdb3a66851cp-7, 0x1.24e8a351abep-7, 0x1.1e368c6c4f1eap-7, 0x1.17a6db04c370fp-7, 0x1.1138fcb5762c6p-7, 0x1.0aec61a74bd88p-7, 0x1.04c07a82cdfaep-7, 0x1.fd6974f28435ap-8, 0x1.f1912c43a0e45p-8, 0x1.e5f7079afb704p-8, 0x1.da99f6f702c4bp-8, 0x1.cf78edaf59526p-8, 0x1.c492e27305789p-8, 0x1.b9e6cf466efbfp-8, 0x1.af73b1815c7d3p-8, 0x1.a53889cc5e01bp-8, 0x1.9b345c1c32fa8p-8, 0x1.91662facb5923p-8, 0x1.87cd0efb2f1bdp-8, 0x1.7e6807c140003p-8, 0x1.75362af1354dbp-8, 0x1.6c368ca373cb2p-8, 0x1.63684465af64fp-8, 0x1.5aca6ca089d6ep-8, 0x1.525c2352e397ap-8, 0x1.4a1c88c003e03p-8, 0x1.420ac1ca92ac9p-8, 0x1.3a25f4a81f492p-8, 0x1.326d4c28464e5p-8, 0x1.2adff542300f5p-8, 0x1.237d202aba1cap-8, 0x1.1c44002310987p-8, 0x1.1533cb76ba083p-8, 0x1.0e4bbb73ded03p-8, 0x1.078b0c634fa9dp-8, 0x1.00f0fd78c53a9p-8, 0x1.f4f9a1877c468p-9, 0x1.e85b96484fbbfp-9, 0x1.dc0668898ca26p-9, 0x1.cff8ad3414955p-9, 0x1.c430feae65ac5p-9, 0x1.b8adfcf85817fp-9, 0x1.ad6e512392dc8p-9, 0x1.a270a1db8c825p-9, 0x1.97b3a134b8bf3p-9, 0x1.8d3608156fc57p-9, 0x1.82f690b21e43p-9, 0x1.78f3fad91b1c5p-9, 0x1.6f2d0c6b29a4fp-9, 0x1.65a08f1e8f253p-9, 0x1.5c4d53d849302p-9, 0x1.53322f9558997p-9, 0x1.4a4dfafe7e4e3p-9, 0x1.419f9638949bap-9, 0x1.3925e551c6d16p-9, 0x1.30dfd143d3c98p-9, 0x1.28cc479a492a7p-9, 0x1.20ea3a4fd5ae3p-9, 0x1.19389fbe30577p-9, 0x1.11b672ac3a85cp-9, 0x1.0a62b2651a4fbp-9, 0x1.033c62d199d3ep-9, 0x1.f885190ce04acp-10, 0x1.eae8797b9d738p-10, 0x1.dda10a7714edfp-10, 0x1.d0acf840cb9a9p-10, 0x1.c40a776d243bep-10, 0x1.b7b7c4866cb19p-10, 0x1.abb323cb92dc4p-10, 0x1.9ffae11250c33p-10, 0x1.948d4fc924fb6p-10, 0x1.8968cb0f39ebdp-10, 0x1.7e8bb5d711456p-10, 0x1.73f47afa410ccp-10, 0x1.69a18d4ce9b62p-10, 0x1.5f91678ff6949p-10, 0x1.55c28c9e36d4dp-10, 0x1.4c3384b30e0eap-10, 0x1.42e2e3789db5p-10, 0x1.39cf4228cece8p-10, 0x1.30f73ba08addbp-10, 0x1.285977512a981p-10, 0x1.1ff49ffcdcc2bp-10, 0x1.17c766d2fea37p-10, 0x1.0fd083258ee02p-10, 0x1.080eb2a45ddb2p-10, 0x1.0080b9af5dedbp-10, 0x1.f24ac73aec736p-11, 0x1.e3f705b78782bp-11, 0x1.d603e194b99d6p-11, 0x1.c86f1acbdb995p-11, 0x1.bb367d7c1fdfp-11, 0x1.ae57e0a3085ep-11, 0x1.a1d124d8a89bbp-11, 0x1.95a0334c93e41p-11, 0x1.89c2fd47e830cp-11, 0x1.7e377c3b32a7p-11, 0x1.72fbb219428d4p-11, 0x1.680db4340d617p-11, 0x1.5d6b9791e687ep-11, 0x1.531382174f2edp-11, 0x1.4903aa2a18ee8p-11, 0x1.3f3a59f2ddf33p-11, 0x1.35b5d6bee39b2p-11, 0x1.2c7477f19076ap-11, 0x1.23749ba01c62p-11, 0x1.1ab4a5ad63b5fp-11, 0x1.1232ff0dc3c1cp-11, 0x1.09ee1677352dap-11, 0x1.01e45b5d7001fp-11, 0x1.f428a109351d9p-12, 0x1.e4f8f5febef09p-12, 0x1.d636caa9f0a28p-12, 0x1.c7df62ed3bf9p-12, 0x1.b9f00e081a5b5p-12, 0x1.ac66304361776p-12, 0x1.9f3f3e3929cfep-12, 0x1.9278ba56dcb39p-12, 0x1.861033057d2b9p-12, 0x1.7a0340e706ecep-12, 0x1.6e4f85123eb8ep-12, 0x1.62f2a807fb4a1p-12, 0x1.57ea5a72ae455p-12, 0x1.4d3458243605fp-12, 0x1.42ce6c560da06p-12, 0x1.38b67513cc917p-12, 0x1.2eea63e16142p-12, 0x1.25683b3cced41p-12, 0x1.1c2e0aaec7e89p-12, 0x1.1339ebb800016p-12, 0x1.0a8a01022e9a1p-12, 0x1.021c776c02d56p-12, 0x1.f3df0e5defebbp-13, 0x1.e402e72eb22d2p-13, 0x1.d4a1125d7db2bp-13, 0x1.c5b6375dfc87fp-13, 0x1.b73f0b4273d52p-13, 0x1.a93854c039b5ep-13, 0x1.9b9ef31414bdbp-13, 0x1.8e6fe2dff8dd9p-13, 0x1.81a83cf7fb5d2p-13, 0x1.75452f11c4005p-13, 0x1.6943f2d8ccd66p-13, 0x1.5da1c957a6c27p-13, 0x1.525bff289af52p-13, 0x1.476fecfeb6dep-13, 0x1.3cdaf859f755cp-13, 0x1.329ad18afa9fep-13, 0x1.28ace4803993fp-13, 0x1.1f0efa55b688p-13, 0x1.15bec355111e1p-13, 0x1.0cba00f1825dcp-13, 0x1.03fe82ccbdc22p-13, 0x1.f714543e12894p-14, 0x1.e6b5d66596db1p-14, 0x1.d6dd9512e911dp-14, 0x1.c787ad43d3c2cp-14, 0x1.b8b04511491ap-14, 0x1.aa538b68dcd31p-14, 0x1.9c6dc3d0a698ep-14, 0x1.8efb545f2d03p-14, 0x1.81f8c9c6c527ep-14, 0x1.7562ccb1a8bd6p-14, 0x1.6936548f8e94p-14, 0x1.5d702f8bd6763p-14, 0x1.520d2521f88f2p-14, 0x1.470a6723f519fp-14, 0x1.3c653b95517b3p-14, 0x1.321a9e05d3f57p-14, 0x1.2827cd9d56401p-14, 0x1.1e8a114fb3679p-14, 0x1.153ebe3b457c7p-14, 0x1.0c4336b5f1c8dp-14, 0x1.0394e8089baedp-14, 0x1.f6629f14a0411p-15, 0x1.e62c0b32b22p-15, 0x1.d68186c546497p-15, 0x1.c75eb95016793p-15, 0x1.b8bf68c5b2764p-15, 0x1.aa9f71c630edbp-15, 0x1.9cfad59bfc17ep-15, 0x1.8fcdcb3c47e68p-15, 0x1.8314bbc230488p-15, 0x1.76cc26f952cdfp-15, 0x1.6af08549807edp-15, 0x1.5f7e4bf29057cp-15, 0x1.5471936e04a85p-15, 0x1.49c739c2a21f8p-15, 0x1.3f7c108138b5fp-15, 0x1.358c38d9df0f8p-15, 0x1.2bf4fb033e92ap-15, 0x1.22b33b661ae97p-15, 0x1.19c412371f5bep-15, 0x1.1124b7a023d3ep-15, 0x1.08d2736b7c30ep-15, 0x1.00ca95ec7a345p-15, 0x1.f21510ba8f4e4p-16, 0x1.e31fac023b028p-16, 0x1.d4b1017292045p-16, 0x1.c6c497504e809p-16, 0x1.b9567ad5ae277p-16, 0x1.ac627a79fc669p-16, 0x1.9fe440102ff3ep-16, 0x1.93d7673fec1d6p-16, 0x1.8837a8efdadfp-16, 0x1.7d0105c86b18ep-16, 0x1.722fd1927f2c1p-16, 0x1.67c0968781d1dp-16, 0x1.5dafeafb43952p-16, 0x1.53fa608a98ff2p-16, 0x1.4a9c9108ba754p-16, 0x1.419325c846502p-16, 0x1.38dad2d7f5c59p-16, 0x1.30706b2d35d04p-16, 0x1.28510937178d3p-16, 0x1.207a14e727b11p-16, 0x1.18e91cca7b2ep-16, 0x1.119bb54fe42dap-16, 0x1.0a8f7a03ca9d3p-16, 0x1.03c21422e5c4bp-16, 0x1.fa625ef066652p-17, 0x1.edb4df4c10929p-17, 0x1.e176f79616299p-17, 0x1.d5a437f6f856ep-17, 0x1.ca38a31d29e4cp-17, 0x1.bf30a65401318p-17, 0x1.b488cf604e782p-17, 0x1.aa3d7aa23018cp-17, 0x1.a04ad113e8f43p-17, 0x1.96ad0b2724276p-17, 0x1.8d609c6f1ddd6p-17, 0x1.8462aa5dbedbap-17, 0x1.7bae3a93c6209p-17, 0x1.73434c4d47438p-17, 0x1.6b1cae671e801p-17, 0x1.6338a99d0c539p-17, 0x1.5b95f0ed2f163p-17, 0x1.542fc01ca40e5p-17, 0x1.4d02c68e1cc63p-17, 0x1.460facdf142cfp-17, 0x1.3f52cd120dfbdp-17, 0x1.38c9b5e97e6acp-17, 0x1.32726cca96993p-17, 0x1.2c4ae59ffff76p-17, 0x1.2651532ae0beep-17, 0x1.208405d1c8ca4p-17, 0x1.1ae14cbb7bdcbp-17, 0x1.15674a7513d13p-17, 0x1.10140d13dae9p-17, 0x1.0ae5c7721bd6dp-17, 0x1.05dade705f50fp-17, 0x1.00f1e1f73262bp-17, 0x1.f8532be7e67fcp-18, 0x1.ef018e746ae6ap-18, 0x1.e5ec292e79c03p-18, 0x1.dd10228507054p-18, 0x1.d46af482eff13p-18, 0x1.cbfa4e3c6940cp-18, 0x1.c3bbe3cd49c88p-18, 0x1.bbad8217ba11p-18, 0x1.b3cd2349a3869p-18, 0x1.ac18e6dca51p-18, 0x1.a48eff0a86633p-18, 0x1.9d2da6c65c568p-18, 0x1.95f328bebcbc6p-18, 0x1.8eddef9f5c827p-18, 0x1.87ec89842fd15p-18, 0x1.811d8abe9f1e3p-18, 0x1.7a6f65cba2c76p-18, 0x1.73e07de57effap-18, 0x1.6d6f6e808e684p-18, 0x1.671b1690e7961p-18, 0x1.60e2628d32aep-18, 0x1.5ac446b617e64p-18, 0x1.54bfb2acb5fdap-18, 0x1.4ed37fa3f717fp-18, 0x1.48feb22917769p-18, 0x1.4340747ce73d1p-18, 0x1.3d97e34bb93b6p-18, 0x1.38041bfc1619ep-18, 0x1.3284572bda5d5p-18, 0x1.2d18a2508f07dp-18, 0x1.27bc4e94893b6p-18, 0x1.22753f9177de9p-18, 0x1.1d3efd3b0a7b9p-18, 0x1.181841304f57p-18, 0x1.1301dfbda3089p-18, 0x1.0dfad07757038p-18, 0x1.090304468a7a3p-18, 0x1.04199ee19c7b9p-18, 0x1.fe7c98fa9bfa1p-19, 0x1.f4e116ae5a23fp-19, 0x1.eb5fe29262612p-19, 0x1.e1f86acdeed14p-19, 0x1.d8a9fca8213eep-19, 0x1.cf73cdd4ddfe6p-19, 0x1.c65539ca68e8ep-19, 0x1.bd4da45142efap-19, 0x1.b45c9f255dc94p-19, 0x1.ab81afccfe1b9p-19, 0x1.a2bc4e4601f3dp-19, 0x1.9a0c054635378p-19, 0x1.91706e1bec40ap-19, 0x1.88e92c1e65fa8p-19, 0x1.8075eb9c57a3dp-19, 0x1.78165cf544fb9p-19, 0x1.6fca2ddfb074fp-19, 0x1.67910859379dap-19, 0x1.5f6a9d03314e6p-19, 0x1.5756b4370a76bp-19, 0x1.4f551a9bd8391p-19, 0x1.4765a1fe1f454p-19, 0x1.3f881e8f16134p-19, 0x1.37bc2969f3547p-19, 0x1.30007b1497cdp-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.f0080b5c01bf1p-4, 0x1.e408747d45928p-3, 0x1.5e15dc0350a4cp-2, 0x1.bdf056f9013bp-2, 0x1.083d8625516c5p-1, 0x1.2ab88270bba0ep-1, 0x1.468fb62fbac71p-1, 0x1.5c1ad28b2f2eep-1, 0x1.6bd1044139cc3p-1, 0x1.763bfaa9324aap-1, 0x1.7bee6480c9c9bp-1, 0x1.7d7d069ac88cfp-1, 0x1.7b79cba5d6f21p-1, 0x1.7670545b9d10dp-1, 0x1.6ee3acde0fbb7p-1, 0x1.654ce0ccfe649p-1, 0x1.5a1a386ee37c4p-1, 0x1.4daef3630977cp-1, 0x1.40636174e706p-1, 0x1.32853c034ed85p-1, 0x1.24582fdb01315p-1, 0x1.1616843cb9e6bp-1, 0x1.07f1d33d9474fp-1, 0x1.f42794afc224fp-2, 0x1.d93dd8f83d7b1p-2, 0x1.bf5e9fbde1dafp-2, 0x1.a6b6a75254ebap-2, 0x1.8f68969fc40e3p-2, 0x1.798e3b96fd6c4p-2, 0x1.6539aff3b83aap-2, 0x1.527663d22a2c9p-2, 0x1.414a0ec98577ep-2, 0x1.31b588f03349p-2, 0x1.23b58d7445122p-2, 0x1.1743685f1c326p-2, 0x1.0c55913cd856p-2, 0x1.02e033f212249p-2, 0x1.f5ab5258e3515p-3, 0x1.e84dbf6f8fda8p-3, 0x1.dd876fff1f33dp-3, 0x1.d536a62830578p-3, 0x1.cf38ad0408d4ap-3, 0x1.cb6a4c704534p-3, 0x1.c9a82b3a26b33p-3, 0x1.c9cf21b1fd109p-3, 0x1.cbbc7e77308e7p-3, 0x1.cf4e3f212544p-3, 0x1.d4633e3eb2b5fp-3, 0x1.dadb57fdb821p-3, 0x1.e29786a69138p-3, 0x1.eb79f80d95764p-3, 0x1.f5661ce9198b1p-3, 0x1.00205972b127bp-2, 0x1.05f7e523540afp-2, 0x1.0c2d63e65732ep-2, 0x1.12b531b577c9ep-2, 0x1.1984523211c0cp-2, 0x1.20906d98ea0b4p-2, 0x1.27cfccf7fa6c9p-2, 0x1.2f39558679f6bp-2, 0x1.36c4839d346aep-2, 0x1.3e696536b2a09p-2, 0x1.4620942df6b96p-2, 0x1.4de3304ef7e9p-2, 0x1.55aad94c786dep-2, 0x1.5d71a8b1fedb7p-2, 0x1.65322bda30747p-2, 0x1.6ce75e005707cp-2, 0x1.748ca258e620ap-2, 0x1.7c1dbe7bd2594p-2, 0x1.8396d4b6dfcfcp-2, 0x1.8af45edef5902p-2, 0x1.923328fce0309p-2, 0x1.99504c67d1d4ep-2, 0x1.a0492b2998039p-2, 0x1.a71b6b2768272p-2, 0x1.adc4f2270d534p-2, 0x1.b443e17314776p-2, 0x1.ba9691f0b0ff5p-2, 0x1.c0bb909b63152p-2, 0x1.c6b19adc3c957p-2, 0x1.cc779b226f077p-2, 0x1.d20ca5fba869bp-2, 0x1.d76ff6f144adbp-2, 0x1.dca0edc3eed3fp-2, 0x1.e19f0be72267bp-2, 0x1.e669f1e6f4171p-2, 0x1.eb015d3f24c55p-2, 0x1.ef65260d2a6d7p-2, 0x1.f3953d31f3b64p-2, 0x1.f791aa4285982p-2, 0x1.fb5a89e015865p-2, 0x1.fef00c1578bf6p-2, 0x1.0129394c359bbp-1, 0x1.02c107d185809p-1, 0x1.043fa22bc55a5p-1, 0x1.05a53fcef5949p-1, 0x1.06f21e7a35a61p-1, 0x1.0826819967c02p-1, 0x1.0942b1e057d5dp-1, 0x1.0a46fcaeee628p-1, 0x1.0b33b3af038e9p-1, 0x1.0c092c63132b2p-1, 0x1.0cc7bfc024341p-1, 0x1.0d6fc9d711e4dp-1, 0x1.0e01a96817bb4p-1, 0x1.0e7dbfabe9f89p-1, 0x1.0ee46feb445dcp-1, 0x1.0f361f4903142p-1, 0x1.0f733477f7df1p-1, 0x1.0f9c1779fc59fp-1, 0x1.0fb1316a257cfp-1, 0x1.0fb2ec4704c37p-1, 0x1.0fa1b2af725acp-1, 0x1.0f7defd291d9fp-1, 0x1.0f480f23526a3p-1, 0x1.0f007c4385b1ep-1, 0x1.0ea7a2d752604p-1, 0x1.0e3dee630df5fp-1, 0x1.0dc3ca2a49c19p-1, 0x1.0d39a110ed34fp-1, 0x1.0c9fdd874585cp-1, 0x1.0bf6e95cf4b8cp-1, 0x1.0b3f2dc522f9fp-1, 0x1.0a7913272b178p-1, 0x1.09a5011a03c9fp-1, 0x1.08c35e500e3dbp-1, 0x1.07d4907de028dp-1, 0x1.06d8fc5a101e1p-1, 0x1.05d1057fa1366p-1, 0x1.04bd0e6fe669bp-1, 0x1.039d78793127cp-1, 0x1.0272a3c102448p-1, 0x1.013cef1fbc747p-1, 0x1.fff97059fcfe1p-2, 0x1.fd64b679e02ecp-2, 0x1.fabc66896a4e5p-2, 0x1.f80133cce6ae3p-2, 0x1.f533cece777dap-2, 0x1.f254e553eefb7p-2, 0x1.ef6522619fdc7p-2, 0x1.ec652e2ed4722p-2, 0x1.e955ae1ecaf1ep-2, 0x1.e63744c6393aep-2, 0x1.e30a91e80620cp-2, 0x1.dfd0326cd280ep-2, 0x1.dc88c070c1cfep-2, 0x1.d934d32eed98bp-2, 0x1.d5d4ff205ac44p-2, 0x1.d269d5e5d727ep-2, 0x1.cef3e64d7874ep-2, 0x1.cb73bc679fe94p-2, 0x1.c7e9e1797187cp-2, 0x1.c456dc0be44cbp-2, 0x1.c0bb2fe0efda1p-2, 0x1.bd175e0ca12c4p-2, 0x1.b96be4f64d25dp-2, 0x1.b5b9405541ef4p-2, 0x1.b1ffe938109e2p-2, 0x1.ae405626ea9e8p-2, 0x1.aa7afac26edeep-2, 0x1.a6b0489d82cdbp-2, 0x1.a2e0ae645fd11p-2, 0x1.9f0c9856c8c7dp-2, 0x1.9b34703a884bp-2, 0x1.97589d746152fp-2, 0x1.937984ea52321p-2, 0x1.8f978921a368p-2, 0x1.8bb30a4736158p-2, 0x1.87cc6639114d6p-2, 0x1.83e3f88c6ea18p-2, 0x1.7ffa1a8be9b3ep-2, 0x1.7c0f2345a7532p-2, 0x1.78236796bce69p-2, 0x1.74373a3858e52p-2, 0x1.704aebbe2ab1dp-2, 0x1.6c5eca9ce81b6p-2, 0x1.68732334a1069p-2, 0x1.64883fdc18573p-2, 0x1.609e68ec55247p-2, 0x1.5cb5e4c0b4c12p-2, 0x1.58cef7bf9fa9bp-2, 0x1.54e9e45f460eep-2, 0x1.5106eb3ed82adp-2, 0x1.4d264b0b662d6p-2, 0x1.494840ad7b4aap-2, 0x1.456d074979a59p-2, 0x1.4194d8299718ep-2, 0x1.3dbfeadda5292p-2, 0x1.39ee75420c628p-2, 0x1.3620ab83b1d2bp-2, 0x1.3256c027c825cp-2, 0x1.2e90e40faef79p-2, 0x1.2acf4682eb745p-2, 0x1.2712152ee893p-2, 0x1.23597c39d02e2p-2, 0x1.1fa5a64444235p-2, 0x1.1bf6bc702e979p-2, 0x1.184ce6655a00ap-2, 0x1.14a84a563529bp-2, 0x1.11090d0b81df6p-2, 0x1.0d6f51e65be7dp-2, 0x1.09db3aed63ac9p-2, 0x1.064ce8ce0fff5p-2, 0x1.02c47ae258943p-2, 0x1.fe841e6c27e8cp-3, 0x1.f78b851c1c41cp-3, 0x1.f09f60dd1357ap-3, 0x1.e9bfe64c72635p-3, 0x1.e2ed47a1fe11cp-3, 0x1.dc27b4a38214cp-3, 0x1.d56f5acb3f90ap-3, 0x1.cec46567ea464p-3, 0x1.c826fd64f7ddap-3, 0x1.c1974992f1ea2p-3, 0x1.bb156e9d6205dp-3, 0x1.b4a18f144d8a2p-3, 0x1.ae3bcb7e64742p-3, 0x1.a7e4424cf73e2p-3, 0x1.a19b100624f5p-3, 0x1.9b604f375b3c1p-3, 0x1.9534188ec1a68p-3, 0x1.8f1682debf51p-3, 0x1.8907a32ac144ep-3, 0x1.83078cae395a5p-3, 0x1.7d1650e56843p-3, 0x1.7733ff998051ep-3, 0x1.7160a6eb4fc98p-3, 0x1.6b9c535e2e04ap-3, 0x1.65e70fdba35d8p-3, 0x1.6040e5c83737p-3, 0x1.5aa9dcff569c9p-3, 0x1.5521fbe31c4dfp-3, 0x1.4fa947639984ep-3, 0x1.4a3fc3097da01p-3, 0x1.44e570ff0c28bp-3, 0x1.3f9a52197e27bp-3, 0x1.3a5e65e0e2364p-3, 0x1.3531aa986459ap-3, 0x1.30141d428003ep-3, 0x1.2b05b9bf5b6cfp-3, 0x1.26067aa578d7ep-3, 0x1.2116597fd263cp-3, 0x1.1c354eae87877p-3, 0x1.1763519786f97p-3, 0x1.12a0587b91e51p-3, 0x1.0dec58a4e3407p-3, 0x1.0947465ffa60bp-3, 0x1.04b115045c38ap-3, 0x1.0029b6fd23556p-3, 0x1.f7623ba14f464p-4, 0x1.ee8e744fdbcdcp-4, 0x1.e5d7f7aba6f9ap-4, 0x1.dd3ea3b7faedep-4, 0x1.d4c254f8fe553p-4, 0x1.cc62e64da24e8p-4, 0x1.c420314953bfbp-4, 0x1.bbfa0de86cb94p-4, 0x1.b3f052f439e41p-4, 0x1.ac02d5d722b06p-4, 0x1.a4316abb924d5p-4, 0x1.9c7be4983bdd2p-4, 0x1.94e2153eddc9bp-4, 0x1.8d63cd6228ef7p-4, 0x1.8600dca448a8fp-4, 0x1.7eb911a6406b8p-4, 0x1.778c3a06d1995p-4, 0x1.707a2284e8503p-4, 0x1.698296f433cf9p-4, 0x1.62a56250e975p-4, 0x1.5be24ed76547dp-4, 0x1.553925e9e33f8p-4, 0x1.4ea9b05143054p-4, 0x1.4833b60c0534fp-4, 0x1.41d6fe852e97fp-4, 0x1.3b93508b63b74p-4, 0x1.35687257e7915p-4, 0x1.2f5629a3f989fp-4, 0x1.295c3ba3f37d9p-4, 0x1.237a6d23f2939p-4, 0x1.1db0827ea1e3dp-4, 0x1.17fe3f9bf9c24p-4, 0x1.12636808351e4p-4, 0x1.0cdfbf312c2a8p-4, 0x1.077307f93cc4dp-4, 0x1.021d051cc801ep-4, 0x1.f9baf237016c3p-5, 0x1.ef684c7b98ccp-5, 0x1.e5419d4419186p-5, 0x1.db466896041a7p-5, 0x1.d17631f7e3944p-5, 0x1.c7d07d1e574e3p-5, 0x1.be54cd5b3fcbep-5, 0x1.b502a602b354ep-5, 0x1.abd98a5ca07bep-5, 0x1.a2d8fdb3a3921p-5, 0x1.9a0083612a22bp-5, 0x1.914f9ed9e7b59p-5, 0x1.88c5d3bb5760bp-5, 0x1.8062a5d6f1113p-5, 0x1.7825993b615c5p-5, 0x1.700e323d8ac6fp-5, 0x1.681bf57fe6783p-5, 0x1.604e67fb094dcp-5, 0x1.58a50f07d46d6p-5, 0x1.511f706b4c0d5p-5, 0x1.49bd1263fac36p-5, 0x1.427d7baef23b4p-5, 0x1.3b603399fd9f4p-5, 0x1.3464c1f593a4ap-5, 0x1.2d8aaf42faa42p-5, 0x1.26d18460cf05ap-5, 0x1.2038cb0792249p-5, 0x1.19c00d5d9e787p-5, 0x1.1366d65d155dfp-5, 0x1.0d2cb1b9fbc2fp-5, 0x1.07112bf2512f2p-5, 0x1.0113d24e8fd66p-5, 0x1.f66865c0b7c41p-6, 0x1.eae3b8f2b4cd3p-6, 0x1.df98bd54a7759p-6, 0x1.d48693921e0c7p-6, 0x1.c9ac5dfe7298p-6, 0x1.bf0940beaa1aep-6, 0x1.b49c61e368cb9p-6, 0x1.aa64e98d65addp-6, 0x1.a06201d65669dp-6, 0x1.9692d71080c5dp-6, 0x1.8cf69663cb022p-6, 0x1.838c6f499aa38p-6, 0x1.7a53930f6c1dbp-6, 0x1.714b34579b781p-6, 0x1.687287ddd823dp-6, 0x1.5fc8c4bf19693p-6, 0x1.574d249e704c2p-6, 0x1.4efee3407e2ep-6, 0x1.46dd3ec44dc36p-6, 0x1.3ee7776340d3fp-6, 0x1.371ccea5ea35p-6, 0x1.2f7c87b29de13p-6, 0x1.2805e73d23662p-6, 0x1.20b833dc32926p-6, 0x1.1992b676eea08p-6, 0x1.1294baae6670fp-6, 0x1.0bbd8f0c9d563p-6, 0x1.050c84eb8e8f9p-6, 0x1.fd01e0224692cp-7, 0x1.f0344c41d0765p-7, 0x1.e3aefc2e5f087p-7, 0x1.d770a001a61ecp-7, 0x1.cb77ea1e703e9p-7, 0x1.bfc39011f4189p-7, 0x1.b4524beb7a21p-7, 0x1.a922dd96557acp-7, 0x1.9e340bb84176cp-7, 0x1.9384a3b8fa924p-7, 0x1.891378dfc70fep-7, 0x1.7edf62c5be6edp-7, 0x1.74e73ba856eb5p-7, 0x1.6b29df1b42a88p-7, 0x1.61a629a2d5fe1p-7, 0x1.585af9496e4a7p-7, 0x1.4f472f6bc1728p-7, 0x1.4669b1e4c2521p-7, 0x1.3dc16d78b4186p-7, 0x1.354d573d8b813p-7, 0x1.2d0c6b0cc4041p-7, 0x1.24fdab35b5242p-7, 0x1.1d201debac0e6p-7, 0x1.1572cb08163b9p-7, 0x1.0df4ba62fdeb7p-7, 0x1.06a4f350587b7p-7, 0x1.ff04facdff997p-8, 0x1.f118c4ab4f225p-8, 0x1.e383609d915f3p-8, 0x1.d642f8bcb5531p-8, 0x1.c955c813dbae3p-8, 0x1.bcba1b59de302p-8, 0x1.b06e4ea3b8541p-8, 0x1.a470c883fd808p-8, 0x1.98bff3f682d41p-8, 0x1.8d5a3af08a1b6p-8, 0x1.823e032d4d0c9p-8, 0x1.7769af3441393p-8, 0x1.6cdb9e80cafddp-8, 0x1.629233e5e7484p-8, 0x1.588bdab37b1a9p-8, 0x1.4ec70c2d6c917p-8, 0x1.454250a086bc8p-8, 0x1.3bfc44279bf2cp-8, 0x1.32f3946e86cc9p-8, 0x1.2a26fc98c1f9cp-8, 0x1.21953efc12203p-8, 0x1.193d1e805e746p-8, 0x1.111d5ac22577cp-8, 0x1.0934ac9819b13p-8, 0x1.0181c9d9449cp-8, 0x1.f406d026eca09p-9, 0x1.e5707b6ea38e8p-9, 0x1.d73e0dd25c5f3p-9, 0x1.c96d0fb068c83p-9, 0x1.bbfb20b905d7fp-9, 0x1.aee5fe955289fp-9, 0x1.a22b87fdf50dcp-9, 0x1.95c9b97b8e111p-9, 0x1.89bea3ecea54bp-9, 0x1.7e086098c97bap-9, 0x1.72a5083ccf3aep-9, 0x1.6792b09404ba2p-9, 0x1.5ccf6f5153076p-9, 0x1.52595deca284bp-9, 0x1.482e99d5dec84p-9, 0x1.3e4d40b44a9b3p-9, 0x1.34b36cbf953d2p-9, 0x1.2b5f367580b0cp-9, 0x1.224ebd65f4db3p-9, 0x1.1980346209176p-9, 0x1.10f1ea3bbe5eap-9, 0x1.08a249e0672f6p-9, 0x1.008fd21da90e3p-9, 0x1.f17215ef78924p-10, 0x1.e238ffbc59121p-10, 0x1.d37183f5548b4p-10, 0x1.c518de5a568cp-10, 0x1.b72c6c4ebeeb5p-10, 0x1.a9a9a3735f9a9p-10, 0x1.9c8df7f52d744p-10, 0x1.8fd6c28f976bcp-10, 0x1.83813635e663p-10, 0x1.778a7240d69cfp-10, 0x1.6befa091177e5p-10, 0x1.60ae1beada68ap-10, 0x1.55c36b5f0b195p-10, 0x1.4b2d4b9aa8152p-10, 0x1.40e985b86a085p-10, 0x1.36f5e5f25fad7p-10, 0x1.2d503cb9b82d7p-10, 0x1.23f66ebda0016p-10, 0x1.1ae685acb1e1fp-10, 0x1.121eb680dc78ap-10, 0x1.099d5184a4793p-10, 0x1.0160a05c1656ep-10, 0x1.f2cd8d763ebebp-11, 0x1.e35b77f8a9f8ap-11, 0x1.d466c17d99312p-11, 0x1.c5eb45f65435dp-11, 0x1.b7e5353eaa80fp-11, 0x1.aa512314b71eap-11, 0x1.9d2bf787f5b9ap-11, 0x1.9072b63f28d72p-11, 0x1.84226022f9735p-11, 0x1.7837f8116f8dbp-11, 0x1.6cb087ac2ae1fp-11, 0x1.618930ca9faa7p-11, 0x1.56bf59b281cdfp-11, 0x1.4c50a724179b7p-11, 0x1.423ad83c1a442p-11, 0x1.387b8b2fc64d3p-11, 0x1.2f1013d528ba3p-11, 0x1.25f5829023307p-11, 0x1.1d28d222193f6p-11, 0x1.14a71835fa77fp-11, 0x1.0c6da40477aaep-11, 0x1.047a0fb7625a3p-11, 0x1.f99489ea46d1dp-12, 0x1.eab8d6bc1c5e2p-12, 0x1.dc5d8a14cf284p-12, 0x1.ce7f18b36b0d6p-12, 0x1.c119cd84029bap-12, 0x1.b429e77a93d29p-12, 0x1.a7abcf85f9ea4p-12, 0x1.9b9c41a2c2c4fp-12, 0x1.8ff8253acb96fp-12, 0x1.84bc7fbf13886p-12, 0x1.79e658d73b8c5p-12, 0x1.6f72657eb8f9bp-12, 0x1.655d2c2899251p-12, 0x1.5ba2fe142be22p-12, 0x1.523ff35627db4p-12, 0x1.493001c98858ep-12, 0x1.406f6c5178499p-12, 0x1.37fb3f33b2337p-12, 0x1.2fd14d75e184bp-12, 0x1.27efac47703cfp-12, 0x1.20544a7501e6ep-12, 0x1.18fcebeaadd58p-12, 0x1.11e7706a0115fp-12, 0x1.0b11d6d123afcp-12, 0x1.047a00eb08d2dp-12, 0x1.fc3b4edfabcadp-13, 0x1.eff53fae2eb27p-13, 0x1.e41e3a1ab8b03p-13, 0x1.d8b3440e2fa82p-13, 0x1.cdb17de4f5d7ap-13, 0x1.c315b8ad00e6bp-13, 0x1.b8dc29d58ac83p-13, 0x1.aeffff1cf251dp-13, 0x1.a57b921ec6c0cp-13, 0x1.9c49e717ad084p-13, 0x1.9367d575265a5p-13, 0x1.8ad31e531ffb6p-13, 0x1.8288cd38af62bp-13, 0x1.7a853b0c42c14p-13, 0x1.72c5744bd87a3p-13, 0x1.6b47bfec8b17fp-13, 0x1.640a97efffdddp-13, 0x1.5d0bb29b22a7dp-13, 0x1.5648226f7c762p-13, 0x1.4fbd0457f8dcdp-13, 0x1.496808d2094b9p-13, 0x1.434790dd7a81cp-13, 0x1.3d5a5a2da1606p-13, 0x1.379f0c3f0faf4p-13, 0x1.321415df967e2p-13, 0x1.2cb790942552fp-13, 0x1.2786b2ee98c0dp-13, 0x1.227e0e5eb488ep-13, 0x1.1d9b87bd5f746p-13, 0x1.18de6d0316f96p-13, 0x1.1445da4482a4fp-13, 0x1.0fcf30d634b38p-13, 0x1.0b7812dd8cb86p-13, 0x1.073f11643f495p-13, 0x1.03232ca374234p-13, 0x1.fe46791b6ecfep-14, 0x1.f67b719253badp-14, 0x1.eee2d87de0ecep-14, 0x1.e77a9e4123a61p-14, 0x1.e040b0b751645p-14, 0x1.d9331c52e9723p-14, 0x1.d25043d509325p-14, 0x1.cb96c187772bep-14, 0x1.c5051853e7113p-14, 0x1.be99d36aa7adep-14, 0x1.b8537c8938ee1p-14, 0x1.b22f5a25e527dp-14, 0x1.ac29a3196d143p-14, 0x1.a640b59896714p-14, 0x1.a074bc5ec1a0dp-14, 0x1.9ac3f5c9f3bb5p-14, 0x1.952bd5529dacdp-14, 0x1.8fabfb4990036p-14, 0x1.8a446b74d7412p-14, 0x1.84f376f188508p-14, 0x1.7fb6b28788578p-14, 0x1.7a8c2140440e6p-14, 0x1.75727da571a7ap-14, 0x1.70691ebb6f153p-14, 0x1.6b6fa1e5127f6p-14, 0x1.668586d4ce5cdp-14, 0x1.61aa0cd89ace9p-14, 0x1.5cdc61f2b98b1p-14, 0x1.581bdc0ae83cdp-14, 0x1.5367f05510e86p-14, 0x1.4ec02b4a48f55p-14, 0x1.4a24599e265bep-14, 0x1.4593c4c234d02p-14, 0x1.410c6d3d88069p-14, 0x1.3c8d55bd65e09p-14, 0x1.38168a5b62dcp-14, 0x1.33a6e535d7d95p-14, 0x1.2f3e493feec1ap-14, 0x1.2add95ce50d02p-14, 0x1.26846a20036e7p-14, 0x1.2231f87411113p-14, 0x1.1de5d993690a9p-14, 0x1.199fbcc59c0eep-14, 0x1.155f574a3f379p-14, 0x1.1123968c6dba9p-14, 0x1.0cec0dae80c7fp-14, 0x1.08b8a30674deap-14, 0x1.04897a7a98a16p-14, 0x1.005ea00404354p-14, 0x1.f86f772cf4898p-15, 0x1.f0293d9f31964p-15, 0x1.e7ead346faf5p-15, 0x1.dfb423b24d49fp-15, 0x1.d78513616f823p-15, 0x1.cf5e1d50a97fp-15, 0x1.c73ddd4352655p-15, 0x1.bf22a90c588efp-15, 0x1.b70cc1788738ep-15, 0x1.aefbd8c34982ap-15, 0x1.a6f18160ebcf9p-15, 0x1.9eee1b1026115p-15, 0x1.96f0a630071d3p-15, 0x1.8ef8d62294cb3p-15, 0x1.8706e133fd92fp-15, 0x1.7f1b22f88c125p-15, 0x1.77360710809d2p-15, 0x1.6f57de5a05d13p-15, 0x1.67807a2fa966ap-15, 0x1.5faf054845dd6p-15, 0x1.57e2f2b93e5b8p-15, 0x1.501ce9904080cp-15, 0x1.485d9ff76e8d1p-15, 0x1.40a4c9c2a6664p-15, 0x1.38f28137014ep-15, 0x1.3147ad4011f7cp-15, 0x1.29a455762d635p-15, }}, 
      {{-0x1.e5c8c2d5e574p-1, -0x1.c3b0775921958p-1, -0x1.95339d7ed965bp-1, -0x1.6023fc738eb8ep-1, -0x1.28a1827266801p-1, -0x1.e3115bcba2fe8p-2, -0x1.798c043a4212dp-2, -0x1.1729978b6056p-2, -0x1.7ab9535898331p-3, -0x1.b36b7c6afe1c4p-4, -0x1.2e9437fd0b737p-5, 0x1.7ecf552e6a43bp-6, 0x1.335275f1868c7p-4, 0x1.e5fc3d5ae631dp-4, 0x1.3d3ee9a8eddf8p-3, 0x1.79e9e0205d0c7p-3, 0x1.aa82e978a7166p-3, 0x1.d08685b66b31cp-3, 0x1.ed60cb8425acfp-3, 0x1.0133bb602a8c7p-2, 0x1.086b2627e40e6p-2, 0x1.0ce69d7645776p-2, 0x1.0f27e2c9a61e5p-2, 0x1.0fa2ad90351fdp-2, 0x1.0ebd2b35fd264p-2, 0x1.0cd0b7d6ca5dp-2, 0x1.0a2aba22e0beep-2, 0x1.070d9371383b7p-2, 0x1.03b1973a814d3p-2, 0x1.0046020211039p-2, 0x1.f9e3d2133fcd4p-3, 0x1.f3aa3d8d428bbp-3, 0x1.ee12136528626p-3, 0x1.e942d8514761cp-3, 0x1.e55a38dde02f7p-3, 0x1.e26d5ab8685d6p-3, 0x1.e08a0ec451bd7p-3, 0x1.dfb7e58769bep-3, 0x1.dff9273ba7a84p-3, 0x1.e14bb0e5ef0ccp-3, 0x1.e3a9b85be9c47p-3, 0x1.e70a7929f97aep-3, 0x1.eb62cc528dde3p-3, 0x1.f0a5acd636912p-3, 0x1.f6c4aada6b989p-3, 0x1.fdb04f22fd92p-3, 0x1.02ac383d5f84bp-2, 0x1.06d63e4e276d5p-2, 0x1.0b4ddaf1a682fp-2, 0x1.100ab37d347acp-2, 0x1.150486f31c7b4p-2, 0x1.1a333fa7a5022p-2, 0x1.1f8f017cc5ee9p-2, 0x1.2510353648fa2p-2, 0x1.2aaf914223c95p-2, 0x1.30662049c5dcep-2, 0x1.362d45e026bd7p-2, 0x1.3bfec18f766b4p-2, 0x1.41d4b09bac89p-2, 0x1.47a98e8409461p-2, 0x1.4d7834a766c1p-2, 0x1.533bd913085f2p-2, 0x1.58f00cb14d3a7p-2, 0x1.5e90b8f45d54dp-2, 0x1.641a1d190c6fap-2, 0x1.6988cb1c82ca3p-2, 0x1.6ed9a475bc5b3p-2, 0x1.7409d6ab127d2p-2, 0x1.7916d7c03557bp-2, 0x1.7dfe62b1bde67p-2, 0x1.82be73c51f995p-2, 0x1.8755450e5d346p-2, 0x1.8bc14acc99ae9p-2, 0x1.90012ffb34eeap-2, 0x1.9413d306ce3f6p-2, 0x1.97f8425284325p-2, 0x1.9badb9442567ep-2, 0x1.9f339d0e15b83p-2, 0x1.a28979bf1074cp-2, 0x1.a5aeff94ac97bp-2, 0x1.a8a400346553cp-2, 0x1.ab686c0f7f542p-2, 0x1.adfc501ffb422p-2, 0x1.b05fd37d247c9p-2, 0x1.b2933532b6327p-2, 0x1.b496ca485ebfdp-2, 0x1.b66afbba4159fp-2, 0x1.b81044c5246ap-2, 0x1.b98731188ddf9p-2, 0x1.bad05b5dcdb12p-2, 0x1.bbec6b9b47261p-2, 0x1.bcdc15e6c5faep-2, 0x1.bda0191e4e767p-2, 0x1.be393d8aa6fdbp-2, 0x1.bea853fa9cecep-2, 0x1.beee348255562p-2, 0x1.bf0bbd9ba8fecp-2, 0x1.bf01d33d2dfb7p-2, 0x1.bed15de6378dap-2, 0x1.be7b4a0a95a2bp-2, 0x1.be008722fe1cap-2, 0x1.bd62071e0b0aap-2, 0x1.bca0bdb7f8314p-2, 0x1.bbbd9fe513d8ep-2, 0x1.bab9a357c43bbp-2, 0x1.b995bddf45b32p-2, 0x1.b852e52426d53p-2, 0x1.b6f20e0ee804ap-2, 0x1.b5742c854a38cp-2, 0x1.b3da3304c3e61p-2, 0x1.b225124dcff12p-2, 0x1.b055b9204c54fp-2, 0x1.ae6d13fa521b6p-2, 0x1.ac6c0cbc65526p-2, 0x1.aa538aab392aep-2, 0x1.a824720197f81p-2, 0x1.a5dfa3e8f578ap-2, 0x1.a385fe448be45p-2, 0x1.a1185b8fbdd2dp-2, 0x1.9e9792be86956p-2, 0x1.9c04772038572p-2, 0x1.995fd857611d5p-2, 0x1.96aa821f1d407p-2, 0x1.93e53c711ef03p-2, 0x1.9110cb44f570cp-2, 0x1.8e2deea2c1b28p-2, 0x1.8b3d6294843b6p-2, 0x1.883fdf15bb9d4p-2, 0x1.85361820744b9p-2, 0x1.8220bd98fb6f9p-2, 0x1.7f007b5e0cfcdp-2, 0x1.7bd5f9389db1dp-2, 0x1.78a1dafd66b87p-2, 0x1.7564c05f06dcfp-2, 0x1.721f4520c3b47p-2, 0x1.6ed2011c802c3p-2, 0x1.6b7d88261dd57p-2, 0x1.68226a359107ep-2, 0x1.64c1336522eb6p-2, 0x1.615a6bfb1bcf3p-2, 0x1.5dee987afc34ep-2, 0x1.5a7e39ad99217p-2, 0x1.5709ccab676c7p-2, 0x1.5391caeecdd4p-2, 0x1.5016aa60d6437p-2, 0x1.4c98dd61cfd7dp-2, 0x1.4918d2e69b4e2p-2, 0x1.4596f668ce4b4p-2, 0x1.4213b01de020dp-2, 0x1.3e8f64e91214ep-2, 0x1.3b0a766e6d6c9p-2, 0x1.3785433047444p-2, 0x1.340026916e3b5p-2, 0x1.307b78ec74725p-2, 0x1.2cf78f988a6e3p-2, 0x1.2974bd05f2429p-2, 0x1.25f350caaab05p-2, 0x1.227397ac0f5f4p-2, 0x1.1ef5dbaf021c3p-2, 0x1.1b7a643c3000ep-2, 0x1.180175db4c12ap-2, 0x1.148b52eb986fap-2, 0x1.11183b028eeeep-2, 0x1.0da86b540fc2fp-2, 0x1.0a3c1eabf81f8p-2, 0x1.06d38d930bde6p-2, 0x1.036eee377ff6fp-2, 0x1.000e7492a3e3dp-2, 0x1.f964a4e97ebccp-3, 0x1.f2b56f25dc8b4p-3, 0x1.ec0fa326a91acp-3, 0x1.e573982a0e349p-3, 0x1.dee1a18277206p-3, 0x1.d85a0eb3c1cdap-3, 0x1.d1dd2b921efe4p-3, 0x1.cb6b404e350f1p-3, 0x1.c504918e67404p-3, 0x1.bea96088b449ep-3, 0x1.b859eb1e50429p-3, 0x1.b2166bf5cc355p-3, 0x1.abdf1a8855e7ep-3, 0x1.a5b42b39f1194p-3, 0x1.9f95cf6a43eafp-3, 0x1.998435ae4bea7p-3, 0x1.937f898eb3dadp-3, 0x1.8d87f3f9b9dfep-3, 0x1.879d9b4c3c622p-3, 0x1.81c0a316c071ep-3, 0x1.7bf12c774485cp-3, 0x1.762f561cd3468p-3, 0x1.707b3c55330a7p-3, 0x1.6ad4f920c0379p-3, 0x1.653ca4409c4a7p-3, 0x1.5fb2534c0273ap-3, 0x1.5a3619b68dc22p-3, 0x1.54c808efbcea7p-3, 0x1.4f68306bff2a7p-3, 0x1.4a169db4e09b9p-3, 0x1.44d35c7660d79p-3, 0x1.3f9e768b40d9fp-3, 0x1.3a77f41244439p-3, 0x1.355fdb7551a99p-3, 0x1.3056318088adcp-3, 0x1.2b5af9696f7ffp-3, 0x1.266e34dc175ecp-3, 0x1.218fe407241b7p-3, 0x1.1cc005a92fef9p-3, 0x1.17fe971c32e9fp-3, 0x1.134b946a7b2fcp-3, 0x1.0ea6f85d7b392p-3, 0x1.0a10bc5ab09bcp-3, 0x1.0588d8a293d85p-3, 0x1.010f447269785p-3, 0x1.f947eb5f0f89p-4, 0x1.f08dc28c18a42p-4, 0x1.e7eff62b290b8p-4, 0x1.df6e6bf635df1p-4, 0x1.d70907c2c09c9p-4, 0x1.cebfab731ee06p-4, 0x1.c6923736ab41ep-4, 0x1.be808977d948ep-4, 0x1.b68a7f028896ep-4, 0x1.aeaff30dd18c9p-4, 0x1.a6f0bf4d9092bp-4, 0x1.9f4cbc0103f5cp-4, 0x1.97c3c00212fe5p-4, 0x1.9055a0d6256fp-4, 0x1.890232beb11ffp-4, 0x1.81c948c93a828p-4, 0x1.7aaab4d502463p-4, 0x1.73a647b2a544ep-4, 0x1.6cbbd11eb53cfp-4, 0x1.65eb1fd8958fcp-4, 0x1.5f3401ad096a8p-4, 0x1.589643842a27cp-4, 0x1.5211b16e23516p-4, 0x1.4ba616af8a2fp-4, 0x1.45533dcc97cf4p-4, 0x1.3f18f0937c415p-4, 0x1.38f6f82029abfp-4, 0x1.32ed1d164f887p-4, 0x1.2cfb2748e382cp-4, 0x1.2720de26c7f3cp-4, 0x1.215e0882e98fdp-4, 0x1.1bb26cfb15c1cp-4, 0x1.161dd1743a0c7p-4, 0x1.109ffb95ef19p-4, 0x1.0b38b0a81dda7p-4, 0x1.05e7b59f57d04p-4, 0x1.00accf27268e5p-4, 0x1.f70f8355820abp-5, 0x1.ecf0a2b9fc17dp-5, 0x1.e2fc84803ce35p-5, 0x1.d932b0540f977p-5, 0x1.cf92adba3a86bp-5, 0x1.c61c03cd3c4a5p-5, 0x1.bcce39b85f5d9p-5, 0x1.b3a8d6605bc2ep-5, 0x1.aaab60b6cc5fbp-5, 0x1.a1d55fa530edp-5, 0x1.99265a2198496p-5, 0x1.909dd73a71468p-5, 0x1.883b5e2287168p-5, 0x1.7ffe763a261d2p-5, 0x1.77e6a71a8d631p-5, 0x1.6ff378a1638e6p-5, 0x1.682472f729bbdp-5, 0x1.60791e9fe431ep-5, 0x1.58f1047e3fbf3p-5, 0x1.518badda9d47ep-5, 0x1.4a48a484a9e34p-5, 0x1.4327729e0b523p-5, 0x1.3c27a300fae42p-5, 0x1.3548c0e063ca6p-5, 0x1.2e8a581d64b33p-5, 0x1.27ebf52c5c22p-5, 0x1.216d252037c1ap-5, 0x1.1b0d75b3b5b59p-5, 0x1.14cc7546388b3p-5, 0x1.0ea9b30dc5e51p-5, 0x1.08a4bee83fd49p-5, 0x1.02bd2940837dcp-5, 0x1.f9e506980f4e7p-6, 0x1.ee88bf3fa0fcdp-6, 0x1.e364a1bdbc66ap-6, 0x1.d877d5aa22a15p-6, 0x1.cdc1843c10862p-6, 0x1.c340d860671eap-6, 0x1.b8f4feb32cd44p-6, 0x1.aedd25c8ba4dbp-6, 0x1.a4f87d837c412p-6, 0x1.9b4638408c9ap-6, 0x1.91c589c1bce52p-6, 0x1.8875a7d07b897p-6, 0x1.7f55ca14916ebp-6, 0x1.76652a1dd54dbp-6, 0x1.6da3036889d8ep-6, 0x1.650e93631d25bp-6, 0x1.5ca719747bdbcp-6, 0x1.546bd70000e2dp-6, 0x1.4c5c0f67bedbp-6, 0x1.4477080dd295cp-6, 0x1.3cbc0854bc743p-6, 0x1.352a59a08ac42p-6, 0x1.2dc14759b42dap-6, 0x1.26801ef1914d6p-6, 0x1.1f662fe83b14p-6, 0x1.1872cbcbd8099p-6, 0x1.11a546409cbcdp-6, 0x1.0afcf4e91aadfp-6, 0x1.04792fabaf73dp-6, 0x1.fc32a021573c2p-7, 0x1.efb964340cfp-7, 0x1.e38566dae04cfp-7, 0x1.d79567f636995p-7, 0x1.cbe82b7966323p-7, 0x1.c07c79889bd99p-7, 0x1.b5511e6fe1e03p-7, 0x1.aa64ea900b262p-7, 0x1.9fb6b243f1693p-7, 0x1.95454dcfd1253p-7, 0x1.8b0f995f27847p-7, 0x1.811475144c809p-7, 0x1.7752c524a988fp-7, 0x1.6dc971dba7a3ap-7, 0x1.647767bb1d888p-7, 0x1.5b5b975119cep-7, 0x1.5274f651e234cp-7, 0x1.49c27b3a27bf6p-7, 0x1.4143226c6f3fdp-7, 0x1.38f5ec70b2846p-7, 0x1.30d9dc07bf97bp-7, 0x1.28edf80410ecap-7, 0x1.21314b965ce4fp-7, 0x1.19a2e638a6886p-7, 0x1.1241daf16c1a7p-7, 0x1.0b0d40eba2672p-7, 0x1.0404333d0a3e9p-7, 0x1.fa4b9f486dbe4p-8, 0x1.ece26e669a1b9p-8, 0x1.dfcb1c1df31e1p-8, 0x1.d303f76ba0cb8p-8, 0x1.c68b56b5184c6p-8, 0x1.ba5f987161d75p-8, 0x1.ae7f2371cb889p-8, 0x1.a2e866a398ca5p-8, 0x1.9799d84ad1334p-8, 0x1.8c91f4f01a1e2p-8, 0x1.81cf3e5e56dbfp-8, 0x1.77503b0d2d55cp-8, 0x1.6d137630e83cap-8, 0x1.63178070e7562p-8, 0x1.595af1090202ap-8, 0x1.4fdc66ee3799p-8, 0x1.469a8986446e9p-8, 0x1.3d9408a100443p-8, 0x1.34c79ba268a64p-8, 0x1.2c340015b439dp-8, 0x1.23d7f81f6277dp-8, 0x1.1bb24949e732bp-8, 0x1.13c1bc18feb9fp-8, 0x1.0c051c70d19cep-8, 0x1.047b3b6c896c3p-8, 0x1.fa45defd1103bp-9, 0x1.ebf62e7bdba26p-9, 0x1.de053610ef617p-9, 0x1.d070d451785e1p-9, 0x1.c336f76cf3d1ap-9, 0x1.b65597cfe0c1cp-9, 0x1.a9cab44696fa9p-9, 0x1.9d944f0b42d63p-9, 0x1.91b06ccc23a25p-9, 0x1.861d15e89c905p-9, 0x1.7ad8597dd40fbp-9, 0x1.6fe0516d963d1p-9, 0x1.65332641c490cp-9, 0x1.5acf11d470379p-9, 0x1.50b25fd0da681p-9, 0x1.46db6ba776fbp-9, 0x1.3d489c577b114p-9, 0x1.33f85f3732575p-9, 0x1.2ae9233c86046p-9, 0x1.2219560be2415p-9, 0x1.1987677701dfap-9, 0x1.1131c38f9d224p-9, 0x1.0916dcaaa6d75p-9, 0x1.01352f815b92fp-9, 0x1.f31691925859dp-10, 0x1.e42f7eeb233dbp-10, 0x1.d5b27eef7efc8p-10, 0x1.c79d0a044286bp-10, 0x1.b9ecb265a8086p-10, 0x1.ac9f19c6aa332p-10, 0x1.9fb1e618ba26cp-10, 0x1.9322bd039d105p-10, 0x1.86ef3906b9c7dp-10, 0x1.7b14f5a247d1ep-10, 0x1.6f9193099da03p-10, 0x1.6462b37840947p-10, 0x1.5986078edb39ap-10, 0x1.4ef9503d31e4dp-10, 0x1.44ba649496edp-10, 0x1.3ac736e29b69bp-10, 0x1.311dd6ee4e1e5p-10, 0x1.27bc6f289479ep-10, 0x1.1ea13ce691bcap-10, 0x1.15ca86aca8c0ep-10, 0x1.0d3694e860b6dp-10, 0x1.04e3afe7b13c9p-10, 0x1.f9a0447e75784p-11, 0x1.e9f477d06ca71p-11, 0x1.dac0a5044a84cp-11, 0x1.cc017cbabba16p-11, 0x1.bdb3af07c43ecp-11, 0x1.afd3edd53b8dap-11, 0x1.a25efa66ed52bp-11, 0x1.9551b846b0533p-11, 0x1.88a93adcc0a3bp-11, 0x1.7c62c57c322dap-11, 0x1.707bbe576770bp-11, 0x1.64f19d959dc91p-11, 0x1.59c1e4071081p-11, 0x1.4eea1e84a32f4p-11, 0x1.4467f0b7e1c76p-11, 0x1.3a391b7cef807p-11, 0x1.305b75a046c1dp-11, 0x1.26ccd7ecf8d91p-11, 0x1.1d8b0921cddf2p-11, 0x1.1493b5631ff58p-11, 0x1.0be47c4b30218p-11, 0x1.037b07daceb56p-11, 0x1.f6aa594eeff5fp-12, 0x1.e6e1b6a9deecbp-12, 0x1.d7987a0e29fe3p-12, 0x1.c8caf8a02264fp-12, 0x1.ba759944e396fp-12, 0x1.ac94cd092027fp-12, 0x1.9f25281490804p-12, 0x1.92237a16bcd4p-12, 0x1.858cd7ec564d9p-12, 0x1.795e83ac03b79p-12, 0x1.6d95b91d61264p-12, 0x1.622f7e31daef9p-12, 0x1.572899a2a5133p-12, 0x1.4c7db3376472p-12, 0x1.422b89ee66622p-12, 0x1.382f1e3b7f78p-12, 0x1.2e85bbed7e01bp-12, 0x1.252d00137680dp-12, 0x1.1c228c50d14a6p-12, 0x1.1363fada71c41p-12, 0x1.0aef0349471c7p-12, 0x1.02c1659622d41p-12, 0x1.f5b1b961d25f6p-13, 0x1.e666d1392bf69p-13, 0x1.d79e6e6329193p-13, 0x1.c955156cfd65ap-13, 0x1.bb871ddfe54cdp-13, 0x1.ae30761dfcc9cp-13, 0x1.a14cae56be9f9p-13, 0x1.94d73c400743ep-13, 0x1.88cbc2387dfebp-13, 0x1.7d263b5d03c95p-13, 0x1.71e313977b62fp-13, 0x1.66ff2d1495863p-13, 0x1.5c77c65cad618p-13, 0x1.524a46e62f823p-13, 0x1.48740dbdfe1ccp-13, 0x1.3ef25e6fabbd4p-13, 0x1.35c27646034aap-13, 0x1.2ce1b0c282e8bp-13, 0x1.244db40c712e7p-13, 0x1.1c042d30aa106p-13, 0x1.1402e767dd862p-13, 0x1.0c47cf10d9eabp-13, 0x1.04d070b07ddd7p-13, 0x1.fb3498cf3f171p-14, 0x1.ed457a37c59dp-14, 0x1.dfcdf14212dap-14, 0x1.d2c83fb086a17p-14, 0x1.c62f18e155919p-14, 0x1.b9fe4fc3fe4b6p-14, 0x1.ae32d2eb900fbp-14, 0x1.a2c9f0598ab33p-14, 0x1.97c0c38c97e07p-14, 0x1.8d142c19d5fbep-14, 0x1.82c132226ffd5p-14, 0x1.78c50b3e26406p-14, 0x1.6f1cc637c9287p-14, 0x1.65c5397b95438p-14, 0x1.5cbb63ee3d35cp-14, 0x1.53fcc73651379p-14, 0x1.4b87559fcdd18p-14, 0x1.435915b31646cp-14, 0x1.3b6fd8f540bd4p-14, 0x1.33c907e9cd93ap-14, 0x1.2c615929c3p-14, 0x1.2534f514e6e5ap-14, 0x1.1e407ae447ab2p-14, 0x1.1781caff0ca3fp-14, 0x1.10f767ddd90ep-14, 0x1.0a9f5a64ee319p-14, 0x1.047732c62f777p-14, 0x1.fcf9f76dcdb27p-15, 0x1.f15f2c3ba91ap-15, 0x1.e61c0bd1fea64p-15, 0x1.db2d94a8b404fp-15, 0x1.d08fe7a03845fp-15, 0x1.c63f3482c1d95p-15, 0x1.bc3873515ff0ap-15, 0x1.b2798ac575cedp-15, 0x1.a900df3401094p-15, 0x1.9fccb7a6e42d9p-15, 0x1.96db0ecfa2c0dp-15, 0x1.8e296e5a7387ap-15, 0x1.85b434512e8d8p-15, 0x1.7d76d42c79b19p-15, 0x1.756ee34d7a37dp-15, 0x1.6d9b21627f2ep-15, 0x1.65facc00c549bp-15, 0x1.5e8a33ae8a801p-15, 0x1.5746eba344abcp-15, 0x1.502e84933ec57p-15, 0x1.493f7cc1b6a1dp-15, 0x1.42794bb856d72p-15, 0x1.3bd9958d11b78p-15, 0x1.355ec7d1b629cp-15, 0x1.2f07aa4e9ba6cp-15, 0x1.28d2f67947d8bp-15, 0x1.22bf7875184abp-15, 0x1.1ccc337c8b3e4p-15, 0x1.16f84f157e97ap-15, 0x1.1142e30739b62p-15, 0x1.0bab0aed36d1p-15, 0x1.062fe0cd80014p-15, 0x1.00cfb1c23bce7p-15, 0x1.f7103f60ef78ap-16, 0x1.ecb05954cd3e5p-16, 0x1.e27fffa4599dep-16, 0x1.d87d0bda9d7dp-16, 0x1.cea45325f3877p-16, 0x1.c4f56e09caf58p-16, 0x1.bb7072d0b2256p-16, 0x1.b2134e968adf9p-16, 0x1.a8dafff37d575p-16, 0x1.9fc5136cbe47bp-16, 0x1.96cfff57e695dp-16, 0x1.8dfaff3636d55p-16, 0x1.8545a51ad42dfp-16, 0x1.7caf5b715c101p-16, 0x1.74373a4a6c1ap-16, 0x1.6bdc435b731aap-16, 0x1.639da9e3bc382p-16, 0x1.5b7ac72ce2297p-16, 0x1.53730ecab34edp-16, 0x1.4b8641a0a4be7p-16, 0x1.43b38063c507p-16, 0x1.3bf859931b44bp-16, 0x1.345398506760bp-16, 0x1.2cc54c2636f28p-16, 0x1.254c0bf132f46p-16, 0x1.1de7b28a21bd4p-16, 0x1.16994f77c8e57p-16, 0x1.0f60688a85a8dp-16, 0x1.083bfcbbaab43p-16, 0x1.012b861427dc6p-16, 0x1.f45cf5378c523p-17, 0x1.e68a2dbab0832p-17, 0x1.d8d9fe49f7e7fp-17, 0x1.cb4c83d900f3ap-17, 0x1.bde1a39b50dap-17, 0x1.b09930eff8738p-17, 0x1.a3734ed752ef6p-17, 0x1.966f102840fffp-17, 0x1.898bed9215d6dp-17, 0x1.7cca1778d31b6p-17, 0x1.70295737aef73p-17, 0x1.63a96b6ca2523p-17, 0x1.574ac5985f40cp-17, 0x1.4b0ba147187d3p-17, 0x1.3ee9e5beb4024p-17, 0x1.32e5bc8c0c87ap-17, 0x1.26fea56d2875bp-17, 0x1.1b36565936fffp-17, 0x1.0f8d19c4c7ecep-17, 0x1.040199dc76c7bp-17, 0x1.f126a65b0686dp-18, 0x1.da84b756096b9p-18, 0x1.c41de74fc4eebp-18, 0x1.adf2d8bd36185p-18, 0x1.9803eb95b70e4p-18, 0x1.825054021fe35p-18, 0x1.6cd5c31fa2bf4p-18, 0x1.579294f85411cp-18, 0x1.4287f06795169p-18, 0x1.2db71682c8372p-18, 0x1.191ef326789f4p-18, 0x1.04bf5b19ef4acp-18, 0x1.e1339b858c71fp-19, 0x1.b95a73fdf42d1p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.19ad111c80d3fp-2, -0x1.1a6eec5ad5867p-2, -0x1.1baf5966acca5p-2, -0x1.1d6a784da5da6p-2, -0x1.1f9b1518d5203p-2, -0x1.223ad3f80a094p-2, -0x1.25425fd46cc4ep-2, -0x1.28a998d002b3dp-2, -0x1.2c67c1019b59bp-2, -0x1.3073a65415c6dp-2, -0x1.34c3c8e060f83p-2, -0x1.394e7d6be7643p-2, -0x1.3e0a0bf054955p-2, -0x1.42ecca3b06278p-2, -0x1.47ed32ce75e85p-2, -0x1.4d01f841bc807p-2, -0x1.52221564967d9p-2, -0x1.5744da731dfa6p-2, -0x1.5c61f7a55f3dep-2, -0x1.617185650fb59p-2, -0x1.666c0a703b1efp-2, -0x1.6b4a802af9525p-2, -0x1.7006555d1a5acp-2, -0x1.74996f933aac5p-2, -0x1.78fe2b554bdc6p-2, -0x1.7d2f5b5f67704p-2, -0x1.81284704d7101p-2, -0x1.84e4a7e0bb5dbp-2, -0x1.8860a6f387d01p-2, -0x1.8b98d948d314dp-2, -0x1.8e8a3c3d8fd65p-2, -0x1.9132317bc6b1ep-2, -0x1.938e7abe2e719p-2, -0x1.959d356ba18ebp-2, -0x1.975cd618530c9p-2, -0x1.98cc23f8b6d49p-2, -0x1.99ea34507999cp-2, -0x1.9ab665e654f14p-2, -0x1.9b305c845086p-2, -0x1.9b57fc8ac82aap-2, -0x1.9b2d669b8d414p-2, -0x1.9ab0f36193efap-2, -0x1.99e32f78bc453p-2, -0x1.98c4d778a3702p-2, -0x1.9756d424b3e9ap-2, -0x1.959a36c3239aap-2, -0x1.9390359c0e1ffp-2, -0x1.913a28a16302fp-2, -0x1.8e9986400adbfp-2, -0x1.8bafe05a3941cp-2, -0x1.887ee16ab48adp-2, -0x1.850849d07eba2p-2, -0x1.814ded422e591p-2, -0x1.7d51b06805cb6p-2, -0x1.7915869bb7fd7p-2, -0x1.749b6fccb270ep-2, -0x1.6fe576879ae29p-2, -0x1.6af5ae1faf341p-2, -0x1.65ce30f897ed2p-2, -0x1.60711eef427cep-2, -0x1.5ae09be0457cp-2, -0x1.551ece4a60226p-2, -0x1.4f2dde0b95dffp-2, -0x1.490ff337789cep-2, -0x1.42c7350534282p-2, -0x1.3c55c8d3f8c86p-2, -0x1.35bdd144690dbp-2, -0x1.2f016d65b9feep-2, -0x1.2822b7f54b9ep-2, -0x1.2123c6af79262p-2, -0x1.1a06a9b0815fbp-2, -0x1.12cd6ae466f97p-2, -0x1.0b7a0d84c093cp-2, -0x1.040e8da375e2dp-2, -0x1.f919bf8303607p-3, -0x1.e9ede0e19215ap-3, -0x1.da9d480084576p-3, -0x1.cb2bac6330cb2p-3, -0x1.bb9cb3ef2ef63p-3, -0x1.abf3f2795ea24p-3, -0x1.9c34e961da85bp-3, -0x1.8c63073da95b9p-3, -0x1.7c81a78d1bdc6p-3, -0x1.6c94127dc0c26p-3, -0x1.5c9d7cb71e607p-3, -0x1.4ca1073138deap-3, -0x1.3ca1bf14255a7p-3, -0x1.2ca29d9ff3d78p-3, -0x1.1ca6881c35858p-3, -0x1.0cb04fce94611p-3, -0x1.f98563efb2ecbp-4, -0x1.d9c0afadc9b84p-4, -0x1.ba17ad624f664p-4, -0x1.9a8f5fc04681ap-4, -0x1.7b2ca1c714366p-4, -0x1.5bf426ef69ddcp-4, -0x1.3cea7b600ec8bp-4, -0x1.1e14042a02febp-4, -0x1.fee9ff16cfbf7p-5, -0x1.c2230a716ca7fp-5, -0x1.85db0d578f23bp-5, -0x1.4a199ef09b376p-5, -0x1.0ee60b4aaa24dp-5, -0x1.a88ea82defadp-6, -0x1.348862de2c3b8p-6, -0x1.838c4a893e13ap-7, -0x1.4150f8558eee5p-8, 0x1.fc1922d78ecfep-10, 0x1.1ce02edc4480bp-7, 0x1.f759506134138p-7, 0x1.676d23b48d8e6p-6, 0x1.d1a7f00c20d1bp-6, 0x1.1d29fc1430cc3p-5, 0x1.50b454ee07246p-5, 0x1.836ef9eaa83b3p-5, 0x1.b55621c779002p-5, 0x1.e666419ce072bp-5, 0x1.0b4e05e79f7f7p-4, 0x1.22fa377e44723p-4, 0x1.3a364a7354791p-4, 0x1.5100f0ad832f8p-4, 0x1.6758f88baa38ep-4, 0x1.7d3d4c55fa942p-4, 0x1.92acf1ae130d2p-4, 0x1.a7a708fe17c5bp-4, 0x1.bc2acce6ead9p-4, 0x1.d03791ad99752p-4, 0x1.e3ccc4a8290a5p-4, 0x1.f6e9eba9cd89fp-4, 0x1.04c7523755c4ap-3, 0x1.0ddd5203a4bbbp-3, 0x1.16b6db21dc59dp-3, 0x1.1f53de8f513e4p-3, 0x1.27b4581421a44p-3, 0x1.2fd84df8bbdacp-3, 0x1.37bfd0bb7572dp-3, 0x1.3f6afac64840cp-3, 0x1.46d9f024b610fp-3, 0x1.4e0cde39e589ap-3, 0x1.5503fb77064c1p-3, 0x1.5bbf8711fef93p-3, 0x1.623fc8bc76b03p-3, 0x1.6885105b4c81cp-3, 0x1.6e8fb5be71663p-3, 0x1.746018594e103p-3, 0x1.79f69efb99563p-3, 0x1.7f53b78ad5bbep-3, 0x1.8477d6bc52ecbp-3, 0x1.896377cfe469ep-3, 0x1.8e171c4b33e89p-3, 0x1.92934bb5d6156p-3, 0x1.96d8935612c85p-3, 0x1.9ae785ee7bee4p-3, 0x1.9ec0bb7c4899p-3, 0x1.a264d0f68f7cp-3, 0x1.a5d4680e55649p-3, 0x1.a91026ef85ac4p-3, 0x1.ac18b802d03f6p-3, 0x1.aeeec9b07b4a5p-3, 0x1.b1930e242c123p-3, 0x1.b4063b11a6184p-3, 0x1.b649097a94c27p-3, 0x1.b85c35754fb49p-3, 0x1.ba407df4b6e0ap-3, 0x1.bbf6a4910f6f8p-3, 0x1.bd7f6d5202ef5p-3, 0x1.bedb9e79a744dp-3, 0x1.c00c0050a63eap-3, 0x1.c1115cf38226bp-3, 0x1.c1ec8020f7527p-3, 0x1.c29e37097ff7ep-3, 0x1.c327501ffa485p-3, 0x1.c3889aeb71b17p-3, 0x1.c3c2e7da15d3cp-3, 0x1.c3d70815492f3p-3, 0x1.c3c5cd56e732ap-3, 0x1.c39009bfa90b2p-3, 0x1.c3368faeb4a39p-3, 0x1.c2ba319a524fcp-3, 0x1.c21bc1e9cf4acp-3, 0x1.c15c12d07fd72p-3, 0x1.c07bf629e729bp-3, 0x1.bf7c3d570de97p-3, 0x1.be5db91cece2bp-3, 0x1.bd21398408f35p-3, 0x1.bbc78db91d015p-3, 0x1.ba5183eef52afp-3, 0x1.b8bfe941547cp-3, 0x1.b7138998fc07dp-3, 0x1.b54d2f90c3921p-3, 0x1.b36da45bcacfbp-3, 0x1.b175afacb8b28p-3, 0x1.af66179e01b54p-3, 0x1.ad3fa09b433bdp-3, 0x1.ab030d4b99a32p-3, 0x1.a8b11e7d037a8p-3, 0x1.a64a9310b782fp-3, 0x1.a3d027e8828f9p-3, 0x1.a14297d514a8p-3, 0x1.9ea29b85400e8p-3, 0x1.9bf0e9762e90ep-3, 0x1.992e35e479c9ap-3, 0x1.965b32be2c7a1p-3, 0x1.93788f95a6d49p-3, 0x1.9086f9955ceb7p-3, 0x1.8d871b74748c1p-3, 0x1.8a799d6c2ba61p-3, 0x1.875f252e1c5dp-3, 0x1.843855db3ff92p-3, 0x1.8105cffbc08ep-3, 0x1.7dc8317785fc6p-3, 0x1.7a80158f80f2cp-3, 0x1.772e14d7b3ecep-3, 0x1.73d2c531e5f74p-3, 0x1.706eb9c90801cp-3, 0x1.6d02830d485c3p-3, 0x1.698eaeb0c2c4bp-3, 0x1.6613c7a4d330cp-3, 0x1.629256180a6eep-3, 0x1.5f0adf74ac00bp-3, 0x1.5b7de65fceaf2p-3, 0x1.57ebeab8f762fp-3, 0x1.5455699a4deb4p-3, 0x1.50badd594a465p-3, 0x1.4d1cbd87e336fp-3, 0x1.497b7ef63d475p-3, 0x1.45d793b4c89f4p-3, 0x1.42316b16d59adp-3, 0x1.3e8971b594b04p-3, 0x1.3ae011737fe3bp-3, 0x1.3735b18027a05p-3, 0x1.338ab65c64b9p-3, 0x1.2fdf81dedfbb9p-3, 0x1.2c347338f9e7p-3, 0x1.2889e6fbfe427p-3, 0x1.24e0371eaff11p-3, 0x1.2137bb031d226p-3, 0x1.1d90c77cbb041p-3, 0x1.19ebaed6c8f37p-3, 0x1.1648c0daf4c6cp-3, 0x1.12a84ad83bc72p-3, 0x1.0f0a97aa04d7cp-3, 0x1.0b6fefbf73c9ap-3, 0x1.07d89922ed102p-3, 0x1.0444d781c9d67p-3, 0x1.00b4ec343e389p-3, 0x1.fa522c8abac7ep-4, 0x1.f34324f6a6c12p-4, 0x1.ec3d36bf64676p-4, 0x1.e540d28fd98p-4, 0x1.de4e64bbd1093p-4, 0x1.d766555158c57p-4, 0x1.d089082a4c848p-4, 0x1.c9b6dcfe0f29dp-4, 0x1.c2f02f736a66cp-4, 0x1.bc3557328c5d1p-4, 0x1.b586a7f724eb8p-4, 0x1.aee471a299d9bp-4, 0x1.a84f004e53a47p-4, 0x1.a1c69c5e06c5cp-4, 0x1.9b4b8a922572ep-4, 0x1.94de0c1a3be43p-4, 0x1.8e7e5ea760d7fp-4, 0x1.882cbc7e9fecep-4, 0x1.81e95c8b61597p-4, 0x1.7bb47271c5d97p-4, 0x1.758e2ea0fb652p-4, 0x1.6f76be65826d5p-4, 0x1.696e4bfb6044ap-4, 0x1.6374fea040a51p-4, 0x1.5d8afaa57b101p-4, 0x1.57b06182017cep-4, 0x1.51e551e4341c3p-4, 0x1.4c29e7c391ed1p-4, 0x1.467e3c724a2dcp-4, 0x1.40e266aeabd96p-4, 0x1.3b567ab46d08ep-4, 0x1.35da8a4dcd087p-4, 0x1.306ea4e48a44fp-4, 0x1.2b12d792af68fp-4, 0x1.25c72d3332e9ap-4, 0x1.208bae72676dep-4, 0x1.1b6061de3ce26p-4, 0x1.16454bf651009p-4, 0x1.113a6f3bcb3bp-4, 0x1.0c3fcc4105a5dp-4, 0x1.075561b902807p-4, 0x1.027b2c86a9fafp-4, 0x1.fb624f97a3f2ep-5, 0x1.f1ee99f01738cp-5, 0x1.e89b27ae796c8p-5, 0x1.df67e53ffbf0cp-5, 0x1.d654bc0378dbdp-5, 0x1.cd6192654af87p-5, 0x1.c48e4bfaa6681p-5, 0x1.bbdac99c81bc9p-5, 0x1.b346e98208256p-5, 0x1.aad2875a8a226p-5, 0x1.a27d7c66ff081p-5, 0x1.9a479f9308e79p-5, 0x1.9230c58d84b5ap-5, 0x1.8a38c0e099aaap-5, 0x1.825f62095595ap-5, 0x1.7aa4778ecadf1p-5, 0x1.7307ce18b7f95p-5, 0x1.6b893085b6d74p-5, 0x1.64286800f683ap-5, 0x1.5ce53c17728bp-5, 0x1.55bf72ccbd524p-5, 0x1.4eb6d0af4d2c8p-5, 0x1.47cb18ec54ap-5, 0x1.40fc0d6329611p-5, 0x1.3a496eb82e648p-5, 0x1.33b2fc674fd1cp-5, 0x1.2d3874d608633p-5, 0x1.26d99564f5d4ap-5, 0x1.20961a80fc074p-5, 0x1.1a6dbfb3fc211p-5, 0x1.14603fb514662p-5, 0x1.0e6d547877381p-5, 0x1.0894b73ed39bap-5, 0x1.02d620a4537b7p-5, 0x1.fa62915e67121p-6, 0x1.ef4bcdbbd01e8p-6, 0x1.e4676469c7a85p-6, 0x1.d9b4c297e7555p-6, 0x1.cf3354b665da3p-6, 0x1.c4e2868f4e9b8p-6, 0x1.bac1c35edaf0fp-6, 0x1.b0d075eb1e4d7p-6, 0x1.a70e089ae5a16p-6, 0x1.9d79e58be297ap-6, 0x1.941376a81fdd6p-6, 0x1.8ada25babafp-6, 0x1.81cd5c83f453ap-6, 0x1.78ec84cc8af18p-6, 0x1.703708786350dp-6, 0x1.67ac5198961c8p-6, 0x1.5f4bca7ccca0cp-6, 0x1.5714ddc4032d1p-6, 0x1.4f06f66ca076bp-6, 0x1.47217fe401a77p-6, 0x1.3f63e6155cd52p-6, 0x1.37cd95780ac62p-6, 0x1.305dfb1d5374p-6, 0x1.291484bd92603p-6, 0x1.21f0a0c4db8a1p-6, 0x1.1af1be5f1ab1fp-6, 0x1.14174d83900fp-6, 0x1.0d60beffed512p-6, 0x1.06cd8482d66b7p-6, 0x1.005d10a5f3e35p-6, 0x1.f41dadef01ab2p-7, 0x1.e7c49806cdf6p-7, 0x1.dbadcab7c4b28p-7, 0x1.cfd833436046ep-7, 0x1.c442c117a2792p-7, 0x1.b8ec65ddbc7edp-7, 0x1.add41587ef33bp-7, 0x1.a2f8c65e87524p-7, 0x1.9859710c26ef1p-7, 0x1.8df510a93908cp-7, 0x1.83caa2c6a8812p-7, 0x1.79d92777f104ap-7, 0x1.701fa15c5e3e8p-7, 0x1.669d15a7be507p-7, 0x1.5d508c2a50aa4p-7, 0x1.54390f5813082p-7, 0x1.4b55ac4f70d0dp-7, 0x1.42a572df70214p-7, 0x1.3a27758d17d74p-7, 0x1.31dac99867f9cp-7, 0x1.29be8700b709dp-7, 0x1.21d1c8889aeeep-7, 0x1.1a13abb92949ap-7, 0x1.128350e4d3fd7p-7, 0x1.0b1fdb29c14b6p-7, 0x1.03e87073a1e27p-7, 0x1.f9b872fa77d86p-8, 0x1.ebf4c3a288faep-8, 0x1.de842f9610191p-8, 0x1.d165192d1eea4p-8, 0x1.c495e860d97b2p-8, 0x1.b8150aca31a36p-8, 0x1.abe0f3a004932p-8, 0x1.9ff81bb47820ap-8, 0x1.94590171b7edbp-8, 0x1.890228d618053p-8, 0x1.7df21b6f6e7f5p-8, 0x1.7327685608f1bp-8, 0x1.68a0a426f8248p-8, 0x1.5e5c68fdcc828p-8, 0x1.5459566dd73f7p-8, 0x1.4a96117af19dfp-8, 0x1.41114491ca0c4p-8, 0x1.37c99f7fb63fcp-8, 0x1.2ebdd76a1aeabp-8, 0x1.25eca6c56d8d3p-8, 0x1.1d54cd4bd331fp-8, 0x1.14f50ff35a1e2p-8, 0x1.0ccc38e3f4747p-8, 0x1.04d9176ce9c47p-8, 0x1.fa34fff473ec4p-9, 0x1.eb1e9813112bcp-9, 0x1.dc6cb43db74d9p-9, 0x1.ce1d1b71e7703p-9, 0x1.c02d9e8b1a5bfp-9, 0x1.b29c182a9d92dp-9, 0x1.a5666c9f543a6p-9, 0x1.988a89cc85f3fp-9, 0x1.8c066710d90e3p-9, 0x1.7fd8052c9d125p-9, 0x1.73fd6e2807ceap-9, 0x1.6874b538fcb8fp-9, 0x1.5d3bf6a8afb9dp-9, 0x1.525157b8e1827p-9, 0x1.47b306890e5ffp-9, 0x1.3d5f39fb949cfp-9, 0x1.3354319a4644cp-9, 0x1.2990357b13ab8p-9, 0x1.20119624ce2b6p-9, 0x1.16d6ac7349e0cp-9, 0x1.0dddd97bec0ccp-9, 0x1.052586721720ap-9, 0x1.f95849163ca0ep-10, 0x1.e8e059c555babp-10, 0x1.d8e040bdd6a89p-10, 0x1.c9550f29c5c79p-10, 0x1.ba3be55924d31p-10, 0x1.ab91f28a8f8ffp-10, 0x1.9d5474b3f57d2p-10, 0x1.8f80b84b2afc4p-10, 0x1.8214180f6dab6p-10, 0x1.750bfcd216341p-10, 0x1.6865dd3fdd98fp-10, 0x1.5c1f3daabf025p-10, 0x1.5035afd382da5p-10, 0x1.44a6d2b43e39ep-10, 0x1.3970524a4a1a8p-10, 0x1.2e8fe76159a2bp-10, 0x1.2403575de1ee6p-10, 0x1.19c874092b6eep-10, 0x1.0fdd1b5cc2499p-10, 0x1.063f374e90b95p-10, 0x1.f9d97b3a4ef9dp-11, 0x1.e7c75f39eedfdp-11, 0x1.d644340ada9cp-11, 0x1.c54c297d848fp-11, 0x1.b4db8560e1432p-11, 0x1.a4eea31e9de12p-11, 0x1.9581f35a4324ep-11, 0x1.8691fb8f30e23p-11, 0x1.781b55b22bfe6p-11, 0x1.6a1aafd1b5aa8p-11, 0x1.5c8ccbb7d1e2p-11, 0x1.4f6e7e8dba9aep-11, 0x1.42bcb07f3342ep-11, 0x1.36745c600d622p-11, 0x1.2a928f5352542p-11, 0x1.1f146870a12f7p-11, 0x1.13f7186db8418p-11, 0x1.0937e1470e0c4p-11, 0x1.fda82bd53bc8p-12, 0x1.e99233c6c695cp-12, 0x1.d628c20bfb43fp-12, 0x1.c366de3be4503p-12, 0x1.b147af3962767p-12, 0x1.9fc67a9285d1ap-12, 0x1.8edea3e2abda7p-12, 0x1.7e8bac36de4efp-12, 0x1.6ec931738e3bfp-12, 0x1.5f92edbc5648cp-12, 0x1.50e4b6df8ebfdp-12, 0x1.42ba7dc2ead92p-12, 0x1.35104dd134e68p-12, 0x1.27e24c6ed3fc8p-12, 0x1.1b2cb868d23bfp-12, 0x1.0eebe96d43129p-12, 0x1.031c4f8121de4p-12, 0x1.ef74e4f60fe7ap-13, 0x1.d985e2fe13449p-13, 0x1.c46504f946f7ep-13, 0x1.b00be35d5dc64p-13, 0x1.9c74423a5a6ecp-13, 0x1.89981043f99c7p-13, 0x1.777165de1fc39p-13, 0x1.65fa84305b3d1p-13, 0x1.552dd43616cf7p-13, 0x1.4505e5db53adcp-13, 0x1.357d6f1624193p-13, 0x1.268f4b0b37ad4p-13, 0x1.1836792fd7f25p-13, 0x1.0a6e1c74d85eap-13, 0x1.fa62f4e4a936cp-14, 0x1.e0f7f53054826p-14, 0x1.c8924ac1aa8aap-14, 0x1.b129471629f9bp-14, 0x1.9ab47aaca0a2fp-14, 0x1.852bb382ce03ep-14, 0x1.7086fb981d1cap-14, 0x1.5cbe977e8723bp-14, 0x1.49cb04ee09319p-14, 0x1.37a4f95e7f6e3p-14, 0x1.264560ac22c3p-14, 0x1.15a55bc095b38p-14, 0x1.05be3f434aa2dp-14, 0x1.ed13249a2ee5bp-15, 0x1.d0021a4b919adp-15, 0x1.b43d3015b63e3p-15, 0x1.99b893ef6e7a7p-15, 0x1.8068ceef76bdbp-15, 0x1.6842c2f475bcdp-15, 0x1.513ba862b5b9ap-15, 0x1.3b490be586895p-15, 0x1.2660cc468eb17p-15, 0x1.127918433f22ep-15, 0x1.ff10d903a3768p-16, 0x1.db0b22fe1cd5p-16, 0x1.b8cf3315061fep-16, 0x1.984bbdaabf6e1p-16, 0x1.7970030e512a8p-16, 0x1.5c2bcbbe5f9ccp-16, 0x1.406f64bf7b492p-16, 0x1.262b9c070572p-16, 0x1.0d51bcfa4bc6bp-16, 0x1.eba719fe6d40cp-17, 0x1.bf46904285322p-17, 0x1.95673b9f4267fp-17, 0x1.6def5b5b250ffp-17, 0x1.48c608e68e49dp-17, 0x1.25d331b0d645p-17, 0x1.04ff9143468dbp-17, 0x1.cc6956c30d0d6p-18, 0x1.92b98cc6cb985p-18, 0x1.5cc5cb4006c82p-18, 0x1.2a658813913c6p-18, 0x1.f6e33bbc4fc2cp-19, 0x1.9f8882db840a8p-19, 0x1.4e71ef9bced3bp-19, 0x1.035918b087a03p-19, 0x1.7bf41cb401adcp-20, 0x1.f84d1f34e6f03p-21, 0x1.0d96434ee686p-21, 0x1.b67efecedb33fp-24, -0x1.19e2163297338p-22, -0x1.3e8efb9fbe4c4p-21, -0x1.dee4304d43cap-21, -0x1.376173dc40ce9p-20, -0x1.777acff10aea5p-20, -0x1.b01fa8d2aed3bp-20, -0x1.e1add73af6583p-20, -0x1.063fd64c7e51fp-19, -0x1.187607d0595cp-19, -0x1.27a34bc8ab697p-19, -0x1.33efd3746d04ep-19, -0x1.3d8242c77604ap-19, -0x1.447fbd0e87861p-19, -0x1.490bf15bf7514p-19, -0x1.4b492668239a3p-19, -0x1.4b58468526eb7p-19, -0x1.4958eadd65879p-19, -0x1.45696693b11c4p-19, -0x1.3fa6d14719fa3p-19, -0x1.382d11c21a52fp-19, -0x1.2f16e82bacd94p-19, -0x1.247df7f05cb54p-19, -0x1.187ad1521572ep-19, -0x1.0b24fabfdfe99p-19, -0x1.f925f3ea927e7p-20, -0x1.d9b4b9a3c5e5cp-20, -0x1.b81f838e02da2p-20, -0x1.948dc0921bf65p-20, -0x1.6f2521c39301ap-20, -0x1.4809aa3ce29c9p-20, -0x1.1f5dbe5e6717p-20, -0x1.ea8464b1bed9cp-21, -0x1.93acb16369a01p-21, -0x1.3a70201d66042p-21, -0x1.be0f44d008fe5p-22, -0x1.0352edeb6c034p-22, -0x1.144a1f48bd5ffp-24, 0x1.f13e8290fd68p-24, 0x1.40760f73ebb07p-22, 0x1.0383f4c993e5cp-21, 0x1.67d865673a81bp-21, 0x1.cd104bbb3f014p-21, 0x1.1982d4e571908p-20, 0x1.4cca3e4440004p-20, 0x1.804d540296c3bp-20, 0x1.b3fbf25e48da7p-20, 0x1.e7c6d67faeb3dp-20, 0x1.0dcfca98eab73p-19, 0x1.27bc494ca011p-19, 0x1.41a27ccd53c1cp-19, 0x1.5b7c59db88732p-19, 0x1.754430a072107p-19, 0x1.8ef4a8bd94e2cp-19, 0x1.a888bdc7c004cp-19, 0x1.c1fbbbaf7000fp-19, 0x1.db493b5c7805fp-19, }}, 
      {{-0x1.1981d0ef80c0dp-2, -0x1.19c291f54ad96p-2, -0x1.1a2df4d22c734p-2, -0x1.1ac3301d2fb0ep-2, -0x1.1b813276f7ebcp-2, -0x1.1c66a9769166dp-2, -0x1.1d72092af922p-2, -0x1.1ea193d21148ep-2, -0x1.1ff3617fb6464p-2, -0x1.21656783bdd7dp-2, -0x1.22f57f6d56b56p-2, -0x1.24a16d96152d5p-2, -0x1.2666e7282c432p-2, -0x1.2843979a0ee1p-2, -0x1.2a35259ebff67p-2, -0x1.2c39378db3f09p-2, -0x1.2e4d7747a6568p-2, -0x1.306f959f78db5p-2, -0x1.329d4d4f2e87cp-2, -0x1.34d46581a17d9p-2, -0x1.3712b3f9c3f74p-2, -0x1.39561ee01ded1p-2, -0x1.3b9c9e3efba6cp-2, -0x1.3de43d355c5a6p-2, -0x1.402b1ae835426p-2, -0x1.426f6b391af72p-2, -0x1.44af7748e26b9p-2, -0x1.46e99dcc38e82p-2, -0x1.491c5337bacp-2, -0x1.4b4621c88823ep-2, -0x1.4d65a96de6e03p-2, -0x1.4f799f9812518p-2, -0x1.5180ceefeea6dp-2, -0x1.537a16faf8a1bp-2, -0x1.55646bae7309ep-2, -0x1.573ed4f48aedfp-2, -0x1.59086e25d12c1p-2, -0x1.5ac06579402dap-2, -0x1.5c65fb6cb0bc2p-2, -0x1.5df88227754cep-2, -0x1.5f775cd8a9ca8p-2, -0x1.60e1ff1286fc3p-2, -0x1.6237ec23edd98p-2, -0x1.6378b6713be91p-2, -0x1.64a3fecd48f6p-2, -0x1.65b973d36761p-2, -0x1.66b8d1430f7dap-2, -0x1.67a1df5dd2ffdp-2, -0x1.687472481a362p-2, -0x1.6930696d1f9ecp-2, -0x1.69d5aee67c141p-2, -0x1.6a6436e798e41p-2, -0x1.6adbff2d45d62p-2, -0x1.6b3d0e719ce5ep-2, -0x1.6b8773e45f3f3p-2, -0x1.6bbb46a7e56ccp-2, -0x1.6bd8a552b1ae2p-2, -0x1.6bdfb575af033p-2, -0x1.6bd0a3272000cp-2, -0x1.6baba09233c25p-2, -0x1.6b70e58b42494p-2, -0x1.6b20af2893b4fp-2, -0x1.6abb3f5fa985fp-2, -0x1.6a40dca6eea9bp-2, -0x1.69b1d19bba11fp-2, -0x1.690e6cac7fc8ap-2, -0x1.6856ffc71e06ep-2, -0x1.678be00b1cf7bp-2, -0x1.66ad657fc733dp-2, -0x1.65bbeacdf837ep-2, -0x1.64b7ccfd7ef77p-2, -0x1.63a16b35f2afdp-2, -0x1.62792682d7acp-2, -0x1.613f619af4c06p-2, -0x1.5ff480aab1e94p-2, -0x1.5e98e921684bap-2, -0x1.5d2d0181795ffp-2, -0x1.5bb1313313548p-2, -0x1.5a25e059844e1p-2, -0x1.588b77aafaa93p-2, -0x1.56e2604a94c61p-2, -0x1.552b03a4aa5f5p-2, -0x1.5365cb4d2caecp-2, -0x1.519320e006f1bp-2, -0x1.4fb36de365593p-2, -0x1.4dc71babc9c67p-2, -0x1.4bce9341d6219p-2, -0x1.49ca3d49b9629p-2, -0x1.47ba81ec271b4p-2, -0x1.459fc8c0c1c2ap-2, -0x1.437a78b9f0479p-2, -0x1.414af811fc2c3p-2, -0x1.3f11ac3976d88p-2, -0x1.3ccef9c6c678ap-2, -0x1.3a834466d8a67p-2, -0x1.382eeecee159fp-2, -0x1.35d25aaf1b238p-2, -0x1.336de8a67fe32p-2, -0x1.3101f83763ff8p-2, -0x1.2e8ee7bcf2cb9p-2, -0x1.2c15146175ab5p-2, -0x1.2994da15666a2p-2, -0x1.270e938737a46p-2, -0x1.24829a1bd3461p-2, -0x1.21f145e7bdf64p-2, -0x1.1f5aeda8deff6p-2, -0x1.1cbfe6c0db1c8p-2, -0x1.1a208530053fcp-2, -0x1.177d1b90d1878p-2, -0x1.14d5fb13d32dfp-2, -0x1.122b737c2c615p-2, -0x1.0f7dd31c7cc65p-2, -0x1.0ccd66d43b4a4p-2, -0x1.0a1a7a0d7982fp-2, -0x1.076556bb0ed9cp-2, -0x1.04ae455725599p-2, -0x1.01f58ce21bcf8p-2, -0x1.fe76e5c38eb65p-3, -0x1.f90076c204ce8p-3, -0x1.f38851df19fep-3, -0x1.ee0ef94471923p-3, -0x1.e894ec26b6c26p-3, -0x1.e31aa6c70c5cfp-3, -0x1.dda0a274ff847p-3, -0x1.d8275590f20dp-3, -0x1.d2af338f02a2bp-3, -0x1.cd38acfa5af8ap-3, -0x1.c7c42f78f4b77p-3, -0x1.c25225cfb8241p-3, -0x1.bce2f7e706168p-3, -0x1.b7770acf9742fp-3, -0x1.b20ec0c7b45a6p-3, -0x1.acaa7940c37d2p-3, -0x1.a74a90e52315ep-3, -0x1.a1ef619e4cd4dp-3, -0x1.9c99429b436f9p-3, -0x1.9748885740972p-3, -0x1.91fd84a0a404dp-3, -0x1.8cb886a01c959p-3, -0x1.8779dae00a91ap-3, -0x1.8241cb5414f8ep-3, -0x1.7d109f60f71a6p-3, -0x1.77e69be4723cbp-3, -0x1.72c4033d74edep-3, -0x1.6da9155462df2p-3, -0x1.68960fa38c408p-3, -0x1.638b2d3fbcdc2p-3, -0x1.5e88a6e0f3a7cp-3, -0x1.598eb2eb375d5p-3, -0x1.549d857781f25p-3, -0x1.4fb5505ccbb97p-3, -0x1.4ad643392497p-3, -0x1.46008b7aeb1dfp-3, -0x1.4134546a0f1bap-3, -0x1.3c71c73163f95p-3, -0x1.37b90ae804b4dp-3, -0x1.330a449ac186cp-3, -0x1.2e65975598162p-3, -0x1.29cb242d2e503p-3, -0x1.253b0a485df66p-3, -0x1.20b566e9b922ep-3, -0x1.1c3a5579195b2p-3, -0x1.17c9ef8d27997p-3, -0x1.13644cf4ed21bp-3, -0x1.0f0983c158e77p-3, -0x1.0ab9a84ec6b59p-3, -0x1.0674cd4e7ca9ep-3, -0x1.023b03d02368bp-3, -0x1.fc18b6967051ep-4, -0x1.f3d1c350e31cp-4, -0x1.eba14696376c3p-4, -0x1.e3875634caa9p-4, -0x1.db8405154b847p-4, -0x1.d397634d1156fp-4, -0x1.cbc17e30753c4p-4, -0x1.c4026064e8572p-4, -0x1.bc5a11f2fdc3ep-4, -0x1.b4c8985841873p-4, -0x1.ad4df698f519p-4, -0x1.a5ea2d5193a3ep-4, -0x1.9e9d3ac8385cfp-4, -0x1.97671afdd44ccp-4, -0x1.9047c7bf32501p-4, -0x1.893f38b5d1939p-4, -0x1.824d63788d0aep-4, -0x1.7b723b9c11d38p-4, -0x1.74adb2c3201bap-4, -0x1.6dffb8ae9b7bep-4, -0x1.67683b4d64408p-4, -0x1.60e726cbf9cf4p-4, -0x1.5a7c65a3e7ec5p-4, -0x1.5427e0aafb001p-4, -0x1.4de97f22399a4p-4, -0x1.47c126c4a8a77p-4, -0x1.41aebbd5d214p-4, -0x1.3bb2213012425p-4, -0x1.35cb3852ab46p-4, -0x1.2ff9e16f9a8c9p-4, -0x1.2a3dfb79331p-4, -0x1.2497642f7c12fp-4, -0x1.1f05f82d510f8p-4, -0x1.198992f547979p-4, -0x1.14220efe55e08p-4, -0x1.0ecf45c03cca9p-4, -0x1.09910fbfb4afap-4, -0x1.0467449a5dad5p-4, -0x1.fea37624df18fp-5, -0x1.f4a092345f34cp-5, -0x1.eac587be4eb42p-5, -0x1.e111ffaa3e17p-5, -0x1.d785a181b59ap-5, -0x1.ce2013853670ep-5, -0x1.c4e0fac0c351fp-5, -0x1.bbc7fb1fee90cp-5, -0x1.b2d4b781741cap-5, -0x1.aa06d1ca56982p-5, -0x1.a15deaf88df56p-5, -0x1.98d9a335392b5p-5, -0x1.907999e6617p-5, -0x1.883d6dc0451e8p-5, -0x1.8024bcd6309d4p-5, -0x1.782f24aae8702p-5, -0x1.705c42409fe25p-5, -0x1.68abb22881ea3p-5, -0x1.611d1091c976p-5, -0x1.59aff95870854p-5, -0x1.526408136e504p-5, -0x1.4b38d82290d02p-5, -0x1.442e04bbe608fp-5, -0x1.3d4328f8c2d04p-5, -0x1.3677dfe262d66p-5, -0x1.2fcbc47e1e13ep-5, -0x1.293e71d942bc5p-5, -0x1.22cf831484956p-5, -0x1.1c7e936f12ef7p-5, -0x1.164b3e51483b5p-5, -0x1.10351f5700f5ep-5, -0x1.0a3bd25993944p-5, -0x1.045ef3796f11bp-5, -0x1.fd3c3e4ebb512p-6, -0x1.f1f1e45ae79cfp-6, -0x1.e6de136f4a3b3p-6, -0x1.dc0006b80bb68p-6, -0x1.d156fa457723bp-6, -0x1.c6e22b1b30565p-6, -0x1.bca0d73ecddd8p-6, -0x1.b2923dc5dbb64p-6, -0x1.a8b59ee334664p-6, -0x1.9f0a3bf3da04dp-6, -0x1.958f578b27c9ep-6, -0x1.8c44357e7e9d8p-6, -0x1.83281af05ffd2p-6, -0x1.7a3a4e5b027a7p-6, -0x1.717a179a58c8p-6, -0x1.68e6bff59c397p-6, -0x1.607f92284ebf2p-6, -0x1.5843da6aca2e8p-6, -0x1.5032e67a43821p-6, -0x1.484c05a06ae04p-6, -0x1.408e88ba826b6p-6, -0x1.38f9c24016113p-6, -0x1.318d064936191p-6, -0x1.2a47aa9448d94p-6, -0x1.2329068b77ca8p-6, -0x1.1c307349b30f5p-6, -0x1.155d4b9f4ef11p-6, -0x1.0eaeec1643131p-6, -0x1.0824b2f60d75bp-6, -0x1.01be004735c6cp-6, -0x1.f6f46baced3d6p-7, -0x1.eab16e6f31452p-7, -0x1.deb1d38fe2edp-7, -0x1.d2f4696127c11p-7, -0x1.c77801d06aa77p-7, -0x1.bc3b726980e57p-7, -0x1.b13d945943cf9p-7, -0x1.a67d446f9c548p-7, -0x1.9bf9632108d54p-7, -0x1.91b0d4878dce1p-7, -0x1.87a2806331afep-7, -0x1.7dcd5219fa0fdp-7, -0x1.743038b7783f7p-7, -0x1.6aca26ebd5d31p-7, -0x1.619a130a7090dp-7, -0x1.589ef70816ac2p-7, -0x1.4fd7d078d973ep-7, -0x1.4743a08d73a21p-7, -0x1.3ee16c105ace5p-7, -0x1.36b03b626bd37p-7, -0x1.2eaf1a774570cp-7, -0x1.26dd18d150bap-7, -0x1.1f39497d72b1ep-7, -0x1.17c2c30e72bd4p-7, -0x1.10789f981d641p-7, -0x1.0959fcaa14bdfp-7, -0x1.0265fb4a6339cp-7, -0x1.f7377fdfbdefdp-8, -0x1.e9f4e4f8642adp-8, -0x1.dd027c6b79a78p-8, -0x1.d05ea38272874p-8, -0x1.c407be366baeap-8, -0x1.b7fc3722ab1a7p-8, -0x1.ac3a7f76bf609p-8, -0x1.a0c10ee84d90cp-8, -0x1.958e63a49705ep-8, -0x1.8aa10241a4dd8p-8, -0x1.7ff775af31913p-8, -0x1.75904f275022fp-8, -0x1.6b6a261ece52dp-8, -0x1.618398355978ep-8, -0x1.57db492578054p-8, -0x1.4e6fe2b452df3p-8, -0x1.454014a14cf15p-8, -0x1.3c4a9495614abp-8, -0x1.338e1e12717c3p-8, -0x1.2b09726263d44p-8, -0x1.22bb58862f06bp-8, -0x1.1aa29d24cd57cp-8, -0x1.12be1279fe3cbp-8, -0x1.0b0c90450d55bp-8, -0x1.038cf3b780a2dp-8, -0x1.f87c3ec755256p-9, -0x1.ea3df656b6a04p-9, -0x1.dc5ce85caa863p-9, -0x1.ced6f971bf5fap-9, -0x1.c1aa18647f713p-9, -0x1.b4d43e168005cp-9, -0x1.a8536d596f97ap-9, -0x1.9c25b2cc35fe3p-9, -0x1.904924b8125a2p-9, -0x1.84bbe2edb7528p-9, -0x1.797c16a2a5cd8p-9, -0x1.6e87f24e92ecp-9, -0x1.63ddb188d4c6bp-9, -0x1.597b98e633ef6p-9, -0x1.4f5ff5d68c88bp-9, -0x1.45891e82bf4ep-9, -0x1.3bf571aadc975p-9, -0x1.32a356845e903p-9, -0x1.29913c98b35fp-9, -0x1.20bd9ba3eb53ap-9, -0x1.1826f373a8638p-9, -0x1.0fcbcbc62dbc2p-9, -0x1.07aab429bc75bp-9, -0x1.ff8487b86c26bp-10, -0x1.f0223355ec5f2p-10, -0x1.e12bb7a5cfa81p-10, -0x1.d29e6fc213711p-10, -0x1.c477c525bebcp-10, -0x1.b6b52f6efb125p-10, -0x1.a95434217c4aap-10, -0x1.9c52666968a89p-10, -0x1.8fad66df234bp-10, -0x1.8362e34b5c688p-10, -0x1.7770966c01995p-10, -0x1.6bd447b983b3ap-10, -0x1.608bcb2d00157p-10, -0x1.55950106e147ap-10, -0x1.4aedd5964b6a5p-10, -0x1.409441010a1b9p-10, -0x1.3686470c568afp-10, -0x1.2cc1f6e5e47aep-10, -0x1.23456aedf1174p-10, -0x1.1a0ec881ee4bcp-10, -0x1.111c3fc7a9f3ep-10, -0x1.086c0b7951b7bp-10, -0x1.fff8e1645fcap-11, -0x1.ef977d777c27ep-11, -0x1.dfb09db76e4b9p-11, -0x1.d04108458212fp-11, -0x1.c145967746068p-11, -0x1.b2bb347684399p-11, -0x1.a49ee0e2b65eap-11, -0x1.96edac73c385ap-11, -0x1.89a4b99dc3bc4p-11, -0x1.7cc13c36647dcp-11, -0x1.7040791b8d1d1p-11, -0x1.641fc5db503a2p-11, -0x1.585c885d725p-11, -0x1.4cf4368dcb96ep-11, -0x1.41e456086a00dp-11, -0x1.372a7bc6acf12p-11, -0x1.2cc44bcdf271cp-11, -0x1.22af78df56747p-11, -0x1.18e9c428c1d22p-11, -0x1.0f70fcf763275p-11, -0x1.0643006b4417ep-11, -0x1.fabb7258c6773p-12, -0x1.e97e3e413e786p-12, -0x1.d8ca6e46b94e6p-12, -0x1.c89c257b989bep-12, -0x1.b8ef9fc21ef41p-12, -0x1.a9c13141db333p-12, -0x1.9b0d45e0c9326p-12, -0x1.8cd060bdc2003p-12, -0x1.7f071badbbc66p-12, -0x1.71ae26bb3b485p-12, -0x1.64c247a80bb31p-12, -0x1.58405971669f6p-12, -0x1.4c254bd5db499p-12, -0x1.406e22de47a9dp-12, -0x1.3517f668226b1p-12, -0x1.2a1ff1b28698ep-12, -0x1.1f8352ed23e35p-12, -0x1.153f6ac98483ep-12, -0x1.0b519c0dbc525p-12, -0x1.01b75b2a4b0e7p-12, -0x1.f0dc5ba16936cp-13, -0x1.dee7551b384ccp-13, -0x1.cd8af0c6932cap-13, -0x1.bcc29ccee6999p-13, -0x1.ac89e6c41a399p-13, -0x1.9cdc7add8c1b5p-13, -0x1.8db6233ee436dp-13, -0x1.7f12c742b5371p-13, -0x1.70ee6ac727afp-13, -0x1.63452d7ee4794p-13, -0x1.56134a45cbdf8p-13, -0x1.49551678c1c95p-13, -0x1.3d07015096275p-13, -0x1.312593418f9e8p-13, -0x1.25ad6d5cb327bp-13, -0x1.1a9b48b5d8441p-13, -0x1.0febf5cb92782p-13, -0x1.059c5bf353a43p-13, -0x1.f752f1907068fp-14, -0x1.e420bf3a5f039p-14, -0x1.d19c71e39de1cp-14, -0x1.bfc083d4472a5p-14, -0x1.ae8797941a18dp-14, -0x1.9dec76e569366p-14, -0x1.8dea11c6611c4p-14, -0x1.7e7b7d78adb1cp-14, -0x1.6f9bf38cad80ep-14, -0x1.6146d0f366f76p-14, -0x1.5377951645b74p-14, -0x1.4629e0f1ba50ep-14, -0x1.39597637fa4a6p-14, -0x1.2d0236764458dp-14, -0x1.21202240be87fp-14, -0x1.15af5861a5f0cp-14, -0x1.0aac150f093cap-14, -0x1.0012b1230e049p-14, -0x1.ebbf42b5d30b3p-15, -0x1.d81eeb306fbfep-15, -0x1.c53db04fe4a87p-15, -0x1.b3151a1c66b0dp-15, -0x1.a19ee2aa47666p-15, -0x1.90d4f4c1ab5d4p-15, -0x1.80b16a8cb0e61p-15, -0x1.712e8c4ec20aap-15, -0x1.6246cf2251748p-15, -0x1.53f4d3c1eaec7p-15, -0x1.463365538dadep-15, -0x1.38fd783ee81d5p-15, -0x1.2c4e290aa594dp-15, -0x1.2020bb3f36122p-15, -0x1.14709851d24c6p-15, -0x1.09394e96f0a18p-15, -0x1.fced206f1022ap-16, -0x1.e8486462ea333p-16, -0x1.d47c56b71d0cdp-16, -0x1.c18126e2a34dep-16, -0x1.af4f444640026p-16, -0x1.9ddf5c5b4c559p-16, -0x1.8d2a58f0384ebp-16, -0x1.7d295e69b6445p-16, -0x1.6dd5ca17c141bp-16, -0x1.5f29308e753dep-16, -0x1.511d5c0c5812ep-16, -0x1.43ac4aec05304p-16, -0x1.36d02e1db8079p-16, -0x1.2a8367ad15b3fp-16, -0x1.1ec08950a621p-16, -0x1.138253001739ep-16, -0x1.08c3b19a504a5p-16, -0x1.fcff7b185a882p-17, -0x1.e963730e6dc8ap-17, -0x1.d6aa22776a1a2p-17, -0x1.c4cab03c843a3p-17, -0x1.b3bc907016daap-17, -0x1.a37781f4a422fp-17, -0x1.93f38c382ca34p-17, -0x1.8528fcfd8f11cp-17, -0x1.7710663a6a258p-17, -0x1.69a29bfe8650ep-17, -0x1.5cd8b26e4dc79p-17, -0x1.50abfbc47931dp-17, -0x1.451606669fba1p-17, -0x1.3a109b065503fp-17, -0x1.2f95bad04e332p-17, -0x1.259f9da7d606ep-17, -0x1.1c28b06c1bd65p-17, -0x1.132b934dbc872p-17, -0x1.0aa3182fd7bfep-17, -0x1.028a41115cc15p-17, -0x1.f5b87d0967d2dp-18, -0x1.e728dc6afb17p-18, -0x1.d95cb2df80d7p-18, -0x1.cc4b677478476p-18, -0x1.bfecb2ee0d7f3p-18, -0x1.b4389d22d7a44p-18, -0x1.a9277a6050027p-18, -0x1.9eb1e8f074fb6p-18, -0x1.94d0cea697d6p-18, -0x1.8b7d56831dd74p-18, -0x1.82b0ee6680492p-18, -0x1.7a6544d639fefp-18, -0x1.729446d9c207ap-18, -0x1.6b381dd96e0efp-18, -0x1.644b2d9eacb0bp-18, -0x1.5dc81250150dap-18, -0x1.57a99e8ce85d8p-18, -0x1.51ead98e8bb33p-18, -0x1.4c86fd5e49a5bp-18, -0x1.4779750fe34b3p-18, -0x1.42bddb15be284p-18, -0x1.3e4ff79bdde0ap-18, -0x1.3a2bbee7f5dcep-18, -0x1.364d4fd5e1d6p-18, -0x1.32b0f2541853dp-18, -0x1.2f5315f3b3cc7p-18, -0x1.2c30507adff87p-18, -0x1.29455c8dfe7bfp-18, -0x1.268f185e04a9fp-18, -0x1.240a845c133f4p-18, -0x1.21b4c1fd1e95p-18, -0x1.1f8b128bdc25fp-18, -0x1.1d8ad5f88e2adp-18, -0x1.1bb189be66082p-18, -0x1.19fcc7c99ce52p-18, -0x1.186a456eb732cp-18, -0x1.16f7d2613aad3p-18, -0x1.15a357b747bcdp-18, -0x1.146ad6f6ee4ddp-18, -0x1.134c692adc396p-18, -0x1.12463dfd41d93p-18, -0x1.11569ad88d5eap-18, -0x1.107bda13f6da7p-18, -0x1.0fb46a232170bp-18, -0x1.0efeccce0bfb2p-18, -0x1.0e59966f55cf6p-18, -0x1.0dc36d3f370cap-18, -0x1.0d3b089aebd4fp-18, -0x1.0cbf30555ab9ep-18, -0x1.0c4ebc11a9109p-18, -0x1.0be8929e5c81bp-18, -0x1.0b8ba95b9c063p-18, -0x1.0b3703a1a9199p-18, -0x1.0ae9b23136f83p-18, -0x1.0aa2d2a316a8ep-18, -0x1.0a618ee0bc838p-18, -0x1.0a251c9d93844p-18, -0x1.09ecbcdb9053cp-18, -0x1.09b7bb727b861p-18, -0x1.09856e9a7b1acp-18, -0x1.0955367745c1fp-18, -0x1.09267cabdea0bp-18, -0x1.08f8b3f26b1bp-18, -0x1.08cb57b40b808p-18, -0x1.089deba83e933p-18, -0x1.086ffb75903bfp-18, -0x1.08411a587eb36p-18, -0x1.0810e2ca6d36dp-18, -0x1.07def62be3d49p-18, -0x1.07aafc73306fbp-18, -0x1.0774a3e06e1dap-18, -0x1.073ba0b472229p-18, -0x1.06fface5b21c5p-18, -0x1.06c087d8ea903p-18, -0x1.067df62202739p-18, -0x1.0637c143dc4fbp-18, -0x1.05edb76fdd9bdp-18, -0x1.059fab4d90c5dp-18, -0x1.054d73bfc67efp-18, -0x1.04f6ebafb0f51p-18, -0x1.049bf1d46019bp-18, -0x1.043c688493933p-18, -0x1.03d8357ff0df1p-18, -0x1.036f41c8c0f68p-18, -0x1.030179757ba23p-18, -0x1.028ecb8521a67p-18, -0x1.021729b453ba2p-18, -0x1.019a885743c3p-18, -0x1.0118de389314bp-18, -0x1.0092246f662e7p-18, -0x1.0006564126ddp-18, -0x1.feeae1fd10177p-19, -0x1.fdbee7ca636a5p-19, -0x1.fc88bfff4db8dp-19, -0x1.fb487012083eep-19, -0x1.f9fe00a28aeep-19, -0x1.f8a97d4781cadp-19, -0x1.f74af461c724bp-19, -0x1.f5e276e987a4ap-19, -0x1.f470183ac6adbp-19, -0x1.f2f3edeb3f16fp-19, -0x1.f16e0fa5a6c9cp-19, -0x1.efde970168c1ep-19, -0x1.ee459f599b0ep-19, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.6ae7d21071f11p-7, -0x1.69f298f23fb2dp-6, -0x1.0e4a6c7762172p-5, -0x1.66456ddd7f94ep-5, -0x1.bc90bb3336f55p-5, -0x1.0871190a7067bp-4, -0x1.317f9fbea168dp-4, -0x1.595e2600ae73dp-4, -0x1.7ffddb48df598p-4, -0x1.a55645a68bb1p-4, -0x1.c9648ba19d712p-4, -0x1.ec2ab848b638dp-4, -0x1.06d780cbb05f9p-3, -0x1.16fd8b5de50b2p-3, -0x1.268dbce6b127cp-3, -0x1.358f738944bc7p-3, -0x1.440ae5725dedep-3, -0x1.5208e33fe5958p-3, -0x1.5f92a1bfc5ed3p-3, -0x1.6cb18ab935509p-3, -0x1.796f1455492fap-3, -0x1.85d49ea9d5696p-3, -0x1.91eb56e0830f2p-3, -0x1.9dbc1f719bb0ap-3, -0x1.a94f7cec071f8p-3, -0x1.b4ad86c9256a1p-3, -0x1.bfdddbd276b04p-3, -0x1.cae799a74348bp-3, -0x1.d5d156f98c5c2p-3, -0x1.e0a12022b0deep-3, -0x1.eb5c75b926331p-3, -0x1.f6084cd97a191p-3, -0x1.0054886e6eedfp-2, -0x1.05a1531fa6c3ap-2, -0x1.0aec373f31fafp-2, -0x1.1036a660423fp-2, -0x1.1581d58cecbc7p-2, -0x1.1acec0250c873p-2, -0x1.201e2ae962d9ep-2, -0x1.2570a725081fcp-2, -0x1.2ac695e92798ep-2, -0x1.30202b50c070ap-2, -0x1.357d71c3bc9fbp-2, -0x1.3ade4d31fc339p-2, -0x1.40427e4039795p-2, -0x1.45a9a561bac83p-2, -0x1.4b1345dab3447p-2, -0x1.507ec8a80f6adp-2, -0x1.55eb7f4a251e2p-2, -0x1.5b58a670571ecp-2, -0x1.60c568845d392p-2, -0x1.6630e014409acp-2, -0x1.6b9a1a1aa4f13p-2, -0x1.710018253096dp-2, -0x1.7661d2594dda8p-2, -0x1.7bbe3957a857cp-2, -0x1.811437ff13a6ep-2, -0x1.8662b50f9e3b6p-2, -0x1.8ba894aecc013p-2, -0x1.90e4b9cdff4a2p-2, -0x1.9616077433a13p-2, -0x1.9b3b61ec41765p-2, -0x1.a053afd8dd9d8p-2, -0x1.a55ddb2fa2e22p-2, -0x1.aa58d21c664c3p-2, -0x1.af4387ce18785p-2, -0x1.b41cf52e81614p-2, -0x1.b8e4198609272p-2, -0x1.bd97fb0ccfc27p-2, -0x1.c237a76a39dffp-2, -0x1.c6c234241c32p-2, -0x1.cb36befea3f99p-2, -0x1.cf946e4e05891p-2, -0x1.d3da713afb47cp-2, -0x1.d807fffb0beefp-2, -0x1.dc1c5bfd842fap-2, -0x1.e016d00e055e6p-2, -0x1.e3f6b06d82683p-2, -0x1.e7bb5ae267bf3p-2, -0x1.eb6436c0bdd44p-2, -0x1.eef0b4eae6a4fp-2, -0x1.f2604fcbaa403p-2, -0x1.f5b28b4a2b4d8p-2, -0x1.f8e6f4b852f88p-2, -0x1.fbfd22bc424e2p-2, -0x1.fef4b53545835p-2, -0x1.00e6aa8e610b8p-1, -0x1.02435a31c6006p-1, -0x1.039046e605846p-1, -0x1.04cd5260c5e23p-1, -0x1.05fa62968c498p-1, -0x1.071761a413908p-1, -0x1.08243db6b3edp-1, -0x1.0920e8f3fe63ap-1, -0x1.0a0d5960aa0d2p-1, -0x1.0ae988c6f314bp-1, -0x1.0bb5749c81a5ap-1, -0x1.0c711de7f7207p-1, -0x1.0d1c892632159p-1, -0x1.0db7be2f6217cp-1, -0x1.0e42c81bfb3afp-1, -0x1.0ebdb5299a66ap-1, -0x1.0f28969feb32bp-1, -0x1.0f8380b59cf04p-1, -0x1.0fce8a7571ddcp-1, -0x1.1009cda374d69p-1, -0x1.103566a2615e5p-1, -0x1.1051745944d8fp-1, -0x1.105e181961827p-1, -0x1.105b75845b4a9p-1, -0x1.1049b272b67d9p-1, -0x1.1028f6daa9fd7p-1, -0x1.0ff96cb74dd6cp-1, -0x1.0fbb3ff02945cp-1, -0x1.0f6e9e4124593p-1, -0x1.0f13b722dfd5cp-1, -0x1.0eaabbb37750cp-1, -0x1.0e33de9fafb3bp-1, -0x1.0daf540c94242p-1, -0x1.0d1d518181c03p-1, -0x1.0c7e0dd2a73e8p-1, -0x1.0bd1c10bf4edp-1, -0x1.0b18a45c80cb5p-1, -0x1.0a52f2025fda7p-1, -0x1.0980e536f18dbp-1, -0x1.08a2ba1ba233p-1, -0x1.07b8ada720255p-1, -0x1.06c2fd9306342p-1, -0x1.05c1e849fa5f6p-1, -0x1.04b5acd63f954p-1, -0x1.039e8ad0bb8bdp-1, -0x1.027cc2506d6a3p-1, -0x1.015093da58551p-1, -0x1.001a4051dd407p-1, -0x1.fdb411d30b91fp-2, -0x1.fb205e287920dp-2, -0x1.f879e8edeb805p-2, -0x1.f5c135b585b86p-2, -0x1.f2f6c83ea51d2p-2, -0x1.f01b245bb7f62p-2, -0x1.ed2ecdd8e50edp-2, -0x1.ea32486383bdap-2, -0x1.e72617726382p-2, -0x1.e40abe2edbbf1p-2, -0x1.e0e0bf5ea8d96p-2, -0x1.dda89d4e89f78p-2, -0x1.da62d9bda43b2p-2, -0x1.d70ff5c9a9405p-2, -0x1.d3b071dbb6c57p-2, -0x1.d044cd95f3e0ap-2, -0x1.cccd87c1e60cap-2, -0x1.c94b1e3f7c499p-2, -0x1.c5be0df4ca29ap-2, -0x1.c226d2be764ebp-2, -0x1.be85e760d3fd2p-2, -0x1.badbc579a521p-2, -0x1.b728e57286f7fp-2, -0x1.b36dbe73fed19p-2, -0x1.afaac6592c2e4p-2, -0x1.abe071a4176f9p-2, -0x1.a80f33729caa2p-2, -0x1.a4377d73ec70dp-2, -0x1.a059bfdea7e05p-2, -0x1.9c7669678ab8fp-2, -0x1.988de738a7ed3p-2, -0x1.94a0a4e9319b4p-2, -0x1.90af0c75ce33dp-2, -0x1.8cb9863971213p-2, -0x1.88c078e6b9931p-2, -0x1.84c44981d458dp-2, -0x1.80c55b5ada342p-2, -0x1.7cc41008a94fep-2, -0x1.78c0c7643a4d5p-2, -0x1.74bbdf8468fcp-2, -0x1.70b5b4ba319e7p-2, -0x1.6caea18d5d038p-2, -0x1.68a6feb99b73cp-2, -0x1.649f232c07dbbp-2, -0x1.6097640117264p-2, -0x1.5c901482e7785p-2, -0x1.58898627f3b2dp-2, -0x1.5484089229081p-2, -0x1.507fe98e52546p-2, -0x1.4c7d7513e51ap-2, -0x1.487cf54520ba4p-2, -0x1.447eb26f81b0fp-2, -0x1.4082f30c8a917p-2, -0x1.3c89fbc2d8393p-2, -0x1.38940f67836a8p-2, -0x1.34a16effce0bep-2, -0x1.30b259c31260bp-2, -0x1.2cc70d1cfec81p-2, -0x1.28dfc4b00b19p-2, -0x1.24fcba58353e7p-2, -0x1.211e262df299fp-2, -0x1.1d443e89643fbp-2, -0x1.196f3805bdc72p-2, -0x1.159f4584e1c2bp-2, -0x1.11d4983336f48p-2, -0x1.0e0f5f8ba6d9ap-2, -0x1.0a4fc95bd1de4p-2, -0x1.069601c86ab59p-2, -0x1.02e23351bfep-2, -0x1.fe690db0d283dp-3, -0x1.f71a474440c65p-3, -0x1.efd85ebd6fd1ep-3, -0x1.e8a39c5a6b9bep-3, -0x1.e17c45422193bp-3, -0x1.da629b8f0cb3dp-3, -0x1.d356de5a1d62fp-3, -0x1.cc5949c5d459ep-3, -0x1.c56a17098fac3p-3, -0x1.be897c7cfe856p-3, -0x1.b7b7ada3bfff9p-3, -0x1.b0f4db39298f1p-3, -0x1.aa41333c2a754p-3, -0x1.a39ce0fb4dfcbp-3, -0x1.9d080d20dc7e4p-3, -0x1.9682ddbf0c3bep-3, -0x1.900d765c51047p-3, -0x1.89a7f7ffb1ffbp-3, -0x1.8352813d381b9p-3, -0x1.7d0d2e4262a1dp-3, -0x1.76d818e2a579fp-3, -0x1.70b358a3ed946p-3, -0x1.6a9f02cb29baap-3, -0x1.649b2a68d603bp-3, -0x1.5ea7e065811fdp-3, -0x1.58c5338e5366ap-3, -0x1.52f330a18dfacp-3, -0x1.4d31e25aff5f8p-3, -0x1.4781518071e58p-3, -0x1.41e184ee0b247p-3, -0x1.3c5281a29c7fbp-3, -0x1.36d44acbe91d3p-3, -0x1.3166e1d2d0982p-3, -0x1.2c0a466770e72p-3, -0x1.26be768d28984p-3, -0x1.21836ea68a196p-3, -0x1.1c592981357d6p-3, -0x1.173fa0618f133p-3, -0x1.1236cb0e6d305p-3, -0x1.0d3e9fdc959aap-3, -0x1.085713ba2bfe6p-3, -0x1.03801a39f7ed9p-3, -0x1.fd734b3d29c3ep-4, -0x1.f4074dcae9038p-4, -0x1.eabc1ba39952ap-4, -0x1.e19191eeabe92p-4, -0x1.d8878b89e3505p-4, -0x1.cf9de11e43b91p-4, -0x1.c6d46934c9457p-4, -0x1.be2af84ac113ep-4, -0x1.b5a160e5e67b4p-4, -0x1.ad3773a828505p-4, -0x1.a4ecff631f013p-4, -0x1.9cc1d12b3548cp-4, -0x1.94b5b46a81314p-4, -0x1.8cc872f344f31p-4, -0x1.84f9d512256a4p-4, -0x1.7d49a1a008952p-4, -0x1.75b79e13a1ebap-4, -0x1.6e438e92a90a1p-4, -0x1.66ed3602c0d77p-4, -0x1.5fb4561a054d7p-4, -0x1.5898af6f47fa3p-4, -0x1.519a0189f5129p-4, -0x1.4ab80af1a68a3p-4, -0x1.43f2893d617edp-4, -0x1.3d4939227eaaep-4, -0x1.36bbd6833d2c3p-4, -0x1.304a1c7d056bep-4, -0x1.29f3c57654978p-4, -0x1.23b88b2c54b71p-4, -0x1.1d9826c023d6bp-4, -0x1.179250c3c6ebcp-4, -0x1.11a6c146cb73ap-4, -0x1.0bd52fe296bd9p-4, -0x1.061d53c66555cp-4, -0x1.007ee3c2f8fdcp-4, -0x1.f5f32cabede49p-5, -0x1.eb1a4369f2a33p-5, -0x1.e07277b09f829p-5, -0x1.d5fb350ae6c2p-5, -0x1.cbb3e6b26159bp-5, -0x1.c19bf7a2fe6fcp-5, -0x1.b7b2d2ae2f90ap-5, -0x1.adf7e28d725a2p-5, -0x1.a46a91f44b4cfp-5, -0x1.9b0a4ba1b2d4p-5, -0x1.91d67a70f4d9cp-5, -0x1.88ce8969ff68cp-5, -0x1.7ff1e3d12ca67p-5, -0x1.773ff5367f036p-5, -0x1.6eb829845a887p-5, -0x1.6659ed0db870bp-5, -0x1.5e24ac9bdd279p-5, -0x1.5617d57b8893cp-5, -0x1.4e32d589aa2eap-5, -0x1.46751b3f999c5p-5, -0x1.3ede15bed9cp-5, -0x1.376d34dc61b8dp-5, -0x1.3021e92b6ef2dp-5, -0x1.28fba407e3d03p-5, -0x1.21f9d7a03f951p-5, -0x1.1b1bf6ff18b89p-5, -0x1.1461761438e97p-5, -0x1.0dc9c9bd498acp-5, -0x1.075467ce1485ep-5, -0x1.0100c7186677ep-5, -0x1.f59cbee71441ep-6, -0x1.e9795386c8f69p-6, -0x1.dd963ffe650bcp-6, -0x1.d1f27a6fc6fadp-6, -0x1.c68cfb3c4b5a4p-6, -0x1.bb64bd1014ccbp-6, -0x1.b078bcecc5caap-6, -0x1.a5c7fa3386476p-6, -0x1.9b5176ae5f0b4p-6, -0x1.91143698fd0ebp-6, -0x1.870f40a8d4643p-6, -0x1.7d419e14b010ap-6, -0x1.73aa5a9bb0398p-6, -0x1.6a48848baeebep-6, -0x1.611b2cc726394p-6, -0x1.582166ca7b85p-6, -0x1.4f5a48b0df279p-6, -0x1.46c4eb389a68p-6, -0x1.3e6069c6e7f17p-6, -0x1.362be26b53f3ep-6, -0x1.2e2675e2a11f9p-6, -0x1.264f4799484c6p-6, -0x1.1ea57dad7cfb1p-6, -0x1.172840f0cd367p-6, -0x1.0fd6bce963ddap-6, -0x1.08b01fd2dc72dp-6, -0x1.01b39a9eaca99p-6, -0x1.f5c0c1e8a446ep-7, -0x1.e86b5261fecf6p-7, -0x1.db6558ce23ed2p-7, -0x1.cead4cba4a49dp-7, -0x1.c241ab19ac4f5p-7, -0x1.b620f64280b0ap-7, -0x1.aa49b5ea47405p-7, -0x1.9eba7721a3c74p-7, -0x1.9371cc4fa3ad1p-7, -0x1.886e4d2c6ba15p-7, -0x1.7dae96bb9c15bp-7, -0x1.73314b45f0b04p-7, -0x1.68f51252ad12ap-7, -0x1.5ef898a08556dp-7, -0x1.553a901e00d83p-7, -0x1.4bb9afe1ae8b5p-7, -0x1.4274b421c46efp-7, -0x1.396a5e2b895e8p-7, -0x1.3099745a45db2p-7, -0x1.2800c20e01e33p-7, -0x1.1f9f17a1da378p-7, -0x1.17734a6222f6fp-7, -0x1.0f7c348229ad9p-7, -0x1.07b8b511cf246p-7, -0x1.0027aff2cc52dp-7, -0x1.f1901b9b87545p-8, -0x1.e331780e4bd02p-8, -0x1.d53159679fabep-8, -0x1.c78dad1b1a068p-8, -0x1.ba4469cec197ep-8, -0x1.ad538f433217p-8, -0x1.a0b9263bacccap-8, -0x1.94734065cf5acp-8, -0x1.887ff840e920ep-8, -0x1.7cdd71052f68dp-8, -0x1.7189d68ac36acp-8, -0x1.66835d308756ap-8, -0x1.5bc841c2ad8f9p-8, -0x1.5156c9614005fp-8, -0x1.472d416668cbdp-8, -0x1.3d49ff4cc5ec9p-8, -0x1.33ab609598648p-8, -0x1.2a4fcaaeb52bcp-8, -0x1.2135aad8a8139p-8, -0x1.185b760c99472p-8, -0x1.0fbfa8e260f54p-8, -0x1.0760c776540c7p-8, -0x1.fe7aba9e8c522p-9, -0x1.eea7fa8908f5p-9, -0x1.df4682c78f4cbp-9, -0x1.d05395aea4492p-9, -0x1.c1cc8397d5b97p-9, -0x1.b3aeaaae3f12ep-9, -0x1.a5f776badeee9p-9, -0x1.98a460f1646fcp-9, -0x1.8bb2efbccfa0dp-9, -0x1.7f20b68cd6485p-9, -0x1.72eb55a2e489dp-9, -0x1.671079dfffd4ap-9, -0x1.5b8ddc9255f21p-9, -0x1.506143438eda8p-9, -0x1.45887f873bd19p-9, -0x1.3b016ec983de1p-9, -0x1.30c9fa1e7ad56p-9, -0x1.26e0161141caep-9, -0x1.1d41c2741871ep-9, -0x1.13ed0a3099d71p-9, -0x1.0ae0031821a38p-9, -0x1.0218cdb4e4633p-9, -0x1.f32b2a36a9d85p-10, -0x1.e2a91d77ab899p-10, -0x1.d2a7f46a6ee82p-10, -0x1.c324424e39d92p-10, -0x1.b41aae0a75e8bp-10, -0x1.a587f1d5ccb9bp-10, -0x1.9768dade1ca1ap-10, -0x1.89ba48f168589p-10, -0x1.7c792e27f1053p-10, -0x1.6fa28e8ec8c26p-10, -0x1.63337fd396427p-10, -0x1.572928f1b57a6p-10, -0x1.4b80c1df987a1p-10, -0x1.4037933d78e9p-10, -0x1.354af6054704cp-10, -0x1.2ab8533af9725p-10, -0x1.207d239e8b284p-10, -0x1.1696ef5e96f89p-10, -0x1.0d034dcbc2455p-10, -0x1.03bfe50d9ab0ep-10, -0x1.f594d3b048783p-11, -0x1.e4413e455ef54p-11, -0x1.d380abbe9acf1p-11, -0x1.c34ed96713403p-11, -0x1.b3a79f6449121p-11, -0x1.a486f02b34824p-11, -0x1.95e8d7f82c83p-11, -0x1.87c97c47f4f87p-11, -0x1.7a251b527c2d6p-11, -0x1.6cf80b891d74cp-11, -0x1.603ebb150cc58p-11, -0x1.53f5af5968636p-11, -0x1.48198475b950cp-11, -0x1.3ca6eccb87e27p-11, -0x1.319ab084bf439p-11, -0x1.26f1ad1da9f6bp-11, -0x1.1ca8d4ef49c27p-11, -0x1.12bd2ebc5328ap-11, -0x1.092bd53f71a13p-11, -0x1.ffe3ed78db7cdp-12, -0x1.ee19a9243cdcep-12, -0x1.dcf3859ddaaep-12, -0x1.cc6c4f8e6d8a1p-12, -0x1.bc7ef759351c9p-12, -0x1.ad269050623a2p-12, -0x1.9e5e4feaad5c9p-12, -0x1.90218cffd0ba7p-12, -0x1.826bbf052d27ap-12, -0x1.75387d4f6005cp-12, -0x1.68837e57a66e8p-12, -0x1.5c48970301d41p-12, -0x1.5083b9eee1dbap-12, -0x1.4530f6c07debbp-12, -0x1.3a4c79755b1dap-12, -0x1.2fd289ba57acp-12, -0x1.25bf8a43188dbp-12, -0x1.1c0ff8268a5b8p-12, -0x1.12c06a3d9a1d1p-12, -0x1.09cd908584d15p-12, -0x1.013433843bbe7p-12, -0x1.f1e26761d8e61p-13, -0x1.e20311bd9ffffp-13, -0x1.d2c4835651c91p-13, -0x1.c42105dd7ecb6p-13, -0x1.b6130e6198129p-13, -0x1.a8953c3ad77c1p-13, -0x1.9ba257fe2a74cp-13, -0x1.8f35527605063p-13, -0x1.8349439e0f5fp-13, -0x1.77d969a9763bfp-13, -0x1.6ce12805f5a5fp-13, -0x1.625c066c7dde5p-13, -0x1.5845aff1607fep-13, -0x1.4e99f21ca57e3p-13, -0x1.4554bc0607fdep-13, -0x1.3c721d75e2e2bp-13, -0x1.33ee460abb1c9p-13, -0x1.2bc58462e7cbdp-13, -0x1.23f4454c127ddp-13, -0x1.1c7712f72004ap-13, -0x1.154a9430afd77p-13, -0x1.0e6b8b9b9f908p-13, -0x1.07d6d6f408408p-13, -0x1.01896e519c54bp-13, -0x1.f700c6e65c1ebp-14, -0x1.eb71c2148c6edp-14, -0x1.e060541b2ac45p-14, -0x1.d5c7321afdeefp-14, -0x1.cba13f1ab48d5p-14, -0x1.c1e98abf459d7p-14, -0x1.b89b500eb960ep-14, -0x1.afb1f439525c8p-14, -0x1.a729056999f3bp-14, -0x1.9efc3998ef609p-14, -0x1.97276d6fc1a4p-14, -0x1.8fa6a329fc049p-14, -0x1.887601816778ap-14, -0x1.8191d2a1b4b8ep-14, -0x1.7af68320201e2p-14, -0x1.74a0a0fa7425bp-14, -0x1.6e8cda9b91e88p-14, -0x1.68b7fde5c9ec2p-14, -0x1.631ef74602e99p-14, -0x1.5dbed0ca126ecp-14, -0x1.5894b13eebc3cp-14, -0x1.539ddb501c139p-14, -0x1.4ed7acb18e7dp-14, -0x1.4a3f9d4bd904p-14, -0x1.45d33e700e2b5p-14, -0x1.41903a0ddd121p-14, -0x1.3d7451f274896p-14, -0x1.397d5f0a1e0fep-14, -0x1.35a950a47498dp-14, -0x1.31f62bc24c9fep-14, -0x1.2e620a641dc3cp-14, -0x1.2aeb1ae05674ep-14, -0x1.278f9f3bb4d57p-14, -0x1.244dec8740084p-14, -0x1.21246a41ac747p-14, -0x1.1e1191bd72dc9p-14, -0x1.1b13ed8a8846ep-14, -0x1.182a18e4c82efp-14, -0x1.1552bf2608b87p-14, -0x1.128c9b3c48f24p-14, -0x1.0fd67722721p-14, -0x1.0d2f2b5ec695ep-14, -0x1.0a959e8204938p-14, -0x1.0808c4adad6a8p-14, -0x1.05879f19f043fp-14, -0x1.03113ba27e9e7p-14, -0x1.00a4b454121f5p-14, -0x1.fc825dfb80215p-15, -0x1.f7cbb98c5af08p-15, -0x1.f323f384ab9a2p-15, -0x1.ee899921d1debp-15, -0x1.e9fb4bf00cd29p-15, -0x1.e577c10ba59edp-15, -0x1.e0fdc06688cddp-15, -0x1.dc8c24134df1dp-15, -0x1.d821d797e06a9p-15, -0x1.d3bdd741602d6p-15, -0x1.cf5f2f8210cefp-15, -0x1.cb04fc4f98893p-15, -0x1.c6ae688a57134p-15, -0x1.c25aad63bd63cp-15, -0x1.be0911ce58ea5p-15, -0x1.b9b8e9ee624a6p-15, -0x1.b569969211984p-15, -0x1.b11a84acd642ep-15, -0x1.accb2cd65b0afp-15, -0x1.a87b12ce3cfb7p-15, -0x1.a429c5011e0f6p-15, -0x1.9fd6dc16798d5p-15, -0x1.9b81fa7c40935p-15, -0x1.972acbfa2fe51p-15, -0x1.92d10546cae72p-15, -0x1.8e7463a2a002bp-15, -0x1.8a14ac7317384p-15, -0x1.85b1ace28a4d2p-15, -0x1.814b39825f19dp-15, -0x1.7ce12df1e56bfp-15, -0x1.78736c86172acp-15, -0x1.7401ddf7655c6p-15, -0x1.6f8c710d9a75p-15, -0x1.6b131a54a659ep-15, -0x1.6695d3ce273edp-15, -0x1.62149ca961cp-15, -0x1.5d8f78fbf67f1p-15, -0x1.5906717d06afep-15, -0x1.54799344951d5p-15, -0x1.4fe8ef8b33eb3p-15, -0x1.4b549b6dba929p-15, -0x1.46bcafafff4d4p-15, -0x1.42214886ebbc3p-15, -0x1.3d82855f3643p-15, -0x1.38e088a8e45fap-15, -0x1.343b77a5f74a5p-15, -0x1.2f937a373d5e4p-15, -0x1.2ae8bab09062dp-15, -0x1.263b65a7adc49p-15, -0x1.218ba9cb9f282p-15, -0x1.1cd9b7b86ce9p-15, -0x1.1825c1d09002ap-15, -0x1.136ffc15642cp-15, -0x1.0eb89c035ecc9p-15, -0x1.09ffd86c82dcep-15, -0x1.0545e958839f1p-15, -0x1.008b07e2afe2dp-15, -0x1.f79edc346ea8bp-16, -0x1.ee26adcada173p-16, -0x1.e4adfbc664faap-16, -0x1.db353ea2d659p-16, -0x1.d1bcefe36333bp-16, -0x1.c84589e02a5a1p-16, }}, 
      {{-0x1.579cd06347244p-2, -0x1.5825b435a6786p-2, -0x1.5900b1c03c3e6p-2, -0x1.5a22e8497e477p-2, -0x1.5b8039ebed8bbp-2, -0x1.5d0c5a9459276p-2, -0x1.5ebb83e34cd88p-2, -0x1.6082e655a3cbep-2, -0x1.6258ea0e8f5e8p-2, -0x1.64354d0de8b3cp-2, -0x1.66112929d20e8p-2, -0x1.67e6e9842b435p-2, -0x1.69b235372f4c1p-2, -0x1.6b6fd371c1ae7p-2, -0x1.6d1d8c1623742p-2, -0x1.6eba070f34ffap-2, -0x1.7044abe81b402p-2, -0x1.71bd82b390203p-2, -0x1.732516f1902a4p-2, -0x1.747c5cdbf7697p-2, -0x1.75c4994f5ae7fp-2, -0x1.76ff4c606b38dp-2, -0x1.782e1e9429d52p-2, -0x1.7952d09f6cf33p-2, -0x1.7a6f2d86a4a47p-2, -0x1.7b84feefe80e3p-2, -0x1.7c960375c801dp-2, -0x1.7da3e6c863614p-2, -0x1.7eb03b6ae14d1p-2, -0x1.7fbc75dd63e0fp-2, -0x1.80c9e9063066dp-2, -0x1.81d9c3aff7fcep-2, -0x1.82ed0ef68e14ep-2, -0x1.8404ad7ed53e1p-2, -0x1.85215b5a22a3ep-2, -0x1.8643ae78a97bcp-2, -0x1.876c17919c1afp-2, -0x1.889ae36ab6eafp-2, -0x1.89d03c6b8cfedp-2, -0x1.8b0c2c6b78f29p-2, -0x1.8c4e9eab52414p-2, -0x1.8d9761ee15b06p-2, -0x1.8ee62aa57e8a7p-2, -0x1.903a95293c15dp-2, -0x1.919427f0d4429p-2, -0x1.92f255c99eab9p-2, -0x1.945480035262p-2, -0x1.95b9f88eb60f2p-2, -0x1.9722040accb7bp-2, -0x1.988bdbbda6dp-2, -0x1.99f6af76a983fp-2, -0x1.9b61a758a4aaap-2, -0x1.9ccbe58a9e5cep-2, -0x1.9e3487ce954e4p-2, -0x1.9f9aa8fde111ep-2, -0x1.a0fd626b25bc6p-2, -0x1.a25bcd2a058c7p-2, -0x1.a3b5033d02f37p-2, -0x1.a50820aa217d2p-2, -0x1.a6544476ff2f5p-2, -0x1.a798918d42494p-2, -0x1.a8d42f883cffbp-2, -0x1.aa064b6cd0dc4p-2, -0x1.ab2e184c8ea16p-2, -0x1.ac4acfd52c9e1p-2, -0x1.ad5bb2cd633e1p-2, -0x1.ae60098048deap-2, -0x1.af5724183e781p-2, -0x1.b0405aea8705p-2, -0x1.b11b0eb48af1fp-2, -0x1.b1e6a8cbd8411p-2, -0x1.b2a29b41d68fep-2, -0x1.b34e60fc26287p-2, -0x1.b3e97dc29c041p-2, -0x1.b4737e43af9c8p-2, -0x1.b4ebf81043333p-2, -0x1.b552898f82cbep-2, -0x1.b5a6d9ebaa529p-2, -0x1.b5e898f85f525p-2, -0x1.b6177f1354536p-2, -0x1.b6334cffce0b2p-2, -0x1.b63bcbbdafbc9p-2, -0x1.b630cc5c8de36p-2, -0x1.b61227cb568a6p-2, -0x1.b5dfbea5059b4p-2, -0x1.b59978fad6305p-2, -0x1.b53f461c5bc6cp-2, -0x1.b4d11c5de4841p-2, -0x1.b44ef8dd79708p-2, -0x1.b3b8df46d3bbap-2, -0x1.b30ed9968dd9bp-2, -0x1.b250f7dcd3533p-2, -0x1.b17f4fffcfee1p-2, -0x1.b099fd7e1448bp-2, -0x1.afa121311e855p-2, -0x1.ae94e1103aeaep-2, -0x1.ad7567f3dde9ep-2, -0x1.ac42e5599e36ap-2, -0x1.aafd8d28eea5bp-2, -0x1.a9a59778b45fcp-2, -0x1.a83b4055cbe55p-2, -0x1.a6bec78a9979fp-2, -0x1.a5307067b3e97p-2, -0x1.a390818db669ap-2, -0x1.a1df44b84a4dep-2, -0x1.a01d068a70781p-2, -0x1.9e4a165c15141p-2, -0x1.9c66c608efd1cp-2, -0x1.9a7369c0beaf8p-2, -0x1.987057d8d2fbp-2, -0x1.965de89efc66dp-2, -0x1.943c762dcd6p-2, -0x1.920c5c423b45dp-2, -0x1.8fcdf812977p-2, -0x1.8d81a826e022ep-2, -0x1.8b27cc3269706p-2, -0x1.88c0c4eed0643p-2, -0x1.864cf3f844cbep-2, -0x1.83ccbbab140d4p-2, -0x1.81407f027e48p-2, -0x1.7ea8a178c65ep-2, -0x1.7c0586e87dc2ap-2, -0x1.7957936f01139p-2, -0x1.769f2b50273cap-2, -0x1.73dcb2db12e0ap-2, -0x1.71108e50275a2p-2, -0x1.6e3b21c818f74p-2, -0x1.6b5cd11c11d97p-2, -0x1.6875ffcee1cafp-2, -0x1.658710f73b3d1p-2, -0x1.6290672aea86fp-2, -0x1.5f92646b0dfbfp-2, -0x1.5c8d6a113e95bp-2, -0x1.5981d8bda92fdp-2, -0x1.567010460b965p-2, -0x1.53586fa596b6dp-2, -0x1.503b54edacb89p-2, -0x1.4d191d376f8cap-2, -0x1.49f22496253c9p-2, -0x1.46c6c60a5fef9p-2, -0x1.43975b75efce7p-2, -0x1.40643d908cbe8p-2, -0x1.3d2dc3dd3e8b7p-2, -0x1.39f444a072caap-2, -0x1.36b814d6c780cp-2, -0x1.3379882c75de1p-2, -0x1.3038f0f568f1cp-2, -0x1.2cf6a025ec185p-2, -0x1.29b2e54bf8ap-2, -0x1.266e0e89110aep-2, -0x1.2328688cb47d1p-2, -0x1.1fe23e8f56fd7p-2, -0x1.1c9bda4de43ffp-2, -0x1.19558405c1fafp-2, -0x1.160f827151c7dp-2, -0x1.12ca1ac4ecd7p-2, -0x1.0f8590ac53bfbp-2, -0x1.0c42264890a8ep-2, -0x1.09001c2e46144p-2, -0x1.05bfb1646736ep-2, -0x1.02812363565a2p-2, -0x1.fe895c28c55aap-3, -0x1.f81517a351368p-3, -0x1.f1a5eacc8c40ap-3, -0x1.eb3c441dd7da3p-3, -0x1.e4d88ef57b672p-3, -0x1.de7b339907a19p-3, -0x1.d824973853dcep-3, -0x1.d1d51bf10c6adp-3, -0x1.cb8d20d2ccdc5p-3, -0x1.c54d01e3c37a8p-3, -0x1.bf151825ca9dfp-3, -0x1.b8e5b99c0c1eep-3, -0x1.b2bf3951082adp-3, -0x1.aca1e75d13bafp-3, -0x1.a68e10ed3df4p-3, -0x1.a084004a980bp-3, -0x1.9a83fce1d6e1ep-3, -0x1.948e4b4b57282p-3, -0x1.8ea32d5367da8p-3, -0x1.88c2e202f03ccp-3, -0x1.82eda5a85528ap-3, -0x1.7d23b1e0a9216p-3, -0x1.77653da11836dp-3, -0x1.71b27d4095e1dp-3, -0x1.6c0ba281bde46p-3, -0x1.6670dc9ce66c7p-3, -0x1.60e2584a67de2p-3, -0x1.5b603fcd07cdbp-3, -0x1.55eabafc92979p-3, -0x1.5081ef5093c1fp-3, -0x1.4b25ffeb2d27cp-3, -0x1.45d70da410717p-3, -0x1.4095371386a09p-3, -0x1.3b60989d9acafp-3, -0x1.36394c7d493b6p-3, -0x1.311f6acfc5715p-3, -0x1.2c13099fcc70bp-3, -0x1.27143cf0fb77ep-3, -0x1.222316cb2f81ap-3, -0x1.1d3fa745e84b6p-3, -0x1.1869fc93ad1e1p-3, -0x1.13a2230d6b6ecp-3, -0x1.0ee8253dd903ep-3, -0x1.0a3c0becc8078p-3, -0x1.059dde2a75d2fp-3, -0x1.010da15ad0ee1p-3, -0x1.f916b2815cb0ep-4, -0x1.f02e1011e3416p-4, -0x1.e7615cab4a4d9p-4, -0x1.deb09691ffca7p-4, -0x1.d61bb920a6f59p-4, -0x1.cda2bcddd67f9p-4, -0x1.c545979195ap-4, -0x1.bd043c5abb40cp-4, -0x1.b4de9bc40dd49p-4, -0x1.acd4a3d92ae21p-4, -0x1.a4e6403b38059p-4, -0x1.9d135a3559e5p-4, -0x1.955bd8d0f1163p-4, -0x1.8dbfa0e987538p-4, -0x1.863e95408e3f1p-4, -0x1.7ed89690cdedcp-4, -0x1.778d83a1930edp-4, -0x1.705d395995a7p-4, -0x1.694792d19832p-4, -0x1.624c6966baf13p-4, -0x1.5b6b94cc89098p-4, -0x1.54a4eb1eb5953p-4, -0x1.4df840f2903b8p-4, -0x1.4765696829086p-4, -0x1.40ec363b2871dp-4, -0x1.3a8c77d3596ep-4, -0x1.3445fd54df9fep-4, -0x1.2e1894b025622p-4, -0x1.28040ab172372p-4, -0x1.22082b103673ep-4, -0x1.1c24c07e03882p-4, -0x1.165994b534ef6p-4, -0x1.10a6708748356p-4, -0x1.0b0b1beae43a9p-4, -0x1.05875e099013ep-4, -0x1.001afd4d19574p-4, -0x1.f58b7ed958999p-5, -0x1.eb0ed2f3306afp-5, -0x1.e0bf7fd790e6fp-5, -0x1.d69d0d5bda3fep-5, -0x1.cca70252a61d5p-5, -0x1.c2dce4a2e327ep-5, -0x1.b93e395e507f7p-5, -0x1.afca84d7607d3p-5, -0x1.a6814ab680a69p-5, -0x1.9d620e0ed37aap-5, -0x1.946c517248671p-5, -0x1.8b9f97052867bp-5, -0x1.82fb60910d1e3p-5, -0x1.7a7f2f9747a7fp-5, -0x1.722a8562b78c8p-5, -0x1.69fce31915a36p-5, -0x1.61f5c9cbb0d4cp-5, -0x1.5a14ba87a79d7p-5, -0x1.5259366591ab2p-5, -0x1.4ac2be98a6964p-5, -0x1.4350d47d664bap-5, -0x1.3c02f9a7b7e44p-5, -0x1.34d8aff08ca37p-5, -0x1.2dd1798303f13p-5, -0x1.26ecd8e918685p-5, -0x1.202a5117cb69dp-5, -0x1.1989657ae0736p-5, -0x1.13099a001f6d2p-5, -0x1.0caa732226babp-5, -0x1.066b75f2ca3dfp-5, -0x1.004c282505489p-5, -0x1.f498202cffa84p-6, -0x1.e8d569b150228p-6, -0x1.dd4f3c72cf5efp-6, -0x1.d204a996e097ep-6, -0x1.c6f4c3dc494ffp-6, -0x1.bc1e9faa42ef2p-6, -0x1.b181531ec757fp-6, -0x1.a71bf61c3499bp-6, -0x1.9ceda25628ca5p-6, -0x1.92f5735dad3f9p-6, -0x1.893286acc590bp-6, -0x1.7fa3fbb13f306p-6, -0x1.7648f3d6f2e25p-6, -0x1.6d2092915373dp-6, -0x1.6429fd6467458p-6, -0x1.5b645bed286eap-6, -0x1.52ced7e956ba4p-6, -0x1.4a689d3eb03dcp-6, -0x1.4230da01a0b6cp-6, -0x1.3a26be7b6e06cp-6, -0x1.32497d2fd46d1p-6, -0x1.2a984ae22ea48p-6, -0x1.23125e9a22289p-6, -0x1.1bb6f1a7c2421p-6, -0x1.14853fa74ba27p-6, -0x1.0d7c868469133p-6, -0x1.069c067d0e977p-6, -0x1.ffc60447d32efp-7, -0x1.f2a17cc4c3bbfp-7, -0x1.e5c904f471898p-7, -0x1.d93b300dac19ep-7, -0x1.ccf695fc429efp-7, -0x1.c0f9d3622cefp-7, -0x1.b5438997ee08dp-7, -0x1.a9d25eac51ee4p-7, -0x1.9ea4fd638c75ep-7, -0x1.93ba1535c1869p-7, -0x1.89105a4cfc5c8p-7, -0x1.7ea685828a96ep-7, -0x1.747b545bcec15p-7, -0x1.6a8d8906986cbp-7, -0x1.60dbea54f25bp-7, -0x1.576543b8790b5p-7, -0x1.4e28653d5a03fp-7, -0x1.45242384aaed8p-7, -0x1.3c5757be8496bp-7, -0x1.33c0dfa3a43a4p-7, -0x1.2b5f9d6ea9f93p-7, -0x1.233277d514c34p-7, -0x1.1b3859ffc67bp-7, -0x1.1370338343fbap-7, -0x1.0bd8f8579d717p-7, -0x1.0471a0d016848p-7, -0x1.fa725324fb2e4p-8, -0x1.ec5d271ca18c5p-8, -0x1.dea1c7e722008p-8, -0x1.d13e4852b209bp-8, -0x1.c430c388964ep-8, -0x1.b7775cf97e9ddp-8, -0x1.ab1040497dc26p-8, -0x1.9ef9a13bd0e2dp-8, -0x1.9331bb9e220d8p-8, -0x1.87b6d3336d06ap-8, -0x1.7c87339ee1461p-8, -0x1.71a1304e38588p-8, -0x1.6703246404a74p-8, -0x1.5cab72a1b17p-8, -0x1.52988551595bbp-8, -0x1.48c8ce2f5b385p-8, -0x1.3f3ac653d43d2p-8, -0x1.35ecee1c0021ap-8, -0x1.2cddcd1372144p-8, -0x1.240bf1dd2c7aap-8, -0x1.1b75f21ccd3dcp-8, -0x1.131a6a5f4f689p-8, -0x1.0af7fe041b968p-8, -0x1.030d5725e2e6fp-8, -0x1.f6b24d06d7bcap-9, -0x1.e7b446d0f768ep-9, -0x1.d91e172d5e0fbp-9, -0x1.caed465cbd569p-9, -0x1.bd1f692ee56fdp-9, -0x1.afb220d4cdc29p-9, -0x1.a2a31ab2759b1p-9, -0x1.95f01031212d4p-9, -0x1.8996c6918be5dp-9, -0x1.7d950ebe824ffp-9, -0x1.71e8c51f5c751p-9, -0x1.668fd16adac01p-9, -0x1.5b88267a4dc0dp-9, -0x1.50cfc21cc8a0cp-9, -0x1.4664acead482fp-9, -0x1.3c44fa1a4bdb6p-9, -0x1.326ec7525f6f7p-9, -0x1.28e03c801a001p-9, -0x1.1f978bab2e42fp-9, -0x1.1692f0caefa4ep-9, -0x1.0dd0b19bc2f41p-9, -0x1.054f1d74eb5e1p-9, -0x1.fa191a3d7f24bp-10, -0x1.ea0ec5521d7e2p-10, -0x1.da7c1284098f7p-10, -0x1.cb5dea1ad23cap-10, -0x1.bcb145f89906bp-10, -0x1.ae73314a521ap-10, -0x1.a0a0c83866513p-10, -0x1.93373798b47f8p-10, -0x1.8633bca108f38p-10, -0x1.7993a49ac1976p-10, -0x1.6d544c96dbe69p-10, -0x1.617321233ac3dp-10, -0x1.55ed9e00b4b78p-10, -0x1.4ac14dd9fffbfp-10, -0x1.3febc9fbaa801p-10, -0x1.356aba0c8702ap-10, -0x1.2b3bd3c798fafp-10, -0x1.215cdab66276ap-10, -0x1.17cb9fec71b7ap-10, -0x1.0e8601c38251cp-10, -0x1.0589eb9905706p-10, -0x1.f9aaab180a9fep-11, -0x1.e8cc8878da587p-11, -0x1.d8759115a7944p-11, -0x1.c8a1feb2fe3bap-11, -0x1.b94e229c441b3p-11, -0x1.aa766528f9ec7p-11, -0x1.9c1745446596ap-11, -0x1.8e2d57f5ede07p-11, -0x1.80b547ec72d7ep-11, -0x1.73abd50adcc02p-11, -0x1.670dd3f668671p-11, -0x1.5ad82da6c47a7p-11, -0x1.4f07def8248ffp-11, -0x1.4399f83ebcb11p-11, -0x1.388b9cdcba293p-11, -0x1.2dda02d8e56fcp-11, -0x1.23827277d9a6cp-11, -0x1.198245d6830f8p-11, -0x1.0fd6e886abf78p-11, -0x1.067dd72caf81ap-11, -0x1.fae93e3f456ddp-12, -0x1.e971bc146d602p-12, -0x1.d890831ba9ce1p-12, -0x1.c8410dcf13a7bp-12, -0x1.b87ef52c13d3ap-12, -0x1.a945f002da02ep-12, -0x1.9a91d249e8cdfp-12, -0x1.8c5e8c73363e5p-12, -0x1.7ea82ac5fc1ap-12, -0x1.716ad4bae41e5p-12, -0x1.64a2cc5a87271p-12, -0x1.584c6da027e6ep-12, -0x1.4c642ddebd659p-12, -0x1.40e69b293cdbap-12, -0x1.35d05bbd25d0cp-12, -0x1.2b1e2d70aedfp-12, -0x1.20cce52342af1p-12, -0x1.16d96e30e900cp-12, -0x1.0d40c9e8eff74p-12, -0x1.04000f065d296p-12, -0x1.f628d256b24e8p-13, -0x1.e4f630bffafbap-13, -0x1.d462e12508865p-13, -0x1.c469b236c8c6bp-13, -0x1.b50598856292p-13, -0x1.a631ad91d25a4p-13, -0x1.97e92ee2592d8p-13, -0x1.8a277d1ec7ebcp-13, -0x1.7ce81b2f2fdf9p-13, -0x1.7026ad60132a8p-13, -0x1.63def88a59ddbp-13, -0x1.580ce14169ec9p-13, -0x1.4cac6b0456dbcp-13, -0x1.41b9b774596b3p-13, -0x1.3731058fdebp-13, -0x1.2d0eb0f01b332p-13, -0x1.234f310cd039fp-13, -0x1.19ef18826f3edp-13, -0x1.10eb145ebd0a7p-13, -0x1.083feb6edb4a4p-13, -0x1.ffd4fb24e1643p-14, -0x1.efcf862627c91p-14, -0x1.e06997fbeda0ap-14, -0x1.d19d7f05f6b9dp-14, -0x1.c365b6af6ffd6p-14, -0x1.b5bce6366d7c7p-14, -0x1.a89ddf815af2bp-14, -0x1.9c039df6463efp-14, -0x1.8fe9455c18f27p-14, -0x1.844a20c12a9c9p-14, -0x1.7921a168c1259p-14, -0x1.6e6b5dbe11583p-14, -0x1.6423104e66f21p-14, -0x1.5a4496c9bca8ap-14, -0x1.50cbf108db928p-14, -0x1.47b5401a988acp-14, -0x1.3efcc554c2f96p-14, -0x1.369ee16b81956p-14, -0x1.2e98138f6a977p-14, -0x1.26e4f890b486p-14, -0x1.1f824a06537dcp-14, -0x1.186cdd7e33291p-14, -0x1.11a1a3ac26268p-14, -0x1.0b1da7a4ad152p-14, -0x1.04de0e1788a9p-14, -0x1.fdc0292660775p-15, -0x1.f242219511a41p-15, -0x1.e73cdfc06d3d8p-15, -0x1.dcab6b6bd5591p-15, -0x1.d288f87fab29cp-15, -0x1.c8d0e5bb921c9p-15, -0x1.bf7ebb6eb44ebp-15, -0x1.b68e2a3cee221p-15, -0x1.adfb09e4bee65p-15, -0x1.a5c158143ae4ep-15, -0x1.9ddd37403c72ep-15, -0x1.964aed88aa9b4p-15, -0x1.8f06e39fc7208p-15, -0x1.880da3bc22ca6p-15, -0x1.815bd88efecf1p-15, -0x1.7aee4c4398a8cp-15, -0x1.74c1e7827a2e6p-15, -0x1.6ed3b07f0e555p-15, -0x1.6920ca0c1ccdep-15, -0x1.63a672b385e2bp-15, -0x1.5e6203d4573f4p-15, -0x1.5950f0c9a4391p-15, -0x1.5470c61605ee3p-15, -0x1.4fbf2893feabcp-15, -0x1.4b39d4ae35eefp-15, -0x1.46de9d9b73205p-15, -0x1.42ab6ca0823d2p-15, -0x1.3e9e405640cafp-15, -0x1.3ab52bf61dfe8p-15, -0x1.36ee56adc3ab8p-15, -0x1.3347faf3c8607p-15, -0x1.2fc065e4c3062p-15, -0x1.2c55f6a047704p-15, -0x1.29071dafa9d9fp-15, -0x1.25d25c6d87d1ep-15, -0x1.22b6447459defp-15, -0x1.1fb1770df2928p-15, -0x1.1cc2a4ac15c9bp-15, -0x1.19e88c6069d62p-15, -0x1.1721fb5903ep-15, -0x1.146dcc646b3fep-15, -0x1.11cae7749f902p-15, -0x1.0f3841296627p-15, -0x1.0cb4da5c581fdp-15, -0x1.0a3fbfb137aaep-15, -0x1.07d80928de743p-15, -0x1.057cd9b7f255ep-15, -0x1.032d5edf9f698p-15, -0x1.00e8d04ba6df2p-15, -0x1.fd5cdee2fd222p-16, -0x1.f8fb0e6765a64p-16, -0x1.f4aad70f5f419p-16, -0x1.f06af23da7935p-16, -0x1.ec3a2a1f89f07p-16, -0x1.e817590e00a3fp-16, -0x1.e40168ea32ad9p-16, -0x1.dff75286d44bfp-16, -0x1.dbf81d127f67ap-16, -0x1.d802dd870317p-16, -0x1.d416b61d08192p-16, -0x1.d032d5c47ab14p-16, -0x1.cc5677a268439p-16, -0x1.c880e292bd2dcp-16, -0x1.c4b168afe6c9bp-16, -0x1.c0e766d9f69e2p-16, -0x1.bd224443f8fcfp-16, -0x1.b9617207bc4f1p-16, -0x1.b5a46ab786084p-16, -0x1.b1eab1f968b1ep-16, -0x1.ae33d422d735dp-16, -0x1.aa7f65da5de5dp-16, -0x1.a6cd03b625559p-16, -0x1.a31c51e3cef63p-16, -0x1.9f6cfbd124194p-16, -0x1.9bbeb3d8357fbp-16, -0x1.981132efd37a7p-16, -0x1.9464385d4bbdfp-16, -0x1.90b78968a209bp-16, -0x1.8d0af112b15dp-16, -0x1.895e3fd1feb2dp-16, -0x1.85b14b4ba2dc7p-16, -0x1.8203ee13f6fd7p-16, -0x1.7e56077007e7bp-16, -0x1.7aa77b1a1ff0fp-16, -0x1.76f831051aef4p-16, -0x1.7348152545055p-16, -0x1.6f97173b1fd33p-16, -0x1.6be52a9e4196dp-16, -0x1.6832460c39491p-16, -0x1.647e6379747f3p-16, -0x1.60c97fdfe4d72p-16, -0x1.5d139b1642594p-16, -0x1.595cb7a36d9f8p-16, -0x1.55a4da950999dp-16, -0x1.51ec0b58a8a7p-16, -0x1.4e32539640192p-16, -0x1.4a77bf0c126c8p-16, -0x1.46bc5b69a480ap-16, -0x1.43003830b1a44p-16, -0x1.3f436693b9b2fp-16, -0x1.3b85f95871984p-16, -0x1.37c804b952487p-16, -0x1.34099e49a8506p-16, -0x1.304adcdb2b644p-16, -0x1.2c8bd8627a05cp-16, -0x1.28cca9e1b8bdfp-16, -0x1.250d6b4cf76cep-16, -0x1.214e37766298ap-16, -0x1.1d8f29f702bf2p-16, -0x1.19d05f1bca248p-16, -0x1.1611f3d05813cp-16, -0x1.1254058c44a4cp-16, -0x1.0e96b242165e7p-16, -0x1.0ada184eeb456p-16, -0x1.071e5668d72b6p-16, -0x1.03638b8fe8c81p-16, -0x1.ff53ae0019826p-17, -0x1.f7e2b043d1efp-17, -0x1.f0745cfd8fa18p-17, -0x1.e908f3683eb0bp-17, -0x1.e1a0b2cd7566cp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      46, 0x1.4666666666666p+2, 0x1.1766cf5a533f1p+1, 0x1.0d9f10d8387f4p+2, -0x1.325313ce4f579p-6, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.0c4f1adeb623ap-3, -0x1.4ea06919aed6dp-2, 0x1.6d37357ea3f9p-2, -0x1.8c95b30b3eb2fp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.d93ee60292eebp-4, -0x1.2b979c6c19e06p-2, 0x1.4f78c810ff45p-2, -0x1.77defd1f1bcecp-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.a096874146a42p-4, -0x1.0b745e7c1e36ep-2, 0x1.33480eaea9fcp-2, -0x1.6642a4150c1d4p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.6e149102006ffp-4, -0x1.dc23c9580566dp-3, 0x1.186975937c468p-2, -0x1.53d171baf3737p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.412f7e7800f3ap-4, -0x1.a69b253dd89cep-3, 0x1.fdd9e6e4873bcp-3, -0x1.419947beeea2fp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.1964ce8150633p-4, -0x1.76086cc539aep-3, 0x1.cd9c8287e3707p-3, -0x1.2f51d59a9b352p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.ec72074d7d10fp-5, -0x1.4a258c3309382p-3, 0x1.a01d08e3e5c1dp-3, -0x1.1d0e7bb97b193p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.ae6f4837c585fp-5, -0x1.22ac5a517a351p-3, 0x1.755adcbb467e1p-3, -0x1.0aca08f3cfc4ap-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.77e6737e380cap-5, -0x1.fead675832644p-4, 0x1.4d5628304dbap-3, -0x1.f10bc2fa46df5p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.480aa43321b9p-5, -0x1.bfbce6877404ep-4, 0x1.280edff72203p-3, -0x1.cc834b5e13962p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1e1cfcbe5ec6cp-5, -0x1.87fae90573c39p-4, 0x1.0585071ce08b1p-3, -0x1.a7fadfdf3ddd5p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f2d94dbab53a1p-6, -0x1.56db25701232cp-4, 0x1.cb713971de345p-4, -0x1.83726c99d36ap-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b2ada7461f9bcp-6, -0x1.2bd1526d849aap-4, 0x1.915342c131b18p-4, -0x1.5eea0c5167287p-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.7a8d76f01027fp-6, -0x1.065126b987729p-4, 0x1.5cb0274e956b3p-4, -0x1.3a6167db83ff9p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.496b3c34b8abep-6, -0x1.cb9cb162cb4ffp-5, 0x1.2d87f1540e6b7p-4, -0x1.15d9c11e9ced4p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1e55853b69454p-6, -0x1.9379402d52768p-5, 0x1.03da7ac2aa14dp-4, -0x1.e29ccf5612a5bp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.f0edddad20d49p-7, -0x1.631f5ef0a2817p-5, 0x1.bf50a3386af6cp-5, -0x1.99a1b6b2dc0bbp-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.ae2c490775c52p-7, -0x1.39769996930f6p-5, 0x1.81dec7d0c9f55p-5, -0x1.503f9a6caf64p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.732bc0d72799dp-7, -0x1.1565eb3eabb3p-5, 0x1.4f6ed70d493f9p-5, -0x1.085df26eebca1p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.3ee9d6c3c9345p-7, -0x1.ebacd6cbb53f1p-6, 0x1.27c725e30c47ep-5, -0x1.75c2f9e421269p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.109c39cb2a238p-7, -0x1.b352a1bb87851p-6, 0x1.0bbeecbebcfeap-5, -0x1.259de5fff152dp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.cf5d33617028bp-8, -0x1.7ff9ca822e68cp-6, 0x1.eb72f6fd7c308p-6, -0x1.204ca930869b6p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8756d98d5e532p-8, -0x1.50fe3ac2281eep-6, 0x1.c034440301997p-6, -0x1.0fc5d1664abcbp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.48496b6e947c6p-8, -0x1.263601b010335p-6, 0x1.97703166dcc9ap-6, -0x1.023fe21f51c36p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1163cde848ca2p-8, -0x1.feceda53b4309p-7, 0x1.70b369155d52ep-6, -0x1.e7d7d78c3f07ap-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.c3bf8ad8e399fp-9, -0x1.b8ba07911f708p-7, 0x1.4c1cd28472329p-6, -0x1.cb9e526514edcp-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.7203ebf78d072p-9, -0x1.79c0551f125b8p-7, 0x1.29a425f010a0dp-6, -0x1.af473d3584731p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2c33c64b7cb0ep-9, -0x1.4175283b9ebep-7, 0x1.094b9af2737e2p-6, -0x1.92f8009c3e14ap-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.e207c0224496ap-10, -0x1.0f6bbc72b3a16p-7, 0x1.d62535cd7745ep-7, -0x1.76a6f1b24cb38p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7e7d7d44dcbe2p-10, -0x1.c66eb1c2d31e1p-8, 0x1.9df2918c522b4p-7, -0x1.5a555374a9706p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2b894ceda4a25p-10, -0x1.78d68024aba05p-8, 0x1.69ff5ea138c0fp-7, -0x1.3e07c4d683dc4p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ce2e6c8d01816p-11, -0x1.35357691e2411p-8, 0x1.3a4b011aa4f9ep-7, -0x1.21aa870e136adp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.5e7d7d68ae94fp-11, -0x1.f563f5dea6ef2p-9, 0x1.0ed7d33eeedc6p-7, -0x1.0587f64f57f3ap-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.0485d3ae204d8p-11, -0x1.90e63070d1b5bp-9, 0x1.cf3a0fcc76899p-8, -0x1.d114c128216fap-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.7a48e62653b3cp-12, -0x1.3b3ae360d939ap-9, 0x1.8976f2d33e52bp-8, -0x1.a285b8b93ad11p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.0b182363d3ab3p-12, -0x1.e5a13fa5f4e32p-10, 0x1.4aafb0b775806p-8, -0x1.7f62d77f4f7d5p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.6cdba51788d5dp-13, -0x1.6cdb60b4df4ffp-10, 0x1.112da9fdf661p-8, -0x1.5a89dfc432058p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.dec4434881eeap-14, -0x1.09fb54100d9dcp-10, 0x1.ba652a7444253p-9, -0x1.3626700fa7817p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2ae44411a41cep-14, -0x1.759d4bf28a07p-11, 0x1.5d59a26f91e51p-9, -0x1.11a2f6c203944p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.5e68dc4d2e886p-15, -0x1.f495cd28395f1p-12, 0x1.0b42586890d28p-9, -0x1.da5437a463978p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.7a48e62653baep-16, -0x1.3b3cd172ea363p-12, 0x1.883839b96a2b6p-10, -0x1.914da20862cdap-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.6cdba51788e19p-17, -0x1.6cdb1785b44ebp-13, 0x1.0fd422b6e6214p-10, -0x1.48854ea230aa1p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.2ae44411a43dp-18, -0x1.75a17b0374b5ap-14, 0x1.5a8b7ca615731p-11, -0x1.fdb1a4424c298p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.7a48e626541bfp-20, -0x1.3b1dc6a6b06c6p-15, 0x1.8345fd24639b3p-12, -0x1.70fd6fab4ce8fp-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.2ae44411a65ffp-22, -0x1.776bb7e97ae02p-17, 0x1.4bc24114d153dp-13, -0x1.96fcf73b6a68ap-11}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.2ae44411e4001p-26, -0x1.3fb01f2587997p-20, 0x1.5e437fc4ac58p-15, -0x1.10556ba8a4288p-10}, 
      }}, 
      0x1.00420f570d0adp-6, -0x1.8af86211c6a7cp-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{-0x1.192edf4a835c8p-4, -0x1.da055a483d19fp-5, -0x1.507cbb435478p-5, -0x1.4149be991b234p-6, 0x1.5135aa4610fcfp-8, 0x1.0525b245eaa3ap-5, 0x1.e6c5e85470e77p-5, 0x1.6371fa67e7965p-4, 0x1.cf6d110fafe2ap-4, 0x1.1a5c988fe2c9ap-3, 0x1.48b20f61ca1fdp-3, 0x1.7208a34f3764fp-3, 0x1.95f2827c49f27p-3, 0x1.b437fd8e6a158p-3, 0x1.cccdbfb35e104p-3, 0x1.dfcbe32641f4p-3, 0x1.ed660f6e298aep-3, 0x1.f5e4a63ba3ba4p-3, 0x1.f99ef6f02912bp-3, 0x1.f8f6629414c86p-3, 0x1.f4525825d3c46p-3, 0x1.ec1d11293b1eep-3, 0x1.e0c0f65e5f1cfp-3, 0x1.d2a69456cc075p-3, 0x1.c23308f163084p-3, 0x1.afc6d5b5f86cdp-3, 0x1.9bbd062a09456p-3, 0x1.866a9bc73f0aep-3, 0x1.701e332d2b63bp-3, 0x1.591fd81000fd8p-3, 0x1.41b0fe909e587p-3, 0x1.2a0c9a706f67cp-3, 0x1.12674d4796c94p-3, 0x1.f5df4c81f97c8p-4, 0x1.c79cdd2d570ep-4, 0x1.9a4dfd81c4edfp-4, 0x1.6e2f329e6b563p-4, 0x1.437391702d7c1p-4, 0x1.1a457b2dec2d2p-4, 0x1.e58eafb752d12p-5, 0x1.9a2898e6708d8p-5, 0x1.5281d471620eap-5, 0x1.0eb7ac6d03a6cp-5, 0x1.9db9a0f724d6bp-6, 0x1.25f50393f6f5bp-6, 0x1.6c46b3cdec2f2p-7, 0x1.38df8e11cd462p-8, -0x1.1e6ce299e8cfp-10, -0x1.a9744035adb5cp-8, -0x1.76b0f17b878c4p-7, -0x1.050e5e875ff15p-6, -0x1.47ba7763e1f12p-6, -0x1.839d99a01e4bcp-6, -0x1.b8fc9b8ecbacp-6, -0x1.e81f508dc6384p-6, -0x1.08a7d0e0e20b1p-5, -0x1.1a6c607c0bff6p-5, -0x1.298339ff94389p-5, -0x1.36123b5469d69p-5, -0x1.403ef8e0ec6f6p-5, -0x1.482e82c0a7ceep-5, -0x1.4e053311b073fp-5, -0x1.51e684ab75af9p-5, -0x1.53f4f17a5c34bp-5, -0x1.5451d7ab8c602p-5, -0x1.531d64d9e6429p-5, -0x1.5076869ccc83bp-5, -0x1.4c7adfedf803ap-5, -0x1.4746c2ed91219p-5, -0x1.40f52e88af541p-5, -0x1.399fcf5e9f06bp-5, -0x1.315f03410da6ep-5, -0x1.2849decee3518p-5, -0x1.1e76349147ca7p-5, -0x1.13f89d7ede3e5p-5, -0x1.08e4828424606p-5, -0x1.fa984e1382795p-6, -0x1.e28168688210cp-6, -0x1.c9a48914a2e82p-6, -0x1.b01fe0b2bca7p-6, -0x1.960fb1cc611d9p-6, -0x1.7b8e68f49ff29p-6, -0x1.60b4b47b15988p-6, -0x1.45999aa21e257p-6, -0x1.2a52899ba5aa2p-6, -0x1.0ef374d4b83c9p-6, -0x1.e71dbff5e3f59p-7, -0x1.b06bf0243be21p-7, -0x1.79f1439279adp-7, -0x1.43cb1c57bac4bp-7, -0x1.0e1492efa0856p-7, -0x1.b1cd2cfedf5ecp-8, -0x1.48b0195c76c31p-8, -0x1.c1f7b4e8c299p-9, -0x1.eb5ae5aa2a907p-10, -0x1.6638d463fa7f8p-12, 0x1.30f85af1c6985p-10, 0x1.59e364c16d64bp-9, 0x1.0b9daf5cf2cdcp-8, 0x1.682b369ee7dc9p-8, 0x1.c2860655c635fp-8, 0x1.0d4e2c2af5488p-7, 0x1.382f5009abbb3p-7, 0x1.61dfc410acf89p-7, 0x1.8a59e1e344ecdp-7, 0x1.b198f38a1c233p-7, 0x1.d7992c023afc1p-7, 0x1.fc57921340c96p-7, 0x1.0fe8fc13ee697p-6, 0x1.21037557d01a2p-6, 0x1.317ad3e9c7a85p-6, 0x1.414f08610fef2p-6, 0x1.50804fb26ffbbp-6, 0x1.5f0f2e4591fbp-6, 0x1.6cfc6a58b8764p-6, 0x1.7a49075ff6f6fp-6, 0x1.86f6417d25094p-6, 0x1.930588eb9d941p-6, 0x1.9e787dfaf5ad6p-6, 0x1.a950ecbc3b68ap-6, 0x1.b390c9abe539fp-6, 0x1.bd3a2dbaadf71p-6, 0x1.c64f530450992p-6, 0x1.ced2918d8b5aap-6, 0x1.d6c65bf5fbd5dp-6, 0x1.de2d3cf5d4982p-6, 0x1.e509d46372de1p-6, 0x1.eb5ed45933f8p-6, 0x1.f12eff4c9fa01p-6, 0x1.f67d257abef46p-6, 0x1.fb4c227fdf97ap-6, 0x1.ff9edbd59515cp-6, 0x1.01bc1f8ad1352p-5, 0x1.036d9f701de7p-5, 0x1.04e5697010a98p-5, 0x1.0624faa4c0786p-5, 0x1.072dd0c6e6d12p-5, 0x1.080169a13c95fp-5, 0x1.08a14270ddbd2p-5, 0x1.090ed6f4b74b9p-5, 0x1.094ba1692a947p-5, 0x1.095919e4c5221p-5, 0x1.0938b579d799dp-5, 0x1.08ebe6265262dp-5, 0x1.08741ab06ad2p-5, 0x1.07d2bdc3b2d24p-5, 0x1.0709359172541p-5, 0x1.0618e41913b58p-5, 0x1.050326ad410edp-5, 0x1.03c955218becap-5, 0x1.026cc1fec21cfp-5, 0x1.00eebabf0f331p-5, 0x1.fea10e0a5b656p-6, 0x1.fb26d048e4496p-6, 0x1.f771335d4dfb6p-6, 0x1.f382a2fbeda32p-6, 0x1.ef5d7d9b0c50cp-6, 0x1.eb041425f82ecp-6, 0x1.e678ab85cf552p-6, 0x1.e1bd7c7830119p-6, 0x1.dcd4b1a4cf52bp-6, 0x1.d7c0679891fb8p-6, 0x1.d282aea64fd25p-6, 0x1.cd1d8ae7630ep-6, 0x1.c792f22cd5b69p-6, 0x1.c1e4cbc561d6bp-6, 0x1.bc14f2ae353dbp-6, 0x1.b6253641c1e85p-6, 0x1.b0175825db78dp-6, 0x1.a9ed0b4125b78p-6, 0x1.a3a7f5d248098p-6, 0x1.9d49b35287241p-6, 0x1.96d3d320a56ffp-6, 0x1.9047d65a3abd2p-6, 0x1.89a730b5f3a32p-6, 0x1.82f34b4e37171p-6, 0x1.7c2d853939399p-6, 0x1.7557314045c2dp-6, 0x1.6e719502dbbp-6, 0x1.677dea6ebc09ap-6, 0x1.607d620480a3bp-6, 0x1.5971233025e38p-6, 0x1.525a49dff8a86p-6, 0x1.4b39e613daaaep-6, 0x1.4410fde4f7f7bp-6, 0x1.3ce08f64f53fcp-6, 0x1.35a9901f98f6cp-6, 0x1.2e6ceb73c287ap-6, 0x1.272b8279ee71cp-6, 0x1.1fe62de74b219p-6, 0x1.189dbf978fde8p-6, 0x1.1153020df32c5p-6, 0x1.0a06b6ffb44ccp-6, 0x1.02b9972fdbb8ep-6, 0x1.f6d8a84dd4505p-7, 0x1.e83f339ffafb5p-7, 0x1.d9a874cced778p-7, 0x1.cb15188f7b933p-7, 0x1.bc86778af02ap-7, 0x1.adfd2d276559bp-7, 0x1.9f7b36cc1614fp-7, 0x1.9101be93ca948p-7, 0x1.829121d08ff46p-7, 0x1.742a98378f616p-7, 0x1.65cf17861f7f4p-7, 0x1.577f67a3be95bp-7, 0x1.493c6f74fb65fp-7, 0x1.3b0711df3230bp-7, 0x1.2ce006bb4e3bdp-7, 0x1.1ec80fcd62318p-7, 0x1.10bff443fadap-7, 0x1.02c864eebec9ep-7, 0x1.e9c3fa2bcfc2bp-8, 0x1.ce1ad1bbcd6c2p-8, 0x1.b296b3ac118f9p-8, 0x1.9738671c18c01p-8, 0x1.7c01749ccb558p-8, 0x1.60f2c2bf47368p-8, 0x1.460d5bada450ap-8, 0x1.2b522f520f3a6p-8, 0x1.10c25d3f7e896p-8, 0x1.ecbd661b4ea7ep-9, 0x1.b8500c97e425fp-9, 0x1.843e5a5331859p-9, 0x1.5089dd42d86b3p-9, 0x1.1d340633fc82p-9, 0x1.d47cf9099ad9p-10, 0x1.6f54a7aec2b96p-10, 0x1.0af1fe5cc2893p-10, 0x1.4eae884f12986p-11, 0x1.121aded648c1ap-12, -0x1.d7d8991e8a0ffp-14, -0x1.face38057fd51p-12, -0x1.be31d6f3f26bbp-11, -0x1.3ead01931106fp-10, -0x1.9d6d33045cefcp-10, -0x1.fb586558c7c4fp-10, -0x1.2c36a1ae013ebp-9, -0x1.5a554bdf520ccp-9, -0x1.8807a47896c59p-9, -0x1.b54d3190ea795p-9, -0x1.e2254c3cf28cdp-9, -0x1.0748114dc896fp-8, -0x1.1d46715ec6ffdp-8, -0x1.330dbd35f3a17p-8, -0x1.489de189ab0b1p-8, -0x1.5df6cbde8145cp-8, -0x1.7318730cbf1a6p-8, -0x1.8802d2b2fb239p-8, -0x1.9cb5f160e010ep-8, -0x1.b131d5f47bc3cp-8, -0x1.c5769aa6ca984p-8, -0x1.d984539eca89fp-8, -0x1.ed5b23f10bep-8, -0x1.007d9859cfa5cp-7, -0x1.0a3252b23d9dp-7, -0x1.13cbd9d1b4271p-7, -0x1.1d4a49c8cf5c6p-7, -0x1.26adbd31e8352p-7, -0x1.2ff660f64ace8p-7, -0x1.39248462feea7p-7, -0x1.4237672e65fa8p-7, -0x1.4b30e1eb17237p-7, -0x1.540f278adafcap-7, -0x1.5cd43c0ef3c71p-7, -0x1.657ec4d12e83bp-7, -0x1.6e1011ae21f04p-7, -0x1.7687dd55facd2p-7, -0x1.7ee62754b815ep-7, -0x1.872bacf4d470fp-7, -0x1.8f583bb09616cp-7, -0x1.976c4345af7fdp-7, -0x1.9f67c56868893p-7, -0x1.a74b5529b43e4p-7, -0x1.af16eb1779d2ep-7, -0x1.b6cac9ccd0082p-7, -0x1.be674fe44170fp-7, -0x1.c5eca96f02336p-7, -0x1.cd5b28a129cfep-7, -0x1.d4b2f1d668fdp-7, -0x1.dbf44e13d936ep-7, -0x1.e31f836a9a727p-7, -0x1.ea34db8c0339ep-7, -0x1.f1349cfa9ad67p-7, -0x1.f81ef3df37bc4p-7, -0x1.fef4264224398p-7, -0x1.02da39e17a02bp-6, -0x1.0630112993ee5p-6, -0x1.097bbadba9e3ap-6, -0x1.0cbd59c7f1915p-6, -0x1.0ff50800c44b8p-6, -0x1.1322e197bf276p-6, -0x1.1647082cb5b37p-6, -0x1.19619a2628a2ap-6, -0x1.1c72b3ee3008dp-6, -0x1.1f7a7446e4debp-6, -0x1.2278fca5adfcbp-6, -0x1.256e6673c43bfp-6, -0x1.285ac86bd342ep-6, -0x1.2b3e3ecb99263p-6, -0x1.2e18e4779a76ep-6, -0x1.30ead25127a33p-6, -0x1.33b423315fbf3p-6, -0x1.3674ecde07693p-6, -0x1.392d49a84c246p-6, -0x1.3bdd50ddafdedp-6, -0x1.3e85145b6793ep-6, -0x1.4124a816f0f64p-6, -0x1.43bc2160a04c7p-6, -0x1.464b93da1eedfp-6, -0x1.48d311bee618p-6, -0x1.4b52ac243cc54p-6, -0x1.4dca732677c84p-6, -0x1.503a772df776fp-6, -0x1.52a2c90c36589p-6, -0x1.550375c3812b3p-6, -0x1.575c881378651p-6, -0x1.59ae0c79eff51p-6, -0x1.5bf80e059d67fp-6, -0x1.5e3a995d58651p-6, -0x1.6075b6b8db70cp-6, -0x1.62a96ef70b1bdp-6, -0x1.64d5c9c9384dep-6, -0x1.66face1aa19f5p-6, -0x1.691882e2561b6p-6, -0x1.6b2eeea2cd321p-6, -0x1.6d3e151d8eddcp-6, -0x1.6f45f8cce02e7p-6, -0x1.71469ce7c4e6fp-6, -0x1.73400446efdd7p-6, -0x1.753230b8003a6p-6, -0x1.771d2320c5c7ap-6, -0x1.7900dba51fa45p-6, -0x1.7add59b2dc327p-6, -0x1.7cb29c078963ep-6, -0x1.7e80a0d93d567p-6, -0x1.8047662ca8e49p-6, -0x1.8206e91371919p-6, -0x1.83bf26fe60e88p-6, -0x1.85701a134197p-6, -0x1.8719bdac6c9d5p-6, -0x1.88bc0d0ae3b04p-6, -0x1.8a5702d8b2011p-6, -0x1.8bea9927bfc3dp-6, -0x1.8d76c98e62339p-6, -0x1.8efb8d39ada61p-6, -0x1.9078dcf508345p-6, -0x1.91eeb12f4c37bp-6, -0x1.935d02078ceadp-6, -0x1.94c3c7741437ap-6, -0x1.9622f96ce53e8p-6, -0x1.977a8f9ad8ed1p-6, -0x1.98ca80d637e7ep-6, -0x1.9a12c3a79dbe3p-6, -0x1.9b534ee48064cp-6, -0x1.9c8c197adb68fp-6, -0x1.9dbd1a331b289p-6, -0x1.9ee647a63a5c7p-6, -0x1.a00797edeb7ep-6, -0x1.a121023899f1ep-6, -0x1.a2327c899611p-6, -0x1.a33bfd629a164p-6, -0x1.a43d7b4f6a1a2p-6, -0x1.a536ece914896p-6, -0x1.a62848f0a45b6p-6, -0x1.a7118665c60cp-6, -0x1.a7f29c6cb95b3p-6, -0x1.a8cb8209a8984p-6, -0x1.a99c2e3cc1b99p-6, -0x1.aa64986704b15p-6, -0x1.ab24b85727044p-6, -0x1.abdc8622423e6p-6, -0x1.ac8bfa15b3b2ep-6, -0x1.ad330cbf47241p-6, -0x1.add1b6f5d4d28p-6, -0x1.ae67f1e059b4dp-6, -0x1.aef5b6fa7d08ap-6, -0x1.af7b00188655dp-6, -0x1.aff7c76b942f5p-6, -0x1.b06c0787f8888p-6, -0x1.b0d7bb6e0cf37p-6, -0x1.b13ade60c28a4p-6, -0x1.b1956c75d6c92p-6, -0x1.b1e7621ce7a43p-6, -0x1.b230bbd8c4e8dp-6, -0x1.b27176b7b2915p-6, -0x1.b2a9904c46b32p-6, -0x1.b2d906bf41217p-6, -0x1.b2ffd8be5e157p-6, -0x1.b31e0570d53fdp-6, -0x1.b3338c7a32198p-6, -0x1.b3406dfe6288bp-6, -0x1.b344aaa5eb848p-6, -0x1.b34043a2ad474p-6, -0x1.b3333aaf45adep-6, -0x1.b31d92111bc31p-6, -0x1.b2ff4c9894862p-6, -0x1.b2d86da14ebb4p-6, -0x1.b2a8f91355ba4p-6, -0x1.b270f365e1d2ap-6, -0x1.b23061a39e879p-6, -0x1.b1e7496a60acep-6, -0x1.b195b0dfbecd5p-6, -0x1.b13b9ea507b87p-6, -0x1.b0d919e0e9dcp-6, -0x1.b06e2a55365c1p-6, -0x1.affad861692b6p-6, -0x1.af7f2cd9cd6f9p-6, -0x1.aefb315982d51p-6, -0x1.ae6eefe9ffc02p-6, -0x1.adda7303fdbd1p-6, -0x1.ad3dc5bee0975p-6, -0x1.ac98f3b6d95abp-6, -0x1.abec090de5c37p-6, -0x1.ab37126dd13bbp-6, -0x1.aa7a1d03791afp-6, -0x1.a9b536817ef7cp-6, -0x1.a8e86d1cd36a7p-6, -0x1.a813cf8b75df6p-6, -0x1.a7376d030b999p-6, -0x1.a6535537dcbd4p-6, -0x1.a567985b600ffp-6, -0x1.a4744716e7395p-6, -0x1.a3797286ff29p-6, -0x1.a2772c2ca2bb7p-6, -0x1.a16d85f98a8a7p-6, -0x1.a05c9252bb5b5p-6, -0x1.9f446411a6a1fp-6, -0x1.9e250e7dc88a4p-6, -0x1.9cfea546a230fp-6, -0x1.9bd13c7ff379ap-6, -0x1.9a9ce89f4db3cp-6, -0x1.9961be79bb5cp-6, -0x1.981fd341753bcp-6, -0x1.96d73c8370d57p-6, -0x1.9588101cc3749p-6, -0x1.943264390a0a1p-6, -0x1.92d64f79317ffp-6, -0x1.9173e8a593093p-6, -0x1.900b46dc8fdb4p-6, -0x1.8e9c818887502p-6, -0x1.8d27b059023ccp-6, -0x1.8baceb40defdp-6, -0x1.8a2c4a74258a2p-6, -0x1.88a5e665173ccp-6, -0x1.8719d7bf941fbp-6, -0x1.858837633ead2p-6, -0x1.83f11e5f00176p-6, -0x1.8254a5f07b8cbp-6, -0x1.80b2e7854321dp-6, -0x1.7f0bfcb946045p-6, -0x1.7d5fff527a0f2p-6, -0x1.7baf093c08d1bp-6, -0x1.79f934822ea01p-6, -0x1.783e9b4e6872ap-6, -0x1.767f57e5b676bp-6, -0x1.74bb84a54fa21p-6, -0x1.72f33bfe210f3p-6, -0x1.71269872095fdp-6, -0x1.6f55b490d4173p-6, -0x1.6d80aaf5c0fcap-6, -0x1.6ba796446b0d1p-6, -0x1.69ca912720dc9p-6, -0x1.67e9b64d3101p-6, -0x1.66052069984d2p-6, -0x1.641cea31f3991p-6, -0x1.62312e5abe85fp-6, -0x1.60420792a3p-6, -0x1.5e4f90949ce0cp-6, -0x1.5c59e409531d8p-6, -0x1.5a611c8c923a6p-6, -0x1.586554aba55fap-6, -0x1.5666a6dbf6128p-6, -0x1.54652d76ab3cp-6, -0x1.526102b5bb075p-6, -0x1.505a40b1aec8dp-6, -0x1.4e51015e9a1fp-6, -0x1.4c455e8dc2913p-6, -0x1.4a3771dd7a1ap-6, -0x1.482754deb613dp-6, -0x1.461520f3f4b76p-6, -0x1.4400ef68c1db5p-6, -0x1.41ead9715253cp-6, -0x1.3fd2f82c91999p-6, -0x1.3db964a404f11p-6, -0x1.3b9e37c89b225p-6, -0x1.39818a6c491bp-6, -0x1.3763753883a73p-6, -0x1.354410a259e26p-6, -0x1.332374dd58a0bp-6, -0x1.3101b9cc55a21p-6, -0x1.2edef70065943p-6, -0x1.2cbb439d7e28ep-6, -0x1.2a96b66c88d49p-6, -0x1.287165d39509cp-6, -0x1.264b67e23568bp-6, -0x1.2424d26069f47p-6, -0x1.21fdbae151262p-6, -0x1.1fd636d7d948cp-6, -0x1.1dae5baa9864bp-6, -0x1.1b863ec259921p-6, -0x1.195df59646c9ap-6, -0x1.173595afaad5bp-6, -0x1.150d349b65684p-6, -0x1.12e4e7d80d23p-6, -0x1.10bcc4b98be84p-6, -0x1.0e94e040b489fp-6, -0x1.0c6d4efe00bdp-6, -0x1.0a4624db0cddep-6, -0x1.081f7509b1abp-6, -0x1.05f951e8578b7p-6, -0x1.03d3ccfd4feb2p-6, -0x1.01aef701bd765p-6, -0x1.ff15bffc6cd28p-7, -0x1.facf2eeedd8ffp-7, -0x1.f68a594e5f2c7p-7, -0x1.f2475d7850b49p-7, -0x1.ee065a3329fe3p-7, -0x1.e9c76f1e7c1afp-7, -0x1.e58abd04ca57dp-7, -0x1.e15066028cf86p-7, -0x1.dd188d79869f7p-7, -0x1.d8e357ccab28p-7, -0x1.d4b0e9e6dffdep-7, -0x1.d08168954ca7p-7, -0x1.cc54f7c3ca377p-7, -0x1.c82bb9aeb689ap-7, -0x1.c405ce20e280cp-7, -0x1.bfe351d467b75p-7, -0x1.bbc45e0c144a3p-7, -0x1.b7a90875e976bp-7, -0x1.b3916360dceadp-7, -0x1.af7d7e463f49fp-7, -0x1.ab6d669e65a8dp-7, -0x1.a76128ef84192p-7, -0x1.a358d1fd77ca7p-7, -0x1.9f546ffd607aap-7, -0x1.9b5413ac8496bp-7, -0x1.9757d122e98ap-7, -0x1.935fc05387b9ep-7, -0x1.8f6bfd1e9a7cap-7, -0x1.8b7ca6e8279cfp-7, -0x1.8791dfba9f2dfp-7, -0x1.83abcb0537ab1p-7, -0x1.7fca8c0f0e2b5p-7, -0x1.7bee44449e0fep-7, -0x1.7817118b01416p-7, -0x1.74450cc62f3cfp-7, -0x1.707848bcbb5ap-7, -0x1.6cb0d17ce8f78p-7, -0x1.68eeac5aaf6c2p-7, -0x1.6531d8915807ap-7, -0x1.617a5081d6eebp-7, -0x1.5dc80b77bb505p-7, -0x1.5a1affcdb70aap-7, -0x1.5673253fc1e4cp-7, -0x1.52d0772e8976ap-7, -0x1.4f32f697a3bb5p-7, -0x1.4b9aab88da5a6p-7, -0x1.4807a5e16d82dp-7, -0x1.4479fd44e6291p-7, -0x1.40f1d0397cb55p-7, -0x1.3d6f4282c1b1bp-7, -0x1.39f27ade9d58ap-7, -0x1.367ba05b68765p-7, -0x1.330ad787684edp-7, -0x1.2fa03fbcdec13p-7, -0x1.2c3bf0c952495p-7, -0x1.28ddf9267cb69p-7, -0x1.25865cef94a91p-7, -0x1.223515b18e849p-7, -0x1.1eea1326d539dp-7, -0x1.1ba53cdeba3a9p-7, -0x1.186674bc3fae8p-7, -0x1.152d9a1f4fb31p-7, -0x1.11fa8d72dfe9ep-7, -0x1.0ecd33c495892p-7, -0x1.0ba579ee3c37fp-7, -0x1.08835706f8abdp-7, -0x1.0566cdcf65c5p-7, -0x1.024fecd1afa04p-7, -0x1.fe7d9ab30b5f4p-8, -0x1.f86722cd7283bp-8, -0x1.f25cc1c4edb3p-8, -0x1.ec5eccdaa927fp-8, -0x1.e66d982dceb61p-8, -0x1.e089707dde0a4p-8, -0x1.dab295951b1fep-8, -0x1.d4e9358a68fap-8, -0x1.cf2d68fa991ecp-8, -0x1.c97f30608791cp-8, -0x1.c3de72d0ee6f3p-8, -0x1.be4afe7d310f5p-8, -0x1.b8c48b689c87bp-8, -0x1.b34ac0972ef61p-8, -0x1.addd3b9d8a57fp-8, -0x1.a87b99f45efb3p-8, -0x1.a32582df3d977p-8, -0x1.9ddab0546461bp-8, -0x1.989af54cfff1cp-8, -0x1.93664053c243p-8, -0x1.8e3c99fa0377ep-8, -0x1.891e1fdab63dp-8, -0x1.840afda898ec5p-8, -0x1.7f03662a01e5fp-8, -0x1.7a078dd117c37p-8, -0x1.7517a798716dep-8, -0x1.7033e4a1e95bbp-8, -0x1.6b5c74d0827e1p-8, -0x1.6691866227a47p-8, -0x1.61d3455b207ffp-8, -0x1.5d21d6abcf9bfp-8, -0x1.587d522d12063p-8, -0x1.53e5bba1558c2p-8, -0x1.4f5afd61d62b8p-8, -0x1.4adce5e762b99p-8, -0x1.466b2ab7cfdc5p-8, -0x1.42056fde305f6p-8, -0x1.3dab5352b8e8p-8, -0x1.395c7a0efe5f6p-8, -0x1.35189c773997dp-8, -0x1.30df8ef5e079p-8, -0x1.2cb144d7eaa52p-8, -0x1.288dcc3a9e60cp-8, -0x1.2475435ac535dp-8, -0x1.2067c97eb8348p-8, -0x1.1c656f5c2bd55p-8, -0x1.186e2ba572ac9p-8, -0x1.1481d7af33cbcp-8, -0x1.10a035e2caabp-8, -0x1.0cc900874750ap-8, -0x1.08fbfc7583884p-8, -0x1.053909a4853e9p-8, -0x1.01802bd9d8cc6p-8, -0x1.fba3105cbb8cp-9, -0x1.f45aafb9aa4eep-9, -0x1.ed27a92b99be9p-9, -0x1.e60a4a103f877p-9, -0x1.df02a02eef98p-9, -0x1.d810752e5f01ap-9, -0x1.d1335ea963515p-9, -0x1.ca6adb80d190dp-9, -0x1.c3b6741382216p-9, -0x1.bd15d49b73259p-9, -0x1.b688dd190e0dfp-9, -0x1.b00fa6102c5cdp-9, -0x1.a9aa7b2c13e9ep-9, -0x1.a359cce4757c5p-9, -0x1.9d1e19ddf324ap-9, -0x1.96f7d14a157d6p-9, -0x1.90e7317f6ec4p-9, -0x1.8aec28f9cc5fap-9, -0x1.85064283e1567p-9, -0x1.7f34a55b5f208p-9, -0x1.79762ddb0bbcdp-9, -0x1.73c99b2a84e29p-9, -0x1.6e2dc5ffc002bp-9, -0x1.68a1d01d4659cp-9, -0x1.63253e2cbaf02p-9, -0x1.5db7f4e32bb34p-9, -0x1.585a1c28e14b4p-9, -0x1.530bf3fc2d49fp-9, -0x1.4dcdabffc297bp-9, -0x1.489f4da140e1ap-9, -0x1.4380bdffc8897p-9, -0x1.3e71d1b591548p-9, -0x1.39726636af491p-9, -0x1.348275bd09f65p-9, -0x1.2fa2212c05085p-9, -0x1.2ad1af50f8774p-9, -0x1.2611810e9f46ap-9, -0x1.2161fb2ee75d7p-9, -0x1.1cc36c57e9f98p-9, -0x1.1835fbb72a2b7p-9, -0x1.13b9ab0e69da2p-9, -0x1.0f4e6b0dc463dp-9, -0x1.0af433949d8f2p-9, -0x1.06ab0db3cd0d3p-9, -0x1.027306f11e53ep-9, -0x1.fc982b1f559abp-10, -0x1.f46c0059cb021p-10, -0x1.ec60ae93750cdp-10, -0x1.e4750091db244p-10, -0x1.dca789efa3905p-10, -0x1.d4f6baa659e83p-10, -0x1.cd60edc18c2f8p-10, -0x1.c5e487661ec81p-10, -0x1.be8023bfc4f52p-10, -0x1.b732beb6c68d7p-10, -0x1.affbbc01246a8p-10, -0x1.a8dacb4bdc2b8p-10, -0x1.a1cfb861cd5b8p-10, -0x1.9ada43c662342p-10, -0x1.93fa26c532977p-10, -0x1.8d2f5325c5201p-10, -0x1.867a4aed308ffp-10, -0x1.7fdc4181b50fcp-10, -0x1.7956cee375eadp-10, -0x1.72eb50fede435p-10, -0x1.6c9a5813e19dbp-10, -0x1.66636f6fe04d3p-10, -0x1.604553dc18464p-10, -0x1.5a3e72a460f1fp-10, -0x1.544d79ecebc8p-10, -0x1.4e71c8f3f81a4p-10, -0x1.48ab9d9294178p-10, -0x1.42fbf1146b581p-10, -0x1.3d6413d51ec84p-10, -0x1.37e53586c2ee3p-10, -0x1.32800ce0257fp-10, -0x1.2d34b3f858be5p-10, -0x1.2802999c7310fp-10, -0x1.22e8609629f8cp-10, -0x1.1de3d2cb5932bp-10, -0x1.18f25103cb268p-10, -0x1.1411d4ba172dep-10, -0x1.0f41e054b5ef9p-10, -0x1.0a8385efcad39p-10, -0x1.05d85c7cd3daap-10, -0x1.01411e2a3d324p-10, -0x1.f979e8d17e6d3p-11, -0x1.f093e8ac719a8p-11, -0x1.e7ccb9b7eae51p-11, -0x1.df230fbb94acap-11, -0x1.d697b464ec7dfp-11, -0x1.ce2c05bad2ab8p-11, -0x1.c5e0c521ddb6ep-11, -0x1.bdb60373963d4p-11, -0x1.b5ab9e7102907p-11, -0x1.adc181c9c1fcep-11, -0x1.a5f77735621ccp-11, -0x1.9e4cd7221632dp-11, -0x1.96c07df4b8b16p-11, -0x1.8f512b62d0292p-11, -0x1.87fe22a3ce0c5p-11, -0x1.80c7b1b8150ap-11, -0x1.79af463b38adcp-11, -0x1.72b6eadc26f6ep-11, -0x1.6be06b7b20e71p-11, -0x1.652cb5d912ba1p-11, -0x1.5e9bd83ddfa99p-11, -0x1.582d1da1fd7ebp-11, -0x1.51de62538b8ffp-11, -0x1.4bab2eff53ddap-11, -0x1.458de31113c61p-11, -0x1.3f83707a07e77p-11, -0x1.398de3777a706p-11, -0x1.33b21f8781598p-11, -0x1.2df2ebe6345bdp-11, -0x1.284e9e880d537p-11, -0x1.22c188a26eebdp-11, -0x1.1d4a1a28ebfcfp-11, -0x1.17ea1ce485b69p-11, -0x1.12a43a1b777fdp-11, -0x1.0d79510aaee83p-11, -0x1.08682d3346fa7p-11, -0x1.036eb70545ca5p-11, -0x1.fd15d91e95446p-12, -0x1.f37662ce8d148p-12, -0x1.e9fca501078b7p-12, -0x1.e0a713e9d53fep-12, -0x1.d77514468b93bp-12, -0x1.ce66ebe51c234p-12, -0x1.c57d73ad0bb3ap-12, -0x1.bcb9a957dc7d5p-12, -0x1.b41c5aee8645p-12, -0x1.aba60e36e2a92p-12, -0x1.a3570c4fee402p-12, -0x1.9b2f59dca69d9p-12, -0x1.932e88cf359p-12, -0x1.8b53b9f344dd3p-12, -0x1.839e6029be6cp-12, -0x1.7c0f7a754c9b7p-12, -0x1.74a9415fcde7fp-12, -0x1.6d6bb6e2a6a11p-12, -0x1.665176dd9257bp-12, -0x1.5f5377ca3ac6fp-12, -0x1.5870ff120776fp-12, -0x1.51aecb2473c61p-12, -0x1.4b0db98550e1ap-12, -0x1.44883e9e8b855p-12, -0x1.3e1a819f47fcdp-12, -0x1.37c7914b84d8ap-12, -0x1.319411ecf01ccp-12, -0x1.2b8086b9e9158p-12, -0x1.258a7cd43da51p-12, -0x1.1fafb5f301a8ap-12, -0x1.19ef3654ce00cp-12, -0x1.1448dbc0177bbp-12, -0x1.0ebcd5fe2ef89p-12, -0x1.094b6521c3673p-12, -0x1.03f4c4b61d963p-12, -0x1.fd723b39ef3c1p-13, -0x1.f330d2a6c988cp-13, -0x1.e924882f4a40ap-13, -0x1.df4b7bc5ff54ep-13, -0x1.d5a2f4bb5ef2ep-13, -0x1.cc26b3b361368p-13, -0x1.c2d3199bf1663p-13, -0x1.b9a663b446994p-13, -0x1.b0a0f90f7c501p-13, -0x1.a7c5a80b74bf8p-13, -0x1.9f1713caf31cap-13, -0x1.9694ec0f37258p-13, -0x1.8e3b7120a5403p-13, -0x1.86073fdfe813cp-13, -0x1.7dfa83daad21dp-13, -0x1.761c10451fd29p-13, -0x1.6e6d763e8b1f3p-13, -0x1.66e693d6bd89fp-13, -0x1.5f8237730ec06p-13, -0x1.5841bd6821213p-13, -0x1.51222b55a548fp-13, -0x1.4a208b98436b9p-13, -0x1.4340dbabede16p-13, -0x1.3c85b002c095ep-13, -0x1.35ecad0466568p-13, -0x1.2f734c57e24c6p-13, -0x1.2918b4d79a7e6p-13, -0x1.22dccffcd52a2p-13, -0x1.1cbf891aa8e6bp-13, -0x1.16c09f4ad92dfp-13, -0x1.10dfafef35259p-13, -0x1.0b1c47b3ba8b5p-13, -0x1.0575ed7e6530cp-13, -0x1.ffd84d067f069p-14, -0x1.f4fce997802ap-14, -0x1.ea58a506aebcfp-14, -0x1.dfea5bdbd38aap-14, -0x1.d5b0d3e405f9bp-14, -0x1.cbaac882638a9p-14, -0x1.c1d6fe4fdafc9p-14, -0x1.b83458efedd9p-14, -0x1.aec1ee5acb75ep-14, -0x1.a57f10f4a4f33p-14, -0x1.9c6b43ca8d0bfp-14, -0x1.938605214f419p-14, -0x1.8ace76a18907ep-14, -0x1.8243470bbe48fp-14, -0x1.79e342a958c42p-14, -0x1.71adfaf17c6ddp-14, -0x1.69a39cd6af671p-14, -0x1.61c39e88796ddp-14, -0x1.5a0b0a51ee88cp-14, -0x1.5277c95ee3bd4p-14, -0x1.4b0b3aa9c2232p-14, -0x1.43c6ba39c470ap-14, -0x1.3caad97506505p-14, -0x1.35b2303501c21p-14, -0x1.2eda20ab2a0b8p-14, -0x1.28242f25434c4p-14, -0x1.2191411d91c58p-14, -0x1.1b21022747c78p-14, -0x1.14d2828c830dap-14, -0x1.0ea4c6c380fefp-14, -0x1.089758109f47ep-14, -0x1.02a8b0459505fp-14, -0x1.f9b205f335a4p-15, -0x1.ee4efdb5dac9fp-15, -0x1.e3273bc2170e6p-15, -0x1.d839ace35d251p-15, -0x1.cd852c9445edcp-15, -0x1.c3087455cabc7p-15, -0x1.b8c2129c6f6c6p-15, -0x1.aeb07b9b09021p-15, -0x1.a4d23fe088844p-15, -0x1.9b263d8d1ce84p-15, -0x1.91aba50ddd653p-15, -0x1.88620452a9272p-15, -0x1.7f49255097de5p-15, -0x1.7660e99c48ba1p-15, -0x1.6da9280124afep-15, -0x1.65214fd70db28p-15, -0x1.5cc7daca2c96bp-15, -0x1.549a6321f5515p-15, -0x1.4c96df4b19988p-15, -0x1.44bc73d78970bp-15, -0x1.3d0b225a6fd34p-15, -0x1.35806075e32dap-15, -0x1.2e0c42856ebfbp-15, -0x1.26a47ac68a59bp-15, -0x1.1f6b8a361a0d5p-15, -0x1.187754817cb7ap-15, -0x1.11abd70a7d0eep-15, -0x1.0af32020df71bp-15, -0x1.0464bcfc1fb99p-15, -0x1.fc01ae888bd85p-16, -0x1.ef6b6823e0953p-16, -0x1.e302c54a23731p-16, -0x1.d6d798f6fc199p-16, -0x1.caf1eac3f5cc4p-16, -0x1.bf507d0403913p-16, -0x1.b3ef3b111a895p-16, -0x1.a8ca87fdd37d1p-16, -0x1.9ddfcfcfe1d18p-16, -0x1.932d2a53e0da1p-16, -0x1.88b12e595af61p-16, -0x1.7e6abc3d96e39p-16, -0x1.7458c0001d92bp-16, -0x1.6a7a107f8585p-16, -0x1.60cd531bf4fddp-16, -0x1.575103d175ba1p-16, -0x1.4e03ad17081fdp-16, -0x1.44e42f943aeccp-16, -0x1.3bf1d99f0fd32p-16, -0x1.332c39b401493p-16, -0x1.2a92e02114b54p-16, -0x1.22254dc7b41bp-16, -0x1.19e31874ab5dap-16, -0x1.11cc0ece62958p-16, -0x1.09dfe9376cf1cp-16, -0x1.021d27276473cp-16, -0x1.f5002edff92a6p-17, -0x1.e608d85413449p-17, -0x1.d751cc57bd7f4p-17, -0x1.c8e32a2a6946ap-17, -0x1.baceea464edd8p-17, -0x1.ad184be6f8173p-17, -0x1.9f742f22d4445p-17, -0x1.920aa5e1ffcf1p-17, -0x1.8530acd33a1aep-17, -0x1.785b44811ce22p-17, -0x1.6bb9355610306p-17, -0x1.5f731c5f129bdp-17, -0x1.537ce4e750c01p-17, -0x1.47c8c4d12ac96p-17, -0x1.3c3801ef5ab27p-17, -0x1.309e2278d5527p-17, -0x1.250f223be1177p-17, -0x1.19e4e22d8a4f5p-17, -0x1.0f40581fd53f9p-17, -0x1.04e773517e617p-17, -0x1.f5016b578bf82p-18, -0x1.e0480e8897373p-18, -0x1.cc0656568cb44p-18, -0x1.b849652be7011p-18, -0x1.a500cb495ba81p-18, -0x1.92140584a3ba4p-18, -0x1.7f86d107a34a4p-18, -0x1.6d4c5dab0ae94p-18, -0x1.5b6401cad4f1dp-18, -0x1.49cbb0c12019fp-18, -0x1.38818d59222d7p-18, -0x1.2784934e27d23p-18, -0x1.16d407d58040ap-18, -0x1.066eec4406e33p-18, -0x1.eca7ee1b3debcp-19, -0x1.cd03b59ab6f4ep-19, -0x1.adef6011a5c76p-19, -0x1.8f6a8f9f3f693p-19, -0x1.717542c4c35c1p-19, -0x1.540a7aafa496fp-19, -0x1.371ab61202bcp-19, -0x1.1a9708cf15873p-19, -0x1.fd031931b7f0fp-20, -0x1.c60ca1cb27448p-20, -0x1.8f8c264793291p-20, -0x1.5ac3c04db14eep-20, -0x1.27049b60234c6p-20, -0x1.e76e912be0e7ep-21, -0x1.81cf89f735996p-21, -0x1.1d528cb99c7e3p-21, -0x1.76efd244b8c78p-22, -0x1.6e34d25c079bfp-23, 0x1.688cfc7707a76p-28, 0x1.7ecaae6c5cd53p-23, 0x1.762bfc0eaffd7p-22, 0x1.14ffd103290cp-21, 0x1.6d77d9ef15872p-21, 0x1.c4862845dca5ep-21, 0x1.0d18882681d2fp-20, 0x1.373dc10afca33p-20, 0x1.60b29e62f6f66p-20, 0x1.8976f8d12e7c9p-20, 0x1.b18c85cbd220ap-20, 0x1.d8f49f73ff672p-20, 0x1.ffa57a8e4bea7p-20, 0x1.12c62808e8701p-19, 0x1.25763af4abd33p-19, 0x1.383ccdfa4f29cp-19, 0x1.4aaa8aa308d89p-19, 0x1.5c7237ce195b8p-19, 0x1.6e4c2b1dc85a8p-19, 0x1.7ffaf946c9d97p-19, 0x1.9138fe5b42e8bp-19, 0x1.a21aacbae34ap-19, 0x1.b2b4d58ebea93p-19, 0x1.c30efabe1a464p-19, 0x1.d32c0670bc30cp-19, 0x1.e30d64ebda8bdp-19, 0x1.f2b0bcaf9a2bfp-19, 0x1.010cd99ad2731p-18, 0x1.08a2d657857fep-18, 0x1.101bc706286f9p-18, 0x1.177a0e3bc3715p-18, 0x1.1ebe79248ae3p-18, 0x1.25e7d7b88daffp-18, 0x1.2cf609f63c88cp-18, 0x1.33e99edf3aa21p-18, 0x1.3abd703725aep-18, 0x1.41678b4660f8dp-18, 0x1.480de18d8f871p-18, 0x1.4eaa058aa42cap-18, 0x1.551dfc8505565p-18, 0x1.5b7671b68c72bp-18, 0x1.61b7e638de4dap-18, 0x1.67e29e3bfff2fp-18, 0x1.6df6a56eb9db3p-18, 0x1.73f42b3ffe081p-18, 0x1.79db73740f916p-18, 0x1.7facca5907c1dp-18, 0x1.85687f51bb11dp-18, 0x1.8b0ee247a6543p-18, 0x1.90a04234bb9ddp-18, 0x1.961cecb25c8ddp-18, 0x1.9b852e9237eaep-18, 0x1.a0d95390c94cbp-18, 0x1.a619a4f1181e9p-18, 0x1.ab4668bb8a34bp-18, 0x1.b05fe19ca4116p-18, 0x1.b5664ed2ddb88p-18, 0x1.ba59ecd21d28ap-18, 0x1.bf3af8e0c0b9p-18, 0x1.c409c8b974502p-18, 0x1.c8c7057cbedcdp-18, 0x1.cd71fc08164cep-18, 0x1.d20affb9f3279p-18, 0x1.d6932a0fdc49bp-18, 0x1.db0a4acd1132ep-18, 0x1.df70807790f91p-18, 0x1.e3c60427b5e3bp-18, 0x1.e80ac43221b1dp-18, 0x1.ec3eeac7d5826p-18, 0x1.f063704b6a62ap-18, 0x1.f477e277e5063p-18, 0x1.f87bd749527c6p-18, 0x1.fc6b9b8e6db4dp-18, 0x1.0024b48bdc6b8p-17, 0x1.02102922818a1p-17, 0x1.03f7d0326b7c7p-17, 0x1.05d6a48bbb8dbp-17, 0x1.07afdec08ef6bp-17, 0x1.0977d47d6bb42p-17, 0x1.0b3d955f07994p-17, 0x1.0cfafdf44e8dep-17, 0x1.0eb47d00b27ebp-17, 0x1.1065663b35d42p-17, 0x1.120f280787b0fp-17, 0x1.13b225b4c29c4p-17, 0x1.154e63c793738p-17, 0x1.16e3eb3002a6fp-17, 0x1.1872b0d59f936p-17, 0x1.19fb050ccaeacp-17, 0x1.1b7c5e043d25p-17, 0x1.1cf78b1fbdb83p-17, 0x1.1e732b991fe6bp-17, 0x1.1fe7a0e6cc879p-17, 0x1.2142f98f78ec8p-17, 0x1.22a4b3774844fp-17, 0x1.2400a589d8a1cp-17, 0x1.25564d390931cp-17, 0x1.26a5c32ad3857p-17, 0x1.27ef24c52481bp-17, 0x1.293285555094ep-17, 0x1.2a6ff07d3783p-17, 0x1.2ba7627daed04p-17, 0x1.2cdb41686fe3bp-17, 0x1.2e07a997f1415p-17, 0x1.2f2b22604d2f4p-17, 0x1.304be8273ab21p-17, 0x1.3166c91bbb442p-17, 0x1.327bc32c20a0ap-17, 0x1.338b6fbb195a4p-17, 0x1.3495a546118cp-17, 0x1.359a63ea1fee3p-17, 0x1.3699833c36695p-17, 0x1.37933ebba6d82p-17, 0x1.3887ab8731c18p-17, 0x1.3976cb5dad47cp-17, 0x1.3a60a455510d4p-17, 0x1.3b44a40181f82p-17, 0x1.3c24a464a0baap-17, 0x1.3cfedf5cdeae7p-17, 0x1.3dd4075eae219p-17, 0x1.3ea47d3c14084p-17, 0x1.3f6f2fa5aed12p-17, 0x1.40351043304cep-17, 0x1.40f62b19a4bbap-17, 0x1.41b247aa880ccp-17, 0x1.4269832e08a1fp-17, 0x1.431bf29a0c232p-17, 0x1.43c9816656b0dp-17, 0x1.4472494e1cf79p-17, 0x1.451652593f4f5p-17, 0x1.45b5a4fcb0f4cp-17, 0x1.465049e95e997p-17, 0x1.46e649d538227p-17, 0x1.4777ad6cc2fc6p-17, 0x1.48047d46be0ecp-17, 0x1.488cc1e0d0521p-17, 0x1.491083535d72cp-17, 0x1.498fca862bda8p-17, 0x1.4a0a9fdb4a44ap-17, 0x1.4a810b0b122bdp-17, 0x1.4af3144cb6845p-17, 0x1.4b60c199d44d9p-17, 0x1.4bca091bc3dafp-17, 0x1.4c2e4d18f9f91p-17, 0x1.4c8f6b2b08cb1p-17, 0x1.4ceb4156857f9p-17, 0x1.4d44ece4f9e79p-17, 0x1.4d9962415359bp-17, 0x1.4de991356bf1p-17, 0x1.4e35a4b360331p-17, 0x1.4e7db2c834f91p-17, 0x1.4ec1d0f6c7399p-17, 0x1.4f01b77d42a48p-17, 0x1.4f3d9b9fb9d64p-17, 0x1.4f759ee4ad284p-17, 0x1.4fa9f40ef519p-17, 0x1.4fda0b4a18dd5p-17, 0x1.500668f0f6e8ep-17, 0x1.502ef7bb62daap-17, 0x1.5053ba5be1d43p-17, 0x1.5074b7f7b0d7fp-17, 0x1.5091f80bfd245p-17, 0x1.50ab8228b7538p-17, 0x1.50c144c35f73cp-17, 0x1.50d3946b1cef7p-17, 0x1.50e22c03b11d5p-17, 0x1.50ed2b4019b84p-17, 0x1.50f49246620e2p-17, 0x1.50f82b4398a94p-17, 0x1.51068e4a9789p-17, 0x1.50f8692a4b4b9p-17, 0x1.50ef2d6c81c34p-17, 0x1.50e57f05c9db4p-17, 0x1.50d8427df66fap-17, 0x1.50c781d2b9909p-17, 0x1.50b3f72bdf23bp-17, 0x1.509cf4d2a0161p-17, 0x1.50826da73194ap-17, 0x1.5064040a5d7d3p-17, 0x1.50433b47d4d93p-17, 0x1.501f4887637bbp-17, 0x1.4ff80e9d6499bp-17, 0x1.4fcda9c3f2ee1p-17, 0x1.4fa029423f3dbp-17, 0x1.4f6f968aad6dcp-17, 0x1.4f3bef29e0a53p-17, 0x1.4f055972f4914p-17, 0x1.4ecbbda7252e1p-17, 0x1.4e8f2d4506eeap-17, 0x1.4e4fbcfd53786p-17, 0x1.4e0d88d1bc763p-17, 0x1.4dc83521d53f5p-17, 0x1.4d7ffd88f9ea5p-17, 0x1.4d34ee3549cadp-17, 0x1.4ceb3ab4d1ddfp-17, 0x1.4c97613886c96p-17, 0x1.4c439665e26a9p-17, 0x1.4bedb85d24e92p-17, 0x1.4b94ecde478b5p-17, 0x1.4b387b34d41cep-17, 0x1.4ae1f5e21505dp-17, 0x1.4a7b113dcb379p-17, 0x1.4a186df952169p-17, 0x1.49b2d09383aa3p-17, 0x1.494aba5bd5e97p-17, 0x1.48e0158a93965p-17, 0x1.4872f77fcf7adp-17, 0x1.48036804ba463p-17, 0x1.47916cb81f961p-17, 0x1.471d063925114p-17, 0x1.46a6417bbc69p-17, 0x1.462e325c7c5bfp-17, 0x1.45b1cbb66056ap-17, 0x1.45344c800d803p-17, 0x1.44b480415da4p-17, 0x1.44326ddf1be4cp-17, 0x1.43ae245d948a7p-17, 0x1.4328461664deap-17, 0x1.429ebd2f865e3p-17, 0x1.421450072cf6dp-17, 0x1.418780adcf2b3p-17, 0x1.40f89a94886a5p-17, 0x1.4067a7887dfc3p-17, 0x1.3fd4ae9e35882p-17, 0x1.3f3fb586a0a7dp-17, 0x1.3ea8c457040e7p-17, 0x1.3e100cc40b756p-17, 0x1.3d7554c95c9d1p-17, 0x1.3cd883de46f94p-17, 0x1.3c3a06234c576p-17, 0x1.3b99617f74bf7p-17, 0x1.3af6a53933299p-17, 0x1.3a3beae3bd55bp-17, 0x1.39ac73c8eb666p-17, 0x1.3905bf62afb62p-17, 0x1.385c93450ac7p-17, 0x1.37b1a3696c0c1p-17, 0x1.370506ce0c404p-17, 0x1.365665e2a9cddp-17, 0x1.35a64d622dab2p-17, 0x1.34f540774db99p-17, 0x1.3442227f47c5ap-17, 0x1.338d5908b21b2p-17, 0x1.32d6f55d8552dp-17, 0x1.321ee6f97b58p-17, 0x1.31621660a2fb6p-17, 0x1.30aab5271700ep-17, 0x1.2fef43156f111p-17, 0x1.2f31c683f6854p-17, 0x1.2e72bde005675p-17, 0x1.2db23a4300e6dp-17, 0x1.2cf0e83ed1509p-17, 0x1.2c2e828b00744p-17, 0x1.2b6979a23aa7fp-17, 0x1.2aa37f8c3d769p-17, 0x1.29dcec93bbf84p-17, 0x1.2914edcd50139p-17, 0x1.284ba110344f1p-17, 0x1.27811b991aae6p-17, 0x1.26b5688d560cfp-17, 0x1.25e8e079b3ce2p-17, 0x1.251ad1cb85bd2p-17, 0x1.244b9d968963dp-17, 0x1.237b67b23256ap-17, 0x1.22aa21d82a634p-17, 0x1.21d79da2eefefp-17, 0x1.21006d0459b1dp-17, 0x1.202fd89f5e4d7p-17, 0x1.1f5aebc0c878bp-17, 0x1.1e84559e9bc1bp-17, 0x1.1dace3cbafc02p-17, 0x1.1cd55b6943bbcp-17, 0x1.1bfc58f632e6p-17, 0x1.1b22752d27a1bp-17, 0x1.1a47b99ee1188p-17, 0x1.196c0f2b25923p-17, 0x1.188f95fb7d1f6p-17, 0x1.17b24e9b8f203p-17, 0x1.16d4393f590cfp-17, 0x1.15f54859bec6cp-17, 0x1.15147a38d3b71p-17, 0x1.14437c7630dd9p-17, 0x1.135308c94ce73p-17, 0x1.127df0c48ed02p-17, 0x1.118fc0ab8fe79p-17, 0x1.10ac6e2fb7a46p-17, 0x1.0fc8b89d65d4dp-17, 0x1.0ee4ab92778fcp-17, 0x1.0dffca5d132bep-17, 0x1.0d1a301c70a4fp-17, 0x1.0c341ff77dc2bp-17, 0x1.0b4bd4ff2c615p-17, 0x1.0a663946d846dp-17, 0x1.097e5f7ba7a71p-17, 0x1.0895e1bc5839dp-17, 0x1.07a591091eed5p-17, 0x1.06c3f9cf6d24ep-17, 0x1.05da8436fc274p-17, 0x1.04f070b5d58f4p-17, 0x1.0405edb839af3p-17, 0x1.031afdac62094p-17, 0x1.022efc6b508e3p-17, 0x1.0144001eac6a3p-17, 0x1.005d5d01f5718p-17, 0x1.fed7428b5f61ap-18, 0x1.fcfddfba69573p-18, 0x1.fb23c6a9d488cp-18, 0x1.f947c5b617ca9p-18, 0x1.f74aeb19794cbp-18, 0x1.f591875d8b87dp-18, 0x1.f3b643047d9c6p-18, 0x1.f1d9b85b0091bp-18, 0x1.effcab0c96e9p-18, 0x1.ee1f2eef26fa1p-18, 0x1.ec37204101025p-18, 0x1.ea63075411b9ep-18, 0x1.e884570ad681ap-18, 0x1.e6a4f16fddd5bp-18, 0x1.e4c66d0e643b3p-18, 0x1.e2e7c25af8429p-18, 0x1.e107d67f4c49ep-18, 0x1.df25c8917b22ep-18, 0x1.dd4b858e73002p-18, 0x1.db6ba58060a77p-18, 0x1.d98587eee8ddep-18, 0x1.d7a5572681d83p-18, 0x1.d5c3a6c8c4253p-18, 0x1.d3e45c0523b1ep-18, 0x1.d203ae1bc48bep-18, 0x1.d02354834db57p-18, 0x1.ce42da2fa2b1fp-18, 0x1.cc6268053a0e3p-18, 0x1.ca820bc1b635p-18, 0x1.c8a1cfde7e3cdp-18, 0x1.c6c1b0563cb6bp-18, 0x1.c4e1b1e71c1ebp-18, 0x1.c30164e07486dp-18, 0x1.c12dea27ab4a7p-18, 0x1.bf431918ff016p-18, 0x1.bd63dbc59b708p-18, 0x1.bb84f816f31d8p-18, 0x1.b9a5e5628666ep-18, 0x1.b7c9377217dc5p-18, 0x1.b5ea8fdf5e615p-18, 0x1.b40cf2541e44dp-18, 0x1.b22f83007ab33p-18, 0x1.b052ae764fa56p-18, 0x1.ae763d3a6e271p-18, 0x1.ac9a3f257dc6cp-18, 0x1.aabe8d06770c6p-18, 0x1.a8e3517f8bc0dp-18, 0x1.a708549bfe25p-18, 0x1.a53de20343395p-18, 0x1.a352e9e7e9902p-18, 0x1.a17b1a615eea4p-18, 0x1.9fa2835c5eed4p-18, 0x1.9dca6971494d2p-18, 0x1.9bf2e81f6b06ap-18, 0x1.9a1c071d59ec3p-18, 0x1.9845cc0ce6eddp-18, 0x1.96703cdbcb2f9p-18, 0x1.949aeed605753p-18, 0x1.92c8348295f24p-18, 0x1.90f40415eb5ebp-18, 0x1.8f20d4e4691cbp-18, 0x1.8d4eeece3c28dp-18, 0x1.8b7d341058c77p-18, 0x1.89a155bcaee97p-18, 0x1.87dc757bc3069p-18, 0x1.860de8ae57d9ap-18, 0x1.843fbebbdd524p-18, 0x1.827257ddc4223p-18, 0x1.80a5268e2d3p-18, 0x1.7edefb0ab87dfp-18, 0x1.7d0eecd2ce31ep-18, 0x1.7b457230a1bd2p-18, 0x1.797c6811af35fp-18, 0x1.77b433fe379c6p-18, 0x1.75ea5d0f9937bp-18, 0x1.7428e21c83dcap-18, 0x1.72620ae605c7ep-18, 0x1.709b96a35f235p-18, 0x1.6ed805d867a0ep-18, 0x1.6d15a6da218d1p-18, 0x1.6b49c784181c8p-18, 0x1.6992dfdba6005p-18, }}, 
      {{-0x1.235b305b9d12p-4, -0x1.1454475141305p-4, -0x1.f8aa8fba644fap-5, -0x1.b9390ed6852fep-5, -0x1.6d1459b344a74p-5, -0x1.170259152cb0fp-5, -0x1.735078a77b2d8p-6, -0x1.5dd10219111c4p-7, 0x1.adba61966733p-10, 0x1.cc648eda29281p-7, 0x1.afdf57d6cd662p-6, 0x1.3a9743a41461bp-5, 0x1.99f4eb23febadp-5, 0x1.f5271fdc42238p-5, 0x1.25bfe31cce44dp-4, 0x1.4e3f04081f4ffp-4, 0x1.73e4334603581p-4, 0x1.969393418afa1p-4, 0x1.b63f966d5c95ep-4, 0x1.d2e6aab360754p-4, 0x1.ec91235adf36fp-4, 0x1.01a7aff5e6424p-3, 0x1.0b9c1672ccb2ap-3, 0x1.1433ad1e4e01dp-3, 0x1.1b7e419bfafadp-3, 0x1.218d01905771bp-3, 0x1.267209150f6cbp-3, 0x1.2a40030efb9bdp-3, 0x1.2d09d94c3f8b1p-3, 0x1.2ee272793976ap-3, 0x1.2fdc7c2746b3ap-3, 0x1.300a3f4b8400cp-3, 0x1.2f7d7dc6a975dp-3, 0x1.2e4757aeb27d4p-3, 0x1.2c7837370f1edp-3, 0x1.2a1fc2350306ap-3, 0x1.274cd05cf38fap-3, 0x1.240d6571da255p-3, 0x1.206eaebbb685ep-3, 0x1.1c7d03309fd98p-3, 0x1.1843e5cf5e934p-3, 0x1.13ce09be6a529p-3, 0x1.0f2557d3945a6p-3, 0x1.0a52f53580f3ap-3, 0x1.055f4ad28cdcep-3, 0x1.00520d73d7b0ap-3, 0x1.f6648c7c281cbp-4, 0x1.ec0cb6f06b793p-4, 0x1.e1a832e80a485p-4, 0x1.d74176f685d3fp-4, 0x1.cce1e95950051p-4, 0x1.c291f172276bdp-4, 0x1.b85908e27adffp-4, 0x1.ae3dcc27e766cp-4, 0x1.a4460aa27d942p-4, 0x1.9a76d5fa1442cp-4, 0x1.90d490deebfap-4, 0x1.8762fd1ee20bcp-4, 0x1.7e2549044073p-4, 0x1.751e1bf613dadp-4, 0x1.6c4fa25b3174dp-4, 0x1.63bb98c8a2167p-4, 0x1.5b63568385dcep-4, 0x1.5347d757b3575p-4, 0x1.4b69c4bf328bp-4, 0x1.43c97e5904d34p-4, 0x1.3c6721b677a85p-4, 0x1.3542918e55e25p-4, 0x1.2e5b7c66fdc2fp-4, 0x1.27b162c2bc816p-4, 0x1.21439cd199a63p-4, 0x1.1b115fa5ffe8ap-4, 0x1.1519c1eac9809p-4, 0x1.0f5bc01f043a7p-4, 0x1.09d64062eec41p-4, 0x1.048815e621fcep-4, 0x1.fee0080d164d4p-5, 0x1.f519825610a5fp-5, 0x1.ebb9f2be4c26dp-5, 0x1.e2bea15f5a4c2p-5, 0x1.da24ca9330dcfp-5, 0x1.d1e9a2b1492efp-5, 0x1.ca0a594f5d346p-5, 0x1.c2841c0c75ebdp-5, 0x1.bb54193148d77p-5, 0x1.b477819291a7bp-5, 0x1.adeb8ac5a16d4p-5, 0x1.a7ad70983405fp-5, 0x1.a1ba76c947bedp-5, 0x1.9c0fea3b3633ep-5, 0x1.96ab22412b195p-5, 0x1.918981add055fp-5, 0x1.8ca877a29f2c7p-5, 0x1.88058053a9133p-5, 0x1.839e25a3cabe2p-5, 0x1.7f6fff936bafbp-5, 0x1.7b78b4aab72b3p-5, 0x1.77b5fa2703b7p-5, 0x1.74259442b597fp-5, 0x1.70c5564ed89c7p-5, 0x1.6d9322c6a1d44p-5, 0x1.6a8ceb587895bp-5, 0x1.67b0b0dfd97d7p-5, 0x1.64fc836c13dfap-5, 0x1.626e822aeaf66p-5, 0x1.6004db3edadap-5, 0x1.5dbdcbb4c7364p-5, 0x1.5b979f3fe27dcp-5, 0x1.5990b02b12deap-5, 0x1.57a7670b0c762p-5, 0x1.55da3a917b782p-5, 0x1.5427af4568124p-5, 0x1.528e574220285p-5, 0x1.510cd1f1a5b43p-5, 0x1.4fa1cbc907f85p-5, 0x1.4e4bfdf8b93aap-5, 0x1.4d0a2e2331596p-5, 0x1.4bdb2e0c0f4f9p-5, 0x1.4abddb4e44dd3p-5, 0x1.49b11f0ab79f3p-5, 0x1.48b3ed9979bacp-5, 0x1.47c546413d713p-5, 0x1.46e432ea17281p-5, 0x1.460fc7c71d704p-5, 0x1.45472310ee9f2p-5, 0x1.44896cb9aaec1p-5, 0x1.43d5d61f0fb24p-5, 0x1.432b99c341029p-5, 0x1.4289fafc323a3p-5, 0x1.41f045b0772f2p-5, 0x1.415dce1689c1ep-5, 0x1.40d1f0631c252p-5, 0x1.404c10875a6b9p-5, 0x1.3fcb99efba3bbp-5, 0x1.3f4fff3f1e625p-5, 0x1.3ed8ba0da3b5cp-5, 0x1.3e654aadc9993p-5, 0x1.3df537e80c7c5p-5, 0x1.3d880ebe53662p-5, 0x1.3d1d62363f2eep-5, 0x1.3cb4cb1edceffp-5, 0x1.3c4de7d30665dp-5, 0x1.3be85c068b973p-5, 0x1.3b83d09244c4fp-5, 0x1.3b1ff33cf521p-5, 0x1.3abc768b3a20cp-5, 0x1.3a591190e318ep-5, 0x1.39f57fbeb938fp-5, 0x1.399180b46caffp-5, 0x1.392cd815a29ccp-5, 0x1.38c74d5f87fdep-5, 0x1.3860abbe7b258p-5, 0x1.37f8c1e57080dp-5, 0x1.378f61e811c77p-5, 0x1.37246113c1efdp-5, 0x1.36b797c9bf898p-5, 0x1.3648e15d82114p-5, 0x1.35d81bf456bebp-5, 0x1.356528624342dp-5, 0x1.34efea0889d01p-5, 0x1.347846b9b54e4p-5, 0x1.33fe269df67afp-5, 0x1.33817413585bbp-5, 0x1.33021b902d9f6p-5, 0x1.32800b8c4f7dep-5, 0x1.31fb346a65be9p-5, 0x1.3173885c0da9p-5, 0x1.30e8fb4713c0ep-5, 0x1.305b82b0f9a74p-5, 0x1.2fcb15acacd2bp-5, 0x1.2f37acc3f2787p-5, 0x1.2ea141df1cb65p-5, 0x1.2e07d03233256p-5, 0x1.2d6b542eae02cp-5, 0x1.2ccbcb722a3b6p-5, 0x1.2c2934b0f7f51p-5, 0x1.2b838fa39c259p-5, 0x1.2adadcfac1d9p-5, 0x1.2a2f1e53d2989p-5, 0x1.298056288dc0cp-5, 0x1.28ce87bd32fbap-5, 0x1.2819b713dc3bdp-5, 0x1.2761e8e44f905p-5, 0x1.26a7229260968p-5, 0x1.25e96a1fa9e04p-5, 0x1.2528c61d23df6p-5, 0x1.24653da1e178p-5, 0x1.239ed8459a20fp-5, 0x1.22d59e193144p-5, 0x1.2209979aee3d4p-5, 0x1.213acdaab07aap-5, 0x1.206949829a0c2p-5, 0x1.1f9514b31a547p-5, 0x1.1ebe391d6a15ep-5, 0x1.1de4c0ea5ee4p-5, 0x1.1d08b68087f99p-5, 0x1.1c2a24826857dp-5, 0x1.1b4915d605902p-5, 0x1.1a65958506c06p-5, 0x1.197fae000f354p-5, 0x1.18976b4c6f18fp-5, 0x1.17acd95020324p-5, 0x1.16c002aacb14bp-5, 0x1.15d0f359b5fb9p-5, 0x1.14dfb726c736dp-5, 0x1.13ec599aff61p-5, 0x1.12f6e6a2e7f4ap-5, 0x1.11ff6a44a2cebp-5, 0x1.1105f01cbd84p-5, 0x1.100a8406ce44fp-5, 0x1.0f0d3232ad099p-5, 0x1.0e0e068cc0d13p-5, 0x1.0d0d0cb382b72p-5, 0x1.0c0a50a2fd5bfp-5, 0x1.0b05dea6b5712p-5, 0x1.09ffc1522b7bdp-5, 0x1.08f805bb29b8dp-5, 0x1.07eeb71c7576dp-5, 0x1.06e3e12bffe69p-5, 0x1.05d78f47d089ap-5, 0x1.04c9cda7af97ep-5, 0x1.03baa755eaf53p-5, 0x1.02aa27a18fbebp-5, 0x1.019859f679023p-5, 0x1.0085498e5b06ap-5, 0x1.fee202c6a04e8p-6, 0x1.fcb71a1ac6711p-6, 0x1.fa89ed729b0b7p-6, 0x1.f85a935d72bap-6, 0x1.f629210860448p-6, 0x1.f3f5abb39768bp-6, 0x1.f1c0485b0884cp-6, 0x1.ef890b8843878p-6, 0x1.ed500b7ca2247p-6, 0x1.eb1558c56d1aep-6, 0x1.e8d90ad112696p-6, 0x1.e69b344fe459bp-6, 0x1.e45be8e68e18ep-6, 0x1.e21b3bf0327c5p-6, 0x1.dfd94084029a4p-6, 0x1.dd9609528908p-6, 0x1.db51aac572ee4p-6, 0x1.d90c32d1db298p-6, 0x1.d6c5b7c1b10afp-6, 0x1.d47e49eed9e2p-6, 0x1.d235fafd8d1ccp-6, 0x1.cfecdc3ff4632p-6, 0x1.cda2fec07091p-6, 0x1.cb58734464a83p-6, 0x1.c90d4a347cfe4p-6, 0x1.c6c1942a922c5p-6, 0x1.c475608d6dfb7p-6, 0x1.c228bf8ac3d81p-6, 0x1.bfdbc044b7a75p-6, 0x1.bd8e71e22d472p-6, 0x1.bb40e33c080bap-6, 0x1.b8f322e090812p-6, 0x1.b6a53f1607c6cp-6, 0x1.b45745da4f98cp-6, 0x1.b20944e02cbcdp-6, 0x1.afbb49268f54fp-6, 0x1.ad6d6222827cdp-6, 0x1.ab1f9835f253p-6, 0x1.a8d1fca9038ebp-6, 0x1.a684984202283p-6, 0x1.a4377a054fe5ep-6, 0x1.a1eaab3ca5745p-6, 0x1.9f9e3853fdb78p-6, 0x1.9d522d90778c1p-6, 0x1.9b0693d7548bfp-6, 0x1.98bb779cb60a1p-6, 0x1.9670e21ecd6f3p-6, 0x1.9426deb9250c8p-6, 0x1.91dd7694c331ep-6, 0x1.8f94b2e3c3df1p-6, 0x1.8d4c9e799ec18p-6, 0x1.8b05411a7df04p-6, 0x1.88bea457fe55ap-6, 0x1.8678d045f2e55p-6, 0x1.8433ce41d44a5p-6, 0x1.81efa647255aep-6, 0x1.7fac60173b619p-6, 0x1.7d6a030bdb885p-6, 0x1.7b28966a8c509p-6, 0x1.78e822677de54p-6, 0x1.76a8adb882b47p-6, 0x1.746a406350f6ap-6, 0x1.722cdecb0a6fp-6, 0x1.6ff090b52e7e7p-6, 0x1.6db55b93e67d2p-6, 0x1.6b7b460de0f02p-6, 0x1.69425657eb4b3p-6, 0x1.670a91c5bef83p-6, 0x1.64d3fdd2e7b3p-6, 0x1.629e9ffff0852p-6, 0x1.606a7d378dc35p-6, 0x1.5e3799d00c60dp-6, 0x1.5c05faf4b5214p-6, 0x1.59d5a5fad829ap-6, 0x1.57a69f1fa36d4p-6, 0x1.5578ea65e124fp-6, 0x1.534c8d0f3c34cp-6, 0x1.51218971a239p-6, 0x1.4ef7e4d6d0d09p-6, 0x1.4ccfa2373dedap-6, 0x1.4aa8c505686a9p-6, 0x1.48835186952e6p-6, 0x1.465f4b536e7aep-6, 0x1.443cb57b1c9bp-6, 0x1.421b931a9b65fp-6, 0x1.3ffbe750365b8p-6, 0x1.3dddb53032a29p-6, 0x1.3bc0ffbd24731p-6, 0x1.39a5c99cf1164p-6, 0x1.378c151134801p-6, 0x1.3573e4f5b0bb3p-6, 0x1.335d3c612d65bp-6, 0x1.31481dace5f11p-6, 0x1.2f348c0a57b6bp-6, 0x1.2d228808c145dp-6, 0x1.2b121529fc452p-6, 0x1.2903357476f8fp-6, 0x1.26f5eb1c2f43dp-6, 0x1.24ea384b08fb7p-6, 0x1.22e01edeb2ed8p-6, 0x1.20d7a08fd8c0fp-6, 0x1.1ed0bf9d598a7p-6, 0x1.1ccb7e6030b24p-6, 0x1.1ac7deb8afdc3p-6, 0x1.18c5e262528eap-6, 0x1.16c58b277997fp-6, 0x1.14c6dad965b2dp-6, 0x1.12c9d347a1e86p-6, 0x1.10ce763f09c0fp-6, 0x1.0ed4c5898b57ap-6, 0x1.0cdcc2dd84a2bp-6, 0x1.0ae66fcaf6ef1p-6, 0x1.08f1ce80687cfp-6, 0x1.06fedf69ba375p-6, 0x1.050da577fe8d2p-6, 0x1.031e223e16d9dp-6, 0x1.013057416996dp-6, 0x1.fe888c2ed2bcp-7, 0x1.fab3e0c56b1fp-7, 0x1.f6e2af9690a7ap-7, 0x1.f314fbf5164d6p-7, 0x1.ef4ac9369b622p-7, 0x1.eb841ab546e55p-7, 0x1.e7c0f3cb3b9d4p-7, 0x1.e40157b753834p-7, 0x1.e045497f48882p-7, 0x1.dc8ccc3c5b9bbp-7, 0x1.d8d7e390a8de9p-7, 0x1.d526933d8bf6p-7, 0x1.d178dea230d04p-7, 0x1.cdcec8ec8b215p-7, 0x1.ca28554c5802bp-7, 0x1.c6858714eeb7p-7, 0x1.c2e662c4e1eaep-7, 0x1.bf4ae9bc7762fp-7, 0x1.bbb320a2d0002p-7, 0x1.b81f0ad069baep-7, 0x1.b48eaba62a6bcp-7, 0x1.b102069a71203p-7, 0x1.ad791f16983bbp-7, 0x1.a9f3f86375828p-7, 0x1.a67295ca1433bp-7, 0x1.a2f4fae14cb9bp-7, 0x1.9f7b2b7588f51p-7, 0x1.9c052b253d1ecp-7, 0x1.9892fd59afe64p-7, 0x1.9524a575ec048p-7, 0x1.91ba26ea85277p-7, 0x1.8e5385316a571p-7, 0x1.8af0c3c8b6ce1p-7, 0x1.8791e62ee84b1p-7, 0x1.8436efe18be3cp-7, 0x1.80dfe45cb850fp-7, 0x1.7d8cc719ab466p-7, 0x1.7a3d9b886bb54p-7, 0x1.76f26506bd41fp-7, 0x1.73ab279772971p-7, 0x1.7067e5f068b62p-7, 0x1.6d28a30f6246dp-7, 0x1.69ed62f309f9ep-7, 0x1.66b6290ac64fap-7, 0x1.6382f8c152ebep-7, 0x1.6053d55aa6a3ap-7, 0x1.5d28c2091c799p-7, 0x1.5a01c1fe1384ep-7, 0x1.56ded869a9faep-7, 0x1.53c00877b8897p-7, 0x1.50a5554d2d63ep-7, 0x1.4d8ec203cdc52p-7, 0x1.4a7c51ac444b2p-7, 0x1.476e074c1a10dp-7, 0x1.4463e5dd819f4p-7, 0x1.415df04edf4d1p-7, 0x1.3e5c2980d7bcbp-7, 0x1.3b5e9441ee2efp-7, 0x1.3865334884386p-7, 0x1.35700933d7a5cp-7, 0x1.327f189eb80f8p-7, 0x1.2f9264326c901p-7, 0x1.2ca9ee967e8a8p-7, 0x1.29c5ba4aa804ap-7, 0x1.26e5c9a656f58p-7, 0x1.240a1f7b8813ep-7, 0x1.2132bd68f4a38p-7, 0x1.1e5fa57dde72fp-7, 0x1.1b90da312a294p-7, 0x1.18c65d79d2555p-7, 0x1.16003149d8695p-7, 0x1.133e578484544p-7, 0x1.1080d1f70da95p-7, 0x1.0dc7a25e13427p-7, 0x1.0b12ca5ed70dap-7, 0x1.08624b89fbe8fp-7, 0x1.05b6275a044b2p-7, 0x1.030e5f3178432p-7, 0x1.006af457e3c65p-7, 0x1.fb97cfef37b78p-8, 0x1.f6627644b00a5p-8, 0x1.f135ddb2ef903p-8, 0x1.ec12083b49a9fp-8, 0x1.e6f6f7b6e5cp-8, 0x1.e1e4adbbd117fp-8, 0x1.dcdb2b92e33b1p-8, 0x1.d7da7247662a6p-8, 0x1.d2e282b518143p-8, 0x1.cdf35d8c1eab9p-8, 0x1.c90d034eec214p-8, 0x1.c42f744e5cf91p-8, 0x1.bf5ab0a312851p-8, 0x1.ba8eb8258f98cp-8, 0x1.b5cb8ad902caep-8, 0x1.b11128d75ab1cp-8, 0x1.ac5f900816febp-8, 0x1.a7b6c04011356p-8, 0x1.a316b88abdec3p-8, 0x1.9e7f779180f8bp-8, 0x1.99f0fbd63c3b2p-8, 0x1.956b43a74da1p-8, 0x1.90ee4d19da92cp-8, 0x1.8c7a1608c51cdp-8, 0x1.880e9c1b5dd66p-8, 0x1.83abdcd32882bp-8, 0x1.7f51d592b16eep-8, 0x1.7b0083917f5a7p-8, 0x1.76b7e3c8e3727p-8, 0x1.7277f2edded97p-8, 0x1.6e40ad78c3cf8p-8, 0x1.6a120faea5983p-8, 0x1.65ec15a705bc4p-8, 0x1.61cebb4f0690cp-8, 0x1.5db9fc61cfb0dp-8, 0x1.59add4679963bp-8, 0x1.55aa3ebbaf272p-8, 0x1.51af3688ce41ap-8, 0x1.4dbcb6c8785edp-8, 0x1.49d2ba42dd9adp-8, 0x1.45f13b904c65cp-8, 0x1.4218351919decp-8, 0x1.3e47a115ad166p-8, 0x1.3a7f798c315ddp-8, 0x1.36bfb84c526f9p-8, 0x1.3308572561f3bp-8, 0x1.2f59502cc2486p-8, 0x1.2bb29bce7ceb9p-8, 0x1.2814335d43bd4p-8, 0x1.247e101d166bdp-8, 0x1.20f02ae446f45p-8, 0x1.1d6a7c7132451p-8, 0x1.19ecfd642b66dp-8, 0x1.1677a631bd9dp-8, 0x1.130a6f1a45edep-8, 0x1.0fa5502d174eep-8, 0x1.0c484143b9439p-8, 0x1.08f33a400a4c6p-8, 0x1.05a63295bdafp-8, 0x1.026121ca82c73p-8, 0x1.fe47fe6877a13p-9, 0x1.f7dd841041603p-9, 0x1.f182c2b8123dbp-9, 0x1.eb37a84e52827p-9, 0x1.e4fc2285e7e9dp-9, 0x1.ded01ed7004b9p-9, 0x1.d8b38a7f254f8p-9, 0x1.d2a6528147203p-9, 0x1.cca863a3ab3e2p-9, 0x1.c6b9aa8e2fd17p-9, 0x1.c0da133d475edp-9, 0x1.bb098a197f09cp-9, 0x1.b547fad5df416p-9, 0x1.af95510fa7dfep-9, 0x1.a9f1782762d36p-9, 0x1.a45c5b4623508p-9, 0x1.9ed5e562df7b3p-9, 0x1.995e0146b9066p-9, 0x1.93f4999360033p-9, 0x1.8e9999382023cp-9, 0x1.894ceb5ee318cp-9, 0x1.840e79072d42dp-9, 0x1.7ede2c928fa42p-9, 0x1.79bbf0487264bp-9, 0x1.74a7ade47ec44p-9, 0x1.6fa14f0b4f7bp-9, 0x1.6aa8bd1e01c1dp-9, 0x1.65bde18842aadp-9, 0x1.60e0a57ae35cfp-9, 0x1.5c10f2101cafbp-9, 0x1.574eb049d8a13p-9, 0x1.5299c91770c33p-9, 0x1.4df2255abb539p-9, 0x1.4957adec0e0e8p-9, 0x1.44ca4b9c7121ap-9, 0x1.4049e73573d33p-9, 0x1.3bd66976a24dp-9, 0x1.376fbb10b940fp-9, 0x1.3315c49f77757p-9, 0x1.2ec86ea2bfadap-9, 0x1.2a87a17850503p-9, 0x1.265345576d442p-9, 0x1.222b424edb276p-9, 0x1.1e0f80469a58fp-9, 0x1.19ffe70592427p-9, 0x1.15fc5e3bbd8c6p-9, 0x1.1204cd90fbd6dp-9, 0x1.0e191cb6aa73p-9, 0x1.0a39337891f9fp-9, 0x1.0664f9c806d37p-9, 0x1.029c57bf50183p-9, 0x1.fdbe6b3e2f775p-10, 0x1.f65af79386b06p-10, 0x1.ef0e2576dbf5cp-10, 0x1.e7d7c5f8a6b81p-10, 0x1.e0b7aa5a37c6ep-10, 0x1.d9ada4e5ae608p-10, 0x1.d2b9862fa2fd2p-10, 0x1.cbdb1d91d1c7fp-10, 0x1.c5123c2416d4fp-10, 0x1.be5eb1f4544bcp-10, 0x1.b7c04e7314224p-10, 0x1.b136e0c4f2c4ep-10, 0x1.aac237e5352abp-10, 0x1.a46222cfa405bp-10, 0x1.9e1670af7fde4p-10, 0x1.97def10d7c5bep-10, 0x1.91bb73f5f9773p-10, 0x1.8babca13ef1c4p-10, 0x1.85afc4bca7f0fp-10, 0x1.7fc735ed05057p-10, 0x1.79f1f037d0d6dp-10, 0x1.742fc6a99e0cfp-10, 0x1.6e808ca42ffe6p-10, 0x1.68e415b60c49fp-10, 0x1.635a35716ed11p-10, 0x1.5de2bf4662b63p-10, 0x1.587d86633f4a4p-10, 0x1.532a5d9fe14c1p-10, 0x1.4de91774dcdbap-10, 0x1.48b9860047948p-10, 0x1.439b7b1728bf9p-10, 0x1.3e8ec86130becp-10, 0x1.39933f805cc97p-10, 0x1.34a8b2438f46bp-10, 0x1.2fcef2df3b058p-10, 0x1.2b05d42278d9dp-10, 0x1.264d299c39587p-10, 0x1.21a4c7a831dc3p-10, 0x1.1d0c83613fdd3p-10, 0x1.1884327cf9fcp-10, 0x1.140bab1994a13p-10, 0x1.0fa2c389a00bfp-10, 0x1.0b4952282cd8ep-10, 0x1.06ff2d70fb549p-10, 0x1.02c42caff142bp-10, 0x1.fd304c7cadd84p-11, 0x1.f4f5dfcfed6bfp-11, 0x1.ecd8c26fe274ep-11, 0x1.e4d8a3736e41ap-11, 0x1.dcf5320bb553ep-11, 0x1.d52e1dae1baa6p-11, 0x1.cd8315dda2607p-11, 0x1.c5f3c9fe83f85p-11, 0x1.be7fe954bd351p-11, 0x1.b727233585ad1p-11, 0x1.afe92765f681ap-11, 0x1.a8c5a68ac81c2p-11, 0x1.a1bc5287668f1p-11, 0x1.9accdea5af71cp-11, 0x1.93f6ff71764f5p-11, 0x1.8d3a6a48ed31ap-11, 0x1.8696d4bd57dbfp-11, 0x1.800bf3f331628p-11, 0x1.79997c3c56678p-11, 0x1.733f210ec1827p-11, 0x1.6cfc9564817c7p-11, 0x1.66d18c792ff4bp-11, 0x1.60bdbaaf631fbp-11, 0x1.5ac0d6671ffbdp-11, 0x1.54da988a38c33p-11, 0x1.4f0abcaa589eap-11, 0x1.495100aa3468bp-11, 0x1.43ad2404ed01p-11, 0x1.3e1ee6803fb82p-11, 0x1.38a609f54a729p-11, 0x1.33424db2753c7p-11, 0x1.2df36eef9e085p-11, 0x1.28b9310cccc44p-11, 0x1.23934fe4318fbp-11, 0x1.1e818acd42777p-11, 0x1.1983a1b9c95c4p-11, 0x1.149955621b4bbp-11, 0x1.0fc2659ae271p-11, 0x1.0afe9352d6ba7p-11, 0x1.064d9e3acfdeep-11, 0x1.01af464fd9264p-11, 0x1.fa469462b19bp-12, 0x1.f152cab903a75p-12, 0x1.e882aa49ebf36p-12, 0x1.dfd5afb3e7ebfp-12, 0x1.d74b5a125f907p-12, 0x1.cee32d27c447dp-12, 0x1.c69cb22b1fa3p-12, 0x1.be777767ade3bp-12, 0x1.b6730f17bd34fp-12, 0x1.ae8f0df1f142ap-12, 0x1.a6cb0a149d6b5p-12, 0x1.9f269abd5854bp-12, 0x1.97a158cfd9dddp-12, 0x1.903adfc0987a5p-12, 0x1.88f2ce343aab9p-12, 0x1.81c8c5b8ef325p-12, 0x1.7abc696afb6a3p-12, 0x1.73cd5bbc801e6p-12, 0x1.6cfb3c5f9bb37p-12, 0x1.6645a6e09f7e9p-12, 0x1.5fac32ca7e468p-12, 0x1.592e7533fd2f7p-12, 0x1.52cc032a6cae5p-12, 0x1.4c8473fc2c4b4p-12, 0x1.4657628ce63f7p-12, 0x1.40446d6429e57p-12, 0x1.3a4b35ace43b7p-12, 0x1.346b5dcb9f782p-12, 0x1.2ea4884789dcp-12, 0x1.28f6575bf77bdp-12, 0x1.23606d0535605p-12, 0x1.1de26b103d707p-12, 0x1.187bf2c68af7bp-12, 0x1.132ca44e6ea15p-12, 0x1.0df41e5f88108p-12, 0x1.08d1ff2da97d8p-12, 0x1.03c5e6f93caa6p-12, 0x1.fd9ef78ebb81cp-13, 0x1.f3dcd981edda7p-13, 0x1.ea44e6d9e803dp-13, 0x1.e0d6a33ebf334p-13, 0x1.d791991f1dbd2p-13, 0x1.ce754f9bf784p-13, 0x1.c581404132c1dp-13, 0x1.bcb4c9a037d14p-13, 0x1.b40f3e7118fbfp-13, 0x1.ab8fef6c3f26bp-13, 0x1.a33632b3b5a26p-13, 0x1.9b016d7788093p-13, 0x1.92f117d1d4b86p-13, 0x1.8b04ba6cafb6p-13, 0x1.833be801ea2adp-13, 0x1.7b963533f2069p-13, 0x1.7413311ec74f1p-13, 0x1.6cb2606591b2dp-13, 0x1.65733bdc59996p-13, 0x1.5e5532d2818a8p-13, 0x1.5757afa3522e5p-13, 0x1.507a1c20dc196p-13, 0x1.49bbe3b5dfe65p-13, 0x1.431c72efb925fp-13, 0x1.3c9b3672f975ep-13, 0x1.36379c4c4c6efp-13, 0x1.2ff118f65c75fp-13, 0x1.29c72e0baf835p-13, 0x1.23b96e069f903p-13, 0x1.1dc77938f8d3cp-13, 0x1.17f0f43608d99p-13, 0x1.12357c56d213fp-13, 0x1.0c94a06b4bfa2p-13, 0x1.070de18f0c582p-13, 0x1.01a0ba81be149p-13, 0x1.f899554357bd1p-14, 0x1.ee227b4ad2ac3p-14, 0x1.e3dc1bfd9dbb5p-14, 0x1.d9c584ca884e5p-14, 0x1.cfde13cca789cp-14, 0x1.c625322a129eap-14, 0x1.bc9a50a1626bp-14, 0x1.b33ce2ca796c4p-14, 0x1.aa0c56d7f017bp-14, 0x1.a1080b841181bp-14, 0x1.982f48a3c6bccp-14, 0x1.8f813ee077ae8p-14, 0x1.86fd103182f78p-14, 0x1.7ea1de538a0f9p-14, 0x1.766ed9fa6c80bp-14, 0x1.6e634f1dfe6p-14, 0x1.667ea07a9232ep-14, 0x1.5ec02f8bf87e9p-14, 0x1.5727612056552p-14, 0x1.4fb395413fd14p-14, 0x1.4864242765293p-14, 0x1.41386632e1855p-14, 0x1.3a2fb707cf9cap-14, 0x1.334970095fd2fp-14, 0x1.2c84e1c4261p-14, 0x1.25e1571a75ba9p-14, 0x1.1f5e235f86b76p-14, 0x1.18faafedecf9fp-14, 0x1.12b67bfef366cp-14, 0x1.0c910e45ada77p-14, 0x1.0689e82e6f127p-14, 0x1.00a084177b62fp-14, 0x1.f5a8a30a65612p-15, 0x1.ea49754ef89aep-15, 0x1.df227cb1f9b3dp-15, 0x1.d432e6a13d559p-15, 0x1.c979df0dbea29p-15, 0x1.bef68b921002ap-15, 0x1.b4a82101a877ep-15, 0x1.aa8dd2dbd622cp-15, 0x1.a0a6bad56cb15p-15, 0x1.96f1d3f44b6a9p-15, 0x1.8d6e083d22efep-15, 0x1.841a4acfcac1p-15, 0x1.7af5b35259edbp-15, 0x1.71ff8c18a28b3p-15, 0x1.693747e36181fp-15, 0x1.609c5f362341dp-15, 0x1.582e25402d078p-15, 0x1.4febb06c70c33p-15, 0x1.47d3e9de8195bp-15, 0x1.3fe5b5cf6606dp-15, 0x1.38200e83e74bfp-15, 0x1.308202d6ce868p-15, 0x1.290ab5cfb7b99p-15, 0x1.21b977385cee2p-15, 0x1.1a8dd5bbfa739p-15, 0x1.13877e9b11064p-15, 0x1.0ca6020b54a2p-15, 0x1.05e8b6870c203p-15, 0x1.fe9d990d0a443p-16, 0x1.f1aef8541e57ep-16, 0x1.e50435fd4c089p-16, 0x1.d89bf550b59a5p-16, 0x1.cc74daad5dd1ep-16, 0x1.c08d90095711bp-16, 0x1.b4e4bdc683314p-16, 0x1.a9791a8bf07c8p-16, 0x1.9e4976880b5cbp-16, 0x1.9354ba0bf0676p-16, 0x1.8899e65bc6d77p-16, 0x1.7e17fe478ea94p-16, 0x1.73cdfc71f6677p-16, 0x1.69bad06131f2bp-16, 0x1.5fdd61c4a5e86p-16, 0x1.5634a7e7c8a23p-16, 0x1.4cbfbb039b49bp-16, 0x1.437dd666b91fep-16, 0x1.3a6e42d23a05ep-16, 0x1.31902d2bd8ff2p-16, 0x1.28e2815d61419p-16, 0x1.2063ee80d25d5p-16, 0x1.18131dd6adf4bp-16, 0x1.0feeeaecea1b3p-16, 0x1.07f6675f5ae37p-16, 0x1.0028c1507790dp-16, 0x1.f10a8c58e6633p-17, 0x1.e216db69a9192p-17, 0x1.d375620cceee3p-17, 0x1.c52494180e16ap-17, 0x1.b72271af0c78fp-17, 0x1.a96d12001dfb5p-17, 0x1.9c0324f77bd5dp-17, 0x1.8ee3730630dd1p-17, 0x1.820c5225399abp-17, 0x1.757c4ad228f56p-17, 0x1.6931db00148e1p-17, 0x1.5d2b96be7cb5ap-17, 0x1.51682678261f3p-17, 0x1.45e641782d47fp-17, 0x1.3aa4aa842f066p-17, 0x1.2fa22d240da69p-17, 0x1.24dd97a0632bdp-17, 0x1.1a55acecf167p-17, 0x1.1008b3f49c21cp-17, 0x1.05f3e9b62427cp-17, 0x1.f83d309c4081ep-18, 0x1.e4f8a1e29838cp-18, 0x1.d21aeacf1d2f5p-18, 0x1.bfb0bcfebff8p-18, 0x1.adabf3369b2ddp-18, 0x1.9c0d4fc7f909dp-18, 0x1.8ad33b737c7d8p-18, 0x1.79fbe3687c048p-18, 0x1.6984ef82ace0ep-18, 0x1.596bfaa13f7a3p-18, 0x1.49af13ab4b349p-18, 0x1.3a4ccdd4730ap-18, 0x1.2b439e0da4f4fp-18, 0x1.1c916ab548e65p-18, 0x1.0e341d8b2385dp-18, 0x1.0029f16e0336p-18, 0x1.e4e20b60b98b1p-19, 0x1.ca0f2679bb022p-19, 0x1.afd868fb099abp-19, 0x1.963ae91adb034p-19, 0x1.7d33465a8e6b7p-19, 0x1.64be25fa514dcp-19, 0x1.4cd86769ebc32p-19, 0x1.357f1237f9ec2p-19, 0x1.1eaf449a3c9dep-19, 0x1.08662da60377dp-19, 0x1.e5421805ed117p-20, 0x1.baba5b1cbd121p-20, 0x1.912fdd07a2bebp-20, 0x1.689d6d8e2ccfbp-20, 0x1.40fde8e74d2aap-20, 0x1.1a4c2933bbda4p-20, 0x1.e905f8f31bbefp-21, 0x1.9f3a5003d3015p-21, 0x1.572af47d94f37p-21, 0x1.10cdc90fbeca4p-21, 0x1.983250436dc8fp-22, 0x1.1208094cae25cp-22, 0x1.1e17b3874275p-23, 0x1.e5b9a55156195p-27, -0x1.b6870fd31c8b2p-24, -0x1.cee61231f0abp-23, -0x1.5e56f515be9dbp-22, -0x1.d25e37300ccd1p-22, -0x1.21cc2b5e2dca2p-21, -0x1.590a40d9d6fc2p-21, -0x1.8ef14a8e87ce2p-21, -0x1.c3896f1404d91p-21, -0x1.f6da1f537231ep-21, -0x1.1474b391494ccp-20, -0x1.2cdd9dc9a6493p-20, -0x1.44aaa69c59f5ep-20, -0x1.5beffb6532261p-20, -0x1.729122e042939p-20, -0x1.889ef8ea90babp-20, -0x1.9e2aa7702e62p-20, -0x1.b32ddc784333ep-20, -0x1.c7a754f5df2e9p-20, -0x1.db9daba552b98p-20, -0x1.eefd6a09b66f5p-20, -0x1.01025477d3602p-19, -0x1.0a3fb54ea4cfap-19, -0x1.1340f858f199ep-19, -0x1.1c06d7c7ce63dp-19, -0x1.249292e89acfcp-19, -0x1.2ce5824f7533p-19, -0x1.350101ba93f2dp-19, -0x1.3ce67b9e58221p-19, -0x1.4497692b3da21p-19, -0x1.4c14e9929a751p-19, -0x1.535fd6d7d2f92p-19, -0x1.5a799e6b8d56fp-19, -0x1.616353c77d50ep-19, -0x1.681dbdb8c035fp-19, -0x1.6ea9af0d9791ap-19, -0x1.75080ac30af1bp-19, -0x1.7b39c7ebd71d6p-19, -0x1.813fff761ff08p-19, -0x1.871be643a023dp-19, -0x1.8ccea3fe45199p-19, -0x1.92593c5801a5cp-19, -0x1.97bc90c47bf33p-19, -0x1.9cf95a2bf81f9p-19, -0x1.a21074a5c4f0bp-19, -0x1.a702aef583d45p-19, -0x1.abcffe05d2443p-19, -0x1.b0790b69d5e6bp-19, -0x1.b4ff4c9e82451p-19, -0x1.b964233af382cp-19, -0x1.bda7c6be85a02p-19, -0x1.c1cacf8374eedp-19, -0x1.c5ce2f9ecae2cp-19, -0x1.c9b2a2cecc4fcp-19, -0x1.cd78c0afdaf86p-19, -0x1.d1212479e2c6ep-19, -0x1.d4ac7d3443dedp-19, -0x1.d81b81698e7e9p-19, -0x1.db6ea0d61dde8p-19, -0x1.dea628a8c5348p-19, -0x1.e1c317be0034ep-19, -0x1.e4c60cf2f855cp-19, -0x1.e7af93fde1149p-19, -0x1.ea80277c52822p-19, -0x1.ed385a3ef069bp-19, -0x1.efd8c3cfd03bfp-19, -0x1.f262005343502p-19, -0x1.f4d4a65073e73p-19, -0x1.f7313a9b0173cp-19, -0x1.f9782ce78a76p-19, -0x1.fba9e05f0e969p-19, -0x1.fdc6b789acd4ap-19, -0x1.ffcf198a3a4b9p-19, -0x1.00e1b79910e16p-18, -0x1.01d20f04679cep-18, -0x1.02b8c59cda92fp-18, -0x1.039616966eea4p-18, -0x1.046a4f7e6b7e3p-18, -0x1.0535bc58581ap-18, -0x1.05f898dc63d09p-18, -0x1.06b2f80ab7523p-18, -0x1.0764e21ecb68bp-18, -0x1.080e786bb030fp-18, -0x1.08b027f111532p-18, -0x1.094a030b06db1p-18, -0x1.09dbf54cbdbc6p-18, -0x1.0a669a7e8b2c1p-18, -0x1.0ae9f74f80c4cp-18, -0x1.0b66157372a87p-18, -0x1.0bdb29540bcd4p-18, -0x1.0c495f6b1c36dp-18, -0x1.0cb0f21826b6fp-18, -0x1.0d110cd76d3c4p-18, -0x1.0d6ccdb801297p-18, -0x1.0dc128bd7f619p-18, -0x1.0e0f346e4f2bfp-18, -0x1.0e5721cb2539cp-18, -0x1.0e9936162dd22p-18, -0x1.0ed5873cf8129p-18, -0x1.0f0c1c186c697p-18, -0x1.0f3d769678387p-18, -0x1.0f67231541f34p-18, -0x1.0f90e60eeb2a8p-18, -0x1.0fb0279e77528p-18, -0x1.0fcc4580654fbp-18, -0x1.0fe360b8e3331p-18, -0x1.0ff572a584996p-18, -0x1.1002c43fe8054p-18, -0x1.100b76995e5d1p-18, -0x1.100f96c274639p-18, -0x1.100f369c25e1bp-18, -0x1.100a6ccfe1849p-18, -0x1.100153431e1f5p-18, -0x1.0ff4019a08b7dp-18, -0x1.0fe289a67c233p-18, -0x1.0fccfde395763p-18, -0x1.0fb37b5551b8cp-18, -0x1.0f9632150489ep-18, -0x1.0f7517b2cb862p-18, -0x1.0f5010ca45dbp-18, -0x1.0f1d6348f504dp-18, -0x1.0efe3082fa53bp-18, -0x1.0ecdb00f3724cp-18, -0x1.0e9bf8f4e6ba9p-18, -0x1.0e626e9572598p-18, -0x1.0e2a06a6eeaecp-18, -0x1.0ded7a6d5e6f5p-18, -0x1.0dadb315e00a9p-18, -0x1.0d6a0c801dbf9p-18, -0x1.0d23cd622a193p-18, -0x1.0cdb131f77289p-18, -0x1.0c8f6046da70fp-18, -0x1.0c40bc55498fbp-18, -0x1.0bef44a8c8735p-18, -0x1.0b9b0fce6335ap-18, -0x1.0b442f2e3e6ecp-18, -0x1.0aeab12a671b7p-18, -0x1.0a8ea22afc2bep-18, -0x1.0a300e1aeb135p-18, -0x1.09cf01a634be5p-18, -0x1.096b8b153b5fep-18, -0x1.0905b8ae00233p-18, -0x1.089d98aa99dbep-18, -0x1.08333860a885bp-18, -0x1.07c6a9d3ad0dfp-18, -0x1.0757ea9e0da5ep-18, -0x1.06e6fdb3b799cp-18, -0x1.0673fb5f71188p-18, -0x1.05fefe2afa61ap-18, -0x1.0587f778be93ep-18, -0x1.050f03442dccdp-18, -0x1.04941c8cdfd17p-18, -0x1.04172cb6756d6p-18, -0x1.0398613736449p-18, -0x1.0317faddf476ep-18, -0x1.02954f38bec3ap-18, -0x1.02115df22893ep-18, -0x1.018b8da9de741p-18, -0x1.01040fdf20bcbp-18, -0x1.007af1e6e91a6p-18, -0x1.ffe07a7fc6ed6p-19, -0x1.fec7ed36c457cp-19, -0x1.fdac490d14b1ep-19, -0x1.fc8d9f71359efp-19, -0x1.fb6bfd09836f3p-19, -0x1.fa476987db1e7p-19, -0x1.f920136c0e021p-19, -0x1.f7f603ebe9be6p-19, -0x1.f6c9309b5d09fp-19, -0x1.f599b20fa0286p-19, -0x1.f46799ab62ee1p-19, -0x1.f332f58abf2a8p-19, -0x1.f1fbd298087eap-19, -0x1.f0c23e11c9998p-19, -0x1.ef8644f80cebbp-19, -0x1.ee47f43d00346p-19, -0x1.ed0758f1a585ep-19, -0x1.ebc4801005e4fp-19, -0x1.ea7f759f568ap-19, -0x1.e93844cb0ec16p-19, -0x1.e7eef992b8569p-19, -0x1.e6a3a0ee8274ap-19, -0x1.e5564706213bcp-19, -0x1.e406f6de88c2dp-19, -0x1.e2b5bb2c55024p-19, -0x1.e1629e80c8aa8p-19, -0x1.e00daaf648362p-19, -0x1.deb6ea99a6f2bp-19, -0x1.dd5e72994a823p-19, -0x1.dc0483539a145p-19, -0x1.daa8a4d5af3c7p-19, -0x1.d94aedb3fbc0ep-19, -0x1.d7ebddca505ap-19, -0x1.d68b4a7d58dfdp-19, -0x1.d5293945f633dp-19, -0x1.d3c5c780c56bbp-19, -0x1.d260d0f2ec3ep-19, -0x1.d0fa45ee0669ep-19, -0x1.cf92932caaedcp-19, -0x1.ce29016836639p-19, -0x1.ccbe76ce05c86p-19, -0x1.cb52a232402edp-19, -0x1.c9e58b75cdfdcp-19, -0x1.c8773474a2422p-19, -0x1.c70760cee6f76p-19, -0x1.c59726777ad68p-19, -0x1.c42ad32db0ab7p-19, -0x1.c2b1f7f2ba28p-19, -0x1.c13ed37704e7ap-19, -0x1.bfca1e826a1a7p-19, -0x1.be545f213762dp-19, -0x1.bcdda5afa32a4p-19, -0x1.bb65feb0ff72bp-19, -0x1.b9ed731f63de1p-19, -0x1.b8740b5e26022p-19, -0x1.b6f9ce7473b4bp-19, -0x1.b57e72bd917c6p-19, -0x1.b402e8e4d7f22p-19, -0x1.b28549c3bd84fp-19, -0x1.b1083dcf1127fp-19, -0x1.af942dc322ab2p-19, -0x1.ae1dd1a0b88ep-19, -0x1.ac8c7d6a472f8p-19, -0x1.ab0beef213e87p-19, -0x1.a98be75a6a447p-19, -0x1.a80b196a0a4dbp-19, -0x1.a689848089875p-19, -0x1.a507544ffb996p-19, -0x1.a3849d9c45dc3p-19, -0x1.a2016339043ebp-19, -0x1.a07d8caa9563ap-19, -0x1.9efd1171cf546p-19, -0x1.9d796ad4277a5p-19, -0x1.9bf0175ab8b1dp-19, -0x1.9a6b75dd29de7p-19, -0x1.98e60a52b2e5ap-19, -0x1.975fb80d1615dp-19, -0x1.95d9a3d5ab514p-19, -0x1.9453542f9f472p-19, -0x1.92ccc6d09020ep-19, -0x1.9145c12aaf03fp-19, -0x1.8fbe88050d653p-19, -0x1.8e372d2f23572p-19, -0x1.8cafaa5422337p-19, -0x1.8b27ff665d219p-19, -0x1.899f8f4018addp-19, -0x1.88183f048f672p-19, -0x1.8690312437bb1p-19, -0x1.850817895e3e8p-19, -0x1.838035dff4429p-19, -0x1.81f7c57bbb111p-19, -0x1.806f7204c183ep-19, -0x1.7ee7412d5a002p-19, -0x1.7d5f12c8eb078p-19, -0x1.7bd6ec8ffc4c8p-19, -0x1.7a4ed4ef65064p-19, -0x1.78c6d0772a47ep-19, -0x1.773ee3fb2141fp-19, -0x1.75b713e086dap-19, -0x1.742f64705d729p-19, -0x1.72a7d9e3361d3p-19, -0x1.71207865582c3p-19, -0x1.6f99441964cfbp-19, -0x1.6e1241166ed21p-19, -0x1.6c8b7362e17dp-19, -0x1.6b04de0fbe86dp-19, -0x1.697e873cb5e04p-19, -0x1.67f8720d0e132p-19, -0x1.6672a1bd9ff31p-19, -0x1.64ed196f37ee8p-19, -0x1.6367db1111e1cp-19, -0x1.61e2dcbdb4b99p-19, -0x1.605da265f7a8p-19, -0x1.5ed9a8829b311p-19, -0x1.5d552747accc4p-19, -0x1.5bd299bdb7983p-19, -0x1.5a4fa1c634e1fp-19, -0x1.58ccf45dfb86cp-19, -0x1.574ab2c0865d7p-19, -0x1.55c8e6c99d62cp-19, -0x1.5447a66e95a58p-19, -0x1.52c69ae7ed53ap-19, -0x1.514601630782cp-19, -0x1.4fc5f6e36064p-19, -0x1.4e46bf8457717p-19, -0x1.4cc78a4463921p-19, -0x1.4b4900168e555p-19, -0x1.49cb018250a6ep-19, -0x1.484d8d2e17669p-19, -0x1.46d0a52ee491ap-19, -0x1.45544bde61dbap-19, -0x1.43d88441020fp-19, -0x1.425d209fde8c6p-19, -0x1.40e2b7baca7c6p-19, -0x1.3f68b97cc46fp-19, -0x1.3def59023e672p-19, -0x1.3c76937001c08p-19, -0x1.3afe38e191394p-19, -0x1.3993187ee9187p-19, -0x1.38124907524c9p-19, -0x1.369a0dbadaef9p-19, -0x1.3524d6ce65b6bp-19, -0x1.33b0161e10146p-19, -0x1.323bd21b55559p-19, -0x1.30c940f589b4dp-19, -0x1.2f571ccada67p-19, -0x1.2de542fd590cap-19, -0x1.2c73030c5c16p-19, -0x1.2b030241babbdp-19, -0x1.2993cd2dbfcf2p-19, -0x1.282525bbd1d07p-19, -0x1.26b7332ede815p-19, -0x1.254a05c20f009p-19, -0x1.23dda3723cd27p-19, -0x1.22720915cd924p-19, -0x1.21074dded2b36p-19, -0x1.1f9d610b06de3p-19, -0x1.1e344b17f88b2p-19, -0x1.1ccc185a0311dp-19, -0x1.1b64dba4c06bp-19, -0x1.19fe44af329f8p-19, -0x1.18988121d1c56p-19, -0x1.173393c26498ap-19, -0x1.15d3a95a10368p-19, -0x1.146d45678b11fp-19, -0x1.130a904e91259p-19, -0x1.11a965c2c901ap-19, -0x1.1048fb5bd62p-19, -0x1.0ee8f513c7d71p-19, -0x1.0d8e4897d5c77p-19, -0x1.0c2d646515f37p-19, -0x1.0ad0f79e6b5d7p-19, -0x1.0975426ddeefep-19, -0x1.081a81dbd7f5dp-19, -0x1.06c0ad0b5d97bp-19, -0x1.0567cc362abaep-19, -0x1.040fe1b1e00e8p-19, -0x1.02b8ef0f23c66p-19, -0x1.0162f426aa11ap-19, -0x1.000df481ddbc6p-19, -0x1.fd7487573626ap-20, -0x1.facde5a1592f6p-20, -0x1.f829fcff8db33p-20, -0x1.f5880fb131f94p-20, -0x1.f2e8204498d19p-20, -0x1.f04a350ac901dp-20, -0x1.edaf28fc5a4b3p-20, -0x1.eb13bf9dbe10ep-20, -0x1.e87cb0e15bac1p-20, -0x1.e5e70a63cdedbp-20, -0x1.e3536d1629dbp-20, -0x1.e0c1e2c28ffd3p-20, -0x1.de326f1949fep-20, -0x1.dba5134b9b30ep-20, -0x1.d919d399a3415p-20, -0x1.d690eb1818cd7p-20, -0x1.d40a06d2c39aep-20, -0x1.d185043f22fe3p-20, -0x1.cf0265543936dp-20, -0x1.cc817e4016667p-20, -0x1.ca027df7a592bp-20, -0x1.c76c8b75190c2p-20, -0x1.c50bb71db1e41p-20, -0x1.c294bdc8b54d6p-20, -0x1.c01f1c1eee8f1p-20, -0x1.bdab98f500ecep-20, -0x1.bb3a4c82e727ap-20, -0x1.b8ca2e4c9263p-20, -0x1.b65cb0be14267p-20, -0x1.b3f34b4dba74dp-20, -0x1.b18abaedde82bp-20, -0x1.af2446501b721p-20, -0x1.acbfee39ecde9p-20, -0x1.aa5dd429f971fp-20, -0x1.a7fbe20dd7a6dp-20, -0x1.a5a0570837917p-20, -0x1.a34580b20cd9fp-20, -0x1.a0ec6fbe05be1p-20, -0x1.9e9566ab3fdc2p-20, -0x1.9c405e06ff4c3p-20, -0x1.99eed3088ca4fp-20, -0x1.97a0df41341p-20, -0x1.9550e670f966ep-20, -0x1.93045e14c39ddp-20, -0x1.90bbd7fb9bf74p-20, -0x1.8e751c7f97161p-20, -0x1.8c306d4adfdb1p-20, -0x1.89edf4e0eed44p-20, -0x1.87ada43cbed35p-20, -0x1.857027b0a8f6ap-20, -0x1.833472e8a9c93p-20, -0x1.80faf9c264fa2p-20, -0x1.7ec3dd8d071a1p-20, -0x1.7c8f0ac252fb1p-20, -0x1.7a5c441e50344p-20, -0x1.782742e3f6509p-20, -0x1.75fe23324f554p-20, -0x1.73d2e0d2718a7p-20, -0x1.71a98b90a09e8p-20, -0x1.6f82539bbd34fp-20, -0x1.6d5dc0f63a887p-20, -0x1.6b3b44280fa98p-20, -0x1.691b2177fd969p-20, -0x1.66fd6eda9f2bfp-20, -0x1.64e1d7f18751ep-20, -0x1.62c888252d2ffp-20, -0x1.60b17167fedd5p-20, -0x1.5e9caab950fd2p-20, -0x1.5c8a2ef043c0dp-20, -0x1.5a79a4f2c4103p-20, -0x1.5871a32c8b926p-20, -0x1.565fca0f837e1p-20, -0x1.545f3a7dc0fb4p-20, -0x1.524fe7082a556p-20, -0x1.504b3472d5107p-20, -0x1.4e48b01802de7p-20, -0x1.4c4875f156fbap-20, -0x1.4a4a7e748442fp-20, -0x1.484ec69cf67abp-20, -0x1.46556ec8ec5cp-20, -0x1.445c11426b872p-20, -0x1.4269802bec107p-20, -0x1.4076daae198eap-20, -0x1.3e8685d5ea63dp-20, -0x1.3c985e277f108p-20, -0x1.3aacb1a1a4215p-20, -0x1.38c32e3e4d9cdp-20, -0x1.36dbecc3fdecep-20, -0x1.34f6ec3df0f01p-20, -0x1.3314256f5d96fp-20, -0x1.3132ae4284704p-20, -0x1.2f5562705bc14p-20, -0x1.2d92d69a7809ep-20, -0x1.2b9fa64e6743ap-20, -0x1.29c826917b142p-20, -0x1.27f2db842ccb2p-20, -0x1.261faa78f19aep-20, -0x1.244b7a26e10c2p-20, -0x1.2280500bc865p-20, -0x1.20b408902e382p-20, -0x1.1ee9e45b352d5p-20, -0x1.1d21f4a9c8b2dp-20, -0x1.1b5c391a8f3b5p-20, -0x1.199783031a301p-20, -0x1.17d75798a12f8p-20, -0x1.161824b77d836p-20, -0x1.145ae34163204p-20, -0x1.12a00f285645dp-20, -0x1.10e89c6df0022p-20, -0x1.0f32399906935p-20, -0x1.0d7c29dc8d2a4p-20, -0x1.0bcada89eb72p-20, -0x1.0a1c955df6d0bp-20, -0x1.086cdfcbd58e5p-20, -0x1.06c1629c4f8c5p-20, -0x1.0517cba0a16f5p-20, -0x1.03707a33f7a92p-20, -0x1.01cb4498911d7p-20, -0x1.0028388a031ep-20, -0x1.fd0e9d5de5a35p-21, -0x1.f9d10d153e48cp-21, -0x1.f697bd04a3d25p-21, -0x1.f362a9e185a01p-21, -0x1.f031d084ab327p-21, -0x1.ed052fc5372e1p-21, -0x1.e9dcd53cbb74p-21, -0x1.e6bbe0759fc03p-21, -0x1.e39942a8879a6p-21, -0x1.e07c9dfdcca9fp-21, -0x1.dd64d9df614bbp-21, -0x1.da510fe537a32p-21, -0x1.d7424b09f9345p-21, -0x1.d436ba3f7941fp-21, -0x1.d12fa0d865b74p-21, -0x1.ce2c66b470bffp-21, -0x1.cb2d6fac7e0f4p-21, -0x1.c83284bad53f6p-21, -0x1.c53bde97ae0aap-21, -0x1.c248c3c0060edp-21, -0x1.bf59e6fb91932p-21, -0x1.bc6efeaf4617p-21, -0x1.b98b7f6b2da36p-21, -0x1.b6a4f5ac00285p-21, -0x1.b3c65f50d13e9p-21, -0x1.b0eb7b6d3d576p-21, -0x1.ae148cce7bcd2p-21, -0x1.ab4196064994fp-21, -0x1.a87294d395161p-21, -0x1.a5a785e8a157p-21, -0x1.a2e0657319bfp-21, -0x1.a01d11b086b81p-21, -0x1.9d5e2c77102b8p-21, -0x1.9aa2913f9f6b9p-21, -0x1.97eae8939dc14p-21, -0x1.9537669af376ep-21, -0x1.92875134c2e2p-21, -0x1.8fd63e63e24p-21, -0x1.8d32e2f15b119p-21, -0x1.8a8eb0880f359p-21, -0x1.87ee19ed30307p-21, -0x1.855148f2684cbp-21, -0x1.82b83c7dc90a4p-21, -0x1.8020e6a47398cp-21, -0x1.7d91045c1e1cdp-21, -0x1.7b0394712a37ap-21, -0x1.787968645265p-21, -0x1.75f2cc20168efp-21, -0x1.736f01bfe4e78p-21, -0x1.70f26148bae66p-21, -0x1.6e76b83fd61c7p-21, -0x1.6bfc60ff9ea1fp-21, -0x1.69885762989f6p-21, -0x1.67186ba4b1459p-21, -0x1.64ab1cf69f928p-21, -0x1.62419c138d679p-21, }}, 
      std::vector<double>(1350, 0.0), 
      {{0x1.06e37db09eb4cp-4, 0x1.f43a61b41cef4p-4, 0x1.5d513eaad30dbp-3, 0x1.aac9bfc2cae79p-3, 0x1.e2ea40b890c61p-3, 0x1.03c8cf1d9f258p-2, 0x1.0dac322d12114p-2, 0x1.108bd2fedcb36p-2, 0x1.0dd009e9b4d29p-2, 0x1.06c83170f2da8p-2, 0x1.f93fb54c3620dp-3, 0x1.e0b49d20b398p-3, 0x1.c5a3f3a527019p-3, 0x1.a9746a928139bp-3, 0x1.8d44cf2a77d73p-3, 0x1.71f3ac1f1ac91p-3, 0x1.58276d3e7092p-3, 0x1.405674b2a080cp-3, 0x1.2acecb613da46p-3, 0x1.17bd398e121fdp-3, 0x1.0733ac6e45ddp-3, 0x1.f25db7a1035d5p-4, 0x1.db365c63bf2cap-4, 0x1.c8b1c6284551fp-4, 0x1.ba7f2375ed2dp-4, 0x1.b0421a42a29aep-4, 0x1.a9977cfb9e3d9p-4, 0x1.a6190ede3306ap-4, 0x1.a56078c2b3c02p-4, 0x1.a7098d99935fbp-4, 0x1.aab3fb85afcf6p-4, 0x1.b004837131f11p-4, 0x1.b6a5cdf04dcb8p-4, 0x1.be48f110943c2p-4, 0x1.c6a5b7a8e584ap-4, 0x1.cf7ab80afcb36p-4, 0x1.d88d455634a02p-4, 0x1.e1a944a62ef4ap-4, 0x1.eaa0edd0951c1p-4, 0x1.f34c7d7308b7dp-4, 0x1.fb89dcf6c38bfp-4, 0x1.019e2236e38aap-3, 0x1.0525ec8426589p-3, 0x1.0852a524050a4p-3, 0x1.0b1cb7cefb11p-3, 0x1.0d7e73d06fb67p-3, 0x1.0f73dce661c3p-3, 0x1.10fa7dc1aee48p-3, 0x1.12113c6f69634p-3, 0x1.12b830e7653cp-3, 0x1.12f07df3235b5p-3, 0x1.12bc2c9378b3p-3, 0x1.121e09fa494b7p-3, 0x1.1119881ee4baep-3, 0x1.0fb2a0eb517cp-3, 0x1.0dedbbfbb6dfcp-3, 0x1.0bcf96e1f88bdp-3, 0x1.095d2fd538afbp-3, 0x1.069bb2adccfe8p-3, 0x1.0390680d755e1p-3, 0x1.0040a6968c44p-3, 0x1.f9638c2baff36p-4, 0x1.f1d228fb1fe0ap-4, 0x1.e9d79911dd363p-4, 0x1.e17e1bb87a219p-4, 0x1.d8cfacef3cf43p-4, 0x1.cfd5fabb2a9eep-4, 0x1.c69a5ca4ab8e9p-4, 0x1.bd25cd37f6c18p-4, 0x1.b380e55094fa7p-4, 0x1.a9b3d8eb49294p-4, 0x1.9fc675382b9e3p-4, 0x1.95c01fb60b792p-4, 0x1.8ba7d61e2a8d7p-4, 0x1.81842f123beabp-4, 0x1.775b5b6b6f9f1p-4, 0x1.6d3328247f68ep-4, 0x1.631100c55292fp-4, 0x1.58f9f2905e0ffp-4, 0x1.4ef2adddcd088p-4, 0x1.44ff8c8e8a524p-4, 0x1.3b24940afa447p-4, 0x1.3165766ba9d07p-4, 0x1.27c59520f6ae7p-4, 0x1.1e481002e4596p-4, 0x1.14efb4605e7e4p-4, 0x1.0bbf144118e8ep-4, 0x1.02b87bb64b0c3p-4, 0x1.f3bbfb4f82fcfp-5, 0x1.e262df5d39218p-5, 0x1.d168e415a2d3p-5, 0x1.c0d0e4d5054dep-5, 0x1.b09d59c3a9a99p-5, 0x1.a0d060087d518p-5, 0x1.916bbfe510b1ap-5, 0x1.8270f0669cd7fp-5, 0x1.73e11f2739149p-5, 0x1.65bd311704956p-5, 0x1.5805cb065c1c6p-5, 0x1.4abb54c753aa6p-5, 0x1.3dddfcac27934p-5, 0x1.316dbf81a5804p-5, 0x1.256a62db0dc2fp-5, 0x1.19d38464927f2p-5, 0x1.0ea898762745cp-5, 0x1.03e8ea68ea694p-5, 0x1.f3274a59f802p-6, 0x1.df4fa1de22d83p-6, 0x1.cc48b59cdb20ap-6, 0x1.ba1027c15e946p-6, 0x1.a8a36b3a8c9c3p-6, 0x1.97ffc5ab17c05p-6, 0x1.8822547312c4cp-6, 0x1.7908108a52ad7p-6, 0x1.6aadd31c2cf34p-6, 0x1.5d10583f725cp-6, 0x1.502c42375316ep-6, 0x1.43fe1c2a44541p-6, 0x1.38825d8b21a86p-6, 0x1.2db56c4d1ac0ep-6, 0x1.23939f06cfed9p-6, 0x1.1a19406c56453p-6, 0x1.1142916788ceep-6, 0x1.090bc9d5f0295p-6, 0x1.01711b734db7fp-6, 0x1.f4dd6721a6133p-7, 0x1.e8017930537c1p-7, 0x1.dc46bff826df1p-7, 0x1.d1a58d57282f6p-7, 0x1.c8163699d5374p-7, 0x1.bf9118b43f7e6p-7, 0x1.b80e977751eecp-7, 0x1.b1872202f83f2p-7, 0x1.abf33317388aap-7, 0x1.a74b54b62f132p-7, 0x1.a38820c0d2f4dp-7, 0x1.a0a244b4ddf6ap-7, 0x1.9e9280ba6961bp-7, 0x1.9d51a9fac050bp-7, 0x1.9cd8ad292f411p-7, 0x1.9d208f67de473p-7, 0x1.9e226e089f47cp-7, 0x1.9fd78143a6865p-7, 0x1.a2391ce39ee35p-7, 0x1.a540b0063b912p-7, 0x1.a8e7c73ac1af3p-7, 0x1.ad280da50a457p-7, 0x1.b1fb4c1a0ab93p-7, 0x1.b75b6a17ecd08p-7, 0x1.bd426f615fabdp-7, 0x1.c3aa83b37282p-7, 0x1.ca8dee70d7596p-7, 0x1.d1e717fd09203p-7, 0x1.d9b08a8015ec4p-7, 0x1.e1e4f06e3f47cp-7, 0x1.ea7f145119c72p-7, 0x1.f379e2bb18f7bp-7, 0x1.fcd06a6a46f25p-7, 0x1.033eed108a79dp-6, 0x1.083ec03c9fec6p-6, 0x1.0d6566f7c2085p-6, 0x1.12b0aa51c49f1p-6, 0x1.181e62da11f66p-6, 0x1.1dac786a32a73p-6, 0x1.2358e33daf125p-6, 0x1.2921abeeb6fd4p-6, 0x1.2f04e9f45e131p-6, 0x1.3500c30693138p-6, 0x1.3b136c185d6a8p-6, 0x1.413b29be02eb2p-6, 0x1.47764ece0942p-6, 0x1.4dc33b1d44645p-6, 0x1.54205c0452545p-6, 0x1.5a8c2d5a56aebp-6, 0x1.610538cfbbcb1p-6, 0x1.678a1432496efp-6, 0x1.6e1960d9794efp-6, 0x1.74b1cc87b2807p-6, 0x1.7b521236e9604p-6, 0x1.81f8f8a372432p-6, 0x1.88a550acbbe1p-6, 0x1.8f55f5a19c49fp-6, 0x1.9609cde037ce1p-6, 0x1.9cbfcafee2eeep-6, 0x1.a376e89c5ffbdp-6, 0x1.aa2e2b37a4c9ep-6, 0x1.b0e4a035f4e2ap-6, 0x1.b7995e89f4585p-6, 0x1.be4b869d89e7p-6, 0x1.c4fa4141117f1p-6, 0x1.cba4bec37174ap-6, 0x1.d24a37097723bp-6, 0x1.d8e9ea1a3f4aap-6, 0x1.df83200588e57p-6, 0x1.e61527e74d142p-6, 0x1.ec9f56f617d49p-6, 0x1.f3212be7bdb3ep-6, 0x1.f999ceb59bb89p-6, 0x1.00045cb5c4826p-5, 0x1.03369215bf686p-5, 0x1.066370971d423p-5, 0x1.098abac03baf6p-5, 0x1.0cac0d328bd4dp-5, 0x1.0fc7372217491p-5, 0x1.12dbffa225219p-5, 0x1.15ea28a7c7d51p-5, 0x1.18f17e25375fap-5, 0x1.1bf1ce9305dcp-5, 0x1.1eeae32f2e25bp-5, 0x1.21dc8bee86767p-5, 0x1.24c69e8ff105bp-5, 0x1.27a8ef9b2645dp-5, 0x1.2a8351c0c4222p-5, 0x1.2d559e2a3ef15p-5, 0x1.301fb29405e3fp-5, 0x1.32e15ee86fd1dp-5, 0x1.359a8cc910d49p-5, 0x1.384b16afc9916p-5, 0x1.3af2ddaae74dfp-5, 0x1.3d91c212f0d08p-5, 0x1.4027ac82335ddp-5, 0x1.42b47f146010ap-5, 0x1.453820171eebcp-5, 0x1.47b278d8b7d77p-5, 0x1.4a2373452a358p-5, 0x1.4c8af9a2f59c6p-5, 0x1.4ee8fbc164cap-5, 0x1.513d62f2b1cb9p-5, 0x1.538821283f324p-5, 0x1.55c9264038176p-5, 0x1.58006447e62dep-5, 0x1.5a2dce5f6efap-5, 0x1.5c5158400a3e4p-5, 0x1.5e6afb97c8d8dp-5, 0x1.607aa5d23ddf2p-5, 0x1.62805721598f1p-5, 0x1.647c05d2008fdp-5, 0x1.666dac5aafb6p-5, 0x1.6855461409422p-5, 0x1.6a32cf63a41afp-5, 0x1.6c06455cfac5cp-5, 0x1.6dcfaa35a3a2fp-5, 0x1.6f8ef4aa16061p-5, 0x1.71442dadbfbf8p-5, 0x1.72ef536ecfd31p-5, 0x1.74906966f9d2cp-5, 0x1.762772c3ede4ap-5, 0x1.77b474015526fp-5, 0x1.793772182cfebp-5, 0x1.7ab0732a3a8adp-5, 0x1.7c1f7ebfbf5e2p-5, 0x1.7d849bae174eap-5, 0x1.7edfd38d2ef15p-5, 0x1.80312f3399d54p-5, 0x1.8178b8b3d21ccp-5, 0x1.82b67ad51845ap-5, 0x1.83ea80f823522p-5, 0x1.8514d71a82524p-5, 0x1.86358ad0d021bp-5, 0x1.874ca6e6fe15dp-5, 0x1.885a30d626b09p-5, 0x1.895e6647774cbp-5, 0x1.8a58fd7769c76p-5, 0x1.8b4a6d38b9009p-5, 0x1.8c32652fdcf31p-5, 0x1.8d11463c3e048p-5, 0x1.8de6e64b872eep-5, 0x1.8eb36f5e3faf9p-5, 0x1.8f76fe39ee5bap-5, 0x1.90318898afa5bp-5, 0x1.90e3371fc4ae3p-5, 0x1.918c10a44346ep-5, 0x1.922c33eea3e86p-5, 0x1.92c3a1ef188a8p-5, 0x1.93527b5bb8144p-5, 0x1.93d8d365b261cp-5, 0x1.9456b673147c6p-5, 0x1.94cc3c8169df6p-5, 0x1.95397569e3183p-5, 0x1.959e7b47c0b98p-5, 0x1.95fb6054bd83p-5, 0x1.9650377d625ebp-5, 0x1.969d12ee1c336p-5, 0x1.96e2059b98f19p-5, 0x1.971f28769e911p-5, 0x1.97548e7f315e4p-5, 0x1.97824cbd8c411p-5, 0x1.97a875030baa4p-5, 0x1.97c71b4fa9dddp-5, 0x1.97de51f402cp-5, 0x1.97ee2f568cda7p-5, 0x1.97f6c8aeb0d24p-5, 0x1.97f830516b2bp-5, 0x1.97f279cb12614p-5, 0x1.97e5b943f9cc9p-5, 0x1.97d20165cb07dp-5, 0x1.97b7633ceb709p-5, 0x1.9795f3247f701p-5, 0x1.976dc658d43bdp-5, 0x1.973eeee69c6acp-5, 0x1.97097ed44685ap-5, 0x1.96cd8985736c9p-5, 0x1.968b1f86b9224p-5, 0x1.9642548f2516bp-5, 0x1.95f338d314cd5p-5, 0x1.959ddd95463e6p-5, 0x1.954256587158ap-5, 0x1.94e0b4eec7104p-5, 0x1.947909d70a8fep-5, 0x1.940b65d003895p-5, 0x1.9397d9b5b1e0fp-5, 0x1.931e7658520d1p-5, 0x1.929f4c5275048p-5, 0x1.921a6b67b437fp-5, 0x1.918fe2a02112ep-5, 0x1.90ffc27255804p-5, 0x1.906a1bb78c137p-5, 0x1.8fcefda366f5ep-5, 0x1.8f2e781d7974ap-5, 0x1.8e8898811b8e1p-5, 0x1.8ddd6efb6a71cp-5, 0x1.8d2d0a25f7a91p-5, 0x1.8c7778b7de369p-5, 0x1.8bbcc93dedd35p-5, 0x1.8afd09a000879p-5, 0x1.8a38476c96a55p-5, 0x1.896e912b64cc3p-5, 0x1.889ff587c7238p-5, 0x1.87cc822ca63f4p-5, 0x1.86f44469bb47p-5, 0x1.8617499a545efp-5, 0x1.85359f156fef8p-5, 0x1.844f521cee4cep-5, 0x1.83646fdb7a8fcp-5, 0x1.8275056599805p-5, 0x1.81811fa2fd934p-5, 0x1.8088cb233f5a1p-5, 0x1.7f8c14dc3f9c2p-5, 0x1.7e8b0856dde16p-5, 0x1.7d85b38b9d98cp-5, 0x1.7c7c22e9df684p-5, 0x1.7b6e629dc65bcp-5, 0x1.7a5c7ed955fafp-5, 0x1.794683d75d403p-5, 0x1.782c7dcec9307p-5, 0x1.770e78ec6451dp-5, 0x1.75ec81536f5ecp-5, 0x1.74c6a31faf47dp-5, 0x1.739cea60e7fcap-5, 0x1.726f6307cd0dcp-5, 0x1.713e18d23d752p-5, 0x1.70091784d9227p-5, 0x1.6ed06b483d5b1p-5, 0x1.6d9420561f9fcp-5, 0x1.6c5442972f331p-5, 0x1.6b10ddcb6e2cfp-5, 0x1.69c9fdb5281dp-5, 0x1.687fae2a58bc5p-5, 0x1.6731fb823584ep-5, 0x1.65e0f0c02e8afp-5, 0x1.648c9a4ec1a6ap-5, 0x1.6335040beaa5fp-5, 0x1.61da39dc40a71p-5, 0x1.607c47b039a7ep-5, 0x1.5f1b3971ea0a1p-5, 0x1.5db71af881bdbp-5, 0x1.5c4ff81f13023p-5, 0x1.5ae5dcfa93657p-5, 0x1.5978d5ca3d0f2p-5, 0x1.5808eeb408521p-5, 0x1.569633c042f54p-5, 0x1.5520b0fa70a79p-5, 0x1.53a8727f8b44bp-5, 0x1.522d847b9bcf4p-5, 0x1.50aff32663759p-5, 0x1.4f2fcac0f75cap-5, 0x1.4dad17953caf2p-5, 0x1.4c27e5f5d6517p-5, 0x1.4aa0423e0b32dp-5, 0x1.491638cf5025fp-5, 0x1.4789d60d4f0d4p-5, 0x1.45fb26a57a2c1p-5, 0x1.446a36c63f6e3p-5, 0x1.42d712c667ef9p-5, 0x1.4141c77953c83p-5, 0x1.3faa618ab11cdp-5, 0x1.3e10eda934d4cp-5, 0x1.3c757875d891ep-5, 0x1.3ad80e923c626p-5, 0x1.3938bcaaa1d71p-5, 0x1.37978f7749bf6p-5, 0x1.35f493b9876fdp-5, 0x1.344fd639958c8p-5, 0x1.32a963c714593p-5, 0x1.310149367dc17p-5, 0x1.2f57936182f05p-5, 0x1.2dac4f264fb94p-5, 0x1.2bff8966c0fd4p-5, 0x1.2a514f06fc06bp-5, 0x1.28a1aceaa44b9p-5, 0x1.26f0aff1321d6p-5, 0x1.253e64f6563bdp-5, 0x1.238ad8dc7665cp-5, 0x1.21d618976e2cbp-5, 0x1.202031236f6adp-5, 0x1.1e692f6fef173p-5, 0x1.1cb1205d6dbf6p-5, 0x1.1af810fdd6d5ap-5, 0x1.193e0df1ebb06p-5, 0x1.17832409030a4p-5, 0x1.15c7603d2b9f7p-5, 0x1.140acf5996a78p-5, 0x1.124d7e29105fp-5, 0x1.108f7971f812fp-5, 0x1.0ed0cdf227fbfp-5, 0x1.0d1188612fef1p-5, 0x1.0b51b56bd4ba3p-5, 0x1.099161b5f98dcp-5, 0x1.07d099d9de799p-5, 0x1.060f6a65eaa8cp-5, 0x1.044ddfda931ep-5, 0x1.028c06a8e943dp-5, 0x1.00c9eb324897ep-5, 0x1.fe0f33a1219b6p-6, 0x1.fa8a3da81b327p-6, 0x1.f7050d06d353fp-6, 0x1.f37fba1e71b4cp-6, 0x1.effa5d1facf44p-6, 0x1.ec750e1185f13p-6, 0x1.e8efe4d7906a7p-6, 0x1.e56af932c8ebp-6, 0x1.e1e662bf3b22ep-6, 0x1.de6238f0cb4adp-6, 0x1.dade930f0720ep-6, 0x1.d75b8830b0877p-6, 0x1.d3d92f61925e2p-6, 0x1.d0579f9a2ba21p-6, 0x1.ccd6eee6bce58p-6, 0x1.c95733eb532a2p-6, 0x1.c5d884e270a92p-6, 0x1.c25af7c2ad9a4p-6, 0x1.bedea25249c0fp-6, 0x1.bb639a2224acap-6, 0x1.b7e9f489c7b57p-6, 0x1.b471c6a5c12dfp-6, 0x1.b0fb2559d5ee3p-6, 0x1.ad8625569c251p-6, 0x1.aa12db1bcdf66p-6, 0x1.a6a15af1952f4p-6, 0x1.a331b8dc806b8p-6, 0x1.9fc4089c7c9bfp-6, 0x1.9c585dacbdcdbp-6, 0x1.98eecb494e051p-6, 0x1.9587646fab926p-6, 0x1.92223bdc7c14fp-6, 0x1.8ebf640d56953p-6, 0x1.8b5eef3f1e025p-6, 0x1.8800ef694b137p-6, 0x1.84a5763e40b8cp-6, 0x1.814c952ae6131p-6, 0x1.7df65d563fb63p-6, 0x1.7aa2dfa0481d2p-6, 0x1.77522ca21bfe8p-6, 0x1.740454ada03aap-6, 0x1.70b967cc91e62p-6, 0x1.6d7175bed5857p-6, 0x1.6a2c8e0d8edd1p-6, 0x1.66eac0240859dp-6, 0x1.63ac1a9d1a61fp-6, 0x1.6070ac2d518a1p-6, 0x1.5d38834a717a2p-6, 0x1.5a03ae086dd66p-6, 0x1.56d23a371c2efp-6, 0x1.53a4355dfb22ep-6, 0x1.5079acb4b6efep-6, 0x1.4d52ad1f6d22ep-6, 0x1.4a2f432e9bb48p-6, 0x1.470f7b28630dfp-6, 0x1.43f360ec1934p-6, 0x1.40db003929a7fp-6, 0x1.3dc6646a15709p-6, 0x1.3ab5989d523bbp-6, 0x1.37a8a7aecdaa1p-6, 0x1.349f9c39faf6ep-6, 0x1.319a809a6a431p-6, 0x1.2e995eeafe9f7p-6, 0x1.2b9c41046c6e4p-6, 0x1.28a33079ec421p-6, 0x1.25ae36928692ap-6, 0x1.22bd5c46eedc8p-6, 0x1.1fd0aa40c2d1bp-6, 0x1.1ce828b71f566p-6, 0x1.1a03dfadb0802p-6, 0x1.1723d6b04d238p-6, 0x1.144814fa680a3p-6, 0x1.1170a173014e2p-6, 0x1.0e9d82b530b56p-6, 0x1.0bcebf1a27d1fp-6, 0x1.09045cc437173p-6, 0x1.063e61a10cc36p-6, 0x1.037cd3b0096cp-6, 0x1.00bfb8b05836ep-6, 0x1.fc0e2c104e397p-7, 0x1.f6a5e26efdf0cp-7, 0x1.f1469f2ae05d7p-7, 0x1.ebf06c6211492p-7, 0x1.e6a3539cb1e57p-7, 0x1.e15f5dccff508p-7, 0x1.dc2492f94d62fp-7, 0x1.d6f2fa508dd36p-7, 0x1.d1ca9a0420961p-7, 0x1.ccab7749557bep-7, 0x1.c795966611289p-7, 0x1.c288facd6a759p-7, 0x1.bd85a74a7f4ddp-7, 0x1.b88b9e35ee36ap-7, 0x1.b39ae1b0d2096p-7, 0x1.aeb373df35294p-7, 0x1.a9d5571aa9956p-7, 0x1.a5008e173be05p-7, 0x1.a0351bf491c0cp-7, 0x1.9b730437c8d88p-7, 0x1.96ba4aaca38dbp-7, 0x1.920af32f17cf2p-7, 0x1.8d65016172ff9p-7, 0x1.88c8785619a74p-7, 0x1.84355a35aa815p-7, 0x1.7faba7ec1a157p-7, 0x1.7b2b60e6d65e1p-7, 0x1.76b482ec24dffp-7, 0x1.72470a119e7fbp-7, 0x1.6de2f0d56e2c5p-7, 0x1.6988305bf18b1p-7, 0x1.6536c0cfc8075p-7, 0x1.60ee99dc43e04p-7, 0x1.5cafb335b89cbp-7, 0x1.587a052caab0fp-7, 0x1.544d89556cf2fp-7, 0x1.502a3a7037ed8p-7, 0x1.4c1014bd0fd34p-7, 0x1.47ff16860257ep-7, 0x1.43f73f789382dp-7, 0x1.3ff89051de119p-7, 0x1.3c030a5a1573dp-7, 0x1.3816aeb4b4f5cp-7, 0x1.34337da06645dp-7, 0x1.305975ba8c5cdp-7, 0x1.2c88935a2a0dep-7, 0x1.28c0d014b0295p-7, 0x1.2502227c85334p-7, 0x1.214c7e2361271p-7, 0x1.1d9fd3e4f1d16p-7, 0x1.19fc127751cf4p-7, 0x1.16612738271ebp-7, 0x1.12ceff1e1a8adp-7, 0x1.0f4587c6d99fap-7, 0x1.0bc4b0755713cp-7, 0x1.084c6af2ae44bp-7, 0x1.04dcac33c602cp-7, 0x1.01756cacbba71p-7, 0x1.fc2d5095062a6p-8, 0x1.f580bc1b82da9p-8, 0x1.eee51e9c8910ap-8, 0x1.e85a7d6fbfec3p-8, 0x1.e1e0de33c5ca4p-8, 0x1.db78444d56044p-8, 0x1.d520ae82fae6cp-8, 0x1.ceda14ec1a46p-8, 0x1.c8a4676139038p-8, 0x1.c27f8c9234f85p-8, 0x1.bc6b61dce86eap-8, 0x1.b667bbf77ae2fp-8, 0x1.b074686cbe787p-8, 0x1.aa912fcf0c5c5p-8, 0x1.a4bdd88105cccp-8, 0x1.9efa29fe32b23p-8, 0x1.9945f057897edp-8, 0x1.93a0fe5fa69ebp-8, 0x1.8e0b2fef9e776p-8, 0x1.88846bfaadb2ep-8, 0x1.830ca4133e45dp-8, 0x1.7da3d37eddcb1p-8, 0x1.7849fd69cf564p-8, 0x1.72ff2a64243fp-8, 0x1.6dc36583649f7p-8, 0x1.6896b9730394fp-8, 0x1.63792dad9df1bp-8, 0x1.5e6ac40444067p-8, 0x1.596b7686e9b4ep-8, 0x1.547b35da9636ep-8, 0x1.4f99e80c5b5ep-8, 0x1.4ac767ff1a879p-8, 0x1.460385a0f5fc4p-8, 0x1.414e071a33f99p-8, 0x1.3ca6ab17cc968p-8, 0x1.380d2c2a36464p-8, 0x1.338144f2489ep-8, 0x1.2f02b493e2b11p-8, 0x1.2a9142ba2b5e2p-8, 0x1.262cc273ac4c2p-8, 0x1.21d5135f6905dp-8, 0x1.1d8a2101faba1p-8, 0x1.194be08c1094dp-8, 0x1.151a4dbc85eb3p-8, 0x1.10f567b99d1f8p-8, 0x1.0cdd2eba6946bp-8, 0x1.08d1a0c855daep-8, 0x1.04d2c0b124994p-8, 0x1.00e089c0fbae4p-8, 0x1.f9f5f433e13ffp-9, 0x1.f2441f069e01bp-9, 0x1.eaab880a9ebbp-9, 0x1.e32c17ecfa2eep-9, 0x1.dbc5a5a98a3p-9, 0x1.d477f28289432p-9, 0x1.cd42a69688979p-9, 0x1.c6255460282e6p-9, 0x1.bf1f7f76aa1b9p-9, 0x1.b830a621c5344p-9, 0x1.b1584c70779c4p-9, 0x1.aa9608b7e2df4p-9, 0x1.a3e98ab253059p-9, 0x1.9d529dd9e6642p-9, 0x1.96d125eb8dd3ep-9, 0x1.90651571deb8dp-9, 0x1.8a0e6056f7a4fp-9, 0x1.83ccee08f2661p-9, 0x1.7da08f541d3a7p-9, 0x1.7788fb7895379p-9, 0x1.7185d5f96b44cp-9, 0x1.6b96bbce4e3a3p-9, 0x1.65bb53fe246ep-9, 0x1.5ff35e35b5eefp-9, 0x1.5a3eba4bc3a78p-9, 0x1.549d65ccb43d1p-9, 0x1.4f0f7013f10ccp-9, 0x1.4994e8b7d1f2ap-9, 0x1.442dce5c24dfbp-9, 0x1.3eda03998fee4p-9, 0x1.39994d49b6731p-9, 0x1.346b59c8ec1a7p-9, 0x1.2f4fce16f3211p-9, 0x1.2a46543847332p-9, 0x1.254ea69b8f20ep-9, 0x1.206896c841d43p-9, 0x1.1b940f5b65e9ep-9, 0x1.16d1118df41bdp-9, 0x1.121faec9c49e9p-9, 0x1.0d7ffebcf8694p-9, 0x1.08f21269f4457p-9, 0x1.0475e591b598p-9, 0x1.000b5131252e6p-9, 0x1.f76405e1189c5p-10, 0x1.eed2fad3639b3p-10, 0x1.e66246745f4c9p-10, 0x1.de109680d7403p-10, 0x1.d5dcb1473018p-10, 0x1.cdc59ed342e5dp-10, 0x1.c5cabeaa858dbp-10, 0x1.bdebc43ef863ap-10, 0x1.b6289d3cd766p-10, 0x1.ae814b83d11b3p-10, 0x1.a6f5c08293d01p-10, 0x1.9f85ccf6b0deep-10, 0x1.9831238a6e1d9p-10, 0x1.90f76a2eb4007p-10, 0x1.89d8509aa359ep-10, 0x1.82d3a16d066dfp-10, 0x1.7be94a1b6669fp-10, 0x1.75195966eb6adp-10, 0x1.6e63f434126cfp-10, 0x1.67c941b0ccd75p-10, 0x1.614954ad427f5p-10, 0x1.5ae41d2699552p-10, 0x1.54996b08c52fp-10, 0x1.4e6900c05c7e3p-10, 0x1.4852a8b2a0813p-10, 0x1.42563dc3b0a66p-10, 0x1.3c739fcf58b05p-10, 0x1.36aa9b3a9cb44p-10, 0x1.30fad3bf8b49fp-10, 0x1.2b63befecfab3p-10, 0x1.25e4ae1e36922p-10, 0x1.207cdb0f1df81p-10, 0x1.1b2b70b62061p-10, 0x1.15ef913207eap-10, 0x1.10c8631e86a56p-10, 0x1.0bb5264548373p-10, 0x1.06b544f6b47a9p-10, 0x1.01c8572a323a7p-10, 0x1.f9dc2bfa30bdap-11, 0x1.f04c8d38b9f22p-11, 0x1.e6e152d1c737dp-11, 0x1.dd99f87a60bd2p-11, 0x1.d4762c2731489p-11, 0x1.cb7618150723fp-11, 0x1.c29a7c6dd0fb7p-11, 0x1.b9e46b827d849p-11, 0x1.b154c2cf0f39fp-11, 0x1.a8ebb04563eap-11, 0x1.a0a8872a707edp-11, 0x1.9889f135928b7p-11, 0x1.908e5b43d6409p-11, 0x1.88b46e4fabaf4p-11, 0x1.80fb6c194033fp-11, 0x1.7963535096e8cp-11, 0x1.71ecbdfc05cbdp-11, 0x1.6a98888f079ep-11, 0x1.636770056b432p-11, 0x1.5c59c8c96d635p-11, 0x1.556f61ece2602p-11, 0x1.4ea77acda0604p-11, 0x1.4800a9d03351ep-11, 0x1.4178d57c7da76p-11, 0x1.3b0d96a0864c1p-11, 0x1.34bd1059d1ad7p-11, 0x1.2e86b1e9cf6bap-11, 0x1.286b333a0cb2dp-11, 0x1.226bb53a2dd5dp-11, 0x1.1c88a1164a6e9p-11, 0x1.16c108cffa2c9p-11, 0x1.1113069044963p-11, 0x1.0b7cfb25af9c1p-11, 0x1.05fe61d5efbebp-11, 0x1.0097627b23201p-11, 0x1.f69059c85ec72p-12, 0x1.ec21b5ae3b49bp-12, 0x1.e1e2c0bd9be03p-12, 0x1.d7d3074d777c1p-12, 0x1.cdf202bf8cd1p-12, 0x1.c43f20259ee0ep-12, 0x1.bab98563ef956p-12, 0x1.b160023d11d85p-12, 0x1.a83156ee35831p-12, 0x1.9f2cac5b96e2fp-12, 0x1.9651f54011764p-12, 0x1.8da1f513f1e3fp-12, 0x1.851dd6428d5cep-12, 0x1.7cc685e667a9cp-12, 0x1.749c480372c9fp-12, 0x1.6c9ec3788a352p-12, 0x1.64cd166cab6f3p-12, 0x1.5d254b054f566p-12, 0x1.55a3aee1c7f64p-12, 0x1.4e43ca6e22834p-12, 0x1.47032ee1d5e18p-12, 0x1.3fe32ae84a806p-12, 0x1.38e6ebe78cf11p-12, 0x1.320fe5c62d279p-12, 0x1.2b5c641e8a06p-12, 0x1.24c97e1184faap-12, 0x1.1e55f5e27430fp-12, 0x1.1802d56efb003p-12, 0x1.11d1909db42b4p-12, 0x1.0bc251c645cd6p-12, 0x1.05d3f4537d15p-12, 0x1.0004de4afae81p-12, 0x1.f4a73321ae63ep-13, 0x1.e97dec6e72b06p-13, 0x1.de8c00d320b9ap-13, 0x1.d3cff81c544p-13, 0x1.c948dcd55237cp-13, 0x1.bef639b091d4ep-13, 0x1.b4d7fbaf6a37cp-13, 0x1.aaee3339b4d42p-13, 0x1.a138dee16d928p-13, 0x1.97b7cf98c6182p-13, 0x1.8e6aa0ee359dep-13, 0x1.8550aa3235bcbp-13, 0x1.7c68ea0dcaeb4p-13, 0x1.73b22bca04a31p-13, 0x1.6b2baeb46eef1p-13, 0x1.62d5e8bd0cf3cp-13, 0x1.5ab20bfec8077p-13, 0x1.52bfae0dc929ap-13, 0x1.4afb089316276p-13, 0x1.435f8b471d662p-13, 0x1.3bec33cd520a7p-13, 0x1.34a2a19c6b2e7p-13, 0x1.2d82572a28d94p-13, 0x1.268858e3edaep-13, 0x1.1fb32a21fbcaep-13, 0x1.19040adde28a5p-13, 0x1.127bf6915d619p-13, 0x1.0c19fc0fecc67p-13, 0x1.05dc8cace376cp-13, 0x1.ff8534bf2b59fp-14, 0x1.f3973fde50aecp-14, 0x1.e7ee90f26dfccp-14, 0x1.dc8a732adc81dp-14, 0x1.d16a07f9857b5p-14, 0x1.c68c44ed41161p-14, 0x1.bbeff4bf8dd1ap-14, 0x1.b193bdc7d9fafp-14, 0x1.a7764a3372602p-14, 0x1.9d96838067bfcp-14, 0x1.93f0ba1f3e4b2p-14, 0x1.8a869e78f2539p-14, 0x1.81569fea07c47p-14, 0x1.785ddee055b01p-14, 0x1.6f9cf498d6b0bp-14, 0x1.67128865aacf8p-14, 0x1.5ebd4dba2da48p-14, 0x1.569bdaf1a45e6p-14, 0x1.4ead5d57d2853p-14, 0x1.46f22773c888ep-14, 0x1.3f6ab97feec57p-14, 0x1.38157b09d75afp-14, 0x1.30ee8168e97e7p-14, 0x1.29f3a600e8f83p-14, 0x1.232562a4b2015p-14, 0x1.1c82f1043d131p-14, 0x1.160d38b2fa67cp-14, 0x1.0fc6fa12ed597p-14, 0x1.09ac91362aac9p-14, 0x1.03b76d068acfbp-14, 0x1.fbccc77abd8p-15, 0x1.f07721ffc3f22p-15, 0x1.e5704ee20cb3ep-15, 0x1.dab7c3bfe761p-15, 0x1.d04baf7c1601bp-15, 0x1.c62a1af1addf1p-15, 0x1.bc5143ccd28d3p-15, 0x1.b2bf9b5dd4501p-15, 0x1.a973a8f172906p-15, 0x1.a06be70d8947dp-15, 0x1.97a6a6b20febbp-15, 0x1.8f2203efdb375p-15, 0x1.86dbf19ef732ep-15, 0x1.7ed24f5130704p-15, 0x1.7702ee4ceb561p-15, 0x1.6f6b7a55e9ed7p-15, 0x1.68095b00d196cp-15, 0x1.60d9ac9c823fdp-15, 0x1.59d96d789a257p-15, 0x1.5306236bffdb6p-15, 0x1.4c5f89b325b54p-15, 0x1.45ea1bb5a3909p-15, 0x1.3faf45aaeb48ap-15, 0x1.39b6cacfce2c9p-15, 0x1.33fd172bd897ap-15, 0x1.2e71f1be2694bp-15, 0x1.2901a687aaaafp-15, 0x1.23a981f5bc3f1p-15, 0x1.1e84e58d61091p-15, 0x1.199ac34a55bd7p-15, 0x1.14e19023b73ebp-15, 0x1.10572e912d1d8p-15, 0x1.0be1cea6ea279p-15, 0x1.077dc1332fe56p-15, 0x1.034097d4ff6c7p-15, 0x1.fe69f973de3f8p-16, 0x1.f6a9a9c23b79p-16, 0x1.ef301b81efe5bp-16, 0x1.e80054f72b889p-16, 0x1.e15f420bb3692p-16, 0x1.da5c74ecae95cp-16, 0x1.d3ef1a371ed3ap-16, 0x1.cdc114f278434p-16, 0x1.c7cecda0fe1ccp-16, 0x1.c2170489164f1p-16, 0x1.bc9886e27494p-16, 0x1.b75183589b207p-16, 0x1.b23f8870c5ef6p-16, 0x1.ad5fdd82b9134p-16, 0x1.a8b009206f1f7p-16, 0x1.a42e7f41859eap-16, 0x1.9fdb20e295cdcp-16, 0x1.9bb6b71716d07p-16, 0x1.97c2844081e8dp-16, 0x1.93fffb82025f4p-16, 0x1.90703f3ce9242p-16, 0x1.8d12dd78d8218p-16, 0x1.89e428f867924p-16, 0x1.86de0425a7b2dp-16, 0x1.83fc365421f44p-16, 0x1.813ec4fbba4cp-16, 0x1.7ea839e801651p-16, 0x1.7c30d16b16907p-16, 0x1.79a2d3120be1ap-16, 0x1.76e06b091d64fp-16, 0x1.745fcb9e00504p-16, 0x1.726401f0577c2p-16, 0x1.7093c49e088fep-16, 0x1.6eadc66138fa7p-16, 0x1.6cfe981a77384p-16, 0x1.6b8632f7f36d2p-16, 0x1.6a0cbf9d729e8p-16, 0x1.688dc5397892p-16, 0x1.6724473b4f366p-16, 0x1.65dea382a339fp-16, 0x1.64bc2bf68091fp-16, 0x1.63b793e5f9af6p-16, 0x1.62cc46ebb9df3p-16, 0x1.61f75519a2a46p-16, 0x1.6136d971b5124p-16, 0x1.6089bafbba5cp-16, 0x1.5fef4820f6621p-16, 0x1.5f66e554e52eap-16, 0x1.5eefd2fdf3fep-16, 0x1.5e8909658e686p-16, 0x1.5e3144746fab9p-16, 0x1.5de753004918p-16, 0x1.5daa7abeb79fdp-16, 0x1.5d7a9761e972p-16, 0x1.5d57d9757664p-16, 0x1.5d426f1724428p-16, 0x1.5d3a6c7c0d25dp-16, 0x1.5d3ffea5e090cp-16, 0x1.5d539bb2082f6p-16, 0x1.5d759150ded33p-16, 0x1.5da46fe4b1e5cp-16, 0x1.5ddbbcbc53e6dp-16, 0x1.5e162ff38b402p-16, 0x1.5e52d0e1ce741p-16, 0x1.5e97fffc0b706p-16, 0x1.5ef2de3b9e2d4p-16, 0x1.5f6616e5e01f6p-16, 0x1.5fbdfd91ea7edp-16, 0x1.60175730e3a41p-16, 0x1.60ad5b563de86p-16, 0x1.61209c57f3997p-16, 0x1.619212f51d1f7p-16, 0x1.621e3466edd95p-16, 0x1.62bd2e8f1a6e4p-16, 0x1.63660b3eb973cp-16, 0x1.6404385306536p-16, 0x1.6479def0582e1p-16, 0x1.64d4cc28a3787p-16, 0x1.6553a53290e4bp-16, 0x1.660d60ede89ccp-16, 0x1.66da9b9ba832bp-16, 0x1.677e59e86a61dp-16, 0x1.68097a5deaf1ap-16, 0x1.689e968b90ce8p-16, 0x1.69430b814da26p-16, 0x1.69eeff019d47bp-16, 0x1.6aa240213cf9bp-16, 0x1.6b539c71290f2p-16, 0x1.6c06682f0728ep-16, 0x1.6cb8e5aefb3cbp-16, 0x1.6d6ac0c5b1d27p-16, 0x1.6e1bbc8e3bbe3p-16, 0x1.6ecbe225fd165p-16, 0x1.6f7b4b3b50aabp-16, 0x1.7029f1fabc6c5p-16, 0x1.70d7c79fbd0bcp-16, 0x1.7184dd3ce880fp-16, 0x1.72314fbc18205p-16, 0x1.72dd49febf589p-16, 0x1.7389262d87603p-16, 0x1.743487daaefb7p-16, 0x1.74dd192eb5361p-16, 0x1.75802098a097ap-16, 0x1.761df5ec682a4p-16, 0x1.76b286fd4f0a9p-16, 0x1.7756a524ea3eap-16, 0x1.77f8b9b72303cp-16, 0x1.789cb25cfbf3fp-16, 0x1.7931bc8c47afbp-16, 0x1.79c9284c9d036p-16, 0x1.7a4d8369bc146p-16, 0x1.7ada8475aeee8p-16, 0x1.7b5f5a9b73ba8p-16, 0x1.7be63b4cb5cbap-16, 0x1.7c6e52af3825bp-16, 0x1.7cf1d1d14c76cp-16, 0x1.7d70a355826a8p-16, 0x1.7deb56433905bp-16, 0x1.7e621e717d053p-16, 0x1.7ed50f05f1ffcp-16, 0x1.7f444f21b8e53p-16, 0x1.7fb0291ca3d3bp-16, 0x1.8018e00b17b9cp-16, 0x1.807e8aa4aecabp-16, 0x1.80e1467b89fdp-16, 0x1.814236278ef14p-16, 0x1.81a34d2ee0f9cp-16, 0x1.81fe9973f1c25p-16, 0x1.8243d61432b9bp-16, 0x1.8287b240b822p-16, 0x1.82d89832d8256p-16, 0x1.83157d8ee4b69p-16, 0x1.8347fa1c891fcp-16, 0x1.837ef9dbf08ebp-16, 0x1.83b64e039d5ebp-16, 0x1.83ea562a2639fp-16, 0x1.8419e15cb363dp-16, 0x1.84449c0c56c0ap-16, 0x1.84670e178aa0cp-16, 0x1.848f4a12b8682p-16, 0x1.84a8e287ba50ap-16, 0x1.84c1ad0476d25p-16, 0x1.84d60e874b40ap-16, 0x1.84e545aa2a38fp-16, 0x1.84ef2bf7581bp-16, 0x1.84f4693545218p-16, 0x1.84f53d46bbd0fp-16, 0x1.84f19ce267d76p-16, 0x1.84ebaff2b87c7p-16, 0x1.84e797fea9b4ep-16, 0x1.84d6b240ec0ep-16, 0x1.84bb73e9d90cdp-16, 0x1.84a1f8f97bd34p-16, 0x1.8485744a6b189p-16, 0x1.84643f7929af2p-16, 0x1.843e664f17a16p-16, 0x1.84140c633eb5fp-16, 0x1.83e546b002e88p-16, 0x1.83b221a884098p-16, 0x1.837aa6e7f5c46p-16, 0x1.833ee08df2381p-16, 0x1.82fed7a380d56p-16, 0x1.82ba8dda561d2p-16, 0x1.827200c2caee3p-16, 0x1.822537002ae7bp-16, 0x1.81d43e525a805p-16, 0x1.817f1f6de6839p-16, 0x1.8125dde797921p-16, 0x1.80c87ebbf0a01p-16, 0x1.806709cb45355p-16, 0x1.80018810bdc34p-16, 0x1.7f9801b70b6f7p-16, 0x1.7f2a81fce76abp-16, 0x1.7eb9264825866p-16, 0x1.7e43b445fdd1p-16, 0x1.7dca3c65379f1p-16, 0x1.7d4cfbd29a17ap-16, 0x1.7ccbe1cbc91ddp-16, 0x1.7c46f6cfa6447p-16, 0x1.7bbe46e540498p-16, 0x1.7b31f326fdce5p-16, 0x1.7aa20241be90bp-16, 0x1.7a0e31eb433c7p-16, 0x1.7976c379e1a3bp-16, 0x1.78dc1038df874p-16, 0x1.7840008c733fp-16, 0x1.77a185b459d0ep-16, 0x1.76fb9e0baeabfp-16, 0x1.764e69fa253d4p-16, 0x1.75a00598847ddp-16, 0x1.74f2c2c7852edp-16, 0x1.743d723efc067p-16, 0x1.73886e6840668p-16, 0x1.72d0b09bf9208p-16, 0x1.72129f571dfa6p-16, 0x1.7152e5d90291fp-16, 0x1.7090417eded79p-16, 0x1.6fca6c3f6481ap-16, 0x1.6f017cdb5db92p-16, 0x1.6e3578b8418fbp-16, 0x1.6d661586db95dp-16, 0x1.6c92f442a64f5p-16, 0x1.6bba969cb5394p-16, 0x1.6ae4f7b7e15d8p-16, 0x1.6a17aad8066b9p-16, 0x1.693d7977c9b53p-16, 0x1.685154d850defp-16, 0x1.67694a74037cbp-16, 0x1.6685e130ad5f9p-16, 0x1.65a001b96af29p-16, 0x1.64b6373ff34b2p-16, 0x1.63c97a978815p-16, 0x1.62da2ab52d255p-16, 0x1.61e844e2a2974p-16, 0x1.60f3a57a0d876p-16, 0x1.5ffe4a262b252p-16, 0x1.5f05e32d64e53p-16, 0x1.5e09122825fd7p-16, 0x1.5d0ba9b23b25fp-16, 0x1.5c0c29c4dc2d3p-16, 0x1.5b0aa0b965801p-16, 0x1.5a06fa5d13d2dp-16, 0x1.5900f9a4119d5p-16, 0x1.57f8e2f679651p-16, 0x1.56eef26d5a4cdp-16, 0x1.55e316cad610fp-16, 0x1.54d550a04cffep-16, 0x1.53c5ac5e7bdd8p-16, 0x1.52b4358eaa782p-16, 0x1.51aa26d6410dep-16, 0x1.508bf3c46b1c3p-16, 0x1.4f7536c8e46c5p-16, 0x1.4e5cd3b3f6d65p-16, 0x1.4d42fa17ba55ap-16, 0x1.4c27326a3fc6bp-16, 0x1.4b09eed390ec4p-16, 0x1.49eb34a8b1cc2p-16, 0x1.48cb0aa420499p-16, 0x1.47a963b5cb6d3p-16, 0x1.468636a04b4cp-16, 0x1.4561bd16f0553p-16, 0x1.443be829cd0f8p-16, 0x1.4314c2409245ap-16, 0x1.41ec5518df8f5p-16, 0x1.40c2a9ea10531p-16, 0x1.3f97c9b53637cp-16, 0x1.3e6bbd5b9fe9bp-16, 0x1.3d3e8dbddaf7ep-16, 0x1.3c1043bb1605cp-16, 0x1.3ae0e9fa33846p-16, 0x1.39b0882c7865p-16, 0x1.387f1ea1ec11ep-16, 0x1.374cc14f02733p-16, 0x1.3619733335eeap-16, 0x1.34e53a315e33p-16, 0x1.33b016be3d765p-16, 0x1.3279c84d65884p-16, 0x1.31435099c84cbp-16, 0x1.300b6f967c175p-16, 0x1.2ed3b082930dap-16, 0x1.2d9ad08c2a495p-16, 0x1.2c61385b08836p-16, 0x1.2b26d7d8d1226p-16, 0x1.29ec2ec8aa9b8p-16, 0x1.28b0947346dbcp-16, 0x1.27742868992adp-16, 0x1.2637746fc9961p-16, 0x1.24fa674cbcee6p-16, 0x1.23bcebfaa5cf2p-16, 0x1.227f38a5fe7afp-16, 0x1.2140b22221cdp-16, 0x1.2001b8da7c741p-16, 0x1.1ec271ae9d83bp-16, 0x1.1d82de3a8972dp-16, 0x1.1c42ff60020cbp-16, 0x1.1b02d95e0c60bp-16, 0x1.19c4b7c6e484fp-16, 0x1.1881cd526234ep-16, 0x1.1740f3743382bp-16, 0x1.15ffe9f21f307p-16, 0x1.14beb3ef0ef8ap-16, 0x1.137d3c70f9aa6p-16, 0x1.1242fee7e1974p-16, 0x1.10fbb632ac981p-16, 0x1.0fb8e1975fc6cp-16, 0x1.0e770ccde716ap-16, 0x1.0d3399702e22fp-16, 0x1.0bee54e448978p-16, 0x1.0ab4c77782694p-16, 0x1.0976a516d2093p-16, 0x1.0833f9c631e5fp-16, 0x1.06e84b78f8b85p-16, 0x1.05a983def1e8fp-16, 0x1.046ab8507841ep-16, 0x1.032a559890b57p-16, 0x1.01e9963281debp-16, 0x1.00a8e8ac98a9p-16, 0x1.fed0daff25be7p-17, 0x1.fc515a0557d43p-17, 0x1.f9d07061d5dc3p-17, 0x1.f751103dceef3p-17, 0x1.f4d24befe4de1p-17, 0x1.f2541cb8ec2cap-17, 0x1.efd6757a5fbb3p-17, 0x1.ed59c26762666p-17, 0x1.eaddd16671f7dp-17, 0x1.e8627866ca80bp-17, 0x1.e5ec6654b48e1p-17, 0x1.e36f140ee2e3bp-17, 0x1.e0f5b73af2ccp-17, 0x1.de7dea1ff01c6p-17, 0x1.dc06d1a1f757bp-17, 0x1.d98fd0c1459bfp-17, 0x1.d72155a7e6696p-17, 0x1.d4a7ef23824d1p-17, 0x1.d2357df2c9c0bp-17, 0x1.cfc4f5dc0fc89p-17, 0x1.cd53477772343p-17, 0x1.cae3daf05b2e7p-17, 0x1.c8759f958d68ep-17, 0x1.c608976d7ea74p-17, 0x1.c39cc8a9187d4p-17, 0x1.c1323489f50afp-17, 0x1.bec8e76ea2287p-17, 0x1.bc61b45db7465p-17, 0x1.b9fa4b3655c16p-17, 0x1.b7952159f0d8ap-17, 0x1.b5314e0b04f2bp-17, 0x1.b2cedaec9bd07p-17, 0x1.b06dd31e0672ep-17, 0x1.adfdae1488f41p-17, 0x1.abafc51a2fb33p-17, 0x1.a95389903337fp-17, 0x1.a6f87dfa5c708p-17, 0x1.a49ef904ad71ep-17, 0x1.a2470408ad6d3p-17, 0x1.9ff0a572f960bp-17, 0x1.9d9be3731b3bep-17, 0x1.9b48c17b44773p-17, 0x1.98f71a136d1e2p-17, 0x1.96a7308af683p-17, 0x1.9459266060665p-17, 0x1.920bd2738080ap-17, 0x1.8fc1fe85bd6c5p-17, 0x1.8d78821a9522bp-17, 0x1.8b1cb82ff4b01p-17, 0x1.88eb75bf9019bp-17, 0x1.86a87c0f8f668p-17, 0x1.8466b55b0429dp-17, 0x1.8226c6cda4841p-17, 0x1.7fe8c1b58a48bp-17, 0x1.7dabefe4dafa2p-17, 0x1.7b70b91846185p-17, 0x1.7939625be8df3p-17, 0x1.770246cc30e4p-17, 0x1.74cd263373309p-17, 0x1.7299f3bf66b96p-17, 0x1.7069580b6a928p-17, 0x1.6e37e83b5e0bcp-17, 0x1.6c0d99b10ada7p-17, 0x1.69e3663a84696p-17, 0x1.67b9617a70878p-17, 0x1.658e5e6fcf0efp-17, 0x1.636230e3de68fp-17, 0x1.61546adfd0014p-17, 0x1.5f361aae769e3p-17, 0x1.5d099b8b9f3bdp-17, 0x1.5ae31ff15f863p-17, 0x1.58cfa5362b03ap-17, 0x1.56b90274d2235p-17, 0x1.54a269e429475p-17, 0x1.528d764486465p-17, 0x1.507aa48874efep-17, 0x1.4e69905f2e7a8p-17, 0x1.4c5afaab65e36p-17, 0x1.4a4e7a5e97ff6p-17, 0x1.4843ee8e3d27cp-17, 0x1.463b80c6aba31p-17, 0x1.443520e269a39p-17, 0x1.422d8e38d931cp-17, 0x1.402f65c917fdap-17, 0x1.3e308925c84f2p-17, 0x1.3c32f62cee7fap-17, 0x1.3a3f16d315d7bp-17, 0x1.383d699952bf8p-17, 0x1.3645ddd2f7b8bp-17, 0x1.345111380d63fp-17, 0x1.325f9d394e008p-17, 0x1.306ededdcf5e3p-17, 0x1.2e80410b0d087p-17, 0x1.2c92ff800388bp-17, 0x1.2aa868c454cd9p-17, 0x1.28c0d9dbc3deep-17, 0x1.26dad6988674cp-17, 0x1.25033de94eddcp-17, 0x1.23159eb9c4fbap-17, 0x1.2140ba6f12ea8p-17, 0x1.1f5a4141734b8p-17, 0x1.1d7f6dc9d8defp-17, 0x1.1ba6fb1619f2p-17, 0x1.19d0e4883d1dep-17, 0x1.17fcd74846412p-17, 0x1.162aefc1c0929p-17, 0x1.145b25a5f4b47p-17, 0x1.128f1f92d194ap-17, 0x1.10c2079bf81eep-17, 0x1.0ef8de44b853ap-17, 0x1.0d31b16fe9238p-17, 0x1.0b67e531dd1f2p-17, 0x1.09aa6607bdedp-17, 0x1.07ea2ecd7d24p-17, 0x1.062c0e26fd59bp-17, 0x1.04701b503fa37p-17, 0x1.02b6529ebc105p-17, 0x1.00fe0dbe8b721p-17, 0x1.fe92a6f510923p-18, 0x1.fb16e12e65284p-18, 0x1.f7ca3ebfe408cp-18, 0x1.f46c85dc1ca8cp-18, 0x1.f1131ea63dd1bp-18, 0x1.edbd09276e39dp-18, 0x1.ea531081c0d41p-18, 0x1.e720c08d0008cp-18, 0x1.e3d98970684b2p-18, 0x1.e0961e820c949p-18, 0x1.dd570d130aacp-18, 0x1.da1c69e6cb1bep-18, 0x1.d7b7fac7f47bdp-18, 0x1.d3b4569c34b03p-18, 0x1.d0857305ca84dp-18, 0x1.cd534e3f0b17ep-18, 0x1.ca222280e0cb6p-18, 0x1.c730f9860ac5ep-18, 0x1.c4154b1ab9274p-18, 0x1.c0ce098caf3fdp-18, 0x1.bdc5fac1f2453p-18, 0x1.bac11a19cf3dfp-18, 0x1.b7b2703c4775cp-18, 0x1.b4ab41c41ea6ep-18, 0x1.b1a71a1a898c4p-18, 0x1.aea8fb57d7e17p-18, 0x1.abae28a69f3d4p-18, 0x1.a8b7cf9484a54p-18, 0x1.a5c595d8a7768p-18, 0x1.a2d791c6a1fdap-18, 0x1.9fedbe5c2fd75p-18, 0x1.9d08133e24cfbp-18, 0x1.9a268cf1ef92ep-18, 0x1.97492529595bp-18, 0x1.946f8e6a9fc61p-18, 0x1.91a3e88156516p-18, 0x1.8ec05b5e6c60bp-18, 0x1.8bfcd742a89c6p-18, 0x1.8933a4c08ab66p-18, 0x1.866ef897c6bacp-18, 0x1.83acfc6c85442p-18, 0x1.80f0fa8648339p-18, 0x1.7e387d11a7a0ep-18, 0x1.7b84715bc8346p-18, 0x1.78d40e16e6f17p-18, 0x1.76277e38b3a4p-18, 0x1.737ba57dd800ep-18, 0x1.70da624be86a4p-18, 0x1.6e39f49ec83b3p-18, 0x1.6b9d6893c94dcp-18, 0x1.69112c14453a2p-18, 0x1.666f9b726737ep-18, 0x1.63e0173d5a849p-18, 0x1.61537b641e467p-18, 0x1.5ecaada021d6bp-18, 0x1.5c45ba0fb57ep-18, 0x1.59c49de3897a6p-18, 0x1.57475091fbc45p-18, 0x1.54cdc3e16c921p-18, 0x1.52586017c5c5cp-18, 0x1.4fe56c4a25186p-18, 0x1.4d77fd99da252p-18, 0x1.4b0d2eefdd9a4p-18, 0x1.48a7b6c42a3b3p-18, 0x1.4644c238e21f7p-18, 0x1.43dcdd4a40356p-18, 0x1.418a48ec5ad2ap-18, 0x1.3f3314a42744dp-18, 0x1.3cdf446fca8a5p-18, 0x1.3a8f1de581a2cp-18, 0x1.3842359b9b01dp-18, 0x1.35fcecbbee1c4p-18, 0x1.33b4b5ba5f607p-18, 0x1.3173d039ce4d5p-18, 0x1.2f358849321cbp-18, 0x1.2cf5bb128b09bp-18, 0x1.2ab070bb675d1p-18, 0x1.28a8641ed1c15p-18, 0x1.267a0a3f5fcb3p-18, 0x1.24228e52ca041p-18, 0x1.2200b10bee45p-18, 0x1.1fe81983887dp-18, 0x1.1dbfee297b09dp-18, 0x1.1ba8936813415p-18, }}, 
      {{-0x1.eca0d5c356848p-6, 0x1.167ce3509a037p-6, 0x1.2e2c1b70b2d5ap-4, 0x1.0b26280a2861ep-3, 0x1.73e9a73d2d665p-3, 0x1.cc0f0ab2da51cp-3, 0x1.08ed2bb684798p-2, 0x1.22d91493c664ap-2, 0x1.3496bdbd85024p-2, 0x1.3f3c1930db4efp-2, 0x1.43f8c06a39e51p-2, 0x1.43f849ef94552p-2, 0x1.40512aaa06a64p-2, 0x1.39fbbd520a443p-2, 0x1.31ce82637cc32p-2, 0x1.287da7425c3c4p-2, 0x1.1e9c8ae33c997p-2, 0x1.14a065bf9161fp-2, 0x1.0ae3865fd927bp-2, 0x1.01a8c5c342865p-2, 0x1.f23df0222a70dp-3, 0x1.e2c8673dac6c9p-3, 0x1.d511ae6e23286p-3, 0x1.c92486b8d2597p-3, 0x1.befa83b586198p-3, 0x1.b680378b7ef82p-3, 0x1.af98c1df58de3p-3, 0x1.aa20cb8acd7a9p-3, 0x1.a5f0fb7ff3ba7p-3, 0x1.a2dff2a7a4d3cp-3, 0x1.a0c3dd3eb5a88p-3, 0x1.9f73a809f8817p-3, 0x1.9ec7e73cb3a3ap-3, 0x1.9e9b7be6ea261p-3, 0x1.9ecc0399205bp-3, 0x1.9f3a1ca8c33e6p-3, 0x1.9fc9880a75e9dp-3, 0x1.a06130803b723p-3, 0x1.a0eb1db23ff27p-3, 0x1.a154588b5f29cp-3, 0x1.a18cc529caf0ap-3, 0x1.a186f5f4073b9p-3, 0x1.a137fa8486efap-3, 0x1.a0972c7887ce7p-3, 0x1.9f9dfbafdef74p-3, 0x1.9e47bb17e145fp-3, 0x1.9c916ed01a35ep-3, 0x1.9a799c3870149p-3, 0x1.98001c491145cp-3, 0x1.9525f076f0ee5p-3, 0x1.91ed1a54d4eb7p-3, 0x1.8e58760d03fa7p-3, 0x1.8a6b97b89f556p-3, 0x1.862aab88bfebbp-3, 0x1.819a58b04712fp-3, 0x1.7cbfa6fce81d8p-3, 0x1.779fe708ddf69p-3, 0x1.72409ce438c41p-3, 0x1.6ca76d0e64fe5p-3, 0x1.66da0b9c36355p-3, 0x1.60de2d6ef0b9fp-3, 0x1.5ab97b64835aap-3, 0x1.547187613faf2p-3, 0x1.4e0bc30885a16p-3, 0x1.478d77f43dfe3p-3, 0x1.40fbc14182b57p-3, 0x1.3a5b8657d8372p-3, 0x1.33b176d8f4215p-3, 0x1.2d0207a7da695p-3, 0x1.265170ecfbabp-3, 0x1.1fa3acefdf2fep-3, 0x1.18fc779b3c38fp-3, 0x1.125f4e8821354p-3, 0x1.0bcf7173113d3p-3, 0x1.054fe314f69adp-3, 0x1.fdc6d4ad03fe2p-4, 0x1.f11927bc4bca2p-4, 0x1.e49b67d8390b6p-4, 0x1.d851d0e5ca515p-4, 0x1.cc4036b6d54f9p-4, 0x1.c06a09a4bcd65p-4, 0x1.b4d25b3f11026p-4, 0x1.a97be2e82032bp-4, 0x1.9e690259f41d4p-4, 0x1.939bc9e8addbcp-4, 0x1.8915fd22fb7a4p-4, 0x1.7ed916e2dbe8fp-4, 0x1.74e64dc7af42ep-4, 0x1.6b3e9854180a8p-4, 0x1.61e2b12e70c9cp-4, 0x1.58d31b197fc2bp-4, 0x1.501024d4da82p-4, 0x1.4799ecd5552cp-4, 0x1.3f7064c18539dp-4, 0x1.379354bfb852p-4, 0x1.30025e98fd1dep-4, 0x1.28bd00aa4a208p-4, 0x1.21c298b89f32fp-4, 0x1.1b126695f7daap-4, 0x1.14ab8eae454b4p-4, 0x1.0e8d1c763747fp-4, 0x1.08b604b847c8dp-4, 0x1.032527d6b187fp-4, 0x1.fbb2a7a9fa9f1p-5, 0x1.f1a28cb89a3f9p-5, 0x1.e8175d40e89c1p-5, 0x1.df0e5e32e6927p-5, 0x1.d684be6cf5c7p-5, 0x1.ce7799bc0c2c3p-5, 0x1.c6e3fbcedac84p-5, 0x1.bfc6e2dfc473cp-5, 0x1.b91d423cc5339p-5, 0x1.b2e4049793c1ap-5, 0x1.ad180e35a1549p-5, 0x1.a7b63ef740f58p-5, 0x1.a2bb7428bd4e5p-5, 0x1.9e248a5524dcdp-5, 0x1.99ee5ed5bf912p-5, 0x1.9615d14bf50cbp-5, 0x1.9297c51356af6p-5, 0x1.8f7122727d36ep-5, 0x1.8c9ed7d45f7bdp-5, 0x1.8a1ddad257342p-5, 0x1.87eb2926ca203p-5, 0x1.8603c9a9521adp-5, 0x1.8464ccf9c211ep-5, 0x1.830b4e416f36bp-5, 0x1.81f473f2f5bf1p-5, 0x1.811d702c1f13bp-5, 0x1.808381492bd91p-5, 0x1.8023f26d718ddp-5, 0x1.7ffc1bb0e487fp-5, 0x1.800962887cf36p-5, 0x1.80493a24a70e9p-5, 0x1.80b9237517673p-5, 0x1.8156ad6eec61cp-5, 0x1.821f75483bf6fp-5, 0x1.8311265cfa663p-5, 0x1.84297a55784c4p-5, 0x1.8566395620fb8p-5, 0x1.86c539c50acbbp-5, 0x1.88446047a3c76p-5, 0x1.89e19ffb14c42p-5, 0x1.8b9afa376c6dep-5, 0x1.8d6e7e4d51a1cp-5, 0x1.8f5a49b8d5e86p-5, 0x1.915c88112ffb7p-5, 0x1.93737295731f1p-5, 0x1.959d5024c6fep-5, 0x1.97d875689781bp-5, 0x1.9a23447531757p-5, 0x1.9c7c2c63230f3p-5, 0x1.9ee1a974f9ea1p-5, 0x1.a152451696f9bp-5, 0x1.a3cc9551dabbap-5, 0x1.a64f3c87afe08p-5, 0x1.a8d8e9a8ea3d3p-5, 0x1.ab68581134ddp-5, 0x1.adfc4ee7b0ccep-5, 0x1.b093a0eb9151cp-5, 0x1.b32d2cb69e547p-5, 0x1.b5c7dc8925f2cp-5, 0x1.b862a59b9495cp-5, 0x1.bafc87e8e37c1p-5, 0x1.bd948e7de1889p-5, 0x1.c029cf5254c4ap-5, 0x1.c2bb6a87b45a3p-5, 0x1.c5488a0d85bf6p-5, 0x1.c7d061fab9f1ep-5, 0x1.ca5230a253eaap-5, 0x1.cccd3dd73f735p-5, 0x1.cf40da3cb3f7fp-5, 0x1.d1ac5f708ab81p-5, 0x1.d40f3074e1227p-5, 0x1.d668b953e6cd5p-5, 0x1.d8b86e36d1154p-5, 0x1.dafdcb0371583p-5, 0x1.dd3853bbeedf6p-5, 0x1.df6794b86da99p-5, 0x1.e18b2215da7afp-5, 0x1.e3a296ea53e6dp-5, 0x1.e5ad9513ba23fp-5, 0x1.e7abc5853eff7p-5, 0x1.e99cd84e99dffp-5, 0x1.eb80840e052b2p-5, 0x1.ed568558db099p-5, 0x1.ef1e9e9eeb596p-5, 0x1.f0d8985457c9p-5, 0x1.f28440d1d38bcp-5, 0x1.f4216bcf45d83p-5, 0x1.f5aff1f1adbaep-5, 0x1.f72fb0c0c52f5p-5, 0x1.f8a08ac75f0b8p-5, 0x1.fa0267683db35p-5, 0x1.fb5532555fa97p-5, 0x1.fc98db18959ecp-5, 0x1.fdcd54befbb46p-5, 0x1.fef2970957632p-5, 0x1.00044e8c68b9cp-4, 0x1.0087b3118df45p-4, 0x1.0103799386a2ap-4, 0x1.0177a43d18d69p-4, 0x1.01e436f53fc13p-4, 0x1.024936c2bc248p-4, 0x1.02a6aa3142016p-4, 0x1.02fc990f39053p-4, 0x1.034b0c139586ap-4, 0x1.03920cdaea642p-4, 0x1.03d1a6094266p-4, 0x1.0409e34191503p-4, 0x1.043ad11561904p-4, 0x1.04647ce1bc43p-4, 0x1.0486f4a32beb8p-4, 0x1.04a246d528b27p-4, 0x1.04b682813ec5cp-4, 0x1.04c3b77247bcep-4, 0x1.04c9f5d52f858p-4, 0x1.04c94e6cbca09p-4, 0x1.04c1d23f57ca2p-4, 0x1.04b39296d56f9p-4, 0x1.049ea0f1a14b3p-4, 0x1.04830f2ce921ep-4, 0x1.0460ef6c3ffadp-4, 0x1.04385407c9d4cp-4, 0x1.04094f765044ep-4, 0x1.03d3f43ca5ba6p-4, 0x1.039854e08860bp-4, 0x1.0356840ae785bp-4, 0x1.030e946cd1dccp-4, 0x1.02c098d19fd04p-4, 0x1.026ca40526df3p-4, 0x1.0212c8c5cd6fbp-4, 0x1.01b319be3ea98p-4, 0x1.014da97b9c683p-4, 0x1.00e28a9d917e3p-4, 0x1.0071cf95546c8p-4, 0x1.fff715c58d836p-5, 0x1.feff9dd425e29p-5, 0x1.fdfd5be32d2a2p-5, 0x1.fcf0743ab6e7p-5, 0x1.fbd90ae4bdffbp-5, 0x1.fab743a3e741fp-5, 0x1.f98b424b38676p-5, 0x1.f8552a310b6b4p-5, 0x1.f7151ead02e7fp-5, 0x1.f5cb42c5ecd5ep-5, 0x1.f477b93d49755p-5, 0x1.f31aa49063056p-5, 0x1.f1b427008fffp-5, 0x1.f044629d293e6p-5, 0x1.eecb794581803p-5, 0x1.ed498cb28f31bp-5, 0x1.ebbebe600d0ecp-5, 0x1.ea2b2f97b566p-5, 0x1.e88f0168aef1bp-5, 0x1.e6ea54ae8e30ep-5, 0x1.e53d4a1892ea5p-5, 0x1.e3880231aa5e4p-5, 0x1.e1ca9d5f4218ap-5, 0x1.e0053bfabff54p-5, 0x1.de37fe654fd73p-5, 0x1.dc630373b9adep-5, 0x1.da866d42c1085p-5, 0x1.d8a258f991786p-5, 0x1.d6b6e8b5f999dp-5, 0x1.d4c439fe6eabbp-5, 0x1.d2ca6ddd56bb6p-5, 0x1.d0c9a328b6072p-5, 0x1.cec1f90119fd7p-5, 0x1.ccb38f7c32314p-5, 0x1.ca9e8551317c9p-5, 0x1.c882fa0c462f8p-5, 0x1.c6610c91a49d9p-5, 0x1.c438dc8bdad5fp-5, 0x1.c20a88c61f3fp-5, 0x1.bfd6307019564p-5, 0x1.bd9bf2e2bbbe4p-5, 0x1.bb5bef296b434p-5, 0x1.b91644853ee01p-5, 0x1.b6cb11f077891p-5, 0x1.b47a769aff958p-5, 0x1.b22491b0e724ep-5, 0x1.afc982663ae6fp-5, 0x1.ad6967ee7a749p-5, 0x1.ab04615913435p-5, 0x1.a89a8de285d9bp-5, 0x1.a62c0cbff752fp-5, 0x1.a3b8fd36d028p-5, 0x1.a1417e88fe4dep-5, 0x1.9ec5b0008f78dp-5, 0x1.9c45b0cd96d09p-5, 0x1.99c1a0298a3a3p-5, 0x1.97399d63e5e6cp-5, 0x1.94adc7c57ec09p-5, 0x1.921e3e93c6669p-5, 0x1.8f8b211d30cdap-5, 0x1.8cf48eb734abdp-5, 0x1.8a5aa69eab8bep-5, 0x1.87bd8804062cap-5, 0x1.851d5227c05f1p-5, 0x1.827a24448499bp-5, 0x1.7fd41d7ee9a86p-5, 0x1.7d2b5d0206e9bp-5, 0x1.7a8001dfa3202p-5, 0x1.77d22b3239fc4p-5, 0x1.7521f7fe186cdp-5, 0x1.726f872547e99p-5, 0x1.6fbaf782be45cp-5, 0x1.6d0467e65d783p-5, 0x1.6a4bf70753c7fp-5, 0x1.6791c383046eep-5, 0x1.64d5ebdc87e1bp-5, 0x1.62188e7c5e0dfp-5, 0x1.5f59c9b30c432p-5, 0x1.5c99bbb5dfe7p-5, 0x1.59d8828d39a82p-5, 0x1.57163c1a652ddp-5, 0x1.54530623dad65p-5, 0x1.518efe43a113dp-5, 0x1.4eca41f60cc2ep-5, 0x1.4c04ee7bbd40bp-5, 0x1.493f20eecaae2p-5, 0x1.4678f637888f2p-5, 0x1.43b28b0c66206p-5, 0x1.40ebfbf3afa4fp-5, 0x1.3e25653f7641fp-5, 0x1.3b5ee3017f28bp-5, 0x1.3898910f25e5ep-5, 0x1.35d28b07de5c9p-5, 0x1.330cec4e78bd9p-5, 0x1.3047d00429f6fp-5, 0x1.2d8351072d44bp-5, 0x1.2abf89f178666p-5, 0x1.27fc951710d67p-5, 0x1.253a8c8452ed4p-5, 0x1.227989fce8f19p-5, 0x1.1fb9a6fb6e8f3p-5, 0x1.1cfafcab748fap-5, 0x1.1a3da3f02af0ep-5, 0x1.1781b54dbbebep-5, 0x1.14c748ff87ba9p-5, 0x1.120e76ef8fae8p-5, 0x1.0f5756b2bcb1fp-5, 0x1.0ca1ff876728dp-5, 0x1.09ee885459429p-5, 0x1.073d07a7ae778p-5, 0x1.048d93b58cabap-5, 0x1.01e04256e7861p-5, 0x1.fe6a52113d1d1p-6, 0x1.f918b9d60bcebp-6, 0x1.f3cbe5831a91cp-6, 0x1.ee83fde063dbap-6, 0x1.e9412aef8a283p-6, 0x1.e40393ef5e1a8p-6, 0x1.decb5f604fa53p-6, 0x1.d998b3007049bp-6, 0x1.d46bb3c756609p-6, 0x1.cf4485e4194c3p-6, 0x1.ca234cb7a2f31p-6, 0x1.c5082ae88be41p-6, 0x1.bff34243e00a8p-6, 0x1.bae4b3d271e33p-6, 0x1.b5dc9fd1d97d8p-6, 0x1.b0db25b3c10acp-6, 0x1.abe0641e65a47p-6, 0x1.a6ec78ecfca12p-6, 0x1.a1ff812e227a3p-6, 0x1.9d19992064268p-6, 0x1.983adc3346fc8p-6, 0x1.9363650bca09ep-6, 0x1.8e934d8524c72p-6, 0x1.89caaeaf38194p-6, 0x1.8509a0ce26e13p-6, 0x1.80503b5b0f0d5p-6, 0x1.7b9e9504ca69p-6, 0x1.76f4c3b0bd7efp-6, 0x1.7252dc7b942fep-6, 0x1.6db8f3ba23948p-6, 0x1.69271cfa669d7p-6, 0x1.649d6b04d6e1cp-6, 0x1.601befddd9216p-6, 0x1.5ba2bcc4008a4p-6, 0x1.5731e23a80073p-6, 0x1.52c97002e0eafp-6, 0x1.4e69751a16ea8p-6, 0x1.4a11ffc174bafp-6, 0x1.45c31d7eef9ebp-6, 0x1.417cdb1f9f0c9p-6, 0x1.3d3f44b87b62fp-6, 0x1.390a65a7840bdp-6, 0x1.34de489584a97p-6, 0x1.30baf7784ada5p-6, 0x1.2ca07b94c40fep-6, 0x1.288edd810bea4p-6, 0x1.2486252693e92p-6, 0x1.208659c42fabp-6, 0x1.1c8f81f026cddp-6, 0x1.18a1a39a59ceep-6, 0x1.14bcc40e77cefp-6, 0x1.10e0e7f656d0ep-6, 0x1.0d0e135c80bf5p-6, 0x1.094449ae768f4p-6, 0x1.05838dbe6fcb8p-6, 0x1.01cbe1c50eddep-6, 0x1.fc3a8ec8c1912p-7, 0x1.f4ef7f5743ce9p-7, 0x1.edb69633c0229p-7, 0x1.e68fd33aa7a6ap-7, 0x1.df7b353a044ffp-7, 0x1.d878b9e7d466cp-7, 0x1.d1885de72761ap-7, 0x1.caaa1cd55f145p-7, 0x1.c3ddf14b0432cp-7, 0x1.bd23d4e13906dp-7, 0x1.b67bc03775544p-7, 0x1.afe5aaf86f226p-7, 0x1.a9618bdfe34a9p-7, 0x1.a2ef58bf4cff8p-7, 0x1.9c8f06830140cp-7, 0x1.9640893786d29p-7, 0x1.9003d40ee45bep-7, 0x1.89d8d9657c84bp-7, 0x1.83bf8ac765ee4p-7, 0x1.7db7d8f43210bp-7, 0x1.77c1b3e43b58ep-7, 0x1.71dd0acdbf33ep-7, 0x1.6c09cc2b5efb6p-7, 0x1.6647e5c176858p-7, 0x1.609744a2be8f7p-7, 0x1.5af7d534ca90bp-7, 0x1.55698334e6421p-7, 0x1.4fec39bd01376p-7, 0x1.4a7fe348a9f43p-7, 0x1.452469b9f8f5bp-7, 0x1.3fd9b65e6f598p-7, 0x1.3a9fb1f1f2ca3p-7, 0x1.357644a3ba394p-7, 0x1.305d562517d98p-7, 0x1.2b54cd9c12816p-7, 0x1.265c91b3e35eep-7, 0x1.2174889fc4922p-7, 0x1.1c9c981e6d748p-7, 0x1.17d4a57ed26cfp-7, 0x1.131c95a49ed2cp-7, 0x1.0e744d0ca1dd3p-7, 0x1.09dbafd0c79bdp-7, 0x1.0552a1abef731p-7, 0x1.00d905fdee5eep-7, 0x1.f8dd7f9ffe3d1p-8, 0x1.f02763b355b49p-8, 0x1.e78f7d09e59a2p-8, 0x1.df158fe45b062p-8, 0x1.d6b95ff72386bp-8, 0x1.ce7ab071d5235p-8, 0x1.c65944069c4a4p-8, 0x1.be54dcf17a73fp-8, 0x1.b66d3cff4a82bp-8, 0x1.aea22594f664p-8, 0x1.a6f357b62f711p-8, 0x1.9f60940c212d1p-8, 0x1.97e99aec34e81p-8, 0x1.908e2c5efda11p-8, 0x1.894e08270ecc9p-8, 0x1.8228edc7fe2b8p-8, 0x1.7b1e9c8d75657p-8, 0x1.742ed392486cp-8, 0x1.6d5951c556625p-8, 0x1.669dd5ed96491p-8, 0x1.5ffc1ec0a1cb6p-8, 0x1.5973ead251dc6p-8, 0x1.5304f8a18b158p-8, 0x1.4caf069fba8eep-8, 0x1.4671d331d40b2p-8, 0x1.404d1cb47de21p-8, 0x1.3a40a180afc29p-8, 0x1.344c1ff04fc45p-8, 0x1.2e6f5662921cep-8, 0x1.28aa034060b66p-8, 0x1.22fbe504c03f7p-8, 0x1.1d64ba3cd89c9p-8, 0x1.17e4419576d41p-8, 0x1.127a39de7eea1p-8, 0x1.0d2662128f492p-8, 0x1.07e8795d0b2e2p-8, 0x1.02c03f1f2418ap-8, 0x1.fb5ae5e7249a8p-9, 0x1.f15fa961bffcap-9, 0x1.e78e48d415b9p-9, 0x1.dde644db55052p-9, 0x1.d4671e89fe77cp-9, 0x1.cb10576181ca7p-9, 0x1.c1e1715966d0ep-9, 0x1.b8d9eecd0abc1p-9, 0x1.aff952915b2cap-9, 0x1.a73f1ff27cf81p-9, 0x1.9eaadac2d35bbp-9, 0x1.963c076b9da3p-9, 0x1.8df22b015532ap-9, 0x1.85cccb599d85ap-9, 0x1.7dcb6f23118bcp-9, 0x1.75ed9ded53706p-9, 0x1.6e32e04734559p-9, 0x1.669abfccad504p-9, 0x1.5f24c7118d0b4p-9, 0x1.57d081a3cda1cp-9, 0x1.509d7bff56addp-9, 0x1.498b4376b3149p-9, 0x1.42996615e8defp-9, 0x1.3bc7728f9a8d4p-9, 0x1.3514f820e8161p-9, 0x1.2e818684b2db2p-9, 0x1.280caded984e5p-9, 0x1.21b5ff0c3899dp-9, 0x1.1b7d0b21ba1a6p-9, 0x1.1561641e4fae2p-9, 0x1.0f629cc8d51f4p-9, 0x1.098048ec98528p-9, 0x1.03b9fd883f4fdp-9, 0x1.fc1ea1f0f4fdap-10, 0x1.f0ffb6345b07ep-10, 0x1.e6166abcd34e6p-10, 0x1.db61f59b8c267p-10, 0x1.d0e18ff26ff6dp-10, 0x1.c69475b0f4d89p-10, 0x1.bc79e5322bec5p-10, 0x1.b2911ec3dffeep-10, 0x1.a8d9642336e79p-10, 0x1.9f51f7fddbb4ap-10, 0x1.95fa1d8520245p-10, 0x1.8cd118223b04cp-10, 0x1.83d62b5684f41p-10, 0x1.7b089acebe12p-10, 0x1.7267aaa9d63bbp-10, 0x1.69f29fee5cd2dp-10, 0x1.61a8c12589d7p-10, 0x1.5989570c27385p-10, 0x1.5193ad474ff36p-10, 0x1.49c713026ee52p-10, 0x1.4222db8bd795ep-10, 0x1.3aa65ea194f03p-10, 0x1.3350f86edf9c6p-10, 0x1.2c220972b24ccp-10, 0x1.2518f60bd8c44p-10, 0x1.1e3525cb1e06p-10, 0x1.1776029d4108dp-10, 0x1.10daf7de64d01p-10, 0x1.0a63716fe741fp-10, 0x1.040edae8ad2dfp-10, 0x1.fbb93ded6a0b6p-11, 0x1.ef984e0a19138p-11, 0x1.e3b9b66190b66p-11, 0x1.d81c45258ce61p-11, 0x1.ccbec7b0933eep-11, 0x1.c1a00c3dee0dcp-11, 0x1.b6bee3fcfd94dp-11, 0x1.ac1a255034d18p-11, 0x1.a1b0adf6e2fap-11, 0x1.978164eb4301ap-11, 0x1.8d8b3bbaa29dep-11, 0x1.83cd2f2ff072ap-11, 0x1.7a464736ee8d8p-11, 0x1.70f595f750507p-11, 0x1.67da363bbd2f6p-11, 0x1.5ef3494cfe1d5p-11, 0x1.563ff4798dd18p-11, 0x1.4dbf5e86f4d43p-11, 0x1.4570ad4dfcb63p-11, 0x1.3d5303b90e0b1p-11, 0x1.35658053e7213p-11, 0x1.2da73c8bf75e3p-11, 0x1.26174cb4aea0bp-11, 0x1.1eb4c0d4684e8p-11, 0x1.177ea6301723cp-11, 0x1.107409775286cp-11, 0x1.0993f967899c8p-11, 0x1.02dd89aab05c5p-11, 0x1.f89fab305f0ep-12, 0x1.ebd4056212952p-12, 0x1.df56848c5724cp-12, 0x1.d325a430c342cp-12, 0x1.c73ff87101aadp-12, 0x1.bba42ba2c7efcp-12, 0x1.b050fa5b212b1p-12, 0x1.a5452e7e6a4d2p-12, 0x1.9a7f99eec3515p-12, 0x1.8fff115cf532ep-12, 0x1.85c267a9d464cp-12, 0x1.7bc86a142f8a9p-12, 0x1.720fdd4b13508p-12, 0x1.68977b6c544eap-12, 0x1.5f5df2f21245p-12, 0x1.5661e6a898bd2p-12, 0x1.4da1eedbaee3cp-12, 0x1.451c9bf0e96cfp-12, 0x1.3cd07a8dae21bp-12, 0x1.34bc19293a1c7p-12, 0x1.2cde0e91203c1p-12, 0x1.253500852b1fep-12, 0x1.1dbfa958e3836p-12, 0x1.167cdb869fe0dp-12, 0x1.0f6b8278f55c3p-12, 0x1.088aa06600e32p-12, 0x1.01d949ca93ecp-12, 0x1.f6ad3f464b584p-13, 0x1.ea03938bfd68fp-13, 0x1.ddb3e5014e329p-13, 0x1.d1bc8a6fe4293p-13, 0x1.c61bd4cc6d11ap-13, 0x1.bad01d1d8c513p-13, 0x1.afd7bc21a7b83p-13, 0x1.a5310c57b4f8fp-13, 0x1.9ada684774abfp-13, 0x1.90d223768e9d1p-13, 0x1.8716834d4a8b1p-13, 0x1.7da5b8845cf37p-13, 0x1.747dde6ed751cp-13, 0x1.6b9cfddd0835ap-13, 0x1.630116c1c6039p-13, 0x1.5aa82e3a32c9ap-13, 0x1.52905e3414ce3p-13, 0x1.4ab7e2a84f2fdp-13, 0x1.431d22e0c0395p-13, 0x1.3bbeb37a0d836p-13, 0x1.349b500f601fdp-13, 0x1.2db1cd88bb304p-13, 0x1.270107cc6cf58p-13, 0x1.2087cf57f4723p-13, 0x1.1a44dbeac337cp-13, 0x1.1436c87ff5e37p-13, 0x1.0e5c1a4514ff2p-13, 0x1.08b350cd1858ep-13, 0x1.033afa9fba449p-13, 0x1.fbe38f23fe609p-14, 0x1.f1ad25a513f61p-14, 0x1.e7d0c25891788p-14, 0x1.de4ca7af3da52p-14, 0x1.d51f28f0fc246p-14, 0x1.cc4681bd07ef8p-14, 0x1.c3c0bb0cbd2fcp-14, 0x1.bb8ba56fc4dd8p-14, 0x1.b3a4e860a15fdp-14, 0x1.ac0a1f501524cp-14, 0x1.a4b8f9ddffacp-14, 0x1.9daf562227a41p-14, 0x1.96eb5010ea98dp-14, 0x1.906b45021e1d9p-14, 0x1.8a2dcc7edeb34p-14, 0x1.8431a7f68e406p-14, 0x1.7e75ab18b1052p-14, 0x1.78f89f17bf465p-14, 0x1.73b9249c13ecdp-14, 0x1.6eb59a0e18f0cp-14, 0x1.69ec0d3a3e326p-14, 0x1.655a3ec84b1dep-14, 0x1.60fdba32c34d4p-14, 0x1.5cd3fe7c9048dp-14, 0x1.58daad4bda4f2p-14, 0x1.550fb2f003e04p-14, 0x1.51715bbc823d6p-14, 0x1.4dfe5140e71cap-14, 0x1.4ab581b8808b2p-14, 0x1.4795fbc9d712dp-14, 0x1.449eccdc04dc5p-14, 0x1.41ceec1ef5c7bp-14, 0x1.3f25392441b78p-14, 0x1.3ca08931002bp-14, 0x1.3a3fb914ea0bfp-14, 0x1.3801bbc282563p-14, 0x1.35e5a25538c2bp-14, 0x1.33ea9d0784f9ap-14, 0x1.320ff458309cap-14, 0x1.3054fa3fa30f8p-14, 0x1.2eb8f78c2c347p-14, 0x1.2d3b1e54e3019p-14, 0x1.2bda8985fb0e4p-14, 0x1.2a96498550fbap-14, 0x1.296d748901b22p-14, 0x1.285f2e6e49ad4p-14, 0x1.276aa21c57b6fp-14, 0x1.268ef11f3d8a9p-14, 0x1.25cb25085c197p-14, 0x1.251e2bd7c547cp-14, 0x1.2486df595a58ap-14, 0x1.24040f9c39a4bp-14, 0x1.23948a1b40eb7p-14, 0x1.23371f57a9f3p-14, 0x1.22eaaca481eadp-14, 0x1.22ae2a65ac88bp-14, 0x1.2280b77a829b4p-14, 0x1.22619a73a2c0bp-14, 0x1.225037a2476c5p-14, 0x1.224c00bfde877p-14, 0x1.2254670d723a6p-14, 0x1.2268da5b8f8f3p-14, 0x1.2288d9bcd485ap-14, 0x1.22b40b88b3d65p-14, 0x1.22ea4647cfb34p-14, 0x1.232b7b6751866p-14, 0x1.23778c61f9dcep-14, 0x1.23ce24a556c3fp-14, 0x1.242eadd0c8521p-14, 0x1.2498612b9193cp-14, 0x1.250a6a5479ca2p-14, 0x1.25840ba3db897p-14, 0x1.2604b7fc18693p-14, 0x1.268c1adee7c4bp-14, 0x1.271a0db6ff9b4p-14, 0x1.27ae7f68ba6c6p-14, 0x1.2849577bf49f2p-14, 0x1.28ea627423c35p-14, 0x1.29914b1838206p-14, 0x1.2a3d98f2a91b5p-14, 0x1.2aeeab9446513p-14, 0x1.2ba3ba35bd475p-14, 0x1.2c5becf163057p-14, 0x1.2d1692c23c1aep-14, 0x1.2dd3513b27abp-14, 0x1.2e9221c1636a6p-14, 0x1.2f53165ceee4p-14, 0x1.301611725d3f8p-14, 0x1.30daabcd2176ap-14, 0x1.31a056ca9b313p-14, 0x1.326688f3e59aep-14, 0x1.332ce358bb94ap-14, 0x1.33f34924710aap-14, 0x1.34b9ba545eaa4p-14, 0x1.358018078f047p-14, 0x1.3646281cf96efp-14, 0x1.370bb6c35d8fep-14, 0x1.37d099a3825fep-14, 0x1.3894a499ad8e4p-14, 0x1.3957a2eabbc1fp-14, 0x1.3a1957dab5ca9p-14, 0x1.3ad9869a8312dp-14, 0x1.3b97fe0517f3bp-14, 0x1.3c54a1b555accp-14, 0x1.3d0f6a7300f74p-14, 0x1.3dc85c1d60228p-14, 0x1.3e7f761c37032p-14, 0x1.3f34a8d4d380cp-14, 0x1.3fe7d6389a9d3p-14, 0x1.4098d4303b17dp-14, 0x1.414761dd38575p-14, 0x1.41f31a990f70cp-14, 0x1.429b8b9dd725dp-14, 0x1.4340715841622p-14, 0x1.43e1dc309e7ecp-14, 0x1.448006d7298c4p-14, 0x1.451b070c9a201p-14, 0x1.45b2ae16f6f77p-14, 0x1.4646b34e6eb01p-14, 0x1.46d6f2a8a7516p-14, 0x1.47637a0d996bbp-14, 0x1.47ec618201291p-14, 0x1.4871a5555f1e5p-14, 0x1.48f325b3a2cc3p-14, 0x1.4970b9ef6f10fp-14, 0x1.49ea3df2cfbd4p-14, 0x1.4a5f956a316a1p-14, 0x1.4ad0aaf66e031p-14, 0x1.4b3d6f65a7aaap-14, 0x1.4ba5d9ff28ee8p-14, 0x1.4c09e7966e602p-14, 0x1.4c6998a343878p-14, 0x1.4cc4ee6d2004ap-14, 0x1.4d1be8e23ab3fp-14, 0x1.4d6e85d19b802p-14, 0x1.4dbcc1307df12p-14, 0x1.4e06958e546e1p-14, 0x1.4e4bfc54fe8ecp-14, 0x1.4e8cef0b8d30dp-14, 0x1.4ec96b2bb0eccp-14, 0x1.4f01762df70ddp-14, 0x1.4f3519e19fc72p-14, 0x1.4f6455756923bp-14, 0x1.4f8f12f3871d2p-14, 0x1.4fb5383de458fp-14, 0x1.4fd6c3be41602p-14, 0x1.4ff3c5ab2e019p-14, 0x1.500c4128ad2cp-14, 0x1.5020298f191cap-14, 0x1.502f7c38f8065p-14, 0x1.503a47f44faf9p-14, 0x1.50409a30c82e6p-14, 0x1.504274ec07552p-14, 0x1.503fd57912a4ap-14, 0x1.5038bcd59fc3ep-14, 0x1.502d2faa133dap-14, 0x1.501d340a58e5p-14, 0x1.5008d02194953p-14, 0x1.4ff009e0edc1ap-14, 0x1.4fd2e711e9cc1p-14, 0x1.4fb16d75ccd14p-14, 0x1.4f8ba2cab8073p-14, 0x1.4f618c00f3d73p-14, 0x1.4f332c2fe8cf1p-14, 0x1.4f009cc60a547p-14, 0x1.4ec9cc7f4c79ap-14, 0x1.4e8ec654b612ep-14, 0x1.4e4fa17bf8c96p-14, 0x1.4e0c597bd3326p-14, 0x1.4dc4f95898b4bp-14, 0x1.4d79890ae0edfp-14, 0x1.4d2a107e856fdp-14, 0x1.4cd698887b5fbp-14, 0x1.4c7f2ba2cbb49p-14, 0x1.4c23d4a1eaa33p-14, 0x1.4bc49bcd1c9acp-14, 0x1.4b61869c70facp-14, 0x1.4afa9cf7e1476p-14, 0x1.4a8fea4e4b3e4p-14, 0x1.4a2178998cc5cp-14, 0x1.49af5421e891fp-14, 0x1.49398bb3127a1p-14, 0x1.48c026026a5fcp-14, 0x1.48432614e9957p-14, 0x1.47c295e15788ap-14, 0x1.473e8387ed7f8p-14, 0x1.46b6fbeea1b55p-14, 0x1.462c0a0bf5b7cp-14, 0x1.459db7fe4e572p-14, 0x1.450c0fce9159fp-14, 0x1.44771bb37e873p-14, 0x1.43dee61ad66c1p-14, 0x1.434379a2ea953p-14, 0x1.42a4e1141fe87p-14, 0x1.4203275bb6849p-14, 0x1.415e5782e4316p-14, 0x1.40b67c9d3d7fp-14, 0x1.400ba1afc4634p-14, 0x1.3f5dd19b66d8ep-14, 0x1.3ead1716517bfp-14, 0x1.3df97cbb1f3a7p-14, 0x1.3d430d3052dd7p-14, 0x1.3c89d35fad04ap-14, 0x1.3bcddab9e4207p-14, 0x1.3b0f2f53e8fe3p-14, 0x1.3a4ddd523f018p-14, 0x1.3989ef74d5bbbp-14, 0x1.38c36e844a987p-14, 0x1.37fa63a8ca91p-14, 0x1.372edb85ec281p-14, 0x1.3660e5affc4ffp-14, 0x1.35908e3083b3bp-14, 0x1.34bdd8def0921p-14, 0x1.33e8ce28f0b11p-14, 0x1.33117bacf7017p-14, 0x1.3237ee1b806c1p-14, 0x1.315c3419f80c8p-14, 0x1.307e5f45dc18bp-14, 0x1.2f9e6d1b06ec2p-14, 0x1.2ebc566373718p-14, 0x1.2dd8362a4bddp-14, 0x1.2cf22acd837d9p-14, 0x1.2c0a274023cb1p-14, 0x1.2b1faaff25e9ap-14, 0x1.2a3492f8b66c9p-14, 0x1.2946fa6c7317p-14, 0x1.285794f229b72p-14, 0x1.27667299a798dp-14, 0x1.26739d4b869f4p-14, 0x1.257f1e333491fp-14, 0x1.2488ff0ab3461p-14, 0x1.23914a0c2d4a3p-14, 0x1.229809a51ee53p-14, 0x1.219d482a83ef1p-14, 0x1.20a10f70ec551p-14, 0x1.1fa3686c3fc9fp-14, 0x1.1ea45b8f3616bp-14, 0x1.1da3f102e82c1p-14, 0x1.1ca230c4a01dfp-14, 0x1.1b9f22e8b7adcp-14, 0x1.1a9ad03d17523p-14, 0x1.1995431a7ab1ep-14, 0x1.188e86f9ebe2p-14, 0x1.1786a6445f37p-14, 0x1.167da91f34abap-14, 0x1.15739631ab612p-14, 0x1.146878fd7503ep-14, 0x1.135c742ef0c2p-14, 0x1.124f9f9c4d2a9p-14, 0x1.1141c955826f3p-14, 0x1.1032d942420d9p-14, 0x1.0f23022abcff9p-14, 0x1.0e126c53ab309p-14, 0x1.0d00f758639a9p-14, 0x1.0beeaaa544626p-14, 0x1.0adbad127c33ap-14, 0x1.09c809c137d1ep-14, 0x1.08b3b8cb04185p-14, 0x1.079eb87e76906p-14, 0x1.06890fe23f772p-14, 0x1.0572c8f674cfcp-14, 0x1.045bed68db5f2p-14, 0x1.034485ebdca9cp-14, 0x1.022c9a9d4aa3ap-14, 0x1.0114330620758p-14, 0x1.fff6ac8b2d14ep-15, 0x1.fdc416cea7b7dp-15, 0x1.fb90b303a5163p-15, 0x1.f95c8fb1308f5p-15, 0x1.f727bb9f0e12dp-15, 0x1.f4f245497380dp-15, 0x1.f2bc3a329587ep-15, 0x1.f085a6acb11edp-15, 0x1.ee4e964e1d8cfp-15, 0x1.ec17148cb75fbp-15, 0x1.e9df2ce96e9bep-15, 0x1.e7a6ea999c916p-15, 0x1.e56e5832c3379p-15, 0x1.e335806e5dd7fp-15, 0x1.e0fc70e6258a6p-15, 0x1.dec33c55ad27bp-15, 0x1.dc89f6b1499bdp-15, 0x1.da50ac4b9757cp-15, 0x1.d8175c90a09p-15, 0x1.d5ddfb200e37bp-15, 0x1.d3a48d9c024f6p-15, 0x1.d16b7787cbac7p-15, 0x1.cf32913851fb5p-15, 0x1.ccf97e2c802acp-15, 0x1.cac0ecf356254p-15, 0x1.c888add87ae2ep-15, 0x1.c65098c7f2856p-15, 0x1.c418c43f3646cp-15, 0x1.c1e148ba3efe7p-15, 0x1.bfaa5414d7d03p-15, 0x1.bd7425dafd691p-15, 0x1.bb3eb4acae301p-15, 0x1.b9099038ddff4p-15, 0x1.b6d493485c6e6p-15, 0x1.b4a00e8a1c71fp-15, 0x1.b26c81c942927p-15, 0x1.b039d6d8deb46p-15, 0x1.ae07d17480e93p-15, 0x1.abd66cb406206p-15, 0x1.a9a5c61ad8dd2p-15, 0x1.a775d2255eb7fp-15, 0x1.a546c5e9db813p-15, 0x1.a318902196bf2p-15, 0x1.a0eb40658d829p-15, 0x1.9ebede9f9ca32p-15, 0x1.9c93724a3eb31p-15, 0x1.9a6901fb5ec7fp-15, 0x1.983f93bc59a59p-15, 0x1.96172d96a8861p-15, 0x1.93efd62e99b85p-15, 0x1.91c994df16302p-15, 0x1.8fa47018743dep-15, 0x1.8d806c7a9ec4fp-15, 0x1.8b5d8f08b951ep-15, 0x1.893bdf8df1045p-15, 0x1.871b6927b9d7dp-15, 0x1.84fc36f025a62p-15, 0x1.82de4d3c52bcap-15, 0x1.80c1c643ce978p-15, 0x1.7ea64a7f2ef53p-15, 0x1.7c8c3237ca87ep-15, 0x1.7a73679599607p-15, 0x1.785c10207969p-15, 0x1.7645fb3ea2039p-15, 0x1.74318b04895c1p-15, 0x1.721e6974e779fp-15, 0x1.700cd943e97dp-15, 0x1.6dfca613e631dp-15, 0x1.6bedd6c5896p-15, 0x1.69e08bbeebba3p-15, 0x1.67d4c9db15acap-15, 0x1.65ca9271af6ap-15, 0x1.63c1e86b7fe63p-15, 0x1.61bacf577f0c1p-15, 0x1.5fb54a98dd4c6p-15, 0x1.5db15d25fc261p-15, 0x1.5baf09e76df2fp-15, 0x1.59ae5427e6d97p-15, 0x1.57af3f17f3c4ap-15, 0x1.55b1cb162f434p-15, 0x1.53b5f603c419ep-15, 0x1.51bbd33f385a4p-15, 0x1.4fc3939934fb9p-15, 0x1.4dcd00fb9638cp-15, 0x1.4bd7f4e5f4615p-15, 0x1.49e4d070a6ebfp-15, 0x1.47f37b87cad24p-15, 0x1.4603cdc95fa5ep-15, 0x1.4415d57803eefp-15, 0x1.42299fb829f97p-15, 0x1.403f32a8618d9p-15, 0x1.3e5691b50662bp-15, 0x1.3c6fd3a2c6d4p-15, 0x1.3a8aaff8c429bp-15, 0x1.38a78c404de5p-15, 0x1.36c62efa41a03p-15, 0x1.34e6a7e01bd4dp-15, 0x1.3308fb787bf18p-15, 0x1.312d2c3a915a2p-15, 0x1.2f5339e6506ebp-15, 0x1.2d7b257fa15d8p-15, 0x1.2ba4f0f13d5c4p-15, 0x1.29d096e4734abp-15, 0x1.27fe0b7d3cf16p-15, 0x1.262d8028f1c77p-15, 0x1.245eee6417356p-15, 0x1.2292300efe553p-15, 0x1.20c756434f34ep-15, 0x1.1efe67be5f7fcp-15, 0x1.1d3765a7b6a3fp-15, 0x1.1b7250c8cda7ap-15, 0x1.19af2a12181a3p-15, 0x1.17edf27df75fep-15, 0x1.162eaae98b325p-15, 0x1.147153f1bf512p-15, 0x1.12b5ee2d69996p-15, 0x1.10fc7ad1bf1c7p-15, 0x1.0f44fb67ce84dp-15, 0x1.0d8f708e3f71fp-15, 0x1.0bdbda2ca34a8p-15, 0x1.0a2a38a2ce107p-15, 0x1.087a8ccb1e0bep-15, 0x1.06ccd762dd3fbp-15, 0x1.052118e5ea6adp-15, 0x1.037751acb4f79p-15, 0x1.01cf820601227p-15, 0x1.0029aa395ae14p-15, 0x1.fd0b94d6dc73cp-16, 0x1.f9c7c6913000ep-16, 0x1.f687e9df636ffp-16, 0x1.f34bfe4f2266ap-16, 0x1.f014045fdfdap-16, 0x1.ecdffc063e1abp-16, 0x1.e9afe50a8f723p-16, 0x1.e683bec4d16b7p-16, 0x1.e35b89480278bp-16, 0x1.e037465fc39bdp-16, 0x1.dd16f3faa1f01p-16, 0x1.d9fa8ef9576f7p-16, 0x1.d6e207cc51b9p-16, 0x1.d3cd65deae1b6p-16, 0x1.d0bcd37523786p-16, 0x1.cdb04faba1259p-16, 0x1.caa7a742c0de8p-16, 0x1.c7a2cae16bb9fp-16, 0x1.c4a1f1da19f94p-16, 0x1.c1a4ed19aef8ap-16, 0x1.beabcb79d3b76p-16, 0x1.bbb6ad727dae8p-16, 0x1.b8c568367f05cp-16, 0x1.b5d8065f1e322p-16, 0x1.b2ee896c89e43p-16, 0x1.b008ef8031113p-16, 0x1.ad273747be7ecp-16, 0x1.aa49602ed9a96p-16, 0x1.a76f731eb89dep-16, 0x1.a499705bed4fap-16, 0x1.a1c71c8993d4bp-16, 0x1.9ef83f58a868p-16, 0x1.9c2d94168314p-16, 0x1.9967386252d74p-16, 0x1.96a480dfd7d39p-16, 0x1.93e5513e2598ap-16, 0x1.9129f3404eb63p-16, 0x1.8e726eeb87b0bp-16, 0x1.8bbeb9cdeaee9p-16, 0x1.890ece7b1296fp-16, 0x1.8662a9d367ef7p-16, 0x1.83ba49c98e5a1p-16, 0x1.8115998582402p-16, 0x1.7e74b77b22c8bp-16, 0x1.7bd7aae7ee2a6p-16, 0x1.793e3c12c8567p-16, 0x1.76a88c412d10fp-16, 0x1.74169c00d4a12p-16, 0x1.718856a736811p-16, 0x1.6efdc25eed74ep-16, 0x1.6c76dc6124ae2p-16, 0x1.69f3a18243784p-16, 0x1.67740f8efa675p-16, 0x1.64f823eb93e5fp-16, 0x1.627fdbbf30f9dp-16, 0x1.600b342caaa98p-16, 0x1.5d99e6765429fp-16, 0x1.5b2cbb9d56b6ep-16, 0x1.58c2e53744837p-16, 0x1.565ca3f332c29p-16, 0x1.53f9f467b3db8p-16, 0x1.519ad55a16b1ep-16, 0x1.4f3f4287248dcp-16, 0x1.4ce739131b25p-16, 0x1.4a92b50906a48p-16, 0x1.4841b4e3b44abp-16, 0x1.45f43683d2334p-16, 0x1.43aa3409691d4p-16, 0x1.4163abcd47e1ep-16, 0x1.3f209a94301e3p-16, 0x1.3ce0fd2942d17p-16, 0x1.3aa4d05a1c874p-16, 0x1.386c10f24549dp-16, 0x1.3636bbb921e42p-16, 0x1.3404cd717004ap-16, 0x1.31d642d769effp-16, 0x1.2fab188e74fefp-16, 0x1.2d834b49ad846p-16, 0x1.2b5ed8179d924p-16, 0x1.293dbb2216ab6p-16, 0x1.271ff15bca396p-16, 0x1.2505779057556p-16, 0x1.22ee4a78a31abp-16, 0x1.20da676589d12p-16, 0x1.1ec9c4b05b219p-16, 0x1.1cbc6a422f2c1p-16, 0x1.1ab24b9c13b4fp-16, 0x1.18ab68b1bf6bfp-16, 0x1.16a7bdc610f3ep-16, 0x1.14a747e64577p-16, 0x1.12aa0411b332bp-16, 0x1.10afec7684e8dp-16, 0x1.0eb8fa8619725p-16, 0x1.0cc5318ddd655p-16, 0x1.0ad48bc09f062p-16, 0x1.08e70c53e3c96p-16, 0x1.06fca5fec5919p-16, 0x1.05155502ed28ap-16, 0x1.033118a17c4d7p-16, 0x1.014fee5142ce7p-16, 0x1.fee3a498b84ecp-17, 0x1.fb2d819117f5ep-17, 0x1.f77d6c4e8bf59p-17, 0x1.f3d3882a8446ap-17, 0x1.f02f4e6709f6ap-17, 0x1.ec91378ef99cap-17, 0x1.e8f9120d136e3p-17, 0x1.e566d719ccf0fp-17, 0x1.e1da81751f74bp-17, 0x1.de539c281e1e8p-17, 0x1.dad34c6c91ce6p-17, 0x1.d75881823dfb5p-17, 0x1.d3e37061f53c4p-17, 0x1.d0743d72755cdp-17, 0x1.cd0ae284ac0bp-17, 0x1.c9a66de05447p-17, 0x1.c647f23ee7199p-17, 0x1.c2ef68d553dfp-17, 0x1.bf9d180ecf3bp-17, 0x1.bc4f806540467p-17, 0x1.b90778a824896p-17, 0x1.b5c51532377d3p-17, 0x1.b2883a8561fe2p-17, 0x1.af50da90d0dd4p-17, 0x1.ac1eec4fa4f44p-17, 0x1.a8f2611ac4f86p-17, 0x1.a5cb46b6b2667p-17, 0x1.a2a981187deccp-17, 0x1.9f8d1021f3c3cp-17, 0x1.9c75ed14b966ep-17, 0x1.9964114e30df8p-17, 0x1.9657741614c84p-17, 0x1.93500f790bfd5p-17, 0x1.904dddf850ba3p-17, 0x1.8d50a439b446dp-17, 0x1.8a58e995baf7dp-17, 0x1.876628855006ap-17, 0x1.847875783cd53p-17, 0x1.818fd2999015p-17, 0x1.7eac3bf810b62p-17, 0x1.7bcd7f27c512fp-17, 0x1.78f3f9e51c52bp-17, 0x1.761f48fd41f8ep-17, 0x1.734f7f5a0c413p-17, 0x1.7084a75ad937fp-17, 0x1.6dbea75a898a6p-17, 0x1.6afd7ea58e3d9p-17, 0x1.6841266f4d3ebp-17, 0x1.658997ed1678cp-17, 0x1.62d6cc625c925p-17, 0x1.6028bcf44197ap-17, 0x1.5d7f605a9ada9p-17, 0x1.5adab72aac7fbp-17, 0x1.583ab30448ddep-17, 0x1.559f5018923edp-17, 0x1.530887b0d8f72p-17, 0x1.50765324d825ep-17, 0x1.4de96327b3dfep-17, 0x1.4b5f99650973p-17, 0x1.48dae983ced43p-17, 0x1.465ac00abe5fp-17, 0x1.43df09db1fce7p-17, 0x1.4167bfc849f75p-17, 0x1.3ef4db1fddd2fp-17, 0x1.3c86554fcbd84p-17, 0x1.3a1c27daf9c2p-17, 0x1.37b64cf839154p-17, 0x1.3554bd28d0b14p-17, 0x1.32f77192e3e13p-17, 0x1.309e6803d782cp-17, 0x1.2e499042ea44fp-17, 0x1.2bf8f0e603ff4p-17, 0x1.29ad0d4d0ec1bp-17, 0x1.2764293cf8ccap-17, 0x1.251ff05e41d8p-17, 0x1.22dfd467d4d4bp-17, 0x1.20a3cab4928b2p-17, 0x1.1e6bcccce1de8p-17, 0x1.1c37d07060dc1p-17, 0x1.1a07d7639c8fdp-17, 0x1.17dbd90de9eaep-17, 0x1.15b3d10dbf27ap-17, 0x1.138fb28ac7b85p-17, 0x1.116f7ad377399p-17, 0x1.0f5323a1f2ddp-17, 0x1.0d3ab184e43f8p-17, 0x1.0b25fa612c04p-17, 0x1.09151c082343cp-17, 0x1.0708102e06b32p-17, 0x1.04fee14997a29p-17, 0x1.02f98963893ddp-17, 0x1.00f6fc2a960c2p-17, 0x1.fdf184dcdda53p-18, 0x1.f9fd5a5bdbdccp-18, 0x1.f61041460d64cp-18, 0x1.f22950af24f04p-18, 0x1.ee49e8e2c7e6ep-18, 0x1.ea71ca34c5ee3p-18, 0x1.e6a0ce0c4fb9ap-18, 0x1.e2d6e213ace96p-18, 0x1.df13fe7c6ea91p-18, 0x1.db58118b288d8p-18, 0x1.d7a31451e23b4p-18, 0x1.d3f4fcf137ee3p-18, 0x1.d04dbd3aed5p-18, 0x1.ccad4ba942a65p-18, 0x1.c913e60209acp-18, 0x1.c58097d776193p-18, 0x1.c1f43cf597669p-18, 0x1.be6e896fcf45fp-18, 0x1.baef121ba80cep-18, 0x1.b776dbdcca503p-18, 0x1.b404d000131a5p-18, 0x1.b09938bd99c5dp-18, 0x1.ad34081b52541p-18, 0x1.a9d53ed6d2277p-18, 0x1.a67cd1e5114acp-18, 0x1.a32a9226ecf23p-18, 0x1.9fde982ba7335p-18, 0x1.9c98dd08e8aa3p-18, 0x1.99597721c5a7p-18, 0x1.961f9571671bfp-18, 0x1.92ecb300e8d22p-18, 0x1.8fbedd301aa12p-18, 0x1.8c981f6eb998ap-18, 0x1.8976d41dc964p-18, 0x1.865b778e329b3p-18, 0x1.8345fea9e40d3p-18, 0x1.8036615528c81p-18, 0x1.7d2c94ec6f316p-18, 0x1.7a288fef2e5a3p-18, 0x1.772a2e9ada8a8p-18, 0x1.7431b48dc65a6p-18, 0x1.713ec906feb8ep-18, 0x1.6e517ea75828ep-18, 0x1.6b69e75b657e2p-18, 0x1.68879fc50efb9p-18, 0x1.65aaf8afb4d35p-18, 0x1.62d3cbd569833p-18, 0x1.60020f6cb724p-18, 0x1.5d35bb79713bcp-18, 0x1.5a6ef8357b268p-18, 0x1.57ad206577c91p-18, 0x1.54f0fec80950bp-18, 0x1.5239ae1a1ea08p-18, 0x1.4f87cfe1533a7p-18, 0x1.4cdb21a565b01p-18, 0x1.4a339f20af1fap-18, 0x1.4791b15e94bcfp-18, 0x1.44f3dc1d29aebp-18, 0x1.425b8eb6f64e3p-18, 0x1.3fc846e017894p-18, 0x1.3d39f8f6bbe02p-18, 0x1.3ab09bc801a3bp-18, 0x1.38268ab929f77p-18, 0x1.35ac91692620ep-18, 0x1.3331de6aceb44p-18, 0x1.30bc36b680bbdp-18, 0x1.2e4b6b51ad731p-18, 0x1.2bdd8c7412dadp-18, 0x1.2975d2a4115eep-18, 0x1.2714407364486p-18, 0x1.24b58911aa38fp-18, 0x1.225b591667c46p-18, 0x1.200652ea1c086p-18, 0x1.1db5aee9a0d3cp-18, 0x1.1b6996cda8fddp-18, 0x1.1921f29ff663fp-18, 0x1.16dec6a7fa7afp-18, 0x1.14a0057761371p-18, 0x1.1265a8dccbff2p-18, 0x1.102fa88b29dc1p-18, 0x1.0dfdfcc022b45p-18, 0x1.0bd09dea97495p-18, 0x1.09a7849293768p-18, 0x1.0782a911914e7p-18, 0x1.0562054a84c6dp-18, 0x1.03457bd3df4aep-18, 0x1.012d5132a0602p-18, 0x1.fe320ec2bf5f1p-19, 0x1.fa11e33d02fb8p-19, 0x1.f5f9d3d4744f1p-19, 0x1.f1e9da467b1d7p-19, 0x1.ede1d54abcef9p-19, 0x1.e9e1c8954d0acp-19, 0x1.e5e998b348c32p-19, 0x1.e1f9468bba1f6p-19, 0x1.de10c20981005p-19, 0x1.da30201569c81p-19, 0x1.d656dde8a41cap-19, 0x1.d2855f43674bcp-19, 0x1.cebb727ef3ddep-19, 0x1.caf85f42c381p-19, 0x1.c73e1abb1b05fp-19, 0x1.c38a7c2fbef47p-19, 0x1.bfde44e979003p-19, 0x1.bc395b05b6394p-19, 0x1.b89bb052f05d9p-19, 0x1.b50537d747e9ap-19, 0x1.b175e5fda2106p-19, 0x1.adedb0c23601ap-19, 0x1.aa6c83ca998bdp-19, 0x1.a6f24dde5208ap-19, 0x1.a37f005cb442ep-19, 0x1.a0129f772b9c6p-19, 0x1.9cad0943243b4p-19, 0x1.994e4e8739ba9p-19, 0x1.95f70a77f0fc5p-19, 0x1.92a4fcfa0c489p-19, 0x1.8f5a45d251b69p-19, 0x1.8c162cf47ba5p-19, 0x1.88d89fbed149dp-19, 0x1.85a197b7b1b57p-19, 0x1.8270b339fae1dp-19, 0x1.7f46baf69da0bp-19, 0x1.7c22db1a57698p-19, 0x1.7905542bf365fp-19, 0x1.75ee607de98bbp-19, 0x1.72de47858b2f1p-19, 0x1.6fd0db3925b49p-19, 0x1.6ccbcf39a89fdp-19, 0x1.69cf8f9dcb00cp-19, 0x1.66d6a18414aeep-19, 0x1.63e379196679fp-19, 0x1.60f6fb7afdd17p-19, 0x1.5e0fc1328be39p-19, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{-0x1.3de7d9d2d4a86p-1, -0x1.3dea565f57892p-1, -0x1.3ded8dd8656f8p-1, -0x1.3df034e160bb5p-1, -0x1.3df0a534900e7p-1, -0x1.3decfad9d6da1p-1, -0x1.3de32fd2d4493p-1, -0x1.3dd1349217adap-1, -0x1.3db5049104783p-1, -0x1.3d8cb6e6ccc98p-1, -0x1.3d568b0c0e54ap-1, -0x1.3d10f21a1940dp-1, -0x1.3cba94e63b0b4p-1, -0x1.3c525761fe37p-1, -0x1.3bd759ad26911p-1, -0x1.3b48f74624639p-1, -0x1.3aa6c4c200fe8p-1, -0x1.39f08c6d9e51fp-1, -0x1.39264a2ff188p-1, -0x1.384826f8bbcbap-1, -0x1.375673f9e13aep-1, -0x1.3651a5dc2d875p-1, -0x1.353a5013a6b2ap-1, -0x1.3411206c4cf5ep-1, -0x1.32d6dadea4c62p-1, -0x1.318c55b3cd1fap-1, -0x1.303275fb290fap-1, -0x1.2eca2c4fa754p-1, -0x1.2d5471e82bf5bp-1, -0x1.2bd245ed4fbd6p-1, -0x1.2a44ab0e3cfbdp-1, -0x1.28aca54eaee6cp-1, -0x1.270b3808b5d0bp-1, -0x1.2561641db7964p-1, -0x1.23b02653118afp-1, -0x1.21f875d78c60cp-1, -0x1.203b42ef9b82p-1, -0x1.1e7975c6ef9e3p-1, -0x1.1cb3ed664cd41p-1, -0x1.1aeb7eccd7f73p-1, -0x1.1920f42c28619p-1, -0x1.17550c4661a47p-1, -0x1.158879ed85809p-1, -0x1.13bbe3a2f4f43p-1, -0x1.11efe355e7e15p-1, -0x1.1025063f614b4p-1, -0x1.0e5bccd9ec895p-1, -0x1.0c94aaf337f4cp-1, -0x1.0ad007d572f6ep-1, -0x1.090e3e8632679p-1, -0x1.074f9e187bdcep-1, -0x1.05946a0f95409p-1, -0x1.03dcdad02a20cp-1, -0x1.02291e1d5b44p-1, -0x1.0079579f6bd43p-1, -0x1.fd9b42e3881efp-2, -0x1.fa4c196c66b7bp-2, -0x1.f7054456e39b7p-2, -0x1.f3c6c58a278e3p-2, -0x1.f090908693d33p-2, -0x1.ed628b91edb92p-2, -0x1.ea3c90dda6f06p-2, -0x1.e71e6fa50ca4ap-2, -0x1.e407ed4182cbfp-2, -0x1.e0f8c6334e5d3p-2, -0x1.ddf0af1db386p-2, -0x1.daef55b590608p-2, -0x1.d7f461a1cbb5cp-2, -0x1.d4ff754d3f671p-2, -0x1.d2102ea9f91b7p-2, -0x1.cf2627e5e177ap-2, -0x1.cc40f81103ee3p-2, -0x1.c96033b5d4d52p-2, -0x1.c6836d63fa93bp-2, -0x1.c3aa362e31335p-2, -0x1.c0d41e1bf1a66p-2, -0x1.be00b48fa23ep-2, -0x1.bb2f88a20ddd1p-2, -0x1.b8602973f7a78p-2, -0x1.b592267692688p-2, -0x1.b2c50fabb4836p-2, -0x1.aff875de8b433p-2, -0x1.ad2bead59aee1p-2, -0x1.aa5f017ec6159p-2, -0x1.a7914e1612a8ep-2, -0x1.a4c26647d53b1p-2, -0x1.a1f1e14ee92d3p-2, -0x1.9f1f580f7a1d6p-2, -0x1.9c4a652ef6c72p-2, -0x1.9972a52997539p-2, -0x1.9697b665ef2ap-2, -0x1.93b93946e1559p-2, -0x1.90d6d03c560ffp-2, -0x1.8df01fd2ef022p-2, -0x1.8b04cec3017c3p-2, -0x1.881485ff014c6p-2, -0x1.851ef0c18912p-2, -0x1.8223bc9b241d1p-2, -0x1.7f22997fe4d82p-2, -0x1.7c1b39d4eb5dap-2, -0x1.790d527dce247p-2, -0x1.75f89ae9ff286p-2, -0x1.72dccd221aa3ep-2, -0x1.6fb9a5d521ffep-2, -0x1.6c8ee465986a6p-2, -0x1.695c4af670ceep-2, -0x1.66219e77bffe2p-2, -0x1.62dea6b31fac8p-2, -0x1.5f932e57b4321p-2, -0x1.5c3f0305bd4efp-2, -0x1.58e1f5599db6dp-2, -0x1.557bd8f646ebep-2, -0x1.520c848ef841cp-2, -0x1.4e93d1f039b97p-2, -0x1.4b119e08018f1p-2, -0x1.4785c8ecf514fp-2, -0x1.43f035e4b657ep-2, -0x1.4050cb692b34p-2, -0x1.3ca7732cb9e39p-2, -0x1.38f41a1d649a3p-2, -0x1.3536b066c6dp-2, -0x1.316f2972e548fp-2, -0x1.2d9d7be9cf151p-2, -0x1.29c1a1b008815p-2, -0x1.25db97e3bff83p-2, -0x1.21eb5ed8ce94dp-2, -0x1.1df0fa1381543p-2, -0x1.19ec70422df94p-2, -0x1.15ddcb359cdf2p-2, -0x1.11c517d846d9ep-2, -0x1.0da2662475a73p-2, -0x1.0975c91944be4p-2, -0x1.053f56ae94f63p-2, -0x1.00ff27c7fa0c8p-2, -0x1.f96ab04d54cf9p-3, -0x1.f0c40cb503976p-3, -0x1.e80aa7643c11ep-3, -0x1.df3ec8544cbddp-3, -0x1.d660bcb794a04p-3, -0x1.cd70d6d50bf99p-3, -0x1.c46f6de26c411p-3, -0x1.bb5cdddd23629p-3, -0x1.b23987621f6f5p-3, -0x1.a905cf84942f8p-3, -0x1.9fc21fa3e5adep-3, -0x1.966ee540b5fbp-3, -0x1.8d0c91d150367p-3, -0x1.839b9a957e0f7p-3, -0x1.7a1c7869df7c7p-3, -0x1.708fa79aec3f6p-3, -0x1.66f5a7b7ac67ep-3, -0x1.5d4efb64477e1p-3, -0x1.539c282c7f71fp-3, -0x1.49ddb6563294bp-3, -0x1.401430b3f632ap-3, -0x1.36402477de098p-3, -0x1.2c6221069207bp-3, -0x1.227ab7caad0dap-3, -0x1.188a7c0896d41p-3, -0x1.0e9202b2c4bc9p-3, -0x1.0491e23e98f65p-3, -0x1.f51564f39afdbp-4, -0x1.e0fa18c11fdeep-4, -0x1.ccd313e89df29p-4, -0x1.b8a18c26964eep-4, -0x1.a466b8a1db14ap-4, -0x1.9023d19e032e4p-4, -0x1.7bda102f7defbp-4, -0x1.678aadf18e316p-4, -0x1.5336e4be11ce3p-4, -0x1.3edfee6741255p-4, -0x1.2a8704735a232p-4, -0x1.162d5fda4bbfdp-4, -0x1.01d438c56b736p-4, -0x1.daf98ca269402p-5, -0x1.b2507ca2346dcp-5, -0x1.89afaa2adf618p-5, -0x1.61197a66cb54fp-5, -0x1.38904e9e47fbp-5, -0x1.101683cffc557p-5, -0x1.cf5ce49ade25dp-6, -0x1.7eb4dab79ad5ap-6, -0x1.2e3985b199dd3p-6, -0x1.bbdeeb8eac81p-7, -0x1.1bb65e2925e27p-7, -0x1.f00947a4953c5p-9, 0x1.19a3293b215d5p-10, 0x1.83ca1d8dbdd76p-8, 0x1.60070f885e794p-7, 0x1.fd91e9d0d1c14p-7, 0x1.4d3e9f6277f01p-6, 0x1.9b6067946774dp-6, 0x1.e92a3e1860defp-6, 0x1.1b4c121110faep-5, 0x1.41d315eccad69p-5, 0x1.68283c5751702p-5, 0x1.8e499fd335516p-5, 0x1.b43563d1146b1p-5, 0x1.d9e9b4cfefe86p-5, 0x1.ff64c87a7b405p-5, 0x1.12526ee0b7b66p-4, 0x1.24d41e798a4bap-4, 0x1.37369be803675p-4, 0x1.497914cea2faep-4, 0x1.5b9abb99daed8p-4, 0x1.6d9ac78692253p-4, 0x1.7f7874a76fa76p-4, 0x1.913303e902652p-4, 0x1.a2c9bb14c4a64p-4, 0x1.b43be4d3132c5p-4, 0x1.c588d0ac1d279p-4, 0x1.d6afd307d1914p-4, 0x1.e7b0452cdd9ebp-4, 0x1.f889853ecabb1p-4, 0x1.049d7b1d9b059p-3, 0x1.0ce1fffb1a6b5p-3, 0x1.1512078afc98p-3, 0x1.1d2d4a86da8c3p-3, 0x1.2533840bdc4dcp-3, 0x1.2d24719781979p-3, 0x1.34ffd30408e5dp-3, 0x1.3cc56a8490245p-3, 0x1.4474fca0f2832p-3, 0x1.4c0e50315b866p-3, 0x1.53912e5994998p-3, 0x1.5afd628424039p-3, 0x1.6252ba5d29e35p-3, 0x1.699105cd0a268p-3, 0x1.70b816f2e701bp-3, 0x1.77c7c21eecc99p-3, 0x1.7ebfddcc7555dp-3, 0x1.85a0429c0672bp-3, 0x1.8c68cb4d2375ep-3, 0x1.931954b80d3c6p-3, 0x1.99b1bdc758d0bp-3, 0x1.a031e7716f32p-3, 0x1.a699b4b1f55c4p-3, 0x1.ace90a8320f55p-3, 0x1.b31fcfd6f7debp-3, 0x1.b93ded907d4dcp-3, 0x1.bf434e7cd6fa1p-3, 0x1.c52fdf4c5ef1p-3, 0x1.cb038e8baf41bp-3, 0x1.d0be4c9caa23ep-3, 0x1.d6600baf70878p-3, 0x1.dbe8bfbb5fad4p-3, 0x1.e1585e7805f3ep-3, 0x1.e6aedf5616c3ep-3, 0x1.ebec3b7862e15p-3, 0x1.f1106daccd38fp-3, 0x1.f61b726545d56p-3, 0x1.fb0d47b0ca1b6p-3, 0x1.ffe5ed3465e7cp-3, 0x1.0252b212207e9p-2, 0x1.04a5d79e57fb6p-2, 0x1.06ec695da6932p-2, 0x1.09266a2c10324p-2, 0x1.0b53dd9f64532p-2, 0x1.0d74c803db936p-2, 0x1.0f892e58ba207p-2, 0x1.1191164cf618cp-2, 0x1.138c863be87bbp-2, 0x1.157b8529fe89cp-2, 0x1.175e1ac178568p-2, 0x1.19344f4f2b4fdp-2, 0x1.1afe2bbf499bdp-2, 0x1.1cbbb99a34752p-2, 0x1.1e6d0301543f5p-2, 0x1.201212abf966bp-2, 0x1.21aaf3e441a64p-2, 0x1.2337b28408bdp-2, 0x1.24b85af1dca7dp-2, 0x1.262cfa1dff7dap-2, 0x1.27959d7f6a9d8p-2, 0x1.28f25310dcdb7p-2, 0x1.2a43294df1082p-2, 0x1.2b882f303a30fp-2, 0x1.2cc1742c691bbp-2, 0x1.2def082f78ccp-2, 0x1.2f10fb9be1a1fp-2, 0x1.30275f46d6252p-2, 0x1.313244758587cp-2, 0x1.3231bcda6614p-2, 0x1.3325da928713ep-2, 0x1.340eb022eaa38p-2, 0x1.34ec5075e3785p-2, 0x1.35beced87ef96p-2, 0x1.36863ef7f1fbp-2, 0x1.3742b4df0d64ep-2, 0x1.37f444f3ba527p-2, 0x1.389b03f47e1d8p-2, 0x1.393706f6010cfp-2, 0x1.39c863609e3f7p-2, 0x1.3a4f2eedfbf14p-2, 0x1.3acb7fa6a4334p-2, 0x1.3b3d6bdfa981p-2, 0x1.3ba50a384d1a1p-2, 0x1.3c027197af781p-2, 0x1.3c55b92a83d9ap-2, 0x1.3c9ef860c7c21p-2, 0x1.3cde46eb85e8bp-2, 0x1.3d13bcba9a79dp-2, 0x1.3d3f71fa7b4d3p-2, 0x1.3d617f120b1acp-2, 0x1.3d79fca06d915p-2, 0x1.3d89037ae1242p-2, 0x1.3d8eacaaa0531p-2, 0x1.3d8b116ac595fp-2, 0x1.3d7e4b2635706p-2, 0x1.3d6873758d5cp-2, 0x1.3d49a41d17f9cp-2, 0x1.3d21f70ac5a93p-2, 0x1.3cf1865429858p-2, 0x1.3cb86c347c1a5p-2, 0x1.3c76c30aa2ef1p-2, 0x1.3c2ca5573b264p-2, 0x1.3bda2dbaaa455p-2, 0x1.3b7f76f332f17p-2, 0x1.3b1c9bdb0f645p-2, 0x1.3ab1b7668e13ap-2, 0x1.3a3ee4a23481p-2, 0x1.39c43eb0e7c18p-2, 0x1.3941e0ca17a8cp-2, 0x1.38b7e637ed08p-2, 0x1.38266a55812ap-2, 0x1.378d888d14ddap-2, 0x1.36ed5c56504cfp-2, 0x1.3646013482633p-2, 0x1.359792b4e9e06p-2, 0x1.34e22c6cffbdcp-2, 0x1.3425e9f8c6da3p-2, 0x1.3362e6f91f2adp-2, 0x1.32993f1222281p-2, 0x1.31c90de97b45bp-2, 0x1.30f26f24ce0cep-2, 0x1.30157e681a73fp-2, 0x1.2f3257542ae31p-2, 0x1.2e491584ff958p-2, 0x1.2d59d490495f8p-2, 0x1.2c64b003debc8p-2, 0x1.2b69c3643bdc1p-2, 0x1.2a692a2b05522p-2, 0x1.2962ffc5900fp-2, 0x1.28575f936fef5p-2, 0x1.274664e506bd7p-2, 0x1.26302afa1bfdfp-2, 0x1.2514cd007a743p-2, 0x1.23f466128e176p-2, 0x1.22cf11360d068p-2, 0x1.21a4e95a9f9acp-2, 0x1.207609589297cp-2, 0x1.1f428bef8bff8p-2, 0x1.1e0a8bc544bc4p-2, 0x1.1cce23644aa65p-2, 0x1.1b8d6d3ac36a7p-2, 0x1.1a488399383c5p-2, 0x1.18ff80b1657e3p-2, 0x1.17b27e9510912p-2, 0x1.16619734e1294p-2, 0x1.150ce45f436eep-2, 0x1.13b47fbf4b703p-2, 0x1.125882dba321fp-2, 0x1.10f9071578d0ap-2, 0x1.0f9625a775ec7p-2, 0x1.0e2ff7a4bdc04p-2, 0x1.0cc695f7eb474p-2, 0x1.0b5a19621a723p-2, 0x1.09ea9a79f6427p-2, 0x1.087831aac918dp-2, 0x1.0702f7339802bp-2, 0x1.058b03263e071p-2, 0x1.04106d6692e35p-2, 0x1.02934da992384p-2, 0x1.0113bb748e971p-2, 0x1.ff239c38c3d5fp-3, 0x1.fc1b39895b701p-3, 0x1.f90e7cbe308b4p-3, 0x1.f5fd9355299p-3, 0x1.f2e8aa6563637p-3, 0x1.efcfee9dcc48ap-3, 0x1.ecb38c43e02e3p-3, 0x1.e993af325c303p-3, 0x1.e67082d805743p-3, 0x1.e34a3236835f1p-3, 0x1.e020e7e138e9cp-3, 0x1.dcf4cdfc2dcb2p-3, 0x1.d9c60e3b04d3cp-3, 0x1.d694d1dffe99ep-3, 0x1.d36141bb04109p-3, 0x1.d02b8628bbac1p-3, 0x1.ccf3c711b1003p-3, 0x1.c9ba2be97d3ecp-3, 0x1.c67edbae04d2ep-3, 0x1.c341fce6b7ap-3, 0x1.c003b5a3e2d8p-3, 0x1.bcc42b7e09dbp-3, 0x1.b98383954b67dp-3, 0x1.b641e290d23b9p-3, 0x1.b2ff6c9e4cbacp-3, 0x1.afbc4571746f9p-3, 0x1.ac7890439c91dp-3, 0x1.a9346fd34dc04p-3, 0x1.a5f00663e7014p-3, 0x1.a2ab75bd4f79ap-3, 0x1.9f66df2bae4c1p-3, 0x1.9c22637f2981dp-3, 0x1.98de230bb92e4p-3, 0x1.959a3da8fb741p-3, 0x1.9256d2b21075p-3, 0x1.8f14010588bap-3, 0x1.8bd1e70558019p-3, 0x1.8890a296ce369p-3, 0x1.85505122a2df4p-3, 0x1.82110f94fc26dp-3, 0x1.7ed2fa5d8da6dp-3, 0x1.7b962d6fb56ddp-3, 0x1.785ac442a6387p-3, 0x1.7520d9d1952e5p-3, 0x1.71e8889bfa188p-3, 0x1.6eb1eaa5d159fp-3, 0x1.6b7d1977dd068p-3, 0x1.684a2e2004c42p-3, 0x1.65194131a3321p-3, 0x1.61ea6ac5f21a9p-3, 0x1.5ebdc27c6eb8ep-3, 0x1.5b935f7b488e7p-3, 0x1.586b586fdd68ep-3, 0x1.5545c38f38ed3p-3, 0x1.5222b69695e55p-3, 0x1.4f0246cbee819p-3, 0x1.4be488fe8e5c9p-3, 0x1.48c99187ae2bfp-3, 0x1.45b1744b10529p-3, 0x1.429c44b7ab856p-3, 0x1.3f8a15c853adfp-3, 0x1.3c7afa046c79fp-3, 0x1.396f0380a2f44p-3, 0x1.366643dfa9c16p-3, 0x1.3360cc52f9c1ep-3, 0x1.305ead9ba0c7dp-3, 0x1.2d5ff80b031a1p-3, 0x1.2a64bb83b9ff1p-3, 0x1.276d077a6190dp-3, 0x1.2478eaf676667p-3, 0x1.2188749338843p-3, 0x1.1e9bb28089e6ap-3, 0x1.1bb2b283db1f5p-3, 0x1.18cd81f9146e2p-3, 0x1.15ec2dd387a56p-3, 0x1.130ec29ee3d0cp-3, 0x1.10354c802b7fcp-3, 0x1.0d5fd736b0574p-3, 0x1.0a8e6e1d0f83ep-3, 0x1.07c11c2a35368p-3, 0x1.04f7ebf25e5d7p-3, 0x1.0232e7a822497p-3, 0x1.fee4323aec528p-4, 0x1.f96b1389843b3p-4, 0x1.f3fa8563ceb16p-4, 0x1.ee929936ade8dp-4, 0x1.e9335fb63ff8bp-4, 0x1.e3dce8e0100cfp-4, 0x1.de8f43fd408d5p-4, 0x1.d94a7fa4bc4e4p-4, 0x1.d40ea9bd6b468p-4, 0x1.cedbcf806906fp-4, 0x1.c9b1fd7b4079cp-4, 0x1.c4913f9225decp-4, 0x1.bf79a10237d1cp-4, 0x1.ba6b2c63be8e1p-4, 0x1.b565ebac6eb7p-4, 0x1.b069e831aa5ep-4, 0x1.ab772aaace592p-4, 0x1.a68dbb336e021p-4, 0x1.a1ada14da24f1p-4, 0x1.9cd6e3e450204p-4, 0x1.9809894d6c702p-4, 0x1.9345974c48f6p-4, 0x1.8e8b1313dc08ap-4, 0x1.89da014906be6p-4, 0x1.85326604de64ap-4, 0x1.809444d6f3819p-4, 0x1.7bffa0c797f3fp-4, 0x1.77747c5a2702bp-4, 0x1.72f2d98f43387p-4, 0x1.6e7ab9e721f79p-4, 0x1.6a0c1e63c70c4p-4, 0x1.65a7078b47cfp-4, 0x1.614b756a05d56p-4, 0x1.5cf96794efcbp-4, 0x1.58b0dd2bb78f6p-4, 0x1.5471d4db09622p-4, 0x1.503c4cdec8ddp-4, 0x1.4c1043043a0d3p-4, 0x1.47edb4ac35ceap-4, 0x1.43d49ecd57ff7p-4, 0x1.3fc4fdf626d6bp-4, 0x1.3bbece4f3c848p-4, 0x1.37c20b9d6b5e7p-4, 0x1.33ceb143db2f1p-4, 0x1.2fe4ba4628cf7p-4, 0x1.2c04214a7eb68p-4, 0x1.282ce09babc7p-4, 0x1.245ef22b344e4p-4, 0x1.209a4f935e70cp-4, 0x1.1cdef2193fd1cp-4, 0x1.192cd2aec0ac5p-4, 0x1.1583e9f49e661p-4, 0x1.11e4303c6ac97p-4, 0x1.0e4d9d8a802b4p-4, 0x1.0ac02997fcc64p-4, 0x1.073bcbd4ade7fp-4, 0x1.03c07b68fded7p-4, 0x1.004e2f37d947cp-4, 0x1.f9c9bbc1280e3p-5, 0x1.f308fb8187943p-5, 0x1.ec5a09ec32a4cp-5, 0x1.e5bcd2c07270fp-5, 0x1.df314144fd9dfp-5, 0x1.d8b7404ba6282p-5, 0x1.d24eba34d8d3dp-5, 0x1.cbf798f310a87p-5, 0x1.c5b1c60e62b2p-5, 0x1.bf7d2aa7d2dffp-5, 0x1.b959af7cc3a09p-5, 0x1.b3473cea44c4fp-5, 0x1.ad45baf05c688p-5, 0x1.a7551135524fdp-5, 0x1.a1752708de134p-5, 0x1.9ba5e3674b6f3p-5, 0x1.95e72cfca9236p-5, 0x1.9038ea27d8da9p-5, 0x1.8a9b00fd99729p-5, 0x1.850d574b8768bp-5, 0x1.7f8fd29b125f7p-5, 0x1.7a22583466ac8p-5, 0x1.74c4cd2155256p-5, 0x1.6f77163018703p-5, 0x1.6a3917f6329c2p-5, 0x1.650ab6d319d11p-5, 0x1.5febd6f2f90e4p-5, 0x1.5adc5c515576ap-5, 0x1.55dc2abbafbebp-5, 0x1.50eb25d40e618p-5, 0x1.4c0931139642cp-5, 0x1.47362fccff6d4p-5, 0x1.4272052f06a73p-5, 0x1.3dbc9446ddf7bp-5, 0x1.3915c00288c48p-5, 0x1.347d6b332aebp-5, 0x1.2ff3788f5670dp-5, 0x1.2b77cab5495f3p-5, 0x1.270a442d1e99dp-5, 0x1.22aac76b03a28p-5, 0x1.1e5936d13f918p-5, 0x1.1a1574b267cafp-5, 0x1.15df63534dfcp-5, 0x1.11b6e4ed12af5p-5, 0x1.0d9bdbaf150c9p-5, 0x1.098e29c0e1e3dp-5, 0x1.058db14414ffcp-5, 0x1.019a54562b575p-5, 0x1.fb67ea24b9451p-6, 0x1.f3b4eb26af76bp-6, 0x1.ec1b6fea0452bp-6, 0x1.e49b3cac549dp-6, 0x1.dd3415b45599fp-6, 0x1.d5e5bf5519096p-6, 0x1.ceaffdf131775p-6, 0x1.c79295fdd0371p-6, 0x1.c08d4c05c51c6p-6, 0x1.b99fe4ac745a8p-6, 0x1.b2ca24b0b7fb2p-6, 0x1.ac0bd0efaa1c8p-6, 0x1.a564ae676771fp-6, 0x1.9ed48239bb3fep-6, 0x1.985b11aeac617p-6, 0x1.91f822371b318p-6, 0x1.8bab796f28908p-6, 0x1.8574dd20a06f2p-6, 0x1.7f54134559caap-6, 0x1.7948e2096c707p-6, 0x1.73530fcd80cbbp-6, 0x1.6d726328d3b23p-6, 0x1.67a6a2eb6d91p-6, 0x1.61ef96200ce47p-6, 0x1.5c4d040e2d8a8p-6, 0x1.56beb43bfbacep-6, 0x1.51446e700485ap-6, 0x1.4bddfab32ccdbp-6, 0x1.468b215254231p-6, 0x1.414baae007e9ap-6, 0x1.3c1f60361cd6ep-6, 0x1.37060a774b4e6p-6, 0x1.31ff7310a7dadp-6, 0x1.2d0b63bb1a3eap-6, 0x1.2829a67ccb5fp-6, 0x1.235a05aa7167dp-6, 0x1.1e9c4be8b10bdp-6, 0x1.19f0442d53d84p-6, 0x1.1555b9c07d2p-6, 0x1.10cc783dcd4f3p-6, 0x1.0c544b9591e96p-6, 0x1.07ed000daba4dp-6, 0x1.03966242c8f67p-6, 0x1.fea07e525a6e1p-7, 0x1.f634c81b6898p-7, 0x1.ede93d2d79f74p-7, 0x1.e5bd7989e9fd2p-7, 0x1.ddb119e822bb7p-7, 0x1.d5c3bbb76ebbdp-7, 0x1.cdf4fd20262d3p-7, 0x1.c6447d052db21p-7, 0x1.beb1db050fda7p-7, 0x1.b73cb77b66d58p-7, 0x1.afe4b381d9c59p-7, 0x1.a8a970f10c01p-7, 0x1.a18a9261f03fdp-7, 0x1.9a87bb2e284edp-7, 0x1.93a08f71583dap-7, 0x1.8cd4b409a7d87p-7, 0x1.8623ce9861b15p-7, 0x1.7f8d8582e6996p-7, 0x1.79117ff2d3a1p-7, 0x1.72af65d6d96b9p-7, 0x1.6c66dfe2eaa14p-7, 0x1.66379790d5564p-7, 0x1.6021372062011p-7, 0x1.5a236997c1412p-7, 0x1.543ddac3a8047p-7, 0x1.4e7037377b289p-7, 0x1.48ba2c4d5683fp-7, 0x1.431b682639834p-7, 0x1.3d9399a9eef42p-7, 0x1.38227086eec36p-7, 0x1.32c79d328cfe4p-7, 0x1.2d82d0e85fdb2p-7, 0x1.2853bdaa67b18p-7, 0x1.233a1640a4948p-7, 0x1.1e358e38de975p-7, 0x1.1945d9e63ec8p-7, 0x1.146aae610d2e4p-7, 0x1.0fa3c1861b0c7p-7, 0x1.0af0c9f66ffb1p-7, 0x1.06517f16c62d5p-7, 0x1.01c5990eedcd6p-7, 0x1.fa99a192ca3e2p-8, 0x1.f1cdbfe4ec1bp-8, 0x1.e92701efe2fap-8, 0x1.e0a4de1081c4bp-8, 0x1.d846cc2378c82p-8, 0x1.d00c4583e6f1ap-8, 0x1.c7f4c509dc68ep-8, 0x1.bfffc708ec14fp-8, 0x1.b82cc94e194f9p-8, 0x1.b07b4b1e94333p-8, 0x1.a8eacd35ad379p-8, 0x1.a17ad1c31caf8p-8, 0x1.9a2adc6957c9cp-8, 0x1.92fa723b54e3cp-8, 0x1.8be919babccb1p-8, 0x1.84f65ad649e02p-8, 0x1.7e21bee6f4fa6p-8, 0x1.776ad0aea08a1p-8, 0x1.70d11c5596d5ap-8, 0x1.6a542f6881868p-8, 0x1.63f398d6160fcp-8, 0x1.5daee8ed38dc6p-8, 0x1.5785b15a418fep-8, 0x1.5177852506904p-8, 0x1.4b83f8ae53f1p-8, 0x1.45aaa1adc8d31p-8, 0x1.3feb172f346b2p-8, 0x1.3a44f19083b4ep-8, 0x1.34b7ca7eebce7p-8, 0x1.2f433cf4e52eep-8, 0x1.29e6e5374b075p-8, 0x1.24a260d3101abp-8, 0x1.1f754e9ae26a7p-8, 0x1.1a5f4ea41ef67p-8, 0x1.15600244e4988p-8, 0x1.10770c11161f6p-8, 0x1.0ba40fd7ceb16p-8, 0x1.06e6b2a123df4p-8, 0x1.023e9aaadbbfap-8, 0x1.fb56decd33ef7p-9, 0x1.f259b2eceee12p-9, 0x1.e98505561860fp-9, 0x1.e0d82c0084e94p-9, 0x1.d8527f35f6fb4p-9, 0x1.cff3598c6fe59p-9, 0x1.c7ba17e114982p-9, 0x1.bfa61952a8a3cp-9, 0x1.b7b6bf3c21fdap-9, 0x1.afeb6d2f5a096p-9, 0x1.a84388f00b32bp-9, 0x1.a0be7a6d7d52p-9, 0x1.995babbe457dbp-9, 0x1.921a8919dfdadp-9, 0x1.8afa80d3f3956p-9, 0x1.83fb0356adc88p-9, 0x1.7d1b831d79499p-9, 0x1.765b74af13c2ap-9, 0x1.6fba4e998b702p-9, 0x1.6937896b0275cp-9, 0x1.62d29fadfc8d3p-9, 0x1.5c8b0de2df816p-9, 0x1.5660527b67908p-9, 0x1.5051edd4951ep-9, 0x1.4a5f623232882p-9, 0x1.448833b8cb6bbp-9, 0x1.3ecbe868f2dcbp-9, 0x1.392a08197024fp-9, 0x1.33a21c72885dap-9, 0x1.2e33b0e8a9d7ap-9, 0x1.28de52b69f0cp-9, 0x1.23a190d943bafp-9, 0x1.1e7cfc09f1d7cp-9, 0x1.197026b8fec89p-9, 0x1.147aa5096d242p-9, 0x1.0f9c0ccaef38bp-9, 0x1.0ad3f575c5433p-9, 0x1.0621f8247bd7bp-9, 0x1.0185af906a899p-9, 0x1.f9fd7016b1fdep-10, 0x1.f1195ef6b14e3p-10, 0x1.e85e6aab068e6p-10, 0x1.dfcbd53277234p-10, 0x1.d760e39620948p-10, 0x1.cf1cdde042ea2p-10, 0x1.c6ff0f125c868p-10, 0x1.bf06c51b9b919p-10, 0x1.b73350cfaf182p-10, 0x1.af8405dcf0681p-10, 0x1.a7f83ac3180a1p-10, 0x1.a08f48c9f079cp-10, 0x1.99488bf8568fp-10, 0x1.9223630aa667fp-10, 0x1.8b1f2f69d1361p-10, 0x1.843b55225b66ap-10, 0x1.7d773adb59aa7p-10, 0x1.76d249ce05fcep-10, 0x1.704bedbb7508ep-10, 0x1.69e394e5b1ep-10, 0x1.6398b005d6738p-10, 0x1.5d6ab243c6e36p-10, 0x1.5759112d7c361p-10, 0x1.516344af0e776p-10, 0x1.4b88c709c3c49p-10, 0x1.45c914cbe8e0cp-10, 0x1.4023acc8d3729p-10, 0x1.3a9810107b8cp-10, 0x1.3525c1e6e2884p-10, 0x1.2fcc47bd25c08p-10, 0x1.2a8b29288b57ap-10, 0x1.2561efdb65a5p-10, 0x1.2050279caddd7p-10, 0x1.1b555e40b1731p-10, 0x1.167123a10c716p-10, 0x1.11a30995ab4edp-10, 0x1.0ceaa3ecbb26ap-10, 0x1.084788635efacp-10, 0x1.03b94e9e986a2p-10, 0x1.fe7f2046f9309p-11, 0x1.f5b3d0a1fe641p-11, 0x1.ed0fe8af76f14p-11, 0x1.e492a66713d05p-11, 0x1.dc3b4b4834e7ep-11, 0x1.d4091c4d8db98p-11, 0x1.cbfb61de272fcp-11, 0x1.c41167bfc0082p-11, 0x1.bc4a7d0aece4fp-11, 0x1.b4a5f41cec33bp-11, 0x1.ad23228a90d97p-11, 0x1.a5c1611360701p-11, 0x1.9e800b954b895p-11, 0x1.975e80ffa0031p-11, 0x1.905c234689e58p-11, 0x1.8978575783d8fp-11, 0x1.82b2850bbda39p-11, 0x1.7c0a171dde9e1p-11, 0x1.757e7b1ca035cp-11, 0x1.6f0f21602c9fdp-11, 0x1.68bb7cfdcba09p-11, 0x1.628303bca6186p-11, 0x1.5c652e0af3a01p-11, 0x1.566176f1f6201p-11, 0x1.50775c0b6ba7fp-11, 0x1.4aa65d766fb42p-11, 0x1.44edfdcd83aabp-11, 0x1.3f4dc21b2f812p-11, 0x1.39c531cf7a54ap-11, 0x1.3453d6b58e78ap-11, 0x1.2ef93cea6a621p-11, 0x1.29b4f2d1ba7f6p-11, 0x1.2486890c7078dp-11, 0x1.1f6d926e7ee3p-11, 0x1.1a69a3f5ec586p-11, 0x1.157a54c0ad1f3p-11, 0x1.109f3e038e2dep-11, 0x1.0bd7fb008f9e4p-11, 0x1.072428fe35ed3p-11, 0x1.0283673d9df33p-11, 0x1.fbeaade5fa764p-12, 0x1.f2f336762e74fp-12, 0x1.ea1fb227f8839p-12, 0x1.e16f6ea85b668p-12, 0x1.d8e1bd43073eep-12, 0x1.d075f2d2fe594p-12, 0x1.c82b67b22b52p-12, 0x1.c00177a8fd147p-12, 0x1.b7f781de22d33p-12, 0x1.b00ce8c7380c4p-12, 0x1.a8411218c1ceap-12, 0x1.a09366b7efb6cp-12, 0x1.990352ab8c665p-12, 0x1.9190450bc859ep-12, 0x1.8a39aff57e33dp-12, 0x1.82ff087a6f834p-12, 0x1.7bdfc693d14fbp-12, 0x1.74db6513dd58cp-12, 0x1.6df161991914dp-12, 0x1.67213c7fcc5e9p-12, 0x1.606a78d4e4056p-12, 0x1.59cc9c497b00fp-12, 0x1.53472f258529dp-12, 0x1.4cd9bc3aae303p-12, 0x1.4683d0d8f2d34p-12, 0x1.4044fcc1437f1p-12, 0x1.3a1cd219b57b7p-12, 0x1.340ae5624678fp-12, 0x1.2e0ecd6847245p-12, 0x1.2828233a8f7c6p-12, 0x1.2256821f19a4ep-12, 0x1.1c99878809015p-12, 0x1.16f0d307664c1p-12, 0x1.115c06454e20ep-12, 0x1.0bdac4f4f2b03p-12, 0x1.066cb4c9d6315p-12, 0x1.01117d6e0a16ep-12, 0x1.f79190f0332ffp-13, 0x1.ed2482c16df42p-13, 0x1.e2db2af18a5abp-13, 0x1.d8b4e7c0dba71p-13, 0x1.ceb11afae1556p-13, 0x1.c4cf29e2e16f1p-13, 0x1.bb0e7d220d63ap-13, 0x1.b16e80b625e1cp-13, 0x1.a7eea3dead64cp-13, 0x1.9e8e590c1df83p-13, 0x1.954d15cf4a37cp-13, 0x1.8c2a52c804c2cp-13, 0x1.83258b9486a31p-13, 0x1.7a3e3ec236c9dp-13, 0x1.7173edbc95104p-13, 0x1.68c61cbe87e98p-13, 0x1.603452c30c735p-13, 0x1.57be19748e744p-13, 0x1.4f62fd20200adp-13, 0x1.47228ca594398p-13, 0x1.3efc5969ef871p-13, 0x1.36eff7495c51ep-13, 0x1.2efcfc8932f46p-13, 0x1.272301cab7db2p-13, 0x1.1f61a1fdb1f9fp-13, 0x1.17b87a5317c4bp-13, 0x1.10272a307eb6fp-13, 0x1.08ad53239691p-13, 0x1.014a98d60c2a5p-13, 0x1.f3fd42039b14fp-14, 0x1.e59226c78a985p-14, 0x1.d75333633cd69p-14, 0x1.c93fbf1c6c9c3p-14, 0x1.bb5724fc2dd35p-14, 0x1.ad98c3b7e566cp-14, 0x1.a003fd9e32da6p-14, 0x1.92983880b4488p-14, 0x1.8554dd9e3fd39p-14, 0x1.7839598f8bac1p-14, 0x1.6b451c33d83f6p-14, 0x1.5e77989d29739p-14, 0x1.51d044fc36636p-14, 0x1.454e9a8f02f2cp-14, 0x1.38f2158cad22bp-14, 0x1.2cba3515f7a9bp-14, 0x1.20a67b216294cp-14, 0x1.14b66c6ac13d6p-14, 0x1.08e99062b22a1p-14, 0x1.fa7ee23a616b5p-15, 0x1.e36f3682434eap-15, 0x1.cca33bf43c8acp-15, 0x1.b61a15cddaf92p-15, 0x1.9fd2ec1711306p-15, 0x1.89cceb83045f7p-15, 0x1.7407455413f0fp-15, 0x1.5e812f3c405b5p-15, 0x1.4939e342fd0d7p-15, 0x1.34309faa93bf2p-15, 0x1.1f64a6d3f6654p-15, 0x1.0ad53f2444bcap-15, 0x1.ed0365d6cff2ap-16, 0x1.c4d2a096e712dp-16, 0x1.9d16d23dd3e07p-16, 0x1.75cea5c4af05cp-16, 0x1.4ef8cd342c8f7p-16, 0x1.2894017af1f51p-16, 0x1.029f023c4b5fdp-16, 0x1.ba312b4fa5dbcp-17, 0x1.6fff109839157p-17, 0x1.26a559dbb1a8bp-17, 0x1.bc43716c97da3p-18, 0x1.2ce3d5289c9b6p-18, 0x1.3e4ee139fda84p-19, 0x1.309ebde32cbd9p-22, -0x1.dde3eceb9c36ep-20, -0x1.006571b6e4d6ap-18, -0x1.87bf8ffa57046p-18, -0x1.06c5ad2ffbb08p-17, -0x1.48e660e0a678ap-17, -0x1.8a43d1fa31036p-17, -0x1.cadfe628bd3f3p-17, -0x1.055e3d0da7b6cp-16, -0x1.24edb0e1259bp-16, -0x1.441f3447b7f6ap-16, -0x1.62f3a8d33905cp-16, -0x1.816bec11c8e39p-16, -0x1.9f88d7a48d3c6p-16, -0x1.bd4b41621b102p-16, -0x1.dab3fb6c0ccbcp-16, -0x1.f7c3d44b72433p-16, -0x1.0a3dcb852bcc7p-15, -0x1.186e05a6b8cecp-15, -0x1.2672fab4fc8a8p-15, -0x1.344d0b40dae83p-15, -0x1.41fc964ac93d4p-15, -0x1.4f81f94f9ceafp-15, -0x1.5cdd905332633p-15, -0x1.6a0fb5eb8f65fp-15, -0x1.7718c34b53facp-15, -0x1.83f9104a7bcbp-15, -0x1.90b0f372c726cp-15, -0x1.9d40c20771656p-15, -0x1.a9a8d00e62a8dp-15, -0x1.b5e9705bd9ee6p-15, -0x1.c202f4994dc9p-15, -0x1.cdf5ad4dfaee4p-15, -0x1.d9c1e9e887d33p-15, -0x1.e567f8c5f59cep-15, -0x1.f0e8273b7d62cp-15, -0x1.fc42c19ca276ap-15, -0x1.03bc09a171af2p-14, -0x1.0944334ba35e9p-14, -0x1.0eba028afa1dp-14, -0x1.141d9bac66e9ap-14, -0x1.196f228d1736fp-14, -0x1.1eaebaa0197e4p-14, -0x1.23dc86efd7bb2p-14, -0x1.28f8aa21781c3p-14, -0x1.2e034677fdc09p-14, -0x1.32fc7dd7c18c8p-14, -0x1.37e471c859dp-14, -0x1.3cbb4378a2239p-14, -0x1.418113bff6d77p-14, -0x1.46360321a608dp-14, -0x1.4ada31cf4277ep-14, -0x1.4f6dbfab0ae6dp-14, -0x1.53f0cc4a556fep-14, -0x1.586376f7fe46fp-14, -0x1.5cc5deb633743p-14, -0x1.61182240d24aap-14, -0x1.655a600fe719p-14, -0x1.698cb6594b227p-14, -0x1.6daf431231d65p-14, -0x1.71c223f1a42ep-14, -0x1.75c576725be57p-14, -0x1.79b957d44754bp-14, -0x1.7d9de51e07e21p-14, -0x1.81733b1f14343p-14, -0x1.8539767128977p-14, -0x1.88f0b379b7ecdp-14, -0x1.8c990e6b5087cp-14, -0x1.9032a34790425p-14, -0x1.93bd8ddf697c2p-14, -0x1.9739e9d56953fp-14, -0x1.9aa7d29f2c5f8p-14, -0x1.9e07638631fa9p-14, -0x1.a158b7a8d81e5p-14, -0x1.a49be9fc050f8p-14, -0x1.a7d1154b830fcp-14, -0x1.aaf8543bcb037p-14, -0x1.ae11c14af5d61p-14, -0x1.b11d76d1d638ep-14, -0x1.b41b8f03f8a33p-14, -0x1.b70c23f16948cp-14, -0x1.b9ef4f87563abp-14, -0x1.bcc52b9155778p-14, -0x1.bf8dd1b94f4c8p-14, -0x1.c2495b89053fep-14, -0x1.c4f7e26abd334p-14, -0x1.c7997fa90b592p-14, -0x1.ca2e4c70ba652p-14, -0x1.ccb661d0fc2fcp-14, -0x1.cf31d8bbf639ap-14, -0x1.d1a0ca06caad3p-14, -0x1.d4034e6b02758p-14, -0x1.d6597e8716275p-14, -0x1.d8a372dea23edp-14, -0x1.dae143da85bf7p-14, -0x1.dd1309ca00a1cp-14, -0x1.df38dce2498aap-14, -0x1.e152d53f91333p-14, -0x1.e3610ae5f768p-14, -0x1.e56395c100533p-14, -0x1.e75a8da3fcf7dp-14, -0x1.e9460a4ab6555p-14, -0x1.eb262359cb14p-14, -0x1.ecfaf05ea2e9p-14, -0x1.eec488cf4ff66p-14, -0x1.f083040bdddc5p-14, -0x1.f236795e58ee4p-14, -0x1.f3defffaa2f63p-14, -0x1.f57caefe0384dp-14, -0x1.f70f9d70b0a8p-14, -0x1.f897e2456da39p-14, -0x1.fa15945966ea4p-14, -0x1.fb88ca7491975p-14, -0x1.fcf19b49bf3fap-14, -0x1.fe501d76f469ap-14, -0x1.ffa467855a24p-14, -0x1.007747f4cebfep-13, -0x1.01175681d10cdp-13, -0x1.01b26a8f38f2p-13, -0x1.02488f3838b24p-13, -0x1.02d9cf8e06522p-13, -0x1.03663697980a2p-13, -0x1.03edcf51a7e0fp-13, -0x1.0470a4aeca305p-13, -0x1.04eec197529f3p-13, -0x1.056830e994fcp-13, -0x1.05dcfd79aab08p-13, -0x1.064d32117caa8p-13, -0x1.06b8d970cf111p-13, -0x1.071ffe4d5348ap-13, -0x1.0782ab5268e5ap-13, -0x1.07e0eb2171714p-13, -0x1.083ac8516e3bap-13, -0x1.08904d6f68d75p-13, -0x1.08e184fda0552p-13, -0x1.092e79746d256p-13, -0x1.09773542068c6p-13, -0x1.09bbc2ca25dcp-13, -0x1.09fc2c6613f67p-13, -0x1.0a387c64c53a6p-13, -0x1.0a70bd0ad167ep-13, -0x1.0aa4f8923cae7p-13, -0x1.0ad5392a981a3p-13, -0x1.0b0188f8e0406p-13, -0x1.0b29f217acfc3p-13, -0x1.0b4e7e96d675bp-13, -0x1.0b6f387b96759p-13, -0x1.0b8c29c05c428p-13, -0x1.0ba55c54d856bp-13, -0x1.0bbada1e25cecp-13, -0x1.0bccacf663bb2p-13, -0x1.0bdadeacb6ed2p-13, -0x1.0be5790578cdbp-13, -0x1.0bec85ba0a53ap-13, -0x1.0bf00e78d6b7cp-13, -0x1.0bf01ce5171bcp-13, -0x1.0becba96ebc23p-13, -0x1.0be5f11b483e3p-13, -0x1.0bdbc9f3dcee3p-13, -0x1.0bce4e973bea8p-13, -0x1.0bbd8870b3307p-13, -0x1.0ba980dfe98ep-13, -0x1.0b9241395aeecp-13, -0x1.0b77d2c629854p-13, -0x1.0b5a3ec3b3822p-13, -0x1.0b398e63ddd6ap-13, -0x1.0b15cacd0dp-13, -0x1.0aeefd19ee159p-13, -0x1.0ac52e597d174p-13, -0x1.0a98678f20d94p-13, -0x1.0a68b1b253a5cp-13, -0x1.0a3615aeb3733p-13, -0x1.0a009c6441d7bp-13, -0x1.09c84ea6d0519p-13, -0x1.098d353e4dbd3p-13, -0x1.094f58e6c1d46p-13, -0x1.090ec25046e01p-13, -0x1.08cb7a1eb50d8p-13, -0x1.088588e9e8afep-13, -0x1.083cf73d8c352p-13, -0x1.07f1cd9929432p-13, -0x1.07a4146ff8faap-13, -0x1.0753d428fd2fdp-13, -0x1.0701151ef11a2p-13, -0x1.06abdfa05a71ap-13, -0x1.06543bef6e693p-13, -0x1.05fa3241b401dp-13, -0x1.059dcac08224cp-13, -0x1.053f0d88cc4bap-13, -0x1.04de02aae9c22p-13, -0x1.047ab22ac72fep-13, -0x1.041523ffe2179p-13, -0x1.03ad6014e5c2ap-13, -0x1.03436e483e12cp-13, -0x1.02d7566bb46d3p-13, -0x1.026920444565ap-13, -0x1.01f8d38a84b8dp-13, -0x1.018677ea2ae8ap-13, -0x1.0112150257e31p-13, -0x1.009bb2659ceaap-13, -0x1.00235799a19dap-13, -0x1.ff52182f0a79fp-14, -0x1.fe59ae9754dcfp-14, -0x1.fd5d812b6adf3p-14, -0x1.fc5d9e90c1b2cp-14, -0x1.fb5a1553ad98ap-14, -0x1.fa52f3e6fb324p-14, -0x1.f94848a387058p-14, -0x1.f83a21c8d4ceep-14, -0x1.f7288d7d131c2p-14, -0x1.f61399ccc1395p-14, -0x1.f4fb54aa5e20dp-14, -0x1.f3dfcbef4d434p-14, -0x1.f2c10d5b34669p-14, -0x1.f19f2694010d6p-14, -0x1.f07a25262b1e6p-14, -0x1.ef521684ba4bdp-14, -0x1.ee2708091ad75p-14, -0x1.ecf906f2c37f7p-14, -0x1.ebc820680bdf2p-14, -0x1.ea946175b587fp-14, -0x1.e95dd70ed9fefp-14, -0x1.e8248e0d5a6cfp-14, -0x1.e6e893314db3ap-14, -0x1.e5a9f32146af8p-14, -0x1.e468ba6ae2881p-14, -0x1.e324f581d9183p-14, -0x1.e1deb0c0f1ed5p-14, -0x1.e095f8695af19p-14, -0x1.df4ad8a3044b4p-14, -0x1.ddfd5d7ccf334p-14, -0x1.dcad92ebd8031p-14, -0x1.db5b84cca4d92p-14, -0x1.da073ee2957b2p-14, -0x1.d8b0ccd768d6fp-14, -0x1.d7583a3c6f40ep-14, -0x1.d5fd9289990f6p-14, -0x1.d4a0e11debb2dp-14, -0x1.d342313fa78a1p-14, -0x1.d1e18e1c6db71p-14, -0x1.d07f02c87d90cp-14, -0x1.cf1a9a3fb63dcp-14, -0x1.cdb45f656f133p-14, -0x1.cc4c5d0419e79p-14, -0x1.cae29dcdd4fd9p-14, -0x1.c9772c5c3dfacp-14, -0x1.c80a13309421dp-14, -0x1.c69b5cb3897c5p-14, -0x1.c52b1335c48e8p-14, -0x1.c3b940efc8ec8p-14, -0x1.c245f0019425dp-14, -0x1.c0d12a736220bp-14, -0x1.bf5afa359ce3ap-14, -0x1.bde369207b4e7p-14, -0x1.bc6a80f477ff2p-14, -0x1.baf04b5a4f84fp-14, -0x1.b974d1e34dd66p-14, -0x1.b7f81e0900db2p-14, -0x1.b67a392d19cc4p-14, -0x1.b4fb2c9a9a0b2p-14, -0x1.b37b0184cdec1p-14, -0x1.b1f9c107f60c6p-14, -0x1.b0777428f4745p-14, -0x1.aef423d5adde6p-14, -0x1.ad6fd8e54ff8bp-14, -0x1.abea9c17b678dp-14, -0x1.aa647616b2f82p-14, -0x1.a8dd6f74ca7edp-14, -0x1.a75590adfbac5p-14, -0x1.a5cce2280a608p-14, -0x1.a4436c3271525p-14, -0x1.a2b93705f373fp-14, -0x1.a12e4ac5abc92p-14, -0x1.9fa2af7e33f86p-14, -0x1.9e166d264c2f7p-14, -0x1.9c898b9f3e944p-14, -0x1.9afc12b3e95f4p-14, -0x1.996e0a19ff833p-14, -0x1.97df7971919a4p-14, -0x1.9650684529d1fp-14, -0x1.94c0de09c5cbp-14, -0x1.9330e21fc268cp-14, -0x1.91a07bd1d1be2p-14, -0x1.900fb255db274p-14, -0x1.8e7e8cccfe597p-14, -0x1.8ced124336caep-14, -0x1.8b5b49b0231e4p-14, -0x1.89c939f6ee702p-14, -0x1.8836e9e5e8931p-14, -0x1.86a4603746a35p-14, -0x1.8511a3913cf7p-14, -0x1.837eba85be729p-14, -0x1.81ebab928f16ap-14, -0x1.80587d21b2116p-14, -0x1.7ec53589966bap-14, -0x1.7d31db0d08715p-14, -0x1.7b9e73db2cd48p-14, -0x1.7a0b060fa3155p-14, -0x1.787797b3008c3p-14, -0x1.76e42ebaa924p-14, -0x1.7550d108df06ap-14, -0x1.73bd846d1b9a7p-14, -0x1.722a4ea3baa92p-14, -0x1.70973557032ffp-14, -0x1.6f043e1e0f6d9p-14, -0x1.6d716e7dc8e7fp-14, -0x1.6bdecbe926082p-14, -0x1.6a4c5bc037fd5p-14, -0x1.68ba23518e295p-14, -0x1.672827d990ef5p-14, -0x1.65966e82bcca5p-14, -0x1.6404fc6612b64p-14, -0x1.6273d68ad1358p-14, -0x1.60e301e6bc8e1p-14, -0x1.5f52835ea107fp-14, -0x1.5dc25fc56df6dp-14, -0x1.5c329bdd740a2p-14, -0x1.5aa33c5823e9p-14, -0x1.591445d57373cp-14, -0x1.5785bce55e033p-14, -0x1.55f7a606f38e4p-14, -0x1.546a05a896462p-14, -0x1.52dce028b47ecp-14, -0x1.515039d54b1f6p-14, -0x1.4fc416ec2c125p-14, -0x1.4e387b9b411a3p-14, -0x1.4cad6c00a95d4p-14, -0x1.4b22ec2a9da74p-14, -0x1.49990017df8f9p-14, -0x1.480fabb790387p-14, -0x1.4686f2e98e2ap-14, -0x1.44fed97e6ed5dp-14, -0x1.4377633774dccp-14, -0x1.41f093c737f3ep-14, -0x1.406a6ed113e04p-14, -0x1.3ee4f7ea0ae82p-14, -0x1.3d6032980fe07p-14, -0x1.3bdc22529e37ep-14, -0x1.3a58ca8325546p-14, -0x1.38d62e84686d3p-14, -0x1.375451a329dc1p-14, -0x1.35d3371e14f4cp-14, -0x1.3452e225d3d16p-14, -0x1.32d355dd94fdp-14, -0x1.3154955a7a9dbp-14, -0x1.2fd6a3a423b98p-14, -0x1.2e5983b4dc4fep-14, -0x1.2cdd387987e96p-14, -0x1.2b61c4d1c658p-14, -0x1.29e72b903601cp-14, -0x1.286d6f7a651b5p-14, -0x1.26f4934915921p-14, -0x1.257c99a82e467p-14, -0x1.24058537042f6p-14, -0x1.228f58885fc1ep-14, -0x1.211a1622d7317p-14, -0x1.1fa5c08054d76p-14, -0x1.1e325a0ed1496p-14, -0x1.1cbfe5302259cp-14, -0x1.1b4e643a3b672p-14, -0x1.19ddd9773b3b9p-14, -0x1.186e472559ac6p-14, -0x1.16ffaf775b9dcp-14, -0x1.159214948b156p-14, -0x1.142578988c88cp-14, -0x1.12b9dd9403b21p-14, -0x1.114f458c5c429p-14, -0x1.0fe5b27babfafp-14, -0x1.0e7d26518064dp-14, -0x1.0d15a2f233538p-14, -0x1.0baf2a3773fafp-14, -0x1.0a49bdf09d96p-14, -0x1.08e55fe20b2e9p-14, -0x1.078211c5ecb9fp-14, -0x1.061fd54c4b3d8p-14, -0x1.04beac1aa5ba7p-14, -0x1.035e97cc856fdp-14, -0x1.01ff99f39a23p-14, -0x1.00a1b417679e5p-14, -0x1.fe89cf6b80bc7p-15, -0x1.fbd26c860713cp-15, -0x1.f91d42530354ap-15, -0x1.f66a5394c7946p-15, -0x1.f3b9a2fb3341p-15, -0x1.f10b33228eef3p-15, -0x1.ee5f06957b075p-15, -0x1.ebb51fcc949e9p-15, -0x1.e90d812db22fdp-15, -0x1.e6682d0dc88ecp-15, -0x1.e3c525aff6fd2p-15, -0x1.e1246d4553a59p-15, -0x1.de8605eede9b8p-15, -0x1.dbe9f1bbcde7ep-15, -0x1.d95032aa82888p-15, -0x1.d6b8caa9389e1p-15, -0x1.d423bb958d492p-15, -0x1.d191073cae38dp-15, -0x1.cf00af5bdf559p-15, -0x1.cc72b5a0a5a1p-15, -0x1.c9e71ba88097fp-15, -0x1.c75de301bbe2cp-15, -0x1.c4d70d2b377cdp-15, -0x1.c2529b94853fcp-15, -0x1.bfd08f9ea551dp-15, -0x1.bd50ea9b41ca6p-15, -0x1.bad3adcde9f27p-15, -0x1.b858da6bd5612p-15, -0x1.b5e0719b233adp-15, -0x1.b36a7474afa55p-15, -0x1.b0f6e4033a877p-15, -0x1.ae85c1434c26bp-15, -0x1.ac170d24ab224p-15, -0x1.a9aac888f9347p-15, -0x1.a740f4450696dp-15, -0x1.a4d991206dd93p-15, -0x1.a2749fd5affcp-15, -0x1.a0122113067c7p-15, -0x1.9db21579a519p-15, -0x1.9b547d9e442b7p-15, -0x1.98f95a0a13da6p-15, -0x1.96a0ab39294bfp-15, -0x1.944a719c5af2ep-15, -0x1.91f6ad9876cbbp-15, -0x1.8fa55f865b94ep-15, -0x1.8d5687b40b592p-15, -0x1.8b0a2663c4d9ap-15, -0x1.88c03bcca0a4p-15, -0x1.8678c81adf413p-15, -0x1.8433cb6fbd40cp-15, -0x1.81f145e1778bap-15, -0x1.7fb1377c5c215p-15, -0x1.7d73a041896f9p-15, -0x1.7b3880284d9a7p-15, -0x1.78ffd71db66fbp-15, -0x1.76c9a504972a2p-15, -0x1.7495e9b641462p-15, -0x1.7264a50203292p-15, }}, 
      {{-0x1.3de73cd5fc9c9p-1, -0x1.3de81d3e4052cp-1, -0x1.3de963123a1cdp-1, -0x1.3deac9c2bee89p-1, -0x1.3debf7c036484p-1, -0x1.3dec83444c326p-1, -0x1.3debf7185b2b3p-1, -0x1.3de9d70c19c6ap-1, -0x1.3de5a3f40139p-1, -0x1.3ddedf1df934bp-1, -0x1.3dd50d38896d6p-1, -0x1.3dc7b8b09c0dep-1, -0x1.3db6738e32465p-1, -0x1.3da0d8dad8a82p-1, -0x1.3d868d9e10598p-1, -0x1.3d67417c955fp-1, -0x1.3d42af07a2f99p-1, -0x1.3d189bc92fb82p-1, -0x1.3ce8d8197f9cbp-1, -0x1.3cb33ec993dbfp-1, -0x1.3c77b4ace2185p-1, -0x1.3c36280b766ap-1, -0x1.3bee90044f55cp-1, -0x1.3ba0ebe66d53p-1, -0x1.3b4d4285c5a5p-1, -0x1.3af3a1902640dp-1, -0x1.3a941ce508a9bp-1, -0x1.3a2ecdf281aa7p-1, -0x1.39c3d318ba11ep-1, -0x1.39534f14d3651p-1, -0x1.38dd6873b220ep-1, -0x1.3862490ccda6bp-1, -0x1.37e21d84ff02fp-1, -0x1.375d14d918041p-1, -0x1.36d35ff002a4cp-1, -0x1.364531341d232p-1, -0x1.35b2bc338676dp-1, -0x1.351c354715008p-1, -0x1.3481d13fb7033p-1, -0x1.33e3c51a01506p-1, -0x1.334245b7b9cbp-1, -0x1.329d879f31c68p-1, -0x1.31f5bec044b74p-1, -0x1.314b1e3ed40fep-1, -0x1.309dd842987ecp-1, -0x1.2fee1dcc255b3p-1, -0x1.2f3c1e8eec204p-1, -0x1.2e8808d01ec04p-1, -0x1.2dd2094a3619dp-1, -0x1.2d1a4b14f3376p-1, -0x1.2c60f7919c751p-1, -0x1.2ba6365b4387dp-1, -0x1.2aea2d3ad1c49p-1, -0x1.2a2d001e9fb96p-1, -0x1.296ed115537a9p-1, -0x1.28afc04bc6c18p-1, -0x1.27efec0dadd46p-1, -0x1.272f70c8c0c3ep-1, -0x1.266e6912222ap-1, -0x1.25acedadc4be4p-1, -0x1.24eb1597906a5p-1, -0x1.2428f60e09bcdp-1, -0x1.2366a29e45697p-1, -0x1.22a42d30ee014p-1, -0x1.21e1a6182c9b4p-1, -0x1.211f1c1e40f83p-1, -0x1.205c9c94a2a68p-1, -0x1.1f9a33637cf7dp-1, -0x1.1ed7eb1968c15p-1, -0x1.1e15ccfb3cfb2p-1, -0x1.1d53e113dc837p-1, -0x1.1c922e43e82cep-1, -0x1.1bd0ba513c763p-1, -0x1.1b0f89f629fd8p-1, -0x1.1a4ea0f057bf8p-1, -0x1.198e020f42d2ep-1, -0x1.18cdaf424edep-1, -0x1.180da9a66200ep-1, -0x1.174df19302f5cp-1, -0x1.168e86a6f6c5cp-1, -0x1.15cf67d45bde7p-1, -0x1.1510936c3fabdp-1, -0x1.14520729b009ap-1, -0x1.1393c03c4a858p-1, -0x1.12d5bb524ba5fp-1, -0x1.1217f4a21dfcbp-1, -0x1.115a67f373232p-1, -0x1.109d10a7e5165p-1, -0x1.0fdfe9c327dcbp-1, -0x1.0f22edf2cf334p-1, -0x1.0e661795af131p-1, -0x1.0da960c2d8d14p-1, -0x1.0cecc3503fd88p-1, -0x1.0c3038d903c91p-1, -0x1.0b73bac36e122p-1, -0x1.0ab742469f7f6p-1, -0x1.09fac86ff8f32p-1, -0x1.093e46283ff4p-1, -0x1.0881b43886c22p-1, -0x1.07c50b4ed944dp-1, -0x1.07084402b336cp-1, -0x1.064b56d9469a2p-1, -0x1.058e3c499009ap-1, -0x1.04d0ecc040988p-1, -0x1.041360a37f03cp-1, -0x1.0355905680a5dp-1, -0x1.0297743cffab6p-1, -0x1.01d904be8e18cp-1, -0x1.011a3a49c79b4p-1, -0x1.005b0d5766fc3p-1, -0x1.ff36ecda752efp-2, -0x1.fdb6dc41fea0bp-2, -0x1.fc35da363c1cbp-2, -0x1.fab3d832a2f51p-2, -0x1.f930c7e25c8a2p-2, -0x1.f7ac9b252c2c9p-2, -0x1.f62744141d247p-2, -0x1.f4a0b506068p-2, -0x1.f318e093d9aa6p-2, -0x1.f18fb99cc3b63p-2, -0x1.f005334a2079cp-2, -0x1.ee7941133e2bfp-2, -0x1.ecebd6c0f1f1cp-2, -0x1.eb5ce870fe3d7p-2, -0x1.e9cc6a994c52bp-2, -0x1.e83a520af5686p-2, -0x1.e6a693f51e7edp-2, -0x1.e51125e7a83a4p-2, -0x1.e379fdd5adec5p-2, -0x1.e1e11217d8318p-2, -0x1.e046596e82b2bp-2, -0x1.dea9cb03b57b3p-2, -0x1.dd0b5e6ced7cfp-2, -0x1.db6b0bacbc9edp-2, -0x1.d9c8cb343c7dfp-2, -0x1.d82495e453e23p-2, -0x1.d67e650ed49dep-2, -0x1.d4d63277697cap-2, -0x1.d32bf8545fb1fp-2, -0x1.d17fb14f43dbap-2, -0x1.cfd1588556fecp-2, -0x1.ce20e987dd415p-2, -0x1.cc6e605c434c5p-2, -0x1.cab9b97c215ffp-2, -0x1.c902f1d517b3cp-2, -0x1.c74a06c88423p-2, -0x1.c58ef62b1bb31p-2, -0x1.c3d1be445c852p-2, -0x1.c2125dcde16e8p-2, -0x1.c050d3f297a9bp-2, -0x1.be8d204dd319dp-2, -0x1.bcc742ea482b1p-2, -0x1.baff3c40eadf3p-2, -0x1.b9350d37ae2f4p-2, -0x1.b768b72030844p-2, -0x1.b59a3bb64b992p-2, -0x1.b3c99d1e9092bp-2, -0x1.b1f6dde4ad386p-2, -0x1.b02200f9bb2fap-2, -0x1.ae4b09b28124ap-2, -0x1.ac71fbc59c32fp-2, -0x1.aa96db499d6e3p-2, -0x1.a8b9acb31562fp-2, -0x1.a6da74d29427ap-2, -0x1.a4f938d297d64p-2, -0x1.a315fe3573fcfp-2, -0x1.a130cad32bdbfp-2, -0x1.9f49a4d743681p-2, -0x1.9d6092be88625p-2, -0x1.9b759b54d1c1ep-2, -0x1.9988c5b2bcec6p-2, -0x1.979a193b60cf3p-2, -0x1.95a99d99fe569p-2, -0x1.93b75abfae401p-2, -0x1.91c358e10bd99p-2, -0x1.8fcda073dae98p-2, -0x1.8dd63a2cb18c8p-2, -0x1.8bdd2efc9c5b5p-2, -0x1.89e2880ec99a4p-2, -0x1.87e64ec62e404p-2, -0x1.85e88cbb3278p-2, -0x1.83e94bb95e91cp-2, -0x1.81e895bd0b092p-2, -0x1.7fe674f115619p-2, -0x1.7de2f3ac9816bp-2, -0x1.7bde1c70a7d42p-2, -0x1.79d7f9e61826bp-2, -0x1.77d096db409f1p-2, -0x1.75c7fe41d0067p-2, -0x1.73be3b2ca0047p-2, -0x1.71b358cd92012p-2, -0x1.6fa7627373f1bp-2, -0x1.6d9a6387ec2e5p-2, -0x1.6b8c678d6fd6ep-2, -0x1.697d7a1d3bda7p-2, -0x1.676da6e55d63cp-2, -0x1.655cf9a6bf1c5p-2, -0x1.634b7e3340fd7p-2, -0x1.6139406bd87c7p-2, -0x1.5f264c3ebad4dp-2, -0x1.5d12ada5901dbp-2, -0x1.5afe70a3b2bp-2, -0x1.58e9a14474449p-2, -0x1.56d44b9970b42p-2, -0x1.54be7bb8e7508p-2, -0x1.52a83dbc22c0cp-2, -0x1.50919dbde695dp-2, -0x1.4e7aa7d8e6fbdp-2, -0x1.4c6368265193p-2, -0x1.4a4beabc55675p-2, -0x1.48343bacbdd12p-2, -0x1.461c6703930e3p-2, -0x1.440478c5c79bp-2, -0x1.41ec7cefebb4fp-2, -0x1.3fd47f74ef5fap-2, -0x1.3dbc8c3ce9b18p-2, -0x1.3ba4af23ee334p-2, -0x1.398cf3f8e8d7fp-2, -0x1.3775667c8412fp-2, -0x1.355e12601b3e3p-2, -0x1.33470344afa41p-2, -0x1.313044b9ef918p-2, -0x1.2f19e23d400bap-2, -0x1.2d03e738d184p-2, -0x1.2aee5f02bdc97p-2, -0x1.28d954dc2e53ep-2, -0x1.26c4d3f08a7b3p-2, -0x1.24b0e754b0ac3p-2, -0x1.229d9a0634e54p-2, -0x1.208af6eaa71d4p-2, -0x1.1e7908cee58aap-2, -0x1.1c67da6672df5p-2, -0x1.1a57764ad6328p-2, -0x1.1847e6fb0111cp-2, -0x1.163936dabdeddp-2, -0x1.142b70322671ep-2, -0x1.121e9d2d1e412p-2, -0x1.1012c7dad7609p-2, -0x1.0e07fa2d5c59p-2, -0x1.0bfe3df920f1fp-2, -0x1.09f59cf498335p-2, -0x1.07ee20b7d1709p-2, -0x1.05e7d2bc1e90ap-2, -0x1.03e2bc5bba553p-2, -0x1.01dee6d176fddp-2, -0x1.ffb8b670ed2f7p-3, -0x1.fbb64517c153fp-3, -0x1.f7b68b4d4ccabp-3, -0x1.f3b99a8685bd7p-3, -0x1.efbf83f710156p-3, -0x1.ebc85890d5afdp-3, -0x1.e7d42903b2ce2p-3, -0x1.e3e305bd1e1f9p-3, -0x1.dff4fee7eb2f1p-3, -0x1.dc0a246c0160ep-3, -0x1.d82285ee2e357p-3, -0x1.d43e32cff4076p-3, -0x1.d05d3a2f60b3dp-3, -0x1.cc7faae6f4183p-3, -0x1.c8a5938d87717p-3, -0x1.c4cf02763bc42p-3, -0x1.c0fc05b06e6d5p-3, -0x1.bd2cab07be698p-3, -0x1.b9610004062c7p-3, -0x1.b59911e96e19ep-3, -0x1.b1d4edb87713bp-3, -0x1.ae14a02e1239dp-3, -0x1.aa5835c3bc2edp-3, -0x1.a69fbaaf9da38p-3, -0x1.a2eb3ae4b20aep-3, -0x1.9f3ac212ef2f4p-3, -0x1.9b8e5ba77adap-3, -0x1.97e612ccd8918p-3, -0x1.9441f26b2649dp-3, -0x1.90a205285916ap-3, -0x1.8d0655687c8p-3, -0x1.896eed4df9c21p-3, -0x1.85dbd6b9de2b4p-3, -0x1.824d1b4c29657p-3, -0x1.7ec2c4641d815p-3, -0x1.7b3cdb2091a53p-3, -0x1.77bb68604840ep-3, -0x1.743e74c24a882p-3, -0x1.70c608a6414ap-3, -0x1.6d522c2cdaf99p-3, -0x1.69e2e7382647dp-3, -0x1.6678416bfc91dp-3, -0x1.6312422e6627ep-3, -0x1.5fb0f0a804bbfp-3, -0x1.5c5453c48074p-3, -0x1.58fc7232f5dd9p-3, -0x1.55a9526663001p-3, -0x1.525afa961efd4p-3, -0x1.4f1170be4804bp-3, -0x1.4bccbaa03f5a4p-3, -0x1.488cddc31baf5p-3, -0x1.4551df7426ebap-3, -0x1.421bc4c754ecbp-3, -0x1.3eea9297c3f1dp-3, -0x1.3bbe4d88351ep-3, -0x1.3896fa03922b1p-3, -0x1.35749c3d66cccp-3, -0x1.325738326744fp-3, -0x1.2f3ed1a8f373ep-3, -0x1.2c2b6c3194a07p-3, -0x1.291d0b278a356p-3, -0x1.2613b1b1486aep-3, -0x1.230f62c104227p-3, -0x1.20102115389ap-3, -0x1.1d15ef392ee1fp-3, -0x1.1a20cf8587f61p-3, -0x1.1730c420c6d6ep-3, -0x1.1445ceffd9c2p-3, -0x1.115ff1e6a6ee9p-3, -0x1.0e7f2e6896a69p-3, -0x1.0ba385e920e5p-3, -0x1.08ccf99c59316p-3, -0x1.05fb8a877c3dbp-3, -0x1.032f39817ca34p-3, -0x1.006807338f9f5p-3, -0x1.fb4be83381b35p-4, -0x1.f5d20106f3b3ep-4, -0x1.f062592829da2p-4, -0x1.eafcf086d7482p-4, -0x1.e5a1c6bccaa6fp-4, -0x1.e050db0f106bbp-4, -0x1.db0a2c6f0c518p-4, -0x1.d5cdb97b9b9e8p-4, -0x1.d09b8082392cp-4, -0x1.cb737f80135bp-4, -0x1.c655b42335632p-4, -0x1.c1421bcb9b855p-4, -0x1.bc38b38c61a1ap-4, -0x1.b739782cd5a72p-4, -0x1.b24466299d5e9p-4, -0x1.ad5979b5d1a5cp-4, -0x1.a878aebc2277bp-4, -0x1.a3a200dfece16p-4, -0x1.9ed56b7e628e2p-4, -0x1.9a12e9afa17efp-4, -0x1.955a7647d2cb3p-4, -0x1.90ac0bd845dc8p-4, -0x1.8c07a4b08df42p-4, -0x1.876d3adf9d0d1p-4, -0x1.82dcc834dff8ep-4, -0x1.7e56464155631p-4, -0x1.79d9ae58a9c0ep-4, -0x1.7566f9924f36p-4, -0x1.70fe20ca94972p-4, -0x1.6c9f1ca3bc9a8p-4, -0x1.6849e58713f99p-4, -0x1.63fe73a607661p-4, -0x1.5fbcbefb34ebbp-4, -0x1.5b84bf4b805p-4, -0x1.57566c2726ea9p-4, -0x1.5331bceaccce2p-4, -0x1.4f16a8c08f65cp-4, -0x1.4b0526a111bcep-4, -0x1.46fd2d548a5c6p-4, -0x1.42feb373d0cddp-4, -0x1.3f09af69657d5p-4, -0x1.3b1e17727dd48p-4, -0x1.373be1a00a2d1p-4, -0x1.336303d7be66fp-4, -0x1.2f9373d514293p-4, -0x1.2bcd272a50204p-4, -0x1.2810134184993p-4, -0x1.245c2d5d93c21p-4, -0x1.20b16a9b28988p-4, -0x1.1d0fbff1bb194p-4, -0x1.1977223489b5dp-4, -0x1.15e786139214ep-4, -0x1.1260e01c89a68p-4, -0x1.0ee324bbd719p-4, -0x1.0b6e483d843d9p-4, -0x1.08023ece32ea1p-4, -0x1.049efc7c0e84p-4, -0x1.01447537ba8cbp-4, -0x1.fbe539aa7e7e9p-5, -0x1.f552ce19f1a26p-5, -0x1.eed18ef8fc296p-5, -0x1.e861634f12c8bp-5, -0x1.e20231f1bf98bp-5, -0x1.dbb3e18664cb5p-5, -0x1.d576588406c5dp-5, -0x1.cf497d3506653p-5, -0x1.c92d35b8de133p-5, -0x1.c3216805dd192p-5, -0x1.bd25f9ead4dfcp-5, -0x1.b73ad110cd386p-5, -0x1.b15fd2fca9852p-5, -0x1.ab94e510d4ea9p-5, -0x1.a5d9ec8ee2e4fp-5, -0x1.a02ece9927119p-5, -0x1.9a93703456d27p-5, -0x1.9507b6491b1c3p-5, -0x1.8f8b85a59a86dp-5, -0x1.8a1ec2ff0faf1p-5, -0x1.84c152f3485e9p-5, -0x1.7f731a0a29fb4p-5, -0x1.7a33fcb7310a2p-5, -0x1.7503df5ae8f4p-5, -0x1.6fe2a6446261fp-5, -0x1.6ad035b2a01a4p-5, -0x1.65cc71d607bb8p-5, -0x1.60d73ed1c086dp-5, -0x1.5bf080bd1af4fp-5, -0x1.57181ba4ecafep-5, -0x1.524df38ce79ebp-5, -0x1.4d91ec70f03ddp-5, -0x1.48e3ea4666987p-5, -0x1.4443d0fd77b33p-5, -0x1.3fb184825e6e1p-5, -0x1.3b2ce8bea13b7p-5, -0x1.36b5e19a55d24p-5, -0x1.324c52fd4eb59p-5, -0x1.2df020d053a4cp-5, -0x1.29a12efe4a901p-5, -0x1.255f617562a9ep-5, -0x1.212a9c2838147p-5, -0x1.1d02c30eed5b6p-5, -0x1.18e7ba284caadp-5, -0x1.14d9657ad7c95p-5, -0x1.10d7a915d7b72p-5, -0x1.0ce269126db62p-5, -0x1.08f989949152p-5, -0x1.051ceecc1ab87p-5, -0x1.014c7cf5b95dfp-5, -0x1.fb1030b7e0861p-6, -0x1.f39f4ab00d3bdp-6, -0x1.ec4610a5f26f1p-6, -0x1.e5044b8cc10dep-6, -0x1.ddd9c47aba42bp-6, -0x1.d6c644aae1a1cp-6, -0x1.cfc9957ebcb42p-6, -0x1.c8e3808003bcbp-6, -0x1.c213cf623e145p-6, -0x1.bb5a4c04701dep-6, -0x1.b4b6c07293bf2p-6, -0x1.ae28f6e740b3dp-6, -0x1.a7b0b9cd19102p-6, -0x1.a14dd3c0475abp-6, -0x1.9b000f8fede01p-6, -0x1.94c7383f8d94p-6, -0x1.8ea31908669d8p-6, -0x1.88937d5ac74b8p-6, -0x1.829830df56d08p-6, -0x1.7cb0ff78659f5p-6, -0x1.76ddb54315abep-6, -0x1.711e1e989d691p-6, -0x1.6b72080f66e3ap-6, -0x1.65d93e7c38b6fp-6, -0x1.60538ef349e56p-6, -0x1.5ae0c6c957cd3p-6, -0x1.5580b394a9d1dp-6, -0x1.5033232e1504ap-6, -0x1.4af7e3b1f5404p-6, -0x1.45cec38121569p-6, -0x1.40b79141cad6p-6, -0x1.3bb21be06a7a9p-6, -0x1.36be32909078p-6, -0x1.31dba4cdbd365p-6, -0x1.2d0a425c2b47p-6, -0x1.2849db498cb01p-6, -0x1.239a3fedc99e8p-6, -0x1.1efb40ebbdb1ap-6, -0x1.1a6caf31d7b76p-6, -0x1.15ee5bfac4ab5p-6, -0x1.118018ce12441p-6, -0x1.0d21b780c421ep-6, -0x1.08d30a35e8489p-6, -0x1.0493e35f1b6b4p-6, -0x1.006415bd1223dp-6, -0x1.f886e8c02b018p-7, -0x1.f063a550f6b36p-7, -0x1.e85e088e23f2fp-7, -0x1.e075ba7b18f85p-7, -0x1.d8aa63bdd8b9bp-7, -0x1.d0fbad9fae9e3p-7, -0x1.c969420de6dbap-7, -0x1.c1f2cb9a67ddfp-7, -0x1.ba97f57c5c922p-7, -0x1.b3586b90b03f7p-7, -0x1.ac33da5a98738p-7, -0x1.a529ef04086a5p-7, -0x1.9e3a575e10c17p-7, -0x1.9764c1e15f8a6p-7, -0x1.90a8ddae6ebc1p-7, -0x1.8a065a8deafp-7, -0x1.837ce8f0e1d38p-7, -0x1.7d0c39f1071dep-7, -0x1.76b3ff50d7bffp-7, -0x1.7073eb7bc14bap-7, -0x1.6a4bb1863e1ap-7, -0x1.643b052dddbcfp-7, -0x1.5e419ad94c08bp-7, -0x1.585f279853e42p-7, -0x1.52936123db103p-7, -0x1.4cddfdddb7ef2p-7, -0x1.473eb4d0b4312p-7, -0x1.41b53db04284fp-7, -0x1.3c4150d87c7bap-7, -0x1.36e2a74dc2b0cp-7, -0x1.3198fabcaa36ep-7, -0x1.2c64057992e5bp-7, -0x1.27438280738f6p-7, -0x1.22372d747ece3p-7, -0x1.1d3ec29fcd96dp-7, -0x1.1859fef2f2922p-7, -0x1.1388a004a3d79p-7, -0x1.0eca64113972ap-7, -0x1.0a1f09fa47122p-7, -0x1.0586514619011p-7, -0x1.00fffa1f37bd5p-7, -0x1.f9178aa7b675ap-8, -0x1.f052e8aab8a52p-8, -0x1.e7b1926f5323bp-8, -0x1.df330d614b9acp-8, -0x1.d6d6e02f24354p-8, -0x1.ce9c92c8c679ap-8, -0x1.c683ae5e39f69p-8, -0x1.be8bbd5e4b746p-8, -0x1.b6b44b751b617p-8, -0x1.aefce58ac623fp-8, -0x1.a76519c1cd166p-8, -0x1.9fec7775c50abp-8, -0x1.98928f398f251p-8, -0x1.9156f2d6176a3p-8, -0x1.8a3935486bd32p-8, -0x1.8338eac0595cep-8, -0x1.7c55a89e9ac0fp-8, -0x1.758f05733af8dp-8, -0x1.6ee498fbfe3adp-8, -0x1.6855fc226000cp-8, -0x1.61e2c8fa0ee0ap-8, -0x1.5b8a9abeff1f9p-8, -0x1.554d0dd3b1e7bp-8, -0x1.4f29bfbf5515dp-8, -0x1.49204f2bece14p-8, -0x1.43305be468f78p-8, -0x1.3d5986d2d7fdap-8, -0x1.379b71fe639f2p-8, -0x1.31f5c08984579p-8, -0x1.2c6816afdb72p-8, -0x1.26f219c482f89p-8, -0x1.2193702fc55d2p-8, -0x1.1c4bc16d626e6p-8, -0x1.171ab60a72113p-8, -0x1.11fff7a3511bep-8, -0x1.0cfb30e1baf2cp-8, -0x1.080c0d7a9de67p-8, -0x1.03323a2c2b866p-8, -0x1.fcdac97757bdep-9, -0x1.f37a77e71a77bp-9, -0x1.ea42df423951cp-9, -0x1.e133612579a88p-9, -0x1.d84b612add6afp-9, -0x1.cf8a44e632166p-9, -0x1.c6ef73e023b46p-9, -0x1.be7a5792a10dcp-9, -0x1.b62a5b643ce8ap-9, -0x1.adfeeca3ffdd4p-9, -0x1.a5f77a853fcc6p-9, -0x1.9e13761b61f12p-9, -0x1.9652525572b9ep-9, -0x1.8eb383fa1f95ap-9, -0x1.873681a328858p-9, -0x1.7fdac3b977bfap-9, -0x1.789fc47064876p-9, -0x1.7184ffc2004b4p-9, -0x1.6a89f36a4daa8p-9, -0x1.63ae1ee353073p-9, -0x1.5cf10360c8e42p-9, -0x1.565223cbc962cp-9, -0x1.4fd104be8e643p-9, -0x1.496d2c805f84p-9, -0x1.432623010f7c1p-9, -0x1.3cfb71d513379p-9, -0x1.36eca4310327ap-9, -0x1.30f946e5a052fp-9, -0x1.2b20e85b83438p-9, -0x1.2563188ee9eadp-9, -0x1.1fbf690bba712p-9, -0x1.1a356ce91d4efp-9, -0x1.14c4b8c58c7e7p-9, -0x1.0f6ce2c289bb3p-9, -0x1.0a2d8280933e1p-9, -0x1.0506311b35bf8p-9, -0x1.ffed12491b981p-10, -0x1.f5fc4d4360f05p-10, -0x1.ec394e0ca3b92p-10, -0x1.e2a35261c274bp-10, -0x1.d9399accc7a3ap-10, -0x1.cffb6a9d52779p-10, -0x1.c6e807e057c2ep-10, -0x1.bdfebb583bdb5p-10, -0x1.b53ed0753c6c5p-10, -0x1.aca7954d3a68fp-10, -0x1.a4385a944ea75p-10, -0x1.9bf07394ef053p-10, -0x1.93cf36283312cp-10, -0x1.8bd3faae131cdp-10, -0x1.83fe1c064a779p-10, -0x1.7c4cf78801eaap-10, -0x1.74bfecfb150ffp-10, -0x1.6d565e901131p-10, -0x1.660fb0d92755p-10, -0x1.5eeb4ac2c1fcbp-10, -0x1.57e8958c02189p-10, -0x1.5106fcbfa1547p-10, -0x1.4a45ee2cd6a2fp-10, -0x1.43a4d9e0081eep-10, -0x1.3d23321bc61bbp-10, -0x1.36c06b51a10e2p-10, -0x1.307bfc1b5746dp-10, -0x1.2a555d33d5a3ep-10, -0x1.244c0970155b1p-10, -0x1.1e5f7db8e1b3dp-10, -0x1.188f390339f8p-10, -0x1.12dabc4a5f3cbp-10, -0x1.0d418a88b58cep-10, -0x1.07c328b11ead9p-10, -0x1.025f1da8db6d6p-10, -0x1.fa29e480c92ep-11, -0x1.efc8625b3695dp-11, -0x1.e598ce09b9a8ep-11, -0x1.db9a446632e87p-11, -0x1.d1cbe5ee82c31p-11, -0x1.c82cd6b8412a7p-11, -0x1.bebc3e649643fp-11, -0x1.b5794813d88c7p-11, -0x1.ac63225936b28p-11, -0x1.a378ff2f13c78p-11, -0x1.9aba13eb242aep-11, -0x1.922599320b748p-11, -0x1.89bacaecd4268p-11, -0x1.8178e83c4bd77p-11, -0x1.795f336e23befp-11, -0x1.716cf1f17007fp-11, -0x1.69a16c4bb3332p-11, -0x1.61fbee0d22698p-11, -0x1.5a7bc5c6aa986p-11, -0x1.532044fe1cac2p-11, -0x1.4be8c023d3a51p-11, -0x1.44d48e8837c57p-11, -0x1.3de30a50ed878p-11, -0x1.3713906e972b9p-11, -0x1.306580923b862p-11, -0x1.29d83d2383a0ep-11, -0x1.236b2b36854a5p-11, -0x1.1d1db2813deeap-11, -0x1.16ef3d5251b2fp-11, -0x1.10df38871aecfp-11, -0x1.0aed138231d8dp-11, -0x1.0518402129333p-11, -0x1.fec065683ed81p-12, -0x1.f388c3e76d65cp-12, -0x1.e8888defc4105p-12, -0x1.ddbeba5e925aap-12, -0x1.d32a44ab67117p-12, -0x1.c8ca2cd6b3b07p-12, -0x1.be9d7758ca4e5p-12, -0x1.b4a32d0efb729p-12, -0x1.aada5b2be552cp-12, -0x1.a1421325ab226p-12, -0x1.97d96aa57e275p-12, -0x1.8e9f7b7693171p-12, -0x1.859363769f43bp-12, -0x1.7cb44484a7b11p-12, -0x1.74014471d4469p-12, -0x1.6b798cf1145cep-12, -0x1.631c4b87dc51bp-12, -0x1.5ae8b17ebd472p-12, -0x1.52ddf3d245655p-12, -0x1.4afb4b239f416p-12, -0x1.433ff3aa28843p-12, -0x1.3bab2d248aeafp-12, -0x1.343c3aca86449p-12, -0x1.2cf2633eda6ap-12, -0x1.25ccf0807fc48p-12, -0x1.1ecb2fdd8236fp-12, -0x1.17ec71e507016p-12, -0x1.11300a598bd76p-12, -0x1.0a955024782e1p-12, -0x1.041b9d474fe83p-12, -0x1.fb849da161f78p-13, -0x1.ef11899b918ap-13, -0x1.e2dcc47dd5151p-13, -0x1.d6e51a14d131bp-13, -0x1.cb295be11b32dp-13, -0x1.bfa860fefb2f7p-13, -0x1.b461060e345abp-13, -0x1.a9522d1ad1ab1p-13, -0x1.9e7abd8551471p-13, -0x1.93d9a3ec8bffap-13, -0x1.896dd216b468p-13, -0x1.7f363eda68d7dp-13, -0x1.7531e609c2558p-13, -0x1.6b5fc85c0f078p-13, -0x1.61beeb58c8ccbp-13, -0x1.584e594248474p-13, -0x1.4f0d21010c857p-13, -0x1.45fa560ed120dp-13, -0x1.3d1510643fcbcp-13, -0x1.345c6c6267354p-13, -0x1.2bcf8ac1627c7p-13, -0x1.236d907bda7e9p-13, -0x1.1b35a6bc5c6c6p-13, -0x1.1326facaa2dbfp-13, -0x1.0b40bdf9372p-13, -0x1.038225935b94ep-13, -0x1.f7d4d595dd705p-14, -0x1.e8f1954d40707p-14, -0x1.da590be29cb3p-14, -0x1.cc09c250a1475p-14, -0x1.be0248d5086dp-14, -0x1.b04136d09306ep-14, -0x1.a2c52aa6124ccp-14, -0x1.958cc9990762ep-14, -0x1.8896bfafdbd68p-14, -0x1.7be1bf933a64fp-14, -0x1.6f6c827111c5dp-14, -0x1.6335c7db65cc3p-14, -0x1.573c55aea4a5fp-14, -0x1.4b7ef7f0aa4p-14, -0x1.3ffc80b6308f4p-14, -0x1.34b3c8062537ep-14, -0x1.29a3abbcdc70dp-14, -0x1.1ecb0f7190401p-14, -0x1.1428dc5ad4ec8p-14, -0x1.09bc013441d7ap-14, -0x1.ff06e448615bp-15, -0x1.eafc5144f69cfp-15, -0x1.d75646bce5528p-15, -0x1.c412cc4d7c446p-15, -0x1.b12ff39f7e785p-15, -0x1.9eabd83a0ecebp-15, -0x1.8c849f5068b92p-15, -0x1.7ab8779405532p-15, -0x1.6945990888f75p-15, -0x1.582a44d4ef068p-15, -0x1.4764c5187186ep-15, -0x1.36f36cbc151dep-15, -0x1.26d4974b50219p-15, -0x1.1706a8c96d13bp-15, -0x1.07880d85a3167p-15, -0x1.f0ae73e8c573cp-16, -0x1.d2e5550d8daffp-16, -0x1.b5b1c70705f98p-16, -0x1.9910e1bfd6c5ap-16, -0x1.7cffcc342851fp-16, -0x1.617bbc2860362p-16, -0x1.4681f5da8f3c4p-16, -0x1.2c0fcbc01966dp-16, -0x1.12229e3b8447ap-16, -0x1.f16fb6b27af7cp-17, -0x1.bf99fd11062c5p-17, -0x1.8ebf20b15d608p-17, -0x1.5eda4c6ee0e27p-17, -0x1.2fe6c4660c881p-17, -0x1.01dfe568fc1ecp-17, -0x1.a9824916e1e78p-18, -0x1.510c1d47c1265p-18, -0x1.f4a91f36c65dep-19, -0x1.4aa62bfef3a25p-19, -0x1.47fd4c6dbda28p-20, -0x1.4455aa84b5ecbp-28, 0x1.3efea682d06bdp-20, 0x1.3c758ce368f95p-19, 0x1.d64fe86c270b9p-19, 0x1.368ebdb26c671p-18, 0x1.807686090bb37p-18, 0x1.c8e6898e1efc2p-18, 0x1.07f2ef4721689p-17, 0x1.2abdbb0ea0ac6p-17, 0x1.4cd70e65deb7ap-17, 0x1.6e423db6e1e9dp-17, 0x1.8f028be9b1b1bp-17, 0x1.af1b2abef4a11p-17, 0x1.ce8f3b2e8888cp-17, 0x1.ed61cdb87232bp-17, 0x1.05caf1617bd6cp-16, 0x1.149735759bea5p-16, 0x1.231723ac590fbp-16, 0x1.314c25088916cp-16, 0x1.3f379b23de58ap-16, 0x1.4cdae056dc4b5p-16, 0x1.5a3747df3212cp-16, 0x1.674e1e05cc4b2p-16, 0x1.7420a841d33c3p-16, 0x1.80b0255ffb21cp-16, 0x1.8cfdcda5f7d33p-16, 0x1.990ad2f592be4p-16, 0x1.a4d860ed31283p-16, 0x1.b0679d0ae7feep-16, 0x1.bbb9a6ce25efcp-16, 0x1.c6cf97d857ec6p-16, 0x1.d1aa840a893a9p-16, 0x1.dc4b79a74395ap-16, 0x1.e6b3816eea43ep-16, 0x1.f0e39ebe09f7fp-16, 0x1.fadccfacfaa68p-16, 0x1.02500694dd018p-15, 0x1.0717258ac1191p-15, 0x1.0bc43c30e6bddp-15, 0x1.1057bf9426a32p-15, 0x1.14d222640777fp-15, 0x1.1933d4ff5c3e2p-15, 0x1.1d7d4580ecb8ap-15, 0x1.21aedfcc19e3p-15, 0x1.25c90d98b7edap-15, 0x1.29cc367f66538p-15, 0x1.2db8c0058d81cp-15, 0x1.318f0da8895dbp-15, 0x1.354f80e9431fap-15, 0x1.38fa79563b42p-15, 0x1.3c905497cf936p-15, 0x1.40116e79b78ep-15, 0x1.437e20f59f1cep-15, 0x1.46d6c43df4e5fp-15, 0x1.4a1baec770b86p-15, 0x1.4d4d35527afep-15, 0x1.506baaf5163d4p-15, 0x1.537761243b603p-15, 0x1.5670a7bcb66f9p-15, 0x1.5957cd0c60436p-15, 0x1.5c2d1ddad1734p-15, 0x1.5ef0e571d18b2p-15, 0x1.61a36da6135a2p-15, 0x1.6444fedef67e6p-15, 0x1.66d5e01ed00cdp-15, 0x1.6956570b02f18p-15, 0x1.6bc6a7f393018p-15, 0x1.6e2715da35fc8p-15, 0x1.7077e279db17p-15, 0x1.72b94e4ee2b34p-15, 0x1.74eb989cd74f5p-15, 0x1.770eff75d1c0dp-15, 0x1.7923bfc1e5b98p-15, 0x1.7b2a1544c8561p-15, 0x1.7d223aa45c2cfp-15, 0x1.7f0c696fcb521p-15, 0x1.80e8da255aee2p-15, 0x1.82b7c437c9624p-15, 0x1.84795e151796dp-15, 0x1.862ddd2ba9df5p-15, 0x1.87d575f07cd8ep-15, 0x1.89705be4c5d8bp-15, 0x1.8afec19aa7015p-15, 0x1.8c80d8baf2a39p-15, 0x1.8df6d20a79879p-15, 0x1.8f60dd6ec40d6p-15, 0x1.90bf29f33bb63p-15, 0x1.9211e5ce1c1cap-15, 0x1.93593e64b8125p-15, 0x1.949560501367ap-15, 0x1.95c67761fd534p-15, 0x1.96ecaea9248f6p-15, 0x1.9808307538137p-15, 0x1.9919265b824cdp-15, 0x1.9a1fb93adc731p-15, 0x1.9b1c113f88a3bp-15, 0x1.9c0e55e70357ep-15, 0x1.9cf6ae042d204p-15, 0x1.9dd53fc343601p-15, 0x1.9eaa30acdd31bp-15, 0x1.9f75a5a9fc45cp-15, 0x1.a037c3076fbd5p-15, 0x1.a0f0ac793a426p-15, 0x1.a1a0851dcd9dp-15, 0x1.a2476f8184f86p-15, 0x1.a2e58da16936ap-15, 0x1.a37b00eebcddcp-15, 0x1.a407ea51e35dbp-15, 0x1.a48c6a2d2ec1fp-15, 0x1.a508a05fd5612p-15, 0x1.a57cac48bf323p-15, 0x1.a5e8acc9b5d9fp-15, 0x1.a64cc0496108dp-15, 0x1.a6a904b640d94p-15, 0x1.a6fd9789261e1p-15, 0x1.a74a95c7bdc8ep-15, 0x1.a7901c07559a1p-15, 0x1.a7ce466eeade1p-15, 0x1.a80530b92b1e6p-15, 0x1.a834f63772766p-15, 0x1.a85db1d3728ep-15, 0x1.a87f7e114e4f8p-15, 0x1.a89a751255f1ep-15, 0x1.a8aeb0969f2d9p-15, 0x1.a8bc49fed8e3bp-15, 0x1.a8c35a4edece2p-15, 0x1.a8c3fa2ef9cb7p-15, 0x1.a8be41edfdbe1p-15, 0x1.a8b249832d0e2p-15, 0x1.a8a02890453dcp-15, 0x1.a887f662841e9p-15, 0x1.a869c9f4d4d2fp-15, 0x1.a845b9f190b91p-15, 0x1.a81bdcb3f398cp-15, 0x1.a7ec4849b2c33p-15, 0x1.a7b7127452447p-15, 0x1.a77c50aa962f1p-15, 0x1.a73c181a5f451p-15, 0x1.a6f67da9d1534p-15, 0x1.a6ab95f8a5dc8p-15, 0x1.a65b7561c7e93p-15, 0x1.a6062ffc3e933p-15, 0x1.a5abd99cf076fp-15, 0x1.a54c85d7979d6p-15, 0x1.a4e847ffde1ccp-15, 0x1.a47f332aade27p-15, 0x1.a4115a2fc6621p-15, 0x1.a39ecfaa45224p-15, 0x1.a327a5f99df95p-15, 0x1.a2abef43758d7p-15, 0x1.a22bbd7430b95p-15, 0x1.a1a7223ff007dp-15, 0x1.a11e2f2395a14p-15, 0x1.a090f565e3b9cp-15, 0x1.9fff861808b7dp-15, 0x1.9f69f2174a258p-15, 0x1.9ed04a0d23ac6p-15, 0x1.9e329e70b40e4p-15, 0x1.9d90ff8768487p-15, 0x1.9ceb7d6565dc5p-15, 0x1.9c4227eeeec6ap-15, 0x1.9b950ed94c67bp-15, 0x1.9ae441aacca17p-15, 0x1.9a2fcfbc12b62p-15, 0x1.9977c838ebda2p-15, 0x1.98bc3a20b9209p-15, 0x1.97fd34471ef17p-15, 0x1.973ac55525fccp-15, 0x1.9674fbc960b2ep-15, 0x1.95abe5f88d65dp-15, 0x1.94df920eaaa08p-15, 0x1.94100e0f3b9b1p-15, 0x1.933d67d5f921bp-15, 0x1.9267ad176cdd5p-15, 0x1.918eeb619036bp-15, 0x1.90b3301c39814p-15, 0x1.8fd488898c63ep-15, 0x1.8ef301c6bd7c2p-15, 0x1.8e0ea8ccdaafdp-15, 0x1.8d278a707c461p-15, 0x1.8c3db362dd915p-15, 0x1.8b513032503a1p-15, 0x1.8a620d4a7f427p-15, 0x1.897056f52df9ep-15, 0x1.887c195a53bb8p-15, 0x1.87856080bad0bp-15, 0x1.868c384e88a1cp-15, 0x1.8590ac895bf9ap-15, 0x1.8492c8d6a8e52p-15, 0x1.839298bcce7b9p-15, 0x1.829027a2b7c0ap-15, 0x1.818b80d066b6ep-15, 0x1.8084af6f7784ep-15, 0x1.7f7bbe8b832cfp-15, 0x1.7e70b91269694p-15, 0x1.7d63a9d49d0d6p-15, 0x1.7c549b858ab4fp-15, 0x1.7b4398bbeff3fp-15, 0x1.7a30abf1dc6bdp-15, 0x1.791bdf85aa082p-15, 0x1.78053db9b0411p-15, 0x1.76ecd0b506a96p-15, 0x1.75d2a28365f29p-15, 0x1.74b6bd15825b5p-15, 0x1.73992a41ed39ep-15, 0x1.7279f3c45a5b1p-15, 0x1.7159233e927b9p-15, 0x1.7036c238ad495p-15, 0x1.6f12da210523ep-15, 0x1.6ded744ceae4ep-15, 0x1.6cc699f85dd15p-15, 0x1.6b9e5446998dcp-15, 0x1.6a74ac428686fp-15, 0x1.6949aade67ccdp-15, 0x1.681d58f4829b1p-15, 0x1.66efbf475febdp-15, 0x1.65c0e681a24fep-15, 0x1.6490d73676583p-15, 0x1.635f99e1f3dcap-15, 0x1.622d36e94c761p-15, 0x1.60f9b69a9adb2p-15, 0x1.5fc5212d763b8p-15, 0x1.5e8f7ec321168p-15, 0x1.5d58d766583b3p-15, 0x1.5c21330c2b50ep-15, 0x1.5ae89993e680ap-15, 0x1.59af12c69b33dp-15, 0x1.5874a658391aap-15, 0x1.57395be793efap-15, 0x1.55fd3afe011bfp-15, 0x1.54c04b100d4d2p-15, 0x1.5382937d70919p-15, 0x1.52441b916d19cp-15, 0x1.5104ea829254cp-15, 0x1.4fc50773256c3p-15, 0x1.4e8479719dedp-15, 0x1.4d4347783f18dp-15, 0x1.4c01786d73c59p-15, 0x1.4abf1324040c5p-15, 0x1.497c1e5b62071p-15, 0x1.4838a0bf92c1dp-15, 0x1.46f4a0e9420b3p-15, 0x1.45b0255e62107p-15, 0x1.446b34919748ep-15, 0x1.4325d4e2d41b4p-15, 0x1.41e00c9fcfc28p-15, 0x1.4099e2035a167p-15, 0x1.3f535b35fd505p-15, 0x1.3e0c7e4e45052p-15, 0x1.3cc551504969cp-15, 0x1.3b7dda2ea8a4dp-15, 0x1.3a361ec9d925ep-15, 0x1.38ee24f07df42p-15, 0x1.37a5f2604c2f7p-15, 0x1.365d8cc527b8dp-15, 0x1.3514f9b99000ep-15, 0x1.33cc3ec71352ap-15, 0x1.328361663a4a6p-15, 0x1.313a66fe8a5b3p-15, 0x1.2ff154e6bceebp-15, 0x1.2ea83064fe71dp-15, 0x1.2d5efeaee329ep-15, 0x1.2c15c4e9960abp-15, 0x1.2acc8829fb4d1p-15, 0x1.29834d74c7da2p-15, 0x1.283a19bea60afp-15, 0x1.26f0f1ec11453p-15, 0x1.25a7dad21269p-15, 0x1.245ed935c833cp-15, 0x1.2315f1cca64cep-15, 0x1.21cd293cf52c9p-15, 0x1.2084841d33954p-15, 0x1.1f3c06f4ee075p-15, 0x1.1df3b63c868c7p-15, 0x1.1cab965d1f19ep-15, 0x1.1b63abb129515p-15, 0x1.1a1bfa8436962p-15, 0x1.18d487131e3e3p-15, 0x1.178d558c11be9p-15, 0x1.16466a0effc03p-15, 0x1.14ffc8ad62677p-15, 0x1.13b9756a39ec8p-15, 0x1.1273743a796a5p-15, 0x1.112dc90540dfdp-15, 0x1.0fe877a381acdp-15, 0x1.0ea383e05e0bep-15, 0x1.0d5ef17955bf3p-15, 0x1.0c1ac41e385fep-15, 0x1.0ad6ff7150f63p-15, 0x1.0993a7075c9b4p-15, 0x1.0850be6805553p-15, 0x1.070e490d92d33p-15, 0x1.05cc4a6545f14p-15, 0x1.048ac5cf47c91p-15, 0x1.0349be9ee8068p-15, 0x1.0209381aa081cp-15, 0x1.00c9357c47b05p-15, 0x1.ff1373e20e8dcp-16, 0x1.fc959132e5d78p-16, 0x1.fa18c913afaddp-16, 0x1.f79d219462949p-16, 0x1.f522a0ac82236p-16, 0x1.f2a94c3b637a2p-16, 0x1.f0312a081b3d6p-16, 0x1.edba3fc231bacp-16, 0x1.eb44930158b17p-16, 0x1.e8d02945e4604p-16, 0x1.e65d07f927092p-16, 0x1.e3eb346ced13ap-16, 0x1.e17ab3dc62319p-16, 0x1.df0b8b6c568bfp-16, 0x1.dc9dc02a7670cp-16, 0x1.da31570e9c468p-16, 0x1.d7c654fa69816p-16, 0x1.d55cbeb994755p-16, 0x1.d2f49901e292dp-16, 0x1.d08de873fdb0ep-16, 0x1.ce28b19afd282p-16, 0x1.cbc4f8ecabb8p-16, 0x1.c962c2ca13519p-16, 0x1.c702137f487d3p-16, 0x1.c4a2ef43bb0f3p-16, 0x1.c2455a3a805fcp-16, 0x1.bfe95872718ebp-16, 0x1.bd8eede6618e4p-16, 0x1.bb361e7d0f72ap-16, 0x1.b8deee09b465dp-16, 0x1.b689604bed511p-16, 0x1.b43578eff81ccp-16, 0x1.b1e33b8ee84a8p-16, 0x1.af92abaeb8403p-16, 0x1.ad43ccc2a866p-16, 0x1.aaf6a22b942d4p-16, 0x1.a8ab2f374d0dap-16, 0x1.a6617721c870cp-16, 0x1.a4197d14c93a5p-16, 0x1.a1d34427f9b8dp-16, 0x1.9f8ecf6150872p-16, 0x1.9d4c21b555009p-16, 0x1.9b0b3e069e45bp-16, 0x1.98cc27270409ap-16, 0x1.968edfd70d03ep-16, 0x1.94536ac63b51cp-16, 0x1.9219ca9394a6cp-16, 0x1.8fe201cd3354cp-16, 0x1.8dac12f0d8927p-16, 0x1.8b78006c13652p-16, 0x1.8945cc9c52a41p-16, 0x1.871579cef86d1p-16, 0x1.84e70a41de023p-16, 0x1.82ba802300ecp-16, 0x1.808fdd90fee9ep-16, 0x1.7e67249b102e3p-16, 0x1.7c405741a192ap-16, 0x1.7a1b7775b83a6p-16, 0x1.77f8871999777p-16, 0x1.75d788013d5c8p-16, 0x1.73b87bf1b541ep-16, 0x1.719b64a1d00fbp-16, 0x1.6f8043ba51018p-16, 0x1.6d671ad5c5db5p-16, 0x1.6b4feb80eeaccp-16, 0x1.693ab73ab755p-16, 0x1.67277f747d67dp-16, 0x1.6516459253319p-16, 0x1.63070aeac276dp-16, 0x1.60f9d0c757873p-16, 0x1.5eee9864ad7cdp-16, 0x1.5ce562f25169fp-16, 0x1.5ade3193722adp-16, 0x1.58d9055e77318p-16, 0x1.56d5df5d2deb7p-16, 0x1.54d4c08da07c9p-16, 0x1.52d5a9e12e714p-16, 0x1.50d89c3dc4087p-16, 0x1.4edd987d0d8ebp-16, 0x1.4ce49f6d2b833p-16, 0x1.4aedb1d0dbaa5p-16, 0x1.48f8d05f0dafep-16, 0x1.4705fbc3cbe67p-16, 0x1.4515349fcd077p-16, 0x1.43267b88bad11p-16, 0x1.4139d10982bafp-16, 0x1.3f4f35a22666cp-16, 0x1.3d66a9c834af3p-16, 0x1.3b802de697ef9p-16, 0x1.399bc25e50a4cp-16, 0x1.37b96785a3bd7p-16, 0x1.35d91da8f6605p-16, 0x1.33fae50ad468cp-16, 0x1.321ebde3b3dfp-16, 0x1.3044a8629fbf8p-16, 0x1.2e6ca4acf43e8p-16, 0x1.2c96b2deac9afp-16, 0x1.2ac2d30a3447bp-16, 0x1.28f1053923b64p-16, 0x1.2721496ba6db3p-16, 0x1.25539f993f03bp-16, 0x1.238807b04b384p-16, 0x1.21be8196d146cp-16, 0x1.1ff70d29f1f83p-16, 0x1.1e31aa3e84b54p-16, 0x1.1c6e58a0f37f2p-16, 0x1.1aad18156f89ap-16, 0x1.18ede8581b065p-16, 0x1.1730c91cdc778p-16, 0x1.1575ba1005241p-16, 0x1.13bcbad5e89c1p-16, 0x1.1205cb0b4815fp-16, 0x1.1050ea4541238p-16, 0x1.0e9e1811916e1p-16, 0x1.0ced53f6b5b21p-16, 0x1.0b3e9d73b2fc1p-16, 0x1.0991f400b6a03p-16, 0x1.07e7570ec6f6bp-16, 0x1.063ec607d054bp-16, 0x1.0498404f59e9p-16, 0x1.02f3c541f2bd6p-16, 0x1.015154359d139p-16, 0x1.ff61d8f3eef0ap-17, 0x1.fc251ab045a51p-17, 0x1.f8ec6c25d6eb8p-17, 0x1.f5b7cbce47da6p-17, 0x1.f2873816a9ff8p-17, 0x1.ef5aaf6015944p-17, 0x1.ec32300057de9p-17, 0x1.e90db8410b2abp-17, 0x1.e5ed4660a4498p-17, 0x1.e2d0d8928c81fp-17, 0x1.dfb86cfef6547p-17, 0x1.dca401c35237p-17, 0x1.d99394f255c9ap-17, 0x1.d68724946399fp-17, 0x1.d37eaea76cdf2p-17, 0x1.d07a311f91722p-17, 0x1.cd79a9e69402bp-17, 0x1.ca7d16dcc9529p-17, 0x1.c78475d9085b7p-17, 0x1.c48fc4a88a9a2p-17, 0x1.c19f010f4b2c5p-17, 0x1.beb228c856143p-17, 0x1.bbc93985d530ap-17, 0x1.b8e430f137267p-17, 0x1.b6030cab63422p-17, 0x1.b325ca4cb977dp-17, 0x1.b04c676578b5dp-17, 0x1.ad76e17db4cdcp-17, 0x1.aaa53615e3b07p-17, 0x1.a7d762a6645f3p-17, 0x1.a50d64a01ee3cp-17, 0x1.a247396cb3df1p-17, 0x1.9f84de6e38cd4p-17, 0x1.9cc650ffb3f62p-17, 0x1.9a0b8e75814ebp-17, 0x1.9754941c8d08dp-17, 0x1.94a15f3ba7b02p-17, 0x1.91f1ed12c50cbp-17, 0x1.8f463adb59cf8p-17, 0x1.8c9e45c8ed215p-17, 0x1.89fa0b0889f5fp-17, 0x1.875987c197383p-17, 0x1.84bcb91582c33p-17, 0x1.82239c1ff0f1p-17, 0x1.7f8e2df70a6cfp-17, 0x1.7cfc6bab77e11p-17, 0x1.7a6e5248876e7p-17, 0x1.77e3ded46d86fp-17, 0x1.755d0e50730b8p-17, 0x1.72d9ddb8a3269p-17, 0x1.705a4a04a93c5p-17, 0x1.6dde50273deb1p-17, 0x1.6b65ed0e91b09p-17, 0x1.68f11da45cc45p-17, 0x1.667fdece43f8ep-17, 0x1.64122d6d8525dp-17, 0x1.61a8065f61ccdp-17, 0x1.5f41667d2ef3ep-17, 0x1.5cde4a9c56965p-17, 0x1.5a7eaf8ec0d91p-17, 0x1.5822922274edp-17, 0x1.55c9ef2236248p-17, 0x1.5374c35540382p-17, 0x1.51230b7f996b4p-17, 0x1.4ed4c46206967p-17, 0x1.4c89eaba46873p-17, 0x1.4a427b43106a4p-17, 0x1.47fe72b494c75p-17, 0x1.45bdcdc3caf21p-17, 0x1.438089235f1dfp-17, 0x1.4146a1835a755p-17, 0x1.3f1013910903ep-17, 0x1.3cdcdbf7c50f2p-17, 0x1.3aacf7606460dp-17, 0x1.3880627160329p-17, 0x1.365719cfbda32p-17, 0x1.34311a1dfa04cp-17, 0x1.320e5ffce883fp-17, 0x1.2feee80bab173p-17, 0x1.2dd2aee74a285p-17, 0x1.2bb9b12b886dep-17, 0x1.29a3eb7284aadp-17, 0x1.27915a54b6141p-17, 0x1.2581fa69af727p-17, 0x1.2375c84738433p-17, 0x1.216cc08242b93p-17, 0x1.1f66dfae7648bp-17, 0x1.1d64225e73f71p-17, 0x1.1b648523f0bap-17, 0x1.1968048fd7e94p-17, 0x1.176e9d31f432fp-17, 0x1.15784b99bdb13p-17, 0x1.13850c558c8cfp-17, 0x1.1194dbf3a273bp-17, 0x1.0fa7b7015ba4bp-17, 0x1.0dbd9a0bce79ap-17, 0x1.0bd6819fbd913p-17, 0x1.09f26a4975139p-17, 0x1.081150953f248p-17, 0x1.0633310ee7157p-17, 0x1.0458084279808p-17, 0x1.027fd2bb9d1c5p-17, 0x1.00aa8d066b319p-17, 0x1.fdb0675da4778p-18, 0x1.fa118681cc138p-18, 0x1.f678709268f66p-18, 0x1.f2e51ea86c37p-18, 0x1.ef5789ddce5d7p-18, 0x1.ebcfab4d7a58ap-18, 0x1.e84d7c12b6bffp-18, 0x1.e4d0f54a91481p-18, 0x1.e15a1012e3239p-18, 0x1.dde8c58a8c18ep-18, 0x1.da7d0ed223c53p-18, 0x1.d716e50bac143p-18, 0x1.d3b6415a70adbp-18, 0x1.d05b1ce3c4e77p-18, 0x1.cd0570ced27bap-18, 0x1.c9b53643fe774p-18, 0x1.c66a666e9de5ap-18, 0x1.c324fa7b3b178p-18, 0x1.bfe4eb98e3685p-18, 0x1.bcaa32f906629p-18, 0x1.b974c9cf4b612p-18, 0x1.b644a951c64e2p-18, 0x1.b319cab95dabbp-18, 0x1.aff42740f7046p-18, 0x1.acd3b826e86ddp-18, 0x1.a9b876ab76e1ep-18, 0x1.a6a25c12c7bb1p-18, 0x1.a39161a318b96p-18, 0x1.a08580a64c09bp-18, 0x1.9d7eb26949bfp-18, 0x1.9a7cf03bbaa55p-18, 0x1.978033714d61bp-18, 0x1.948875603ad86p-18, 0x1.9195af62b3138p-18, 0x1.8ea7dad62e4e4p-18, 0x1.8bbef11b872f7p-18, 0x1.88daeb97ceec9p-18, 0x1.85fbc3b2f0d1ep-18, 0x1.832172d996c5ap-18, 0x1.804bf27b61e12p-18, 0x1.7d7b3c0c53e16p-18, 0x1.7aaf490488d34p-18, 0x1.77e812df77fa8p-18, 0x1.7525931d4f6cep-18, 0x1.7267c34248494p-18, 0x1.6fae9cd647065p-18, 0x1.6cfa19666fd57p-18, 0x1.6a4a3282e34b5p-18, 0x1.679ee1c12044cp-18, 0x1.64f820baf7457p-18, 0x1.6255e90def1ccp-18, 0x1.5fb8345d627b7p-18, 0x1.5d1efc4fada58p-18, 0x1.5a8a3a910b20ap-18, 0x1.57f9e8d1b8b35p-18, 0x1.556e00c6c2989p-18, 0x1.52e67c2a17638p-18, 0x1.506354ba8285p-18, 0x1.4de4843b2a4e1p-18, 0x1.4b6a0474e04dp-18, 0x1.48f3cf34bc2fap-18, 0x1.4681de4d26f39p-18, }}, 
      std::vector<double>(1350, 0.0), 
      {{-0x1.0e0169d3b2cf4p-7, -0x1.0d78a4b6d8fa3p-6, -0x1.92ed4193c5edp-6, -0x1.0b7d45339edfcp-5, -0x1.4caac42e9812ap-5, -0x1.8ce593e00caafp-5, -0x1.cc1eaa1211a35p-5, -0x1.0527e1256be0bp-4, -0x1.23bcd377661e3p-4, -0x1.41d14dc795a81p-4, -0x1.5f6a787bb66c5p-4, -0x1.7c8ee1cbf5d6fp-4, -0x1.9945f19e0af7bp-4, -0x1.b59771a35e3cap-4, -0x1.d18b297e345aap-4, -0x1.ed288e8d3f5afp-4, -0x1.043b434aa28eap-3, -0x1.11bd9dfddc914p-3, -0x1.1f1e00e3cc799p-3, -0x1.2c5ea2a07ff2dp-3, -0x1.3981456b118efp-3, -0x1.468739f353f68p-3, -0x1.5371659aa88dp-3, -0x1.60404afce7f53p-3, -0x1.6cf413eb5259fp-3, -0x1.798c9c23ceb33p-3, -0x1.86097c36af137p-3, -0x1.926a1431f83eep-3, -0x1.9ead95c93df7p-3, -0x1.aad30dcbbd911p-3, -0x1.b6d96ccf6965cp-3, -0x1.c2bf8f0764fc2p-3, -0x1.ce844347a2b31p-3, -0x1.da26513ec4ebbp-3, -0x1.e5a47ef3a304p-3, -0x1.f0fd9595ff407p-3, -0x1.fc3065b23cb7fp-3, -0x1.039de56ba7d89p-2, -0x1.090f575e60314p-2, -0x1.0e6c05fa8376ap-2, -0x1.13b3781b5db11p-2, -0x1.18e53f22d1278p-2, -0x1.1e00f7c1935d1p-2, -0x1.23064a9657a5dp-2, -0x1.27f4eca6bde1ap-2, -0x1.2ccc9fb478f67p-2, -0x1.318d327108737p-2, -0x1.3636809228ec7p-2, -0x1.3ac872c931849p-2, -0x1.3f42fe9f85bbcp-2, -0x1.43a6263a581f2p-2, -0x1.47f1f80800a58p-2, -0x1.4c268e593e9b1p-2, -0x1.50440ee8c57cdp-2, -0x1.544aaa5376c4ep-2, -0x1.583a9b83b305ep-2, -0x1.5c14271216448p-2, -0x1.5fd79a9df540bp-2, -0x1.63854c1fcdc1bp-2, -0x1.671d9937c7ba5p-2, -0x1.6aa0e67a3f4a9p-2, -0x1.6e0f9ebc2ab0dp-2, -0x1.716a326107379p-2, -0x1.74b116abc6092p-2, -0x1.77e4c5140aaefp-2, -0x1.7b05baa0da6ccp-2, -0x1.7e147749b171cp-2, -0x1.81117d5ebfd22p-2, -0x1.83fd50f8ec9f1p-2, -0x1.86d8777211e5fp-2, -0x1.89a376e5c0c1dp-2, -0x1.8c5ed5bab3c1dp-2, -0x1.8f0b1a3503ep-2, -0x1.91a8ca110bcd8p-2, -0x1.94386a26d664ap-2, -0x1.96ba7e15ddc2ap-2, -0x1.992f87f8cda0fp-2, -0x1.9b980820f5ceep-2, -0x1.9df47cd9041fp-2, -0x1.a045622e9c3acp-2, -0x1.a28b31c2643f2p-2, -0x1.a4c6629e09abbp-2, -0x1.a6f7690fd2022p-2, -0x1.a91eb68b436b1p-2, -0x1.ab3cb98e77dd1p-2, -0x1.ad51dd8ba63a2p-2, -0x1.af5e8ad6896d1p-2, -0x1.b1632695332d5p-2, -0x1.b36012b3fde31p-2, -0x1.b555addc3a462p-2, -0x1.b744536d5b247p-2, -0x1.b92c5b78475b4p-2, -0x1.bb0e1abc9e1c1p-2, -0x1.bce9e2a7abf6ep-2, -0x1.bec00154e3cc5p-2, -0x1.c090c18fa6001p-2, -0x1.c25c6ad63aa79p-2, -0x1.c423415dcde2dp-2, -0x1.c5e586175f6b3p-2, -0x1.c7a376b583ec1p-2, -0x1.c95d4db2e7defp-2, -0x1.cb1342598090ep-2, -0x1.ccc588ca61a54p-2, -0x1.ce74520627afbp-2, -0x1.d01fcbf5f22f3p-2, -0x1.d1c82174e8125p-2, -0x1.d36d7a5a3fbc4p-2, -0x1.d50ffb83c380fp-2, -0x1.d6afc6e0daf2ep-2, -0x1.d84cfb7e08bddp-2, -0x1.d9e7b590eaaf9p-2, -0x1.db800e84ae4dbp-2, -0x1.dd161d06fe5d3p-2, -0x1.dea9f5156d516p-2, -0x1.e03ba80b4f00ep-2, -0x1.e1cb44b00c2d3p-2, -0x1.e358d745e8644p-2, -0x1.e4e4699935d51p-2, -0x1.e66e030ff7f95p-2, -0x1.e7f5a8b9f0addp-2, -0x1.e97b5d6113c3dp-2, -0x1.eaff219a575fap-2, -0x1.ec80f3d6e66a7p-2, -0x1.ee00d075a4d18p-2, -0x1.ef7eb1d506e5ap-2, -0x1.f0fa90652ea7ap-2, -0x1.f27462ba4e92ep-2, -0x1.f3ec1d9f48a7ap-2, -0x1.f561b4287ac35p-2, -0x1.f6d517c6be6cbp-2, -0x1.f846385a85377p-2, -0x1.f9b50447137f5p-2, -0x1.fb216885cd2cbp-2, -0x1.fc8b50b98bb4ap-2, -0x1.fdf2a741f56adp-2, -0x1.ff57554ed0dedp-2, -0x1.005ca179a11d7p-1, -0x1.010c2b9c7c9f9p-1, -0x1.01ba3c199d5d6p-1, -0x1.0266c588e1387p-1, -0x1.0311ba19bbd81p-1, -0x1.03bb0b9c7578bp-1, -0x1.0462ab8b4b295p-1, -0x1.05088b136bdbp-1, -0x1.05ac9b1dd15edp-1, -0x1.064ecc57f0454p-1, -0x1.06ef0f3c3d4cep-1, -0x1.078d541a82a79p-1, -0x1.08298b2007f3fp-1, -0x1.08c3a45f85dfep-1, -0x1.095b8fd8e3b2dp-1, -0x1.09f13d80c0f25p-1, -0x1.0a849d47c4882p-1, -0x1.0b159f21b24b2p-1, -0x1.0ba4330c46b28p-1, -0x1.0c304915d36c4p-1, -0x1.0cb9d163a1756p-1, -0x1.0d40bc3812c3bp-1, -0x1.0dc4f9f88694ep-1, -0x1.0e467b32fea18p-1, -0x1.0ec530a382ffep-1, -0x1.0f410b394874bp-1, -0x1.0fb9fc1b96c5cp-1, -0x1.102ff4ae6e2d5p-1, -0x1.10a2e696efabfp-1, -0x1.1112c3bf85241p-1, -0x1.117f7e5bcc532p-1, -0x1.11e908ec42e7p-1, -0x1.124f5641b8149p-1, -0x1.12b259807f49bp-1, -0x1.131206236b75ap-1, -0x1.136e4ffe8c85bp-1, -0x1.13c72b41b7ab1p-1, -0x1.141c8c7ad55a4p-1, -0x1.146e6897fb2c8p-1, -0x1.14bcb4e94e574p-1, -0x1.15076722b4708p-1, -0x1.154e755d50f6dp-1, -0x1.1591d618d23fbp-1, -0x1.15d1803c8e761p-1, -0x1.160d6b1873f4bp-1, -0x1.16458e65cc8cp-1, -0x1.1679e247d5764p-1, -0x1.16aa5f4c2e9c6p-1, -0x1.16d6fe6b235ffp-1, -0x1.16ffb907caee5p-1, -0x1.172488f0060ddp-1, -0x1.1745685c5912cp-1, -0x1.176251efa4676p-1, -0x1.177b40b6bf2cp-1, -0x1.17903027ef50ap-1, -0x1.17a11c224ad01p-1, -0x1.17ae00ecf85f4p-1, -0x1.17b6db3659e6ap-1, -0x1.17bba8131d093p-1, -0x1.17bc64fd35e5dp-1, -0x1.17b90fd2c413ap-1, -0x1.17b1a6d4e2ba8p-1, -0x1.17a628a6689d9p-1, -0x1.1796944a94235p-1, -0x1.1782e923a8da1p-1, -0x1.176b26f17e78fp-1, -0x1.174f4dd000b46p-1, -0x1.172f5e35a60fp-1, -0x1.170b58f1d77d8p-1, -0x1.16e33f2b51aa4p-1, -0x1.16b7125e7acap-1, -0x1.1686d45bb19eap-1, -0x1.1652874596522p-1, -0x1.161a2d8f4b67p-1, -0x1.15ddc9fab43d4p-1, -0x1.159d5f96acc63p-1, -0x1.1558f1bd40c7dp-1, -0x1.15108411ddd8dp-1, -0x1.14c41a7f86e75p-1, -0x1.1473b93703c95p-1, -0x1.141f64ad1258p-1, -0x1.13c721989833cp-1, -0x1.136af4f0d44f8p-1, -0x1.130ae3eb93c9p-1, -0x1.12a6f3fb67a1ep-1, -0x1.123f2acddd8d3p-1, -0x1.11d38e49bd22ap-1, -0x1.1164248d47b51p-1, -0x1.10f0f3ec7bae7p-1, -0x1.107a02ef5ebc5p-1, -0x1.0fff58504a9ffp-1, -0x1.0f80fafa40cfap-1, -0x1.0efef207427e3p-1, -0x1.0e7944beafe3bp-1, -0x1.0deffa93abec9p-1, -0x1.0d631b23879aap-1, -0x1.0cd2ae3433ff2p-1, -0x1.0c3ebbb2b97c2p-1, -0x1.0ba74bb1b841bp-1, -0x1.0b0c6667ecf96p-1, -0x1.0a6e142ebf1dfp-1, -0x1.09cc5d80d543ep-1, -0x1.09274af8b184p-1, -0x1.087ee54f53d6ap-1, -0x1.07d3355ae502p-1, -0x1.0724440d69abbp-1, -0x1.06721a737ab0ep-1, -0x1.05bcc1b307646p-1, -0x1.0504430a1cdafp-1, -0x1.0448a7cdb71dp-1, -0x1.0389f96896f6fp-1, -0x1.02c8415a2175cp-1, -0x1.0203893545c4cp-1, -0x1.013bda9f68fbp-1, -0x1.00713f4f5b252p-1, -0x1.ff478218a40ddp-2, -0x1.fda6d359d40a8p-2, -0x1.fc00862c60278p-2, -0x1.fa54ae755e4f3p-2, -0x1.f8a360330fffdp-2, -0x1.f6ecaf7b15d1fp-2, -0x1.f530b078b6c91p-2, -0x1.f36f776b3151bp-2, -0x1.f1a918a415ebep-2, -0x1.efdda885b2fd3p-2, -0x1.ee0d3b8185087p-2, -0x1.ec37e616b72afp-2, -0x1.ea5dbcd0ae287p-2, -0x1.e87ed445992e9p-2, -0x1.e69b411513beep-2, -0x1.e4b317e6cb1e3p-2, -0x1.e2c66d693247p-2, -0x1.e0d556503ab2ap-2, -0x1.dedfe7541a54p-2, -0x1.dce6353017ba8p-2, -0x1.dae854a15e905p-2, -0x1.d8e65a65de362p-2, -0x1.d6e05b3b2da62p-2, -0x1.d4d66bdd76d0bp-2, -0x1.d2c8a1066e4ap-2, -0x1.d0b70f6c4a163p-2, -0x1.cea1cbc0c5a73p-2, -0x1.cc88eab0279d5p-2, -0x1.ca6c80e052f69p-2, -0x1.c84ca2efd9903p-2, -0x1.c62965751540ep-2, -0x1.c402dcfd48dddp-2, -0x1.c1d91e0bc4536p-2, -0x1.bfac3d190d246p-2, -0x1.bd7c4e920e62bp-2, -0x1.bb4966d74bbc9p-2, -0x1.b9139a3c187edp-2, -0x1.b6dafd05d21c1p-2, -0x1.b49fa36b23f01p-2, -0x1.b261a193462cep-2, -0x1.b0210b954988dp-2, -0x1.adddf5775ef74p-2, -0x1.ab98732e282d7p-2, -0x1.a950989c0907fp-2, -0x1.a70679907b944p-2, -0x1.a4ba29c7687fbp-2, -0x1.a26bbce881496p-2, -0x1.a01b46869ed94p-2, -0x1.9dc8da1f1fa76p-2, -0x1.9b748b194d5cap-2, -0x1.991e6cc5bfdp-2, -0x1.96c6925dc3f98p-2, -0x1.946d0f02c89c6p-2, -0x1.9211f5bdc8be9p-2, -0x1.8fb5597eb9341p-2, -0x1.8d574d1bfa90ap-2, -0x1.8af7e351c9c74p-2, -0x1.88972ec1b6f24p-2, -0x1.863541f21906cp-2, -0x1.83d22f4d8821bp-2, -0x1.816e092257d44p-2, -0x1.7f08e1a2108f6p-2, -0x1.7ca2cae0f0f9dp-2, -0x1.7a3bd6d56ae06p-2, -0x1.77d41757a72f7p-2, -0x1.756b9e2106681p-2, -0x1.73027ccba7ad9p-2, -0x1.7098c4d1ee817p-2, -0x1.6e2e878e0ce56p-2, -0x1.6bc3d6398a693p-2, -0x1.6958c1ecd3934p-2, -0x1.66ed5b9ec6a67p-2, -0x1.6481b424429a4p-2, -0x1.6215dc2fb8b6ep-2, -0x1.5fa9e450c144ep-2, -0x1.5d3ddcf3af5c9p-2, -0x1.5ad1d66127c8ap-2, -0x1.5865e0bdbafd6p-2, -0x1.55fa0c097f0fdp-2, -0x1.538e681fac505p-2, -0x1.512304b63c88fp-2, -0x1.4eb7f15d8aac2p-2, -0x1.4c4d3d7ff6e94p-2, -0x1.49e2f86189e08p-2, -0x1.4779311f9b5aap-2, -0x1.450ff6b07dd81p-2, -0x1.42a757e324d88p-2, -0x1.403f635ed5b07p-2, -0x1.3dd827a2d54b3p-2, -0x1.3b71b3061a523p-2, -0x1.390c13b6ff54bp-2, -0x1.36a757bafb884p-2, -0x1.34438cee57232p-2, -0x1.31e0c103ea44ep-2, -0x1.2f7f0184d627bp-2, -0x1.2d1e5bd0463bap-2, -0x1.2abedd1b3223ep-2, -0x1.2860927020945p-2, -0x1.260388aeee24fp-2, -0x1.23a7cc8c97aa2p-2, -0x1.214d6a9303ab3p-2, -0x1.1ef46f20d2e2bp-2, -0x1.1c9ce6692daadp-2, -0x1.1a46dc739a35p-2, -0x1.17f25d1bd08f3p-2, -0x1.159f7411930eap-2, -0x1.134e2cd88a3f8p-2, -0x1.10fe92c81ff36p-2, -0x1.0eb0b10b62aafp-2, -0x1.0c6492a0e4997p-2, -0x1.0a1a425aa455dp-2, -0x1.07d1caddf3c8dp-2, -0x1.058b36a361bf1p-2, -0x1.03468ff6a8c1dp-2, -0x1.0103e0f69e60fp-2, -0x1.fd86672a4c014p-3, -0x1.f909232e4d78fp-3, -0x1.f490092905366p-3, -0x1.f01b2bf02451ep-3, -0x1.ebaa9dff41e52p-3, -0x1.e73e7177db0b2p-3, -0x1.e2d6b8215bacp-3, -0x1.de73836922e3p-3, -0x1.da14e462981acp-3, -0x1.d5baebc73ca4bp-3, -0x1.d165a9f6c9a18p-3, -0x1.cd152ef74c26ap-3, -0x1.c8c98a75494edp-3, -0x1.c482cbc3ea35p-3, -0x1.c04101dd28d08p-3, -0x1.bc043b62067e3p-3, -0x1.b7cc869abfe62p-3, -0x1.b399f1770ef41p-3, -0x1.af6c898e6a2c7p-3, -0x1.ab445c204e8f6p-3, -0x1.a721761487b99p-3, -0x1.a303e3fb8536ap-3, -0x1.9eebb20eae114p-3, -0x1.9ad8ec30b7e82p-3, -0x1.96cb9dee08909p-3, -0x1.92c3d27d197c6p-3, -0x1.8ec194bedce11p-3, -0x1.8ac4ef3f2826fp-3, -0x1.86cdec3529c71p-3, -0x1.82dc9583d65d8p-3, -0x1.7ef0f4ba65914p-3, -0x1.7b0b1314ca957p-3, -0x1.772af97c38fbcp-3, -0x1.7350b087a520ap-3, -0x1.6f7c407c4c825p-3, -0x1.6badb14e427d6p-3, -0x1.67e50aa0fecc2p-3, -0x1.642253c7f06b8p-3, -0x1.606593c71404fp-3, -0x1.5caed1538cfbbp-3, -0x1.58fe12d441feep-3, -0x1.55535e627fc39p-3, -0x1.51aeb9ca991bdp-3, -0x1.4e102a8c8e16dp-3, -0x1.4a77b5dcb5c48p-3, -0x1.46e560a46a9cdp-3, -0x1.43592f82b98acp-3, -0x1.3fd326cd10f6ep-3, -0x1.3c534a8ff89e5p-3, -0x1.38d99e8fc6c55p-3, -0x1.35662649564cp-3, -0x1.31f8e4f2c7508p-3, -0x1.2e91dd7c39a93p-3, -0x1.2b3112908bc4cp-3, -0x1.27d686962093bp-3, -0x1.24823baf9e684p-3, -0x1.213433bcb864ep-3, -0x1.1dec705af1c1fp-3, -0x1.1aaaf2e66ba1fp-3, -0x1.176fbc7aacbd7p-3, -0x1.143acdf370184p-3, -0x1.110c27ed6d8e8p-3, -0x1.0de3cac72f936p-3, -0x1.0ac1b6a1de61ap-3, -0x1.07a5eb6214d96p-3, -0x1.049068b0ad72bp-3, -0x1.01812dfb9f06p-3, -0x1.fcf074ed8e36fp-4, -0x1.f6eb1a398f288p-4, -0x1.f0f2495fae447p-4, -0x1.eb05ff752fcfdp-4, -0x1.e5263921ea438p-4, -0x1.df52f2a1e3b71p-4, -0x1.d98c27c7127a6p-4, -0x1.d3d1d3fb034bfp-4, -0x1.ce23f2408da26p-4, -0x1.c8827d358b7a3p-4, -0x1.c2ed6f147dcap-4, -0x1.bd64c1b65425ap-4, -0x1.b7e86e940a28bp-4, -0x1.b2786ec862c96p-4, -0x1.ad14bb11a0269p-4, -0x1.a7bd4bd327fb7p-4, -0x1.a27219173ef2bp-4, -0x1.9d331a90b09efp-4, -0x1.9800479c8afa9p-4, -0x1.92d99743bdc1ep-4, -0x1.8dbf003cd240cp-4, -0x1.88b078ed92f19p-4, -0x1.83adf76cb6738p-4, -0x1.7eb771838aae1p-4, -0x1.79ccdcaf9adap-4, -0x1.74ee2e2453f61p-4, -0x1.701b5accad461p-4, -0x1.6b54574cc509ep-4, -0x1.6699180385a59p-4, -0x1.61e9910c422a7p-4, -0x1.5d45b640503d4p-4, -0x1.58ad7b38a147ep-4, -0x1.5420d34f622d5p-4, -0x1.4f9fb1a18397fp-4, -0x1.4b2a091054edap-4, -0x1.46bfcc4310a9dp-4, -0x1.4260eda86a4dp-4, -0x1.3e0d5f78186d7p-4, -0x1.39c513b459da6p-4, -0x1.3587fc2b7bfb8p-4, -0x1.31560a795b613p-4, -0x1.2d2f3008e266p-4, -0x1.29135e1584a53p-4, -0x1.250285acb06a7p-4, -0x1.20fc97af4dad3p-4, -0x1.1d0184d32849ap-4, -0x1.19113da45cdd9p-4, -0x1.152bb286c5d1fp-4, -0x1.1150d3b76101p-4, -0x1.0d80914db4218p-4, -0x1.09badb3d27de4p-4, -0x1.05ffa1566a7f3p-4, -0x1.024ed348bedd9p-4, -0x1.fd50c146b7c3dp-5, -0x1.f61871ad66c26p-5, -0x1.eef4966b87c31p-5, -0x1.e7e50deebe3aap-5, -0x1.e0e9b66ee0b19p-5, -0x1.da026df08191p-5, -0x1.d32f124755748p-5, -0x1.cc6f8118be6cfp-5, -0x1.c5c397de292cdp-5, -0x1.bf2b33e76bf62p-5, -0x1.b8a6325d252e7p-5, -0x1.b234704319995p-5, -0x1.abd5ca7a674bp-5, -0x1.a58a1dc3def5cp-5, -0x1.9f5146c22762p-5, -0x1.992b21fc095c2p-5, -0x1.93178bde7923cp-5, -0x1.8d1660bedaf62p-5, -0x1.87277cdcffd27p-5, -0x1.814abc6542425p-5, -0x1.7b7ffb728f6e9p-5, -0x1.75c7161069846p-5, -0x1.701fe83cd44a1p-5, -0x1.6a8a4dea561c3p-5, -0x1.65062301d01ap-5, -0x1.5f9343646843cp-5, -0x1.5a318aed59e9ep-5, -0x1.54e0d573cbbdp-5, -0x1.4fa0fecc93926p-5, -0x1.4a71e2cbef404p-5, -0x1.45535d4749ca9p-5, -0x1.40454a16d8191p-5, -0x1.3b47851755b2ep-5, -0x1.3659ea2b8bfe1p-5, -0x1.317c553df9848p-5, -0x1.2caea2425e7adp-5, -0x1.27f0ad373a80ep-5, -0x1.2342522759826p-5, -0x1.1ea36d2b3a3efp-5, -0x1.1a13da6a9313p-5, -0x1.1593761da038ap-5, -0x1.11221c8ea2efcp-5, -0x1.0cbfaa1b1939fp-5, -0x1.086bfb352a5d3p-5, -0x1.0426ec64dac08p-5, -0x1.ffe0b492b23cfp-6, -0x1.f79043348ce07p-6, -0x1.ef5c3e5189b1ap-6, -0x1.e7445fc18e9bep-6, -0x1.df48619446a8p-6, -0x1.d767fe136abfap-6, -0x1.cfa2efc4eac6ap-6, -0x1.c7f8f16d0cda2p-6, -0x1.c069be10798fdp-6, -0x1.b8f510f64bb9fp-6, -0x1.b19aa5a9f6a6dp-6, -0x1.aa5a37fd42e4dp-6, -0x1.a3338409ffbb4p-6, -0x1.9c26463412ee4p-6, -0x1.95323b2ae8c6p-6, -0x1.8e571feb6eb6ap-6, -0x1.8794b1c197cf6p-6, -0x1.80eaae49e99c3p-6, -0x1.7a58d3732ce9dp-6, -0x1.73dedf7fca197p-6, -0x1.6d7c91075ba3p-6, -0x1.6731a6f801f68p-6, -0x1.60fde097d21b4p-6, -0x1.5ae0fd8602294p-6, -0x1.54dabdbc7359fp-6, -0x1.4eeae1908a103p-6, -0x1.491129b4c493cp-6, -0x1.434d573980195p-6, -0x1.3d9f2b8e5b6b7p-6, -0x1.3806688317642p-6, -0x1.3282d0489f831p-6, -0x1.2d1425720fb37p-6, -0x1.27ba2af59b1acp-6, -0x1.2274a42d636d3p-6, -0x1.1d4354d86d1b7p-6, -0x1.1826011b46cdp-6, -0x1.131c6d80fef67p-6, -0x1.0e265efba1cf2p-6, -0x1.09439ae538c1ap-6, -0x1.0473e70025322p-6, -0x1.ff6e12efd7b81p-7, -0x1.f61991c39f438p-7, -0x1.ece9d87a8b51p-7, -0x1.e3de75e905921p-7, -0x1.daf6f9ba0c605p-7, -0x1.d232f46fe84acp-7, -0x1.c991f76534ab8p-7, -0x1.c11394cd8018ep-7, -0x1.b8b75fb60a647p-7, -0x1.b07cec0686d24p-7, -0x1.a863ce81816e1p-7, -0x1.a06b9cc51768dp-7, -0x1.9893ed4b4fc2ep-7, -0x1.90dc576aa6a08p-7, -0x1.8944735633499p-7, -0x1.81cbda1e229aap-7, -0x1.7a7225b011179p-7, -0x1.7336f0d6d5704p-7, -0x1.6c19d73b1f898p-7, -0x1.651a7563446a1p-7, -0x1.5e3868b376868p-7, -0x1.57734f6d87d41p-7, -0x1.50cac8b134605p-7, -0x1.4a3e747bc83ecp-7, -0x1.43cdf3a8070b6p-7, -0x1.3d78e7ee23e58p-7, -0x1.373ef3e34b374p-7, -0x1.311fbaf989ccbp-7, -0x1.2b1ae17f7cbf4p-7, -0x1.25300c9fe04ebp-7, -0x1.1f5ee2612c60bp-7, -0x1.19a709a564171p-7, -0x1.14082a292cbfcp-7, -0x1.0e81ec83bdcap-7, -0x1.0913fa2615b07p-7, -0x1.03bdfd5a7cffap-7, -0x1.fcff4287f4e2dp-8, -0x1.f2b123bb1c599p-8, -0x1.e890f7f326e2bp-8, -0x1.de9e1a824485ep-8, -0x1.d4d7e866726bbp-8, -0x1.cb3dc0482136ep-8, -0x1.c1cf02786b9ebp-8, -0x1.b88b10efb1cdfp-8, -0x1.af714f4bcc54cp-8, -0x1.a68122ce218bfp-8, -0x1.9db9f25a73e6dp-8, -0x1.951b267429044p-8, -0x1.8ca4293d3305dp-8, -0x1.84546673c8c86p-8, -0x1.7c2b4b703fe37p-8, -0x1.74284723988d1p-8, -0x1.6c4aca14be7ap-8, -0x1.6492465f097f4p-8, -0x1.5cfe2faf926e4p-8, -0x1.558dfb438f67p-8, -0x1.4e411fe5adc57p-8, -0x1.471715ec10b83p-8, -0x1.400f5735f925fp-8, -0x1.39295f29857f7p-8, -0x1.3264aab11f60dp-8, -0x1.2bc0b83973af5p-8, -0x1.253d07aedf1a2p-8, -0x1.1ed91a7acf115p-8, -0x1.18947381f10e8p-8, -0x1.126e9720f0929p-8, -0x1.0c670b2a737b9p-8, -0x1.067d56e46f29bp-8, -0x1.00b10305bd881p-8, -0x1.f603336682fecp-9, -0x1.eadd4cfb92cdbp-9, -0x1.dfef6cbdeb144p-9, -0x1.d538af6ddc424p-9, -0x1.cab834936f38ap-9, -0x1.c06d1e78d6261p-9, -0x1.b65692257a73ep-9, -0x1.ac73b758057dbp-9, -0x1.a2c3b881e155bp-9, -0x1.9945c2c1538p-9, -0x1.8ff905dbd62a7p-9, -0x1.86dcb43900f2p-9, -0x1.7df002dd21b7cp-9, -0x1.75322963e899ep-9, -0x1.6ca261fa2adcbp-9, -0x1.643fe95964cf8p-9, -0x1.5c09fec192aa1p-9, -0x1.53ffe3f3aa6b8p-9, -0x1.4c20dd2caed84p-9, -0x1.446c311f8075ep-9, -0x1.3ce128ef8aa48p-9, -0x1.357f102bd18bap-9, -0x1.2e4534c829f6ep-9, -0x1.2732e718f2662p-9, -0x1.204779ccd295ap-9, -0x1.198241e791bp-9, -0x1.12e296bc1ba4cp-9, -0x1.0c67d1e79b77fp-9, -0x1.06114f4b6aa44p-9, -0x1.ffbcda0fc7d82p-10, -0x1.f39d16ed45581p-10, -0x1.e7c21a4aa6d6dp-10, -0x1.dc2aad9fe53d7p-10, -0x1.d0d59eb72aacfp-10, -0x1.c5c1bfa121dap-10, -0x1.baede6ab23ea7p-10, -0x1.b058ee534e653p-10, -0x1.a601b53e539cdp-10, -0x1.9be71e2cf5887p-10, -0x1.92080feffb0ccp-10, -0x1.8863755f143f4p-10, -0x1.7ef83d4d091afp-10, -0x1.75c55a7d34596p-10, -0x1.6cc9c399ff003p-10, -0x1.640473282de7ep-10, -0x1.5b74677eeababp-10, -0x1.5318a2bae1119p-10, -0x1.4af02ab5ca795p-10, -0x1.42fa08fab28c2p-10, -0x1.3b354abc47b62p-10, -0x1.33a100ca38c86p-10, -0x1.2c3c3f876516ep-10, -0x1.25061edf55113p-10, -0x1.1dfdba3c0aaccp-10, -0x1.1722307c22dfdp-10, -0x1.1072a3e921e58p-10, -0x1.09ee3a2c5bb89p-10, -0x1.03941c4698c1p-10, -0x1.fac6ed09b4c8cp-11, -0x1.eeb6f0eedb1e3p-11, -0x1.e2f6a9cfb5bdap-11, -0x1.d784839eb13c5p-11, -0x1.cc5ef0990ef5ap-11, -0x1.c18469375395fp-11, -0x1.b6f36c157b4ecp-11, -0x1.acaa7de45b1f9p-11, -0x1.a2a82954394e3p-11, -0x1.98eaff03cbff4p-11, -0x1.8f71956c41a02p-11, -0x1.863a88d0bf2dp-11, -0x1.7d447b2aa3d37p-11, -0x1.748e1418a4979p-11, -0x1.6c1600cb72d18p-11, -0x1.63daf3f5a2085p-11, -0x1.5bdba5b9590cap-11, -0x1.5416d395abee3p-11, -0x1.4c8b4056e72bap-11, -0x1.4537b404e9e91p-11, -0x1.3e1afbd0ceb6p-11, -0x1.3733ea060500ap-11, -0x1.308155f77947ap-11, -0x1.2a021bf0ed9aep-11, -0x1.23b51d2392227p-11, -0x1.1d993f99830fep-11, -0x1.17ad6e21e8736p-11, -0x1.11f09842d52abp-11, -0x1.0c61b228cf494p-11, -0x1.06ffb4970c6bp-11, -0x1.01c99cd76bd38p-11, -0x1.f97cd9568dd85p-12, -0x1.efba5477ba351p-12, -0x1.e649c01620682p-12, -0x1.dd2939c94dda2p-12, -0x1.d456e79d79eccp-12, -0x1.cbd0f7f63ea3bp-12, -0x1.c395a17119e8p-12, -0x1.bba322c90678cp-12, -0x1.b3f7c2b88b3dcp-12, -0x1.ac91cfdd9da07p-12, -0x1.a56fa09dbca38p-12, -0x1.9e8f930973c1bp-12, -0x1.97f00cc223372p-12, -0x1.918f7ada8135fp-12, -0x1.8b6c51c086c8p-12, -0x1.85850d1f98cdep-12, -0x1.7fd82fc649131p-12, -0x1.7a64438bcf53ap-12, -0x1.7527d93786d2p-12, -0x1.7021886551f0bp-12, -0x1.6b4fef6cc9de8p-12, -0x1.66b1b348b9ebcp-12, -0x1.62457f7d47c0ap-12, -0x1.5e0a05fe71989p-12, -0x1.59fdff19e9935p-12, -0x1.5620295cca2dep-12, -0x1.526f497d72edap-12, -0x1.4eea2a42307dbp-12, -0x1.4b8f9c6b1a414p-12, -0x1.485e769a185eap-12, -0x1.4555953d6d5b2p-12, -0x1.4273da77af8a5p-12, -0x1.3fb82e09e2125p-12, -0x1.3d217d3de1b57p-12, -0x1.3aaebacf28ea4p-12, -0x1.385eded7f8f42p-12, -0x1.3630e6b952df4p-12, -0x1.3423d507391c8p-12, -0x1.3236b1730ec7ep-12, -0x1.306888b8aaaf9p-12, -0x1.2eb86c886a7ddp-12, -0x1.2d257372cff3cp-12, -0x1.2baeb8d6bd2ccp-12, -0x1.2a535ccc6baa9p-12, -0x1.291284123e824p-12, -0x1.27eb57f92d674p-12, -0x1.26dd065322b5ep-12, -0x1.25e6c15f3bb63p-12, -0x1.2507bfb7d3552p-12, -0x1.243f3c409bbb5p-12, -0x1.238c7613988edp-12, -0x1.22eeb070f016cp-12, -0x1.226532ac20093p-12, -0x1.21ef481b95093p-12, -0x1.218c4006f1b9ep-12, -0x1.213b6d969605ep-12, -0x1.20fc27c346d4p-12, -0x1.20cdc9450eacdp-12, -0x1.20afb08367233p-12, -0x1.20a13f853d4f5p-12, -0x1.20a1dbe1acaeep-12, -0x1.20b0eeaffd519p-12, -0x1.20cde47800995p-12, -0x1.20f82d22e5c6p-12, -0x1.212f3bed868e3p-12, -0x1.2172875839296p-12, -0x1.21c18918ecb83p-12, -0x1.221bbe0c6157fp-12, -0x1.2280a628bf7dep-12, -0x1.22efc46f05a22p-12, -0x1.23689eddbf94cp-12, -0x1.23eabe62f569dp-12, -0x1.2475aecf52f1fp-12, -0x1.2508fec818004p-12, -0x1.25a43fbb95427p-12, -0x1.264705d264545p-12, -0x1.26f0e7e44ad31p-12, -0x1.27a17f6ba1c9ap-12, -0x1.28586877fe28ep-12, -0x1.291541a31040dp-12, -0x1.29d7ac047add7p-12, -0x1.2a9f4b261e946p-12, -0x1.2b6bc4f81fb84p-12, -0x1.2c3cc1c5db6fcp-12, -0x1.2d11ec2a22cd2p-12, -0x1.2deaf104d5a0cp-12, -0x1.2ec77f6fdcf83p-12, -0x1.2fa748b39425p-12, -0x1.308a003d3ee31p-12, -0x1.316f5b93bf62bp-12, -0x1.3257124dcfa24p-12, -0x1.3340de0759262p-12, -0x1.342c7a58397bdp-12, -0x1.3519a4c9c3d4p-12, -0x1.36081ccd2c597p-12, -0x1.36f7a3b26085p-12, -0x1.37e7fc9e2a656p-12, -0x1.38d8ec80f608fp-12, -0x1.39ca3a0e332d1p-12, -0x1.3abbadb2c1ef3p-12, -0x1.3bad118c60323p-12, -0x1.3c9e316139b12p-12, -0x1.3d8eda96e7816p-12, -0x1.3e7edc29e6068p-12, -0x1.3f6e06a5e0d1dp-12, -0x1.405c2c1d84e96p-12, -0x1.41492021d6c22p-12, -0x1.4234b7bad089cp-12, -0x1.431ec95f713a6p-12, -0x1.44072cedde97bp-12, -0x1.44edbba435768p-12, -0x1.45d25019287a7p-12, -0x1.46b4c6345fc67p-12, -0x1.4794fb275dfb7p-12, -0x1.4872cd66c3cb1p-12, -0x1.494e1ca334832p-12, -0x1.4a26c9c268161p-12, -0x1.4afcb6d88f1a2p-12, -0x1.4bcfc721c772bp-12, -0x1.4c9fdefb4facp-12, -0x1.4d6ce3dd753d6p-12, -0x1.4e36bc555227ap-12, -0x1.4efd4ffe76c2cp-12, -0x1.4fc0877cdf34ep-12, -0x1.50804c772a35fp-12, -0x1.513c899079cf9p-12, -0x1.51f52a62ea878p-12, -0x1.52aa1b79fac77p-12, -0x1.535b4a4c8b963p-12, -0x1.5408a537c9b37p-12, -0x1.54b21b79abf71p-12, -0x1.55579d2bad23cp-12, -0x1.55f91b3db6cf7p-12, -0x1.56968770e3c46p-12, -0x1.572fd452acaacp-12, -0x1.57c4f537c414cp-12, -0x1.5855de37606e6p-12, -0x1.58e28426728f8p-12, -0x1.596adc92fe882p-12, -0x1.59eeddbf9fa8ap-12, -0x1.5a6e7e9f13becp-12, -0x1.5ae9b6cf6cb3ap-12, -0x1.5b607e9627d84p-12, -0x1.5bd2cedbcdda5p-12, -0x1.5c40a127cb03dp-12, -0x1.5ca9ef9c20c01p-12, -0x1.5d0eb4f1b61aap-12, -0x1.5d6eec7434802p-12, -0x1.5dca91fe02385p-12, -0x1.5e21a1f4a55c2p-12, -0x1.5e7419451948ep-12, -0x1.5ec1f5600a677p-12, -0x1.5f0b34364c0dp-12, -0x1.5f4fd43533553p-12, -0x1.5f8fd443246dbp-12, -0x1.5fcb33bc6a30dp-12, -0x1.6001f26f908d1p-12, -0x1.6034109a538a8p-12, -0x1.60618ee674a53p-12, -0x1.608a6e665ccfep-12, -0x1.60aeb09232351p-12, -0x1.60ce5744fbedep-12, -0x1.60e964b9502d8p-12, -0x1.60ffdb86cc306p-12, -0x1.6111be9efdd9fp-12, -0x1.611f114ac4384p-12, -0x1.6127d7276c79ap-12, -0x1.612c14240d085p-12, -0x1.612bcc7efac59p-12, -0x1.612704c34a6d6p-12, -0x1.611dc1c613604p-12, -0x1.611008a425456p-12, -0x1.60fddebf8e622p-12, -0x1.60e749bd3c111p-12, -0x1.60cc4f82c3c13p-12, -0x1.60acf634148ap-12, -0x1.6089443122e47p-12, -0x1.60614013e00d7p-12, -0x1.6034f0ae133b5p-12, -0x1.60045d07229d5p-12, -0x1.5fcf8c5a349fep-12, -0x1.5f9686142ef6ap-12, -0x1.5f5951d1bbf55p-12, -0x1.5f17f75d4f742p-12, -0x1.5ed27ead6d02cp-12, -0x1.5e88efe2bb365p-12, -0x1.5e3b53463e999p-12, -0x1.5de9b147a1396p-12, -0x1.5d94127b97038p-12, -0x1.5d3a7f99f43bfp-12, -0x1.5cdd017c4b819p-12, -0x1.5c7ba11c3c1bbp-12, -0x1.5c166791db4dp-12, -0x1.5bad5e1239201p-12, -0x1.5b408dede3d8ep-12, -0x1.5ad0008f87c6ep-12, -0x1.5a5bbf7a67015p-12, -0x1.59e3d4490d09ap-12, -0x1.596848abcdbc8p-12, -0x1.58e92667a9983p-12, -0x1.58667754e7b2fp-12, -0x1.57e0455dd8ad7p-12, -0x1.57569a7da80e7p-12, -0x1.56c980bf15bffp-12, -0x1.5639023b50e03p-12, -0x1.55a52918e1e21p-12, -0x1.550dff8a7e29ap-12, -0x1.54738fce0b64dp-12, -0x1.53d5e42b7a5cap-12, -0x1.533506f3bdb1cp-12, -0x1.5291027fdec64p-12, -0x1.51e9e12fed45cp-12, -0x1.513fad6a22eb7p-12, -0x1.50927199ec431p-12, -0x1.4fe2382f0707p-12, -0x1.4f2f0b9c85ed3p-12, -0x1.4e78f65834608p-12, -0x1.4dc002d974ebdp-12, -0x1.4d043b98b76acp-12, -0x1.4c45ab0e70ad3p-12, -0x1.4b845bb294b56p-12, -0x1.4ac057fba46cfp-12, -0x1.49f9aa5e2194dp-12, -0x1.49305d4bb2183p-12, -0x1.48647b3293fccp-12, -0x1.47960e7cda60fp-12, -0x1.46c5218fe9fafp-12, -0x1.45f1becba2461p-12, -0x1.451bf08a141a4p-12, -0x1.4443c11e9c706p-12, -0x1.43693ad591111p-12, -0x1.428c67f37cacfp-12, -0x1.41ad52b4b579dp-12, -0x1.40cc054cdea5ep-12, -0x1.3fe889e660c8dp-12, -0x1.3f02eaa1d21e1p-12, -0x1.3e1b3195b7eb8p-12, -0x1.3d3168cde86dbp-12, -0x1.3c459a4b24297p-12, -0x1.3b57d002a8eefp-12, -0x1.3a6813ddd9949p-12, -0x1.39766fb9ce469p-12, -0x1.3882ed66d5132p-12, -0x1.378d96a86140cp-12, -0x1.3696753458833p-12, -0x1.359d92b2f782ap-12, -0x1.34a2f8be65c5bp-12, -0x1.33a6b0e277178p-12, -0x1.32a8c49c4800bp-12, -0x1.31a93d5a02542p-12, -0x1.30a8247a9a885p-12, -0x1.2fa5834d7771ap-12, -0x1.2ea1631249473p-12, -0x1.2d9bccf8bc9f7p-12, -0x1.2c94ca2045bf7p-12, -0x1.2b8c6397d40abp-12, -0x1.2a82a25dc9e86p-12, -0x1.29778f5f8c9f3p-12, -0x1.286b337982889p-12, -0x1.275d9776c6f3ep-12, -0x1.264ec41121985p-12, -0x1.253ec1f0af35ep-12, -0x1.242d99abd6c67p-12, -0x1.231b53c718671p-12, -0x1.2207f8b4f66p-12, -0x1.20f390d5da925p-12, -0x1.1fde2477c9754p-12, -0x1.1ec7bbd673a62p-12, -0x1.1db05f1b09c66p-12, -0x1.1c98165c31389p-12, -0x1.1b7ee99dcf6fap-12, -0x1.1a64e0d1193edp-12, -0x1.194a03d457da2p-12, -0x1.182e5a7302823p-12, -0x1.1711ec6576e8dp-12, -0x1.15f4c1513f726p-12, -0x1.14d6e0c892dbep-12, -0x1.13b8524ab5f4fp-12, -0x1.12991d43a9a9p-12, -0x1.1179490c4dacap-12, -0x1.1058dcea2fd9ep-12, -0x1.0f37e00fc72fep-12, -0x1.0e16599c29f69p-12, -0x1.0cf4509b37a1p-12, -0x1.0bd1cc057706ap-12, -0x1.0aaed2c04779cp-12, -0x1.098b6b9da63bep-12, -0x1.08679d5c5e3aap-12, -0x1.07436ea800679p-12, -0x1.061ee618c9997p-12, -0x1.04fa0a33e3665p-12, -0x1.03d4e16b32993p-12, -0x1.02af721d7e60bp-12, -0x1.0189c2966bcdep-12, -0x1.0063d90e96264p-12, -0x1.fe7b7757090fcp-13, -0x1.fc2ee0ffb2667p-13, -0x1.f9e1fb164d847p-13, -0x1.f794d1746a202p-13, -0x1.f5476fcdeb073p-13, -0x1.f2f9e1b11f572p-13, -0x1.f0ac3286f3208p-13, -0x1.ee5e6d932d8d6p-13, -0x1.ec109df433a1cp-13, -0x1.e9c2cea39a26p-13, -0x1.e7750a7616571p-13, -0x1.e5275c1ba3bafp-13, -0x1.e2d9ce1fb3ddap-13, -0x1.e08c6ae960c2p-13, -0x1.de3f3cbba854p-13, -0x1.dbf24db54bfc3p-13, -0x1.d9a5a7d177413p-13, -0x1.d75954e75d9a9p-13, -0x1.d50d5eab11b61p-13, -0x1.d2c1cead01f68p-13, -0x1.d076ae5abccf2p-13, -0x1.ce2c06fec921fp-13, -0x1.cbe1e1c10c079p-13, -0x1.c99847a6d81f5p-13, -0x1.c74f419368f54p-13, -0x1.c506d847958bdp-13, -0x1.c2bf1462911d1p-13, -0x1.c077fe61d57c6p-13, -0x1.be319ea154a0fp-13, -0x1.bbebfd5bfb402p-13, -0x1.b9a722ab802a2p-13, -0x1.b763168902d0bp-13, -0x1.b51fe0ccfdc4ap-13, -0x1.b2dd892fa37b9p-13, -0x1.b09c1748f4d4ep-13, -0x1.ae5b9291616dap-13, -0x1.ac1c026163a58p-13, -0x1.a9dd6df258cb8p-13, -0x1.a79fdc5e58951p-13, -0x1.a56354a0a04e1p-13, -0x1.a327dd95aec4bp-13, -0x1.a0ed7dfbc7caep-13, -0x1.9eb43c72be2b2p-13, -0x1.9c7c1f7cbb9e6p-13, -0x1.9a452d7df522bp-13, -0x1.980f6cbd7dc02p-13, -0x1.95dae364e6287p-13, -0x1.93a797810cc78p-13, -0x1.91758f01ff241p-13, -0x1.8f44cfbb513ddp-13, -0x1.8d155f6474ecbp-13, -0x1.8ae74398f29f2p-13, -0x1.88ba81d877c3dp-13, -0x1.868f1f877c84fp-13, -0x1.846521ef140b5p-13, -0x1.823c8e3d72b39p-13, -0x1.801569861bfdap-13, -0x1.7defb8c21dffbp-13, -0x1.7bcb80d055da5p-13, -0x1.79a8c675b6e0ap-13, -0x1.77878e5d611d1p-13, -0x1.7567dd1957434p-13, -0x1.7349b72209985p-13, -0x1.712d20d7346cbp-13, -0x1.6f121e7fca7ebp-13, -0x1.6cf8b44a6cc5cp-13, -0x1.6ae0e64d57888p-13, -0x1.68cab887159abp-13, -0x1.66b62ede4c1fcp-13, -0x1.64a34d2250f5fp-13, -0x1.6292170b28e96p-13, -0x1.60829039fe993p-13, -0x1.5e74bc3939e2ap-13, -0x1.5c689e7ce3dcp-13, -0x1.5a5e3a62a8a1cp-13, -0x1.585593325489cp-13, -0x1.564eac1df9f7dp-13, -0x1.54498842147e7p-13, -0x1.52462aa612ae6p-13, -0x1.5044963c248c3p-13, -0x1.4e44cde1d3c95p-13, -0x1.4c46d4602430fp-13, -0x1.4a4aac6bc7e5dp-13, -0x1.485058a55bbbbp-13, -0x1.4657db99b112dp-13, -0x1.446137c1f82ddp-13, -0x1.426c6f840e8e3p-13, -0x1.40798532a8638p-13, -0x1.3e887b0da9b6ep-13, -0x1.3c9953421801fp-13, -0x1.3aac0feaba82ap-13, -0x1.38c0b30ff8014p-13, -0x1.36d73ea866edap-13, -0x1.34efb498a0562p-13, -0x1.330a16b3e3d5ep-13, -0x1.312666bbfac23p-13, -0x1.2f44a6619df27p-13, -0x1.2d64d744b4cd3p-13, -0x1.2b86faf4537aap-13, -0x1.29ab12ef4200bp-13, -0x1.27d120a3e871ep-13, -0x1.25f92570b3cedp-13, -0x1.242322a44cf7ep-13, -0x1.224f197d9c477p-13, -0x1.207d0b2c49792p-13, -0x1.1eacf8d0be5d3p-13, -0x1.1cdee37c59497p-13, -0x1.1b12cc31c6453p-13, -0x1.1948b3e4ffef8p-13, -0x1.17809b7bb0c6bp-13, -0x1.15ba83cd53952p-13, -0x1.13f66da362479p-13, -0x1.123459b98f92cp-13, -0x1.107448bdfde4ep-13, -0x1.0eb63b514eb5ap-13, -0x1.0cfa32070767ap-13, -0x1.0b402d659c174p-13, -0x1.09882de6ba5d7p-13, -0x1.07d233f761a13p-13, -0x1.061e3ff811ee3p-13, -0x1.046c523d23535p-13, -0x1.02bc6b0eb12b3p-13, -0x1.010e8aa913b53p-13, -0x1.fec562799a56p-14, -0x1.fb71bdddb77p-14, -0x1.f82227b1e46ffp-14, -0x1.f4d6a012c364cp-14, -0x1.f18f27075122ep-14, -0x1.ee4bbc807cc86p-14, -0x1.eb0c605a278acp-14, -0x1.e7d1125b06175p-14, -0x1.e499d234fc729p-14, -0x1.e1669f85d951dp-14, -0x1.de3779d71c75cp-14, -0x1.db0c609ec06d9p-14, -0x1.d7e5533f38c95p-14, -0x1.d4c251081d3d6p-14, -0x1.d1a359360768p-14, -0x1.ce886af365961p-14, -0x1.cb71855826186p-14, -0x1.c85ea76aeb4f1p-14, -0x1.c54fd0204e835p-14, -0x1.c244fe5c15c01p-14, -0x1.bf3e30f0d7f2cp-14, -0x1.bc3b66a0c87adp-14, -0x1.b93c9e1da18c4p-14, -0x1.b641d6092249p-14, -0x1.b34b0cf546998p-14, -0x1.b05841647d376p-14, -0x1.ad6971ca2ec98p-14, -0x1.aa7e9c8ac17ep-14, -0x1.a797bffc06ed9p-14, -0x1.a4b4da65658aap-14, -0x1.a1d5ea00255eep-14, -0x1.9efaecf7ccd15p-14, -0x1.9c23e16a4f7d2p-14, -0x1.9950c5683ade2p-14, -0x1.968196f546cadp-14, -0x1.93b654080f60dp-14, -0x1.90eefa8af4c2p-14, -0x1.8e2b885bd21f4p-14, -0x1.8b6bfb4c9c10fp-14, -0x1.88b0512357f1cp-14, -0x1.85f8879aa3842p-14, -0x1.83449c61a292dp-14, -0x1.80948d1c6c49bp-14, -0x1.7de857645fb24p-14, -0x1.7b3ff8c7f4af9p-14, -0x1.789b6ecb8a6ffp-14, -0x1.75fab6e9028b9p-14, -0x1.735dce908cc28p-14, -0x1.70c4b32877f88p-14, -0x1.6e2f620da328p-14, -0x1.6b9dd893963e7p-14, -0x1.69101404af536p-14, -0x1.668611a28ac84p-14, -0x1.63ffcea5e89f1p-14, -0x1.617d483f487b5p-14, -0x1.5efe7b96ab4ep-14, -0x1.5c8365cc40455p-14, -0x1.5a0c03f808915p-14, -0x1.5798532a8acffp-14, -0x1.5528506cb076ap-14, -0x1.52bbf8c01efe8p-14, -0x1.5053491f7d10ap-14, -0x1.4dee3e7e49a22p-14, -0x1.4b8cd5c984ed5p-14, -0x1.492f0be73d838p-14, -0x1.46d4ddb7912f4p-14, -0x1.447e481400eb3p-14, -0x1.422b47d045175p-14, -0x1.3fdbd9ba0d57bp-14, -0x1.3d8ffa99696c3p-14, -0x1.3b47a730e4082p-14, -0x1.3902dc3d87af4p-14, -0x1.36c1967741ca3p-14, -0x1.3483d290dcb45p-14, -0x1.32498d385f925p-14, -0x1.3012c316ea788p-14, -0x1.2ddf70d134b31p-14, -0x1.2baf930746846p-14, -0x1.298326551d415p-14, -0x1.275a275256789p-14, -0x1.25349292c6ba1p-14, -0x1.231264a643e86p-14, -0x1.20f39a18fc694p-14, -0x1.1ed82f7383375p-14, -0x1.1cc0213afbd6cp-14, -0x1.1aab6bf148cf7p-14, -0x1.189a0c14f3b73p-14, -0x1.168bfe21cf253p-14, -0x1.14813e906b14fp-14, -0x1.1279c9d6d889bp-14, -0x1.10759c683c352p-14, -0x1.0e74b2b56d2c8p-14, -0x1.0c77092cb5dbap-14, -0x1.0a7c9c3a242efp-14, -0x1.088568479a828p-14, -0x1.069169bcce03p-14, -0x1.04a09cffbd367p-14, -0x1.02b2fe7456feap-14, -0x1.00c88a7d0b12cp-14, -0x1.fdc27af4eefbep-15, -0x1.f9fa2797bc832p-15, -0x1.f638139df65bcp-15, -0x1.f27c37c0bd59bp-15, -0x1.eec68cb6be55cp-15, -0x1.eb170b34805bdp-15, -0x1.e76dabec78d85p-15, -0x1.e3ca678f74cc8p-15, -0x1.e02d36cc85596p-15, -0x1.dc96125167275p-15, -0x1.d904f2caa610ep-15, -0x1.d579d0e3e86fcp-15, -0x1.d1f4a54792288p-15, -0x1.ce75689ffed63p-15, -0x1.cafc139668c45p-15, -0x1.c7889ed40d7c8p-15, -0x1.c41b03023da09p-15, -0x1.c0b338c995518p-15, -0x1.bd5138d3c1c94p-15, -0x1.b9f4fbca0b043p-15, -0x1.b69e7a5688854p-15, -0x1.b34dad241ed06p-15, -0x1.b0028cde1ff0ap-15, -0x1.acbd1230fa357p-15, -0x1.a97d35ca7dbbap-15, -0x1.a642f05919df7p-15, -0x1.a30e3a8d8d94fp-15, -0x1.9fdf0d18f6355p-15, -0x1.9cb560af4ded3p-15, -0x1.99912e0543c68p-15, -0x1.96726dd251f73p-15, -0x1.935918cf4e629p-15, -0x1.904527b7d7eeap-15, -0x1.8d36934957123p-15, -0x1.8a2d544440a64p-15, -0x1.8729636ae6894p-15, -0x1.842ab982c25dbp-15, -0x1.81314f53d8d05p-15, -0x1.7e3d1da9271f5p-15, -0x1.7b4e1d50bd0b2p-15, -0x1.7864471b9c0d1p-15, -0x1.757f93de298d7p-15, -0x1.729ffc7011b4dp-15, -0x1.6fc579ac7e8b7p-15, -0x1.6cf00471f1c8cp-15, -0x1.6a1f95a2b7c1ep-15, -0x1.67542624f68b3p-15, -0x1.648daee226dd2p-15, -0x1.61cc28c868e8ep-15, -0x1.5f0f8cc921766p-15, -0x1.5c57d3da5bb1ep-15, -0x1.59a4f6f5f8904p-15, -0x1.56f6ef1a4cfa3p-15, -0x1.544db549d4556p-15, -0x1.51a9428bc5516p-15, -0x1.4f098feb7a392p-15, -0x1.4c6e96793606cp-15, -0x1.49d84f49cb099p-15, -0x1.4746b376baf71p-15, -0x1.44b9bc1e32f43p-15, -0x1.423162639d23cp-15, -0x1.3fad9f6ecc70dp-15, -0x1.3d2e6c6d5950fp-15, -0x1.3ab3c29111205p-15, -0x1.383d9b11d26eap-15, -0x1.35cbef2bad741p-15, -0x1.335eb8210643bp-15, -0x1.30f5ef3890dcap-15, -0x1.2e918dbf29dccp-15, -0x1.2c318d06c4af2p-15, -0x1.29d5e666e7201p-15, -0x1.277e933c7a86dp-15, -0x1.252b8cea6efb5p-15, -0x1.22dcccd89eb5ep-15, -0x1.20924c757fd83p-15, -0x1.1e4c053484a7ep-15, -0x1.1c09f08f491ddp-15, -0x1.19cc08053f507p-15, -0x1.1792451b8b0fap-15, -0x1.155ca15d816f9p-15, -0x1.132b165c3edc4p-15, -0x1.10fd9daeefe08p-15, -0x1.0ed430f2da27dp-15, -0x1.0caec9cb04391p-15, -0x1.0a8d61e1256a7p-15, -0x1.086ff2e478adap-15, -0x1.0656768afc7fcp-15, -0x1.0440e690b2e07p-15, -0x1.022f3cb7a6013p-15, -0x1.002172c894d92p-15, -0x1.fc2f05241131fp-16, -0x1.f822cbd2a32dcp-16, -0x1.f41e2d53da358p-16, -0x1.f0211d6b400e6p-16, -0x1.ec2b8fe9cba38p-16, -0x1.e83d78acf33b7p-16, -0x1.e456cb9ef033fp-16, -0x1.e0777cb7880cbp-16, -0x1.dc9f7ffaee559p-16, -0x1.d8cec97ab9adap-16, -0x1.d5054d557f9ap-16, -0x1.d142ffb71054fp-16, -0x1.cd87d4d7f5d1dp-16, -0x1.c9d3c0fec5b0bp-16, }}, 
      {{-0x1.a5983ffa4cc41p-1, -0x1.a599a7b43dd75p-1, -0x1.a598cfb4d92bbp-1, -0x1.a5927a9875991p-1, -0x1.a583a10925f6cp-1, -0x1.a569c39d42135p-1, -0x1.a5430669b047dp-1, -0x1.a50e2ee23282fp-1, -0x1.a4ca9366b779p-1, -0x1.a478052b80d13p-1, -0x1.a416b8f5071f9p-1, -0x1.a3a730c1cc65fp-1, -0x1.a32a274823a62p-1, -0x1.a2a07da1b9744p-1, -0x1.a20b2b459d172p-1, -0x1.a16b305b0c81bp-1, -0x1.a0c18a632be5dp-1, -0x1.a00f2b2c7f176p-1, -0x1.9f54f1f616e49p-1, -0x1.9e93a69b0c914p-1, -0x1.9dcbf692ef0f6p-1, -0x1.9cfe738a9a887p-1, -0x1.9c2b935382635p-1, -0x1.9b53b0e5dffc9p-1, -0x1.9a770e34106dep-1, -0x1.9995d6921b153p-1, -0x1.98b0217b03779p-1, -0x1.97c5f5855f0b4p-1, -0x1.96d74b60fdd61p-1, -0x1.95e410bfac299p-1, -0x1.94ec2b12ca802p-1, -0x1.93ef7a0e518d4p-1, -0x1.92edd9e7d237fp-1, -0x1.91e7254cd57ffp-1, -0x1.90db370fedb42p-1, -0x1.8fc9eb8ead06p-1, -0x1.8eb321d4d7fc8p-1, -0x1.8d96bc82862a9p-1, -0x1.8c74a27ba8ce1p-1, -0x1.8b4cbf67c36ddp-1, -0x1.8a1f040894419p-1, -0x1.88eb666e1352dp-1, -0x1.87b1e20dbfff2p-1, -0x1.867277c28afafp-1, -0x1.852d2dba144fap-1, -0x1.83e20f5341283p-1, -0x1.82912cf19350ap-1, -0x1.813a9bc80fbadp-1, -0x1.7fde759dfdd9ap-1, -0x1.7e7cd88f4d2e9p-1, -0x1.7d15e6ca100d5p-1, -0x1.7ba9c64a1c7b7p-1, -0x1.7a38a093a8428p-1, -0x1.78c2a26d75f5p-1, -0x1.7747fb9b096d6p-1, -0x1.75c8de972d722p-1, -0x1.7445804f0f8acp-1, -0x1.72be17de17a19p-1, -0x1.7132de4aa68a4p-1, -0x1.6fa40e43d9c7cp-1, -0x1.6e11e3e071cf4p-1, -0x1.6c7c9c5f01b56p-1, -0x1.6ae475e78237dp-1, -0x1.6949af4e73762p-1, -0x1.67ac87d9b017dp-1, -0x1.660d3f0718cbep-1, -0x1.646c145547317p-1, -0x1.62c9470e6a068p-1, -0x1.6125161575b67p-1, -0x1.5f7fbfb5d0de1p-1, -0x1.5dd981759b8ep-1, -0x1.5c3297eab5232p-1, -0x1.5a8b3e929794dp-1, -0x1.58e3afad1f877p-1, -0x1.573c241a53d41p-1, -0x1.5594d33b32e6cp-1, -0x1.53edf2d58f2fp-1, -0x1.5247b6faf71e3p-1, -0x1.50a251f2a4153p-1, -0x1.4efdf42664621p-1, -0x1.4d5acc126eb58p-1, -0x1.4bb906380c5f6p-1, -0x1.4a18cd12fca26p-1, -0x1.487a491179cf5p-1, -0x1.46dda08eb9ad4p-1, -0x1.4542f7cfcd3f9p-1, -0x1.43aa7102b347ap-1, -0x1.42142c3f7f286p-1, -0x1.4080478b651cep-1, -0x1.3eeededd8a552p-1, -0x1.3d600c256a227p-1, -0x1.3bd3e752af36ep-1, -0x1.3a4a865e52c99p-1, -0x1.38c3fd54df1a3p-1, -0x1.37405e61b0d27p-1, -0x1.35bfb9db0f3f8p-1, -0x1.34421e4efd7bbp-1, -0x1.32c79890a2724p-1, -0x1.315033c628bc6p-1, -0x1.2fdbf976fbf34p-1, -0x1.2e6af19a47facp-1, -0x1.2cfd22a5a1a35p-1, -0x1.2b92919bc4306p-1, -0x1.2a2b421b502ffp-1, -0x1.28c7366d76f8ep-1, -0x1.27666f948726dp-1, -0x1.2608ed5a49973p-1, -0x1.24aeae5e22956p-1, -0x1.2357b022f065cp-1, -0x1.2203ef1c9a35cp-1, -0x1.20b366bd4c5d8p-1, -0x1.1f661182587d2p-1, -0x1.1e1be900b9e7cp-1, -0x1.1cd4e5f13637ep-1, -0x1.1b91003c1c419p-1, -0x1.1a502f049d6bap-1, -0x1.191268b3c36b7p-1, -0x1.17d7a30300a11p-1, -0x1.169fd3065f407p-1, -0x1.156aed364e9fep-1, -0x1.1438e57910dd7p-1, -0x1.1309af2bcf75ep-1, -0x1.11dd3d2b529dap-1, -0x1.10b381dc66cc7p-1, -0x1.0f8c6f33ecf6bp-1, -0x1.0e67f6be9dcedp-1, -0x1.0d4609a880811p-1, -0x1.0c2698c41ad7ap-1, -0x1.0b0994915d6c3p-1, -0x1.09eeed444e19p-1, -0x1.08d692cb77ebbp-1, -0x1.07c074d620994p-1, -0x1.06ac82da46f8ep-1, -0x1.059aac1a70746p-1, -0x1.048adfab45dfcp-1, -0x1.037d0c79025bp-1, -0x1.0271214cba2e7p-1, -0x1.01670cd176fd7p-1, -0x1.005ebd9930ca3p-1, -0x1.feb0444344808p-2, -0x1.fca651b1f8e6bp-2, -0x1.fa9f8044f5769p-2, -0x1.f89bacb5af8dap-2, -0x1.f69ab3b94fb47p-2, -0x1.f49c72092abcep-2, -0x1.f2a0c46b0d224p-2, -0x1.f0a787b94cccbp-2, -0x1.eeb098eab17cbp-2, -0x1.ecbbd51a26adep-2, -0x1.eac9198e46c5ap-2, -0x1.e8d843c0b3adap-2, -0x1.e6e9316548bb2p-2, -0x1.e4fbc07118affp-2, -0x1.e30fcf214cf26p-2, -0x1.e1253c01cd5b3p-2, -0x1.df3be5f3c5b4cp-2, -0x1.dd53ac33fe5ecp-2, -0x1.db6c6e6107a4ep-2, -0x1.d9860c813f429p-2, -0x1.d7a06708a6d7ep-2, -0x1.d5bb5ede8ed3dp-2, -0x1.d3d6d56319c9cp-2, -0x1.d1f2ac748ef51p-2, -0x1.d00ec67482f5p-2, -0x1.ce2b064cd1e9cp-2, -0x1.cc474f746d263p-2, -0x1.ca6385f3fb949p-2, -0x1.c87f8e6a49baap-2, -0x1.c69b4e108c70cp-2, -0x1.c4b6aabe7489dp-2, -0x1.c2d18aee10c8dp-2, -0x1.c0ebd5bf83db2p-2, -0x1.bf0572fc851bap-2, -0x1.bd1e4b1bb4e9cp-2, -0x1.bb364743bdfcep-2, -0x1.b94d514e45045p-2, -0x1.b76353caaa19ep-2, -0x1.b5783a0094fcbp-2, -0x1.b38beff252adap-2, -0x1.b19e625f01c9ap-2, -0x1.afaf7ec489acdp-2, -0x1.adbf3361667b5p-2, -0x1.abcd6f363c6eap-2, -0x1.a9da2207438d5p-2, -0x1.a7e53c5d7873ep-2, -0x1.a5eeaf87a588cp-2, -0x1.a3f66d9b3687bp-2, -0x1.a1fc6974de508p-2, -0x1.a00096b90da66p-2, -0x1.9e02e9d43b507p-2, -0x1.9c0357fafeedbp-2, -0x1.9a01d729faf7ep-2, -0x1.97fe5e259d6e4p-2, -0x1.95f8e479b3a45p-2, -0x1.93f16278d0c45p-2, -0x1.91e7d13b8c4b3p-2, -0x1.8fdc2a9f9338bp-2, -0x1.8dce6946952e2p-2, -0x1.8bbe8895036p-2, -0x1.89ac84b0ada9fp-2, -0x1.87985a7f364adp-2, -0x1.858207a461206p-2, -0x1.83698a803f43p-2, -0x1.814ee22d34ce5p-2, -0x1.7f320e7de0c27p-2, -0x1.7d130ffae1449p-2, -0x1.7af1e7e074407p-2, -0x1.78ce981c020bep-2, -0x1.76a9234980e64p-2, -0x1.74818cb0c2098p-2, -0x1.7257d842a0625p-2, -0x1.702c0a9614751p-2, -0x1.6dfe28e53395ep-2, -0x1.6bce390a0f775p-2, -0x1.699c417b85e35p-2, -0x1.67684949f8b41p-2, -0x1.6532581bef5f3p-2, -0x1.62fa762aa6e93p-2, -0x1.60c0ac3e91225p-2, -0x1.5e8503abc089fp-2, -0x1.5c47864e445cp-2, -0x1.5a083e867b627p-2, -0x1.57c7373551aacp-2, -0x1.55847bb876c08p-2, -0x1.534017e68a3bap-2, -0x1.50fa180b3a3bep-2, -0x1.4eb288e35a698p-2, -0x1.4c697798f7725p-2, -0x1.4a1ef1bf5e352p-2, -0x1.47d3054f1fd9bp-2, -0x1.4585c0a21497p-2, -0x1.4337326f54ccp-2, -0x1.40e769c7359d9p-2, -0x1.3e96760f420f9p-2, -0x1.3c4466fe31eadp-2, -0x1.39f14c97e5ea8p-2, -0x1.379d37296145bp-2, -0x1.35483744c79edp-2, -0x1.32f25dbd5ee8bp-2, -0x1.309bbba393eefp-2, -0x1.2e44624106583p-2, -0x1.2bec6314989dfp-2, -0x1.2993cfce87ef2p-2, -0x1.273aba4c8b8c3p-2, -0x1.24e13495fc0e4p-2, -0x1.228750d804cbap-2, -0x1.202d2161dd273p-2, -0x1.1dd2b8a11062cp-2, -0x1.1b78291dc8f6cp-2, -0x1.191d85773105cp-2, -0x1.16c2e05fd8881p-2, -0x1.14684c9a29899p-2, -0x1.120ddcf4ecae4p-2, -0x1.0fb3a447d7d3cp-2, -0x1.0d59b5702d693p-2, -0x1.0b00234d6a4b2p-2, -0x1.08a700be03035p-2, -0x1.064e609c30de8p-2, -0x1.03f655bacd852p-2, -0x1.019ef2e2409c9p-2, -0x1.fe90959afdff6p-3, -0x1.f9e4e04e31d75p-3, -0x1.f53aeb0cb54bp-3, -0x1.f092dad8fd6e9p-3, -0x1.ebecd483e3896p-3, -0x1.e748fca752928p-3, -0x1.e2a777a113764p-3, -0x1.de08698dc9bc7p-3, -0x1.d96bf644062c3p-3, -0x1.d4d2414f8ab25p-3, -0x1.d03b6decafb3cp-3, -0x1.cba79f03eacd5p-3, -0x1.c716f72585136p-3, -0x1.c28998856bb43p-3, -0x1.bdffa4f7301aap-3, -0x1.b9793dea2517cp-3, -0x1.b4f68465ad4ep-3, -0x1.b07799059eb96p-3, -0x1.abfc9bf6de828p-3, -0x1.a785acf414922p-3, -0x1.a312eb4286b93p-3, -0x1.9ea475af1fd45p-3, -0x1.9a3a6a8b92339p-3, -0x1.95d4e7aba6de9p-3, -0x1.91740a62a8fe8p-3, -0x1.8d17ef80fc617p-3, -0x1.88c0b351d1054p-3, -0x1.846e719900dabp-3, -0x1.8021459107ebfp-3, -0x1.7bd949e925daep-3, -0x1.779698c39d473p-3, -0x1.73594bb41745p-3, -0x1.6f217bbe22f92p-3, -0x1.6aef4153dbe97p-3, -0x1.66c2b454aab09p-3, -0x1.629bec0c28e0ap-3, -0x1.5e7aff31202acp-3, -0x1.5a6003e4abd4ap-3, -0x1.564b0fb172cecp-3, -0x1.523c378b05dbbp-3, -0x1.4e338fcd51f1bp-3, -0x1.4a312c3c32478p-3, -0x1.4635200323cdap-3, -0x1.423f7db506ba6p-3, -0x1.3e50574c03459p-3, -0x1.3a67be2987e5fp-3, -0x1.3685c31657644p-3, -0x1.32aa7642bda1bp-3, -0x1.2ed5e746cc49ep-3, -0x1.2b082522bc753p-3, -0x1.27413e3f5837p-3, -0x1.2381406e8759ep-3, -0x1.1fc838ebe94e9p-3, -0x1.1c16345d83555p-3, -0x1.186b3ed48829ep-3, -0x1.14c763ce2799fp-3, -0x1.112aae347dc62p-3, -0x1.0d95285f8c0fdp-3, -0x1.0a06dc1641dc7p-3, -0x1.067fd28f9b562p-3, -0x1.03001473ce3f3p-3, -0x1.ff0f53bafd60ep-4, -0x1.f82d34b62540fp-4, -0x1.f159d9dffe86p-4, -0x1.ea95502c6de77p-4, -0x1.e3dfa37f2738ep-4, -0x1.dd38deaeaff3dp-4, -0x1.d6a10b877359p-4, -0x1.d01832cee4a45p-4, -0x1.c99e5c46c7f53p-4, -0x1.c3338eb077b1bp-4, -0x1.bcd7cfd04b56bp-4, -0x1.b68b247118abbp-4, -0x1.b04d9067a8a5ap-4, -0x1.aa1f16965a077p-4, -0x1.a3ffb8f0bebb5p-4, -0x1.9def787f51cd1p-4, -0x1.97ee55632d64dp-4, -0x1.91fc4ed9dfe42p-4, -0x1.8c19634135ef3p-4, -0x1.8645901b1c619p-4, -0x1.8080d211867cfp-4, -0x1.7acb24fa57c8ep-4, -0x1.752483db5e221p-4, -0x1.6f8ce8ee4736dp-4, -0x1.6a044da4a68cfp-4, -0x1.648aaaabf2614p-4, -0x1.5f1ff7f1921f7p-4, -0x1.59c42ca6e6841p-4, -0x1.54773f4553273p-4, -0x1.4f392592550b3p-4, -0x1.4a09d4a388fdp-4, -0x1.44e940e2be9e5p-4, -0x1.3fd75e1204668p-4, -0x1.3ad41f4fb890bp-4, -0x1.35df771a91112p-4, -0x1.30f95755a302cp-4, -0x1.2c21b14c67f93p-4, -0x1.275875b6c37f7p-4, -0x1.229d94bcfc459p-4, -0x1.1df0fdfbb5224p-4, -0x1.1952a087e3163p-4, -0x1.14c26af2b758dp-4, -0x1.10404b4d8938cp-4, -0x1.0bcc2f2db64e7p-4, -0x1.076603b079b69p-4, -0x1.030db57ec31f2p-4, -0x1.fd8661a1f9884p-5, -0x1.f50cc2e59c28dp-5, -0x1.ecae658daf4efp-5, -0x1.e46b1f94c34e3p-5, -0x1.dc42c632076ep-5, -0x1.d4352de07efb2p-5, -0x1.cc422a6638cf8p-5, -0x1.c4698edb4d80cp-5, -0x1.bcab2db0f19c8p-5, -0x1.b506d8b850a7ap-5, -0x1.ad7c612968771p-5, -0x1.a60b97a9c20e4p-5, -0x1.9eb44c531d789p-5, -0x1.97764eb9fd43fp-5, -0x1.90516df41f56p-5, -0x1.8945789ee1591p-5, -0x1.82523ce587f4bp-5, -0x1.7b7788876f822p-5, -0x1.74b528de2587cp-5, -0x1.6e0aeae36669p-5, -0x1.67789b37097e6p-5, -0x1.60fe0624c9a49p-5, -0x1.5a9af7aa04ffap-5, -0x1.544f3b7b4742dp-5, -0x1.4e1a9d09de2d8p-5, -0x1.47fce78937d7cp-5, -0x1.41f5e5f439f68p-5, -0x1.3c0563126e325p-5, -0x1.362b297d2b53ep-5, -0x1.306703a48de24p-5, -0x1.2ab8bbd466334p-5, -0x1.25201c390b09ep-5, -0x1.1f9ceee405814p-5, -0x1.1a2efdd0c0d5fp-5, -0x1.14d612e8f809ep-5, -0x1.0f91f8092d629p-5, -0x1.0a627704fe5d9p-5, -0x1.054759ab52b3dp-5, -0x1.004069ca7cefap-5, -0x1.f69ae2688577fp-6, -0x1.ecdc73839a8dfp-6, -0x1.e3451aaef33f1p-6, -0x1.d9d46bd12955fp-6, -0x1.d089faf607812p-6, -0x1.c7655c559649p-6, -0x1.be66245b1333dp-6, -0x1.b58be7ab9d541p-6, -0x1.acd63b2cc4fbap-6, -0x1.a444b40af082fp-6, -0x1.9bd6e7bf78951p-6, -0x1.938c6c16b71cep-6, -0x1.8b64d735dc7ecp-6, -0x1.835fbfa089b6p-6, -0x1.7b7cbc3e5a42fp-6, -0x1.73bb64602d5bcp-6, -0x1.6c1b4fc54ebedp-6, -0x1.649c16a068a1bp-6, -0x1.5d3d519c62a06p-6, -0x1.55fe99e0fa4ddp-6, -0x1.4edf891753532p-6, -0x1.47dfb96e3b8fp-6, -0x1.40fec59e682bbp-6, -0x1.3a3c48ee76309p-6, -0x1.3397df36d2732p-6, -0x1.2d1124e56d745p-6, -0x1.26a7b7015ad6ep-6, -0x1.205b332e3d764p-6, -0x1.1a2b37af931f6p-6, -0x1.1417636be7a83p-6, -0x1.0e1f55efd1242p-6, -0x1.0842af70e5c31p-6, -0x1.028110d064489p-6, -0x1.f9b4373bf151fp-7, -0x1.ee9ae43441e59p-7, -0x1.e3b56e713dc52p-7, -0x1.d9031d45733a7p-7, -0x1.ce833972b16ccp-7, -0x1.c4350d2e38cbdp-7, -0x1.ba17e42460272p-7, -0x1.b02b0b7c42367p-7, -0x1.a66dd1db38782p-7, -0x1.9cdf8767cc231p-7, -0x1.937f7dccc8dfep-7, -0x1.8a4d083c0219dp-7, -0x1.81477b70bb6d1p-7, -0x1.786e2db221f85p-7, -0x1.6fc076d55c20ap-7, -0x1.673db03f78f6ep-7, -0x1.5ee534e74d517p-7, -0x1.56b66156ee619p-7, -0x1.4eb093ad2db13p-7, -0x1.46d32b9eda948p-7, -0x1.3f1d8a77b995p-7, -0x1.378f131b8edb9p-7, -0x1.30272a06cc246p-7, -0x1.28e5354f294dcp-7, -0x1.21c89ca418085p-7, -0x1.1ad0c94f147b2p-7, -0x1.13fd2633c9271p-7, -0x1.0d4d1fd00d7ebp-7, -0x1.06c0243bd592ep-7, -0x1.0055a328dc39p-7, -0x1.f41a1bc4b911dp-8, -0x1.e7cbae98eef21p-8, -0x1.dbbee7c73fa05p-8, -0x1.cff2b377c14f2p-8, -0x1.c466010000eb6p-8, -0x1.b917c2e0e87e7p-8, -0x1.ae06eec50a9cbp-8, -0x1.a3327d7db4444p-8, -0x1.98996b00e6aadp-8, -0x1.8e3ab6665be14p-8, -0x1.841561e4858eap-8, -0x1.7a2872cdb1aa5p-8, -0x1.7072f18c857bap-8, -0x1.66f3e9a0ccc2cp-8, -0x1.5daa699ba3a7dp-8, -0x1.5495831bc8a2p-8, -0x1.4bb44ac9cae7cp-8, -0x1.4305d853f628dp-8, -0x1.3a894669f0e0ep-8, -0x1.323db2b8b5dcdp-8, -0x1.2a223de5e885ep-8, -0x1.22360b8b60103p-8, -0x1.1a7842326589dp-8, -0x1.12e80b4f0e9f4p-8, -0x1.0b84933b133cbp-8, -0x1.044d09310fd61p-8, -0x1.fa813e8e7dc4dp-9, -0x1.ecbd14d49cfaap-9, -0x1.df4c04b06ee18p-9, -0x1.d22c833572a85p-9, -0x1.c55d0b0402583p-9, -0x1.b8dc1c3e04b4dp-9, -0x1.aca83c7c491e9p-9, -0x1.a0bff6c2893e8p-9, -0x1.9521db74b916bp-9, -0x1.89cc804aae9b2p-9, -0x1.7ebe80450fce5p-9, -0x1.73f67ba18957ap-9, -0x1.697317ce85dfep-9, -0x1.5f32ff5faf874p-9, -0x1.5534e201b9d5dp-9, -0x1.4b77746e4b32p-9, -0x1.41f9705fd724ap-9, -0x1.38b99485765cp-9, -0x1.2fb6a4766fdefp-9, -0x1.26ef68a6456afp-9, -0x1.1e62ae57d511fp-9, -0x1.160f479154b4ep-9, -0x1.0df40b0fe8296p-9, -0x1.060fd43aaf23dp-9, -0x1.fcc3062df67b1p-10, -0x1.edcff8769f983p-10, -0x1.df4451861f577p-10, -0x1.d11dec840aa49p-10, -0x1.c35aad6f4fc8dp-10, -0x1.b5f88105b3c71p-10, -0x1.a8f55caab7b9p-10, -0x1.9c4f3e4e29baap-10, -0x1.90042c53fc58ep-10, -0x1.8412357ac459ap-10, -0x1.787770c2e3e6bp-10, -0x1.6d31fd55ce7e5p-10, -0x1.6240026da4b5ap-10, -0x1.579faf3c445e3p-10, -0x1.4d4f3ad25f6d5p-10, -0x1.434ce40788557p-10, -0x1.3996f1612605ep-10, -0x1.302bb0fb12a29p-10, -0x1.2709786df1e37p-10, -0x1.1e2ea4b8d741ep-10, -0x1.15999a2788143p-10, -0x1.0d48c43bb4849p-10, -0x1.053a9594ee695p-10, -0x1.fadb0fb1a2674p-11, -0x1.ebc03736e73c1p-11, -0x1.dd21b090d5a32p-11, -0x1.cefc98162f6c7p-11, -0x1.c14e176facaf9p-11, -0x1.b4136569e4d0bp-11, -0x1.a749c5c75ce6bp-11, -0x1.9aee891441127p-11, -0x1.8eff0c77a3f44p-11, -0x1.8378b9888a3b5p-11, -0x1.78590620775f8p-11, -0x1.6d9d74305563p-11, -0x1.6343919321f93p-11, -0x1.5948f7e50360ep-11, -0x1.4fab4c55da11fp-11, -0x1.46683f803f868p-11, -0x1.3d7d8d3e656dfp-11, -0x1.34e8fc80c485bp-11, -0x1.2ca85f23da0d1p-11, -0x1.24b991c743275p-11, -0x1.1d1a7ba4f870ep-11, -0x1.15c90e68854d8p-11, -0x1.0ec34607ae417p-11, -0x1.08072899ae53fp-11, -0x1.0192c630c8f23p-11, -0x1.f6c871652a9f4p-12, -0x1.eaf34763f0a27p-12, -0x1.dfa26890f6e27p-12, -0x1.d4d241e1d68bfp-12, -0x1.ca7f52c30d239p-12, -0x1.c0a62cce6e85dp-12, -0x1.b743738183fcbp-12, -0x1.ae53dbf585291p-12, -0x1.a5d42c96b7cdp-12, -0x1.9dc13cde3b47dp-12, -0x1.9617f50b71715p-12, -0x1.8ed54dde8e714p-12, -0x1.87f65053e3f05p-12, -0x1.8178156083e97p-12, -0x1.7b57c5ae1282cp-12, -0x1.7592995a9c869p-12, -0x1.7025d7b3fe0d4p-12, -0x1.6b0ed6fa13fe1p-12, -0x1.664afc1c304adp-12, -0x1.61d7ba7ba102ap-12, -0x1.5db293ad07d8fp-12, -0x1.59d917396e93p-12, -0x1.5648e262820c7p-12, -0x1.52ff9fe63cac4p-12, -0x1.4ffb07c315b3fp-12, -0x1.4d38defd6d29fp-12, -0x1.4ab6f765d6b0ap-12, -0x1.48732f5fc03ep-12, -0x1.466b71a8be1bp-12, -0x1.449db52190b04p-12, -0x1.4307fc960a187p-12, -0x1.41a85687c2784p-12, -0x1.407cdcf87411dp-12, -0x1.3f83b534c6948p-12, -0x1.3ebb0fa059bb9p-12, -0x1.3e212782fc505p-12, -0x1.3db442d47253cp-12, -0x1.3d72b20c99675p-12, -0x1.3d5acff035127p-12, -0x1.3d6b01612a234p-12, -0x1.3da1b52eed65bp-12, -0x1.3dfd63e71cb0bp-12, -0x1.3e7c8fa6033bdp-12, -0x1.3f1dc3ea1d5e9p-12, -0x1.3fdf956606fccp-12, -0x1.40c0a1d3e681p-12, -0x1.41bf8fc9d3975p-12, -0x1.42db0e8e5385bp-12, -0x1.4411d5ee26d69p-12, -0x1.4562a611602aep-12, -0x1.46cc4753708dp-12, -0x1.484d8a18a564ep-12, -0x1.49e546a7ae31ep-12, -0x1.4b925d012f454p-12, -0x1.4d53b4b8ac1c5p-12, -0x1.4f283ccf5a5efp-12, -0x1.510eeb8cf3015p-12, -0x1.5306be5b76a6dp-12, -0x1.550eb9a250573p-12, -0x1.5725e8a28a04dp-12, -0x1.594b5d532026dp-12, -0x1.5b7e303e9d2f6p-12, -0x1.5dbd80607668ap-12, -0x1.60087303129a8p-12, -0x1.625e339f1edbap-12, -0x1.64bdf3ba6d63ap-12, -0x1.6726eac81f60fp-12, -0x1.69985608c3ffcp-12, -0x1.6c11786bff413p-12, -0x1.6e919a70b684fp-12, -0x1.71180a07ee201p-12, -0x1.73a41a771b571p-12, -0x1.7635243abacc5p-12, -0x1.78ca84ea192d7p-12, -0x1.7b639f1aff811p-12, -0x1.7dffda461acep-12, -0x1.809ea2abdb1b4p-12, -0x1.833f6939c62d8p-12, -0x1.85e1a3700fa04p-12, -0x1.8884cb484ef91p-12, -0x1.8b285f1b4289p-12, -0x1.8dcbe1893972fp-12, -0x1.906ed960a0c33p-12, -0x1.9310d1861b7e9p-12, -0x1.95b158dd1f8c9p-12, -0x1.98500230a758dp-12, -0x1.9aec641cbaba5p-12, -0x1.9d8618f7c483ap-12, -0x1.a01cbebca9ba1p-12, -0x1.a2aff6f507fcp-12, -0x1.a53f66a4821ddp-12, -0x1.a7cab633b4824p-12, -0x1.aa51915ba9cc7p-12, -0x1.acd3a712025d2p-12, -0x1.af50a9757e711p-12, -0x1.b1c84dba347aep-12, -0x1.b43a4c16e0f65p-12, -0x1.b6a65fb27956bp-12, -0x1.b90c469188e96p-12, -0x1.bb6bc184976f8p-12, -0x1.bdc49416d0913p-12, -0x1.c016847c15cbep-12, -0x1.c2615b80d249bp-12, -0x1.c4a4e47912057p-12, -0x1.c6e0ed30552e2p-12, -0x1.c91545d9526e6p-12, -0x1.cb41c0fef3199p-12, -0x1.cd6633746db7fp-12, -0x1.cf82744699931p-12, -0x1.d1965cace495p-12, -0x1.d3a1c7fb159e6p-12, -0x1.d5a493932defap-12, -0x1.d79e9ed739e87p-12, -0x1.d98fcb1c23d56p-12, -0x1.db77fb9c29846p-12, -0x1.dd571569c0a2dp-12, -0x1.df2cff62de302p-12, -0x1.e0f9a2245ed06p-12, -0x1.e2bce7fdc67ddp-12, -0x1.e476bce5164bbp-12, -0x1.e6270e6b69384p-12, -0x1.e7cdcbb0e2b45p-12, -0x1.e96ae559d1aa8p-12, -0x1.eafe4d8351d1fp-12, -0x1.ec87f7b88aa17p-12, -0x1.ee07d8e842ed5p-12, -0x1.ef7de75a2a366p-12, -0x1.f0ea1aa4d9b8p-12, -0x1.f24c6ba4027fp-12, -0x1.f3a4d46e82bc3p-12, -0x1.f4f3504ce0de2p-12, -0x1.f637dbaff5822p-12, -0x1.f7727427e8b58p-12, -0x1.f8a3185b15ffp-12, -0x1.f9c9c7fd80f8cp-12, -0x1.fae683c824fc7p-12, -0x1.fbf94d70c0a88p-12, -0x1.fd0227a183394p-12, -0x1.fe0115f136a14p-12, -0x1.fef61cdb36beap-12, -0x1.ffe141b8133eep-12, -0x1.0061455aee32ep-11, -0x1.00ccff6884793p-11, -0x1.0133d2e695b0bp-11, -0x1.0195c417109dcp-11, -0x1.01f2d79890148p-11, -0x1.024b1263101fcp-11, -0x1.029e79c4a7357p-11, -0x1.02ed135e62fecp-11, -0x1.0336e5213a12p-11, -0x1.037bf54aea14dp-11, -0x1.03bc4a6318127p-11, -0x1.03f7eb386602ep-11, -0x1.042ededd94419p-11, -0x1.04612ca6dfd05p-11, -0x1.048edc273dec8p-11, -0x1.04b7f52dbf0cep-11, -0x1.04dc7fc30a6a6p-11, -0x1.04fc8426e337dp-11, -0x1.05180acda8abdp-11, -0x1.052f1c5e05c78p-11, -0x1.0541c1aea0709p-11, -0x1.055003c3d1198p-11, -0x1.0559ebcd768ffp-11, -0x1.055f8324dbce8p-11, -0x1.0560d34a821c3p-11, -0x1.055de5e443e45p-11, -0x1.0556c4bb380e5p-11, -0x1.054b79b9d2222p-11, -0x1.053c0ee9f729cp-11, -0x1.05288e733ce8ep-11, -0x1.051102990e82p-11, -0x1.04f575b8f2355p-11, -0x1.04d5f248dee37p-11, -0x1.04b282d5a8875p-11, -0x1.048b32014dd71p-11, -0x1.04600a816bf2cp-11, -0x1.0431171dc283dp-11, -0x1.03fe62aebac9p-11, -0x1.03c7f81bfc5fep-11, -0x1.038de25b01d36p-11, -0x1.03502c6dc917dp-11, -0x1.030ee1618031ap-11, -0x1.02ca0c4d328a5p-11, -0x1.0281b8509f062p-11, -0x1.0235f092fd70cp-11, -0x1.01e6c041d4204p-11, -0x1.0194328fc830ap-11, -0x1.013e52b3a0dc8p-11, -0x1.00e52be723352p-11, -0x1.0088c966128d8p-11, -0x1.0029366d268adp-11, -0x1.ff8cfc7230cb1p-12, -0x1.fec1580b6ab2ap-12, -0x1.fdef9619e8e93p-12, -0x1.fd17cd0c1cdfbp-12, -0x1.fc3a134968bb8p-12, -0x1.fb567f3055c5ep-12, -0x1.fa6d2714fe323p-12, -0x1.f97e213fa4d48p-12, -0x1.f88983eb173fdp-12, -0x1.f78f65433dd49p-12, -0x1.f68fdb63c6d45p-12, -0x1.f58afc56d01bep-12, -0x1.f480de1391507p-12, -0x1.f371967d060cep-12, -0x1.f25d3b60f461fp-12, -0x1.f143e276919cp-12, -0x1.f025a15d74f22p-12, -0x1.ef028d9c8782p-12, -0x1.eddabca0e97c3p-12, -0x1.ecae43bd0ce87p-12, -0x1.eb7d3827a52e2p-12, -0x1.ea47aefae4f92p-12, -0x1.e90dbd337df8ap-12, -0x1.e7cf77afbeca9p-12, -0x1.e68cf32ee271p-12, -0x1.e546445031d7dp-12, -0x1.e3fb7f9246ae2p-12, -0x1.e2acb9526a9edp-12, -0x1.e15a05cbd85cbp-12, -0x1.e00379171fcf8p-12, -0x1.dea9272975161p-12, -0x1.dd4b23d438474p-12, -0x1.dbe982c458b86p-12, -0x1.da845781ccfadp-12, -0x1.d91bb56f08262p-12, -0x1.d7afafc88cdb9p-12, -0x1.d64059a476607p-12, -0x1.d4cdc5f21e18fp-12, -0x1.d35807799ec7cp-12, -0x1.d1df30db75fb2p-12, -0x1.d0635490336f4p-12, -0x1.cee484e822964p-12, -0x1.cd62d40b0623fp-12, -0x1.cbde53f7bbbabp-12, -0x1.ca571683f690ap-12, -0x1.c8cd2d5c1d354p-12, -0x1.c740aa02f967bp-12, -0x1.c5b19dd18a269p-12, -0x1.c42019f6e102dp-12, -0x1.c28c2f77e22cp-12, -0x1.c0f5ef2f272a7p-12, -0x1.bf5d69ccd97dep-12, -0x1.bdc2afd69a4bbp-12, -0x1.bc25d1a7730f2p-12, -0x1.ba86df6fb11e5p-12, -0x1.b8e5e934cf261p-12, -0x1.b742fed172e91p-12, -0x1.b59e2ff5660b6p-12, -0x1.b3f78c258e6a8p-12, -0x1.b24f22bbe601fp-12, -0x1.b0a502e775f72p-12, -0x1.aef93bac65762p-12, -0x1.ad4bdbe3f5308p-12, -0x1.ab9cf23c94fb9p-12, -0x1.a9ec8d39f2acdp-12, -0x1.a83abb34f18b8p-12, -0x1.a6878a5bdb677p-12, -0x1.a4d308b2675a9p-12, -0x1.a31d4411cbcc4p-12, -0x1.a1664a28e11f1p-12, -0x1.9fae287c374edp-12, -0x1.9df4ec6639113p-12, -0x1.9c3aa3174f69ep-12, -0x1.9a7f59960217cp-12, -0x1.98c31cbf1c82ap-12, -0x1.9705f945cff58p-12, -0x1.9547fbb3ef115p-12, -0x1.93893069fe032p-12, -0x1.91c9a39f6e6a4p-12, -0x1.90096162d3962p-12, -0x1.8e48759a0d4eep-12, -0x1.8c86ec02705ddp-12, -0x1.8ac4d03107675p-12, -0x1.89022d92c6426p-12, -0x1.873f0f6cb61afp-12, -0x1.857b80dc39p-12, -0x1.83b78cd73a13cp-12, -0x1.81f33e2c6ed8cp-12, -0x1.802e9f8390648p-12, -0x1.7e69bb5d9a6bcp-12, -0x1.7ca49c14fc59fp-12, -0x1.7adf4bdde4133p-12, -0x1.7919d4c681826p-12, -0x1.775440b73d179p-12, -0x1.758e9972f9153p-12, -0x1.73c8e8975cc5cp-12, -0x1.7203379d1148bp-12, -0x1.703d8fd7fed19p-12, -0x1.6e77fa77a6bbp-12, -0x1.6cb2808753b68p-12, -0x1.6aed2aee69838p-12, -0x1.69280270a63c8p-12, -0x1.67630fae673fp-12, -0x1.659e5b2500fd1p-12, -0x1.63d9ed2ef1e1dp-12, -0x1.6215ce043c63ap-12, -0x1.605205ba9edc4p-12, -0x1.5e8e9c45e666cp-12, -0x1.5ccb997836ee3p-12, -0x1.5b09050256d6cp-12, -0x1.5946e673f2febp-12, -0x1.5785453bf7ea7p-12, -0x1.55c428a8c6757p-12, -0x1.540397e889d77p-12, -0x1.52439a09899b1p-12, -0x1.508435fa691e9p-12, -0x1.4ec5728a7663ap-12, -0x1.4d075669f5452p-12, -0x1.4b49e82a6a39fp-12, -0x1.498d2e3eeda58p-12, -0x1.47d12efc66d7bp-12, -0x1.4615f099e7ebep-12, -0x1.445b7930e9af1p-12, -0x1.42a1cebda865fp-12, -0x1.40e8f71f5fb2fp-12, -0x1.3f30f81895588p-12, -0x1.3d79d74f7b66dp-12, -0x1.3bc39a4e20df9p-12, -0x1.3a0e4682c2c64p-12, -0x1.3859e14026a6p-12, -0x1.36a66fbdcb355p-12, -0x1.34f3f7183de74p-12, -0x1.33427c517bbf7p-12, -0x1.31920451138c4p-12, -0x1.2fe293e48d7bfp-12, -0x1.2e342fbfa7e94p-12, -0x1.2c86dc7c9cb62p-12, -0x1.2ada9e9c7aeb2p-12, -0x1.292f7a875f761p-12, -0x1.2785748cbbdefp-12, -0x1.25dc90e3ae8d2p-12, -0x1.2434d3ab3d538p-12, -0x1.228e40eaa2001p-12, -0x1.20e8dc918f437p-12, -0x1.1f44aa7877d94p-12, -0x1.1da1ae60d36fep-12, -0x1.1bffebf56fb8cp-12, -0x1.1a5f66caabdb2p-12, -0x1.18c0225eb28cfp-12, -0x1.17222219d498p-12, -0x1.1585694ec1996p-12, -0x1.13e9fb3acd5c1p-12, -0x1.124fdb063cdcp-12, -0x1.10b70bc47af73p-12, -0x1.0f1f907460fp-12, -0x1.0d896c0079141p-12, -0x1.0bf4a13f4163bp-12, -0x1.0a6132f36d529p-12, -0x1.08cf23cc237aap-12, -0x1.073e766546919p-12, -0x1.05af2d47a8bfep-12, -0x1.04214ae955f06p-12, -0x1.0294d1add3503p-12, -0x1.0109c3e656407p-12, -0x1.ff0047a414492p-13, -0x1.fbefe73c8f8e8p-13, -0x1.f8e26acdac68cp-13, -0x1.f5d7d66c4d3e2p-13, -0x1.f2d02e0b2c447p-13, -0x1.efcb757b3a146p-13, -0x1.ecc9b06c35e26p-13, -0x1.e9cae26d1513ep-13, -0x1.e6cf0eec62b9p-13, -0x1.e3d63938db5fep-13, -0x1.e0e06481bc57fp-13, -0x1.dded93d74bb43p-13, -0x1.dafdca2b35f8p-13, -0x1.d8110a511532cp-13, -0x1.d52756fee531p-13, -0x1.d240b2cd52c04p-13, -0x1.cf5d203849ff2p-13, -0x1.cc7ca19f3d855p-13, -0x1.c99f3945a9e54p-13, -0x1.c6c4e95382a89p-13, -0x1.c3edb3d58ffcdp-13, -0x1.c1199abdeb007p-13, -0x1.be489fe44884dp-13, -0x1.bb7ac5067641ep-13, -0x1.b8b00bc8b0674p-13, -0x1.b5e875b619686p-13, -0x1.b32404410b0cbp-13, -0x1.b062b8c377b7p-13, -0x1.ada4947f5a15ep-13, -0x1.aae9989f0f361p-13, -0x1.a831c635b17b7p-13, -0x1.a57d1e3f89382p-13, -0x1.a2cba1a25120ep-13, -0x1.a01d512dae18dp-13, -0x1.9d722d9b67f02p-13, -0x1.9aca378fe94b5p-13, -0x1.98256f9a7b157p-13, -0x1.9583d635ade28p-13, -0x1.92e56bc7b79c9p-13, -0x1.904a30a2b9c4ep-13, -0x1.8db225051b86ap-13, -0x1.8b1d4919e930dp-13, -0x1.888b9cf91ef88p-13, -0x1.85fd20a805bf6p-13, -0x1.8371d41975babp-13, -0x1.80e9b72e2f9f6p-13, -0x1.7e64c9b53a4e6p-13, -0x1.7be30b6c0e115p-13, -0x1.79647bff12b3bp-13, -0x1.76e91b09c724fp-13, -0x1.7470e8172659ep-13, -0x1.71fbe2a1ed8ep-13, -0x1.6f8a0a14da6a3p-13, -0x1.6d1b5dcb0a7e5p-13, -0x1.6aafdd102db22p-13, -0x1.68478720dcbd4p-13, -0x1.65e25b2ae5b71p-13, -0x1.6380584d908acp-13, -0x1.61217d99d081dp-13, -0x1.5ec5ca12a58aep-13, -0x1.5c6d3cad4f914p-13, -0x1.5a17d4519b0c4p-13, -0x1.57c58fda1e3f6p-13, -0x1.55766e1485c99p-13, -0x1.532a6dc1b6dfbp-13, -0x1.50e18d963a7bep-13, -0x1.4e9bcc3a5bfdap-13, -0x1.4c59284a82554p-13, -0x1.4a19a057523eap-13, -0x1.47dd32e5f9032p-13, -0x1.45a3de7078233p-13, -0x1.436da165c4dc5p-13, -0x1.413a7a2a223bfp-13, -0x1.3f0a671736bd2p-13, -0x1.3cdd667c61da5p-13, -0x1.3ab3769ee3aecp-13, -0x1.388c95ba20849p-13, -0x1.3668c1ffdb60ap-13, -0x1.3447f998613ebp-13, -0x1.322a3aa2c39d2p-13, -0x1.300f83351c0b3p-13, -0x1.2df7d15c8c288p-13, -0x1.2be3231dc0403p-13, -0x1.29d17674df122p-13, -0x1.27c2c955eb1a2p-13, -0x1.25b719accaab3p-13, -0x1.23ae655d98197p-13, -0x1.21a8aa44bbd95p-13, -0x1.1fa5e6374210cp-13, -0x1.1da61702d27c1p-13, -0x1.1ba93a6e18034p-13, -0x1.19af4e38b7b7ep-13, -0x1.17b8501bb5b6ep-13, -0x1.15c43dc96df39p-13, -0x1.13d314edcec3cp-13, -0x1.11e4d32ead8aap-13, -0x1.0ff9762b9e30bp-13, -0x1.0e10fb7e8b5cp-13, -0x1.0c2b60bb7115cp-13, -0x1.0a48a370c9c67p-13, -0x1.0868c127a93bfp-13, -0x1.068bb763d97bcp-13, -0x1.04b183a4034b8p-13, -0x1.02da2361ded47p-13, -0x1.0105941252436p-13, -0x1.fe67a64b229e1p-14, -0x1.fac9bc0ea2ebfp-14, -0x1.f731643dc2d3ap-14, -0x1.f39e999ea161fp-14, -0x1.f01156ef37926p-14, -0x1.ec8996e56ded2p-14, -0x1.e907542fa5703p-14, -0x1.e58a8974c992ap-14, -0x1.e213315482b5ap-14, -0x1.dea14667b7d89p-14, -0x1.db34c3407ac8p-14, -0x1.d7cda26ac5447p-14, -0x1.d46bde6c021d7p-14, -0x1.d10f71c417ce4p-14, -0x1.cdb856ecefcbap-14, -0x1.ca66885b2aa8bp-14, -0x1.c71a007e274bcp-14, -0x1.c3d2b9c031c47p-14, -0x1.c090ae86f2fc5p-14, -0x1.bd53d933761e4p-14, -0x1.ba1c3422606eep-14, -0x1.b6e9b9ac442a2p-14, -0x1.b3bc6425bb88ep-14, -0x1.b0942ddfad355p-14, -0x1.ad711127928c7p-14, -0x1.aa53084763cd7p-14, -0x1.a73a0d863305ep-14, -0x1.a4261b27f7d41p-14, -0x1.a1172b6e05094p-14, -0x1.9e0d389706ae5p-14, -0x1.9b083cdf60974p-14, -0x1.980832811a07bp-14, -0x1.950d13b46d186p-14, -0x1.9216daaf85242p-14, -0x1.8f2581a7052b4p-14, -0x1.8c3902cdeec97p-14, -0x1.895158561356ep-14, -0x1.866e7c6fd4231p-14, -0x1.8390694ad6c7bp-14, -0x1.80b719158a4dp-14, -0x1.7de285fe07433p-14, -0x1.7b12aa3168f21p-14, -0x1.78477fdcc0b9p-14, -0x1.7581012c867cp-14, -0x1.72bf284d34a46p-14, -0x1.7001ef6b46261p-14, -0x1.6d4950b351289p-14, -0x1.6a9546522d93fp-14, -0x1.67e5ca753baeep-14, -0x1.653ad74a253fbp-14, -0x1.629466ff88af3p-14, -0x1.5ff273c481c7ep-14, -0x1.5d54f7c94191dp-14, -0x1.5abbed3ee87e7p-14, -0x1.58274e57d1e3ap-14, -0x1.5597154775898p-14, -0x1.530b3c42ec6fp-14, -0x1.5083bd806f71ep-14, -0x1.4e00933830332p-14, -0x1.4b81b7a3bc8bcp-14, -0x1.490724fea7e28p-14, -0x1.4690d5864c4d1p-14, -0x1.441ec37a252cdp-14, -0x1.41b0e91b97b2fp-14, -0x1.3f4740ae6efeep-14, -0x1.3ce1c478960adp-14, -0x1.3a806ec274a01p-14, -0x1.382339d6cf746p-14, -0x1.35ca20032cdd4p-14, -0x1.33751b9780dd7p-14, -0x1.312426e6ab3edp-14, -0x1.2ed73c464a891p-14, -0x1.2c8e560ecd4dp-14, -0x1.2a496e9bd7ec8p-14, -0x1.2808804bbe097p-14, -0x1.25cb858054073p-14, -0x1.2392789e62e42p-14, -0x1.215d540e18d05p-14, -0x1.1f2c123aff737p-14, -0x1.1cfead93f90afp-14, -0x1.1ad5208b7c66bp-14, -0x1.18af6597778c2p-14, -0x1.168d77317729fp-14, -0x1.146f4fd6dc188p-14, -0x1.1254ea0888d89p-14, -0x1.103e404b6880cp-14, -0x1.0e2b4d281bb1bp-14, -0x1.0c1c0b2b32976p-14, -0x1.0a1074e53c0b9p-14, -0x1.080884eae4bf6p-14, -0x1.060435d4b82ecp-14, -0x1.0403823fa7039p-14, -0x1.020664cca1d7ep-14, -0x1.000cd820e764dp-14, -0x1.fc2dadcc07efcp-15, -0x1.f848b79398d03p-15, -0x1.f46ac2fcd1c9ap-15, -0x1.f093c5752b9f5p-15, -0x1.ecc3b4728cd89p-15, -0x1.e8fa857458bp-15, -0x1.e5382e02bffa3p-15, -0x1.e17ca3af12eedp-15, -0x1.ddc7dc1441c7dp-15, -0x1.da19ccd5eb5dp-15, -0x1.d6726ba1b5374p-15, -0x1.d2d1ae2e15b75p-15, -0x1.cf378a3bb80d2p-15, -0x1.cba3f59424dcbp-15, -0x1.c816e60b332d7p-15, -0x1.c490517df5844p-15, -0x1.c1102dd355e43p-15, -0x1.bd9670fc32455p-15, -0x1.ba2310f33210fp-15, -0x1.b6b603bcd4e73p-15, -0x1.b34f3f67dc8cp-15, -0x1.afeeba0ca72b1p-15, -0x1.ac9469cdfbfd3p-15, -0x1.a94044d8bb4bfp-15, -0x1.a5f2416390fbap-15, -0x1.a2aa55afe02c2p-15, -0x1.9f687808cef27p-15, -0x1.9c2c9ec3f9c4fp-15, -0x1.98f6c041731f5p-15, -0x1.95c6d2eb4db21p-15, -0x1.929ccd36547ep-15, -0x1.8f78a5a1a4dddp-15, -0x1.8c5a52b67933fp-15, -0x1.8941cb0936c56p-15, -0x1.862f0537bfe6bp-15, -0x1.8321f7eba5508p-15, -0x1.801a99d7e4948p-15, -0x1.7d18e1bafe103p-15, -0x1.7a1cc65d43231p-15, -0x1.77263e9256f88p-15, -0x1.74354137a90f2p-15, -0x1.7149c5361e5c5p-15, -0x1.6e63c1808fca9p-15, -0x1.6b832d1517d98p-15, -0x1.68a7fefc1bd1fp-15, -0x1.65d22e48db874p-15, -0x1.6301b21932a68p-15, -0x1.60368195f7782p-15, -0x1.5d7093f247cf7p-15, -0x1.5aafe06c8bbaep-15, -0x1.57f45e4d4d5b8p-15, -0x1.553e04e8287cdp-15, -0x1.528ccb9b93747p-15, -0x1.4fe0a9d0454afp-15, -0x1.4d3996fa85e17p-15, -0x1.4a978a985935cp-15, -0x1.47fa7c3390a5ap-15, -0x1.4562635fc7004p-15, -0x1.42cf37bc0fc9ap-15, -0x1.4040f0f1d532fp-15, -0x1.3db786b560a6ap-15, -0x1.3b32f0c5a9108p-15, -0x1.38b326ec83dd5p-15, -0x1.363820fe3941p-15, -0x1.33c1d6da22bd9p-15, -0x1.31504069ee585p-15, -0x1.2ee355a22b1d6p-15, -0x1.2c7b0e8231b44p-15, -0x1.2a176313a7b72p-15, -0x1.27b84b6b72885p-15, -0x1.255dbfa872575p-15, -0x1.2307b7f4c6636p-15, -0x1.20b62c84a86dap-15, -0x1.1e69159756309p-15, -0x1.1c206b7654957p-15, -0x1.19dc2675eee2fp-15, -0x1.179c3ef4c8215p-15, -0x1.1560ad5c5b018p-15, -0x1.13296a2035255p-15, -0x1.10f66dbee5fe7p-15, -0x1.0ec7b0c10d0ddp-15, -0x1.0c9d2bb9f5885p-15, -0x1.0a76d74763e65p-15, -0x1.0854ac1138efp-15, -0x1.0636a2ca3d48ep-15, -0x1.041cb42ef278fp-15, -0x1.0206d906e2ac7p-15, -0x1.ffea1446ae1e9p-16, -0x1.fbce80c072ac3p-16, -0x1.f7bae9473f764p-16, -0x1.f3af3fbb725aap-16, -0x1.efab7612e4a6cp-16, -0x1.ebaf7e55e9843p-16, -0x1.e7bb4aa384accp-16, -0x1.e3cecd2cdbcd5p-16, -0x1.dfe9f838d6a04p-16, -0x1.dc0cbe21e71ccp-16, -0x1.d837115645fe6p-16, -0x1.d468e45935963p-16, -0x1.d0a229c0c9fabp-16, -0x1.cce2d43804054p-16, -0x1.c92ad67d23dbbp-16, -0x1.c57a23626c36dp-16, -0x1.c1d0adcde0177p-16, -0x1.be2e68b9409dp-16, -0x1.ba934731b0115p-16, -0x1.b6ff3c5869a7bp-16, -0x1.b3723b6159335p-16, -0x1.afec3794d9e8ep-16, -0x1.ac6d244d850abp-16, -0x1.a8f4f4fa61cb8p-16, -0x1.a5839d1ca13edp-16, -0x1.a21910499496p-16, -0x1.9eb54228f875ap-16, -0x1.9b582675d7f03p-16, -0x1.9801b0fe40dd8p-16, -0x1.94b1d5a2cfd71p-16, -0x1.9168885796156p-16, -0x1.8e25bd2276c85p-16, -0x1.8ae9681d3feb6p-16, -0x1.87b37d72c4ccbp-16, -0x1.8483f1624bb64p-16, -0x1.815ab83b8f6ecp-16, -0x1.7e37c662a5391p-16, -0x1.7b1b104c4c271p-16, -0x1.78048a80ac626p-16, -0x1.74f429998e53ap-16, -0x1.71e9e242b062p-16, -0x1.6ee5a93a93988p-16, -0x1.6be7735093187p-16, -0x1.68ef356731884p-16, -0x1.65fce471a62c7p-16, -0x1.6310757593bc9p-16, -0x1.6029dd8a04427p-16, -0x1.5d4911d79c43p-16, -0x1.5a6e079895b3ap-16, -0x1.5798b418859b9p-16, -0x1.54c90cb44ac97p-16, -0x1.51ff06da57525p-16, -0x1.4f3a9809f5389p-16, -0x1.4c7bb5d3f5853p-16, -0x1.49c255d9b5857p-16, -0x1.470e6dce2f2b4p-16, -0x1.445ff374607c4p-16, -0x1.41b6dca155fccp-16, -0x1.3f131f395ad4cp-16, -0x1.3c74b133195f2p-16, -0x1.39db8893e79b4p-16, -0x1.37479b739d51cp-16, -0x1.34b8dff8aca45p-16, -0x1.322f4c5b8e465p-16, -0x1.2faad6e374f89p-16, -0x1.2d2b75e94fd56p-16, -0x1.2ab11fd4b48ffp-16, -0x1.283bcb1e8e2a1p-16, -0x1.25cb6e4ea6731p-16, -0x1.235ffffd819c2p-16, -0x1.20f976d2f5eedp-16, -0x1.1e97c986d0179p-16, -0x1.1c3aeee08b16ep-16, -0x1.19e2ddb6ecd0dp-16, -0x1.178f8cf0ccee3p-16, -0x1.1540f383a1c39p-16, -0x1.12f7087525228p-16, -0x1.10b1c2d9769b6p-16, -0x1.0e7119d48afc1p-16, -0x1.0c3504992494ap-16, -0x1.09fd7a691cb71p-16, -0x1.07ca72956a33ap-16, -0x1.059be47d96466p-16, -0x1.0371c79048621p-16, -0x1.014c134a909a6p-16, -0x1.fe557e70d7024p-17, -0x1.fa1b85e8a65d8p-17, -0x1.f5ea2c4e6bc7ap-17, -0x1.f1c16110c97c4p-17, -0x1.eda113bb66da2p-17, -0x1.e98933f5b4c68p-17, -0x1.e579b18486f6fp-17, -0x1.e1727c47f8f34p-17, -0x1.dd73843d05ee5p-17, -0x1.d97cb97c0238cp-17, -0x1.d58e0c396c383p-17, -0x1.d1a76cc4b9708p-17, -0x1.cdc8cb89c8e3fp-17, -0x1.c9f2190e7e95ap-17, -0x1.c62345f57015ep-17, -0x1.c25c42fabee77p-17, -0x1.be9d00f6ac8bdp-17, -0x1.bae570db38e7ap-17, -0x1.b73583b584c8dp-17, -0x1.b38d2aacdce76p-17, -0x1.afec5702918b9p-17, -0x1.ac52fa12cebap-17, -0x1.a8c10552c9448p-17, -0x1.a5366a5279398p-17, -0x1.a1b31aba8bde9p-17, -0x1.9e37084df4545p-17, -0x1.9ac224e8ae88ep-17, -0x1.975462800a286p-17, -0x1.93edb322472c6p-17, -0x1.908e08f6b13dep-17, -0x1.8d35563d88a61p-17, -0x1.89e38d4f2fe6p-17, -0x1.8698a09d8b5adp-17, -0x1.835482b1676d9p-17, -0x1.8017262d7462cp-17, -0x1.7ce07dcab4a9ep-17, -0x1.79b07c5bb251fp-17, -0x1.768714c9ad056p-17, -0x1.73643a1634c45p-17, -0x1.7047df59dcfcbp-17, -0x1.6d31f7c5374cfp-17, -0x1.6a22769f17a4p-17, -0x1.67194f467146bp-17, -0x1.64167530a224ap-17, -0x1.6119dbe9ab0cap-17, -0x1.5e23771524ab8p-17, -0x1.5b333a6bd3da2p-17, -0x1.584919be23b8fp-17, -0x1.556508f216399p-17, -0x1.5286fc03ecbc4p-17, -0x1.4faee70632268p-17, -0x1.4cdcbe20edcf9p-17, -0x1.4a10759218611p-17, -0x1.474a01ad22ed5p-17, -0x1.448956db44784p-17, -0x1.41ce699a67233p-17, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
    }}, 
    {
      29, 0x1.f28f5c28f5c29p+2, 0x1.12492e2cad3bdp+1, 0x1.42e58bde19203p+2, -0x1.7025bf0424cf8p-15, 
      {{
        {0x1.98f5c28f5c28fp+2, 0x1.999999999999ap+2, 0x1.141c9c9927367p-13, -0x1.8a71f679236b5p-12, 0x1.a69ebb72413f2p-12, -0x1.95fdb3eedeaf4p-13}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.0c4e962fefbe7p-13, -0x1.820dbcfa7c629p-12, 0x1.a087ba06fde79p-12, -0x1.88b3655604e15p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.cf7868fd60517p-14, -0x1.59df8eea6de4dp-12, 0x1.8313df3a23f06p-12, -0x1.79fc7de5f8531p-13}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.8e126d12473eap-14, -0x1.34953ce7b7b64p-12, 0x1.66ba88fc17b7p-12, -0x1.6bb3d514166d8p-13}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.53da0bffbb0ep-14, -0x1.1212f05362397p-12, 0x1.4b73729a96089p-12, -0x1.5d4da207eecf9p-13}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.20439e415da6bp-14, -0x1.e47a4010dea29p-13, 0x1.3140d340641f8p-12, -0x1.4eef5946b8253p-13}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.e59202da981abp-15, -0x1.a9f05c3ec3073p-13, 0x1.182212f4afe91p-12, -0x1.408ef193fb999p-13}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.95d330683cdp-15, -0x1.745104817e888p-13, 0x1.00175a6ffd0a9p-12, -0x1.322f1b5c6fb4bp-13}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.505494c1cfef9p-15, -0x1.4365052efd677p-13, 0x1.d2413d921c86dp-13, -0x1.23cf1e299deacp-13}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.142b09b26e3afp-15, -0x1.16f52b69a69dap-13, 0x1.a67bc5d8ab3d5p-13, -0x1.156f2b68ba0ecp-13}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.c0ece674555fcp-16, -0x1.dd94883a2dc69p-14, 0x1.7cde4c228f54fp-13, -0x1.070f35db600ecp-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.68c37f1c1d109p-16, -0x1.955a3887328bep-14, 0x1.5568d0db40ebbp-13, -0x1.f15e821bea775p-14}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.1e45ce3032794p-16, -0x1.54cd01a7137b5p-14, 0x1.301b53e5f5bc9p-13, -0x1.d49e981a75632p-14}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.bfebb1dd02011p-17, -0x1.1b7e7d88a47eep-14, 0x1.0cf5d54a6022p-13, -0x1.b7deae33b9f4ap-14}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.58d771fdc10d1p-17, -0x1.d2008c344f918p-15, 0x1.d7f0aa0cfdf95p-14, -0x1.9b1ec4489fbcap-14}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.04ab38e62acb5p-17, -0x1.79c7ea9414ee7p-15, 0x1.9a45a6354c6a1p-14, -0x1.7e5eda545047p-14}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.81df171b41c4cp-18, -0x1.2d764a0d3f2b1p-15, 0x1.60ea9f0f0d2b5p-14, -0x1.619ef089454adp-14}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.16b22f7ebbd5cp-18, -0x1.d85dbcf9defd3p-16, 0x1.2bdf94940f938p-14, -0x1.44df06222b15ep-14}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.8722d069d5d27p-19, -0x1.6a29b77d1c9cep-16, 0x1.f6490db778a0dp-15, -0x1.281f1e0251695p-14}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.092d80474fe7p-19, -0x1.0e96eb67d8d9cp-16, 0x1.9d72eb1d2d01ap-15, -0x1.0b5f2d614cf49p-14}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.58d21f61f75cp-20, -0x1.87d7809bc8289p-17, 0x1.4d3cc3e662b87p-15, -0x1.dd3eb8fb75c6ap-15}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a9ab0c454bp-21, -0x1.10dd3ceb02eacp-17, 0x1.05a68e8d77732p-15, -0x1.a3be2a4b615c3p-15}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.ebc4111193301p-22, -0x1.6997ae2beead9p-18, 0x1.8d60dd3784e4ep-16, -0x1.6a410fc3a4769p-15}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.0446bf66debp-22, -0x1.c0c0b7805dd1dp-19, 0x1.20b3bee339f4dp-16, -0x1.30b711840762dp-15}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.e85e593e7e003p-24, -0x1.fcb6bcaa9e208p-20, 0x1.8a934010d5e27p-17, -0x1.eeba5bf694744p-16}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.7fa91860d88p-25, -0x1.f8d78f4c848dbp-21, 0x1.ec5048f41f802p-18, -0x1.7a9f869d6d9c8p-16}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.c461aaf6c4002p-27, -0x1.93b8ad0c1588dp-22, 0x1.0923c4fc10eb7p-18, -0x1.0bc0b4f633e43p-16}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.350bb47960001p-29, -0x1.b0139dd04d7ebp-24, 0x1.a1f3c807c725ep-20, -0x1.12b1c59ce7136p-17}, 
        {0x1.fp+2, 0x1.f28f5c28f5c29p+2, 0x1.81df1715p-34, -0x1.b0f446ef6eeap-28, 0x1.61469ec7943ffp-22, -0x1.ef38d9f7eccf6p-17}, 
      }}, 
      0x1.6821054e1d013p-12, -0x1.7be9928e49833p-9
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.42b7476061aebp-2, -0x1.40da6ccccb495p-2, -0x1.41017f01f6f9p-2, -0x1.430a4560d7e1dp-2, -0x1.46299eb1981bp-2, -0x1.49872f7049094p-2, -0x1.4c77aa7f5cdd1p-2, -0x1.4e8b32d304682p-2, -0x1.4f88dd0cf76e4p-2, -0x1.4f6374a9df065p-2, -0x1.4e2d3596dc245p-2, -0x1.4c0cda30403b4p-2, -0x1.4934c1ee86d12p-2, -0x1.45dc3de8e801ep-2, -0x1.423ac30d3e484p-2, -0x1.3e84a9cdec494p-2, -0x1.3ae922c133ad9p-2, -0x1.379112be76de1p-2, -0x1.349e98435ea17p-2, -0x1.322d03e98e66cp-2, -0x1.3051261441ffp-2, -0x1.2f19c92e272c6p-2, -0x1.2e904dc54f4abp-2, -0x1.2eb951de37dd2p-2, -0x1.2f955b9645f27p-2, -0x1.31217cc446204p-2, -0x1.3357ec28cfc64p-2, -0x1.363092aa87142p-2, -0x1.39a189db0e653p-2, -0x1.3d9f90b0644c9p-2, -0x1.421e6e54d1986p-2, -0x1.47114926a50aap-2, -0x1.4c6af28330f4bp-2, -0x1.521e2413eb383p-2, -0x1.581db40c5a1dcp-2, -0x1.5e5cbedf1a822p-2, -0x1.64cec996a3bfbp-2, -0x1.6b67daf8c73bdp-2, -0x1.721c8fc10c75fp-2, -0x1.78e22a673bdbp-2, -0x1.7fae9818d8ce4p-2, -0x1.86787adf283f1p-2, -0x1.8d372c1af2c47p-2, -0x1.93e2b5c9b8121p-2, -0x1.9a73d49da5b4dp-2, -0x1.a0e3f5f5cbc72p-2, -0x1.a72d3031d8f96p-2, -0x1.ad4a36430aab7p-2, -0x1.b3365348ae467p-2, -0x1.b8ed686d23d57p-2, -0x1.be6be27ac89c7p-2, -0x1.c3aeae4f4fbabp-2, -0x1.c8b32c7d84d59p-2, -0x1.cd772d114fa25p-2, -0x1.d1f8eac176dddp-2, -0x1.d637033e6fd9fp-2, -0x1.da306dbb45b27p-2, -0x1.dde4714b88fd9p-2, -0x1.e1529d94fa96fp-2, -0x1.e47ac4b8bf459p-2, -0x1.e75cf816fcf76p-2, -0x1.e9f9829c2ab37p-2, -0x1.ec50e3ce4334bp-2, -0x1.ee63c9f3b08b6p-2, -0x1.f0330cae17afep-2, -0x1.f1bfa7baa7a8dp-2, -0x1.f30ab78f2bc27p-2, -0x1.f415744c4378ap-2, -0x1.f4e1302ea0b9ap-2, -0x1.f56f5362e908bp-2, -0x1.f5c1598c43cc7p-2, -0x1.f5d8cdb6d8528p-2, -0x1.f5b749f2e33ecp-2, -0x1.f55e70f0ce708p-2, -0x1.f4cfee94dbfaep-2, -0x1.f40d74335755cp-2, -0x1.f318b76c442a8p-2, -0x1.f1f36fa6892b9p-2, -0x1.f09f557019f9bp-2, -0x1.ef1e2005c44e4p-2, -0x1.ed71858ec2353p-2, -0x1.eb9b38d1d1c99p-2, -0x1.e99ce8ae3aa31p-2, -0x1.e7783f3fc4f9ep-2, -0x1.e52ee11e36053p-2, -0x1.e2c26c65fd442p-2, -0x1.e034780b2b5d5p-2, -0x1.dd86948e9aa49p-2, -0x1.daba495ac7651p-2, -0x1.d7d1166f9033cp-2, -0x1.d4cc72783b025p-2, -0x1.d1adcbd3db7f8p-2, -0x1.ce7687cecde73p-2, -0x1.cb280249c6c33p-2, -0x1.c7c38e0dac067p-2, -0x1.c44a748821001p-2, -0x1.c0bdf5d56ac08p-2, -0x1.bd1f48f44f1f6p-2, -0x1.b96f9aab771b6p-2, -0x1.b5b00fa535f49p-2, -0x1.b1e1c2814bf96p-2, -0x1.ae05c548d678ap-2, -0x1.aa1d20a105bdap-2, -0x1.a628d4a2f7701p-2, -0x1.a229d8591b4f8p-2, -0x1.9e211a5cd7ac8p-2, -0x1.9a0f80bd97724p-2, -0x1.95f5e97dedf61p-2, -0x1.91d52a40d5935p-2, -0x1.8dae1151ecb47p-2, -0x1.898164379c1a5p-2, -0x1.854fe1954827p-2, -0x1.811a4135474bp-2, -0x1.7ce132ea1112cp-2, -0x1.78a55f75714d9p-2, -0x1.7467696ccab26p-2, -0x1.7027ec9555931p-2, -0x1.6be77e15fa8dcp-2, -0x1.67a6ad222686p-2, -0x1.636602c735eadp-2, -0x1.5f26023ac5a57p-2, -0x1.5ae72928c6e72p-2, -0x1.56a9efad92b69p-2, -0x1.526ec84e95bb3p-2, -0x1.4e36211315128p-2, -0x1.4a00628273b32p-2, -0x1.45cdf0a213e04p-2, -0x1.419f2a577bb67p-2, -0x1.3d746b259a9e8p-2, -0x1.394e08b81578cp-2, -0x1.352c55cb9db22p-2, -0x1.310fa08961f78p-2, -0x1.2cf833310ff59p-2, -0x1.28e6545f1b6f9p-2, -0x1.24da4737e3f0cp-2, -0x1.20d44b162c1c2p-2, -0x1.1cd49c1d48a6ep-2, -0x1.18db7311f9323p-2, -0x1.14e906238add4p-2, -0x1.10fd870d8ce57p-2, -0x1.0d19268677384p-2, -0x1.093c114bbd535p-2, -0x1.056671a861a7dp-2, -0x1.01986f37f4949p-2, -0x1.fba45e98f975fp-3, -0x1.f427a992a93d1p-3, -0x1.ecbb0037fa475p-3, -0x1.e55e9e97f028bp-3, -0x1.de12bd6d40bb1p-3, -0x1.d6d79089f9effp-3, -0x1.cfad480c06dp-3, -0x1.c894104d3b748p-3, -0x1.c18c118077267p-3, -0x1.ba95710eb846ep-3, -0x1.b3b05036ade7p-3, -0x1.acdccd8b8189p-3, -0x1.a61b03ea9b7abp-3, -0x1.9f6b0b74370c2p-3, -0x1.98ccf985ae691p-3, -0x1.9240e05c83e34p-3, -0x1.8bc6cf54bd18cp-3, -0x1.855ed3e42b6bap-3, -0x1.7f08f849afa81p-3, -0x1.78c544b61a055p-3, -0x1.7293bf085323dp-3, -0x1.6c746acb050a1p-3, -0x1.666749866f098p-3, -0x1.606c5aae29a89p-3, -0x1.5a839b4804b0cp-3, -0x1.54ad072f30322p-3, -0x1.4ee897ea49315p-3, -0x1.4936463bc3cddp-3, -0x1.43960775bb0e5p-3, -0x1.3e07d07dbe3c7p-3, -0x1.388b9532649d7p-3, -0x1.332145fd5c3e6p-3, -0x1.2dc8d46b8d195p-3, -0x1.28822e86234dep-3, -0x1.234d426611451p-3, -0x1.1e29fbc546fcap-3, -0x1.1918471699fbbp-3, -0x1.14180d2478be2p-3, -0x1.0f2936e1b9134p-3, -0x1.0a4bad355b6a7p-3, -0x1.057f564420e8p-3, -0x1.00c41830ff881p-3, -0x1.f833b016fc126p-4, -0x1.ef00f44ddd20fp-4, -0x1.e5efc311ef0b9p-4, -0x1.dcffe26c5b843p-4, -0x1.d43115c066997p-4, -0x1.cb831f47af50dp-4, -0x1.c2f5c006a9713p-4, -0x1.ba88b8198f7b2p-4, -0x1.b23bc5a282c32p-4, -0x1.aa0ea61d29c91p-4, -0x1.a201166683f89p-4, -0x1.9a12d195215f1p-4, -0x1.92439174f906p-4, -0x1.8a9310f157a4ap-4, -0x1.8301079d1e18dp-4, -0x1.7b8d2dd117465p-4, -0x1.74373afff2ce8p-4, -0x1.6cfee59af2968p-4, -0x1.65e3e3ac94a13p-4, -0x1.5ee5eb2f1c5f8p-4, -0x1.5804b0e3a2532p-4, -0x1.513fe92bb0b47p-4, -0x1.4a9748402a054p-4, -0x1.440a81b10f472p-4, -0x1.3d994925a6055p-4, -0x1.374351d654359p-4, -0x1.31084f2ea1cbfp-4, -0x1.2ae7f2ace0a04p-4, -0x1.24e1f078aa10fp-4, -0x1.1ef5f88e8324p-4, -0x1.1923c047ff4e7p-4, -0x1.136af7ebd9bdbp-4, -0x1.0dcb521573d78p-4, -0x1.084481ae5720ap-4, -0x1.02d6389f3922fp-4, -0x1.fb0052773ffe6p-5, -0x1.f0840c15bc3f2p-5, -0x1.e63703d9bdaap-5, -0x1.dc189e94ed6afp-5, -0x1.d22842dfece9cp-5, -0x1.c865576a5ad89p-5, -0x1.becf4189aff59p-5, -0x1.b56569eaa811p-5, -0x1.ac273a2b3b4b5p-5, -0x1.a3141559b1f2ap-5, -0x1.9a2b69a32901fp-5, -0x1.916c9f9bf38bp-5, -0x1.88d7212c7ed06p-5, -0x1.806a5a199c80ep-5, -0x1.7825b6c0ee63fp-5, -0x1.7008a407aecd9p-5, -0x1.68128f70e33f4p-5, -0x1.6042e86c32554p-5, -0x1.58991e7c79723p-5, -0x1.5114a1990abecp-5, -0x1.49b4e43801425p-5, -0x1.427959c9cf4b6p-5, -0x1.3b6174d00c3ccp-5, -0x1.346caa879f8a6p-5, -0x1.2d9a70cf06ec7p-5, -0x1.26ea3f2aa5ec9p-5, -0x1.205b8d2c9a4bap-5, -0x1.19edd3c6c722ap-5, -0x1.13a08f3a5010fp-5, -0x1.0d73399be239ap-5, -0x1.076550b50822ap-5, -0x1.017651895a614p-5, -0x1.f74b79abcb784p-6, -0x1.ebe6254e924c8p-6, -0x1.e0bbaa5203f1ep-6, -0x1.d5cb0e8cb634cp-6, -0x1.cb135ae1611e1p-6, -0x1.c09399b7950b1p-6, -0x1.b64ade3980c8ap-6, -0x1.ac3831aa0c824p-6, -0x1.a25aac811506p-6, -0x1.98b1629102ccbp-6, -0x1.8f3b6d3d64529p-6, -0x1.85f7e97d30e23p-6, -0x1.7ce5f2917b8cfp-6, -0x1.7404ac98ba55dp-6, -0x1.6b5338ab114fdp-6, -0x1.62d0be424b5f3p-6, -0x1.5a7c6357aeae4p-6, -0x1.525555aa8e396p-6, -0x1.4a5ac328cf905p-6, -0x1.428bdba28e09ap-6, -0x1.3ae7d3ec0720dp-6, -0x1.336de334734e5p-6, -0x1.2c1d4315db44ep-6, -0x1.24f52fab4767dp-6, -0x1.1df4e6645b6bep-6, -0x1.171ba6687a3c6p-6, -0x1.1068b4500ee5bp-6, -0x1.09db5494c5b5cp-6, -0x1.0372d0e56c59cp-6, -0x1.fa5ce8ec6df0cp-7, -0x1.ee1b21273f332p-7, -0x1.e21eebe4b185dp-7, -0x1.d666f1a7523d6p-7, -0x1.caf1e01026daap-7, -0x1.bfbe67d7974c5p-7, -0x1.b4cb3c355f5a1p-7, -0x1.aa1715da0d2cap-7, -0x1.9fa0b2102d95ep-7, -0x1.9566d47f105c9p-7, -0x1.8b684592cc21bp-7, -0x1.81a3d8b6a53d2p-7, -0x1.7818670779c66p-7, -0x1.6ec4cba4bfbfdp-7, -0x1.65a7e85a9f5c1p-7, -0x1.5cc0a0c36ecf3p-7, -0x1.540ddab155046p-7, -0x1.4b8e818bd4f6cp-7, -0x1.43417cd6bf196p-7, -0x1.3b25bef4299acp-7, -0x1.333a3d19e5a79p-7, -0x1.2b7df239f35ep-7, -0x1.23efec0c1b8a5p-7, -0x1.1c8f29ae4dbadp-7, -0x1.155ac51427699p-7, -0x1.0e51c8e62510ap-7, -0x1.0773562dd7f3ap-7, -0x1.00be874dadb94p-7, -0x1.f464dc6d1e618p-8, -0x1.e79c663d0393dp-8, -0x1.db21e57ff4cbap-8, -0x1.cef3961728ff7p-8, -0x1.c30fc491743e7p-8, -0x1.b774c6903beb3p-8, -0x1.ac20fca8c8a83p-8, -0x1.a112e17799a4cp-8, -0x1.9648f8f9a50c1p-8, -0x1.8bc1d940e2738p-8, -0x1.817c1b00b5d34p-8, -0x1.777664c05578bp-8, -0x1.6daf5d81117cfp-8, -0x1.642599f44ed91p-8, -0x1.5ad7a529aaccfp-8, -0x1.51c3fe3dc2f59p-8, -0x1.48e9275303b51p-8, -0x1.4045b5ca55063p-8, -0x1.37d86050fc1a5p-8, -0x1.2fa004d50805p-8, -0x1.279b93e7a11f5p-8, -0x1.1fca09d938c8p-8, -0x1.182a6048ce9cp-8, -0x1.10bb88b8153cp-8, -0x1.097c6e43a8279p-8, -0x1.026be907ebc36p-8, -0x1.f7118e3298e49p-9, -0x1.e9a38493fe92ep-9, -0x1.dc8b496fd88b8p-9, -0x1.cfc6b53579f32p-9, -0x1.c353e343abab1p-9, -0x1.b73130de2c69cp-9, -0x1.ab5d0d4139aa2p-9, -0x1.9fd5e1c336e71p-9, -0x1.9499a9d835f7cp-9, -0x1.89a68d5fe4913p-9, -0x1.7efa9ebc1464ap-9, -0x1.749431d1e2accp-9, -0x1.6a71d689d2394p-9, -0x1.609221c2e500ap-9, -0x1.56f3b7bf28562p-9, -0x1.4d95025c6a29cp-9, -0x1.44745a35be884p-9, -0x1.3b9009bad9972p-9, -0x1.32e666fee2afdp-9, -0x1.2a758f454fafbp-9, -0x1.223c03ffa1659p-9, -0x1.1a3816a542169p-9, -0x1.126854dfc9cf7p-9, -0x1.0acb9a8a4b7e2p-9, -0x1.0361349325beap-9, -0x1.f851a4c6cdf35p-10, -0x1.ea441a04893c6p-10, -0x1.dc982627dd113p-10, -0x1.cf4b09dcec5c1p-10, -0x1.c2591c2cf3d06p-10, -0x1.b5be4c7660836p-10, -0x1.a976611f152d3p-10, -0x1.9d7e36f8b79f5p-10, -0x1.91d3acc48c3ccp-10, -0x1.8675d4e6868eap-10, -0x1.7b63c1610fe91p-10, -0x1.709c1ea878a55p-10, -0x1.661d7f0ab778cp-10, -0x1.5be6d706592c5p-10, -0x1.51f774ffa85e6p-10, -0x1.484e36af8b623p-10, -0x1.3ee9651618e4ep-10, -0x1.35c6788f698dp-10, -0x1.2ce2d2494d427p-10, -0x1.243b510e648a4p-10, -0x1.1bcce6b7e1641p-10, -0x1.13959a0dd4593p-10, -0x1.0b955ada85312p-10, -0x1.03ccbe9bd12d7p-10, -0x1.f8750f74a2a5bp-11, -0x1.e9b85914f8632p-11, -0x1.db5ee27b40993p-11, -0x1.cd65f0bf1ef7dp-11, -0x1.bfcc1e4c22834p-11, -0x1.b2905b4ec6c5fp-11, -0x1.a5b1e2da16abep-11, -0x1.992f6eea1a08fp-11, -0x1.8d073680fa65fp-11, -0x1.81378c3ae4023p-11, -0x1.75bd384e6ee0fp-11, -0x1.6a933211d6e29p-11, -0x1.5fb61e4d442abp-11, -0x1.55253742af843p-11, -0x1.4add57ba48a0cp-11, -0x1.40d85b9d49fe2p-11, -0x1.371347a64de5cp-11, -0x1.2d8ef3fb1de5bp-11, -0x1.244bae20d5404p-11, -0x1.1b46f552ee013p-11, -0x1.1280a31feb90ep-11, -0x1.09f9015da8fdbp-11, -0x1.01b20b6ac746p-11, -0x1.f358cd2a5ee57p-12, -0x1.e3cf55caeed8cp-12, -0x1.d4c21b6229ea7p-12, -0x1.c62233218c895p-12, -0x1.b7e1e32235745p-12, -0x1.a9feed1b211d7p-12, -0x1.9c7400dd37e14p-12, -0x1.8f399f3ac08c6p-12, -0x1.82539846d297fp-12, -0x1.75c95fc12ff83p-12, -0x1.69998cc830794p-12, -0x1.5dbd5392c462bp-12, -0x1.52316c158cfddp-12, -0x1.46f91da3ac284p-12, -0x1.3c1af083bafffp-12, -0x1.31990ed30d4e5p-12, -0x1.276e2e31f73c6p-12, -0x1.1d941289cdec1p-12, -0x1.1406b887daf7dp-12, -0x1.0abb848479861p-12, -0x1.01aa3f0fc24e5p-12, -0x1.f1a4d2f3d9f64p-13, -0x1.e05b63e289e62p-13, -0x1.cf7b62bc6e851p-13, -0x1.bf1a12b29a382p-13, -0x1.af36be29b1f69p-13, -0x1.9fc41cba8554bp-13, -0x1.90bc2e6e3b0dcp-13, -0x1.82239446d863dp-13, -0x1.73fe75121bf62p-13, -0x1.664c7a521d194p-13, -0x1.5908ca55f1cb9p-13, -0x1.4c2ab8bfcbfd1p-13, -0x1.3faa56138fd06p-13, -0x1.338e27590ff31p-13, -0x1.27dcd3c834ae8p-13, -0x1.1c7eae69f089ap-13, -0x1.11659a005f7e7p-13, -0x1.0689c84450809p-13, -0x1.f7e4522876fdep-14, -0x1.e364378cbdafcp-14, -0x1.cf8556982816cp-14, -0x1.bc3272d87255bp-14, -0x1.a9726afd793c9p-14, -0x1.974cda1be696dp-14, -0x1.85bf1672a109ep-14, -0x1.74b442ee47938p-14, -0x1.64203293b1cdap-14, -0x1.540338b9dc617p-14, -0x1.44611e148c3cdp-14, -0x1.353670fd5df36p-14, -0x1.2691f10b8bc84p-14, -0x1.188e31ab55046p-14, -0x1.0b0254dad7681p-14, -0x1.fb88565983cep-15, -0x1.e190ee1d2c8c6p-15, -0x1.c8616f9b9865ap-15, -0x1.b01695e707742p-15, -0x1.9882c72f58ce4p-15, -0x1.819e6f866334ep-15, -0x1.6b86dff76c12ap-15, -0x1.56412a87f448p-15, -0x1.41ad861757e9cp-15, -0x1.2db00f0081fa8p-15, -0x1.1a3ee61ba2c05p-15, -0x1.0759aec2cd8b8p-15, -0x1.ea187f48daf07p-16, -0x1.c6b3a8da9c289p-16, -0x1.a478b686ad85fp-16, -0x1.839160204c144p-16, -0x1.645572ab447a4p-16, -0x1.4649fbef4f0ffp-16, -0x1.28ed489fd4748p-16, -0x1.0c5f783c523abp-16, -0x1.e1bc2d3c86719p-17, -0x1.ac9c9dd57535dp-17, -0x1.7924d379654bdp-17, -0x1.478c9bd0e69eep-17, -0x1.182e2c7083fd9p-17, -0x1.d56a7cf587834p-18, -0x1.7d8733581fdf1p-18, -0x1.2880fbd65c136p-18, -0x1.acb1aed347012p-19, -0x1.0e1f224097283p-19, -0x1.d61d3baef1a82p-21, 0x1.ce807a37704e8p-23, 0x1.5302e65b8f9aep-20, 0x1.30e961f6a653fp-19, 0x1.b2344cf89aca3p-19, 0x1.1622ee85db49cp-18, 0x1.50c3c6640f207p-18, 0x1.881e3b10d69e7p-18, 0x1.bd236a29d86f5p-18, 0x1.f0920a12371e5p-18, 0x1.10d8923c92cc6p-17, 0x1.28695e0359d3fp-17, 0x1.3eaab78dcbbf7p-17, 0x1.539208a84c106p-17, 0x1.677399c4841acp-17, 0x1.7a7bf6ed7d9b4p-17, 0x1.8c9a59f175773p-17, 0x1.9dbdcd897bc17p-17, 0x1.adfb1dc232fbp-17, 0x1.bd54b444eec16p-17, 0x1.cbaf9c13a5d26p-17, 0x1.d91a0f4d17792p-17, 0x1.e5c2d9086bb46p-17, 0x1.f1ab82728389cp-17, 0x1.fc966d106e12bp-17, 0x1.037b770dc4b08p-16, 0x1.082a5fdab0e9cp-16, 0x1.0c6287deb64f5p-16, 0x1.102dd9206acddp-16, 0x1.13b7a01846b9ap-16, 0x1.16f0bfe9e8532p-16, 0x1.19e7319f23fbp-16, 0x1.1c77307fb978ap-16, 0x1.1ea20788055c2p-16, 0x1.208820dca5f4dp-16, 0x1.222b5bf430f88p-16, 0x1.238841b91bde6p-16, 0x1.249e08128bf2ap-16, 0x1.256caeccd36fp-16, 0x1.25f760309375bp-16, 0x1.263a26eee1728p-16, 0x1.2638a9496066dp-16, 0x1.25fccb8beb7ep-16, 0x1.258b20a6c366ap-16, 0x1.24d51787cab5fp-16, 0x1.23e8c4c9b275dp-16, 0x1.22c2366eab2bap-16, 0x1.216a5bf0bea3cp-16, 0x1.1fe511e82c6f3p-16, 0x1.1e283acb7782dp-16, 0x1.1c2722a1f94ep-16, 0x1.19f2fcecfb2c4p-16, 0x1.17a11e9228634p-16, 0x1.15265a0a7c7d9p-16, 0x1.1277bb581376ep-16, 0x1.0f9b8636ca358p-16, 0x1.0c9e8aa7cf3c5p-16, 0x1.097c2fece94p-16, 0x1.0634124381ca6p-16, 0x1.02c9b43cc8ba3p-16, 0x1.fe71090317982p-17, 0x1.f70b0d289cfd1p-17, 0x1.ef6325485f28p-17, 0x1.e779c464f4418p-17, 0x1.df67225e44ee1p-17, 0x1.d70934913eb38p-17, 0x1.ce7236653d9c3p-17, 0x1.c5ac975690909p-17, 0x1.bcb0e8daf683fp-17, 0x1.b384a6649c6e2p-17, 0x1.aa2a8acc20429p-17, 0x1.a0a4b0b31de78p-17, 0x1.96f67e9b923dep-17, 0x1.8d22e416b526dp-17, 0x1.831e75a7e47d2p-17, 0x1.78e77a2fa2b35p-17, 0x1.6ea3f1c5eb2d3p-17, 0x1.643651f45fe22p-17, 0x1.59a1605dfccb3p-17, 0x1.4ef9faa7bc6fep-17, 0x1.443943b056f0cp-17, 0x1.3955d256db71dp-17, 0x1.2e5b17d5e35e6p-17, 0x1.234c9e6eb959ap-17, 0x1.182780c9000fap-17, 0x1.0cf034c66e6f3p-17, 0x1.01a4ae4490beap-17, 0x1.ec8e84d842bcep-18, 0x1.d5b6d79ee2c6bp-18, 0x1.bec397158a15ep-18, 0x1.a7b4bb6bef68dp-18, 0x1.9090319853a3ap-18, 0x1.7959ba04dab4cp-18, 0x1.620ec01997081p-18, 0x1.4ab8346b52b78p-18, 0x1.3355780ce1f3ep-18, 0x1.1be7940c46e74p-18, 0x1.047395db146b8p-18, 0x1.d9dc8576ec1eep-19, 0x1.ab0cff216d3a9p-19, 0x1.7c1d8f704e597p-19, 0x1.4d25b00894e85p-19, 0x1.1e3ac7c86d619p-19, 0x1.deb17b7289678p-20, 0x1.80ed86d945fa2p-20, 0x1.23a3afd325a3bp-20, 0x1.8cc41313ed67cp-21, 0x1.a5712c5471296p-22, 0x1.9477f8da3bafcp-25, -0x1.3f8709c794775p-22, -0x1.581e9e8e34bb1p-21, -0x1.07e127e8a0e3fp-20, -0x1.634e4aaba9003p-20, -0x1.be789ecf737cbp-20, -0x1.0c916d5224a3fp-19, -0x1.39af5a0bb3033p-19, -0x1.668ef0f62eeebp-19, -0x1.933225751f601p-19, -0x1.bf9029ba6e4ccp-19, -0x1.eba9fb574f14ap-19, -0x1.0bbcae5e9378cp-18, -0x1.218809f512bc7p-18, -0x1.372a6f4c5607ep-18, -0x1.4ca540f67d97bp-18, -0x1.61f612fd6a006p-18, -0x1.771c716c3f1c3p-18, -0x1.8c166d6c0c341p-18, -0x1.a0e5abbd3aca4p-18, -0x1.b588535d6e4d6p-18, -0x1.c9fd3ba4ca742p-18, -0x1.de4a02a98d70cp-18, -0x1.f256f3dd81eb2p-18, -0x1.031dc3dfd38d4p-17, -0x1.0cf3f644e855p-17, -0x1.16b44760a6fbfp-17, -0x1.20586ac6a653fp-17, -0x1.29e385da15cebp-17, -0x1.3352b4076fb32p-17, -0x1.3ca516ec169cbp-17, -0x1.45de5da288c41p-17, -0x1.4efcdcb6b7c8p-17, -0x1.580166f62dbe7p-17, -0x1.60e0330738954p-17, -0x1.69a37f77375d9p-17, -0x1.724e956a91b8p-17, -0x1.7adb0ee2c718fp-17, -0x1.8349006491f81p-17, -0x1.8b99fb9934565p-17, -0x1.93cc62672148bp-17, -0x1.9bdfd2da919b1p-17, -0x1.a3d53a0c6e16bp-17, -0x1.aba8e1fe5a96ep-17, -0x1.b35efafc4b1b8p-17, -0x1.baf50fb1c6408p-17, -0x1.c26d6fc24da62p-17, -0x1.c9c416810c055p-17, -0x1.d0fdef8fcb62bp-17, -0x1.d81563a41b43dp-17, -0x1.df0badda09901p-17, -0x1.e5e331bdccd94p-17, -0x1.ec99c34797446p-17, -0x1.f32f19d91fd84p-17, -0x1.f9a72fa660466p-17, -0x1.fffc1801d8d36p-17, -0x1.03164c5daa534p-16, -0x1.0621fd3b70396p-16, -0x1.091a9dc08463dp-16, -0x1.0c03d6f60dbc1p-16, -0x1.0edd42a3b5e69p-16, -0x1.11a4527aa197p-16, -0x1.145c274b607ebp-16, -0x1.170320a9b4934p-16, -0x1.1999d031d9fe1p-16, -0x1.1c2114fdeb79ep-16, -0x1.1e9513452ea42p-16, -0x1.20fb46fe40462p-16, -0x1.23523e4b1bdcep-16, -0x1.259474738126p-16, -0x1.27c8ef2485da4p-16, -0x1.29eceefc2ac9bp-16, -0x1.2c038f63207c9p-16, -0x1.2e07c62d4905bp-16, -0x1.2ffa726e59416p-16, -0x1.31da66f5bdddp-16, -0x1.33ad100a2359ep-16, -0x1.356ffcdc01ef8p-16, -0x1.3722d2469bc9p-16, -0x1.38c58d63cbaf9p-16, -0x1.3a597e301faacp-16, -0x1.3bdbe0123323ep-16, -0x1.3d4e4a71a467fp-16, -0x1.3eb2f110691efp-16, -0x1.4006f641cd5e3p-16, -0x1.414c302a15c7ap-16, -0x1.42810ee45e466p-16, -0x1.43a6d9848c10bp-16, -0x1.44bd7c4946bdep-16, -0x1.45c5f51ea83f2p-16, -0x1.46be404f05fd7p-16, -0x1.47a6a02240938p-16, -0x1.4880158101d42p-16, -0x1.494be0fd58d31p-16, -0x1.4a08db61a9427p-16, -0x1.4ab7c06523b67p-16, -0x1.4b575a6b0c8f2p-16, -0x1.4be79b1ac42a2p-16, -0x1.4c6b02f30ad8ap-16, -0x1.4cdf8ad8a22a6p-16, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.20267c777574fp-1, 0x1.202bd04d20cf2p-1, 0x1.2034cbe01b439p-1, 0x1.20415d67b099bp-1, 0x1.2051543d6902ep-1, 0x1.2064717e73b37p-1, 0x1.207a782b9f15p-1, 0x1.209338d50183ep-1, 0x1.20ae981fd34adp-1, 0x1.20cc90e4d07c1p-1, 0x1.20ed3315bc154p-1, 0x1.2110a08e41d8p-1, 0x1.213708bd7a7fep-1, 0x1.2160a3d7a34acp-1, 0x1.218dae09cc33cp-1, 0x1.21be62ff028ddp-1, 0x1.21f2f9e6fa55ap-1, 0x1.222ba2176f385p-1, 0x1.2268805174ddp-1, 0x1.22a9aca8f251bp-1, 0x1.22ef310548b1dp-1, 0x1.2339082db2738p-1, 0x1.23871d5175a0cp-1, 0x1.23d94bfb050b6p-1, 0x1.242f605d2a911p-1, 0x1.248917ea0e8dep-1, 0x1.24e6222511c72p-1, 0x1.254621a1d205ap-1, 0x1.25a8ad243a8ccp-1, 0x1.260d50d70a5abp-1, 0x1.26738f8fbb2adp-1, 0x1.26dae41821addp-1, 0x1.2742c277682b8p-1, 0x1.27aa99353b7bep-1, 0x1.2811d2930944ep-1, 0x1.2877d5b81b08ap-1, 0x1.28dc07ce2a072p-1, 0x1.293dcd0caedep-1, 0x1.299c89b1ce264p-1, 0x1.29f7a2e833e58p-1, 0x1.2a4e7f999b323p-1, 0x1.2aa0892e1369cp-1, 0x1.2aed2c384f46cp-1, 0x1.2b33d90f8828ep-1, 0x1.2b7404579d587p-1, 0x1.2bad27783c36bp-1, 0x1.2bdec103ef3e9p-1, 0x1.2c085510018b2p-1, 0x1.2c296d7e28914p-1, 0x1.2c419a38eebb9p-1, 0x1.2c507163d3e22p-1, 0x1.2c558f8015f2ep-1, 0x1.2c5097870ea03p-1, 0x1.2c4132fb0b716p-1, 0x1.2c2711ef77ee9p-1, 0x1.2c01eb092ec5dp-1, 0x1.2bd17b77b414fp-1, 0x1.2b9586e813fccp-1, 0x1.2b4dd772159fep-1, 0x1.2afa3d8064306p-1, 0x1.2a9a8fb447f85p-1, 0x1.2a2eaac57aca2p-1, 0x1.29b6715e9c71ap-1, 0x1.2931cbf6c089p-1, 0x1.28a0a8a87f775p-1, 0x1.2802fb06f9a5ap-1, 0x1.2758bbf11f61dp-1, 0x1.26a1e9639b545p-1, 0x1.25de8649a88acp-1, 0x1.250e9a4d19255p-1, 0x1.243231a5d0b6fp-1, 0x1.23495ce8e98bcp-1, 0x1.225430d7b7a1dp-1, 0x1.2152c62ed89a9p-1, 0x1.204539757a6e4p-1, 0x1.1f2baaccfb9f6p-1, 0x1.1e063dc10703bp-1, 0x1.1cd5191846679p-1, 0x1.1b9866a5c86a5p-1, 0x1.1a50531b2a103p-1, 0x1.18fd0ddb9c03cp-1, 0x1.179ec8cfd2b22p-1, 0x1.1635b83aeb5fcp-1, 0x1.14c2129058aecp-1, 0x1.1344104ada1b1p-1, 0x1.11bbebc489a43p-1, 0x1.1029e110047a6p-1, 0x1.0e8e2dd2b42ebp-1, 0x1.0ce911203c941p-1, 0x1.0b3acb570d373p-1, 0x1.09839dfe1b7cbp-1, 0x1.07c3cba3c3a25p-1, 0x1.05fb97bdd14d8p-1, 0x1.042b468aa9eddp-1, 0x1.02531cf39e74p-1, 0x1.007360705a4p-1, 0x1.fd18add6defa1p-2, 0x1.f93c8d4ffe55ap-2, 0x1.f552ec50e5dc3p-2, 0x1.f15c582c95457p-2, 0x1.ed595e55e957bp-2, 0x1.e94a8c335a191p-2, 0x1.e5306ef4c0da1p-2, 0x1.e10b936b11de7p-2, 0x1.dcdc85e207717p-2, 0x1.d8a3d1fbafe19p-2, 0x1.d462028dcfe1p-2, 0x1.d017a1811473ap-2, 0x1.cbc537b1ffbf5p-2, 0x1.c76b4cd38fdd4p-2, 0x1.c30a6753877b4p-2, 0x1.bea30c40584e6p-2, 0x1.ba35bf309aa99p-2, 0x1.b5c3022c0c111p-2, 0x1.b14b559605661p-2, 0x1.accf38195fdd8p-2, 0x1.a84f2695bc02ep-2, 0x1.a3cb9c0e1fc63p-2, 0x1.9f451198df46bp-2, 0x1.9abbfe50c8de2p-2, 0x1.9630d74782664p-2, 0x1.91a40f7917b79p-2, 0x1.8d1617c0a5b59p-2, 0x1.88875ece1bc0bp-2, 0x1.83f8511d0ac22p-2, 0x1.7f6958ec76612p-2, 0x1.7adade379f276p-2, 0x1.764d46afb70efp-2, 0x1.71c0f5b6831ebp-2, 0x1.6d364c59d2c55p-2, 0x1.68ada94fcd637p-2, 0x1.642768f40be81p-2, 0x1.5fa3e54570dbep-2, 0x1.5b2375e4bb57bp-2, 0x1.56a67013cebd3p-2, 0x1.522d26b59eec4p-2, 0x1.4db7ea4ec2b7cp-2, 0x1.494709069d341p-2, 0x1.44dacea91b3cdp-2, 0x1.407384a8fe98bp-2, 0x1.3c117222a9f99p-2, 0x1.37b4dbdf6f9cbp-2, 0x1.335e045952b43p-2, 0x1.2f0d2bbf3d5cep-2, 0x1.2ac28ff99f416p-2, 0x1.267e6caf7325fp-2, 0x1.2240fb4ba142p-2, 0x1.1e0a7302bae0cp-2, 0x1.19db08d90d16ep-2, 0x1.15b2efa8fc094p-2, 0x1.11925829ae3fbp-2, 0x1.0d7970f5f5fa3p-2, 0x1.096866937f228p-2, 0x1.055f637a3518cp-2, 0x1.015e901bddb77p-2, 0x1.facc25d7d6a15p-3, 0x1.f2ec20ceec829p-3, 0x1.eb1d563ac7a07p-3, 0x1.e360076d65c18p-3, 0x1.dbb471fdd260cp-3, 0x1.d41acfd93ddaep-3, 0x1.cc9357544c06p-3, 0x1.c51e3b3c940b2p-3, 0x1.bdbbaaea40cb5p-3, 0x1.b66bd251de21bp-3, 0x1.af2eda16389d1p-3, 0x1.a804e79a5dc66p-3, 0x1.a0ee1d13a36fap-3, 0x1.99ea999bc33edp-3, 0x1.92fa7942f7fa6p-3, 0x1.8c1dd522201d7p-3, 0x1.8554c36cdce6fp-3, 0x1.7e9f5783ac21bp-3, 0x1.77fda205f1363p-3, 0x1.716fb0e3f9d67p-3, 0x1.6af58f70e2ff4p-3, 0x1.648f467476f02p-3, 0x1.5e3cdc3ce0eacp-3, 0x1.57fe54b053c02p-3, 0x1.51d3b15e84638p-3, 0x1.4bbcf1920775ep-3, 0x1.45ba12618c839p-3, 0x1.3fcb0ec0e71eap-3, 0x1.39efdf91f92fep-3, 0x1.34287bb566becp-3, 0x1.2e74d81b22242p-3, 0x1.28d4e7d2c538ap-3, 0x1.23489c1bb4db3p-3, 0x1.1dcfe4751334fp-3, 0x1.186aaead7e185p-3, 0x1.1318e6f28fccfp-3, 0x1.0dda77e02e99ap-3, 0x1.08af4a8f9cf96p-3, 0x1.039746a64fc29p-3, 0x1.fd24a4c912be7p-4, 0x1.f340a567742b7p-4, 0x1.e98256693cb35p-4, 0x1.dfe97c9a40d58p-4, 0x1.d675da6bf37bfp-4, 0x1.cd27301034b12p-4, 0x1.c3fd3b939014dp-4, 0x1.baf7b8f701edfp-4, 0x1.b21662493f54fp-4, 0x1.a958efbf7363ap-4, 0x1.a0bf17cd7f7d4p-4, 0x1.98488f3db71f1p-4, 0x1.8ff509481e14ap-4, 0x1.87c437a91afddp-4, 0x1.7fb5cab7aedc6p-4, 0x1.77c9717b29382p-4, 0x1.6ffed9c05932bp-4, 0x1.6855b02e3e5c9p-4, 0x1.60cda05a3a58ap-4, 0x1.596654dbc105cp-4, 0x1.521f775f8adf3p-4, 0x1.4af8b0ba47fefp-4, 0x1.43f1a8fad8dc8p-4, 0x1.3d0a077c06f91p-4, 0x1.364172f5c6cc3p-4, 0x1.2f97918dfcc9bp-4, 0x1.290c08e8caf36p-4, 0x1.229e7e3867517p-4, 0x1.1c4e964c7c336p-4, 0x1.161bf5a113fa1p-4, 0x1.1006406d11213p-4, 0x1.0a0d1ab035566p-4, 0x1.04302840b7a08p-4, 0x1.fcde19b0dae78p-5, 0x1.f192d843065dep-5, 0x1.e67dd3859d2p-5, 0x1.db9e52d7606ecp-5, 0x1.d0f39dbf29874p-5, 0x1.c67cfc02120f5p-5, 0x1.bc39b5b8d8e24p-5, 0x1.b2291364817b3p-5, 0x1.a84a5e022b2c1p-5, 0x1.9e9cdf1e2f437p-5, 0x1.951fe0e67fca6p-5, 0x1.8bd2ae3c4e996p-5, 0x1.82b492c4ffeep-5, 0x1.79c4dafa6c607p-5, 0x1.7102d43a71df1p-5, 0x1.686dccd5e1682p-5, 0x1.6005141ec002cp-5, 0x1.57c7fa75e367ap-5, 0x1.4fb5d157f7b95p-5, 0x1.47cdeb69e0ecbp-5, 0x1.400f9c848540bp-5, 0x1.387a39c00665fp-5, 0x1.310d197e662cap-5, 0x1.29c793759d66ap-5, 0x1.22a900b924a52p-5, 0x1.1bb0bbc3011cbp-5, 0x1.14de207c3ed15p-5, 0x1.0e308c44f37cp-5, 0x1.07a75dfbc2124p-5, 0x1.0141f604e59f5p-5, 0x1.f5ff6ca17db5fp-6, 0x1.e9c004c3f337cp-6, 0x1.ddc47ea66ac3ap-6, 0x1.d20ba7b89af08p-6, 0x1.c69450ae53a58p-6, 0x1.bb5d4d8863efep-6, 0x1.b065759cb5e3fp-6, 0x1.a5aba39da13c6p-6, 0x1.9b2eb5a082177p-6, 0x1.90ed8d23a4b57p-6, 0x1.86e70f1371cf1p-6, 0x1.7d1a23cef85fep-6, 0x1.7385b72bcbbc3p-6, 0x1.6a28b8794bc57p-6, 0x1.61021a8347c01p-6, 0x1.5810d3940b472p-6, 0x1.4f53dd75e58c1p-6, 0x1.46ca35741ab44p-6, 0x1.3e72dc5b50374p-6, 0x1.364cd67979decp-6, 0x1.2e572b9d4ba19p-6, 0x1.2690e7152fa54p-6, 0x1.1ef917adc98c2p-6, 0x1.178ecfb0043f6p-6, 0x1.105124dec7c32p-6, 0x1.093f30743601bp-6, 0x1.02580f1e845e8p-6, 0x1.f735c1f91293bp-7, 0x1.ea0d9333bdbc1p-7, 0x1.dd35dfd56650dp-7, 0x1.d0acfc8e98e49p-7, 0x1.c47144ce69c05p-7, 0x1.b8811ab84aa6bp-7, 0x1.acdae7193beep-7, 0x1.a17d195c8e6b2p-7, 0x1.9666278007bc9p-7, 0x1.8b948e07adebp-7, 0x1.8106cff0fc734p-7, 0x1.76bb76a5bdd57p-7, 0x1.6cb111ee8b11dp-7, 0x1.62e637e4c409cp-7, 0x1.595984e44f954p-7, 0x1.50099b7cedd25p-7, 0x1.46f524634cf34p-7, 0x1.3e1ace61c38edp-7, 0x1.35794e48cb0b1p-7, 0x1.2d0f5edf318d9p-7, 0x1.24dbc0d21e9a2p-7, 0x1.1cdd3aa4cc427p-7, 0x1.151298a023e75p-7, 0x1.0d7aacc216b8ap-7, 0x1.06144eacd491dp-7, 0x1.fdbcb72bb9f6p-8, 0x1.efaf6c69e06fp-8, 0x1.e1fe8d65bd629p-8, 0x1.d4a7f530790dcp-8, 0x1.c7a98978047acp-8, 0x1.bb013a641f80ep-8, 0x1.aead027359b34p-8, 0x1.a2aae657dfcd5p-8, 0x1.96f8f4d45c42bp-8, 0x1.8b954698a375p-8, 0x1.807dfe1e4cc58p-8, 0x1.75b1478585a22p-8, 0x1.6b2d5871a0758p-8, 0x1.60f06fe5f69fp-8, 0x1.56f8d6229c422p-8, 0x1.4d44dc8131a39p-8, 0x1.43d2dd51e2f7ap-8, 0x1.3aa13bb868c11p-8, 0x1.31ae638930281p-8, 0x1.28f8c926c25dfp-8, 0x1.207ee95f28e85p-8, 0x1.183f494984dedp-8, 0x1.10387623e9b65p-8, 0x1.086905315dc43p-8, 0x1.00cf9397f897ap-8, 0x1.f2d58c7ef6f73p-9, 0x1.e472935fb46c5p-9, 0x1.d673a3e034f22p-9, 0x1.c8d634cb1fdaep-9, 0x1.bb97cb664ca4ep-9, 0x1.aeb5fb323865ap-9, 0x1.a22e65a9eb3bep-9, 0x1.95feba037ec2fp-9, 0x1.8a24b4f10a6a8p-9, 0x1.7e9e20624513bp-9, 0x1.7368d346c44e6p-9, 0x1.6882b150e5992p-9, 0x1.5de9aab9406d8p-9, 0x1.539bbc03027bdp-9, 0x1.4996edc069bd6p-9, 0x1.3fd9545871e56p-9, 0x1.36610fcccef1bp-9, 0x1.2d2c4b80cfab2p-9, 0x1.24393e00d433fp-9, 0x1.1b8628ca824dp-9, 0x1.13115815b992bp-9, 0x1.0ad9229dfbb1p-9, 0x1.02dbe96cbc878p-9, 0x1.f6302f48c1a13p-10, 0x1.e7184497e53d5p-10, 0x1.d86d1036ec924p-10, 0x1.ca2ba2926f3a4p-10, 0x1.bc511eaef5643p-10, 0x1.aedab9c5e26d8p-10, 0x1.a1c5bae4415e6p-10, 0x1.950f7a8a8137dp-10, 0x1.88b5624de73a3p-10, 0x1.7cb4ec7b69768p-10, 0x1.710ba3bc028c3p-10, 0x1.65b722ba24823p-10, 0x1.5ab513c8d8973p-10, 0x1.5003308c2e97p-10, 0x1.459f41a30a575p-10, 0x1.3b871e528687bp-10, 0x1.31b8ac329ce3dp-10, 0x1.2831dedc5094bp-10, 0x1.1ef0b798fe6e8p-10, 0x1.15f3451305b48p-10, 0x1.0d37a307f54c6p-10, 0x1.04bbf9fc49a72p-10, 0x1.f8fcfddfdc3cap-11, 0x1.e8fae6291205dp-11, 0x1.d96e470a62648p-11, 0x1.ca53d1fdf20eap-11, 0x1.bba84f3615ce7p-11, 0x1.ad689d13eab21p-11, 0x1.9f91afa0cfeb4p-11, 0x1.92209009ef615p-11, 0x1.85125c1ebeebap-11, 0x1.786445d1b88dp-11, 0x1.6c1392bba842fp-11, 0x1.601d9ba0f9e46p-11, 0x1.547fcbf9d2d92p-11, 0x1.4937a17c11c19p-11, 0x1.3e42aba86566bp-11, 0x1.339e8b58fed8p-11, 0x1.2948f252a10b3p-11, 0x1.1f3fa2d8c5f7cp-11, 0x1.15806f42a519bp-11, 0x1.0c09399373b09p-11, 0x1.02d7f313e68d3p-11, 0x1.f3d537dd55759p-12, 0x1.e27e859d371edp-12, 0x1.d1a808fde248fp-12, 0x1.c14e171b4c123p-12, 0x1.b16d1fe04dbf7p-12, 0x1.a201ad5272d0dp-12, 0x1.930862e30ff73p-12, 0x1.847dfcc29d346p-12, 0x1.765f4f39fdb0ep-12, 0x1.68a94605bcd26p-12, 0x1.5b58e3b5c8a3cp-12, 0x1.4e6b411064659p-12, 0x1.41dd8c79c65fep-12, 0x1.35ad095d11621p-12, 0x1.29d70f9b2bc1ep-12, 0x1.1e590afa155bap-12, 0x1.13307a9a161dbp-12, 0x1.085af06d895d3p-12, 0x1.fbac21663ca39p-13, 0x1.e73f22e709085p-13, 0x1.d36a740730857p-13, 0x1.c029c50e2b7bbp-13, 0x1.ad78e6f0ebe65p-13, 0x1.9b53ca648bcbbp-13, 0x1.89b67ef76b19p-13, 0x1.789d3230e3a38p-13, 0x1.68042eb6e7467p-13, 0x1.57e7db7690cep-13, 0x1.4844bad3dfa6fp-13, 0x1.391769e056437p-13, 0x1.2a5c9f927613fp-13, 0x1.1c112c051166ep-13, 0x1.0e31f7bb74acep-13, 0x1.00bc02e86951bp-13, 0x1.e758c97a25fb4p-14, 0x1.ce0095749c4e5p-14, 0x1.b569f00b84656p-14, 0x1.9d8f898daeb24p-14, 0x1.866c3b08c58a6p-14, 0x1.6ffb05120cf24p-14, 0x1.5a370e92b1655p-14, 0x1.451ba3a05438dp-14, 0x1.30a4345b39b01p-14, 0x1.1ccc53d77f8a7p-14, 0x1.098fb709175b3p-14, 0x1.edd46774026e4p-15, 0x1.c9af7f148f713p-15, 0x1.a6a8dde360a4fp-15, 0x1.84b8e89ae1b6cp-15, 0x1.63d83de0ded51p-15, 0x1.43ffb477abb3cp-15, 0x1.2528597d7a9f4p-15, 0x1.074b6eba7fa27p-15, 0x1.d4c4d1ed5d548p-16, 0x1.9ccddcb63401cp-16, 0x1.66a5a9cf69458p-16, 0x1.324041d7db99ap-16, 0x1.ff240e27d12p-17, 0x1.9d1f654547368p-17, 0x1.3e5ca33f06378p-17, 0x1.c58d09f7c52bp-18, 0x1.1490c99ae1792p-18, 0x1.a671ab320f765p-20, -0x1.dbb832045e98ep-21, -0x1.b59ec029cab26p-19, -0x1.74916506cc0bfp-18, -0x1.0470663a9bf3p-17, -0x1.4bf025b58fccfp-17, -0x1.90d8ce7a02837p-17, -0x1.d33ac53c25958p-17, -0x1.0992fce1c42fp-16, -0x1.2854f5689ec39p-16, -0x1.45ead4e24ec1dp-16, -0x1.625bef242bcbfp-16, -0x1.7daf64e56a4b7p-16, -0x1.97ec25639bb8fp-16, -0x1.b118f013f1fb8p-16, -0x1.c93c563309b12p-16, -0x1.e05cbc4c9147dp-16, -0x1.f6805bb691284p-16, -0x1.05d6a1ff72b9ep-15, -0x1.0ff4ae291ff02p-15, -0x1.199d32663041ap-15, -0x1.22d2fbe51a25p-15, -0x1.2b98c5935d254p-15, -0x1.33f138b86e05fp-15, -0x1.3bdeed899ff24p-15, -0x1.43646bbe00b3ep-15, -0x1.4a842b1a16c62p-15, -0x1.514093f3d2b0fp-15, -0x1.579bffb70219p-15, -0x1.5d98b9622c22fp-15, -0x1.6338fe01f2d0ep-15, -0x1.687efd227992ep-15, -0x1.6d6cd943188cep-15, -0x1.7204a842a3581p-15, -0x1.764873c9cc9ecp-15, -0x1.7a3a39ac98732p-15, -0x1.7ddbec5110af5p-15, -0x1.812f730bba6fbp-15, -0x1.8436aa794fdfbp-15, -0x1.86f364d725314p-15, -0x1.89676a58690e5p-15, -0x1.8b9479769b578p-15, -0x1.8d7c473f0d7a9p-15, -0x1.8f207f9e7af44p-15, -0x1.9082c5aa0cb1dp-15, -0x1.91a4b3e66f924p-15, -0x1.9287dc87f9f7p-15, -0x1.932dc9b546c14p-15, -0x1.9397fdc68259fp-15, -0x1.93c7f37ec63b1p-15, -0x1.93bf1e467c908p-15, -0x1.937eea632444ap-15, -0x1.9308bd2c7b3dap-15, -0x1.925df540b286bp-15, -0x1.917feab1d0e11p-15, -0x1.906fef37eee29p-15, -0x1.8f2f4e5e09c52p-15, -0x1.8dbf4dae4e62bp-15, -0x1.8c212cd9015e4p-15, -0x1.8a5625e039a6p-15, -0x1.885f6d3cff0b3p-15, -0x1.863e320300918p-15, -0x1.83f39e047de63p-15, -0x1.8180d5f53b212p-15, -0x1.7ee6f98c8def3p-15, -0x1.7c2723a1ddc3ap-15, -0x1.79426a4b9860bp-15, -0x1.7639defc25535p-15, -0x1.730e8e9e4f158p-15, -0x1.6fc181af0a16fp-15, -0x1.6c53bc55db0d1p-15, -0x1.68c63e80aa905p-15, -0x1.651a03f7ae769p-15, -0x1.61500474c80bfp-15, -0x1.5d6933b819492p-15, -0x1.5966819e4c8b1p-15, -0x1.5548da349d464p-15, -0x1.511125ca66fa8p-15, -0x1.4cc04903c316bp-15, -0x1.485724eaa66eep-15, -0x1.43d696ff5bd91p-15, -0x1.3f3f794958dc4p-15, -0x1.3a92a26587b14p-15, -0x1.35d0e5969e90bp-15, -0x1.30fb12d200555p-15, -0x1.2c11f6cc849ebp-15, -0x1.27165b08cfdf6p-15, -0x1.220905e1bc699p-15, -0x1.1ceaba9a04ccfp-15, -0x1.17bc396480f68p-15, -0x1.127e3f7198059p-15, -0x1.0d3186f7b93a9p-15, -0x1.07d6c73e37f2cp-15, -0x1.026eb4a6aa17ap-15, -0x1.f9f40171463ebp-16, -0x1.eef2b44fea569p-16, -0x1.e3dad9bf023f5p-16, -0x1.d8adc410922bfp-16, -0x1.cd6cc023e1018p-16, -0x1.c21915755e272p-16, -0x1.b6b4062dbb69dp-16, -0x1.ab3ecf328bfcbp-16, -0x1.9fbaa832e4419p-16, -0x1.9428c3b62c564p-16, -0x1.888a4f28335a2p-16, -0x1.7ce072e3de041p-16, -0x1.712c52449a345p-16, -0x1.656f0bb13473ep-16, -0x1.59a9b8a717608p-16, -0x1.4ddd6dc5257e6p-16, -0x1.420b3ad80ec8bp-16, -0x1.36342ae421578p-16, -0x1.2a5944315ca52p-16, -0x1.1e7b88560d67dp-16, -0x1.129bf442a5c0cp-16, -0x1.06bb80492f28ap-16, -0x1.f5b64055145f3p-17, -0x1.ddf78639328b7p-17, -0x1.c63ca7a7e0767p-17, -0x1.ae87711d9a1d3p-17, -0x1.96d9a6439c177p-17, -0x1.7f3501fb42b7ep-17, -0x1.679b366dc1be5p-17, -0x1.500ded2421177p-17, -0x1.388ec71485fafp-17, -0x1.211f5cb4a11b8p-17, -0x1.09c13e0e12ef9p-17, -0x1.e4ebe5a71613ep-18, -0x1.b67df4d879fa6p-18, -0x1.883b980ee67c7p-18, -0x1.5a27ad5ed240dp-18, -0x1.2c4502a5774b4p-18, -0x1.fd2cab6a0497fp-19, -0x1.a23ca8f458bc4p-19, -0x1.47bf3a517bdb8p-19, -0x1.db72f92292204p-20, -0x1.2860db8a7be5dp-20, -0x1.d94769d74b521p-22, 0x1.d58443e2b304ap-23, 0x1.d53a103d4fa91p-21, 0x1.996a9b3a5b7eep-20, 0x1.238839d5cba9ap-19, 0x1.79c2ff22f1cd2p-19, 0x1.cf61710ae765ap-19, 0x1.122fbffa13a7ep-18, 0x1.3c5c9c785800dp-18, 0x1.663562b3ab351p-18, 0x1.8fb8356aae60dp-18, 0x1.b8e34535f8a19p-18, 0x1.e1b4d076c3cc1p-18, 0x1.05159198fa557p-17, 0x1.19224b7338151p-17, 0x1.2cffc93a5b204p-17, 0x1.40ad44f9f9b65p-17, 0x1.5429ff4b296d1p-17, 0x1.67753f3a2e616p-17, 0x1.7a8e523a4ddccp-17, 0x1.8d748c14c66a1p-17, 0x1.a02746d6458bdp-17, 0x1.b2a5e2bfb8f2ap-17, 0x1.c4efc632272a5p-17, 0x1.d7045d9eb9ef8p-17, 0x1.e8e31b706ee6cp-17, 0x1.fa8b77f9c61a8p-17, 0x1.05fe78b4d8567p-16, 0x1.0e9b85d9de395p-16, 0x1.171ca8402d67fp-16, 0x1.1f81a78dd1f49p-16, 0x1.27ca4e3140fe8p-16, 0x1.2ff66958c8b3bp-16, 0x1.3805c8e5972e9p-16, 0x1.3ff83f67a7c97p-16, 0x1.47cda211522cbp-16, 0x1.4f85c8b0d9a12p-16, 0x1.57208da6a2e6p-16, 0x1.5e9dcddbadc3bp-16, 0x1.65fd68b8fd2p-16, 0x1.6d3f401d95591p-16, 0x1.7463385439c4ep-16, 0x1.7b69380de128ep-16, 0x1.825128568ecdep-16, 0x1.891af48bc2b4p-16, 0x1.8fc68a551780cp-16, 0x1.9653d99a31b73p-16, 0x1.9cc2d47afd17cp-16, 0x1.a3136f43685a7p-16, 0x1.a945a06478916p-16, 0x1.af59606c83a63p-16, 0x1.b54ea9fc3338dp-16, 0x1.bb2579bf5727fp-16, 0x1.c0ddce6398c83p-16, 0x1.c677a88f142b1p-16, 0x1.cbf30ad8583eap-16, 0x1.d14ff9baff071p-16, 0x1.d68e7b9241caap-16, 0x1.dbae988e75b7ep-16, 0x1.e0b05aad7a445p-16, 0x1.e593cdb0678b3p-16, 0x1.ea58ff146809fp-16, 0x1.eefffe0aa6039p-16, 0x1.f388db6d70f67p-16, 0x1.f7f3a9b91bab7p-16, 0x1.fc407d02ecad9p-16, 0x1.0037b578ee525p-15, 0x1.0240455aa2f95p-15, 0x1.0439fa7ead801p-15, 0x1.0624e1f952afep-15, 0x1.0801099679b1ep-15, 0x1.09ce7fd6adb9ep-15, 0x1.0b8d53e97381ap-15, 0x1.0d3d95aa04558p-15, 0x1.0edf559c4e4ebp-15, 0x1.1072a4e75abd3p-15, 0x1.11f79552c4323p-15, 0x1.136e39414f5abp-15, 0x1.14d6a3af094b3p-15, 0x1.1630e82b93405p-15, 0x1.177d1ad6b43dp-15, 0x1.18bb505dcf14fp-15, 0x1.19eb9df6453c3p-15, 0x1.1b0e195afed56p-15, 0x1.1c22d8c8fc4f8p-15, 0x1.1d29f2faac0bbp-15, 0x1.1e237f24c9cd9p-15, 0x1.1f0f94f2af23p-15, 0x1.1fee4c83bc767p-15, 0x1.20bfbe6603348p-15, 0x1.2184039396ba9p-15, 0x1.223b357023868p-15, 0x1.22e56dc42d70bp-15, 0x1.2382c6ba6f03ap-15, 0x1.24135adbc9b18p-15, 0x1.2497450d1ef2fp-15, 0x1.250ea08b3045ap-15, 0x1.257988e69f3c6p-15, 0x1.25d81a0366073p-15, 0x1.262a70131f3d5p-15, 0x1.2670a7924e261p-15, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      32, 0x1.2333333333333p+2, 0x1.e73cd6a26f2d6p+3, 0x1.4a7026d9dfdccp+5, -0x1.af6fb4d35bfbfp-8, 
      {{
        {0x1.7c28f5c28f5c3p+1, 0x1.8p+1, 0x1.b46640a6f39abp-7, -0x1.364a0fd27b0bdp-2, 0x1.274850cdf420cp+1, -0x1.d611efcbe1ccdp+2}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.901cf13431123p-8, -0x1.79b8b2c57192ep-3, 0x1.a556f95cbfeecp+0, -0x1.67b0bf3ef34ccp+2}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.36031527efc8ap-12, -0x1.fbe6cb1f2af7fp-5, 0x1.9b0d0d3ac24fep-1, -0x1.d47ab2fecb1e7p+1}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.48ecc58e07285p-10, -0x1.2c5c2f7d2d495p-7, 0x1.03ed43aa2a77fp-2, -0x1.b0f86f466e2bcp+0}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.5222cff7db0bp-10, 0x1.cf042c0e52c1ap-9, 0x1.2807327628fcap-13, -0x1.e2861e930a576p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.24b4f71478f34p-10, 0x1.b3ea3ffa144fap-9, -0x1.1843725e21bbp-8, 0x1.c1e07722f2ad5p-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.f762dc5d627edp-11, 0x1.829c499c41d88p-9, -0x1.a9905a982ddc1p-9, 0x1.71a2250a84da2p-12}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.ae4beec534d98p-11, 0x1.5866906cf81acp-9, -0x1.a2a21d1994f8p-9, 0x1.07bd00ad9a0edp-9}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.6d788ffff7333p-11, 0x1.3083ee292729ap-9, -0x1.7b129032bddcp-9, 0x1.848d88389c891p-10}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.3442ef47969a9p-11, 0x1.0c10af4ab0ec9p-9, -0x1.5dee592e7eeb7p-9, 0x1.936e08a0ef011p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.020c00705eec6p-11, 0x1.d52b7c2c02936p-10, -0x1.3fac7eef39cb3p-9, 0x1.79189418c2089p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.ac76f7d1f5b01p-12, 0x1.981035d0d4a1ep-10, -0x1.236440a091a44p-9, 0x1.69cdf9c7adb37p-10}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.607fbd74e7b77p-12, 0x1.607f9fe236e36p-10, -0x1.08419ab197d07p-9, 0x1.578deb8ab0287p-10}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.1f1cd510648cbp-12, 0x1.2e3953fdd0e28p-10, -0x1.dcfab874c8677p-10, 0x1.4618d2c64518cp-10}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.ce8c963ff4e0bp-13, 0x1.00f8c3206cb92p-10, -0x1.ac1098d70ad73p-10, 0x1.346d580b74666p-10}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.70036aa7ea82cp-13, 0x1.b0f4f71603436p-11, -0x1.7dccfed552faap-10, 0x1.22d06fb1ab1b3p-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.20c46522bd02fp-13, 0x1.68f57e1d5f799p-11, -0x1.522dbae112eap-10, 0x1.112f9fca20999p-10}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.be21abc7f54b9p-14, 0x1.296bc7ef8cd27p-11, -0x1.293362e9279ffp-10, 0x1.ff1fb771533a7p-11}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.528a3f1159db8p-14, 0x1.e3a0ec56bcf5cp-12, -0x1.02ddcec0a7c82p-10, 0x1.dbdf9fb920ebp-11}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.f762dc5d628bcp-15, 0x1.83385ac0eed28p-12, -0x1.be5a1258bdd3bp-11, 0x1.b89faea9c9bddp-11}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.6d788ffff7429p-15, 0x1.308f22aa0d294p-12, -0x1.7c421e8c12c3ap-11, 0x1.955fb28c996c1p-11}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.020c00705efc1p-15, 0x1.d52d1810ee764p-13, -0x1.3f73c3c3c88d4p-11, 0x1.721fbbfda0aap-11}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.607fbd74e7d8p-16, 0x1.607fbd7addf13p-13, -0x1.07ef012a8a0d9p-11, 0x1.4edfba43cd8fdp-11}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.ce8c963ff523ep-17, 0x1.00f8c529534ap-13, -0x1.ab67b0da56705p-12, 0x1.2b9fdfa72b699p-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.20c46522bd2ap-17, 0x1.68f57f14b4aep-14, -0x1.5184875b63029p-12, 0x1.085f73c06c1bep-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.528a3f115a34p-18, 0x1.e3a0e77245d91p-15, -0x1.0234b16e75c75p-12, 0x1.ca424bca811d5p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.6d788ffff838p-19, 0x1.308f3516b1ef4p-15, -0x1.7aef18ecf8066p-13, 0x1.83b5e24b7cbbfp-12}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.607fbd74e9dfep-20, 0x1.607f33f3c0e69p-16, -0x1.069eeea31f67ep-13, 0x1.3d6473d80fa37p-12}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.20c46522be8p-21, 0x1.68f980c472078p-17, -0x1.4ece649168a1cp-14, 0x1.ec6dcdfcaca94p-13}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6d78900000ffep-23, 0x1.307135e71e638p-18, -0x1.7627b3f19cd95p-15, 0x1.647db166d7a75p-13}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.20c46522f4001p-25, 0x1.6ab437db52ac9p-20, -0x1.40855fce36eb9p-16, 0x1.8933ba4b1004cp-14}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.20c4652600001p-29, 0x1.34dbe8de7a56cp-23, -0x1.52662684b54p-18, 0x1.071bdbe8481dcp-13}, 
      }}, 
      -0x1.ef27cfc9491adp-10, 0x1.7d9762663d3e9p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.b795817392a94p-4, 0x1.1180f4a8e1197p-3, 0x1.597b6ac444588p-3, 0x1.a39e3fe063385p-3, 0x1.e23693d02066dp-3, 0x1.0596387e10feap-2, 0x1.0c0d34cf5fc8fp-2, 0x1.02ef9fabc871cp-2, 0x1.d3fd4b5c99f16p-3, 0x1.83f413b9a3336p-3, 0x1.18a8d9ac1d5f1p-3, 0x1.2bcc500530e68p-4, -0x1.828a8949c2c0dp-16, -0x1.4972b7bcacaaep-4, -0x1.53bd00ae7d2f8p-3, -0x1.047699b35d563p-2, -0x1.603be6925265dp-2, -0x1.bb79d9e58c697p-2, -0x1.0a5a5958a5078p-1, -0x1.3555370bdb1e8p-1, -0x1.5e28a89b4828ap-1, -0x1.846a65b6cb45dp-1, -0x1.a7c8a60c43665p-1, -0x1.c807c0c7d0fb4p-1, -0x1.e4ffad508982ap-1, -0x1.fe9987a4950edp-1, -0x1.0a669679e63d1p+0, -0x1.13cf7f6c3ac98p+0, -0x1.1b8eeac54da33p+0, -0x1.21b0917a0c47dp+0, -0x1.2643a389d41dp+0, -0x1.295a0a150a6d7p+0, -0x1.2b07bfa6e1f9cp+0, -0x1.2b623d84265f2p+0, -0x1.2a7ffcd931d72p+0, -0x1.28780a12e182bp+0, -0x1.2561a8b1d4db2p+0, -0x1.2154062133183p+0, -0x1.1c65f9ffe50e1p+0, -0x1.16add23b85e51p+0, -0x1.1041296fd8ef1p+0, -0x1.0934c645053eap+0, -0x1.019c82aad00cap+0, -0x1.f31673d28fdc6p-1, -0x1.e225791776b57p-1, -0x1.d087929c1e9dap-1, -0x1.be5c14527bd9dp-1, -0x1.abc029ad1b1ep-1, -0x1.98cedca6dd354p-1, -0x1.85a12137a2eb7p-1, -0x1.724de4932b2ebp-1, -0x1.5eea1f94f1f31p-1, -0x1.4b88eaeac31c5p-1, -0x1.383b95550e1d1p-1, -0x1.2511ba867beb1p-1, -0x1.12195adf8ee88p-1, -0x1.febde6df72691p-2, -0x1.d9db2b212c9d2p-2, -0x1.b59dfd8898eeep-2, -0x1.92175ec5f90edp-2, -0x1.6f56028064f31p-2, -0x1.4d667a133c3b4p-2, -0x1.2c535e33cbacap-2, -0x1.0c25766144345p-2, -0x1.d9c7bd3a00228p-3, -0x1.9d28563e324d5p-3, -0x1.62751450b3d09p-3, -0x1.29b3c7e45b9b3p-3, -0x1.e5cfe2ece73d6p-4, -0x1.7c25f478d5391p-4, -0x1.1668d23cd76fdp-4, -0x1.692851eb87467p-5, -0x1.5a8284ea6a401p-6, 0x1.bde520222569dp-11, 0x1.6735efdb74748p-6, 0x1.58c5d2e8c50cap-5, 0x1.f698ac986e8bbp-5, 0x1.469b951503e95p-4, 0x1.8e63cce6e92c8p-4, 0x1.d2b944743f5fbp-4, 0x1.09d89880dac59p-3, 0x1.28b0c531f189cp-3, 0x1.45f0711b8dbddp-3, 0x1.61a31fd00a2bdp-3, 0x1.7bd47ed9f1847p-3, 0x1.949056f659bb7p-3, 0x1.abe27e5d2c9f4p-3, 0x1.c1d6ccd0e2687p-3, 0x1.d67910a59a00cp-3, 0x1.e9d50525282a4p-3, 0x1.fbf649fe678b5p-3, 0x1.06742dd47b301p-2, 0x1.0e5b467347f7cp-2, 0x1.15b6006a48c32p-2, 0x1.1c89d30d97489p-2, 0x1.22dc194c799bap-2, 0x1.28b20ff1b09ap-2, 0x1.2e10d426e2e07p-2, 0x1.32fd6239932c4p-2, 0x1.377c94ba57e08p-2, 0x1.3b9323babd7fp-2, 0x1.3f45a448d53cbp-2, 0x1.4298883155e1cp-2, 0x1.45901dc142658p-2, 0x1.48308fd5610ddp-2, 0x1.4a7de600637e7p-2, 0x1.4c7c04b931b33p-2, 0x1.4e2eadcda7ac1p-2, 0x1.4f9980c7143d7p-2, 0x1.50bffb6e48d89p-2, 0x1.51a57a7185e1p-2, 0x1.524d3a0888f07p-2, 0x1.52ba5695d0dc9p-2, 0x1.52efcd7f2aa6fp-2, 0x1.52f07de9fd65ap-2, 0x1.52bf2979fe567p-2, 0x1.525e753a92229p-2, 0x1.51d0ea6a20a09p-2, 0x1.5118f7481801cp-2, 0x1.5038effdf770cp-2, 0x1.4f330f7261781p-2, 0x1.4e09781cf7d64p-2, 0x1.4cbe34dd4ef8cp-2, 0x1.4b5339db21cf3p-2, 0x1.49ca654a72553p-2, 0x1.4825803bb4b3fp-2, 0x1.46663f71d0673p-2, 0x1.448e441bb8c6bp-2, 0x1.429f1c98ec1fp-2, 0x1.409a453d95fdcp-2, 0x1.3e812907cdb46p-2, 0x1.3c55224ad05adp-2, 0x1.3a177b666746dp-2, 0x1.37c96f6f71528p-2, 0x1.356c2ad16b7e6p-2, 0x1.3300cbe313857p-2, 0x1.3088638f73529p-2, 0x1.2e03f5e1dfcd9p-2, 0x1.2b747a8fc758fp-2, 0x1.28dadd838c96ep-2, 0x1.2637ff6803e97p-2, 0x1.238cb621f7b56p-2, 0x1.20d9cd4273b55p-2, 0x1.1e200683ac17ap-2, 0x1.1b601a41f737fp-2, 0x1.189ab7d888848p-2, 0x1.15d086097a2ebp-2, 0x1.13022369d5d82p-2, 0x1.103026bf591c5p-2, 0x1.0d5b1f5984991p-2, 0x1.0a83955e0debap-2, 0x1.07aa0a2aaf162p-2, 0x1.04cef89f9ba25p-2, 0x1.01f2d56e5743dp-2, 0x1.fe2c1eb15f875p-3, 0x1.f8721ef0c8befp-3, 0x1.f2b8731933e15p-3, 0x1.ecffd85fdf11ap-3, 0x1.e749022a32dd5p-3, 0x1.e1949a7ac0528p-3, 0x1.dbe342627e48ap-3, 0x1.d635927a74576p-3, 0x1.d08c1b38c1a6dp-3, 0x1.cae76547128afp-3, 0x1.c547f1e315c99p-3, 0x1.bfae3b3a34e4ap-3, 0x1.ba1ab4be2971bp-3, 0x1.b48dcb7298d66p-3, 0x1.af07e6244ab95p-3, 0x1.a98965c232533p-3, 0x1.a412a59f8bdfcp-3, 0x1.9ea3fbb27c604p-3, 0x1.993db8db09effp-3, 0x1.93e0290596a53p-3, 0x1.8e8b936eefde8p-3, 0x1.89403ae2c047bp-3, 0x1.83fe5de6daed5p-3, 0x1.7ec636ee44f46p-3, 0x1.7997fc80c1e8p-3, 0x1.7473e162ac8d4p-3, 0x1.6f5a14cbf265ap-3, 0x1.6a4ac29072367p-3, 0x1.6546133d16536p-3, 0x1.604c2c41d4f65p-3, 0x1.5b5d300db3b44p-3, 0x1.56793e2f120e2p-3, 0x1.51a0738412422p-3, 0x1.4cd2ea4b024eep-3, 0x1.4810ba43e9564p-3, 0x1.4359f8c79083bp-3, 0x1.3eaeb8e7f0cd3p-3, 0x1.3a0f0b7b1911ep-3, 0x1.357aff4ff2433p-3, 0x1.30f2a12e07fa9p-3, 0x1.2c75fbf642c08p-3, 0x1.280518b1ff4b6p-3, 0x1.239ffea66bf9ap-3, 0x1.1f46b370bae49p-3, 0x1.1af93b13bee3ep-3, 0x1.16b7980d8222ep-3, 0x1.1281cb6353cc7p-3, 0x1.0e57d4b8f4206p-3, 0x1.0a39b2539e06cp-3, 0x1.0627613a890b9p-3, 0x1.0220dd35b4a0ep-3, 0x1.fc4c41df905f6p-4, 0x1.f46e4bdedd9f3p-4, 0x1.eca7c9603c46bp-4, 0x1.e4f8a95532476p-4, 0x1.dd60d8b861f4ap-4, 0x1.d5e042bfe20dp-4, 0x1.ce76d0d9f6942p-4, 0x1.c7246ad6dc649p-4, 0x1.bfe8f6eb0872ep-4, 0x1.b8c459d28a058p-4, 0x1.b1b676cb254bep-4, 0x1.aabf2fcc74aa6p-4, 0x1.a3de6579242b1p-4, 0x1.9d13f73fda634p-4, 0x1.965fc3703001p-4, 0x1.8fc1a73a38849p-4, 0x1.89397ecb086acp-4, 0x1.82c725509fedcp-4, 0x1.7c6a75144cd67p-4, 0x1.7623477c2105bp-4, 0x1.6ff175245313p-4, 0x1.69d4d5e645735p-4, 0x1.63cd40e3f386bp-4, 0x1.5dda8c9530232p-4, 0x1.57fc8ecaa769fp-4, 0x1.52331cc50b0a9p-4, 0x1.4c7e0b39e210ep-4, 0x1.46dd2e5ba113ep-4, 0x1.415059ef7ee56p-4, 0x1.3bd7614b76bf9p-4, 0x1.3672175e19e8ep-4, 0x1.31204eba9c50bp-4, 0x1.2be1d99fdb2fcp-4, 0x1.26b689fb1c8aep-4, 0x1.219e3188ea332p-4, 0x1.1c98a1be3da6p-4, 0x1.17a5abe3b76fdp-4, 0x1.12c52113c9d01p-4, 0x1.0df6d23df5d7dp-4, 0x1.093a902af6e82p-4, 0x1.04902b9081757p-4, 0x1.ffeeea1a75709p-5, 0x1.f6e07a74ca124p-5, 0x1.edf4a9524e193p-5, 0x1.e52b17cb302edp-5, 0x1.dc8366f822392p-5, 0x1.d3fd37e777cf4p-5, 0x1.cb982bcce0592p-5, 0x1.c353e3f51ac35p-5, 0x1.bb3001e7a2053p-5, 0x1.b32c2763919bcp-5, 0x1.ab47f660a4fa3p-5, 0x1.a383110bc5d16p-5, 0x1.9bdd19d18f507p-5, 0x1.9455b353d5187p-5, 0x1.8cec80a34aba2p-5, 0x1.85a12528d3d39p-5, 0x1.7e7344ce08c4dp-5, 0x1.776283e0ab3e6p-5, 0x1.706e871795bap-5, 0x1.6996f38a8a235p-5, 0x1.62db6ea842038p-5, 0x1.5c3b9e63d54f6p-5, 0x1.55b7292d9b265p-5, 0x1.4f4db6270596dp-5, 0x1.48feed1aa2f1ap-5, 0x1.42ca765e246d9p-5, 0x1.3caffacc40194p-5, 0x1.36af23a251f2ap-5, 0x1.30c79a899debfp-5, 0x1.2af909b65bb7ep-5, 0x1.25431c19de9fp-5, 0x1.1fa57d803d94ep-5, 0x1.1a1fdaa0a1249p-5, 0x1.14b1e0f0354cp-5, 0x1.0f5b3e8711977p-5, 0x1.0a1ba1ca2c8b9p-5, 0x1.04f2b965622ecp-5, 0x1.ffc068e19a12bp-6, 0x1.f5c78567b7476p-6, 0x1.ebfa29efd3f57p-6, 0x1.e257ba9e19f0cp-6, 0x1.d8df9e00ef812p-6, 0x1.cf913c78def3cp-6, 0x1.c66bff6146c46p-6, 0x1.bd6f502243065p-6, 0x1.b49a980839ed4p-6, 0x1.abed40b06d585p-6, 0x1.a366b4f262543p-6, 0x1.9b066267ab15bp-6, 0x1.92cbba0103342p-6, 0x1.8ab6306e110c4p-6, 0x1.82c53cee26f41p-6, 0x1.7af857fa004a3p-6, 0x1.734ef9918c2ep-6, 0x1.6bc8984607066p-6, 0x1.6464a97f23fdp-6, 0x1.5d22a2d1163a9p-6, 0x1.5601fbfab4d87p-6, 0x1.4f02310524ffp-6, 0x1.4822c321bc401p-6, 0x1.4163385ec8e2cp-6, 0x1.3ac319bf3f1cbp-6, 0x1.3441f09a6d31fp-6, 0x1.2ddf4432a7ec7p-6, 0x1.279a987d76e65p-6, 0x1.21736eb5cbc8cp-6, 0x1.1b69478b419e2p-6, 0x1.157ba64984572p-6, 0x1.0faa13acab195p-6, 0x1.09f41f8e22eeap-6, 0x1.0459607875e44p-6, 0x1.fdb2e22fdffcdp-7, 0x1.f2e7d9a80bd9cp-7, 0x1.e850d84a5200ap-7, 0x1.dded04d8e06bbp-7, 0x1.d3bb7c551fb48p-7, 0x1.c9bb5699141d2p-7, 0x1.bfebadb662c4bp-7, 0x1.b64ba5beea16bp-7, 0x1.acda72517f174p-7, 0x1.a397583631d69p-7, 0x1.9a81a9fe9bcefp-7, 0x1.9198c0a0098b4p-7, 0x1.88dbf2990035p-7, 0x1.804a8ca547be5p-7, 0x1.77e3cf03b774bp-7, 0x1.6fa6efdc07a2p-7, 0x1.67932113ae32dp-7, 0x1.5fa7982fd1f57p-7, 0x1.57e39511ba1a7p-7, 0x1.50466682ef77ap-7, 0x1.48cf6b968ae28p-7, 0x1.417e10b84127bp-7, 0x1.3a51c8e2d24e9p-7, 0x1.334a051c4a0adp-7, 0x1.2c662dd933d18p-7, 0x1.25a5a1099f4f2p-7, 0x1.1f07b53562c18p-7, 0x1.188bbf11e92a9p-7, 0x1.1231164ecf851p-7, 0x1.0bf71858ff701p-7, 0x1.05dd29d906ba1p-7, 0x1.ffc57059d859ap-8, 0x1.f40e74aafa0eap-8, 0x1.e8945e8fd6339p-8, 0x1.dd5631603f8dap-8, 0x1.d252ea2f986efp-8, 0x1.c78979d42b7ddp-8, 0x1.bcf8cbddf43d4p-8, 0x1.b29fd3f863b3fp-8, 0x1.a87d967863b03p-8, 0x1.9e9123c201252p-8, 0x1.94d98a4194d53p-8, 0x1.8b55cbccf0aap-8, 0x1.8204e0429fe5cp-8, 0x1.78e5c259726e3p-8, 0x1.6ff77a2c154dcp-8, 0x1.67391b0b374e1p-8, 0x1.5ea9b8747401fp-8, 0x1.564860f22f317p-8, 0x1.4e1429c4cab3ap-8, 0x1.460c44f972351p-8, 0x1.3e300dafea6c8p-8, 0x1.367ef9d03614ap-8, 0x1.2ef87570bed64p-8, 0x1.279bc1d20c29p-8, 0x1.2067f039455f5p-8, 0x1.195bfb6ea0fe7p-8, 0x1.1276eac604346p-8, 0x1.0bb7e23888a34p-8, 0x1.051e17a189dcep-8, 0x1.fd517d870bf3p-9, 0x1.f0ae0d6aad776p-9, 0x1.e45063d914ccdp-9, 0x1.d8376beda7d38p-9, 0x1.cc6285608f3f2p-9, 0x1.c0d14014ff41dp-9, 0x1.b582e501263ap-9, 0x1.aa76206a91efap-9, 0x1.9fa90ee79f14fp-9, 0x1.9519a1eceaad2p-9, 0x1.8ac60dbdb7212p-9, 0x1.80acf32f7b476p-9, 0x1.76cd36e076ea8p-9, 0x1.6d25bbe2a6407p-9, 0x1.63b5480419d94p-9, 0x1.5a7aaac3490cp-9, 0x1.5175053debfbfp-9, 0x1.48a3ef7fc8658p-9, 0x1.400749a17afccp-9, 0x1.379ebe62729edp-9, 0x1.2f694a542be1bp-9, 0x1.276529e7d1905p-9, 0x1.1f90415c26236p-9, 0x1.17e8ad3ba9bfcp-9, 0x1.106d1958bc8c5p-9, 0x1.091cb97d2fd0dp-9, 0x1.01f702f44c8e8p-9, 0x1.f5f6cdbe13ee8p-10, 0x1.e85273cce6a9bp-10, 0x1.daff9a467585cp-10, 0x1.cdfd4310334f2p-10, 0x1.c14b1420e1ec7p-10, 0x1.b4e90c7562b8cp-10, 0x1.a8d69d330669bp-10, 0x1.9d11c96f148e8p-10, 0x1.919716ff0dd28p-10, 0x1.86626330394afp-10, 0x1.7b6fe5e153857p-10, 0x1.70bccd87d57f3p-10, 0x1.664779a8c15c5p-10, 0x1.5c0f614f1e5bap-10, 0x1.5214964d5e88bp-10, 0x1.48571963f3e41p-10, 0x1.3ed671a5ef2bep-10, 0x1.3591dbd13b97bp-10, 0x1.2c88d12997a45p-10, 0x1.23bb3e3ffb7a6p-10, 0x1.1b2927d4766ccp-10, 0x1.12d2069d6029ap-10, 0x1.0ab442094fcc1p-10, 0x1.02cd257b1c7aep-10, 0x1.f63297b662cc7p-11, 0x1.e72a0f3cb5a9cp-11, 0x1.d879bb074f318p-11, 0x1.ca1d20c045d7fp-11, 0x1.bc13e2f95feecp-11, 0x1.ae605d04d435fp-11, 0x1.a1045b93cc616p-11, 0x1.93ff8d0356738p-11, 0x1.8750ab52f991p-11, 0x1.7af6ad8872bc5p-11, 0x1.6ef0851dc7457p-11, 0x1.633d2867fe6cfp-11, 0x1.57dc65b314df5p-11, 0x1.4cceab2b6dc1ap-11, 0x1.42136ba796cf2p-11, 0x1.37a7efb252d7fp-11, 0x1.2d872317b16b1p-11, 0x1.23a97b8a90af2p-11, 0x1.1a06e97e9f1a2p-11, 0x1.109b8eb81b69cp-11, 0x1.07690b69a7b84p-11, 0x1.fce3b934a1acep-12, 0x1.eb6be9570d606p-12, 0x1.da697dd96776bp-12, 0x1.c9dde5e456748p-12, 0x1.b9c8aabafd0adp-12, 0x1.aa245ef1bcb08p-12, 0x1.9aeb1bbf5c4cep-12, 0x1.8c1bff038bd9bp-12, 0x1.7dbb2b8756dfep-12, 0x1.6fccb57a75d8p-12, 0x1.62503fb31da15p-12, 0x1.5541292ae7942p-12, 0x1.489681e9b7bedp-12, 0x1.3c42f1a15329ep-12, 0x1.303e1c956d6f8p-12, 0x1.248ab618f721p-12, 0x1.192a60dd076f5p-12, 0x1.0e1650dfcade2p-12, 0x1.034a702078b26p-12, 0x1.f196ab533d52fp-13, 0x1.dd39ca68a5cc8p-13, 0x1.c978a5610fc7ep-13, 0x1.b646efed1c8dep-13, 0x1.a39b89d0359a6p-13, 0x1.91762d5278612p-13, 0x1.7fde884de3951p-13, 0x1.6edbd9cc31084p-13, 0x1.5e6cd05c95982p-13, 0x1.4e8a803cd3893p-13, 0x1.3f2c115547445p-13, 0x1.304171584036bp-13, 0x1.21c18c2689d97p-13, 0x1.13b8087870bc2p-13, 0x1.06274e4946fffp-13, 0x1.f1fd226614e16p-14, 0x1.d86dfc302c1ep-14, 0x1.bfa70d0920c2cp-14, 0x1.a7a1f0d60703ap-14, 0x1.905612de5dd9fp-14, 0x1.79c14a959f444p-14, 0x1.63e060d8fc0bbp-14, 0x1.4eacb86ab5a46p-14, 0x1.3a232d35b4fap-14, 0x1.2649b9fab7f09p-14, 0x1.132825c484a0ap-14, 0x1.00ba085f2406cp-14, 0x1.dde8d32fefb07p-15, 0x1.bba33ac75c7f2p-15, 0x1.9a7f92d935b79p-15, 0x1.7a5fb331d1bbdp-15, 0x1.5b6036788de45p-15, 0x1.3d73e9a8e2f34p-15, 0x1.2088ae77181b2p-15, 0x1.04c4506e15ce9p-15, 0x1.d44a4598469bfp-16, 0x1.a10307f8084dep-16, 0x1.6f6f2ddfe6894p-16, 0x1.3f716f63efbb7p-16, 0x1.110ffaef6649ep-16, 0x1.c8bb43bed2435p-17, 0x1.72b5004eded5bp-17, 0x1.1fe3bb21d04bap-17, 0x1.a078b98a6bd9ap-18, 0x1.07c587d6f73a9p-18, 0x1.d6245b98947ap-20, -0x1.69b740f2f5de3p-22, -0x1.38d91455f373p-19, -0x1.1ca73aa29985bp-18, -0x1.98526f1c715b1p-18, -0x1.07a13f991bb66p-17, -0x1.40fd5fc8b8436p-17, -0x1.77cd21bb3adc5p-17, -0x1.abe70e3344734p-17, -0x1.dd9d56cf4460bp-17, -0x1.06826e79c98d7p-16, -0x1.1d07ef1441945p-16, -0x1.32674e51e7215p-16, -0x1.46c4b47fa9bc1p-16, -0x1.5a48b6673b8eep-16, -0x1.6cf6cba339cd7p-16, -0x1.7eb928ab0d2a5p-16, -0x1.8f93c5186d92fp-16, -0x1.9f98e1634767dp-16, -0x1.aebea8d7a60dcp-16, -0x1.bd01f038f7abdp-16, -0x1.ca6a426f17f0ep-16, -0x1.d6e42c54cd418p-16, -0x1.e2a29b6cd2428p-16, -0x1.edd2c0b26fa43p-16, -0x1.f875e107f6586p-16, -0x1.013468a11ff93p-15, -0x1.05cc239f9fb97p-15, -0x1.0a1559d813cc4p-15, -0x1.0e1677991ddd2p-15, -0x1.11cf3bbf4095ap-15, -0x1.153ed3046be4dp-15, -0x1.18632bba3b3abp-15, -0x1.1b38ead8a7c8ap-15, -0x1.1dc02b746c193p-15, -0x1.200500294730dp-15, -0x1.22191bb6893c7p-15, -0x1.23fb4a079385ap-15, -0x1.25a306da986a1p-15, -0x1.27178019c412ap-15, -0x1.2857ebdb07027p-15, -0x1.295e129818bedp-15, -0x1.2a2d14108a1d3p-15, -0x1.2ac1a336dce3fp-15, -0x1.2b2e647133662p-15, -0x1.2b7ecf72659d6p-15, -0x1.2ba6c38867d14p-15, -0x1.2b9bdacfedcccp-15, -0x1.2b6ad1c4f45f3p-15, -0x1.2b17177ca04b5p-15, -0x1.2aa062965f8f2p-15, -0x1.2a076c2c70d45p-15, -0x1.294d950248895p-15, -0x1.28744663179dep-15, -0x1.277c9b7abf15ep-15, -0x1.266701adb6a3ep-15, -0x1.2532cb370b77ap-15, -0x1.23de5a1370cd7p-15, -0x1.226c561329289p-15, -0x1.20e66c9fc65dp-15, -0x1.1f4cbb2a43e0bp-15, -0x1.1d9e87f143902p-15, -0x1.1bdd5bb7857c5p-15, -0x1.1a0322ad583d1p-15, -0x1.18137f5b25436p-15, -0x1.160db2e1f6e63p-15, -0x1.13fb2d550f5d2p-15, -0x1.11de47c6debc2p-15, -0x1.0faca1a95564dp-15, -0x1.0d6c07fb3b2d9p-15, -0x1.0b1eee085a754p-15, -0x1.08c4fe99476dcp-15, -0x1.065e9a1d091c1p-15, -0x1.03ec7ab01d345p-15, -0x1.016f66a878f3dp-15, -0x1.fdd03a5d0ae32p-16, -0x1.f8aea42edec2ep-16, -0x1.f37b72936f61ep-16, -0x1.ee3823cf0b3ffp-16, -0x1.e8e639d9c1fccp-16, -0x1.e386c6052c1cfp-16, -0x1.de18742aabf1cp-16, -0x1.d8982ca878dfbp-16, -0x1.d30cd4f7116a3p-16, -0x1.cd7c6f437eafcp-16, -0x1.c7e7894f2f2d1p-16, -0x1.c2474301f8631p-16, -0x1.bc9e03b1061ccp-16, -0x1.b6ed84cbde0a5p-16, -0x1.b13b2d48ef786p-16, -0x1.ab859db545621p-16, -0x1.a5ca4cd603332p-16, -0x1.a00d9763f3a77p-16, -0x1.9a4f52348378bp-16, -0x1.948fbc605115p-16, -0x1.8ecf7f6f5f1abp-16, -0x1.890f502053da7p-16, -0x1.834fdfa4931d8p-16, -0x1.7d91cfaa811c5p-16, -0x1.77d5c051dae39p-16, -0x1.721c41495e5bp-16, -0x1.6c65df5c42566p-16, -0x1.66b327b1c9ef9p-16, -0x1.6104b301b2921p-16, -0x1.5b5b1efe512e9p-16, -0x1.55b7130bd9e62p-16, -0x1.5018dd0f28717p-16, -0x1.4a7efb81475f7p-16, -0x1.44e9e8f393d9fp-16, -0x1.3f5df4ba255e9p-16, -0x1.39d9c9e1c9581p-16, -0x1.345ba256db354p-16, -0x1.2ee5bef0263d4p-16, -0x1.297839cfc0735p-16, -0x1.2413344cfb2d5p-16, -0x1.1eb6d5ce3b49ap-16, -0x1.1963cdfc4e3d5p-16, -0x1.141a1d613a31cp-16, -0x1.0ed9f78980e09p-16, -0x1.09a39c223bd1dp-16, -0x1.0477474a37695p-16, -0x1.feaa648cfd9bep-17, -0x1.f47b295737399p-17, -0x1.ea6139b416e4ap-17, -0x1.e05ce792b8c22p-17, -0x1.d66e9f3c049ep-17, -0x1.cc96a40cc8f03p-17, -0x1.c2d541819ffcap-17, -0x1.b92abf96d4269p-17, -0x1.af97633da3218p-17, -0x1.a61b6bfee6e1fp-17, -0x1.9cb715586c4afp-17, -0x1.936a9ad3e9bap-17, -0x1.8a36067c44bfap-17, -0x1.811943d6b849ep-17, -0x1.781518df55a22p-17, -0x1.6f294e1d66c86p-17, -0x1.66560439ea5cep-17, -0x1.5d9b6be211005p-17, -0x1.54f997189552cp-17, -0x1.4c709ab3df2e5p-17, -0x1.4400801cafcb3p-17, -0x1.3ba95514bf227p-17, -0x1.336b284d5744bp-17, -0x1.2b46079484256p-17, -0x1.2339f50945f24p-17, -0x1.1b46f2495009dp-17, -0x1.136cff0147494p-17, -0x1.0bac180b13daep-17, -0x1.04043d82b224bp-17, -0x1.f8eac5453e28ap-18, -0x1.e9ff03d1710eap-18, -0x1.db450d9662cd7p-18, -0x1.ccbcdcad3a7a1p-18, -0x1.be664dff54d0fp-18, -0x1.b04136a5ebec6p-18, -0x1.a24d71c6c30afp-18, -0x1.948ace06ee287p-18, -0x1.86f9148cd92c8p-18, -0x1.79980c37875f6p-18, -0x1.6c6763e354734p-18, -0x1.5f675910054eep-18, -0x1.5297a7814e095p-18, -0x1.45f8377aea58ep-18, -0x1.39884817cfbb8p-18, -0x1.2d46ec95eb765p-18, -0x1.213527dcad853p-18, -0x1.15525fd57edb7p-18, -0x1.099de4523b782p-18, -0x1.fc2f55fd8e11fp-19, -0x1.e57e9daec714bp-19, -0x1.cf298c2509334p-19, -0x1.b92f1fb937b75p-19, -0x1.a38e9acdb72d8p-19, -0x1.8e477fdefbbc8p-19, -0x1.79590c70afd58p-19, -0x1.64c2a24a197a9p-19, -0x1.5083a8e7d057cp-19, -0x1.3c9b314a6c28dp-19, -0x1.2908b8ab473c4p-19, -0x1.15cb6fb32805ap-19, -0x1.02e28fa4a572ap-19, -0x1.e09af40a705e8p-20, -0x1.bc174283263dfp-20, -0x1.9837b69347b31p-20, -0x1.74fb442d511e1p-20, -0x1.5260600107b7ep-20, }}, 
      {{0x1.9cc355b36da51p-4, 0x1.c2da93b8740fp-4, 0x1.fa6526704b988p-4, 0x1.1dad3d70f3756p-3, 0x1.3f0ba96d03863p-3, 0x1.5e0a8b7dd304ep-3, 0x1.781706b862233p-3, 0x1.8b50b119be1d7p-3, 0x1.967aad976b182p-3, 0x1.98e51f73bf49cp-3, 0x1.92545ce74dcafp-3, 0x1.82e8d34dcf785p-3, 0x1.6b0917ca5fad5p-3, 0x1.4b4ec5f4baba2p-3, 0x1.247653c4c5ce1p-3, 0x1.eea37dbd5a2fbp-4, 0x1.897baade8c513p-4, 0x1.1b339ae920908p-4, 0x1.4b0363ce06467p-5, 0x1.50567d4a1b17bp-7, -0x1.5691952b4da82p-6, -0x1.b037e5181666ap-5, -0x1.5c0b2fcef4054p-4, -0x1.e04204c18b9e3p-4, -0x1.31d88a23532d2p-3, -0x1.72b48d5135d38p-3, -0x1.b24cdbcafa874p-3, -0x1.f047e934ad369p-3, -0x1.162cee6d8f6f5p-2, -0x1.3321c76e19218p-2, -0x1.4ee8be4da28b5p-2, -0x1.696d5df8ff553p-2, -0x1.829ffa3f41e71p-2, -0x1.9a7531736a2dep-2, -0x1.b0e573ba4192cp-2, -0x1.c5ec915e06ae9p-2, -0x1.d989510342fb2p-2, -0x1.ebbd0daf2ee2ep-2, -0x1.fc8b5c67aae79p-2, -0x1.05fcdcb89f62ep-1, -0x1.0d079e92616eap-1, -0x1.136a2c0b8788dp-1, -0x1.19294b057244ap-1, -0x1.1e4a33a7e6a62p-1, -0x1.22d278021bf8fp-1, -0x1.26c7ee6d15835p-1, -0x1.2a309e85d166ep-1, -0x1.2d12b07e2c209p-1, -0x1.2f745e9407b4p-1, -0x1.315be877cbef7p-1, -0x1.32cf88761d333p-1, -0x1.33d56a30c07dfp-1, -0x1.3473a2c68ed13p-1, -0x1.34b02a3cc080ep-1, -0x1.3490d60927f57p-1, -0x1.341b54a08fa64p-1, -0x1.335529e3c55b8p-1, -0x1.3243ac56d08dp-1, -0x1.30ec03073d3e8p-1, -0x1.2f5324085afd9p-1, -0x1.2d7dd3754b606p-1, -0x1.2b70a2e73582cp-1, -0x1.292ff1498a23p-1, -0x1.26bfeb0844b6dp-1, -0x1.24248a7f4165fp-1, -0x1.216198ad79331p-1, -0x1.1e7aae15ed359p-1, -0x1.1b7333cbf435fp-1, -0x1.184e649f7aadap-1, -0x1.150f4e6a459f8p-1, -0x1.11b8d36cb6e56p-1, -0x1.0e4dabbe226c9p-1, -0x1.0ad066c832409p-1, -0x1.07436cc867683p-1, -0x1.03a9005b17cdap-1, -0x1.000340016cfacp-1, -0x1.f8a84f5740fa4p-2, -0x1.f13b247a3a033p-2, -0x1.e9c2761cd340cp-2, -0x1.e2417ecb2b674p-2, -0x1.dabb3fd49cc9p-2, -0x1.d33284182998p-2, -0x1.cba9e2cd80e71p-2, -0x1.c423c227ee141p-2, -0x1.bca259f048efdp-2, -0x1.b527b601e0b8ap-2, -0x1.adb5b8b348f7bp-2, -0x1.a64e1d284e494p-2, -0x1.9ef2798936d21p-2, -0x1.97a441284b711p-2, -0x1.9064c68aa92a8p-2, -0x1.89353d5dccd89p-2, -0x1.8216bc5422576p-2, -0x1.7b0a3eee54ffap-2, -0x1.7410a72e99656p-2, -0x1.6d2abf34082b3p-2, -0x1.66593ac38e917p-2, -0x1.5f9cb8bf0cedbp-2, -0x1.58f5c48479e63p-2, -0x1.5264d740f4edfp-2, -0x1.4bea5929e3befp-2, -0x1.4586a2acde6e9p-2, -0x1.3f39fd8b76cd5p-2, -0x1.3904a5e255cd6p-2, -0x1.32e6cb2d81ea2p-2, -0x1.2ce0913496195p-2, -0x1.26f210e6707dep-2, -0x1.211b5931be063p-2, -0x1.1b5c6fcaddc2bp-2, -0x1.15b551e4d562fp-2, -0x1.1025f4e18ccfdp-2, -0x1.0aae46f6831e9p-2, -0x1.054e2fc6b444bp-2, -0x1.000590f422439p-2, -0x1.f5a88d492d3eap-3, -0x1.eb745004e6ba4p-3, -0x1.e16e0f6554659p-3, -0x1.d7956883f3e3dp-3, -0x1.cde9f1189964fp-3, -0x1.c46b383d530d7p-3, -0x1.bb18c71ba3589p-3, -0x1.b1f22194b2d95p-3, -0x1.a8f6c6dfcc353p-3, -0x1.a0263216da7c8p-3, -0x1.977fdabb00687p-3, -0x1.8f0335349db87p-3, -0x1.86afb342ce842p-3, -0x1.7e84c4680eb82p-3, -0x1.7681d64bb115ap-3, -0x1.6ea65513f76e4p-3, -0x1.66f1abbd33c67p-3, -0x1.5f634463d1464p-3, -0x1.57fa888ca0f6ap-3, -0x1.50b6e1672a37p-3, -0x1.4997b807f2ac2p-3, -0x1.429c75a1d1a7p-3, -0x1.3bc483b603a2fp-3, -0x1.350f4c448f91dp-3, -0x1.2e7c39f3a56c5p-3, -0x1.280ab83728bcfp-3, -0x1.21ba3372d70ffp-3, -0x1.1b8a1919e2991p-3, -0x1.1579d7cae875bp-3, -0x1.0f88df6adf0dfp-3, -0x1.09b6a137d6fdp-3, -0x1.04028fe2b9fa9p-3, -0x1.fcd83f3d2f828p-4, -0x1.f1e58c613b347p-4, -0x1.e72bf5facbf07p-4, -0x1.dcaa6e2d4011cp-4, -0x1.d25fea8f4b6e1p-4, -0x1.c84b64301431p-4, -0x1.be6bd7b7efc78p-4, -0x1.b4c045643e103p-4, -0x1.ab47b11de90a4p-4, -0x1.a201227bfc0fp-4, -0x1.98eba4c9e4889p-4, -0x1.9006470ca308ap-4, -0x1.87501c0013562p-4, -0x1.7ec83a2865978p-4, -0x1.766dbbba40bbcp-4, -0x1.6e3fbea8eb85fp-4, -0x1.663d649db0f44p-4, -0x1.5e65d2f67ed32p-4, -0x1.56b832be55036p-4, -0x1.4f33b0a50cbffp-4, -0x1.47d77d03cee09p-4, -0x1.40a2cbc52f931p-4, -0x1.3994d4698f551p-4, -0x1.32acd1f998811p-4, -0x1.2bea02fe3dd11p-4, -0x1.254ba977c3a55p-4, -0x1.1ed10ad0fa551p-4, -0x1.18796fd798ep-4, -0x1.124424b28294fp-4, -0x1.0c3078d01f75ep-4, -0x1.063dbee653f33p-4, -0x1.006b4cdd01e9p-4, -0x1.f570f79197d6ep-5, -0x1.ea494fb722464p-5, -0x1.df5e60bad463ap-5, -0x1.d4aeef35b0243p-5, -0x1.ca39c5c043b35p-5, -0x1.bffdb4c7e1f5ep-5, -0x1.b5f9928d8b2dp-5, -0x1.ac2c3affe78e5p-5, -0x1.a2948fa165b2ap-5, -0x1.9931777d8cc21p-5, -0x1.9001df0a91cd5p-5, -0x1.8704b80fcf3fbp-5, -0x1.7e38f98a2e505p-5, -0x1.759d9faae2f5cp-5, -0x1.6d31aba93ac84p-5, -0x1.64f423b201542p-5, -0x1.5ce412dbc13e2p-5, -0x1.5500890433bf2p-5, -0x1.4d489ac132317p-5, -0x1.45bb614aedb1cp-5, -0x1.3e57fa5d19dbfp-5, -0x1.371d8836fe08ep-5, -0x1.300b3172f63afp-5, -0x1.292020f446b01p-5, -0x1.225b85e0440d6p-5, -0x1.1bbc937d9890cp-5, -0x1.154281234c34p-5, -0x1.0eec8a2505086p-5, -0x1.08b9edca6b438p-5, -0x1.02a9ef2ba64f8p-5, -0x1.f977aa4f8a8cap-6, -0x1.edddd4af8d30ep-6, -0x1.e284f9e1faac6p-6, -0x1.d76bbd76e8141p-6, -0x1.cc90c9effdacep-6, -0x1.c1f2d0c8a2fbep-6, -0x1.b7908a145b17bp-6, -0x1.ad68b4a9207b4p-6, -0x1.a37a15ac75095p-6, -0x1.99c378b93a6aep-6, -0x1.9043af9bfb6c1p-6, -0x1.86f99236aac84p-6, -0x1.7de3fe78bd787p-6, -0x1.7501d83a608bfp-6, -0x1.6c5208dd36deep-6, -0x1.63d37fb4f6bdep-6, -0x1.5b85316c32138p-6, -0x1.5366182eef73dp-6, -0x1.4b75337f7f672p-6, -0x1.43b18818b1d95p-6, -0x1.3c1a1fbe59e6bp-6, -0x1.34ae0963a0ab7p-6, -0x1.2d6c58be0c476p-6, -0x1.2654267141dep-6, -0x1.1f648fd48231ap-6, -0x1.189cb6e543298p-6, -0x1.11fbc223f6105p-6, -0x1.0b80dc90e6c8bp-6, -0x1.052b3583e6986p-6, -0x1.fdf40143aea8ep-7, -0x1.f1d8eb8bf0a8cp-7, -0x1.e603a1ae4bfd3p-7, -0x1.da72a3c74988ap-7, -0x1.cf2479ba142dcp-7, -0x1.c417b319119dbp-7, -0x1.b94ae72c61dc4p-7, -0x1.aebcb4af90e6fp-7, -0x1.a46bc192ce7c2p-7, -0x1.9a56bb1f2e55fp-7, -0x1.907c556393421p-7, -0x1.86db4b791718dp-7, -0x1.7d725f28def9ep-7, -0x1.744058d5342ccp-7, -0x1.6b4407615515bp-7, -0x1.627c4002af44p-7, -0x1.59e7de252e7f3p-7, -0x1.5185c34063b2cp-7, -0x1.4954d6e2ce457p-7, -0x1.4154065a22c1dp-7, -0x1.398244b9fe019p-7, -0x1.31de8ab8f477p-7, -0x1.2a67d68e93d0bp-7, -0x1.231d2bbd5c473p-7, -0x1.1bfd9332d60dfp-7, -0x1.15081ae98fa2cp-7, -0x1.0e3bd616d7a54p-7, -0x1.0797dcde30d52p-7, -0x1.011b4c2a66b3ap-7, -0x1.f58a8ba57534fp-8, -0x1.e929e03488bep-8, -0x1.dd12ec679bd95p-8, -0x1.d1440f11e0d1p-8, -0x1.c5bbafea03f83p-8, -0x1.ba783f77a9992p-8, -0x1.af783695d55a9p-8, -0x1.a4ba167c66d0cp-8, -0x1.9a3c6885b219dp-8, -0x1.8ffdbdee5c966p-8, -0x1.85fcafb1f372ap-8, -0x1.7c37de52cb7a3p-8, -0x1.72adf1dcde0e7p-8, -0x1.695d99b069824p-8, -0x1.60458c3ab88fbp-8, -0x1.5764873151944p-8, -0x1.4eb94f250a3eep-8, -0x1.4642af649b4b4p-8, -0x1.3dff79c66f72ap-8, -0x1.35ee86a8fc5ebp-8, -0x1.2e0eb47d97475p-8, -0x1.265ee7f425ebcp-8, -0x1.1ede0bcbf4fbfp-8, -0x1.178b109cbf791p-8, -0x1.1064ed42543c5p-8, -0x1.096a9e38ce93ap-8, -0x1.029b256855291p-8, -0x1.f7eb150173332p-9, -0x1.eaf1b4d1fefb9p-9, -0x1.de484e54cddfdp-9, -0x1.d1ed0f988eaccp-9, -0x1.c5de30c50902bp-9, -0x1.ba19f39a674edp-9, -0x1.ae9ea3e169109p-9, -0x1.a36a96d7df9a8p-9, -0x1.987c2b61d9a22p-9, -0x1.8dd1c9903b581p-9, -0x1.8369e2d01b397p-9, -0x1.7942f07155d5bp-9, -0x1.6f5b74cf0b392p-9, -0x1.65b1f9f8516e4p-9, -0x1.5c4511c131d7ep-9, -0x1.531356283096fp-9, -0x1.4a1b68ac1ef8fp-9, -0x1.415bf29dd5803p-9, -0x1.38d3a537925c9p-9, -0x1.308139592b6b7p-9, -0x1.28636f61b0fe2p-9, -0x1.20790f31eb1c7p-9, -0x1.18c0e784e450dp-9, -0x1.1139cd44bc82p-9, -0x1.09e29bc46f553p-9, -0x1.02ba3455af266p-9, -0x1.f77efb42a75cfp-10, -0x1.e9e2c9714f5f4p-10, -0x1.dc9db9da342b6p-10, -0x1.cfadbfb15c009p-10, -0x1.c310db3532141p-10, -0x1.b6c519f1b4b03p-10, -0x1.aac895a1c8cbcp-10, -0x1.9f1972ebc01a2p-10, -0x1.93b5e0456e933p-10, -0x1.889c14fd75187p-10, -0x1.7dca502c0bb67p-10, -0x1.733ed987f6d83p-10, -0x1.68f8012cf53f4p-10, -0x1.5ef420dfa96abp-10, -0x1.55319f097ce4ep-10, -0x1.4baeec5121f2dp-10, -0x1.426a84fc73bccp-10, -0x1.3962f04e7c89cp-10, -0x1.3096be9bd5476p-10, -0x1.28048768ddf57p-10, -0x1.1faae86f11dbap-10, -0x1.178884229078ap-10, -0x1.0f9c02196865p-10, -0x1.07e40fe3ced0fp-10, -0x1.005f62cb055bap-10, -0x1.f219735cd96f4p-11, -0x1.e3d5ba733bd28p-11, -0x1.d5f142a9b0134p-11, -0x1.c869c4baf00bbp-11, -0x1.bb3d090b57311p-11, -0x1.ae68e43b0fb63p-11, -0x1.a1eb33acefa39p-11, -0x1.95c1dd39c60cp-11, -0x1.89eac9c42bd5p-11, -0x1.7e63eac918e0ep-11, -0x1.732b3a7567494p-11, -0x1.683ec2b72b706p-11, -0x1.5d9c9eedc7ca5p-11, -0x1.5342fb73a8f68p-11, -0x1.4930155291a28p-11, -0x1.3f623661eb311p-11, -0x1.35d7b20e25f83p-11, -0x1.2c8ee303daadap-11, -0x1.23862c2f89412p-11, -0x1.1abbf52ff2c28p-11, -0x1.122eaa81ad78bp-11, -0x1.09dcbda87c1e1p-11, -0x1.01c4a6ab3af6dp-11, -0x1.f3c9d43508616p-12, -0x1.e478381b0bdd5p-12, -0x1.d591be071ff36p-12, -0x1.c713c55a421a5p-12, -0x1.b8fbb9bac5e6bp-12, -0x1.ab470dc386ffcp-12, -0x1.9df341ed4a5d8p-12, -0x1.90fde2bd898bdp-12, -0x1.84648c4d259fp-12, -0x1.7824e42144e84p-12, -0x1.6c3c9bd80c1p-12, -0x1.60a96a282c2dp-12, -0x1.556914e45455dp-12, -0x1.4a797705072e2p-12, -0x1.3fd885243069fp-12, -0x1.35844759b3cfep-12, -0x1.2b7ad1affcd29p-12, -0x1.21ba38cbb4a73p-12, -0x1.1840955e9ef7ep-12, -0x1.0f0c08110c739p-12, -0x1.061ac2bd808abp-12, -0x1.fad60fe54de42p-13, -0x1.e9f64e8e4f1f8p-13, -0x1.d992f009400dbp-13, -0x1.c9a8af304d402p-13, -0x1.ba345dce5ed5p-13, -0x1.ab32db603a91bp-13, -0x1.9ca130c837a7bp-13, -0x1.8e7c791b6787bp-13, -0x1.80c1d9300fccbp-13, -0x1.736e798c95a6ap-13, -0x1.667f866cbbed2p-13, -0x1.59f23c765d946p-13, -0x1.4dc3f52d2da39p-13, -0x1.41f231af13765p-13, -0x1.367a8a6ce98ddp-13, -0x1.2b5aa20c4c074p-13, -0x1.2090323eb3198p-13, -0x1.161905fd114b1p-13, -0x1.0bf2eda2963ep-13, -0x1.021bc310eaedfp-13, -0x1.f122ba109db6p-14, -0x1.dea33020dcde9p-14, -0x1.ccb4ae05c7aadp-14, -0x1.bb5304c7e74b5p-14, -0x1.aa7a1a96afb6dp-14, -0x1.9a26097888f2cp-14, -0x1.8a5328de4d72dp-14, -0x1.7afe10e73d0b9p-14, -0x1.6c236301ff077p-14, -0x1.5dbfcd3bc6a63p-14, -0x1.4fd03504652cdp-14, -0x1.4251b5161db9ep-14, -0x1.354183807c313p-14, -0x1.289cbc6a4a3d7p-14, -0x1.1c6051fafbf39p-14, -0x1.10891278a64d3p-14, -0x1.0513e5a073ab4p-14, -0x1.f3fb8f2533891p-15, -0x1.de87bdc922a78p-15, -0x1.c9c6c06119ba7p-15, -0x1.b5b363ef2479fp-15, -0x1.a248be275ac12p-15, -0x1.8f820e2f99e6p-15, -0x1.7d5a98eb9aeb6p-15, -0x1.6bcdd81ae9af3p-15, -0x1.5ad7de15d0231p-15, -0x1.4a75180cd247p-15, -0x1.3aa20527cb47ap-15, -0x1.2b5ad1bef9098p-15, -0x1.1c9b4c070c597p-15, -0x1.0e5ef0081214ep-15, -0x1.00a16c7c2bc54p-15, -0x1.e6bd79ef79352p-16, -0x1.cd26ab5736796p-16, -0x1.b4773aea5e311p-16, -0x1.9ca8152c8e769p-16, -0x1.85b2239f70e31p-16, -0x1.6f8e722f07df4p-16, -0x1.5a36258f10f87p-16, -0x1.45a2ec631ed46p-16, -0x1.31cf5e584dbb3p-16, -0x1.1eb6f40028113p-16, -0x1.0c55174a47087p-16, -0x1.f549d33a59931p-17, -0x1.d3427b842e785p-17, -0x1.b2890b4cfe80ap-17, -0x1.9311d71e82a72p-17, -0x1.74d1a6a3129b1p-17, -0x1.57bec3054208p-17, -0x1.3bd0ee6e393e8p-17, -0x1.210015996100ap-17, -0x1.0743167922dap-17, -0x1.dd200fc55cdafp-18, -0x1.adba6817cb3b4p-18, -0x1.8042b99bdbcdep-18, -0x1.54a8a0aae364fp-18, -0x1.2adedf1581322p-18, -0x1.02d905a418a0bp-18, -0x1.b9126e1049ab1p-19, -0x1.6fc2a10833be8p-19, -0x1.29a9a0462a2bcp-19, -0x1.cd5e7c5b35b7fp-20, -0x1.4d6f3a9a3a6b6p-20, -0x1.a69d3d3be4c82p-21, -0x1.7b1b7b339e61ap-22, 0x1.053b148fa5cd9p-24, 0x1.e89e8c69a5134p-22, 0x1.bdb5829ab39dfp-21, 0x1.3e9cd7858402p-20, 0x1.99a30f34367ap-20, 0x1.f01cee2af457ep-20, 0x1.2119e0f93856cp-19, 0x1.4804f4d1a29fep-19, 0x1.6cde5dfa7dbdp-19, 0x1.8fb768c2ab6dap-19, 0x1.b0a52fb025bdep-19, 0x1.cfbbeafd2759ap-19, 0x1.ed0b9ad54b3d1p-19, 0x1.0451fddf4c5d6p-18, 0x1.11490db180b54p-18, 0x1.1d7296fd07bb7p-18, 0x1.28d691d9c2412p-18, 0x1.337bf1ff84e9bp-18, 0x1.3d69a73b8d895p-18, 0x1.46a5058c2dff6p-18, 0x1.4f343265f3c4cp-18, 0x1.571ec4676cbp-18, 0x1.5e6cc4d3ced7fp-18, 0x1.652469ed0ec8ep-18, 0x1.6b4af5263c5ep-18, 0x1.70e44047d2aa9p-18, 0x1.75f4e982d3aaap-18, 0x1.7a832d3fa81efp-18, 0x1.7e94eed2a3131p-18, 0x1.822f46851e832p-18, 0x1.855749296ddd3p-18, 0x1.881209902913p-18, 0x1.8a63f14baeca6p-18, 0x1.8c50e7fb62201p-18, 0x1.8ddcdc0addfap-18, 0x1.8f0bf16af1d67p-18, 0x1.8fe2436117488p-18, 0x1.9063873b8c053p-18, 0x1.9093285235535p-18, 0x1.90749cdec64d3p-18, 0x1.900c15a9fcf65p-18, 0x1.8f5dab05846cbp-18, 0x1.8e6c08ff4377ep-18, 0x1.8d3999a0cda8bp-18, 0x1.8bc97c5d7b235p-18, 0x1.8a1ea09b5592ep-18, 0x1.883c95097cfecp-18, 0x1.86259fd9e5939p-18, 0x1.83dc5db13f01bp-18, 0x1.8163822d9d7bfp-18, 0x1.7ebd992bc62b2p-18, 0x1.7bed08052aeeap-18, 0x1.78f3f67caaed9p-18, 0x1.75d4aeafc749bp-18, 0x1.72918a49c072p-18, 0x1.6f2cb8b749b9ap-18, 0x1.6ba8a4fe4b27cp-18, 0x1.6806aff582b28p-18, 0x1.6448e2bbf5202p-18, 0x1.6070b6fcd972bp-18, 0x1.5c805c5b70e77p-18, 0x1.5879865cff5bcp-18, 0x1.545d370695c58p-18, 0x1.502d27655a6c6p-18, 0x1.4beb42bf91dfep-18, 0x1.47990e8c9f92p-18, 0x1.4337ace3c9d83p-18, 0x1.3ec838427db65p-18, 0x1.3a4c5e49ab779p-18, 0x1.35c51c4ec132dp-18, 0x1.3133efe7535d9p-18, 0x1.2c9994849ceb8p-18, 0x1.27f7316636c4fp-18, 0x1.234d976f4380dp-18, 0x1.1e9e0983533dp-18, 0x1.19e9720489d92p-18, 0x1.1531535bfcd1ap-18, 0x1.107686bc2a8abp-18, 0x1.0bb9d6652050fp-18, 0x1.06fbc64dce215p-18, 0x1.023d160d4ecdap-18, 0x1.fafd7b8bd87d5p-19, 0x1.f1827b838ed25p-19, 0x1.e80a291d14901p-19, 0x1.de970e3aac18ep-19, 0x1.d52a29dfa631cp-19, 0x1.cbc4aee4f49d8p-19, 0x1.c266dde1b2677p-19, 0x1.b912650118993p-19, 0x1.afc8850677a23p-19, 0x1.a68a4bb6e575dp-19, 0x1.9d57cd9787c49p-19, 0x1.9433071d32becp-19, 0x1.8b1c3dd7acf2ep-19, 0x1.821440eb9c9e4p-19, 0x1.791b711755b3fp-19, 0x1.7032530dbf196p-19, 0x1.675a7c7b8e08ap-19, 0x1.5e94e7bbd7852p-19, 0x1.55e1a9b072ad7p-19, 0x1.4d415a8fb831ap-19, 0x1.44b4450e7f0fap-19, 0x1.3c3b1b3b9b35p-19, 0x1.33d644a413a0ap-19, 0x1.2b8643ec70a2dp-19, 0x1.234b6e9c36acap-19, 0x1.1b265ba8f4688p-19, 0x1.131766b0b1249p-19, 0x1.0b1e9fd8dce1cp-19, 0x1.033c95664ce71p-19, 0x1.f6e269479f84fp-20, 0x1.e7798403fa2ccp-20, 0x1.d83fbf09725a7p-20, 0x1.c935c20c2f475p-20, 0x1.ba5b1c72208edp-20, 0x1.abafef1767606p-20, 0x1.9d34c3013126cp-20, 0x1.8ee9fb39457d3p-20, 0x1.80cfc86d3f163p-20, 0x1.72e6556abe812p-20, 0x1.652dcd046c1d9p-20, 0x1.57a65396b9d96p-20, 0x1.4a50060837d5cp-20, 0x1.3d2aeac67cac5p-20, 0x1.3036ff59cb73ep-20, 0x1.2374d9ee54d61p-20, 0x1.16e2d87d3ab72p-20, 0x1.0a822561e8ae6p-20, 0x1.fca603ed3ca8p-21, 0x1.e4aa247a0d7a7p-21, 0x1.cd0fa8c3fcae4p-21, 0x1.b5d7121fe856fp-21, 0x1.9efeb5e07b8b3p-21, 0x1.888760b31ecap-21, 0x1.727053bddd448p-21, 0x1.5cb93493a98efp-21, 0x1.4761595e76e6fp-21, 0x1.326925c34a923p-21, 0x1.1dceafd7c22cep-21, 0x1.0992aa56f3bcep-21, 0x1.eb67a8e6b972cp-22, 0x1.c46378d24611fp-22, 0x1.9e16cc97596bdp-22, 0x1.78817c91876a7p-22, 0x1.53a1335ca1626p-22, 0x1.2f751b4b4d529p-22, 0x1.0bfce18eaf2dap-22, 0x1.d269dc281c674p-23, 0x1.8e397ca0cee8fp-23, 0x1.4b6782331d59ep-23, 0x1.09efee2c5d92bp-23, 0x1.93986cbadebf9p-24, 0x1.15f08c6342586p-24, 0x1.35e44904185b3p-25, 0x1.14587ecd1b564p-27, -0x1.4d28e9e0259c4p-26, -0x1.8d2e7c4258f37p-25, -0x1.375d816f0babap-24, -0x1.a5a540a046396p-24, -0x1.08bb2e4360081p-23, -0x1.3d6cb8e177373p-23, -0x1.70ea35fb3fdap-23, -0x1.a332ed595d9dfp-23, -0x1.d450536d59271p-23, -0x1.0223f36d9d03bp-22, -0x1.198a352d72b18p-22, -0x1.305fa69728d54p-22, -0x1.46a5e474f4075p-22, -0x1.5c5e8a6e5edc3p-22, -0x1.718b524a76f07p-22, -0x1.862e198350be6p-22, -0x1.9a489e4054529p-22, -0x1.addca91fc655bp-22, -0x1.c0ec0b54f76ecp-22, -0x1.d37885562ef7ap-22, -0x1.e583aa2d15082p-22, -0x1.f70ef88b64f9dp-22, -0x1.040f7330168f2p-21, -0x1.0c5998a3fbf71p-21, -0x1.1466337de80fap-21, -0x1.1c360c161fadcp-21, -0x1.23caef142ea3ap-21, -0x1.2b264b60e0b83p-21, -0x1.32483a22ad2bap-21, -0x1.39314e1bd5023p-21, -0x1.3fe2a55c71795p-21, -0x1.465d2da91b6ddp-21, -0x1.4ca1c71c17603p-21, -0x1.52b1712b8a95ap-21, -0x1.588c514972c4ep-21, -0x1.5e3419db73c54p-21, -0x1.63a8f3939465ep-21, -0x1.68ecbd7632b71p-21, -0x1.6dff1554d3ef9p-21, -0x1.72e12dbbae3a9p-21, -0x1.779411a0604cbp-21, -0x1.7c186f61aa5e8p-21, -0x1.806f12df896aap-21, -0x1.8498e0155b336p-21, -0x1.8896b42116d63p-21, -0x1.8c687dd93bd4bp-21, -0x1.9010321f96677p-21, -0x1.938dd52a97721p-21, -0x1.96e21a66de11p-21, -0x1.9a0e3e720ef24p-21, -0x1.9d12c866f46a8p-21, -0x1.9ff0573f90664p-21, -0x1.a2a78c5acfac5p-21, -0x1.a5395d0db5736p-21, -0x1.a7a69cd004038p-21, -0x1.a9f13745916c8p-21, -0x1.ac1645c11c17cp-21, -0x1.ae18d14156124p-21, -0x1.affa45df0c6c4p-21, -0x1.b1ba213d89db5p-21, -0x1.b3598cd3d7b36p-21, -0x1.b4d8db7c8e4a3p-21, -0x1.b6382580b3b96p-21, -0x1.b77976209ae08p-21, -0x1.b89c42f858cep-21, -0x1.b9a1c26147e07p-21, -0x1.ba8ae15a21465p-21, -0x1.bb578e8e12c89p-21, -0x1.bc0748626483bp-21, -0x1.bc9d459776c61p-21, -0x1.bd1897ee9e4cdp-21, -0x1.bd79e05ff24a6p-21, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.eaa5f0bbaff16p-10, -0x1.a66a3b393c6a1p-7, -0x1.0b268f85a1213p-5, -0x1.cca68ed51d7d2p-5, -0x1.400b784c505d3p-4, -0x1.7ef5f67b44a2bp-4, -0x1.94f89929d746dp-4, -0x1.79f3d1909cd61p-4, -0x1.2b10fcffbbc7p-4, -0x1.535e9dcd3cd6fp-5, 0x1.6f64bb3eaf0e8p-10, 0x1.b96ab176b677dp-5, 0x1.d3890c4846e96p-4, 0x1.7105cde752efap-3, 0x1.0005d98fa9c0bp-2, 0x1.497b83683d32ep-2, 0x1.931e323cf96bfp-2, 0x1.db5bd9fe92e8ap-2, 0x1.106d769db1c88p-1, 0x1.313dc43d316a2p-1, 0x1.4faafc5a8d53p-1, 0x1.6b5bb9ec19492p-1, 0x1.840ed71aecf25p-1, 0x1.9998e7afba789p-1, 0x1.abe193b124de5p-1, 0x1.bae0f6b250a0cp-1, 0x1.c69d1b205e1dbp-1, 0x1.cf27a0c8536b7p-1, 0x1.d49b97e89a6afp-1, 0x1.d71b9317003f9p-1, 0x1.d6cff084ce912p-1, 0x1.d3e5590c51831p-1, 0x1.ce8b70b257c9dp-1, 0x1.c6f3b58744cc4p-1, 0x1.bd508a163e2c8p-1, 0x1.b1d4670cd06f5p-1, 0x1.a4b12fddcbea9p-1, 0x1.9617a7155758dp-1, 0x1.8636ff08752a9p-1, 0x1.753c832bd6b2bp-1, 0x1.63535676747d2p-1, 0x1.50a443dcb48c9p-1, 0x1.3d559e64f013bp-1, 0x1.298b2e9a71659p-1, 0x1.15662b3cbfd27p-1, 0x1.01053b409e6c3p-1, 0x1.d908fe8e4c478p-2, 0x1.affb424aaa4d9p-2, 0x1.870fd0ba57cbap-2, 0x1.5e70a4296446ap-2, 0x1.364357f7a7823p-2, 0x1.0ea9625cf7342p-2, 0x1.cf80a02e520d7p-3, 0x1.834404d81d31bp-3, 0x1.38c9d8808f6cap-3, 0x1.e0713eb407164p-4, 0x1.5361e830b7cbp-4, 0x1.9537efe928d0bp-5, 0x1.192ec5a724b59p-6, -0x1.cb5ece50d0b2bp-7, -0x1.68dff3326a4fdp-5, -0x1.2aad9e165aa47p-4, -0x1.9c189e49c09f3p-4, -0x1.045585cc7cfe6p-3, -0x1.383247ab74d46p-3, -0x1.69a4e9b16693cp-3, -0x1.98b1fa81d8d04p-3, -0x1.c56000dee2efap-3, -0x1.efb73eeafe397p-3, -0x1.0be0bcec5cbe8p-2, -0x1.1ec4e30c4b01cp-2, -0x1.308e2bc4e012cp-2, -0x1.41432acd83c6cp-2, -0x1.50ead99f6d46dp-2, -0x1.5f8c85184e3dap-2, -0x1.6d2fbce5b6544p-2, -0x1.79dc446554905p-2, -0x1.859a05173e104p-2, -0x1.90710251fb4f9p-2, -0x1.9a694e5c654b2p-2, -0x1.a38b0094809e3p-2, -0x1.abde2cce69613p-2, -0x1.b36adb8c39ebdp-2, -0x1.ba390348c04d1p-2, -0x1.c050827097e4fp-2, -0x1.c5b91a4705629p-2, -0x1.ca7a6a5539dc6p-2, -0x1.ce9beca1f3015p-2, -0x1.d224f2613bbfep-2, -0x1.d51ca13af06c6p-2, -0x1.d789f109fd4bap-2, -0x1.d973aa02a6d6dp-2, -0x1.dae063522966dp-2, -0x1.dbd681fa977fep-2, -0x1.dc5c38219f92dp-2, -0x1.dc77849061ae1p-2, -0x1.dc2e3283ce58fp-2, -0x1.db85d9b404e61p-2, -0x1.da83de84e7ceap-2, -0x1.d92d727c7270dp-2, -0x1.d78794ca59003p-2, -0x1.d59712f826373p-2, -0x1.d36089ca2d29dp-2, -0x1.d0e866190c7f8p-2, -0x1.ce32e5dd532d6p-2, -0x1.cb4419470d08ep-2, -0x1.c81fe3d19b93p-2, -0x1.c4c9fd8311b25p-2, -0x1.c145f41afc30bp-2, -0x1.bd972c4cc82e5p-2, -0x1.b9c0e30e90b41p-2, -0x1.b5c62edc1fb13p-2, -0x1.b1aa00f1c96b6p-2, -0x1.ad6f26a5a3486p-2, -0x1.a9184aa58f147p-2, -0x1.a4a7f6309df97p-2, -0x1.a0209263877dep-2, -0x1.9b84696ce18d8p-2, -0x1.96d5a7b970867p-2, -0x1.92165d2c13ea4p-2, -0x1.8d487e41b9e4p-2, -0x1.886de52db91bbp-2, -0x1.838852f0c046ap-2, -0x1.7e997073024ebp-2, -0x1.79a2cf82edf5ap-2, -0x1.74a5ebd667248p-2, -0x1.6fa42c0a1ea5bp-2, -0x1.6a9ee28b8d569p-2, -0x1.65974e8038751p-2, -0x1.608e9ca8d3513p-2, -0x1.5b85e8398b961p-2, -0x1.567e3ba33b403p-2, -0x1.5178915f42f4dp-2, -0x1.4c75d4b056a4cp-2, -0x1.4776e259970cap-2, -0x1.427c894998b2ep-2, -0x1.3d878b4b955bbp-2, -0x1.38989da6edb24p-2, -0x1.33b069b8ae3a9p-2, -0x1.2ecf8d8801f58p-2, -0x1.29f69c590b1e8p-2, -0x1.25261f321d95p-2, -0x1.205e955bb8598p-2, -0x1.1ba074deb5a49p-2, -0x1.16ec2affdc4bp-2, -0x1.12421ca9d12c8p-2, -0x1.0da2a6dbe1531p-2, -0x1.090e1f124a87ep-2, -0x1.0484d3aa016bfp-2, -0x1.00070c3d50374p-2, -0x1.f72a13f2a8908p-3, -0x1.ee5e0ff30f9eep-3, -0x1.e5aa772c525ap-3, -0x1.dd0fa966e82fp-3, -0x1.d48dfc0f823b2p-3, -0x1.cc25bac550662p-3, -0x1.c3d727e717e69p-3, -0x1.bba27d0d16848p-3, -0x1.b387eb82058f5p-3, -0x1.ab879cb4466fcp-3, -0x1.a3a1b2a5b2e72p-3, -0x1.9bd64858ce29dp-3, -0x1.9425722fd88a8p-3, -0x1.8c8f3e48e8866p-3, -0x1.8513b4d89b2dbp-3, -0x1.7db2d883f4146p-3, -0x1.766ca6ae9a068p-3, -0x1.6f4117cd7d271p-3, -0x1.68301fa4fc6edp-3, -0x1.6139ad98046f5p-3, -0x1.5a5dace923201p-3, -0x1.539c04f97346p-3, -0x1.4cf4998871d5ap-3, -0x1.46674ae5140bcp-3, -0x1.3ff3f627c0329p-3, -0x1.399a756cd6a77p-3, -0x1.335a9ffceb714p-3, -0x1.2d344a836ff47p-3, -0x1.272747362b05cp-3, -0x1.213365fe08e9dp-3, -0x1.1b5874a629953p-3, -0x1.15963effe056bp-3, -0x1.0fec8f06c6dc8p-3, -0x1.0a5b2d03aa6e4p-3, -0x1.04e1dfacc78aap-3, -0x1.ff00d88a5f8c1p-4, -0x1.f46d2d7f0f0adp-4, -0x1.ea0843ad6bf88p-4, -0x1.dfd19e54ffd82p-4, -0x1.d5c8beb09436ap-4, -0x1.cbed242afcfc3p-4, -0x1.c23e4c8634226p-4, -0x1.b8bbb416e8da7p-4, -0x1.af64d5e4adf8bp-4, -0x1.a6392bd5a2458p-4, -0x1.9d382ed36ad83p-4, -0x1.946156ef59fccp-4, -0x1.8bb41b869e5e3p-4, -0x1.832ff3690a1edp-4, -0x1.7ad454eed64a4p-4, -0x1.72a0b61e3150ap-4, -0x1.6a948cc5b56cbp-4, -0x1.62af4e91e2bap-4, -0x1.5af0713146a1ap-4, -0x1.53576a61b81b4p-4, -0x1.4be3b0147befap-4, -0x1.4494b879453aap-4, -0x1.3d69fa16eb91ep-4, -0x1.3662ebdf73aafp-4, -0x1.2f7f053f23155p-4, -0x1.28bdbe34f13d8p-4, -0x1.221e8f5c9069cp-4, -0x1.1ba0f2064a7p-4, -0x1.1544603a2b5bcp-4, -0x1.0f0854d141dacp-4, -0x1.08ec4b785d2abp-4, -0x1.02efc0c72b49p-4, -0x1.fa24648570259p-5, -0x1.eea63cdaedddcp-5, -0x1.e36409a40038bp-5, -0x1.d85ccc0ec3ad3p-5, -0x1.cd8f8783cffcdp-5, -0x1.c2fb419e3986ep-5, -0x1.b89f025794ba4p-5, -0x1.ae79d400baae4p-5, -0x1.a48ac358fdaa5p-5, -0x1.9ad0df9b8132dp-5, -0x1.914b3a8332294p-5, -0x1.87f8e85d388a1p-5, -0x1.7ed9000534c8p-5, -0x1.75ea9af88fe77p-5, -0x1.6d2cd55bc617cp-5, -0x1.649ecdff8c5adp-5, -0x1.5c3fa66c59e58p-5, -0x1.540e82e0b1058p-5, -0x1.4c0a8a5801844p-5, -0x1.4432e68abed16p-5, -0x1.3c86c3f5377cfp-5, -0x1.350551d5ec30ap-5, -0x1.2dadc23c5d653p-5, -0x1.267f49fce29f5p-5, -0x1.1f7920b99045fp-5, -0x1.189a80deb5606p-5, -0x1.11e2a79e9f8e8p-5, -0x1.0b50d4f0a6dabp-5, -0x1.04e44b99fa952p-5, -0x1.fd38a2436e623p-6, -0x1.f0f05bbc4f9c1p-6, -0x1.e4ee59ce2125cp-6, -0x1.d9313824f0d84p-6, -0x1.cdb797e3b8aep-6, -0x1.c2801f933eca5p-6, -0x1.b7897b2c08d1fp-6, -0x1.acd25c0a9ba83p-6, -0x1.a25978f22331ap-6, -0x1.981d8dfea0e47p-6, -0x1.8e1d5c953bd68p-6, -0x1.8457ab5258ebcp-6, -0x1.7acb45ff21154p-6, -0x1.7176fd80263c2p-6, -0x1.6859a7e5e4e63p-6, -0x1.5f72205466059p-6, -0x1.56bf470c3449cp-6, -0x1.4e4001487423ep-6, -0x1.45f339300bdcfp-6, -0x1.3dd7ddbdf3e92p-6, -0x1.35ece2abca5dbp-6, -0x1.2e31408247eacp-6, -0x1.26a3f47c9ef42p-6, -0x1.1f4400a4e0a83p-6, -0x1.18106bb9a5908p-6, -0x1.1108410bc5e1cp-6, -0x1.0a2a9064e4a2cp-6, -0x1.03766de2451d4p-6, -0x1.f9d5e3d00b125p-7, -0x1.ed0e724df2664p-7, -0x1.e094c95a39849p-7, -0x1.d46733da8cde3p-7, -0x1.c884056ebff83p-7, -0x1.bce99a1cb1fe5p-7, -0x1.b19655fb75be7p-7, -0x1.a688a4ab7c3dcp-7, -0x1.9bbef9276971bp-7, -0x1.9137cdd18db9ep-7, -0x1.86f1a4b3c4c1bp-7, -0x1.7ceb07d1b3d48p-7, -0x1.732289642f24ap-7, -0x1.6996c3a73f599p-7, -0x1.60465856a28ffp-7, -0x1.572fefff5987bp-7, -0x1.4e523940a7373p-7, -0x1.45abe898b6a52p-7, -0x1.3d3bb87d07bc4p-7, -0x1.350069e9fdeedp-7, -0x1.2cf8c5316758ep-7, -0x1.25239a56bc5c8p-7, -0x1.1d7fc124480e1p-7, -0x1.160c1861af02ap-7, -0x1.0ec784cf94da5p-7, -0x1.07b0eff8cb167p-7, -0x1.00c7477a4be5fp-7, -0x1.f412fa18efe39p-8, -0x1.e6ed0e7e0d32bp-8, -0x1.da1ac54b61a78p-8, -0x1.cd9a261e7b822p-8, -0x1.c1694807cc6dep-8, -0x1.b58650f824fdcp-8, -0x1.a9ef733dec6f4p-8, -0x1.9ea2ea15d76fap-8, -0x1.939ef6783ce1p-8, -0x1.88e1dd653ce3dp-8, -0x1.7e69e85ce3ec3p-8, -0x1.743567d689498p-8, -0x1.6a42b6e43ba41p-8, -0x1.60903e82667e1p-8, -0x1.571c7771a506ep-8, -0x1.4de5e9951a3fap-8, -0x1.44eb28d251f39p-8, -0x1.3c2ad0d29ea87p-8, -0x1.33a380737ca58p-8, -0x1.2b53d71b5b4f8p-8, -0x1.233a74b5292fap-8, -0x1.1b55fc399b6dbp-8, -0x1.13a517d39c0aep-8, -0x1.0c267d491a72ep-8, -0x1.04d8f11466991p-8, -0x1.fb768e7017b32p-9, -0x1.ed98c278f667cp-9, -0x1.e01653b155464p-9, -0x1.d2ed1f88949e6p-9, -0x1.c61b02d8df781p-9, -0x1.b99dd65777573p-9, -0x1.ad7370fba77f6p-9, -0x1.a199ae5853213p-9, -0x1.960e76f513235p-9, -0x1.8acfc7cad2ad8p-9, -0x1.7fdbb71914b2ap-9, -0x1.753075c229f0bp-9, -0x1.6acc4bf03e6fbp-9, -0x1.60ad918d488eap-9, -0x1.56d2a4d0e2397p-9, -0x1.4d39e2c9ae58ap-9, -0x1.43e1a4e4c972ap-9, -0x1.3ac843e9c1cdfp-9, -0x1.31ec1db1cef68p-9, -0x1.294b9a218bdd4p-9, -0x1.20e52de9b1ab3p-9, -0x1.18b75bf74ee8ap-9, -0x1.10c0b6d0fb615p-9, -0x1.08ffe17425bcap-9, -0x1.01738d9a50549p-9, -0x1.f434eca4ea5e8p-10, -0x1.e5e6b3b71df41p-10, -0x1.d7f9eca330f2p-10, -0x1.ca6c19bdc809p-10, -0x1.bd3ad0794c807p-10, -0x1.b063c1ac88365p-10, -0x1.a3e4b493fb1cep-10, -0x1.97bb7836839a8p-10, -0x1.8be5d81c15f87p-10, -0x1.80619e87b2427p-10, -0x1.752ca12216c7fp-10, -0x1.6a44cbeebfee2p-10, -0x1.5fa81fd3e43f7p-10, -0x1.5554a7edfbd11p-10, -0x1.4b48743cb43c6p-10, -0x1.4181a4556a141p-10, -0x1.37fe7c3f47efep-10, -0x1.2ebd6fd9a7f19p-10, -0x1.25bd1498ada32p-10, -0x1.1cfbfd9de7e5bp-10, -0x1.14789b31086dep-10, -0x1.0c3135237cdb2p-10, -0x1.042402fba5da6p-10, -0x1.f89e9bb58616ep-11, -0x1.e9630146a41e3p-11, -0x1.da923d0ed5225p-11, -0x1.cc2960a3ef5c7p-11, -0x1.be25833e8bc21p-11, -0x1.b083ed60e38a6p-11, -0x1.a34252c045cb9p-11, -0x1.965edeb93436ep-11, -0x1.89d7f426dcf0fp-11, -0x1.7dabbe88e3951p-11, -0x1.71d7e1f803f6cp-11, -0x1.6659863c8024dp-11, -0x1.5b2db2bb2ce73p-11, -0x1.5051b36d18645p-11, -0x1.45c33fcda6e57p-11, -0x1.3b80568cc44fbp-11, -0x1.3186ff161eadp-11, -0x1.27d53051b0edap-11, -0x1.1e68f2daa7db9p-11, -0x1.1540a041cd66fp-11, -0x1.0c5b030630e75p-11, -0x1.03b72c28929e7p-11, -0x1.f6a8093f32a89p-12, -0x1.e65fc5662ab19p-12, -0x1.d690f6a77d241p-12, -0x1.c7367a4d187ddp-12, -0x1.b84b9d99cbb44p-12, -0x1.a9ccb42f6b139p-12, -0x1.9bb708f3db818p-12, -0x1.8e086226741d3p-12, -0x1.80be896e50bfcp-12, -0x1.73d722c2b2363p-12, -0x1.674fd722cdf02p-12, -0x1.5b26aac830b74p-12, -0x1.4f5a33e405434p-12, -0x1.43e958e341f2cp-12, -0x1.38d28e601b366p-12, -0x1.2e131eb15350cp-12, -0x1.23a7227385e12p-12, -0x1.198a362027617p-12, -0x1.0fb8526ba1348p-12, -0x1.062e4a0a2aa8bp-12, -0x1.f9d3e7983e60fp-13, -0x1.e7d42086bfbfdp-13, -0x1.d65bc329746e3p-13, -0x1.c569408e5a7a6p-13, -0x1.b4fa4fed8119ep-13, -0x1.a50c3dc14d5d6p-13, -0x1.959cc3d13b49cp-13, -0x1.86aa5975c1274p-13, -0x1.7833995b3f439p-13, -0x1.6a363b8cdb856p-13, -0x1.5cae518b18e0ap-13, -0x1.4f963e3f14131p-13, -0x1.42e771a1195ccp-13, -0x1.369b09e67330ep-13, -0x1.2aaa90219bb44p-13, -0x1.1f118bf3f4d67p-13, -0x1.13cebc07e5d3p-13, -0x1.08e2fde414052p-13, -0x1.fc9d8069ac4ccp-14, -0x1.e821a131ecfc7p-14, -0x1.d44e9046d71acp-14, -0x1.c120f7a2409dcp-14, -0x1.ae9586ec08cd1p-14, -0x1.9ca8eb1c92967p-14, -0x1.8b59043a26804p-14, -0x1.7aa4a12aff996p-14, -0x1.6a892ce492fddp-14, -0x1.5b00f85115b27p-14, -0x1.4c02fa9c16d29p-14, -0x1.3d82b377451cbp-14, -0x1.2f73018de1d64p-14, -0x1.21cd0226ccdcep-14, -0x1.1491ef8f3d1cap-14, -0x1.07c45197ccadfp-14, -0x1.f6c5e6af6e16dp-15, -0x1.ded7a75a1f387p-15, -0x1.c7bdb9e69b1e8p-15, -0x1.b1755918f04bbp-15, -0x1.9bf4acad91899p-15, -0x1.87312bfade208p-15, -0x1.73276a3026795p-15, -0x1.5fdb11c231d07p-15, -0x1.4d4fc4bf54c4ep-15, -0x1.3b830391c5d96p-15, -0x1.2a6c78b12db76p-15, -0x1.19fe007156817p-15, -0x1.0a238cdb14959p-15, -0x1.f5a00903a4987p-16, -0x1.d80b2bfcdde51p-16, -0x1.bb8a3069c6ab8p-16, -0x1.a007c757bb5cep-16, -0x1.8576263ea9b1ap-16, -0x1.6bdf420f8dc39p-16, -0x1.534b1e75edc9fp-16, -0x1.3baf943875caep-16, -0x1.24f9983b861fdp-16, -0x1.0f1a95fbd2959p-16, -0x1.f41fa470775b1p-17, -0x1.cbc1eb50e397fp-17, -0x1.a52a266615038p-17, -0x1.80503bcac9ea1p-17, -0x1.5d1db32f10d44p-17, -0x1.3b779297ff4b5p-17, -0x1.1b30e9b2aaf54p-17, -0x1.f85dd0210b15p-18, -0x1.bd175bced6e4ep-18, -0x1.849361179e02ap-18, -0x1.4e74ddf778ef6p-18, -0x1.1a924f92445d3p-18, -0x1.d1e9ba4f8b019p-19, -0x1.730d5b1c77ab2p-19, -0x1.185885219371bp-19, -0x1.8369e23a7dae6p-20, -0x1.bc1fb734fc8f1p-21, -0x1.0134d473f5358p-22, 0x1.5848c06f2dc17p-22, 0x1.c9d422f5ab3bfp-21, 0x1.6c0585407dd9dp-20, 0x1.eba4670436adfp-20, 0x1.32226db23fcp-19, 0x1.6b184e357687fp-19, 0x1.a1100a4aa6df5p-19, 0x1.d457fb9074543p-19, 0x1.025a6b319c881p-18, 0x1.1926bd8f190dep-18, 0x1.2eaa4e47e5d34p-18, 0x1.42bcf79ce70fbp-18, 0x1.5564b4dac4088p-18, 0x1.66d5f3699db12p-18, 0x1.773b5dba9967dp-18, 0x1.86a88ffa00cb8p-18, 0x1.951c72a6a3dc3p-18, 0x1.a28eebf1094adp-18, 0x1.af02c82f20f63p-18, 0x1.ba868f20c880bp-18, 0x1.c5205729ae94fp-18, 0x1.cec9495bf432bp-18, 0x1.d78954f5f2729p-18, 0x1.df706048a1fa8p-18, 0x1.e6796fb819479p-18, 0x1.ecbfb02452329p-18, 0x1.f267e7803ff67p-18, 0x1.f76e5b78461e5p-18, 0x1.fbe69de8dc692p-18, 0x1.ffb509898528bp-18, 0x1.01685dc5bdda8p-17, 0x1.02a8b010f832bp-17, 0x1.039f50569be2bp-17, 0x1.044b93a42a872p-17, 0x1.04b0aabadd4fbp-17, 0x1.04d8b4525d69ap-17, 0x1.04ce847a7190cp-17, 0x1.049363c0f430ap-17, 0x1.04229439d014p-17, 0x1.037de7f5ebed2p-17, 0x1.02aa96eb8c723p-17, 0x1.01a6f90b23454p-17, 0x1.0073161c4cb26p-17, 0x1.fe233eddfc088p-18, 0x1.fafdccdc4f888p-18, 0x1.f78e3d0dd926cp-18, 0x1.f3ea4b6e0c19ep-18, 0x1.f013aab123f8bp-18, 0x1.ebfb65aa29c8ep-18, 0x1.e799b1993cfbdp-18, 0x1.e3013d55f9b1cp-18, 0x1.de38a2a400926p-18, 0x1.d940b4df95a86p-18, 0x1.d4198255397f9p-18, 0x1.cec241a8a7d59p-18, 0x1.c93926a416a99p-18, 0x1.c37f7ff7db965p-18, 0x1.bda05ddd8794cp-18, 0x1.b7ab0e03235c8p-18, 0x1.b19ed6d23c21cp-18, 0x1.ab759774aecedp-18, 0x1.a535daf920df6p-18, 0x1.9edf8d61c07cap-18, 0x1.986eac0afd8f7p-18, 0x1.91e6a100e73b5p-18, 0x1.8b45c5394d826p-18, 0x1.849a481f1a04fp-18, 0x1.7ded08805115p-18, 0x1.7735b3a9e59fp-18, 0x1.706d2ba6cd75cp-18, 0x1.699d48686e818p-18, 0x1.62c902bc86ba3p-18, 0x1.5bf08e7b75885p-18, 0x1.5514ceaf54411p-18, 0x1.4e372368a9e57p-18, 0x1.4758e51083b14p-18, 0x1.407b3b904289bp-18, 0x1.399ec40c374a6p-18, 0x1.32c371a888199p-18, 0x1.2be8ad1e55701p-18, 0x1.2510d92f404b4p-18, 0x1.1e418bb733c86p-18, 0x1.177b643314524p-18, 0x1.10be18b3161dcp-18, 0x1.0a0aa849a287bp-18, 0x1.035e31cb8134ep-18, 0x1.f9763351c6a95p-19, 0x1.ec42cf381952ap-19, 0x1.df2b66c6cac3p-19, 0x1.d2329444cd926p-19, 0x1.c54f097cf0dbbp-19, 0x1.b886ab7e4bfd9p-19, 0x1.abdc175b238b3p-19, 0x1.9f4f59e7fd46cp-19, 0x1.92e123b558ffcp-19, 0x1.8692625990af4p-19, 0x1.7a63ec4737a6dp-19, 0x1.6e56a3ace0a6ap-19, 0x1.626b5a2cfa0dcp-19, 0x1.56a2d6f1e2b71p-19, 0x1.4afdd02a200bbp-19, 0x1.3f7ce7ac37ce1p-19, 0x1.34208db57fbb6p-19, 0x1.28e8918a37cdcp-19, 0x1.1dd4b2d228f2ap-19, 0x1.12e707b1a4b39p-19, 0x1.0820c82fd8085p-19, 0x1.fb0353fda4f4p-20, 0x1.e611eae63b355p-20, 0x1.d16ec572889bdp-20, 0x1.bd1b18a2dd5d8p-20, 0x1.a916e32238914p-20, 0x1.95624f9c5a801p-20, 0x1.81fdb653e9692p-20, 0x1.6ee940c5b9c6ep-20, 0x1.5c2534c7fddp-20, 0x1.49b1aa7932bc4p-20, 0x1.378eadee731aep-20, 0x1.25bc28c61e233p-20, 0x1.143a75f4797d9p-20, 0x1.0308dd2735a51p-20, 0x1.e44f8f5706b44p-21, 0x1.c32d85acf7358p-21, 0x1.a2ab6020606b9p-21, 0x1.82c86f0ad98afp-21, 0x1.6383f47dc8fc3p-21, 0x1.44dcdd994ce84p-21, 0x1.26d1d54e99136p-21, 0x1.0961ee40e6776p-21, 0x1.d922e28bad0ap-22, 0x1.a0c31d472bcf2p-22, 0x1.698991f1adf36p-22, 0x1.337aff720558ap-22, 0x1.fd4dcda2e9219p-23, 0x1.95f9300cdb8a5p-23, 0x1.30f828fd88a02p-23, 0x1.9c87edc2e793p-24, 0x1.b77718c77ceccp-25, 0x1.f6e256a345739p-28, -0x1.30bcf3345a0bdp-25, -0x1.4bb37b92cbe0fp-24, -0x1.fa9ccb4a625d1p-24, -0x1.529342d574656p-23, -0x1.a5add2e06c3aep-23, -0x1.f6a60c8ac5a4cp-23, -0x1.22be26ca3b2d7p-22, -0x1.491f9f909adeep-22, -0x1.6e774deab253bp-22, -0x1.92c9595bc44f3p-22, -0x1.b618e2bec6252p-22, -0x1.d8691a9906175p-22, -0x1.f9bd709474831p-22, -0x1.0d0ce2e0682adp-21, -0x1.1cc11885e43a7p-21, -0x1.2bfdba1eee44ap-21, -0x1.3ac2805bd5454p-21, -0x1.4909d45ea727ap-21, -0x1.56e2e0354d0b7p-21, -0x1.6448af1de16bfp-21, -0x1.713bc47d09007p-21, -0x1.7dc343faa77a7p-21, -0x1.89dbb8ec9a8fp-21, -0x1.958788a31b822p-21, -0x1.a0cae7ce1918dp-21, -0x1.aba6041121b04p-21, -0x1.b61a67e2b9fd8p-21, -0x1.c0297a5d9d15fp-21, -0x1.c9d517f783ad7p-21, -0x1.d31efc23e97dbp-21, -0x1.dc08d7a627b5ap-21, -0x1.e4946f4fa3814p-21, -0x1.ecc2f15ca250bp-21, -0x1.f496bae6dcec7p-21, -0x1.fc10bd56ea618p-21, -0x1.0199898d746a8p-20, -0x1.04ff98db4f038p-20, -0x1.083b43ef7251fp-20, -0x1.0b4d731d00b7ap-20, -0x1.0e36eb820eaa7p-20, -0x1.10f88321d8095p-20, -0x1.13930e4e63389p-20, -0x1.16076331805ccp-20, -0x1.1856b81b497fap-20, -0x1.1a8055f5272c8p-20, -0x1.1c85a22f8aeaep-20, -0x1.1e66fe560bf57p-20, -0x1.20260bb563dabp-20, -0x1.21c49627610dp-20, -0x1.23413ae8f360dp-20, -0x1.249d3acda8215p-20, -0x1.25d9f76972184p-20, -0x1.26f78268ee4fp-20, -0x1.27f7893bda436p-20, -0x1.28d941fbfa868p-20, -0x1.299e38ee337c9p-20, -0x1.2a47155f0f1b1p-20, -0x1.2ad4657b9733p-20, -0x1.2b46dceb82979p-20, -0x1.2b9f1c0945b11p-20, -0x1.2bddbe5264824p-20, -0x1.2c03893bffa1bp-20, -0x1.2c10ffbda205cp-20, -0x1.2c06d34711e17p-20, -0x1.2be5a96b32c3dp-20, -0x1.2bae0aadca0bbp-20, -0x1.2b6071b823142p-20, -0x1.2afdc0aa9313ap-20, -0x1.2a86594354b7ep-20, -0x1.29fadd46bf6b3p-20, }}, 
      {{-0x1.aab921e80003p-6, 0x1.09dc001bd9f2bp-3, 0x1.065c2d49c29c9p-2, 0x1.45f2546d4b65dp-2, 0x1.3f16e2f95aaedp-2, 0x1.f73c76b94132cp-3, 0x1.157e20b6b6dd8p-3, -0x1.d7b3c5a0e08c3p-9, -0x1.4304b68107f81p-3, -0x1.4327837ee4f53p-2, -0x1.dfd2a896ef34ap-2, -0x1.38a56ec1ff5cp-1, -0x1.79c699d64cc3ap-1, -0x1.b2315b2aae937p-1, -0x1.e17cbf4531e65p-1, -0x1.03e224dfa3333p+0, -0x1.12c0698272b21p+0, -0x1.1db4479fd2feap+0, -0x1.252ae53041ce7p+0, -0x1.2999c8ee3f8a4p+0, -0x1.2b77b3823b8ddp+0, -0x1.2b378af62b268p+0, -0x1.2944ef16612b3p+0, -0x1.260219af65965p+0, -0x1.21c6bb55292c8p+0, -0x1.1cdf9328714f5p+0, -0x1.178e8c3865878p+0, -0x1.120b3678a5d35p+0, -0x1.0c837aa98eaf5p+0, -0x1.071c70fe27a3ap+0, -0x1.01f3487e68277p+0, -0x1.fa3c6463238e9p-1, -0x1.f15a8efa07a5fp-1, -0x1.e956cb0fd5638p-1, -0x1.e23df2b53a8p-1, -0x1.dc15752962117p-1, -0x1.d6dca7b4916afp-1, -0x1.d28df1814de4bp-1, -0x1.cf1fd358b0459p-1, -0x1.cc85cd723f594p-1, -0x1.cab125fb014ecp-1, -0x1.c991930361b4ep-1, -0x1.c915ca5bbb325p-1, -0x1.c92bf9ffe0065p-1, -0x1.c9c22b8f6a2d6p-1, -0x1.cac6955de4cffp-1, -0x1.cc27db7602224p-1, -0x1.cdd542a6a87ecp-1, -0x1.cfbed7847c4dbp-1, -0x1.d1d58b29bf8bp-1, -0x1.d40b473586b35p-1, -0x1.d652fa6bc65acp-1, -0x1.d8a09f5a720b6p-1, -0x1.dae93dcf6a9cap-1, -0x1.dd22e87527ea1p-1, -0x1.df44b709e3e84p-1, -0x1.e146be24ba0dap-1, -0x1.e32205136f58bp-1, -0x1.e4d07a31d4af6p-1, -0x1.e64ce66e39d03p-1, -0x1.e792dff9be0fbp-1, -0x1.e89ebcd82cf5p-1, -0x1.e96d8527ba141p-1, -0x1.e9fce5a5cdfb9p-1, -0x1.ea4b225e657eep-1, -0x1.ea5709c57f04cp-1, -0x1.ea1fe84076a6fp-1, -0x1.e9a57c3699ccep-1, -0x1.e8e7eaad24edp-1, -0x1.e7e7b486166d2p-1, -0x1.e6a5ac4e829e1p-1, -0x1.e522ecb31f78ap-1, -0x1.e360cf92ec3dp-1, -0x1.e160e5a4dd5adp-1, -0x1.df24eec7ec9c2p-1, -0x1.dcaed2d9734fp-1, -0x1.da009b24e6d99p-1, -0x1.d71c6c5c624a7p-1, -0x1.d404811b2ccd2p-1, -0x1.d0bb24e016401p-1, -0x1.cd42af86a745ap-1, -0x1.c99d81283ee06p-1, -0x1.c5cdfe73315b9p-1, -0x1.c1d68d59a63aap-1, -0x1.bdb9921fa8d49p-1, -0x1.b9796cc01bd67p-1, -0x1.b518769c0ec5fp-1, -0x1.b099007a622f7p-1, -0x1.abfd50bddad17p-1, -0x1.a747a1e9b9d52p-1, -0x1.a27a214dfecc6p-1, -0x1.9d96edf1e644cp-1, -0x1.98a017ab13ef3p-1, -0x1.93979e5bcb4c9p-1, -0x1.8e7f71651c0bdp-1, -0x1.89596f2948947p-1, -0x1.842764ba9acb8p-1, -0x1.7eeb0dab18823p-1, -0x1.79a613e4d5f38p-1, -0x1.745a0faddace1p-1, -0x1.6f0887ada7bc2p-1, -0x1.69b2f112d3b11p-1, -0x1.645aafc2115dcp-1, -0x1.5f01168fa7887p-1, -0x1.59a7678e7178p-1, -0x1.544ed4625e5eep-1, -0x1.4ef87e983fc5bp-1, -0x1.49a5780b0773bp-1, -0x1.4456c35397e5ep-1, -0x1.3f0d542bf944dp-1, -0x1.39ca0fe95f65cp-1, -0x1.348dcdeb6f475p-1, -0x1.2f595816cf2c6p-1, -0x1.2a2d6b4c3fa05p-1, -0x1.250ab7ddc3487p-1, -0x1.1ff1e208f91ebp-1, -0x1.1ae3826f4d2cdp-1, -0x1.15e0268ce63f4p-1, -0x1.10e8512a25cedp-1, -0x1.0bfc7ad229825p-1, -0x1.071d1246f76e2p-1, -0x1.024a7ce5dd3a5p-1, -0x1.fb0a2e436d947p-2, -0x1.f19a69c7e240ap-2, -0x1.e84643e82a593p-2, -0x1.df0e44bc59a1ap-2, -0x1.d5f2e5a85b1ecp-2, -0x1.ccf49215fb184p-2, -0x1.c413a827a7734p-2, -0x1.bb50796dcc8e3p-2, -0x1.b2ab4b8f78094p-2, -0x1.aa2458ec0497fp-2, -0x1.a1bbd1368e9b3p-2, -0x1.9971da132cda9p-2, -0x1.91468f9e58996p-2, -0x1.893a05051cce1p-2, -0x1.814c44fe7887dp-2, -0x1.797d5254f915ep-2, -0x1.71cd2857d9d8cp-2, -0x1.6a3bbb5938bf9p-2, -0x1.62c8f916d2f88p-2, -0x1.5b74c92a1d51p-2, -0x1.543f0d6c4fcaep-2, -0x1.4d27a25809782p-2, -0x1.462e5f5f4c433p-2, -0x1.3f5317567954p-2, -0x1.389598b472f8ap-2, -0x1.31f5aded50219p-2, -0x1.2b731dba761a7p-2, -0x1.250dab652c75bp-2, -0x1.1ec517108d5c8p-2, -0x1.18991dea635c7p-2, -0x1.12897a7c190aap-2, -0x1.0c95e4db417edp-2, -0x1.06be12e272579p-2, -0x1.0101b86835ffcp-2, -0x1.f6c10eda403ebp-3, -0x1.ebb460a2a8524p-3, -0x1.e0dcc3f4ae6dbp-3, -0x1.d63994092c919p-3, -0x1.cbca29c31b72ap-3, -0x1.c18ddc0eeac12p-3, -0x1.b784001ec4a06p-3, -0x1.adabe9b308216p-3, -0x1.a404eb51b8e0dp-3, -0x1.9a8e5685bb5bp-3, -0x1.91477c25cb7e7p-3, -0x1.882fac69b0bd5p-3, -0x1.7f463738497f9p-3, -0x1.768a6c4903693p-3, -0x1.6dfb9b50bbedfp-3, -0x1.6599142f21513p-3, -0x1.5d62271057c88p-3, -0x1.555624934ca53p-3, -0x1.4d745dec83e41p-3, -0x1.45bc24f677844p-3, -0x1.3e2ccc6ef71c2p-3, -0x1.36c5a7f6b119ap-3, -0x1.2f860c3246c27p-3, -0x1.286d4ee0cbe22p-3, -0x1.217ac6f9536e2p-3, -0x1.1aadccb4c3346p-3, -0x1.1405b9a8f1bbfp-3, -0x1.0d81e8d4e4513p-3, -0x1.0721b6ab8d8f7p-3, -0x1.00e48139e67cdp-3, -0x1.f59350173d0d1p-4, -0x1.e9a118c545bcep-4, -0x1.ddf1224d0a2d3p-4, -0x1.d28235eebcaf9p-4, -0x1.c7532067dbed9p-4, -0x1.bc62b2105ecb4p-4, -0x1.b1afbed9b009bp-4, -0x1.a7391e5b8d4b2p-4, -0x1.9cfdac02388adp-4, -0x1.92fc46d4c82d2p-4, -0x1.8933d1c04fecbp-4, -0x1.7fa3337b39ca4p-4, -0x1.7649567d55fa5p-4, -0x1.6d2529425d238p-4, -0x1.64359e0b566adp-4, -0x1.5b79aafa5f9e7p-4, -0x1.52f04a1ad80bp-4, -0x1.4a98794f3b70fp-4, -0x1.42713a728b298p-4, -0x1.3a7993245fbcbp-4, -0x1.32b08cf6110e9p-4, -0x1.2b15354e44ca4p-4, -0x1.23a69d6bb2ff2p-4, -0x1.1c63da68062f3p-4, -0x1.154c05211c1ebp-4, -0x1.0e5e3a48c9a7p-4, -0x1.07999a42e4d47p-4, -0x1.00fd494f74be7p-4, -0x1.f510de9681324p-5, -0x1.e8746fb0dea89p-5, -0x1.dc23a44b1ce84p-5, -0x1.d01ce23842f45p-5, -0x1.c45e9663f51eap-5, -0x1.b8e734d74d47bp-5, -0x1.adb538b36011dp-5, -0x1.a2c7240c4e227p-5, -0x1.981b7fe2aa3a2p-5, -0x1.8db0dc0629157p-5, -0x1.8385cf0b0eb11p-5, -0x1.7998f634f1f31p-5, -0x1.6fe8f5628d241p-5, -0x1.667477018e229p-5, -0x1.5d3a2bc680e32p-5, -0x1.5438caf766598p-5, -0x1.4b6f12052eb06p-5, -0x1.42dbc48bdd2cbp-5, -0x1.3a7dac59589e9p-5, -0x1.3253992c03233p-5, -0x1.2a5c60bff990dp-5, -0x1.2296deac385acp-5, -0x1.1b01f44387addp-5, -0x1.139c888c4a72dp-5, -0x1.0c658830df40bp-5, -0x1.055be54c0a423p-5, -0x1.fcfd2ef958d0ep-6, -0x1.ef993765d5ebcp-6, -0x1.e289e83eda384p-6, -0x1.d5cd502d0862bp-6, -0x1.c9618870701fbp-6, -0x1.bd44b39a2c702p-6, -0x1.b174fee642822p-6, -0x1.a5f0a0a2ac7b7p-6, -0x1.9ab5d8faf0c9ap-6, -0x1.8fc2f17115f84p-6, -0x1.85163ca8c072bp-6, -0x1.7aae166b3fc04p-6, -0x1.7088e356bb4aap-6, -0x1.66a510d232114p-6, -0x1.5d0114cc2ddc8p-6, -0x1.539b6dc9c77ccp-6, -0x1.4a72a27b096cep-6, -0x1.418541ba8e029p-6, -0x1.38d1e261505bdp-6, -0x1.30572327fdcfcp-6, -0x1.2813aa399364ep-6, -0x1.200625b12c2eep-6, -0x1.182d4ada87253p-6, -0x1.1087d6614c727p-6, -0x1.09148c0ec408ep-6, -0x1.01d2369e17dacp-6, -0x1.f57f4f864b674p-7, -0x1.e7b76ecfa285fp-7, -0x1.da4a89cd27fa2p-7, -0x1.cd366b12c4fdcp-7, -0x1.c078ea3ad1e17p-7, -0x1.b40feb6d42c33p-7, -0x1.a7f95ee0aa9aep-7, -0x1.9c3340acfb1fdp-7, -0x1.90bb98811d5f3p-7, -0x1.85907986247fdp-7, -0x1.7ab0022320a19p-7, -0x1.70185bf5bb5abp-7, -0x1.65c7bb872d0ccp-7, -0x1.5bbc603494f5bp-7, -0x1.51f493338273ap-7, -0x1.486ea81909a0cp-7, -0x1.3f28fc0446746p-7, -0x1.3621f5aece383p-7, -0x1.2d580545ce03ep-7, -0x1.24c9a49cb6832p-7, -0x1.1c7556da43038p-7, -0x1.1459a8507de5fp-7, -0x1.0c752e46bc519p-7, -0x1.04c6862c7538dp-7, -0x1.fa98abe135b24p-8, -0x1.ec0a957861aa6p-8, -0x1.dde0336033ee4p-8, -0x1.d016ff94660fap-8, -0x1.c2ac83ba82b05p-8, -0x1.b59e59edaf34ep-8, -0x1.a8ea2ba53a566p-8, -0x1.9c8db1610f21ap-8, -0x1.9086b17594b36p-8, -0x1.84d2ff2302bc8p-8, -0x1.797079ae2559cp-8, -0x1.6e5d0b8d4c4bap-8, -0x1.6396abfb8d49cp-8, -0x1.591b5f6c716e7p-8, -0x1.4ee937233bd8cp-8, -0x1.44fe52f768732p-8, -0x1.3b58dfce175p-8, -0x1.31f7163b7db72p-8, -0x1.28d73a2133683p-8, -0x1.1ff798183c97ep-8, -0x1.1756854f57933p-8, -0x1.0ef25f9254b8p-8, -0x1.06c98e03017b4p-8, -0x1.fdb50491c6adbp-9, -0x1.ee4773c808b8dp-9, -0x1.df477c66a9373p-9, -0x1.d0b248c03008fp-9, -0x1.c28517556435ep-9, -0x1.b4bd380713f8p-9, -0x1.a75806e83f829p-9, -0x1.9a52ec8b6933bp-9, -0x1.8dab5bd2ba767p-9, -0x1.815ed4e2ce23dp-9, -0x1.756ae8cc4a9bbp-9, -0x1.69cd38afaad5cp-9, -0x1.5e837c6d8fbefp-9, -0x1.538b7ff314c34p-9, -0x1.48e32209850ap-9, -0x1.3e8850baea32dp-9, -0x1.3479055932a56p-9, -0x1.2ab340fe61359p-9, -0x1.21350cd348fc7p-9, -0x1.17fc785325a98p-9, -0x1.0f079d136809ep-9, -0x1.0654a243153ccp-9, -0x1.fbc37a6716bfap-10, -0x1.eb5a6930df517p-10, -0x1.db6abe43be3d8p-10, -0x1.cbf14614456f4p-10, -0x1.bceae4754e82bp-10, -0x1.ae548f1a11b8fp-10, -0x1.a02b471bf1acdp-10, -0x1.926c175d7850cp-10, -0x1.85141738c6037p-10, -0x1.78206e5d52942p-10, -0x1.6b8e55a6fca44p-10, -0x1.5f5b1ebb7d4a5p-10, -0x1.53842ddd3d0a1p-10, -0x1.4806fd4ec1118p-10, -0x1.3ce11eb4d5b0cp-10, -0x1.321036afd7af2p-10, -0x1.2791fba17fc06p-10, -0x1.1d642d71213dbp-10, -0x1.138496863d2aep-10, -0x1.09f10c88da51ep-10, -0x1.00a774edd8493p-10, -0x1.ef4b8f353ba3ep-11, -0x1.ddd4195c412a5p-11, -0x1.cce4aefe4110ep-11, -0x1.bc7985e6cb55bp-11, -0x1.ac8ee339eb974p-11, -0x1.9d2124590c30fp-11, -0x1.8e2cc70f0d81p-11, -0x1.7fae634515b58p-11, -0x1.71a2a78d8f908p-11, -0x1.6406537918d83p-11, -0x1.56d63d5d39fbap-11, -0x1.4a0f61bde8bbdp-11, -0x1.3daeea0c9efc5p-11, -0x1.31b220572f4cep-11, -0x1.26165ba028d19p-11, -0x1.1ad8e65fe5dfep-11, -0x1.0ff6fb52cc3f4p-11, -0x1.056ddb2f40398p-11, -0x1.f675bb4a09d36p-12, -0x1.e2b6ff82d27f4p-12, -0x1.cf9a93a860df9p-12, -0x1.bd1bd269c5b92p-12, -0x1.ab360c7d65599p-12, -0x1.99e4d033d66d9p-12, -0x1.8924008d31e3p-12, -0x1.78efe263ff40cp-12, -0x1.6944ec4fd7d5p-12, -0x1.5a1f7db4693b7p-12, -0x1.4b7bb4822021fp-12, -0x1.3d556f5e2293ep-12, -0x1.2fa890cc089f1p-12, -0x1.227137c91e28ap-12, -0x1.15abd9d8492d8p-12, -0x1.095528b6c757ep-12, -0x1.fad3d111a16a1p-13, -0x1.e3cdbfcb0ab0fp-13, -0x1.cd91e79a442c6p-13, -0x1.b81a8108a361ep-13, -0x1.a362782ba07f5p-13, -0x1.8f6522090a25ap-13, -0x1.7c1db7233ee27p-13, -0x1.6986caee417b8p-13, -0x1.579a4e8ccc956p-13, -0x1.4651f30fe8fecp-13, -0x1.35a7c6124f64bp-13, -0x1.259699f6b9f26p-13, -0x1.1619edd6a308p-13, -0x1.072d9b54d2d96p-13, -0x1.f19b2e9b0bb79p-14, -0x1.d5ebbd35188c6p-14, -0x1.bb448fb0319d2p-14, -0x1.a19e92ac5bcecp-14, -0x1.88f31756391a7p-14, -0x1.713c0d0fe7d4bp-14, -0x1.5a72f86a3913ep-14, -0x1.44901cc955f11p-14, -0x1.2f8a716bee625p-14, -0x1.1b5880d0454b2p-14, -0x1.07f15a69ef7d6p-14, -0x1.ea9a972ec91ecp-15, -0x1.c6cbd0652a128p-15, -0x1.a46be3a0abbf8p-15, -0x1.8371cd02501a5p-15, -0x1.63d4b184e08d6p-15, -0x1.458af0d9311bdp-15, -0x1.288a8dc7affa1p-15, -0x1.0cca67743c656p-15, -0x1.e4847cda28a47p-16, -0x1.b1d4bbdb4fd1bp-16, -0x1.8174005588eaap-16, -0x1.534e495c7459cp-16, -0x1.274ab275d9f8cp-16, -0x1.fa9f2ba12c1efp-17, -0x1.aa849c116ced7p-17, -0x1.5e13694d833b9p-17, -0x1.15230e48e2871p-17, -0x1.9f366c940cd69p-18, -0x1.1ad8e1f94be08p-18, -0x1.3a1acf4f0d054p-19, -0x1.2d2640fbee0fp-21, 0x1.2e5186a9b68d5p-20, 0x1.6d9e81cce91b1p-19, 0x1.1c3cb28291472p-18, 0x1.7c07b5ff30595p-18, 0x1.d65bc03508be5p-18, 0x1.15acceb9a5b6ap-17, 0x1.3d9503589a7adp-17, 0x1.63011281c8e52p-17, 0x1.8612fc61c38dp-17, 0x1.a6f38229d4318p-17, 0x1.c5cc3c1ecf76cp-17, 0x1.e2b822eca210fp-17, 0x1.fdc0d8de4e4c6p-17, 0x1.0b75f440c7c3cp-16, 0x1.1723b6f1b296ap-16, 0x1.21f1504aebf53p-16, 0x1.2be422126bd4p-16, 0x1.3502dc27fd68ep-16, 0x1.3d57ca3570637p-16, 0x1.44ed50414ee61p-16, 0x1.4bc9c985011a4p-16, 0x1.51efaa59ee753p-16, 0x1.5761641290a91p-16, 0x1.5c24990cd1baep-16, 0x1.6041e9cabd9b5p-16, 0x1.63c4e50620391p-16, 0x1.66bbfeaaad085p-16, 0x1.6931b29bfc03dp-16, 0x1.6b2854875ecf6p-16, 0x1.6ca2e87feaf07p-16, 0x1.6daa5aeda27cbp-16, 0x1.6e456ce1c306fp-16, 0x1.6e7498c4ae23p-16, 0x1.6e38c6e5980b3p-16, 0x1.6d97b6da766b1p-16, 0x1.6c98f1053956ap-16, 0x1.6b433fe475b41p-16, 0x1.6998ce9738f1dp-16, 0x1.679b3d5493fb5p-16, 0x1.654ade5a70341p-16, 0x1.62ab19fff07bbp-16, 0x1.5fc11ec4d998cp-16, 0x1.5c928ddf33574p-16, 0x1.59273e3255112p-16, 0x1.55849ba03b8eap-16, 0x1.51a9524b32edep-16, 0x1.4d96faff79bc2p-16, 0x1.49552628629fep-16, 0x1.44e80f436fef2p-16, 0x1.4050c79f7dc7fp-16, 0x1.3b9257824fbe3p-16, 0x1.36b018553917cp-16, 0x1.31abf56b4233fp-16, 0x1.2c88771dcdeaep-16, 0x1.2747e4eb59657p-16, 0x1.21eca97b08bfbp-16, 0x1.1c775e1ba5a96p-16, 0x1.16e8555c0d499p-16, 0x1.1141b8813391cp-16, 0x1.0b86ae67f1a49p-16, 0x1.05b94178d5b5dp-16, 0x1.ffbada902296bp-17, 0x1.f3ecbc0974b0dp-17, 0x1.e80689b4b7602p-17, 0x1.dc0c8df13eedp-17, 0x1.d00334c5a2c1bp-17, 0x1.c3e7653563283p-17, 0x1.b7bb66afaf84p-17, 0x1.ab86d159e1db7p-17, 0x1.9f4ffe3b7d5f1p-17, 0x1.931a80955e231p-17, 0x1.86e7754c9c2bp-17, 0x1.7ab71782427e1p-17, 0x1.6e8af8f472e79p-17, 0x1.62657ecef5ce3p-17, 0x1.5648a9ed4d811p-17, 0x1.4a34787bc6ab7p-17, 0x1.3e2ab7216103ap-17, 0x1.322e0660e620cp-17, 0x1.263e989f7dd8cp-17, 0x1.1a605bd99e684p-17, 0x1.0e97f9bbd1029p-17, 0x1.02e662645fbdfp-17, 0x1.ee9a81cbce70ap-18, 0x1.d7951fbcd7a4ep-18, 0x1.c0bbd5478c0cbp-18, 0x1.aa144acba4fdbp-18, 0x1.93a0f67d6d2cep-18, 0x1.7d62d0adf0b84p-18, 0x1.675b84e1be4edp-18, 0x1.5190376814342p-18, 0x1.3c066120de0fep-18, 0x1.26beb9174053p-18, 0x1.11b838e4ef858p-18, 0x1.f9e5e92be0bbap-19, 0x1.d0e4582153531p-19, 0x1.a86a842f3c041p-19, 0x1.807868059de08p-19, 0x1.59109c8f15a27p-19, 0x1.323005ca09e6dp-19, 0x1.0be1783f2a53cp-19, 0x1.cc5c8b89a760cp-20, 0x1.822da53cb36fcp-20, 0x1.39289ba81124ap-20, 0x1.e289149dba6acp-21, 0x1.552bde4a9f147p-21, 0x1.94658830884b1p-22, 0x1.069f3ba1580dap-23, -0x1.11e8fe12e5cdbp-23, -0x1.907272a23bbfep-22, -0x1.4999266904b72p-21, -0x1.c893cb0b87e76p-21, -0x1.229b79776ad3dp-20, -0x1.5fa734e825966p-20, -0x1.9b758df5978c4p-20, -0x1.d60b6b0657f89p-20, -0x1.07b47eb577f94p-19, -0x1.23c85705dc7dcp-19, -0x1.3f42784a7b60bp-19, -0x1.5a243a2d1051fp-19, -0x1.746fd132bdb5cp-19, -0x1.8e1f355a5ef5dp-19, -0x1.a73147d97ffap-19, -0x1.bfaa30c916a21p-19, -0x1.d78f7d41877f5p-19, -0x1.eeddf526b1958p-19, -0x1.02cad6e3607b5p-18, -0x1.0ddbff575f741p-18, -0x1.18a3b5a79e717p-18, -0x1.2321b007cd869p-18, -0x1.2d56d51173fb8p-18, -0x1.3743b498d64afp-18, -0x1.40e92b29ab147p-18, -0x1.4a4833782077dp-18, -0x1.53618ef49a5fap-18, -0x1.5c34449e8f138p-18, -0x1.64c2a3d5489c8p-18, -0x1.6d0bafda3651dp-18, -0x1.7510fc50b4107p-18, -0x1.7cd2f699bd8abp-18, -0x1.84531fe262df2p-18, -0x1.8b91e3d781b6ep-18, -0x1.929026f045d05p-18, -0x1.994ddded6ba1p-18, -0x1.9fcbaa6c2bb91p-18, -0x1.a60b68b38f8e3p-18, -0x1.ac0d7dfc6492fp-18, -0x1.b1d21ad948e1ap-18, -0x1.b75ad0c36cc5fp-18, -0x1.bca85f9d4f436p-18, -0x1.c1ba814e22b78p-18, -0x1.c6937c19da622p-18, -0x1.cb334e84f0b3cp-18, -0x1.cf9b0042cbd41p-18, -0x1.d3cb51464f1f5p-18, -0x1.d7c5137109be7p-18, -0x1.db891b49abc5dp-18, -0x1.df183f55d5f66p-18, -0x1.e27365cf35f7p-18, -0x1.e59b7411ea04cp-18, -0x1.e8911daf29873p-18, -0x1.eb5527f31aeffp-18, -0x1.ede7d7c25c4f1p-18, -0x1.f04b9188de2e9p-18, -0x1.f27fd91e88e3ep-18, -0x1.f485a4dfc9383p-18, -0x1.f65e421b2d9a2p-18, -0x1.f809f8abaf666p-18, -0x1.f989f4eb7022fp-18, -0x1.faded43d2135ap-18, -0x1.fc09afaaa9161p-18, -0x1.fd0b1831d8e7cp-18, -0x1.fde3e602846f7p-18, -0x1.fe94ffc3c703ep-18, -0x1.ff1ecb49e45dbp-18, -0x1.ff82b4792aedp-18, -0x1.ffc0f07d2af63p-18, -0x1.ffda94f53bf62p-18, -0x1.ffd04c6bdea2bp-18, -0x1.ffa303c0e95f1p-18, -0x1.ff5313ac1170cp-18, -0x1.fee1c34e067efp-18, -0x1.fe4fd65760b0ep-18, -0x1.fd9d77603f4d5p-18, -0x1.fccbb70746ef2p-18, -0x1.fbdb2ca34ba0cp-18, -0x1.faccd80211b8ep-18, -0x1.f9a152ea1993p-18, -0x1.f85943e6e1739p-18, -0x1.f6f597cbe701cp-18, -0x1.f575cd38a0d48p-18, -0x1.f3dd31fb2fec1p-18, -0x1.f22a0ce9b4f54p-18, -0x1.f05e065217ed5p-18, -0x1.ee798c5b464eep-18, -0x1.ec7d519a2fb9dp-18, -0x1.ea6a01f4b3749p-18, -0x1.e84049e115bdcp-18, -0x1.e600c3c171882p-18, -0x1.e3ac400413766p-18, -0x1.e1425c7e52d3fp-18, -0x1.dec586dc33e97p-18, -0x1.dc34f8509e97fp-18, -0x1.d991b5ef91c2bp-18, -0x1.d6dc4feb6d0d5p-18, -0x1.d41559dec4f95p-18, -0x1.d13d6684dc66dp-18, -0x1.ce550e78d9002p-18, -0x1.cb5ce154c56a8p-18, -0x1.c8557115c3ecep-18, -0x1.c53f3a48cff1p-18, -0x1.c21a8adc1fcdcp-18, -0x1.bee8510b74d56p-18, -0x1.bba8da68b0762p-18, -0x1.b85cec612747cp-18, -0x1.b5049a87f20f7p-18, -0x1.b1a0b36981c0dp-18, -0x1.ae31b233cf12p-18, -0x1.aab7ca7ad0412p-18, -0x1.a733c81532286p-18, -0x1.a3a62af496d44p-18, -0x1.a00f1e1e43766p-18, -0x1.9c6f321b88d8bp-18, -0x1.98c6decda3a5bp-18, -0x1.951691ed52413p-18, -0x1.915eba8b39dfcp-18, -0x1.8d9fb8379d209p-18, -0x1.89da27d73e446p-18, -0x1.860e31630f3ccp-18, -0x1.823c246f5a2e3p-18, -0x1.7e64f8ef41574p-18, -0x1.7a882e68f0981p-18, -0x1.76a6d19c98dc3p-18, -0x1.72c1145d90ae9p-18, -0x1.6ed750afccac6p-18, -0x1.6ae9e6c35d258p-18, -0x1.66f931e096768p-18, -0x1.6304c7a90ef2cp-18, -0x1.5f0f13c070516p-18, -0x1.5b16505c51158p-18, -0x1.571b74b3ca6ccp-18, -0x1.531ef752fab22p-18, -0x1.4f2133d7c2de2p-18, -0x1.4b2247a3c2a68p-18, -0x1.47228450a418ep-18, -0x1.43224b38f9c06p-18, -0x1.3f218f3fd8108p-18, -0x1.3b21daeb2438bp-18, -0x1.372195ac08e86p-18, -0x1.332218f5fc6dcp-18, -0x1.2f239a44ad869p-18, -0x1.2b25fa05f1897p-18, -0x1.2729df5b70976p-18, -0x1.232f56a62dbd8p-18, -0x1.1f367e650466bp-18, -0x1.1b3fc24748048p-18, -0x1.174b37cdea1edp-18, -0x1.135943001d7f7p-18, -0x1.0f6a1c25187bcp-18, -0x1.0b7dca47ecbf8p-18, -0x1.079430f7ebe1fp-18, -0x1.03ae4235908a9p-18, -0x1.ff9795a05b007p-19, -0x1.f7d9957f5431ap-19, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.03bb7afa1a28p-1, 0x1.03dbf0b5e5615p-1, 0x1.041443c574035p-1, 0x1.0467129026a42p-1, 0x1.04d6fec37b3acp-1, 0x1.0566242ffd13ep-1, 0x1.0615b502859d6p-1, 0x1.06e5bcded91ep-1, 0x1.07d5067c1d0c5p-1, 0x1.08e11cf6b8702p-1, 0x1.0a0661a0f806dp-1, 0x1.0b402fbac111dp-1, 0x1.0c89088598658p-1, 0x1.0ddac34e7cf6ap-1, 0x1.0f2ebe17d2ca6p-1, 0x1.107e0c7989bf2p-1, 0x1.11c1a310bf09fp-1, 0x1.12f27e74513bp-1, 0x1.1409c51da93eep-1, 0x1.1500e4115219dp-1, 0x1.15d1a656d285ep-1, 0x1.1676477eeb476p-1, 0x1.16e9819702ad3p-1, 0x1.172696fb59f58p-1, 0x1.17295882db5e1p-1, 0x1.16ee28812870fp-1, 0x1.1671fb183b8dap-1, 0x1.15b2544c11cbbp-1, 0x1.14ad4441aefdp-1, 0x1.1361620882845p-1, 0x1.11cdc54266a21p-1, 0x1.0ff1fef3c91eep-1, 0x1.0dce11bb4e527p-1, 0x1.0b6269a6c6e31p-1, 0x1.08afd3d29da5dp-1, 0x1.05b775f925ed1p-1, 0x1.027ac6105b47dp-1, 0x1.fdf7041d4e63bp-2, 0x1.f6774fd43a322p-2, 0x1.ee7adbc2709dep-2, 0x1.e6067630d795p-2, 0x1.dd1f4129665c2p-2, 0x1.d3caa53169ddfp-2, 0x1.ca0e44cfc994dp-2, 0x1.bfeff0e28692p-2, 0x1.b5759dc3e0d4ap-2, 0x1.aaa5593d2ee03p-2, 0x1.9f85414392cfbp-2, 0x1.941b7b794b889p-2, 0x1.886e2d6d38b3ap-2, 0x1.7c837591421d3p-2, 0x1.706164dfc7b35p-2, 0x1.640df927b30c5p-2, 0x1.578f17f6928fp-2, 0x1.4aea8a17f5125p-2, 0x1.3e25f7a12c159p-2, 0x1.3146e480b5f66p-2, 0x1.2452ad88a07c7p-2, 0x1.174e85eb6a2dap-2, 0x1.0a3f75231d318p-2, 0x1.fa54aa754e3bcp-3, 0x1.e027a2e35fd35p-3, 0x1.c600ca67260acp-3, 0x1.abe8b6b4b9db2p-3, 0x1.91e79b6e385ap-3, 0x1.780549b229152p-3, 0x1.5e49301ba2229p-3, 0x1.44ba5b28be13ep-3, 0x1.2b5f75fca460fp-3, 0x1.123ecb731f595p-3, 0x1.f2bc8ef8acb99p-4, 0x1.c186f16fdb7fap-4, 0x1.90e7248ec935bp-4, 0x1.60e6dba058929p-4, 0x1.318f1b4cf8ef4p-4, 0x1.02e83e34f22bp-4, 0x1.a9f3f3870cb48p-5, 0x1.4f96c66030d67p-5, 0x1.ed8bd28dced3fp-6, 0x1.3f1a49e0f6dd6p-6, 0x1.27dc847302b0fp-7, -0x1.3e52157bca1d3p-10, -0x1.709da941841adp-7, -0x1.593fccc269186p-6, -0x1.f6aaeabda6ef3p-6, -0x1.484273167c63cp-5, -0x1.93621c1d5a64dp-5, -0x1.dcb083716871dp-5, -0x1.12154423432b6p-4, -0x1.34e6e602994ccp-4, -0x1.56cc543fd5e01p-4, -0x1.77c51330bcc54p-4, -0x1.97d0f9ee52d01p-4, -0x1.b6f02dcbb4803p-4, -0x1.d5231dee3af4fp-4, -0x1.f26a7f07baff9p-4, -0x1.0763a399c1c32p-3, -0x1.151d54fb405c1p-3, -0x1.22630a3154128p-3, -0x1.2f3594aef1982p-3, -0x1.3b95df0617002p-3, -0x1.4784eb2e6a035p-3, -0x1.5303d0dd32efep-3, -0x1.5e13bbee821f8p-3, -0x1.68b5eadf30caep-3, -0x1.72ebad577c22ap-3, -0x1.7cb662c5e014bp-3, -0x1.86177909d4806p-3, -0x1.8f106b2e0dda7p-3, -0x1.97a2c031debc4p-3, -0x1.9fd009e13c95ep-3, -0x1.a799e3bb1cbeap-3, -0x1.af01f1e591b7bp-3, -0x1.b609e02f5a582p-3, -0x1.bcb3611e5d2fp-3, -0x1.c3002d0aa5ac4p-3, -0x1.c8f201456d32fp-3, -0x1.ce8a9f4bc6866p-3, -0x1.d3cbcc04714fap-3, -0x1.d8b74f087253dp-3, -0x1.dd4ef1f5fc41dp-3, -0x1.e1947fcd3c036p-3, -0x1.e589c456ad178p-3, -0x1.e9308b927f375p-3, -0x1.ec8aa130b54dep-3, -0x1.ef99d01197bc8p-3, -0x1.f25fe1ce1e6dfp-3, -0x1.f4de9e47f0373p-3, -0x1.f717cb40abddep-3, -0x1.f90d2bf813dc2p-3, -0x1.fac080d0dcaa9p-3, -0x1.fc3386fbbe919p-3, -0x1.fd67f82882e0bp-3, -0x1.fe5f8a3cc70fap-3, -0x1.ff1bef1024db5p-3, -0x1.ff9ed42d88d69p-3, -0x1.ffe9e299613acp-3, -0x1.fffebe9c7f25p-3, -0x1.ffdf0793532cp-3, -0x1.ff8c57c1613dcp-3, -0x1.ff084428ac6f9p-3, -0x1.fe545c64db6cfp-3, -0x1.fd722a89f95d8p-3, -0x1.fc6333068a422p-3, -0x1.fb28f488dbe91p-3, -0x1.f9c4e7e751814p-3, -0x1.f838800b920cdp-3, -0x1.f68529e066ae4p-3, -0x1.f4ac4c4229261p-3, -0x1.f2af47f196857p-3, -0x1.f08f7788f0f9fp-3, -0x1.ee4e2f733beb7p-3, -0x1.ebecbde58b62ap-3, -0x1.e96c6ada34952p-3, -0x1.e6ce780dcc3dp-3, -0x1.e41420fddafbcp-3, -0x1.e13e9ae9273dcp-3, -0x1.de4f14d17e9f6p-3, -0x1.db46b77eee1f1p-3, -0x1.d826a58447adfp-3, -0x1.d4effb44ed357p-3, -0x1.d1a3cefbc247dp-3, -0x1.ce4330c3374acp-3, -0x1.cacf2a9e5f26fp-3, -0x1.c748c082f5fb7p-3, -0x1.c3b0f06452acp-3, -0x1.c008b23f2b8a4p-3, -0x1.bc50f826263p-3, -0x1.b88aae4f21d31p-3, -0x1.b4b6bb212c3ecp-3, -0x1.b0d5ff431decdp-3, -0x1.ace955aac57f2p-3, -0x1.a8f193ac9ff65p-3, -0x1.a4ef890c13f7cp-3, -0x1.a0e4000c1f6d3p-3, -0x1.9ccfbd806c0ebp-3, -0x1.98b380ded1df8p-3, -0x1.949004512c5a6p-3, -0x1.9065fcc7816b5p-3, -0x1.8c361a0a732dcp-3, -0x1.880106cdf727ep-3, -0x1.83c768c4440f3p-3, -0x1.7f89e0b0f535p-3, -0x1.7b490a7c5e53cp-3, -0x1.77057d47036ccp-3, -0x1.72bfcb7d34b6ap-3, -0x1.6e7882eac7922p-3, -0x1.6a302ccedf547p-3, -0x1.65e74defd69d6p-3, -0x1.619e66af21a3dp-3, -0x1.5d55f31d4a047p-3, -0x1.590e6b0de7ed2p-3, -0x1.54c8422b9600dp-3, -0x1.5083e80be8c0cp-3, -0x1.4c41c8435b66dp-3, -0x1.48024a792dcc8p-3, -0x1.43c5d27b351fap-3, -0x1.3f8cc0519e848p-3, -0x1.3b57705293d01p-3, -0x1.37263b35cf8bp-3, -0x1.32f976280ea79p-3, -0x1.2ed172de6b587p-3, -0x1.2aae7fa991338p-3, -0x1.2690e788d52fp-3, -0x1.2278f23d1f003p-3, -0x1.1e66e45bb5732p-3, -0x1.1a5aff60db428p-3, -0x1.165581c241b6dp-3, -0x1.1256a70151eeap-3, -0x1.0e5ea7bd415f5p-3, -0x1.0a6db9c4fec13p-3, -0x1.06841028e1689p-3, -0x1.02a1db4c33ae2p-3, -0x1.fd8e91ecfc024p-4, -0x1.f5e908c946b87p-4, -0x1.ee536cb383d28p-4, -0x1.e6ce0a5fc3042p-4, -0x1.df5929d0ce84dp-4, -0x1.d7f50e7898d06p-4, -0x1.d0a1f75847e33p-4, -0x1.c9601f1fb9019p-4, -0x1.c22fbc4c992dfp-4, -0x1.bb110148fef63p-4, -0x1.b4041c8993a99p-4, -0x1.ad0938ab389d2p-4, -0x1.a6207c903d9c8p-4, -0x1.9f4a0b7d11a64p-4, -0x1.9886053482b7ep-4, -0x1.91d48613775f2p-4, -0x1.8b35a72c36a5dp-4, -0x1.84a97e612bdfdp-4, -0x1.7e301e7f34141p-4, -0x1.77c997576b7ffp-4, -0x1.7175f5d8818afp-4, -0x1.6b35442790002p-4, -0x1.650789b87721cp-4, -0x1.5eeccb65bf79ap-4, -0x1.58e50b87fffc7p-4, -0x1.52f04a0ccb7f1p-4, -0x1.4d0e848d246e6p-4, -0x1.473fb66376706p-4, -0x1.4183d8c11b62ap-4, -0x1.3bdae2c366414p-4, -0x1.3644c98839f27p-4, -0x1.30c18042289ecp-4, -0x1.2b50f84c2217ap-4, -0x1.25f3213cab7f7p-4, -0x1.20a7e8f8a6e0ep-4, -0x1.1b6f3bc5aab6fp-4, -0x1.1649045be4d1bp-4, -0x1.11352bf795432p-4, -0x1.0c339a6a163dfp-4, -0x1.0744362a7b487p-4, -0x1.0266e465c410fp-4, -0x1.fb37121d4b69cp-5, -0x1.f1c40dd9d9e09p-5, -0x1.e8747f58ef9cfp-5, -0x1.df4827d795cdbp-5, -0x1.d63ec69489ed7p-5, -0x1.cd5818ebd3f7fp-5, -0x1.c493da71a87a1p-5, -0x1.bbf1c50c81bafp-5, -0x1.b371910e80875p-5, -0x1.ab12f54e12dcap-5, -0x1.a2d5a73de6c9dp-5, -0x1.9ab95b042659fp-5, -0x1.92bdc391060a2p-5, -0x1.8ae292b4a56f4p-5, -0x1.8327793445373p-5, -0x1.7b8c26ded9342p-5, -0x1.74104aa0f077ap-5, -0x1.6cb3929804058p-5, -0x1.6575ac2523547p-5, -0x1.5e5643ff06b27p-5, -0x1.5755064389aa4p-5, -0x1.50719e8892b12p-5, -0x1.49abb7ec6876p-5, -0x1.4302fd257695fp-5, -0x1.3c7718918a25dp-5, -0x1.3607b44480cbcp-5, -0x1.2fb47a16792e4p-5, -0x1.297d13b178c33p-5, -0x1.23612a9e97e1ap-5, -0x1.1d606852ae1bcp-5, -0x1.177a763a82bf6p-5, -0x1.11aefdc68afd1p-5, -0x1.0bfda8762df84p-5, -0x1.06661fe29c792p-5, -0x1.00e80dc933cebp-5, -0x1.f706382af1173p-6, -0x1.ec6de9d54be59p-6, -0x1.e2068559b187bp-6, -0x1.d7cf60139f8a9p-6, -0x1.cdc7d002a4794p-6, -0x1.c3ef2bda5d369p-6, -0x1.ba44cb11c80b7p-6, -0x1.b0c805f1e00c7p-6, -0x1.a77835a379cb9p-6, -0x1.9e54b43c86a32p-6, -0x1.955cdcccaae52p-6, -0x1.8c900b69317d3p-6, -0x1.83ed9d38640ebp-6, -0x1.7b74f07c4843bp-6, -0x1.7325649cc7ec7p-6, -0x1.6afe5a314c632p-6, -0x1.62ff3309cbc97p-6, -0x1.5b27523754ccep-6, -0x1.53761c1408c02p-6, -0x1.4beaf64aa3b59p-6, -0x1.448547dd804f1p-6, -0x1.3d44792d298dep-6, -0x1.3627f3fe7886ep-6, -0x1.2f2f23803d477p-6, -0x1.285974507c0f6p-6, -0x1.21a65481431aap-6, -0x1.1b15339d1a616p-6, -0x1.14a582ab0f6c2p-6, -0x1.0e56b4326a99fp-6, -0x1.08283c3dfb8dp-6, -0x1.0219905f13431p-6, -0x1.f8544f60520ecp-7, -0x1.ecb2f5ae58b91p-7, -0x1.e14e080f1fa6ep-7, -0x1.d6247e07ec961p-7, -0x1.cb35523f4757ap-7, -0x1.c07f827f48e89p-7, -0x1.b6020fb74fbb5p-7, -0x1.abbbfdfd52e4dp-7, -0x1.a1ac548e9eb36p-7, -0x1.97d21dd020ae3p-7, -0x1.8e2c674e37bb6p-7, -0x1.84ba41bc17e84p-7, -0x1.7b7ac0f2cfe5fp-7, -0x1.726cfbefd415p-7, -0x1.69900cd33c297p-7, -0x1.60e310dd9a116p-7, -0x1.5865286d647dcp-7, -0x1.501576fc35ca4p-7, -0x1.47f3231b8ad27p-7, -0x1.3ffd56715c33fp-7, -0x1.38333db452836p-7, -0x1.309408a7cb13fp-7, -0x1.291eea177fdbdp-7, -0x1.21d317d2fbd6p-7, -0x1.1aafcaa8dc72p-7, -0x1.13b43e61cb845p-7, -0x1.0cdfb1bb4c0a8p-7, -0x1.063166625e1e1p-7, -0x1.ff5141db98b47p-8, -0x1.f28951b0fa642p-8, -0x1.e60990f6e8f5ap-8, -0x1.d9d09a0f850bep-8, -0x1.cddd0d00867b1p-8, -0x1.c22d8f66893fbp-8, -0x1.b6c0cc680694p-8, -0x1.ab9574a811397p-8, -0x1.a0aa3e38e4701p-8, -0x1.95fde48e3a135p-8, -0x1.8b8f286f7bd69p-8, -0x1.815ccfe9b7252p-8, -0x1.7765a64184585p-8, -0x1.6da87be4ac9fp-8, -0x1.6424265bb450cp-8, -0x1.5ad7803b64681p-8, -0x1.51c16916157ffp-8, -0x1.48e0c56d08543p-8, -0x1.40347ea194518p-8, -0x1.37bb82e6497a5p-8, -0x1.2f74c5300559cp-8, -0x1.275f3d270d971p-8, -0x1.1f79e71806ca1p-8, -0x1.17c3c3e4f91a9p-8, -0x1.103bd8f64cb59p-8, -0x1.08e1302bd7b6cp-8, -0x1.01b2d7cdcd631p-8, -0x1.f55fc4fb8a111p-9, -0x1.e7aece4f8bdep-9, -0x1.da5101e6975e5p-9, -0x1.cd449e6907eb2p-9, -0x1.c087eaba9c21dp-9, -0x1.b41935dd0bdeep-9, -0x1.a7f6d6d28cc5cp-9, -0x1.9c1f2c80737ebp-9, -0x1.90909d91ffbc8p-9, -0x1.8549985b4c4acp-9, -0x1.7a4892bc63b26p-9, -0x1.6f8c0a04998d9p-9, -0x1.651282d602409p-9, -0x1.5ada8908fe679p-9, -0x1.50e2af9030a9bp-9, -0x1.4729905c7d1e5p-9, -0x1.3dadcc414c402p-9, -0x1.346e0ad9023abp-9, -0x1.2b68fa69ba565p-9, -0x1.229d4fca3c5f5p-9, -0x1.1a09c6471e86fp-9, -0x1.11ad1f883974cp-9, -0x1.098623764de2p-9, -0x1.0193a020f003bp-9, -0x1.f3a8d34956801p-10, -0x1.e48eb42315506p-10, -0x1.d5d6a2a344055p-10, -0x1.c77e6a2048445p-10, -0x1.b983e1412be52p-10, -0x1.abe4e9cca52cep-10, -0x1.9e9f7078845dcp-10, -0x1.91b16cb9e88f8p-10, -0x1.8518e095c3581p-10, -0x1.78d3d87263ea1p-10, -0x1.6ce06ae8dd0bep-10, -0x1.613cb897968b9p-10, -0x1.55e6ebf516ff1p-10, -0x1.4add3923970cbp-10, -0x1.401dddc4efe7p-10, -0x1.35a720cf69d66p-10, -0x1.2b77526299651p-10, -0x1.218ccb9d45227p-10, -0x1.17e5ee73dee33p-10, -0x1.0e8125872b2bdp-10, -0x1.055ce3fbaf36cp-10, -0x1.f8ef4aa3dc0fbp-11, -0x1.e79fda7d58498p-11, -0x1.d6c88f086a435p-11, -0x1.c6668f988a733p-11, -0x1.b6771303b7dd2p-11, -0x1.a6f75f587908ap-11, -0x1.97e4c9948d473p-11, -0x1.893cb55cd2b3ap-11, -0x1.7afc94b5cf727p-11, -0x1.6d21e7bdfd4ecp-11, -0x1.5faa3c68953e1p-11, -0x1.52932e396fdc8p-11, -0x1.45da6602ec0d2p-11, -0x1.397d99a375ac7p-11, -0x1.2d7a8bc4cc98bp-11, -0x1.21cf0b9c8e68ep-11, -0x1.1678f4ad32146p-11, -0x1.0b762e88b1063p-11, -0x1.00c4ac93878e8p-11, -0x1.ecc4db92a8ab9p-12, -0x1.d89af902f6624p-12, -0x1.c507dc6c3c14p-12, -0x1.b207c6964211ap-12, -0x1.9f970dac91cafp-12, -0x1.8db21cd045f6ap-12, -0x1.7c5573acd93cdp-12, -0x1.6b7da60d9e377p-12, -0x1.5b275b75b528dp-12, -0x1.4b4f4eba64d4dp-12, -0x1.3bf24d9d1ce3p-12, -0x1.2d0d38698ca24p-12, -0x1.1e9d0193b30bcp-12, -0x1.109ead59aa6f7p-12, -0x1.030f516534a08p-12, -0x1.ebd828def7c46p-13, -0x1.d2645bcec0cep-13, -0x1.b9bdcb2f9aef4p-13, -0x1.a1df26a2216f8p-13, -0x1.8ac33d28ca88ep-13, -0x1.7464fc7c0ad77p-13, -0x1.5ebf7068230fap-13, -0x1.49cdc229ce602p-13, -0x1.358b37d02330cp-13, -0x1.21f333a0d0438p-13, -0x1.0f01337f3a9f8p-13, -0x1.f961a0abd11c3p-14, -0x1.d5fb7b06b7646p-14, -0x1.b3c79092a1071p-14, -0x1.92bdae7f4c5afp-14, -0x1.72d5d39354932p-14, -0x1.54082f1a02439p-14, -0x1.364d1fd6dcef2p-14, -0x1.199d33014239ep-14, -0x1.fbe24684bcb54p-15, -0x1.c683af6ee8f08p-15, -0x1.9310c6003e8edp-15, -0x1.617c04891019ep-15, -0x1.31b8389849b2cp-15, -0x1.03b881240ddb3p-15, -0x1.aee0998a8ea72p-16, -0x1.59a6afee4c05dp-16, -0x1.07ab56bd595dfp-16, -0x1.71ae6875cd437p-17, -0x1.b44e014ff51c8p-18, -0x1.22500b368858p-19, 0x1.0cd7b7307c4d9p-19, 0x1.92c23ac9a1fbap-18, 0x1.4a16ce0342014p-17, 0x1.c57f3d498e9bfp-17, 0x1.1de0d530d361p-16, 0x1.56822dcc8679fp-16, 0x1.8cb65206c77d7p-16, 0x1.c08f748baac4cp-16, 0x1.f21f53d5de38ap-16, 0x1.10bb9e683444dp-15, 0x1.275406b6dc307p-15, 0x1.3ce11b9410a2dp-15, 0x1.516ae0ba47336p-15, 0x1.64f92617997c5p-15, 0x1.779389001b2f2p-15, 0x1.89417552ebb9dp-15, 0x1.9a0a269cf7f8ep-15, 0x1.a9f4a936dcf35p-15, 0x1.b907db586019dp-15, 0x1.c74a6e28895ap-15, 0x1.d4c2e6c884872p-15, 0x1.e1779f5a413f4p-15, 0x1.ed6ec80044d34p-15, 0x1.f8ae67d42ead4p-15, 0x1.019e2eee190d3p-14, 0x1.068f30fcc776dp-14, 0x1.0b2d02ea7d27bp-14, 0x1.0f7a5ae09a313p-14, 0x1.1379dcceff697p-14, 0x1.172e1ad826284p-14, 0x1.1a9995be1482ap-14, 0x1.1dbebd48aa442p-14, 0x1.209ff0adcaecbp-14, 0x1.233f7ef6d2abcp-14, 0x1.259fa76158b6ep-14, 0x1.27c299bffb2c6p-14, 0x1.29aa76d7d1d65p-14, 0x1.2b5950bc515ep-14, 0x1.2cd12b2925e1cp-14, 0x1.2e13fbda3a6e2p-14, 0x1.2f23aae1f9c76p-14, 0x1.300212fd8834fp-14, 0x1.30b101e6746bdp-14, 0x1.313238a2dc559p-14, 0x1.31876bd403013p-14, 0x1.31b24403e6698p-14, 0x1.31b45def7ecf2p-14, 0x1.318f4ad12cbb2p-14, 0x1.314490a7a6117p-14, 0x1.30d5aa7cda4fbp-14, 0x1.304408a9acdeep-14, 0x1.2f911118e1abp-14, 0x1.2ebe1f89f72d4p-14, 0x1.2dcc85d00d21fp-14, 0x1.2cbd8c118f6b8p-14, 0x1.2b927104d3dafp-14, 0x1.2a4c6a2b8af35p-14, 0x1.28eca40d6bc6bp-14, 0x1.277442718001dp-14, 0x1.25e46095c5344p-14, 0x1.243e1165f8fcap-14, 0x1.22825fb13f35fp-14, 0x1.20b24e5d6ed32p-14, 0x1.1eced89a52d64p-14, 0x1.1cd8f2128107bp-14, 0x1.1ad1871d63ff7p-14, 0x1.18b97cedb3229p-14, 0x1.1691b1c06e7d7p-14, 0x1.145afd09c6a74p-14, 0x1.12162fa165f09p-14, 0x1.0fc413ed58208p-14, 0x1.0d656e0c6ce34p-14, 0x1.0afafbff8ff88p-14, 0x1.088575d1d0543p-14, 0x1.06058dc038c66p-14, 0x1.037bf05fc1e24p-14, 0x1.00e944c3187b8p-14, 0x1.fc9c593d4eba5p-15, 0x1.f75688d92e2fep-15, 0x1.f202471feaec4p-15, 0x1.eca0b8ed7234bp-15, 0x1.e732f97651ddap-15, 0x1.e1ba1a889f552p-15, 0x1.dc3724cabb65fp-15, 0x1.d6ab17fa0a737p-15, 0x1.d116eb26871a8p-15, 0x1.cb7b8ceea8694p-15, 0x1.c5d9e3b8ca042p-15, 0x1.c032cdeb7a8cep-15, 0x1.ba872224c8ca3p-15, 0x1.b4d7af6f4e8c6p-15, 0x1.af253d7662ad7p-15, 0x1.a9708cb906728p-15, 0x1.a3ba56bc8743fp-15, 0x1.9e034e3c5ef46p-15, 0x1.984c1f5a2d9bcp-15, 0x1.92956fcc48a35p-15, 0x1.8cdfdf0a2b39ap-15, 0x1.872c06793ce23p-15, 0x1.817a799669c57p-15, 0x1.7bcbc6220926cp-15, 0x1.76207447680b6p-15, 0x1.707906c571961p-15, 0x1.6ad5fb160ad7cp-15, 0x1.6537c99349e75p-15, 0x1.5f9ee59c9250dp-15, 0x1.5a0bbdbb4c46fp-15, 0x1.547ebbc59a6aep-15, 0x1.4ef84500eb8d8p-15, 0x1.4978ba43ff909p-15, 0x1.4400781713f24p-15, 0x1.3e8fd6d44df3bp-15, 0x1.39272ac690821p-15, 0x1.33c6c447e6094p-15, 0x1.2e6eefdefe499p-15, 0x1.291ff65bf18bfp-15, 0x1.23da1cf49afeep-15, 0x1.1e9da55fd334p-15, 0x1.196acdf0d8bbbp-15, 0x1.1441d1b0baf26p-15, 0x1.0f22e877bfc1fp-15, 0x1.0a0e47067f2b6p-15, 0x1.05041f1d710e9p-15, 0x1.00049f9523329p-15, 0x1.f61fe8e93ff43p-16, 0x1.ec4c8e105c2a4p-16, 0x1.e28f7bee60333p-16, 0x1.d8e8fab11cfaap-16, 0x1.cf594d90d89d8p-16, 0x1.c5e0b2f71f282p-16, 0x1.bc7f64a67ccb7p-16, 0x1.b33597e080857p-16, 0x1.aa037d8af7e8ap-16, 0x1.a0e94254a1fa2p-16, 0x1.97e70ed89752p-16, 0x1.8efd07c018f19p-16, 0x1.862b4de46ccaap-16, 0x1.7d71fe6f2f669p-16, 0x1.74d132fa9160bp-16, 0x1.6c4901afbfc7cp-16, 0x1.63d97d654d383p-16, 0x1.5b82b5bc65d6p-16, 0x1.5344b73db402ep-16, 0x1.4b1f8b7517288p-16, 0x1.4313390c30ea6p-16, 0x1.3b1fc3e5137c1p-16, 0x1.33452d33c09bep-16, 0x1.2b837396a189cp-16, 0x1.23da932f9faf8p-16, 0x1.1c4a85bb61b3ap-16, 0x1.14d342a81eap-16, 0x1.0d74bf2c191f2p-16, 0x1.062eee5b1d155p-16, 0x1.fe038277e4d4ap-17, 0x1.efda4db94992bp-17, 0x1.e1e218cc53f0ap-17, 0x1.d41aba61365cdp-17, 0x1.c68405aa1f61cp-17, 0x1.b91dca81ed92p-17, 0x1.abe7d58f0b245p-17, 0x1.9ee1f065ed553p-17, 0x1.920be1aad2aap-17, 0x1.85656d320a821p-17, 0x1.78ee541fbf45ap-17, 0x1.6ca6550836c1ep-17, 0x1.608d2c0c1ed4bp-17, 0x1.54a292f711e87p-17, 0x1.48e6415b4c4dbp-17, 0x1.3d57ecac98654p-17, 0x1.31f7485bcd7ffp-17, 0x1.26c405f0906b1p-17, 0x1.1bbdd521dad3ep-17, 0x1.10e463ef10c32p-17, 0x1.06375eb6c4586p-17, 0x1.f76ce09e54976p-18, 0x1.e2c2843596577p-18, 0x1.ce6ef83f17adbp-18, 0x1.ba718a34da151p-18, 0x1.a6c98527c3637p-18, 0x1.937631e7b2c9ap-18, 0x1.8076d72ada308p-18, 0x1.6dcab9b0e7a88p-18, 0x1.5b711c6723d79p-18, 0x1.4969408c477b3p-18, 0x1.37b265d05aa26p-18, 0x1.264bca76dd966p-18, 0x1.1534ab750a783p-18, 0x1.046c4491b5a12p-18, 0x1.e7e3a101af819p-19, 0x1.c7891202bc675p-19, 0x1.a7c74df0d2124p-19, 0x1.889cc5191b4b4p-19, 0x1.6a07e67d79f34p-19, 0x1.4c0720093b13bp-19, 0x1.2e98debce1e0ap-19, 0x1.11bb8edf5d1e7p-19, 0x1.eadb3855b8ee6p-20, 0x1.b35ae3ee846p-20, 0x1.7cf2f6ce1df3dp-20, 0x1.47a0471704356p-20, 0x1.135fab1f4fdd2p-20, 0x1.c05bf366de394p-21, 0x1.5c1014c5cc1bbp-21, 0x1.f3aad71f030c9p-22, 0x1.334b5721ecfc4p-22, 0x1.dbd45d5242234p-24, -0x1.0591cd3a64aa7p-24, -0x1.eb9b978596991p-23, -0x1.a6536bf4033f3p-22, -0x1.2980e1f90b1a6p-21, -0x1.7df29c931757dp-21, -0x1.d08512b9ac5eep-21, -0x1.109f359d8a2c7p-20, -0x1.38126336a70dep-20, -0x1.5e9f1ee637909p-20, }}, 
      {{0x1.03b46c9b13f8ep-1, 0x1.03bf1f1903a34p-1, 0x1.03d16ae0becb9p-1, 0x1.03ebe6697ab3ap-1, 0x1.040f38c0f2a18p-1, 0x1.043c005f37917p-1, 0x1.0472be8fa9f8p-1, 0x1.04b3c84666288p-1, 0x1.04ff3c4712b12p-1, 0x1.0554fe0305cfap-1, 0x1.05b4b45ee596cp-1, 0x1.061dcb8600a69p-1, 0x1.068f78ffcb0d8p-1, 0x1.0708c1555a381p-1, 0x1.07887eb1ed884p-1, 0x1.080d68063f461p-1, 0x1.089618508db9dp-1, 0x1.092115c21bfc3p-1, 0x1.09acd88e41c7dp-1, 0x1.0a37d13f0c655p-1, 0x1.0ac06e786759fp-1, 0x1.0b45221cf3fd5p-1, 0x1.0bc465cfb5f3cp-1, 0x1.0c3cbed3b26cep-1, 0x1.0cacc14f073e3p-1, 0x1.0d1312fa19025p-1, 0x1.0d6e6d45727ep-1, 0x1.0dbd9f0226454p-1, 0x1.0dff8d990bb8bp-1, 0x1.0e3335dd3896bp-1, 0x1.0e57ac85d03b5p-1, 0x1.0e6c1e5aafdd9p-1, 0x1.0e6fd01ec386bp-1, 0x1.0e621e4203a38p-1, 0x1.0e427c6436d1fp-1, 0x1.0e1074b0b2932p-1, 0x1.0dcba71a7c497p-1, 0x1.0d73c87f52a54p-1, 0x1.0d08a1b764964p-1, 0x1.0c8a0e96c05c8p-1, 0x1.0bf7fce4d762dp-1, 0x1.0b526b4de26a9p-1, 0x1.0a9968515e01cp-1, 0x1.09cd11305c4f6p-1, 0x1.08ed90de01b0ap-1, 0x1.07fb1ef4133bap-1, 0x1.06f5fead3459fp-1, 0x1.05de7de61cacep-1, 0x1.04b4f426cf36ep-1, 0x1.0379c1b4a6c62p-1, 0x1.022d4eadd1fffp-1, 0x1.00d00a2eb2b7bp-1, 0x1.fec4d302e59f9p-2, 0x1.fbc9ceafeea67p-2, 0x1.f8b00620922e5p-2, 0x1.f5788006dddd6p-2, 0x1.f22449bd3fdedp-2, 0x1.eeb4760d57d0ep-2, 0x1.eb2a1c0abeabfp-2, 0x1.e786560154292p-2, 0x1.e3ca4076782b6p-2, 0x1.dff6f93c98df8p-2, 0x1.dc0d9e986689p-2, 0x1.d80f4e770569dp-2, 0x1.d3fd25b47e75dp-2, 0x1.cfd83f71bd225p-2, 0x1.cba1b4795b01bp-2, 0x1.c75a9ab27e406p-2, 0x1.c30404a116405p-2, 0x1.be9f00f2b5b0dp-2, 0x1.ba2c9a175f0d7p-2, 0x1.b5add5e58bacap-2, 0x1.b123b548c63e7p-2, 0x1.ac8f33fa2f68ap-2, 0x1.a7f148424aa5bp-2, 0x1.a34ae2c37908dp-2, 0x1.9e9cee4c8c5e6p-2, 0x1.99e84fb2dee14p-2, 0x1.952de5b36ce7cp-2, 0x1.906e88da67beap-2, 0x1.8bab0b70c37adp-2, 0x1.86e4396f4eb89p-2, 0x1.821ad876dedb8p-2, 0x1.7d4fa7cd26d0fp-2, 0x1.7883605dd0fa5p-2, 0x1.73b6b4bf8448fp-2, 0x1.6eea513c6ef38p-2, 0x1.6a1edbde0d527p-2, 0x1.6554f47bd4ed3p-2, 0x1.608d34cc814fbp-2, 0x1.5bc83079b149dp-2, 0x1.57067535a3589p-2, 0x1.52488ad2c19bcp-2, 0x1.4d8ef35cd6367p-2, 0x1.48da2b33a8522p-2, 0x1.442aa926d2464p-2, 0x1.3f80de92a7fd6p-2, 0x1.3add377e004a4p-2, 0x1.36401ab8b6842p-2, 0x1.31a9e9facc3a4p-2, 0x1.2d1b0203fb0d7p-2, 0x1.2893babba3563p-2, 0x1.24146750f9af3p-2, 0x1.1f9d565b557c3p-2, 0x1.1b2ed1fa8d12fp-2, 0x1.16c91ff74d0dep-2, 0x1.126c81e35064ep-2, 0x1.0e1935396c8a9p-2, 0x1.09cf737d65afap-2, 0x1.058f725b72892p-2, 0x1.015963c76eba6p-2, 0x1.fa5aec3751f04p-3, 0x1.f217a86e8c981p-3, 0x1.e9e94b386279dp-3, 0x1.e1d01d1919e0ap-3, 0x1.d9cc604f4b59bp-3, 0x1.d1de510cb2ec9p-3, 0x1.ca0625ade8bafp-3, 0x1.c2440ef0f679ep-3, 0x1.ba98382ac63f8p-3, 0x1.b302c77b647d9p-3, 0x1.ab83de010c5c4p-3, 0x1.a41b980a09042p-3, 0x1.9cca0d45579b8p-3, 0x1.958f50f21648p-3, 0x1.8e6b720dc1f6fp-3, 0x1.875e7b8134d9p-3, 0x1.8068744c72c39p-3, 0x1.79895fb14d244p-3, 0x1.72c13d5cc3425p-3, 0x1.6c10098f4ac88p-3, 0x1.6575bd43de4a5p-3, 0x1.5ef24e55efab5p-3, 0x1.5885afa634bcfp-3, 0x1.522fd13e57bfp-3, 0x1.4bf0a0739028cp-3, 0x1.45c808082820ep-3, 0x1.3fb5f04bf3eb5p-3, 0x1.39ba3f3bbd0e9p-3, 0x1.33d4d89faf44ep-3, 0x1.2e059e28c5755p-3, 0x1.284c6f8d3b1bep-3, 0x1.22a92aa40caddp-3, 0x1.1d1bab7f8e048p-3, 0x1.17a3cc8715edp-3, 0x1.1241668fc5051p-3, 0x1.0cf450f4797c7p-3, 0x1.07bc61acde242p-3, 0x1.02996d63b9bbbp-3, 0x1.fb168f18c2edcp-4, 0x1.f12384eee211cp-4, 0x1.e7595ecd7ed33p-4, 0x1.ddb7bd412975ep-4, 0x1.d43e3f04597aep-4, 0x1.caec812310ef2p-4, 0x1.c1c21f1d28ae2p-4, 0x1.b8beb3074adf4p-4, 0x1.afe1d5aaa9c13p-4, 0x1.a72b1ea37f134p-4, 0x1.9e9a247e5eab9p-4, 0x1.962e7cd44f8e8p-4, 0x1.8de7bc65dccafp-4, 0x1.85c57734ff502p-4, 0x1.7dc7409e01d1ep-4, 0x1.75ecab6f5d515p-4, 0x1.6e354a0098abfp-4, 0x1.66a0ae48323a9p-4, 0x1.5f2e69f09db3bp-4, 0x1.57de0e6c5b3f4p-4, 0x1.50af2d092f4acp-4, 0x1.49a1570283918p-4, 0x1.42b41d92f7d96p-4, 0x1.3be7120528bacp-4, 0x1.3539c5c3b3224p-4, 0x1.2eabca687c1d3p-4, 0x1.283cb1cb40a24p-4, 0x1.21ec0e0f764fbp-4, 0x1.1bb971b180a2ep-4, 0x1.15a46f9341b3ap-4, 0x1.0fac9b080bb9dp-4, 0x1.09d187dff8feap-4, 0x1.0412ca72ae17ep-4, 0x1.fcdfef531c57dp-5, 0x1.f1d14a12c4efbp-5, 0x1.e6f8d176fc258p-5, 0x1.dc55b32cbd9acp-5, 0x1.d1e71e4ba3096p-5, 0x1.c7ac43653f6a1p-5, 0x1.bda454938f12cp-5, 0x1.b3ce8586864c6p-5, 0x1.aa2a0b90cc743p-5, 0x1.a0b61db3a34dp-5, 0x1.9771f4aa061ddp-5, 0x1.8e5ccaf3090f1p-5, 0x1.8575dcdb7b977p-5, 0x1.7cbc6886d8e02p-5, 0x1.742fadf78d29dp-5, 0x1.6bceef1690e77p-5, 0x1.63996fba66923p-5, 0x1.5b8e75ad7c9fcp-5, 0x1.53ad48b3fc66fp-5, 0x1.4bf532910ade8p-5, 0x1.44657f0b7e07cp-5, 0x1.3cfd7bf211ed4p-5, 0x1.35bc791f1de8cp-5, 0x1.2ea1c87bcfd28p-5, 0x1.27acbe02f260cp-5, 0x1.20dcafc345c07p-5, 0x1.1a30f5e16a67dp-5, 0x1.13a8ea9968565p-5, 0x1.0d43ea3fd1b43p-5, 0x1.0701534285643p-5, 0x1.00e086291d7e3p-5, 0x1.f5c1cb2a0119cp-6, 0x1.ea03ac82495e2p-6, 0x1.de857e0302314p-6, 0x1.d34611846ee54p-6, 0x1.c8443d0ce5fc6p-6, 0x1.bd7edace0636cp-6, 0x1.b2f4c9216e5e2p-6, 0x1.a8a4ea84f0136p-6, 0x1.9e8e259654202p-6, 0x1.94af650eab61dp-6, 0x1.8b0797bd35727p-6, 0x1.8195b081de77fp-6, 0x1.7858a64764fdfp-6, 0x1.6f4f73fd1be25p-6, 0x1.667918905e26cp-6, 0x1.5dd496e5aacb4p-6, 0x1.5560f5d1782ecp-6, 0x1.4d1d4010c05c8p-6, 0x1.45088441442adp-6, 0x1.3d21d4d99776bp-6, 0x1.35684820e7b4dp-6, 0x1.2ddaf82694113p-6, 0x1.267902b98b272p-6, 0x1.1f41895f79935p-6, 0x1.1833b14bd0695p-6, 0x1.114ea3569bd03p-6, 0x1.0a918bf335bafp-6, 0x1.03fb9b26d8f6ep-6, 0x1.fb1808fe1b0bdp-7, 0x1.ee83fe0ffce8ep-7, 0x1.e2398a8562d97p-7, 0x1.d6372a36471a3p-7, 0x1.ca7b5fbcb48f3p-7, 0x1.bf04b460b4708p-7, 0x1.b3d1b804148e8p-7, 0x1.a8e1010e2ac67p-7, 0x1.9e312c576b6c8p-7, 0x1.93c0dd14eed3bp-7, 0x1.898ebcc3ee631p-7, 0x1.7f997b1536694p-7, 0x1.75dfcdd8843b7p-7, 0x1.6c6070e7ee2efp-7, 0x1.631a261341b82p-7, 0x1.5a0bb50b672b2p-7, 0x1.5133eb4dc84c8p-7, 0x1.48919c0fc92e5p-7, 0x1.4023a02a353a1p-7, 0x1.37e8d604d9b08p-7, 0x1.2fe0218215e34p-7, 0x1.28086bea898c1p-7, 0x1.2060a3d8d9f19p-7, 0x1.18e7bd258c4bbp-7, 0x1.119cb0d2f4248p-7, 0x1.0a7e7cf946989p-7, 0x1.038c24b2c8c0bp-7, 0x1.f989601029d14p-8, 0x1.ec4e57b915f4ap-8, 0x1.df6553b5bfbf3p-8, 0x1.d2cc80c3a18e9p-8, 0x1.c68214e1ef8a5p-8, 0x1.ba844f2b9cee2p-8, 0x1.aed177b1a8431p-8, 0x1.a367df55b8a97p-8, 0x1.9845dfa5133c4p-8, 0x1.8d69dab3ecc8p-8, 0x1.82d23af904b02p-8, 0x1.787d7329a3c13p-8, 0x1.6e69fe15f5151p-8, 0x1.64965e85c44c7p-8, 0x1.5b011f158a97ep-8, 0x1.51a8d213ddb57p-8, 0x1.488c115f5014ep-8, 0x1.3fa97e44a17cdp-8, 0x1.36ffc15d5c56p-8, 0x1.2e8d8a6ed0b19p-8, 0x1.2651904973cc1p-8, 0x1.1e4a90a8a7b5cp-8, 0x1.16775012ead7fp-8, 0x1.0ed699ba65c61p-8, 0x1.07673f5de133ap-8, 0x1.0028192a29b0ep-8, 0x1.f2300b3798b2bp-9, 0x1.e46bd2c28683ep-9, 0x1.d7015e7b2cdcp-9, 0x1.c9ee8fd682e64p-9, 0x1.bd3153ff337dcp-9, 0x1.b0c7a39d201ecp-9, 0x1.a4af829dcfb7ep-9, 0x1.98e6fffd8adfp-9, 0x1.8d6c35913fdecp-9, 0x1.823d47d142517p-9, 0x1.775865a4d2942p-9, 0x1.6cbbc82e69b2bp-9, 0x1.6265b298d74e5p-9, 0x1.585471e51679ap-9, 0x1.4e865cb8f1bf2p-9, 0x1.44f9d32e605dbp-9, 0x1.3bad3ea3b8506p-9, 0x1.329f118ca55ecp-9, 0x1.29cdc743d0613p-9, 0x1.2137e3dd3fbafp-9, 0x1.18dbf3f988af4p-9, 0x1.10b88c99abd92p-9, 0x1.08cc4af3bdfd4p-9, 0x1.0115d4484f229p-9, 0x1.f327ab70bdefap-10, 0x1.e48a083853eb8p-10, 0x1.d65037b546a86p-10, 0x1.c877c1831ee08p-10, 0x1.bafe3bbcf7ffep-10, 0x1.ade14ab0671d8p-10, 0x1.a11ea091e0c39p-10, 0x1.94b3fd326d1b6p-10, 0x1.889f2db6b3801p-10, 0x1.7cde0c4f49332p-10, 0x1.716e7ff2781e4p-10, 0x1.664e7c170ac9ep-10, 0x1.5b7c007055d5ap-10, 0x1.50f518abae3acp-10, 0x1.46b7dc2efb48fp-10, 0x1.3cc26dd86d5ecp-10, 0x1.3312fbbfbb523p-10, 0x1.29a7bef81abfap-10, 0x1.207efb53823bep-10, 0x1.1796ff273d4bbp-10, 0x1.0eee231164ea1p-10, 0x1.0682c9bf9e90bp-10, 0x1.fca6bf6dddc0cp-11, 0x1.ecbcb6393899ap-11, 0x1.dd4476fff3aa5p-11, 0x1.ce3b134ad492fp-11, 0x1.bf9daea4c4079p-11, 0x1.b1697e34ce9e9p-11, 0x1.a39bc85a2bfbcp-11, 0x1.9631e44a8da6ap-11, 0x1.892939b17bdd9p-11, 0x1.7c7f405285b0fp-11, 0x1.70317face0626p-11, 0x1.643d8ea0dc44bp-11, 0x1.58a113176f0eap-11, 0x1.4d59c1ab583bfp-11, 0x1.42655d5418e7p-11, 0x1.37c1b7126376p-11, 0x1.2d6cad9e9cae5p-11, 0x1.23642d18c103ap-11, 0x1.19a62eba2c3ccp-11, 0x1.1030b888d792bp-11, 0x1.0701dd0c5f928p-11, 0x1.fc2f760863c4bp-12, 0x1.eae0fa3f1c19bp-12, 0x1.da14b36e28d4cp-12, 0x1.c9c7250f3225ep-12, 0x1.b9f4e8dd2cfe4p-12, 0x1.aa9aae504849bp-12, 0x1.9bb53a1c0bc1ep-12, 0x1.8d4165b095b1ep-12, 0x1.7f3c1ebe9ef1p-12, 0x1.71a266bddb403p-12, 0x1.6471527624d31p-12, 0x1.57a6098b4a7c8p-12, 0x1.4b3dc60b74569p-12, 0x1.3f35d3ff9d303p-12, 0x1.338b90fea76a7p-12, 0x1.283c6bc2dee1ap-12, 0x1.1d45e3c1a286ep-12, 0x1.12a588c5af43fp-12, 0x1.0858fa8b3b30ep-12, 0x1.fcbbd0bd3c861p-13, 0x1.e9642179c571ap-13, 0x1.d6a681ed26909p-13, 0x1.c47ea9a903694p-13, 0x1.b2e86c7d062e3p-13, 0x1.a1dfb9c8be368p-13, 0x1.91609bd12568bp-13, 0x1.8167371a46312p-13, 0x1.71efc9c3eaca2p-13, 0x1.62f6aaeae30eep-13, 0x1.54784a0cdcba9p-13, 0x1.46712e70a2753p-13, 0x1.38ddf690f902bp-13, 0x1.2bbb578c01deep-13, 0x1.1f061c94cb658p-13, 0x1.12bb2668b88fcp-13, 0x1.06d76ac7ff873p-13, 0x1.f6afe7e242a8bp-14, 0x1.e073c03f1c007p-14, 0x1.caf4c219bd7aep-14, 0x1.b62d76ebb27bdp-14, 0x1.a2188d42b6167p-14, 0x1.8eb0d7d5670bep-14, 0x1.7bf14c9ce3eecp-14, 0x1.69d503f450aa8p-14, 0x1.585737bc30627p-14, 0x1.47734284ec9acp-14, 0x1.37249ebc3d882p-14, 0x1.2766e5e1d5feep-14, 0x1.1835cfbe7b9f5p-14, 0x1.098d31a1c41adp-14, 0x1.f6d1fb45bad5dp-15, 0x1.db8a83cf2c7fep-15, 0x1.c13c4fdb290cp-15, 0x1.a7dfe7b45c42ep-15, 0x1.8f6e07993375p-15, 0x1.77df9e6a91c8fp-15, 0x1.612dcc626682p-15, 0x1.4b51e1d187ce4p-15, 0x1.36455de4c3b1cp-15, 0x1.2201ed73b1059p-15, 0x1.0e8169d3fe24p-15, 0x1.f77baf6cf19fbp-16, 0x1.d362cc12e0912p-16, 0x1.b0acd9c52bcdep-16, 0x1.8f4ed8df9f7e2p-16, 0x1.6f3e17dceff2cp-16, 0x1.507031516d7a9p-16, 0x1.32db09f28b293p-16, 0x1.1674ceac030b3p-16, 0x1.f667e57e6b49ep-17, 0x1.c21e5bdd33aaap-17, 0x1.8ffaf56e486f5p-17, 0x1.5fec2920c2fc4p-17, 0x1.31e0ec753db37p-17, 0x1.05c8b02fd5cf8p-17, 0x1.b726ba33e6b5bp-18, 0x1.6662a1bf710aep-18, 0x1.1926b5f549d2fp-18, 0x1.9eaae6d50fafep-19, 0x1.11a45ceec04cfp-19, 0x1.1604363a4241dp-20, 0x1.51c0e97455802p-24, -0x1.bfb1a98062edap-21, -0x1.c9408438f626cp-20, -0x1.53bf0ecabaaep-19, -0x1.bd78effbe8975p-19, -0x1.10fe4fded521ap-18, -0x1.40bbbe10c8d29p-18, -0x1.6e0ac84941934p-18, -0x1.9900cf702b619p-18, -0x1.c1b2941113d5p-18, -0x1.e8343aa1b0179p-18, -0x1.064ca7de7cd3dp-17, -0x1.177a661c4b221p-17, -0x1.27ac8c90cf1d2p-17, -0x1.36ec09d0d469ep-17, -0x1.454188643fd2fp-17, -0x1.52b5709bb86c9p-17, -0x1.5f4fea6290565p-17, -0x1.6b18defbb659p-17, -0x1.7617fab9b3989p-17, -0x1.8054aea70d195p-17, -0x1.89d6322652f6ap-17, -0x1.92a38486eebc5p-17, -0x1.9ac36e8e2adc2p-17, -0x1.a23c83f95a7e5p-17, -0x1.a91524f12ec3dp-17, -0x1.af537f78235ap-17, -0x1.b4fd90cc5785ap-17, -0x1.ba1926c1ac79fp-17, -0x1.beabe113fc4f8p-17, -0x1.c2bb32adb2715p-17, -0x1.c64c62e72999dp-17, -0x1.c9648ebfaebfdp-17, -0x1.cc08aa09a2a8ep-17, -0x1.ce3d80945994ep-17, -0x1.d007b74a21494p-17, -0x1.d16bcd48de2ap-17, -0x1.d26e1cf28d10ep-17, -0x1.d312dcf5acc35p-17, -0x1.d35e2150aedfbp-17, -0x1.d353dc4d3f1ebp-17, -0x1.d2f7df76035e7p-17, -0x1.d24ddc83f9ce1p-17, -0x1.d1596647ea9dp-17, -0x1.d01df18a1545p-17, -0x1.ce9ed5e8c7af1p-17, -0x1.ccdf4ead69274p-17, -0x1.cae27b9dafe3ap-17, -0x1.c8ab61c59efcdp-17, -0x1.c63cec3d62982p-17, -0x1.c399ece99ac56p-17, -0x1.c0c51d368578ep-17, -0x1.bdc11ecdb6ed4p-17, -0x1.ba907c48da88fp-17, -0x1.b735a9dcf5972p-17, -0x1.b3b3060116589p-17, -0x1.b00ada1304e97p-17, -0x1.ac3f5af62d886p-17, -0x1.a852a9ae042d8p-17, -0x1.a446d3f3f9f1ap-17, -0x1.a01dd4ca59d3bp-17, -0x1.9bd9950a27308p-17, -0x1.977bebedc2732p-17, -0x1.93069f9771baap-17, -0x1.8e7b65952ffb7p-17, -0x1.89dbe36034da3p-17, -0x1.8529aed74eaa2p-17, -0x1.80664eb8f45d8p-17, -0x1.7b933b17a7e53p-17, -0x1.76b1ddcc9e213p-17, -0x1.71c392e626bfcp-17, -0x1.6cc9a91415f14p-17, -0x1.67c5621016648p-17, -0x1.62b7f3042ca7p-17, -0x1.5da284ed0bbe4p-17, -0x1.588634faf5f08p-17, -0x1.536414f01f1eap-17, -0x1.4e3d2b7ab6fbbp-17, -0x1.4912748e0228dp-17, -0x1.43e4e1b8265f7p-17, -0x1.3eb55a7604b01p-17, -0x1.3984bc8466a17p-17, -0x1.3453dc2ed98e6p-17, -0x1.2f23849d1a85cp-17, -0x1.29f4781da634p-17, -0x1.24c7706dbc19ep-17, -0x1.1f9d1f008e344p-17, -0x1.1a762d433c9f1p-17, -0x1.15533cdfab3a7p-17, -0x1.1034e7fcbca1cp-17, -0x1.0b1bc17de2f02p-17, -0x1.0608553f911c5p-17, -0x1.00fb2852d0694p-17, -0x1.f7e9726cff3bfp-18, -0x1.edeb001e7915p-18, -0x1.e3fbddbbe7106p-18, -0x1.da1ce3694dfcep-18, -0x1.d04eddd3aba57p-18, -0x1.c6928e9435bfbp-18, -0x1.bce8ac90db967p-18, -0x1.b351e4590b5b1p-18, -0x1.a9ced8821980dp-18, -0x1.a06021feffae8p-18, -0x1.9706507656e1fp-18, -0x1.8dc1ea961d813p-18, -0x1.84936e6400c67p-18, -0x1.7b7b518bdc2bbp-18, -0x1.727a01ab36b04p-18, -0x1.698fe49c1e6b3p-18, -0x1.60bd58bcd6716p-18, -0x1.5802b53570a8fp-18, -0x1.4f604a3b07285p-18, -0x1.46d661511f30ap-18, -0x1.3e653d88ba1d9p-18, -0x1.360d1bbe66acp-18, -0x1.2dce32d61de5bp-18, -0x1.25a8b3f4810d1p-18, -0x1.1d9ccab83616p-18, -0x1.15aa9d6f5102ap-18, -0x1.0dd24d4cc70c1p-18, -0x1.0613f69abe7f8p-18, -0x1.fcdf61d97e601p-19, -0x1.edcb1e9fef87ep-19, -0x1.deeb40f2e7aa4p-19, -0x1.d03fdde785a37p-19, -0x1.c1c9029430254p-19, -0x1.b386b465dcdc6p-19, -0x1.a578f17257292p-19, -0x1.979fb0c7556cfp-19, -0x1.89fae2b72339p-19, -0x1.7c8a71246a17dp-19, -0x1.6f4e3fc9e65ddp-19, -0x1.62462c8096de5p-19, -0x1.55720f826e886p-19, -0x1.48d1bbad5da3ep-19, -0x1.3c64fec0e9bf6p-19, -0x1.302ba19ceb9d7p-19, -0x1.2425687c441d1p-19, -0x1.1852132ea83e5p-19, -0x1.0cb15d5075535p-19, -0x1.0142fe7f4bb38p-19, -0x1.ec0d551ea9481p-20, -0x1.d5f82377ccf14p-20, -0x1.c045c1b304035p-20, -0x1.aaf583078f117p-20, -0x1.9606b4977466dp-20, -0x1.81789dc5e6d3dp-20, -0x1.6d4a808b79d99p-20, -0x1.597b99c98d3b6p-20, -0x1.460b2197592c9p-20, -0x1.32f84b8e8cf8p-20, -0x1.204247154ea73p-20, -0x1.0de83fa5e1fdbp-20, -0x1.f7d2ba2361cdbp-21, -0x1.d4898787ce91bp-21, -0x1.b1f32a0457c4ep-21, -0x1.900dde5129cfbp-21, -0x1.6ed7dbcb73962p-21, -0x1.4e4f54e7191fcp-21, -0x1.2e72779c9a1b1p-21, -0x1.0f3f6dd2e65dep-21, -0x1.e168bb8960309p-22, -0x1.a59ed4cb82f88p-22, -0x1.6b1d6779f0afep-22, -0x1.31e0ae84811e5p-22, -0x1.f3c9c0d744796p-23, -0x1.864c5fceebcadp-23, -0x1.1b4199131a2c4p-23, -0x1.65438d5006f92p-24, -0x1.3194fac0b20e4p-25, 0x1.77bab851429e7p-27, 0x1.e4229970e2ed4p-25, 0x1.b092c1de2b8b8p-24, 0x1.35458a09202cbp-23, 0x1.9004cf3bcc47dp-23, 0x1.e88edbfbbce28p-23, 0x1.1f75ac58a4cd3p-22, 0x1.4990f4f87dc32p-22, 0x1.729d17d61fe38p-22, 0x1.9a9de2338f739p-22, 0x1.c1971e439e235p-22, 0x1.e78c92cb77fb7p-22, 0x1.0641016caf5b9p-21, 0x1.183d96b57ea07p-21, 0x1.29bde68fe25b8p-21, 0x1.3ac3cbf960428p-21, 0x1.4b511f7933e99p-21, 0x1.5b67b6ff9f16ap-21, 0x1.6b0965c5d2ba8p-21, 0x1.7a37fc30f8bbep-21, 0x1.88f547b8a8988p-21, 0x1.974312c7b307ep-21, 0x1.a52324a4e29a8p-21, 0x1.b297415999db8p-21, 0x1.bfa1299b8ed01p-21, 0x1.cc429ab8d4fc4p-21, 0x1.d87d4e8085cbfp-21, 0x1.e452fb34881b6p-21, 0x1.efc5537701b8p-21, 0x1.fad606372a3cap-21, 0x1.02c35f523d9e4p-20, 0x1.07ec920f65eaep-20, 0x1.0ce76d14b734ep-20, 0x1.11b4c02f55a1cp-20, 0x1.165559326bfdep-20, 0x1.1aca03f360492p-20, 0x1.1f138a43ddb51p-20, 0x1.2332b3ecde1fcp-20, 0x1.272846ac144d1p-20, 0x1.2af5062f237fap-20, 0x1.2e99b41138f6dp-20, 0x1.32170fd7aeb37p-20, 0x1.356dd6f064584p-20, 0x1.389ec4b02ccb9p-20, 0x1.3baa92503abe9p-20, 0x1.3e91f6ec8078dp-20, 0x1.4155a78380935p-20, 0x1.43f656f47b099p-20, 0x1.4674b5ffb82a3p-20, 0x1.48d17345347a3p-20, 0x1.4b0d3b45cfed1p-20, 0x1.4d28b86473e36p-20, 0x1.4f2492e4a5b0ep-20, 0x1.510170ebc283p-20, 0x1.52bff6825dddfp-20, 0x1.5460c5950b5f7p-20, 0x1.55e47df575c09p-20, 0x1.574bbd5c43101p-20, 0x1.58971f6a90019p-20, 0x1.59c73dad16f99p-20, 0x1.5adcaf9c9b45fp-20, 0x1.5bd80aa0c2eaap-20, 0x1.5cb9e212c1294p-20, 0x1.5d82c73f74608p-20, 0x1.5e33496a35788p-20, 0x1.5ecbf5cf4676bp-20, 0x1.5f4d57a6ef291p-20, 0x1.5fb7f829a1d62p-20, 0x1.600c5e92404f8p-20, 0x1.604b10210ccdap-20, 0x1.6074901fd33c2p-20, 0x1.60895fe3ff079p-20, 0x1.6089fed352394p-20, 0x1.6076ea66c87dp-20, 0x1.60509e2f1dd0bp-20, 0x1.601793d7c1ae4p-20, 0x1.5fcc432bceb7fp-20, 0x1.5f6f221909695p-20, 0x1.5f00a4b3c9fb3p-20, 0x1.5e813d3b78b2ap-20, 0x1.5df15c1eb2913p-20, 0x1.5d516ffecc9c3p-20, 0x1.5ca1e5b444a4cp-20, 0x1.5be3285382c3ap-20, 0x1.5b15a130fce28p-20, 0x1.5a39b7e5420e7p-20, 0x1.594fd25130739p-20, 0x1.585854a2f1a58p-20, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.0d961b7e76eafp-8, -0x1.0da095206d20fp-7, -0x1.94b0f44bf9362p-7, -0x1.0e280f6720c1cp-6, -0x1.526f1000166a3p-6, -0x1.97560e9cfbadp-6, -0x1.dcf2db7246a66p-6, -0x1.11a06a1bcd818p-5, -0x1.350e7d246c437p-5, -0x1.58a2aa0e1fbf6p-5, -0x1.7c2d6f54616bap-5, -0x1.9f72a4e92e85cp-5, -0x1.c22be706520d3p-5, -0x1.e40b44591c204p-5, -0x1.025efb9f2ca7dp-4, -0x1.11f780c12b46p-4, -0x1.20a4c7c0360c3p-4, -0x1.2e3d8920f123p-4, -0x1.3a9a843f8b09bp-4, -0x1.45973a3cf0ab3p-4, -0x1.4f1280780fc63p-4, -0x1.56eeed1fb4966p-4, -0x1.5d13214a3d56cp-4, -0x1.6169f477d98e4p-4, -0x1.63e2858f0108p-4, -0x1.64703557f130ap-4, -0x1.630a8e4c9fb3bp-4, -0x1.5fad1d4c2e0c3p-4, -0x1.5a573e6d2e02bp-4, -0x1.530be0d058638p-4, -0x1.49d143fab9d05p-4, -0x1.3eb0b0e65e1bep-4, -0x1.31b630a580d72p-4, -0x1.22f04227a11c7p-4, -0x1.126f906a444f1p-4, -0x1.0046aa2105c38p-4, -0x1.d913775343ccp-5, -0x1.ae9c97e1856e2p-5, -0x1.8155f985d2b1p-5, -0x1.516e9dc2e964dp-5, -0x1.1f16d42ba6d59p-5, -0x1.d4ffa58f7187p-6, -0x1.67b6ad9e55abcp-6, -0x1.ed6d36cd8a26bp-7, -0x1.04c6194384141p-7, -0x1.63da83e19260bp-11, 0x1.bad212cd29fcbp-8, 0x1.d56e5b52790dcp-7, 0x1.688b71e20b4fap-6, 0x1.e7d60cc7718bdp-6, 0x1.341f396b7d6c4p-5, 0x1.74b787865ed5bp-5, 0x1.b58abae33d7f1p-5, 0x1.f67146f9979d7p-5, 0x1.1ba2ac57856c5p-4, 0x1.3bf1713757618p-4, 0x1.5c13d24933d2bp-4, 0x1.7bf9993cefae4p-4, 0x1.9b937a5306626p-4, 0x1.bad3141599caep-4, 0x1.d9aaede3120a3p-4, 0x1.f80e756e49cb5p-4, 0x1.0af8fdaacb5e5p-3, 0x1.19a55777c1ac9p-3, 0x1.28074cb4df077p-3, 0x1.361a4c2a22d69p-3, 0x1.43da2bd871104p-3, 0x1.514325ce3c14bp-3, 0x1.5e51d4d319edp-3, 0x1.6b0330f3295c3p-3, 0x1.77548bf24ae36p-3, 0x1.83438dae7f499p-3, 0x1.8ece3077c36a5p-3, 0x1.99f2bd633b59bp-3, 0x1.a4afc89eb118p-3, 0x1.af042dc8e55d8p-3, 0x1.b8ef0c529a9aep-3, 0x1.c26fc3ebb20b4p-3, 0x1.cb85f0ff60e5ap-3, 0x1.d4316941e1e37p-3, 0x1.dc723851d1a93p-3, 0x1.e4489c6ef86dap-3, 0x1.ebb50347f32ffp-3, 0x1.f2b806dfe246fp-3, 0x1.f9526a8d13948p-3, 0x1.ff85181153012p-3, 0x1.02a88e662d515p-2, 0x1.055bd3846138p-2, 0x1.07dd01b1bec93p-2, 0x1.0a2ccd2705243p-2, 0x1.0c4bf6d58af23p-2, 0x1.0e3b4b42c1382p-2, 0x1.0ffba170b1c28p-2, 0x1.118dd9d350453p-2, 0x1.12f2dd526572dp-2, 0x1.142b9c57ce8e5p-2, 0x1.15390de9ce9d8p-2, 0x1.161c2ed12525ep-2, 0x1.16d600ca99173p-2, 0x1.176789c3a6f6cp-2, 0x1.17d1d321fb37p-2, 0x1.1815e91561a63p-2, 0x1.1834d9f3d4312p-2, 0x1.182fb59f4adc7p-2, 0x1.18078cf4f7a0fp-2, 0x1.17bd714593212p-2, 0x1.175273d662b38p-2, 0x1.16c7a56a9c45p-2, 0x1.161e15d4d80a8p-2, 0x1.1556d39031e1p-2, 0x1.1472eb60cdd73p-2, 0x1.137367fb6708cp-2, 0x1.125951b39e77bp-2, 0x1.1125ae30b420dp-2, 0x1.0fd9802865aefp-2, 0x1.0e75c71f9deb8p-2, 0x1.0cfb7f30b7596p-2, 0x1.0b6ba0d7026p-2, 0x1.09c720bf4ecf3p-2, 0x1.080eef9d39d92p-2, 0x1.0643fa04f69dcp-2, 0x1.0467284960068p-2, 0x1.02795e5e0fc6ap-2, 0x1.007b7bbd4315cp-2, 0x1.fcdcb6a2b27dbp-3, 0x1.f8a5a6c365aeap-3, 0x1.f4536b058199p-3, 0x1.efe79d122329ep-3, 0x1.eb63ccfe62d72p-3, 0x1.e6c9813c4ef85p-3, 0x1.e21a3690e0adep-3, 0x1.dd57600e8c561p-3, 0x1.d88267141ae22p-3, 0x1.d39cab4f91fc2p-3, 0x1.cea782c4cf845p-3, 0x1.c9a439d7a5608p-3, 0x1.c494135928362p-3, 0x1.bf784897fb66fp-3, 0x1.ba5209735afb8p-3, 0x1.b5227c70af94fp-3, 0x1.afeabed37259fp-3, 0x1.aaabe4b7331f7p-3, 0x1.a566f92b9311ap-3, 0x1.a01cfe51fb901p-3, 0x1.9aceed7cf6dafp-3, 0x1.957db750f6aabp-3, 0x1.902a43e662e03p-3, 0x1.8ad572ecd5e95p-3, 0x1.85801bcf59fe2p-3, 0x1.802b0dd98a3p-3, 0x1.7ad7105d830ecp-3, 0x1.7584e2da75275p-3, 0x1.70353d23cfaep-3, 0x1.6ae8cf88dca1ep-3, 0x1.65a042fcc3d91p-3, 0x1.605c393ed0e7ap-3, 0x1.5b1d4d02fafebp-3, 0x1.55e4121a848b1p-3, 0x1.50b1159cb0d1fp-3, 0x1.4b84de0f7d11dp-3, 0x1.465feb904487bp-3, 0x1.4142b7fc4f56fp-3, 0x1.3c2db71932d3ep-3, 0x1.372156bcf981fp-3, 0x1.321dfef61023p-3, 0x1.2d241232dd746p-3, 0x1.2833ed690ba2ep-3, 0x1.234de83c6d77fp-3, 0x1.1e7255258487bp-3, 0x1.19a181978c39bp-3, 0x1.14dbb6261de7dp-3, 0x1.102136aa4e681p-3, 0x1.0b72426753f67p-3, 0x1.06cf142e9f61ep-3, 0x1.0237e2836f85bp-3, 0x1.fb59bf7baac5ap-4, 0x1.f25c745a4e2c5p-4, 0x1.e9783873be123p-4, 0x1.e0ad590dc7adp-4, 0x1.d7fc1c24657a3p-4, 0x1.cf64c0a9ee589p-4, 0x1.c6e77ec600f03p-4, 0x1.be8488132eecep-4, 0x1.b63c07db79a25p-4, 0x1.ae0e23537b294p-4, 0x1.a5faf9d4662d5p-4, 0x1.9e02a514b3f63p-4, 0x1.9625395f97b71p-4, 0x1.8e62c5cb3dd46p-4, 0x1.86bb546db7747p-4, 0x1.7f2eea90bc952p-4, 0x1.77bd88e426bccp-4, 0x1.70672baf37ce2p-4, 0x1.692bcb00a7e62p-4, 0x1.620b5add7e4d3p-4, 0x1.5b05cb6eb9031p-4, 0x1.541b092dc52d1p-4, 0x1.4d4afd0fcb925p-4, 0x1.46958cafd44fcp-4, 0x1.3ffa9a77c5a4p-4, 0x1.397a05c84182fp-4, 0x1.3313ab1f66596p-4, 0x1.2cc7643e74395p-4, 0x1.2695084e5f3d2p-4, 0x1.207c6c034e6b7p-4, 0x1.1a7d61bf0df9fp-4, 0x1.1497b9b27a076p-4, 0x1.0ecb41fde1ce5p-4, 0x1.0917c6d06ebfp-4, 0x1.037d12868d0a5p-4, 0x1.fbf5db8ebdep-5, 0x1.f1223f4279824p-5, 0x1.e67edb4a8e6bep-5, 0x1.dc0b380422654p-5, 0x1.d1c6db3ac73bdp-5, 0x1.c7b1485a45b45p-5, 0x1.bdca009eae92bp-5, 0x1.b4108342c1328p-5, 0x1.aa844dacac432p-5, 0x1.a124db993281cp-5, 0x1.97f1a745401b9p-5, 0x1.8eea2995f4971p-5, 0x1.860dda3f2fb14p-5, 0x1.7d5c2fe8a4b3ep-5, 0x1.74d4a05182b13p-5, 0x1.6c76a072b3c1bp-5, 0x1.6441a49fc5ea1p-5, 0x1.5c3520a67b32bp-5, 0x1.545087ed0f5dp-5, 0x1.4c934d8f40f0bp-5, 0x1.44fce47a152dfp-5, 0x1.3d8cbf867635dp-5, 0x1.364251929f17dp-5, 0x1.2f1d0d9a6a2dp-5, 0x1.281c66ce85f9dp-5, 0x1.213fd0aa941aap-5, 0x1.1a86bf0a43792p-5, 0x1.13f0a63d66d8ap-5, 0x1.0d7cfb1b0db45p-5, 0x1.072b3313ad289p-5, 0x1.00fac442588dp-5, 0x1.f5d64afa31c0fp-6, 0x1.e9f79cc8c9928p-6, 0x1.de586ee381ce9p-6, 0x1.d2f7b40b18adfp-6, 0x1.c7d460e815f88p-6, 0x1.bced6c234a484p-6, 0x1.b241ce7cd9584p-6, 0x1.a7d082e1d8855p-6, 0x1.9d9886808aa56p-6, 0x1.9398d8db43115p-6, 0x1.89d07bd9fea67p-6, 0x1.803e73dac9f9bp-6, 0x1.76e1c7c0e27p-6, 0x1.6db98102ba587p-6, 0x1.64c4abb6deap-6, 0x1.5c02569fc5dcp-6, 0x1.53719336960a5p-6, 0x1.4b1175b4f29f1p-6, 0x1.42e1151dc8518p-6, 0x1.3adf8b453bf34p-6, 0x1.330bf4d7aa07p-6, 0x1.2b65715fd287fp-6, 0x1.23eb234c351a4p-6, 0x1.1c9c2ff3a292ap-6, 0x1.1577bf99080cfp-6, 0x1.0e7cfd6e96c15p-6, 0x1.07ab179821e47p-6, 0x1.01013f2ce26bbp-6, 0x1.f4fd507134c1fp-7, 0x1.e84513782f8aep-7, 0x1.dbd83b5a5f48bp-7, 0x1.cfb541ec39dcbp-7, 0x1.c3daa6e8d0cfcp-7, 0x1.b846efee9a025p-7, 0x1.acf8a87b40a92p-7, 0x1.a1ee61e69abdp-7, 0x1.9726b35cc175dp-7, 0x1.8ca039d75812p-7, 0x1.8259981613378p-7, 0x1.7851769682555p-7, 0x1.6e86838b3f9e2p-7, 0x1.64f772d25991cp-7, 0x1.5ba2fdeb3b0ccp-7, 0x1.5287e3ebf2e6bp-7, 0x1.49a4e9760dca1p-7, 0x1.40f8d8aacaaedp-7, 0x1.3882811ef054bp-7, 0x1.3040b7ce2badcp-7, 0x1.2832570e0b106p-7, 0x1.20563e8096e53p-7, 0x1.18ab5306935b6p-7, 0x1.11307eb16220ap-7, 0x1.09e4b0b4b3b04p-7, 0x1.02c6dd57d3049p-7, 0x1.f7abfbcdaa8e6p-8, 0x1.ea222147005bbp-8, 0x1.dcee316bd67adp-8, 0x1.d00e3c3a209aap-8, 0x1.c3805b3e42fe2p-8, 0x1.b742b1739c147p-8, 0x1.ab536b24b75edp-8, 0x1.9fb0bdcb37282p-8, 0x1.9458e7efbadb4p-8, 0x1.894a31098a85bp-8, 0x1.7e82e95e34d71p-8, 0x1.740169e12fa9cp-8, 0x1.69c414132b6afp-8, 0x1.5fc951e19b265p-8, 0x1.560f95862263ap-8, 0x1.4c95596618f92p-8, 0x1.43591ff23405ap-8, 0x1.3a5973860d6bbp-8, 0x1.3194e647e8613p-8, 0x1.290a120883c99p-8, 0x1.20b798231c6a8p-8, 0x1.189c215d91bedp-8, 0x1.10b65dc8d99a3p-8, 0x1.090504a15cfffp-8, 0x1.0186d42fb2b4dp-8, 0x1.f4752353363cep-9, 0x1.e63e122629cf9p-9, 0x1.d8661a3fd94d2p-9, 0x1.caeaee2ab136ep-9, 0x1.bdca4d57a93e2p-9, 0x1.b10203e2d44afp-9, 0x1.a48fea5839219p-9, 0x1.9871e5796f7fdp-9, 0x1.8ca5e6040483ep-9, 0x1.8129e87827b16p-9, 0x1.75fbf4dff3e66p-9, 0x1.6b1a1e97a9d28p-9, 0x1.6082841655f31p-9, 0x1.56334eb729043p-9, 0x1.4c2ab283cca6p-9, 0x1.4266edff0761p-9, 0x1.38e649eff9cacp-9, 0x1.2fa7192e81863p-9, 0x1.26a7b86fe2123p-9, 0x1.1de68e14603a2p-9, 0x1.156209f5947bap-9, 0x1.0d18a53578526p-9, 0x1.0508e20dd9f96p-9, 0x1.fa629741b063fp-10, 0x1.eb20eb93ff373p-10, 0x1.dc49f9e0277eap-10, 0x1.cddb0baf4c4a4p-10, 0x1.bfd17aed0e8b7p-10, 0x1.b22ab18ed8cfp-10, 0x1.a4e4293d9995dp-10, 0x1.97fb6b0067ddbp-10, 0x1.8b6e0ee8b63bep-10, 0x1.7f39bbbfe53f7p-10, 0x1.735c26b67d29dp-10, 0x1.67d3131489037p-10, 0x1.5c9c51eb0c493p-10, 0x1.51b5c1c74f3bp-10, 0x1.471d4e6758e7bp-10, 0x1.3cd0f06fc1bf6p-10, 0x1.32cead22d6cbp-10, 0x1.2914961969db3p-10, 0x1.1fa0c8fc647f9p-10, 0x1.16716f3fb805p-10, 0x1.0d84bddf090ecp-10, 0x1.04d8f51b29904p-10, 0x1.f8d8c072452b5p-11, 0x1.e87aaa84d17f1p-11, 0x1.d894698ca62edp-11, 0x1.c922d33940a9ap-11, 0x1.ba22d152878b2p-11, 0x1.ab916142d9cdp-11, 0x1.9d6b93a35f1adp-11, 0x1.8fae8bcaa284fp-11, 0x1.82577f5dd1a3cp-11, 0x1.7563b5e3db239p-11, 0x1.68d0885ab6218p-11, 0x1.5c9b60ceed98ep-11, 0x1.50c1b9f523fe2p-11, 0x1.45411ec6855fbp-11, 0x1.3a172a1e11408p-11, 0x1.2f418658e73c8p-11, 0x1.24bdecf87c8adp-11, 0x1.1a8a264660becp-11, 0x1.10a408fa316e2p-11, 0x1.070979e151c7p-11, 0x1.fb70d711b0f3cp-12, 0x1.e95dbbd26a615p-12, 0x1.d7d5bc27321d4p-12, 0x1.c6d50bc2646d6p-12, 0x1.b657f748befdfp-12, 0x1.a65ae3b6928e3p-12, 0x1.96da4dc897f54p-12, 0x1.87d2c967ff8ffp-12, 0x1.7941011a6d6f9p-12, 0x1.6b21b574982c3p-12, 0x1.5d71bc8ffc4b8p-12, 0x1.502e0184690bp-12, 0x1.435383e3d547fp-12, 0x1.36df5739631aep-12, 0x1.2acea28b2c5ecp-12, 0x1.1f1e9fdf9222cp-12, 0x1.13cc9bc49193ap-12, 0x1.08d5f4da701fdp-12, 0x1.fc7036c1b084ep-13, 0x1.e7e1218e0daa5p-13, 0x1.d3f9ce7b88662p-13, 0x1.c0b582996594ep-13, 0x1.ae0fa2d283bbbp-13, 0x1.9c03b322b35ep-13, 0x1.8a8d55ce6566dp-13, 0x1.79a84aa03e46ep-13, 0x1.69506e2ade558p-13, 0x1.5981b9103cef4p-13, 0x1.4a383f4b2d859p-13, 0x1.3b702f8043b0ap-13, 0x1.2d25d24f22712p-13, 0x1.1f5589ab08395p-13, 0x1.11fbd036e42fep-13, 0x1.051538a4274e3p-13, 0x1.f13cda2baebc8p-14, 0x1.d9285d120823ep-14, 0x1.c1e6a87c7f066p-14, 0x1.ab7196515be41p-14, 0x1.95c32ac1b2ecbp-14, 0x1.80d59330d9ff1p-14, 0x1.6ca3252841bb8p-14, 0x1.59265d4ff0794p-14, 0x1.4659de6ce24dbp-14, 0x1.343870657bb71p-14, 0x1.22bcff4ea71d3p-14, 0x1.11e29a7b5bac8p-14, 0x1.01a47393ae12fp-14, 0x1.e3fbbb686b907p-15, 0x1.c5d4991b7e849p-15, 0x1.a8caa71d8bf6fp-15, 0x1.8cd54a21b8cbbp-15, 0x1.71ec2315a5e06p-15, 0x1.58070d92d9734p-15, 0x1.3f1e1e5736aa4p-15, 0x1.2729a1c9f6faap-15, 0x1.10221a84a1578p-15, 0x1.f4007fdaa1d7p-16, 0x1.c979f9aa2e485p-16, 0x1.a0a2dc3f6c1a3p-16, 0x1.796dc2e6e55f3p-16, 0x1.53cda7e8a93f1p-16, 0x1.2fb5e208e5ef3p-16, 0x1.0d1a221b4f647p-16, 0x1.d7dce156c2fadp-17, 0x1.984e574d12903p-17, 0x1.5b7208431dcb6p-17, 0x1.2131f84d862d4p-17, 0x1.d2f1925fdfbf8p-18, 0x1.68636c5d4d355p-18, 0x1.02912000e8abap-18, 0x1.42a6e38ff0d6ep-19, 0x1.121105e7bc1afp-20, -0x1.4017d5309c4f3p-22, -0x1.a187298e13a6dp-20, -0x1.717f4052b07f2p-19, -0x1.053cfa91307c9p-18, -0x1.4dfaddd23f4d5p-18, -0x1.93195cfd9e9b4p-18, -0x1.d4b7a0683407p-18, -0x1.0979f5f4de768p-17, -0x1.26f5d27822393p-17, -0x1.42ddac3bf1ac9p-17, -0x1.5d3f606825d27p-17, -0x1.7628659976ba5p-17, -0x1.8da5cea144915p-17, -0x1.a3c44d327c79dp-17, -0x1.b890347e774b9p-17, -0x1.cc157bb8579e4p-17, -0x1.de5fc09100b76p-17, -0x1.ef7a49a0065fap-17, -0x1.ff7008af96249p-17, -0x1.0725ce89965d7p-16, -0x1.0e0baaecac8ccp-16, -0x1.146e99fd3e481p-16, -0x1.1a537636d88cap-16, -0x1.1fbef51cbcd81p-16, -0x1.24b5a83a11195p-16, -0x1.293bfe1b0a832p-16, -0x1.2d564340b8ca9p-16, -0x1.3108a30ce388dp-16, -0x1.345728a9ce742p-16, -0x1.3745bfe49bfa9p-16, -0x1.39d8360f14d14p-16, -0x1.3c123ad187891p-16, -0x1.3df760fa76d06p-16, -0x1.3f8b1f46f7a59p-16, -0x1.40d0d128d1f5bp-16, -0x1.41cbb784c78b9p-16, -0x1.427ef96d586fbp-16, -0x1.42eda4d7eb2dp-16, -0x1.431aaf5009a67p-16, -0x1.4308f6a1fb327p-16, -0x1.42bb417f5966cp-16, -0x1.42344025553cap-16, -0x1.41768cfc73c01p-16, -0x1.4084ad316c8a9p-16, -0x1.3f61114c37784p-16, -0x1.3e0e15c3719d6p-16, -0x1.3c8e038b1d48ep-16, -0x1.3ae3109eb46d4p-16, -0x1.390f6088b4af2p-16, -0x1.371504e892297p-16, -0x1.34f5fdf2bd625p-16, -0x1.32b43aeb65c56p-16, -0x1.30519aa1e1d9dp-16, -0x1.2dcfebe6bf18fp-16, -0x1.2b30edffe7c62p-16, -0x1.287651176e3edp-16, -0x1.25a1b6aaf10c8p-16, -0x1.22b4b1f4de462p-16, -0x1.1fb0c85607a4dp-16, -0x1.1c9771b6a3011p-16, -0x1.196a18ebce9d9p-16, -0x1.162a1c174f8bp-16, -0x1.12d8cd037b57dp-16, -0x1.0f77717e83398p-16, -0x1.0c0743b2c1f4cp-16, -0x1.0889727c36511p-16, -0x1.04ff21bc666bbp-16, -0x1.01696aab520a2p-16, -0x1.fb92b84f3efa2p-17, -0x1.f43ff608c2472p-17, -0x1.ecdc84a65a472p-17, -0x1.e56a4759b0bfep-17, -0x1.ddeb0ef24f14ep-17, -0x1.d6609a68bd76cp-17, -0x1.cecc9764363edp-17, -0x1.c730a2bff74bp-17, -0x1.bf8e4908c478fp-17, -0x1.b7e706fb595c5p-17, -0x1.b03c49fb799bcp-17, -0x1.a88f7088acaa5p-17, -0x1.a0e1cab3f2d33p-17, -0x1.99349a8e32dc1p-17, -0x1.918914959fecdp-17, -0x1.89e0601e6093p-17, -0x1.823b97b8bba9ep-17, -0x1.7a9bc99579884p-17, -0x1.7301f7e7a148p-17, -0x1.6b6f194358817p-17, -0x1.63e418f9555ddp-17, -0x1.5c61d77243b0dp-17, -0x1.54e92a846c19p-17, -0x1.4d7addc8cc4e7p-17, -0x1.4617b2ebdf60bp-17, -0x1.3ec0620195ef1p-17, -0x1.377599d186dacp-17, -0x1.3038002365dd5p-17, -0x1.2908320908168p-17, -0x1.21e6c425cb9e3p-17, -0x1.1ad442f44cde7p-17, -0x1.13d1330adc479p-17, -0x1.0cde115df84ccp-17, -0x1.05fb537f700d7p-17, -0x1.fe52cfbe8d412p-18, -0x1.f0d16c0deec3bp-18, -0x1.e3733da9f9f27p-18, -0x1.d638f96a8abd5p-18, -0x1.c92347b4b1b76p-18, -0x1.bc32c4e7a41bcp-18, -0x1.af6801c550a83p-18, -0x1.a2c383da76836p-18, -0x1.9645c5e26f62p-18, -0x1.89ef38262f8bp-18, -0x1.7dc040dd94b9fp-18, -0x1.71b93c88364fdp-18, -0x1.65da7e47c1d41p-18, -0x1.5a245037f4fd4p-18, -0x1.4e96f3c25b671p-18, -0x1.4332a1ef939dap-18, -0x1.37f78bb6a6b5ep-18, -0x1.2ce5da49f5113p-18, -0x1.21fdaf62d1528p-18, -0x1.173f258a14902p-18, -0x1.0caa505eba686p-18, -0x1.023f3cdbd75a6p-18, -0x1.effbe33582f4fp-19, -0x1.dbccde247175dp-19, -0x1.c7f15fb0c9ef5p-19, -0x1.b46951b6d314p-19, -0x1.a1349341b478fp-19, -0x1.8e52f8fb2145ap-19, -0x1.7bc44d9c4a527p-19, -0x1.6988525a8463ep-19, -0x1.579ebf4db6ca1p-19, -0x1.460743d87246dp-19, -0x1.34c1870bc7041p-19, -0x1.23cd2803626fap-19, -0x1.1329be4783d92p-19, -0x1.02d6da2618271p-19, -0x1.e5a80a0f0d8b8p-20, -0x1.c641838d06188p-20, -0x1.a7791a048a3efp-20, -0x1.894dbad6a7ab6p-20, -0x1.6bbe48276c6b2p-20, -0x1.4ec999736beafp-20, -0x1.326e7c1ee6e17p-20, -0x1.16abb402cf964p-20, -0x1.f6fff7e6b5a9dp-21, -0x1.c1d40c8f73808p-21, -0x1.8dd0faae35c6bp-21, -0x1.5af407e509949p-21, -0x1.293a6bc11d71ep-21, -0x1.f142a140c6d6cp-22, -0x1.924ba9157a0cp-22, -0x1.358a141120febp-22, -0x1.b5efe4221dea3p-23, -0x1.051e7e39b9028p-23, -0x1.624f28935737fp-25, 0x1.3ef217279ace7p-25, 0x1.e7bdbba73c8a6p-24, 0x1.93dfc613129bfp-23, 0x1.17e5eff97ab06p-22, 0x1.63d7f1b8dbb6p-22, 0x1.adcc4e4ca2c83p-22, 0x1.f5c974a13828bp-22, 0x1.1deaedaaac16ep-21, 0x1.3ffbffcf24fe5p-21, 0x1.611b3219419fep-21, 0x1.814bc82cda3fcp-21, 0x1.a091076d70e9cp-21, 0x1.beee367b34081p-21, 0x1.dc669cd035486p-21, 0x1.f8fd823b1de6ap-21, 0x1.0a5b173d91432p-20, 0x1.17c9f46929e55p-20, 0x1.24ccfbd359ea3p-20, 0x1.3165d014aaac8p-20, 0x1.3d9612f42a898p-20, 0x1.495f653eb5507p-20, 0x1.54c3669982212p-20, 0x1.5fc3b55bb463fp-20, 0x1.6a61ee64774fcp-20, 0x1.749facf58dad6p-20, 0x1.7e7e8a9419ca9p-20, 0x1.88001ee3ff121p-20, 0x1.9125ff7fbbc07p-20, 0x1.99f1bfe495ba6p-20, 0x1.a264f14beaf4ep-20, 0x1.aa81228f960c3p-20, 0x1.b247e00ffb218p-20, 0x1.b9bab397b5223p-20, 0x1.c0db244cb486ap-20, 0x1.c7aab690899a3p-20, 0x1.ce2aebe8f25f1p-20, 0x1.d45d42ee5c9bep-20, 0x1.da433735b7b81p-20, 0x1.dfde413d5c59p-20, 0x1.e52fd65ce28c2p-20, 0x1.ea3968b360f5cp-20, 0x1.eefc671c5f8c3p-20, 0x1.f37a3d1a4add2p-20, 0x1.f7b452ca63602p-20, 0x1.fbac0cdbfb084p-20, 0x1.ff62cc7f8f80fp-20, 0x1.016cf7ae6431bp-19, 0x1.030967c30b7e2p-19, 0x1.048761b919023p-19, 0x1.05e78efbea0f1p-19, 0x1.072a971ffe8fp-19, 0x1.08511fde53c86p-19, 0x1.095bcd13221fap-19, 0x1.0a4b40b9f8f78p-19, 0x1.0b201aea967eap-19, 0x1.0bdaf9d7ce5f1p-19, 0x1.0c7c79cbff8c5p-19, 0x1.0d05352af0fedp-19, 0x1.0d75c46c4b11bp-19, 0x1.0dcebe1b30e65p-19, 0x1.0e10b6d780e78p-19, 0x1.0e3c41538fb71p-19, 0x1.0e51ee53834fbp-19, 0x1.0e524cad167d7p-19, 0x1.0e3de9476341bp-19, 0x1.0e154f1dae36p-19, 0x1.0dd9073e6290cp-19, 0x1.0d8998cb828dcp-19, 0x1.0d2788fb98f7ap-19, 0x1.0cb35b19364cep-19, 0x1.0c2d90872e395p-19, 0x1.0b96a8bf849dap-19, 0x1.0aef2156c506ap-19, 0x1.0a3775fc5113dp-19, 0x1.0970207ee56c1p-19, 0x1.089998cbced37p-19, 0x1.07b454f18119ap-19, 0x1.06c0c92316eb8p-19, 0x1.05bf67bb1ca31p-19, 0x1.04b0a13c32d72p-19, 0x1.0394e45452cd3p-19, 0x1.026c9de04f72ap-19, 0x1.013838ef6f1f3p-19, 0x1.fff03d8a72a7dp-20, 0x1.fd596dbaff7f6p-20, 0x1.faaccdde521d8p-20, }}, 
      {{0x1.272a30b4d8b98p-1, 0x1.2757826f19716p-1, 0x1.27ad03ddd3daep-1, 0x1.2830701307eb7p-1, 0x1.28e2e08ef7eeep-1, 0x1.29c0e61e511fep-1, 0x1.2ac38071af1p-1, 0x1.2be157ef2a21ap-1, 0x1.2d0fea73f9e05p-1, 0x1.2e4486b5aaa5fp-1, 0x1.2f750a6a66068p-1, 0x1.309864ad74e6cp-1, 0x1.31a6e47e7b892p-1, 0x1.329a5d8755d7ep-1, 0x1.336e2d5a7527cp-1, 0x1.341f2a4309286p-1, 0x1.34ab8339c04e1p-1, 0x1.351296fe1be68p-1, 0x1.3554c6e50c9bbp-1, 0x1.357348b4ee3cp-1, 0x1.356ff9e863668p-1, 0x1.354d35e8d614ap-1, 0x1.350db03725684p-1, 0x1.34b453055a77ep-1, 0x1.3444226f9e941p-1, 0x1.33c0244687114p-1, 0x1.332b4c33c255dp-1, 0x1.32886be79d0b3p-1, 0x1.31da26ee5e51p-1, 0x1.3122e9c5034ep-1, 0x1.3064e3c36bc38p-1, 0x1.2fa20374a559ep-1, 0x1.2edbf4fb7fde5p-1, 0x1.2e142228cc4a9p-1, 0x1.2d4bb3f0ee881p-1, 0x1.2c8394f71db49p-1, 0x1.2bbc74ed61309p-1, 0x1.2af6cc90dd871p-1, 0x1.2a32e211f6543p-1, 0x1.2970cdbf4309p-1, 0x1.28b07ed10f8ffp-1, 0x1.27f1c0393cafbp-1, 0x1.27343d60bddc4p-1, 0x1.267786c0ab2bcp-1, 0x1.25bb16490284bp-1, 0x1.24fe538abff3ep-1, 0x1.2440979df6c2dp-1, 0x1.238130bf1e468p-1, 0x1.22bf65a0e760dp-1, 0x1.21fa7871a585p-1, 0x1.2131a994c2df4p-1, 0x1.20643a11d2431p-1, 0x1.1f916dbbb2429p-1, 0x1.1eb88d12dc99cp-1, 0x1.1dd8e6e67804p-1, 0x1.1cf1d1b817af4p-1, 0x1.1c02ace649ce3p-1, 0x1.1b0ae1a22b403p-1, 0x1.1a09e3b4441f8p-1, 0x1.18ff3214dc5aap-1, 0x1.17ea575be5ad9p-1, 0x1.16caea0c6c55bp-1, 0x1.15a08cbf5d1aep-1, 0x1.146aee3135747p-1, 0x1.1329c93606237p-1, 0x1.11dce496f299fp-1, 0x1.108412dc21a5dp-1, 0x1.0f1f3205df474p-1, 0x1.0dae2b377403ap-1, 0x1.0c30f255ffecp-1, 0x1.0aa7859d7880ap-1, 0x1.0911ed2db085ep-1, 0x1.07703a91286afp-1, 0x1.05c2883f31194p-1, 0x1.0408f91ac9615p-1, 0x1.0243b7ef7008dp-1, 0x1.0072f6ed07411p-1, 0x1.fd2dde4775f25p-2, 0x1.f95fc0018ef99p-2, 0x1.f57c1d99b0defp-2, 0x1.f1838c5944687p-2, 0x1.ed76ab487df66p-2, 0x1.e956223b89c35p-2, 0x1.e522a0e6e5351p-2, 0x1.e0dcddfb85548p-2, 0x1.dc85964b4c9b3p-2, 0x1.d81d8bf626bb1p-2, 0x1.d3a585a01bbd7p-2, 0x1.cf1e4db089177p-2, 0x1.ca88b19a9bf8dp-2, 0x1.c5e5812f1ae81p-2, 0x1.c1358df77eab6p-2, 0x1.bc79aa9a42bf6p-2, 0x1.b7b2aa485ae1dp-2, 0x1.b2e16033a226ep-2, 0x1.ae069f0e15dadp-2, 0x1.a9233891aaee9p-2, 0x1.a437fd10813dbp-2, 0x1.9f45bb0d378bp-2, 0x1.9a4d3edb16521p-2, 0x1.954f5245d8b02p-2, 0x1.904cbc40bb6f5p-2, 0x1.8b46409c97451p-2, 0x1.863c9fc4b0f04p-2, 0x1.81309681fccfcp-2, 0x1.7c22ddc4825f7p-2, 0x1.77142a729e85fp-2, 0x1.72052d3dd6d92p-2, 0x1.6cf6927cef217p-2, 0x1.67e9020b0a914p-2, 0x1.62dd1f2b7e181p-2, 0x1.5dd3887222ff4p-2, 0x1.58ccd7afd802cp-2, 0x1.53c9a1e2ff334p-2, 0x1.4eca772baa58ap-2, 0x1.49cfe2c34a4aap-2, 0x1.44da6af798ad9p-2, 0x1.3fea91288fa8ap-2, 0x1.3b00d1c93121p-2, 0x1.361da462ee6b6p-2, 0x1.31417b9b8082ep-2, 0x1.2c6cc53cfb8edp-2, 0x1.279fea3ff6921p-2, 0x1.22db4ed798351p-2, 0x1.1e1f527f61f73p-2, 0x1.196c500a906fp-2, 0x1.14c29db4f07eep-2, 0x1.10228d34fbc0dp-2, 0x1.0b8c6bcf29b06p-2, 0x1.0700826a4612bp-2, 0x1.027f15a4bd38ep-2, 0x1.fc10cbd56b4b5p-3, 0x1.f3395f19cbde7p-3, 0x1.ea7855b01029fp-3, 0x1.e1ce1859a6d24p-3, 0x1.d93b0830d6efbp-3, 0x1.d0bf7eda514c6p-3, 0x1.c85bceb7572bap-3, 0x1.c01043184d41cp-3, 0x1.b7dd206fa31dcp-3, 0x1.afc2a484db1e4p-3, 0x1.a7c106a7b04eep-3, 0x1.9fd877e323a43p-3, 0x1.98092330733a7p-3, 0x1.90532da9c6dp-3, 0x1.88b6b6bc97a39p-3, 0x1.8133d85bac21ap-3, 0x1.79caa730a0569p-3, 0x1.727b32cce4488p-3, 0x1.6b4585da284cap-3, 0x1.6429a64a207ap-3, 0x1.5d27958598307p-3, 0x1.563f509ad06ccp-3, 0x1.4f70d06b120a6p-3, 0x1.48bc09d77231ap-3, 0x1.4220edecc72fp-3, 0x1.3b9f6a0ebb3bap-3, 0x1.35376821fd363p-3, 0x1.2ee8ceb58d8a3p-3, 0x1.28b3812b1bd6ap-3, 0x1.22975fde77f6ap-3, 0x1.1c94484c12077p-3, 0x1.16aa15368504dp-3, 0x1.10d89ecb2dbebp-3, 0x1.0b1fbac5c9c1fp-3, 0x1.057f3c93261f2p-3, 0x1.ffedeae5a37d4p-4, 0x1.f50d692fb6597p-4, 0x1.ea5c8e9145529p-4, 0x1.dfdaf1fb56be5p-4, 0x1.d58826ff11933p-4, 0x1.cb63be07ad62p-4, 0x1.c16d44928c97ep-4, 0x1.b7a445657f491p-4, 0x1.ae0848c34723ap-4, 0x1.a498d49e3ea28p-4, 0x1.9b556cc954c39p-4, 0x1.923d932741a16p-4, 0x1.8950c7d811517p-4, 0x1.808e896500cf2p-4, 0x1.77f654eab9f6cp-4, 0x1.6f87a641f6a98p-4, 0x1.6741f82691144p-4, 0x1.5f24c45d0af4bp-4, 0x1.572f83d694a73p-4, 0x1.4f61aed39d24ap-4, 0x1.47babd04f144p-4, 0x1.403a25ab7691cp-4, 0x1.38df5fb686d5cp-4, 0x1.31a9e1e0f83f2p-4, 0x1.2a9922ccda201p-4, 0x1.23ac991ded9dcp-4, 0x1.1ce3bb92e4003p-4, 0x1.163e011d6de5ep-4, 0x1.0fbae0f91f658p-4, 0x1.0959d2c134619p-4, 0x1.031a4e853e8c4p-4, 0x1.f9f799b9846dap-5, 0x1.edfb8df39cd39p-5, 0x1.e23f6d7528a26p-5, 0x1.d6c22d74127ffp-5, 0x1.cb82c4bf31d63p-5, 0x1.c0802bdbe4218p-5, 0x1.b5b95d21e70dcp-5, 0x1.ab2d54d580c08p-5, 0x1.a0db11400cd4ep-5, 0x1.96c192c6f2423p-5, 0x1.8cdfdc0117fe2p-5, 0x1.8334f1cae4aa2p-5, 0x1.79bfdb58d59dp-5, 0x1.707fa248b7d75p-5, 0x1.677352b19a74cp-5, 0x1.5e99fb327823dp-5, 0x1.55f2acffb1542p-5, 0x1.4d7c7bef5b53p-5, 0x1.45367e8473d22p-5, 0x1.3d1fcdf902b29p-5, 0x1.3537864733391p-5, 0x1.2d7cc63178bacp-5, 0x1.25eeaf49ba88ep-5, 0x1.1e8c65f79e541p-5, 0x1.1755117df37e5p-5, 0x1.1047dbff4fe4bp-5, 0x1.0963f281dd127p-5, 0x1.02a884f269eb9p-5, 0x1.f8298c4d868bfp-6, 0x1.eb4fd7beba948p-6, 0x1.dec25d90afa25p-6, 0x1.d27f94f3befedp-6, 0x1.c685faf003956p-6, 0x1.bad41263c98d4p-6, 0x1.af68640106313p-6, 0x1.a4417e49bd669p-6, 0x1.995df58b794bcp-6, 0x1.8ebc63d9dd246p-6, 0x1.845b690855ae3p-6, 0x1.7a39aaa300e9dp-6, 0x1.7055d3e6d73p-6, 0x1.66ae95b90f3e8p-6, 0x1.5d42a69de60d6p-6, 0x1.5410c2aeb9889p-6, 0x1.4b17ab8f8f833p-6, 0x1.425628640fee7p-6, 0x1.39cb05c3f7f45p-6, 0x1.317515af1355ap-6, 0x1.29532f80c1acap-6, 0x1.21642fe31389ap-6, 0x1.19a6f8c17f6b2p-6, 0x1.121a713b44603p-6, 0x1.0abd859571e5p-6, 0x1.038f272ca527cp-6, 0x1.f91c98ccffdedp-7, 0x1.eb73e145cb9c9p-7, 0x1.de222859f4p-7, 0x1.d1257857d2697p-7, 0x1.c47be5271950ap-7, 0x1.b8238c29c061p-7, 0x1.ac1a941ca5fe5p-7, 0x1.a05f2cf807f98p-7, 0x1.94ef8fcfb47dfp-7, 0x1.89c9feb320425p-7, 0x1.7eecc48d4e472p-7, 0x1.74563504adbbbp-7, 0x1.6a04ac5ae15e2p-7, 0x1.5ff68f4c71bf8p-7, 0x1.562a4af08c321p-7, 0x1.4c9e5498c4889p-7, 0x1.435129b0d4948p-7, 0x1.3a414f9e758a6p-7, 0x1.316d53a14f11ep-7, 0x1.28d3cab2fb966p-7, 0x1.20735167373c9p-7, 0x1.184a8bcc2730ep-7, 0x1.1058254ad1efap-7, 0x1.089ad087c3529p-7, 0x1.01114743e03p-7, 0x1.f374947aee1c7p-8, 0x1.e5294222fbc0ep-8, 0x1.d73e343a2a039p-8, 0x1.c9b114be80be6p-8, 0x1.bc7f9ab5d8fa7p-8, 0x1.afa789f269ddbp-8, 0x1.a326b2d7d9e41p-8, 0x1.96faf220e2768p-8, 0x1.8b2230a595a2fp-8, 0x1.7f9a63223c63dp-8, 0x1.746189fecb7e3p-8, 0x1.6975b116fcc18p-8, 0x1.5ed4ef8303ef4p-8, 0x1.547d6760f9bfep-8, 0x1.4a6d459ee909p-8, 0x1.40a2c1c5859e2p-8, 0x1.371c1dc3886b3p-8, 0x1.2dd7a5b9caf67p-8, 0x1.24d3afc7f858fp-8, 0x1.1c0e9bda14228p-8, 0x1.1386d3769dbdfp-8, 0x1.0b3ac98d58c6fp-8, 0x1.0328fa46ddc93p-8, 0x1.f69fd5a9aa038p-9, 0x1.e75c5285e230bp-9, 0x1.d884989134a8ap-9, 0x1.ca15e6366d33ap-9, 0x1.bc0d8a827b81cp-9, 0x1.ae68e4cc00c1ap-9, 0x1.a125645c229a4p-9, 0x1.9440881904eaep-9, 0x1.87b7de315132ap-9, 0x1.7b8903c952ba2p-9, 0x1.6fb1a4a96bd4bp-9, 0x1.642f7aeddf265p-9, 0x1.59004eb81d597p-9, 0x1.4e21f5e1303f5p-9, 0x1.439253ad9d6cdp-9, 0x1.394f58829a9cap-9, 0x1.2f57019c89243p-9, 0x1.25a758c6d0b0cp-9, 0x1.1c3e7415200d7p-9, 0x1.131a759dab3d4p-9, 0x1.0a398b34e502dp-9, 0x1.0199ee2a73183p-9, 0x1.f273c60ea70b6p-10, 0x1.e22f729acdc1dp-10, 0x1.d263967005255p-10, 0x1.c30cfafb8b5c9p-10, 0x1.b4287e2749118p-10, 0x1.a5b311e23457ep-10, 0x1.97a9bbab0a8e5p-10, 0x1.8a09941d99854p-10, 0x1.7ccfc681e187p-10, 0x1.6ff9905d89d91p-10, 0x1.63844107c3dd2p-10, 0x1.576d393f1b56dp-10, 0x1.4bb1eac17be52p-10, 0x1.404fd7e695582p-10, 0x1.3544933c0fe56p-10, 0x1.2a8dbf23927cp-10, 0x1.20290d735dffbp-10, 0x1.16143f187053fp-10, 0x1.0c4d23bad4b9bp-10, 0x1.02d19963e0a46p-10, 0x1.f33f184cb3137p-11, 0x1.e169eb9082437p-11, 0x1.d01fbadd485fp-11, 0x1.bf5cae9675408p-11, 0x1.af1d0897744bap-11, 0x1.9f5d2395f1d45p-11, 0x1.90197287d19ap-11, 0x1.814e800b9081bp-11, 0x1.72f8edd4fc396p-11, 0x1.6515741cb0669p-11, 0x1.57a0e112b4581p-11, 0x1.4a981854755b9p-11, 0x1.3df81265e891cp-11, 0x1.31bddc2d88254p-11, 0x1.25e69672f8ff5p-11, 0x1.1a6f756124188p-11, 0x1.0f55c00addb52p-11, 0x1.0496cff2742cep-11, 0x1.f4602127bff95p-12, 0x1.e03dfde40b723p-12, 0x1.ccc2524c44576p-12, 0x1.b9e85be3aaf37p-12, 0x1.a7ab78a844718p-12, 0x1.96072640e874fp-12, 0x1.84f70130ee0a5p-12, 0x1.7476c4104f28fp-12, 0x1.648246c85b161p-12, 0x1.55157dd5379dcp-12, 0x1.462c798bc170ap-12, 0x1.37c36563cc8d5p-12, 0x1.29d68746b88c2p-12, 0x1.1c623ee24fcc8p-12, 0x1.0f63050016705p-12, 0x1.02d56ae01fddp-12, 0x1.ed6c33301292cp-13, 0x1.d603a2eb8dd93p-13, 0x1.bf6ad2cc97d57p-13, 0x1.a99b9cc0af818p-13, 0x1.949005a3b53d2p-13, 0x1.80423c23e8b15p-13, 0x1.6cac97ac050dap-13, 0x1.59c99754472f6p-13, 0x1.4793e0d9883b1p-13, 0x1.36063f9b533ccp-13, 0x1.251ba3a08c6d5p-13, 0x1.14cf20a22300cp-13, 0x1.051bed1bd3cc9p-13, 0x1.ebfac2c4f620cp-14, 0x1.cedded826312fp-14, 0x1.b2d88d3619589p-14, 0x1.97e21325be72cp-14, 0x1.7df22d70077d1p-14, 0x1.6500c572cca3ap-14, 0x1.4d05fe395142dp-14, 0x1.35fa32f61e502p-14, 0x1.1fd5f585d7945p-14, 0x1.0a920cfc7ad92p-14, 0x1.ec4ee876080e1p-15, 0x1.c51eb11db67ccp-15, 0x1.9f8630b5f8b35p-15, 0x1.7b78838fa7234p-15, 0x1.58e922fbdc031p-15, 0x1.37cbe2cfd51b5p-15, 0x1.1814eef9a2b17p-15, 0x1.f37192471a858p-16, 0x1.b9588cd175268p-16, 0x1.81c91a2d97051p-16, 0x1.4cae2504711c3p-16, 0x1.19f331c8e79bfp-16, 0x1.d308b52b913dfp-17, 0x1.769c964affa5dp-17, 0x1.1e7c79cefe747p-17, 0x1.9507cca53edb2p-18, 0x1.ea3dbb140c1edp-19, 0x1.73e558e70f2f3p-20, -0x1.9d5ceb45ca595p-21, -0x1.7a21c6796f4a4p-19, -0x1.3f758052b0948p-18, -0x1.bb16a5ff7b7ddp-18, -0x1.1817df3f7d078p-17, -0x1.4f7d3cb2ae412p-17, -0x1.83d76bd0facfdp-17, -0x1.b5419b979fd79p-17, -0x1.e3d62f4ad914cp-17, -0x1.07d761fea7fd9p-16, -0x1.1c721afd364f9p-16, -0x1.2fc75304ec3c2p-16, -0x1.41e2bf4a32ccbp-16, -0x1.52cfbc4e9879ap-16, -0x1.62995050f9ffep-16, -0x1.714a2daba4a42p-16, -0x1.7eecb51d78f78p-16, -0x1.8b8af80c1576ap-16, -0x1.972ebab19a6dp-16, -0x1.a1e1763a9670ep-16, -0x1.abac5ad914bb5p-16, -0x1.b49851c5a9f95p-16, -0x1.bcadff3590f4bp-16, -0x1.c3f5c441a1194p-16, -0x1.ca77c0c446bc7p-16, -0x1.d03bd523110eap-16, -0x1.d549a411c771bp-16, -0x1.d9a89448c9693p-16, -0x1.dd5fd22f73c54p-16, -0x1.e076517846f77p-16, -0x1.e2f2ceb687d4ap-16, -0x1.e4dbd0e5403a5p-16, -0x1.e637aae3c899ap-16, -0x1.e70c7cecafa37p-16, -0x1.e76035fc95f2dp-16, -0x1.e738953388febp-16, -0x1.e69b2b2979cddp-16, -0x1.e58d5b3d0b4f5p-16, -0x1.e4145cd72934ep-16, -0x1.e2353ca5995a6p-16, -0x1.dff4ddd017fb4p-16, -0x1.dd57fb21615b3p-16, -0x1.da63282784876p-16, -0x1.d71ad252dac69p-16, -0x1.d38342056ccf4p-16, -0x1.cfa09ba075ed3p-16, -0x1.cb76e0888407cp-16, -0x1.c709f021fbf14p-16, -0x1.c25d88c79078cp-16, -0x1.bd7548bae191ap-16, -0x1.b854af0d58daep-16, -0x1.b2ff1c833ecep-16, -0x1.ad77d4709bc81p-16, -0x1.a7c1fd8e974c4p-16, -0x1.a1e0a2cdaa769p-16, -0x1.9bd6b42161096p-16, -0x1.95a70745c69f7p-16, -0x1.8f54587f772bap-16, -0x1.88e14b57d5012p-16, -0x1.82506b513b605p-16, -0x1.7ba42c9aa6aa2p-16, -0x1.74deecba5215ep-16, -0x1.6e02f3377eac4p-16, -0x1.6712723b168bcp-16, -0x1.600f872fc2f2p-16, -0x1.58fc3b5bb880ep-16, -0x1.51da8477f7646p-16, -0x1.4aac45423036cp-16, -0x1.43734e0ab8cf7p-16, -0x1.3c315d401bdb3p-16, -0x1.34e81ff2c8493p-16, -0x1.2d99325ac27cep-16, -0x1.264620565e133p-16, -0x1.1ef065e65197cp-16, -0x1.17996fa53803p-16, -0x1.10429b3dc26e9p-16, -0x1.08ed37dc52871p-16, -0x1.019a869ebe74ep-16, -0x1.f49775feaa503p-17, -0x1.e603f67f679cfp-17, -0x1.d77cc19c19bc7p-17, -0x1.c903f14e26f6bp-17, -0x1.ba9b87709a5eep-17, -0x1.ac456e7d3d8eep-17, -0x1.9e037a41a589fp-17, -0x1.8fd7689138489p-17, -0x1.81c2e1f32bd7bp-17, -0x1.73c77a4b8a0c9p-17, -0x1.65e6b17e735dap-17, -0x1.5821f40ebcc73p-17, -0x1.4a7a9bbc21cp-17, -0x1.3cf1f018967cbp-17, -0x1.2f89271950e8fp-17, -0x1.224165a802a03p-17, -0x1.151bc02c1e43ap-17, -0x1.08193b13ab1bp-17, -0x1.f67596a8ee74bp-18, -0x1.dd02addaf26dcp-18, -0x1.c3db6ac6015d4p-18, -0x1.ab016071c049cp-18, -0x1.927606c9c54ep-18, -0x1.7a3abb87b30d4p-18, -0x1.6250c31289773p-18, -0x1.4ab94951c674p-18, -0x1.337562856572ep-18, -0x1.1c860c0fe69b7p-18, -0x1.05ec2d3d4b336p-18, -0x1.df51300a2c9c8p-19, -0x1.b378138ae57d1p-19, -0x1.884e57f76885cp-19, -0x1.5dd529f02dda7p-19, -0x1.340d9111b5518p-19, -0x1.0af87143abfdp-19, -0x1.c52d180a2168bp-20, -0x1.75d1034928e35p-20, -0x1.27dda4eec88f1p-20, -0x1.b6a780388677dp-21, -0x1.2067b93001a22p-21, -0x1.19f924744d933p-22, 0x1.cce28b2ab1ce3p-28, 0x1.22b70dc029c98p-22, 0x1.1c4952d1b5c9fp-21, 0x1.a4642a317858p-21, 0x1.14d6b600b8f04p-20, 0x1.561368a4b27bcp-20, 0x1.95e934b7eaeedp-20, 0x1.d4594b5ee0b2p-20, 0x1.08b282ba53c49p-19, 0x1.2686f0eb47016p-19, 0x1.43aac1eb77823p-19, 0x1.601ed8cc95485p-19, 0x1.7be42948a31e2p-19, 0x1.96fbb70694fc1p-19, 0x1.b16694e1ead0ep-19, 0x1.cb25e4327bb5cp-19, 0x1.e43ad4204eee9p-19, 0x1.fca6a0fd4d671p-19, 0x1.0a3549cea69c6p-18, 0x1.15c4005d3377ep-18, 0x1.2100242d97848p-18, 0x1.2bea6a9db7f22p-18, 0x1.36838e1c3f05dp-18, 0x1.40cc4de559818p-18, 0x1.4ac56dba1e1f9p-18, 0x1.546fb5a06a87ap-18, 0x1.5dcbf1a2e97bp-18, 0x1.66daf192b52c7p-18, 0x1.6f9d88c9e7623p-18, 0x1.78148df0f9e1ep-18, 0x1.8040dac754d28p-18, 0x1.88234bea584bdp-18, 0x1.8fbcc0a042879p-18, 0x1.970e1aa7484e1p-18, 0x1.9e183dffb9bfep-18, 0x1.a4dc10be87d8ep-18, 0x1.ab5a7add979c4p-18, 0x1.b194660cfd91p-18, 0x1.b78abd877a3b3p-18, 0x1.bd3e6de93ac9dp-18, 0x1.c2b06505ccd66p-18, 0x1.c7e191c0e069dp-18, 0x1.ccd2e3e6e1a6fp-18, 0x1.d1854c0979768p-18, 0x1.d5f9bb5a3d932p-18, 0x1.da312387553c9p-18, 0x1.de2c769b83ccap-18, 0x1.e1eca6de9705ep-18, 0x1.e572a6b348d55p-18, 0x1.e8bf687cbb34cp-18, 0x1.ebd3de7ebbd1dp-18, 0x1.eeb0fac251dc8p-18, 0x1.f157aefaaeb32p-18, 0x1.f3c8ec6c027e7p-18, 0x1.f605a3d29848ep-18, 0x1.f80ec549e285ap-18, 0x1.f9e540354a61dp-18, 0x1.fb8a032bcbeafp-18, 0x1.fcfdfbdf5ac7fp-18, 0x1.fe421709b515dp-18, 0x1.ff57405a2ddacp-18, 0x1.001f3130c90cp-17, 0x1.007c333f75e6p-17, 0x1.00c31a6840a34p-17, 0x1.00f45a108f62cp-17, 0x1.011064ebf8791p-17, 0x1.0117acf542f15p-17, 0x1.010aa366ca1dp-17, 0x1.00e9b8b46417ap-17, 0x1.00b55c83775ecp-17, 0x1.006dfda5337acp-17, 0x1.00140a1111222p-17, 0x1.ff4fddbbbf1c3p-18, 0x1.fe543079ffef7p-18, 0x1.fd35e2eaead46p-18, 0x1.fbf5c9bf422d4p-18, 0x1.fa94b7bd7dd4dp-18, 0x1.f9137dbd079dep-18, 0x1.f772ea9ba6d2dp-18, 0x1.f5b3cb35cddddp-18, 0x1.f3d6ea5fac84p-18, 0x1.f1dd10de6a7a9p-18, 0x1.efc70563befa7p-18, 0x1.ed958c85bbd78p-18, 0x1.eb4968b981605p-18, 0x1.e8e35a4ee2577p-18, 0x1.e6641f6af134p-18, 0x1.e3cc740395faep-18, 0x1.e11d11db5ce06p-18, 0x1.de56b0806ffdbp-18, 0x1.db7a05475b9f1p-18, 0x1.d887c346d1f18p-18, 0x1.d5809b5875a2cp-18, 0x1.d2653c1394f64p-18, 0x1.cf3651cc220a3p-18, 0x1.cbf48690bb03dp-18, 0x1.c8a0822a1bac8p-18, 0x1.c53aea1bd06fcp-18, 0x1.c1c461a051142p-18, 0x1.be3d89aa1ef18p-18, 0x1.baa700e2434aap-18, 0x1.b70163a967bf2p-18, 0x1.b34d4c174bf28p-18, 0x1.af8b51fadd2e1p-18, 0x1.abbc0add0afdcp-18, 0x1.a7e00a00da35fp-18, 0x1.a3f7e061fa5b5p-18, 0x1.a0041cb9bc72p-18, 0x1.9c054b7e759d7p-18, 0x1.97fbf6e4b9965p-18, 0x1.93e8a6e1ec1e7p-18, 0x1.8fcbe12d90372p-18, 0x1.8ba62946d1a58p-18, 0x1.87780073efeeap-18, 0x1.8341e5c489779p-18, 0x1.7f045615676f2p-18, 0x1.7abfcc1279aa6p-18, 0x1.7674c039ccfa5p-18, 0x1.7223a8dee4a82p-18, 0x1.6dccfa2ded51ep-18, 0x1.69712630b2487p-18, 0x1.65109ccf7d83fp-18, 0x1.60abcbd543d26p-18, 0x1.5c431ef4cca5ep-18, 0x1.57d6ffcadea7fp-18, 0x1.5367d5e265463p-18, 0x1.4ef606b7c3443p-18, 0x1.4a81f5bdc051p-18, 0x1.460c0463a9dd6p-18, 0x1.41949216f4c1ap-18, 0x1.3d1bfc4755884p-18, 0x1.38a29e6c3f927p-18, 0x1.3428d208b0b7cp-18, 0x1.2faeeeaf58d7fp-18, 0x1.2b354a07fc766p-18, 0x1.26bc37d2f6468p-18, 0x1.224409f0b6c91p-18, 0x1.1dcd1063471a4p-18, 0x1.19579953612fep-18, 0x1.14e3f1171b535p-18, 0x1.107262358db59p-18, 0x1.0c03356b6f507p-18, 0x1.0796b1afc2585p-18, 0x1.032d1c38edeb4p-18, 0x1.fd8d710692858p-19, 0x1.f4c790aa4285dp-19, 0x1.ec0917870f051p-19, 0x1.e352826e8bdcbp-19, 0x1.daa44ae1ad048p-19, 0x1.d1fee71f20eefp-19, 0x1.c962ca2a363c6p-19, 0x1.c0d063d70b88fp-19, 0x1.b84820d2a739bp-19, 0x1.afca6ab1f0f32p-19, 0x1.a757a7f6ea697p-19, 0x1.9ef03c1aebf76p-19, 0x1.9694879c0a8f9p-19, 0x1.8e44e8068a90ap-19, 0x1.8601b7fd1182ep-19, 0x1.7dcb4f42ff823p-19, 0x1.75a202c7f6251p-19, 0x1.6d8624b34f3f9p-19, 0x1.6578046c54f86p-19, 0x1.5d77eea54fa13p-19, 0x1.55862d65a04b2p-19, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      30, 0x1.2f5c28f5c28f6p+2, 0x1.21cf04ef1ee1ap-2, -0x1.af90c6147f92fp-1, -0x1.1ad8bcea5a81dp-3, 
      {{
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.1232de389c3d1p-5, -0x1.8dcdb24b07a2ap-5, 0x1.c256e744a819p-8, 0x1.a8fdfaf1fff25p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.fcecd215cec35p-6, -0x1.87609d2bf536ep-5, 0x1.20eb26136da3dp-7, 0x1.a32b6d3509fa8p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.d62cb84b601f5p-6, -0x1.7f5e55747e226p-5, 0x1.5fcb4341c8bdp-7, 0x1.9d6c95df602p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b04dace5fb7e9p-6, -0x1.75cc689cd44bcp-5, 0x1.9dcec0234a5bp-7, 0x1.9a8db72eb10ep-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.8b776bfc172b1p-6, -0x1.6aaef962bd4ep-5, 0x1.db640203e4ea4p-7, 0x1.82ecb319254a4p-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.67d10a4ab81p-6, -0x1.5e12c00a1d6ebp-5, 0x1.0ab6f4d708743p-6, 0x1.56744369fdecbp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.457f578321b79p-6, -0x1.50186ca19088ap-5, 0x1.2466137efb7f8p-6, 0x1.2d1b9efe1c2e1p-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.24a34098864b1p-6, -0x1.40e9305175816p-5, 0x1.3afb59053d9ccp-6, 0x1.02ecacb52241p-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.0559aa242ddap-6, -0x1.30ad23392d66ap-5, 0x1.4e66b2c60694ap-6, 0x1.b1ee4d3ab59edp-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.cf76e0caecae6p-7, -0x1.1f8ca8c5b3761p-5, 0x1.5eac6f4506fdfp-6, 0x1.5de47b3bdf776p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.97bace83a7395p-7, -0x1.0db0103697f14p-5, 0x1.6bcb671745c59p-6, 0x1.09e2e8177144bp-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.63a0b4899ece9p-7, -0x1.f67f5c66f9d0ep-6, 0x1.75c3e964f39e9p-6, 0x1.6bbe3eb1d6f53p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3342194012b4bp-7, -0x1.d0c7abe2505f2p-6, 0x1.7c95e0f8493fep-6, 0x1.876fb8a1232aep-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.06b072566dfbfp-7, -0x1.aa89b60f7d63fp-6, 0x1.8041538032613p-6, 0x1.bb128b453edd4p-13}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.bbea49908efb4p-8, -0x1.841621e98a836p-6, 0x1.80c63f76c7272p-6, -0x1.18aaea2f76969p-10}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.722309bac3bd6p-8, -0x1.5dbd9679c3f95p-6, 0x1.7e24a544bba43p-6, -0x1.345c18e99c81dp-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2ffdac535719cp-8, -0x1.37d0bac5abd65p-6, 0x1.785c84cd271b6p-6, -0x1.dc62ba7449728p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.eab92e34fb026p-9, -0x1.12a035d3aa3c6p-6, 0x1.6f6dde1af8ee1p-6, -0x1.4234af8b12895p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.84241cd185ee6p-9, -0x1.dcf95d54b26e4p-7, 0x1.6358b11f5b6f1p-6, -0x1.9637fcd10e85fp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.2bc06a5e162edp-9, -0x1.976d989d4a1e8p-7, 0x1.541cfe0ab7b08p-6, -0x1.ea3b5cb78b379p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.c1e433da4434fp-10, -0x1.553e6b97fe8b8p-7, 0x1.41bac42a3c11bp-6, -0x1.1f1f3b934e1c5p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.45f9d7839e693p-10, -0x1.170d242ae465bp-7, 0x1.2c320618c9696p-6, -0x1.49214a697fdccp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.c411753fc8a7p-11, -0x1.baf621e47dfd5p-8, 0x1.1382ba1dac9f3p-6, -0x1.73217580db186p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.282ea4f03b2cp-11, -0x1.5252fbc4cb94cp-8, 0x1.ef5a09019ec6cp-7, -0x1.9d28adf4c3155p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.67ae3adac0aefp-12, -0x1.eae70364c3e81p-9, 0x1.b160bbb68183cp-7, -0x1.c71594b55baaap-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.8856cb3b02ep-13, -0x1.4b342ad9860d9p-9, 0x1.6d1d7f01b3c3fp-7, -0x1.f164b4e69a03ep-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.6ba16f750c38p-14, -0x1.9028b344a4422p-10, 0x1.228197124fdd6p-7, -0x1.0d22a08463593p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.ff698d40914p-16, -0x1.9019ba10e094ap-11, 0x1.a3880108641f7p-8, -0x1.243ef1fb199cbp-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.9960505422p-18, -0x1.0d3a9ef341b6fp-12, 0x1.e85e12e3764a1p-9, -0x1.313fac0e115fdp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.2f5c28f5c28f6p+2, 0x1.0aa9f0980052ep-22, -0x1.90decaa708b57p-16, 0x1.e846ab4a52958p-11, -0x1.38246d5c455efp-6}, 
      }}, 
      0x1.b7a5654f3f538p-3, -0x1.1a61d01f67a16p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.2eae0da0eaaep-1, -0x1.2b337b046522dp-1, -0x1.2587f4d3aad53p-1, -0x1.1dd4b808d284fp-1, -0x1.144a835df498dp-1, -0x1.091e28fce32c1p-1, -0x1.f90c11f7cf0f5p-2, -0x1.dd70807332bc9p-2, -0x1.bfd2b96c9aae8p-2, -0x1.a096e911478bfp-2, -0x1.801b103fece83p-2, -0x1.5eb63ce1ec717p-2, -0x1.3cb826544237bp-2, -0x1.1a690c0dcb859p-2, -0x1.f01386c005a3bp-3, -0x1.aba7e22cdc3ap-3, -0x1.67f4be8b8a852p-3, -0x1.2552b09562fcdp-3, -0x1.c81c4feeb619cp-4, -0x1.48d0c38f556aep-4, -0x1.9a60f84a94a41p-5, -0x1.5659c2bf710ccp-6, 0x1.db389a98ae728p-8, 0x1.18e6046b0954ep-5, 0x1.ecf69fddc3821p-5, 0x1.5bac15df34282p-4, 0x1.bbefdb888f412p-4, 0x1.0b9d5e5bd0ad2p-3, 0x1.36c49fe4ce896p-3, 0x1.5f6f9df84fa42p-3, 0x1.85a36eff25e75p-3, 0x1.a967e6b6f0e38p-3, 0x1.cac72b192a4cap-3, 0x1.e9cd66f71d157p-3, 0x1.0344325affea4p-2, 0x1.1083a4ea87c9dp-2, 0x1.1cad55e13f6d6p-2, 0x1.27c9cb7821488p-2, 0x1.31e210831ac45p-2, 0x1.3aff693aaf064p-2, 0x1.432b4fb1f4eafp-2, 0x1.4a6f59a23fe57p-2, 0x1.50d52e47c3fd8p-2, 0x1.566676bf5ce57p-2, 0x1.5b2ccf4ef60fap-2, 0x1.5f31c0709e3aap-2, 0x1.627eb2041c9f8p-2, 0x1.651ce7fb3d265p-2, 0x1.6715768823013p-2, 0x1.687140ea93aa7p-2, 0x1.6938f0655ca4cp-2, 0x1.6974f3bc6c88p-2, 0x1.692d7a2980474p-2, 0x1.686a71640d786p-2, 0x1.67338336a96d1p-2, 0x1.659011b95ef6fp-2, 0x1.6387441f57b4ap-2, 0x1.611fe97ceea08p-2, 0x1.5e6096ed870b1p-2, 0x1.5b4f989ce538dp-2, 0x1.57f2efe60f177p-2, 0x1.545060bbbc6cbp-2, 0x1.506d669edb707p-2, 0x1.4c4f3b8d7437ep-2, 0x1.47fad7acd564p-2, 0x1.4374f4b31ac3p-2, 0x1.3ec20de211562p-2, 0x1.39e662aee0323p-2, 0x1.34e5f8e011f16p-2, 0x1.2fc49d51a2c5p-2, 0x1.2a85e7bab14a5p-2, 0x1.252d3baffff2ap-2, 0x1.1fbdcad9e6571p-2, 0x1.1a3a960a97054p-2, 0x1.14a6713bcc3e1p-2, 0x1.0f0404a91b426p-2, 0x1.0955cd9f61e57p-2, 0x1.039e224400217p-2, 0x1.fbbe656d9ae14p-3, 0x1.f036156e01014p-3, 0x1.e4a72743f7598p-3, 0x1.d9152cd7b8334p-3, 0x1.cd837943e4a26p-3, 0x1.c1f52690e7bf7p-3, 0x1.b66d15e22c8dep-3, 0x1.aaedf595e764ep-3, 0x1.9f7a400aebbd1p-3, 0x1.9414433aabb6bp-3, 0x1.88be20d62e53dp-3, 0x1.7d79cd19f745ap-3, 0x1.72491aeba1ed6p-3, 0x1.672db487ca4cep-3, 0x1.5c292260fbfa9p-3, 0x1.513ccb8ccc5dep-3, 0x1.4669f90233b4fp-3, 0x1.3bb1d6382a7c1p-3, 0x1.311573554d8d7p-3, 0x1.2695c6f5ced57p-3, 0x1.1c33af4df4c53p-3, 0x1.11eff426a2421p-3, 0x1.07cb473ca37dep-3, 0x1.fb8c8e93dcc4ap-4, 0x1.e7c2fed5c3af8p-4, 0x1.d43ad5ff73b1dp-4, 0x1.c0f4dd33723afp-4, 0x1.adf1d14d4cfcep-4, 0x1.9b3245fb5a0b2p-4, 0x1.88b6b6c6c5ebep-4, 0x1.767f866c1abb8p-4, 0x1.648cffd9e83dep-4, 0x1.52df588b7ce2bp-4, 0x1.4176b193c85eap-4, 0x1.305319de6bf07p-4, 0x1.1f748d8c32414p-4, 0x1.0edafa9aa4341p-4, 0x1.fd0c7f1f2d7dap-5, 0x1.dcec5980e30d5p-5, 0x1.bd550e474bea7p-5, 0x1.9e460fad096cdp-5, 0x1.7fbebb340c44ep-5, 0x1.61be5b954c2dep-5, 0x1.44442a273a2e1p-5, 0x1.274f50ec6c826p-5, 0x1.0adeeb73b98d6p-5, 0x1.dde410f75829fp-6, 0x1.a70f56dd83805p-6, 0x1.713d99aa08c2ap-6, 0x1.3c6cb949c59d6p-6, 0x1.089a82f0defb1p-6, 0x1.ab896d103cdabp-7, 0x1.47d20c46145aep-7, 0x1.cc146099ff953p-8, 0x1.0c5a25a114325p-8, 0x1.41aecfb29f1d6p-10, -0x1.9f0318c6ce42p-10, -0x1.1c352c6e33d69p-8, -0x1.ccfb82b8e7481p-8, -0x1.3d0ee9b111579p-7, -0x1.91d321d885149p-7, -0x1.e4cf7a8731976p-7, -0x1.1b0485443561fp-6, -0x1.42c2746871005p-6, -0x1.69a418af36d5fp-6, -0x1.8fabfc0ffaep-6, -0x1.b4dca9cef636dp-6, -0x1.d938aa1c610ddp-6, -0x1.fcc2837e43ac5p-6, -0x1.0fbe5ca9bdac6p-5, -0x1.20b4e5eed2fa5p-5, -0x1.31461c0f4cc7ep-5, -0x1.41733acff12e3p-5, -0x1.513d7c4521c73p-5, -0x1.60a618e95f94cp-5, -0x1.6fae44a3b53fdp-5, -0x1.7e5732d73b09ep-5, -0x1.8ca2131acc5d1p-5, -0x1.9a9012804a5cap-5, -0x1.a8225b15653d6p-5, -0x1.b55a1408f21b3p-5, -0x1.c238612ba85b3p-5, -0x1.cebe6423594cp-5, -0x1.daed3a9bb2de9p-5, -0x1.e6c5ff5665a2p-5, -0x1.f249ca94340c6p-5, -0x1.fd79b089002cbp-5, -0x1.042b6192e3bf7p-4, -0x1.097108603a0d3p-4, -0x1.0e8e526f3d1a2p-4, -0x1.1383c3e2fc447p-4, -0x1.1851df82e444bp-4, -0x1.1cf926a3a96fap-4, -0x1.217a19102ba27p-4, -0x1.25d535086c71bp-4, -0x1.2a0af7b3f1009p-4, -0x1.2e1bdc86a0b33p-4, -0x1.32085e21c5de3p-4, -0x1.35d0f5708c081p-4, -0x1.39761a183f297p-4, -0x1.3cf842a73d6d4p-4, -0x1.4057e49628974p-4, -0x1.43957454925ddp-4, -0x1.46b164d51b3cfp-4, -0x1.49ac2806b2a4bp-4, -0x1.4c862efa72af1p-4, -0x1.4f3fe9f474faep-4, -0x1.51d9c7b81b68dp-4, -0x1.545436f6db74bp-4, -0x1.56afa485d5223p-4, -0x1.58ec7cdb74506p-4, -0x1.5b0b2bbc835acp-4, -0x1.5d0c1c5153076p-4, -0x1.5eefb8b154b4dp-4, -0x1.60b66a0962147p-4, -0x1.6260991d28e17p-4, -0x1.63eeae1d402c6p-4, -0x1.656110ef7e984p-4, -0x1.66b8288b428d9p-4, -0x1.67f45afe5f968p-4, -0x1.69160ebe4148dp-4, -0x1.6a1da80446a85p-4, -0x1.6b0b8d0dd2ccap-4, -0x1.6be021fda1aecp-4, -0x1.6c9bcaef5878ap-4, -0x1.6d3eeb57de78cp-4, -0x1.6dc9e6625ec07p-4, -0x1.6e3d1ee8d0ec7p-4, -0x1.6e98f7a1dd08p-4, -0x1.6eddd30812ed8p-4, -0x1.6f0c12dc9dbd1p-4, -0x1.6f24184e6b02ap-4, -0x1.6f2644852b4ddp-4, -0x1.6f12f8846388cp-4, -0x1.6eea9507282ap-4, -0x1.6ead7a6a22856p-4, -0x1.6e5c08d409b6fp-4, -0x1.6df69fc465b45p-4, -0x1.6d7d9e7bf5596p-4, -0x1.6cf164244de2dp-4, -0x1.6c524f9cea5e7p-4, -0x1.6ba0bfd057f45p-4, -0x1.6add1341dd078p-4, -0x1.6a07a7557c6bdp-4, -0x1.6920d951ba371p-4, -0x1.6829078eebf82p-4, -0x1.67208e3253dcp-4, -0x1.6607ca57b828cp-4, -0x1.64df1873e9dedp-4, -0x1.63a6d489ba513p-4, -0x1.625f5a233de17p-4, -0x1.6109045e8801ep-4, -0x1.5fa42e0497f6p-4, -0x1.5e313189e535cp-4, -0x1.5cb06952d9b01p-4, -0x1.5b222ee9dc781p-4, -0x1.5986db87605d2p-4, -0x1.57dec7cade0a6p-4, -0x1.562a4bd90f2e6p-4, -0x1.5469bf615e05cp-4, -0x1.529d79a0c7b36p-4, -0x1.50c5d16d5ef13p-4, -0x1.4ee31d0f24363p-4, -0x1.4cf5b20e35505p-4, -0x1.4afde57dc80c9p-4, -0x1.48fc0bb99146dp-4, -0x1.46f0785f285e9p-4, -0x1.44db7eb21c1f1p-4, -0x1.42bd715f56f7cp-4, -0x1.4096a1fd0f112p-4, -0x1.3e6762d04231p-4, -0x1.3c3002bc16b9fp-4, -0x1.39f0d2db633a1p-4, -0x1.37aa2187dca69p-4, -0x1.355c3d15c29bbp-4, -0x1.3307730ed982ap-4, -0x1.30ac104d53aa9p-4, -0x1.2e4a60d20503fp-4, -0x1.2be2afc130bc6p-4, -0x1.297547636e4c1p-4, -0x1.2702711f631dbp-4, -0x1.248a75b4d7ca6p-4, -0x1.220d9c6686502p-4, -0x1.1f8c2c7fb3e94p-4, -0x1.1d066bc5198cbp-4, -0x1.1a7c9f6356e15p-4, -0x1.17ef0b6e4b8ecp-4, -0x1.155df324c514bp-4, -0x1.12c998b3d13e8p-4, -0x1.10323d6671edep-4, -0x1.0d982180d5f17p-4, -0x1.0afb845be88a2p-4, -0x1.085ca45e5a46ep-4, -0x1.05bbbeec07cc9p-4, -0x1.0319107120dfap-4, -0x1.0074d457b633bp-4, -0x1.fb9e89db6792ep-5, -0x1.f651372d4c25dp-5, -0x1.f10221375b56bp-5, -0x1.ebb1b6893388dp-5, -0x1.e660639cea17fp-5, -0x1.e10e92d69d382p-5, -0x1.dbbcadb99884cp-5, -0x1.d66b18e5fcc74p-5, -0x1.d11a3998b13f3p-5, -0x1.cbca71c66aa95p-5, -0x1.c67c21f600f6p-5, -0x1.c12fa79109861p-5, -0x1.bbe55e9573659p-5, -0x1.b69da0e4a55cep-5, -0x1.b158c6172afacp-5, -0x1.ac17240c370b7p-5, -0x1.a6d90e4ead37bp-5, -0x1.a19ed66a8b58bp-5, -0x1.9c68cbd8e31b2p-5, -0x1.97373c070c9a2p-5, -0x1.920a72449833bp-5, -0x1.8ce2b7405f15fp-5, -0x1.87c0549e27ccap-5, -0x1.82a38bd77ff08p-5, -0x1.7d8ca42a7d257p-5, -0x1.787bdbead2ba6p-5, -0x1.7371757637279p-5, -0x1.6e6daa0708c0ep-5, -0x1.6970b8c84077ap-5, -0x1.647ad99bcaf53p-5, -0x1.5f8c446afc9eep-5, -0x1.5aa52ed6d2915p-5, -0x1.55c5cccb06209p-5, -0x1.50ee50382d1c1p-5, -0x1.4c1ee93fe44dfp-5, -0x1.4757c63600e1dp-5, -0x1.429913bbf3efp-5, -0x1.3de2fc5999b1dp-5, -0x1.3935a9441c7eep-5, -0x1.349141ad3224ep-5, -0x1.2ff5eb16c0133p-5, -0x1.2b63c96659e76p-5, -0x1.26dafeca15d3ep-5, -0x1.225babbbf4244p-5, -0x1.1de5ef25227e9p-5, -0x1.1979e6756be0ap-5, -0x1.1517ad52c7eadp-5, -0x1.10bf5df8ae673p-5, -0x1.0c71111312068p-5, -0x1.082cddcd71fd4p-5, -0x1.03f2d9d7ed5fcp-5, -0x1.ff8632e17543bp-6, -0x1.f73b5eb316b6dp-6, -0x1.ef055a753b0ebp-6, -0x1.e6e445b882d28p-6, -0x1.ded83e0ab8b17p-6, -0x1.d6e15e482a9eap-6, -0x1.ceffbe811f023p-6, -0x1.c733744de4e53p-6, -0x1.bf7c92ca1c6a2p-6, -0x1.b7db2aa1bfafep-6, -0x1.b04f4a1d21b62p-6, -0x1.a8d8fd4d04cebp-6, -0x1.a1784df8e4c1ap-6, -0x1.9a2d438915736p-6, -0x1.92f7e364ea4cbp-6, -0x1.8bd830af908dp-6, -0x1.84ce2c4dd9f65p-6, -0x1.7dd9d511ef51bp-6, -0x1.76fb2768e0d97p-6, -0x1.70321f1cf2e45p-6, -0x1.697eb58499af6p-6, -0x1.62e0e17be0843p-6, -0x1.5c58997ef8638p-6, -0x1.55e5d1e79c89dp-6, -0x1.4f887d332dfb6p-6, -0x1.49408bf949635p-6, -0x1.430decea92287p-6, -0x1.3cf08bcc5f00dp-6, -0x1.36e857dd3372ep-6, -0x1.30f5356be7822p-6, -0x1.2b171181dd7eap-6, -0x1.254dd387f634cp-6, -0x1.1f99634c2cc48p-6, -0x1.19f9a7035ac33p-6, -0x1.146e83c58ed45p-6, -0x1.0ef7dc91063b9p-6, -0x1.099592465abcdp-6, -0x1.04478375e4e8cp-6, -0x1.fe1b1ad487845p-7, -0x1.f3cf194677241p-7, -0x1.e9aac0920477fp-7, -0x1.dfadc69e9203fp-7, -0x1.d5d7eabfad951p-7, -0x1.cc28eb534375bp-7, -0x1.c2a0851a56d39p-7, -0x1.b93e70695ef7bp-7, -0x1.b0025f6c24466p-7, -0x1.a6ebfc793056p-7, -0x1.9dfaeb2606141p-7, -0x1.952ecad70609ep-7, -0x1.8c87391fb3f25p-7, -0x1.8403e1ac1312dp-7, -0x1.7ba45dd922f03p-7, -0x1.73687548cb34cp-7, -0x1.6b4fd579d888fp-7, -0x1.635a3d008db59p-7, -0x1.5b8764c57878bp-7, -0x1.53d6fbb67d87dp-7, -0x1.4c48a4e1c36dfp-7, -0x1.44dbf6baf36ep-7, -0x1.3d907eed97ff1p-7, -0x1.3665c858b8e82p-7, -0x1.2f5b629b2510cp-7, -0x1.2870e76cd3427p-7, -0x1.21a601421c913p-7, -0x1.1afa6613a5411p-7, -0x1.146dd1e7a9a3ep-7, -0x1.0e0007d578818p-7, -0x1.07b0b4ff6652bp-7, -0x1.017f84fa7bd14p-7, -0x1.f6d80976f813dp-8, -0x1.eaeb720f647b9p-8, -0x1.df383c1cc0b32p-8, -0x1.d3bd66774dcedp-8, -0x1.c87a0cbfe3343p-8, -0x1.bd6d75cef0e07p-8, -0x1.b297186eb157fp-8, -0x1.a7f69332219bdp-8, -0x1.9d8b9863e758ep-8, -0x1.9355d29ec322cp-8, -0x1.8954c319af7fp-8, -0x1.7f87c4e458e92p-8, -0x1.75ede358129a4p-8, -0x1.6c85f4f5ac6fep-8, -0x1.634ebaea86b27p-8, -0x1.5a46f284ba858p-8, -0x1.516d7749cc258p-8, -0x1.48c15c1429b9cp-8, -0x1.4041f9d9c30e7p-8, -0x1.37eee9ae0702cp-8, -0x1.2fc7fe65e74cfp-8, -0x1.27cd2e6f6f78ap-8, -0x1.1ffe674db0cfep-8, -0x1.185b7afbf04ebp-8, -0x1.10e3ec163dfb2p-8, -0x1.099710d1c0739p-8, -0x1.0273ef2945299p-8, -0x1.f6f2d0f611f3cp-9, -0x1.e94ca05292a77p-9, -0x1.dbf3014d202f6p-9, -0x1.cee3d8443591dp-9, -0x1.c21d46c6df5a3p-9, -0x1.b59dc4fcb6192p-9, -0x1.a9645aa2693dap-9, -0x1.9d700f5a4680ep-9, -0x1.91c0894527c67p-9, -0x1.865579ff08762p-9, -0x1.7b2e7bd5a93f9p-9, -0x1.704ae740f976fp-9, -0x1.65a9c25b866cbp-9, -0x1.5b49e9273d42p-9, -0x1.512a1cae9c2bfp-9, -0x1.474925b1448b6p-9, -0x1.3da5ca902bffp-9, -0x1.343ea823b00e6p-9, -0x1.2b12192257275p-9, -0x1.221e5b766b2eep-9, -0x1.1961a1014bc35p-9, -0x1.10da7a8213bd4p-9, -0x1.0887e41dc0df8p-9, -0x1.0069325934bdap-9, -0x1.f0fbb2b6fbdb1p-10, -0x1.e18a6e3d657ap-10, -0x1.d27d08f2152b6p-10, -0x1.c3d1e161931bdp-10, -0x1.b58796ae40cb6p-10, -0x1.a79d18084ab11p-10, -0x1.9a11cb86e82dep-10, -0x1.8ce416fb53487p-10, -0x1.80122b62d673ap-10, -0x1.73987c7012fa3p-10, -0x1.67732198e1febp-10, -0x1.5b9e40b8c2272p-10, -0x1.50173ac7381f7p-10, -0x1.44dc438f5017cp-10, -0x1.39ecee8843008p-10, -0x1.2f48892d91965p-10, -0x1.24ee127c1fac8p-10, -0x1.1adc3e5058151p-10, -0x1.1111e93f64d1ap-10, -0x1.078e7f4db374fp-10, -0x1.fca4234a65b27p-11, -0x1.eaba03f2bc1e2p-11, -0x1.d95ea60ab970fp-11, -0x1.c88fbcc22e8ap-11, -0x1.b847ac29999dep-11, -0x1.a87df8b15f637p-11, -0x1.9929031b0b6f1p-11, -0x1.8a4065fe16d4bp-11, -0x1.7bbea26e029d3p-11, -0x1.6da162d407be2p-11, -0x1.5fe86c42d69bfp-11, -0x1.52940d8b8ca8p-11, -0x1.45a404e30d876p-11, -0x1.39174887fe52dp-11, -0x1.2cec6227cd263p-11, -0x1.21224ddf578ep-11, -0x1.15b8b57e4c727p-11, -0x1.0aaff32921ab4p-11, -0x1.000926d53f712p-11, -0x1.eb86ac27e38b1p-12, -0x1.d7bca273d2407p-12, -0x1.c4ab82274ea7cp-12, -0x1.b24cfbc60d71ap-12, -0x1.a0948b4027537p-12, -0x1.8f755e9a23e2cp-12, -0x1.7ee2e55d7ce82p-12, -0x1.6ed29bf4b15b1p-12, -0x1.5f3e0468b6f59p-12, -0x1.50232676a837ap-12, -0x1.418315bee6402p-12, -0x1.335ea68232ae6p-12, -0x1.25b5d845febb7p-12, -0x1.1888b856b933cp-12, -0x1.0bd87f1ee6b4ap-12, -0x1.ff49bbd3767ccp-13, -0x1.e7d3cdaf80a03p-13, -0x1.d14356e627a2bp-13, -0x1.bb903d69c8407p-13, -0x1.a6b9df7644211p-13, -0x1.92c3ce3845e42p-13, -0x1.7faf1db300474p-13, -0x1.6d75f606cb86ep-13, -0x1.5c0b0a421aadep-13, -0x1.4b5b5a33d39b8p-13, -0x1.3b4f29659d5eap-13, -0x1.2bdea2174f4b9p-13, -0x1.1d0b83c87d01ap-13, -0x1.0ed8f7679a862p-13, -0x1.013df7f847deap-13, -0x1.e857b23768ddfp-14, -0x1.cf3d10c7b99eep-14, -0x1.b73b1aedc093dp-14, -0x1.a05cd5081c829p-14, -0x1.8a960402db53dp-14, -0x1.75d8d2ad712ebp-14, -0x1.620efbc25fc31p-14, -0x1.4f26c8851390ap-14, -0x1.3d25ff2cabafbp-14, -0x1.2c1e137ddc78ap-14, -0x1.1c138523b07e1p-14, -0x1.0d06aae83d2f9p-14, -0x1.fdc90392e25d6p-15, -0x1.e31acdc1d75c4p-15, -0x1.c9b8c2d18c80cp-15, -0x1.b185c794fa3a8p-15, -0x1.9ab24ba6557c5p-15, -0x1.85690bd476586p-15, -0x1.718d1bbe43f57p-15, -0x1.5ef349bc51edcp-15, -0x1.4d996bf450c06p-15, -0x1.3d7b7e20ca4cfp-15, -0x1.2e7574100c4cfp-15, -0x1.20642bdc14bf5p-15, -0x1.133e36a7342abp-15, -0x1.07093ec25b414p-15, -0x1.f78b8e2b69a84p-16, -0x1.e2c628da05a9fp-16, -0x1.cfbdbe3e39116p-16, -0x1.be91758f29a2ap-16, -0x1.af42ccef703f8p-16, -0x1.a1db62f10083cp-16, -0x1.963029e1ff46cp-16, -0x1.8c0109fe55087p-16, -0x1.8311b3a6e4654p-16, -0x1.7b199fdc1a039p-16, -0x1.7441609be0793p-16, -0x1.6ebb7f7e2fe5bp-16, -0x1.6a4a322a2e0e2p-16, -0x1.66d9c9611925ap-16, -0x1.64ab00bd858a4p-16, -0x1.63c7b535d7c44p-16, -0x1.6403ad43aeb8dp-16, -0x1.652de924b3fe7p-16, -0x1.6709bd7e73633p-16, -0x1.698c0841e507ep-16, -0x1.6ca476c2f63e5p-16, -0x1.7066ab55fe488p-16, -0x1.74e7be89dce52p-16, -0x1.7a07206992604p-16, -0x1.7fb7785779852p-16, -0x1.860f2133a7d7ep-16, -0x1.8d168568d0639p-16, -0x1.94a997bb586efp-16, -0x1.9ca901370fae1p-16, -0x1.a5222e5c9d1cdp-16, -0x1.ae05fe082df56p-16, -0x1.b72a518969bd7p-16, -0x1.c09eeae7000b5p-16, -0x1.ca4b0ef8faa22p-16, -0x1.d430019328f14p-16, -0x1.de7669a8d2976p-16, -0x1.e90a118e1b89ep-16, -0x1.f3cf7032e315ep-16, -0x1.fec53c4424575p-16, -0x1.04fa01414dbddp-15, -0x1.0aa76a62d901ap-15, -0x1.106c21f52cf9p-15, -0x1.163c48175a292p-15, -0x1.1c0461987d71ep-15, -0x1.21d9aa640d962p-15, -0x1.27b43ce19b99ap-15, -0x1.2d8c9ccc2959p-15, -0x1.336d56ac08b29p-15, -0x1.3955dbca0bd6ep-15, -0x1.3f3beae17dab8p-15, -0x1.4518657847af7p-15, -0x1.4aeb535b7b98ap-15, -0x1.50be5512e8758p-15, -0x1.569198aadb757p-15, -0x1.5c549ab61d7bfp-15, -0x1.61fcda363df4bp-15, -0x1.679f365d6db5cp-15, -0x1.6d38d8a1d608cp-15, -0x1.72c4a13868826p-15, -0x1.783d39dcc96aep-15, -0x1.7da1b8df4bd97p-15, -0x1.82f28f879937p-15, -0x1.882ff48d1d906p-15, -0x1.8d5a48808ab99p-15, -0x1.92733aecec52cp-15, -0x1.97753863546b7p-15, -0x1.9c6303463d1fcp-15, -0x1.a13a1b2be5413p-15, -0x1.a5f26e8d16ce2p-15, -0x1.aa8fe4431ca05p-15, -0x1.af186ae4396b2p-15, -0x1.b38898ba2e62ep-15, -0x1.b7dc11c4c715ap-15, -0x1.bc13171c42deep-15, -0x1.c02ee321f55c7p-15, -0x1.c42dd83aaf2cbp-15, -0x1.c810f13ef9775p-15, -0x1.cbdb2f0e0f9a5p-15, -0x1.cf88f98027918p-15, -0x1.d3161fd672fbbp-15, -0x1.d6868e364c917p-15, -0x1.d9dbad3fc467bp-15, -0x1.dd135a65a97aep-15, -0x1.e02cd290fde6cp-15, -0x1.e328a5c37d091p-15, -0x1.e5ffab05ee999p-15, -0x1.e8c07df3637d3p-15, -0x1.eb68eabecd894p-15, -0x1.eded3ee6db791p-15, -0x1.f054f33b2311dp-15, -0x1.f2a0b1b8ed054p-15, -0x1.f4cba8e0a6d3bp-15, -0x1.f6dde2609b292p-15, -0x1.f8ce5973d4ec4p-15, -0x1.faa3d18e802c2p-15, -0x1.fc5bf553ce389p-15, -0x1.fdf72ceabc8f3p-15, -0x1.ff761172eae76p-15, -0x1.0071324fa2dc5p-14, -0x1.010eeadaaf947p-14, -0x1.01a3c3f274683p-14, -0x1.022abdd22402cp-14, -0x1.02a4037a6afdfp-14, -0x1.030fb234878a3p-14, -0x1.036de08740063p-14, -0x1.03bedb2ddcb28p-14, -0x1.04005be9cc28fp-14, -0x1.0438d2e22ff73p-14, -0x1.0462840f22e09p-14, -0x1.047f56664ad05p-14, -0x1.049006ca46525p-14, -0x1.04916d2cd145ap-14, -0x1.048b0e66584d3p-14, -0x1.0476d58cceb07p-14, -0x1.0455fd74d21f2p-14, -0x1.042a33097d9d8p-14, -0x1.03f22e967b4f2p-14, -0x1.03af29b2b6063p-14, -0x1.0360d156ce97p-14, -0x1.0307517b503ecp-14, -0x1.02a33f3a48f5fp-14, -0x1.023452273e88dp-14, -0x1.01bb0dc31f3d8p-14, -0x1.013779aeb98d5p-14, -0x1.00a9c645345f2p-14, -0x1.00123a6025b92p-14, -0x1.fee1f87e45f23p-15, -0x1.fd8bac4e553cep-15, -0x1.fc240c34e6675p-15, -0x1.faa96d5664723p-15, -0x1.f91d1dac64106p-15, -0x1.f77f2cc17502ep-15, -0x1.f5d004c3e25b1p-15, -0x1.f40ff46a8d3b9p-15, -0x1.f23f96f80e8e9p-15, -0x1.f05f62867db88p-15, -0x1.ee6dd76c52da1p-15, -0x1.ec6e384b9dbd1p-15, -0x1.ea6251f07abdfp-15, -0x1.e8459de5530e9p-15, -0x1.e61ae22c37b63p-15, -0x1.e3e2896eaafc6p-15, -0x1.e19c5b8b678ccp-15, -0x1.df49a6e859ca5p-15, -0x1.dce98a7d510a4p-15, -0x1.da7dbd0abf1fp-15, -0x1.d80981d6bc773p-15, -0x1.d581c356860b2p-15, -0x1.d2f3003ac5fddp-15, -0x1.d05920596a09ep-15, -0x1.cdb4cbcf26fc5p-15, -0x1.cb049cef158c6p-15, -0x1.c8426c59775b6p-15, -0x1.c58bd5aa70f0ap-15, -0x1.c2bacad16063ep-15, -0x1.bfed15be5565p-15, -0x1.bd0e5f68ca33ep-15, -0x1.ba2846e94699bp-15, -0x1.b73ab86430492p-15, -0x1.b445679e37cf8p-15, -0x1.b1489e0fadf61p-15, -0x1.ae4797ac8c938p-15, -0x1.ab3b12e7833ap-15, -0x1.a82a247a68868p-15, -0x1.a512fedbce2c6p-15, -0x1.a1f609de766d5p-15, -0x1.9ed388b3c1fcfp-15, -0x1.9bab7eca8ccdfp-15, -0x1.987e9027156d2p-15, -0x1.954cbb82f3586p-15, -0x1.9215f3572c81p-15, -0x1.8edb0d4a3860bp-15, -0x1.8b9c4d38c929cp-15, -0x1.8859b67884f81p-15, -0x1.851389b9282b2p-15, -0x1.81ca18b28ac2p-15, -0x1.7e7d964c1ad83p-15, -0x1.7b2e3d564bed3p-15, -0x1.77dc459445136p-15, -0x1.7487f5905bc7dp-15, -0x1.71317bd430826p-15, -0x1.6dd906e7c7335p-15, -0x1.6a800e17b3f9bp-15, -0x1.672362ca416cap-15, -0x1.63c6492e08fe3p-15, -0x1.60684bf9a831ap-15, -0x1.5d096ff3c1137p-15, -0x1.59a9d8817ef8bp-15, -0x1.5649aef25daa1p-15, -0x1.52e9275511d72p-15, -0x1.4f888fece8b48p-15, -0x1.4c28301dc1756p-15, -0x1.48c70d5d6c2d6p-15, -0x1.4567ea5fc895ep-15, -0x1.42087635292bap-15, -0x1.3ea9bb7f38e2p-15, -0x1.3b4f1022068b1p-15, -0x1.37eef10673f9cp-15, -0x1.34935653fd231p-15, -0x1.313671e57359ep-15, -0x1.2de5e84adb591p-15, -0x1.2a7d73aa99787p-15, -0x1.27367f72a2eb9p-15, -0x1.23df484324793p-15, -0x1.208d215998cebp-15, -0x1.1d3defe14e4a2p-15, -0x1.19efa78ccb55fp-15, -0x1.16a63d71942e1p-15, -0x1.135cd3df594b3p-15, -0x1.10170f0d9d01cp-15, -0x1.0cd3ee38a70e3p-15, -0x1.09939b583d047p-15, -0x1.065648982548ap-15, -0x1.031c2aeca0f2fp-15, -0x1.ffc9e9ceda13dp-16, -0x1.f961f8e88ff3p-16, -0x1.f300be8d060fap-16, -0x1.eca686268c605p-16, -0x1.e6532c5ff0d4ep-16, -0x1.e007296593b91p-16, -0x1.d9c205628a7d7p-16, -0x1.d384c427cb691p-16, -0x1.cd4f08413e21fp-16, -0x1.c72136b10e96fp-16, -0x1.c0fb62d164e07p-16, -0x1.badd5faa30696p-16, -0x1.b4c7e1dff71f7p-16, -0x1.aeb901c6b5e0ap-16, -0x1.a8b5f12e7adcfp-16, -0x1.a2b9460e9f826p-16, -0x1.9cc5892f5d7fdp-16, -0x1.96d9cf98cd905p-16, -0x1.90f8c66dec69p-16, -0x1.8b2036b0e4963p-16, -0x1.8548247f28ca2p-16, -0x1.7f8a7490f7844p-16, -0x1.79cc142ec15d8p-16, -0x1.7417c6a36f7fep-16, -0x1.6e706980c47bep-16, -0x1.68d0b452a0019p-16, -0x1.633579db6cc4bp-16, -0x1.5dc03626ce17cp-16, -0x1.5823f27f25212p-16, -0x1.52a851b82fd7ep-16, -0x1.4d379b0fb5e87p-16, -0x1.47d0efc652983p-16, -0x1.4274d6f83115ep-16, -0x1.3d24403c72ff2p-16, -0x1.37d9ce86c8ed7p-16, -0x1.3299d7d88fb6p-16, -0x1.2d650240c2379p-16, -0x1.283aaf158edd8p-16, -0x1.231bf1eb29347p-16, -0x1.1dfd43ca44e43p-16, -0x1.18f7f1f32a31dp-16, -0x1.13f5df9579beap-16, -0x1.0efd41cab9a4dp-16, -0x1.0a07733e22b35p-16, -0x1.052d7782247c3p-16, -0x1.005578863ecdcp-16, -0x1.f70b42f1c1674p-17, -0x1.ed860dfe05f02p-17, -0x1.e4114a388258cp-17, -0x1.dab17fe6fe22bp-17, -0x1.d16678d6ca2c8p-17, -0x1.c830ce6bfd779p-17, -0x1.bf0f7db5fe1fep-17, -0x1.b602ad633320bp-17, -0x1.ad0a95aa3a4b5p-17, -0x1.a428bd913d14ap-17, -0x1.9b4cd50b6b096p-17, -0x1.929d4b267e5b7p-17, -0x1.89f5a004405bbp-17, -0x1.81635dce35cc4p-17, -0x1.78e58f968969ap-17, -0x1.707c10921223ep-17, -0x1.6826cdfa5cd3fp-17, -0x1.5fe5d6980d267p-17, -0x1.57b96c5189724p-17, -0x1.4fa10653e609dp-17, -0x1.4787f9b0b6b66p-17, -0x1.3fab59629c049p-17, -0x1.37cdcc1be3d96p-17, -0x1.3004cde31ee55p-17, -0x1.284f4bc013bf8p-17, -0x1.20abe6b4cf70dp-17, -0x1.191f959a531e3p-17, -0x1.11a5ae597eaa8p-17, -0x1.0a3f8391c87fcp-17, -0x1.02b778a1b4647p-17, -0x1.f74f907ebcffap-18, -0x1.e8fd2cacc6d46p-18, -0x1.dac6db15faaacp-18, -0x1.ccb89dcc0d219p-18, -0x1.bed07f1d9da8ap-18, -0x1.b10e24fb7acefp-18, -0x1.a3717004af06fp-18, -0x1.9604d1a1d7f8fp-18, -0x1.88ab90cf5c536p-18, -0x1.7b6eb2fbfb1e8p-18, -0x1.6e72dbe5d2f07p-18, -0x1.618ef495a1e42p-18, -0x1.54adbaf124a4fp-18, -0x1.483694cf6f78ap-18, -0x1.3bb8685c4461fp-18, -0x1.2f63d1e8ee6a1p-18, -0x1.23348531b10c1p-18, -0x1.172c2b8d155c6p-18, -0x1.0b589a6969ef9p-18, -0x1.fee8f56fd3fd1p-19, -0x1.e79cb31c5be29p-19, -0x1.d0986ffc07c13p-19, -0x1.b9d7493a7072bp-19, -0x1.a35c0fbdd0f32p-19, -0x1.8d27c2a0ac26ep-19, -0x1.7699946c170d9p-19, -0x1.61791e64cb3e5p-19, -0x1.4c03cc551ece8p-19, -0x1.36cf505e099b7p-19, -0x1.21e65acb1ed16p-19, -0x1.0d2f6d8e0c219p-19, -0x1.f17f03a44629p-20, -0x1.c93750dd77e11p-20, -0x1.a10e2f754b432p-20, -0x1.797d989e18e6ap-20, -0x1.53077a0aa2de3p-20, -0x1.2c877a2b55fb5p-20, -0x1.069325b96cac5p-20, -0x1.c19174bca74e1p-21, -0x1.783fe0dfbd7efp-21, -0x1.2f2d23ce2541ap-21, -0x1.ce7c6323252e7p-22, -0x1.3db2adf0a247dp-22, -0x1.66a07c235b89ap-23, -0x1.44737ff29336dp-25, 0x1.81fed26a48e5fp-24, 0x1.cf604cddca213p-23, 0x1.6d17d0d5cd5d4p-22, 0x1.f0b74228860dp-22, 0x1.394a0edfd1f5ap-21, 0x1.7978ef4493796p-21, 0x1.b99c66ccdae11p-21, 0x1.f75658d118b6ap-21, 0x1.1a4a7822307e5p-20, 0x1.38ac43d0f391ap-20, 0x1.5699b76167e2fp-20, 0x1.74483cba4c6f9p-20, 0x1.914e6ee67e63ep-20, 0x1.adfd22b231704p-20, 0x1.ca5a217980bf6p-20, 0x1.e6ef96886eb87p-20, 0x1.00e91956ca9b4p-19, 0x1.0e7c453399189p-19, 0x1.1bdc506e708dp-19, 0x1.295d267912befp-19, 0x1.36133e2dda77ep-19, 0x1.42e605983a112p-19, 0x1.4f805a1a74a45p-19, 0x1.5c5e06f119f81p-19, 0x1.683eef029c0ddp-19, 0x1.7457086759c2bp-19, 0x1.8037d1f62741dp-19, 0x1.8b0653a00332p-19, 0x1.9772b94bc2ff2p-19, 0x1.a2ec66f01d82bp-19, 0x1.ae25f4f020e1bp-19, 0x1.b933fe9e54681p-19, 0x1.c40b8fa8d8885p-19, 0x1.cec7d582659ccp-19, 0x1.d9533affddd02p-19, 0x1.e3b1908c37d14p-19, 0x1.edec3aadf4456p-19, 0x1.f7f90cd40fec6p-19, 0x1.00f068fe719f1p-18, 0x1.05caf374f23b7p-18, 0x1.0ab2fb94e6de3p-18, 0x1.0f505be457a3ep-18, 0x1.13f15591936b8p-18, 0x1.1854e412deb82p-18, 0x1.1d012a0822372p-18, 0x1.215d3d68ede1bp-18, 0x1.25c661c6e8de6p-18, 0x1.2a0a6e472cc2fp-18, 0x1.2e3797d9eef5bp-18, 0x1.325df6029f256p-18, 0x1.366c4b1986bcp-18, 0x1.3a924ae9e8ddap-18, 0x1.3e556cb4215bep-18, 0x1.422eccedf545bp-18, 0x1.45f79fa1415c4p-18, 0x1.49b060036aedp-18, 0x1.4d561dc8892b4p-18, 0x1.5161df5926b07p-18, 0x1.546c3a00c3b2ep-18, 0x1.57e60fd944f9dp-18, 0x1.5b5f35617df35p-18, 0x1.5e9d92e57b33p-18, 0x1.61e5331d4ef78p-18, 0x1.6516f2c98f87cp-18, 0x1.67f1d9a7ffb63p-18, 0x1.6b764c1d01277p-18, 0x1.6e5d7fffb572ep-18, 0x1.7156cbe5819cdp-18, 0x1.746462c126891p-18, 0x1.771cdef729a8bp-18, 0x1.79e789bdd8824p-18, 0x1.7ca414c0e4a87p-18, 0x1.7f683cac0ab3ep-18, 0x1.81e8ddcc39f37p-18, 0x1.848aab0b112ccp-18, 0x1.870ea036f26c3p-18, 0x1.8927ba21d04fcp-18, 0x1.8be294b811da3p-18, 0x1.8e53613039db8p-18, 0x1.90a816ce54695p-18, 0x1.93025b27cb3e7p-18, 0x1.95128862cea2cp-18, 0x1.973ab5a2b7467p-18, 0x1.99607043b0fa1p-18, 0x1.9b9bcc652b95bp-18, 0x1.9dacf69ad22afp-18, 0x1.9f7011a662857p-18, 0x1.a16227ee7889dp-18, 0x1.a3435659f7c7ep-18, 0x1.a518992c36c5p-18, 0x1.a6e24b0155e53p-18, 0x1.a8a1ff975929bp-18, 0x1.aa610f8476ed3p-18, 0x1.abf953276b199p-18, 0x1.ad870e4c2e694p-18, 0x1.af2e5bafeae4dp-18, 0x1.b0b3145abab27p-18, 0x1.b22d58b13a822p-18, 0x1.b39f6c61d81b8p-18, 0x1.b506e563bf069p-18, 0x1.b661f44a4cfd3p-18, 0x1.b7d56ab956f5fp-18, 0x1.b8fed75cb970cp-18, 0x1.ba3d7fd7ba9f1p-18, 0x1.bb7f72dfc4321p-18, 0x1.bc9cfd6b76389p-18, 0x1.bd59ad45d5191p-18, 0x1.bed8bca998547p-18, 0x1.bfe9a1007fd58p-18, 0x1.c0ee1df4ef26bp-18, 0x1.c1f2a3f71765cp-18, 0x1.c2e05577e53a5p-18, 0x1.c39ed02b5d291p-18, 0x1.c4acac4fe2f92p-18, 0x1.c58fd1fe994f4p-18, 0x1.c6542792c69a4p-18, 0x1.c71ccde23d61p-18, 0x1.c7dccf43ddd13p-18, 0x1.c894a717d76a6p-18, 0x1.c946074384022p-18, 0x1.c9ec5ff84715ep-18, 0x1.ca8b2327cbd65p-18, 0x1.cb222a3743ee9p-18, 0x1.cbbb38f65805ep-18, 0x1.cc2dc3f64017fp-18, 0x1.ccb874d527ac7p-18, 0x1.cd39da04ef006p-18, 0x1.cda36797dec05p-18, 0x1.ce1758006ef32p-18, 0x1.ce738a06167f4p-18, 0x1.cea6ef24c1a8fp-18, 0x1.cf14995962966p-18, 0x1.cf718c99cfa81p-18, 0x1.cfb85a9912d76p-18, 0x1.cff8dc2c13782p-18, 0x1.d0321d38a548p-18, 0x1.d06565702743ap-18, 0x1.d08ec1d22c6ep-18, 0x1.d075ddc389b38p-18, 0x1.d0d78ead862ccp-18, 0x1.d0f1ac3794e2ep-18, 0x1.d104643eec841p-18, 0x1.d1134231be912p-18, 0x1.d11abfffb090ap-18, 0x1.d11a3e3bac8f3p-18, 0x1.d1169bbb8cdaap-18, 0x1.d10cb2ff2fe3ep-18, 0x1.d0fbc4fa21442p-18, 0x1.d0e6bfb7428f9p-18, 0x1.d0cc3d07ea02ep-18, 0x1.d0ae0ce5a96a9p-18, 0x1.d08de57c6531cp-18, 0x1.d05cda469f5dcp-18, 0x1.d015b7bc5725fp-18, 0x1.cff445a4076e7p-18, 0x1.cfba4053e90fap-18, 0x1.cf7a9b957668bp-18, 0x1.cf35d418d8121p-18, 0x1.ceecb601bfdfap-18, 0x1.ce9fac9f1e25ep-18, 0x1.ce5e3192dbbd1p-18, 0x1.cdf458d1afff8p-18, 0x1.cd95c1aa3a0f1p-18, 0x1.cd17528a32ca3p-18, 0x1.ccdb6ead2d804p-18, 0x1.cc6495640d9e5p-18, 0x1.cbf8dd4cc26d4p-18, 0x1.cb78e75191382p-18, 0x1.cb0dddf9d0c7bp-18, 0x1.ca93b1d0d1c85p-18, 0x1.ca14970924941p-18, 0x1.c990bda6c1a28p-18, 0x1.c9098cb6866bbp-18, 0x1.c88ce2971f206p-18, }}, 
      {{-0x1.2f75e8ceba768p-1, -0x1.2e4a348f8f728p-1, -0x1.2c5d9eb92e3a5p-1, -0x1.29b92eb3a702p-1, -0x1.2667d15454b22p-1, -0x1.2275d28682d17p-1, -0x1.1df02f891c797p-1, -0x1.18e440f0ce31p-1, -0x1.135f664c7ed8cp-1, -0x1.0d6ecf62edfe4p-1, -0x1.071f4ead32a73p-1, -0x1.007d3033edcc2p-1, -0x1.f328648366b41p-2, -0x1.e4ded9dcbdd98p-2, -0x1.d632941a5a6fcp-2, -0x1.c73701607b8fp-2, -0x1.b7fe2c72f3f07p-2, -0x1.a898bcf576f07p-2, -0x1.9915fd8486442p-2, -0x1.8983f10b24608p-2, -0x1.79ef537c1dd9p-2, -0x1.6a63b6d3a443bp-2, -0x1.5aeb892788c2cp-2, -0x1.4b9029623921cp-2, -0x1.3c59fba6bfe0cp-2, -0x1.2d5077b1fc0f8p-2, -0x1.1e7a375fb8b82p-2, -0x1.0fdd0c2f26b6bp-2, -0x1.017e08530c572p-2, -0x1.e6c328b099154p-3, -0x1.cb16f16056155p-3, -0x1.affdd0c5132c3p-3, -0x1.957d3046281ffp-3, -0x1.7b99747999a42p-3, -0x1.62562d29f8e0fp-3, -0x1.49b6201226871p-3, -0x1.31bb4428f5ad5p-3, -0x1.1a6709985f1c1p-3, -0x1.03ba346d91e99p-3, -0x1.db6a0a557324cp-4, -0x1.b0ae775c09361p-4, -0x1.87405fa01452ap-4, -0x1.5f1da5d8398c9p-4, -0x1.38437bcf9e1cap-4, -0x1.12ae7bbefea45p-4, -0x1.dcb5735f0965dp-5, -0x1.96875a30862a1p-5, -0x1.52c932d55af14p-5, -0x1.117099fd1cb72p-5, -0x1.a4e4da51ca78cp-6, -0x1.2b867f5eba036p-6, -0x1.6d5c53b59c8e7p-7, -0x1.190cd6b46beb6p-8, 0x1.2e9c8f927b38bp-9, 0x1.1b5fa5c7a5fbap-7, 0x1.e2d70db7378fbp-7, 0x1.5120e6f269407p-6, 0x1.acea3009f6a1ap-6, 0x1.0270e723099d5p-5, 0x1.2c910dd114b47p-5, 0x1.54e29600c7a04p-5, 0x1.7b7298206dd42p-5, 0x1.a04decc064f43p-5, 0x1.c38153e94bde2p-5, 0x1.e5197b95532bfp-5, 0x1.029164896062ap-4, 0x1.11d4baf49746bp-4, 0x1.205cc5da4aaabp-4, 0x1.2e2f6ee48c05fp-4, 0x1.3b527a0992089p-4, 0x1.47cb9aa1ab438p-4, 0x1.53a05a3016a09p-4, 0x1.5ed6262fecc02p-4, 0x1.69724b7c8badcp-4, 0x1.7379f60665817p-4, 0x1.7cf23102988bcp-4, 0x1.85dfe69cef7ffp-4, 0x1.8e47ded3d73c9p-4, 0x1.962ec5e6aa92fp-4, 0x1.9d99202a6f2e1p-4, 0x1.a48b5672a5fddp-4, 0x1.ab09af93d1ac8p-4, 0x1.b11854def2b3ap-4, 0x1.b6bb514b46cb7p-4, 0x1.bbf687f37c2c1p-4, 0x1.c0cdd0ac2aaa3p-4, 0x1.c544d0aed4522p-4, 0x1.c95f1e1ed0e84p-4, 0x1.cd20310ea94cbp-4, 0x1.d08b5eb1fa8e7p-4, 0x1.d3a3e886da7e4p-4, 0x1.d66cf32dee5d2p-4, 0x1.d8e989954419dp-4, 0x1.db1c9d47fcefdp-4, 0x1.dd0907e0d83adp-4, 0x1.deb18ad7def2bp-4, 0x1.e018cfc08d8f5p-4, 0x1.e1416d231bb0dp-4, 0x1.e22dde5657183p-4, 0x1.e2e08ef547d5fp-4, 0x1.e35bcdfeff407p-4, 0x1.e3a1e18d200adp-4, 0x1.e3b4f3709aa1fp-4, 0x1.e3971ebceaeb7p-4, 0x1.e34a69d22177ap-4, 0x1.e2d0cbcd431a1p-4, 0x1.e22c290f3f483p-4, 0x1.e15e55a871a85p-4, 0x1.e06915b2fe08cp-4, 0x1.df4e1d785e809p-4, 0x1.de0f1249f1b1bp-4, 0x1.dcad8a5cbae7cp-4, 0x1.db2b0c1bb39a5p-4, 0x1.d9891e4992f53p-4, 0x1.d7c919b7c955p-4, 0x1.d5ec70abd909cp-4, 0x1.d3f46ed9e2e97p-4, 0x1.d1e25ff4daf62p-4, 0x1.cfb77f71c4633p-4, 0x1.cd74ff5ca5456p-4, 0x1.cb1c067531b19p-4, 0x1.c8adb10ff1041p-4, 0x1.c62b11a28f5cbp-4, 0x1.c39530961e80ap-4, 0x1.c0ed0c644fcf2p-4, 0x1.be339bf72e835p-4, 0x1.bb69cc1b967f2p-4, 0x1.b890817e9ba67p-4, 0x1.b5a8990c23463p-4, 0x1.b2b2e6a94381fp-4, 0x1.afb037dc0afd9p-4, 0x1.aca152122e15dp-4, 0x1.a986f3cf6803fp-4, 0x1.a661d49ac6454p-4, 0x1.a332a4016ba4cp-4, 0x1.9ffa101fb275dp-4, 0x1.9cb8ba23aa17fp-4, 0x1.996f4362f9207p-4, 0x1.961e4089307d6p-4, 0x1.92c6469fa84a2p-4, 0x1.8f67e3f3f33f5p-4, 0x1.8c03a15829c46p-4, 0x1.889a008f600bbp-4, 0x1.852b81b6968b6p-4, 0x1.81b89e29ff5c5p-4, 0x1.7e41cbe086d39p-4, 0x1.7ac77be22da99p-4, 0x1.774a1b4b4d7afp-4, 0x1.73ca1305e401cp-4, 0x1.7047c842c314bp-4, 0x1.6cc39c1e43ac5p-4, 0x1.693dea63ae55ap-4, 0x1.65b715d4ff2e5p-4, 0x1.622f67ba2c30cp-4, 0x1.5ea73d26a8b1dp-4, 0x1.5b1ee4e3c497cp-4, 0x1.5796aaa7bdcbp-4, 0x1.540ed9adc6ddap-4, 0x1.5087b7fab5efp-4, 0x1.4d018fd420fbcp-4, 0x1.497c9c3be4a11p-4, 0x1.45f9215201b92p-4, 0x1.42775b8d96c5ep-4, 0x1.3ef784953b292p-4, 0x1.3b79d74f2d337p-4, 0x1.37fe86722532dp-4, 0x1.3485c9714476p-4, 0x1.310fd15535483p-4, 0x1.2d9cce4daf6c6p-4, 0x1.2a2cee89f87cp-4, 0x1.26c05e6c2a229p-4, 0x1.235748987394ep-4, 0x1.1ff1d5fe4e374p-4, 0x1.1c902d3a3d18fp-4, 0x1.193274c29db01p-4, 0x1.15d8cfec098b1p-4, 0x1.1283616bf5b55p-4, 0x1.0f324a22fb429p-4, 0x1.0be5a9c2817eep-4, 0x1.089d9e860ef5fp-4, 0x1.055a455cc336dp-4, 0x1.021bb9c999864p-4, 0x1.fdc42ca4e2e39p-5, 0x1.f75ae83358136p-5, 0x1.f0fbdd939b6b3p-5, 0x1.eaa7251a0408cp-5, 0x1.e45cffcbf4fbep-5, 0x1.de1d8d8b83849p-5, 0x1.d7e8fd61079bap-5, 0x1.d1bf6cc740cafp-5, 0x1.cba102e294ebbp-5, 0x1.c58de0a623ec1p-5, 0x1.bf862683e5ebp-5, 0x1.b989f256fbd6ep-5, 0x1.b39960cc6b7f3p-5, 0x1.adb48ca5ff121p-5, 0x1.a7db8ec833bfdp-5, 0x1.a20e7b75c2bcbp-5, 0x1.9c4d78099fa03p-5, 0x1.96987ece0eac8p-5, 0x1.90efbe982c87p-5, 0x1.8b53386bda9cap-5, 0x1.85c301031bb4p-5, 0x1.803f282356823p-5, 0x1.7ac7bbbf750cep-5, 0x1.755cc87acf302p-5, 0x1.6ffe5a19d0c91p-5, 0x1.6aac7afb1a94ep-5, 0x1.6567342f60a99p-5, 0x1.602e8e251ac6dp-5, 0x1.5b028fe4ecc0bp-5, 0x1.55e33f659ca2p-5, 0x1.50d0a1b67acf1p-5, 0x1.4bcabaf77f252p-5, 0x1.46d18e2afe875p-5, 0x1.41e51d84ec4a2p-5, 0x1.3d056a2986b7bp-5, 0x1.38327440666e3p-5, 0x1.336c3a1505fdep-5, 0x1.2eb2bbafd7d56p-5, 0x1.2a05fd5b72d84p-5, 0x1.2565f1b30a591p-5, 0x1.20d28ee242d74p-5, 0x1.1c4be6f44e591p-5, 0x1.17d1e397c1c35p-5, 0x1.13648286650c6p-5, 0x1.0f03bd969ac29p-5, 0x1.0aaf8d38af62fp-5, 0x1.0667e955b41b1p-5, 0x1.022cc92dbc725p-5, 0x1.fbfc46c89a232p-6, 0x1.f3b7dc0afc7f7p-6, 0x1.eb8c3cbc8d882p-6, 0x1.e37952615a542p-6, 0x1.db7f060c4acbap-6, 0x1.d39d3ee03d83cp-6, 0x1.cbd3e2ff4cebcp-6, 0x1.c422d7f3e10cdp-6, 0x1.bc8a01ee94a69p-6, 0x1.b5094436dd1c1p-6, 0x1.ada080fed5c03p-6, 0x1.a64f9aafdfa54p-6, 0x1.9f1670e3763c2p-6, 0x1.97f4e2c1ceb45p-6, 0x1.90ead0cfcfce5p-6, 0x1.89f817f249601p-6, 0x1.831c955e954a2p-6, 0x1.7c581e9511193p-6, 0x1.75aaac06d8e0ep-6, 0x1.6f13ea49f7d99p-6, 0x1.6893dafba974ep-6, 0x1.622a45889858ap-6, 0x1.5bd70716ef39ep-6, 0x1.5599f83007751p-6, 0x1.4f72f09075e85p-6, 0x1.4961c7ed69d27p-6, 0x1.43665404d4c1cp-6, 0x1.3d806c3c6da64p-6, 0x1.37afe4ebfb95p-6, 0x1.31f499126f4d1p-6, 0x1.2c4e5088c2d9bp-6, 0x1.26bced02c7569p-6, 0x1.21403c9efe32bp-6, 0x1.1bd813d2ef39bp-6, 0x1.16844629e2acbp-6, 0x1.1144a674d3ae5p-6, 0x1.0c1907644a594p-6, 0x1.07013af02677bp-6, 0x1.01fd1385db5a9p-6, 0x1.fa18c5952e20dp-7, 0x1.f05df493ce5a9p-7, 0x1.e6c956baa018cp-7, 0x1.dd5a8e3f69084p-7, 0x1.d4113ce11bd5ep-7, 0x1.caed0485b0ba4p-7, 0x1.c1ed860ec6e0dp-7, 0x1.b912628d572d2p-7, 0x1.b05b3a7ea9627p-7, 0x1.a7c7acbcfc569p-7, 0x1.9f575502bc1f1p-7, 0x1.9709f5bada5f2p-7, 0x1.8edef96c48f2ep-7, 0x1.86d61e3632f58p-7, 0x1.7eeefaf895fc7p-7, 0x1.77294349e2b85p-7, 0x1.6f8482697adf5p-7, 0x1.68005d9a9332fp-7, 0x1.609c77ef5167dp-7, 0x1.59586c5c4356fp-7, 0x1.5233e060371bdp-7, 0x1.4b2e72eb0ef98p-7, 0x1.4447c4b953f4bp-7, 0x1.3d7f76c64492fp-7, 0x1.36d52a53d9ee7p-7, 0x1.304880789c323p-7, 0x1.29d90dc0460e7p-7, 0x1.2386a51280c5ap-7, 0x1.1d5096a06b755p-7, 0x1.1736dad24484ap-7, 0x1.1138d5a3973fbp-7, 0x1.0b566436a6fb4p-7, 0x1.058ed9f3f39e8p-7, 0x1.ffc4476e70fc7p-8, 0x1.f49f8d8760983p-8, 0x1.e9aedbdb7844fp-8, 0x1.def17ea626d17p-8, 0x1.d466c012a5e88p-8, 0x1.ca0dee2e58f05p-8, 0x1.bfe6570ee25f5p-8, 0x1.b5ef4a50964cfp-8, 0x1.ac28174cde3f7p-8, 0x1.a29012511505cp-8, 0x1.99268c2251f04p-8, 0x1.8fead88a5850dp-8, 0x1.86dc4e91a3f3fp-8, 0x1.7dfa4342a0f82p-8, 0x1.75440e7b4f5a1p-8, 0x1.6cb909f6c59dp-8, 0x1.64589015cecc1p-8, 0x1.5c21fb52196a1p-8, 0x1.5414a9b3144fep-8, 0x1.4c2ff95d5b46dp-8, 0x1.44734a12ed15cp-8, 0x1.3cddfcf611a9p-8, 0x1.356f74b83e6a4p-8, 0x1.2e271524d2f26p-8, 0x1.27043e26a4dbap-8, 0x1.2006678611aa7p-8, 0x1.192ce8c85088cp-8, 0x1.127731e40605ep-8, 0x1.0be4acb27c659p-8, 0x1.0574c6c90c032p-8, 0x1.fe4ddd19a8cb8p-9, 0x1.f1f527c9396b2p-9, 0x1.e5de504d63dc8p-9, 0x1.da083b942e9d2p-9, 0x1.ce71d337922ffp-9, 0x1.c31a019898234p-9, 0x1.b7ffb58d6772bp-9, 0x1.ad21e5fbfb745p-9, 0x1.a27f81db3976ep-9, 0x1.9817832248e8ep-9, 0x1.8de8e735ea1acp-9, 0x1.83f29dad39c39p-9, 0x1.7a33c084e2779p-9, 0x1.70ab51f91c747p-9, 0x1.6758442ea96p-9, 0x1.5e39aedf62ef7p-9, 0x1.554e9f7a145b9p-9, 0x1.4c962649c7516p-9, 0x1.440f572a52a3bp-9, 0x1.3bb949c5da509p-9, 0x1.3392f816fbdbfp-9, 0x1.2b9bedcafe687p-9, 0x1.23d2abbc982a4p-9, 0x1.1c36c373e432fp-9, 0x1.14c738d9a9406p-9, 0x1.0d8335a64918ap-9, 0x1.0669ee007774dp-9, 0x1.fef5170f2bdafp-10, 0x1.f16880d89d849p-10, 0x1.e42c806037bbbp-10, 0x1.d73f843e805b7p-10, 0x1.ca9ff77a79b4p-10, 0x1.be4c4b9ef7984p-10, 0x1.b24378d839207p-10, 0x1.a683710d77b33p-10, 0x1.9b0af544b3fa7p-10, 0x1.8fd89d1febc55p-10, 0x1.84eaffc8dc882p-10, 0x1.7a40b5905216ap-10, 0x1.6fd8645552141p-10, 0x1.65b0b2766afc1p-10, 0x1.5bc84d2c68bc3p-10, 0x1.521de6246df65p-10, 0x1.48b0081bc8fafp-10, 0x1.3f7e50da057a8p-10, 0x1.3685a3a2c1e27p-10, 0x1.2dc6f7e4c516ap-10, 0x1.253fcad1439f1p-10, 0x1.1cef3f1c277c4p-10, 0x1.14d42a25ca759p-10, 0x1.0ced6f4581f19p-10, 0x1.0539ead0e5bcbp-10, 0x1.fb710a0f2df18p-11, 0x1.ecd046c458ce4p-11, 0x1.de8f651e1186fp-11, 0x1.d0ac5baf5aa8ep-11, 0x1.c324f8e1d894ep-11, 0x1.b5f76f57cf4ep-11, 0x1.a921b18dc9e21p-11, 0x1.9ca16324211c3p-11, 0x1.9075dcaf7575dp-11, 0x1.849b8db270fc1p-11, 0x1.791229dc7fa78p-11, 0x1.6dd6e2ebdc3d2p-11, 0x1.62e84d6dde6dcp-11, 0x1.58447ab4b6162p-11, 0x1.4de9cce9252c2p-11, 0x1.43d69738aad1bp-11, 0x1.3a09316e8282ap-11, 0x1.307ffea05aa8bp-11, 0x1.27396ca2dfe5fp-11, 0x1.1e33f2ab7fd12p-11, 0x1.156e118501d23p-11, 0x1.0ce5df2c74831p-11, 0x1.049acee264ef7p-11, 0x1.f916092ea82dep-12, 0x1.e9695dcfde7bdp-12, 0x1.da2d5c3765692p-12, 0x1.cb5f3760ce966p-12, 0x1.bcfc2c3e514aep-12, 0x1.af01b138861f1p-12, 0x1.a16dc1f086372p-12, 0x1.943d38bb98a84p-12, 0x1.876d6d40a3dd5p-12, 0x1.7afd354d75e33p-12, 0x1.6ee9674692335p-12, 0x1.6330a38ab3287p-12, 0x1.57ce7685734c7p-12, 0x1.4cc2dc6112bdep-12, 0x1.420ad4876fbf6p-12, 0x1.37a42b737f462p-12, 0x1.2d8caec2bc134p-12, 0x1.23c262d905b2ep-12, 0x1.1a434c9ab33a7p-12, 0x1.110ceac2f2dbep-12, 0x1.081d58fb40348p-12, 0x1.feebb7e6f332bp-13, 0x1.ee21586f431ecp-13, 0x1.dddb4c96f23a6p-13, 0x1.ce1628acccc66p-13, 0x1.bece809f3917p-13, 0x1.b00111e7c550dp-13, 0x1.a1aa0a794e95ap-13, 0x1.93c7017237f2p-13, 0x1.865433f0aeb71p-13, 0x1.794e4540adfe2p-13, 0x1.6cb27c273c6cep-13, 0x1.607df59ba9ed5p-13, 0x1.54ae79b03d0fap-13, 0x1.493f83123ca33p-13, 0x1.3e30290fb7584p-13, 0x1.337d3b877ccf8p-13, 0x1.292452a425103p-13, 0x1.1f22be406050cp-13, 0x1.157617debfad8p-13, 0x1.0c1c22e925882p-13, 0x1.031259b83247dp-13, 0x1.f4acca6189248p-14, 0x1.e3cc045b5c3f4p-14, 0x1.d37bf43d01d44p-14, 0x1.c3bfc1826c7fap-14, 0x1.b48631e1ca0eap-14, 0x1.a5d8195365db1p-14, 0x1.97a9a70545847p-14, 0x1.89fab6924317bp-14, 0x1.7cc56650d579ep-14, 0x1.700a4db601e4ep-14, 0x1.63bd6dd14f298p-14, 0x1.57e31486bae96p-14, 0x1.4c75a16cd23efp-14, 0x1.4171b63f2a844p-14, 0x1.36d3eed48bb13p-14, 0x1.2c994efa29836p-14, 0x1.22bea994509d8p-14, 0x1.19410b1dbf4ccp-14, 0x1.101d83ef78367p-14, 0x1.07511b8611e2ep-14, 0x1.fdb152a1a7ad6p-15, 0x1.ed63b64e8361fp-15, 0x1.ddb279578ee9p-15, 0x1.ce98a86c52971p-15, 0x1.c0117d55ea82fp-15, 0x1.b218a5f606cdbp-15, 0x1.a4a9fb1e40444p-15, 0x1.97c138ec6c98fp-15, 0x1.8b59e37128d33p-15, 0x1.7f6f7f3717aa8p-15, 0x1.73fdd3ee271b7p-15, 0x1.69002dbb9e29ap-15, 0x1.5e755f0fd9238p-15, 0x1.5457e907e7a67p-15, 0x1.4a9f3483f390bp-15, 0x1.4159fb79c12e2p-15, 0x1.386982bbfcfa7p-15, 0x1.2fe9f72bc53d9p-15, 0x1.27ad5d7e8eec5p-15, 0x1.1fd2d56c57fbep-15, 0x1.184be51a5b76ep-15, 0x1.111586a7a6569p-15, 0x1.0a2d16355d459p-15, 0x1.0390307990bcbp-15, 0x1.fa7853d897dc2p-16, 0x1.ee5641faceb76p-16, 0x1.e2bf0f7b8bc1dp-16, 0x1.d7a62708951dap-16, 0x1.cd0e456fc606p-16, 0x1.c2ea11ef1ab67p-16, 0x1.b93b947721076p-16, 0x1.affd9386e4f5p-16, 0x1.a72b3f6b8677p-16, 0x1.9ebf8aff0fd22p-16, 0x1.96b655bd99c2ep-16, 0x1.8f0b383179f87p-16, 0x1.87ba2898122a6p-16, 0x1.80c02421b2ad5p-16, 0x1.7a190298af094p-16, 0x1.73c17bf70637bp-16, 0x1.6dbf96c876a52p-16, 0x1.67f057bc15846p-16, 0x1.626fe626403f5p-16, 0x1.5d30ed18f48d4p-16, 0x1.583104ddefcfdp-16, 0x1.536d466a823f1p-16, 0x1.4ee2b6b91d417p-16, 0x1.4a8f502d2918dp-16, 0x1.4670bca971ea1p-16, 0x1.42848a30c5a3ep-16, 0x1.3eb29adae801bp-16, 0x1.3b2501535b48cp-16, 0x1.37d350473fae1p-16, 0x1.3496cbc953b59p-16, 0x1.317b3d808912cp-16, 0x1.2e9a31f773324p-16, 0x1.2bc575f7a707ap-16, 0x1.291a2d08b14fdp-16, 0x1.269013c2c1588p-16, 0x1.24217b7821f7dp-16, 0x1.21ce8fc75d762p-16, 0x1.1f9477f1163cep-16, 0x1.1d73ed4daf1d5p-16, 0x1.1b6ab79fd7d48p-16, 0x1.1977aba5d9848p-16, 0x1.17993a7d9f9cbp-16, 0x1.15cdc3f57ffa7p-16, 0x1.141378590cc1bp-16, 0x1.12697214a6623p-16, 0x1.10cececb6951fp-16, 0x1.0f4274497e6c7p-16, 0x1.0dc3e92cb0b8bp-16, 0x1.0c51d2ee4fb45p-16, 0x1.0adf4cfa8e5ap-16, 0x1.097d882b0ab59p-16, 0x1.083bc92321f54p-16, 0x1.06f158bada3b5p-16, 0x1.05afcdb700f2ap-16, 0x1.047b4ccce448ep-16, 0x1.03413be388662p-16, 0x1.0212443c43143p-16, 0x1.00e81046b4a82p-16, 0x1.ff81600abea18p-17, 0x1.fd41d07ee8a87p-17, 0x1.fb05953ba9e9ap-17, 0x1.f8cf6e240980ep-17, 0x1.f69dd4fa01ce2p-17, 0x1.f46fa53ea789fp-17, 0x1.f2450175e81bcp-17, 0x1.f0183a1c29104p-17, 0x1.edcba734d4e2bp-17, 0x1.ebac7093113dp-17, 0x1.e99cf856ba3cdp-17, 0x1.e7701c402070ep-17, 0x1.e541658b9d83fp-17, 0x1.e3123b3271ab3p-17, 0x1.e0e46e2435a63p-17, 0x1.dea1a6dabd009p-17, 0x1.dc668381d0a23p-17, 0x1.da34863c05e85p-17, 0x1.d7e9838f6602ap-17, 0x1.d59f1248f22c1p-17, 0x1.d353367364669p-17, 0x1.d0fdcb6f1cb9bp-17, 0x1.cea23328e7f9p-17, 0x1.cc3fe7302e632p-17, 0x1.c9d7de4e42af6p-17, 0x1.c768b49840bdcp-17, 0x1.c4f279b315f1cp-17, 0x1.c274f8264de8dp-17, 0x1.bff03e6a1a403p-17, 0x1.bd651a2cc2972p-17, 0x1.bab4c995d8e96p-17, 0x1.b811159cc38f5p-17, 0x1.b591ee7067df9p-17, 0x1.b2e4fe4f1c034p-17, 0x1.b0317a4f8e41dp-17, 0x1.ad764e546898ep-17, 0x1.aab29c762f85ep-17, 0x1.a7e7f7b1e8517p-17, 0x1.a515584da2359p-17, 0x1.a23c12ae96a62p-17, 0x1.9f59bc3cb4364p-17, 0x1.9c6fbef3e5ea7p-17, 0x1.997dce0a68af6p-17, 0x1.9686067975d48p-17, 0x1.93871a5f250e7p-17, 0x1.9065988fe2676p-17, 0x1.8d69685f23455p-17, 0x1.8a5b105961c56p-17, 0x1.873df921ae504p-17, 0x1.841ac88737f84p-17, 0x1.80f1220560fd2p-17, 0x1.7dc11361d52d2p-17, 0x1.7a8ad6cd22fe4p-17, 0x1.774ead0d5bdc7p-17, 0x1.740d74fae562bp-17, 0x1.70b31276fc02fp-17, 0x1.6d68a0f196528p-17, 0x1.6a24b76b275cdp-17, 0x1.66cb31e911b54p-17, 0x1.636d7c78951dap-17, 0x1.600b5844032c1p-17, 0x1.5ca4e2b803179p-17, 0x1.5938d5f553892p-17, 0x1.55c865e74f363p-17, 0x1.5256a0b2fcceep-17, 0x1.4edf17d99703p-17, 0x1.4b62d2d2ec3b7p-17, 0x1.47e41eebe43c8p-17, 0x1.446237241a733p-17, 0x1.40ddafc4b73a7p-17, 0x1.3d59c1268261dp-17, 0x1.39cb1c1a0dbf8p-17, 0x1.363e1cd732884p-17, 0x1.32aefe3bc59b3p-17, 0x1.2f1e7b7a6601ep-17, 0x1.2b717b38496ddp-17, 0x1.27df5ec170114p-17, 0x1.246001733004cp-17, 0x1.20c7900013683p-17, 0x1.1d2e8512d1ca1p-17, 0x1.1995566db713p-17, 0x1.15f07812635a9p-17, 0x1.1265c8b75f548p-17, 0x1.0ec499c57cd54p-17, 0x1.0b29f2020faebp-17, 0x1.078e4fda4edcp-17, 0x1.03f39749af61p-17, 0x1.005a43e203a9ep-17, 0x1.f9c2b53b6fd0dp-18, 0x1.f24e15a5aa0ddp-18, 0x1.eb1cb51e219ccp-18, 0x1.e3ed2b264385dp-18, 0x1.dcc0aca9ab26cp-18, 0x1.d5986065b9d56p-18, 0x1.ce72600c168eep-18, 0x1.c7512d3e32b0dp-18, 0x1.c01ac99dce015p-18, 0x1.b91624439d523p-18, 0x1.b200b4a93e5e6p-18, 0x1.aaeecdbd90341p-18, 0x1.a3eccd9be1b9p-18, 0x1.9cbea8aae1ccdp-18, 0x1.95d998417b6c8p-18, 0x1.8ee1d6bed983fp-18, 0x1.87e57fe28b01ep-18, 0x1.80fa82ae988ep-18, 0x1.7a116129286abp-18, 0x1.732eb3a787691p-18, 0x1.6c535e7d199b5p-18, 0x1.657fe8ade91f7p-18, 0x1.5eb73e44d5552p-18, 0x1.57f1aa264df7ap-18, 0x1.5135d750426aep-18, 0x1.4a81f36274ae5p-18, 0x1.43d5897020e49p-18, 0x1.3d330af131d9ap-18, 0x1.3699a30d0e6dp-18, 0x1.2ffeff31ad45bp-18, 0x1.2981728c67e3p-18, 0x1.23033db232e91p-18, 0x1.1c8e8ec8a242ep-18, 0x1.162385bf07eadp-18, 0x1.0fc23e60f4ba1p-18, 0x1.096b994a4b8a6p-18, 0x1.031f419523104p-18, 0x1.f9bb0ec43a22p-19, 0x1.ed35f48998063p-19, 0x1.e0d5f5bc44c06p-19, 0x1.d4acb2e9fe542p-19, 0x1.c87b1b9a27507p-19, 0x1.bc602f9d65394p-19, 0x1.b05cb1e06134fp-19, 0x1.a47053fa7dabdp-19, 0x1.989c35bf04428p-19, 0x1.8cdcbbb33db75p-19, 0x1.813854c48dbfcp-19, 0x1.75d0b99245692p-19, 0x1.6a2809ff59fp-19, 0x1.5ec8c1a477543p-19, 0x1.537f6decf25fcp-19, 0x1.484f08bb5f6a3p-19, 0x1.3d28b296e2c4dp-19, 0x1.31c706a856151p-19, 0x1.274d5f58a0c1bp-19, 0x1.1c4d1a58d6ec7p-19, 0x1.11cd331a09deap-19, 0x1.07211c1a7eedap-19, 0x1.f924ea01a0c7ap-20, 0x1.e44687f10966p-20, 0x1.cf93c64b163bap-20, 0x1.bb0b4f257b802p-20, 0x1.a714ccfe92ba4p-20, 0x1.92bbc318397b6p-20, 0x1.7eda1e7a25c44p-20, 0x1.6b23cd3aa3934p-20, 0x1.57a34d7449afep-20, 0x1.445a7aa503d5bp-20, 0x1.313e7ffe4921fp-20, 0x1.1e53096dd47dbp-20, 0x1.0b9b3ce67a4dbp-20, 0x1.f22c6794eb2aap-21, 0x1.cd8545ed46579p-21, 0x1.a9465e6c50d5p-21, 0x1.856a0684993b6p-21, 0x1.61f0a7dfb497ep-21, 0x1.3eddebac17adcp-21, 0x1.1c2f65583b173p-21, 0x1.f3c98b04fe1b8p-22, 0x1.aff9550321912p-22, 0x1.6cf32d27de7e3p-22, 0x1.2ab116f83f025p-22, 0x1.d26107cb7c4bdp-23, 0x1.51ea5123452f5p-23, 0x1.a260c272c1b4ap-24, 0x1.4ad22c33da70bp-25, -0x1.508cbb1b0f012p-26, -0x1.4a9522cf023ebp-24, -0x1.1f04ef6227795p-23, -0x1.97414420fe639p-23, -0x1.070446cf8cf1cp-22, -0x1.419c76f1f9ddfp-22, -0x1.7b67af904120ap-22, -0x1.b4a17a085936bp-22, -0x1.ecdc0cd0b39e2p-22, -0x1.123b24e9980f1p-21, -0x1.2db21938d0278p-21, -0x1.487aa244cdd89p-21, -0x1.637e12f1a15cp-21, -0x1.7dcbd381d2e41p-21, -0x1.98100fbd02bc1p-21, -0x1.b094a6336d959p-21, -0x1.cbfe5650a19f9p-21, -0x1.e332d05355604p-21, -0x1.fc3763d5d3edfp-21, -0x1.0a3e5c989a53ap-20, -0x1.161c5d900ec6cp-20, -0x1.220601b764696p-20, -0x1.2d5f874aac45ap-20, -0x1.38f19da4934f1p-20, -0x1.442f0e4eda34bp-20, -0x1.4f43a9b58f131p-20, -0x1.5a2eaed9bae6fp-20, -0x1.64ece6532475bp-20, -0x1.6f7b8c408a3a4p-20, -0x1.79e5cee13b13bp-20, -0x1.84290c57852bcp-20, -0x1.8e3f2b21c7c9ap-20, -0x1.982b569fd3aeap-20, -0x1.a1ef3f287f8c2p-20, -0x1.ab88a68f83328p-20, -0x1.b5017e8975a15p-20, -0x1.be4cae3968003p-20, -0x1.c770f342df1e8p-20, -0x1.d06d14a7b742dp-20, -0x1.d9434a80706b9p-20, -0x1.e1f2c615f7836p-20, -0x1.ea7b23dcd8dd4p-20, -0x1.f2e5171b2dec8p-20, -0x1.fb1a2c6d4dea3p-20, -0x1.0199fadd9880bp-19, -0x1.0593a0faf5cep-19, -0x1.097f5210bed7dp-19, -0x1.0d4fb6a2fe809p-19, -0x1.1111fe67604ddp-19, -0x1.14d782cd5adeap-19, -0x1.186024eb52a42p-19, -0x1.1bf039b64ae9ep-19, -0x1.1f6dac7ab47e4p-19, -0x1.22c36b87b5c91p-19, -0x1.26154d996b05p-19, -0x1.297b0f91d8b78p-19, -0x1.2c711d5b55cb4p-19, -0x1.2fd8df879883bp-19, -0x1.32f382c26bdcdp-19, -0x1.35fb29d9fee8p-19, -0x1.38f255046a74fp-19, -0x1.3bd7b62d3f97ep-19, -0x1.3ea9014406fe3p-19, -0x1.417606810f003p-19, -0x1.443149344cf63p-19, -0x1.46db3741c07ffp-19, -0x1.4973bbdc039b4p-19, -0x1.4bee0d387a91dp-19, -0x1.4e87c1b1675dcp-19, -0x1.50e909d3850ddp-19, -0x1.534b68f7b947ap-19, -0x1.559f9166d5be3p-19, -0x1.57fdeb977246cp-19, -0x1.5a15a2bc17cc2p-19, -0x1.5c3a64280e39ap-19, -0x1.5e541486ef91bp-19, -0x1.605ce7894e6e9p-19, -0x1.625c32fa21dfp-19, -0x1.644f25ba57e12p-19, -0x1.6634071dce699p-19, -0x1.6809f9572aa23p-19, -0x1.69d3b89270635p-19, -0x1.6b91205a8cfedp-19, -0x1.6d41f0d56fde4p-19, -0x1.6ee5078d3fe5cp-19, -0x1.708959a443069p-19, -0x1.720b46ef2a322p-19, -0x1.738d034c71e3cp-19, -0x1.750206ac89458p-19, -0x1.766b5395f044p-19, -0x1.77c92bb9a8765p-19, -0x1.791bd5e5aef7dp-19, -0x1.7a630427f4d98p-19, -0x1.7b9e947933437p-19, -0x1.7ccef721a8532p-19, -0x1.7e0a726815c34p-19, -0x1.7f12410b249ddp-19, -0x1.8023fb1116c23p-19, -0x1.812aa4b2296f4p-19, -0x1.8227da2b3c06fp-19, -0x1.831e61c92cb9cp-19, -0x1.8403c597f1ee4p-19, -0x1.84e0917c84ff8p-19, -0x1.85b55958240f6p-19, -0x1.86b8d71b04b2ap-19, -0x1.8744cc22f5749p-19, -0x1.87fd25a1cb6a9p-19, -0x1.88acf06d742bbp-19, -0x1.89530f18dc647p-19, -0x1.89f0737132abep-19, -0x1.8a850c4879833p-19, -0x1.8b10c8ba2cc21p-19, -0x1.8b7eba7ae026ap-19, -0x1.8c0ce9a37be97p-19, -0x1.8c882bf50deedp-19, -0x1.8ceb24ea7eb49p-19, -0x1.8d4c7405b8fd8p-19, -0x1.8db2c40cc86c3p-19, -0x1.8df7af743ccdbp-19, -0x1.8e457f8173d01p-19, -0x1.8e88a5ae3f189p-19, -0x1.8ec1ed8b00b5p-19, -0x1.8eee9135e10f4p-19, -0x1.8f0c74889f738p-19, -0x1.8f482ff575c23p-19, -0x1.8f66b24f1646dp-19, -0x1.8f7c4ebc7d769p-19, -0x1.8f8c477209af8p-19, -0x1.8f947c1dc5573p-19, -0x1.8f9aaaba8b884p-19, -0x1.8fb100240313fp-19, -0x1.8f895356e2541p-19, -0x1.8f78babaf88e4p-19, -0x1.8f61e4c8185a9p-19, -0x1.8f4354ca0bc2ep-19, -0x1.8f210b3ca4262p-19, -0x1.8ef7aed43f4fap-19, -0x1.8ebe142455a53p-19, -0x1.8e9cc9c738741p-19, -0x1.8e7505faa7f93p-19, -0x1.8e11274c4aff8p-19, -0x1.8dd235fa9482bp-19, -0x1.8d84a1fa8226ap-19, -0x1.8d39e66963d27p-19, -0x1.8cdf07628a2e5p-19, -0x1.8c844b6f9f2fap-19, -0x1.8c20a86d06644p-19, -0x1.8bc490168a55ep-19, -0x1.8b50660f1d436p-19, -0x1.8ae02203cf7fbp-19, -0x1.8a6d0e473c0c2p-19, -0x1.89f44c627108cp-19, -0x1.89766d47b2ee4p-19, -0x1.88f3c2cf9b00fp-19, -0x1.886cb4603f837p-19, -0x1.87e3af8d4b791p-19, -0x1.876191a575c4p-19, -0x1.86c13985cd2fdp-19, -0x1.8627fa094e341p-19, -0x1.858cfdacc7afbp-19, -0x1.84ecb7a9c0c2bp-19, -0x1.844bf43d79518p-19, -0x1.83a21ee91c934p-19, -0x1.82f53a8491eccp-19, -0x1.8247ec4dff9abp-19, -0x1.81a43a5609511p-19, -0x1.80deb15eb76cfp-19, -0x1.802467a090d5cp-19, -0x1.7f66b766bd2f8p-19, -0x1.7eb8b71a8569fp-19, -0x1.7de303e0ab1eep-19, -0x1.7d1c2e95b4aa8p-19, -0x1.7c511bba37c41p-19, -0x1.7b8e0543b3c49p-19, -0x1.7ab3d05b1ca28p-19, -0x1.79e07c72688c3p-19, -0x1.7908d96dc8ed7p-19, -0x1.780bf38c16ce2p-19, -0x1.7752b857308b4p-19, -0x1.7675d6f4a0d6cp-19, -0x1.7594842284207p-19, -0x1.74b0e1408c83cp-19, -0x1.73c81717b1e46p-19, -0x1.72e0d12aaaa88p-19, -0x1.71f539c68477ap-19, -0x1.7105496a7c0ffp-19, -0x1.7015c4b748031p-19, -0x1.6f21e7292ba51p-19, -0x1.6e2ee8d04dccep-19, -0x1.6d36600a0a46ap-19, -0x1.6c424b58f20ebp-19, -0x1.6b4133cfd528dp-19, -0x1.6a42d50624017p-19, -0x1.6934603e3c692p-19, -0x1.68424e265ad19p-19, -0x1.6734e8904fc7fp-19, -0x1.6639d70eab234p-19, -0x1.65336ff807f2ep-19, -0x1.640e57add8687p-19, -0x1.631e62ae1f8b3p-19, -0x1.62116d94e137p-19, -0x1.6146182d757b3p-19, -0x1.5ff53323195bdp-19, -0x1.5ee37d8cd495ep-19, -0x1.5dd0e501a417dp-19, -0x1.5cbd1e76c0d77p-19, -0x1.5ba7658665cc9p-19, -0x1.5ab352d4fd102p-19, -0x1.59771feed2403p-19, -0x1.585f24a97e009p-19, -0x1.574963d01e257p-19, -0x1.56260eae17e42p-19, -0x1.550a41c326f2p-19, -0x1.53ea3502b37dfp-19, -0x1.52c0669a59466p-19, -0x1.51ad6ec2b6da5p-19, -0x1.50890b9322691p-19, -0x1.4f65aaa50d67ep-19, -0x1.4e5b8d8b7afe5p-19, -0x1.4d1ee3fc99ed2p-19, -0x1.4bf83663d7861p-19, -0x1.4ad1baab30326p-19, -0x1.49aaf629a8243p-19, -0x1.487399e17ae93p-19, -0x1.4759337d468cbp-19, -0x1.462f673634087p-19, -0x1.44ed04c08c0dcp-19, -0x1.43ce5b5f36a75p-19, -0x1.42af15e879cfep-19, -0x1.41881b25dd99dp-19, -0x1.4055937802226p-19, -0x1.3f1fc6200164ap-19, -0x1.3ded4d0d56076p-19, -0x1.3cca7cd44811bp-19, -0x1.3ba2fa3117c05p-19, -0x1.3a70d1c2a9b1dp-19, -0x1.393b873f1e14bp-19, -0x1.380c27d637a44p-19, -0x1.36db6c2be4706p-19, -0x1.35aa285f1b9e1p-19, -0x1.3478aa2e5b28dp-19, -0x1.3347bdd4ad59bp-19, -0x1.3215612a1777fp-19, -0x1.30e2cfe1c2876p-19, -0x1.2fa967f43d96cp-19, -0x1.2e7e8cefa30dcp-19, -0x1.2d4b39c41f619p-19, -0x1.2c1785d4ad865p-19, -0x1.2ae4656f4782dp-19, -0x1.29b13575aa99bp-19, -0x1.287db35bc9fbbp-19, -0x1.274b5d1c07f5fp-19, -0x1.2616cab180beap-19, -0x1.24e2dd53b1d39p-19, -0x1.23b0818ba351ep-19, -0x1.227bd4de2efccp-19, -0x1.213e8ef3dfb3dp-19, -0x1.2015716e99d72p-19, -0x1.1ee24e4415feap-19, -0x1.1dade3c779817p-19, -0x1.1c7be4c96af25p-19, -0x1.1b48d37dc3dbfp-19, -0x1.1a019b99342f9p-19, -0x1.18e25625b0427p-19, -0x1.17b0603011f6fp-19, -0x1.167e8a0fa1cd9p-19, -0x1.154a22c16413p-19, -0x1.1417e204398d5p-19, -0x1.12e65915cbb77p-19, -0x1.11b6dc281b8e6p-19, -0x1.10849e1d6777p-19, -0x1.0f531cefec52ep-19, -0x1.0e2257b3eec34p-19, -0x1.0cf20763da02dp-19, -0x1.0bc14d7c9c945p-19, -0x1.0a921e4af984bp-19, -0x1.09640db90b98ep-19, -0x1.0833c14f05d0cp-19, -0x1.0705cfb4e3dd9p-19, -0x1.05dbf75d743d3p-19, -0x1.0496ba662f7dp-19, -0x1.0376f7b39700cp-19, -0x1.024f5e23a263fp-19, -0x1.0122bc0d415e4p-19, -0x1.ffed916cf8357p-20, -0x1.fd95f13298f94p-20, -0x1.fb4004eba6101p-20, -0x1.f8ea5f8a06b2ep-20, -0x1.f6911e96fc337p-20, -0x1.f4442789a0558p-20, -0x1.f1f2471ca9aeap-20, -0x1.efa003a2074cbp-20, -0x1.ed51abf442071p-20, -0x1.eb03380387f55p-20, -0x1.e8b39473f63fep-20, -0x1.e66816a095327p-20, -0x1.e41d617a8b341p-20, -0x1.e1d48bce049b3p-20, -0x1.df8e2a3b9f355p-20, -0x1.dd43e07f33bd5p-20, -0x1.dafd103a68e6ap-20, -0x1.d8cb4ffb5b76cp-20, -0x1.d6749e18b77f9p-20, -0x1.d42fe78c4b0bp-20, -0x1.d1ef66042dcdap-20, -0x1.cfaff549ea616p-20, -0x1.cd71818b0f029p-20, -0x1.cb34280180542p-20, -0x1.c8f8c6ef275b8p-20, -0x1.c6bf5aafa3e91p-20, -0x1.c4912e42d6511p-20, -0x1.c24eb5e05f23dp-20, -0x1.c017e1852b639p-20, -0x1.bde16c82ed896p-20, -0x1.bbb0c2492b6c9p-20, -0x1.b97c9e1972ed5p-20, -0x1.b74f8d74a3a6dp-20, -0x1.b518a5ff5336cp-20, -0x1.b2f1cb779984cp-20, -0x1.b0c72cdfc1441p-20, -0x1.ae9d1bc715246p-20, -0x1.ac73ed70e1b5fp-20, -0x1.aa4d3634ac986p-20, -0x1.a828cbb7b0313p-20, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.5ef1008049334p-4, 0x1.58d749763076dp-3, 0x1.f7c8e0b274203p-3, 0x1.44bfd94838e38p-2, 0x1.862a27c5c8c31p-2, 0x1.bfbd225ca6bc9p-2, 0x1.f16322e2e4a8ep-2, 0x1.0da08ff374463p-1, 0x1.1ed2eb4fbf75dp-1, 0x1.2c7e5ce8ba5dp-1, 0x1.36e1e8ca9afcap-1, 0x1.3e41fc5907657p-1, 0x1.42e57c96a9b28p-1, 0x1.4513921519c37p-1, 0x1.45120bda6ac3dp-1, 0x1.432435202f7ebp-1, 0x1.3f8a04bef0fbep-1, 0x1.3a7f9815ddad1p-1, 0x1.343ce166e0934p-1, 0x1.2cf57e5a2ac1fp-1, 0x1.24d8b352e51bap-1, 0x1.1c1178822d0f1p-1, 0x1.12c69dc9d2442p-1, 0x1.091af70bc7a5cp-1, 0x1.fe5b230a2d57cp-2, 0x1.ea33df9b5ce26p-2, 0x1.d5f08fa47c36bp-2, 0x1.c1bb820ae129fp-2, 0x1.adb96820c854dp-2, 0x1.9a09cd3a11ae7p-2, 0x1.86c78dd90d69ep-2, 0x1.740948ab2e972p-2, 0x1.61e1c3af47843p-2, 0x1.5060583e05741p-2, 0x1.3f914269cc402p-2, 0x1.2f7e014a6a725p-2, 0x1.202da20429cb4p-2, 0x1.11a503ce81c98p-2, 0x1.03e71fcb09ap-2, 0x1.edea80bfbc01ap-3, 0x1.d59e7c40bce8bp-3, 0x1.bee756d8c2ef8p-3, 0x1.a9c00d735ab3fp-3, 0x1.9621c3c9e254cp-3, 0x1.84040a0ff7379p-3, 0x1.735d268f69e33p-3, 0x1.6422470ede9d6p-3, 0x1.5647c2e5a25a4p-3, 0x1.49c13a38d0464p-3, 0x1.3e81cb18a1f8dp-3, 0x1.347c2f2cb6bc6p-3, 0x1.2ba2dfd43d90dp-3, 0x1.23e8301ca1121p-3, 0x1.1d3e6854192c3p-3, 0x1.1797d84ed0cc5p-3, 0x1.12e6eb2ba5ca4p-3, 0x1.0f1e3e2e25511p-3, 0x1.0c309d6534a3bp-3, 0x1.0a1123850561cp-3, 0x1.08b33600291dap-3, 0x1.080a916e1a124p-3, 0x1.080b4fba4d0c8p-3, 0x1.08a9ed7af9af6p-3, 0x1.09db4d1aa6523p-3, 0x1.0b94b88d291c8p-3, 0x1.0dcbe3772f642p-3, 0x1.1076ef2ea2a22p-3, 0x1.138c64f9456cfp-3, 0x1.17033ba87888p-3, 0x1.1ad2cea8e45f4p-3, 0x1.1ef2eb21bc2c1p-3, 0x1.235bbaa86093bp-3, 0x1.2805cfbe67217p-3, 0x1.2cea1df662e36p-3, 0x1.3201f8f505a2bp-3, 0x1.37470d03ddc24p-3, 0x1.3cb362d3abb2cp-3, 0x1.42415764e9bb5p-3, 0x1.47eb9b6d23e12p-3, 0x1.4dad2e59026b6p-3, 0x1.53815ce607a9fp-3, 0x1.5963bc5bec2e9p-3, 0x1.5f5028bf557e6p-3, 0x1.6542c0df51da5p-3, 0x1.6b37e328d4655p-3, 0x1.712c2b94b80bfp-3, 0x1.771c6e981e334p-3, 0x1.7d05b9a982deap-3, 0x1.82e54f0ab5e85p-3, 0x1.88b89f2401d83p-3, 0x1.8e7d4c94d8702p-3, 0x1.94312676178d3p-3, 0x1.99d2254440ccap-3, 0x1.9f5e6a0b22921p-3, 0x1.a4d43b668f5b7p-3, 0x1.aa320403edb8p-3, 0x1.af76502d94b97p-3, 0x1.b49fccdb0ef8fp-3, 0x1.b9ad4465feb31p-3, 0x1.be9d9eb13c21ap-3, 0x1.c36fdc8e48dabp-3, 0x1.c8231b571ba3ap-3, 0x1.ccb68db24555p-3, 0x1.d1297e9ecea86p-3, 0x1.d57b4bb8f589dp-3, 0x1.d9ab6aa393155p-3, 0x1.ddb95f8d5e685p-3, 0x1.e1a4c3d74fdbap-3, 0x1.e56d3f91e3bc1p-3, 0x1.e9128ae50aa45p-3, 0x1.ec946c9bed04p-3, 0x1.eff2b9390bb44p-3, 0x1.f32d522c90a9p-3, 0x1.f644257f8e7fap-3, 0x1.f9372af9fcf1dp-3, 0x1.fc06676c3d778p-3, 0x1.feb1e6733b0f7p-3, 0x1.009ce04f84292p-2, 0x1.01cf09c771351p-2, 0x1.02ef8382a875bp-2, 0x1.03fe64dafbc08p-2, 0x1.04fbc8aed3cb4p-2, 0x1.05e7cd272aa6p-2, 0x1.06c2933946f83p-2, 0x1.078c3f0bec0e7p-2, 0x1.0844f716171b9p-2, 0x1.08ece45feda33p-2, 0x1.098432232a439p-2, 0x1.0a0b0dd5c4606p-2, 0x1.0a81a63274f54p-2, 0x1.0ae82cd023936p-2, 0x1.0b3ed42312de2p-2, 0x1.0b85d061cb311p-2, 0x1.0bbd57124d1edp-2, 0x1.0be59ee2dc37fp-2, 0x1.0bfee04749cc8p-2, 0x1.0c09540006e6ap-2, 0x1.0c0533fae4db1p-2, 0x1.0bf2bb362d926p-2, 0x1.0bd22551f51efp-2, 0x1.0ba3aea262945p-2, 0x1.0b67941ce8152p-2, 0x1.0b1e132d2ba54p-2, 0x1.0ac769f3bc086p-2, 0x1.0a63d65005b1cp-2, 0x1.09f3975313401p-2, 0x1.0976ebb7d13b4p-2, 0x1.08ee129e471d1p-2, 0x1.08594b4df4717p-2, 0x1.07b8d4f85ec96p-2, 0x1.070cef1451f3fp-2, 0x1.0655d8dc645b7p-2, 0x1.0593d1fadacbbp-2, 0x1.04c719035544bp-2, 0x1.03efed6de88efp-2, 0x1.030e8e020a03p-2, 0x1.0223394dd3a82p-2, 0x1.012e2dba23a2bp-2, 0x1.002fa927a30edp-2, 0x1.fe4fd4181e2a3p-3, 0x1.fc2e59945f716p-3, 0x1.f9fb5e52c68fdp-3, 0x1.f7b75b3d43f87p-3, 0x1.f562c872cb705p-3, 0x1.f2fe1d979436ap-3, 0x1.f089d1297cee1p-3, 0x1.ee0658c80307cp-3, 0x1.eb7428f570ddcp-3, 0x1.e8d3b51ee5589p-3, 0x1.e6256fa32ddfep-3, 0x1.e369c9ceb94b9p-3, 0x1.e0a133ba294a9p-3, 0x1.ddcc1c4be1ba4p-3, 0x1.daeaf13e89c06p-3, 0x1.d7fe1f19534fap-3, 0x1.d506112705222p-3, 0x1.d2033170ecd1ep-3, 0x1.cef5e8aa26cd5p-3, 0x1.cbde9e4531686p-3, 0x1.c8bdb86e46c8dp-3, 0x1.c5939c1256815p-3, 0x1.c260ac8b7e446p-3, 0x1.bf254c46e11d1p-3, 0x1.bbe1dc1093fd9p-3, 0x1.b896bb1a0637dp-3, 0x1.b544482cccecbp-3, 0x1.b1eadfa0cfe75p-3, 0x1.ae8adcacc782bp-3, 0x1.ab249a5bbf634p-3, 0x1.a7b870669dd87p-3, 0x1.a446b6aab7b1p-3, 0x1.a0cfc313d5078p-3, 0x1.9d53ea4360684p-3, 0x1.99d37f697d3e6p-3, 0x1.964ed47efb513p-3, 0x1.92c63a175cb6ep-3, 0x1.8f39ff742d26dp-3, 0x1.8baa722eb7773p-3, 0x1.8817df8e9b0f5p-3, 0x1.84829153058a6p-3, 0x1.80ead2bf0c018p-3, 0x1.7d50eb8807288p-3, 0x1.79b5231182d76p-3, 0x1.7617bf2b07cc7p-3, 0x1.7279044dddc53p-3, 0x1.6ed9359c12907p-3, 0x1.6b3895367ff45p-3, 0x1.679763c8cdd46p-3, 0x1.63f5e081dea8p-3, 0x1.6054497c08aa7p-3, 0x1.5cb2db749375ep-3, 0x1.5911d1f355075p-3, 0x1.55716746896aep-3, 0x1.51d1d487cd49bp-3, 0x1.4e335179b743ap-3, 0x1.4a9614a810e97p-3, 0x1.46fa53639f74ep-3, 0x1.436041c677362p-3, 0x1.3fc812bfac024p-3, 0x1.3c31f822291ccp-3, 0x1.389e22a6d292ep-3, 0x1.350cc197b6b7dp-3, 0x1.317e026f54429p-3, 0x1.2df213aaa4489p-3, 0x1.2a692024c0162p-3, 0x1.26e352fe0f90fp-3, 0x1.2360d5efdf224p-3, 0x1.1fe1d19474283p-3, 0x1.1c666d59171bdp-3, 0x1.18eecf94f5c3ap-3, 0x1.157b1d8ff539fp-3, 0x1.120b7b8b48f2ap-3, 0x1.0ea00cb515e5fp-3, 0x1.0b38f3281a99fp-3, 0x1.07d6501d43e65p-3, 0x1.04784394fc68cp-3, 0x1.011eec7fc358ap-3, 0x1.fb94d1e242438p-4, 0x1.f4f5abebc5b99p-4, 0x1.ee609f540e30ep-4, 0x1.e7d5e252ee372p-4, 0x1.e155a947a4a56p-4, 0x1.dae02678b814ep-4, 0x1.d4758a67e2726p-4, 0x1.ce1603bb492f1p-4, 0x1.c7c1bf4a94904p-4, 0x1.c178e821408adp-4, 0x1.bb3ba719a9d72p-4, 0x1.b50a259917c84p-4, 0x1.aee4866457654p-4, 0x1.a8caf01715779p-4, 0x1.a2bd83d8db22cp-4, 0x1.9cbc62a208062p-4, 0x1.96c7ab8c9cadp-4, 0x1.90df7c1637748p-4, 0x1.8b03f02a6e1acp-4, 0x1.85352224ff1c6p-4, 0x1.7f732acd1405ap-4, 0x1.79be214323171p-4, 0x1.74161c19639f2p-4, 0x1.6e7b2dafbcd32p-4, 0x1.68ed6add150ep-4, 0x1.636ce42d2eb01p-4, 0x1.5df9a9df4d01ap-4, 0x1.5893ca86bd23dp-4, 0x1.533b53b54c024p-4, 0x1.4df051593e973p-4, 0x1.48b2ce01f287fp-4, 0x1.4382d332f264ap-4, 0x1.3e6069191b049p-4, 0x1.394b96aa9f31ep-4, 0x1.344461b12c9f1p-4, 0x1.2f4acec5a551p-4, 0x1.2a5ee15ad2b97p-4, 0x1.25809bbaa0ecbp-4, 0x1.20afff1983da2p-4, 0x1.1bed0b90812c5p-4, 0x1.1737c02b9ce31p-4, 0x1.12901aedbea04p-4, 0x1.0df618d0a5b15p-4, 0x1.0969b61a8dac8p-4, 0x1.04eaed84be4d3p-4, 0x1.0079b96314c25p-4, 0x1.f82c25a891eedp-5, 0x1.ef7fe4a14c2cap-5, 0x1.e6ee9e3d498fp-5, 0x1.de783fb51a236p-5, 0x1.d61cb49526e7ep-5, 0x1.cddbe6bf9f6e3p-5, 0x1.c5b5bea88264bp-5, 0x1.bdaa230de9e6p-5, 0x1.b5b8f960474d7p-5, 0x1.ade2257e4c2bdp-5, 0x1.a62589ea8d559p-5, 0x1.9e8307e82315dp-5, 0x1.96fa7ec6b80afp-5, 0x1.8f8bcf0aea20ap-5, 0x1.8836d2d86eca5p-5, 0x1.80fb69ab558dep-5, 0x1.79d96be081a29p-5, 0x1.72d0b7d067858p-5, 0x1.6be11eca1d6d7p-5, 0x1.650a7fb23a2dfp-5, 0x1.5e4cae52217f8p-5, 0x1.57a7812be5bdep-5, 0x1.511acd58588ddp-5, 0x1.4aa666cf05f9cp-5, 0x1.444a20fd29e6dp-5, 0x1.3e05ce5034d58p-5, 0x1.37d9409a889e1p-5, 0x1.31c448e50311p-5, 0x1.2bc6b76ee5b03p-5, 0x1.25e05be3e5ceep-5, 0x1.2011055376ef3p-5, 0x1.1a588220da6d7p-5, 0x1.14b6a0345ca73p-5, 0x1.0f2b2cd882ab7p-5, 0x1.09b5f4e468dddp-5, 0x1.0456c4b140c45p-5, 0x1.fe1ad04c7f783p-6, 0x1.f3b35580f5a2bp-6, 0x1.e976af465169ap-6, 0x1.df647323849c4p-6, 0x1.d57c3603252f9p-6, 0x1.cbbd8c0b45c6fp-6, 0x1.c2280907ceaacp-6, 0x1.b8bb40525d84ap-6, 0x1.af76c41d7854cp-6, 0x1.a65a278325a9cp-6, 0x1.9d64fc45e6242p-6, 0x1.9496d41bfa0e8p-6, 0x1.8bef408783c99p-6, 0x1.836dd2d22a577p-6, 0x1.7b121c1e4aec4p-6, 0x1.72dbad6e507abp-6, 0x1.6aca17615d78fp-6, 0x1.62dceba22dbe6p-6, 0x1.5b13baa62f688p-6, 0x1.536e15613150dp-6, 0x1.4beb8d136e3bdp-6, 0x1.448bb2d6bb1ecp-6, 0x1.3d4e17f773696p-6, 0x1.36324df0eeac9p-6, 0x1.2f37e54d70454p-6, 0x1.285e71f734445p-6, 0x1.21a586639131ep-6, 0x1.1b0cb347fcdd8p-6, 0x1.14938cf9cc6a1p-6, 0x1.0e39a70c536c2p-6, 0x1.07fe956174275p-6, 0x1.01e1ec31e0064p-6, 0x1.f7c680209b061p-7, 0x1.ec0448fd72abfp-7, 0x1.e07c67cf01bb5p-7, 0x1.d52dfa3c3e7dap-7, 0x1.ca1837f041182p-7, 0x1.bf3a4d83f6e61p-7, 0x1.b4936cd2d7386p-7, 0x1.aa22c7b4dfea1p-7, 0x1.9fe791fc98f36p-7, 0x1.95e0ff91c8655p-7, 0x1.8c0e453d8b348p-7, 0x1.826e97c63a6c9p-7, 0x1.79012ceb07ec5p-7, 0x1.6fc53cbdd1503p-7, 0x1.66ba04f4dda9p-7, 0x1.5ddebfb67da5cp-7, 0x1.5532af9e8cffbp-7, 0x1.4cb5188caec81p-7, 0x1.44653fe9aee67p-7, 0x1.3c426b4f02eb6p-7, 0x1.344bdff05212cp-7, 0x1.2c80e1a33fd61p-7, 0x1.24e0b38b8ea95p-7, 0x1.1d6a98db1982dp-7, 0x1.161dd83e889a8p-7, 0x1.0ef9be05aefb5p-7, 0x1.07fd93a35506ap-7, 0x1.0128b73e844cdp-7, 0x1.f4f4fe0dcdb9ep-8, 0x1.e7e4942e18f71p-8, 0x1.db1eee14d2062p-8, 0x1.cea2c44260fdap-8, 0x1.c26ec8852c3e1p-8, 0x1.b681a5f1974e7p-8, 0x1.aada04189a64dp-8, 0x1.9f768ca0fa288p-8, 0x1.9455f2d252e0ap-8, 0x1.8976f44f32a11p-8, 0x1.7ed8688296f1fp-8, 0x1.747931851829bp-8, 0x1.6a5835d5cb95ep-8, 0x1.607467f72748ep-8, 0x1.56ccb11471272p-8, 0x1.4d5ff1e361823p-8, 0x1.442cfc34800f2p-8, 0x1.3b329819281e3p-8, 0x1.326f8f93825ecp-8, 0x1.29e2b0aa52b84p-8, 0x1.218adb9d84d1ap-8, 0x1.1967077b5124dp-8, 0x1.1176443117a48p-8, 0x1.09b7b69415bdfp-8, 0x1.022a8f26e279p-8, 0x1.f59bfc07c417p-9, 0x1.e7423f7492c2p-9, 0x1.d9461c2223029p-9, 0x1.cba570f507f5p-9, 0x1.be5df404287e1p-9, 0x1.b16d5d53f9af9p-9, 0x1.a4d163040a339p-9, 0x1.9887dd39ba4d4p-9, 0x1.8c8edb2cce5e5p-9, 0x1.80e4ac80f6e78p-9, 0x1.7587e51b23c44p-9, 0x1.6a7753fca3ffbp-9, 0x1.5fb1dbfdd685bp-9, 0x1.55366b44837b7p-9, 0x1.4b03d64b4044ep-9, 0x1.4118b6b363b26p-9, 0x1.37737e47cb413p-9, 0x1.2e12634cfb8fap-9, 0x1.24f3813ed552dp-9, 0x1.1c14ed657c201p-9, 0x1.1374c8db99424p-9, 0x1.0b114e9cb6f12p-9, 0x1.02e8d7ea98d4ap-9, 0x1.f5f3d37e1d898p-10, 0x1.e686a9e7febf5p-10, 0x1.d787b64ec2ce6p-10, 0x1.c8f52c5234ad1p-10, 0x1.bacd4842f88e9p-10, 0x1.ad0e39ec9bb6cp-10, 0x1.9fb601d68fccp-10, 0x1.92c257dfea8a9p-10, 0x1.8630f46153cebp-10, 0x1.79ff6364bf913p-10, 0x1.6e2b452e6c397p-10, 0x1.62b2480b965cep-10, 0x1.5791f9422e7c3p-10, 0x1.4cc7b9dbb6319p-10, 0x1.4250d2268be4dp-10, 0x1.382a9b7d2dd52p-10, 0x1.2e52be315dfadp-10, 0x1.24c73e852d50fp-10, 0x1.1b868a1b3ca26p-10, 0x1.128f17c74f56dp-10, 0x1.09df5679d065ap-10, 0x1.01759fc8a28d2p-10, 0x1.f2a09b0337967p-11, 0x1.e2dbafe0b1248p-11, 0x1.d399bb49d1306p-11, 0x1.c4d858dfe47d2p-11, 0x1.b69470d9c2633p-11, 0x1.a8caabe5148dap-11, 0x1.9b7668e6d5366p-11, 0x1.8e92c4edfa745p-11, 0x1.821af3cd16a2cp-11, 0x1.760b5ee85b159p-11, 0x1.6a60c1483ce37p-11, 0x1.5f19920c12b1p-11, 0x1.5433baf7d213cp-11, 0x1.49ad034aa91d9p-11, 0x1.3f83006371fbap-11, 0x1.35b36be89133ep-11, 0x1.2c3c8794de699p-11, 0x1.231d1c1b4b8ecp-11, 0x1.1a543ac7f2f03p-11, 0x1.11e0ae2690f6fp-11, 0x1.09c05772bf3e3p-11, 0x1.01efc9354593cp-11, 0x1.f4d4f2b2aaa1p-12, 0x1.e656e83f233f4p-12, 0x1.d85ca1dd0934cp-12, 0x1.cadfb7d89609dp-12, 0x1.bddc5e59ddda8p-12, 0x1.b15085fdc6a34p-12, 0x1.a53a98ed3153fp-12, 0x1.99989b92981f6p-12, 0x1.8e6801492385ep-12, 0x1.83a5db7a66b2p-12, 0x1.794ff76402fb3p-12, 0x1.6f643dce110dfp-12, 0x1.65e1965a36257p-12, 0x1.5cc704868da5cp-12, 0x1.5412ca9e835a9p-12, 0x1.4bc31a6659336p-12, 0x1.43d2ea6cc8313p-12, 0x1.3c3ec6b484cf6p-12, 0x1.350050b17fbfp-12, 0x1.2e113f83be76ap-12, 0x1.276b6ee16eaecp-12, 0x1.21099d0f63d3p-12, 0x1.1ae82d1215bdcp-12, 0x1.150535c8c5315p-12, 0x1.0f603e235d2e1p-12, 0x1.09f87bee64101p-12, 0x1.04cd0d7093d9cp-12, 0x1.ffba11543da33p-13, 0x1.f64fee98e259dp-13, 0x1.ed59c1f8b04f6p-13, 0x1.e4d2ca73f09f2p-13, 0x1.dcb4bd845a09bp-13, 0x1.d4faff9afc27dp-13, 0x1.cda3c8310c249p-13, 0x1.c6af1d8879146p-13, 0x1.c01bfe1d3c69cp-13, 0x1.b9e6bfc57b8edp-13, 0x1.b408e827db265p-13, 0x1.ae7a3d5b4c339p-13, 0x1.a92f1e9f30706p-13, 0x1.a424bfeadb273p-13, 0x1.9f5a51990c776p-13, 0x1.9ad00bf48fa54p-13, 0x1.96817a2e4ed6dp-13, 0x1.926809c35ab82p-13, 0x1.8e814c9c8cdfap-13, 0x1.8acf426b1c653p-13, 0x1.875325166853bp-13, 0x1.8409fa87e3129p-13, 0x1.80f01c0ed614p-13, 0x1.7e009ca3feb8cp-13, 0x1.7b37b0ac6616p-13, 0x1.78960f2645d1p-13, 0x1.761ceea29fa4p-13, 0x1.73cee1dc9441bp-13, 0x1.71a9947750502p-13, 0x1.6fa9cc5183b28p-13, 0x1.6dc87970c9daep-13, 0x1.6bfe5a465f149p-13, 0x1.6a484687fe8bfp-13, 0x1.68aa60910a268p-13, 0x1.672855cdc9698p-13, 0x1.65befdcf7f8b5p-13, 0x1.646a13f5a555p-13, 0x1.6328f23e94036p-13, 0x1.61faf50d7e061p-13, 0x1.60dc741b65c79p-13, 0x1.5fc9d62ca16fcp-13, 0x1.5ec23e5b92e34p-13, 0x1.5dc5bbadf2201p-13, 0x1.5cd4471900615p-13, 0x1.5bebeac382e2ep-13, 0x1.5b0c9b994d384p-13, 0x1.5a37e0a070e0cp-13, 0x1.596d19e8f94eep-13, 0x1.58acdf749489bp-13, 0x1.57f4e641ed5edp-13, 0x1.57429c9b5ecf9p-13, 0x1.56929d8ddc1c1p-13, 0x1.55e1aa2089865p-13, 0x1.55319f11a85dap-13, 0x1.5484d9bd94ecp-13, 0x1.53d8770767923p-13, 0x1.532b8ae45a47ep-13, 0x1.528114fb3b5f3p-13, 0x1.51d98f594b987p-13, 0x1.5132f773b3c42p-13, 0x1.508afd6088decp-13, 0x1.4fdf34b56e54fp-13, 0x1.4f2f18fdb4b89p-13, 0x1.4e78fbf043591p-13, 0x1.4dbf1c83be0b4p-13, 0x1.4d021ab0670fap-13, 0x1.4c408b636812p-13, 0x1.4b79f21774cb4p-13, 0x1.4aaf513ac1e6ep-13, 0x1.49e156608969ep-13, 0x1.490e799a099edp-13, 0x1.4835386fddd81p-13, 0x1.475648cd85b7ap-13, 0x1.46718092dc712p-13, 0x1.4584dce32b144p-13, 0x1.4490c647c2194p-13, 0x1.439506b4bc445p-13, 0x1.4291331302be1p-13, 0x1.4187bd7bb6c4bp-13, 0x1.4077bcedb5a12p-13, 0x1.3f600dbec8e3ap-13, 0x1.3e40d0b69c029p-13, 0x1.3d1aabcd36492p-13, 0x1.3bed3989308bcp-13, 0x1.3ab892095d40ep-13, 0x1.397ba5e96c1a5p-13, 0x1.38353f80fa773p-13, 0x1.36e757f968d9ep-13, 0x1.359164800d1c8p-13, 0x1.3432e65b3e97ap-13, 0x1.32ccfc1184857p-13, 0x1.315fd87469727p-13, 0x1.2feaa61ce3888p-13, 0x1.2e6cf960fc49p-13, 0x1.2ce6fe4bca74dp-13, 0x1.2b59c9679e3cp-13, 0x1.29c5952cd9606p-13, 0x1.28291547b34a7p-13, 0x1.26833962f27a6p-13, 0x1.24d69dc7a202p-13, 0x1.2322e17219edep-13, 0x1.2167be10d78f8p-13, 0x1.1fa4ed3e06904p-13, 0x1.1dda88567ddfp-13, 0x1.1c08cb63de3dcp-13, 0x1.1a2fec8b5e7d1p-13, 0x1.185025ddeb9ap-13, 0x1.1669d1a5b5646p-13, 0x1.147cfbcf418d9p-13, 0x1.12890bebc23a6p-13, 0x1.108ebc0e82d1ap-13, 0x1.0e8d6d35e7579p-13, 0x1.0c8597a3d1a7cp-13, 0x1.0a77ed6a535b7p-13, 0x1.08645ecc26cc5p-13, 0x1.064a955926ecbp-13, 0x1.042ac8ad75771p-13, 0x1.020565cffe50dp-13, 0x1.ffb47a2e1fa6bp-14, 0x1.fb535c5dc8f35p-14, 0x1.f6e83ffc6df88p-14, 0x1.f2730df31709fp-14, 0x1.edf2fd846a50ep-14, 0x1.e969320eefc0ep-14, 0x1.e4d6639ed76f9p-14, 0x1.e03a621c49c62p-14, 0x1.db9556ac49c8p-14, 0x1.d6e7a78b578c2p-14, 0x1.d23174135d188p-14, 0x1.cd736f655b101p-14, 0x1.c8add25df8f5bp-14, 0x1.c3e096abf1781p-14, 0x1.bf0c676608ae3p-14, 0x1.ba31c4bc94e9cp-14, 0x1.b54f2cce39fcfp-14, 0x1.b06915e16a293p-14, 0x1.ab7a95a89a45ep-14, 0x1.a6874988af6e5p-14, 0x1.a18e8be64e393p-14, 0x1.9c90b298286cdp-14, 0x1.978e172af4476p-14, 0x1.92883856365bap-14, 0x1.8d7b645bcc2a8p-14, 0x1.886bfec568fe2p-14, 0x1.8358e9698b06p-14, 0x1.7e42706bd9a03p-14, 0x1.7928da25cba5fp-14, 0x1.740c683f30b41p-14, 0x1.6eed71c803074p-14, 0x1.69cb2f72db032p-14, 0x1.64a89c6f0732bp-14, 0x1.5f8370ec34388p-14, 0x1.5a5cb08976acp-14, 0x1.5534e0767aecp-14, 0x1.500a6ee786f9ap-14, 0x1.4ae1d7602746fp-14, 0x1.45b7b092ad871p-14, 0x1.408cacd70f0bfp-14, 0x1.3b625a08fbc5p-14, 0x1.3637afca36e7ep-14, 0x1.310dc8032cd89p-14, 0x1.2be462c1a793ep-14, 0x1.26bbc933c18aap-14, 0x1.21939118c013cp-14, 0x1.1c6edf2e9fb3cp-14, 0x1.1749fe8ae0237p-14, 0x1.12275959e3327p-14, 0x1.0d069c160058fp-14, 0x1.07e810d554954p-14, 0x1.02cbeea0f6bebp-14, 0x1.fb648d88ab1adp-15, 0x1.f1374dca7178p-15, 0x1.e70fb6f2e2152p-15, 0x1.dcee960343169p-15, 0x1.d2d41d8eb9aaep-15, 0x1.c8c0b12c3b5aep-15, 0x1.beb49587e310ep-15, 0x1.b4b04e8e01c47p-15, 0x1.aab431d11e817p-15, 0x1.a0c1204f70f2ap-15, 0x1.96d68f44cfb68p-15, 0x1.8cf41c4c1c86bp-15, 0x1.831bec4270dffp-15, 0x1.794d75a40d6b7p-15, 0x1.6f891d140909ep-15, 0x1.65ced3f30c58ep-15, 0x1.5c1f69f623467p-15, 0x1.527a95ce12902p-15, 0x1.48e11f8c75bf9p-15, 0x1.3f534ff53ac96p-15, 0x1.35d117a697d3dp-15, 0x1.2c5aba7f1032cp-15, 0x1.22f09a8eef422p-15, 0x1.19930c7cf5bb1p-15, 0x1.1041c80abd0fcp-15, 0x1.06fb4e65728d1p-15, 0x1.fb8f0c8f424a8p-16, 0x1.e9371cb387dfap-16, 0x1.d705e82a74962p-16, 0x1.c4e786bba0d34p-16, 0x1.b2e602e6d733cp-16, 0x1.a1018d205cdbcp-16, 0x1.8f39da1003c7dp-16, 0x1.7d8eb9ac8f72bp-16, 0x1.6c049404013p-16, 0x1.5a92441c1b12p-16, 0x1.494085f2a50dfp-16, 0x1.380d394ae31cbp-16, 0x1.26f88c8e1601cp-16, 0x1.1602b866bb81bp-16, 0x1.052bfa7eeacdep-16, 0x1.e8e9f0028aa6bp-17, 0x1.c7bafd3a7075fp-17, 0x1.a6cacfe4f27afp-17, 0x1.861b68895b62fp-17, 0x1.65ad38bacfe9fp-17, 0x1.45801304e82e7p-17, 0x1.2594796cbbc43p-17, 0x1.05eab1e916bcbp-17, 0x1.cd0677062da09p-18, 0x1.8ebc8fa1cb155p-18, 0x1.50f8d3be94377p-18, 0x1.13bc17755947bp-18, 0x1.ae0bcba41c455p-19, 0x1.35ac8b2c5d298p-19, 0x1.7ce500b4467fap-20, 0x1.209524224b56ep-21, -0x1.6836dbe895c3dp-22, -0x1.42391cf1460fdp-20, -0x1.141f6ed696d0fp-19, -0x1.861127e476229p-19, -0x1.f6ea2b15dc7a3p-19, -0x1.335830b03a626p-18, -0x1.6ab01a1143f5cp-18, -0x1.a17b6b3c245f7p-18, -0x1.d7c314d34cce3p-18, -0x1.06ba00d67d798p-17, -0x1.215b5baa1c90bp-17, -0x1.3b9eaeb129854p-17, -0x1.55a1f461d9d5bp-17, -0x1.6f6cc8657b67ap-17, -0x1.88eb6e06d2077p-17, -0x1.a227ff1c0b7a4p-17, -0x1.bb1d18bf153ecp-17, -0x1.d3cf028c63effp-17, -0x1.ec2b18b14fce6p-17, -0x1.0226ada5a9474p-16, -0x1.0e14db7b8f3fdp-16, -0x1.19e001486b207p-16, -0x1.25892ff95a4eep-16, -0x1.310e78cf90bf2p-16, -0x1.3c7279c82b1ep-16, -0x1.47b376b1ad857p-16, -0x1.52d228ea656d6p-16, -0x1.5dce44accd54p-16, -0x1.68a839ab2fcf2p-16, -0x1.735ff9e065ea4p-16, -0x1.7df5af10bdda7p-16, -0x1.88696552d8979p-16, -0x1.92bb24e38cd4dp-16, -0x1.9ceaf3750f6c1p-16, -0x1.a6f9333bfb272p-16, -0x1.b0e5f49e0ab3bp-16, -0x1.bab1c16b709cap-16, -0x1.c45b1b5da1868p-16, -0x1.cde3d448031f6p-16, -0x1.d74b7a4c68ff2p-16, -0x1.e091f9eba1b6dp-16, -0x1.e9b7cf60c86e7p-16, -0x1.f2bcbdcdcabddp-16, -0x1.fba2a8715150dp-16, -0x1.02329922c1777p-15, -0x1.0684b7de639e5p-15, -0x1.0ac6a79881b34p-15, -0x1.0ef869d9e0287p-15, -0x1.131a98f476972p-15, -0x1.172cbae387cecp-15, -0x1.1b315dd5e3b63p-15, -0x1.1f21b9cc7a0edp-15, -0x1.23052f9770939p-15, -0x1.26d91a5987p-15, -0x1.2a9cd2fc78dep-15, -0x1.2e518e991c55bp-15, -0x1.31f8197592f9p-15, -0x1.358a573e17fa6p-15, -0x1.3916437c3d4f2p-15, -0x1.3c8f1fb7ac572p-15, -0x1.3ff8eecacaa11p-15, -0x1.4353f2326ec17p-15, -0x1.46a037a8d0807p-15, -0x1.49ddbaf8b9a74p-15, -0x1.4d0d160f45695p-15, -0x1.502e14f95ed2ap-15, -0x1.5340b640bc05bp-15, -0x1.56453a9fa2234p-15, -0x1.5939b60ab80afp-15, -0x1.5c22805c07726p-15, -0x1.5efe03e934842p-15, -0x1.61ca7c35e88bp-15, -0x1.6489320e6e698p-15, -0x1.6739253ee2358p-15, -0x1.69de914656306p-15, -0x1.6c76870e56644p-15, -0x1.6efe219764733p-15, -0x1.71791a2c5d772p-15, -0x1.73e7f8980bb5ep-15, -0x1.7649cb4a55e2bp-15, -0x1.789ea9b838b3bp-15, -0x1.7ae69fded511dp-15, -0x1.7d21f1046f71fp-15, -0x1.7f50b161254ccp-15, -0x1.8172f13e6ceddp-15, -0x1.83889512282bep-15, -0x1.8593ce2e77702p-15, -0x1.878fd5ac328dp-15, -0x1.8981631168bcdp-15, -0x1.8b66daec47e26p-15, -0x1.8d40751ab993fp-15, -0x1.8f0e500a2f2d4p-15, -0x1.90d088ff932a1p-15, -0x1.92872ed7a8f92p-15, -0x1.943256e473651p-15, -0x1.95d24c5558bcfp-15, -0x1.9768a5aefc0f7p-15, -0x1.98f081e390eb6p-15, -0x1.9a6f130cad781p-15, -0x1.9be30a35ed5efp-15, -0x1.9d4b8132f1913p-15, -0x1.9ea9768f8cb8ep-15, -0x1.9ffd1f7d55a3ep-15, -0x1.a146157dd588fp-15, -0x1.a284a9bd178ebp-15, -0x1.a3bbb07ded2a6p-15, -0x1.a4e3dadaa616ap-15, -0x1.a602e5f12aab3p-15, -0x1.a71939b3b0283p-15, -0x1.a8256f582ced3p-15, -0x1.a927c63df4feep-15, -0x1.aa2076609d8bp-15, -0x1.ab0f955187afap-15, -0x1.abf5201139071p-15, -0x1.acd16e395645ep-15, -0x1.ada4824bf7c3ep-15, -0x1.ae6e3552ac764p-15, -0x1.af2eeb44a6bfep-15, -0x1.afe89fb27c2dcp-15, -0x1.b09532b7d0418p-15, -0x1.b13bd4c09bd2bp-15, -0x1.b1d8f1df16943p-15, -0x1.b26dcb2d774cdp-15, -0x1.b2fa23e928b93p-15, -0x1.b37ef7d30fe87p-15, -0x1.b3f9aa2f47956p-15, -0x1.b46d0a9a57a85p-15, -0x1.b4d84365af328p-15, -0x1.b53b876af5177p-15, -0x1.b596d9de01553p-15, -0x1.b5ea26c983e0cp-15, -0x1.b639455fa76b7p-15, -0x1.b67ad6ca35989p-15, -0x1.b6b6ee26c0854p-15, -0x1.b6ec1580dc2c2p-15, -0x1.b719b7996b1e1p-15, -0x1.b74055d554177p-15, -0x1.b75fab308b39bp-15, -0x1.b777c6cbeea56p-15, -0x1.b78a7c6154e2fp-15, -0x1.b7942cf095211p-15, -0x1.b796ab9df3f15p-15, -0x1.b793816d32037p-15, -0x1.b789ad1d10a22p-15, -0x1.b77940b63851ep-15, -0x1.b7621f48afc51p-15, -0x1.b744bc321b0d9p-15, -0x1.b720a95a7df08p-15, -0x1.b6f8fc37a3793p-15, -0x1.b6c6cc7570526p-15, -0x1.b690a84c4774p-15, -0x1.b6549736740cp-15, -0x1.b61297fe65858p-15, -0x1.b5cab589caba7p-15, -0x1.b57d1065ba80ep-15, -0x1.b52a1ecceccb8p-15, -0x1.b4d115f33b4b4p-15, -0x1.b472a2aaa5058p-15, -0x1.b40fec9439e88p-15, -0x1.b3a5d720fb716p-15, -0x1.b3377bf4755b7p-15, -0x1.b2c3e2bf7e9bep-15, -0x1.b24bb9377aaadp-15, -0x1.b1cdc2c394d5dp-15, -0x1.b14aed42fff3cp-15, -0x1.b0c369b9a36dcp-15, -0x1.b0359efa68377p-15, -0x1.afa60a063d60fp-15, -0x1.af1047ada051fp-15, -0x1.ae76021af060cp-15, -0x1.add5a79eacf3bp-15, -0x1.ad33bdef45d08p-15, -0x1.ac8bf99b2ebbep-15, -0x1.abdfb20f48793p-15, -0x1.ab3274eeb7552p-15, -0x1.aa7b225a80fd1p-15, -0x1.a9c2a5cdfbb33p-15, -0x1.a905e673c6aep-15, -0x1.a8424fc445874p-15, -0x1.a78019d94a444p-15, -0x1.a6b86e8456a53p-15, -0x1.a5ec8486b46e1p-15, -0x1.a51b5c5e14d7ap-15, -0x1.a44ce4b99ed48p-15, -0x1.a372420d8bbbdp-15, -0x1.a29794dc616e1p-15, -0x1.a1b982688d6d4p-15, -0x1.a0d80b093465p-15, -0x1.9ff339cf843ebp-15, -0x1.9f0b2f98267efp-15, -0x1.9e1fb5e6d37a5p-15, -0x1.9d32615b78307p-15, -0x1.9c3fc2a6b88edp-15, -0x1.9b4b378e62d33p-15, -0x1.9a535d686c98dp-15, -0x1.995937841dc6ep-15, -0x1.98599b3fd2191p-15, -0x1.975b77ccb488bp-15, -0x1.965882295532fp-15, -0x1.955273c61cc35p-15, -0x1.944a8b570a3e8p-15, -0x1.933f94da22392p-15, -0x1.923080aadbbc1p-15, -0x1.912229c7adc14p-15, -0x1.900fb22b77a3dp-15, -0x1.8efaebd1c166ep-15, -0x1.8de3de1e98c87p-15, -0x1.8cca4efca8bbcp-15, -0x1.8bb28a6e63a73p-15, -0x1.8a90cf0528efap-15, -0x1.8970df9e625bbp-15, -0x1.884e7431e5c16p-15, -0x1.872a7583fc128p-15, -0x1.860457c5675bep-15, -0x1.84dc3914a7b35p-15, -0x1.83aec8fa44c36p-15, -0x1.828838e7b44c3p-15, -0x1.8158bf59c94b3p-15, -0x1.80296ab6adde6p-15, -0x1.7ef9d9595ce4fp-15, -0x1.7dc571dd97b4ap-15, -0x1.7c90e3190cfd4p-15, -0x1.7b5ab2ade8265p-15, -0x1.7a24e0388ac1dp-15, -0x1.78e9b905c499bp-15, -0x1.77af784e439aep-15, -0x1.7673769ba769p-15, -0x1.7535a1b21bc97p-15, -0x1.73f566a147f13p-15, -0x1.72b7471ef1256p-15, -0x1.7175a86a7077dp-15, -0x1.7034e254f5c45p-15, -0x1.6eef483478a2p-15, -0x1.6daa7f5860389p-15, -0x1.6c647aa646db6p-15, -0x1.6b1da8c622971p-15, -0x1.69d734da4219cp-15, -0x1.688c29ae3f9e4p-15, -0x1.67421e5804981p-15, -0x1.65f711338c21ap-15, -0x1.64ab1d58d2d6ap-15, -0x1.635e4a7737a1p-15, -0x1.62108daac672p-15, -0x1.60c2e4836834dp-15, -0x1.5f72de2e4ac6bp-15, -0x1.5e211806e8a4cp-15, -0x1.5cd2330694209p-15, -0x1.5b8101541a557p-15, -0x1.5a2f0fbaddc82p-15, -0x1.58dc7824f38b9p-15, -0x1.5789501840cabp-15, -0x1.5635864a8ca64p-15, -0x1.54e2f6daf81bcp-15, -0x1.538ca1315f8dep-15, -0x1.523780d6399b5p-15, -0x1.50e1f89c45b2cp-15, -0x1.4f8c02df3cbf7p-15, -0x1.4e33390c410a6p-15, -0x1.4cdecaef9b58p-15, -0x1.4b87c65c8bec4p-15, -0x1.4a30866441e1ep-15, -0x1.48d8faffb1a31p-15, -0x1.47811bf65015cp-15, -0x1.462639fcf46aap-15, -0x1.44d0b48822728p-15, -0x1.4378dab85406p-15, -0x1.421fd79497edfp-15, -0x1.40c738641cb1cp-15, -0x1.3f6e78364cefdp-15, -0x1.3e159410fa05fp-15, -0x1.3cbcd66c8f6cp-15, -0x1.3b63e44113f29p-15, -0x1.3a0af93d7738bp-15, -0x1.38b219f9a217bp-15, -0x1.3759a54dfb60ep-15, -0x1.36004212a898ap-15, -0x1.34a7df76562a4p-15, -0x1.334f21962736fp-15, -0x1.31f6fabc6da0cp-15, -0x1.309ee2398061dp-15, -0x1.2f46dcdd5e297p-15, -0x1.2decf7a8b8acbp-15, -0x1.2c97abeb412a8p-15, -0x1.2b3f8c3dd3cb3p-15, -0x1.29e8518542fabp-15, -0x1.28915ed544108p-15, -0x1.273ab156c428bp-15, -0x1.25e45ac11f068p-15, -0x1.248e12bf5b739p-15, -0x1.2336d62462025p-15, -0x1.21e344a165513p-15, -0x1.208e4c2e92061p-15, -0x1.1f39b019b020cp-15, -0x1.1de582a000d47p-15, -0x1.1c91c2998e73ap-15, -0x1.1b3e6ef6696e7p-15, -0x1.19eb930db3cb2p-15, -0x1.18992e3661e8cp-15, -0x1.174787f9db7f7p-15, -0x1.15f5f7d7db2fbp-15, -0x1.14a51ed9a0a4cp-15, -0x1.135227d86c558p-15, -0x1.120a9f097a74ep-15, -0x1.10b55f0a1c005p-15, -0x1.0f6661762a2a5p-15, -0x1.0e18a176d3d2cp-15, -0x1.0ccb177451d51p-15, -0x1.0b7e2ad388ed8p-15, -0x1.0a31dfecf7be5p-15, -0x1.08e641693e65ap-15, -0x1.079b39faf0ff1p-15, -0x1.0651f9d484a2p-15, -0x1.0507397100ec9p-15, -0x1.03be20c5010c4p-15, -0x1.02759f09c4561p-15, -0x1.012dbeee1a032p-15, -0x1.ffce74adb797p-16, -0x1.fd423992500bp-16, -0x1.fab805bd8b555p-16, -0x1.f82db74f72da3p-16, -0x1.f5a5f66fea154p-16, -0x1.f31f9bef784c3p-16, -0x1.f09aba3d364b7p-16, -0x1.ee1784e29b93cp-16, -0x1.eb96353b94dbbp-16, }}, 
      {{-0x1.08a04c5ef31ecp-1, -0x1.ed8b68840e869p-2, -0x1.bbb90717fb5eap-2, -0x1.817db453bce11p-2, -0x1.4313d67168a36p-2, -0x1.03931dee244e9p-2, -0x1.8a690a6a2632ep-3, -0x1.130d02485bccdp-3, -0x1.46549dd32b77fp-4, -0x1.e09322d601e7ap-6, 0x1.0bfdea11f7a46p-6, 0x1.d5077994f9bb4p-5, 0x1.7e7aac67e0a63p-4, 0x1.ff7029894e3f7p-4, 0x1.3722c3f186f98p-3, 0x1.660ae739e5031p-3, 0x1.8d1005ee56bb9p-3, 0x1.acdb913d30531p-3, 0x1.c61a57518eb6cp-3, 0x1.d978253c3538bp-3, 0x1.e79bd5edef99p-3, 0x1.f1254ba8538adp-3, 0x1.f6ab7e70571fbp-3, 0x1.f8bb7babf6409p-3, 0x1.f7d7cc75f5e5fp-3, 0x1.f47827eb9694bp-3, 0x1.ef099f9993ceap-3, 0x1.e7eec1264728cp-3, 0x1.df80073dc891fp-3, 0x1.d60c5d2159951p-3, 0x1.cbd9ae43d941ap-3, 0x1.c1257dbd9d56cp-3, 0x1.b62581fccfcbcp-3, 0x1.ab088cc24757fp-3, 0x1.9ff684319f394p-3, 0x1.9511a2338bc56p-3, 0x1.8a76b7f335331p-3, 0x1.803db841d185p-3, 0x1.767a4921715abp-3, 0x1.6d3c325c0858fp-3, 0x1.648fc64153919p-3, 0x1.5c7e4b2c72cf3p-3, 0x1.550e7ff38abffp-3, 0x1.4e449b2c92153p-3, 0x1.4822c7b8eebbap-3, 0x1.42a9aaebb5aa9p-3, 0x1.3dd830fa06ea7p-3, 0x1.39ac102ed84cep-3, 0x1.3621e418989adp-3, 0x1.33355b1329d0bp-3, 0x1.30e16ae8ac461p-3, 0x1.2f2066a6f478ep-3, 0x1.2dec28e640a9dp-3, 0x1.2d3e2adcc63ecp-3, 0x1.2d0f9f41ae8c9p-3, 0x1.2d598818e32c4p-3, 0x1.2e14cbcbcfa1bp-3, 0x1.2f3a43d6b17afp-3, 0x1.30c2c681afc39p-3, 0x1.32a73e56f3991p-3, 0x1.34e0aa9b46d9dp-3, 0x1.37682cd9072p-3, 0x1.3a370f04c76aap-3, 0x1.3d46c97601546p-3, 0x1.4091062443e98p-3, 0x1.440faa7ea4b2p-3, 0x1.47bcd272bbf73p-3, 0x1.4b92d902f584ap-3, 0x1.4f8c552ab7ca8p-3, 0x1.53a41d5b7e12cp-3, 0x1.57d5459cb142bp-3, 0x1.5c1b24e112ebp-3, 0x1.60714bb88edf2p-3, 0x1.64d38cb386a51p-3, 0x1.693df324f450dp-3, 0x1.6dacc942cb386p-3, 0x1.721c8f3b1f0cap-3, 0x1.768a016fc3dadp-3, 0x1.7af20f8b84198p-3, 0x1.7f51dfd092a6cp-3, 0x1.83a6c855ad5adp-3, 0x1.87ee53604b0f7p-3, 0x1.8c26377e9ce6dp-3, 0x1.904c5b971dd99p-3, 0x1.945ec4d815e9dp-3, 0x1.985bb5046e0b9p-3, 0x1.9c4186dbb572ep-3, 0x1.a00ebddf96e28p-3, 0x1.a3c1ff6a136e2p-3, 0x1.a75a14288e56p-3, 0x1.aad5e44490e9p-3, 0x1.ae347395ba136p-3, 0x1.b174e3675013cp-3, 0x1.b4967074217c7p-3, 0x1.b7986eebc8f62p-3, 0x1.ba7a4ceaf7d4ep-3, 0x1.bd3b8d1ad4de4p-3, 0x1.bfdbc7a0265f4p-3, 0x1.c25aa8d0e3e7dp-3, 0x1.c4b7f04e39a4bp-3, 0x1.c6f369a0fa42p-3, 0x1.c90cf8fcaa3afp-3, 0x1.cb048e8c6b345p-3, 0x1.ccda2752d06p-3, 0x1.ce8dcc92efe4p-3, 0x1.d01f9809fb8c1p-3, 0x1.d18fae1bb7aacp-3, 0x1.d2de3a436260fp-3, 0x1.d40b747afa01dp-3, 0x1.d5179f56ac698p-3, 0x1.d603042dfd633p-3, 0x1.d6cdf4614a34bp-3, 0x1.d778c97ea611bp-3, 0x1.d803deb109f2fp-3, 0x1.d86fa0777186dp-3, 0x1.d8bc746374221p-3, 0x1.d8eacdce1533dp-3, 0x1.d8fb1e6ec0da4p-3, 0x1.d8ede0ca0e09dp-3, 0x1.d8c3912fe4206p-3, 0x1.d87cb03d06448p-3, 0x1.d819bf1f0b24ep-3, 0x1.d79b433bb89cfp-3, 0x1.d701c8ee075aep-3, 0x1.d64dce6742a38p-3, 0x1.d57fe8a85b66p-3, 0x1.d498a0ebb477dp-3, 0x1.d398858c93651p-3, 0x1.d28023b50fb54p-3, 0x1.d1500cfff30bap-3, 0x1.d008cf3cf8431p-3, 0x1.ceaafb2a897e4p-3, 0x1.cd371fdaeeeaep-3, 0x1.cbadce683ea59p-3, 0x1.ca0f9950a6dccp-3, 0x1.c85d0b6b04dbp-3, 0x1.c696b6cb5ae16p-3, 0x1.c4bd28b524c75p-3, 0x1.c2d0ef9f2ce39p-3, 0x1.c0d298a2a3f15p-3, 0x1.bec2af12ec458p-3, 0x1.bca1be852bee3p-3, 0x1.ba70506990ea8p-3, 0x1.b82eedbb74bfdp-3, 0x1.b5de1e4909d5cp-3, 0x1.b37e672829701p-3, 0x1.b1104d91cdf2dp-3, 0x1.ae945453dfe92p-3, 0x1.ac0afca0ea674p-3, 0x1.a974c6fc68698p-3, 0x1.a6d231b2de59bp-3, 0x1.a423b9ea084f8p-3, 0x1.a169d8ff4e033p-3, 0x1.9ea50b65e30c9p-3, 0x1.9bd5c4e5e88a5p-3, 0x1.98fc7c3ee9182p-3, 0x1.9619a5fa430ecp-3, 0x1.932db3fbecec9p-3, 0x1.903916bdd364ap-3, 0x1.8d3c39315dacap-3, 0x1.8a378c2252854p-3, 0x1.872b770557c67p-3, 0x1.8418650348a98p-3, 0x1.80feb657c9fdcp-3, 0x1.7dded62c01c0ep-3, 0x1.7ab9259a7ba72p-3, 0x1.778e04b01660cp-3, 0x1.745dd1dfe19d8p-3, 0x1.7128ea32091d9p-3, 0x1.6defa9f93f2fp-3, 0x1.6ab2690b82a98p-3, 0x1.67717f54eb29p-3, 0x1.642d423cac2d3p-3, 0x1.60e604afa6c71p-3, 0x1.5d9c1881e98f9p-3, 0x1.5a4fcdbb57b08p-3, 0x1.5701721e5c0b5p-3, 0x1.53b1529b53788p-3, 0x1.505fb895d9fcap-3, 0x1.4d0cedc36a0fdp-3, 0x1.49b938307c4f5p-3, 0x1.4664dd79b20ffp-3, 0x1.431020967ed9fp-3, 0x1.3fbb439a7928bp-3, 0x1.3c6685da5711ep-3, 0x1.3912283007ee5p-3, 0x1.35be64d7a373dp-3, 0x1.326b78b254c17p-3, 0x1.2f199afdad457p-3, 0x1.2bc9061828b8p-3, 0x1.2879efc1dc258p-3, 0x1.252c8c63464fbp-3, 0x1.21e10f2763e9ep-3, 0x1.1e97abc90c418p-3, 0x1.1b5090976b3aep-3, 0x1.180bef2a153f4p-3, 0x1.14c9f39930ac8p-3, 0x1.118aca5d4f792p-3, 0x1.0e4e9c47ebb23p-3, 0x1.0b1597428d82fp-3, 0x1.07dfdf7bef97cp-3, 0x1.04ad9e9069e22p-3, 0x1.017ef7f55ba72p-3, 0x1.fca822c1983ep-4, 0x1.f65a1bb0a9bc1p-4, 0x1.f0141df9d391cp-4, 0x1.e9d66a9f0d6bdp-4, 0x1.e3a141772362p-4, 0x1.dd74ded9dd65ep-4, 0x1.d7517d58be439p-4, 0x1.d137553eaab4ep-4, 0x1.cb269bec532e6p-4, 0x1.c51f86c8e69adp-4, 0x1.bf224533753bap-4, 0x1.b92f09f552a16p-4, 0x1.b34600c564b3dp-4, 0x1.ad6754fcf5473p-4, 0x1.a793317d4cf3ep-4, 0x1.a1c9bd8907738p-4, 0x1.9c0b1f862d19ap-4, 0x1.9657792ca3a5bp-4, 0x1.90aeee7c9e18ep-4, 0x1.8b11a55a9369dp-4, 0x1.857fb279b9ccfp-4, 0x1.7ff9392988daep-4, 0x1.7a7e54c8e7988p-4, 0x1.750f1e31422a8p-4, 0x1.6fabac0a512bdp-4, 0x1.6a5416cb84687p-4, 0x1.650873e1520a9p-4, 0x1.5fc8d63b590cbp-4, 0x1.5a954ee8b3942p-4, 0x1.556df11f1b467p-4, 0x1.5052c9cddf751p-4, 0x1.4b43e901acbe5p-4, 0x1.464159c4c8947p-4, 0x1.414b28415831p-4, 0x1.3c615fc33c1bcp-4, 0x1.378405c3b9c36p-4, 0x1.32b3249812252p-4, 0x1.2deec1f1f7fb6p-4, 0x1.2936e2321c83ap-4, 0x1.248b8ba2616bfp-4, 0x1.1fecbf33d5fb4p-4, 0x1.1b5a8016c1ebap-4, 0x1.16d4cdef1177ep-4, 0x1.125ba9de287cap-4, 0x1.0def12f3a4a15p-4, 0x1.098f03a8441a9p-4, 0x1.053b8004be47bp-4, 0x1.00f47caf4cf5ep-4, 0x1.f973f32a0fa9ap-5, 0x1.f117dee9b47fap-5, 0x1.e8d4af61c086dp-5, 0x1.e0aa544f0d193p-5, 0x1.d898bd96e1c0bp-5, 0x1.d09fdcf70cb6bp-5, 0x1.c8bf9cb46d566p-5, 0x1.c0f7e6e25270ap-5, 0x1.b948a40437fb1p-5, 0x1.b1b1c607fef95p-5, 0x1.aa3326e4ef85bp-5, 0x1.a2ccb389740fbp-5, 0x1.9b7e4fb70cffp-5, 0x1.9447de61f4691p-5, 0x1.8d2940e4d024ap-5, 0x1.86225829c7fa3p-5, 0x1.7f33064d125ddp-5, 0x1.785b278c01b6p-5, 0x1.719a9b8c4bce3p-5, 0x1.6af13f95d0ad6p-5, 0x1.645eee21da61cp-5, 0x1.5de3835a9b102p-5, 0x1.577ed96f778cp-5, 0x1.5130c9a589dc7p-5, 0x1.4af92cc40dd55p-5, 0x1.44d7daaae2455p-5, 0x1.3eccaa6c84911p-5, 0x1.38d772692ab4ap-5, 0x1.32f80a22a7887p-5, 0x1.2d2e442869b37p-5, 0x1.2779f6b02aa64p-5, 0x1.21daf5aad6883p-5, 0x1.1c51161f33fcdp-5, 0x1.16dc278d0731bp-5, 0x1.117bff29f779fp-5, 0x1.0c306f2f42a9cp-5, 0x1.06f9491069c58p-5, 0x1.01d65d9c934a8p-5, 0x1.f98ef78bc69f5p-6, 0x1.ef98f1cdb7b14p-6, 0x1.e5ca435f8d82fp-6, 0x1.dc22919870331p-6, 0x1.d2a17a5eaff5bp-6, 0x1.c9469b1c58b1bp-6, 0x1.c01191ae2c96bp-6, 0x1.b701f23ee3836p-6, 0x1.ae177a3d72b0dp-6, 0x1.a551a70053efdp-6, 0x1.9cb0267e35d45p-6, 0x1.94328a4f79b05p-6, 0x1.8bd88730615b1p-6, 0x1.83a19e02cb7fep-6, 0x1.7b8d79909bf39p-6, 0x1.739bb4c887d1p-6, 0x1.6bcbebfd837fbp-6, 0x1.641dba68bbb34p-6, 0x1.5c90bd733efebp-6, 0x1.5524940641af2p-6, 0x1.4dd8dd6a4ca77p-6, 0x1.46ad2fdb23ae7p-6, 0x1.3fa12a04c6c37p-6, 0x1.38b47033f0693p-6, 0x1.31e69a9c7da3fp-6, 0x1.2b374917e97afp-6, 0x1.24a616a9ef8a7p-6, 0x1.1e32a4d35d87fp-6, 0x1.17dc90ecdbd37p-6, 0x1.11a37ad18af65p-6, 0x1.0b87048e59ee6p-6, 0x1.0586cc98d3464p-6, 0x1.ff44e7c3785d7p-7, 0x1.f3b334d916344p-7, 0x1.e857bdf16dae8p-7, 0x1.dd31d448a5a11p-7, 0x1.d240b4531f174p-7, 0x1.c783aa9b8fc8cp-7, 0x1.bcf9f82dbae92p-7, 0x1.b2a2e203aafa7p-7, 0x1.a87db6c59989ap-7, 0x1.9e89c37e25b27p-7, 0x1.94c652f46f2dcp-7, 0x1.8b32b11c78bd4p-7, 0x1.81ce2b4bf331p-7, 0x1.7898114553e5cp-7, 0x1.6f8fb5d17b7d8p-7, 0x1.66b46b9e796d6p-7, 0x1.5e058a252d50ep-7, 0x1.5582608b2fe44p-7, 0x1.4d2a44ebe8c13p-7, 0x1.44fc939a79d29p-7, 0x1.3cf8a130a0ac9p-7, 0x1.351dc895ec2d9p-7, 0x1.2d6b6fa44cb09p-7, 0x1.25e0f1697409ap-7, 0x1.1e7da00e746fcp-7, 0x1.1740f07fe5901p-7, 0x1.102a3b50bb6dep-7, 0x1.0938e222a2364p-7, 0x1.026c4dbe022b1p-7, 0x1.f787cc8db413ep-8, 0x1.ea7e289008409p-8, 0x1.ddba921789e6ep-8, 0x1.d13bb0dda2735p-8, 0x1.c5009f19356bfp-8, 0x1.b908114493b1bp-8, 0x1.ad50f78de3a36p-8, 0x1.a1da38bcb51bp-8, 0x1.96a2b739d770ep-8, 0x1.8ba963d2332fbp-8, 0x1.80ed32486964ap-8, 0x1.766d05f790fafp-8, 0x1.6c27cf32a2ea2p-8, 0x1.621ca0a1feeb8p-8, 0x1.584a5a38913cfp-8, 0x1.4eb0067602e5dp-8, 0x1.454ca4da22ab1p-8, 0x1.3c1f340520a81p-8, 0x1.3326c7dca1092p-8, 0x1.2a62785dfeab4p-8, 0x1.21d140c129e03p-8, 0x1.197246dc690dp-8, 0x1.11449615a2156p-8, 0x1.09473a1d255fp-8, 0x1.017945588e59dp-8, 0x1.f3b3d09bbb80ep-9, 0x1.e4d04dc220fc1p-9, 0x1.d64695b389274p-9, 0x1.c8149bbec02c1p-9, 0x1.ba3911cb8199fp-9, 0x1.acb2471e47e66p-9, 0x1.9f7ea3ce949ccp-9, 0x1.929c9b8569bp-9, 0x1.860a9d39eb07bp-9, 0x1.79c70b3257a57p-9, 0x1.6dd0511cdcbddp-9, 0x1.6224df7bbda16p-9, 0x1.56c31eaeaf317p-9, 0x1.4ba99553986acp-9, 0x1.40d6dae2e7ebbp-9, 0x1.36496693d244ap-9, 0x1.2c007bd5c1c8bp-9, 0x1.21fa4245a7c5p-9, 0x1.183590caa235fp-9, 0x1.0eb114f2a1e5p-9, 0x1.056b9dce6fe8p-9, 0x1.f8c7222e3927cp-10, 0x1.e72f663ea7af1p-10, 0x1.d60d549af752cp-10, 0x1.c55e0f56575fbp-10, 0x1.b51f4d483bc0ap-10, 0x1.a54eed7e7ac35p-10, 0x1.95eae8ec85fa1p-10, 0x1.86f147ae8103dp-10, 0x1.785febfe42d44p-10, 0x1.6a35335913b7ap-10, 0x1.5c6eac38e413fp-10, 0x1.4f09e9fc36dafp-10, 0x1.4204fadf6a4dcp-10, 0x1.355cdb941c24ep-10, 0x1.290f1a0bcf5c5p-10, 0x1.1d198bd7f9bfcp-10, 0x1.117a077be4b65p-10, 0x1.062eb8278bc84p-10, 0x1.f66bfa4b80a39p-11, 0x1.e11c6209a512dp-11, 0x1.cc6c30a12d599p-11, 0x1.b858dd66fa22ap-11, 0x1.a4e2f0cf80b6ap-11, 0x1.91fda7279a3b7p-11, 0x1.7faf00a371083p-11, 0x1.6df0069889922p-11, 0x1.5cbcb6d441ec4p-11, 0x1.4c110be2bf7f6p-11, 0x1.3be91055a0209p-11, 0x1.2c4108ba20192p-11, 0x1.1d15a52aeb9adp-11, 0x1.0e63bad17b355p-11, 0x1.0027b861184d9p-11, 0x1.e4c0381cda6ecp-12, 0x1.ca148991b2bb2p-12, 0x1.b0484b858293bp-12, 0x1.97574f2be3f8ep-12, 0x1.7f3e2f17894d6p-12, 0x1.67f709b6e85f2p-12, 0x1.517c4b531a4b7p-12, 0x1.3bc981f014841p-12, 0x1.26d9ed69c8163p-12, 0x1.12a81e4333b38p-12, 0x1.fe5d93323a4dcp-13, 0x1.d8d14fc981e3bp-13, 0x1.b4a02fbf91f8ep-13, 0x1.91bf9a275cfebp-13, 0x1.70254563b42dcp-13, 0x1.4fc998c872047p-13, 0x1.30a3dca33458ap-13, 0x1.12afe7d771f56p-13, 0x1.ebca51c380fdbp-14, 0x1.b47ab83159c55p-14, 0x1.7f62db524f173p-14, 0x1.4c7096a6d7d65p-14, 0x1.1b9baa8a702e2p-14, 0x1.d9b1d3e39f471p-15, 0x1.803f72f2cc12fp-15, 0x1.2abd572c05031p-15, 0x1.b1fbe03eb6d4dp-16, 0x1.15bf98843a14bp-16, 0x1.00f9b5736f0c2p-17, -0x1.c23f11be2588dp-21, -0x1.2c07831f907dp-17, -0x1.179401d1392b5p-16, -0x1.92deda1f94a21p-16, -0x1.04058a6f9dd05p-15, -0x1.3b9eadb6ee51cp-15, -0x1.70550a618c8bp-15, -0x1.a2319eb9b9633p-15, -0x1.d1426d9e6043fp-15, -0x1.fd90e96ae3d5ep-15, -0x1.139499379d228p-14, -0x1.27140b67679dbp-14, -0x1.39443f26dbc57p-14, -0x1.4a46fa3461024p-14, -0x1.5a29fe25bb045p-14, -0x1.68fe636e461p-14, -0x1.76d0cb2db111bp-14, -0x1.83a9272b9202p-14, -0x1.8f8c7bdc6ef3cp-14, -0x1.9a7f04eb74dc9p-14, -0x1.a484f3ba71f2dp-14, -0x1.ada3b52065e36p-14, -0x1.b5e20c81f3575p-14, -0x1.bd46d7342ac27p-14, -0x1.c3d431ffa2fb7p-14, -0x1.c98d91e2bce16p-14, -0x1.ce77249851478p-14, -0x1.d29375d8ba3d4p-14, -0x1.d5eb8d6fd8757p-14, -0x1.d87e33bbd2fbep-14, -0x1.da5d78f3431d4p-14, -0x1.db9219d1367fp-14, -0x1.dc2773497fbdap-14, -0x1.dc2a64c92fea9p-14, -0x1.dba460baba345p-14, -0x1.da9edb1a4dfcbp-14, -0x1.d919778e59a46p-14, -0x1.d71a9078db4b5p-14, -0x1.d4a09b397c3c5p-14, -0x1.d1b0f6376b526p-14, -0x1.ce4c4dc102993p-14, -0x1.ca74591c3f40ap-14, -0x1.c62cb4b75ab7cp-14, -0x1.c17bc5d93df97p-14, -0x1.bc626fb753f22p-14, -0x1.b6eb0b25ad29cp-14, -0x1.b1122c0e9f9fap-14, -0x1.aadd367059962p-14, -0x1.a44d9352e8cfcp-14, -0x1.9d657292b8485p-14, -0x1.962d3cc5f9e14p-14, -0x1.8eafa17588c62p-14, -0x1.86ea67d26f669p-14, -0x1.7eee2a3097bf9p-14, -0x1.76b4d819de517p-14, -0x1.6e42ce9421604p-14, -0x1.659c736916b0fp-14, -0x1.5cc662a2645aep-14, -0x1.53c5c54da4d62p-14, -0x1.4a98de009970bp-14, -0x1.413b1a4070461p-14, -0x1.37b0b03b3ee4ap-14, -0x1.2e0147e7d1575p-14, -0x1.242f7d3580d08p-14, -0x1.1a3eb0b2e8c3cp-14, -0x1.10314abc496f3p-14, -0x1.06027ea0aaaf8p-14, -0x1.f76c7de5bfa7ap-15, -0x1.e28f78dd24c5p-15, -0x1.cd7f407320463p-15, -0x1.b846f0194e9fp-15, -0x1.a2f11d86d9b27p-15, -0x1.8d85426e78b4dp-15, -0x1.78000ec63f69p-15, -0x1.62597fba62557p-15, -0x1.4c975b2c32e53p-15, -0x1.36c4c9dfbbe4ap-15, -0x1.20e1234c6874p-15, -0x1.0aed55424a518p-15, -0x1.e9e1dc4b152e6p-16, -0x1.bde81f587ebe4p-16, -0x1.91fb712795748p-16, -0x1.660abf20d3c23p-16, -0x1.3a255ed6521b4p-16, -0x1.0e3c73b8ee2bap-16, -0x1.c4db293eb0b37p-17, -0x1.6d779f2408184p-17, -0x1.16174cab095dfp-17, -0x1.7da761a12f579p-18, -0x1.9e9e3a900e601p-19, -0x1.0ee50d4becce6p-21, 0x1.1618803d8aaap-19, 0x1.370924656a98p-18, 0x1.e17d03639b79p-18, 0x1.465ebbb10ff89p-17, 0x1.9b1d728a662d8p-17, 0x1.ef606e727acf1p-17, 0x1.21a23f761d18p-16, 0x1.4b6029e2bbfd2p-16, 0x1.74ec19b8dfc6ap-16, 0x1.9e2a5661ddbd1p-16, 0x1.c720d051812bp-16, 0x1.efb99b6d27b63p-16, 0x1.0c0213e713961p-15, 0x1.20000a75ee5d8p-15, 0x1.33d6a2669b9edp-15, 0x1.4782adf6c4733p-15, 0x1.5b034f9dac4a4p-15, 0x1.6e5e3ff31c505p-15, 0x1.818d516593ae6p-15, 0x1.948dea852a373p-15, 0x1.a7627cfdaf407p-15, 0x1.ba05010760959p-15, 0x1.cc7b36dfa357dp-15, 0x1.debc92d76da1ep-15, 0x1.f0d5b07c8597bp-15, 0x1.015b58db5ede3p-14, 0x1.0a31ec313f8d6p-14, 0x1.12f0436da0584p-14, 0x1.1b963425bee0fp-14, 0x1.24229ab412228p-14, 0x1.2c9548902a44ap-14, 0x1.34ee4e493528bp-14, 0x1.3d2f69a8231e2p-14, 0x1.4555684d17628p-14, 0x1.4d5e2f0aa8dafp-14, 0x1.554d8df57ed5p-14, 0x1.5d22d6d0241fap-14, 0x1.64dd470e3d015p-14, 0x1.6c7b4c0a37f25p-14, 0x1.7400dae3864b2p-14, 0x1.7b68faa8ed1dp-14, 0x1.82b7b1639eaf5p-14, 0x1.89eb416e7e8c4p-14, 0x1.91032bdfcefd9p-14, 0x1.980285d248d27p-14, 0x1.9ee57b41cfd6ap-14, 0x1.a5ace42eaa12ep-14, 0x1.ac5a5468116c5p-14, 0x1.b2e9718cec32ap-14, 0x1.b95f10613d67ap-14, 0x1.bfba910f34d73p-14, 0x1.c5faf36c3d89p-14, 0x1.cc20588bd1dcep-14, 0x1.d22aeab23ad14p-14, 0x1.d81ac59459e8fp-14, 0x1.ddf0202f3d84dp-14, 0x1.e3ab492ca1542p-14, 0x1.e94c73881b7dfp-14, 0x1.eed3557a084fcp-14, 0x1.f43c9bf148404p-14, 0x1.f98f749bb2a54p-14, 0x1.fec68224bed63p-14, 0x1.01f37a67dd4bbp-13, 0x1.047521ac6ceabp-13, 0x1.06e997a19b103p-13, 0x1.095256c4a7c28p-13, 0x1.0badda34e3855p-13, 0x1.0dfd0bb14e9c8p-13, 0x1.104082add1734p-13, 0x1.1276f0cf1789cp-13, 0x1.14a09b1e8d397p-13, 0x1.16be1b70abf35p-13, 0x1.18cf985762125p-13, 0x1.1ad4c691baafap-13, 0x1.1cce0d87c7e15p-13, 0x1.1ebb6458b465fp-13, 0x1.209cdfb3f6abep-13, 0x1.2272bba1d7622p-13, 0x1.243cc78e2dcedp-13, 0x1.25fb2dc09f205p-13, 0x1.27ae4a32ec8e6p-13, 0x1.295629442d084p-13, 0x1.2af2a6e61a19cp-13, 0x1.2c814527cff92p-13, 0x1.2e08117e0a562p-13, 0x1.2f832f22fa055p-13, 0x1.30f49105658e8p-13, 0x1.325a0d1212ac8p-13, 0x1.33b4612281464p-13, 0x1.35040ed624cb7p-13, 0x1.364a27bc9ff76p-13, 0x1.37854331b8417p-13, 0x1.38b59255c5c5fp-13, 0x1.39dc3bd782d2cp-13, 0x1.3af90cd70bb8bp-13, 0x1.3c0b4898492a2p-13, 0x1.3d140b7d24b9bp-13, 0x1.3e1347bd15696p-13, 0x1.3f08fa8e28bd5p-13, 0x1.3ff40268ce6ccp-13, 0x1.40d61a5833d8dp-13, 0x1.41aee65abaadfp-13, 0x1.427e35698ed52p-13, 0x1.4345b1ee459e3p-13, 0x1.44023fea88b93p-13, 0x1.44b69348eea59p-13, 0x1.4562752bc3531p-13, 0x1.460503716df84p-13, 0x1.469f0f6611c9fp-13, 0x1.4730e482f01a6p-13, 0x1.47ba567ef9c74p-13, 0x1.483b7975b3c67p-13, 0x1.48b466687ecffp-13, 0x1.4922c571adcafp-13, 0x1.498c148a5df51p-13, 0x1.49ec47f183c85p-13, 0x1.4a45d8e870814p-13, 0x1.4a9766a75fc57p-13, 0x1.4ae0fad6b8929p-13, 0x1.4b1c2a055d4ddp-13, 0x1.4b5cc448a6762p-13, 0x1.4b8fe6393493p-13, 0x1.4bbbe4dde5ea1p-13, 0x1.4be0bf8b6a6dcp-13, 0x1.4bfe8b2d03624p-13, 0x1.4c154f26c21ffp-13, 0x1.4c254ab10dd35p-13, 0x1.4c2ea2f741c5ap-13, 0x1.4c3109c9b68efp-13, 0x1.4c2d144f72359p-13, 0x1.4c22fcf3192bap-13, 0x1.4c12510ecb9d2p-13, 0x1.4bfb6b311ad7dp-13, 0x1.4bde50a10bff6p-13, 0x1.4bbafff449235p-13, 0x1.4b91df744fcfdp-13, 0x1.4b62bfb563251p-13, 0x1.4b2dd53d05e45p-13, 0x1.4af17600e86fbp-13, 0x1.4ab35dacbea18p-13, 0x1.4a6ca047acde2p-13, 0x1.4a21b82c2ced5p-13, 0x1.49d0dea8cb82fp-13, 0x1.497b0a7ee5ba6p-13, 0x1.4920d7f90656dp-13, 0x1.48c02411036b1p-13, 0x1.485ac1d412371p-13, 0x1.47ef3809325ap-13, 0x1.477fb188f9479p-13, 0x1.470d34a1ca2f3p-13, 0x1.46944590aa2d8p-13, 0x1.46177eafbeddcp-13, 0x1.4595e6655850ep-13, 0x1.450ecfe5e68ffp-13, 0x1.448492388a5d8p-13, 0x1.43f59178fea1dp-13, 0x1.436286f15864ep-13, 0x1.42cb3dfa960adp-13, 0x1.422fc5ebcd9e3p-13, 0x1.4190655d7a396p-13, 0x1.40ed2b20e9d41p-13, 0x1.404609324fb65p-13, 0x1.3f9b050d46464p-13, 0x1.3eec1ea197e5fp-13, 0x1.3e3a0963a67b2p-13, 0x1.3d842922a887bp-13, 0x1.3ccac583d8d6bp-13, 0x1.3c0de98bdddabp-13, 0x1.3b4dd0fe41febp-13, 0x1.3a8abca18f32cp-13, 0x1.39c3f5e227a1dp-13, 0x1.38f9693974024p-13, 0x1.382c5e3d0e94cp-13, 0x1.375d121bb461dp-13, 0x1.368a0734fb59p-13, 0x1.35b4401ce662p-13, 0x1.34db69439348fp-13, 0x1.33ffd829b8371p-13, 0x1.3321a42576923p-13, 0x1.324106ed7592p-13, 0x1.315d6bb050026p-13, 0x1.307787778847dp-13, 0x1.2f8f750cda147p-13, 0x1.2ea3f8f9ac606p-13, 0x1.2db68c19ce2e3p-13, 0x1.2cc6cc3aa13ffp-13, 0x1.2bd6954577533p-13, 0x1.2ae21f27efae2p-13, 0x1.29eb9e25d57p-13, 0x1.28f2c827295b8p-13, 0x1.27f85c3bbb3cbp-13, 0x1.26fcc4fa4073p-13, 0x1.25fe940f7abe2p-13, 0x1.24ff17a4dfcfep-13, 0x1.23fcbcbb99f67p-13, 0x1.22f90ad1c5745p-13, 0x1.21f3970406baep-13, 0x1.20ec6fb970521p-13, 0x1.1fe3e67726abp-13, 0x1.1ed9658e3d71p-13, 0x1.1dcdc2051c346p-13, 0x1.1cc0714dee7e6p-13, 0x1.1bb1b1cb2968p-13, 0x1.1aa1af536fc36p-13, 0x1.199035c66200fp-13, 0x1.187d5d3c3c714p-13, 0x1.1769829aa5106p-13, 0x1.16549e5e2819ep-13, 0x1.153d896910bdcp-13, 0x1.14259cabc3995p-13, 0x1.130cdf800769ep-13, 0x1.11f40d471a84dp-13, 0x1.10d96096d8e39p-13, 0x1.0fbd61ccb639fp-13, 0x1.0ea0ad27b4bbap-13, 0x1.0d830beacaa11p-13, 0x1.0c64b2e119372p-13, 0x1.0b458f55b2341p-13, 0x1.0a257e0aabc61p-13, 0x1.0904e2fbb17cdp-13, 0x1.07e33aa68d075p-13, 0x1.06c11c91a1658p-13, 0x1.059e5080bc698p-13, 0x1.047afa5933c09p-13, 0x1.035717b8286c5p-13, 0x1.0233194998be1p-13, 0x1.010eac93ba827p-13, 0x1.ffcf603566f58p-14, 0x1.fd83037722431p-14, 0x1.fb37cd174ba3cp-14, 0x1.f8eaa409673afp-14, 0x1.f69cf14e8ef85p-14, 0x1.f44e44d6fab4ap-14, 0x1.f1fc56087d4f5p-14, 0x1.efae792bc34b9p-14, 0x1.ed5e3e0061d08p-14, 0x1.eb0daf20534d7p-14, 0x1.e8bccfb795b49p-14, 0x1.e66bcfdc26d54p-14, 0x1.e41a67d0a0d9p-14, 0x1.e1c7a793bc224p-14, 0x1.df75fde35336fp-14, 0x1.dd24b4545d292p-14, 0x1.dad301868fcb4p-14, 0x1.d87f92a19d516p-14, 0x1.d62e21dcc18efp-14, 0x1.d3dd399ee7e76p-14, 0x1.d18b7bd7b1e3bp-14, 0x1.cf396fc13b1aap-14, 0x1.cce85a6ea73ep-14, 0x1.ca98ddeef95fcp-14, 0x1.c84a4ebcd7c84p-14, 0x1.c5f7c7605c8c9p-14, 0x1.c3a714e94c2ffp-14, 0x1.c157d84fbf709p-14, 0x1.bf0aca2e5388bp-14, 0x1.bcbbe4cec70adp-14, 0x1.ba6ed8d75cb1dp-14, 0x1.b821d05551b51p-14, 0x1.b5d58db0447dp-14, 0x1.b38a2247d4169p-14, 0x1.b13f4c904eba3p-14, 0x1.aef60bd6d6105p-14, 0x1.acac7af22fd9p-14, 0x1.aa6424cfa3baep-14, 0x1.a81ccd44b353fp-14, 0x1.a5d6664a97e9ep-14, 0x1.a3911822a6ea3p-14, 0x1.a14d3ff818cacp-14, 0x1.9f09a73f1755fp-14, 0x1.9cc57eeee6a78p-14, 0x1.9a844f12882bbp-14, 0x1.984658e1e5b8ap-14, 0x1.9606cffc6f7ffp-14, 0x1.93c862671a974p-14, 0x1.918b59745c64fp-14, 0x1.8f502a08173fdp-14, 0x1.8d164eca18793p-14, 0x1.8add76407f5e9p-14, 0x1.88a5062e4f26cp-14, 0x1.866f92314ffeap-14, 0x1.843bd8f280a9ep-14, 0x1.820339a206e44p-14, 0x1.7fd45f9c5a20ap-14, 0x1.7da490f211b3dp-14, 0x1.7b75a2512ff38p-14, 0x1.7947519329825p-14, 0x1.771af7aeffcdep-14, 0x1.74f0600207466p-14, 0x1.72c7b8ff738fbp-14, 0x1.709f30f76a98ap-14, 0x1.6e7980f55a2p-14, 0x1.6c54d65286e7cp-14, 0x1.6a32d385335edp-14, 0x1.681227b8ddd2dp-14, 0x1.65f18b84accf3p-14, 0x1.63d41ec958773p-14, 0x1.61b7d1e326b7p-14, 0x1.5f9d172d86ac9p-14, 0x1.5d846a6d35d71p-14, 0x1.5b6e2424cdc4p-14, 0x1.59590b8148a71p-14, 0x1.5746738109265p-14, 0x1.55335c93b836ap-14, 0x1.53237c9ce028ep-14, 0x1.511555016eea6p-14, 0x1.4f0c4c8be5eb2p-14, 0x1.4d015312f2735p-14, 0x1.4af73da2ea57dp-14, 0x1.48f030f414deap-14, 0x1.46eb7b98a56c3p-14, 0x1.44e995d9cbc1p-14, 0x1.42e7e1956a51p-14, 0x1.40e8edde85589p-14, 0x1.3eec251588e91p-14, 0x1.3cf17faffd352p-14, 0x1.3af83709c2102p-14, 0x1.3900a8c063ee2p-14, 0x1.370bed059eeb1p-14, 0x1.351708e2848a1p-14, 0x1.33257dc88d5f3p-14, 0x1.3136f9b7a1db3p-14, 0x1.2f4aa078685cfp-14, 0x1.2d5e972f48579p-14, 0x1.2b75e6e963394p-14, 0x1.298dbafc416cp-14, 0x1.27a8bf669e107p-14, 0x1.25c5849dce8e9p-14, 0x1.23e4fd6b8f746p-14, 0x1.22048d0027c03p-14, 0x1.20270af1127b5p-14, 0x1.1e4c07118d29fp-14, 0x1.1c74bca8ee89cp-14, 0x1.1a9e11442f3d3p-14, 0x1.18c8eb855df6dp-14, 0x1.16f60d709e2a9p-14, 0x1.15233d5a8b191p-14, 0x1.13554de88865ap-14, 0x1.118a594e5832dp-14, 0x1.0fbfeb69dd7f7p-14, 0x1.0df63c84c6efp-14, 0x1.0c2fd267c9b42p-14, 0x1.0a7f1445006a8p-14, 0x1.08aaabfe6ec8cp-14, 0x1.06ea5f02f05a2p-14, 0x1.052ca4dc27c0ap-14, 0x1.03704b8f00763p-14, 0x1.01b752b0a33b6p-14, 0x1.ffff95dc7c045p-15, 0x1.fc94b22a3bccfp-15, 0x1.f930590971179p-15, 0x1.f5cbcedc471ebp-15, 0x1.f26dbbf9e9a12p-15, 0x1.ef141fe7c6f28p-15, 0x1.ebbb945efaafep-15, 0x1.e86c0ed2158cbp-15, 0x1.e51f571fcb233p-15, 0x1.e1d67bcc794aep-15, 0x1.deb68aa58b312p-15, 0x1.db54bfed7fffdp-15, 0x1.d81594df04e43p-15, 0x1.d4dd9334639dp-15, 0x1.d1a7b6de38348p-15, 0x1.ce79193a9bd2ap-15, 0x1.cb4cbd45bbdd1p-15, 0x1.c8275204581fep-15, 0x1.c503bc065c5e5p-15, 0x1.c1e55ba24028ep-15, 0x1.bec9c604ad441p-15, 0x1.bbb353375998ep-15, 0x1.b8a0cdb3601ep-15, 0x1.b593206779efdp-15, 0x1.b286e51fad4cdp-15, 0x1.af866b5b23175p-15, 0x1.ac8250237d808p-15, 0x1.a984ea9f4417ep-15, 0x1.a68abae937c7cp-15, 0x1.a3948add59226p-15, 0x1.a0a94e48c267p-15, 0x1.9db8e2d2434b3p-15, 0x1.9acea0bd6338cp-15, 0x1.97ea581cea476p-15, 0x1.9509ca3188463p-15, 0x1.922b98d774ee5p-15, 0x1.8f568cb8ee51bp-15, 0x1.8c81b6e4e4bf9p-15, 0x1.89b43560f940cp-15, 0x1.86e4131fd4a68p-15, 0x1.84186cf6877f1p-15, 0x1.81574259d99b2p-15, 0x1.7e9976457a79bp-15, 0x1.7bdaccc52425ep-15, 0x1.7925494d5ad18p-15, 0x1.766faed6ff0c1p-15, 0x1.73bfe16066981p-15, 0x1.7115588ee639ep-15, 0x1.6e6b9544adbaap-15, 0x1.6bc7b52031f3cp-15, 0x1.6927ed95168aap-15, 0x1.668d14962e092p-15, 0x1.63f0beada9cf8p-15, 0x1.615ee7bcf753fp-15, 0x1.5ececfad82fd7p-15, 0x1.5c41ebca70a92p-15, 0x1.59b97dff876fcp-15, 0x1.57341c96e607cp-15, 0x1.54b17493c91f6p-15, 0x1.52373e64b6f6ap-15, 0x1.4fbc8590c4139p-15, 0x1.4d46ff2b118cp-15, 0x1.4ad5c00927519p-15, 0x1.48688dddf4f03p-15, 0x1.45ff5dd21af64p-15, 0x1.439925f1086bp-15, 0x1.4134eee79ca23p-15, 0x1.3ed61856237f8p-15, 0x1.3c7b2293de8a5p-15, 0x1.3a23d2f57374p-15, 0x1.37d0424211f2fp-15, 0x1.3580cf5eddcfbp-15, 0x1.3333f1fb8544bp-15, 0x1.30e98689cd39fp-15, 0x1.2ea627582a648p-15, 0x1.2c651fbf2c4b5p-15, 0x1.2a2735b0d5f5cp-15, 0x1.27ed10a42671dp-15, 0x1.25b6a1393b01ap-15, 0x1.23839ab63cde2p-15, 0x1.21559d009284cp-15, 0x1.1f28510df8a4ap-15, 0x1.1d000276baebep-15, 0x1.1adb09da1c281p-15, 0x1.18ba9394bdbe5p-15, 0x1.169b1727ca8f5p-15, 0x1.148149dd754d3p-15, 0x1.126a0b4f96919p-15, 0x1.105897e7eba7ep-15, 0x1.0e48e011aee48p-15, 0x1.0c3b480d31c96p-15, 0x1.0a2d9101c427bp-15, 0x1.083171debff7fp-15, 0x1.062d929178368p-15, 0x1.042c3210ff623p-15, 0x1.022d6970667a8p-15, 0x1.00357f5a39a53p-15, 0x1.fc818c52aabc8p-16, 0x1.f8a56a4c47054p-16, 0x1.f4c509700c26ap-16, 0x1.f0eceab832098p-16, 0x1.ed1cd9fcba56fp-16, 0x1.e9540e7153326p-16, 0x1.e5903b72d6ebcp-16, 0x1.e1d4283b934eep-16, 0x1.de1dcae994192p-16, 0x1.da6e96188a885p-16, 0x1.d6c586b9412d9p-16, 0x1.d3210d26536cep-16, 0x1.cf81f52a61c61p-16, 0x1.cbeda84cc7dbep-16, 0x1.c85e04a0bc75ep-16, 0x1.c4d39f8239cc5p-16, 0x1.c14fa15d976fap-16, 0x1.bdd08c2602de3p-16, 0x1.ba58ddcc39defp-16, 0x1.b6e8920893effp-16, 0x1.b37a601d0ac1p-16, 0x1.b016a88d422c6p-16, 0x1.acb7d3c4b4e1p-16, 0x1.a95bb38f80c0dp-16, 0x1.a6078d8dfa54p-16, 0x1.a2b9e04b4d646p-16, 0x1.9f7154030e307p-16, 0x1.9c2f1d68663b7p-16, 0x1.98f26bf0f806p-16, 0x1.95bae8fa90b01p-16, 0x1.928a5d0b10b0ap-16, 0x1.8f5f705f73d77p-16, 0x1.8c354b338bd64p-16, 0x1.8903dd19c94cap-16, 0x1.85fbda06d7c9bp-16, 0x1.82e8ecb94c5f3p-16, 0x1.7fd8b48179c2cp-16, 0x1.7cce440766552p-16, 0x1.79c98e60af787p-16, 0x1.76cacb77b1deap-16, 0x1.73d291bc3b25cp-16, 0x1.70d951404f2e1p-16, 0x1.6ded27981fbfcp-16, 0x1.6b04f4eea115bp-16, 0x1.6820449fd5618p-16, 0x1.653f1eaaee012p-16, 0x1.627363e9a03d2p-16, 0x1.5f91c0c46015fp-16, 0x1.5cc5baff874e1p-16, 0x1.59f41cd904311p-16, 0x1.572faf46e7c64p-16, 0x1.54727573b126bp-16, 0x1.51b76c6c75baep-16, 0x1.4efffd98ca2d4p-16, 0x1.4c4fd9bda14cdp-16, 0x1.49a65763e9a0ap-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.b002197c1894ap-2, -0x1.b0746bd09b03dp-2, -0x1.b131abfa1e5e5p-2, -0x1.b237f79780f23p-2, -0x1.b384bf8ab7cdfp-2, -0x1.b514d8ac873fap-2, -0x1.b6e48e2314247p-2, -0x1.b8efb463c99ddp-2, -0x1.bb31bc2509387p-2, -0x1.bda5c4b771cdbp-2, -0x1.c046ad68ddc34p-2, -0x1.c30f25b4fe161p-2, -0x1.c5f9bc21a5604p-2, -0x1.c900ebb880e7fp-2, -0x1.cc1f281e3ed6fp-2, -0x1.cf4ee85119cap-2, -0x1.d28ab01f573d8p-2, -0x1.d5cd186a40f14p-2, -0x1.d910d64c3b407p-2, -0x1.dc50c13950efdp-2, -0x1.df87d83154a6ap-2, -0x1.e2b14619e2faep-2, -0x1.e5c86555445c2p-2, -0x1.e8c8c2a9da2e7p-2, -0x1.ebae1f8c27a25p-2, -0x1.ee7473dc16467p-2, -0x1.f117ef249b347p-2, -0x1.f394f96b9296dp-2, -0x1.f5e8339e5babfp-2, -0x1.f80e77a6a73f2p-2, -0x1.fa04d831e2411p-2, -0x1.fbc8a034aefaap-2, -0x1.fd5752331cf2bp-2, -0x1.feaea75571f4ep-2, -0x1.ffcc8e50c7b74p-2, -0x1.00579514fef3ep-1, -0x1.00aa686c87b08p-1, -0x1.00de04e91983ep-1, -0x1.00f1c63ce3dbp-1, -0x1.00e51f43c5f69p-1, -0x1.00b7992e9aec7p-1, -0x1.0068d2aa0bf8ap-1, -0x1.fff0fe0520682p-2, -0x1.feccca8e2376bp-2, -0x1.fd64bed70fac4p-2, -0x1.fbb8b2d957d45p-2, -0x1.f9c8a0eb92621p-2, -0x1.f794a4130e19dp-2, -0x1.f51cf65cd785ap-2, -0x1.f261ef3f6b6dbp-2, -0x1.ef6402062701cp-2, -0x1.ec23bc4744692p-2, -0x1.e8a1c46511e2ap-2, -0x1.e4ded81ae21f4p-2, -0x1.e0dbcb161150fp-2, -0x1.dc99859b53b57p-2, -0x1.d8190338713c5p-2, -0x1.d35b518268204p-2, -0x1.ce618edfe8d13p-2, -0x1.c92ce96000f67p-2, -0x1.c3be9d9cbc5cep-2, -0x1.be17f5a97b99bp-2, -0x1.b83a480cab817p-2, -0x1.b226f6c4857c3p-2, -0x1.abdf6e567ccbfp-2, -0x1.a56524e8f16a7p-2, -0x1.9eb99966bd2efp-2, -0x1.97de52ac3cac9p-2, -0x1.90d4debd5c28cp-2, -0x1.899ed2044e10ap-2, -0x1.823dc698749e6p-2, -0x1.7ab35b8d2799fp-2, -0x1.73013447e52cdp-2, -0x1.6b28f7dd9dbebp-2, -0x1.632c5076b6938p-2, -0x1.5b0ceab96d67cp-2, -0x1.52cc753a4d716p-2, -0x1.4a6c9ff26c518p-2, -0x1.41ef1bbb1af6bp-2, -0x1.395599ced1438p-2, -0x1.30a1cb4f12807p-2, -0x1.27d560cf0e581p-2, -0x1.1ef209e2c7648p-2, -0x1.15f974b294a45p-2, -0x1.0ced4d92c6dd3p-2, -0x1.03cf3e9f52425p-2, -0x1.f541deb69d40ap-3, -0x1.e2c808a864b55p-3, -0x1.d0343d914bd6dp-3, -0x1.bd89b8a5ab056p-3, -0x1.aacbad2c54aeap-3, -0x1.97fd45e09fe8p-3, -0x1.8521a45af3408p-3, -0x1.723be07f9e8a3p-3, -0x1.5f4f07f3ecba5p-3, -0x1.4c5e1d9951bc5p-3, -0x1.396c190e93aa9p-3, -0x1.267be636e8646p-3, -0x1.139064c6df0aap-3, -0x1.00ac67d719c88p-3, -0x1.dba56af967b23p-4, -0x1.b60c0cce997dfp-4, -0x1.90920b09615bbp-4, -0x1.6b3c9f54004dep-4, -0x1.4610e684b3b9p-4, -0x1.2113e005dc496p-4, -0x1.f894da91d0facp-5, -0x1.af72a287c8127p-5, -0x1.66ca5ff329074p-5, -0x1.1ea51c17feebbp-5, -0x1.ae1741650e993p-6, -0x1.200cee8a89011p-6, -0x1.2677a1ecdb5e2p-7, -0x1.ecfdcef485ae1p-12, 0x1.04f62783a62aep-7, 0x1.0b424994bebbdp-6, 0x1.929328e521e9dp-6, 0x1.0c2fdaf5f9e3ep-5, 0x1.4e4d3d64a0bd5p-5, 0x1.8f9b43db3e3bfp-5, 0x1.d013b98ae0ce7p-5, 0x1.07d85657a48e8p-4, 0x1.2736373a4540bp-4, 0x1.4620c966216b5p-4, 0x1.649578196e829p-4, 0x1.8291cfb2a6befp-4, 0x1.a0137d83dbe76p-4, 0x1.bd184f9ec4818p-4, 0x1.d99e3499a695cp-4, 0x1.f5a33b4d806f7p-4, 0x1.0892c946c0ff5p-3, 0x1.1611c46c25388p-3, 0x1.234dc60176d9p-3, 0x1.3046146f203f2p-3, 0x1.3cfa056b38279p-3, 0x1.4968fdc6aafa9p-3, 0x1.55927137d84e9p-3, 0x1.6175e222c0c6p-3, 0x1.6d12e15ef3c8ap-3, 0x1.78690dfb4b2abp-3, 0x1.837814ffa3607p-3, 0x1.8e3fb12cac643p-3, 0x1.98bfaab9f1367p-3, 0x1.a2f7d7123684bp-3, 0x1.ace8188e53a4fp-3, 0x1.b6905e2e9e878p-3, 0x1.bff0a35310726p-3, 0x1.c908ef723de89p-3, 0x1.d1d955cf3c216p-3, 0x1.da61f52e99e2ap-3, 0x1.e2a2f78a853fp-3, 0x1.ea9c91c62d2ddp-3, 0x1.f24f03609584cp-3, 0x1.f9ba9626df15ap-3, 0x1.006fcef314715p-2, 0x1.03df3c0e91846p-2, 0x1.072bc5d6b7c41p-2, 0x1.0a55a4466f0ccp-2, 0x1.0d5d13bb52b0cp-2, 0x1.104254ce57be1p-2, 0x1.1305ac2c81582p-2, 0x1.15a7626fb67d4p-2, 0x1.1827c3f7bd9fdp-2, 0x1.1a8720c36a61ep-2, 0x1.1cc5cc4a032c4p-2, 0x1.1ee41d54ed23dp-2, 0x1.20e26dd9a353ap-2, 0x1.22c11ad3ff347p-2, 0x1.24808420e2664p-2, 0x1.26210c593da72p-2, 0x1.27a318ad870f7p-2, 0x1.290710c19d601p-2, 0x1.2a4d5e8926762p-2, 0x1.2b766e24655fp-2, 0x1.2c82adbd9933fp-2, 0x1.2d728d66ddb38p-2, 0x1.2e467ef89d6eap-2, 0x1.2efef5f091937p-2, 0x1.2f9c67515821fp-2, 0x1.301f4982a39e6p-2, 0x1.308814320674fp-2, 0x1.30d740345c40bp-2, 0x1.310d4767da335p-2, 0x1.312aa496bf92ep-2, 0x1.312fd35ab06cap-2, 0x1.311d5000b8b95p-2, 0x1.30f3976dfa975p-2, 0x1.30b3270508ebap-2, 0x1.305c7c8befbc6p-2, 0x1.2ff01612eb253p-2, 0x1.2f6e71dbcd56bp-2, 0x1.2ed80e421481bp-2, 0x1.2e2d69a3b3521p-2, 0x1.2d6f024a839e1p-2, 0x1.2c9d56566f9a2p-2, 0x1.2bb8e3a847747p-2, 0x1.2ac227cd4438ap-2, 0x1.29b99feb3db38p-2, 0x1.289fc8ad8939dp-2, 0x1.27751e3288caep-2, 0x1.263a1bf9e2a61p-2, 0x1.24ef3cd364658p-2, 0x1.2394face8b775p-2, 0x1.222bcf2aba6e1p-2, 0x1.20b432480b549p-2, 0x1.1f2e9b98cca61p-2, 0x1.1d9b81939ad8ap-2, 0x1.1bfb59a6191d1p-2, 0x1.1a4e98284aa65p-2, 0x1.1895b05082cbp-2, 0x1.16d11427ef15ep-2, 0x1.1501347fb5fdp-2, 0x1.132680e6ac039p-2, 0x1.1141679f9678cp-2, 0x1.0f525597fe792p-2, 0x1.0d59b65f8d979p-2, 0x1.0b57f41ff5f26p-2, 0x1.094d77955ea92p-2, 0x1.073aa80753629p-2, 0x1.051feb4236017p-2, 0x1.02fda5912c5f4p-2, 0x1.00d439b88a0ddp-2, 0x1.fd4811e161af6p-3, 0x1.f8dae5c2cd5cfp-3, 0x1.f461ab3b3b039p-3, 0x1.efdd1b3f583bdp-3, 0x1.eb4deb8bddabp-3, 0x1.e6b4ce9fad1f5p-3, 0x1.e21273b6b6766p-3, 0x1.dd6786c5a34e5p-3, 0x1.d8b4b076451bbp-3, 0x1.d3fa9624bf7c7p-3, 0x1.cf39d9dd66dbbp-3, 0x1.ca731a5b4c5f3p-3, 0x1.c5a6f3077aa0fp-3, 0x1.c0d5fbf8d0bddp-3, 0x1.bc00c9f47c99ap-3, 0x1.b727ee6f12963p-3, 0x1.b24bf78e358c4p-3, 0x1.ad6d702acd435p-3, 0x1.a88cdfd3ca878p-3, 0x1.a3aacad16826fp-3, 0x1.9ec7b228ee1e2p-3, 0x1.99e413a0f0cap-3, 0x1.950069c5feef5p-3, 0x1.901d2befc4bebp-3, 0x1.8b3ace4694004p-3, 0x1.8659c1c9578fbp-3, 0x1.817a7453e4148p-3, 0x1.7c9d50a5a4361p-3, 0x1.77c2be68a12adp-3, 0x1.72eb2238dc342p-3, 0x1.6e16ddabf3c01p-3, 0x1.69464f5917b4cp-3, 0x1.6479d2e144fbbp-3, 0x1.5fb1c0f7bf80fp-3, 0x1.5aee6f6acb86ep-3, 0x1.5630312ca3abbp-3, 0x1.5177565ca577ep-3, 0x1.4cc42c50abaa4p-3, 0x1.4816fd9ea0cf3p-3, 0x1.4370122633451p-3, 0x1.3ecfaf1abb63dp-3, 0x1.3a36170d3f8c6p-3, 0x1.35a389f69c48dp-3, 0x1.31184541ccf83p-3, 0x1.2c9483d64b589p-3, 0x1.28187e228cf9bp-3, 0x1.23a46a268ec28p-3, 0x1.1f387b7e7f3f8p-3, 0x1.1ad4e36d69d2dp-3, 0x1.1679d0e7fb66p-3, 0x1.1227709f4d44cp-3, 0x1.0ddded0bb53dfp-3, 0x1.099d6e77a3d83p-3, 0x1.05661b0a7f011p-3, 0x1.013816d38041dp-3, 0x1.fa2707a927a8ep-4, 0x1.f1f1041a66a7p-4, 0x1.e9ce5f0a78073p-4, 0x1.e1bf50af8331p-4, 0x1.d9c40d7ba5ce1p-4, 0x1.d1dcc6326f1bbp-4, 0x1.ca09a7fe49a43p-4, 0x1.c24adc85c0074p-4, 0x1.baa08a00a59c1p-4, 0x1.b30ad34d26729p-4, 0x1.ab89d804ad1c6p-4, 0x1.a41db4909ffeep-4, 0x1.9cc6823efd38ep-4, 0x1.95845756c6273p-4, 0x1.8e57472c3ec14p-4, 0x1.873f6234ff384p-4, 0x1.803cb61bd3a08p-4, 0x1.794f4dd464028p-4, 0x1.727731aeae55bp-4, 0x1.6bb4676a458b4p-4, 0x1.6506f249565e8p-4, 0x1.5e6ed323748dbp-4, 0x1.57ec08782f404p-4, 0x1.517e8e816563ep-4, 0x1.4b265f455b3bfp-4, 0x1.44e372a894205p-4, 0x1.3eb5be7f6c068p-4, 0x1.389d369f6dd69p-4, 0x1.3299ccf06b4cdp-4, 0x1.2cab717d514cfp-4, 0x1.26d21284b73fcp-4, 0x1.210d9c892d865p-4, 0x1.1b5dfa614750dp-4, 0x1.15c315475fdap-4, 0x1.103cd4e91916ap-4, 0x1.0acb1f7697043p-4, 0x1.056dd9b1765cp-4, 0x1.0024e6fb7a711p-4, 0x1.f5e052c9f1d08p-5, 0x1.eb9f0375f71b8p-5, 0x1.e1859f2a44f67p-5, 0x1.d793e2c6736eep-5, 0x1.cdc988f51b7dp-5, 0x1.c4264a45f086bp-5, 0x1.baa9dd4750aadp-5, 0x1.b153f69f500cep-5, 0x1.a82449242e3e5p-5, 0x1.9f1a85f450826p-5, 0x1.96365c8dabd0bp-5, 0x1.8d777ae4a4eb5p-5, 0x1.84dd8d7a75aa4p-5, 0x1.7c683f72ff33fp-5, 0x1.74173aaa23e24p-5, 0x1.6bea27c8940f7p-5, 0x1.63e0ae5818b57p-5, 0x1.5bfa74d767d47p-5, 0x1.543720cd6ab48p-5, 0x1.4c9656dc11cddp-5, 0x1.4517bad2a3b1cp-5, 0x1.3dbaefbf8eb21p-5, 0x1.367f9801c5b88p-5, 0x1.2f655559a3078p-5, 0x1.286bc8f94fd52p-5, 0x1.21929394b5ae5p-5, 0x1.1ad95571048a3p-5, 0x1.143fae73b5fa4p-5, 0x1.0dc53e3128358p-5, 0x1.0769a3facf3bep-5, 0x1.012c7eece96c2p-5, 0x1.f61adbf7a10e8p-6, 0x1.ea182001c7ee7p-6, 0x1.de50078df2b0dp-6, 0x1.d2c1d02cf3406p-6, 0x1.c76cb782117efp-6, 0x1.bc4ffb59a4491p-6, 0x1.b16ad9bedc4b5p-6, 0x1.a6bc9110cd54bp-6, 0x1.9c446016c8703p-6, 0x1.92018613e44c3p-6, 0x1.87f342d9de276p-6, 0x1.7e18d6db3b566p-6, 0x1.7471833ccc753p-6, 0x1.6afc89e672998p-6, 0x1.61b92d9349b58p-6, 0x1.58a6b1e11a9d1p-6, 0x1.4fc45b5f35bfbp-6, 0x1.47116f9cb47b4p-6, 0x1.3e8d35361023fp-6, 0x1.3636f3e22c4f3p-6, 0x1.2e0df47ece0ccp-6, 0x1.2611811c6fde4p-6, 0x1.1e40e50993801p-6, 0x1.169b6cdd95086p-6, 0x1.0f206682d7f45p-6, 0x1.07cf214087225p-6, 0x1.00a6edc3c8c4bp-6, 0x1.f34e3c5104e0cp-7, 0x1.e59e0c030bc29p-7, 0x1.d83bf4c0c5f03p-7, 0x1.cb26a3b95f96cp-7, 0x1.be5cc935c47d4p-7, 0x1.b1dd18a5a0758p-7, 0x1.a5a648ab39a8ep-7, 0x1.99b71326bb57cp-7, 0x1.8e0e35408e87dp-7, 0x1.82aa6f72fe8cbp-7, 0x1.778a859310177p-7, 0x1.6cad3ed89d17p-7, 0x1.621165e5bf44cp-7, 0x1.57b5c8cd74408p-7, 0x1.4d993919d27d6p-7, 0x1.43ba8bd13d569p-7, 0x1.3a18997b44468p-7, 0x1.30b23e24b69c7p-7, 0x1.278659632cfd7p-7, 0x1.1e93ce580869ep-7, 0x1.15d983b2d98acp-7, 0x1.0d5663b33e13dp-7, 0x1.05095c2a357cfp-7, 0x1.f9e2bcf613041p-8, 0x1.ea1abf373564ep-8, 0x1.dab8b028a1ebap-8, 0x1.cbba87fef1b6p-8, 0x1.bd1e4610b9d94p-8, 0x1.aee1f0d384c4p-8, 0x1.a10395d8587fep-8, 0x1.938149c7306cfp-8, 0x1.86592859e40e3p-8, 0x1.798954562dc8ep-8, 0x1.6d0ff787183c5p-8, 0x1.60eb42b5c9c01p-8, 0x1.55196da1af2a3p-8, 0x1.4998b6f7cb077p-8, 0x1.3e676449e7469p-8, 0x1.3383c204b4727p-8, 0x1.28ec2365d8996p-8, 0x1.1e9ee27112548p-8, 0x1.149a5fe53c8fap-8, 0x1.0add0330940b9p-8, 0x1.01653a64a59d8p-8, 0x1.f062f453fa34p-9, 0x1.de807b663b24dp-9, 0x1.cd200d5e8e6p-9, 0x1.bc3eba7a332fep-9, 0x1.abd99fb8b8e4cp-9, 0x1.9bede6bfd7f2ep-9, 0x1.8c78c5be76d3dp-9, 0x1.7d777f4ed1ab9p-9, 0x1.6ee7625864904p-9, 0x1.60c5c9f1761fp-9, 0x1.53101d3fd9174p-9, 0x1.45c3cf59790b3p-9, 0x1.38de5f24b346p-9, 0x1.2c5d5737ec598p-9, 0x1.203e4db8f6f2fp-9, 0x1.147ee43c80509p-9, 0x1.091cc7a4acfc8p-9, 0x1.fc2b5fffb43efp-10, 0x1.e6cec0ce41cd9p-10, 0x1.d21f4db8d186p-10, 0x1.be18b851968ebp-10, 0x1.aab6c7746a831p-10, 0x1.97f5570337bedp-10, 0x1.85d057a06ea39p-10, 0x1.7443ce6b4cfd7p-10, 0x1.634bd4ba9134dp-10, 0x1.52e497d7d8a3cp-10, 0x1.430a58ba7b4fbp-10, 0x1.33b96bc2e7fe9p-10, 0x1.24ee3875ef675p-10, 0x1.16a53937d296ep-10, 0x1.08dafb0810bbdp-10, 0x1.f7183a787da62p-11, 0x1.dd6aa2790d1c4p-11, 0x1.c4a6b47cf010dp-11, 0x1.acc61a04ccbbcp-11, 0x1.95c29f1e654cfp-11, 0x1.7f9631dd94d28p-11, 0x1.6a3ae1d79fb8bp-11, 0x1.55aadf9ca6e86p-11, 0x1.41e07c33550dap-11, 0x1.2ed62896aff45p-11, 0x1.1c86753031287p-11, 0x1.0aec11579c56bp-11, 0x1.f40395a1a4059p-12, 0x1.d3851a97633b1p-12, 0x1.b452c3c8ee016p-12, 0x1.9662dd4ae23ccp-12, 0x1.79abec13342ffp-12, 0x1.5e24acffa3605p-12, 0x1.43c413df3d4c6p-12, 0x1.2a814a7e4b61ep-12, 0x1.1253afb2e554ap-12, 0x1.f665acdb35ff5p-13, 0x1.ca2d0994ab556p-13, 0x1.9fed664dde5cap-13, 0x1.7797167124b1p-13, 0x1.511ace46d9c84p-13, 0x1.2c69a13988ba9p-13, 0x1.097500035e188p-13, 0x1.d05d6df227f91p-14, 0x1.9111d898204b8p-14, 0x1.54ec3cac74fc9p-14, 0x1.1bd243d9ad2c3p-14, 0x1.cb5482d17a86ap-15, 0x1.64b65df6051fap-15, 0x1.0399528821e15p-15, 0x1.4f9bb360838d8p-16, 0x1.44969813ab941p-17, -0x1.18c552ab145cdp-24, -0x1.35d0b6606aa63p-17, -0x1.2b790221f8645p-16, -0x1.b31e04f924d16p-16, -0x1.19143c3df43d9p-15, -0x1.5473a398bca7ep-15, -0x1.8bd39e658edfcp-15, -0x1.bf5988c59d879p-15, -0x1.ef29bab622d56p-15, -0x1.0db3c6cdb29a9p-14, -0x1.221ab0d40668p-14, -0x1.34da51962b128p-14, -0x1.4602e7f406d11p-14, -0x1.55a43e1d17688p-14, -0x1.63cdac1af61d5p-14, -0x1.708e1a53ef67dp-14, -0x1.7bf4040706da6p-14, -0x1.860d79b77aa6fp-14, -0x1.8ee8239414672p-14, -0x1.969143cc7dc69p-14, -0x1.9d15b8e76c9fap-14, -0x1.a282000a8fe7ap-14, -0x1.a6e237313ba68p-14, -0x1.aa421f640a78ap-14, -0x1.acad1ee1ea7aep-14, -0x1.ae2e433fbf86fp-14, -0x1.aed0437e74611p-14, -0x1.ae9d821a8c443p-14, -0x1.ada00f0bc9936p-14, -0x1.abe1a9c7e0909p-14, -0x1.a96bc3271c208p-14, -0x1.a6477f5358dfbp-14, -0x1.a27db7aa6941dp-14, -0x1.9e16fc924f93bp-14, -0x1.991b97455b77bp-14, -0x1.93938b995bd13p-14, -0x1.8d8699ba074a9p-14, -0x1.86fc3fe00a4a5p-14, -0x1.7ffbbbf791497p-14, -0x1.788c0d489ba66p-14, -0x1.70b3f6115ce9fp-14, -0x1.6879fd1932f8ap-14, -0x1.5fe46f37c97c1p-14, -0x1.56f960d9a68cfp-14, -0x1.4dbeaf8096191p-14, -0x1.443a033350d03p-14, -0x1.3a70cfe8dd98bp-14, -0x1.306856efd04e5p-14, -0x1.2625a84a80075p-14, -0x1.1bada40721d95p-14, -0x1.1104fb86915fbp-14, -0x1.063032ce8cebap-14, -0x1.f6674387c9d8ep-15, -0x1.e026ead3e8164p-15, -0x1.c9a762222839ep-15, -0x1.b2f05f022ef1p-15, -0x1.9c09484bd143ap-15, -0x1.84f9385acff7p-15, -0x1.6dc6ff37a5c96p-15, -0x1.567924c649559p-15, -0x1.3f15eae1aa9f7p-15, -0x1.27a34f653c126p-15, -0x1.10270e31237c3p-15, -0x1.f14d4622afaf7p-16, -0x1.c24e977ca817bp-16, -0x1.935c13609b099p-16, -0x1.647f47efde43p-16, -0x1.35c15200f3cf9p-16, -0x1.072ae0a557c16p-16, -0x1.b188712af2609p-17, -0x1.552a6ef464cfp-17, -0x1.f2955c9bdff1ep-18, -0x1.3beec32ff4d9p-18, -0x1.0cf8008b74dfcp-19, 0x1.6d4b3ccb1ec4cp-21, 0x1.c0d29ca348a02p-19, 0x1.91ace0f2879c8p-18, 0x1.20af4a186ab7ep-17, 0x1.77b50cd46d33p-17, 0x1.cdde2a8fa2b91p-17, 0x1.1190d49894a6bp-16, 0x1.3bbb8ec25784fp-16, 0x1.656b53233bc2fp-16, 0x1.8e9c73b4f61a5p-16, 0x1.b74b82be3a8ebp-16, 0x1.df75508681bf7p-16, 0x1.038b748f00e63p-15, 0x1.1716c918e97fbp-15, 0x1.2a5b647dc0844p-15, 0x1.3d58201c3d7aap-15, 0x1.500bef18125a8p-15, 0x1.6275dd5edfbdep-15, 0x1.74950eb76b91ep-15, 0x1.8668bdddb3bbap-15, 0x1.97f03b9e16302p-15, 0x1.a92aedf298014p-15, 0x1.ba184f329ce84p-15, 0x1.cab7ed3d7ded3p-15, 0x1.db0968b935b91p-15, 0x1.eb0c74468ef64p-15, 0x1.fac0d3c23f931p-15, 0x1.05132dc538bdep-14, 0x1.0c9e77e6345fep-14, 0x1.140241eb2c112p-14, 0x1.1b3e8cb7975c8p-14, 0x1.2253601668d5cp-14, 0x1.2940ca6c6c6ebp-14, 0x1.3006e06aee389p-14, 0x1.36a5bcc54728p-14, 0x1.3d1d7fe5f297cp-14, 0x1.436e4fa82e722p-14, 0x1.4998571542a84p-14, 0x1.4f9bc621e8e93p-14, 0x1.5578d170dfdd1p-14, 0x1.5b2fb210d9f75p-14, 0x1.60c0a541c9da7p-14, 0x1.662bec3c7045ep-14, 0x1.6b71cbf72b189p-14, 0x1.70928cf3706bp-14, 0x1.758e7b06964d1p-14, 0x1.7a65e5276579ep-14, 0x1.7f191d3e55b56p-14, 0x1.83a877f7bb00cp-14, 0x1.88144c92f2da7p-14, 0x1.8c5cf4b7a059fp-14, 0x1.9082cc49d2b21p-14, 0x1.9486314288974p-14, 0x1.9867838925391p-14, 0x1.9c2724cbd9e58p-14, 0x1.9fc5785a94f3ep-14, 0x1.a342e304161f7p-14, 0x1.a69fcaf3fac2dp-14, 0x1.a9dc979200a57p-14, 0x1.acf9b16236c0bp-14, 0x1.aff781e6841d6p-14, 0x1.b2d673813414dp-14, 0x1.b596f15a08345p-14, 0x1.b8396744a4019p-14, 0x1.babe41a348ca4p-14, 0x1.bd25ed5066a69p-14, 0x1.bf70d785ba953p-14, 0x1.c19f6dc5b2746p-14, 0x1.c3b21dc669e8ap-14, 0x1.c5a9555dc5b1p-14, 0x1.c785826a2c7d6p-14, 0x1.c94712c34ad08p-14, 0x1.caee7423f8ad6p-14, 0x1.cc7c141cb339p-14, 0x1.cdf06000c0dfp-14, 0x1.cf4bc4d6801b2p-14, 0x1.d08eaf48d2e43p-14, 0x1.d1b98b9814fedp-14, 0x1.d2ccc58e1554p-14, 0x1.d3c8c871ae014p-14, 0x1.d4adfef6d07b1p-14, 0x1.d57cd3366a4aep-14, 0x1.d635aea26e9c4p-14, 0x1.d6d8f9fa4be09p-14, 0x1.d7671d424409ap-14, 0x1.d7e07fbb54e1ap-14, 0x1.d84587d78f0edp-14, 0x1.d8969b33c9c9cp-14, 0x1.d8d41e901eedp-14, 0x1.d8fe75c8a9ac8p-14, 0x1.d91603cdba96cp-14, 0x1.d91b2a9fd4c27p-14, 0x1.d90e4b46a4c25p-14, 0x1.d8efc5cdd431fp-14, 0x1.d8bff940a035p-14, 0x1.d87f43a45a8acp-14, 0x1.d82e01f30b0e2p-14, 0x1.d7cc901a5fb19p-14, 0x1.d75b48f572389p-14, 0x1.d6da864bc3027p-14, 0x1.d64aa0cccbefp-14, 0x1.d5abf00ec184p-14, 0x1.d4feca8bfa31cp-14, 0x1.d443859f6d355p-14, 0x1.d37a75860711p-14, 0x1.d2a3ed5b9bb9bp-14, 0x1.d1c03f198e835p-14, 0x1.d0cfbb9737024p-14, 0x1.cfd2b288cb9fcp-14, 0x1.cec9727d75ce7p-14, 0x1.cdb448e0dc8e7p-14, 0x1.cc9381fb85b48p-14, 0x1.cb6768f145febp-14, 0x1.ca3047c2cf325p-14, 0x1.c8ee674f5b0d2p-14, 0x1.c7a20f528ed6dp-14, 0x1.c64b8668632d5p-14, 0x1.c4eb120c12335p-14, 0x1.c380f69ac41c8p-14, 0x1.c20d77536ec02p-14, 0x1.c090d6595181fp-14, 0x1.bf0b54b5ef865p-14, 0x1.bd7d325a084b9p-14, 0x1.bbe6ae1faeb1p-14, 0x1.ba4805ccf7505p-14, 0x1.b8a17614fbe59p-14, 0x1.b6f33a9a6cd61p-14, 0x1.b53d8df1cfd9p-14, 0x1.b380a9a32ae83p-14, 0x1.b1bcc62dc805bp-14, 0x1.aff21b09e593fp-14, 0x1.ae20deab2ea42p-14, 0x1.ac494683a85c2p-14, 0x1.aa6b8705f09fap-14, 0x1.a887d3a890574p-14, 0x1.a69e5ee7b6986p-14, 0x1.a4af5a4971824p-14, 0x1.a2baf65ef1f5ep-14, 0x1.a0c162c8b5235p-14, 0x1.9ec2ce38e4e24p-14, 0x1.9cbf6675f0c98p-14, 0x1.9ab7585f2bedbp-14, 0x1.98aacfedbfe4cp-14, 0x1.9699f838cdadap-14, 0x1.9484fb78f296ap-14, 0x1.926c03096a45bp-14, 0x1.904f376c4d873p-14, 0x1.8e2ec04ebfd21p-14, 0x1.8c0ac48a706d5p-14, 0x1.89e36a291487ap-14, 0x1.87b8d66789378p-14, 0x1.858b2db98b5cep-14, 0x1.835a93cbe52cdp-14, 0x1.81272b871ee2p-14, 0x1.7ef11714754b5p-14, 0x1.7cb877df943aap-14, 0x1.7a7d6e98f84e5p-14, 0x1.78401b3a27445p-14, 0x1.76009d08ff8dbp-14, 0x1.73bf12998caecp-14, 0x1.717b99d17efeap-14, 0x1.6f364febaf4bp-14, 0x1.6cef517b3c296p-14, 0x1.6aa6ba6cc33c7p-14, 0x1.685ca60a03771p-14, 0x1.66112efe6a1a9p-14, 0x1.63c46f58954d1p-14, 0x1.6176808c948fep-14, 0x1.5f277b77c72d7p-14, 0x1.5cd778633dd56p-14, 0x1.5a868f06edb97p-14, 0x1.5834d68b3bf83p-14, 0x1.55e2658d023c2p-14, 0x1.538f522051706p-14, 0x1.513bb1d1e281ap-14, 0x1.4ee799aa1c72ap-14, 0x1.4c931e3066d16p-14, 0x1.4a3e536d75e33p-14, 0x1.47e94cecd60edp-14, 0x1.45941dc014595p-14, 0x1.433ed882772d9p-14, 0x1.40e98f5a2f86dp-14, 0x1.3e9453f9a1e1ap-14, 0x1.3c3f37a2fa446p-14, 0x1.39ea4b2b89b2p-14, 0x1.37959efcca4abp-14, 0x1.354143167a77ap-14, 0x1.32ed4710cc441p-14, 0x1.3099ba2004ecbp-14, 0x1.2e46ab14d4f71p-14, 0x1.2bf4285f55fc5p-14, 0x1.29a2401167957p-14, 0x1.2750ffe081359p-14, 0x1.250075277a4a1p-14, 0x1.22b0ace852882p-14, 0x1.2061b3ceff9ebp-14, 0x1.1e139633084cfp-14, 0x1.1bc66018aabd6p-14, 0x1.197a1d32fc042p-14, 0x1.172ed8e6e0549p-14, 0x1.14e49e4c55bf6p-14, 0x1.129b782f527fp-14, 0x1.1053711163d6dp-14, 0x1.0e0c932cfe03p-14, 0x1.0bc6e875dbe0ep-14, 0x1.09827a9b91b7dp-14, 0x1.073f5309bcf6cp-14, 0x1.04fd7aea77d2fp-14, 0x1.02bcfb288c977p-14, 0x1.007ddc6f5f20ap-14, 0x1.fc804e5b74bf2p-15, 0x1.f807c72dcf829p-15, 0x1.f39233478b029p-15, 0x1.ef1fa229c1251p-15, 0x1.eab022e554f8cp-15, 0x1.e643c4205c6p-15, 0x1.e1da9416f04ffp-15, 0x1.dd74a09d0cb7bp-15, 0x1.d911f7227d586p-15, 0x1.d4b2a4b5c901dp-15, 0x1.d056b606265f2p-15, 0x1.cbfe3764d915bp-15, 0x1.c7a934c6dd11ep-15, 0x1.c357b9ca4c3bcp-15, 0x1.bf09d1b514709p-15, 0x1.babf8779cee74p-15, 0x1.b678e5b82458ep-15, 0x1.b235f6befc881p-15, 0x1.adf6c48f4857fp-15, 0x1.a9bb58dce241cp-15, 0x1.a583bd11f46dap-15, 0x1.a14ffa4efb37bp-15, 0x1.9d20196e0ca91p-15, 0x1.98f423043aa17p-15, 0x1.94cc1f632600ap-15, 0x1.90a8169a11e9p-15, 0x1.8c8810790507ap-15, 0x1.886c1490afa31p-15, 0x1.84542a343f9f2p-15, 0x1.8040587c0b981p-15, 0x1.7c30a646b0f42p-15, 0x1.78251a3a8643bp-15, 0x1.741dbac599743p-15, 0x1.701a8e20828d1p-15, 0x1.6c1b9a4fd3e67p-15, 0x1.6820e5246e77dp-15, 0x1.642a743d72526p-15, 0x1.60384d091a0b1p-15, 0x1.5c4a74c6a967ap-15, 0x1.5860f0863d171p-15, 0x1.547bc52a8d0e3p-15, 0x1.509af76b4b40ep-15, 0x1.4cbe8bd3eb9fdp-15, 0x1.48e686c5e999ap-15, 0x1.4512ec7ace8f4p-15, 0x1.4143c1037a14dp-15, 0x1.3d790849c0a27p-15, 0x1.39b2c61101199p-15, 0x1.35f0fdf769632p-15, 0x1.3233b3767e441p-15, 0x1.2e7ae9e40081ap-15, 0x1.2ac6a473c92eap-15, 0x1.2716e6379458bp-15, 0x1.236bb21fd1a39p-15, 0x1.1fc50afc16db9p-15, 0x1.1c22f37d02063p-15, 0x1.18856e336135fp-15, 0x1.14ec7d92e9891p-15, 0x1.115823f088facp-15, 0x1.0dc8638499e07p-15, 0x1.0a3d3e6baadf6p-15, 0x1.06b6b6a5cfd39p-15, 0x1.0334ce17e8f38p-15, 0x1.ff6f0d1a10705p-16, 0x1.f87dc36b0ce95p-16, 0x1.f195c250156a4p-16, 0x1.eab70cc649f23p-16, 0x1.e3e1a59a62c17p-16, 0x1.dd158f67bc137p-16, 0x1.d652cc9ae0ccbp-16, 0x1.cf995f7217b65p-16, 0x1.c8e949fe2271ep-16, 0x1.c2428e241068bp-16, 0x1.bba52d9ced5e6p-16, 0x1.b51129f85b414p-16, 0x1.ae86849b5dc22p-16, 0x1.a8053ec204309p-16, 0x1.a18d59808f796p-16, 0x1.9b1ed5c16e388p-16, 0x1.94b9b44a3c768p-16, 0x1.8e5df5b9e250cp-16, 0x1.880b9a88dd79p-16, 0x1.81c2a30b0e608p-16, 0x1.7b830f70618dep-16, 0x1.754cdfc439bcp-16, 0x1.6f2013eead9ffp-16, 0x1.68fcabb5503bp-16, 0x1.62e2a6bb014bep-16, 0x1.5cd20480ffd8ep-16, 0x1.56cac4687fdecp-16, 0x1.50cce5b2ee0dp-16, 0x1.4ad8677f81ea5p-16, 0x1.44ed48cdc3776p-16, 0x1.3f0b887e45176p-16, 0x1.393325527348fp-16, 0x1.33641dedaa11fp-16, 0x1.2d9e70d49678bp-16, 0x1.27e21c6f43d0bp-16, 0x1.222f1f074478cp-16, 0x1.1c8576cb3522ep-16, 0x1.16e521cc19a59p-16, 0x1.114e1dfdb374ap-16, 0x1.0bc0693938fb9p-16, 0x1.063c013c500c8p-16, 0x1.00c0e3a877461p-16, 0x1.f69e1c09e475dp-17, 0x1.ebccfb7d19d46p-17, 0x1.e10e60508e7e4p-17, 0x1.d66244f51f416p-17, 0x1.cbc8a3a68d18p-17, 0x1.c141766ee7f04p-17, 0x1.b6ccb7271794ep-17, 0x1.ac6a5f73a7a93p-17, 0x1.a21a68cc0abf3p-17, 0x1.97dccc7732722p-17, 0x1.8db183878bdb7p-17, 0x1.839886e1679b3p-17, 0x1.7991cf3a65677p-17, 0x1.6f9d551810156p-17, 0x1.65bb10d2a8694p-17, 0x1.5beafa9340dbdp-17, 0x1.522d0a57a452ap-17, 0x1.488137ed2c4cdp-17, 0x1.3ee77af992985p-17, 0x1.355fcaf4a5d33p-17, 0x1.2bea1f275ac3bp-17, 0x1.22866eb1d58c8p-17, 0x1.1934b08a86b14p-17, 0x1.0ff4db7ad7397p-17, 0x1.06c6e6226dff4p-17, 0x1.fb558dee12fep-18, 0x1.e940e88e9bee7p-18, 0x1.d74fc86fd7cc1p-18, 0x1.c58219865d3bap-18, 0x1.b3d7c7777f76cp-18, 0x1.a250bd9c0f98ap-18, 0x1.90ece6fb76d0cp-18, 0x1.7fac2e4be2328p-18, 0x1.6e8e7e00ae5cbp-18, 0x1.5d93c039bfaedp-18, 0x1.4cbbdec998bf5p-18, 0x1.3c06c33a6ad17p-18, 0x1.2b7456c9bc1c3p-18, 0x1.1b04826cf6d5ep-18, 0x1.0ab72ece98a0bp-18, 0x1.f51888a1febe1p-19, 0x1.d5075624dbc9dp-19, 0x1.b53a95ca0dcf4p-19, 0x1.95b216b5dcc5p-19, 0x1.766da77ee2dfep-19, 0x1.576d162b80986p-19, 0x1.38b03041ae4e2p-19, 0x1.1a36c2c37d094p-19, 0x1.f8013442106b9p-20, 0x1.bc1b049ff4647p-20, 0x1.80ba8d8260071p-20, 0x1.45df64dac215dp-20, 0x1.0b891f946fb6dp-20, 0x1.a36ea31ffee38p-21, 0x1.30d31b6610c1ap-21, 0x1.7e7d980ff4091p-22, 0x1.3ac35d24a47c1p-23, -0x1.06bd167762efep-24, -0x1.1eb707a92f895p-22, -0x1.f9b75e2bf2674p-22, -0x1.695909f118e8ap-21, -0x1.d4d47b6704f41p-21, -0x1.1fa77611a2b03p-20, -0x1.5464a3587b432p-20, -0x1.88a23b9e998ap-20, -0x1.bc60b5dc1c15dp-20, -0x1.efa089da3deb4p-20, -0x1.11311816f3777p-19, -0x1.2a53111f46341p-19, -0x1.43366d1a72e4dp-19, -0x1.5bdb6982a7a9cp-19, -0x1.7442443df7c1p-19, -0x1.8c6b3b85b502bp-19, -0x1.a4568df317963p-19, -0x1.bc047a8ccf1fap-19, -0x1.d37540acf4856p-19, -0x1.eaa920057990ep-19, -0x1.00d02c51eb257p-18, -0x1.0c2d9572578c2p-18, -0x1.176cebc4ebd0dp-18, -0x1.228e4fd4b2353p-18, -0x1.2d91e2536167dp-18, -0x1.3877c4186989dp-18, -0x1.43401625fcdc2p-18, -0x1.4deaf9a7872dfp-18, -0x1.58788fea2ed2dp-18, -0x1.62e8fa63b11cbp-18, -0x1.6d3c5ab1fb75cp-18, -0x1.7772d290bb7b5p-18, -0x1.818c83e09f7bap-18, -0x1.8b8990a5ede27p-18, -0x1.956a1b063f92cp-18, -0x1.9f2e45493a634p-18, -0x1.a8d631d44b923p-18, -0x1.b262032f54814p-18, -0x1.bbd1dbff59656p-18, -0x1.c525df04c68e1p-18, -0x1.ce5e2f1ca483dp-18, -0x1.d77aef45fe185p-18, -0x1.e07c4295243a6p-18, -0x1.e9624c39be148p-18, -0x1.f22d2f804b478p-18, -0x1.fadd0fcdaecffp-18, -0x1.01b9084e99b99p-17, -0x1.05f62ac1596c1p-17, -0x1.0a2601123d83fp-17, -0x1.0e489d2244abfp-17, -0x1.125e10dd2bfecp-17, -0x1.16666e374f6d3p-17, -0x1.1a61c72e998cdp-17, -0x1.1e502dc9ab21fp-17, -0x1.2231b41b2ed81p-17, -0x1.26066c3bcc988p-17, -0x1.29ce684bfc2f8p-17, -0x1.2d89ba761eb42p-17, -0x1.313874ebdf196p-17, -0x1.34daa9e3c195ep-17, -0x1.38706b9ca85c4p-17, -0x1.3bf9cc5bf92d7p-17, -0x1.3f76de6c383b3p-17, -0x1.42e7b41e88826p-17, -0x1.464c5fc79c627p-17, -0x1.49a4f3c2f221fp-17, -0x1.4cf1826f36916p-17, -0x1.50321e2f32fa5p-17, -0x1.5366d96a24e3dp-17, -0x1.568fc68b3957p-17, -0x1.59acf7fd8877cp-17, -0x1.5cbe803121825p-17, -0x1.5fc471999136ap-17, -0x1.62bedeac25f84p-17, -0x1.65add9dc9d871p-17, -0x1.689175a1904cap-17, -0x1.6b69c4733b83ap-17, -0x1.6e36d8c9dc66ep-17, -0x1.70f8c51f2f89ap-17, -0x1.73af9bec7870cp-17, -0x1.765b6fa8dfa38p-17, -0x1.78fc52ca74a2bp-17, -0x1.7b9257c748602p-17, -0x1.7e1d9114bedd8p-17, -0x1.809e1125e1b5bp-17, -0x1.8313ea6a6c8ecp-17, -0x1.857f2f525906fp-17, -0x1.87dff24851bbp-17, -0x1.8a3645b38dda8p-17, -0x1.8c823bf943884p-17, -0x1.8ec3e77b385bdp-17, -0x1.90fb5a9628181p-17, -0x1.9328a7a3808b2p-17, -0x1.954be0f6e8e3cp-17, -0x1.976518df95ce7p-17, -0x1.997461a6f6c93p-17, -0x1.9b79cd91f8f54p-17, -0x1.9d756ede82e53p-17, -0x1.9f6757c520a26p-17, -0x1.a14f9a781e88ap-17, -0x1.a32e49222830cp-17, -0x1.a50375e75a42cp-17, -0x1.a6cf32e567ed7p-17, -0x1.a8919231f0526p-17, -0x1.aa4aa5d860a5ep-17, -0x1.abfa7fdf78837p-17, -0x1.ada1324329f48p-17, -0x1.af3ecef861e4bp-17, -0x1.b0d367eae5ef9p-17, -0x1.b25f0efdb4ef2p-17, -0x1.b3e1d608f1c21p-17, -0x1.b55bcedac8705p-17, -0x1.b6cd0b390321cp-17, -0x1.b8359cde73303p-17, -0x1.b995957be7972p-17, -0x1.baed06b6b7b1ep-17, -0x1.bc3c022b3a74bp-17, -0x1.bd829968e1264p-17, }}, 
      {{-0x1.afe89ccd3a4f8p-2, -0x1.b00ec8d9bd77dp-2, -0x1.b04e257c179aep-2, -0x1.b0a6512ea8df5p-2, -0x1.b116c66e2fed2p-2, -0x1.b19ede4a23888p-2, -0x1.b23dd3468ba1ep-2, -0x1.b2f2c46c3c3dep-2, -0x1.b3bcb86b7e265p-2, -0x1.b49aa0bb66c87p-2, -0x1.b58b5ca598fb9p-2, -0x1.b68dbc329b129p-2, -0x1.b7a082eeaabd2p-2, -0x1.b8c26a81e51c9p-2, -0x1.b9f22518e3b0ap-2, -0x1.bb2e5f9cbde03p-2, -0x1.bc75c3ba9bf91p-2, -0x1.bdc6f9bc0b8fbp-2, -0x1.bf20aa31e3797p-2, -0x1.c0817f73f1cffp-2, -0x1.c1e826f7fc42bp-2, -0x1.c3535282a7bd1p-2, -0x1.c4c1b934f73cap-2, -0x1.c6321878f8ap-2, -0x1.c7a334d031d1bp-2, -0x1.c913da862b0a6p-2, -0x1.ca82de4972e59p-2, -0x1.cbef1dad3467ep-2, -0x1.cd577f956cf9p-2, -0x1.cebaf48f9a39ep-2, -0x1.d0187719a8abep-2, -0x1.d16f0bd8b7583p-2, -0x1.d2bdc1c135405p-2, -0x1.d403b231bf785p-2, -0x1.d540010201dcdp-2, -0x1.d671dc86d548bp-2, -0x1.d7987d8cab192p-2, -0x1.d8b3274957fe4p-2, -0x1.d9c12746241d6p-2, -0x1.dac1d5430a7f5p-2, -0x1.dbb49313f1a83p-2, -0x1.dc98cc789d1b9p-2, -0x1.dd6df6f00cfe9p-2, -0x1.de339187e4053p-2, -0x1.dee924a87826ep-2, -0x1.df8e41de07edfp-2, -0x1.e022839f9b66ep-2, -0x1.e0a58d1403ea7p-2, -0x1.e11709d55950ep-2, -0x1.e176adb3604f7p-2, -0x1.e1c434752452fp-2, -0x1.e1ff619a1787ap-2, -0x1.e228001afe19dp-2, -0x1.e23de22adf9ecp-2, -0x1.e240e0f836105p-2, -0x1.e230dc6e8b2cbp-2, -0x1.e20dbaf8aee35p-2, -0x1.e1d76943a6ea2p-2, -0x1.e18dda027e2f8p-2, -0x1.e13105b30782p-2, -0x1.e0c0ea63b005p-2, -0x1.e03d8b7a6dc25p-2, -0x1.dfa6f17cde943p-2, -0x1.defd29d9a347ap-2, -0x1.de4046b2f8b8cp-2, -0x1.dd705eaa9f307p-2, -0x1.dc8d8caf0c7c8p-2, -0x1.db97efc9eeedp-2, -0x1.da8faaefff01ap-2, -0x1.d974e4d221fb4p-2, -0x1.d847c7afd4863p-2, -0x1.d708812ae170cp-2, -0x1.d5b7421c5a53p-2, -0x1.d4543e6acdbf3p-2, -0x1.d2dface1b626fp-2, -0x1.d159c70a1ad9dp-2, -0x1.cfc2c90459022p-2, -0x1.ce1af16311191p-2, -0x1.cc6281073078bp-2, -0x1.ca99bafd0ced2p-2, -0x1.c8c0e45a8b3c2p-2, -0x1.c6d8441e4d8e2p-2, -0x1.c4e0230fdb369p-2, -0x1.c2d8cba0bde4ep-2, -0x1.c0c289ce8da5fp-2, -0x1.be9dab05e2799p-2, -0x1.bc6a7e062553fp-2, -0x1.ba2952c63980bp-2, -0x1.b7da7a59fa034p-2, -0x1.b57e46d87ff3cp-2, -0x1.b3150b4330184p-2, -0x1.b09f1b6d8ae21p-2, -0x1.ae1ccbe5b19e6p-2, -0x1.ab8e71dda853ep-2, -0x1.a8f4631540f3cp-2, -0x1.a64ef5c4b8a96p-2, -0x1.a39e8087f8551p-2, -0x1.a0e35a4a7ad5p-2, -0x1.9e1dda33d1327p-2, -0x1.9b4e5794c3d11p-2, -0x1.987529d50a086p-2, -0x1.9592a86198973p-2, -0x1.92a72a9b80c9cp-2, -0x1.8fb307c75beb9p-2, -0x1.8cb696fd48bd3p-2, -0x1.89b22f196b18fp-2, -0x1.86a626acf7e35p-2, -0x1.8392d3efc1687p-2, -0x1.80788cb2481a4p-2, -0x1.7d57a6504bbb8p-2, -0x1.7a3075a3d7affp-2, -0x1.77034ef8cc33ap-2, -0x1.73d08600e3996p-2, -0x1.70986dc82cf5cp-2, -0x1.6d5b58a9fd8a5p-2, -0x1.6a199846564cp-2, -0x1.66d37d77be66cp-2, -0x1.638958498bb45p-2, -0x1.603b77ee9c3b1p-2, -0x1.5cea2ab87bddep-2, -0x1.5995be0ef950cp-2, -0x1.563e7e6821176p-2, -0x1.52e4b740a361cp-2, -0x1.4f88b314a2966p-2, -0x1.4c2abb58e4d07p-2, -0x1.48cb187468c3ep-2, -0x1.456a11ba618adp-2, -0x1.4207ed648ada7p-2, -0x1.3ea4f08de5731p-2, -0x1.3b415f2dc8724p-2, -0x1.37dd7c1355292p-2, -0x1.347988e13da19p-2, -0x1.3115c609ea23p-2, -0x1.2db272cbee51bp-2, -0x1.2a4fcd2eda397p-2, -0x1.26ee120056fep-2, -0x1.238d7cd197fc8p-2, -0x1.202e47f51c68dp-2, -0x1.1cd0ac7cb9ed1p-2, -0x1.1974e237f7c51p-2, -0x1.161b1fb2af56dp-2, -0x1.12c39a33f6ae2p-2, -0x1.0f6e85bd51c7ap-2, -0x1.0c1c150a24115p-2, -0x1.08cc798f68ba8p-2, -0x1.057fe37ba9779p-2, -0x1.023681b731f69p-2, -0x1.fde103c902afep-3, -0x1.f75c20c1eeed6p-3, -0x1.f0deb08b74179p-3, -0x1.ea6906d19c4fbp-3, -0x1.e3fb74bcd693fp-3, -0x1.dd9648f4fb0b8p-3, -0x1.d739cfa4b7ffp-3, -0x1.d0e6527d58893p-3, -0x1.ca9c18baec09dp-3, -0x1.c45b6728bcc23p-3, -0x1.be24802625717p-3, -0x1.b7f7a3abae306p-3, -0x1.b1d50f507958dp-3, -0x1.abbcfe4ffa4f8p-3, -0x1.a5afa98ff0eafp-3, -0x1.9fad47a6ab37cp-3, -0x1.99b60ce17c046p-3, -0x1.93ca2b4b7d123p-3, -0x1.8de9d2b477191p-3, -0x1.881530b811ecp-3, -0x1.824c70c5260a9p-3, -0x1.7c8fbc25475edp-3, -0x1.76df3a047b152p-3, -0x1.713b0f790ee13p-3, -0x1.6ba35f8ba265bp-3, -0x1.66184b3f43f65p-3, -0x1.6099f199bf7d3p-3, -0x1.5b286fabfb728p-3, -0x1.55c3e09a79e56p-3, -0x1.506c5da5ecde1p-3, -0x1.4b21fe33e6051p-3, -0x1.45e4d7d78f15cp-3, -0x1.40b4fe5a80396p-3, -0x1.3b9283c59ac8p-3, -0x1.367d7869f3de4p-3, -0x1.3175eae9c8a0cp-3, -0x1.2c7be8417b4a9p-3, -0x1.278f7bd091feap-3, -0x1.22b0af62bca23p-3, -0x1.1ddf8b38dd5b5p-3, -0x1.191c16120ca8cp-3, -0x1.146655349c994p-3, -0x1.0fbe4c771ce3ep-3, -0x1.0b23fe495390dp-3, -0x1.06976bbd313c7p-3, -0x1.0218948fb909cp-3, -0x1.fb4eee63cf67fp-4, -0x1.f28821a305bf7p-4, -0x1.e9dcbac3c80d5p-4, -0x1.e14caf4960128p-4, -0x1.d8d7f2650dab4p-4, -0x1.d07e75072a4cdp-4, -0x1.c84025f04033p-4, -0x1.c01cf1c1f20d5p-4, -0x1.b814c30fbf7d7p-4, -0x1.b027826f8f87dp-4, -0x1.a855168a27a9dp-4, -0x1.a09d642b639b7p-4, -0x1.99004e5243324p-4, -0x1.917db640c4e5cp-4, -0x1.8a157b8b950cfp-4, -0x1.82c77c2980c4ap-4, -0x1.7b939482b9b01p-4, -0x1.74799f7fe1c7ep-4, -0x1.6d797698df65p-4, -0x1.6692f1e37bfd6p-4, -0x1.5fc5e821c6b68p-4, -0x1.59122ed03f339p-4, -0x1.52779a33c3df2p-4, -0x1.4bf5fd67489d7p-4, -0x1.458d2a694d48bp-4, -0x1.3f3cf2291bb4ap-4, -0x1.39052493c6e44p-4, -0x1.32e590a0ed8eap-4, -0x1.2cde045f3f6ap-4, -0x1.26ee4d00c45ebp-4, -0x1.211636e6e8158p-4, -0x1.1b558dae43075p-4, -0x1.15ac1c3a2a5fcp-4, -0x1.1019acbffd8dp-4, -0x1.0a9e08d23b84bp-4, -0x1.0538f96b51d6cp-4, -0x1.ffd48df06ac97p-5, -0x1.f56372c5745cep-5, -0x1.eb1e30375bcc7p-5, -0x1.e10454496af3ap-5, -0x1.d7156c33dce13p-5, -0x1.cd510476a4613p-5, -0x1.c3b6a8ebbf1e6p-5, -0x1.ba45e4d90aceap-5, -0x1.b0fe4301aa21ep-5, -0x1.a7df4db6f102ap-5, -0x1.9ee88ee8dc60cp-5, -0x1.9619903615ep-5, -0x1.8d71dafb8695fp-5, -0x1.84f0f863798adp-5, -0x1.7c9671744b2cap-5, -0x1.7461cf1eaa47fp-5, -0x1.6c529a4b6ebe8p-5, -0x1.64685be9010fcp-5, -0x1.5ca29cf8579eep-5, -0x1.5500e6998ac5ep-5, -0x1.4d82c21803edcp-5, -0x1.4627b8f64156dp-5, -0x1.3eef54f935402p-5, -0x1.37d92033493acp-5, -0x1.30e4a50ef469fp-5, -0x1.2a116e58f9cdep-5, -0x1.235f074a42a1dp-5, -0x1.1cccfb91600ffp-5, -0x1.165ad75bac7dbp-5, -0x1.1008275e15964p-5, -0x1.09d478dd8e5ebp-5, -0x1.03bf59b72a08bp-5, -0x1.fb90b0cfbfba9p-6, -0x1.efde0827f83d1p-6, -0x1.e465d91c82163p-6, -0x1.d92744bd70066p-6, -0x1.ce216d925d2d1p-6, -0x1.c35377a6d57a7p-6, -0x1.b8bc88962f489p-6, -0x1.ae5bc796bc111p-6, -0x1.a4305d847c963p-6, -0x1.9a3974eb3fdcbp-6, -0x1.90763a1038ee2p-6, -0x1.86e5dafb09463p-6, -0x1.7d87877e50cf8p-6, -0x1.745a713fb994bp-6, -0x1.6b5dcbbf808f8p-6, -0x1.6290cc5f8c77cp-6, -0x1.59f2aa6a096dap-6, -0x1.51829f1790882p-6, -0x1.493fe594df807p-6, -0x1.4129bb081e5e3p-6, -0x1.393f5e95c29f4p-6, -0x1.3180116503316p-6, -0x1.29eb16a3df58cp-6, -0x1.227fb38adaffep-6, -0x1.1b3d2f60414a5p-6, -0x1.1422d37b17a33p-6, -0x1.0d2feb45b605p-6, -0x1.0663c44005e36p-6, -0x1.ff7b5c02cf6cdp-7, -0x1.f279f474a2e6bp-7, -0x1.e5c1f96b21ad7p-7, -0x1.d95216b29007fp-7, -0x1.cd28fc4f3ae2ap-7, -0x1.c1455e7e4dbb9p-7, -0x1.b5a5f5b606b52p-7, -0x1.aa497ea5898c7p-7, -0x1.9f2eba3409adfp-7, -0x1.94546d7f8ef4cp-7, -0x1.89b961db361f2p-7, -0x1.7f5c64cd064dp-7, -0x1.753c480b4c0d6p-7, -0x1.6b57e17991e7cp-7, -0x1.61ae0b251fdccp-7, -0x1.583da3412d7ebp-7, -0x1.4f058c22abe5p-7, -0x1.4604ac3ba1493p-7, -0x1.3d39ee164e98ap-7, -0x1.34a4404fe3bafp-7, -0x1.2c429592ee2eap-7, -0x1.2413e4917b81ap-7, -0x1.1c1727fef036ap-7, -0x1.144b5e899bf4dp-7, -0x1.0caf8ad40073bp-7, -0x1.0542b36de49c5p-7, -0x1.fc07c59a45b0ap-8, -0x1.ede44e8c857d2p-8, -0x1.e0192609ba40dp-8, -0x1.d2a478078de6cp-8, -0x1.c584780a1b93p-8, -0x1.b8b761139b2b3p-8, -0x1.ac3b75938e353p-8, -0x1.a00eff55e5f46p-8, -0x1.94304f71856d9p-8, -0x1.889dbe36c2022p-8, -0x1.7d55ab1d76d55p-8, -0x1.72567cb2f279cp-8, -0x1.679ea087a3994p-8, -0x1.5d2c8b1c9893cp-8, -0x1.52feb7d0cd945p-8, -0x1.4913a8ce363f5p-8, -0x1.3f69e6f6c4492p-8, -0x1.360001d1453b9p-8, -0x1.2cd48f75f7e4cp-8, -0x1.23e62c7b4daf4p-8, -0x1.1b337be24ade2p-8, -0x1.12bb2702f643fp-8, -0x1.0a7bdd78c160bp-8, -0x1.0274550ec0ed9p-8, -0x1.f5469357ed295p-9, -0x1.e60efa7f0c379p-9, -0x1.d73f6f59d9112p-9, -0x1.c8d58d705a437p-9, -0x1.bacefbe3f6204p-9, -0x1.ad296d47d802fp-9, -0x1.9fe29f79751c7p-9, -0x1.92f85b78e9d7p-9, -0x1.86687541cfb3p-9, -0x1.7a30cba3a16bdp-9, -0x1.6e4f481aa3f86p-9, -0x1.62c1dea8ccbbp-9, -0x1.57868daec858p-9, -0x1.4c9b5dc54bdb6p-9, -0x1.41fe61965c4c8p-9, -0x1.37adb5b700177p-9, -0x1.2da78080f1971p-9, -0x1.23e9f1ec8f8acp-9, -0x1.1a73436b279fbp-9, -0x1.1141b7c16fb2ep-9, -0x1.08539ae2228abp-9, -0x1.ff4e83921b6fcp-10, -0x1.ee7614ac59f17p-10, -0x1.de1ab65253a27p-10, -0x1.ce3946fa6a6afp-10, -0x1.beceb609fbd3fp-10, -0x1.afd8038e1630dp-10, -0x1.a1523ff51eba4p-10, -0x1.933a8bc867e5dp-10, -0x1.858e1766e7f8ep-10, -0x1.784a22c08c1afp-10, -0x1.6b6bfd11ef9d2p-10, -0x1.5ef104a0ec8d8p-10, -0x1.52d6a679fa553p-10, -0x1.471a5e2e2f978p-10, -0x1.3bb9b591a7253p-10, -0x1.30b2447b0acc6p-10, -0x1.2601b08358b3fp-10, -0x1.1ba5acc6bff02p-10, -0x1.119bf9a648e17p-10, -0x1.07e26489ca223p-10, -0x1.fced8f45e4678p-11, -0x1.eaae1361d9c49p-11, -0x1.d9023b8991eaap-11, -0x1.c7e6060d443fap-11, -0x1.b75588f6b9ee4p-11, -0x1.a74cf196ed122p-11, -0x1.97c8841445107p-11, -0x1.88c49afb6116ep-11, -0x1.7a3da6d0803a5p-11, -0x1.6c302da2f0d9ep-11, -0x1.5e98caa1130c9p-11, -0x1.51742daf63edbp-11, -0x1.44bf1aff5b33ep-11, -0x1.38766aa9125f5p-11, -0x1.2c970845b7798p-11, -0x1.211df28b91525p-11, -0x1.16083aebbf1fdp-11, -0x1.0b530530dd923p-11, -0x1.00fb871ff9341p-11, -0x1.edfe1033c1e2ep-12, -0x1.dab5c17dd53e3p-12, -0x1.c818f5271ee81p-12, -0x1.b6229f4d284efp-12, -0x1.a4cdd47188425p-12, -0x1.9415c8cc359c9p-12, -0x1.83f5cf9f48849p-12, -0x1.74695a900490ap-12, -0x1.656bf8ff78a0ep-12, -0x1.56f957693fc74p-12, -0x1.490d3ec1cca47p-12, -0x1.3ba393da0b9c5p-12, -0x1.2eb856c397db9p-12, -0x1.2247a2395a51ap-12, -0x1.164dab0911806p-12, -0x1.0ac6bf80cdb4ap-12, -0x1.ff5e8dbc0b717p-13, -0x1.ea07817f6b7fdp-13, -0x1.d5818936371b7p-13, -0x1.c1c60265366a3p-13, -0x1.aece781dc332dp-13, -0x1.9c94a1f72ceep-13, -0x1.8b126309ce165p-13, -0x1.7a41c8f1927e1p-13, -0x1.6a1d0ad25f87ap-13, -0x1.5a9e886460ae7p-13, -0x1.4bc0c90201b4cp-13, -0x1.3d7e7abcbd1d7p-13, -0x1.2fd271744b88ap-13, -0x1.22b7a5f3c5485p-13, -0x1.16293513310f6p-13, -0x1.0a225edc27a8dp-13, -0x1.fd3d0b66200c9p-14, -0x1.e7325b0b4692p-14, -0x1.d21bf5f78f8bdp-14, -0x1.bdf1655b8a43p-14, -0x1.aaaa70bdc03fp-14, -0x1.983f1c730c5f7p-14, -0x1.86a7a82652492p-14, -0x1.75dc8d607e3e6p-14, -0x1.65d67e1d650f9p-14, -0x1.568e6363e4d98p-14, -0x1.47fd5be9050ecp-14, -0x1.3a1cbab6da173p-14, -0x1.2ce605deecd0dp-14, -0x1.2052f52e7e2e7p-14, -0x1.145d70ecbc188p-14, -0x1.08ff90a1459eep-14, -0x1.fc6733bbc5a6dp-15, -0x1.e7e7fe22870dp-15, -0x1.d476bcbc9c24cp-15, -0x1.c20900f6a4902p-15, -0x1.b094af2a13004p-15, -0x1.a00ffc79e911dp-15, -0x1.90716caf7d3fbp-15, -0x1.81afd028ac7b6p-15, -0x1.73c241d59eb6cp-15, -0x1.66a0253b35c9dp-15, -0x1.5a412484e918ep-15, -0x1.4e9d2ea16d003p-15, -0x1.43ac7564077c6p-15, -0x1.39676bb98acd5p-15, -0x1.2fc6c3e3ec031p-15, -0x1.26c36dbff3b01p-15, -0x1.1e56951341b61p-15, -0x1.16799fe7e29c3p-15, -0x1.0f262cf399c53p-15, -0x1.08561200ddcb4p-15, -0x1.02035a683754dp-15, -0x1.f8508b1e2d191p-16, -0x1.ed7e8adf0c1bcp-16, -0x1.e385fa56cb505p-16, -0x1.da5c7f4fcf52ap-16, -0x1.d1f81c5d84183p-16, -0x1.ca4f2e3579f2p-16, -0x1.c35869149e7a7p-16, -0x1.bd0ad641c8781p-16, -0x1.b75dd188c9e75p-16, -0x1.b24906d7da7c1p-16, -0x1.adc46fe22982bp-16, -0x1.a9c851d06fe66p-16, -0x1.a64d3b0f55704p-16, -0x1.a34c0117e7c64p-16, -0x1.a0bdbe52ebb47p-16, -0x1.9e9bd0033a10dp-16, -0x1.9cdfd4420c21ep-16, -0x1.9b83a80b8394ap-16, -0x1.9a8165502a437p-16, -0x1.99d3611318fa5p-16, -0x1.99742999766bcp-16, -0x1.995e84a1c676ap-16, -0x1.998d6dabf25dcp-16, -0x1.99fc144859b6fp-16, -0x1.9aa5da741e0fap-16, -0x1.9b8652fe83256p-16, -0x1.9c993ffd07ba6p-16, -0x1.9dda9149b61bfp-16, -0x1.9f466306f1c78p-16, -0x1.a0d8fc3397aecp-16, -0x1.a28ecd3f39251p-16, -0x1.a4646eb1cf062p-16, -0x1.a6569fd8b561ep-16, -0x1.a862457fd8b1bp-16, -0x1.aa8468adbad55p-16, -0x1.acba356f17fabp-16, -0x1.af00f9a5aaa48p-16, -0x1.b15623e4a091cp-16, -0x1.b3b742536c262p-16, -0x1.b62201944fdd7p-16, -0x1.b8942bb80b3b2p-16, -0x1.bb0ba734c7fe1p-16, -0x1.bd8675e92568dp-16, -0x1.c002b423c0225p-16, -0x1.c27e97b13ef2p-16, -0x1.c4f86ef29ec51p-16, -0x1.c76e9ffb47d08p-16, -0x1.c9dfa7b2503b6p-16, -0x1.cc4a18fe9a0bap-16, -0x1.ceac9bfa0eb0cp-16, -0x1.d105ed224db6ep-16, -0x1.d354dc96b0d83p-16, -0x1.d5984d5a2b3eap-16, -0x1.d7cf349be3ab7p-16, -0x1.d9f89903ed8adp-16, -0x1.dc139205d4e6fp-16, -0x1.de1f473ad0e14p-16, -0x1.e01aefbba6301p-16, -0x1.e205d184b0bap-16, -0x1.e3df40dc3423fp-16, -0x1.e5a69fc00cffcp-16, -0x1.e75b5d565ff42p-16, -0x1.e8fcf55e31d56p-16, -0x1.ea8aefacc2d5dp-16, -0x1.ec04dfaa0772fp-16, -0x1.ed6a63d1c0928p-16, -0x1.eebb25399c034p-16, -0x1.eff6d71b3762ep-16, -0x1.f11d3663650ccp-16, -0x1.f22e093f004bep-16, -0x1.f3291eb4b714ap-16, -0x1.f40e4e3afc289p-16, -0x1.f4dd7755909ecp-16, -0x1.f5968134e8488p-16, -0x1.f6395a567f7a2p-16, -0x1.f6c5f82c7eb97p-16, -0x1.f73c56c56efe3p-16, -0x1.f79c78795ed2ep-16, -0x1.f7e66596e36d8p-16, -0x1.f81a2c167fa74p-16, -0x1.f837df4e460a4p-16, -0x1.f83f97a86d50fp-16, -0x1.f831725dd160fp-16, -0x1.f80d913163811p-16, -0x1.f7d41a2e16d45p-16, -0x1.f7853769be294p-16, -0x1.f72116c647dafp-16, -0x1.f6a7e9b7ffeb5p-16, -0x1.f619e50d81becp-16, -0x1.f57740b9e1a6cp-16, -0x1.f4c0379f9f78p-16, -0x1.f3f5075e9b6b7p-16, -0x1.f315f02401f65p-16, -0x1.f223347bc339fp-16, -0x1.f11d1923f248ep-16, -0x1.f003e4e2f5b74p-16, -0x1.eed7e05dca2f6p-16, -0x1.ed9955ef03f98p-16, -0x1.ec4891838467ap-16, -0x1.eae5e074da9d1p-16, -0x1.e971916647854p-16, -0x1.e7ebf423060b9p-16, -0x1.e655598023947p-16, -0x1.e4ae133c8d732p-16, -0x1.e2f673e400f8p-16, -0x1.e12eceb382c3ap-16, -0x1.df57777e847bap-16, -0x1.dd70c2944b593p-16, -0x1.db7b04a99b1cap-16, -0x1.d97692bfd147p-16, -0x1.d763c20d9df0bp-16, -0x1.d542e7eca0438p-16, -0x1.d31459c46cbf2p-16, -0x1.d0d86cf748e1ep-16, -0x1.ce8f76ceb8b2bp-16, -0x1.cc39cc6b72c0cp-16, -0x1.c9d7c2b58ae5ap-16, -0x1.c769ae4bde146p-16, -0x1.c4efe375b5403p-16, -0x1.c26ab614ae283p-16, -0x1.bfda7997bbb8ep-16, -0x1.bd3f80ed8f1b6p-16, -0x1.ba9a1e7b5f1a4p-16, -0x1.b7eaa40e9747ap-16, -0x1.b53162d43c783p-16, -0x1.b26eab4ffb7e1p-16, -0x1.afa2cd52f145cp-16, -0x1.acce17f16121dp-16, -0x1.a9f0d97a6888cp-16, -0x1.a70b5f73188f4p-16, -0x1.a41df68dca887p-16, -0x1.a128eaa41fc17p-16, -0x1.9e2c86b1e9fb6p-16, -0x1.9b2914ce2ef3cp-16, -0x1.981ede2722affp-16, -0x1.950e2afc07846p-16, -0x1.91f7429b53387p-16, -0x1.8eda6b5bcc7fp-16, -0x1.8bb7ea9b5a28cp-16, -0x1.889004bc5e855p-16, -0x1.8562fd2286f99p-16, -0x1.8231162ff7d2p-16, -0x1.7efa91425cb2ep-16, -0x1.7bbfaeb297e44p-16, -0x1.7880add31422bp-16, -0x1.753dccedf03f7p-16, -0x1.71f74944f16f9p-16, -0x1.6ead5f1032c9bp-16, -0x1.6b60497df4fedp-16, -0x1.681042b19980ap-16, -0x1.64bd83c43b454p-16, -0x1.616844c517fafp-16, -0x1.5e10bcb8f7454p-16, -0x1.5ab7219ca6497p-16, -0x1.575ba8646c9bdp-16, -0x1.53fe84fe12585p-16, -0x1.509fea501fbd5p-16, -0x1.4d400a3c5ae1bp-16, -0x1.49df15a0e1733p-16, -0x1.467d3c5a23474p-16, -0x1.431aad43fb616p-16, -0x1.3fb7963c8a9dp-16, -0x1.3c542424720b5p-16, -0x1.38f082e29c201p-16, -0x1.358cdd63a0543p-16, -0x1.32295d9e4d6f8p-16, -0x1.2ec62c951061ep-16, -0x1.2b63725865002p-16, -0x1.28015609b2d7dp-16, -0x1.249ffddd7ae8ap-16, -0x1.213f8f1e6e1d7p-16, -0x1.1de02e2f40f39p-16, -0x1.1a81fe8cd370dp-16, -0x1.172522d27f9edp-16, -0x1.13c9bcbc19df3p-16, -0x1.106fed2873acap-16, -0x1.0d17d41cc09e7p-16, -0x1.09c190c74d0b7p-16, -0x1.066d418269ffp-16, -0x1.031b03d657ef5p-16, -0x1.ff95e8f9e06b6p-17, -0x1.f8fa5eca9e7e2p-17, -0x1.f2639f6b6775ap-17, -0x1.ebd1df9fd260ap-17, -0x1.e54552a597548p-17, -0x1.debe2a3ce1734p-17, -0x1.d83c96adf8b7ep-17, -0x1.d1c0c6ccbb274p-17, -0x1.cb4ae800f8ec6p-17, -0x1.c4db264d556edp-17, -0x1.be71ac5307216p-17, -0x1.b80ea35941814p-17, -0x1.b1b2335395e97p-17, -0x1.ab5c82e6cc675p-17, -0x1.a50db76fc6427p-17, -0x1.9ec5f5060ad3bp-17, -0x1.98855e85fc545p-17, -0x1.924c15949bffap-17, -0x1.8c1a3aa592fcap-17, -0x1.85efed02095e8p-17, -0x1.7fcd4acd7653ap-17, -0x1.79b2710b4cd3dp-17, -0x1.739f7ba567fb6p-17, -0x1.6d94856fd942bp-17, -0x1.6791a82f3dca5p-17, -0x1.6196fc9f7cdadp-17, -0x1.5ba49a77c2c99p-17, -0x1.55ba9870336b2p-17, -0x1.4fd90c477e41ap-17, -0x1.4a000ac882aa4p-17, -0x1.442fa7ced010dp-17, -0x1.3e67f64a2b60ap-17, -0x1.38a90845be80dp-17, -0x1.32f2eeed53729p-17, -0x1.2d45ba90b5badp-17, -0x1.27a17aa9eb6e6p-17, -0x1.22063de1f4f41p-17, -0x1.1c7412155670ap-17, -0x1.16eb0457d0cfep-17, -0x1.116b20fb06e75p-17, -0x1.0bf473900068ep-17, -0x1.068706ee0c8f9p-17, -0x1.0122e5372099bp-17, -0x1.f7902fb5652eep-18, -0x1.eced4f366df34p-18, -0x1.e25d3924b1b5ap-18, -0x1.d7dffc6a3e3c9p-18, -0x1.cd75a6ad95fc2p-18, -0x1.c31e445a63d19p-18, -0x1.b8d9e0aac8155p-18, -0x1.aea885af5190dp-18, -0x1.a48a3c53fa5abp-18, -0x1.9a7f0c6b6b4b8p-18, -0x1.9086fcb47b6cp-18, -0x1.86a212e1747b8p-18, -0x1.7cd0539dca48ep-18, -0x1.7311c29931303p-18, -0x1.6966628907d5fp-18, -0x1.5fce3531a5f36p-18, -0x1.56493b6dd9127p-18, -0x1.4cd77534ce0cbp-18, -0x1.4378e19de87cep-18, -0x1.3a2d7eeb24ce4p-18, -0x1.30f54a8d15b99p-18, -0x1.27d0412891d0dp-18, -0x1.1ebe5e9b20d1cp-18, -0x1.15bf9e029a64p-18, -0x1.0cd3f9c452b3cp-18, -0x1.03fb6b8f39786p-18, -0x1.f66bd8c47da18p-19, -0x1.e506e9282e5fap-19, -0x1.d3c7f7aabfbbp-19, -0x1.c2aef26eb1203p-19, -0x1.b1bbc65eba616p-19, -0x1.a0ee5f3c59612p-19, -0x1.9046a7a2ce75p-19, -0x1.7fc48913dc517p-19, -0x1.6f67ec033b578p-19, -0x1.5f30b7db2d866p-19, -0x1.4f1ed304d3635p-19, -0x1.3f3222f48b0cbp-19, -0x1.2f6a8c3243671p-19, -0x1.1fc7f25bd153cp-19, -0x1.104a3832122fap-19, -0x1.00f13f9c7168dp-19, -0x1.e379d36b308cep-20, -0x1.c55a2da0f25c5p-20, -0x1.a7834cfaa9251p-20, -0x1.89f4ef25fda11p-20, -0x1.6caed06cd8f7p-20, -0x1.4fb0abbd204b5p-20, -0x1.32fa3aba24dc8p-20, -0x1.168b35c89ec91p-20, -0x1.f4c6a83690a2p-21, -0x1.bd0497756f385p-21, -0x1.85cfa32b5ae8cp-21, -0x1.4f273325f3a8ap-21, -0x1.190aad110c905p-21, -0x1.c6f2e95b989d8p-22, -0x1.5ce5d7c411b59p-22, -0x1.e7d9cb482407fp-23, -0x1.180d9f5dbcc9fp-23, -0x1.29927bd61d61cp-25, 0x1.0247927edb77dp-24, 0x1.4a8e32568b3a7p-23, 0x1.08ee9d80afbe4p-22, 0x1.6b89c3b365a93p-22, 0x1.cd19e0675fd77p-22, 0x1.16d0255669c8fp-21, 0x1.468f2df34bb6ep-21, 0x1.75cab7d1b7161p-21, 0x1.a48371bfaae59p-21, 0x1.d2ba0b82d90e4p-21, 0x1.00379ae70248dp-20, 0x1.16d1d1180048dp-20, 0x1.2d2c017da7153p-20, 0x1.434685a5d8756p-20, 0x1.5921b77d42ba2p-20, 0x1.6ebdf142d4026p-20, 0x1.841b8d7e100ffp-20, 0x1.993ae701d7a1ap-20, 0x1.ae1c58e7bcdeep-20, 0x1.c2c03e7f97caap-20, 0x1.d726f3566c89ap-20, 0x1.eb50d325e5513p-20, 0x1.ff3e39d363bf2p-20, 0x1.0977c1b7b57c8p-19, 0x1.13328616ad74p-19, 0x1.1ccf9830c56c2p-19, 0x1.264f263c853c4p-19, 0x1.2fb15e7ca644dp-19, 0x1.38f66f3b07025p-19, 0x1.421e86c8ecc4ep-19, 0x1.4b29d37c2016dp-19, 0x1.541883ad1000fp-19, 0x1.5ceac5b4959ddp-19, 0x1.65a0c7eb1a328p-19, 0x1.6e3ab8a807115p-19, 0x1.76b8c63f6a0bcp-19, 0x1.7f1b1efd0c2fcp-19, 0x1.8761f124e5129p-19, 0x1.8f8d6af4ac082p-19, 0x1.979dba9ee63a9p-19, 0x1.9f930e4b375eep-19, 0x1.a76d94123d98p-19, 0x1.af2d79fc676f8p-19, 0x1.b6d2ee045808bp-19, 0x1.be5e1e135b342p-19, 0x1.c5cf38011cccep-19, 0x1.cd26699236a23p-19, 0x1.d463e0773eee1p-19, 0x1.db87ca4b4c721p-19, 0x1.e2925492d2332p-19, 0x1.e983acb8be2eap-19, 0x1.f05c000ff53d7p-19, 0x1.f71b7bd1bdd3dp-19, 0x1.fdc24d1dab405p-19, 0x1.0228507bbb937p-18, 0x1.05635223b73a3p-18, 0x1.089241ed3ab3bp-18, 0x1.0bb5362ee95e2p-18, 0x1.0ecc452faf791p-18, 0x1.11d78527b48c5p-18, 0x1.14d70c3fbadc8p-18, 0x1.17caf0906f05ap-18, 0x1.1ab34821718afp-18, 0x1.1d9028e785ecdp-18, 0x1.2061a8c787d6fp-18, 0x1.2327dd956fca4p-18, 0x1.25e2dd131a17fp-18, 0x1.2892bcf0d8706p-18, 0x1.2b3792cd237cap-18, 0x1.2dd174338ed0bp-18, 0x1.3060769d2775dp-18, 0x1.32e4af70f1956p-18, 0x1.355e33fff47edp-18, 0x1.37cd1989cb243p-18, 0x1.3a317539af359p-18, 0x1.3c8b5c284f853p-18, 0x1.3edae359a5c33p-18, 0x1.41201fbe46918p-18, 0x1.435b2632580d7p-18, 0x1.458c0b7d3e3a3p-18, 0x1.47b2e451b2a2bp-18, 0x1.49cfc54e52731p-18, 0x1.4be2c2fd81a5dp-18, 0x1.4debf1d4c7e04p-18, 0x1.4feb66344e2adp-18, 0x1.51e134649d0a7p-18, 0x1.53cd709ac98c1p-18, 0x1.55b02ef68660cp-18, 0x1.57898382d4431p-18, 0x1.59598234196a2p-18, 0x1.5b203eea61fffp-18, 0x1.5cddcd6f1ecd9p-18, 0x1.5e9241767598ep-18, 0x1.603dae9f40471p-18, 0x1.61e02870e04a1p-18, 0x1.6379c25bf1e7fp-18, 0x1.650a8fbc43314p-18, 0x1.6692a3d7b050ap-18, 0x1.681211dd619p-18, 0x1.6988ece6c9473p-18, 0x1.6af747f6f57a8p-18, 0x1.6c5d35fa62e42p-18, 0x1.6dbac9c6b6a02p-18, 0x1.6f10161bc67bp-18, 0x1.705d2da3091e1p-18, 0x1.71a222efc34ffp-18, 0x1.72df087f22c2dp-18, 0x1.7413f0b752985p-18, 0x1.7540ede533b73p-18, 0x1.76661241085f5p-18, 0x1.77836fecca28fp-18, 0x1.789918f43cc08p-18, 0x1.79a71f4bc0b35p-18, 0x1.7aad94d1cebf7p-18, 0x1.7bac8b4dadcd5p-18, 0x1.7ca4147070de4p-18, 0x1.7d9441d4a4e71p-18, 0x1.7e7d24fe3c595p-18, 0x1.7f5ecf582a5c1p-18, 0x1.8039523825c62p-18, 0x1.810cbeddb38bdp-18, 0x1.81d92671430bp-18, 0x1.829e9a049bdbfp-18, 0x1.835d2a93418bcp-18, 0x1.8414e9019e9bcp-18, 0x1.84c5e61d23588p-18, 0x1.8570329cc2f1ap-18, 0x1.8613df2116102p-18, 0x1.86b0fc346a1dp-18, 0x1.87479a4a63de6p-18, 0x1.87d7c9c04ddd9p-18, 0x1.88619adc3dec8p-18, 0x1.88e51dcba3a2fp-18, 0x1.896262a740613p-18, 0x1.89d97971a27e1p-18, 0x1.8a4a7216a5e08p-18, 0x1.8ab55c6b99c2p-18, 0x1.8b1a482f69e5fp-18, 0x1.8b79450a4a263p-18, 0x1.8bd2628ee3a65p-18, 0x1.8c25b038adfe4p-18, 0x1.8c733d6d7bd51p-18, 0x1.8cbb197ab0a4dp-18, 0x1.8cfd53981197ep-18, 0x1.8d39fae818d56p-18, 0x1.8d711e764f3f2p-18, 0x1.8da2cd37fdfe9p-18, 0x1.8dcf160cc5d6dp-18, 0x1.8df607bd8010ep-18, 0x1.8e17b0fd1b8e6p-18, 0x1.8e342067d70f8p-18, 0x1.8e4b648421715p-18, 0x1.8e5d8bc2f881bp-18, 0x1.8e6aa47eeb111p-18, 0x1.8e72bcfca147bp-18, 0x1.8e75e36b42642p-18, 0x1.8e7425e327403p-18, 0x1.8e6d9265090f2p-18, 0x1.8e6236ddc73a3p-18, 0x1.8e522124a4df5p-18, 0x1.8e3d5efa6c524p-18, 0x1.8e23fe0aa25d5p-18, 0x1.8e060beae5fffp-18, 0x1.8de3961b02975p-18, 0x1.8dbcaa05a16bp-18, 0x1.8d9154ff7e2f7p-18, 0x1.8d61a4486cbc8p-18, 0x1.8d2da5090017ap-18, 0x1.8cf564547faf7p-18, 0x1.8cb8ef2a0ff25p-18, 0x1.8c7852729955ap-18, 0x1.8c339b019b518p-18, 0x1.8bead5961dea8p-18, 0x1.8b9e0ed91b49cp-18, 0x1.8b4d535eeea8p-18, 0x1.8af8afa5ec977p-18, 0x1.8aa030176c2f8p-18, 0x1.8a43e1084d5ddp-18, 0x1.89e3ceb86b171p-18, 0x1.8980055246e32p-18, 0x1.891890eb945e4p-18, 0x1.88ad7d85b1fd9p-18, 0x1.883ed70bbabeap-18, 0x1.87cca953aab52p-18, 0x1.87570020221f5p-18, 0x1.86dde71eaf005p-18, 0x1.866169e7f2e23p-18, 0x1.85e1940085f5bp-18, 0x1.855e70d7e94a2p-18, 0x1.84d80bc96bf1dp-18, 0x1.844e701c053ffp-18, 0x1.83c1a90226aaap-18, 0x1.8331c19a5ca03p-18, 0x1.829ec4eddebefp-18, 0x1.8208bdf163f83p-18, 0x1.816fb7867b49ep-18, 0x1.80d3bc7a477bcp-18, 0x1.8034d785926f7p-18, 0x1.7f93134db526dp-18, 0x1.7eee7a639a1f9p-18, 0x1.7e4717448bfc4p-18, 0x1.7d9cf459e519fp-18, 0x1.7cf01bf8e1bcp-18, 0x1.7c40986350bb9p-18, 0x1.7b8e73c791392p-18, 0x1.7ad9b8401fe58p-18, 0x1.7a226fd3dde92p-18, 0x1.7968a47678142p-18, 0x1.78ac600854ff7p-18, 0x1.77edac557dc0ep-18, 0x1.772c9316d9d26p-18, 0x1.76691df2c25a5p-18, 0x1.75a3567be15dbp-18, 0x1.74db4631d77b1p-18, 0x1.7410f68199042p-18, 0x1.734470c4b17cdp-18, 0x1.7275be41fb7f9p-18, 0x1.71a4e82d46cf9p-18, 0x1.70d1f7a7cdf21p-18, 0x1.6ffcf5c008a3ep-18, 0x1.6f25eb716bdcbp-18, 0x1.6e4ce1a4ceb09p-18, 0x1.6d71e130a5f9ep-18, 0x1.6c94f2d8bc4a6p-18, 0x1.6bb61f4e84ee2p-18, 0x1.6ad56f316dc6cp-18, 0x1.69f2eb0e7d4bfp-18, 0x1.690e9b604b56ep-18, 0x1.6828888f9a78bp-18, 0x1.6740baf28da46p-18, 0x1.66573acdcc288p-18, 0x1.656c1054179dfp-18, 0x1.647f43a632d47p-18, 0x1.6390dcd2eded7p-18, 0x1.62a0e3d75a87bp-18, 0x1.61af609f58facp-18, 0x1.60bc5b04ce4a6p-18, 0x1.5fc7dacfd3b58p-18, 0x1.5ed1e7b7a55dap-18, 0x1.5dda8961fc8b6p-18, 0x1.5ce1c76300fb8p-18, 0x1.5be7a93ddb945p-18, 0x1.5aec36649cbe9p-18, 0x1.59ef76381eb5bp-18, 0x1.58f17008681aap-18, 0x1.57f22b148ace8p-18, 0x1.56f1ae8ac7b02p-18, 0x1.55f001889f09fp-18, 0x1.54ed2b1a93771p-18, 0x1.53e9323c9adfep-18, 0x1.52e41dda95842p-18, 0x1.51ddf4cf7258fp-18, 0x1.50d6bde5930d4p-18, 0x1.4fce7fd796f3bp-18, 0x1.4ec5414fba2d4p-18, 0x1.4dbb08e7c0e92p-18, 0x1.4cafdd29c85bcp-18, 0x1.4ba3c48f81054p-18, 0x1.4a96c582bff5ep-18, 0x1.4988e65dccea7p-18, 0x1.487a2d6b28135p-18, 0x1.476aa0e56d41bp-18, 0x1.465a46f761738p-18, 0x1.454925bcaa6ddp-18, 0x1.443743414fa0ep-18, 0x1.4324a581da264p-18, 0x1.4211526b7e424p-18, 0x1.40fd4fdc80d9p-18, 0x1.3fe8a3a42da1ap-18, 0x1.3ed3538229589p-18, 0x1.3dbd65277ef4fp-18, 0x1.3ca6de364a575p-18, 0x1.3b8fc44194d6p-18, 0x1.3a781ccdda66bp-18, 0x1.395fed5113fecp-18, 0x1.38473b3283fb4p-18, 0x1.372e0bcae2846p-18, 0x1.361464648ed6bp-18, 0x1.34fa4a3b4fda6p-18, 0x1.33dfc27d1de5cp-18, 0x1.32c4d249c22fp-18, 0x1.31a97eb27b239p-18, 0x1.308dccbad4de7p-18, 0x1.2f71c1586f828p-18, 0x1.2e5561730dedep-18, 0x1.2d38b1e473239p-18, 0x1.2c1bb77912fa8p-18, 0x1.2afe76ef79ee5p-18, 0x1.29e0f4f89b858p-18, 0x1.28c336387ef75p-18, 0x1.27a53f45858dap-18, 0x1.268714a8bcc99p-18, 0x1.2568baddf495ap-18, 0x1.244a3653e7e96p-18, 0x1.232b8b6c8bc31p-18, 0x1.220cbe7c54181p-18, 0x1.20edd3cb16614p-18, 0x1.1fcecf9435b46p-18, 0x1.1eafb6062fc37p-18, }}, 
      std::vector<double>(1050, 0.0), 
      {{-0x1.9ea29ea5933abp-7, -0x1.9de736634b325p-6, -0x1.3586a61e7a589p-5, -0x1.9b0db832f5de8p-5, -0x1.ff3ca73c80162p-5, -0x1.30e81bca2ec64p-4, -0x1.614749c069a7p-4, -0x1.90a3aa8f57ce3p-4, -0x1.bee9a0852c6bp-4, -0x1.ec09e53c17e8cp-4, -0x1.0bfc9d1223428p-3, -0x1.21580787ea402p-3, -0x1.3615122ea1b51p-3, -0x1.4a3316674b48fp-3, -0x1.5db2b8ef4f49ep-3, -0x1.7095be386f8fap-3, -0x1.82dee17f949bdp-3, -0x1.9491aeeff109bp-3, -0x1.a5b260ef6e025p-3, -0x1.b645c08fbfdfdp-3, -0x1.c6510909b348fp-3, -0x1.d5d9ce1ab17aep-3, -0x1.e4e5e5154eb6fp-3, -0x1.f37b50727f5d4p-3, -0x1.00d016d890081p-2, -0x1.07ad52a97a6aap-2, -0x1.0e586e648f0edp-2, -0x1.14d47512957d4p-2, -0x1.1b2464b3abbadp-2, -0x1.214b29a2f6daap-2, -0x1.274b9aa65d297p-2, -0x1.2d28759b3db2p-2, -0x1.32e45cb24f5bcp-2, -0x1.3881d42df7aedp-2, -0x1.3e03409759697p-2, -0x1.436ae55f411a3p-2, -0x1.48bae3e0cb21ap-2, -0x1.4df53abc4b596p-2, -0x1.531bc5819eb3cp-2, -0x1.58303ca18f92fp-2, -0x1.5d34359e8254bp-2, -0x1.6229237507ca4p-2, -0x1.6710573583267p-2, -0x1.6beb00c85fa3cp-2, -0x1.70ba2fd6d92afp-2, -0x1.757ed4d2b5db4p-2, -0x1.7a39c217baf7cp-2, -0x1.7eebad22114a1p-2, -0x1.83952fd52490cp-2, -0x1.8836c9cef5c13p-2, -0x1.8cd0e1c42f69p-2, -0x1.9163c6e1abcd1p-2, -0x1.95efb23064f58p-2, -0x1.9a74c7f934c97p-2, -0x1.9ef31925fc2eep-2, -0x1.a36aa49e29c54p-2, -0x1.a7db589cd908ep-2, -0x1.ac4513ff00af4p-2, -0x1.b0a7a78867437p-2, -0x1.b502d71e537c2p-2, -0x1.b9565af717ff9p-2, -0x1.bda1e0bdd293p-2, -0x1.c1e50ca9e00c9p-2, -0x1.c61f7a89a6073p-2, -0x1.ca50bec0849c7p-2, -0x1.ce786737d159ap-2, -0x1.d295fc42e6e09p-2, -0x1.d6a901765bac8p-2, -0x1.dab0f6729d1c8p-2, -0x1.dead57a21f259p-2, -0x1.e29d9eeb816cfp-2, -0x1.e6814457fab7dp-2, -0x1.ea57beae72ecbp-2, -0x1.ee208403ba798p-2, -0x1.f1db0a404d146p-2, -0x1.f586c79c1c4b9p-2, -0x1.f9233310d19cp-2, -0x1.fcafc4c30bff3p-2, -0x1.0015fb3183e23p-1, -0x1.01cba1c29858dp-1, -0x1.037894f9882abp-1, -0x1.051c94fa876b2p-1, -0x1.06b7634ab8206p-1, -0x1.0848c2ee82508p-1, -0x1.09d07884f4f39p-1, -0x1.0b4e4a6063e99p-1, -0x1.0cc2009c72ac5p-1, -0x1.0e2b6531b70e6p-1, -0x1.0f8a4407218d7p-1, -0x1.10de6b0151b29p-1, -0x1.1227aa0ffc1bbp-1, -0x1.1365d3398838dp-1, -0x1.1498baa503a54p-1, -0x1.15c036a28da3p-1, -0x1.16dc1fb254736p-1, -0x1.17ec508a41cb4p-1, -0x1.18f0a61a6e238p-1, -0x1.19e8ff90718bdp-1, -0x1.1ad53e59a7c4ap-1, -0x1.1bb546247b6b9p-1, -0x1.1c88fce0c87fap-1, -0x1.1d504abf68b5ep-1, -0x1.1e0b1a30f7ea4p-1, -0x1.1eb957e3dd6d2p-1, -0x1.1f5af2c1a921fp-1, -0x1.1fefdbebcc59ap-1, -0x1.207806b7be762p-1, -0x1.20f368aa90a3p-1, -0x1.2161f973fefp-1, -0x1.21c3b2e90331p-1, -0x1.221890fdf38a9p-1, -0x1.226091c0330b3p-1, -0x1.229bb54f77d53p-1, -0x1.22c9fdd6b1d9p-1, -0x1.22eb6f849419fp-1, -0x1.23001083c472fp-1, -0x1.2307e8f2bb881p-1, -0x1.230302db535b3p-1, -0x1.22f16a2a0e304p-1, -0x1.22d32ca515187p-1, -0x1.22a859e2f6477p-1, -0x1.2271034122fa2p-1, -0x1.222d3bda34305p-1, -0x1.21dd187bf63a9p-1, -0x1.2180af9d40614p-1, -0x1.211819539db6p-1, -0x1.20a36f48c54acp-1, -0x1.2022ccafe9f3cp-1, -0x1.1f964e3ae38cbp-1, -0x1.1efe120f311a8p-1, -0x1.1e5a37badde53p-1, -0x1.1daae0294606dp-1, -0x1.1cf02d97c1073p-1, -0x1.1c2a438a34effp-1, -0x1.1b5946bf955e7p-1, -0x1.1a7d5d264f3adp-1, -0x1.1996add0a7e6ap-1, -0x1.18a560e90faacp-1, -0x1.17a99fa66b911p-1, -0x1.16a394405a682p-1, -0x1.159369e3767a5p-1, -0x1.14794ca596d44p-1, -0x1.1355697a16433p-1, -0x1.1227ee261c85ep-1, -0x1.10f10934f325bp-1, -0x1.0fb0e9ec65158p-1, -0x1.0e67c0412b127p-1, -0x1.0d15bccb6a7c9p-1, -0x1.0bbb10bb47521p-1, -0x1.0a57edcd8b7e6p-1, -0x1.08ec864066928p-1, -0x1.07790cc848f9fp-1, -0x1.05fdb484db8dcp-1, -0x1.047ab0f6170aap-1, -0x1.02f035f17c122p-1, -0x1.015e7797708e7p-1, -0x1.ff8b5491824d1p-2, -0x1.fc4c053894febp-2, -0x1.f8ff6aa9981a9p-2, -0x1.f5a5eeadccdf2p-2, -0x1.f23ffb3e8cdfbp-2, -0x1.eecdfa71fb0d7p-2, -0x1.eb50566815825p-2, -0x1.e7c779382b21ep-2, -0x1.e433ccdeb51p-2, -0x1.e095bb2b95cp-2, -0x1.dcedadb0c5f7p-2, -0x1.d93c0db169296p-2, -0x1.d581441152df5p-2, -0x1.d1bdb944f84acp-2, -0x1.cdf1d541d66ap-2, -0x1.ca1dff6f461d3p-2, -0x1.c6429e97c68aep-2, -0x1.c26018dab9ddfp-2, -0x1.be76d39e98c2fp-2, -0x1.ba8733839a00bp-2, -0x1.b6919c56d1b22p-2, -0x1.b2967105c50bcp-2, -0x1.ae9613927713dp-2, -0x1.aa90e507ea575p-2, -0x1.a687456f1b207p-2, -0x1.a27993c46c06cp-2, -0x1.9e682ded8e14fp-2, -0x1.9a5370afd9f63p-2, -0x1.963bb7a71f728p-2, -0x1.92215d3cea582p-2, -0x1.8e04baa0363ap-2, -0x1.89e627bd99cecp-2, -0x1.85c5fb37df617p-2, -0x1.81a48a610dda3p-2, -0x1.7d822933e2cdap-2, -0x1.795f2a4db4583p-2, -0x1.753bdee8c6a42p-2, -0x1.711896d701c11p-2, -0x1.6cf5a07d19642p-2, -0x1.68d348ce1488ep-2, -0x1.64b1db473cdd5p-2, -0x1.6091a1ec72e54p-2, -0x1.5c72e544dee99p-2, -0x1.5855ec58069f9p-2, -0x1.543afcab3c171p-2, -0x1.50225a3f6a56cp-2, -0x1.4c0c478f39eeap-2, -0x1.47f9058d8d0f4p-2, -0x1.43e8d3a45164bp-2, -0x1.3fdbefb3a2ddcp-2, -0x1.3bd296114354ep-2, -0x1.37cd01885a5a4p-2, -0x1.33cb6b5988fe3p-2, -0x1.2fce0b3b4004cp-2, -0x1.2bd5175a63817p-2, -0x1.27e0c45b31bcap-2, -0x1.23f1455a6cf36p-2, -0x1.2006cbeec860bp-2, -0x1.1c21882a92698p-2, -0x1.1841a89d9b79cp-2, -0x1.14675a57575fep-2, -0x1.1092c8e938b67p-2, -0x1.0cc41e693f51ep-2, -0x1.08fb8374bcc71p-2, -0x1.05391f334aa46p-2, -0x1.017d1759eca5fp-2, -0x1.fb8f205cccbd9p-3, -0x1.f43159156e4a7p-3, -0x1.ece11bc185b76p-3, -0x1.e59ea87c3aefep-3, -0x1.de6a3c9fffc3ap-3, -0x1.d74412cec0e39p-3, -0x1.d02c62fa500bbp-3, -0x1.c923626d13aap-3, -0x1.c22943d2f4182p-3, -0x1.bb3e37427935cp-3, -0x1.b4626a461e8c7p-3, -0x1.ad9607e5da777p-3, -0x1.a6d938b0cbfffp-3, -0x1.a02c22c715954p-3, -0x1.998ee9e3e11c2p-3, -0x1.9301af677c9ffp-3, -0x1.8c8492619db6ep-3, -0x1.8617af9bc3b01p-3, -0x1.7fbb21a3a996bp-3, -0x1.796f00d5d7df8p-3, -0x1.7333636843484p-3, -0x1.6d085d74fff21p-3, -0x1.66ee0105028fp-3, -0x1.60e45e1ae6d61p-3, -0x1.5aeb82bdc9521p-3, -0x1.55037b041e8c1p-3, -0x1.4f2c511e93e38p-3, -0x1.49660d62ebffcp-3, -0x1.43b0b656e16acp-3, -0x1.3e0c50bb03029p-3, -0x1.3878df958c05ap-3, -0x1.32f6643d3352cp-3, -0x1.2d84de63f8e74p-3, -0x1.28244c21df216p-3, -0x1.22d4a9ff9f9d6p-3, -0x1.1d95f3014d998p-3, -0x1.186820b0ecea8p-3, -0x1.134b2b28f130cp-3, -0x1.0e3f091eb27ebp-3, -0x1.0943afecc95ebp-3, -0x1.0459139d52378p-3, -0x1.fefe4de841b73p-4, -0x1.f56bb6f1b52cfp-4, -0x1.ebfa4301e827ep-4, -0x1.e2a9d07326436p-4, -0x1.d97a3b62c4bc6p-4, -0x1.d06b5dc4674a6p-4, -0x1.c77d0f753a6afp-4, -0x1.beaf264ec41efp-4, -0x1.b60176399dc9bp-4, -0x1.ad73d13fd2953p-4, -0x1.a506079f11dafp-4, -0x1.9cb7e7da95e81p-4, -0x1.94893eccc0b08p-4, -0x1.8c79d7b88d3c2p-4, -0x1.84897c5aa1325p-4, -0x1.7cb7f4fa28375p-4, -0x1.7505087965931p-4, -0x1.6d707c65fd301p-4, -0x1.65fa1508f5e22p-4, -0x1.5ea19576738c3p-4, -0x1.5766bf9d2627bp-4, -0x1.5049545576a67p-4, -0x1.494913705c0b9p-4, -0x1.4265bbc5f8ed5p-4, -0x1.3b9f0b43e0d32p-4, -0x1.34f4befb1a33ep-4, -0x1.2e66932dd22a4p-4, -0x1.27f4435ccb8dbp-4, -0x1.219d8a547f3abp-4, -0x1.1b622239f40dep-4, -0x1.1541c4974daf7p-4, -0x1.0f3c2a68109bp-4, -0x1.09510c251cf7ep-4, -0x1.038021d062e64p-4, -0x1.fb92460099d29p-5, -0x1.f0578dd5bb943p-5, -0x1.e54f88e11d3ecp-5, -0x1.da79a44dc203ap-5, -0x1.cfd54cc556796p-5, -0x1.c561ee843e5c2p-5, -0x1.bb1ef56d11b25p-5, -0x1.b10bcd1b9ecc6p-5, -0x1.a727e0f7500c7p-5, -0x1.9d729c451ac1ep-5, -0x1.93eb6a38e4722p-5, -0x1.8a91b6065d27dp-5, -0x1.8164eaf16220fp-5, -0x1.7864745dd690cp-5, -0x1.6f8fbddf040dap-5, -0x1.66e633467bfa2p-5, -0x1.5e6740b27557bp-5, -0x1.5612529bbfa35p-5, -0x1.4de6d5e32c201p-5, -0x1.45e437de8dee1p-5, -0x1.3e09e66541729p-5, -0x1.36574fdc3d886p-5, -0x1.2ecbe341b8abap-5, -0x1.2767103858fbdp-5, -0x1.20284711fab05p-5, -0x1.190ef8da11921p-5, -0x1.121a975f90b88p-5, -0x1.0b4a953e7c6cbp-5, -0x1.049e65e9073cep-5, -0x1.fc2afb60b04fdp-6, -0x1.ef5ea399c8219p-6, -0x1.e2d6b0ccdfep-6, -0x1.d69211376486dp-6, -0x1.ca8fb513260f8p-6, -0x1.bece8ea4309f3p-6, -0x1.b34d9245f94c8p-6, -0x1.a80bb677c1a47p-6, -0x1.9d07f3e87dee2p-6, -0x1.92414581f7cd7p-6, -0x1.87b6a87348b86p-6, -0x1.7d671c3adb632p-6, -0x1.7351a2afaa3ffp-6, -0x1.6975400a07137p-6, -0x1.5fd0faebc1633p-6, -0x1.5663dc67c1907p-6, -0x1.4d2cf00915cd2p-6, -0x1.442b43d975252p-6, -0x1.3b5de8674b9b2p-6, -0x1.32c3f0cb3ba4dp-6, -0x1.2a5c72ad17237p-6, -0x1.22268648876fcp-6, -0x1.1a2146710411ap-6, -0x1.124bd0958535ap-6, -0x1.0aa544c3ba499p-6, -0x1.032cc5aac4bf1p-6, -0x1.f7c2f13b40f47p-7, -0x1.e9850b2a2504bp-7, -0x1.db9e2e628ef6p-7, -0x1.ce0cb576003bp-7, -0x1.c0cf0048d8234p-7, -0x1.b3e3741347551p-7, -0x1.a7487b61b0e96p-7, -0x1.9afc86143f75fp-7, -0x1.8efe095dfa053p-7, -0x1.834b7fc31b0f4p-7, -0x1.77e36916e327ep-7, -0x1.6cc44a78dab6dp-7, -0x1.61ecae51885bbp-7, -0x1.575b244e8dea1p-7, -0x1.4d0e415e65b2cp-7, -0x1.43049fab7340fp-7, -0x1.393cde96c05acp-7, -0x1.2fb5a2b245c1bp-7, -0x1.266d95baabdbcp-7, -0x1.1d636690af08cp-7, -0x1.1495c93224f95p-7, -0x1.0c0376b2a3055p-7, -0x1.03ab2d33aa364p-7, -0x1.f7175fb94976fp-8, -0x1.e7478da4bd973p-8, -0x1.d7e47e5cb30bbp-8, -0x1.c8ebd5eb91a4cp-8, -0x1.ba5b42204db92p-8, -0x1.ac307a7b5d006p-8, -0x1.9e69401ae3dcap-8, -0x1.91035da6a2bf4p-8, -0x1.83fca73b39d26p-8, -0x1.7752fa550e0fap-8, -0x1.6b043dbade664p-8, -0x1.5f0e6167c5aaep-8, -0x1.536f5e7536569p-8, -0x1.4825370430adp-8, -0x1.3d2df62697d8ep-8, -0x1.3287afc7d95d9p-8, -0x1.28308095aa34p-8, -0x1.1e268de8396c7p-8, -0x1.146805aa790bcp-8, -0x1.0af31e41d6cc4p-8, -0x1.01c616761fa6p-8, -0x1.f1be6ab1ee84ap-9, -0x1.e079945a90cap-9, -0x1.cfba589d3d123p-9, -0x1.bf7d76305107ep-9, -0x1.afbfbb981a22p-9, -0x1.a07e06f44accp-9, -0x1.91b545ce3ac81p-9, -0x1.836274e6af18ap-9, -0x1.7582a003600c4p-9, -0x1.6812e1bcb8255p-9, -0x1.5b10634b89ffap-9, -0x1.4e785c56980dp-9, -0x1.424812c09eebfp-9, -0x1.367cda75a3b8ap-9, -0x1.2b1415393a0fep-9, -0x1.200b327437b46p-9, -0x1.155faf02f9721p-9, -0x1.0b0f150373161p-9, -0x1.0116fba3d7f61p-9, -0x1.eeea0de216589p-10, -0x1.dc4dcf4ab204ep-10, -0x1.ca54b5ef96584p-10, -0x1.b8fa54d663241p-10, -0x1.a83a573b514d4p-10, -0x1.981080315b303p-10, -0x1.8878aa41b9e12p-10, -0x1.796ec70d2a6a4p-10, -0x1.6aeedeed504f9p-10, -0x1.5cf510968308ap-10, -0x1.4f7d90bac3971p-10, -0x1.4284a9ad2a957p-10, -0x1.3606bb06112cbp-10, -0x1.2a003947dd4adp-10, -0x1.1e6dad84e7531p-10, -0x1.134bb505d3c61p-10, -0x1.089700f0a58f6p-10, -0x1.fc98abe26c804p-11, -0x1.e8d117c389d4ap-11, -0x1.d5d11ae91aebdp-11, -0x1.c392afbd8e785p-11, -0x1.b20ff50750f49p-11, -0x1.a1432d4253bf9p-11, -0x1.9126bdf997273p-11, -0x1.81b52f2436036p-11, -0x1.72e92a822775bp-11, -0x1.64bd7afd7bf3bp-11, -0x1.572d0c0b1c70dp-11, -0x1.4a32e90ea925dp-11, -0x1.3dca3cbf6d16fp-11, -0x1.31ee508fe96fp-11, -0x1.269a8c16d178ep-11, -0x1.1bca747a0020bp-11, -0x1.1179abdbe29bap-11, -0x1.07a3f0c954547p-11, -0x1.fc8a3b5625dap-12, -0x1.eab2506e21672p-12, -0x1.d9b841cd3380ep-12, -0x1.c99464d6fa34cp-12, -0x1.ba3f4250e4958p-12, -0x1.abb19557a6709p-12, -0x1.9de44a555967bp-12, -0x1.90d07dfe9082fp-12, -0x1.846f7c53555c1p-12, -0x1.78babf9f1b945p-12, -0x1.6dabef82a1ab4p-12, -0x1.633cdffd48064p-12, -0x1.5967907c46d21p-12, -0x1.50262aec82072p-12, -0x1.477302d0d0637p-12, -0x1.3f48945b5612cp-12, -0x1.37a1838a960c1p-12, -0x1.30789b4a393fp-12, -0x1.29c8cc97e76efp-12, -0x1.238d2daae646cp-12, -0x1.1dc0f91f6d549p-12, -0x1.185f8d255635bp-12, -0x1.13646ab34185bp-12, -0x1.0ecb34bc5655ap-12, -0x1.0a8faf6863e04p-12, -0x1.06adbf54382c2p-12, -0x1.032168cd7faa5p-12, -0x1.ffcd9e31c20dp-13, -0x1.f9f4676f08b25p-13, -0x1.f4afeb62c1406p-13, -0x1.eff921c6549f2p-13, -0x1.ebc93a9cb0049p-13, -0x1.e8199cda31c0fp-13, -0x1.e4e3e510e9ed4p-13, -0x1.e221e424a1b17p-13, -0x1.dfcd9e068e1c6p-13, -0x1.dde148760935bp-13, -0x1.dc5749c2ffe98p-13, -0x1.db2a379ddb832p-13, -0x1.da54d5e601f78p-13, -0x1.d9d21584718fbp-13, -0x1.d99d1346f5b37p-13, -0x1.d9b116c534d0dp-13, -0x1.da09914808a24p-13, -0x1.daa21cb87d855p-13, -0x1.db767a9240ec3p-13, -0x1.dc8292dcfc6cap-13, -0x1.ddc2732c99d29p-13, -0x1.df324da2e67acp-13, -0x1.e0ce77f71efc5p-13, -0x1.e2936a8590ad4p-13, -0x1.e47dbf61dce36p-13, -0x1.e68a316dd740fp-13, -0x1.e8b59b770b43ap-13, -0x1.eafcf7573aef7p-13, -0x1.ed5d5d1b87701p-13, -0x1.efd4022da171fp-13, -0x1.f25e388271328p-13, -0x1.f4f96dcff6d81p-13, -0x1.f7a32ac3f7403p-13, -0x1.fa59124190043p-13, -0x1.fd18e0a06ab96p-13, -0x1.ffe06af2f7d46p-13, -0x1.0156cf273b5cp-12, -0x1.02bf3f8ca7ba9p-12, -0x1.0428942d4509p-12, -0x1.0591e588de067p-12, -0x1.06fa56c7c7f25p-12, -0x1.08611567e04fep-12, -0x1.09c558ee46227p-12, -0x1.0b266298ece0fp-12, -0x1.0c837d12ad933p-12, -0x1.0ddbfc2951af9p-12, -0x1.0f2f3c84961efp-12, -0x1.107ca3601f41ap-12, -0x1.11c39e4587121p-12, -0x1.1303a2c9422a6p-12, -0x1.143c2e487ebbfp-12, -0x1.156cc5a9b5081p-12, -0x1.1694f51d7da69p-12, -0x1.17b44fe12d4f5p-12, -0x1.18ca7003a564ep-12, -0x1.19d6f62ae04b2p-12, -0x1.1ad9895baad6cp-12, -0x1.1bd1d6c198bc3p-12, -0x1.1cbf9179c9915p-12, -0x1.1da2725ebb93cp-12, -0x1.1e7a37d40f929p-12, -0x1.1f46a5959282ap-12, -0x1.20078485cbadfp-12, -0x1.20bca27f6ed31p-12, -0x1.2165d2275e62bp-12, -0x1.2202eabf45826p-12, -0x1.2293c7fa05885p-12, -0x1.231849d166d37p-12, -0x1.2390545ccfbf2p-12, -0x1.23fbcfa841d88p-12, -0x1.245aa78dfa9e1p-12, -0x1.24accb8fec9dbp-12, -0x1.24f22eb390e6fp-12, -0x1.252ac75c9b697p-12, -0x1.25568f2a8ec36p-12, -0x1.257582d64dcf7p-12, -0x1.2587a21180ac7p-12, -0x1.258cef6635a9fp-12, -0x1.258570176cd91p-12, -0x1.25712c034af33p-12, -0x1.25502d8510ce8p-12, -0x1.2522815910a0fp-12, -0x1.24e8368017a7p-12, -0x1.24a15e24d9333p-12, -0x1.244e0b81b18f9p-12, -0x1.23ee53c7e56d5p-12, -0x1.23824e0631b01p-12, -0x1.230a131163d75p-12, -0x1.2285bd6cb18d9p-12, -0x1.21f5693400f68p-12, -0x1.215934057ffffp-12, -0x1.20b13cecfd27bp-12, -0x1.1ffda44efcb3ep-12, -0x1.1f3e8bd5ec275p-12, -0x1.1e74165e4c725p-12, -0x1.1d9e67e441462p-12, -0x1.1cbda571aa38ap-12, -0x1.1bd1f50cc7834p-12, -0x1.1adb7da7a79f9p-12, -0x1.19da670ff5b68p-12, -0x1.18ced9df30ffap-12, -0x1.17b8ff6b368a2p-12, -0x1.169901b86b9b6p-12, -0x1.156f0b6b137bbp-12, -0x1.143b47b9a1035p-12, -0x1.12fde26001a6fp-12, -0x1.11b707924b57cp-12, -0x1.1066e3f185782p-12, -0x1.0f0da47f01dep-12, -0x1.0dab769162212p-12, -0x1.0c4087c945fcep-12, -0x1.0acd06072fff4p-12, -0x1.09511f6113bf2p-12, -0x1.07cd021916517p-12, -0x1.0640dc937284ap-12, -0x1.04acdd4e2879cp-12, -0x1.031132d7fd26dp-12, -0x1.016e0bc84fc42p-12, -0x1.ff872d6e0f193p-13, -0x1.fc24046946875p-13, -0x1.f8b2f986cd6d2p-13, -0x1.f53469a041508p-13, -0x1.f1a8b157398d8p-13, -0x1.ee102d0811224p-13, -0x1.ea6b38bd70557p-13, -0x1.e6ba30250a689p-13, -0x1.e2fd6e83b026fp-13, -0x1.df354eab7247cp-13, -0x1.db622af08c291p-13, -0x1.d7845d20675fcp-13, -0x1.d39c3e780c75ep-13, -0x1.cfaa279bd537dp-13, -0x1.cbae708e86c87p-13, -0x1.c7a970a9988cbp-13, -0x1.c39b7e955c773p-13, -0x1.bf84f0429c398p-13, -0x1.bb661ae352942p-13, -0x1.b73f52e4d089fp-13, -0x1.b310ebe98400dp-13, -0x1.aedb38c332933p-13, -0x1.aa9e8b6e35165p-13, -0x1.a65b350c1d9bbp-13, -0x1.a21185df59a5ep-13, -0x1.9dc1cd46b2233p-13, -0x1.996c59b99ffa2p-13, -0x1.951178c454068p-13, -0x1.90b17704bc307p-13, -0x1.8c4ca026e915fp-13, -0x1.87e33ee24cc7bp-13, -0x1.83759cf734111p-13, -0x1.7f04032c293c8p-13, -0x1.7a8eb94bff463p-13, -0x1.761606244e8d2p-13, -0x1.719a2f82c92d8p-13, -0x1.6d1b7a34daa02p-13, -0x1.689a2a0551a6bp-13, -0x1.641681bc1f714p-13, -0x1.5f90c31cfdbe7p-13, -0x1.5b092ee693146p-13, -0x1.568004d268d89p-13, -0x1.51f583942440ap-13, -0x1.4d69e8d96a663p-13, -0x1.48dd714a3c269p-13, -0x1.445058883c964p-13, -0x1.3fc2d92f70db8p-13, -0x1.3b352cd6e5035p-13, -0x1.36a78c1038b66p-13, -0x1.321a2e68eab06p-13, -0x1.2d8d4a6b36539p-13, -0x1.2901159e5ad1p-13, -0x1.2475c4881829bp-13, -0x1.1feb8aad9cf8cp-13, -0x1.1b629a947e264p-13, -0x1.16db25c41461ep-13, -0x1.12555cc744cd1p-13, -0x1.0dd16f2cf445dp-13, -0x1.094f8b8a53927p-13, -0x1.04cfdf7c86b7fp-13, -0x1.005297a9d9ec9p-13, -0x1.f7afbf871f52ep-14, -0x1.eebfc5109184cp-14, -0x1.e5d5938a35709p-14, -0x1.dcf17cafc465dp-14, -0x1.d413d062973d1p-14, -0x1.cb3cdcacedd05p-14, -0x1.c26cedc764e63p-14, -0x1.b9a44e1bba29p-14, -0x1.b0e3464ab1c2p-14, -0x1.a82a1d2f17907p-14, -0x1.9f7917e2fe22cp-14, -0x1.96d079c4bbef1p-14, -0x1.8e30847aa0af3p-14, -0x1.859977f7fb9acp-14, -0x1.7d0b928218ce2p-14, -0x1.748710b52f04bp-14, -0x1.6c0c2d88436efp-14, -0x1.639b2253095bfp-14, -0x1.5b3426d33788ep-14, -0x1.52d7712fc60dbp-14, -0x1.4a8535ff775c1p-14, -0x1.423da84d22c43p-14, -0x1.3a00f99cc2121p-14, -0x1.31cf59f0be09p-14, -0x1.29a8f7ced5d0ap-14, -0x1.218e0045908c7p-14, -0x1.197e9ef0d5e15p-14, -0x1.117afdfed561bp-14, -0x1.098346363c811p-14, -0x1.01979ef9f4959p-14, -0x1.f3705c9e382bap-15, -0x1.e3ca31c3bd0e9p-15, -0x1.d43d041429293p-15, -0x1.c4c917a1fd354p-15, -0x1.b56eadec73e84p-15, -0x1.a62e05e8ce033p-15, -0x1.97075c0d6ad52p-15, -0x1.87faea5a870fbp-15, -0x1.7908e8656805fp-15, -0x1.6a318b611f2f6p-15, -0x1.5b75062a03f24p-15, -0x1.4cd3894d6f6b4p-15, -0x1.3e4d431574301p-15, -0x1.2fe25f91c57d4p-15, -0x1.219308a06f8fp-15, -0x1.135f65f98e4ep-15, -0x1.05479d37149f5p-15, -0x1.ee97a3bd24768p-16, -0x1.d2d84ad76792ap-16, -0x1.b7516eb088631p-16, -0x1.9c034a4ac33adp-16, -0x1.80ee14cb74682p-16, -0x1.6612018c4ff7ap-16, -0x1.4b6f402cf38a7p-16, -0x1.3105fca52feadp-16, -0x1.16d65f56ea257p-16, -0x1.f9c11a3eaf3f5p-17, -0x1.c6494ecf31895p-17, -0x1.93459870178d8p-17, -0x1.60b62c909ff4fp-17, -0x1.2e9b3a1ef33c4p-17, -0x1.f9e9d35344883p-18, -0x1.9786bb0752bcp-18, -0x1.360d63c275d94p-18, -0x1.aafbf3e6fea3p-19, -0x1.d762794bc092ep-20, -0x1.71d66215eb142p-22, 0x1.1ace9283e63cfp-20, 0x1.473505e4e2128p-19, 0x1.ff2e8119f83bfp-19, 0x1.5aa9f3b2c4b37p-18, 0x1.b4d2bcee5108fp-18, 0x1.0708e36b84409p-17, 0x1.3333a2ed02e01p-17, 0x1.5ee9bbfef6afp-17, 0x1.8a2b5256424cp-17, 0x1.b4f88e3dc2948p-17, 0x1.df519c77bbbf7p-17, 0x1.049b5712e3488p-16, 0x1.1953fc56d1f5p-16, 0x1.2dd2dacef3462p-16, 0x1.4218114a0a814p-16, 0x1.5623c092108b1p-16, 0x1.69f60b5f0ca78p-16, 0x1.7d8f164a15934p-16, 0x1.90ef07c0beb4p-16, 0x1.a41607fae6e37p-16, 0x1.b70440ed56d17p-16, 0x1.c9b9de3dc9206p-16, 0x1.dc370d3824c01p-16, 0x1.ee7bfcc23455fp-16, 0x1.00446ea8bed73p-15, 0x1.092ef06f6697dp-15, 0x1.11fd9d6e42184p-15, 0x1.1ab09015c546p-15, 0x1.2347e38816044p-15, 0x1.2bc3b3940afc5p-15, 0x1.34241cb01c05cp-15, 0x1.3c693bf57e821p-15, 0x1.44932f1aa7286p-15, 0x1.4ca2146ee0853p-15, 0x1.54960ad5d2577p-15, 0x1.5c6f31c2638edp-15, 0x1.642da931cac42p-15, 0x1.6bd191a74581dp-15, 0x1.735b0c27adae9p-15, 0x1.7aca3a357cdb5p-15, 0x1.821f3dcb8e8c8p-15, 0x1.895a3959c71a8p-15, 0x1.907b4fc061696p-15, 0x1.9782a44c1471p-15, 0x1.9e705ab1ec079p-15, 0x1.a544970b513a6p-15, 0x1.abff7dd253ddap-15, 0x1.b2a133ddccd64p-15, 0x1.b929de5dbceafp-15, 0x1.bf99a2d730ba1p-15, 0x1.c5f0a720cc37ap-15, 0x1.cc2f115fd6cbp-15, 0x1.d255080444bccp-15, 0x1.d862b1c53336dp-15, 0x1.de58359e2223dp-15, 0x1.e435bacb46643p-15, 0x1.e9fb68c664338p-15, 0x1.efa9674357c4dp-15, 0x1.f53fde2d8a94bp-15, 0x1.fabef5a4c80a9p-15, 0x1.00136afd0095fp-14, 0x1.02bbd3d67ebp-14, 0x1.0558c9b4696b6p-14, 0x1.07ea6100d3932p-14, 0x1.0a70ae38d313dp-14, 0x1.0cebc5eb2f644p-14, 0x1.0f5bbcb718f07p-14, 0x1.11c0a74af5983p-14, 0x1.141a9a6316a8cp-14, 0x1.1669aac855427p-14, 0x1.18aded4f0c0e4p-14, 0x1.1ae776d5d2715p-14, 0x1.1d165c447f166p-14, 0x1.1f3ab28adde7fp-14, 0x1.21548e9f9bp-14, 0x1.2364057f6347dp-14, 0x1.25692c2b92e07p-14, 0x1.276417a95bb3dp-14, 0x1.2954dd007d981p-14, 0x1.2b3b913aad5e6p-14, 0x1.2d18496264bdap-14, 0x1.2eeb1a820b3aep-14, 0x1.30b419a2def04p-14, 0x1.32735bcc5ab53p-14, 0x1.3428f60320561p-14, 0x1.35d4fd4838ba1p-14, 0x1.377786982956bp-14, 0x1.3910a6ea15596p-14, 0x1.3aa0732f1bb46p-14, 0x1.3c270051af963p-14, 0x1.3da463348eb3p-14, 0x1.3f18b0b202db7p-14, 0x1.4083fd9b4ad83p-14, 0x1.41e65eb7fa727p-14, 0x1.433fe8c55f2b2p-14, 0x1.4490b0758010dp-14, 0x1.45d8ca6eb0668p-14, 0x1.47184b4aee3b5p-14, 0x1.484f4797753f3p-14, 0x1.497dd3d3bf51cp-14, 0x1.4aa404711a38ep-14, 0x1.4bc1edd22339p-14, 0x1.4cd7a44a441e3p-14, 0x1.4de53c1d4a642p-14, 0x1.4eeac97e8917cp-14, 0x1.4fe86090a499fp-14, 0x1.50de1564dbf47p-14, 0x1.51cbfbfad9a78p-14, 0x1.52b2283ffa1d8p-14, 0x1.5390ae0ef72e4p-14, 0x1.5467a12f8e96ap-14, 0x1.55371555f5d1ep-14, 0x1.55ff1e226390ap-14, 0x1.56bfcf20f060cp-14, 0x1.57793bc8d44cep-14, 0x1.582b777c62b81p-14, 0x1.58d695889e47ap-14, 0x1.597aa9249eaeep-14, 0x1.5a17c57191c42p-14, 0x1.5aadfd7a29398p-14, 0x1.5b3d64329ef01p-14, 0x1.5bc60c7806f2bp-14, 0x1.5c4809102df46p-14, 0x1.5cc36ca932fdfp-14, 0x1.5d3849d981aa2p-14, 0x1.5da6b31f9aa9ep-14, 0x1.5e0ebae17b5d3p-14, 0x1.5e70736caf1e8p-14, 0x1.5ecbeef5df923p-14, 0x1.5f213f98cd15bp-14, 0x1.5f70775802e83p-14, 0x1.5fb9a81c86d2bp-14, 0x1.5ffce3b5df75ep-14, 0x1.603a3bd9d6523p-14, 0x1.6071c22444141p-14, 0x1.60a38816b56cdp-14, 0x1.60cf9f1898783p-14, 0x1.60f61876c6337p-14, 0x1.61170563af869p-14, 0x1.613276f71ddbp-14, 0x1.61487e2dd73c4p-14, 0x1.61592be9cf57ap-14, 0x1.616490f1bea4p-14, 0x1.616abdf187cep-14, 0x1.616bc3798a6b3p-14, 0x1.6167b1fee79cep-14, 0x1.615e99db33e14p-14, 0x1.61508b4c7b665p-14, 0x1.613d967551e3fp-14, 0x1.6125cb5c8668bp-14, 0x1.610939ed45c1fp-14, 0x1.60e7f1f6f9e0fp-14, 0x1.60c2032d3327ep-14, 0x1.60977d279e254p-14, 0x1.60686f61e40dap-14, 0x1.6034e93bdc739p-14, 0x1.5ffcf9f98e2e8p-14, 0x1.5fc0b0c2e9ffap-14, 0x1.5f801ca3a5a3dp-14, 0x1.5f3b4c8bad236p-14, 0x1.5ef24f4ee5c05p-14, 0x1.5ea533a5103cep-14, 0x1.5e54082a0507p-14, 0x1.5dfedb5d9c425p-14, 0x1.5da5bba38e9e3p-14, 0x1.5d48b743998b5p-14, 0x1.5ce7dc6970197p-14, 0x1.5c833925195d4p-14, 0x1.5c1adb6a8b03ep-14, 0x1.5baed111c9364p-14, 0x1.5b3f27d6dc25dp-14, 0x1.5acbed5a1c121p-14, 0x1.5a552f2036de3p-14, 0x1.59dafa91f079bp-14, 0x1.595d5cfc5637dp-14, 0x1.58dc6390e55c8p-14, 0x1.58581b658415ep-14, 0x1.57d09174b6729p-14, 0x1.5745d29d4efp-14, 0x1.56b7eba2b4bc7p-14, 0x1.5626e92d237bcp-14, 0x1.5592d7c984027p-14, 0x1.54fbc3e9718edp-14, 0x1.5461b9e37708bp-14, 0x1.53c4c5f338fabp-14, 0x1.5324f439208b1p-14, 0x1.528250bad6b39p-14, 0x1.51dce7635da81p-14, 0x1.5134c402ae4c8p-14, 0x1.5089f24e49c37p-14, 0x1.4fdc7de12ca39p-14, 0x1.4f2c723bdadb9p-14, 0x1.4e79dac471b5dp-14, 0x1.4dc4c2c6e6b7p-14, 0x1.4d0d357502931p-14, 0x1.4c533de66dc94p-14, 0x1.4b96e718e314dp-14, 0x1.4ad83bf04afdp-14, 0x1.4a174736aa2d8p-14, 0x1.4954139c811e9p-14, 0x1.488eabb8e438ap-14, 0x1.47c71a0958e1ap-14, 0x1.46fd68f218244p-14, 0x1.4631a2be152c3p-14, 0x1.4563d19f42cf4p-14, 0x1.4493ffaeb9057p-14, 0x1.43c236eca3cc4p-14, 0x1.42ee814056c92p-14, 0x1.4218e8788d0eep-14, 0x1.4141764b8ec4p-14, 0x1.4068345745da9p-14, 0x1.3f8d2c21724d7p-14, 0x1.3eb06717b3db2p-14, 0x1.3dd1ee8f87dc2p-14, 0x1.3cf1cbc6856e1p-14, 0x1.3c1007e2a077p-14, 0x1.3b2cabf219f98p-14, 0x1.3a47c0ebc5f9cp-14, 0x1.39614faf0f182p-14, 0x1.3879610437f56p-14, 0x1.378ffd9c4b869p-14, 0x1.36a52e1162703p-14, 0x1.35b8fae6c0ed4p-14, 0x1.34cb6c88f0361p-14, 0x1.33dc8b4de4df1p-14, 0x1.32ec5f7522ep-14, 0x1.31faf127e2b03p-14, 0x1.310848791f258p-14, 0x1.30146d65ce333p-14, 0x1.2f1f67d4f7ca7p-14, 0x1.2e293f97d8715p-14, 0x1.2d31fc6a2613p-14, 0x1.2c39a5f1f80a6p-14, 0x1.2b4043c00b0c1p-14, 0x1.2a45dd4fdf0ep-14, 0x1.294a7a07c358ep-14, 0x1.284e213923a29p-14, 0x1.2750da209bdecp-14, 0x1.2652abe629f73p-14, 0x1.25539d9d3d78p-14, 0x1.2453b644a4d35p-14, 0x1.2352fcc6fe26bp-14, 0x1.225177fad5224p-14, 0x1.214f2ea2aebe6p-14, 0x1.204c276d201cbp-14, 0x1.1f4868f50012p-14, 0x1.1e43f9c1b526fp-14, 0x1.1d3ee04709d1ap-14, 0x1.1c3922e57a764p-14, 0x1.1b32c7ea6356dp-14, 0x1.1a2bd59009c33p-14, 0x1.192451fdc9224p-14, 0x1.181c43483dd1bp-14, 0x1.1713af71494aep-14, 0x1.160a9c6862a8bp-14, 0x1.1501100aabbbbp-14, 0x1.13f71022f3333p-14, 0x1.12eca269def2dp-14, 0x1.11e1cc8652ef3p-14, 0x1.10d6940d545b4p-14, 0x1.0fcafe8217877p-14, 0x1.0ebf11564961p-14, 0x1.0db2d1ea3bc3p-14, 0x1.0ca6458cf9756p-14, 0x1.0b99717c44316p-14, 0x1.0a8c5ae4f0813p-14, 0x1.097f06e31663ep-14, 0x1.08717a81e2487p-14, 0x1.0763babbd6162p-14, 0x1.0655cc7b124ffp-14, 0x1.0547b4994f3c4p-14, 0x1.043977e0084ecp-14, 0x1.032b1b08ac701p-14, 0x1.021ca2bca197cp-14, 0x1.010e139597201p-14, 0x1.fffee43ade25ap-15, 0x1.fde1859ce4733p-15, 0x1.fbc41427286b4p-15, 0x1.f9a69890f0bap-15, 0x1.f7891b72d50c3p-15, 0x1.f56ba547711fp-15, 0x1.f34e3e6bca5a3p-15, 0x1.f130ef1f0f524p-15, 0x1.ef13bf82d61cbp-15, 0x1.ecf6b79be21c5p-15, 0x1.ead9df52217bfp-15, 0x1.e8bd3e70a5f95p-15, 0x1.e6a0dca679d38p-15, 0x1.e484c186829bbp-15, 0x1.e268f487715b4p-15, 0x1.e04d7d047c1ffp-15, 0x1.de32623d9295dp-15, 0x1.dc17ab576313p-15, 0x1.d9fd5f5bd17c4p-15, 0x1.d7e38539fe7ap-15, 0x1.d5ca23c6e0f3ep-15, 0x1.d3b141bd09e58p-15, 0x1.d198e5bd0887cp-15, 0x1.cf81164dd3285p-15, 0x1.cd69d9dd012bep-15, 0x1.cb5336beb0648p-15, 0x1.c93d332e1810dp-15, 0x1.c727d54ddf54ap-15, 0x1.c5132327d69aap-15, 0x1.c2ff22ad71b7dp-15, 0x1.c0ebd9b86e036p-15, 0x1.bed94e0a5d9aap-15, 0x1.bcc7854d3ce65p-15, 0x1.bab68513e4d0ap-15, 0x1.b8a652d99bcdp-15, 0x1.b696f402d246bp-15, 0x1.b4886ddd6c7c6p-15, 0x1.b27ac5a0900fdp-15, 0x1.b06e006cfa213p-15, 0x1.ae62234d95e95p-15, 0x1.ac5733374c15ap-15, 0x1.aa4d35095b0ddp-15, 0x1.a8442d8d98865p-15, 0x1.a63c2178b25ap-15, 0x1.a435156a1fc51p-15, 0x1.a22f0dec97919p-15, 0x1.a02a0f763baf6p-15, 0x1.9e261e68c63dfp-15, 0x1.9c233f11b0d14p-15, 0x1.9a2175aa8b468p-15, 0x1.9820c65934b0ep-15, 0x1.9621352f9d616p-15, }}, 
      {{-0x1.115b79433d2dbp-1, -0x1.117e63fea0de4p-1, -0x1.11b6262bb92a1p-1, -0x1.11ffc7e5a54b8p-1, -0x1.1257e3a27b9f7p-1, -0x1.12baec3e7c5d2p-1, -0x1.13255e554b116p-1, -0x1.1393e2272fd3ap-1, -0x1.140361f64c734p-1, -0x1.147117cd6a76p-1, -0x1.14da94e842741p-1, -0x1.153dc46aec5adp-1, -0x1.1598eaaee5ad7p-1, -0x1.15eaa21ea1d9bp-1, -0x1.1631d65e0b4c3p-1, -0x1.166dbe51dfa37p-1, -0x1.169dd575ba543p-1, -0x1.16c1d4d64bbe1p-1, -0x1.16d9abf0c0a9ep-1, -0x1.16e579a851effp-1, -0x1.16e585764056fp-1, -0x1.16da38ee817e9p-1, -0x1.16c419ab5de35p-1, -0x1.16a3c3abe95cap-1, -0x1.1679e42c33fc4p-1, -0x1.164734fa146bfp-1, -0x1.160c78464d54bp-1, -0x1.15ca74ef6a469p-1, -0x1.1581f341d67ap-1, -0x1.1533ba2761f46p-1, -0x1.14e08cbf6cf02p-1, -0x1.14892858600adp-1, -0x1.142e42c2b377cp-1, -0x1.13d088f5adb9ep-1, -0x1.13709dfe05ec4p-1, -0x1.130f1a2eca301p-1, -0x1.12ac8a8d2981cp-1, -0x1.124970702050bp-1, -0x1.11e6414d71dc2p-1, -0x1.118366adc530ep-1, -0x1.11213e4238021p-1, -0x1.10c01a16336a4p-1, -0x1.106040d8c40f5p-1, -0x1.1001ee3932491p-1, -0x1.0fa5535304a6p-1, -0x1.0f4a972607176p-1, -0x1.0ef1d717566dap-1, -0x1.0e9b2778ce961p-1, -0x1.0e46941494db9p-1, -0x1.0df420bac9732p-1, -0x1.0da3c9cfaf1e6p-1, -0x1.0d5584d8e9453p-1, -0x1.0d0941089aae7p-1, -0x1.0cbee7c576e82p-1, -0x1.0c765d2efcf1bp-1, -0x1.0c2f809d3faf1p-1, -0x1.0bea2d1bc798fp-1, -0x1.0ba639df33f0bp-1, -0x1.0b637ab564478p-1, -0x1.0b21c07005d64p-1, -0x1.0ae0d9497347cp-1, -0x1.0aa09143ed1d5p-1, -0x1.0a60b28336554p-1, -0x1.0a2105a0b05f9p-1, -0x1.09e151fa1b8aep-1, -0x1.09a15dfb26221p-1, -0x1.0960ef61f716dp-1, -0x1.091fcb7eedd67p-1, -0x1.08ddb76fc657ep-1, -0x1.089a78565ebdcp-1, -0x1.0855d38b538a9p-1, -0x1.080f8eccac764p-1, -0x1.07c77068cf8b7p-1, -0x1.077d3f65f230fp-1, -0x1.0730c3a63aeap-1, -0x1.06e1c608c9053p-1, -0x1.06901087cf878p-1, -0x1.063b6e53f45c1p-1, -0x1.05e3abed1e3abp-1, -0x1.05889738dc25cp-1, -0x1.0529ff968976fp-1, -0x1.04c7b5f15b8f4p-1, -0x1.04618cd071cb4p-1, -0x1.03f758650fc0cp-1, -0x1.0388ee971c2a5p-1, -0x1.0316271000a5ap-1, -0x1.029edb4406324p-1, -0x1.0222e67a44df1p-1, -0x1.01a225d33e2e2p-1, -0x1.011c784e37123p-1, -0x1.0091becd65c2p-1, -0x1.0001dc1902fddp-1, -0x1.fed969c2a7c6ap-2, -0x1.fda45f7f6f7eep-2, -0x1.fc646a6d959a8p-2, -0x1.fb195f6359aa5p-2, -0x1.f9c31704e9d28p-2, -0x1.f8616dbfc4284p-2, -0x1.f6f443c4a2aa8p-2, -0x1.f57b7d000bc83p-2, -0x1.f3f7011199ed9p-2, -0x1.f266bb420a5e3p-2, -0x1.f0ca9a782c6c4p-2, -0x1.ef22912cbb2cbp-2, -0x1.ed6e955d35e15p-2, -0x1.ebaea07dca742p-2, -0x1.e9e2af6a5517ap-2, -0x1.e80ac25696083p-2, -0x1.e626dcbd9b3b7p-2, -0x1.e43705507239ap-2, -0x1.e23b45e435095p-2, -0x1.e033ab5f722dbp-2, -0x1.de2045a708c9dp-2, -0x1.dc01278a7f0ffp-2, -0x1.d9d666afdd1b5p-2, -0x1.d7a01b7f1dcbcp-2, -0x1.d55e610d3a79dp-2, -0x1.d3115506e1c84p-2, -0x1.d0b9179ae17f5p-2, -0x1.ce55cb644c3bbp-2, -0x1.cbe7955469e6dp-2, -0x1.c96e9c9c783ep-2, -0x1.c6eb0a9746d99p-2, -0x1.c45d0ab2b9406p-2, -0x1.c1c4ca5934c0ap-2, -0x1.bf2278db05ed7p-2, -0x1.bc764757c459dp-2, -0x1.b9c068a7bdcdep-2, -0x1.b701114571516p-2, -0x1.b43877371d1f4p-2, -0x1.b166d1f86f583p-2, -0x1.ae8c5a645821ep-2, -0x1.aba94a9f08318p-2, -0x1.a8bdde0021eacp-2, -0x1.a5ca50fd21782p-2, -0x1.a2cee11405196p-2, -0x1.9fcbccb634569p-2, -0x1.9cc15333b65cfp-2, -0x1.99afb4a6b00cbp-2, -0x1.969731df38a9dp-2, -0x1.93780c4f821e4p-2, -0x1.905285f85e786p-2, -0x1.8d26e1562387fp-2, -0x1.89f5614deecc1p-2, -0x1.86be491b50bc7p-2, -0x1.8381dc3e604d9p-2, -0x1.80405e6a38e45p-2, -0x1.7cfa1373e55bcp-2, -0x1.79af3f41bba1ap-2, -0x1.766025bb2aacep-2, -0x1.730d0ab8f9ebap-2, -0x1.6fb631f5fe1f7p-2, -0x1.6c5bdf0046baap-2, -0x1.68fe552abcb62p-2, -0x1.659dd77f4081ep-2, -0x1.623aa8b139ddbp-2, -0x1.5ed50b10a4298p-2, -0x1.5b6d407d93a7bp-2, -0x1.58038a5c31efp-2, -0x1.5498298933bffp-2, -0x1.512b5e4ec91d9p-2, -0x1.4dbd685a02d43p-2, -0x1.4a4e86b0b162ep-2, -0x1.46def7a7b8004p-2, -0x1.436ef8d9d7b14p-2, -0x1.3ffec71eed997p-2, -0x1.3c8e9e83a3a5bp-2, -0x1.391eba4195c25p-2, -0x1.35af54b7e261ep-2, -0x1.3240a76430e1ep-2, -0x1.2ed2eadc202adp-2, -0x1.2b6656c720308p-2, -0x1.27fb21d8b9d5cp-2, -0x1.249181cb39c4fp-2, -0x1.2129ab5ac4d68p-2, -0x1.1dc3d240cbe72p-2, -0x1.1a60292fe7e9dp-2, -0x1.16fee1d00c9e6p-2, -0x1.13a02cbb2231cp-2, -0x1.10443979f26e6p-2, -0x1.0ceb36817248fp-2, -0x1.0995513063627p-2, -0x1.0642b5cd44b5p-2, -0x1.02f38f849c178p-2, -0x1.ff5010cf0fc47p-3, -0x1.f8c092d549282p-3, -0x1.f238f4ca71ac4p-3, -0x1.ebb9842155e3bp-3, -0x1.e5428c107ccffp-3, -0x1.ded45592237b4p-3, -0x1.d86f2764c38cep-3, -0x1.d213460c0fbc1p-3, -0x1.cbc0f3d26e0b4p-3, -0x1.c57870cae7008p-3, -0x1.bf39fad382d15p-3, -0x1.b905cd981481bp-3, -0x1.b2dc229567883p-3, -0x1.acbd311cd7df8p-3, -0x1.a6a92e583da97p-3, -0x1.a0a04d4e3df88p-3, -0x1.9aa2bee6e49c3p-3, -0x1.94b0b1f09cec3p-3, -0x1.8eca53256c8c9p-3, -0x1.88efcd3078f5dp-3, -0x1.832148b3dd088p-3, -0x1.7d5eec4ead3f6p-3, -0x1.77a8dca34a2acp-3, -0x1.71ff3c5de189ep-3, -0x1.6c622c3b28919p-3, -0x1.66d1cb0f4bda8p-3, -0x1.614e35cd09886p-3, -0x1.5bd7878cf68a8p-3, -0x1.566dd994f0b9p-3, -0x1.5111435fb09c5p-3, -0x1.4bc1daa47e63dp-3, -0x1.467fb35f05a5dp-3, -0x1.414adfd74707cp-3, -0x1.3c2370a99d404p-3, -0x1.370974cedb9b4p-3, -0x1.31fcf9a47ef77p-3, -0x1.2cfe0af4ee982p-3, -0x1.280cb2ffce8f9p-3, -0x1.2328fa825309bp-3, -0x1.1e52e8bfadfafp-3, -0x1.198a83896f9cep-3, -0x1.14cfcf47fdc99p-3, -0x1.1022cf02ff06cp-3, -0x1.0b838469d484cp-3, -0x1.06f1efdc00c38p-3, -0x1.026e10719c4a8p-3, -0x1.fbefc8077a5e3p-4, -0x1.f31ece69a6569p-4, -0x1.ea692af20aee3p-4, -0x1.e1ced23cfc51ep-4, -0x1.d94fb6ab5b571p-4, -0x1.d0ebc87303c67p-4, -0x1.c8a2f5af15b5p-4, -0x1.c0752a7029c0fp-4, -0x1.b86250cc59538p-4, -0x1.b06a50ef2e417p-4, -0x1.a88d11296129fp-4, -0x1.a0ca760071216p-4, -0x1.9922623e1b2a7p-4, -0x1.9194b6ff9b26p-4, -0x1.8a2153c4be7efp-4, -0x1.82c8167ecf405p-4, -0x1.7b88db9f47eeap-4, -0x1.74637e26564bfp-4, -0x1.6d57d7b12c7fdp-4, -0x1.6665c0881c102p-4, -0x1.5f8d0fac7bb9p-4, -0x1.58cd9ae65228fp-4, -0x1.522736d1d3863p-4, -0x1.4b99b6ec99d16p-4, -0x1.4524eda2ad9b3p-4, -0x1.3ec8ac5b4e572p-4, -0x1.3884c38588306p-4, -0x1.325902a4848f5p-4, -0x1.2c45385ba8a7ep-4, -0x1.2649327a73d2ap-4, -0x1.2064be08237d5p-4, -0x1.1a97a74f1a102p-4, -0x1.14e1b9e808c78p-4, -0x1.0f42c0c4e1c97p-4, -0x1.09ba863b8950ap-4, -0x1.0448d4104aadp-4, -0x1.fddae70028e49p-5, -0x1.f3505a94efe87p-5, -0x1.e8f19376d0c0bp-5, -0x1.debe21698642ep-5, -0x1.d4b5936f3b011p-5, -0x1.cad777daa63d5p-5, -0x1.c1235c60b790ap-5, -0x1.b798ce29d039bp-5, -0x1.ae3759e2884fp-5, -0x1.a4fe8bcbfcab2p-5, -0x1.9bedefcbb0203p-5, -0x1.9305117afbbb1p-5, -0x1.8a437c360e147p-5, -0x1.81a8bb2a7a0bbp-5, -0x1.793459655a316p-5, -0x1.70e5e1e10f913p-5, -0x1.68bcdf92898fap-5, -0x1.60b8dd762764ep-5, -0x1.58d9669c3c5a3p-5, -0x1.511e06351f37bp-5, -0x1.4986479cde91cp-5, -0x1.4211b6668cf04p-5, -0x1.3abfde672a189p-5, -0x1.33904bc031365p-5, -0x1.2c828ae9c1557p-5, -0x1.259628bc6d8c3p-5, -0x1.1ecab27aab554p-5, -0x1.181fb5d9f0573p-5, -0x1.1194c10b6be58p-5, -0x1.0b2962c46ee0ep-5, -0x1.04dd2a4682abp-5, -0x1.fd5f4ece47d6ep-6, -0x1.f140d52e5ba04p-6, -0x1.e55e09d3e9775p-6, -0x1.d9b610382d6c7p-6, -0x1.ce480d33ee262p-6, -0x1.c313270be3369p-6, -0x1.b816857c82be3p-6, -0x1.ad5151c54a0e7p-6, -0x1.a2c2b6b365dcp-6, -0x1.9869e0abe0b47p-6, -0x1.8e45fdb5434dep-6, -0x1.84563d80a9836p-6, -0x1.7a99d1725cdf1p-6, -0x1.710feca9f4b42p-6, -0x1.67b7c409f4099p-6, -0x1.5e908e3ef6ee3p-6, -0x1.559983c65d9e1p-6, -0x1.4cd1def493bb1p-6, -0x1.4438dbfade7d6p-6, -0x1.3bcdb8ecc642bp-6, -0x1.338fb5c517446p-6, -0x1.2b7e146a7757ap-6, -0x1.239818b390b7dp-6, -0x1.1bdd086af2ed6p-6, -0x1.144c2b5277dc2p-6, -0x1.0ce4cb2671393p-6, -0x1.05a633a05f158p-6, -0x1.fd1f64f2bd421p-7, -0x1.ef412ed880881p-7, -0x1.e1b0686ea9132p-7, -0x1.d46bb93bc38f7p-7, -0x1.c771ccd2b7b72p-7, -0x1.bac152d4904f7p-7, -0x1.ae58fef1a8566p-7, -0x1.a23788ea75ac2p-7, -0x1.965bac8fb61c7p-7, -0x1.8ac429c2154cp-7, -0x1.7f6fc471880ecp-7, -0x1.745d449bf399ap-7, -0x1.698b764b7edap-7, -0x1.5ef9299486eadp-7, -0x1.54a532930293dp-7, -0x1.4a8e6967a0d29p-7, -0x1.40b3aa3480eebp-7, -0x1.3713d51987c18p-7, -0x1.2dadce3050edfp-7, -0x1.24807d87d4f03p-7, -0x1.1b8acf1fb90c6p-7, -0x1.12cbb2e35b672p-7, -0x1.0a421ca47cbddp-7, -0x1.01ed0415d0821p-7, -0x1.f396c989fa866p-8, -0x1.e3b87c293f89cp-8, -0x1.d43d266bdb131p-8, -0x1.c522d64442ec1p-8, -0x1.b667a12778d01p-8, -0x1.a809a3fefedcbp-8, -0x1.9a07031a91bdfp-8, -0x1.8c5dea214612ap-8, -0x1.7f0c8c0276cf2p-8, -0x1.721122e651f3cp-8, -0x1.6569f01e2b48p-8, -0x1.59153c145b1d5p-8, -0x1.4d11563c1530ap-8, -0x1.415c9500b1f72p-8, -0x1.35f555b4e23dep-8, -0x1.2ad9fc81be32fp-8, -0x1.2008f4557399cp-8, -0x1.1580aed1e43ccp-8, -0x1.0b3fa43b24007p-8, -0x1.01445365a7de1p-8, -0x1.ef1a8348c7f5fp-9, -0x1.dc31f56da9d6bp-9, -0x1.c9cc216da5d54p-9, -0x1.b7e6380ca4febp-9, -0x1.a67d767a52206p-9, -0x1.958f262d5e44p-9, -0x1.85189cbe897f3p-9, -0x1.75173bc3b314cp-9, -0x1.658870aaa3c75p-9, -0x1.5669b49404159p-9, -0x1.47b88c2e5e487p-9, -0x1.39728790ac898p-9, -0x1.2b9542156092cp-9, -0x1.1e1e62353d344p-9, -0x1.110b996239fcap-9, -0x1.045aa3e272232p-9, -0x1.f01291563e88fp-10, -0x1.d82ab277a779dp-10, -0x1.c0f962f324355p-10, -0x1.aa7a6f14c9d5dp-10, -0x1.94a9b76151aep-10, -0x1.7f83304dc5dbep-10, -0x1.6b02e1f695ddbp-10, -0x1.5724e7d8094d4p-10, -0x1.43e57086119bap-10, -0x1.3140bd6579f3ap-10, -0x1.1f332264b889p-10, -0x1.0db905b598144p-10, -0x1.f99dbf0ed63b1p-11, -0x1.d8e2738283838p-11, -0x1.b9395f7a65802p-11, -0x1.9a9bdc06b4e34p-11, -0x1.7d03640cbd48bp-11, -0x1.606993bf1cbb9p-11, -0x1.44c82818677fdp-11, -0x1.2a18fe567ad2fp-11, -0x1.105613771716p-11, -0x1.eef30769d8441p-12, -0x1.befb140e205d1p-12, -0x1.90b8ff4025062p-12, -0x1.6421b6e0ef44dp-12, -0x1.392a634fe75a5p-12, -0x1.0fc866742fd8ap-12, -0x1.cfe2b58af084ap-13, -0x1.833624b45d3a4p-13, -0x1.39772be99b2c5p-13, -0x1.e524905ef12adp-14, -0x1.5ce8c05f2472dp-14, -0x1.b42b099f15878p-15, -0x1.72191afbc85fap-16, 0x1.be8c8424544d1p-18, 0x1.1eb5634d9dfc8p-15, 0x1.fbe37aab516a7p-15, 0x1.67cf75203b035p-14, 0x1.cd14a81f39d97p-14, 0x1.16f0b706eb77cp-13, 0x1.452a954bac12cp-13, 0x1.7147484c4a56ep-13, 0x1.9b55d2aab0037p-13, 0x1.c364e1d3eb4d1p-13, 0x1.e982cf9126b63p-13, 0x1.06ded1c83d6afp-12, 0x1.18118a76c4232p-12, 0x1.286045d8fe4fbp-12, 0x1.37d19127939c7p-12, 0x1.466bd38b11eb1p-12, 0x1.54354ed3d2cd3p-12, 0x1.6134202f0f116p-12, 0x1.6d6e40db4bae6p-12, 0x1.78e986d6d55cfp-12, 0x1.83aba58efe4dp-12, 0x1.8dba2e8a44f62p-12, 0x1.971a92125921ep-12, 0x1.9fd21fd8e43c9p-12, 0x1.a7e6079be7d0ep-12, 0x1.af5b59c5eedbfp-12, 0x1.b637080d8cc94p-12, 0x1.bc7de611125cp-12, 0x1.c234a9ef752b5p-12, 0x1.c75fece01b64dp-12, 0x1.cc042bc6956d4p-12, 0x1.d025c7c6251p-12, 0x1.d3c906d0ebd81p-12, 0x1.d6f21436757a9p-12, 0x1.d9a5012d35455p-12, 0x1.dbe5c55cd244bp-12, 0x1.ddb83f64bf67cp-12, 0x1.df20355f785a3p-12, 0x1.e0215565b643fp-12, 0x1.e0bf360e10f32p-12, 0x1.e0fd56e98afe8p-12, 0x1.e0df21016310ep-12, 0x1.e067e74ebebedp-12, 0x1.df9ae732afe2bp-12, 0x1.de7b48eb09ea8p-12, 0x1.dd0c2005f43e3p-12, 0x1.db506bd2bc481p-12, 0x1.d94b17d04aa8dp-12, 0x1.d6fefc1b33894p-12, 0x1.d46eddd866aeep-12, 0x1.d19d6f9e1c4dcp-12, 0x1.ce8d51db8e418p-12, 0x1.cb41133e08c82p-12, 0x1.c7bb3114d934ap-12, 0x1.c3fe17b271e9p-12, 0x1.c00c22cc8fdc1p-12, 0x1.bbe79ddacbb31p-12, 0x1.b792c470c975dp-12, 0x1.b30fc29b5a29ap-12, 0x1.ae60b537d757ep-12, 0x1.a987aa4bf9fa4p-12, 0x1.a486a15b36d89p-12, 0x1.9f5f8bba27734p-12, 0x1.9a144ce14b65dp-12, 0x1.94a6babd3bdc4p-12, 0x1.8f189dfe68976p-12, 0x1.896bb2663b4ecp-12, 0x1.83a1a712f89e2p-12, 0x1.7dbc1ec9d1f9bp-12, 0x1.77bcb04118835p-12, 0x1.71a4e66710fc1p-12, 0x1.6b7640a88fdcap-12, 0x1.6532333548d03p-12, 0x1.5eda27439e474p-12, 0x1.586f7b5276633p-12, 0x1.51f38369e3f18p-12, 0x1.4b67895a83efap-12, 0x1.44ccccfbd819dp-12, 0x1.3e24846912e8dp-12, 0x1.376fdc3be3f32p-12, 0x1.30aff7c7c2dbfp-12, 0x1.29e5f152fdd92p-12, 0x1.2312da4e526d5p-12, 0x1.1c37bb8bc06c8p-12, 0x1.1555957493b0cp-12, 0x1.0e6d603d7975fp-12, 0x1.07800c1a26eafp-12, 0x1.008e816f65efcp-12, 0x1.f333420957a85p-13, 0x1.e544886914e96p-13, 0x1.d7527a3662fd1p-13, 0x1.c95ead8a4448ap-13, 0x1.bb6aaab8473b1p-13, 0x1.ad77eca758fa3p-13, 0x1.9f87e127f6521p-13, 0x1.919be9493c69bp-13, 0x1.83b559ab4f9f5p-13, 0x1.75d57ad154816p-13, 0x1.67fd896edfc0ap-13, 0x1.5a2eb6b643b59p-13, 0x1.4c6a28a55d4a8p-13, 0x1.3eb0fa4ec3dbfp-13, 0x1.31043c2249742p-13, 0x1.2364f43430774p-13, 0x1.15d41e824794p-13, 0x1.0852ad37a01e8p-13, 0x1.f5c311dcc5112p-14, 0x1.db0321e2a5601p-14, 0x1.c06736f617376p-14, 0x1.a5f0ebe6f1b8ap-14, 0x1.8ba1ca5846e53p-14, 0x1.717b4b36e0fb9p-14, 0x1.577ed72d9611cp-14, 0x1.3dadc714f4929p-14, 0x1.24096461db63ep-14, 0x1.0a92e9918f79fp-14, 0x1.e2970525ea43ap-15, 0x1.b0689a5991f6cp-15, 0x1.7e9cb2c24b1d1p-15, 0x1.4d3553a38bb28p-15, 0x1.1c34683c68a56p-15, 0x1.d737850ac0f0ap-16, 0x1.76da37c93871ap-16, 0x1.17542bc087e48p-16, 0x1.7150eb35b2b06p-17, 0x1.6b67f3d814552p-18, -0x1.0a4129f8faef7p-23, -0x1.7881db9b958dap-18, -0x1.728ef149d3847p-17, -0x1.1387477e7c8e4p-16, -0x1.6cddca42ad0aep-16, -0x1.c5490d7f7187ep-16, -0x1.0e63a12bc5bc3p-15, -0x1.39ab5eb87af9fp-15, -0x1.647afaef39023p-15, -0x1.8ed1c20d8a3d3p-15, -0x1.b8af1081a2bc3p-15, -0x1.e212526bbf50ep-15, -0x1.057d8190eefaep-14, -0x1.19b4565be8d5ep-14, -0x1.2dad73c4bd86fp-14, -0x1.4168ace321dc1p-14, -0x1.54e5db8127244p-14, -0x1.6824dfe46e792p-14, -0x1.7b25a099ef2ep-14, -0x1.8de80a40ab9b8p-14, -0x1.a06c0f578e0b7p-14, -0x1.b2b1a80bac25p-14, -0x1.c4b8d208e37d3p-14, -0x1.d681904af130cp-14, -0x1.e80beaef3b1dbp-14, -0x1.f957ef0801c26p-14, -0x1.0532d7391f82ap-13, -0x1.0d9a9fd561371p-13, -0x1.15e35ed243698p-13, -0x1.1e0d23d0906c5p-13, -0x1.261800849b3b1p-13, -0x1.2e0408a378559p-13, -0x1.35d151d042517p-13, -0x1.3d7ff38a17f7ap-13, -0x1.4510071a197b1p-13, -0x1.4c81a78304eb7p-13, -0x1.53d4f17062102p-13, -0x1.5b0a0325e61bep-13, -0x1.6220fc6fc8c4ep-13, -0x1.6919fe932c471p-13, -0x1.6ff52c400e1d8p-13, -0x1.76b2a981b71fbp-13, -0x1.7d529bb10ace4p-13, -0x1.83d529667e5a2p-13, -0x1.8a3a7a6cc2eap-13, -0x1.9082b7b3969b1p-13, -0x1.96ae0b4351c1ap-13, -0x1.9cbca0301afe1p-13, -0x1.a2aea28e3c734p-13, -0x1.a8843f66a8ba2p-13, -0x1.ae3da4ab65b5ep-13, -0x1.b3db012c61b1bp-13, -0x1.b95c848c54339p-13, -0x1.bec25f3701b1bp-13, -0x1.c40cc256d33dfp-13, -0x1.c93bdfcb1c087p-13, -0x1.ce4fea1e5a60dp-13, -0x1.d349147cdcb2fp-13, -0x1.d82792ac05f04p-13, -0x1.dceb9900cbd13p-13, -0x1.e1955c57e0078p-13, -0x1.e625120cee599p-13, -0x1.ea9aeff2d8bf2p-13, -0x1.eef72c4c0ae9p-13, -0x1.f339fdc2d97dep-13, -0x1.f7639b61efc18p-13, -0x1.fb743c8d191a4p-13, -0x1.ff6c18fa5c8f1p-13, -0x1.01a5b455d2d7p-12, -0x1.038931f3e2f58p-12, -0x1.0560a19a47f59p-12, -0x1.072c1fa82ea56p-12, -0x1.08ebc89627decp-12, -0x1.0a9fb8f33e481p-12, -0x1.0c480d6208edfp-12, -0x1.0de4e2962ca73p-12, -0x1.0f76555196506p-12, -0x1.10fc826213273p-12, -0x1.1277869ed148p-12, -0x1.13e77ee601f17p-12, -0x1.154c881a7747fp-12, -0x1.16a6bf216779fp-12, -0x1.17f640e05f2e1p-12, -0x1.193b2a3b16379p-12, -0x1.1a75981174089p-12, -0x1.1ba5a73db503cp-12, -0x1.1ccb74924c40dp-12, -0x1.1de71cd85d15fp-12, -0x1.1ef8bccda15d6p-12, -0x1.20007122f90ffp-12, -0x1.20fe567aa3dbdp-12, -0x1.21f28966b21f2p-12, -0x1.22dd26679075dp-12, -0x1.23be49ea89d18p-12, -0x1.2496104847519p-12, -0x1.256495c391db8p-12, -0x1.2629f687d0259p-12, -0x1.26e64ea7ed3dp-12, -0x1.2799ba1d223a2p-12, -0x1.284454c59852p-12, -0x1.28e63a6372f0fp-12, -0x1.297f869baafecp-12, -0x1.2a1054f5035b4p-12, -0x1.2a98c0d7089cdp-12, -0x1.2b18e5890f021p-12, -0x1.2b90de315b2c5p-12, -0x1.2c00c5d429863p-12, -0x1.2c68b752f276dp-12, -0x1.2cc8cd6b73227p-12, -0x1.2d2122b6ff93cp-12, -0x1.2d71d1a9cbe32p-12, -0x1.2dbaf492164afp-12, -0x1.2dfca5978fd55p-12, -0x1.2e36febabceefp-12, -0x1.2e6a19d44a43bp-12, -0x1.2e96109470054p-12, -0x1.2ebafc827b05ep-12, -0x1.2ed8f6fc2856bp-12, -0x1.2ef019353be59p-12, -0x1.2f007c36f3865p-12, -0x1.2f0a38dfa0b7bp-12, -0x1.2f0d67e2338b4p-12, -0x1.2f0a21c5d7914p-12, -0x1.2f007ee59d605p-12, -0x1.2ef097701219ep-12, -0x1.2eda8366e3fdbp-12, -0x1.2ebe5a9ea8c49p-12, -0x1.2e9c34be8d032p-12, -0x1.2e74293fec945p-12, -0x1.2e464f6e4d325p-12, -0x1.2e12be6702234p-12, -0x1.2dd98d18f2942p-12, -0x1.2d9ad2446d75fp-12, -0x1.2d56a47b0910ep-12, -0x1.2d0d1a1f5f03p-12, -0x1.2cbe4964f86f6p-12, -0x1.2c6a485039ba4p-12, -0x1.2c112cb632586p-12, -0x1.2bb30c3c94b3fp-12, -0x1.2b4ffc598996dp-12, -0x1.2ae81253be204p-12, -0x1.2a7b63423815dp-12, -0x1.2a0a040c597dap-12, -0x1.29940969eb6d6p-12, -0x1.291987e2f3b4ep-12, -0x1.289a93cfc9222p-12, -0x1.28174159291fap-12, -0x1.278fa47815edp-12, -0x1.2703d0f6041bdp-12, -0x1.2673da6cc0e41p-12, -0x1.25dfd4469f2cep-12, -0x1.2547d1be73f2bp-12, -0x1.24abe5dfa84acp-12, -0x1.240c238663451p-12, -0x1.23689d5f8fc7bp-12, -0x1.22c165e8f22c3p-12, -0x1.22168f71513bap-12, -0x1.21682c188e0dp-12, -0x1.20b64dcfb9a3p-12, -0x1.200106593c1acp-12, -0x1.1f486749095cdp-12, -0x1.1e8c8204bd7c9p-12, -0x1.1dcd67c3ac7b9p-12, -0x1.1d0b298f1e2f6p-12, -0x1.1c45d84287002p-12, -0x1.1b7d848b95df1p-12, -0x1.1ab23eea767ap-12, -0x1.19e417b1f3e92p-12, -0x1.19131f07b087p-12, -0x1.183f64e449f84p-12, -0x1.1768f9139aebdp-12, -0x1.168feb34fdc28p-12, -0x1.15b44abb6554p-12, -0x1.14d626ed919ffp-12, -0x1.13f58ee65f116p-12, -0x1.13129194ea12ep-12, -0x1.122d3dbccc4e5p-12, -0x1.1145a1f65ca03p-12, -0x1.105bccaeee24cp-12, -0x1.0f6fcc290c1dap-12, -0x1.0e81ae7ca93bap-12, -0x1.0d918197673a3p-12, -0x1.0c9f533ccf2afp-12, -0x1.0bab3106a045bp-12, -0x1.0ab52864fcf1bp-12, -0x1.09bd469eb922ap-12, -0x1.08c398d18a156p-12, -0x1.07c82bf25d3b7p-12, -0x1.06cb0ccd81a9fp-12, -0x1.05cc480712626p-12, -0x1.04cbea1b1d816p-12, -0x1.03c9ff5de7cbfp-12, -0x1.02c693fc2dfd9p-12, -0x1.01c1b3fb764b5p-12, -0x1.00bb6b3a4996ap-12, -0x1.ff678ae0fb781p-13, -0x1.fd559c5ef7aap-13, -0x1.fb4121c52711dp-13, -0x1.f92a319e6062dp-13, -0x1.f710e22a3a9ep-13, -0x1.f4f5495db3b42p-13, -0x1.f2d77ce39566cp-13, -0x1.f0b7921d49dacp-13, -0x1.ee959e2321d94p-13, -0x1.ec71b5c511106p-13, -0x1.ea4bed8b185b9p-13, -0x1.e82459b5f81bep-13, -0x1.e5fb0e3fa29bap-13, -0x1.e3d01edc0a52bp-13, -0x1.e1a39ef974c3ep-13, -0x1.df75a1c11736ep-13, -0x1.dd463a179a394p-13, -0x1.db157a9dc2f4cp-13, -0x1.d8e375b0ebe11p-13, -0x1.d6b03d6ba6e58p-13, -0x1.d47be3a640d9ep-13, -0x1.d24679f7665bbp-13, -0x1.d01011b4bc06ep-13, -0x1.cdd8bbf33c226p-13, -0x1.cba08987ed79p-13, -0x1.c9678b085b24fp-13, -0x1.c72dd0cb31498p-13, -0x1.c4f36ae8d7192p-13, -0x1.c2b8693beb21dp-13, -0x1.c07cdb61d0b71p-13, -0x1.be40d0bb3d5b8p-13, -0x1.bc04586ccd5f5p-13, -0x1.b9c7815f8afbdp-13, -0x1.b78a5a41a52c4p-13, -0x1.b54cf186cd5a5p-13, -0x1.b30f5568c6955p-13, -0x1.b0d193e7e7462p-13, -0x1.ae93bacbc2851p-13, -0x1.ac55d7a39263p-13, -0x1.aa17f7c6d83dp-13, -0x1.a7da2855e3d86p-13, -0x1.a59c763a6ab4bp-13, -0x1.a35eee2804584p-13, -0x1.a1219c9ca950bp-13, -0x1.9ee48de135cdap-13, -0x1.9ca7ce09fc71fp-13, -0x1.9a6b68f74d6f3p-13, -0x1.982f6a56013cp-13, -0x1.95f3dd9ffa47dp-13, -0x1.93b8ce1c9cc6fp-13, -0x1.917e46e15de91p-13, -0x1.8f4452d23f3fdp-13, -0x1.8d0afca24209p-13, -0x1.8ad24ed430f1dp-13, -0x1.889a53baf20e1p-13, -0x1.86631579f2078p-13, -0x1.842c9e05b354cp-13, -0x1.81f6f72450d43p-13, -0x1.7fc22a6e014d3p-13, -0x1.7d8e414d8c87dp-13, -0x1.7b5b4500c9673p-13, -0x1.79293e99169b3p-13, -0x1.76f836fc03f6ap-13, -0x1.74c836e39d31dp-13, -0x1.729946def66d6p-13, -0x1.706b6f5283915p-13, -0x1.6e3eb878beeecp-13, -0x1.6c132a6286ed1p-13, -0x1.69e8ccf7b2a7ep-13, -0x1.67bfa7f765b3cp-13, -0x1.6597c2f899ed8p-13, -0x1.6371256a90f7ap-13, -0x1.614bd69536684p-13, -0x1.5f27dd999c159p-13, -0x1.5d05417293356p-13, -0x1.5ae408f51a401p-13, -0x1.58c43ad0994a2p-13, -0x1.56a5dd8f6838dp-13, -0x1.5488f79743da8p-13, -0x1.526d8f29c217dp-13, -0x1.5053aa64b5ee8p-13, -0x1.4e3b4f42af588p-13, -0x1.4c24839b435a9p-13, -0x1.4a0f4d239d087p-13, -0x1.47fbb16ef5509p-13, -0x1.45e9b5eedb0acp-13, -0x1.43d95ff39c5aap-13, -0x1.41cab4acaf2b4p-13, -0x1.3fbdb92937646p-13, -0x1.3db272583fa94p-13, -0x1.3ba8e50956122p-13, -0x1.39a115ecc6b86p-13, -0x1.379b09941635cp-13, -0x1.3596c4725c9dcp-13, -0x1.33944adc9f8fdp-13, -0x1.3193a10a37ff5p-13, -0x1.2f94cb15521aap-13, -0x1.2d97ccfb4676fp-13, -0x1.2b9caa9ce4d2dp-13, -0x1.29a367becf0f2p-13, -0x1.27ac0809d7c26p-13, -0x1.25b68f0b7d9efp-13, -0x1.23c300362e19fp-13, -0x1.21d15ee1b2687p-13, -0x1.1fe1ae4b6af18p-13, -0x1.1df3f196d102bp-13, -0x1.1c082bcdc4463p-13, -0x1.1a1e5fe0f08adp-13, -0x1.183690a80b03dp-13, -0x1.1650c0e220a59p-13, -0x1.146cf3361e27fp-13, -0x1.128b2a32f9753p-13, -0x1.10ab685018587p-13, -0x1.0ecdafeda442p-13, -0x1.0cf20354e1a66p-13, -0x1.0b1864b8858f5p-13, -0x1.0940d634ef419p-13, -0x1.076b59d0889d2p-13, -0x1.0597f17c1baf1p-13, -0x1.03c69f132e90bp-13, -0x1.01f7645c4d43ep-13, -0x1.002a430949a65p-13, -0x1.fcbe796f03669p-14, -0x1.f92ca5e076c5fp-14, -0x1.f59f0e51e9a94p-14, -0x1.f215b5874debcp-14, -0x1.ee909e1e3f2a2p-14, -0x1.eb0fca8e4904p-14, -0x1.e7933d29d880bp-14, -0x1.e41af81e8d1fbp-14, -0x1.e0a6fd761bd41p-14, -0x1.dd374f1688a98p-14, -0x1.d9cbeec2a6abcp-14, -0x1.d664de1af0127p-14, -0x1.d3021e9de053dp-14, -0x1.cfa3b1a87eda9p-14, -0x1.cc49987704c13p-14, -0x1.c8f3d425334a7p-14, -0x1.c5a265af14a23p-14, -0x1.c2554df14ebb1p-14, -0x1.bf0c8da99f9b3p-14, -0x1.bbc825777a161p-14, -0x1.b88815dc941c6p-14, -0x1.b54c5f3d3f01dp-14, -0x1.b21501e10b6b1p-14, -0x1.aee1fdf321931p-14, -0x1.abb35382af2e8p-14, -0x1.a889028397f65p-14, -0x1.a5630acebdb63p-14, -0x1.a2416c229460dp-14, -0x1.9f2426237cdacp-14, -0x1.9c0b385c2c055p-14, -0x1.98f6a23e62d9fp-14, -0x1.95e66323129fap-14, -0x1.92da7a4b17ba3p-14, -0x1.8fd2e6df6aaa3p-14, -0x1.8ccfa7f186e94p-14, -0x1.89d0bc7c1078p-14, -0x1.86d62363206d4p-14, -0x1.83dfdb748ca8dp-14, -0x1.80ede36895d82p-14, -0x1.7e0039e21423bp-14, -0x1.7b16dd6f0d99fp-14, -0x1.7831cc88f7f0cp-14, -0x1.755105950f2adp-14, -0x1.727486e4d522fp-14, -0x1.6f9c4eb69002p-14, -0x1.6cc85b358077dp-14, -0x1.69f8aa7a234e1p-14, -0x1.672d3a8af0b82p-14, -0x1.6466095c53dbcp-14, -0x1.61a314d12bcc9p-14, -0x1.5ee45abb4bcf8p-14, -0x1.5c29d8dba77d2p-14, -0x1.59738ce2bb3dep-14, -0x1.56c17470e1acdp-14, -0x1.54138d16a2adap-14, -0x1.5169d4551118cp-14, -0x1.4ec4479e1f0a9p-14, -0x1.4c22e455160b2p-14, -0x1.4985a7cea490cp-14, -0x1.46ec8f513d1e3p-14, -0x1.44579815a0f81p-14, -0x1.41c6bf47025f8p-14, -0x1.3f3a020343ccfp-14, -0x1.3cb15d5b6b3afp-14, -0x1.3a2cce53c6e61p-14, -0x1.37ac51e46e76ap-14, -0x1.352fe4f96db28p-14, -0x1.32b78472eadbdp-14, -0x1.30432d25aee17p-14, -0x1.2dd2dbdb4c765p-14, -0x1.2b668d527b66cp-14, -0x1.28fe3e3f43a63p-14, -0x1.2699eb4b4a0d3p-14, -0x1.2439911617ddcp-14, -0x1.21dd2c3554689p-14, -0x1.1f84b935198ap-14, -0x1.1d3034983b8adp-14, -0x1.1adf9ad86bb64p-14, -0x1.1892e86693af9p-14, -0x1.164a19aaf32b5p-14, -0x1.14052b057b164p-14, -0x1.11c418ce025ddp-14, -0x1.0f86df547dc84p-14, -0x1.0d4d7ae146c08p-14, -0x1.0b17e7b544f35p-14, -0x1.08e6220a2d5cp-14, -0x1.06b82612cb681p-14, -0x1.048deffb2303p-14, -0x1.02677be8b19edp-14, -0x1.0044c5faa91c1p-14, -0x1.fc4b949442a7ep-15, -0x1.f81509d493451p-15, -0x1.f3e5e3d13370cp-15, -0x1.efbe1a9a10601p-15, -0x1.eb9da6348a33cp-15, -0x1.e7847e9bd70cbp-15, -0x1.e3729bc17092dp-15, -0x1.df67f58d5a36fp-15, -0x1.db6483de6c7f3p-15, -0x1.d7683e8ad6032p-15, -0x1.d3731d605ad47p-15, -0x1.cf851824c93b2p-15, -0x1.cb9e269672c3ap-15, -0x1.c7be406c55adfp-15, -0x1.c3e55d5681ceep-15, -0x1.c01374fe61b3ep-15, -0x1.bc487f070f4d6p-15, -0x1.b884730dd150bp-15, -0x1.b4c748aa3ba4ap-15, -0x1.b110f76e9c305p-15, -0x1.ad6176e835954p-15, -0x1.a9b8be9f6841ep-15, -0x1.a616c61869786p-15, -0x1.a27b84d35948ep-15, -0x1.9ee6f24c70af7p-15, -0x1.9b5905fc57afep-15, -0x1.97d1b7587551bp-15, -0x1.9450fdd36008cp-15, -0x1.90d6d0dcea51fp-15, -0x1.8d6327e28288dp-15, -0x1.89f5fa4f3ad51p-15, -0x1.868f3f8c38dafp-15, -0x1.832eef012c441p-15, -0x1.7fd5001451fd8p-15, -0x1.7c816a2ad073bp-15, -0x1.793424a8d9ccap-15, -0x1.75ed26f1ef478p-15, -0x1.72ac68691298dp-15, -0x1.6f71e070df22ap-15, -0x1.6c3d866c18451p-15, -0x1.690f51bddb166p-15, -0x1.65e739c99b24dp-15, -0x1.62c535f38e30cp-15, -0x1.5fa93da0b194p-15, -0x1.5c9348371c671p-15, -0x1.59834d1e2eb3ep-15, -0x1.567943bebb41p-15, -0x1.537523834dd2ep-15, -0x1.5076e3d847466p-15, -0x1.4d7e7c2c0e905p-15, -0x1.4a8be3ef28854p-15, -0x1.479f1294a72d4p-15, -0x1.44b7ff9245261p-15, -0x1.41d6a2604b55bp-15, -0x1.3efaf27a129efp-15, -0x1.3c24e75e1020ep-15, -0x1.3954788dfc7cdp-15, -0x1.36899d8f0a3d2p-15, -0x1.33c44de9ed0a5p-15, -0x1.3104812af1724p-15, -0x1.2e4a2ee25304p-15, -0x1.2b954ea470e9fp-15, -0x1.28e5d809db3ebp-15, -0x1.263bc2af67f23p-15, -0x1.2397063680405p-15, -0x1.20f79a4502c98p-15, -0x1.1e5d76858d12p-15, -0x1.1bc892a77a6dbp-15, -0x1.1938e65f0c59fp-15, -0x1.16ae6965e5b5cp-15, -0x1.1429137ac36b2p-15, -0x1.11a8dc61bb7c7p-15, -0x1.0f2dbbe464a5dp-15, -0x1.0cb7a9d1eb42bp-15, -0x1.0a469dff0960fp-15, -0x1.07da904660d31p-15, -0x1.057378888bc2fp-15, -0x1.03114eabf9bf3p-15, -0x1.00b40a9d47484p-15, -0x1.fcb7489e5eccdp-16, -0x1.f810277551b2dp-16, -0x1.f372a1be81c5bp-16, -0x1.eedea785b2af7p-16, -0x1.ea5428e3e94b1p-16, -0x1.e5d315ff697b6p-16, -0x1.e15b5f0c08505p-16, -0x1.dcecf44b22a8bp-16, -0x1.d887c60bf0104p-16, -0x1.d42bc4abc3996p-16, -0x1.cfd8e095a3619p-16, -0x1.cb8f0a42ef055p-16, -0x1.c74e323b68fe3p-16, -0x1.c316491578eddp-16, -0x1.bee73f7644d66p-16, -0x1.bac10611874f6p-16, -0x1.b6a38daa3993ep-16, -0x1.b28ec7122c77ep-16, -0x1.ae82a32a2a461p-16, -0x1.aa7f12e25978p-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
    }}, 
    {
      31, 0x1.5cccccccccccdp+2, 0x1.e067df0cecc0dp+0, 0x1.42129de6eeeeap+2, -0x1.bf33d2f2ddcdfp-6, 
      {{
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3086c520bb00ep-4, -0x1.86a2f47679473p-3, 0x1.6e8805251575bp-3, -0x1.082a8961df2bdp-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.0b432e6b0a507p-4, -0x1.62f95a39365e3p-3, 0x1.5ab807a424b8ap-3, -0x1.082b675625491p-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.d2ee62b6d168dp-5, -0x1.414af3c452325p-3, 0x1.46e7f97daeb9bp-3, -0x1.0827ef85099dep-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.95e02b3e68cbcp-5, -0x1.2197be98925c5p-3, 0x1.33182ded4e014p-3, -0x1.0834f0d5315dep-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.5ef645c7973c9p-5, -0x1.03dfc3ddccfc6p-3, 0x1.1f4768aa1d80bp-3, -0x1.08046365b282bp-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2dcb41ad192cdp-5, -0x1.d045c2e7c7f75p-4, 0x1.0b7a479c16836p-3, -0x1.08b997d381517p-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.01f9ae49ab116p-5, -0x1.9cc32d66f3276p-4, 0x1.ef3f1ed8733a7p-4, -0x1.03710f3e0adccp-4}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.b6388c7ffbe6ap-6, -0x1.6d2efe459c318p-4, 0x1.c8548fc258001p-4, -0x1.f0559301e0e1ap-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.719f972473f36p-6, -0x1.41696b01dce0ap-4, 0x1.a31af1889a556p-4, -0x1.db948c1cbe086p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3569c77301d92p-6, -0x1.1948e175971ep-4, 0x1.7f6fcd6cd8e1dp-4, -0x1.c65864970b40dp-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.00e085dbc5989p-6, -0x1.e94a24d3fbe5fp-5, 0x1.5d5c5f7b1e6fap-4, -0x1.b13d3afe8b9d7p-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.a6aab099774dbp-7, -0x1.a6aab0411bfaap-5, 0x1.3cde2e41a0c3fp-4, -0x1.9c193a51c859p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.5843c46379d0ep-7, -0x1.6a62481498d98p-5, 0x1.1df5e37b7e8a3p-4, -0x1.86f79808e8fap-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.154fc8e8fd67ep-7, -0x1.341fc2c3a5213p-5, 0x1.00a351ae06aacp-4, -0x1.71d55344b16f1p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.b944f5f24b485p-8, -0x1.0391fa17c149ap-5, 0x1.c9cd0a11bf851p-5, -0x1.5cb33a0a09d9ap-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.5a3fa4bd9df15p-8, -0x1.b0cf8dec1c6ap-6, 0x1.957ef4903e0ap-5, -0x1.4791152466882p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0b7803c11d7ecp-8, -0x1.64a00501ba818p-6, 0x1.645c6497950f6p-5, -0x1.326ef3612c542p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.95eddd02cccaap-9, -0x1.21f30b943acccp-6, 0x1.366559af6802ep-5, -0x1.1d4cd0bf49254p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.2dcb6cf50dc47p-9, -0x1.d04ca7a05afd9p-7, 0x1.0b99d3f91d0a6p-5, -0x1.082aae75a0bd4p-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.b6388c7ffbe49p-10, -0x1.6d2f1fc03d286p-7, 0x1.c7f3a6cef0429p-6, -0x1.e61117535f00dp-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.3569c77301d6p-10, -0x1.1948e3dbf1161p-7, 0x1.7f0ab01c0867cp-6, -0x1.bbccd51d66047p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.a6aab099774bp-11, -0x1.a6aab0a0c097bp-8, 0x1.3c78c3579f80dp-6, -0x1.9188866450a39p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.154fc8e8fd5ap-11, -0x1.341fc2aecae46p-8, 0x1.003de2622d023p-6, -0x1.6744665595d6ep-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.5a3fa4bd9de1fp-12, -0x1.b0cf8eb805028p-9, 0x1.94b40c7779dddp-7, -0x1.3cff9820e0e9cp-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.95eddd02ccc8p-13, -0x1.21f3089eae8f6p-9, 0x1.359a92073664fp-7, -0x1.12bd53d9881ap-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b6388c7ffbd7fp-14, -0x1.6d2f35d6d1493p-10, 0x1.c65d24f24e518p-8, -0x1.d0e32c05629bp-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.a6aab099771p-15, -0x1.a6aa0bb93c8d9p-11, 0x1.3ae5caf0b0bd1p-8, -0x1.7c9268f91cefbp-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.5a3fa4bd9c4p-16, -0x1.b0d45c938e3bep-12, 0x1.9173bd4be9b7fp-9, -0x1.2739b685dba31p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.b6388c7ffbp-18, -0x1.6d0b3e0c9f4f5p-13, 0x1.c0a2392a657a4p-10, -0x1.ab74121bcfba7p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.5a3fa4bd9p-20, -0x1.b2e733ee7ad11p-15, 0x1.8052c30038171p-11, -0x1.d778dc3a71d47p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.5a3fa4bfp-24, -0x1.725704288029fp-18, 0x1.95c2950e35801p-13, -0x1.3b7b9656df6ecp-8}, 
      }}, 
      0x1.28dc303e02d2cp-4, -0x1.c98cd910b26f5p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.651dc0889d092p-5, 0x1.b630d6d1ba18ap-5, 0x1.1a74daf42d4a8p-4, 0x1.6be100df1deeep-4, 0x1.ca4e2d5a5eb9bp-4, 0x1.186c7cebcc9d9p-3, 0x1.4d85f5110821fp-3, 0x1.8280769109f9ep-3, 0x1.b5b6fe252b3b2p-3, 0x1.e5d225fd451f1p-3, 0x1.08e1e2f80ef95p-2, 0x1.1c6038a5ce4efp-2, 0x1.2d1bfc477bdd2p-2, 0x1.3ae6d45cfc22p-2, 0x1.45a85e58dd6f8p-2, 0x1.4d5aa36eb275p-2, 0x1.5206dc75f760dp-2, 0x1.53c28c82df722p-2, 0x1.52acf2a7a3b6cp-2, 0x1.4eeccf16b6db6p-2, 0x1.48ae7663d7835p-2, 0x1.40222c1f3c6c7p-2, 0x1.357abefa776a1p-2, 0x1.28ec5e2f54e22p-2, 0x1.1aaba146f2497p-2, 0x1.0aecbb3a2dd97p-2, 0x1.f3c5a62cf6301p-3, 0x1.cf7efa5601a5p-3, 0x1.a964a0fd6f4e9p-3, 0x1.81d129a296907p-3, 0x1.591a0bbcbf3a9p-3, 0x1.2f8f51ee9b686p-3, 0x1.057b649cd2496p-3, 0x1.b645de7b9ef72p-4, 0x1.6189b91022112p-4, 0x1.0d34cbb0b39a3p-4, 0x1.735cc476ab1a9p-5, 0x1.9d4be1be2de39p-6, 0x1.674aa079c7a4dp-8, -0x1.c522d4d7b79cbp-7, -0x1.0b72995e723e5p-5, -0x1.a1285a4da17c7p-5, -0x1.19074ea1d51a7p-4, -0x1.5eeca77a49f7fp-4, -0x1.a2254286fcea9p-4, -0x1.e298bd8c5e8p-4, -0x1.101a4bfce88a7p-3, -0x1.2d75e5c176706p-3, -0x1.495b156eb28ffp-3, -0x1.63c7fb35c63dep-3, -0x1.7cbcae4e1c392p-3, -0x1.943b07bd16a88p-3, -0x1.aa466dca8ee2fp-3, -0x1.bee3a556b9ce4p-3, -0x1.d218a64717691p-3, -0x1.e3ec732b5c8f7p-3, -0x1.f466f28956697p-3, -0x1.01c8668d73e6ep-2, -0x1.08b9a6722cfb9p-2, -0x1.0f0c206a810c7p-2, -0x1.14c4f108ea8a9p-2, -0x1.19e95d2d083d8p-2, -0x1.1e7ec6809933ep-2, -0x1.228aa10358b3cp-2, -0x1.26126a50136fcp-2, -0x1.291ba13d50f64p-2, -0x1.2babbf0d34bc2p-2, -0x1.2dc831017cc48p-2, -0x1.2f7652ce882a1p-2, -0x1.30bb69b4572fap-2, -0x1.319ca06b616cbp-2, -0x1.321f03d5b79eap-2, -0x1.32478059840e4p-2, -0x1.321adff96a9bcp-2, -0x1.319dc87b8e90fp-2, -0x1.30d4ba6f3c7eep-2, -0x1.2fc410269796bp-2, -0x1.2e6ffd0222d33p-2, -0x1.2cdc8d5675c25p-2, -0x1.2b0da6279901fp-2, -0x1.2907057bf641dp-2, -0x1.26cc42c3925dcp-2, -0x1.2460cf889822p-2, -0x1.21c7f80d29a0ap-2, -0x1.1f04e4402cd69p-2, -0x1.1c1a989d2d41p-2, -0x1.190bf720adcd7p-2, -0x1.15dbc046c5385p-2, -0x1.128c940f6b7ep-2, -0x1.0f20f318c298ap-2, -0x1.0b9b3f94906d9p-2, -0x1.07fdbe7b43698p-2, -0x1.044a98931923dp-2, -0x1.0083db895d073p-2, -0x1.f956f60ad2574p-3, -0x1.f186a3796df8cp-3, -0x1.e99a44d72551dp-3, -0x1.e19531d366814p-3, -0x1.d97a9603ad3f2p-3, -0x1.d14d731ffe15ap-3, -0x1.c910a29f894cfp-3, -0x1.c0c6d7510c00ap-3, -0x1.b8729efe0a226p-3, -0x1.b016649ea0348p-3, -0x1.a7b47103f5308p-3, -0x1.9f4eed3cb6294p-3, -0x1.96e7e2f58487cp-3, -0x1.8e813ec8e921ep-3, -0x1.861cd0bf1095bp-3, -0x1.7dbc4e7e6694ap-3, -0x1.756153950cd0bp-3, -0x1.6d0d62fe3af39p-3, -0x1.64c1e86e837a7p-3, -0x1.5c8038d1ba5aap-3, -0x1.544993cef19c2p-3, -0x1.4c1f246ba7c12p-3, -0x1.4402024bb5135p-3, -0x1.3bf3320350cb5p-3, -0x1.33f3a66552563p-3, -0x1.2c044123cce9bp-3, -0x1.2425d39103bc1p-3, -0x1.1c591f6799d07p-3, -0x1.149ed7624d82ap-3, -0x1.0cf7a00cc743fp-3, -0x1.0564104c9881ep-3, -0x1.fbc9641f04a1p-4, -0x1.ecf405be63f32p-4, -0x1.de48e8ec004eep-4, -0x1.cfc8da90bd414p-4, -0x1.c174922084db4p-4, -0x1.b34cb2b9b687fp-4, -0x1.a551cbee8730cp-4, -0x1.97845aed6537fp-4, -0x1.89e4cb422af78p-4, -0x1.7c7377c243d6dp-4, -0x1.6f30ab955ca46p-4, -0x1.621ca2b64533dp-4, -0x1.55378b09a41dcp-4, -0x1.48818503dbb1ap-4, -0x1.3bfaa44d9fc5cp-4, -0x1.2fa2f0948fad6p-4, -0x1.237a664783fa1p-4, -0x1.1780f72469549p-4, -0x1.0bb68ad796f5dp-4, -0x1.001affa4d2489p-4, -0x1.e95c5623a79dfp-5, -0x1.d2dfb47de5052p-5, -0x1.bcbfa569594c9p-5, -0x1.a6fba53d85471p-5, -0x1.91932339c9683p-5, -0x1.7c8581fd3e2fdp-5, -0x1.67d218959f996p-5, -0x1.53783392689c4p-5, -0x1.3f771570fb837p-5, -0x1.2bcdf7e36958ap-5, -0x1.187c0c58d5ce8p-5, -0x1.05807c9615bd2p-5, -0x1.e5b4d729d9835p-6, -0x1.c111ecb4ff8afp-6, -0x1.9d1668d1fcef9p-6, -0x1.79c0705a1421p-6, -0x1.570e1f412d53dp-6, -0x1.34fd8a910dba4p-6, -0x1.138cc0fa88fd9p-6, -0x1.e573968012b4fp-7, -0x1.a50559c7c4286p-7, -0x1.65cacc4295287p-7, -0x1.27bfeb3347785p-7, -0x1.d5c1598eac12p-8, -0x1.5e5207a5d05f4p-8, -0x1.d2538c55adce4p-9, -0x1.d901ec4df28e3p-10, -0x1.6383a61909ae1p-14, 0x1.a3d64b2780ea5p-10, 0x1.aaa4f165ce885p-9, 0x1.3f90a92a498bdp-8, 0x1.a7b81dbcbc59fp-8, 0x1.06e86137153dfp-7, 0x1.38f13c6e73da8p-7, 0x1.69fa89dc6191ep-7, 0x1.9a082ac2dc561p-7, 0x1.c91df64360fap-7, 0x1.f73fba11d7799p-7, 0x1.12389d3468ef1p-6, 0x1.285b1909f32a4p-6, 0x1.3e092866ca0c1p-6, 0x1.53449d3f9dec3p-6, 0x1.680f43c218249p-6, 0x1.7c6ae2398ca33p-6, 0x1.905939443eac8p-6, 0x1.a3dc03650ad78p-6, 0x1.b6f4f4dfcfb5dp-6, 0x1.c9a5bb8807279p-6, 0x1.dbeffebabd0f9p-6, 0x1.edd55f8caafa7p-6, 0x1.ff5778cc21e29p-6, 0x1.083bef742463dp-5, 0x1.109c0fcf82875p-5, 0x1.18cce13ed4d11p-5, 0x1.20cf241e77e73p-5, 0x1.28a395937a7p-5, 0x1.304aef968d0adp-5, 0x1.37c5e9391b9b5p-5, 0x1.3f1535e792518p-5, 0x1.463986760cff8p-5, 0x1.4d33881ecdebbp-5, 0x1.5403e503ad669p-5, 0x1.5aab445b4a6ap-5, 0x1.612a4a5fee7eep-5, 0x1.678198582ef73p-5, 0x1.6db1cca227244p-5, 0x1.73bb8281a0058p-5, 0x1.799f523cf5184p-5, 0x1.7f5dd16139cf2p-5, 0x1.84f792b5bd122p-5, 0x1.8a6d2660e0c45p-5, 0x1.8fbf19ca2cb87p-5, 0x1.94edf7b464553p-5, 0x1.99fa48166e634p-5, 0x1.9ee490570ec6p-5, 0x1.a3ad5362086e6p-5, 0x1.a85511b516687p-5, 0x1.acdc49802bde9p-5, 0x1.b14376847238cp-5, 0x1.b58b121d9e212p-5, 0x1.b9b3935000fd1p-5, 0x1.bdbd6edb0e053p-5, 0x1.c1a917581c2e8p-5, 0x1.c576fd4ee0a33p-5, 0x1.c9278f68c52dbp-5, 0x1.ccbb3981f88aap-5, 0x1.d032667f71935p-5, 0x1.d38d7e99e1498p-5, 0x1.d6cce8307613fp-5, 0x1.d9f107da307e2p-5, 0x1.dcfa40610827bp-5, 0x1.dfe8f2d5650acp-5, 0x1.e2bd7e901f6aap-5, 0x1.e578413064733p-5, 0x1.e81996c1d989p-5, 0x1.eaa1d947bc8cep-5, 0x1.ed1161c8b420dp-5, 0x1.ef6887692bd89p-5, 0x1.f1a79fbaa3047p-5, 0x1.f3ceff57a3eaap-5, 0x1.f5def94116da3p-5, 0x1.f7d7debde5a7ep-5, 0x1.f9ba00530e108p-5, 0x1.fb85acc7637e2p-5, 0x1.fd3b31a15a3b3p-5, 0x1.fedadba6d89p-5, 0x1.00327ae58bf0cp-4, 0x1.00ece528ab0d4p-4, 0x1.019cd12806e3cp-4, 0x1.024262d5eeb9dp-4, 0x1.02ddbda8d95ebp-4, 0x1.036f048b6c64fp-4, 0x1.03f659e807cbep-4, 0x1.0473dfb1c6ed8p-4, 0x1.04e7b76e92fafp-4, 0x1.0552021c392edp-4, 0x1.05b2e06eeb11dp-4, 0x1.060a7297b34fep-4, 0x1.0658d86011072p-4, 0x1.069e3130f6aa2p-4, 0x1.06da9c0cdc259p-4, 0x1.070e379608357p-4, 0x1.0739221b1dc88p-4, 0x1.075b798fe0f3bp-4, 0x1.07755b9842e39p-4, 0x1.0786e587399bcp-4, 0x1.0790345f54176p-4, 0x1.079164dce5397p-4, 0x1.078a935f8a19dp-4, 0x1.077bdc123af7ap-4, 0x1.07655ad6f2e1dp-4, 0x1.07472b46e7a89p-4, 0x1.072168bdeb4e4p-4, 0x1.06f42e661241dp-4, 0x1.06bf972b13286p-4, 0x1.0683bdbb4c48ap-4, 0x1.0640bc8f53632p-4, 0x1.05f6adecd7831p-4, 0x1.05a5abeb86f6fp-4, 0x1.054dd0613197p-4, 0x1.04ef34fffe4b9p-4, 0x1.0489f34b2eba6p-4, 0x1.041e249d03746p-4, 0x1.03abe22101a6dp-4, 0x1.033344def0455p-4, 0x1.02b465b5b8e53p-4, 0x1.022f5d58fe6ddp-4, 0x1.01a4445d7aa27p-4, 0x1.0113332fe70ap-4, 0x1.007c4219744p-4, 0x1.ffbf12862180ap-5, 0x1.fe7a416a58c54p-5, 0x1.fd2a40ad0cd9ep-5, 0x1.fbcf3fe6ca912p-5, 0x1.fa696e701e6f4p-5, 0x1.f8f8fb6d47e8dp-5, 0x1.f77e15b8fd0c7p-5, 0x1.f5f8ebfe5378p-5, 0x1.f469acbfd4576p-5, 0x1.f2d086240161dp-5, 0x1.f12da63c5d30cp-5, 0x1.ef813ae9c643cp-5, 0x1.edcb71b974227p-5, 0x1.ec0c781f17e3ap-5, 0x1.ea447b5077b48p-5, 0x1.e873a86b9f879p-5, 0x1.e69a2c34eff85p-5, 0x1.e4b8335b12dabp-5, 0x1.e2cdea465dd0ep-5, 0x1.e0db7d4db4891p-5, 0x1.dee11871859cep-5, 0x1.dcdee794bd902p-5, 0x1.dad51664ce4f7p-5, 0x1.d8c3d057de66ep-5, 0x1.d6ab40c6f909fp-5, 0x1.d48b92b842e9bp-5, 0x1.d264f1174b5abp-5, 0x1.d037869374917p-5, 0x1.ce037daeb7d7ap-5, 0x1.cbc900a551ea4p-5, 0x1.c98839a2aa247p-5, 0x1.c741526a16a02p-5, 0x1.c4f474a1a0dc8p-5, 0x1.c2a1c9bab3a87p-5, 0x1.c0497ae7620cep-5, 0x1.bdebb42602139p-5, 0x1.bb88952a7b638p-5, 0x1.b9204f96ac4cep-5, 0x1.b6b308a4b4f7ap-5, 0x1.b440e863ff757p-5, 0x1.b1ca169dfb5e8p-5, 0x1.af4ebadb46a39p-5, 0x1.accefc6517f46p-5, 0x1.aa4b024458a45p-5, 0x1.a7c2f34c3e15bp-5, 0x1.a536f6095507bp-5, 0x1.a2a730c35c939p-5, 0x1.a013c97548e7ep-5, 0x1.9d7ce5d3cd5b4p-5, 0x1.9ae2ab3a27686p-5, 0x1.98453eb8946d2p-5, 0x1.95a4c517fa469p-5, 0x1.930162dda2922p-5, 0x1.905b3c57c540ap-5, 0x1.8db2758abdd3fp-5, 0x1.8b07323147e37p-5, 0x1.885995af6a9ccp-5, 0x1.85a9c3031201p-5, 0x1.82f7dcc04644ap-5, 0x1.80440512e018bp-5, 0x1.7d8e5dd1f32ap-5, 0x1.7ad7088c69f15p-5, 0x1.781e269a8d77dp-5, 0x1.7563d9209f075p-5, 0x1.72a8410bdca9fp-5, 0x1.6feb7eeb7ae9fp-5, 0x1.6d2db2e272464p-5, 0x1.6a6efc8690ab3p-5, 0x1.67af7ad8fd4e7p-5, 0x1.64ef4c51bbba5p-5, 0x1.622e8efeb0ea5p-5, 0x1.5f6d60ac8ca03p-5, 0x1.5cabdf0a5796ap-5, 0x1.59ea27b855448p-5, 0x1.5728583f3d574p-5, 0x1.54668dde8e4efp-5, 0x1.51a4e5605a8ccp-5, 0x1.4ee37ad60b131p-5, 0x1.4c22697ac1fe1p-5, 0x1.4961cbb63caeep-5, 0x1.46a1bb47640b1p-5, 0x1.43e2518cefc78p-5, 0x1.4123a7d229955p-5, 0x1.3e65d78f45666p-5, 0x1.3ba8fa78fa261p-5, 0x1.38ed2a65fe4eep-5, 0x1.363280e8394cep-5, 0x1.33791702ba05cp-5, 0x1.30c104b1ac1c9p-5, 0x1.2e0a60ada62ccp-5, 0x1.2b55407bdbea9p-5, 0x1.28a1b8a70e513p-5, 0x1.25efdd3d8980bp-5, 0x1.233fc2584dc1cp-5, 0x1.20917c95f7d9fp-5, 0x1.1de5213b78af4p-5, 0x1.1b3ac64753182p-5, 0x1.189281cb605cp-5, 0x1.15ec6986b4acap-5, 0x1.1348921eae1f6p-5, 0x1.10a70e977a629p-5, 0x1.0e07f03313745p-5, 0x1.0b6b46723eb8bp-5, 0x1.08d11fb5ceccap-5, 0x1.06398a1cfddb1p-5, 0x1.03a49415ad04dp-5, 0x1.01124d39c8c58p-5, 0x1.fd058cce552cdp-6, 0x1.f7ec236576a56p-6, 0x1.f2d883bd0c94ep-6, 0x1.edcad27f273b2p-6, 0x1.e8c3320dc6a1fp-6, 0x1.e3c1c08a203a9p-6, 0x1.dec69750e3594p-6, 0x1.d9d1cb06ead6ap-6, 0x1.d4e36cbea3f4p-6, 0x1.cffb8c171da9fp-6, 0x1.cb1a38d0d313dp-6, 0x1.c63f85a625fa5p-6, 0x1.c16b88d147aa2p-6, 0x1.bc9e5cc911afep-6, 0x1.b7d81f1a0dd94p-6, 0x1.b318ee89601a6p-6, 0x1.ae60e8c3b9493p-6, 0x1.a9b0287bc497bp-6, 0x1.a506c2f5c9552p-6, 0x1.a064c7e64959bp-6, 0x1.9bca410830937p-6, 0x1.973733f6b2685p-6, 0x1.92aba420412abp-6, 0x1.8e27956eb0e3cp-6, 0x1.89ab0ec285adfp-6, 0x1.85361b8aefcfcp-6, 0x1.80c8cca9e0e6ep-6, 0x1.7c63371362378p-6, 0x1.7805727462e64p-6, 0x1.73af9652c6367p-6, 0x1.6f61b7fa36fa8p-6, 0x1.6b1be852928e5p-6, 0x1.66de326b73e59p-6, 0x1.62a89b01d4c9ap-6, 0x1.5e7b20fa24d51p-6, 0x1.5a55bed12db68p-6, 0x1.56386d0e65e47p-6, 0x1.522325830f8c8p-6, 0x1.4e15e561f6aa8p-6, 0x1.4a10afbe7feb6p-6, 0x1.46138d73ca6a3p-6, 0x1.421e8c8d51078p-6, 0x1.3e31bdf998bfdp-6, 0x1.3a4d33017c8bap-6, 0x1.3670fb4bb97dbp-6, 0x1.329d226130864p-6, 0x1.2ed1af6c1f598p-6, 0x1.2b0ea38e568c6p-6, 0x1.2753f9af4d356p-6, 0x1.23a1a72f8715fp-6, 0x1.1ff79cac5938dp-6, 0x1.1c55c92206dep-6, 0x1.18bc1ccffe65cp-6, 0x1.152a8caa953e9p-6, 0x1.11a1142af356ap-6, 0x1.0e1fb56dda4b8p-6, 0x1.0aa677b6addabp-6, 0x1.073564f2dc343p-6, 0x1.03cc87426b99fp-6, 0x1.006be74aef525p-6, 0x1.fa2716ebd2a3ep-7, 0x1.f386ef1149d8ap-7, 0x1.ecf7580856a91p-7, 0x1.e6784a41f84edp-7, 0x1.e009b1cfc0292p-7, 0x1.d9ab6e628ca1dp-7, 0x1.d35d552054665p-7, 0x1.cd1f376899dbap-7, 0x1.c6f0ea574e0a2p-7, 0x1.c0d24d6fc6129p-7, 0x1.bac34ddcf22e9p-7, 0x1.b4c3e50ded467p-7, 0x1.aed413cbf2e71p-7, 0x1.a8f3dc1b250c3p-7, 0x1.a3233ccfa50a3p-7, 0x1.9d6230ab1d8fbp-7, 0x1.97b0b0a623ec9p-7, 0x1.920eb6cf5ba5bp-7, 0x1.8c7c3f70a1898p-7, 0x1.86f94523b8242p-7, 0x1.8185badc054c1p-7, 0x1.7c2186bc5a65fp-7, 0x1.76cc8163f00bbp-7, 0x1.71867ae02c43bp-7, 0x1.6c4f42e4819c7p-7, 0x1.6726b1377ea2bp-7, 0x1.620caacffcba7p-7, 0x1.5d01220c3ba55p-7, 0x1.58041230134ccp-7, 0x1.531577e922b8cp-7, 0x1.4e354a000c764p-7, 0x1.496375809d5fep-7, 0x1.449fdf7d6d4eep-7, 0x1.3fea6b229fb33p-7, 0x1.3b43004fdb8a9p-7, 0x1.36a98ea26a83fp-7, 0x1.321e0a43dc045p-7, 0x1.2da0630e5dac1p-7, 0x1.29307d0e1d62bp-7, 0x1.24ce2d5ff1bbbp-7, 0x1.20793f12584e2p-7, 0x1.1c317c1caba7bp-7, 0x1.17f6b66d91031p-7, 0x1.13c8cd7d3c461p-7, 0x1.0fa7afc15f87dp-7, 0x1.0b93588efda52p-7, 0x1.078bca9c90afbp-7, 0x1.039107f7c7f3bp-7, 0x1.ff461434aef8dp-8, 0x1.f7837b8703167p-8, 0x1.efda09af7dd8ep-8, 0x1.e8497ae781a55p-8, 0x1.e0d194b2bf042p-8, 0x1.d9722f080f2bap-8, 0x1.d22b2ee03ed5fp-8, 0x1.cafc751539f51p-8, 0x1.c3e5c74b6271dp-8, 0x1.bce6cae8d35ap-8, 0x1.b5ff0942d3332p-8, 0x1.af2e072f8ac9dp-8, 0x1.a873548a12ff8p-8, 0x1.a1ce92efacfbep-8, 0x1.9b3f77876e6a1p-8, 0x1.94c5cf6d748e4p-8, 0x1.8e61847349725p-8, 0x1.881298fe1ff66p-8, 0x1.81d917c08032ep-8, 0x1.7bb4fec63f785p-8, 0x1.75a6317007d61p-8, 0x1.6fac79142db3p-8, 0x1.69c793f43cc35p-8, 0x1.63f749cbb44dcp-8, 0x1.5e3b78f9b4a8fp-8, 0x1.5894139246971p-8, 0x1.53010d733cee1p-8, 0x1.4d8245966e147p-8, 0x1.48177995eb316p-8, 0x1.42c04b7d175dcp-8, 0x1.3d7c53e88b17dp-8, 0x1.384b319868bd8p-8, 0x1.332c8715b78cdp-8, 0x1.2e1ff192041d3p-8, 0x1.29250e54e217ep-8, 0x1.243b9328290d6p-8, 0x1.1f636234e953p-8, 0x1.1a9c82c541d6dp-8, 0x1.15e7039d67cddp-8, 0x1.1142dd536d7f9p-8, 0x1.0cafe6eb08baap-8, 0x1.082ddf9c28ed2p-8, 0x1.03bc8347bf339p-8, 0x1.feb7367ea8e39p-9, 0x1.f616074fc83a8p-9, 0x1.ed954e5d6d6cbp-9, 0x1.e534ebcea3d27p-9, 0x1.dcf4b3193c4c6p-9, 0x1.d4d452d3ca824p-9, 0x1.ccd34b75a039fp-9, 0x1.c4f10534c2455p-9, 0x1.bd2cf5be3e66cp-9, 0x1.b586a724bcac1p-9, 0x1.adfd8d171ba39p-9, 0x1.a690e434dfbc2p-9, 0x1.9f3fe3e63e6b7p-9, 0x1.980a1b85e0131p-9, 0x1.90ef8f31b3697p-9, 0x1.89f0700c51741p-9, 0x1.830cbe8b90ff9p-9, 0x1.7c4428ad67491p-9, 0x1.75963497c2395p-9, 0x1.6f02716486313p-9, 0x1.6888925c2964ep-9, 0x1.6228592377742p-9, 0x1.5be184577171dp-9, 0x1.55b3d04e6b071p-9, 0x1.4f9f04ae0b6abp-9, 0x1.49a2f8a8a0c3cp-9, 0x1.43bf808ac074fp-9, 0x1.3df44c43e0f77p-9, 0x1.3840d68a71416p-9, 0x1.32a482a270987p-9, 0x1.2d1ed2bcbc9b7p-9, 0x1.27af6ddf1da5dp-9, 0x1.2255dffe10dc7p-9, 0x1.1d117374caeb4p-9, 0x1.17e181f4280dbp-9, 0x1.12c5e5ee0290ap-9, 0x1.0dbee865a7b9fp-9, 0x1.08ccb9a217402p-9, 0x1.03ef1d48be879p-9, 0x1.fe4b283275c25p-10, 0x1.f4df6f0001067p-10, 0x1.eb9aac80a1dd7p-10, 0x1.e27ca40df5f85p-10, 0x1.d984d80d7e4b6p-10, 0x1.d0b296d939b9cp-10, 0x1.c80536466fabep-10, 0x1.bf7c46472f0ep-10, 0x1.b7179bf6b3eb7p-10, 0x1.aed73a711d4a2p-10, 0x1.a6bb2053c7199p-10, 0x1.9ec303951527ap-10, 0x1.96ee24588afa9p-10, 0x1.8f3b762910c0cp-10, 0x1.87aa14b9c8c6p-10, 0x1.80397a4b1c7a6p-10, 0x1.78e912cf6ddf5p-10, 0x1.71b7b83e0925ep-10, 0x1.6aa41a535e4e4p-10, 0x1.63adbc2616ac6p-10, 0x1.5cd4e87561396p-10, 0x1.56199e35399e2p-10, 0x1.4f7b240924bbcp-10, 0x1.48f8b8c320087p-10, 0x1.4292358833575p-10, 0x1.3c47cb231291bp-10, 0x1.36196ac28a524p-10, 0x1.30069c986422p-10, 0x1.2a0eb546539a2p-10, 0x1.24310b765bea8p-10, 0x1.1e6d1163faf4p-10, 0x1.18c25db812356p-10, 0x1.1330adccd1b3ap-10, 0x1.0db7e3dabe2dap-10, 0x1.0857fbc142921p-10, 0x1.0310eb18662a3p-10, 0x1.fbc4dc31c1e7p-11, 0x1.f197daf4e1759p-11, 0x1.e79966e20f33dp-11, 0x1.ddc89939c761ap-11, 0x1.d4253ddc6cfdbp-11, 0x1.caaeea1fab916p-11, 0x1.c16404212158p-11, 0x1.b842cd2c9c22fp-11, 0x1.af4af58a22e41p-11, 0x1.a67c6c1656b5ap-11, 0x1.9dd5e514c1d69p-11, 0x1.9555fb9911446p-11, 0x1.8cfc6c6b67e85p-11, 0x1.84c946685be2ap-11, 0x1.7cbc047a8abd1p-11, 0x1.74d3d843f7b4p-11, 0x1.6d101eb95c1dep-11, 0x1.6570680bcc98dp-11, 0x1.5df44e2dd9159p-11, 0x1.569b5443a9647p-11, 0x1.4f64dc2a36e1cp-11, 0x1.48503140272c3p-11, 0x1.415ca5eb2169bp-11, 0x1.3a89b55f19bf6p-11, 0x1.33d71972b7e38p-11, 0x1.2d44b5bda9626p-11, 0x1.26d24cb6fa11p-11, 0x1.207f39fd1c1cfp-11, 0x1.1a4a937b852e7p-11, 0x1.1433a92b6683cp-11, 0x1.0e3a62569d4a2p-11, 0x1.085eca8ddd8f9p-11, 0x1.029fdf947f0c1p-11, 0x1.f9f820c4f3c52p-12, 0x1.eee617ff77181p-12, 0x1.e4097e3a1b414p-12, 0x1.d960d9b0f3d91p-12, 0x1.ceebe571f14dfp-12, 0x1.c4ab1a711807bp-12, 0x1.ba9dad9637897p-12, 0x1.b0c22222e1a67p-12, 0x1.a7172bfadf4c4p-12, 0x1.9d9bb4428c4ap-12, 0x1.944eac206050bp-12, 0x1.8b2f290ed2306p-12, 0x1.823c5feee8d56p-12, 0x1.7975a6591a435p-12, 0x1.70da84678758cp-12, 0x1.686a6c6accc2bp-12, 0x1.6024a4e6e09ap-12, 0x1.58084f4a70cc6p-12, 0x1.5014935ad0726p-12, 0x1.4848d21dd16f1p-12, 0x1.40a4aabb71b07p-12, 0x1.3927b5d171d1ap-12, 0x1.31d1403d1e96bp-12, 0x1.2aa065a24c29dp-12, 0x1.2394713b7f921p-12, 0x1.1cad2d201289ep-12, 0x1.15ea58cd42991p-12, 0x1.0f4a392eabd58p-12, 0x1.08cb2e6ddf827p-12, 0x1.026d0d1d61b82p-12, 0x1.f85e6bddefe7ap-13, 0x1.ec2348dfa7156p-13, 0x1.e028c3c399afdp-13, 0x1.d46d273edb94cp-13, 0x1.c8eec43f91e5fp-13, 0x1.bdac8a491692bp-13, 0x1.b2a5a2daeb942p-13, 0x1.a7d9390a1af78p-13, 0x1.9d468b2b29a01p-13, 0x1.92ec78781f954p-13, 0x1.88ca079158154p-13, 0x1.7eddde3ea68acp-13, 0x1.752688c6c7536p-13, 0x1.6ba2a45441035p-13, 0x1.62511b93033c3p-13, 0x1.59313672ab594p-13, 0x1.504262da31bcbp-13, 0x1.4783f1422a6eep-13, 0x1.3ef4f23f9d7a6p-13, 0x1.36946ac9bc05p-13, 0x1.2e618fc59b83p-13, 0x1.265bcf67a8c94p-13, 0x1.1e828a1b4179ep-13, 0x1.16d4cf5ed3041p-13, 0x1.0f519f1bf35cbp-13, 0x1.07f88f15eadadp-13, 0x1.00c8c6b879297p-13, 0x1.f3806fb0771a4p-14, 0x1.e5bc147c6bf2dp-14, 0x1.d843d37c1ad2bp-14, 0x1.cb17fcd5aea75p-14, 0x1.be36f4c76bd05p-14, 0x1.b19e78e4acfb9p-14, 0x1.a54d0f678aa69p-14, 0x1.994180048ab6fp-14, 0x1.8d7a8b734e41cp-14, 0x1.81f6eb8383e4p-14, 0x1.76b55b7da8a65p-14, 0x1.6bb49d5471a05p-14, 0x1.60f37d008ecf6p-14, 0x1.5670d3b1ce9bfp-14, 0x1.4c2b8b1cc724ap-14, 0x1.42229c79f4529p-14, 0x1.38550085a3de4p-14, 0x1.2ec187d6a5788p-14, 0x1.2566b0d0d1645p-14, 0x1.1c42c2b4b0e31p-14, 0x1.13544febff5f4p-14, 0x1.0a9a94659afe2p-14, 0x1.02150e863a0b6p-14, 0x1.f385956b70477p-15, 0x1.e344eea91c1e8p-15, 0x1.d366559ce37a8p-15, 0x1.c3e8d3d1dbe99p-15, 0x1.b4caa757dc84fp-15, 0x1.a60909a28c2d3p-15, 0x1.97a210f07b678p-15, 0x1.8994dc5da8e64p-15, 0x1.7bddc69c659cfp-15, }}, 
      {{0x1.527bdcb3255b9p-5, 0x1.6e084345c7c99p-5, 0x1.9a22b781eee92p-5, 0x1.d4a159ebf2746p-5, 0x1.0d8bf686a5888p-4, 0x1.358603fb089e8p-4, 0x1.610b4ea894619p-4, 0x1.8efc24a2d24edp-4, 0x1.be526ecba6d3fp-4, 0x1.ee248b01234a2p-4, 0x1.0ed3110e337b5p-3, 0x1.2613d2722fa07p-3, 0x1.3c8a76cfa517p-3, 0x1.51f9af2206fe3p-3, 0x1.662fdc691d3dap-3, 0x1.7905edac3b996p-3, 0x1.8a5e3e401a27ap-3, 0x1.9a237d6f594bcp-3, 0x1.a847a5757edf3p-3, 0x1.b4c304e45640cp-3, 0x1.bf935c1d5401fp-3, 0x1.c8bb0f3c17f8dp-3, 0x1.d0406bbf38afcp-3, 0x1.d62d017078a0dp-3, 0x1.da8d0d389bcap-3, 0x1.dd6ef4b8d88fbp-3, 0x1.dee2d19472fd2p-3, 0x1.defa0ac23edf7p-3, 0x1.ddc6faf909ad4p-3, 0x1.db5ca2bd8e808p-3, 0x1.d7ce650622fc3p-3, 0x1.d32fcd5db17f9p-3, 0x1.cd945e8fb7223p-3, 0x1.c70f68dd23006p-3, 0x1.bfb3e723b6bc4p-3, 0x1.b79461f8f1ae3p-3, 0x1.aec2d8268829ap-3, 0x1.a550abfda04c6p-3, 0x1.9b4e94c95693p-3, 0x1.90cc93f396a82p-3, 0x1.85d9ed64a00bep-3, 0x1.7a85228ff2505p-3, 0x1.6edbeff6b628cp-3, 0x1.62eb4cac2a439p-3, 0x1.56bf6b5bbcc47p-3, 0x1.4a63bcf2c1456p-3, 0x1.3de2f4490ae63p-3, 0x1.31470aac5d498p-3, 0x1.2499453570b9fp-3, 0x1.17e23ade69323p-3, 0x1.0b29db1550406p-3, 0x1.fceee88fdc4afp-4, 0x1.e3a375924d135p-4, 0x1.ca7da0672260fp-4, 0x1.b18896077fbacp-4, 0x1.98ce7bb866686p-4, 0x1.80587cf307fbfp-4, 0x1.682ed9152877cp-4, 0x1.5058f1d522f1ep-4, 0x1.38dd5974a6deep-4, 0x1.21c1e02b0e80bp-4, 0x1.0b0ba0ab864dbp-4, 0x1.e97e178d0f68bp-5, 0x1.bdbfe7eefa038p-5, 0x1.92e3310742487p-5, 0x1.68ed624218354p-5, 0x1.3fe2f0e86d5b6p-5, 0x1.17c76c16e786fp-5, 0x1.e13b1d30f3da6p-6, 0x1.94ce9f5493751p-6, 0x1.4a4be5ab4533bp-6, 0x1.01b42eae43e77p-6, 0x1.760f1c8863a94p-7, 0x1.d91424e91ed64p-8, 0x1.9b558d59150e8p-9, -0x1.b148504043231p-11, -0x1.32758c76078aap-8, -0x1.13a5e0ade18bap-7, -0x1.8a5f952be49a6p-7, -0x1.fd72be7c37dd2p-7, -0x1.367599802c538p-6, -0x1.6c6ad2a502adbp-6, -0x1.a09fc4b2adab8p-6, -0x1.d31b7ba342a44p-6, -0x1.01f2a5419d8ep-5, -0x1.19826005be544p-5, -0x1.3040ce4a8ef7dp-5, -0x1.4631e497f01cfp-5, -0x1.5b59a7b598c25p-5, -0x1.6fbc29657e229p-5, -0x1.835d8440a31e8p-5, -0x1.9641d98229b0ep-5, -0x1.a86d4dd140e35p-5, -0x1.b9e406d05b1d2p-5, -0x1.caaa28ceea0ep-5, -0x1.dac3d4a1cf92bp-5, -0x1.ea35260860d2fp-5, -0x1.f902318616f96p-5, -0x1.039781a30e48dp-4, -0x1.0a5fced7048aap-4, -0x1.10dbfc1d924d3p-4, -0x1.170dff38d3de7p-4, -0x1.1cf7c778ad417p-4, -0x1.229b3d77e9fep-4, -0x1.27fa42847ec4ap-4, -0x1.2d16b0f889f34p-4, -0x1.31f25b07e6cb4p-4, -0x1.368f0b3ecd558p-4, -0x1.3aee84200da0ap-4, -0x1.3f12802738dabp-4, -0x1.42fcb16f1847ep-4, -0x1.46aec1bb1709cp-4, -0x1.4a2a527eab704p-4, -0x1.4d70fc99cfa9ap-4, -0x1.5084508e1542cp-4, -0x1.5365d649971abp-4, -0x1.56170d86c1062p-4, -0x1.58996d6cd100ep-4, -0x1.5aee649b3655ep-4, -0x1.5d17599d1d1f4p-4, -0x1.5f15aaa4c01e3p-4, -0x1.60eaadbf53f9fp-4, -0x1.6297b0d5149f1p-4, -0x1.641df9d5deed7p-4, -0x1.657ec6c6139b4p-4, -0x1.66bb4ddb8cbb1p-4, -0x1.67d4bd9726761p-4, -0x1.68cc3ce8641d7p-4, -0x1.69a2eb37ff347p-4, -0x1.6a59e08583621p-4, -0x1.6af22de8b568cp-4, -0x1.6b6cdd1255fc3p-4, -0x1.6bcaf0884d4c1p-4, -0x1.6c0d644a4b359p-4, -0x1.6c352d7b61227p-4, -0x1.6c433aa08497dp-4, -0x1.6c3873c34c964p-4, -0x1.6c15ba941e8c8p-4, -0x1.6bdbea88237a8p-4, -0x1.6b8bd8fc71b03p-4, -0x1.6b2655583c364p-4, -0x1.6aac291fd7446p-4, -0x1.6a1e1831a0bc8p-4, -0x1.697ce0cc4d5f2p-4, -0x1.68c93bb63d274p-4, -0x1.6803dc63fd3fap-4, -0x1.672d70fce4452p-4, -0x1.6646a2efaa908p-4, -0x1.655015f8f855fp-4, -0x1.644a69b0f2e79p-4, -0x1.6336389cb099bp-4, -0x1.621418ad51affp-4, -0x1.60e49b63585fep-4, -0x1.5fa84dc45eeaap-4, -0x1.5e5fb89e807dcp-4, -0x1.5d0b60903dd69p-4, -0x1.5babc627ba507p-4, -0x1.5a4165feddf5dp-4, -0x1.58ccb8d57e511p-4, -0x1.574e33ab0298bp-4, -0x1.55c647da7cc76p-4, -0x1.543563301057dp-4, -0x1.529bf004bd409p-4, -0x1.50fa5552fc33bp-4, -0x1.4f50f6db3c123p-4, -0x1.4da035222bb34p-4, -0x1.4be86da0ab6e9p-4, -0x1.4a29face98ab2p-4, -0x1.4865345626392p-4, -0x1.469a6e78dc179p-4, -0x1.44c9fbd3ba2fp-4, -0x1.42f42b5042294p-4, -0x1.411949ba9d7b7p-4, -0x1.3f39a14429cf1p-4, -0x1.3d5579ae0ff0cp-4, -0x1.3b6d185b6d6dap-4, -0x1.3980c05cda6efp-4, -0x1.3790b296e5b3ep-4, -0x1.359d2db146668p-4, -0x1.33a66e49358cap-4, -0x1.31acaeed8e897p-4, -0x1.2fb02835202d5p-4, -0x1.2db110cc9d48fp-4, -0x1.2baf9d88655bdp-4, -0x1.29ac016f8f1dep-4, -0x1.27a66dcc54ad5p-4, -0x1.259f1239a6b8p-4, -0x1.23961caf1b037p-4, -0x1.218bb99091762p-4, -0x1.1f8013b8999d2p-4, -0x1.1d735487a93b1p-4, -0x1.1b65a3eaeb50ep-4, -0x1.1957286c2da1cp-4, -0x1.1748074357c18p-4, -0x1.1538644fd348bp-4, -0x1.1328622ad7936p-4, -0x1.1118221df9febp-4, -0x1.0f07c4d3c053dp-4, -0x1.0cf768f0a84dcp-4, -0x1.0ae72c8bb6f91p-4, -0x1.08d72c82d20f7p-4, -0x1.06c784bc637fp-4, -0x1.04b8500f66e3fp-4, -0x1.02a9a85c755b8p-4, -0x1.009ba693adbd5p-4, -0x1.fd1cc578f59f4p-5, -0x1.f903e7f28470bp-5, -0x1.f4ece13948bp-5, -0x1.f0d7dc3a68c71p-5, -0x1.ecc5024ab600ap-5, -0x1.e8b47b39b7ae1p-5, -0x1.e4a66d663a07fp-5, -0x1.e09afda5617e9p-5, -0x1.dc924f742086ep-5, -0x1.d88c84f55adadp-5, -0x1.d489befdc5c15p-5, -0x1.d08a1d1f0f44cp-5, -0x1.cc8dbdae69ad6p-5, -0x1.c894bddc00129p-5, -0x1.c49f39a732ebep-5, -0x1.c0ad4bfcf6689p-5, -0x1.bcbf0eb75857fp-5, -0x1.b8d49aa6ebb32p-5, -0x1.b4ee079d53f59p-5, -0x1.b10b6c7463a98p-5, -0x1.ad2cdf15eb3b3p-5, -0x1.a9527484c0f02p-5, -0x1.a57c40e45fdffp-5, -0x1.a1aa577d4e8f2p-5, -0x1.9ddccaf660641p-5, -0x1.9a13ac3921bcep-5, -0x1.964f0d7118b14p-5, -0x1.928efddaeeadap-5, -0x1.8ed38d36439a5p-5, -0x1.8b1cca3f695f2p-5, -0x1.876ac30c25d1ap-5, -0x1.83bd850ee78f9p-5, -0x1.80151d17ac73cp-5, -0x1.7c71975aa2873p-5, -0x1.78d2ff752c3c5p-5, -0x1.75396072fdfe5p-5, -0x1.71a4c4d213db2p-5, -0x1.6e153687e5f1ap-5, -0x1.6a8abf0779d5dp-5, -0x1.6705674162908p-5, -0x1.638537aae2b14p-5, -0x1.600a38441490ap-5, -0x1.5c947093b2dbbp-5, -0x1.5923e7b30965p-5, -0x1.55b8a44f5d149p-5, -0x1.5252aca636a19p-5, -0x1.4ef2069772809p-5, -0x1.4b96b79ae672ep-5, -0x1.4840c4c91188p-5, -0x1.44f032de325b1p-5, -0x1.41a5063ac5bcep-5, -0x1.3e5f42e8d3697p-5, -0x1.3b1eec9db5ab4p-5, -0x1.37e406b9b56edp-5, -0x1.34ae945316616p-5, -0x1.317e983468a2cp-5, -0x1.2e5414d227a5dp-5, -0x1.2b2f0c59c301dp-5, -0x1.280f80cd1881ep-5, -0x1.24f573b9300f1p-5, -0x1.21e0e692aba47p-5, -0x1.1ed1da7b893a2p-5, -0x1.1bc850592207dp-5, -0x1.18c448d5c08bap-5, -0x1.15c5c460710a6p-5, -0x1.12ccc3260d3b6p-5, -0x1.0fd94570f0ebap-5, -0x1.0ceb4a275b709p-5, -0x1.0a02d1fec8588p-5, -0x1.071fdba8285c9p-5, -0x1.0442667c0e96ap-5, -0x1.016a7177c451p-5, -0x1.fd2ff6d4e4835p-6, -0x1.f79605eb348e7p-6, -0x1.f2070d1cb2b2p-6, -0x1.ec8308fc0074p-6, -0x1.e709f5cd467c2p-6, -0x1.e19bcf7a77d4bp-6, -0x1.dc3891a256dd7p-6, -0x1.d6e03796c9741p-6, -0x1.d192bc5ca4e17p-6, -0x1.cc501aaf7c751p-6, -0x1.c7184d0313a8ep-6, -0x1.c1eb4d85fc0a4p-6, -0x1.bcc9161d6df49p-6, -0x1.b7b1a078efee6p-6, -0x1.b2a4e601d234bp-6, -0x1.ada2dfd4b1528p-6, -0x1.a8ab86e3d4557p-6, -0x1.a3bed3db633a2p-6, -0x1.9edcbf308a20ep-6, -0x1.9a05411fd96cep-6, -0x1.9538519fb5119p-6, -0x1.9075e898a233bp-6, -0x1.8bbdfd88c8c8ap-6, -0x1.871087dd1e81p-6, -0x1.826d7ecd82bc7p-6, -0x1.7dd4d9545f1b8p-6, -0x1.79468e439fedap-6, -0x1.74c2943dd228dp-6, -0x1.7048e1b6cd009p-6, -0x1.6bd96cf529aa4p-6, -0x1.67742c15447eep-6, -0x1.6319150809781p-6, -0x1.5ec81d9570524p-6, -0x1.5a813b5b5397cp-6, -0x1.564463d21e4e1p-6, -0x1.52118c48552bdp-6, -0x1.4de8a9ef29438p-6, -0x1.49c9b1c5c53f5p-6, -0x1.45b498b158887p-6, -0x1.41a953713c46p-6, -0x1.3da7d6a2cb1eap-6, -0x1.39b016c1e79fcp-6, -0x1.35c2082963aeap-6, -0x1.31dd9f148714bp-6, -0x1.2e02cfc93ce07p-6, -0x1.2a318d615658bp-6, -0x1.2669cd7d61c16p-6, -0x1.22ab827202c4ep-6, -0x1.1ef6a052bfbdep-6, -0x1.1b4b1ab581ebap-6, -0x1.17a8e51244cd4p-6, -0x1.140ff2b84c295p-6, -0x1.108036ee083bfp-6, -0x1.0cf9f090bf2e8p-6, -0x1.097c2f9ed5331p-6, -0x1.0607ca26f5ccbp-6, -0x1.029c6760902fap-6, -0x1.fe73f4373b8d4p-7, -0x1.f7c0ea28a4b9bp-7, -0x1.f11f95e5fa4edp-7, -0x1.ea8fdc9a160c6p-7, -0x1.e411a34daf4e4p-7, -0x1.dda4cee193e5ap-7, -0x1.d749441ab9491p-7, -0x1.d0fee7922da37p-7, -0x1.cac59dd7e31a8p-7, -0x1.c49d4b3c2976ap-7, -0x1.be85d40577e49p-7, -0x1.b87f1c58de5b5p-7, -0x1.b28908420827ap-7, -0x1.aca37bb785adp-7, -0x1.a6ce5a9545fbbp-7, -0x1.a10988a78074ep-7, -0x1.9b54e9a2f193cp-7, -0x1.95b06123c9e5ap-7, -0x1.901bd2af54409p-7, -0x1.8a9721b3db05cp-7, -0x1.8522319020c0bp-7, -0x1.7fbce58f5e2d9p-7, -0x1.7a6720f5f812fp-7, -0x1.7520c6ffc6bf8p-7, -0x1.6fe9bae635dbp-7, -0x1.6ac1dfd77a01ap-7, -0x1.65a918f62fa87p-7, -0x1.609f4957ed32p-7, -0x1.5ba453fff0983p-7, -0x1.56b81be1211cfp-7, -0x1.51da83e354f68p-7, -0x1.4d0b6eeb2f438p-7, -0x1.484abfe13a5efp-7, -0x1.439859b7e0d97p-7, -0x1.3ef41f7acbc99p-7, -0x1.3a5df431f7ddbp-7, -0x1.35d5baec2ef87p-7, -0x1.315b56b0b8a71p-7, -0x1.2ceeaa7b04d68p-7, -0x1.288f993547e5p-7, -0x1.243e05bd687c7p-7, -0x1.1ff9d2efc88efp-7, -0x1.1bc2e3b396d8ap-7, -0x1.17991b127cb77p-7, -0x1.137c5c35dd7f5p-7, -0x1.0f6c8a0205551p-7, -0x1.0b6989493ae8fp-7, -0x1.07733b663b5c9p-7, -0x1.03898577ad30cp-7, -0x1.ff5894549b382p-8, -0x1.f7b6d9fa42fffp-8, -0x1.f02da254d7203p-8, -0x1.e8bcb3e18b3f4p-8, -0x1.e163d545dbf94p-8, -0x1.da22cd7c671dfp-8, -0x1.d2f963f612286p-8, -0x1.cbe760a694307p-8, -0x1.c4ec8bf2bc89cp-8, -0x1.be08ae938ebafp-8, -0x1.b73b914f08d25p-8, -0x1.b084fce3d0557p-8, -0x1.a9e4b9cacbfc8p-8, -0x1.a35a906355955p-8, -0x1.9ce648e3937fap-8, -0x1.9687aba62218dp-8, -0x1.903e8119621ap-8, -0x1.8a0a922fe4d86p-8, -0x1.83eba87c5a048p-8, -0x1.7de18e4211bacp-8, -0x1.77ec0e6df23aep-8, -0x1.720af463e7ff4p-8, -0x1.6c3e0bd5a5a4p-8, -0x1.668520754b8cp-8, -0x1.60dffdfdc827p-8, -0x1.5b4e6f086b225p-8, -0x1.55d03ce23f8e6p-8, -0x1.506535f9d0aeep-8, -0x1.4b0d24da3b393p-8, -0x1.45c7d2266685ap-8, -0x1.40950b3c9d8afp-8, -0x1.3b749db314889p-8, -0x1.3666571c4271fp-8, -0x1.316a05eae57ecp-8, -0x1.2c7f791b24641p-8, -0x1.27a67ff8160e1p-8, -0x1.22dee9ba0820dp-8, -0x1.1e28858debc54p-8, -0x1.19832247d0449p-8, -0x1.14ee8e9c5781ap-8, -0x1.106a990f58138p-8, -0x1.0bf71053f556dp-8, -0x1.0793c38149ccbp-8, -0x1.03408251326bap-8, -0x1.fdfa3aa99009p-9, -0x1.f592cbae74f7cp-9, -0x1.ed4a5c1e57d69p-9, -0x1.e520916be9765p-9, -0x1.dd15124f92cdap-9, -0x1.d52785caeaac2p-9, -0x1.cd579312293ddp-9, -0x1.c5a4e14ffffb8p-9, -0x1.be0f176a93875p-9, -0x1.b695dbd832012p-9, -0x1.af38d56f5f286p-9, -0x1.a7f7aad5d2e09p-9, -0x1.a0d2032ec9abep-9, -0x1.99c787392d58fp-9, -0x1.92d7e0a7e8135p-9, -0x1.8c02bb00ce106p-9, -0x1.8547c312a2236p-9, -0x1.7ea6a70ad1fp-9, -0x1.781f134ac5597p-9, -0x1.71b0c3b52f902p-9, -0x1.6b5b5674adb9fp-9, -0x1.651e8a3957e19p-9, -0x1.5efa0ceb76d4dp-9, -0x1.58ed9069faaebp-9, -0x1.52f8c5a585374p-9, -0x1.4d1b5de0de55bp-9, -0x1.47550a1c0eb8ep-9, -0x1.41a57c2109b06p-9, -0x1.3c0c667fc31f7p-9, -0x1.36897d11aec4fp-9, -0x1.311c7529191b7p-9, -0x1.2bc50572baefep-9, -0x1.2682e5cf19bap-9, -0x1.2155cf31ceeaap-9, -0x1.1c3d7ba0076cdp-9, -0x1.1739a634ab0fbp-9, -0x1.124a0b1f5fc26p-9, -0x1.0d6e6756d0ad1p-9, -0x1.08a677af7718dp-9, -0x1.03f1f9209e9ebp-9, -0x1.fea14f3eaf421p-10, -0x1.f5847db37a7b2p-10, -0x1.ec8cf44260313p-10, -0x1.e3ba2acfdee22p-10, -0x1.db0b9c18e6b8cp-10, -0x1.d280c5eecb90ep-10, -0x1.ca1929324170bp-10, -0x1.c1d44928f7cb6p-10, -0x1.b9b1ab0de9467p-10, -0x1.b1b0d5b3e9bb5p-10, -0x1.a9d151db8448cp-10, -0x1.a212aabd54c23p-10, -0x1.9a746e795dd79p-10, -0x1.92f62c60dbaccp-10, -0x1.8b9774eee4d7cp-10, -0x1.8457d80c6da7ep-10, -0x1.7d36e3f8541d3p-10, -0x1.7634251ca4aaap-10, -0x1.6f4f26d26866p-10, -0x1.6887758b280a4p-10, -0x1.61dca05056cb3p-10, -0x1.5b4e3997be2c6p-10, -0x1.54dbd72bb5236p-10, -0x1.4e85115fcb7cep-10, -0x1.4849822795055p-10, -0x1.4228c3ee7aedfp-10, -0x1.3c22722d175cbp-10, -0x1.3636297188c05p-10, -0x1.3063881bf0c1fp-10, -0x1.2aaa2f8bccaep-10, -0x1.2509c34a74a4cp-10, -0x1.1f81e75a30c54p-10, -0x1.1a12407fb8174p-10, -0x1.14ba719cacca1p-10, -0x1.0f7a1b722a41dp-10, -0x1.0a50ded03a50ep-10, -0x1.053e5ce040ae9p-10, -0x1.004239d8e94f2p-10, -0x1.f6b83afb5ffd8p-11, -0x1.ed1765c3e3a78p-11, -0x1.e3a14ebf629ecp-11, -0x1.da5553486b89ap-11, -0x1.d132d19141b7ap-11, -0x1.c839278628329p-11, -0x1.bf67b2b73f89ep-11, -0x1.b6bdd147c7744p-11, -0x1.ae3ae3a0bfd8p-11, -0x1.a5de4e22cd927p-11, -0x1.9da77a3726a3cp-11, -0x1.9595d589f41f2p-11, -0x1.8da8d46d3b4b7p-11, -0x1.85dfbfa38532ap-11, -0x1.7e3a36d45eafbp-11, -0x1.76b77edc3e40ep-11, -0x1.6f570c6d149a4p-11, -0x1.68184f071513ap-11, -0x1.60fabc54b6817p-11, -0x1.59fdcf0922a1dp-11, -0x1.5321054bae831p-11, -0x1.4c63df971220ap-11, -0x1.45c5e02ef053cp-11, -0x1.3f468a69d3025p-11, -0x1.38e56196f8e1p-11, -0x1.32a1e835abd11p-11, -0x1.2c7b9fc1aabecp-11, -0x1.267209deb7932p-11, -0x1.2084aa930ab9dp-11, -0x1.1ab30a3638d13p-11, -0x1.14fcb5b489c4ep-11, -0x1.0f613d1f682bbp-11, -0x1.09e031fb25cd9p-11, -0x1.0479243d0c731p-11, -0x1.fe57426570d78p-12, -0x1.f3ee719ab453p-12, -0x1.e9b6fa7543b8p-12, -0x1.dfb009bd78d93p-12, -0x1.d5d8cff64535bp-12, -0x1.cc3080649fe9ap-12, -0x1.c2b6539a967f2p-12, -0x1.b969861229cebp-12, -0x1.b0495aa94badap-12, -0x1.a75518b869147p-12, -0x1.9e8c084167f5dp-12, -0x1.95ed6e0b7ee9fp-12, -0x1.8d788a4006dbep-12, -0x1.852c9abbebdccp-12, -0x1.7d08e00694e2ep-12, -0x1.750ca24b19f53p-12, -0x1.6d3733e025624p-12, -0x1.6587f0667583p-12, -0x1.5dfe390f3f74dp-12, -0x1.56996fa53abep-12, -0x1.4f58f2e42ea4ap-12, -0x1.483c1edd8375ap-12, -0x1.414252041c402p-12, -0x1.3a6aed3a83625p-12, -0x1.33b5528a9e299p-12, -0x1.2d20e94545033p-12, -0x1.26ad1a2b706f7p-12, -0x1.20595324d08fap-12, -0x1.1a2507381ee0dp-12, -0x1.140fafa0e11e1p-12, -0x1.0e18d3b006bb1p-12, -0x1.083fc643b7d94p-12, -0x1.02843ec6cb55cp-12, -0x1.f9cadb24b13edp-13, -0x1.eec5ec8453b93p-13, -0x1.e3f881e14fd82p-13, -0x1.d9618b87ac1a8p-13, -0x1.cf00097492104p-13, -0x1.c4d30b47b62aep-13, -0x1.bad9ae6bc60c9p-13, -0x1.b11316ded5b0fp-13, -0x1.a77e658cf8bfbp-13, -0x1.9e1ab1f19e7efp-13, -0x1.94e70d666fb4ap-13, -0x1.8be28a3e0b317p-13, -0x1.830c4a04bd99p-13, -0x1.7a636f631204dp-13, -0x1.71e723689aed1p-13, -0x1.699694803ee25p-13, -0x1.6170fd606efddp-13, -0x1.59759a01009bdp-13, -0x1.51a3ac70fdd54p-13, -0x1.49fa76995d2bfp-13, -0x1.42793ac87111fp-13, -0x1.3b1f5fc3a1f97p-13, -0x1.33ebb66af3f45p-13, -0x1.2cde070082dfcp-13, -0x1.25f55c44791c7p-13, -0x1.1f31054d44bc2p-13, -0x1.18904dcb6135bp-13, -0x1.12128aa7547ffp-13, -0x1.0bb71a5787bc5p-13, -0x1.057d62be8324p-13, -0x1.fec999a8925aep-14, -0x1.f2d97afa5f83fp-14, -0x1.e72924b4971f1p-14, -0x1.dbb7497e8a659p-14, -0x1.d082a0ce6e6cap-14, -0x1.c589f63969a5bp-14, -0x1.bacc2333eb8e5p-14, -0x1.b04805f8db2cfp-14, -0x1.a5fc83ff5aed1p-14, -0x1.9be890620fc36p-14, -0x1.920b266910556p-14, -0x1.88633de8ddd92p-14, -0x1.7eefca38de2c8p-14, -0x1.75afc3b01f31ep-14, -0x1.6ca232a6bca26p-14, -0x1.63c62d92888e2p-14, -0x1.5b1abe400e684p-14, -0x1.529eef1d01225p-14, -0x1.4a51cfaec56a4p-14, -0x1.423274801a366p-14, -0x1.3a3ff59e41db8p-14, -0x1.3279712a53cefp-14, -0x1.2ade0e6587d4ap-14, -0x1.236cfc1cb3aacp-14, -0x1.1c256ee64923fp-14, -0x1.15069dcaa2907p-14, -0x1.0e0fbbe1ada71p-14, -0x1.073ff47b4316fp-14, -0x1.009671b3a7e28p-14, -0x1.f424d07ba0cap-15, -0x1.e76635d612e3dp-15, -0x1.daefa880dd2afp-15, -0x1.cebfbe32dfed8p-15, -0x1.c2d50e1226a48p-15, -0x1.b72e32f505ccfp-15, -0x1.abc9cd136014p-15, -0x1.a0a67991f0919p-15, -0x1.95c2dcb36a208p-15, -0x1.8b1db0f7415a4p-15, -0x1.80b5bd8cbd289p-15, -0x1.7689cd6aba664p-15, -0x1.6c98aef183873p-15, -0x1.62e13502b1429p-15, -0x1.5962357f39e2bp-15, -0x1.501a882c44167p-15, -0x1.4709086a98569p-15, -0x1.3e2c9e0a061fep-15, -0x1.35843be0b2d3ap-15, -0x1.2d0ec0b5ddbf2p-15, -0x1.24cb19348da1fp-15, -0x1.1cb8486e11fe8p-15, -0x1.14d55dbcf96dp-15, -0x1.0d216152a0be1p-15, -0x1.059b4f65cc5e3p-15, -0x1.fc8446c722986p-16, -0x1.ee29cd64fc585p-16, -0x1.e0256d0bb257p-16, -0x1.d27575451d0c2p-16, -0x1.c518254500a8bp-16, -0x1.b80bae094b544p-16, -0x1.ab4e576ca7403p-16, -0x1.9ede76ec811e7p-16, -0x1.92ba6289e30ap-16, -0x1.86e0842de2012p-16, -0x1.7b4f54336b008p-16, -0x1.700548aef6f6p-16, -0x1.6500dac65c77dp-16, -0x1.5a408f231d165p-16, -0x1.4fc2fa9aa244fp-16, -0x1.45858df5b8c6ap-16, -0x1.3b88efa61d9a8p-16, -0x1.31cc228ce479p-16, -0x1.284b44591fa3fp-16, -0x1.1f06430c5bc1dp-16, -0x1.15fbcc3af6a97p-16, -0x1.0d2a977a59058p-16, -0x1.049164f92c272p-16, -0x1.f85dff2d806cbp-17, -0x1.e8047a8b601eep-17, -0x1.d813f23b450cep-17, -0x1.c88a194b155ecp-17, -0x1.b964b7b8b6da9p-17, -0x1.aaa1aaaa39438p-17, -0x1.9c3e983d29f5ep-17, -0x1.8e39592d7dca4p-17, -0x1.808fefdbe5d38p-17, -0x1.73405b2d5f911p-17, -0x1.66488c4639909p-17, -0x1.59a68ee54f987p-17, -0x1.4d58783851a7ep-17, -0x1.415c73805117fp-17, -0x1.35b0b61d0f7a5p-17, -0x1.2a536f551ba73p-17, -0x1.1f42dc6d90a8dp-17, -0x1.147d289e9cb2bp-17, -0x1.0a00e6d61758p-17, -0x1.ff96692a42fdp-18, -0x1.ebbe55f3ef145p-18, -0x1.d86695a596a4fp-18, -0x1.c5980a189308dp-18, -0x1.b34c19cef1051p-18, -0x1.a17faa017370bp-18, -0x1.902fc804ad92bp-18, -0x1.7f59a6ddf48fep-18, -0x1.6efadccb8b17bp-18, -0x1.5f0fead61eb4ep-18, -0x1.4f96c26ad5058p-18, -0x1.408c0c401899p-18, -0x1.31ee17b9006ffp-18, -0x1.23ba0d6399e9p-18, -0x1.15ed630d7d87ap-18, -0x1.0885a65f509adp-18, -0x1.f700ea58fb96cp-19, -0x1.ddb6f61fb4a44p-19, -0x1.c528ef6682cfcp-19, -0x1.ad525c998fd4ap-19, -0x1.962ead8f9ea94p-19, -0x1.7fb9857385bd7p-19, -0x1.69eebcca22c04p-19, -0x1.54cacfab14bcfp-19, -0x1.404a28268d0c1p-19, -0x1.2c680e05b2ce1p-19, -0x1.19203dd3525b1p-19, -0x1.066f32bb37299p-19, -0x1.e8a331377aa73p-20, -0x1.c587ba1001803p-20, -0x1.a384d5070335bp-20, -0x1.8293947c65019p-20, -0x1.62ad3d9db6a5cp-20, -0x1.43cb3b8b36cc8p-20, -0x1.25e718c8643a1p-20, -0x1.08fa80aec735ep-20, -0x1.d9fe7c95f92ccp-21, -0x1.a3de78cd88aecp-21, -0x1.6f8908dd9b9fep-21, -0x1.3cf27fedef59dp-21, -0x1.0c0f7ccabbf6cp-21, -0x1.b9a9ebf4f4674p-22, -0x1.5e70722908457p-22, -0x1.065daeaca4642p-22, -0x1.62ba3024c8f2dp-23, -0x1.7d69f42ee52dp-24, -0x1.0422de5689604p-26, 0x1.dff9dbdc8fa07p-25, 0x1.0afcf3a2348aep-23, 0x1.989892fb5a048p-23, 0x1.107ab6e5f47a9p-22, 0x1.521bd1bffd3bfp-22, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.26610f719e891p-8, -0x1.8482280e765e3p-7, -0x1.7e0ea62124b99p-6, -0x1.3f0b28b6324bep-5, -0x1.dc554d439fa27p-5, -0x1.47b24e7f67256p-4, -0x1.a7e32e34d3806p-4, -0x1.0548bc0a86fe5p-3, -0x1.35f626a99cbadp-3, -0x1.6452e237c07dfp-3, -0x1.8f0180ed60416p-3, -0x1.b4eebb946ca67p-3, -0x1.d54da39b84508p-3, -0x1.ef915d300b1bap-3, -0x1.01b2d36812139p-2, -0x1.08537f97a8fe6p-2, -0x1.0bad762c1661ap-2, -0x1.0bd4593bec915p-2, -0x1.08e952d262e14p-2, -0x1.0318155fa5dc2p-2, -0x1.f5286d147b5f6p-3, -0x1.df2dc5afb41acp-3, -0x1.c4b9cbb891b22p-3, -0x1.a64a01c1e527ep-3, -0x1.845d11a790987p-3, -0x1.5f7087c861723p-3, -0x1.37fefebc15c2bp-3, -0x1.0e7ead86501fdp-3, -0x1.c6c09699888dep-4, -0x1.6e1c79631dfe3p-4, -0x1.13d800291a593p-4, -0x1.71573c41d4decp-5, -0x1.750364264fa9p-6, -0x1.191772e1d8bbp-11, 0x1.5fd31f7ea87e3p-6, 0x1.616e09e987ec8p-5, 0x1.07a59bc7cefb7p-4, 0x1.5c5f24d255ffbp-4, 0x1.ae8f0e2522a3p-4, 0x1.fdece4443a3a3p-4, 0x1.251dc7c3aa50fp-3, 0x1.49a43fc2bedbap-3, 0x1.6c7579613fa8ap-3, 0x1.8d818f2f37145p-3, 0x1.acbcb55d79458p-3, 0x1.ca1ee22002725p-3, 0x1.e5a364c4d7ddap-3, 0x1.ff489c30feea5p-3, 0x1.0b87cca85b59p-2, 0x1.167dec8a4033dp-2, 0x1.20897c6320d28p-2, 0x1.29ae3a36c0467p-2, 0x1.31f0b3f77815ap-2, 0x1.39562b8f78323p-2, 0x1.3fe47d0956bap-2, 0x1.45a20677084fep-2, 0x1.4a95916ea2c12p-2, 0x1.4ec63e8769e57p-2, 0x1.523b7309c6022p-2, 0x1.54fcc858de51cp-2, 0x1.5711fc8b83ef8p-2, 0x1.5882e3ff99993p-2, 0x1.59575c1fed98dp-2, 0x1.59973fb4776f7p-2, 0x1.594a5cd21c9c2p-2, 0x1.58786c386d03cp-2, 0x1.572909b41c0eep-2, 0x1.5563ad4a3b27p-2, 0x1.532fa51856cb6p-2, 0x1.509410086e992p-2, 0x1.4d97d9755dbedp-2, 0x1.4a41b5cbb6886p-2, 0x1.4698200c7ccb4p-2, 0x1.42a15805eae77p-2, 0x1.3e6361141136ep-2, 0x1.39e40141052ebp-2, 0x1.3528c0b9ace17p-2, 0x1.3036e995ea39ap-2, 0x1.2b1387f4fe4e9p-2, 0x1.25c36a7b6e472p-2, 0x1.204b23269be3cp-2, 0x1.1aaf0870df47cp-2, 0x1.14f336b4311ffp-2, 0x1.0f1b91bc56b4ep-2, 0x1.092bc6765fb11p-2, 0x1.03274cb28c69cp-2, 0x1.fa22d1e582bb4p-3, 0x1.edda5c7df965ap-3, 0x1.e17b0001b77d1p-3, 0x1.d50a27c86858p-3, 0x1.c88ce77c42f7dp-3, 0x1.bc07feeb07e75p-3, 0x1.af7fdddb64ff3p-3, 0x1.a2f8a7dc579c3p-3, 0x1.967638083bac5p-3, 0x1.89fc24b6ad91ep-3, 0x1.7d8dc314051bp-3, 0x1.712e2a9fc09a9p-3, 0x1.64e03886c6ff2p-3, 0x1.58a692de92541p-3, 0x1.4c83abbb279c5p-3, 0x1.4079c4268d81p-3, 0x1.348aeef2d3a8bp-3, 0x1.28b91365d4f76p-3, 0x1.1d05efd271322p-3, 0x1.11731bffab4adp-3, 0x1.06020b86a3e94p-3, 0x1.f5681ffa21b38p-4, 0x1.df14b62a816d8p-4, 0x1.c90c011c14649p-4, 0x1.b34ff03d0d774p-4, 0x1.9de23e62e1491p-4, 0x1.88c4752323672p-4, 0x1.73f7f0017b37bp-4, 0x1.5f7ddf4e2e263p-4, 0x1.4b574b02797fep-4, 0x1.37851546a2dcbp-4, 0x1.2407fcf202c0ap-4, 0x1.10e09fd2c92c4p-4, 0x1.fc1ef995083c4p-5, 0x1.d729ebbfed57ep-5, 0x1.b2e2a429767a7p-5, 0x1.8f497e64474e1p-5, 0x1.6c5ea6e8c4bffp-5, 0x1.4a221e12a828dp-5, 0x1.2893bb2e39406p-5, 0x1.07b32f27eaef9p-5, 0x1.cf000e0374d04p-6, 0x1.8ff35cd3674bdp-6, 0x1.523ee3bad0185p-6, 0x1.15e1016911b8p-6, 0x1.b5afbd5778c92p-7, 0x1.4242e39b80c8fp-7, 0x1.a2ee08023501cp-8, 0x1.8d1d5910daef6p-9, -0x1.0a27e3d5eb811p-12, -0x1.c56085d6274a9p-9, -0x1.afa5f687640bfp-8, -0x1.3bc7b77ec555ep-7, -0x1.9d3c7dab603e6p-7, -0x1.fc37ac45b8ca9p-7, -0x1.2c5fea0522b11p-6, -0x1.596dda86917cdp-6, -0x1.85491d64636f1p-6, -0x1.aff53bad63c64p-6, -0x1.d975d0534b1bcp-6, -0x1.00e7436c712d1p-5, -0x1.14818cc2a2075p-5, -0x1.278ba7d531fe1p-5, -0x1.3a077e4a6a5bfp-5, -0x1.4bf6ff182fb5bp-5, -0x1.5d5c1dd5a97bdp-5, -0x1.6e38d22bac293p-5, -0x1.7e8f173b1cbf1p-5, -0x1.8e60eb032f4ebp-5, -0x1.9db04def59394p-5, -0x1.ac7f4274e9e15p-5, -0x1.bacfcc76b1fbp-5, -0x1.c8a3f0a8a3793p-5, -0x1.d5fdb44e6e3c1p-5, -0x1.e2df1d0b47473p-5, -0x1.ef4a304e98092p-5, -0x1.fb40f2aaccfccp-5, -0x1.0362b3cf0713ep-4, -0x1.08ecc8cb8f04ap-4, -0x1.0e3fb8c8413d6p-4, -0x1.135c832ef7951p-4, -0x1.1844262a0af3fp-4, -0x1.1cf79eaf2ee3ap-4, -0x1.2177e8775d996p-4, -0x1.25c5fdbb2423dp-4, -0x1.29e2d6e4e9d44p-4, -0x1.2dcf6a8e219b4p-4, -0x1.318cad930bf64p-4, -0x1.351b92f9d6095p-4, -0x1.387d0baecffcap-4, -0x1.3bb20656a72e9p-4, -0x1.3ebb6f562a4b8p-4, -0x1.419a30e04d955p-4, -0x1.444f32df2391cp-4, -0x1.46db5abfab6cbp-4, -0x1.493f8b5497031p-4, -0x1.4b7ca4db81411p-4, -0x1.4d9385084aa5fp-4, -0x1.4f8506f6664c9p-4, -0x1.51520309d338bp-4, -0x1.52fb4ed983a52p-4, -0x1.5481bd2ea9ecap-4, -0x1.55e61e0c285e1p-4, -0x1.57293eab71ab4p-4, -0x1.584be96f6927dp-4, -0x1.594ee5d77449ap-4, -0x1.5a32f87a47cfcp-4, -0x1.5af8e307dc6e8p-4, -0x1.5ba1644bf2559p-4, -0x1.5c2d382f7b3bbp-4, -0x1.5c9d17b7da9dap-4, -0x1.5cf1b902b3366p-4, -0x1.5d2bcf42df5b4p-4, -0x1.5d4c0ac17a735p-4, -0x1.5d5318e377631p-4, -0x1.5d41a433c3bf7p-4, -0x1.5d18546a684a1p-4, -0x1.5cd7ce6ec618cp-4, -0x1.5c80b44f978e6p-4, -0x1.5c13a54633cefp-4, -0x1.5b913dbf04b2dp-4, -0x1.5afa176993144p-4, -0x1.5a4ec9462c714p-4, -0x1.598fe7a9a69eep-4, -0x1.58be043a14c4bp-4, -0x1.57d9adef1facap-4, -0x1.56e3711ae381bp-4, -0x1.55dbd77ab1aacp-4, -0x1.54c36847ea64ep-4, -0x1.539aa840b6178p-4, -0x1.526219aa2ef4cp-4, -0x1.511a3c5075e88p-4, -0x1.4fc38d8d71181p-4, -0x1.4e5e885671b09p-4, -0x1.4ceba54b75045p-4, -0x1.4b6b5ac453405p-4, -0x1.49de1cd78e1aap-4, -0x1.48445d5e7b42ep-4, -0x1.469e8bf9c9c5cp-4, -0x1.44ed161a7c789p-4, -0x1.4330670e6a851p-4, -0x1.4168e80d05f97p-4, -0x1.3f9700420e892p-4, -0x1.3dbb14d51cfe7p-4, -0x1.3bd588f0680fdp-4, -0x1.39e6bdc49ae52p-4, -0x1.37ef1291e8d8ep-4, -0x1.35eee4b2d283bp-4, -0x1.33e68fa621009p-4, -0x1.31d66d19afb8ep-4, -0x1.2fbed4f2ae9fp-4, -0x1.2da01d53d03edp-4, -0x1.2b7a9aa26f92cp-4, -0x1.294e9f8c00f67p-4, -0x1.271c7d0fa0b28p-4, -0x1.24e48284037aap-4, -0x1.22a6fda457e84p-4, -0x1.20643a97dca81p-4, -0x1.1e1c83f667fap-4, -0x1.1bd022cf79c0fp-4, -0x1.197f5eaf0f5c8p-4, -0x1.172a7d9fad447p-4, -0x1.14d1c434f549bp-4, -0x1.12757591fad3ap-4, -0x1.1015d36f4bff2p-4, -0x1.0db31e257ff4cp-4, -0x1.0b4d94ae952b6p-4, -0x1.08e574abf052fp-4, -0x1.067afa6a6dca2p-4, -0x1.040e60e63471fp-4, -0x1.019fe1d0d470fp-4, -0x1.fe5f6b2e49bc4p-5, -0x1.f97c26ce0437cp-5, -0x1.f4966268e8c17p-5, -0x1.efae877e48046p-5, -0x1.eac4fd292411fp-5, -0x1.e5da282b52ab1p-5, -0x1.e0ee6af183cd7p-5, -0x1.dc02259e8298ap-5, -0x1.d715b6110f74dp-5, -0x1.d22977ef9026ep-5, -0x1.cd3dc4af4dadep-5, -0x1.c852f39d39065p-5, -0x1.c36959e4e0326p-5, -0x1.be814a975968bp-5, -0x1.b99b16b19481p-5, -0x1.b4b70d21b129dp-5, -0x1.afd57ad049051p-5, -0x1.aaf6aaa4454cbp-5, -0x1.a61ae58cab786p-5, -0x1.a14272872803fp-5, -0x1.9c6d96a66d3afp-5, -0x1.979c95181cdacp-5, -0x1.92cfaf2ba7fe5p-5, -0x1.8e072457d36b5p-5, -0x1.89433240390e7p-5, -0x1.848414bab9a2cp-5, -0x1.7fca05d5a43fep-5, -0x1.7b153ddf154a2p-5, -0x1.7665f3699e246p-5, -0x1.71bc5b52fca61p-5, -0x1.6d18a8c9b4de3p-5, -0x1.687b0d533ef74p-5, -0x1.63e3b8d0fa347p-5, -0x1.5f52d985bef77p-5, -0x1.5ac89c1b6f5dfp-5, -0x1.56452ba7a9818p-5, -0x1.51c8b1b208013p-5, -0x1.4d535639f9b1ap-5, -0x1.48e53fbc00999p-5, -0x1.447e93377b8f8p-5, -0x1.401f743457353p-5, -0x1.3bc804c7f6c16p-5, -0x1.3778659b3e59ep-5, -0x1.3330b5ef411aap-5, -0x1.2ef113a34ef54p-5, -0x1.2ab99b39684fbp-5, -0x1.268a67db9d061p-5, -0x1.22639362f6305p-5, -0x1.1e45365b05692p-5, -0x1.1a2f68082cbaap-5, -0x1.16223e6e09066p-5, -0x1.121dce5340a13p-5, -0x1.0e222b47df4dep-5, -0x1.0a2f67a9864ebp-5, -0x1.064594aa849d1p-5, -0x1.0264c2552ab9dp-5, -0x1.fd19ff250d6bbp-6, -0x1.f57cb45c794f8p-6, -0x1.edf1bdbbfd2dcp-6, -0x1.e679328a4d542p-6, -0x1.df1327f539211p-6, -0x1.d7bfb11c1fd75p-6, -0x1.d07edf18de31cp-6, -0x1.c950c10dc7ef6p-6, -0x1.c235642d18b5p-6, -0x1.bb2cd3c5f5e6ap-6, -0x1.b437194c95ca8p-6, -0x1.ad543c670f6c5p-6, -0x1.a68442f23e792p-6, -0x1.9fc731113ae5fp-6, -0x1.991d093333c9fp-6, -0x1.9285cc1fb11cfp-6, -0x1.8c017902c8166p-6, -0x1.85900ccc1a17dp-6, -0x1.7f3185925d5b9p-6, -0x1.78e5dbe841802p-6, -0x1.72ad09996ffdfp-6, -0x1.6c87065673619p-6, -0x1.6673c86a614b8p-6, -0x1.607344c59bf78p-6, -0x1.5a856f0a62cadp-6, -0x1.54aa3999f1bb8p-6, -0x1.4ee1959f6af41p-6, -0x1.492b73190e4a6p-6, -0x1.4387c0dda4eb6p-6, -0x1.3df66c9f5e994p-6, -0x1.387762f023ddcp-6, -0x1.330a8f4a07c48p-6, -0x1.2dafdc1af3b66p-6, -0x1.286732d5156a3p-6, -0x1.23307c004974cp-6, -0x1.1e0b9f47a876ep-6, -0x1.18f883827c6ecp-6, -0x1.13f70eb45cdd5p-6, -0x1.0f0726090c6e2p-6, -0x1.0a28add079cddp-6, -0x1.055b897ff6b19p-6, -0x1.009f9bbd31aa7p-6, -0x1.f7e98ce50ccap-7, -0x1.eeb5d5d32d15cp-7, -0x1.e5a3d3c7f8c87p-7, -0x1.dcb3475658174p-7, -0x1.d3e3f0237982ep-7, -0x1.cb358cd0e80bep-7, -0x1.c2a7dad37a1b6p-7, -0x1.ba3a965148744p-7, -0x1.b1ed7a171900cp-7, -0x1.a9c03fb33f7abp-7, -0x1.a1b29fb57db4dp-7, -0x1.99c45204a2104p-7, -0x1.91f50e3072c72p-7, -0x1.8a448ba5732c8p-7, -0x1.82b281af5cfe2p-7, -0x1.7b3ea74a6cbddp-7, -0x1.73e8b2cfaa30ap-7, -0x1.6cb059a09775cp-7, -0x1.65954fefc818ap-7, -0x1.5e9748c37687ep-7, -0x1.57b5f63a65158p-7, -0x1.50f10a04dfb15p-7, -0x1.4a4835f124439p-7, -0x1.43bb2c5f574f2p-7, -0x1.3d49a078ca1cdp-7, -0x1.36f34611d0e3p-7, -0x1.30b7d148e87cdp-7, -0x1.2a96f5e720928p-7, -0x1.249066d4b04abp-7, -0x1.1ea3d5b7a18fdp-7, -0x1.18d0f2ed1d0d1p-7, -0x1.13176de887bcdp-7, -0x1.0d76f5e0c2377p-7, -0x1.07ef3aa0137a3p-7, -0x1.027fed3a87305p-7, -0x1.fa5180ec51a4cp-8, -0x1.efd2d17cebd1fp-8, -0x1.e583375699f5fp-8, -0x1.db621e5fdb9bcp-8, -0x1.d16ef16d5314dp-8, -0x1.c7a918cad8c24p-8, -0x1.be0ff988263aep-8, -0x1.b4a2f5d0cc02ep-8, -0x1.ab616e3c9718cp-8, -0x1.a24ac3c96f5f5p-8, -0x1.995e5a0ed6227p-8, -0x1.909b98f97d332p-8, -0x1.8801edae13974p-8, -0x1.7f90ca3e01736p-8, -0x1.7747a446be119p-8, -0x1.6f25f2da66838p-8, -0x1.672b2c268d97cp-8, -0x1.5f56c388c2c9ap-8, -0x1.57a8287f23a6ep-8, -0x1.501ec6c5a456p-8, -0x1.48ba0782fd991p-8, -0x1.417953a4af1cbp-8, -0x1.3a5c167c81ce2p-8, -0x1.3361bff6b7247p-8, -0x1.2c89c64818b02p-8, -0x1.25d3a639dc121p-8, -0x1.1f3ee2326dd6bp-8, -0x1.18cb00354288cp-8, -0x1.1277875800a5dp-8, -0x1.0c43fd3c741d6p-8, -0x1.062fe42e7ef56p-8, -0x1.003aba24d1d6dp-8, -0x1.f4c7f204c1143p-9, -0x1.e9562fdf82f48p-9, -0x1.de1f1b586708bp-9, -0x1.d321a698c2768p-9, -0x1.c85ccd971eaf6p-9, -0x1.bdcf999f6fb4ap-9, -0x1.b379225210f3ep-9, -0x1.a9588c163d701p-9, -0x1.9f6d044a4f09cp-9, -0x1.95b5bc76fe63bp-9, -0x1.8c31e564813c7p-9, -0x1.82e0ab239b12fp-9, -0x1.79c132808df5ep-9, -0x1.70d2982881e9dp-9, -0x1.6813f1ad86fc3p-9, -0x1.5f84506762b6cp-9, -0x1.5722c5f7c993cp-9, -0x1.4eee6987deabfp-9, -0x1.46e65cc6c8d49p-9, -0x1.3f09cf1178b7bp-9, -0x1.3757fe28b1d37p-9, -0x1.2fd03423ecd7cp-9, -0x1.2871c390680acp-9, -0x1.213c02e4fd046p-9, -0x1.1a2e483d73ea3p-9, -0x1.1347e6c246c5dp-9, -0x1.0c882c2ada44fp-9, -0x1.05ee601fced62p-9, -0x1.fef3878387131p-10, -0x1.f25324e11e29fp-10, -0x1.e5fa0892e4129p-10, -0x1.d9e6a462a8a33p-10, -0x1.ce1775fc6009ap-10, -0x1.c28b104da8463p-10, -0x1.b740213cc504ep-10, -0x1.ac3571c8ee797p-10, -0x1.a169e0d737e2ap-10, -0x1.96dc5aecbad33p-10, -0x1.8c8bd1ff5c7a6p-10, -0x1.827737dde566dp-10, -0x1.789d7bcd324b4p-10, -0x1.6efd89f266b7dp-10, -0x1.65964a44ecfadp-10, -0x1.5c669dde72d9ep-10, -0x1.536d5bf5ba1d1p-10, -0x1.4aa950aeae9fbp-10, -0x1.421940955e7e8p-10, -0x1.39bbf08fc51cbp-10, -0x1.3190303153cc2p-10, -0x1.2994e2876e31fp-10, -0x1.21c90227f1863p-10, -0x1.1a2b9f46d19c7p-10, -0x1.12bbd8edce3eap-10, -0x1.0b78d48248404p-10, -0x1.0461b768dce33p-10, -0x1.faeb4ac049cb6p-11, -0x1.ed67869fe561cp-11, -0x1.e03676efe7c03p-11, -0x1.d3567dbd42e55p-11, -0x1.c6c60409fd659p-11, -0x1.ba836bfe6913p-11, -0x1.ae8d046110b1bp-11, -0x1.a2e105d06d1bp-11, -0x1.977d9cbb1735ap-11, -0x1.8c60fbf63e763p-11, -0x1.81896f7df18fp-11, -0x1.76f56805916a1p-11, -0x1.6ca37b9ffa655p-11, -0x1.62925bc9b1a9bp-11, -0x1.58c0c4b364275p-11, -0x1.4f2d6caa81ed5p-11, -0x1.45d6fb5688df1p-11, -0x1.3cbc0d095b165p-11, -0x1.33db400ca1548p-11, -0x1.2b3343b810709p-11, -0x1.22c2df9265c8fp-11, -0x1.1a88ed36bbc4bp-11, -0x1.12844824f7d67p-11, -0x1.0ab3bcba715fap-11, -0x1.0316019f1fbbdp-11, -0x1.f7537e9dfb84dp-12, -0x1.e8db42d1423c4p-12, -0x1.dac0cf87c9658p-12, -0x1.cd01e1b3720a3p-12, -0x1.bf9c78b6f992fp-12, -0x1.b28ece399ae59p-12, -0x1.a5d741877c84p-12, -0x1.9974396e43749p-12, -0x1.8d6406968e2bdp-12, -0x1.81a4d3ebd7678p-12, -0x1.7634ad40208ebp-12, -0x1.6b1198febe911p-12, -0x1.6039b7086e945p-12, -0x1.55ab527392c59p-12, -0x1.4b64d9aeb201fp-12, -0x1.4164bef7f7d4fp-12, -0x1.37a956a30b641p-12, -0x1.2e30c3150a618p-12, -0x1.24f907c278d2cp-12, -0x1.1c00265b50248p-12, -0x1.13443c2953bb1p-12, -0x1.0ac38c36268ep-12, -0x1.027c810bb7e8ep-12, -0x1.f4db6604fa55p-13, -0x1.e52bdf6c40a02p-13, -0x1.d5e8670159aeep-13, -0x1.c70f1f1438051p-13, -0x1.b89e10d54e5e2p-13, -0x1.aa92ffa527b2bp-13, -0x1.9ceb6a451c442p-13, -0x1.8fa4b81970025p-13, -0x1.82bc7710021dap-13, -0x1.76308315e390bp-13, -0x1.69fefd49e2229p-13, -0x1.5e2617a27fd7dp-13, -0x1.52a3d50998b07p-13, -0x1.4775e5d7ba0fap-13, -0x1.3c99b8a7917fep-13, -0x1.320cb15a7a82cp-13, -0x1.27cc53115f55p-13, -0x1.1dd639fead9eep-13, -0x1.1427ff3c587bp-13, -0x1.0abf4642949ep-13, -0x1.0199fef26111cp-13, -0x1.f16d361fe68dap-14, -0x1.e027f553b84fap-14, -0x1.cf6236f188c71p-14, -0x1.bf1992105eb21p-14, -0x1.af4afe3874bc7p-14, -0x1.9ff309d190837p-14, -0x1.910e45ea77a2dp-14, -0x1.829998de260d3p-14, -0x1.749251bab17cdp-14, -0x1.66f60bde58c92p-14, -0x1.59c28193efa8dp-14, -0x1.4cf559faa5f74p-14, -0x1.408bf8b0fa784p-14, -0x1.34836de340223p-14, -0x1.28d8a94a8f03cp-14, -0x1.1d88ceb61c0d2p-14, -0x1.1291415b0290bp-14, -0x1.07ef4040da4aap-14, -0x1.fb3f3b1c99015p-15, -0x1.e73e5361fabe1p-15, -0x1.d3d706903c62bp-15, -0x1.c106ac88f6123p-15, -0x1.aecb79678bed4p-15, -0x1.9d22d8d859e81p-15, -0x1.8c08eddd81d9cp-15, -0x1.7b79253773c4ep-15, -0x1.6b6f5d25de4b5p-15, -0x1.5be80dd207fb3p-15, -0x1.4ce01631aec56p-15, -0x1.3e5446f91c648p-15, -0x1.30415d530017p-15, -0x1.22a43c3a1dc23p-15, -0x1.157a0a5a99d3bp-15, -0x1.08bffb4364aa9p-15, -0x1.f8e5bb352726bp-16, -0x1.e11dc16c5512cp-16, -0x1.ca1ffc0b24f98p-16, -0x1.b3e57208ea3b9p-16, -0x1.9e6861c045fb2p-16, -0x1.89a2760a299f1p-16, -0x1.758ba9c5a3bafp-16, -0x1.621c7f8cfe88cp-16, -0x1.4f511e9c3ef69p-16, -0x1.3d28c5efa2dd5p-16, -0x1.2ba21517b6acdp-16, -0x1.1ab8b8618d2c7p-16, -0x1.0a66948d125e4p-16, -0x1.f54c975e2afc6p-17, -0x1.d6e888cc66bb2p-17, -0x1.b99aabe1676f8p-17, -0x1.9d5b9318a1c2cp-17, -0x1.8222697bb7917p-17, -0x1.67e69211a2421p-17, -0x1.4ea0e349aec6dp-17, -0x1.364be6b9a94b5p-17, -0x1.1ee349be04534p-17, -0x1.0862bb49d112ap-17, -0x1.e588e89358685p-18, -0x1.bc0090b182828p-18, -0x1.941924116d57fp-18, -0x1.6dc173747f173p-18, -0x1.48ecc9b69199dp-18, -0x1.258e4a40d4939p-18, -0x1.03934f7c19da3p-18, -0x1.c5cf929117791p-19, -0x1.8701ee67bcf0ep-19, -0x1.4ab9af31d485ep-19, -0x1.10ecbcd2282e8p-19, -0x1.b3031964f98cdp-20, -0x1.48bc1521c4551p-20, -0x1.c5d58dbd6d8d4p-21, -0x1.0309cdb87e66ap-21, -0x1.23af54392a129p-23, 0x1.a33a68f7e5786p-23, 0x1.127e342e5893dp-21, 0x1.b4786ec89c57cp-21, 0x1.2784078149ad6p-20, 0x1.7135ae8dcd8acp-20, 0x1.b76a2d79fe86ep-20, 0x1.fa3513cfc894dp-20, 0x1.1cd32aa012e91p-19, 0x1.3ae7489257a9ep-19, 0x1.5762c2f00040cp-19, 0x1.725694f8137bap-19, 0x1.8bd55f35b2fc8p-19, 0x1.a3ed352f6c6b7p-19, 0x1.baa621d55978p-19, 0x1.d0097842c59f2p-19, 0x1.e429abf004e38p-19, 0x1.f71a1142c3996p-19, 0x1.04712685eb318p-18, 0x1.0cc3eccf15b8fp-18, 0x1.148ce60893655p-18, 0x1.1bd3e260c1dcap-18, 0x1.229c0bd2c0798p-18, 0x1.28e7278b3349bp-18, 0x1.2eb933992d9e5p-18, 0x1.341741c82f5dp-18, 0x1.3905a7bb3068cp-18, 0x1.3d87ddd782aabp-18, 0x1.41a120ca31a09p-18, 0x1.4554ec18dba8ap-18, 0x1.48a71963092fap-18, 0x1.4b9bb501528cfp-18, 0x1.4e36a37063939p-18, 0x1.507b320513efap-18, 0x1.526bdccba8989p-18, 0x1.540a97d950fabp-18, 0x1.5559aeb5ad773p-18, 0x1.565c88c22fba5p-18, 0x1.57174646b56efp-18, 0x1.578d556a12323p-18, 0x1.57c069669d035p-18, 0x1.57b1b4071f57bp-18, 0x1.57652f8e2400ep-18, 0x1.56e04a903f115p-18, 0x1.5624fc6221021p-18, 0x1.55348a31c18bap-18, 0x1.5412003e066cep-18, 0x1.52bebcf4ae36p-18, 0x1.513b134a31fb5p-18, 0x1.4f8907f2dfa99p-18, 0x1.4dab871c866a5p-18, 0x1.4ba52b877f465p-18, 0x1.49783413ab7ebp-18, 0x1.47269bf56c49ap-18, 0x1.44b27ab628e55p-18, 0x1.421d8253889b3p-18, 0x1.3f68deb358b12p-18, 0x1.3c95edf4f7ffcp-18, 0x1.39a5ff0154e59p-18, 0x1.369a8cb731ac7p-18, 0x1.3375325f804fep-18, 0x1.30377cda56e1p-18, 0x1.2ce2b82af0cfep-18, 0x1.2977eba7167ccp-18, 0x1.25f81ac29be9p-18, 0x1.226485e1146c2p-18, 0x1.1ebe96df8a092p-18, 0x1.1b078f0d5ec6p-18, 0x1.17403ae960ee2p-18, 0x1.13695f2057a6fp-18, 0x1.0f84e7b11cda1p-18, 0x1.0b94a3bac7835p-18, 0x1.07992f52d0f26p-18, 0x1.03937fce76123p-18, 0x1.ff08108da508ap-19, 0x1.f6d6579964dc8p-19, 0x1.ee94023191d61p-19, 0x1.e64330757eb06p-19, 0x1.dde572bebaf1p-19, 0x1.d57c35c8e14f1p-19, 0x1.cd08a2e89e8ecp-19, 0x1.c48ca123f4205p-19, 0x1.bc08a13cf180cp-19, 0x1.b37ec74a49f28p-19, 0x1.aaf0618ac4b99p-19, 0x1.a25ef6f820affp-19, 0x1.99cbf3b41cb72p-19, 0x1.9138890b1d869p-19, 0x1.88a5b183c0451p-19, 0x1.80143d5a1e8b4p-19, 0x1.778527aafa2c7p-19, 0x1.6ef96e0dd12a3p-19, 0x1.6672291624d4ep-19, 0x1.5df037f468fd1p-19, 0x1.55745da3eca9ap-19, 0x1.4cff635b2e8f7p-19, 0x1.4492301a921d1p-19, 0x1.3c2da9980b2c6p-19, 0x1.33d27836c1c39p-19, 0x1.2b815bc432cfp-19, 0x1.233b6f8ea5316p-19, 0x1.1b01666f18a4dp-19, 0x1.12d3c4450794dp-19, 0x1.0ab2def97329bp-19, 0x1.029f5658825bfp-19, 0x1.f533c645035e8p-20, 0x1.e5462fb27a9fep-20, 0x1.d576eafc365f8p-20, 0x1.c5c6f1762fa5bp-20, 0x1.b637372eabd29p-20, 0x1.a6c8a817acf18p-20, 0x1.977c25996a7c3p-20, 0x1.885285feda17dp-20, 0x1.794c943824e8ap-20, 0x1.6a6b1037b78aap-20, 0x1.5baeb0c16071ap-20, 0x1.4d182722acc3dp-20, 0x1.3ea8238e587d2p-20, 0x1.305f54b6e0562p-20, 0x1.223e5dd38656cp-20, 0x1.1445cac3fbda1p-20, 0x1.067614ea73322p-20, 0x1.f19f6b13145a3p-21, 0x1.d6a6536d8bec6p-21, 0x1.bc01c8c1c0e28p-21, 0x1.a1b298f04da95p-21, 0x1.87b9918c1140bp-21, 0x1.6e17766a52eefp-21, 0x1.54ccea6d02de1p-21, 0x1.3bda965e03cb6p-21, 0x1.234125c2d9e36p-21, 0x1.0b00e6e94606bp-21, }}, 
      {{0x1.0622e1407a4f1p-3, 0x1.85414d8290dp-3, 0x1.0fcab4b773c97p-2, 0x1.5ce105d5538c5p-2, 0x1.a1f2e9b51f8d3p-2, 0x1.dae1d5e61be01p-2, 0x1.0305656b04b68p-1, 0x1.11ad952edb5c1p-1, 0x1.19d8400547567p-1, 0x1.1c36a4a614017p-1, 0x1.199927851faeep-1, 0x1.12d87844e79adp-1, 0x1.08c733098c856p-1, 0x1.f852862fb02e2p-2, 0x1.db5e50193ce33p-2, 0x1.bbe7aa0e3b81ep-2, 0x1.9af88e3aaf00dp-2, 0x1.79706cca1585bp-2, 0x1.5806ea062c99bp-2, 0x1.374f625d6842cp-2, 0x1.17bccc77aa802p-2, 0x1.f34b646130728p-3, 0x1.ba90221769156p-3, 0x1.859a07becacb1p-3, 0x1.5498489b413aep-3, 0x1.279d3657b079cp-3, 0x1.fd47728b515ccp-4, 0x1.b32843321c1cbp-4, 0x1.7090af91c0105p-4, 0x1.351eec3fb821ep-4, 0x1.0061aec61949bp-4, 0x1.a3ba9ea7caddp-5, 0x1.52201352087cp-5, 0x1.0aeaefb755217p-5, 0x1.9a257f9a1e15bp-6, 0x1.2f27b05a78995p-6, 0x1.a5cb1e5109c58p-7, 0x1.06fbbe59be6eep-7, 0x1.f94676b88d5ebp-9, 0x1.0ea4c7d0be10fp-12, -0x1.76d7c107e0816p-9, -0x1.6e1e018d0ba3p-8, -0x1.0637f4da0e7bep-7, -0x1.4d95fbf29b499p-7, -0x1.8f52e7d67d5c2p-7, -0x1.cd5f126810d54p-7, -0x1.04ba0046c386bp-6, -0x1.228b74d9fe5efp-6, -0x1.40cdf2e5caf11p-6, -0x1.60146bff19e35p-6, -0x1.80dc51e419543p-6, -0x1.a38f22fa1640dp-6, -0x1.c883f8af690dbp-6, -0x1.f00100c0c38d7p-6, -0x1.0d1e74f77d153p-5, -0x1.23b0237e614c3p-5, -0x1.3bc3738345f06p-5, -0x1.55608de2d862ap-5, -0x1.708a74989afdap-5, -0x1.8d3f914cb4fb2p-5, -0x1.ab7a3d7718d88p-5, -0x1.cb3145030a6p-5, -0x1.ec5861cb7ea33p-5, -0x1.077056bf75e2cp-4, -0x1.195c848bdac25p-4, -0x1.2be73d639a802p-4, -0x1.3f064248f4f4p-4, -0x1.52aeba6b19c53p-4, -0x1.66d55888bd9f2p-4, -0x1.7b6e7d0a795dbp-4, -0x1.906e547766406p-4, -0x1.a5c8f21dc7dd5p-4, -0x1.bb726739f5c25p-4, -0x1.d15ed71d8f2acp-4, -0x1.e78288dbaaf23p-4, -0x1.fdd1f6f53abbp-4, -0x1.0a20ee8c00475p-3, -0x1.1563a2152b3a5p-3, -0x1.20abc63968c8ap-3, -0x1.2bf43aede3eb1p-3, -0x1.373813430189p-3, -0x1.427297df08399p-3, -0x1.4d9f48c536c2p-3, -0x1.58b9de85a2179p-3, -0x1.63be4af58c697p-3, -0x1.6ea8b98088392p-3, -0x1.79758f20b0094p-3, -0x1.84216a0b2376cp-3, -0x1.8ea92113e403ap-3, -0x1.9909c2d1a5168p-3, -0x1.a3409481c85a7p-3, -0x1.ad4b10bc147d5p-3, -0x1.b726e5f539af4p-3, -0x1.c0d1f4dda21cbp-3, -0x1.ca4a4ea3c753fp-3, -0x1.d38e33201fbbap-3, -0x1.dc9c0ef626cbdp-3, -0x1.e57279a7f985dp-3, -0x1.ee1033ad046a2p-3, -0x1.f67424843c935p-3, -0x1.fe9d58cd46fd8p-3, -0x1.03458032dc261p-2, -0x1.071e364782fc8p-2, -0x1.0ad8870f03bbdp-2, -0x1.0e7439d95d66cp-2, -0x1.11f124009968fp-2, -0x1.154f280eb9dd4p-2, -0x1.188e34ef7c533p-2, -0x1.1bae452609181p-2, -0x1.1eaf5e0c2775p-2, -0x1.21918f1675464p-2, -0x1.2454f123b18e7p-2, -0x1.26f9a5d1b030fp-2, -0x1.297fd6da52afp-2, -0x1.2be7b57ac0c41p-2, -0x1.2e3179de4d507p-2, -0x1.305d62958898ap-2, -0x1.326bb4119a844p-2, -0x1.345cb82677adbp-2, -0x1.3630bd98661f5p-2, -0x1.37e817aa5b538p-2, -0x1.39831db7cc2fap-2, -0x1.3b022ad1dfd97p-2, -0x1.3c659d628f6fcp-2, -0x1.3dadd6d889345p-2, -0x1.3edb3b53e9044p-2, -0x1.3fee315b1ba4fp-2, -0x1.40e72195c2be9p-2, -0x1.41c67688437b4p-2, -0x1.428c9c5453a9bp-2, -0x1.433a00861b904p-2, -0x1.43cf11d6cc3a3p-2, -0x1.444c3ffe66f6fp-2, -0x1.44b1fb8653feap-2, -0x1.4500b59a60125p-2, -0x1.4538dfe3258eep-2, -0x1.455aec633fbe5p-2, -0x1.45674d4fc6748p-2, -0x1.455e74f185a42p-2, -0x1.4540d58be2103p-2, -0x1.450ee13de0f08p-2, -0x1.44c909e6c3b2cp-2, -0x1.446fc1127ef5bp-2, -0x1.440377e581989p-2, -0x1.43849f03e896ep-2, -0x1.42f3a6810711p-2, -0x1.4250fdd08596ap-2, -0x1.419d13b6ab427p-2, -0x1.40d856363ffc5p-2, -0x1.40033287c4318p-2, -0x1.3f1e150abe4d3p-2, -0x1.3e29693bb7198p-2, -0x1.3d2599aac580ap-2, -0x1.3c130ff10cb4ap-2, -0x1.3af234a68c955p-2, -0x1.39c36f5c5396ap-2, -0x1.38872697c3173p-2, -0x1.373dbfc93c1dfp-2, -0x1.35e79f42cf2bcp-2, -0x1.34852835c912p-2, -0x1.3316bcb21660cp-2, -0x1.319cbd9f1a4b8p-2, -0x1.30178ab23361p-2, -0x1.2e87826cd129ap-2, -0x1.2ced021f4b264p-2, -0x1.2b4865e5c5357p-2, -0x1.299a089f48f25p-2, -0x1.27e243e96bae4p-2, -0x1.262170248a8f5p-2, -0x1.2457e473d7513p-2, -0x1.2285f6bc1c7d8p-2, -0x1.20abfb97eb208p-2, -0x1.1eca465bf22b8p-2, -0x1.1ce1291a10636p-2, -0x1.1af0f4a243311p-2, -0x1.18f9f87dbc597p-2, -0x1.16fc82eb4fa2ap-2, -0x1.14f8e0e195112p-2, -0x1.12ef5e1311abbp-2, -0x1.10e044eec7bd5p-2, -0x1.0ecbde9d78063p-2, -0x1.0cb272ffe668ep-2, -0x1.0a9448b0ddcecp-2, -0x1.0871a5088f7dcp-2, -0x1.064acc1e3407dp-2, -0x1.042000c784b69p-2, -0x1.01f184985e4dfp-2, -0x1.ff7f2fc8373a5p-3, -0x1.fb14f38045361p-3, -0x1.f6a4d00ccd066p-3, -0x1.f22f3eadc5e55p-3, -0x1.edb4b63154c59p-3, -0x1.e935aaf5df9bp-3, -0x1.e4b28eeda3aacp-3, -0x1.e02bd1a3aad1dp-3, -0x1.dba1e041a57e8p-3, -0x1.d7152595cbb37p-3, -0x1.d2860a14e07b3p-3, -0x1.cdf4f3dce9ad5p-3, -0x1.c96246baf8509p-3, -0x1.c4ce642f392ecp-3, -0x1.c039ab7449ea8p-3, -0x1.bba479870778bp-3, -0x1.b70f2929a869ap-3, -0x1.b27a12e751769p-3, -0x1.ade58d1761eedp-3, -0x1.a951ebe53a459p-3, -0x1.a4bf8154080a4p-3, -0x1.a02e9d4dada6fp-3, -0x1.9b9f8da48e69ap-3, -0x1.97129e148bd82p-3, -0x1.9288184a825b1p-3, -0x1.8e0043e8ea137p-3, -0x1.897b669094948p-3, -0x1.84f9c3e8f3de5p-3, -0x1.807b9da6e63bbp-3, -0x1.7c01339167ce4p-3, -0x1.778ac38603029p-3, -0x1.7318897e17a5p-3, -0x1.6eaabf96a16ffp-3, -0x1.6a419e180e6f1p-3, -0x1.65dd5b7df3153p-3, -0x1.617e2c7d71d39p-3, -0x1.5d24440a7a43bp-3, -0x1.58cfd35d417e1p-3, -0x1.548109f896577p-3, -0x1.503815b11b328p-3, -0x1.4bf522b4d523cp-3, -0x1.47b85b9255edbp-3, -0x1.4381e93f55bbdp-3, -0x1.3f51f31df8747p-3, -0x1.3b289f059d0a6p-3, -0x1.3706114349addp-3, -0x1.32ea6ca647161p-3, -0x1.2ed5d2846ea79p-3, -0x1.2ac862c1d0771p-3, -0x1.26c23bd77ac14p-3, -0x1.22c37ad9acbbdp-3, -0x1.1ecc3b7d9b725p-3, -0x1.1adc981f8a33cp-3, -0x1.16f4a9c85642ep-3, -0x1.13148835c5bb7p-3, -0x1.0f3c49dfe747bp-3, -0x1.0b6c040037b69p-3, -0x1.07a3ca98da0b5p-3, -0x1.03e3b079652e8p-3, -0x1.002bc74444851p-3, -0x1.f8f83eec1f53dp-4, -0x1.f1a990d40214fp-4, -0x1.ea6ba0c24188fp-4, -0x1.e33e8912dd43dp-4, -0x1.dc22620459761p-4, -0x1.d51741c761257p-4, -0x1.ce1d3c88304e3p-4, -0x1.c73464795894fp-4, -0x1.c05cc9df8893ep-4, -0x1.b9967b1c7903p-4, -0x1.b2e184bad02afp-4, -0x1.ac3df179d95c7p-4, -0x1.a5abca593017ep-4, -0x1.9f2b16a2c882bp-4, -0x1.98bbdbf74da52p-4, -0x1.925e1e5719e66p-4, -0x1.8c11e02c3f27cp-4, -0x1.85d72256a905bp-4, -0x1.7fade4347d54p-4, -0x1.799623adf1d84p-4, -0x1.738fdd3f76b31p-4, -0x1.6d9b0c0390643p-4, -0x1.67b7a9bd05b8cp-4, -0x1.61e5aee03bd96p-4, -0x1.5c25129e49457p-4, -0x1.5675cae7868a7p-4, -0x1.50d7cc82c514ep-4, -0x1.4b4b0b063b8b9p-4, -0x1.45cf78ec6b987p-4, -0x1.406507980e98fp-4, -0x1.3b0ba75e6b7b7p-4, -0x1.35c34790a5c9p-4, -0x1.308bd6835459bp-4, -0x1.2b654197006dcp-4, -0x1.264f7540d5277p-4, -0x1.214a5d1265386p-4, -0x1.1c55e3c279abap-4, -0x1.1771f33361ea9p-4, -0x1.129e747cc65d4p-4, -0x1.0ddb4ff277194p-4, -0x1.09286d2c6a34p-4, -0x1.0485b30d9a74p-4, -0x1.ffe60f97f0e34p-5, -0x1.f6e0a1ee89c44p-5, -0x1.edfae6ffac409p-5, -0x1.e534a77b893eap-5, -0x1.dc8daaef949f8p-5, -0x1.d405b7d3546ddp-5, -0x1.cb9c9395dff91p-5, -0x1.c35202aa7ed03p-5, -0x1.bb25c89b212fbp-5, -0x1.b317a80098919p-5, -0x1.ab2762b0aca59p-5, -0x1.a354b9a9444f7p-5, -0x1.9b9f6d2ce35f4p-5, -0x1.94073ccbdfebep-5, -0x1.8c8be76c15b44p-5, -0x1.852d2b56ef80dp-5, -0x1.7deac642b24dfp-5, -0x1.76c4755c1f05p-5, -0x1.6fb9f553cfcffp-5, -0x1.68cb0264d1a74p-5, -0x1.61f75860605cap-5, -0x1.5b3eb2b548b58p-5, -0x1.54a0cc7cdc8bfp-5, -0x1.4e1d607fee3d4p-5, -0x1.47b429421ab58p-5, -0x1.4164e108e3c3ap-5, -0x1.3b2f41e63abd9p-5, -0x1.351305be593e5p-5, -0x1.2f0fe6510bf7p-5, -0x1.29259d415c363p-5, -0x1.2353e41bc8b37p-5, -0x1.1d9a7460350a2p-5, -0x1.17f907877ee9ep-5, -0x1.126f570621465p-5, -0x1.0cfd1c635963fp-5, -0x1.07a2112597672p-5, -0x1.025deeed64434p-5, -0x1.fa60deeb4874dp-6, -0x1.f032992cfc9e9p-6, -0x1.e630809d51b0fp-6, -0x1.dc5a098fd4fc8p-6, -0x1.d2aeaa358d24bp-6, -0x1.c92dd33dd9792p-6, -0x1.bfd6feb2a3d31p-6, -0x1.b6a9a13075d24p-6, -0x1.ada5315527ae1p-6, -0x1.a4c9264f9d17dp-6, -0x1.9c14f7e8b219ap-6, -0x1.93881e8d1737ap-6, -0x1.8b2213573dbf2p-6, -0x1.82e250168b705p-6, -0x1.7ac84f587fa8fp-6, -0x1.72d38c6cd7d9ap-6, -0x1.6b03836926898p-6, -0x1.6357b1304caa4p-6, -0x1.5bcf937605594p-6, -0x1.546aa8c84356ap-6, -0x1.4d287097fcd1dp-6, -0x1.46086b42acc33p-6, -0x1.3f0a1a181742bp-6, -0x1.382cff60e3c95p-6, -0x1.31709e5e431eap-6, -0x1.2ad47b4907219p-6, -0x1.24581b51a2c81p-6, -0x1.1dfb04a1e0852p-6, -0x1.17bcbe622e4ap-6, -0x1.119cd0c47375ep-6, -0x1.0b9ac50e1ab3bp-6, -0x1.05b625a2d7ba8p-6, -0x1.ffdcfc13776f1p-7, -0x1.f486b5d6cf5fp-7, -0x1.e968941f8fe86p-7, -0x1.de81b4a09ebdfp-7, -0x1.d3d13726e3802p-7, -0x1.c9563d9465fd3p-7, -0x1.bf0febec78b6bp-7, -0x1.b4fd686e3163ep-7, -0x1.ab1ddbb61d8f5p-7, -0x1.a17070dbd7ac8p-7, -0x1.97f45580c00aep-7, -0x1.8ea8b9cbb74e6p-7, -0x1.858cd04ef083bp-7, -0x1.7c9fcdde5d26cp-7, -0x1.73e0e96dac857p-7, -0x1.6b4f5bf806304p-7, -0x1.62ea6081cf26ep-7, -0x1.5ab134352b15ap-7, -0x1.52a31691dbc0cp-7, -0x1.4abf49a0d39a2p-7, -0x1.4305121cd7a98p-7, -0x1.3b73b77a7aa2ap-7, -0x1.340a83e5c0b59p-7, -0x1.2cc8c3dec5e6ap-7, -0x1.25adc639f2211p-7, -0x1.1eb8dba5963c3p-7, -0x1.17e956a8bbb51p-7, -0x1.113e8b915c1b2p-7, -0x1.0ab7d0a07db2ep-7, -0x1.04547e4daa7b7p-7, -0x1.fc27df29a6e6p-8, -0x1.efeb046ba4e19p-8, -0x1.e3f12da3787adp-8, -0x1.d83921af18c45p-8, -0x1.ccc1ac8de126p-8, -0x1.c1899eb0f596cp-8, -0x1.b68fcc25b7aa5p-8, -0x1.abd30c1e0600dp-8, -0x1.a152388d92aebp-8, -0x1.970c2e61e1115p-8, -0x1.8cffce0e04b77p-8, -0x1.832bfc42a6703p-8, -0x1.798fa2c39ac71p-8, -0x1.7029b0fbb4a36p-8, -0x1.66f91c3b5deefp-8, -0x1.5dfcdf7966fp-8, -0x1.5533faadc841fp-8, -0x1.4c9d71ee2cb22p-8, -0x1.44384c76a03d6p-8, -0x1.3c0393e7b33cep-8, -0x1.33fe53f0f8178p-8, -0x1.2c279a67420ebp-8, -0x1.247e77593b4cfp-8, -0x1.1d01fe8a4df5ap-8, -0x1.15b148510c9f3p-8, -0x1.0e8b71f376941p-8, -0x1.078f9e7f0cf98p-8, -0x1.00bcf6c5c8401p-8, -0x1.f42551ab5332dp-9, -0x1.e71fce3a3f61cp-9, -0x1.da67cec8355e4p-9, -0x1.cdfbc398b701bp-9, -0x1.c1da203b92d71p-9, -0x1.b6015acc18081p-9, -0x1.aa6fec341e342p-9, -0x1.9f245135a8ab2p-9, -0x1.941d0c2698d6ap-9, -0x1.8958a6f21e08ap-9, -0x1.7ed5b4e36cd7cp-9, -0x1.7492d3c943b54p-9, -0x1.6a8eac19a64cfp-9, -0x1.60c7f02d2d966p-9, -0x1.573d5a9b6808p-9, -0x1.4dedac62ab4a3p-9, -0x1.44d7aaee1c2f3p-9, -0x1.3bfa1e9ef1465p-9, -0x1.3353d1d70fd5dp-9, -0x1.2ae390ab08148p-9, -0x1.22a829472b68cp-9, -0x1.1aa06cfed4baep-9, -0x1.12cb31f804e3bp-9, -0x1.0b27550154753p-9, -0x1.03b3bb5119f8dp-9, -0x1.f8dea6fd9f8e6p-10, -0x1.eab22b381d293p-10, -0x1.dce0048394096p-10, -0x1.cf66420d14b01p-10, -0x1.c242fd438ea95p-10, -0x1.b57458054cf76p-10, -0x1.a8f87711569cp-10, -0x1.9ccd8529550cap-10, -0x1.90f1ae94f0eb8p-10, -0x1.8563227e2e4eep-10, -0x1.7a2013087878bp-10, -0x1.6f26b74450f44p-10, -0x1.64754e0054bebp-10, -0x1.5a0a2172d65fcp-10, -0x1.4fe38a5b3200ap-10, -0x1.45fff1c759d97p-10, -0x1.3c5dd0cfc2636p-10, -0x1.32fbae759aabcp-10, -0x1.29d81c8186e05p-10, -0x1.20f1b483ecda2p-10, -0x1.184715cdc4c17p-10, -0x1.0fd6e488ed26fp-10, -0x1.079fc966a9d6p-10, -0x1.ff40e22f33aacp-11, -0x1.efaf165da8e56p-11, -0x1.e08792241950dp-11, -0x1.d1c7bb12cecedp-11, -0x1.c36cfc31421f8p-11, -0x1.b574cb83b2a6p-11, -0x1.a7dcb12c26014p-11, -0x1.9aa24d3789ed7p-11, -0x1.8dc359c213188p-11, -0x1.813da92e8f83dp-11, -0x1.750f20fc71c63p-11, -0x1.6935b3b084371p-11, -0x1.5daf5c6caaad1p-11, -0x1.527a1dcdacdc3p-11, -0x1.479403c254f5dp-11, -0x1.3cfb262d249b9p-11, -0x1.32ada963d18f3p-11, -0x1.28a9bb9c6a028p-11, -0x1.1eed90033cd0fp-11, -0x1.15775a89bf536p-11, -0x1.0c454f362801fp-11, -0x1.0355a5bfcc7dep-11, -0x1.f54d3fe295967p-12, -0x1.e46d1f9387812p-12, -0x1.d407b5f40a845p-12, -0x1.c419f53e5e152p-12, -0x1.b4a0eee8a23c6p-12, -0x1.a599c7dae137bp-12, -0x1.9701ad4807a4ap-12, -0x1.88d5ced86c5dbp-12, -0x1.7b136059d1926p-12, -0x1.6db7a393aee63p-12, -0x1.60bff14934091p-12, -0x1.5429bd2ed30cfp-12, -0x1.47f2910cde799p-12, -0x1.3c1801d6b4645p-12, -0x1.3097a450fced9p-12, -0x1.256f097f7d98fp-12, -0x1.1a9bc3b06f87bp-12, -0x1.101b7269e73e8p-12, -0x1.05ebcd399a9fdp-12, -0x1.f8155402dcbffp-13, -0x1.e4ebfc072f43ep-13, -0x1.d257b53916793p-13, -0x1.c054cbdbab449p-13, -0x1.aedfa151b1d53p-13, -0x1.9df4989a85463p-13, -0x1.8d900c69231f1p-13, -0x1.7dae53d0aaa5bp-13, -0x1.6e4bd2f6260cep-13, -0x1.5f650e753e01ep-13, -0x1.50f6b5c336be3p-13, -0x1.42fd9cfb1039dp-13, -0x1.3576a88c5cd57p-13, -0x1.285eb03b24442p-13, -0x1.1bb2882610242p-13, -0x1.0f6ef0267329p-13, -0x1.0390bd1e4333ep-13, -0x1.f029c3ce82d38p-14, -0x1.d9f0edc0b5cc6p-14, -0x1.c471750d4f467p-14, -0x1.afa629d80dc68p-14, -0x1.9b8a3724370cp-14, -0x1.881918763a8b7p-14, -0x1.754e777d9a9aep-14, -0x1.632601b3da1eep-14, -0x1.519b4cff2c825p-14, -0x1.40a9d979f0f34p-14, -0x1.304d2e30f1a2ap-14, -0x1.2080ff34deffep-14, -0x1.114144bf14eb9p-14, -0x1.028a341dc44e6p-14, -0x1.e8b03c3bbb489p-15, -0x1.cd4e8ea400e18p-15, -0x1.b2e7a49e42c44p-15, -0x1.997394e2de005p-15, -0x1.80ea8d8eb7262p-15, -0x1.6945059fc592dp-15, -0x1.527bb4604f06cp-15, -0x1.3c876e13446bdp-15, -0x1.276134485e119p-15, -0x1.1302885ea061cp-15, -0x1.fecb4b161e07p-16, -0x1.d90acea345609p-16, -0x1.b4b9ca70d54afp-16, -0x1.91ce24ff6f495p-16, -0x1.703d3741cbce6p-16, -0x1.4ffc0f6e20bdp-16, -0x1.30fff1f06f562p-16, -0x1.133ebb486dfd8p-16, -0x1.ed5dec530d878p-17, -0x1.b68f705f597efp-17, -0x1.8200d2635a4d5p-17, -0x1.4fa108528b7bfp-17, -0x1.1f5eb5de85e18p-17, -0x1.e2500b330dc8bp-18, -0x1.89d64aa4b274ep-18, -0x1.352e231b55c6cp-18, -0x1.c86eaaa9dcc98p-19, -0x1.2da30fc59176dp-19, -0x1.336bec9b4f8afp-20, -0x1.8ca1623e900c2p-24, 0x1.ea24c378d887ep-21, 0x1.f6867ef265657p-20, 0x1.75f2a008f760fp-19, 0x1.eac3f1fcb8675p-19, 0x1.2cf39784c6a51p-18, 0x1.61c917d0f602fp-18, 0x1.93f9b435ed797p-18, 0x1.c39ccc3ba690bp-18, 0x1.f0c74ec72f70cp-18, 0x1.0dc70dd98513ap-17, 0x1.2202e71fcc70bp-17, 0x1.35211cdd4096bp-17, 0x1.472b15a252903p-17, 0x1.5829f8b2d455dp-17, 0x1.682736f1f37b3p-17, 0x1.772cd130033acp-17, 0x1.8544dc8ede497p-17, 0x1.9278a0421466ap-17, 0x1.9ed083c04998p-17, 0x1.aa5519d13d209p-17, 0x1.b50fca23f274bp-17, 0x1.bf09829a22786p-17, 0x1.c848e6dad5b58p-17, 0x1.d0d2a937d7474p-17, 0x1.d8abaa2229bd3p-17, 0x1.dfda63a6f5629p-17, 0x1.e66648c1676aap-17, 0x1.ec56197f41ac5p-17, 0x1.f1afdd009048bp-17, 0x1.f6788b134baf4p-17, 0x1.fab5d3f469b16p-17, 0x1.fe6d870e02255p-17, 0x1.00d2a7b346058p-16, 0x1.023127a92b1adp-16, 0x1.0354863eecf85p-16, 0x1.043ecce12aab6p-16, 0x1.04f1f68b60204p-16, 0x1.057029c4d3117p-16, 0x1.05bbdc484dd27p-16, 0x1.05d7b1386a295p-16, 0x1.05c61c5f980d1p-16, 0x1.0589317a69ff6p-16, 0x1.0522fafd15633p-16, 0x1.0495e52fc84d9p-16, 0x1.03e46d37261e5p-16, 0x1.031055ba286c1p-16, 0x1.021aafe91eebep-16, 0x1.0104bcfffc7ecp-16, 0x1.ffa098abae873p-17, 0x1.fcfe5c4ced681p-17, 0x1.fa25547d96d0ep-17, 0x1.f71762ca11b17p-17, 0x1.f3d6b9d5969f6p-17, 0x1.f066208f63cd8p-17, 0x1.ecc89a4cf1283p-17, 0x1.e9010f75949adp-17, 0x1.e5122775c3328p-17, 0x1.e0fe3e8eb4b06p-17, 0x1.dcc7667697d6p-17, 0x1.d86f6e30d85c1p-17, 0x1.d3f7f48cbe716p-17, 0x1.cf6291fb743dcp-17, 0x1.cab11925c4756p-17, 0x1.c5e5b97e38e4dp-17, 0x1.c102be72f386bp-17, 0x1.bc0a12c13347bp-17, 0x1.b6fd1c2830964p-17, 0x1.b1dd476792a38p-17, 0x1.acaca9b84dda7p-17, 0x1.a76d679a2ca02p-17, 0x1.a220bad7bfcep-17, 0x1.9cc7a6d30d9bep-17, 0x1.9763f1fca07e9p-17, 0x1.91f7707e5d7b9p-17, 0x1.8c8324fdef4a8p-17, 0x1.8707c2e60cffcp-17, 0x1.818653cb32b81p-17, 0x1.7c000f74012bcp-17, 0x1.76760b773af35p-17, 0x1.70e931dc1d5d1p-17, 0x1.6b5a5bc70b466p-17, 0x1.65ca6709a5a4ap-17, 0x1.603a3b9bb50c6p-17, 0x1.5aaac501555e5p-17, 0x1.551ce64fa1acfp-17, 0x1.4f91646cea43cp-17, 0x1.4a08da5466d23p-17, 0x1.4483c4c1b4f8ep-17, 0x1.3f02aa36f81cap-17, 0x1.3986410cb6847p-17, 0x1.340f616238fcfp-17, 0x1.2e9ec32ac875p-17, 0x1.2934c77a07398p-17, 0x1.23d1a914e0e08p-17, 0x1.1e761ba3efcbfp-17, 0x1.192321e68a7f7p-17, 0x1.13d9211e25e93p-17, 0x1.0e98578449c75p-17, 0x1.09615c3843322p-17, 0x1.04346ce2146afp-17, 0x1.fe23041bb19bep-18, 0x1.f3f1d598d541ep-18, 0x1.e9d65b89dc86dp-18, 0x1.dfd1852f5826ep-18, 0x1.d5e412faea738p-18, 0x1.cc0ee0bc7492fp-18, 0x1.c252290733389p-18, 0x1.b8ae4c13d1a6p-18, 0x1.af2402f7cd08bp-18, 0x1.a5b35869792ffp-18, 0x1.9c5c9133a7a9p-18, 0x1.932005284a433p-18, 0x1.89fe1a66a0483p-18, 0x1.80f72f25ef62p-18, 0x1.780b80d1124c8p-18, 0x1.6f3b28e16d327p-18, 0x1.66863ca1b4f99p-18, 0x1.5decefcfef95ap-18, 0x1.556f8c3b972acp-18, 0x1.4d0e4c2bf66b3p-18, 0x1.44c92712af036p-18, 0x1.3c9fffb6ddb42p-18, 0x1.349359ccfc3d3p-18, 0x1.2ca3b9c1e747ep-18, 0x1.24d106021bb76p-18, 0x1.1d1b568688436p-18, 0x1.15826fea79d78p-18, 0x1.0e05fba87630bp-18, 0x1.06a618497d648p-18, 0x1.fec5d880caa0ep-19, 0x1.f078e1e93b33dp-19, 0x1.e265268a9da0bp-19, 0x1.d48a10a626db8p-19, 0x1.c6e8e065411dfp-19, 0x1.b97ee9b199f3bp-19, 0x1.ac4df57803bd3p-19, 0x1.9f556e0d79556p-19, 0x1.92955105997dfp-19, 0x1.860d8cf5a6629p-19, 0x1.79bde75387be2p-19, 0x1.6da6019194d95p-19, 0x1.61c554c3af544p-19, 0x1.561b988de7a03p-19, 0x1.4aa86497e0e9dp-19, 0x1.3f6b8b028e464p-19, 0x1.3464a1a8e96cbp-19, 0x1.2993303f7a026p-19, 0x1.1ef6c8ec8b67fp-19, 0x1.148f18e075f4ep-19, 0x1.0a5bd1f8680bdp-19, 0x1.005c75c94b3fbp-19, 0x1.ed21293ff9e75p-20, 0x1.d9f03a97a91b8p-20, 0x1.c72563d7ad4f5p-20, 0x1.b4bf927c4fe69p-20, 0x1.a2bd398391508p-20, 0x1.911d6d749adc3p-20, 0x1.7fdfa54b7541ap-20, 0x1.6f030aa0fbe01p-20, 0x1.5e86a008490aep-20, 0x1.4e69648b291bdp-20, 0x1.3eaa5eb5c2a98p-20, 0x1.2f48971802a0bp-20, 0x1.2043144cacd2fp-20, 0x1.1198da255a2f9p-20, 0x1.0348e8ea0ec47p-20, 0x1.eaa47b11b3c6fp-21, 0x1.cf67a814527e3p-21, 0x1.b4d959dd0320ep-21, 0x1.9af7a72d16a82p-21, 0x1.81c0bb5f9ff87p-21, 0x1.6932b71f85461p-21, 0x1.514b8b1a435c5p-21, 0x1.3a0906732e2fep-21, 0x1.23690f24c8f8fp-21, 0x1.0d69ae7594578p-21, 0x1.f011cbfeb7d55p-22, 0x1.c68950a798ee7p-22, 0x1.9e35f08038869p-22, 0x1.7713b280b1fbfp-22, 0x1.511eae7b7dcd5p-22, 0x1.2c52a52b8aa95p-22, 0x1.08abfe7857001p-22, 0x1.cc4bfb6bff1fep-23, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.524950bf222cfp-5, -0x1.5151aa274b37ep-5, -0x1.4fa74b1229c06p-5, -0x1.4d3729dac22e4p-5, -0x1.49e8f533e51a2p-5, -0x1.45a0b931cdeeep-5, -0x1.404072b270daep-5, -0x1.39a97b08e2543p-5, -0x1.31bdc2a3519cdp-5, -0x1.2860d82b25707p-5, -0x1.1d78bcf058efep-5, -0x1.10ee89197e6d5p-5, -0x1.02aee30aec3c3p-5, -0x1.e5549c578b4eap-6, -0x1.c1aaab7401e53p-6, -0x1.9a51317746dfp-6, -0x1.6f41788293edep-6, -0x1.407c923308586p-6, -0x1.0e0af3939b8c4p-6, -0x1.aff7f4b11536ap-7, -0x1.3ccac5fb8e42p-7, -0x1.858ad887f242bp-8, -0x1.08a591b3d9a17p-9, 0x1.12fa548a46092p-9, 0x1.a33f54c848852p-8, 0x1.642007632121ap-7, 0x1.fbdfe9313e97ep-7, 0x1.4c3d4f568d1b1p-6, 0x1.9cc3bd3aecd94p-6, 0x1.ef4d5af879a5ep-6, 0x1.21d19167630dcp-5, 0x1.4cc6a7c77c902p-5, 0x1.7869dc5c6215cp-5, 0x1.a49f13f5e5573p-5, 0x1.d14a53f1f80afp-5, 0x1.fe4fe6975c773p-5, 0x1.15ca3e2ffafecp-4, 0x1.2c7ea5213fb0bp-4, 0x1.43381284a3a95p-4, 0x1.59e9cce15fcc8p-4, 0x1.708781ac8d377p-4, 0x1.87054eafee30ap-4, 0x1.9d57ca14599dap-4, 0x1.b374091a1afe5p-4, 0x1.c94fa58b4468p-4, 0x1.dee0c1f5e9979p-4, 0x1.f41e0cbdf843fp-4, 0x1.047f610bfd169p-3, 0x1.0ebd567fd12d4p-3, 0x1.18c5139f0e08ep-3, 0x1.22930c4a74563p-3, 0x1.2c23fa916834ep-3, 0x1.3574dd8c352d6p-3, 0x1.3e82f7e8f781cp-3, 0x1.474bce35b3bb3p-3, 0x1.4fcd24f1f95bdp-3, 0x1.5804fe71e2ap-3, 0x1.5ff1989bd0e32p-3, 0x1.67916a89aa6abp-3, 0x1.6ee32215af504p-3, 0x1.75e5a15a5503ep-3, 0x1.7c97fc2bd1f6ep-3, 0x1.82f975916044bp-3, 0x1.89097d4363298p-3, 0x1.8ec7ad330750dp-3, 0x1.9433c71f35624p-3, 0x1.994db23a0a997p-3, 0x1.9e1578e166b75p-3, 0x1.a28b466ca6fb4p-3, 0x1.a6af651105bd1p-3, 0x1.aa823bdd9e9dep-3, 0x1.ae044ccfce45dp-3, 0x1.b136330006501p-3, 0x1.b418a0e726fc5p-3, 0x1.b6ac5ebbdf1a5p-3, 0x1.b8f248e791c3dp-3, 0x1.baeb4e91eec9dp-3, 0x1.bc98704247898p-3, 0x1.bdfabe95a2d6fp-3, 0x1.bf1359085b3d7p-3, 0x1.bfe36cd21ba4cp-3, 0x1.c06c33d302f83p-3, 0x1.c0aef390b227fp-3, 0x1.c0acfc42099d4p-3, 0x1.c067a7e8678c2p-3, 0x1.bfe0597543fb8p-3, 0x1.bf187bfb0ae2ep-3, 0x1.be1181e835461p-3, 0x1.bccce44ba3fcp-3, 0x1.bb4c22215e775p-3, 0x1.b990bfa6e3561p-3, 0x1.b79c45b647733p-3, 0x1.b570412790947p-3, 0x1.b30e42379ae77p-3, 0x1.b077dbf42345ap-3, 0x1.adaea3ac724dp-3, 0x1.aab430665bc83p-3, 0x1.a78a1a5737cb6p-3, 0x1.a431fa609d3b7p-3, 0x1.a0ad6990b547cp-3, 0x1.9cfe00a5f06ddp-3, 0x1.99255796224ccp-3, 0x1.95250518d3e83p-3, 0x1.90fe9e34e6bd8p-3, 0x1.8cb3b5d178d72p-3, 0x1.8845dc4a162d2p-3, 0x1.83b69f064aae5p-3, 0x1.7f0788149b18fp-3, 0x1.7a3a1dc90dfb9p-3, 0x1.754fe25f43fc3p-3, 0x1.704a53a04d231p-3, 0x1.6b2aea8c43f54p-3, 0x1.65f31b07d512cp-3, 0x1.60a4538dc40eap-3, 0x1.5b3ffce47ff99p-3, 0x1.55c779d7ec912p-3, 0x1.503c26f75c8e7p-3, 0x1.4a9f5a57e205ep-3, 0x1.44f2635af315bp-3, 0x1.3f368a797aa33p-3, 0x1.396d11134713bp-3, 0x1.33973142f4084p-3, 0x1.2db61db63bc2p-3, 0x1.27cb018ab4952p-3, 0x1.21d7002ef4428p-3, 0x1.1bdb35480a43p-3, 0x1.15d8b49b4677fp-3, 0x1.0fd089fc3c694p-3, 0x1.09c3b93ef09afp-3, 0x1.03b33e2e104d6p-3, 0x1.fb40190a47a8ep-4, 0x1.ef161fdd4080ap-4, 0x1.e2ea580b66cd4p-4, 0x1.d6be78b753806p-4, 0x1.ca942901b03bdp-4, 0x1.be6d0021a1d27p-4, 0x1.b24a8583b301bp-4, 0x1.a62e30eeb7edep-4, 0x1.9a196aae97073p-4, 0x1.8e0d8bc46824ap-4, 0x1.820bde1bd8f07p-4, 0x1.76159cc54a447p-4, 0x1.6a2bf4347722ep-4, 0x1.5e500283415f7p-4, 0x1.5282d7b856637p-4, 0x1.46c57611568e9p-4, 0x1.3b18d25030628p-4, 0x1.2f7dd40b553b6p-4, 0x1.23f5560083d99p-4, 0x1.18802669d1a7fp-4, 0x1.0d1f0754a9359p-4, 0x1.01d2aefa7487ap-4, 0x1.ed3790354ede6p-5, 0x1.d6f5e4abc92a4p-5, 0x1.c0e18513fb15bp-5, 0x1.aafb865d0d9d7p-5, 0x1.9544e9638b12p-5, 0x1.7fbe9bab72822p-5, 0x1.6a69781a10642p-5, 0x1.554647af30d27p-5, 0x1.4055c23d46bbdp-5, 0x1.2b988f2026913p-5, 0x1.170f45f1f6253p-5, 0x1.02ba6f3e0185ep-5, 0x1.dd350a6241707p-6, 0x1.b55fe88ec99c2p-6, 0x1.8df637ed98971p-6, 0x1.66f89ead81e1p-6, 0x1.4067ab883980bp-6, 0x1.1a43d70319862p-6, 0x1.e91b095072e59p-7, 0x1.9e8a086f12d73p-7, 0x1.54d5259f4bd21p-7, 0x1.0bfcb81c4a8a2p-7, 0x1.8801ec9cbfb9fp-8, 0x1.f387dfa138c1cp-9, 0x1.b4fdbf933f61p-10, -0x1.d8bd2790f32b6p-12, -0x1.4d3c9063e1d4ep-9, -0x1.2df8901de8d3fp-8, -0x1.b39b7382477d6p-8, -0x1.1bc3f15a68308p-7, -0x1.5cdf78f235847p-7, -0x1.9d20eb038b508p-7, -0x1.dc88f0f64c1a7p-7, -0x1.0d8c20dd5d989p-6, -0x1.2c67d03b99d85p-6, -0x1.4ad7eda3c263ap-6, -0x1.68dce506f4318p-6, -0x1.867726aa91da2p-6, -0x1.a3a726a1c8621p-6, -0x1.c06d5c4f62918p-6, -0x1.dcca41ef9f8a4p-6, -0x1.f8be5429ead78p-6, -0x1.0a2508d523682p-5, -0x1.17b6fd6113ed9p-5, -0x1.251548884045fp-5, -0x1.32402b9870854p-5, -0x1.3f37e838a5bd2p-5, -0x1.4bfcc0474dcc7p-5, -0x1.588ef5bb9b7f8p-5, -0x1.64eeca89e194p-5, -0x1.711c808ad859dp-5, -0x1.7d185965acdd8p-5, -0x1.88e2967cb66ep-5, -0x1.947b78dcbb443p-5, -0x1.9fe3412e995fap-5, -0x1.ab1a2fab43696p-5, -0x1.b6208411e5a1bp-5, -0x1.c0f67da01e70bp-5, -0x1.cb9c5b0c281e6p-5, -0x1.d6125a80d6d9p-5, -0x1.e058b99b542ap-5, -0x1.ea6fb56a69c31p-5, -0x1.f4578a6f5e193p-5, -0x1.fe1074a02c9f2p-5, -0x1.03cd57b584e4ap-4, -0x1.087b3add8d4a7p-4, -0x1.0d1200ff23a5bp-4, -0x1.1191c71605722p-4, -0x1.15faa9e6973fbp-4, -0x1.1a4cc6022b1abp-4, -0x1.1e8837cba540cp-4, -0x1.22ad1b7c7491ap-4, -0x1.26bb8d29d61f4p-4, -0x1.2ab3a8ca564fep-4, -0x1.2e958a3b8a1f1p-4, -0x1.32614d47f61bbp-4, -0x1.36170dad191cap-4, -0x1.39b6e72193a1dp-4, -0x1.3d40f55b65e78p-4, -0x1.40b5541638e15p-4, -0x1.44141f19afd45p-4, -0x1.475d723fb85bap-4, -0x1.4a91697ad5802p-4, -0x1.4db020dc5d715p-4, -0x1.50b9b49aa62ddp-4, -0x1.53ae411718d67p-4, -0x1.568de2e42ce7ep-4, -0x1.5958b6cb3f09p-4, -0x1.5c0ed9d245e66p-4, -0x1.5eb069415c79fp-4, -0x1.613d82a82193dp-4, -0x1.63b643e2e8c42p-4, -0x1.661acb1fb6d81p-4, -0x1.686b36e30ce82p-4, -0x1.6aa7a60c7849fp-4, -0x1.6cd037daea911p-4, -0x1.6ee50bf0d6a01p-4, -0x1.70e642581054dp-4, -0x1.72d3fb856dc06p-4, -0x1.74ae585c29374p-4, -0x1.76757a310385bp-4, -0x1.782982cd2376ep-4, -0x1.79ca9470b4729p-4, -0x1.7b58d1d544029p-4, -0x1.7cd45e2fdbcb1p-4, -0x1.7e3d5d32d8a9p-4, -0x1.7f93f30f827b5p-4, -0x1.80d844775e6f8p-4, -0x1.820a769d44421p-4, -0x1.832aaf362e5c4p-4, -0x1.84391479ce7b5p-4, -0x1.8535cd22df247p-4, -0x1.8621006f3add1p-4, -0x1.86fad61fb3e23p-4, -0x1.87c37677af2d4p-4, -0x1.887b0a3c87e26p-4, -0x1.8921bab4b666ep-4, -0x1.89b7b1a6c148ap-4, -0x1.8a3d1957f6bb9p-4, -0x1.8ab21c8af2b85p-4, -0x1.8b16e67df0addp-4, -0x1.8b6ba2e8eb107p-4, -0x1.8bb07dfb8c1cdp-4, -0x1.8be5a45af0299p-4, -0x1.8c0b431f3b49ep-4, -0x1.8c2187d1034ecp-4, -0x1.8c28a0669260ep-4, -0x1.8c20bb4102049p-4, -0x1.8c0a07293078ep-4, -0x1.8be4b34c93c8p-4, -0x1.8bb0ef39e94ecp-4, -0x1.8b6eeaddc869fp-4, -0x1.8b1ed67f170eep-4, -0x1.8ac0e2bb5d7dfp-4, -0x1.8a55408309118p-4, -0x1.89dc21158dcd8p-4, -0x1.8955b5fd76b15p-4, -0x1.88c2310c5def5p-4, -0x1.8821c456d76c5p-4, -0x1.8774a23043517p-4, -0x1.86bafd2697ffcp-4, -0x1.85f507fe19b7ep-4, -0x1.8522f5ad07595p-4, -0x1.8444f9573d75p-4, -0x1.835b4649d2298p-4, -0x1.82660ff6a5621p-4, -0x1.816589efef277p-4, -0x1.8059e7e3c76d7p-4, -0x1.7f435d97ad86bp-4, -0x1.7e221ee40c6e1p-4, -0x1.7cf65fafc04adp-4, -0x1.7bc053eb9ae6ep-4, -0x1.7a802f8df069ep-4, -0x1.7936268e21163p-4, -0x1.77e26ce02e48bp-4, -0x1.7685367053572p-4, -0x1.751eb71ea43c7p-4, -0x1.73af22bab8962p-4, -0x1.7236acff5c156p-4, -0x1.70b5898e4ef27p-4, -0x1.6f2bebec0c5b5p-4, -0x1.6d9a077ba16cp-4, -0x1.6c000f7a8ee1ap-4, -0x1.6a5e36fcbb571p-4, -0x1.68b4b0e873c1cp-4, -0x1.6703aff27c774p-4, -0x1.654b669a30739p-4, -0x1.638c0725b425ap-4, -0x1.61c5c39e38c5ep-4, -0x1.5ff8cdcc53603p-4, -0x1.5e25573465d03p-4, -0x1.5c4b91131a62dp-4, -0x1.5a6bac59f683cp-4, -0x1.5885d9abfce66p-4, -0x1.569a495a68d63p-4, -0x1.54a92b617dc3p-4, -0x1.52b2af656aadfp-4, -0x1.50b704af44cefp-4, -0x1.4eb65a2a18657p-4, -0x1.4cb0de600ed1cp-4, -0x1.4aa6bf77ab337p-4, -0x1.48982b311ef46p-4, -0x1.46854ee3b613fp-4, -0x1.446e577b55908p-4, -0x1.4253717616241p-4, -0x1.4034c8e1f1d3ap-4, -0x1.3e12895a8cc34p-4, -0x1.3becde071190bp-4, -0x1.39c3f19826d6cp-4, -0x1.3797ee45fb35p-4, -0x1.3568fdce6727cp-4, -0x1.3337497327816p-4, -0x1.3102f9f82ec21p-4, -0x1.2ecc37a20b5f5p-4, -0x1.2c932a3465ca8p-4, -0x1.2a57f8f095de1p-4, -0x1.281aca944ac2fp-4, -0x1.25dbc5584ded9p-4, -0x1.239b0eef561dap-4, -0x1.2158cc84f51aap-4, -0x1.1f1522bc9843dp-4, -0x1.1cd035b09e3c1p-4, -0x1.1a8a28f180d15p-4, -0x1.18431f8513a5ap-4, -0x1.15fb3be5d9b7dp-4, -0x1.13b2a0026ac05p-4, -0x1.11696d3ceeb96p-4, -0x1.0f1fc46aaafe8p-4, -0x1.0cd5c5d3a4b53p-4, -0x1.0a8b913253925p-4, -0x1.084145b36690cp-4, -0x1.05f701f59d3dcp-4, -0x1.03ace409af71bp-4, -0x1.0163097248bd5p-4, -0x1.fe331e4824877p-5, -0x1.f9a1230b9d661p-5, -0x1.f51058e10b70cp-5, -0x1.f080f65f7d838p-5, -0x1.ebf3310396d0fp-5, -0x1.e7673d3043bafp-5, -0x1.e2dd4e2f847c4p-5, -0x1.de5596335e85fp-5, -0x1.d9d04656e0828p-5, -0x1.d54d8e9f44f54p-5, -0x1.d0cd9dfd2d7b3p-5, -0x1.cc50a24df8c87p-5, -0x1.c7d6c85d2f2b5p-5, -0x1.c3603be606475p-5, -0x1.beed2794fe25dp-5, -0x1.ba7db50991469p-5, -0x1.b6120cd7fc42ap-5, -0x1.b1aa568b18c9dp-5, -0x1.ad46b8a64b45ap-5, -0x1.a8e758a783d63p-5, -0x1.a48c5b09562dfp-5, -0x1.a035e3451c556p-5, -0x1.9be413d52d7d4p-5, -0x1.97970e37233d5p-5, -0x1.934ef2ee33efdp-5, -0x1.8f0be18591453p-5, -0x1.8acdf892db9acp-5, -0x1.869555b8a3641p-5, -0x1.826215a8f6302p-5, -0x1.7e345427f47bp-5, -0x1.7a0c2c0e7375fp-5, -0x1.75e9b74caf582p-5, -0x1.71cd0eecfcfc4p-5, -0x1.6db64b168ed73p-5, -0x1.69a583103d742p-5, -0x1.659acd435a242p-5, -0x1.61963f3e86f57p-5, -0x1.5d97edb897cfep-5, -0x1.599fec937a9b8p-5, -0x1.55ae4edf1f0c9p-5, -0x1.51c326dc6deaep-5, -0x1.4dde8600394ffp-5, -0x1.4a007cf63ed63p-5, -0x1.46291ba42048fp-5, -0x1.4258712c673c4p-5, -0x1.3e8e8bf18a0cep-5, -0x1.3acb7998f0e0ap-5, -0x1.370f470dfe854p-5, -0x1.335a008518f55p-5, -0x1.2fabb17eb39f8p-5, -0x1.2c0464ca5d328p-5, -0x1.28642489c76dep-5, -0x1.24cafa33d5fc3p-5, -0x1.2138ee97a373p-5, -0x1.1dae09df8a8c4p-5, -0x1.1a2a539430131p-5, -0x1.16add29f856dap-5, -0x1.13388d4fcf05cp-5, -0x1.0fca895aa45bbp-5, -0x1.0c63cbdfeb2c9p-5, -0x1.0904596cd45adp-5, -0x1.05ac35fed49dcp-5, -0x1.025b65069628p-5, -0x1.fe23d2d5cb74ep-6, -0x1.f79f8b1742f42p-6, -0x1.f129f68939069p-6, -0x1.eac317e10f88ap-6, -0x1.e46af0d78c2a9p-6, -0x1.de21822e8f67fp-6, -0x1.d7e6cbb6b9333p-6, -0x1.d1bacc54feda3p-6, -0x1.cb9d820837c4ep-6, -0x1.c58ee9eea10e3p-6, -0x1.bf8f004b50edcp-6, -0x1.b99dc08b9c0e1p-6, -0x1.b3bb254c71bdbp-6, -0x1.ade7285fae45ep-6, -0x1.a821c2d14fb32p-6, -0x1.a26aececad6ecp-6, -0x1.9cc29e419682cp-6, -0x1.9728cda968205p-6, -0x1.919d714c1613cp-6, -0x1.8c207ea520ebfp-6, -0x1.86b1ea887922dp-6, -0x1.8151a9275702ap-6, -0x1.7bffae1507fdcp-6, -0x1.76bbec4ba581ap-6, -0x1.71865630bb9a4p-6, -0x1.6c5edd99e5bbbp-6, -0x1.674573d15182dp-6, -0x1.623a099a39035p-6, -0x1.5d3c8f354fb7dp-6, -0x1.584cf4652212ep-6, -0x1.536b28724e5c3p-6, -0x1.4e971a2fc1c6ap-6, -0x1.49d0b7fedf018p-6, -0x1.4517efd396032p-6, -0x1.406caf386d0c3p-6, -0x1.3bcee35273da8p-6, -0x1.373e78e52273ep-6, -0x1.32bb5c5637f0dp-6, -0x1.2e4579b178347p-6, -0x1.29dcbcac634f4p-6, -0x1.258110a9d5a8ep-6, -0x1.213260bd9e502p-6, -0x1.1cf097aff708cp-6, -0x1.18bba000ffddap-6, -0x1.149363ec1bbdp-6, -0x1.1077cd6b4af84p-6, -0x1.0c68c63a5ad6bp-6, -0x1.086637da2d151p-6, -0x1.04700b93c7ce7p-6, -0x1.00862a7b6a515p-6, -0x1.f950fae7292c8p-7, -0x1.f1adda5feac34p-7, -0x1.ea22c470a2b6ap-7, -0x1.e2af89d69228ap-7, -0x1.db53fb025a3d6p-7, -0x1.d40fe81d432fdp-7, -0x1.cce3210eb1d77p-7, -0x1.c5cd758136717p-7, -0x1.beceb4e7a6abep-7, -0x1.b7e6ae820aa7ap-7, -0x1.b11531626dd4ap-7, -0x1.aa5a0c71a75cbp-7, -0x1.a3b50e73e8d9dp-7, -0x1.9d26060d48d45p-7, -0x1.96acc1c623081p-7, -0x1.9049100f557a4p-7, -0x1.89fabf467d8fdp-7, -0x1.83c19dba03e11p-7, -0x1.7d9d79ad172a3p-7, -0x1.778e215b90b77p-7, -0x1.719362fda6262p-7, -0x1.6bad0ccba500dp-7, -0x1.65daed0171d5dp-7, -0x1.601cd1e216cap-7, -0x1.5a7289bb0e9cfp-7, -0x1.54dbe2e7a6324p-7, -0x1.4f58abd41a8ccp-7, -0x1.49e8b300ab879p-7, -0x1.448bc704a7a97p-7, -0x1.3f41b69153852p-7, -0x1.3a0a5074c1561p-7, -0x1.34e5639c94354p-7, -0x1.2fd2bf189a595p-7, -0x1.2ad2321d638a6p-7, -0x1.25e38c06c4b98p-7, -0x1.21069c5a3aa9ep-7, -0x1.1c3b32c948848p-7, -0x1.17811f33aa5fep-7, -0x1.12d831a99b7aap-7, -0x1.0e403a6dcc3e8p-7, -0x1.09b909f784981p-7, -0x1.054270f4868d8p-7, -0x1.00dc404afad37p-7, -0x1.f90c923684b7cp-8, -0x1.f080b9835f19fp-8, -0x1.e81499b06fbafp-8, -0x1.dfc7d67004847p-8, -0x1.d79a13f601bc2p-8, -0x1.cf8af6fac0621p-8, -0x1.c79a24be0ca53p-8, -0x1.bfc74309afd0ap-8, -0x1.b811f8342d73p-8, -0x1.b079eb231d719p-8, -0x1.a8fec34d8c04cp-8, -0x1.a1a028be5badp-8, -0x1.9a5dc4163a391p-8, -0x1.93373e8dda32ap-8, -0x1.8c2c41f7becc8p-8, -0x1.853c78c215e3ap-8, -0x1.7e678df877d27p-8, -0x1.77ad2d457139dp-8, -0x1.710d02f4273ebp-8, -0x1.6a86bbf1b1792p-8, -0x1.641a05ce8ca82p-8, -0x1.5dc68ebfc2ce1p-8, -0x1.578c05a01bbf1p-8, -0x1.516a19f142252p-8, -0x1.4b607bdc98937p-8, -0x1.456edc3449264p-8, -0x1.3f94ec74219fap-8, -0x1.39d25ec247447p-8, -0x1.3426e5efe5f03p-8, -0x1.2e923579cdb53p-8, -0x1.29140188f457p-8, -0x1.23abfef303b7bp-8, -0x1.1e59e33ab161dp-8, -0x1.191d6490219c8p-8, -0x1.13f639d125e83p-8, -0x1.0ee41a89811cfp-8, -0x1.09e6bef3002f1p-8, -0x1.04fddff5921c5p-8, -0x1.0029372755feap-8, -0x1.f6d0fd9926e54p-9, -0x1.ed76e3af6cbd7p-9, -0x1.e44397d262ca1p-9, -0x1.db36929e810dep-9, -0x1.d24f4e0b87fadp-9, -0x1.c98d456baf975p-9, -0x1.c0eff56b623ffp-9, -0x1.b876dc1040742p-9, -0x1.b02178b895c95p-9, -0x1.a7ef4c1a4b445p-9, -0x1.9fdfd8420239ep-9, -0x1.97f2a091f774ap-9, -0x1.902729c10701bp-9, -0x1.887cf9d94596ep-9, -0x1.80f39836eddaep-9, -0x1.798a8d871831dp-9, -0x1.724163c646a13p-9, -0x1.6b17a63ee601bp-9, -0x1.640ce187e5b56p-9, -0x1.5d20a3831ef3ep-9, -0x1.56527b5ba4724p-9, -0x1.4fa1f98417ab7p-9, -0x1.490eafb5084b2p-9, -0x1.429830eb4e876p-9, -0x1.3c3e11660146p-9, -0x1.35ffe6a4acfeep-9, -0x1.2fdd47657fec5p-9, -0x1.29d5cba31b98dp-9, -0x1.23e90c92e8773p-9, -0x1.1e16a4a2e1cf8p-9, -0x1.185e2f77b8ed4p-9, -0x1.12bf49ea76434p-9, -0x1.0d399206bb004p-9, -0x1.07cca70849fdfp-9, -0x1.02782958fd55fp-9, -0x1.fa77751d40c2ap-10, -0x1.f02dfad12aba7p-10, -0x1.e6132b9b3d0e2p-10, -0x1.dc265193ad044p-10, -0x1.d266b91836e07p-10, -0x1.c8d3b0c7d783ep-10, -0x1.bf6c897e1d57ap-10, -0x1.b630964e30086p-10, -0x1.ad1f2c7e49f97p-10, -0x1.a437a383549edp-10, -0x1.9b7954fb66dccp-10, -0x1.92e39caa0142ap-10, -0x1.8a75d8724d5d5p-10, -0x1.822f6852f01cdp-10, -0x1.7a0fae60d2829p-10, -0x1.72160ec255467p-10, -0x1.6a41efaad10adp-10, -0x1.6292b955103b6p-10, -0x1.5b07d5ff31358p-10, -0x1.53a0b1e5358b1p-10, -0x1.4c5cbb3c69722p-10, -0x1.453b622e7ea4p-10, -0x1.3e3c18d4598d4p-10, -0x1.375e53319a84p-10, -0x1.30a1872f7879fp-10, -0x1.2a052c97cf79dp-10, -0x1.2388bd108ff82p-10, -0x1.1d2bb416a948bp-10, -0x1.16ed8ef95ccap-10, -0x1.10cdccd5381ep-10, -0x1.0acbee8f69756p-10, -0x1.04e776d0790b5p-10, -0x1.fe3fd4003bcffp-11, -0x1.f2e99c801c345p-11, -0x1.e7cb56ced30f2p-11, -0x1.dce415fb838a4p-11, -0x1.d232f06d60b94p-11, -0x1.c7b6ffd9b76fbp-11, -0x1.bd6f613a4ec94p-11, -0x1.b35b34c4fa43p-11, -0x1.a9799de1169b6p-11, -0x1.9fc9c31f69289p-11, -0x1.964ace2ff4fd5p-11, -0x1.8cfbebd96db5cp-11, -0x1.83dc4beff572bp-11, -0x1.7aeb214c4af83p-11, -0x1.7227a1c1e9955p-11, -0x1.699106173f657p-11, -0x1.612689fb98c09p-11, -0x1.58e76bff04f8ep-11, -0x1.50d2ed8980a5cp-11, -0x1.48e852d1d2b1dp-11, -0x1.4126e2d578fa3p-11, -0x1.398de74f92331p-11, -0x1.321cacb0c9d97p-11, -0x1.2ad282160dd9fp-11, -0x1.23aeb94108d31p-11, -0x1.1cb0a68f02bep-11, -0x1.15d7a0f1106efp-11, -0x1.0f2301e3a7efp-11, -0x1.08922566e2e6fp-11, -0x1.022469f582dbap-11, -0x1.f7b260fc3dd1ap-12, -0x1.eb5fb8b3b3423p-12, -0x1.df4fa68af0875p-12, -0x1.d380fab2b36f4p-12, -0x1.c7f28a0231451p-12, -0x1.bca32de9b72dcp-12, -0x1.b191c461585ccp-12, -0x1.a6bd2fdc175a4p-12, -0x1.9c24573687283p-12, -0x1.91c625a9b4217p-12, -0x1.87a18abcd27f2p-12, -0x1.7db57a346b8d8p-12, -0x1.7400ec05be571p-12, -0x1.6a82dc4837ab5p-12, -0x1.613a4b26ea257p-12, -0x1.58263cd36c3c9p-12, -0x1.4f45b9767df93p-12, -0x1.4697cd2467a09p-12, -0x1.3e1b87cdd48edp-12, -0x1.35cffd329fb69p-12, -0x1.2db444d51dc6fp-12, -0x1.25c779ebbc615p-12, -0x1.1e08bb5658ea4p-12, -0x1.16772b8eede76p-12, -0x1.0f11f09d9557dp-12, -0x1.07d8340d4c417p-12, -0x1.00c922dd36ecdp-12, -0x1.f3c7daed125ccp-13, -0x1.e64f8f3d4e9f8p-13, -0x1.d927d0d8197afp-13, -0x1.cc4f1474056dbp-13, -0x1.bfc3d539fd0bfp-13, -0x1.b38494acceff1p-13, -0x1.a78fda94fe972p-13, -0x1.9be434e6b25cp-13, -0x1.908037adb9c39p-13, -0x1.85627cf62200bp-13, -0x1.7a89a4b6a74d5p-13, -0x1.6ff454b94e3a2p-13, -0x1.65a13889f66a5p-13, -0x1.5b8f015cfc636p-13, -0x1.51bc65fb56adfp-13, -0x1.482822af8789bp-13, -0x1.3ed0f92facf01p-13, -0x1.35b5b0896b44fp-13, -0x1.2cd5150fa6198p-13, -0x1.242df8441047fp-13, -0x1.1bbf30c5833ccp-13, -0x1.13879a3bf3905p-13, -0x1.0b861546a615bp-13, -0x1.03b98767953d5p-13, -0x1.f841b5e6ab2b7p-14, -0x1.e975fdf833ce2p-14, -0x1.db0dce842d68dp-14, -0x1.cd07183ecd3dp-14, -0x1.bf5fd4f164b35p-14, -0x1.b21607556fcc4p-14, -0x1.a527baf0d5cfdp-14, -0x1.989303f8431d7p-14, -0x1.8c55ff29b6cfcp-14, -0x1.806ed1ab11646p-14, -0x1.74dba8ee166d5p-14, -0x1.699aba8cfae4bp-14, -0x1.5eaa442b0e769p-14, -0x1.54088b552619bp-14, -0x1.49b3dd65d4283p-14, -0x1.3faa8f62afb54p-14, -0x1.35eafde038b36p-14, -0x1.2c738ce37d714p-14, -0x1.2342a7c776b63p-14, -0x1.1a56c11bde1c4p-14, -0x1.11ae528cb13c1p-14, -0x1.0947dcc389297p-14, -0x1.0121e74cbfcb6p-14, -0x1.f27600faed7e8p-15, -0x1.e3237aaacd419p-15, -0x1.d44972cdceacp-15, -0x1.c5e52d7af48ap-15, -0x1.b7f3fb81a1142p-15, -0x1.aa733a3a09f74p-15, -0x1.9d60535307614p-15, -0x1.90b8bca129d64p-15, -0x1.8479f7ec59adfp-15, -0x1.78a192c0f754p-15, -0x1.6d2d263b84e3fp-15, -0x1.621a56e1bf14ep-15, -0x1.5766d47055376p-15, -0x1.4d1059aacfa59p-15, -0x1.4314ac305d719p-15, -0x1.39719c5320de3p-15, -0x1.302504e84e601p-15, -0x1.272ccb1e10cc6p-15, }}, 
      {{-0x1.527f755f2f239p-5, -0x1.522d9beb5daf6p-5, -0x1.51a26e20b4493p-5, -0x1.50d9fc698975p-5, -0x1.4fcf2062a2513p-5, -0x1.4e7bc1adbb694p-5, -0x1.4cd91b08a8a59p-5, -0x1.4adffbaa8eb04p-5, -0x1.488902c8c3c73p-5, -0x1.45ccd449eff54p-5, -0x1.42a4465472d5bp-5, -0x1.3f0887c150e74p-5, -0x1.3af33fb240cd5p-5, -0x1.365ea6ab5555ep-5, -0x1.314599a90ae21p-5, -0x1.2ba3a7bd59f74p-5, -0x1.25751acaa9b0fp-5, -0x1.1eb6fbfa4091cp-5, -0x1.1767148c9de89p-5, -0x1.0f83eb9deff4ep-5, -0x1.070cc16fea8e3p-5, -0x1.fc03117c3085fp-6, -0x1.e8c5bd267d0f2p-6, -0x1.d464020dd981fp-6, -0x1.bee18a75209aap-6, -0x1.a84319bcecd92p-6, -0x1.908e76f2896c6p-6, -0x1.77ca5740862ecp-6, -0x1.5dfe4888733e7p-6, -0x1.43329c5bd88a2p-6, -0x1.2770537c23b76p-6, -0x1.0ac109fdfd707p-6, -0x1.da5dc847e0a07p-7, -0x1.9d88f7fb5a52ep-7, -0x1.5f199fa94c53dp-7, -0x1.1f2662d680f0fp-7, -0x1.bb8cd84715557p-8, -0x1.36229e49df713p-8, -0x1.5c7bafaa73efbp-9, -0x1.2075435ec4b5ap-11, 0x1.a0ea6d1ad6eabp-10, 0x1.ecdb38a828d2ep-9, 0x1.865a2d2402a85p-8, 0x1.0be838e52b48ep-7, 0x1.55508292a099bp-7, 0x1.9f4e8d69486dfp-7, 0x1.e9cb4f065a268p-7, 0x1.1a581360bb799p-6, 0x1.3ff37510cf8c3p-6, 0x1.65acf7f3b36c4p-6, 0x1.8b7a0cdd157d9p-6, 0x1.b1506e439bcd7p-6, 0x1.d72623d148ef3p-6, 0x1.fcf1855d31676p-6, 0x1.11549eab865afp-5, 0x1.24222556e1d23p-5, 0x1.36dd011cf8953p-5, 0x1.498107dacfd57p-5, 0x1.5c0a3b2533802p-5, 0x1.6e74c85f7ae2bp-5, 0x1.80bd08a67b7a5p-5, 0x1.92df8093f8415p-5, 0x1.a4d8dfdec5a3cp-5, 0x1.b6a600db9a95bp-5, 0x1.c843e7e262acbp-5, 0x1.d9afc29bb8706p-5, 0x1.eae6e739d66bep-5, 0x1.fbe6d3a03bf07p-5, 0x1.0656963e73269p-4, 0x1.0e9bde2aec9efp-4, 0x1.16c23946b0349p-4, 0x1.1ec8b12faaec9p-4, 0x1.26ae60ecb0e23p-4, 0x1.2e727468039f3p-4, 0x1.361427e90b815p-4, 0x1.3d92c78df635p-4, 0x1.44edaec5d48ebp-4, 0x1.4c2447cbc28f1p-4, 0x1.53360b238976p-4, 0x1.5a227f1819a7bp-4, 0x1.60e9373c2f6dcp-4, 0x1.6789d3ed5f451p-4, 0x1.6e0401d9bce9cp-4, 0x1.7457798843d63p-4, 0x1.7a83fee4178b3p-4, 0x1.808960cab524cp-4, 0x1.8667789d15e0ep-4, 0x1.8c1e29d3ce34cp-4, 0x1.91ad61961da6cp-4, 0x1.97151653ebe9p-4, 0x1.9c554762a57b8p-4, 0x1.a16dfc9ce2321p-4, 0x1.a65f4604d6d9dp-4, 0x1.ab293b6958d11p-4, 0x1.afcbfc0d8bacp-4, 0x1.b447ae52f936cp-4, 0x1.b89c7f662106fp-4, 0x1.bccaa2ed4c974p-4, 0x1.c0d252b9a0e57p-4, 0x1.c4b3ce7a5a371p-4, 0x1.c86f5b720d14p-4, 0x1.cc05442df8c7ap-4, 0x1.cf75d83f331c8p-4, 0x1.d2c16bf5b61f3p-4, 0x1.d5e8581d3583bp-4, 0x1.d8eaf9bbb9ec3p-4, 0x1.dbc9b1d1e0a38p-4, 0x1.de84e51cbe09bp-4, 0x1.e11cfbd967f8cp-4, 0x1.e3926189fc27bp-4, 0x1.e5e584bc37a73p-4, 0x1.e816d6d19165dp-4, 0x1.ea26cbc8c7e61p-4, 0x1.ec15da08e5aaep-4, 0x1.ede47a2dac85dp-4, 0x1.ef9326d5822a2p-4, 0x1.f1225c70a5b8fp-4, 0x1.f2929911ebd96p-4, 0x1.f3e45c40c0456p-4, 0x1.f51826cc9c4aep-4, 0x1.f62e7aa1cf11dp-4, 0x1.f727da9fb048ap-4, 0x1.f804ca701f4e8p-4, 0x1.f8c5ce606cc41p-4, 0x1.f96b6b3b9099cp-4, 0x1.f9f62625c1b9p-4, 0x1.fa6684795bed3p-4, 0x1.fabd0ba51cd99p-4, 0x1.fafa410bbb7f4p-4, 0x1.fb1ea9e4c3762p-4, 0x1.fb2acb1ec731cp-4, 0x1.fb1f2942dd01bp-4, 0x1.fafc4859650b4p-4, 0x1.fac2abd00f713p-4, 0x1.fa72d661343fep-4, 0x1.fa0d49fc5123fp-4, 0x1.f99287afdc6aap-4, 0x1.f9030f9443139p-4, 0x1.f85f60b809277p-4, 0x1.f7a7f90d384fcp-4, 0x1.f6dd5557d64fep-4, 0x1.f5fff11d8a147p-4, 0x1.f51046966145ep-4, 0x1.f40ece9ea6881p-4, 0x1.f2fc00a9bf9dp-4, 0x1.f1d852b625p-4, 0x1.f0a4394248c2bp-4, 0x1.ef6027428e176p-4, 0x1.ee0c8e181cc26p-4, 0x1.eca9dd88b3a1ep-4, 0x1.eb3883b75e25cp-4, 0x1.e9b8ed1dfb20cp-4, 0x1.e82b8487a304fp-4, 0x1.e690b30be8451p-4, 0x1.e4e8e00ac0984p-4, 0x1.e33471294be75p-4, 0x1.e173ca4f4097dp-4, 0x1.dfa74da50d09ep-4, 0x1.ddcf5b929e748p-4, 0x1.dbec52becee14p-4, 0x1.d9fe900f5fe5ap-4, 0x1.d8066ea991edap-4, 0x1.d60447f33a30fp-4, 0x1.d3f8739468e92p-4, 0x1.d1e3477979159p-4, 0x1.cfc517d5a26e7p-4, 0x1.cd9e3725eddb1p-4, 0x1.cb6ef6349538ep-4, 0x1.c937a41cc2219p-4, 0x1.c6f88e4ea122ap-4, 0x1.c4b20093cceaap-4, 0x1.c2644513fa8ep-4, 0x1.c00fa459fa3d7p-4, 0x1.bdb46558e77b4p-4, 0x1.bb52cd71a6b9p-4, 0x1.b8eb2078829ffp-4, 0x1.b67da0bb06eb5p-4, 0x1.b40a8f05faedfp-4, 0x1.b1922aab90dd9p-4, 0x1.af14b189a6b71p-4, 0x1.ac92601021852p-4, 0x1.aa0b7147711d6p-4, 0x1.a7801ed717628p-4, 0x1.a4f0a10c3f5b9p-4, 0x1.a25d2ee07070bp-4, 0x1.9fc5fe002e4e3p-4, 0x1.9d2b42d1b8723p-4, 0x1.9a8d307bb8226p-4, 0x1.97ebf8ebfb396p-4, 0x1.9547ccde1761bp-4, 0x1.92a0dbe21c716p-4, 0x1.8ff754632cbc9p-4, 0x1.8d4b63ae0eb85p-4, 0x1.8a9d35f7b0e54p-4, 0x1.87ecf6639c4efp-4, 0x1.853acf0a54ed2p-4, 0x1.8286e8ffa623bp-4, 0x1.7fd16c58db345p-4, 0x1.7d1a8032dd4cfp-4, 0x1.7a624ab83b98dp-4, 0x1.77a8f12718671p-4, 0x1.74ee97d6fddcbp-4, 0x1.7233623e95465p-4, 0x1.6f7772f94108ap-4, 0x1.6cbaebcc9d957p-4, 0x1.69fdedade09a2p-4, 0x1.674098c71aa03p-4, 0x1.64830c7c5a984p-4, 0x1.61c56770b214bp-4, 0x1.5f07c78b1a616p-4, 0x1.5c4a49fb3ad17p-4, 0x1.598d0b3e0d19dp-4, 0x1.56d0272265852p-4, 0x1.5413b8cd58807p-4, 0x1.5157dabe826c5p-4, 0x1.4e9ca6d42d1ffp-4, 0x1.4be2364f5c175p-4, 0x1.4928a1d7b3556p-4, 0x1.4670017f45d2ap-4, 0x1.43b86cc63f812p-4, 0x1.4101fa9e7627ep-4, 0x1.3e4cc16edba2cp-4, 0x1.3b98d716d3cf2p-4, 0x1.38e650f16b27fp-4, 0x1.363543d875a29p-4, 0x1.3385c42790841p-4, 0x1.30d7e5bf086bp-4, 0x1.2e2bbc06a76c7p-4, 0x1.2b8159f067656p-4, 0x1.28d8d1fb0d99fp-4, 0x1.26323634ad2d5p-4, 0x1.238d983d117efp-4, 0x1.20eb094812e4ap-4, 0x1.1e4a9a1fd4e04p-4, 0x1.1bac5b26ee84ap-4, 0x1.19105c5a7d0a2p-4, 0x1.1676ad5424176p-4, 0x1.13df5d4bf9481p-4, 0x1.114a7b1a5d949p-4, 0x1.0eb81539c3ba3p-4, 0x1.0c2839c866a0ap-4, 0x1.099af689ec92cp-4, 0x1.071058e8fdfap-4, 0x1.04886df8c973dp-4, 0x1.0203427679d3dp-4, 0x1.ff01c5953c27cp-5, 0x1.fa02b61509e5fp-5, 0x1.f5096df30eadep-5, 0x1.f01604149a199p-5, 0x1.eb288ec000f19p-5, 0x1.e641239eeebc5p-5, 0x1.e15fd7c0a9ee9p-5, 0x1.dc84bf9c3a8eap-5, 0x1.d7afef12842cp-5, 0x1.d2e17970489ecp-5, 0x1.ce1971701e768p-5, 0x1.c957e93c5198ap-5, 0x1.c49cf270bc7b1p-5, 0x1.bfe89e1c8adacp-5, 0x1.bb3afcc3f61c4p-5, 0x1.b6941e61f1d7ap-5, 0x1.b1f41269cb056p-5, 0x1.ad5ae7c8c021dp-5, 0x1.a8c8ace78b3ep-5, 0x1.a43d6fabe722fp-5, 0x1.9fb93d7a0770fp-5, 0x1.9b3c23360b1d3p-5, 0x1.96c62d4568404p-5, 0x1.925767904ebebp-5, 0x1.8defdd8307c6dp-5, 0x1.898f9a0f4e9f9p-5, 0x1.8536a7ada2c75p-5, 0x1.80e5105e9742bp-5, 0x1.7c9addac1d584p-5, 0x1.785818aacbc77p-5, 0x1.741cc9fb24971p-5, 0x1.6fe8f9cad48fp-5, 0x1.6bbcafd5f3bf6p-5, 0x1.6797f36841cfcp-5, 0x1.637acb5e62a76p-5, 0x1.5f653e271845fp-5, 0x1.5b5751c47c416p-5, 0x1.57510bcd37dbcp-5, 0x1.5352716dbb654p-5, 0x1.4f5b876976abbp-5, 0x1.4b6c521c10026p-5, 0x1.4784d57a9c582p-5, 0x1.43a51514d801p-5, 0x1.3fcd14165bfb9p-5, 0x1.3bfcd547d9e5fp-5, 0x1.38345b10557b5p-5, 0x1.3473a7765c506p-5, 0x1.30babc2143e3fp-5, 0x1.2d099a5a6648p-5, 0x1.2960430e5c53cp-5, 0x1.25beb6ce3cc34p-5, 0x1.2224f5d0e09d7p-5, 0x1.1e92fff41c588p-5, 0x1.1b08d4be07c4bp-5, 0x1.1786735e3c1dcp-5, 0x1.140bdaaf1c4fap-5, 0x1.1099093719035p-5, 0x1.0d2dfd29f5b8ep-5, 0x1.09cab46a11c11p-5, 0x1.066f2c89b0dc7p-5, 0x1.031b62cc4380ap-5, 0x1.ff9ea84f65f88p-6, 0x1.f915fa8b5864fp-6, 0x1.f29cb509d8326p-6, 0x1.ec32cff5186e1p-6, 0x1.e5d842e6a1133p-6, 0x1.df8d04e9ecf44p-6, 0x1.d9510c7f090c2p-6, 0x1.d3244f9d2f96bp-6, 0x1.cd06c3b566ae3p-6, 0x1.c6f85db5253d6p-6, 0x1.c0f91208f034dp-6, 0x1.bb08d49efb445p-6, 0x1.b52798e9c7784p-6, 0x1.af5551e2c4a74p-6, 0x1.a991f20cf00fap-6, 0x1.a3dd6b7770d7cp-6, 0x1.9e37afc038c84p-6, 0x1.98a0b016a0cc7p-6, 0x1.93185d3e03569p-6, 0x1.8d9ea790506f4p-6, 0x1.88337f00adbacp-6, 0x1.82d6d31e07034p-6, 0x1.7d889315a2fc5p-6, 0x1.7848adb5b69d7p-6, 0x1.7317116fed3bp-6, 0x1.6df3ac5bf63fep-6, 0x1.68de6c3a0eae4p-6, 0x1.63d73e7583974p-6, 0x1.5ede1027397f5p-6, 0x1.59f2ce181f5a8p-6, 0x1.551564c3b26c3p-6, 0x1.5045c05a6a3a1p-6, 0x1.4b83ccc43291ap-6, 0x1.46cf75a2d3f6ap-6, 0x1.4228a6545cc4fp-6, 0x1.3d8f49f58349ep-6, 0x1.39034b6407286p-6, 0x1.34849541055f7p-6, 0x1.301311f35088ap-6, 0x1.2baeaba9bbb82p-6, 0x1.27574c5d66c56p-6, 0x1.230cddd400b94p-6, 0x1.1ecf49a201169p-6, 0x1.1a9e792ce33efp-6, 0x1.167a55ad53c4fp-6, 0x1.1262c8315c55dp-6, 0x1.0e57b99e8ab62p-6, 0x1.0a5912b40b141p-6, 0x1.0666bc0cbe208p-6, 0x1.02809e214aefbp-6, 0x1.fd4d42945237ep-7, 0x1.f5b15b8344ed4p-7, 0x1.ee2d574b97277p-7, 0x1.e6c105f4fb7ap-7, 0x1.df6c3756843d9p-7, 0x1.d82ebb1a6a6d7p-7, 0x1.d10860c1c9434p-7, 0x1.c9f8f7a85f738p-7, 0x1.c3004f08181eep-7, 0x1.bc1e35fca4a6dp-7, 0x1.b5527b87086f2p-7, 0x1.ae9cee90f8ff1p-7, 0x1.a7fd5df051d5ep-7, 0x1.a173986a63a87p-7, 0x1.9aff6cb736f3dp-7, 0x1.94a0a984c07d4p-7, 0x1.8e571d7a11992p-7, 0x1.8822973a697bcp-7, 0x1.8202e5683e183p-7, 0x1.7bf7d6a8341bdp-7, 0x1.760139a408d7p-7, 0x1.701edd0d6caa8p-7, 0x1.6a508fa0d0ca7p-7, 0x1.649620281fe49p-7, 0x1.5eef5d7d6b84ep-7, 0x1.595c168d845d2p-7, 0x1.53dc1a5a928d3p-7, 0x1.4e6f37fe91c4fp-7, 0x1.49153eadb6e1cp-7, 0x1.43cdfdb8e03e8p-7, 0x1.3e99448fdc7eap-7, 0x1.3976e2c3b4721p-7, 0x1.3466a808e000cp-7, 0x1.2f6864396a571p-7, 0x1.2a7be75709f72p-7, 0x1.25a1018d2a27cp-7, 0x1.20d78332e3c7bp-7, 0x1.1c1f3cccedf74p-7, 0x1.1777ff0f7fd6ep-7, 0x1.12e19ae01a7cbp-7, 0x1.0e5be15751825p-7, 0x1.09e6a3c27ebd9p-7, 0x1.0581b3a5694f4p-7, 0x1.012ce2bbe1b79p-7, 0x1.f9d005f69f668p-8, 0x1.f165cd28664d4p-8, 0x1.e91abfe72f0abp-8, 0x1.e0ee8388f1774p-8, 0x1.d8e0bde24413dp-8, 0x1.d0f11548ec701p-8, 0x1.c91f309667af5p-8, 0x1.c16ab72a4ebd9p-8, 0x1.b9d350ecb5bc1p-8, 0x1.b258a6505dd3ep-8, 0x1.aafa6054da5ecp-8, 0x1.a3b828889f8a7p-8, 0x1.9c91a90afac01p-8, 0x1.95868c8de5e3dp-8, 0x1.8e967e57e035ap-8, 0x1.87c12a4597581p-8, 0x1.81063ccb94905p-8, 0x1.7a6562f7b99bfp-8, 0x1.73de4a72bf376p-8, 0x1.6d70a1819195p-8, 0x1.671c1706a02ap-8, 0x1.60e05a8316ae4p-8, 0x1.5abd1c180899dp-8, 0x1.54b20c877a4bp-8, 0x1.4ebedd3571364p-8, 0x1.48e34028e0e65p-8, 0x1.431ee80c85697p-8, 0x1.3d71882fb54bdp-8, 0x1.37dad48713343p-8, 0x1.325a81ad45697p-8, 0x1.2cf044e386801p-8, 0x1.279bd412325f1p-8, 0x1.225ce5c951048p-8, 0x1.1d333140f1ffep-8, 0x1.181e6e598f3ebp-8, 0x1.131e559c5f3dp-8, 0x1.0e32a03b8d993p-8, 0x1.095b081272cf4p-8, 0x1.049747a5b4978p-8, 0x1.ffce3446c8093p-9, 0x1.f69476c60a3a9p-9, 0x1.ed80cfcb26ba6p-9, 0x1.e492b9aaded21p-9, 0x1.dbc9b00c81513p-9, 0x1.d3252fe9a42ebp-9, 0x1.caa4b78dc3252p-9, 0x1.c247c695c7cap-9, 0x1.ba0dddef7cd12p-9, 0x1.b1f67fd8ebeb6p-9, 0x1.aa012fdfaf43p-9, 0x1.a22d72e01caffp-9, 0x1.9a7acf04687aep-9, 0x1.92e8cbc3b7cc4p-9, 0x1.8b76f1e119c6bp-9, 0x1.8424cb6a7b002p-9, 0x1.7cf1e3b777c3ep-9, 0x1.75ddc76832d5dp-9, 0x1.6ee8046403ad6p-9, 0x1.681029d83c557p-9, 0x1.6155c836aa9d8p-9, 0x1.5ab871343210fp-9, 0x1.5437b7c74c984p-9, 0x1.4dd330268579ap-9, 0x1.478a6fc6cea17p-9, 0x1.415d0d59e90f3p-9, 0x1.3b4aa0ccb50cbp-9, 0x1.3552c3456c71bp-9, 0x1.2f750f21ec19ep-9, 0x1.29b11ff5db041p-9, 0x1.24069288c50f2p-9, 0x1.1e7504d43fd8bp-9, 0x1.18fc1601f255cp-9, 0x1.139b6669a56d9p-9, 0x1.0e52978f45f12p-9, 0x1.09214c20d51f7p-9, 0x1.040727f4622bp-9, 0x1.fe07a00bdb977p-10, 0x1.f42dd4eaafe44p-10, 0x1.ea803d0855279p-10, 0x1.e0fe2926ef371p-10, 0x1.d7a6ec4364b1cp-10, 0x1.ce79db90e0548p-10, 0x1.c5764e745a304p-10, 0x1.bc9b9e80123dp-10, 0x1.b3e9276f2cb43p-10, 0x1.ab5e4721065bbp-10, 0x1.a2fa5d94b5dacp-10, 0x1.9abccce45ca44p-10, 0x1.92a4f9407901fp-10, 0x1.8ab248eb4b42fp-10, 0x1.82e424342b278p-10, 0x1.7b39f572db0c1p-10, 0x1.73b329029c076p-10, 0x1.6c4f2d3dacfedp-10, 0x1.650d727876692p-10, 0x1.5ded6afcb611cp-10, 0x1.56ee8b04da256p-10, 0x1.501048b74019p-10, 0x1.49521c2142069p-10, 0x1.42b37f32999bbp-10, 0x1.3c33edb86b359p-10, 0x1.35d2e558a44ebp-10, 0x1.2f8fe58d11dd7p-10, 0x1.296a6f9eb6dfdp-10, 0x1.236206a10240bp-10, 0x1.1d762f6cf2b9p-10, 0x1.17a6709c6219bp-10, 0x1.11f2528537cfap-10, 0x1.0c595f34c510ep-10, 0x1.06db226ae8be1p-10, 0x1.017729956a8bdp-10, 0x1.f85a079663d72p-11, 0x1.edf8838f3d753p-11, 0x1.e3c8ebcbc2168p-11, 0x1.d9ca68388c76cp-11, 0x1.cffc23ef1925ap-11, 0x1.c65d4d2cb2ab5p-11, 0x1.bced154903d43p-11, 0x1.b3aab0ad2b3d4p-11, 0x1.aa9556ca32611p-11, 0x1.a1ac421042777p-11, 0x1.98eeafe5b29acp-11, 0x1.905be09d9de7dp-11, 0x1.87f3176f4f15ap-11, 0x1.7fb39a6d48f9ap-11, 0x1.779cb27c53ffdp-11, 0x1.6fadab4a8d6fdp-11, 0x1.67e5d347297d5p-11, 0x1.60447b99263a8p-11, 0x1.58c8f81739576p-11, 0x1.51729f3ed1719p-11, 0x1.4a40ca2bbeeb9p-11, 0x1.4332d48fcba81p-11, 0x1.3c481caa19cc2p-11, 0x1.3580033f2ddep-11, 0x1.2ed9eb906df4ep-11, 0x1.28553b53dc946p-11, 0x1.21f15aac2832dp-11, 0x1.1badb420723dfp-11, 0x1.1589b49446898p-11, 0x1.0f84cb3fc206cp-11, 0x1.099e69a791db8p-11, 0x1.03d6039553f89p-11, 0x1.fc561e1f26f9ep-12, 0x1.f13a08a4c4fd5p-12, 0x1.e656bb8eebe7ep-12, 0x1.dbab2ffd9f66p-12, 0x1.d136634e4b94fp-12, 0x1.c6f7570d28523p-12, 0x1.bced10e67402cp-12, 0x1.b3169a97d17aap-12, 0x1.a97301e2193p-12, 0x1.a001587a9882fp-12, 0x1.96c0b3fd7a425p-12, 0x1.8db02ddf7f198p-12, 0x1.84cee3609a52fp-12, 0x1.7c1bf57d7cc96p-12, 0x1.739688e2d4b27p-12, 0x1.6b3dc5df33fbdp-12, 0x1.6310d8563e122p-12, 0x1.5b0eefb356a7ap-12, 0x1.53373edc7c9cdp-12, 0x1.4b88fc25ac057p-12, 0x1.440361443b38ep-12, 0x1.3ca5ab41c8a59p-12, 0x1.356f1a7069bf5p-12, 0x1.2e5ef25daa638p-12, 0x1.277479c728c3ep-12, 0x1.20aefa8dc73b8p-12, 0x1.1a0dc1aab128cp-12, 0x1.13901f22a42d1p-12, 0x1.0d3565fb00bd3p-12, 0x1.06fcec2dfd1cep-12, 0x1.00e60a9f6d6d9p-12, 0x1.f5e03a22a42c6p-13, 0x1.ea35043242252p-13, 0x1.dec936291c023p-13, 0x1.d39b983ddc079p-13, 0x1.c8aaf80c831dfp-13, 0x1.bdf62881870cap-13, 0x1.b37c01c58c86ep-13, 0x1.a93b61282251fp-13, 0x1.9f33290b6a35p-13, 0x1.956240d06df32p-13, 0x1.8bc794c332842p-13, 0x1.82621606fcd82p-13, 0x1.7930ba8335215p-13, 0x1.70327cd07ba85p-13, 0x1.67665c250079cp-13, 0x1.5ecb5c42ebcccp-13, 0x1.56608565118fdp-13, 0x1.4e24e42e19a9fp-13, 0x1.4617899541f15p-13, 0x1.3e378ad601d1bp-13, 0x1.3684015dfbce9p-13, 0x1.2efc0abbadf7ap-13, 0x1.279ec88e01bf7p-13, 0x1.206b60733b7d8p-13, 0x1.1960fbf8bcb4dp-13, 0x1.127ec88ab28a3p-13, 0x1.0bc3f76439524p-13, 0x1.052fbd7f3ac42p-13, 0x1.fd82a70ab12d8p-14, 0x1.f0efeb7fa76b9p-14, 0x1.e4a5c811b3e57p-14, 0x1.d8a2c37991cefp-14, 0x1.cce56b55c8aafp-14, 0x1.c16c540f70b8fp-14, 0x1.b63618bb6273cp-14, 0x1.ab415affddfa3p-14, 0x1.a08cc2f79c9eap-14, 0x1.9616ff16d6e7p-14, 0x1.8bdec41006465p-14, 0x1.81e2ccb9056a2p-14, 0x1.7821d9f1f311cp-14, 0x1.6e9ab28a2c86dp-14, 0x1.654c23276bb92p-14, 0x1.5c34fe2ca98b8p-14, 0x1.53541ba074569p-14, 0x1.4aa8591590c9p-14, 0x1.423099932f6aep-14, 0x1.39ebc57c31feep-14, 0x1.31d8ca78faab2p-14, 0x1.29f69b5fb71a4p-14, 0x1.2244301e5a27dp-14, 0x1.1ac085a3d2462p-14, 0x1.136a9dc9e881p-14, 0x1.0c417f40b9835p-14, 0x1.0544357891e6p-14, 0x1.fce3a119c2b8cp-15, 0x1.ef92ca6062352p-15, 0x1.e294192ef3177p-15, 0x1.d5e5c8ccf2ea2p-15, 0x1.c9861d36cbd96p-15, 0x1.bd7362f7fbd6p-15, 0x1.b1abef05aaafdp-15, 0x1.a62e1e9776a02p-15, 0x1.9af857029b3ap-15, 0x1.90090596fc957p-15, 0x1.855e9f7a4d877p-15, 0x1.7af7a1843f62ap-15, 0x1.70d2901e31088p-15, 0x1.66edf71e264b6p-15, 0x1.5d4869a7026e1p-15, 0x1.53e082067a40cp-15, 0x1.4ab4e194a1b03p-15, 0x1.41c43094b4962p-15, 0x1.390d1e144a92bp-15, 0x1.308e5fcd3a535p-15, 0x1.2846b20743352p-15, 0x1.2034d77958817p-15, 0x1.1857992bffecfp-15, 0x1.10adc65d4e6bcp-15, 0x1.09363463a62acp-15, 0x1.01efbe9037a51p-15, 0x1.f5b28c2a8e6f7p-16, 0x1.e7e363d6dbb6ap-16, 0x1.da6fdd69fd4cbp-16, 0x1.cd55dd4a13c68p-16, 0x1.c09352c80956bp-16, 0x1.b42637ef1f3fep-16, 0x1.a80c9152aed47p-16, 0x1.9c446ddc1c2e7p-16, 0x1.90cbe699e7b1fp-16, 0x1.85a11e908ee3p-16, 0x1.7ac2428d5cfe6p-16, 0x1.702d88f575ff3p-16, 0x1.65e1319a1b08p-16, 0x1.5bdb858d98dafp-16, 0x1.521ad6f2fac42p-16, 0x1.489d80d6abe7cp-16, 0x1.3f61e7049f2cep-16, 0x1.366675dd9fb5p-16, 0x1.2da9a22d28128p-16, 0x1.2529e901575eep-16, 0x1.1ce5cf84fdb45p-16, 0x1.14dbe2d884d1bp-16, 0x1.0d0ab7eb56206p-16, 0x1.0570eb5666b83p-16, 0x1.fc1a426ad759ep-17, 0x1.edbc0a0bcc8b7p-17, 0x1.dfc4930344a14p-17, 0x1.d23150f52f68cp-17, 0x1.c4ffc57629734p-17, 0x1.b82d7fc32266ap-17, 0x1.abb81c83fd8d8p-17, 0x1.9f9d4581bbb11p-17, 0x1.93dab1720c36p-17, 0x1.886e23b05bb6ap-17, 0x1.7d556bfef98d5p-17, 0x1.728e664c310e8p-17, 0x1.6816fa77ed1d3p-17, 0x1.5ded1c16cd763p-17, 0x1.540eca3b42045p-17, 0x1.4a7a0f3983273p-17, 0x1.412d0071ad8dbp-17, 0x1.3825be16d5dcp-17, 0x1.2f6272fc6d4a6p-17, 0x1.26e1545f59f2dp-17, 0x1.1ea0a1b01bbf4p-17, 0x1.169ea4643e166p-17, 0x1.0ed9afbf8eb62p-17, 0x1.075020a762056p-17, 0x1.00005d6f0493bp-17, 0x1.f1d1ab54413aep-18, 0x1.e41003f9dd43cp-18, 0x1.d6b8c7dc2cec5p-18, 0x1.c9c90b75fa637p-18, 0x1.bd3df45670193p-18, 0x1.b114b8c81a708p-18, 0x1.a54a9f7b0a254p-18, 0x1.99dcff3a586aep-18, 0x1.8ec93e8e12ae5p-18, 0x1.840cd37060be5p-18, 0x1.79a542fdb799bp-18, 0x1.6f902126df2d6p-18, 0x1.65cb10666dccfp-18, 0x1.5c53c170c1efep-18, 0x1.5327f2eb202d1p-18, 0x1.4a45712a8018dp-18, 0x1.41aa15e4fa1c9p-18, 0x1.3953c7ecf2ca2p-18, 0x1.31407af0bde14p-18, 0x1.296e2f3857eb1p-18, 0x1.21daf15d2d66bp-18, 0x1.1a84da0d68933p-18, 0x1.136a0dcb3bf8ap-18, 0x1.0c88bcae00bd8p-18, 0x1.05df222681cb4p-18, 0x1.fed70986b3f22p-19, 0x1.f2586be783b84p-19, 0x1.e63f23a08be11p-19, 0x1.da87fdc180238p-19, 0x1.cf2fdbc828a3bp-19, 0x1.c433b3342005p-19, 0x1.b9908d1db91c6p-19, 0x1.af4385c410545p-19, 0x1.a549cc2f80eb4p-19, 0x1.9ba0a1c62c35dp-19, 0x1.924559ec34be6p-19, 0x1.8935599f982dap-19, 0x1.806e171dc4a99p-19, 0x1.77ed197d2c845p-19, 0x1.6faff852d4b06p-19, 0x1.67b45b63e2033p-19, 0x1.5ff7fa36dc98fp-19, 0x1.58789bc9e535fp-19, 0x1.5134163f42cb6p-19, 0x1.4a284e8ab0854p-19, 0x1.43533818bf2dap-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.6796aefd372dep-9, -0x1.67c281d32a203p-8, -0x1.0e15798a2790dp-7, -0x1.68b7c9b8afd6bp-7, -0x1.c41082cb714acp-7, -0x1.103bd41b00d3ep-6, -0x1.3f281b5e59d1ep-6, -0x1.6f017b2907892p-6, -0x1.9ffcbb97de604p-6, -0x1.d24cc7657f5f6p-6, -0x1.03105f2578a6fp-5, -0x1.1dd131572e9ddp-5, -0x1.397a7182407dp-5, -0x1.5619fd9b589ecp-5, -0x1.73b9b3e758d2bp-5, -0x1.925f517706d95p-5, -0x1.b20c70f4e7e83p-5, -0x1.d2bea4d8492fcp-5, -0x1.f46fa7f043311p-5, -0x1.0b8acfa79b3d3p-4, -0x1.1d51b471f8f23p-4, -0x1.2f84793c19eb6p-4, -0x1.4219caa89227p-4, -0x1.550739a13c296p-4, -0x1.6841694ec97b2p-4, -0x1.7bbc3b7d25456p-4, -0x1.8f6afab034966p-4, -0x1.a340816976c12p-4, -0x1.b72f5e52e0e52p-4, -0x1.cb29f52dc9bf7p-4, -0x1.df229c85d23e1p-4, -0x1.f30bb84032b39p-4, -0x1.036be89885c62p-3, -0x1.0d3cd4f540443p-3, -0x1.16f2287f9a5cep-3, -0x1.208598794a14p-3, -0x1.29f10f0804dc5p-3, -0x1.332eb12f1e4d5p-3, -0x1.3c38e3ef6217p-3, -0x1.450a50a272618p-3, -0x1.4d9de8a43ce27p-3, -0x1.55eee85a5860cp-3, -0x1.5df8d9a694fbp-3, -0x1.65b795d0028c3p-3, -0x1.6d2746ebd046fp-3, -0x1.744468ce0541bp-3, -0x1.7b0bc988fe5dep-3, -0x1.817a8981e53c1p-3, -0x1.878e1b1fc2cbdp-3, -0x1.8d44421aa5cdep-3, -0x1.929b12703fa23p-3, -0x1.9790ef035a9b7p-3, -0x1.9c2487ebcfec1p-3, -0x1.a054d87cba1fcp-3, -0x1.a42125070559cp-3, -0x1.a788f85e8ae29p-3, -0x1.aa8c212841e98p-3, -0x1.ad2aaef8247cap-3, -0x1.af64ef457b12bp-3, -0x1.b13b6a3c65136p-3, -0x1.b2aedf7350b8dp-3, -0x1.b3c0428b1041bp-3, -0x1.b470b7c00d8c8p-3, -0x1.b4c19072e2469p-3, -0x1.b4b447ae58e22p-3, -0x1.b44a7eb07f09ap-3, -0x1.b385f97c3130dp-3, -0x1.b2689b77eeb7fp-3, -0x1.b0f4641e9afadp-3, -0x1.af2b6bc6241fap-3, -0x1.ad0fe07fc13abp-3, -0x1.aaa40314e4b39p-3, -0x1.a7ea2423a8c3cp-3, -0x1.a4e4a15cf5534p-3, -0x1.a195e2e63bf21p-3, -0x1.9e0058e02fef1p-3, -0x1.9a26791394059p-3, -0x1.960abcc4b5ce3p-3, -0x1.91af9eadfa581p-3, -0x1.8d17992165ecep-3, -0x1.88452450ee9eep-3, -0x1.833ab4bcf2809p-3, -0x1.7dfab9c81387dp-3, -0x1.78879c6f6f76dp-3, -0x1.72e3be2613494p-3, -0x1.6d1177d23a773p-3, -0x1.671318eb005ecp-3, -0x1.60eae6b4d3f15p-3, -0x1.5a9b1b9b1e4bbp-3, -0x1.5425e6a55496bp-3, -0x1.4d8d6b05c0e6ep-3, -0x1.46d3bfc02b83ep-3, -0x1.3ffaef66b2105p-3, -0x1.3904f7eaeef22p-3, -0x1.31f3ca81c65e4p-3, -0x1.2ac94b981408ep-3, -0x1.238752d69261bp-3, -0x1.1c2fab336095ap-3, -0x1.14c4130f947a4p-3, -0x1.0d463c5f5fe85p-3, -0x1.05b7ccdb5b9bcp-3, -0x1.fc34bc7348231p-4, -0x1.ecdefcdb09613p-4, -0x1.dd715fd907131p-4, -0x1.cdeed3ef615dap-4, -0x1.be5a31d08230ap-4, -0x1.aeb63cfcebf92p-4, -0x1.9f05a46407584p-4, -0x1.8f4b030654917p-4, -0x1.7f88e0979e338p-4, -0x1.6fc1b21ff1355p-4, -0x1.5ff7da9a39d64p-4, -0x1.502dab8f92228p-4, -0x1.406565ae66611p-4, -0x1.30a1395cbf526p-4, -0x1.20e347450c2e8p-4, -0x1.112da0dcfd329p-4, -0x1.018248e5fceccp-4, -0x1.e3c667ce0d4ep-5, -0x1.c4a4913f33d11p-5, -0x1.a5a2c0e76641p-5, -0x1.86c48fa1620c2p-5, -0x1.680d7d165e992p-5, -0x1.4980f06bbf49ap-5, -0x1.2b2238e309292p-5, -0x1.0cf48e6c6b185p-5, -0x1.ddf62458775bfp-6, -0x1.a2719de7da706p-6, -0x1.6761735dec5f1p-6, -0x1.2ccb6388a36c4p-6, -0x1.e56a05b4aa05fp-7, -0x1.7247780564457p-7, -0x1.0039a0e9a712p-7, -0x1.1e95636eceb1ep-8, -0x1.f848afcebe0fp-11, 0x1.3c3d0b505b35ep-9, 0x1.78ceedac4e6dcp-8, 0x1.287b1f3767b6bp-7, 0x1.934198d630869p-7, 0x1.fcb28eeffa544p-7, 0x1.3262fd700b792p-6, 0x1.65ba11f5d4691p-6, 0x1.985acf8c1c35ap-6, 0x1.ca41a7856ce0ep-6, 0x1.fb6b31f69f8a1p-6, 0x1.15ea16d5c4f84p-5, 0x1.2dbcc00e4d9bbp-5, 0x1.452c1ab23bfadp-5, 0x1.5c36c01a716a9p-5, 0x1.72db5ce4eef3fp-5, 0x1.8918b0ed3dbedp-5, 0x1.9eed8f434d11p-5, 0x1.b458de20684c8p-5, 0x1.c95996da0b916p-5, 0x1.ddeec5d250a5fp-5, 0x1.f2178a65b9631p-5, 0x1.02e98b6b15a7ap-4, 0x1.0c905819731cap-4, 0x1.15ffd71eab419p-4, 0x1.1f37bda551313p-4, 0x1.2837ca10f14eap-4, 0x1.30ffc3eb77981p-4, 0x1.398f7bd0d77bdp-4, 0x1.41e6cb58f55dbp-4, 0x1.4a0594ffce469p-4, 0x1.51ebc40bdf28p-4, 0x1.59994c72d207bp-4, 0x1.610e2abc7579cp-4, 0x1.684a63e40627p-4, 0x1.6f4e0537cde3dp-4, 0x1.761924372c931p-4, 0x1.7cabde6f1075fp-4, 0x1.83065954eef97p-4, 0x1.8928c2204a24bp-4, 0x1.8f134da2d76acp-4, 0x1.94c6381f50d83p-4, 0x1.9a41c51f05e6ap-4, 0x1.9f863f464279cp-4, 0x1.a493f82796c1fp-4, 0x1.a96b48161a678p-4, 0x1.ae0c8df6b8b75p-4, 0x1.b2782f10a65cap-4, 0x1.b6ae96dcf5ecbp-4, 0x1.bab036d58c5bbp-4, 0x1.be7d8643603ecp-4, 0x1.c217020c351cbp-4, 0x1.c57d2c7fd2cep-4, 0x1.c8b08d24d5113p-4, 0x1.cbb1b0853683fp-4, 0x1.ce8127fa80206p-4, 0x1.d11f8979e5617p-4, 0x1.d38d6f6037f04p-4, 0x1.d5cb783dcb7cap-4, 0x1.d7da46a2777dbp-4, 0x1.d9ba80e99e395p-4, 0x1.db6cd1066dd9ap-4, 0x1.dcf1e45052c4ap-4, 0x1.de4a6b4fbe652p-4, 0x1.df77198b37d65p-4, 0x1.e078a554ecfc9p-4, 0x1.e14fc7989f17dp-4, 0x1.e1fd3baa28646p-4, 0x1.e281bf14876ep-4, 0x1.e2de116986f6p-4, 0x1.e312f41215c4bp-4, 0x1.e3212a1f4216ap-4, 0x1.e309781c011b5p-4, 0x1.e2cca3dfaf2c1p-4, 0x1.e26b74616be9bp-4, 0x1.e1e6b18c39ap-4, 0x1.e13f2414183b1p-4, 0x1.e075954be706ep-4, 0x1.df8acefc4c8edp-4, 0x1.de7f9b3b7c269p-4, 0x1.dd54c44601923p-4, 0x1.dc0b145881371p-4, 0x1.daa3558a79245p-4, 0x1.d91e51aa02f4dp-4, 0x1.d77cd218a9e33p-4, 0x1.d5bf9fa937281p-4, 0x1.d3e7827e9d195p-4, 0x1.d1f541ebe15f9p-4, 0x1.cfe9a4551b5ddp-4, 0x1.cdc56f1185098p-4, 0x1.cb89664e9566ep-4, 0x1.c9364cf432bcbp-4, 0x1.c6cce489eca98p-4, 0x1.c44ded1d4a6c3p-4, 0x1.c1ba252924926p-4, 0x1.bf12497e084bdp-4, 0x1.bc57152bb0b25p-4, 0x1.b989416b72d79p-4, 0x1.b6a9858bca55dp-4, 0x1.b3b896dcd521bp-4, 0x1.b0b7289dd73dbp-4, 0x1.ada5ebebbbc1dp-4, 0x1.aa858fb094f97p-4, 0x1.a756c09402f6p-4, 0x1.a41a28eca74bp-4, 0x1.a0d070b26a22fp-4, 0x1.9d7a3d71c02c8p-4, 0x1.9a18323fcc6edp-4, 0x1.96aaefaf6bbep-4, 0x1.933313c714b26p-4, 0x1.8fb139f798474p-4, 0x1.8c25fb13b34b3p-4, 0x1.8891ed4871294p-4, 0x1.84f5a416568afp-4, 0x1.8151b04b561ccp-4, 0x1.7da69ffd81e91p-4, 0x1.79f4fe867976cp-4, 0x1.763d547f9072bp-4, 0x1.728027bea3dcap-4, 0x1.6ebdfb539caa1p-4, 0x1.6af74f8699b5fp-4, 0x1.672ca1d6bb024p-4, 0x1.635e6cf988ab1p-4, 0x1.5f8d28daf3c79p-4, 0x1.5bb94a9de6ab8p-4, 0x1.57e3449d64021p-4, 0x1.540b866e2f4d9p-4, 0x1.50327ce0f43e8p-4, 0x1.4c589204efb1ap-4, 0x1.487e2d2b107cp-4, 0x1.44a3b2e98cd9ap-4, 0x1.40c9851fe40d6p-4, 0x1.3cf002fb4e7b6p-4, 0x1.391788fb9209fp-4, 0x1.354070f83446ep-4, 0x1.316b12260d4e7p-4, 0x1.2d97c11d30e5dp-4, 0x1.29c6cfdf29098p-4, 0x1.25f88ddd8059dp-4, 0x1.222d480099957p-4, 0x1.1e6548aec9664p-4, 0x1.1aa0d7d3b5ab6p-4, 0x1.16e03ae7eed19p-4, 0x1.1323b4f8ca9c5p-4, 0x1.0f6b86b06cacdp-4, 0x1.0bb7ee5e07543p-4, 0x1.080927fe4752ap-4, 0x1.045f6d43f132ep-4, 0x1.00baf5a09ed67p-4, 0x1.fa37ec9b4af2fp-5, 0x1.f30544aa35b16p-5, 0x1.ebde5535f7e3fp-5, 0x1.e4c37bccd2d04p-5, 0x1.ddb511d5fdfc8p-5, 0x1.d6b36ca47b177p-5, 0x1.cfbedd8a103adp-5, 0x1.c8d7b1ea61236p-5, 0x1.c1fe334e1fa26p-5, 0x1.bb32a7764c98p-5, 0x1.b475506f918edp-5, 0x1.adc66ca5972cep-5, 0x1.a72636f6679b1p-5, 0x1.a094e6c5dbd4bp-5, 0x1.9a12b010ee93ap-5, 0x1.939fc3811e03cp-5, 0x1.8d3c4e7fb0421p-5, 0x1.86e87b48fb609p-5, 0x1.80a470ff89e14p-5, 0x1.7a7053bf31d1dp-5, 0x1.744c44b010d05p-5, 0x1.6e38621966488p-5, 0x1.6834c7745c19cp-5, 0x1.62418d7e9c92ep-5, 0x1.5c5eca4ccca1bp-5, 0x1.568c915cde40ep-5, 0x1.50caf3a833cp-5, 0x1.4b19ffb599874p-5, 0x1.4579c1ab15a24p-5, 0x1.3fea435f83926p-5, 0x1.3a6b8c6bf88a1p-5, 0x1.34fda23cfbac5p-5, 0x1.2fa0882383e53p-5, 0x1.2a543f65c154fp-5, 0x1.2518c74fae15ap-5, 0x1.1fee1d43627cbp-5, 0x1.1ad43cc92e4p-5, 0x1.15cb1f9f77335p-5, 0x1.10d2bdca5964ap-5, 0x1.0beb0da30e931p-5, 0x1.071403e70d855p-5, 0x1.024d93c6f05f8p-5, 0x1.fb2f5dea2d70cp-6, 0x1.f1e48b680f485p-6, 0x1.e8ba8dc92af31p-6, 0x1.dfb1402780fdcp-6, 0x1.d6c87b10a2edap-6, 0x1.ce0014a068478p-6, 0x1.c557e09b24ecdp-6, 0x1.bccfb087536fcp-6, 0x1.b46753c6c1725p-6, 0x1.ac1e97af3380ap-6, 0x1.a3f547a28067dp-6, 0x1.9beb2d2626254p-6, 0x1.94000ffa6518fp-6, 0x1.8c33b630caf63p-6, 0x1.8485e44248e4cp-6, 0x1.7cf65d24b3beep-6, 0x1.7584e25fd73d7p-6, 0x1.6e313421f8e22p-6, 0x1.66fb1153d8b35p-6, 0x1.5fe237ac44319p-6, 0x1.58e663c316eeap-6, 0x1.52075123d02f6p-6, 0x1.4b44ba5fa2d97p-6, 0x1.449e591f027efp-6, 0x1.3e13e632cb15p-6, 0x1.37a519a4dca18p-6, 0x1.3151aac84f782p-6, 0x1.2b1950492be9bp-6, 0x1.24fbc03baf3fap-6, 0x1.1ef8b02b20d56p-6, 0x1.190fd52830f8dp-6, 0x1.1340e3d6eb6cfp-6, 0x1.0d8b907c3faadp-6, 0x1.07ef8f0b193f6p-6, 0x1.026c933112208p-6, 0x1.fa04a0c579b9ep-7, 0x1.ef60f3cef55ffp-7, 0x1.e4ed85c9ffea2p-7, 0x1.daa9bcd4d008p-7, 0x1.d094fef5d2b2ep-7, 0x1.c6aeb23064fbdp-7, 0x1.bcf63c98c05f1p-7, 0x1.b36b046732f2cp-7, 0x1.aa0c700a93f5cp-7, 0x1.a0d9e63a32aaep-7, 0x1.97d2ce06dcfcfp-7, 0x1.8ef68eeb5d9e6p-7, 0x1.864490dc5b20ep-7, 0x1.7dbc3c57845p-7, 0x1.755cfa721511dp-7, 0x1.6d2634e6c7814p-7, 0x1.6517562336e3p-7, 0x1.5d2fc9548e765p-7, 0x1.556efa73dcca3p-7, 0x1.4dd4565195606p-7, 0x1.465f4aa0b7f5ap-7, 0x1.3f0f46015bb5bp-7, 0x1.37e3b80abd2e7p-7, 0x1.30dc1154c1e9bp-7, 0x1.29f7c38106cc2p-7, 0x1.233641436b007p-7, 0x1.1c96fe6a2e3c9p-7, 0x1.16196fe59c2f8p-7, 0x1.0fbd0bcf2f8f7p-7, 0x1.0981497063aa4p-7, 0x1.0365a14906995p-7, 0x1.fad31a2a5cda6p-8, 0x1.ef190fa57c5d9p-8, 0x1.e39c1b8d2faf2p-8, 0x1.d85b3902cff16p-8, 0x1.cd5565c81a139p-8, 0x1.c289a2475e1e5p-8, 0x1.b7f6f19af5daap-8, 0x1.ad9c5994175f8p-8, 0x1.a378e2c0febc7p-8, 0x1.998b9872885f2p-8, 0x1.8fd388c11633cp-8, 0x1.864fc491027e3p-8, 0x1.7cff5f9667d7bp-8, 0x1.73e1705881504p-8, 0x1.6af5103443464p-8, 0x1.62395b5ec584ep-8, 0x1.59ad70e6e8a2ap-8, 0x1.515072b6cf2e7p-8, 0x1.4921859489aabp-8, 0x1.411fd122a3da2p-8, 0x1.394a7fe01033fp-8, 0x1.31a0bf27d71aep-8, 0x1.2a21bf3039102p-8, 0x1.22ccb30999728p-8, 0x1.1ba0d09ce732fp-8, 0x1.149d50a9cbd5bp-8, 0x1.0dc16ec489625p-8, 0x1.070c69536f9e9p-8, 0x1.007d818c08aa7p-8, 0x1.f427f6e03a27ap-9, 0x1.e79e3b947a627p-9, 0x1.db5c645478d24p-9, 0x1.cf6109c29bcd8p-9, 0x1.c3aac9fbc6c2bp-9, 0x1.b838488eb784ap-9, 0x1.ad082e7303522p-9, 0x1.a21929ffa3d7p-9, 0x1.9769eee0fd11ap-9, 0x1.8cf9360ebbd01p-9, 0x1.82c5bdc13b24cp-9, 0x1.78ce496691791p-9, 0x1.6f11a197952ddp-9, 0x1.658e940c34f91p-9, 0x1.5c43f38faf0c8p-9, 0x1.533097f4c95ccp-9, 0x1.4a535e0949f09p-9, 0x1.41ab2789d996dp-9, 0x1.3936db152072dp-9, 0x1.30f5641f26177p-9, 0x1.28e5b2e40d4p-9, 0x1.2106bc5b39ef2p-9, 0x1.19577a29d83dp-9, 0x1.11d6ea9592ff7p-9, 0x1.0a841076cc58p-9, 0x1.035df32b22d22p-9, 0x1.f8c73d0f7007fp-10, 0x1.eb284596bbb4dp-10, 0x1.dddd2921a2cfdp-10, 0x1.d0e41981265dbp-10, 0x1.c43b51063d1f2p-10, 0x1.b7e11265499a1p-10, 0x1.abd3a89ac140fp-10, 0x1.a01166ce8d176p-10, 0x1.9498a837dd2ecp-10, 0x1.8967d00156346p-10, 0x1.7e7d492c997eap-10, 0x1.73d7867673bbbp-10, 0x1.6975023b1a435p-10, 0x1.5f543e5977779p-10, 0x1.5573c417dd2e9p-10, 0x1.4bd22407defp-10, 0x1.426df5eac6729p-10, 0x1.3945d895fdf69p-10, 0x1.305871d7a68a7p-10, 0x1.27a46e5b20cbep-10, 0x1.1f28818dfd3e4p-10, 0x1.16e36584f5a3p-10, 0x1.0ed3dae0fbb67p-10, 0x1.06f8a8b4bac3ep-10, 0x1.fea138d41df5ep-11, 0x1.efb5134ef1e1dp-11, 0x1.e12a946c711cp-11, 0x1.d2ff7bd0f46f6p-11, 0x1.c53194feafb1bp-11, 0x1.b7beb72440d88p-11, 0x1.aaa4c4e8741c6p-11, 0x1.9de1ac39a0323p-11, 0x1.9173661b07dbep-11, 0x1.8557f67480711p-11, 0x1.798d6be203761p-11, 0x1.6e11df835a18p-11, 0x1.62e374cc8643bp-11, 0x1.580059569fb36p-11, 0x1.4d66c4b1834e4p-11, 0x1.4314f835f887p-11, 0x1.39093ed888d78p-11, 0x1.2f41ecfbbde4p-11, 0x1.25bd604490517p-11, 0x1.1c79ff6dbb1a6p-11, 0x1.13763a1d74f5cp-11, 0x1.0ab088b9f82b5p-11, 0x1.02276c3fb3ff5p-11, 0x1.f3b2dc2f4f1ap-12, 0x1.e38a3fdc5f652p-12, 0x1.d3d23714c28c4p-12, 0x1.c488054c83178p-12, 0x1.b5a8fd8f6b07cp-12, 0x1.a7328232d156bp-12, 0x1.992204886eecap-12, 0x1.8b75049391522p-12, 0x1.7e2910becb086p-12, 0x1.713bc591d4f84p-12, 0x1.64aacd6aa796dp-12, 0x1.5873e035fe118p-12, 0x1.4c94c32976753p-12, 0x1.410b487e22df9p-12, 0x1.35d54f2cd9e5bp-12, 0x1.2af0c2ac295ccp-12, 0x1.205b9aae33f8ap-12, 0x1.1613dae0ce79p-12, 0x1.0c1792acf05a4p-12, 0x1.0264dcf8d9a0ep-12, 0x1.f1f3bfd49b9e2p-13, 0x1.dfa99955a255dp-13, 0x1.cde7be5670598p-13, 0x1.bcaabbd533bfbp-13, 0x1.abef3379348cep-13, 0x1.9bb1db20149f5p-13, 0x1.8bef7c714badfp-13, 0x1.7ca4f4703db17p-13, 0x1.6dcf331241351p-13, 0x1.5f6b3ad50521ap-13, 0x1.517620586f8a8p-13, 0x1.43ed09f9047dfp-13, 0x1.36cd2f6c0b964p-13, 0x1.2a13d95e2cf31p-13, 0x1.1dbe6114c10c8p-13, 0x1.11ca300f2b55ap-13, 0x1.0634bfab6151cp-13, 0x1.f5f731959043ap-14, 0x1.e038a6f56005p-14, 0x1.cb292d381a786p-14, 0x1.b6c42f1e7f351p-14, 0x1.a30533bfd267bp-14, 0x1.8fe7dde7b80bbp-14, 0x1.7d67eb75b847dp-14, 0x1.6b8134bd64d7dp-14, 0x1.5a2fabee4ef51p-14, 0x1.496f5c7aa9dcp-14, 0x1.393c6a83879fp-14, 0x1.29931248a15cbp-14, 0x1.1a6fa79b1c59dp-14, 0x1.0bce9550ae95ap-14, 0x1.fb58b977921bbp-15, 0x1.e00b2a4b0e817p-15, 0x1.c5add6937750dp-15, 0x1.ac3a41b1afd13p-15, 0x1.93aa17f3c0abfp-15, 0x1.7bf72da305717p-15, 0x1.651b7e0cc537p-15, 0x1.4f112a9ae204ep-15, 0x1.39d279e97f202p-15, 0x1.2559d6e91c3dp-15, 0x1.11a1d0030ce59p-15, 0x1.fd4a2c83df9ffp-16, 0x1.d8bcf8f9e93f4p-16, 0x1.b591ed1624c87p-16, 0x1.93bf30f067f58p-16, 0x1.733b2b7d6239p-16, 0x1.53fc811022003p-16, 0x1.35fa11dd7c062p-16, 0x1.192af89217066p-16, 0x1.fb0d11cc11b8ap-17, 0x1.c6089c6c6ebe4p-17, 0x1.9338145f5e7ap-17, 0x1.628b66f83a751p-17, 0x1.33f2e900c2381p-17, 0x1.075f542a1bf98p-17, 0x1.b983893194821p-18, 0x1.68176d06bc8bp-18, 0x1.1a5e07b575e84p-18, 0x1.a07787db6549cp-19, 0x1.132b7d8a349ecp-19, 0x1.19470d160b061p-20, 0x1.9591905a4afccp-24, -0x1.b3acef67f5abfp-21, -0x1.c0a8b5841149dp-20, -0x1.4dbe1d9ad7ea6p-19, -0x1.b5569e672246ap-19, -0x1.0ba565aba09bep-18, -0x1.39e33730adfacp-18, -0x1.657a1a404f40bp-18, -0x1.8e7eda53d8e34p-18, -0x1.b505bb2f805a5p-18, -0x1.d9227c76a861cp-18, -0x1.fae85cc8db70cp-18, -0x1.0d350e83fb1ep-17, -0x1.1bdd01be62e8ep-17, -0x1.2974ef6a2068ap-17, -0x1.3605849149ae2p-17, -0x1.41973563a2469p-17, -0x1.4c323ea1d3374p-17, -0x1.55dea6ed6e083p-17, -0x1.5ea4402de5377p-17, -0x1.668aa8e4d7fa8p-17, -0x1.6d994d7535998p-17, -0x1.73d7695c41a7cp-17, -0x1.794c0868fda85p-17, -0x1.7dfe07ec66aap-17, -0x1.81f417de483cap-17, -0x1.8534bc058fcb5p-17, -0x1.87c64d059ec1cp-17, -0x1.89aef98887e4ep-17, -0x1.8af4c73a67df1p-17, -0x1.8b9d93cf7cf58p-17, -0x1.8baf1606e0ee8p-17, -0x1.8b2ede90cdf1fp-17, -0x1.8a225911d7417p-17, -0x1.888ecd07148c6p-17, -0x1.86795eb49ee51p-17, -0x1.83e7100292ef5p-17, -0x1.80dcc149e52fep-17, -0x1.7d5f323d8e8fap-17, -0x1.797302a39b57ap-17, -0x1.751cb3317c1cbp-17, -0x1.7060a6436d09p-17, -0x1.6b4320a18f782p-17, -0x1.65c84a48e1a53p-17, -0x1.5ff42f0e8012cp-17, -0x1.59cabf58723bdp-17, -0x1.534fd0c84ec65p-17, -0x1.4c871edef2837p-17, -0x1.45744ba8703dep-17, -0x1.3e1ae0576d58dp-17, -0x1.367e4de658a7bp-17, -0x1.2ea1edaa69365p-17, -0x1.268901e8539bcp-17, -0x1.1e36b6686c043p-17, -0x1.15ae20fa09cf8p-17, -0x1.0cf2420774927p-17, -0x1.0406050fbf433p-17, -0x1.f5d8826703fc8p-18, -0x1.e34f73613a592p-18, -0x1.d0763cb9fa49fp-18, -0x1.bd52183787242p-18, -0x1.a9e81aabe716cp-18, -0x1.963d34cfb0215p-18, -0x1.8256342c6d07ap-18, -0x1.6e37c3ea261p-18, -0x1.59e66db25916p-18, -0x1.45669a68a9fcfp-18, -0x1.30bc92fc6fd5ap-18, -0x1.1bec81382bedfp-18, -0x1.06fa7071c1e73p-18, -0x1.e3d49c99796b8p-19, -0x1.b97fd6c962382p-19, -0x1.8efdf8119ff68p-19, -0x1.645631ce9e302p-19, -0x1.398f7f57a88b4p-19, -0x1.0eb0a754b3bbdp-19, -0x1.c78079f293b6dp-20, -0x1.7189426eca964p-20, -0x1.1b8807e040e7fp-20, -0x1.8b1194740d411p-21, -0x1.be5cafaa9e84dp-22, -0x1.9be73e1a6923p-24, 0x1.dfb380e924f5fp-23, 0x1.22f9d33b42d5dp-21, 0x1.cd956e0f51f54p-21, 0x1.3bd5ea2178547p-20, 0x1.9094e5c704328p-20, 0x1.e4fe5c32e50afp-20, 0x1.1c84a682d9b87p-19, 0x1.465681cc1c69ap-19, 0x1.6ff08a9d2831fp-19, 0x1.994eafac0c713p-19, 0x1.c26d0305a2debp-19, 0x1.eb47b932de3ebp-19, 0x1.09ed942809bc5p-18, 0x1.1e11e3b5c38abp-18, 0x1.320f16def76e2p-18, 0x1.45e388e7a3bcep-18, 0x1.598da477c5143p-18, 0x1.6d0be32abb463p-18, 0x1.805ccd42e534dp-18, 0x1.937ef94f4329ap-18, 0x1.a6710bdef8767p-18, 0x1.b931b72254614p-18, 0x1.cbbfba9d741a1p-18, 0x1.de19e2e748f4ep-18, 0x1.f03f0950a1e35p-18, 0x1.011709cd4575cp-17, 0x1.09f2f9d866c79p-17, 0x1.12b2d3b19045dp-17, 0x1.1b561c0da1ef4p-17, 0x1.23dc5d49a9eb8p-17, 0x1.2c45275721862p-17, 0x1.34900f8a51e5p-17, 0x1.3cbcb0807dde4p-17, 0x1.44caaa067bec3p-17, 0x1.4cb9a0f1bd5f4p-17, 0x1.54893f07f5d14p-17, 0x1.5c3932de97323p-17, 0x1.63c92fc2bbabep-17, 0x1.6b38ed98f5d86p-17, 0x1.728828bf5023bp-17, 0x1.79b6a1fb4a8d3p-17, 0x1.80c41e5b18334p-17, 0x1.87b067182ca8dp-17, 0x1.8e7b498451b08p-17, 0x1.952496edb55bbp-17, 0x1.9bac24860f5adp-17, 0x1.a211cb4bc3084p-17, 0x1.a85567f60ffe4p-17, 0x1.ae76daddfececp-17, 0x1.b47607e07b0e8p-17, 0x1.ba52d6506e91bp-17, 0x1.c00d30e02e66dp-17, 0x1.c5a5058962b5cp-17, 0x1.cb1a457bb734dp-17, 0x1.d06ce5088cecap-17, 0x1.d59cdb8d59505p-17, 0x1.daaa23621467dp-17, 0x1.df94b9c3ca58bp-17, 0x1.e45c9ec7879a9p-17, 0x1.e901d546588d2p-17, 0x1.ed8462c6a3b79p-17, 0x1.f1e44f6e29a32p-17, 0x1.f621a5f13e398p-17, 0x1.fa3c737fba77fp-17, 0x1.fe34c7b6bce15p-17, 0x1.01055a47ce1f1p-16, 0x1.02df272a82eeep-16, 0x1.04a7d5c518a7ep-16, 0x1.065f7270d8efep-16, 0x1.08060a958a9c1p-16, 0x1.099baca3a3254p-16, 0x1.0b20680b963c7p-16, 0x1.0c944d38f508dp-16, 0x1.0df76d880e1dp-16, 0x1.0f49db436157cp-16, 0x1.108ba9984f2dp-16, 0x1.11bcec93dcb49p-16, 0x1.12ddb91c4244ap-16, 0x1.13ee24e9af8fcp-16, 0x1.14ee467e6ac13p-16, 0x1.15de352239f28p-16, 0x1.16be08dbca23fp-16, 0x1.178dda6bb6b33p-16, 0x1.184dc345a4aa4p-16, 0x1.18fddd8d0ebbfp-16, 0x1.199e440c63201p-16, 0x1.1a2f123186106p-16, 0x1.1ab06408c4591p-16, 0x1.1b22563405631p-16, 0x1.1b8505e9a252dp-16, 0x1.1bd890edb02ebp-16, 0x1.1c1d158db38c6p-16, 0x1.1c52b299daddp-16, }}, 
      {{-0x1.2888b8a5b4fc4p-6, -0x1.2695045440457p-6, -0x1.22cef4993b8a4p-6, -0x1.1cad2e207d5fdp-6, -0x1.13ae7ef99dfep-6, -0x1.07690d9ede616p-6, -0x1.ef213b30302fap-7, -0x1.c7ef1b06daa8ep-7, -0x1.9919eb6857173p-7, -0x1.62b2b5a364293p-7, -0x1.24f58de0c8423p-7, -0x1.c082efa21e766p-8, -0x1.2a20f5313e8efp-8, -0x1.0fc0ab819cb5ap-9, 0x1.285294c7f6f0fp-11, 0x1.b6ba41154d8f9p-9, 0x1.99d3741df9a2ap-8, 0x1.2f97641ef82dep-7, 0x1.951eeb10a0bd8p-7, 0x1.fcf109a763486p-7, 0x1.3344e99d171e6p-6, 0x1.68b8fe704365p-6, 0x1.9e9fc61eb7ec8p-6, 0x1.d4cb02482def1p-6, 0x1.05898abda0131p-5, 0x1.20ab5e7135d54p-5, 0x1.3bbd563c0a88p-5, 0x1.56b48bb98f0b1p-5, 0x1.7188969534938p-5, 0x1.8c3348976344p-5, 0x1.a6b069f43f664p-5, 0x1.c0fd77d8598b6p-5, 0x1.db196698ac8c9p-5, 0x1.f504686b66e2ep-5, 0x1.075fdc931cecep-4, 0x1.1426b79643fcep-4, 0x1.20d828bcfa966p-4, 0x1.2d75d94508dbdp-4, 0x1.3a01a7e099d6dp-4, 0x1.467d9a754221dp-4, 0x1.52ebd1ac66424p-4, 0x1.5f4e7e1c55214p-4, 0x1.6ba7d6d464fbdp-4, 0x1.77fa111b4557ap-4, 0x1.8447593467f3cp-4, 0x1.9091cc078fd91p-4, 0x1.9cdb718bb87dap-4, 0x1.a92637dc47ee5p-4, 0x1.b573eee4afab1p-4, 0x1.c1c64493362dep-4, 0x1.ce1ec18771d9cp-4, 0x1.da7ec633f827fp-4, 0x1.e6e7886d45dafp-4, 0x1.f35a116188629p-4, 0x1.ffd73bf60d9d5p-4, 0x1.062fd9c40108ap-3, 0x1.0c79f9870f57p-3, 0x1.12ca224c8c36cp-3, 0x1.192060982d20dp-3, 0x1.1f7ca883f7f46p-3, 0x1.25ded60621d1fp-3, 0x1.2c46ad5fc883fp-3, 0x1.32b3dbb2215f6p-3, 0x1.3925f7b79393ap-3, 0x1.3f9c829dcf9b9p-3, 0x1.4616e8fdc8a4cp-3, 0x1.4c9483ee5fa5ep-3, 0x1.53149a2e45195p-3, 0x1.59966161b3573p-3, 0x1.6018ff6075cd6p-3, 0x1.669b8b90d0fdap-3, 0x1.6d1d104be7166p-3, 0x1.739c8c484d992p-3, 0x1.7a18f407b1db8p-3, 0x1.8091334491c33p-3, 0x1.87042e5d49ee8p-3, 0x1.8d70c3b9d69fdp-3, 0x1.93d5cd2a0badbp-3, 0x1.9a32213a097a5p-3, 0x1.a084947b3643fp-3, 0x1.a6cbfabfff995p-3, 0x1.ad07284914d19p-3, 0x1.b334f2e2f59e6p-3, 0x1.b95432f2df4e5p-3, 0x1.bf63c47276e79p-3, 0x1.c56287d99fd9p-3, 0x1.cb4f62f640cd1p-3, 0x1.d12941b1c8e26p-3, 0x1.d6ef16c48dea5p-3, 0x1.dc9fdc5719ab5p-3, 0x1.e23a9491d6bd7p-3, 0x1.e7be4a1b64421p-3, 0x1.ed2a108639579p-3, 0x1.f27d04ae1ededp-3, 0x1.f7b64d062f7dep-3, 0x1.fcd519d829f2p-3, 0x1.00ec52bae7343p-2, 0x1.03601a2e8ebedp-2, 0x1.05c58aa82b46fp-2, 0x1.081c50b14519p-2, 0x1.0a641dfccca6cp-2, 0x1.0c9ca96342af4p-2, 0x1.0ec5aeda73e81p-2, 0x1.10deef692ea04p-2, 0x1.12e831175e8f3p-2, 0x1.14e13edaeeaeep-2, 0x1.16c9e881d79c4p-2, 0x1.18a20299aaf88p-2, 0x1.1a69665500f3bp-2, 0x1.1c1ff16f0d7dcp-2, 0x1.1dc5860db665bp-2, 0x1.1f5a0aa26636cp-2, 0x1.20dd69c9eb6f5p-2, 0x1.224f922b99b86p-2, 0x1.23b07657e80d7p-2, 0x1.25000ca6c490fp-2, 0x1.263e4f15c3df2p-2, 0x1.276b3b266269dp-2, 0x1.2886d1bc715dcp-2, 0x1.299116fcdbef8p-2, 0x1.2a8a122cdbecdp-2, 0x1.2b71cd91b6a54p-2, 0x1.2c4856511ddeep-2, 0x1.2d0dbc5242088p-2, 0x1.2dc2121fa822ep-2, 0x1.2e656cc9cc2bcp-2, 0x1.2ef7e3ca9fe0ep-2, 0x1.2f7990e9e4f92p-2, 0x1.2fea90226f25p-2, 0x1.304aff884b32p-2, 0x1.309aff2fcfb77p-2, 0x1.30dab11592e6dp-2, 0x1.310a390749e57p-2, 0x1.3129bc8d84ee1p-2, 0x1.313962d6498c6p-2, 0x1.313954a089a13p-2, 0x1.3129bc2862827p-2, 0x1.310ac5142de52p-2, 0x1.30dc9c6252178p-2, 0x1.309f7057cb63bp-2, 0x1.3053706f6bf7cp-2, 0x1.2ff8cd49c12abp-2, 0x1.2f8fb89d9ccdfp-2, 0x1.2f186529363abp-2, 0x1.2e9306a3dba05p-2, 0x1.2dffd1b02976cp-2, 0x1.2d5efbcec5718p-2, 0x1.2cb0bb518a7a5p-2, 0x1.2bf5474f2937dp-2, 0x1.2b2cd7972d4bbp-2, 0x1.2a57a4a664a42p-2, 0x1.2975e79ba085dp-2, 0x1.2887da2cc7f32p-2, 0x1.278db69c38cc7p-2, 0x1.2687b7ae6fc03p-2, 0x1.2576189ff0706p-2, 0x1.2459151b6dceep-2, 0x1.2330e93025edep-2, 0x1.21fdd148761cfp-2, 0x1.20c00a209b709p-2, 0x1.1f77d0bda2ca8p-2, 0x1.1e25626481576p-2, 0x1.1cc8fc9151fe8p-2, 0x1.1b62dceeb9f63p-2, 0x1.19f3414d6f351p-2, 0x1.187a679bdb7a3p-2, 0x1.16f88ddde2135p-2, 0x1.156df224c38bfp-2, 0x1.13dad2871bbf2p-2, 0x1.123f6d18fb2ep-2, 0x1.109bffe420013p-2, 0x1.0ef0c8e045073p-2, 0x1.0d3e05eb8e2abp-2, 0x1.0b83f4c3110e3p-2, 0x1.09c2d2fb76494p-2, 0x1.07faddf9b73bap-2, 0x1.062c52ebf876fp-2, 0x1.04576ec27fdd6p-2, 0x1.027c6e28c8385p-2, 0x1.009b8d7eb2b66p-2, 0x1.fd6a11a3af487p-3, 0x1.f99237adeafa5p-3, 0x1.f5b003c703b3ep-3, 0x1.f1c3ebceb7981p-3, 0x1.edce64cd3d88ep-3, 0x1.e9cfe2e7377c8p-3, 0x1.e5c8d951e4268p-3, 0x1.e1b9ba47aa59fp-3, 0x1.dda2f6fcde792p-3, 0x1.d984ff94e4416p-3, 0x1.d56043179a79ep-3, 0x1.d1352f6715cccp-3, 0x1.cd043135b8dcfp-3, 0x1.c8cdb3fc939c3p-3, 0x1.c49221f222812p-3, 0x1.c051e401622f3p-3, 0x1.bc0d61c13b13bp-3, 0x1.b7c5016c487e9p-3, 0x1.b37927d8f7b08p-3, 0x1.af2a387206c9ep-3, 0x1.aad8952f582bp-3, 0x1.a6849e8f2f61cp-3, 0x1.a22eb38fb9bd1p-3, 0x1.9dd731a907772p-3, 0x1.997e74c751667p-3, 0x1.9524d745ad834p-3, 0x1.90cab1e90b8e4p-3, 0x1.8c705bdba794ep-3, 0x1.88162aa8c577ep-3, 0x1.83bc7238d27aap-3, 0x1.7f6384cde24d4p-3, 0x1.7b0bb30087913p-3, 0x1.76b54bbd0292p-3, 0x1.72609c40cfddfp-3, 0x1.6e0df01888adp-3, 0x1.69bd911e22473p-3, 0x1.656fc7777c94bp-3, 0x1.6124d9954b48p-3, 0x1.5cdd0c324c6f9p-3, 0x1.5898a252d8c03p-3, 0x1.5457dd44bce0cp-3, 0x1.501afc9f6727cp-3, 0x1.4be23e445f3cp-3, 0x1.47adde600878fp-3, 0x1.437e176ab29ccp-3, 0x1.3f532229ef123p-3, 0x1.3b2d35b227518p-3, 0x1.370c8768834d5p-3, 0x1.32f14b0502e33p-3, 0x1.2edbb294e596p-3, 0x1.2acbee7d4389cp-3, 0x1.26c22d7deb1bbp-3, 0x1.22be9cb47503cp-3, 0x1.1ec1679f8d3c6p-3, 0x1.1acab82276d9ep-3, 0x1.16dab688bf611p-3, 0x1.12f1898a227f2p-3, 0x1.0f0f564ea2881p-3, 0x1.0b344072c424ap-3, 0x1.07606a0c0088dp-3, 0x1.0393f3ad56749p-3, 0x1.ff9df8d80c9aep-4, 0x1.f82343c8e4921p-4, 0x1.f0b8007e41cb2p-4, 0x1.e95c646bbc56ep-4, 0x1.e210a23201feap-4, 0x1.dad4e9a98255ap-4, 0x1.d3a967ed6bb63p-4, 0x1.cc8e4766c4652p-4, 0x1.c583afd7bdc35p-4, 0x1.be89c667201f8p-4, 0x1.b7a0adabf41b5p-4, 0x1.b0c885b93a233p-4, 0x1.aa016c29c6d77p-4, 0x1.a34b7c2c3d5dbp-4, 0x1.9ca6ce8f1987ap-4, 0x1.961379cce0538p-4, 0x1.8f919218460b5p-4, 0x1.892129687a0a4p-4, 0x1.82c24f8571fa5p-4, 0x1.7c75121441ea1p-4, 0x1.76397ca374624p-4, 0x1.700f98b76984dp-4, 0x1.69f76dd6b40f9p-4, 0x1.63f101967333ep-4, 0x1.5dfc57a6a7dc2p-4, 0x1.581971de7fbc6p-4, 0x1.524850489a0dfp-4, 0x1.4c88f12f3c1bfp-4, 0x1.46db512878f7ep-4, 0x1.413f6b22481dep-4, 0x1.3bb5386e89ap-4, 0x1.363cb0cef4278p-4, 0x1.30d5ca80ef411p-4, 0x1.2b807a4953741p-4, 0x1.263cb38010d63p-4, 0x1.210a681bb97a5p-4, 0x1.1be988bcf33dep-4, 0x1.16da04b9c4a4ep-4, 0x1.11dbca28c6cb4p-4, 0x1.0ceec5ec34541p-4, 0x1.0812e3bcd9356p-4, 0x1.03480e34db494p-4, 0x1.fd1c5db4c17b3p-5, 0x1.f3ca5c54248cbp-5, 0x1.ea99e742e9b41p-5, 0x1.e18acb92423f5p-5, 0x1.d89cd47d9a3f5p-5, 0x1.cfcfcb7e63c87p-5, 0x1.c723785f8d0dfp-5, 0x1.be97a150a6454p-5, 0x1.b62c0af8b046dp-5, 0x1.ade0788899349p-5, 0x1.a5b4abcd5f68p-5, 0x1.9da86541e3739p-5, 0x1.95bb64205acaap-5, 0x1.8ded667379ee9p-5, 0x1.863e2927350e5p-5, 0x1.7ead6819344c5p-5, 0x1.773ade28e7f68p-5, 0x1.6fe645474deeep-5, 0x1.68af5686575f9p-5, 0x1.6195ca27f679ap-5, 0x1.5a9957acd43d8p-5, 0x1.53b9b5e2b1784p-5, 0x1.4cf69af26b91cp-5, 0x1.464fbc6dacea1p-5, 0x1.3fc4cf5c46a84p-5, 0x1.395588492f0f7p-5, 0x1.33019b4f2ee6cp-5, 0x1.2cc8bc2536371p-5, 0x1.26aa9e2a5fc2ap-5, 0x1.20a6f4719e485p-5, 0x1.1abd71cd1339ep-5, 0x1.14edc8d916fbap-5, 0x1.0f37ac06ed675p-5, 0x1.099acda72acaap-5, 0x1.0416dff3ca155p-5, 0x1.fd572a33db10dp-6, 0x1.f2b13e86b0a47p-6, 0x1.e83b613f2dc84p-6, 0x1.ddf4f6d9b4754p-6, 0x1.d3dd64011f2e7p-6, 0x1.c9f40d9f48fb1p-6, 0x1.c03858ed10613p-6, 0x1.b6a9ab81bedcap-6, 0x1.ad476b61f2601p-6, 0x1.a410ff0decbabp-6, 0x1.9b05cd8f688c8p-6, 0x1.92253e86dbdd3p-6, 0x1.896eba383b54ap-6, 0x1.80e1a9973928p-6, 0x1.787d76530a4acp-6, 0x1.70418ae1a753ep-6, 0x1.682d528aa1053p-6, 0x1.604039716b9a9p-6, 0x1.5879ac9f3765cp-6, 0x1.50d91a0c64157p-6, 0x1.495df0a971194p-6, 0x1.4207a0678e52cp-6, 0x1.3ad59a40bb7a9p-6, 0x1.33c7503f7eacbp-6, 0x1.2cdc35862de22p-6, 0x1.2613be55d8b6ep-6, 0x1.1f6d6014d6b56p-6, 0x1.18e89154ec148p-6, 0x1.1284c9d911922p-6, 0x1.0c41829af04e8p-6, 0x1.061e35cfe6bb2p-6, 0x1.001a5eedd48a2p-6, 0x1.f46af55f0dd34p-7, 0x1.e8de0e3199938p-7, 0x1.dd8d06f48dc04p-7, 0x1.d276e0e9c9458p-7, 0x1.c79a9ffa2a86p-7, 0x1.bcf74abb5abafp-7, 0x1.b28bea751ee29p-7, 0x1.a8578b2604049p-7, 0x1.9e593b879c489p-7, 0x1.94900d123387bp-7, 0x1.8afb140005356p-7, 0x1.8199674ff5054p-7, 0x1.786a20c7d42a9p-7, 0x1.6f6c5cf63ba11p-7, 0x1.669f3b33eed57p-7, 0x1.5e01dda4e002cp-7, 0x1.55936938c999ep-7, 0x1.4d5305ab51707p-7, 0x1.453fdd83ea5afp-7, 0x1.3d591e155221dp-7, 0x1.359df77ca4813p-7, 0x1.2e0d9ca029323p-7, 0x1.26a7432dd4205p-7, 0x1.1f6a23997199dp-7, 0x1.1855791a7cca9p-7, 0x1.116881a9b96ap-7, 0x1.0aa27dfe82d2ap-7, 0x1.0402b18bdffc8p-7, 0x1.fb10c4faa7452p-8, 0x1.ee65b366c9421p-8, 0x1.e202c580017fep-8, 0x1.d5e697c5230c1p-8, 0x1.ca0fcc07efb45p-8, 0x1.be7d09646b789p-8, 0x1.b32cfc37fb117p-8, 0x1.a81e56181c4aap-8, 0x1.9d4fcdc8c569fp-8, 0x1.92c01f32873b2p-8, 0x1.886e0b582da01p-8, 0x1.7e58584c5d51p-8, 0x1.747dd126af4a2p-8, 0x1.6add45f8bb0d3p-8, 0x1.61758bc2b3ad3p-8, 0x1.58457c6812a4dp-8, 0x1.4f4bf6a3ba70dp-8, 0x1.4687ddfc3700cp-8, 0x1.3df81ab7875f3p-8, 0x1.359b99cefc2e5p-8, 0x1.2d714ce2ca6dp-8, 0x1.25782a2d7c74ep-8, 0x1.1daf2c7766a16p-8, 0x1.16155309bdf37p-8, 0x1.0ea9a1a1d4b4cp-8, 0x1.076b206427419p-8, 0x1.0058dbcf3e99cp-8, 0x1.f2e3c95d35a68p-9, 0x1.e56aa01b1b032p-9, 0x1.d8446e53e2fc1p-9, 0x1.cb6f6ece08edcp-9, 0x1.bee9e47ff710dp-9, 0x1.b2b21a7581dcep-9, 0x1.a6c663b53932dp-9, 0x1.9b251b25b6268p-9, 0x1.8fcca372d7e4dp-9, 0x1.84bb66f33fa6ep-9, 0x1.79efd78d8be7cp-9, 0x1.6f686e9dba723p-9, 0x1.6523acdac2bap-9, 0x1.5b201a3bfeab3p-9, 0x1.515c45deb9c0dp-9, 0x1.47d6c5ec09db4p-9, 0x1.3e8e377e6c69dp-9, 0x1.35813e87e08e6p-9, 0x1.2cae85b7db89p-9, 0x1.2414be61651bfp-9, 0x1.1bb2a0617eceap-9, 0x1.1386ea0590d25p-9, 0x1.0b905ff217a35p-9, 0x1.03cdcd09547bap-9, 0x1.f87c04a4a6acap-10, 0x1.e9bfadc01d92cp-10, 0x1.db644f717f915p-10, 0x1.cd67af7afab18p-10, 0x1.bfc79f23d029ap-10, 0x1.b281fb07f3769p-10, 0x1.a594aae8cad12p-10, 0x1.98fda17d6f48bp-10, 0x1.8cbadc444203fp-10, 0x1.80ca635438525p-10, 0x1.752a492f2090cp-10, 0x1.69d8aa93dcec1p-10, 0x1.5ed3ae51d3c2dp-10, 0x1.5419851c233a9p-10, 0x1.49a8695da5202p-10, 0x1.3f7e9f0d39b5ep-10, 0x1.359a7382ef2f9p-10, 0x1.2bfa3d4d3d72p-10, 0x1.229c5c0718dfp-10, 0x1.197f382e6b963p-10, 0x1.10a142fac9419p-10, 0x1.0800f63524b75p-10, 0x1.ff39a81ec6fb8p-11, 0x1.eee6cdfa941f4p-11, 0x1.df06831a5093bp-11, 0x1.cf95fc82b3ef3p-11, 0x1.c0927ed4b4995p-11, 0x1.b1f95e0235a18p-11, 0x1.a3c7fd04696eep-11, 0x1.95fbcd9316852p-11, 0x1.88924fdbf91b5p-11, 0x1.7b89123c9a149p-11, 0x1.6eddb0fbc5241p-11, 0x1.628dd60520542p-11, 0x1.569738a52c42cp-11, 0x1.4af79d46941c6p-11, 0x1.3facd5300405ap-11, 0x1.34b4be437ab87p-11, 0x1.2a0d42be8a45fp-11, 0x1.1fb458fb3d738p-11, 0x1.15a80332b05dp-11, 0x1.0be64f3fd0bap-11, 0x1.026d56633233bp-11, 0x1.f2767a10c63b8p-12, 0x1.e09c651821255p-12, 0x1.cf48e204c21cep-12, 0x1.be7879ff9ee62p-12, 0x1.ae27cac169022p-12, 0x1.9e53862808d6fp-12, 0x1.8ef871ca9b62bp-12, 0x1.801366914aabbp-12, 0x1.71a1504deb729p-12, 0x1.639f2d56c4d63p-12, 0x1.560a0e22f64b8p-12, 0x1.48df14e80ae0ap-12, 0x1.3c1b753a9d79ap-12, 0x1.2fbc73af3c8ep-12, 0x1.23bf657eb63e5p-12, 0x1.1821b029da9b4p-12, 0x1.0ce0c920f347fp-12, 0x1.01fa356af5c18p-12, 0x1.eed712a0c79bep-13, 0x1.da64d00c07ab3p-13, 0x1.c69906b46309fp-13, 0x1.b36f36c67864bp-13, 0x1.a0e2fc5f00d5ap-13, 0x1.8ef00eec47411p-13, 0x1.7d924095e9488p-13, 0x1.6cc57da6016d6p-13, 0x1.5c85cbf4898edp-13, 0x1.4ccf4a554eedfp-13, 0x1.3d9e300a1359bp-13, 0x1.2eeecc36ffed8p-13, 0x1.20bd8558d6925p-13, 0x1.1306d8bfcfa71p-13, 0x1.05c75a0b553cfp-13, 0x1.f1f7655218354p-14, 0x1.d94142ab6d0cep-14, 0x1.c165f3426c028p-14, 0x1.aa5f46ec6d4e5p-14, 0x1.94273544b8b79p-14, 0x1.7eb7dcc4d4738p-14, 0x1.6a0b81dd5fcfbp-14, 0x1.561c8e185d3acp-14, 0x1.42e58f3cb3f33p-14, 0x1.30613678db667p-14, 0x1.1e8a578e85762p-14, 0x1.0d5be80783dfap-14, 0x1.f9a1fcd492968p-15, 0x1.d9c9a2e7fe86bp-15, 0x1.bb256eb0ce39dp-15, 0x1.9dac4a0875daep-15, 0x1.81555ac9804bp-15, 0x1.6618016324af6p-15, 0x1.4bebd778c914p-15, 0x1.32c8ae856ab18p-15, 0x1.1aa68e8817888p-15, 0x1.037db4b5c7ee5p-15, 0x1.da8d247137c0fp-16, 0x1.aff395da1d4c8p-16, 0x1.8720685afff53p-16, 0x1.6005a741bcfb4p-16, 0x1.3a95bc2538d2bp-16, 0x1.16c36c986b446p-16, 0x1.e903afece74a1p-17, 0x1.a788ea685e6cap-17, 0x1.68fe217fd9005p-17, 0x1.2d4b94dbdf2dbp-17, 0x1.e8b44dbf17dffp-18, 0x1.7c26b1588a9dfp-18, 0x1.14c28c768660ep-18, 0x1.64ba8a4d638c9p-19, 0x1.5335a092e653fp-20, -0x1.0557948d862aep-24, -0x1.61c926bb99172p-20, -0x1.50df07e371591p-19, -0x1.e86458ee59aabp-19, -0x1.3bde5e9db73ap-18, -0x1.7f9738350f06cp-18, -0x1.bf7edfc3540b3p-18, -0x1.fbb68aaf667b2p-18, -0x1.1a2f41b026413p-17, -0x1.34cb17887c232p-17, -0x1.4dbe09cf34efbp-17, -0x1.6516ee8c8dae7p-17, -0x1.7ae431a150d8cp-17, -0x1.8f33d7700656fp-17, -0x1.a2137f7f6ea59p-17, -0x1.b39067095452bp-17, -0x1.c3b76b74be65bp-17, -0x1.d2950ccce05a8p-17, -0x1.e035701abce9bp-17, -0x1.eca461bab28aap-17, -0x1.f7ed579b36f89p-17, -0x1.010db9bb3325fp-16, -0x1.059cc27fcf41bp-16, -0x1.09a905fab72c9p-16, -0x1.0d379d1eb6fb2p-16, -0x1.104d7aebfe70cp-16, -0x1.12ef6d6d2c0e8p-16, -0x1.15221eac4f9b3p-16, -0x1.16ea15a1e532bp-16, -0x1.184bb71bef708p-16, -0x1.194b46a4817d5p-16, -0x1.19ece75c87fbdp-16, -0x1.1a349cd6a05fdp-16, -0x1.1a264be6c3948p-16, -0x1.19c5bb752bdc6p-16, -0x1.191695418dcd4p-16, -0x1.181c66ab0056ap-16, -0x1.16daa16e1cc72p-16, -0x1.15549c5d9f898p-16, -0x1.138d941b2c308p-16, -0x1.1188abc6fac4fp-16, -0x1.0f48edace40fcp-16, -0x1.0cd14bea82b6cp-16, -0x1.0a24a1189b198p-16, -0x1.0745b0e7a56dap-16, -0x1.043728bcc10f2p-16, -0x1.00fba04cc397p-16, -0x1.fb2b345a23637p-17, -0x1.f40f08d2639cap-17, -0x1.eca7721649a3p-17, -0x1.e4f8fd50fe3aap-17, -0x1.dd0811cb9738fp-17, -0x1.d4d8f1f971c99p-17, -0x1.cc6fbc72ec73ep-17, -0x1.c3d06cef0c6d6p-17, -0x1.bafedd391b0e9p-17, -0x1.b1fec6194c4edp-17, -0x1.a8d3c03c508cap-17, -0x1.9f814513584f9p-17, -0x1.960aafaef2d34p-17, -0x1.8c733d9206a33p-17, -0x1.82be0f8878b9ap-17, -0x1.78ee2a7154435p-17, -0x1.6f0677fa9a55p-17, -0x1.6509c76b7afa1p-17, -0x1.5aface5749fbbp-17, -0x1.50dc295c81293p-17, -0x1.46b05cd076124p-17, -0x1.3c79d56fc4fccp-17, -0x1.323ae908d8d83p-17, -0x1.27f5d71a54887p-17, -0x1.1dacc97c118eap-17, -0x1.1361d4f37a226p-17, -0x1.0916f9d177fd8p-17, -0x1.fd9c4900c9f92p-18, -0x1.e9125c30dfc47p-18, -0x1.d493b9e24237ap-18, -0x1.c023ca44627d8p-18, -0x1.abc5d2172617p-18, -0x1.977cf3b51803p-18, -0x1.834c300558431p-18, -0x1.6f3667827669p-18, -0x1.5b3e5b1874957p-18, -0x1.4766ad1be7badp-18, -0x1.33b1e22828267p-18, -0x1.2022620016a96p-18, -0x1.0cba7866337fap-18, -0x1.f2f8abde02149p-19, -0x1.ccd4219a3d951p-19, -0x1.a70b4b301a91p-19, -0x1.81a1f0188863bp-19, -0x1.5c9ba7a48f118p-19, -0x1.37fbda5b8838ep-19, -0x1.13c5c36858649p-19, -0x1.dff8e3f5aabfp-20, -0x1.9945952142389p-20, -0x1.537710af3ba36p-20, -0x1.0e927cb71b7c6p-20, -0x1.9539630c14dfcp-21, -0x1.0f3478194b5d3p-21, -0x1.163d80b1d39dep-22, -0x1.2006c1b4897c4p-26, 0x1.dc7ed68a1c16bp-23, 0x1.ea742c91a5e02p-22, 0x1.714880512c999p-21, 0x1.eb4504c1ab81dp-21, 0x1.3195169c2a8fcp-20, 0x1.6c797c0c8fd5cp-20, 0x1.a64d6a72e56f9p-20, 0x1.df0ed024bbb73p-20, 0x1.0b5de83e3ed28p-19, 0x1.26a960f53ff23p-19, 0x1.4169162dbbf47p-19, 0x1.5b9c63ce6688fp-19, 0x1.7542bce56e4ddp-19, 0x1.8e5baacff58p-19, 0x1.a6e6cc8fa8951p-19, 0x1.bee3d5f258ee5p-19, 0x1.d6528ef4368c3p-19, 0x1.ed32d2fc7e6dp-19, 0x1.01c2481da813bp-18, 0x1.0ca3e383ddb78p-18, 0x1.173e449371c49p-18, 0x1.21917c9d2039fp-18, 0x1.2b9da50f5bf2fp-18, 0x1.3562df2b92c8ap-18, 0x1.3ee153bd629cep-18, 0x1.481932cef52bap-18, 0x1.510ab36649873p-18, 0x1.59b61347451e9p-18, 0x1.621b96a65364fp-18, 0x1.6a3b87f2e925ap-18, 0x1.72163791df29ap-18, 0x1.79abfba440b04p-18, 0x1.80fd2fc9dc256p-18, 0x1.880a34eb259f9p-18, 0x1.8ed370fc48b6fp-18, 0x1.95594ed0bbcffp-18, 0x1.9b9c3de0ef80ep-18, 0x1.a19cb214b7617p-18, 0x1.a75b2394f1539p-18, 0x1.acd80e976958ep-18, 0x1.b213f333abf01p-18, 0x1.b70f55309b202p-18, 0x1.bbcabbda89fe9p-18, 0x1.c046b1dc634bcp-18, 0x1.c483c511265dp-18, 0x1.c8828659ad524p-18, 0x1.cc438978a56c9p-18, 0x1.cfc764e949f8ap-18, 0x1.d30eb1bbf2873p-18, 0x1.d61a0b6e6720ap-18, 0x1.d8ea0fca81691p-18, 0x1.db7f5ec80f0ap-18, 0x1.ddda9a6553baap-18, 0x1.dffc668d2e09cp-18, 0x1.e1e568f1ff9ddp-18, 0x1.e39648f293ca7p-18, 0x1.e50faf7868caep-18, 0x1.e65246dcd3287p-18, 0x1.e75ebacec648fp-18, 0x1.e835b835b885ep-18, 0x1.e8d7ed15bd67p-18, 0x1.e946087fc74fp-18, 0x1.e980ba6e49e0ap-18, 0x1.e988b3b07fac9p-18, 0x1.e95ea5d381dbap-18, 0x1.e903430de9ceap-18, 0x1.e8773e25ad8fcp-18, 0x1.e7bb4a5b77a8fp-18, 0x1.e6d01b5943fffp-18, 0x1.e5b66520b0063p-18, 0x1.e46edbf04f691p-18, 0x1.e2fa34366d9d9p-18, 0x1.e159228229bdcp-18, 0x1.df8c5b6aa760dp-18, 0x1.dd94937dc0374p-18, 0x1.db727f3486f0cp-18, 0x1.d926d2e01f927p-18, 0x1.d6b2429d8fa86p-18, 0x1.d415824242bbfp-18, 0x1.d1514556a4432p-18, 0x1.ce663f00c8389p-18, 0x1.cb5521f6e9c8ap-18, 0x1.c81ea07497681p-18, 0x1.c4c36c3031102p-18, 0x1.c144364b1c152p-18, 0x1.bda1af4710acep-18, 0x1.b9dc86fb2f899p-18, 0x1.b5f56c8ec7054p-18, 0x1.b1ed0e65342b3p-18, 0x1.adc41a19ea6a8p-18, 0x1.a97b3c77630b8p-18, 0x1.a513216eb86dbp-18, 0x1.a08c740715dfap-18, 0x1.9be7de59ead7cp-18, 0x1.9726098be4af9p-18, 0x1.92479dc3c26dp-18, 0x1.8d4d4220c7fd7p-18, 0x1.88379cb8cbdcp-18, 0x1.8307528f19445p-18, 0x1.7dbd078b50aabp-18, 0x1.78595e721c941p-18, 0x1.72dcf8e38da27p-18, 0x1.6d4877541b3abp-18, 0x1.679c790489fd6p-18, 0x1.61d99bfc82405p-18, 0x1.5c007d0b2a8cap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      69, 0x1.ccccccccccccdp+2, 0x1.321d6d2d08572p+3, 0x1.f2be3bb0467c5p+4, 0x1.676b052372e4ep-8, 
      {{
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.dd535a24dc732p-7, -0x1.63e0e17bdabcbp-4, 0x1.a98bb5c4f09eep-2, -0x1.1f4a83d62d053p+0}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.6c6bd5162cfd7p-7, -0x1.b845283ba3a03p-5, 0x1.fa579a2278058p-3, -0x1.8e1c4f4f928b4p-1}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.256f9d52ab8a2p-7, -0x1.1d81ac6a99ae2p-5, 0x1.0b79d0f2b9b08p-3, -0x1.f6d0523900f32p-2}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.ea0b809e0bc8bp-8, -0x1.a15ebb8a80342p-6, 0x1.d286e12018d46p-5, -0x1.52616a9e28968p-3}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9e8c4595cfa8fp-8, -0x1.585e14e9bb1cap-6, 0x1.077fa1279a128p-5, -0x1.bac194e06b322p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5ed56e822b3ecp-8, -0x1.25540070bb6b7p-6, 0x1.edca5724c5b4ap-6, -0x1.ff81b3ed122e5p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.28d9a9711ea45p-8, -0x1.ef921ef36d034p-7, 0x1.a1107c279c946p-6, -0x1.83b9058cfc313p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.f68a3656d04p-9, -0x1.a1f9477bb2c2bp-7, 0x1.66e7ee85a9f3ap-6, -0x1.76d8ab04f8ab1p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.a9bf982972341p-9, -0x1.5fd0b3f1ae18dp-7, 0x1.2eadd4de84a5dp-6, -0x1.4c4098f99c49p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.691b50576c4p-9, -0x1.284362b470caep-7, 0x1.f9aeaf0bc0cf8p-7, -0x1.299f1123933c8p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.329cfe13edbebp-9, -0x1.f45190fea348p-8, 0x1.a0655d1aae3dbp-7, -0x1.04db17fb9452cp-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.047c07c80c52dp-9, -0x1.a8dd7769cf1fbp-8, 0x1.5223a2b59b588p-7, -0x1.c154b3cc3219dp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ba4f362587c8dp-10, -0x1.6bfa2b7d07d8dp-8, 0x1.0ebd548a2d6e9p-7, -0x1.789e41b10dd2ap-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.768d5991ed4p-10, -0x1.3b7a84869c67cp-8, 0x1.ac7e622c09e8fp-8, -0x1.3015313197e9p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.3b6ff1ead9f3p-10, -0x1.1530c1d8b6037p-8, 0x1.5144d369f5f03p-8, -0x1.ce57206724081p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.072405b1ab50fp-10, -0x1.eddcbc74d123fp-9, 0x1.0beaf4f416ef4p-8, -0x1.3f2d9f2840e6bp-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.b08c53a716abep-11, -0x1.bd10fd3685d8fp-9, 0x1.b81506f5b4001p-9, -0x1.4c3c77e3d6a08p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.5bc50352e10d4p-11, -0x1.938cc7a7fb37cp-9, 0x1.863f282d209b5p-9, -0x1.02b7ee3730485p-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.0ee5bb07dd43p-11, -0x1.6d7ed57dea604p-9, 0x1.72d7c31c302f5p-9, -0x1.16ff19996e2abp-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.92dfbb35c9136p-12, -0x1.4975182826ee6p-9, 0x1.5deb079714b9p-9, -0x1.0884acb0aa7bp-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.15f5040b79528p-12, -0x1.2775210162f04p-9, 0x1.4a1447703b23p-9, -0x1.036a19a7701f3p-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.4c7dedf50a5bap-13, -0x1.076c238eca90ep-9, 0x1.369f8583ac53ep-9, -0x1.f798f9b3561bep-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.0bdaad7410bfap-14, -0x1.d29bd3bfc2ab9p-10, 0x1.23bcfc268c4cap-9, -0x1.e9b65a7d1e7cbp-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, -0x1.4a55682947f6p-16, -0x1.9a18f437e147fp-10, 0x1.115fbf28418e1p-9, -0x1.db77653aa4083p-11}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, -0x1.854455a5c84c7p-14, -0x1.6534a701a611p-10, 0x1.ff1689ec1d353p-10, -0x1.cd512dc3e973fp-11}, 
        {0x1.4p+2, 0x1.4333333333333p+2, -0x1.47864e58c8486p-13, -0x1.33d3a9b4b1243p-10, 0x1.dc7d4017054c7p-10, -0x1.bf24552a77db7p-11}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, -0x1.b959615fb954ep-13, -0x1.05dacb4bd4431p-10, 0x1.baf4201a3c4f7p-10, -0x1.b0f943500f5f6p-11}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, -0x1.0cb965e7effd8p-12, -0x1.b65dac325f237p-11, 0x1.9a7b07daa18ecp-10, -0x1.a2cdb79c51a65p-11}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, -0x1.348f89d854d6dp-12, -0x1.67692b5cf0132p-11, 0x1.7b12007bb5083p-10, -0x1.94a24c8ed189cp-11}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, -0x1.54cfee94644dfp-12, -0x1.1ea1aa8f81ebbp-11, 0x1.5cb9078a98847p-10, -0x1.8676d8c1b40b3p-11}, 
        {0x1.5p+2, 0x1.5333333333333p+2, -0x1.6e15f53f19dd1p-12, -0x1.b7a180e03e045p-12, 0x1.3f701daf449d7p-10, -0x1.784b674cc0e22p-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, -0x1.80f78e0b135dcp-12, -0x1.3d8007310bdddp-12, 0x1.233742bcb625fp-10, -0x1.6a1ff536eb25cp-11}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, -0x1.8e05383a910b7p-12, -0x1.9ce42a9702d4cp-13, 0x1.080e76befe1dp-10, -0x1.5bf4834c3a3bdp-11}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, -0x1.95ca021f75807p-12, -0x1.a82b619fba3bdp-14, 0x1.dbeb7365c049cp-11, -0x1.4dc91155fca3cp-11}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, -0x1.98cb891b45b71p-12, -0x1.fbafb7e391028p-17, 0x1.a9da173273fe2p-11, -0x1.3f9d9f62d6717p-11}, 
        {0x1.6p+2, 0x1.6333333333333p+2, -0x1.9789f99f290c1p-12, 0x1.020b35d92fb78p-14, 0x1.79e8d8e3a0a08p-11, -0x1.31722d6ed0d77p-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, -0x1.92800f2be93c7p-12, 0x1.0f05b7ff331f3p-13, 0x1.4c17b87967b39p-11, -0x1.2346bb7b15e95p-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, -0x1.8a231451f263bp-12, 0x1.8b1f01483aa9ep-13, 0x1.2066b5f3be03fp-11, -0x1.151b49873f7f2p-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, -0x1.7ee2e2b152fefp-12, 0x1.f62b1c564f02ap-13, 0x1.edaba2a54f607p-12, -0x1.06efd79374de4p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, -0x1.7129e2f9bbec7p-12, 0x1.2881d75c0891cp-12, 0x1.9eca152c45eadp-12, -0x1.f188cb3f3d6a8p-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, -0x1.615d0cea806a7p-12, 0x1.4e412efe11052p-12, 0x1.5428c37c631b2p-12, -0x1.d531e757ae324p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, -0x1.4fdbe75296176p-12, 0x1.6cc067d8914dcp-12, 0x1.0dc7ad95a293ep-12, -0x1.b8db036ffa437p-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, -0x1.3d00881094f27p-12, 0x1.846c54b2d9ec9p-12, 0x1.974da6f013adep-13, -0x1.9c841f886adfep-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, -0x1.291f9412b759cp-12, 0x1.95b1c8543b632p-12, 0x1.1b8c6a4726cfp-13, -0x1.802d3ba0dce99p-12}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, -0x1.14883f56da0e7p-12, 0x1.a0fd958405e94p-12, 0x1.50974a60fc461p-14, -0x1.63d657b917e13p-12}, 
        {0x1.8p+2, 0x1.8333333333333p+2, -0x1.ff0899d4f865ep-13, 0x1.a6bc8f098a1e7p-12, 0x1.ec5abd6151658p-16, -0x1.477f73d17c91dp-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, -0x1.d4b01dd57e8b5p-13, 0x1.a75b87ac18bbbp-12, -0x1.25a3f22f0cc24p-16, -0x1.2b288fea1d86bp-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, -0x1.aa84cd08ce4eap-13, 0x1.a347523301b65p-12, -0x1.f9cf7296dd016p-15, -0x1.0ed1ac0202489p-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, -0x1.80f987e7b4392p-13, 0x1.9aecc16595f8cp-12, -0x1.9f6586e63caeep-14, -0x1.e4f59035fb8bp-13}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, -0x1.58764d0a4186bp-13, 0x1.8eb8a80b25c06p-12, -0x1.187132ae6a78dp-13, -0x1.ac47c865ba395p-13}, 
        {0x1.9p+2, 0x1.9333333333333p+2, -0x1.31583927cc48p-13, 0x1.7f17d8eb01547p-12, -0x1.58af2a5746679p-13, -0x1.739a0096ec657p-13}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, -0x1.0bf18716ef3cp-13, 0x1.6c7726cc79b93p-12, -0x1.906caa6de9dcfp-13, -0x1.3aec38c7e6715p-13}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, -0x1.d1131f9b13d53p-14, 0x1.57436476dec42p-12, -0x1.bfa9b2f24c6dcp-13, -0x1.023e70f841dd8p-13}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, -0x1.8eb994c181461p-14, 0x1.3fe964b18118dp-12, -0x1.e66643e4564f8p-13, -0x1.9321525091b94p-14}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, -0x1.51399809f8cdp-14, 0x1.26d5fa43b244ap-12, -0x1.02512ea1fd6b6p-12, -0x1.21c5c2bb4f552p-14}, 
        {0x1.ap+2, 0x1.a333333333333p+2, -0x1.18e0901bd5ffp-14, 0x1.0c75f7f4bf048p-12, -0x1.0d2eff8903984p-12, -0x1.60d465f3f74abp-15}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, -0x1.cbcc3fb9fbf1fp-15, 0x1.e26c61180836bp-13, -0x1.13cc94a596a19p-12, -0x1.f8751ee96ef4bp-17}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, -0x1.70d84ce3beacp-15, 0x1.ab06eda148f4cp-13, -0x1.1629edfde1f39p-12, 0x1.92676d315c99ep-17}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, -0x1.20fd7e7ae454p-15, 0x1.73953b15362aap-13, -0x1.14470b7ad9eacp-12, 0x1.4750ec612146p-15}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, -0x1.b8510784e08p-16, 0x1.3cf0eefd76a58p-13, -0x1.0e23ed72a14bp-12, 0x1.1504203f79207p-14}, 
        {0x1.bp+2, 0x1.b333333333333p+2, -0x1.443508f4f0e81p-16, 0x1.07f3aefb41672p-13, -0x1.03c092a37326ap-12, 0x1.865f4d2b4d98dp-14}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, -0x1.c9a4838099301p-17, 0x1.aaee40afb220ap-14, -0x1.ea39ff7d407bcp-13, 0x1.f7bc4d252d11p-14}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, -0x1.31f9c6b6d8501p-17, 0x1.4ca9d3497bf8ap-14, -0x1.c4724680dd1aap-13, 0x1.34893f04b81a5p-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, -0x1.7cc840d3b88p-18, 0x1.ed9ab2a9cdf96p-15, -0x1.962a7d0cf4af8p-13, 0x1.6d410c1a42575p-13}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, -0x1.acbeddacb9801p-19, 0x1.56187434c521dp-15, -0x1.5f60bb3c3789p-13, 0x1.a5c96e300a4f9p-13}, 
        {0x1.cp+2, 0x1.c333333333333p+2, -0x1.9fd4a40515fffp-20, 0x1.ac655e5af80fp-16, -0x1.201c1de835fd5p-13, 0x1.df02c79a71087p-13}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, -0x1.3b4a2645bcp-21, 0x1.c54c29ee88958p-17, -0x1.b084332216df3p-14, 0x1.0ad3d75c4918ap-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, -0x1.27eb7131affffp-23, 0x1.56a55f2efb2fap-18, -0x1.106b7eb7849dap-14, 0x1.2af6b3d7919f8p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, -0x1.3d951278c09bep-27, 0x1.9236b23eec3f4p-21, -0x1.742ab1a581b93p-16, 0x1.1d98a8be814a8p-12}, 
      }}, 
      -0x1.c01cb0d5e8bap-11, -0x1.32c87d2eb738p-8
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.08b83f3aeb3b4p-4, 0x1.e435d22080899p-4, 0x1.3ab81266ef706p-3, 0x1.5918d44f5ace2p-3, 0x1.4f6239b3db106p-3, 0x1.243a48e53a339p-3, 0x1.c0cbca36dfep-4, 0x1.1a11236c02b4bp-4, 0x1.943dab451b05bp-6, -0x1.4063fccee1a35p-6, -0x1.f4c553e35b46ap-5, -0x1.91dbe425f127ep-4, -0x1.08adbab0a17b2p-3, -0x1.3b0b7a163254cp-3, -0x1.5f98034c8828fp-3, -0x1.76a3121a87788p-3, -0x1.810962bf713efp-3, -0x1.80094557ae40bp-3, -0x1.751e0807f5cc6p-3, -0x1.61e219ebc3e2p-3, -0x1.47f773e9fa1c1p-3, -0x1.28f59bf61475fp-3, -0x1.065c81ddb2e47p-3, -0x1.c316ee2b2c419p-4, -0x1.77771b8a71ea2p-4, -0x1.2bf97169c3cd2p-4, -0x1.c4d453d2d060bp-5, -0x1.38875f33bc389p-5, -0x1.6acb71a68dee8p-6, -0x1.e9cdb7e0f7f6ap-8, 0x1.759ef94ebbc7fp-8, 0x1.1b19ef2b199dfp-6, 0x1.bdbe34c31e537p-6, 0x1.228ca6dbccd89p-5, 0x1.58bed327ee49ep-5, 0x1.81d8b22e063eep-5, 0x1.9e6b65c4b7d22p-5, 0x1.af2b8fc26961ep-5, 0x1.b4e806fe2ff28p-5, 0x1.b081c78628c56p-5, 0x1.a2e50ffb919fcp-5, 0x1.8d039547e8661p-5, 0x1.6fcfb8ae37843p-5, 0x1.4c389d3957b37p-5, 0x1.232706c70aaecp-5, 0x1.eaf5d757f2f14p-6, 0x1.881334f4672fap-6, 0x1.1f38c4e256063p-6, 0x1.63be858922d87p-7, 0x1.05917bc24daaap-8, -0x1.87aec0ac349c7p-9, -0x1.48121b914388fp-7, -0x1.16ca6474b625fp-6, -0x1.8849ea4c4bc4cp-6, -0x1.f7b1d0fbb4e7dp-6, -0x1.3222b9d56d68p-5, -0x1.66b01a0aa8fbcp-5, -0x1.993a1a3ffd80fp-5, -0x1.c98483f460b8ap-5, -0x1.f75d29d77c616p-5, -0x1.114d9b2528477p-4, -0x1.258f3cfab174bp-4, -0x1.38675cd6f927cp-4, -0x1.49cd8050a3b35p-4, -0x1.59bc7bddde1cep-4, -0x1.683220d232ce2p-4, -0x1.752ef0743fb5ep-4, -0x1.80b5d24abfdc9p-4, -0x1.8acbccf187689p-4, -0x1.9377c7b9fe73dp-4, -0x1.9ac246e4c9999p-4, -0x1.a0b534c1940b3p-4, -0x1.a55bab8469c9p-4, -0x1.a8c1bfd9e5115p-4, -0x1.aaf450ccdb974p-4, -0x1.ac00e1c03f991p-4, -0x1.abf56dbaf0b0fp-4, -0x1.aae0460d8b7ep-4, -0x1.a8cff18b201e8p-4, -0x1.a5d30e6de3359p-4, -0x1.a1f83aa976396p-4, -0x1.9d4df991ff856p-4, -0x1.97e2a434d2d19p-4, -0x1.91c453932db4ap-4, -0x1.8b00d4d169d7ap-4, -0x1.83a59afc2fc07p-4, -0x1.7bbfb4f14b7d7p-4, -0x1.735bc55c9f6bcp-4, -0x1.6a85fa515de93p-4, -0x1.614a08fabf7c8p-4, -0x1.57b329f688567p-4, -0x1.4dcc15a0f6d36p-4, -0x1.439f02bb0336ap-4, -0x1.3935a729a4862p-4, -0x1.2e99364e7787p-4, -0x1.23d264438de86p-4, -0x1.18e9657759882p-4, -0x1.0de5f3576c425p-4, -0x1.02cf4d3215339p-4, -0x1.ef5878376024ap-5, -0x1.d9062d3d9345p-5, -0x1.c2b3865f2091bp-5, -0x1.ac6b7b2eceb41p-5, -0x1.963833eb79aabp-5, -0x1.80230ffa74541p-5, -0x1.6a34ac3ed366dp-5, -0x1.5475018a905bfp-5, -0x1.3eeb3abf6eaep-5, -0x1.299df4142f60ap-5, -0x1.14932e5d5ca5fp-5, -0x1.ffa06f14bde1ep-6, -0x1.d6b3ed9736984p-6, -0x1.ae69562bc93e2p-6, -0x1.86c8581fc1379p-6, -0x1.5fd79854b7125p-6, -0x1.399ce705076dp-6, -0x1.141d46f96544bp-6, -0x1.deb9cd5177c6ep-7, -0x1.96be975cb8ebdp-7, -0x1.504e92528010dp-7, -0x1.0b6e1799b23bep-7, -0x1.9040e55d2134bp-8, -0x1.0ccf8588df198p-8, -0x1.1914932b2b184p-9, -0x1.ee364a4f54d76p-13, 0x1.a9ee2bf35a175p-10, 0x1.c280a70b97f2p-9, 0x1.54e0f32afa8c7p-8, 0x1.c5632bce55545p-8, 0x1.1966e4888b27bp-7, 0x1.4e9469f0c9cc4p-7, 0x1.823ea0c5a634fp-7, 0x1.b46a90dbcdfa8p-7, 0x1.e51d8b224c7bfp-7, 0x1.0a2ea8728a922p-6, 0x1.2117fab49320fp-6, 0x1.374dec9d9fa8dp-6, 0x1.4cd3c68d0d00dp-6, 0x1.61acf9b6a13c9p-6, 0x1.75dd033647c64p-6, 0x1.89677d7d7cca1p-6, 0x1.9c500c06bf9f2p-6, 0x1.ae9a636acbe8bp-6, 0x1.c04a40d3203dep-6, 0x1.d1636cb58b198p-6, 0x1.e1e9a96126b9p-6, 0x1.f1e0c303e18cep-6, 0x1.00a642bef40e5p-5, 0x1.08185a237642dp-5, 0x1.0f488710f9c54p-5, 0x1.1638a81e0c8ep-5, 0x1.1cea94e042487p-5, 0x1.236022337eca4p-5, 0x1.299b196c9d257p-5, 0x1.2f9d44287d629p-5, 0x1.356862734da8p-5, 0x1.3afe2a98e0fd4p-5, 0x1.40604aca50269p-5, 0x1.45906ae3c296dp-5, 0x1.4a90290adac74p-5, 0x1.4f61195bbe1dbp-5, 0x1.5404c5331512ep-5, 0x1.587cac6b638f8p-5, 0x1.5cca4746febf3p-5, 0x1.60ef0184c76bep-5, 0x1.64ec3b9cc9a31p-5, 0x1.68c34c438fe67p-5, 0x1.6c758085b0ef2p-5, 0x1.70041ab29f7c5p-5, 0x1.7370511f535e6p-5, 0x1.76bb50269c7d3p-5, 0x1.79e639a56f11ap-5, 0x1.7cf22451ecae9p-5, 0x1.7fe01e052f15cp-5, 0x1.82b1293c3c7fap-5, 0x1.85663dc8a8195p-5, 0x1.8800493c51287p-5, 0x1.8a802fe181be4p-5, 0x1.8ce6cd0d7bdb8p-5, 0x1.8f34f23155561p-5, 0x1.916b664066f0ep-5, 0x1.938ae5ae4bb9p-5, 0x1.959426ed7bca2p-5, 0x1.9787d6a2c8bebp-5, 0x1.99669a2c57e57p-5, 0x1.9b310c24c5186p-5, 0x1.9ce7be466b4d3p-5, 0x1.9e8b3bc10a6b6p-5, 0x1.a01c0a0a416a9p-5, 0x1.a19aa6d010483p-5, 0x1.a3078696d52e1p-5, 0x1.a46315bdbbaa5p-5, 0x1.a5adbab6a00c2p-5, 0x1.a6e7d7c49f655p-5, 0x1.a811c951d660cp-5, 0x1.a92be44eb1fb5p-5, 0x1.aa3675ee81b68p-5, 0x1.ab31c533f756ep-5, 0x1.ac1e16ac8b89cp-5, 0x1.acfbaaeb9f3b1p-5, 0x1.adcabd042df2dp-5, 0x1.ae8b811bceb24p-5, 0x1.af3e25b404dfap-5, 0x1.afe2d61c0da0ep-5, 0x1.b079bb8b39396p-5, 0x1.b102fc1fa5c3ap-5, 0x1.b17eb915d0f2fp-5, 0x1.b1ed0e32b61c4p-5, 0x1.b24e135b1fac1p-5, 0x1.b2a1deae5797dp-5, 0x1.b2e884dce9805p-5, 0x1.b322188b546bfp-5, 0x1.b34ea8214f1c9p-5, 0x1.b36e3e366c9a7p-5, 0x1.b380e2bc9b62p-5, 0x1.b3869c92d144p-5, 0x1.b37f720f228b8p-5, 0x1.b36b6801ae30cp-5, 0x1.b34a80b0ddd95p-5, 0x1.b31cbb8065da5p-5, 0x1.b2e215dabe51cp-5, 0x1.b29a8cb162902p-5, 0x1.b2461d0aee70bp-5, 0x1.b1e4c35e27403p-5, 0x1.b1767ab9152b5p-5, 0x1.b0fb3c6e82c54p-5, 0x1.b07300704658ep-5, 0x1.afddbe39b1a6ep-5, 0x1.af3b6da4c3314p-5, 0x1.ae8c07286d535p-5, 0x1.adcf82fa4eec8p-5, 0x1.ad05d86587fd2p-5, 0x1.ac2efdd8667e8p-5, 0x1.ab4ae97834033p-5, 0x1.aa5991f1a1c29p-5, 0x1.a95aeedc8b2c3p-5, 0x1.a84ef8a4311efp-5, 0x1.a735a804e10d1p-5, 0x1.a60ef53f8aeadp-5, 0x1.a4dad8a51e228p-5, 0x1.a3994b0347ce6p-5, 0x1.a24a46120089bp-5, 0x1.a0edc4b3dcf7p-5, 0x1.9f83c31a14fbdp-5, 0x1.9e0c3e289dc45p-5, 0x1.9c873326c1fdep-5, 0x1.9af49fc10e6bfp-5, 0x1.995482710429dp-5, 0x1.97a6daf59e319p-5, 0x1.95ebaa823e5c7p-5, 0x1.9422f3b6ea85ep-5, 0x1.924cba88ad68ap-5, 0x1.906903df5b4acp-5, 0x1.8e77d55cfcf04p-5, 0x1.8c79359b3c8e2p-5, 0x1.8a6d2c77dbea1p-5, 0x1.8853c37bdaed1p-5, 0x1.862d05e3201d3p-5, 0x1.83f900537ca7fp-5, 0x1.81b7c0db39e5p-5, 0x1.7f6956ed1214ap-5, 0x1.7d0dd30912691p-5, 0x1.7aa546b620145p-5, 0x1.782fc4edca6cbp-5, 0x1.75ad628032cb5p-5, 0x1.731e360556c45p-5, 0x1.708257a1e21c3p-5, 0x1.6dd9e0e8fc128p-5, 0x1.6b24ecccd39a5p-5, 0x1.6863978c64d94p-5, 0x1.6595fea5d02ep-5, 0x1.62bc41109e408p-5, 0x1.5fd67f493dc5bp-5, 0x1.5ce4db62a38aep-5, 0x1.59e779389b756p-5, 0x1.56de7e01cb82fp-5, 0x1.53ca108f2b94bp-5, 0x1.50aa58db29c92p-5, 0x1.4d7f8019c509cp-5, 0x1.4a49b0a9ea9cap-5, 0x1.4709166d6ef45p-5, 0x1.43bddeaf137d1p-5, 0x1.406838366b333p-5, 0x1.3d08532f2c93fp-5, 0x1.399e612c4619p-5, 0x1.362a94fd658bcp-5, 0x1.32ad2280eb7f1p-5, 0x1.2f263ea7b3efdp-5, 0x1.2b961f8aa5fdcp-5, 0x1.27fcfc42b8c9ep-5, 0x1.245b0d5a60113p-5, 0x1.20b08c2e1c319p-5, 0x1.1cfdb39a560a7p-5, 0x1.1942bf6dd402cp-5, 0x1.157fec6a81e1ep-5, 0x1.11b578223004cp-5, 0x1.0de3a0f72b5d4p-5, 0x1.0a0aa61ae0109p-5, 0x1.062ac78fb095ap-5, 0x1.02444635ed5a7p-5, 0x1.fcaec78409e8p-6, 0x1.f4c8c5582a3fp-6, 0x1.ecd70c5b1be14p-6, 0x1.e4da23f16f623p-6, 0x1.dcd294c03ace9p-6, 0x1.d4c0e80b668e9p-6, 0x1.cca5a82b5ba9ep-6, 0x1.c48160795c6a5p-6, 0x1.bc549d6207b19p-6, 0x1.b41fec5a18c7cp-6, 0x1.abe3dba0de9c7p-6, 0x1.a3a0f9e43c0f5p-6, 0x1.9b57d5fdebd0ap-6, 0x1.9308feee497c1p-6, 0x1.8ab503db90152p-6, 0x1.825c741e768bbp-6, 0x1.79ffdf594f278p-6, 0x1.719fd5b401493p-6, 0x1.693ce80612e8ep-6, 0x1.60d7a773460fep-6, 0x1.5870a4ba5357p-6, 0x1.50087014605a5p-6, 0x1.479f98bfe5ef1p-6, 0x1.3f36acae8a71p-6, 0x1.36ce38d1af73dp-6, 0x1.2e66c9a0e80b1p-6, 0x1.2600eb95f9894p-6, 0x1.1d9d2b58815a4p-6, 0x1.153c15a55615bp-6, 0x1.0cde371378c54p-6, 0x1.04841b10e6e8cp-6, 0x1.f85c98ce349dp-7, 0x1.e7baa508631cbp-7, 0x1.d72365815fda3p-7, 0x1.c697e0c242ecdp-7, 0x1.b619195d5d505p-7, 0x1.a5a8108e034a4p-7, 0x1.9545c6cef9017p-7, 0x1.84f33c950b9c6p-7, 0x1.74b1721a6da3bp-7, 0x1.6481660e5e67dp-7, 0x1.5464139a34ee4p-7, 0x1.445a7070fcf78p-7, 0x1.34656b9b5f2d4p-7, 0x1.2485ed2e95e7cp-7, 0x1.14bcd6ebaa376p-7, 0x1.050b05b6e7b7p-7, 0x1.eae2a6e8fcce2p-8, 0x1.cbe1313c89defp-8, 0x1.ad135a3882ec9p-8, 0x1.8e7ad0444f57dp-8, 0x1.70193da229ffcp-8, 0x1.51f0449dfc317p-8, 0x1.34017c1f8017bp-8, 0x1.164e6c7d07158p-8, 0x1.f1b11cf977ec5p-9, 0x1.b74297e9f8393p-9, 0x1.7d5403b491a1ep-9, 0x1.43e806e946812p-9, 0x1.0b013b740e2d1p-9, 0x1.a54465fcb2c3cp-10, 0x1.359aefbfaaca4p-10, 0x1.8e162c6c89c08p-11, 0x1.66670157b11e6p-12, -0x1.2b45323ede22bp-14, -0x1.f76a4975c5d51p-12, -0x1.cfa94ebe0802dp-11, -0x1.509e7312576a7p-10, -0x1.b8340e120c518p-10, -0x1.0f48e0d970a16p-9, -0x1.41d9fff5be884p-9, -0x1.73cbae281021cp-9, -0x1.a51c430685556p-9, -0x1.d5ca22cf53c33p-9, -0x1.02e9e031cb7b8p-8, -0x1.1a9bcf637b74ap-8, -0x1.31fa29ef38ddbp-8, -0x1.49044521bb5dfp-8, -0x1.5fb981d40e656p-8, -0x1.76194ca25de34p-8, -0x1.8c231d996801bp-8, -0x1.a1d677886c901p-8, -0x1.b732e724bd7fep-8, -0x1.cc38023b60031p-8, -0x1.e0e5671784c9fp-8, -0x1.f53abc31fc8fdp-8, -0x1.049bd815f61efp-7, -0x1.0e6dfd0569e18p-7, -0x1.1813acc9d87d4p-7, -0x1.218ccbc555cd2p-7, -0x1.2ad942ec6651ap-7, -0x1.33f8ffd486999p-7, -0x1.3cebf4a5bf02bp-7, -0x1.45b217f2ac1c4p-7, -0x1.4e4b648effed2p-7, -0x1.56b7d97bdf5fap-7, -0x1.5ef779b379e43p-7, -0x1.670a4c327c282p-7, -0x1.6ef05b7bdc4p-7, -0x1.76a9b624b3dd2p-7, -0x1.7e366ebd4f53ep-7, -0x1.85969b4ad9cf6p-7, -0x1.8cca55a2cb5efp-7, -0x1.93d1bb4315efdp-7, -0x1.9aaced400698p-7, -0x1.a15c102a52c75p-7, -0x1.a7df4bffe7b35p-7, -0x1.ae36cc15ff238p-7, -0x1.b462bf048e74p-7, -0x1.ba635690a8c9p-7, -0x1.c038c78653a79p-7, -0x1.c5e349aed5c21p-7, -0x1.cb6318340e3b8p-7, -0x1.d0b870cef3018p-7, -0x1.d5e39415ab5f5p-7, -0x1.dae4c55e15a5ep-7, -0x1.dfbc4a632ad17p-7, -0x1.e46a6be24bc14p-7, -0x1.e8ef750122de7p-7, -0x1.ed4bb340eb721p-7, -0x1.f17f7683dd50ap-7, -0x1.f58b10f8c4ad4p-7, -0x1.f96ed6fe21293p-7, -0x1.fd2b1f082bfadp-7, -0x1.006020c9a77c7p-6, -0x1.02174c87aa243p-6, -0x1.03bb40eb7f3dep-6, -0x1.054c2d10f31b8p-6, -0x1.06ca40fc3a20dp-6, -0x1.0835ad9194256p-6, -0x1.098ea489f2ee2p-6, -0x1.0ad55864a309fp-6, -0x1.0c09fc56b72d6p-6, -0x1.0d2cc43a94a0ep-6, -0x1.0e3de4821fb45p-6, -0x1.0f3d922e9dc24p-6, -0x1.102c02cef9287p-6, -0x1.11096c828801fp-6, -0x1.11d605fca547p-6, -0x1.129206846bd77p-6, -0x1.133da6054a6abp-6, -0x1.13d91cf36ca6ap-6, -0x1.1464a434de8e5p-6, -0x1.14e075015b9f8p-6, -0x1.154cc8dad79bcp-6, -0x1.15a9d962a8447p-6, -0x1.15f7e049aa7c5p-6, -0x1.1637174b63588p-6, -0x1.1667b83834eacp-6, -0x1.1689fd1255b72p-6, -0x1.169e2042ad50dp-6, -0x1.16a45c58ce106p-6, -0x1.169cec80b43b9p-6, -0x1.16880c7443f57p-6, -0x1.1665f80a28485p-6, -0x1.1636eb538e3b7p-6, -0x1.15fb224e899d6p-6, -0x1.15b2d89ac8343p-6, -0x1.155e495eaabffp-6, -0x1.14fdaf106b999p-6, -0x1.1491438813e3ep-6, -0x1.1419401f45b07p-6, -0x1.1395ddf0649ffp-6, -0x1.13075629e75abp-6, -0x1.126de2646f0e1p-6, -0x1.11c9bceb77bc3p-6, -0x1.111b20e791939p-6, -0x1.10624a5751294p-6, -0x1.0f9f75cac39e4p-6, -0x1.0ed2dfe610d8cp-6, -0x1.0dfcc4bf81536p-6, -0x1.0d1d5f3602277p-6, -0x1.0c34e86126623p-6, -0x1.0b43973d8770bp-6, -0x1.0a49a0b000a8fp-6, -0x1.094737e9f5ce8p-6, -0x1.083c8f247ddacp-6, -0x1.0729d8962be72p-6, -0x1.060f477a2736dp-6, -0x1.04ed10f7f223p-6, -0x1.03c36cb6ed7e8p-6, -0x1.029294eb67191p-6, -0x1.015ac5b926885p-6, -0x1.001c3c0957e1ap-6, -0x1.fdae6853b05ep-7, -0x1.fb17cef8b5a91p-7, -0x1.f875156ec4911p-7, -0x1.f5c69afd8cee9p-7, -0x1.f30cb28a1536p-7, -0x1.f047a49651f5fp-7, -0x1.ed77b37b129fcp-7, -0x1.ea9d201791528p-7, -0x1.e7b82ff507b49p-7, -0x1.e4c933565bb2ap-7, -0x1.e1d089df010cp-7, -0x1.decea4c5e410fp-7, -0x1.dbc405cfd6bcep-7, -0x1.d8b13ad24a2ddp-7, -0x1.d596d630ebcafp-7, -0x1.d2756577428a8p-7, -0x1.cf4d67ad5bbcbp-7, -0x1.cc1f4531f8593p-7, -0x1.c8eb4aaf5843dp-7, -0x1.c5b1a82ea11b5p-7, -0x1.c272758be4253p-7, -0x1.bf2dba6198882p-7, -0x1.bbe3796f90075p-7, -0x1.b893bdbcc4024p-7, -0x1.b53ea6b5cf2d2p-7, -0x1.b1e47279eb727p-7, -0x1.ae8582490ef13p-7, -0x1.ab2257eddca59p-7, -0x1.a7bb8dd310fdcp-7, -0x1.a451c8ec9bdb4p-7, -0x1.a0e5a731d85fp-7, -0x1.9d77add9d268fp-7, -0x1.9a083beb2821p-7, -0x1.9697818b70e7dp-7, -0x1.93257fcb1159cp-7, -0x1.8fb211097ef83p-7, -0x1.8c3cf70125ffcp-7, -0x1.88c5ee9a93752p-7, -0x1.854cc3c9c264ap-7, -0x1.81d165ad5ed0bp-7, -0x1.7e53f7b5b7461p-7, -0x1.7ad4db040541ep-7, -0x1.7754aea582405p-7, -0x1.73d446a3189bap-7, -0x1.705498fcf19bep-7, -0x1.6cd6a3444009ep-7, -0x1.695b4c89869d6p-7, -0x1.65e348d4b287bp-7, -0x1.626f0367e9a32p-7, -0x1.5efe93e7aa0e2p-7, -0x1.5b91c0418df4ep-7, -0x1.58280a72f925fp-7, -0x1.54c0c6fadeee1p-7, -0x1.515b378da0195p-7, -0x1.4df6a5cf91486p-7, -0x1.4a927b02653a6p-7, -0x1.472e52ee92087p-7, -0x1.43ca09437d60ep-7, -0x1.4065c0f2536cep-7, -0x1.3d01e4c47127ep-7, -0x1.399f203a3a867p-7, -0x1.363e4ff5666cp-7, -0x1.32e06a60f067fp-7, -0x1.2f8662f38268dp-7, -0x1.2c310cb68871ap-7, -0x1.28e102179b328p-7, -0x1.259697d1fee7ep-7, -0x1.2251de46cb22p-7, -0x1.1f12b05e5f361p-7, -0x1.1bd8ca8f14e6ap-7, -0x1.18a3e1f8694dp-7, -0x1.1573b436648f3p-7, -0x1.12480c9184a2bp-7, -0x1.0f20c0926b7d5p-7, -0x1.0bfdaa4add76bp-7, -0x1.08dea6aa2a7acp-7, -0x1.05c39b93c9c3bp-7, -0x1.02ac83d5467e5p-7, -0x1.ff32f61534eb1p-8, -0x1.f915844c142b7p-8, -0x1.f3016f6791552p-8, -0x1.ecf788217ae58p-8, -0x1.e6f87eb462ac4p-8, -0x1.e104b5214687ap-8, -0x1.db1c298877f13p-8, -0x1.d53e83c993669p-8, -0x1.cf6b46f0c02d4p-8, -0x1.c9a21227e0e69p-8, -0x1.c3e2dcf49d0c9p-8, -0x1.be2e121d0966bp-8, -0x1.b88477600190dp-8, -0x1.b2e6e532ed6eap-8, -0x1.ad55e7d6a14cp-8, -0x1.a7d1728affcddp-8, -0x1.a258caa02af3ap-8, -0x1.9ceab99d08646p-8, -0x1.9785f513aaefp-8, -0x1.92298c63a542ap-8, -0x1.8cd55fcf07ae9p-8, -0x1.8789c3eb2082fp-8, -0x1.8247cf0983858p-8, -0x1.7d1076d905da4p-8, -0x1.77e48000ff1b8p-8, -0x1.72c434af42fc5p-8, -0x1.6daf780d56bbap-8, -0x1.68a60248f2bdp-8, -0x1.63a7aac97c2c7p-8, -0x1.5eb4a3c382561p-8, -0x1.59cd979ef18f2p-8, -0x1.54f3a35369711p-8, -0x1.50282cd7eec6ap-8, -0x1.4b6c915d7c87cp-8, -0x1.46c1bcc4826e2p-8, -0x1.4227c996699a9p-8, -0x1.3d9dd3e69c445p-8, -0x1.39221cf320579p-8, -0x1.34b2822e81ea2p-8, -0x1.304d1c4d6098cp-8, -0x1.2bf0c48efacb8p-8, -0x1.279d451b2d98fp-8, -0x1.23531d1473d9ap-8, -0x1.1f12f5625a2cep-8, -0x1.1add0bb29fbcdp-8, -0x1.16b0dc690990dp-8, -0x1.128d4390f227cp-8, -0x1.0e70ef091e5cep-8, -0x1.0a5af55cc7495p-8, -0x1.064b403ba0925p-8, -0x1.0242b2638bb0ap-8, -0x1.fc8604408200bp-9, -0x1.f49caf69568a9p-9, -0x1.eccda0ea2daefp-9, -0x1.e51c1f4c9e419p-9, -0x1.dd89fade52575p-9, -0x1.d617796daa1cdp-9, -0x1.cec366b3c4a31p-9, -0x1.c78b3ae1fa41p-9, -0x1.c06b70705840cp-9, -0x1.b9603a4ba2066p-9, -0x1.b266974f2164bp-9, -0x1.ab7d4e135e494p-9, -0x1.a4a548d7091b9p-9, -0x1.9de12a5847a08p-9, -0x1.97344c4a67c45p-9, -0x1.90a194327efdfp-9, -0x1.8a2a89a2bfff5p-9, -0x1.83cee219b660cp-9, -0x1.7d8c9db5462fap-9, -0x1.776088b47f148p-9, -0x1.7146fad82a114p-9, -0x1.6b3ccfffcdecbp-9, -0x1.654063bf979efp-9, -0x1.5f51ec47a4d9cp-9, -0x1.5972d1c1b81d3p-9, -0x1.53a47088dafa7p-9, -0x1.4de73af26f46ep-9, -0x1.483ace4a38cf2p-9, -0x1.429ebf360a5e6p-9, -0x1.3d1367c0f03c5p-9, -0x1.379a1842ad1adp-9, -0x1.323480dd5c503p-9, -0x1.2ce3b46665cdp-9, -0x1.27a7799fdc86fp-9, -0x1.227e704a0feecp-9, -0x1.1d66db3615095p-9, -0x1.185f46379a8cfp-9, -0x1.1366934d1d307p-9, -0x1.0e7bf7e131a26p-9, -0x1.099f9b1ea5f59p-9, -0x1.04d3661dc3bc6p-9, -0x1.001ad24e58f86p-9, -0x1.f6f2873054a4fp-10, -0x1.eddfd35367c8dp-10, -0x1.e4f97f3886661p-10, -0x1.dc388de9a3b1ap-10, -0x1.d39862ee0c55dp-10, -0x1.cb1a7462ad298p-10, -0x1.c2c3d4e7acd84p-10, -0x1.ba9803043db54p-10, -0x1.b295ac57f2d58p-10, -0x1.aab6ec8bcd896p-10, -0x1.a2f35fe004ad9p-10, -0x1.9b4266fa57419p-10, -0x1.939d41c67dcffp-10, -0x1.8c010261c39c8p-10, -0x1.846fccbec7766p-10, -0x1.7cf07da00f488p-10, -0x1.758c59055b402p-10, -0x1.6e4b92e0d7a06p-10, -0x1.67327ef863104p-10, -0x1.6040fdb68e48cp-10, -0x1.5973e1c115aeap-10, -0x1.52c5f8cc24821p-10, -0x1.4c2fa98ad6109p-10, -0x1.45a88bbc81b17p-10, -0x1.3f2d9fe70bd1cp-10, -0x1.38c650e9204a1p-10, -0x1.327fe0a3f1248p-10, -0x1.2c61c86f6f813p-10, -0x1.26669896c07ep-10, -0x1.2081c18be09cfp-10, -0x1.1aac442858679p-10, -0x1.14e9e293f21c2p-10, -0x1.0f42b682299fp-10, -0x1.09baee16e214fp-10, -0x1.04516e189f3c5p-10, -0x1.fe074ec08466cp-11, -0x1.f3a012f3c3045p-11, -0x1.e96c29cf5bdd1p-11, -0x1.df6b279f20fb3p-11, -0x1.d5998151cff18p-11, -0x1.cbef68c9925p-11, -0x1.c2620dd4e35dcp-11, -0x1.b8e778bbb4a2p-11, -0x1.af7baa95d195cp-11, -0x1.a624210f00bd2p-11, -0x1.9ceeaad63483cp-11, -0x1.93eb022876c8ep-11, -0x1.8b226510caaa6p-11, -0x1.829367a74e561p-11, -0x1.7a36a21162b2dp-11, -0x1.72066df7ae92p-11, -0x1.69fd3f2d1254p-11, -0x1.621018b1b264fp-11, -0x1.5a38edfd03492p-11, -0x1.5284a57f664b1p-11, -0x1.4b042b1a7c50ep-11, -0x1.43b0d893e79edp-11, -0x1.3c71029e4203bp-11, -0x1.3539867ac6b17p-11, -0x1.2e1a650dafdd9p-11, -0x1.272634408c7c4p-11, -0x1.205edfa027dd4p-11, -0x1.19bbbf579c41p-11, -0x1.133536894af3p-11, -0x1.0cc8622ecdc87p-11, -0x1.0675f27e2c4cap-11, -0x1.0040d8a981597p-11, -0x1.f45b4c9db53a9p-12, -0x1.e88336dd9e3a4p-12, -0x1.dd0139dc878f1p-12, -0x1.d1d442439a7fcp-12, -0x1.c6ebfe8e405bdp-12, -0x1.bc28ef78d2efp-12, -0x1.b16cd219e6edbp-12, -0x1.a6b507fbc15ep-12, -0x1.9c207db498053p-12, -0x1.91d1c473dd4b7p-12, -0x1.87ccd72fcae92p-12, -0x1.7dfbfdf21812p-12, -0x1.7455470f09c99p-12, -0x1.6aea4953f644p-12, -0x1.61d1a32a42b21p-12, -0x1.590d4883e189ap-12, -0x1.507f0e173e869p-12, -0x1.480140c046704p-12, -0x1.3f985fc2f8038p-12, -0x1.375cbdfd6e7e8p-12, -0x1.2f3dab19880e6p-12, -0x1.2724ee21f94b5p-12, -0x1.1f2f667566e2cp-12, -0x1.177eed2ac46f6p-12, -0x1.100d8b169a3d5p-12, -0x1.08c63deddea31p-12, -0x1.019d9bb54c2edp-12, -0x1.f5232b81bc8d1p-13, -0x1.e746bc2c6e4bbp-13, -0x1.d9a91e8e4e475p-13, -0x1.cc5006f69241ep-13, -0x1.bf453a1b3fc1bp-13, -0x1.b2964d48abaccp-13, -0x1.a6505550c7237p-13, -0x1.9a7a7b4ccd262p-13, -0x1.8f092bbb24afap-13, -0x1.83ccfc6a29ae6p-13, -0x1.7891ec4c33b2cp-13, -0x1.6d6ab1c4101b3p-13, -0x1.6296c368c81bep-13, -0x1.58127086044bep-13, -0x1.4da79ca7ec35ap-13, -0x1.43640d1e7218bp-13, -0x1.397e27d5e3694p-13, -0x1.2ff92374b67cp-13, -0x1.26b2855e3e486p-13, -0x1.1d8ed1b0a80aap-13, -0x1.1488bc4d0c0f8p-13, -0x1.0bba0d2ffba7cp-13, -0x1.034941a2b9dcep-13, -0x1.f64d870f25431p-14, -0x1.e63b90cb2763dp-14, -0x1.d65d24163ff5fp-14, -0x1.c6a0a17f42652p-14, -0x1.b7092b5e46dbfp-14, -0x1.a80cfdc3035f9p-14, -0x1.99bb69a90daabp-14, -0x1.8bcd1585fcb4dp-14, -0x1.7e1d7d0247d15p-14, -0x1.70ac17958526p-14, -0x1.637ff017917bp-14, -0x1.569d897a38634p-14, -0x1.4a07bd5691fd3p-14, -0x1.3dc219ac757dep-14, -0x1.31d0369516e31p-14, -0x1.2634f656fac55p-14, -0x1.1afc9a1289886p-14, -0x1.10413b94eab51p-14, -0x1.05f167077508fp-14, -0x1.f78319d20ef2ap-15, -0x1.e36cbabe62d53p-15, -0x1.cfc5f1c8c891ep-15, -0x1.bc350ad6c7404p-15, -0x1.a9399de135d2fp-15, -0x1.974b001eebab4p-15, -0x1.860d4e86b9e4ap-15, -0x1.752bf7e425fbbp-15, -0x1.6499b56ba39b9p-15, -0x1.5461325c7159p-15, -0x1.448c343cc5c4ap-15, -0x1.35211132587e9p-15, -0x1.26253508004aep-15, -0x1.17923d46ce806p-15, -0x1.095d96c63092fp-15, -0x1.f71ddc464e69ep-16, -0x1.dcc63487728dep-16, -0x1.c3fbcda57f8c5p-16, -0x1.abc9e371899e1p-16, -0x1.93849c7722817p-16, -0x1.7b5ec3f4504fp-16, -0x1.6460c54476d9dp-16, -0x1.4eb17f2d8871fp-16, -0x1.39ad2e303b619p-16, -0x1.2520a0d1e79b3p-16, -0x1.11190c8b44b2fp-16, -0x1.fb43bec833993p-17, -0x1.d57b7c47f9ccfp-17, -0x1.b0d45917d7ddfp-17, -0x1.8d3a59809a5c7p-17, -0x1.6ab0c288fb122p-17, -0x1.49e0b2504ef9cp-17, -0x1.2b839812324c6p-17, -0x1.0e3e8ad534406p-17, -0x1.e1e2bfe9261e8p-18, -0x1.a73fc76d049efp-18, -0x1.6f3cdc0137256p-18, -0x1.3b5080a2695cdp-18, -0x1.096b7452b3c12p-18, -0x1.b18a70bf01c7ep-19, -0x1.532226d498805p-19, -0x1.f0489ba7a9912p-20, -0x1.41494c04c8a87p-20, -0x1.32a9478b54889p-21, 0x1.f2daca3b3970ap-26, 0x1.44859e18f5b4ep-21, 0x1.364e58497b38ep-20, 0x1.c430cfd4103f7p-20, 0x1.2613cd4000bc1p-19, 0x1.67306b9748d0ep-19, 0x1.a5740cbbeb663p-19, 0x1.e0e2c2ce4c598p-19, 0x1.0cc3a17a8d498p-18, 0x1.27c9c1953773dp-18, 0x1.41ac814646166p-18, 0x1.5a456082940c4p-18, 0x1.70fdec0c984dcp-18, 0x1.8696df050aa12p-18, 0x1.9be4cba7e58e5p-18, 0x1.afb72f272dc4cp-18, 0x1.c1fc54056c40ep-18, 0x1.d36329c0bafe2p-18, 0x1.e3f7a16254157p-18, 0x1.f3a1d24f6d88p-18, 0x1.01330d1b4a5aap-17, 0x1.0822d8a4a89dbp-17, 0x1.0e68bbb27f20ep-17, 0x1.13f61f309f716p-17, 0x1.1963b3318fe49p-17, 0x1.1e9cb37ff2faep-17, 0x1.232a4ad149691p-17, 0x1.27457a3347be3p-17, 0x1.2b0fb96e1ea1p-17, 0x1.2e8231f4e6c3cp-17, 0x1.319851dfcc3eep-17, 0x1.34537a4636894p-17, 0x1.36b5cca117744p-17, 0x1.38c29f05bca7ep-17, 0x1.3a7cfef410b56p-17, 0x1.3be794a416b2dp-17, 0x1.3d051a1a1d682p-17, 0x1.3dd809a502959p-17, 0x1.3e630953604ep-17, 0x1.3ea8a45c0e5a4p-17, 0x1.3eab4bd0fe5bp-17, 0x1.3e6d4993ca94ap-17, 0x1.3df0c13a28742p-17, 0x1.3d37a5372b07cp-17, 0x1.3c451bcf50d4fp-17, 0x1.3b19a1ed49d25p-17, 0x1.39b72c7a49cbep-17, 0x1.381ee90d11fe8p-17, 0x1.3653ff6b73759p-17, 0x1.345cf43777fabp-17, 0x1.3237bd9142f83p-17, 0x1.2fe6d0042c58ap-17, 0x1.2d66ab08ec224p-17, 0x1.2aba1888a606ap-17, 0x1.27e83bf7f146dp-17, 0x1.24f2b42cc82cbp-17, 0x1.21dc1d78b0d93p-17, 0x1.1ea3b1a54c4a2p-17, 0x1.1b4433094e3d1p-17, 0x1.17d0f9d806da9p-17, 0x1.1430ccf068a74p-17, 0x1.107c2023e20fcp-17, 0x1.0cb58bffc1004p-17, 0x1.08cc52af50341p-17, 0x1.04c64bec7e182p-17, 0x1.00a8bd904ad97p-17, 0x1.f8e8889230fbep-18, 0x1.f0587996235cap-18, 0x1.e7a22fca78e3fp-18, 0x1.dec75f671f459p-18, 0x1.d5ca2d429a6cp-18, 0x1.ccac968498804p-18, 0x1.c3709b3d35457p-18, 0x1.ba184f68d6ep-18, 0x1.b0a5e53bf4f6ap-18, 0x1.a718da0894f86p-18, 0x1.9d7982b090748p-18, 0x1.93c33f16a0321p-18, 0x1.89fa41c249c88p-18, 0x1.8020324e7eb35p-18, 0x1.7636a88ab8ea4p-18, 0x1.6c3f4025bffbap-18, 0x1.623b8dd7426b4p-18, 0x1.582eb74383abep-18, 0x1.4e1492f993bd2p-18, 0x1.43f733bd39303p-18, 0x1.39d200cf64482p-18, 0x1.2fa939c792efp-18, 0x1.257d227ef4ff8p-18, 0x1.1b4eed201f266p-18, 0x1.111e2f257f102p-18, 0x1.06eb699604c64p-18, 0x1.f96d6843ab8b7p-19, 0x1.e51258061e3edp-19, 0x1.d0cde9eeed18p-19, 0x1.bc944b14b9655p-19, 0x1.a83c2f4d15b44p-19, 0x1.93dbef456d2p-19, 0x1.7f942cca7a09p-19, 0x1.6bc91f023fd05p-19, 0x1.58060319a796ap-19, 0x1.442910b3ef91p-19, 0x1.304e40fb6810dp-19, 0x1.1c89e55e9b8cdp-19, 0x1.08dfed704b5bdp-19, 0x1.eabc5c6a73d44p-20, 0x1.c40a8ed2038edp-20, 0x1.9d5d2dc5d928cp-20, 0x1.771d82f6c162ap-20, 0x1.50f27e755964dp-20, 0x1.2b0dcdfe211d8p-20, 0x1.058b37d0b1a51p-20, 0x1.c0a3b0ac9bb2ep-21, 0x1.76b6500adaf86p-21, 0x1.2d57e6f00f0c8p-21, 0x1.c96d79224992cp-22, 0x1.374265f17cff5p-22, 0x1.5452ca1e8ed18p-23, 0x1.c881b8617a917p-26, -0x1.bf9139c180951p-24, -0x1.f5b3dd1e97078p-23, -0x1.8460660aa7f67p-22, -0x1.064348f7b8d0fp-21, -0x1.49a625e4474ffp-21, -0x1.8c5335fb9257cp-21, -0x1.ce44828a962dcp-21, -0x1.07bc953f2b4ebp-20, -0x1.27f7b820e09ffp-20, -0x1.47d04b51773e1p-20, -0x1.6748b704e5511p-20, -0x1.865e6ba4060eap-20, -0x1.a510124a90295p-20, -0x1.c35cf76bd4a3dp-20, -0x1.e13f6e2058b1cp-20, -0x1.fed6286118c18p-20, -0x1.0dfbbb84986d9p-19, -0x1.1c552ff010281p-19, -0x1.2a7d1d262d7f1p-19, -0x1.3890604f9507ep-19, -0x1.4660f43e44a0cp-19, -0x1.53d3dd4eebfa6p-19, -0x1.612931cc0523bp-19, -0x1.6e511a8b7a09dp-19, -0x1.7b43f23da1772p-19, -0x1.8816b194802a5p-19, -0x1.94a1322cae568p-19, -0x1.a0f754d2c349ep-19, -0x1.ad1b93b773ccp-19, -0x1.b90a865086ae2p-19, -0x1.c4c6bb6df5eddp-19, -0x1.d052f5fa16aeap-19, -0x1.dba394af27db3p-19, -0x1.e6c513318bf05p-19, -0x1.f1b3e73bd4533p-19, -0x1.fc72cee7b8bap-19, -0x1.03806eb9086c9p-18, -0x1.08a137e097e85p-18, -0x1.0dac9138b6b8p-18, -0x1.12a66b09fbfabp-18, -0x1.177c4605c1b55p-18, -0x1.1c405a7372dbdp-18, -0x1.20f4eb2e22508p-18, -0x1.2584f7d72729p-18, -0x1.29fb1ea3eacc6p-18, -0x1.2e59e3fbb16f5p-18, -0x1.32a03b16663b3p-18, -0x1.36ca98291b039p-18, -0x1.3ae27ad14c018p-18, -0x1.3edf473e21112p-18, -0x1.42c405b4eb0efp-18, -0x1.46910d2997ee4p-18, -0x1.4a45286b72777p-18, -0x1.4dda230bb3da7p-18, -0x1.5171f5088582ap-18, -0x1.54ce7b81a7e6ep-18, -0x1.5828829454a3dp-18, -0x1.5b6857b838923p-18, -0x1.5e8f3d40caa5bp-18, -0x1.619fbd80fa32p-18, -0x1.649a0fe36978bp-18, -0x1.677e4dee4988ap-18, -0x1.6a4bb3841a481p-18, -0x1.6d018bd4782fcp-18, -0x1.6fa89fd238a95p-18, -0x1.72304d71f5f62p-18, -0x1.74a29cd7672cdp-18, -0x1.770837e7b976cp-18, -0x1.79594f3c1a899p-18, -0x1.7b95b36b69f6cp-18, -0x1.7db5fbf70b8edp-18, -0x1.7fbd3aa1e8d53p-18, -0x1.81b75673ed2dfp-18, -0x1.839de3cd89f58p-18, -0x1.857037b1a65f9p-18, -0x1.872e876e68436p-18, -0x1.88d90fd29d0e4p-18, -0x1.8a6fe155997abp-18, -0x1.8bf0b41451cc7p-18, -0x1.8d8229422668fp-18, -0x1.8ec639a1549b7p-18, -0x1.901908df57989p-18, -0x1.91486ed30ac5cp-18, -0x1.9273ba9e04b7fp-18, -0x1.9386ee513de82p-18, -0x1.94878401ec079p-18, -0x1.95874662baa99p-18, -0x1.9667ccfbd47b1p-18, -0x1.97351c7c960a1p-18, -0x1.97f40cdc5d9b1p-18, -0x1.98a3531512003p-18, -0x1.9942e0798e22bp-18, -0x1.99d182cdad3acp-18, -0x1.9a509392f142fp-18, -0x1.9ac07a6b4a87ep-18, -0x1.9b202eaebe98ep-18, -0x1.9b709fac97f61p-18, -0x1.9bb2508fccc73p-18, -0x1.9be4e83017149p-18, -0x1.9c0a56e6eda5dp-18, -0x1.9c22cad498e3dp-18, -0x1.9c29263b2ab15p-18, -0x1.9c17ce519f703p-18, -0x1.9c0330f999f75p-18, -0x1.9be94ee89ddcfp-18, -0x1.9bbfef76fe1ecp-18, -0x1.9b8699e20f25p-18, -0x1.9b30004c0d9b4p-18, -0x1.9ad8948af246bp-18, -0x1.9a77aef7ba3e5p-18, -0x1.9a2ffcffe35c9p-18, -0x1.99873a8d5d49bp-18, -0x1.99016bd72b2a8p-18, -0x1.986f0773bef5p-18, -0x1.97cdeca6bfe18p-18, -0x1.97232183a4afbp-18, -0x1.966cb3be82f85p-18, -0x1.95aae4b30accfp-18, -0x1.94de38ba21a66p-18, -0x1.9407bdd5352dp-18, -0x1.9329bbf175346p-18, -0x1.92423b86ffb76p-18, -0x1.913afd4d772dbp-18, -0x1.903d5dcf6ccc2p-18, -0x1.8f47c729a7851p-18, -0x1.8e25d473a6582p-18, -0x1.8d0e223b9a42dp-18, -0x1.8be2285d2afb3p-18, -0x1.8ab0a8b0da02cp-18, -0x1.897818863683dp-18, -0x1.8837ef7b0940bp-18, -0x1.86f117afe627ap-18, -0x1.85a0b31e3cc6p-18, -0x1.8440c2a689c5bp-18, -0x1.82d6c0ddd19a6p-18, -0x1.816f8009f479cp-18, -0x1.8075867b6e70ep-18, -0x1.7e8c6a7ca509ap-18, -0x1.7d0a6b9a97f18p-18, -0x1.7b6740e79d6fp-18, -0x1.79f11b0cb0a8cp-18, -0x1.785b64870838cp-18, -0x1.76bd801170137p-18, -0x1.7508cba68e52dp-18, -0x1.73739de240e1bp-18, -0x1.71c379d2d2608p-18, }}, 
      {{0x1.d19c45d84599cp-5, 0x1.bd4382b1e9803p-4, 0x1.3722b8a95b8afp-3, 0x1.79b5dfbfdd46cp-3, 0x1.a51578bd2ec12p-3, 0x1.ba2abc6a168ccp-3, 0x1.bb4d4ad8bf987p-3, 0x1.ab9fdb018ebedp-3, 0x1.8e9390da21bcfp-3, 0x1.679106db5d698p-3, 0x1.39c10bea3acbbp-3, 0x1.07eda5517a651p-3, 0x1.a8e8bcd302e07p-4, 0x1.42885e72da2f4p-4, 0x1.bf8a7d9ed3365p-5, 0x1.05d450f004316p-5, 0x1.6cc353fb4f6f1p-7, -0x1.f1fefea38932cp-8, -0x1.8aa0fa5a68fd9p-6, -0x1.39998c3f670b6p-5, -0x1.9b508c2fdc00bp-5, -0x1.eb23ac3b5a46p-5, -0x1.150d27e76533bp-4, -0x1.2cbd21b76bff1p-4, -0x1.3d58aeb86cedfp-4, -0x1.47a19584c34bep-4, -0x1.4c5d1eb3c5135p-4, -0x1.4c4e53271ba27p-4, -0x1.48319a91eec4cp-4, -0x1.40b98581aa423p-4, -0x1.368c9227b24b5p-4, -0x1.2a43bfb9370ddp-4, -0x1.1c69c909990ddp-4, -0x1.0d7ae39ef2bdp-4, -0x1.fbc9cb1cf154fp-5, -0x1.dc0f714b7682bp-5, -0x1.bc6c09ee1bc9fp-5, -0x1.9d6c04eced0dcp-5, -0x1.7f84c65e913a5p-5, -0x1.631691bae483cp-5, -0x1.486e7fd58096ep-5, -0x1.2fc8736bd69dap-5, -0x1.1950f8a967ca6p-5, -0x1.05270d4a9a8a1p-5, -0x1.e6bbaca054577p-6, -0x1.c7fc6db2b04fep-6, -0x1.ae107eee7866fp-6, -0x1.98e8fb0ba175p-6, -0x1.886a69fa52587p-6, -0x1.7c6ef6db1229cp-6, -0x1.74c861168987ap-6, -0x1.7141ac83c8933p-6, -0x1.71a0a8608611fp-6, -0x1.75a750d6b6042p-6, -0x1.7d15035eddbddp-6, -0x1.87a7871aeee73p-6, -0x1.951bebe185fb4p-6, -0x1.a52f47ac01e7cp-6, -0x1.b79f5b867debp-6, -0x1.cc2b216aa1b39p-6, -0x1.e29342b3ba0dp-6, -0x1.fa9a76c96d21p-6, -0x1.0a02e718509ccp-5, -0x1.174e7657148e5p-5, -0x1.251519e6f2606p-5, -0x1.333d70ec285a6p-5, -0x1.41af935f78bc9p-5, -0x1.505517de1585dp-5, -0x1.5f1914f464911p-5, -0x1.6de8203e95a13p-5, -0x1.7cb0483864577p-5, -0x1.8b610cc423008p-5, -0x1.99eb56416839p-5, -0x1.a84169423a825p-5, -0x1.b656d8cf865f2p-5, -0x1.c4207aa494348p-5, -0x1.d19456b48b5b2p-5, -0x1.dea99923f9b7p-5, -0x1.eb58821791b92p-5, -0x1.f79a56dfb0762p-5, -0x1.01b4a94a10cbap-4, -0x1.07604b0bca295p-4, -0x1.0cce0cbcff344p-4, -0x1.11fc4dc9a00c5p-4, -0x1.16e9ca710a36fp-4, -0x1.1b959414371dcp-4, -0x1.1fff0af3754e2p-4, -0x1.2425d6ed0a4b7p-4, -0x1.2809e146c07a7p-4, -0x1.2bab4f57b4927p-4, -0x1.2f0a7cd832efp-4, -0x1.3227f663f421p-4, -0x1.35047444cdd1fp-4, -0x1.37a0d69aea42cp-4, -0x1.39fe1fc6117e2p-4, -0x1.3c1d7153a31b4p-4, -0x1.3e0006faa1d67p-4, -0x1.3fa7348e29bd9p-4, -0x1.4114612f428cbp-4, -0x1.4249049747fc8p-4, -0x1.4346a4e47fa5ep-4, -0x1.440ed29307d91p-4, -0x1.44a327e6db704p-4, -0x1.45054549ea76p-4, -0x1.4536d0246805fp-4, -0x1.453970a40bea6p-4, -0x1.450ed0c3e6038p-4, -0x1.44b89972af2b7p-4, -0x1.443873095c007p-4, -0x1.439002dffb098p-4, -0x1.42c0e9ca6916ap-4, -0x1.41ccc55bfb379p-4, -0x1.40b52c45a7379p-4, -0x1.3f7baf92e8385p-4, -0x1.3e21d896bb4d2p-4, -0x1.3ca92a124efebp-4, -0x1.3b131e121f0c3p-4, -0x1.396125f51f48dp-4, -0x1.3794aac621cf9p-4, -0x1.35af0c2c21178p-4, -0x1.33b1a089c1716p-4, -0x1.319db4a4b7996p-4, -0x1.2f748b84df1d4p-4, -0x1.2d375ee3ae3f7p-4, -0x1.2ae75e7d3e7ffp-4, -0x1.2885b078e49f1p-4, -0x1.2613710897a19p-4, -0x1.2391b2d708babp-4, -0x1.21017e678d983p-4, -0x1.1e63d40c6fb3bp-4, -0x1.1bb9a991348aep-4, -0x1.1903ebe51255p-4, -0x1.16437e558c918p-4, -0x1.13793c500d9c8p-4, -0x1.10a5f799142a2p-4, -0x1.0dca79ac55544p-4, -0x1.0ae7835107242p-4, -0x1.07fdce28560bbp-4, -0x1.050e099e49459p-4, -0x1.0218dfd7e7d41p-4, -0x1.fe3de359fa2dcp-5, -0x1.f841b2454d063p-5, -0x1.f23e517364995p-5, -0x1.ec34daa272335p-5, -0x1.e62654c96436ep-5, -0x1.e013bedac547ap-5, -0x1.d9fe0910f3a48p-5, -0x1.d3e6176a9a39ap-5, -0x1.cdccc2603af53p-5, -0x1.c7b2d6c5d996ep-5, -0x1.c199163a2a158p-5, -0x1.bb803a72a2a0ep-5, -0x1.b568ecc25c63dp-5, -0x1.af53d497fa165p-5, -0x1.a94189f7c4acap-5, -0x1.a3329e5a5b7b7p-5, -0x1.9d279a9c05e69p-5, -0x1.9720fee9439b1p-5, -0x1.911f432cc7ccp-5, -0x1.8b22d9756eb6bp-5, -0x1.852c29c591d08p-5, -0x1.7f3b96543ebd9p-5, -0x1.79517d2dd44bap-5, -0x1.736e32b7f595dp-5, -0x1.6d920702240adp-5, -0x1.67bd44178cd2cp-5, -0x1.61f02e9b6c0cbp-5, -0x1.5c2b0605d4becp-5, -0x1.566e0470b5e58p-5, -0x1.50b9622c062e4p-5, -0x1.4b0d4da331d03p-5, -0x1.4569f400580a6p-5, -0x1.3fcf825a59f1bp-5, -0x1.3a3e1befca9cp-5, -0x1.34b5e3732b51fp-5, -0x1.2f36f7f179b76p-5, -0x1.29c1754eb968cp-5, -0x1.245574793e6fcp-5, -0x1.1ef30b8a90e24p-5, -0x1.199a4e35e073ep-5, -0x1.144b4ce6234bcp-5, -0x1.0f0619ad325ccp-5, -0x1.09cabc244cb7ap-5, -0x1.049943f35f137p-5, -0x1.fee36fc1696e2p-6, -0x1.f4a83efc4f9p-6, -0x1.ea81014a62b84p-6, -0x1.e06dbf21c1035p-6, -0x1.d66e80425c5f1p-6, -0x1.cc83457beaefdp-6, -0x1.c2ac0fa6a62bcp-6, -0x1.b8e8e0a438852p-6, -0x1.af39b377fe17cp-6, -0x1.a59e82eb61442p-6, -0x1.9c174b8b68bebp-6, -0x1.92a4036564e45p-6, -0x1.89449e04e6fa4p-6, -0x1.7ff9188c7e4ddp-6, -0x1.76c162d70c5c2p-6, -0x1.6d9d71d2ff0e8p-6, -0x1.648d38a6360b6p-6, -0x1.5b90a98813a4bp-6, -0x1.52a7b61290cecp-6, -0x1.49d24f59eab0fp-6, -0x1.4110662477f21p-6, -0x1.3861eae2f7cd5p-6, -0x1.2fc6cdb7bc962p-6, -0x1.273efe742723cp-6, -0x1.1eca6c81789f9p-6, -0x1.166906123b7bp-6, -0x1.0e1ac227c8bdep-6, -0x1.05df84541689bp-6, -0x1.fb6e899dfb754p-7, -0x1.eb43e37b0102cp-7, -0x1.db3ef46527859p-7, -0x1.cb5f9be4b1206p-7, -0x1.bba5bb85f5472p-7, -0x1.ac113431a1e0ep-7, -0x1.9ca1e7efdf474p-7, -0x1.8d57b811f5809p-7, -0x1.7e32871f465e8p-7, -0x1.6f32385681cccp-7, -0x1.6056afd3322f8p-7, -0x1.519fd2588397cp-7, -0x1.430d851401869p-7, -0x1.349fadbb5616fp-7, -0x1.265632898a4e3p-7, -0x1.1830f8f297fa9p-7, -0x1.0a2ff2672588p-7, -0x1.f8a5f4522f219p-8, -0x1.dd33fd5b6b8cbp-8, -0x1.c209e0c3ee83ep-8, -0x1.a72766f8f2e4p-8, -0x1.8c8c6a3c11522p-8, -0x1.7238c3369980cp-8, -0x1.582c4b38c0c8ap-8, -0x1.3e66dc84b1e4dp-8, -0x1.24e85a97613e8p-8, -0x1.0bb09776aab46p-8, -0x1.e57eeb0487444p-9, -0x1.b429af853f44bp-9, -0x1.83613b13d11c7p-9, -0x1.53254c4ed3c16p-9, -0x1.2375aa2bab293p-9, -0x1.e8a435c19810cp-10, -0x1.8b74cd5c2cc7ep-10, -0x1.2f5cada692d7dp-10, -0x1.a8b6d13a00215p-11, -0x1.e9c2268362f82p-12, -0x1.0cdf1e806af9fp-13, 0x1.b1199232f35d8p-13, 0x1.199a444cf44c8p-11, 0x1.c4c3f9948f057p-11, 0x1.36e261f439987p-10, 0x1.8a4ea58c6fc31p-10, 0x1.dca725bdae91dp-10, 0x1.16f6210eac499p-9, 0x1.3f0f2cb443fa1p-9, 0x1.669ee50cc94c6p-9, 0x1.8da57aca09517p-9, 0x1.b4231f439204dp-9, 0x1.da1802ef73ee5p-9, 0x1.ff8458f2e62ffp-9, 0x1.12342985e4fa7p-8, 0x1.246213ad7ac77p-8, 0x1.364c05612a2fp-8, 0x1.47f219fc2b17fp-8, 0x1.59546e248090cp-8, 0x1.6a731e0df8494p-8, 0x1.7b4e42ba3cf23p-8, 0x1.8be603a3f7dd6p-8, 0x1.9c3a810fce33ap-8, 0x1.ac4bd5025ad93p-8, 0x1.bc1a23ff65a89p-8, 0x1.cba5877794d7ep-8, 0x1.daee418303534p-8, 0x1.e9f4572e9bcf8p-8, 0x1.f8b7fe6eac519p-8, 0x1.039cafda0c427p-7, 0x1.0abc51c7c3ce8p-7, 0x1.11bafa3b2d39fp-7, 0x1.1898bff0f257cp-7, 0x1.1f55ba18ed248p-7, 0x1.25f2009f3a2e2p-7, 0x1.2c6dac31060fbp-7, 0x1.32c8d6502fe14p-7, 0x1.3903994ec3cbdp-7, 0x1.3f1e10550bee9p-7, 0x1.4518576d6d103p-7, 0x1.4af28bd47127fp-7, 0x1.50accae571ceep-7, 0x1.56473396ca5b5p-7, 0x1.5bc1e520328f3p-7, 0x1.611d001222a6fp-7, 0x1.6658a5d73e8b5p-7, 0x1.6b74f8cebed88p-7, 0x1.70721c5462863p-7, 0x1.755034afdd13ep-7, 0x1.7a0f671f742cdp-7, 0x1.7eafda0aa5cdp-7, 0x1.8331b5612ebaep-7, 0x1.8795211ef4d9dp-7, 0x1.8bda4113310a7p-7, 0x1.90014ca4b98aap-7, 0x1.940a62c6fd1b7p-7, 0x1.97f5b3deaa263p-7, 0x1.9bc36b949cd76p-7, 0x1.9f73bc38d0775p-7, 0x1.a306d3d30b297p-7, 0x1.a67ce04885b75p-7, 0x1.a9d613daa0043p-7, 0x1.ad12a175e8ca2p-7, 0x1.b032bbcd625ccp-7, 0x1.b33696e2307dfp-7, 0x1.b61e6745c7ef1p-7, 0x1.b8ea632e3e829p-7, 0x1.bb9ac0f215554p-7, 0x1.be2fb81d592a4p-7, 0x1.c0a9811fdd1fep-7, 0x1.c3085585619cfp-7, 0x1.c54c6f0158477p-7, 0x1.c77608963561bp-7, 0x1.c9855e48ccfcp-7, 0x1.cb7aac61896b1p-7, 0x1.cd562fc3c677ap-7, 0x1.cf1826305c3c4p-7, 0x1.d0c0ce6220625p-7, 0x1.d25067df0572ap-7, 0x1.d3c732c1fca26p-7, 0x1.d5256fc0a9463p-7, 0x1.d66b60cb51939p-7, 0x1.d7994783dd9f4p-7, 0x1.d8af67ae19986p-7, 0x1.d9ae04d7d5423p-7, 0x1.da955e200129dp-7, 0x1.db65c1991066ep-7, 0x1.dc1f6cda7c94fp-7, 0x1.dcc2a69728424p-7, 0x1.dd4fb705e3fd6p-7, 0x1.ddc6e42de09afp-7, 0x1.de28753ed31b9p-7, 0x1.de74b1f9337ecp-7, 0x1.deabe26ad3879p-7, 0x1.dece4efd9be91p-7, 0x1.dedc408f74f25p-7, 0x1.ded6006c0d68cp-7, 0x1.debbd83bd9851p-7, 0x1.de8e1217008b2p-7, 0x1.de4cf73f7361fp-7, 0x1.ddf8d0bec7f0ap-7, 0x1.dd91ebdb3554cp-7, 0x1.dd1893dbcd2d3p-7, 0x1.dc8d0fb821c63p-7, 0x1.dbefacc450154p-7, 0x1.db40b60f8220fp-7, 0x1.da8076a4b01c2p-7, 0x1.d9af39dfff85ep-7, 0x1.d8cd4b1786efep-7, 0x1.d7daf585507eap-7, 0x1.d6d88464ae41ap-7, 0x1.d5c642f9cef8cp-7, 0x1.d4a47c7be25aep-7, 0x1.d3737c0e2bcb8p-7, 0x1.d2338cb8c09e5p-7, 0x1.d0e4f97f2d117p-7, 0x1.cf880ce922a34p-7, 0x1.ce1d11bfa106fp-7, 0x1.cca4529031c53p-7, 0x1.cb1e19f49f705p-7, 0x1.c98ab282a8c6cp-7, 0x1.c7ea636584f6p-7, 0x1.c63d78de81187p-7, 0x1.c4843d20591a3p-7, 0x1.c2bef54187e73p-7, 0x1.c0eded09e40f8p-7, 0x1.bf116c4f0e8fp-7, 0x1.bd29baad63c1ap-7, 0x1.bb37202c81e5dp-7, 0x1.b939e41b550f4p-7, 0x1.b7324d5b58b51p-7, 0x1.b520a2734fce2p-7, 0x1.b3052978ea6e9p-7, 0x1.b0e0280eece69p-7, 0x1.aeb1e3617f69ap-7, 0x1.ac7aa0228355fp-7, 0x1.aa3aa287b8ebcp-7, 0x1.a7f22e488dc25p-7, 0x1.a5a18696ac9a4p-7, 0x1.a348ee10621cep-7, 0x1.a0e8a6b94603dp-7, 0x1.9e80f2045ce38p-7, 0x1.9c1210e31a4d9p-7, 0x1.999c43c422bfbp-7, 0x1.971fca77f1f2fp-7, 0x1.949ce41bb3479p-7, 0x1.9213cf5f8f47dp-7, 0x1.8f84c9fb88676p-7, 0x1.8cf00f2281e1ap-7, 0x1.8a55df112f9c5p-7, 0x1.87b6758846df8p-7, 0x1.85120a7008ec3p-7, 0x1.8268da47f4943p-7, 0x1.7fbb1f22061dcp-7, 0x1.7d0911f3c83b6p-7, 0x1.7a52eb2e1ada8p-7, 0x1.7798e297281a6p-7, 0x1.74db2f446912fp-7, 0x1.721a0794b1a4ep-7, 0x1.6f55a135f096dp-7, 0x1.6c8e3153a54f1p-7, 0x1.69c3ec38d3dd4p-7, 0x1.66f7037fe4c2bp-7, 0x1.6427ad954f928p-7, 0x1.615618d69c142p-7, 0x1.5e8277489beeep-7, 0x1.5bacfa4980a9fp-7, 0x1.58d5d1a75f0e1p-7, 0x1.55fd2bee6e502p-7, 0x1.5323374b1fc44p-7, 0x1.50482156258b9p-7, 0x1.4d6c16ce2eeb3p-7, 0x1.4a8f439d934dap-7, 0x1.47b1d2f78bdd3p-7, 0x1.44d3ef59abd96p-7, 0x1.41f5c27ff6867p-7, 0x1.3f17755a77b8ap-7, 0x1.3c3930183f577p-7, 0x1.395b1a291095cp-7, 0x1.367d5a3ea4ccp-7, 0x1.33a0164dcc8b3p-7, 0x1.30c3738f2e742p-7, 0x1.2de7967dfebc1p-7, 0x1.2b0ca2d5bd2a7p-7, 0x1.2832bb911c2f8p-7, 0x1.255a02e9ac72fp-7, 0x1.22829a5608bc2p-7, 0x1.1faca28935152p-7, 0x1.1cd83b7c72e5bp-7, 0x1.1a0584875a098p-7, 0x1.17349c8b595ecp-7, 0x1.1465a149519cbp-7, 0x1.1198aff2a0f15p-7, 0x1.0ecde532e65cep-7, 0x1.0c055d4efbf84p-7, 0x1.093f33416e86cp-7, 0x1.067b814bf9869p-7, 0x1.03ba60ef92943p-7, 0x1.00fbeb07314d4p-7, 0x1.fc806fe091a93p-8, 0x1.f70ebe5c2b4d3p-8, 0x1.f1a2eab72dcecp-8, 0x1.ec3d28bbb48d1p-8, 0x1.e6dda4195d5e6p-8, 0x1.e18481b5382dp-8, 0x1.dc31efbb139bcp-8, 0x1.d6e615ddc10a2p-8, 0x1.d1a11957d6ea4p-8, 0x1.cc6323d39ae73p-8, 0x1.c72c534890361p-8, 0x1.c1fccc70cb9dbp-8, 0x1.bcd4afaec5011p-8, 0x1.b7b41b8ce4a3ep-8, 0x1.b29b2e0f30127p-8, 0x1.ad8a04c0229abp-8, 0x1.a880bce10a898p-8, 0x1.a37f73774547fp-8, 0x1.9e86450361727p-8, 0x1.99954d106ad12p-8, 0x1.94aca5df33428p-8, 0x1.8fcc6824b6467p-8, 0x1.8af4aaba0acccp-8, 0x1.8625826275232p-8, 0x1.815f01de69183p-8, 0x1.7ca13a45127dep-8, 0x1.77ec3b7df70c9p-8, 0x1.734014bf13d91p-8, 0x1.6e9cd4fa116dp-8, 0x1.6a028b2c2807ap-8, 0x1.65714695fe344p-8, 0x1.60e916ccfece7p-8, 0x1.5c6a0b71ac7eep-8, 0x1.57f4338e02992p-8, 0x1.53879d0786e9ap-8, 0x1.4f245407f13d6p-8, 0x1.4aca61a760a2fp-8, 0x1.4679cdbc9f18cp-8, 0x1.42329f31ded45p-8, 0x1.3df4d94365bfep-8, 0x1.39c07f71c1ee3p-8, 0x1.359595245002ap-8, 0x1.31741ccc0b267p-8, 0x1.2d5c19515e938p-8, 0x1.294d8e28a90e6p-8, 0x1.25487f1c751d7p-8, 0x1.214cf01dbda49p-8, 0x1.1d5ae4e81c7b9p-8, 0x1.1972608a6e11dp-8, 0x1.15936512ded11p-8, 0x1.11bdf366da2abp-8, 0x1.0df20b1d76e73p-8, 0x1.0a2faa5acb65bp-8, 0x1.0676cdda3cff9p-8, 0x1.02c77168986c5p-8, 0x1.fe432170aea0ap-9, 0x1.f70a470a2e30ap-9, 0x1.efe449c739c7ep-9, 0x1.e8d1193425c0fp-9, 0x1.e1d09f9b2896ap-9, 0x1.dae2db83caf13p-9, 0x1.d407bdf3dc983p-9, 0x1.cd3f2b0f1e8e1p-9, 0x1.c6891affb4f4fp-9, 0x1.bfe5829ecee96p-9, 0x1.b9545463c09edp-9, 0x1.b2d58353a1fa8p-9, 0x1.ac69027e220c6p-9, 0x1.a60ec46856488p-9, 0x1.9fc6b964e4ad8p-9, 0x1.9990ceee8e4ap-9, 0x1.936cf05c7dc11p-9, 0x1.8d5b05d615ea1p-9, 0x1.875af3f717652p-9, 0x1.816c9eaf50138p-9, 0x1.7b8fe999e8348p-9, 0x1.75c4b63d70edap-9, 0x1.700ae679a943ap-9, 0x1.6a625dedb346p-9, 0x1.64cb0303d9e9ap-9, 0x1.5f44becb0ea6fp-9, 0x1.59cf7ca2e4499p-9, 0x1.546b292a750e5p-9, 0x1.4f17b07687645p-9, 0x1.49d4fbfa3de46p-9, 0x1.44a2f0f0d4909p-9, 0x1.3f816fd13d8a7p-9, 0x1.3a7054e080262p-9, 0x1.356f79a896fe9p-9, 0x1.307eb6d5afdc7p-9, 0x1.2b9de5d0ba77fp-9, 0x1.26cce19f668d8p-9, 0x1.220b871edd725p-9, 0x1.1d59b508b4272p-9, 0x1.18b74c11879bap-9, 0x1.14242f3da911fp-9, 0x1.0fa0449298af2p-9, 0x1.0b2b757c3e114p-9, 0x1.06c5aea22fe1cp-9, 0x1.026ede76455dfp-9, 0x1.fc4de56d8b0abp-10, 0x1.f3dbaab8b8273p-10, 0x1.eb86d3c138f1fp-10, 0x1.e34f17b952bb3p-10, 0x1.db341f4cc2f53p-10, 0x1.d3358a06a1751p-10, 0x1.cb52f69ba2f23p-10, 0x1.c38c0865bd1a9p-10, 0x1.bbe068fe2898p-10, 0x1.b44fd693934a6p-10, 0x1.acda0aa5cf236p-10, 0x1.a57ece084748ap-10, 0x1.9e3de77f221cbp-10, 0x1.97171c3fda8f2p-10, 0x1.900a3278b0f69p-10, 0x1.8916f23ee12e8p-10, 0x1.823d2784b632cp-10, 0x1.7b7ca322d8e8cp-10, 0x1.74d53a0f906cp-10, 0x1.6e46b65ea38efp-10, 0x1.67d0dc89b190ep-10, 0x1.61737bb4f3ca2p-10, 0x1.5b2e2d21b32bbp-10, 0x1.550092ff06dc9p-10, 0x1.4eea500af141fp-10, 0x1.48eb0206eb2e2p-10, 0x1.430251cf2a9e4p-10, 0x1.3d2ff4c0650e5p-10, 0x1.3773aae601297p-10, 0x1.31cd3b11269b6p-10, 0x1.2c3c6f1d0782dp-10, 0x1.26c1121818bd3p-10, 0x1.215af1fe56656p-10, 0x1.1c09f035c8c88p-10, 0x1.16cda3c005abbp-10, 0x1.11a63d5a731f8p-10, 0x1.0c934e367326bp-10, 0x1.0794d3647d1adp-10, 0x1.02aa8b0d43dcp-10, 0x1.fba870c3e17bcp-11, 0x1.f2233f94fc742p-11, 0x1.e8c50d50a4f94p-11, 0x1.df8d59f7e908p-11, 0x1.d67b96ac1bb1cp-11, 0x1.cd8f31d2025ccp-11, 0x1.c4c7a7596a9dep-11, 0x1.bc24626b649ecp-11, 0x1.b3a4d454fb8fcp-11, 0x1.ab48746cf23b5p-11, 0x1.a30eb582c0c35p-11, 0x1.9af6f3ea28c82p-11, 0x1.9300931bcba79p-11, 0x1.8b2b032f34844p-11, 0x1.8375d119da64ap-11, 0x1.7be0b0e60b135p-11, 0x1.746b7708c036cp-11, 0x1.6d1605b17e831p-11, 0x1.65e028395d219p-11, 0x1.5ec96fba22ed6p-11, 0x1.57d16202ff929p-11, 0x1.50f754452d487p-11, 0x1.4a3ac29bc36c2p-11, 0x1.439b28f5fde18p-11, 0x1.3d1839bc3781ap-11, 0x1.36b1c21294638p-11, 0x1.3067a13414093p-11, 0x1.2a39afe0cffefp-11, 0x1.2427a7ad890bep-11, 0x1.1e312622985ecp-11, 0x1.1855bf4dc59cep-11, 0x1.1294ec5fbb8f1p-11, 0x1.0cee2206676a5p-11, 0x1.0760ce3b946abp-11, 0x1.01ec54d48bb6dp-11, 0x1.f9204f7526534p-12, 0x1.ee97b5e1424a1p-12, 0x1.e43e65db9a211p-12, 0x1.da144b8f09fc5p-12, 0x1.d0195f27ea2e2p-12, 0x1.c64d7a9f935bp-12, 0x1.bcb03caa7e8ep-12, 0x1.b340b4f348e74p-12, 0x1.a9fd690092f85p-12, 0x1.a0e54366e77fep-12, 0x1.97f72575c12bfp-12, 0x1.8f31c4de98eecp-12, 0x1.8694aa0dc4f93p-12, 0x1.7e1f5c8fe0f4cp-12, 0x1.75d1967badaefp-12, 0x1.6dab2bd549501p-12, 0x1.65abe4f3c78cbp-12, 0x1.5dd362f27055fp-12, 0x1.562116da5613bp-12, 0x1.4e944aba73e92p-12, 0x1.472c36aed12d7p-12, 0x1.3fe817a4a5b27p-12, 0x1.38c73b59e0b31p-12, 0x1.31c8fb1e37bd2p-12, 0x1.2aecb353cfef6p-12, 0x1.2431cd45c567ap-12, 0x1.1d97d88019b05p-12, 0x1.171e9674a5a64p-12, 0x1.10c5e10467989p-12, 0x1.0a8d7804fc711p-12, 0x1.0474dd2e126c4p-12, 0x1.fcf6b96cbc3c8p-13, 0x1.f1407e6890d38p-13, 0x1.e5c5c0e9f67cfp-13, 0x1.da854ab6535ffp-13, 0x1.cf7ed77f0d905p-13, 0x1.c4b072df27c12p-13, 0x1.ba195939b8da8p-13, 0x1.afb84cbc23708p-13, 0x1.a58c5a5823fefp-13, 0x1.9b94c1a82f67p-13, 0x1.91d0d5e0beb39p-13, 0x1.883fda852b787p-13, 0x1.7ee0e60f1ea39p-13, 0x1.75b2c66c0cc81p-13, 0x1.6cb4294e5efc1p-13, 0x1.63e3dc35ca913p-13, 0x1.5b40ff65c5153p-13, 0x1.52cb2839d757cp-13, 0x1.4a82239b5ca8dp-13, 0x1.4265bd6bdcc2ep-13, 0x1.3a757bdc0ac61p-13, 0x1.32b0bb29a4f7ep-13, 0x1.2b16d8a0e1c28p-13, 0x1.23a6beedc0fe1p-13, 0x1.1c5f0841f4aadp-13, 0x1.153eb0041f1efp-13, 0x1.0e44dfc786924p-13, 0x1.0770c71847dc1p-13, 0x1.00c1db2d6236ep-13, 0x1.f46f9ab093886p-14, 0x1.e7a516a8d5d57p-14, 0x1.db22c5cc0c47p-14, 0x1.cee698a5798a6p-14, 0x1.c2ef3613ec062p-14, 0x1.b73b90b8c9275p-14, 0x1.abca9d62f56dbp-14, 0x1.a09d06da49401p-14, 0x1.95ae9192e615cp-14, 0x1.8afcf19a97cf5p-14, 0x1.808b0a55c95c3p-14, 0x1.76555d0f3c5fcp-14, 0x1.6c595dd79f90bp-14, 0x1.629662d37f8fep-14, 0x1.590adbbf7d9c4p-14, 0x1.4fb4d7ce3e70fp-14, 0x1.46946a9e9356bp-14, 0x1.3da916d13d4a4p-14, 0x1.34f2afdd63783p-14, 0x1.2c7126477cbcfp-14, 0x1.242419856df48p-14, 0x1.1c0a6d849f32ep-14, 0x1.1422534e4487ap-14, 0x1.0c69c30cb2af4p-14, 0x1.04df0c9822634p-14, 0x1.faffd51b4e9adp-15, 0x1.ec97de5bdf0afp-15, 0x1.de864e3fb8e5bp-15, 0x1.d0cb56cfef4c6p-15, 0x1.c366794893d9bp-15, 0x1.b65376d9e65d7p-15, 0x1.a99095050158ep-15, 0x1.9d1c0b1463d39p-15, 0x1.90f64e25301dep-15, 0x1.851dcb1fc6c56p-15, 0x1.79914eaad0f4fp-15, 0x1.6e4f63bd94709p-15, 0x1.63564d642f1a8p-15, 0x1.58a410ed34d1dp-15, 0x1.4e36aed61cb4fp-15, 0x1.440c7351607dap-15, 0x1.3a2402c75a882p-15, 0x1.307bebf7d902cp-15, 0x1.2712d4663163ep-15, 0x1.1de702dd6d905p-15, 0x1.14f6e1c07ad0dp-15, 0x1.0c4028aa2fb5p-15, 0x1.03c174034f45p-15, 0x1.f6f5549b715b5p-16, 0x1.e6d8642946944p-16, 0x1.d72c7b0015092p-16, 0x1.c7ef9b78b9e0cp-16, 0x1.b91df8f4cf6cbp-16, 0x1.aab273d19a969p-16, 0x1.9ca77b35eaabfp-16, 0x1.8ef9c83c1b7e3p-16, 0x1.81a867871aabbp-16, 0x1.74b261913fc0ap-16, 0x1.6817243ac1bd6p-16, 0x1.5bd54bc3d1a49p-16, 0x1.4fe9d222c9fdp-16, 0x1.445112e8433fcp-16, 0x1.390a4de22a939p-16, 0x1.2e15477b88be4p-16, 0x1.23706f2747a6dp-16, 0x1.1919ab9a54733p-16, 0x1.0f0f4c591ea8cp-16, 0x1.05509ba5fa57cp-16, 0x1.f7b3c4fe54921p-17, 0x1.e552d25f8bd8bp-17, 0x1.d377252910c1ap-17, 0x1.c2295b93f7b54p-17, 0x1.b163ca09b1fa7p-17, 0x1.a11b98b3d359p-17, 0x1.91543ef6329c4p-17, 0x1.820a3ea9be6aap-17, 0x1.732f3b7fe36f9p-17, 0x1.64bdf4153db0fp-17, 0x1.56c315abc9d7ap-17, 0x1.49365a7144fc6p-17, 0x1.3c12a4a4bcb1cp-17, 0x1.2f62662cf3ab2p-17, 0x1.2316fe4a8da81p-17, 0x1.17324885a798dp-17, 0x1.0bad8ca576efdp-17, 0x1.0089c015a1194p-17, 0x1.eb830ebdf0158p-18, 0x1.d6a272b1c69a2p-18, 0x1.c26ea90221e2ep-18, 0x1.aefca382b1d83p-18, 0x1.9c1f7bafbc8b6p-18, 0x1.89e3decdab7e8p-18, 0x1.785252da3e92dp-18, 0x1.675931e28930ap-18, 0x1.56eea8476023fp-18, 0x1.471b3bd29be27p-18, 0x1.37d93d384d85fp-18, 0x1.2922f9d93ea0ep-18, 0x1.1af3bdbd3253dp-18, 0x1.0d488fb10a637p-18, 0x1.001db9e573c7dp-18, 0x1.e6e0de4fae7d1p-19, 0x1.ce7cabae732adp-19, 0x1.b70cbdd2ffe36p-19, 0x1.a08adcd7d7b32p-19, 0x1.8aee0d9c9bef1p-19, 0x1.762b668a1cep-19, 0x1.62394da8e76ap-19, 0x1.4f10ec8c477dep-19, 0x1.3cad0e51ff6e3p-19, 0x1.2b0bfc58f8e9bp-19, 0x1.1a28dceee4182p-19, 0x1.09f9e4ccae3dap-19, 0x1.f4f905f877ee4p-20, 0x1.d762850a419b1p-20, 0x1.bb22eef4409aap-20, 0x1.a024d2cb87977p-20, 0x1.86655c8cd8c25p-20, 0x1.6dcd76aca3201p-20, 0x1.565b77b354a46p-20, 0x1.4015f3c49808p-20, 0x1.2ad8a34d4a26p-20, 0x1.16b41fbdabdccp-20, 0x1.039948d535eabp-20, 0x1.e30036b1e1b8ap-21, 0x1.c0c3fe267c1b5p-21, 0x1.a0799f364b67dp-21, 0x1.821d67278b44cp-21, 0x1.65524a63e5d86p-21, 0x1.49fd26d6e2a78p-21, 0x1.3081b4e2ae241p-21, 0x1.189bc6ff97e84p-21, 0x1.0233a9851070bp-21, 0x1.da6c270058602p-22, 0x1.b36ce9981d516p-22, 0x1.8f5787cbac473p-22, 0x1.6dcbc3918e9dp-22, 0x1.4efbfcb830021p-22, 0x1.32d4c586b441cp-22, 0x1.1892eabc352d3p-22, 0x1.007adebcf32b9p-22, 0x1.d5ed21b9cc41ep-23, 0x1.af8b7b6e134e7p-23, 0x1.8c2373e5a837cp-23, 0x1.6e8698d28cc6ep-23, 0x1.540af09d86205p-23, 0x1.3c96b791478d2p-23, 0x1.289082687e03p-23, 0x1.17d991166d971p-23, 0x1.0b044dd799b31p-23, 0x1.008a2eba4dcap-23, 0x1.f2c1153f1515p-24, 0x1.ead54d618903bp-24, 0x1.e7987160a963fp-24, 0x1.e9c7047ec9f9p-24, 0x1.f12ffe11c63dbp-24, 0x1.fd4d790f8c996p-24, 0x1.06d11288106c2p-23, 0x1.10f74d49e3684p-23, 0x1.1dd379cbd4a2cp-23, 0x1.2c70580f04fbp-23, 0x1.3c75bfb49a20dp-23, 0x1.4ec059f1ac87bp-23, 0x1.62b4499174d3ep-23, 0x1.78775efbbbaafp-23, 0x1.8f12b74d69b8fp-23, 0x1.a79ea24e7d6e4p-23, 0x1.c150183045558p-23, 0x1.dc3759fcad39ep-23, 0x1.f858c55575d1cp-23, 0x1.0acaff28c5286p-22, 0x1.19e96183b89b1p-22, 0x1.297db3148d937p-22, 0x1.3983935e1cc0dp-22, 0x1.49f943d94b6dcp-22, 0x1.5ade965f3a1f8p-22, 0x1.6c20f11f40225p-22, 0x1.7db499f3bb712p-22, 0x1.8f8b0caf5c5f9p-22, 0x1.a19c234d705dbp-22, 0x1.b422ce9116b2ep-22, 0x1.c69a12f16bf3ap-22, 0x1.d952aad7a7653p-22, 0x1.ec308ac271962p-22, 0x1.ff4c9e0e54a05p-22, 0x1.093a94ffb0604p-21, 0x1.12da16eb5b7d5p-21, 0x1.1c85f0530303cp-21, 0x1.26421892b2e33p-21, 0x1.2ff7796679c01p-21, 0x1.39b507db92a2bp-21, 0x1.436f1f66d4464p-21, 0x1.4d242c288623bp-21, 0x1.56d3a084754abp-21, 0x1.607d43057b1a1p-21, 0x1.6a224247764d6p-21, 0x1.73c311a76e5e2p-21, 0x1.7d5941df9602ap-21, 0x1.86cba74486545p-21, 0x1.90323e5c40447p-21, 0x1.99b1aa0723ab3p-21, 0x1.a31c3c0ce1bdp-21, 0x1.ac18aded22573p-21, 0x1.b54151da2c8efp-21, 0x1.be27f3753c45cp-21, 0x1.c7244ad07a225p-21, 0x1.d015d56abb9dap-21, 0x1.d8ee836b1af51p-21, 0x1.e172df4fed55ep-21, 0x1.e9fb5e8e34746p-21, 0x1.f262748ea4404p-21, 0x1.faa2c4f2b95f5p-21, 0x1.0161d2bd2106ap-20, 0x1.0563dd01347afp-20, 0x1.0958a80a7730fp-20, 0x1.0d3c800b578dp-20, 0x1.1104270fb2addp-20, 0x1.14bf71c30ffc1p-20, 0x1.186f54b1ae5dp-20, 0x1.1c0916b8ad543p-20, 0x1.1f91f72ec050cp-20, 0x1.230ba18ada745p-20, 0x1.266d2b8f3ab3bp-20, 0x1.29b9dc0363798p-20, 0x1.2cf31ded2c0eep-20, 0x1.3019527edf8ddp-20, 0x1.332b609a56ce8p-20, 0x1.36276aa613b61p-20, 0x1.391bf8eef79a7p-20, 0x1.3be473e46ff01p-20, 0x1.3ea68eb346074p-20, 0x1.415414f6a5171p-20, 0x1.43ecee1f35ff7p-20, 0x1.467106419ab84p-20, 0x1.48e03381fcbefp-20, 0x1.4b3a4ef101a91p-20, 0x1.4d83e88b329a4p-20, 0x1.4facaf51ed93fp-20, 0x1.51c89259d8378p-20, 0x1.53d654b3a9e89p-20, 0x1.55c56c67e9a8fp-20, 0x1.57ade63479843p-20, 0x1.5971ac911f802p-20, 0x1.5b22f4a4888b9p-20, 0x1.5cd7ba0ce767ap-20, 0x1.5e4bc0c167f64p-20, 0x1.5fc7c832491e8p-20, 0x1.6131ecf390307p-20, 0x1.6283b38869852p-20, 0x1.63ba5782c8f5bp-20, 0x1.64d7c0e6bbacp-20, 0x1.65f8ba3818469p-20, 0x1.66f54fdae5486p-20, 0x1.67e8211a31d14p-20, 0x1.68c07472db46bp-20, 0x1.698550e8a2958p-20, 0x1.6a3f575f9467fp-20, 0x1.6ae9056f37f43p-20, 0x1.6b6be132819b6p-20, 0x1.6bc7e8275b0a5p-20, 0x1.6c47681e00dd4p-20, 0x1.6c89a7510b8bbp-20, 0x1.6ce368698eb52p-20, 0x1.6d285f3c820c4p-20, 0x1.6d44b328646efp-20, 0x1.6d47ec0171529p-20, 0x1.6d42fe846ebd2p-20, 0x1.6d38d795f69f9p-20, 0x1.6d03554614bdfp-20, 0x1.6d10cb5f4493cp-20, 0x1.6c8e6845820b8p-20, 0x1.6c361a0d93a5p-20, 0x1.6bd7588b1ab59p-20, 0x1.6b5f98b314ba8p-20, 0x1.6ad574baae644p-20, 0x1.6a3fed7c62b06p-20, 0x1.699e3e53e9762p-20, 0x1.68eb1ca128821p-20, 0x1.68276ca271615p-20, 0x1.675533c286997p-20, 0x1.666cfc5e27759p-20, 0x1.658b7ecb99f0ep-20, 0x1.64911743833aap-20, 0x1.637846ad79b99p-20, 0x1.626310c90bc48p-20, 0x1.613db195f0128p-20, 0x1.6001b9db76a8bp-20, 0x1.5ec71fc19f708p-20, 0x1.5d7ab83735812p-20, 0x1.5c236dd44431bp-20, 0x1.5abfdc2cdde08p-20, 0x1.5953afca7cf27p-20, 0x1.57d5496d3a33dp-20, 0x1.56503e0ca89ddp-20, 0x1.54be0e36cd8dp-20, 0x1.531ac4eb89138p-20, 0x1.5166a1b27e6f8p-20, 0x1.4fafa9d5139b6p-20, 0x1.4df8be23c227cp-20, 0x1.4c33d8a58963p-20, 0x1.4a5dc04fe01c6p-20, 0x1.4878d2e2e32dfp-20, 0x1.4695310bb1fb5p-20, 0x1.44ae16bade9eep-20, 0x1.429d11673387bp-20, 0x1.40a08f51e4704p-20, 0x1.3e977a3d3845p-20, 0x1.3c8924045cccep-20, 0x1.3a7528284e0dfp-20, 0x1.383b47276b244p-20, 0x1.36037b5a82f5p-20, 0x1.33d75fb66a47dp-20, 0x1.318defbc819d7p-20, 0x1.2f5741c557ce3p-20, 0x1.2d145e8f650c4p-20, 0x1.2ac63a29970b6p-20, 0x1.286188f704c5cp-20, 0x1.2601c1b629848p-20, 0x1.239cfac35bb57p-20, 0x1.2120689fda87fp-20, 0x1.1ebb02aeba4cap-20, 0x1.1c416719ba71cp-20, 0x1.19c6d7bcfacfep-20, 0x1.1742f4df81048p-20, 0x1.14bfb4929140ap-20, 0x1.1216a07d5adfp-20, 0x1.0fa766b6b15e3p-20, 0x1.0cf581853c49cp-20, 0x1.0a5f12e552c25p-20, 0x1.07bff56de3d5ep-20, 0x1.0517e8235cfcp-20, 0x1.026d752e22193p-20, 0x1.ff8188d4b1dfdp-21, 0x1.fa21ce22694cep-21, 0x1.f4aad2615a14dp-21, 0x1.ef2fb03156d4dp-21, 0x1.e9d0fe5a17c59p-21, 0x1.e446308fe0162p-21, 0x1.deb71dd2b9bc5p-21, 0x1.d93ba80389208p-21, 0x1.d3bb5003e5216p-21, 0x1.ce23825668204p-21, 0x1.c887b52c72183p-21, 0x1.c2e73ad6b01adp-21, 0x1.bd4639ba80c56p-21, 0x1.b7a291877323cp-21, 0x1.b1fa2be27824bp-21, 0x1.ac513895c2babp-21, 0x1.a69c0ea308333p-21, 0x1.a0e90da837ae5p-21, 0x1.9b2c8c34d8eabp-21, 0x1.95aa73cd1ba87p-21, 0x1.8fc880396127p-21, 0x1.8a25c2a368414p-21, 0x1.845278406b9b2p-21, 0x1.7e86d4d1e48a3p-21, 0x1.78d3f45eca9d5p-21, 0x1.72fe8a70a1f8cp-21, 0x1.6d605e24239ffp-21, 0x1.67a18305a0d8bp-21, 0x1.61d9b46e05dd8p-21, 0x1.5c17219a1b55fp-21, 0x1.5655a5769c618p-21, 0x1.5094ffaa50f14p-21, 0x1.4ad5d27cf3896p-21, 0x1.451bd8bbe33ccp-21, 0x1.3f68d13f22fcfp-21, 0x1.39ad39ac0757p-21, 0x1.33f421207a00ep-21, 0x1.2e406e1ff5601p-21, 0x1.2885123e730e8p-21, 0x1.22d0d628c6371p-21, 0x1.1d1ca6b86a532p-21, 0x1.17856c169ae0bp-21, 0x1.11c1b2f80a9c6p-21, 0x1.0c091a44238aep-21, 0x1.068025fa313a6p-21, 0x1.00eccdc30090fp-21, 0x1.f6a63f721985bp-22, 0x1.eb57fd9b2055fp-22, 0x1.e018920739571p-22, 0x1.d4c28d6f2241p-22, 0x1.ca14230d828d6p-22, 0x1.beb821c27c9eep-22, 0x1.b39c5d2416763p-22, 0x1.a8c232978bed3p-22, 0x1.9da01bfe3b51fp-22, 0x1.92c06c15047c4p-22, 0x1.87e355ed05472p-22, 0x1.7d08cf17423d5p-22, 0x1.72364e8ff6da3p-22, 0x1.67733bad60b56p-22, 0x1.5cc924ff7c662p-22, 0x1.522ba348c1e24p-22, 0x1.473fdfdb533b8p-22, 0x1.3cb89fc5bc30ep-22, 0x1.3210e43d5bbfap-22, 0x1.27ad93edfb6fp-22, 0x1.1d434839a20c1p-22, 0x1.12c110edd4021p-22, 0x1.085cc07f31112p-22, 0x1.fc17c51b6659ep-23, 0x1.e79452fa5b067p-23, 0x1.d3339cf57bc9bp-23, 0x1.bee6c862241b9p-23, 0x1.aa9d75f3553aep-23, 0x1.9657be57b7b22p-23, 0x1.826f60a7c8411p-23, 0x1.6f68a6cca70e1p-23, 0x1.5ae73a13a86c4p-23, 0x1.4727324fc3487p-23, 0x1.33200470ef97bp-23, 0x1.20170767f8c9fp-23, 0x1.0cbea99dc391p-23, 0x1.f2fc42341ef5fp-24, 0x1.cce999ac839bdp-24, 0x1.a72568ae5f8d4p-24, 0x1.814256ba90c67p-24, }}, 
      {{0x1.da72d6119a574p-2, 0x1.05c6e650894d4p-1, 0x1.1e3ae190ff2efp-1, 0x1.2c316eb90455ep-1, 0x1.2a9c7a50aef8cp-1, 0x1.18e9268b58b47p-1, 0x1.f2da4ad5addefp-2, 0x1.9fe9d69357e83p-2, 0x1.4167bf5d4f576p-2, 0x1.be5ebd99f7244p-3, 0x1.ff580430807a6p-4, 0x1.4307c638e8e65p-5, -0x1.1de055a1fbc44p-5, -0x1.89ded744e6577p-4, -0x1.25f0f6bb268b1p-3, -0x1.6aa947a06d3e1p-3, -0x1.94a9cedea2bd6p-3, -0x1.a67b2c6fa0062p-3, -0x1.a33ff4b3dd7fcp-3, -0x1.8e68a844d925ap-3, -0x1.6b78263ebdaa1p-3, -0x1.3dd70abbf3dacp-3, -0x1.08b400bdcbcdcp-3, -0x1.9ddddb604dab6p-4, -0x1.2619d39901a6ap-4, -0x1.5ccc86247488bp-5, -0x1.d26f17285b933p-7, 0x1.9ae34b3db523ap-7, 0x1.30e136615083ap-5, 0x1.e6c29c19fbcaep-5, 0x1.4329c510bb24ep-4, 0x1.873b57ccd38d6p-4, 0x1.bf6b23b004587p-4, 0x1.ebe09e0ef6d62p-4, 0x1.0682b6a37397cp-3, 0x1.11bb61c79726bp-3, 0x1.17fc2b00b2421p-3, 0x1.19b47c362dad5p-3, 0x1.175c69ef9670cp-3, 0x1.1170905aa524p-3, 0x1.086ea7b903b6fp-3, 0x1.f9a57ee81ba35p-4, 0x1.de2a14475d929p-4, 0x1.bf5055d411b31p-4, 0x1.9deff11a14888p-4, 0x1.7ad13efac6dbbp-4, 0x1.56ac1c7624216p-4, 0x1.32274c9c15caap-4, 0x1.0dd85012d7a4bp-4, 0x1.d487273f3500bp-5, 0x1.8fb9adaee8646p-5, 0x1.4e0f84dcc76p-5, 0x1.1031559b1dcc8p-5, 0x1.ad55cf962aaf9p-6, 0x1.43da19d2aeeedp-6, 0x1.c93e56521b721p-7, 0x1.204d2c9bc99e8p-7, 0x1.1b1f63f8f7269p-8, 0x1.168b375ba90dfp-11, -0x1.502540b4996c7p-9, -0x1.45c9119d38061p-8, -0x1.b6f91e1813119p-8, -0x1.fca7137047bd9p-8, -0x1.0c13beefc4897p-7, -0x1.05898a98fb259p-7, -0x1.d73b8468c057ep-8, -0x1.7ea0f3da26c14p-8, -0x1.03686c02551bp-8, -0x1.9f4c4903ee27ep-10, 0x1.4727c25781dbep-10, 0x1.270c7880a0e6ap-8, 0x1.0ac5fc7b2b433p-7, 0x1.8d6f9ef79555ap-7, 0x1.0d285ad84f92bp-6, 0x1.581d959056187p-6, 0x1.a703a71416bd8p-6, 0x1.f94aaa2d2c50ap-6, 0x1.2733b350429d8p-5, 0x1.52e9efd85ced7p-5, 0x1.7f87e620c92bbp-5, 0x1.acd0774d43fc3p-5, 0x1.da89ad98c5baap-5, 0x1.043e68bd47c5cp-4, 0x1.1b3b3bde1e11cp-4, 0x1.322342ad86a9fp-4, 0x1.48e017658d2cp-4, 0x1.5f5cf6650e50ep-4, 0x1.7586b8a11d2c5p-4, 0x1.8b4bc8d7e1d98p-4, 0x1.a09c1aeebea5bp-4, 0x1.b5691d4c9ccd3p-4, 0x1.c9a5ac25357e7p-4, 0x1.dd4603bb20f11p-4, 0x1.f03fae776ae66p-4, 0x1.0144bc30610b6p-3, 0x1.0a0dadc5ed479p-3, 0x1.1277394109419p-3, 0x1.1a7e733f8b77cp-3, 0x1.2220efed811f5p-3, 0x1.295cbb675b9cbp-3, 0x1.30305183053b8p-3, 0x1.369a96fa143a8p-3, 0x1.3c9ad1a499b3cp-3, 0x1.4230a1cd249fbp-3, 0x1.475bfb800e054p-3, 0x1.4c1d204a88372p-3, 0x1.507496fdf2339p-3, 0x1.54632a2aecaa1p-3, 0x1.57e9ddad90f5ep-3, 0x1.5b09eadb5e2c1p-3, 0x1.5dc4be91da247p-3, 0x1.601beda0538f7p-3, 0x1.62113767e230ap-3, 0x1.63a67bcea169fp-3, 0x1.64ddbab82b904p-3, 0x1.65b90e52382ecp-3, 0x1.663aa7ebfcc61p-3, 0x1.6664cd28755e2p-3, 0x1.6639d3d6c0ab7p-3, 0x1.65bc1fe0d7483p-3, 0x1.64ee20604dca7p-3, 0x1.63d24c8af2614p-3, 0x1.626b2257cdf71p-3, 0x1.60bb23ea97b47p-3, 0x1.5ec4d539f705ep-3, 0x1.5c8abae2751f1p-3, 0x1.5a0f587dc71cdp-3, 0x1.57552eb00bb16p-3, 0x1.545eba69d42edp-3, 0x1.512e732502771p-3, 0x1.4dc6ca087f78ep-3, 0x1.4a2a28db28fb7p-3, 0x1.465af1cc30be9p-3, 0x1.425b7d61b409ap-3, 0x1.3e2e1a8cc4abap-3, 0x1.39d50e502921cp-3, 0x1.355292fd07ae1p-3, 0x1.30a8d707c00a1p-3, 0x1.2bd9fddaed163p-3, 0x1.26e81ee4c33d8p-3, 0x1.21d545699b3acp-3, 0x1.1ca36fc27c927p-3, 0x1.1754904bdc58cp-3, 0x1.11ea8ce51bce4p-3, 0x1.0c673e6e0d362p-3, 0x1.06cc707bae3c3p-3, 0x1.011be2c8be495p-3, 0x1.f6ae90df8516dp-4, 0x1.eb008e2c4f0c4p-4, 0x1.df30efce64eb8p-4, 0x1.d342d1019e346p-4, 0x1.c73933d508d36p-4, 0x1.bb17012a68b51p-4, 0x1.aedf09340b115p-4, 0x1.a294071299254p-4, 0x1.96389e2a1d9e8p-4, 0x1.89cf5969ba694p-4, 0x1.7d5aad835e4f6p-4, 0x1.70dcfaeb8bc95p-4, 0x1.64588c9c1dd4bp-4, 0x1.57cf975459af3p-4, 0x1.4b443abd44b2fp-4, 0x1.3eb88377964fdp-4, 0x1.322e6b97de705p-4, 0x1.25a7d8eb2e8acp-4, 0x1.19269dafb2d1p-4, 0x1.0cac7a87b59b6p-4, 0x1.003b1f574d568p-4, 0x1.e7a855665506p-5, 0x1.cef2529000848p-5, 0x1.b6572edece6c2p-5, 0x1.9dd9c410fb67ap-5, 0x1.857ccd8110d7ap-5, 0x1.6d42e919438ccp-5, 0x1.552e95bdd8b74p-5, 0x1.3d42356158965p-5, 0x1.25800f28e58f1p-5, 0x1.0dea5089c198ap-5, 0x1.ed061a26b4839p-6, 0x1.be987bae18094p-6, 0x1.908f84e6258abp-6, 0x1.62eec530abf4dp-6, 0x1.35b9a2e0e90d6p-6, 0x1.08f355b361e6fp-6, 0x1.b93dd381bf908p-7, 0x1.617e7a1985acbp-7, 0x1.0aae09639b766p-7, 0x1.69a34419eeaf1p-8, 0x1.7fb8711a45df1p-9, 0x1.81006933e2716p-12, -0x1.1b71b823e4085p-9, -0x1.31768c8e7b2fap-8, -0x1.d321a5c06d6abp-8, -0x1.39599ceb95d61p-7, -0x1.88126d9560e06p-7, -0x1.d5b8517439c9fp-7, -0x1.11244b7e5dddcp-6, -0x1.36e06429218abp-6, -0x1.5c0f4f5a3a8bdp-6, -0x1.80b00394fd4b8p-6, -0x1.a4c192da3829cp-6, -0x1.c8432c421521fp-6, -0x1.eb34197336856p-6, -0x1.06c9dd4220b8ap-5, -0x1.17b0c205415bp-5, -0x1.284e7fea16f1dp-5, -0x1.38a2e7741304cp-5, -0x1.48add51cea955p-5, -0x1.586f3013c22f9p-5, -0x1.67e6e8823d04p-5, -0x1.7714f7605f12cp-5, -0x1.85f95d7746b4cp-5, -0x1.949425f28b1b8p-5, -0x1.a2e5651f2f624p-5, -0x1.b0ed3814e06b1p-5, -0x1.beabc361b3463p-5, -0x1.cc2132648da7ap-5, -0x1.d94db77534bdep-5, -0x1.e6318c3af1c6p-5, -0x1.f2ccf1e559c42p-5, -0x1.ff2030d1679ffp-5, -0x1.0595cbc175419p-4, -0x1.0b77bcf6354fbp-4, -0x1.113618b7dfb5ap-4, -0x1.16d10e84918f4p-4, -0x1.1c48d0aa59bd4p-4, -0x1.219d943c33a2bp-4, -0x1.26cf90ddefea9p-4, -0x1.2bdf008dac406p-4, -0x1.30cc1f0f4f6e6p-4, -0x1.35972a6298371p-4, -0x1.3a4062a4c1a19p-4, -0x1.3ec809de709bp-4, -0x1.432e641f407eap-4, -0x1.4773b73db3d31p-4, -0x1.4b984aa7742f3p-4, -0x1.4f9c673a6d0cfp-4, -0x1.5380574ba9c58p-4, -0x1.5744669fd2646p-4, -0x1.5ae8e2657e5ccp-4, -0x1.5e6e190c1e852p-4, -0x1.61d45a32952b2p-4, -0x1.651bf68d0448fp-4, -0x1.68453fc6f61d2p-4, -0x1.6b50887446a0dp-4, -0x1.6e3e241798504p-4, -0x1.710e67110e5f8p-4, -0x1.73c1a680097bp-4, -0x1.7658382dc2fbp-4, -0x1.78d2729b499a3p-4, -0x1.7b30acb9f6c35p-4, -0x1.7d733e0704f33p-4, -0x1.7f9a7e911b0f1p-4, -0x1.81a6c6b39d882p-4, -0x1.83986f40e8941p-4, -0x1.856fd154c521cp-4, -0x1.872d4641a5d47p-4, -0x1.88d1278ff257bp-4, -0x1.8a5bcf01c355p-4, -0x1.8bcd96798884ep-4, -0x1.8d26d7e4fa15fp-4, -0x1.8e67ed47961f3p-4, -0x1.8f9130b9b489fp-4, -0x1.90a2fc4b52eafp-4, -0x1.919da9eaece3cp-4, -0x1.92819366a02a7p-4, -0x1.934f1275561aap-4, -0x1.940680ad68888p-4, -0x1.94a83775fde99p-4, -0x1.9534900163143p-4, -0x1.95abe33ee0711p-4, -0x1.960e89dd0941ap-4, -0x1.965cdc440dfb2p-4, -0x1.96973281ac3d4p-4, -0x1.96bde449d3a87p-4, -0x1.96d148d64af03p-4, -0x1.96d1b7350a1d7p-4, -0x1.96bf85e33e228p-4, -0x1.969b0b0323ad5p-4, -0x1.96649c4b941c9p-4, -0x1.961c8efcd8217p-4, -0x1.95c337ce43ba1p-4, -0x1.9558eaf7b94ep-4, -0x1.94ddfc2be6c02p-4, -0x1.9452be94301b3p-4, -0x1.93b784d19a3f7p-4, -0x1.930ca0fd3226fp-4, -0x1.925264a0eda47p-4, -0x1.918920b0548bp-4, -0x1.90b12584cf468p-4, -0x1.8fcac2e35be39p-4, -0x1.8ed647ebcce9p-4, -0x1.8dd4031c68467p-4, -0x1.8cc4424af4955p-4, -0x1.8ba752b026adap-4, -0x1.8a7d80e6af673p-4, -0x1.894718e2d6e42p-4, -0x1.880465eecdfap-4, -0x1.86b5b2a89abbdp-4, -0x1.855b48fc769f5p-4, -0x1.83f57223dd4cap-4, -0x1.828476a86a36p-4, -0x1.81089e666ec3cp-4, -0x1.7f823074fca2dp-4, -0x1.7df17360072d1p-4, -0x1.7c56acf330c57p-4, -0x1.7ab22245624b6p-4, -0x1.790417b0eb371p-4, -0x1.774cd0d30809dp-4, -0x1.758c9088e50b6p-4, -0x1.73c398f195f4p-4, -0x1.71f22b78c6633p-4, -0x1.701888dc9ffd2p-4, -0x1.6e36f1293801bp-4, -0x1.6c4da3b57da21p-4, -0x1.6a5cdf2282de1p-4, -0x1.6864e1527270bp-4, -0x1.6665e75a94dbep-4, -0x1.64602d8227cddp-4, -0x1.6253ef4ac5a6fp-4, -0x1.604167794d99ep-4, -0x1.5e28d0220a7eap-4, -0x1.5c0a62b0e5ec5p-4, -0x1.59e657ebb0757p-4, -0x1.57bce7ed3d9f1p-4, -0x1.558e4a158252bp-4, -0x1.535ab4f83dd5p-4, -0x1.51225e566e1dfp-4, -0x1.4ee57b1f0bbb6p-4, -0x1.4ca43f731fd8fp-4, -0x1.4a5edead8857ep-4, -0x1.48158b83ccd3dp-4, -0x1.45c87804a8733p-4, -0x1.4377d5acc5a47p-4, -0x1.4123d560aaca8p-4, -0x1.3ecca74d98a06p-4, -0x1.3c727aecbff41p-4, -0x1.3a157ee122133p-4, -0x1.37b5e0f3cd72p-4, -0x1.3553ce16388d9p-4, -0x1.32ef726bec432p-4, -0x1.3088f962a9b51p-4, -0x1.2e208dca3a562p-4, -0x1.2bb659e2155e5p-4, -0x1.294a875cc045dp-4, -0x1.26dd3f5a65627p-4, -0x1.246eaa59f4f4ap-4, -0x1.21fef024c94b4p-4, -0x1.1f8e37bb548b3p-4, -0x1.1d1ca74977a4ep-4, -0x1.1aaa642757049p-4, -0x1.183792e491441p-4, -0x1.15c4575c54212p-4, -0x1.1350d4cd56efp-4, -0x1.10dd2de7e93e6p-4, -0x1.0e6984d4c489ep-4, -0x1.0bf5fb342d512p-4, -0x1.0982b21680cfp-4, -0x1.070fc9ecb8937p-4, -0x1.049d6275eb0c1p-4, -0x1.022b9ab36f48ap-4, -0x1.ff7521cd995e6p-5, -0x1.fa94c52ccedcfp-5, -0x1.f5b6592fd03f5p-5, -0x1.f0da163a58101p-5, -0x1.ec00338cd285p-5, -0x1.e728e74b0302ep-5, -0x1.e254668ee3fc4p-5, -0x1.dd82e56387f96p-5, -0x1.d8b496bcce917p-5, -0x1.d3e9ac68e4777p-5, -0x1.cf2256fb678b4p-5, -0x1.ca5ec5c3656dbp-5, -0x1.c59f26c9c6e1bp-5, -0x1.c0e3a6d328acep-5, -0x1.bc2c7173bec5bp-5, -0x1.b779b1181da95p-5, -0x1.b2cb8f10ed9a9p-5, -0x1.ae22339e501fp-5, -0x1.a97dc5faa7819p-5, -0x1.a4de6c5c62545p-5, -0x1.a0444bf292de5p-5, -0x1.9baf88e0db89dp-5, -0x1.9720463c0272ep-5, -0x1.9296a607ef026p-5, -0x1.8e12c937f31cep-5, -0x1.8994cfb1993f5p-5, -0x1.851cd851bd225p-5, -0x1.80ab00f34221ap-5, -0x1.7c3f667526bc6p-5, -0x1.77da24bf59504p-5, -0x1.737b56c63f482p-5, -0x1.6f23168d3c80ap-5, -0x1.6ad17d29eaf2cp-5, -0x1.6686a2c86636bp-5, -0x1.62429eab57d45p-5, -0x1.5e05872b47579p-5, -0x1.59cf71b62d3d8p-5, -0x1.55a072dfd3e0dp-5, -0x1.51789e59f113bp-5, -0x1.4d5806f735543p-5, -0x1.493ebeb8c816ap-5, -0x1.452cd6c88ad2dp-5, -0x1.41225f7e098b4p-5, -0x1.3d1f68629675dp-5, -0x1.39240033c948dp-5, -0x1.353034e69031ap-5, -0x1.314413aa11ffbp-5, -0x1.2d5fa8eac29fcp-5, -0x1.298300559a6c9p-5, -0x1.25ae24dbae9adp-5, -0x1.21e120b50c5b4p-5, -0x1.1e1bfd645b20ap-5, -0x1.1a5ec3b8c555dp-5, -0x1.16a97bd1f9fdcp-5, -0x1.12fc2d22f967ep-5, -0x1.0f56de7844225p-5, -0x1.0bb995f4e087bp-5, -0x1.0824591729d9p-5, -0x1.04972cbc9e7fp-5, -0x1.0112152691f04p-5, -0x1.fb2a2bf985b8dp-6, -0x1.f440649cfb97bp-6, -0x1.ed66d92acb36bp-6, -0x1.e69d8d71faf71p-6, -0x1.dfe4842621e75p-6, -0x1.d93bbee4e2ea6p-6, -0x1.d2a33e3cfe99cp-6, -0x1.cc1b01b4af9aep-6, -0x1.c5a307cf034b4p-6, -0x1.bf3b4e109f5a1p-6, -0x1.b8e3d103716dbp-6, -0x1.b29c8c3a3ae4fp-6, -0x1.ac657a54a300ep-6, -0x1.a63e950495319p-6, -0x1.a027d515d3befp-6, -0x1.9a213276d7fdcp-6, -0x1.942aa440dbe46p-6, -0x1.8e4420bece5f7p-6, -0x1.886d9d76dc69p-6, -0x1.82a70f2f2ee51p-6, -0x1.7cf069f409be5p-6, -0x1.7749a1150fba9p-6, -0x1.71b2a724d6d1p-6, -0x1.6c2b6df6cdd7fp-6, -0x1.66b3e6a5ce55p-6, -0x1.614c0195cf5ep-6, -0x1.5bf3ae7a61989p-6, -0x1.56aadc64485ebp-6, -0x1.517179cfefd7fp-6, -0x1.4c4774aa96801p-6, -0x1.472cba7f99379p-6, -0x1.422138558ea81p-6, -0x1.3d24dab345dep-6, -0x1.38378dbffee82p-6, -0x1.33593d1b23b6p-6, -0x1.2e89d3d9122fbp-6, -0x1.29c93c84869bep-6, -0x1.251761044ebe5p-6, -0x1.20742ab75a7dep-6, -0x1.1bdf82710c3f5p-6, -0x1.1759508ffc22p-6, -0x1.12e17d1966183p-6, -0x1.0e77efd467728p-6, -0x1.0a1c9061b42d4p-6, -0x1.05cf464c1ab2p-6, -0x1.018ff910102a9p-6, -0x1.fabd202bdc8f1p-7, -0x1.f275e53a7f8fcp-7, -0x1.ea4a0f3aee347p-7, -0x1.e2396b487ec08p-7, -0x1.da43c56ef1bd6p-7, -0x1.d268e87fa590ap-7, -0x1.caa89e05eed97p-7, -0x1.c302ae658209dp-7, -0x1.bb76e125cfb1bp-7, -0x1.b404fd620a937p-7, -0x1.acacca4dc2ed8p-7, -0x1.a56e0fb4c8d58p-7, -0x1.9e48965c0cfabp-7, -0x1.973c282d0947ap-7, -0x1.9048901d825cbp-7, -0x1.896d99cde5fd8p-7, -0x1.82ab10e21189bp-7, -0x1.7c00c025a349ap-7, -0x1.756e70d0dfd5ap-7, -0x1.6ef3e9e808f63p-7, -0x1.6890efc9e9a54p-7, -0x1.6245447216549p-7, -0x1.5c10a80359388p-7, -0x1.55f2d9bc68c25p-7, -0x1.4feb99541befbp-7, -0x1.49faa86024516p-7, -0x1.441fcb8fa0e12p-7, -0x1.3e5acb7d52405p-7, -0x1.38ab74e5897d1p-7, -0x1.331198200347ap-7, -0x1.2d8d07de1047ep-7, -0x1.281d975747b71p-7, -0x1.22c318340f3c4p-7, -0x1.1d7d5896c7354p-7, -0x1.184c21a0dc4dep-7, -0x1.132f36c31f9e7p-7, -0x1.0e26560a1f073p-7, -0x1.0931394198befp-7, -0x1.044f982d51cf5p-7, -0x1.ff0256116bdb6p-8, -0x1.f58b5a7aa709cp-8, -0x1.ec39c022d13fbp-8, -0x1.e30d17be74b4bp-8, -0x1.da050111554e7p-8, -0x1.d12129e7df477p-8, -0x1.c861490f68d0dp-8, -0x1.bfc517e432253p-8, -0x1.b74c4b125b4eep-8, -0x1.aef68bd1fdb84p-8, -0x1.a6c372d1f88dp-8, -0x1.9eb286408b599p-8, -0x1.96c33af7da388p-8, -0x1.8ef4f8a474433p-8, -0x1.874720a8a2568p-8, -0x1.7fb9165663757p-8, -0x1.784a4719355adp-8, -0x1.70fa320eb07f4p-8, -0x1.69c86dfb7fd0ep-8, -0x1.62b4abd91fcf9p-8, -0x1.5bbeb5ebf740dp-8, -0x1.54e66ade7ae5p-8, -0x1.4e2bb5679d66dp-8, -0x1.478e8158f445bp-8, -0x1.410eafdad8c7ep-8, -0x1.3aac0cdf0cd52p-8, -0x1.346647bd115edp-8, -0x1.2e3cf050a870fp-8, -0x1.282f7901e2eb6p-8, -0x1.223d3d17ef8d6p-8, -0x1.1c6589ebc51a5p-8, -0x1.16a7a93dd65bep-8, -0x1.1102eb2296457p-8, -0x1.0b76ae7ddd499p-8, -0x1.0602679234557p-8, -0x1.00a5a477e7d4fp-8, -0x1.f6c01ea18697bp-9, -0x1.ec62dbd97aebap-9, -0x1.e2333cfab3e86p-9, -0x1.d8312277fd66p-9, -0x1.ce5c7e8ba49b5p-9, -0x1.c4b53fb55d0b9p-9, -0x1.bb3b3b9c14b7ap-9, -0x1.b1ee1ec7d95bp-9, -0x1.a8cd650c87b2fp-9, -0x1.9fd85c652563cp-9, -0x1.970e30dff789bp-9, -0x1.8e6dfd42e836ap-9, -0x1.85f6daa7b7c0dp-9, -0x1.7da7ea486544ap-9, -0x1.758057fa70308p-9, -0x1.6d7f57f89b786p-9, -0x1.65a4231fa28b4p-9, -0x1.5dedf7fc05173p-9, -0x1.565c2018a4279p-9, -0x1.4eedf8fe519d4p-9, -0x1.47a2fbf1e68edp-9, -0x1.407abf7e7ac2ap-9, -0x1.3974f0381b689p-9, -0x1.329141be9e658p-9, -0x1.2bcf5c9cf675fp-9, -0x1.252ecf0fca26p-9, -0x1.1eaf078e82c2ap-9, -0x1.184f5b9afde31p-9, -0x1.120f167110f9ap-9, -0x1.0bed909fa35d7p-9, -0x1.05ea41d9ddc41p-9, -0x1.0004c7230534dp-9, -0x1.f479b2bbb81ccp-10, -0x1.e9246a20f39fep-10, -0x1.de08f9a74c414p-10, -0x1.d32647037ca6dp-10, -0x1.c87ad262bbf4cp-10, -0x1.be04dc5841843p-10, -0x1.b3c2a9bd8f36cp-10, -0x1.a9b2c695dbec8p-10, -0x1.9fd446e27181ep-10, -0x1.96268d24fd99cp-10, -0x1.8ca96d7803381p-10, -0x1.835ca41ac0bcep-10, -0x1.7a3fcaecc17b2p-10, -0x1.7152332f093e7p-10, -0x1.6892f6bd64c17p-10, -0x1.60011d275fc6bp-10, -0x1.579bc4ea38f85p-10, -0x1.4f62439e05f96p-10, -0x1.475435e114885p-10, -0x1.3f717ad35db94p-10, -0x1.37ba175e81c08p-10, -0x1.302e07998d0ecp-10, -0x1.28cd03deb1212p-10, -0x1.21964cfa2041bp-10, -0x1.1a8897709e74bp-10, -0x1.13a228c15b627p-10, -0x1.0ce11fb658418p-10, -0x1.0643cf0c55889p-10, -0x1.ff9207beb2e76p-11, -0x1.f2e030a7df9abp-11, -0x1.e6719365da416p-11, -0x1.da45c8e5a5fafp-11, -0x1.ce5bdf099d78dp-11, -0x1.c2b20b324f241p-11, -0x1.b745cfd837162p-11, -0x1.ac148efb8054cp-11, -0x1.a11c268c50f8fp-11, -0x1.965b6746cfd12p-11, -0x1.8bd233e55b945p-11, -0x1.818150b655373p-11, -0x1.7769f5858b70ep-11, -0x1.6d8d4686f12cbp-11, -0x1.63ebe45ebbfa1p-11, -0x1.5a85b2a0557f8p-11, -0x1.5159cb17f3d3fp-11, -0x1.48668af422f4p-11, -0x1.3fa9a3a2f73f8p-11, -0x1.372045f16ab19p-11, -0x1.2ec787bdd08bep-11, -0x1.269cf65ae8d46p-11, -0x1.1e9f178978f5ap-11, -0x1.16cd93a8eeaafp-11, -0x1.0f28fcc018844p-11, -0x1.07b24536ffbc4p-11, -0x1.006a220091384p-11, -0x1.f2a12fbe32c13p-12, -0x1.e4c96f96dd0a8p-12, -0x1.d7496e98ad5c4p-12, -0x1.ca1c5f11dd1b9p-12, -0x1.bd3d042cf7e23p-12, -0x1.b0a6cbd022601p-12, -0x1.a456b1dfc563fp-12, -0x1.984b8d3836e25p-12, -0x1.8c855676bae23p-12, -0x1.8103ed1692853p-12, -0x1.75c64eff6b3f5p-12, -0x1.6acac3a9e4f79p-12, -0x1.600faeda4a587p-12, -0x1.559453bc8f874p-12, -0x1.4b58f3d18eb9ep-12, -0x1.415e2b0926b2cp-12, -0x1.37a3eea3ac831p-12, -0x1.2e28e1b0c9c9bp-12, -0x1.24ea7e1ad39cap-12, -0x1.1be5dde241c6dp-12, -0x1.1318611e91306p-12, -0x1.0a7fc84a8ea5dp-12, -0x1.021a46c4f36dp-12, -0x1.f3ce460f533afp-13, -0x1.e3cecbda6a78bp-13, -0x1.d43aff2b1708p-13, -0x1.c517317afb1fep-13, -0x1.b663507174261p-13, -0x1.a81948f782e8ap-13, -0x1.9a30bac191764p-13, -0x1.8ca38efcc3543p-13, -0x1.7f7148ebf6b54p-13, -0x1.729c93f881cc6p-13, -0x1.6626b64f5f903p-13, -0x1.5a0cdf9aa7dd7p-13, -0x1.4e487925382dbp-13, -0x1.42d0ef217f9c1p-13, -0x1.379d9361c745fp-13, -0x1.2ca76267c1485p-13, -0x1.21eaac583f8fdp-13, -0x1.176821df16356p-13, -0x1.0d2479b4289aep-13, -0x1.03265cdaa76ap-13, -0x1.f2e6c16b1738ep-14, -0x1.e01b4c1389a06p-14, -0x1.cde70add64191p-14, -0x1.bc41b5be46cadp-14, -0x1.ab1f96cfdae8p-14, -0x1.9a7126d3dd448p-14, -0x1.8a2676f30e169p-14, -0x1.7a396f88c3ae4p-14, -0x1.6ab514592be59p-14, -0x1.5bad103cddb4bp-14, -0x1.4d2ab0fcf10a3p-14, -0x1.3f224d18e0631p-14, -0x1.317d57735be8dp-14, -0x1.242ec42d23401p-14, -0x1.173a9ebe7bcd9p-14, -0x1.0aab6be00cfe8p-14, -0x1.fd0ae848a5427p-15, -0x1.e58940f9b1ddp-15, -0x1.cec805f470a25p-15, -0x1.b8c009bcad3bbp-15, -0x1.a36ac70460048p-15, -0x1.8ec5aa148b275p-15, -0x1.7ac8241582cecp-15, -0x1.6763be3f984f8p-15, -0x1.548582bbb5c49p-15, -0x1.421bdbf6a87e4p-15, -0x1.301e92e24fc26p-15, -0x1.1e9343dd8e0e5p-15, -0x1.0d8b9c88491a3p-15, -0x1.fa37a09b9a17fp-16, -0x1.da9cac5e5f311p-16, -0x1.bc3c32bb4867p-16, -0x1.9efb2153b098ap-16, -0x1.82c3caf2212a1p-16, -0x1.6780967a93c56p-16, -0x1.4d0e2de6c3229p-16, -0x1.3357b84059f4cp-16, -0x1.1a7eb473b4f0fp-16, -0x1.02ad9b1720da1p-16, -0x1.d796a41e475e5p-17, -0x1.ab15f9c2b5e4bp-17, -0x1.7f971e04a46adp-17, -0x1.556c41eb3d86cp-17, -0x1.2cf2ddd934ef4p-17, -0x1.062b56b0d8ca8p-17, -0x1.c1be6f314c212p-18, -0x1.79bf0e2bd057bp-18, -0x1.342e397b40683p-18, -0x1.e20e3360fed08p-19, -0x1.60b7a15fa1eaep-19, -0x1.c93c76c7daf1p-20, -0x1.b85686cbd5ad9p-21, 0x1.555ad1c7343efp-26, 0x1.b7186c9a81db5p-21, 0x1.a7f8a8b401d1bp-20, 0x1.36a78201e7efcp-19, 0x1.97155c3ccd368p-19, 0x1.f57643df91fc9p-19, 0x1.28506340cd6e1p-18, 0x1.53a2d2e40d4c9p-18, 0x1.7ca7d42473804p-18, 0x1.a3d92813be941p-18, 0x1.c9733221dbe5p-18, 0x1.ed237e5c0c922p-18, 0x1.073f0bc08892ap-17, 0x1.16c173d2e6202p-17, 0x1.256b1ff7738c4p-17, 0x1.339fb9237e56dp-17, 0x1.41580d8a4ad43p-17, 0x1.4e5bd5b6a9e33p-17, 0x1.5ad676f522d28p-17, 0x1.66fe182e94c18p-17, 0x1.728faa39be28bp-17, 0x1.7d3fe51e95b9dp-17, 0x1.8721fcefd97d5p-17, 0x1.906a72d7133d4p-17, 0x1.993623c918597p-17, 0x1.a18bd6b180193p-17, 0x1.a96c3a713214dp-17, 0x1.b0d69b29b35f4p-17, 0x1.b7c83c145916ep-17, 0x1.be36806de19a1p-17, 0x1.c415dd8af6a99p-17, 0x1.c95c6fa13a7a1p-17, 0x1.ce02fb981143dp-17, 0x1.d21868a2e1a93p-17, 0x1.d5d5404a15bf3p-17, 0x1.d97510562000bp-17, 0x1.dce3ac66df50fp-17, 0x1.dfdf6652fe6fp-17, 0x1.e26b19e955183p-17, 0x1.e4c96d4ad91fdp-17, 0x1.e6e8a9065e825p-17, 0x1.e88fe605879aep-17, 0x1.e9be27c6ac269p-17, 0x1.ea9a8e4ee7c77p-17, 0x1.eb44e4f29aa33p-17, 0x1.ebc3e2aaa074bp-17, 0x1.ebfcc26f12aafp-17, 0x1.ebcc99897c6b7p-17, 0x1.eb3f985d9878bp-17, 0x1.ea91d9c13fc0ep-17, 0x1.e9c61a7434da7p-17, 0x1.e8e36553d0f47p-17, 0x1.e7e74317313c7p-17, 0x1.e699a738f48f6p-17, 0x1.e4f4ca841670ep-17, 0x1.e31d75da95106p-17, 0x1.e12661caff5fcp-17, 0x1.df10944e60b1bp-17, 0x1.dcd993eff237bp-17, 0x1.da802e1509a5ap-17, 0x1.d80409ae82e4cp-17, 0x1.d5646ae516179p-17, 0x1.d2a0a5bad7a7ap-17, 0x1.cfb863803993p-17, 0x1.cca6f9c07b5cep-17, 0x1.c9614ce8ca21ep-17, 0x1.c5f02a66e7cc6p-17, 0x1.c27702690b2c8p-17, 0x1.bef4531e98f2bp-17, 0x1.bb600945c41d1p-17, 0x1.b7cf8fd6d142ep-17, 0x1.b4263e2d6e0c2p-17, 0x1.b04929d694831p-17, 0x1.ac4e12fe462d6p-17, 0x1.a84927d0c7965p-17, 0x1.a43db768c9ca5p-17, 0x1.a029f31de42afp-17, 0x1.9c0ba3d655278p-17, 0x1.97e236b06ee0bp-17, 0x1.93ac404347ccp-17, 0x1.8f6c3c15e9232p-17, 0x1.8b248cb905af3p-17, 0x1.86d3eed0de2b7p-17, 0x1.826ddb4b09344p-17, 0x1.7deb802648f69p-17, 0x1.7966f006db144p-17, 0x1.74f27380bacd4p-17, 0x1.7088866112737p-17, 0x1.6c0da77f1e4c7p-17, 0x1.677f786961643p-17, 0x1.62eec98d5611p-17, 0x1.5e60d00daa00cp-17, 0x1.59d3d0b4645d5p-17, 0x1.5546cfd8fb3c8p-17, 0x1.50ba60d31c79bp-17, 0x1.4c2e56d36ae2p-17, 0x1.47a3d2864e4dbp-17, 0x1.431c6a712952fp-17, 0x1.3e8fa1428fe9ap-17, 0x1.39f3669b409c2p-17, 0x1.3559bf981d711p-17, 0x1.30d02bf996691p-17, 0x1.2c5416e2dad9bp-17, 0x1.27d894925bd5dp-17, 0x1.23550408aa378p-17, 0x1.1ed51024e09c1p-17, 0x1.1a5d15599797ep-17, 0x1.15ece229e8ca7p-17, 0x1.1181121a7c36fp-17, 0x1.0d1b09d813835p-17, 0x1.08bb05728ab11p-17, 0x1.045fec00db774p-17, 0x1.000b00daa191cp-17, 0x1.f7796aeaf4591p-18, 0x1.eeea071659055p-18, 0x1.e667cfd16d31ep-18, 0x1.ddf3cc021c679p-18, 0x1.d591a5c13964p-18, 0x1.cd3dd1a3a00aep-18, 0x1.c4f6f2c0372d4p-18, 0x1.bcc23508327fap-18, 0x1.b49e3e509b57p-18, 0x1.ac89cc4113813p-18, 0x1.a4803fe64dab7p-18, 0x1.9c87c84766856p-18, 0x1.94a930b778387p-18, 0x1.8cd89192bdaa1p-18, 0x1.851544e23cc43p-18, 0x1.7d65b5f96532bp-18, 0x1.75ca38cbb10c6p-18, 0x1.6e41d992e965ep-18, 0x1.66cc97aa0603dp-18, 0x1.5f6a4ba8a401bp-18, 0x1.5816dfe118f1ap-18, 0x1.50d155fa971b3p-18, 0x1.49a43140d73fep-18, 0x1.428df2d5fbdabp-18, 0x1.3b86364c870cep-18, 0x1.34901c12f1e66p-18, 0x1.2daf461f747fbp-18, 0x1.26e1fea26e9eep-18, 0x1.2027fee0abb47p-18, 0x1.1980ed459bc96p-18, 0x1.12ed4d14904f2p-18, 0x1.0c6ced3a35d36p-18, 0x1.05ffb4763adaep-18, 0x1.ff4b0b3c115a3p-19, 0x1.f2bda51838a28p-19, 0x1.e6567dfcfdf4ep-19, 0x1.da15ef4aa2f6cp-19, 0x1.cdfbe06b7937ep-19, 0x1.c20824aef9932p-19, 0x1.b63a7e70aad25p-19, 0x1.aa928d49fd24ep-19, 0x1.9f0fdf199dc9bp-19, 0x1.93b37675bce11p-19, 0x1.887df2fc9c8afp-19, 0x1.7d6d7c83c86b9p-19, 0x1.727ecada9fa93p-19, 0x1.67b53ed236309p-19, 0x1.5d18b89cceb2dp-19, 0x1.529bbdd82b704p-19, 0x1.48431c1e442acp-19, 0x1.3e177513ca57dp-19, 0x1.33fc98cc38edcp-19, 0x1.2a0ef55a7b61ep-19, 0x1.20492ccf88c6dp-19, 0x1.16a423af381ccp-19, 0x1.0d227d045949ap-19, 0x1.03c3cc467baa6p-19, 0x1.f5117db663689p-20, 0x1.e2dd25c4e069fp-20, 0x1.d0edb57ca9b7p-20, 0x1.bf433b920811bp-20, 0x1.add9b2c3939b3p-20, 0x1.9cb2fcf1497c9p-20, 0x1.8bcc776cf14d1p-20, 0x1.7b2f2b1256ea7p-20, 0x1.6ace32d0f069p-20, 0x1.5aac54b2caa78p-20, 0x1.4acb314c57f68p-20, 0x1.3b29a566bd9fap-20, 0x1.2bc6b19f5cbdep-20, 0x1.1ca19144b307p-20, 0x1.0db9dd8c12153p-20, 0x1.fe1d821bf120bp-21, 0x1.e14e7d7e0291ep-21, 0x1.c4dbc5dc8de5p-21, 0x1.a8ed3dd633ccep-21, 0x1.8d7276f11ee93p-21, 0x1.726acf6b940b6p-21, 0x1.57d58b518e99ep-21, 0x1.3db1a99668c55p-21, 0x1.23fdf9d9fe5eap-21, 0x1.0abcf64b260fap-21, 0x1.e3bb76e795425p-22, 0x1.b2df00ab96503p-22, 0x1.82e791da83ff7p-22, 0x1.53bbaf025afc1p-22, 0x1.255774cd427a1p-22, 0x1.ef9d45686f181p-23, 0x1.9624c93d6e237p-23, 0x1.3e77cf76dc66ep-23, 0x1.cf41a243f1efap-24, 0x1.258f969e7bc8ep-24, 0x1.fcaa866595d93p-26, -0x1.24473e946c881p-27, -0x1.8a375e3a97451p-25, -0x1.62beca5230e9bp-24, -0x1.fd17af53884f8p-24, -0x1.4af4048cd3217p-23, -0x1.9584ee5d2c6ffp-23, -0x1.deacb0e8cbac4p-23, -0x1.133dce4228995p-22, -0x1.368423bcfaaap-22, -0x1.59272636734d2p-22, -0x1.7afccbee0513ap-22, -0x1.9c086fb5e7d98p-22, -0x1.bccd8c4a4082ap-22, -0x1.dca62d583764bp-22, -0x1.fc26588698ea5p-22, -0x1.0d81b59c2967dp-21, -0x1.1c8cb2f8127ap-21, -0x1.2b49456b5b79ep-21, -0x1.39c0d4f9d25f7p-21, -0x1.47f494660f17fp-21, -0x1.55d24436aa376p-21, -0x1.630373d6ae1d8p-21, -0x1.70c270ad4809dp-21, -0x1.7dc9ac03317f1p-21, -0x1.8a97d57537e6ap-21, -0x1.971b2a4ef49bbp-21, -0x1.a35811ed1b4a1p-21, -0x1.af5530779f352p-21, -0x1.bb132d04c0507p-21, -0x1.c68eec5c822cap-21, -0x1.d1c9cde8dd01fp-21, -0x1.dcc6567370f0ep-21, -0x1.e7811373c3a6cp-21, -0x1.f208b9bc8a6cep-21, -0x1.fc512471fd55p-21, -0x1.032ad60d94ad5p-20, -0x1.0813dd5b62cacp-20, -0x1.0ce19face8602p-20, -0x1.119578a098ba7p-20, -0x1.1622204511b03p-20, -0x1.1a99e1c55ad09p-20, -0x1.1ef862350347cp-20, -0x1.233d7e9955603p-20, -0x1.2764425875fa1p-20, -0x1.2b77bf254d506p-20, -0x1.2f6ee939f5526p-20, -0x1.334cdee45055cp-20, -0x1.370f72e1d571ap-20, -0x1.3ab67a5b2aee3p-20, -0x1.3e498d21cacf4p-20, -0x1.41ccce719234ap-20, -0x1.4536c4822db6dp-20, -0x1.4885ae1960fc9p-20, -0x1.4bbd14d241f2bp-20, -0x1.4ee13a12f016p-20, -0x1.51ec6d25eecf3p-20, -0x1.54e662b08e6a7p-20, -0x1.57ccc2e71c25bp-20, -0x1.5a9e6738a68bbp-20, -0x1.5d5e36dd5087ep-20, -0x1.600bcf8e3041cp-20, -0x1.6295a96096533p-20, -0x1.65120b9d0d1d8p-20, -0x1.678675ba6a60dp-20, -0x1.69e0c4ea8aff3p-20, -0x1.6c4aa2a6ed293p-20, -0x1.6e7089eca3153p-20, -0x1.7092cf25771e9p-20, -0x1.72a4c0649ffa1p-20, -0x1.74a9348624ae8p-20, -0x1.769d4abde0c76p-20, -0x1.788a8e9590e69p-20, -0x1.7a54e24e0a759p-20, -0x1.7c17b881ac3dep-20, -0x1.7dcd6502a12e1p-20, -0x1.7f7333c11dcecp-20, -0x1.8109e3aaa1ebap-20, -0x1.828be4b5cff81p-20, -0x1.83fd36aa085f2p-20, -0x1.85702e6924a5fp-20, -0x1.86cdd7192396bp-20, -0x1.881d1cfc90816p-20, -0x1.895cc4ba6fe88p-20, -0x1.8a90184df089dp-20, -0x1.8bb74570418cdp-20, -0x1.8cd1fb10cef4bp-20, -0x1.8de5220c053e3p-20, -0x1.8eed848644e89p-20, -0x1.8fd893706e736p-20, -0x1.90bc316c4ae4cp-20, -0x1.9195e1ded3ad2p-20, -0x1.926d7699d0df8p-20, -0x1.9339e3a2f62d4p-20, -0x1.93f2a757a5bc9p-20, -0x1.94a25baf12fcdp-20, -0x1.954969a5847c9p-20, -0x1.95e5361a40643p-20, -0x1.9677201cba5a3p-20, -0x1.96fe946441b92p-20, -0x1.977ad9ff1dd47p-20, -0x1.97f03fda66b4p-20, -0x1.985b12f1ab2c2p-20, -0x1.98c0f22cbb31ep-20, -0x1.98f4b81824855p-20, -0x1.99685b6c4eda2p-20, -0x1.99b52d86aa896p-20, -0x1.99f001adb89f2p-20, -0x1.9a0fe3d0f9fd1p-20, -0x1.9a4d18f60efe9p-20, -0x1.9a69d08809bd4p-20, -0x1.9a974a92e062dp-20, -0x1.9aa808031b663p-20, -0x1.9ab2a7a5cdfa1p-20, -0x1.9ab7d05d7e4e4p-20, -0x1.9ab617e3b30a8p-20, -0x1.9aacf824731f6p-20, -0x1.9a9d7b95cb99dp-20, -0x1.9a87e2c8c6892p-20, -0x1.9a6c92dcb3d6ap-20, -0x1.9a48663c9b61ep-20, -0x1.9a1de9c70f96ep-20, -0x1.99ede2f72d47bp-20, -0x1.99b5c24d6b474p-20, -0x1.99795b6715995p-20, -0x1.99380a42f936p-20, -0x1.98f15552f38bap-20, -0x1.9897fcf22dc7dp-20, -0x1.9841f8138b782p-20, -0x1.97f497894ad93p-20, -0x1.97903adb4b008p-20, -0x1.972ce7250d4fbp-20, -0x1.96c8cb533c05p-20, -0x1.96556bf1a0d06p-20, -0x1.95e668873f333p-20, -0x1.95396b88722a9p-20, -0x1.94efccf1bdc83p-20, -0x1.9467a419f22dcp-20, -0x1.93e35b17be143p-20, -0x1.935595493bb02p-20, -0x1.92c783fefd41bp-20, -0x1.9234c6888c013p-20, -0x1.919d39b560cfbp-20, -0x1.9101646858ccp-20, -0x1.9062924dedcfp-20, -0x1.8fc2f821363cdp-20, -0x1.8f20297a75564p-20, -0x1.8e650303fd4cdp-20, -0x1.8dbe6d1b7bca2p-20, -0x1.8cea43ae06b59p-20, -0x1.8c572627a7d11p-20, -0x1.8b9fea57afa2bp-20, -0x1.8adddb9aa3a47p-20, -0x1.8a1c516bfb3cp-20, -0x1.8959497b41cfp-20, -0x1.8894032d80f98p-20, -0x1.87cce2e23d2dp-20, -0x1.8703b2f9f1028p-20, -0x1.862d3b12ea1d2p-20, -0x1.8556eaa7e6d49p-20, -0x1.848d54f1157eap-20, -0x1.8358248d0a1ddp-20, -0x1.82e152905f2c2p-20, -0x1.81ff3db0cefb8p-20, -0x1.813a2ecc72c63p-20, -0x1.803debeab71cdp-20, -0x1.7f593688db25p-20, -0x1.7e734b0ec8e4dp-20, -0x1.7d9c389312e04p-20, -0x1.7ca52513b6ad4p-20, -0x1.7bb6dc952da0ep-20, }}, 
      {{0x1.cc3af4e9acbe8p-2, 0x1.df12a64d34353p-2, 0x1.f6687ab5541a4p-2, 0x1.06002fcadf18dp-1, 0x1.0dc234e0e491cp-1, 0x1.114e70d31b896p-1, 0x1.1049790932bc6p-1, 0x1.0aeb2761a5946p-1, 0x1.01c65a781494ap-1, 0x1.eb38a963fde06p-2, 0x1.ce7914073674cp-2, 0x1.aede88f0c405bp-2, 0x1.8dd19fa6021fap-2, 0x1.6c85ca2be6d0bp-2, 0x1.4bf4c88d6e40bp-2, 0x1.2cdfb06587fedp-2, 0x1.0fd34e60b8796p-2, 0x1.ea5ca2707a39fp-3, 0x1.ba505eb78cb82p-3, 0x1.8fb03095141acp-3, 0x1.6a770d107be77p-3, 0x1.4a786a5992b44p-3, 0x1.2f6ab5f062a4ep-3, 0x1.18f043707dbfcp-3, 0x1.069ebcbe79b31p-3, 0x1.f00a5af63e3d7p-4, 0x1.d9619a0948c03p-4, 0x1.c8615cf357b5cp-4, 0x1.bc30fde8efa7p-4, 0x1.b404f13ea64fbp-4, 0x1.af215c95940d4p-4, 0x1.acdb9f05f45bp-4, 0x1.ac9b027d8acp-4, 0x1.add8c701b40e1p-4, 0x1.b01fb09f0d184p-4, 0x1.b30b3a6cd46ebp-4, 0x1.b6468b68b1b26p-4, 0x1.b98b4240ce7bfp-4, 0x1.bca02abdf240cp-4, 0x1.bf57ecfc62283p-4, 0x1.c18fbd3c950d2p-4, 0x1.c32e1429f9ffdp-4, 0x1.c4217b2c6abe2p-4, 0x1.c45f6cc24db73p-4, 0x1.c3e3455c9dc8cp-4, 0x1.c2ad4c7e24332p-4, 0x1.c0c1db47adacbp-4, 0x1.be28990f6df0ap-4, 0x1.baebc825bf1fp-4, 0x1.b717a76f54183p-4, 0x1.b2b9ecb9fff7cp-4, 0x1.ade153bad25c3p-4, 0x1.a89d3aa8e2538p-4, 0x1.a2fd4a59c4183p-4, 0x1.9d112bdf86c6dp-4, 0x1.96e84cae72228p-4, 0x1.9091af8a45ebdp-4, 0x1.8a1bc6ec25ed8p-4, 0x1.8394563fe9e5dp-4, 0x1.7d08592484b3cp-4, 0x1.7683f0c5d75c6p-4, 0x1.70125758db8dcp-4, 0x1.69bdd90648b53p-4, 0x1.638fd14778f4bp-4, 0x1.5d90abcbb7721p-4, 0x1.57c7e7ba132cdp-4, 0x1.523c1d1b0997ap-4, 0x1.4cf303cc0e478p-4, 0x1.47f17bde5376p-4, 0x1.433b976a27d3fp-4, 0x1.3ed4a51c82843p-4, 0x1.3abf3bb2868bp-4, 0x1.36fd46035017p-4, 0x1.33900f170704dp-4, 0x1.30784e4734fcdp-4, 0x1.2db633a62bff2p-4, 0x1.2b497391ccc75p-4, 0x1.2931523a1031cp-4, 0x1.276caea056058p-4, 0x1.25fa0d3f2edd2p-4, 0x1.24d7a2142100cp-4, 0x1.24035a679d0a1p-4, 0x1.237ae5e7134f8p-4, 0x1.233bbf6de366cp-4, 0x1.2343352987bfcp-4, 0x1.238e705e5ca7dp-4, 0x1.241a7c47c4563p-4, 0x1.24e44c94b0aecp-4, 0x1.25e8c35b16304p-4, 0x1.2724b66d4f739p-4, 0x1.2894f4225f6b4p-4, 0x1.2a3647c4b98dbp-4, 0x1.2c057d91bb95bp-4, 0x1.2dff663acfd98p-4, 0x1.3020da30026d8p-4, 0x1.3266bc699a18ap-4, 0x1.34cdfd1ae75cbp-4, 0x1.37539bba79d7p-4, 0x1.39f4a91b93db8p-4, 0x1.3cae4903bed61p-4, 0x1.3f7db367b4a55p-4, 0x1.426035bea3594p-4, 0x1.455333bcdb406p-4, 0x1.4854283394b1ap-4, 0x1.4b60a584be0c2p-4, 0x1.4e76560a77ca2p-4, 0x1.5192fc3c5eb9fp-4, 0x1.54b473077a6d3p-4, 0x1.57d8ad9248374p-4, 0x1.5afdb7479284cp-4, 0x1.5e21b3d873414p-4, 0x1.6142de7fd7a3cp-4, 0x1.645f8a4fe508p-4, 0x1.6776215725f4fp-4, 0x1.6a852484bbf65p-4, 0x1.6d8b2ae52733ep-4, 0x1.7086e15aca85ap-4, 0x1.73770a0383921p-4, 0x1.765a7b887383dp-4, 0x1.793020a55652ep-4, 0x1.7bf6f77307bep-4, 0x1.7eae10d1a1ad4p-4, 0x1.81548fccd2063p-4, 0x1.83e9a8d582df7p-4, 0x1.866ca13d7592ap-4, 0x1.88dcce77a3ce1p-4, 0x1.8b39958efda6cp-4, 0x1.8d826a7615476p-4, 0x1.8fb6cf69f3d93p-4, 0x1.91d65428486f1p-4, 0x1.93e0959dfcf91p-4, 0x1.95d53d25e1ff1p-4, 0x1.97b3fff910039p-4, 0x1.997c9e85f033p-4, 0x1.9b2ee40a4c512p-4, 0x1.9ccaa5ed0174dp-4, 0x1.9e4fc34abb6d4p-4, 0x1.9fbe244ccd976p-4, 0x1.a115ba09230e6p-4, 0x1.a2567d7432a88p-4, 0x1.a3806f6ca3148p-4, 0x1.a493981031d37p-4, 0x1.a590065f4e87p-4, 0x1.a675cf985d322p-4, 0x1.a7450f6402255p-4, 0x1.a7fde6c238742p-4, 0x1.a8a07c1721248p-4, 0x1.a92cfab5a73f1p-4, 0x1.a9a3928c7c72dp-4, 0x1.aa0477df7edeep-4, 0x1.aa4fe2e30c853p-4, 0x1.aa860f5139087p-4, 0x1.aaa73cb601a5ep-4, 0x1.aab3ad4020006p-4, 0x1.aaaba657d9f04p-4, 0x1.aa8f6fe23bc6fp-4, 0x1.aa5f542e9174dp-4, 0x1.aa1b9fc3e0c27p-4, 0x1.a9c4a123a7a42p-4, 0x1.a95aa878b3da7p-4, 0x1.a8de07bb1ab29p-4, 0x1.a84f123a3271ep-4, 0x1.a7ae1c5471939p-4, 0x1.a6fb7bb5167e9p-4, 0x1.a63786df021fp-4, 0x1.a5629527edb94p-4, 0x1.a47cfe8ac62f6p-4, 0x1.a3871b8822f3p-4, 0x1.a281451586ce1p-4, 0x1.a16bd43fd5676p-4, 0x1.a04722b48b55bp-4, 0x1.9f1389f83e51ap-4, 0x1.9dd1634459be4p-4, 0x1.9c81083655758p-4, 0x1.9b22d2091fe1cp-4, 0x1.99b719bce0d4ap-4, 0x1.983e37fe2c27bp-4, 0x1.96b885175736ap-4, 0x1.952658e407fafp-4, 0x1.93880ab681f4fp-4, 0x1.91ddf164268a5p-4, 0x1.902862d5ee504p-4, 0x1.8e67b4e9b47fcp-4, 0x1.8c9c3c0e36d0dp-4, 0x1.8ac64c732a5f8p-4, 0x1.88e6395073b13p-4, 0x1.86fc550d2e5cap-4, 0x1.8508f1388c8ddp-4, 0x1.830c5e67873ecp-4, 0x1.8106ec7e2aebfp-4, 0x1.7ef8ea53de0e7p-4, 0x1.7ce2a5a26046cp-4, 0x1.7ac46b65687aep-4, 0x1.789e878469a2dp-4, 0x1.767144c44822ap-4, 0x1.743ced146d8a1p-4, 0x1.7201c96614ba6p-4, 0x1.6fc02134a7d6ep-4, 0x1.6d783b6029567p-4, 0x1.6b2a5d7c2aac6p-4, 0x1.68d6cc12c89dbp-4, 0x1.667dca9bad24cp-4, 0x1.641f9b797c6fcp-4, 0x1.61bc7ff48a752p-4, 0x1.5f54b83b64b27p-4, 0x1.5ce883631f672p-4, 0x1.5a781f69daafdp-4, 0x1.5803c936aa991p-4, 0x1.558bbc9a91dp-4, 0x1.5310345a2002dp-4, 0x1.509169c42f936p-4, 0x1.4e0f95dfcffb1p-4, 0x1.4b8aefc69b6f1p-4, 0x1.4903ade882cb7p-4, 0x1.467a059aa5edfp-4, 0x1.43ee2b1f5317p-4, 0x1.4160519aeb4fap-4, 0x1.3ed0ab2c28532p-4, 0x1.3c3f68df04b83p-4, 0x1.39acbac43a888p-4, 0x1.3718cfe070dcap-4, 0x1.3483d6307a5a7p-4, 0x1.31edfaa9e9823p-4, 0x1.2f576942d81e5p-4, 0x1.2cc04cf813ebap-4, 0x1.2a28cfcbd6db4p-4, 0x1.27911ac653fcbp-4, 0x1.24f95600549aap-4, 0x1.2261a864015a7p-4, 0x1.1fca3862ada97p-4, 0x1.1d332b1efd344p-4, 0x1.1a9ca4c954bc9p-4, 0x1.1806c8ece1008p-4, 0x1.1571ba03f1733p-4, 0x1.12dd99ae64e58p-4, 0x1.104a88aea0d46p-4, 0x1.0db8a6eb48281p-4, 0x1.0b2813556ebf7p-4, 0x1.0898ec46c1046p-4, 0x1.060b4f10e470ap-4, 0x1.037f58367d05dp-4, 0x1.00f5237cc4329p-4, 0x1.fcd997c5f152p-5, 0x1.f7ccd7293fdep-5, 0x1.f2c437f798f65p-5, 0x1.edbfeb834aaf7p-5, 0x1.e8c021a20fd4bp-5, 0x1.e3c508b42f297p-5, 0x1.dececdbae925cp-5, 0x1.d9dd9beb9416cp-5, 0x1.d4f19dc2a336fp-5, 0x1.d00afc09b7323p-5, 0x1.cb29ddb946242p-5, 0x1.c64e693aa79ddp-5, 0x1.c178c34404ccap-5, 0x1.bca90f53b9237p-5, 0x1.b7df6fa938ba5p-5, 0x1.b31c054731aa6p-5, 0x1.ae5eeff9b9972p-5, 0x1.a9a84e61cef77p-5, 0x1.a4f83df4e11adp-5, 0x1.a04edafc0bd53p-5, 0x1.9bac40ab04f3ep-5, 0x1.9710891055c76p-5, 0x1.927bcd36927f6p-5, 0x1.8dee250d99649p-5, 0x1.8967a77e6e491p-5, 0x1.84e86a720011p-5, 0x1.807082c8f48bp-5, 0x1.7c00044d655acp-5, 0x1.77970234d163fp-5, 0x1.73358e8a6aacep-5, 0x1.6edbba37e00eap-5, 0x1.6a8995883406fp-5, 0x1.663f2f9bb3027p-5, 0x1.61fc9794d7741p-5, 0x1.5dc1da5ea6925p-5, 0x1.598f051daecfbp-5, 0x1.556423d2b4162p-5, 0x1.514141ae2ac4p-5, 0x1.4d26691adba56p-5, 0x1.4913a3d0a8071p-5, 0x1.4508fac571c41p-5, 0x1.41067636141b4p-5, 0x1.3d0c1daa3faap-5, 0x1.3919f7f9c071fp-5, 0x1.35300b501be6bp-5, 0x1.314e5d3044cbep-5, 0x1.2d74f2792f8cdp-5, 0x1.29a3cf7562ddep-5, 0x1.25daf7ba2edb4p-5, 0x1.221a6e5e227dap-5, 0x1.1e6235cc4c461p-5, 0x1.1ab24fec88c38p-5, 0x1.170abe16b79c8p-5, 0x1.136b8118d23a5p-5, 0x1.0fd4993a9a5fbp-5, 0x1.0c46063f89341p-5, 0x1.08bfc76b0a3d7p-5, 0x1.0541db873e725p-5, 0x1.01cc40ec222a2p-5, 0x1.fcbdeae1045efp-6, 0x1.f5f3ec768388cp-6, 0x1.ef3a81ba834d9p-6, 0x1.e891a2a245b56p-6, 0x1.e1f947d046763p-6, 0x1.db716884c5127p-6, 0x1.d4f9fbe6657f3p-6, 0x1.ce92f7beaf2abp-6, 0x1.c83c50fb12aa7p-6, 0x1.c1f5fc348bc81p-6, 0x1.bbbfed49778ddp-6, 0x1.b59a1749cbd62p-6, 0x1.af846caa2f703p-6, 0x1.a97edf2fcc5aep-6, 0x1.a3896020dae3ap-6, 0x1.9da3e00a4b4a6p-6, 0x1.97ce4ee7cd8edp-6, 0x1.92089c3384326p-6, 0x1.8c52b6ec1a2f1p-6, 0x1.86ac8d607ad4fp-6, 0x1.81160d7d7841ap-6, 0x1.7b8f24c0199abp-6, 0x1.7617c00f245b4p-6, 0x1.70afcbd624638p-6, 0x1.6b573415cd3f2p-6, 0x1.660de46b493fdp-6, 0x1.60d3c80d8d819p-6, 0x1.5ba8c9c9a60c9p-6, 0x1.568cd40690673p-6, 0x1.517fd0ed3e75bp-6, 0x1.4c81aa0ea957dp-6, 0x1.479248f63e22fp-6, 0x1.42b196b538338p-6, 0x1.3ddf7b90bb837p-6, 0x1.391be0de8e95ap-6, 0x1.3466ae16c86b4p-6, 0x1.2fbfcb374714bp-6, 0x1.2b27201288728p-6, 0x1.269c93fd0b794p-6, 0x1.22200e21a76f9p-6, 0x1.1db17575053ap-6, 0x1.1950b0b13974ap-6, 0x1.14fda65bf4734p-6, 0x1.10b83cce2aba6p-6, 0x1.0c805a36f9faep-6, 0x1.0855e49c6bfep-6, 0x1.0438c1df37e1fp-6, 0x1.0028d79978722p-6, 0x1.f84c166a0bac5p-7, 0x1.f06084e00c9b4p-7, 0x1.e88ec55860fc4p-7, 0x1.e0d6a15c767aep-7, 0x1.d937e3a534ab5p-7, 0x1.d1b25633b7c62p-7, 0x1.ca45c2dc159dap-7, 0x1.c2f1f35dda102p-7, 0x1.bbb6b15191112p-7, 0x1.b493c627d1c72p-7, 0x1.ad88fb382cf9dp-7, 0x1.a69619ca06f1bp-7, 0x1.9fbaeb143ecddp-7, 0x1.98f7384119f96p-7, 0x1.924aca6fdc4edp-7, 0x1.8bb56ac2f2e67p-7, 0x1.8536e233bdfa1p-7, 0x1.7ecef9e3eb3abp-7, 0x1.787d7aef0cc17p-7, 0x1.72422e87f308dp-7, 0x1.6c1cddf26e25ep-7, 0x1.660d51e4cc594p-7, 0x1.60135426db61dp-7, 0x1.5a2eae4302063p-7, 0x1.545f28fa3ba63p-7, 0x1.4ea48e6aab6bp-7, 0x1.48fea821002aap-7, 0x1.436d3fcc4346bp-7, 0x1.3df01f70b0376p-7, 0x1.3887111d6fc15p-7, 0x1.3331df0563142p-7, 0x1.2df053883ed38p-7, 0x1.28c239305a88ap-7, 0x1.23a75ab5fd7acp-7, 0x1.1e9f83019b7c9p-7, 0x1.19aa7d2e229cfp-7, 0x1.14c8148be50f7p-7, 0x1.0ff814a32d5f4p-7, 0x1.0b3a49338b8efp-7, 0x1.068e7e30c9d4dp-7, 0x1.01f47fc6e2563p-7, 0x1.fad834c6984ep-8, 0x1.f1ea356fb9805p-8, 0x1.e91e9b73f74c7p-8, 0x1.e07501425740dp-8, 0x1.d7ed01c8cab43p-8, 0x1.cf863896d2a42p-8, 0x1.c74041a3b6ca5p-8, 0x1.bf1ab8a79b2cdp-8, 0x1.b7153c6fc539cp-8, 0x1.af2f6aad57539p-8, 0x1.a768e0454d473p-8, 0x1.9fc13d0c641b5p-8, 0x1.983820ae72406p-8, 0x1.90cd2b499931bp-8, 0x1.897ffdaee6468p-8, 0x1.8250395d07f55p-8, 0x1.7b3d807bd360cp-8, 0x1.744775db38191p-8, 0x1.6d6dbcf5b9259p-8, 0x1.66affa04fe01dp-8, 0x1.600dd1f01fb69p-8, 0x1.5986e99db349bp-8, 0x1.531ae867c8b54p-8, 0x1.4cc973e4d1cbp-8, 0x1.469233f4005acp-8, 0x1.4074d12cae2aap-8, 0x1.3a70f4bd4b9b2p-8, 0x1.348648112faa9p-8, 0x1.2eb47586e4cacp-8, 0x1.28fb2854554efp-8, 0x1.235a0c57731c1p-8, 0x1.1dd0ce1af5613p-8, 0x1.185f1aeb97881p-8, 0x1.1304a0d9e0127p-8, 0x1.0dc10eb1845fp-8, 0x1.089413f2a987fp-8, 0x1.037d60d8ea2aep-8, 0x1.fcf94cb8da239p-9, 0x1.f3232c64c5798p-9, 0x1.e977c59b6a9bdp-9, 0x1.dff67ebfbb3a4p-9, 0x1.d69ebfb0f7456p-9, 0x1.cd6ff1c8e4617p-9, 0x1.c4697fdbb400ep-9, 0x1.bb8ad638e6d2ep-9, 0x1.b2d362a91ee17p-9, 0x1.aa42946a77617p-9, 0x1.a1d7dc3784919p-9, 0x1.9992ac5c5fb8cp-9, 0x1.917278db91f3dp-9, 0x1.8976b6b3a0cfp-9, 0x1.819edc79b32a8p-9, 0x1.79ea626e1a0dep-9, 0x1.7258c29e49abfp-9, 0x1.6ae977ee5c52ep-9, 0x1.639bfeac401a4p-9, 0x1.5c6fd4923544fp-9, 0x1.556478eb1ecffp-9, 0x1.4e796cac564bp-9, 0x1.47ae320faeca4p-9, 0x1.41024ac42348fp-9, 0x1.3a753ef270c64p-9, 0x1.3406953fa0ccep-9, 0x1.2db5d352b21c7p-9, 0x1.278284a688f87p-9, 0x1.216c33ea91922p-9, 0x1.1b726cb4db6c2p-9, 0x1.1594be26ab09cp-9, 0x1.0fd2b4eee524p-9, 0x1.0a2be221d6ba6p-9, 0x1.049fd7166d9e6p-9, 0x1.fe5c4c996f7afp-10, 0x1.f3acc7bf4c6fdp-10, 0x1.e9304af82374cp-10, 0x1.dee604d17501dp-10, 0x1.d4cd270020a29p-10, 0x1.cae4e60496ecbp-10, 0x1.c12c78c1f0493p-10, 0x1.b7a3185d3321cp-10, 0x1.ae480045ebe2fp-10, 0x1.a51a6e1d1d9bep-10, 0x1.9c19a190b803ap-10, 0x1.9344dc691d9e5p-10, 0x1.8a9b62bee23bdp-10, 0x1.821c7b2ff3b87p-10, 0x1.79c76f04b0b3dp-10, 0x1.719b8a43e6e82p-10, 0x1.69981bc119d5cp-10, 0x1.61bc753d7cc3p-10, 0x1.5a07eb8d8e4d8p-10, 0x1.5279d672d636bp-10, 0x1.4b1190221e58bp-10, 0x1.43ce75035d298p-10, 0x1.3cafe33f8b9edp-10, 0x1.35b538c344945p-10, 0x1.2eddd69954383p-10, 0x1.2829214d26cf1p-10, 0x1.21967b9f7381ep-10, 0x1.1b254cd0b9c5ap-10, 0x1.14d4ff3a6a0ecp-10, 0x1.0ea4fe2cfa1dp-10, 0x1.0894b7fbe5335p-10, 0x1.02a39de6e6bf2p-10, 0x1.f9a247784deb3p-11, 0x1.ee397f753d2fcp-11, 0x1.e30bd4af48d47p-11, 0x1.d8183bced5ab6p-11, 0x1.cd5dace03b4c3p-11, 0x1.c2db235596a61p-11, 0x1.b88f9de1702f2p-11, 0x1.ae7a1e1c00931p-11, 0x1.a499a870b778fp-11, 0x1.9aed44ec3c362p-11, 0x1.9174012c9aaedp-11, 0x1.882ce8ab5c982p-11, 0x1.7f17103e55d21p-11, 0x1.76318d2748455p-11, 0x1.6d7b754e77bfbp-11, 0x1.64f3f2a70c376p-11, 0x1.5c9a27e422892p-11, 0x1.546d3130bf3bcp-11, 0x1.4c6c3eca8a611p-11, 0x1.449681a594f76p-11, 0x1.3ceb2bb110a5cp-11, 0x1.3569728cc3fa1p-11, 0x1.2e108f07c461cp-11, 0x1.26dfbe699755cp-11, 0x1.1fd63fabbd285p-11, 0x1.18f352e0c253ap-11, 0x1.12363ae2d114p-11, 0x1.0b9e3cf5aff81p-11, 0x1.052aa43d3348bp-11, 0x1.fdb578620912cp-12, 0x1.f15ba0cfb0957p-12, 0x1.e54663752a489p-12, 0x1.d9746b755b7bp-12, 0x1.cde46a31f4ab9p-12, 0x1.c29519731c90cp-12, 0x1.b7853a3f9aa9dp-12, 0x1.acb394906f368p-12, 0x1.a21ef6862216ep-12, 0x1.97c632e269c65p-12, 0x1.8da81f0038c4ap-12, 0x1.83c3916ea9c5bp-12, 0x1.7a1761ca9a963p-12, 0x1.70a269b0ef2dep-12, 0x1.67638673981bap-12, 0x1.5e599b030e39cp-12, 0x1.5583913b414ddp-12, 0x1.4ce05a1ac3525p-12, 0x1.446eed54f4f0fp-12, 0x1.3c2e48ff0c489p-12, 0x1.341d7183d5851p-12, 0x1.2c3b71ad9ee71p-12, 0x1.24875b2b665dcp-12, 0x1.1d0046806d6a6p-12, 0x1.15a552c2c83p-12, 0x1.0e75a420e21b2p-12, 0x1.077061cac4b88p-12, 0x1.0094b38a631fcp-12, 0x1.f3c37f883a496p-13, 0x1.e6ad552f0dee9p-13, 0x1.d9e52d1c36789p-13, 0x1.cd694e2032743p-13, 0x1.c13808a4f35cdp-13, 0x1.b54fba59c1a02p-13, 0x1.a9aecc984fbcap-13, 0x1.9e53c632514eep-13, 0x1.933d27d78a049p-13, 0x1.88698aeadb8cep-13, 0x1.7dd78c0f4f8fcp-13, 0x1.7385cd3c3327ep-13, 0x1.6972f83027e5p-13, 0x1.5f9dbdb8c7df4p-13, 0x1.5604d7421b26ep-13, 0x1.4ca7085e8cdddp-13, 0x1.43831f0edfd77p-13, 0x1.3a97dfbbfeb2ep-13, 0x1.31e41218a568dp-13, 0x1.29669ec41da76p-13, 0x1.211e2c791b8b7p-13, 0x1.19097fe8da338p-13, 0x1.11276964d1066p-13, 0x1.0976b56bb6f34p-13, 0x1.01f63ff2b3447p-13, 0x1.f549e7940dadcp-14, 0x1.e70390eae377cp-14, 0x1.d9177dfec5051p-14, 0x1.cb83be6c8bd65p-14, 0x1.be466c8ecddc1p-14, 0x1.b15da5229b23bp-14, 0x1.a4c724f5b7b9bp-14, 0x1.9882df28289c3p-14, 0x1.8c8c824232de4p-14, 0x1.80e4c48be58d3p-14, 0x1.7588c09487dd7p-14, 0x1.6a77112c20bf2p-14, 0x1.5fadfc3d19117p-14, 0x1.552be22fcf4ffp-14, 0x1.4aef3999a443bp-14, 0x1.40f66f005440ep-14, 0x1.373fdc6a9fb33p-14, 0x1.2dc9e52e00d36p-14, 0x1.2493154ac5bedp-14, 0x1.1b99de1e9c05p-14, 0x1.12dcc0f1ed99fp-14, 0x1.0a5a51d1fdf2dp-14, 0x1.02112abb88e2cp-14, 0x1.f3ff99042e576p-15, 0x1.e449a44b3ab28p-15, 0x1.d4fdcac0b9b0cp-15, 0x1.c6198b32184ap-15, 0x1.b79a9e9656888p-15, 0x1.a97ef1571fa92p-15, 0x1.9bc49b9f5486ep-15, 0x1.8e6997491fe86p-15, 0x1.816b5d7fe4e89p-15, 0x1.74c7d044a1c63p-15, 0x1.687c3ff874e25p-15, 0x1.5c86ae81e4dfep-15, 0x1.50e4c99d0bdbbp-15, 0x1.4594b123687d5p-15, 0x1.3a94ac15481efp-15, 0x1.2fe32852c6a2bp-15, 0x1.257e9baeb80ccp-15, 0x1.1b65410c139ddp-15, 0x1.119528fd2d589p-15, 0x1.080c9e04f7779p-15, 0x1.fd9330a64d4f7p-16, 0x1.eb946dcbb131bp-16, 0x1.da194a57ab759p-16, 0x1.c91dd7eb3858p-16, 0x1.b89e84cf09417p-16, 0x1.a89834d83af7bp-16, 0x1.990833d2104f4p-16, 0x1.89ebfc4afcb7dp-16, 0x1.7b41b7bfbf011p-16, 0x1.6d075a6373a7ap-16, 0x1.5f39c4b6ba35cp-16, 0x1.51d637158501ep-16, 0x1.44d8c34068bfbp-16, 0x1.383ec7eb89806p-16, 0x1.2c055acadf9c5p-16, 0x1.2028ad355eb12p-16, 0x1.14a6efa5b471bp-16, 0x1.097df07a413b1p-16, 0x1.fd57988cfa4e7p-17, 0x1.e85d8d4a02947p-17, 0x1.d40a199c7b33bp-17, 0x1.c059437dda041p-17, 0x1.ad46d44fe69ebp-17, 0x1.9ace71b913029p-17, 0x1.88ebb07b5c031p-17, 0x1.779a3bdf12f86p-17, 0x1.66d6015d23643p-17, 0x1.569b23dbe02f8p-17, 0x1.46e5d02c9b8a3p-17, 0x1.37b24d73dfe26p-17, 0x1.28fd4646ed21cp-17, 0x1.1ac3ead0bc685p-17, 0x1.0d03b05efc156p-17, 0x1.ff73bbad96ecbp-18, 0x1.e5c68839fa782p-18, 0x1.ccf8b91beb6a9p-18, 0x1.b503a2fb20768p-18, 0x1.9de0347bbe966p-18, 0x1.878b4e28a3a64p-18, 0x1.71f78bd531c6ep-18, 0x1.5d29245860c23p-18, 0x1.491412ea5df26p-18, 0x1.35b40326cc4f7p-18, 0x1.2303f798ced85p-18, 0x1.10ff492ee11adp-18, 0x1.ff431871e8f81p-19, 0x1.ddcca87050f41p-19, 0x1.bd91fee57fa9bp-19, 0x1.9e887f209ea08p-19, 0x1.80a53411f60a3p-19, 0x1.63de20c754368p-19, 0x1.482ae24d19b6ep-19, 0x1.2d8586529bff5p-19, 0x1.13e86bb74e698p-19, 0x1.f69ac711021edp-20, 0x1.c7599c4b0d9fbp-20, 0x1.9a009ff336645p-20, 0x1.6e8827f49c688p-20, 0x1.44dd34c831c54p-20, 0x1.1ce596bd69378p-20, 0x1.ed2a28ec815cbp-21, 0x1.a3c917f900b5cp-21, 0x1.5d8edfa5b4159p-21, 0x1.1a465daf99902p-21, 0x1.b3df421584143p-22, 0x1.391381122090cp-22, 0x1.8796c169dd9b4p-23, 0x1.4fa7c4c4950d6p-24, -0x1.6c08b12b5b55ap-26, -0x1.f166245a18f39p-24, -0x1.ba048d934fabfp-23, -0x1.3964ac3e968adp-22, -0x1.90d0e917cbf7bp-22, -0x1.e31acf567913cp-22, -0x1.18d7dfb09e4e6p-21, -0x1.3e0a6f71a3d2bp-21, -0x1.614fc4331684cp-21, -0x1.82a6c4a27dbfap-21, -0x1.a223bf52150f8p-21, -0x1.bfe7f48c796e7p-21, -0x1.dbee6fda576acp-21, -0x1.f645901670998p-21, -0x1.077c85c9af80ep-20, -0x1.1308f412c429p-20, -0x1.1dccd96fa1523p-20, -0x1.27cf3d610670cp-20, -0x1.31196f1961c41p-20, -0x1.39b5b1762ee8p-20, -0x1.41b15f11ec10ep-20, -0x1.490ad410af83bp-20, -0x1.4fced537f9a8bp-20, -0x1.560083a816aaep-20, -0x1.5ba0cf5f5da88p-20, -0x1.60ae76465d872p-20, -0x1.653b2761ed74ep-20, -0x1.6946f9396bb61p-20, -0x1.6cdb023cab055p-20, -0x1.6ff29d96dac78p-20, -0x1.7296ca8209b79p-20, -0x1.74cb06cfed932p-20, -0x1.769333bea94acp-20, -0x1.77f3d2e350f04p-20, -0x1.78f1e3781b7f4p-20, -0x1.79925b118d65ap-20, -0x1.79d953c4a2535p-20, -0x1.79ca1db572b98p-20, -0x1.7968fe9053599p-20, -0x1.78b98552e1a25p-20, -0x1.77c02902235d3p-20, -0x1.767f5bc88ce45p-20, -0x1.74fd298841e43p-20, -0x1.733cc758932b7p-20, -0x1.713eb27238354p-20, -0x1.6f041bf8379p-20, -0x1.6c8e3b80350cap-20, -0x1.69dfdc189ceaap-20, -0x1.66fb5f439e91p-20, -0x1.63e4cf8c8248ep-20, -0x1.60a3394aabcbp-20, -0x1.5d39f096b6cep-20, -0x1.59a7dfa751737p-20, -0x1.55edf6f2ecf5dp-20, -0x1.52105444285abp-20, -0x1.4e0fcd5ceb922p-20, -0x1.49f0fa9406cfp-20, -0x1.45b4bf2741c04p-20, -0x1.415c27d78fdf9p-20, -0x1.3ce7c25b5fa6cp-20, -0x1.385982d1730bp-20, -0x1.33b3c69913166p-20, -0x1.2ef7e9a88122bp-20, -0x1.2a23552abe181p-20, -0x1.253f728083378p-20, -0x1.204b657a67df3p-20, -0x1.1b50728430d9bp-20, -0x1.163cc5b08e68ap-20, -0x1.1117e794d9147p-20, -0x1.0beef1a0f64e1p-20, -0x1.06b76120b033ap-20, -0x1.017007fdcd8f1p-20, -0x1.f84ee4897b196p-21, -0x1.edc2104c4f6a3p-21, -0x1.e318330407b1fp-21, -0x1.d876cb983faa4p-21, -0x1.cdac8b611c2a8p-21, -0x1.c304f78a06dbep-21, -0x1.b844c0deb135dp-21, -0x1.ad7c0175cd8c1p-21, -0x1.a2baae8c45147p-21, -0x1.97f62b98c2305p-21, -0x1.8d35da3bfdd7bp-21, -0x1.827bafa6616e1p-21, -0x1.77c4d8a5ae8ap-21, -0x1.6d3495533f323p-21, -0x1.6280ecb8a1dcbp-21, -0x1.57d007159bde6p-21, -0x1.4d3f1fe482c9dp-21, -0x1.42bbe7c1e2a82p-21, -0x1.38400e2b5ba3fp-21, -0x1.2dd7b875a288cp-21, -0x1.237c1ee02a175p-21, -0x1.192eac5c5d191p-21, -0x1.0ef1a51c7f9cbp-21, -0x1.04c62e0ab4fap-21, -0x1.f55bb338b014bp-22, -0x1.e151cf7481686p-22, -0x1.cd6e97cd8323bp-22, -0x1.b9af881734463p-22, -0x1.a616f87d6ac14p-22, -0x1.92a85bb927dd4p-22, -0x1.7f6681020dafcp-22, -0x1.6c52c0ecdca82p-22, -0x1.596d333ad80e5p-22, -0x1.46b5dad8dfd2ap-22, -0x1.342ccb4924e4p-22, -0x1.21d42125c38f1p-22, -0x1.0fafb789f8addp-22, -0x1.fb8012a7a3b41p-23, -0x1.d7ff563598ab2p-23, -0x1.b4ddca42827dap-23, -0x1.922d7e328c3a1p-23, -0x1.6fdf264eba42ep-23, -0x1.4e09a02998702p-23, -0x1.2c8d331ec3ae4p-23, -0x1.0b9bf0c7cf24fp-23, -0x1.d5ccd1d0344aap-24, -0x1.95667f6bd809dp-24, -0x1.55cae376d0f84p-24, -0x1.1709f54d18991p-24, -0x1.b25a570bc2b6p-25, -0x1.3849404e3815bp-25, -0x1.7eed18fbed03cp-26, -0x1.22d5ec473187cp-27, 0x1.5e25a063de4a9p-28, 0x1.3e5f3b88d8d6bp-26, 0x1.10caa67d379ecp-25, 0x1.8096844762ddfp-25, 0x1.ee8a6045853ebp-25, 0x1.2d7ff32e00e23p-24, 0x1.62fda16841a8bp-24, 0x1.97894b81ee8bfp-24, 0x1.cb58e7d707ffdp-24, 0x1.fe71d5a2dd901p-24, 0x1.182ff944b578bp-23, 0x1.30aed61edb983p-23, 0x1.48deb37258edep-23, 0x1.60aec56275593p-23, 0x1.77eb93efad08ap-23, 0x1.8f0ef0eb3f0dcp-23, 0x1.a5ae5eef3e72ap-23, 0x1.bbcb838634c3bp-23, 0x1.d180277527755p-23, 0x1.e6dcefcefd617p-23, 0x1.fbaf16dbd9833p-23, 0x1.082e4be389ab9p-22, 0x1.1248134194e21p-22, 0x1.1c29a34928f48p-22, 0x1.25e379d2f8ff5p-22, 0x1.2f6add59979a8p-22, 0x1.38bf5275061c2p-22, 0x1.41e64b872bc55p-22, 0x1.4ae543f1b3005p-22, 0x1.53b77b4c5784cp-22, 0x1.5c454037324f2p-22, 0x1.64a8557565317p-22, 0x1.6cedea64b429bp-22, 0x1.74f5dcd6655e6p-22, 0x1.7cdad11fd418ap-22, 0x1.849b10be48686p-22, 0x1.8c20bd0854ea7p-22, 0x1.93871633b7b1bp-22, 0x1.9abf1b0481f2p-22, 0x1.a1cb0226fee67p-22, 0x1.a8ae1b9ec35e8p-22, 0x1.af68f406e9b11p-22, 0x1.b5fa3b2889605p-22, 0x1.bc6150302418bp-22, 0x1.c29fd0cdcfb64p-22, 0x1.c8b88d4cb3bd1p-22, 0x1.ceae04b11fec7p-22, 0x1.d47d30651723p-22, 0x1.da27871eadb3ap-22, 0x1.dfaabebb8d93p-22, 0x1.e5060983e3cddp-22, 0x1.ea48bce097d1cp-22, 0x1.ef583c46a641p-22, 0x1.f44810b8239d9p-22, 0x1.f914209b8007dp-22, 0x1.fdc3561d48e8cp-22, 0x1.01265948df1dp-21, 0x1.035a313d78c98p-21, 0x1.057e4c6da8fc1p-21, 0x1.0793cc3aa6d77p-21, 0x1.09976a33f9887p-21, 0x1.0b8bf2699bbcp-21, 0x1.0d70105fe2b29p-21, 0x1.0f441e8598a3dp-21, 0x1.1108b14bd880ep-21, 0x1.12be71d0c86b9p-21, 0x1.14664d2638933p-21, 0x1.1601b18207a2ap-21, 0x1.178d4d33dd973p-21, 0x1.1909a16358e24p-21, 0x1.1a78b7e515867p-21, 0x1.1bdff5c146b35p-21, 0x1.1d39678d5e334p-21, 0x1.1e7815bcdccadp-21, 0x1.1fb47a0291a75p-21, 0x1.20def5a0d86b5p-21, 0x1.21f7cda24143bp-21, 0x1.2319e50dd32fbp-21, 0x1.2424d82531512p-21, 0x1.251cf50c49388p-21, 0x1.260f50310863ep-21, 0x1.26f5bc7709375p-21, 0x1.27cf3dc59fb59p-21, 0x1.289d418aa29b3p-21, 0x1.2960c09b4de23p-21, 0x1.2a1aeca0c3903p-21, 0x1.2acb4c849e07ep-21, 0x1.2b7043c4be954p-21, 0x1.2c0b49c3e27a9p-21, 0x1.2c9ef9cfc651ap-21, 0x1.2d210e27c22ep-21, 0x1.2d9e5103f85cep-21, 0x1.2e141b84724c4p-21, 0x1.2e7e9e7814493p-21, 0x1.2edf329502858p-21, 0x1.2f36ecd66e1e1p-21, 0x1.2f86573f4264fp-21, 0x1.2fcd10e05d13cp-21, 0x1.300b0298e3a48p-21, 0x1.303b79e6284f5p-21, 0x1.306cf53ca51e5p-21, 0x1.309224622642ep-21, 0x1.30b01bfbc2efcp-21, 0x1.30c69ec5eea5fp-21, 0x1.30d582723fa3ep-21, 0x1.30dcb9c6aa6bbp-21, 0x1.30dc5dc1e1056p-21, 0x1.30d2018c2caf3p-21, 0x1.30c8e09e65b9ap-21, 0x1.30b4523fd992fp-21, 0x1.30977fe6273efp-21, 0x1.3074b8aac708bp-21, 0x1.304f970f0553ap-21, 0x1.301ea2e1da678p-21, 0x1.2fe786545f041p-21, 0x1.2fa562ac73916p-21, 0x1.2f733d8711c2fp-21, 0x1.2f2caab0c213cp-21, 0x1.2eda84ed62c18p-21, 0x1.2e89e7336f95ap-21, 0x1.2e31b8d6702ccp-21, 0x1.2dd36b90d7fc3p-21, 0x1.2d6e53a021d4p-21, 0x1.2d0d835e1ed1cp-21, 0x1.2ca21c3e82351p-21, 0x1.2c313891a4131p-21, 0x1.2bbbf2eb5f288p-21, 0x1.2b44499ba4f24p-21, 0x1.2ac878b4c6f9dp-21, 0x1.2a42888dc4f21p-21, 0x1.29b2f8ca5ea02p-21, 0x1.292e639ac9f52p-21, 0x1.289a2f1674b7fp-21, 0x1.280d346991158p-21, 0x1.277b59a03b10bp-21, 0x1.26df91fcda036p-21, 0x1.263e036b0164ep-21, 0x1.259b6b62184bap-21, 0x1.24f905a565761p-21, 0x1.244c75afdeebap-21, 0x1.23896d9bd3d2bp-21, 0x1.22f10c3751c68p-21, 0x1.223c865645d7fp-21, 0x1.21887ebe1e6f3p-21, 0x1.20cf0805433dep-21, 0x1.20121b3d38c19p-21, 0x1.1f53f211bf19dp-21, 0x1.1e943b1d7e763p-21, 0x1.1dd0fc49eca1bp-21, 0x1.1d0a5b8581d83p-21, 0x1.1c40f3f96da7ep-21, 0x1.1b72582811867p-21, 0x1.1aa8cb431ded4p-21, 0x1.19d89d436f844p-21, 0x1.19001434001f2p-21, 0x1.182bd3f9d502fp-21, 0x1.17562b1e190fbp-21, 0x1.167ee8dbd3fcbp-21, 0x1.159fe5a68637fp-21, 0x1.14c23aa61891bp-21, 0x1.13e4212c90f24p-21, 0x1.13053a244f032p-21, 0x1.1223d1b5c107dp-21, 0x1.1141fb20778c9p-21, 0x1.105c675316f2ep-21, 0x1.0f74d5dac0fcbp-21, 0x1.0e8a5a549f3f2p-21, 0x1.0d9d0c83da287p-21, 0x1.0cb07ed0fe49ep-21, 0x1.0bc56ee9c73d7p-21, 0x1.0ad85637d3d3p-21, 0x1.09e85096be7ap-21, 0x1.08f57d335018ap-21, 0x1.080495f68b749p-21, 0x1.07107046495bbp-21, 0x1.06187afe9330bp-21, 0x1.0525447f25ddbp-21, 0x1.042ffa30c96e2p-21, 0x1.033ab37bee073p-21, 0x1.02450bafc1102p-21, 0x1.014697883bf03p-21, 0x1.004a125a79a13p-21, 0x1.fea46f3543b15p-22, 0x1.fcabd05529f23p-22, 0x1.facca7e376c31p-22, 0x1.f8c64c12002ap-22, 0x1.f6cc50049801cp-22, 0x1.f4c9e8c044413p-22, 0x1.f2cd2da70c0d7p-22, 0x1.f0cfd9ee8ea0cp-22, 0x1.eedbcb41543fap-22, 0x1.ecd12aaa051cep-22, 0x1.eacecc501e70ap-22, 0x1.e8d073dd8f07cp-22, 0x1.e6ce818923a6ap-22, 0x1.e4cf89d18f7ccp-22, 0x1.e2c0362ad2159p-22, 0x1.e0c4cd76d0ab4p-22, 0x1.debde786fd4eep-22, 0x1.dcbb820aa751cp-22, 0x1.dab7abebb86a3p-22, 0x1.d8b1790409904p-22, 0x1.d6ac788f0fe3p-22, 0x1.d4a8b5d86bb1dp-22, 0x1.d2a4cc9bcf384p-22, 0x1.d0a54d721ebaep-22, 0x1.cea37307607d2p-22, 0x1.cc9392567fb29p-22, 0x1.ca8a7a9abdb92p-22, 0x1.c8829b3951a48p-22, 0x1.c6807a177970ep-22, 0x1.c47e5f4727c14p-22, 0x1.c2786c514b7fbp-22, 0x1.c073c63c5bfdcp-22, 0x1.be6fcbdfaedabp-22, 0x1.bc6d1526d483cp-22, 0x1.ba6a81510b46ep-22, 0x1.b867189ce9d76p-22, 0x1.b661d4b3b3908p-22, 0x1.b46123e691a76p-22, 0x1.b25f2fca9a6b7p-22, 0x1.b06105aabbf45p-22, 0x1.ae51fd326d27cp-22, 0x1.ac61e0a6852f8p-22, 0x1.aa68decb294fep-22, 0x1.a867200d8da0fp-22, 0x1.a660dd02501e5p-22, 0x1.a46afa34bfcb3p-22, 0x1.a267b225c4ad7p-22, 0x1.a077232adbabep-22, 0x1.9e7b7cb4eadcdp-22, 0x1.9c8185c989614p-22, 0x1.9a88e7d9891b6p-22, 0x1.9890af2c31cbcp-22, 0x1.969989c93bebdp-22, 0x1.94a4627144895p-22, 0x1.92b20cebfce58p-22, 0x1.90c27a5d26d52p-22, 0x1.8ed08df541912p-22, 0x1.8cdfbc7d9b743p-22, 0x1.8af0db1511e7dp-22, 0x1.88ffc2ab67502p-22, 0x1.8710d9189050fp-22, 0x1.852210fd34c33p-22, 0x1.833e2e0665dafp-22, 0x1.814eb2feb7284p-22, 0x1.7f611eca3572ep-22, 0x1.7d81f1c234bfdp-22, 0x1.7b9966ef72d7bp-22, 0x1.79b9a552615a9p-22, 0x1.77d63fd5eafddp-22, 0x1.75f0e25b79079p-22, 0x1.7415e7a72464cp-22, 0x1.7220f4836ed73p-22, 0x1.70524ed8af74bp-22, 0x1.6e716d6cabdbp-22, 0x1.6c9b336da3128p-22, 0x1.6abb99d54198cp-22, 0x1.68e5fce85a852p-22, 0x1.671134673d78p-22, 0x1.653c7a9d64a3bp-22, 0x1.63686746d0395p-22, 0x1.6196991a0de2cp-22, 0x1.5fc86be643ed6p-22, 0x1.5dfb8953b6253p-22, 0x1.5c24bd4815476p-22, 0x1.5a5999cedbb8fp-22, 0x1.58866f2adf971p-22, 0x1.56c2dc2f5edbbp-22, 0x1.54fb46e673948p-22, 0x1.5331ec9d3c25p-22, 0x1.516c7decc5988p-22, 0x1.4fa950d3e6852p-22, 0x1.4de7a46516a24p-22, 0x1.4c27a1cdce8ep-22, 0x1.4a69a8869e005p-22, 0x1.48a989686ad8fp-22, 0x1.46ed1cbfb3e88p-22, 0x1.453649d45d495p-22, 0x1.4374b85a2f87ep-22, 0x1.41c86ce4842d5p-22, 0x1.4011e9e33b3e5p-22, 0x1.3e6545803289fp-22, 0x1.3cab8a0362becp-22, 0x1.3afa7e5f7fce2p-22, 0x1.394b0ffdab78p-22, 0x1.379ef5dc14c93p-22, 0x1.35f4532412a64p-22, 0x1.34484d0cfc9b1p-22, }}, 
      {{-0x1.088a80f4e7584p-6, -0x1.d21259b4d21c3p-5, -0x1.ba42c060e2de8p-4, -0x1.4247692cbbb36p-3, -0x1.94788ab28f027p-3, -0x1.cc9905defe705p-3, -0x1.e9b9cad902cbep-3, -0x1.eecba06937c77p-3, -0x1.e0ba7a76bd38ep-3, -0x1.c5122305f361dp-3, -0x1.a121d8dcf8a06p-3, -0x1.798357caa743fp-3, -0x1.51e76468bf6c4p-3, -0x1.2d0ebd5f4b273p-3, -0x1.0cdc3e98733f2p-3, -0x1.e4e6a6f0b4cd2p-4, -0x1.bcb51e7c791aep-4, -0x1.a13b9b93e4c5ep-4, -0x1.91dae450a8ec5p-4, -0x1.8d733f08a7768p-4, -0x1.92921fa85914cp-4, -0x1.9f9750f17766ep-4, -0x1.b2d25a2b9c7dap-4, -0x1.ca990a8f0662cp-4, -0x1.e558176b4f985p-4, -0x1.00cf59433e425p-3, -0x1.0f12f89b3b2d4p-3, -0x1.1cea65d49a8b1p-3, -0x1.29e0b4442cb3dp-3, -0x1.35982a3f1881cp-3, -0x1.3fc91824dfb4dp-3, -0x1.48402616f41e5p-3, -0x1.4edc4a68e2396p-3, -0x1.538c91bee3bf6p-3, -0x1.564dd90c1652fp-3, -0x1.572891b63af7ap-3, -0x1.562ea13cae073p-3, -0x1.53796862461fep-3, -0x1.4f27f9949d50fp-3, -0x1.495d827d65f6fp-3, -0x1.423fe9842016dp-3, -0x1.39f69f16818eap-3, -0x1.30a99f6d2ed0bp-3, -0x1.2680a11a94de2p-3, -0x1.1ba26c36c68ep-3, -0x1.103455e20432ep-3, -0x1.0459dba798f53p-3, -0x1.f068b29140f77p-4, -0x1.d7c5ab95187b1p-4, -0x1.bf03c5d7d6a0ep-4, -0x1.a6571b4bad1fcp-4, -0x1.8deeb58152c1fp-4, -0x1.75f49c1d61b88p-4, -0x1.5e8df29e82eb4p-4, -0x1.47db21e709c27p-4, -0x1.31f80cb0a77cfp-4, -0x1.1cfc4b956f523p-4, -0x1.08fb6e7ed3f2dp-4, -0x1.ec0a81fb253cdp-5, -0x1.c84c20e7a1573p-5, -0x1.a6cde4d202399p-5, -0x1.879c149140286p-5, -0x1.6abd9c9147ddp-5, -0x1.503494ab47de2p-5, -0x1.37fec01ddbb9dp-5, -0x1.2216084f4d53p-5, -0x1.0e70efd0accdfp-5, -0x1.fa05fe26ef112p-6, -0x1.db7a561302934p-6, -0x1.c11c6567723adp-6, -0x1.aac5f566089c8p-6, -0x1.984dbc67dc7d2p-6, -0x1.8987f5b7c45b2p-6, -0x1.7e46f04b8f4fap-6, -0x1.765b901cb99aep-6, -0x1.7195bce45c3afp-6, -0x1.6fc4d12159b2fp-6, -0x1.70b7f5da1d268p-6, -0x1.743e77f0d5871p-6, -0x1.7a2813912a3a5p-6, -0x1.82453589f5c24p-6, -0x1.8c6735e9b773fp-6, -0x1.98608866bcbf6p-6, -0x1.a604e751fab1ap-6, -0x1.b52976a99635cp-6, -0x1.c5a4dfeb225a6p-6, -0x1.d74f6a5d7b92p-6, -0x1.ea030c0adfeap-6, -0x1.fd9b78abe5d1cp-6, -0x1.08fb149fd80f2p-5, -0x1.137930fa8fef2p-5, -0x1.1e389a72bb7aap-5, -0x1.292abff0bf206p-5, -0x1.3441f431dea9bp-5, -0x1.3f716ada05936p-5, -0x1.4aad337fdd03fp-5, -0x1.55ea351c63f33p-5, -0x1.611e2719c040ap-5, -0x1.6c3f8b6b76924p-5, -0x1.7745a79964b79p-5, -0x1.82287c9a34a1ep-5, -0x1.8ce0bffdf112dp-5, -0x1.9767d38d5b6ddp-5, -0x1.a1b7bd8acce53p-5, -0x1.abcb21405ec56p-5, -0x1.b59d373225aeep-5, -0x1.bf29c09d94777p-5, -0x1.c86d0a1cf904fp-5, -0x1.d163d8668bf67p-5, -0x1.da0b64fdee1cdp-5, -0x1.e2615cf0d0ab6p-5, -0x1.ea63cb7a8da4ep-5, -0x1.f21122e453a36p-5, -0x1.f968292467d6dp-5, -0x1.0033fc5b4d4bdp-4, -0x1.0387fb5eda259p-4, -0x1.06afe7432c026p-4, -0x1.09abb5c3448ebp-4, -0x1.0c7b79cccc564p-4, -0x1.0f1f616452e02p-4, -0x1.1197b2bb400f5p-4, -0x1.13e4ca2dc56f7p-4, -0x1.1607184a16faep-4, -0x1.17ff1fb79d0a2p-4, -0x1.19cd73325353ep-4, -0x1.1b72b3fd79c4ap-4, -0x1.1cef9096d260fp-4, -0x1.1e44c2a37d82p-4, -0x1.1f730d866344cp-4, -0x1.207b3e373681p-4, -0x1.215e286c7255p-4, -0x1.221ca6b973e02p-4, -0x1.22b7990668279p-4, -0x1.232fe3fec7c0fp-4, -0x1.23866f3b21b26p-4, -0x1.23bc25b9d944ap-4, -0x1.23d1f4903012p-4, -0x1.23c8c9f0a586dp-4, -0x1.23a1947b8472fp-4, -0x1.235d440588978p-4, -0x1.22fcc74be10cbp-4, -0x1.22810bfd085eap-4, -0x1.21eafeef95d6fp-4, -0x1.213b8bcb90d08p-4, -0x1.20739b44be4a7p-4, -0x1.1f9413ccbfdap-4, -0x1.1e9dd9b12ba3p-4, -0x1.1d91ce7138b3fp-4, -0x1.1c70cf9d54446p-4, -0x1.1b3bb769832c4p-4, -0x1.19f35d0002bc7p-4, -0x1.1898941d6e10fp-4, -0x1.172c2b25f76c9p-4, -0x1.15aeed3493dcbp-4, -0x1.1421a1779b089p-4, -0x1.12850ae78c414p-4, -0x1.10d9e74fe2949p-4, -0x1.0f20f007b1812p-4, -0x1.0d5ada967adp-4, -0x1.0b885812dbde1p-4, -0x1.09aa14265fbd7p-4, -0x1.07c0b5b483f69p-4, -0x1.05ccdfa33128dp-4, -0x1.03cf304526d56p-4, -0x1.01c840f349f64p-4, -0x1.ff714bfbd923ep-5, -0x1.fb41de91f42c5p-5, -0x1.f70350e38b042p-5, -0x1.f2b6b0eb52b58p-5, -0x1.ee5d031f74b4bp-5, -0x1.e9f7427266343p-5, -0x1.e58661574d28cp-5, -0x1.e10b4a0d13bf8p-5, -0x1.dc86dde644b3p-5, -0x1.d7f9f5882f585p-5, -0x1.d36560cf34ea3p-5, -0x1.cec9e753e602p-5, -0x1.ca284909066a9p-5, -0x1.c5813e7a295dep-5, -0x1.c0d577c24b714p-5, -0x1.bc259d18b073cp-5, -0x1.b7724ee0838b3p-5, -0x1.b2bc26dc60cfp-5, -0x1.ae03b8cc2ee2dp-5, -0x1.a94990c5777ccp-5, -0x1.a48e33609a211p-5, -0x1.9fd21e4e9d35cp-5, -0x1.9b15c9a5fb8f1p-5, -0x1.9659a85cf4c4dp-5, -0x1.919e274d72daap-5, -0x1.8ce3ac63daee9p-5, -0x1.882a974230b89p-5, -0x1.837342aa6c282p-5, -0x1.7ebe055a8771p-5, -0x1.7a0b31748646dp-5, -0x1.755b1324ac722p-5, -0x1.70adf0b855751p-5, -0x1.6c040c42ac20fp-5, -0x1.675da467fa203p-5, -0x1.62baf49e47a73p-5, -0x1.5e1c33f60776bp-5, -0x1.59819462cdaeep-5, -0x1.54eb437aa128fp-5, -0x1.50596be80a714p-5, -0x1.4bcc3616ccaedp-5, -0x1.4743c7a69f453p-5, -0x1.42c0426c282bcp-5, -0x1.3e41c42a6c462p-5, -0x1.39c86784e4ca3p-5, -0x1.3554452dc65a8p-5, -0x1.30e5744dbb5f4p-5, -0x1.2c7c099fe451ap-5, -0x1.2818171d35e65p-5, -0x1.23b9ab891fddfp-5, -0x1.1f60d370551a4p-5, -0x1.1b0d99ff322f5p-5, -0x1.16c0092b05035p-5, -0x1.127829a7c8e36p-5, -0x1.0e36019c44587p-5, -0x1.09f995550785ap-5, -0x1.05c2e71595accp-5, -0x1.0191f83773f69p-5, -0x1.facd92f44ccdfp-6, -0x1.f282b57470417p-6, -0x1.ea4354ee51462p-6, -0x1.e20f6b226b6edp-6, -0x1.d9e6ef0af665cp-6, -0x1.d1c9d608de11ap-6, -0x1.c9b814ecaf46ap-6, -0x1.c1b19fe4df1a8p-6, -0x1.b9b669d1fc50ap-6, -0x1.b1c663858c298p-6, -0x1.a9e17bbfaf533p-6, -0x1.a2079ffcdd661p-6, -0x1.9a38bd47f12b3p-6, -0x1.9274c0bbb782fp-6, -0x1.8abb975f85c9fp-6, -0x1.830d2d8f687ccp-6, -0x1.7b696e41316f4p-6, -0x1.73d043798870dp-6, -0x1.6c4196d4574e7p-6, -0x1.64bd5219b57fp-6, -0x1.5d435f8b27de2p-6, -0x1.55d3a9e5c09f1p-6, -0x1.4e6e1bd3b8c5fp-6, -0x1.47129f8ced208p-6, -0x1.3fc11ed6e6b7cp-6, -0x1.387983843c649p-6, -0x1.313bb80c00f3dp-6, -0x1.2a07a7b2185adp-6, -0x1.22dd3e98f118p-6, -0x1.1bbc69794696ep-6, -0x1.14a5154942449p-6, -0x1.0d972f19ae2dp-6, -0x1.0692a43bd462dp-6, -0x1.ff2ec57aff7d2p-7, -0x1.f14ab37170df8p-7, -0x1.e378f2d12cd68p-7, -0x1.d5b9663502ddap-7, -0x1.c80bf232ecfe7p-7, -0x1.ba707c3b82eep-7, -0x1.ace6ea3a58c39p-7, -0x1.9f6f249c22a55p-7, -0x1.920914c9847e8p-7, -0x1.84b4a7ca90f66p-7, -0x1.7771cc228afadp-7, -0x1.6a407307e5171p-7, -0x1.5d208ff186f2p-7, -0x1.50121817ec8p-7, -0x1.4315024df1bdcp-7, -0x1.362946c9cf5e2p-7, -0x1.294edff4d39b4p-7, -0x1.1c85cadaed013p-7, -0x1.0fce06e3ce122p-7, -0x1.0327960afdf7p-7, -0x1.ed24fa05c8775p-8, -0x1.d41d8431ed16ep-8, -0x1.bb38db8bdf974p-8, -0x1.a2771456b9044p-8, -0x1.89d84690d2bf3p-8, -0x1.715c8e9502d48p-8, -0x1.59040d6069b48p-8, -0x1.40cee91527a9ap-8, -0x1.28bd4cac19bd5p-8, -0x1.10cf676de532cp-8, -0x1.f20ad9027a531p-9, -0x1.c2bf251aa2314p-9, -0x1.93bc26e4dd178p-9, -0x1.650258d14fa23p-9, -0x1.36923c4ee5d95p-9, -0x1.086c5c7b7b0f2p-9, -0x1.b52296aa323d8p-10, -0x1.5a0347c7dfebep-10, -0x1.fef81d71a69d8p-11, -0x1.4b1c753c97f0ap-11, -0x1.30ec956e4bbdbp-12, 0x1.8f79bca78c253p-15, 0x1.9254c955bc8b5p-12, 0x1.781f1fc15c146p-11, 0x1.12e96233ff4e2p-10, 0x1.6921190aa4108p-10, 0x1.beb519f19d28ap-10, 0x1.09d1e198aaf9bp-9, 0x1.33f5b4729db42p-9, 0x1.5dc52f08ce31p-9, 0x1.873f769a3047p-9, 0x1.b063ad71a7791p-9, 0x1.d930f3bf512c6p-9, 0x1.00d3325e4378cp-8, 0x1.14e18be1d66abp-8, 0x1.28c31114534e6p-8, 0x1.3c774c129de19p-8, 0x1.4ffdc6a1307aep-8, 0x1.63560ab2b9954p-8, 0x1.767fa42488d75p-8, 0x1.897a1c12ad61bp-8, 0x1.9c44fc8a04badp-8, 0x1.aedfcd29968c7p-8, 0x1.c14a153eff476p-8, 0x1.d3835ace69dbep-8, 0x1.e58b257ce5477p-8, 0x1.f760fdcd73a19p-8, 0x1.04823744c0b6ep-7, 0x1.0d3a8307d7addp-7, 0x1.15d92a6e9cdcfp-7, 0x1.1e5df61e5d5e2p-7, 0x1.26c8ae9e9a0a8p-7, 0x1.2f191bfbaf60bp-7, 0x1.374f05d066c64p-7, 0x1.3f6a33c7a223dp-7, 0x1.476a6e99c5af5p-7, 0x1.4f4f80867ed2cp-7, 0x1.571936b42fa83p-7, 0x1.5ec760f72afc5p-7, 0x1.6659d1b39de23p-7, 0x1.6dd05c9e44ea9p-7, 0x1.752ad68b78df9p-7, 0x1.7c6913e450a9p-7, 0x1.838ae8850a3cfp-7, 0x1.8a902823543dap-7, 0x1.9178a710384efp-7, 0x1.98443b5cab5bap-7, 0x1.9ef2bdfa8f477p-7, 0x1.a5840b8832531p-7, 0x1.abf8047a23d32p-7, 0x1.b24e8c905cef5p-7, 0x1.b88789cf49ac4p-7, 0x1.bea2e353efe0bp-7, 0x1.c4a0804e0c17dp-7, 0x1.ca80478d88515p-7, 0x1.d0421fdf26b7bp-7, 0x1.d5e5f09917042p-7, 0x1.db6ba2a930994p-7, 0x1.e0d3222364d29p-7, 0x1.e61c5ec582fa8p-7, 0x1.eb474c635b5a9p-7, 0x1.f053e2a387429p-7, 0x1.f5421c345fdd3p-7, 0x1.fa11f5c6d36fbp-7, 0x1.fec36d1bc2dc5p-7, 0x1.01ab402eedf9bp-6, 0x1.03e596f935adep-6, 0x1.0610ba66b0bep-6, 0x1.082caa948ab21p-6, 0x1.0a3968aeffccdp-6, 0x1.0c36f75ab962dp-6, 0x1.0e255ae7ae675p-6, 0x1.10049967e9794p-6, 0x1.11d4ba89ee71bp-6, 0x1.1395c75659be8p-6, 0x1.1547c9ebb21f5p-6, 0x1.16eacd146dfap-6, 0x1.187edc2f72d3ap-6, 0x1.1a04030df0cfep-6, 0x1.1b7a4e47ff999p-6, 0x1.1ce1cb1c1f642p-6, 0x1.1e3a87c855c38p-6, 0x1.1f84935c40769p-6, 0x1.20bffe75d419bp-6, 0x1.21ecdaf1f1eb3p-6, 0x1.230b3bce77eecp-6, 0x1.241b3523e4989p-6, 0x1.251cdc034e728p-6, 0x1.2610465533c9cp-6, 0x1.26f58ac1b699cp-6, 0x1.27ccc0a4e4ba9p-6, 0x1.2896000e912cdp-6, 0x1.295161caf2dd6p-6, 0x1.29feff6eeb505p-6, 0x1.2a9ef3616b20bp-6, 0x1.2b3158e08b583p-6, 0x1.2bb64c040c614p-6, 0x1.2c2de9ba201f5p-6, 0x1.2c984fbc068e1p-6, 0x1.2cf59c7a2bfc2p-6, 0x1.2d45ef1ced5f2p-6, 0x1.2d89676b031bbp-6, 0x1.2dc025c825664p-6, 0x1.2dea4b4e74721p-6, 0x1.2e07f99e5bccdp-6, 0x1.2e1952e0372cep-6, 0x1.2e1e79e9b4978p-6, 0x1.2e179219a7d9cp-6, 0x1.2e04bf59b38fep-6, 0x1.2de6261b41ae4p-6, 0x1.2dbbeb50a3958p-6, 0x1.2d863466ed54bp-6, 0x1.2d4527407bea4p-6, 0x1.2cf8ea2fd15f2p-6, 0x1.2ca1a3f03a694p-6, 0x1.2c3f7b94e60a3p-6, 0x1.2bd2988bd2fc2p-6, 0x1.2b5b22cee3551p-6, 0x1.2ad942893ca75p-6, 0x1.2a4d2036a94d8p-6, 0x1.29b6e49fd0d87p-6, 0x1.2916b8a3ab61ep-6, 0x1.286cc5a4e632ap-6, 0x1.27b935338a1f5p-6, 0x1.26fc310b15fd3p-6, 0x1.2635e317b4d3p-6, 0x1.25667570c1fddp-6, 0x1.248e125273311p-6, 0x1.23ace417ec047p-6, 0x1.22c31537581f5p-6, 0x1.21d0d03c9d1b7p-6, 0x1.20d63fc70ab74p-6, 0x1.1fd38e85f0db9p-6, 0x1.1ec8e735a2b2ap-6, 0x1.1db6749ba1039p-6, 0x1.1c9c61813eb59p-6, 0x1.1b7ad8ac9d00ap-6, 0x1.1a5204d86fe2p-6, 0x1.192210abd0a44p-6, 0x1.17eb26b338a74p-6, 0x1.16ad715c15246p-6, 0x1.15691af415dabp-6, 0x1.141e4dad4dfebp-6, 0x1.12cd339e63606p-6, 0x1.1175f6a7995adp-6, 0x1.1018c0d2c2562p-6, 0x1.0eb5bbf5d2257p-6, 0x1.0d4d11b13e25ap-6, 0x1.0bdeeb4a08b99p-6, 0x1.0a6b720c2b68cp-6, 0x1.08f2ced6f155fp-6, 0x1.07752a2a91177p-6, 0x1.05f2ac2e013c6p-6, 0x1.046b7cb4b701fp-6, 0x1.02dfc3499d557p-6, 0x1.014fa735e329p-6, 0x1.ff769f63456fbp-7, 0x1.fc45c7875a3f9p-7, 0x1.f90d148785ea4p-7, 0x1.f5ccd3dff3879p-7, 0x1.f28552797017dp-7, 0x1.ef36dc786ece4p-7, 0x1.ebe1bcede8b83p-7, 0x1.e8863ddaf691bp-7, 0x1.e524a7d2397acp-7, 0x1.e1bd4220c1d5bp-7, 0x1.de5052e915efp-7, 0x1.dade1f611d408p-7, 0x1.d766ec28bf0afp-7, 0x1.d3eafda551cb2p-7, 0x1.d06a984e62ap-7, 0x1.cce600d7de731p-7, 0x1.c95d7c2b28e63p-7, 0x1.c5d14f28f5f46p-7, 0x1.c241be36761acp-7, 0x1.beaf0ca377549p-7, 0x1.bb197c05c2737p-7, 0x1.b7814bac0440fp-7, 0x1.b3e6b84979c53p-7, 0x1.b049fbf2dabd8p-7, 0x1.acab4e789eb4ep-7, 0x1.a90ae618a5bdep-7, 0x1.a568f86e86363p-7, 0x1.a1c5bb79e1e41p-7, 0x1.9e2166889c5a9p-7, 0x1.9a7c32cf43a0fp-7, 0x1.96d65b7e1ba14p-7, 0x1.93301d2ee3646p-7, 0x1.8f89b4d1f88c6p-7, 0x1.8be35e7c93f45p-7, 0x1.883d530cd37bep-7, 0x1.8497c678fdebcp-7, 0x1.80f2e7aa1f67ap-7, 0x1.7d4edf18540d4p-7, 0x1.79abcfcade4afp-7, 0x1.7609d96ddda4p-7, 0x1.72691a6a13d1ap-7, 0x1.6ec9b2c94860fp-7, 0x1.6b2bc719c14a3p-7, 0x1.678f82a8cae59p-7, 0x1.63f5189634e1fp-7, 0x1.605cc365fda96p-7, 0x1.5cc6c2f3f9c74p-7, 0x1.593358ff1c79bp-7, 0x1.55a2c4ccbe395p-7, 0x1.52153ea70b085p-7, 0x1.4e8af40e4db14p-7, 0x1.4b0405541b7aap-7, 0x1.478085083b719p-7, 0x1.44007a4dc1571p-7, 0x1.4083e451183c2p-7, 0x1.3d0abf6e5198ep-7, 0x1.39950afc54d3bp-7, 0x1.3622cfad4f771p-7, 0x1.32b423ab8c1edp-7, 0x1.2f492d0972d61p-7, 0x1.2be220a7fbef2p-7, 0x1.287f3e2c07fbp-7, 0x1.2520ca544179ap-7, 0x1.21c706cffb0e8p-7, 0x1.1e722a0696564p-7, 0x1.1b22591a3bcf7p-7, 0x1.17d7a3ebcec7p-7, 0x1.149204f66b3f8p-7, 0x1.11516510b72cep-7, 0x1.0e15a1a44e85p-7, 0x1.0ade95772335ap-7, 0x1.07ac21bd0671bp-7, 0x1.047e3708625bfp-7, 0x1.0154dcb6f3423p-7, 0x1.fc606a355509cp-8, 0x1.f620fb3a639fep-8, 0x1.efec156f4423ap-8, 0x1.e9c27f160bf2ap-8, 0x1.e3a5047d8c7f7p-8, 0x1.dd945da20f688p-8, 0x1.d791153e4da74p-8, 0x1.d19b75e626581p-8, 0x1.cbb380c0fc03bp-8, 0x1.c5d8ef7af0e4fp-8, 0x1.c00b409e58fa7p-8, 0x1.ba49cb7a993adp-8, 0x1.b493d7ae28f84p-8, 0x1.aee8b4906b871p-8, 0x1.a947cdbb507fbp-8, 0x1.a3b0bb32325d8p-8, 0x1.9e234c84b9f46p-8, 0x1.989f8e9964197p-8, 0x1.9325cb9c53975p-8, 0x1.8db6845f246dbp-8, 0x1.885262abfdd1ap-8, 0x1.82fa25243afa1p-8, 0x1.7dae86bdbd1acp-8, 0x1.787025cb93302p-8, 0x1.733f6fa68f937p-8, 0x1.6e1c95d4aab78p-8, 0x1.69078f79f0b59p-8, 0x1.640026498fac3p-8, 0x1.5f060a61ab41ap-8, 0x1.5a18e6359c897p-8, 0x1.55386c4083fcp-8, 0x1.50645b95717cp-8, 0x1.4b9c7cee163bap-8, 0x1.46e09d8e06c23p-8, 0x1.42308d4bf20cp-8, 0x1.3d8c230fbd6e9p-8, 0x1.38f3464cbc013p-8, 0x1.3465f8a2c9835p-8, 0x1.2fe459a14846ep-8, 0x1.2b6ea0943773dp-8, 0x1.27050c78e58d8p-8, 0x1.22a7ced07b92bp-8, 0x1.1e56f8e3841f5p-8, 0x1.1a12733bd116fp-8, 0x1.15da03b18761bp-8, 0x1.11ad60cd8e302p-8, 0x1.0d8c4d5126ee8p-8, 0x1.0976b0968788ep-8, 0x1.056ca154e6207p-8, 0x1.016e5be35d8b7p-8, 0x1.faf849a2d80d9p-9, 0x1.f32c4495f05a4p-9, 0x1.eb7879900889dp-9, 0x1.e3dc2c968e411p-9, 0x1.dc563cb76eaaap-9, 0x1.d4e5779c3c6c7p-9, 0x1.cd88f46b1d929p-9, 0x1.c640629e4a58ep-9, 0x1.bf0bee4bb8d6bp-9, 0x1.b7ec3b92a6701p-9, 0x1.b0e1ef35a7552p-9, 0x1.a9ed7b7ac6c7cp-9, 0x1.a30ef30c071f1p-9, 0x1.9c4616c01bbf6p-9, 0x1.9592854245d0fp-9, 0x1.8ef3f5c1f6afdp-9, 0x1.886a675b6891p-9, 0x1.81f638b9b041bp-9, 0x1.7b98230269968p-9, 0x1.755119df095e5p-9, 0x1.6f22096d234d9p-9, 0x1.690b8431781fep-9, 0x1.630d78b3df631p-9, 0x1.5d270f699a6f3p-9, 0x1.5756c53a9ae7p-9, 0x1.519ac835c9935p-9, 0x1.4bf172e7ea766p-9, 0x1.4659b3f531b38p-9, 0x1.40d33479c47cdp-9, 0x1.3b5e2b03207f3p-9, 0x1.35faf1e2b3393p-9, 0x1.30a995e684a6dp-9, 0x1.2b6992d0abc27p-9, 0x1.2639ed90a14a7p-9, 0x1.2119887a13342p-9, 0x1.1c0796ca8962fp-9, 0x1.1703eba489dcbp-9, 0x1.120f16219ac75p-9, 0x1.0d2a4458316f9p-9, 0x1.0856f8fb5be84p-9, 0x1.0396ac6f6d177p-9, 0x1.fdd4f0d97acep-10, 0x1.f4a5ce0181789p-10, 0x1.eb9fd861e966p-10, 0x1.e2c1dc9c2a61ep-10, 0x1.da09add96b9dp-10, 0x1.d174696b2b5bap-10, 0x1.c8fefe7c965e9p-10, 0x1.c0a6f7661dcadp-10, 0x1.b86b2fb389b4cp-10, 0x1.b04c145f466cep-10, 0x1.a84b516d16bd5p-10, 0x1.a06b147486c36p-10, 0x1.98ad3334b5a34p-10, 0x1.911282565c222p-10, 0x1.899a85272e373p-10, 0x1.824387d1e1ad2p-10, 0x1.7b0afcfad86afp-10, 0x1.73ee06e65908dp-10, 0x1.6cea2bedda9aap-10, 0x1.65fe091d4c654p-10, 0x1.5f29945d6f969p-10, 0x1.586da267b7e01p-10, 0x1.51cb009bf6b08p-10, 0x1.4b41d401ae8e9p-10, 0x1.44d1a72f4edebp-10, 0x1.3e79fac95bb68p-10, 0x1.383ad6890b672p-10, 0x1.3214eba63fa53p-10, 0x1.2c092cb510eefp-10, 0x1.26181f0ef9cffp-10, 0x1.2041636f940bdp-10, 0x1.1a83d206f26e6p-10, 0x1.14de0820a3811p-10, 0x1.0f4eda5ec67f1p-10, 0x1.09d55a541902ep-10, 0x1.0470cfce6c33cp-10, 0x1.fe42467fb6191p-11, 0x1.f3cedd18e904dp-11, 0x1.e98bbd1b08d06p-11, 0x1.df7d2f92ae091p-11, 0x1.d5a4736df59dp-11, 0x1.cbfe87329a3ap-11, 0x1.c28629d7da5a7p-11, 0x1.b937f2a721f78p-11, 0x1.b0148cc8c1f29p-11, 0x1.a71f1e0d129cap-11, 0x1.9e59ae2384fdcp-11, 0x1.95c2eea1aec01p-11, 0x1.8d566f49a16ap-11, 0x1.850e15ba4c897p-11, 0x1.7ce3b22229d38p-11, 0x1.74d26dd4812dap-11, 0x1.6cd813f6002a8p-11, 0x1.64f5dab55165p-11, 0x1.5d301a275ed0dp-11, 0x1.558cb8d98ba85p-11, 0x1.4e10de20896fbp-11, 0x1.46bf1a6358195p-11, 0x1.3f970db377e12p-11, 0x1.389658d6f5376p-11, 0x1.31b94c28b32c1p-11, 0x1.2afaa7ade8b08p-11, 0x1.2454a4563d59fp-11, 0x1.1dc4feba73692p-11, 0x1.17503b5b84fd7p-11, 0x1.10feb38a3d20ap-11, 0x1.0ad50b9451298p-11, 0x1.04cf7a7e6e679p-11, 0x1.fdcb26d115846p-12, 0x1.f22528453c869p-12, 0x1.e6b17866edb1ap-12, 0x1.db7a3b90fc822p-12, 0x1.d0846b28ad8dfp-12, 0x1.c5ce1d0903d7bp-12, 0x1.bb5351ca3563bp-12, 0x1.b1116587b8bd3p-12, 0x1.a707454b1ad74p-12, 0x1.9d3413102c339p-12, 0x1.93950ab57effap-12, 0x1.8a24be0368cb9p-12, 0x1.80dbe2a1ca3bbp-12, 0x1.77b3c70fd53eap-12, 0x1.6ea98fd78b6e2p-12, 0x1.65c0619cc3f7cp-12, 0x1.5d009410d061fp-12, 0x1.54739f6f6c963p-12, 0x1.4c1ed8b5afbe7p-12, 0x1.4400e52991f35p-12, 0x1.3c14b9094b6cdp-12, 0x1.34567234f5f51p-12, 0x1.2cc24e2879244p-12, 0x1.25512a6395c4cp-12, 0x1.1dfee120c861bp-12, 0x1.16d2f0aabb929p-12, 0x1.0fd762fcf7b62p-12, 0x1.0907de09391e9p-12, 0x1.0254691404468p-12, 0x1.f76bc7c08da7fp-13, 0x1.ea6b935c764e1p-13, 0x1.ddbe431c0d65ep-13, 0x1.d16584ba0ce4ep-13, 0x1.c5560fef6cf78p-13, 0x1.b985ea61685cfp-13, 0x1.adf0edaba4a01p-13, 0x1.a2975d152e599p-13, 0x1.977c3bb85fbe7p-13, 0x1.8ca475be6efedp-13, 0x1.8215ad70b2e4dp-13, 0x1.77d3c8cdfb013p-13, 0x1.6ddd574359486p-13, 0x1.6427ec18d41d8p-13, 0x1.5aa0594c0d304p-13, 0x1.51348d40cd20fp-13, 0x1.47e2e28670c9ep-13, 0x1.3ebd200270b89p-13, 0x1.35d6bd6fc45bbp-13, 0x1.2d3137e262d39p-13, 0x1.24bf6eaffad46p-13, 0x1.1c7b5366c6b4ap-13, 0x1.146e8184ac417p-13, 0x1.0ca52024345eap-13, 0x1.051f967605e4ep-13, 0x1.fb98c9aa2e7d8p-14, 0x1.ed2bf41e13371p-14, 0x1.defd00a9d71bfp-14, 0x1.d126b1241596cp-14, 0x1.c39538df43714p-14, 0x1.b62ec287a8101p-14, 0x1.a912ded72361p-14, 0x1.9c66c9b7cef6ep-14, 0x1.9022edbc2bf5p-14, 0x1.842ecb27e4113p-14, 0x1.787cba86d28b3p-14, 0x1.6d09aa749a3c5p-14, 0x1.61d64ce36ebdcp-14, 0x1.56e3ca8f317abp-14, 0x1.4c34b43a60da4p-14, 0x1.41cdb610f2094p-14, 0x1.37b56dd7c66d6p-14, 0x1.2df20f6c217ap-14, 0x1.2486938bd71ffp-14, 0x1.1b6bcecd875e7p-14, 0x1.1287792cf0696p-14, 0x1.09bd5cd5d0fd9p-14, 0x1.011734a04c565p-14, 0x1.f16c0ee499f72p-15, 0x1.e12d811deab98p-15, 0x1.d13a10436b526p-15, 0x1.c19ee8900e1a5p-15, 0x1.b293081a3837dp-15, 0x1.a417b96ab52eep-15, 0x1.960813a0d6a27p-15, 0x1.88474b0699609p-15, 0x1.7acf35c1a764ep-15, 0x1.6db8baba436f2p-15, 0x1.61296d9cc7587p-15, 0x1.551094474a348p-15, 0x1.493857a8a2fdp-15, 0x1.3d9fdf94e3b55p-15, 0x1.323d40d1ecac8p-15, 0x1.271108e261674p-15, 0x1.1c5559ac78927p-15, 0x1.1210e9a7d0aa4p-15, 0x1.081f2499f603fp-15, 0x1.fcd9ccdabbebdp-16, 0x1.e9f20e31fa1bcp-16, 0x1.d78c5248319d6p-16, 0x1.c5ab69cb5ab26p-16, 0x1.b450839e098fap-16, 0x1.a37d670db481cp-16, 0x1.9333cfa3a56bp-16, 0x1.8374edd1b2984p-16, 0x1.744b1df7b750dp-16, 0x1.65cd4f1c83142p-16, 0x1.57e857a1a58adp-16, 0x1.4a5390b85a2d3p-16, 0x1.3d124cf22eef7p-16, 0x1.30352af33bdbap-16, 0x1.23936f6febb51p-16, 0x1.1765a0e7a5938p-16, 0x1.0bddbd96fd76ap-16, 0x1.00d0a7c5c62c5p-16, 0x1.ec30d28fe887ap-17, 0x1.d75d3a77bbc06p-17, 0x1.c32ddfcc73759p-17, 0x1.afa8af17dd0aap-17, 0x1.9ccfefeb50cbdp-17, 0x1.8aa648b37182bp-17, 0x1.7923296b317bap-17, 0x1.683b9d22cce2ap-17, 0x1.57f3448e93941p-17, 0x1.48782f9b57e58p-17, 0x1.39e44fdc6900ap-17, 0x1.2bd38105b10e4p-17, 0x1.1dff64d081f14p-17, 0x1.107a43157932ep-17, 0x1.03ab118cbe2c2p-17, 0x1.ef3ef271aa19ep-18, 0x1.d827c3d9cb72cp-18, 0x1.c1e3430874d68p-18, 0x1.ac77fefd415ecp-18, 0x1.97eb8db1cda89p-18, 0x1.843cc0e316cdap-18, 0x1.716696a21590dp-18, 0x1.5f5e82f968bc3p-18, 0x1.4e235cfe2ed2ep-18, 0x1.3deeb412c2955p-18, 0x1.2ef8bdf873743p-18, 0x1.20be3dd61599p-18, 0x1.12dedb0c62d4cp-18, 0x1.056178938a06bp-18, 0x1.f16629bb9bc8ap-19, 0x1.da0714cc83fbdp-19, 0x1.c3f74753331b9p-19, 0x1.aef9a5aa5c99fp-19, 0x1.9b16983c84ea7p-19, 0x1.88619ded58b65p-19, 0x1.76d0d11eef13p-19, 0x1.66602538028ep-19, 0x1.5704c2d4d7856p-19, 0x1.48b62983ad6a1p-19, 0x1.3b6ac2384254dp-19, 0x1.2f18aaa285e2ap-19, 0x1.23b6873f9175p-19, 0x1.193ba1b06a005p-19, 0x1.0fa099d77ef1dp-19, 0x1.06df041d1ea62p-19, 0x1.fdde0a315c04fp-20, 0x1.ef8fff55fc998p-20, 0x1.e2be9f77c09bbp-20, 0x1.d766e5f51f78ep-20, 0x1.cda02bd1cc47fp-20, 0x1.c5303ef7371d7p-20, 0x1.bddaaf3d7656dp-20, 0x1.b7d8c7430e785p-20, 0x1.b324da1d6a58cp-20, 0x1.af8fc16b650c7p-20, 0x1.ad0f739bc2127p-20, 0x1.ab9f9ebcf449ep-20, 0x1.ab35e43dd37d6p-20, 0x1.abcb48d891f92p-20, 0x1.ad541d81a36ebp-20, 0x1.afa6661325651p-20, 0x1.b2dfb5bdfe0eap-20, 0x1.b71e7e639ab1ep-20, 0x1.bbfb5cf65718ap-20, 0x1.c17840e77b762p-20, 0x1.c7bf911a02abbp-20, 0x1.cec21cbca7613p-20, 0x1.d66df2e8fcd4bp-20, 0x1.deb590bf4d495p-20, 0x1.e79142a353085p-20, 0x1.f0f8225758edep-20, 0x1.fae25d0956d22p-20, 0x1.02a4e2d15a606p-19, 0x1.08128c59d9b5ep-19, 0x1.0db79e14450ap-19, 0x1.138fcc4add70bp-19, 0x1.19975c840ab7ap-19, 0x1.1fcad09d781aep-19, 0x1.26270a5747291p-19, 0x1.2ca9582cb87a7p-19, 0x1.334f5c773e096p-19, 0x1.3a1641390d735p-19, 0x1.40fd1f639df64p-19, 0x1.4801c45559c8ep-19, 0x1.4f21b1ff7d559p-19, 0x1.5657cd076850ap-19, 0x1.5d9b4944c2989p-19, 0x1.64ea281f4809ep-19, 0x1.6c47bfc214becp-19, 0x1.73be6b25404cep-19, 0x1.7b4ffc96f2495p-19, 0x1.82db5b538c81cp-19, 0x1.8a6a989a90febp-19, 0x1.91f1025665876p-19, 0x1.9979ad64e16bbp-19, 0x1.a11826bc72d45p-19, 0x1.a88d8103612bap-19, 0x1.b02ed287823dap-19, 0x1.b7b284ac7ca41p-19, 0x1.bf194af0eff08p-19, 0x1.c6918e4fa5a5ap-19, 0x1.ce0a63e26f8fcp-19, 0x1.d578d2d2ab5cp-19, 0x1.dcdae480e90bdp-19, 0x1.e42df8d4d9b2dp-19, 0x1.eb71a181aa4a9p-19, 0x1.f2a5459183eap-19, 0x1.f9c7e098d4edp-19, 0x1.006c39e10a941p-18, 0x1.03eb02772ec0fp-18, 0x1.075fd1a633bcep-18, 0x1.0aca32c0e8983p-18, 0x1.0e298154e2ffcp-18, 0x1.117dbacc5804dp-18, 0x1.14c5fce320644p-18, 0x1.18020e3bdb02cp-18, 0x1.1b31929d945c2p-18, 0x1.1e5433dc19678p-18, 0x1.21699d061194ep-18, 0x1.247179b0a1bc4p-18, 0x1.276b1b51206dep-18, 0x1.2a576732de101p-18, 0x1.2d33bd39ab55fp-18, 0x1.3002b3863e29ep-18, 0x1.32c1a4dc4b99dp-18, 0x1.357160d0e0ca6p-18, 0x1.3811996f5ac03p-18, 0x1.3aa2d1c26e69dp-18, 0x1.3d25266e28b2ep-18, 0x1.3f98b0d29ce9fp-18, 0x1.41fa3b35171fdp-18, 0x1.444857f81b42ap-18, 0x1.468605c62db35p-18, 0x1.48bbe6f3626ap-18, 0x1.4ae553f7c3fc1p-18, 0x1.4cfa12e2c5126p-18, 0x1.4eeb746d5697p-18, 0x1.50ccf90fdd11p-18, 0x1.52a6c3074a0bap-18, 0x1.5473526cf01f6p-18, 0x1.562efbabaca91p-18, 0x1.57d896cd02523p-18, 0x1.59700274b6cbep-18, 0x1.5af543937ae8fp-18, 0x1.5c6b1aebf8ae4p-18, 0x1.5dce0d92319f7p-18, 0x1.5f2152f8610bap-18, 0x1.6063488f4171p-18, 0x1.6192f51a678edp-18, 0x1.62b1b10642c2bp-18, 0x1.63bf72217258ep-18, 0x1.64bc0a3d6f819p-18, 0x1.65a7d8c0035e4p-18, 0x1.6686b962acd98p-18, 0x1.674caa203b02ap-18, 0x1.6805f908007acp-18, 0x1.68ae229405eadp-18, 0x1.6945a62b39b2p-18, 0x1.69cca53643522p-18, 0x1.6a432f77bd11fp-18, 0x1.6aa9a4781cb46p-18, 0x1.6affa1447ea14p-18, 0x1.6b4546e39ef4cp-18, 0x1.6b7b22d97bb9fp-18, 0x1.6ba0a77e5decbp-18, 0x1.6bb6369a4eb73p-18, 0x1.6bbc4fcec2f98p-18, 0x1.6bb2bf8715811p-18, 0x1.6b99a859e49edp-18, 0x1.6b7155138fe81p-18, 0x1.6b39f4326224cp-18, 0x1.6af33b40fb4f5p-18, 0x1.6a9d683740c21p-18, 0x1.6a383c4cf94afp-18, 0x1.69c4c7186f9edp-18, 0x1.6947465d0a2a3p-18, 0x1.68b98f731b053p-18, 0x1.681690223a57cp-18, 0x1.676913746664ap-18, 0x1.66aefdeeb1551p-18, 0x1.65e74d2e804efp-18, 0x1.6514ba26c8cfcp-18, 0x1.643132ef0b422p-18, 0x1.63409740983fp-18, 0x1.62439741f7a13p-18, 0x1.6139884acdb1dp-18, 0x1.6022fc26e9a1fp-18, 0x1.5f0240f483f9dp-18, 0x1.5dcfed4acee41p-18, 0x1.5c941316a5c03p-18, 0x1.5b4c46e4e13fp-18, 0x1.59f8d93548eb7p-18, 0x1.5899e1905a35cp-18, 0x1.572daf2dd0a7ap-18, 0x1.55b6b18817e37p-18, 0x1.54359d85419a9p-18, 0x1.52a824567bc1ep-18, 0x1.5110e85b76fa3p-18, 0x1.4f6ffc5fd7723p-18, 0x1.4dc38e7f816ccp-18, 0x1.4c0c2e9fe531cp-18, 0x1.4a4b2997f70cfp-18, 0x1.4880427a36638p-18, 0x1.46aa2bb9356a7p-18, 0x1.44cce622622b6p-18, 0x1.42e4e36f63a0cp-18, 0x1.40f43192f2e5ap-18, 0x1.3ef976b3282a6p-18, 0x1.3cf68429eae5p-18, 0x1.3aeac6b632677p-18, 0x1.38d8ae8f83c6p-18, 0x1.36b9a5d39961p-18, 0x1.3494ca8a765dep-18, 0x1.3267c403365cdp-18, 0x1.3032eef1c48a3p-18, 0x1.2df6547fe5ef4p-18, 0x1.2bb2291bed576p-18, 0x1.2966af7120c63p-18, 0x1.271409d4e1545p-18, 0x1.24baf8b45b115p-18, 0x1.225a7786c105dp-18, 0x1.1ff20d640fdd5p-18, 0x1.1d833ac9f2e57p-18, 0x1.1b103e6386e12p-18, 0x1.1897291f53bbp-18, 0x1.1617e2a08f949p-18, 0x1.13917448fbb21p-18, 0x1.11035148e73ecp-18, 0x1.0e71b322b7025p-18, 0x1.0bdb19c9321dfp-18, 0x1.093f1d22d3088p-18, 0x1.069de6fbc9007p-18, 0x1.03f7a9adae536p-18, 0x1.014c97e540875p-18, 0x1.fd38e87f6cabbp-19, 0x1.f7d8667e982b6p-19, 0x1.f260d360a957ep-19, 0x1.ece96546e901dp-19, 0x1.e765149d8829cp-19, 0x1.e1ddadad5a1ffp-19, 0x1.dc4b738bcb111p-19, 0x1.d6b28fa1f659p-19, 0x1.d112a9f63a098p-19, 0x1.cb706694b1108p-19, 0x1.c5c373b9fc428p-19, 0x1.c010fefaed592p-19, 0x1.ba58df6bde016p-19, 0x1.b49b65fc8277ep-19, 0x1.aed845f46b86ep-19, 0x1.a91050032d69ep-19, 0x1.a343e03e14d47p-19, 0x1.9d7281dfdaba3p-19, 0x1.979ce28bf18d6p-19, 0x1.91c366fdd0f24p-19, 0x1.8be5dcbaf712dp-19, 0x1.86054e44c5bc1p-19, 0x1.8021c3aeab61bp-19, 0x1.7a398382d8fddp-19, 0x1.744ceaa21160bp-19, 0x1.6e60e4cccdb34p-19, 0x1.68753d3052343p-19, 0x1.6283af64e8aa6p-19, 0x1.5c92eca15e66ap-19, 0x1.569a07be42cfdp-19, 0x1.50a4103008a63p-19, 0x1.4aab170fdd083p-19, 0x1.44c001baa9394p-19, 0x1.3eb9eec37ecb6p-19, 0x1.38c0c8dfef054p-19, 0x1.32c8dd171814bp-19, 0x1.2ccc589344826p-19, 0x1.26d2a5350cfc9p-19, 0x1.20d8827fd551bp-19, 0x1.1ade901648eadp-19, 0x1.14e53d523e444p-19, 0x1.0eecdea9c46a6p-19, 0x1.08f60ab4985e7p-19, 0x1.0300510fae664p-19, 0x1.fa0e625941c8p-20, 0x1.ee2ada86891f3p-20, 0x1.e255c75190179p-20, 0x1.d66a67398b836p-20, 0x1.ca8ecf82c933p-20, 0x1.beb33e74182bdp-20, 0x1.b2e010590a08dp-20, 0x1.a71274482928ep-20, 0x1.9b4aa70a7321p-20, 0x1.8f8a800e67b28p-20, 0x1.83cab24d89554p-20, 0x1.78132774ca4e1p-20, 0x1.6c5cba084828ep-20, 0x1.60b6845631401p-20, 0x1.5559b0ded39bbp-20, 0x1.497eeda84a5adp-20, 0x1.3deaff3b8fc34p-20, 0x1.3265365054a09p-20, 0x1.26db876b3aa5p-20, 0x1.1b604fbf689f6p-20, 0x1.0fed5ac4f82d1p-20, 0x1.0478a1d972948p-20, 0x1.f24ecc25418dp-21, 0x1.dba0a5ea4e495p-21, }}, 
      {{0x1.90d313263cb0bp-3, 0x1.29865ae46957bp-2, 0x1.23cfb17948d1fp-2, 0x1.b623326223978p-3, 0x1.d0b01356ee0f4p-4, 0x1.4a1cadaaa37dcp-7, -0x1.48dcaafbb9683p-4, -0x1.33dff0410d1c7p-3, -0x1.96c449e322715p-3, -0x1.d15560e8187f3p-3, -0x1.eb4ff1c40673p-3, -0x1.ed8056dc76f9cp-3, -0x1.e047346f8004ep-3, -0x1.cad20b6e9bb42p-3, -0x1.b2cbd562ba726p-3, -0x1.9c576af349a26p-3, -0x1.8a32eecd5eed9p-3, -0x1.7deeb12817804p-3, -0x1.782a31ec0c09ep-3, -0x1.78cf67ad85348p-3, -0x1.7f48082f7194dp-3, -0x1.8aaae6af7b455p-3, -0x1.99e0ef4cb0c4bp-3, -0x1.abc2173dc6535p-3, -0x1.bf2b07b70035dp-3, -0x1.d30c7ce0d9bd8p-3, -0x1.e67562b44c49cp-3, -0x1.f898b2ac9e651p-3, -0x1.0468000984686p-2, -0x1.0b4dc216e216dp-2, -0x1.10d02e494e9e6p-2, -0x1.14d2c7bda86a6p-2, -0x1.174826e94db0ap-2, -0x1.182fe8851b445p-2, -0x1.17948e1d15e24p-2, -0x1.15896a38d77a2p-2, -0x1.1228aa09295afp-2, -0x1.0d9188fc2e516p-2, -0x1.07e6b5467f844p-2, -0x1.014ce83924693p-2, -0x1.f3d3681371a91p-3, -0x1.e3c50afa5898fp-3, -0x1.d2b7a9b79fdbp-3, -0x1.c0f105a9aa22p-3, -0x1.aeb2bd23f9be3p-3, -0x1.9c399c8a40752p-3, -0x1.89bd26f194c3dp-3, -0x1.776f51d3511c6p-3, -0x1.657c6d6da2faep-3, -0x1.540b2e590a793p-3, -0x1.433cce6a752f1p-3, -0x1.332d4009fe7a4p-3, -0x1.23f3727c4d15cp-3, -0x1.15a1a288909a9p-3, -0x1.0845b19bc3f26p-3, -0x1.f7d2fed37fcd9p-4, -0x1.e12688520271ap-4, -0x1.cc8bd59e347bdp-4, -0x1.ba02d598980a6p-4, -0x1.a9863f79257d4p-4, -0x1.9b0c3adbe8273p-4, -0x1.8e86fe53caf51p-4, -0x1.83e563a609119p-4, -0x1.7b13719d9e0bcp-4, -0x1.73fadb9829334p-4, -0x1.6e837736a12d4p-4, -0x1.6a93a85189f9cp-4, -0x1.6810c34edf6b5p-4, -0x1.66df65f6fc462p-4, -0x1.66e3c7a00952bp-4, -0x1.6801ffbe46f5bp-4, -0x1.6a1e4542aeb47p-4, -0x1.6d1d25f1682c9p-4, -0x1.70e3b646e2309p-4, -0x1.7557ba85bd82ap-4, -0x1.7a5fcafad4bafp-4, -0x1.7fe3708440612p-4, -0x1.85cb3d783fb5cp-4, -0x1.8c00e0ca44b84p-4, -0x1.926f352630bc6p-4, -0x1.99024b909827bp-4, -0x1.9fa7726c1d30cp-4, -0x1.a64d38f39a304p-4, -0x1.ace36f90ed166p-4, -0x1.b35b25b74400bp-4, -0x1.b9a6a59eeecf1p-4, -0x1.bfb96d9947c37p-4, -0x1.c58828dd5cf3p-4, -0x1.cb08a56dddd9cp-4, -0x1.d031cb3cf56bep-4, -0x1.d4fb9006a147p-4, -0x1.d95eebf22b86cp-4, -0x1.dd55cda60be61p-4, -0x1.e0db0c58c0b88p-4, -0x1.e3ea5c45f94ep-4, -0x1.e6803ffeb05b6p-4, -0x1.e899fc5c1b6a9p-4, -0x1.ea358b10c966cp-4, -0x1.eb518dc98787fp-4, -0x1.ebed423303985p-4, -0x1.ec08757381038p-4, -0x1.eba379149be4p-4, -0x1.eabf177ddf6c5p-4, -0x1.e95c897d273c8p-4, -0x1.e77d6c263a7aep-4, -0x1.e523b708759e6p-4, -0x1.e251b242a8628p-4, -0x1.df09ef6dce0b5p-4, -0x1.db4f3f6494307p-4, -0x1.d724aafbd398fp-4, -0x1.d28d6cffcc003p-4, -0x1.cd8ce8603b494p-4, -0x1.c826a4ebfe84p-4, -0x1.c25e4685d56e9p-4, -0x1.bc37896e058f9p-4, -0x1.b5b63bec864e9p-4, -0x1.aede39f6205d1p-4, -0x1.a7b368e704ec3p-4, -0x1.a039b2f674786p-4, -0x1.987504179d8acp-4, -0x1.9069466d29d43p-4, -0x1.881a5edff0477p-4, -0x1.7f8c2b0cf0ca3p-4, -0x1.76c27ea0b5143p-4, -0x1.6dc120917de54p-4, -0x1.648bc9e868c3ep-4, -0x1.5b26240dc1e1dp-4, -0x1.5193c66fbd3b6p-4, -0x1.47d835f56ace4p-4, -0x1.3df6e415f3c0fp-4, -0x1.33f32cc9ec5abp-4, -0x1.29d05679f7e02p-4, -0x1.1f9191d26fa22p-4, -0x1.1539f84907681p-4, -0x1.0acc8b80946a9p-4, -0x1.004c3648be54fp-4, -0x1.eb77977876f8cp-5, -0x1.d63c0ca4e124dp-5, -0x1.c0eb11664d4d5p-5, -0x1.ab89bd1029c96p-5, -0x1.961cf6194796ap-5, -0x1.80a972a34f5c6p-5, -0x1.6b33bba418562p-5, -0x1.55c02cf417bddp-5, -0x1.4052f2dbde3e1p-5, -0x1.2af00c8250bf4p-5, -0x1.159b4f2578ba6p-5, -0x1.005865298faf8p-5, -0x1.d65598f572b76p-6, -0x1.ac2bb3ab08afp-6, -0x1.8239783a59551p-6, -0x1.5884f593454eep-6, -0x1.2f13e90d6c9c8p-6, -0x1.05ebc6df90671p-6, -0x1.ba237e902e4f3p-7, -0x1.6915788aad068p-7, -0x1.18b6be6958003p-7, -0x1.92201f1f167d5p-8, -0x1.e8a6d308f03e6p-9, -0x1.605be79a86249p-10, 0x1.0a1a42b8841b1p-10, 0x1.b6ef03622973fp-9, 0x1.72aef3fba0dd3p-8, 0x1.041068ba7b2f4p-7, 0x1.4de0ed922722ep-7, 0x1.96c3d166750abp-7, 0x1.deb439cca7fd9p-7, 0x1.12d6d17367e83p-6, 0x1.35d5f0ad64d8ep-6, 0x1.585591a807387p-6, 0x1.7a53f56a3a449p-6, 0x1.9bcf827ade37p-6, 0x1.bcc6c31ff412ep-6, 0x1.dd38664fe0fedp-6, 0x1.fd233f504cc4ap-6, 0x1.0e4321ad649ecp-5, 0x1.1db0432823a3dp-5, 0x1.2cd89c8eef90dp-5, 0x1.3bbbd4ee20f2fp-5, 0x1.4a59a20ca908ep-5, 0x1.58b1c7c8b164cp-5, 0x1.66c4164ae4fb4p-5, 0x1.7490698584d8ap-5, 0x1.8216a87773f34p-5, 0x1.8f56c65595d5fp-5, 0x1.9c50c1e68ed68p-5, 0x1.a904a42c2009cp-5, 0x1.b5727f259c963p-5, 0x1.c19a6d94b5aebp-5, 0x1.cd7c93a3f2f0cp-5, 0x1.d9191f3550e87p-5, 0x1.e47046c9da9cap-5, 0x1.ef824808a74efp-5, 0x1.fa4f6736ed236p-5, 0x1.026bf7ce345bfp-4, 0x1.078e1a3109a72p-4, 0x1.0c8e480ee8139p-4, 0x1.116cb1a1afb13p-4, 0x1.162989c49d4bp-4, 0x1.1ac505cc8f4d5p-4, 0x1.1f3f5dee344c7p-4, 0x1.2398cd70c6191p-4, 0x1.27d1924f913ebp-4, 0x1.2be9eca028a57p-4, 0x1.2fe21e4982c53p-4, 0x1.33ba6b1f62fe5p-4, 0x1.3773192b9ebe1p-4, 0x1.3b0c70c5a42d6p-4, 0x1.3e86bc36e7327p-4, 0x1.41e247433ed9ep-4, 0x1.451f5eee0c9f7p-4, 0x1.483e51b8de1f8p-4, 0x1.4b3f6f979f75p-4, 0x1.4e230a33fa133p-4, 0x1.50e974a198c6fp-4, 0x1.539302f26e8d8p-4, 0x1.56200a0f6b8bdp-4, 0x1.5890dfcf301b1p-4, 0x1.5ae5db052082dp-4, 0x1.5d1f539e3b885p-4, 0x1.5f3da27785c0bp-4, 0x1.6141211f0f8eep-4, 0x1.632a29a04b55ap-4, 0x1.64f916834b6cap-4, 0x1.66ae42dc978b3p-4, 0x1.684a0a515a62bp-4, 0x1.69ccc90f41583p-4, 0x1.6b36dbb12c26bp-4, 0x1.6c889f047837fp-4, 0x1.6dc2700df20c6p-4, 0x1.6ee4abe847249p-4, 0x1.6fefafdad4acbp-4, 0x1.70e3d9602b942p-4, 0x1.71c18604aa0b8p-4, 0x1.7289135cd3776p-4, 0x1.733adee7630a3p-4, 0x1.73d745f99437ap-4, 0x1.745ea5c369d19p-4, 0x1.74d15b4de881ap-4, 0x1.752fc377cc4b6p-4, 0x1.757a3ae2551dbp-4, 0x1.75b11de6142d5p-4, 0x1.75d4c88602086p-4, 0x1.75e59660ea3a7p-4, 0x1.75e3e2abb3476p-4, 0x1.75d008355bb8p-4, 0x1.75aa61609f002p-4, 0x1.75734814845acp-4, 0x1.752b15b1eda85p-4, 0x1.74d22307cf6d3p-4, 0x1.7468c8621890bp-4, 0x1.73ef5d6ab4498p-4, 0x1.7366392551c7dp-4, 0x1.72cdb209f25b3p-4, 0x1.72261de4809eep-4, 0x1.716fd1d1ab482p-4, 0x1.70ab2236dd269p-4, 0x1.6fd862c14a5e6p-4, 0x1.6ef7e663cc963p-4, 0x1.6e09ff53c5b03p-4, 0x1.6d0eff048d8e7p-4, 0x1.6c0736240790fp-4, 0x1.6af2f49da62dcp-4, 0x1.69d2898992eb7p-4, 0x1.68a643322a3c4p-4, 0x1.676e6f0790961p-4, 0x1.662b59a69edbbp-4, 0x1.64dd4ed6aad6dp-4, 0x1.63849987487b8p-4, 0x1.622183d0b5924p-4, 0x1.60b456ef90ab3p-4, 0x1.5f3d5b45338b2p-4, 0x1.5dbcd8529ab52p-4, 0x1.5c3314afe5f7bp-4, 0x1.5aa0560fea56bp-4, 0x1.5904e156593c9p-4, 0x1.5760fa6a8f277p-4, 0x1.55b4e4667fc7cp-4, 0x1.5400e17b78cf7p-4, 0x1.524532f7f1304p-4, 0x1.50821949216c7p-4, 0x1.4eb7d3f5e8501p-4, 0x1.4ce6a19d738adp-4, 0x1.4b0ebff87798fp-4, 0x1.49306bdd8d0abp-4, 0x1.474be142b38bap-4, 0x1.45615b3d3725p-4, 0x1.43711403715eep-4, 0x1.417b44edbce6ep-4, 0x1.3f802673ca1b3p-4, 0x1.3d7ff02cd34a8p-4, 0x1.3b7ad8cd31cf4p-4, 0x1.3971162c72f83p-4, 0x1.3762dd46fa05ep-4, 0x1.3550624143f8dp-4, 0x1.3339d869933bep-4, 0x1.311f723980914p-4, 0x1.2f016155d67b3p-4, 0x1.2cdfd68d378c1p-4, 0x1.2abb01d8175dp-4, 0x1.2893125ae5c37p-4, 0x1.266836682165ep-4, 0x1.243a9b8101524p-4, 0x1.220a6e6d0b55ep-4, 0x1.1fd7db16c8d15p-4, 0x1.1da30cb0ae40bp-4, 0x1.1b6c2da4ce30ep-4, 0x1.1933678f4e15fp-4, 0x1.16f8e3456e80bp-4, 0x1.14bcc8d57fdc2p-4, 0x1.127f3f89a1f0ap-4, 0x1.10406def7df49p-4, 0x1.0e0079df9d37cp-4, 0x1.0bbf88800e42fp-4, 0x1.097dbe3e569ebp-4, 0x1.073b3ed5f744bp-4, 0x1.04f82d42ce349p-4, 0x1.02b4abc83d9f3p-4, 0x1.0070dbea2c507p-4, 0x1.fc59bced2aecp-5, 0x1.f7d1a718299c5p-5, 0x1.f349b54bbc519p-5, 0x1.eec225447fd2cp-5, 0x1.ea3b338674a3ap-5, 0x1.e5b51b58a7e5cp-5, 0x1.e13016b8f24e8p-5, 0x1.dcac5e4d25de7p-5, 0x1.d82a295887d08p-5, 0x1.d3a9adbce0936p-5, 0x1.cf2b2009a3374p-5, 0x1.caaeb3923ce8ap-5, 0x1.c6349a8b3fc43p-5, 0x1.c1bd06196d6a6p-5, 0x1.bd48265f9952fp-5, 0x1.b8d62a71f022ap-5, 0x1.b4674064bc3a7p-5, 0x1.affb9502b3818p-5, 0x1.ab9353e395bp-5, 0x1.a72ea756ad1edp-5, 0x1.a2cdb8640a626p-5, 0x1.9e70aee78063fp-5, 0x1.9a17b1ac6258fp-5, 0x1.95c2e68a829bdp-5, 0x1.9172727d3a842p-5, 0x1.8d2679abf35a1p-5, 0x1.88df1f6195ff6p-5, 0x1.849c85f8bc846p-5, 0x1.805ecec44662ap-5, 0x1.7c2619fc31322p-5, 0x1.77f286b31f9c6p-5, 0x1.73c432d709a28p-5, 0x1.6f9b3b4867ff2p-5, 0x1.6b77bbf694508p-5, 0x1.6759cff279d18p-5, 0x1.6341918c4478dp-5, 0x1.5f2f1a5e357ffp-5, 0x1.5b22834b58a7ap-5, 0x1.571be472a1afp-5, 0x1.531b551ca095p-5, 0x1.4f20ebaa7c032p-5, 0x1.4b2cbd8aa95ep-5, 0x1.473edf369a826p-5, 0x1.4357643ad45e4p-5, 0x1.3f765f4695bdp-5, 0x1.3b9be23eee097p-5, 0x1.37c7fe5037b3p-5, 0x1.33fac3fce9c2p-5, 0x1.303443241978ep-5, 0x1.2c748b01f5d2fp-5, 0x1.28bbaa29b4b87p-5, 0x1.2509ae7690dc8p-5, 0x1.215ea510f4abbp-5, 0x1.1dba9a5ed055ap-5, 0x1.1a1d9a01e1a4bp-5, 0x1.1687aee67cc6cp-5, 0x1.12f8e342ded78p-5, 0x1.0f7140a3b10fep-5, 0x1.0bf0cfff441f7p-5, 0x1.087799addaaebp-5, 0x1.0505a575753eep-5, 0x1.019afa8d54c5dp-5, 0x1.fc6f3f381962p-6, 0x1.f5b7356c7ae1ap-6, 0x1.ef0de2bab75d3p-6, 0x1.e87350fec190dp-6, 0x1.e1e788f0446eap-6, 0x1.db6a922888875p-6, 0x1.d4fc732a77fe7p-6, 0x1.ce9d316b1801ep-6, 0x1.c84cd159384cdp-6, 0x1.c20b5664f654fp-6, 0x1.bbd8c307c847ep-6, 0x1.b5b518cc0e4bap-6, 0x1.afa0585060539p-6, 0x1.a99a8148ec901p-6, 0x1.a3a3927e41cf7p-6, 0x1.9dbb89d7de5aap-6, 0x1.97e26461a797dp-6, 0x1.92181e44bed2dp-6, 0x1.8c5cb2db6fad2p-6, 0x1.86b01cb5d6c1ap-6, 0x1.811255910bfdbp-6, 0x1.7b8356676e16dp-6, 0x1.76031772fac97p-6, 0x1.7091903130742p-6, 0x1.6b2eb7680ecddp-6, 0x1.65da832a7c17fp-6, 0x1.6094e8dc5b808p-6, 0x1.5b5ddd36e2d93p-6, 0x1.5635544daf018p-6, 0x1.511b4193069dcp-6, 0x1.4c0f97d5fcfddp-6, 0x1.47124958f1cb1p-6, 0x1.422347b635f02p-6, 0x1.3d4284058cb4cp-6, 0x1.386feed2fcb94p-6, 0x1.33ab782298f08p-6, 0x1.2ef50f6bc377cp-6, 0x1.2a4ca3a7ff2b1p-6, 0x1.25b223574994dp-6, 0x1.21257c81d4d89p-6, 0x1.1ca69cba2d474p-6, 0x1.183571200722p-6, 0x1.13d1e664a69d4p-6, 0x1.0f7be8cfbe1b7p-6, 0x1.0b336444e3b3p-6, 0x1.06f84446d03cap-6, 0x1.02ca73faa6d2cp-6, 0x1.fd53bc568aefp-7, 0x1.f52cda9a32a1ep-7, 0x1.ed201703b5f2p-7, 0x1.e52d453640dffp-7, 0x1.dd543838b3c16p-7, 0x1.d594c27a42db2p-7, 0x1.cdeeb5d83c1f8p-7, 0x1.c661e3a57e65ap-7, 0x1.beee1cb2f665ap-7, 0x1.b7933159a72eap-7, 0x1.b050f186f672ap-7, 0x1.a9272cd16924ep-7, 0x1.a215b253c4366p-7, 0x1.9b1c50d71126ep-7, 0x1.943ad6d35d6c2p-7, 0x1.8d71127af17d3p-7, 0x1.86bed18502ea5p-7, 0x1.8023e159f1823p-7, 0x1.79a00f0df0c29p-7, 0x1.733327673723fp-7, 0x1.6cdcf6ebcd6d2p-7, 0x1.669d49f25d0b5p-7, 0x1.6073ecb7d0af5p-7, 0x1.5a60ab4f3a19ep-7, 0x1.546351c8c1231p-7, 0x1.4e7bac320d47fp-7, 0x1.48a98678551a4p-7, 0x1.42ecac71b87a7p-7, 0x1.3d44e9d0eef2p-7, 0x1.37b20a2f8cd1ep-7, 0x1.3233d8d3ef8c3p-7, 0x1.2cca20f018ec6p-7, 0x1.2774ad869e061p-7, 0x1.2233498629254p-7, 0x1.1d05bfe6ef3ap-7, 0x1.17ebdbc4d551bp-7, 0x1.12e56877631d6p-7, 0x1.0df231a2e49b6p-7, 0x1.0912033ed84cp-7, 0x1.0444a98ff4d06p-7, 0x1.ff13e22d4420dp-8, 0x1.f5c34ce5c316bp-8, 0x1.ec972c81d93c8p-8, 0x1.e38f19edecccep-8, 0x1.daaaad9b4bc28p-8, 0x1.d1e97f7428bb1p-8, 0x1.c94b26f88d135p-8, 0x1.c0cf3b8643e66p-8, 0x1.b87554c38c1a6p-8, 0x1.b03d0b1e5581ap-8, 0x1.a825f8477347fp-8, 0x1.a02fb7916dc91p-8, 0x1.9859e61cdf3ccp-8, 0x1.90a422c41c251p-8, 0x1.890e0dc121b88p-8, 0x1.8197480f2a1f9p-8, 0x1.7a3f7294a489dp-8, 0x1.73062d74a5a5cp-8, 0x1.6beb17714b991p-8, 0x1.64edcd6e1993ap-8, 0x1.5e0deab769c56p-8, 0x1.574b097d98c2cp-8, 0x1.50a4c3b267f07p-8, 0x1.4a1ab45099ccbp-8, 0x1.43ac78aa553abp-8, 0x1.3d59b192865bcp-8, 0x1.372204289f405p-8, 0x1.31051a0eec6dbp-8, 0x1.2b02a0edfe17ep-8, 0x1.251a494bf53c3p-8, 0x1.1f4bc4de48292p-8, 0x1.1996c49634de9p-8, 0x1.13faf6c1d7484p-8, 0x1.0e7805a2304c9p-8, 0x1.090d96c59ce6p-8, 0x1.03bb4b5483134p-8, 0x1.fd0181f6b3046p-9, 0x1.f2bb281376bdfp-9, 0x1.e8a2c3611e5e3p-9, 0x1.deb79583ee852p-9, 0x1.d4f8eb2b562e1p-9, 0x1.cb661f79c804p-9, 0x1.c1fe9c8c55d12p-9, 0x1.b8c1da1e94f45p-9, 0x1.afaf59f1e57c7p-9, 0x1.a6c6a1244ed2bp-9, 0x1.9e0731d28de79p-9, 0x1.9570851faa364p-9, 0x1.8d02066d93d22p-9, 0x1.84bb118a1314ep-9, 0x1.7c9af3b181ef3p-9, 0x1.74a0ef3f2ac45p-9, 0x1.6ccc41cb660d1p-9, 0x1.651c2b74da10fp-9, 0x1.5d8ff63ce4b9ep-9, 0x1.5626fcc318bb8p-9, 0x1.4ee0af69aa7f6p-9, 0x1.47bc969acce98p-9, 0x1.40ba51ef587f7p-9, 0x1.39d993d1361bbp-9, 0x1.331a1a0d88d88p-9, 0x1.2c7ba431ecf41p-9, 0x1.25fde93ee27f9p-9, 0x1.1fa08e6f6ab6fp-9, 0x1.196320c83ff37p-9, 0x1.134512a2555cfp-9, 0x1.0d45bd8aaa989p-9, 0x1.076467e4f9e9fp-9, 0x1.01a04d0c5a9e3p-9, 0x1.f7f14ccb3ed9ap-10, 0x1.ecd96809c5697p-10, 0x1.e1f787fbbff13p-10, 0x1.d74a6fecba98ep-10, 0x1.ccd111ae65072p-10, 0x1.c28a90fb5c5cfp-10, 0x1.b8764269fb612p-10, 0x1.ae93a55f147f1p-10, 0x1.a4e258da319dfp-10, 0x1.9b620bb73d557p-10, 0x1.92126a60aa623p-10, 0x1.88f30cfa77f59p-10, 0x1.800369b2c6bb1p-10, 0x1.7742ce703279cp-10, 0x1.6eb0636006904p-10, 0x1.664b354218cafp-10, 0x1.5e1243c04e837p-10, 0x1.56048ee03a756p-10, 0x1.4e211f737588fp-10, 0x1.4667093d5bcebp-10, 0x1.3ed5691573a64p-10, 0x1.376b6156db24cp-10, 0x1.30281a7af83b5p-10, 0x1.290ac707ba1c3p-10, 0x1.2212aac35b3ddp-10, 0x1.1b3f20ff3c357p-10, 0x1.148f9ddcf2fa6p-10, 0x1.0e03a872156ecp-10, 0x1.079ace93fbdb6p-10, 0x1.015495fe025dep-10, 0x1.f660e0962e198p-11, 0x1.ea5b6c3851bf1p-11, 0x1.de9757d453d5cp-11, 0x1.d31321496f2fcp-11, 0x1.c7cd5d2ece137p-11, 0x1.bcc4d50d86f73p-11, 0x1.b1f892746a943p-11, 0x1.a767cebdf17d5p-11, 0x1.9d11cbac82fd5p-11, 0x1.92f5a34ae05d8p-11, 0x1.8912244771e5fp-11, 0x1.7f65ccacf816fp-11, 0x1.75eee8211219ap-11, 0x1.6cabc6b810971p-11, 0x1.639af55b08b82p-11, 0x1.5abb64b039b19p-11, 0x1.520c58701f169p-11, 0x1.498d5f0e692fbp-11, 0x1.413e02712563fp-11, 0x1.391dad536434ap-11, 0x1.312b939ede4d8p-11, 0x1.2966bdf1a83f7p-11, 0x1.21ce274f11f44p-11, 0x1.1a60de8e7f2d5p-11, 0x1.131e2020d94d4p-11, 0x1.0c05624feb959p-11, 0x1.051651a0de5a2p-11, 0x1.fca1711cddbd6p-12, 0x1.ef68b7f9764d1p-12, 0x1.e2819a7c58fa1p-12, 0x1.d5ea82dc68eb7p-12, 0x1.c9a10136fd3e9p-12, 0x1.bda1fb4369177p-12, 0x1.b1ea1b55140cbp-12, 0x1.a6765c86c31e3p-12, 0x1.9b44782fae983p-12, 0x1.905303ecb7e7bp-12, 0x1.85a132d0b032bp-12, 0x1.7b2e55523b35cp-12, 0x1.70f957503586p-12, 0x1.6700864b9c176p-12, 0x1.5d41ab0325c29p-12, 0x1.53ba7a451d55ap-12, 0x1.4a69089a48774p-12, 0x1.414c24c5376f3p-12, 0x1.38636e3e29242p-12, 0x1.2faf2fb83f5e5p-12, 0x1.27300b2c7de2ap-12, 0x1.1ee69319898ccp-12, 0x1.16d2f588a340fp-12, 0x1.0ef4d0d75019p-12, 0x1.074b2b5c1eb98p-12, 0x1.ffa8ffaaa0c79p-13, 0x1.f11d99a08e972p-13, 0x1.e2ef6ce12d38bp-13, 0x1.d519a3be18357p-13, 0x1.c79820627e50cp-13, 0x1.ba68374b081f4p-13, 0x1.ad88e9edde6e3p-13, 0x1.a0fa8da3d4d72p-13, 0x1.94be029ae1681p-13, 0x1.88d3cfa481b5fp-13, 0x1.7d3b791fc5cd5p-13, 0x1.71f32beb43988p-13, 0x1.66f7d3eec9bdcp-13, 0x1.5c4586fcfb858p-13, 0x1.51d81b59699cap-13, 0x1.47abdb6bab4f5p-13, 0x1.3dbe3a51c78eep-13, 0x1.340e0528f79fdp-13, 0x1.2a9addc656129p-13, 0x1.216458376ee04p-13, 0x1.186968dbf995cp-13, 0x1.0fa8807c11416p-13, 0x1.07202116fa9d7p-13, 0x1.fd9ed15c948c9p-14, 0x1.ed6c4fbe72fcbp-14, 0x1.dda8de54e166ep-14, 0x1.ce53b89e67ef1p-14, 0x1.bf6a4a4ea2617p-14, 0x1.b0e86d2f020ep-14, 0x1.a2c9831bcb6cdp-14, 0x1.95095afa5cc32p-14, 0x1.87a44f01588cdp-14, 0x1.7a975525017b2p-14, 0x1.6de0d60e6fac8p-14, 0x1.6181a16af42d2p-14, 0x1.557c7fc693d8cp-14, 0x1.49d3d4bdf4e0ap-14, 0x1.3e87034789247p-14, 0x1.33919511d362dp-14, 0x1.28ed19981948bp-14, 0x1.1e950ce19f8fap-14, 0x1.1488a40820c89p-14, 0x1.0ac942d4dbd9fp-14, 0x1.0157520487da1p-14, 0x1.f060ce033de19p-15, 0x1.de9f06694127p-15, 0x1.cd5cafb2f987ap-15, 0x1.bc8d2d49d454dp-15, 0x1.ac264aad09d74p-15, 0x1.9c226aaab597fp-15, 0x1.8c81d9822c052p-15, 0x1.7d4a3df2b1c91p-15, 0x1.6e83c78afef4ep-15, 0x1.60352b8dce603p-15, 0x1.5260875950698p-15, 0x1.4502f564a811ep-15, 0x1.38164a43be166p-15, 0x1.2b923262e6dap-15, 0x1.1f6bebce3f442p-15, 0x1.1398609125ffap-15, 0x1.0812dcab410b7p-15, 0x1.f9c3df7607acfp-16, 0x1.e423951e27b59p-16, 0x1.cf4fd6a4e1207p-16, 0x1.bb387ba9fa11bp-16, 0x1.a7bf12445afdp-16, 0x1.94d1b0be65456p-16, 0x1.8274c4c5de9a3p-16, 0x1.70b52769b9a9cp-16, 0x1.5f977aeb19916p-16, 0x1.4f15c5d13efa8p-16, 0x1.3f27f461e4f54p-16, 0x1.2fc80fcc81d47p-16, 0x1.20f1c0aaa7611p-16, 0x1.12a1ed7754d81p-16, 0x1.04d25d227e374p-16, 0x1.eef196245a52dp-17, 0x1.d510cd7d15a2ep-17, 0x1.bbeaffe858846p-17, 0x1.a37436b65f181p-17, 0x1.8bb252a41b5cbp-17, 0x1.74ba48ca61293p-17, 0x1.5ea4097286eb2p-17, 0x1.497b29968dc11p-17, 0x1.3537c1000c191p-17, 0x1.21c772493ab81p-17, 0x1.0f1b74728b31fp-17, 0x1.fa4aaa845ad33p-18, 0x1.d79c078b4e07fp-18, 0x1.b60eb70a77c6p-18, 0x1.95c906dc3fedp-18, 0x1.76fcbe5e63ec4p-18, 0x1.59897a5052ef3p-18, 0x1.3d0f176217391p-18, 0x1.216369999894fp-18, 0x1.06b6a533693ccp-18, 0x1.da80577e9acacp-19, 0x1.a9fc1825db8e8p-19, 0x1.7b99ec959673fp-19, 0x1.4f1c9230a8683p-19, 0x1.2466a6f483e8dp-19, 0x1.f6e3d71fd1a65p-20, 0x1.a88c521b0b192p-20, 0x1.5de9fa5e44ccdp-20, 0x1.1727a239be06dp-20, 0x1.a8bc772a218c2p-21, 0x1.2adffcfb7dfc5p-21, 0x1.678b68a9cb4b7p-22, 0x1.072dac3142309p-23, -0x1.6515b8135c5a4p-24, -0x1.2f7e10a766481p-22, -0x1.fc61d3dc0726fp-22, -0x1.5e825a0a93751p-21, -0x1.b8aa92e0019a5p-21, -0x1.06e73cf8fae9bp-20, -0x1.2f40e20b92bbep-20, -0x1.55090c1354ce9p-20, -0x1.77cb066419e22p-20, -0x1.978da45fb978ap-20, -0x1.b5105aee30a04p-20, -0x1.d136a403de92ap-20, -0x1.ebf3a7b84259cp-20, -0x1.0265242606e71p-19, -0x1.0e1186e15da91p-19, -0x1.193d4ab330c25p-19, -0x1.239f62fd8517bp-19, -0x1.2ce4fb618a3b7p-19, -0x1.352590382170dp-19, -0x1.3c9e197237cc3p-19, -0x1.4370e3b078d16p-19, -0x1.49a723420f523p-19, -0x1.4f430fe0f7838p-19, -0x1.5444b0b7e4e62p-19, -0x1.58aa48ac74f68p-19, -0x1.5c6a44e5db756p-19, -0x1.5f799295aa8fp-19, -0x1.61ce8e07bf832p-19, -0x1.6364250b81eddp-19, -0x1.644ca3f68891fp-19, -0x1.64c55c0a841ccp-19, -0x1.650e42071de8ep-19, -0x1.651459d110a28p-19, -0x1.64904307e9cf6p-19, -0x1.638c30b2dd5dap-19, -0x1.6246d7579b237p-19, -0x1.60b3df8b54a68p-19, -0x1.5e9829bfa30d7p-19, -0x1.5bf5b50388fdp-19, -0x1.58f4dd6c7222p-19, -0x1.55b72ed09aaa5p-19, -0x1.524443add27b5p-19, -0x1.4e8215e73fe9p-19, -0x1.4a4d097bcce81p-19, -0x1.45b567472aed8p-19, -0x1.40f6bc17590c8p-19, -0x1.3c13a4527f383p-19, -0x1.3714fce017e75p-19, -0x1.31f944665061ep-19, -0x1.2c890b3e770eep-19, -0x1.26bf3f76f9862p-19, -0x1.20c1579f6142fp-19, -0x1.1aa2cdf51deb2p-19, -0x1.14655fbcb5e54p-19, -0x1.0e072c12de755p-19, -0x1.078787c3bebe2p-19, -0x1.00e6a3568df14p-19, -0x1.f448be5b7b507p-20, -0x1.e6817cf440d3ap-20, -0x1.d878102facad9p-20, -0x1.ca24762ca6fb7p-20, -0x1.bb72da47090fcp-20, -0x1.ac75e0901d354p-20, -0x1.9d714b49c4dd8p-20, -0x1.8e62f582bc57p-20, -0x1.7f3c89a26c1d8p-20, -0x1.70247274d0877p-20, -0x1.60e777fcccb9p-20, -0x1.51583a05c4d43p-20, -0x1.419f37f0ebf8cp-20, -0x1.31e0770b8d611p-20, -0x1.2220614a910bap-20, -0x1.125df6a12604ep-20, -0x1.029597846511cp-20, -0x1.e58d52d9ea713p-21, -0x1.c5e0d97443408p-21, -0x1.a62f8bcd60959p-21, -0x1.8680dc6cdae39p-21, -0x1.66d3c9e763ca7p-21, -0x1.4702673eddcf4p-21, -0x1.26f6d83fa57c1p-21, -0x1.0703ff1c17421p-21, -0x1.ced02fff3213ap-22, -0x1.9026e31799653p-22, -0x1.5157a1ba92935p-22, -0x1.1259a034bfd0ep-22, -0x1.a730251963314p-23, -0x1.2a697f013656bp-23, -0x1.5cad47c6c27e2p-24, -0x1.9778c84f36feep-26, 0x1.1f3fa96361adp-25, 0x1.83bd2a8d36b0cp-24, 0x1.3b2b1aee4985ep-23, 0x1.b3ab9aa3b199p-23, 0x1.15de9bc13c6fbp-22, 0x1.51e584fab2b36p-22, 0x1.8d73746db0859p-22, 0x1.c850751203197p-22, 0x1.014456e6427f9p-21, 0x1.1e30405370c7ep-21, 0x1.3afe0614a11e8p-21, 0x1.578f61c3131d7p-21, 0x1.73db7c8fb2207p-21, 0x1.8fddf4afe239cp-21, 0x1.aba87c4a1103bp-21, 0x1.c72ea95b39464p-21, 0x1.e271362b60ddp-21, 0x1.fd73ca9d91f8ep-21, 0x1.0c1912223ba78p-20, 0x1.1955795e1380bp-20, 0x1.266f4275b4fdcp-20, 0x1.336652aaf8fefp-20, 0x1.4039ed6638e5dp-20, 0x1.4ce72cff441fap-20, 0x1.597224e935305p-20, 0x1.65d83c8dfe0b6p-20, 0x1.7219db89d274bp-20, 0x1.7e368e12efbbdp-20, 0x1.8a2f00c9d356bp-20, 0x1.960166e7431bbp-20, 0x1.a1b00b8f028a5p-20, 0x1.ad36f62e627a3p-20, 0x1.b898d5fd481bap-20, 0x1.c3d5f72df19ddp-20, 0x1.ceed10ef287acp-20, 0x1.d9de33b6b3177p-20, 0x1.e4a98bb101fc8p-20, 0x1.ef4f0e31b1da1p-20, 0x1.f9ceebcfd678bp-20, 0x1.02149ce5a4863p-19, 0x1.072e73e6038e2p-19, 0x1.0c35ab4771587p-19, 0x1.112af740e1634p-19, 0x1.160ca7dbc1d7p-19, 0x1.1adb6e186e33p-19, 0x1.1f975b75f76e5p-19, 0x1.2441143f5f384p-19, 0x1.28d85c934ff5bp-19, 0x1.2d5d5b348739ep-19, 0x1.31cfc9e3f9103p-19, 0x1.362fcebfa499dp-19, 0x1.3a7d95de04ba4p-19, 0x1.3eb9eb5e9594p-19, 0x1.42e3237aa81f3p-19, 0x1.46fb109bddea3p-19, 0x1.4b00f4816916dp-19, 0x1.4ef4f1ef887f8p-19, 0x1.52d735bba9bfap-19, 0x1.56a7e341a14d6p-19, 0x1.5a672a95d2e3cp-19, 0x1.5e154cf3e41e9p-19, 0x1.61b22fe8869d9p-19, 0x1.653d9577d4a77p-19, 0x1.68b81aa785918p-19, 0x1.6c22a58e2db77p-19, 0x1.6f7c5e268a74fp-19, 0x1.72c3e36fe8ec1p-19, 0x1.75fbab7b8a172p-19, 0x1.792474d1b0a8ap-19, 0x1.7c3a5b40726f5p-19, 0x1.7f442f6d824a9p-19, 0x1.823c4732ccad9p-19, 0x1.8523992efcb4p-19, 0x1.87fb0122f9c3bp-19, 0x1.8ac36c517ca8bp-19, 0x1.8d7d1050a1c27p-19, 0x1.90267ed4e37fbp-19, 0x1.92c1d3077c90fp-19, 0x1.954dbde2f924p-19, 0x1.97ca6d420ab06p-19, 0x1.9a38f44e3c1eap-19, 0x1.9c9938cdfe64bp-19, 0x1.9eeb5c93cd3b1p-19, 0x1.a12e55a2053e4p-19, 0x1.a363a315d8553p-19, 0x1.a58b300401296p-19, 0x1.a7a4d489990c9p-19, 0x1.a9b0d752a001p-19, 0x1.abaf5bb1ab8a3p-19, 0x1.ada08416d553p-19, 0x1.af8479fa451a6p-19, 0x1.b15b62faa8ea3p-19, 0x1.b325a7172ad27p-19, 0x1.b4e2add254edfp-19, 0x1.b6935314e842cp-19, 0x1.b837786be3e37p-19, 0x1.b9cf454ccce96p-19, 0x1.bb5add9f8c435p-19, 0x1.bcda601781p-19, 0x1.be4debf6e3b2dp-19, 0x1.bfb56c08d7b51p-19, 0x1.c11233bea195fp-19, 0x1.c264a14119e6dp-19, 0x1.c3a7f5c8a8e67p-19, 0x1.c4e1fc425f80bp-19, 0x1.c611a2d706e01p-19, 0x1.c735724f2039ep-19, 0x1.c84e89df53d84p-19, 0x1.c95b9c9de8a29p-19, 0x1.ca6291021dacfp-19, 0x1.cb5c5e4f348b6p-19, 0x1.cc4b48265b203p-19, 0x1.cd30c1df7cdf3p-19, 0x1.ce0bfcab28d13p-19, 0x1.cedd5944ac26p-19, 0x1.cfa455919cecdp-19, 0x1.d063cb5915677p-19, 0x1.d1186815134a2p-19, 0x1.d1c3a388331e4p-19, 0x1.d26587f18d1a4p-19, 0x1.d2ff0e9257c8p-19, 0x1.d38f1219d2612p-19, 0x1.d415d46612a79p-19, 0x1.d49356b1833edp-19, 0x1.d509d8297d18dp-19, 0x1.d5769ba5e628ep-19, 0x1.d5dc3d9b8558p-19, 0x1.d6397e20cbb2ap-19, 0x1.d68db9dbe7abep-19, 0x1.d6da2635f313bp-19, 0x1.d71ec2f000246p-19, 0x1.d75b8613a2321p-19, 0x1.d790f20908fa9p-19, 0x1.d7bb14acd3c62p-19, 0x1.d7e47551a494bp-19, 0x1.d80333903f6b1p-19, 0x1.d81a75ec7191bp-19, 0x1.d82a9d598a874p-19, 0x1.d833ce0f60b3bp-19, 0x1.d8362fb7135d3p-19, 0x1.d8322298e7341p-19, 0x1.d826e7259b84fp-19, 0x1.d814d34934326p-19, 0x1.d7fca9a579563p-19, 0x1.d7dd44b8ca156p-19, 0x1.d7b870dc38b76p-19, 0x1.d78d66f0bc489p-19, 0x1.d75b7bf98377ep-19, 0x1.d724321bc2ecap-19, 0x1.d6e6dee5cc44ap-19, 0x1.d6a32ae8c975p-19, 0x1.d65a1036e8964p-19, 0x1.d60b4803172b7p-19, 0x1.d5b71450597fp-19, 0x1.d55d85fb4d7fdp-19, 0x1.d4fe19ba9965cp-19, 0x1.d499fc4fbcdb6p-19, 0x1.d43071906594fp-19, 0x1.d3c1a41ef2523p-19, 0x1.d34d705f763cp-19, 0x1.d2d3e4d283a88p-19, 0x1.d255d330acb9fp-19, 0x1.d1d3d10790e36p-19, 0x1.d14cd726aff0cp-19, 0x1.d0c0b9870a299p-19, 0x1.d02fcf5b235dcp-19, 0x1.cf9abbd4753b4p-19, 0x1.cefe8044113a7p-19, 0x1.ce62da4c8efa8p-19, 0x1.cdc1142211f91p-19, 0x1.cd1aed08ed7e8p-19, 0x1.cc70cc99f1283p-19, 0x1.cbc2b4a69f8a4p-19, 0x1.cb0f8314355f5p-19, 0x1.ca58d0e8890dfp-19, 0x1.c99f13427cbcdp-19, 0x1.c8e115388ce05p-19, 0x1.c8218e4f91123p-19, 0x1.c75af19f9a30ap-19, 0x1.c692497bf322ap-19, 0x1.c5c553cc2b1e8p-19, 0x1.c4f59a24dfd85p-19, 0x1.c422824c6064ep-19, 0x1.c34dfcd08e1c7p-19, 0x1.c2724dd948d57p-19, 0x1.c194fca8652cfp-19, 0x1.c0b56d1af3bep-19, 0x1.bfd1d0deb3975p-19, 0x1.beebefb388e26p-19, 0x1.be039b60336a5p-19, 0x1.bd15f939b840bp-19, 0x1.bc28c908884eap-19, 0x1.bb36fd0904cdep-19, 0x1.ba42b17304073p-19, 0x1.b94bcc15bcd48p-19, 0x1.b8523d64fac8dp-19, 0x1.b75616a1251bp-19, 0x1.b6576c2c6ecfep-19, 0x1.b556eb6caca7bp-19, 0x1.b453753da9f7bp-19, 0x1.b34d1c50dfe1cp-19, 0x1.b24468b7f9597p-19, 0x1.b1398fde81543p-19, 0x1.b02de542a1c54p-19, 0x1.af2006f007f14p-19, 0x1.ae0e962e19b57p-19, 0x1.acfbcc5b5c343p-19, 0x1.abe6988402848p-19, 0x1.aacf87f056b38p-19, 0x1.a9b6d378c87bcp-19, 0x1.a89c24a08f511p-19, 0x1.a77f6cc27b9dp-19, 0x1.a66132abe2606p-19, 0x1.a5411af21f22ap-19, 0x1.a41f84ac58b92p-19, 0x1.a2f9be41f9b14p-19, 0x1.a1d6ca86ae949p-19, 0x1.a0b0b45d7c104p-19, 0x1.9f8886f617ce2p-19, 0x1.9e5cd6745c2c5p-19, 0x1.9d33022ff80cbp-19, 0x1.9c055b93ea7a1p-19, 0x1.9ad9ac8c2252dp-19, 0x1.99a89e3833eb9p-19, 0x1.9877d39bd55fp-19, 0x1.9745c1acf0131p-19, 0x1.961264b1f513fp-19, 0x1.94ddc8eae07bap-19, 0x1.93a81d0693a72p-19, 0x1.92717263b0362p-19, 0x1.9139d5b730db1p-19, 0x1.9000ccbe94829p-19, 0x1.8ec6bc8494816p-19, 0x1.8d8bc3bd339d7p-19, 0x1.8c4f7ae105a76p-19, 0x1.8b126886447a4p-19, 0x1.89d46f3ef95fp-19, 0x1.8895c0bba87d2p-19, 0x1.875582dac8f5ap-19, 0x1.8614ed9724108p-19, 0x1.84d4a57b2d45p-19, 0x1.839340793a2eap-19, 0x1.824f3f375f7bcp-19, 0x1.810c7dcbcaed1p-19, 0x1.7fc7f6c5e410bp-19, 0x1.7e83f95c7f17p-19, 0x1.7d3b113b9db3cp-19, 0x1.7bf7358bd4dcap-19, 0x1.7ab03c12bf1e8p-19, 0x1.796a05ffd29e8p-19, 0x1.7821500ddc6efp-19, 0x1.76d96f659d97cp-19, 0x1.7590d3e6d0501p-19, 0x1.7447aa78cffb3p-19, 0x1.72fe137f62886p-19, 0x1.71b41d6d141bp-19, 0x1.7069e5e9e5b0ep-19, 0x1.6f1f4c8b98079p-19, 0x1.6dd356203a87ap-19, 0x1.6c890f0726069p-19, 0x1.6b3a420ebe971p-19, 0x1.69f167ac4354p-19, 0x1.68a4e3a14d3dcp-19, 0x1.6757f22714fcp-19, 0x1.660b567650845p-19, 0x1.64be97d58ad5cp-19, 0x1.6371b2b5a4f71p-19, 0x1.6224a5d420811p-19, 0x1.60d8496255779p-19, 0x1.5f899e2149213p-19, 0x1.5e3bceb451546p-19, 0x1.5cef3e19de0a7p-19, 0x1.5b9b6220ae7cap-19, 0x1.5a54a8b98d169p-19, 0x1.5906809ee9974p-19, 0x1.57b7edb21b2a7p-19, 0x1.566b26a66caf5p-19, 0x1.551d93529eae9p-19, 0x1.53cfffc025332p-19, 0x1.528435461256dp-19, 0x1.5135b2ba6302ap-19, 0x1.4fe82507089c1p-19, }}, 
      {{0x1.767e2e4d8b508p-1, 0x1.a725a067c1eafp-1, 0x1.b3bb36d3b2cffp-1, 0x1.9e641b11252f8p-1, 0x1.7495fbced8505p-1, 0x1.435f008251abap-1, 0x1.13ef3de13622dp-1, 0x1.d6d3868ff0d3ap-2, 0x1.979d0a5bce36fp-2, 0x1.6a1fff6700c1dp-2, 0x1.4bf9994a808ddp-2, 0x1.39cf4979f662ap-2, 0x1.3025f93087c1p-2, 0x1.2bdbd1c0609d7p-2, 0x1.2a61050cf4b12p-2, 0x1.29c7357ccfcbdp-2, 0x1.28b8e99522db3p-2, 0x1.2664d935e9c45p-2, 0x1.22648d6b4733bp-2, 0x1.1ca2c59d7c129p-2, 0x1.15441326b35e6p-2, 0x1.0c92cf1291322p-2, 0x1.02eec11f290c7p-2, 0x1.f180b949e76ccp-3, 0x1.dcde7956819ap-3, 0x1.c8b6dc4636c9bp-3, 0x1.b5b21f3f77cc8p-3, 0x1.a45ba310a49f8p-3, 0x1.951fd7c0332f5p-3, 0x1.884c57c3c8f7cp-3, 0x1.7e119355c4c23p-3, 0x1.76858798f8b17p-3, 0x1.71a7168703c87p-3, 0x1.6f61abbfb6fd5p-3, 0x1.6f90ee9245c91p-3, 0x1.72045382043bbp-3, 0x1.76826e31b88d1p-3, 0x1.7ccbeea07aa76p-3, 0x1.849e3f31f6bbcp-3, 0x1.8db5c0a2e7ea8p-3, 0x1.97cfa229d6929p-3, 0x1.a2ab5b2fdc8f4p-3, 0x1.ae0bd1d80a43bp-3, 0x1.b9b83497f5599p-3, 0x1.c57c8c69c7311p-3, 0x1.d12a16b24998ap-3, 0x1.dc977436a8ca5p-3, 0x1.e7a0af5bbd16ep-3, 0x1.f2271eee0edf4p-3, 0x1.fc11318cfc112p-3, 0x1.02a515e900e34p-2, 0x1.06e0ede9c1209p-2, 0x1.0ab620cdc6e9bp-2, 0x1.0e20982210e14p-2, 0x1.111df6de6a2ep-2, 0x1.13ad6a9eba41cp-2, 0x1.15cf7ea7e8c53p-2, 0x1.1785f05d21beep-2, 0x1.18d385037b1b8p-2, 0x1.19bbe15e1548bp-2, 0x1.1a4363ea0e4dcp-2, 0x1.1a6f023941c7ap-2, 0x1.1a44297edc9edp-2, 0x1.19c8a22173448p-2, 0x1.190276147aae9p-2, 0x1.17f7d9b56e0f9p-2, 0x1.16af17197cfa5p-2, 0x1.152e7bb34093bp-2, 0x1.137c483f39f08p-2, 0x1.119ea2ec50871p-2, 0x1.0f9b8b7f1867ep-2, 0x1.0d78d1666b1c4p-2, 0x1.0b3c0b82ef399p-2, 0x1.08ea91706221cp-2, 0x1.06897637aee5dp-2, 0x1.041d844a52e9ep-2, 0x1.01ab3a8511a2dp-2, 0x1.fe6d9482bb54ep-3, 0x1.f9882c8f60428p-3, 0x1.f4ad652ee766p-3, 0x1.efe3c9b913babp-3, 0x1.eb314b37a772fp-3, 0x1.e69b43b2334d1p-3, 0x1.e2267a89a8d88p-3, 0x1.ddd7298583568p-3, 0x1.d9b1025391402p-3, 0x1.d5b734da0a48ep-3, 0x1.d1ec7518d0c55p-3, 0x1.ce5302597a0a8p-3, 0x1.caecad35d5d53p-3, 0x1.c7baded98d618p-3, 0x1.c4be9faaaf09cp-3, 0x1.c1f89dd01293fp-3, 0x1.bf6934804c4aap-3, 0x1.bd1071dfd8806p-3, 0x1.baee1e22fa2ecp-3, 0x1.b901c15a22e57p-3, 0x1.b74aa99e5e856p-3, 0x1.b5c7f0ebea367p-3, 0x1.b4788268fc545p-3, 0x1.b35b1fd2921dp-3, 0x1.b26e663579f91p-3, 0x1.b1b0d2ba7783ap-3, 0x1.b120c6ec4aa8ep-3, 0x1.b0bc8cd75f35cp-3, 0x1.b0825aebeb905p-3, 0x1.b0705769b7ef1p-3, 0x1.b0849bfe3d9ap-3, 0x1.b0bd3898aff24p-3, 0x1.b1183660bfb07p-3, 0x1.b1939a860da55p-3, 0x1.b22d685086e33p-3, 0x1.b2e3a3bd51b7fp-3, 0x1.b3b4533b90107p-3, 0x1.b49d819448df2p-3, 0x1.b59d3f9839131p-3, 0x1.b6b1a57dd41dep-3, 0x1.b7d8d43072b83p-3, 0x1.b910f6864f78cp-3, 0x1.ba58421f107cbp-3, 0x1.bbacf83e62c95p-3, 0x1.bd0d66a70b8c5p-3, 0x1.be77e805cbdf8p-3, 0x1.bfeae4756fb08p-3, 0x1.c164d215c3632p-3, 0x1.c2e4350eebad9p-3, 0x1.c4679fd432f57p-3, 0x1.c5edb391ecfa2p-3, 0x1.c7751fe3c95e4p-3, 0x1.c8fca2cb71716p-3, 0x1.ca83090c02e7ap-3, 0x1.cc072dc7d12e8p-3, 0x1.cd87fa1dba90bp-3, 0x1.cf04655f371a9p-3, 0x1.d07b74dbd90d5p-3, 0x1.d1ec3b219711dp-3, 0x1.d355d7fc5c82fp-3, 0x1.d4b778796933fp-3, 0x1.d610562b31f3ep-3, 0x1.d75fb6926cacdp-3, 0x1.d8a4eb5cf4c2cp-3, 0x1.d9df51fa2e977p-3, 0x1.db0e52ae6cc3ep-3, 0x1.dc31605b831ep-3, 0x1.dd47f8b14baf2p-3, 0x1.de51a36d5536p-3, 0x1.df4df1828b6ebp-3, 0x1.e03c7d2011032p-3, 0x1.e11ce9c363008p-3, 0x1.e1eee35c755d2p-3, 0x1.e2b21d83a2e7fp-3, 0x1.e36653aa51088p-3, 0x1.e40b49243b16bp-3, 0x1.e4a0c83933201p-3, 0x1.e526a181027dp-3, 0x1.e59cac097316dp-3, 0x1.e602c56da312bp-3, 0x1.e658d10d48493p-3, 0x1.e69eb75c2a582p-3, 0x1.e6d465f9e3605p-3, 0x1.e6f9cfe2aa78ep-3, 0x1.e70eece03a98ep-3, 0x1.e713b8d1926bdp-3, 0x1.e708339b95d3bp-3, 0x1.e6ec615a5fd24p-3, 0x1.e6c04a2f27319p-3, 0x1.e683f99f7edfbp-3, 0x1.e6377e3ffb8ecp-3, 0x1.e5dae9d16943dp-3, 0x1.e56e5151d00b9p-3, 0x1.e4f1cca8f578cp-3, 0x1.e465762e6df1fp-3, 0x1.e3c96a832abeep-3, 0x1.e31dc8b4ce2d4p-3, 0x1.e262b238969efp-3, 0x1.e1984aa09b1f8p-3, 0x1.e0beb743e1b4ap-3, 0x1.dfd61f25fbe6dp-3, 0x1.dedeab0c7865bp-3, 0x1.ddd885801ecfap-3, 0x1.dcc3daa0fd7dap-3, 0x1.dba0d7cbb91b1p-3, 0x1.da6fab952a43ep-3, 0x1.d93085ba2948p-3, 0x1.d7e3974d1f8c1p-3, 0x1.d689128c557a4p-3, 0x1.d5212aa1eda15p-3, 0x1.d3ac137c0698bp-3, 0x1.d22a01d18d188p-3, 0x1.d09b2b3d6548ep-3, 0x1.ceffc63ff5b43p-3, 0x1.cd580a0aad00fp-3, 0x1.cba42e4ab9d7bp-3, 0x1.c9e46b1f7cb1dp-3, 0x1.c818f92d526ecp-3, 0x1.c64211baeed45p-3, 0x1.c45fee9860eb8p-3, 0x1.c272c9e293b81p-3, 0x1.c07addf378fbap-3, 0x1.be7865591795cp-3, 0x1.bc6b9af304ce4p-3, 0x1.ba54b9fec5905p-3, 0x1.b833fdfa07b8fp-3, 0x1.b609a27725c11p-3, 0x1.b3d5e30b0a521p-3, 0x1.b198fb53b8687p-3, 0x1.af53270c0a71ap-3, 0x1.ad04a2137fe38p-3, 0x1.aaada8549a78cp-3, 0x1.a84e75a2f8d8p-3, 0x1.a5e745a9d416ep-3, 0x1.a37853fc393ep-3, 0x1.a101dc0e0985p-3, 0x1.9e84194bb86c7p-3, 0x1.9bff47073f301p-3, 0x1.9973a057ceb06p-3, 0x1.96e1600ce883ep-3, 0x1.9448c0b455f7cp-3, 0x1.91a9fc96ffb32p-3, 0x1.8f054dc8ec4c1p-3, 0x1.8c5aee1d13d2fp-3, 0x1.89ab171673ad9p-3, 0x1.86f601d6a67dap-3, 0x1.843be71ab59bfp-3, 0x1.817cff3ca4eb7p-3, 0x1.7eb98233c9eep-3, 0x1.7bf1a7961057bp-3, 0x1.7925a6942a929p-3, 0x1.7655b5e7a14dap-3, 0x1.73820bd30843cp-3, 0x1.70aade1337089p-3, 0x1.6dd061e47be1dp-3, 0x1.6af2cc05a398p-3, 0x1.681250b0fc567p-3, 0x1.652f239d5ae99p-3, 0x1.624977f4ba4afp-3, 0x1.5f61804bba989p-3, 0x1.5c776ea0aacabp-3, 0x1.598b7458c1fa6p-3, 0x1.569dc240bdb5bp-3, 0x1.53ae88899917dp-3, 0x1.50bdf6c8241ccp-3, 0x1.4dcc3bf25588ap-3, 0x1.4ad9865869ed9p-3, 0x1.47e603a1a8d67p-3, 0x1.44f1e0cc80eccp-3, 0x1.41fd4a2ce8cb8p-3, 0x1.3f086b6981673p-3, 0x1.3c136f7b79e81p-3, 0x1.391e80abfcd63p-3, 0x1.3629c899d38a1p-3, 0x1.3335702d98b72p-3, 0x1.30419f975517ap-3, 0x1.2d4e7e5803106p-3, 0x1.2a5c3337a6c67p-3, 0x1.276ae446ba47dp-3, 0x1.247ab6dd98e42p-3, 0x1.218bcf9dc11c4p-3, 0x1.1e9e52719e198p-3, 0x1.1bb2628b40763p-3, 0x1.18c82261a91c5p-3, 0x1.15dfb3b04716ap-3, 0x1.12f9377c05786p-3, 0x1.1014ce0c4b99dp-3, 0x1.0d3296f1bae35p-3, 0x1.0a52b1005afcp-3, 0x1.07753a5514c3ep-3, 0x1.049a505500a59p-3, 0x1.01c20fac8e33fp-3, 0x1.fdd928a11f216p-4, 0x1.f833f2fb8e269p-4, 0x1.f294b376e6262p-4, 0x1.ecfb9db7055c3p-4, 0x1.e768e3f147daap-4, 0x1.e1dcb6f25d1ccp-4, 0x1.dc574630f210cp-4, 0x1.d6d8bfada0947p-4, 0x1.d161501701985p-4, 0x1.cbf122b85da72p-4, 0x1.c68861819e8dcp-4, 0x1.c127350a9f4cfp-4, 0x1.bbcdc4954f371p-4, 0x1.b67c360edec3bp-4, 0x1.b132ae1427389p-4, 0x1.abf14ff6c5c2ap-4, 0x1.a6b83dc08246ap-4, 0x1.a1879835879bp-4, 0x1.9c5f7ed7dbf02p-4, 0x1.97400feb65c75p-4, 0x1.92296879a328fp-4, 0x1.8d1ba4528f0afp-4, 0x1.8816de12ccbe6p-4, 0x1.831b2f259375dp-4, 0x1.7e28afcbd78d6p-4, 0x1.793f7720392aep-4, 0x1.745f9b1b01feep-4, 0x1.6f893095b7e29p-4, 0x1.6abc4b4e9f19ep-4, 0x1.65f8fdec36c71p-4, 0x1.613f5a012ffc2p-4, 0x1.5c8f701118c4bp-4, 0x1.57e94f943d39fp-4, 0x1.534d06f9fb2e9p-4, 0x1.4ebaa3bd624d4p-4, 0x1.4a32324d735b7p-4, 0x1.45b3be2cb23fdp-4, 0x1.413f51e88116fp-4, 0x1.3cd4f718adac6p-4, 0x1.3874b669f0dcdp-4, 0x1.341e97a080b5cp-4, 0x1.2fd2a19bb47dfp-4, 0x1.2b90da5d5dd7ap-4, 0x1.27594711334cfp-4, 0x1.232bec10f9deap-4, 0x1.1f08cce1e7a2ap-4, 0x1.1aefec43febcdp-4, 0x1.16e14c279cc49p-4, 0x1.12dcedba7f147p-4, 0x1.0ee2d163bf681p-4, 0x1.0af2f6ce8804ap-4, 0x1.070d5cec6656ap-4, 0x1.03320201272e5p-4, 0x1.fec1c74f3eadep-5, 0x1.f733fda61d334p-5, 0x1.efba9fa74392fp-5, 0x1.e855a4b0c505dp-5, 0x1.e10502e00fa0dp-5, 0x1.d9c8af14f4da1p-5, 0x1.d2a09cf8864a1p-5, 0x1.cb8cbf087b28dp-5, 0x1.c48d06a6cfb6p-5, 0x1.bda164257cb1p-5, 0x1.b6c9c6d9b7f91p-5, 0x1.b0061d21825a5p-5, 0x1.a9565463f1171p-5, 0x1.a2ba592be1e01p-5, 0x1.9c3216fe41355p-5, 0x1.95bd787aef12cp-5, 0x1.8f5c6755f7ffap-5, 0x1.890ecc5b02e7cp-5, 0x1.82d48f7e397d3p-5, 0x1.7cad97ea94739p-5, 0x1.7699cc10dd47bp-5, 0x1.709911b517e46p-5, 0x1.6aab4df72b401p-5, 0x1.64d0655606bb5p-5, 0x1.5f083baf0cf29p-5, 0x1.5952b43c27294p-5, 0x1.53afb193afd37p-5, 0x1.4e1f15a9d26dap-5, 0x1.48a0c1d36b8bdp-5, 0x1.433496d526128p-5, 0x1.3dda74f22239p-5, 0x1.38923bf0f3c85p-5, 0x1.335bcb2e1920bp-5, 0x1.2e3701a33cf5cp-5, 0x1.2923bdeb82dfap-5, 0x1.2421de445420bp-5, 0x1.1f31408c4a651p-5, 0x1.1a51c242548fep-5, 0x1.158340867c1d1p-5, 0x1.10c5981d3a5abp-5, 0x1.0c18a575d2473p-5, 0x1.077c44b2a9508p-5, 0x1.02f051b24733fp-5, 0x1.fce9503198de9p-6, 0x1.f41246ae5c045p-6, 0x1.eb5b3d63ab559p-6, 0x1.e2c3ea8897201p-6, 0x1.da4c0406660aep-6, 0x1.d1f33f70e3777p-6, 0x1.c9b9521d48bdap-6, 0x1.c19df114872d9p-6, 0x1.b9a0d1184cfebp-6, 0x1.b1c1a6b382072p-6, 0x1.aa00263f15c77p-6, 0x1.a25c03ed0da6p-6, 0x1.9ad4f3e8074d1p-6, 0x1.936aaa3a481ccp-6, 0x1.8c1cdae6f3639p-6, 0x1.84eb39f3d64f6p-6, 0x1.7dd57b69e8b41p-6, 0x1.76db53597b5a6p-6, 0x1.6ffc75de3188p-6, 0x1.6938972353323p-6, 0x1.628f6b68c5f61p-6, 0x1.5c00a708b8cd9p-6, 0x1.558bfe7daca7cp-6, 0x1.4f3126682aabdp-6, 0x1.48efd39482edfp-6, 0x1.42c7bb0031121p-6, 0x1.3cb891dfb2397p-6, 0x1.36c20da3f4e73p-6, 0x1.30e3e3fed9a49p-6, 0x1.2b1dcae51d791p-6, 0x1.256f7893008e2p-6, 0x1.1fd8a38f05defp-6, 0x1.1a5902b2ee2b4p-6, 0x1.14f04d22dbfadp-6, 0x1.0f9e3a5f59b1ep-6, 0x1.0a62824833fe6p-6, 0x1.053cdd12ef585p-6, 0x1.002d03589484bp-6, 0x1.f6655c2d38a29p-7, 0x1.ec9b2d6273824p-7, 0x1.e2faeded3c0e6p-7, 0x1.d98412438f637p-7, 0x1.d0360fb9cdbedp-7, 0x1.c7105c87d8c31p-7, 0x1.be126fcf12e9ep-7, 0x1.b53bc1a14b66cp-7, 0x1.ac8bcafb5aecfp-7, 0x1.a40205d77ee8ap-7, 0x1.9b9ded1723b3cp-7, 0x1.935efcabfcb6ap-7, 0x1.8b44b1898c31fp-7, 0x1.834e89b1fdafdp-7, 0x1.7b7c0417dcc9ep-7, 0x1.73cca0be88e4bp-7, 0x1.6c3fe0bc87195p-7, 0x1.64d54639b8d02p-7, 0x1.5d8c54702669dp-7, 0x1.56648fad97632p-7, 0x1.4f5d7d562ed58p-7, 0x1.4876a3e846093p-7, 0x1.41af8afef2293p-7, 0x1.3b07bb53f3849p-7, 0x1.347ebec050ee4p-7, 0x1.2e14203d7c0d2p-7, 0x1.27c76be6c3a34p-7, 0x1.21982efaf12f1p-7, 0x1.1b85f7dcc74cdp-7, 0x1.15905612ea12p-7, 0x1.0fb6da480d5abp-7, 0x1.09f9164b6c8e1p-7, 0x1.04569d11cac2ep-7, 0x1.fd9e056c9b306p-8, 0x1.f2c3b8f6fbd3cp-8, 0x1.e81d819cee37p-8, 0x1.ddaa8eaa0eb06p-8, 0x1.d36a117fec072p-8, 0x1.c95b3de63cc4ep-8, 0x1.bf7d4a030f0c5p-8, 0x1.b5cf6e6e948e3p-8, 0x1.ac50e5c1cc60ap-8, 0x1.a300ecf12ed49p-8, 0x1.99dec3365f756p-8, 0x1.90e9aa0afb10fp-8, 0x1.8820e52d24759p-8, 0x1.7f83baa6530fp-8, 0x1.771172db3cf7dp-8, 0x1.6ec9585bb7609p-8, 0x1.66aab81991a17p-8, 0x1.5eb4e1603bfcap-8, 0x1.56e7259f0bf02p-8, 0x1.4f40d87ea79f4p-8, 0x1.47c14fd317415p-8, 0x1.4067e3af8b2d1p-8, 0x1.3933ee0da479cp-8, 0x1.3224cb28f08fp-8, 0x1.2b39d94667dd5p-8, 0x1.247278c6efa7p-8, 0x1.1dce0c3655616p-8, 0x1.174bf85292b12p-8, 0x1.10eba4115add3p-8, 0x1.0aac78a172c55p-8, 0x1.048de16668d16p-8, 0x1.fd1e97dc5a21bp-9, 0x1.f1604fc2902eep-9, 0x1.e5dfcddc24896p-9, 0x1.da9bf9607dd59p-9, 0x1.cf93bd33c9b72p-9, 0x1.c4c607c6fa847p-9, 0x1.ba31cb0c13d17p-9, 0x1.afd5fc7fd0193p-9, 0x1.a5b195499a98dp-9, 0x1.9bc3926a50c06p-9, 0x1.920af4f422c23p-9, 0x1.8886c23b90688p-9, 0x1.7f3603f650c8ap-9, 0x1.7617c83e25169p-9, 0x1.6d2b21741ed4ap-9, 0x1.646f26078ac52p-9, 0x1.5be2f00e08f7bp-9, 0x1.53859c93e8d91p-9, 0x1.4b564b8bf4421p-9, 0x1.43541f85c8057p-9, 0x1.3b7e3ce7ac848p-9, 0x1.33d3caad3b311p-9, 0x1.2c53f27af30f8p-9, 0x1.24fde0d21432ep-9, 0x1.1dd0c5e230de6p-9, 0x1.16cbd624cd7d4p-9, 0x1.0fee4ad8bfd13p-9, 0x1.0937624f92d8p-9, 0x1.02a65fed1a25bp-9, 0x1.f8751798f4ae4p-10, 0x1.ebe66425c37b5p-10, 0x1.df9f440a9281dp-10, 0x1.d39e5a086f7e2p-10, 0x1.c7e24b31cbb78p-10, 0x1.bc69bd8b7f8e5p-10, 0x1.b133578eb5303p-10, 0x1.a63dc0cede6cbp-10, 0x1.9b87a230b0b61p-10, 0x1.910fa8ae42e5p-10, 0x1.86d4875f02bcfp-10, 0x1.7cd4fa9f8a37ap-10, 0x1.730fc8bb26753p-10, 0x1.6983c3e64cbd1p-10, 0x1.602fc9bd1dbf5p-10, 0x1.5712c2c23d471p-10, 0x1.4e2ba0e252ffbp-10, 0x1.45795ada03e9ep-10, 0x1.3cfae97e1799fp-10, 0x1.34af450663e72p-10, 0x1.2c9562f542c32p-10, 0x1.24ac350e60b68p-10, 0x1.1cf2aa0c8c749p-10, 0x1.1567afe381f4ep-10, 0x1.0e0a36815f0bep-10, 0x1.06d9338579596p-10, 0x1.ffa74af374cd8p-11, 0x1.f1f12dc3b17f8p-11, 0x1.e48e413ca21f6p-11, 0x1.d77cd576a3d73p-11, 0x1.cabb571d0476bp-11, 0x1.be484ae22140dp-11, 0x1.b22245d498269p-11, 0x1.a647e3f5cdb64p-11, 0x1.9ab7be6164f18p-11, 0x1.8f7062b8bb8fdp-11, 0x1.84704d5cd96f4p-11, 0x1.79b5e7843a6cfp-11, 0x1.6f3f896436618p-11, 0x1.650b7fc6deb97p-11, 0x1.5b1813c8efcb6p-11, 0x1.51639347d7622p-11, 0x1.47ec58be9a61ap-11, 0x1.3eb0d1caa2b6ep-11, 0x1.35af840bb21e4p-11, 0x1.2ce710454469cp-11, 0x1.245633a4b142fp-11, 0x1.1bfbc6ed8c572p-11, 0x1.13d6bb553911fp-11, 0x1.0be614ee22702p-11, 0x1.0428e3231bbep-11, 0x1.f93c704e292e1p-12, 0x1.ea8a41a400a08p-12, 0x1.dc393d1655b26p-12, 0x1.ce47494b8c4dbp-12, 0x1.c0b233921ca24p-12, 0x1.b377b985c1fbp-12, 0x1.a695960850e29p-12, 0x1.9a098d046bc5fp-12, 0x1.8dd1724db5c5p-12, 0x1.81eb2ae0d245ap-12, 0x1.7654abcdc3d8ep-12, 0x1.6b0bf5eb21638p-12, 0x1.600f180faab7p-12, 0x1.555c321bfabebp-12, 0x1.4af17b92ce3f2p-12, 0x1.40cd48f8d372dp-12, 0x1.36ee0c31e6aabp-12, 0x1.2d524e7252e63p-12, 0x1.23f8a4c2c8262p-12, 0x1.1adfa281048f5p-12, 0x1.1205cf2d5f6d5p-12, 0x1.0969a220402bdp-12, 0x1.0109867e54a69p-12, 0x1.f1c7d48d35d0bp-13, 0x1.e1ee95e4f5683p-13, 0x1.d284851e8931p-13, 0x1.c38718675799dp-13, 0x1.b4f3f7cb72b8cp-13, 0x1.a6c8da7983f0cp-13, 0x1.99035db82c544p-13, 0x1.8ba0e7d8ebe75p-13, 0x1.7e9ea5d7440a1p-13, 0x1.71f9a6e70cb23p-13, 0x1.65af0be707639p-13, 0x1.59bc35dbe29bap-13, 0x1.4e1eef1e8b3c5p-13, 0x1.42d5340cad66p-13, 0x1.37dd6ed5d4729p-13, 0x1.2d35ec4d796e6p-13, 0x1.22dcf217cbc07p-13, 0x1.18d09dd40b24ap-13, 0x1.0f0ef1727a88bp-13, 0x1.0595ec6adfd61p-13, 0x1.f8c74db9c98a6p-14, 0x1.e6eccbb922af6p-14, 0x1.d5994a2c1d92fp-14, 0x1.c4ca2ad772e44p-14, 0x1.b47d00100220dp-14, 0x1.a4af5fcc74d2dp-14, 0x1.955e9a5358052p-14, 0x1.868775f9f683ap-14, 0x1.78260e1772494p-14, 0x1.6a360b4c4002bp-14, 0x1.5cb2fbe65dcf8p-14, 0x1.4f98c4ee22dd7p-14, 0x1.42e3f7837eacap-14, 0x1.3691e3ba3cdb3p-14, 0x1.2aa063048919ap-14, 0x1.1f0d6a02e7c75p-14, 0x1.13d697d6c3d03p-14, 0x1.08f9216e4e3f5p-14, 0x1.fce399fce9bfbp-15, 0x1.e87ad86a5ad1cp-15, 0x1.d4b239c896ad5p-15, 0x1.c185414044c4cp-15, 0x1.aef0d0831c388p-15, 0x1.9cf2e7ed8fcbep-15, 0x1.8b8a1eb6de686p-15, 0x1.7ab4f99b0547ep-15, 0x1.6a716a10b91bdp-15, 0x1.5abc9da7aa2bp-15, 0x1.4b92da1a41b1dp-15, 0x1.3cefa364a9036p-15, 0x1.2ecdcdd0cf248p-15, 0x1.2127a922a92c4p-15, 0x1.13f781cd11185p-15, 0x1.0738482469aadp-15, 0x1.f5cc3d3430b5cp-16, 0x1.ddfd05b42b65fp-16, 0x1.c7001a534247p-16, 0x1.b0d3992586104p-16, 0x1.9b751ce6523a9p-16, 0x1.86e0d1a2225d5p-16, 0x1.7310e786d7965p-16, 0x1.5ffda0313badcp-16, 0x1.4d9e0e918e8d4p-16, 0x1.3be90d93eaf2ep-16, 0x1.2ad636b0c6e4p-16, 0x1.1a5f0cb894f13p-16, 0x1.0a7f32ee81c89p-16, 0x1.f66731ab8ee65p-17, 0x1.d8f2468526499p-17, 0x1.bc97b0f7909f5p-17, 0x1.a14e29d2d42bcp-17, 0x1.870ce149affecp-17, 0x1.6dcd1bdd0c033p-17, 0x1.558a647bfd2e9p-17, 0x1.3e411de094e03p-17, 0x1.27ec5b399f99ep-17, 0x1.12847db7f957ep-17, 0x1.fbff2d19087cfp-18, 0x1.d4a62895e6066p-18, 0x1.aeea4310e758ep-18, 0x1.8ab9c2550e131p-18, 0x1.680535f1b3211p-18, 0x1.46c2013e7d4c4p-18, 0x1.26ed03c3ef5e9p-18, 0x1.08894640584e6p-18, 0x1.d72f80fbc191fp-19, 0x1.a02144c93eac2p-19, 0x1.6bc39383936eep-19, 0x1.39e4d249560ccp-19, 0x1.0a610a45f6f88p-19, 0x1.ba53b635d34f9p-20, 0x1.647b5a4f637p-20, 0x1.132b0d5c9ea5dp-20, 0x1.8c6b2429c077bp-21, 0x1.f5467339531b7p-22, 0x1.c14148825c3bep-23, -0x1.33a1270cf6feep-25, -0x1.2117d9f4de248p-22, -0x1.07fffafda9ce3p-21, -0x1.79ad1d540086fp-21, -0x1.e56ce387c59ddp-21, -0x1.257e4b1f9e0d2p-20, -0x1.551559222962cp-20, -0x1.817ce281a55ccp-20, -0x1.aad21bc3ac15ep-20, -0x1.d143f6e0cd146p-20, -0x1.f50cfc2361aeep-20, -0x1.0b3a346d1231cp-19, -0x1.1ae0bc8ef500dp-19, -0x1.298b0d1ee3745p-19, -0x1.372a004f7704p-19, -0x1.43a1b648f519ap-19, -0x1.4ee781fed31b2p-19, -0x1.5915933da0507p-19, -0x1.625b43557bc2fp-19, -0x1.6ad4253fe29fep-19, -0x1.727e04db0db08p-19, -0x1.794b704263954p-19, -0x1.7f39fa7047519p-19, -0x1.84560dbbc3d35p-19, -0x1.88abf715aa098p-19, -0x1.8c45e7e0f91e8p-19, -0x1.8f2ebadd7c6ep-19, -0x1.916c246a7d70ap-19, -0x1.9308c4f85dce2p-19, -0x1.9414eefaa03b7p-19, -0x1.94a3caf146ad8p-19, -0x1.94c69be61f1d5p-19, -0x1.9487776604392p-19, -0x1.93e4808a2b3f6p-19, -0x1.92d20f5c81aa6p-19, -0x1.914298d2de211p-19, -0x1.8f309dfa1801bp-19, -0x1.8ca3326c62bp-19, -0x1.89a806519c317p-19, -0x1.864a583276983p-19, -0x1.82953b9158311p-19, -0x1.7e9872b696ff3p-19, -0x1.7a5e63c58d6f7p-19, -0x1.75dbe6b985dbdp-19, -0x1.710299332496fp-19, -0x1.6bddc437cbd7fp-19, -0x1.668e28a66b46ep-19, -0x1.6121073fd04b4p-19, -0x1.5b887f1cbf0e1p-19, -0x1.55b36fab4aed4p-19, -0x1.4fa41ff77e05p-19, -0x1.49664d9a618e1p-19, -0x1.4304082605954p-19, -0x1.3c82639e4749dp-19, -0x1.35e2ea0966e3dp-19, -0x1.2f2504847883p-19, -0x1.284694e4132b4p-19, -0x1.2144dd0a6c553p-19, -0x1.1a1e7f2fb6d9bp-19, -0x1.12d6344b7d991p-19, -0x1.0b75b03520b45p-19, -0x1.040c80cf9f774p-19, -0x1.f955ffcf81731p-20, -0x1.eaa6f1908bf27p-20, -0x1.dbf14171b4302p-20, -0x1.cd19fdc10209dp-20, -0x1.be20a62690a32p-20, -0x1.af1b8fa2bca5ep-20, -0x1.a0161fd07079dp-20, -0x1.9102efb1a53a8p-20, -0x1.81d04b1cb2b3bp-20, -0x1.727f5a0f01fc7p-20, -0x1.632d26bb052c1p-20, -0x1.53fb67f1edbb1p-20, -0x1.44e8af01c52a4p-20, -0x1.35e161d11137cp-20, -0x1.26f5bf9086afcp-20, -0x1.1836096e6bfa6p-20, -0x1.098cfbbba3ffbp-20, -0x1.f5c594a3d6221p-21, -0x1.d87c6f1ddbd47p-21, -0x1.bb60c353462d5p-21, -0x1.9e8517dff46f8p-21, -0x1.81ec5f46caa19p-21, -0x1.6599753915aefp-21, -0x1.498958bbe3857p-21, -0x1.2dbca39178b2bp-21, -0x1.122a114416028p-21, -0x1.ed97c5c9c9e3ep-22, -0x1.b738d6d8bb305p-22, -0x1.812eac4bedcfdp-22, -0x1.4b8b45e33db94p-22, -0x1.168fd94eba08ep-22, -0x1.c4fe2cf3e1e78p-23, -0x1.5e887c136e518p-23, -0x1.f22bbd0b13799p-24, -0x1.29818ac9564fep-24, -0x1.90255f876c341p-26, 0x1.79eee3431aca6p-26, 0x1.1f1ef9c759a8cp-24, 0x1.ddc4368a96f4ap-24, 0x1.4cf61d5368b48p-23, 0x1.a9816a68866bp-23, 0x1.023c4d0501e6ap-22, 0x1.2f0e043d69334p-22, 0x1.5b5990bc6b182p-22, 0x1.871945ea3b6cfp-22, 0x1.b20c56490be33p-22, 0x1.dc3014aa058aep-22, 0x1.02c0f20544799p-21, 0x1.170469c7f80ecp-21, 0x1.2afef2018be3fp-21, 0x1.3eb4d47492eb8p-21, 0x1.52146336f986dp-21, 0x1.65154d9e2c811p-21, 0x1.77b8469be731ap-21, 0x1.89ffaa07e9411p-21, 0x1.9bed57246c5b2p-21, 0x1.ad82c8eada86cp-21, 0x1.bec1b9264adb2p-21, 0x1.cfab802693153p-21, 0x1.e04146d823d5fp-21, 0x1.f0865d2c4cfbep-21, 0x1.004083ed4cc6ap-20, 0x1.08172a1b80713p-20, 0x1.0fbfb6f6dfaap-20, 0x1.173b1f430c4ffp-20, 0x1.1e8bcecb9c93ep-20, 0x1.25addd3a94b9p-20, 0x1.2ca82ab162a8bp-20, 0x1.3380fa92497afp-20, 0x1.3a34106936fe2p-20, 0x1.40bd6feccd3a1p-20, 0x1.471e6a83d5214p-20, 0x1.4d567c0ee68fap-20, 0x1.536782a6bf6c5p-20, 0x1.5951dcc4b9e8ap-20, 0x1.5f175d2adacfap-20, 0x1.64b6be4281aadp-20, 0x1.6a30fc751bbb7p-20, 0x1.6f869c9bba55ep-20, 0x1.74ba3ceafa534p-20, 0x1.79cdeab986a2cp-20, 0x1.7ebe869b1046ep-20, 0x1.8387cbefe76a3p-20, 0x1.882ae8191e07ep-20, 0x1.8caf9c31841dp-20, 0x1.911526cbfb57dp-20, 0x1.95597ff70bf9dp-20, 0x1.997c7fb01b572p-20, 0x1.9d7ecd6bef988p-20, 0x1.a1611094c637ep-20, 0x1.a523f7de13cecp-20, 0x1.a8c80496fdc4bp-20, 0x1.ac4d8e0b5f66dp-20, 0x1.afb4d998250cfp-20, 0x1.b2ffadf85d1f5p-20, 0x1.b63075a456edap-20, 0x1.b9438b2a0db85p-20, 0x1.bc39328b55073p-20, 0x1.bf120cbb73588p-20, 0x1.c1cff85492148p-20, 0x1.c4746229ed536p-20, 0x1.c6fe667711963p-20, 0x1.c96e6dea0ea1ep-20, 0x1.cbc3221f1117dp-20, 0x1.ce011f0364975p-20, 0x1.d0258cd513b16p-20, 0x1.d2317a519dc54p-20, 0x1.d42614fff97c8p-20, 0x1.d6033ff68b55ep-20, 0x1.d7c958b1fe8b5p-20, 0x1.d978febddc8acp-20, 0x1.db12ba84f2e7p-20, 0x1.dc96c84b52bacp-20, 0x1.de0493c8eaf69p-20, 0x1.df5e383486511p-20, 0x1.e0a318cb86d59p-20, 0x1.e1d3cd61ef29bp-20, 0x1.e2f10085c599p-20, 0x1.e3fb5826093f5p-20, 0x1.e4f1193b4a204p-20, 0x1.e5d5802806d69p-20, 0x1.e6a74e3f9cacp-20, 0x1.e76724a84d313p-20, 0x1.e81580e315f6dp-20, 0x1.e8b2b11a3dd75p-20, 0x1.e93f1392b550dp-20, 0x1.e9bafd96fc791p-20, 0x1.ea26c0f70b015p-20, 0x1.ea82bd9d15aecp-20, 0x1.eacf5500020f7p-20, 0x1.eb0cc879e0007p-20, 0x1.eb3b772840ad3p-20, 0x1.eb5bb887fa8f9p-20, 0x1.eb6d87e5078c8p-20, 0x1.eb72120963694p-20, 0x1.eb6855ac31c6fp-20, 0x1.eb519c5a164dep-20, 0x1.eb2de3c8b29cbp-20, 0x1.eafdde77054adp-20, 0x1.eac155a89c35cp-20, 0x1.ea78a1429ca8p-20, 0x1.ea241d54eaac8p-20, 0x1.e9c5035746539p-20, 0x1.e95953ed256d4p-20, 0x1.e8e39af3b8eeap-20, 0x1.e86307e859943p-20, 0x1.e7d7ec7edf108p-20, 0x1.e742a284ad34cp-20, 0x1.e6a36f6bacf6p-20, 0x1.e5fa9a2ecd97dp-20, 0x1.e548773aea27ep-20, 0x1.e48d149f97eap-20, 0x1.e3c8af118a89fp-20, 0x1.e2fba33a9e273p-20, 0x1.e22671869e60dp-20, 0x1.e148f3c865147p-20, 0x1.e062d85b369cbp-20, 0x1.df75499f3d83bp-20, 0x1.de81007b44524p-20, 0x1.dd83849bebd3cp-20, 0x1.dc80d9536b923p-20, 0x1.db7660a14fd77p-20, 0x1.da64cdef65194p-20, 0x1.d94cbebfeb42ap-20, 0x1.d82e8d162c4edp-20, 0x1.d70a2e11544fep-20, 0x1.d5dfc572fc4dp-20, 0x1.d4af7ee694864p-20, 0x1.d379b837997d1p-20, 0x1.d23e92b76b895p-20, 0x1.d0fdeea2ea053p-20, 0x1.cfb8542591973p-20, 0x1.ce6e19f7e0cddp-20, 0x1.cd1e10c9d4c26p-20, 0x1.cbc9dfa823f2cp-20, 0x1.ca71796fdc36ap-20, 0x1.c914920ba5aaep-20, 0x1.c7b37fcf685dap-20, 0x1.c64e6880e9212p-20, 0x1.c4e56e32cf14bp-20, 0x1.c378b82b8e232p-20, 0x1.c2086a9c7ec4cp-20, 0x1.c094d3e873e91p-20, 0x1.bf1d97c759abdp-20, 0x1.bda34ff0ba1d8p-20, 0x1.bc25f09d5f9cfp-20, 0x1.baa59b4b4ace9p-20, 0x1.b9226dbc9c359p-20, 0x1.b79c80c313ecep-20, 0x1.b613edcdf4565p-20, 0x1.b4889268eae9ep-20, 0x1.b2fbc106556eep-20, 0x1.b16d41950cf1bp-20, 0x1.afda04b647dedp-20, 0x1.ae45eca5537b4p-20, 0x1.acb0e130aeecep-20, 0x1.ab18ccc8a9612p-20, 0x1.a97f12b87fe6ep-20, 0x1.a7e2cc604d8e8p-20, 0x1.a64876dd3447fp-20, 0x1.a4aa53d2fed7ep-20, 0x1.a30a2e4268df8p-20, 0x1.a1697f19c9de5p-20, 0x1.9fc74e9c5ff58p-20, 0x1.9e23e58d76404p-20, 0x1.9c7f186e44dd1p-20, 0x1.9adabdea546d6p-20, 0x1.9934ca2c12051p-20, 0x1.978de4a118596p-20, 0x1.95e5f30d99a52p-20, 0x1.943e168a34decp-20, 0x1.9294ce64e5298p-20, 0x1.90eb120986765p-20, 0x1.8f40c842bb31ap-20, 0x1.8d969a2c3611dp-20, 0x1.8bebacaa701f6p-20, 0x1.8a40e079cc42ep-20, 0x1.8895c8f566d8p-20, 0x1.86ea313cdec31p-20, 0x1.853eabbfeeab2p-20, 0x1.83931a8247756p-20, 0x1.81e766ac06ef3p-20, 0x1.803bfa6a8b2acp-20, 0x1.7e8e86137efd5p-20, 0x1.7ce510fff925ap-20, 0x1.7b39ea4ee4c4cp-20, 0x1.798ee2c71a645p-20, 0x1.77e421b42df59p-20, 0x1.7639c3fc4ec14p-20, 0x1.748fd67ba79f4p-20, 0x1.72e6785f376acp-20, 0x1.713d5e877ba05p-20, 0x1.6f94b00ef71cap-20, 0x1.6decb06c3beadp-20, 0x1.6c44c9623713dp-20, 0x1.6a9e63fe091e2p-20, 0x1.68f829585e837p-20, 0x1.6751fbe2bec34p-20, 0x1.65ad56fcc586cp-20, 0x1.64094ed06ab53p-20, 0x1.6265c0a4ca8bep-20, 0x1.60c32838d3b3cp-20, 0x1.5f2156edf66c8p-20, 0x1.5d807a9e63a07p-20, 0x1.5be099a6f6cecp-20, 0x1.5a41578193bbfp-20, 0x1.58a355072600cp-20, 0x1.57063f5ec13e6p-20, 0x1.5569ffd95e901p-20, 0x1.53ce98ac2862ap-20, 0x1.5234177175f8bp-20, 0x1.509ab6d4f6a7dp-20, 0x1.4f02ccdbde096p-20, 0x1.4d6be692c7563p-20, 0x1.4bd5eaedefab3p-20, 0x1.4a40cd2fd66e9p-20, 0x1.48ad488bd166cp-20, 0x1.47192d3d068b1p-20, 0x1.4588a6bc70ep-20, 0x1.43f8d9165c923p-20, 0x1.4269f56c3729fp-20, 0x1.40dc4c68e96ffp-20, 0x1.3f4fdff671404p-20, 0x1.3dc44d8ee5b18p-20, 0x1.3c3a23d0474f7p-20, 0x1.3ab18d678dad1p-20, 0x1.392a28c2b8f42p-20, 0x1.37a4df3ece0d3p-20, 0x1.361f1a8c1fcfcp-20, 0x1.349c1a77419bfp-20, 0x1.33192bc88538bp-20, 0x1.319850812f6edp-20, 0x1.3018cf02d7f26p-20, 0x1.2e9bd14fbad19p-20, 0x1.2d1d93a84456fp-20, 0x1.2ba1a3063801ep-20, 0x1.2a2802f157314p-20, 0x1.28aea5635b179p-20, 0x1.2737684b8e1e6p-20, 0x1.25c1eb3e9d3e3p-20, 0x1.244c56cd144a6p-20, 0x1.22d9edcae10f9p-20, 0x1.2168053310967p-20, 0x1.1ff79be16d9a1p-20, 0x1.1e889e1379fccp-20, 0x1.1d1b02ebdf83fp-20, 0x1.1baeccd5ed08ap-20, 0x1.1a43fe6c974ccp-20, 0x1.18db06b7d5434p-20, 0x1.1773139eb5ff7p-20, 0x1.160c308f6ccb4p-20, 0x1.14a6f8dc5e704p-20, 0x1.13433f470149fp-20, 0x1.11e168f573524p-20, 0x1.1080f8470703bp-20, 0x1.0f216c70e6a51p-20, 0x1.0dc39df76158dp-20, 0x1.0c6728a15207ap-20, 0x1.0b0c213a2986fp-20, 0x1.09b29e13dec35p-20, 0x1.085a7bfd75d32p-20, 0x1.0703a80738aabp-20, 0x1.05ae7e9d19473p-20, 0x1.045aaff231c0ep-20, 0x1.03086f85c2654p-20, 0x1.01b65763cf9aep-20, 0x1.0067e5001d107p-20, 0x1.fe3413a4d9fd2p-21, 0x1.fb9ae4f962f5cp-21, 0x1.f902f6581f06fp-21, 0x1.f6706d27fce3bp-21, 0x1.f3debc9b4ecccp-21, 0x1.f1530be537a19p-21, 0x1.eec646383dc5fp-21, 0x1.ec3e1ffe9b422p-21, 0x1.e9b8b29e31b0dp-21, 0x1.e735fb7bf8f18p-21, 0x1.e4b612fcad461p-21, 0x1.e2392a65a89b6p-21, 0x1.dfbf3d39d93f5p-21, 0x1.dd483ab57533ep-21, 0x1.dad3b2a7418e7p-21, 0x1.d861ee0ca58f8p-21, 0x1.d5f2fc238968cp-21, 0x1.d38680b147ea1p-21, 0x1.d11ccf36010a8p-21, 0x1.ceb594394b8c5p-21, 0x1.cc526ecaeadc3p-21, 0x1.c9f0e609416ffp-21, 0x1.c791c87301666p-21, 0x1.c536de158c89cp-21, 0x1.c2de82ffc98c5p-21, 0x1.c0874d09d11dbp-21, 0x1.be347ad61ef91p-21, 0x1.bbe325032e3bcp-21, 0x1.b995890875fa1p-21, 0x1.b7473cc2c3ca3p-21, 0x1.b4ff6e0c006adp-21, 0x1.b2b8d2a00f3b9p-21, 0x1.b0778f4840871p-21, 0x1.ae3474839545p-21, 0x1.abf6f3dda62fbp-21, 0x1.a9bb813493609p-21, 0x1.a78272fb3d8ap-21, 0x1.a54bff0beb51ap-21, 0x1.a318284158eadp-21, 0x1.a0e6fa4096f97p-21, 0x1.9eb85de884a38p-21, 0x1.9c8bbed40dbadp-21, 0x1.9a62ef9b46932p-21, 0x1.9839440442048p-21, 0x1.96173832eae0bp-21, 0x1.93f4f2a12c7b4p-21, 0x1.91d52d5665f88p-21, 0x1.8fb845f5d258ep-21, 0x1.8d9de5b89414dp-21, 0x1.8b86006934a44p-21, 0x1.8970828bc0d02p-21, 0x1.875e5a08ceaf6p-21, 0x1.854cb5ec461eap-21, 0x1.833e903392c15p-21, 0x1.81339d0f244d1p-21, 0x1.7f245563025c1p-21, 0x1.7d23f3375fe6dp-21, 0x1.7b1f348b95bc2p-21, 0x1.791c5a1f40c69p-21, 0x1.771d98d6deafp-21, 0x1.75206eb1f7e94p-21, 0x1.732589c533335p-21, 0x1.712e806b72e7p-21, 0x1.6f37409a07e32p-21, 0x1.6d4340e9e977bp-21, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.8a694dde3fab6p-9, -0x1.8764dbdc85bf6p-8, -0x1.2204a10145be2p-7, -0x1.7cb5611b0a604p-7, -0x1.d35ff6767a7ap-7, -0x1.1307d3244e84ap-6, -0x1.3a95f292780adp-6, -0x1.60af95e20e1a1p-6, -0x1.85bedceafa51bp-6, -0x1.aa37a03e8da33p-6, -0x1.ce8e5486d9974p-6, -0x1.f3310b6ca92a7p-6, -0x1.0c412f97863c2p-5, -0x1.1f6b011ce5c3cp-5, -0x1.333757554deap-5, -0x1.47be9d88d5aa6p-5, -0x1.5d10510ad6b2bp-5, -0x1.733367e5875a8p-5, -0x1.8a270512d35b2p-5, -0x1.a1e365bcc49a5p-5, -0x1.ba5af3ed07b01p-5, -0x1.d37b6c8956821p-5, -0x1.ed2f089207288p-5, -0x1.03aece1abae66p-4, -0x1.10f6d09b1be2cp-4, -0x1.1e62928ef4a6p-4, -0x1.2be54b456a67cp-4, -0x1.3972b7b5573abp-4, -0x1.46ff5e0719116p-4, -0x1.5480c052b2a8fp-4, -0x1.61ed7ff1cc75fp-4, -0x1.6f3d7326d8c5ep-4, -0x1.7c69af0e03d72p-4, -0x1.896c87d9e3278p-4, -0x1.9641894e2c911p-4, -0x1.a2e569464de4p-4, -0x1.af55f5e425bf4p-4, -0x1.bb9200ca4a335p-4, -0x1.c799488a9cfe6p-4, -0x1.d36c6138d4321p-4, -0x1.df0c9cdb8687ap-4, -0x1.ea7bf447a67a9p-4, -0x1.f5bcf0c9b8e08p-4, -0x1.00694b6f92c2bp-3, -0x1.05e029138d60ap-3, -0x1.0b44f14f3363bp-3, -0x1.1099a59548385p-3, -0x1.15e060b72890bp-3, -0x1.1b1b4f6d753f2p-3, -0x1.204ca97735095p-3, -0x1.2576ab46c2331p-3, -0x1.2a9b9033ebd8fp-3, -0x1.2fbd8d2b6b0b7p-3, -0x1.34decbd48edeap-3, -0x1.3a01662725cbdp-3, -0x1.3f27626c8f72ap-3, -0x1.4452afa7dab78p-3, -0x1.49852261728fap-3, -0x1.4ec071d38c998p-3, -0x1.54063574c9515p-3, -0x1.5957e2deab593p-3, -0x1.5eb6cc0d9093dp-3, -0x1.64241df7bf2f9p-3, -0x1.69a0df78c0c93p-3, -0x1.6f2df08e2ef03p-3, -0x1.74cc09e26fd81p-3, -0x1.7a7bbca1d4d2ap-3, -0x1.803d7295ecf6bp-3, -0x1.86116e82b09cfp-3, -0x1.8bf7ccc0c8b5cp-3, -0x1.91f0841000382p-3, -0x1.97fb669cb67bp-3, -0x1.9e1823330c481p-3, -0x1.a446469a7137fp-3, -0x1.aa853d143c30ep-3, -0x1.b0d453f8046f8p-3, -0x1.b732bb68867cap-3, -0x1.bd9f881c2c1b6p-3, -0x1.c419b534480fcp-3, -0x1.caa0261e962bap-3, -0x1.d131a87cb33ccp-3, -0x1.d7ccf60d80aefp-3, -0x1.de70b694f1cccp-3, -0x1.e51b81bec5d15p-3, -0x1.ebcbe0f959ff7p-3, -0x1.f2805145cd038p-3, -0x1.f93744fb38c38p-3, -0x1.ffef257af49bp-3, -0x1.03532a6a206afp-2, -0x1.06ad97aaf3abap-2, -0x1.0a0606866535dp-2, -0x1.0d5ba1973f6a8p-2, -0x1.10ad92b7b45dep-2, -0x1.13fb03a1f5e65p-2, -0x1.17431e864d95bp-2, -0x1.1a850e96b42bap-2, -0x1.1dc000880122ap-2, -0x1.20f32308e2b83p-2, -0x1.241da72ed2564p-2, -0x1.273ec0d95f862p-2, -0x1.2a55a70c16096p-2, -0x1.2d61943f6c2b9p-2, -0x1.3061c6a91aee4p-2, -0x1.3355807c51189p-2, -0x1.363c082232a1ep-2, -0x1.3914a86b17b17p-2, -0x1.3bdeb0b903b62p-2, -0x1.3e997523cdf7ap-2, -0x1.41444e976ae7ep-2, -0x1.43de9aecd0e7ap-2, -0x1.4667bcfde6e37p-2, -0x1.48df1cb4ef22dp-2, -0x1.4b442717d13c6p-2, -0x1.4d964e4fb0b45p-2, -0x1.4fd509ad31051p-2, -0x1.51ffd5a9be98cp-2, -0x1.541633e6382d8p-2, -0x1.5617ab274b541p-2, -0x1.5803c74fcb478p-2, -0x1.59da19594b915p-2, -0x1.5b9a374b469abp-2, -0x1.5d43bc30fad32p-2, -0x1.5ed6480e4af4cp-2, -0x1.60517fd3bdfabp-2, -0x1.61b50d51db7cfp-2, -0x1.63009f2c01e7ap-2, -0x1.6433e8cadc615p-2, -0x1.654ea24e9b8f7p-2, -0x1.665088810421ap-2, -0x1.67395cc76d889p-2, -0x1.6808e514c744bp-2, -0x1.68beebdbae7bcp-2, -0x1.695b4000a56bp-2, -0x1.69ddb4cc703cp-2, -0x1.6a4621deaa24bp-2, -0x1.6a94632088451p-2, -0x1.6ac858b7dd2b4p-2, -0x1.6ae1e6fa4cb8dp-2, -0x1.6ae0f660c271p-2, -0x1.6ac5737b16d6p-2, -0x1.6a8f4ee3ec30cp-2, -0x1.6a3e7d34b8a56p-2, -0x1.69d2f6f9f76c5p-2, -0x1.694cb8a78210cp-2, -0x1.68abc28d00fedp-2, -0x1.67f018ca727f8p-2, -0x1.6719c344c189fp-2, -0x1.6628cd9a5fa8ep-2, -0x1.651d4717dd1dap-2, -0x1.63f742ac7a6a8p-2, -0x1.62b6d6dea530ep-2, -0x1.615c1dc05dc0dp-2, -0x1.5fe734e37c1c6p-2, -0x1.5e583d4dd009ap-2, -0x1.5caf5b6d11347p-2, -0x1.5aecb70a9d9d6p-2, -0x1.59107b3efd198p-2, -0x1.571ad6652891ep-2, -0x1.550bfa0d8d16fp-2, -0x1.52e41af0c7b4bp-2, -0x1.50a370e215a14p-2, -0x1.4e4a36c176931p-2, -0x1.4bd8aa6d7fed1p-2, -0x1.494f0cb4da97ep-2, -0x1.46ada1476e2cap-2, -0x1.43f4aea7373dcp-2, -0x1.41247e18c457dp-2, -0x1.3e3d5b9360c42p-2, -0x1.3b3f95b0e836ep-2, -0x1.382b7d9d460b4p-2, -0x1.35016705a160cp-2, -0x1.31c1a80735a83p-2, -0x1.2e6c991ddf1a5p-2, -0x1.2b0295125804ap-2, -0x1.2783f8e82bc26p-2, -0x1.23f123cb658a2p-2, -0x1.204a76fdf78aep-2, -0x1.1c9055c4e5c8ep-2, -0x1.18c3255532861p-2, -0x1.14e34cc096c59p-2, -0x1.10f134e201a1ap-2, -0x1.0ced4849f0eebp-2, -0x1.08d7f32a982acp-2, -0x1.04b1a343e7526p-2, -0x1.007ac7cf6f677p-2, -0x1.f867a2d856854p-3, -0x1.efba64146934dp-3, -0x1.e6eeb9acce043p-3, -0x1.de058c4be9ab4p-3, -0x1.d4ffc6c3f304p-3, -0x1.cbde55e60ecfcp-3, -0x1.c2a228596d3e7p-3, -0x1.b94c2e7289c3fp-3, -0x1.afdd5a0a72d87p-3, -0x1.a6569e56459dap-3, -0x1.9cb8efbeccb4p-3, -0x1.930543b86107fp-3, -0x1.893c909b066f6p-3, -0x1.7f5fcd7ad1496p-3, -0x1.756ff200a8798p-3, -0x1.6b6df6435a125p-3, -0x1.615ad2a11d11dp-3, -0x1.57377f9975a25p-3, -0x1.4d04f5a79aa9p-3, -0x1.42c42d1d4b09bp-3, -0x1.38761dfe2c234p-3, -0x1.2e1bbfdbb508bp-3, -0x1.23b609b1a210ep-3, -0x1.1945f1c3087d5p-3, -0x1.0ecc6d78024cfp-3, -0x1.044a713bf9447p-3, -0x1.f381e0b940411p-4, -0x1.de61b9d325cf7p-4, -0x1.c9364f29555b5p-4, -0x1.b4017f261258ep-4, -0x1.9ec524fdb1605p-4, -0x1.898318739ebdap-4, -0x1.743d2da0d6cap-4, -0x1.5ef534bbf121fp-4, -0x1.49acf9e2b266ep-4, -0x1.346644e52e671p-4, -0x1.1f22d9128a80ap-4, -0x1.09e4750747f87p-4, -0x1.e959a4fa70cd8p-5, -0x1.befb4c3a1db34p-5, -0x1.94b13ea319408p-5, -0x1.6a7ed038a72fep-5, -0x1.406749d8b494p-5, -0x1.166de8ec1659cp-5, -0x1.d92bbe33f50fdp-6, -0x1.85c4a3fd6e52ep-6, -0x1.32acb5cbb1f35p-6, -0x1.bfd41a1dac8dep-7, -0x1.1b05532246c1dp-7, -0x1.dbe387f4b6a52p-9, 0x1.622d18cfb08e9p-10, 0x1.9d55b7c62054p-8, 0x1.702b9ee001bbp-7, 0x1.085e7d093eaf8p-6, 0x1.582a19d6a5141p-6, 0x1.a773655c9faeep-6, 0x1.f6353bd7249c6p-6, 0x1.22354b3ff2e72p-5, 0x1.490745e76d761p-5, 0x1.6f8e27da663b2p-5, 0x1.95c799e7faa32p-5, 0x1.bbb153cd898c5p-5, 0x1.e1491c4b59b9fp-5, 0x1.0346649b49cbfp-4, 0x1.15bd1fc42f675p-4, 0x1.2807b9b53dfb7p-4, 0x1.3a25342094691p-4, 0x1.4c14985934b5p-4, 0x1.5dd4f75575422p-4, 0x1.6f6569b025061p-4, 0x1.80c50fa886c96p-4, 0x1.91f3112112625p-4, 0x1.a2ee9d9d180fep-4, 0x1.b3b6ec3d3ab3ap-4, 0x1.c44b3bbadba69p-4, 0x1.d4aad2626c60cp-4, 0x1.e4d4fe0cb1082p-4, 0x1.f4c914170a98ap-4, 0x1.024338ad5e57ap-3, 0x1.0a063d119da3ep-3, 0x1.11ad4d11c902fp-3, 0x1.193822356e1ebp-3, 0x1.20a679abec239p-3, 0x1.27f81445dbc81p-3, 0x1.2f2cb66e00953p-3, 0x1.36442821e157bp-3, 0x1.3d3e34e9f45fbp-3, 0x1.441aabd179125p-3, 0x1.4ad95f5deb716p-3, 0x1.517a258625d62p-3, 0x1.57fcd7a930dep-3, 0x1.5e615284bc427p-3, 0x1.64a7762b56995p-3, 0x1.6acf25fa48ba2p-3, 0x1.70d8488f4445fp-3, 0x1.76c2c7bdb5d46p-3, 0x1.7c8e9083edc8ap-3, 0x1.823b92fffcap-3, 0x1.87c9c26460a1fp-3, 0x1.8d3914ec751bfp-3, 0x1.928983d0b927dp-3, 0x1.97bb0b3ad9c01p-3, 0x1.9ccdaa399c29ap-3, 0x1.a1c162b49478ap-3, 0x1.a696395fb9c68p-3, 0x1.ab4c35aed9dcdp-3, 0x1.afe361c8e2a77p-3, 0x1.b45bca7b184c4p-3, 0x1.b8b57f2c28148p-3, 0x1.bcf091cf20f23p-3, 0x1.c10d16d66339ap-3, 0x1.c50b252664604p-3, 0x1.c8ead6087b872p-3, 0x1.ccac451d8f3c4p-3, 0x1.d04f9050b8ad8p-3, 0x1.d3d4d7c9e1948p-3, 0x1.d73c3de059572p-3, 0x1.da85e70d607a5p-3, 0x1.ddb1f9deb5d7ep-3, 0x1.e0c09ee922f2dp-3, 0x1.e3b200bb0061p-3, 0x1.e6864bcecbcc9p-3, 0x1.e93dae7db5299p-3, 0x1.ebd858f23adf5p-3, 0x1.ee567d1aca583p-3, 0x1.f0b84e9c6ce1ap-3, 0x1.f2fe02c585426p-3, 0x1.f527d0808e324p-3, 0x1.f735f046fa3ebp-3, 0x1.f9289c141814fp-3, 0x1.fb000f580a268p-3, 0x1.fcbc86eadc35bp-3, 0x1.fe5e40ffa4512p-3, 0x1.ffe57d17bf146p-3, 0x1.00a93dfb1325dp-2, 0x1.0152bfc96c26ep-2, 0x1.01ef658734572p-2, 0x1.027f5152d061fp-2, 0x1.0302a5d2a1af7p-2, 0x1.0379862ef5711p-2, 0x1.03e4160c0708bp-2, 0x1.044279840e4eap-2, 0x1.0494d5216214p-2, 0x1.04db4dd8a8b72p-2, 0x1.051609031cf34p-2, 0x1.05452c58e4481p-2, 0x1.0568ddeb7455p-2, 0x1.058144200f13ap-2, 0x1.058e85aa518a5p-2, 0x1.0590c986d416dp-2, 0x1.058836f5de12cp-2, 0x1.0574f5763137fp-2, 0x1.05572cbfe3f8ep-2, 0x1.052f04bf563c3p-2, 0x1.04fca590350dp-2, 0x1.04c03778975bep-2, 0x1.0479e2e42d398p-2, 0x1.0429d05f87b1bp-2, 0x1.03d02893731fbp-2, 0x1.036d144065bd2p-2, 0x1.0300bc3a08245p-2, 0x1.028b4962d35fp-2, 0x1.020ce4a7bde96p-2, 0x1.0185b6fc08d06p-2, 0x1.00f5e9551ae22p-2, 0x1.005da4a67642cp-2, 0x1.ff7a23bb82b51p-3, 0x1.fe28b3bdd5303p-3, 0x1.fcc74b00b64dcp-3, 0x1.fb563b0e8ab54p-3, 0x1.f9d5d548106e6p-3, 0x1.f8466add4f483p-3, 0x1.f6a84cc6b61cap-3, 0x1.f4fbcbbe66b2p-3, 0x1.f3413839a68edp-3, 0x1.f178e2628655fp-3, 0x1.efa31a11a7ecfp-3, 0x1.edc02ec83b2aap-3, 0x1.ebd06faa1cd47p-3, 0x1.e9d42b782439ep-3, 0x1.e7cbb08a9f6ecp-3, 0x1.e5b74ccbf0f22p-3, 0x1.e3974db35b127p-3, 0x1.e16c003ff74d3p-3, 0x1.df35b0f3d7e6ap-3, 0x1.dcf4abcf492c3p-3, 0x1.daa93c4c44da9p-3, 0x1.d853ad5a0eda5p-3, 0x1.d5f44958ed42p-3, 0x1.d38b5a16151ecp-3, 0x1.d11928c7b7c81p-3, 0x1.ce9dfe0936075p-3, 0x1.cc1a21d7801a6p-3, 0x1.c98ddb8d901a6p-3, 0x1.c6f971e114c32p-3, 0x1.c45d2adf3b03bp-3, 0x1.c1b94be99e435p-3, 0x1.bf0e19b3568ddp-3, 0x1.bc5bd83e355f2p-3, 0x1.b9a2cad8194d2p-3, 0x1.b6e3341870505p-3, 0x1.b41d55ddcac2ap-3, 0x1.b151714ba5c8bp-3, 0x1.ae7fc6c83e87p-3, 0x1.aba895fa9cc13p-3, 0x1.a8cc1dc8ab8c8p-3, 0x1.a5ea9c557997p-3, 0x1.a3044eff9594dp-3, 0x1.a019725f8cfb4p-3, 0x1.9d2a4246819adp-3, 0x1.9a36f9bcde02p-3, 0x1.973fd3012fb39p-3, 0x1.944507870daccp-3, 0x1.9146cff62761fp-3, 0x1.8e45642967155p-3, 0x1.8b40fb2e31348p-3, 0x1.8839cb43c19e5p-3, 0x1.853009da97dc6p-3, 0x1.8223eb9405abp-3, 0x1.7f15a441d1bc1p-3, 0x1.7c0566e5f3fc2p-3, 0x1.78f365b2636f6p-3, 0x1.75dfd20902d75p-3, 0x1.72cadc7b9e0f8p-3, 0x1.6fb4b4cbfac3fp-3, 0x1.6c9d89ec07f0ap-3, 0x1.698589fe154c2p-3, 0x1.666ce25525f64p-3, 0x1.6353bf7558437p-3, 0x1.603a4d1458f76p-3, 0x1.5d20b619ed5e3p-3, 0x1.5a0724a095256p-3, 0x1.56edc1f62d169p-3, 0x1.53d4b69cb5e1cp-3, 0x1.50bc2a4b1caa6p-3, 0x1.4da443ee1b549p-3, 0x1.4a8d29a924411p-3, 0x1.477700d761636p-3, 0x1.4461ee0cba61cp-3, 0x1.414e1516eeef8p-3, 0x1.3e3b98febd78ap-3, 0x1.3b2a9c09161dbp-3, 0x1.381b3fb85599cp-3, 0x1.350da4cd9626ep-3, 0x1.3201eb4a03056p-3, 0x1.2ef832703a161p-3, 0x1.2bf098c5bd4ap-3, 0x1.28eb3c14624f9p-3, 0x1.25e8396bd9ffcp-3, 0x1.22e7ad2337cb2p-3, 0x1.1fe9b2da84964p-3, 0x1.1cee657c5de6cp-3, 0x1.19f5df3f96d28p-3, 0x1.170039a8e7e3p-3, 0x1.140d8d8c9e17ap-3, 0x1.111df31058dbep-3, 0x1.0e3181accd44cp-3, 0x1.0b48502f8b105p-3, 0x1.086274bcca713p-3, 0x1.058004d142a6p-3, 0x1.02a11543fece3p-3, 0x1.ff8b74907e1edp-4, 0x1.f9dc0edeb6fb2p-4, 0x1.f4341f5551897p-4, 0x1.ee93ca9ac7b99p-4, 0x1.e8fb341d40c1ap-4, 0x1.e36a7e167697ap-4, 0x1.dde1c98fa2758p-4, 0x1.d861366564152p-4, 0x1.d2e8e34bbe098p-4, 0x1.cd78edd21054cp-4, 0x1.c81172670a333p-4, 0x1.c2b28c5cb80b5p-4, 0x1.bd5c55ec81893p-4, 0x1.b80ee83b27b97p-4, 0x1.b2ca5b5cda033p-4, 0x1.ad8ec6593280cp-4, 0x1.a85c3f2f4cbbdp-4, 0x1.a332dad9c043fp-4, 0x1.9e12ad52b92cfp-4, 0x1.98fbc997f954dp-4, 0x1.93ee41aee058ep-4, 0x1.8eea26a87c56bp-4, 0x1.89ef88a583a15p-4, 0x1.84fe76da630bap-4, 0x1.8016ff9335815p-4, 0x1.7b393037cbcfp-4, 0x1.7665154fa21e7p-4, 0x1.719aba85d8f7dp-4, 0x1.6cda2aad2657ep-4, 0x1.68236fc3cf0bbp-4, 0x1.637692f784f3ap-4, 0x1.5ed39ca957391p-4, 0x1.5a3a94718f83bp-4, 0x1.55ab81238d3f6p-4, 0x1.512668d1a13c9p-4, 0x1.4cab50d0d541fp-4, 0x1.483a3dbcc20b7p-4, 0x1.43d3337b48428p-4, 0x1.3f763540526e6p-4, 0x1.3b23459190363p-4, 0x1.36da664a1f832p-4, 0x1.329b989e332d4p-4, 0x1.2e66dd1ebd2bep-4, 0x1.2a3c33bcff44cp-4, 0x1.261b9bce2101dp-4, 0x1.2205140eb3b52p-4, 0x1.1df89aa63ffd3p-4, 0x1.19f62d2aada36p-4, 0x1.15fdc8a3c367p-4, 0x1.120f698e866a4p-4, 0x1.0e2b0be09e5e8p-4, 0x1.0a50ab0ba6846p-4, 0x1.0680420081d5fp-4, 0x1.02b9cb329d126p-4, 0x1.fdfa81364bc2dp-5, 0x1.f695377889e8cp-5, 0x1.ef43ab4882eb2p-5, 0x1.e805cde14a579p-5, 0x1.e0db8fa291bc3p-5, 0x1.d9c4e016d73f4p-5, 0x1.d2c1adf96ccf1p-5, 0x1.cbd1e73c4f77dp-5, 0x1.c4f5790e22f71p-5, 0x1.be2c4fdff39b6p-5, 0x1.b776576ae95cap-5, 0x1.b0d37ab5f229p-5, 0x1.aa43a41b54f8fp-5, 0x1.a3c6bd4e2159cp-5, 0x1.9d5caf5fb1f87p-5, 0x1.970562c4e3e0ap-5, 0x1.90c0bf5b6bfe5p-5, 0x1.8a8eac6f0915ap-5, 0x1.846f10be7f322p-5, 0x1.7e61d280c8908p-5, 0x1.7866d769e7e34p-5, 0x1.727e04afd2842p-5, 0x1.6ca73f0f409c1p-5, 0x1.66e26ad053c6fp-5, 0x1.612f6bcb4c7e7p-5, 0x1.5b8e256d12d52p-5, 0x1.55fe7abbad9abp-5, 0x1.50804e5ab546bp-5, 0x1.4b13828fa6df6p-5, 0x1.45b7f9461e99p-5, 0x1.406d94140ab7cp-5, 0x1.3b34343dd4f1fp-5, 0x1.360bbaba59db7p-5, 0x1.30f40836e26e2p-5, 0x1.2becfd1b119bbp-5, 0x1.26f6798ca1513p-5, 0x1.22105d7343047p-5, 0x1.1d3a887c17676p-5, 0x1.1874da1d88a03p-5, 0x1.13bf319a954d5p-5, 0x1.0f196e0664b97p-5, 0x1.0a836e47af13bp-5, 0x1.05fd111bfcd7bp-5, 0x1.0186351aef01bp-5, 0x1.fa3d7172e0c73p-6, 0x1.f18cf4999d66fp-6, 0x1.e8fab01b964fap-6, 0x1.e0866037237e5p-6, 0x1.d82fc0fd4434bp-6, 0x1.cff68e576f458p-6, 0x1.c7da840cebc1p-6, 0x1.bfdb5dc8851b4p-6, 0x1.b7f8d71dab8dp-6, 0x1.b032ab8dd0445p-6, 0x1.a888968d3f66bp-6, 0x1.a0fa53885be33p-6, 0x1.99879de832622p-6, 0x1.923031174fc29p-6, 0x1.8af3c88658f68p-6, 0x1.83d21fb083357p-6, 0x1.7ccaf21fe84b1p-6, 0x1.75ddfb71cc1ecp-6, 0x1.6f0af75ac3454p-6, 0x1.6851a1aaadf12p-6, 0x1.61b1b650c47abp-6, 0x1.5b2af15f2a2b6p-6, 0x1.54bd0f0ef2083p-6, 0x1.4e67cbc36434fp-6, 0x1.482ae40dcb278p-6, 0x1.420614b09527dp-6, 0x1.3bf91aa2d6378p-6, 0x1.3603b3135e4fap-6, 0x1.30259b6bd8103p-6, 0x1.2a5e9153c65cbp-6, 0x1.24ae52b382acdp-6, 0x1.1f149db6edf5bp-6, 0x1.199130d049aeep-6, 0x1.1423cabac1534p-6, 0x1.0ecc2a7d0deb3p-6, 0x1.098a0f6bd98dep-6, 0x1.045d392c2d708p-6, 0x1.fe8acf6b538cap-7, 0x1.f484b6a9cce2ap-7, 0x1.eaa7a95aa470bp-7, 0x1.e0f329770d99ep-7, 0x1.d766b9ae0132bp-7, 0x1.ce01dd686141fp-7, 0x1.c4c418cc916dp-7, 0x1.bbacf0c1c0944p-7, 0x1.b2bbeaf369522p-7, 0x1.a9f08dd487e39p-7, 0x1.a14a60a2965c6p-7, 0x1.98c8eb68860aep-7, 0x1.906bb70181f89p-7, 0x1.88324d1b9f1f1p-7, 0x1.801c383a51806p-7, 0x1.782903b8fa958p-7, 0x1.70583bccf09ffp-7, 0x1.68a96d87d3646p-7, 0x1.611c26d99a863p-7, 0x1.59aff69261bd6p-7, 0x1.52646c64404f7p-7, 0x1.4b3918e51ae67p-7, 0x1.442d8d8fe526dp-7, 0x1.3d415cc6875edp-7, 0x1.367419d2dc8eap-7, 0x1.2fc558e82c915p-7, 0x1.2934af2450fd3p-7, 0x1.22c1b290d125dp-7, 0x1.1c6bfa2393b83p-7, 0x1.16331dc01da42p-7, 0x1.1016b638316cdp-7, 0x1.0a165d4c67dc2p-7, 0x1.0431adad077aap-7, 0x1.fcd085f4aa681p-8, 0x1.f173738a6ea19p-8, 0x1.e64b5f1ea25efp-8, 0x1.db5785974843bp-8, 0x1.d09725bcb473ep-8, 0x1.c609803a9a3b5p-8, 0x1.bbadd79fcc707p-8, 0x1.b183705dfbdf2p-8, 0x1.a78990ca4c2edp-8, 0x1.9dbf811c33a7dp-8, 0x1.94248b6d88b61p-8, 0x1.8ab7fbb9d7e61p-8, 0x1.81791fddc9a5cp-8, 0x1.7867479638141p-8, 0x1.6f81c47f70726p-8, 0x1.66c7ea14218c7p-8, 0x1.5e390dac076a7p-8, 0x1.55d4867b05eaap-8, 0x1.4d99ad8f86c31p-8, 0x1.4587ddd134f7fp-8, 0x1.3d9e73ff565cap-8, 0x1.35dcceaf9abd9p-8, 0x1.2e424e4bb371fp-8, 0x1.26ce550fea81fp-8, 0x1.1f80470955509p-8, 0x1.18578a13997e4p-8, 0x1.115385d716914p-8, 0x1.0a73a3c6b9c36p-8, 0x1.03b74f1db201dp-8, 0x1.fa3be9bab11f6p-9, 0x1.ed4e079594002p-9, 0x1.e0a3d8d8b260dp-9, 0x1.d43c420edd425p-9, 0x1.c8162b3af08a6p-9, 0x1.bc307fd43fa89p-9, 0x1.b08a2ec016a1dp-9, 0x1.a5222a4c7dae2p-9, 0x1.99f7682b111abp-9, 0x1.8f08e16b4fcf5p-9, 0x1.8455927548f81p-9, 0x1.79dc7b0338a66p-9, 0x1.6f9c9e1c402c7p-9, 0x1.6595020de6991p-9, 0x1.5bc4b066a52ap-9, 0x1.522ab5efd85e9p-9, 0x1.48c622a734a0dp-9, 0x1.3f9609b8a3144p-9, 0x1.36998178d679bp-9, 0x1.2dcfa35d8eba5p-9, 0x1.25378bf848412p-9, 0x1.1cd05aefba362p-9, 0x1.149932f8d8e02p-9, 0x1.0c9139d0b3937p-9, 0x1.04b798365210bp-9, 0x1.fa16f3c5d759ap-10, 0x1.eb181b0932f6cp-10, 0x1.dc71096da8ca7p-10, 0x1.ce2027f898abfp-10, 0x1.c023e56f2c58ep-10, 0x1.b27ab64aaa319p-10, 0x1.a52314a92ef94p-10, 0x1.981b80418158p-10, 0x1.8b627e548c225p-10, 0x1.7ef699a06cd31p-10, 0x1.72d66252c3be8p-10, 0x1.67006dfa471e8p-10, 0x1.5b73577aaad97p-10, 0x1.502dbefd93ad4p-10, 0x1.452e49e5b32cep-10, 0x1.3a73a2c1461c3p-10, 0x1.2ffc793b99f9dp-10, 0x1.25c782109872ep-10, 0x1.1bd376fdc14fep-10, 0x1.121f16b694d5bp-10, 0x1.08a924d4c429bp-10, 0x1.fee0d398e3db2p-11, 0x1.ece765bb2d5d4p-11, 0x1.db63a40e2053ep-11, 0x1.ca533bf2f0fc1p-11, 0x1.b9b3e4118231bp-11, 0x1.a9835c3ef2c11p-11, 0x1.99bf6d63ddb56p-11, 0x1.8a65e95fbf7e1p-11, 0x1.7b74aaf084a1ep-11, 0x1.6ce99596a1afap-11, 0x1.5ec2957c312p-11, 0x1.50fd9f59bdd7cp-11, 0x1.4398b05d499ebp-11, 0x1.3691ce0e54a02p-11, 0x1.29e70637f1b4ep-11, 0x1.1d966ecab1022p-11, 0x1.119e25c6ff3f7p-11, 0x1.05fc512102a84p-11, 0x1.f55e3d534dd33p-12, 0x1.df6987e6720e7p-12, 0x1.ca16fc757c8aap-12, 0x1.b563249b986a3p-12, 0x1.a14a98e5dd5ap-12, 0x1.8dca009f2fdacp-12, 0x1.7ade11a40566dp-12, 0x1.6883902f0ef15p-12, 0x1.56b74eaa80b0bp-12, 0x1.45762d80792e1p-12, 0x1.34bd1aec49831p-12, 0x1.248912c9907edp-12, 0x1.14d71e6980c1ep-12, 0x1.05a4546024cf8p-12, 0x1.eddbb0b7f113ap-13, 0x1.d161b5e2c84bp-13, 0x1.b5d532eb807e9p-13, 0x1.9b30bb997f842p-13, 0x1.816efc7cdb831p-13, 0x1.688aba96bd3a4p-13, 0x1.507ed300213d4p-13, 0x1.39463a96acbcbp-13, 0x1.22dbfda32d02ap-13, 0x1.0d3b3f86d937bp-13, 0x1.f0be74d685028p-14, 0x1.c8867dc771186p-14, 0x1.a1c5675331bd6p-14, 0x1.7c722a7fbecd5p-14, 0x1.5883eb4aa4335p-14, 0x1.35f1f8073fadp-14, 0x1.14b3c8c6c0117p-14, 0x1.e981fd6b46179p-15, 0x1.ac22c6f42a307p-15, 0x1.7139d142425a1p-15, 0x1.38b74e25e7d52p-15, 0x1.028bbcb50f386p-15, 0x1.9d4fd0bc24863p-16, 0x1.39f9cf57ab088p-16, 0x1.b5f06c589ddcap-17, 0x1.005cafa5594cap-17, 0x1.4c00b3394833fp-19, -0x1.4970f6cf0a01fp-19, -0x1.dfdd367d36479p-18, -0x1.85ebe58376551p-17, -0x1.0a44045a76816p-16, -0x1.4dfaf3ecac1bfp-16, -0x1.8e33b069090f7p-16, -0x1.cb06a86c0e783p-16, -0x1.0245e5fbcc3afp-15, -0x1.1d6d4768fead4p-15, -0x1.3704f52305e86p-15, -0x1.4f182fa504288p-15, -0x1.65b1fc207e9d4p-15, -0x1.7add258696c3p-15, -0x1.8ea43d7245791p-15, -0x1.a1119d1ea2e12p-15, -0x1.b22f665a991dfp-15, -0x1.c20784540c9d4p-15, -0x1.d0a3acabb3744p-15, -0x1.de0d603b6af49p-15, -0x1.ea4dec0222069p-15, -0x1.f56e6a028d21p-15, -0x1.ff77c218d3ba3p-15, -0x1.0439557482d65p-14, -0x1.0833d54b1f902p-14, -0x1.0baf8bd9adc1cp-14, -0x1.0eb08cfc2457bp-14, -0x1.113ad597ecb91p-14, -0x1.13524bf3c2cdp-14, -0x1.14fac024855dp-14, -0x1.1637ec6d0e3bep-14, -0x1.170d759f4b708p-14, -0x1.177eeb805e47p-14, -0x1.178fc92166101p-14, -0x1.174375445d9b9p-14, -0x1.169d42b43de53p-14, -0x1.15a070a1ebb69p-14, -0x1.14502afb30028p-14, -0x1.12af8ac84188ap-14, -0x1.10c1967fc1328p-14, -0x1.0e89425e810fp-14, -0x1.0c0970bb2fcd1p-14, -0x1.0944f25cf4223p-14, -0x1.063e86c896a94p-14, -0x1.02f8dc96dafddp-14, -0x1.feed238eabd9dp-15, -0x1.f7746804899e2p-15, -0x1.ef8c81ee43eep-15, -0x1.e73a4d3dca242p-15, -0x1.de828713cef2bp-15, -0x1.d569ce577fcbp-15, -0x1.cbf4a4490d541p-15, -0x1.c2276d0add5ep-15, -0x1.b806703e5972fp-15, -0x1.ad95d97b16fb3p-15, -0x1.a2d9b8f56c00fp-15, -0x1.97d603e54459ap-15, -0x1.8c8e95299dc7bp-15, -0x1.81072dbd17bf7p-15, -0x1.75437531604c7p-15, -0x1.6946fa4553fc3p-15, -0x1.5d15334c88412p-15, -0x1.50b17eb8285f4p-15, -0x1.441f2385a4fd4p-15, -0x1.376151c8a67d6p-15, -0x1.2a7b230a08d32p-15, -0x1.1d6f9ad19c238p-15, -0x1.1041a70831ac2p-15, -0x1.02f420702b1c7p-15, -0x1.eb13962ab5e98p-16, -0x1.d00aad5fb660dp-16, -0x1.b4d2be41dd686p-16, -0x1.9970d984d464p-16, -0x1.7de9e9da536c4p-16, -0x1.6242b485e562p-16, -0x1.467fda4a0de4dp-16, -0x1.2aa5d81c16ff1p-16, -0x1.0eb907e74234cp-16, -0x1.e57b42aca380ap-17, -0x1.ad6f75037b7a4p-17, -0x1.75569148feef2p-17, -0x1.3d3841d5da41dp-17, -0x1.051bf210a2c9ep-17, -0x1.9a119fa1141f2p-18, -0x1.2a0b99c5ec98bp-18, -0x1.746680d132a83p-19, -0x1.2a5638fa7241fp-20, 0x1.260794395c8ap-21, 0x1.27884b5b61149p-19, 0x1.02685a9eb563ep-18, 0x1.70a249e49a84cp-18, 0x1.de6712d9e15afp-18, 0x1.25d61c96bbeb9p-17, 0x1.5c33d175eabb1p-17, 0x1.9247caef176f3p-17, 0x1.c80d5ad0efb81p-17, 0x1.fd8000970e519p-17, 0x1.194db4477a215p-16, 0x1.33adb54d56af2p-16, 0x1.4dde04a033375p-16, 0x1.67dcb85863f16p-16, 0x1.81a7fad54d2bbp-16, 0x1.9b3e0a53cdc5ap-16, 0x1.b49d386abf51ap-16, 0x1.cdc3e98e7a9c4p-16, 0x1.e6b094a591ce3p-16, 0x1.ff61c29175d6bp-16, 0x1.0beb06dcc3685p-15, 0x1.180610d010249p-15, 0x1.24015d3c04d79p-15, 0x1.2fdc5259fd55bp-15, 0x1.3b965e4ed5abp-15, 0x1.472ef6fc5889ap-15, 0x1.52a599c78b1eep-15, 0x1.5df9cb6e2d75fp-15, 0x1.692b17d1ba61cp-15, 0x1.743911c8b3556p-15, 0x1.7f2352f10e43cp-15, 0x1.89e97b837cc14p-15, 0x1.948b3222eb688p-15, 0x1.9f0823b3d07cep-15, 0x1.a96003320b6a6p-15, 0x1.b3928980be99dp-15, 0x1.bd9f7549798fbp-15, 0x1.c7868acc85aeap-15, 0x1.d14793bd6f523p-15, 0x1.dae25f19d0ef7p-15, 0x1.e456c10502927p-15, 0x1.eda492a0d9ccp-15, 0x1.f6cbb1eb8239cp-15, 0x1.ffcc019988325p-15, 0x1.0452b479eefd5p-14, 0x1.08abe9daac936p-14, 0x1.0cf198f3e3bf7p-14, 0x1.1123bbe3d9fdcp-14, 0x1.15424ecda6a3fp-14, 0x1.194d4fcec357dp-14, 0x1.1d44beeb95475p-14, 0x1.21289e01a088cp-14, 0x1.24f8f0b9b613ap-14, 0x1.28b5bc77d8fa3p-14, 0x1.2c5f084e152dcp-14, 0x1.2ff4dcee8bc7fp-14, 0x1.3377449d77664p-14, 0x1.36e64b243955ep-14, 0x1.3a41fdc4d4fefp-14, 0x1.3d8a6b2c2bbc3p-14, 0x1.40bfa366948aap-14, 0x1.43e1b7d3a1acep-14, 0x1.46f0bb19629f3p-14, 0x1.49ecc119d3c4ep-14, 0x1.4cd5dee71ac2dp-14, 0x1.4fac2ab874a72p-14, 0x1.526fbbdfc54b5p-14, 0x1.5520aabe3ce3p-14, 0x1.57bf10ba94d89p-14, 0x1.5a4b0837169f2p-14, 0x1.5cc4ac87dd6c2p-14, 0x1.5f2c19e816e0ep-14, 0x1.61816d7201b9p-14, 0x1.63c4c515021efp-14, 0x1.65f63f8d38974p-14, 0x1.6815fc5968936p-14, 0x1.6a241bb4cc95p-14, 0x1.6c20be8c18263p-14, 0x1.6e0c0677a9d7dp-14, 0x1.6fe615b1f04a3p-14, 0x1.71af0f10681f5p-14, 0x1.736715fc06915p-14, 0x1.750e4e69f5764p-14, 0x1.76a4dcd402573p-14, 0x1.782ae63254ac4p-14, 0x1.79a08ff3bd3f6p-14, 0x1.7b05fff7adfadp-14, 0x1.7c5b5c876b325p-14, 0x1.7da0cc4fe8f68p-14, 0x1.7ed6765bf2ap-14, 0x1.7ffc820d64907p-14, 0x1.81131717f15dcp-14, 0x1.821a5d7b38f95p-14, 0x1.83127d7dc6f5dp-14, 0x1.83fb9fa69e3fep-14, 0x1.84d5ecb93fa9fp-14, 0x1.85a18daf7708cp-14, 0x1.865eabb5666e5p-14, 0x1.870d7023a84ddp-14, 0x1.87ae047bc6709p-14, 0x1.88409262573c2p-14, 0x1.88c5439bda41cp-14, 0x1.893c4207be156p-14, 0x1.89a5b79c200ddp-14, 0x1.8a01ce625db4cp-14, 0x1.8a50b07243df4p-14, 0x1.8a9287ef06fap-14, 0x1.8ac77f030e236p-14, 0x1.8aefbfdc10c5ep-14, 0x1.8b0b74a8caf71p-14, 0x1.8b1ac7944d593p-14, 0x1.8b1de2c37d0ddp-14, 0x1.8b14f051af0e6p-14, 0x1.8b001a4d52786p-14, 0x1.8adf8ab55c531p-14, 0x1.8ab36b7619d9cp-14, 0x1.8a7be6663dadcp-14, 0x1.8a392544d6ddp-14, 0x1.89eb51b5d4166p-14, 0x1.8992954079826p-14, 0x1.892f194bb2c9cp-14, 0x1.88c1071d3d41p-14, 0x1.884887d5b9fbep-14, 0x1.87c5c46f9a2e4p-14, 0x1.8738e5bc777dbp-14, 0x1.86a214637c569p-14, 0x1.860178deea897p-14, 0x1.85573b7ac3c2p-14, 0x1.84a3845248376p-14, 0x1.83e67b4eb9cc1p-14, 0x1.832048253c8ffp-14, 0x1.82511255c717ap-14, 0x1.81790128fdc4bp-14, 0x1.80983baf2a52p-14, 0x1.7faee8be73b41p-14, 0x1.7ebd2ef169bd2p-14, 0x1.7dc334a631724p-14, 0x1.7cc11ffcbc047p-14, 0x1.7bb716d5f5d96p-14, 0x1.7aa53ed23a969p-14, 0x1.798bbd50b160dp-14, 0x1.786ab76de5798p-14, 0x1.77425202a4361p-14, 0x1.7612b1a38872ap-14, 0x1.74dbfa9f9dcfbp-14, 0x1.739e50fffee0bp-14, 0x1.7259d8867cea8p-14, 0x1.710eb4ad7b24p-14, 0x1.6fbd08a645cp-14, 0x1.6e64f7594fb77p-14, 0x1.6d06a365067ccp-14, 0x1.6ba22f1dc5e9cp-14, 0x1.6a37bc8c8dddap-14, 0x1.68c76d6efcd52p-14, 0x1.6751633677907p-14, 0x1.65d5bf085702ep-14, 0x1.6454a1bcd6815p-14, 0x1.62ce2bdf1a6c5p-14, 0x1.61427dac6ee53p-14, 0x1.5fb1b71443a8bp-14, 0x1.5e1bf7b80d9dfp-14, 0x1.5c815eeac7792p-14, 0x1.5ae20bb0b2dd5p-14, 0x1.593e1cbf1ff97p-14, 0x1.5795b07c75197p-14, 0x1.55e8e4ffb3f8bp-14, 0x1.5437d8110f75p-14, 0x1.5282a7290bd17p-14, 0x1.50c96f710fba9p-14, 0x1.4f0c4dc29d655p-14, 0x1.4d4b5ea81fbe2p-14, 0x1.4b86be5c3ffe6p-14, 0x1.49be88cab5612p-14, 0x1.47f2d98f7626fp-14, 0x1.4623cbf76ccf3p-14, 0x1.44517affe2654p-14, 0x1.427c015774c22p-14, 0x1.40a3795dd2461p-14, 0x1.3ec7fd23cebe3p-14, 0x1.3ce9a66b5a90ep-14, 0x1.3b088ea870b5ep-14, 0x1.3924cf008e2a2p-14, 0x1.373e804b1d1ecp-14, 0x1.3555bb11c91a3p-14, 0x1.336a97909d698p-14, 0x1.317d2db6c66cp-14, 0x1.2f8d952645bc1p-14, 0x1.2d9be53430836p-14, 0x1.2ba834e961a4bp-14, 0x1.29b29b02adf9bp-14, 0x1.27bb2df12ac29p-14, 0x1.25c203da9116bp-14, 0x1.23c732995dc71p-14, 0x1.21cacfbd5e6c3p-14, 0x1.1fccf08c31a8cp-14, 0x1.1dcdaa01a44cbp-14, 0x1.1bcd10cfe7bbdp-14, 0x1.19cb3960064ddp-14, 0x1.17c837d20330bp-14, 0x1.15c41ffdec3a6p-14, 0x1.13bf057408bf5p-14, 0x1.11b8fb7cde9d8p-14, 0x1.0fb2151a0a0c9p-14, 0x1.0daa6506717f8p-14, 0x1.0ba1fdb767509p-14, 0x1.0998f15bfe13bp-14, 0x1.078f51de99f32p-14, 0x1.058530e48ff2bp-14, 0x1.037a9fcf42ec4p-14, 0x1.016fafbbfed08p-14, 0x1.fec8e30a60992p-15, 0x1.fab1eb84a75a5p-15, 0x1.f69a9991b51b4p-15, 0x1.f2830d581be0cp-15, 0x1.ee6b667c77413p-15, 0x1.ea53c421d98eep-15, 0x1.e63c44eb06605p-15, 0x1.e22506fb36ebcp-15, 0x1.de0e27f700f8ap-15, 0x1.d9f7c505e2788p-15, 0x1.d5e1fad30c021p-15, 0x1.d1cce58ea11d8p-15, 0x1.cdb8a0edf8655p-15, 0x1.c9a5482dd9d3ap-15, 0x1.c592f6128a492p-15, 0x1.c181c4ea33a5p-15, 0x1.bd71ce8bd06d9p-15, 0x1.b9632c5a2461ap-15, 0x1.b555f7441ed47p-15, 0x1.b14a47c643538p-15, 0x1.ad4035eaa15d4p-15, 0x1.a937d94b8e41cp-15, 0x1.a53149130dd09p-15, 0x1.a12c9bfda3a4ap-15, 0x1.9d29e8596ceaep-15, 0x1.9929440942beep-15, 0x1.952ac483cee61p-15, 0x1.912e7ed679ee5p-15, 0x1.8d3487a4f9544p-15, 0x1.893cf32b9e065p-15, 0x1.8547d53ee5c8cp-15, 0x1.8155414e597a3p-15, 0x1.7d654a643ee4fp-15, 0x1.7978032757807p-15, 0x1.758d7ddb68fe7p-15, 0x1.71a5cc62da2e5p-15, 0x1.6dc1003f4377p-15, 0x1.69df2a93444b9p-15, 0x1.66005c226de95p-15, 0x1.6224a552f3543p-15, 0x1.5e4c162ec87ccp-15, 0x1.5a76be65275cep-15, 0x1.56a4ad49a4b32p-15, 0x1.52d5f1d75c758p-15, 0x1.4f0a9ab100977p-15, 0x1.4b42b6228b2fp-15, 0x1.477e52207289p-15, 0x1.43bd7c4b3ad98p-15, 0x1.400041ee7ac09p-15, 0x1.3c46b002f30a2p-15, 0x1.3890d32eb597p-15, 0x1.34deb7c6c4c65p-15, 0x1.313069d00d7fep-15, 0x1.2d85f5003a551p-15, 0x1.29df64be82ab4p-15, 0x1.263cc424948f6p-15, }}, 
      {{-0x1.560512893491bp-9, -0x1.54b1bcea2c785p-8, -0x1.fbdf971ff7b71p-8, -0x1.4fcf6e399455fp-7, -0x1.9fa882d658941p-7, -0x1.ed54101b545c8p-7, -0x1.1c680852a0574p-6, -0x1.411cd0723413ap-6, -0x1.64e311ffd37fcp-6, -0x1.87de2fe8fd245p-6, -0x1.aa3713ebbfc9dp-6, -0x1.cc19700faf878p-6, -0x1.edb177285ff28p-6, -0x1.0795049f8f323p-5, -0x1.1855a52560d9fp-5, -0x1.292ccbc450151p-5, -0x1.3a2a67e052b44p-5, -0x1.4b5bf1b055499p-5, -0x1.5ccc510456668p-5, -0x1.6e83ddd5c87fp-5, -0x1.808875ecc80e3p-5, -0x1.92dda31dac947p-5, -0x1.a584cde79f932p-5, -0x1.b87d7893badcap-5, -0x1.cbc57f5d544dp-5, -0x1.df595aa360986p-5, -0x1.f33460a27fdbfp-5, -0x1.03a8825c240acp-4, -0x1.0dd4895666d95p-4, -0x1.181af2790d896p-4, -0x1.22784a977c063p-4, -0x1.2ce913605dba5p-4, -0x1.3769d593517dcp-4, -0x1.41f730402332ap-4, -0x1.4c8de538c20fcp-4, -0x1.572ae2ed2faaep-4, -0x1.61cb4bf11ff0ap-4, -0x1.6c6c7c6f2e6aep-4, -0x1.770c0dce10cbap-4, -0x1.81a7d8ca1a5e1p-4, -0x1.8c3df6416fbbcp-4, -0x1.96ccbeec28302p-4, -0x1.a152ca33aa0f1p-4, -0x1.abceec56910cfp-4, -0x1.b64034004c9adp-4, -0x1.c0a5e776056b4p-4, -0x1.caff8174e9058p-4, -0x1.d54cadd96e3b1p-4, -0x1.df8d4622cdd75p-4, -0x1.e9c14de273309p-4, -0x1.f3e8ef23fd3f1p-4, -0x1.fe0476d81480dp-4, -0x1.040a28a50c748p-3, -0x1.090c835386d86p-3, -0x1.0e099bcd64832p-3, -0x1.1301cd03c4723p-3, -0x1.17f57aed74497p-3, -0x1.1ce5110164617p-3, -0x1.21d100c219802p-3, -0x1.26b9c05ad08efp-3, -0x1.2b9fc94effd38p-3, -0x1.3083973ca642ap-3, -0x1.3565a6b1bb9c5p-3, -0x1.3a467414fee3p-3, -0x1.3f267aa248204p-3, -0x1.4406337a59105p-3, -0x1.48e614c62146p-3, -0x1.4dc690ed4c6ebp-3, -0x1.52a815dfd99f4p-3, -0x1.578b0c7269dcfp-3, -0x1.5c6fd7ccd8ce8p-3, -0x1.6156d4ea9d688p-3, -0x1.66405a2c74cadp-3, -0x1.6b2cb6fa9e97fp-3, -0x1.701c3377153e1p-3, -0x1.750f103ef7004p-3, -0x1.7a05863a5d5c2p-3, -0x1.7effc679dc001p-3, -0x1.83fdfa20c4632p-3, -0x1.8900425b68136p-3, -0x1.8e06b86066157p-3, -0x1.93116d7c3ba81p-3, -0x1.98206b262cb07p-3, -0x1.9d33b31db7bdp-3, -0x1.a24b3f8fac862p-3, -0x1.a7670342317cp-3, -0x1.ac86e9c6d10b6p-3, -0x1.b1aad7b1dceb3p-3, -0x1.b6d2aad66f9b4p-3, -0x1.bbfe3a8650ba6p-3, -0x1.c12d57d517b6p-3, -0x1.c65fcdddf74aep-3, -0x1.cb95620b94649p-3, -0x1.d0cdd461654a4p-3, -0x1.d608dfc617cd4p-3, -0x1.db463a4e8de0fp-3, -0x1.e0859588fb9f2p-3, -0x1.e5c69ec7d871p-3, -0x1.eb08ff6c3c717p-3, -0x1.f04c5d2f62c95p-3, -0x1.f5905a6b0d4b7p-3, -0x1.fad496608d7f9p-3, -0x1.000c56bf1e49ap-2, -0x1.02ae1cd19b8b6p-2, -0x1.054f69309bca4p-2, -0x1.07f0069e37bbep-2, -0x1.0a8fbef4a5e47p-2, -0x1.0d2e5b4403ebfp-2, -0x1.0fcba3ef0598dp-2, -0x1.126760c68033p-2, -0x1.15015923d4838p-2, -0x1.1799540232278p-2, -0x1.1a2f1816b9102p-2, -0x1.1cc26be77aee7p-2, -0x1.1f5315e15ddfap-2, -0x1.21e0dc6ceae65p-2, -0x1.246b860208316p-2, -0x1.26f2d93aaa9fbp-2, -0x1.29769ce484385p-2, -0x1.2bf69811b8d37p-2, -0x1.2e7292289f1cdp-2, -0x1.30ea52f29ab01p-2, -0x1.335da2aa14967p-2, -0x1.35cc4a079ee76p-2, -0x1.3836124e4a942p-2, -0x1.3a9ac55737bb8p-2, -0x1.3cfa2d9c6f77ep-2, -0x1.3f5416430728fp-2, -0x1.41a84b249f407p-2, -0x1.43f698d84187fp-2, -0x1.463eccbaa425bp-2, -0x1.4880b4f5e59d3p-2, -0x1.4abc2088b7ac5p-2, -0x1.4cf0df4d12f9p-2, -0x1.4f1ec1fe6ba46p-2, -0x1.51459a3f793bep-2, -0x1.53653a9f9127dp-2, -0x1.557d769f9bf21p-2, -0x1.578e22b6aa3b8p-2, -0x1.59971456345f2p-2, -0x1.5b9821ee005cbp-2, -0x1.5d9122efb9ebp-2, -0x1.5f81efd240a7p-2, -0x1.616a6214ac6p-2, -0x1.634a54410f6aep-2, -0x1.6521a1eef7de7p-2, -0x1.66f027c5b5702p-2, -0x1.68b5c37e65428p-2, -0x1.6a7253e5c5686p-2, -0x1.6c25b8ddd644ep-2, -0x1.6dcfd35f45d2bp-2, -0x1.6f70857ab1236p-2, -0x1.7107b259b036ap-2, -0x1.72953e3fb9cbep-2, -0x1.74190e8add6bfp-2, -0x1.759309b44df2dp-2, -0x1.77031750caacap-2, -0x1.78692010db26p-2, -0x1.79c50dc0eap-2, -0x1.7b16cb49366cap-2, -0x1.7c5e44ada35d4p-2, -0x1.7d9b670d63119p-2, -0x1.7ece20a27d43ep-2, -0x1.7ff660c136fd4p-2, -0x1.811417d75425cp-2, -0x1.8227376b3b9dep-2, -0x1.832fb21af827bp-2, -0x1.842d7b9b1af8bp-2, -0x1.852088b57aaa8p-2, -0x1.8608cf47d91aep-2, -0x1.86e6464263789p-2, -0x1.87b8e5a619af2p-2, -0x1.8880a68313147p-2, -0x1.893d82f6a841ap-2, -0x1.89ef76297f755p-2, -0x1.8a967c4d7a9c3p-2, -0x1.8b32929b8a868p-2, -0x1.8bc3b75165f7p-2, -0x1.8c49e9af256ep-2, -0x1.8cc529f4c2ce4p-2, -0x1.8d35795f8141dp-2, -0x1.8d9ada2738f9bp-2, -0x1.8df54f7b89dbap-2, -0x1.8e44dd80f9133p-2, -0x1.8e89894df04a9p-2, -0x1.8ec358e7ac9dcp-2, -0x1.8ef2533f10861p-2, -0x1.8f16802d63bdfp-2, -0x1.8f2fe870fe08bp-2, -0x1.8f3e95a9d8e7ep-2, -0x1.8f42925611eccp-2, -0x1.8f3be9ce577c3p-2, -0x1.8f2aa84245bep-2, -0x1.8f0edab4acad2p-2, -0x1.8ee88ef7cab86p-2, -0x1.8eb7d3a9747a6p-2, -0x1.8e7cb82f2d7cfp-2, -0x1.8e374cb232088p-2, -0x1.8de7a21b74a35p-2, -0x1.8d8dca0f8d7d2p-2, -0x1.8d29d6ea9dfbbp-2, -0x1.8cbbdbbc29483p-2, -0x1.8c43ec42e1dd7p-2, -0x1.8bc21ce8700dbp-2, -0x1.8b3682bd2a03ep-2, -0x1.8aa13373cb552p-2, -0x1.8a02455d21227p-2, -0x1.8959cf63addf2p-2, -0x1.88a7e9074df8ep-2, -0x1.87ecaa58d2d27p-2, -0x1.87282bf59bfcp-2, -0x1.865a87032c05dp-2, -0x1.8583d52abce22p-2, -0x1.84a43094d365fp-2, -0x1.83bbb3e4cd123p-2, -0x1.82ca7a3476a88p-2, -0x1.81d09f0f99134p-2, -0x1.80ce3e6f929ep-2, -0x1.7fc374b6ea058p-2, -0x1.7eb05eace972ep-2, -0x1.7d95197939e69p-2, -0x1.7c71c29f861dfp-2, -0x1.7b4677fb201c8p-2, -0x1.7a1357baad4d5p-2, -0x1.78d8805bd93dep-2, -0x1.779610a70ef19p-2, -0x1.764c27ab370bbp-2, -0x1.74fae4b9840c5p-2, -0x1.73a267614212p-2, -0x1.7242cf6baef67p-2, -0x1.70dc3cd7e1cffp-2, -0x1.6f6ecfd6b7ba2p-2, -0x1.6dfaa8c6c96a1p-2, -0x1.6c7fe830748d6p-2, -0x1.6afeaec1e529p-2, -0x1.69771d4b34f57p-2, -0x1.67e954ba8f921p-2, -0x1.66557618684f2p-2, -0x1.64bba283bb67ep-2, -0x1.631bfb2e5a3b1p-2, -0x1.6176a159498b9p-2, -0x1.5fcbb6512a4f8p-2, -0x1.5e1b5b6ab2c4fp-2, -0x1.5c65b1ff35996p-2, -0x1.5aaadb6936434p-2, -0x1.58eaf9010ef2cp-2, -0x1.57262c19a495ap-2, -0x1.555c95fd2ab07p-2, -0x1.538e57e9f62b5p-2, -0x1.51bb930f5ff49p-2, -0x1.4fe4688ab8596p-2, -0x1.4e08f9644b859p-2, -0x1.4c29668c73351p-2, -0x1.4a45d0d8bade2p-2, -0x1.485e590114923p-2, -0x1.46731f9d1db3ap-2, -0x1.448445217380cp-2, -0x1.4291e9dd1a182p-2, -0x1.409c2df6f3518p-2, -0x1.3ea3316b448b1p-2, -0x1.3ca7140950413p-2, -0x1.3aa7f570ff7bap-2, -0x1.38a5f51099bdep-2, -0x1.36a132228fe0fp-2, -0x1.3499cbab58146p-2, -0x1.328fe0775862bp-2, -0x1.30838f18e25c7p-2, -0x1.2e74f5e6413c8p-2, -0x1.2c6432f7d61f1p-2, -0x1.2a51642644ef3p-2, -0x1.283ca708b27b1p-2, -0x1.262618f3133efp-2, -0x1.240dd6f486f1p-2, -0x1.21f3fdd5c7d82p-2, -0x1.1fd8aa17a8a59p-2, -0x1.1dbbf7f1a0622p-2, -0x1.1b9e035067f27p-2, -0x1.197ee7d4a53d9p-2, -0x1.175ec0d1a7ebep-2, -0x1.153da94c32e5fp-2, -0x1.131bbbf9561a1p-2, -0x1.10f9133d5421cp-2, -0x1.0ed5c92a9c923p-2, -0x1.0cb1f780cea8dp-2, -0x1.0a8db7abcc3dp-2, -0x1.086922c2dba65p-2, -0x1.06445187d5f33p-2, -0x1.041f5c666483cp-2, -0x1.01fa5b7348c3p-2, -0x1.ffaaccd76e72ep-3, -0x1.fb6129696c48dp-3, -0x1.f717fab5287c8p-3, -0x1.f2cf6e20c3721p-3, -0x1.ee87b05ef926bp-3, -0x1.ea40ed6e4a90fp-3, -0x1.e5fb509843267p-3, -0x1.e1b70470d37e1p-3, -0x1.dd7432d5c5747p-3, -0x1.d93304ee41068p-3, -0x1.d4f3a32a6e337p-3, -0x1.d0b635432875fp-3, -0x1.cc7ae239c9fd8p-3, -0x1.c841d05806bccp-3, -0x1.c40b252fe5601p-3, -0x1.bfd7059bbbc8dp-3, -0x1.bba595be55c14p-3, -0x1.b776f90315886p-3, -0x1.b34b521e3cd3ap-3, -0x1.af22c30d37934p-3, -0x1.aafd6d1701fb4p-3, -0x1.a6db70cc9c9f1p-3, -0x1.a2bcee098f817p-3, -0x1.9ea203f4815f6p-3, -0x1.9a8ad0ffd8a7fp-3, -0x1.967772ea73533p-3, -0x1.926806c06946ap-3, -0x1.8e5ca8dbdbebbp-3, -0x1.8a5574e5d59bep-3, -0x1.865285d739c25p-3, -0x1.8253f5f9bb268p-3, -0x1.7e59dee8e671dp-3, -0x1.7a645993311acp-3, -0x1.76737e3b2010ap-3, -0x1.72876478691f3p-3, -0x1.6ea0233930792p-3, -0x1.6abdd0c3447f8p-3, -0x1.66e082b56ce34p-3, -0x1.63084e08baa7ep-3, -0x1.5f354711ea9f4p-3, -0x1.5b678182ca888p-3, -0x1.579f106ba7dcp-3, -0x1.53dc063cce6cep-3, -0x1.501e74c800e1dp-3, -0x1.4c666d4208ee2p-3, -0x1.48b400443ebebp-3, -0x1.45073dce2745ep-3, -0x1.416035470b7dcp-3, -0x1.3dbef57f9e9e8p-3, -0x1.3a238cb3a6f87p-3, -0x1.368e088bac14ep-3, -0x1.32fe761eaaffap-3, -0x1.2f74e1f3d1995p-3, -0x1.2bf158043665ep-3, -0x1.2873e3bca02f6p-3, -0x1.24fc8fff4a24bp-3, -0x1.218b6725ab7ccp-3, -0x1.1e20730248c6bp-3, -0x1.1abbbce27ff31p-3, -0x1.175d4d905b663p-3, -0x1.14052d546c149p-3, -0x1.10b363f79d764p-3, -0x1.0d67f8c50fa3p-3, -0x1.0a22f28bf24f7p-3, -0x1.06e457a166d3dp-3, -0x1.03ac2de25a47dp-3, -0x1.007a7ab565c7p-3, -0x1.fa9e86195d69dp-4, -0x1.f45516cf9187dp-4, -0x1.ee18afab31b98p-4, -0x1.e7e957ec6037fp-4, -0x1.e1c715f96b86p-4, -0x1.dbb1ef62846aep-4, -0x1.d5a9e8e581ff7p-4, -0x1.cfaf0671a77d6p-4, -0x1.c9c14b2b5bfcbp-4, -0x1.c3e0b96fe3f2p-4, -0x1.be0d52d9253c8p-4, -0x1.b84718415291bp-4, -0x1.b28e09c6a8815p-4, -0x1.ace226cf18e1ep-4, -0x1.a7436e0bf47ap-4, -0x1.a1b1dd7d9d768p-4, -0x1.9c2d72771bf7cp-4, -0x1.96b629a1cd2fap-4, -0x1.914bff00f199dp-4, -0x1.8beeedf548edp-4, -0x1.869ef1409ebd6p-4, -0x1.815c03095611dp-4, -0x1.7c261cdde7128p-4, -0x1.76fd37b866ebep-4, -0x1.71e14c01f5d54p-4, -0x1.6cd2519633c72p-4, -0x1.67d03fc6aaa29p-4, -0x1.62db0d5e2d9e6p-4, -0x1.5df2b0a4374b1p-4, -0x1.59171f603c555p-4, -0x1.54484edcf76b3p-4, -0x1.4f8633ebaf27p-4, -0x1.4ad0c2e770e47p-4, -0x1.4627efb8491eep-4, -0x1.418badd667c26p-4, -0x1.3cfbf04d4edd5p-4, -0x1.3878a9bee63a4p-4, -0x1.3401cc6690e9cp-4, -0x1.2f974a1c37028p-4, -0x1.2b3914574bdcap-4, -0x1.26e71c31bdc8ap-4, -0x1.22a1526aeeebep-4, -0x1.1e67a76a96e4cp-4, -0x1.1a3a0b439e733p-4, -0x1.16186db6fba8ap-4, -0x1.1202be3673876p-4, -0x1.0df8ebe763056p-4, -0x1.09fae5a574b54p-4, -0x1.06089a055019dp-4, -0x1.0221f7573d5dbp-4, -0x1.fc8dd75386d1cp-5, -0x1.f4eec99875c4p-5, -0x1.ed66a0a2a7fadp-5, -0x1.e5f5372337e4p-5, -0x1.de9a675bd5b79p-5, -0x1.d7560b23aa453p-5, -0x1.d027fbec1b804p-5, -0x1.c91012c578105p-5, -0x1.c20e28639f03p-5, -0x1.bb221522844ebp-5, -0x1.b44bb10aae4bap-5, -0x1.ad8ad3d590582p-5, -0x1.a6df54f1edee2p-5, -0x1.a0490b880cd14p-5, -0x1.99c7ce7de1415p-5, -0x1.935b747b2eea6p-5, -0x1.8d03d3ed88c28p-5, -0x1.86c0c30c41c62p-5, -0x1.809217dc5c4cp-5, -0x1.7a77a83441c22p-5, -0x1.747149bf9094dp-5, -0x1.6e7ed202bc58fp-5, -0x1.68a0165ea8544p-5, -0x1.62d4ec14263afp-5, -0x1.5d1d28476ef11p-5, -0x1.5778a0037bfc4p-5, -0x1.51e7283d5dca7p-5, -0x1.4c6895d7735c6p-5, -0x1.46fcbda492cf1p-5, -0x1.41a3746b28bf6p-5, -0x1.3c5c8ee8374efp-5, -0x1.3727e1d25f031p-5, -0x1.320541dca6e6ap-5, -0x1.2cf483b972c31p-5, -0x1.27f57c1d2f765p-5, -0x1.2307ffc10ec46p-5, -0x1.1e2be365a91eap-5, -0x1.1960fbd590ff5p-5, -0x1.14a71de7db01bp-5, -0x1.0ffe1e8282179p-5, -0x1.0b65d29cd5f2ap-5, -0x1.06de0f41d3431p-5, -0x1.0266a99254348p-5, -0x1.fbfeed8eac0dcp-6, -0x1.f3509868341ffp-6, -0x1.eac1fe9072085p-6, -0x1.e252cb235e6b2p-6, -0x1.da02a97daa3eep-6, -0x1.d1d14540865e3p-6, -0x1.c9be4a5577c43p-6, -0x1.c1c964f1d80c6p-6, -0x1.b9f2419a71634p-6, -0x1.b2388d26d2b0ep-6, -0x1.aa9bf4c4a52b8p-6, -0x1.a31c25fadbea8p-6, -0x1.9bb8ceacc8078p-6, -0x1.94719d1d1b283p-6, -0x1.8d463ff0cb118p-6, -0x1.86366631d3744p-6, -0x1.7f41bf51fbf22p-6, -0x1.7867fb2d5e1ap-6, -0x1.71a8ca0cf6a6ap-6, -0x1.6b03dca907971p-6, -0x1.6478e42b77774p-6, -0x1.5e079231feb1fp-6, -0x1.57af98d05f70dp-6, -0x1.5170aa9268b61p-6, -0x1.4b4a7a7e01333p-6, -0x1.453cbc14fec19p-6, -0x1.3f47235702c7fp-6, -0x1.396964c32c673p-6, -0x1.33a33559cf944p-6, -0x1.2df44a9e03618p-6, -0x1.285c5a971dfcbp-6, -0x1.22db1bd231609p-6, -0x1.1d70456357794p-6, -0x1.181b8ee7098ap-6, -0x1.12dcb08357e96p-6, -0x1.0db362e902c6ap-6, -0x1.089f5f549c14bp-6, -0x1.03a05f8f90d51p-6, -0x1.fd6c3be21051ep-7, -0x1.f3c0aabdbd117p-7, -0x1.ea3d829cd2c88p-7, -0x1.e0e23b8a76ed9p-7, -0x1.d7ae4eb3cb2dp-7, -0x1.cea1366933ebdp-7, -0x1.c5ba6e1f77628p-7, -0x1.bcf97270d87ebp-7, -0x1.b45dc11e0ffe8p-7, -0x1.abe6d90f1cbabp-7, -0x1.a3943a542bde9p-7, -0x1.9b656625ffa4dp-7, -0x1.9359dee6c813dp-7, -0x1.8b71282248fdap-7, -0x1.83aac68e88836p-7, -0x1.7c06400bc6a3fp-7, -0x1.74831ba4f7ac8p-7, -0x1.6d20e18f945f3p-7, -0x1.65df1b2bcb351p-7, -0x1.5ebd53046f7a6p-7, -0x1.57bb14ceb01fep-7, -0x1.50d7ed69f8c4ap-7, -0x1.4a136adfa17dp-7, -0x1.436d1c62728dfp-7, -0x1.3ce4924e4cbe9p-7, -0x1.36795e279e6fdp-7, -0x1.302b129abbb66p-7, -0x1.29f9437b492bbp-7, -0x1.23e385c36de44p-7, -0x1.1de96f9315dc8p-7, -0x1.180a982f1edddp-7, -0x1.124698005a766p-7, -0x1.0c9d0892b4f4fp-7, -0x1.070d84941ca34p-7, -0x1.0197a7d367986p-7, -0x1.f8761e7e9be5fp-8, -0x1.edeeb1ca4b76bp-8, -0x1.e39847df6a92ap-8, -0x1.d972214be50dcp-8, -0x1.cf7b80d3339c4p-8, -0x1.c5b3ab6bf70d7p-8, -0x1.bc19e83ce111ap-8, -0x1.b2ad8099f63a9p-8, -0x1.a96dc00182dcp-8, -0x1.a059f4193363ap-8, -0x1.97716caaf77dep-8, -0x1.8eb37ba1a7964p-8, -0x1.861f7505fe813p-8, -0x1.7db4aefb0397cp-8, -0x1.757281bb227fcp-8, -0x1.6d58479448b82p-8, -0x1.65655ce4cea71p-8, -0x1.5d992017836bp-8, -0x1.55f2f1a07d6bap-8, -0x1.4e7233f942e0cp-8, -0x1.47164b9d42d9ap-8, -0x1.3fde9f05df153p-8, -0x1.38ca96a6f3646p-8, -0x1.31d99cead2481p-8, -0x1.2b0b1e2e932f4p-8, -0x1.245e88be3bd64p-8, -0x1.1dd34cd0984cbp-8, -0x1.1768dc83a902fp-8, -0x1.111eabd85b91ap-8, -0x1.0af430aed30f1p-8, -0x1.04e8e2c221673p-8, -0x1.fdf877494abafp-9, -0x1.f25b6d76ce938p-9, -0x1.e6f9a27580923p-9, -0x1.dbd2144316b37p-9, -0x1.d0e3c46b3ba4dp-9, -0x1.c62db7fe81aa6p-9, -0x1.bbaef78ae5c6dp-9, -0x1.b1668f12f27afp-9, -0x1.a7538e056f424p-9, -0x1.9d75073594ea6p-9, -0x1.93ca10d24fd9bp-9, -0x1.8a51c45e02af1p-9, -0x1.810b3ea65ae69p-9, -0x1.77f59fbba7632p-9, -0x1.6f100ae8ec202p-9, -0x1.6659a6ab18148p-9, -0x1.5dd19ca91df5p-9, -0x1.557719ab47eddp-9, -0x1.4d494d932c5d5p-9, -0x1.45476b5321a41p-9, -0x1.3d70a8e6186a6p-9, -0x1.35c43f4747bbdp-9, -0x1.2e416a6a18303p-9, -0x1.26e7693166c16p-9, -0x1.1fb57d67fa70cp-9, -0x1.18aaebb7af785p-9, -0x1.11c6fba1c587cp-9, -0x1.0b08f7767afcdp-9, -0x1.04702c4cdeb6bp-9, -0x1.fbf7d3f60e7cep-10, -0x1.ef57061b6e01bp-10, -0x1.e2fc9980f443ap-10, -0x1.d6e73deb3e4f3p-10, -0x1.cb15a85c6a8eep-10, -0x1.bf869304ff947p-10, -0x1.b438bd32b432cp-10, -0x1.a92aeb42593cp-10, -0x1.9e5be68f387adp-10, -0x1.93ca7d63e195cp-10, -0x1.897582eade2e4p-10, -0x1.7f5bcf1f40d7bp-10, -0x1.757c3ebd809e7p-10, -0x1.6bd5b333eab8bp-10, -0x1.62671294695d9p-10, -0x1.592f4784787ccp-10, -0x1.502d412f662e4p-10, -0x1.475ff336c6a43p-10, -0x1.3ec655a42a1e1p-10, -0x1.365f64da6a26ep-10, -0x1.2e2a21878c923p-10, -0x1.26259095875d8p-10, -0x1.1e50bb1d77b32p-10, -0x1.16aaae57f8959p-10, -0x1.0f327b9034ba2p-10, -0x1.07e73815a8df1p-10, -0x1.00c7fd2e3c09ap-10, -0x1.f3a7d0113429bp-11, -0x1.e614335d7bfa6p-11, -0x1.d8d36df10855bp-11, -0x1.cbe3d0fc465a3p-11, -0x1.bf43b51637d5ap-11, -0x1.b2f17a220e11dp-11, -0x1.a6eb8735ecf73p-11, -0x1.9b304a7f6c5fep-11, -0x1.8fbe392c9a56bp-11, -0x1.8493cf4f9f83p-11, -0x1.79af8fc8eeb29p-11, -0x1.6f10042c6f81cp-11, -0x1.64b3bca8c9813p-11, -0x1.5a994ff107e86p-11, -0x1.50bf5b21f2db8p-11, -0x1.472481ac52c5bp-11, -0x1.3dc76d3c2e34cp-11, -0x1.34a6cda1d34cep-11, -0x1.2bc158ba9f081p-11, -0x1.2315ca5a02291p-11, -0x1.1aa2e43340671p-11, -0x1.12676dc2de891p-11, -0x1.0a623437e2919p-11, -0x1.02920a5e93d89p-11, -0x1.f5eb911580662p-12, -0x1.e71899035951ep-12, -0x1.d8a8f2cc49b46p-12, -0x1.ca9a6f4382f12p-12, -0x1.bceae9a33c2a6p-12, -0x1.af98476246b94p-12, -0x1.a2a0780bbb7a8p-12, -0x1.96017516a9752p-12, -0x1.89b941bfac3ep-12, -0x1.7dc5eadfefeefp-12, -0x1.722586c7db9c7p-12, -0x1.66d6351865127p-12, -0x1.5bd61e9cf67bap-12, -0x1.51237526d0236p-12, -0x1.46bc7366fcf98p-12, -0x1.3c9f5ccb4272dp-12, -0x1.32ca7d5a7b57p-12, -0x1.293c298db4ff8p-12, -0x1.1ff2be31946d8p-12, -0x1.16eca04020ecp-12, -0x1.0e283cc1e765bp-12, -0x1.05a408a802b95p-12, -0x1.fabd015e27c62p-13, -0x1.eaac527642c9bp-13, -0x1.db131c7045ad1p-13, -0x1.cbee85f63a0e3p-13, -0x1.bd3bc44115a0fp-13, -0x1.aef81adbd7395p-13, -0x1.a120db6830278p-13, -0x1.93b3655d3340ep-13, -0x1.86ad25cec3199p-13, -0x1.7a0b9731689b6p-13, -0x1.6dcc411f08fep-13, -0x1.61ecb81e32acep-13, -0x1.566a9d6af764ap-13, -0x1.4b439eb92f44cp-13, -0x1.407576053d8bcp-13, -0x1.35fde95665abfp-13, -0x1.2bdaca8da3569p-13, -0x1.2209f72d8eb39p-13, -0x1.18895829ae056p-13, -0x1.0f56e1af9f0a1p-13, -0x1.067092f5ed38cp-13, -0x1.fba8ec129187cp-14, -0x1.eb013f390df46p-14, -0x1.dae65dad6a1efp-14, -0x1.cb549a46d14f2p-14, -0x1.bc485c0988a83p-14, -0x1.adbe1dc52f5bfp-14, -0x1.9fb26dbe14ac9p-14, -0x1.9221ed5105a3bp-14, -0x1.85095097fab4fp-14, -0x1.78655e17d095dp-14, -0x1.6c32ee62505bp-14, -0x1.606eebcbbc0dfp-14, -0x1.5516520a98215p-14, -0x1.4a262df12b5aep-14, -0x1.3f9b9d1355568p-14, -0x1.3573cd7ac6a39p-14, -0x1.2babfd59da809p-14, -0x1.22417ab8a7724p-14, -0x1.1931a32d57623p-14, -0x1.1079e3909ec88p-14, -0x1.0817b7b19bf9ap-14, -0x1.0008aa0e56e65p-14, -0x1.f094a7194278p-15, -0x1.e1b4b664fd16fp-15, -0x1.d36cebc502c54p-15, -0x1.c5b8cc2b0a147p-15, -0x1.b893f72f7315cp-15, -0x1.abfa2691e49bep-15, -0x1.9fe72db046f3cp-15, -0x1.9456f90dd3fd2p-15, -0x1.89458dce8747fp-15, -0x1.7eaf0941c882dp-15, -0x1.748fa0636bd0ep-15, -0x1.6ae39f65d85a6p-15, -0x1.61a7693dbad2cp-15, -0x1.58d7772d93f6ep-15, -0x1.507058501ee38p-15, -0x1.486eb12f39a8fp-15, -0x1.40cf3b4df2a39p-15, -0x1.398ec4c47e224p-15, -0x1.32aa2fcdf0d17p-15, -0x1.2c1e7265d412ep-15, -0x1.25e895dcf4a7cp-15, -0x1.2005b676c8328p-15, -0x1.1a73030494c6dp-15, -0x1.152dbc8744f74p-15, -0x1.103335c8539efp-15, -0x1.0b80d301fbb69p-15, -0x1.071409830e269p-15, -0x1.02ea5f4bfa545p-15, -0x1.fe02d57e58a2dp-16, -0x1.f6ada482f13e3p-16, -0x1.efd097d258c2ap-16, -0x1.e9673a4ad1fc1p-16, -0x1.e36d34d6f028p-16, -0x1.ddde4dd35765ep-16, -0x1.d8b6685ace9e5p-16, -0x1.d3f183c072ef4p-16, -0x1.cf8bbade8bbd8p-16, -0x1.cb81438b759b9p-16, -0x1.c7ce6dff04547p-16, -0x1.c46fa443963c9p-16, -0x1.c16169a2c4da5p-16, -0x1.bea05a179700cp-16, -0x1.bc2929c1df656p-16, -0x1.b9f8a46b7b966p-16, -0x1.b80baceb9c796p-16, -0x1.b65f3cb4c6f78p-16, -0x1.b4f0635169be2p-16, -0x1.b3bc45df43a1bp-16, -0x1.b2c01e958d7cdp-16, -0x1.b1f93c51cfd2dp-16, -0x1.b165021614bb6p-16, -0x1.b100e699d3135p-16, -0x1.b0ca73d8b26fep-16, -0x1.b0bf46999dbccp-16, -0x1.b0dd0e07ead49p-16, -0x1.b1218b45e34e2p-16, -0x1.b18a90f9c04fep-16, -0x1.b21602f41b46ep-16, -0x1.b2c1d5bb5e21ap-16, -0x1.b38c0e30851f8p-16, -0x1.b472c126a250ep-16, -0x1.b574130635abcp-16, -0x1.b68e376dc973p-16, -0x1.b7bf70d53c9ap-16, -0x1.b90610303fcb6p-16, -0x1.ba6074967dad4p-16, -0x1.bbcd0af0010d8p-16, -0x1.bd4a4d9a81c3bp-16, -0x1.bed6c4165a428p-16, -0x1.c07102b633137p-16, -0x1.c217aa4c32c65p-16, -0x1.c3c967de26be7p-16, -0x1.c584f4532ce94p-16, -0x1.c749142d3f018p-16, -0x1.c914973a2e8d7p-16, -0x1.cae658502575ap-16, -0x1.ccbd3cfdb661ep-16, -0x1.ce98355093904p-16, -0x1.d0763b8445517p-16, -0x1.d25653c86b6b9p-16, -0x1.d4378bf963f12p-16, -0x1.d618fb660ffbp-16, -0x1.d7f9c28a1c6e9p-16, -0x1.d9d90ad579f1bp-16, -0x1.dbb6066de52cep-16, -0x1.dd8feff3c6604p-16, -0x1.df660a4ade77ep-16, -0x1.e137a05e17b0ep-16, -0x1.e30404ece6c34p-16, -0x1.e4ca924f10b7fp-16, -0x1.e68aaa4588dd5p-16, -0x1.e843b5c328aafp-16, -0x1.e9f524bbfae8cp-16, -0x1.eb9e6df1c61d8p-16, -0x1.ed3f0ec51fd5fp-16, -0x1.eed68b062ae4ep-16, -0x1.f0646cc35d3c5p-16, -0x1.f1e8441fa43ep-16, -0x1.f361a724dbf99p-16, -0x1.f4d03196d235ap-16, -0x1.f63384cb13e43p-16, -0x1.f78b477f94984p-16, -0x1.f8d725ae24212p-16, -0x1.fa16d06b7ac26p-16, -0x1.fb49fdb947f5bp-16, -0x1.fc706866a9163p-16, -0x1.fd89cfe765464p-16, -0x1.fe95f82f05f6ep-16, -0x1.ff94a99327b62p-16, -0x1.0042d850c35c3p-15, -0x1.00b46f01e94cep-15, -0x1.011f032d9c5fap-15, -0x1.018281123f5afp-15, -0x1.01ded6c985701p-15, -0x1.0233f43ba2873p-15, -0x1.0281cb0e93bf9p-15, -0x1.02c84e9920e53p-15, -0x1.030773d267987p-15, -0x1.033f314638cd6p-15, -0x1.036f7f06974f4p-15, -0x1.0398569d31942p-15, -0x1.03b9b30135effp-15, -0x1.03d39087c2844p-15, -0x1.03e5ecda07fd9p-15, -0x1.03f0c6e763bbfp-15, -0x1.03f41edaaa641p-15, -0x1.03eff60ef1197p-15, -0x1.03e44f0326fecp-15, -0x1.03d12d5095fcdp-15, -0x1.03b695a0468cbp-15, -0x1.03948d9f2b7fp-15, -0x1.036b1bf591a21p-15, -0x1.033a483cee30cp-15, -0x1.03021af5dbbbfp-15, -0x1.02c29d7f97814p-15, -0x1.027bda0e1bdf8p-15, -0x1.022ddba19e65bp-15, -0x1.01d8adfe812d5p-15, -0x1.017c5da44e206p-15, -0x1.0118f7c556e68p-15, -0x1.00ae8a3fa9a76p-15, -0x1.003d23944990dp-15, -0x1.ff89a5c1b9918p-16, -0x1.fe8b4faeaa00fp-16, -0x1.fd7f656ef4e7dp-16, -0x1.fc66088e4e3f8p-16, -0x1.fb3f5b996d12fp-16, -0x1.fa0b820f35569p-16, -0x1.f8caa054a7853p-16, -0x1.f77cdba8b92d6p-16, -0x1.f6225a1763bc2p-16, -0x1.f4bb426f159bdp-16, -0x1.f347bc34e9267p-16, -0x1.f1c7ef98b902bp-16, -0x1.f03c056bd8664p-16, -0x1.eea42716527c8p-16, -0x1.ed007e8c734c5p-16, -0x1.eb51364469d6dp-16, -0x1.e996792e36eb6p-16, -0x1.e7d072a9d54d1p-16, -0x1.e5ff4e7d818cbp-16, -0x1.e42338ce7bfdfp-16, -0x1.e23c5e1757c61p-16, -0x1.e04aeb20f6768p-16, -0x1.de4f0cf94eb91p-16, -0x1.dc48f0ecb72ep-16, -0x1.da38c47f032c7p-16, -0x1.d81eb5632dda5p-16, -0x1.d5faf174baa8cp-16, -0x1.d3cda6b11235ep-16, -0x1.d1970331d4e5dp-16, -0x1.cf573524f4f34p-16, -0x1.cd0e6ac889199p-16, -0x1.cabcd262f9618p-16, -0x1.c8629a3ecee96p-16, -0x1.c5fff0a4addd1p-16, -0x1.c39503d642fb8p-16, -0x1.c1220208a77b2p-16, -0x1.bea7195fe18ecp-16, -0x1.bc2477eab375dp-16, -0x1.b99a4b9ceca47p-16, -0x1.b708c24b8987cp-16, -0x1.b47009a88e1d7p-16, -0x1.b1d04f3efececp-16, -0x1.af29c06e66b97p-16, -0x1.ac7c8a6847f62p-16, -0x1.a9c8da2b14a5ap-16, -0x1.a70edc7f923f4p-16, -0x1.a44ebdf561181p-16, -0x1.a188aadf86ccep-16, -0x1.9ebccf518af27p-16, -0x1.9beb571c99898p-16, -0x1.99146dcc6d3eap-16, -0x1.96383ea54164dp-16, -0x1.9356f4a09775bp-16, -0x1.9070ba6afdcfap-16, -0x1.8d85ba619200dp-16, -0x1.8a961e90506e1p-16, -0x1.87a210af5cf85p-16, -0x1.84a9ba212314dp-16, -0x1.81ad43f085083p-16, -0x1.7eacd6cf412b5p-16, -0x1.7ba89b142ed76p-16, -0x1.78a0b8b91a09bp-16, -0x1.759557592a1a7p-16, -0x1.72869e3096cbcp-16, -0x1.6f74b41a7d724p-16, -0x1.6c5fbf8f320d2p-16, -0x1.6947e6a3f7effp-16, -0x1.662d4f095a1p-16, -0x1.63101e0a38e6fp-16, -0x1.5ff0788aaba8fp-16, -0x1.5cce830787eeap-16, -0x1.59aa619518675p-16, -0x1.568437df0511bp-16, -0x1.535c2926d49bbp-16, -0x1.503258436431ep-16, -0x1.4d06e7a0da877p-16, -0x1.49d9f9402621ap-16, -0x1.46abaeb60ed53p-16, -0x1.437c292b20e1p-16, -0x1.404b895b572e3p-16, -0x1.3d19ef959b0dp-16, -0x1.39e77bbbda8b6p-16, -0x1.36b44d4252269p-16, -0x1.3380833091a47p-16, -0x1.304c3c1ffc024p-16, -0x1.2d17963c751d7p-16, -0x1.29e2af442ba85p-16, -0x1.26ada4885a47bp-16, -0x1.237892ec30b59p-16, -0x1.204396e5d5007p-16, -0x1.1d0ecc7e34b49p-16, -0x1.19da4f5136946p-16, -0x1.16a63a8e14aaep-16, -0x1.1372a8f797621p-16, -0x1.103fb4e459f72p-16, -0x1.0d0d783ed6022p-16, -0x1.09dc0c864c34ep-16, -0x1.06ab8acefa662p-16, -0x1.037c0bc2530d4p-16, -0x1.004da79f84021p-16, -0x1.fa40ec7843f7ap-17, -0x1.f3e91e089c13p-17, -0x1.ed9411f66ffd1p-17, -0x1.e741f5782f892p-17, -0x1.e0f2f4f59aa6p-17, -0x1.daa73c071e851p-17, -0x1.d45ef578dfd25p-17, -0x1.ce1a4b4af73c6p-17, -0x1.c7d966b3b35adp-17, -0x1.c19c702001e2cp-17, -0x1.bb638f34253c7p-17, -0x1.b52eeacf37cadp-17, -0x1.aefea90af97a9p-17, -0x1.a8d2ef3dc0f4cp-17, -0x1.a2abe1fb63a59p-17, -0x1.9c89a517b70bdp-17, -0x1.966c5ba79703ap-17, -0x1.905428019b5bfp-17, -0x1.8a412bc0aa71cp-17, -0x1.843387c5955bap-17, -0x1.7e2b5c3871c9fp-17, -0x1.7828c88a2aaadp-17, -0x1.722beb75ee37cp-17, -0x1.6c34e3034781fp-17, -0x1.6643cc8700b58p-17, -0x1.6058c4a5b5b45p-17, -0x1.5a73e7557d3a3p-17, -0x1.54954fdf7dd33p-17, -0x1.4ebd18e0759d9p-17, -0x1.48eb5c4bf2a08p-17, -0x1.4320336dddf5fp-17, -0x1.3d5bb6eba110cp-17, -0x1.379dfec5d4ee6p-17, -0x1.31e7225ac725bp-17, -0x1.2c373867ef983p-17, -0x1.268e570b52f7ap-17, -0x1.20ec93c519e65p-17, -0x1.1b52037a4aea6p-17, -0x1.15beba75fe66dp-17, -0x1.1032cc6aee189p-17, -0x1.0aae4c758e594p-17, -0x1.05314d1e30769p-17, -0x1.ff77c0b37b39ap-18, -0x1.f49c2f176a047p-18, -0x1.e9d007128bf3ap-18, -0x1.df1369337d8d5p-18, -0x1.d46674f19de28p-18, -0x1.c9c948af098ebp-18, -0x1.bf3c01bef6a49p-18, -0x1.b4bebc6652a15p-18, -0x1.aa5193e26abafp-18, -0x1.9ff4a26a68571p-18, -0x1.95a801309ba4cp-18, -0x1.8b6bc869c1944p-18, -0x1.81400f506c99dp-18, -0x1.7724ec25e37b8p-18, -0x1.6d1a74363c7dap-18, -0x1.6320bbdd36821p-18, -0x1.5937d688aed06p-18, -0x1.4f5fd6bac2216p-18, -0x1.4598ce0fd4ab8p-18, -0x1.3be2cd4095c82p-18, -0x1.323de4246a7e3p-18, -0x1.28aa21b657589p-18, -0x1.1f279416a1c1cp-18, -0x1.15b6489054eb6p-18, -0x1.0c564b9993f3ep-18, -0x1.0307a8da471abp-18, -0x1.f394d657e8885p-19, -0x1.e13d393d96cb4p-19, -0x1.cf088cf87087bp-19, -0x1.bcf6e298919a1p-19, -0x1.ab0849a812de3p-19, -0x1.993cd039ac9a8p-19, -0x1.879482eb5bd74p-19, -0x1.760f6ced6bcf6p-19, -0x1.64ad98091709ep-19, -0x1.536f0ca206b2dp-19, -0x1.4253d1c3258ccp-19, -0x1.315bed2051708p-19, -0x1.20876320252cfp-19, -0x1.0fd636d7d6257p-19, -0x1.fe90d43c86f74p-20, -0x1.ddbbfb11badaap-20, -0x1.bd2de0e87a354p-20, -0x1.9ce6821286ca6p-20, -0x1.7ce5d88475627p-20, -0x1.5d2bdbe154668p-20, -0x1.3db881886f345p-20, -0x1.1e8bbc9a63c48p-20, -0x1.ff4afc17f7f99p-21, -0x1.c20b694d3ca84p-21, -0x1.85589a31c49b4p-21, -0x1.49326400dea8bp-21, -0x1.0d9897ed063dfp-21, -0x1.a5160652da862p-22, -0x1.3012de00c416ep-22, -0x1.784e83ce90a1dp-23, -0x1.254ad5f62d7b9p-24, 0x1.435a5843e124ap-25, 0x1.3226958154686p-23, 0x1.08a5dbac293dfp-22, 0x1.772396bdee92fp-22, 0x1.e48d1ba66daa8p-22, 0x1.28718858520ffp-21, 0x1.5e1311470957cp-21, 0x1.932b8223dc74fp-21, 0x1.c7bb378dd9ab5p-21, 0x1.fbc2912584f4dp-21, 0x1.17a0f8bbe13ebp-20, 0x1.311cdefe850dap-20, 0x1.4a552f7d86c56p-20, 0x1.634a1fba9a4eap-20, 0x1.7bfbe690fb2bp-20, 0x1.946abc2aecfecp-20, 0x1.ac96d9faf9087p-20, 0x1.c4807ab03075cp-20, 0x1.dc27da3599f81p-20, 0x1.f38d35a29ef6ep-20, 0x1.0558659c3365fp-19, 0x1.10c96d2c00f7bp-19, 0x1.1c19d1bf2fe62p-19, 0x1.2749b419af4e9p-19, 0x1.32593588afe4ep-19, 0x1.3d4877d838177p-19, 0x1.48179d5445715p-19, 0x1.52c6c8c0b9fd5p-19, 0x1.5d561d5c38f4ep-19, 0x1.67c5bed59b2efp-19, 0x1.7215d14eecaa8p-19, 0x1.7c467954c1c1fp-19, 0x1.8657dbdfba8d6p-19, 0x1.904a1e4cd9c36p-19, 0x1.9a1d665e2185bp-19, 0x1.a3d1da3564f14p-19, 0x1.ad67a051e3eabp-19, 0x1.b6dedf8b0b638p-19, 0x1.c037bf1292a5fp-19, 0x1.c972666bd6e03p-19, 0x1.d28efd6ce3294p-19, 0x1.db8dac39371d7p-19, 0x1.e46e9b4136c0cp-19, 0x1.ed31f33b7f04ep-19, 0x1.f5d7dd2874984p-19, 0x1.fe6082487b2ccp-19, 0x1.0366060f3eb4bp-18, 0x1.078d523506c07p-18, 0x1.0ba63a94a74e4p-18, 0x1.0fb0d447757f8p-18, 0x1.13ad348420e9cp-18, 0x1.179b7099aa55dp-18, 0x1.1b7b9df184371p-18, 0x1.1f4dd20af8629p-18, 0x1.2312227daf6c6p-18, 0x1.26c8a4f4ab25ep-18, 0x1.2a716f311d883p-18, 0x1.2e0c970581c02p-18, 0x1.319a32577e198p-18, 0x1.351a571cc34b7p-18, 0x1.388d1b5b9157cp-18, }}, 
      {{-0x1.0bc12c692d066p-1, -0x1.0b957aac9e478p-1, -0x1.0b48a8d75c20ap-1, -0x1.0ad74e2825365p-1, -0x1.0a3fc948f30ddp-1, -0x1.09830def57a37p-1, -0x1.08a4a29021f5p-1, -0x1.07aa1b22b393bp-1, -0x1.069a5d0aaa8ap-1, -0x1.057ce15c2c27p-1, -0x1.0459125fcff0bp-1, -0x1.0335cf60d08d6p-1, -0x1.02191741df37ep-1, -0x1.0107d544c059bp-1, -0x1.0005c9ba2017bp-1, -0x1.fe2b109e4e3c3p-2, -0x1.fc710cc4e4084p-2, -0x1.fade6955af487p-2, -0x1.f972409c322b7p-2, -0x1.f82a307731acdp-2, -0x1.f702a872078acp-2, -0x1.f5f7372694cd8p-2, -0x1.f502d3b72058ep-2, -0x1.f420210332d4cp-2, -0x1.f349a8f9e4cabp-2, -0x1.f27a0f16a1003p-2, -0x1.f1ac39a89e7e8p-2, -0x1.f0db71ffa3debp-2, -0x1.f0037bf891082p-2, -0x1.ef20a5aa392d7p-2, -0x1.ee2fd020e0ecfp-2, -0x1.ed2e722edf368p-2, -0x1.ec1a965f157e2p-2, -0x1.eaf2d50dc486bp-2, -0x1.e9b64b99db705p-2, -0x1.e86491874d89dp-2, -0x1.e6fdac4dd3068p-2, -0x1.e5820270e03fcp-2, -0x1.e3f24e5fb698fp-2, -0x1.e24f91809c673p-2, -0x1.e09b07b15f30cp-2, -0x1.ded61b71bfec6p-2, -0x1.dd025ada7e2f7p-2, -0x1.db216d7551a9ap-2, -0x1.d9350afec8d53p-2, -0x1.d73ef312b9b32p-2, -0x1.d540e5bdddd4fp-2, -0x1.d33c9ceb377c5p-2, -0x1.d133c6a1725d2p-2, -0x1.cf28000326ee8p-2, -0x1.cd1ad10488393p-2, -0x1.cb0da8c940c48p-2, -0x1.c901da9dc1ea7p-2, -0x1.c6f89b8024533p-2, -0x1.c4f3002d8156ep-2, -0x1.c2f1fba98412dp-2, -0x1.c0f65e36badfep-2, -0x1.bf00d4b6d25ecp-2, -0x1.bd11e86a6f298p-2, -0x1.bb29ff08d26b3p-2, -0x1.b9495b27c1424p-2, -0x1.b7701cec7209p-2, -0x1.b59e42fe6b847p-2, -0x1.b3d3abb56d14fp-2, -0x1.b210167b939adp-2, -0x1.b053255d14914p-2, -0x1.ae9c5ebeffc46p-2, -0x1.aceb2f36a4e02p-2, -0x1.ab3eeb7b65313p-2, -0x1.a996d26cec144p-2, -0x1.a7f20f2809361p-2, -0x1.a64fbb24af779p-2, -0x1.a4aee057e2f8bp-2, -0x1.a30e7b54c4336p-2, -0x1.a16d7d68368a3p-2, -0x1.9fcaceab0d51p-2, -0x1.9e2550070a373p-2, -0x1.9c7bdd2b649adp-2, -0x1.9acd4e6dfed13p-2, -0x1.99187a96c5846p-2, -0x1.975c38933e0dep-2, -0x1.9597611089cdp-2, -0x1.93c8cffa99051p-2, -0x1.91ef65dfa89p-2, -0x1.900a093762644p-2, -0x1.8e17a78d67509p-2, -0x1.8c17368f3ed9dp-2, -0x1.8a07b4fdec8f6p-2, -0x1.87e82b83af37fp-2, -0x1.85b7ad6e9cd72p-2, -0x1.83755950fa866p-2, -0x1.8120598858036p-2, -0x1.7eb7e4ac959ffp-2, -0x1.7c3b3de816f2fp-2, -0x1.79a9b53a76b2ep-2, -0x1.7702a7a71b22dp-2, -0x1.74457f511e41ep-2, -0x1.7171b385f3438p-2, -0x1.6e86c8b83eb4fp-2, -0x1.6b84506c501bdp-2, -0x1.6869e9179ffaap-2, -0x1.65373df4b98c1p-2, -0x1.61ec06ccd53a7p-2, -0x1.5e8807b877ca3p-2, -0x1.5b0b10d8422a5p-2, -0x1.5774fe0719071p-2, -0x1.53c5b686ba833p-2, -0x1.4ffd2ca7bf6ccp-2, -0x1.4c1b5d6dfa42p-2, -0x1.48205032113f3p-2, -0x1.440c164115693p-2, -0x1.3fdeca7ad819ap-2, -0x1.3b9890ef9c7dfp-2, -0x1.3739967dbe89p-2, -0x1.32c2106fcbcd6p-2, -0x1.2e323c1b88f4dp-2, -0x1.298a5e823f5p-2, -0x1.24cac3f2b1ee9p-2, -0x1.1ff3bfacf760fp-2, -0x1.1b05ab887bdffp-2, -0x1.1600e79c59959p-2, -0x1.10e5d9ea2aa96p-2, -0x1.0bb4ee0b72857p-2, -0x1.066e94e1b371bp-2, -0x1.01134449363d6p-2, -0x1.f746ed9d1de8cp-3, -0x1.ec3f56cdb0109p-3, -0x1.e110ca553c6b4p-3, -0x1.d5bc5626e36adp-3, -0x1.ca430f7819cc7p-3, -0x1.bea61245fb061p-3, -0x1.b2e680df7697fp-3, -0x1.a70583741f148p-3, -0x1.9b0447a77b344p-3, -0x1.8ee400288c6f3p-3, -0x1.82a5e44d6e151p-3, -0x1.764b2fb2b9539p-3, -0x1.69d521de8e812p-3, -0x1.5d44fde6ff0edp-3, -0x1.509c0a1ba8a33p-3, -0x1.43db8fb2474f1p-3, -0x1.3704da760f5d1p-3, -0x1.2a193879a01dp-3, -0x1.1d19f9cb5ae4fp-3, -0x1.1008702bf8743p-3, -0x1.02e5eec733622p-3, -0x1.eb6793dcb1f1ap-4, -0x1.d0e6ada94fb6fp-4, -0x1.b64bd69ab4552p-4, -0x1.9b99bb1668e2p-4, -0x1.80d307c3103b9p-4, -0x1.65fa690d24ce7p-4, -0x1.4b128aae2985ap-4, -0x1.301e173656288p-4, -0x1.151fb7986fcf7p-4, -0x1.f434256fb541bp-5, -0x1.be1f99f15f6c5p-5, -0x1.88070fa3ab7f5p-5, -0x1.51efc2c22955p-5, -0x1.1bdee802071edp-5, -0x1.cbb357839c54ep-6, -0x1.5fca627970da6p-6, -0x1.e81a470790966p-7, -0x1.110b6fbcbe006p-7, -0x1.d3e25dff1185dp-10, 0x1.36fe92033afedp-8, 0x1.70d3a6405f1b3p-7, 0x1.22b6ad18d00dap-6, 0x1.8c9c962672c15p-6, 0x1.f6121000a44f4p-6, 0x1.2f86ddd65e382p-5, 0x1.63c32d6391f9bp-5, 0x1.97b96861ce7f6p-5, 0x1.cb65121223f16p-5, 0x1.fec1bfd395c0cp-5, 0x1.18e58cda88c18p-4, 0x1.323e6d812c639p-4, 0x1.4b696965fb15fp-4, 0x1.64647235033bfp-4, 0x1.7d2d83fccf966p-4, 0x1.95c2a56a80af8p-4, 0x1.ae21e80317d02p-4, 0x1.c649685a0ec24p-4, 0x1.de374e45149f4p-4, 0x1.f5e9cd0d051fcp-4, 0x1.06af91cdfb72p-3, 0x1.124ace54328d7p-3, 0x1.1dc5c76ebc06p-3, 0x1.291fae802c959p-3, 0x1.3457bb0952261p-3, 0x1.3f6d2ab8ea457p-3, 0x1.4a5f4179e8ecep-3, 0x1.552d4980442a7p-3, 0x1.5fd69354412acp-3, 0x1.6a5a75dc57bc3p-3, 0x1.74b84e65910a1p-3, 0x1.7eef80aa84bc3p-3, 0x1.88ff76d8dafa9p-3, 0x1.92e7a1956cd69p-3, 0x1.9ca777fef5e81p-3, 0x1.a63e77af64502p-3, 0x1.afac24bbcaa6p-3, 0x1.b8f009b2fc9acp-3, 0x1.c209b79ad49p-3, 0x1.caf8c5ec3035fp-3, 0x1.d3bcd28da34e7p-3, 0x1.dc5581cceea9p-3, 0x1.e4c27e5739941p-3, 0x1.ed037930203dfp-3, 0x1.f51829a7937efp-3, 0x1.fd004d4e9d689p-3, 0x1.025dd3f5854bdp-2, 0x1.062501b500fc4p-2, 0x1.09d597e8ccf7cp-2, 0x1.0d6f8198b3408p-2, 0x1.10f2acc90b3b1p-2, 0x1.145f0a7211f21p-2, 0x1.17b48e76cf1f2p-2, 0x1.1af32f9b90a66p-2, 0x1.1e1ae77bf8ff9p-2, 0x1.212bb280adbebp-2, 0x1.24258fd4a2466p-2, 0x1.2708815a0e79fp-2, 0x1.29d48b9f08321p-2, 0x1.2c89b5d1d17d1p-2, 0x1.2f2809b4d8954p-2, 0x1.31af9392717a1p-2, 0x1.342062304a0adp-2, 0x1.367a86c2a1711p-2, 0x1.38be14df465d4p-2, 0x1.3aeb22705ba73p-2, 0x1.3d01c7a6f3961p-2, 0x1.3f021eed749fdp-2, 0x1.40ec44d9deeeap-2, 0x1.42c0581fe9e08p-2, 0x1.447e7983024d1p-2, 0x1.4626cbc82ca5dp-2, 0x1.47b973a7cf56p-2, 0x1.493697bf6b1acp-2, 0x1.4a9e60833f202p-2, 0x1.4bf0f82fe533p-2, 0x1.4d2e8abbe527dp-2, 0x1.4e5745c93f046p-2, 0x1.4f6b5896fb526p-2, 0x1.506af3f2b5494p-2, 0x1.51564a2a2ff74p-2, 0x1.522d8efcf1218p-2, 0x1.52f0f78de5614p-2, 0x1.53a0ba55187bap-2, 0x1.543d0f117a0a5p-2, 0x1.54c62ebab6cfap-2, 0x1.553c53732d4f8p-2, 0x1.559fb879f4e0fp-2, 0x1.55f09a1d05bc2p-2, 0x1.562f35ab7d2dcp-2, 0x1.565bc96801e5cp-2, 0x1.5676947b4b04cp-2, 0x1.567fd6e6ca589p-2, 0x1.5677d1777fefdp-2, 0x1.565ec5b8f5437p-2, 0x1.5634f5e85ff48p-2, 0x1.55faa4e7f40a4p-2, 0x1.55b01632622aep-2, 0x1.55558dce83212p-2, 0x1.54eb50433666ap-2, 0x1.5471a28b6dfa6p-2, 0x1.53e8ca0a72f3fp-2, 0x1.53510c8056f27p-2, 0x1.52aaaffea07afp-2, 0x1.51f5fadd2acb6p-2, 0x1.513333af3b563p-2, 0x1.5062a138d069ap-2, 0x1.4f848a6427b32p-2, 0x1.4e9936377dee8p-2, 0x1.4da0ebcb06001p-2, 0x1.4c9bf23f1b6dcp-2, 0x1.4b8a90b2af57ap-2, 0x1.4a6d0e39f05e6p-2, 0x1.4943b1d52b46ep-2, 0x1.480ec267e8bf4p-2, 0x1.46ce86b047d54p-2, 0x1.4583453e8f66dp-2, 0x1.442d446d0039p-2, 0x1.42ccca57de798p-2, 0x1.41621cd5b8d25p-2, 0x1.3fed816fe83a5p-2, 0x1.3e6f3d5b4f8aap-2, 0x1.3ce795714ef9ep-2, 0x1.3b56ce28f91f5p-2, 0x1.39bd2b907cbd3p-2, 0x1.381af146ccfdfp-2, 0x1.36706275818d4p-2, 0x1.34bdc1caeb06fp-2, 0x1.330351746aafdp-2, 0x1.31415318f69adp-2, 0x1.2f7807d3dd227p-2, 0x1.2da7b02fbbd7bp-2, 0x1.2bd08c21ad6a5p-2, 0x1.29f2db04b04d9p-2, 0x1.280edb953aa9ap-2, 0x1.2624cbed0d312p-2, 0x1.2434e97f31f23p-2, 0x1.223f7114305e1p-2, 0x1.20449ec674c6fp-2, 0x1.1e44adfee75c1p-2, 0x1.1c3fd971b7ee2p-2, 0x1.1a365b1b51b81p-2, 0x1.18286c3d87745p-2, 0x1.1616455ce695ep-2, 0x1.14001e3e3ae2fp-2, 0x1.11e62de4403cbp-2, 0x1.0fc8aa8d7b8cap-2, 0x1.0da7c9b244119p-2, 0x1.0b83c002f20ffp-2, 0x1.095cc166397c4p-2, 0x1.073300f7aae97p-2, 0x1.0506b1065dce5p-2, 0x1.02d80313c09dcp-2, 0x1.00a727d28b9ep-2, 0x1.fce89e4bb86bp-3, 0x1.f87f5040e50cbp-3, 0x1.f412c208238fep-3, 0x1.efa34e82041bbp-3, 0x1.eb314eeb6534p-3, 0x1.e6bd1adcff9ddp-3, 0x1.e247084b2a8ecp-3, 0x1.ddcf6b85d90ap-3, 0x1.d9569738df5d1p-3, 0x1.d4dcdc6c64982p-3, 0x1.d0628a8590b7ep-3, 0x1.cbe7ef4775bdep-3, 0x1.c76d56d41f7d9p-3, 0x1.c2f30bade6422p-3, 0x1.be7956b8e4a44p-3, 0x1.ba007f3ca4ca1p-3, 0x1.b588cae5f61cdp-3, 0x1.b1127dc8f19dfp-3, 0x1.ac9dda6328744p-3, 0x1.a82b219df92cfp-3, 0x1.a3ba92d10f35cp-3, 0x1.9f4c6bc50200fp-3, 0x1.9ae0e8b621061p-3, 0x1.967844575944cp-3, 0x1.9212b7d54099dp-3, 0x1.8db07ad94281dp-3, 0x1.8951c38ce2d8ep-3, 0x1.84f6c69d2910ap-3, 0x1.809fb73e19797p-3, 0x1.7c4cc72e553ecp-3, 0x1.77fe26bacb1b2p-3, 0x1.73b404c27fcacp-3, 0x1.6f6e8eba72a4ap-3, 0x1.6b2df0b18be09p-3, 0x1.66f25554ae0c1p-3, 0x1.62bbe5f2c9421p-3, 0x1.5e8aca810d2b5p-3, 0x1.5a5f299f2127bp-3, 0x1.5639289b7274ap-3, 0x1.5218eb778c009p-3, 0x1.4dfe94ec7c516p-3, 0x1.49ea466f47bb4p-3, 0x1.45dc203564449p-3, 0x1.41d441393e55ap-3, 0x1.3dd2c73ec9b8cp-3, 0x1.39d7ced8145cdp-3, 0x1.35e37369eaafap-3, 0x1.31f5cf307169ap-3, 0x1.2e0efb43d638bp-3, 0x1.2a2f0f9cf6bdfp-3, 0x1.2656231a13dbcp-3, 0x1.22844b838260ap-3, 0x1.1eb99d9062bb1p-3, 0x1.1af62ceb51a49p-3, 0x1.173a0c372197bp-3, 0x1.13854d138fe12p-3, 0x1.0fd80021f8ceap-3, 0x1.0c32350a093b2p-3, 0x1.0893fa7e72be1p-3, 0x1.04fd5e41954c9p-3, 0x1.016e6d2a2d40dp-3, 0x1.fbce664fef679p-4, 0x1.f4cf7690a3216p-4, 0x1.ede01f75b0d4bp-4, 0x1.e70073abffc22p-4, 0x1.e030843741c16p-4, 0x1.d970607b08f11p-4, 0x1.d2c01643cd911p-4, 0x1.cc1fb1cfe78cfp-4, 0x1.c58f3dd86da28p-4, 0x1.bf0ec39a180d3p-4, 0x1.b89e4addfc7dcp-4, 0x1.b23dda0243083p-4, 0x1.abed7602c5f58p-4, 0x1.a5ad2281a7077p-4, 0x1.9f7ce1cfbe07fp-4, 0x1.995cb4f4fee75p-4, 0x1.934c9bb8d2a83p-4, 0x1.8d4c94aa46c7ap-4, 0x1.875c9d28378a9p-4, 0x1.817cb1695857bp-4, 0x1.7baccc843156p-4, 0x1.75ece876f6847p-4, 0x1.703cfe2f54165p-4, 0x1.6a9d05921e503p-4, 0x1.650cf582e4e47p-4, 0x1.5f8cc3eb729c4p-4, 0x1.5a1c65c333511p-4, 0x1.54bbcf168063dp-4, 0x1.4f6af30dd1c2cp-4, 0x1.4a29c3f4d5f4p-4, 0x1.44f8334175e51p-4, 0x1.3fd6319ab3c88p-4, 0x1.3ac3aedf7c0e4p-4, 0x1.35c09a2d52ff5p-4, 0x1.30cce1e6eb4dcp-4, 0x1.2be873baa5122p-4, 0x1.27133ca8ec6a2p-4, 0x1.224d290a82a0bp-4, 0x1.1d962496abe4dp-4, 0x1.18ee1a693ebdep-4, 0x1.1454f5089eeafp-4, 0x1.0fca9e6b994bbp-4, 0x1.0b4effff27554p-4, 0x1.06e202ac168e6p-4, 0x1.02838edc9ac26p-4, 0x1.fc67190375765p-5, 0x1.f3e3c63164da7p-5, 0x1.eb7cf3605900cp-5, 0x1.e3326ddada7d1p-5, 0x1.db040222b22f7p-5, 0x1.d2f17bfadbe99p-5, 0x1.cafaa6712d146p-5, 0x1.c31f4be7d8da1p-5, 0x1.bb5f361ebfe48p-5, 0x1.b3ba2e3c844a2p-5, 0x1.ac2ffcd77b5aep-5, 0x1.a4c069fe5da1p-5, 0x1.9d6b3d40d7ec1p-5, 0x1.96303db7d4eebp-5, 0x1.8f0f320db4eb6p-5, 0x1.8807e08634ce4p-5, 0x1.811a0f064193p-5, 0x1.7a45831b8ecc7p-5, 0x1.738a020400d6cp-5, 0x1.6ce750b4eddfap-5, 0x1.665d33e2280aep-5, 0x1.5feb7004e6decp-5, 0x1.5991c96284006p-5, 0x1.53500412fd892p-5, 0x1.4d25e4075856ep-5, 0x1.47132d0fe3661p-5, 0x1.4117a2e22f865p-5, 0x1.3b33091f081d3p-5, 0x1.3565235820438p-5, 0x1.2fadb515a68dcp-5, 0x1.2a0c81dbb3e22p-5, 0x1.24814d2f874b6p-5, 0x1.1f0bda9ca8cf2p-5, 0x1.19abedb9df3c5p-5, 0x1.14614a2df9a38p-5, 0x1.0f2bb3b48467cp-5, 0x1.0a0aee224ba48p-5, 0x1.04febd69bcdb8p-5, 0x1.0006e59f2a5fdp-5, 0x1.f64655f9d7d8p-6, 0x1.eca6a3cea0da2p-6, 0x1.e32e3de10427bp-6, 0x1.d9dcadb879538p-6, 0x1.d0b17d46bf4f6p-6, 0x1.c7ac36eee4749p-6, 0x1.becc658be7ceep-6, 0x1.b611947733b42p-6, 0x1.ad7b4f8ee0101p-6, 0x1.a509233bace97p-6, 0x1.9cba9c76b0338p-6, 0x1.948f48cf1807cp-6, 0x1.8c86b66f3da79p-6, 0x1.84a07421f66abp-6, 0x1.7cdc1157654fep-6, 0x1.75391e29a5d91p-6, 0x1.6db72b6163e82p-6, 0x1.6655ca7a15503p-6, 0x1.5f148da62554p-6, 0x1.57f307d2d4d9p-6, 0x1.50f0ccabf27e2p-6, 0x1.4a0d709f86bc1p-6, 0x1.434888e11b652p-6, 0x1.3ca1ab6ce6ff8p-6, 0x1.36186f0afc578p-6, 0x1.2fac6b520813dp-6, 0x1.295d38aa1dc3bp-6, 0x1.232a704f32995p-6, 0x1.1d13ac53a148fp-6, 0x1.171887a248947p-6, 0x1.11389e00c3df8p-6, 0x1.0b738c114f527p-6, 0x1.05c8ef54a2d7cp-6, 0x1.0038662ba5b0fp-6, 0x1.f5831fb1f3df5p-7, 0x1.eac81904d3589p-7, 0x1.e03efa645c79fp-7, 0x1.d5e707b06ed92p-7, 0x1.cbbf86962fd5ep-7, 0x1.c1c7be923ef5ap-7, 0x1.b7fef8f207a87p-7, 0x1.ae6480d5823d3p-7, 0x1.a4f7a3305e3e2p-7, 0x1.9bb7aecae507bp-7, 0x1.92a3f442fb54fp-7, 0x1.89bbc60caf64bp-7, 0x1.80fe7872b63b4p-7, 0x1.786b61969fb5p-7, 0x1.7001d970fc862p-7, 0x1.67c139d136d29p-7, 0x1.5fa8de5d7d11cp-7, 0x1.57b8249214f34p-7, 0x1.4fee6bc0f7721p-7, 0x1.484b1511268a1p-7, 0x1.40cd837d82b6cp-7, 0x1.39751bd42e734p-7, 0x1.324144b51a8a5p-7, 0x1.2b316690e1367p-7, 0x1.2444eba7603c7p-7, 0x1.1d7b40061519dp-7, 0x1.16d3d18695e86p-7, 0x1.104e0fccc3541p-7, 0x1.09e96c44e1a72p-7, 0x1.03a55a21b386dp-7, 0x1.fb029cb4ae172p-8, 0x1.eef97f5015902p-8, 0x1.e32e4d07f3b4p-8, 0x1.d79ffa49de22ep-8, 0x1.cc4d7ef990f6ap-8, 0x1.c135d66be23adp-8, 0x1.b657ff61abd1ap-8, 0x1.abb2fc023ae8fp-8, 0x1.a145d1d633665p-8, 0x1.970f89c139c3p-8, 0x1.8d0f2ffd13d5p-8, 0x1.8343d412e40c5p-8, 0x1.79ac88d5a0c91p-8, 0x1.7048645bed395p-8, 0x1.67167ff9ae18dp-8, 0x1.5e15f839bd67p-8, 0x1.5545ecd79d8d2p-8, 0x1.4ca580b8d2b9cp-8, 0x1.4433d9e65aa2ap-8, 0x1.3bf02185efebcp-8, 0x1.33d983d339dabp-8, 0x1.2bef30193a862p-8, 0x1.243058aaf5752p-8, 0x1.1c9c32dcf603fp-8, 0x1.1531f6fdfd546p-8, 0x1.0df0e0503129p-8, 0x1.06d82d01a3d59p-8, 0x1.ffce3c4b763bap-9, 0x1.f239ef5ae0be2p-9, 0x1.e4f200c0f545p-9, 0x1.d7f503abdbd55p-9, 0x1.cb4190da10c46p-9, 0x1.bed6468b98a1p-9, 0x1.b2b1c87379eaap-9, 0x1.a6d2bfa931b73p-9, 0x1.9b37da99c6f5cp-9, 0x1.8fdfccf987b31p-9, 0x1.84c94fb4c36a1p-9, 0x1.79f320e1b0d0dp-9, 0x1.6f5c03b11aa5cp-9, 0x1.6502c0603d0b9p-9, 0x1.5ae624299fef9p-9, 0x1.51050136c48b5p-9, 0x1.475e2e9138173p-9, 0x1.3df088142eb7cp-9, 0x1.34baee5db1c63p-9, 0x1.2bbc46c04f01bp-9, 0x1.22f37b34533a7p-9, 0x1.1a5f7a498c17p-9, 0x1.11ff3718b839dp-9, 0x1.09d1a93535e33p-9, 0x1.01d5cc9e944d4p-9, 0x1.f41543652d7e7p-10, 0x1.e4de5a3d32e0fp-10, 0x1.d604efa40ca5dp-10, 0x1.c7871ddf299cdp-10, 0x1.b96307801cf76p-10, 0x1.ab96d74745274p-10, 0x1.9e20c00947d1cp-10, 0x1.90fefc937208ap-10, 0x1.842fcf8faead6p-10, 0x1.77b1836a0fe73p-10, 0x1.6b826a35c099ap-10, 0x1.5fa0dd91fa5c4p-10, 0x1.540b3e8f6f69fp-10, 0x1.48bff596384b8p-10, 0x1.3dbd724b47e8bp-10, 0x1.33022b766c56cp-10, 0x1.288c9ee8e8c6p-10, 0x1.1e5b51630c7a3p-10, 0x1.146cce7b69385p-10, 0x1.0abfa885a6ap-10, 0x1.0152787923872p-10, 0x1.f047bbb0cf079p-11, 0x1.de64fd31ec26ap-11, 0x1.ccfa0e13b6f14p-11, 0x1.bc04537a0a394p-11, 0x1.ab813edc621a8p-11, 0x1.9b6e4dd791357p-11, 0x1.8bc909ff1b639p-11, 0x1.7c8f08aeaccb9p-11, 0x1.6dbdeadafb707p-11, 0x1.5f535ce5f613ap-11, 0x1.514d1670e0cb3p-11, 0x1.43a8da2fbe689p-11, 0x1.366475bd6aa36p-11, 0x1.297dc16fd43e4p-11, 0x1.1cf2a02d239bfp-11, 0x1.10c0ff4023472p-11, 0x1.04e6d62fbe68ap-11, 0x1.f2c44d257609fp-12, 0x1.dc61f7d1d27d8p-12, 0x1.c6a2d6e209a37p-12, 0x1.b18327ffdccf3p-12, 0x1.9cff3bb5339c6p-12, 0x1.89137518dce5ep-12, 0x1.75bc4983ac4cep-12, 0x1.62f64041cb6c5p-12, 0x1.50bdf2483ae76p-12, 0x1.3f1009e81aaap-12, 0x1.2de94285e61f4p-12, 0x1.1d46684f6a577p-12, 0x1.0d2457f31d444p-12, 0x1.fafffcb29ba92p-13, 0x1.dcacb0ba8982bp-13, 0x1.bf48e50fb1cb8p-13, 0x1.a2ced1942969dp-13, 0x1.8738cc7770734p-13, 0x1.6c8149a8ec847p-13, 0x1.52a2da59a2d12p-13, 0x1.39982c782c1f7p-13, 0x1.215c0a2fbeb15p-13, 0x1.09e9596a28483p-13, 0x1.e67636a5293dfp-14, 0x1.ba98d7b16df13p-14, 0x1.90310273375b7p-14, 0x1.6735570cdde6ap-14, 0x1.3f9ca85a322bbp-14, 0x1.195dfb0d4b4cep-14, 0x1.e8e1097d0c4d6p-15, 0x1.a19756302c02ap-15, 0x1.5cce05d728abap-15, 0x1.1a749eb139d8fp-15, 0x1.b4f603d1d3191p-16, 0x1.39a2d3d3b0437p-16, 0x1.85a1a3009f218p-17, 0x1.4187337b15ac2p-18, -0x1.dc7c13af05d1bp-20, -0x1.0f9174b898a96p-17, -0x1.db7abb0c6ac7fp-17, -0x1.4fc14a331233fp-16, -0x1.adef836ae24d3p-16, -0x1.043139574250bp-15, -0x1.2f99f56598841p-15, -0x1.593e9572ead1bp-15, -0x1.812b7092f273bp-15, -0x1.a76c96c459ed9p-15, -0x1.cc0dd25122a21p-15, -0x1.ef1aa9267bdc8p-15, -0x1.084f2f0f63baep-14, -0x1.1851f92f328a2p-14, -0x1.279b1346d02efp-14, -0x1.362fbe120a166p-14, -0x1.44151b4f3bd5cp-14, -0x1.51502e60c0e17p-14, -0x1.5de5dce001c75p-14, -0x1.69daef3aca65ap-14, -0x1.75341141fb83fp-14, -0x1.7ff5d2c0cfa7bp-14, -0x1.8a24a8090cfccp-14, -0x1.93c4ea8005808p-14, -0x1.9cdad92e1de5ap-14, -0x1.a56a993fdd6d1p-14, -0x1.ad783692554e7p-14, -0x1.b507a434328cbp-14, -0x1.bc1cbce67a952p-14, -0x1.c2bb439f82628p-14, -0x1.c8e6e4033f81ep-14, -0x1.cea332e3e162cp-14, -0x1.d3f3aeb3a73bcp-14, -0x1.d8dbc003131p-14, -0x1.dd5eb9ef8bec1p-14, -0x1.e17fda9a3837bp-14, -0x1.e5424b95a9264p-14, -0x1.e8a922550976fp-14, -0x1.ebb7609a3fca5p-14, -0x1.ee6ff4dfcf193p-14, -0x1.f0d5babefc682p-14, -0x1.f2eb7b5ba0709p-14, -0x1.f4b3edc3ae2cbp-14, -0x1.f631b756fc474p-14, -0x1.f7676c2519819p-14, -0x1.f8578f4f20517p-14, -0x1.f904936394ad4p-14, -0x1.f970dabe1d088p-14, -0x1.f99eb7db29d81p-14, -0x1.f9906db88c22ap-14, -0x1.f94830256d105p-14, -0x1.f8c8241d1f4d1p-14, -0x1.f812601657a48p-14, -0x1.f728ec59fd5eep-14, -0x1.f60dc34f15fd9p-14, -0x1.f4c2d1cdaa30bp-14, -0x1.f349f7696b83ep-14, -0x1.f1a506c0c8f31p-14, -0x1.efd5c5c4b59a2p-14, -0x1.edddee0341c55p-14, -0x1.ebbf2cefe5223p-14, -0x1.e97b24285f3dfp-14, -0x1.e71369bad1771p-14, -0x1.e4898869f625bp-14, -0x1.e1deffed107dap-14, -0x1.df15453476947p-14, -0x1.dc2dc2a530fafp-14, -0x1.d929d85c9191dp-14, -0x1.d60adc67810d9p-14, -0x1.d2d21b03ba4f5p-14, -0x1.cf80d6d7a0d1ep-14, -0x1.cc18492ce9774p-14, -0x1.c899a228f4766p-14, -0x1.c50609041e7a2p-14, -0x1.c15e9c40158b7p-14, -0x1.bda471dcf823bp-14, -0x1.b9d8978c74a23p-14, -0x1.b5fc12e740a35p-14, -0x1.b20fe19b9e522p-14, -0x1.ae14f9a0b1e97p-14, -0x1.aa0c4965c5f94p-14, -0x1.a5f6b80169d79p-14, -0x1.a1d5255e6c6e6p-14, -0x1.9da86a696fcc1p-14, -0x1.9971593de4aa1p-14, -0x1.9530bd5008e05p-14, -0x1.90e75b9565f64p-14, -0x1.8c95f2b2c7f62p-14, -0x1.883d3b200f4b4p-14, -0x1.83dde752070a2p-14, -0x1.7f78a3e0c1d8fp-14, -0x1.7b0e17ada6aeep-14, -0x1.769ee407a340ep-14, -0x1.722ba4d099af8p-14, -0x1.6db4f0a01735ep-14, -0x1.693b58e68e59ap-14, -0x1.64bf6a0ecd1fcp-14, -0x1.6041ab9fdd2ebp-14, -0x1.5bc2a05c8dad4p-14, -0x1.5742c664eabbp-14, -0x1.52c29752de0ep-14, -0x1.4e42885b083ffp-14, -0x1.49c30a68d120ep-14, -0x1.45448a3ce302fp-14, -0x1.40c77087f8c63p-14, -0x1.3c4c2207c76b9p-14, -0x1.37d2ffa1b9087p-14, -0x1.335c667db9047p-14, -0x1.2ee8b02084679p-14, -0x1.2a7832833f8efp-14, -0x1.260b402edb2dep-14, -0x1.21a228524f6ap-14, -0x1.1d3d36db282ddp-14, -0x1.18dcb48c44504p-14, -0x1.1480e714719b5p-14, -0x1.102a11255ddap-14, -0x1.0bd872878962ep-14, -0x1.078c4830e5769p-14, -0x1.0345cc57e6deap-14, -0x1.fe0a6d1279441p-15, -0x1.f59577743cee1p-15, -0x1.ed2d1cb8041c1p-15, -0x1.e4d1bcde9762fp-15, -0x1.dc83b32a9d127p-15, -0x1.d44356453fd3dp-15, -0x1.cc10f85ef8a6ap-15, -0x1.c3ece753f27c7p-15, -0x1.bbd76ccb93e9bp-15, -0x1.b3d0ce5960eabp-15, -0x1.abd94d9c18db1p-15, -0x1.a3f1285d028b3p-15, -0x1.9c1898ade9447p-15, -0x1.944fd505e508bp-15, -0x1.8c97105e44b0ap-15, -0x1.84ee7a4ec1023p-15, -0x1.7d563f27d2c2cp-15, -0x1.75ce880dc9e59p-15, -0x1.6e577b1354f9ap-15, -0x1.66f13b503b73fp-15, -0x1.5f9be8fd2e0e9p-15, -0x1.5857a1897337fp-15, -0x1.51247fb2d3f81p-15, -0x1.4a029b9c80be6p-15, -0x1.42f20ae578725p-15, -0x1.3bf2e0bd53b46p-15, -0x1.35052dfa6ce19p-15, -0x1.2e29012c8aef8p-15, -0x1.275e66b3b2c5ep-15, -0x1.20a568d0585b1p-15, -0x1.19fe0fb8fd16ap-15, -0x1.136861ab391a6p-15, -0x1.0ce462fd5e635p-15, -0x1.06721631bc68dp-15, -0x1.00117c05a2391p-15, -0x1.f38527060c924p-16, -0x1.e70ab42063159p-16, -0x1.dab397009dddcp-16, -0x1.ce7fc4420f7b1p-16, -0x1.c26f2d96659a1p-16, -0x1.b681c1dfb02dap-16, -0x1.aab76d4e1ab7ap-16, -0x1.9f10197b3c08p-16, -0x1.938bad82e3f46p-16, -0x1.882a0e1fde2fep-16, -0x1.7ceb1dc1581cep-16, -0x1.71cebca7c1309p-16, -0x1.66d4c8f855e8p-16, -0x1.5bfd1ed6ce518p-16, -0x1.5147987a76c3ep-16, -0x1.46b40e44b2506p-16, -0x1.3c4256d5d3591p-16, -0x1.31f2472171b98p-16, -0x1.27c3b281f2dabp-16, -0x1.1db66acdd92e1p-16, -0x1.13ca40688cf88p-16, -0x1.09ff025410befp-16, -0x1.00547e4546dcbp-16, -0x1.ed9501665073cp-17, -0x1.dac1a9cef4b5bp-17, -0x1.c82e8a1f361a5p-17, -0x1.b5db34980cc37p-17, -0x1.a3c7397ea1b7cp-17, -0x1.91f22739f9c1dp-17, -0x1.805b8a6ecbefp-17, -0x1.6f02ee1c9f32fp-17, -0x1.5de7dbb6305abp-17, -0x1.4d09db3e324dbp-17, -0x1.3c68735df0c78p-17, -0x1.2c032980344b5p-17, -0x1.1bd981e52bc85p-17, -0x1.0beaffbc9edb3p-17, -0x1.f86e4a74dbcf7p-18, -0x1.d97ae75618dbbp-18, -0x1.bafad71485ca7p-18, -0x1.9ced1929dd61cp-18, -0x1.7f50abbaadaedp-18, -0x1.62248bbc82beep-18, -0x1.4567b516fe4a2p-18, -0x1.291922c787bd2p-18, -0x1.0d37cf04f39d7p-18, -0x1.e38566bad5deap-19, -0x1.ad7191aacc50ep-19, -0x1.7832100ed0309p-19, -0x1.43c4d2800bf53p-19, -0x1.1027c9311ea4p-19, -0x1.bab1c8556796ep-20, -0x1.56ac26f031b81p-20, -0x1.e8751d71552d7p-21, -0x1.26b1c20fc65bbp-21, -0x1.a018030a573bp-23, 0x1.4e5979b8026dcp-23, 0x1.0c2b8fbd5e25cp-21, 0x1.c1c1c314d6da9p-21, 0x1.3a3091b876d09p-20, 0x1.9208eb17e0d95p-20, 0x1.e86dfd543628bp-20, 0x1.1eb1ea600b27ep-19, 0x1.48773d0d4bbb2p-19, 0x1.7188f925e455cp-19, 0x1.99e91f14db9fp-19, 0x1.c199ad1ef31abp-19, 0x1.e89c9f483f958p-19, 0x1.0779f79b76c3cp-18, 0x1.1a50ca0e4247p-18, 0x1.2cd3c14df6f95p-18, 0x1.3f03d659279ccp-18, 0x1.50e200d270338p-18, 0x1.626f36f2823f2p-18, 0x1.73ac6d826fb6cp-18, 0x1.849a97cef2e38p-18, 0x1.953aa7a22d8b7p-18, 0x1.a58d8d39d0151p-18, 0x1.b594373edbae3p-18, 0x1.c54f92bf9d215p-18, 0x1.d4c08b2781b9p-18, 0x1.e3e80a385ecd6p-18, 0x1.f2c6f805c2ba6p-18, 0x1.00af1d76c6bc4p-17, 0x1.07d75bc998dc7p-17, 0x1.0edca86d6ec08p-17, 0x1.15bf73f25265cp-17, 0x1.1c802e04104d4p-17, 0x1.231f456834d91p-17, 0x1.299d27fbf533p-17, 0x1.2ffa42b32ce65p-17, 0x1.3637019678ed2p-17, 0x1.3c53cfc1c9a34p-17, 0x1.4251176300f85p-17, 0x1.482f41b9309a4p-17, 0x1.4deeb713aadf1p-17, 0x1.538fded0ca9d4p-17, 0x1.59131f5de2745p-17, 0x1.5e78de35c53c6p-17, 0x1.63c17fe0fd5d6p-17, 0x1.68ed67f4f1e58p-17, 0x1.6dfcf914683dap-17, 0x1.72f094ee7f502p-17, 0x1.77c89c3f24445p-17, 0x1.7c856eced033cp-17, 0x1.81276b72b1f53p-17, 0x1.85aef00d15dfep-17, 0x1.8a1c598da534dp-17, 0x1.8e7003f1b10f4p-17, 0x1.92aa4a44e0c5dp-17, 0x1.96cb86a1519f3p-17, 0x1.9ad4123074c1ep-17, 0x1.9ec4452bbf069p-17, 0x1.a29c76dd4eb33p-17, 0x1.a65cfda0f1c5bp-17, 0x1.aa062ee4a7a78p-17, 0x1.ad985f298d875p-17, 0x1.b113e20535578p-17, 0x1.b4790a228810cp-17, 0x1.b7c8294290e5fp-17, 0x1.bb01903e3ee7fp-17, 0x1.be258f06e82a9p-17, 0x1.c13474a7d051ep-17, 0x1.c42e8f4762be3p-17, 0x1.c7142c285b6c9p-17, 0x1.c9e597ab47c03p-17, 0x1.cca31d4fc5016p-17, 0x1.cf4d07b61b17dp-17, 0x1.d1e3a0a08ae35p-17, 0x1.d46730f4c20d6p-17, 0x1.d6d800bd6bacbp-17, 0x1.d936572b8a25dp-17, 0x1.db827a98065dep-17, 0x1.ddbcb085392a1p-17, 0x1.dfe53da0f7e3bp-17, 0x1.e1fc65c5a3583p-17, 0x1.e4026bfc0d73ep-17, 0x1.e5f7927cfe5eap-17, 0x1.e7dc1ab2e7b5fp-17, 0x1.e9b0453bd730ep-17, 0x1.eb7451ea9e0f2p-17, 0x1.ed287fc88a177p-17, 0x1.eecd0d17cb85fp-17, 0x1.f06237549546cp-17, 0x1.f1e83b3730bf5p-17, 0x1.f35f54b5409fbp-17, 0x1.f4c7bf0432584p-17, 0x1.f621b49a5fc5ap-17, 0x1.f76d6f30df3dbp-17, 0x1.f8ab27c58d421p-17, 0x1.f9db169cc29c5p-17, 0x1.fafd734301d47p-17, 0x1.fc12748ef6ccfp-17, 0x1.fd1a50a2e1ee3p-17, 0x1.fe153cee86774p-17, 0x1.ff036e30cdddfp-17, 0x1.ffe5187a0844ap-17, 0x1.005d379693532p-16, 0x1.00c1d280e3b53p-16, 0x1.01207602e15b4p-16, 0x1.01793acf8f413p-16, 0x1.01cc3946debfbp-16, 0x1.021989768eed6p-16, 0x1.0261431b19b06p-16, 0x1.02a37da0764c9p-16, 0x1.02e05023279afp-16, 0x1.0317d170e55f7p-16, 0x1.034a180970daep-16, 0x1.03773a1fadd11p-16, 0x1.039f4d9a525b2p-16, 0x1.03c26814d2883p-16, 0x1.03e09ee02b913p-16, 0x1.03fa0703cec16p-16, 0x1.040eb53e43975p-16, 0x1.041ebe0623f8bp-16, 0x1.042a358af0c4p-16, 0x1.04312fb5fc00bp-16, 0x1.0433c02b0f52fp-16, 0x1.0431fa4923027p-16, 0x1.042bf12b6a088p-16, 0x1.0421b7aa1f6cdp-16, 0x1.0413605b28671p-16, 0x1.0400fd92f75ap-16, 0x1.03eaa16520fc2p-16, 0x1.03d05da56f9a5p-16, 0x1.03b243e88bb57p-16, 0x1.03906584c22a5p-16, 0x1.036ad392a70c2p-16, 0x1.03419eedf44c1p-16, 0x1.0314d8363afd1p-16, 0x1.02e48fcf9bcadp-16, 0x1.02b0d5e3c3e65p-16, 0x1.0279ba6244eebp-16, 0x1.023f4d019cac5p-16, 0x1.02019d3fa4c11p-16, 0x1.01c0ba62737abp-16, 0x1.017cb37916733p-16, 0x1.0135975c448cfp-16, 0x1.00eb74aefc78ep-16, 0x1.009e59df24aeep-16, 0x1.004e552637a51p-16, 0x1.fff6e9142f52fp-17, 0x1.ff4b8bbb9bab6p-17, 0x1.fe9aad839d06ep-17, 0x1.fde46949b5adep-17, 0x1.fd28d989897bap-17, 0x1.fc68185dbd3f8p-17, 0x1.fba23f81381d6p-17, 0x1.fad7685077aa3p-17, 0x1.fa07abcaf3e2ep-17, 0x1.f9332294452b1p-17, 0x1.f859e4f58e07fp-17, 0x1.f77c0addc04ccp-17, 0x1.f699abe3ed6b6p-17, 0x1.f5b2df47cf5cfp-17, 0x1.f4c7bbf343a7ep-17, 0x1.f3d8587b2f135p-17, 0x1.f2e4cb209c718p-17, 0x1.f1ed29d1cfe22p-17, 0x1.f0f18a2bb7c1bp-17, 0x1.eff2017aebbfp-17, 0x1.eeeea4bc8dadp-17, 0x1.ede7889f63fa2p-17, 0x1.ecdcc184a2021p-17, 0x1.ebce6381a27ccp-17, 0x1.eabc8260b7055p-17, 0x1.e9a731a1a40ap-17, 0x1.e88e847b04c38p-17, 0x1.e7728ddb4d2c1p-17, 0x1.e653606a02ba8p-17, 0x1.e5310e8825964p-17, 0x1.e40baa5180616p-17, 0x1.e2e3459d9ea87p-17, 0x1.e1b7f2007b437p-17, 0x1.e089c0cb9daf1p-17, 0x1.df58c30efade9p-17, 0x1.de250999f2e03p-17, 0x1.dceea4fc31af2p-17, 0x1.dbb5a58612a3cp-17, 0x1.da7a1b4a2cc53p-17, 0x1.d93c161dde938p-17, 0x1.d7fba59a3eb44p-17, 0x1.d6b8d91ccbc43p-17, 0x1.d573bfc83d4fp-17, 0x1.d42c688568f3fp-17, 0x1.d2e2e20435f3dp-17, 0x1.d1973abc3764fp-17, 0x1.d04980ed59238p-17, 0x1.cef9c2a0badf8p-17, 0x1.cda80da9c07d8p-17, 0x1.cc546fa6953b9p-17, 0x1.cafef6009aa9ap-17, 0x1.c9a7aded6aa06p-17, 0x1.c84ea46ff1b8dp-17, 0x1.c6f3e6588f009p-17, 0x1.c5978045ec267p-17, 0x1.c4397ea5db6a1p-17, 0x1.c2d9edb5e1f5fp-17, 0x1.c178d9840483cp-17, 0x1.c0164def3655p-17, 0x1.beb256a849de8p-17, 0x1.bd4cff3255aa4p-17, 0x1.bbe652e37e1a1p-17, 0x1.ba7e5ce598414p-17, 0x1.b9152836ccbe7p-17, 0x1.b7aabfa9de594p-17, 0x1.b63f2de74d1f1p-17, 0x1.b4d27d6db12ep-17, 0x1.b364b89222785p-17, 0x1.b1f5e98109bbep-17, 0x1.b0861a3e9b018p-17, 0x1.af1554a7672bap-17, 0x1.ada3a27115decp-17, 0x1.ac310d2aad903p-17, 0x1.aabd9e3cfcba8p-17, 0x1.a9495eebc14cbp-17, 0x1.a7d45855d557cp-17, 0x1.a65e9375461d4p-17, 0x1.a4e819205495ep-17, 0x1.a370f20a39707p-17, 0x1.a1f926c30f742p-17, 0x1.a080bfb858163p-17, 0x1.9f07c535f1ea2p-17, 0x1.9d8e3f663855fp-17, 0x1.9c1436528dec2p-17, 0x1.9a99b1e3bb893p-17, 0x1.991eb9e281e24p-17, 0x1.97a355f819c82p-17, 0x1.96278daea1ae6p-17, 0x1.94ab68715ff66p-17, 0x1.932eed8d47855p-17, }}, 
      {{-0x1.0bca9101abcdp-1, -0x1.0bbc3f12164bap-1, -0x1.0ba37e6997058p-1, -0x1.0b7f673418084p-1, -0x1.0b4f44a36ea2dp-1, -0x1.0b12cabbbc206p-1, -0x1.0aca2bc87984ep-1, -0x1.0a76146308059p-1, -0x1.0a1797a8a848bp-1, -0x1.09b014162aea1p-1, -0x1.0941170b1fa23p-1, -0x1.08cc42916c075p-1, -0x1.08533733b3a56p-1, -0x1.07d7827afa40ap-1, -0x1.075a91fa6bfefp-1, -0x1.06ddaa76aa999p-1, -0x1.0661e291ff477p-1, -0x1.05e820608dc14p-1, -0x1.0571194fe78dep-1, -0x1.04fd53dbd65c7p-1, -0x1.048d2a9a60861p-1, -0x1.0420d03927844p-1, -0x1.03b85415606c1p-1, -0x1.0353a725d97c1p-1, -0x1.02f2a0fb85b8dp-1, -0x1.029504a914275p-1, -0x1.023a856d15a36p-1, -0x1.01e2cb0404e84p-1, -0x1.018d7590363eep-1, -0x1.013a210d2c877p-1, -0x1.00e8684a00317p-1, -0x1.0097e76b9496bp-1, -0x1.00483dfb2a161p-1, -0x1.fff221117b73p-2, -0x1.ff5413d504cebp-2, -0x1.feb5b847c9123p-2, -0x1.fe1681fe0cd39p-2, -0x1.fd75f4c720657p-2, -0x1.fcd3a4eaa0a32p-2, -0x1.fc2f3708e3544p-2, -0x1.fb885fb067da3p-2, -0x1.fadee2b848179p-2, -0x1.fa32926d9daaep-2, -0x1.f9834e9ff6c86p-2, -0x1.f8d103970eb5p-2, -0x1.f81ba8fa670e7p-2, -0x1.f76340b1bdb0ep-2, -0x1.f6a7d5c428ec4p-2, -0x1.f5e97b3a5ba5cp-2, -0x1.f5284b07af2ebp-2, -0x1.f46464fcb758p-2, -0x1.f39dedc56b3ecp-2, -0x1.f2d50df473eb7p-2, -0x1.f209f11ca6e4bp-2, -0x1.f13cc4f9680fep-2, -0x1.f06db8a658781p-2, -0x1.ef9cfbe6817b7p-2, -0x1.eecabe7af9bb3p-2, -0x1.edf72f88e261p-2, -0x1.ed227d0e765c8p-2, -0x1.ec4cd366d24fap-2, -0x1.eb765cdc07a83p-2, -0x1.ea9f414701837p-2, -0x1.e9c7a5bcac6b1p-2, -0x1.e8efac47d4309p-2, -0x1.e81773af1a011p-2, -0x1.e73f174660da7p-2, -0x1.e666aecb070d3p-2, -0x1.e58e4e4a49306p-2, -0x1.e4b60611155e9p-2, -0x1.e3dde2a4a72c3p-2, -0x1.e305ecc33aa75p-2, -0x1.e22e296c25242p-2, -0x1.e15699eea4cbdp-2, -0x1.e07f3bfebe79fp-2, -0x1.dfa809cf82ca8p-2, -0x1.ded0fa3211039p-2, -0x1.ddfa00b8c02p-2, -0x1.dd230dddd40ccp-2, -0x1.dc4c0f2d2b51fp-2, -0x1.db74ef705f74bp-2, -0x1.da9d96dcd10ccp-2, -0x1.d9c5eb43293ecp-2, -0x1.d8edd03fd88abp-2, -0x1.d815276c330d6p-2, -0x1.d73bd08fbe745p-2, -0x1.d661a9d15ef5ep-2, -0x1.d5868fe8117f1p-2, -0x1.d4aa5e4aed29cp-2, -0x1.d3ccef602a72ep-2, -0x1.d2ee1caaf5b2fp-2, -0x1.d20dbef7e1bdfp-2, -0x1.d12bae87cf923p-2, -0x1.d047c33926937p-2, -0x1.cf61d4af412e9p-2, -0x1.ce79ba77fd9dcp-2, -0x1.cd8f4c2f59bddp-2, -0x1.cca261a1158c6p-2, -0x1.cbb2d2e85000fp-2, -0x1.cac0788d21c3p-2, -0x1.c9cb2ba03008p-2, -0x1.c8d2c5d442958p-2, -0x1.c7d72195dffddp-2, -0x1.c6d81a20faa3bp-2, -0x1.c5d58b94c16f7p-2, -0x1.c4cf53059667dp-2, -0x1.c3c54e8d47c51p-2, -0x1.c2b75d5993da4p-2, -0x1.c1a55fb90f227p-2, -0x1.c08f37267c48ap-2, -0x1.bf74c652aad54p-2, -0x1.be55f12cf2ef7p-2, -0x1.bd329cea5d266p-2, -0x1.bc0ab00b8cb0dp-2, -0x1.bade126183e2p-2, -0x1.b9acad114d63p-2, -0x1.b8766a96a575p-2, -0x1.b73b36c5b29fdp-2, -0x1.b5fafecbdf668p-2, -0x1.b4b5b12fe5b65p-2, -0x1.b36b3dd11f6bap-2, -0x1.b21b95e6298dcp-2, -0x1.b0c6abfae9a79p-2, -0x1.af6c73ee042fcp-2, -0x1.ae0ce2edd1a45p-2, -0x1.aca7ef74dce63p-2, -0x1.ab3d9145f9c9bp-2, -0x1.a9cdc168010dfp-2, -0x1.a8587a212f871p-2, -0x1.a6ddb6f247b69p-2, -0x1.a55d749166dc1p-2, -0x1.a3d7b0e4aa877p-2, -0x1.a24c6afc9ebfdp-2, -0x1.a0bba30e8576ep-2, -0x1.9f255a6e789a2p-2, -0x1.9d8993896dcb5p-2, -0x1.9be851df22c9cp-2, -0x1.9a4199fbf2fcap-2, -0x1.98957172a18e6p-2, -0x1.96e3ded60fbd3p-2, -0x1.952ce9b2f47d9p-2, -0x1.93709a8984474p-2, -0x1.91aefac71cd7fp-2, -0x1.8fe814bfeec2cp-2, -0x1.8e1bf3a8a45cp-2, -0x1.8c4aa39011e1ep-2, -0x1.8a743158e7671p-2, -0x1.8898aab367233p-2, -0x1.86b81e172651fp-2, -0x1.84d29abcd66cep-2, -0x1.82e8309813ac7p-2, -0x1.80f8f051427d5p-2, -0x1.7f04eb3f74ep-2, -0x1.7d0c33625b382p-2, -0x1.7b0edb5c416bcp-2, -0x1.790cf66c17021p-2, -0x1.7706986784e3ep-2, -0x1.74fbd5b50e1bp-2, -0x1.72ecc34640671p-2, -0x1.70d97691ec4cp-2, -0x1.6ec2058e71cc9p-2, -0x1.6ca686ac142e5p-2, -0x1.6a8710cf5e738p-2, -0x1.6863bb4b94265p-2, -0x1.663c9ddd334a4p-2, -0x1.6411d0a47dc86p-2, -0x1.61e36c2018d84p-2, -0x1.5fb18927b3e3ap-2, -0x1.5d7c40e6c3a4ap-2, -0x1.5b43acd747622p-2, -0x1.5907e6bc9e717p-2, -0x1.56c9089e7031p-2, -0x1.54872cc39d3fbp-2, -0x1.52426dad447dfp-2, -0x1.4ffae611d7e54p-2, -0x1.4db0b0d83e1f8p-2, -0x1.4b63e9130708cp-2, -0x1.4914a9fbb1578p-2, -0x1.46c30eedfe57bp-2, -0x1.446f336357ae5p-2, -0x1.421932ee48e76p-2, -0x1.3fc1293606a61p-2, -0x1.3d6731f20a80ep-2, -0x1.3b0b68e5c0046p-2, -0x1.38ade9dc4580fp-2, -0x1.364ed0a43bcc5p-2, -0x1.33ee390baf14ep-2, -0x1.318c3edc0d56fp-2, -0x1.2f28fdd63421ep-2, -0x1.2cc491ae8f83bp-2, -0x1.2a5f160950442p-2, -0x1.27f8a676b2d64p-2, -0x1.25915e6f5e7a6p-2, -0x1.23295950d5f75p-2, -0x1.20c0b259fec28p-2, -0x1.1e5784a7bf769p-2, -0x1.1bedeb31af713p-2, -0x1.198400c6dff39p-2, -0x1.1719e00ab7baep-2, -0x1.14afa371e81bcp-2, -0x1.1245653f75774p-2, -0x1.0fdb3f81d5ad7p-2, -0x1.0d714c1026c06p-2, -0x1.0b07a4877b042p-2, -0x1.089e62483989cp-2, -0x1.06359e73995eap-2, -0x1.03cd71e92e62dp-2, -0x1.0165f5449012cp-2, -0x1.fdfe81b629174p-3, -0x1.f932d9734862dp-3, -0x1.f4692145415c7p-3, -0x1.efa18817ca072p-3, -0x1.eadc3c39b6514p-3, -0x1.e6196b5949238p-3, -0x1.e1594280bdbb5p-3, -0x1.dc9bee12f0b02p-3, -0x1.d7e199c83cddfp-3, -0x1.d32a70ab7a9e2p-3, -0x1.ce769d1735892p-3, -0x1.c9c648b301e3p-3, -0x1.c5199c70ffc4dp-3, -0x1.c070c08b8b22ep-3, -0x1.bbcbdc830e204p-3, -0x1.b72b171bff5e1p-3, -0x1.b28e965d0c44fp-3, -0x1.adf67f8d62189p-3, -0x1.a962f733268a7p-3, -0x1.a4d421120e34ep-3, -0x1.a04a202a20d38p-3, -0x1.9bc516b69c44bp-3, -0x1.9745262d00e33p-3, -0x1.92ca6f3c3d892p-3, -0x1.8e5511cc0085bp-3, -0x1.89e52cfc2bc16p-3, -0x1.857adf2466ca4p-3, -0x1.811645d3da384p-3, -0x1.7cb77dd1002d5p-3, -0x1.785ea3199d4bfp-3, -0x1.740bd0e2d32ffp-3, -0x1.6fbf219954542p-3, -0x1.6b78aee1b41dap-3, -0x1.67389198cf885p-3, -0x1.62fee1d45ba61p-3, -0x1.5ecbb6e38230bp-3, -0x1.5a9f274fa22c4p-3, -0x1.567948dd26875p-3, -0x1.525a308c72b7ep-3, -0x1.4e41f29aef03dp-3, -0x1.4a30a2842118dp-3, -0x1.46265302e28d3p-3, -0x1.42231612af203p-3, -0x1.3e26fcf0fbc62p-3, -0x1.3a32181eb2a66p-3, -0x1.36447761b0db1p-3, -0x1.325e29c6667fap-3, -0x1.2e7f3da17c05bp-3, -0x1.2aa7c0918f4a7p-3, -0x1.26d7bf810080cp-3, -0x1.230f46a7cef0ap-3, -0x1.1f4e618d7da1ap-3, -0x1.1b951b0b0fc4cp-3, -0x1.17e37d4d116f1p-3, -0x1.143991d5a1355p-3, -0x1.1097617e9890fp-3, -0x1.0cfcf47bad3cp-3, -0x1.096a525cac0e6p-3, -0x1.05df820fb3dc4p-3, -0x1.025c89e37f477p-3, -0x1.fdc2df1365eefp-4, -0x1.f6dc703273c82p-4, -0x1.f005d021433fep-4, -0x1.e93f06b10cf0fp-4, -0x1.e2881a8bf8224p-4, -0x1.dbe1113a0822ap-4, -0x1.d549ef260b676p-4, -0x1.cec2b7a291b43p-4, -0x1.c84b6ceef59cep-4, -0x1.c1e4103c64452p-4, -0x1.bb8ca1b2e6e2p-4, -0x1.b5452076831acp-4, -0x1.af0d8aac49d1ap-4, -0x1.a8e5dd7f75c21p-4, -0x1.a2ce152692eacp-4, -0x1.9cc62ce8929d7p-4, -0x1.96ce1f21f0ccap-4, -0x1.90e5e549d8a5p-4, -0x1.8b0d77f73e3e6p-4, -0x1.8544cee5fe757p-4, -0x1.7f8be0fbf89cbp-4, -0x1.79e2a44e263e3p-4, -0x1.74490e25afb2dp-4, -0x1.6ebf1304f7ed9p-4, -0x1.6944a6aca819cp-4, -0x1.63d9bc20ae61bp-4, -0x1.5e7e45ad3f86p-4, -0x1.593234ebc5ceep-4, -0x1.53f57ac7d1931p-4, -0x1.4ec80783fd9adp-4, -0x1.49a9cabec6abep-4, -0x1.449ab37762068p-4, -0x1.3f9ab01281978p-4, -0x1.3aa9ae5f1396ap-4, -0x1.35c79b9af499dp-4, -0x1.30f464779774p-4, -0x1.2c2ff51e9d6bbp-4, -0x1.277a39366b74p-4, -0x1.22d31be6a71efp-4, -0x1.1e3a87dcb3e96p-4, -0x1.19b067501542cp-4, -0x1.1534a406d0c1bp-4, -0x1.10c72759b8117p-4, -0x1.0c67da38ac038p-4, -0x1.0816a52ecebdp-4, -0x1.03d37066a5b5bp-4, -0x1.ff3c475c62a94p-5, -0x1.f6ed4cf5e5ed3p-5, -0x1.eeb9bfdbc8b2ep-5, -0x1.e6a16daec1363p-5, -0x1.dea42375f903cp-5, -0x1.d6c1ada6a3dabp-5, -0x1.cef9d82b757b2p-5, -0x1.c74c6e6bf1759p-5, -0x1.bfb93b53abd86p-5, -0x1.b840095954091p-5, -0x1.b0e0a285b8937p-5, -0x1.a99ad07a947p-5, -0x1.a26e5c794ccf3p-5, -0x1.9b5b0f6988e49p-5, -0x1.9460b1dfa5cecp-5, -0x1.8d7f0c231671ap-5, -0x1.86b5e6349159cp-5, -0x1.800507d433b7fp-5, -0x1.796c38877536dp-5, -0x1.72eb3f9efef74p-5, -0x1.6c81e43c68dc5p-5, -0x1.662fed57d4b78p-5, -0x1.5ff521c5620cp-5, -0x1.59d1483a8e788p-5, -0x1.53c4275371e34p-5, -0x1.4dcd8597da47ep-5, -0x1.47ed29804aaacp-5, -0x1.4222d97adc7f1p-5, -0x1.3c6e5beffcce9p-5, -0x1.36cf774716086p-5, -0x1.3145f1eb0ff01p-5, -0x1.2bd1924ebce84p-5, -0x1.26721ef11f79bp-5, -0x1.21275e619c277p-5, -0x1.1bf11744097b7p-5, -0x1.16cf10549fb4dp-5, -0x1.11c1106bda633p-5, -0x1.0cc6de822a823p-5, -0x1.07e041b39c447p-5, -0x1.030d01435b181p-5, -0x1.fc99c93e3ac7p-6, -0x1.f33f66c4e61dbp-6, -0x1.ea0a6ab3f4079p-6, -0x1.e0fa650cf2b09p-6, -0x1.d80ee63fca80fp-6, -0x1.cf477f308b998p-6, -0x1.c6a3c13d0c299p-6, -0x1.be233e425b249p-6, -0x1.b5c588a1f7273p-6, -0x1.ad8a3346e3958p-6, -0x1.a570d1aa81e9p-6, -0x1.9d78f7d9417a1p-6, -0x1.95a23a7729fdfp-6, -0x1.8dec2ec42f213p-6, -0x1.86566aa055b1p-6, -0x1.7ee0848fb9cddp-6, -0x1.778a13be6328p-6, -0x1.7052b003efb7fp-6, -0x1.6939f1e70de81p-6, -0x1.623f72a0e8ac6p-6, -0x1.5b62cc2046e59p-6, -0x1.54a3990ca5d81p-6, -0x1.4e0174c9171dcp-6, -0x1.477bfb7705438p-6, -0x1.4112c9f8cc108p-6, -0x1.3ac57df436c54p-6, -0x1.3493b5d4d2b93p-6, -0x1.2e7d10ce1ec8ep-6, -0x1.28812edda7c5p-6, -0x1.229fb0ccedfd7p-6, -0x1.1cd838333e221p-6, -0x1.172a67775c663p-6, -0x1.1195e1d11d582p-6, -0x1.0c1a4b4ad8053p-6, -0x1.06b748c2bbf73p-6, -0x1.016c7fec12caep-6, -0x1.f8732ea0a6a72p-7, -0x1.ee3c6ca066af5p-7, -0x1.e4340a490eac6p-7, -0x1.da5959be2b442p-7, -0x1.d0abaed697de6p-7, -0x1.c72a5f1dbe1e9p-7, -0x1.bdd4c1d49ba8fp-7, -0x1.b4aa2ff2a0804p-7, -0x1.abaa04266492fp-7, -0x1.a2d39ad61df33p-7, -0x1.9a2652201005ep-7, -0x1.91a189da9f367p-7, -0x1.8944a39468e3bp-7, -0x1.810f02942469dp-7, -0x1.79000bd8588acp-7, -0x1.71172616e265ap-7, -0x1.6953b9bc799d6p-7, -0x1.61b530ebf52a7p-7, -0x1.5a3af77d76d74p-7, -0x1.52e47afd7a96fp-7, -0x1.4bb12aabb8d31p-7, -0x1.44a07779ff4b1p-7, -0x1.3db1d40adace4p-7, -0x1.36e4b4b028c0fp-7, -0x1.30388f69933ccp-7, -0x1.29acdbe2f057dp-7, -0x1.234113727cf7bp-7, -0x1.1cf4b1170b425p-7, -0x1.16c731761e56ap-7, -0x1.10b812d9dc154p-7, -0x1.0ac6d52ef676fp-7, -0x1.04f2fa02809eep-7, -0x1.fe7808ff58494p-8, -0x1.f342f2dad10e4p-8, -0x1.e845be58193d7p-8, -0x1.dd7f7b658dd53p-8, -0x1.d2ef3d1a54515p-8, -0x1.c89419b0f0f75p-8, -0x1.be6d2a821d07ep-8, -0x1.b4798bff2d31ap-8, -0x1.aab85daca23c8p-8, -0x1.a128c21c622b1p-8, -0x1.97c9dee80ca98p-8, -0x1.8e9adcab12b01p-8, -0x1.859ae6fcbb4ap-8, -0x1.7cc92c6a36ff2p-8, -0x1.7424de705d1bdp-8, -0x1.6bad3175af577p-8, -0x1.63615cc3d978p-8, -0x1.5b409a81a384dp-8, -0x1.534a27ac5ff69p-8, -0x1.4b7d441190823p-8, -0x1.43d9324869ad4p-8, -0x1.3c5d37ab40fdap-8, -0x1.35089c5113eedp-8, -0x1.2ddaab06c0a68p-8, -0x1.26d2b14878156p-8, -0x1.1fefff3b21bdp-8, -0x1.1931e7a5771e8p-8, -0x1.1297bfe9638fbp-8, -0x1.0c20dffd45a9cp-8, -0x1.05cca26514da4p-8, -0x1.ff34c8575055fp-9, -0x1.f31309b7b7157p-9, -0x1.e732ccf3783ffp-9, -0x1.db92daf78afcfp-9, -0x1.d0320187f09bp-9, -0x1.c50f1332325b7p-9, -0x1.ba28e73fa5d39p-9, -0x1.af7e59a7c350dp-9, -0x1.a50e4b029471dp-9, -0x1.9ad7a07b0ccbap-9, -0x1.90d943c171312p-9, -0x1.871222fdc37bfp-9, -0x1.7d8130c23c681p-9, -0x1.742563fdd9235p-9, -0x1.6afdb7eecd478p-9, -0x1.62092c15280ebp-9, -0x1.5946c42569c49p-9, -0x1.50b587fb48816p-9, -0x1.4854838c4c5c8p-9, -0x1.4022c6daac5c5p-9, -0x1.381f65e824a4bp-9, -0x1.304978a8e83bp-9, -0x1.28a01af684277p-9, -0x1.21226c831827bp-9, -0x1.19cf90cc303dep-9, -0x1.12a6af0e40f12p-9, -0x1.0ba6f237c7cb6p-9, -0x1.04cf88dc972fcp-9, -0x1.fc3f4a52d23fcp-10, -0x1.ef2cf9ae7a2b8p-10, -0x1.e266923e37867p-10, -0x1.d5ea8d5b486b6p-10, -0x1.c9b76b2db5af1p-10, -0x1.bdcbb294226d5p-10, -0x1.b225f10bc9bf2p-10, -0x1.a6c4ba9851a89p-10, -0x1.9ba6a9ac5fadcp-10, -0x1.90ca5f11f3fc9p-10, -0x1.862e81d314865p-10, -0x1.7bd1bf22cfebfp-10, -0x1.71b2ca46496bp-10, -0x1.67d05c7ded547p-10, -0x1.5e2934ef1077cp-10, -0x1.54bc188d7fccp-10, -0x1.4b87d2056c6b4p-10, -0x1.428b31a5d3674p-10, -0x1.39c50d4a6d25fp-10, -0x1.3134404685cd1p-10, -0x1.28d7ab4f70597p-10, -0x1.20ae3467f0488p-10, -0x1.18b6c6cae4fb4p-10, -0x1.10f052d734d9fp-10, -0x1.0959cdfaf6d0dp-10, -0x1.01f2329f8ab71p-10, -0x1.f571002b5b89cp-11, -0x1.e75775032a3c3p-11, -0x1.d995d58f13aebp-11, -0x1.cc2a3cf138595p-11, -0x1.bf12cf7eefa4p-11, -0x1.b24dba9b4c883p-11, -0x1.a5d93491c0989p-11, -0x1.99b37c7130861p-11, -0x1.8ddad9e7cb338p-11, -0x1.824d9d1ea80a6p-11, -0x1.770a1e96966ddp-11, -0x1.6c0ebf04f221fp-11, -0x1.6159e730b40c6p-11, -0x1.56ea07d0924c5p-11, -0x1.4cbd9968f4dc9p-11, -0x1.42d31c2a8db14p-11, -0x1.392917d17adep-11, -0x1.2fbe1b849a803p-11, -0x1.2690bdb579957p-11, -0x1.1d9f9c00c1d31p-11, -0x1.14e95b0e7e47ap-11, -0x1.0c6ca673e58c7p-11, -0x1.0428309447bd9p-11, -0x1.f835650689821p-12, -0x1.e885d7cdfd75fp-12, -0x1.d93f45b62385ep-12, -0x1.ca5f47a78bd7ep-12, -0x1.bbe383023ff1fp-12, -0x1.adc9a966cac6fp-12, -0x1.a00f787de34ap-12, -0x1.92b2b9c3191e4p-12, -0x1.85b1424dc0b89p-12, -0x1.7908f29d2f87fp-12, -0x1.6cb7b66339cf7p-12, -0x1.60bb8451c6e1ap-12, -0x1.55125de794654p-12, -0x1.49ba4f3e81dc5p-12, -0x1.3eb16ed99bc4fp-12, -0x1.33f5dd75ba0e3p-12, -0x1.2985c5d894eefp-12, -0x1.1f5f5ca279ad1p-12, -0x1.1580e01fb5154p-12, -0x1.0be8981a6e169p-12, -0x1.0294d5ae776b9p-12, -0x1.f307e638a6e5p-13, -0x1.e168a73c1531p-13, -0x1.d048c677dbe7ap-13, -0x1.bfa52d45e1fc5p-13, -0x1.af7ad5f39bd28p-13, -0x1.9fc6cb73df0bep-13, -0x1.9086290a19e28p-13, -0x1.81b619fe8b73cp-13, -0x1.7353d94dc9961p-13, -0x1.655cb15dc3cd7p-13, -0x1.57cdfbb0f0f9fp-13, -0x1.4aa5209c06717p-13, -0x1.3ddf96fd9662fp-13, -0x1.317ae3f59d1dep-13, -0x1.25749a9eb214ap-13, -0x1.19ca5bc8e937fp-13, -0x1.0e79d5b47c7a4p-13, -0x1.0380c3cfb3c9ap-13, -0x1.f1b9dce686d87p-14, -0x1.dd1855458767p-14, -0x1.c918b396ac3ap-14, -0x1.b5b6d30b684b4p-14, -0x1.a2eea6afd4553p-14, -0x1.90bc38f118a54p-14, -0x1.7f1bab2648ee3p-14, -0x1.6e09351b4d955p-14, -0x1.5d81249bee256p-14, -0x1.4d7fdd04c2151p-14, -0x1.3e01d6d18b2ap-14, -0x1.2f039f311ad9cp-14, -0x1.2081d79964b4cp-14, -0x1.1279355d21d0cp-14, -0x1.04e68145a861ep-14, -0x1.ef8d2e56144e1p-15, -0x1.d62ccb22e1d27p-15, -0x1.bda5da8aa37c2p-15, -0x1.a5f281f7923dcp-15, -0x1.8f0d09e942146p-15, -0x1.78efdd3465373p-15, -0x1.639588526a47dp-15, -0x1.4ef8b8a99522p-15, -0x1.3b143bde990d8p-15, -0x1.27e2ff25f7219p-15, -0x1.15600e9be6ea1p-15, -0x1.0386949c4ffc2p-15, -0x1.e4a3b23d04887p-16, -0x1.c37a822d2b36bp-16, -0x1.a3889ba8db092p-16, -0x1.84c538d8d482ap-16, -0x1.6727ca3af10a7p-16, -0x1.4aa7f57859974p-16, -0x1.2f3d944165b5ap-16, -0x1.14e0b3328db21p-16, -0x1.f71321619f4c5p-17, -0x1.c66137c5d5a75p-17, -0x1.979ce72d3f405p-17, -0x1.6ab7ca7b895ecp-17, -0x1.3fa3d7d2352ecp-17, -0x1.16535e8dd0ca3p-17, -0x1.dd720a9da1577p-18, -0x1.918f902abf96bp-18, -0x1.48e5ecb48d056p-18, -0x1.035c626de5a7cp-18, -0x1.81b5a652a1921p-19, -0x1.029379a862aaep-19, -0x1.1248d7f174a98p-20, -0x1.53bd4a9222c05p-23, 0x1.654743fdb59fdp-21, 0x1.855dd98975aedp-20, 0x1.2704cf86d3259p-19, 0x1.867bb9be898b3p-19, 0x1.e13ae1b48ab2cp-19, 0x1.1bb43ca9449ap-18, 0x1.4494da2cc9c8p-18, 0x1.6b5166f78f0fdp-18, 0x1.8ffb873cd980cp-18, 0x1.b2a4688ce651fp-18, 0x1.d35cc4968089cp-18, 0x1.f234e3ceab00dp-18, 0x1.079e5008e10b1p-17, 0x1.1541b3978c12ep-17, 0x1.220c1ebb13a03p-17, 0x1.2e04e011c809cp-17, 0x1.393313e4b62f9p-17, 0x1.439da55bceb14p-17, 0x1.4d4b4f98bf993p-17, 0x1.56429ee89a67ap-17, 0x1.5e89f1d3443cdp-17, 0x1.66277a35e0d5dp-17, 0x1.6d213e507b73bp-17, 0x1.737d19d3f81c1p-17, 0x1.7940bedf53416p-17, 0x1.7e71b705e3433p-17, 0x1.83156444857a9p-17, 0x1.873101f5c0a89p-17, 0x1.8ac9a5c3281d7p-17, 0x1.8de4408ab7214p-17, 0x1.90859f4a60837p-17, 0x1.92b26bf7c0564p-17, 0x1.946f2e5deda48p-17, 0x1.95c04cfa3a54ap-17, 0x1.96aa0dc364e0bp-17, 0x1.973096ff0f601p-17, 0x1.9757f0018e75p-17, 0x1.972401fc72473p-17, 0x1.969898b4b7f47p-17, 0x1.95b96344d783p-17, 0x1.9489f4d2d9f03p-17, 0x1.930dc54005c69p-17, 0x1.914831dd82ccp-17, 0x1.8f3c7e1633005p-17, 0x1.8cedd41229575p-17, 0x1.8a5f4561f2359p-17, 0x1.8793cb9925253p-17, 0x1.848e48ecf734p-17, 0x1.815188ce6937bp-17, 0x1.7de0407f67eb1p-17, 0x1.7a3d0fa15d19cp-17, 0x1.766a80ccedep-17, 0x1.726b0a136c837p-17, 0x1.6e410d8ebdbb7p-17, 0x1.69eed9e309f3p-17, 0x1.6576aac4076fep-17, 0x1.60daa97009e71p-17, 0x1.5c1ced30d5cecp-17, 0x1.573f7bd295595p-17, 0x1.52444a1c11b26p-17, 0x1.4d2d3c4171902p-17, 0x1.47fc265515fd3p-17, 0x1.42b2ccb8c2f0fp-17, 0x1.3d52e4860a83bp-17, 0x1.37de13fb4395p-17, 0x1.3255f2e07b3b9p-17, 0x1.2cbc0aeb60105p-17, 0x1.2711d82531683p-17, 0x1.2158c944dafb5p-17, 0x1.1b92401318f81p-17, 0x1.15bf91be6fcd1p-17, 0x1.0fe2073bc3035p-17, 0x1.09fadd97817fcp-17, 0x1.040b464e103eep-17, 0x1.fc28cf3b5f433p-18, 0x1.f02eb9abbc3c8p-18, 0x1.e42a6d5287ca2p-18, 0x1.d81df6f0c341fp-18, 0x1.cc0b4f38a1073p-18, 0x1.bff45b642e16ep-18, 0x1.b3daedc0dc701p-18, 0x1.a7c0c63ca350ap-18, 0x1.9ba792ed5076bp-18, 0x1.8f90f095406f7p-18, 0x1.837e6b2419fdp-18, 0x1.77717e384a4fp-18, 0x1.6b6b9592f86acp-18, 0x1.5f6e0d98319a1p-18, 0x1.537a33bc7f2bap-18, 0x1.479146fca530ep-18, 0x1.3bb478484c48dp-18, 0x1.2fe4eaf14e5ap-18, 0x1.2423b51404cf7p-18, 0x1.1871dffdcf248p-18, 0x1.0cd06890e891ep-18, 0x1.01403fa855a6cp-18, 0x1.eb8494e6aa687p-19, 0x1.d4aec5ab7a259p-19, 0x1.be00af7ea054ep-19, 0x1.a77bdb0b36888p-19, 0x1.9121bc701b167p-19, 0x1.7af3b3eb423adp-19, 0x1.64f30e76a55f7p-19, 0x1.4f21066ba27d3p-19, 0x1.397ec415c66eep-19, 0x1.240d5e5340138p-19, 0x1.0ecddb1c0a5cfp-19, 0x1.f382602b3de61p-20, 0x1.c9d0863e28f15p-20, 0x1.a087d5a31d6ep-20, 0x1.77a9de12f97d8p-20, 0x1.4f3812c2d6c36p-20, 0x1.2733cb60df692p-20, 0x1.ff3c8a0b3ac2ap-21, 0x1.b0f1462d4ca83p-21, 0x1.6387e07445a09p-21, 0x1.17023e44ed592p-21, 0x1.96c42dd50d51fp-22, 0x1.0151ea5bc0e78p-22, 0x1.b6c1c7606a7f4p-24, -0x1.20ee75ad445c8p-25, -0x1.682d740db1a07p-23, -0x1.42387f9750a3fp-22, -0x1.ce8198c94d5d9p-22, -0x1.2c786329a7168p-21, -0x1.70c2869fd9164p-21, -0x1.b41eda458f271p-21, -0x1.f68d2147efba2p-21, -0x1.1c069e9f55845p-20, -0x1.3c4f968046da8p-20, -0x1.5c2185c05de66p-20, -0x1.7b7c8750142ddp-20, -0x1.9a60c30f92d1ap-20, -0x1.b8ce6d4776a03p-20, -0x1.d6c5c620b91a1p-20, -0x1.f4471926c4c2ap-20, -0x1.08a95e676cf19p-19, -0x1.16f488fa83252p-19, -0x1.250541badc33cp-19, -0x1.32dbc2d7d197dp-19, -0x1.40784b0f8bbbep-19, -0x1.4ddb1d75c9893p-19, -0x1.5b04814359acdp-19, -0x1.67f4c1a2952bcp-19, -0x1.74ac2d7f989e5p-19, -0x1.812b1758110b9p-19, -0x1.8d71d50e14251p-19, -0x1.9980bfbdc633ep-19, -0x1.a558338fa2369p-19, -0x1.b0f88f90f6b91p-19, -0x1.bc62358b9f40fp-19, -0x1.c79589df2978fp-19, -0x1.d292f35bb5a8cp-19, -0x1.dd5adb1c8e8a8p-19, -0x1.e7edac66dee55p-19, -0x1.f24bd4855a0d8p-19, -0x1.fc75c2aa2b90cp-19, -0x1.0335f3e5b958ep-18, -0x1.08175b44dcac2p-18, -0x1.0cdf5186ab5adp-18, -0x1.118e1176776dp-18, -0x1.1623d68820724p-18, -0x1.1aa0dccb6ef73p-18, -0x1.1f0560de9afb8p-18, -0x1.23519fe1ee056p-18, -0x1.2785d76c01244p-18, -0x1.2ba2457dea3bdp-18, -0x1.2fa72878445dp-18, -0x1.3394bf1039d9fp-18, -0x1.376b4845ad6d4p-18, -0x1.3b2b03583ffb6p-18, -0x1.3ed42fbec93ap-18, -0x1.42670d1d5f1eap-18, -0x1.45e3db3cd89cfp-18, -0x1.494ada01e4e23p-18, -0x1.4c9c4965141aap-18, -0x1.4fd8696af1cb5p-18, -0x1.52ff7a1bb68cp-18, -0x1.5611bb7ce7339p-18, -0x1.590f6d8a063aap-18, -0x1.5bf8d02d8f7b5p-18, -0x1.5ece233ac984bp-18, -0x1.618fa6678dff3p-18, -0x1.643d9945f8b3cp-18, -0x1.66d83b3fc0ddbp-18, -0x1.695fcb8f57caap-18, -0x1.6bd4893bdcf3ep-18, -0x1.6e36b313aa623p-18, -0x1.708687a76d257p-18, -0x1.72c4454657fa3p-18, -0x1.74f029f8cd5d2p-18, -0x1.770a737d06a24p-18, -0x1.79135f42b4c26p-18, -0x1.7b0b2a67c5b5cp-18, -0x1.7cf211b41f323p-18, -0x1.7ec85196f0646p-18, -0x1.808e26232448p-18, -0x1.8243cb0c93f64p-18, -0x1.83e97ba48d751p-18, -0x1.857f72d7d86dfp-18, -0x1.8705eb2c0df4cp-18, -0x1.887d1ebc86868p-18, -0x1.89e54738f783cp-18, -0x1.8b3e9de288621p-18, -0x1.8c895b8a83bfcp-18, -0x1.8dc5b88fead4ap-18, -0x1.8ef3ecddfc708p-18, -0x1.90142fea83c56p-18, -0x1.9126b8b440451p-18, -0x1.922bbdc1a48acp-18, -0x1.9323751fae0d6p-18, -0x1.940e146031528p-18, -0x1.94ebd099102adp-18, -0x1.95bcde635896dp-18, -0x1.968171da4ea0ap-18, -0x1.9739be9a8985ap-18, -0x1.97e5f7c11effdp-18, -0x1.98864feb1e1cp-18, -0x1.991af93551d56p-18, -0x1.99a4253b48a1p-18, -0x1.9a220516ed3e2p-18, -0x1.9a94c9609e0efp-18, -0x1.9afca22e87136p-18, -0x1.9b59bf14a1e8ep-18, -0x1.9bac4f24920cep-18, -0x1.9bf480ed79eadp-18, -0x1.9c32827bd43c4p-18, -0x1.9c668159ee3eep-18, -0x1.9c90aa8f8dc6ep-18, -0x1.9cb12aa25be4p-18, -0x1.9cc82d9617e6p-18, -0x1.9cd5deeca455p-18, -0x1.9cda69a67ed8fp-18, -0x1.9cd5f8430c076p-18, -0x1.9cc8b4c0d3574p-18, -0x1.9cb2c89e17509p-18, -0x1.9c945cd96c4aep-18, -0x1.9c6d99f1e111p-18, -0x1.9c3ea7e795a01p-18, -0x1.9c07ae3c83792p-18, -0x1.9bc8d3f4f8fe2p-18, -0x1.9b823f9830307p-18, -0x1.9b341730fff3dp-18, -0x1.9ade804e81805p-18, -0x1.9a81a004cce2bp-18, -0x1.9a1d9aed9bd63p-18, -0x1.99b295291be34p-18, -0x1.9940b25ef8b2dp-18, -0x1.98c815bead9fbp-18, -0x1.9848e20094a6ap-18, -0x1.97c33966abd64p-18, -0x1.97373dbdac9a9p-18, -0x1.96a5105d9a69ep-18, -0x1.960cd22ad4dfap-18, -0x1.956ea396ca271p-18, -0x1.94caa4a117c98p-18, -0x1.9420f4d866e3bp-18, -0x1.9371b35b52bb4p-18, -0x1.92bcfed94fe8p-18, -0x1.9202f593b6a72p-18, -0x1.9143b55ec4887p-18, -0x1.907f5ba2777cfp-18, -0x1.8fb6055b8f3a4p-18, -0x1.8ee7cf1c8bbcap-18, -0x1.8e14d50ea6989p-18, -0x1.8d3d32f2e2c84p-18, -0x1.8c61042316fe6p-18, -0x1.8b806392bb723p-18, -0x1.8a9b6bd02736ep-18, -0x1.89b237056d4e7p-18, -0x1.88c4def976432p-18, -0x1.87d37d10f3224p-18, -0x1.86de2a4f5e026p-18, -0x1.85e4ff580b8b5p-18, -0x1.84e8146f51884p-18, -0x1.83e7817b4dc8cp-18, -0x1.82e35e050d46fp-18, -0x1.81dbc13976c59p-18, -0x1.80d0c1ea80161p-18, -0x1.7fc276900284fp-18, -0x1.7eb0f548ca5d8p-18, -0x1.7d9c53db9a9bdp-18, -0x1.7c84a7b83fe57p-18, -0x1.7b6a05f88f0b6p-18, -0x1.7a4c83614deep-18, -0x1.792c34630dad8p-18, -0x1.78092d1b95d6p-18, -0x1.76e381569a886p-18, -0x1.75bb448ea2c67p-18, -0x1.749089ee465ddp-18, -0x1.73636450efe29p-18, -0x1.7233e643e8735p-18, -0x1.710222073f2c3p-18, -0x1.6fce298ee6363p-18, -0x1.6e980e837f6bep-18, -0x1.6d5fe2436b92ep-18, -0x1.6c25b5e39b53bp-18, -0x1.6ae99a3077899p-18, -0x1.69ab9faef35e4p-18, -0x1.686bd69d7af19p-18, -0x1.672a4ef4bdf98p-18, -0x1.65e718689b3e6p-18, -0x1.64a242691ba71p-18, -0x1.635bdc233ad5p-18, -0x1.6213f481eb1fbp-18, -0x1.60ca9a2ec5facp-18, -0x1.5f7fdb933a5p-18, -0x1.5e33c6d91e0e6p-18, -0x1.5ce669eb8655cp-18, -0x1.5b97d277d5d33p-18, -0x1.5a480dee909abp-18, -0x1.58f72983f7cbbp-18, -0x1.57a532311cd3fp-18, -0x1.565234b480d3cp-18, -0x1.54fe3d92ff3c3p-18, -0x1.53a95918941d1p-18, -0x1.525393592cd24p-18, -0x1.50fcf8316d2a3p-18, -0x1.4fa5934756925p-18, -0x1.4e4d700b50af7p-18, -0x1.4cf499b8bbc9bp-18, -0x1.4b9b1b56bee1fp-18, -0x1.4a40ffb9047c9p-18, -0x1.48e65180768e4p-18, -0x1.478b1b1bfa696p-18, -0x1.462f66c916797p-18, -0x1.44d33e94cfe91p-18, -0x1.4376ac5c5fa48p-18, -0x1.4219b9cda39fcp-18, -0x1.40bc7068113d7p-18, -0x1.3f5ed97d55904p-18, -0x1.3e00fe31fd652p-18, -0x1.3ca2e77e1f073p-18, -0x1.3b449e2ddf6ap-18, -0x1.39e62ae25e389p-18, -0x1.388796123a21cp-18, -0x1.3728e80a2e81cp-18, -0x1.35ca28ed9bb77p-18, -0x1.346b60b76ad7fp-18, -0x1.330c973a708b7p-18, -0x1.31add4220bde3p-18, -0x1.304f1ef2c83c6p-18, -0x1.2ef07f0b049efp-18, -0x1.2d91fba38ap-18, -0x1.2c339bd001d1bp-18, -0x1.2ad5667f99fe9p-18, -0x1.2977627d979f7p-18, -0x1.28199671c5f36p-18, -0x1.26bc08e135c1fp-18, -0x1.255ec02ea6d9bp-18, -0x1.2401c29b2a9fap-18, -0x1.22a51646750d8p-18, -0x1.2148c12f83de6p-18, -0x1.1fecc9354cef8p-18, -0x1.1e913416e402ap-18, -0x1.1d3607743ddf9p-18, -0x1.1bdb48ce9d47ep-18, -0x1.1a80fd8910583p-18, -0x1.19272ae8ea73ep-18, -0x1.17cdd6162285bp-18, -0x1.1675041bfa2bep-18, -0x1.151cb9e96172ep-18, -0x1.13c4fc514e2a6p-18, -0x1.126dd00b56636p-18, -0x1.111739b42122ep-18, -0x1.0fc13dcda7859p-18, -0x1.0e6be0bfbfad6p-18, -0x1.0d1726d89ab65p-18, -0x1.0bc3144d2997ap-18, -0x1.0a6fad3966108p-18, -0x1.091cf5a0ca45p-18, -0x1.07caf16ed101cp-18, -0x1.0679a4773695cp-18, -0x1.052912767bf7ap-18, -0x1.03d93f124d61ap-18, -0x1.028a2dd990713p-18, -0x1.013be2451e598p-18, -0x1.ffdcbf705ff32p-19, -0x1.fd435300af094p-19, -0x1.faab85ac59be6p-19, -0x1.f8155dbb1fd36p-19, -0x1.f580e14bec12dp-19, -0x1.f2ee165590d14p-19, -0x1.f05d02a7899e9p-19, -0x1.edcdabea9f9p-19, -0x1.eb4017a16dd6ap-19, -0x1.e8b44b2921218p-19, -0x1.e62a4bba2521fp-19, -0x1.e3a21e689ec08p-19, -0x1.e11bc82536742p-19, -0x1.de974dbd9c441p-19, -0x1.dc14b3dd1ac7ap-19, -0x1.d993ff0d18dap-19, -0x1.d71533b5db4b5p-19, -0x1.d498561f39e2bp-19, -0x1.d21d6a70a92b3p-19, -0x1.cfa474b22b698p-19, -0x1.cd2d78ccf60ep-19, -0x1.cab87a8b8df37p-19, -0x1.c8457d9acbeebp-19, -0x1.c5d48589eead7p-19, -0x1.c36595cb45ebcp-19, -0x1.c0f8b1b52369bp-19, -0x1.be8ddc81afaf9p-19, -0x1.bc25194f994c7p-19, -0x1.b9be6b22e3354p-19, -0x1.b759d4e4f3c22p-19, -0x1.b4f75965565f1p-19, -0x1.b296fb5a07a39p-19, -0x1.b038bd5ff7072p-19, -0x1.addca1fb6d7cfp-19, -0x1.ab82ab9897ce1p-19, -0x1.a92adc8bde388p-19, -0x1.a6d5371267dddp-19, -0x1.a481bd5270a84p-19, -0x1.a230715b88b32p-19, -0x1.9fe155276c77ap-19, -0x1.9d946a9a1e29ep-19, -0x1.9b49b38241f4cp-19, -0x1.99013199a0d52p-19, -0x1.96bae68575455p-19, -0x1.9476d3d6f62a5p-19, -0x1.9234fb0b7312fp-19, -0x1.8ff55d8cd14f7p-19, -0x1.8db7fcb2021ep-19, -0x1.8b7cd9bf35f91p-19, -0x1.8943f5e63e033p-19, -0x1.870d5246d5d05p-19, -0x1.84d8efef3b95cp-19, -0x1.82a6cfdc383bdp-19, -0x1.8076f2f970126p-19, -0x1.7e495a21f9458p-19, -0x1.7c1e062088d48p-19, -0x1.79f4f7afaba36p-19, -0x1.77ce2f7a234aap-19, -0x1.75a9ae1b514f9p-19, -0x1.7387741f51a94p-19, -0x1.716782035cbf8p-19, -0x1.6f49d83610a14p-19, -0x1.6d2e7717ccac8p-19, -0x1.6b155efabac79p-19, -0x1.68fe90235b75bp-19, -0x1.66ea0ac8ad09fp-19, -0x1.64d7cf1455bc3p-19, -0x1.62c7dd23063c3p-19, -0x1.60ba3504ccb41p-19, -0x1.5eaed6bd19657p-19, -0x1.5ca5c243241dcp-19, -0x1.5a9ef7823693ep-19, -0x1.589a7659cc1c5p-19, -0x1.56983e9ddadf4p-19, -0x1.5498501711871p-19, -0x1.529aaa8305f18p-19, -0x1.509f4d94826eep-19, -0x1.4ea638f39cd1p-19, -0x1.4caf6c3e1ab8ep-19, -0x1.4abae70788124p-19, -0x1.48c8a8d962e32p-19, -0x1.46d8b1336b6c9p-19, -0x1.44eaff8beb127p-19, -0x1.42ff934f94a69p-19, -0x1.41166be20d9b9p-19, -0x1.3f2f889dfbda8p-19, -0x1.3d4ae8d52bceep-19, -0x1.3b688bd0cbc6ap-19, -0x1.398870d1b64f3p-19, -0x1.37aa97105a93p-19, -0x1.35cefdbd2de9ap-19, -0x1.33f5a400cb8c3p-19, -0x1.321e88fbf80adp-19, -0x1.3049abc7e397ep-19, -0x1.2e770b767fec4p-19, -0x1.2ca6a7125c89dp-19, -0x1.2ad87d9f038aep-19, -0x1.290c8e191df35p-19, -0x1.2742d7767c562p-19, -0x1.257b58a665cf5p-19, -0x1.23b61091a8bb2p-19, -0x1.21f2fe1ab943dp-19, -0x1.2032201de2f4ep-19, -0x1.1e73757175b1bp-19, -0x1.1cb6fce5df131p-19, -0x1.1afcb545b7a92p-19, }}, 
      {{0x1.ec89af49b2cc5p-14, 0x1.e0d2aad112487p-12, 0x1.04bd3a2435747p-10, 0x1.bac3e20e5ef8cp-10, 0x1.485d33d57f6bdp-9, 0x1.bf3d85ee7aaecp-9, 0x1.1f7936485c209p-8, 0x1.62bbddb1b5e31p-8, 0x1.a8db2040ebdb5p-8, 0x1.f1a8c1c11f64bp-8, 0x1.1e9c704b94b77p-7, 0x1.45e49fd97224cp-7, 0x1.6ed649d0ff114p-7, 0x1.999d0eeb79bccp-7, 0x1.c6609f4f3ade2p-7, 0x1.f5403c6ae7523p-7, 0x1.1327da22c805dp-6, 0x1.2ccad0221083bp-6, 0x1.47855c58bf701p-6, 0x1.634d08d337f27p-6, 0x1.80110b3000478p-6, 0x1.9dbb0bcbb6412p-6, 0x1.bc3020cad0ed1p-6, 0x1.db51e83a89689p-6, 0x1.faffae40801acp-6, 0x1.0d8bc76c114c6p-5, 0x1.1dbbc2d538947p-5, 0x1.2dff30ed3d305p-5, 0x1.3e464b741b0a1p-5, 0x1.4e82736ab0f99p-5, 0x1.5ea6722fba858p-5, 0x1.6ea6a7268c1a6p-5, 0x1.7e79233c79ba9p-5, 0x1.8e15b4373ebdbp-5, 0x1.9d75e212930b8p-5, 0x1.ac94e0dd14f73p-5, 0x1.bb6f79860da78p-5, 0x1.ca03ebef9e618p-5, 0x1.d851cc6513787p-5, 0x1.e659de53006eep-5, 0x1.f41dedd589ab2p-5, 0x1.00d054b315479p-4, 0x1.0772be54f9247p-4, 0x1.0df8368f192ddp-4, 0x1.1462fc9326455p-4, 0x1.1ab57ce534dccp-4, 0x1.20f243a691b1cp-4, 0x1.271bf04e7815ap-4, 0x1.2d352ac69c5f4p-4, 0x1.334099d89f388p-4, 0x1.3940dad3b672p-4, 0x1.3f387a4ec9b3dp-4, 0x1.4529edea2e107p-4, 0x1.4b178ef4a07e2p-4, 0x1.510395d8e572cp-4, 0x1.56f0163bc3262p-4, 0x1.5cdefbb4ff95p-4, 0x1.62d20710e78c3p-4, 0x1.68cacc0b03c3bp-4, 0x1.6ecaaf7552ad4p-4, 0x1.74d2e5c1e1795p-4, 0x1.7ae471e6c62dbp-4, 0x1.810024964c628p-4, 0x1.87269bc67aa3p-4, 0x1.8d58428441553p-4, 0x1.9395510f260b5p-4, 0x1.99ddcd3ae9218p-4, 0x1.a0318b149e70dp-4, 0x1.a6902dc8ca27p-4, 0x1.acf928c7e0aefp-4, 0x1.b36bc1263c971p-4, 0x1.b9e70f344adfbp-4, 0x1.c06a004b53dep-4, 0x1.c6f358cad0ff6p-4, 0x1.cd81b6420cb78p-4, 0x1.d41391c130d32p-4, 0x1.daa7424cf57f5p-4, 0x1.e13aff6fb9c4dp-4, 0x1.e7cce3e2a9481p-4, 0x1.ee5af0499be6ep-4, 0x1.f4e30dfc649d4p-4, 0x1.fb6311d817586p-4, 0x1.00ec5f89a1a05p-3, 0x1.0420e5080bfc7p-3, 0x1.074ded93df7fcp-3, 0x1.0a7248b537173p-3, 0x1.0d8cc2a81396ap-3, 0x1.109c25ab2c5e7p-3, 0x1.139f3b437136dp-3, 0x1.1694cd72d2f8cp-3, 0x1.197ba7e0e9811p-3, 0x1.1c5298f46febfp-3, 0x1.1f1872dc9c68fp-3, 0x1.21cc0c899a0ecp-3, 0x1.246c4293a522dp-3, 0x1.26f7f810569b3p-3, 0x1.296e1755f9e89p-3, 0x1.2bcd92acd6299p-3, 0x1.2e1564ee8369p-3, 0x1.304492138979p-3, 0x1.325a27af95d38p-3, 0x1.34553d5cc0201p-3, 0x1.3634f51663129p-3, 0x1.37f87b842634ap-3, 0x1.399f0835f1523p-3, 0x1.3b27ddd17189dp-3, 0x1.3c924a320e8bcp-3, 0x1.3ddda67c150fap-3, 0x1.3f095723ec406p-3, 0x1.4014cbea3f36p-3, 0x1.40ff7fcddf863p-3, 0x1.41c8f8f45d5e8p-3, 0x1.4270c88a0fa18p-3, 0x1.42f68a9a79869p-3, 0x1.4359e5e1d8ebfp-3, 0x1.439a8b98a5e8bp-3, 0x1.43b83739d0913p-3, 0x1.43b2ae446b17cp-3, 0x1.4389bff98a996p-3, 0x1.433d4516edf5ep-3, 0x1.42cd1f8f252ecp-3, 0x1.42393a3fba992p-3, 0x1.418188a5f7d23p-3, 0x1.40a60692bd34ep-3, 0x1.3fa6b7ddf265ap-3, 0x1.3e83a819e4652p-3, 0x1.3d3cea470ef33p-3, 0x1.3bd29888941b2p-3, 0x1.3a44d3d9bba28p-3, 0x1.3893c3c4c0b79p-3, 0x1.36bf961b1d60bp-3, 0x1.34c87eaf9cacfp-3, 0x1.32aeb7124c48ap-3, 0x1.30727e4e796efp-3, 0x1.2e1418aad8e57p-3, 0x1.2b93cf6beb964p-3, 0x1.28f1f098b1636p-3, 0x1.262ecec1b058fp-3, 0x1.234ac0ca60f6cp-3, 0x1.204621b4f25dfp-3, 0x1.1d2150706663ep-3, 0x1.19dcafa9066a9p-3, 0x1.1678a59b1235ep-3, 0x1.12f59be7b0a83p-3, 0x1.0f53ff6c0018p-3, 0x1.0b94401a3acf7p-3, 0x1.07b6d0d4dc5bep-3, 0x1.03bc274ba39dp-3, 0x1.ff4977b4dc1d7p-4, 0x1.f6e212d3842a3p-4, 0x1.ee431aa1e81f8p-4, 0x1.e56d8e739eaa6p-4, 0x1.dc62720b51669p-4, 0x1.d322cd6769445p-4, 0x1.c9afac9139862p-4, 0x1.c00a1f6e46d39p-4, 0x1.b63339939543dp-4, 0x1.ac2c121ad3288p-4, 0x1.a1f5c37906decp-4, 0x1.97916b56d7952p-4, 0x1.8d002a69ed6e4p-4, 0x1.8243244f9bab2p-4, 0x1.775b7f685fe06p-4, 0x1.6c4a64b44b247p-4, 0x1.6110ffb009c06p-4, 0x1.55b07e3284fb5p-4, 0x1.4a2a104aeefaep-4, 0x1.3e7ee81f2c68p-4, 0x1.32b039ca73e87p-4, 0x1.26bf3b3c20702p-4, 0x1.1aad24168a6e2p-4, 0x1.0e7b2d8df01bap-4, 0x1.022a92474285dp-4, 0x1.eb791c6dd0136p-5, 0x1.d264bcfe96e27p-5, 0x1.b91a829e923a1p-5, 0x1.9f9ceb80b8a2dp-5, 0x1.85ee776933b2bp-5, 0x1.6c11a768d3d8ap-5, 0x1.5208fd97f6028p-5, 0x1.37d6fcd10d14cp-5, 0x1.1d7e286a854fap-5, 0x1.030103f043c89p-5, 0x1.d0c425b973bd4p-6, 0x1.9b47b0a2ef1e9p-6, 0x1.6591ad9ee5b2dp-6, 0x1.2fa71fde058dep-6, 0x1.f31a105e197c1p-7, 0x1.8690c8dbd0164p-7, 0x1.19bc5de4db023p-7, 0x1.594d77fc18137p-8, 0x1.face32f7ecf8fp-10, -0x1.71055181a0a12p-10, -0x1.377d90f02f555p-8, -0x1.0976d3f200464p-7, -0x1.773f19e6f291ap-7, -0x1.e50df68c6e91ep-7, -0x1.296ceb0fb9efbp-6, -0x1.604c9afe5ea88p-6, -0x1.972152db1fbf9p-6, -0x1.cde66412cf468p-6, -0x1.024b951ec3954p-5, -0x1.1d9785d2105fdp-5, -0x1.38d4bce1d9864p-5, -0x1.5400f8e774b2fp-5, -0x1.6f19fe96602c1p-5, -0x1.8a1d98fa82e3p-5, -0x1.a50999b4f2a16p-5, -0x1.bfdbd9377c7fap-5, -0x1.da9236fe9e03dp-5, -0x1.f52a99ca00d9fp-5, -0x1.07d177e9b39acp-4, -0x1.14fc978201155p-4, -0x1.2215aa9403306p-4, -0x1.2f1bb4104afd5p-4, -0x1.3c0dbb09f3034p-4, -0x1.48eacacdca468p-4, -0x1.55b1f2f898272p-4, -0x1.6262478c6c11p-4, -0x1.6efae104fd372p-4, -0x1.7b7adc6b194b8p-4, -0x1.87e15b6717ffap-4, -0x1.942d84524e60cp-4, -0x1.a05e82478d519p-4, -0x1.ac738532a5811p-4, -0x1.b86bc1dee48dap-4, -0x1.c446720491222p-4, -0x1.d002d4558260bp-4, -0x1.dba02c888bb4ep-4, -0x1.e71dc364190f6p-4, -0x1.f27ae6c7b1a85p-4, -0x1.fdb6e9b47bab5p-4, -0x1.0468922a6e797p-3, -0x1.09e47a01890fcp-3, -0x1.0f4edda76893bp-3, -0x1.14a77100ff332p-3, -0x1.19edea9236935p-3, -0x1.1f22037f59559p-3, -0x1.2443778e05dd1p-3, -0x1.29520525aebb4p-3, -0x1.2e4d6d4fad286p-3, -0x1.333573b6d9388p-3, -0x1.3809dea6c310ap-3, -0x1.3cca770a7015ap-3, -0x1.4177086abf444p-3, -0x1.460f60ec56c97p-3, -0x1.4a93514d3a85dp-3, -0x1.4f02ace1f49e3p-3, -0x1.535d499265345p-3, -0x1.57a2ffd6307cfp-3, -0x1.5bd3aab0d31d4p-3, -0x1.5fef27ad63da2p-3, -0x1.63f556d9f3a34p-3, -0x1.67e61ac2a1189p-3, -0x1.6bc1586c63eeap-3, -0x1.6f86f74f74ed6p-3, -0x1.7336e1518209ap-3, -0x1.76d102bf8a887p-3, -0x1.7a554a477848fp-3, -0x1.7dc3a8f17c5c4p-3, -0x1.811c1219229c4p-3, -0x1.845e7b662dd74p-3, -0x1.878adcc5374abp-3, -0x1.8aa13060108b3p-3, -0x1.8da17295fa52ap-3, -0x1.908ba1f39cda7p-3, -0x1.935fbf2ad7bffp-3, -0x1.961dcd0a5e02bp-3, -0x1.98c5d0752d116p-3, -0x1.9b57d059d375dp-3, -0x1.9dd3d5a996f59p-3, -0x1.a039eb4f79452p-3, -0x1.a28a1e270efe6p-3, -0x1.a4c47cf347a28p-3, -0x1.a6e918550d25fp-3, -0x1.a8f802c1ce5fdp-3, -0x1.aaf15079ee34ep-3, -0x1.acd5177f220c2p-3, -0x1.aea36f8ab5dfdp-3, -0x1.b05c7203c5c05p-3, -0x1.b20039f563fd6p-3, -0x1.b38ee404b21d2p-3, -0x1.b5088e66f107ep-3, -0x1.b66d58d785c3fp-3, -0x1.b7bd648df8eaep-3, -0x1.b8f8d433eff67p-3, -0x1.ba1fcbdb1ea28p-3, -0x1.bb3270f3411b3p-3, -0x1.bc30ea4009da6p-3, -0x1.bd1b5fcf19323p-3, -0x1.bdf1faedf77abp-3, -0x1.beb4e6201102bp-3, -0x1.bf644d14bd6f3p-3, -0x1.c0005c9d47fc1p-3, -0x1.c08942a30bf89p-3, -0x1.c0ff2e1d8f808p-3, -0x1.c1624f08b5f6p-3, -0x1.c1b2d65af8a36p-3, -0x1.c1f0f5fbb0f42p-3, -0x1.c21ce0b973652p-3, -0x1.c236ca407a497p-3, -0x1.c23ee711268ccp-3, -0x1.c2356c768f6a7p-3, -0x1.c21a907d29022p-3, -0x1.c1ee89e981cc6p-3, -0x1.c1b1902f16ecap-3, -0x1.c163db673e81fp-3, -0x1.c105a4482631ep-3, -0x1.c097241bf6a56p-3, -0x1.c01894b806dafp-3, -0x1.bf8a30742c7fap-3, -0x1.beec32222b113p-3, -0x1.be3ed5053d641p-3, -0x1.bd8254c9bc2fbp-3, -0x1.bcb6ed7ce0c14p-3, -0x1.bbdcdb84a8397p-3, -0x1.baf45b97d6753p-3, -0x1.b9fdaab6151bfp-3, -0x1.b8f906203095ep-3, -0x1.b7e6ab50801cap-3, -0x1.b6c6d7f35cbefp-3, -0x1.b599c9dfc8c68p-3, -0x1.b45fbf102dfb5p-3, -0x1.b318f59b49a54p-3, -0x1.b1c5abad2943ap-3, -0x1.b0661f8056c48p-3, -0x1.aefa8f5723856p-3, -0x1.ad83397515a2p-3, -0x1.ac005c18724ap-3, -0x1.aa723573f8772p-3, -0x1.a8d903a8ac5aap-3, -0x1.a73504bfd5ce6p-3, -0x1.a58676a51aecp-3, -0x1.a3cd9720b88c6p-3, -0x1.a20aa3d1e8842p-3, -0x1.a03dda296405dp-3, -0x1.9e6777640852cp-3, -0x1.9c87b885a3e16p-3, -0x1.9a9eda53dfa9dp-3, -0x1.98ad195150e8ap-3, -0x1.96b2b1b8ab6d2p-3, -0x1.94afdf7813926p-3, -0x1.92a4de2c97ccep-3, -0x1.9091e91dc821p-3, -0x1.8e773b39728a6p-3, -0x1.8c550f0f7d4bdp-3, -0x1.8a2b9ecde7f2ep-3, -0x1.87fb243ce7a01p-3, -0x1.85c3d8bb2e694p-3, -0x1.8385f53a4371cp-3, -0x1.8141b23b0b63fp-3, -0x1.7ef747ca698bcp-3, -0x1.7ca6ed7e017c9p-3, -0x1.7a50da7118621p-3, -0x1.77f54541997fap-3, -0x1.7594640d318f4p-3, -0x1.732e6c6e90d37p-3, -0x1.70c3937ac6ac4p-3, -0x1.6e540dbebf79ap-3, -0x1.6be00f3cd79a6p-3, -0x1.6967cb6a96e16p-3, -0x1.66eb752e7f64ep-3, -0x1.646b3eddfcd93p-3, -0x1.61e75a3b72b4dp-3, -0x1.5f5ff8745daebp-3, -0x1.5cd54a1f96a8ep-3, -0x1.5a477f3bb2a2bp-3, -0x1.57b6c72d75232p-3, -0x1.552350be632f6p-3, -0x1.528d4a1b6b5d2p-3, -0x1.4ff4e0d3abcdcp-3, -0x1.4d5a41d74c63dp-3, -0x1.4abd9976719a4p-3, -0x1.481f136048dd5p-3, -0x1.457edaa22bc2ap-3, -0x1.42dd19a6da1f6p-3, -0x1.4039fa35c93b7p-3, -0x1.3d95a5728ac3ep-3, -0x1.3af043dc45556p-3, -0x1.3849fd4d492c1p-3, -0x1.35a2f8fab1246p-3, -0x1.32fb5d7420c23p-3, -0x1.305350a38cc6dp-3, -0x1.2daaf7cd1e29ep-3, -0x1.2b02778f2162ep-3, -0x1.2859f3e211d8dp-3, -0x1.25b19018aa981p-3, -0x1.23096ee0116cdp-3, -0x1.2061b2401394p-3, -0x1.1dba7b9b6b38dp-3, -0x1.1b13ebb01aef5p-3, -0x1.186e2297d9e57p-3, -0x1.15c93fc88aa2ap-3, -0x1.13256214c27d3p-3, -0x1.1082a7ac654b6p-3, -0x1.0de12e1d42d6ap-3, -0x1.0b411253ccef9p-3, -0x1.08a2709bd56d3p-3, -0x1.060564a15c00dp-3, -0x1.036a097163138p-3, -0x1.00d0797ad63bap-3, -0x1.fc719d1ef1386p-4, -0x1.f74643c9bf2adp-4, -0x1.f21f182af38afp-4, -0x1.ecfc4a433daa2p-4, -0x1.e7de08e14e5d4p-4, -0x1.e2c481a41ac58p-4, -0x1.ddafe0fd42475p-4, -0x1.d8a0523370fdfp-4, -0x1.d395ff64dacf1p-4, -0x1.ce911189c8165p-4, -0x1.c991b07732263p-4, -0x1.c49802e16a57p-4, -0x1.bfa42e5edb793p-4, -0x1.bab6576ac27bbp-4, -0x1.b5cea1680c045p-4, -0x1.b0ed2ea4293bfp-4, -0x1.ac12205a04455p-4, -0x1.a73d96b4ef6cbp-4, -0x1.a26fb0d3a42ccp-4, -0x1.9da88ccb4e846p-4, -0x1.98e847aa9b763p-4, -0x1.942efd7cda02p-4, -0x1.8f7cc94d1405dp-4, -0x1.8ad1c52941826p-4, -0x1.862e0a257205fp-4, -0x1.8191b05f07815p-4, -0x1.7cfcceffef2dep-4, -0x1.786f7c41e52e4p-4, -0x1.73e9cd71ba79p-4, -0x1.6f6bd6f29f82fp-4, -0x1.6af5ac416f70bp-4, -0x1.66875ff806308p-4, -0x1.622103d08fb76p-4, -0x1.5dc2a8a8dfb09p-4, -0x1.596c5e85cc29dp-4, -0x1.551e34968164p-4, -0x1.50d83937e35c1p-4, -0x1.4c9a79f7e19b5p-4, -0x1.48650398d7df8p-4, -0x1.4437e214e704dp-4, -0x1.401320a14f2bep-4, -0x1.3bf6c9b1c9851p-4, -0x1.37e2e6fbdfd28p-4, -0x1.33d7817a4660ap-4, -0x1.2fd4a1702a8fap-4, -0x1.2bda4e6c880bcp-4, -0x1.27e88f4d7e33p-4, -0x1.23ff6a439112bp-4, -0x1.201ee4d4fbcf5p-4, -0x1.1c4703e0f472ap-4, -0x1.1877cba2eb26cp-4, -0x1.14b13fb5cd4fep-4, -0x1.10f363173bcedp-4, -0x1.0d3e382abfdacp-4, -0x1.0991c0bcfe18cp-4, -0x1.05edfe06df529p-4, -0x1.0252f0b0b8d2bp-4, -0x1.fd8131aad573ep-5, -0x1.f66dec0afa32cp-5, -0x1.ef6c0e9466653p-5, -0x1.e87b965137cep-5, -0x1.e19c7f4933119p-5, -0x1.dacec487c8c8cp-5, -0x1.d41260220c27ap-5, -0x1.cd674b3ca131dp-5, -0x1.c6cd7e1191403p-5, -0x1.c044eff621fc8p-5, -0x1.b9cd97608d67p-5, -0x1.b36769edb928p-5, -0x1.ad125c66d5401p-5, -0x1.a6ce62c6ef765p-5, -0x1.a09b70407a1bap-5, -0x1.9a797742bf745p-5, -0x1.9468697f40056p-5, -0x1.8e6837ef1a078p-5, -0x1.8878d2d833fbap-5, -0x1.829a29d28a6edp-5, -0x1.7ccc2bcd47351p-5, -0x1.770ec713d46aep-5, -0x1.7161e952e97bdp-5, -0x1.6bc57f9d75543p-5, -0x1.66397671872a1p-5, -0x1.60bdb9bd1c2eep-5, -0x1.5b5234e2dd6bcp-5, -0x1.55f6d2bed7a2dp-5, -0x1.50ab7dab18ccdp-5, -0x1.4b701f842efa9p-5, -0x1.4644a1adbcad1p-5, -0x1.4128ed16cee65p-5, -0x1.3c1cea3e452c5p-5, -0x1.3720813713322p-5, -0x1.323399ac81185p-5, -0x1.2d561ae645adep-5, -0x1.2887ebcca923p-5, -0x1.23c8f2ec8161ep-5, -0x1.1f19167b26a99p-5, -0x1.1a783c5a5c334p-5, -0x1.15e64a1c18d1ep-5, -0x1.116325065371bp-5, -0x1.0ceeb216a017p-5, -0x1.0888d605e84f6p-5, -0x1.0431754bdeac7p-5, -0x1.ffd0e8452f142p-6, -0x1.f75b6d13b3683p-6, -0x1.ef0240951f89bp-6, -0x1.e6c529f424365p-6, -0x1.dea3effaad8eep-6, -0x1.d69e59184e33cp-6, -0x1.ceb42b6877b66p-6, -0x1.c6e52cb8827d2p-6, -0x1.bf31228db16eep-6, -0x1.b797d22b0677ap-6, -0x1.b0190096f4939p-6, -0x1.a8b472a10e543p-6, -0x1.a169ece75e8c9p-6, -0x1.9a3933dbde8b6p-6, -0x1.93220bc9b626p-6, -0x1.8c2438da3835ap-6, -0x1.853f7f1a1a309p-6, -0x1.7e73a27e2afd1p-6, -0x1.77c066e833fd2p-6, -0x1.7125902b9ce17p-6, -0x1.6aa2e211f13a2p-6, -0x1.6438205f6066ap-6, -0x1.5de50ed711301p-6, -0x1.57a9713f4bdfdp-6, -0x1.51850b65b8bd7p-6, -0x1.4b77a1234697p-6, -0x1.4580f66023958p-6, -0x1.3fa0cf177fe17p-6, -0x1.39d6ef5b5ad61p-6, -0x1.34231b58102bap-6, -0x1.2e851757cc8p-6, -0x1.28fca7c6120f4p-6, -0x1.23899132eb17p-6, -0x1.1e2b98564f985p-6, -0x1.18e2821304b27p-6, -0x1.13ae1379f505bp-6, -0x1.0e8e11ccd2216p-6, -0x1.09824281246c6p-6, -0x1.048a6b4303173p-6, -0x1.ff4ca3ef74ee4p-7, -0x1.f5ab7980bbf13p-7, -0x1.ec30e3f8c236bp-7, -0x1.e2dc7097d2b82p-7, -0x1.d9adad247886cp-7, -0x1.d0a427effb376p-7, -0x1.c7bf6fda8de4fp-7, -0x1.beff1457e4f1p-7, -0x1.b662a572d1409p-7, -0x1.ade9b3d1872cp-7, -0x1.a593d0b92e7ap-7, -0x1.9d608e11a7d4ap-7, -0x1.954f7e68b6074p-7, -0x1.8d6034f5d4579p-7, -0x1.8592459cd73fp-7, -0x1.7de544f16b81fp-7, -0x1.7658c839c0c3bp-7, -0x1.6eec657189f34p-7, -0x1.679fb34c796dcp-7, -0x1.60724938dd7f4p-7, -0x1.5963bf62157b4p-7, -0x1.5273aeb2ce8a4p-7, -0x1.4ba1b0d74ff1bp-7, -0x1.44ed603f5bd6ap-7, -0x1.3e5658205b037p-7, -0x1.37dc347704ce6p-7, -0x1.317e92093aef1p-7, -0x1.2b3d0e679abcap-7, -0x1.251747ef0cdf6p-7, -0x1.1f0cddca2919bp-7, -0x1.191d6ff2946f9p-7, -0x1.13489f322af3bp-7, -0x1.0d8e0d24397b7p-7, -0x1.07ed5c366eb47p-7, -0x1.02662fa9dcf91p-7, -0x1.f9f05727aff45p-8, -0x1.ef45e9bd5be8dp-8, -0x1.e4cc6294ca3f5p-8, -0x1.da830edab3759p-8, -0x1.d0693d6945a17p-8, -0x1.c67e3ec99f95bp-8, -0x1.bcc16533c8b91p-8, -0x1.b33204901245ep-8, -0x1.a9cf7276d8cddp-8, -0x1.a09906314c128p-8, -0x1.978e18b996fdap-8, -0x1.8eae04ba8a57dp-8, -0x1.85f8268fe6cf6p-8, -0x1.7d6bdc4600a5cp-8, -0x1.7508859966bd2p-8, -0x1.6ccd83f669d7dp-8, -0x1.64ba3a78a0becp-8, -0x1.5cce0dea2531dp-8, -0x1.550864c2b2298p-8, -0x1.4d68a7270b47cp-8, -0x1.45ee3ee788bbcp-8, -0x1.3e98977f50894p-8, -0x1.37671e131ef1p-8, -0x1.3059416fcf3bcp-8, -0x1.296e720906949p-8, -0x1.22a621f8013a1p-8, -0x1.1bffc4f962ebdp-8, -0x1.157ad06c501b3p-8, -0x1.0f16bb501b71cp-8, -0x1.08d2fe42d485ap-8, -0x1.02af137f52d2fp-8, -0x1.f954edb6975f8p-9, -0x1.ed894b8a1e0aap-9, -0x1.e1fa3e83aa8e9p-9, -0x1.d6a6c7d6db14cp-9, -0x1.cb8debdbda05cp-9, -0x1.c0aeb20b50858p-9, -0x1.b60824f969adap-9, -0x1.ab9952517008p-9, -0x1.a1614ad04d9e8p-9, -0x1.975f2240ae50cp-9, -0x1.8d91ef749012bp-9, -0x1.83f8cc417d772p-9, -0x1.7a92d57aa98b4p-9, -0x1.715f2aeb59f2p-9, -0x1.685cef529661ep-9, -0x1.5f8b485c7ca7dp-9, -0x1.56e95e9d96a28p-9, -0x1.4e765d8cd0667p-9, -0x1.4631737e29d7ap-9, -0x1.3e19d19cc4725p-9, -0x1.362eabe54073dp-9, -0x1.2e6f391ff9ec8p-9, -0x1.26dab2daf5e1ep-9, -0x1.1f7055643945fp-9, -0x1.182f5fc39f948p-9, -0x1.111713b516c52p-9, -0x1.0a26b5a2433ep-9, -0x1.035d8c9d3afffp-9, -0x1.f975c4b2c921fp-10, -0x1.ec7c064bee189p-10, -0x1.dfcc7bcf9f3e7p-10, -0x1.d365c82655c0dp-10, -0x1.c746934adab49p-10, -0x1.bb6d8a3e6187p-10, -0x1.afd95efb63cd3p-10, -0x1.a488c869d239dp-10, -0x1.997a82527c09p-10, -0x1.8ead4d521599p-10, -0x1.841feecd9668ap-10, -0x1.79d130e48168fp-10, -0x1.6fbfe26617c71p-10, -0x1.65ead6c3a7ff9p-10, -0x1.5c50e603ec485p-10, -0x1.52f0ecb73945dp-10, -0x1.49c9cbeaaf6c1p-10, -0x1.40da691c57b01p-10, -0x1.3821ae2db0874p-10, -0x1.2f9e89584e53cp-10, -0x1.274fed20944cdp-10, -0x1.1f34d049e8d51p-10, -0x1.174c2dca9c20ap-10, -0x1.0f9504beffb11p-10, -0x1.080e585d53bcdp-10, -0x1.00b72fea7dad2p-10, -0x1.f31d2d586d4d1p-11, -0x1.e52737bc8c6a5p-11, -0x1.d78aa54c5ff42p-11, -0x1.ca45a40d87ed3p-11, -0x1.bd5669a8d7882p-11, -0x1.b0bb3353d8a7dp-11, -0x1.a47245b62aff6p-11, -0x1.9879ecd501195p-11, -0x1.8cd07bf9bf735p-11, -0x1.81744d9bfcf73p-11, -0x1.7663c348e22abp-11, -0x1.6b9d458e0822cp-11, -0x1.611f43e0c455fp-11, -0x1.56e83488ce5dcp-11, -0x1.4cf69488a1346p-11, -0x1.4348e787bba1dp-11, -0x1.39ddb7bc4ebddp-11, -0x1.30b395d41edb4p-11, -0x1.27c918e031df9p-11, -0x1.1f1cde3d8732dp-11, -0x1.16ad89800de46p-11, -0x1.0e79c45da1587p-11, -0x1.06803e974b79cp-11, -0x1.fd7f5bcbc4df2p-12, -0x1.ee6d9bc5f54b5p-12, -0x1.dfc8bfed39436p-12, -0x1.d18e56800681ep-12, -0x1.c3bbf9060ae2p-12, -0x1.b64f4c257bf09p-12, -0x1.a945ff7b87ad1p-12, -0x1.9c9dcd75676c7p-12, -0x1.90547b2671f81p-12, -0x1.8467d8227e681p-12, -0x1.78d5be57d7c0cp-12, -0x1.6d9c11e67db61p-12, -0x1.62b8c0fc3610fp-12, -0x1.5829c3ad2aedcp-12, -0x1.4ded1bcfebeb2p-12, -0x1.4400d4d74b431p-12, -0x1.3a6303aec0415p-12, -0x1.3111c6939ea05p-12, -0x1.280b44f5ebf5ep-12, -0x1.1f4daf4f4663cp-12, -0x1.16d73f043c9e7p-12, -0x1.0ea6363e7abd3p-12, -0x1.06b8dfcc886c7p-12, -0x1.fe1b1dfb03378p-13, -0x1.ef453f02e588p-13, -0x1.e0ecea8d5a6bcp-13, -0x1.d30ef8b388b4p-13, -0x1.c5a8518685a59p-13, -0x1.b8b5ecd36535cp-13, -0x1.ac34d1e014b35p-13, -0x1.a022172d5fb18p-13, -0x1.947ae238d6531p-13, -0x1.893c673fb27ccp-13, -0x1.7e63e8ff88476p-13, -0x1.73eeb87e46243p-13, -0x1.69da34c9d7fe2p-13, -0x1.6023cac3439a9p-13, -0x1.56c8f4dc95145p-13, -0x1.4dc73ae910c6ap-13, -0x1.451c31dd87dfbp-13, -0x1.3cc57b9ad9d5p-13, -0x1.34c0c6b74e67cp-13, -0x1.2d0bce46c49fcp-13, -0x1.25a459a653941p-13, -0x1.1e883c4563958p-13, -0x1.17b5557216065p-13, -0x1.1129902772425p-13, -0x1.0ae2e2d53351ep-13, -0x1.04df4f33a37bcp-13, -0x1.fe39c41a6378p-14, -0x1.f333661d37282p-14, -0x1.e8a7c92d6cf3ap-14, -0x1.de93470e8d2f9p-14, -0x1.d4f24e2a4bd26p-14, -0x1.cbc161302d564p-14, -0x1.c2fd16bd3fa91p-14, -0x1.baa21907d7bb4p-14, -0x1.b2ad2575f1e39p-14, -0x1.ab1b0c53d7a92p-14, -0x1.a3e8b078c3abbp-14, -0x1.9d1306ee1b652p-14, -0x1.9697169d8833cp-14, -0x1.9071f80054a7bp-14, -0x1.8aa0d4c7fff62p-14, -0x1.8520e791ba611p-14, -0x1.7fef7b94879ffp-14, -0x1.7b09ec53a0cfep-14, -0x1.766da54facf8bp-14, -0x1.721821bdc7f0cp-14, -0x1.6e06ec35bf6edp-14, -0x1.6a379e724fd5p-14, -0x1.66a7e0fdcea3cp-14, -0x1.63556af171e9dp-14, -0x1.603e01a8e02p-14, -0x1.5d5f7882c4535p-14, -0x1.5ab7b09767dd5p-14, -0x1.584498775b7b5p-14, -0x1.56042be7cdbe2p-14, -0x1.53f4739f4c4c7p-14, -0x1.5213850cd9d73p-14, -0x1.505f820dacf28p-14, -0x1.4ed698b5f915fp-14, -0x1.4d7703111de51p-14, -0x1.4c3f06e56121cp-14, -0x1.4b2cf5791f51cp-14, -0x1.4a3f2b545a4edp-14, -0x1.4974100d753f4p-14, -0x1.48ca1609b6315p-14, -0x1.483fba4b618ap-14, -0x1.47d38434be333p-14, -0x1.47840557a5f03p-14, -0x1.474fd93c291bfp-14, -0x1.4735a52d9a9d4p-14, -0x1.4734180852b39p-14, -0x1.4749ea04b6728p-14, -0x1.4775dc881dffap-14, -0x1.47b6b9f0aadcp-14, -0x1.480b5567c3a35p-14, -0x1.48728ab12f483p-14, -0x1.48eb3dfe0fd38p-14, -0x1.49745bbd9c523p-14, -0x1.4a0cd870d4963p-14, -0x1.4ab3b07e02e4p-14, -0x1.4b67e805b2856p-14, -0x1.4c288ab71a636p-14, -0x1.4cf4aba803857p-14, -0x1.4dcb6529c7912p-14, -0x1.4eabd89fa13d9p-14, -0x1.4f952e5be28c5p-14, -0x1.5086957293a93p-14, -0x1.517f439722bbfp-14, -0x1.527e74f57260fp-14, -0x1.53836c0c7c8e7p-14, -0x1.548d7189edb65p-14, -0x1.559bd427b73b1p-14, -0x1.56ade885ec5a6p-14, -0x1.57c3090d0181ep-14, -0x1.58da95c59065ep-14, -0x1.59f3f43e440c7p-14, -0x1.5b0e8f64eea91p-14, -0x1.5c29d7699acfbp-14, -0x1.5d4541a0825edp-14, -0x1.5e60485e9b346p-14, -0x1.5f7a6adf9fdd9p-14, -0x1.60932d25d6417p-14, -0x1.61aa17df268ffp-14, -0x1.62beb844c9f71p-14, -0x1.63d0a003950b3p-14, -0x1.64df651c9b1f7p-14, -0x1.65eaa1ccdb0d7p-14, -0x1.66f1f47123e61p-14, -0x1.67f4ff6c3143ep-14, -0x1.68f3690f0a6b4p-14, -0x1.69ecdb7bd6c83p-14, -0x1.6ae10492da9eep-14, -0x1.6bcf95d4a59fap-14, -0x1.6cb8444fadf09p-14, -0x1.6d9ac88524753p-14, -0x1.6e76de54591bdp-14, -0x1.6f4c44e48275fp-14, -0x1.701abe8da592ap-14, -0x1.70e210c41384ap-14, -0x1.71a20404a7d77p-14, -0x1.725a63bd6408ep-14, -0x1.730afe3b6419ep-14, -0x1.73b3a4978fc49p-14, -0x1.74542aa1827cfp-14, -0x1.74ec66cdd509ap-14, -0x1.757c322356e99p-14, -0x1.76036828d71f2p-14, -0x1.7681e6d386d3p-14, -0x1.76f78e75898a3p-14, -0x1.776441ac827aap-14, -0x1.77c7e55184c1fp-14, -0x1.78226067a3114p-14, -0x1.78739c0e10dbdp-14, -0x1.78bb836dfa72p-14, -0x1.78fa03ad18099p-14, -0x1.792f0bdcd03afp-14, -0x1.795a8cedf52dp-14, -0x1.797c79a019df5p-14, -0x1.7994c674cd73dp-14, -0x1.79a369a1fdc17p-14, -0x1.79a85b02f5c26p-14, -0x1.79a3940d41772p-14, -0x1.79950fc2ad36dp-14, -0x1.797ccaa42d62cp-14, -0x1.795ac2a69cff4p-14, -0x1.792ef726c8278p-14, -0x1.78f968dc7fe3ap-14, -0x1.78ba19cfb921fp-14, -0x1.78710d4db9eb9p-14, -0x1.781e47dd9ce71p-14, -0x1.77c1cf3550f92p-14, -0x1.775baa2fef2bep-14, -0x1.76ebe0c2a002cp-14, -0x1.76727bf32009ep-14, -0x1.75ef85cda7d98p-14, -0x1.7563095b24a09p-14, -0x1.74cd1298c0a6p-14, -0x1.742dae6e1a906p-14, -0x1.7384eaa41092fp-14, -0x1.72d2d5dc73fd2p-14, -0x1.72177f8a37d4ep-14, -0x1.7152f7e7a311dp-14, -0x1.70854fefc5ff8p-14, -0x1.6fae99552e5b6p-14, -0x1.6ecee67b6022ap-14, -0x1.6de64a6ea1459p-14, -0x1.6cf4d8dcfbbefp-14, -0x1.6bfaa60ea4ecp-14, -0x1.6af7c6dfabad2p-14, -0x1.69ec50b8c133ap-14, -0x1.68d85988a3382p-14, -0x1.67bbf7bdb5edcp-14, -0x1.6697423f8dbf6p-14, -0x1.656a50695671dp-14, -0x1.64353a02a3debp-14, -0x1.62f8173b8d664p-14, -0x1.61b300a52e51cp-14, -0x1.60660f2ccd891p-14, -0x1.5f115c16e8d1ap-14, -0x1.5db500f97ddb6p-14, -0x1.5c5117b6e8486p-14, -0x1.5ae5ba790e114p-14, -0x1.597303aca1b5dp-14, -0x1.57f90dfc6b182p-14, -0x1.5677f44cb6b6p-14, -0x1.54efd1b6b846dp-14, -0x1.5360c18462fb9p-14, -0x1.51cadf2c5e63p-14, -0x1.502e464d87d5ep-14, -0x1.4e8b12ab62085p-14, -0x1.4ce16029f8ffep-14, -0x1.4b314aca62383p-14, -0x1.497aeea71e563p-14, -0x1.47be67f049ad2p-14, -0x1.45fbd2e80411ep-14, -0x1.44334be00a33fp-14, -0x1.4264ef35e6ad4p-14, -0x1.4090d94f63052p-14, -0x1.3eb726985bc38p-14, -0x1.3cd7f37f69a8bp-14, -0x1.3af35c730f7abp-14, -0x1.39097ddea6ca8p-14, -0x1.371a7428a470ap-14, -0x1.35265baf022dp-14, -0x1.332d50c57b085p-14, -0x1.312f6fb29f8cbp-14, -0x1.2f2cd4adab786p-14, -0x1.2d259bdc499a5p-14, -0x1.2b19e150ca136p-14, -0x1.2909c1074554cp-14, -0x1.26f556e4549fap-14, -0x1.24dcbeb2838e8p-14, -0x1.22c01420d1751p-14, -0x1.209f72c09e218p-14, -0x1.1e7af603f478ep-14, -0x1.1c52b93c5b766p-14, -0x1.1a26d798578f5p-14, -0x1.17f76c226044p-14, -0x1.15c491bf38f77p-14, -0x1.138e632cdacadp-14, -0x1.1154fb006eb39p-14, -0x1.0f1873a59c949p-14, -0x1.0cd8e75cbbbb7p-14, -0x1.0a967039eb64ap-14, -0x1.08512823e4fd3p-14, -0x1.060928d2bbd78p-14, -0x1.03be8bcedad75p-14, -0x1.01716a6fd9f25p-14, -0x1.fe43bbb792a5ap-15, -0x1.f99ffe0c762bdp-15, -0x1.f4f7cd5e7b175p-15, -0x1.f04b5ac51704fp-15, -0x1.eb9ad6ed90336p-15, -0x1.e6e67219688cdp-15, -0x1.e22e5c1cc6e2cp-15, -0x1.dd72c45d8c622p-15, -0x1.d8b3d9d240f46p-15, -0x1.d3f1caffc17e2p-15, -0x1.cf2cc5f9529bap-15, -0x1.ca64f85ec2e2cp-15, -0x1.c59a8f5c37012p-15, -0x1.c0cdb7a87ca22p-15, -0x1.bbfe9d8401fb1p-15, -0x1.b72d6cb9314e9p-15, -0x1.b25a509ae5b05p-15, -0x1.ad857403fa9c2p-15, -0x1.a8af015642114p-15, -0x1.a3d7227abf4ccp-15, -0x1.9efe00e0b2dfp-15, -0x1.9a23c57cc72ecp-15, -0x1.954898c935f14p-15, -0x1.906ca2c55c707p-15, -0x1.8b900af5ba763p-15, -0x1.86b2f863299e6p-15, -0x1.81d5919ab9ab3p-15, -0x1.7cf7fcadca76ap-15, -0x1.781a5f31bf906p-15, -0x1.733cde400d92fp-15, -0x1.6e5f9e7657ae6p-15, -0x1.6982c3f66c6a7p-15, -0x1.64a67265ad9bfp-15, -0x1.5fcacceddb3c5p-15, -0x1.5aeff63d3b0b4p-15, -0x1.561610865d1c2p-15, -0x1.513d3d805f923p-15, -0x1.4c659e676e2afp-15, -0x1.478f53fd0f585p-15, -0x1.42ba7e87f7f01p-15, -0x1.3de73dd46b01dp-15, -0x1.3915b134feeaap-15, -0x1.3445f783096bcp-15, -0x1.2f782f1e5a20ep-15, -0x1.2aac75ee63612p-15, -0x1.25e2e9628e8d9p-15, -0x1.211ba6721c5cbp-15, -0x1.1c56c99ccbaaap-15, -0x1.17946eec5704ap-15, -0x1.12d4b1f424ad5p-15, -0x1.0e17add20fa6ep-15, -0x1.095d7d2e64d14p-15, -0x1.04a63a3d9cfd2p-15, -0x1.ffe3fd8072811p-16, -0x1.f681c8077c2b9p-16, -0x1.ed2605c6c097bp-16, -0x1.e3d0e78f98eaep-16, -0x1.da829d5221ce2p-16, -0x1.d13b561e10b8p-16, -0x1.c7fb40238fb37p-16, -0x1.bec288b440c82p-16, -0x1.b5915c4634be6p-16, -0x1.ac67e673fc6aap-16, -0x1.a34651fe8c2fp-16, -0x1.9a2cc8cffcb48p-16, -0x1.911b73fc2c539p-16, -0x1.88127bc1a5a9fp-16, -0x1.7f12078cbeb8cp-16, -0x1.761a3df792687p-16, -0x1.6d2b44cd67b61p-16, -0x1.6445410b0490bp-16, -0x1.5b6856e22b5d6p-16, -0x1.5294a9b844b0ep-16, -0x1.49ca5c2a6956ap-16, -0x1.4109900e518bcp-16, -0x1.385266761ee46p-16, -0x1.2fa4ffadcc921p-16, -0x1.27017b40d9e92p-16, -0x1.1e67f7fa5bab8p-16, -0x1.15d893e74e828p-16, -0x1.0d536c57e275ep-16, -0x1.04d89de0ce4ffp-16, -0x1.f8d088bdc12bfp-17, -0x1.e804f5ee5587cp-17, -0x1.d74eb8353feb7p-17, -0x1.c6ae030871351p-17, -0x1.b623087edd52ep-17, -0x1.a5adf94cc419dp-17, -0x1.954f04cc1ead9p-17, -0x1.850658fde251bp-17, -0x1.74d4228d4ced5p-17, -0x1.64b88cd406d9ep-17, -0x1.54b3c1df522f8p-17, -0x1.44c5ea720e8f3p-17, -0x1.34ef2e096dcb7p-17, -0x1.252fb2df6a445p-17, -0x1.15879ded58369p-17, -0x1.05f712f25eeap-17, -0x1.ecfc68ef346bbp-18, -0x1.ce3a479fab3b2p-18, -0x1.afa802384fcc5p-18, -0x1.9145d6a6e8dc6p-18, -0x1.73140082e3244p-18, -0x1.5512b91b66d23p-18, -0x1.37423774dfbcbp-18, -0x1.19a2b05eb7a76p-18, -0x1.f868acd4333ddp-19, -0x1.bdeeb3fbb04f8p-19, -0x1.83d7d2ab7c936p-19, -0x1.4a24611fba01bp-19, -0x1.10d4b35c7aa1bp-19, -0x1.afd2327a041eap-20, -0x1.3ec3bd0bd9d0ap-20, -0x1.9cfd2bc7c091cp-21, -0x1.7c0d1201e7a51p-22, 0x1.f5b6f08358d4bp-25, 0x1.f64f994144213p-22, 0x1.d55daf7858a05p-21, 0x1.56fe231aa2cbp-20, 0x1.c2816742c25fdp-20, 0x1.169c252aa4659p-19, 0x1.4b913ce33df42p-19, 0x1.801fd50a332b5p-19, 0x1.b447cb68c15f5p-19, 0x1.e809013f61c51p-19, 0x1.0db1ada0dc2dbp-18, 0x1.272b60b777168p-18, 0x1.40718f9443e35p-18, 0x1.59843184b07e3p-18, 0x1.72633f7790288p-18, 0x1.8b0eb3e9e8dd5p-18, 0x1.a3868af18b472p-18, 0x1.bbcac22457313p-18, 0x1.d3db58a3a304p-18, 0x1.ebb84f0785c59p-18, 0x1.01b0d3b266edbp-17, 0x1.0d6bb29e048f5p-17, 0x1.190cc6bef22c8p-17, 0x1.2494133ee0369p-17, 0x1.30019bf87449ep-17, 0x1.3b5565711200fp-17, 0x1.468f74db045b2p-17, 0x1.51afd00d55cc4p-17, 0x1.5cb67d85e0211p-17, 0x1.67a38461b0344p-17, 0x1.7276ec5e86b83p-17, 0x1.7d30bdd40a94fp-17, 0x1.87d101b76be46p-17, 0x1.9257c18f7625p-17, 0x1.9cc5077a2b9d4p-17, 0x1.a718de254a10fp-17, 0x1.b15350d086e45p-17, 0x1.bb746b4249eccp-17, 0x1.c57c39cf3fc9bp-17, 0x1.cf6ac950defecp-17, 0x1.d9402726572ebp-17, 0x1.e2fc612eea30bp-17, 0x1.ec9f85cb9af83p-17, 0x1.f629a3d8ab9bfp-17, 0x1.ff9acaaef5c56p-17, 0x1.0479850eba1fdp-16, 0x1.09193934f3a0fp-16, 0x1.0dac8a26e51b4p-16, 0x1.12338079ab3d9p-16, }}, 
      {{0x1.1d744c91c9ca7p-8, 0x1.2074cda5229dap-7, 0x1.b6702d2a34c0ap-7, 0x1.2812f6336aacp-6, 0x1.75fef3744628ep-6, 0x1.c4032f9b35206p-6, 0x1.089ccbd088b88p-5, 0x1.2e77a6060456bp-5, 0x1.5356e1a2ede01p-5, 0x1.771b0bc5ee22cp-5, 0x1.99baf017f8193p-5, 0x1.bb3d248e578c3p-5, 0x1.dbb1fbc1c9752p-5, 0x1.fb2e715d7b07dp-5, 0x1.0ce41e24cbbe5p-4, 0x1.1bc97e639680ep-4, 0x1.2a4f327757fadp-4, 0x1.387a990aeb9f8p-4, 0x1.464e66b056c75p-4, 0x1.53cab66464fb1p-4, 0x1.60ed490989173p-4, 0x1.6db1e4cc4fa55p-4, 0x1.7a12c79128c58p-4, 0x1.860921a68a87ep-4, 0x1.918d8ffdd4272p-4, 0x1.9c988f1dbf8b5p-4, 0x1.a722e1d3f0806p-4, 0x1.b125e8572ab2bp-4, 0x1.ba9be60772c9ep-4, 0x1.c380353d732eap-4, 0x1.cbcf69a1abc62p-4, 0x1.d387624db41ddp-4, 0x1.daa74d87d85c1p-4, 0x1.e12fa040eb01bp-4, 0x1.e72203a491432p-4, 0x1.ec813b0d65b3bp-4, 0x1.f15104918e2efp-4, 0x1.f595f6299b0c9p-4, 0x1.f9555932d9abbp-4, 0x1.fc9505c684608p-4, 0x1.ff5b3f1579e1p-4, 0x1.00d748d8751eap-3, 0x1.01cada338ccb3p-3, 0x1.028bb610580a9p-3, 0x1.031d397d1323p-3, 0x1.0382b155cf167p-3, 0x1.03bf511900139p-3, 0x1.03d62b49ff602p-3, 0x1.03ca2b468df3bp-3, 0x1.039e106f17c1ep-3, 0x1.03546a7ec0ca9p-3, 0x1.02ef96ef8a902p-3, 0x1.0271bf47cc4cdp-3, 0x1.01dcd830060e4p-3, 0x1.0132a132f4757p-3, 0x1.0074a50ca9519p-3, 0x1.ff4874e1bd592p-4, 0x1.fd850a67bd6d8p-4, 0x1.fba0ef88c056cp-4, 0x1.f99da9cf5844p-4, 0x1.f77c63575d67ap-4, 0x1.f53def09c7aecp-4, 0x1.f2e2cd1f8a7abp-4, 0x1.f06b2fddab1f9p-4, 0x1.edd7007f4d0b3p-4, 0x1.eb25e443d393p-4, 0x1.e85741990f222p-4, 0x1.e56a4559d347cp-4, 0x1.e25de81a36196p-4, 0x1.df30f37b2d772p-4, 0x1.dbe2077f29a37p-4, 0x1.d86f9fd9c27f2p-4, 0x1.d4d8193444987p-4, 0x1.d119b66144f5p-4, 0x1.cd32a5791a5d9p-4, 0x1.c92104d97bb46p-4, 0x1.c4e2e80271473p-4, 0x1.c0765c4b19bcap-4, 0x1.bbd96d68f0faep-4, 0x1.b70a29c4a6647p-4, 0x1.b206a697fe9bcp-4, 0x1.accd03d0a1469p-4, 0x1.a75b6fb44c55dp-4, 0x1.a1b02a433e4e2p-4, 0x1.9bc988568bfb5p-4, 0x1.95a5f67859e42p-4, 0x1.8f43fb74c6544p-4, 0x1.88a23aa2c7c0ap-4, 0x1.81bf75e4e170dp-4, 0x1.7a9a8f6228571p-4, 0x1.73328af888edep-4, 0x1.6b868f69cbadbp-4, 0x1.6395e745401cdp-4, 0x1.5b6001906d0d6p-4, 0x1.52e4723179c3bp-4, 0x1.4a22f21e51d9p-4, 0x1.411b5f53d806fp-4, 0x1.37cdbc98a4d47p-4, 0x1.2e3a310f0f38p-4, 0x1.2461079a3fb61p-4, 0x1.1a42ae1a4ee8bp-4, 0x1.0fdfb48342712p-4, 0x1.0538cbd2fb308p-4, 0x1.f49d89d3c7213p-5, 0x1.de451e9492a4p-5, 0x1.c76a6f8433cf1p-5, 0x1.b00fce054b854p-5, 0x1.9837c053ca82bp-5, 0x1.7fe4fe81245abp-5, 0x1.671a6f6075a11p-5, 0x1.4ddb256887946p-5, 0x1.342a5b9132119p-5, 0x1.1a0b72312823bp-5, 0x1.ff03d7c1e1d49p-6, 0x1.c922d4ce79d0ap-6, 0x1.927b5764de44fp-6, 0x1.5b150dc58b94ep-6, 0x1.22f7d2d034307p-6, 0x1.d45750d7a0ea7p-7, 0x1.6171643edb81bp-7, 0x1.da9cbf7f334e4p-8, 0x1.dffbc8a3412a1p-9, 0x1.93efad7afbd43p-15, -0x1.d786dc96716p-9, -0x1.dca1fbf3e1927p-8, -0x1.67a8d4c440201p-7, -0x1.e1d8275deeaa1p-7, -0x1.2e66f2516d3bcp-6, -0x1.6c3c828b1d90dp-6, -0x1.aa6448876ac5dp-6, -0x1.e8d5d33755cccp-6, -0x1.13c45f7a1932dp-5, -0x1.333a5bf592943p-5, -0x1.52c8be29d1efdp-5, -0x1.726b6f396aa5ep-5, -0x1.921e63372098dp-5, -0x1.b1dd99f82d736p-5, -0x1.d1a51fd095cdcp-5, -0x1.f1710e3ad9473p-5, -0x1.089ec6362c6cfp-4, -0x1.188367ebc0a24p-4, -0x1.28648e4eaa401p-4, -0x1.384062f79a6b3p-4, -0x1.4815173139f64p-4, -0x1.57e0e41b4ccb5p-4, -0x1.67a20ac7e6998p-4, -0x1.7756d4531c448p-4, -0x1.86fd91f5d3667p-4, -0x1.96949d1425f0fp-4, -0x1.a61a5747d72dcp-4, -0x1.b58d2a6751bfep-4, -0x1.c4eb88899d7a3p-4, -0x1.d433ec079e24dp-4, -0x1.e364d77b2d079p-4, -0x1.f27cd5bc1ba7ap-4, -0x1.00bd3ceddaa01p-3, -0x1.082e2f8f71f3ap-3, -0x1.0f90947ba0c0dp-3, -0x1.16e3c17dae512p-3, -0x1.1e27106f25df5p-3, -0x1.2559df3375163p-3, -0x1.2c7b8fb362fbap-3, -0x1.338b87d87461dp-3, -0x1.3a89318854befp-3, -0x1.4173faa046ef9p-3, -0x1.484b54f0b4c1ap-3, -0x1.4f0eb638d47ddp-3, -0x1.55bd982283372p-3, -0x1.5c57783e3de42p-3, -0x1.62dbd7ff501f9p-3, -0x1.694a3cb831887p-3, -0x1.6fa22f971544bp-3, -0x1.75e33da2a57ecp-3, -0x1.7c0cf7b6f025ep-3, -0x1.821ef282789f6p-3, -0x1.8818c68373b0dp-3, -0x1.8dfa100521523p-3, -0x1.93c26f1d3f214p-3, -0x1.997187a9999ep-3, -0x1.9f07014d9e48ap-3, -0x1.a4828770049dbp-3, -0x1.a9e3c938673d9p-3, -0x1.af2a798ce33bap-3, -0x1.b4564f0fa798bp-3, -0x1.b967041c6a59cp-3, -0x1.be5c56c5c7a15p-3, -0x1.c33608d279337p-3, -0x1.c7f3dfba611e1p-3, -0x1.cc95a4a370508p-3, -0x1.d11b245e40ac6p-3, -0x1.d5842f6284de2p-3, -0x1.d9d099cb2748cp-3, -0x1.de003b52299c9p-3, -0x1.e212ef4c2c783p-3, -0x1.e60894a3a7df2p-3, -0x1.e9e10dd3cc9b9p-3, -0x1.ed9c40e309446p-3, -0x1.f13a175d2d9fep-3, -0x1.f4ba7e4d31ab4p-3, -0x1.f81d66368dccap-3, -0x1.fb62c30e3405fp-3, -0x1.fe8a8c3319726p-3, -0x1.00ca5e332cdd2p-2, -0x1.0240a8e17416fp-2, -0x1.03a826da6e4d1p-2, -0x1.0500da78251f1p-2, -0x1.064ac7b3da1eep-2, -0x1.0785f4210295cp-2, -0x1.08b266e818301p-2, -0x1.09d028c129019p-2, -0x1.0adf43ee3dc24p-2, -0x1.0bdfc43582e91p-2, -0x1.0cd1b6db48df7p-2, -0x1.0db52a9bc8d57p-2, -0x1.0e8a2fa4c03e8p-2, -0x1.0f50d78edc5dcp-2, -0x1.10093556f5e2p-2, -0x1.10b35d57239adp-2, -0x1.114f653fa4471p-2, -0x1.11dd640f9d491p-2, -0x1.125d720db5bb8p-2, -0x1.12cfa8c08c947p-2, -0x1.133422e70ceb1p-2, -0x1.138afc709fef3p-2, -0x1.13d4527545cfcp-2, -0x1.1410432d8e148p-2, -0x1.143eedea78393p-2, -0x1.1460730d407d3p-2, -0x1.1474f3ff0fac9p-2, -0x1.147c93289f79cp-2, -0x1.147773e9ca9c5p-2, -0x1.1465ba910f4dp-2, -0x1.14478c5302cdfp-2, -0x1.141d0f41c3309p-2, -0x1.13e66a4456324p-2, -0x1.13a3c50e0c0dcp-2, -0x1.13554815db43dp-2, -0x1.12fb1c8db78cep-2, -0x1.12956c59f2078p-2, -0x1.1224620892cdap-2, -0x1.11a828c8be69fp-2, -0x1.1120ec621fb2ep-2, -0x1.108ed92c59208p-2, -0x1.0ff21c068585ap-2, -0x1.0f4ae24ebfd3bp-2, -0x1.0e9959d9bc05p-2, -0x1.0dddb0ea6efb1p-2, -0x1.0d181629cb796p-2, -0x1.0c48b89e8afffp-2, -0x1.0b6fc7a513ad4p-2, -0x1.0a8d72e76fb72p-2, -0x1.09a1ea555e662p-2, -0x1.08ad5e1c7c60ap-2, -0x1.07affea089dd3p-2, -0x1.06a9fc73c824fp-2, -0x1.059b884f7811bp-2, -0x1.0484d30c727f5p-2, -0x1.03660d9be37b4p-2, -0x1.023f6900220acp-2, -0x1.01111645ac72p-2, -0x1.ffb68cf883e4dp-3, -0x1.fd3c5560491ecp-3, -0x1.fab3e7c6f1747p-3, -0x1.f81da60f9aea7p-3, -0x1.f579f1ef8a038p-3, -0x1.f2c92ce1cc0a1p-3, -0x1.f00bb81b225b1p-3, -0x1.ed41f47e39574p-3, -0x1.ea6c42902d9c3p-3, -0x1.e78b026d5ea62p-3, -0x1.e49e93be8ed97p-3, -0x1.e1a755ae563a9p-3, -0x1.dea5a6dedfeafp-3, -0x1.db99e55ffa543p-3, -0x1.d8846ea5775f5p-3, -0x1.d5659f7dd5ad3p-3, -0x1.d23dd409462b9p-3, -0x1.cf0d67b0f726ap-3, -0x1.cbd4b51eb20a3p-3, -0x1.c8941634ccb2ap-3, -0x1.c54be40664a09p-3, -0x1.c1fc76cfea38cp-3, -0x1.bea625effdd0fp-3, -0x1.bb4947e09944p-3, -0x1.b7e6323081a63p-3, -0x1.b47d397d0d6b6p-3, -0x1.b10eb16c338e7p-3, -0x1.ad9aeca6e3bb7p-3, -0x1.aa223cd3aaffcp-3, -0x1.a6a4f291a33eep-3, -0x1.a3235d73aac7fp-3, -0x1.9f9dcbfbe1683p-3, -0x1.9c148b9770425p-3, -0x1.9887e89a96412p-3, -0x1.94f82e3cf4c0dp-3, -0x1.9165a69628befp-3, -0x1.8dd09a9a9d36dp-3, -0x1.8a395218a67fep-3, -0x1.86a013b5d89b6p-3, -0x1.830524ec9f7a3p-3, -0x1.7f68ca0a13135p-3, -0x1.7bcb462c0c914p-3, -0x1.782cdb3f70467p-3, -0x1.748dc9feb5344p-3, -0x1.70ee51f0a5be9p-3, -0x1.6d4eb167598c5p-3, -0x1.69af257f5c43bp-3, -0x1.660fea1f1720ep-3, -0x1.627139f66220dp-3, -0x1.5ed34e7e4c974p-3, -0x1.5b365ff916253p-3, -0x1.579aa572564ep-3, -0x1.540054bf51c9cp-3, -0x1.5067a27f8038dp-3, -0x1.4cd0c21d35062p-3, -0x1.493be5ce7df1fp-3, -0x1.45a93e961dc21p-3, -0x1.4218fc44bad7dp-3, -0x1.3e8b4d7a290a7p-3, -0x1.3b005fa6dcd8fp-3, -0x1.37785f0d846f1p-3, -0x1.33f376c4c1359p-3, -0x1.3071d0b8fca6fp-3, -0x1.2cf395ae675d3p-3, -0x1.2978ed430c5a6p-3, -0x1.2601fdf109433p-3, -0x1.228eed10dc965p-3, -0x1.1f1fdedbd6329p-3, -0x1.1bb4f66e942cdp-3, -0x1.184e55cba8fe4p-3, -0x1.14ec1dde499c6p-3, -0x1.118e6e7d1ddf7p-3, -0x1.0e35666d1a962p-3, -0x1.0ae123647a61ep-3, -0x1.0791c20dbd9d2p-3, -0x1.04475e0acacd4p-3, -0x1.010211f80f143p-3, -0x1.fb83eedf73cdap-4, -0x1.f50e4e1a08655p-4, -0x1.eea370df0cef5p-4, -0x1.e843847d2bd6ep-4, -0x1.e1eeb45964a5bp-4, -0x1.dba529f600583p-4, -0x1.d5670cf995873p-4, -0x1.cf3483361015ep-4, -0x1.c90db0afe8603p-4, -0x1.c2f2b7a54a93p-4, -0x1.bce3b8955f724p-4, -0x1.b6e0d247935bbp-4, -0x1.b0ea21d2eee1ep-4, -0x1.aaffc2a57832dp-4, -0x1.a521ce8b99c58p-4, -0x1.9f505db783c0ap-4, -0x1.998b86c8a76a7p-4, -0x1.93d35ed3242bfp-4, -0x1.8e27f9673d321p-4, -0x1.88896898cb317p-4, -0x1.82f7bd06b09f1p-4, -0x1.7d7305e24cdcp-4, -0x1.77fb50f6e7a2fp-4, -0x1.7290aab119d24p-4, -0x1.6d331e2635aefp-4, -0x1.67e2b51b9f25ap-4, -0x1.629f780e25cd4p-4, -0x1.5d696e39515ebp-4, -0x1.58409d9ea6f59p-4, -0x1.53250b0ce449ep-4, -0x1.4e16ba272de54p-4, -0x1.4915ad6c32f6ep-4, -0x1.4421e63d4801cp-4, -0x1.3f3b64e56d7c9p-4, -0x1.3a6228a04f0e5p-4, -0x1.35962fa12d275p-4, -0x1.30d77719c3159p-4, -0x1.2c25fb410c339p-4, -0x1.2781b75a0b06p-4, -0x1.22eaa5ba7163cp-4, -0x1.1e60bfd13e0f6p-4, -0x1.19e3fe2d4804cp-4, -0x1.15745883b55edp-4, -0x1.1111c5b6604b7p-4, -0x1.0cbc3bda2986cp-4, -0x1.0873b03d35e6bp-4, -0x1.0438176d1b8afp-4, -0x1.0009653cf52ffp-4, -0x1.f7cf1996cc681p-5, -0x1.efa501110ae8cp-5, -0x1.e7946477726bfp-5, -0x1.df9d2612eb5bp-5, -0x1.d7bf26f1df216p-5, -0x1.cffa46f35d46cp-5, -0x1.c84e64d2278d5p-5, -0x1.c0bb5e2f861f4p-5, -0x1.b9410f9df7d8ap-5, -0x1.b1df54abae246p-5, -0x1.aa9607ece1cbap-5, -0x1.a3650305fe404p-5, -0x1.9c4c1eb595aa7p-5, -0x1.954b32de34973p-5, -0x1.8e62168ffb995p-5, -0x1.8790a0121e87p-5, -0x1.80d6a4ec1ec0dp-5, -0x1.7a33f9eeede6dp-5, -0x1.73a8733dde3c3p-5, -0x1.6d33e4575deafp-5, -0x1.66d6201d8d55dp-5, -0x1.608ef8dea8607p-5, -0x1.5a5e405d48508p-5, -0x1.5443c7d86eca5p-5, -0x1.4e3f60136b291p-5, -0x1.4850d95d99222p-5, -0x1.42780399e993cp-5, -0x1.3cb4ae464dc5ep-5, -0x1.3706a882ea5efp-5, -0x1.316dc1192aaedp-5, -0x1.2be9c682a4d37p-5, -0x1.267a86efd50dcp-5, -0x1.211fd04eb154p-5, -0x1.1bd970511413ep-5, -0x1.16a73472f9eb8p-5, -0x1.1188ea00a0c6p-5, -0x1.0c7e5e1c755c2p-5, -0x1.07875dc4dffbep-5, -0x1.02a3b5d9e663dp-5, -0x1.fba666455f6b6p-6, -0x1.f22b44a5a2584p-6, -0x1.e8d5a01f1a2eep-6, -0x1.dfa511e9acc8cp-6, -0x1.d699333482455p-6, -0x1.cdb19d2f8177p-6, -0x1.c4ede914a4e83p-6, -0x1.bc4db030e4eap-6, -0x1.b3d08becfe742p-6, -0x1.ab7615d5e42bp-6, -0x1.a33de7a4eb23fp-6, -0x1.9b279b47c0c61p-6, -0x1.9332cae8128f9p-6, -0x1.8b5f10f30c561p-6, -0x1.83ac08206dad7p-6, -0x1.7c194b799c7ecp-6, -0x1.74a676603c791p-6, -0x1.6d532494bd5d2p-6, -0x1.661ef23c92bb1p-6, -0x1.5f097be8379d4p-6, -0x1.58125e99003d4p-6, -0x1.513937c6a55a5p-6, -0x1.4a7da564a8277p-6, -0x1.43df45e7887cbp-6, -0x1.3d5db849a0f5ap-6, -0x1.36f89c0ff1784p-6, -0x1.30af914ebbfe9p-6, -0x1.2a8238adc47d5p-6, -0x1.2470336c993c5p-6, -0x1.1e79236682846p-6, -0x1.189cab164b9ap-6, -0x1.12da6d99f2621p-6, -0x1.0d320eb60c6fcp-6, -0x1.07a332d9185eap-6, -0x1.022d7f1ea0066p-6, -0x1.f9a132a43c557p-7, -0x1.ef184fe3b60aep-7, -0x1.e4bfa4630d551p-7, -0x1.da967ff96d258p-7, -0x1.d09c33f27bb4fp-7, -0x1.c6d01312cbabcp-7, -0x1.bd31719be0ecdp-7, -0x1.b3bfa55017d1ap-7, -0x1.aa7a05763ac65p-7, -0x1.a15feadcb831bp-7, -0x1.9870afdccfebbp-7, -0x1.8fabb05d4642ep-7, -0x1.871049d4fc443p-7, -0x1.7e9ddb4d4fb79p-7, -0x1.7653c564297b5p-7, -0x1.6e316a4dc581dp-7, -0x1.66362dd6a0ce6p-7, -0x1.5e61756491867p-7, -0x1.56b2a7f8553b6p-7, -0x1.4f292e2e70afep-7, -0x1.47c472400b655p-7, -0x1.4083e003b2875p-7, -0x1.3966e4edba2bdp-7, -0x1.326cf010a824cp-7, -0x1.2b95721d3e465p-7, -0x1.24dfdd6276762p-7, -0x1.1e4ba5cd6fcf6p-7, -0x1.17d840e900041p-7, -0x1.118525dd22438p-7, -0x1.0b51cd6e894fap-7, -0x1.053db1fda90eep-7, -0x1.fe909f0bde3dep-8, -0x1.f2e2473937699p-8, -0x1.e76f5adf80679p-8, -0x1.dc36db898c011p-8, -0x1.d137cdee61b7fp-8, -0x1.c67139ee07062p-8, -0x1.bbe22a8e4e3eap-8, -0x1.b189adf76db2ep-8, -0x1.a766d5705199ep-8, -0x1.9d78b55acac86p-8, -0x1.93be652f69cf9p-8, -0x1.8a36ff798fdf6p-8, -0x1.80e1a1d2bed8ap-8, -0x1.77bd6cde6a01dp-8, -0x1.6ec98444ddac9p-8, -0x1.66050eaec6731p-8, -0x1.5d6f35c02a08cp-8, -0x1.5507261314539p-8, -0x1.4ccc0f3299ce7p-8, -0x1.44bd239565ac2p-8, -0x1.3cd9989845b96p-8, -0x1.3520a67891601p-8, -0x1.2d91884e8b508p-8, -0x1.262b7c077fe5bp-8, -0x1.1eedc260263eap-8, -0x1.17d79ede570d4p-8, -0x1.10e857cb40eecp-8, -0x1.0a1f362d5a9e8p-8, -0x1.037b85c1dd887p-8, -0x1.f9f929ee05269p-9, -0x1.ed4369cab2771p-9, -0x1.e0d47293242cdp-9, -0x1.d4aaf0fc3ec7ep-9, -0x1.c8c596e931a97p-9, -0x1.bd231b5ecd0c9p-9, -0x1.b1c23a7652034p-9, -0x1.a6a1b55035811p-9, -0x1.9bc052072e45p-9, -0x1.911cdba2c2694p-9, -0x1.86b62209ea57p-9, -0x1.7c8af9f5d1008p-9, -0x1.729a3ce4a85f5p-9, -0x1.68e2c90c04596p-9, -0x1.5f63814b66104p-9, -0x1.561b4d1f0abe4p-9, -0x1.4d0918922b05dp-9, -0x1.442bd432165e5p-9, -0x1.3b8274ffe5a6dp-9, -0x1.330bf4642d71ap-9, -0x1.2ac75020865e7p-9, -0x1.22b38a42c1dc4p-9, -0x1.1acfa917892c7p-9, -0x1.131ab71cd10d2p-9, -0x1.0b93c2f499f35p-9, -0x1.0439df57d71c8p-9, -0x1.fa18461216a3ap-10, -0x1.ec13518e77982p-10, -0x1.de631e8183c2ep-10, -0x1.d105f20c4c8a1p-10, -0x1.c3fa18fae07c1p-10, -0x1.b73de7a9546bp-10, -0x1.aacfb9eb1cc1ap-10, -0x1.9eadf2f0b55f6p-10, -0x1.92d6fd2eae5d3p-10, -0x1.87494a437fd2ep-10, -0x1.7c0352df9cf19p-10, -0x1.710396ab2060fp-10, -0x1.66489c2dd0b6cp-10, -0x1.5bd0f0b60db5ap-10, -0x1.519b28408cb62p-10, -0x1.47a5dd5fb1fb3p-10, -0x1.3defb1238e68ep-10, -0x1.34774b01f3bfp-10, -0x1.2b3b58be6eef2p-10, -0x1.223a8e532a619p-10, -0x1.1973a5d8cf86p-10, -0x1.10e55f701c1d4p-10, -0x1.088e812a183b2p-10, -0x1.006dd6f1f515dp-10, -0x1.f10464ebd2331p-11, -0x1.e194d622721acp-11, -0x1.d28abb6b66ef7p-11, -0x1.c3e3d9abeade4p-11, -0x1.b59e009edae1dp-11, -0x1.a7b70aaa306edp-11, -0x1.9a2cdcb3ae701p-11, -0x1.8cfd65f744affp-11, -0x1.80269fdcd5da7p-11, -0x1.73a68dcf206efp-11, -0x1.677b3d12889ddp-11, -0x1.5ba2c49d1ddaap-11, -0x1.501b44edc5c76p-11, -0x1.44e2e7e5ef31ep-11, -0x1.39f7e0a0cde26p-11, -0x1.2f586b4e5b89bp-11, -0x1.2502cd0b7e33ap-11, -0x1.1af553bd5cbf8p-11, -0x1.112e55ebe2d4dp-11, -0x1.07ac329c2a7fp-11, -0x1.fcdaa25948a38p-12, -0x1.eae042620fdc8p-12, -0x1.d966349cfa1cp-12, -0x1.c86978311c2d5p-12, -0x1.b7e71bdd5e25ap-12, -0x1.a7dc3db38787bp-12, -0x1.98460ad492d1fp-12, -0x1.8921bf2ed2b7ap-12, -0x1.7a6ca53a8361cp-12, -0x1.6c2415b9f2deep-12, -0x1.5e4577796cc64p-12, -0x1.50ce3f0f406dep-12, -0x1.43bbee9da4f4fp-12, -0x1.370c1595ef137p-12, -0x1.2abc5079c1002p-12, -0x1.1eca48a1d361ep-12, -0x1.1333b400aed2dp-12, -0x1.07f654e98f63bp-12, -0x1.fa1ff3ae1c0e8p-13, -0x1.e4fcfa6513ae8p-13, -0x1.d07f8a367229ap-13, -0x1.bca38661c4032p-13, -0x1.a964e8b9ba24ap-13, -0x1.96bfc1391e5d6p-13, -0x1.84b0359ac9186p-13, -0x1.733280f1060eap-13, -0x1.6242f340c30cbp-13, -0x1.51ddf11b0bab9p-13, -0x1.41fff33d5ebdfp-13, -0x1.32a5862bd4457p-13, -0x1.23cb49d55f2d6p-13, -0x1.156df1333d086p-13, -0x1.078a41eb1173dp-13, -0x1.f43a27ed5013p-14, -0x1.da46a28bff18ep-14, -0x1.c133ead21a87ap-14, -0x1.a8fc1a6e9ac4dp-14, -0x1.91996cf5c2db3p-14, -0x1.7b063f360f7ap-14, -0x1.653d0e93c20bbp-14, -0x1.503878649145ap-14, -0x1.3bf3394d82092p-14, -0x1.28682ca6d28ddp-14, -0x1.15924bdea5c99p-14, -0x1.036cade0c8883p-14, -0x1.e3e50cfe7b239p-15, -0x1.c23e4bc3b6024p-15, -0x1.a1dbefdd86a32p-15, -0x1.82b5077edff51p-15, -0x1.64c0d62756a4p-15, -0x1.47f6d38c4b672p-15, -0x1.2c4eaa8b75e89p-15, -0x1.11c0381eedf12p-15, -0x1.f08714aad51e6p-16, -0x1.bfa1bea6f4dfcp-16, -0x1.90c148a8a496bp-16, -0x1.63d6e95e43499p-16, -0x1.38d431cf1f15bp-16, -0x1.0fab0b69fa97cp-16, -0x1.d09b6c8a3d41fp-17, -0x1.855d8e77645ap-17, -0x1.3d824c568ae35p-17, -0x1.f1e030d6cac4cp-18, -0x1.6f1c082d64469p-18, -0x1.e50ef1f7058c2p-19, -0x1.efcc397527f95p-20, -0x1.660fbb1464fc1p-23, 0x1.7fb57c729342ep-20, 0x1.8b252281ed9dbp-19, 0x1.25ea09ac73e71p-18, 0x1.811da7eef41a2p-18, 0x1.d7563ff112581p-18, 0x1.145dcfcd4259ep-17, 0x1.3aba4a663fa07p-17, 0x1.5ed3795fe1f1ap-17, 0x1.80bbcbc43a65p-17, 0x1.a08538c587bb1p-17, 0x1.be41425bc91d3p-17, 0x1.da00f7cfb2d4ap-17, 0x1.f3d4f85da2a32p-17, 0x1.05e6baccdcd2cp-16, 0x1.10fd1af7e207bp-16, 0x1.1b354b7e649c2p-16, 0x1.2496c7fbe47ffp-16, 0x1.2d28d9f504c3ep-16, 0x1.34f29a023b842p-16, 0x1.3bfaf0e26ebc6p-16, 0x1.4248989792c29p-16, 0x1.47e21d71f59bap-16, 0x1.4ccddf1b3491p-16, 0x1.511211a1207bp-16, 0x1.54b4be6c617fep-16, 0x1.57bbc54361412p-16, 0x1.5a2cdd3ce6bd7p-16, 0x1.5c0d95afffe25p-16, 0x1.5d635723d91a5p-16, 0x1.5e336432688f9p-16, 0x1.5e82da7115602p-16, 0x1.5e56b3452b3f8p-16, 0x1.5db3c4c86376ep-16, 0x1.5c9ec29524c4dp-16, 0x1.5b1c3e9c91b8ep-16, 0x1.5930a9ef999a9p-16, 0x1.56e05586c22bap-16, 0x1.542f730963769p-16, 0x1.5122158b5542p-16, 0x1.4dbc3245eeeb3p-16, 0x1.4a01a155a728ap-16, 0x1.45f61e6833966p-16, 0x1.419d49711102ep-16, 0x1.3cfaa752b5f9p-16, 0x1.3811a289af489p-16, 0x1.32e58bcf77811p-16, 0x1.2d799ac0bc15cp-16, 0x1.27d0ee733afdbp-16, 0x1.21ee8e19dd001p-16, 0x1.1bd56994188ffp-16, 0x1.15885a0854aafp-16, 0x1.0f0a226f856a9p-16, 0x1.085d70283e1bap-16, 0x1.0184db7c09166p-16, 0x1.f505d056afcc3p-17, 0x1.e6b40bdd44873p-17, 0x1.d81921f7ae4bcp-17, 0x1.c939a5034bf81p-17, 0x1.ba1a024b734p-17, 0x1.aabe82fb415b2p-17, 0x1.9b2b4d08ba2adp-17, 0x1.8b64641edfa5bp-17, 0x1.7b6daa8197fep-17, 0x1.6b4ae1e53fa97p-17, 0x1.5affac505082bp-17, 0x1.4a8f8ce4a7ddfp-17, 0x1.39fde8ba6436dp-17, 0x1.294e079d05fb8p-17, 0x1.188314db8a9cdp-17, 0x1.07a02003fe706p-17, 0x1.ed503b43c4ecfp-18, 0x1.cb3bcfecfc855p-18, 0x1.a9087f57b8cb6p-18, 0x1.86bb990cce1dfp-18, 0x1.645a3c1eff201p-18, 0x1.41e9587596626p-18, 0x1.1f6db02542c6ap-18, 0x1.f9d7b130bd7d1p-19, 0x1.b4d077b03a1e8p-19, 0x1.6fce33749092fp-19, 0x1.2ad912171e3d5p-19, 0x1.cbf1e2b2c33d3p-20, 0x1.426ac2ca88f3fp-20, 0x1.72569c18dfb65p-21, 0x1.820bdb43538d6p-23, -0x1.6115335fc5175p-22, -0x1.c0b85955d1ccfp-21, -0x1.67f6cca9b3ddbp-20, -0x1.ef09581ecc2e8p-20, -0x1.3ac43ca03339ap-19, -0x1.7db4aac851064p-19, -0x1.c050c52bbf392p-19, -0x1.0149ca454a921p-18, -0x1.223c2d0c3ff09p-18, -0x1.42fd46e61c23dp-18, -0x1.638aee651b2a4p-18, -0x1.83e313e6f7ccep-18, -0x1.a403c0d372fa9p-18, -0x1.c3eb16d440171p-18, -0x1.e3974f28e811bp-18, -0x1.01835cf1a4d2fp-17, -0x1.111bde9f65c6ep-17, -0x1.20946a75a47efp-17, -0x1.2fec48b6be39cp-17, -0x1.3f22cbbafa1bdp-17, -0x1.4e374fa0dcb54p-17, -0x1.5d2939fe9998ep-17, -0x1.6bf7f995e362ep-17, -0x1.7aa3060d7fc72p-17, -0x1.8929dfa2a48c5p-17, -0x1.978c0ee802186p-17, -0x1.a5c9247f91b75p-17, -0x1.b3e0b8d78c5f1p-17, -0x1.c1d26bea842b2p-17, -0x1.cf9de4fdfff15p-17, -0x1.dd42d26848a0ep-17, -0x1.eac0e9509f914p-17, -0x1.f817e5791f466p-17, -0x1.02a3c480ebf85p-16, -0x1.0927ce1a4300fp-16, -0x1.0f97f6a6a6798p-16, -0x1.15f4282301999p-16, -0x1.1c3c4f527ba43p-16, -0x1.22705ba4b24ffp-16, -0x1.28903f1ebe466p-16, -0x1.2e9bee4278e17p-16, -0x1.34935ff8788bbp-16, -0x1.3a768d79bafb2p-16, -0x1.4045723a27984p-16, -0x1.46000bd34fdd7p-16, -0x1.4ba659f01cc8p-16, -0x1.51385e394271bp-16, -0x1.56b61c41ea6dfp-16, -0x1.5c1f99744941ap-16, -0x1.6174dd007acc6p-16, -0x1.66b5efca5415ep-16, -0x1.6be2dc57988adp-16, -0x1.70fbaec0c28e2p-16, -0x1.7600749f14aebp-16, -0x1.7af13cfe1d923p-16, -0x1.7fce184c15283p-16, -0x1.8497184ab45d1p-16, -0x1.894c50010d537p-16, -0x1.8dedd3ada3063p-16, -0x1.927bb8b85890ep-16, -0x1.96f615a681f1ep-16, -0x1.9b5d020c1dbc8p-16, -0x1.9fb096815eb7ep-16, -0x1.a3f0ec956c1e5p-16, -0x1.a81e1ec31bb58p-16, -0x1.ac384865ed78dp-16, -0x1.b03f85ae4062fp-16, -0x1.b433f397aa219p-16, -0x1.b815afddea1aep-16, -0x1.bbe4d8f37168bp-16, -0x1.bfa18df6e995p-16, -0x1.c34beeab0f41bp-16, -0x1.c6e41b6c8c7adp-16, -0x1.ca6a352992845p-16, -0x1.cdde5d5944d05p-16, -0x1.d140b5f383cc5p-16, -0x1.d49161693db53p-16, -0x1.d7d0829be2335p-16, -0x1.dafe3cd708038p-16, -0x1.de1ab3c7f5797p-16, -0x1.e1260b77d6fep-16, -0x1.e420684419419p-16, -0x1.e709eed849fb6p-16, -0x1.e9e2c427b7ce8p-16, -0x1.ecab0d675a3e2p-16, -0x1.ef62f007c18e9p-16, -0x1.f20a91afd0692p-16, -0x1.f4a21836ba26fp-16, -0x1.f729a99ed2cb2p-16, -0x1.f9a16c10d80cp-16, -0x1.fc0985d69f6f9p-16, -0x1.fe621d566741bp-16, -0x1.0055ac872458p-15, -0x1.0172afc7d54ebp-15, -0x1.02882bbda3bb4p-15, -0x1.039633be66b54p-15, -0x1.049cdb23727b9p-15, -0x1.059c3547d44b6p-15, -0x1.069455865b699p-15, -0x1.07854f37fb2a2p-15, -0x1.086f35b1dec94p-15, -0x1.09521c4409c7p-15, -0x1.0a2e16378fc74p-15, -0x1.0b0336cd46956p-15, -0x1.0bd1913c24ed5p-15, -0x1.0c9938b00db79p-15, -0x1.0d5a40486cca7p-15, -0x1.0e14bb16d0116p-15, -0x1.0ec8bc1df0087p-15, -0x1.0f7656505861ap-15, -0x1.101d9c8f3fdc8p-15, -0x1.10bea1a99d5e3p-15, -0x1.1159785b2e9f3p-15, -0x1.11ee334b42afp-15, -0x1.127ce50befd4ep-15, -0x1.1305a019393a1p-15, -0x1.138876d834382p-15, -0x1.14057b96330e7p-15, -0x1.147cc08802b03p-15, -0x1.14ee57c9358b1p-15, -0x1.155a535b75822p-15, -0x1.15c0c525d4d44p-15, -0x1.1621bef42b429p-15, -0x1.167d5276a1b0ep-15, -0x1.16d3914100e2cp-15, -0x1.17248cca405a2p-15, -0x1.1770566bf29f7p-15, -0x1.17b6ff61fb65ap-15, -0x1.17f898c9f5b29p-15, -0x1.183533a2e668ap-15, -0x1.186ce0ccc4a93p-15, -0x1.189fb1083f1a8p-15, -0x1.18cdb4f64f753p-15, -0x1.18f6fd17f9aa7p-15, -0x1.191b99cdf3427p-15, -0x1.193b9b588122p-15, -0x1.195711d722275p-15, -0x1.196e0d486053ap-15, -0x1.19809d89a0278p-15, -0x1.198ed256ed1d8p-15, -0x1.1998bb4adc1f3p-15, -0x1.199e67de55d5dp-15, -0x1.199fe7689d837p-15, -0x1.199d491f113cep-15, -0x1.19969c151e069p-15, -0x1.198bef3c32dbcp-15, -0x1.197d5163c3eccp-15, -0x1.196ad1390f88ap-15, -0x1.19547d473d759p-15, -0x1.193a63f75afa1p-15, -0x1.191c939043721p-15, -0x1.18fb1a36bc691p-15, -0x1.18d605ed6c3bep-15, -0x1.18ad6494d7ef7p-15, -0x1.188143eb98835p-15, -0x1.1851b18e3a287p-15, -0x1.181ebaf764f79p-15, -0x1.17e86d7fea45dp-15, -0x1.17aed65ed5378p-15, -0x1.177202a99881dp-15, -0x1.1731ff541939cp-15, -0x1.16eed930ab39fp-15, -0x1.16a89cf06b914p-15, -0x1.165f5723475bp-15, -0x1.16131437faaaap-15, -0x1.15c3e07c6ddbep-15, -0x1.1571c81dbcc7ep-15, -0x1.151cd7284e8c1p-15, -0x1.14c519880f8c4p-15, -0x1.146a9b08b304fp-15, -0x1.140d6755a7e02p-15, -0x1.13ad89fa75a9ap-15, -0x1.134b0e62cfa75p-15, -0x1.12e5ffdab9994p-15, -0x1.127e698ed1955p-15, -0x1.1214568c7b437p-15, -0x1.11a7d1c207db7p-15, -0x1.1138e5fee2d1fp-15, -0x1.10c79df3d81a5p-15, -0x1.105404333b0f5p-15, -0x1.0fde233118e47p-15, -0x1.0f66054371361p-15, -0x1.0eebb4a27d03fp-15, -0x1.0e6f3b68c6d49p-15, -0x1.0df0a3936ecd7p-15, -0x1.0d6ff7026a1c4p-15, -0x1.0ced3f78b170fp-15, -0x1.0c68869c7f524p-15, -0x1.0be1d5f78db99p-15, -0x1.0b5936f735c77p-15, -0x1.0aceb2ecd0528p-15, -0x1.0a42530dcd526p-15, -0x1.09b42073fdbbcp-15, -0x1.0924241dd2e95p-15, -0x1.089266ee7fc19p-15, -0x1.07fef1ae59453p-15, -0x1.0769cd0af5e78p-15, -0x1.06d3019776b1ep-15, -0x1.063a97ccb27fdp-15, -0x1.05a098097f224p-15, -0x1.05050a92eaa9p-15, -0x1.0467f79463bcap-15, -0x1.03c9672011e3fp-15, -0x1.0329612f073c2p-15, -0x1.0287eda16e3a7p-15, -0x1.01e5143ecc536p-15, -0x1.0140dcb6421c9p-15, -0x1.009b4e9ec7d3ap-15, -0x1.ffe8e2eeb07c7p-16, -0x1.fe98994e5780ep-16, -0x1.fd45cefc1503ep-16, -0x1.fbf09268e5f5ep-16, -0x1.fa98f1d7b70dep-16, -0x1.f93efb5db4c4fp-16, -0x1.f7e2bce2fa6ffp-16, -0x1.f6844422d6b42p-16, -0x1.f5239eac454dbp-16, -0x1.f3c0d9e258448p-16, -0x1.f25c02fcbc81dp-16, -0x1.f0f527083cf57p-16, -0x1.ef8c52e6fcf39p-16, -0x1.ee219350fe3bcp-16, -0x1.ecb4f4d4a41ep-16, -0x1.eb4683d6f454bp-16, -0x1.e9d64c9432a9ep-16, -0x1.e8645b202f81cp-16, -0x1.e6f0bb66d45e4p-16, -0x1.e57b792c51445p-16, -0x1.e404a00dafbb3p-16, -0x1.e28c3b8160c09p-16, -0x1.e11256d74908ap-16, -0x1.df96fd397dc85p-16, -0x1.de1a39ac7fcbdp-16, -0x1.dc9c170fb3cc9p-16, -0x1.db1ca01dc752cp-16, -0x1.d99bdf6cec83fp-16, -0x1.d819df6f7f268p-16, -0x1.d696aa744f919p-16, -0x1.d5124aa6e94bap-16, -0x1.d38cca101294bp-16, -0x1.d20632964574fp-16, -0x1.d07e8dfdc55aep-16, -0x1.cef5e5e9274bcp-16, -0x1.cd6c43d9cd1b2p-16, -0x1.cbe1b1302cc18p-16, -0x1.ca56372c14181p-16, -0x1.c8c9deed1c23bp-16, -0x1.c73cb1730df6p-16, -0x1.c5aeb79e2abc9p-16, -0x1.c41ffa2f90a1fp-16, -0x1.c29081c9a1d8fp-16, -0x1.c10056f022dfcp-16, -0x1.bf6f8208c13fdp-16, -0x1.bdde0b5b91a75p-16, -0x1.bc4bfb13068b5p-16, -0x1.bab9593c83df6p-16, -0x1.b9262dc8ada0cp-16, -0x1.b792808ba0c32p-16, -0x1.b5fe593d5bac6p-16, -0x1.b469bf7a14acdp-16, -0x1.b2d4bac284efcp-16, -0x1.b13f527c289dp-16, -0x1.afa98df199a3fp-16, -0x1.ae137452f5554p-16, -0x1.ac7d0cb5ecf5cp-16, -0x1.aae65e165e819p-16, -0x1.a94f6f568158fp-16, -0x1.a7b8473f0d299p-16, -0x1.a620ec7fab102p-16, -0x1.a48965af3cee4p-16, -0x1.a2f1b94c3bd01p-16, -0x1.a159edbcc2bafp-16, -0x1.9fc2094efb7c3p-16, -0x1.9e2a12398a06ep-16, -0x1.9c920e9b825dp-16, -0x1.9afa047cf0077p-16, -0x1.9961f9cefad61p-16, -0x1.97c9f46c15b5ap-16, -0x1.9631fa18a806p-16, -0x1.949a1082ccc02p-16, -0x1.93023d42ccf53p-16, -0x1.916a85db8902fp-16, -0x1.8fd2efba651f7p-16, -0x1.8e3b8037d5232p-16, -0x1.8ca43c977c3ep-16, -0x1.8b0d2a0858333p-16, -0x1.89764da50fe42p-16, -0x1.87dfac744a813p-16, -0x1.86494b68bc81fp-16, -0x1.84b32f618f687p-16, -0x1.831d5d2a8739ap-16, -0x1.8187d97c0ebd6p-16, -0x1.7ff2a8fbd26acp-16, -0x1.7e5dd03cc5737p-16, -0x1.7cc953bf45129p-16, -0x1.7b3537f1620c9p-16, -0x1.79a1812f28bdap-16, -0x1.780e33c2df121p-16, -0x1.767b53e4fec2cp-16, -0x1.74e8e5bcb1fd8p-16, -0x1.7356ed5fdb52dp-16, -0x1.71c56ed35b9abp-16, -0x1.70346e0b40cb6p-16, -0x1.6ea3eeeae71eap-16, -0x1.6d13f54570af6p-16, -0x1.6b8484dd9532ap-16, -0x1.69f5a1660ec5bp-16, -0x1.68674e81c97d4p-16, -0x1.66d98fc3fec7p-16, -0x1.654c68b07fa2p-16, -0x1.63bfdcbbc6a22p-16, -0x1.6233ef4b324e1p-16, -0x1.60a8a3b53e0c3p-16, -0x1.5f1dfd41a3482p-16, -0x1.5d93ff2988491p-16, -0x1.5c0aac97c0536p-16, -0x1.5a8208a8bd3f3p-16, -0x1.58fa166b0ab0bp-16, -0x1.5772d8df56bd2p-16, -0x1.55ec52f8792p-16, -0x1.5466879bbe2b7p-16, -0x1.52e179a13a5e7p-16, -0x1.515d2bd39cff8p-16, -0x1.4fd9a0f094459p-16, -0x1.4e56dba8e51f5p-16, -0x1.4cd4dea092d52p-16, -0x1.4b53ac6f0afd5p-16, -0x1.49d3479f3f6d2p-16, -0x1.4853b2afe4e98p-16, -0x1.46d4f01379a31p-16, -0x1.455702307e23p-16, -0x1.43d9eb61aef0fp-16, -0x1.425dadf5efacap-16, -0x1.40e24c30a8bb8p-16, -0x1.3f67c849c8b91p-16, -0x1.3dee246dfd63ep-16, -0x1.3c7562becaacfp-16, -0x1.3afd8552a336fp-16, -0x1.39868e3527078p-16, -0x1.38107f672d9d5p-16, -0x1.369b5adeed923p-16, -0x1.35272288335e4p-16, -0x1.33b3d84444857p-16, -0x1.32417dea4af52p-16, -0x1.30d01547608bap-16, -0x1.2f5fa01e7a328p-16, -0x1.2df02028b4f8dp-16, -0x1.2c8197159d691p-16, -0x1.2b14068aec862p-16, -0x1.29a77024ea82ep-16, -0x1.283bd5768460ap-16, -0x1.26d13809599fap-16, -0x1.2567995dded5cp-16, -0x1.23fefaeb826e4p-16, -0x1.22975e20bdf4fp-16, -0x1.2130c46331782p-16, -0x1.1fcb2f0fe5d34p-16, -0x1.1e669f7b21736p-16, -0x1.1d0316f0bbecep-16, }}, 
      {{-0x1.dc99f07fbedffp-2, -0x1.dc61f480a8fbep-2, -0x1.dbf8fdef3b6d3p-2, -0x1.db5f8d2d69f5dp-2, -0x1.da9e883e1e7eep-2, -0x1.d9c30216490fbp-2, -0x1.d8da628e52486p-2, -0x1.d7eff8f3650eep-2, -0x1.d70bf1774e5e2p-2, -0x1.d6334470fbb7bp-2, -0x1.d5682f8b0d58p-2, -0x1.d4aae4e23e46fp-2, -0x1.d3fa3cb7718efp-2, -0x1.d3544fe5d0e6fp-2, -0x1.d2b6f1ad196f5p-2, -0x1.d2200858b6adbp-2, -0x1.d18dc86b9f991p-2, -0x1.d0fed75c9414dp-2, -0x1.d0725afd44ee5p-2, -0x1.cfe7fa2d63d3p-2, -0x1.cf5fd2dc65b98p-2, -0x1.ceda68c2212d1p-2, -0x1.ce588fa9c39f9p-2, -0x1.cddb53ab6634dp-2, -0x1.cd63e13b58c38p-2, -0x1.ccf36e890679ap-2, -0x1.cc8b2741d7ea8p-2, -0x1.cc2c1b6fdfe77p-2, -0x1.cbd731da0b883p-2, -0x1.cb8d1e05c164fp-2, -0x1.cb4e59c12ede1p-2, -0x1.cb1b21f26aac7p-2, -0x1.caf376497159dp-2, -0x1.cad71b60ae9d9p-2, -0x1.cac59ecfc126ap-2, -0x1.cabe5cb47c904p-2, -0x1.cac0863cdd663p-2, -0x1.cacb28c80bddep-2, -0x1.cadd3542a2f05p-2, -0x1.caf5877212db2p-2, -0x1.cb12ecf2c6037p-2, -0x1.cb342bbbd79bap-2, -0x1.cb5808090faf8p-2, -0x1.cb7d4997fcc4cp-2, -0x1.cba2c02f4a261p-2, -0x1.cbc7476fc1b6dp-2, -0x1.cbe9c9f4dac27p-2, -0x1.cc0943cf58812p-2, -0x1.cc24c467b5706p-2, -0x1.cc3b6fd7e89b3p-2, -0x1.cc4c7fccdb5dbp-2, -0x1.cc5743ffe70f8p-2, -0x1.cc5b2257f553ep-2, -0x1.cc5796c0d0a57p-2, -0x1.cc4c32c5d903fp-2, -0x1.cc389cfbb6533p-2, -0x1.cc1c904332bdep-2, -0x1.cbf7daedd02e3p-2, -0x1.cbca5dcb515a6p-2, -0x1.cb940b2621f7ap-2, -0x1.cb54e5b375e14p-2, -0x1.cb0cff7aff68ep-2, -0x1.cabc78b95321cp-2, -0x1.ca637ebf727a9p-2, -0x1.ca024ad1775c2p-2, -0x1.c9992105f64c4p-2, -0x1.c9284f276f747p-2, -0x1.c8b02b98ed4b1p-2, -0x1.c831143ed770dp-2, -0x1.c7ab6d6ce8925p-2, -0x1.c71fa0da287b6p-2, -0x1.c68e1c9bcff1p-2, -0x1.c5f75227e96bfp-2, -0x1.c55bb560894acp-2, -0x1.c4bbbba8764c4p-2, -0x1.c417db0206ecp-2, -0x1.c370893901735p-2, -0x1.c2c63b182d5a4p-2, -0x1.c21963ab48876p-2, -0x1.c16a738deaf8ap-2, -0x1.c0b9d847de87dp-2, -0x1.c007fbb74f833p-2, -0x1.bf5543891f8b5p-2, -0x1.bea210bf91407p-2, -0x1.bdeebf475ad11p-2, -0x1.bd3ba59b1da8cp-2, -0x1.bc8914751ba9p-2, -0x1.bbd7568eeb78dp-2, -0x1.bb26b06eda1d4p-2, -0x1.ba77604281c9cp-2, -0x1.b9c99dc61b33cp-2, -0x1.b91d9a37e63ecp-2, -0x1.b87380570fa14p-2, -0x1.b7cb746d4e0aap-2, -0x1.b725946283c8fp-2, -0x1.b681f7d98c1bep-2, -0x1.b5e0b05572417p-2, -0x1.b541c9662fbb6p-2, -0x1.b4a548dc28d0fp-2, -0x1.b40b2f018a838p-2, -0x1.b37376d8b89e7p-2, -0x1.b2de165f0516ep-2, -0x1.b24afed2e3c85p-2, -0x1.b1ba1cfcdde16p-2, -0x1.b12b597a8e7c1p-2, -0x1.b09e990afe9c9p-2, -0x1.b013bcdbbbab3p-2, -0x1.af8aa2d616d47p-2, -0x1.af0325ebfed12p-2, -0x1.ae7d1e63fa42bp-2, -0x1.adf86223cf695p-2, -0x1.ad74c4f971d9p-2, -0x1.acf218e1df18dp-2, -0x1.ac702e4d9cc4fp-2, -0x1.abeed4629325bp-2, -0x1.ab6dd93b0e954p-2, -0x1.aaed0a21bbb7dp-2, -0x1.aa6c33ca7ae64p-2, -0x1.a9eb2287ec742p-2, -0x1.a969a27dae54dp-2, -0x1.a8e77fcf3919cp-2, -0x1.a86486cb5eeb9p-2, -0x1.a7e084147003cp-2, -0x1.a75b44c51168p-2, -0x1.a6d49691d0e59p-2, -0x1.a64c47e794a54p-2, -0x1.a5c22806f3fb5p-2, -0x1.a536071c9d825p-2, -0x1.a4a7b656e94adp-2, -0x1.a41707f8b4278p-2, -0x1.a383cf69addcap-2, -0x1.a2ede144381b7p-2, -0x1.a25513610478p-2, -0x1.a1b93ce08d7e2p-2, -0x1.a11a36329f3cap-2, -0x1.a077d91c04d33p-2, -0x1.9fd200ba90ab2p-2, -0x1.9f2889879d431p-2, -0x1.9e7b515928db3p-2, -0x1.9dca3761b55a7p-2, -0x1.9d151c2f0c166p-2, -0x1.9c5be1a80365cp-2, -0x1.9b9e6b096aefcp-2, -0x1.9adc9ce23597p-2, -0x1.9a165d0f026b9p-2, -0x1.994b92b51db7fp-2, -0x1.987c263d0d805p-2, -0x1.97a8014cc991cp-2, -0x1.96cf0ec1a93dp-2, -0x1.95f13aaa23542p-2, -0x1.950e723f6a179p-2, -0x1.9426a3def910cp-2, -0x1.9339bf041f67cp-2, -0x1.9247b44193045p-2, -0x1.9150753b16994p-2, -0x1.9053f49f44a04p-2, -0x1.8f522621783ecp-2, -0x1.8e4afe73e8be1p-2, -0x1.8d3e7341f7271p-2, -0x1.8c2c7b2aaee23p-2, -0x1.8b150dbb88c07p-2, -0x1.89f8236b63acdp-2, -0x1.88d5b595c1887p-2, -0x1.87adbe763e85ep-2, -0x1.868039244caf6p-2, -0x1.854d218f2b3ddp-2, -0x1.8414747a1b81dp-2, -0x1.82d62f78d20dfp-2, -0x1.819250ec210d7p-2, -0x1.8048d7fed8b3ep-2, -0x1.7ef9c4a2db213p-2, -0x1.7da5178e5ee51p-2, -0x1.7c4ad23962531p-2, -0x1.7aeaf6db43582p-2, -0x1.798588687e043p-2, -0x1.781a8a908b2e1p-2, -0x1.76aa01bbdc8fdp-2, -0x1.7533f309f183cp-2, -0x1.73b8644f81be8p-2, -0x1.72375c14b61cdp-2, -0x1.70b0e1937064ap-2, -0x1.6f24fcb59d247p-2, -0x1.6d93b61386731p-2, -0x1.6bfd16f22f7cp-2, -0x1.6a612941a8205p-2, -0x1.68bff79b5fb75p-2, -0x1.67198d406f029p-2, -0x1.656df617d6b31p-2, -0x1.63bd3eacb2ef7p-2, -0x1.6207742c5cd23p-2, -0x1.604ca4647a5p-2, -0x1.5e8cddc0feb9ap-2, -0x1.5cc82f4a0dc65p-2, -0x1.5afea8a1ce583p-2, -0x1.59305a0220aa5p-2, -0x1.575d543a3afcep-2, -0x1.5585a8ac2e80ep-2, -0x1.53a9694a4d0a8p-2, -0x1.51c8a89474d0ap-2, -0x1.4fe379953eb43p-2, -0x1.4df9efdf0f10fp-2, -0x1.4c0c1f890c2a3p-2, -0x1.4a1a1d2bf4ed1p-2, -0x1.4823fddedc6e8p-2, -0x1.4629d733ca953p-2, -0x1.442bbf34402cdp-2, -0x1.4229cc5d9ed41p-2, -0x1.4024159d77d86p-2, -0x1.3e1ab24dc433fp-2, -0x1.3c0dba30fff42p-2, -0x1.39fd456e3165ep-2, -0x1.37e96c8cda441p-2, -0x1.35d24870d51b4p-2, -0x1.33b7f2561b5e5p-2, -0x1.319a83cc7eba4p-2, -0x1.2f7a16b34cdc7p-2, -0x1.2d56c534ea6d8p-2, -0x1.2b30a9c258fp-2, -0x1.2907df0eb8a95p-2, -0x1.26dc800ab8f39p-2, -0x1.24aea7e005eb4p-2, -0x1.227e71ecaa3dcp-2, -0x1.204bf9be6de2fp-2, -0x1.1e175b0e30718p-2, -0x1.1be0b1bb3fee3p-2, -0x1.19a819c6b0ed1p-2, -0x1.176daf4eb4fp-2, -0x1.15318e89f67d6p-2, -0x1.12f3d3c2f4c5fp-2, -0x1.10b49b5367a5ap-2, -0x1.0e74019fa95c6p-2, -0x1.0c3223122831bp-2, -0x1.09ef1c16e1c49p-2, -0x1.07ab0916eb1d5p-2, -0x1.05660673ffc83p-2, -0x1.03203084260cbp-2, -0x1.00d9a38d5a2e2p-2, -0x1.fd24f7829d914p-3, -0x1.f895aa7275a0dp-3, -0x1.f40597e376b6fp-3, -0x1.ef74f78d8ee74p-3, -0x1.eae400df6f661p-3, -0x1.e652eaf6c6db6p-3, -0x1.e1c1ec98a42bcp-3, -0x1.dd313c2a0e08cp-3, -0x1.d8a10fa8b7873p-3, -0x1.d4119ca3fbf62p-3, -0x1.cf831835f3565p-3, -0x1.caf5b6fcc9ab1p-3, -0x1.c669ad1444094p-3, -0x1.c1df2e0f77c8cp-3, -0x1.bd566cf2b83fcp-3, -0x1.b8cf9c2dba255p-3, -0x1.b44aed95e9f92p-3, -0x1.afc8926101bfap-3, -0x1.ab48bb1fc816p-3, -0x1.a6cb97b9113e3p-3, -0x1.a2515764f8771p-3, -0x1.9dda28a8446ddp-3, -0x1.996639501592fp-3, -0x1.94f5b66dbdc61p-3, -0x1.9088cc52d757cp-3, -0x1.8c1fa68d8fefap-3, -0x1.87ba6fe530252p-3, -0x1.83595256d2971p-3, -0x1.7efc77125b3ap-3, -0x1.7aa40677963b4p-3, -0x1.76502813a0c73p-3, -0x1.7201029e75dfep-3, -0x1.6db6bbf8b8c69p-3, -0x1.69717929afc58p-3, -0x1.65315e5d77461p-3, -0x1.60f68ee35fffdp-3, -0x1.5cc12d2c88176p-3, -0x1.58915aca9a0fap-3, -0x1.5467386ec78b5p-3, -0x1.5042e5e8eac25p-3, -0x1.4c248226da1abp-3, -0x1.480c2b33e89d6p-3, -0x1.43f9fe389266p-3, -0x1.3fee177a542ccp-3, -0x1.3be8925badea1p-3, -0x1.37e9895c4ed14p-3, -0x1.33f11619671e8p-3, -0x1.2fff514e25df9p-3, -0x1.2c1452d45585bp-3, -0x1.283031a526353p-3, -0x1.245303da12783p-3, -0x1.207cdeadee29ep-3, -0x1.1cadd67e1187fp-3, -0x1.18e5fecba9354p-3, -0x1.15256a3d21812p-3, -0x1.116c2a9fb3fcap-3, -0x1.0dba50e9094b5p-3, -0x1.0a0fed3907cfap-3, -0x1.066d0edba4fb4p-3, -0x1.02d1c44ae61fp-3, -0x1.fe7c3661e05dbp-4, -0x1.f76440d455bfap-4, -0x1.f05bc00f035c3p-4, -0x1.e962caa16cf54p-4, -0x1.e279758d90c81p-4, -0x1.db9fd44cdf775p-4, -0x1.d4d5f8d54ad41p-4, -0x1.ce1bf39e8cf26p-4, -0x1.c771d3a778095p-4, -0x1.c0d7a67b6ec99p-4, -0x1.ba4d7837fc5ebp-4, -0x1.b3d35392818cp-4, -0x1.ad6941ddf361ep-4, -0x1.a70f4b10bd21ap-4, -0x1.a0c575caacb02p-4, -0x1.9a8bc75af96bp-4, -0x1.946243c64da24p-4, -0x1.8e48edccf4d6p-4, -0x1.883fc6f101281p-4, -0x1.8246cf7c8cf43p-4, -0x1.7c5e0687fdcf8p-4, -0x1.76856a0051632p-4, -0x1.70bcf6ad76963p-4, -0x1.6b04a838a46f1p-4, -0x1.655c7932ba478p-4, -0x1.5fc4631aa4664p-4, -0x1.5a3c5e63baf81p-4, -0x1.54c4627c2bf06p-4, -0x1.4f5c65d356d77p-4, -0x1.4a045de035161p-4, -0x1.44bc3f27b26c1p-4, -0x1.3f83fd430782dp-4, -0x1.3a5b8ae60f392p-4, -0x1.3542d9e58f449p-4, -0x1.3039db3d81b38p-4, -0x1.2b407f175197ep-4, -0x1.2656b4d009f97p-4, -0x1.217c6afe83b8dp-4, -0x1.1cb18f7982904p-4, -0x1.17f60f5dc379ap-4, -0x1.1349d7140627bp-4, -0x1.0eacd25702443p-4, -0x1.0a1eec3951c5bp-4, -0x1.05a00f2b4c516p-4, -0x1.01302500d2409p-4, -0x1.f99e2dee0d2b3p-5, -0x1.f0f99b73f6cap-5, -0x1.e87262d494072p-5, -0x1.e00853453b516p-5, -0x1.d7bb3afa480e6p-5, -0x1.cf8ae731eec8p-5, -0x1.c777243ed5e38p-5, -0x1.bf7fbd928ceb8p-5, -0x1.b7a47dc7ee09fp-5, -0x1.afe52ead3ae5ap-5, -0x1.a841994e2842bp-5, -0x1.a0b985fdb3195p-5, -0x1.994cbc5fd9875p-5, -0x1.91fb03731cddep-5, -0x1.8ac42199ddb01p-5, -0x1.83a7dca38f6acp-5, -0x1.7ca5f9d5c5389p-5, -0x1.75be3df5096b2p-5, -0x1.6ef06d4d904ccp-5, -0x1.683c4bbbc0b96p-5, -0x1.61a19cb48d37bp-5, -0x1.5b20234da3e86p-5, -0x1.54b7a24574f02p-5, -0x1.4e67dc0b06ebdp-5, -0x1.483092c5a99ep-5, -0x1.4211885c71b8ap-5, -0x1.3c0a7e7d92e04p-5, -0x1.361b36a58ae38p-5, -0x1.3043722620f7ap-5, -0x1.2a82f22d3b169p-5, -0x1.24d977cb86536p-5, -0x1.1f46c3faff2abp-5, -0x1.19ca97a53ad7ep-5, -0x1.1464b3a9a12f4p-5, -0x1.0f14d8e362ea3p-5, -0x1.09dac82f5b317p-5, -0x1.04b64271bed6dp-5, -0x1.ff4e113742ac3p-6, -0x1.f559b760b01f3p-6, -0x1.eb8ef9955cb8dp-6, -0x1.e1ed5a43f7761p-6, -0x1.d8745c1e1443fp-6, -0x1.cf238221b2faap-6, -0x1.c5fa4fa27e919p-6, -0x1.bcf84852b5c66p-6, -0x1.b41cf04bdb78p-6, -0x1.ab67cc1705e5bp-6, -0x1.a2d860b505d27p-6, -0x1.9a6e33a618d7dp-6, -0x1.9228caf18b8a1p-6, -0x1.8a07ad2ce99c7p-6, -0x1.820a618308ba3p-6, -0x1.7a306fbab5c85p-6, -0x1.7279603d3cdb9p-6, -0x1.6ae4bc1c95b4p-6, -0x1.63720d1961c6bp-6, -0x1.5c20dda8ad0f3p-6, -0x1.54f0b8f95a6fap-6, -0x1.4de12af97af47p-6, -0x1.46f1c05b3a223p-6, -0x1.40220699b9601p-6, -0x1.39718bfda5b82p-6, -0x1.32dfdfa184685p-6, -0x1.2c6c9175da281p-6, -0x1.26173245212bfp-6, -0x1.1fdf53b778ca6p-6, -0x1.19c4885636df1p-6, -0x1.13c6638f29a92p-6, -0x1.0de479b7ccff7p-6, -0x1.081e60102f4cp-6, -0x1.0273acc5bd32ap-6, -0x1.f9c7edeba1659p-7, -0x1.eeddad6037649p-7, -0x1.e427c9f1d7a7dp-7, -0x1.d9a577965b216p-7, -0x1.cf55ec34c27d4p-7, -0x1.c5385fa8ab5e3p-7, -0x1.bb4c0bc57dd43p-7, -0x1.b1902c5956454p-7, -0x1.a803ff2f98141p-7, -0x1.9ea6c41343c26p-7, -0x1.9577bcd0ed5fep-7, -0x1.8c762d388fc9ap-7, -0x1.83a15b1f0306ep-7, -0x1.7af88e5f44342p-7, -0x1.727b10db61f34p-7, -0x1.6a282e7d49e5ep-7, -0x1.61ff35374a27dp-7, -0x1.59ff7504601eep-7, -0x1.52283fe843bdap-7, -0x1.4a78e9ef4b5d4p-7, -0x1.42f0c92e0d4e9p-7, -0x1.3b8f35c0d3d1p-7, -0x1.345389caeb2e7p-7, -0x1.2d3d2175a36b4p-7, -0x1.264b5aef4f016p-7, -0x1.1f7d9669dd436p-7, -0x1.18d3361985a2ap-7, -0x1.124b9e3316eadp-7, -0x1.0be634ea4418ep-7, -0x1.05a2626fb2d93p-7, -0x1.feff21ddd8a72p-8, -0x1.f2fa59186b3d9p-8, -0x1.e73546c45a766p-8, -0x1.dbaecafebbfffp-8, -0x1.d065c9c76aec3p-8, -0x1.c5592afb8537ep-8, -0x1.ba87da4fce94dp-8, -0x1.aff0c74b0688fp-8, -0x1.a592e53f9d44cp-8, -0x1.9b6d2b45bd7b1p-8, -0x1.917e9434b21f3p-8, -0x1.87c61e9c5d065p-8, -0x1.7e42ccbe7c474p-8, -0x1.74f3a487a983bp-8, -0x1.6bd7af885e421p-8, -0x1.62edfaedafa95p-8, -0x1.5a359779e5145p-8, -0x1.51ad997d1f896p-8, -0x1.495518cda1359p-8, -0x1.412b30c01fe2bp-8, -0x1.392f001fecec6p-8, -0x1.315fa927150b9p-8, -0x1.29bc517651202p-8, -0x1.2244220cf039cp-8, -0x1.1af64740b194bp-8, -0x1.13d1f0b56cc4ep-8, -0x1.0cd65154e3419p-8, -0x1.06029f464007ap-8, -0x1.feac27cb60936p-9, -0x1.f19fd777e7ec7p-9, -0x1.e4decceba7p-9, -0x1.d8678db6d1cbbp-9, -0x1.cc38a58fb8d36p-9, -0x1.c050a640a8bbcp-9, -0x1.b4ae27975a269p-9, -0x1.a94fc7533c435p-9, -0x1.9e342914076ep-9, -0x1.9359f648950cep-9, -0x1.88bfde1d40a4fp-9, -0x1.7e64956ab5059p-9, -0x1.7446d6a443cb1p-9, -0x1.6a6561c6a1a6bp-9, -0x1.60befc4694935p-9, -0x1.575270ff8e561p-9, -0x1.4e1e902225385p-9, -0x1.45222f232af1ep-9, -0x1.3c5c28aa11ae9p-9, -0x1.33cb5c80092ap-9, -0x1.2b6eaf7ea081cp-9, -0x1.23450b7ee6214p-9, -0x1.1b4d5f48357d1p-9, -0x1.13869e7f8257fp-9, -0x1.0befc19642a3cp-9, -0x1.0487c5b9c8693p-9, -0x1.fa9b59854cc49p-10, -0x1.ec80fa47f55d8p-10, -0x1.debe83b5e5e9dp-10, -0x1.d15214bcc08a6p-10, -0x1.c439d51d423f5p-10, -0x1.b773f54a2f039p-10, -0x1.aafeae48fe036p-10, -0x1.9ed8419104c52p-10, -0x1.92fef8ec7fb2cp-10, -0x1.87712658ee60cp-10, -0x1.7c2d23e78bfa8p-10, -0x1.7131539ec2c21p-10, -0x1.667c1f5b37faep-10, -0x1.5c0bf8b176949p-10, -0x1.51df58cfa2d87p-10, -0x1.47f4c05f96cb3p-10, -0x1.3e4ab7693d9cap-10, -0x1.34dfcd356af02p-10, -0x1.2bb298303bedp-10, -0x1.22c1b5ccba51p-10, -0x1.1a0bca6849775p-10, -0x1.118f812df078bp-10, -0x1.094b8bfb06f46p-10, -0x1.013ea3430bb31p-10, -0x1.f2cf0be90f2f6p-11, -0x1.e389f2bb9eeb9p-11, -0x1.d4ab92246676dp-11, -0x1.c6318d9f10614p-11, -0x1.b81994c81accep-11, -0x1.aa6163287ef79p-11, -0x1.9d06c0033eeedp-11, -0x1.90077e22028c4p-11, -0x1.83617ba34b922p-11, -0x1.7712a1c901d2fp-11, -0x1.6b18e4c7ef646p-11, -0x1.5f724397323cep-11, -0x1.541cc7c06ba43p-11, -0x1.491685311834ap-11, -0x1.3e5d9a0bc6c1ap-11, -0x1.33f02e7abc435p-11, -0x1.29cc7481c128dp-11, -0x1.1ff0a7d2d2d53p-11, -0x1.165b0da0a8b19p-11, -0x1.0d09f47418016p-11, -0x1.03fbb400f87ddp-11, -0x1.f65d59f762bebp-12, -0x1.e54291deb8c08p-12, -0x1.d4a3f42a35881p-12, -0x1.c47e7656002bap-12, -0x1.b4cf1e98b61c9p-12, -0x1.a593039421e1ap-12, -0x1.96c74c075be8p-12, -0x1.88692e8320fbp-12, -0x1.7a75f11c86ccep-12, -0x1.6ceae92455732p-12, -0x1.5fc57adc871acp-12, -0x1.53031930efafbp-12, -0x1.46a1456eb5decp-12, -0x1.3a9d8f0057d38p-12, -0x1.2ef593265605cp-12, -0x1.23a6fcb4fd075p-12, -0x1.18af83d09e0bap-12, -0x1.0e0cedac33955p-12, -0x1.03bd0c47ff622p-12, -0x1.f37b7c6411becp-13, -0x1.e019dc8eb60c4p-13, -0x1.cd5126ebe2ce9p-13, -0x1.bb1d6100b089p-13, -0x1.a97aa782ad22bp-13, -0x1.98652de2e3771p-13, -0x1.87d93dd9601a7p-13, -0x1.77d336f3e7f85p-13, -0x1.684f8e25a30acp-13, -0x1.594acd58f1e91p-13, -0x1.4ac19302eb942p-13, -0x1.3cb091b970634p-13, -0x1.2f148fc9b03c5p-13, -0x1.21ea66d1d355dp-13, -0x1.152f035b6a08bp-13, -0x1.08df64784bee2p-13, -0x1.f9f136c16816ap-14, -0x1.e2ef96264ee84p-14, -0x1.ccb44feb72d23p-14, -0x1.b739eef4dafd4p-14, -0x1.a27b1f854afcp-14, -0x1.8e72ae8eac012p-14, -0x1.7b1b88fe9c55cp-14, -0x1.6870bb15c86c3p-14, -0x1.566d6fb9e348ep-14, -0x1.450cefd292521p-14, -0x1.344aa1a5a5854p-14, -0x1.2422083423b4p-14, -0x1.148ec29f435a8p-14, -0x1.058c8b8ccfbecp-14, -0x1.ee2e711e241e5p-15, -0x1.d255731e648a5p-15, -0x1.b78630797e173p-15, -0x1.9db8eef8b9dc8p-15, -0x1.84e625b757021p-15, -0x1.6d067c0f546f7p-15, -0x1.5612c8864b0f1p-15, -0x1.40040fc6a13b8p-15, -0x1.2ad3839ab57f7p-15, -0x1.167a81ea59497p-15, -0x1.02f293c1670c6p-15, -0x1.e06ad8b6cb9d5p-16, -0x1.bc79d0571cd9dp-16, -0x1.9a0617efff2bdp-16, -0x1.790407d6e4629p-16, -0x1.59684566ee709p-16, -0x1.3b27c14594c83p-16, -0x1.1e37b5aacfe25p-16, -0x1.028da4afb11edp-16, -0x1.d03ead61e0804p-17, -0x1.9dc5b15d8e9f2p-17, -0x1.6d9cf574b0f3ap-17, -0x1.3fb19cd058c18p-17, -0x1.13f14a9c97721p-17, -0x1.d4943e20cbed8p-18, -0x1.855568fe12cp-18, -0x1.3a04391bdaba5p-18, -0x1.e4ff75446356p-19, -0x1.5d4fbaa3a6ae3p-19, -0x1.b975bc32cde9bp-20, -0x1.8c10b48eb46e7p-21, 0x1.00f630973d418p-23, 0x1.f2e4ff8d1e35p-21, 0x1.c662864d3d81ep-20, 0x1.43adbca7dc52ap-19, 0x1.9e637b9a25c81p-19, 0x1.f385d7f708b73p-19, 0x1.21a35db35445cp-18, 0x1.46eb5519bfb5ap-18, 0x1.69b265f691101p-18, 0x1.8a0f79f356d36p-18, 0x1.a818d4c0196d8p-18, 0x1.c3e418232d88fp-18, 0x1.dd8647fa5cb97p-18, 0x1.f513ce0766c6dp-18, 0x1.05503ef111d0ap-17, 0x1.0f1fcc49daaabp-17, 0x1.1801e82345fb2p-17, 0x1.1fffa5e9fa1ep-17, 0x1.2721d51fef7d6p-17, 0x1.2d71030fa8e21p-17, 0x1.32f57c7ab4a96p-17, 0x1.37b74f349f8ecp-17, 0x1.3bbe4bbdf493fp-17, 0x1.3f1206d4ee4d7p-17, 0x1.41b9daf43fbc8p-17, 0x1.43bce9dc1018ap-17, 0x1.45221df6a6037p-17, 0x1.45f02bd0d8356p-17, 0x1.462d937a2aa88p-17, 0x1.45e0a1e0f5563p-17, 0x1.450f7225709d2p-17, 0x1.43bfeee38931p-17, 0x1.41f7d37ba1a4ap-17, 0x1.3fbcad4cce125p-17, 0x1.3d13dced6f20ep-17, 0x1.3a02975743bb9p-17, 0x1.368de70d7e699p-17, 0x1.32baad42ef666p-17, 0x1.2e8da2f0d31e8p-17, 0x1.2a0b59e5592c1p-17, 0x1.25383ddb717a7p-17, 0x1.20189578456f5p-17, 0x1.1ab0834ee968p-17, 0x1.150406db499e9p-17, 0x1.0f16fd7761961p-17, 0x1.08ed2344f03a1p-17, 0x1.028a141dfe3ccp-17, 0x1.f7e298e423b1ap-18, 0x1.ea4c544e504afp-18, 0x1.dc57dadec738bp-18, 0x1.ce0b7343581dp-18, 0x1.bf6d2c032fecfp-18, 0x1.b082dd1c81eeap-18, 0x1.a1522982fd474p-18, 0x1.91e080a8ddf31p-18, 0x1.82331fedf74ccp-18, 0x1.724f140a7a78dp-18, 0x1.62393a7d36961p-18, 0x1.51f642d7ca3f6p-18, 0x1.418ab01beefc6p-18, 0x1.30fada006a453p-18, 0x1.204aee320b205p-18, 0x1.0f7ef191c01dap-18, 0x1.fd3582be0e3ebp-19, 0x1.db4428d5702fdp-19, 0x1.b930f85a076d7p-19, 0x1.9702cbdcf131ap-19, 0x1.74c037a0faee3p-19, 0x1.526f8bc41847ep-19, 0x1.3016d6418e684p-19, 0x1.0dbbe4f190733p-19, 0x1.d6c88f0136843p-20, 0x1.922aa2a14a92ep-20, 0x1.4da8368ea5dd5p-20, 0x1.094b0b5990ad8p-20, 0x1.8a38e76168d6fp-21, 0x1.024aafccd9d16p-21, 0x1.eb71c96305852p-23, -0x1.8032c8a8a5adp-26, -0x1.247fe1aa46e54p-22, -0x1.17cfdf4cc70fbp-21, -0x1.9ca3592ed6d5p-21, -0x1.105682aff0572p-20, -0x1.51f01a6996fa8p-20, -0x1.93186e62b6125p-20, -0x1.d3c9c8d0e00d6p-20, -0x1.09ff606525a2bp-19, -0x1.29d91bed577a7p-19, -0x1.496fabb94fe71p-19, -0x1.68c0c74c4fb1p-19, -0x1.87ca47c158acep-19, -0x1.a68a26b09bfabp-19, -0x1.c4fe7d11f923ap-19, -0x1.e325822939429p-19, -0x1.007ec540cd0dbp-18, -0x1.0f4283720c27ep-18, -0x1.1ddd41aeb937p-18, -0x1.2c4e5327418d9p-18, -0x1.3a9517ba195dep-18, -0x1.48b0fb867b947p-18, -0x1.56a176757570fp-18, -0x1.64660bd414b25p-18, -0x1.71fe49e27b867p-18, -0x1.7f69c9717c5fbp-18, -0x1.8ca82d7cde535p-18, -0x1.99b922cac78b9p-18, -0x1.a69c5f8d10d9ep-18, -0x1.b351a3068b3f5p-18, -0x1.bfd8b5316e9ecp-18, -0x1.cc31666aab5b2p-18, -0x1.d85b8f1acac91p-18, -0x1.e4570f698e801p-18, -0x1.f023ceebd5baap-18, -0x1.fbc1bc57e7dcbp-18, -0x1.0398669da0508p-17, -0x1.09387eda07d82p-17, -0x1.0ec1281556585p-17, -0x1.1432668614324p-17, -0x1.198c4145973cap-17, -0x1.1ecec2313e6f9p-17, -0x1.23f9f5c8ccb45p-17, -0x1.290deb13196fdp-17, -0x1.2e0ab380037f2p-17, -0x1.32f062ccec254p-17, -0x1.37bf0ee9628a3p-17, -0x1.3c76cfdd1f4d9p-17, -0x1.4117bfae7319fp-17, -0x1.45a1fa49e80adp-17, -0x1.4a159d6a1e03bp-17, -0x1.4e72c88149407p-17, -0x1.52b99ca26414ep-17, -0x1.56ea3c6c4b635p-17, -0x1.5b04cbf3a232cp-17, -0x1.5f0970b06943p-17, -0x1.62f8516938306p-17, -0x1.66d1962127084p-17, -0x1.6a956804aeb0fp-17, -0x1.6e43f15932fc8p-17, -0x1.71dd5d6b87e18p-17, -0x1.7561d87f98607p-17, -0x1.78d18fc05e1d1p-17, -0x1.7c2cb130b1241p-17, -0x1.7f736b9d37ebcp-17, -0x1.82a5ee8ccc74bp-17, -0x1.85c46a33f2d77p-17, -0x1.88cf0f673e013p-17, -0x1.8bc60f8e86d8ap-17, -0x1.8ea99c98bf07ap-17, -0x1.9179e8efd5107p-17, -0x1.9437276dce3bcp-17, -0x1.96e18b50fe44p-17, -0x1.997948327c94bp-17, -0x1.9bfe91fb118b7p-17, -0x1.9e719cd9f98ap-17, -0x1.a0d29d3b5d176p-17, -0x1.a321c7bef71f1p-17, -0x1.a55f512fe581bp-17, -0x1.a78b6e7beddaep-17, -0x1.a9a654ac0c4dap-17, -0x1.abb038dbdc517p-17, -0x1.ada95032eb7dbp-17, -0x1.af91cfdd76738p-17, -0x1.b169ed05a0476p-17, -0x1.b331dcccfc0fcp-17, -0x1.b4e9d4462ef3fp-17, -0x1.b692086f4d93fp-17, -0x1.b82aae2c058f3p-17, -0x1.b9b3fa3ff80bp-17, -0x1.bb2e2149dc8a7p-17, -0x1.bc9957be7b6cdp-17, -0x1.bdf5d1e3b6d4ep-17, -0x1.bf43c3cc871e5p-17, -0x1.c0836153ef981p-17, -0x1.c1b4de19ac3cdp-17, -0x1.c2d86d7e0a21p-17, -0x1.c3ee429e1c1cap-17, -0x1.c4f69050419a9p-17, -0x1.c5f18920e1497p-17, -0x1.c6df5f4f35177p-17, -0x1.c7c044caca538p-17, -0x1.c8946b2fc06d8p-17, -0x1.c95c03c5001e1p-17, -0x1.ca173f7952533p-17, -0x1.cac64ee1212b4p-17, -0x1.cb6962344e8dfp-17, -0x1.cc00a94bef639p-17, -0x1.cc8c53a0adf8ap-17, -0x1.cd0c9048b916fp-17, -0x1.cd818df634d28p-17, -0x1.cdeb7af574931p-17, -0x1.ce4a852bfbfe8p-17, -0x1.ce9eda16c5fbp-17, -0x1.cee8a6c928c6dp-17, -0x1.cf2817eb9497ap-17, -0x1.cf5d59babe504p-17, -0x1.cf889806bbcd1p-17, -0x1.cfa9fe31d9926p-17, -0x1.cfc1b7303baecp-17, -0x1.cfcfed86d8e1bp-17, -0x1.cfd4cb4b33fdfp-17, -0x1.cfd07a22a4e2dp-17, -0x1.cfc3234204e5ep-17, -0x1.cfacef6d3b87fp-17, -0x1.cf8e06f7178c7p-17, -0x1.cf6691c0f9f18p-17, -0x1.cf36b73acd4bp-17, -0x1.cefe9e62b50ddp-17, -0x1.cebe6dc50d8fdp-17, -0x1.ce764b7cb869cp-17, -0x1.ce265d32efc9ep-17, -0x1.cdcec81f7d37cp-17, -0x1.cd6fb108d384fp-17, -0x1.cd093c4442aeap-17, -0x1.cc9b8db66c998p-17, -0x1.cc26c8d35f028p-17, -0x1.cbab109ef12b7p-17, -0x1.cb2887ad59bc8p-17, -0x1.ca9f50236f9e2p-17, -0x1.ca0f8bb72bad4p-17, -0x1.c9795bb02058bp-17, -0x1.c8dce0e81b0a3p-17, -0x1.c83a3bcb8907ap-17, -0x1.c7918c5a4135ep-17, -0x1.c6e2f227e8fa6p-17, -0x1.c62e8c5ccaf67p-17, -0x1.c57479b6741dp-17, -0x1.c4b4d888551b7p-17, -0x1.c3efc6bc906f4p-17, -0x1.c32561d49a5dcp-17, -0x1.c255c6e9fcf38p-17, -0x1.c18112af303p-17, -0x1.c0a7617077f62p-17, -0x1.bfc8cf146cf4ep-17, -0x1.bee5771cfa4bbp-17, -0x1.bdfd74a831642p-17, -0x1.bd10e2711f3cp-17, -0x1.bc1fdad0b0194p-17, -0x1.bb2a77be794cep-17, -0x1.ba30d2d1a86dfp-17, -0x1.b9330541de67bp-17, -0x1.b83127e81a622p-17, -0x1.b72b533f8ab98p-17, -0x1.b6219f66a6046p-17, -0x1.b514241fe66d9p-17, -0x1.b402f8d2c4767p-17, -0x1.b2ee348c9efdap-17, -0x1.b1d5ee01c46b1p-17, -0x1.b0ba3b8e30eb3p-17, -0x1.af9b3336aeaa3p-17, -0x1.ae78eaa99b43fp-17, -0x1.ad53773ff542cp-17, -0x1.ac2aedfe42b53p-17, -0x1.aaff639579344p-17, -0x1.a9d0ec63f4538p-17, -0x1.a89f9c766d81ep-17, -0x1.a76b8788e862dp-17, -0x1.a634c107a2098p-17, -0x1.a4fb5c0ffa709p-17, -0x1.a3bf6b716696bp-17, -0x1.a28101ae55a3cp-17, -0x1.a14030fd2babp-17, -0x1.9ffd0b49381b7p-17, -0x1.9eb7a23383d5p-17, -0x1.9d700713e018cp-17, -0x1.9c264af9abf8ap-17, -0x1.9ada7eacd930cp-17, -0x1.998cb2aec2e3p-17, -0x1.983cf73b159d1p-17, -0x1.96eb5c48b8d03p-17, -0x1.9597f18abf7d4p-17, -0x1.9442c6712f15cp-17, -0x1.92ebea29f5ebbp-17, -0x1.91936ba1b3837p-17, -0x1.90395984b91a5p-17, -0x1.8eddc23fcf168p-17, -0x1.8d80b4010ea44p-17, -0x1.8c223cb8b2adap-17, -0x1.8ac26a1a0e4ap-17, -0x1.8961499c4988dp-17, -0x1.87fee87b40d28p-17, -0x1.869b53b8379c2p-17, -0x1.8536981ad60c5p-17, -0x1.83d0c231e2e37p-17, -0x1.8269de5401b76p-17, -0x1.8101f8a09989p-17, -0x1.7f991d008325p-17, -0x1.7e2f5726dfdfcp-17, -0x1.7cc4b291cdb99p-17, -0x1.7b593a8b49a1ep-17, -0x1.79ecfa29cc8d1p-17, -0x1.787ffc5123a0ap-17, -0x1.77124bb3175f8p-17, -0x1.75a3f2d02cc79p-17, -0x1.7434fbf86ac1cp-17, -0x1.72c5714c09f3dp-17, -0x1.71555cbc24929p-17, -0x1.6fe4c80b6bf7cp-17, -0x1.6e73bcced702fp-17, -0x1.6d02446e4f0ap-17, -0x1.6b90682568508p-17, -0x1.6a1e3103f95ap-17, -0x1.68aba7eee4acfp-17, -0x1.6738d5a09915dp-17, -0x1.65c5c2a9b7629p-17, -0x1.64527771d7d3p-17, -0x1.62defc3813014p-17, -0x1.616b59139aa51p-17, -0x1.5ff795f474ed3p-17, -0x1.5e83baa3efca7p-17, -0x1.5d0fcec54afdap-17, -0x1.5b9bd9d659809p-17, -0x1.5a27e33000584p-17, -0x1.58b3f206e2142p-17, -0x1.57400d6bd0a7ep-17, -0x1.55cc3c4c84724p-17, -0x1.545885740b34fp-17, -0x1.52e4ef8b60d7bp-17, -0x1.51718119f11cbp-17, -0x1.4ffe4086236adp-17, -0x1.4e8b3415e3dbap-17, -0x1.4d1861ef16ab2p-17, -0x1.4ba5d0183348ep-17, -0x1.4a338478bffedp-17, -0x1.48c184d9b8fc1p-17, -0x1.474fd6e62533cp-17, -0x1.45de802b8a16dp-17, -0x1.446d861a6eb8cp-17, -0x1.42fcee06c504p-17, -0x1.418cbd285619cp-17, -0x1.401cf89b50d9dp-17, -0x1.3eada560b8da7p-17, -0x1.3d3ec85ec9fdcp-17, -0x1.3bd0666166428p-17, -0x1.3a62841a99c6cp-17, -0x1.38f52622f56d8p-17, -0x1.378850f9f094fp-17, -0x1.361c09065e405p-17, -0x1.34b05296d7bdcp-17, -0x1.334531e229bdep-17, -0x1.31daab07a2df8p-17, -0x1.3070c20f81362p-17, -0x1.2f077aeb5d82fp-17, -0x1.2d9ed9767445ep-17, -0x1.2c36e17619084p-17, -0x1.2acf969a0b1a2p-17, -0x1.2968fc7cdb762p-17, -0x1.280316a430c73p-17, -0x1.269de8812967fp-17, -0x1.25397570ca35fp-17, -0x1.23d5c0bc32984p-17, -0x1.2272cd98fe351p-17, -0x1.21109f29a2e88p-17, -0x1.1faf387dba44p-17, -0x1.1e4e9c92511bcp-17, -0x1.1ceece5230041p-17, -0x1.1b8fd0963e2e4p-17, -0x1.1a31a625c2fb2p-17, -0x1.18d451b6a88ffp-17, -0x1.1777d5eddbf64p-17, -0x1.161c355f8e1aep-17, -0x1.14c1728f6b6eep-17, -0x1.13678ff0f0a4ap-17, -0x1.120e8fe7be905p-17, -0x1.10b674c7d159bp-17, -0x1.0f5f40d5c1566p-17, -0x1.0e08f64702bcep-17, -0x1.0cb397423b63dp-17, -0x1.0b5f25df6f6f5p-17, -0x1.0a0ba42851bb7p-17, -0x1.08b9141881af7p-17, -0x1.0767779da60bfp-17, -0x1.0616d097d3f5cp-17, -0x1.04c720d9ca317p-17, -0x1.03786a290c3abp-17, -0x1.022aae3e348f1p-17, -0x1.00ddeec52b027p-17, -0x1.ff245aba9c379p-18, -0x1.fc8ed733748c6p-18, -0x1.f9fb5603040b4p-18, -0x1.f769da1faceb9p-18, -0x1.f4da66688101fp-18, -0x1.f24cfda5baceap-18, -0x1.efc1a288f8001p-18, -0x1.ed3857adca6e2p-18, -0x1.eab11f9a17378p-18, -0x1.e82bfcbe6c12bp-18, -0x1.e5a8f176393d4p-18, -0x1.e328000865ec4p-18, -0x1.e0a92aa78dfa5p-18, -0x1.de2c73728db29p-18, -0x1.dbb1dc7487de2p-18, -0x1.d93967a57ac7ep-18, -0x1.d6c316ea8b77p-18, -0x1.d44eec164ce03p-18, -0x1.d1dce8e91f974p-18, -0x1.cf6d0f116b2a3p-18, -0x1.ccff602c0b153p-18, -0x1.ca93ddc4a8661p-18, -0x1.c82a8955f3f57p-18, -0x1.c5c36449cec0ap-18, -0x1.c35e6ff9deeddp-18, -0x1.c0fbadaf98bb5p-18, -0x1.be9b1ea4c3158p-18, -0x1.bc3cc4038445ap-18, -0x1.b9e09ee6d056p-18, -0x1.b786b05a97c3bp-18, -0x1.b52ef95c179f3p-18, -0x1.b2d97ada26819p-18, -0x1.b08635b570803p-18, -0x1.ae352ac09ca4fp-18, -0x1.abe65ac09a2d2p-18, -0x1.a999c66cfeca2p-18, -0x1.a74f6e702fd85p-18, -0x1.a50753678de59p-18, -0x1.a2c175e3b86ccp-18, -0x1.a07dd668d9edbp-18, -0x1.9e3c756ed9ca2p-18, -0x1.9bfd536190bb3p-18, -0x1.99c070a0ecd8bp-18, -0x1.9785cd815ffd5p-18, -0x1.954d6a4bd3abfp-18, -0x1.9317473e0ece3p-18, -0x1.90e3648acb526p-18, -0x1.8eb1c25a0b7cdp-18, -0x1.8c8260c930ac9p-18, -0x1.8a553feb23ffdp-18, -0x1.882a5fc89cf13p-18, -0x1.8601c06063597p-18, -0x1.83db61a7540bdp-18, -0x1.81b743889f61dp-18, -0x1.7f9565e612714p-18, -0x1.7d75c8980731ap-18, -0x1.7b586b6dd77d9p-18, -0x1.793d4e2dd99d1p-18, -0x1.772470959cccep-18, -0x1.750dd259f9627p-18, -0x1.72f9732777687p-18, -0x1.70e752a23993cp-18, -0x1.6ed770663d8a9p-18, -0x1.6cc9cc07725f3p-18, -0x1.6abe6512135b7p-18, -0x1.68b53b0a8b2d9p-18, -0x1.66ae4d6dc657bp-18, -0x1.64a99bb139d08p-18, -0x1.62a725433401cp-18, -0x1.60a6e98abd5d4p-18, -0x1.5ea8e7e80e3fdp-18, -0x1.5cad1fb4579a3p-18, -0x1.5ab390423a44dp-18, -0x1.58bc38dd9c577p-18, -0x1.56c718cc096ddp-18, -0x1.54d42f4cb418cp-18, -0x1.52e37b9887296p-18, -0x1.50f4fce2607d7p-18, -0x1.4f08b25743706p-18, -0x1.4d1e9b1e22179p-18, -0x1.4b36b65860faep-18, -0x1.49510321aebaep-18, -0x1.476d8090429c2p-18, -0x1.458c2db4e8ec7p-18, -0x1.43ad099b372ep-18, -0x1.41d01349677cbp-18, -0x1.3ff549c0d9f84p-18, -0x1.3e1cabfdd6824p-18, -0x1.3c4638f7d157cp-18, -0x1.3a71efa15d3afp-18, -0x1.389fcee899d83p-18, -0x1.36cfd5b6e55f7p-18, -0x1.350202f1354bp-18, -0x1.333655781d4a3p-18, -0x1.316ccc27e97cp-18, -0x1.2fa565d8b12b6p-18, -0x1.2de0215e71e6fp-18, -0x1.2c1cfd891870dp-18, -0x1.2a5bf924b737cp-18, -0x1.289d12f979a92p-18, -0x1.26e049cbd5c3dp-18, -0x1.25259c5c8201fp-18, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      50, 0x1.070a3d70a3d71p+3, 0x1.3978277428815p+0, 0x1.607fcb1231e2fp+1, -0x1.b79299819f76cp-9, 
      {{
        {0x1.7147ae147ae14p+2, 0x1.7333333333333p+2, 0x1.49addf6c653a7p-7, -0x1.0d203b02728b2p-6, 0x1.498ab8bbad5ecp-7, -0x1.65507512f48bbp-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.39d3686df3aebp-7, -0x1.035c38872319fp-6, 0x1.4180976102bf6p-7, -0x1.5ec74e8f1ce47p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.20aebdb8800fp-7, -0x1.e73a5b2f66c82p-7, 0x1.34591e0871aa1p-7, -0x1.5746183f4595p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.0914d1e44b148p-7, -0x1.c9096a77a2beap-7, 0x1.2779b052df0ddp-7, -0x1.5000d02f0278p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.e5ea54a12162bp-8, -0x1.ac1e874e281fbp-7, 0x1.1ae00eeab55cap-7, -0x1.48ab792d5cb4fp-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.bc7f4c9f34984p-8, -0x1.9072af292bc3p-7, 0x1.0e8cd3f901e2bp-7, -0x1.415a6fb1d0a0ep-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.95c8fe4d7d82fp-8, -0x1.75fed9da5d15ap-7, 0x1.027fd62f23a98p-7, -0x1.3a083f0f37ff7p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.71a8901cc4c73p-8, -0x1.5cbc00b67a6cdp-7, 0x1.ed72413d231ffp-8, -0x1.32b65d82a686ep-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.4fffdc63edf49p-8, -0x1.44a31caa8bdbep-7, 0x1.d67160a0236fp-8, -0x1.2b6466c51eec9p-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.30b1715ff7875p-8, -0x1.2dad26bf6395ep-7, 0x1.bffd0c1e2783dp-8, -0x1.241275b5441c8p-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.13a09133fae5ap-8, -0x1.17d317f66193ep-7, 0x1.aa15434a28ce9p-8, -0x1.1cc0831fd9c34p-9}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.f16263d258c29p-9, -0x1.030de952e496p-7, 0x1.94ba06415eep-8, -0x1.156e90f2d6cb4p-9}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.bf8ffaddb66f5p-9, -0x1.dead27af84f88p-8, 0x1.7feb54fbf52a7p-8, -0x1.0e1c9ea9dcb24p-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.9194a334e3223p-9, -0x1.b94c210febadfp-8, 0x1.6ba92f7c049ccp-8, -0x1.06caac685d8aep-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.673c804ee9047p-9, -0x1.95eab0ccdec5p-8, 0x1.57f395c0fd98dp-8, -0x1.fef17449b0b9fp-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.40551d6f08141p-9, -0x1.747ac8ec44f11p-8, 0x1.44ca87cb06f85p-8, -0x1.f04d8fc3da909p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.1cad6da4b6266p-9, -0x1.54ee5b740388fp-8, 0x1.322e059a152c9p-8, -0x1.e1a9ab3d88523p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.f82b97973dcdcp-10, -0x1.37375a6a003bdp-8, 0x1.201e0f2e2cdccp-8, -0x1.d305c6b77de93p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.bcbff51747b0bp-10, -0x1.1b47b7d4209f3p-8, 0x1.0e9aa4874b56fp-8, -0x1.c461e23145739p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.86be48b1b8aap-10, -0x1.011165b84a56ap-8, 0x1.fb478b4ae4abbp-9, -0x1.b5bdfdab22103p-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.55cfb6e72b18bp-10, -0x1.d10cac38c5f03p-9, 0x1.da72e511421ddp-9, -0x1.a71a1925144ep-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.29a033d0a50a1p-10, -0x1.a330f60ca05cfp-9, 0x1.bab75661ad65p-9, -0x1.9876349eb788ap-10}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.01de831f9837p-10, -0x1.78738cf7ef12ap-9, 0x1.9c14df3c2c6dfp-9, -0x1.89d25018bcf07p-10}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.bc78703bc414ap-11, -0x1.50b855067d419p-9, 0x1.7e8b7fa0b7db8p-9, -0x1.7b2e6b928fb07p-10}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.7cdb6b5b97337p-11, -0x1.2be33244164a4p-9, 0x1.621b378f537b3p-9, -0x1.6c8a870c631d6p-10}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.44545c94134c4p-11, -0x1.09d808bc855aap-9, 0x1.46c40707ff3f8p-9, -0x1.5de6a2862b1fbp-10}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.1257480b793fep-11, -0x1.d4f578f72b2ecp-10, 0x1.2c85ee0abc03ap-9, -0x1.4f42be0029c33p-10}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.ccbba231c2986p-12, -0x1.9b5e631a249d1p-10, 0x1.1360ec9785aeap-9, -0x1.409ed979dac8fp-10}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.7fce748876063p-12, -0x1.66b297f98d6f3p-10, 0x1.f6aa055cc424fp-10, -0x1.31faf4f3dcfecp-10}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.3cf0ca8c9ab19p-12, -0x1.36b9dfacfc1e6p-10, 0x1.c8c4609e96321p-10, -0x1.2357106d7ec7ap-10}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.0337a6116d2a4p-12, -0x1.0b3c024c0702dp-10, 0x1.9d10eaf48ffa9p-10, -0x1.14b32be79c04fp-10}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.a3868e97b18bfp-13, -0x1.c8018fdc89539p-11, 0x1.738fa45e9efa4p-10, -0x1.060f476139748p-10}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.4f7e59a4eef7p-13, -0x1.819ff1569731ap-11, 0x1.4c408cdcd65cp-10, -0x1.eed6c5b665abbp-11}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.08c4273b240ffp-13, -0x1.42e2b935641efp-11, 0x1.2723a46f2854ep-10, -0x1.d18efcaa2bbf8p-11}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.9bb7dc1c7f581p-14, -0x1.0b5977a81da9dp-11, 0x1.0438eb1598405p-10, -0x1.b447339d23fe3p-11}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.3ac0432b1c18p-14, -0x1.b52779bbdef7cp-12, 0x1.c700c1a06b1acp-11, -0x1.96ff6a935eb5fp-11}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.d806c82ee39cp-15, -0x1.6042320c13edcp-12, 0x1.89f40b3d834c8p-11, -0x1.79b7a17e537c6p-11}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.5a2031bb1d23fp-15, -0x1.1722389f1c33cp-12, 0x1.514bb30429fa1p-11, -0x1.5c6fd8928dae4p-11}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.ee88d400ed27fp-16, -0x1.b1cd5ba759fp-13, 0x1.1d07b8ee2e525p-11, -0x1.3f280f0a75f75p-11}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.568a1623f1481p-16, -0x1.495d640d8344dp-13, 0x1.da503a26060ep-12, -0x1.21e047d11ff47p-11}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.c93688407ddfep-17, -0x1.e665966f67511p-14, 0x1.8359be341611ep-12, -0x1.049877f0a92aep-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.238ebca37bep-17, -0x1.5b17a3785e666p-14, 0x1.352c009f16853p-12, -0x1.cea190c6db843p-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.5f352cbdp-18, -0x1.da9ae39c1e5b9p-15, 0x1.df8def68eb301p-13, -0x1.94114061664efp-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.88feba54037ffp-19, -0x1.3306fd77febb7p-15, 0x1.66558f4bb2e36p-13, -0x1.59847478ddeb4p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.8e5b550288fffp-20, -0x1.70d96d514b8bfp-16, 0x1.fd5ba58213d41p-14, -0x1.1eea87eecbcc2p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.5f2fc0f98p-21, -0x1.8f1276da3d442p-17, 0x1.513553f2ccc0cp-14, -0x1.c90332de26979p-13}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.f4d829f410001p-23, -0x1.704b406550a69p-18, 0x1.903589604f225p-15, -0x1.52c3a6bab6b08p-13}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.f16263d28p-25, -0x1.02dc3275ad9b2p-19, 0x1.89e6b113c313fp-16, -0x1.c3b1b65faf46bp-14}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.ccbba23200001p-28, -0x1.a12aad80433b3p-22, 0x1.eb89db696794cp-18, -0x1.7422f13c24d9ep-15}, 
        {0x1.0666666666666p+3, 0x1.070a3d70a3d71p+3, 0x1.88feb8p-35, 0x1.816753973fd4p-27, 0x1.67cc35d6a8p-21, -0x1.5464e2197a90dp-12}, 
      }}, 
      0x1.4ec07b59502bcp-6, -0x1.82ed0b9467a9dp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.238f5f9745e8ap-1, 0x1.2f57aee6fa2a3p-1, 0x1.3f6a49e1c65d5p-1, 0x1.5084c07915616p-1, 0x1.5fe3857a072aep-1, 0x1.6b7ead8f151b7p-1, 0x1.720d56cc54511p-1, 0x1.72edef13a3b8cp-1, 0x1.6e04b3cc63ed9p-1, 0x1.63996a30f8831p-1, 0x1.5438771d63447p-1, 0x1.4098eb7a18ac1p-1, 0x1.2987c977f5fa8p-1, 0x1.0fd8249cf159fp-1, 0x1.e8aefc435fa51p-2, 0x1.af8b638012348p-2, 0x1.759f95149744dp-2, 0x1.3c1a47f66ffe6p-2, 0x1.03fc995ebd06ep-2, 0x1.9c34cd28ad716p-3, 0x1.3638e8a08707bp-3, 0x1.ae0f03d9a76e9p-4, 0x1.fd6c14be63308p-5, 0x1.7d771c6e2cd6p-6, -0x1.7b7cc9ad9081fp-7, -0x1.5b081a34f2ccp-5, -0x1.1afe39e8541ddp-4, -0x1.783b5ed42ca5ep-4, -0x1.c5caba59dee47p-4, -0x1.0231319a9d098p-3, -0x1.1a6ac495fc0b6p-3, -0x1.2c060456f41a7p-3, -0x1.377d9b6c0e016p-3, -0x1.3d4fe76e32bdbp-3, -0x1.3dfc748d988a8p-3, -0x1.3a01ed402c295p-3, -0x1.31dc737fa9fe9p-3, -0x1.260452dd75fcp-3, -0x1.16ed02b948998p-3, -0x1.050469cf307e9p-3, -0x1.e164b50600116p-4, -0x1.b4b07fdba6b05p-4, -0x1.84a1d9b2faea7p-4, -0x1.51e1095574b0ep-4, -0x1.1d096d15f3d21p-4, -0x1.cd524c324f736p-5, -0x1.5e839eb25044ap-5, -0x1.dd2450841c5eep-6, -0x1.f948ec53730aap-7, -0x1.d0376dfeb6d46p-10, 0x1.80d64e817443p-7, 0x1.9a7c5f03a2c13p-6, 0x1.381364518f152p-5, 0x1.a0433e46159b6p-5, 0x1.02b4be4161357p-4, 0x1.3398f923d6e3p-4, 0x1.62aa98bf9d181p-4, 0x1.8fcbb7c8c050cp-4, 0x1.bae4b1e4ad1aep-4, 0x1.e3e2799d1723fp-4, 0x1.055b4710e87bfp-3, 0x1.17ab8718d09cfp-3, 0x1.28decf2e3b6cep-3, 0x1.38f388b847c8p-3, 0x1.47e9bc14a051p-3, 0x1.55c2cd097a117p-3, 0x1.628141e6d8cdp-3, 0x1.6e28a61710e42p-3, 0x1.78bd6c9c2e968p-3, 0x1.8244ea49ecdfcp-3, 0x1.8ac5086361bdep-3, 0x1.924452577fc6ep-3, 0x1.98c9c626bee23p-3, 0x1.9e5cc569e6787p-3, 0x1.a30516a619beep-3, 0x1.a6cab1709c5ebp-3, 0x1.a9b5c1cc16344p-3, 0x1.abce9c1dbaf93p-3, 0x1.ad1da3c4273bep-3, 0x1.adab4423f0c9bp-3, 0x1.ad7ff3b63538cp-3, 0x1.aca416fb75ba8p-3, 0x1.ab20019ef5189p-3, 0x1.a8fbf0273ff5cp-3, 0x1.a640024eb4ac1p-3, 0x1.a2f43271415d4p-3, 0x1.9f204eacc9789p-3, 0x1.9acbff4053eep-3, 0x1.95febacc3bc0ep-3, 0x1.90bfc48c9acebp-3, 0x1.8b162c93550c3p-3, 0x1.8508cd6eff083p-3, 0x1.7e9e4af9e2eb3p-3, 0x1.77dd1258a5e65p-3, 0x1.70cb572b6cbdbp-3, 0x1.696f146681c9bp-3, 0x1.61ce0f023ea9ep-3, 0x1.59edd33a57eb7p-3, 0x1.51d3b59d7864bp-3, 0x1.4984d4771fe5ep-3, 0x1.4106189f1bcb2p-3, 0x1.385c362e7c7d5p-3, 0x1.2f8bad96cd22cp-3, 0x1.2698cd34afd7ap-3, 0x1.1d87b23df553ap-3, 0x1.145c4986ec7a4p-3, 0x1.0b1a518e946e4p-3, 0x1.01c55c241252cp-3, 0x1.f0c19e426c044p-4, 0x1.dddfcbc3ed45ap-4, 0x1.caeb65c6f5537p-4, 0x1.b7ea41d22683fp-4, 0x1.a4e1e85333e76p-4, 0x1.91d7994f1c125p-4, 0x1.7ed05aee70d9cp-4, 0x1.6bd0dd9082759p-4, 0x1.58dd8f8e3fad2p-4, 0x1.45faac650178dp-4, 0x1.332c1b1990786p-4, 0x1.2075ae2bad0a4p-4, 0x1.0ddae96c0ff5p-4, 0x1.f6be4baaa2a31p-5, 0x1.d20add141defap-5, 0x1.ada1a4955078bp-5, 0x1.8987d41bc2929p-5, 0x1.65c2c95bc78bfp-5, 0x1.42573b1ff4749p-5, 0x1.1f49b3a7a90b7p-5, 0x1.f93ca30a0759bp-6, 0x1.b4b1da8a5651fp-6, 0x1.70faa3c2bf323p-6, 0x1.2e1d73f1310d8p-6, 0x1.d84063dd1022ap-7, 0x1.56117008452dbp-7, 0x1.ab723332b7accp-8, 0x1.5d019057988f3p-9, -0x1.2a8444169fe07p-10, -0x1.3fe34ded88b5p-8, -0x1.189b62f0db697p-7, -0x1.8f4766cf40014p-7, -0x1.01f83f5f3b4b6p-6, -0x1.3b48fe4489cb6p-6, -0x1.7393b5920501ep-6, -0x1.aad6676717979p-6, -0x1.e10f86602b1a1p-6, -0x1.0b1ef0ebced0cp-5, -0x1.2530498ef2ed1p-5, -0x1.3ebb72072fc18p-5, -0x1.57c01f0f4748bp-5, -0x1.703e2478f6ae9p-5, -0x1.88357d6bc6efcp-5, -0x1.9fa640afb18bbp-5, -0x1.b6909e6cce98p-5, -0x1.ccf4dfdb0c277p-5, -0x1.e2d35eb2cc3bbp-5, -0x1.f82c84d784f18p-5, -0x1.06806a9360867p-4, -0x1.10a8754026fd2p-4, -0x1.1a8eb87cdbb09p-4, -0x1.2433929a3e893p-4, -0x1.2d976adefbd8dp-4, -0x1.36bab0031003p-4, -0x1.3f9dd645979cfp-4, -0x1.48415868e55e9p-4, -0x1.50a5b94b5e03cp-4, -0x1.58cb82999ea42p-4, -0x1.60b34343cecbap-4, -0x1.685d8f2725978p-4, -0x1.6fcaff666c9f6p-4, -0x1.76fc3246954c7p-4, -0x1.7df1ca24a4c89p-4, -0x1.84ac6cb9a6732p-4, -0x1.8b2cc399935e3p-4, -0x1.91737c9079bf1p-4, -0x1.978148fab8c6ap-4, -0x1.9d56dcf970875p-4, -0x1.a2f4ef2a6bee1p-4, -0x1.a85c388afe8d5p-4, -0x1.ad8d7485fbb2bp-4, -0x1.b28960b149cb4p-4, -0x1.b750bc6801f95p-4, -0x1.bbe4485c57a38p-4, -0x1.c044c6a31eaa3p-4, -0x1.c472fac6eb4f8p-4, -0x1.c86fa987ebe8ep-4, -0x1.cc3b9878b1461p-4, -0x1.cfd78dba39c76p-4, -0x1.d3444fda2e534p-4, -0x1.d682a5b9dec7ep-4, -0x1.d993567831219p-4, -0x1.dc772954bbf6ep-4, -0x1.df2ee5825a096p-4, -0x1.e1bb51f43225bp-4, -0x1.e41d3535adeeap-4, -0x1.e65555696e762p-4, -0x1.e864782e4e079p-4, -0x1.ea4b62822d3c2p-4, -0x1.ec0ad8958cab4p-4, -0x1.eda39daa13c31p-4, -0x1.ef1673fd925edp-4, -0x1.f0641cb5783b4p-4, -0x1.f18d57cc730dcp-4, -0x1.f292e401d27c5p-4, -0x1.f3757ecbd5fe2p-4, -0x1.f435e44543e92p-4, -0x1.f4d4cf12f636bp-4, -0x1.f552f852ef514p-4, -0x1.f5b117882ec6p-4, -0x1.f5efe29a951edp-4, -0x1.f6100dcd21cb7p-4, -0x1.f6124babfc884p-4, -0x1.f5f74cfb9d866p-4, -0x1.f5bfc09eaea0fp-4, -0x1.f56c5399f9a39p-4, -0x1.f4fdb10610cc8p-4, -0x1.f47482172b59p-4, -0x1.f3d16e148cbcap-4, -0x1.f3151a497efa8p-4, -0x1.f24029fa39821p-4, -0x1.f1533e5e6a9abp-4, -0x1.f04ef6a20e03bp-4, -0x1.ef33efe7ed4f7p-4, -0x1.ee02c546de71p-4, -0x1.ecbc0fc13e4d9p-4, -0x1.eb60663f439f6p-4, -0x1.e9f05d83b815p-4, -0x1.e86c88311a74p-4, -0x1.e6d576cea4966p-4, -0x1.e52bb7cb48acfp-4, -0x1.e36fd77b01648p-4, -0x1.e1a26010e02cep-4, -0x1.dfc3d99a46904p-4, -0x1.ddd4ca016d97fp-4, -0x1.dbd5b51874618p-4, -0x1.d9c71c9a5f34dp-4, -0x1.d7a980338614p-4, -0x1.d57d5d7cf304ap-4, -0x1.d3432ffa1d84dp-4, -0x1.d0fb7110b0c2ap-4, -0x1.cea698295699cp-4, -0x1.cc451a9362512p-4, -0x1.c9d76ba7bb324p-4, -0x1.c75dfcc0bb612p-4, -0x1.c4d93d3a95e53p-4, -0x1.c2499a72c667dp-4, -0x1.bfaf7fcb352adp-4, -0x1.bd0b56b4a7494p-4, -0x1.ba5d86b07a0a2p-4, -0x1.b7a6755f1845ap-4, -0x1.b4e6867f5a4e8p-4, -0x1.b21e1bf1b2b46p-4, -0x1.af4d95ba418c8p-4, -0x1.ac755205318cp-4, -0x1.a995ad2b49e9dp-4, -0x1.a6af01c6e780ap-4, -0x1.a3c1a8a09bd07p-4, -0x1.a0cdf8ce1432ep-4, -0x1.9dd447a7fe0bcp-4, -0x1.9ad4e8cf5f755p-4, -0x1.97d02e37bbae6p-4, -0x1.94c668228c4ep-4, -0x1.91b7e5323503dp-4, -0x1.8ea4f268dedb7p-4, -0x1.8b8ddb30d913dp-4, -0x1.8872e961872f5p-4, -0x1.8554654155a02p-4, -0x1.8232958a5f8abp-4, -0x1.7f0dbf70288dcp-4, -0x1.7be626a627e3p-4, -0x1.78bc0d6675faep-4, -0x1.758fb47804eeap-4, -0x1.72615b33bb123p-4, -0x1.6f313f88df035p-4, -0x1.6bff9e013460cp-4, -0x1.68ccb1c5bd854p-4, -0x1.6598b4a391ab6p-4, -0x1.6263df118ef74p-4, -0x1.5f2e683616887p-4, -0x1.5bf885ec922efp-4, -0x1.58c26cc89d7bdp-4, -0x1.558c50260ee43p-4, -0x1.52566213a8c4fp-4, -0x1.4f20d37622693p-4, -0x1.4bebd3f85e95fp-4, -0x1.48b79215dd8dbp-4, -0x1.45843b20ac25ep-4, -0x1.4251fb450f063p-4, -0x1.3f20fd8e8d92dp-4, -0x1.3bf16bed0f223p-4, -0x1.38c36f39616f2p-4, -0x1.35972f37599a2p-4, -0x1.326cd29c6a05cp-4, -0x1.2f447f0e213e4p-4, -0x1.2c1e59336fc5fp-4, -0x1.28fa84a4258efp-4, -0x1.25d92401ef074p-4, -0x1.22ba58f1d5947p-4, -0x1.1f9e4422fd5eap-4, -0x1.1c850552841b7p-4, -0x1.196ebb4eee334p-4, -0x1.165b83fb862dep-4, -0x1.134b7c53df7bcp-4, -0x1.103ec06f95efdp-4, -0x1.0d356b85853d6p-4, -0x1.0a2f97f198095p-4, -0x1.072d5f3fea602p-4, -0x1.042eda148cc59p-4, -0x1.013420595ab88p-4, -0x1.fc7a9223432ap-5, -0x1.f694d5863d4p-5, -0x1.f0b734cf86ae2p-5, -0x1.eae1da73826a7p-5, -0x1.e514ee1707dc3p-5, -0x1.df50963bb7a86p-5, -0x1.d994f7ef7e51bp-5, -0x1.d3e236d4eb355p-5, -0x1.ce38752985226p-5, -0x1.c897d3cac0dc1p-5, -0x1.c3007241aa7e9p-5, -0x1.bd726eae3f653p-5, -0x1.b7ede6086d8f5p-5, -0x1.b272f3db421b5p-5, -0x1.ad01b280a1f11p-5, -0x1.a79a3b16ef519p-5, -0x1.a23ca5849105cp-5, -0x1.9ce90881adc61p-5, -0x1.979f799c74ed4p-5, -0x1.92600d3ea4e17p-5, -0x1.8d2ad6b328b67p-5, -0x1.87ffe82a732bdp-5, -0x1.82df52bf5a719p-5, -0x1.7dc9267ca161dp-5, -0x1.78bd7262a1cdep-5, -0x1.73bc446d529f8p-5, -0x1.6ec5a999f8d53p-5, -0x1.69d9adec2bbcfp-5, -0x1.64f85c7287e86p-5, -0x1.6021bf4b2650ap-5, -0x1.5b55dfa8721f9p-5, -0x1.5694c5d62b826p-5, -0x1.51de793e160adp-5, -0x1.4d33006c4b3b6p-5, -0x1.489261138d6ep-5, -0x1.43fca01213c35p-5, -0x1.3f71c1769f40dp-5, -0x1.3af1c8856cbfdp-5, -0x1.367cb7bce4b71p-5, -0x1.321290d9f7471p-5, -0x1.2db354dc4b975p-5, -0x1.295f040a3fb3dp-5, -0x1.25159df4c9ce2p-5, -0x1.20d7217b3fcfap-5, -0x1.1ca38ccf71402p-5, -0x1.187add79d31e8p-5, -0x1.145d105e527f4p-5, -0x1.104a21b6d52c7p-5, -0x1.0c420d52342edp-5, -0x1.0844ce0903cb4p-5, -0x1.04525e6679efbp-5, -0x1.006ab859e3bdap-5, -0x1.f91baa8ba801bp-6, -0x1.f1775bd5e9243p-6, -0x1.e9e8752ca0df7p-6, -0x1.e26ee620da3cep-6, -0x1.db0a9d41cb183p-6, -0x1.d3bb882abc14p-6, -0x1.cc819385fba7fp-6, -0x1.c55cab14154f2p-6, -0x1.be4cb9ad337c2p-6, -0x1.b751a95682fd9p-6, -0x1.b06b633b2af5cp-6, -0x1.a999cfb7deacap-6, -0x1.a2dcd64cec75cp-6, -0x1.9c345dc65930dp-6, -0x1.95a04c354553dp-6, -0x1.8f2086f2c53c3p-6, -0x1.88b4f2a931467p-6, -0x1.825d735a6fd7cp-6, -0x1.7c19ec6457bf7p-6, -0x1.75ea40842b157p-6, -0x1.6fce51dd3e26ap-6, -0x1.69c601fc2b40bp-6, -0x1.63d131df45205p-6, -0x1.5defc1fd76299p-6, -0x1.5821924ef7cc1p-6, -0x1.52668255c5a5dp-6, -0x1.4cbe7122c1687p-6, -0x1.47293d574777fp-6, -0x1.41a6c521edc03p-6, -0x1.3c36e63cf56b8p-6, -0x1.36d97de55c9abp-6, -0x1.318e68fd05024p-6, -0x1.2c5583a5fc1a3p-6, -0x1.272ea9ec9297fp-6, -0x1.2219b786d77acp-6, -0x1.1d1687a52e23ep-6, -0x1.1824f593fdf03p-6, -0x1.1344dc93b9323p-6, -0x1.0e761796d5374p-6, -0x1.09b881a73df9cp-6, -0x1.050bf5975a5ffp-6, -0x1.00704df33ee06p-6, -0x1.f7cac9cfb2333p-7, -0x1.eed62865fe45ap-7, -0x1.e6026a3f1eb25p-7, -0x1.dd4f413230e26p-7, -0x1.d4bc5e975984p-7, -0x1.cc4973955da31p-7, -0x1.c3f6317c86ca6p-7, -0x1.bbc249f525677p-7, -0x1.b3ad6f18e5f9ep-7, -0x1.abb75350110fp-7, -0x1.a3dfa907c0105p-7, -0x1.9c26226147f6ap-7, -0x1.948a70d673fabp-7, -0x1.8d0c451e848efp-7, -0x1.85ab4f46aa69ep-7, -0x1.7e673f117efe9p-7, -0x1.773fc49098e9dp-7, -0x1.703490d3a4d5cp-7, -0x1.6945567d58e44p-7, -0x1.6271ca0ab1724p-7, -0x1.5bb9a19b2875fp-7, -0x1.551c94af5d6ffp-7, -0x1.4e9a59f14e8dfp-7, -0x1.4832a72aae81p-7, -0x1.41e52fa28a135p-7, -0x1.3bb1a283d3b82p-7, -0x1.3597ab7b42fdfp-7, -0x1.2f96f31843876p-7, -0x1.29af206c19217p-7, -0x1.23dfdb4c4b299p-7, -0x1.1e28cedcb6d59p-7, -0x1.1889abe2563ecp-7, -0x1.13022a625ac1ep-7, -0x1.0d920a18bc295p-7, -0x1.083911742ddfap-7, -0x1.02f70b2c2ec31p-7, -0x1.fb9785b9c99e2p-8, -0x1.f16e026ac40acp-8, -0x1.e77110a397231p-8, -0x1.dda0220c4252p-8, -0x1.d3fa93a36210dp-8, -0x1.ca7faeb30d392p-8, -0x1.c12ead89808d2p-8, -0x1.b806c917cf9d5p-8, -0x1.af073bc9429d4p-8, -0x1.a62f4bd84093fp-8, -0x1.9d7e597b1f6e8p-8, -0x1.94f3de8d5a9dfp-8, -0x1.8c8f6f3ea5ca1p-8, -0x1.8450b598a9865p-8, -0x1.7c376ae8dd0edp-8, -0x1.74434b5d2cb06p-8, -0x1.6c740c67de78ap-8, -0x1.64c952e550ce5p-8, -0x1.5d42acdf764dap-8, -0x1.55df8f91e6c1dp-8, -0x1.4e9f59d5e011ep-8, -0x1.47815a8b255ffp-8, -0x1.4084d9c73318ap-8, -0x1.39a9231742055p-8, -0x1.32ed8f009fee6p-8, -0x1.2c5189fef46bdp-8, -0x1.25d497b50f96ep-8, -0x1.1f7651c3d13fbp-8, -0x1.1936629fd35b9p-8, -0x1.13147d9fa0f82p-8, -0x1.0d1055eb15b5bp-8, -0x1.0729965814b96p-8, -0x1.015fdbc65cddcp-8, -0x1.f765652377968p-9, -0x1.ec43302e77751p-9, -0x1.e157fdea9f28p-9, -0x1.d6a2ab7cfd525p-9, -0x1.cc221d5b271cap-9, -0x1.c1d54e34025e3p-9, -0x1.b7bb5ac608e6ap-9, -0x1.add387eb16723p-9, -0x1.a41d4258ecdc6p-9, -0x1.9a9815a3d31a5p-9, -0x1.91439d9b199p-9, -0x1.881f73c4f3787p-9, -0x1.7f2b1d0468da7p-9, -0x1.7665fabf4dc46p-9, -0x1.6dcf43470e90bp-9, -0x1.6566023af2308p-9, -0x1.5d29205c1ed98p-9, -0x1.551770b96e12ap-9, -0x1.4d2fc0959174dp-9, -0x1.4570e7907a5ep-9, -0x1.3dd9d60a6badcp-9, -0x1.3669a03553b48p-9, -0x1.2f1f84c6dbfc9p-9, -0x1.27faedd8bb406p-9, -0x1.20fb684d2d6a2p-9, -0x1.1a20ac23bcea8p-9, -0x1.136a7ea7c06a1p-9, -0x1.0cd8a8761053dp-9, -0x1.066af1ba139c8p-9, -0x1.0021123fc7786p-9, -0x1.f3f546300bbedp-10, -0x1.e7ee383e4e095p-10, -0x1.dc2ba51e5e779p-10, -0x1.d0abfceb2915p-10, -0x1.c56d8c4734909p-10, -0x1.ba6e9ca298e27p-10, -0x1.afad968610c0dp-10, -0x1.a5291a94fa71dp-10, -0x1.9ae0066d185bp-10, -0x1.90d1614670d67p-10, -0x1.86fc347359039p-10, -0x1.7d5f5ede68021p-10, -0x1.73f97775098e9p-10, -0x1.6ac8ceeb0d882p-10, -0x1.61cb951d72844p-10, -0x1.5900168724777p-10, -0x1.5064fa07af62p-10, -0x1.47f964e4c09aep-10, -0x1.3fbcf465a3749p-10, -0x1.37af8e0ae810bp-10, -0x1.2fd119cb90f07p-10, -0x1.282144c61aa75p-10, -0x1.209f6994bc906p-10, -0x1.194aa8f5987fcp-10, -0x1.122227db77f69p-10, -0x1.0b255628e03ep-10, -0x1.04541737a0666p-10, -0x1.fb5d694b270a9p-11, -0x1.ee6b2b4a10079p-11, -0x1.e1d1a5300950cp-11, -0x1.d58f98d3a92acp-11, -0x1.c9a1d7b97372ep-11, -0x1.be034cb066c37p-11, -0x1.b2ada15542b43p-11, -0x1.a79a53a1ee309p-11, -0x1.9cc3e5cf5cffcp-11, -0x1.9226c465648cp-11, -0x1.87c193149dd57p-11, -0x1.7d94c9bbe54e5p-11, -0x1.73a1d2b5ca895p-11, -0x1.69ea0e54e487p-11, -0x1.606e227bd838dp-11, -0x1.572dcfd751763p-11, -0x1.4e2845b4c9925p-11, -0x1.455cba9a87be8p-11, -0x1.3ccafb2a96262p-11, -0x1.3473ab126ea3p-11, -0x1.2c581873ae4cp-11, -0x1.2479b325736bfp-11, -0x1.1cd95b36e79cep-11, -0x1.1576beccbdd2fp-11, -0x1.0e4fed41c45e7p-11, -0x1.07614b3a4e1d7p-11, -0x1.00a5ed642cd2cp-11, -0x1.f430c3cc22536p-12, -0x1.e76748cfe2ab2p-12, -0x1.dae7d819ec11dp-12, -0x1.ceae0178347cep-12, -0x1.c2b81374b8d93p-12, -0x1.b70613a39a77ep-12, -0x1.ab98cd8253c2fp-12, -0x1.a07155834facfp-12, -0x1.9590d4cbe9f3cp-12, -0x1.8af84ddf59025p-12, -0x1.80a86cc6967efp-12, -0x1.76a16a2a84bb5p-12, -0x1.6ce3b251c577ap-12, -0x1.636fd9e8db359p-12, -0x1.5a45aee0db2e7p-12, -0x1.516558e6ecfddp-12, -0x1.48cea73447e77p-12, -0x1.408143b4b3135p-12, -0x1.387b8acb72f2cp-12, -0x1.30bb77dd6f994p-12, -0x1.293c51384539ap-12, -0x1.21f8f49fab637p-12, -0x1.1aebc49779dbbp-12, -0x1.14101a616465p-12, -0x1.0d62dc3ee641cp-12, -0x1.06e26acba940fp-12, -0x1.008de2de82c49p-12, -0x1.f4c87d44d5972p-13, -0x1.e8c80b8a02b1dp-13, -0x1.dd176a8d7c614p-13, -0x1.d1b4ba5125066p-13, -0x1.c6a00cac22099p-13, -0x1.bbdbc652b00eap-13, -0x1.b16c1bf05d59fp-13, -0x1.a754a8eba9e47p-13, -0x1.9d9542c2b1fbp-13, -0x1.94297a6d81eafp-13, -0x1.8b0bfa2444ce5p-13, -0x1.823a1d173cf67p-13, -0x1.79b3c358a9ea3p-13, -0x1.71786fc0705f3p-13, -0x1.6985bc00eeap-13, -0x1.61d85f3e8699cp-13, -0x1.5a6da47e85ec5p-13, -0x1.53438ad0ebc56p-13, -0x1.4c57e00066724p-13, -0x1.45a76ca75219cp-13, -0x1.3f2ddc23f9f99p-13, -0x1.38e6cec956326p-13, -0x1.32cff475f3b0cp-13, -0x1.2cea55d2b6b8fp-13, -0x1.27387532aa309p-13, -0x1.21b9c0a79af09p-13, -0x1.1c6778d3422dcp-13, -0x1.1738aad68849ap-13, -0x1.122af1a39430ap-13, -0x1.0d45a897215f7p-13, -0x1.0891fa717ed1dp-13, -0x1.0410c84e0f2a3p-13, -0x1.ff74e129bacdp-14, -0x1.f70f9cafa95c1p-14, -0x1.eef0ade7a1c1fp-14, -0x1.e71d0dab4b9p-14, -0x1.df9424a146af6p-14, -0x1.d84ec97685b13p-14, -0x1.d1452db96b8e3p-14, -0x1.ca7349e3bb1cp-14, -0x1.c3d9722cb8818p-14, -0x1.bd7ac674b6a44p-14, -0x1.b75ae01fddbfp-14, -0x1.b17ba584cbbdp-14, -0x1.abdbb8c779434p-14, -0x1.a6751c6d7cacdp-14, -0x1.a13da6e010a2bp-14, -0x1.9c2dd13c870bfp-14, -0x1.9749e1b750823p-14, -0x1.929def6d7ece8p-14, -0x1.8e2aa320ff49ep-14, -0x1.89db7483fa3f8p-14, -0x1.859b19602fd2p-14, -0x1.8173ad51abf1ap-14, -0x1.7d7c360a99fddp-14, -0x1.79b9b73f4a6d5p-14, -0x1.761ba92ce1a16p-14, -0x1.72970cfaa23aep-14, -0x1.6f31006f2bb1dp-14, -0x1.6beebddea41cap-14, -0x1.68ccb1100e1cep-14, -0x1.65c4c319692ecp-14, -0x1.62d3a402b3021p-14, -0x1.5ff880ec7e6c6p-14, -0x1.5d3345eb7434dp-14, -0x1.5a83bff04044p-14, -0x1.57e9a80b4c8e2p-14, -0x1.556503f96b65ep-14, -0x1.52f6506a4bdd3p-14, -0x1.509e7bf40154fp-14, -0x1.4e5cb84e34e57p-14, -0x1.4c33d6f4d8665p-14, -0x1.4a22501128529p-14, -0x1.4822863db2acp-14, -0x1.462f114b407d4p-14, -0x1.444af8d46615bp-14, -0x1.427c07ec20fcep-14, -0x1.40b8e6322e852p-14, -0x1.3ef60dd171efp-14, -0x1.3d3c443b87fb1p-14, -0x1.3b993d1d016f3p-14, -0x1.39fff73511b6ep-14, -0x1.386e6e25476a9p-14, -0x1.36e9221939d0dp-14, -0x1.356fd6c474f5fp-14, -0x1.33fe5dad66574p-14, -0x1.32925251ec49ap-14, -0x1.312cf1cf6eap-14, -0x1.2fcd6bf99bbdp-14, -0x1.2e7438b66f0a5p-14, -0x1.2d211f20d2e51p-14, -0x1.2bd3c32f5569dp-14, -0x1.2a8bc0611d865p-14, -0x1.2948b0041bbebp-14, -0x1.280a237ea5783p-14, -0x1.26cf9d37c641ep-14, -0x1.2598bb2c7d7d8p-14, -0x1.246526f7600cap-14, -0x1.2334acbaca261p-14, -0x1.22073cfa8ee6p-14, -0x1.20dd1c6d966c9p-14, -0x1.1fb7181dd070cp-14, -0x1.1e955e15a0523p-14, -0x1.1d76cb6881c38p-14, -0x1.1c59424417874p-14, -0x1.1b39f5e3a7c48p-14, -0x1.1a186915ba03ep-14, -0x1.18f60c61589a9p-14, -0x1.17d689ced07e5p-14, -0x1.16ba5135fbd05p-14, -0x1.159e0609b69e9p-14, -0x1.14802b8e1509fp-14, -0x1.1361246b5fe91p-14, -0x1.124123c5f7126p-14, -0x1.11201c2afc70bp-14, -0x1.0ffe7c4eb6397p-14, -0x1.0edbd47eeeeabp-14, -0x1.0db818a1dbfb7p-14, -0x1.0c931ba0c98cap-14, -0x1.0b6d8e5cd06f7p-14, -0x1.0a4582ff140cfp-14, -0x1.091b8b24e73d4p-14, -0x1.07f08573a8491p-14, -0x1.06c3af54ebf1ep-14, -0x1.0594e67db94ebp-14, -0x1.046412adff022p-14, -0x1.0331245d72704p-14, -0x1.01fc129909a81p-14, -0x1.00c4cbef389fbp-14, -0x1.ff1679d6bf56dp-15, -0x1.fc9f0483b3845p-15, -0x1.fa23be56cb0a4p-15, -0x1.f7a3735436b64p-15, -0x1.f51da549b24d7p-15, -0x1.f2930a085785dp-15, -0x1.f003cb69596a7p-15, -0x1.ed6f331b81f9fp-15, -0x1.ead57555750fap-15, -0x1.e836ccf2c868p-15, -0x1.e59325091b064p-15, -0x1.e2ea5964379edp-15, -0x1.e03da2551a76dp-15, -0x1.dd89309484a47p-15, -0x1.dad19742db352p-15, -0x1.d8148efd1a2e6p-15, -0x1.d55259c3055f5p-15, -0x1.d28b0d7d67063p-15, -0x1.cfbeba87f37c1p-15, -0x1.cced68a5a814fp-15, -0x1.ca17301b880d5p-15, -0x1.c73c077380d7bp-15, -0x1.c45bf6c89fb86p-15, -0x1.c176f6aab14c1p-15, -0x1.be8a32cd142ffp-15, -0x1.bb9f5c145c887p-15, -0x1.b8ac5ef321059p-15, -0x1.b5b524f7d7b29p-15, -0x1.b2b96f7a1e6p-15, -0x1.afb95e1fe8b75p-15, -0x1.acb511cd7b986p-15, -0x1.a9abdc8e20068p-15, -0x1.a69e0a64d8224p-15, -0x1.a38de784aa8c1p-15, -0x1.a07977ef5f483p-15, -0x1.9d60dff74f8f9p-15, -0x1.9a435e74c326fp-15, -0x1.9723eb6e75129p-15, -0x1.93fea99d445f3p-15, -0x1.90d7bac9b00cep-15, -0x1.8dad9d626b456p-15, -0x1.8a7f736e9b20fp-15, -0x1.874e2beea2cb8p-15, -0x1.841a0fbd3ce3fp-15, -0x1.80e31472e4945p-15, -0x1.7da944759f5ap-15, -0x1.7a6cb8ba16e76p-15, -0x1.772d8ee440bp-15, -0x1.73ebe32ac290dp-15, -0x1.70a7d61a859e2p-15, -0x1.6d61827b93eeep-15, -0x1.6a190a424b056p-15, -0x1.66ce88257f027p-15, -0x1.638216138f7d8p-15, -0x1.6033df8c254ebp-15, -0x1.5ce3f338bbb85p-15, -0x1.599274c0b201bp-15, -0x1.563f815c826d1p-15, -0x1.52eb36e32963fp-15, -0x1.4f95b17228f06p-15, -0x1.4c3f0af284afbp-15, -0x1.48e76526a332cp-15, -0x1.458ed8a563805p-15, -0x1.42357f44be274p-15, -0x1.3edb881408c81p-15, -0x1.3b81232f5714ep-15, -0x1.3826388ee9df7p-15, -0x1.34cac492d75ecp-15, -0x1.3170eac96607ep-15, -0x1.2e15f462d2338p-15, -0x1.2ab805b859f5fp-15, -0x1.275cb8b24e37p-15, -0x1.2401862bc7479p-15, -0x1.20a690bb839bfp-15, -0x1.1d4c40a562866p-15, -0x1.19f244ee24c7ap-15, -0x1.169939fa9facfp-15, -0x1.1340f47ea4fb3p-15, -0x1.0fe95302dbed9p-15, -0x1.0c9292ea97b59p-15, -0x1.093ce5a75dd85p-15, -0x1.05e9e4a74266dp-15, -0x1.02982d9d67211p-15, -0x1.fe8bfb32507e3p-16, -0x1.f7e59127032f2p-16, -0x1.f147d19714d31p-16, -0x1.eaad96179ad64p-16, -0x1.e4159d985ea6bp-16, -0x1.dd7b11eb0a341p-16, -0x1.d6ee0a096a4f5p-16, -0x1.d06777b8e284bp-16, -0x1.c9dfabb6e793cp-16, -0x1.c35bcbb8e60c2p-16, -0x1.bcdd8e356796bp-16, -0x1.b6645e1568dp-16, -0x1.afef52098fa3bp-16, -0x1.a97ef315bcb98p-16, -0x1.a313bf3b0b146p-16, -0x1.9caddcd8cdd34p-16, -0x1.964d736b3d2d2p-16, -0x1.8ff2a0adf19ecp-16, -0x1.899d8d945825p-16, -0x1.834e612b006fep-16, -0x1.7d05410455219p-16, -0x1.76c24f806b18cp-16, -0x1.7085ab4611bfep-16, -0x1.6a4f7014a2c87p-16, -0x1.641fb8ded26a7p-16, -0x1.5df6a644435bfp-16, -0x1.57d46d0eb3d97p-16, -0x1.51b946d8ebc7ep-16, -0x1.4ba54146f63dp-16, -0x1.4597ea33b341fp-16, -0x1.3f90fdd0550b9p-16, -0x1.3992b2c96842bp-16, -0x1.339d2405255e4p-16, -0x1.2dae62bed6642p-16, -0x1.27c6b5eae0d6fp-16, -0x1.21e6ba5af3c49p-16, -0x1.1c0eb9e65a5bp-16, -0x1.163f0689c133fp-16, -0x1.10778d2ac1fafp-16, -0x1.0ab81ddb3c08ap-16, -0x1.04fff5ad0b30cp-16, -0x1.fea14876f3d38p-17, -0x1.f35705bd04bdcp-17, -0x1.e81b415452a95p-17, -0x1.dcf06444f3bacp-17, -0x1.d1d704f72e05dp-17, -0x1.c6cf35ed53df7p-17, -0x1.bbd918edd5833p-17, -0x1.b0f4cc1359474p-17, -0x1.a62265cc667fbp-17, -0x1.9b6205e555da1p-17, -0x1.90b3cb4f7c006p-17, -0x1.8617cdb703d47p-17, -0x1.7b8e3d3662575p-17, -0x1.7117cc573798fp-17, -0x1.66b4603fafd47p-17, -0x1.5c60c336ef397p-17, -0x1.5221a4599862ep-17, -0x1.47f600d165b11p-17, -0x1.3ddcb93ea0c73p-17, -0x1.33d6a3bd2f8c9p-17, -0x1.29e375c81619ep-17, -0x1.2002595c72251p-17, -0x1.163017bdbee15p-17, -0x1.0c7cab767b135p-17, -0x1.02d781601b91ap-17, -0x1.f28a36c3d08c1p-18, -0x1.df8c0d77b26fap-18, -0x1.ccb484a8ad607p-18, -0x1.ba0283059fb7ep-18, -0x1.a75943752cadfp-18, -0x1.950c85c114997p-18, -0x1.82e52c929e322p-18, -0x1.70cc252b1071bp-18, -0x1.5ee67897af059p-18, -0x1.4d2eadc304eb6p-18, -0x1.3b8309f0a99a1p-18, -0x1.2a101de826daap-18, -0x1.18c482cccd0cep-18, -0x1.07a0105866703p-18, -0x1.ed4627323424p-19, -0x1.cbb37a4a64898p-19, -0x1.aa40319eac67ap-19, -0x1.8933d0723ef6fp-19, -0x1.68768befc7e53p-19, -0x1.4809d1e164243p-19, -0x1.27eb3f2502eaep-19, -0x1.081d12e2df733p-19, -0x1.d13af8b53e461p-20, -0x1.92d9fe27a0f9fp-20, -0x1.5517889040631p-20, -0x1.17f1aaaecc353p-20, -0x1.b6dafdf26b5f9p-21, -0x1.3f036fdd87d45p-21, -0x1.90d64c14bca98p-22, -0x1.4c34326940096p-23, 0x1.08c4e6fdaef53p-24, 0x1.280c4e34e85cdp-22, 0x1.05bbaba2ead51p-21, 0x1.763a081c99566p-21, 0x1.e58172d55cff1p-21, 0x1.29cd24062db68p-20, 0x1.6038afd11149ap-20, 0x1.960de8cb240b6p-20, 0x1.cb491715ccebap-20, 0x1.ffecd11a28c62p-20, 0x1.19faafe4ae40ap-19, 0x1.33b35a0192814p-19, 0x1.4d20617644007p-19, 0x1.6641cd05248cap-19, 0x1.7f17ef0b252a7p-19, 0x1.97a3192ffde25p-19, 0x1.afe3d0a449f21p-19, 0x1.c7db95f3bad9ep-19, 0x1.dfd2bf83f459dp-19, 0x1.f6e97a0680992p-19, 0x1.06ffec8acd34ep-18, 0x1.12675d515a0a1p-18, 0x1.1daa793566e1dp-18, 0x1.28c94429e5ca1p-18, 0x1.33c3e5bdc45b1p-18, 0x1.3e9a82f04bd88p-18, 0x1.494d4dfa820a8p-18, 0x1.53dc727173712p-18, 0x1.5e48288502899p-18, 0x1.6890fb0a4aa5ap-18, 0x1.72b6703ab5e85p-18, 0x1.7c95d5a812243p-18, 0x1.8698f08055352p-18, 0x1.905578e0f965fp-18, 0x1.99ee8bb0337b7p-18, 0x1.a367876736d1p-18, 0x1.acbcf3d2d05a7p-18, 0x1.b5f2fb1defc06p-18, 0x1.bf0633e953788p-18, 0x1.c7f725b7caa3cp-18, 0x1.d0c72f3a98ff2p-18, 0x1.d976a0728e585p-18, 0x1.e20705f1ab661p-18, 0x1.ea9af14c85ebep-18, 0x1.f2c14bea03cbp-18, 0x1.faec3aea97c6ep-18, 0x1.017d1947108c8p-17, 0x1.057299b3ca94fp-17, 0x1.095965d6947cep-17, 0x1.0d308fa97da33p-17, 0x1.10f7f67db949fp-17, 0x1.14afb9ebc17d8p-17, 0x1.1858475df12b3p-17, 0x1.1bf233e49ca1dp-17, 0x1.1f8decca66e46p-17, 0x1.22f6fe4378089p-17, 0x1.26620e643b5ep-17, 0x1.29bef402ecee9p-17, 0x1.2d0d1c3c6a763p-17, 0x1.304653b0ec775p-17, 0x1.337de1e0aa87cp-17, 0x1.36a0ca3eb1234p-17, 0x1.39b482e73f30dp-17, 0x1.3cb4419e70283p-17, 0x1.3fb3db03b85c5p-17, 0x1.429f168805d1ap-17, 0x1.4578d3a543dc4p-17, 0x1.484518b2864e8p-17, 0x1.4b0442221f057p-17, 0x1.4dbb4b94a386ep-17, 0x1.5060c09897851p-17, 0x1.52f903a00508bp-17, 0x1.55841253ac30bp-17, 0x1.5801ffa6455bep-17, 0x1.5a72ec78db464p-17, 0x1.5cd6f741a49bep-17, 0x1.5f2e3d1ef8b6bp-17, 0x1.6178dd12419f9p-17, 0x1.63b6f893604bcp-17, 0x1.65e9004f2bf12p-17, 0x1.67faedfe5b59p-17, 0x1.6a27be21b3a78p-17, 0x1.6c342364f9747p-17, 0x1.6e34575660e38p-17, 0x1.70293ef23813ap-17, 0x1.72124cc6cd02p-17, 0x1.73efa2ca0ee9ap-17, 0x1.75c15fd531ad8p-17, 0x1.77879cce87aa9p-17, 0x1.79426e55847e7p-17, 0x1.7af1fdc1319c1p-17, 0x1.7c966ff09a39ap-17, 0x1.7e2fdf63f4698p-17, 0x1.7fbe26818f91cp-17, 0x1.8141a3377a9a8p-17, 0x1.82ba74ccb882dp-17, 0x1.8428ba7ea1d44p-17, 0x1.858cdef917ec7p-17, 0x1.86d83021f0e6ep-17, 0x1.88357a5130439p-17, 0x1.897978058a77p-17, 0x1.8ab455692958fp-17, 0x1.8be9295d6c63bp-17, 0x1.8d0af4521a33cp-17, 0x1.8e26c50cefb9fp-17, 0x1.8f3aae62f6aa5p-17, 0x1.9043dcb4224e5p-17, 0x1.91439d34cdabdp-17, 0x1.923a1f2026ccbp-17, 0x1.932761ab30a2fp-17, 0x1.940b744094a61p-17, 0x1.94e66b16eb8e9p-17, 0x1.95b84ad90d863p-17, 0x1.9681ca18aec08p-17, 0x1.9741af657a9d6p-17, 0x1.97f9c3bf4034ep-17, 0x1.989858c9085c6p-17, 0x1.994f3b9e74c35p-17, 0x1.99ecf02a08af4p-17, 0x1.9a8297c52a88bp-17, 0x1.9b10263848719p-17, 0x1.9b95a87a5e53ep-17, 0x1.9c136242d1abap-17, 0x1.9c7f50b7cc164p-17, 0x1.9cf60444ab459p-17, 0x1.9d5c29367eb12p-17, 0x1.9dba5ed83225bp-17, 0x1.9e10fed2b1ac1p-17, 0x1.9e601368eef09p-17, 0x1.9ea7eeeca4316p-17, 0x1.9ee86912eceddp-17, 0x1.9f21afb7788b9p-17, 0x1.9f53e647cfecdp-17, 0x1.9f7fd786be8b6p-17, 0x1.9fac6b8349eb8p-17, 0x1.9fc1dfe5f1f3ep-17, 0x1.9fca34a269f9ap-17, 0x1.9fe6e4ada5ce8p-17, 0x1.9fefd1c086742p-17, 0x1.9ff2b9c54cafap-17, 0x1.9feed45a019abp-17, 0x1.9fe4d7e760b4cp-17, 0x1.9fd489af1fa67p-17, 0x1.9fbe11a7c5d65p-17, 0x1.9fa1ba4664e3ep-17, 0x1.9f801db54501ep-17, 0x1.9f697e2954b51p-17, 0x1.9f28a35657b12p-17, 0x1.9ef3e0c0b8e97p-17, 0x1.9eb9e370b3805p-17, 0x1.9e7a55f47b454p-17, 0x1.9e3613d103edp-17, 0x1.9deac5e190f7ep-17, 0x1.9d9aa112c2ed2p-17, 0x1.9d455c80c4d5ep-17, 0x1.9ceae94b63cd1p-17, 0x1.9c8b5c4db9e25p-17, 0x1.9c26c7eef9f26p-17, 0x1.9bbd3fb4b7b06p-17, 0x1.9b4f07ca06d35p-17, 0x1.9ac6e60858253p-17, 0x1.9a648c16c1955p-17, 0x1.99e66f536ecddp-17, 0x1.996575e76c07ep-17, 0x1.98e6437bc07f4p-17, 0x1.9853dc96c695ap-17, 0x1.97c2e4d36b8d2p-17, 0x1.9732cd0fee6bcp-17, 0x1.969afc335eca1p-17, 0x1.95e816c7bd328p-17, 0x1.955f9a2ab1611p-17, 0x1.94baddcf4b10dp-17, 0x1.9412841da7af3p-17, 0x1.93660cc8a3434p-17, 0x1.92b602bbbfc0bp-17, 0x1.92022490c0142p-17, 0x1.914af599c3564p-17, 0x1.908e86361edd3p-17, 0x1.8fd02c16ea5f1p-17, 0x1.8f0dcd041d526p-17, 0x1.8e48902d0d228p-17, 0x1.8d7de22e511e9p-17, 0x1.8cb0e410610c4p-17, 0x1.8bd9ff246667fp-17, 0x1.8b0d094f4ab03p-17, 0x1.8a3680a0243a7p-17, 0x1.894cff7f193c1p-17, 0x1.888c5869e42e3p-17, 0x1.879ef99efd50ap-17, 0x1.86bb73f0220a3p-17, 0x1.85d5b6e0a7fadp-17, 0x1.8501c2c534cb1p-17, 0x1.840187b99ac7ep-17, 0x1.830fae4eeada7p-17, 0x1.821c6254dff7fp-17, 0x1.812ce58ee263dp-17, 0x1.80361d182e344p-17, 0x1.7f3cf1d2f5f1bp-17, 0x1.7e41494bf34dep-17, 0x1.7d3fde3a343a1p-17, 0x1.7c42adfbd38d3p-17, 0x1.7b3fd9675c03ep-17, 0x1.7a3ab6788de2bp-17, 0x1.79335d9864475p-17, 0x1.782852c202852p-17, 0x1.771e58c21e2b7p-17, 0x1.76101d5ce00efp-17, 0x1.75001929aacfep-17, 0x1.73ee404dd8372p-17, 0x1.72da5c1e72edbp-17, }}, 
      {{0x1.20a415ce6694dp-1, 0x1.24cd0a6dfb591p-1, 0x1.2aecf84b82745p-1, 0x1.3233683af75ddp-1, 0x1.39daaeb204c2ap-1, 0x1.413a451d5f6f2p-1, 0x1.47cd7c55dfe4fp-1, 0x1.4d33a832d7e5ep-1, 0x1.512ce3833f692p-1, 0x1.539553c01220dp-1, 0x1.546006a3e5118p-1, 0x1.5392025e95de7p-1, 0x1.513dcf7b48f3dp-1, 0x1.4d7f9ea7377e3p-1, 0x1.487a0dbd2410cp-1, 0x1.42538691dafd3p-1, 0x1.3b3428d681f6bp-1, 0x1.33442d8ab74bap-1, 0x1.2aaab30f41dc8p-1, 0x1.218ce03a198e5p-1, 0x1.180d4ea7de4bfp-1, 0x1.0e4bae5b65bdcp-1, 0x1.046495aaea0d5p-1, 0x1.f4e2e6d87df52p-2, 0x1.e111346728149p-2, 0x1.cd7abb5b40723p-2, 0x1.ba4078cc5318ap-2, 0x1.a77e230ca4095p-2, 0x1.954a966381548p-2, 0x1.83b8455bbd947p-2, 0x1.72d5a9310da7ap-2, 0x1.62adaf5a5fa6ap-2, 0x1.534822243a22dp-2, 0x1.44aa0b538dc52p-2, 0x1.36d60ff3408c9p-2, 0x1.29ccc53b16038p-2, 0x1.1d8cfd9faf895p-2, 0x1.12140f2563c65p-2, 0x1.075e124b8d6b8p-2, 0x1.facc353f65f9cp-3, 0x1.e84cd1b2381dcp-3, 0x1.d7312ddd68d6cp-3, 0x1.c76b7dd84c699p-3, 0x1.b8ed39e36cb8p-3, 0x1.aba75832e3421p-3, 0x1.9f8a7ffc24afdp-3, 0x1.948735b763603p-3, 0x1.8a8dfd667e974p-3, 0x1.818f7871c0a9fp-3, 0x1.797c870286f56p-3, 0x1.72464ff657e7cp-3, 0x1.6bde6543a90cap-3, 0x1.6636b2d25985ap-3, 0x1.6141b7be83daep-3, 0x1.5cf2525708f28p-3, 0x1.593c0324b92bep-3, 0x1.5612c8b3bb652p-3, 0x1.536b206f67a8fp-3, 0x1.513a32eecf32p-3, 0x1.4f759dda99afep-3, 0x1.4e1384070c693p-3, 0x1.4d0aaaeb9c4fp-3, 0x1.4c5252afd6e3bp-3, 0x1.4be22eb4bb3f1p-3, 0x1.4bb281f9f57c9p-3, 0x1.4bbc0d2d6eedbp-3, 0x1.4bf8024ce5aafp-3, 0x1.4c5fffc0a1ce3p-3, 0x1.4cee10c20163bp-3, 0x1.4d9cba734b344p-3, 0x1.4e66d3ec8d1e1p-3, 0x1.4f479f5bd0871p-3, 0x1.503ab0bd9c76bp-3, 0x1.513befa9baf3ep-3, 0x1.5247a5a387e09p-3, 0x1.535a5a9e948c4p-3, 0x1.5470e2913541fp-3, 0x1.55885c5775c62p-3, 0x1.569e1fd412843p-3, 0x1.57afbf8671eap-3, 0x1.58bb140885e3cp-3, 0x1.59be21b33bfdep-3, 0x1.5ab71fadef8ddp-3, 0x1.5ba475aaabdb1p-3, 0x1.5c84b9d2c581cp-3, 0x1.5d56a9271fbc3p-3, 0x1.5e19211c161a3p-3, 0x1.5ecb2c0778351p-3, 0x1.5f6bf1df3f6dcp-3, 0x1.5ffab70b9c9e7p-3, 0x1.6076ddb0ecfc1p-3, 0x1.60dfe22a0c606p-3, 0x1.61355972b92afp-3, 0x1.6176f06f26592p-3, 0x1.61a465f12d58cp-3, 0x1.61bd8a966c348p-3, 0x1.61c244a04335dp-3, 0x1.61b2884d8be2fp-3, 0x1.618e57752f53ep-3, 0x1.6155c1e44a9cap-3, 0x1.6108e3a3bf07cp-3, 0x1.60a7e39af3f58p-3, 0x1.6032f29f44223p-3, 0x1.5faa4af1f2325p-3, 0x1.5f0e2f390918ep-3, 0x1.5e5ee7da74a8fp-3, 0x1.5d9cc3e62851ep-3, 0x1.5cc819950da67p-3, 0x1.5be1435473305p-3, 0x1.5ae89fb2cdbf5p-3, 0x1.59de9157faa6ep-3, 0x1.58c37e56c44d4p-3, 0x1.5797cf9e9a6ddp-3, 0x1.565bf06ff954bp-3, 0x1.55104dfd7dc89p-3, 0x1.53b5571787feep-3, 0x1.524b7be2b69b4p-3, 0x1.50d32db3d64efp-3, 0x1.4f4cddf94f858p-3, 0x1.4db8fe4c3769dp-3, 0x1.4c1800fbabf91p-3, 0x1.4a6a57dc3c67ap-3, 0x1.48b07442bf13cp-3, 0x1.46eac7c43a56ap-3, 0x1.4519c1815130ep-3, 0x1.433dd1da4cb0ap-3, 0x1.41576710633ep-3, 0x1.3f66ee798b0b8p-3, 0x1.3d6cd3b89ebadp-3, 0x1.3b698177f3ab1p-3, 0x1.395d625b5d403p-3, 0x1.3748dd1271f7cp-3, 0x1.352c56d52c0f5p-3, 0x1.3308354a47f92p-3, 0x1.30dcdcf98e768p-3, 0x1.2eaaada3280f4p-3, 0x1.2c72054647252p-3, 0x1.2a33421296bfdp-3, 0x1.27eec16253362p-3, 0x1.25a4dd272c7c6p-3, 0x1.2355ebf1a5c8dp-3, 0x1.210242f21dcd2p-3, 0x1.1eaa370e12c89p-3, 0x1.1c4e1bca7a2f3p-3, 0x1.19ee41b79a61p-3, 0x1.178af6c5d4c8p-3, 0x1.152486ad757b4p-3, 0x1.12bb3bd16ee75p-3, 0x1.104f5fd15949p-3, 0x1.0de13a5210f68p-3, 0x1.0b711049081e7p-3, 0x1.08ff24c161911p-3, 0x1.068bb8dade507p-3, 0x1.04170bcef98adp-3, 0x1.01a15bab4da69p-3, 0x1.fe55ca778e45dp-4, 0x1.f967c637c2d8ap-4, 0x1.f4791b72abac2p-4, 0x1.ef8a37ee09098p-4, 0x1.ea9b862d487ebp-4, 0x1.e5ad6d13ea8d9p-4, 0x1.e0c0507b633acp-4, 0x1.dbd491d167699p-4, 0x1.d6ea8fa15ed2p-4, 0x1.d202a4a593a34p-4, 0x1.cd1d28551de5dp-4, 0x1.c83a6f64d575bp-4, 0x1.c35acbd1f3856p-4, 0x1.be7e8c9c3828ap-4, 0x1.b9a5fdc5bc975p-4, 0x1.b4d168c6b1b22p-4, 0x1.b00114cfa5ea4p-4, 0x1.ab35466297ad8p-4, 0x1.a66e3f099b809p-4, 0x1.a1ac3da362a7p-4, 0x1.9cef7ebd9a9f9p-4, 0x1.98383c98f0b34p-4, 0x1.9386af2e511f2p-4, 0x1.8edb0c12a288ap-4, 0x1.8a35868f4c775p-4, 0x1.85964fc00f711p-4, 0x1.80fd96cffe2cp-4, 0x1.7c6b88c3e487ep-4, 0x1.77e05061ac525p-4, 0x1.735c1652b3bd5p-4, 0x1.6edf015736f77p-4, 0x1.6a693661f554cp-4, 0x1.65fad89cb0e49p-4, 0x1.6194096924bbfp-4, 0x1.5d34e85fcf29p-4, 0x1.58dd93563837ep-4, 0x1.548e267178602p-4, 0x1.5046bc3b57a7p-4, 0x1.4c076dbd579edp-4, 0x1.47d05265a55cp-4, 0x1.43a1801c824d2p-4, 0x1.3f7b0b455a032p-4, 0x1.3b5d06dc23341p-4, 0x1.3747848b1f4e6p-4, 0x1.333a94b13078ap-4, 0x1.2f36466450f4p-4, 0x1.2b3aa770dbcc6p-4, 0x1.2747c46c8c07dp-4, 0x1.235da8ba7c29bp-4, 0x1.1f7c5e9496224p-4, 0x1.1ba3ef1cd6499p-4, 0x1.17d4625787bdcp-4, 0x1.140dbf40862d9p-4, 0x1.10500bd00dd32p-4, 0x1.0c9b4d018048ep-4, 0x1.08ef86dae91efp-4, 0x1.054cbc71d8bfp-4, 0x1.01b2f00f438adp-4, 0x1.fc444620fa8d2p-5, 0x1.f534ac19237ecp-5, 0x1.ee37118994a85p-5, 0x1.e74b7464d7bd6p-5, 0x1.e071d12760ea7p-5, 0x1.d9aa22dd1868ep-5, 0x1.d2f4632c07f86p-5, 0x1.cc508a61d34aap-5, 0x1.c5be8f812b81bp-5, 0x1.bf3e684d46f8ep-5, 0x1.b8d0095689659p-5, 0x1.b27365fb2f308p-5, 0x1.ac28708190d75p-5, 0x1.a5ef1a213e3d8p-5, 0x1.9fc753126de11p-5, 0x1.99b10a9a08697p-5, 0x1.93ac2f0f02bbcp-5, 0x1.8db8add8a302p-5, 0x1.87d6738478304p-5, 0x1.82056bd659d43p-5, 0x1.7c4581b44c9bfp-5, 0x1.76969f6735bb8p-5, 0x1.70f8ae68a342p-5, 0x1.6b6b977cce0a1p-5, 0x1.65ef42c1bfbf5p-5, 0x1.608397c61b61ep-5, 0x1.5b287d473ecffp-5, 0x1.55ddd9ac72e0ap-5, 0x1.50a392b43a027p-5, 0x1.4b798d9e373ep-5, 0x1.465faf31d3604p-5, 0x1.4155dbce9628dp-5, 0x1.3c5bf74f8aa97p-5, 0x1.3771e546366cbp-5, 0x1.329788dd6a0f5p-5, 0x1.2dccc4d8be032p-5, 0x1.29117baca51a2p-5, 0x1.24658f7a5732bp-5, 0x1.1fc8e216b778cp-5, 0x1.1b3b55110a198p-5, 0x1.16bcc9c007b43p-5, 0x1.124d21220521fp-5, 0x1.0dec3c2c5ae16p-5, 0x1.0999fb8417c96p-5, 0x1.05563fa8757d5p-5, 0x1.0120e8e979e7cp-5, 0x1.f9f3aeb83b446p-6, 0x1.f1c1d631f7cd2p-6, 0x1.e9ac07f11779ep-6, 0x1.e1b2039dd1aa6p-6, 0x1.d9d388b74ca72p-6, 0x1.d2105682899fp-6, 0x1.ca682c215f7aep-6, 0x1.c2dac89da26ep-6, 0x1.bb67eaf69449ap-6, 0x1.b40f522b49d5fp-6, 0x1.acd0bd3b421cfp-6, 0x1.a5abeb17e5c29p-6, 0x1.9ea09ab10ae87p-6, 0x1.97ae8b03bfb89p-6, 0x1.90d57b1f1d5e4p-6, 0x1.8a152a2651746p-6, 0x1.836d57557f115p-6, 0x1.7cddc205ba6b8p-6, 0x1.766629b16d576p-6, 0x1.70064df89ab2ep-6, 0x1.69bdeeaf1d9bap-6, 0x1.638ccba38e53cp-6, 0x1.5d72a52ad8354p-6, 0x1.576f3b80dcb6dp-6, 0x1.51824f380f3dcp-6, 0x1.4baba119c399bp-6, 0x1.45eaf22b8d067p-6, 0x1.404003b79e4e3p-6, 0x1.3aaa9757c2e88p-6, 0x1.352a6ee4a4561p-6, 0x1.2fbf4c6d14247p-6, 0x1.2a68f27dfcd64p-6, 0x1.252723c641cdbp-6, 0x1.1ff9a307af176p-6, 0x1.1ae0349b4aa31p-6, 0x1.15da9b41af16fp-6, 0x1.10e89b6a9623ep-6, 0x1.0c09f97e770a9p-6, 0x1.073e7a4158dfdp-6, 0x1.0285e2d6a77d4p-6, 0x1.fbbff181cf03bp-7, 0x1.f29903c604ebdp-7, 0x1.e996890436e59p-7, 0x1.e0b80e9201b6ep-7, 0x1.d7fd22a8b79d8p-7, 0x1.cf65545cac6efp-7, 0x1.c6f0321fc17b8p-7, 0x1.be9d4e2a6448cp-7, 0x1.b66c3857ff58dp-7, 0x1.ae5c8510eebb2p-7, 0x1.a66dc0a42b484p-7, 0x1.9e9f8bc33ddcbp-7, 0x1.96f16fab88427p-7, 0x1.8f63059dcdb75p-7, 0x1.87f3e3e10b2ap-7, 0x1.80a3a1b27e148p-7, 0x1.7971d733cc24ep-7, 0x1.725e1d68cc11ap-7, 0x1.6b680e32bd2eep-7, 0x1.648f44351d978p-7, 0x1.5dd35b4c4a835p-7, 0x1.5733ef9b8f1d3p-7, 0x1.50b09ed92dbc3p-7, 0x1.4a49075681937p-7, 0x1.43fcc8200da9bp-7, 0x1.3dcb817c245f6p-7, 0x1.37b4d44607466p-7, 0x1.31b86262101ebp-7, 0x1.2bd5ceb238355p-7, 0x1.260cbccb8cabdp-7, 0x1.205cd13817e86p-7, 0x1.1ac5b16a54d4fp-7, 0x1.154703b277558p-7, 0x1.0fe06f4486e3fp-7, 0x1.0a919c44c49d9p-7, 0x1.055a33cacc32dp-7, 0x1.0039dfd59cc0ap-7, 0x1.f66096728c113p-8, 0x1.ec7a4330d3d1ap-8, 0x1.e2c01edca4a85p-8, 0x1.d9318442cd726p-8, 0x1.cfcdd014f7a23p-8, 0x1.c69460d1d31f7p-8, 0x1.bd8496a674626p-8, 0x1.b49dd368901dcp-8, 0x1.abdf7aa1cfd87p-8, 0x1.a348f19913f22p-8, 0x1.9ad99f53edf12p-8, 0x1.9290ec94b74dcp-8, 0x1.8a6e43d97570cp-8, 0x1.8271115b37019p-8, 0x1.7a98c3039418bp-8, 0x1.72e4c8581cfa1p-8, 0x1.6b54927f4c707p-8, 0x1.63e79464c8982p-8, 0x1.5c9d42de6fbbep-8, 0x1.557514b330837p-8, 0x1.4e6e7db801788p-8, 0x1.4788fd504883fp-8, 0x1.40c40c78c2c33p-8, 0x1.3a1f26f581002p-8, 0x1.3399ca2234a4cp-8, 0x1.2d3377caaf7aep-8, 0x1.26ebb0c8d80c8p-8, 0x1.20c1f83e4541fp-8, 0x1.1ab5d277a3fep-8, 0x1.14c6c5ed721e3p-8, 0x1.0ef45a4dbe376p-8, 0x1.093e18afe2237p-8, 0x1.03a38bcd16dd3p-8, 0x1.fc487fc9ee203p-9, 0x1.f17f85668a316p-9, 0x1.e6eb46d9b5a85p-9, 0x1.dc8ae57aa27afp-9, 0x1.d25d85887878ep-9, 0x1.c8624e24efd0ep-9, 0x1.be98694f640ebp-9, 0x1.b4ff03dfce541p-9, 0x1.ab954d7f11e55p-9, 0x1.a25a78a52bba3p-9, 0x1.994dbaa4a7764p-9, 0x1.906e4b7a3a91bp-9, 0x1.87bb6605b1ff8p-9, 0x1.7f3447e52776p-9, 0x1.76d831404e56cp-9, 0x1.6ea664cb04148p-9, 0x1.669e27ef168f9p-9, 0x1.5ebec2cb7f9dap-9, 0x1.5707802fdbac3p-9, 0x1.4f77ad8b888c1p-9, 0x1.480e9aac7eed3p-9, 0x1.40cb99f0fc078p-9, 0x1.39ae001850b39p-9, 0x1.32b52506c7cf9p-9, 0x1.2be060ada751dp-9, 0x1.252f0fae958dfp-9, 0x1.1ea09336259b6p-9, 0x1.183448b5da15ep-9, 0x1.11e994ca61da6p-9, 0x1.0bbfdd25b6126p-9, 0x1.05b689b26e60cp-9, 0x1.ff9a08f711197p-10, 0x1.f40573d7255d1p-10, 0x1.e8ae31555eb6ep-10, 0x1.dd932386309c5p-10, 0x1.d2b32fb3eecddp-10, 0x1.c80d4033a3653p-10, 0x1.bda0440ed6b17p-10, 0x1.b36b2d5a276b6p-10, 0x1.a96cf3fbc1b49p-10, 0x1.9fa4926b721e4p-10, 0x1.961107c33c314p-10, 0x1.8cb1575496155p-10, 0x1.8384880890dccp-10, 0x1.7a89a58580da1p-10, 0x1.71bfbe670a751p-10, 0x1.6925e5937982cp-10, 0x1.60bb31e0f2d07p-10, 0x1.587ebdcc69323p-10, 0x1.506fa778c555fp-10, 0x1.488d10abe2865p-10, 0x1.40d61ec5dcc2dp-10, 0x1.3949fac341729p-10, 0x1.31e7d1f84fb4fp-10, 0x1.2aaecfd03336bp-10, 0x1.239e2e4334fbcp-10, 0x1.1cb522939a431p-10, 0x1.15f2e216ebbcbp-10, 0x1.0f56ad6f38735p-10, 0x1.08dfc44d735c1p-10, 0x1.028d6a651b9b4p-10, 0x1.f8bdcdd9a7beep-11, 0x1.eca7093f93891p-11, 0x1.e0d5229309949p-11, 0x1.d546ba47d5856p-11, 0x1.c9fa776f2f7f6p-11, 0x1.beef0a6e8469ep-11, 0x1.b4232a1ba7629p-11, 0x1.a9958eebd5ba4p-11, 0x1.9f44f418bf311p-11, 0x1.95301c71909c2p-11, 0x1.8b55d2220c8e2p-11, 0x1.81b4e3eac57ffp-11, 0x1.784c29d5b16a9p-11, 0x1.6f1a6dccc2e93p-11, 0x1.661e56f0ed3e2p-11, 0x1.5d57305ffa292p-11, 0x1.54c3dc1e2373fp-11, 0x1.4c62ece1db9b7p-11, 0x1.4433892f903cp-11, 0x1.3c34baf0c45dbp-11, 0x1.346579e169b15p-11, 0x1.2cc4cbc81dbadp-11, 0x1.2551b4220fa79p-11, 0x1.1e0b3fdefafd8p-11, 0x1.16f07cbb08aa3p-11, 0x1.10007c9583786p-11, 0x1.093a52fefeb47p-11, 0x1.029d17f76c8e5p-11, 0x1.f84fcfdbb431p-12, 0x1.ebb3c93937434p-12, 0x1.df646b46f81bfp-12, 0x1.d360109c1b134p-12, 0x1.c7a51e79bc3f9p-12, 0x1.bc32042441a73p-12, 0x1.b10539afe6be1p-12, 0x1.a61d3e6c21a8ap-12, 0x1.9b78979154c2bp-12, 0x1.9115ce7a678bep-12, 0x1.86f3717d9911ap-12, 0x1.7d101487aa958p-12, 0x1.736a49f3789d6p-12, 0x1.6a00b5a8205ddp-12, 0x1.60d1f98554ea3p-12, 0x1.57dcc35975d16p-12, 0x1.4f1fc96c6b33ep-12, 0x1.4699cb21d640bp-12, 0x1.3e4990d256fb7p-12, 0x1.362deadf6fa03p-12, 0x1.2e45b27e09ap-12, 0x1.268fc49ab10abp-12, 0x1.1f0b0458f3d4cp-12, 0x1.17b65a0d1191cp-12, 0x1.1090ab406ef66p-12, 0x1.0998e48ae297bp-12, 0x1.02cdf29497bbbp-12, 0x1.f85d8b28f4b94p-13, 0x1.eb74a5139fc07p-13, 0x1.dedf29b73a7b4p-13, 0x1.d29b1e63532f2p-13, 0x1.c6a6977dc0b6ap-13, 0x1.baffb81307ab2p-13, 0x1.afa4b18ad5576p-13, 0x1.a493c67fcff05p-13, 0x1.99cb5958cd45fp-13, 0x1.8f49ceed5e15fp-13, 0x1.850c529ba22b1p-13, 0x1.7b131aa799a25p-13, 0x1.715c84f11657dp-13, 0x1.67e5eafbc41e3p-13, 0x1.5eadfcac9b40bp-13, 0x1.55b3c418d926bp-13, 0x1.4cf5910d528c3p-13, 0x1.4471df16a3051p-13, 0x1.3c2734ef9931cp-13, 0x1.34142c5bbbbb1p-13, 0x1.2c3767ba8a8ddp-13, 0x1.248f8cb124612p-13, 0x1.1d1b4bdb3448cp-13, 0x1.15d95ad3ba511p-13, 0x1.0ec87395a7fb5p-13, 0x1.07e754a380268p-13, 0x1.0134c3e9ddf8cp-13, 0x1.f55f23d7ba35ap-14, 0x1.e8ad3845b5592p-14, 0x1.dc519a977b2a5p-14, 0x1.d04a36a3ec80cp-14, 0x1.c49508c8830c6p-14, 0x1.b93019efc3b9bp-14, 0x1.ae197c8f75c93p-14, 0x1.a34f4a9470745p-14, 0x1.98cfa6818564ep-14, 0x1.8e98bd1318104p-14, 0x1.84a8c144b4552p-14, 0x1.7afdfafc534ecp-14, 0x1.7196bc2ac7c54p-14, 0x1.6871453b14ad7p-14, 0x1.5f8bcfab50b8p-14, 0x1.56e49351d8e21p-14, 0x1.4e79f58a023bbp-14, 0x1.464a4b1d1f69bp-14, 0x1.3e53bab4e6badp-14, 0x1.36949b9243f64p-14, 0x1.2f0b73e333aecp-14, 0x1.27b6bef9cd0e4p-14, 0x1.2094fba21d533p-14, 0x1.19a4c1d88409ep-14, 0x1.12e4c280ca265p-14, 0x1.0c53c51fe9682p-14, 0x1.05f0a61dc3985p-14, 0x1.ff74a5beeff67p-15, 0x1.f35f85ef205bap-15, 0x1.e79fe1bd31377p-15, 0x1.dc33a8f8f8961p-15, 0x1.d118c27d7452dp-15, 0x1.c64d0e29b6f86p-15, 0x1.bbce691a61a3ap-15, 0x1.b19ab1255005fp-15, 0x1.a7afc69e498b4p-15, 0x1.9e0b8d12b2cbcp-15, 0x1.94abeb55dec99p-15, 0x1.8b8ec53141c32p-15, 0x1.82b24324e1fb3p-15, 0x1.7a13f46c59e66p-15, 0x1.71b23ae44295bp-15, 0x1.698ae4051250cp-15, 0x1.619c1369e9abcp-15, 0x1.59e405bf9361bp-15, 0x1.526143b8af0bp-15, 0x1.4b125be10526dp-15, 0x1.43f60149caa38p-15, 0x1.3d0aec452a5a7p-15, 0x1.364fe912e0861p-15, 0x1.2fc3cb6bfcdf6p-15, 0x1.2965657d26f9p-15, 0x1.2333a67bf84ap-15, 0x1.1d2e2a03a55eep-15, 0x1.1750b9f82417bp-15, 0x1.119c15ad8bcd8p-15, 0x1.0c1393a174efep-15, 0x1.06acc8a069e63p-15, 0x1.016ba1ffdbc08p-15, 0x1.f89ec34fb813dp-16, 0x1.eeafb3f8db455p-16, 0x1.e4fc8360928b7p-16, 0x1.db927eafe67d1p-16, 0x1.d262f695f0982p-16, 0x1.c971fd9b3591dp-16, 0x1.c0bbba44f7598p-16, 0x1.b83e59fd8b8b6p-16, 0x1.aff83bd7016a3p-16, 0x1.a7e7d1e0a10ffp-16, 0x1.a00b8120c5005p-16, 0x1.9861a07b6c189p-16, 0x1.90e89dd0ff54cp-16, 0x1.899f235790d38p-16, 0x1.82840f29c687p-16, 0x1.7b963eb7cb41dp-16, 0x1.74d4620d65e4p-16, 0x1.6e3d019e2079ap-16, 0x1.67cea8bc91b35p-16, 0x1.618805cf681e8p-16, 0x1.5b67e8c04b08p-16, 0x1.556d2f3cff105p-16, 0x1.4f96b51f34abp-16, 0x1.49e34c166ccefp-16, 0x1.4451bdd4e78f5p-16, 0x1.3ee0d857bbc1ap-16, 0x1.398f7fa76b5c3p-16, 0x1.345cb1330823p-16, 0x1.2f476b9e958bcp-16, 0x1.2a4ea968ebc18p-16, 0x1.25716c1934bf8p-16, 0x1.20aec5fca3b03p-16, 0x1.1c05d4f1ac382p-16, 0x1.1775b2df0bfe6p-16, 0x1.12fd702cc9394p-16, 0x1.0e9c33def752cp-16, 0x1.0a519a80135ccp-16, 0x1.061cdf1212976p-16, 0x1.01fd4da90c375p-16, 0x1.fbe3df2087a05p-17, 0x1.f3f4a9cf5d1cfp-17, 0x1.ec2bec9f19e98p-17, 0x1.e488b5148d23fp-17, 0x1.dd0904a76aeb3p-17, 0x1.d5ab58d87bba7p-17, 0x1.ce700fdd516dbp-17, 0x1.c754f41a0ddffp-17, 0x1.c0586c5b071d2p-17, 0x1.b97ac40a69148p-17, 0x1.b2bad2f85db5bp-17, 0x1.ac172cdbef0efp-17, 0x1.a58edbb48e358p-17, 0x1.9f212cef133adp-17, 0x1.98cd5b0ff5369p-17, 0x1.92928d35eeb51p-17, 0x1.8c6fd0f44c5abp-17, 0x1.86642bcab953cp-17, 0x1.806eb8e7cff6fp-17, 0x1.7a8eb0e9336d6p-17, 0x1.74c35d2a50c5cp-17, 0x1.6f0ca87f0d349p-17, 0x1.696bbb280b2fbp-17, 0x1.63e07d6aa812dp-17, 0x1.5e5ac5184e0aep-17, 0x1.58ee4558fdd7dp-17, 0x1.5392cca64c58p-17, 0x1.4e48099e54b1ep-17, 0x1.490d74fc88e3ep-17, 0x1.43e2684eb8106p-17, 0x1.3ec676cca04p-17, 0x1.39b92fd16c21bp-17, 0x1.34ba2b3f08481p-17, 0x1.2fc904f6903f7p-17, 0x1.2ae5576f0c00fp-17, 0x1.260ebcc90ab59p-17, 0x1.2144ce93a0d84p-17, 0x1.1c87276da22cdp-17, 0x1.17d567b840492p-17, 0x1.132f3c6bbd9c5p-17, 0x1.0e94ac4ffc64fp-17, 0x1.0a0a0bcbc9afbp-17, 0x1.0579bb0aaf48dp-17, 0x1.0103a6cc154c3p-17, 0x1.f9316a1b37456p-18, 0x1.f06149d5c9a8cp-18, 0x1.e7a8d9b474bedp-18, 0x1.df031c4434394p-18, 0x1.d66f8652212a7p-18, 0x1.cded69679772ap-18, 0x1.c57c234c50928p-18, 0x1.bd0ba8408115ap-18, 0x1.b4d5a7ec5b5a9p-18, 0x1.ac8fd60192aadp-18, 0x1.a4621344dc104p-18, 0x1.9c436429909b3p-18, 0x1.9433e3e315a7ep-18, 0x1.8c33f160e6d2fp-18, 0x1.8437d8c4aaebep-18, 0x1.7c60d13f451d6p-18, 0x1.748d1e9af9ef2p-18, 0x1.6cc7a95462272p-18, 0x1.6510308009a8cp-18, 0x1.5d667b6d2bf21p-18, 0x1.55ca5bc8a00c6p-18, 0x1.4e3bac630a6b5p-18, 0x1.46ba489eb4b3cp-18, 0x1.3f45bb63d5c03p-18, 0x1.37de8dd84ae2dp-18, 0x1.308451dd6bae5p-18, 0x1.2936a6c95595dp-18, 0x1.21f5a67fb0d04p-18, 0x1.1ac123a5def84p-18, 0x1.1398edac72cbdp-18, 0x1.0c7cddccf0a3dp-18, 0x1.056ce2985c0afp-18, 0x1.fcd1e78be8802p-19, 0x1.eee1f86d76f91p-19, 0x1.e109ba6f949ep-19, 0x1.d348f900f915fp-19, 0x1.c59fb04658509p-19, 0x1.b80dd20ad527ap-19, 0x1.aa932d50e6dbbp-19, 0x1.9d2fa70f8c83ep-19, 0x1.8fe90254667f5p-19, 0x1.82b6257f16744p-19, 0x1.758eec3a9893dp-19, 0x1.68895f9dde165p-19, 0x1.5b96e81c220d9p-19, 0x1.4ebcc1963b186p-19, 0x1.41f901a2e07e7p-19, 0x1.356638de8e853p-19, 0x1.28c7a4b5d4357p-19, 0x1.1c344066ec724p-19, 0x1.0fccd400bd016p-19, 0x1.037b7d699e385p-19, 0x1.ee8014642a5d7p-20, 0x1.d635d5e0b23a6p-20, 0x1.be18893a73e89p-20, 0x1.a6284ff098599p-20, 0x1.8e653b2924606p-20, 0x1.76cf5119fb416p-20, 0x1.5f651ff716d44p-20, 0x1.482b1a3b7dd78p-20, 0x1.311ccdd5a8bc4p-20, 0x1.1a3ba773d20c3p-20, 0x1.0387a7a0779d1p-20, 0x1.da01563344dc7p-21, 0x1.ad4d88f8bbf54p-21, 0x1.80f6f7221f712p-21, 0x1.54fafd033df8cp-21, 0x1.29567b8bf566dp-21, 0x1.fc0e6f5d3c89dp-22, 0x1.a6a3d98633655p-22, 0x1.50e09928862b3p-22, 0x1.f943bc214b6b2p-23, 0x1.51f1bb565d8bp-23, 0x1.57f85d7693cb5p-24, 0x1.db7ad565b1c7bp-29, -0x1.3768726dab42p-24, -0x1.3d6be7afeb65fp-23, -0x1.ddaddd9853f22p-23, -0x1.3e43282ca534dp-22, -0x1.8cf9e773be627p-22, -0x1.db018b7826b98p-22, -0x1.14aa803abcf34p-21, -0x1.3a5d3094b27d1p-21, -0x1.6050314f06ca2p-21, -0x1.85dd0b6b08d6ap-21, -0x1.ab0ee6f3a12a5p-21, -0x1.cfe5fb3a66f9ap-21, -0x1.f4629ad629fb4p-21, -0x1.0c3fcbe7299b2p-20, -0x1.1e21a81034329p-20, -0x1.2fd5bd5b691dep-20, -0x1.415c2c78271f6p-20, -0x1.529e6dd18fe64p-20, -0x1.63f1b2d666793p-20, -0x1.74bf8220f6587p-20, -0x1.85a862d46bbc2p-20, -0x1.96485262e12b2p-20, -0x1.a6ba87774e19ep-20, -0x1.b6ff711105067p-20, -0x1.c716e9f1e71d9p-20, -0x1.d700de047a864p-20, -0x1.e6bd57aa7ce3dp-20, -0x1.f64c65b73e994p-20, -0x1.02d70bdc9dba4p-19, -0x1.0a7145a76164ap-19, -0x1.11f4cc8dcdb9fp-19, -0x1.1961ce8a4fadap-19, -0x1.20b83ade3a83ap-19, -0x1.27f81118ce44bp-19, -0x1.2f216e85697d1p-19, -0x1.3634905975c42p-19, -0x1.3d30dddbfc3afp-19, -0x1.441717976803cp-19, -0x1.4ae700d00a6b8p-19, -0x1.51a0ae4696cbp-19, -0x1.5844302203fa8p-19, -0x1.5ed1980ef83c5p-19, -0x1.6548faa9af213p-19, -0x1.6baa74024f59cp-19, -0x1.71f63a646bf01p-19, -0x1.782c947aa3878p-19, -0x1.7e4ce942b5c36p-19, -0x1.845546436337ap-19, -0x1.8a496ab0fee4ep-19, -0x1.902b8a121112dp-19, -0x1.95de93db32056p-19, -0x1.9b8af7d52c981p-19, -0x1.a1493bc0d8ac6p-19, -0x1.a6d0ba3c3daacp-19, -0x1.ac442664ac3d8p-19, -0x1.b1a31d3eb5fe9p-19, -0x1.b6ed4c63b684bp-19, -0x1.bc22a805c40f2p-19, -0x1.c14338e960366p-19, -0x1.c64f14ff4371cp-19, -0x1.cb4656a941a46p-19, -0x1.d0291b8f31b72p-19, -0x1.d4f725aed5792p-19, -0x1.d99a79d8dbaa5p-19, -0x1.de373c9303689p-19, -0x1.e2cbf2ab15e9fp-19, -0x1.e766b13efe0cp-19, -0x1.ebd24b9f3faefp-19, -0x1.f023875c0d8b6p-19, -0x1.f46a09e93b935p-19, -0x1.f8b826bc7eacep-19, -0x1.fcc5f72dd403dp-19, -0x1.005d76c0ea119p-18, -0x1.025709f2c4bd4p-18, -0x1.0447a707d6ef5p-18, -0x1.062ecc46ced6ap-18, -0x1.080cf0d9c38b9p-18, -0x1.09e0fd746f4e6p-18, -0x1.0babfd331efb1p-18, -0x1.0d6dc3c1bf763p-18, -0x1.0f2660b23ba7ep-18, -0x1.10d5cfce8666bp-18, -0x1.127c333f75893p-18, -0x1.141991c5dacd5p-18, -0x1.15adf9fdaee93p-18, -0x1.17397b0f88877p-18, -0x1.18bc2471deee5p-18, -0x1.1a360601da4e7p-18, -0x1.1ba72ff9e41a7p-18, -0x1.1d0fb3088c30dp-18, -0x1.1e6fa0b49425bp-18, -0x1.1fc7027955513p-18, -0x1.2115ed84b152bp-18, -0x1.225c71b9c5f58p-18, -0x1.239aa0f2ad0e7p-18, -0x1.24d0baadf2af7p-18, -0x1.25fe52462e549p-18, -0x1.2723f2dfd65d4p-18, -0x1.28417f60fa21p-18, -0x1.295714b984a91p-18, -0x1.2a64d1c5b5388p-18, -0x1.2b6a97b218341p-18, -0x1.2c684204992b2p-18, -0x1.2d5e6df926077p-18, -0x1.2e4d3d1503aabp-18, -0x1.2f342a769d277p-18, -0x1.301373274d0cep-18, -0x1.30eb50d23a43ap-18, -0x1.31bbd0cc86d26p-18, -0x1.3284fdc9af53ep-18, -0x1.3346e70e52cf2p-18, -0x1.34019e069a8dep-18, -0x1.34b52f1727694p-18, -0x1.3561ab7226cdcp-18, -0x1.36072a1cca79p-18, -0x1.36a5bcfa71d3bp-18, -0x1.373d7755e1b7ap-18, -0x1.37ce759d8eb8dp-18, -0x1.3858aa00fc4b4p-18, -0x1.38db2497deddep-18, -0x1.3955e10d59472p-18, -0x1.39cfc854c673dp-18, -0x1.3a3fd9ecacd36p-18, -0x1.3aa87007f444ap-18, -0x1.3b0bc6e0bee07p-18, -0x1.3b688e1d5a79cp-18, -0x1.3bbf76407240cp-18, -0x1.3c11b0270d7b7p-18, -0x1.3c6011feb984cp-18, -0x1.3ca0683c0c1dap-18, -0x1.3cde8992671e7p-18, -0x1.3d1752bec8e55p-18, -0x1.3d4a6cf3fee8ap-18, -0x1.3d77f35da0816p-18, -0x1.3da0912755ac8p-18, -0x1.3dcfa054a9859p-18, -0x1.3de7587742c1ep-18, -0x1.3df30a0fcc52dp-18, -0x1.3e07bb206efa8p-18, -0x1.3e126d9d13b4ap-18, -0x1.3e136721cacedp-18, -0x1.3e1d0287ea313p-18, -0x1.3e19b74523a6dp-18, -0x1.3e10d47f06559p-18, -0x1.3e03299ebc738p-18, -0x1.3df0b1ad3ab21p-18, -0x1.3dd1aae063e5ap-18, -0x1.3dbd3fa224157p-18, -0x1.3d9c812dd6565p-18, -0x1.3d770f1ec9372p-18, -0x1.3d4cbcb6dbc03p-18, -0x1.3d1e0df320c97p-18, -0x1.3cea94e86f8ddp-18, -0x1.3cb2c082a9182p-18, -0x1.3c7689eb9d576p-18, -0x1.3c35ed0ad2149p-18, -0x1.3bf10f8a6b892p-18, -0x1.3ba797387d393p-18, -0x1.3b5a94e9d5ef9p-18, -0x1.3b091624f522bp-18, -0x1.3ab37b631cfdbp-18, -0x1.3a59ed13f90cfp-18, -0x1.39fc72608b9b9p-18, -0x1.399b13063687fp-18, -0x1.3935dd369ce6dp-18, -0x1.38ccda7be92d1p-18, -0x1.386054fc84568p-18, -0x1.37efc674baf42p-18, -0x1.377bd24b9f555p-18, -0x1.37044a268f3d6p-18, -0x1.3689407b68501p-18, -0x1.360ac4244b057p-18, -0x1.3588e3a39ca26p-18, -0x1.3503acf381a58p-18, -0x1.347b2dfecb28ep-18, -0x1.33ef74d12365cp-18, -0x1.33609040dd797p-18, -0x1.32ce95f46d9adp-18, -0x1.3239c3a233494p-18, -0x1.31ab471a5051fp-18, -0x1.3106961b14b5ap-18, -0x1.3068556229561p-18, -0x1.2fc76fb65ff63p-18, -0x1.2f23c29a819c4p-18, -0x1.2e7d5547edb76p-18, -0x1.2dd4240ebe0e2p-18, -0x1.2d28447d12c26p-18, -0x1.2c79c3db66b8dp-18, -0x1.2bc8b0a03ca72p-18, -0x1.2b1517ff6d561p-18, -0x1.2a5f1e36adb8fp-18, -0x1.29a6a24b23af6p-18, -0x1.28e1f5084cdb8p-18, -0x1.282ec113f5f43p-18, -0x1.276f20226dc6fp-18, -0x1.26ac4ff1bb26ep-18, -0x1.25e8c49569fe8p-18, -0x1.2521dda335a68p-18, -0x1.245a869b4d46ep-18, -0x1.23904c1d85886p-18, -0x1.22c37305e2b06p-18, -0x1.21f4d3826f616p-18, -0x1.21246fa6e90c8p-18, -0x1.2052b97d7d4cp-18, -0x1.1f8a57e134f6dp-18, -0x1.1ea8367a9abdcp-18, -0x1.1dcfb1768e4e6p-18, -0x1.1cf6891aab9b2p-18, -0x1.1c1a2006f6636p-18, -0x1.1b3d4b50ae394p-18, -0x1.1a5ec43d986c6p-18, -0x1.197e8336d498dp-18, -0x1.189c8c53d37fcp-18, -0x1.17b934e84499p-18, -0x1.16d4da4c567p-18, -0x1.15fae1d4de3c3p-18, -0x1.1506b9ffecb6ap-18, -0x1.141d0594cdbb2p-18, -0x1.133275ee43a81p-18, -0x1.124694b57d3f6p-18, -0x1.11531d3b27639p-18, -0x1.106b4f5c7a79bp-18, -0x1.0f7bff2111867p-18, -0x1.0e8a7e2ab7bd5p-18, -0x1.0d94dd53f0e03p-18, -0x1.0ca70a8eed44ap-18, -0x1.0bb4a86e783c5p-18, -0x1.0abd4c63fb4d7p-18, -0x1.09c575dc102e5p-18, -0x1.08cd18683c4bap-18, -0x1.07d8ee6eae7cep-18, -0x1.06dff61827b5ap-18, -0x1.05e642104a6ep-18, -0x1.04ebbb843edbep-18, -0x1.03f064e428eddp-18, -0x1.02f44684a8c8ap-18, -0x1.01f7692828c67p-18, -0x1.00f9d5584f41bp-18, -0x1.fff72624fffc8p-19, -0x1.fdf956fe69b07p-19, -0x1.fbfa8ef6ddab2p-19, -0x1.f9eaac637fc8ep-19, -0x1.f7f911509e123p-19, -0x1.f5f5e0dc4d3cfp-19, -0x1.f3f1be853a2afp-19, -0x1.f1ecf033b828cp-19, -0x1.efe72541cc4dp-19, -0x1.ede071203856p-19, -0x1.ebd8d4fbfc599p-19, -0x1.e9d067a3f2eecp-19, -0x1.e7c72b3922117p-19, -0x1.e5bd39ec92e46p-19, -0x1.e3b2a4e4385bcp-19, -0x1.e1a770dfb5f51p-19, -0x1.df9b8d5ac2014p-19, -0x1.dd8f2be8c70dap-19, -0x1.db825b4c0b69p-19, -0x1.d975391cf376ep-19, -0x1.d767f444cc46cp-19, -0x1.d54d9a62d499fp-19, -0x1.d34bf3b847194p-19, -0x1.d13d2a88f3fb9p-19, -0x1.cf2e66fd8b10cp-19, -0x1.cd2050d0f6aedp-19, -0x1.cb0f4062efaaap-19, -0x1.c8fec5f210c7p-19, -0x1.c6f1486b75652p-19, -0x1.c4e1469af80bp-19, -0x1.c2d16c8f6afc2p-19, -0x1.c0c1f306cee07p-19, -0x1.beb2ab58119fdp-19, -0x1.bca38a575df77p-19, -0x1.ba949276569b2p-19, -0x1.b885c45227ed3p-19, -0x1.b6775e67e60d7p-19, -0x1.b469013e671edp-19, -0x1.b25b7e2fbf3dbp-19, -0x1.b03e05facf017p-19, -0x1.ae409baa66e78p-19, -0x1.ac3379cac9b79p-19, -0x1.aa26f376becfp-19, -0x1.a81b0aefd3237p-19, -0x1.a60faf48c3935p-19, -0x1.a405003ea6b31p-19, -0x1.a1f54cb5229ddp-19, -0x1.9ff021b653a71p-19, -0x1.9de792c64ca8cp-19, -0x1.9bdf3678a4964p-19, -0x1.99d76056e02a1p-19, -0x1.97d03e481eebdp-19, -0x1.95c9d45c1329ap-19, -0x1.93c4289b9d484p-19, -0x1.91bf4415f2627p-19, -0x1.8fbb3b9cbfc13p-19, -0x1.8db8c6a8fd43ep-19, -0x1.8bbf5a23f1274p-19, -0x1.89b4e4f89edf4p-19, -0x1.87ae8b65a02cap-19, -0x1.85b370b8c73eep-19, -0x1.83b47d961c583p-19, -0x1.81b6a70a5c783p-19, -0x1.7fb9ba00007f3p-19, -0x1.7dbddce475a2p-19, -0x1.7bc305386a6d6p-19, -0x1.79c9424d0fffep-19, -0x1.77d0bc863486ap-19, -0x1.75d9ae1309b58p-19, -0x1.73edf98a1ce2fp-19, -0x1.71ed825f5d16ap-19, -0x1.6ff8faa8495d6p-19, -0x1.6e05d3db6b64ep-19, -0x1.6c141b45683cp-19, -0x1.6a23c5012402bp-19, -0x1.6833ff1918f2ep-19, -0x1.66456f949c8bep-19, -0x1.6458683a1489bp-19, -0x1.626cb67b3492bp-19, -0x1.60825b032850ep-19, -0x1.5e995a3b927dcp-19, -0x1.5cb1b7f69215dp-19, -0x1.5acb89b682a56p-19, -0x1.58de8b13d07d1p-19, -0x1.5703d07702d25p-19, -0x1.5520810b18642p-19, -0x1.5340d441f76a2p-19, -0x1.5162c6c3cd979p-19, -0x1.4f817413f4d6dp-19, -0x1.4da2bad5240fbp-19, -0x1.4bca51c470c34p-19, -0x1.49f27acbbd34ap-19, -0x1.480b01aee096dp-19, -0x1.4643a1a66eff3p-19, -0x1.446dfb5d5b459p-19, -0x1.429a3d72f6adcp-19, -0x1.40c7e4a229862p-19, -0x1.3ef74ad9322fbp-19, -0x1.3d284eb0ab1cfp-19, -0x1.3b5a2804bff97p-19, -0x1.398df3b43ebacp-19, -0x1.37c472bd4637dp-19, -0x1.35fc1964be907p-19, -0x1.34352ff719469p-19, -0x1.326ea69db877bp-19, -0x1.30aa949d559e1p-19, -0x1.2ee1970ff9d74p-19, -0x1.2d2764467ee0cp-19, -0x1.2b6853a52736ap-19, -0x1.29a43e7e57eeep-19, -0x1.27f0d731c4363p-19, -0x1.263458a0af0bp-19, -0x1.247ba5204b82p-19, -0x1.22c4b7311544ep-19, -0x1.21148bf008a96p-19, -0x1.1f5c0c59863a8p-19, -0x1.1da8164212403p-19, -0x1.1bf5d40c9c37p-19, -0x1.1a4afb8ea0afbp-19, -0x1.189dead4b3ac1p-19, -0x1.16f2b629cfd3ep-19, -0x1.1549384bbee5dp-19, -0x1.139fb0c5b1277p-19, -0x1.11fb674f9f002p-19, -0x1.105716703682dp-19, -0x1.0eb47e324e986p-19, -0x1.0d13a0a9d2cfep-19, -0x1.0b74617c36c8dp-19, -0x1.09d71ec1a78abp-19, -0x1.083b7116aefa2p-19, -0x1.06a182be4cff5p-19, -0x1.050964945f93p-19, -0x1.0372fd02bba91p-19, }}, 
      std::vector<double>(1100, 0.0), 
      {{-0x1.987074db58b52p-9, -0x1.c57a631f457b1p-7, -0x1.054a5fe0d5313p-5, -0x1.b5fc12400103cp-5, -0x1.2f57ef315d31bp-4, -0x1.6fe9bc0fa8c0dp-4, -0x1.9177682310006p-4, -0x1.8d8bae732cfd4p-4, -0x1.61e2e4f5d38b6p-4, -0x1.0f8876ff1dd24p-4, -0x1.33d578fb2492bp-5, -0x1.8169ae68a7f06p-10, 0x1.4c9dcc432454p-5, 0x1.64ea52fffa209p-4, 0x1.17dd71c1f1e85p-3, 0x1.80872055ab38bp-3, 0x1.e9e036e2d2824p-3, 0x1.28d59ce34ee2dp-2, 0x1.5b026139604dp-2, 0x1.8ab1b11936ce7p-2, 0x1.b749c62128a38p-2, 0x1.e058750ddd82cp-2, 0x1.02c78c5af476p-1, 0x1.135f126df357p-1, 0x1.21e85717f5bd9p-1, 0x1.2e640e520f2f4p-1, 0x1.38dc1447a600cp-1, 0x1.41619a9c8bb4bp-1, 0x1.480b88854f8cp-1, 0x1.4cf50d7244672p-1, 0x1.503c64b0ce069p-1, 0x1.5201c716417abp-1, 0x1.526686bf64e79p-1, 0x1.518c51774f943p-1, 0x1.4f94960cb42c3p-1, 0x1.4ca00896b853fp-1, 0x1.48ce417200222p-1, 0x1.443d73cf1731cp-1, 0x1.3f0a3825a70d9p-1, 0x1.394f679a596cdp-1, 0x1.3326054e9fa94p-1, 0x1.2ca5335d27179p-1, 0x1.25e230bbd3523p-1, 0x1.1ef05dd8850f3p-1, 0x1.17e14dca07258p-1, 0x1.10c4ce0ea692bp-1, 0x1.09a8fea6d3972p-1, 0x1.029a6a3fcd0e9p-1, 0x1.f748384d43fc7p-2, 0x1.e99f66ac85ba5p-2, 0x1.dc4b0a2085cb1p-2, 0x1.cf59516ad5439p-2, 0x1.c2d6483566ab5p-2, 0x1.b6cbcbf8e4f1bp-2, 0x1.ab41ffe41498ep-2, 0x1.a03f35b6e380ap-2, 0x1.95c8408e6f94fp-2, 0x1.8be09ba067bf1p-2, 0x1.828a6a3c9899fp-2, 0x1.79c6c73ad1b7dp-2, 0x1.7195d47d417dfp-2, 0x1.69f6c3a24f86fp-2, 0x1.62e80c850640cp-2, 0x1.5c6785f25acf8p-2, 0x1.56726a26ca7dap-2, 0x1.5105747b8c6f3p-2, 0x1.4c1cf9d9ff5cfp-2, 0x1.47b4f8bb95003p-2, 0x1.43c926da4a636p-2, 0x1.4054f70b7cda7p-2, 0x1.3d53b708ba022p-2, 0x1.3ac08cf3f1539p-2, 0x1.38968aa4601ebp-2, 0x1.36d0b415cfea1p-2, 0x1.3569ffedd22ep-2, 0x1.345d6b6bd8f4p-2, 0x1.33a5f97596245p-2, 0x1.333eb734266a1p-2, 0x1.3322c5cc2fb8dp-2, 0x1.334d5ca0030a5p-2, 0x1.33b9c7b7f4e1fp-2, 0x1.34637279691d1p-2, 0x1.3545e696d3c2p-2, 0x1.365ccdd6ca37p-2, 0x1.37a3f38215461p-2, 0x1.3917470ba613cp-2, 0x1.3ab2ddf16aa58p-2, 0x1.3c72f02d8301cp-2, 0x1.3e53dc2ceaa69p-2, 0x1.405226be74b6fp-2, 0x1.426a79ee31541p-2, 0x1.4499a538378ffp-2, 0x1.46dc9d160a7fp-2, 0x1.49307a3eb0d7cp-2, 0x1.4b927a082163ap-2, 0x1.4dfffd4cb3e2dp-2, 0x1.50768652dffbfp-2, 0x1.52f3b97d41dbfp-2, 0x1.55755c061d3adp-2, 0x1.57f952c3e6aacp-2, 0x1.5a7da13c1e47dp-2, 0x1.5d0068ace456ap-2, 0x1.5f7fe70f6062p-2, 0x1.61fa75e014cp-2, 0x1.646e892983de8p-2, 0x1.66daaedcce88fp-2, 0x1.693d8d589cfc5p-2, 0x1.6b95e24ff6ac3p-2, 0x1.6de2821f2da27p-2, 0x1.702256c1e4613p-2, 0x1.72545ecb10ap-2, 0x1.7477ac76b4265p-2, 0x1.768b64cef7f6ep-2, 0x1.788ebebb1c3e5p-2, 0x1.7a81018007e24p-2, 0x1.7c61858962477p-2, 0x1.7e2fb2b69062p-2, 0x1.7feafef1e955cp-2, 0x1.8192ef55146abp-2, 0x1.8327145deadfep-2, 0x1.84a70c300f1f8p-2, 0x1.8612805bec203p-2, 0x1.8769271e18289p-2, 0x1.88aabea05f661p-2, 0x1.89d7130e0d49p-2, 0x1.8aedf673db842p-2, 0x1.8bef462cb3dbap-2, 0x1.8cdae7394d7fdp-2, 0x1.8db0c77e73b33p-2, 0x1.8e70dc571c3d4p-2, 0x1.8f1b20cf9f944p-2, 0x1.8faf9902a82bcp-2, 0x1.902e4f8d51a85p-2, 0x1.909753878bc21p-2, 0x1.90eab94e08e85p-2, 0x1.91289cd1a8911p-2, 0x1.91511f0ef7f66p-2, 0x1.91646484e217p-2, 0x1.916295948788fp-2, 0x1.914bdfd07b507p-2, 0x1.9120758b98f1bp-2, 0x1.90e08c8685ba7p-2, 0x1.908c5d28078afp-2, 0x1.902422d1c85b4p-2, 0x1.8fa81c7ea326bp-2, 0x1.8f188c513723cp-2, 0x1.8e75b72a4822ap-2, 0x1.8dbfe417a7babp-2, 0x1.8cf75bee604fcp-2, 0x1.8c1c69ad217a2p-2, 0x1.8b2f5a9d64bd3p-2, 0x1.8a307dd7c9aaap-2, 0x1.89202412beb21p-2, 0x1.87fe9f8c467efp-2, 0x1.86cc43a5af416p-2, 0x1.858964cb6a256p-2, 0x1.843658a68d9d6p-2, 0x1.82d375fae5ec1p-2, 0x1.8161146065ecdp-2, 0x1.7fdf8c2807711p-2, 0x1.7e4f3655381e7p-2, 0x1.7cb06c70aa214p-2, 0x1.7b03884e9a4c3p-2, 0x1.7948e41db6859p-2, 0x1.7780da68d5951p-2, 0x1.75abc5fad9bccp-2, 0x1.73ca01ab18119p-2, 0x1.71dbe84f824bdp-2, 0x1.6fe1d4b6cb7cp-2, 0x1.6ddc219a78586p-2, 0x1.6bcb297e8070bp-2, 0x1.69af4698c15f2p-2, 0x1.6788d2d024331p-2, 0x1.655827b9cc9a3p-2, 0x1.631d9e848a2c6p-2, 0x1.60d98fe0db6e1p-2, 0x1.5e8c53eed4786p-2, 0x1.5c36423b3c8a9p-2, 0x1.59d7b1b1ae9ep-2, 0x1.5770f89a189a7p-2, 0x1.55026c80de029p-2, 0x1.528c622db5123p-2, 0x1.500f2d9bf3fabp-2, 0x1.4d8b21f71486p-2, 0x1.4b0091916d95p-2, 0x1.486fcdd7b38b8p-2, 0x1.45d9274697038p-2, 0x1.433ced64903a3p-2, 0x1.409b6ebb882eap-2, 0x1.3df4f8d419036p-2, 0x1.3b49d8309fc0fp-2, 0x1.389a58463bb13p-2, 0x1.35e6c3750ae5p-2, 0x1.332f6304bbea1p-2, 0x1.30747f2060a0ep-2, 0x1.2db65ed66651ap-2, 0x1.2af548104e418p-2, 0x1.28317f8f03279p-2, 0x1.256b48e8c8f7dp-2, 0x1.22a2e68620673p-2, 0x1.1fd8999f1a24ap-2, 0x1.1d0ca238d52c7p-2, 0x1.1a3f3f2558f58p-2, 0x1.1770ae027e9b4p-2, 0x1.14a12b3827e87p-2, 0x1.11d0f1f765a39p-2, 0x1.0f003c38ad47cp-2, 0x1.0c2f42ba16a88p-2, 0x1.095e3d0211f53p-2, 0x1.068d61602e128p-2, 0x1.03bce4ebf2605p-2, 0x1.00ecfb8297fbap-2, 0x1.fc3baf99a5224p-3, 0x1.f69f56706d44fp-3, 0x1.f1054c01144a5p-3, 0x1.eb6dee58fe3ebp-3, 0x1.e5d999209b09cp-3, 0x1.e048a59ff76f1p-3, 0x1.dabb6abf93adep-3, 0x1.d5323d0bebbe2p-3, 0x1.cfad6ebad8c85p-3, 0x1.ca2d4fb18d6d1p-3, 0x1.c4b22d898bed1p-3, 0x1.bf3c5394cd9b6p-3, 0x1.b9cc0ae18b51p-3, 0x1.b4619a3e38e42p-3, 0x1.aefd464045972p-3, 0x1.a99f514b623a4p-3, 0x1.a447fb988fe38p-3, 0x1.9ef7833b99266p-3, 0x1.99ae24274dc15p-3, 0x1.946c183476f28p-3, 0x1.8f31972928278p-3, 0x1.89fed6bb92e8ap-3, 0x1.84d40aa53afcp-3, 0x1.7fb1649d6f1acp-3, 0x1.7a97146894151p-3, 0x1.758547dcf5279p-3, 0x1.707c2adfa70e2p-3, 0x1.6b7be77fe7dccp-3, 0x1.6684a5eb64033p-3, 0x1.61968c8407d1bp-3, 0x1.5cb1bfe1f5bbp-3, 0x1.57d662dba77cp-3, 0x1.5304968ecd426p-3, 0x1.4e3c7a5e0a036p-3, 0x1.497e2c09de688p-3, 0x1.44c9c7ab74345p-3, 0x1.401f67c0d7074p-3, 0x1.3b7f2536c2c79p-3, 0x1.36e9176e4a966p-3, 0x1.325d544437928p-3, 0x1.2ddbf018b7a71p-3, 0x1.2964fdd718aa7p-3, 0x1.24f88effe0a92p-3, 0x1.2096b3ad39131p-3, 0x1.1c3f7a9e60b61p-3, 0x1.17f2f13df2c9ep-3, 0x1.13b123a7e6bc5p-3, 0x1.0f7a1cb00257p-3, 0x1.0b4de5ef2bfddp-3, 0x1.072c87c304a69p-3, 0x1.0316095e1b342p-3, 0x1.fe14e195f15a7p-4, 0x1.f61385e2813a5p-4, 0x1.ee28073f3ac69p-4, 0x1.e6526b24cc7cfp-4, 0x1.de92b4f56697dp-4, 0x1.d6e8e60b718a6p-4, 0x1.cf54fdc7ce9fdp-4, 0x1.c7d6f99eae334p-4, 0x1.c06ed526186f5p-4, 0x1.b91c8a2410048p-4, 0x1.b1e0109b81029p-4, 0x1.aab95ed8e953bp-4, 0x1.a3a8697f1b9afp-4, 0x1.9cad239444ec5p-4, 0x1.95c77e8f0ce83p-4, 0x1.8ef76a6387ecbp-4, 0x1.883cd58eefc88p-4, 0x1.8197ad297f0f4p-4, 0x1.7b07dce5733ebp-4, 0x1.748d4f29c05d2p-4, 0x1.6e27ed13547efp-4, 0x1.67d79e83b000cp-4, 0x1.619c4a2c60a8p-4, 0x1.5b75d59a71db1p-4, 0x1.556425436527cp-4, 0x1.4f671c8c73ff4p-4, 0x1.497e9dd2e2d45p-4, 0x1.43aa8a831c20ap-4, 0x1.3deac30fea0bfp-4, 0x1.383f2708ce58cp-4, 0x1.32a7952ff068bp-4, 0x1.2d23eb58b6344p-4, 0x1.27b406a100a57p-4, 0x1.2257c362f7d12p-4, 0x1.1d0efd42cf8f4p-4, 0x1.17d98f3799429p-4, 0x1.12b753939237p-4, 0x1.0da8240c4dc2p-4, 0x1.08abd9c2e613p-4, 0x1.03c24d4c3bca2p-4, 0x1.fdd6ad71032f3p-5, 0x1.f44d9b39828e8p-5, 0x1.eae912456d3e9p-5, 0x1.e1a8bfe26dd81p-5, 0x1.d88c50c5d72fdp-5, 0x1.cf9370b2c21c7p-5, 0x1.c6bdcb23dddd9p-5, 0x1.be0b0a46dec2cp-5, 0x1.b57ad86501f1dp-5, 0x1.ad0cdeda6cb55p-5, 0x1.a4c0c6a24c5c8p-5, 0x1.9c963849c4329p-5, 0x1.948cdbfc9b40dp-5, 0x1.8ca45990ba12bp-5, 0x1.84dc58907f2a9p-5, 0x1.7d348046ee1a7p-5, 0x1.75ac77c1a9771p-5, 0x1.6e43e5ef2a7adp-5, 0x1.66fa71928434fp-5, 0x1.5fcfc15c925e7p-5, 0x1.58c37be5a7ed1p-5, 0x1.51d547d12b58ep-5, 0x1.4b04cbbadf33bp-5, 0x1.4451ae5368ad5p-5, 0x1.3dbb96653be17p-5, 0x1.37422ace4ce14p-5, 0x1.30e5129463d21p-5, 0x1.2aa3f4eb0ac83p-5, 0x1.247e793977c26p-5, 0x1.1e744721f0876p-5, 0x1.188506894f956p-5, 0x1.12b05f9e2633cp-5, 0x1.0cf5fadf11bf1p-5, 0x1.07558120951b1p-5, 0x1.01ce9b92af4bdp-5, 0x1.f8c1e78cceffbp-6, 0x1.ee186766be2cap-6, 0x1.e3a00b7a0c1acp-6, 0x1.d958296ed4387p-6, 0x1.cf4017d7bd7dep-6, 0x1.c5572e3bb4c6bp-6, 0x1.bb9cc51f8834fp-6, 0x1.b210360f1f5c6p-6, 0x1.a8b0dba5cbe9dp-6, 0x1.9f7e11962c842p-6, 0x1.967734b14ede4p-6, 0x1.8d9ba2ed8514bp-6, 0x1.84eabb6c2462bp-6, 0x1.7c63de7e0fa02p-6, 0x1.74066daa2e53fp-6, 0x1.6bd1cbb544535p-6, 0x1.63c55ca7de337p-6, 0x1.5be085ce09836p-6, 0x1.5422ade9bc4fep-6, 0x1.4c8b3cb416d0ap-6, 0x1.45199b83566ccp-6, 0x1.3dcd34fed1412p-6, 0x1.36a575324f619p-6, 0x1.2fa1c963e805fp-6, 0x1.28c1a04e5d873p-6, 0x1.22046a236c77ep-6, 0x1.1b699863aebb7p-6, 0x1.14f09e18ff407p-6, 0x1.0e98efaa20b5bp-6, 0x1.086202e855462p-6, 0x1.024b4f1d43089p-6, 0x1.f8a89a07c873cp-7, 0x1.ecf8ed96f32e5p-7, 0x1.e186902e852e7p-7, 0x1.d6507c096ff19p-7, 0x1.cb55ae48bb74cp-7, 0x1.c09526fc1b1e4p-7, 0x1.b60de92561926p-7, 0x1.abbefab77dbe7p-7, 0x1.a1a76496374afp-7, 0x1.97c63295709ccp-7, 0x1.8e1a7377af104p-7, 0x1.84a338ee3b57cp-7, 0x1.7b5f979787effp-7, 0x1.724ea6ff9ee64p-7, 0x1.696f819df5ef1p-7, 0x1.60c144d5756f2p-7, 0x1.584310f560b34p-7, 0x1.4ff40936d5952p-7, 0x1.47d353b869659p-7, 0x1.3fe0197690127p-7, 0x1.38198644b8fe2p-7, 0x1.307ec8bd5ee09p-7, 0x1.290f123599901p-7, 0x1.21c996f1796bep-7, 0x1.1aad8dec06b6cp-7, 0x1.13ba30cabeaf9p-7, 0x1.0ceebc1f119fdp-7, 0x1.064a6f456557bp-7, 0x1.ff99196ce147p-8, 0x1.f2e8b282c2903p-8, 0x1.e68239a0e2b03p-8, 0x1.da6443d75e017p-8, 0x1.ce8d6b77fcbeap-8, 0x1.c2fc4ff606c57p-8, 0x1.b7af95da0875ep-8, 0x1.aca5e66539ffep-8, 0x1.a1ddeff056934p-8, 0x1.975665f9f6779p-8, 0x1.8d0e00f652752p-8, 0x1.83037eed9371ep-8, 0x1.7935a2e1344e1p-8, 0x1.6fa334f68ef94p-8, 0x1.664b028053f23p-8, 0x1.5d2bddc8b3028p-8, 0x1.54449d9602418p-8, 0x1.4b941d51c508bp-8, 0x1.43193caaf0c5dp-8, 0x1.3ad2dfacf359p-8, 0x1.32bfeef58c516p-8, 0x1.2adf57f44090cp-8, 0x1.23300d2f59b21p-8, 0x1.1bb106775b587p-8, 0x1.146140ef512a8p-8, 0x1.0d3fbed4fe4e9p-8, 0x1.064b874529536p-8, 0x1.ff074a1e7ff57p-9, 0x1.f1ce4d3ef7915p-9, 0x1.e4ea3a590a306p-9, 0x1.d85937d948f82p-9, 0x1.cc1970cd46668p-9, 0x1.c029154505815p-9, 0x1.b4865be0f6c5cp-9, 0x1.a92f83eb2231cp-9, 0x1.9e22d79c47cc5p-9, 0x1.935eae16a526ap-9, 0x1.88e16cb18c95ep-9, 0x1.7ea9872a737c6p-9, 0x1.74b57e5d91ad3p-9, 0x1.6b03ddb606296p-9, 0x1.619337e1e6315p-9, 0x1.5862234bf5d5cp-9, 0x1.4f6f36c445718p-9, 0x1.46b907181fdb1p-9, 0x1.3e3e2672ba5b4p-9, 0x1.35fd23cd8e88dp-9, 0x1.2df48c1676067p-9, 0x1.2622f98e10ec1p-9, 0x1.1e870891b2945p-9, 0x1.171f5ce314d0ap-9, 0x1.0feab29d6ae8fp-9, 0x1.08e7d56e22b9bp-9, 0x1.0215a108b5969p-9, 0x1.f6e5ff66a37e4p-10, 0x1.e9fdcf8e6399p-10, 0x1.dd70aadf0e0cep-10, 0x1.d13c8dfe74b0bp-10, 0x1.c55f710926befp-10, 0x1.b9d741a9f19a9p-10, 0x1.aea1e2ca243eap-10, 0x1.a3bd2ed0126bdp-10, 0x1.9926fd4363efcp-10, 0x1.8edd2aa53188ap-10, 0x1.84dda0dfb3acfp-10, 0x1.7b265ed808ea8p-10, 0x1.71b57db803491p-10, 0x1.688932e40a5b8p-10, 0x1.5f9fce44e5f5ap-10, 0x1.56f7b5562ff9p-10, 0x1.4e8f5c1b1a9ccp-10, 0x1.46653d67ff6ep-10, 0x1.3e77d4336f7ap-10, 0x1.36c5973ab28ebp-10, 0x1.2f4cf7256d02cp-10, 0x1.280c60436e8d5p-10, 0x1.21023e3d2566p-10, 0x1.1a2d01b8a2d0ep-10, 0x1.138b269a12996p-10, 0x1.0d1b39dbe8162p-10, 0x1.06dbddf6e4586p-10, 0x1.00cbccde3537bp-10, 0x1.f5d3ae4c451a2p-11, 0x1.ea69bffddc402p-11, 0x1.df57ad91f7846p-11, 0x1.d49b5d9de5d21p-11, 0x1.ca32b18b5fa0ep-11, 0x1.c01b78231ed32p-11, 0x1.b653687757ff9p-11, 0x1.acd822b5dc239p-11, 0x1.a3a7370002ee1p-11, 0x1.9abe30439caddp-11, 0x1.921aa0f81fdabp-11, 0x1.89ba2fbfd1bcdp-11, 0x1.819aa24d7c9dcp-11, 0x1.79b9e57667363p-11, 0x1.721611e9d12c7p-11, 0x1.6aad6b7f72e3p-11, 0x1.637e535d53dfp-11, 0x1.5c87645f69511p-11, 0x1.55c742771fc37p-11, 0x1.4f3c96d7a93dep-11, 0x1.48e61a3af93a2p-11, 0x1.42c2836ee753bp-11, 0x1.3cd073d51c93dp-11, 0x1.370e7d91f0d88p-11, 0x1.317b1f25cae82p-11, 0x1.2c14ca18a07f5p-11, 0x1.26d9e97b29eaep-11, 0x1.21c8ee1ff4af7p-11, 0x1.1ce05d15387b6p-11, 0x1.181ed8624d3eap-11, 0x1.1383201ccfbffp-11, 0x1.0f0c0a328790ap-11, 0x1.0ab872e5f93c7p-11, 0x1.06872bdb6b70cp-11, 0x1.0276f15c36837p-11, 0x1.fd0cd78eb508bp-12, 0x1.f5687cb040654p-12, 0x1.edfe3d00a3649p-12, 0x1.e6cbd561776eep-12, 0x1.dfcf6d84e47bbp-12, 0x1.d907906ee8c56p-12, 0x1.d27306e3057bp-12, 0x1.cc10a3685a4e3p-12, 0x1.c5df1762d91a4p-12, 0x1.bfdcdb50c905fp-12, 0x1.ba08467d3acd1p-12, 0x1.b45fc69c7456fp-12, 0x1.aee2017123c08p-12, 0x1.a98df64772157p-12, 0x1.a462f6555dap-12, 0x1.9f606ceee111ep-12, 0x1.9a85916141672p-12, 0x1.95d11fe62105p-12, 0x1.91412e1f4183dp-12, 0x1.8cd3303502548p-12, 0x1.8884363a1eae3p-12, 0x1.84514f6fb64aep-12, 0x1.8037f385559c5p-12, 0x1.7c364f483919cp-12, 0x1.784b5a95bf112p-12, 0x1.7476b20ca1573p-12, 0x1.70b8475e77e34p-12, 0x1.6d100b727d515p-12, 0x1.697db445b33d2p-12, 0x1.6600b0438856bp-12, 0x1.6298431eb255ep-12, 0x1.5f43b84a9bcc8p-12, 0x1.5c02915ec07a4p-12, 0x1.58d49a7cfe36fp-12, 0x1.55b9dadceb01p-12, 0x1.52b2677520087p-12, 0x1.4fbe288334b2ep-12, 0x1.4cdca4b710c13p-12, 0x1.4a0cdddf423d4p-12, 0x1.474d4d9be75c1p-12, 0x1.449c01f3771d9p-12, 0x1.41f6e8ce3e206p-12, 0x1.3f5c1d1bfa1a2p-12, 0x1.3cca2d761ebfp-12, 0x1.3a402d78aeebfp-12, 0x1.37bda6130406dp-12, 0x1.354266bad68e6p-12, 0x1.32ce5fc3f6c1bp-12, 0x1.30618f104c01bp-12, 0x1.2dfbf8a76a2ebp-12, 0x1.2b9d9ecb2a1edp-12, 0x1.29467b5ab2a92p-12, 0x1.26f66e5e4054cp-12, 0x1.24ad6b6dfecf2p-12, 0x1.226b718e6f15cp-12, 0x1.203046016bed2p-12, 0x1.1dfbdb858054ap-12, 0x1.1bce12c42c6c5p-12, 0x1.19a6e48488e3ep-12, 0x1.17859da3c0455p-12, 0x1.156a600983dc8p-12, 0x1.1353f1b4f2664p-12, 0x1.1141ab246ca81p-12, 0x1.0f328fc235f69p-12, 0x1.0d25dd846288ap-12, 0x1.0b1b146028fb9p-12, 0x1.0911f2ca711a8p-12, 0x1.070a5792ec792p-12, 0x1.05041e6cab444p-12, 0x1.02ff1220b5917p-12, 0x1.00fafaf6d333ep-12, 0x1.fdef6c92f00dap-13, 0x1.f9ea8d8224888p-13, 0x1.f5e7b85dcf8b5p-13, 0x1.f1e7921617493p-13, 0x1.edeaa80cde798p-13, 0x1.e9f0faa7738ap-13, 0x1.e5f9ef5f9e784p-13, 0x1.e204d16523b1ap-13, 0x1.de115697bf47cp-13, 0x1.da1f95a18d876p-13, 0x1.d62f97706b0fbp-13, 0x1.d2411c1d1038cp-13, 0x1.ce53c1164f05p-13, 0x1.ca67383ea08fp-13, 0x1.c67b4d3ad6a53p-13, 0x1.c28fc575fe93bp-13, 0x1.bea442e714d9fp-13, 0x1.bab842b0a529fp-13, 0x1.b6cb46ea8bd4cp-13, 0x1.b2dd244d7e434p-13, 0x1.aeee2efaf673cp-13, 0x1.aafef39a3c88ap-13, 0x1.a70f72c8197dp-13, 0x1.a31efa42e4942p-13, 0x1.9f2c785da7929p-13, 0x1.9b37bcc6c3421p-13, 0x1.9741ebfab3cbep-13, 0x1.934c5eb94341fp-13, 0x1.8f57532d8bb64p-13, 0x1.8b61ee877f6d6p-13, 0x1.876b6c3af9c29p-13, 0x1.8373ebac1e39cp-13, 0x1.7f7beb7c2fe2dp-13, 0x1.7b838bf9887afp-13, 0x1.778a81e99a6acp-13, 0x1.739074acb1bfcp-13, 0x1.6f954b2326297p-13, 0x1.6b9935c0216e3p-13, 0x1.679c925178f2cp-13, 0x1.639fc4300cdddp-13, 0x1.5fa310c34e929p-13, 0x1.5ba68730617cep-13, 0x1.57a9ecebb6ee6p-13, 0x1.53acc9648cb4cp-13, 0x1.4faed4caf87c4p-13, 0x1.4bb0821650775p-13, 0x1.47b2b9af0fd3fp-13, 0x1.43b5b4df4177p-13, 0x1.3fb87003f709bp-13, 0x1.3bb993b8effd1p-13, 0x1.37ba3fa3799f7p-13, 0x1.33bbc66d7dbecp-13, 0x1.2fbe955e4fee2p-13, 0x1.2bc1e36ec1a21p-13, 0x1.27c53bcf9f4e6p-13, 0x1.23c9151050818p-13, 0x1.1fcde50e7282ap-13, 0x1.1bd39f68f8af1p-13, 0x1.17da12525813dp-13, 0x1.13e134594a2dfp-13, 0x1.0fe9208073d4dp-13, 0x1.0bf1fce4e8ad9p-13, 0x1.07fbee02b3d57p-13, 0x1.040716ecd4231p-13, 0x1.00139dfed49d6p-13, 0x1.f8435db8fa2a3p-14, 0x1.f062fd351934ap-14, 0x1.e8861611a61b3p-14, 0x1.e0ad81e5db96fp-14, 0x1.d8d934e4ebf45p-14, 0x1.d108caddc903fp-14, 0x1.c93c1761c5243p-14, 0x1.c173a6d67e54bp-14, 0x1.b9b0481843722p-14, 0x1.b1f158c8cfcc7p-14, 0x1.aa360b672d668p-14, 0x1.a27e9416b3a8bp-14, 0x1.9acf923fe7059p-14, 0x1.932407074dc27p-14, 0x1.8b7e34a0a54f5p-14, 0x1.83de49bb178fcp-14, 0x1.7c44829b17de7p-14, 0x1.74b0c19d1494bp-14, 0x1.6d22f26e6af59p-14, 0x1.659b9236c4154p-14, 0x1.5e1a999b48d5cp-14, 0x1.56a058a72d066p-14, 0x1.4f2cffe2c4cc6p-14, 0x1.47c0bb7346ef5p-14, 0x1.405bb53d7d44ap-14, 0x1.38fe15524f5b1p-14, 0x1.31a8022b8da8cp-14, 0x1.2a59b45151c4ep-14, 0x1.23132d1a3467cp-14, 0x1.1bd4a3b9af8fep-14, 0x1.149e4f168d245p-14, 0x1.0d704c6484e8cp-14, 0x1.064acc88acb08p-14, 0x1.fe5c0e63a394dp-15, 0x1.f0344366d42b4p-15, 0x1.e21e54d51bae2p-15, 0x1.d41a5233a70c1p-15, 0x1.c628364f98462p-15, 0x1.b848432e96412p-15, 0x1.aa7aebc5a202p-15, 0x1.9cc0d6646e9b4p-15, 0x1.8f1a5351ea1f1p-15, 0x1.818746bc8517ep-15, 0x1.7407c75a38263p-15, 0x1.669c2d01872b8p-15, 0x1.5944a2e014561p-15, 0x1.4c014e1ee5c1ap-15, 0x1.3ed2ac1447bb9p-15, 0x1.31b8c0604cc33p-15, 0x1.24b3cfb9cdd6fp-15, 0x1.17c4021bb3f0fp-15, 0x1.0aea11b561a3p-15, 0x1.fc49eac24b873p-16, 0x1.e2ea9a9fbe50ep-16, 0x1.c9b7d1bfe2c1p-16, 0x1.b0b10b167e52ep-16, 0x1.97d694fa52da3p-16, 0x1.7f28c1c1542adp-16, 0x1.66a7de2549318p-16, 0x1.4e54335ca484dp-16, 0x1.362e07a929be4p-16, 0x1.1e359e7d1e727p-16, 0x1.066b3103375a2p-16, 0x1.dd9e28b953ad7p-17, 0x1.aec2d8847be53p-17, 0x1.8044f03d15715p-17, 0x1.5224d9a9008afp-17, 0x1.2462f4cfaafc3p-17, 0x1.edff4ab6c9642p-18, 0x1.93f7024357c17p-18, 0x1.3aad5b4acf90dp-18, 0x1.c4451b2d6f6b7p-19, 0x1.14ae2e341fec5p-19, 0x1.9a87153602f9cp-21, -0x1.17efdcd45e78ap-21, -0x1.e20fb06218073p-20, -0x1.9a922494621b1p-19, -0x1.214c200e33bc2p-18, -0x1.748c834662cf3p-18, -0x1.c709cdd0634cfp-18, -0x1.0c61dd00e545cp-17, -0x1.34dce3f94f9c8p-17, -0x1.5cf5f6b0d6581p-17, -0x1.84acfad60498fp-17, -0x1.ac021f1f9cc53p-17, -0x1.d2ffc4cd347c4p-17, -0x1.f983a5a1c3bc7p-17, -0x1.0fd918934b439p-16, -0x1.22bec5a8befa1p-16, -0x1.35734d87d66c5p-16, -0x1.47f699c9d927p-16, -0x1.5a4889a7722bcp-16, -0x1.6c69919d465a8p-16, -0x1.7e58fff2db502p-16, -0x1.9017e90ff25d8p-16, -0x1.a1a5a9a423ff9p-16, -0x1.b301f1dead5c5p-16, -0x1.c42de78dca807p-16, -0x1.d5280cc71084p-16, -0x1.e5f1b2213a422p-16, -0x1.f68ad8e7bc976p-16, -0x1.0379bb9fd8f73p-15, -0x1.0b95818b5bb25p-15, -0x1.13990226d3ec2p-15, -0x1.1b845ee3fd954p-15, -0x1.23579af14d20ep-15, -0x1.2b12be043646ep-15, -0x1.32b5d570d58ecp-15, -0x1.3a40f0b7d69fp-15, -0x1.41b4210fdc363p-15, -0x1.490f75c13415dp-15, -0x1.50530026de77cp-15, -0x1.577ecf6d72af5p-15, -0x1.5e92f60edc828p-15, -0x1.658f8dbf78d32p-15, -0x1.6c749fd75428bp-15, -0x1.7342544f2bedp-15, -0x1.79f8bc4cb32ap-15, -0x1.8097e88f5161cp-15, -0x1.871fe41f4a6d1p-15, -0x1.8d90cdf57069dp-15, -0x1.93eae1fd37b57p-15, -0x1.9a2dee8be79b7p-15, -0x1.a05a37f16045fp-15, -0x1.a66fec2da6a87p-15, -0x1.ac6ec2874c318p-15, -0x1.b2573bd7bf13ep-15, -0x1.b82976a7441e2p-15, -0x1.bde585dc92114p-15, -0x1.c38aef0af825bp-15, -0x1.c91a8a25c7c2bp-15, -0x1.ce94e163f46f2p-15, -0x1.d3f8cad709f5bp-15, -0x1.d94713ff27984p-15, -0x1.de7fcd39c57cfp-15, -0x1.e3a2d4b2b7b7ap-15, -0x1.e8b0a8b9e34bcp-15, -0x1.eda907835a8a9p-15, -0x1.f28c47b7ade93p-15, -0x1.f75aa998d1275p-15, -0x1.fc1432ebf33e5p-15, -0x1.005c7bbba3124p-14, -0x1.02a45987d88bcp-14, -0x1.04e1dd8c388d3p-14, -0x1.0715863e5a3bfp-14, -0x1.093f71934e9eep-14, -0x1.0b5ed8d5eddf5p-14, -0x1.0d7445d6f2b87p-14, -0x1.0f7fc87b255bfp-14, -0x1.11824487dd33ap-14, -0x1.137a425eacaddp-14, -0x1.1567532e93345p-14, -0x1.174bbf23c72ap-14, -0x1.1926a32b74123p-14, -0x1.1af7e200aba88p-14, -0x1.1cbf9faea51d1p-14, -0x1.1e7e0c7056d51p-14, -0x1.20332c884220dp-14, -0x1.21df0a2492a4bp-14, -0x1.2381b7031ba9fp-14, -0x1.251b44ec021b7p-14, -0x1.26abc6790d67dp-14, -0x1.28334d452cf22p-14, -0x1.29b1eb1473834p-14, -0x1.2b27b1c4e7c7fp-14, -0x1.2c94b36c75434p-14, -0x1.2df9025feb1ep-14, -0x1.2f54b120fec58p-14, -0x1.30a7d235544c1p-14, -0x1.31f277afe71acp-14, -0x1.3334b2084885cp-14, -0x1.346e91c17d5dp-14, -0x1.35a02a8f6193ap-14, -0x1.36c9990f658eep-14, -0x1.37eaf8d86e85fp-14, -0x1.39042c8c87905p-14, -0x1.3a15510928327p-14, -0x1.3b1e9972a7f95p-14, -0x1.3c201485bb53bp-14, -0x1.3d19cc104b482p-14, -0x1.3e0bcc5851f97p-14, -0x1.3ef6209587fb8p-14, -0x1.3fd8e7d8fc4d4p-14, -0x1.40b43988adad2p-14, -0x1.418829ddf3edbp-14, -0x1.4254b6c4b1998p-14, -0x1.4319e147811efp-14, -0x1.43d7eb48eeb91p-14, -0x1.448ed441a942p-14, -0x1.453eaa660a4c4p-14, -0x1.45e780290f049p-14, -0x1.4689681406f0cp-14, -0x1.472474249472bp-14, -0x1.47b8b5f400ab7p-14, -0x1.48463f562e68p-14, -0x1.48cd2227c6da5p-14, -0x1.494d705830cccp-14, -0x1.49c73c4745254p-14, -0x1.4a3a972299cd6p-14, -0x1.4aa772e624fbcp-14, -0x1.4b0e3cb84284bp-14, -0x1.4b6ea6abcb822p-14, -0x1.4bc8e158b1506p-14, -0x1.4c1d07ea649fbp-14, -0x1.4c6b23d627be8p-14, -0x1.4cb34ad171372p-14, -0x1.4cf59df121b7fp-14, -0x1.4d329a31cb937p-14, -0x1.4d68a65150511p-14, -0x1.4d99811ad2ae8p-14, -0x1.4dc4c8a34fb39p-14, -0x1.4dea803d99aabp-14, -0x1.4e0ab865d8721p-14, -0x1.4e2589ea15cfcp-14, -0x1.4e3bc9f1b8a3fp-14, -0x1.4e4b1c22b32d4p-14, -0x1.4e55b85ab8fa9p-14, -0x1.4e5b6c154c2edp-14, -0x1.4e5bd84be613p-14, -0x1.4e57105df51b7p-14, -0x1.4e4dd1b4fce3cp-14, -0x1.4e3f4f3718f14p-14, -0x1.4e2beed032e7bp-14, -0x1.4e13c0927b1f6p-14, -0x1.4df6d334f5ecap-14, -0x1.4dd50666a71cap-14, -0x1.4daef7318bf5ep-14, -0x1.4d84280aefc3cp-14, -0x1.4d54d7275b9bp-14, -0x1.4d211016fedc9p-14, -0x1.4ce8ea5eb5c08p-14, -0x1.4cac66e8e5847p-14, -0x1.4c6ba17f874dfp-14, -0x1.4c26a5f2c981ap-14, -0x1.4bdd813985733p-14, -0x1.4b903d8d4f457p-14, -0x1.4b3eefcfceb65p-14, -0x1.4ae9b010bf3a3p-14, -0x1.4a9079f45b9cep-14, -0x1.4a33616bcc296p-14, -0x1.49d278893363fp-14, -0x1.496dcc22cb82ep-14, -0x1.49056b101056p-14, -0x1.4899626fa76a1p-14, -0x1.4829c2f27ababp-14, -0x1.47b67745ff4cfp-14, -0x1.473fe3a6f662fp-14, -0x1.46c5bea26a46fp-14, -0x1.464838e7ba684p-14, -0x1.45c75e608dd77p-14, -0x1.4543392871127p-14, -0x1.44bbd83500985p-14, -0x1.443148305540ap-14, -0x1.43a395be73fb9p-14, -0x1.4312cdc6a8921p-14, -0x1.427efd33e30b9p-14, -0x1.41e8321955acdp-14, -0x1.414e80cd6ba7p-14, -0x1.40b3b58880afap-14, -0x1.401269a0278cap-14, -0x1.3f701ae53d9b9p-14, -0x1.3ecb187a98c59p-14, -0x1.3e23648c9109bp-14, -0x1.3d7909c183002p-14, -0x1.3ccc13c771fb6p-14, -0x1.3c1c8e413d71dp-14, -0x1.3b6a84bb468c5p-14, -0x1.3ab602cfb3b0cp-14, -0x1.39ff141fc5483p-14, -0x1.3945c618df2a4p-14, -0x1.388a1fc2d5696p-14, -0x1.37cb49b5c9eebp-14, -0x1.370c00997faf3p-14, -0x1.364995536dfcap-14, -0x1.3584fc4a73634p-14, -0x1.34be4dac81d2dp-14, -0x1.33f5826858036p-14, -0x1.332ab715bc035p-14, -0x1.325de60b9a29p-14, -0x1.318f1b2082c0fp-14, -0x1.30be65958696dp-14, -0x1.2febd009dd144p-14, -0x1.2f176b095c6b9p-14, -0x1.2e41df51816e8p-14, -0x1.2d692cc471dap-14, -0x1.2c8f6f9b3d452p-14, -0x1.2bb3e342cf5d3p-14, -0x1.2ad6ef0d54dc1p-14, -0x1.29f830b3bedf7p-14, -0x1.2917f07741a6bp-14, -0x1.2836221165dbdp-14, -0x1.2752cc49567f4p-14, -0x1.266e001edccecp-14, -0x1.2587c9529b9f6p-14, -0x1.24a0a007d7d0bp-14, -0x1.23b724b435dbfp-14, -0x1.22ccc7efdb631p-14, -0x1.21e122f55cf97p-14, -0x1.20f4398155c6dp-14, -0x1.2005f0d14c76bp-14, -0x1.1f16bcfa2fbfcp-14, -0x1.1e263bb8acf42p-14, -0x1.1d34a10f2475bp-14, -0x1.1c4186444861ap-14, -0x1.1b4e032007756p-14, -0x1.1a591973145bdp-14, -0x1.1963323cfc106p-14, -0x1.186c4a47355a1p-14, -0x1.1774714e2ec7ap-14, -0x1.167bb87f5fff1p-14, -0x1.1582103aa5da6p-14, -0x1.14878a216decep-14, -0x1.138c2d5a8890cp-14, -0x1.1290008b5b4e1p-14, -0x1.11930bb72861ep-14, -0x1.109555fda6db8p-14, -0x1.0f96e69906ce8p-14, -0x1.0e97c46c78346p-14, -0x1.0d97f67f8b91cp-14, -0x1.0c9787adb52ep-14, -0x1.0b9580db1d8ep-14, -0x1.0a94d57ccb8d4p-14, -0x1.09926e89eaa8cp-14, -0x1.088fbb9b708e3p-14, -0x1.078c65cc1fb01p-14, -0x1.0688945c519edp-14, -0x1.05844a2c7e2a7p-14, -0x1.047f8ceebfb1cp-14, -0x1.037a627e2073ap-14, -0x1.0274d012c3b66p-14, -0x1.016edcf04b43dp-14, -0x1.00688ef0ba587p-14, -0x1.fec3d38ae2063p-15, -0x1.fcb5eaa364b67p-15, -0x1.faa76bfdafa3ep-15, -0x1.f898637e5903fp-15, -0x1.f688dee0614d1p-15, -0x1.f478e87941p-15, -0x1.f267812066604p-15, -0x1.f057c2c02e7dbp-15, -0x1.ee469f33a9b74p-15, -0x1.ec3545d0ab84ap-15, -0x1.ea24809debedfp-15, -0x1.e811b25903e0fp-15, -0x1.e5ff8188c044p-15, -0x1.e3ed599b4c1dp-15, -0x1.e1db05311e4bap-15, -0x1.dfc8a0b4e652ap-15, -0x1.ddb6369f933c3p-15, -0x1.dba3ce39f9b99p-15, -0x1.d9916fdbc9587p-15, -0x1.d77f25038cdcfp-15, -0x1.d56cff6074355p-15, -0x1.d35ab83d92dbcp-15, -0x1.d1490a3dcda86p-15, -0x1.cf3759077e836p-15, -0x1.cd250a126a34p-15, -0x1.cb14b99927d1cp-15, -0x1.c903d912a1262p-15, -0x1.c6f34f88caca1p-15, -0x1.c4e323d2efebdp-15, -0x1.c2d35de51595dp-15, -0x1.c0c40915ab76cp-15, -0x1.beb4346f3469bp-15, -0x1.bca6aadcd7b83p-15, -0x1.ba98bca16328fp-15, -0x1.b88b53430ea3ep-15, -0x1.b67e7a72d6691p-15, -0x1.b47238f5c90a5p-15, -0x1.b26691f83cbf1p-15, -0x1.b05b8f06dfbf3p-15, -0x1.ae5135afa6f4cp-15, -0x1.ac478cbbe218p-15, -0x1.aa3eaa3cd8873p-15, -0x1.a836bb65ecfadp-15, -0x1.a62f1923e4d91p-15, -0x1.a425ef95d1e18p-15, -0x1.a2227038a3da7p-15, -0x1.a01d667f0368ep-15, -0x1.9e191c0a8dd1fp-15, -0x1.9c15e1da9e02fp-15, -0x1.9a136c30ddbf8p-15, -0x1.9811e902254b7p-15, -0x1.9611575d1d63cp-15, -0x1.9411c0c92a4a1p-15, -0x1.921329990ed04p-15, -0x1.9016b3bb4352ap-15, -0x1.8e18dcd0ececfp-15, -0x1.8c1d3c358307fp-15, -0x1.8a22a8e0b4cccp-15, -0x1.88292f41337fcp-15, -0x1.8630c222801bcp-15, -0x1.84397bbda2c68p-15, -0x1.82434bbd387c4p-15, -0x1.804e41ab34fcbp-15, -0x1.7e5a61c8f876bp-15, -0x1.7c67b02f66555p-15, -0x1.7a76305e79cebp-15, -0x1.7885e6766ded3p-15, -0x1.7696e15437d7dp-15, -0x1.74a7191a2bb1fp-15, -0x1.72bc910107dcp-15, -0x1.70d10d5b1d262p-15, -0x1.6ee70f92dc966p-15, -0x1.6cff7222bb312p-15, -0x1.6b16cdf530ef4p-15, -0x1.69309aed19ae2p-15, -0x1.674bab07209f5p-15, -0x1.6568521884376p-15, -0x1.6385048dbe27ap-15, -0x1.61a56dd7e44c9p-15, -0x1.5fc6026d900f5p-15, -0x1.5de80ae5f2a7ep-15, -0x1.5c0b62d754485p-15, -0x1.5a30330394304p-15, -0x1.5856717d1384ep-15, -0x1.567dc000bb20fp-15, -0x1.54a7579e27364p-15, -0x1.52d1c3a6b89c7p-15, -0x1.50fdd6856d53dp-15, -0x1.4f2b658f6021ap-15, -0x1.4d5a3f691e424p-15, -0x1.4b8ab5f46e7c9p-15, -0x1.49bc51bf3ac18p-15, -0x1.47f02416b552ep-15, -0x1.462523aac24f1p-15, -0x1.445aa6daae8f8p-15, -0x1.4295ce1dcfb55p-15, -0x1.40cd37b3e9f16p-15, -0x1.3f084a03c6866p-15, -0x1.3d44f5de55fd3p-15, -0x1.3b8519b917854p-15, -0x1.39c30d4621721p-15, -0x1.38044a42c9de2p-15, -0x1.3646bf0c0aa18p-15, -0x1.348bcf38d95ddp-15, -0x1.32d1e99ab7fdcp-15, -0x1.31199ff5ecdbfp-15, -0x1.2f62f01310788p-15, -0x1.2dadbe5c977ccp-15, -0x1.2bfa6384ea9fap-15, -0x1.2a48896a663adp-15, -0x1.28984e6429db6p-15, -0x1.26e9b577c796dp-15, -0x1.253c7d4bcf87ep-15, -0x1.239172e70cdfap-15, -0x1.21e7ae455ef38p-15, -0x1.203f997277271p-15, -0x1.1e99327eeb117p-15, -0x1.1cf46e1fbce09p-15, }}, 
      {{0x1.13c735cb58ce6p+0, 0x1.2c17af7f621d7p+0, 0x1.405625dff1619p+0, 0x1.4b5b7d489c07ep+0, 0x1.4c90dba7a09cfp+0, 0x1.456bbf32c8cd4p+0, 0x1.3818089dc056ap+0, 0x1.26ca4c67500fdp+0, 0x1.136fe52999384p+0, 0x1.ff24185df689ep-1, 0x1.d8a6ea8cd39bfp-1, 0x1.b4f51934c3068p-1, 0x1.95016c2e3c228p-1, 0x1.7944f21b42819p-1, 0x1.61dd2a4e9e754p-1, 0x1.4ea62dcb3880dp-1, 0x1.3f504b1cc227fp-1, 0x1.33713284066fbp-1, 0x1.2a911f8ff2843p-1, 0x1.243493a6c1622p-1, 0x1.1fe339cc37dd7p-1, 0x1.1d2c82deee9f8p-1, 0x1.1baa7cd1f5361p-1, 0x1.1b03516bdb5c3p-1, 0x1.1ae9c95ec5dd7p-1, 0x1.1b1d1dcee2b18p-1, 0x1.1b68524885b99p-1, 0x1.1ba14429b7e0ep-1, 0x1.1ba79125db9ccp-1, 0x1.1b636c0a296b4p-1, 0x1.1ac470c460758p-1, 0x1.19c083bcfcdbcp-1, 0x1.1852c3296f963p-1, 0x1.167a8f02743afp-1, 0x1.143aac62a33ecp-1, 0x1.1198805fafc3fp-1, 0x1.0e9b685ac838p-1, 0x1.0b4c26f640715p-1, 0x1.07b46b8110478p-1, 0x1.03de6b76677bep-1, 0x1.ffa91ea6e8aa3p-2, 0x1.f742608675b9ap-2, 0x1.ee9cc64b696d9p-2, 0x1.e5cba28650365p-2, 0x1.dce12cb14ea9bp-2, 0x1.d3ee63757439ep-2, 0x1.cb02eb6e0cf45p-2, 0x1.c22cfa226cde1p-2, 0x1.b97953d68c7a3p-2, 0x1.b0f3564f537f8p-2, 0x1.a8a4ef29829d1p-2, 0x1.a096c1976f38fp-2, 0x1.98d00df36d0a5p-2, 0x1.9156ff390fe65p-2, 0x1.8a307784f5387p-2, 0x1.83606914b54b3p-2, 0x1.7ce9c1b4960fbp-2, 0x1.76ce7f9a2bacp-2, 0x1.710fed37fcd98p-2, 0x1.6bae85fd75e2fp-2, 0x1.66aa1aabebec5p-2, 0x1.6201fbd963733p-2, 0x1.5db4edc1a959ep-2, 0x1.59c1378dc9615p-2, 0x1.5624c9c23ead9p-2, 0x1.52dd4250cc44ap-2, 0x1.4fe7f2e565ef6p-2, 0x1.4d41eeb242e12p-2, 0x1.4ae81885d7026p-2, 0x1.48d736f8e0aep-2, 0x1.470be82c3f16p-2, 0x1.4582bc6cdeb42p-2, 0x1.44383092319p-2, 0x1.4328b8c6f1019p-2, 0x1.4250d1c51a2c9p-2, 0x1.41acf2e1cf0f4p-2, 0x1.41399d372acbbp-2, 0x1.40f361797562bp-2, 0x1.40d6dc0f7d402p-2, 0x1.40e0ba346229ap-2, 0x1.410dc4572471ap-2, 0x1.415ad554cbb32p-2, 0x1.41c4e0e69f11ap-2, 0x1.4248f588df28ep-2, 0x1.42e43db63380cp-2, 0x1.4393febd56797p-2, 0x1.445597fc2bc3ep-2, 0x1.452689d2ad582p-2, 0x1.4604707858af3p-2, 0x1.46ed030e1c64ep-2, 0x1.47de16971ee91p-2, 0x1.48d59c9017304p-2, 0x1.49d1a31840535p-2, 0x1.4ad0540f7567bp-2, 0x1.4bcff3387ddb5p-2, 0x1.4ccede09a1874p-2, 0x1.4dcb8e1c891afp-2, 0x1.4ec4948fed6e1p-2, 0x1.4fb89ad03fce3p-2, 0x1.50a661cd29577p-2, 0x1.518cc0cbdcd15p-2, 0x1.526aa519b09adp-2, 0x1.533f10d18fc08p-2, 0x1.54091a07ae01ep-2, 0x1.54c7eaf8047dfp-2, 0x1.557abee210de7p-2, 0x1.5620e351c64d2p-2, 0x1.56b9b6b170e18p-2, 0x1.5744a7bc125fep-2, 0x1.57c133999b6eep-2, 0x1.582ee65055bc1p-2, 0x1.588d59d3a54cp-2, 0x1.58dc34deb9f2bp-2, 0x1.591b2ace5b64p-2, 0x1.5949fb37079ap-2, 0x1.59686f8e73349p-2, 0x1.59765cb5b4ef5p-2, 0x1.5973a100ebbd4p-2, 0x1.596023e12bb14p-2, 0x1.593bd5f51ae7p-2, 0x1.5906b02ddd9fbp-2, 0x1.58c0b2fdf7ea3p-2, 0x1.5869e5764eb0ap-2, 0x1.58025750130d7p-2, 0x1.578a1ba48ab16p-2, 0x1.57014e623d2ddp-2, 0x1.56680f8097308p-2, 0x1.55be84a51e4dp-2, 0x1.5504d77d4df29p-2, 0x1.543b36c80a14p-2, 0x1.5361d65639f77p-2, 0x1.5278ebd481646p-2, 0x1.5180b0fc4ac39p-2, 0x1.507963920c3dp-2, 0x1.4f63453056b2ep-2, 0x1.4e3e97d903a4ep-2, 0x1.4d0ba0402bf77p-2, 0x1.4bcaa677fe17ap-2, 0x1.4a7bf52a56434p-2, 0x1.491fd79eb4504p-2, 0x1.47b69a95de0fcp-2, 0x1.46408c146510cp-2, 0x1.44bdfc6988a79p-2, 0x1.432f3ced27b5p-2, 0x1.41949f578538dp-2, 0x1.3fee76057515dp-2, 0x1.3e3d13d1ed334p-2, 0x1.3c80cc4a7b5dp-2, 0x1.3ab9f3d6fae86p-2, 0x1.38e8ded6c8c5fp-2, 0x1.370de1e3d185p-2, 0x1.35295135b415dp-2, 0x1.333b81354ed94p-2, 0x1.3144c5a6539c1p-2, 0x1.2f45728e51661p-2, 0x1.2d3ddbcf2e38cp-2, 0x1.2b2e549f9e6e3p-2, 0x1.29172fbb005c4p-2, 0x1.26f8bf11eed7fp-2, 0x1.24d3542b537d7p-2, 0x1.22a73fa1d74b1p-2, 0x1.2074d10b78912p-2, 0x1.1e3c583d12139p-2, 0x1.1bfe235f0b443p-2, 0x1.19ba80549e68p-2, 0x1.1771bb265de6p-2, 0x1.15241f6c76ce1p-2, 0x1.12d1f7c48bb79p-2, 0x1.107b8dac57714p-2, 0x1.0e21297db26b5p-2, 0x1.0bc3127606963p-2, 0x1.09618ec8233d7p-2, 0x1.06fce3879eeefp-2, 0x1.0495548f2eff7p-2, 0x1.022b245e4e166p-2, 0x1.ff7d286eed154p-3, 0x1.fa9fc96f21eeap-3, 0x1.f5bea91f66437p-3, 0x1.f0da43a27ee54p-3, 0x1.ebf3111efbeefp-3, 0x1.e709884581ffdp-3, 0x1.e21e1cde144e6p-3, 0x1.dd31405042368p-3, 0x1.d843616d79f7cp-3, 0x1.d354ec5f1844bp-3, 0x1.ce664ac01bbd1p-3, 0x1.c977e3a597e3ap-3, 0x1.c48a1ba19d441p-3, 0x1.bf9d54c0e26fcp-3, 0x1.bab1ee8abb31bp-3, 0x1.b5c845cc2db1ep-3, 0x1.b0e0b4b65e848p-3, 0x1.abfb942210c2cp-3, 0x1.a71938b0150a8p-3, 0x1.a239f6375d2b7p-3, 0x1.9d5e1ca0bae1dp-3, 0x1.9885fa2f84e13p-3, 0x1.93b1dadc90f43p-3, 0x1.8ee2080970a29p-3, 0x1.8a16c8b280385p-3, 0x1.8550619018ad7p-3, 0x1.808f154678ebdp-3, 0x1.7bd3241273486p-3, 0x1.771ccbe206a2cp-3, 0x1.726c487b9c69dp-3, 0x1.6dc1d3519c23ap-3, 0x1.691da3e90ab82p-3, 0x1.647fefbc34564p-3, 0x1.5fe8ea13f09e1p-3, 0x1.5b58c3ef2cb09p-3, 0x1.56cfac71b7f25p-3, 0x1.524dd19e91579p-3, 0x1.4dd35debfc47ap-3, 0x1.49607b6e86b6dp-3, 0x1.44f551107841p-3, 0x1.40920490f3156p-3, 0x1.3c36ba0b6ec95p-3, 0x1.37e3939d1987bp-3, 0x1.3398b1a214766p-3, 0x1.2f5632c48bd6p-3, 0x1.2b1c340533a47p-3, 0x1.26ead0c4cc216p-3, 0x1.22c222cc832c5p-3, 0x1.1ea242577a8b7p-3, 0x1.1a8b461880785p-3, 0x1.167d434521b9cp-3, 0x1.12784d9e0da54p-3, 0x1.0e7c7775e5821p-3, 0x1.0a89d1b4b16bdp-3, 0x1.06a06bedbe282p-3, 0x1.02c05483ff556p-3, 0x1.fdd330bca9a84p-4, 0x1.f63885fd64ed3p-4, 0x1.eeb0bf4402612p-4, 0x1.e73bedabbb6c7p-4, 0x1.dfda225e620bcp-4, 0x1.d88b6b0b8e428p-4, 0x1.d14fd3230eab9p-4, 0x1.ca2764cd310aap-4, 0x1.c31227cc187e9p-4, 0x1.bc10219fd8706p-4, 0x1.b52155ef40a8fp-4, 0x1.ae45c67ba1e8p-4, 0x1.a77d7333e6c2bp-4, 0x1.a0c85a5212348p-4, 0x1.9a26781a9aa6fp-4, 0x1.9397c76ce0f0ep-4, 0x1.8d1c416b23d2bp-4, 0x1.86b3dd9d2dae3p-4, 0x1.805e92148db8bp-4, 0x1.7a1c5369a4bf2p-4, 0x1.73ed14c927c5bp-4, 0x1.6dd0c80184389p-4, 0x1.67c75d914c2b3p-4, 0x1.61d0c4ac9694fp-4, 0x1.5beceb5b5be57p-4, 0x1.561bbe692494p-4, 0x1.505d291bac3b7p-4, 0x1.4ab11627499edp-4, 0x1.451770176c758p-4, 0x1.3f901e716d1bep-4, 0x1.3a1b09bb68f56p-4, 0x1.34b817ea22f12p-4, 0x1.2f672e582c789p-4, 0x1.2a28324db836dp-4, 0x1.24fb0810bdfa6p-4, 0x1.1fdf930d4bde6p-4, 0x1.1ad5b5e1606a1p-4, 0x1.15dd525e96688p-4, 0x1.10f6499eb071ap-4, 0x1.0c207c43f648fp-4, 0x1.075bca64878d4p-4, 0x1.02a8137994f1p-4, 0x1.fc0a6cd54948fp-5, 0x1.f2e62336f1698p-5, 0x1.e9e305ebd767p-5, 0x1.e100cfe26ca37p-5, 0x1.d83f3b33349edp-5, 0x1.cf9e012d66c3p-5, 0x1.c71cda60d5124p-5, 0x1.bebb7ec153a5ap-5, 0x1.b679a580d0d3cp-5, 0x1.ae570558831bap-5, 0x1.a653546eb4e47p-5, 0x1.9e6e48752bf9dp-5, 0x1.96a796b922acfp-5, 0x1.8efef3fcd6685p-5, 0x1.877413c43378cp-5, 0x1.8006aa878238ep-5, 0x1.78b66e0da62e8p-5, 0x1.71830fb5373bbp-5, 0x1.6a6c44e98803fp-5, 0x1.6371bf3b69d61p-5, 0x1.5c9331ef6cfffp-5, 0x1.55d050478ba3fp-5, 0x1.4f28cd836e551p-5, 0x1.489c5c7e1e1d8p-5, 0x1.422ab01c40d2dp-5, 0x1.3bd37b52dcdc9p-5, 0x1.35967129c2567p-5, 0x1.2f7344c0618dap-5, 0x1.2969a951901c7p-5, 0x1.2379523229122p-5, 0x1.1da1f30c458b2p-5, 0x1.17e33eb30bb07p-5, 0x1.123cea57bc65cp-5, 0x1.0caea991e776ap-5, 0x1.0738314c7cbf5p-5, 0x1.01d9356a79ee8p-5, 0x1.f922d692562dcp-6, 0x1.eec111703532fp-6, 0x1.e48c84e1e5739p-6, 0x1.da849dd27e94dp-6, 0x1.d0a8c8fd65d9ap-6, 0x1.c6f873d134039p-6, 0x1.bd730c7bf17p-6, 0x1.b4180201bb122p-6, 0x1.aae6c469f8b34p-6, 0x1.a1dec4e06e4efp-6, 0x1.98ff7571cdeafp-6, 0x1.904849001ebbap-6, 0x1.87b8b1b3fc04cp-6, 0x1.7f50239ae2ccep-6, 0x1.770e18556a706p-6, 0x1.6ef202fe2178ap-6, 0x1.66fb5d86eb849p-6, 0x1.5f299fd1e5653p-6, 0x1.577c41bc54ba1p-6, 0x1.4ff2bfa9a30fep-6, 0x1.488c95eeb67b1p-6, 0x1.4149419ff20a7p-6, 0x1.3a28411f661f5p-6, 0x1.332914005200fp-6, 0x1.2c4b3ac99901p-6, 0x1.258e36eacce11p-6, 0x1.1ef18afbe6b51p-6, 0x1.1874bafc1c7a1p-6, 0x1.12174c697064fp-6, 0x1.0bd8c60996c38p-6, 0x1.05b8af9d911b3p-6, 0x1.ff6d239bb7bd7p-7, 0x1.f3a3ecc2cd8b2p-7, 0x1.e814d0f1838efp-7, 0x1.dcbee9294cf62p-7, 0x1.d1a150fb8403p-7, 0x1.c6bb26653243fp-7, 0x1.bc0b89c6f079ap-7, 0x1.b1919de2176c1p-7, 0x1.a74c87cbc0e1ap-7, 0x1.9d3b6ee508a18p-7, 0x1.935d7d1503cfep-7, 0x1.89b1df37bd039p-7, 0x1.8037c4d92d464p-7, 0x1.76ee5f7192335p-7, 0x1.6dd4e2438db97p-7, 0x1.64ea8300e7b8bp-7, 0x1.5c2e7bcbfb90ap-7, 0x1.53a0064586f36p-7, 0x1.4b3e6117370f7p-7, 0x1.4308cbd92e19fp-7, 0x1.3afe8593ff385p-7, 0x1.331ed5eca7726p-7, 0x1.2b690796e82e6p-7, 0x1.23dc5eeaabbdfp-7, 0x1.1c782d01bae5dp-7, 0x1.153bb9dedc126p-7, 0x1.0e26569f37e12p-7, 0x1.07375811788e7p-7, 0x1.006e134fef818p-7, 0x1.f393bef034365p-8, 0x1.e6942c0efba33p-8, 0x1.d9dc25a0229b4p-8, 0x1.cd6a67c63da9p-8, 0x1.c13db323efb98p-8, 0x1.b554ccc7b601ap-8, 0x1.a9ae7e2314984p-8, 0x1.9e49950190f58p-8, 0x1.9324e3834ccp-8, 0x1.883f400d9af59p-8, 0x1.7d978539a5f6p-8, 0x1.732c91ae10999p-8, 0x1.68fd48152a878p-8, 0x1.5f088f50166d7p-8, 0x1.554d52dce91ccp-8, 0x1.4bca82c40a7b1p-8, 0x1.427f12e901e0fp-8, 0x1.3969faab22809p-8, 0x1.308a34df59493p-8, 0x1.27dec019fa11p-8, 0x1.1f669f3fc6f9cp-8, 0x1.1720d9736e177p-8, 0x1.0f0c79bd263a8p-8, 0x1.07288e5091aa8p-8, 0x1.fee8537b98838p-9, 0x1.efdcc3876851cp-9, 0x1.e12c9e7105d9bp-9, 0x1.d2d61e3acd36ap-9, 0x1.c4d7879e7b5a2p-9, 0x1.b72f2029bb832p-9, 0x1.a9db38ff1d69cp-9, 0x1.9cda2932f7171p-9, 0x1.902a4f33e0b79p-9, 0x1.83ca0c0771a08p-9, 0x1.77b7be31ed4d8p-9, 0x1.6bf1ea81da7b1p-9, 0x1.6077099382aa3p-9, 0x1.554590012bdbdp-9, 0x1.4a5c0ba6dcce9p-9, 0x1.3fb8f2b18817fp-9, 0x1.355add9dbd605p-9, 0x1.2b40695ba03c8p-9, 0x1.21683307cccafp-9, 0x1.17d0dc9fe51bdp-9, 0x1.0e790fa353d9p-9, 0x1.055f79c436e2dp-9, 0x1.f9059dec89df4p-10, 0x1.e7c391bb49502p-10, 0x1.d6f64d0d9228cp-10, 0x1.c69b594260831p-10, 0x1.b6b04b94d3f66p-10, 0x1.a732c589d6873p-10, 0x1.982074cb94edap-10, 0x1.89771292153a5p-10, 0x1.7b3465312d043p-10, 0x1.6d56384dbb5f5p-10, 0x1.5fda632f74634p-10, 0x1.52bec5b686c81p-10, 0x1.460142c978d6fp-10, 0x1.399fc502d69a7p-10, 0x1.2d983cbb3046cp-10, 0x1.21e8a0b4f3a38p-10, 0x1.168ef0546ce46p-10, 0x1.0b893adb2d7c8p-10, 0x1.00d5a63fd0218p-10, 0x1.ece4c98ed3373p-11, 0x1.d8bb4eef85a25p-11, 0x1.c52b56415595p-11, 0x1.b231923b2ae8dp-11, 0x1.9fcad58210cb1p-11, 0x1.8df3e0cec4862p-11, 0x1.7ca9644aa3406p-11, 0x1.6be81b719ff87p-11, 0x1.5bacc57cd719bp-11, 0x1.4bf4392698654p-11, 0x1.3cbb7f55fbb28p-11, 0x1.2dfee928b59afp-11, 0x1.1fbb659bf0d58p-11, 0x1.11ee66822281cp-11, 0x1.0494d13c759c5p-11, 0x1.ef577295a008ap-12, 0x1.d660cca2715abp-12, 0x1.be4174aa6cd41p-12, 0x1.a6f448e3b413ep-12, 0x1.9074d4af0f8b9p-12, 0x1.7abe27294681cp-12, 0x1.65cb4d11d5c98p-12, 0x1.5197c6db6c8bcp-12, 0x1.3e1ed35ec10afp-12, 0x1.2b5b9cb6d416fp-12, 0x1.19494967b8f91p-12, 0x1.07e30885168edp-12, 0x1.ee4853542dfdcp-13, 0x1.ce1058365fb65p-13, 0x1.af15870f0a0cbp-13, 0x1.914fb311fce2p-13, 0x1.74b71600519cap-13, 0x1.59444327283dp-13, 0x1.3eeffd3f287fp-13, 0x1.25b33894fab1bp-13, 0x1.0d871702b48bdp-13, 0x1.ecc7dfc6a89b5p-14, 0x1.c086a56778579p-14, 0x1.963b753416ab8p-14, 0x1.6dd81db7acc65p-14, 0x1.474e864ece7c4p-14, 0x1.2290f3fc2ccc1p-14, 0x1.ff2469cbe235ap-15, 0x1.bc8b80491868dp-15, 0x1.7d3f857b9a565p-15, 0x1.412a58bb2238fp-15, 0x1.083673ba8c16ap-15, 0x1.a49fd62efbc44p-16, 0x1.3ec4f753b233bp-16, 0x1.bd686e2512fep-17, 0x1.0888f6c8de446p-17, 0x1.7a5c1cf5dabe9p-19, -0x1.03108232a204ap-19, -0x1.abc165b255403p-18, -0x1.61170fee64a46p-17, -0x1.e2be6aaac48e8p-17, -0x1.2d95a8255bb5p-16, -0x1.65573eacedbf2p-16, -0x1.98ca13b5926c7p-16, -0x1.c8120e3ce8902p-16, -0x1.f35039d792032p-16, -0x1.0d4e2ad288bc1p-15, -0x1.1f0e18e54da3ap-15, -0x1.2ef4cae150b72p-15, -0x1.3d0bfc633bfc8p-15, -0x1.496283b03b701p-15, -0x1.5408f1d3eb11cp-15, -0x1.5d068ff26d5c6p-15, -0x1.646aac1c2b84bp-15, -0x1.6a41d83d7b377p-15, -0x1.6e9d8781dc087p-15, -0x1.718d6e9ddf8d9p-15, -0x1.731d8b918a24p-15, -0x1.735b81182f439p-15, -0x1.72544f7825371p-15, -0x1.7013fb546ee0ap-15, -0x1.6ca5cc0e7321bp-15, -0x1.6814c5cb70b5ep-15, -0x1.626c2af423d91p-15, -0x1.5bb7ceb871572p-15, -0x1.54040236fb993p-15, -0x1.4b5d11740f93cp-15, -0x1.41cea29745919p-15, -0x1.3763461f17ac6p-15, -0x1.2c242015b2422p-15, -0x1.2018d2387edafp-15, -0x1.1347ff0729167p-15, -0x1.05b82a47dc2dbp-15, -0x1.eee0fac3808c2p-16, -0x1.d0f105f3505c7p-16, -0x1.b1b0f76b8bde9p-16, -0x1.913225b85815p-16, -0x1.6f7f5208ab85ap-16, -0x1.4ca0b711cc94dp-16, -0x1.28a46676fc963p-16, -0x1.03943894fe3a9p-16, -0x1.bae780154f963p-17, -0x1.6c9fc05326d47p-17, -0x1.1c7cda8c33abdp-17, -0x1.9554ca352e6dp-18, -0x1.dd58bad488dbfp-19, -0x1.157e0524d5f44p-20, 0x1.98f1d6841ccc6p-20, 0x1.13e64ea1d2cedp-18, 0x1.c373de0b29b87p-18, 0x1.3a66e305ebe69p-17, 0x1.93f3403ab0a4p-17, 0x1.ee585f6cbea56p-17, 0x1.24c638ee46dbp-16, 0x1.52c0e5180ebe1p-16, 0x1.81143bbb63331p-16, 0x1.afb88ac4a0f2bp-16, 0x1.dea7b1d353769p-16, 0x1.06eedb254a6e6p-15, 0x1.1eac2e5d1bd37p-15, 0x1.368afbd9b3789p-15, 0x1.4e899c385a532p-15, 0x1.66a84ccf45563p-15, 0x1.7ed9a71e0a2e4p-15, 0x1.971cb1a93134fp-15, 0x1.af6c04da018f1p-15, 0x1.c7bdc226ce2fep-15, 0x1.e00a972b58f0fp-15, 0x1.f848e524ab2fp-15, 0x1.083b241effab5p-14, 0x1.144889a57c474p-14, 0x1.204bc74f7c5dcp-14, 0x1.2c4446f4972eep-14, 0x1.383199dc86951p-14, 0x1.441354e358d9fp-14, 0x1.4fe8d8e1bfb19p-14, 0x1.5bb2627686f83p-14, 0x1.676f3bf879829p-14, 0x1.731eba3a2643fp-14, 0x1.7ebfaf22faf6ap-14, 0x1.8a52b6572ad9ap-14, 0x1.95d6f988918fbp-14, 0x1.a14bbe8009b82p-14, 0x1.acaf697beeefep-14, 0x1.b804fe846b711p-14, 0x1.c3460dbc856fp-14, 0x1.ce7533736f574p-14, 0x1.d98e8aa5edc64p-14, 0x1.e490d264c01bcp-14, 0x1.ef7a72e8f72dcp-14, 0x1.fa4a4f9e8b8eep-14, 0x1.027fe1e415dfbp-13, 0x1.07cd32e058a68p-13, 0x1.0d0ce2da8e734p-13, 0x1.123eabc073086p-13, 0x1.176246e3ff494p-13, 0x1.1c7781a007a4p-13, 0x1.217e4b03a14c1p-13, 0x1.2676ba37ed721p-13, 0x1.2b61054f0d651p-13, 0x1.303d592f9cb72p-13, 0x1.350ba6c8b239bp-13, 0x1.39cb9c86ab6acp-13, 0x1.3e7cdc571ef6fp-13, 0x1.431f340b4dbadp-13, 0x1.47b29da692827p-13, 0x1.4c371756e8f34p-13, 0x1.50ac8389b1fcep-13, 0x1.5512abf4480cap-13, 0x1.59695ef99880dp-13, 0x1.5db07e13bb1afp-13, 0x1.61e7ee54d72bcp-13, 0x1.660f86d513cd2p-13, 0x1.6a27129cbd606p-13, 0x1.6e2e5865debdp-13, 0x1.72254fe745dbbp-13, 0x1.760c2931689d5p-13, 0x1.79e2ecfc79d95p-13, 0x1.7da915f851064p-13, 0x1.815f09f540b1fp-13, 0x1.8504a2bcd61fdp-13, 0x1.8899ee08fa02ep-13, 0x1.8c1e931a20e49p-13, 0x1.8f930264d6a44p-13, 0x1.92f77def21446p-13, 0x1.964c5d60fd87ap-13, 0x1.99916c401c915p-13, 0x1.9cc5bb98c2eb3p-13, 0x1.9fea44b789be1p-13, 0x1.a2ff5f57bdda1p-13, 0x1.a6042d9639f6cp-13, 0x1.a8f8acdc09ba5p-13, 0x1.abdd189f57d46p-13, 0x1.aeb197c4500d6p-13, 0x1.b17655cadc45ap-13, 0x1.b42b80e63203ep-13, 0x1.b6d13e5f0578dp-13, 0x1.b967a0691f1adp-13, 0x1.bbee9dcb358f1p-13, 0x1.be6615e050456p-13, 0x1.c0cdfb272b3bap-13, 0x1.c326894569a4bp-13, 0x1.c570218c5ed85p-13, 0x1.c7aacb391c9acp-13, 0x1.c9d63177bb9e9p-13, 0x1.cbf269001689dp-13, 0x1.cdffacaa992b7p-13, 0x1.cffe271dc3341p-13, 0x1.d1ee57a4b10e4p-13, 0x1.d3d004f31845ap-13, 0x1.d5a3183226344p-13, 0x1.d767d0d4fcd7cp-13, 0x1.d91e6ba5de762p-13, 0x1.dac6f567f9accp-13, 0x1.dc616f16ec916p-13, 0x1.ddedeb9acde56p-13, 0x1.df6c8c2c1633ep-13, 0x1.e0dd74d5a23e4p-13, 0x1.e240c82d1b693p-13, 0x1.e396a8130da3dp-13, 0x1.e4df3773c68d2p-13, 0x1.e61a98d10743fp-13, 0x1.e748d2f5ba973p-13, 0x1.e86a9698ec1eap-13, 0x1.e97f35be31e92p-13, 0x1.ea8731d4f9792p-13, 0x1.eb82cac7d756ap-13, 0x1.ec71d177ed8fcp-13, 0x1.ed54843349f6fp-13, 0x1.ee2b1cd83746bp-13, 0x1.eef5a110ed886p-13, 0x1.efb419c792323p-13, 0x1.f067a1a10493ap-13, 0x1.f10cd6e4ff98bp-13, 0x1.f1a8b15a011f2p-13, 0x1.f238628862126p-13, 0x1.f2bd35f9acc1dp-13, 0x1.f3371d3704376p-13, 0x1.f3a574858787dp-13, 0x1.f404ab9e1b8c5p-13, 0x1.f4616423cb07bp-13, 0x1.f4af59fc6f006p-13, 0x1.f4f2c9afb0fp-13, 0x1.f52bd42f2860ep-13, 0x1.f55a99ea3451cp-13, 0x1.f57f3b559b43p-13, 0x1.f599d9431a874p-13, 0x1.f5aa92d3d0b8cp-13, 0x1.f5b180a2a998ap-13, 0x1.f5aed87b6ac3cp-13, 0x1.f5a2af879988cp-13, 0x1.f58d1d80a61f2p-13, 0x1.f56e4af6f8bbep-13, 0x1.f54657961cff5p-13, 0x1.f5156376da4a2p-13, 0x1.f4db905b444f5p-13, 0x1.f498feb7dee8p-13, 0x1.f44dcb1efb4c7p-13, 0x1.f3fa140e9f37ap-13, 0x1.f39dfa7cbc64bp-13, 0x1.f339a06f00f57p-13, 0x1.f2cd2546991f6p-13, 0x1.f258a36960beap-13, 0x1.f1dc3c4158b43p-13, 0x1.f15816632a506p-13, 0x1.f0cc63702be13p-13, 0x1.f0392d1af9615p-13, 0x1.ef9e2e9683377p-13, 0x1.eefba90422021p-13, 0x1.ee52ab292f886p-13, 0x1.eda23dd5f2b3dp-13, 0x1.ecead4ea1c5b6p-13, 0x1.ec2ce2c38b174p-13, 0x1.eb682551ec7cep-13, 0x1.ea9cb7350f43cp-13, 0x1.e9caa43b75128p-13, 0x1.e8f23a4f09f2bp-13, 0x1.e8138f63f0f4ep-13, 0x1.e72ebb54586a5p-13, 0x1.e643d84dae701p-13, 0x1.e553012af627fp-13, 0x1.e45c50e88e6d3p-13, 0x1.e35fe270b3cbfp-13, 0x1.e25da0ec1c95cp-13, 0x1.e1563522c4ffep-13, 0x1.e0492ac658295p-13, 0x1.df36ce4835429p-13, 0x1.de1f44042e9dep-13, 0x1.dd02b655809f1p-13, 0x1.dbe12827fc16ap-13, 0x1.daba1409cf4afp-13, 0x1.d98e4264a38c9p-13, 0x1.d85e36ee5c0c1p-13, 0x1.d729d59c1a94fp-13, 0x1.d5f0362a48ec1p-13, 0x1.d4b2867dff449p-13, 0x1.d37038b24861fp-13, 0x1.d229c117688aap-13, 0x1.d0df2564c2465p-13, 0x1.cf90783882039p-13, 0x1.ce3dcef075c37p-13, 0x1.cce72bbd8bb2dp-13, 0x1.cb8ce4766bddcp-13, 0x1.ca2ed30021c14p-13, 0x1.c8cd22c179006p-13, 0x1.c767ed192c39cp-13, 0x1.c6001c8035f24p-13, 0x1.c492fda239b45p-13, 0x1.c3239ef46f655p-13, 0x1.c1b0e7ef66feep-13, 0x1.c03b31cc9e04bp-13, 0x1.bec25a230ae6ep-13, 0x1.bd467eb1a47b9p-13, 0x1.bbc7ddf29235p-13, 0x1.ba4666f990072p-13, 0x1.b8c213c6e01bdp-13, 0x1.b73b1c8700b76p-13, 0x1.b5b18ce2b6612p-13, 0x1.b42597ebe4e9dp-13, 0x1.b29702d1db645p-13, 0x1.b10646ee46b8bp-13, 0x1.af7311ffb3077p-13, 0x1.addd9824f0db4p-13, 0x1.ac460babbf95ep-13, 0x1.aaac674f0ee0ap-13, 0x1.a910b401f2389p-13, 0x1.a77307288a36ep-13, 0x1.a5d3749b69d21p-13, 0x1.a4320e014ba3ap-13, 0x1.a28ee3936a95ap-13, 0x1.a0ea03b793205p-13, 0x1.9f437e42d02dbp-13, 0x1.9d9b63684cb6ep-13, 0x1.9bf1c3c07920fp-13, 0x1.9a46ae938d054p-13, 0x1.989a31a876a74p-13, 0x1.96ec609d8a78ap-13, 0x1.953d442db8fa3p-13, 0x1.938cebee06af3p-13, 0x1.91db67b1166ap-13, 0x1.9028c97104edap-13, 0x1.8e751c6fee734p-13, 0x1.8cc06386e4c23p-13, 0x1.8b0acde2f018cp-13, 0x1.89546f0d823c6p-13, 0x1.879d527bb5888p-13, 0x1.85e4fdd97b266p-13, 0x1.842b63f0ae591p-13, 0x1.8271ba05de87ep-13, 0x1.80b820180e33fp-13, 0x1.7efcb16523372p-13, 0x1.7d418087447d9p-13, 0x1.7b85dbee76bf3p-13, 0x1.79c94fd3f9729p-13, 0x1.780c646aa2c65p-13, 0x1.764f2448bd31dp-13, 0x1.7491a729f3fb3p-13, 0x1.72d3d3587b4cbp-13, 0x1.7115d399365b8p-13, 0x1.6f579f2efa7f3p-13, 0x1.6d99354379c49p-13, 0x1.6bdaa9377b6bcp-13, 0x1.6a1c0a6fb094ap-13, 0x1.685d91f7c17a1p-13, 0x1.669e5f6554192p-13, 0x1.64dfcc8998f4bp-13, 0x1.63218d460f846p-13, 0x1.616318363226dp-13, 0x1.5fa4f50d540d1p-13, 0x1.5de6ac47a6f36p-13, 0x1.5c2949caa30e7p-13, 0x1.5a6bb89a623d5p-13, 0x1.58add262148cep-13, 0x1.56f0b357994p-13, 0x1.5533e4e2b4e03p-13, 0x1.5377a4a4a664p-13, 0x1.51bb9024c8865p-13, 0x1.50004b5df42f5p-13, 0x1.4e4552daec026p-13, 0x1.4c8ad02940ce1p-13, 0x1.4ad0d75964f76p-13, 0x1.49176fd485af5p-13, 0x1.475e9fc1343d8p-13, 0x1.45a66dfb00bf7p-13, 0x1.43eee159061c2p-13, 0x1.423800aeb3c73p-13, 0x1.4081d2b142b8ep-13, 0x1.3ecc5df842d7dp-13, 0x1.3d17a9038a7cap-13, 0x1.3b63ba0b86167p-13, 0x1.39b096b30b122p-13, 0x1.37fe44e4440edp-13, 0x1.364ccb4606f99p-13, 0x1.349c2ef311668p-13, 0x1.32ec6ded97529p-13, 0x1.313d8804b0bbfp-13, 0x1.2f8fa4a417748p-13, 0x1.2de2c259634b6p-13, 0x1.2c36cfad70ca2p-13, 0x1.2a8be1990cfa8p-13, 0x1.28e214ee8e94cp-13, 0x1.27391940a0b55p-13, 0x1.2590b9bf166d8p-13, 0x1.23e9f0eead2b2p-13, 0x1.2244aa807ddb2p-13, 0x1.209fffdb651e1p-13, 0x1.1efc58ebf28c6p-13, 0x1.1d5a0023b9b7ap-13, 0x1.1bb8c8a5b583ep-13, 0x1.1a18bcd58b723p-13, 0x1.1879e150a0f11p-13, 0x1.16dc3918abffp-13, 0x1.153fc7c5a03eep-13, 0x1.13a490ef5acefp-13, 0x1.120a9810fbb8cp-13, 0x1.1071e0cafdf7ap-13, 0x1.0eda6ee258fdcp-13, 0x1.0d44466204f6ep-13, 0x1.0baf69961d38ep-13, 0x1.0a1be2483123dp-13, 0x1.0889a207079c3p-13, 0x1.06f8e9e4fc2f4p-13, 0x1.05697550ee20cp-13, 0x1.03dacfe502591p-13, 0x1.024e0c5c02634p-13, 0x1.00c285d4c7d11p-13, 0x1.fe71038de310ap-14, 0x1.fb60798e133bep-14, 0x1.f852529808ae8p-14, 0x1.f545d8ae9f90cp-14, 0x1.f23cdeb361666p-14, 0x1.ef36df75fd29ap-14, 0x1.ec33c59972368p-14, 0x1.e9339459d2c98p-14, 0x1.e6365a594901bp-14, 0x1.e33cefbf235p-14, 0x1.e044c871b053ep-14, 0x1.dd500bfb23ebep-14, 0x1.da5e9fd4cf6afp-14, 0x1.d7701c4259c93p-14, 0x1.d4837eb370135p-14, 0x1.d19c37eb90fbap-14, 0x1.ceb6c6a98f646p-14, 0x1.cbd4526fcf1ddp-14, 0x1.c8f4e86ac3693p-14, 0x1.c6188f1c8cfd6p-14, 0x1.c33f8c29b0d6ap-14, 0x1.c06919f73d80bp-14, 0x1.bd9600d635da7p-14, 0x1.bac5daa7d4e25p-14, 0x1.b7f918803a9e9p-14, 0x1.b52f43b138014p-14, 0x1.b268951f8e027p-14, 0x1.afa5123778afep-14, 0x1.ace4e312674cfp-14, 0x1.aa27a0df11eafp-14, 0x1.a76c32ebc0901p-14, 0x1.a4b57dd37c3f5p-14, 0x1.a20277e689dd5p-14, 0x1.9f51c62b2623ap-14, 0x1.9ca3fb96c4a13p-14, 0x1.99f9850c17f5fp-14, 0x1.975253dd7647p-14, 0x1.94ae3d039a4f1p-14, 0x1.920d5ce84fafp-14, 0x1.8f6fab8ea40ep-14, 0x1.8cd50a1355ff7p-14, 0x1.8a3dc76860389p-14, 0x1.87a995f2ed6ddp-14, 0x1.85189589eda5ap-14, 0x1.828ac1bb9c5fp-14, 0x1.80001fe3517a8p-14, 0x1.7d78ab552048fp-14, 0x1.7af464bcef9fcp-14, 0x1.78734cb760d84p-14, 0x1.75f56313cb88p-14, 0x1.737aa7eec3549p-14, 0x1.71031cc8b9399p-14, 0x1.6e8f8e6ef39e1p-14, 0x1.6c1f4de3666e1p-14, 0x1.69af930acba75p-14, 0x1.6744ab3108c76p-14, 0x1.64dcf7944b6adp-14, 0x1.627873abb09d3p-14, 0x1.601719cd25431p-14, 0x1.5db8e520598dfp-14, 0x1.5b5dd7a4b4f3dp-14, 0x1.5905f27a573bp-14, 0x1.56b134b4e8545p-14, 0x1.545f9ce840d13p-14, 0x1.52112bf1787e4p-14, 0x1.4fc5ddd8f4358p-14, 0x1.4d7ce05444af6p-14, 0x1.4b38e69ea6e12p-14, 0x1.48f70a069e6c7p-14, 0x1.46b750af6dbdbp-14, 0x1.447c1ce1140aap-14, 0x1.4242efd352dp-14, 0x1.400e3f4cb0d26p-14, 0x1.3ddbf8e36abf9p-14, 0x1.3bac648dfd54ep-14, 0x1.398014656fa5dp-14, 0x1.3756ebe093775p-14, 0x1.3530e062e5207p-14, 0x1.330e8b5b28998p-14, 0x1.30ede37aa9792p-14, 0x1.2ed11bbf3dd56p-14, 0x1.2cb75c0e4aa8bp-14, 0x1.2aa0079e3a885p-14, 0x1.288bad18d29efp-14, 0x1.267b8bc478e6p-14, 0x1.246e08bc6fc71p-14, 0x1.2262f32843bd1p-14, 0x1.205b098018e24p-14, 0x1.1e56388e8a614p-14, 0x1.1c54e745bd3e6p-14, 0x1.1a55897bf14f3p-14, 0x1.1859a4c86fce1p-14, 0x1.1660b4b6f057cp-14, 0x1.146ab10b96716p-14, 0x1.12763f2afb0ecp-14, 0x1.10877289d40b4p-14, 0x1.0e9a30b320fedp-14, 0x1.0cafda9014016p-14, 0x1.0ac8129feb925p-14, 0x1.08e3d46ec0308p-14, 0x1.07019efedc99fp-14, 0x1.052354c5f733cp-14, 0x1.034759eace272p-14, 0x1.016e3cca67658p-14, 0x1.ff300df646b62p-15, 0x1.fb8930d6ab7e8p-15, 0x1.f7e7f88fcfe9dp-15, 0x1.f44c573c653fep-15, 0x1.f0b6634ad37c7p-15, 0x1.ed25f620b6efcp-15, 0x1.e99b180935b5ap-15, 0x1.e615c25eb7d54p-15, 0x1.e295f07013173p-15, 0x1.df1b9db0255bcp-15, 0x1.dba6cbd586c78p-15, 0x1.d835a583c749ep-15, 0x1.d4cd873a1ce56p-15, 0x1.d168b74ce14d5p-15, 0x1.ce09b3dadaf17p-15, 0x1.caafe1db8dea6p-15, 0x1.c75b6ef7bb83cp-15, 0x1.c40c4fe44bfadp-15, 0x1.c0c27e9279f5ap-15, 0x1.bd7df4a6a4c6dp-15, 0x1.ba3eadc31d0e4p-15, 0x1.b704a107782fbp-15, 0x1.b3cfc77745e81p-15, 0x1.b0a01bb2345c5p-15, 0x1.ad75a18589c67p-15, 0x1.aa50502875edep-15, 0x1.a730415c81477p-15, 0x1.a415b90b382bcp-15, 0x1.a0ff52299c4a3p-15, 0x1.9dec129b5295fp-15, 0x1.9ae1ed654f36ep-15, 0x1.97dcdc1cbb1e5p-15, 0x1.94da587545da1p-15, 0x1.91dc6acb5be41p-15, 0x1.8ee4a60f849aap-15, 0x1.8bf0beeda136dp-15, 0x1.89043ba066577p-15, 0x1.861a6f3395545p-15, 0x1.8335aa24f257bp-15, 0x1.8055fd4e1691ap-15, 0x1.7d7b331813f29p-15, 0x1.7aa53608186abp-15, 0x1.77d3fd66d10ddp-15, 0x1.750789c888525p-15, 0x1.723f9861547a9p-15, 0x1.6f7cac1e4f26cp-15, 0x1.6cbe43fd1113dp-15, 0x1.6a03a56e5effp-15, 0x1.674f55965c30ep-15, 0x1.649ec1844f1e2p-15, 0x1.61f2ae2bdd704p-15, 0x1.5f4b4b39805f9p-15, 0x1.5ca8605242636p-15, 0x1.5a0a0c603db54p-15, 0x1.576f50b704e0bp-15, 0x1.54dad77613c88p-15, 0x1.5249be69a02e7p-15, 0x1.4fbd178de4fbep-15, 0x1.4d34e6b8cfd4p-15, 0x1.4ab10b7be9626p-15, 0x1.4831ab0d392e8p-15, 0x1.45b68b983a26dp-15, 0x1.433fb8b5a4d1dp-15, 0x1.40cd2e0978b6fp-15, 0x1.3e5ee08846fb2p-15, 0x1.3bf530d26f0e1p-15, 0x1.398f23a5835adp-15, 0x1.372b85de1751ep-15, 0x1.34cfe52e18fd6p-15, 0x1.32768630d47fcp-15, 0x1.302140fcf6dcfp-15, 0x1.2dd0308656b14p-15, 0x1.2b831bcfdceb4p-15, 0x1.293a20f3dada1p-15, 0x1.26f55820ee77p-15, 0x1.24b4c5bdb5855p-15, 0x1.22772e226f36p-15, 0x1.203e5dcde5adp-15, 0x1.1e09a10e1b0d4p-15, 0x1.1bd8d2a11eb14p-15, 0x1.19ab161394782p-15, 0x1.178182cd896c6p-15, 0x1.155c337f4de8ep-15, 0x1.133aa45b3d13dp-15, 0x1.111cd72e63d3p-15, 0x1.0f02ce0b1ba0dp-15, 0x1.0cec83a27aacbp-15, 0x1.0ad9f7d7ea12ep-15, 0x1.08cb2c8f0cap-15, 0x1.06c01dfe430c7p-15, 0x1.04b8c6988638bp-15, 0x1.02b369f47ec65p-15, 0x1.00b502d843f4fp-15, 0x1.fd70b0ec07dabp-16, 0x1.f97f62341677dp-16, 0x1.f597844883419p-16, 0x1.f1b0155c038efp-16, 0x1.edd39dde12cbap-16, 0x1.e9fc1c92cade4p-16, 0x1.e6317f62da31bp-16, 0x1.e267c3bdbd328p-16, 0x1.dea873c5dccb4p-16, 0x1.daedb00e0491p-16, 0x1.d73b5275ce41dp-16, 0x1.d38f31f3a678ep-16, 0x1.cfe9cbba99bdbp-16, 0x1.cc4b3f31725cap-16, 0x1.c8b2d9cbbd88fp-16, 0x1.c52207343f655p-16, 0x1.c196dc1b03294p-16, 0x1.be12cbf7d158dp-16, 0x1.ba928bb58bbb2p-16, 0x1.b71d22e44a254p-16, 0x1.b3ac1f9d02822p-16, 0x1.b0424b7197613p-16, 0x1.acdd537660e8p-16, 0x1.a97f68a7e839bp-16, 0x1.a6260da23953bp-16, 0x1.a2d9793ebc8dp-16, 0x1.9f8b45b2dc51cp-16, 0x1.9c470138ce4c8p-16, 0x1.99067c2195eeep-16, 0x1.95cedb69c4adfp-16, 0x1.929ba9a686238p-16, 0x1.8f6eb4b74a875p-16, 0x1.8c45fd34c4e66p-16, 0x1.8925739c1456bp-16, 0x1.860a2bae09225p-16, 0x1.82f4c63854a67p-16, 0x1.7fe53157d5728p-16, 0x1.7ce0df9f3362dp-16, 0x1.79d75b342fc98p-16, 0x1.76d8f3c536964p-16, 0x1.73e026c879cadp-16, 0x1.70ecee657f9a2p-16, 0x1.6dfee2134477bp-16, 0x1.6b17365476b3bp-16, 0x1.68348b827e521p-16, 0x1.65577639c9a12p-16, 0x1.627fc686478f5p-16, 0x1.5fad85d5b7ebep-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.b5f14330f2d87p-1, -0x1.b5a871bdf7719p-1, -0x1.b52d3a4cfd9d8p-1, -0x1.b47d5fd4a3a6p-1, -0x1.b3968b9c8a8fbp-1, -0x1.b276bab54d922p-1, -0x1.b11c8fac8d26cp-1, -0x1.af8785f496c6cp-1, -0x1.adb8099cd3745p-1, -0x1.abaf7863116fp-1, -0x1.a97011d7074ffp-1, -0x1.a6fcdbfffee66p-1, -0x1.a4598131cc3ecp-1, -0x1.a18a2ad218797p-1, -0x1.9e935be5db601p-1, -0x1.9b79cd6e80f59p-1, -0x1.98424def110bdp-1, -0x1.94f1a4e5088dp-1, -0x1.918c7a9401282p-1, -0x1.8e174432cf927p-1, -0x1.8a96344ff0e06p-1, -0x1.870d2f1d89a71p-1, -0x1.837fc23ece927p-1, -0x1.7ff11fa5d36dcp-1, -0x1.7c641b0e715f7p-1, -0x1.78db29a69c8f3p-1, -0x1.7558637c18437p-1, -0x1.71dd86516eba1p-1, -0x1.6e6bf9871b13cp-1, -0x1.6b04d2d126dc1p-1, -0x1.67a8db7c68ff4p-1, -0x1.64589610bcc76p-1, -0x1.61144426b8a72p-1, -0x1.5ddbec4f7b1p-1, -0x1.5aaf5ff41e7ddp-1, -0x1.578e411847c67p-1, -0x1.547807f030a24p-1, -0x1.516c083e97f19p-1, -0x1.4e6976724cdp-1, -0x1.4b6f6c7da6764p-1, -0x1.487cee645425p-1, -0x1.4590ee7d9619p-1, -0x1.42aa516a323f6p-1, -0x1.3fc7f1be79fd7p-1, -0x1.3ce8a36173b36p-1, -0x1.3a0b36a2d5e37p-1, -0x1.372e7b09e7b69p-1, -0x1.345141dfbc027p-1, -0x1.317260776e88bp-1, -0x1.2e90b237473p-1, -0x1.2bab1a65ba893p-1, -0x1.28c085bd63acap-1, -0x1.25cfebcb18522p-1, -0x1.22d85019456fbp-1, -0x1.1fd8c32bc31c1p-1, -0x1.1cd0634f49637p-1, -0x1.19be5d3fabc6fp-1, -0x1.16a1eca7ef883p-1, -0x1.137a5c7f461bfp-1, -0x1.10470745e03a8p-1, -0x1.0d07572472bfdp-1, -0x1.09bac5f137296p-1, -0x1.0660dd1d0cc5ap-1, -0x1.02f9358b45b6ep-1, -0x1.ff06eead1f4ccp-2, -0x1.f7feb30a7ce8ap-2, -0x1.f0d9435e4d941p-2, -0x1.e996472e213ecp-2, -0x1.e23581734d2cp-2, -0x1.dab6cfa745f8dp-2, -0x1.d31a28c1c7873p-2, -0x1.cb5f9c2bb83bfp-2, -0x1.c38750a9915b7p-2, -0x1.bb91833fcb90bp-2, -0x1.b37e86138928p-2, -0x1.ab4ebf498c01ep-2, -0x1.a302a7e542d41p-2, -0x1.9a9acaa984fcep-2, -0x1.9217c2fc689f7p-2, -0x1.897a3bcf6676bp-2, -0x1.80c2ee8cd8f7p-2, -0x1.77f2a20bba91ep-2, -0x1.6f0a298a5f56dp-2, -0x1.660a63b0c8466p-2, -0x1.5cf4399b08d95p-2, -0x1.53c89dec1d4a1p-2, -0x1.4a888be97d463p-2, -0x1.4135069f914bfp-2, -0x1.37cf180f2acd5p-2, -0x1.2e57d06403807p-2, -0x1.24d045343e94cp-2, -0x1.1b3990c8d32c6p-2, -0x1.1194d16ec0e0bp-2, -0x1.07e328d0e173cp-2, -0x1.fc4b76b4495a1p-3, -0x1.e8bb5f3ff7c04p-3, -0x1.d5185ba9672f8p-3, -0x1.c164be82f1f52p-3, -0x1.ada2db8f812dbp-3, -0x1.99d506d395b3bp-3, -0x1.85fd93b3e7e8dp-3, -0x1.721ed421136p-3, -0x1.5e3b17cfb397fp-3, -0x1.4a54ab7c62663p-3, -0x1.366dd83af8dcbp-3, -0x1.2288e2d09a28cp-3, -0x1.0ea80b17ea16cp-3, -0x1.f59b16dde82aep-4, -0x1.cdf7305c82d5ep-4, -0x1.a668be513e225p-4, -0x1.7ef40e6644bd2p-4, -0x1.579d5f69f4707p-4, -0x1.3068e07d4f1eep-4, -0x1.095ab0505f7c2p-4, -0x1.c4edb8d7d250bp-5, -0x1.7782c10f56ebap-5, -0x1.2a7c4bd9115ffp-5, -0x1.bbc40b882d391p-6, -0x1.2376e89a8f8cdp-6, -0x1.183fd39130ddcp-7, 0x1.4650ff0019016p-11, 0x1.3ee4ae89f2e57p-7, 0x1.3391c3d5fea56p-6, 0x1.c68363e12c297p-6, 0x1.2c1d12af91e77p-5, 0x1.7454a797ed314p-5, 0x1.bbe24110c0ac1p-5, 0x1.015fee76b3de8p-4, 0x1.2473d36a51ee9p-4, 0x1.4729fc4d404b2p-4, 0x1.697fad4699c4ap-4, 0x1.8b7241dac48dbp-4, 0x1.acff2d05a1bb6p-4, 0x1.ce23f94ecf72dp-4, 0x1.eede48d84fea3p-4, 0x1.0795eab3cbc45p-3, 0x1.17853834a754cp-3, 0x1.273c0177e74abp-3, 0x1.36b946d64d203p-3, 0x1.45fc14726dcc6p-3, 0x1.55038230909bdp-3, 0x1.63ceb3ac38c74p-3, 0x1.725cd82b6457ap-3, 0x1.80ad2a8fa2a52p-3, 0x1.8ebef144fb676p-3, 0x1.9c917e2eca67bp-3, 0x1.aa242e92943b7p-3, 0x1.b7766b00e4bc6p-3, 0x1.c487a73c4efefp-3, 0x1.d157621e932cep-3, 0x1.dde5257c05882p-3, 0x1.ea30860537779p-3, 0x1.f63923270cd65p-3, 0x1.00ff537494a5p-2, 0x1.06c062e57533bp-2, 0x1.0c5f9f4f70b98p-2, 0x1.11dced327b0acp-2, 0x1.17383611957dbp-2, 0x1.1c71685e9204p-2, 0x1.218877653f6a9p-2, 0x1.267d5b360405bp-2, 0x1.2b50108fecf25p-2, 0x1.300098ca4150cp-2, 0x1.348ef9bd9c1dp-2, 0x1.38fb3dac948e4p-2, 0x1.3d45732c05444p-2, 0x1.416dad0aeb395p-2, 0x1.45740239f5894p-2, 0x1.49588db2c0c7ap-2, 0x1.4d1b6e5ecdb9ep-2, 0x1.50bcc6fe392dp-2, 0x1.543cbe0e394cbp-2, 0x1.579b7daf6e8f2p-2, 0x1.5ad9338c0834ep-2, 0x1.5df610bdcae0ep-2, 0x1.60f249b3fb7b5p-2, 0x1.63ce1619379b4p-2, 0x1.6689b0b941301p-2, 0x1.69255766c7f6dp-2, 0x1.6ba14ae12f6bdp-2, 0x1.6dfdceba609b9p-2, 0x1.703b293ca7633p-2, 0x1.7259a350a7009p-2, 0x1.7459886362dcap-2, 0x1.763b264c6e0aap-2, 0x1.77fecd34391f6p-2, 0x1.79a4cf7a8ea76p-2, 0x1.7b2d819d3e3bap-2, 0x1.7c993a1ef8d7cp-2, 0x1.7de8516e6ba51p-2, 0x1.7f1b21cd91be5p-2, 0x1.803207394da45p-2, 0x1.812d5f514125ep-2, 0x1.820d893ff6a54p-2, 0x1.82d2e5a3519cfp-2, 0x1.837dd67551d37p-2, 0x1.840ebef52c524p-2, 0x1.84860390b467ep-2, 0x1.84e409ce279edp-2, 0x1.852938364db55p-2, 0x1.8555f63efcdbap-2, 0x1.856aac35fb9f7p-2, 0x1.8567c32c47ffdp-2, 0x1.854da4e1c2569p-2, 0x1.851cbbb1407d6p-2, 0x1.84d5727d05aa5p-2, 0x1.8478349ba921p-2, 0x1.84056dc5635cfp-2, 0x1.837d8a01c9a04p-2, 0x1.82e0f595f7055p-2, 0x1.82301cf31ffeep-2, 0x1.816b6ca59983bp-2, 0x1.809351444875cp-2, 0x1.7fa8376086069p-2, 0x1.7eaa8b76704c8p-2, 0x1.7d9ab9ddab6f6p-2, 0x1.7c792eba9138bp-2, 0x1.7b4655efd36e5p-2, 0x1.7a029b1087ba9p-2, 0x1.78ae6952a7bp-2, 0x1.774a2b81fa5aep-2, 0x1.75d64bf36fbbap-2, 0x1.74533478e72p-2, 0x1.72c14e5560cd2p-2, 0x1.712102319cbb4p-2, 0x1.6f72b8112582ap-2, 0x1.6db6d747c151bp-2, 0x1.6bedc66f4bffbp-2, 0x1.6a17eb5dfc6ffp-2, 0x1.6835ab1d0a45ap-2, 0x1.664769dfbd257p-2, 0x1.644d8afadeec6p-2, 0x1.624870dc8ce53p-2, 0x1.60387d046f078p-2, 0x1.5e1e0ffc4b218p-2, 0x1.5bf98950f7727p-2, 0x1.59cb478ba84e8p-2, 0x1.5793a82b9a1f1p-2, 0x1.555307a0151b3p-2, 0x1.5309c142c733cp-2, 0x1.50b82f5274a3ap-2, 0x1.4e5eaaedfeb3ep-2, 0x1.4bfd8c0fb8c88p-2, 0x1.499529891563bp-2, 0x1.4725d8fe9ad8dp-2, 0x1.44afeee42aaeap-2, 0x1.4233be7994361p-2, 0x1.3fb199c76f422p-2, 0x1.3d29d19c41333p-2, 0x1.3a9cb589e77fep-2, 0x1.380a93e3482b2p-2, 0x1.3573b9ba4514ep-2, 0x1.32d872ddf061p-2, 0x1.303909d8ffc37p-2, 0x1.2d95c7f07f918p-2, 0x1.2aeef522c132ep-2, 0x1.2844d826824ecp-2, 0x1.2597b66a5039ep-2, 0x1.22e7d414202b3p-2, 0x1.203574011df9dp-2, 0x1.1d80d7c5abac8p-2, 0x1.1aca3fad9802bp-2, 0x1.1811eabc82bb2p-2, 0x1.155816ae6d45dp-2, 0x1.129cfff87f5cp-2, 0x1.0fe0e1c9ee564p-2, 0x1.0d23f60d18689p-2, 0x1.0a667568bf88cp-2, 0x1.07a897417282dp-2, 0x1.04ea91bb16285p-2, 0x1.022c99ba96154p-2, 0x1.feddc5cf6ea3p-3, 0x1.f9633f5e153bap-3, 0x1.f3ea0288013abp-3, 0x1.ee726f4636ee7p-3, 0x1.e8fce3287bdf1p-3, 0x1.e389b95a28e5cp-3, 0x1.de194aa738f64p-3, 0x1.d8abed81813ecp-3, 0x1.d341f60622752p-3, 0x1.cddbb6031c723p-3, 0x1.c8797cfd1936fp-3, 0x1.c31b983554f92p-3, 0x1.bdc252afb6905p-3, 0x1.b86df53904094p-3, 0x1.b31ec66d3dec8p-3, 0x1.add50abe186dbp-3, 0x1.a891047995264p-3, 0x1.a352f3d0b02a2p-3, 0x1.9e1b16de34b19p-3, 0x1.98e9a9ad9b6fep-3, 0x1.93bee64207b38p-3, 0x1.8e9b049d553cap-3, 0x1.897e3ac7388c4p-3, 0x1.8468bcd470cb5p-3, 0x1.7f5abcee06e33p-3, 0x1.7a546b589aa8fp-3, 0x1.7555f67bbc59bp-3, 0x1.705f8ae94d1fap-3, 0x1.6b715364edaacp-3, 0x1.668b78eb6e8bp-3, 0x1.61ae22ba4794dp-3, 0x1.5cd97657172fcp-3, 0x1.580d97971e203p-3, 0x1.534aa8a6c41d9p-3, 0x1.4e90ca11155e5p-3, 0x1.49e01ac749d1ap-3, 0x1.4538b8283d645p-3, 0x1.409abe07f1f37p-3, 0x1.3c0646b7040cap-3, 0x1.377b6b0a1faecp-3, 0x1.32fa42616d1fbp-3, 0x1.2e82e2affa3dcp-3, 0x1.2a15608313fbcp-3, 0x1.25b1cf09a19efp-3, 0x1.2158401b6bc28p-3, 0x1.1d08c440643c1p-3, 0x1.18c36ab7d8023p-3, 0x1.1488417fa0325p-3, 0x1.1057555b39945p-3, 0x1.0c30b1dada5b6p-3, 0x1.081461627730fp-3, 0x1.04026d30b5c67p-3, 0x1.fff5bacba46b6p-4, 0x1.f7fb7214f3a58p-4, 0x1.f0160c2d1e3fp-4, 0x1.e84592efbf581p-4, 0x1.e08a0e3197c8bp-4, 0x1.d8e383cdb1c0ap-4, 0x1.d151f7b262fb5p-4, 0x1.c9d56bee32cd1p-4, 0x1.c26de0bc92739p-4, 0x1.bb1b549270748p-4, 0x1.b3ddc42aa70afp-4, 0x1.acb52a9245a2ap-4, 0x1.a5a18134b3ap-4, 0x1.9ea2bfe7a1e59p-4, 0x1.97b8dcf6e27d5p-4, 0x1.90e3cd300ce3ap-4, 0x1.8a2383edfc7f2p-4, 0x1.8377f32423ff3p-4, 0x1.7ce10b69bc4f8p-4, 0x1.765ebc04c5cebp-4, 0x1.6ff0f2f4db6d3p-4, 0x1.69979cfde432ap-4, 0x1.6352a5b29461cp-4, 0x1.5d21f77ec59f7p-4, 0x1.57057bb1a42ccp-4, 0x1.50fd1a87b0803p-4, 0x1.4b08bb349b92ep-4, 0x1.452843ecee94cp-4, 0x1.3f5b99ef937c8p-4, 0x1.39a2a18f27964p-4, 0x1.33fd3e3b2b96ap-4, 0x1.2e6b528908944p-4, 0x1.28ecc03ce5ae9p-4, 0x1.23816852583bdp-4, 0x1.1e292b04e6ee1p-4, 0x1.18e3e7d867525p-4, 0x1.13b17da12c2ap-4, 0x1.0e91ca8c0dc4dp-4, 0x1.0984ac264b79ap-4, 0x1.0489ff653afbbp-4, 0x1.ff43415bb6614p-5, 0x1.f596d7b86d4a9p-5, 0x1.ec0e789540053p-5, 0x1.e2a9d9b190abcp-5, 0x1.d968afe55208p-5, 0x1.d04aaf2e97eb5p-5, 0x1.c74f8abedc3bcp-5, 0x1.be76f507e8868p-5, 0x1.b5c09fc880f12p-5, 0x1.ad2c3c18bb147p-5, 0x1.a4b97a7619061p-5, 0x1.9c680acf4076ap-5, 0x1.94379c8f88fe8p-5, 0x1.8c27deaa2517p-5, 0x1.84387fa5153d5p-5, 0x1.7c692da3d83d1p-5, 0x1.74b99671c167p-5, 0x1.6d29678c1e3b5p-5, 0x1.65b84e2c0df68p-5, 0x1.5e65f7501a7e9p-5, 0x1.57320fc58ecfdp-5, 0x1.501c443189dc6p-5, 0x1.49244119d3d8cp-5, 0x1.4249b2ed6e928p-5, 0x1.3b8c460cf6a11p-5, 0x1.34eba6d2b07fbp-5, 0x1.2e67819a6ef2ep-5, 0x1.27ff82c92ed78p-5, 0x1.21b356d47d75dp-5, 0x1.1b82aa49a7f24p-5, 0x1.156d29d4b0afbp-5, 0x1.0f72824706115p-5, 0x1.0992609e09084p-5, 0x1.03cc720961ab6p-5, 0x1.fc40c7e2256eap-6, 0x1.f11bc7f6ca99bp-6, 0x1.e629402528978p-6, 0x1.db688cd4adea5p-6, 0x1.d0d90b0a48422p-6, 0x1.c67a1872b1e8ap-6, 0x1.bc4b136c521a6p-6, 0x1.b24b5b10b102p-6, 0x1.a87a4f3da554fp-6, 0x1.9ed7509e15923p-6, 0x1.9561c0b27e248p-6, 0x1.8c1901d90098ep-6, 0x1.82fc7755256c9p-6, 0x1.7a0b855766f88p-6, 0x1.714591043fcebp-6, 0x1.68aa007b10fbap-6, 0x1.60383adc9e06p-6, 0x1.57efa8514f3a9p-6, 0x1.4fcfb20f23bf9p-6, 0x1.47d7c25f4febp-6, 0x1.400744a3abbf3p-6, 0x1.385da55bc754ep-6, 0x1.30da5229bdd3dp-6, 0x1.297cb9d6dc168p-6, 0x1.22444c57e144ep-6, 0x1.1b307ad122953p-6, 0x1.1440b79a5b4fap-6, 0x1.0d7476424fc8fp-6, 0x1.06cb2b922240dp-6, 0x1.00444d90897e5p-6, 0x1.f3bea70965f5bp-7, 0x1.e7376bf1ff82fp-7, 0x1.daf1dd7b1be04p-7, 0x1.ceecf1d50b677p-7, 0x1.c327a1c465cd1p-7, 0x1.b7a0e8a5ed236p-7, 0x1.ac57c47208b9p-7, 0x1.a14b35bfdedb3p-7, 0x1.967a3fc81b8f5p-7, 0x1.8be3e867508f3p-7, 0x1.818738202b0dp-7, 0x1.77633a1d0a6e5p-7, 0x1.6d76fc31a3b2p-7, 0x1.63c18edbfa8b4p-7, 0x1.5a4205455d4d1p-7, 0x1.50f77542e664ap-7, 0x1.47e0f755c9c17p-7, 0x1.3efda6ab55654p-7, 0x1.364ca11cae423p-7, 0x1.2dcd072e5a26dp-7, 0x1.257dfc0f8c056p-7, 0x1.1d5ea599130fdp-7, 0x1.156e2c4c2638ap-7, 0x1.0dabbb511d442p-7, 0x1.061680758e0d9p-7, 0x1.fd5b58555ab47p-8, 0x1.eee0e30655ea8p-8, 0x1.e0bc0c61d460ap-8, 0x1.d2eb45055dfbep-8, 0x1.c56d02c2d6f81p-8, 0x1.b83fc09b19955p-8, 0x1.ab61feb817dcap-8, 0x1.9ed242667f927p-8, 0x1.928f160f77c74p-8, 0x1.86970931ba05ap-8, 0x1.7ae8b05a76961p-8, 0x1.6f82a51e12c3p-8, 0x1.64638610a14e2p-8, 0x1.5989f6bde345cp-8, 0x1.4ef49fa154ac2p-8, 0x1.44a22e1df308ep-8, 0x1.3a9154758868ap-8, 0x1.30c0c9c02d88ap-8, 0x1.272f49e3437d7p-8, 0x1.1ddb95885ddfap-8, 0x1.14c472142125p-8, 0x1.0be8a99cc0b6dp-8, 0x1.03470ae03d22cp-8, 0x1.f5bcd27674952p-9, 0x1.e55b393cd4647p-9, 0x1.d567030a4a85cp-9, 0x1.c5ddf1d61b589p-9, 0x1.b6bdd08385125p-9, 0x1.a80472cd92addp-9, 0x1.99afb531d4d03p-9, 0x1.8bbd7cdbbbafep-9, 0x1.7e2bb78eff791p-9, 0x1.70f85b926bc72p-9, 0x1.6421679aa60d1p-9, 0x1.57a4e2b44d5b2p-9, 0x1.4b80dc2defeccp-9, 0x1.3fb36b82ff29ep-9, 0x1.343ab04520428p-9, 0x1.2914d206becccp-9, 0x1.1e4000446f63cp-9, 0x1.13ba724f7041fp-9, 0x1.09826736cfa41p-9, 0x1.ff2c4b63b27e2p-10, 0x1.ebe7f812d478fp-10, 0x1.d9348003d6921p-10, 0x1.c70e9d89eb42fp-10, 0x1.b573199658f4ap-10, 0x1.a45ecb8beca1fp-10, 0x1.93ce99123c101p-10, 0x1.83bf75ea11438p-10, 0x1.742e63c0259cep-10, 0x1.6518720203868p-10, 0x1.567abdb07e031p-10, 0x1.4852713504126p-10, 0x1.3a9cc435808a1p-10, 0x1.2d56fb67ccb7ep-10, 0x1.207e686710289p-10, 0x1.141069880b76fp-10, 0x1.080a69adddd31p-10, 0x1.f8d3c03dd0fap-11, 0x1.e258a0b46893ep-11, 0x1.cc9e93d8e24f7p-11, 0x1.b7a0d08ce28f2p-11, 0x1.a35aa5239168cp-11, 0x1.8fc7770f9e859p-11, 0x1.7ce2c29000127p-11, 0x1.6aa81a5b0c279p-11, 0x1.5913274f35235p-11, 0x1.481fa81eda971p-11, 0x1.37c971006f709p-11, 0x1.280c6b5d9512fp-11, 0x1.18e4958285796p-11, 0x1.0a4e024f80906p-11, 0x1.f889b1d39e181p-12, 0x1.dd8aa8da0ad77p-12, 0x1.c397873cdf2a3p-12, 0x1.aaa9113ee0f08p-12, 0x1.92b83142899fcp-12, 0x1.7bbdf732b9806p-12, 0x1.65b397eecb9cap-12, 0x1.50926cb44b802p-12, 0x1.3c53f28b6c3b3p-12, 0x1.28f1c9b6feb67p-12, 0x1.1665b52204e34p-12, 0x1.04a999d40f503p-12, 0x1.e76efcbc3ce97p-13, 0x1.c71314ab86e94p-13, 0x1.a8340b87925fp-13, 0x1.8ac6b13d12017p-13, 0x1.6ec01484204cbp-13, 0x1.541581cffdcd1p-13, 0x1.3abc824757a8cp-13, 0x1.22aadabdc79dp-13, 0x1.0bd68aae3f118p-13, 0x1.ec6b96770d3bdp-14, 0x1.c37e1c625fe5ep-14, 0x1.9cd1fa0e613d5p-14, 0x1.7854efdc68846p-14, 0x1.55f529a355ad2p-14, 0x1.35a13cdcbd78p-14, 0x1.174826ba6f1d6p-14, 0x1.f5b294a5cb956p-15, 0x1.c088dd8c9e75ap-15, 0x1.8ef37afa3774bp-15, 0x1.60d380a8d5346p-15, 0x1.360abfc4fd194p-15, 0x1.0e7bc3707734fp-15, 0x1.d4139ab48e549p-16, 0x1.9131a4aaad6f9p-16, 0x1.541aee0fdbf3fp-16, 0x1.1c9a194049262p-16, 0x1.d4f6363fd9dd5p-17, 0x1.7b16699c9d0d9p-17, 0x1.2b31da52fa28cp-17, 0x1.c9d02b0fabc1ap-18, 0x1.4fb6363539e46p-18, 0x1.cebd4786738b3p-19, 0x1.202dedb22eac5p-19, 0x1.24c543ee1c315p-20, 0x1.2045a6d121d9p-22, -0x1.614d4515a5022p-22, -0x1.7dd64a924749ap-21, -0x1.dc4e79c3aaca1p-21, -0x1.d0d01ae1a2d83p-21, -0x1.5ffb584b12619p-21, -0x1.1ca0908d35944p-22, 0x1.3fa0dafd42c53p-22, 0x1.131274fa736f6p-20, 0x1.00225d704f97cp-19, 0x1.8abdf7e03bd48p-19, 0x1.1430dc4c7757p-18, 0x1.6c0d30c272958p-18, 0x1.cc7dd17d601a6p-18, 0x1.1a87fd4341153p-17, 0x1.52aa1cdfe8bf3p-17, 0x1.8e6f2e530b583p-17, 0x1.cda2af2b503c6p-17, 0x1.0808d586840c4p-16, 0x1.2ac5598d765e6p-16, 0x1.4eeeeab0d1d69p-16, 0x1.746e4a485162ap-16, 0x1.9b2cefdbe41c3p-16, 0x1.c315051f365d6p-16, 0x1.ec1161f217fd3p-16, 0x1.0b06c443413ep-15, 0x1.207ad0be47345p-15, 0x1.365b3c120a1eep-15, 0x1.4c9ebb67717p-15, 0x1.633c5192b878bp-15, 0x1.7a2b4d48b796cp-15, 0x1.916347637acbfp-15, 0x1.a8dc211f384b6p-15, 0x1.c08e02720faa1p-15, 0x1.d871585ae972ep-15, 0x1.f07ed3420561bp-15, 0x1.0457b2af7a0cp-14, 0x1.107e20931758ap-14, 0x1.1caf6bdb56456p-14, 0x1.28e86baee8d8fp-14, 0x1.3526150a8dec4p-14, 0x1.41657a050bc5ep-14, 0x1.4da3c91a93fcap-14, 0x1.59de4c74df84fp-14, 0x1.6612693d72956p-14, 0x1.723d9eed512d6p-14, 0x1.7e5d86a5bea42p-14, 0x1.8a6fd286b3353p-14, 0x1.96724d0c7c7fap-14, 0x1.a262d86f518ecp-14, 0x1.ae3f6e04bf39cp-14, 0x1.ba061da7a3463p-14, 0x1.c5b50d1e825d3p-14, 0x1.d14a77875fa0fp-14, 0x1.dcc4acc7dc13ap-14, 0x1.e82210fddf429p-14, 0x1.f3611bf417882p-14, 0x1.fe805899ac27dp-14, 0x1.04bf323e4b478p-13, 0x1.0a2cf7a19f37ap-13, 0x1.0f88dd1888f1fp-13, 0x1.14d24bd20dae8p-13, 0x1.1a08b54dc0fafp-13, 0x1.1f2b931fcea91p-13, 0x1.243a66b568b7ep-13, 0x1.2934b91ae848fp-13, 0x1.2e1a1ac2df14p-13, 0x1.32ea234f741f5p-13, 0x1.37a4715b62cb2p-13, 0x1.3c48aa45b138ap-13, 0x1.40d679fca8a32p-13, 0x1.454d92cc3f879p-13, 0x1.49adad2b6d799p-13, 0x1.4df6878c14191p-13, 0x1.5227e62b3918bp-13, 0x1.564192e2ab419p-13, 0x1.5a435cfb48b1cp-13, 0x1.5e2d1901a34a2p-13, 0x1.61fea0991d4b8p-13, 0x1.65b7d25234349p-13, 0x1.69589180f427cp-13, 0x1.6ce0c61455815p-13, 0x1.70505c6eeee5dp-13, 0x1.73a7454056f54p-13, 0x1.76e5755ed45a2p-13, 0x1.7a0ae5a25f9e8p-13, 0x1.7d1792c1c6d69p-13, 0x1.800b7d2e1c72p-13, 0x1.82e6a8f15e35ep-13, 0x1.85a91d8c8965dp-13, 0x1.8852e5d6e12adp-13, 0x1.8ae40fde656cbp-13, 0x1.8d5cacc7c8ddp-13, 0x1.8fbcd0b163b8ep-13, 0x1.9204929429a2p-13, 0x1.94340c27e609fp-13, 0x1.964b59c6b2753p-13, 0x1.984a9a51247cap-13, 0x1.9a31ef141a24ap-13, 0x1.9c017bae2dee2p-13, 0x1.9db965f6c208bp-13, 0x1.9f59d5e497523p-13, 0x1.a0e2f57638b7p-13, 0x1.a254f09a7c304p-13, 0x1.a3aff51936324p-13, 0x1.a4f4327d4f171p-13, 0x1.a621d9ff05921p-13, 0x1.a7391e6e7aff7p-13, 0x1.a83a341fb499bp-13, 0x1.a92550d6222f9p-13, 0x1.a9faabb1c7af8p-13, 0x1.aaba7d1bd6961p-13, 0x1.ab64feb42d0b2p-13, 0x1.abfa6b4051ffep-13, 0x1.ac7afe98d212p-13, 0x1.ace6f5998386cp-13, 0x1.ad3e8e10aaf17p-13, 0x1.ad8206af0589p-13, 0x1.adb19ef87a1fdp-13, 0x1.adcd97351a457p-13, 0x1.add630621fcddp-13, 0x1.adcbac24bb1e5p-13, 0x1.adae4cbb68fa4p-13, 0x1.ad7e54f12bff6p-13, 0x1.ad3c08106faa2p-13, 0x1.ace7a9d72867ap-13, 0x1.ac817e6990c57p-13, 0x1.ac09ca47790e8p-13, 0x1.ab80d24091b29p-13, 0x1.aae6db691b75bp-13, 0x1.aa3c2b0fb3599p-13, 0x1.a98106b3398dp-13, 0x1.a8b5b3f7edb0fp-13, 0x1.a7da789f0620ap-13, 0x1.a6ef9a7c6555ep-13, 0x1.a5f55f6e19c5fp-13, 0x1.a4ec0d53865eep-13, 0x1.a3d3ea05345bp-13, 0x1.a2ad3b4c626d7p-13, 0x1.a17846dbb8a9fp-13, 0x1.a03552474e969p-13, 0x1.9ee4a2fdd0913p-13, 0x1.9d867e41022dep-13, 0x1.9c1b291f6c85p-13, 0x1.9aa2e86e08e81p-13, 0x1.991e00c19b6b6p-13, 0x1.978cb668dc9b4p-13, 0x1.95ef4d67471e8p-13, 0x1.9446096eb6b58p-13, 0x1.92912ddaa927ap-13, 0x1.90d0fdaaf47b7p-13, 0x1.8f05bb7f692b1p-13, 0x1.8d2fa9922e4a1p-13, 0x1.8b4f09b472d7ep-13, 0x1.89641d49a2f81p-13, 0x1.876f25432f153p-13, 0x1.8570621ceb3c7p-13, 0x1.836813d990b36p-13, 0x1.815679fec98fp-13, 0x1.7f3bd39233fe1p-13, 0x1.7d185f162b06cp-13, 0x1.7aec5a8675259p-13, 0x1.78b803560f8d6p-13, 0x1.767b966bfa7f6p-13, 0x1.74375020c9fecp-13, 0x1.71eb6c3c264e1p-13, 0x1.6f9825f308ac5p-13, 0x1.6d3db7e52b9b9p-13, 0x1.6adc5c1b02437p-13, 0x1.68744c0424046p-13, 0x1.6605c07592372p-13, 0x1.6390f1a848ae4p-13, 0x1.6116173701c0dp-13, 0x1.5e95681db1e3p-13, 0x1.5c0f1ab7e04efp-13, 0x1.598364bfb76ddp-13, 0x1.56f27b4caf77ep-13, 0x1.545c92d2ff3e1p-13, 0x1.51c1df229ff5fp-13, 0x1.4f2293664d6c3p-13, 0x1.4c7ee22346f73p-13, 0x1.49d6fd38c7756p-13, 0x1.472b15df2d208p-13, 0x1.447b5ca7bfe89p-13, 0x1.41c8017c7d35cp-13, 0x1.3f1133a01a9c5p-13, 0x1.3c5721ad7cf39p-13, 0x1.3999f997c6bf9p-13, 0x1.36d9e8aa41acp-13, 0x1.34171b88b16a8p-13, 0x1.3151be2f6b1d6p-13, 0x1.2e89fbf346eeap-13, 0x1.2bbfff8254349p-13, 0x1.28f3f2e39fcc7p-13, 0x1.2625ff7823b1fp-13, 0x1.23564dfae9397p-13, 0x1.20850681ab311p-13, 0x1.1db2507d2524p-13, 0x1.1ade52b9f909fp-13, 0x1.180933614ce6dp-13, 0x1.153317f93d2f3p-13, 0x1.125c2565b88fp-13, 0x1.0f847fe96e9a4p-13, 0x1.0cac4b268a3fdp-13, 0x1.09d3aa1f73716p-13, 0x1.06fabf37cef13p-13, 0x1.0421ac354814dp-13, 0x1.01489240c3eadp-13, 0x1.fcdf23ce57c74p-14, 0x1.f72d963513186p-14, 0x1.f17cba667365ap-14, 0x1.ebcccde15fb82p-14, 0x1.e61e0cf5cf1cep-14, 0x1.e070b2c68b009p-14, 0x1.dac4f94bab184p-14, 0x1.d51b19552fe9ep-14, 0x1.cf734a8d313e4p-14, 0x1.c9cdc37a8e479p-14, 0x1.c42ab982c2017p-14, 0x1.be8a60ed4949p-14, 0x1.b8ecece5ec54fp-14, 0x1.b3528f7f12fc3p-14, 0x1.adbb79b42ccdbp-14, 0x1.a827db6d2cc6bp-14, 0x1.a297e3807f068p-14, 0x1.9d0bbfb63f57ap-14, 0x1.97839cca73863p-14, 0x1.91ffa67039439p-14, 0x1.8c8007541cc5p-14, 0x1.8704e91f386c1p-14, 0x1.818e7479e9ca7p-14, 0x1.7c1cd10ebb9bdp-14, 0x1.76b0258c9df24p-14, 0x1.714897aab4f8cp-14, 0x1.6be64c2a6190fp-14, 0x1.668966da43faep-14, 0x1.61320a99aac16p-14, 0x1.5be0595ac6efcp-14, 0x1.569474259b457p-14, 0x1.514e7b1af43cfp-14, 0x1.4c0e8d7764efdp-14, 0x1.46d4c996255b5p-14, 0x1.41a14cf3f12ebp-14, 0x1.3c74343173d9cp-14, 0x1.374d9b1689b74p-14, 0x1.322d9c955e167p-14, 0x1.2d1452ccb6804p-14, 0x1.2801d70b3c2adp-14, 0x1.22f641d1ebd0bp-14, 0x1.1df1aad7444cbp-14, 0x1.18f42909d9359p-14, 0x1.13fdd293518f4p-14, 0x1.0f0ebcdb0c699p-14, 0x1.0a26fc89266a7p-14, 0x1.0546a5892a22p-14, 0x1.006dcb0ca9acap-14, 0x1.f738ff1c1e8ccp-15, 0x1.eda5a9a76e5fdp-15, 0x1.e421b7e454652p-15, 0x1.daad4a9db57eap-15, 0x1.d1488146b3b26p-15, 0x1.c7f379ff5150ap-15, 0x1.beae5199e7f39p-15, 0x1.b57923a005a6cp-15, 0x1.ac540a58843bp-15, 0x1.a33f1ecc22b1fp-15, 0x1.9a3a78cab2058p-15, 0x1.91462ef0a1c56p-15, 0x1.886256ac47e42p-15, 0x1.7f8f04427855ap-15, 0x1.76cc4ad342262p-15, 0x1.6e1a3c5fe6bccp-15, 0x1.6578e9cf58facp-15, 0x1.5ce862f2cc33ep-15, 0x1.5468b68b066e9p-15, 0x1.4bf9f24d7c986p-15, 0x1.439c22e841e39p-15, 0x1.3b4f540754fb3p-15, 0x1.33139059988d4p-15, 0x1.2ae8e194f292ap-15, 0x1.22cf507afb592p-15, 0x1.1ac6e4ddfabc4p-15, 0x1.12cfa5a52a5ffp-15, 0x1.0ae998d1352c2p-15, 0x1.0314c380a7492p-15, 0x1.f6a253e87cd0bp-16, 0x1.e73d9f2763543p-16, 0x1.d7fb6de31ea73p-16, 0x1.c8dbc39ede5ffp-16, 0x1.b9dea2457ab04p-16, 0x1.ab040a307195ep-16, 0x1.9c4bfa313fe31p-16, 0x1.8db66f98e3bdbp-16, 0x1.7f43664007bbdp-16, 0x1.70f2d88ef007cp-16, 0x1.62c4bf865f657p-16, 0x1.54b912c529377p-16, 0x1.46cfc891d06cap-16, 0x1.3908d5e22055bp-16, 0x1.2b642e613c0bdp-16, 0x1.1de1c4785781p-16, 0x1.10818956061ddp-16, 0x1.03436cf47ec18p-16, 0x1.ec4ebc4366d4ap-17, 0x1.d25a950ba65c2p-17, 0x1.b8aa3d55192f1p-17, 0x1.9f3d8c03ea72ap-17, 0x1.861455da38723p-17, 0x1.6d2e6d851ce3ep-17, 0x1.548ba3ab5439ep-17, 0x1.3c2bc6f9263f5p-17, 0x1.240ea42d5062cp-17, 0x1.0c340625791b5p-17, 0x1.e9376bd8b11ap-18, 0x1.ba8af58655925p-18, 0x1.8c62345ffcb3ap-18, 0x1.5ebcb0162b76p-18, 0x1.3199ed0b7f031p-18, 0x1.04f96c755ae38p-18, 0x1.b1b558e2a6d8cp-19, 0x1.5a7a502cd2ce7p-19, 0x1.0440af2126101p-19, 0x1.5e0ec0d4680ebp-20, 0x1.6b3524b8ac2c1p-21, 0x1.e4525033604bep-25, -0x1.2ab712f41ffa1p-21, -0x1.37e2165a6609ep-20, -0x1.d8737294ca2dfp-20, -0x1.3b89030bc642bp-19, -0x1.89e020ef66e5dp-19, -0x1.d7404fd7f9322p-19, -0x1.11d568752a0d8p-18, -0x1.379074b19e364p-18, -0x1.5cd1f13a5ba62p-18, -0x1.819a84932885ep-18, -0x1.a5ead714129e6p-18, -0x1.c9c392da11005p-18, -0x1.ed2563b91aedfp-18, -0x1.08087b92266a8p-17, -0x1.19437e10e2975p-17, -0x1.2a44119dd91eep-17, -0x1.3b0a8f35bd99cp-17, -0x1.4b9750864acf5p-17, -0x1.5beaafe6e71fcp-17, -0x1.6c05085018d91p-17, -0x1.7be6b5547d34fp-17, -0x1.8b9013190b56fp-17, -0x1.9b017e4f7a10bp-17, -0x1.aa3b542ca9997p-17, -0x1.b93df261e50e6p-17, -0x1.c809b71860159p-17, -0x1.d69f00e7f2bb6p-17, -0x1.e4fe2ed2a8608p-17, -0x1.f327a03d0959ap-17, -0x1.008dda73782c7p-16, -0x1.076d6673695f7p-16, -0x1.0e32a451e30c9p-16, -0x1.14ddc466cffb9p-16, -0x1.1b6ef72ce545ap-16, -0x1.21e66d3dc0a8fp-16, -0x1.2844574e9b4c4p-16, -0x1.2e88e62f5d65dp-16, -0x1.34b44ac67f4edp-16, -0x1.3ac6b60e88336p-16, -0x1.40c05913ade82p-16, -0x1.46a164f145e93p-16, -0x1.4c6a0acf37ca7p-16, -0x1.521a7bdfc848cp-16, -0x1.57b2e95cf8fdep-16, -0x1.5d338485e0e01p-16, -0x1.629c7e9cf4b46p-16, -0x1.67ee08e5bbcap-16, -0x1.6d2854a28e138p-16, -0x1.724b931253b07p-16, -0x1.7757f56de9adp-16, -0x1.7c4dace711a1p-16, -0x1.812ceaa630818p-16, -0x1.85f5dfc7db01cp-16, -0x1.8aa8bd5ba6367p-16, -0x1.8f45b4614b7a9p-16, -0x1.93ccf5c7bccecp-16, -0x1.983eb26b8fe29p-16, -0x1.9c9b1b1433fd3p-16, -0x1.a0e26072ac4a1p-16, -0x1.a514b32071c7bp-16, -0x1.a932439d7463ap-16, -0x1.ad3b424e5ac85p-16, -0x1.b12fdf7b2fb1p-16, -0x1.b5104b4dd08d7p-16, -0x1.b8dcb5d09683bp-16, -0x1.bc954eed0f4b7p-16, -0x1.c03a466a4fb7bp-16, -0x1.c3cbcbeb63cb4p-16, -0x1.c74a0eee7c505p-16, -0x1.cab53ecbc1a5p-16, -0x1.ce0d8ab3bbe2cp-16, -0x1.d15321ae06aefp-16, -0x1.d48632984dd28p-16, -0x1.d7a6ec2568156p-16, -0x1.dab57cdc2fcecp-16, -0x1.ddb21316423d2p-16, -0x1.e09cdcfe82571p-16, -0x1.e3760891250bp-16, -0x1.e63dc39a00e6fp-16, -0x1.e8f43bb3a32ffp-16, -0x1.eb999e46758cap-16, -0x1.ee2e188819ba7p-16, -0x1.f0b1d77aa1f44p-16, -0x1.f32507eaf6f08p-16, -0x1.f587d6708cf04p-16, -0x1.f7da6f6d3c1ddp-16, -0x1.fa1cff0b7d781p-16, -0x1.fc4fb13dbb004p-16, -0x1.fe72b1be540cdp-16, -0x1.004316077b6acp-15, -0x1.014525bbbdf2ep-15, -0x1.023f9d82570cfp-15, -0x1.033292c4782d6p-15, -0x1.041e1acdbccf8p-15, -0x1.05024acb8ca6cp-15, -0x1.05df37cd12f9ap-15, -0x1.06b4f6c2c5365p-15, -0x1.07839c7eab5e3p-15, -0x1.084b3db379cc2p-15, -0x1.090beef4ca7ddp-15, -0x1.09c5c4b6c1ec8p-15, -0x1.0a78d34dfcad6p-15, -0x1.0b252eef327cep-15, -0x1.0bcaebaed8922p-15, -0x1.0c6a1d81a749bp-15, -0x1.0d02d83bdecbfp-15, -0x1.0d952f910c52fp-15, -0x1.0e2137143b2a5p-15, -0x1.0ea70237c3af7p-15, -0x1.0f26a44d05c85p-15, -0x1.0fa0308466ba4p-15, -0x1.1013b9ed58021p-15, -0x1.10815375ebf6bp-15, -0x1.10e90feaa9d4ap-15, -0x1.114b01f6f8bf2p-15, -0x1.11a73c250b938p-15, -0x1.11fdd0dd2083ep-15, -0x1.124ed265de0bep-15, -0x1.129a52e48842fp-15, -0x1.12e0645c99d1ap-15, -0x1.132118afafc48p-15, -0x1.135c819d8ddedp-15, -0x1.1392b0c4865ep-15, -0x1.13c3b7a0cd098p-15, -0x1.13efa78ce4b98p-15, -0x1.141691c157a4ep-15, -0x1.1438875502517p-15, -0x1.1455993c89968p-15, -0x1.146dd84b2ca97p-15, -0x1.148155324b562p-15, -0x1.149020812cb66p-15, -0x1.149a4aa554f11p-15, -0x1.149fe3eadf4cfp-15, -0x1.14a0fc7c03b0fp-15, -0x1.149da4613d8d7p-15, -0x1.1495eb818410dp-15, -0x1.1489e1a20838ap-15, -0x1.1479966678e9dp-15, -0x1.14651951872a5p-15, -0x1.144c79c408e9dp-15, -0x1.142fc6fd5d86dp-15, -0x1.140f101c06358p-15, -0x1.13ea641d38d4fp-15, -0x1.13c1d1dcffa39p-15, -0x1.1395681639f7dp-15, -0x1.1365356348d3fp-15, -0x1.1331483d4188ep-15, -0x1.12f9aefca2efcp-15, -0x1.12be77d96aabbp-15, -0x1.127fb0eae0ebfp-15, -0x1.123d6827e01e4p-15, -0x1.11f7ab66fb1ffp-15, -0x1.11ae885e880c9p-15, -0x1.11620ca48c111p-15, -0x1.111245af8e308p-15, -0x1.10bf40d5e7158p-15, -0x1.10690b4dfeae9p-15, -0x1.100fb22ec483fp-15, -0x1.0fb3426fef20bp-15, -0x1.0f53c8e979a65p-15, -0x1.0ef1525454571p-15, -0x1.0e8beb4a25e57p-15, -0x1.0e23a045c3118p-15, -0x1.0db87da37aaebp-15, -0x1.0d4a8fa05767cp-15, -0x1.0cd9e25af7ebbp-15, -0x1.0c6681d40a252p-15, -0x1.0bf079eda0177p-15, -0x1.0b77d66ba1008p-15, -0x1.0afca2f431d3dp-15, -0x1.0a7eeb0fc0666p-15, -0x1.09feba28bfb25p-15, -0x1.097c1b8c7f4afp-15, -0x1.08f71a6ad6556p-15, -0x1.086fc1d6467b4p-15, -0x1.07e61cc49e685p-15, -0x1.075a360eacb03p-15, -0x1.06cc18706f011p-15, -0x1.063bce89ac57dp-15, -0x1.05a962dd83de6p-15, -0x1.0514dfd2e0ef6p-15, -0x1.047e4fb50ad7p-15, -0x1.03e5bcb30e95dp-15, -0x1.034b30e02baf2p-15, -0x1.02aeb63490f3bp-15, -0x1.0210568cbc2d8p-15, -0x1.01701baa32f3cp-15, -0x1.00ce0f331074dp-15, -0x1.002a3ab304e7fp-15, -0x1.ff094f3641e61p-16, -0x1.fdbabe8323dd6p-16, -0x1.fc68d5c47d402p-16, -0x1.fb13a73ee6288p-16, -0x1.f9bb45020ebe7p-16, -0x1.f85fc0e9d3331p-16, -0x1.f7012c9fc7591p-16, -0x1.f59f999a00137p-16, -0x1.f43b191bffae8p-16, -0x1.f2d3bc375f36p-16, -0x1.f16993cb843cdp-16, -0x1.effcb086cc9fap-16, -0x1.ee8d22e67df1cp-16, -0x1.ed1afb365d01fp-16, -0x1.eba64992971f2p-16, }}, 
      {{-0x1.b601509ad7fbfp-1, -0x1.b5e924b0ab56ep-1, -0x1.b5c0785f1494p-1, -0x1.b586cca444058p-1, -0x1.b53b90e9487c3p-1, -0x1.b4de36d5fa01dp-1, -0x1.b46e42e0dea84p-1, -0x1.b3eb58c3239eep-1, -0x1.b35543c1b8e89p-1, -0x1.b2abfb2f0efd8p-1, -0x1.b1efa3c04fb17p-1, -0x1.b1208e61f1877p-1, -0x1.b03f3531cfcb6p-1, -0x1.af4c3733272b7p-1, -0x1.ae485339e5661p-1, -0x1.ad346272daa89p-1, -0x1.ac1152d7c6e08p-1, -0x1.aae021ca37c7ep-1, -0x1.a9a1d6ff15442p-1, -0x1.a8577fd69b619p-1, -0x1.a7022b313187fp-1, -0x1.a5a2e5c8c2ef7p-1, -0x1.a43ab70f8dc03p-1, -0x1.a2ca9e908aa29p-1, -0x1.a15391ca37ff9p-1, -0x1.9fd67a7a601fap-1, -0x1.9e543550487c6p-1, -0x1.9ccd90fa237dbp-1, -0x1.9b434d82aecd3p-1, -0x1.99b61bf44176cp-1, -0x1.98269e37334f1p-1, -0x1.969567224c903p-1, -0x1.9502fab4cd59cp-1, -0x1.936fce727bbebp-1, -0x1.91dc49db0d458p-1, -0x1.9048c6f70e5dap-1, -0x1.8eb592f53afb1p-1, -0x1.8d22eed3e6d87p-1, -0x1.8b911012c3214p-1, -0x1.8a002169d79eap-1, -0x1.887043830c4c8p-1, -0x1.86e18db40cdfap-1, -0x1.85540eb6b523ep-1, -0x1.83c7cd5e839d7p-1, -0x1.823cc949e0185p-1, -0x1.80b2fb8e36a11p-1, -0x1.7f2a575e291eep-1, -0x1.7da2caa93a8dp-1, -0x1.7c1c3eb485a79p-1, -0x1.7a9698ac2ccdbp-1, -0x1.7911ba2d4baep-1, -0x1.778d81c850cb9p-1, -0x1.7609cb7bafadcp-1, -0x1.74867126f2556p-1, -0x1.73034af6417cep-1, -0x1.71802fc67c7eep-1, -0x1.6ffcf58210d19p-1, -0x1.6e797176bdbbep-1, -0x1.6cf578a47e1a1p-1, -0x1.6b70e005d58b4p-1, -0x1.69eb7cd1c05dbp-1, -0x1.686524b78eca9p-1, -0x1.66ddae14ed097p-1, -0x1.6554f0266614p-1, -0x1.63cac332a5eddp-1, -0x1.623f00b0c82ffp-1, -0x1.60b18369faf7ep-1, -0x1.5f222796bd0aap-1, -0x1.5d90caf802971p-1, -0x1.5bfd4cec8291ep-1, -0x1.5a678e827459ep-1, -0x1.58cf7285fbe1p-1, -0x1.5734dd8c88bd8p-1, -0x1.5597b5fd62698p-1, -0x1.53f7e4179df19p-1, -0x1.525551f5b677ap-1, -0x1.50afeb8efc374p-1, -0x1.4f079eb70ed25p-1, -0x1.4d5c5b1b930ecp-1, -0x1.4bae12405037dp-1, -0x1.49fcb779e1c86p-1, -0x1.48483fe724f1bp-1, -0x1.4690a26986808p-1, -0x1.44d5d79c5530dp-1, -0x1.4317d9cb3a85bp-1, -0x1.4156a4e7f3a7cp-1, -0x1.3f92367f6bb6dp-1, -0x1.3dca8dae4c72ep-1, -0x1.3bffab1521624p-1, -0x1.3a3190cc1e2b4p-1, -0x1.386042569efffp-1, -0x1.368bc496747b7p-1, -0x1.34b41dbf0a557p-1, -0x1.32d9554878183p-1, -0x1.30fb73e287f0fp-1, -0x1.2f1a8367c1e7p-1, -0x1.2d368ed08248dp-1, -0x1.2b4fa22627d9ep-1, -0x1.2965ca765f77ap-1, -0x1.277915c696723p-1, -0x1.25899307978edp-1, -0x1.239752095a658p-1, -0x1.21a2636f07f62p-1, -0x1.1faad8a338a26p-1, -0x1.1db0c3cc6f4a3p-1, -0x1.1bb437c1d42d2p-1, -0x1.19b548003154p-1, -0x1.17b4089f312b7p-1, -0x1.15b08e46e344p-1, -0x1.13aaee2585062p-1, -0x1.11a33de5908bcp-1, -0x1.0f9993a412b98p-1, -0x1.0d8e05e744daap-1, -0x1.0b80ab956ded3p-1, -0x1.09719bec0932ap-1, -0x1.0760ee773043ep-1, -0x1.054ebb09494fbp-1, -0x1.033b19b2fa2e7p-1, -0x1.012622bb59e8ep-1, -0x1.fe1fdd30cf08bp-2, -0x1.f9f12bcf79ae9p-2, -0x1.f5c062cf063bap-2, -0x1.f18db3df448afp-2, -0x1.ed5950d65eaa6p-2, -0x1.e9236ba427236p-2, -0x1.e4ec3645dd21ap-2, -0x1.e0b3e2ba60cp-2, -0x1.dc7aa2f6d5b9fp-2, -0x1.d840a8dbb32f1p-2, -0x1.d406262a3ba23p-2, -0x1.cfcb4c7a5cc45p-2, -0x1.cb904d30f3858p-2, -0x1.c755597672aa1p-2, -0x1.c31aa22dea929p-2, -0x1.bee057ec6d5f1p-2, -0x1.baa6aaf0cd3bcp-2, -0x1.b66dcb1bb9acep-2, -0x1.b235e7e82e37dp-2, -0x1.adff306438919p-2, -0x1.a9c9d32a15719p-2, -0x1.a595fe5997b7fp-2, -0x1.a163df91e7fadp-2, -0x1.9d33a3eb891f9p-2, -0x1.990577f2b0146p-2, -0x1.94d987a1df441p-2, -0x1.90affe5cd2862p-2, -0x1.8c8906eba8a12p-2, -0x1.8864cb7659545p-2, -0x1.844375806b96bp-2, -0x1.80252de4ed5e7p-2, -0x1.7c0a1cd2af93ap-2, -0x1.77f269c8bb2fbp-2, -0x1.73de3b9309366p-2, -0x1.6fcdb84774bd1p-2, -0x1.6bc10542e53d1p-2, -0x1.67b84726b6e93p-2, -0x1.63b3a1d65597bp-2, -0x1.5fb33875130b1p-2, -0x1.5bb72d642e0d1p-2, -0x1.57bfa2410fa1cp-2, -0x1.53ccb7e3ba5ep-2, -0x1.4fde8e5d6a1f2p-2, -0x1.4bf544f764939p-2, -0x1.4810fa31f6a02p-2, -0x1.4431cbc3a225dp-2, -0x1.4057d698727bfp-2, -0x1.3c8336d1814abp-2, -0x1.38b407c4a21ap-2, -0x1.34ea63fc35755p-2, -0x1.312665372567p-2, -0x1.2d68246904417p-2, -0x1.29afb9ba5611bp-2, -0x1.25fd3c88f5568p-2, -0x1.2250c368a1f03p-2, -0x1.1eaa6423aca69p-2, -0x1.1b0a33bbc178ap-2, -0x1.1770466ad74dcp-2, -0x1.13dcafa435344p-2, -0x1.104f821599eep-2, -0x1.0cc8cfa87de03p-2, -0x1.0948a9836be1fp-2, -0x1.05cf200b7944ap-2, -0x1.025c42e5d1365p-2, -0x1.fde041f2b42e6p-3, -0x1.f71590e0dfd57p-3, -0x1.f0588d7567cbap-3, -0x1.e9a9511de06f4p-3, -0x1.e307f3da21ddfp-3, -0x1.dc748c4055e4ep-3, -0x1.d5ef2f812f48dp-3, -0x1.cf77f16c41996p-3, -0x1.c90ee4747286ep-3, -0x1.c2b419b48f485p-3, -0x1.bc67a0f3f47a9p-3, -0x1.b62988ab592dep-3, -0x1.aff9de09a8e8ap-3, -0x1.a9d8acf8f8edap-3, -0x1.a3c6002393809p-3, -0x1.9dc1e0f90db82p-3, -0x1.97cc57b375f1ap-3, -0x1.91e56b5c92fadp-3, -0x1.8c0d21d32882bp-3, -0x1.86437fd052692p-3, -0x1.808888ece4748p-3, -0x1.7adc3fa6d8fafp-3, -0x1.753ea566c310ep-3, -0x1.6fafba854b456p-3, -0x1.6a2f7e50b3681p-3, -0x1.64bdef125b3p-3, -0x1.5f5b0a144bec6p-3, -0x1.5a06cba6c5161p-3, -0x1.54c12f25caa3ap-3, -0x1.4f8a2efeb35d9p-3, -0x1.4a61c4b5b731fp-3, -0x1.4547e8eb7841ep-3, -0x1.403c936292162p-3, -0x1.3b3fbb05173d5p-3, -0x1.365155ea18961p-3, -0x1.3171595b1da5bp-3, -0x1.2c9fb9d997a7bp-3, -0x1.27dc6b2453bcp-3, -0x1.2327603cdd3ffp-3, -0x1.1e808b6cdbc18p-3, -0x1.19e7de4b6907ap-3, -0x1.155d49c25827p-3, -0x1.10e0be13774fp-3, -0x1.0c722addc0e0fp-3, -0x1.08117f22874p-3, -0x1.03bea94a8e28p-3, -0x1.fef32e5632ed3p-4, -0x1.f6846c15e48e7p-4, -0x1.ee30e54eaa605p-4, -0x1.e5f87271b8345p-4, -0x1.dddaeaf0ab3dcp-4, -0x1.d5d82547121b4p-4, -0x1.cdeff703dfc34p-4, -0x1.c62234d2c5d09p-4, -0x1.be6eb2855844ap-4, -0x1.b6d5431c26bc4p-4, -0x1.af55b8cfa7e6dp-4, -0x1.a7efe5190a9a4p-4, -0x1.a0a398bae032bp-4, -0x1.9970a3c9a03edp-4, -0x1.9256d5b418a47p-4, -0x1.8b55fd4ba7c3cp-4, -0x1.846de8cc609ccp-4, -0x1.7d9e65e5059dp-4, -0x1.76e741bee0f2fp-4, -0x1.7048490576868p-4, -0x1.69c147ee17566p-4, -0x1.63520a3f4a9bfp-4, -0x1.5cfa5b58130c3p-4, -0x1.56ba063716e49p-4, -0x1.5090d58198ff3p-4, -0x1.4a7e938a553a5p-4, -0x1.44830a5834f08p-4, -0x1.3e9e03ace1d6fp-4, -0x1.38cf490b3119cp-4, -0x1.3316a3bd6d926p-4, -0x1.2d73dcdb7b4a1p-4, -0x1.27e6bd50da43ep-4, -0x1.226f0de28454fp-4, -0x1.1d0c9734a448bp-4, -0x1.17bf21d03085cp-4, -0x1.128676285c87cp-4, -0x1.0d625c9fec174p-4, -0x1.08529d8e5f19ep-4, -0x1.03570145021d6p-4, -0x1.fcdea027ac256p-5, -0x1.f336a49cb4f59p-5, -0x1.e9b5a0a06c4d7p-5, -0x1.e05b25037a9f3p-5, -0x1.d726c2b8b1ca9p-5, -0x1.ce180add9778p-5, -0x1.c52e8ec2b61a7p-5, -0x1.bc69dff3a62a4p-5, -0x1.b3c9903ee2f34p-5, -0x1.ab4d31bd58aabp-5, -0x1.a2f456d9c0349p-5, -0x1.9abe9257b26e4p-5, -0x1.92ab775a8d61dp-5, -0x1.8aba996c16f96p-5, -0x1.82eb8c82eba03p-5, -0x1.7b3de508ac804p-5, -0x1.73b137e00495fp-5, -0x1.6c451a6a63dfdp-5, -0x1.64f9228d9705dp-5, -0x1.5dcce6b9205f6p-5, -0x1.56bffdeb5ce6bp-5, -0x1.4fd1ffb6789e9p-5, -0x1.490284453269bp-5, -0x1.4251245f69b37p-5, -0x1.3bbd796e801d2p-5, -0x1.35471d818664fp-5, -0x1.2eedab51434ccp-5, -0x1.28b0be4401815p-5, -0x1.228ff2713a529p-5, -0x1.1c8ae4a511fa2p-5, -0x1.16a13263a0dd3p-5, -0x1.10d279ec204f4p-5, -0x1.0b1e5a3be2331p-5, -0x1.05847311267b9p-5, -0x1.000464edc88fdp-5, -0x1.f53ba23384391p-6, -0x1.eaa0b34b16d56p-6, -0x1.e03742d8aef1p-6, -0x1.d5fe982c4d1c1p-6, -0x1.cbf5fc3380616p-6, -0x1.c21cb97cf4d8cp-6, -0x1.b8721c3be0727p-6, -0x1.aef5724b16643p-6, -0x1.a5a60b2fe4677p-6, -0x1.9c83381cb426ep-6, -0x1.938c4bf364318p-6, -0x1.8ac09b47727c5p-6, -0x1.821f7c5fe409bp-6, -0x1.79a84738f9e7p-6, -0x1.715a5585ab0e1p-6, -0x1.693502b0ea338p-6, -0x1.6137abdebbbbep-6, -0x1.5961afed14cd5p-6, -0x1.51b26f7482c98p-6, -0x1.4a294cc8be604p-6, -0x1.42c5abf8e48e9p-6, -0x1.3b86f2cfaeeacp-6, -0x1.346c88d3620c7p-6, -0x1.2d75d7459fcf6p-6, -0x1.26a2492312e2p-6, -0x1.1ff14b22e208fp-6, -0x1.19624bb6154eep-6, -0x1.12f4bb06c0196p-6, -0x1.0ca80af7134fap-6, -0x1.067baf2054108p-6, -0x1.006f1cd1947b9p-6, -0x1.f503961cde954p-7, -0x1.e966651b27233p-7, -0x1.de059b6e4b23p-7, -0x1.d2e031463dafp-7, -0x1.c7f5222ef8caep-7, -0x1.bd436d0cb7ee5p-7, -0x1.b2ca1417fa43dp-7, -0x1.a8881cd956764p-7, -0x1.9e7c902510917p-7, -0x1.94a67a169d975p-7, -0x1.8b04ea0bdc7dcp-7, -0x1.8196f2a048229p-7, -0x1.785ba9a7d4cefp-7, -0x1.6f522829d7942p-7, -0x1.66798a5ba479dp-7, -0x1.5dd0ef9b1bc89p-7, -0x1.55577a6919c67p-7, -0x1.4d0c5063af905p-7, -0x1.44ee9a405ee7ep-7, -0x1.3cfd83c6173cdp-7, -0x1.35383bc73d43dp-7, -0x1.2d9df41b7b86ep-7, -0x1.262de19982c5bp-7, -0x1.1ee73c10b6c6ap-7, -0x1.17c93e42d009p-7, -0x1.10d325dd52f6ep-7, -0x1.0a043373063e5p-7, -0x1.035baa755848p-7, -0x1.f9b1a25b47c44p-8, -0x1.ecf5e16cf3b2p-8, -0x1.e082a9e9ab2e4p-8, -0x1.d45699227b4a8p-8, -0x1.c87051e1d546fp-8, -0x1.bcce7c5d9ca06p-8, -0x1.b16fc62940a8p-8, -0x1.a652e227c8988p-8, -0x1.9b76887db9634p-8, -0x1.90d9768304c7cp-8, -0x1.867a6eb4cf9a6p-8, -0x1.7c5838a7751f9p-8, -0x1.7271a0f814775p-8, -0x1.68c5793e91ffep-8, -0x1.5f5297ff2ee33p-8, -0x1.5617d89c60411p-8, -0x1.4d141b488b0c1p-8, -0x1.444644f7c77fcp-8, -0x1.3bad3f51a015cp-8, -0x1.3347f8a2d4fc8p-8, -0x1.2b1563cf33892p-8, -0x1.2314784365389p-8, -0x1.1b4431e6c6914p-8, -0x1.13a3910d4af89p-8, -0x1.0c319a6966b8bp-8, -0x1.04ed56fe11cbcp-8, -0x1.fbaba8217c89dp-9, -0x1.edd44636fc049p-9, -0x1.e052b37e039f8p-9, -0x1.d3252369d2a38p-9, -0x1.c649d183d4404p-9, -0x1.b9bf015065a9dp-9, -0x1.ad82fe336cecfp-9, -0x1.a1941b556a7c6p-9, -0x1.95f0b3886a177p-9, -0x1.8a97292d47019p-9, -0x1.7f85e61914d1cp-9, -0x1.74bb5b7a805fcp-9, -0x1.6a3601bfd3631p-9, -0x1.5ff4587c7f993p-9, -0x1.55f4e64f67a26p-9, -0x1.4c3638c92e103p-9, -0x1.42b6e45282c32p-9, -0x1.39758412caeb3p-9, -0x1.3070b9d70ae6p-9, -0x1.27a72df8f423dp-9, -0x1.1f178f4612035p-9, -0x1.16c092e7469d8p-9, -0x1.0ea0f448776bbp-9, -0x1.06b775005fa4ep-9, -0x1.fe05b971837d6p-10, -0x1.ef03f22d377ep-10, -0x1.e0673b4578c28p-10, -0x1.d22d476514ac2p-10, -0x1.c453d4a1ce312p-10, -0x1.b6d8ac4ede6d6p-10, -0x1.a9b9a2cfdf08dp-10, -0x1.9cf4976bee09bp-10, -0x1.90877421946e6p-10, -0x1.84702d7aee151p-10, -0x1.78acc2626be27p-10, -0x1.6d3b3bf7c9b36p-10, -0x1.6219ad65f41f7p-10, -0x1.574633b8c7f3ap-10, -0x1.4cbef5b3ff6b2p-10, -0x1.428223a9cc169p-10, -0x1.388df752ad243p-10, -0x1.2ee0b3a51adf8p-10, -0x1.2578a4ae2b039p-10, -0x1.1c541f6a4710cp-10, -0x1.1371819e9ea9ep-10, -0x1.0acf31b2fac4p-10, -0x1.026b9e8be6686p-10, -0x1.f48a7ecb3ed86p-11, -0x1.e4b5275e27153p-11, -0x1.d55445cbb81f1p-11, -0x1.c664f8e3e7dc9p-11, -0x1.b7e46f058ddc7p-11, -0x1.a9cfe5d7c7036p-11, -0x1.9c24aa05541a3p-11, -0x1.8ee016f8858cep-11, -0x1.81ff9697e5702p-11, -0x1.7580a10444691p-11, -0x1.6960bc56e6559p-11, -0x1.5d9d7c614d822p-11, -0x1.5234826de7f56p-11, -0x1.47237d00c716bp-11, -0x1.3c68279a12b5ep-11, -0x1.32004a7940e21p-11, -0x1.27e9ba608f47p-11, -0x1.1e22585a34fe7p-11, -0x1.14a8117dafa0bp-11, -0x1.0b78deb63ef93p-11, -0x1.0292c48a6256ap-11, -0x1.f3e7a5c765b5p-12, -0x1.e33449b00ad81p-12, -0x1.d307c0e66d5b1p-12, -0x1.c35e6d02e9a48p-12, -0x1.b434c4b6141f4p-12, -0x1.a587536091371p-12, -0x1.9752b8ad2456dp-12, -0x1.8993a82c23955p-12, -0x1.7c46e8f0be689p-12, -0x1.6f69552f69fb5p-12, -0x1.62f7d9ddfddb1p-12, -0x1.56ef765597834p-12, -0x1.4b4d3bf54c9f5p-12, -0x1.400e4dc7702dap-12, -0x1.352fe026d96fp-12, -0x1.2aaf3867005e4p-12, -0x1.2089ac7cb995p-12, -0x1.16bca2a8b24c8p-12, -0x1.0d459122dc689p-12, -0x1.0421fdc865485p-12, -0x1.f69efb9221866p-13, -0x1.e5976ab06fe47p-13, -0x1.d528aebaef9ccp-13, -0x1.c54e4a4e1d9cap-13, -0x1.b603dc3c95929p-13, -0x1.a7451ef80d3aep-13, -0x1.990de7ffb814cp-13, -0x1.8b5a274e317d9p-13, -0x1.7e25e6cbd301bp-13, -0x1.716d49c39163dp-13, -0x1.652c8c5952258p-13, -0x1.5960030295559p-13, -0x1.4e041a02ea595p-13, -0x1.431554e945e2cp-13, -0x1.38904e0fea554p-13, -0x1.2e71b61f4944ap-13, -0x1.24b6539315347p-13, -0x1.1b5b023fcdd6bp-13, -0x1.125cb2dd2d96cp-13, -0x1.09b86a90bcf8ep-13, -0x1.016b427b20087p-13, -0x1.f2e4ce904679ep-14, -0x1.e396317f634fcp-14, -0x1.d4e552b3032e9p-14, -0x1.c6ccfba4d11dep-14, -0x1.b9481989a5658p-14, -0x1.ac51bc8223517p-14, -0x1.9fe516d3ea043p-14, -0x1.93fd7c21d5b14p-14, -0x1.889660abbf325p-14, -0x1.7dab589158914p-14, -0x1.733817157632dp-14, -0x1.69386de94d408p-14, -0x1.5fa84c78a14e4p-14, -0x1.5683bf39d6318p-14, -0x1.4dc6ef0174ea3p-14, -0x1.456e2059c7e6p-14, -0x1.3d75b2dbd82b7p-14, -0x1.35da208ec3c6fp-14, -0x1.2e97fd467e286p-14, -0x1.27abf60914d13p-14, -0x1.2112d075f6dc3p-14, -0x1.1ac96a2deb43p-14, -0x1.14ccb842997cdp-14, -0x1.0f19c6a4ff36bp-14, -0x1.09adb798543b8p-14, -0x1.0485c328bb7fep-14, -0x1.ff3e6d44a5dd4p-15, -0x1.f5eee81c56ad4p-15, -0x1.ed17e35f15221p-15, -0x1.e4b473083843cp-15, -0x1.dcbfd19031eabp-15, -0x1.d5355ef8467c5p-15, -0x1.ce109fd97e6fp-15, -0x1.c74d3c7bb5965p-15, -0x1.c0e6fff1bb783p-15, -0x1.bad9d737ed618p-15, -0x1.b521d0578c20ap-15, -0x1.afbb199148962p-15, -0x1.aaa200887209fp-15, -0x1.a5d2f1792faf3p-15, -0x1.a14a766999fc4p-15, -0x1.9d053669c7b67p-15, -0x1.98fff4ce9162ep-15, -0x1.95379077a9c1cp-15, -0x1.91a903165ba93p-15, -0x1.8e516077b6f94p-15, -0x1.8b2dd5d4d655ep-15, -0x1.883ba925e0313p-15, -0x1.8578387931ee4p-15, -0x1.82e0f94da6e3bp-15, -0x1.807377f1e36f7p-15, -0x1.7e2d56e61cab3p-15, -0x1.7c0c4e414d6ebp-15, -0x1.7a0e2b1a88702p-15, -0x1.7830cef542f7p-15, -0x1.76722f311580cp-15, -0x1.74d0547dc51d8p-15, -0x1.73495a4f85012p-15, -0x1.71db6e5aed03bp-15, -0x1.7084d0103cb65p-15, -0x1.6f43d01ab910ep-15, -0x1.6e16cfe42bee4p-15, -0x1.6cfc4119ad8e7p-15, -0x1.6bf2a5343dc2p-15, -0x1.6af88d0375e93p-15, -0x1.6a0c983c340b5p-15, -0x1.692d75086ece6p-15, -0x1.6859df9c20987p-15, -0x1.6790a1c921f3ap-15, -0x1.66d0929909426p-15, -0x1.661895e6d74a5p-15, -0x1.65679bfda153cp-15, -0x1.64bca1365a77ap-15, -0x1.6416ad9c04f56p-15, -0x1.6374d48ed15a7p-15, -0x1.62d6346ac262dp-15, -0x1.6239f63125bf3p-15, -0x1.619f4d3356e17p-15, -0x1.610576bf207a5p-15, -0x1.606bb9ce8e81fp-15, -0x1.5fd166b8abe1ap-15, -0x1.5f35d6e4da497p-15, -0x1.5e986c7fe5e5bp-15, -0x1.5df89232a4adap-15, -0x1.5d55badb69df3p-15, -0x1.5caf614907f5bp-15, -0x1.5c0507f5d7abap-15, -0x1.5b5638c708103p-15, -0x1.5aa284cbee9cbp-15, -0x1.59e983ffd0ad1p-15, -0x1.592ad50d1aa9ap-15, -0x1.58661d120c726p-15, -0x1.579b0766d20b8p-15, -0x1.56c945664c136p-15, -0x1.55f08e36855bp-15, -0x1.55109e941020fp-15, -0x1.5429389dad846p-15, -0x1.533a23a2bb74cp-15, -0x1.52432bf18dbc8p-15, -0x1.514422a7eb66cp-15, -0x1.503cdd84e5a9dp-15, -0x1.4f2d36bbed4fdp-15, -0x1.4e150cc8984ddp-15, -0x1.4cf44244abc79p-15, -0x1.4bcabdbe319a8p-15, -0x1.4a98698f233bdp-15, -0x1.495d33b6a143bp-15, -0x1.48190db32c37fp-15, -0x1.46cbec5cd95f4p-15, -0x1.4575c7c20ea8cp-15, -0x1.44169b04ed50fp-15, -0x1.42ae643992891p-15, -0x1.413d24448c00cp-15, -0x1.3fc2debbe7536p-15, -0x1.3e3f99c793156p-15, -0x1.3cb35e03c9932p-15, -0x1.3b1e3663bd22cp-15, -0x1.3980301572bep-15, -0x1.37d95a669f4bbp-15, -0x1.3629c6a9c39a5p-15, -0x1.3471881cb60b7p-15, -0x1.32b0b3cfc6731p-15, -0x1.30e7608d944f4p-15, -0x1.2f15a6c362bcap-15, -0x1.2d3ba06ad3fcbp-15, -0x1.2b5968f3d9399p-15, -0x1.296f1d2f46389p-15, -0x1.277cdb3a474fp-15, -0x1.2582c26afbe53p-15, -0x1.2380f33c886cep-15, -0x1.21778f3cf4117p-15, -0x1.1f66b8fb46e67p-15, -0x1.1d4e93f60be2bp-15, -0x1.1b2f4489fa7d1p-15, -0x1.1908efe2af633p-15, -0x1.16dbbbea300f9p-15, -0x1.14a7cf3a18987p-15, -0x1.126d510d3fab1p-15, -0x1.102c693131747p-15, -0x1.0de53ff8b808ap-15, -0x1.0b97fe2f13408p-15, -0x1.0944cd0b1eef5p-15, -0x1.06ebd622f450ap-15, -0x1.048d4360c096dp-15, -0x1.02293ef6b4e38p-15, -0x1.ff7fe6aa0b6dfp-16, -0x1.faa3163d9f168p-16, -0x1.f5bc624054285p-16, -0x1.f0cc208982535p-16, -0x1.ebd2a71d08ca7p-16, -0x1.e6d04c18f9271p-16, -0x1.e1c565a55c91dp-16, -0x1.dcb249e32ad57p-16, -0x1.d7974edcc4654p-16, -0x1.d274ca770d12ep-16, -0x1.cd4b1262877d9p-16, -0x1.c81a7c0e07a0dp-16, -0x1.c2e35c99e8884p-16, -0x1.bda608ca1417fp-16, -0x1.b862d4fb09858p-16, -0x1.b31a1516ca999p-16, -0x1.adcc1c88bb71fp-16, -0x1.a8793e340393ap-16, -0x1.a321cc69c5eadp-16, -0x1.9dc618deccffap-16, -0x1.986674a41ecdap-16, -0x1.9303301ccd001p-16, -0x1.8d9c9af71c80fp-16, -0x1.883304240c8a4p-16, -0x1.82c6b9d128fbep-16, -0x1.7d5809611645bp-16, -0x1.77e73f64fbfa4p-16, -0x1.7274a7974c23ep-16, -0x1.6d008cd5d2da2p-16, -0x1.678b391c076a1p-16, -0x1.6214f57e25181p-16, -0x1.5c9e0a255a06p-16, -0x1.5726be4add13p-16, -0x1.51af5833fd0cep-16, -0x1.4c381d2e8883ap-16, -0x1.46c1518d7daaep-16, -0x1.414b38a5d7c7p-16, -0x1.3bd614cbf052p-16, -0x1.36622750befa9p-16, -0x1.30efb07fe92a7p-16, -0x1.2b7eef9d7044dp-16, -0x1.261022e3735a1p-16, -0x1.20a38781a8683p-16, -0x1.1b39599abcc72p-16, -0x1.15d1d44424293p-16, -0x1.106d3184cbb2dp-16, -0x1.0b0baa5418039p-16, -0x1.05ad7699eaf97p-16, -0x1.0052cd2dc16e8p-16, -0x1.f5f7c7ad0d174p-17, -0x1.eb51de958990dp-17, -0x1.e0b4466168a9p-17, -0x1.d61f643c63731p-17, -0x1.cb939b330dcafp-17, -0x1.c1114c340f104p-17, -0x1.b698d6107e622p-17, -0x1.ac2a957e8232cp-17, -0x1.a1c6e51ad3f2fp-17, -0x1.976e1d6ac400cp-17, -0x1.8d2094debf4a9p-17, -0x1.82de9fd59a618p-17, -0x1.78a8909d769e8p-17, -0x1.6e7eb7790fb2ep-17, -0x1.646162a16a8fbp-17, -0x1.5a50de494a44p-17, -0x1.504d74a13f0eap-17, -0x1.46576ddb26e8ep-17, -0x1.3c6f102de7913p-17, -0x1.32949fd960121p-17, -0x1.28c85f2abf059p-17, -0x1.1f0a8e80f0565p-17, -0x1.155b6c5047704p-17, -0x1.0bbb35276916cp-17, -0x1.022a23b437898p-17, -0x1.f150e19110a85p-18, -0x1.de6ca6bc1f8fap-18, -0x1.cba80139291b5p-18, -0x1.b90357bb8e304p-18, -0x1.a67f0d659570ep-18, -0x1.941b81d291ed1p-18, -0x1.81d91122fde59p-18, -0x1.6fb81402e48eap-18, -0x1.5db8dfb874a0fp-18, -0x1.4bdbc62dc7eb6p-18, -0x1.3a2115fa50f6fp-18, -0x1.28891a6f1209cp-18, -0x1.17141ba1568c3p-18, -0x1.05c25e75ab42fp-18, -0x1.e92849560b0a8p-19, -0x1.c71359ccaeccp-19, -0x1.a5466578aa81bp-19, -0x1.83c1dd7d8a5fdp-19, -0x1.62862d0c8e61fp-19, -0x1.4193b97d81cefp-19, -0x1.20eae26274711p-19, -0x1.008c01a11fe93p-19, -0x1.c0eed70fd794dp-20, -0x1.815addcb7ece7p-20, -0x1.425caa3e330dcp-20, -0x1.03f4c48b2f17ap-20, -0x1.8c4754c269a48p-21, -0x1.11d39e3f9b17ep-21, -0x1.311e701b4c439p-22, -0x1.03d7066497ec2p-24, 0x1.59a2f1b258444p-23, 0x1.98360f7ba9c0fp-22, 0x1.409b7c1b53fcdp-21, 0x1.b3e9a6fc03cap-21, 0x1.130294017f603p-20, 0x1.4b76d8512be4fp-20, 0x1.835181e372cfcp-20, 0x1.ba927ac33cc06p-20, 0x1.f139b562974b5p-20, 0x1.13a3963877d0ap-19, 0x1.2e5d7157ee236p-19, 0x1.48ca716572bedp-19, 0x1.62ea9f96652cbp-19, 0x1.7cbe08ebca0cap-19, 0x1.9644be1c9974ap-19, 0x1.af7ed382594efp-19, 0x1.c86c610500fb3p-19, 0x1.e10d82055a216p-19, 0x1.f962554c83d93p-19, 0x1.08b57e7afda52p-18, 0x1.1493cf2de2d09p-18, 0x1.204c31027709ep-18, 0x1.2bdeb9c8e6e84p-18, 0x1.374b80d455328p-18, 0x1.42929ef191426p-18, 0x1.4db42e5eaecd3p-18, 0x1.58b04ac10f56dp-18, 0x1.6387111c625e7p-18, 0x1.6e389fc9ec72dp-18, 0x1.78c5167023041p-18, 0x1.832c95f9398f1p-18, 0x1.8d6f408af8cf8p-18, 0x1.978d397e6d4ddp-18, 0x1.a186a5578f019p-18, 0x1.ab5ba9bc4b4b9p-18, 0x1.b50c6d6cba1dcp-18, 0x1.be99183b3d3bep-18, 0x1.c801d30416497p-18, 0x1.d146c7a6346b6p-18, 0x1.da6820fb52f4dp-18, 0x1.e3660acfbb8ecp-18, 0x1.ec40b1db1e836p-18, 0x1.f4f843b90d5d8p-18, 0x1.fd8ceee2083ccp-18, 0x1.02ff7151eef85p-17, 0x1.0727278d472d1p-17, 0x1.0b3db294c2ef9p-17, 0x1.0f432b3a7bd99p-17, 0x1.1337aaad55046p-17, 0x1.171b4a759eaa7p-17, 0x1.1aee2471bfb22p-17, 0x1.1eb052d31970fp-17, 0x1.2261f01af1c69p-17, 0x1.2603171734937p-17, 0x1.2993e2df2f6c1p-17, 0x1.2d146ed0b559p-17, 0x1.3084d68d314cp-17, 0x1.33e535f6c0f0bp-17, 0x1.3735a92d01613p-17, 0x1.3a764c8a7b19cp-17, 0x1.3da73ca1efa94p-17, 0x1.40c8963b72336p-17, 0x1.43da7651d76dap-17, 0x1.46dcfa0fd50cbp-17, 0x1.49d03ecdb12a6p-17, 0x1.4cb4620e74ddep-17, 0x1.4f89817d9e5ebp-17, 0x1.524fbaecbf443p-17, 0x1.55072c50df8a6p-17, 0x1.57aff3c028ee5p-17, 0x1.5a4a2f6fb7305p-17, 0x1.5cd5fdb15a7fap-17, 0x1.5f537cf0edd02p-17, 0x1.61c2cbb2b37a8p-17, 0x1.642408911919p-17, 0x1.6677523a99a7fp-17, 0x1.68bcc76f8ceap-17, 0x1.6af487001963p-17, 0x1.6d1eafca86e13p-17, 0x1.6f3b60b8f3f12p-17, 0x1.714ab8bf9cdf3p-17, 0x1.734cd6db4c84cp-17, 0x1.7541da0f4fb4p-17, 0x1.7729e1636fd83p-17, 0x1.79050be283774p-17, 0x1.7ad37898e06fdp-17, 0x1.7c954692764e2p-17, 0x1.7e4a94d923b76p-17, 0x1.7ff382733cd4bp-17, 0x1.81902e6249f2ap-17, 0x1.8320b7a14d124p-17, 0x1.84a53d23244ccp-17, 0x1.861dddd1413e8p-17, 0x1.878ab88a33c47p-17, 0x1.88ebec204d3a8p-17, 0x1.8a4197586d83cp-17, 0x1.8b8bd8e89c324p-17, 0x1.8ccacf76d9e25p-17, 0x1.8dfe9997c096ap-17, 0x1.8f2755cd5f2a5p-17, 0x1.90452286249d8p-17, 0x1.91581e1babad5p-17, 0x1.926066d187dc9p-17, 0x1.935e1ad4719a9p-17, 0x1.9451583914bccp-17, 0x1.953a3cfb0470fp-17, 0x1.9618e6fbc7af2p-17, 0x1.96ed74021c6f3p-17, 0x1.97b801b89804dp-17, 0x1.9878adace03e5p-17, 0x1.992f954ef2edp-17, 0x1.99dcd5f06bfcbp-17, 0x1.9a808cc36f4f5p-17, 0x1.9b1ad6d9d7c5p-17, 0x1.9babd124a43d4p-17, 0x1.9c3398731271ep-17, 0x1.9cb24971f095fp-17, 0x1.9d2800aabb135p-17, 0x1.9d94da837e467p-17, 0x1.9df8f33d8c78fp-17, 0x1.9e5466f53a252p-17, 0x1.9ea751a114336p-17, 0x1.9ef1cf119dafp-17, 0x1.9f33faf05da96p-17, 0x1.9f6df0bf679c3p-17, 0x1.9f9fcbd8c6f93p-17, 0x1.9fc9a76e3cdf2p-17, 0x1.9feb9e88c1479p-17, 0x1.a005cc07dbda6p-17, 0x1.a0184aa130a31p-17, 0x1.a02334e03f369p-17, 0x1.a026a525e833dp-17, 0x1.a022b5a7f5a62p-17, 0x1.a0178070dfefp-17, 0x1.a0051f5f5ecdfp-17, 0x1.9febac2605f02p-17, 0x1.9fcb404b110eap-17, 0x1.9fa3f52842c8fp-17, 0x1.9f75e3ea4ec3ep-17, 0x1.9f412590791a9p-17, 0x1.9f05d2ecb04fep-17, 0x1.9ec404a33e0a6p-17, 0x1.9e7bd32a3e2cp-17, 0x1.9e2d56c9b2fecp-17, 0x1.9dd8a79b8535p-17, 0x1.9d7ddd8ae280cp-17, 0x1.9d1d105451c07p-17, 0x1.9cb657858aa52p-17, 0x1.9c49ca7d2c329p-17, 0x1.9bd7806ae3a89p-17, 0x1.9b5f904f01ddcp-17, 0x1.9ae210fa93bfap-17, 0x1.9a5f190f440e8p-17, 0x1.99d6beff48a2p-17, 0x1.9949190d66bb2p-17, 0x1.98b63d4cb7eebp-17, 0x1.981e41a07361p-17, 0x1.97813bbc69b71p-17, 0x1.96df4124a8dap-17, 0x1.9638672d59613p-17, 0x1.958cc2fb29372p-17, 0x1.94dc69832be5p-17, 0x1.94276f8a81389p-17, 0x1.936de9a69d533p-17, 0x1.92afec3d9c3fbp-17, 0x1.91ed8b85c3207p-17, 0x1.9126db85edb61p-17, 0x1.905bf015889cp-17, 0x1.8f8cdcdc7ffd2p-17, 0x1.8eb9b55376574p-17, 0x1.8de28cc402738p-17, 0x1.8d077648859b1p-17, 0x1.8c2884cc4e2d8p-17, 0x1.8b45cb0bc44ep-17, 0x1.8a5f5b94756adp-17, 0x1.897548c536d36p-17, 0x1.8887a4ce4b311p-17, 0x1.879681b1c4867p-17, 0x1.86a1f1433c20bp-17, 0x1.85aa05282ed35p-17, 0x1.84aeced812964p-17, 0x1.83b05f9c95eefp-17, 0x1.82aec891c84abp-17, 0x1.81aa1aa636d11p-17, 0x1.80a2669afacd8p-17, 0x1.7f97bd04359f7p-17, 0x1.7e8a2e4908152p-17, 0x1.7d79caa3bda73p-17, 0x1.7c66a22248697p-17, 0x1.7b50c4a5fbddap-17, 0x1.7a3841e41ba06p-17, 0x1.791d2965eb432p-17, 0x1.77ff8a88fc1edp-17, 0x1.76df747f3035dp-17, 0x1.75bcf64f2a9c8p-17, 0x1.74981ed4835b7p-17, 0x1.7370fcbfde7dcp-17, 0x1.72479e973b55p-17, 0x1.711c12b64af13p-17, 0x1.6fee674e562fap-17, 0x1.6ebeaa66c6a42p-17, 0x1.6d8ce9dd64911p-17, 0x1.6c59336670d83p-17, 0x1.6b23948cfb72ap-17, 0x1.69ec1ab2f1da8p-17, 0x1.68b2d311b7cd9p-17, 0x1.6777caba35b73p-17, 0x1.663b0e951537p-17, 0x1.64fcab62e97b8p-17, 0x1.63bcadbc9faabp-17, 0x1.627b2213bcda9p-17, 0x1.613814b291f27p-17, 0x1.5ff391bc5cd0cp-17, 0x1.5eada52dce51bp-17, 0x1.5d665add525e6p-17, 0x1.5c1dbe7b0746cp-17, 0x1.5ad3db9133eebp-17, 0x1.5988bd848a189p-17, 0x1.583c6f945e9a3p-17, 0x1.56eefcdb02b66p-17, 0x1.55a0704dfdc29p-17, 0x1.5450d4be622dcp-17, 0x1.530034d8decc1p-17, 0x1.51ae9b263c37dp-17, 0x1.505c120bc1b2fp-17, 0x1.4f08a3cb15e14p-17, 0x1.4db45a82d5abep-17, 0x1.4c5f402eb33d6p-17, 0x1.4b095ea7d51f5p-17, 0x1.49b2bfa519ac9p-17, 0x1.485b6cbb2c8a6p-17, 0x1.47036f5d19f18p-17, 0x1.45aad0dc9f18cp-17, 0x1.44519a6a05507p-17, 0x1.42f7d514aa328p-17, 0x1.419d89cb88fap-17, 0x1.4042c15d08effp-17, 0x1.3ee784776373cp-17, 0x1.3d8bdba933aap-17, 0x1.3c2fcf61906d8p-17, 0x1.3ad367f02f0a4p-17, 0x1.3976ad85c6897p-17, 0x1.3819a8346a7cp-17, 0x1.36bc5fefc6eebp-17, 0x1.355edc8d4b5bep-17, 0x1.340125c4a1911p-17, 0x1.32a3432fb1dc9p-17, 0x1.31453c4b0bae6p-17, 0x1.2fe718765a78ap-17, 0x1.2e88def44b99dp-17, 0x1.2d2a96eb10eeap-17, 0x1.2bcc4764b4fb3p-17, 0x1.2a6df74f3876fp-17, 0x1.290fad7ccccebp-17, 0x1.27b170a43e36bp-17, 0x1.265347613e079p-17, 0x1.24f538346a866p-17, 0x1.23974983bb8e8p-17, 0x1.2239819af952p-17, 0x1.20dbe6ab7a33p-17, 0x1.1f7e7eccdbcf9p-17, 0x1.1e214ffd3b5aap-17, 0x1.1cc460212d404p-17, 0x1.1b67b50430955p-17, 0x1.1a0b5458fbe7fp-17, 0x1.18af43b9bed1bp-17, 0x1.175388a82907bp-17, 0x1.15f8288dda0abp-17, 0x1.149d28bcca5bcp-17, 0x1.13428e6f21b0dp-17, 0x1.11e85ec7dcb05p-17, 0x1.108e9ed2d3b74p-17, 0x1.0f355384eab1ap-17, 0x1.0ddc81bcbdc12p-17, 0x1.0c842e4234494p-17, 0x1.0b2c5dc735a85p-17, 0x1.09d514e7fc5e5p-17, 0x1.087e582acf949p-17, 0x1.07282c00b922p-17, 0x1.05d294c5bd50bp-17, 0x1.047d96c0b6437p-17, 0x1.03293623dc6f4p-17, 0x1.01d5770d22445p-17, 0x1.00825d85fdd87p-17, 0x1.fe5fdb0819d0dp-18, 0x1.fbbc55d2729b9p-18, 0x1.f91a330733284p-18, 0x1.f6797a1c51ba1p-18, 0x1.f3da3261a8453p-18, 0x1.f13c630106e08p-18, 0x1.eea012fee193ap-18, 0x1.ec05493b18f26p-18, 0x1.e96c0c710681cp-18, 0x1.e6d46337af724p-18, 0x1.e43e5402ec59bp-18, 0x1.e1a9e5232a137p-18, 0x1.df171cc6378c8p-18, 0x1.dc8600f77397ap-18, 0x1.d9f697a03f111p-18, 0x1.d768e688f270ep-18, 0x1.d4dcf358352dcp-18, 0x1.d252c39446e56p-18, 0x1.cfca5ca340cabp-18, 0x1.cd43c3caf27b3p-18, 0x1.cabefe32268bap-18, 0x1.c83c10e0492dap-18, 0x1.c5bb00bdf48e3p-18, 0x1.c33bd295cbe3dp-18, 0x1.c0be8b142992cp-18, 0x1.be432ec7eefdcp-18, 0x1.bbc9c223120b2p-18, 0x1.b952497a46632p-18, 0x1.b6dcc906101edp-18, 0x1.b46944e315101p-18, 0x1.b1f7c111cf829p-18, 0x1.af88417793f25p-18, 0x1.ad1ac9df040dp-18, 0x1.aaaf5df7aaad6p-18, 0x1.a846015700b5p-18, 0x1.a5deb778996f1p-18, 0x1.a37983be5ba25p-18, 0x1.a116697104b64p-18, 0x1.9eb56bc03ce01p-18, 0x1.9c568dc37109ap-18, 0x1.99f9d279618b4p-18, 0x1.979f3cc9254a1p-18, 0x1.9546cf82700c5p-18, 0x1.92f08d5d2d979p-18, 0x1.909c78fae63b7p-18, 0x1.8e4a94e62b3e9p-18, 0x1.8bfae3934a6fep-18, 0x1.89ad6760dacedp-18, 0x1.876222975716p-18, 0x1.8519176a2c618p-18, 0x1.82d247f7a601ap-18, 0x1.808db6491a71ap-18, 0x1.7e4b6453c0ecp-18, 0x1.7c0b53f845e7cp-18, 0x1.79cd870387994p-18, 0x1.7791ff2f232dep-18, 0x1.7558be20e3d0ep-18, 0x1.7321c56bc37bfp-18, 0x1.70ed169035e79p-18, 0x1.6ebab2fbcee75p-18, 0x1.6c8a9c0a2aba4p-18, 0x1.6a5cd30507fbdp-18, 0x1.6831592451704p-18, 0x1.66082f8e8a1bp-18, 0x1.63e1575948e56p-18, 0x1.61bcd18919c71p-18, 0x1.5f9a9f11d643p-18, 0x1.5d7ac0d765a73p-18, 0x1.5b5d37ad0f88cp-18, 0x1.594204569480dp-18, }}, 
      std::vector<double>(1100, 0.0), 
      {{-0x1.66d0303857027p-7, -0x1.66de736dd579fp-6, -0x1.0d3f77d39330ap-5, -0x1.673954acdcc9cp-5, -0x1.c173e25bcddb1p-5, -0x1.0e01e0e92d0b7p-4, -0x1.3b7b6ad0517cdp-4, -0x1.69289e4fc6e28p-4, -0x1.9705dacd27695p-4, -0x1.c509a43e71061p-4, -0x1.f324f9105b619p-4, -0x1.10a201da20454p-3, -0x1.27a78244c31dfp-3, -0x1.3e95ab3309174p-3, -0x1.555e3b518b6b5p-3, -0x1.6bf28004e6b37p-3, -0x1.8243c6d2bd757p-3, -0x1.9843bf8f7664cp-3, -0x1.ade4cdea25d2ep-3, -0x1.c31a4a3c50827p-3, -0x1.d7d8b26758978p-3, -0x1.ec15cc1a42953p-3, -0x1.ffc8ba2b3ac6p-3, -0x1.09750368fe63dp-2, -0x1.12b9d24837aaap-2, -0x1.1bb073c090e13p-2, -0x1.24573c4fc203bp-2, -0x1.2cad223977c1dp-2, -0x1.34b1b32bc3b7fp-2, -0x1.3c6508b9486ap-2, -0x1.43c7bc1a36424p-2, -0x1.4adad99166ee6p-2, -0x1.519fd3c113ae9p-2, -0x1.5818772b11364p-2, -0x1.5e46de0b17084p-2, -0x1.642d64ae42d38p-2, -0x1.69ce9e617155ep-2, -0x1.6f2d4b084f25cp-2, -0x1.744c4d687cebep-2, -0x1.792ea22f16064p-2, -0x1.7dd757b2bf542p-2, -0x1.824986712c2c4p-2, -0x1.86884a449534fp-2, -0x1.8a96bc4ba463p-2, -0x1.8e77ed7cffb14p-2, -0x1.922ee1de8efd3p-2, -0x1.95be8c57e916p-2, -0x1.9929cb16d8068p-2, -0x1.9c73647cae176p-2, -0x1.9f9e048b04eedp-2, -0x1.a2ac3ac685e7ap-2, -0x1.a5a0788680fedp-2, -0x1.a87d0fa841ef7p-2, -0x1.ab44319d66a24p-2, -0x1.adf7eeccb033bp-2, -0x1.b09a363d38d4dp-2, -0x1.b32cd58446a9dp-2, -0x1.b5b178ee6227ap-2, -0x1.b829abdcb3438p-2, -0x1.ba96d9501b1c6p-2, -0x1.bcfa4c9beaa91p-2, -0x1.bf55323a7581ap-2, -0x1.c1a898be3940fp-2, -0x1.c3f571daabafap-2, -0x1.c63c938034b78p-2, -0x1.c87eb9072ede7p-2, -0x1.cabc846634cacp-2, -0x1.ccf67f7058849p-2, -0x1.cf2d1d1833d89p-2, -0x1.d160bab52514dp-2, -0x1.d391a14849cd4p-2, -0x1.d5c006bf1a413p-2, -0x1.d7ec0f31d796cp-2, -0x1.da15ce1c2e2f9p-2, -0x1.dc3d478eb88f9p-2, -0x1.de62715843336p-2, -0x1.e0853425e1a5dp-2, -0x1.e2a56c991896bp-2, -0x1.e4c2ec53884cfp-2, -0x1.e6dd7af7a9efap-2, -0x1.e8f4d71e54726p-2, -0x1.eb08b740dd99ep-2, -0x1.ed18ca97c26cbp-2, -0x1.ef24b9ede281p-2, -0x1.f12c28685edb7p-2, -0x1.f32eb44352eabp-2, -0x1.f52bf7839aa24p-2, -0x1.f723889decf54p-2, -0x1.f914fb139e407p-2, -0x1.faffe005653e2p-2, -0x1.fce3c6bc78b6p-2, -0x1.fec03d2a728c9p-2, -0x1.004a68302e3b5p-1, -0x1.0130867ea5bd4p-1, -0x1.02123fca7b374p-1, -0x1.02ef5a8758819p-1, -0x1.03c79d7e967dfp-1, -0x1.049acff7b94f1p-1, -0x1.0568b9ddb263bp-1, -0x1.063123e11ff81p-1, -0x1.06f3d797b32ccp-1, -0x1.07b09f98eae18p-1, -0x1.0867479850d7ap-1, -0x1.09179c7d5c14bp-1, -0x1.09c16c7925607p-1, -0x1.0a64871a0e317p-1, -0x1.0b00bd5d7f333p-1, -0x1.0b95e1bfdba38p-1, -0x1.0c23c84acc473p-1, -0x1.0caa46a1fa962p-1, -0x1.0d29340e58edcp-1, -0x1.0da069880fc1dp-1, -0x1.0e0fc1bf2602p-1, -0x1.0e771922fce39p-1, -0x1.0ed64de8adcc3p-1, -0x1.0f2d401061e43p-1, -0x1.0f7bd169b12cp-1, -0x1.0fc1e5971878bp-1, -0x1.0fff6210962d1p-1, -0x1.10342e2579c73p-1, -0x1.106032fd733cfp-1, -0x1.10835b98eb9a8p-1, -0x1.109d94d0b3ddap-1, -0x1.10aecd5510de3p-1, -0x1.10b6f5ac2febep-1, -0x1.10b6003008beep-1, -0x1.10abe10bb7827p-1, -0x1.10988e3854e92p-1, -0x1.107bff7950b09p-1, -0x1.10562e585a3c5p-1, -0x1.10271620d4a46p-1, -0x1.0feeb3dae59c6p-1, -0x1.0fad06461accap-1, -0x1.0f620dd3b2269p-1, -0x1.0f0dcca0848bep-1, -0x1.0eb0466e9a418p-1, -0x1.0e49809e6c7bap-1, -0x1.0dd98227d8d8fp-1, -0x1.0d605392c938ap-1, -0x1.0cddfeef95da7p-1, -0x1.0c528fcf24dd9p-1, -0x1.0bbe133acadb4p-1, -0x1.0b2097abf021dp-1, -0x1.0a7a2d037e84dp-1, -0x1.09cae4811c9a1p-1, -0x1.0912d0ba370b3p-1, -0x1.08520590decdap-1, -0x1.0788982a7e031p-1, -0x1.06b69ee6673f3p-1, -0x1.05dc315442802p-1, -0x1.04f9682a5c765p-1, -0x1.040e5d3bdb30ep-1, -0x1.031b2b6ed7bep-1, -0x1.021feeb2689ecp-1, -0x1.011cc3f4963d4p-1, -0x1.0011c918457ddp-1, -0x1.fdfe39d628eb2p-2, -0x1.fbc9be3665e5dp-2, -0x1.f986605a67fabp-2, -0x1.f73462e3bdc84p-2, -0x1.f4d409f80884bp-2, -0x1.f2659b2ca8396p-2, -0x1.efe95d727c391p-2, -0x1.ed5f9901b7d15p-2, -0x1.eac89745ce4bap-2, -0x1.e824a2c9828d8p-2, -0x1.e57407231896fp-2, -0x1.e2b710e0b1a94p-2, -0x1.dfee0d74d69cap-2, -0x1.dd194b2334c8bp-2, -0x1.da3918ed9339ap-2, -0x1.d74dc68104957p-2, -0x1.d457a42355438p-2, -0x1.d15702a0c1b37p-2, -0x1.ce4c3339efef6p-2, -0x1.cb3787923776bp-2, -0x1.c819519e336c5p-2, -0x1.c4f1e392abda6p-2, -0x1.c1c18fd3cc5d7p-2, -0x1.be88a8e4b5d97p-2, -0x1.bb47815766d3bp-2, -0x1.b7fe6bbd048ep-2, -0x1.b4adba967a55bp-2, -0x1.b155c0457e6afp-2, -0x1.adf6cefdf7a9dp-2, -0x1.aa9138b7c232cp-2, -0x1.a7254f20dda0dp-2, -0x1.a3b3638ffd533p-2, -0x1.a03bc6f780824p-2, -0x1.9cbec9d8d2903p-2, -0x1.993cbc3832b49p-2, -0x1.95b5ed90e453fp-2, -0x1.922aacc9c8045p-2, -0x1.8e9b482a5f708p-2, -0x1.8b080d5038968p-2, -0x1.87714924c4c66p-2, -0x1.83d747d395a9bp-2, -0x1.803a54c1075ddp-2, -0x1.7c9aba814df2dp-2, -0x1.78f8c2cfedcabp-2, -0x1.7554b6879a712p-2, -0x1.71aedd9a7b0cp-2, -0x1.6e077f0ad4d5p-2, -0x1.6a5ee0e41aba4p-2, -0x1.66b548345ce04p-2, -0x1.630af9061dbbbp-2, -0x1.5f60365a85499p-2, -0x1.5bb54223f5eaap-2, -0x1.580a5d40fd9a2p-2, -0x1.545fc777a22f2p-2, -0x1.50b5bf710c9d4p-2, -0x1.4d0c82b589f84p-2, -0x1.49644da8e38c7p-2, -0x1.45bd5b870f5dfp-2, -0x1.4217e66132756p-2, -0x1.3e74271af6bcfp-2, -0x1.3ad2556830077p-2, -0x1.3732a7cacfd0ep-2, -0x1.3395539126675p-2, -0x1.2ffa8cd46d85cp-2, -0x1.2c6286779b809p-2, -0x1.28cd72267d414p-2, -0x1.253b8055154ep-2, -0x1.21ace03f3ccabp-2, -0x1.1e21bfe886e24p-2, -0x1.1a9a4c1c5e3e6p-2, -0x1.1716b06e64777p-2, -0x1.1397173b08eeep-2, -0x1.101ba9a85947p-2, -0x1.0ca48fa706a13p-2, -0x1.0931eff3a246dp-2, -0x1.05c3f0180ab3p-2, -0x1.025ab46d0a4eep-2, -0x1.fdecc03847d6cp-3, -0x1.f72e2a431bb2cp-3, -0x1.f079e89ca92e5p-3, -0x1.e9d03a9553d2dp-3, -0x1.e3315d30b2ac6p-3, -0x1.dc9d8b2ac160ep-3, -0x1.d614fcfd5eaeep-3, -0x1.cf97e8e6079dap-3, -0x1.c92682ebd6687p-3, -0x1.c2c0fce5be1adp-3, -0x1.bc678680fbd51p-3, -0x1.b61a4d47be9a2p-3, -0x1.afd97ca807686p-3, -0x1.a9a53dfaaf25ap-3, -0x1.a37db88a9f8fap-3, -0x1.9d63119c303c9p-3, -0x1.97556c74b23a4p-3, -0x1.9154ea62152fep-3, -0x1.8b61aac2aecd2p-3, -0x1.857bcb0d29cfp-3, -0x1.7fa366d87dd03p-3, -0x1.79d897e41233p-3, -0x1.741b761fe9d7dp-3, -0x1.6e6c17b4e773bp-3, -0x1.68ca910d20dbap-3, -0x1.6336f4dc468afp-3, -0x1.5db154280a47fp-3, -0x1.5839be50a2d07p-3, -0x1.52d0411945d84p-3, -0x1.4d74e8b0b0fcbp-3, -0x1.4827bfb9b71d3p-3, -0x1.42e8cf53cbf24p-3, -0x1.3db81f239409ap-3, -0x1.3895b55b6e9aep-3, -0x1.338196c3ff5b6p-3, -0x1.2e7bc6c4b6905p-3, -0x1.2984476c486a6p-3, -0x1.249b19792b6a2p-3, -0x1.1fc03c61ffe6cp-3, -0x1.1af3ae5df32e5p-3, -0x1.16356c6d18179p-3, -0x1.11857260b0a08p-3, -0x1.0ce3bae365138p-3, -0x1.08503f817260cp-3, -0x1.03caf8b0c7c1ap-3, -0x1.fea7bbb215b2ep-4, -0x1.f5d5cab722903p-4, -0x1.ed20093686bc9p-4, -0x1.e4866008d8b18p-4, -0x1.dc08b628e93bfp-4, -0x1.d3a6f0c303314p-4, -0x1.cb60f34414454p-4, -0x1.c3369f688a3abp-4, -0x1.bb27d54b1cba2p-4, -0x1.b334737350c9ep-4, -0x1.ab5c56e3d592ap-4, -0x1.a39f5b28ac5cap-4, -0x1.9bfd5a651a047p-4, -0x1.94762d6165108p-4, -0x1.8d09ab9860c2bp-4, -0x1.85b7ab44be1bap-4, -0x1.7e80016e29ad2p-4, -0x1.776281f62f311p-4, -0x1.705effa4e778ap-4, -0x1.69754c3570b35p-4, -0x1.62a5386226265p-4, -0x1.5bee93f0a8bd9p-4, -0x1.55512dbda9564p-4, -0x1.4eccd3c87b453p-4, -0x1.4861533e6e918p-4, -0x1.420e7885ed7d9p-4, -0x1.3bd40f4967c06p-4, -0x1.35b1e281fb989p-4, -0x1.2fa7bc81ed43fp-4, -0x1.29b566fee32d8p-4, -0x1.23daab1be5f12p-4, -0x1.1e1751732ca73p-4, -0x1.186b221faf216p-4, -0x1.12d5e4c67e1acp-4, -0x1.0d57609fe69fep-4, -0x1.07ef5c805bc42p-4, -0x1.029d9ee12be9ap-4, -0x1.fac3dbd1f5264p-5, -0x1.f0781ee812f6bp-5, -0x1.e657923890fdep-5, -0x1.dc61c08263f6ep-5, -0x1.d296341ee2b1cp-5, -0x1.c8f47710aa4e1p-5, -0x1.bf7c13121940dp-5, -0x1.b62c91a370a31p-5, -0x1.ad057c1878f24p-5, -0x1.a4065ba5dda22p-5, -0x1.9b2eb96e0d2f2p-5, -0x1.927e1e8dcc7dp-5, -0x1.89f414285c6f4p-5, -0x1.8190237344babp-5, -0x1.7951d5c1c558ep-5, -0x1.7138b48fe35afp-5, -0x1.6944498d21a55p-5, -0x1.61741ea6e2695p-5, -0x1.59c7be1261e1fp-5, -0x1.523eb2566f453p-5, -0x1.4ad88654c43f6p-5, -0x1.4394c5530201fp-5, -0x1.3c72fb0370bfbp-5, -0x1.3572b38d575dep-5, -0x1.2e937b9515925p-5, -0x1.27d4e043e33bap-5, -0x1.21366f4f4cdf1p-5, -0x1.1ab7b7005d77dp-5, -0x1.1458463a818dcp-5, -0x1.0e17ac822285ap-5, -0x1.07f57a02febd2p-5, -0x1.01f13f962cdc3p-5, -0x1.f8151d8fecaaap-6, -0x1.ec81f3baa248fp-6, -0x1.e12827b258558p-6, -0x1.d606e102f598ep-6, -0x1.cb1d48c7ebf08p-6, -0x1.c06a89b55d796p-6, -0x1.b5edd020ac8cep-6, -0x1.aba64a08bcecep-6, -0x1.a193271d9fc1ap-6, -0x1.97b398c7e3691p-6, -0x1.8e06d22f6e758p-6, -0x1.848c08420202fp-6, -0x1.7b4271b93928ep-6, -0x1.722947203c6d4p-6, -0x1.693fc2d908d8ep-6, -0x1.60852121531f2p-6, -0x1.57f8a01718718p-6, -0x1.4f997fbcd323ap-6, -0x1.476701fd4c177p-6, -0x1.3f606aaf2a038p-6, -0x1.3784ff98123efp-6, -0x1.2fd4086f957aap-6, -0x1.284ccee1c04b9p-6, -0x1.20ee9e915c30ep-6, -0x1.19b8c519e9876p-6, -0x1.12aa9211531eap-6, -0x1.0bc3570966b22p-6, -0x1.05026790e80d7p-6, -0x1.fcce3269296adp-7, -0x1.efe186ff6149ep-7, -0x1.e33d7ff90b564p-7, -0x1.d6e0d4692689bp-7, -0x1.caca3f60f1993p-7, -0x1.bef87fef7a5d4p-7, -0x1.b36a5920a4b7ap-7, -0x1.a81e91fbe848bp-7, -0x1.9d13f582870a7p-7, -0x1.924952ad7682bp-7, -0x1.87bd7c6af5ecbp-7, -0x1.7d6f499ba017fp-7, -0x1.735d950f6dcb1p-7, -0x1.69873d8214e62p-7, -0x1.5feb2597634bap-7, -0x1.568833d7049adp-7, -0x1.4d5d52a840e13p-7, -0x1.4469704d41fa8p-7, -0x1.3bab7ede3e339p-7, -0x1.3322744432324p-7, -0x1.2acd4a339127p-7, -0x1.22aafe2693e2dp-7, -0x1.1aba91575bbc3p-7, -0x1.12fb08b9ef2bfp-7, -0x1.0b6b6cf5d6dacp-7, -0x1.040aca5fce3eep-7, -0x1.f9b061e5e264ap-8, -0x1.eba5689412b0fp-8, -0x1.ddf2d73129b91p-8, -0x1.d096e3471735cp-8, -0x1.c38fc9744e7dfp-8, -0x1.b6dbcd5ce11a7p-8, -0x1.aa79399b70d17p-8, -0x1.9e665fb1dd4bcp-8, -0x1.92a197f9831bbp-8, -0x1.87294193aed6ap-8, -0x1.7bfbc259755e9p-8, -0x1.711786cb988eap-8, -0x1.667b020227815p-8, -0x1.5c24ad9c05c98p-8, -0x1.521309ae4d847p-8, -0x1.48449cb36372dp-8, -0x1.3eb7f37a3dbd4p-8, -0x1.356ba1154322ep-8, -0x1.2c5e3ec92fc95p-8, -0x1.238e6bfc01ee4p-8, -0x1.1aface238f9f1p-8, -0x1.12a210b44ae25p-8, -0x1.0a82e50fcf45fp-8, -0x1.029c02737e57ep-8, -0x1.f5d84bcdf9c2bp-9, -0x1.e6e4245584da7p-9, -0x1.d8591f4d0b3e5p-9, -0x1.ca34d8af790e6p-9, -0x1.bc74f78031782p-9, -0x1.af172da812be7p-9, -0x1.a21937d256c95p-9, -0x1.9578dd49adb23p-9, -0x1.8933efd563926p-9, -0x1.7d484b9658b8p-9, -0x1.71b3d6e48728p-9, -0x1.6674822c1f6a9p-9, -0x1.5b8847cb38d61p-9, -0x1.50ed2bef1a448p-9, -0x1.46a13c72407fcp-9, -0x1.3ca290b9e964cp-9, -0x1.32ef499460ae4p-9, -0x1.29859116f7be3p-9, -0x1.20639a7c6fae5p-9, -0x1.1787a20380a71p-9, -0x1.0eefeccd79fb4p-9, -0x1.069ac8bd3e06ap-9, -0x1.fd0d18acd1aa8p-10, -0x1.ed632d3923a0ap-10, -0x1.de349de5958f1p-10, -0x1.cf7e49f747ab8p-10, -0x1.c13d20f17c3cep-10, -0x1.b36e225708ce4p-10, -0x1.a60e5d6ab6ea6p-10, -0x1.991af0f0da766p-10, -0x1.8c910af18eaeap-10, -0x1.806de87abf58dp-10, -0x1.74aed563b0c4cp-10, -0x1.69512c106184ep-10, -0x1.5e5255355dde6p-10, -0x1.53afc79cf8221p-10, -0x1.496707ec26f35p-10, -0x1.3f75a86862023p-10, -0x1.35d948bdf2be6p-10, -0x1.2c8f95c71d356p-10, -0x1.2396495347d11p-10, -0x1.1aeb29ef6bd99p-10, -0x1.128c0aaeb41fep-10, -0x1.0a76caf399c32p-10, -0x1.02a9563a08debp-10, -0x1.f64347c347763p-11, -0x1.e7bb6df1cb6d8p-11, -0x1.d9b73c11ce252p-11, -0x1.cc32e5c35f3dep-11, -0x1.bf2ab4cd4ef17p-11, -0x1.b29b08ba34d1bp-11, -0x1.a68056721d46p-11, -0x1.9ad727da04c4fp-11, -0x1.8f9c1b7176cc9p-11, -0x1.84cbe3f2548bdp-11, -0x1.7a6347f28fe53p-11, -0x1.705f2185fcf65p-11, -0x1.66bc5de22eb7p-11, -0x1.5d77fd02b1458p-11, -0x1.548f114eeaa28p-11, -0x1.4bfebf4217688p-11, -0x1.43c43d12ae9d6p-11, -0x1.3bdcd25bca144p-11, -0x1.3445d7c8f961p-11, -0x1.2cfcb6c0cc425p-11, -0x1.25fee912d9e1fp-11, -0x1.1f49f8a5291bap-11, -0x1.18db7f247919dp-11, -0x1.12b125b3c84b6p-11, -0x1.0cc8a49ef0d47p-11, -0x1.071fc30d062b7p-11, -0x1.01b456b45e54ap-11, -0x1.f908871f73fcap-12, -0x1.ef1af7294152cp-12, -0x1.e59bfcd4a9a09p-12, -0x1.dc87b2451b23ap-12, -0x1.d3da4be690f65p-12, -0x1.cb9017e1c2414p-12, -0x1.c3a57d94fae01p-12, -0x1.bc16fd0ba7363p-12, -0x1.b4e12e7bf5ce8p-12, -0x1.ae00c1c437adfp-12, -0x1.a7727de9b4a56p-12, -0x1.a133409c01e92p-12, -0x1.9b3ffdb8574eep-12, -0x1.9595bed045afap-12, -0x1.9031a2b0b1bdfp-12, -0x1.8b10dcecc8398p-12, -0x1.8630b5697449ap-12, -0x1.818e87ec3c641p-12, -0x1.7d27c3a9dd72dp-12, -0x1.78f9ead8fb42cp-12, -0x1.75029246934f2p-12, -0x1.713f60e9297cep-12, -0x1.6dae0f7b0b566p-12, -0x1.6a4c681169149p-12, -0x1.671845b866ec2p-12, -0x1.640f940fddfefp-12, -0x1.61304ee957a78p-12, -0x1.5e7881e9473aap-12, -0x1.5be648289c0edp-12, -0x1.5977cbd8875d5p-12, -0x1.572b45e7f2083p-12, -0x1.54fefdaab195ap-12, -0x1.52f14881b5517p-12, -0x1.51008985db05cp-12, -0x1.4f2b31342696bp-12, -0x1.4d6fbd1a948a2p-12, -0x1.4bccb787b16d5p-12, -0x1.4a40b73ab194bp-12, -0x1.48ca5f15aab24p-12, -0x1.47685dd1bdb75p-12, -0x1.46196db29f089p-12, -0x1.44dc543f46b38p-12, -0x1.43afe1f7bf66bp-12, -0x1.4292f20fce279p-12, -0x1.41846a296470fp-12, -0x1.40833a103aa72p-12, -0x1.3f8e5b77947e3p-12, -0x1.3ea4d1b8d97ep-12, -0x1.3dc5a99404273p-12, -0x1.3ceff8f063f5ap-12, -0x1.3c22de9fa04bfp-12, -0x1.3b5d82217b3ap-12, -0x1.3a9f13693fa71p-12, -0x1.39e6caa30ff61p-12, -0x1.3933e7fc6b781p-12, -0x1.3885b36c31445p-12, -0x1.37db7c7cde925p-12, -0x1.37349a16fa1c8p-12, -0x1.36906a4db035dp-12, -0x1.35ee522bee539p-12, -0x1.354dbd8216cf1p-12, -0x1.34ae1eb61f003p-12, -0x1.340eee9348761p-12, -0x1.336fac1b9fb31p-12, -0x1.32cfdc5a86dfap-12, -0x1.322f0a381e844p-12, -0x1.318cc64d45956p-12, -0x1.30e8a6b9cce5dp-12, -0x1.304246f99cd5ap-12, -0x1.2f9947bd23d29p-12, -0x1.2eed4ec0188eap-12, -0x1.2e3e06a3d9b35p-12, -0x1.2d8b1ec7ea58bp-12, -0x1.2cd44b262532p-12, -0x1.2c19442d44c9dp-12, -0x1.2b59c69dd8c93p-12, -0x1.2a9593677c8d2p-12, -0x1.29cc6f86f4c43p-12, -0x1.28fe23e4d1e79p-12, -0x1.282a7d3561527p-12, -0x1.27514bd8c8ae7p-12, -0x1.267263bc49432p-12, -0x1.258d9c3c41c64p-12, -0x1.24a2d006b012dp-12, -0x1.23b1dcfe661e5p-12, -0x1.22baa41fa4112p-12, -0x1.21bd0963c493dp-12, -0x1.20b8f3a7a97a4p-12, -0x1.1fae4c90ebd3dp-12, -0x1.1e9d0074f3b92p-12, -0x1.1d84fe40125a2p-12, -0x1.1c66375da6a97p-12, -0x1.1b409fa036c51p-12, -0x1.1a142d2b27b42p-12, -0x1.18e0d85bc1e6p-12, -0x1.17a69bb41961ap-12, -0x1.166573c5552d5p-12, -0x1.151d5f1b61b3ep-12, -0x1.13ce5e28b0acfp-12, -0x1.12787332a581bp-12, -0x1.111ba23ea0acp-12, -0x1.0fb7f0ff659b3p-12, -0x1.0e4d66c31a2b9p-12, -0x1.0cdc0c61bf437p-12, -0x1.0b63ec2beabd5p-12, -0x1.09e511da5f596p-12, -0x1.085f8a7db1beap-12, -0x1.06d3646ebb4bdp-12, -0x1.0540af3efcb2bp-12, -0x1.03a77baa21b44p-12, -0x1.0207db874e5edp-12, -0x1.0061e1bb5a167p-12, -0x1.fd6b4455a7575p-13, -0x1.fa06635a2f6dep-13, -0x1.f6954bfe703c2p-13, -0x1.f3182b6f2761p-13, -0x1.ef8f30737e8f8p-13, -0x1.ebfa8b553c62ep-13, -0x1.e85a6dca5d7c4p-13, -0x1.e4af0ade7fb0bp-13, -0x1.e0f896ddca381p-13, -0x1.dd37473fe7e03p-13, -0x1.d96b5293fba5dp-13, -0x1.d594f06cd70ebp-13, -0x1.d1b4594e62c1fp-13, -0x1.cdc9c69afd386p-13, -0x1.c9d57281c903dp-13, -0x1.c5d797ed5c5e1p-13, -0x1.c1d0727363026p-13, -0x1.bdc03e443f21p-13, -0x1.b9a7381baf87bp-13, -0x1.b5859d31ba3fp-13, -0x1.b15bab2c57e82p-13, -0x1.ad29a0107faep-13, -0x1.a8efba3612326p-13, -0x1.a4ae38394dfadp-13, -0x1.a06558eef068cp-13, -0x1.9c155b58218ep-13, -0x1.97be7e95f4d13p-13, -0x1.936101def87dep-13, -0x1.8efd2473ccbc2p-13, -0x1.8a9325949acebp-13, -0x1.862344772d8cap-13, -0x1.81adc03d46332p-13, -0x1.7d32d7eab792ep-13, -0x1.78b2ca5d50353p-13, -0x1.742dd6435081fp-13, -0x1.6fa43a13930b4p-13, -0x1.6b16340591b81p-13, -0x1.66840209a0fa6p-13, -0x1.61ede1c1e577bp-13, -0x1.5d54107b40b05p-13, -0x1.58b6cb265fe02p-13, -0x1.54164e51a225ep-13, -0x1.4f72d6230d13p-13, -0x1.4acc9e52022fp-13, -0x1.4623e2222151ep-13, -0x1.4178dc5e172dcp-13, -0x1.3ccbc75204433p-13, -0x1.381cdcc70a5e9p-13, -0x1.336c55ff29592p-13, -0x1.2eba6bb00cbbdp-13, -0x1.2a0755ffc7e1p-13, -0x1.25534c80c11efp-13, -0x1.209e862d95bdp-13, -0x1.1be939669422fp-13, -0x1.17339bed9b4d6p-13, -0x1.127de2e3c11fbp-13, -0x1.0dc842c5dfaf1p-13, -0x1.0912ef6a8f58ep-13, -0x1.045e1bff64986p-13, -0x1.ff53f60cebd6bp-14, -0x1.f5ed7ca94a578p-14, -0x1.ec892e1ed036ap-14, -0x1.e3276b5643e78p-14, -0x1.d9c893d266356p-14, -0x1.d06d05ad932d8p-14, -0x1.c7151d974b9e5p-14, -0x1.bdc136d0d4664p-14, -0x1.b471ab2be5955p-14, -0x1.ab26d3088fcbdp-14, -0x1.a1e10553272e5p-14, -0x1.98a09783c012ap-14, -0x1.8f65dd9c43911p-14, -0x1.86312a2838363p-14, -0x1.7d02ce3bb5c77p-14, -0x1.73db1972419b5p-14, -0x1.6aba59f0175d1p-14, -0x1.61a0dc605ddc8p-14, -0x1.588eebf694071p-14, -0x1.4f84d26e2ac34p-14, -0x1.4682d80b21205p-14, -0x1.3d89439adb113p-14, -0x1.34985a74f9f51p-14, -0x1.2bb0607ba530ap-14, -0x1.22d1981dc932ep-14, -0x1.19fc42577c28bp-14, -0x1.11309eb3aedf6p-14, -0x1.086eeb4da7124p-14, -0x1.ff6ec9a655999p-15, -0x1.ee148d0a6cb9bp-15, -0x1.dccf9475f325cp-15, -0x1.cba050c6faf34p-15, -0x1.ba87300ec2f1cp-15, -0x1.a9849d974ecfcp-15, -0x1.989901e84780ep-15, -0x1.87c4c2c9ca5ffp-15, -0x1.7708434c5b5efp-15, -0x1.6663e3cc04254p-15, -0x1.55d801f6595f6p-15, -0x1.4564f8cfbe396p-15, -0x1.350b20b9f6e9fp-15, -0x1.24cacf78911ecp-15, -0x1.14a4583855e8cp-15, -0x1.04980b94078b8p-15, -0x1.e94c6f374b4f7p-16, -0x1.c99e4fb334064p-16, -0x1.aa264ab3b4f1p-16, -0x1.8ae4ed61efap-16, -0x1.6bdac002f70c8p-16, -0x1.4d0846056b94fp-16, -0x1.2e6dfe11c384fp-16, -0x1.100c62141c73dp-16, -0x1.e3c7ce992d118p-17, -0x1.a7e9fcb7b8f82p-17, -0x1.6c8026a67c027p-17, -0x1.318b1b7d23ba2p-17, -0x1.ee1742dc68bf6p-18, -0x1.7a04ebbea17f1p-18, -0x1.06e09b08a93dfp-18, -0x1.295751f921548p-19, -0x1.1b3ae797c2508p-21, 0x1.33ac49c34cd43p-20, 0x1.7894fe065f891p-19, 0x1.2ab5d2d4b6902p-18, 0x1.982c07fee723p-18, 0x1.0256142f1874fp-17, 0x1.381aa6af8b0d6p-17, 0x1.6d634fe1830c9p-17, 0x1.a22fabb35849ap-17, 0x1.d67f5d8106d91p-17, 0x1.052907fcd2279p-16, 0x1.1ed3ba80de543p-16, 0x1.383fa2cb1dee3p-16, 0x1.516ca0d748feep-16, 0x1.6a5a980f56104p-16, 0x1.83096f3f07c9dp-16, 0x1.9b791083cfa47p-16, 0x1.b3a9693f525b4p-16, 0x1.cb9a6a080d2e1p-16, 0x1.e34c069cbb23ep-16, 0x1.fabe35d494b3p-16, 0x1.08f878c91f0f8p-15, 0x1.14721b5b04cf6p-15, 0x1.1fcc0287672b2p-15, 0x1.2b062fa658421p-15, 0x1.3620a57a1d8d6p-15, 0x1.411b6827b8e8ep-15, 0x1.4bf67d305a59ep-15, 0x1.56b1eb6a5c067p-15, 0x1.614dbafb394bp-15, 0x1.6bc9f55068d35p-15, 0x1.7626a518e9679p-15, 0x1.8063d63e97f54p-15, 0x1.8a8195df92ed7p-15, 0x1.947ff2484b4bap-15, 0x1.9e5efaec74a85p-15, 0x1.a81ec0616d70cp-15, 0x1.b1bf54576fd41p-15, 0x1.bb40c99363bcep-15, 0x1.c4a333e8c6c53p-15, 0x1.cde6a833e9ea8p-15, 0x1.d70b3c53593dfp-15, 0x1.e01107221d8fp-15, 0x1.e8f8207221643p-15, 0x1.f1c0a105de356p-15, 0x1.fa6aa28a7a0e3p-15, 0x1.017b1fc93ca29p-14, 0x1.05b1c9c80b9a5p-14, 0x1.09d95d678db97p-14, 0x1.0df1e937d8246p-14, 0x1.11fb7c30972c9p-14, 0x1.15f625ae1e089p-14, 0x1.19e1f56ec7408p-14, 0x1.1dbefb90378edp-14, 0x1.218d488cf510dp-14, 0x1.254ced39aa556p-14, 0x1.28fdfac2b73fp-14, 0x1.2ca082a9a4886p-14, 0x1.303496c28fb89p-14, 0x1.33ba4931b9dafp-14, 0x1.3731ac6920d8bp-14, 0x1.3a9ad326488fp-14, 0x1.3df5d06fa046ep-14, 0x1.4142b79237137p-14, 0x1.44819c1f8deaap-14, 0x1.47b291eb67655p-14, 0x1.4ad5ad0951c8ep-14, 0x1.4deb01ca96d86p-14, 0x1.50f2a4bbf0bdfp-14, 0x1.53ecaaa38ec18p-14, 0x1.56d9287efcd0dp-14, 0x1.59b833810233ep-14, 0x1.5c89e10f81279p-14, 0x1.5f4e46c193b84p-14, 0x1.62057a5d7c1ddp-14, 0x1.64af91d6cc64bp-14, 0x1.674ca34c4e80bp-14, 0x1.69dcc506458bp-14, 0x1.6c600d74aa7f7p-14, 0x1.6ed6932d1cc65p-14, 0x1.71406ce937719p-14, 0x1.739db184b9148p-14, 0x1.75ee77fbe5cb4p-14, 0x1.7832d7699f947p-14, 0x1.7a6ae705edd0dp-14, 0x1.7c96be244bd65p-14, 0x1.7eb67431f3ba5p-14, 0x1.80ca20b43f444p-14, 0x1.82d1db472bd35p-14, 0x1.84cdbb9bde15ap-14, 0x1.86bdd976ee157p-14, 0x1.88a24caf03faap-14, 0x1.8a7b2d2b760f2p-14, 0x1.8c4892e2eedeap-14, 0x1.8e0a95d9ce294p-14, 0x1.8fc14e20c0c7dp-14, 0x1.916cd3d3a324fp-14, 0x1.930d3f17e8abap-14, 0x1.94a2a81b7fb16p-14, 0x1.962d2713adfcap-14, 0x1.97acd43b8278fp-14, 0x1.9921c7d2ab6f4p-14, 0x1.9a8c1a1c5dae2p-14, 0x1.9bebe35e2bd72p-14, 0x1.9d413bdecba89p-14, 0x1.9e8c3be4f30fp-14, 0x1.9fccfbb6333bp-14, 0x1.a103939614ed9p-14, 0x1.a2301bc50591cp-14, 0x1.a352ac7f10187p-14, 0x1.a46b5dfb03b76p-14, 0x1.a57a48696555ep-14, 0x1.a67f83f38e5e5p-14, 0x1.a77b28bab05cep-14, 0x1.a86d4ed6e567cp-14, 0x1.a9560e5659c06p-14, 0x1.aa357f3c5507p-14, 0x1.ab0bb9804e3e1p-14, 0x1.abd8d50d3ed97p-14, 0x1.ac9ce9c0b3279p-14, 0x1.ad580f69f3f1fp-14, 0x1.ae0a5dc970f86p-14, 0x1.aeb3ec8fcbf21p-14, 0x1.af54d35d2b9d4p-14, 0x1.afed29c07ccb7p-14, 0x1.b07d0736db0f5p-14, 0x1.b104832aadc15p-14, 0x1.b183b4f300772p-14, 0x1.b1fab3d308843p-14, 0x1.b26996f978095p-14, 0x1.b2d0757fc635dp-14, 0x1.b32f6669a2c41p-14, 0x1.b38680a4640efp-14, 0x1.b3d5db065dbc2p-14, 0x1.b41d8c4e7f74dp-14, 0x1.b45dab239d267p-14, 0x1.b4964e141df26p-14, 0x1.b4c78b9536053p-14, 0x1.b4f17a02b98d8p-14, 0x1.b5142f9e54c62p-14, 0x1.b52fc28f6621cp-14, 0x1.b54448e26ffa8p-14, 0x1.b551d888663a3p-14, 0x1.b55887568885fp-14, 0x1.b5586b05f9c24p-14, 0x1.b5519933699aep-14, 0x1.b544275e89cd3p-14, 0x1.b5302ae9c618ep-14, 0x1.b515b919e860dp-14, 0x1.b4f4e715c79a5p-14, 0x1.b4cdc9e5f889bp-14, 0x1.b4a07674774a1p-14, 0x1.b46d018c5f3eep-14, 0x1.b4337fd98f341p-14, 0x1.b3f405e87a87dp-14, 0x1.b3aea825ffbb8p-14, 0x1.b3637adefc5dep-14, 0x1.b312923ff2f86p-14, 0x1.b2bc02552614ap-14, 0x1.b25fdf0a335b6p-14, 0x1.b1fe3c29b9818p-14, 0x1.b1972d5d4f46ap-14, 0x1.b12ac62d85422p-14, 0x1.b0b91a015ec77p-14, 0x1.b0423c1e454ap-14, 0x1.afc63fa7f48c3p-14, 0x1.af4537a03f2cfp-14, 0x1.aebf36e6fad6fp-14, 0x1.ae345039cf9cfp-14, 0x1.ada49634178c9p-14, 0x1.ad101b4ed212ap-14, 0x1.ac76f1e08c8f7p-14, 0x1.abd92c1d52207p-14, 0x1.ab36dc16792fdp-14, 0x1.aa9013ba6f35fp-14, 0x1.a9e4e4d4f9942p-14, 0x1.a935610eed856p-14, 0x1.a88199ee23829p-14, 0x1.a7c9a0d5a44b5p-14, 0x1.a70d8705710e3p-14, 0x1.a64d5d9a4d5d2p-14, 0x1.a589358df19e9p-14, 0x1.a4c11fb732af2p-14, 0x1.a3f52cc98594ap-14, 0x1.a3256d55614ffp-14, 0x1.a251f1c81f847p-14, 0x1.a17aca6beb2cfp-14, 0x1.a0a00767c745cp-14, 0x1.9fc1b8bfc72f8p-14, 0x1.9edfee54e8daap-14, 0x1.9dfab7e5188f8p-14, 0x1.9d12250b3bec1p-14, 0x1.9c26453f47251p-14, 0x1.9b3727d62b30ep-14, 0x1.9a44dc0213072p-14, 0x1.994f70d2768aep-14, 0x1.9856f533f1d46p-14, 0x1.975b77f07602ap-14, 0x1.965d07af3f80fp-14, 0x1.955bb2f52126p-14, 0x1.945788247d895p-14, 0x1.9350957d47e9cp-14, 0x1.9246e91d199dap-14, 0x1.913a90ff809d7p-14, 0x1.902b9afdcf6afp-14, 0x1.8f1a14cf63528p-14, 0x1.8e060c09d2e54p-14, 0x1.8cef8e20cd3p-14, 0x1.8bd6a8664df8ep-14, 0x1.8abb680acd205p-14, 0x1.899dda1d59a66p-14, 0x1.887e0b8b9e881p-14, 0x1.875c09221c085p-14, 0x1.8637df8c34d6bp-14, 0x1.85119b546dd4bp-14, 0x1.83e948e47f60ep-14, 0x1.82bef4857257ep-14, 0x1.8192aa5fae7d9p-14, 0x1.8064767b38475p-14, 0x1.7f3464bffe51fp-14, 0x1.7e0280f5c4204p-14, 0x1.7cced6c44597fp-14, 0x1.7b9971b369724p-14, 0x1.7a625d2b938f7p-14, 0x1.7929a4759c7f4p-14, 0x1.77ef52bb0e648p-14, 0x1.76b3730639ac6p-14, 0x1.7576104260d4ep-14, 0x1.7437353bfcb35p-14, 0x1.72f6eca0da2d4p-14, 0x1.71b5410032001p-14, 0x1.70723ccadf569p-14, 0x1.6f2dea53a0d0dp-14, 0x1.6de853cf360f9p-14, 0x1.6ca183548445fp-14, 0x1.6b5982dca6cbfp-14, 0x1.6a105c435009cp-14, 0x1.68c61946f8d82p-14, 0x1.677ac388ea3acp-14, 0x1.662e648d6954fp-14, 0x1.64e105bbeb1cfp-14, 0x1.6392b05f72ef8p-14, 0x1.62436da68c419p-14, 0x1.60f346a37c2aap-14, 0x1.5fa2444c8f651p-14, 0x1.5e506f7c1d8cap-14, 0x1.5cfdd0f0e5e43p-14, 0x1.5baa714e26ef5p-14, 0x1.5a56591bb695fp-14, 0x1.590190c665387p-14, 0x1.57ac20a031eddp-14, 0x1.565610e036b29p-14, 0x1.54ff69a2f554bp-14, 0x1.53a832eac2a33p-14, 0x1.5250749fb3b22p-14, 0x1.50f8368fc7772p-14, 0x1.4f9f806f4448bp-14, 0x1.4e4659d8f1b12p-14, 0x1.4cecca4e22292p-14, 0x1.4b92d936c6ba9p-14, 0x1.4a388de1ea383p-14, 0x1.48ddef85e1291p-14, 0x1.4783054030ebfp-14, 0x1.4627d615ef8ep-14, 0x1.44cc68f4010a2p-14, 0x1.4370c4af2f3ebp-14, 0x1.4214f0045b1b6p-14, 0x1.40b8f198c4dep-14, 0x1.3f5ccffa1d8c1p-14, 0x1.3e00919ee04c5p-14, 0x1.3ca43ce663846p-14, 0x1.3b47d818f9cf8p-14, 0x1.39eb696855419p-14, 0x1.388ef6efa5d88p-14, 0x1.373286b3a674ap-14, 0x1.35d61ea2e094fp-14, 0x1.3479c4961810bp-14, 0x1.331d7e501be4bp-14, 0x1.31c1517e1d364p-14, 0x1.306543b80f28bp-14, 0x1.2f095a8096a77p-14, 0x1.2dad9b45348cfp-14, 0x1.2c520b5eb2715p-14, 0x1.2af6b0113fd9ap-14, 0x1.299b8e8c66dep-14, 0x1.2840abeb6f6c6p-14, 0x1.26e60d35a7b37p-14, 0x1.258bb75e53056p-14, 0x1.2431af44fbfd5p-14, 0x1.22d7f9b5a0cffp-14, 0x1.217e9b68e5bc6p-14, 0x1.202599043d09ep-14, 0x1.1eccf71a068eap-14, 0x1.1d74ba29d1cc5p-14, 0x1.1c1ce6a09f82cp-14, 0x1.1ac580d8c5c4p-14, 0x1.196e8d1a66d92p-14, 0x1.18180f9ba5dc7p-14, 0x1.16c20c807ebbdp-14, 0x1.156c87db25561p-14, 0x1.141785ac6f95ep-14, 0x1.12c309e39045p-14, 0x1.116f185e7fe44p-14, 0x1.101bb4ea4c4afp-14, 0x1.0ec8e342db0b6p-14, 0x1.0d76a7136bb0dp-14, 0x1.0c2503f6d27ap-14, 0x1.0ad3fd774e8dcp-14, 0x1.0983970edd633p-14, 0x1.0833d4278f3eap-14, 0x1.06e4b81b7eb9ep-14, 0x1.05964634fa8f9p-14, 0x1.044881aec89e8p-14, 0x1.02fb6db4520c4p-14, 0x1.01af0d61ab608p-14, 0x1.006363c3d8cb5p-14, 0x1.fe30e7b1df4ddp-15, 0x1.fb9c8120a827p-15, 0x1.f90999954eap-15, 0x1.f67836b46bf2cp-15, 0x1.f3e85e060724ap-15, 0x1.f15a14f5760a1p-15, 0x1.eecd60d2a8052p-15, 0x1.ec4246d1a8a45p-15, 0x1.e9b8cc0ad0fe7p-15, 0x1.e730f57be171ap-15, 0x1.e4aac807ad545p-15, 0x1.e22648766dd34p-15, 0x1.dfa37b767bd9ep-15, 0x1.dd22659c02401p-15, 0x1.daa30b61bc61ap-15, 0x1.d82571294ac95p-15, 0x1.d5a99b3b0512ep-15, 0x1.d32f8dc68a649p-15, 0x1.d0b74ce36a694p-15, 0x1.ce40dc90b0f07p-15, 0x1.cbcc40b5b1224p-15, 0x1.c9597d22292abp-15, 0x1.c6e8958e90c47p-15, 0x1.c4798d9c47b33p-15, 0x1.c20c68d5ea11fp-15, 0x1.bfa12aafbe36cp-15, 0x1.bd37d6878d6d2p-15, 0x1.bad06fa562312p-15, 0x1.b86af93ba9554p-15, 0x1.b6077666fbf73p-15, 0x1.b3a5ea2f5897p-15, 0x1.b14657876b57ep-15, 0x1.aee8c14d35e5p-15, 0x1.ac8d2a4ac5bffp-15, 0x1.aa339535891d8p-15, 0x1.a7dc04af27ca9p-15, 0x1.a5867b45d8eb7p-15, 0x1.a332fb742da9cp-15, 0x1.a0e187a1c4441p-15, 0x1.9e922223176acp-15, 0x1.9c44cd3a18dp-15, 0x1.99f98b166a711p-15, 0x1.97b05dd535dfdp-15, 0x1.95694781bc606p-15, 0x1.93244a15cc00fp-15, 0x1.90e167795b148p-15, 0x1.8ea0a183346adp-15, 0x1.8c61f9f92f284p-15, 0x1.8a25729043abep-15, 0x1.87eb0cecabfbep-15, 0x1.85b2caa275b0cp-15, 0x1.837cad35612bcp-15, 0x1.8148b6193d767p-15, 0x1.7f16e6b25ad54p-15, 0x1.7ce740550c515p-15, 0x1.7ab9c446cb8dbp-15, }}, 
      {{-0x1.8ea6d59107beep-1, -0x1.8e794a9b1b051p-1, -0x1.8e27248a54939p-1, -0x1.8dacb07f26c9dp-1, -0x1.8d08ebfd4c556p-1, -0x1.8c3d690ff0299p-1, -0x1.8b4db5ce76467p-1, -0x1.8a3ea5459c602p-1, -0x1.8915a682f312p-1, -0x1.87d83c49b08e4p-1, -0x1.868b99d90074p-1, -0x1.85346208bc95bp-1, -0x1.83d682f6a1b36p-1, -0x1.827527bfba93p-1, -0x1.8112ba2fbc92dp-1, -0x1.7fb0ef3de24fdp-1, -0x1.7e50da3c1b7dp-1, -0x1.7cf30399f2c2cp-1, -0x1.7b9780f470199p-1, -0x1.7a3e0cdaae802p-1, -0x1.78e61d36b5474p-1, -0x1.778ef7b0e9d5ep-1, -0x1.7637c3b07182fp-1, -0x1.74df99d1c856dp-1, -0x1.738590d389691p-1, -0x1.7228c813caedcp-1, -0x1.70c86fc9a4746p-1, -0x1.6f63cf30c1d07p-1, -0x1.6dfa48e23344p-1, -0x1.6c8b5d974842ep-1, -0x1.6b16ad9252077p-1, -0x1.699bf8e664e43p-1, -0x1.681b1ed348e6cp-1, -0x1.66941c661d6f4p-1, -0x1.65070a8a374a4p-1, -0x1.63741bb09c835p-1, -0x1.61db992f70d57p-1, -0x1.603de075d4654p-1, -0x1.5e9b602c25acfp-1, -0x1.5cf495546972bp-1, -0x1.5b4a087acd799p-1, -0x1.599c4b02d9bcap-1, -0x1.57ebf49adf0e5p-1, -0x1.5639a0dc9b9dbp-1, -0x1.5485ed1fcd86fp-1, -0x1.52d17681898cdp-1, -0x1.511cd821942dap-1, -0x1.4f68a995afe2cp-1, -0x1.4db57d91cd70dp-1, -0x1.4c03e0c333e7bp-1, -0x1.4a5458dc1ca99p-1, -0x1.48a763ccc7fa4p-1, -0x1.46fd7726c63c7p-1, -0x1.4556ffa700519p-1, -0x1.43b460e2ee834p-1, -0x1.4215f5157c1b3p-1, -0x1.407c0d081479ep-1, -0x1.3ee6f01483cb5p-1, -0x1.3d56dc3c72f03p-1, -0x1.3bcc06537c111p-1, -0x1.3a469a39030f5p-1, -0x1.38c6bb1f3b0bdp-1, -0x1.374c83dcf3b2fp-1, -0x1.35d80748065bp-1, -0x1.346950966f1d9p-1, -0x1.330063c4557fdp-1, -0x1.319d3dfd7a996p-1, -0x1.303fd608b3b3p-1, -0x1.2ee81cb443a74p-1, -0x1.2d95fd42122ebp-1, -0x1.2c495dd2e2c2ep-1, -0x1.2b021fcfd576ap-1, -0x1.29c0205194871p-1, -0x1.28833884b3495p-1, -0x1.274b3e0adc985p-1, -0x1.2618035881289p-1, -0x1.24e9580ecc959p-1, -0x1.23bf0951baac1p-1, -0x1.2298e21a30cdp-1, -0x1.2176ab8410d93p-1, -0x1.20582d1841417p-1, -0x1.1f3d2d12b224ep-1, -0x1.1e2570a46e716p-1, -0x1.1d10bc31cbb7ep-1, -0x1.1bfed38cd0e4bp-1, -0x1.1aef7a2bf3f65p-1, -0x1.19e2735d49c03p-1, -0x1.18d782764d8b4p-1, -0x1.17ce6b005f5d7p-1, -0x1.16c6f0e21fd5bp-1, -0x1.15c0d885c97d2p-1, -0x1.14bbe6fcb0aecp-1, -0x1.13b7e22006e2dp-1, -0x1.12b490af092b7p-1, -0x1.11b1ba6ab722cp-1, -0x1.10af282f35e91p-1, -0x1.0faca40afce36p-1, -0x1.0ea9f953e9b22p-1, -0x1.0da6f4ba5866ap-1, -0x1.0ca3645a5c8dcp-1, -0x1.0b9f17cb310d3p-1, -0x1.0a99e02cfe0d7p-1, -0x1.0993903503ac5p-1, -0x1.088bfc384797bp-1, -0x1.0782fa34d52e8p-1, -0x1.067861d9a4d32p-1, -0x1.056c0c8d4033ep-1, -0x1.045dd5732fdb9p-1, -0x1.034d997046ec8p-1, -0x1.023b372ddc6b9p-1, -0x1.01268f1bfce1cp-1, -0x1.000f8372a8ffbp-1, -0x1.fdebf06451ea7p-2, -0x1.fbb3a64509168p-2, -0x1.f975f7a4574ddp-2, -0x1.f732b727b1c69p-2, -0x1.f4e9baf779fafp-2, -0x1.f29adcb7f3571p-2, -0x1.f045f980f3e3bp-2, -0x1.edeaf1d45a79fp-2, -0x1.eb89a99367f9fp-2, -0x1.e92207f304beap-2, -0x1.e6b3f76f07ddp-2, -0x1.e43f65bc91c5cp-2, -0x1.e1c443bb85b8ep-2, -0x1.df4285673aac8p-2, -0x1.dcba21c6687c9p-2, -0x1.da2b12da68433p-2, -0x1.d795558dd2d7ep-2, -0x1.d4f8e9a28c693p-2, -0x1.d255d19f47c04p-2, -0x1.cfac12bc9334cp-2, -0x1.ccfbb4d178ffep-2, -0x1.ca44c23fbf3ddp-2, -0x1.c78747dfd45eep-2, -0x1.c4c354ec72269p-2, -0x1.c1f8faee062bfp-2, -0x1.bf284da5e592ep-2, -0x1.bc5162f959a1ap-2, -0x1.b97452dc8e6d6p-2, -0x1.b691373d6dbccp-2, -0x1.b3a82bee6f5c3p-2, -0x1.b0b94e91665ddp-2, -0x1.adc4be8256444p-2, -0x1.aaca9cc256b0fp-2, -0x1.a7cb0be28e617p-2, -0x1.a4c62fef4c152p-2, -0x1.a1bc2e5b46973p-2, -0x1.9ead2deb05afap-2, -0x1.9b9956a0820dfp-2, -0x1.9880d1a6fc2dcp-2, -0x1.9563c93f113e2p-2, -0x1.924268ab17b9cp-2, -0x1.8f1cdc1bbf48cp-2, -0x1.8bf3509d0584dp-2, -0x1.88c5f4037824ep-2, -0x1.8594f4d9d0e14p-2, -0x1.8260824ee8dd5p-2, -0x1.7f28cc240db3fp-2, -0x1.7bee029bb3c12p-2, -0x1.78b056688ee53p-2, -0x1.756ff89d10dfdp-2, -0x1.722d1a9b521acp-2, -0x1.6ee7ee05623e9p-2, -0x1.6ba0a4ae087e6p-2, -0x1.68577089f0f51p-2, -0x1.650c83a14a9a5p-2, -0x1.61c01001d2b98p-2, -0x1.5e7247b157291p-2, -0x1.5b235ca0a522cp-2, -0x1.57d3809eedfa5p-2, -0x1.5482e54d9dbcfp-2, -0x1.5131bc14a1f73p-2, -0x1.4de0361728fcap-2, -0x1.4a8e8428cabcep-2, -0x1.473cd6c32b6c3p-2, -0x1.43eb5dfc082a5p-2, -0x1.409a497bb8a62p-2, -0x1.3d49c8741dd3dp-2, -0x1.39fa0997fbf29p-2, -0x1.36ab3b12c7cd6p-2, -0x1.335d8a80d6f07p-2, -0x1.301124e800049p-2, -0x1.2cc636b0a1342p-2, -0x1.297ceb9f0d79ap-2, -0x1.26356ecd5d53bp-2, -0x1.22efeaa5a4305p-2, -0x1.1fac88dc8699ep-2, -0x1.1c6b726c2f633p-2, -0x1.192ccf8fa1301p-2, -0x1.15f0c7be65ab4p-2, -0x1.12b781a8919e1p-2, -0x1.0f81233323a1fp-2, -0x1.0c4dd174b50fdp-2, -0x1.091db0b27e806p-2, -0x1.05f0e45dac56cp-2, -0x1.02c78f1101246p-2, -0x1.ff43a51d86828p-3, -0x1.f8ff9f7de88f9p-3, -0x1.f2c34d5b9ebe5p-3, -0x1.ec8eed1519254p-3, -0x1.e662bb4ccd23ap-3, -0x1.e03ef2e7c06d2p-3, -0x1.da23cd0c92bf5p-3, -0x1.d4118122fc945p-3, -0x1.ce0844d3bf4dbp-3, -0x1.c8084c090b3d1p-3, -0x1.c211c8ef44ac8p-3, -0x1.bc24ebf637bbdp-3, -0x1.b641e3d2adep-3, -0x1.b068dd8056f3bp-3, -0x1.aa9a0444185p-3, -0x1.a4d581aea78bp-3, -0x1.9f1b7d9f7b69bp-3, -0x1.996c1e4804119p-3, -0x1.93c7882f35e98p-3, -0x1.8e2dde354e87ep-3, -0x1.889f4197e708ep-3, -0x1.831bd1f636c6p-3, -0x1.7da3ad559e2d7p-3, -0x1.7836f0265e76cp-3, -0x1.72d5b54888c0fp-3, -0x1.6d80161120358p-3, -0x1.68362a4f5f5a8p-3, -0x1.62f8085234cefp-3, -0x1.5dc5c4edda6abp-3, -0x1.589f738198594p-3, -0x1.538525fda297fp-3, -0x1.4e76ece91d283p-3, -0x1.4974d7682d732p-3, -0x1.447ef34235e68p-3, -0x1.3f954ce81a5c7p-3, -0x1.3ab7ef7a9a81ap-3, -0x1.35e6e4d0c5bd2p-3, -0x1.3122357e729d3p-3, -0x1.2c69e8dac7db8p-3, -0x1.27be0506d6f93p-3, -0x1.231e8ef43193bp-3, -0x1.1e8b8a6b8e8e9p-3, -0x1.1a04fa1376476p-3, -0x1.158adf76e7bfap-3, -0x1.111d3b0c0855p-3, -0x1.0cbc0c3acf13bp-3, -0x1.08675163ad653p-3, -0x1.041f07e6351b9p-3, -0x1.ffc6584f70a9p-4, -0x1.f7677333d2b8dp-4, -0x1.ef215582c9274p-4, -0x1.e6f3f278864p-4, -0x1.dedf3b912837ap-4, -0x1.d6e32095a9c7ap-4, -0x1.ceff8fa8af9adp-4, -0x1.c73475533b56ap-4, -0x1.bf81bc914d0ccp-4, -0x1.b7e74ede51a85p-4, -0x1.b0651441850a8p-4, -0x1.a8faf35a2bb0ep-4, -0x1.a1a8d16ba5a7ep-4, -0x1.9a6e926960108p-4, -0x1.934c1902a20e7p-4, -0x1.8c4146ae332fp-4, -0x1.854dfbb5d7c55p-4, -0x1.7e721741a366fp-4, -0x1.77ad776325f07p-4, -0x1.70fff9206af98p-4, -0x1.6a69787ecda8p-4, -0x1.63e9d08da0e26p-4, -0x1.5d80db70ad491p-4, -0x1.572e726a7dc0fp-4, -0x1.50f26de681c58p-4, -0x1.4acca583000d7p-4, -0x1.44bcf01adb72dp-4, -0x1.3ec323cf29c3p-4, -0x1.38df161098f33p-4, -0x1.33109ba8a9c16p-4, -0x1.2d5788c2b5e98p-4, -0x1.27b3b0f4cc4e4p-4, -0x1.2224e7485a77fp-4, -0x1.1caafe42a882cp-4, -0x1.1745c7ed23f86p-4, -0x1.11f515dd7eae2p-4, -0x1.0cb8b93d9bad4p-4, -0x1.079082d351013p-4, -0x1.027c4307f4ec2p-4, -0x1.faf793df8b9fbp-5, -0x1.f11dcea2344adp-5, -0x1.e76ad556d651dp-5, -0x1.ddde467c5c866p-5, -0x1.d477c01f03e33p-5, -0x1.cb36dfe55ba2ep-5, -0x1.c21b431cf0e5ap-5, -0x1.b92486c69f365p-5, -0x1.b05247a28c9e5p-5, -0x1.a7a4223bced16p-5, -0x1.9f19b2f3beb8fp-5, -0x1.96b2960cf2475p-5, -0x1.8e6e67b5ed753p-5, -0x1.864cc4137a962p-5, -0x1.7e4d474ab2199p-5, -0x1.766f8d8ab9d16p-5, -0x1.6eb333162e5f2p-5, -0x1.6717d44c46f6cp-5, -0x1.5f9d0db1a9f6dp-5, -0x1.58427bf8f1fd4p-5, -0x1.5107bc0af8936p-5, -0x1.49ec6b0ec4ab7p-5, -0x1.42f02671450b7p-5, -0x1.3c128becbb8ddp-5, -0x1.3553398fe1a97p-5, -0x1.2eb1cdc4d1dddp-5, -0x1.282de757aac0ap-5, -0x1.21c7257cf14e3p-5, -0x1.1b7d27d7b4991p-5, -0x1.154f8e7f73e7p-5, -0x1.0f3dfa05c8fdcp-5, -0x1.09480b7bd20c8p-5, -0x1.036d64776674dp-5, -0x1.fb5b4e3022563p-6, -0x1.f010ec17a4302p-6, -0x1.e4fae92750786p-6, -0x1.da188d0fd3badp-6, -0x1.cf6920b8c1c8fp-6, -0x1.c4ebee488274ep-6, -0x1.baa0412bb94d8p-6, -0x1.b085661c6be8ap-6, -0x1.a69aab28ae70cp-6, -0x1.9cdf5fb909203p-6, -0x1.9352d49674e28p-6, -0x1.89f45bf0021cbp-6, -0x1.80c34960320d5p-6, -0x1.77bef1f1f12d4p-6, -0x1.6ee6ac2543747p-6, -0x1.6639cff3adc51p-6, -0x1.5db7b6d43460ap-6, -0x1.555fbbbf31412p-6, -0x1.4d313b31cabe6p-6, -0x1.452b9331226cbp-6, -0x1.3d4e234d52059p-6, -0x1.35984ca40e3d8p-6, -0x1.2e0971e317a43p-6, -0x1.26a0f74a6525bp-6, -0x1.1f5e42ae16407p-6, -0x1.1840bb7825324p-6, -0x1.1147caa9de08dp-6, -0x1.0a72dadd23bc7p-6, -0x1.03c158458083ap-6, -0x1.fa656161e0f92p-7, -0x1.ed8ca7112ba43p-7, -0x1.e0f763a23ef13p-7, -0x1.d4a47c5626224p-7, -0x1.c892d9a5cb152p-7, -0x1.bcc16741bdf78p-7, -0x1.b12f1411bda68p-7, -0x1.a5dad233d680cp-7, -0x1.9ac396fb4d259p-7, -0x1.8fe85aef2980bp-7, -0x1.854819c87305ap-7, -0x1.7ae1d27034a02p-7, -0x1.70b486fd3d16p-7, -0x1.66bf3cb18c608p-7, -0x1.5d00fbf78e5b4p-7, -0x1.5378d05f1e8fcp-7, -0x1.4a25c89a3a607p-7, -0x1.4106f67999963p-7, -0x1.381b6ee8faa6bp-7, -0x1.2f6249eb43113p-7, -0x1.26daa296767f6p-7, -0x1.1e83970f6a583p-7, -0x1.165c488564366p-7, -0x1.0e63db2d83e01p-7, -0x1.0699763dffed7p-7, -0x1.fdf887d28108dp-8, -0x1.ef16e2b1a50f9p-8, -0x1.e08c5d508f46p-8, -0x1.d2575dbfa036bp-8, -0x1.c4764fddd332bp-8, -0x1.b6e7a54d6e39p-8, -0x1.a9a9d568db3e8p-8, -0x1.9cbb5d37256aep-8, -0x1.901abf602b2e6p-8, -0x1.83c68420d25p-8, -0x1.77bd393ee7d2p-8, -0x1.6bfd71fcfd06ap-8, -0x1.6085c70e027e7p-8, -0x1.5554d688c6417p-8, -0x1.4a6943db5e53ep-8, -0x1.3fc1b7be5866fp-8, -0x1.355ce028024ebp-8, -0x1.2b39703f56b52p-8, -0x1.2156204f17f6dp-8, -0x1.17b1adb8917dp-8, -0x1.0e4adae687415p-8, -0x1.05206f3fe7f4fp-8, -0x1.f8626e352c787p-9, -0x1.e6f8075be25b4p-9, -0x1.d5ff560b2405ep-9, -0x1.c5760fe7a92fep-9, -0x1.b559f408cf05p-9, -0x1.a5a8caddcffa7p-9, -0x1.966066129b603p-9, -0x1.877ea07539af3p-9, -0x1.79015dda79524p-9, -0x1.6ae68b034a824p-9, -0x1.5d2c1d81dc15ep-9, -0x1.4fd0139e8e189p-9, -0x1.42d0743d3f042p-9, -0x1.362b4ec27fa4cp-9, -0x1.29debaf8eef5dp-9, -0x1.1de8d8f69f002p-9, -0x1.1247d1025b51fp-9, -0x1.06f9d3797722fp-9, -0x1.f7fa316a8ced7p-10, -0x1.e29fc1e1eba53p-10, -0x1.cde0e85ebd257p-10, -0x1.b9ba444223b52p-10, -0x1.a6288414f9b45p-10, -0x1.9328655413664p-10, -0x1.80b6b43d65498p-10, -0x1.6ed04b9ce0216p-10, -0x1.5d721499d9bbap-10, -0x1.4c9906850033p-10, -0x1.3c4226a61ba75p-10, -0x1.2c6a880aa0403p-10, -0x1.1d0f4b544931ep-10, -0x1.0e2d9e8842bf1p-10, -0x1.ff8579bd119e4p-11, -0x1.e397dd23a7a96p-11, -0x1.c88d115f3717fp-11, -0x1.ae5fd9d18162ep-11, -0x1.950b12c502836p-11, -0x1.7c89b10fb9b96p-11, -0x1.64d6c1b66e656p-11, -0x1.4ded69912f3c8p-11, -0x1.37c8e4f072fp-11, -0x1.22648742c6ec6p-11, -0x1.0dbbbabc0982p-11, -0x1.f393fff94f523p-12, -0x1.cd15db7521f07p-12, -0x1.a7f460d3d91c5p-12, -0x1.842713cffc767p-12, -0x1.61a5a24b3459bp-12, -0x1.4067e3a742e1ap-12, -0x1.2065d81f0918fp-12, -0x1.0197a8220babbp-12, -0x1.c7eb4763a7414p-13, -0x1.8ef08380c64a2p-13, -0x1.58303f22733d3p-13, -0x1.239c0038287c7p-13, -0x1.e24b2dc2e68f1p-14, -0x1.817e38736b487p-14, -0x1.24b5e253a15aep-14, -0x1.97aef4df0de5ap-15, -0x1.db236b083969dp-16, -0x1.2b832f27df497p-17, 0x1.4257d996f2793p-17, 0x1.ca076dc3aa557p-16, 0x1.729897b5da42p-15, 0x1.f983bb799aabcp-15, 0x1.3cf9a4d24a46ap-14, 0x1.7a0a396ab7f02p-14, 0x1.b409ba7f2d39dp-14, 0x1.eb0dcfc8ef35bp-14, 0x1.0f95d5e6e1a7ap-13, 0x1.283c06f30734dp-13, 0x1.3f83a21d1bd6ep-13, 0x1.557696deb6847p-13, 0x1.6a1e9e0ea932fp-13, 0x1.7d853ad66a0d8p-13, 0x1.8fb3bba4fc42dp-13, 0x1.a0b33b1c99d91p-13, 0x1.b08ca0ff27a9cp-13, 0x1.bf48a31640c28p-13, 0x1.ccefc617bdf4dp-13, 0x1.d98a5e877def2p-13, 0x1.e5209197bc0aap-13, 0x1.efba560067f49p-13, 0x1.f95f74dca2p-13, 0x1.010bc53dcefecp-12, 0x1.04f5039a615dcp-12, 0x1.086f181b77b81p-12, 0x1.0b7d90298b637p-12, 0x1.0e23e46319338p-12, 0x1.106578ff27e27p-12, 0x1.12459e2f61f07p-12, 0x1.13c7907ffa4fbp-12, 0x1.14ee7935ac067p-12, 0x1.15bd6eab76b6bp-12, 0x1.163774aea1584p-12, 0x1.165f7cd800304p-12, 0x1.163866e603317p-12, 0x1.15c501136a6d5p-12, 0x1.1508086e2ec2fp-12, 0x1.1404292b91deep-12, 0x1.12bbfefc8273p-12, 0x1.1132155eeb66ap-12, 0x1.0f68e7ef2a347p-12, 0x1.0d62e2b77cab7p-12, 0x1.0b22627e29131p-12, 0x1.08a9b512a935ap-12, 0x1.05fb1999a56cp-12, 0x1.0318c0d7618b7p-12, 0x1.0004cd78bdef6p-12, 0x1.f982a8b804effp-13, 0x1.f2a0b9ae13312p-13, 0x1.eb67c1fc29795p-13, 0x1.e3db9bcef8a8cp-13, 0x1.dc0007dec610dp-13, 0x1.d3d8adf526eadp-13, 0x1.cb691d6e0fa67p-13, 0x1.c2b4cdb8f709cp-13, 0x1.b9bf1ed63af2ap-13, 0x1.b08b59d3f1614p-13, 0x1.a71cb1470e0e7p-13, 0x1.9d7641c382cd2p-13, 0x1.939b125128a95p-13, 0x1.898e14e0a4864p-13, 0x1.7f5226bbfb74ap-13, 0x1.74ea10f5dd5e5p-13, 0x1.6a5888d9308c6p-13, 0x1.5fa030527d065p-13, 0x1.54c3965b79c68p-13, 0x1.49c537623df17p-13, 0x1.3ea77daf7c273p-13, 0x1.336cc1cb3f065p-13, 0x1.28174adec4e52p-13, 0x1.1ca94f15788fdp-13, 0x1.1124f3fc3f151p-13, 0x1.058c4ede2ea52p-13, 0x1.f3c2ca412297fp-14, 0x1.dc4c593a00c2p-14, 0x1.c4b917f29a082p-14, 0x1.ad0cb5fbbfc69p-14, 0x1.954ac5d6a3b5dp-14, 0x1.7d76bd9b3a0fap-14, 0x1.6593f79c70802p-14, 0x1.4da5b3090f624p-14, 0x1.35af14887848bp-14, 0x1.1db326d8170b6p-14, 0x1.05b4db5f617bfp-14, 0x1.db6e1591f44c2p-15, 0x1.ab78eb245419cp-15, 0x1.7b8f893670ae7p-15, 0x1.4bb713693c5e4p-15, 0x1.1bf48051e4dffp-15, 0x1.d899350f9c204p-16, 0x1.7988035c396eep-16, 0x1.1abe56f2f49a5p-16, 0x1.788992ba666b2p-17, 0x1.788e90e5b28b2p-18, 0x1.8b8c8e8cd5417p-26, -0x1.73d729849826ap-18, -0x1.73bdfe3645151p-17, -0x1.16519e457d0bp-16, -0x1.7246d1cf584abp-16, -0x1.cdb80898c0934p-16, -0x1.144f7a6301e47p-15, -0x1.417ac5080dc11p-15, -0x1.6e5afe111bf1ap-15, -0x1.9aed5e8160b0bp-15, -0x1.c72f3dbf2bfc2p-15, -0x1.f31e10cf06045p-15, -0x1.0f5bb4c9b7045p-14, -0x1.24fc7b07f251ap-14, -0x1.3a703fd75bc32p-14, -0x1.4fb5f5471d3b9p-14, -0x1.64cc9a6618d64p-14, -0x1.79b33aed5b2d9p-14, -0x1.8e68eee964082p-14, -0x1.a2ecda68605afp-14, -0x1.b73e2d26c4e1ap-14, -0x1.cb5c22412bd52p-14, -0x1.df45ffe4abb88p-14, -0x1.f2fb1702d3d56p-14, -0x1.033d61835a915p-13, -0x1.0ce234c5b11d3p-13, -0x1.166bbd09f04dcp-13, -0x1.1fd9b6e295c55p-13, -0x1.292be39086a93p-13, -0x1.326208e164a48p-13, -0x1.3b7bf10eb2157p-13, -0x1.44796a9dadf98p-13, -0x1.4d5a483f77e8fp-13, -0x1.561e60b2de1cp-13, -0x1.5ec58ea544dbp-13, -0x1.674fb096158c7p-13, -0x1.6fbca8b91f8bbp-13, -0x1.780c5cdac8decp-13, -0x1.803eb6445f58ep-13, -0x1.8853a1a11b2e7p-13, -0x1.904b0ee3a2565p-13, -0x1.9824f12c93d49p-13, -0x1.9fe13eb0dde05p-13, -0x1.a77ff0a18722fp-13, -0x1.af0103135956bp-13, -0x1.b66474e765df2p-13, -0x1.bdaa47b40de33p-13, -0x1.c4d27fae7db1p-13, -0x1.cbdd2394bf753p-13, -0x1.d2ca3c9851726p-13, -0x1.d999d6493d06dp-13, -0x1.e04bfe8197144p-13, -0x1.e6e0c551791a3p-13, -0x1.ed583ceba1d88p-13, -0x1.f3b279922f2adp-13, -0x1.f9ef918454175p-13, -0x1.0007ce75e5a7cp-12, -0x1.03095ae5b4f64p-12, -0x1.05fc7bf6def03p-12, -0x1.08e1406a29119p-12, -0x1.0bb7b7d3706e3p-12, -0x1.0e7ff291cf495p-12, -0x1.113a01c7a39aap-12, -0x1.13e5f752fd9bp-12, -0x1.1683e5c61aee3p-12, -0x1.1913e06026407p-12, -0x1.1b95fb062aaefp-12, -0x1.1e0a4a3c0f4b2p-12, -0x1.2070e31dfb8dep-12, -0x1.22c9db599c435p-12, -0x1.25154927e777ap-12, -0x1.27534346b8c1dp-12, -0x1.2983e0f2d0a31p-12, -0x1.2ba739e1e6d03p-12, -0x1.2dbd663cd372ep-12, -0x1.2fc67e99fa9eep-12, -0x1.31c29bf7d1734p-12, -0x1.33b1d7b788292p-12, -0x1.35944b97d335cp-12, -0x1.376a11afefdfp-12, -0x1.3933446aaf1e8p-12, -0x1.3aeffe8190471p-12, -0x1.3ca05af84f691p-12, -0x1.3e44751824e64p-12, -0x1.3fdc686b7e9e7p-12, -0x1.416850b9b1e7dp-12, -0x1.42e84a02bf8a7p-12, -0x1.445c707b5ad6ep-12, -0x1.45c4e088f7f11p-12, -0x1.4721b6bde2a9bp-12, -0x1.48730fd59c0dp-12, -0x1.49b908b13f258p-12, -0x1.4af3be53e4d8bp-12, -0x1.4c234ddf5f222p-12, -0x1.4d47d490cb533p-12, -0x1.4e616fbd693a4p-12, -0x1.4f703ccf7b4bbp-12, -0x1.5074594342b77p-12, -0x1.516de2a40edbap-12, -0x1.525cf689728bfp-12, -0x1.5341b2946995cp-12, -0x1.541c346cc0ebap-12, -0x1.54ec99be81844p-12, -0x1.55b3003754784p-12, -0x1.566f85842fa1fp-12, -0x1.5722474efe2fap-12, -0x1.57cb633c3e669p-12, -0x1.586af6e8de731p-12, -0x1.59011fe82ed67p-12, -0x1.598dfbc1ada6ep-12, -0x1.5a11a7ef23c62p-12, -0x1.5a8c41dab9166p-12, -0x1.5afde6dcfe53cp-12, -0x1.5b66b43b4c0b7p-12, -0x1.5bc6c725dfd2ep-12, -0x1.5c1e3cb649a84p-12, -0x1.5c6d31edb959ep-12, -0x1.5cb3c3b3899ffp-12, -0x1.5cf20ed3c067ep-12, -0x1.5d282ffd82833p-12, -0x1.5d5643c1d1a58p-12, -0x1.5d7c66922574ep-12, -0x1.5d9ab4bf2e7bep-12, -0x1.5db14a7784d8p-12, -0x1.5dc043c69340ep-12, -0x1.5dc7bc9373a64p-12, -0x1.5dc7d09fc3b2cp-12, -0x1.5dc09b86aad8bp-12, -0x1.5db238bbd676ap-12, -0x1.5d9cc38a7fe3fp-12, -0x1.5d8057148d839p-12, -0x1.5d5d0e51ad14bp-12, -0x1.5d33040e87afbp-12, -0x1.5d0252ebf3821p-12, -0x1.5ccb155e1abbdp-12, -0x1.5c8d65abeff2bp-12, -0x1.5c495dee5836bp-12, -0x1.5bff180f9bdadp-12, -0x1.5baeadcac36dap-12, -0x1.5b5838aafa18cp-12, -0x1.5afbd20b15621p-12, -0x1.5a99931505f4bp-12, -0x1.5a3194c14e44ep-12, -0x1.59c3efd6ad71ep-12, -0x1.5950bce997438p-12, -0x1.58d8145bd356ap-12, -0x1.585a0e5c25be5p-12, -0x1.57d6c2e5fa58dp-12, -0x1.574e49c0fb6d7p-12, -0x1.56c0ba80dfafp-12, -0x1.562e2c851e92ap-12, -0x1.5596b6f8a674p-12, -0x1.54fa70d1b072cp-12, -0x1.545970d18f5b9p-12, -0x1.53b3cd846e5a9p-12, -0x1.53099d41445fbp-12, -0x1.525af6299c45ep-12, -0x1.51a7ee297b27ep-12, -0x1.50f09af74b354p-12, -0x1.50351213cb088p-12, -0x1.4f7568c9f3889p-12, -0x1.4eb1b42ef68e4p-12, -0x1.4dea092230eefp-12, -0x1.4d1e7c4d2f702p-12, -0x1.4c4f2223a3124p-12, -0x1.4b7c0ee373879p-12, -0x1.4aa55694ce10bp-12, -0x1.49cb0d0a24962p-12, -0x1.48ed45e03ddecp-12, -0x1.480c147e5a0a8p-12, -0x1.47278c1637132p-12, -0x1.463fbfa437145p-12, -0x1.4554c1ef7b51p-12, -0x1.4466a58a0a08p-12, -0x1.43757cd0e0046p-12, -0x1.428159ec31eabp-12, -0x1.418a4ecf848b1p-12, -0x1.40906d39d9ea1p-12, -0x1.3f93c6b5e57efp-12, -0x1.3e946c9a3e30bp-12, -0x1.3d9270098cb95p-12, -0x1.3c8de1f2be16ap-12, -0x1.3b86d31144645p-12, -0x1.3a7d53ed453edp-12, -0x1.397174dbe739bp-12, -0x1.386345ff7e026p-12, -0x1.3752d747d26eep-12, -0x1.364038725e636p-12, -0x1.352b790a9a48ep-12, -0x1.3414a86a38f2bp-12, -0x1.32fbd5b96ec6ep-12, -0x1.31e10fef3a403p-12, -0x1.30c465d1b00a6p-12, -0x1.2fa5e5f648053p-12, -0x1.2e859ec21a841p-12, -0x1.2d639e6a3c2dfp-12, -0x1.2c3ff2f4060bcp-12, -0x1.2b1aaa356b19ep-12, -0x1.29f3d1d53c49ap-12, -0x1.28cb774b862dcp-12, -0x1.27a1a7e1dd89fp-12, -0x1.267670b3acc98p-12, -0x1.2549deae97f9ep-12, -0x1.241bfe92c873dp-12, -0x1.22ecdcf33ed2ap-12, -0x1.21bc86362ac61p-12, -0x1.208b0695460b6p-12, -0x1.1f586a1e2d992p-12, -0x1.1e24bcb2b3965p-12, -0x1.1cf00a093c941p-12, -0x1.1bba5dad1351ap-12, -0x1.1a83c2fec582ep-12, -0x1.194c453484a3fp-12, -0x1.1813ef5a72891p-12, -0x1.16dacc5309d9fp-12, -0x1.15a0e6d76aa2p-12, -0x1.14664977c2587p-12, -0x1.132afe9ba08b4p-12, -0x1.11ef108258267p-12, -0x1.10b289434f2a9p-12, -0x1.0f7572ce680f4p-12, -0x1.0e37d6ec58aeap-12, -0x1.0cf9bf3f04576p-12, -0x1.0bbb3541d4129p-12, -0x1.0a7c424a1eab9p-12, -0x1.093cef877c74ep-12, -0x1.07fd4604215a4p-12, -0x1.06bd4ea540db9p-12, -0x1.057d122b615e1p-12, -0x1.043c9932bba61p-12, -0x1.02fbec33996aap-12, -0x1.01bb1382aef43p-12, -0x1.007a17517121fp-12, -0x1.fe71ff5ced60dp-13, -0x1.fbefa90ba3b2p-13, -0x1.f96d3b42d3e1dp-13, -0x1.f6eac552aa10bp-13, -0x1.f46856486a48p-13, -0x1.f1e5fcef23b83p-13, -0x1.ef63c7d05cc2bp-13, -0x1.ece1c534c8ebap-13, -0x1.ea600324fcffp-13, -0x1.e7de8f6a20816p-13, -0x1.e55d778e9d545p-13, -0x1.e2dcc8decca63p-13, -0x1.e05c9069a6962p-13, -0x1.dddcdb0173a58p-13, -0x1.db5db53c7c5b7p-13, -0x1.d8df2b75b29acp-13, -0x1.d66149cd5af81p-13, -0x1.d3e41c29b528bp-13, -0x1.d167ae37ae5abp-13, -0x1.ceec0b6b89a3cp-13, -0x1.cc713f018222dp-13, -0x1.c9f753fe70bb2p-13, -0x1.c77e55307d85bp-13, -0x1.c5064d2fb9d7p-13, -0x1.c28f465ec7c7bp-13, -0x1.c0194aeb8557dp-13, -0x1.bda464cf9f3fdp-13, -0x1.bb309dd13cfa3p-13, -0x1.b8bdff839c96ap-13, -0x1.b64c9347b140dp-13, -0x1.b3dc624cc6482p-13, -0x1.b16d75911bd9ap-13, -0x1.aeffd5e27ab74p-13, -0x1.ac938bdecf251p-13, -0x1.aa289ff4cbf05p-13, -0x1.a7bf1a647d415p-13, -0x1.a557033fde1fdp-13, -0x1.a2f0626b6fc5bp-13, -0x1.a08b3f9ed3a4ap-13, -0x1.9e27a2654fcep-13, -0x1.9bc5921e72e12p-13, -0x1.996515fea1755p-13, -0x1.9706350f9e1bcp-13, -0x1.94a8f6311dfe2p-13, -0x1.924d60195f4a2p-13, -0x1.8ff37955a3b1p-13, -0x1.8d9b484ac986ap-13, -0x1.8b44d335d029bp-13, -0x1.88f0202c673a9p-13, -0x1.869d351d6cb4fp-13, -0x1.844c17d18274dp-13, -0x1.81fccdeb899cdp-13, -0x1.7faf5ce926fdcp-13, -0x1.7d63ca234a32ap-13, -0x1.7b1a1acea9ecep-13, -0x1.78d253fc4bf6ep-13, -0x1.768c7a9a051adp-13, -0x1.74489372f2bb8p-13, -0x1.7206a32ff8ee6p-13, -0x1.6fc6ae5845161p-13, -0x1.6d88b951c0469p-13, -0x1.6b4cc8618d5f3p-13, -0x1.6912dfac84708p-13, -0x1.66db0337a5209p-13, -0x1.64a536e88f5d4p-13, -0x1.62717e85f95acp-13, -0x1.603fddb824ab8p-13, -0x1.5e10580950a48p-13, -0x1.5be2f0e629271p-13, -0x1.59b7ab9e3ad25p-13, -0x1.578e8b645d4bfp-13, -0x1.5567934f268b5p-13, -0x1.5342c6595b701p-13, -0x1.512027625109bp-13, -0x1.4effb92e5fe1fp-13, -0x1.4ce17e674e45fp-13, -0x1.4ac5799cb0a6dp-13, -0x1.48abad445dcacp-13, -0x1.46941bbac7f94p-13, -0x1.447ec7436adep-13, -0x1.426bb20931514p-13, -0x1.405ade1ece836p-13, -0x1.3e4c4d7f2be08p-13, -0x1.3c40020dc409p-13, -0x1.3a35fd96fce48p-13, -0x1.382e41d09103dp-13, -0x1.3628d059e9b3bp-13, -0x1.3425aabc7adc1p-13, -0x1.3224d26c2361p-13, -0x1.302648c780e68p-13, -0x1.2e2a0f1848fcfp-13, -0x1.2c302693a9813p-13, -0x1.2a38905a98c6ap-13, -0x1.28434d7a33442p-13, -0x1.26505eec08239p-13, -0x1.245fc59677d55p-13, -0x1.2271824d01862p-13, -0x1.208595d096e3fp-13, -0x1.1e9c00cfeefb8p-13, -0x1.1cb4c3e7d57b7p-13, -0x1.1acfdfa37cabfp-13, -0x1.18ed547cc663dp-13, -0x1.170d22dc94327p-13, -0x1.152f4b1b1fa52p-13, -0x1.1353cd803a3abp-13, -0x1.117aaa43948b6p-13, -0x1.0fa3e18d1bf5fp-13, -0x1.0dcf73752975ap-13, -0x1.0bfd6004d9e7ep-13, -0x1.0a2da7365c68cp-13, -0x1.086048f525aa9p-13, -0x1.0695451e45873p-13, -0x1.04cc9b80a43ffp-13, -0x1.03064bdd45249p-13, -0x1.014255e791561p-13, -0x1.ff01728b283f2p-14, -0x1.fb82eb207239bp-14, -0x1.f80914a72fc69p-14, -0x1.f493ee1e494aep-14, -0x1.f123766bfd1fcp-14, -0x1.edb7ac5e4473fp-14, -0x1.ea508eab5c345p-14, -0x1.e6ee1bf22d881p-14, -0x1.e39052bae1882p-14, -0x1.e03731773d1efp-14, -0x1.dce2b68312863p-14, -0x1.d992e024cbfc8p-14, -0x1.d647ac8dc972ap-14, -0x1.d30119dad3d5bp-14, -0x1.cfbf2614995c6p-14, -0x1.cc81cf3002318p-14, -0x1.c949130ea9266p-14, -0x1.c614ef7f47c9p-14, -0x1.c2e5623e1b456p-14, -0x1.bfba68f540455p-14, -0x1.bc94013d263bp-14, -0x1.b972289cf60fcp-14, -0x1.b654dc8aec365p-14, -0x1.b33c1a6cb2bd9p-14, -0x1.b027df97d49aep-14, -0x1.ad18295212558p-14, -0x1.aa0cf4d1b4e3ep-14, -0x1.a7063f3dff29bp-14, -0x1.a40405af6b374p-14, -0x1.a106453021e75p-14, -0x1.9e0cfabc48df9p-14, -0x1.9b18234248d23p-14, -0x1.9827bba33e714p-14, -0x1.953bc0b33dfc7p-14, -0x1.92542f399f747p-14, -0x1.8f7103f169122p-14, -0x1.8c923b8988ebfp-14, -0x1.89b7d2a529728p-14, -0x1.86e1c5dc01c91p-14, -0x1.841011baa9898p-14, -0x1.8142b2c2e0491p-14, -0x1.7e79a56bd7a2p-14, -0x1.7bb4e622835dfp-14, -0x1.78f47149cc9eep-14, -0x1.7638433aeea56p-14, -0x1.73805845b7d8bp-14, -0x1.70ccacb0cfda8p-14, -0x1.6e1d3cb9fe247p-14, -0x1.6b720496626aap-14, -0x1.68cb0072c1b6p-14, -0x1.66282c73c73e3p-14, -0x1.638984b63d283p-14, -0x1.60ef054f5801bp-14, -0x1.5e58aa4ce6abbp-14, -0x1.5bc66fb596a15p-14, -0x1.5938518931936p-14, -0x1.56ae4bc0d42bfp-14, -0x1.54285a4f2e5e5p-14, -0x1.51a67920bed96p-14, -0x1.4f28a41c03ab3p-14, -0x1.4caed721b470ap-14, -0x1.4a390e0cfbfb1p-14, -0x1.47c744b3a63fep-14, -0x1.455976e65c55ap-14, -0x1.42efa070dea37p-14, -0x1.4089bd1a2a59bp-14, -0x1.3e27c8a4b3fddp-14, -0x1.3bc9bece97837p-14, -0x1.396f9b51ccb88p-14, -0x1.371959e44eb8fp-14, -0x1.34c6f6384ebb4p-14, -0x1.32786bfc6b8dp-14, -0x1.302db6dbd3143p-14, -0x1.2de6d27e6d5d5p-14, -0x1.2ba3ba8913bb1p-14, -0x1.29646a9dafc2ap-14, -0x1.2728de5b799fcp-14, -0x1.24f1115f0f242p-14, -0x1.22bcff42a0d04p-14, -0x1.208ca39e22a55p-14, -0x1.1e5ffa0766723p-14, -0x1.1c36fe1248805p-14, -0x1.1a11ab50da73bp-14, -0x1.17effd5388c32p-14, -0x1.15d1efa937b8fp-14, -0x1.13b77ddf6d101p-14, -0x1.11a0a38275101p-14, -0x1.0f8d5c1d81e5bp-14, -0x1.0d7da33acec33p-14, -0x1.0b717463c38bfp-14, -0x1.0968cb2115f9bp-14, -0x1.0763a2fae8f4fp-14, -0x1.0561f778e657ap-14, -0x1.0363c42267d1cp-14, -0x1.0169047e952cep-14, -0x1.fee36828e84dp-15, -0x1.fafb9cd643cecp-15, -0x1.f71a9e13ac26ap-15, -0x1.f34062f011983p-15, -0x1.ef6ce27b2246p-15, -0x1.eba013c570629p-15, -0x1.e7d9ede0afcc6p-15, -0x1.e41a67dff34d8p-15, -0x1.e06178d7e417bp-15, -0x1.dcaf17ded98bdp-15, -0x1.d9033c0d2200dp-15, -0x1.d55ddc7d3dda7p-15, -0x1.d1bef04bd2ecdp-15, -0x1.ce266e9827582p-15, -0x1.ca944e842f399p-15, -0x1.c7088734aa92dp-15, -0x1.c3830fd163422p-15, -0x1.c003df854ae9bp-15, -0x1.bc8aed7ea7407p-15, -0x1.b91830ef4ef5bp-15, -0x1.b5aba10cc0076p-15, -0x1.b24535104d83ep-15, -0x1.aee4e43734135p-15, -0x1.ab8aa5c2e2065p-15, -0x1.a83670f8f97f6p-15, -0x1.a4e83d237532cp-15, -0x1.a1a00190f5243p-15, -0x1.9e5db594a3fd9p-15, -0x1.9b2150869dbdcp-15, -0x1.97eac9c3d623dp-15, -0x1.94ba18ae47854p-15, -0x1.918f34ad26bp-15, -0x1.8e6a152cf99d1p-15, -0x1.8b4ab19f8db5ep-15, -0x1.8831017c52438p-15, -0x1.851cfc4064ae1p-15, -0x1.820e996e768c6p-15, -0x1.7f05d08f2c08cp-15, -0x1.7c02993118ff7p-15, -0x1.7904eae8c7d6fp-15, -0x1.760cbd5110545p-15, -0x1.731a080aec5f6p-15, -0x1.702cc2bdac9c4p-15, -0x1.6d44e5171ccfbp-15, -0x1.6a6266cb7c4dbp-15, -0x1.67853f95a1487p-15, -0x1.64ad67370a78p-15, -0x1.61dad57815252p-15, -0x1.5f0d8227cdf6dp-15, -0x1.5c45651c4fb3ap-15, -0x1.5982763296f12p-15, -0x1.56c4ad4ebc153p-15, -0x1.540c025c01076p-15, -0x1.51586d4cb4019p-15, -0x1.4ea9e61a99208p-15, -0x1.4c0064c6ad809p-15, -0x1.495be1594863p-15, -0x1.46bc53e2524dbp-15, -0x1.4421b47912f6fp-15, -0x1.418bfb3c61e8ap-15, -0x1.3efb2052e3c05p-15, -0x1.3c6f1beaa5a9bp-15, -0x1.39e7e639a7004p-15, -0x1.3765777d9536bp-15, -0x1.34e7c7fbdd7ebp-15, -0x1.326ed001e444bp-15, -0x1.2ffa87e4e7a5p-15, -0x1.2d8ae8020fa2p-15, -0x1.2b1fe8be8dd8dp-15, -0x1.28b982879faaep-15, -0x1.2657add277e73p-15, -0x1.23fa631c833efp-15, -0x1.21a19aeb40a3ap-15, -0x1.1f4d4dcc4e9bdp-15, -0x1.1cfd745598a8ap-15, -0x1.1ab207251b1a8p-15, -0x1.186afee14fep-15, -0x1.16285438b34dbp-15, -0x1.13e9ffe252cbp-15, -0x1.11affa9d6117fp-15, -0x1.0f7a3d31612d2p-15, -0x1.0d48c06e774c6p-15, -0x1.0b1b7d2ce6f07p-15, -0x1.08f26c4d84a68p-15, -0x1.06cd86b9a5d8p-15, -0x1.04acc562ca527p-15, -0x1.02902143425f1p-15, -0x1.0077935d948eep-15, -0x1.fcc62979c5f0ap-16, -0x1.f8a53ce992b2bp-16, -0x1.f48c5342dc0c9p-16, -0x1.f07b5eceda08ep-16, -0x1.ec7251e81c2ap-16, -0x1.e8711ef9e4673p-16, -0x1.e477b880eb2bbp-16, -0x1.e086110adac0ep-16, -0x1.dc9c1b365682ap-16, -0x1.d8b9c9b36a901p-16, -0x1.d4df0f42fe8fap-16, -0x1.d10bdeb76e72ap-16, -0x1.cd402af3dfadfp-16, -0x1.c97be6ecdd97dp-16, -0x1.c5bf05a7da959p-16, -0x1.c2097a3b85226p-16, -0x1.be5b37cfe04fdp-16, -0x1.bab4319d8c05fp-16, -0x1.b7145aeef5d1ap-16, -0x1.b37ba71f1330fp-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      41, 0x1.ac28f5c28f5c3p+2, 0x1.7e16f07dd1f89p+0, 0x1.2ae8b943b1fd5p+1, -0x1.395c9dd43b444p-9, 
      {{
        {0x1.2b851eb851eb8p+2, 0x1.2cccccccccccdp+2, 0x1.d60b102220b02p-8, -0x1.d3b462421fda8p-7, 0x1.5d0889bf0c029p-7, -0x1.ce950dc41c0b1p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.c39cc6a8dcad6p-8, -0x1.c5e1cf0160677p-7, 0x1.561838e658638p-7, -0x1.c4fcd85fa8663p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.97e807493ae8bp-8, -0x1.a4859ed75247ep-7, 0x1.451b8a62c212fp-7, -0x1.b9191fd286ca7p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.6f73bf1daaa6cp-8, -0x1.84d697f133496p-7, 0x1.3490ff97a9d1dp-7, -0x1.adadb00e12e7bp-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4a1593cbef9e8p-8, -0x1.66c98a12b34cep-7, 0x1.247415ca55e93p-7, -0x1.a2220562c905cp-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.27a44610e124ep-8, -0x1.4a536f439caf6p-7, 0x1.14c602636e5f2p-7, -0x1.969efd8a09fc9p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.07f7b1c06a2ffp-8, -0x1.2f6936387cddfp-7, 0x1.0586727b0dff5p-7, -0x1.8b19a54df9d5fp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.d5d19b8b12a5ap-9, -0x1.15ffd0aeba7efp-7, 0x1.ed6af89042db8p-8, -0x1.7f94ebccb6f3cp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a0a35844a17ffp-9, -0x1.fc185f272897cp-8, 0x1.d0a633adb522fp-8, -0x1.741007c370c1ap-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.701af3dfcc929p-9, -0x1.cf0688181ee72p-8, 0x1.b4be997f0cae2p-8, -0x1.688b2f1f8d00ap-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.43f0febd06bdep-9, -0x1.a4b3fe5c7e7b2p-8, 0x1.99b429297bb42p-8, -0x1.5d06536dffd9cp-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.1be03f6aea22fp-9, -0x1.7d0aa4287030ep-8, 0x1.7f86e2e7a21d7p-8, -0x1.5181788dd7b93p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.ef4b654c703c3p-10, -0x1.57f45badf7823p-8, 0x1.6636c6a9cb894p-8, -0x1.45fc9d75a2cebp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.ae0116b3b296p-10, -0x1.355b071fab203p-8, 0x1.4dc3d4742c204p-8, -0x1.3a77c26c62fc5p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.7364653dbb047p-10, -0x1.152888affa49p-8, 0x1.362e0c45a4b3dp-8, -0x1.2ef2e75f30838p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.3efc8f78f7b66p-10, -0x1.ee8d8522bd972p-9, 0x1.1f756e1e811p-8, -0x1.236e0c5303558p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.105540502557p-10, -0x1.b73f2dec9f52dp-9, 0x1.0999f9fead9cep-8, -0x1.17e931468850cp-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.cdfd1e149e17ap-11, -0x1.8439d0228924dp-9, 0x1.e9375fcc60611p-9, -0x1.0c64563a3ed18p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.8519fe959cf0ep-11, -0x1.555130296a37ep-9, 0x1.c0f51faa0a283p-9, -0x1.00df7b2dbf231p-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.453302229772cp-11, -0x1.2a59126631ad4p-9, 0x1.9a6d339660afdp-9, -0x1.eab54042fc366p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.0d82e1737ad46p-11, -0x1.03253b3dceb62p-9, 0x1.759f9b915a91ap-9, -0x1.d3ab8a29e98a9p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.ba9a5bf1a27eap-12, -0x1.bf12de2a60e6bp-10, 0x1.528c579b02a74p-9, -0x1.bca1d4116dd18p-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.67bca3b783b8dp-12, -0x1.7eb2e4a28c132p-10, 0x1.313367b34d9e2p-9, -0x1.a5981df86e1e2p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.21171ffc21865p-12, -0x1.44d212adfd61p-10, 0x1.1194cbda455bfp-9, -0x1.8e8e67dfce9c4p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.cacc0fe87c2cp-13, -0x1.1117f11692fap-10, 0x1.e761081fc554p-10, -0x1.7784b1c70acp-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.66ee888baaf19p-13, -0x1.c658114c56f6dp-11, 0x1.af0d20a850832p-10, -0x1.607afbadcf1c6p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.1454de103b776p-13, -0x1.756bc44d48b08p-11, 0x1.7a2de14e3e3fp-10, -0x1.49714596f2f25p-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.a1c34f0e1b5ap-14, -0x1.2eba0cc3bd535p-11, 0x1.48c34a113367ap-10, -0x1.32678f770884bp-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3535bdc6eacp-14, -0x1.e323f886bad38p-12, 0x1.1acd5af28bba7p-10, -0x1.1b5dd978e19b5p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.bea783ece903fp-15, -0x1.7a8548c060beap-12, 0x1.e09827da6d601p-11, -0x1.045422fd128adp-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.396db61a5f301p-15, -0x1.22362d59b9804p-12, 0x1.927eea281b02p-11, -0x1.da94dcaa543d4p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.a8fd3901ec4ffp-16, -0x1.b1a99304ad49bp-13, 0x1.4b4efc41c192bp-11, -0x1.ac8165b908ddfp-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.14509a2a75fp-16, -0x1.39fe8086f72abp-13, 0x1.0b086032cd0b4p-11, -0x1.7e6e21a51cf03p-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.5519a55628003p-17, -0x1.b54ed4d598d62p-14, 0x1.a3561cb411689p-12, -0x1.505a1fbb14a6bp-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.8a10f250802p-18, -0x1.21c1276ab6f46p-14, 0x1.3e6e46625803cp-12, -0x1.2248e24fcf0d2p-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.a122484c848p-19, -0x1.67993bec7dc5dp-15, 0x1.ceb0d1c800967p-13, -0x1.e85aa1790267ep-12}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.8758042fc5001p-20, -0x1.97a5a5f594f79p-16, 0x1.3c2f3af07fde2p-13, -0x1.8c709697c8934p-12}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.337031731ap-21, -0x1.948b63ad833fap-17, 0x1.8a814eb920fe8p-14, -0x1.2f66d2f16da3dp-12}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.6a81a11d1fffep-23, -0x1.43837b7381382p-18, 0x1.a8eda0508b39fp-15, -0x1.ad1db43446e8dp-13}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.ef4b654ep-26, -0x1.5a3c47dfbea2p-20, 0x1.4eeacec8c15e8p-16, -0x1.b83dbb21ae614p-14}, 
        {0x1.a99999999999ap+2, 0x1.ac28f5c28f5c3p+2, 0x1.3535bdf400001p-30, -0x1.5af04ec249e48p-24, 0x1.1b17139efc801p-18, -0x1.8cd5f38876e25p-13}, 
      }}, 
      0x1.2094ee044d557p-8, -0x1.306f4d33acee4p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.af1663ea1d672p-6, 0x1.ad8e0f552884p-5, 0x1.405e53ff8dep-4, 0x1.a8025f24c39f8p-4, 0x1.06a170886bec3p-3, 0x1.37e275c1e3f4p-3, 0x1.679ff346fd969p-3, 0x1.95bd7c078ba93p-3, 0x1.c22563ca13a48p-3, 0x1.ecc7c89ea4027p-3, 0x1.0accdf044e009p-2, 0x1.1e4a4a7a852d2p-2, 0x1.30da9e2d64a1p-2, 0x1.427ddb7a41cc6p-2, 0x1.5335518457c22p-2, 0x1.6303689977ebcp-2, 0x1.71eb73d5b7704p-2, 0x1.7ff187bf155fdp-2, 0x1.8d1a54f790f71p-2, 0x1.996b06b8e5958p-2, 0x1.a4e925cc522a8p-2, 0x1.af9a8148b80cdp-2, 0x1.b9851e21c4144p-2, 0x1.c2af2d20d7236p-2, 0x1.cb1f0524d379ap-2, 0x1.d2db1e85d1ab8p-2, 0x1.d9ea0cc3501cep-2, 0x1.e0527562927ddp-2, 0x1.e61b04d496ac8p-2, 0x1.eb4a63542753ep-2, 0x1.efe72b60a7e3fp-2, 0x1.f3f7e153aefb4p-2, 0x1.f782edccf8f15p-2, 0x1.fa8e9873531e2p-2, 0x1.fd21044ab69e6p-2, 0x1.ff402c9b032abp-2, 0x1.0078f124b5ddap-1, 0x1.011de549dd541p-1, 0x1.0191ae7ad7f3fp-1, 0x1.01d6f14988561p-1, 0x1.01f03aa577c9dp-1, 0x1.01dfffc6c10cap-1, 0x1.01a89e0170cdep-1, 0x1.014c5af596897p-1, 0x1.00cd64a604ddp-1, 0x1.002dd1cae36c2p-1, 0x1.fedf444814e74p-2, 0x1.fd297daec3648p-2, 0x1.fb3df5fcad9b9p-2, 0x1.f920283325a77p-2, 0x1.f6d3656118c23p-2, 0x1.f45ad5aee8555p-2, 0x1.f1b979a5dbdcbp-2, 0x1.eef22b6d624e9p-2, 0x1.ec07a025ec775p-2, 0x1.e8fc693c9e3b1p-2, 0x1.e5d2f5baa721bp-2, 0x1.e28d938eec746p-2, 0x1.df2e70db66b19p-2, 0x1.dbb79d4b5cd63p-2, 0x1.d82b0b6435633p-2, 0x1.d48a91ce593f5p-2, 0x1.d0d7ec9679d32p-2, 0x1.cd14be6180801p-2, 0x1.c9429199a2d4cp-2, 0x1.c562d9977c2b6p-2, 0x1.c176f3c3fdbbbp-2, 0x1.bd8028b2f951bp-2, 0x1.b97fad3602ed3p-2, 0x1.b576a364cec6dp-2, 0x1.b1661b98ee54p-2, 0x1.ad4f155f47b35p-2, 0x1.a932805feea14p-2, 0x1.a5113d3c7959bp-2, 0x1.a0ec1e654e4c5p-2, 0x1.9cc3e8e6bea13p-2, 0x1.9899552e6b562p-2, 0x1.946d0fc7ceba5p-2, 0x1.903fba103d66bp-2, 0x1.8c11eae1d49b8p-2, 0x1.87e42f359a9d7p-2, 0x1.83b70abc02cedp-2, 0x1.7f8af8758d0d2p-2, 0x1.7b606b2eb0cdp-2, 0x1.7737ce0c1fa25p-2, 0x1.7311850642d94p-2, 0x1.6eeded595609p-2, 0x1.6acd5df4dc488p-2, 0x1.66b027e521068p-2, 0x1.629696b443484p-2, 0x1.5e80f0c7f71f2p-2, 0x1.5a6f77b64cb2ep-2, 0x1.5662689bc9f22p-2, 0x1.5259fc63cb1a3p-2, 0x1.4e5668137cab6p-2, 0x1.4a57dd0cfd378p-2, 0x1.465e894d438b6p-2, 0x1.426a97a7d80cdp-2, 0x1.3e7c2ffee9465p-2, 0x1.3a9377750a012p-2, 0x1.36b0909df6e2cp-2, 0x1.32d39bab84a2fp-2, 0x1.2efcb69741d4fp-2, 0x1.2b2bfd490f8e2p-2, 0x1.276189bb1a075p-2, 0x1.239d741c01b03p-2, 0x1.1fdfd2edcba06p-2, 0x1.1c28bb22b512cp-2, 0x1.18784038d5a7cp-2, 0x1.14ce744fe57abp-2, 0x1.112b684551bd4p-2, 0x1.0d8f2bc4e5f12p-2, 0x1.09f9cd663870fp-2, 0x1.066b5aa6384a6p-2, 0x1.02e3e018daa29p-2, 0x1.fec6d2c07f094p-3, 0x1.f7d4028c8fc89p-3, 0x1.f0ef638720353p-3, 0x1.ea19081ebb886p-3, 0x1.e3510153cc741p-3, 0x1.dc975ec519a32p-3, 0x1.d5ec2ece9c375p-3, 0x1.cf4f7e91ca491p-3, 0x1.c8c15a037c0adp-3, 0x1.c241cc01a0476p-3, 0x1.bbd0de5b0d7e1p-3, 0x1.b56e99d8a7681p-3, 0x1.af1b064c97a3ap-3, 0x1.a8d62a9c367f1p-3, 0x1.a2a00cc4d7c95p-3, 0x1.9c78b1e43095dp-3, 0x1.96601e43d3c52p-3, 0x1.9056555ce1d6fp-3, 0x1.8a5b59dbdbebap-3, 0x1.846f2da9a0d3p-3, 0x1.7e91d1ef25aa2p-3, 0x1.78c347197da36p-3, 0x1.73038cddba39ep-3, 0x1.6d52a23d61cddp-3, 0x1.67b08589eb911p-3, 0x1.621d3465f98ccp-3, 0x1.5c98abcaf507ap-3, 0x1.5722e80955c64p-3, 0x1.51bbe4ccaf199p-3, 0x1.4c639d216243ep-3, 0x1.471a0b645b478p-3, 0x1.41df29696876bp-3, 0x1.3cb2f054f71eep-3, 0x1.379558b4994e7p-3, 0x1.32865a86d6101p-3, 0x1.2d85ed209cacdp-3, 0x1.2894074b0535bp-3, 0x1.23b09f42a178fp-3, 0x1.1edbaa9e70a7ap-3, 0x1.1a151e71e61b8p-3, 0x1.155cef36a81bdp-3, 0x1.10b310eb8ed22p-3, 0x1.0c1776ebbac85p-3, 0x1.078a1415bcef8p-3, 0x1.030adababec7fp-3, 0x1.fd33794f220e6p-4, 0x1.f46d56505b5a7p-4, 0x1.ebc32dee0878ap-4, 0x1.e334e0b1ee0a5p-4, 0x1.dac24e25d0856p-4, 0x1.d26b54ceabc95p-4, 0x1.ca2fd24f299abp-4, 0x1.c20fa333bdc6fp-4, 0x1.ba0aa33867f87p-4, 0x1.b220ad2bb591bp-4, 0x1.aa519af588447p-4, 0x1.a29d458fc0fb6p-4, 0x1.9b03852a0f24p-4, 0x1.9384310f988adp-4, 0x1.8c1f1fc88a9c6p-4, 0x1.84d427091096ep-4, 0x1.7da31bb6df3aep-4, 0x1.768bd1f7de42ep-4, 0x1.6f8e1d3616229p-4, 0x1.68a9d02b114aap-4, 0x1.61debcd7852bfp-4, 0x1.5b2cb48648cadp-4, 0x1.549387e03846fp-4, 0x1.4e1306edaf167p-4, 0x1.47ab011d70be3p-4, 0x1.415b4544c65f8p-4, 0x1.3b23a1a273022p-4, 0x1.3503e3e5255fap-4, 0x1.2efbd942b5be1p-4, 0x1.290b4e673819ep-4, 0x1.23320f8c9fdc9p-4, 0x1.1d6fe87138001p-4, 0x1.17c4a4618f5ecp-4, 0x1.12300e4213e9bp-4, 0x1.0cb1f096da44fp-4, 0x1.074a1588213c3p-4, 0x1.01f846e32c6e5p-4, 0x1.f9789c420e654p-5, 0x1.ef2be8dcff27fp-5, 0x1.e50a055c3ec5fp-5, 0x1.db12830c51d98p-5, 0x1.d144f2c493b7bp-5, 0x1.c7a0e4ed3d464p-5, 0x1.be25e98818db6p-5, 0x1.b4d3903c730f5p-5, 0x1.aba96868cfe39p-5, 0x1.a2a7012d328dep-5, 0x1.99cbe974c52b9p-5, 0x1.9117affdd1735p-5, 0x1.8889e369e4c28p-5, 0x1.80221238b2338p-5, 0x1.77dfcadd8ea28p-5, 0x1.6fc29bc436481p-5, 0x1.67ca135e19dd6p-5, 0x1.5ff5c03194d16p-5, 0x1.584530e6eb9d5p-5, 0x1.50b7f44fbf771p-5, 0x1.494d9967182bp-5, 0x1.4205af4e8a62ep-5, 0x1.3adfc55181f64p-5, 0x1.33db6af50157p-5, 0x1.2cf83014ebb6p-5, 0x1.2635a5046564cp-5, 0x1.1f935a93bb5adp-5, 0x1.1910e208a0b32p-5, 0x1.12adccfb982cap-5, 0x1.0c69ad3faa619p-5, 0x1.064414eac0a38p-5, 0x1.003c9687330edp-5, 0x1.f4a58ab75a455p-6, 0x1.e90c6b41a2516p-6, 0x1.ddacf8fd121cbp-6, 0x1.d2865f91c65c5p-6, 0x1.c797cb3dd1707p-6, 0x1.bce06853e799ep-6, 0x1.b25f636787034p-6, 0x1.a813ea3a5276p-6, 0x1.9dfd2d046768cp-6, 0x1.941a5f53ef027p-6, 0x1.8a6ab7f623468p-6, 0x1.80ed6fba56c56p-6, 0x1.77a1bfa61e25ap-6, 0x1.6e86df9d05e1ap-6, 0x1.659c06689df8cp-6, 0x1.5ce06b66229ddp-6, 0x1.5453492ca3a58p-6, 0x1.4bf3dfcd34ac4p-6, 0x1.43c1754c7ad93p-6, 0x1.3bbb53bf8451ap-6, 0x1.33e0c5bb37078p-6, 0x1.2c3112d90aff4p-6, 0x1.24ab7e5166f22p-6, 0x1.1d4f48d649c1ap-6, 0x1.161bb51e9abbap-6, 0x1.0f100d14278p-6, 0x1.082ba4ecbfa46p-6, 0x1.016dda3472d34p-6, 0x1.f5ac1d61374dfp-7, 0x1.e8c7427ede9d3p-7, 0x1.dc2bd0873c3bep-7, 0x1.cfd8618b5b258p-7, 0x1.c3cb869cdff64p-7, 0x1.b803d9377b825p-7, 0x1.ac800c6bb8647p-7, 0x1.a13ef53ecaadcp-7, 0x1.963f8510a957fp-7, 0x1.8b80b71a1e014p-7, 0x1.810178c37320fp-7, 0x1.76c0986599c6ep-7, 0x1.6cbcc3bee4c2bp-7, 0x1.62f497cefc666p-7, 0x1.5966bb41daf5p-7, 0x1.5011f7dd1420ap-7, 0x1.46f547df9c5cdp-7, 0x1.3e0fd077bfdbep-7, 0x1.3560c972ffcd6p-7, 0x1.2ce75b62e43a9p-7, 0x1.24a28468d5c6p-7, 0x1.1c91121520416p-7, 0x1.14b1b32b2bfc7p-7, 0x1.0d03176051bcp-7, 0x1.05840f04c4313p-7, 0x1.fc6740a7411ccp-8, 0x1.ee221760826b4p-8, 0x1.e03773901ddd1p-8, 0x1.d2a62b8e9157bp-8, 0x1.c56cc89041ce5p-8, 0x1.b8895e1155875p-8, 0x1.abf9a0a20e28ap-8, 0x1.9fbb234c24b2ap-8, 0x1.93cb9282deep-8, 0x1.8828ddf8c6bc5p-8, 0x1.7cd15a6e7392ap-8, 0x1.71c3d417f3536p-8, 0x1.66ff7080a5c02p-8, 0x1.5c8356882e1a5p-8, 0x1.524e51f3ffe8bp-8, 0x1.485eba6019963p-8, 0x1.3eb2a445bfc3ep-8, 0x1.35481a81e71ffp-8, 0x1.2c1d2c8bbef6p-8, 0x1.232fec179e685p-8, 0x1.1a7e964205187p-8, 0x1.1207dd9db37cp-8, 0x1.09cafcf82a378p-8, 0x1.01c763c045a9cp-8, 0x1.f3f8888c19baap-9, 0x1.e4d0e41065e88p-9, 0x1.d615347379faap-9, 0x1.c7c2ebfe6fca8p-9, 0x1.b9d7511c174eap-9, 0x1.ac4ef1a13ddadp-9, 0x1.9f25c43d9550fp-9, 0x1.92582a83b4afbp-9, 0x1.85e3d723cc026p-9, 0x1.79c7aaf4cdc71p-9, 0x1.6e02ce740deccp-9, 0x1.62940c6161d25p-9, 0x1.5779ed88bd642p-9, 0x1.4cb32989820d9p-9, 0x1.423e9711ac5aap-9, 0x1.381a53b30dc11p-9, 0x1.2e431964601ecp-9, 0x1.24b4c0f3c0fd4p-9, 0x1.1b6b799dce51p-9, 0x1.1264a35da3202p-9, 0x1.099ee4d3bfa4ap-9, 0x1.0119a637c4348p-9, 0x1.f1a8ce360bcd3p-10, 0x1.e19d0f919a12bp-10, 0x1.d20f38ffc484ep-10, 0x1.c2febaab76fd7p-10, 0x1.b469abc4ca899p-10, 0x1.a64bcd79306cap-10, 0x1.989f20a5b4904p-10, 0x1.8b5c9ca8b13aap-10, 0x1.7e7d3df2b6b44p-10, 0x1.71fc52cf9017ap-10, 0x1.65d845355e1efp-10, 0x1.5a107cbf55eeap-10, 0x1.4ea413e4cb744p-10, 0x1.4392c7a3e2bf6p-10, 0x1.38dc972b4f5cap-10, 0x1.2e807a180d54p-10, 0x1.247ccc1bd208ap-10, 0x1.1acfe5a02c752p-10, 0x1.1176ddd690a5bp-10, 0x1.086bbebef2d76p-10, 0x1.ff500f41c816cp-11, 0x1.ee519456106f5p-11, 0x1.ddd882ef88353p-11, 0x1.cdde7ac7a34f4p-11, 0x1.be612eddfef96p-11, 0x1.af629edb3de3ap-11, 0x1.a0e17272a1b9cp-11, 0x1.92da4f4d1a03ep-11, 0x1.854c3ae2aaa3ep-11, 0x1.7837eb4b69d52p-11, 0x1.6b9bf3095fd45p-11, 0x1.5f6fe0f4732a1p-11, 0x1.53ab8a3f2a979p-11, 0x1.484f9c3434a37p-11, 0x1.3d577a8d3aa61p-11, 0x1.32b785c0aaf1ap-11, 0x1.286bfa399450bp-11, 0x1.1e744916d55a9p-11, 0x1.14cd792ef2befp-11, 0x1.0b769c1fdcdc9p-11, 0x1.0270ed5e5f902p-11, 0x1.f378a70317d5cp-12, 0x1.e2afe9d19538dp-12, 0x1.d2817fabc47adp-12, 0x1.c2e0127ba31bdp-12, 0x1.b3cf921ab5422p-12, 0x1.a54ff7a8d93a9p-12, 0x1.9750a89f7a937p-12, 0x1.89d186efe5e5cp-12, 0x1.7cce668d9477cp-12, 0x1.703550031ddf5p-12, 0x1.63fbcdb26df6dp-12, 0x1.58255f9f67633p-12, 0x1.4cb927270f69ap-12, 0x1.41b5da50c0356p-12, 0x1.371727885021ap-12, 0x1.2cda27b9f031dp-12, 0x1.22f8605d3adbap-12, 0x1.1976574194f88p-12, 0x1.1048c02534275p-12, 0x1.0768af9f4dad3p-12, 0x1.fdbc423f77a63p-13, 0x1.ed493aa33d1dcp-13, 0x1.dd6d91bd41a08p-13, 0x1.ce20ad8cd623cp-13, 0x1.bf55b31dc50a9p-13, 0x1.b1039454ad607p-13, 0x1.a329877010c75p-13, 0x1.95c9284702a3ap-13, 0x1.88e9a44023b92p-13, 0x1.7c7e57da77797p-13, 0x1.70824928a102bp-13, 0x1.64f110de08d74p-13, 0x1.59c5771c935a4p-13, 0x1.4f023f97ceafdp-13, 0x1.4496fb9619167p-13, 0x1.3a7fb40fc416cp-13, 0x1.30bead8950a81p-13, 0x1.275507049cc17p-13, 0x1.1e4334df58e82p-13, 0x1.158857aa82ed9p-13, 0x1.0d19fd41c3d39p-13, 0x1.04e9e1a8d5871p-13, 0x1.fa06b78234c31p-14, 0x1.eac6bb93161eep-14, 0x1.dbf771f026251p-14, 0x1.cd95916174c53p-14, 0x1.bfc65af7a8817p-14, 0x1.b2706642edf95p-14, 0x1.a57c11c65a16ap-14, 0x1.98e81e82499d2p-14, 0x1.8cb5af11f4d13p-14, 0x1.80e256074174ap-14, 0x1.75695be4c10bfp-14, 0x1.6a481c1a548bcp-14, 0x1.5f7ef6991185cp-14, 0x1.550c1deccb497p-14, 0x1.4af99f7bdfbb9p-14, 0x1.4146f3369c2b1p-14, 0x1.37c753e2eb4b3p-14, 0x1.2e7fb19fc9b6p-14, 0x1.2587b601e174ep-14, 0x1.1ccaf4ae5018dp-14, 0x1.144e744615637p-14, 0x1.0c11821b47102p-14, 0x1.040b91b9368b6p-14, 0x1.f8736ea5c09bcp-15, 0x1.e9357e4835dd5p-15, 0x1.da596b4589387p-15, 0x1.cbdc9c99b2eeap-15, 0x1.bdbdd201aec6bp-15, 0x1.aff6848234326p-15, 0x1.a287343afbf43p-15, 0x1.95766423804c2p-15, 0x1.88a4f8add00a4p-15, 0x1.7c2e51f0cf9fbp-15, 0x1.700e9fa24958ep-15, 0x1.642afa3f615adp-15, 0x1.58851ee471d7dp-15, 0x1.4d1bb83475188p-15, 0x1.41f4c45a6f7e6p-15, 0x1.3711c0b1e78bap-15, 0x1.2c665ac8a383cp-15, 0x1.21ef341525478p-15, 0x1.17ac2193a5434p-15, 0x1.0d9d7f3ee2af7p-15, 0x1.03c2b8d2b1fb1p-15, 0x1.f42e4eae2c826p-16, 0x1.e13caf8d43e8fp-16, 0x1.cea135e4841b4p-16, 0x1.bc5dd7875c331p-16, 0x1.aa7332d489205p-16, 0x1.98d59c67dde44p-16, 0x1.878644d7a94c6p-16, 0x1.7686574c95cebp-16, 0x1.65dbf06072502p-16, 0x1.557de6e383b23p-16, 0x1.455f364aeef58p-16, 0x1.358110b857131p-16, 0x1.25eef969df094p-16, 0x1.169dadbe3764dp-16, 0x1.0789cd60cbbaap-16, 0x1.f16ac0d398a25p-17, 0x1.d439cd6a42d39p-17, 0x1.b781e1f221b0fp-17, 0x1.9b40434bb89dbp-17, 0x1.7f77dbefd62dbp-17, 0x1.641dffbb302cep-17, 0x1.4931cd332b9bbp-17, 0x1.2eb34fc107b24p-17, 0x1.14a0a10a8dc5p-17, 0x1.f5f01383c68edp-18, 0x1.c36f9c23a9648p-18, 0x1.91bb0c379d2ffp-18, 0x1.60cccb728bbdap-18, 0x1.30aaaf7f78d0ap-18, 0x1.01683f853da4cp-18, 0x1.a5af643df3395p-19, 0x1.4a0413c1c4acap-19, 0x1.e01029b74c6dcp-20, 0x1.2ecf5e3efb714p-20, 0x1.00e75ecfae14bp-21, -0x1.571f4c4281f13p-23, -0x1.a6ad1a06956d3p-21, -0x1.78ec5b18f8275p-20, -0x1.0dd6427b07c65p-19, -0x1.5dc633ca85f92p-19, -0x1.ac4b881d655bdp-19, -0x1.f967d7fe7bbd5p-19, -0x1.228e3734e9c43p-18, -0x1.47b60a73cc709p-18, -0x1.6c2c640c56a29p-18, -0x1.8ff22e73583cfp-18, -0x1.b3089201025acp-18, -0x1.d570cfe49af73p-18, -0x1.f72a2a0f0aba4p-18, -0x1.0c1bb83bba719p-17, -0x1.1c4d896a33bb5p-17, -0x1.2c22ddfce6fdbp-17, -0x1.3ba4746159ef2p-17, -0x1.4ac9b39762f4ap-17, -0x1.599e0a660f116p-17, -0x1.68200c7eb01ddp-17, -0x1.764d0122c51ecp-17, -0x1.8424dd65b74b7p-17, -0x1.91ab33dd7958fp-17, -0x1.9ed56ecc61f13p-17, -0x1.abb35ebc14526p-17, -0x1.b8389defa12cfp-17, -0x1.c46c7b2dcd3f7p-17, -0x1.d04d500d701edp-17, -0x1.dbdb9c6d7574p-17, -0x1.e717ac8591a2cp-17, -0x1.f200f857a0356p-17, -0x1.fc983082e1601p-17, -0x1.036f328dea39bp-16, -0x1.086bbd525e047p-16, -0x1.0d3c7706296dp-16, -0x1.11e6c20f92a55p-16, -0x1.166967ddab0bep-16, -0x1.1ac4dbf609d4cp-16, -0x1.1ef9cd6ec2464p-16, -0x1.230532f60230ep-16, -0x1.26e743818958p-16, -0x1.2aa439794b844p-16, -0x1.2e3be13ac8676p-16, -0x1.31ad0b8481fa8p-16, -0x1.34f7d3eeae535p-16, -0x1.381dab4db869p-16, -0x1.3b1d19d60d86dp-16, -0x1.3df608e43dae3p-16, -0x1.40ab03cffdf4dp-16, -0x1.433aff6da8c54p-16, -0x1.45a675b20fbc1p-16, -0x1.47ee0c4497cdap-16, -0x1.4a1205f405bddp-16, -0x1.4c1161d4dad38p-16, -0x1.4dee3f2cca759p-16, -0x1.4fa817c30489dp-16, -0x1.513f4b2081f85p-16, -0x1.52b443d24872p-16, -0x1.5407572081653p-16, -0x1.5538d7ca634e2p-16, -0x1.5649200a0badep-16, -0x1.573895dd43743p-16, -0x1.58078dff60347p-16, -0x1.58b6a9d2aed29p-16, -0x1.59479f39acd56p-16, -0x1.59b64ef9c2092p-16, -0x1.5a05fbf89e0dcp-16, -0x1.5a389842942eep-16, -0x1.5a4ccf55de2b6p-16, -0x1.5a43606e93025p-16, -0x1.5a1c7d53b6fefp-16, -0x1.59d914ed08a8bp-16, -0x1.59783eefbce9bp-16, -0x1.58fbc89efd994p-16, -0x1.586395db11396p-16, -0x1.57b019e259247p-16, -0x1.56e1c43219ba8p-16, -0x1.55f90342163fep-16, -0x1.54f64544e2efep-16, -0x1.53d9f858407bp-16, -0x1.52a48d7630ae1p-16, -0x1.51567731b7815p-16, -0x1.4ff024c88e544p-16, -0x1.4e72056485e42p-16, -0x1.4cdc8ac71ca65p-16, -0x1.4b303287f713bp-16, -0x1.496d44f79a131p-16, -0x1.47948964aa207p-16, -0x1.45a606afb5785p-16, -0x1.43a278b330c75p-16, -0x1.418a3c34caa32p-16, -0x1.3f5de44c5027p-16, -0x1.3d1db59ef3f22p-16, -0x1.3acabb9e00cfep-16, -0x1.38639de7f2361p-16, -0x1.35eaca8fc1f1p-16, -0x1.33600f550f5b5p-16, -0x1.30c3c1e8287a1p-16, -0x1.2e165a5d8224fp-16, -0x1.2b584d37da005p-16, -0x1.288a0d33aa19cp-16, -0x1.25ac0c1e72284p-16, -0x1.22bebaf0c6a3ap-16, -0x1.1fc28a0432c0dp-16, -0x1.1cb7e8ccdac46p-16, -0x1.199f43715e955p-16, -0x1.16791da977ed6p-16, -0x1.134554a0c5e4cp-16, -0x1.1005bcc5c537ep-16, }}, 
      {{0x1.4f34f0f224455p-1, 0x1.5125cb9f08ef3p-1, 0x1.541324479c991p-1, 0x1.57c6cb58c70dfp-1, 0x1.5c1250c3d179ep-1, 0x1.60cdfe0856d3fp-1, 0x1.65d7f04c355p-1, 0x1.6b13506bdf25dp-1, 0x1.7067a5f1acd4ep-1, 0x1.75c041a16b439p-1, 0x1.7b0bbc64e75eep-1, 0x1.803b87b5cfb8ap-1, 0x1.85438cfeb9fe7p-1, 0x1.8a19d9c90bd53p-1, 0x1.8eb656e26bce5p-1, 0x1.931288e019dcbp-1, 0x1.972958a39a0b5p-1, 0x1.9af6e2aa17321p-1, 0x1.9e784c128614ap-1, 0x1.a1ab9c9ba4766p-1, 0x1.a48f9d1e117f4p-1, 0x1.a723ba779a69bp-1, 0x1.a967ed0ec0fdp-1, 0x1.ab5ca4e0eff5ep-1, 0x1.ad02b97f16c28p-1, 0x1.ae5b5cd513344p-1, 0x1.af680f5ac4734p-1, 0x1.b02a949912c1ep-1, 0x1.b0a4e7b70c889p-1, 0x1.b0d9308500e4cp-1, 0x1.b0c9b992d288ep-1, 0x1.b078e7648919dp-1, 0x1.afe9313600352p-1, 0x1.af1d1aa036ab1p-1, 0x1.ae172e58c4613p-1, 0x1.acd9f9acfb25ep-1, 0x1.ab680898c2b4bp-1, 0x1.a9c3e2b07b091p-1, 0x1.a7f0082a1ebc9p-1, 0x1.a5eeefa646f58p-1, 0x1.a3c304292f40fp-1, 0x1.a16ea3882572cp-1, 0x1.9ef41d013f932p-1, 0x1.9c55b03a279d7p-1, 0x1.99958c5a11708p-1, 0x1.96b5cf6ea87f9p-1, 0x1.93b885eecc90ep-1, 0x1.909faa61f3849p-1, 0x1.8d6d253d4b7e8p-1, 0x1.8a22ccd00261fp-1, 0x1.86c265509339dp-1, 0x1.834da0f9eaa0dp-1, 0x1.7fc62036a0aep-1, 0x1.7c2d71e860ff5p-1, 0x1.788513bde28c9p-1, 0x1.74ce72930b1f6p-1, 0x1.710aeacefff32p-1, 0x1.6d3bc8d3a7aa9p-1, 0x1.6962496a4376dp-1, 0x1.657f9a3d8cd85p-1, 0x1.6194da57e546p-1, 0x1.5da31aa23ec3cp-1, 0x1.59ab5e637d6bdp-1, 0x1.55ae9bbbc7125p-1, 0x1.51adbc20d03c5p-1, 0x1.4da99cd9c14c2p-1, 0x1.49a30f7a640eep-1, 0x1.459ada5f62a12p-1, 0x1.4191b92812b91p-1, 0x1.3d885d2d243c9p-1, 0x1.397f6df3cc703p-1, 0x1.3577899d06d6p-1, 0x1.3171455061316p-1, 0x1.2d6d2da37f84dp-1, 0x1.296bc6fe66c3ap-1, 0x1.256d8dfd08b5ap-1, 0x1.2172f7cdb5c94p-1, 0x1.1d7c728ca0cf4p-1, 0x1.198a659c1763ap-1, 0x1.159d31f95975bp-1, 0x1.11b5328dd2965p-1, 0x1.0dd2bc7c56ecbp-1, 0x1.09f61f6c95ac8p-1, 0x1.061fa5ce55801p-1, 0x1.024f951ebe83ap-1, 0x1.fd0c5c50bf2eap-2, 0x1.f5875a7dfe198p-2, 0x1.ee1094f3f51c5p-2, 0x1.e6a873d7ee553p-2, 0x1.df4f57aec77d7p-2, 0x1.d80599c22034fp-2, 0x1.d0cb8c7eebefbp-2, 0x1.c9a17bd2ae283p-2, 0x1.c287ad7f9aba7p-2, 0x1.bb7e617044559p-2, 0x1.b485d2052daa1p-2, 0x1.ad9e345dd658ap-2, 0x1.a6c7b89ee8f78p-2, 0x1.a0028a34d56bp-2, 0x1.994ed0116eee4p-2, 0x1.92acace77ac85p-2, 0x1.8c1c3f62e3a0bp-2, 0x1.859da25d7c565p-2, 0x1.7f30ed1180efdp-2, 0x1.78d63348ae176p-2, 0x1.728d8589a8435p-2, 0x1.6c56f142a8e5dp-2, 0x1.663280f19e107p-2, 0x1.60203c4b01fefp-2, 0x1.5a20285c946c4p-2, 0x1.543247b1a8864p-2, 0x1.4e569a73e71fap-2, 0x1.488d1e8984a6ep-2, 0x1.42d5cfae8c64bp-2, 0x1.3d30a7981ea33p-2, 0x1.379d9e09e6b7fp-2, 0x1.321ca8f06b80cp-2, 0x1.2cadbc78249bp-2, 0x1.2750cb247fc58p-2, 0x1.2205c5e568117p-2, 0x1.1ccc9c2ae3229p-2, 0x1.17a53bf8fc475p-2, 0x1.128f91fa44bacp-2, 0x1.0d8b89908af0cp-2, 0x1.08990ce618777p-2, 0x1.03b804fdc92cfp-2, 0x1.fdd0b382d46d6p-3, 0x1.f453e4211f701p-3, 0x1.eaf9679d799f4p-3, 0x1.e1c107e00cb5dp-3, 0x1.d8aa8d0b2de07p-3, 0x1.cfb5bd94a6c8ep-3, 0x1.c6e25e5c3ef19p-3, 0x1.be3032c0ea805p-3, 0x1.b59efcb73773ep-3, 0x1.ad2e7cdd756dbp-3, 0x1.a4de728e91df1p-3, 0x1.9cae9bf553353p-3, 0x1.949eb61e46a6ap-3, 0x1.8cae7d099fed3p-3, 0x1.84ddabb92f209p-3, 0x1.7d2bfc459cb25p-3, 0x1.759927e9eec2ap-3, 0x1.6e24e7108fb97p-3, 0x1.66cef16f3adc2p-3, 0x1.5f96fdf0b78e2p-3, 0x1.587cc301c987p-3, 0x1.517ff6580501p-3, 0x1.4aa04d22a117p-3, 0x1.43dd7c2dcf6e1p-3, 0x1.3d3737ac71807p-3, 0x1.36ad337be976fp-3, 0x1.303f2330485ffp-3, 0x1.29ecb9e4b332cp-3, 0x1.23b5aa8c4773dp-3, 0x1.1d99a7c18acfp-3, 0x1.1798641406d3dp-3, 0x1.11b191b795931p-3, 0x1.0be4e2e0eec6fp-3, 0x1.0632099c746ddp-3, 0x1.0098b7e8624afp-3, 0x1.f6313f909ee24p-4, 0x1.eb62e64bb072ap-4, 0x1.e0c5c80d880c1p-4, 0x1.d65948f503daep-4, 0x1.cc1ccd36353cp-4, 0x1.c20fb9803152p-4, 0x1.b8317271fc32p-4, 0x1.ae815d3f74602p-4, 0x1.a4fedf6bf5422p-4, 0x1.9ba95eed518bep-4, 0x1.9280421c75a22p-4, 0x1.8982f0051f114p-4, 0x1.80b0d01200a1ep-4, 0x1.78094a6c2e26dp-4, 0x1.6f8bc7da912e8p-4, 0x1.6737b1ce54f9bp-4, 0x1.5f0c7275edc24p-4, 0x1.570974bbf07a5p-4, 0x1.4f2e2466ee5c4p-4, 0x1.4779ee0cae5a6p-4, 0x1.3fec3f1294633p-4, 0x1.388485d1e060bp-4, 0x1.3142318aa8adbp-4, 0x1.2a24b274b734ep-4, 0x1.232b79c3a925ep-4, 0x1.1c55f9a99b1e6p-4, 0x1.15a3a5565fe8dp-4, 0x1.0f13f127774dep-4, 0x1.08a6526ab1502p-4, 0x1.025a3fa371293p-4, 0x1.f85e60d396808p-5, 0x1.ec493af1e9dc7p-5, 0x1.e074016cafeadp-5, 0x1.d4ddaa6ea5f19p-5, 0x1.c9852e8c15befp-5, 0x1.be6988bbc74b8p-5, 0x1.b389b66d77431p-5, 0x1.a8e4b794cc44bp-5, 0x1.9e798e8ec01d9p-5, 0x1.9447405cd8079p-5, 0x1.8a4cd4850aff5p-5, 0x1.80895520572e7p-5, 0x1.76fbcee02ce32p-5, 0x1.6da3511130029p-5, 0x1.647eeda1d6299p-5, 0x1.5b8db9291fe4fp-5, 0x1.52cecae4217bfp-5, 0x1.4a413cb780b0cp-5, 0x1.41e42b49b226cp-5, 0x1.39b6b5d4edeacp-5, 0x1.31b7fe55f7816p-5, 0x1.29e72975bb129p-5, 0x1.22435e90b254bp-5, 0x1.1acbc7bc622a7p-5, 0x1.137f91c8cc6c3p-5, 0x1.0c5dec3f7d22ap-5, 0x1.0566095ee4971p-5, 0x1.fd2e3c28d45ap-6, 0x1.efe0c3f33bd69p-6, 0x1.e2e21ea71dca6p-6, 0x1.d630c638ea159p-6, 0x1.c9cb3a32a65c2p-6, 0x1.bdafff8485864p-6, 0x1.b1dda09997b48p-6, 0x1.a652ad14b8fa4p-6, 0x1.9b0db9afa8d21p-6, 0x1.900d6038cc9c8p-6, 0x1.85503fb59eb7bp-6, 0x1.7ad4fc9b4e753p-6, 0x1.709a40f6569c1p-6, 0x1.669ebc5bddcacp-6, 0x1.5ce1239c98836p-6, 0x1.53603059fc199p-6, 0x1.4a1aa0b9958ecp-6, 0x1.410f376693a2dp-6, 0x1.383cbbf42e22bp-6, 0x1.2fa1fb79a647cp-6, 0x1.273dc8dd5ca52p-6, 0x1.1f0efcceb7ac2p-6, 0x1.1714751bbd626p-6, 0x1.0f4d13c7abdfdp-6, 0x1.07b7be5829084p-6, 0x1.00535dc7fbbbcp-6, 0x1.f23dbe7ee56c5p-7, 0x1.e4326a8b4e514p-7, 0x1.d682b1893af7fp-7, 0x1.c92c9271bf8bcp-7, 0x1.bc2e1788b6bf5p-7, 0x1.af8552e9ac5aep-7, 0x1.a3305b25745cfp-7, 0x1.972d49d48eeadp-7, 0x1.8b7a3d1e77dap-7, 0x1.80155bd073c17p-7, 0x1.74fcda2688a7p-7, 0x1.6a2efc92f56b6p-7, 0x1.5faa16bdb4b6cp-7, 0x1.556c86b83ee7ap-7, 0x1.4b74ae4717341p-7, 0x1.41c0eda44bd7cp-7, 0x1.384fa29923439p-7, 0x1.2f1f2cd8da395p-7, 0x1.262df5df8d2fap-7, 0x1.1d7a78a8bac62p-7, 0x1.15034557872bbp-7, 0x1.0cc6fe7eb7487p-7, 0x1.04c4509637aeep-7, 0x1.f9f3ce66a0baep-8, 0x1.eaccca7d13216p-8, 0x1.dc10c89be25b9p-8, 0x1.cdbcf79e1305cp-8, 0x1.bfce999f2bce9p-8, 0x1.b2431a4992246p-8, 0x1.a5181a0c2a487p-8, 0x1.984b687212b88p-8, 0x1.8bdaee1a4c656p-8, 0x1.7fc48eb13dcd2p-8, 0x1.7406114d12625p-8, 0x1.689d1b945609dp-8, 0x1.5d8741d799946p-8, 0x1.52c222fd8d732p-8, 0x1.484b83a63ee22p-8, 0x1.3e215f95d0729p-8, 0x1.3441ec166db91p-8, 0x1.2aab87935feccp-8, 0x1.215c98dbe0e54p-8, 0x1.18536c5e53362p-8, 0x1.0f8e23ad9e8cdp-8, 0x1.070ac0315c958p-8, 0x1.fd8e7bdf75e96p-9, 0x1.ed8359000c007p-9, 0x1.ddf07f743d708p-9, 0x1.ced2b8a68f71ap-9, 0x1.c0273c3cab8c2p-9, 0x1.b1eb958f4373ap-9, 0x1.a41d5a989b7bep-9, 0x1.96b9e07129caap-9, 0x1.89be2864d991ap-9, 0x1.7d270a6ed2184p-9, 0x1.70f165e927eddp-9, 0x1.651a2cc065e77p-9, 0x1.599e5f4e1b5ffp-9, 0x1.4e7b2af1c5b32p-9, 0x1.43ae243c847f9p-9, 0x1.393555c7e8917p-9, 0x1.2f0efcf9cef55p-9, 0x1.25392ee776566p-9, 0x1.1bb1be214403cp-9, 0x1.12766934d5f9ep-9, 0x1.098503afcd289p-9, 0x1.00db5aa2afac8p-9, 0x1.f0edf665b077p-10, 0x1.e0aa7c137e17cp-10, 0x1.d0e75a00c6fd9p-10, 0x1.c1a0bcd092cc6p-10, 0x1.b2d3cf14d9ef8p-10, 0x1.a47e03b28fa3fp-10, 0x1.969c93a15419p-10, 0x1.892c935060997p-10, 0x1.7c2b4a2dee0fep-10, 0x1.6f96259d6b70fp-10, 0x1.636a0ff4a84e9p-10, 0x1.57a2eb95a8047p-10, 0x1.4c3bf8c84e296p-10, 0x1.4130c857e85c6p-10, 0x1.367de4b1eee7bp-10, 0x1.2c20e204019ddp-10, 0x1.2217f6f6ae451p-10, 0x1.1861789cff1f3p-10, 0x1.0efbadffbadd5p-10, 0x1.05e50d19c03f6p-10, 0x1.fa385b39ee862p-11, 0x1.e93e56abd3b0ep-11, 0x1.d8d6903431715p-11, 0x1.c8fa4e6e24cc2p-11, 0x1.b9a22a4e9ded2p-11, 0x1.aac6db658854fp-11, 0x1.9c62ee16cb185p-11, 0x1.8e73592ff44a6p-11, 0x1.80f5e6c023862p-11, 0x1.73e835a5a728dp-11, 0x1.674864b6e077dp-11, 0x1.5b14c9a0be4bap-11, 0x1.4f4afdcf74538p-11, 0x1.43e831ba08daap-11, 0x1.38e9a1ecb8041p-11, 0x1.2e4bb21630047p-11, 0x1.2408a07f6ae66p-11, 0x1.1a1a572ad60d4p-11, 0x1.107d67dd773f4p-11, 0x1.072f523c939aap-11, 0x1.fc594356d340cp-12, 0x1.eae6c44ef2d55p-12, 0x1.da065cf50d8c2p-12, 0x1.c9b4e2bd16d89p-12, 0x1.b9edc184bf1f9p-12, 0x1.aaae2b1a0cb4ep-12, 0x1.9bf49d297373cp-12, 0x1.8dbe266f065cep-12, 0x1.8002fab00d4e1p-12, 0x1.72bb8edf736dbp-12, 0x1.65e69f1b594d2p-12, 0x1.597f4fbf15cfap-12, 0x1.4d7bfaaffd1d2p-12, 0x1.41d882e28ca9fp-12, 0x1.36932064ed283p-12, 0x1.2ba85e410bdf1p-12, 0x1.21163442d22efp-12, 0x1.16dc25c144b6dp-12, 0x1.0cf8dde545cc1p-12, 0x1.036a8f4f704dep-12, 0x1.f45be7eb13566p-13, 0x1.e27abee9a92dbp-13, 0x1.d1322551fedc2p-13, 0x1.c0800787f1f9p-13, 0x1.b0571fde99acep-13, 0x1.a0b56b279551dp-13, 0x1.919640537b27ep-13, 0x1.82ebba5c7b7f5p-13, 0x1.74ad22f2cc891p-13, 0x1.66db404c927aap-13, 0x1.597954cc4d6e7p-13, 0x1.4c85077cdb0dp-13, 0x1.3ffa03609a5e9p-13, 0x1.33d4fa5beee97p-13, 0x1.281050665b8c2p-13, 0x1.1cadc9e35740dp-13, 0x1.11a4ae8156e5ep-13, 0x1.06ef3f14ca38ep-13, 0x1.f9236cb389b97p-14, 0x1.e5101f3ed359dp-14, 0x1.d19b6fc504002p-14, 0x1.bebdb98ebafdep-14, 0x1.ac6ca4486b7d6p-14, 0x1.9aa07cb92b3f4p-14, 0x1.895722922c236p-14, 0x1.789012de1fe0dp-14, 0x1.684e9126736fap-14, 0x1.5888d84879cb4p-14, 0x1.493a45411a641p-14, 0x1.3a5e9fe4d1dfap-14, 0x1.2bf1352af9a3ep-14, 0x1.1df2ad7a30a2dp-14, 0x1.10570246cc644p-14, 0x1.031a889d0dc06p-14, 0x1.ec7b88bca433fp-15, 0x1.d380fc220b5e6p-15, 0x1.bb443eee7e2e9p-15, 0x1.a3c29dd7c8bep-15, 0x1.8cec915b04fe5p-15, 0x1.76ad4c52fff19p-15, 0x1.6112ee43f61cep-15, 0x1.4c17dc031754p-15, 0x1.37a75ff2b92f1p-15, 0x1.23be017751bf2p-15, 0x1.10746835184a4p-15, 0x1.fb7046afcce91p-16, 0x1.d6efab4c18b53p-16, 0x1.b3634ea7f485ap-16, 0x1.90cafe95af9c3p-16, 0x1.6f218a6ed870cp-16, 0x1.4e5e8b4118389p-16, 0x1.2e7ced23fabc4p-16, 0x1.0f7c3d95ef95ep-16, 0x1.e2b167c3b15f5p-17, 0x1.a842243a2d261p-17, 0x1.6fa90badf5eddp-17, 0x1.385bf4193c916p-17, 0x1.0267512fa49d5p-17, 0x1.9c23e65e50e5ep-18, 0x1.3637b484f990dp-18, 0x1.a650fdfccde6bp-19, 0x1.cbc7d4d3fe04ep-20, 0x1.55a18621d2a9bp-22, -0x1.16cecf8917e63p-20, -0x1.3c89689a69dbfp-19, -0x1.e8ca988ccc1e4p-19, -0x1.481f98dc1ec36p-18, -0x1.99770e7431213p-18, -0x1.e883aac612994p-18, -0x1.1aa15d25d1646p-17, -0x1.3fcd6795520ddp-17, -0x1.640233f2c311bp-17, -0x1.870a398220c85p-17, -0x1.a8eb9c8118a8p-17, -0x1.c9daf93fe72d9p-17, -0x1.e9d589718f075p-17, -0x1.046f55348d625p-16, -0x1.1374739fc2aadp-16, -0x1.21f77a684b361p-16, -0x1.30066e82876bfp-16, -0x1.3da586f3d3c3bp-16, -0x1.4ad4d31197323p-16, -0x1.579340ba0d906p-16, -0x1.63e0f722fd3aap-16, -0x1.6fc40564975d5p-16, -0x1.7b36ca27adf37p-16, -0x1.8643e14708cfap-16, -0x1.90e988dbddd75p-16, -0x1.9b270a10ede63p-16, -0x1.a50499e199317p-16, -0x1.ae81440c704b6p-16, -0x1.b79bec10c9569p-16, -0x1.c04ef234b2c77p-16, -0x1.c8a0f7776518ap-16, -0x1.d09d39f45a6ddp-16, -0x1.d84338bbc065ep-16, -0x1.df87d0af3bef3p-16, -0x1.e6753252f83ddp-16, -0x1.ed0e909f145f9p-16, -0x1.f351b7199c10ep-16, -0x1.f942471b86b5ep-16, -0x1.fedf77e653086p-16, -0x1.021554362dd42p-15, -0x1.04911cc99544fp-15, -0x1.06e5fd92d4f16p-15, -0x1.09143d992087p-15, -0x1.0b1bebae83243p-15, -0x1.0cfda4d8255f3p-15, -0x1.0eb9fd8fb603cp-15, -0x1.1051924572ddbp-15, -0x1.11c53adda2921p-15, -0x1.1315f4faf9555p-15, -0x1.14430ea568095p-15, -0x1.1549c942902e3p-15, -0x1.163134bc6a1e9p-15, -0x1.16f845d14d016p-15, -0x1.179add7b56241p-15, -0x1.181f57c97b105p-15, -0x1.18847cd99d8c7p-15, -0x1.18c962aae3ff5p-15, -0x1.18ef64c920e91p-15, -0x1.18f76c6e8ca4cp-15, -0x1.18e1948bcd092p-15, -0x1.18ae3768233d1p-15, -0x1.185df03173401p-15, -0x1.17f13e153910ap-15, -0x1.17689c6118cf6p-15, -0x1.16c493f9c046fp-15, -0x1.1605abddba963p-15, -0x1.152c6607231fep-15, -0x1.14394c5fffb78p-15, -0x1.132ced92af316p-15, -0x1.1207a1501e80cp-15, -0x1.10ca22a4c2f89p-15, -0x1.0f751670dccdcp-15, -0x1.0e0731037352ap-15, -0x1.0c82df895ec23p-15, -0x1.0ae6add2d9c9ep-15, -0x1.09357afcaa715p-15, -0x1.076f54541f9e3p-15, -0x1.0594161d7405dp-15, -0x1.03a42a40a4e65p-15, -0x1.01a003b6aa8f6p-15, -0x1.ff108516adcb9p-16, -0x1.faba5c44c3ae9p-16, -0x1.f63edbfb1bda8p-16, -0x1.f19ec4d58598p-16, -0x1.ecdb12f0d1cf6p-16, -0x1.e7f4be45f3064p-16, -0x1.e2ecae0ee6d29p-16, -0x1.ddc389a64602p-16, -0x1.d87a5359ae3dep-16, -0x1.d312277206c77p-16, -0x1.cd8cf6cb87e42p-16, -0x1.c7e86dc825c86p-16, -0x1.c2288194acee9p-16, -0x1.bc4d3bf1124ap-16, -0x1.b6579ef42af25p-16, -0x1.b048c567904ap-16, -0x1.aa1fc6484b3a3p-16, -0x1.a3dd97de83f7bp-16, -0x1.9d852fdf9bc2p-16, -0x1.97170d3b21ebcp-16, -0x1.9093536cee074p-16, -0x1.89fad83ea3df5p-16, -0x1.834eaacc49ed2p-16, -0x1.7c8f4dc3a2b21p-16, -0x1.75bd850cdbd5ap-16, -0x1.6eda8517ad22bp-16, -0x1.67e6d7f320b82p-16, -0x1.60e358cf3a315p-16, -0x1.59d0f355bebd3p-16, -0x1.52b06a19f7c81p-16, -0x1.4b81fbc4f8c43p-16, -0x1.44472606dbb55p-16, -0x1.3d00536e4a64dp-16, -0x1.35ae47fc95387p-16, -0x1.2e51c8fa07bb3p-16, -0x1.26eb910ad0cb5p-16, -0x1.1f7c57b6bbd83p-16, -0x1.1804d4aca3077p-16, -0x1.1085c03a8ff23p-16, -0x1.08ffca60ff6f4p-16, -0x1.0173baf3c296bp-16, -0x1.f3c5518970f6p-17, -0x1.e497b13086832p-17, -0x1.d561c1b3d1fd2p-17, -0x1.c625b6a930811p-17, -0x1.b6e3f034452bdp-17, -0x1.a79da7b4af46cp-17, -0x1.98542dea7bbb4p-17, -0x1.89090de48ddd3p-17, -0x1.79bcc6cb917b9p-17, -0x1.6a7144b23ee72p-17, -0x1.5b2772bd11278p-17, -0x1.4be0804c925c8p-17, -0x1.3c9d95874bcdep-17, -0x1.2d5fd4cbd4c2dp-17, -0x1.1e285b20f9224p-17, -0x1.0ef8408781ed9p-17, -0x1.ffa133f3334c5p-18, -0x1.e164f156fd962p-18, -0x1.c33dcb818646p-18, -0x1.a52dcc461b4f6p-18, -0x1.8736f6a203cc4p-18, -0x1.695a3c59246d1p-18, -0x1.4b9df2584b2f9p-18, -0x1.2dfad3038b573p-18, -0x1.107d8c127572cp-18, -0x1.e64215f1fd849p-19, -0x1.abd1c8ad53a39p-19, -0x1.71add72b9314fp-19, -0x1.37d9765f33735p-19, -0x1.fcb0f226b9bb1p-20, -0x1.8a5927b4ecb6dp-20, -0x1.18b557876426ap-20, -0x1.4f94e5ce70788p-21, -0x1.bcf2f8bc22cc3p-23, 0x1.be46e20e5ac03p-23, 0x1.4ccaf702712dbp-21, 0x1.1431e77f07f49p-20, 0x1.8128ab33baebep-20, 0x1.ed447518de223p-20, 0x1.2c400bf6379bp-19, 0x1.616b43b33590ep-19, 0x1.962163ac57608p-19, 0x1.ca60648b2e9ep-19, 0x1.fe2389e50be9ap-19, 0x1.18b75526f437ap-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.cee0d22011423p-7, -0x1.ce9e3097431ap-6, -0x1.5aa398cf10142p-5, -0x1.cd9517ce06c1bp-5, -0x1.2001cc18ba3e7p-4, -0x1.58e7f18fdc81bp-4, -0x1.916dd315c14ffp-4, -0x1.c984c5c6602a5p-4, -0x1.008f534d8a4dcp-3, -0x1.1c16f0e07062ep-3, -0x1.3752bc0628c34p-3, -0x1.523c816936d15p-3, -0x1.6cce5b327fac6p-3, -0x1.8702b1b3effcp-3, -0x1.a0d43b96c608fp-3, -0x1.ba3dfda140214p-3, -0x1.d33b4a24c3d19p-3, -0x1.ebc7c022cae2dp-3, -0x1.01efa51a886cdp-2, -0x1.0dbf0ea1abdb2p-2, -0x1.19505b87e71adp-2, -0x1.24a1ee50ca9p-2, -0x1.2fb24c49f17dcp-2, -0x1.3a801ca7a170ap-2, -0x1.450a2798cf1dbp-2, -0x1.4f4f555487c54p-2, -0x1.594ead227adb3p-2, -0x1.630754601413ap-2, -0x1.6c788d8375d65p-2, -0x1.75a1b71d60d14p-2, -0x1.7e824adb00b72p-2, -0x1.8719dc886e314p-2, -0x1.8f68191499e57p-2, -0x1.976cc59740a75p-2, -0x1.9f27be59727d6p-2, -0x1.a698f5e11ca04p-2, -0x1.adc07400085cfp-2, -0x1.b49e54e69e75p-2, -0x1.bb32c83abf083p-2, -0x1.c17e1032f0e08p-2, -0x1.c78080b61c074p-2, -0x1.cd3a7e8002a6ap-2, -0x1.d2ac7e4a99a58p-2, -0x1.d7d703fc6269bp-2, -0x1.dcbaa1dbe094cp-2, -0x1.e157f7c839ce5p-2, -0x1.e5afb2770ccep-2, -0x1.e9c28ab78c651p-2, -0x1.ed9144bade18p-2, -0x1.f11caf61baf69p-2, -0x1.f465a38f515f2p-2, -0x1.f76d03815fc48p-2, -0x1.fa33ba2d7de66p-2, -0x1.fcbabaa3874cp-2, -0x1.ff02ff75172b4p-2, -0x1.0086c51105264p-1, -0x1.016db144f67cap-1, -0x1.0236cb312257ap-1, -0x1.02e29c58d0ae1p-1, -0x1.0371b0a7aef9dp-1, -0x1.03e49633fdd86p-1, -0x1.043bdd02fd477p-1, -0x1.047816cf8fc8fp-1, -0x1.0499d6d3049b5p-1, -0x1.04a1b18ffdccfp-1, -0x1.04903c9f66147p-1, -0x1.04660e7f6a1c2p-1, -0x1.0423be6466146p-1, -0x1.03c9e40bc0bc3p-1, -0x1.03591790a0f68p-1, -0x1.02d1f1427671ap-1, -0x1.0235097d48a09p-1, -0x1.0182f883bc689p-1, -0x1.00bc565acbacdp-1, -0x1.ffc3754e380eap-2, -0x1.fde77917dbb9fp-2, -0x1.fbe5e5172e8a9p-2, -0x1.f9bfe4d3006d3p-2, -0x1.f776a21b2a613p-2, -0x1.f50b44d2497bbp-2, -0x1.f27ef2ba3f521p-2, -0x1.efd2cf43623ecp-2, -0x1.ed07fb5e47138p-2, -0x1.ea1f955013813p-2, -0x1.e71ab88949d1bp-2, -0x1.e3fa7d7ef0ebfp-2, -0x1.e0bff98615ff8p-2, -0x1.dd6c3eb185189p-2, -0x1.da005bb1b74a5p-2, -0x1.d67d5bb6da4aep-2, -0x1.d2e44654e6f18p-2, -0x1.cf361f69b2cd5p-2, -0x1.cb73e704f0f45p-2, -0x1.c79e99520d5f3p-2, -0x1.c3b72e83db57p-2, -0x1.bfbe9ac1fe558p-2, -0x1.bbb5ce18072d9p-2, -0x1.b79db46633051p-2, -0x1.b3773553bd2aap-2, -0x1.af433442bc4dep-2, -0x1.ab029045751ccp-2, -0x1.a6b624151b3cp-2, -0x1.a25ec609f137p-2, -0x1.9dfd4814bc66fp-2, -0x1.999277b97ddeap-2, -0x1.951f1e0b67fe8p-2, -0x1.90a3ffa9feaa2p-2, -0x1.8c21dcbf5e987p-2, -0x1.879970ff9948p-2, -0x1.830b73a91efd4p-2, -0x1.7e78978627d69p-2, -0x1.79e18aef155e6p-2, -0x1.7546f7cdbef79p-2, -0x1.70a983a1a059dp-2, -0x1.6c09cf84e151p-2, -0x1.67687832267a2p-2, -0x1.62c6160b2c504p-2, -0x1.5e233d20184ccp-2, -0x1.59807d377e5a7p-2, -0x1.54de61d70cf79p-2, -0x1.503d724cdac0ap-2, -0x1.4b9e31b949136p-2, -0x1.47011f1977638p-2, -0x1.4266b5523e056p-2, -0x1.3dcf6b3ba3ad6p-2, -0x1.393bb3acce14p-2, -0x1.34abfd88616f7p-2, -0x1.3020b3c944a35p-2, -0x1.2b9a3d8fcbeadp-2, -0x1.2718fe2f3782cp-2, -0x1.229d553b8b2b5p-2, -0x1.1e279e97af1bfp-2, -0x1.19b83283d6e57p-2, -0x1.154f65ac2b9dfp-2, -0x1.10ed8937ade85p-2, -0x1.0c92ead74cc19p-2, -0x1.083fd4d52bcedp-2, -0x1.03f48e241291cp-2, -0x1.ff62b4de011dp-3, -0x1.f6ecf451beb3cp-3, -0x1.ee885538a19aap-3, -0x1.e6354bf7220a9p-3, -0x1.ddf446e0d3eecp-3, -0x1.d5c5ae586b17ap-3, -0x1.cda9e4efc91b2p-3, -0x1.c5a147881b09cp-3, -0x1.bdac2d71f4804p-3, -0x1.b5cae88d6653ep-3, -0x1.adfdc56a072adp-3, -0x1.a6450b66e6f94p-3, -0x1.9ea0fcd268fbap-3, -0x1.9711d709fee7cp-3, -0x1.8f97d299b741cp-3, -0x1.8833235ba7a0cp-3, -0x1.80e3f8971a41fp-3, -0x1.79aa7d1f92441p-3, -0x1.7286d77386e1cp-3, -0x1.6b7929dae8216p-3, -0x1.6481928556ffap-3, -0x1.5da02ba81e44p-3, -0x1.56d50b9bd19dep-3, -0x1.502044f9ac8a7p-3, -0x1.4981e6b88dd68p-3, -0x1.42f9fc49a85aap-3, -0x1.3c888db4d0535p-3, -0x1.362d9fb477cb6p-3, -0x1.2fe933d13d13cp-3, -0x1.29bb487d276d3p-3, -0x1.23a3d92e71585p-3, -0x1.1da2de79fa0fp-3, -0x1.17b84e2d45854p-3, -0x1.11e41b681c897p-3, -0x1.0c2636b5b7068p-3, -0x1.067e8e258746cp-3, -0x1.00ed0d638d96p-3, -0x1.f6e33ba089f41p-4, -0x1.ec184d30379d6p-4, -0x1.e179199500632p-4, -0x1.d70566e0f96e6p-4, -0x1.ccbcf745c0474p-4, -0x1.c29f893ff5689p-4, -0x1.b8acd7c1c40d9p-4, -0x1.aee49a5c96e45p-4, -0x1.a5468569e80dfp-4, -0x1.9bd24a331ad3ap-4, -0x1.9287971892438p-4, -0x1.896617b7cf92fp-4, -0x1.806d7510b7984p-4, -0x1.779d55a9f9b96p-4, -0x1.6ef55db494cb5p-4, -0x1.66752f2e82543p-4, -0x1.5e1c6a0482079p-4, -0x1.55eaac330d947p-4, -0x1.4ddf91e672a8dp-4, -0x1.45fab59a16dc5p-4, -0x1.3e3bb036e4fb3p-4, -0x1.36a21930e9255p-4, -0x1.2f2d86a41a85cp-4, -0x1.27dd8d7058186p-4, -0x1.20b1c15497f45p-4, -0x1.19a9b5094ccf2p-4, -0x1.12c4fa5a045a2p-4, -0x1.0c03223e414cep-4, -0x1.0563bcf192af7p-4, -0x1.fdccb415d6152p-5, -0x1.f1151126770eap-5, -0x1.e49fae36adbddp-5, -0x1.d86ba7a23128fp-5, -0x1.cc781927b8e0cp-5, -0x1.c0c41e1084609p-5, -0x1.b54ed15688386p-5, -0x1.aa174dc942c1ep-5, -0x1.9f1cae31401efp-5, -0x1.945e0d7254307p-5, -0x1.89da86ac90dacp-5, -0x1.7f91355bfb0edp-5, -0x1.75813577097f5p-5, -0x1.6ba9a38bf1959p-5, -0x1.62099cdcc62a8p-5, -0x1.58a03f7a7183ap-5, -0x1.4f6caa5e9143dp-5, -0x1.466dfd84344fp-5, -0x1.3da359ff8a1dp-5, -0x1.350be214815e7p-5, -0x1.2ca6b94c60dbep-5, -0x1.2473048a5dba3p-5, -0x1.1c6fea1f38a43p-5, -0x1.149c91dbe44f5p-5, -0x1.0cf8252339ef2p-5, -0x1.0581cefacbc69p-5, -0x1.fc7178359529p-6, -0x1.ee3835fa2c45ep-6, -0x1.e05637d6de3dp-6, -0x1.d2c9e219b1fafp-6, -0x1.c5919ce46496fp-6, -0x1.b8abd443fb71bp-6, -0x1.ac16f846e64c8p-6, -0x1.9fd17d11996cfp-6, -0x1.93d9daf1c2463p-6, -0x1.882e8e70175ebp-6, -0x1.7cce1860cbe18p-6, -0x1.71b6fdf2b70c4p-6, -0x1.66e7c8bd3c238p-6, -0x1.5c5f06cceeb4fp-6, -0x1.521b4aaf09acp-6, -0x1.481b2b7bc3c6ep-6, -0x1.3e5d44df84f0fp-6, -0x1.34e03722fd367p-6, -0x1.2ba2a73244059p-6, -0x1.22a33ea2e44b4p-6, -0x1.19e0abb8f94f1p-6, -0x1.1159a16b51bfap-6, -0x1.090cd766bd88p-6, -0x1.00f90a1063f1fp-6, -0x1.f239f50eac505p-7, -0x1.e2eedd4a8c581p-7, -0x1.d40e61fcfe2f4p-7, -0x1.c59621c22ddfep-7, -0x1.b783c4a6de441p-7, -0x1.a9d4fc23f675cp-7, -0x1.9c878318d3fcdp-7, -0x1.8f991dc4415e8p-7, -0x1.830799bc425p-7, -0x1.76d0cde4b6f3dp-7, -0x1.6af29a64dd2c3p-7, -0x1.5f6ae89bbe14ap-7, -0x1.5437ab13b0742p-7, -0x1.4956dd74c31d2p-7, -0x1.3ec6847652169p-7, -0x1.3484adcfb320fp-7, -0x1.2a8f702817262p-7, -0x1.20e4eb059e52ep-7, -0x1.178346bba8905p-7, -0x1.0e68b45878525p-7, -0x1.05936d922891ep-7, -0x1.fa0369660f609p-8, -0x1.e963a90ab73e6p-8, -0x1.d944407d1bcb2p-8, -0x1.c9a1e6d3c99a8p-8, -0x1.ba7963a5622fep-8, -0x1.abc78edc3217bp-8, -0x1.9d895088dd614p-8, -0x1.8fbba0b44eaap-8, -0x1.825b8730de071p-8, -0x1.75661b6af3147p-8, -0x1.68d8843906dbp-8, -0x1.5caff7aafbb3bp-8, -0x1.50e9bad926a2fp-8, -0x1.458321b2c21cdp-8, -0x1.3a798ecc1d3bep-8, -0x1.2fca732c694bap-8, -0x1.25734e1b3be39p-8, -0x1.1b71acedc473p-8, -0x1.11c32ad3f2513p-8, -0x1.086570a53bf22p-8, -0x1.feac695b15f6cp-9, -0x1.ed2674f3c5a3ep-9, -0x1.dc34a549ed1abp-9, -0x1.cbd2b547a89d9p-9, -0x1.bbfc792514ce3p-9, -0x1.acadde01de377p-9, -0x1.9de2e97ed1f7fp-9, -0x1.8f97b95790333p-9, -0x1.81c882fcc59e5p-9, -0x1.7471932e96976p-9, -0x1.678f4d9778927p-9, -0x1.5b1e2c67c03cbp-9, -0x1.4f1abff115b95p-9, -0x1.4381ae42f7a65p-9, -0x1.384fb2c79563p-9, -0x1.2d819de158fa6p-9, -0x1.231454894edbp-9, -0x1.1904cfedd35d5p-9, -0x1.0f501d124f10ep-9, -0x1.05f35c6f89e8cp-9, -0x1.f9d78329c3adbp-10, -0x1.e86d25949a601p-10, -0x1.d7a25166fcd8bp-10, -0x1.c771dbe6a22b3p-10, -0x1.b7d6bda119f8bp-10, -0x1.a8cc11b702117p-10, -0x1.9a4d1528dcac7p-10, -0x1.8c5526268ea94p-10, -0x1.7edfc36032f88p-10, -0x1.71e88b58af3fap-10, -0x1.656b3bbb2452fp-10, -0x1.5963b0b19f90dp-10, -0x1.4dcde43e60045p-10, -0x1.42a5ed976bc0bp-10, -0x1.37e80083d114ap-10, -0x1.2d906cbada836p-10, -0x1.239b9d4613517p-10, -0x1.1a0617e507ac1p-10, -0x1.10cc7c732b614p-10, -0x1.07eb8450a44f4p-10, -0x1.fec003993d1c1p-11, -0x1.ee4dbf2301d04p-11, -0x1.de7a4028cc301p-11, -0x1.cf3fba0bc0b91p-11, -0x1.c0988d8ad19e8p-11, -0x1.b27f47ae3473cp-11, -0x1.a4eea0b7809e2p-11, -0x1.97e17b148d764p-11, -0x1.8b52e2587a065p-11, -0x1.7f3e0a388e2b4p-11, -0x1.739e4d8d38e0fp-11, -0x1.686f2d57fbc99p-11, -0x1.5dac4fce3801bp-11, -0x1.53517f6656368p-11, -0x1.495aa9eaf162fp-11, -0x1.3fc3df91daf0cp-11, -0x1.368952173d5d9p-11, -0x1.2da753dd00f92p-11, -0x1.251a570f0313p-11, -0x1.1cdeeccb22441p-11, -0x1.14f1c44c5ed9cp-11, -0x1.0d4faa1b677d2p-11, -0x1.05f58742ffb01p-11, -0x1.fdc0c10fe0d62p-12, -0x1.f01aab4a9e2ep-12, -0x1.e2f3411aae7b1p-12, -0x1.d645295a84921p-12, -0x1.ca0b3c69046bep-12, -0x1.be4082c2da02ap-12, -0x1.b2e033a1053f1p-12, -0x1.a7e5b39f748c7p-12, -0x1.9d4c936bab5e2p-12, -0x1.93108e7a83b6cp-12, -0x1.892d89c4c1477p-12, -0x1.7f9f9289ca916p-12, -0x1.7662dd1b76c8dp-12, -0x1.6d73c3af9a25fp-12, -0x1.64cec53839eb1p-12, -0x1.5c708443b9731p-12, -0x1.5455c5e2e7743p-12, -0x1.4c7b7095abc38p-12, -0x1.44de8b3d3151dp-12, -0x1.3d7c3c154c09ep-12, -0x1.3651c7b58cf3fp-12, -0x1.2f5c90157dd83p-12, -0x1.289a139943595p-12, -0x1.2207ec2447cb1p-12, -0x1.1ba3ce306e296p-12, -0x1.156b87eb76c74p-12, -0x1.0f5d0059aeac1p-12, -0x1.0976367fc44e6p-12, -0x1.03b540909cdf6p-12, -0x1.fc309641b41c1p-13, -0x1.f13b30c0df74ap-13, -0x1.e686feb188141p-13, -0x1.dc10d6604ca9ap-13, -0x1.d1d5b4e2ce1e7p-13, -0x1.c7d2bcb217d06p-13, -0x1.be053450a5142p-13, -0x1.b46a84f6a57e4p-13, -0x1.ab0039486ef4ap-13, -0x1.a1c3fc18e37ecp-13, -0x1.98b3973096286p-13, -0x1.8fccf22061082p-13, -0x1.870e1119d6125p-13, -0x1.7e7513d33146fp-13, -0x1.76003472bf7f4p-13, -0x1.6dadc68086b63p-13, -0x1.657c35e1aa9c4p-13, -0x1.5d6a05dc4f812p-13, -0x1.5575d02002aa5p-13, -0x1.4d9e43d8b9d5p-13, -0x1.45e224c4a4314p-13, -0x1.3e404a568a091p-13, -0x1.36b79edc413cfp-13, -0x1.2f471eaab3978p-13, -0x1.27edd752d88fcp-13, -0x1.20aae6dd78881p-13, -0x1.197d7b097978cp-13, -0x1.1264d09635de1p-13, -0x1.0b60328c067aep-13, -0x1.046ef9918603p-13, -0x1.fb21168968ed7p-14, -0x1.ed88b33012fefp-14, -0x1.e013c46b0b40cp-14, -0x1.d2c15bd3e4f35p-14, -0x1.c590a02111a87p-14, -0x1.b880cc0f0ecffp-14, -0x1.ab912d50e128ep-14, -0x1.9ec12385034p-14, -0x1.92101f3d1973bp-14, -0x1.857da10a2d038p-14, -0x1.7909388f5857ap-14, -0x1.6cb283a083d9ep-14, -0x1.60792d6b3d22fp-14, -0x1.545ceda170374p-14, -0x1.485d87b1474d2p-14, -0x1.3c7aca040b006p-14, -0x1.30b48d3fc6ac5p-14, -0x1.250ab39981525p-14, -0x1.197d28263973cp-14, -0x1.0e0bde361a3acp-14, -0x1.02b6d0b78c7c9p-14, -0x1.eefc033d55dd7p-15, -0x1.d8c2f2a9b8da1p-15, -0x1.c2c28c57e6a89p-15, -0x1.acfaf7b241ee4p-15, -0x1.976c65ead78fcp-15, -0x1.8217110b1d365p-15, -0x1.6cfb3b06fa8b7p-15, -0x1.58192ce0a3899p-15, -0x1.437135d5c725ep-15, -0x1.2f03aa9336f1p-15, -0x1.1ad0e477a72acp-15, -0x1.06d940dbb0de9p-15, -0x1.e63a40bdbf45ap-16, -0x1.bf39cc8fab213p-16, -0x1.98b1efcbde9b5p-16, -0x1.72a377faf017cp-16, -0x1.4d0f3470c2ad6p-16, -0x1.27f5f549e06dp-16, -0x1.03588a6c8c89ep-16, -0x1.be6f85264041dp-17, -0x1.7728d505a07ebp-17, -0x1.30de98431b7f6p-17, -0x1.d724b6e90a31ap-18, -0x1.4e8b450aa471p-18, -0x1.8fe79d9d38b33p-19, -0x1.0d84c605ad73p-20, 0x1.f94e73ee9c081p-21, 0x1.7f550f8c99826p-19, 0x1.3e1e6e1a91028p-18, 0x1.ba83144b09bcap-18, 0x1.1a6b16d8bb4c6p-17, 0x1.568ac806b9964p-17, 0x1.919f9a69bd652p-17, 0x1.cba89d4709709p-17, 0x1.0252797a692d3p-16, 0x1.1e49e8bc9e914p-16, 0x1.39ba417d1636fp-16, 0x1.54a3330fc91efp-16, 0x1.6f04773d4df7p-16, 0x1.88ddd26f77abfp-16, 0x1.a22f13cc334f4p-16, 0x1.baf815541c6d3p-16, 0x1.d338bbfc7a211p-16, 0x1.eaf0f7bdce9efp-16, 0x1.011061cf5c1d5p-15, 0x1.0c6412dde6a02p-15, 0x1.177397a6ba4bep-15, 0x1.223efe513ec55p-15, 0x1.2cc65a8bc27b8p-15, 0x1.3709c588a059fp-15, 0x1.41095df8db856p-15, 0x1.4ac547fe4790fp-15, 0x1.543dad265b5a5p-15, 0x1.5d72bc5a8f51fp-15, 0x1.6664a9d5bcf24p-15, 0x1.6f13af119f7bbp-15, 0x1.77800ab8f3848p-15, 0x1.7faa0095ed0fep-15, 0x1.8791d97fa813ap-15, 0x1.8f37e34376d3cp-15, 0x1.969c7093ab8fcp-15, 0x1.9dbfd8f109744p-15, 0x1.a4a278924ecd6p-15, 0x1.ab44b04f09366p-15, 0x1.b1a6e5854d394p-15, 0x1.b7c98203ada37p-15, 0x1.bdacf3ec60e63p-15, 0x1.c351ad9c69a53p-15, 0x1.c8b825923ea5ap-15, 0x1.cde0d6522f093p-15, 0x1.d2cc3e49c09bap-15, 0x1.d77adfb450f1p-15, 0x1.dbed40812773cp-15, 0x1.e023ea3424fc8p-15, 0x1.e41f69ca55164p-15, 0x1.e7e04f9cbf1p-15, 0x1.eb672f44914afp-15, 0x1.eeb49f7e9e83bp-15, 0x1.f1c93a0a86809p-15, 0x1.f4a59b9175c7fp-15, 0x1.f74a6386d7bdfp-15, 0x1.f9b8340dec656p-15, 0x1.fbefb1d829186p-15, 0x1.fdf1840cee52ap-15, 0x1.ffbe542a50815p-15, 0x1.00ab66f46f944p-14, 0x1.015dcf8edebe6p-14, 0x1.01f6bbcfd0f3cp-14, 0x1.027684963587ap-14, 0x1.02dd83a54a9e1p-14, 0x1.032c1396a5da6p-14, 0x1.03628fcd59527p-14, 0x1.03815467f7601p-14, 0x1.0388be33c3a6p-14, 0x1.03792a9e0cd31p-14, 0x1.0352f7a8cc9b1p-14, 0x1.031683dcb5fb4p-14, 0x1.02c42e3cc3337p-14, 0x1.025c56390d70ep-14, 0x1.01df5ba2ec27ep-14, 0x1.014d9ea1c4113p-14, 0x1.00a77fa5ad1cep-14, 0x1.ffdabeb824d5ep-15, 0x1.fe3f3d481d6d9p-15, 0x1.fc7d3d066bd9fp-15, 0x1.fa958035a24afp-15, 0x1.f888c93839963p-15, 0x1.f657da7c7cfc9p-15, 0x1.f4037667bc635p-15, 0x1.f18c5f40697d9p-15, 0x1.eef3571afd9bep-15, 0x1.ec391fc4cbb33p-15, 0x1.e95e7ab426141p-15, 0x1.e66428f2eff37p-15, 0x1.e34aeb0d60f8ap-15, 0x1.e01380ff641b6p-15, 0x1.dcbeaa2354b5p-15, 0x1.d94d2521bc18dp-15, 0x1.d5bfafe151d2ap-15, 0x1.d217077532b1ap-15, 0x1.ce53e80f20685p-15, 0x1.ca770cef63e49p-15, 0x1.c6813056248dp-15, 0x1.c2730b7546f67p-15, 0x1.be4d5662996bbp-15, 0x1.ba10c80bd5ea7p-15, 0x1.b5be16280094fp-15, 0x1.b155f52bed306p-15, 0x1.acd9183d8f255p-15, 0x1.a84831280a422p-15, 0x1.a3a3f051db3c8p-15, 0x1.9eed04b1c1581p-15, 0x1.9a241bc383a9bp-15, 0x1.9549e17ec2eeep-15, 0x1.905f004d31e9bp-15, 0x1.8b642100ea8f1p-15, 0x1.8659eacc4db9bp-15, 0x1.81410339d3ba8p-15, 0x1.7c1a0e242f0e9p-15, 0x1.76e5adae236c2p-15, 0x1.71a4823bbf556p-15, 0x1.6c572a6b01977p-15, 0x1.66fe430d38b18p-15, 0x1.619a67214faa5p-15, 0x1.5c2c2fcef5f42p-15, 0x1.56b4345fbeb1dp-15, 0x1.51330a3a6fe07p-15, 0x1.4ba944de797ep-15, 0x1.461775df1dc92p-15, 0x1.407e2cdef16a1p-15, 0x1.3addf78d32dd1p-15, 0x1.353761a255f07p-15, 0x1.2f8af4dbd38d6p-15, 0x1.29d938f994f31p-15, 0x1.2422b3bbe3e44p-15, 0x1.1e67e8dfbfbe4p-15, 0x1.18a95a1dc1ed1p-15, 0x1.12e787283da7cp-15, 0x1.0d22edaaac94cp-15, 0x1.075c094682b36p-15, 0x1.01935393d2a5fp-15, 0x1.f792883ea419ep-16, }}, 
      {{-0x1.d6630aa19d0b6p-1, -0x1.d6539b371e55p-1, -0x1.d6399b7049145p-1, -0x1.d614adb1c6c5p-1, -0x1.d5e45ce8b5fe2p-1, -0x1.d5a822f7418a6p-1, -0x1.d55f6e1d4daddp-1, -0x1.d509a582478a7p-1, -0x1.d4a62cffda302p-1, -0x1.d4346848cb10cp-1, -0x1.d3b3bd8359de9p-1, -0x1.d323976b3ea46p-1, -0x1.d283670c83fa4p-1, -0x1.d1d2a5261852fp-1, -0x1.d110d340dc8d6p-1, -0x1.d03d7c862da96p-1, -0x1.cf58365f69f6p-1, -0x1.ce60a0e6977fep-1, -0x1.cd56672f3edccp-1, -0x1.cc393f6d8c61cp-1, -0x1.cb08eb00f7ce3p-1, -0x1.c9c5366700c8dp-1, -0x1.c86df919e33d1p-1, -0x1.c703155eac9d4p-1, -0x1.c58478059a2d8p-1, -0x1.c3f2181f46345p-1, -0x1.c24bf6a8d4268p-1, -0x1.c0921e30f7ad5p-1, -0x1.bec4a27778576p-1, -0x1.bce3a0089437cp-1, -0x1.baef3bd574dfp-1, -0x1.b8e7a2cabad3fp-1, -0x1.b6cd096602b42p-1, -0x1.b49fab4b22dcep-1, -0x1.b25fcad9c1b2fp-1, -0x1.b00db0c3d3b0dp-1, -0x1.ada9aba570499p-1, -0x1.ab340f9e61e5ap-1, -0x1.a8ad35edc05c9p-1, -0x1.a6157c8fd9365p-1, -0x1.a36d45de987f3p-1, -0x1.a0b4f834a3399p-1, -0x1.9decfd933d977p-1, -0x1.9b15c34b1d4f9p-1, -0x1.982fb9a833457p-1, -0x1.953b53a07fddap-1, -0x1.92390685f3f96p-1, -0x1.8f2949bb613d4p-1, -0x1.8c0c966c7bd4ep-1, -0x1.88e36748e2b69p-1, -0x1.85ae38422d4b6p-1, -0x1.826d864cef518p-1, -0x1.7f21cf24a8686p-1, -0x1.7bcb91129330ap-1, -0x1.786b4ab7414d3p-1, -0x1.75017ad6f74c9p-1, -0x1.718ea028b5c9cp-1, -0x1.6e133927dc31ap-1, -0x1.6a8fc3e857535p-1, -0x1.6704bded42e0bp-1, -0x1.6372a401f03eap-1, -0x1.5fd9f2153ae35p-1, -0x1.5c3b23171b885p-1, -0x1.5896b0d8618ep-1, -0x1.54ed13ec86093p-1, -0x1.513ec38d7e159p-1, -0x1.4d8c35817fadfp-1, -0x1.49d5de02a53dcp-1, -0x1.461c2fa85a284p-1, -0x1.425f9b5283bb6p-1, -0x1.3ea0901651732p-1, -0x1.3adf7b2ca4b6ep-1, -0x1.371cc7e2003c5p-1, -0x1.3358df87ed07ep-1, -0x1.2f942967c56d1p-1, -0x1.2bcf0ab6d94e1p-1, -0x1.2809e68bd959ep-1, -0x1.24451dd57afe5p-1, -0x1.20810f524a0e3p-1, -0x1.1cbe178996f5bp-1, -0x1.18fc90c574f34p-1, -0x1.153cd30dbdc7bp-1, -0x1.117f34240a5e9p-1, -0x1.0dc4078098849p-1, -0x1.0a0b9e500e7fbp-1, -0x1.06564772149e6p-1, -0x1.02a44f78b63a6p-1, -0x1.fdec0151064aep-2, -0x1.f69745f2c82c9p-2, -0x1.ef4af830384b7p-2, -0x1.e8079ed0d303p-2, -0x1.e0cdbc0f7ec8ep-2, -0x1.d99dcda121115p-2, -0x1.d2784cbc3db8ep-2, -0x1.cb5dae2195f51p-2, -0x1.c44e6225b8b8bp-2, -0x1.bd4ad4bb6b0a4p-2, -0x1.b6536d7ee84b7p-2, -0x1.af688fc1e1619p-2, -0x1.a88a9a9831808p-2, -0x1.a1b9e8e53c49ep-2, -0x1.9af6d169e64acp-2, -0x1.9441a6d3205e5p-2, -0x1.8d9ab7c8f4cf1p-2, -0x1.87024efe107dep-2, -0x1.8078b33fb98c3p-2, -0x1.79fe27862c8p-2, -0x1.7392eb05539p-2, -0x1.6d37393dd261bp-2, -0x1.66eb4a0e5825ep-2, -0x1.60af51c536c12p-2, -0x1.5a8381322e4b5p-2, -0x1.546805b86ce4ap-2, -0x1.4e5d0960b690ep-2, -0x1.4862b2ebb1934p-2, -0x1.427925e44cbd4p-2, -0x1.3ca082b23c2bap-2, -0x1.36d8e6ac84867p-2, -0x1.31226c2c1302fp-2, -0x1.2b7d2a9e5331ep-2, -0x1.25e93697caf62p-2, -0x1.2066a1e6aa2b6p-2, -0x1.1af57ba552613p-2, -0x1.1595d04ccec21p-2, -0x1.1047a9c7374d7p-2, -0x1.0b0b0f81fcc3bp-2, -0x1.05e0068018dbep-2, -0x1.00c6916c20219p-2, -0x1.f77d61545bff1p-3, -0x1.ed90c4d362402p-3, -0x1.e3c7456e0fb9bp-3, -0x1.da20d719ebf69p-3, -0x1.d09d69cbd4fp-3, -0x1.c73ce99a2c874p-3, -0x1.bdff3ede972a3p-3, -0x1.b4e44e575e1bep-3, -0x1.abebf94854d5dp-3, -0x1.a3161d9b5be4cp-3, -0x1.9a6296005e12ap-3, -0x1.91d13a0ce6a5dp-3, -0x1.8961de5b2f49ep-3, -0x1.811454a8b658p-3, -0x1.78e86bf45593cp-3, -0x1.70ddf09bd6b9bp-3, -0x1.68f4ac79025a9p-3, -0x1.612c66fe2ba66p-3, -0x1.5984e55236849p-3, -0x1.51fdea6c10eeep-3, -0x1.4a97372da93cep-3, -0x1.43508a7e5893ap-3, -0x1.3c29a164c0986p-3, -0x1.35223720228f4p-3, -0x1.2e3a054128db7p-3, -0x1.2770c3c222e18p-3, -0x1.20c6291ebcf91p-3, -0x1.1a39ea6b23b6ap-3, -0x1.13cbbb6aa3449p-3, -0x1.0d7b4ea5bae09p-3, -0x1.0748557fa1d9cp-3, -0x1.0132804b497f5p-3, -0x1.f672fcbfa11efp-4, -0x1.eab9fc58e3a98p-4, -0x1.df395a97dbe18p-4, -0x1.d3f0712ecf126p-4, -0x1.c8de98718358p-4, -0x1.be032778ef3dep-4, -0x1.b35d7445e6c3cp-4, -0x1.a8ecd3e2b9765p-4, -0x1.9eb09a83ed98p-4, -0x1.94a81ba7d6e75p-4, -0x1.8ad2aa3559695p-4, -0x1.812f98999ad2p-4, -0x1.77be38e4cc964p-4, -0x1.6e7ddce604199p-4, -0x1.656dd64624217p-4, -0x1.5c8d76a1ddb79p-4, -0x1.53dc0fa2cba52p-4, -0x1.4b58f317aafd8p-4, -0x1.4303730bb46a3p-4, -0x1.3adae1dd1c606p-4, -0x1.32de9252ba9a8p-4, -0x1.2b0dd7b0de492p-4, -0x1.236805cd52da5p-4, -0x1.1bec712299913p-4, -0x1.149a6ee259ae5p-4, -0x1.0d7155070e06dp-4, -0x1.06707a64f2261p-4, -0x1.ff2e6d7464a36p-5, -0x1.f1c9c57cca3dap-5, -0x1.e4b1b0629bcb5p-5, -0x1.d7e4e3d1e37d9p-5, -0x1.cb6217bdfb467p-5, -0x1.bf28067b096fbp-5, -0x1.b3356cd634386p-5, -0x1.a7890a2c9329p-5, -0x1.9c21a080e5809p-5, -0x1.90fdf490173b7p-5, -0x1.861ccde49aaf2p-5, -0x1.7b7cf6e89ed1fp-5, -0x1.711d3cf72a474p-5, -0x1.66fc706c212aep-5, -0x1.5d1964b33e0dp-5, -0x1.5372f05605dd4p-5, -0x1.4a07ed08bdcddp-5, -0x1.40d737b6670cap-5, -0x1.37dfb08bcca4ep-5, -0x1.2f203b01ab44bp-5, -0x1.2697bde5eb2a9p-5, -0x1.1e4523640da6dp-5, -0x1.1627590cba7cep-5, -0x1.0e3d4fdc829cp-5, -0x1.0685fc41dcc06p-5, -0x1.fe00ac44bb815p-6, -0x1.ef56b1be6f936p-6, -0x1.e10c06b205fd2p-6, -0x1.d31eafe5b4cb7p-6, -0x1.c58cb92998296p-6, -0x1.b854355b53f22p-6, -0x1.ab733e6877e6bp-6, -0x1.9ee7f54fb6b53p-6, -0x1.92b08220f6dc6p-6, -0x1.86cb13fc4d9a6p-6, -0x1.7b35e10fee747p-6, -0x1.6fef269510c05p-6, -0x1.64f528cbe2682p-6, -0x1.5a4632f68950dp-6, -0x1.4fe097533df11p-6, -0x1.45c2af159435ap-6, -0x1.3beada5edefefp-6, -0x1.32578035e51a2p-6, -0x1.29070e7dbf9b5p-6, -0x1.1ff7f9ec0f543p-6, -0x1.1728bdfe7edaep-6, -0x1.0e97dcef9e7e1p-6, -0x1.0643dfab2b0b1p-6, -0x1.fc56ab835e6b7p-7, -0x1.ec99aab74cad8p-7, -0x1.dd4df65824d9fp-7, -0x1.ce70d4c52851fp-7, -0x1.bfff993a18186p-7, -0x1.b1f7a3b1947a7p-7, -0x1.a45660c6a99c1p-7, -0x1.9719499599cd9p-7, -0x1.8a3de39be9e19p-7, -0x1.7dc1c097bfp-7, -0x1.71a27e66a4793p-7, -0x1.65ddc6e3b99aap-7, -0x1.5a714fc547842p-7, -0x1.4f5ada79eed7bp-7, -0x1.4498340559b49p-7, -0x1.3a2734dc7d1a6p-7, -0x1.3005c0c178113p-7, -0x1.2631c69f388cbp-7, -0x1.1ca94064b1218p-7, -0x1.136a32dfe1203p-7, -0x1.0a72ad98986f7p-7, -0x1.01c0caab13d9p-7, -0x1.f2a55d44bd4f2p-8, -0x1.e24d10a54ea2cp-8, -0x1.d2752166cda3cp-8, -0x1.c31a1573047c1p-8, -0x1.b4388662aa87fp-8, -0x1.a5cd213181371p-8, -0x1.97d4a5f26ef4ep-8, -0x1.8a4be783a282ep-8, -0x1.7d2fcb42c14d3p-8, -0x1.707d48c174e25p-8, -0x1.64316979ea588p-8, -0x1.58494883a27b1p-8, -0x1.4cc2124891586p-8, -0x1.4199043a8b7f9p-8, -0x1.36cb6c890767ap-8, -0x1.2c56a9d7341f8p-8, -0x1.22382af28c203p-8, -0x1.186d6e89cedb9p-8, -0x1.0ef402e4766c7p-8, -0x1.05c9859aaf99ap-8, -0x1.f9d7469ba465bp-9, -0x1.e8b02ec2d1f77p-9, -0x1.d81957698dc58p-9, -0x1.c80e70ba8886ep-9, -0x1.b88b46c229fe8p-9, -0x1.a98bc0e56e4bfp-9, -0x1.9b0be15a077e9p-9, -0x1.8d07c4a00397cp-9, -0x1.7f7ba0fce348ep-9, -0x1.7263c5f7bd386p-9, -0x1.65bc9bd72943ap-9, -0x1.5982a32061609p-9, -0x1.4db274181ab97p-9, -0x1.4248be44c5f1ap-9, -0x1.374247f24777fp-9, -0x1.2c9bedb736885p-9, -0x1.2252a1fbdc49bp-9, -0x1.18636c8273cd4p-9, -0x1.0ecb69f172c85p-9, -0x1.0587cb5f0d8e9p-9, -0x1.f92babbcbce51p-10, -0x1.e7e5c41c9a827p-10, -0x1.d738b753f0b9cp-10, -0x1.c71f8235f0d24p-10, -0x1.b795461a11bf2p-10, -0x1.a89548069f13cp-10, -0x1.9a1aefdeceef8p-10, -0x1.8c21c793fbcfp-10, -0x1.7ea57a5a384c6p-10, -0x1.71a1d3e073fa7p-10, -0x1.6512bf8b015cep-10, -0x1.58f447b230b57p-10, -0x1.4d4294e3b9251p-10, -0x1.41f9ed2785ddcp-10, -0x1.3716b3481c51ap-10, -0x1.2c95661d67fefp-10, -0x1.22729fdb4e82ap-10, -0x1.18ab1563167e9p-10, -0x1.0f3b95983a72fp-10, -0x1.062108b82d459p-10, -0x1.fab0df6b9f0d2p-11, -0x1.e9bdc72dd4921p-11, -0x1.d96329aab7eddp-11, -0x1.c99b9586e20eep-11, -0x1.ba61c5e55fe61p-11, -0x1.abb0a13cf9b3dp-11, -0x1.9d8338323a4e5p-11, -0x1.8fd4c47685a3fp-11, -0x1.82a0a7aee3979p-11, -0x1.75e26a5edcfecp-11, -0x1.6995bad9b2a6cp-11, -0x1.5db66c3a246a3p-11, -0x1.5240755e4aa33p-11, -0x1.472fefe8c87b3p-11, -0x1.3c811748f0b43p-11, -0x1.323047c6b8cc1p-11, -0x1.2839fd949027cp-11, -0x1.1e9ad3e7460f5p-11, -0x1.154f841202b22p-11, -0x1.0c54e4a699e8ap-11, -0x1.03a7e89cf596ep-11, -0x1.f68b3cfad25a8p-12, -0x1.e6565f2221a67p-12, -0x1.d6abbe2d9f546p-12, -0x1.c78612faa97c8p-12, -0x1.b8e0474076265p-12, -0x1.aab57416b504cp-12, -0x1.9d00e083cac03p-12, -0x1.8fbe0013cccb7p-12, -0x1.82e8717910871p-12, -0x1.767bfd35ce413p-12, -0x1.6a74944b78459p-12, -0x1.5ece4ef462644p-12, -0x1.53856b657edf1p-12, -0x1.48964c976a23p-12, -0x1.3dfd7917a1142p-12, -0x1.33b799e217f5bp-12, -0x1.29c1794271a2ep-12, -0x1.201801ba018eap-12, -0x1.16b83cefe7bb4p-12, -0x1.0d9f52a7dddd2p-12, -0x1.04ca87bf06ebep-12, -0x1.f86e7a606225cp-13, -0x1.e7c5de40622d6p-13, -0x1.d79667de22228p-13, -0x1.c7db769db40d1p-13, -0x1.b8909ac6d18ccp-13, -0x1.a9b193cd99779p-13, -0x1.9b3a4ea7f4769p-13, -0x1.8d26e42f7d7d8p-13, -0x1.7f73979063386p-13, -0x1.721cd4c16ca32p-13, -0x1.651f2f060e97bp-13, -0x1.58775f7f2373fp-13, -0x1.4c2243c47cf6p-13, -0x1.401cdc881676ap-13, -0x1.34644c45a8c66p-13, -0x1.28f5d5fbd1ccfp-13, -0x1.1dcedbee182bap-13, -0x1.12ecde6f5a4c7p-13, -0x1.084d7ab6fef1p-13, -0x1.fbdcd3839f493p-14, -0x1.e79afe6d471f7p-14, -0x1.d3d150ae69f7cp-14, -0x1.c07bd5f511998p-14, -0x1.ad96c91946b87p-14, -0x1.9b1e922e6d3e3p-14, -0x1.890fc4a31ed38p-14, -0x1.77671d7642843p-14, -0x1.66218175ea0bfp-14, -0x1.553bfb8cdd7bp-14, -0x1.44b3bb22ffa73p-14, -0x1.348612875cb56p-14, -0x1.24b0756ad493cp-14, -0x1.15307762c6f2bp-14, -0x1.0603ca7c20753p-14, -0x1.ee507bbdcdfa6p-15, -0x1.d13778ee6ad02p-15, -0x1.b4b89758a2077p-15, -0x1.98d014504e819p-15, -0x1.7d7a5d464452dp-15, -0x1.62b40d7ebea9ap-15, -0x1.4879ebd3460efp-15, -0x1.2ec8e89478f8dp-15, -0x1.159e1b7ed8379p-15, -0x1.f9ed837453a99p-16, -0x1.c9a077e7ed772p-16, -0x1.9a50191df687cp-16, -0x1.6bf7abb606affp-16, -0x1.3e92b0cf4ec3ap-16, -0x1.121ce2b3c59abp-16, -0x1.cd24638f6c136p-17, -0x1.77dd8316676e1p-17, -0x1.245dcb58525a2p-17, -0x1.a53c7d2274f92p-18, -0x1.05306943eaeb5p-18, -0x1.a22aaef8e7072p-20, 0x1.86069a603174ep-21, 0x1.8d7b3bfa0e071p-19, 0x1.5976b96baad72p-18, 0x1.e8f6ae1399419p-18, 0x1.3aa3c80e9ce64p-17, 0x1.7f398399da0bcp-17, 0x1.c2412ade3adb7p-17, 0x1.01df9809d9aa2p-16, 0x1.21dbece22d531p-16, 0x1.4117a30650e9dp-16, 0x1.5f94b6e180525p-16, 0x1.7d5513a53afabp-16, 0x1.9a5a94aab74dp-16, 0x1.b6a706ced1cb6p-16, 0x1.d23c29ae53239p-16, 0x1.ed1bb0cd7e18ep-16, 0x1.03a3a261f0312p-15, 0x1.10604222e69cep-15, 0x1.1cc48294033fp-15, 0x1.28d12aae19a83p-15, 0x1.3486fde39b9cp-15, 0x1.3fe6bc9140514p-15, 0x1.4af12464cb8ddp-15, 0x1.55a6f0b99806fp-15, 0x1.6008daf40d0d9p-15, 0x1.6a179ad4da59p-15, 0x1.73d3e6c8ef3aap-15, 0x1.7d3e7433c8614p-15, 0x1.8657f7b3ed435p-15, 0x1.8f21255f890ap-15, 0x1.979ab1029e936p-15, 0x1.9fc54e5531c4cp-15, 0x1.a7a1b12bef6bp-15, 0x1.af308da8575cfp-15, 0x1.b672986192f59p-15, 0x1.bd68868b69d9p-15, 0x1.c4130e1c90a27p-15, 0x1.ca72e5eb9dd0dp-15, 0x1.d088c5cc15c2ap-15, 0x1.d65566a7042f1p-15, 0x1.dbd982941cbaep-15, 0x1.e115d4ea8e368p-15, 0x1.e60b1a52c5177p-15, 0x1.eaba10d847861p-15, 0x1.ef2377eed6415p-15, 0x1.f3481083666ap-15, 0x1.f7289d00c1c6bp-15, 0x1.fac5e15628152p-15, 0x1.fe20a2f88e9d6p-15, 0x1.009cd473aa51ap-14, 0x1.0208ddd5ec8e8p-14, 0x1.0354d2aa74c8cp-14, 0x1.048118bbdc43dp-14, 0x1.058e16956896p-14, 0x1.067c337e68546p-14, 0x1.074bd778ace18p-14, 0x1.07fd6b3b65934p-14, 0x1.0891582f35047p-14, 0x1.090808675daf3p-14, 0x1.0961e69deb999p-14, 0x1.099f5e2caf381p-14, 0x1.09c0db060e284p-14, 0x1.09c6c9af090c5p-14, 0x1.09b1973810c6bp-14, 0x1.0981b134ef8abp-14, 0x1.093785b4d1cfdp-14, 0x1.08d3833a9eb68p-14, 0x1.085618b49ca44p-14, 0x1.07bfb57340958p-14, 0x1.0710c9210e2c6p-14, 0x1.0649c3b96a6ebp-14, 0x1.056b157fe8d54p-14, 0x1.04752ef6309bfp-14, 0x1.036880d37ef59p-14, 0x1.02457bfbf0aeep-14, 0x1.010c9175a8e74p-14, 0x1.ff7c64c0e1428p-15, 0x1.fcb59fd74b3dep-15, 0x1.f9c5b69b2d266p-15, 0x1.f6ad8b71f912fp-15, 0x1.f36e00a84f6dp-15, 0x1.f007f85f32365p-15, 0x1.ec7c5479d111fp-15, 0x1.e8cbf68889c52p-15, 0x1.e4f7bfb92eb83p-15, 0x1.e10090c417498p-15, 0x1.dce749d920ff2p-15, 0x1.d8acca8e0e332p-15, 0x1.d451f1cce06c8p-15, 0x1.cfd79dc35b99cp-15, 0x1.cb3eabd060f81p-15, 0x1.c687f8735ed8fp-15, 0x1.c1b45f3beff63p-15, 0x1.bcc4baba1fc97p-15, 0x1.b7b9e46c7f5c1p-15, 0x1.b294b4b18cbb8p-15, 0x1.ad5602b933a5dp-15, 0x1.a7fea47438fbdp-15, 0x1.a28f6e85160e9p-15, 0x1.9d09343248764p-15, 0x1.976cc758ccc89p-15, 0x1.91baf85ea0e07p-15, 0x1.8bf496231ee81p-15, 0x1.861a6df42553ep-15, 0x1.802d4b808b1d2p-15, 0x1.7a2df8ccbe781p-15, 0x1.741d3e253a23p-15, 0x1.6dfbe214c5af5p-15, 0x1.67caa95964337p-15, 0x1.618a56d7cc4ap-15, 0x1.5b3bab91ad09dp-15, 0x1.54df669c0448dp-15, 0x1.4e764517683bfp-15, 0x1.48010223fb098p-15, 0x1.418056d98ddcp-15, 0x1.3af4fa3f6b528p-15, 0x1.345fa14429261p-15, 0x1.2dc0feb63528ep-15, 0x1.2719c33bb1ba4p-15, 0x1.206a9d4d031a5p-15, 0x1.19b4392d5c0c4p-15, 0x1.12f740e3ddd52p-15, 0x1.0c345c35e510dp-15, 0x1.056c30a216ec7p-15, 0x1.fd3ec2b93da46p-16, 0x1.ef9d1e9048806p-16, 0x1.e1f4b1e41afecp-16, 0x1.d446b51d10b21p-16, 0x1.c6945be8d373p-16, 0x1.b8ded534ed628p-16, 0x1.ab274b2775f9bp-16, 0x1.9d6ee319aa882p-16, 0x1.8fb6bd94cb7b5p-16, 0x1.81fff64a08513p-16, 0x1.744ba4107ffbfp-16, 0x1.669ad8e141aa8p-16, 0x1.58eea1d98a5c8p-16, 0x1.4b48073351851p-16, 0x1.3da80c4684a76p-16, 0x1.300faf865fd62p-16, 0x1.227fea82572acp-16, 0x1.14f9b1e552c65p-16, 0x1.077df5797b98ap-16, 0x1.f41b4049fd6d9p-17, 0x1.d9532fe00b64cp-17, 0x1.bea57c08e2d96p-17, 0x1.a413dd5f88296p-17, 0x1.89a002cdf8aeap-17, 0x1.6f4b91978f1cbp-17, 0x1.55182561d5c9ep-17, 0x1.3b07503898c81p-17, 0x1.211a9a99746f1p-17, 0x1.0753837ebd731p-17, 0x1.db6700d0a4ea5p-18, 0x1.a877fad6f4166p-18, 0x1.75dcba8089e31p-18, 0x1.4397f293c7564p-18, 0x1.11ac4355795c4p-18, 0x1.c038753e4dd3p-19, 0x1.5dd4a7f48818bp-19, 0x1.f863e3100ebf8p-20, 0x1.36aa0152c2bcdp-20, 0x1.da1302294dc2fp-22, -0x1.200c423e0bc7dp-22, -0x1.04e4e9b8e9d9bp-20, -0x1.c0188899e1bbap-20, -0x1.3ccaf814f6e1ap-19, -0x1.98aab409f8f07p-19, -0x1.f3a7bdf57556ap-19, -0x1.26df3eb030142p-18, -0x1.5375bd972b488p-18, -0x1.7f95b0a2d3b18p-18, -0x1.ab3d7d2303a5bp-18, -0x1.d66b9898c371p-18, -0x1.008f44411ac2ep-17, -0x1.15aa7113fd8ep-17, -0x1.2a86a53c85d64p-17, -0x1.3f233aedccfacp-17, -0x1.537f93fd05d2cp-17, -0x1.679b19cc203aep-17, -0x1.7b753d2fca20fp-17, -0x1.8f0d765779d4bp-17, -0x1.a26344b14ee62p-17, -0x1.b5762ed96e1a7p-17, -0x1.c845c2791b541p-17, -0x1.dad19432711acp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      52, 0x1.199999999999ap+2, 0x1.70ac8902b0281p+1, 0x1.4b03039a2ef1p+1, -0x1.6fb53524d80cdp-6, 
      {{
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.a98a494a78f79p-5, -0x1.b6cddebe02d36p-3, 0x1.3bf7d6adc9bddp-2, -0x1.6b1fccfbb6a49p-3}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.57eaca0584273p-5, -0x1.7a5580394d20bp-3, 0x1.20bbda814f3e4p-2, -0x1.5ad793ed17ee6p-3}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.11da029ffac81p-5, -0x1.4330445a2d757p-3, 0x1.06b87c35ed72fp-2, -0x1.4cffc492201f4p-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.ac9a867d2194ap-6, -0x1.112454063f7d9p-3, 0x1.db7dce22bc7a8p-3, -0x1.3e80a5af683ddp-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.4889c60522a25p-6, -0x1.c7f68b8c05163p-4, 0x1.abb74ee206716p-3, -0x1.302e5b3807d08p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.eb3100277ac5ep-7, -0x1.76fb89f04b98ep-4, 0x1.7e16c1333878bp-3, -0x1.21d00e9b0bb7ep-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.63e6fdbbc9c64p-7, -0x1.2ee977ff6ab7ap-4, 0x1.529df23590501p-3, -0x1.1374f62925b5ap-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ef766a46ea572p-8, -0x1.dea4116067153p-5, 0x1.294c66e29775p-3, -0x1.05190f3081af9p-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.46bee55a393efp-8, -0x1.6f8df05bb3822p-5, 0x1.02223e34ea674p-3, -0x1.ed7a5c4f87adep-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.8ec67a66f258bp-9, -0x1.0fb3ff429b9fap-5, 0x1.ba3eee911a0e2p-4, -0x1.d0c407cc4b178p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.addde8e57256fp-10, -0x1.7c736c20a9f5dp-6, 0x1.7487ed65a8649p-4, -0x1.b407f130502f6p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.6b3ee5ba7c064p-11, -0x1.e909f07d23ee5p-7, 0x1.33205604cf904p-4, -0x1.9761756905294p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe37375de1f3ep-14, -0x1.0bc7d68ef3f42p-7, 0x1.ec09d59d50c7dp-5, -0x1.7a6a5067ca87cp-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.371aa7e9865a1p-13, -0x1.76ae40b52d3cep-9, 0x1.7a838a4afa6b4p-5, -0x1.5ea0357986f07p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.870a34ac5eb01p-13, 0x1.25951f7434297p-10, 0x1.11537a401ebd2p-5, -0x1.3afc86f17608ep-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.db59651657199p-15, 0x1.fc8428b38b17p-9, 0x1.65a909ef5d0f5p-6, -0x1.0f7f3ae669716p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.810d1aaab7329p-13, 0x1.6cbe1b7f25cc2p-8, 0x1.8586339708614p-7, -0x1.ca5e2d53abaa6p-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.fc25d1bda0b71p-12, 0x1.9f25379336c5fp-8, 0x1.ca0394c6858a5p-9, -0x1.751bb85cdba55p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a5ba2fc0d470ep-11, 0x1.9fa8da5a20e93p-8, -0x1.b57225b1f007bp-9, -0x1.2007a5bfbcf53p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.22a7fd93580fbp-10, 0x1.7881681f53d02p-8, -0x1.1a2decdf86facp-7, -0x1.95b86c7302d94p-6}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.678095a33eb1ap-10, 0x1.33e5e39302f9p-8, -0x1.93e5409ba16ebp-7, -0x1.d77f5ff821bf2p-7}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.9c88505b3d0d1p-10, 0x1.b817c6961646cp-9, -0x1.da9ec2340ce55p-7, -0x1.01f48c0510e1bp-8}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.beeb9e368401p-10, 0x1.ecc03f878074ap-10, -0x1.edf77fe7a15cbp-7, 0x1.97f129fe95b7fp-8}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.cde1efe05660fp-10, 0x1.b7435f9f0528p-12, -0x1.cf5f0327bc881p-7, 0x1.1e5065643da5dp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.caadb63408f09p-10, -0x1.c50bff76bafd2p-11, -0x1.797a17f010708p-7, 0x1.5f760a728dc7ep-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.b8817a5de7094p-10, -0x1.e654638c63de9p-10, -0x1.1009e19a7f81ap-7, 0x1.296d3c26a188cp-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.9b57e74505b41p-10, -0x1.4e22790bea9b3p-9, -0x1.6d9f058437b01p-8, 0x1.053f13ca31186p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.76cbd2f516be7p-10, -0x1.879588528c65cp-9, -0x1.a1bf267c34777p-9, 0x1.b88fce9144b42p-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4dfd56bf4d5fcp-10, -0x1.a42455557da9dp-9, -0x1.32d1bb7d49ad6p-10, 0x1.69344ad82231dp-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2391cf3a5e39fp-10, -0x1.a8a592391c7b5p-9, 0x1.fa80dfb1e3cc3p-12, 0x1.191f7a414ff55p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.f367b884feb09p-11, -0x1.99e1bc663550ep-9, 0x1.cff93107a5b19p-10, 0x1.92ba0fae827c6p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a426c1f2d0603p-11, -0x1.7ca467cae3649p-9, 0x1.60ce039e93986p-9, 0x1.e429a65f56068p-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5bcb078ca343ep-11, -0x1.55bb02fb98781p-9, 0x1.a96ddc9346e5fp-9, 0x1.5530e408bd4c6p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.1bc95cabebed2p-11, -0x1.29e87b6e1d77fp-9, 0x1.c304ba7a5518bp-9, -0x1.573a4b17edbd8p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.c942366a4389bp-12, -0x1.fc2fd0d9102eap-10, 0x1.a946c1a556776p-9, -0x1.42b72882aa334p-9}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.6bcdd9701b764p-12, -0x1.abf8e4538e3ep-10, 0x1.78de7b91bcefdp-9, -0x1.1ab6d23ea746bp-9}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1d76dda658209p-12, -0x1.64d6d1538200bp-10, 0x1.4e76426ebd71cp-9, -0x1.0f572d133a755p-9}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b9075e5c3873cp-13, -0x1.2604503c5e458p-10, 0x1.25c2c878a7e04p-9, -0x1.f897a0b28be97p-10}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.4eaafa9aa4116p-13, -0x1.de1925e4c09bfp-11, 0x1.ffd538d687905p-10, -0x1.d69d4181b45dcp-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.f1a0e9baadb96p-14, -0x1.7eca766378d7fp-11, 0x1.b93da236461c1p-10, -0x1.b388e861a4bbap-10}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.694a7086878b4p-14, -0x1.2d1363ac007e6p-11, 0x1.77e918f46d66bp-10, -0x1.90c01cbb66cf5p-10}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.fe30d8d3b3b3ap-15, -0x1.cfcf4d957477ep-12, 0x1.3bcc47d8512d8p-10, -0x1.6de3151d169ccp-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.5c7799918e97bp-15, -0x1.5c779a7070d64p-12, 0x1.04ea37e0c0fcdp-10, -0x1.4b0b6fe542375p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.c942366a43902p-16, -0x1.fc10ad9c1d2c6p-13, 0x1.a68434965481fp-11, -0x1.28327d0b8bf55p-10}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1d76dda658291p-16, -0x1.64d495d66f4a1p-13, 0x1.4da8424610ebep-11, -0x1.05595e52e4edap-10}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4eaafa9aa4293p-17, -0x1.de18cec671a2dp-14, 0x1.fe814bf3fee35p-12, -0x1.c504796fc8871p-11}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.694a708687b9fp-18, -0x1.2d137000085aep-14, 0x1.76998dec0f883p-12, -0x1.7f46a50a67714p-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.5c7799918efdfp-19, -0x1.5c7711a0a00b8p-15, 0x1.039df6028a179p-12, -0x1.39c31b274c325p-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1d76dda658d7fp-20, -0x1.64d88bad04caep-16, 0x1.4afa0eed8011dp-13, -0x1.e6cbf0d4c939p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.694a70868a4p-22, -0x1.2cf5c8a077364p-17, 0x1.71e026f4edcf6p-14, -0x1.6069dd24f1a34p-12}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.1d76dda663p-24, -0x1.668e3276d6135p-19, 0x1.3cdade23ecdc7p-15, -0x1.84b46801a7163p-13}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.1d76dda6bp-28, -0x1.31538cd279218p-22, 0x1.4e874bbeef3ffp-17, -0x1.0419758aae85bp-12}, 
      }}, 
      0x1.e97df6c617fd8p-9, -0x1.793a0f5bb2343p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.7647e6b180e83p-3, -0x1.3926c87423176p-3, -0x1.bf55689c31889p-4, -0x1.dd7a2bcea0cfbp-5, -0x1.a5b2803c96fc7p-8, 0x1.51bacd7c94795p-5, 0x1.4c401359e876p-4, 0x1.c75228d27a197p-4, 0x1.0b78793ab97e3p-3, 0x1.1e1345e9081e2p-3, 0x1.1d7851897ebf1p-3, 0x1.0c9076f603b6ep-3, 0x1.dd6dc9980f50ep-4, 0x1.8ebad1b4184cep-4, 0x1.339881b446c6p-4, 0x1.a3e4b2440372cp-5, 0x1.bb8886692c4a8p-6, 0x1.d3b8d21eb808bp-9, -0x1.2e2103a9e43ddp-6, -0x1.3a28f4cfbdb8fp-5, -0x1.c89d33f15546ep-5, -0x1.2029ad48ae1fdp-4, -0x1.502a88abe8445p-4, -0x1.744ea35fafbdbp-4, -0x1.8cf32d1fa0ap-4, -0x1.9abed9bb26596p-4, -0x1.9e8e907dcf331p-4, -0x1.9962efe3eac98p-4, -0x1.8c51ea9f1eba9p-4, -0x1.787a4fea0f123p-4, -0x1.5ef9c9e8081ap-4, -0x1.40e5242a1280dp-4, -0x1.1f426ae915fa6p-4, -0x1.f609a4ff1045ep-5, -0x1.aa13ef153bc18p-5, -0x1.5c30df426ac6cp-5, -0x1.0dbe45aa9877p-5, -0x1.7fd63e3fdb8c7p-6, -0x1.cee4481e0001fp-7, -0x1.4ff6439980e61p-8, 0x1.c9502eeaf9fa6p-9, 0x1.7de07bcec4651p-7, 0x1.3c828eeb6e35dp-6, 0x1.b148dd228aeffp-6, 0x1.0e6f258bf164dp-5, 0x1.3f85210e90747p-5, 0x1.6bdd02b03a586p-5, 0x1.937d4dd9eb921p-5, 0x1.b679c494c271dp-5, 0x1.d4f0e85aab03p-5, 0x1.ef09dc1472251p-5, 0x1.02793d76cbba9p-4, 0x1.0b6ed7a45e981p-4, 0x1.1281085b52ce1p-4, 0x1.17cc56e5c63e8p-4, 0x1.1b6e04281f453p-4, 0x1.1d839f2523946p-4, 0x1.1e2aac0d8ec16p-4, 0x1.1d805b9811184p-4, 0x1.1ba151375d66p-4, 0x1.18a974d701f3bp-4, 0x1.14b3ce74f101ap-4, 0x1.0fda69dc1600ep-4, 0x1.0a36420b78096p-4, 0x1.03df333407db4p-4, 0x1.f9d7e3af6df25p-5, 0x1.eae40b90d01efp-5, 0x1.db0b902f67078p-5, 0x1.ca74c70f3818ep-5, 0x1.b943ae974c851p-5, 0x1.a799f70a0d7e2p-5, 0x1.95970e6fb62ecp-5, 0x1.83582e1575bb7p-5, 0x1.70f86a419ec59p-5, 0x1.5e90c4dcaaf47p-5, 0x1.4c3838b57e735p-5, 0x1.3a03d914b79f4p-5, 0x1.2806d2ba18adp-5, 0x1.165295318a9p-5, 0x1.04f6c6a5649bep-5, 0x1.e802ec7280652p-6, 0x1.c6fe25bb4ee07p-6, 0x1.a6f5300821f7ap-6, 0x1.87fb081f1eca8p-6, 0x1.6a201195396e4p-6, 0x1.4d72023929b13p-6, 0x1.31fc37b9f84fdp-6, 0x1.17c7c0cfb0d38p-6, 0x1.fdb6fc009c8cep-7, 0x1.ce78baab52a6fp-7, 0x1.a1dacf46eaa33p-7, 0x1.77dfe091710ffp-7, 0x1.508756201b0f7p-7, 0x1.2bcdbaae9f3e6p-7, 0x1.09acdfa568d77p-7, 0x1.d4384ff2c0d05p-8, 0x1.9a21865c67c4p-8, 0x1.64fbd5ead8099p-8, 0x1.34aa1f0fcd244p-8, 0x1.090c23ef6e2dcp-8, 0x1.c3fdfbd569f25p-9, 0x1.7ebabb145be84p-9, 0x1.42001813d3fe6p-9, 0x1.0d7c3ba39eadcp-9, 0x1.c1b540ffae2e1p-10, 0x1.77895c91da84p-10, 0x1.3bc447b9b1fa5p-10, 0x1.0db38f08d34ep-10, 0x1.d946fa82991f3p-11, 0x1.afbfacc8be7d1p-11, 0x1.9d6941ec34702p-11, 0x1.a0df2f0a0d412p-11, 0x1.b8bef59e02eebp-11, 0x1.e3aac2516ca23p-11, 0x1.102582bfd4461p-10, 0x1.36a6717fa9efp-10, 0x1.64b333cf782edp-10, 0x1.99aa0689b8f14p-10, 0x1.d4ed323711f84p-10, 0x1.0af1f8a7da1cbp-9, 0x1.2dfcc98c4a28fp-9, 0x1.534effec15b66p-9, 0x1.7aa32ef35d641p-9, 0x1.a3b627c8381bbp-9, 0x1.ce4747e3bdfb5p-9, 0x1.fa189a17fe241p-9, 0x1.13770c530d12bp-8, 0x1.2a477bfe9fe9ap-8, 0x1.416227bbd23bdp-8, 0x1.58ad0ce897d13p-8, 0x1.700f417503d7bp-8, 0x1.877123594fbfbp-8, 0x1.9ebc29a976d91p-8, 0x1.b5daf3d1abe3p-8, 0x1.ccb9730b23c5ep-8, 0x1.e344847b8b51dp-8, 0x1.f96a22be1a046p-8, 0x1.078cbc2dabbfep-7, 0x1.12215c2dfd071p-7, 0x1.1c6b7540b549cp-7, 0x1.26641e2888c22p-7, 0x1.3004eda19bb6bp-7, 0x1.3947e77629c48p-7, 0x1.42277afa5d535p-7, 0x1.4a9e99afedf82p-7, 0x1.52a89cd27a007p-7, 0x1.5a4149d497ec1p-7, 0x1.6164bd10303e5p-7, 0x1.680f7e3fab727p-7, 0x1.6e3e85709257bp-7, 0x1.73ef086ef5568p-7, 0x1.791ea36128588p-7, 0x1.7dcb4efc0719bp-7, 0x1.81f354c9e3e04p-7, 0x1.85953ea065de3p-7, 0x1.88afe7865832p-7, 0x1.8b427a7c6725ep-7, 0x1.8d4c707c0f852p-7, 0x1.8ecd725a744a4p-7, 0x1.8fc56ba4046eap-7, 0x1.90348b938d283p-7, 0x1.901b476b66941p-7, 0x1.8f7a3d8561e8dp-7, 0x1.8e523fa60d288p-7, 0x1.8ca454e472d5dp-7, 0x1.8a71bdb90911p-7, 0x1.87bbebb9b1d08p-7, 0x1.84846c00e4085p-7, 0x1.80ccf7dd7a05ap-7, 0x1.7c9776faef0dcp-7, 0x1.77e5f9abe56c2p-7, 0x1.72baaee4ec6fap-7, 0x1.6d17e34b2e4a3p-7, 0x1.66fffb11fe8a5p-7, 0x1.607585cd6d912p-7, 0x1.597b311dbc17ep-7, 0x1.5213be6d99fb3p-7, 0x1.4a41eb2f9cce9p-7, 0x1.4208b86640b66p-7, 0x1.396b010bc8654p-7, 0x1.306c028a43e47p-7, 0x1.270ebab569a94p-7, 0x1.1d56720e7bb65p-7, 0x1.134648eab9628p-7, 0x1.08e18495a1874p-7, 0x1.fc571f34c85f2p-8, 0x1.e64f57c394227p-8, 0x1.cfb290dad4c7ep-8, 0x1.b8876f36b2804p-8, 0x1.a0d4ebcadb63cp-8, 0x1.88a1bae0aac04p-8, 0x1.6ff4e689f8ae3p-8, 0x1.56d526a00f8bdp-8, 0x1.3d498a707d299p-8, 0x1.2358b66cd5d5ap-8, 0x1.0909a06107c14p-8, 0x1.dcc643a5811e7p-9, 0x1.a6d7e1aeb5193p-9, 0x1.7055edd76dd3dp-9, 0x1.394d75d34e8fbp-9, 0x1.01cbe95702d6cp-9, 0x1.93bcefcb3a65bp-10, 0x1.232473a22c97bp-10, 0x1.63d0603484c5dp-11, 0x1.00879e280866p-12, -0x1.90abb6bdd3271p-13, -0x1.4949d1f69782ep-11, -0x1.1773e5b230f12p-10, -0x1.8a6a2353914dap-10, -0x1.fd6ff262d490fp-10, -0x1.3836c02dea8c9p-9, -0x1.71a6263c390a1p-9, -0x1.aafab4f0c801bp-9, -0x1.e4296e1ad462bp-9, -0x1.0e93b6510d748p-8, -0x1.2af4fb5e951c3p-8, -0x1.47335b18f42ebp-8, -0x1.6349bf7671514p-8, -0x1.7f33278b1f44dp-8, -0x1.9aeac4a55779dp-8, -0x1.b66bca76d2292p-8, -0x1.d1b1aa661e393p-8, -0x1.ecb7e1e50f32cp-8, -0x1.03bd055e987bdp-7, -0x1.10f9fb91a5afep-7, -0x1.1e10bb4b68529p-7, -0x1.2aff4830f94c7p-7, -0x1.37c3b5182d27dp-7, -0x1.445c1ffab95c8p-7, -0x1.50c6b83814ec9p-7, -0x1.5d01c08dbb4a7p-7, -0x1.690b8aa8caf43p-7, -0x1.74e2783d5cb3fp-7, -0x1.8084f9a392db8p-7, -0x1.8bf18ece7e793p-7, -0x1.9726c8637f51cp-7, -0x1.a2234452c7feep-7, -0x1.ace5b13f88549p-7, -0x1.b76cd25796be9p-7, -0x1.c1b776c7663bdp-7, -0x1.cbc4770775c9ap-7, -0x1.d592c3efcf09cp-7, -0x1.df215930e4863p-7, -0x1.e86f414f2de25p-7, -0x1.f17b951aebb23p-7, -0x1.fa457dca57dap-7, -0x1.01661884a73dep-6, -0x1.05877a36434bbp-6, -0x1.09868dfadc712p-6, -0x1.0d6304447b92ep-6, -0x1.111c93ef5b764p-6, -0x1.14b2fb3a5b8b5p-6, -0x1.1825ff10fd42dp-6, -0x1.1b756aa30f992p-6, -0x1.1ea1101bfbc8p-6, -0x1.21a8c86983773p-6, -0x1.248c721a0f1dfp-6, -0x1.274bef5036729p-6, -0x1.29e72f33d3144p-6, -0x1.2c5e21cad72bfp-6, -0x1.2eb0bbd58df26p-6, -0x1.30defd38169b6p-6, -0x1.32e8e2f27fc4dp-6, -0x1.34ce7757d09c7p-6, -0x1.368fc8355b86fp-6, -0x1.382ce86d4efdbp-6, -0x1.39a5f00a547b2p-6, -0x1.3afafc589624dp-6, -0x1.3c2c2dec5c3bp-6, -0x1.3d39ac67ae45cp-6, -0x1.3e23a3567534ep-6, -0x1.3eea442ce9356p-6, -0x1.3f8dc105a28b3p-6, -0x1.400e556f2aca5p-6, -0x1.406c3f5b71e9p-6, -0x1.40a7c0bf283bfp-6, -0x1.40c11fe2a781p-6, -0x1.40b8a663d45fep-6, -0x1.408ea20eea3e2p-6, -0x1.404364a9bce45p-6, -0x1.3fd7433688808p-6, -0x1.3f4a965aa41d3p-6, -0x1.3e9dbab36a894p-6, -0x1.3dd10fdc794d8p-6, -0x1.3ce4f8972296dp-6, -0x1.3bd9dac0a6e5ep-6, -0x1.3ab01f5536e54p-6, -0x1.3968320dddbb1p-6, -0x1.38028133ae012p-6, -0x1.367f7dab71255p-6, -0x1.34df9b3542bdp-6, -0x1.33234fddecc5bp-6, -0x1.314b13c2b37b2p-6, -0x1.2f5760ff6514p-6, -0x1.2d48b459fc002p-6, -0x1.2b1f8c773e7b8p-6, -0x1.28dc697290ccep-6, -0x1.267fcd5691ac2p-6, -0x1.240a3beca9e04p-6, -0x1.217c3aa4615bep-6, -0x1.1ed6505f0b23ep-6, -0x1.1c19050c7e3bp-6, -0x1.1944e20264277p-6, -0x1.165a718b37a72p-6, -0x1.135a40125ba72p-6, -0x1.1044d8c5a37a3p-6, -0x1.0d1ac8933963bp-6, -0x1.09dc9fc200074p-6, -0x1.068aed7ed5d04p-6, -0x1.03263df90ecdap-6, -0x1.ff5e424942ff1p-7, -0x1.f84c4eac4fe04p-7, -0x1.f117cb6162cd8p-7, -0x1.e9c1cd40e9f92p-7, -0x1.e24b823602f18p-7, -0x1.dab5ffa61809ep-7, -0x1.d3026a3c2e746p-7, -0x1.cb31e814c4d4cp-7, -0x1.c34599a7fd04ep-7, -0x1.bb3e9c91a03d4p-7, -0x1.b31e12f661a8dp-7, -0x1.aae51cbb6626p-7, -0x1.a294d50e02503p-7, -0x1.9a2e5881de0c6p-7, -0x1.91b2c3e0720a8p-7, -0x1.89233204ef4f6p-7, -0x1.8080bb94b5096p-7, -0x1.77cc775835d0dp-7, -0x1.6f077a35bbd6p-7, -0x1.6632d7f7ff7b5p-7, -0x1.5d4fa24c9669cp-7, -0x1.545ee7e594a8bp-7, -0x1.4b61b6e23743cp-7, -0x1.42591a66e1f78p-7, -0x1.39461b1e3e10fp-7, -0x1.3029bde0fc695p-7, -0x1.2705072eb65b5p-7, -0x1.1dd8f695cd2f9p-7, -0x1.14a687da9579fp-7, -0x1.0b6eb5998a357p-7, -0x1.02327720f7a4ap-7, -0x1.f1e58455a33bep-8, -0x1.df6114f9eb18ep-8, -0x1.ccd980ea3bd6ep-8, -0x1.ba509fb72f98cp-8, -0x1.a7c83fd8b4fe3p-8, -0x1.9542284187ca3p-8, -0x1.82c0197adcde2p-8, -0x1.7043c64844651p-8, -0x1.5dcee533ab756p-8, -0x1.4b6321152f997p-8, -0x1.39021e9b7ea72p-8, -0x1.26ad760df0837p-8, -0x1.1466c9bc1b73fp-8, -0x1.022fafee744cap-8, -0x1.e0136faf68c76p-9, -0x1.bbecce956e655p-9, -0x1.97ee7177c1792p-9, -0x1.741b32a9dc31p-9, -0x1.5075d11a25b01p-9, -0x1.2d00f47edef6p-9, -0x1.09bf315b0a16dp-9, -0x1.cd662190b5d05p-10, -0x1.87be2fdfb5b8dp-10, -0x1.428ba050405cbp-10, -0x1.fba70ae4591c1p-11, -0x1.7335fadb302ccp-11, -0x1.d79c47e554fep-12, -0x1.95e548080c0e9p-13, 0x1.fbf2a58c6d4fep-15, 0x1.47a5635256a8ap-12, 0x1.26b9c3ade66e7p-11, 0x1.a86cb96d0506ep-11, 0x1.1472a4dc50d7dp-10, 0x1.540e91f627709p-10, 0x1.930713e030fc3p-10, 0x1.d159077fb670bp-10, 0x1.078066d09ef2ep-9, 0x1.25fd4dc3ac58cp-9, 0x1.4421370f27028p-9, 0x1.61ea17ff56294p-9, 0x1.7f55f9ad19426p-9, 0x1.9c63182b499c4p-9, 0x1.b90ffcefcf49bp-9, 0x1.d55b8dc082f15p-9, 0x1.f1450b65008ccp-9, 0x1.0665ff4d01899p-8, 0x1.13f80adc73f2dp-8, 0x1.21587d0800cd7p-8, 0x1.2e8712133b346p-8, 0x1.3b835e4cf7eep-8, 0x1.484cc70a02d33p-8, 0x1.54e28636d354bp-8, 0x1.6143bad3bcfeep-8, 0x1.6d6f8065c2858p-8, 0x1.79650ccb9e331p-8, 0x1.8523cc5ba223fp-8, 0x1.90ab6e7f27101p-8, 0x1.9bfbe84299602p-8, 0x1.a71576b9abe8ep-8, 0x1.b1f889d020afbp-8, 0x1.bca5917b18749p-8, 0x1.c71cef4109cbap-8, 0x1.d15ed42225d02p-8, 0x1.db6b2ea44da11p-8, 0x1.e541a8a346be3p-8, 0x1.eee1b496fffe8p-8, 0x1.f84aa77f632a3p-8, 0x1.00bdeceab18d2p-7, 0x1.053a6485ccbc5p-7, 0x1.099a99571b52cp-7, 0x1.0dde8fc7dd344p-7, 0x1.12066b28dd92fp-7, 0x1.161267f95fdc6p-7, 0x1.1a02d0ae227a7p-7, 0x1.1dd7eb7f35adcp-7, 0x1.2191f399780a8p-7, 0x1.25310b6f31672p-7, 0x1.28b540a0617a2p-7, 0x1.2c1e95e1bac41p-7, 0x1.2f6d0ea5fac03p-7, 0x1.32a0bbda1f2aep-7, 0x1.35b9c60032d64p-7, 0x1.38b870d8bdae7p-7, 0x1.3b9d162b3b33fp-7, 0x1.3e6817f1958e8p-7, 0x1.4119cc7675c77p-7, 0x1.43b2687a48d06p-7, 0x1.4631ee6e8b293p-7, 0x1.4898284008a69p-7, 0x1.4ae4af9c5c278p-7, 0x1.4d17049b98f5p-7, 0x1.4f2eaf80dcebep-7, 0x1.512b64a4154cp-7, 0x1.530d2f4436c14p-7, 0x1.54d4815d3fc6bp-7, 0x1.568245157bf61p-7, 0x1.5817cd084b3a1p-7, 0x1.5996a7fa5e4d2p-7, 0x1.5b0074bcc5d46p-7, 0x1.5c569e0e23192p-7, 0x1.5d9a20bcecdbbp-7, 0x1.5ecb5793fd02ep-7, 0x1.5fe9df6055cbbp-7, 0x1.60f4a67856dc9p-7, 0x1.61ea12109b3ffp-7, 0x1.62c8422ca0595p-7, 0x1.638d66a11d84bp-7, 0x1.64381738e17b4p-7, 0x1.64c7a2598b712p-7, 0x1.653c4153ee266p-7, 0x1.659727f4a48d5p-7, 0x1.65da78680d2abp-7, 0x1.6609058f372fbp-7, 0x1.6625efcdebe4dp-7, 0x1.66343c37236c9p-7, 0x1.6636628842ed4p-7, 0x1.662df032c11p-7, 0x1.661b5125fca8bp-7, 0x1.65fdcc7a90ddbp-7, 0x1.65d3a9da3b77ap-7, 0x1.659a82aa6efd7p-7, 0x1.654fa769b72fdp-7, 0x1.64f089542dedbp-7, 0x1.647b19dae4788p-7, 0x1.63ee147f9468ep-7, 0x1.63492cdb8774bp-7, 0x1.628d1e1ade816p-7, 0x1.61bb9ac5ad15ep-7, 0x1.60d7218091724p-7, 0x1.5fe2ad816fc59p-7, 0x1.5ee160952f945p-7, 0x1.5dd61bf43b86cp-7, 0x1.5cc31c58f38b5p-7, 0x1.5ba9bbb7f432bp-7, 0x1.5a8a53766e64ep-7, 0x1.59644f66a7a95p-7, 0x1.583669b1eabedp-7, 0x1.56ff027e31294p-7, 0x1.55bc7f2d5d16fp-7, 0x1.546d9a4e9ef83p-7, 0x1.531191e6d8833p-7, 0x1.51a8298d2d0fdp-7, 0x1.503181ff7af4ap-7, 0x1.4eaddb75fde53p-7, 0x1.4d1d638e68b8ap-7, 0x1.4b8026d6b8585p-7, 0x1.49d62b8a6e835p-7, 0x1.481fa6a7fbc7ap-7, 0x1.465d2b68dc78p-7, 0x1.448fbab4c4019p-7, 0x1.42b8a6337c0f8p-7, 0x1.40d9515207785p-7, 0x1.3ef2ee31b684p-7, 0x1.3d065656db654p-7, 0x1.3b1414ee1a00bp-7, 0x1.391ca11c61e65p-7, 0x1.3720abdb3b308p-7, 0x1.352154abd8866p-7, 0x1.33201d0f9ad6fp-7, 0x1.311e8d989a546p-7, 0x1.2f1da65c2b881p-7, 0x1.2d1d55e037debp-7, 0x1.2b1c39127eb81p-7, 0x1.2917c680cc9abp-7, 0x1.270ce3f6f8a6ep-7, 0x1.24f8a55ad1453p-7, 0x1.22d8eeb73397dp-7, 0x1.20aca9068857cp-7, 0x1.1e73b8fd270d2p-7, 0x1.1c2ebb9ae1d2bp-7, 0x1.19dee1918244fp-7, 0x1.1785ea62243f6p-7, 0x1.15264867ac787p-7, 0x1.12c31ffcbe0bep-7, 0x1.105ffec8b0519p-7, 0x1.0e005be777f37p-7, 0x1.0ba70255ef056p-7, 0x1.09559b8d6d5fap-7, 0x1.070c716fe73efp-7, 0x1.04ca5e750949p-7, 0x1.028d0d97cd5d6p-7, 0x1.005183baa4c3ap-7, 0x1.fc29eb228063bp-8, 0x1.f7ab3bc589c68p-8, 0x1.f326341e67c96p-8, 0x1.ee9bea5f67a3dp-8, 0x1.ea0cf405c43c7p-8, 0x1.e57703539cd93p-8, 0x1.e0d4559ac5cc8p-8, 0x1.dc1dd6cdd7fdfp-8, 0x1.d74f185afc475p-8, 0x1.d269e24531d1p-8, 0x1.cd7737a37645fp-8, 0x1.c8850b5761523p-8, 0x1.c3a1b1aeae6bp-8, 0x1.bed747e5764e3p-8, 0x1.ba291b2bcfe2cp-8, 0x1.b593b55077782p-8, 0x1.b10ec4ab3c7ccp-8, 0x1.ac8fbabda8db7p-8, 0x1.a80c96f409f9cp-8, 0x1.a37ebb23c7099p-8, 0x1.9ee53bb39c316p-8, 0x1.9a457e044b8dap-8, 0x1.95a931af72a87p-8, 0x1.911a135d49c68p-8, 0x1.8c9d7c12a3b0dp-8, 0x1.8832201bc1738p-8, 0x1.83d0f9e5a7aap-8, 0x1.7f7075e5b3e14p-8, 0x1.7b0833a1c8ec7p-8, 0x1.76941fc4ce69dp-8, 0x1.72160af2150dp-8, 0x1.6d9510b1105bp-8, 0x1.691afe7a91a9bp-8, 0x1.64b0fb5ade7ep-8, 0x1.605cd5e634db5p-8, 0x1.5c1f9ac2bdad5p-8, 0x1.57f559a1d2b62p-8, 0x1.53d5d0656c39fp-8, 0x1.4fb63c118bfddp-8, 0x1.4b8caed1c3802p-8, 0x1.475446820e5afp-8, 0x1.430fef13b40abp-8, 0x1.3ec9435f30fbdp-8, 0x1.3a8ba375d0694p-8, 0x1.365eb7c0145cdp-8, 0x1.3244093a0549dp-8, 0x1.2e389d6c62d33p-8, 0x1.2a385b72c2f3dp-8, 0x1.26414b4e8167bp-8, 0x1.225514ba385a4p-8, 0x1.1e78238af4a55p-8, 0x1.1aadc122111ep-8, 0x1.16f44d5d02518p-8, 0x1.134537fa2e6bep-8, 0x1.0f98dbd6c07ap-8, 0x1.0beb0681ea5b8p-8, 0x1.083d0f1e8ccb9p-8, 0x1.049468b434251p-8, 0x1.00f6c44429818p-8, 0x1.facc6ee9c8e75p-9, 0x1.f3bf50ca4cd63p-9, 0x1.ecb7dd9681f17p-9, 0x1.e5a7f6a6ed703p-9, 0x1.de8b1c9f5720cp-9, 0x1.d76ac97f004fcp-9, 0x1.d058a48f792a3p-9, 0x1.c96325a690e75p-9, 0x1.c28d8e4238c05p-9, 0x1.bbcf706fe36e1p-9, 0x1.b51c87a4987e4p-9, 0x1.ae714454f2a5dp-9, 0x1.a7d7ba9ecd737p-9, 0x1.a15e54493a632p-9, 0x1.9b0c0b3b26d2cp-9, 0x1.94def9595379cp-9, 0x1.8ed1db295bf54p-9, 0x1.88df741ea9e4cp-9, 0x1.83018dacbbfdep-9, 0x1.7d2f5820696fbp-9, 0x1.775ebb33067adp-9, 0x1.7189ec217a2c3p-9, 0x1.6bb609f480098p-9, 0x1.65f3628b18462p-9, 0x1.605346ccba3e3p-9, 0x1.5ad8044ab55d1p-9, 0x1.556c3faa852b1p-9, 0x1.4ff177ea2613ap-9, 0x1.4a5fb6d485ca2p-9, 0x1.44d1732145694p-9, 0x1.3f68663c311fdp-9, 0x1.3a2b16a2838c9p-9, 0x1.3503db0cbd3abp-9, 0x1.2fe010070fc6fp-9, 0x1.2ac4dee692774p-9, 0x1.25c0c5ca83b37p-9, 0x1.20d660a6be522p-9, 0x1.1bfc66c85b575p-9, 0x1.172915382fb4fp-9, 0x1.1258ec15637e8p-9, 0x1.0d8eff7a3fde8p-9, 0x1.08d29f20f88aap-9, 0x1.042c46c07e0e9p-9, 0x1.ff45a18a76878p-10, 0x1.f67355834fbeep-10, 0x1.edddaa900d5d5p-10, 0x1.e570af0f719a3p-10, 0x1.dd121cd93a503p-10, 0x1.d4c0d2bcdab17p-10, 0x1.cc9cd4af3142fp-10, 0x1.c4b06c600fe91p-10, 0x1.bcc341eda7f6p-10, 0x1.b49e08383d8a6p-10, 0x1.ac6952ebfb3afp-10, 0x1.a47b59e555dd9p-10, 0x1.9cdefafc6c2aap-10, 0x1.955ff1a173fcdp-10, 0x1.8def83abf8e65p-10, 0x1.86a8666c31713p-10, 0x1.7f90927774cffp-10, 0x1.789343bd2a551p-10, 0x1.719e38cec3a29p-10, 0x1.6aacc21226cddp-10, 0x1.63c23deaa1dcdp-10, 0x1.5ce344edb783ap-10, 0x1.56129eba0450cp-10, 0x1.4f5155d175d2ap-10, 0x1.48a0d8a5e5334p-10, 0x1.420570b952e6p-10, 0x1.3b88118d4d813p-10, 0x1.3535ee54262f5p-10, 0x1.2f1ec342c8b68p-10, 0x1.294db2ccdc331p-10, 0x1.23b7d62fb3c0cp-10, 0x1.1e3853610294bp-10, 0x1.18b8d8ba2bfd8p-10, 0x1.133ef7838821cp-10, 0x1.0dc3b4e6bb15cp-10, 0x1.0840e17d48424p-10, 0x1.02ce4b0c54f74p-10, 0x1.faf0478676b3ep-11, 0x1.f06e99348b873p-11, 0x1.e63e91ce4b027p-11, 0x1.dc7b5283a4817p-11, 0x1.d2f6b33bc3956p-11, 0x1.c97fe8d797ddcp-11, 0x1.c00b62d315ad3p-11, 0x1.b6a27fba6e58ap-11, 0x1.ad50c883e785bp-11, 0x1.a41d7b121caa5p-11, 0x1.9b0bd810f5828p-11, 0x1.921cf952edeafp-11, 0x1.8950e8e72e2e2p-11, 0x1.80a691c2b6475p-11, 0x1.781b5e92fc856p-11, 0x1.6fac38d5668bdp-11, 0x1.6758b27051256p-11, 0x1.5f264a44fccfap-11, 0x1.571f5dd7c0fdcp-11, 0x1.4f4cb9e8a32d8p-11, 0x1.47b8d59a96e96p-11, 0x1.407c8e06c0624p-11, 0x1.39a45a99e2005p-11, 0x1.32ef82909445cp-11, 0x1.2c1c37744a0e9p-11, 0x1.25536b23ece09p-11, 0x1.1e84ac512c0adp-11, 0x1.1780fd506dc89p-11, 0x1.10be916d78edap-11, 0x1.0a846c7d83d05p-11, 0x1.04884abf47abfp-11, 0x1.fd18ce4158412p-12, 0x1.f1165a515ec19p-12, 0x1.e524fc711994ep-12, 0x1.d95c7dfe1e6a1p-12, 0x1.cdc91efe74629p-12, 0x1.c26ed09e386cfp-12, 0x1.b74cda5a53f9p-12, 0x1.ac6090cea009ap-12, 0x1.a1a763e3229e7p-12, 0x1.9720233b2894bp-12, 0x1.8ccb4d80672ap-12, 0x1.82aa0a2536731p-12, 0x1.78bc1997d988ap-12, 0x1.6efe1c494d0b4p-12, 0x1.656a19afc3b1ap-12, 0x1.5bfb0d83fa8abp-12, 0x1.52b00f96d10b2p-12, 0x1.498683b324da5p-12, 0x1.40735a91e9559p-12, 0x1.378efec717b7ap-12, 0x1.2f56e4b3701d6p-12, 0x1.27ecb542326d9p-12, 0x1.207698fa1e3a8p-12, 0x1.18ac1ae9b4273p-12, 0x1.1077c8993677cp-12, 0x1.0868dc28a23bap-12, 0x1.012704fd3c623p-12, 0x1.f47fb78eb2dfdp-13, 0x1.e6a6c208aba8fp-13, 0x1.d8c4d1b9a07ddp-13, 0x1.cb05f0f463ef4p-13, 0x1.bd85b74658421p-13, 0x1.b04f89aea20a8p-13, 0x1.a366817861903p-13, 0x1.96c96f15d46ecp-13, 0x1.8a75d09915a5fp-13, 0x1.7e686341f8572p-13, 0x1.729dbcd391f01p-13, 0x1.671329352d4e5p-13, 0x1.5bc74777a7efap-13, 0x1.50ba582e0dbafp-13, 0x1.45edda3681904p-13, 0x1.3b62f2d88ed8ap-13, 0x1.311839d06ae09p-13, 0x1.270883a627edfp-13, 0x1.1d2c0e0c88b1bp-13, 0x1.137c84327f693p-13, 0x1.09f6950c5eb85p-13, 0x1.0095f0d09dd22p-13, 0x1.eea1e788a0f27p-14, 0x1.dc956e2b81c2p-14, 0x1.cbddd754ad9dp-14, 0x1.bc5ceee109c93p-14, 0x1.acc6f97fff027p-14, 0x1.9c54fa44e466p-14, 0x1.8c3c6eadfd3d9p-14, 0x1.7d3e126d56698p-14, 0x1.6ef474d373a6fp-14, 0x1.60be9886c8514p-14, 0x1.52a2c2a2dbb95p-14, 0x1.44c9369b4e256p-14, 0x1.3744afcd1977dp-14, 0x1.2a198f461a4bep-14, 0x1.1d47177581101p-14, 0x1.10cb15113040cp-14, 0x1.04a2fac2279a9p-14, 0x1.f1987f646056ep-15, 0x1.da88c44302d9ap-15, 0x1.c412613c2c3a2p-15, 0x1.ae2d44885b118p-15, 0x1.98dc2ba81dcf7p-15, 0x1.84179b97f6dbfp-15, 0x1.6fdfdab0250dfp-15, 0x1.5c34ab70040b5p-15, 0x1.4915c290a18aap-15, 0x1.367f9ed12fe7ep-15, 0x1.246c4cf2834f1p-15, 0x1.12d27628276fep-15, 0x1.01aa7b36658p-15, 0x1.e1dc2d27eb543p-16, 0x1.c1468f9a78981p-16, 0x1.a17b08146155dp-16, 0x1.826b37a926441p-16, 0x1.64c3703609075p-16, 0x1.488185a90b486p-16, 0x1.2c47c9d858c9ap-16, 0x1.11ac9326246efp-16, 0x1.eee9188042b03p-17, 0x1.bbd1f78277323p-17, 0x1.8b2d4c102dcb6p-17, 0x1.5b6c27f203f21p-17, 0x1.2cb7297b05bc6p-17, 0x1.fec952c5fb355p-18, 0x1.a71286a996d77p-18, 0x1.523dcfe5e77ap-18, 0x1.0034e0a558fe9p-18, 0x1.61c441c317ef7p-19, 0x1.90c927bf4a567p-20, 0x1.a13ea77f970aep-22, -0x1.6c4c0152b759ap-21, -0x1.cad8aece32c8p-20, -0x1.6b03ea84e2d31p-19, -0x1.ebf7dcc21678bp-19, -0x1.343223efeae5ep-18, -0x1.7031e3b1dc528p-18, -0x1.aa074da6e1effp-18, -0x1.e1bdcb573e419p-18, -0x1.0baff33eded68p-17, -0x1.2578f3bdd3086p-17, -0x1.3e50f4d7812f5p-17, -0x1.5620edf0077c4p-17, -0x1.6d0ab81bf6418p-17, -0x1.830df5b075f16p-17, -0x1.982e1f4a5bf1bp-17, -0x1.ac6ac23d070c9p-17, -0x1.bfcb976262eabp-17, -0x1.d2685f4edf5a2p-17, -0x1.e4394c55d2beap-17, -0x1.f51a371c45e02p-17, -0x1.02b7a5b0a4163p-16, -0x1.0a5d770bc0e48p-16, -0x1.11a38245985ap-16, -0x1.189c1052e106dp-16, -0x1.1f33faf1cc6f5p-16, -0x1.257eb0c970edbp-16, -0x1.2b77bd6697e51p-16, -0x1.3118ac40abeap-16, -0x1.36704fc578993p-16, -0x1.3b755f1796444p-16, -0x1.402d88c469268p-16, -0x1.449bfdbc2ea5dp-16, -0x1.48bdd0018eb7dp-16, -0x1.4c9cd4a1f4085p-16, -0x1.5038a34e626fbp-16, -0x1.5382e5891e32fp-16, -0x1.56a5d4a0b8a6cp-16, -0x1.597eb4ccf66ebp-16, -0x1.5c1885a0fcb1ep-16, -0x1.5e7c554861a66p-16, -0x1.609e8b8773ac8p-16, -0x1.628bedf3670c7p-16, -0x1.644269ab39cb5p-16, -0x1.65c43aaa894bbp-16, -0x1.67140118f974p-16, -0x1.68313ccfb8ef8p-16, -0x1.691e17255e182p-16, -0x1.69dbced183b9dp-16, -0x1.6a6c13aa7c2d9p-16, -0x1.6ad062061390ep-16, -0x1.6b09b84a0bd84p-16, -0x1.6b1b8ab65dce4p-16, -0x1.6b05db202f718p-16, -0x1.6ac41d6b04bc5p-16, -0x1.6a54edc85051p-16, -0x1.69ccb1e2dbff9p-16, -0x1.692eac68de4bdp-16, -0x1.6863012640d6cp-16, -0x1.676a5e74e1974p-16, -0x1.665a9fbdda652p-16, -0x1.653a77ef5ecb8p-16, -0x1.63f648a8031a2p-16, -0x1.628f5a527b792p-16, -0x1.610c9d747b3d7p-16, -0x1.5f6fcc1c633c4p-16, -0x1.5dba0eab69ddcp-16, -0x1.5bec2c9e44901p-16, -0x1.5a0708cb930dbp-16, -0x1.580bd810a06e6p-16, -0x1.55fc9223ffc64p-16, -0x1.53d57884c592ep-16, -0x1.519cb43128a53p-16, -0x1.4f4cbe09ad907p-16, -0x1.4cec109ad209cp-16, -0x1.4a7e0a579ce9ap-16, -0x1.47ffdc2b3433cp-16, -0x1.456ddbea9a91ep-16, -0x1.42c96e9e9ecd9p-16, -0x1.40163c15b5433p-16, -0x1.3d5906dc8109ap-16, -0x1.3a8f5632ed6a6p-16, -0x1.37bbfdc131801p-16, -0x1.34db09153837fp-16, -0x1.31df400a6518bp-16, -0x1.2ef2b514949e7p-16, -0x1.2beb387af0532p-16, -0x1.28dd9f4db9365p-16, -0x1.25ca797656b5ap-16, -0x1.22ae145b5fd58p-16, -0x1.1f89ec784890dp-16, -0x1.1c5cc9e78d4dep-16, -0x1.191dbf116c743p-16, -0x1.15e5fac180536p-16, -0x1.12aef76e851dap-16, -0x1.0f69005a14443p-16, -0x1.0c1bd625e0d33p-16, -0x1.08d032b0a4979p-16, -0x1.057ed7ec5972ep-16, -0x1.02259739038eep-16, -0x1.fd87ab4028ba8p-17, -0x1.f6d9be8d1b068p-17, -0x1.f0290bcee4d56p-17, -0x1.e9673c70adc62p-17, -0x1.e2a091babcd58p-17, -0x1.dbd8039307b98p-17, -0x1.d50e0ea7903bap-17, -0x1.ce42f2a49928ap-17, -0x1.c77745f2bf0c4p-17, -0x1.c09e253fa5ee7p-17, -0x1.b9e902c5c5f85p-17, -0x1.b31ac11eca91fp-17, -0x1.ac52ef6c9efcdp-17, -0x1.a58df7e352b9p-17, -0x1.9ecafe0dbaad7p-17, -0x1.980936e7535eap-17, -0x1.9148c94e6355ep-17, -0x1.8a9430b450cap-17, -0x1.83eefb8e0e51cp-17, -0x1.7d47153977dbp-17, -0x1.76960a4aca566p-17, -0x1.6fe9401e014b6p-17, -0x1.69510fc9fa2ffp-17, -0x1.62c1978a39131p-17, -0x1.5c31341d644adp-17, -0x1.55b52a968956p-17, -0x1.4f07c208dd1fbp-17, -0x1.48be65488c08fp-17, -0x1.424e5e36eed9ap-17, -0x1.3bee325af1089p-17, -0x1.35951c6ce4129p-17, -0x1.2f464a020da7ep-17, -0x1.28f4332c3852bp-17, -0x1.22b74728c03a2p-17, -0x1.1c86b34ac19ebp-17, -0x1.165fade2fe309p-17, -0x1.103d933ab678ep-17, -0x1.0a2aae5c9fbdfp-17, -0x1.0424c509eff7dp-17, -0x1.fc51831dd9d3fp-18, -0x1.f06f152dad806p-18, -0x1.e4a37ed1d1f5ap-18, -0x1.d8f675c3f35fep-18, -0x1.cd76cd6ddca6p-18, -0x1.c1d5b18d975b4p-18, -0x1.b661ae03a576p-18, -0x1.ab11e327d1092p-18, -0x1.9fdd7589f25dbp-18, -0x1.94c238d115f8p-18, -0x1.89b01a55a66aap-18, -0x1.7ec0f4b2d47efp-18, -0x1.73f56e947d18bp-18, -0x1.69475d4258117p-18, -0x1.5ea6e436c16abp-18, -0x1.541c6a4ad1aa2p-18, -0x1.49a65701d4952p-18, -0x1.3f701619836c9p-18, -0x1.355566e0247b1p-18, -0x1.2b3c2a1b0a897p-18, -0x1.211b088f7e15dp-18, -0x1.1743d37f7b65fp-18, -0x1.0d7bb464dbfa6p-18, -0x1.03dd1b27d9b9ap-18, -0x1.f4517c80da5c2p-19, -0x1.e1c22dd70cc57p-19, -0x1.cf095fa47187bp-19, -0x1.bc8bbc4808e38p-19, -0x1.aa40a226a73dcp-19, -0x1.982bc875a5219p-19, -0x1.8648d083d4a68p-19, -0x1.74c93d5ac3136p-19, -0x1.638a0dcd09b43p-19, -0x1.5190ca3b6f7f5p-19, -0x1.415e1cc26c3bdp-19, -0x1.30643da3c105cp-19, -0x1.1fd812db4e29bp-19, -0x1.0f8548dd02ce1p-19, -0x1.feaa22ab43b6ep-20, -0x1.df14e3d4bb825p-20, -0x1.bfa89b27ecebap-20, -0x1.a0bdcf910af7p-20, -0x1.823cc7a2c5a23p-20, -0x1.64222511ff6a8p-20, -0x1.467dcba1b5c5p-20, -0x1.2918a7987f83bp-20, -0x1.0c415a8702965p-20, -0x1.df966deca0d6cp-21, -0x1.a77d0405601d5p-21, -0x1.6fe5eecf63ae5p-21, -0x1.3910a702ee926p-21, -0x1.030c7f909be1ap-21, -0x1.9f5b1fedf8127p-22, -0x1.3698b514c8227p-22, -0x1.a2c849b070511p-23, -0x1.83d3e32212f8fp-24, -0x1.8370dd3b55c42p-28, 0x1.67a2e4b8ed134p-24, 0x1.80cd3acbeb7f4p-23, 0x1.199ee7708dc5ap-22, 0x1.76e23ae42465ap-22, 0x1.d2f2bdd2e4af1p-22, 0x1.16ae6265ad0d5p-21, 0x1.42f84ef0388dbp-21, 0x1.6ec6e68542b3p-21, 0x1.99c46c43db9f4p-21, 0x1.c346a600818aep-21, 0x1.ee74349527c5bp-21, 0x1.0b0e96b4b2247p-20, 0x1.1ea3315c217b6p-20, }}, 
      {{-0x1.7a25a9ae25cf8p-3, -0x1.46bfaf820c94fp-3, -0x1.f0ccd2992404cp-4, -0x1.2f62724042c5dp-4, -0x1.6ca391dffd994p-6, 0x1.ee3e3d297ca8ep-6, 0x1.4753ba0e9f506p-4, 0x1.fe06b4abf9498p-4, 0x1.4c6b5b8e42f21p-3, 0x1.89f34d7d157a7p-3, 0x1.b6e940c28b72ap-3, 0x1.d394364e65f88p-3, 0x1.e0f26a74d3bcdp-3, 0x1.e07e72e6b60c9p-3, 0x1.d3fdaa3bbcdc5p-3, 0x1.bd588f72a4ee5p-3, 0x1.9e7c9dc74ae6bp-3, 0x1.79466fec6ae5ep-3, 0x1.4f72c5ae4f4cap-3, 0x1.2295094b538c4p-3, 0x1.e8242e0d52583p-4, 0x1.8a3c70a6772cap-4, 0x1.2d7af373fd9a6p-4, 0x1.a7169d9167586p-5, 0x1.f70b2f7abfc99p-6, 0x1.6940d28bcc9dep-7, -0x1.d8469755d4161p-8, -0x1.870030e18b69ep-6, -0x1.3e7a7296e82a9p-5, -0x1.abb6be3773cacp-5, -0x1.059f32556e8b3p-4, -0x1.2eabcfea47ae5p-4, -0x1.513c60b06906p-4, -0x1.6d9e98199ef01p-4, -0x1.842db49ddaccap-4, -0x1.954e8cb79c5c3p-4, -0x1.a16b9e79c6b7p-4, -0x1.a8f2b012314e3p-4, -0x1.ac51b54d3005p-4, -0x1.abf56597f324dp-4, -0x1.a8477f3e4e425p-4, -0x1.a1ad68a9c3387p-4, -0x1.9887a2b86adcbp-4, -0x1.8d31116a792cdp-4, -0x1.7ffe7c46e6d71p-4, -0x1.713e75914fdf3p-4, -0x1.613952a4e79fap-4, -0x1.5031328d55849p-4, -0x1.3e6217318a7ap-4, -0x1.2c023158f0e86p-4, -0x1.19421cf3872b1p-4, -0x1.064d2e6a8c089p-4, -0x1.e69395a3d511fp-5, -0x1.c0b365ca6f1dfp-5, -0x1.9b34bdbd8a6c8p-5, -0x1.764ab36674961p-5, -0x1.522116bb48324p-5, -0x1.2edd138285846p-5, -0x1.0c9dce03c79e5p-5, -0x1.d6f9f37d9adcdp-6, -0x1.971ea6cac8664p-6, -0x1.59ca472c85887p-6, -0x1.1f157e0ab4792p-6, -0x1.ce23aa1dbedddp-7, -0x1.639510c5358a4p-7, -0x1.fd14cdec51b5ep-8, -0x1.3e0a1720db28ep-8, -0x1.13f6e227a341p-9, 0x1.f34fe19243457p-12, 0x1.7b637b9ca0d54p-9, 0x1.51b0cead762dcp-8, 0x1.db71e0c15a22ap-8, 0x1.2d9e31bb098dap-7, 0x1.68af4c87c7745p-7, 0x1.9f161c9c7f93dp-7, 0x1.d0febf170b774p-7, 0x1.fe96d7544e2e1p-7, 0x1.1406b0482fb1ep-6, 0x1.26c92547f851cp-6, 0x1.37aae9633393ap-6, 0x1.46c43f275827p-6, 0x1.542d558b5336ap-6, 0x1.5ffe364f491a4p-6, 0x1.6a4e9aa751b5p-6, 0x1.7335dfed5c5bfp-6, 0x1.7acae6d7ba0bep-6, 0x1.81240b64033f4p-6, 0x1.86571e02a0163p-6, 0x1.8a7932b2caa5p-6, 0x1.8d9ec2558a395p-6, 0x1.8fdb857333d88p-6, 0x1.91427d2f48a74p-6, 0x1.91e5db1b7b99dp-6, 0x1.91d7180ecaa38p-6, 0x1.9126dc08ddef8p-6, 0x1.8fe5023d7515ep-6, 0x1.8e209df1aea15p-6, 0x1.8be80089e0da2p-6, 0x1.8948ad4dff149p-6, 0x1.864f60a4ffcf9p-6, 0x1.830822167952fp-6, 0x1.7f7e2c0d7f198p-6, 0x1.7bbc1304c0accp-6, 0x1.77cba9dad511bp-6, 0x1.73b61c5eaf516p-6, 0x1.6f83ef04211adp-6, 0x1.6b3d023cd764cp-6, 0x1.66e896faa8b65p-6, 0x1.628d64c50d2fcp-6, 0x1.5e318619a4a1bp-6, 0x1.59da8d4cef01p-6, 0x1.558d92e8681ffp-6, 0x1.514f342de056dp-6, 0x1.4d2384407d52dp-6, 0x1.490e36fb9977p-6, 0x1.45129852f0b38p-6, 0x1.41338477f7738p-6, 0x1.3d737f929b9dcp-6, 0x1.39d4b18f8272fp-6, 0x1.3658eff8e5c0cp-6, 0x1.3301cbe011a99p-6, 0x1.2fd074e166f2ep-6, 0x1.2cc5e9f59990dp-6, 0x1.29e2ead6934a5p-6, 0x1.2727efe6665b6p-6, 0x1.249546ec6343fp-6, 0x1.222afe01d6545p-6, 0x1.1fe902256fd06p-6, 0x1.1dcf04977593ep-6, 0x1.1bdca9aced28p-6, 0x1.1a1150f315d8ap-6, 0x1.186c48cbc5dfdp-6, 0x1.16eccfcb9fb1bp-6, 0x1.1591eebbe190cp-6, 0x1.145aa86af3a82p-6, 0x1.1345e149893cap-6, 0x1.12526e16f31e8p-6, 0x1.117f117905454p-6, 0x1.10ca810d12b14p-6, 0x1.10335d59082e8p-6, 0x1.0fb84f2700c19p-6, 0x1.0f57dc1e6bd5p-6, 0x1.0f109066f9174p-6, 0x1.0ee0fa35a9ebbp-6, 0x1.0ec795d7e77e7p-6, 0x1.0ec2db0efea5ap-6, 0x1.0ed14c16bdc11p-6, 0x1.0ef16205670adp-6, 0x1.0f2194394973bp-6, 0x1.0f6061e6e6341p-6, 0x1.0fac46bca7137p-6, 0x1.1003c6aebc358p-6, 0x1.10656678bb3a7p-6, 0x1.10cfaffed46dep-6, 0x1.114130d152234p-6, 0x1.11b87be237f91p-6, 0x1.12343378be8e3p-6, 0x1.12b2f4cf6f30ap-6, 0x1.13336be752d72p-6, 0x1.13b4477af1c09p-6, 0x1.1434473238a54p-6, 0x1.14b227569a57ap-6, 0x1.152cb50139639p-6, 0x1.15a2c79ee7b14p-6, 0x1.16133ab1cb0c7p-6, 0x1.167cf52907fc9p-6, 0x1.16dee96b374c6p-6, 0x1.173810d5f0a2ap-6, 0x1.1787709d04f1bp-6, 0x1.17cc1b316d44ep-6, 0x1.180526d1d8abep-6, 0x1.1831aeaaa5577p-6, 0x1.1850eabbc6416p-6, 0x1.18620ee4dc742p-6, 0x1.18645b5097cd9p-6, 0x1.18571c656c621p-6, 0x1.1839a7b87c121p-6, 0x1.180b5aa6babc9p-6, 0x1.17cb9ff01cb7cp-6, 0x1.1779e9c755ec6p-6, 0x1.1715b510d210ap-6, 0x1.169e8647ec78ap-6, 0x1.1613f1da2ef36p-6, 0x1.157589e440434p-6, 0x1.14c2f481191cp-6, 0x1.13fbdafb58122p-6, 0x1.131fefb37abecp-6, 0x1.122ef18957cd7p-6, 0x1.1128a2cbee7d9p-6, 0x1.100cd2bed852cp-6, 0x1.0edb4f1dfedfcp-6, 0x1.0d94019f41913p-6, 0x1.0c36c236dab81p-6, 0x1.0ac385f1e564cp-6, 0x1.093a38e702736p-6, 0x1.079add78050f7p-6, 0x1.05e56f1173015p-6, 0x1.0419f1facbe0bp-6, 0x1.023880a38cc0bp-6, 0x1.0041262160367p-6, 0x1.fc6802169343bp-7, 0x1.f8226402b6c1bp-7, 0x1.f3b1bf1637029p-7, 0x1.ef1667643a2c8p-7, 0x1.ea50c3de994cep-7, 0x1.e5613f567405ap-7, 0x1.e048519419003p-7, 0x1.db06782482d46p-7, 0x1.d59c3d6cb0b94p-7, 0x1.d00a2bd860bf3p-7, 0x1.ca50ec51e8c75p-7, 0x1.c47112b80620bp-7, 0x1.be6b441ed7729p-7, 0x1.b8403a1e7135bp-7, 0x1.b1f0ab595097p-7, 0x1.ab7d50126a72bp-7, 0x1.a4e6ea82f82fap-7, 0x1.9e2e412778872p-7, 0x1.97542949cf68bp-7, 0x1.90596c634d8bep-7, 0x1.893ee6da935d1p-7, 0x1.82057278b680ep-7, 0x1.7aadeeebacf12p-7, 0x1.73393f62fd1f6p-7, 0x1.6ba84a1a739d1p-7, 0x1.63fbf69a97888p-7, 0x1.5c35331b95f29p-7, 0x1.5454ee01d09fep-7, 0x1.4c5c1677aac0ap-7, 0x1.444ba543f9f3p-7, 0x1.3c2489766f30fp-7, 0x1.33e7b6e6d57cbp-7, 0x1.2b962e9ff470bp-7, 0x1.2330e3610b73bp-7, 0x1.1ab8cfe90f029p-7, 0x1.122eea046030dp-7, 0x1.099432251967ap-7, 0x1.00e9a0c3a4a14p-7, 0x1.f06059fadc907p-8, 0x1.ded1a0a483ae9p-8, 0x1.cd2913875653bp-8, 0x1.bb689c80c3f14p-8, 0x1.a9922b9d32eeap-8, 0x1.97a7b3289847bp-8, 0x1.85ab121d895a6p-8, 0x1.739e472ab3719p-8, 0x1.61832708cd283p-8, 0x1.4f5b98d80402bp-8, 0x1.3d297d6b9d272p-8, 0x1.2aeeacba1a1a3p-8, 0x1.18ad0a9180d4p-8, 0x1.06665bfe00314p-8, 0x1.e838d89c81057p-9, 0x1.c3a228741f74dp-9, 0x1.9f0c1ecbbcb7dp-9, 0x1.7a7a3d5629435p-9, 0x1.55eff7737f985p-9, 0x1.3170b53f4bfecp-9, 0x1.0cffda541d631p-9, 0x1.d1415d27dd817p-10, 0x1.88ad087ebe62p-10, 0x1.4048f74216ab7p-10, 0x1.f0374cac8c1a7p-11, 0x1.6056a8cefff02p-11, 0x1.a1f82e9355152p-12, 0x1.08cf02c483a16p-13, -0x1.2fda40f4f0d1ep-13, -0x1.b2ee8504ef63p-12, -0x1.6642d9d7d187p-11, -0x1.f24e3b8de35f8p-11, -0x1.3ec74014785c8p-10, -0x1.83fc879f09b9ap-10, -0x1.c8c19b216d00ep-10, -0x1.0688ba524cea9p-9, -0x1.287380f57ebb4p-9, -0x1.4a1eae3dde864p-9, -0x1.6b87f23357358p-9, -0x1.8cacedbbaa2c7p-9, -0x1.ad8b5ed0289f5p-9, -0x1.ce21177ab0466p-9, -0x1.ee6bf3e8fb50fp-9, -0x1.0734f1f047967p-8, -0x1.170c6f5d68a2ep-8, -0x1.26bb7c2514cbfp-8, -0x1.364123ec214ep-8, -0x1.459c7b1c7bb6ap-8, -0x1.54cc9fd1a8e8dp-8, -0x1.63d0b804fbddbp-8, -0x1.72a7f08d16e0dp-8, -0x1.81517f79a1077p-8, -0x1.8fcca0ed4a55dp-8, -0x1.9e189a0cb4ccep-8, -0x1.ac34b55acec98p-8, -0x1.ba20465b120bep-8, -0x1.c7daa8480d26p-8, -0x1.d5633ea72c408p-8, -0x1.e2b97427f23c7p-8, -0x1.efdcba280a3f6p-8, -0x1.fccc8909d6415p-8, -0x1.04c4309448087p-7, -0x1.0b07e59e46174p-7, -0x1.11312b50c3222p-7, -0x1.173fcc04c059cp-7, -0x1.1d33963d02e13p-7, -0x1.230c5d074559p-7, -0x1.28c9f4a2105p-7, -0x1.2e6c35d879419p-7, -0x1.33f2fe13ec922p-7, -0x1.395e2cc4831ebp-7, -0x1.3eada32c0198fp-7, -0x1.43e148f6abb2fp-7, -0x1.48f907a708abep-7, -0x1.4df4c94cb1b45p-7, -0x1.52d48028001fdp-7, -0x1.57981bcb50bcdp-7, -0x1.5c3f956813ed7p-7, -0x1.60cae51717cfdp-7, -0x1.653a0488ee514p-7, -0x1.698cf2290551cp-7, -0x1.6dc3b052a8bafp-7, -0x1.71de426fcaef6p-7, -0x1.75dcaeed4a7fcp-7, -0x1.79beffdcd2522p-7, -0x1.7d8541290763bp-7, -0x1.812f8107e4ff6p-7, -0x1.84bdd027b0d83p-7, -0x1.883041981822ep-7, -0x1.8b86eb2ff4e87p-7, -0x1.8ec1e7a6b3bcp-7, -0x1.91e14f3c5effep-7, -0x1.94e53e06f7931p-7, -0x1.97cdd5ca0ad77p-7, -0x1.9a9b3564c999ep-7, -0x1.9d4d80d7ff078p-7, -0x1.9fe4dd40828c8p-7, -0x1.a2616fc9c6fap-7, -0x1.a4c3633eaab02p-7, -0x1.a70ae2429483cp-7, -0x1.a93818d1d494ap-7, -0x1.ab4b3751dfbcbp-7, -0x1.ad446e1d50ad8p-7, -0x1.af23eed89f676p-7, -0x1.b0e9ec77c969bp-7, -0x1.b2969b76e22dep-7, -0x1.b42a325bb6762p-7, -0x1.b5a4e9f26fa57p-7, -0x1.b706fc7a5f38ap-7, -0x1.b850a471f8f79p-7, -0x1.b9821d6e01049p-7, -0x1.ba9ba37b8be84p-7, -0x1.bb9d74eb54f63p-7, -0x1.bc87d1b25a47ep-7, -0x1.bd5afb95cf4aap-7, -0x1.be173430561e1p-7, -0x1.bebcbe8903fc3p-7, -0x1.bf4bde5ad9478p-7, -0x1.bfc4d8fc843ecp-7, -0x1.c027f3755eb56p-7, -0x1.c075744fb32b2p-7, -0x1.c0ada3e6f21d1p-7, -0x1.c0d0c93ad229fp-7, -0x1.c0df2c8c5ac73p-7, -0x1.c0d916e425f08p-7, -0x1.c0bed22a0ae6ep-7, -0x1.c090a810a27e7p-7, -0x1.c04ee4ae432f5p-7, -0x1.bff9d26c2b04cp-7, -0x1.bf91bdcebd4b6p-7, -0x1.bf16f3a6cd73cp-7, -0x1.be89c0fd124dfp-7, -0x1.bdea732c75bbap-7, -0x1.bd39598a742dbp-7, -0x1.bc76be38f6ffp-7, -0x1.bba2f0fb2929bp-7, -0x1.babe3ce3f7594p-7, -0x1.b9c8f0cdc6defp-7, -0x1.b8c35c5982c2bp-7, -0x1.b7adcbbcd4b55p-7, -0x1.b6888d7261c88p-7, -0x1.b553f05513986p-7, -0x1.b410436aa5cc2p-7, -0x1.b2bdd5bf50bedp-7, -0x1.b15cf627b29adp-7, -0x1.afedf321940e4p-7, -0x1.ae711acec5cd9p-7, -0x1.ace6bae5d97b9p-7, -0x1.ab4f208aef143p-7, -0x1.a9aa98454180dp-7, -0x1.a7f96f250030ep-7, -0x1.a63bf0633efe7p-7, -0x1.a472684a54bd8p-7, -0x1.a29d243554201p-7, -0x1.a0bc6ff414d99p-7, -0x1.9ed097fafc28fp-7, -0x1.9cd9e79ed1ab4p-7, -0x1.9ad8aaae38dcdp-7, -0x1.98cd2c3be4b57p-7, -0x1.96b7b68d152b2p-7, -0x1.949891b3346d6p-7, -0x1.927006b674527p-7, -0x1.903e5fee403p-7, -0x1.8e03e3a15e8d6p-7, -0x1.8bc0d920144cfp-7, -0x1.8975874a6efacp-7, -0x1.87223438698afp-7, -0x1.84c72541ca4dbp-7, -0x1.82649ef830277p-7, -0x1.7ffae4e5ddb17p-7, -0x1.7d8a395a6761ap-7, -0x1.7b12de92ccc08p-7, -0x1.7895185cae602p-7, -0x1.76112bcc3db4ap-7, -0x1.73875ab98977p-7, -0x1.70f7e580e62ddp-7, -0x1.6e630c6ae7accp-7, -0x1.6bc90f4181b6cp-7, -0x1.692a2ffa5f23fp-7, -0x1.6686ab35b7782p-7, -0x1.63debaa26da29p-7, -0x1.61329807f1e8ap-7, -0x1.5e827d5112341p-7, -0x1.5bcea3e552e9dp-7, -0x1.5917449cfcafdp-7, -0x1.565c984be432fp-7, -0x1.539ed77016dadp-7, -0x1.50de3b0c6bca9p-7, -0x1.4e1afcb6a36cep-7, -0x1.4b55548d9d47cp-7, -0x1.488d7873866a7p-7, -0x1.45c39b7bace0ap-7, -0x1.42f7eefe0fa8ep-7, -0x1.402aa4967c99bp-7, -0x1.3d5bf1b3ce658p-7, -0x1.3a8bf0484be49p-7, -0x1.37baf0a7d569p-7, -0x1.34e9030917353p-7, -0x1.321668ce8962dp-7, -0x1.2f43522e30b2ep-7, -0x1.2c6fedc9153cdp-7, -0x1.299c6c6e367eep-7, -0x1.26c8fbc4ba2b2p-7, -0x1.23f5c91e4bce2p-7, -0x1.2122fdab28baap-7, -0x1.1e50ba91412a9p-7, -0x1.1b7f20345e5ap-7, -0x1.18ae4c7b474d5p-7, -0x1.15de5c642c19cp-7, -0x1.130f6df8eff6ep-7, -0x1.1041a1d432f94p-7, -0x1.0d751d8ce9715p-7, -0x1.0aaa0b00679cap-7, -0x1.07e093df5f3eap-7, -0x1.0518e8ca6bd7ap-7, -0x1.02533d3cdc735p-7, -0x1.ff1f7b2c4cfdbp-8, -0x1.f99d26b424aa2p-8, -0x1.f41fc22e24f7ep-8, -0x1.eea7806d036f1p-8, -0x1.e93480b1c6813p-8, -0x1.e3c6dc1816184p-8, -0x1.de5ea14221bbp-8, -0x1.d8fbe00d13132p-8, -0x1.d39eae70d4adbp-8, -0x1.ce472b22347b3p-8, -0x1.c8f57d4cb10a7p-8, -0x1.c3a9d52c7663p-8, -0x1.be646d1c165d1p-8, -0x1.b9258a3dc5d2cp-8, -0x1.b3ed821508a1fp-8, -0x1.aebc914fc85bbp-8, -0x1.a99335410d4cap-8, -0x1.a471b975afc29p-8, -0x1.9f583bbce45b5p-8, -0x1.9a46fa30fe309p-8, -0x1.953dfdb994dabp-8, -0x1.903d42e6f982ap-8, -0x1.8b44be7e5b3d4p-8, -0x1.865467a4a709dp-8, -0x1.816c4165e3b36p-8, -0x1.7c8c5c6871ef8p-8, -0x1.77b4ca7615d32p-8, -0x1.72e59731bdff2p-8, -0x1.6e1ed12b89ap-8, -0x1.69608c456ae8bp-8, -0x1.64aadc0ea6412p-8, -0x1.5ffddbf5fbf76p-8, -0x1.5b59bab0584cbp-8, -0x1.56beb27c67841p-8, -0x1.522cfda853dcp-8, -0x1.4da4cc7d1f946p-8, -0x1.4926401cca18ap-8, -0x1.44b16a73b64b4p-8, -0x1.404651ea92e19p-8, -0x1.3be4f98c19aa7p-8, -0x1.378d673c33d86p-8, -0x1.333fa4fd76334p-8, -0x1.2efbbdaf6ab8ep-8, -0x1.2ac1b7930dbf4p-8, -0x1.26918fb8c9f56p-8, -0x1.226b38afd651dp-8, -0x1.1e4e9d5265058p-8, -0x1.1a3ba5d4d2df9p-8, -0x1.16323ddde114p-8, -0x1.1232598b9223p-8, -0x1.0e3bf07573601p-8, -0x1.0a4f027ed51c9p-8, -0x1.066b93676a3fp-8, -0x1.0291cae07aee4p-8, -0x1.fd836de19b38bp-9, -0x1.f5f6dd2864684p-9, -0x1.ee7e0c4398f66p-9, -0x1.e7194444b8009p-9, -0x1.dfc8aed337be9p-9, -0x1.d88c699d32704p-9, -0x1.d164856a33348p-9, -0x1.ca5100f517a44p-9, -0x1.c351cce8b5b9ap-9, -0x1.bc66c2078f6fp-9, -0x1.b58fad2e239c1p-9, -0x1.aecc4f5a3dc4fp-9, -0x1.a81c7af7f59b7p-9, -0x1.a17fe69f78483p-9, -0x1.9af628ed5d862p-9, -0x1.947f0febbf938p-9, -0x1.8e1a124f03b53p-9, -0x1.87c739a19c2ep-9, -0x1.81868e2994505p-9, -0x1.7b584e3cb31fep-9, -0x1.753cb6711878p-9, -0x1.6f33e2700cf8ap-9, -0x1.693dc63ff50ccp-9, -0x1.635a41dd88f38p-9, -0x1.5d893ce1a3ea5p-9, -0x1.57cab520d65abp-9, -0x1.521eb8d0e26bbp-9, -0x1.4c85553cea529p-9, -0x1.46fe88e4936a2p-9, -0x1.418a3ffde35f2p-9, -0x1.3c28559c8b5bcp-9, -0x1.36d88f98f9771p-9, -0x1.319a94ee3389p-9, -0x1.2c6dec1656e3fp-9, -0x1.275213fb80c7bp-9, -0x1.2246b931bef45p-9, -0x1.1d4bd396c327ap-9, -0x1.186188fd60023p-9, -0x1.13881d2890483p-9, -0x1.0ebfd061c2ca5p-9, -0x1.0a08986f98daep-9, -0x1.056233b1ec794p-9, -0x1.00cc444905e4dp-9, -0x1.f88cbadab80d1p-10, -0x1.efa03d87838fp-10, -0x1.e6d28e5ce84ap-10, -0x1.de23916375d02p-10, -0x1.d59383c1fe17fp-10, -0x1.cd22d2a8e1fc2p-10, -0x1.c4d1cd520d59ap-10, -0x1.bca04ed1fae3dp-10, -0x1.b48df4d3ad748p-10, -0x1.ac99d8adf710cp-10, -0x1.a4c2ea7bc4382p-10, -0x1.9d083759968d4p-10, -0x1.95693af0ed023p-10, -0x1.8de607df6915bp-10, -0x1.867f189668643p-10, -0x1.7f34e3b7f358bp-10, -0x1.7807a35ff4c9ap-10, -0x1.70f72265cccf4p-10, -0x1.6a028134c4aa3p-10, -0x1.632acc8701ed2p-10, -0x1.5c6e1744abc62p-10, -0x1.55cc992e7abf4p-10, -0x1.4f45549e92053p-10, -0x1.48d76d1798c59p-10, -0x1.42823621aa9b5p-10, -0x1.3c4569a4fa73ap-10, -0x1.3621298f1a418p-10, -0x1.3015bd93c9a22p-10, -0x1.2a2353de31b66p-10, -0x1.2449d28ad4c8bp-10, -0x1.1e884d2b34d63p-10, -0x1.18ddfc5a91379p-10, -0x1.1349f3d21f69bp-10, -0x1.0dcc498e264ep-10, -0x1.08650be2f63c3p-10, -0x1.031487d84644bp-10, -0x1.fbb56e93f6ce6p-11, -0x1.f16e60a1e3411p-11, -0x1.e752be47e5094p-11, -0x1.dd61e98878166p-11, -0x1.d39c038d4237fp-11, -0x1.ca015b5e204cap-11, -0x1.c091eed20a458p-11, -0x1.b74cc15d75fa1p-11, -0x1.ae311d0c3988dp-11, -0x1.a53d2d7f4e325p-11, -0x1.9c7028a37764fp-11, -0x1.93ca604f7af2bp-11, -0x1.8b4aefc4096fdp-11, -0x1.82f163a0ada14p-11, -0x1.7abd1837a35dep-11, -0x1.72ad515fff554p-11, -0x1.6ac135e9aa826p-11, -0x1.62f7e336efe37p-11, -0x1.5b50e48e6b093p-11, -0x1.53cc2240123b9p-11, -0x1.4c6982bf1b88cp-11, -0x1.452925969ec6ep-11, -0x1.3e0a7945d5df8p-11, -0x1.370c2e5dd6c28p-11, -0x1.302d7874f865ap-11, -0x1.296df9fef8c8bp-11, -0x1.22cdf881ec8d6p-11, -0x1.1c4d3e364f0f2p-11, -0x1.15eb472eb6a0fp-11, -0x1.0fa7a4dfb7724p-11, -0x1.09820cc58e1f4p-11, -0x1.037a259a312cbp-11, -0x1.fb1ef660ce8c7p-12, -0x1.ef831e3a8b4eep-12, -0x1.e41fdf456d939p-12, -0x1.d8f489d16f143p-12, -0x1.ce009d56c700ep-12, -0x1.c34395cb2e648p-12, -0x1.b8bc452d07cfdp-12, -0x1.ae69410f504fep-12, -0x1.a44917b6c56a1p-12, -0x1.9a5b1bf24bedp-12, -0x1.909e62afe504cp-12, -0x1.871268e16b533p-12, -0x1.7db59f419d6acp-12, -0x1.748783df8554ap-12, -0x1.6b870e4cc1522p-12, -0x1.62b2157294219p-12, -0x1.5a0884d1caf49p-12, -0x1.518b638eabbe1p-12, -0x1.493a8410cc23cp-12, -0x1.41144e8bdf62ap-12, -0x1.391779c2320cbp-12, -0x1.31438363d6d65p-12, -0x1.2997f4179ac04p-12, -0x1.22143b928ce02p-12, -0x1.1ab7f6f7a833bp-12, -0x1.1382e4462b194p-12, -0x1.0c74541081d63p-12, -0x1.058b9c8b3fd2ep-12, -0x1.fd8fdc9e7f944p-13, -0x1.f0533c456edebp-13, -0x1.e35aff305d028p-13, -0x1.d6a98410af44fp-13, -0x1.ca3e159e63c49p-13, -0x1.be19cbc73dc93p-13, -0x1.b23d96dfd5fcbp-13, -0x1.a6a46b10a94bp-13, -0x1.9b4c85d2f9122p-13, -0x1.9033f91df6787p-13, -0x1.85525e3d70a83p-13, -0x1.7aabbac1ca9bep-13, -0x1.703e04df04bcfp-13, -0x1.660d4ee00710cp-13, -0x1.5c140aa802be4p-13, -0x1.52542ed429ef5p-13, -0x1.48ca071423105p-13, -0x1.3f74fe6408e4cp-13, -0x1.36550d5a2f3b6p-13, -0x1.2d6921e72f80fp-13, -0x1.24b170402a9dfp-13, -0x1.1c2b705c5994dp-13, -0x1.13d6e1968d488p-13, -0x1.0bb3cb5d22934p-13, -0x1.03c12bbd02c78p-13, -0x1.f7fb85750f073p-14, -0x1.e8d0d672381eep-14, -0x1.da000ef14a94dp-14, -0x1.cb86ef792847dp-14, -0x1.bd643058752fep-14, -0x1.af97139401015p-14, -0x1.a21e4efa167a6p-14, -0x1.94f95b7aed515p-14, -0x1.882aabbec55a2p-14, -0x1.7bb23dda8b1eap-14, -0x1.6f8825ea402f6p-14, -0x1.63a84d3e44128p-14, -0x1.5810e22591db1p-14, -0x1.4cbdd27368af3p-14, -0x1.41b1132f939c2p-14, -0x1.36ecd3c5d8e35p-14, -0x1.2c6dbe7d3152bp-14, -0x1.222c589e49ed1p-14, -0x1.182cc2b34c85cp-14, -0x1.0e708078fdaaap-14, -0x1.04eff50f0fac9p-14, -0x1.f756978af04cbp-15, -0x1.e5483ba217cfbp-15, -0x1.d3ad77f11e67ap-15, -0x1.c2873b6dda2c2p-15, -0x1.b1d9913d774dep-15, -0x1.a19dd87a72575p-15, -0x1.91cf63bf204c3p-15, -0x1.826ba4e574c94p-15, -0x1.736f19e2c104ap-15, -0x1.64d708e9fe092p-15, -0x1.56a2a5cebc682p-15, -0x1.48d1371da346ep-15, -0x1.3b61207dee5b4p-15, -0x1.2e50e31caa28dp-15, -0x1.219e7d4b03236p-15, -0x1.1547de6835c7dp-15, -0x1.0948923a2d5d3p-15, -0x1.fb3c88f7f92cep-16, -0x1.e49b6a2e98dc6p-16, -0x1.ce9f32f5b0713p-16, -0x1.b93fae72ecb6ep-16, -0x1.a49b2016c78efp-16, -0x1.90a19e1926888p-16, -0x1.7cfb4c171c70cp-16, -0x1.69fef1808b764p-16, -0x1.578b1ac0142a7p-16, -0x1.45a912c49349bp-16, -0x1.34447fdd6197dp-16, -0x1.23734de429d21p-16, -0x1.1328ef2c35ebbp-16, -0x1.035c2aa31294dp-16, -0x1.e80ab4b3ea3e2p-17, -0x1.ca48bea70c5b8p-17, -0x1.ad99a74e9b088p-17, -0x1.91bfa3add0944p-17, -0x1.76c55f9a8545ap-17, -0x1.5cbbd1b36454bp-17, -0x1.438b3d2f9e91bp-17, -0x1.2b28ed1b8cfa5p-17, -0x1.13956898e9969p-17, -0x1.f99c94ff8dcdp-18, -0x1.cd951bd345886p-18, -0x1.a3090f40d957dp-18, -0x1.7a0327be1459ap-18, -0x1.527bb4af2828fp-18, -0x1.2c51c478179c4p-18, -0x1.076baa2348b53p-18, -0x1.c7d69cbb8fdb2p-19, -0x1.834c7981166bdp-19, -0x1.418292164b679p-19, -0x1.02228cba352dap-19, -0x1.8aa21baa1aa75p-20, -0x1.15e66f969d30dp-20, -0x1.4b2b305a96128p-21, -0x1.cb15cea77d093p-23, 0x1.766cd56695aa3p-23, 0x1.251a190520c63p-21, 0x1.e42e9b2f4a9abp-21, 0x1.4db1c7d908e94p-20, 0x1.a56ab76ff8b6bp-20, 0x1.f991f1dd11154p-20, 0x1.250660ece174ap-19, 0x1.4b5ef59def3ffp-19, 0x1.7006f73cebc8ep-19, 0x1.9319bdbe734acp-19, 0x1.b461ae8b911eep-19, 0x1.d3f3f9fcaca84p-19, 0x1.f2311b908254dp-19, 0x1.07712b74c2dfbp-18, 0x1.14bc480e69d58p-18, 0x1.21d483ad93de6p-18, 0x1.2df8c30043e88p-18, 0x1.3967e4a50f9cp-18, 0x1.444a1a4182744p-18, 0x1.4e6ca107ef4c6p-18, 0x1.5808bd3888c02p-18, 0x1.6108981950cd9p-18, 0x1.6955b65a8c2f4p-18, 0x1.7141febea0a73p-18, 0x1.78cf2b4b9cbbp-18, 0x1.7f7034ac9232dp-18, 0x1.85c338453a38fp-18, 0x1.8b289a9bdf5e4p-18, 0x1.907ef35883259p-18, 0x1.9559b8da77645p-18, 0x1.99bca95d66d9bp-18, 0x1.9da4e1a1499dep-18, 0x1.a1238d021ccfep-18, 0x1.a441bdb7351eep-18, 0x1.a6f45851dc114p-18, 0x1.a946eba6d5224p-18, 0x1.ab3b6ce6fbf68p-18, 0x1.accdf21c11b92p-18, 0x1.ae0ac31c3e732p-18, 0x1.aef3852f6b99dp-18, 0x1.af8ad2412bdb8p-18, 0x1.afd3066e396d5p-18, 0x1.afce8d3f359cfp-18, 0x1.af806a596742fp-18, 0x1.aeebe4a748a5bp-18, 0x1.ae13bc5459b12p-18, 0x1.acfa21c2da2bdp-18, 0x1.aba1a6e5060d9p-18, 0x1.aa0ebcf34f328p-18, 0x1.a84e79ed8a721p-18, 0x1.a637d6b545862p-18, 0x1.a400c6351826ap-18, 0x1.a199297063773p-18, 0x1.9f004a90b5be3p-18, 0x1.9c0299f186c69p-18, 0x1.99195b8d84d4bp-18, 0x1.95f4f74105962p-18, 0x1.929dafb23e382p-18, 0x1.8f24abaf371a5p-18, 0x1.8b9281febf7dp-18, 0x1.87dada9463f3bp-18, 0x1.83f590e2d5748p-18, 0x1.7fe7b1865265ep-18, 0x1.7bcf2c29ec86cp-18, 0x1.77939a06f1c1ap-18, 0x1.733a1618eb05ap-18, 0x1.6ec22eb60375ap-18, 0x1.6a25f34a8248cp-18, 0x1.657cfddc7a7ddp-18, 0x1.60c9ddbbed52cp-18, 0x1.5bf30e1a60c95p-18, 0x1.56ec6f0d4f0a9p-18, 0x1.5233a50574081p-18, 0x1.4d43bce77c528p-18, 0x1.482cb69e07f8ap-18, 0x1.431367a3078d1p-18, 0x1.3dc72b6566bd4p-18, 0x1.388834c026e35p-18, 0x1.3361b11f00996p-18, 0x1.2d81046fa2221p-18, 0x1.28a0f56f65117p-18, 0x1.234bd60175a06p-18, 0x1.1df4234c0a78dp-18, 0x1.1861e85633048p-18, 0x1.130ffcf14327p-18, 0x1.0d9b469f300f8p-18, 0x1.081d38ab9ea3ep-18, 0x1.029c75667983p-18, 0x1.fa52ab8cb4a27p-19, 0x1.ef537d3c124a5p-19, 0x1.e454291de9cb4p-19, 0x1.d954d0fcdf0dcp-19, 0x1.ce4c75c0d9854p-19, 0x1.c33ddc4b81fe7p-19, 0x1.b868f057792c3p-19, 0x1.ad5418042ce0ap-19, 0x1.a296edbe1f096p-19, 0x1.97b15613b8224p-19, 0x1.8cbaa4014ed2bp-19, 0x1.821c54bbe406dp-19, 0x1.774f1ead7ec62p-19, 0x1.6c8907ac6727cp-19, 0x1.61e51af634c96p-19, 0x1.5747ebdbef671p-19, 0x1.4cb24bba8bd4cp-19, 0x1.423ae8d1b62f6p-19, 0x1.37c6d6f3b092cp-19, 0x1.2d551e89d4923p-19, 0x1.230827a3622bdp-19, 0x1.18c78c3a59577p-19, 0x1.0e97d33837d3cp-19, 0x1.047c4d9d238b5p-19, 0x1.f4e73c3ea6795p-20, 0x1.e119993527f5fp-20, 0x1.cd48533f8a657p-20, 0x1.b9c7b356dd67ep-20, 0x1.a61baf9e82ec7p-20, 0x1.92b909650b48ep-20, 0x1.80046904cddb7p-20, 0x1.6db6a303cede8p-20, 0x1.5b6ad45ac4cc9p-20, 0x1.47aeef25d5d23p-20, 0x1.34f0b6b725805p-20, 0x1.23a83ab87d575p-20, 0x1.11749370b5f9cp-20, 0x1.00384b4420a4cp-20, 0x1.ddc6c6e8929d4p-21, 0x1.b8c022f3e2784p-21, 0x1.98cf7a6c698c7p-21, 0x1.75dd136cdcbd6p-21, 0x1.544e8ee105ca5p-21, 0x1.335fbf95ccd0cp-21, 0x1.131c3f1d727b8p-21, 0x1.e6390fca12e86p-22, 0x1.a6bbbab8fcc7dp-22, 0x1.6801a18eac9b3p-22, 0x1.2a3580823e10dp-22, 0x1.dbf7b34c2d723p-23, 0x1.5f75f9f2fbdd9p-23, 0x1.cfc9f88f08f71p-24, 0x1.d51e5e16e2fbep-25, 0x1.3721906f9a328p-32, -0x1.c3e50f12a235dp-25, -0x1.bc0849070424dp-24, -0x1.4c071d26230dbp-23, -0x1.b9a508690334dp-23, -0x1.12a633033d24p-22, -0x1.47763006a949bp-22, -0x1.7b36b8ac22e34p-22, -0x1.ae680f9ff7b5p-22, -0x1.e075b0d4bf239p-22, -0x1.08f64a1a2c696p-21, -0x1.21ddf869ebf9fp-21, -0x1.38881867716c1p-21, -0x1.4ff2dbac45db7p-21, -0x1.66eab57e4598p-21, -0x1.7d7a14946744cp-21, -0x1.937b8056ebc88p-21, -0x1.a95e6f212c1acp-21, -0x1.bf4e9a6a8985p-21, -0x1.d3f1f4b8f6c59p-21, -0x1.e7755ff07a7a2p-21, -0x1.fad51ba761637p-21, -0x1.07e05f7dfa2dap-20, -0x1.11ff6067372d8p-20, -0x1.1b5a4dcccda6ap-20, -0x1.246eed0d275f9p-20, -0x1.2d8099899fb8bp-20, -0x1.363a6bd39adfbp-20, -0x1.4037632462a33p-20, -0x1.47e6046c95ceap-20, -0x1.4f96370f9d23ep-20, -0x1.56d6c8f21fceap-20, -0x1.5fd4ad970aabfp-20, -0x1.67498f2f5f204p-20, -0x1.6fa144a1e32dep-20, -0x1.76dd5da9fdf8p-20, -0x1.7dddf6d99a498p-20, -0x1.85c5ff874a5bep-20, -0x1.8b877673be6a7p-20, -0x1.92586248048f2p-20, -0x1.99253a67dac13p-20, -0x1.9f6be5f06ca89p-20, -0x1.a59e61b92fed9p-20, -0x1.aba9703b67548p-20, -0x1.b1797877df6cp-20, -0x1.b70c2ac7542dp-20, -0x1.bcc667fa357ecp-20, -0x1.c2229a5588229p-20, -0x1.c70a9ec3d7368p-20, -0x1.cc73c6b40bde4p-20, -0x1.d1243b90a13d4p-20, -0x1.d5e6149924796p-20, -0x1.dabbc613a8fabp-20, -0x1.df18076871c89p-20, -0x1.e3769bd0d2b16p-20, -0x1.e79b134197f28p-20, -0x1.eba9ecfa39307p-20, -0x1.efa496511fa84p-20, -0x1.f32485ff05ff1p-20, -0x1.f66201659ee3ep-20, -0x1.f9c170839b885p-20, -0x1.fddd7e8e253f2p-20, -0x1.00734c3870972p-19, -0x1.01fcfb5f5aedcp-19, -0x1.03785ac57be93p-19, -0x1.04cd0d5ef98c8p-19, -0x1.0602be89ce2c8p-19, -0x1.074707679c8a1p-19, -0x1.0882984299a25p-19, -0x1.09d8667bad941p-19, -0x1.0af03bdc9ad57p-19, -0x1.0bf6796c82d8bp-19, -0x1.0ce05b7c8c8c3p-19, -0x1.0d8fa5c3ac1b5p-19, -0x1.0ea999870c333p-19, -0x1.0f5cdcb7a5719p-19, -0x1.1046a45fc9b21p-19, -0x1.10f9f10d70f3ep-19, -0x1.11a7ce666155fp-19, -0x1.124d16f5c5f75p-19, -0x1.12a32fe0440fbp-19, -0x1.131bf9d86a80dp-19, -0x1.1390adc323a85p-19, -0x1.13f7dfe19cf1p-19, -0x1.14502e182f28dp-19, -0x1.14981d7dcb947p-19, -0x1.14dfa9830f834p-19, -0x1.150d94967f48p-19, -0x1.153635dd38adbp-19, -0x1.15558410b36f7p-19, -0x1.156db452311eep-19, -0x1.158adc6b287b9p-19, -0x1.1593cbab53623p-19, -0x1.155497e65c128p-19, -0x1.152f247a1b6f4p-19, -0x1.150c8e7ef2eeep-19, -0x1.15e513d9c66fcp-19, -0x1.14cf2d8cff8a7p-19, -0x1.1476f45974524p-19, -0x1.144e78e13cfd4p-19, -0x1.13d7256339065p-19, -0x1.137611831b2a7p-19, -0x1.131dfdd07ef03p-19, -0x1.12b8f58445a51p-19, -0x1.123f78bd4d141p-19, -0x1.11d074f39e7e1p-19, -0x1.114617623862bp-19, -0x1.109a85520f5cdp-19, -0x1.1040b865e882p-19, -0x1.0f8c5b98d133bp-19, -0x1.0ec2a8d68b00dp-19, }}, 
      {{-0x1.861648acb010bp-3, -0x1.748bf3df90412p-3, -0x1.58da67caa7c18p-3, -0x1.34ef11c4c63c9p-3, -0x1.0af41a2d5045ap-3, -0x1.ba24ea6688f0dp-4, -0x1.5a910ddf7e506p-4, -0x1.f548f33638853p-5, -0x1.3a7962bc1d4cep-5, -0x1.12667974562bep-6, 0x1.b344d5ff57afdp-9, 0x1.60e918f21f6e9p-6, 0x1.352c694fc6b65p-5, 0x1.a8bb6dd472c32p-5, 0x1.058df0ba7b4d1p-4, 0x1.2e5ff880547b6p-4, 0x1.4f39797418648p-4, 0x1.689f956fd1125p-4, 0x1.7b2bfef57d125p-4, 0x1.87842279ed2fbp-4, 0x1.8e5225764c22p-4, 0x1.903f7aaa6c72p-4, 0x1.8df0d17c517f8p-4, 0x1.88031fc58e0b2p-4, 0x1.7f09999349fa4p-4, 0x1.738c674e7753ep-4, 0x1.6607e5e8eca89p-4, 0x1.56ec722e23fe6p-4, 0x1.469e7cfda5a7p-4, 0x1.3576d9d38b3edp-4, 0x1.23c35a1ab680ep-4, 0x1.11c77719aaacdp-4, 0x1.ff7a103c8066ap-5, 0x1.dbaa12fec1d9ap-5, 0x1.b870ec8aa5daep-5, 0x1.96121a8914d6bp-5, 0x1.74c44f8e7c2e3p-5, 0x1.54b293acc9e51p-5, 0x1.35fe12a52d0fap-5, 0x1.18bf06b1ff028p-5, 0x1.fa0c212917212p-6, 0x1.c5bae8fc0eb78p-6, 0x1.949390fba329p-6, 0x1.6695d8a695696p-6, 0x1.3bb9debc1ffdep-6, 0x1.13f159667f9dfp-6, 0x1.de514fabc346p-7, 0x1.9a90175d1d6c6p-7, 0x1.5c6942c8d3b7p-7, 0x1.23a23f58a42f6p-7, 0x1.dff9eb6d1ba77p-8, 0x1.8271e8c3d105p-8, 0x1.2e28ecda2bfa1p-8, 0x1.c535200f1bf99p-9, 0x1.3e85ed6b9d749p-9, 0x1.8e7f37b536c53p-10, 0x1.798a1103735e4p-11, 0x1.7ab9931df1247p-16, -0x1.2fe4c7a75982fp-11, -0x1.1ea57495efba7p-10, -0x1.8fee10a44d45dp-10, -0x1.ed78408f72b4bp-10, -0x1.1c6e2b1e4aecfp-9, -0x1.39cf3679ef142p-9, -0x1.4f974137d64e8p-9, -0x1.5e740c8c1efb9p-9, -0x1.670962e096c44p-9, -0x1.69f144c5cc771p-9, -0x1.67bbdf4f87137p-9, -0x1.60f08958d0e89p-9, -0x1.560d459ffe213p-9, -0x1.47874131c14d2p-9, -0x1.35cbbc860e4c7p-9, -0x1.213fe7f968a6p-9, -0x1.0a4172d309868p-9, -0x1.e24d457cd0297p-10, -0x1.ac7ee0e253f83p-10, -0x1.73a9eeb3387f4p-10, -0x1.3853e451371e4p-10, -0x1.f5ef3bbf61413p-11, -0x1.78099f50fc499p-11, -0x1.ef844f86da5fp-12, -0x1.d7442d311d0a1p-13, 0x1.a4824f1fbc751p-16, 0x1.210e5c7c1b288p-12, 0x1.13d30b5d509dbp-11, 0x1.968f92d93cf75p-11, 0x1.0c2a27a038106p-10, 0x1.4c61809e77697p-10, 0x1.8bc5028fb458ap-10, 0x1.ca311977b34ffp-10, 0x1.03c3918992b41p-9, 0x1.21d67179913bep-9, 0x1.3f4634965408ap-9, 0x1.5c0a02ee648c6p-9, 0x1.781a187dfdc3dp-9, 0x1.9370fdfaf6544p-9, 0x1.ae0a4b0721ebap-9, 0x1.c7e31a5f08601p-9, 0x1.e0f95ed2684cp-9, 0x1.f94c58a5fa511p-9, 0x1.086e0fbb4a765p-8, 0x1.13d4e37db98a3p-8, 0x1.1edb83c302a5ap-8, 0x1.298323ff23891p-8, 0x1.33cd3f059944ep-8, 0x1.3dbb8a9361f0fp-8, 0x1.475006e51ded3p-8, 0x1.508ccc04b2381p-8, 0x1.59742aa59e70ep-8, 0x1.620871f1bbb2fp-8, 0x1.6a4c5718da7b1p-8, 0x1.72427319858acp-8, 0x1.79ed599804db3p-8, 0x1.814fc77d5eaa6p-8, 0x1.886c859ac499fp-8, 0x1.8f464bce1d90fp-8, 0x1.95dfdb63e4bdcp-8, 0x1.9c3bf1fbca169p-8, 0x1.a25d427d7c4a7p-8, 0x1.a8468bf0517e9p-8, 0x1.adfa5c5d75c7p-8, 0x1.b37b4f32d0b9dp-8, 0x1.b8cbf2523e8ffp-8, 0x1.bdeec019a9734p-8, 0x1.c2e62e32bf7ep-8, 0x1.c7b45ee286707p-8, 0x1.cc5bc56141346p-8, 0x1.d0de6350f089fp-8, 0x1.d53e9bcceb3d7p-8, 0x1.d97e3e2976ac5p-8, 0x1.dd9f441d4bbe9p-8, 0x1.e1a3a47dd396cp-8, 0x1.e58d12f758365p-8, 0x1.e95d486517aaap-8, 0x1.ed15e38c4c84dp-8, 0x1.f0b870aaf8ddp-8, 0x1.f44666edcb2dp-8, 0x1.f7c1279188cd2p-8, 0x1.fb29f8c473706p-8, 0x1.fe822a258711bp-8, 0x1.00e562e3b8861p-7, 0x1.0282710ff2c9p-7, 0x1.0418cec65bdbcp-7, 0x1.05a8eba9d52e5p-7, 0x1.073334fb658f7p-7, 0x1.08b81875d67bfp-7, 0x1.0a380216040e3p-7, 0x1.0bb32a896b369p-7, 0x1.0d29ff418a0aap-7, 0x1.0e9cae6a5cea9p-7, 0x1.100b900f496d4p-7, 0x1.1176db99becc9p-7, 0x1.12dec68fdd26p-7, 0x1.1443758f100b3p-7, 0x1.15a511e212aa9p-7, 0x1.1703cab03afe7p-7, 0x1.185fb3ef6138p-7, 0x1.19b8eaa7b5282p-7, 0x1.1b0f7d9062d8ep-7, 0x1.1c6381a41fafdp-7, 0x1.1db4fcf0ad3f8p-7, 0x1.1f03f78cb4441p-7, 0x1.20507579b512dp-7, 0x1.219a7467a970ap-7, 0x1.22e1f01789213p-7, 0x1.2426e1068f56fp-7, 0x1.25693b5454bd3p-7, 0x1.26a8f0a1355eep-7, 0x1.27e5fa72e377ap-7, 0x1.2920389299f18p-7, 0x1.2a57907a490b1p-7, 0x1.2b8bff4588c8bp-7, 0x1.2cbd60e83c7c7p-7, 0x1.2deb9b5067d9p-7, 0x1.2f1699fa74788p-7, 0x1.303e4419b3f1bp-7, 0x1.316260246ce7fp-7, 0x1.3282ed3030f36p-7, 0x1.339face5d1568p-7, 0x1.34b895873909bp-7, 0x1.35cd806622654p-7, 0x1.36de47d4b0fcep-7, 0x1.37eac3f8e0b7ep-7, 0x1.38f2d6830e05p-7, 0x1.39f6598ea525bp-7, 0x1.3af5283f15d8ep-7, 0x1.3bef239a84b5p-7, 0x1.3ce42697ee909p-7, 0x1.3dd40b0b6f35ap-7, 0x1.3ebea0238c23dp-7, 0x1.3fa3e275e1ad5p-7, 0x1.408392e666151p-7, 0x1.415d9a6a3f489p-7, 0x1.4231d3a7a9306p-7, 0x1.43002255ad203p-7, 0x1.43c85fe5625f4p-7, 0x1.448a6b0bd46cbp-7, 0x1.45462c2e65ef5p-7, 0x1.45fb7f176f412p-7, 0x1.46aa478497583p-7, 0x1.47526887f45ffp-7, 0x1.47f3c67334d88p-7, 0x1.488e449bd7bc6p-7, 0x1.4921c9aa8e8ccp-7, 0x1.49ae3ce218889p-7, 0x1.4a3385c186a65p-7, 0x1.4ab18c8ac643ap-7, 0x1.4b283a555ee2dp-7, 0x1.4b9777e3a04e8p-7, 0x1.4bff3dbcad401p-7, 0x1.4c5f690bace9ep-7, 0x1.4cb7ef776e737p-7, 0x1.4d08bfcaa167fp-7, 0x1.4d51caf593a05p-7, 0x1.4d93045792e72p-7, 0x1.4dcc517d3dbd9p-7, 0x1.4dfdbaa62c9c2p-7, 0x1.4e27285b77582p-7, 0x1.4e488de349379p-7, 0x1.4e61e67c27cd3p-7, 0x1.4e732bff31d28p-7, 0x1.4e7c55c00b4dbp-7, 0x1.4e7d5bb8b9105p-7, 0x1.4e763a7586a09p-7, 0x1.4e66f1064260cp-7, 0x1.4e4f7ec2ef295p-7, 0x1.4e2fe1a1dd8bap-7, 0x1.4e08173bdc0fp-7, 0x1.4dd8250642364p-7, 0x1.4da0055ec1934p-7, 0x1.4d5fb9e43dea8p-7, 0x1.4d174e5cc3544p-7, 0x1.4cc6c194eb0a6p-7, 0x1.4c6e1a1a8d0ccp-7, 0x1.4c0d5cc184a37p-7, 0x1.4ba4950be3b5ep-7, 0x1.4b33d186e1c86p-7, 0x1.4abb0e0817172p-7, 0x1.4a3a5212acec1p-7, 0x1.49b1bbebc806dp-7, 0x1.49214be61fc43p-7, 0x1.48890e52f46p-7, 0x1.47e9133617e5p-7, 0x1.4741627d8b61cp-7, 0x1.4692157e22e31p-7, 0x1.45db33f1aa78fp-7, 0x1.451cd05784f5ep-7, 0x1.4456fc78a0a7p-7, 0x1.4389c8689b426p-7, 0x1.42b54c9f6c63ep-7, 0x1.41d9943673c2dp-7, 0x1.40f6b1660e757p-7, 0x1.400cc165faefcp-7, 0x1.3f1bd248e557p-7, 0x1.3e23f931eb697p-7, 0x1.3d254caf3e93ep-7, 0x1.3c1fed06d18b3p-7, 0x1.3b13e13fd527cp-7, 0x1.3a0142bbb2856p-7, 0x1.38e8320e220fp-7, 0x1.37c8b6483df81p-7, 0x1.36a301288f0a3p-7, 0x1.3577222f23c61p-7, 0x1.34452e01ee193p-7, 0x1.330d3f22996bp-7, 0x1.31cf6de090f75p-7, 0x1.308bd26533d1p-7, 0x1.2f428f5f53419p-7, 0x1.2df3bae6f59bfp-7, 0x1.2c9f6ffaabb9cp-7, 0x1.2b45c38ab608ep-7, 0x1.29e6e2a6ddaebp-7, 0x1.2882daff1bca8p-7, 0x1.2719c9725cb3dp-7, 0x1.25abcc3e9f27ap-7, 0x1.2438f8934acbfp-7, 0x1.22c1707cd609ep-7, 0x1.2145516d21c29p-7, 0x1.1fc4b63c93d46p-7, 0x1.1e3fbc7bebf58p-7, 0x1.1cb6803cc00d9p-7, 0x1.1b291f6b6c2d6p-7, 0x1.1997b4f524f94p-7, 0x1.18025dde368a5p-7, 0x1.166936cb50797p-7, 0x1.14cc5c26437fdp-7, 0x1.132bea9081909p-7, 0x1.1187fed232828p-7, 0x1.0fe0b5454a37fp-7, 0x1.0e362abb132a2p-7, 0x1.0c887b5bd9ae7p-7, 0x1.0ad7c4501d924p-7, 0x1.092421749213p-7, 0x1.076daf28a1b91p-7, 0x1.05b4897849feep-7, 0x1.03f8cc5402593p-7, 0x1.023a9389f7987p-7, 0x1.0079fab8ce637p-7, 0x1.fd6e3ab87b868p-8, 0x1.f9e42d57ff373p-8, 0x1.f656030b56adbp-8, 0x1.f2c3f33d79604p-8, 0x1.ef2e37e702dbcp-8, 0x1.eb94f7805f43p-8, 0x1.e7f8769d36c54p-8, 0x1.e458f08f3afb6p-8, 0x1.e0b6809266881p-8, 0x1.dd11535d94de6p-8, 0x1.d969bdb4088dap-8, 0x1.d5bfebb8389cp-8, 0x1.d21410209590cp-8, 0x1.ce6638dc2a3aep-8, 0x1.cab6c81c671a7p-8, 0x1.c705bbea4c239p-8, 0x1.c35375e13c1a4p-8, 0x1.bfa019a05a206p-8, 0x1.bbebc42a2618fp-8, 0x1.b836a69cf4e9fp-8, 0x1.b480f95c73ad5p-8, 0x1.b0cae0dbdbca6p-8, 0x1.ad1486f43da73p-8, 0x1.a95e221f0f4f7p-8, 0x1.a5a7de661b35p-8, 0x1.a1f1e2ae14026p-8, 0x1.9e3c57bbbdb4ap-8, 0x1.9a876751bf1bep-8, 0x1.96d33b543b5a3p-8, 0x1.931ff7072fdb1p-8, 0x1.8f6dc9ff691e9p-8, 0x1.8bbcdcf207b6cp-8, 0x1.880d4ea25139ep-8, 0x1.845f4a0fa4765p-8, 0x1.80b2f0b199ab3p-8, 0x1.7d0864d3bb9dfp-8, 0x1.795fd4d291617p-8, 0x1.75b9501d8c3c2p-8, 0x1.7214fd595d57bp-8, 0x1.6e730c909ddeep-8, 0x1.6ad398d8d2bdap-8, 0x1.6736c832e7b32p-8, 0x1.639cba314e69cp-8, 0x1.600588fdd6e2bp-8, 0x1.5c714eee4e177p-8, 0x1.58e02ab4b4c5cp-8, 0x1.55523daf8de2fp-8, 0x1.51c7a5fe5a2afp-8, 0x1.4e407b7380b9p-8, 0x1.4abce5a51452ep-8, 0x1.473cede70b4d7p-8, 0x1.43c0ab57780e1p-8, 0x1.404836fe270ecp-8, 0x1.3cd3c0b36cb8fp-8, 0x1.39634fc81680dp-8, 0x1.35f6fd8f705bp-8, 0x1.328ee2b75cdbbp-8, 0x1.2f2b12f6f4912p-8, 0x1.2bcba6d1b6eb2p-8, 0x1.2870b390b2173p-8, 0x1.251a48c6aade4p-8, 0x1.21c87d38e96aap-8, 0x1.1e7b640ca7d9cp-8, 0x1.1b330f725d243p-8, 0x1.17ef90c2d9ba4p-8, 0x1.14b0f9ebb275p-8, 0x1.117759def2f25p-8, 0x1.0e42c2527924ep-8, 0x1.0b13424f4ce68p-8, 0x1.07e8e812d7b75p-8, 0x1.04c3bfaea0192p-8, 0x1.01a3d5a46c0dap-8, 0x1.fd12aaa70e376p-9, 0x1.f6e840c7dd5f2p-9, 0x1.f0c8a038d17bbp-9, 0x1.eab3e5a8139e5p-9, 0x1.e4aa24738ebdfp-9, 0x1.deab8fb57aac8p-9, 0x1.d8b81cf365eb9p-9, 0x1.d2cfe18758ea1p-9, 0x1.ccf2f2b4ca88bp-9, 0x1.c72162905acd9p-9, 0x1.c15b418027e85p-9, 0x1.bba09ee0abadep-9, 0x1.b5f188fbecfbp-9, 0x1.b04e0cb761771p-9, 0x1.aab635aedf673p-9, 0x1.a52a0f2c96bbbp-9, 0x1.9fa9a5701b8adp-9, 0x1.9a34f74b1ff96p-9, 0x1.94cc1c451ce5bp-9, 0x1.8f6f1c508908p-9, 0x1.8a1df0fe32c5fp-9, 0x1.84d8a9f8e44a7p-9, 0x1.7f9f4a70012cep-9, 0x1.7a71d6d382ad4p-9, 0x1.75504dfb255ccp-9, 0x1.703ac6dab4a23p-9, 0x1.6b314227d1e7ap-9, 0x1.6633a0cd90b1bp-9, 0x1.6141e600cdc66p-9, 0x1.5c5c3e2afa81dp-9, 0x1.578288c57592ep-9, 0x1.52b4c6f3150cp-9, 0x1.4df2f967ee964p-9, 0x1.493d1dfdf0c45p-9, 0x1.449331c2fbc8p-9, 0x1.3ff53106f603fp-9, 0x1.3b6314a53cdd9p-9, 0x1.36dcd0424535dp-9, 0x1.3262599abfd65p-9, 0x1.2df3b39a3053p-9, 0x1.2990ed0464037p-9, 0x1.2539fe3c5bcc5p-9, 0x1.20eeba1bd6df6p-9, 0x1.1caf247f6b542p-9, 0x1.187b38a31bd9dp-9, 0x1.145302463cb8bp-9, 0x1.103671c9d6c12p-9, 0x1.0c256a73ac993p-9, 0x1.081fdb5fbd6f3p-9, 0x1.0425bbec4b7dbp-9, 0x1.0037047913ae4p-9, 0x1.f8a7580d66046p-10, 0x1.f0f7373a81964p-10, 0x1.e95da4ade729p-10, 0x1.e1da86d56d2b1p-10, 0x1.da6db06e89947p-10, 0x1.d3172049731c6p-10, 0x1.cbd6b53c8106p-10, 0x1.c4ac4643ea07p-10, 0x1.bd97acfeb548fp-10, 0x1.b698d73597ddap-10, 0x1.afafe8f32ecccp-10, 0x1.a8dbce0515fd6p-10, 0x1.a21dde3105bcbp-10, 0x1.9b74890948e15p-10, 0x1.94e0627598a8cp-10, 0x1.8e6159a3da1afp-10, 0x1.87f70bd0ec286p-10, 0x1.81a15a109f8b9p-10, 0x1.7b600ce1eac24p-10, 0x1.75332b859d7bp-10, 0x1.6f1ab79a668f7p-10, 0x1.691658e411bc3p-10, 0x1.6325f2e3ac794p-10, 0x1.5d496456a1902p-10, 0x1.578085a1abfbp-10, 0x1.51cb29a837564p-10, 0x1.4c291bf1a99e7p-10, 0x1.469a467f5f567p-10, 0x1.411e978b6d02bp-10, 0x1.3bb5974c08d42p-10, 0x1.365f335004c45p-10, 0x1.311b8b26eb65ap-10, 0x1.2bea3f3836451p-10, 0x1.26cb2899b117cp-10, 0x1.21be34349334cp-10, 0x1.1cc340d1f5c99p-10, 0x1.17d9f6100fc24p-10, 0x1.130265a7a5093p-10, 0x1.0e3c546a27f62p-10, 0x1.0987906c07849p-10, 0x1.04e3e77807dd2p-10, 0x1.00513a823169cp-10, 0x1.f79ea8897d644p-11, 0x1.eebc022ab16e6p-11, 0x1.e5fa3df4ce2cfp-11, 0x1.dd59086ec5be3p-11, 0x1.d4d8517ff1e2ep-11, 0x1.cc76a88bf4274p-11, 0x1.c4355d62d4ba8p-11, 0x1.bc13f855d5698p-11, 0x1.b410d7d69e00fp-11, 0x1.ac2cafe0439p-11, 0x1.a466f285935ddp-11, 0x1.9cbf422aff4f4p-11, 0x1.9535364cf605fp-11, 0x1.8dc8610cc6f6p-11, 0x1.8678735b6c49ap-11, 0x1.7f4548f7e1d13p-11, 0x1.782e9b0abacacp-11, 0x1.7133eaa0f378fp-11, 0x1.6a54e41a34c35p-11, 0x1.639160d41b6a7p-11, 0x1.5ce90801a8843p-11, 0x1.565b64b0163dp-11, 0x1.4fe828f0354bp-11, 0x1.498f0e97d1644p-11, 0x1.434fd5b9c2acfp-11, 0x1.3d2a35166ad48p-11, 0x1.371de779a5a3dp-11, 0x1.312aabadf0af6p-11, 0x1.2b5027f7b3a16p-11, 0x1.258dfd3a02fe3p-11, 0x1.1fe3d3b012044p-11, 0x1.1a5159204247fp-11, 0x1.14d63eae08947p-11, 0x1.0f7237667f4bbp-11, 0x1.0a24f74adf3c9p-11, 0x1.04ee33cf4579dp-11, 0x1.ff9b46394bad7p-12, 0x1.f585f8443797ep-12, 0x1.eb9c0314daae9p-12, 0x1.e1dd12f4860d2p-12, 0x1.d8485ffca6f5bp-12, 0x1.cedd39b2db206p-12, 0x1.c599f5a8affecp-12, 0x1.bc80bfa44ab9fp-12, 0x1.b38fa13b11824p-12, 0x1.aac5af5167d8cp-12, 0x1.a221ef4848d5ap-12, 0x1.99a5298e0f58dp-12, 0x1.914e7c9759eeep-12, 0x1.891d155963193p-12, 0x1.81104b741de7p-12, 0x1.7927a0ce28a2bp-12, 0x1.71628cf9b98dcp-12, 0x1.69c0a3b9da88cp-12, 0x1.6241a337711e3p-12, 0x1.5ae49578792fdp-12, 0x1.53a97e06867c7p-12, 0x1.4c8fa65fc7798p-12, 0x1.45963d717ac98p-12, 0x1.3ebddaacb7d0fp-12, 0x1.38048976546d3p-12, 0x1.316ac627bd5e5p-12, 0x1.2aefc6a484446p-12, 0x1.2493228154234p-12, 0x1.1e5470e1f0cb2p-12, 0x1.183343d27a742p-12, 0x1.122f28e08d866p-12, 0x1.0c47a93f4bc63p-12, 0x1.067c4bc36a08ep-12, 0x1.00cc9911e7b0ep-12, 0x1.f6703ffbe6eeap-13, 0x1.eb7cf06a0217dp-13, 0x1.e0be84305027bp-13, 0x1.d634467ea3f4fp-13, 0x1.cbdd80f9bc4c6p-13, 0x1.c1b96dee812f4p-13, 0x1.b7c7271ac909ep-13, 0x1.ae058fcf7316bp-13, 0x1.a47377718e76dp-13, 0x1.9b104b1b30d35p-13, 0x1.91dbeb48f10fp-13, 0x1.88d559b3e575bp-13, 0x1.7ffbb146c7518p-13, 0x1.774ef255fb4d7p-13, 0x1.6ecd9f04b3642p-13, 0x1.667702d6ced22p-13, 0x1.5e4a6f99cce1cp-13, 0x1.5646c653bb214p-13, 0x1.4e6bdad589d9ep-13, 0x1.46b8f5cf607f8p-13, 0x1.3f2d6c4a84efbp-13, 0x1.37c86ff8afaa7p-13, 0x1.30898e0ea24fdp-13, 0x1.2970734c9475fp-13, 0x1.227b57efc7654p-13, 0x1.1bab0c1bc007bp-13, 0x1.14fe64b227b23p-13, 0x1.0e74ab63c20d9p-13, 0x1.080d452005fd3p-13, 0x1.01c788274f6c4p-13, 0x1.f7459c5a9ad46p-14, 0x1.eb3cdd2a08b65p-14, 0x1.df73530f31d87p-14, 0x1.d3e9f1047d2e8p-14, 0x1.c89eccaf6aae9p-14, 0x1.bd89708f13e22p-14, 0x1.b2baaf52ce7b7p-14, 0x1.a81f6112aadcbp-14, 0x1.9dbf13814e484p-14, 0x1.9396cf836182ep-14, 0x1.89a5a7d2068f3p-14, 0x1.7feaa754f91edp-14, 0x1.7664e1d7d73fcp-14, 0x1.6d1344d1660adp-14, 0x1.63f40c51cc8a1p-14, 0x1.5b070b353ac97p-14, 0x1.524e773afb328p-14, 0x1.49c43947899aep-14, 0x1.4169cb8d8f7e3p-14, 0x1.393d469996d1ap-14, 0x1.31413fc24706dp-14, 0x1.2971b52fcf592p-14, 0x1.21cdfc249b809p-14, 0x1.1a5520c77fd09p-14, 0x1.1306a5797c687p-14, 0x1.0be1b8aa1e3cdp-14, 0x1.04e57e319e14ap-14, 0x1.fc2259fa6378ep-15, 0x1.eec84e5c05c13p-15, 0x1.e1bed09ed4a7p-15, 0x1.d4ffda9b80405p-15, 0x1.c88c480f9e9b2p-15, 0x1.bc5d94f4e7ef8p-15, 0x1.b07611351727ap-15, 0x1.a4d778100de32p-15, 0x1.997cab25dbf93p-15, 0x1.8e6505067977bp-15, 0x1.838f9cd2cfbd8p-15, 0x1.78fb150a92495p-15, 0x1.6ea4d3a5d3b3ep-15, 0x1.648a0b67ec05ep-15, 0x1.5aab9da969701p-15, 0x1.510b402d28008p-15, 0x1.47a5b9f42715cp-15, 0x1.3e798dac2e0acp-15, 0x1.35857e95281afp-15, 0x1.2cc74e8ed4785p-15, 0x1.243fcc31b7a59p-15, 0x1.1be9f80e1a3bfp-15, 0x1.13c8bd42ce60bp-15, 0x1.0bda5304cd95ap-15, 0x1.041d325621cbbp-15, 0x1.f9217770bc568p-16, 0x1.ea685f31c55ccp-16, 0x1.dc0c4a0881065p-16, 0x1.ce0a8504421p-16, 0x1.c060e7f8bc709p-16, 0x1.b30e42cf2d881p-16, 0x1.a6113d26bfe5cp-16, 0x1.9967802d4cbccp-16, 0x1.8d0fb5369abf6p-16, 0x1.81071fa8daddcp-16, 0x1.754caaff91943p-16, 0x1.69dd6a3dded7ap-16, 0x1.5eb8f5d342c1fp-16, 0x1.53dc023df0f2p-16, 0x1.494dc8c8879dap-16, 0x1.3efe9b30445bdp-16, 0x1.34f105b19a955p-16, 0x1.2b2ccfe05b3f2p-16, 0x1.21a92139153d8p-16, 0x1.18656d2195204p-16, 0x1.0f5fe4003b16bp-16, 0x1.069655f26ae08p-16, 0x1.fc0fac523da5bp-17, 0x1.eb688ad7f7f1bp-17, 0x1.db354d2e8bb7p-17, 0x1.cb719c227e9c5p-17, 0x1.bc19c187c6fb5p-17, 0x1.ad2cf6d79f002p-17, 0x1.9eabda726e2f6p-17, 0x1.908c30972e9a9p-17, 0x1.82cff1802f027p-17, 0x1.7572a062ca168p-17, 0x1.68844f42183fcp-17, 0x1.5be24260a8d1fp-17, 0x1.4f9e882635a15p-17, 0x1.43b0f2d766801p-17, 0x1.381af3e4f84d3p-17, 0x1.2cf5af0984c1fp-17, 0x1.220109f1a0be2p-17, 0x1.17530c0af8408p-17, 0x1.0d1341dc4d3c9p-17, 0x1.03046e922aca1p-17, 0x1.f2aa299716773p-18, 0x1.dfcc056d14b1fp-18, 0x1.cd9a85be33d49p-18, 0x1.bbccebbc831b6p-18, 0x1.aa8b8949328bcp-18, 0x1.99c671b59a70cp-18, 0x1.8985d491dce01p-18, 0x1.79cb25f4234dp-18, 0x1.6a8e261b42477p-18, 0x1.5bdf7db48c8b9p-18, 0x1.4d8fd2ec8816ep-18, 0x1.3faa8372d490dp-18, 0x1.323674058bce2p-18, 0x1.252fefa9d8c8ap-18, 0x1.1896198f67d4cp-18, 0x1.0c66aa208c671p-18, 0x1.009c2bfc9bc96p-18, 0x1.ea5c251601eddp-19, 0x1.d4389332d622bp-19, 0x1.bed58157abb48p-19, 0x1.aa24398981b95p-19, 0x1.960e531cc4dcfp-19, 0x1.82bd44c9528a2p-19, 0x1.7045ab465e8d5p-19, 0x1.5e1f8fb55107p-19, 0x1.4c87aa5521396p-19, 0x1.3bd1ad6461d1dp-19, 0x1.2b9a668079f68p-19, 0x1.1beec8e28e78ap-19, 0x1.0cd00603e0e38p-19, 0x1.fc76ed21ba612p-20, 0x1.e019b8ccfe1b4p-20, 0x1.c4f3a0f14f7fbp-20, 0x1.ab1975be1ea2ap-20, 0x1.91e7a40dd2b15p-20, 0x1.79923c239c983p-20, 0x1.62895761007e8p-20, 0x1.4c04d536621e9p-20, 0x1.3632e25377ee5p-20, 0x1.21a007ef23054p-20, 0x1.0dd9a29cf6016p-20, 0x1.f585023f233bep-21, 0x1.d0d83e051f12ep-21, 0x1.ad94696fa4c35p-21, 0x1.8bb4fc6ee82c7p-21, 0x1.6b54157640e3dp-21, 0x1.4c69ccb8144dep-21, 0x1.2ec7a7b4723acp-21, 0x1.125bd840cc364p-21, 0x1.ee5defd52a28ep-22, 0x1.ba9d7e4851633p-22, 0x1.88e36d1844362p-22, 0x1.58e1c8c360abdp-22, 0x1.2c0098f9c0992p-22, 0x1.01a99b32d8383p-22, 0x1.b1282d36e7467p-23, 0x1.6572aa6661e41p-23, 0x1.204e82fd44f78p-23, 0x1.aa52b0e45bbcap-24, 0x1.25b9468579786p-24, 0x1.4dd8c8f4bf85ep-25, 0x1.74ca1060fa0fdp-27, -0x1.1827351a604a5p-26, -0x1.5f04fbaeb3f86p-25, -0x1.10d9672607863p-24, -0x1.6d313c2d988bcp-24, -0x1.c6336750d65ddp-24, -0x1.0eb03ae690f73p-23, -0x1.316bd58c66dccp-23, -0x1.56bcb4acca057p-23, -0x1.7b0ce7ab88847p-23, -0x1.9998a63a1b087p-23, -0x1.b5bf0bd895bedp-23, -0x1.d0732c1e06bc2p-23, -0x1.e8c92bb61650ap-23, -0x1.fe9b03fbaefbfp-23, -0x1.0960db421abep-22, -0x1.12d8d2132bed2p-22, -0x1.1b30cae00ba98p-22, -0x1.2255297ddap-22, -0x1.28ddbfe89f2a4p-22, -0x1.2f35561ba69bep-22, -0x1.34092c64f0055p-22, -0x1.38909a20124adp-22, -0x1.3b783f660068dp-22, -0x1.3e18c39f286cp-22, -0x1.400ac2faa8343p-22, -0x1.415c3faa7bc29p-22, -0x1.42102e9a2c203p-22, -0x1.420d3bf512bd5p-22, -0x1.420615d83941ep-22, -0x1.41158b004b109p-22, -0x1.3f67a2acbf279p-22, -0x1.3d3a2bd05bd15p-22, -0x1.3aa4babdd1cb9p-22, -0x1.37fe31579fb84p-22, -0x1.34cac57b52511p-22, -0x1.30da4bc7e7a03p-22, -0x1.2cc4088d3d227p-22, -0x1.28d4696a87fd1p-22, -0x1.23f5829543b79p-22, -0x1.1e56d75bf8f5fp-22, -0x1.19aae26c2fd8ap-22, -0x1.140ae22d52f65p-22, -0x1.0c4d121d2cb8bp-22, -0x1.078a8df515b1p-22, -0x1.00b0658ad5a2p-22, -0x1.f27d1bdcf873fp-23, -0x1.e61cefd2ba96fp-23, -0x1.d725233fac271p-23, -0x1.c848f6751b841p-23, -0x1.b96031c96e159p-23, -0x1.a90ccc265ec63p-23, -0x1.9aa9e2d292695p-23, -0x1.8c750815bb8d5p-23, -0x1.7acf2afb553e4p-23, -0x1.6aa14c21b310dp-23, -0x1.5706e150c4aabp-23, -0x1.46e1b6e1869eep-23, -0x1.36951716e5da2p-23, -0x1.25c143484cae1p-23, -0x1.145dfb46c08ecp-23, -0x1.02fd6f0bc7c2ep-23, -0x1.e42772bf277f1p-24, -0x1.c1775ecc99f9cp-24, -0x1.9ec808658e8b9p-24, -0x1.7becd7a7d92ecp-24, -0x1.57efb626af7e4p-24, -0x1.343d8cc9f5268p-24, -0x1.10b5ac836f4cep-24, -0x1.daa5848ca8ec7p-25, -0x1.93f9405d64b52p-25, -0x1.4d4414ec2102p-25, -0x1.06b207c12befap-25, -0x1.812338bc62a75p-26, -0x1.ebcc5b6b3a4bfp-27, -0x1.ad429fc0076ddp-28, 0x1.e93a04238e706p-30, 0x1.4caf17b968d86p-27, 0x1.25b60bdbbb8edp-26, 0x1.b7f53d03a106p-26, 0x1.1ddef024493d3p-25, 0x1.5db71b348c94p-25, 0x1.9cd4baba730dbp-25, 0x1.eade3cbca61f1p-25, 0x1.1344abffbfaafp-24, 0x1.3308e4b2c1016p-24, 0x1.536411d02fbfdp-24, 0x1.72de867c2c039p-24, 0x1.90b75f7fce382p-24, 0x1.ae3d868c24facp-24, 0x1.ccbc5a4a887e1p-24, 0x1.ebdad228c6d88p-24, 0x1.040a7f594dc4cp-23, 0x1.126af781bbf1dp-23, 0x1.20d0fe321630ep-23, 0x1.2f26d5c6877bbp-23, 0x1.3dc317aa7a782p-23, 0x1.4bafeeaf8fb57p-23, 0x1.58d9ddd42acc5p-23, 0x1.667394b52e3dbp-23, 0x1.743adb57b1e8cp-23, 0x1.7f76fb10607d8p-23, 0x1.8b6ae6d1ecabp-23, 0x1.981f7288c8a88p-23, 0x1.a4af8ea660186p-23, 0x1.b0a850ccabe07p-23, 0x1.bcc8bd2d69e9cp-23, 0x1.c76ecfd86df44p-23, 0x1.d5f776f02262cp-23, 0x1.de9464ffa4ce6p-23, 0x1.e92a230083fa5p-23, 0x1.f31b779b7131ep-23, 0x1.ff32725bb59ffp-23, 0x1.03e747f0bba86p-22, 0x1.08cc3a4700021p-22, 0x1.0da57b6b43fd7p-22, 0x1.1264a932aa615p-22, 0x1.16d9d26ff5f11p-22, 0x1.1b52fef89725cp-22, 0x1.1faa4386989cp-22, 0x1.23da04a102ee5p-22, 0x1.2823dbd10f7b2p-22, 0x1.2c496b3d79c45p-22, 0x1.2feaae1cc1c5fp-22, 0x1.33f864b303ca3p-22, 0x1.37256d6cc8673p-22, 0x1.3acdb9bbc36f8p-22, 0x1.3ec0264f8f389p-22, 0x1.41359a06b0746p-22, 0x1.448f15a02a99ep-22, 0x1.47c4fc2643f5ep-22, 0x1.4ab140e47c053p-22, 0x1.4d871df5244aap-22, 0x1.505aed76d1ba8p-22, 0x1.52e51e3c24207p-22, 0x1.55807b317ad84p-22, 0x1.582eac993e67dp-22, 0x1.5a7c79dc177abp-22, 0x1.5cc3791fbe4c6p-22, 0x1.5efb67490ad9bp-22, 0x1.611229f06bdcap-22, 0x1.63172fe4070bep-22, 0x1.64ecfadc02b16p-22, 0x1.66b3990662ecdp-22, 0x1.686b5fb2abf3ap-22, 0x1.6a2a92af0ae11p-22, 0x1.6bae98432196dp-22, 0x1.6ce9ca679a8c7p-22, 0x1.6dce84f63ed43p-22, 0x1.6e5080b98e0b6p-22, 0x1.714513f15df31p-22, 0x1.728b96836763dp-22, 0x1.71edffc750691p-22, 0x1.7371e23ca4465p-22, 0x1.73f78c0fd1456p-22, 0x1.74926377d4e37p-22, 0x1.75ce8e101e0ebp-22, 0x1.75c0601e6da7cp-22, 0x1.769603080d589p-22, 0x1.77036f5937611p-22, 0x1.776450148abf7p-22, 0x1.7766fcf24d68bp-22, 0x1.7767a6cfa14a2p-22, 0x1.7791df9f70f3ep-22, 0x1.779df11502971p-22, 0x1.7763fbbdc178ap-22, 0x1.76fdbb053dee9p-22, 0x1.7783f7c3fb3b9p-22, 0x1.770c735ed9fe9p-22, 0x1.769e5e2039241p-22, 0x1.7676e1022a27cp-22, 0x1.75fb380b42391p-22, 0x1.75153d5fbaaf1p-22, 0x1.7477b96033acdp-22, 0x1.73f538531b596p-22, 0x1.735dad632155ap-22, 0x1.72af5eae9269dp-22, 0x1.71e12083adc6p-22, 0x1.711f514c6db55p-22, 0x1.702c698b9917dp-22, 0x1.6f2ffff89e7edp-22, 0x1.6e6c0b54e130cp-22, 0x1.6d1569b17670ap-22, 0x1.6bd61e540577ap-22, 0x1.6aaf69646dbccp-22, 0x1.697c67af08831p-22, 0x1.681db3ed981e1p-22, 0x1.66d2c2a136b1p-22, 0x1.65b4211bd0de2p-22, 0x1.64339dc35b244p-22, 0x1.6288eace16648p-22, 0x1.60d87974bef33p-22, 0x1.5fb4445ebff23p-22, 0x1.5e619a268d52fp-22, 0x1.5cbc273d3e1ap-22, 0x1.5b02e442b02fp-22, 0x1.595177b0e11acp-22, 0x1.578e53751e9c8p-22, 0x1.56450f81c108fp-22, 0x1.54543332cf7fp-22, 0x1.51e57a08eab69p-22, 0x1.4f7e68b6f4e2ep-22, 0x1.4e59ac644b0bap-22, 0x1.4c1c03e53ac66p-22, 0x1.4af319932b2c5p-22, 0x1.48bd7fea03cd6p-22, 0x1.467ddfb17b18bp-22, 0x1.4559201ef347ap-22, 0x1.4254da829a3a2p-22, 0x1.4071b8a1c5c2dp-22, 0x1.3e920bfd5bdc9p-22, 0x1.3c5da87b22855p-22, 0x1.3a3e7ec799f84p-22, 0x1.3817289cfc2a1p-22, 0x1.35e55c15026cp-22, 0x1.33b564145ab63p-22, 0x1.3184a210c89c8p-22, 0x1.2f2f1792ee61p-22, 0x1.2c7a09dec1564p-22, 0x1.2ac93f2b4556bp-22, 0x1.2841f396e261fp-22, 0x1.25edba7f95d66p-22, 0x1.23d3eb94eb278p-22, 0x1.216326f4c57e5p-22, 0x1.1f1f5e69f060dp-22, 0x1.1cc7e6f3392dbp-22, 0x1.1a6a79aaa055cp-22, 0x1.17f875cf812fap-22, 0x1.158c468dd523bp-22, 0x1.12ff9f629ac24p-22, 0x1.107d819fcac91p-22, 0x1.0e90ebcf01135p-22, 0x1.0c1791aa9e744p-22, 0x1.099bbfdc16932p-22, 0x1.074077bec60dp-22, 0x1.0494ab5be326p-22, 0x1.0209842bafe4bp-22, 0x1.ff14f4c01b02dp-23, 0x1.fa3281f00d46ap-23, 0x1.f5dc03701b147p-23, 0x1.f0c3acaeda8a6p-23, 0x1.eba2b3d950e07p-23, 0x1.e6a69e765843cp-23, 0x1.e103180bd8bd2p-23, 0x1.dc184e4441a6ep-23, 0x1.d79024bf68a23p-23, 0x1.d2a5055909753p-23, 0x1.cdba44305630ap-23, 0x1.c8f45d3e12979p-23, 0x1.c3feea6bf6d2ep-23, 0x1.be809ab06f9a7p-23, 0x1.b9730bf86af33p-23, 0x1.b48ad1c574dcbp-23, 0x1.afa1c179f8ed9p-23, 0x1.aab015d43e01p-23, 0x1.a5b57c9cb083fp-23, 0x1.a0c56e8a05903p-23, 0x1.9bc35083d6861p-23, 0x1.96d25dc129e69p-23, 0x1.91e93e8c70776p-23, 0x1.8d08454407ad5p-23, 0x1.883de8fe637d8p-23, 0x1.83621acf613b8p-23, 0x1.7e431b298a3f4p-23, 0x1.793d4477946cap-23, 0x1.744683e7ddd4cp-23, 0x1.711b5f9e8cd3ep-23, 0x1.6a8fdce8798e5p-23, 0x1.659feee91bca6p-23, 0x1.60e116b0dc64p-23, 0x1.5bff138b2b081p-23, 0x1.572662de296e2p-23, 0x1.527233865d809p-23, 0x1.4dc0a53a2c50ap-23, 0x1.4907fc42ba01ap-23, 0x1.447a469ef151cp-23, 0x1.3fb6133f121f3p-23, 0x1.3a9d56824b09ap-23, 0x1.36eaa0362e0cfp-23, 0x1.31ab97efd8ee2p-23, 0x1.2cdd76497274dp-23, }}, 
      {{-0x1.5a70ad2c1eb0fp-10, -0x1.0bbd0f2516f02p-6, -0x1.93f21bd8194bep-5, -0x1.886ec136e0ba4p-4, -0x1.2d77b2a85f0bfp-3, -0x1.8e60e07412edcp-3, -0x1.d84fbfe995b89p-3, -0x1.00f87ce36b4dap-2, -0x1.039d504c2dd2ep-2, -0x1.e89973e0f7a2fp-3, -0x1.a9cc9bf3ab5fap-3, -0x1.50b88f19da81dp-3, -0x1.c8b404f8fd841p-4, -0x1.afb250cdd951dp-5, 0x1.1b501a2edc638p-7, 0x1.1cf49c3a4fadep-4, 0x1.0557f1c91ad77p-3, 0x1.725dd73a0d2d1p-3, 0x1.d2b305953d286p-3, 0x1.12401289ef078p-2, 0x1.3368063d63226p-2, 0x1.4cb5e392eae9p-2, 0x1.5e5ae8cb7ae37p-2, 0x1.68c3874e5432bp-2, 0x1.6c8755801bf71p-2, 0x1.6a5afe87bc4eep-2, 0x1.63045264d5fbp-2, 0x1.57503f53679dp-2, 0x1.480adfcffcf07p-2, 0x1.35f946520972p-2, 0x1.21d4e45ea9d4dp-2, 0x1.0c4859026455ap-2, 0x1.ebdacbd1c86b9p-3, 0x1.be97c05d7b45dp-3, 0x1.91b2c6711e82p-3, 0x1.65f344ada7dbcp-3, 0x1.3bfe424dd38ebp-3, 0x1.145891f14acaap-3, 0x1.ded2a34bcb0e5p-4, 0x1.9af97a19a39dfp-4, 0x1.5d8e2dcc9a917p-4, 0x1.26cf2d2e8ee3fp-4, 0x1.edad229f237cp-5, 0x1.9b3f2cf83d8afp-5, 0x1.561772c78878bp-5, 0x1.1dced9a1f55c9p-5, 0x1.e3b9665d03a1p-6, 0x1.a33cb3f427d82p-6, 0x1.78bbbb1f04dedp-6, 0x1.62afb42a7ffa9p-6, 0x1.5f80ea371d1cbp-6, 0x1.6d8f3ae80b1f7p-6, 0x1.8b3930fd63da4p-6, 0x1.b6e1ce282ea0dp-6, 0x1.eef53ac679cebp-6, 0x1.18f63bbf579edp-5, 0x1.3f281982123fap-5, 0x1.695d7399375c4p-5, 0x1.96ed2a2e0ac01p-5, 0x1.c7383885d4289p-5, 0x1.f9a9f4c145392p-5, 0x1.16dc115a1097bp-4, 0x1.317171cc8ee0bp-4, 0x1.4c5a44f6f2a1ap-4, 0x1.6760ac092b36cp-4, 0x1.8253971f217e2p-4, 0x1.9d069585ccd09p-4, 0x1.b751a16cce4a2p-4, 0x1.d110e8bf739fbp-4, 0x1.ea2493e61f93fp-4, 0x1.0138467160a68p-3, 0x1.0cee230e2a5cfp-3, 0x1.1829410ebf6c4p-3, 0x1.22e08e64b01dfp-3, 0x1.2d0c6af666377p-3, 0x1.36a68f1522b89p-3, 0x1.3fa9f1c771317p-3, 0x1.4812b1d10aef5p-3, 0x1.4fddfda5c1bccp-3, 0x1.5709fe6c78ad5p-3, 0x1.5d95c1c378957p-3, 0x1.638126ddd019p-3, 0x1.68ccca35590a3p-3, 0x1.6d79f4e6ef1acp-3, 0x1.718a89b89a277p-3, 0x1.7500f69cbdc7fp-3, 0x1.77e0239aeb336p-3, 0x1.7a2b656d066eap-3, 0x1.7be66f636e31cp-3, 0x1.7d1546213ed41p-3, 0x1.7dbc34162b97dp-3, 0x1.7ddfbdce8d46p-3, 0x1.7d8497b766039p-3, 0x1.7caf9c0fb732cp-3, 0x1.7b65c2315963dp-3, 0x1.79ac15cb39eeap-3, 0x1.7787afe0967b6p-3, 0x1.74fdaf3acbd24p-3, 0x1.721332a22df85p-3, 0x1.6ecd52bfe41bap-3, 0x1.6b311d1e9eae6p-3, 0x1.67438ff8c0dd8p-3, 0x1.630995a07bdfdp-3, 0x1.5e88015ff2b5fp-3, 0x1.59c38c676b84cp-3, 0x1.54c0d2b8615f1p-3, 0x1.4f8451ae131f3p-3, 0x1.4a12657b619e5p-3, 0x1.446f47b45da49p-3, 0x1.3e9f0edc7fa59p-3, 0x1.38a5ac49ff788p-3, 0x1.3286ecc043431p-3, 0x1.2c467743c5853p-3, 0x1.25e7cccf8e5edp-3, 0x1.1f6e491c0546ap-3, 0x1.18dd2228fb2cp-3, 0x1.1237686849237p-3, 0x1.0b8008300506ap-3, 0x1.04b9c91081e78p-3, 0x1.fbce9e3d9e16dp-4, 0x1.ee16383c09fb8p-4, 0x1.e04f1e4cbb58ap-4, 0x1.d27dcd0ccc559p-4, 0x1.c4a6817f1b004p-4, 0x1.b6cd3881e2a3ap-4, 0x1.a8f5b3417f699p-4, 0x1.9b23797fed9b9p-4, 0x1.8d59d84468f0ap-4, 0x1.7f9be710de52p-4, 0x1.71ec8acd1f09cp-4, 0x1.644e735514498p-4, 0x1.56c4203327884p-4, 0x1.494fe53d5cb04p-4, 0x1.3bf3e86fc1e43p-4, 0x1.2eb2232d99fc4p-4, 0x1.218c6966e8dbap-4, 0x1.148468c3e5936p-4, 0x1.079ba71e0c4f5p-4, 0x1.f5a710236d0aep-5, 0x1.dc5aa1eff5319p-5, 0x1.c3544b0c0c13cp-5, 0x1.aa9612f05a51ap-5, 0x1.9221cdde73179p-5, 0x1.79f91dce82361p-5, 0x1.621d6bccbf9b5p-5, 0x1.4a8ff10072354p-5, 0x1.3351bf0ca4aebp-5, 0x1.1c63bf446c57ap-5, 0x1.05c6ac5d20ef4p-5, 0x1.def63cb8588ep-6, 0x1.b3031e1005797p-6, 0x1.87b4b26612f8bp-6, 0x1.5d0b679ec0643p-6, 0x1.3307763172ceep-6, 0x1.09a8ed1271cbbp-6, 0x1.c1df592c660b7p-7, 0x1.71b6c13160cd9p-7, 0x1.22d71518fcbcap-7, 0x1.aa7e48c2c1168p-8, 0x1.11db00a3e179fp-8, 0x1.ef036724fa883p-10, -0x1.7d4244b264aefp-12, -0x1.51d06c47197fp-9, -0x1.377fdb572b5acp-8, -0x1.c39ff3a9c31e6p-8, -0x1.26a6e0fab0e34p-7, -0x1.6a476059bf285p-7, -0x1.acb43ff5e9408p-7, -0x1.edf05dcff69ccp-7, -0x1.16ff5b6fb2ad8p-6, -0x1.367131f4c70a7p-6, -0x1.554f403d784b8p-6, -0x1.739b1301b44f6p-6, -0x1.91563dd3a8a6ep-6, -0x1.ae825cfaa7d88p-6, -0x1.cb210ff8f7dbep-6, -0x1.e733f314f1687p-6, -0x1.015e4fb018c14p-5, -0x1.0ede56dd62251p-5, -0x1.1c1add1aace3fp-5, -0x1.2914b128306bep-5, -0x1.35cc9c8bf7873p-5, -0x1.424368796687p-5, -0x1.4e79da11846b9p-5, -0x1.5a70b6fa879ffp-5, -0x1.6628c4e45b475p-5, -0x1.71a2c41eb5a93p-5, -0x1.7cdf7299f7122p-5, -0x1.87df89df0ea96p-5, -0x1.92a3c3af306bcp-5, -0x1.9d2cd6affe8bp-5, -0x1.a77b7799712ddp-5, -0x1.b1905660a2571p-5, -0x1.bb6c20cf40f3dp-5, -0x1.c50f7f8f97548p-5, -0x1.ce7b1b9fecf5p-5, -0x1.d7af9b736e856p-5, -0x1.e0ada16b21ee4p-5, -0x1.e975cdacd8bbcp-5, -0x1.f208bb2dbc5afp-5, -0x1.fa6703fd147d6p-5, -0x1.0148a0019acb9p-4, -0x1.054402901ab46p-4, -0x1.0925f305a4809p-4, -0x1.0ceeb9711d9eap-4, -0x1.109e9c11fe893p-4, -0x1.1435e07570c1fp-4, -0x1.17b4cb464479p-4, -0x1.1b1ba06ef20b4p-4, -0x1.1e6aa281f2848p-4, -0x1.21a21308a2389p-4, -0x1.24c23238baeadp-4, -0x1.27cb3f8a2aafap-4, -0x1.2abd79ac144bcp-4, -0x1.2d991ed64e4dbp-4, -0x1.305e6c6fe0004p-4, -0x1.330d9f12f3355p-4, -0x1.35a6f1d987445p-4, -0x1.382a9ff9d6368p-4, -0x1.3a98e38a4f6a2p-4, -0x1.3cf1f69332556p-4, -0x1.3f361248dbbd9p-4, -0x1.41656f85a926ap-4, -0x1.438046956e8b7p-4, -0x1.4586cedefeff4p-4, -0x1.47793fa379473p-4, -0x1.4957cf8d5ce6cp-4, -0x1.4b22b51fbf8ecp-4, -0x1.4cda26b829561p-4, -0x1.4e7e5a25a2a43p-4, -0x1.500f84f242b14p-4, -0x1.518ddc2e3777ap-4, -0x1.52f9947c36f19p-4, -0x1.5452e298b3e66p-4, -0x1.5599fb03b82dp-4, -0x1.56cf1215d995fp-4, -0x1.57f25beaadb63p-4, -0x1.59040c3d5d7bfp-4, -0x1.5a0456f22eb61p-4, -0x1.5af36f95a1c1ap-4, -0x1.5bd189323b302p-4, -0x1.5c9ed73ce85edp-4, -0x1.5d5b8d01ad291p-4, -0x1.5e07ddab2af46p-4, -0x1.5ea3fc44f3d56p-4, -0x1.5f301bb8d91fap-4, -0x1.5fac6edda7295p-4, -0x1.6019286822484p-4, -0x1.60767af702041p-4, -0x1.60c4993b3a27ap-4, -0x1.6103b5ca5d3c9p-4, -0x1.6134036217e53p-4, -0x1.6155b489abb04p-4, -0x1.6168fb8bad815p-4, -0x1.616e0aed09fffp-4, -0x1.616514f78e63ep-4, -0x1.614e4befc1de8p-4, -0x1.6129e206178bap-4, -0x1.60f809a3a5d4ap-4, -0x1.60b8f4fc68125p-4, -0x1.606cd62685bap-4, -0x1.6013df6a1fd1bp-4, -0x1.5fae4286e751bp-4, -0x1.5f3c318a478adp-4, -0x1.5ebdde6a88ddcp-4, -0x1.5e337af9438dcp-4, -0x1.5d9d390ad3127p-4, -0x1.5cfb4a67f872ep-4, -0x1.5c4de09d96661p-4, -0x1.5b952d548cef1p-4, -0x1.5ad1620e3e5d6p-4, -0x1.5a02b047746fep-4, -0x1.5929490596decp-4, -0x1.58455db221c3cp-4, -0x1.57571f5d38365p-4, -0x1.565ebef41e264p-4, -0x1.555c6d7ceddb6p-4, -0x1.54505ba03f939p-4, -0x1.533ab9f54832cp-4, -0x1.521bb8fd7389bp-4, -0x1.50f3890b9be3ep-4, -0x1.4fc25a560343fp-4, -0x1.4e885cd1f2432p-4, -0x1.4d45c05de1edbp-4, -0x1.4bfab4aacdfd3p-4, -0x1.4aa7693dfef22p-4, -0x1.494c0d65f394p-4, -0x1.47e8d03ef70bbp-4, -0x1.467de0b626c5p-4, -0x1.450b6d8459171p-4, -0x1.4391a521ccbfdp-4, -0x1.4210b5cc00c0ap-4, -0x1.4088cd8ffef9cp-4, -0x1.3efa1a3e47a26p-4, -0x1.3d64c960b876ap-4, -0x1.3bc9083f56b79p-4, -0x1.3a2703e7237b1p-4, -0x1.387ee91eb412p-4, -0x1.36d0e46687b53p-4, -0x1.351d21f35114fp-4, -0x1.3363cdabe3106p-4, -0x1.31a51333ada0dp-4, -0x1.2fe11dd8cdc34p-4, -0x1.2e1818910a0d4p-4, -0x1.2c4a2e330aa29p-4, -0x1.2a77890116f48p-4, -0x1.28a052f1cc943p-4, -0x1.26c4b5e49e92p-4, -0x1.24e4db4596181p-4, -0x1.2300ebdb974cep-4, -0x1.211910626ef5ep-4, -0x1.1f2d711f35fbdp-4, -0x1.1d3e3627bd26bp-4, -0x1.1b4b86cec62d1p-4, -0x1.19558a8589091p-4, -0x1.175c67d79390bp-4, -0x1.15604537d641ap-4, -0x1.136148b981e12p-4, -0x1.115f97f2ee99bp-4, -0x1.0f5b580f8e014p-4, -0x1.0d54ade0c6a33p-4, -0x1.0b4bbdc71fb37p-4, -0x1.0940abb003e74p-4, -0x1.07339b248d0e3p-4, -0x1.0524af403e014p-4, -0x1.03140aae22c18p-4, -0x1.0101cfadefca3p-4, -0x1.fddc401d97bffp-5, -0x1.f9b23a7963954p-5, -0x1.f585d00cd138ep-5, -0x1.f15741c0572dcp-5, -0x1.ed26cfb629cd8p-5, -0x1.e8f4b8f27a6a3p-5, -0x1.e4c13bb056b5dp-5, -0x1.e08c953c46423p-5, -0x1.dc5701c0d5799p-5, -0x1.d820bd1a96916p-5, -0x1.d3ea01c733024p-5, -0x1.cfb30926e9f01p-5, -0x1.cb7c0c0e680fdp-5, -0x1.c74542160183fp-5, -0x1.c30ee1e646976p-5, -0x1.bed92139319fep-5, -0x1.baa434d7d3abbp-5, -0x1.b67050991c11fp-5, -0x1.b23da76a5de0dp-5, -0x1.ae0c6b644efbbp-5, -0x1.a9dccdd418dd7p-5, -0x1.a5aefede1042cp-5, -0x1.a1832e23ae83dp-5, -0x1.9d598a1701d72p-5, -0x1.9932401590703p-5, -0x1.950d7c07b224dp-5, -0x1.90eb695355658p-5, -0x1.8ccc320ae3fa6p-5, -0x1.88afff4be6445p-5, -0x1.8496f97603521p-5, -0x1.8081480c96ecfp-5, -0x1.7c6f11fafc023p-5, -0x1.78607da61737bp-5, -0x1.7455b08945accp-5, -0x1.704ecf59cd445p-5, -0x1.6c4bfdcbeea46p-5, -0x1.684d5e64d2002p-5, -0x1.6453125e26edfp-5, -0x1.605d398667fadp-5, -0x1.5c6bf272718a1p-5, -0x1.587f5a9f95182p-5, -0x1.54978ec75f28ap-5, -0x1.50b4ab27d488ap-5, -0x1.4cd6cbba6f92fp-5, -0x1.48fe0be84594ap-5, -0x1.452a87df29ee9p-5, -0x1.415c5acd41d0ap-5, -0x1.3d939f08069b2p-5, -0x1.39d06e068567ap-5, -0x1.3612df6cbfc7p-5, -0x1.325b095914a6cp-5, -0x1.2ea8ffde9ff4dp-5, -0x1.2afcd5641a0bbp-5, -0x1.27569b18b87c8p-5, -0x1.23b661883075dp-5, -0x1.201c39393aa9p-5, -0x1.1c8833307e841p-5, -0x1.18fa613671938p-5, -0x1.1572d5cb1e362p-5, -0x1.11f1a3c253509p-5, -0x1.0e76dd95528e3p-5, -0x1.0b0294bf770cdp-5, -0x1.0794d882d9697p-5, -0x1.042db5de9945bp-5, -0x1.00cd375c26996p-5, -0x1.fae6c9a40931p-6, -0x1.f44088d7d06dp-6, -0x1.eda7b6daa41bp-6, -0x1.e71c5e5982653p-6, -0x1.e09e8bbd96505p-6, -0x1.da2e4ed0feccap-6, -0x1.d3cbbb33ba0e4p-6, -0x1.cd76e69ae18a4p-6, -0x1.c72fe7242fde6p-6, -0x1.c0f6d31b8c32ep-6, -0x1.bacbbd448268bp-6, -0x1.b4aeb3b88b253p-6, -0x1.ae9fbf0f82fc5p-6, -0x1.a89ee26aa930bp-6, -0x1.a2ac1c7a16731p-6, -0x1.9cc76937470bbp-6, -0x1.96f0c3e4aa9a4p-6, -0x1.912828d7944d8p-6, -0x1.8b6d969d8cabfp-6, -0x1.85c10e439c69fp-6, -0x1.802292d795205p-6, -0x1.7a922924e81a4p-6, -0x1.750fd4422a4bbp-6, -0x1.6f9b9537cb241p-6, -0x1.6a356a4f11e69p-6, -0x1.64dd4ece3f9edp-6, -0x1.5f933be7cdf95p-6, -0x1.5a5729e9c8ccep-6, -0x1.552911ded9907p-6, -0x1.5008eefcf0ed2p-6, -0x1.4af6bf4dcd1e2p-6, -0x1.45f28391cae38p-6, -0x1.40fc3cc031f63p-6, -0x1.3c13ea6071e6fp-6, -0x1.3739877f0a941p-6, -0x1.326d071c9ec98p-6, -0x1.2dae536421687p-6, -0x1.28fd4d7ee1714p-6, -0x1.2459cfb9b7ba7p-6, -0x1.1fc3b17f2aa7fp-6, -0x1.1b3acc847fa07p-6, -0x1.16bf020330072p-6, -0x1.12503fbc8444fp-6, -0x1.0dee820247ffdp-6, -0x1.0999d4651c8dfp-6, -0x1.05524e0821b55p-6, -0x1.01180d47a8ff5p-6, -0x1.f9d65e33aa86ep-7, -0x1.f1978e61775abp-7, -0x1.e973afc5affcep-7, -0x1.e16a9a5ed73d5p-7, -0x1.d97bf6b6d2c15p-7, -0x1.d1a740ad0491bp-7, -0x1.c9ebd46b00d0ap-7, -0x1.c24900accd002p-7, -0x1.babe1c22a6962p-7, -0x1.b34a9a7c00bf5p-7, -0x1.abee1d1d41496p-7, -0x1.a4a87e53acb4ap-7, -0x1.9d79d564852b2p-7, -0x1.96626c9a0e297p-7, -0x1.8f62b2322e806p-7, -0x1.887b244a944b6p-7, -0x1.81ac33daeed21p-7, -0x1.7af62bf9258c3p-7, -0x1.74591ef4fd09ep-7, -0x1.6dd4dcf4a25b4p-7, -0x1.6768f1a8b181ap-7, -0x1.6114b35fca99cp-7, -0x1.5ad754c777908p-7, -0x1.54affca22e26ep-7, -0x1.4e9ddcafdc235p-7, -0x1.48a046d01833dp-7, -0x1.42b6bb1b144f9p-7, -0x1.3ce0efb773dp-7, -0x1.371ed30a52bf8p-7, -0x1.3170866229372p-7, -0x1.2bd653425b0e2p-7, -0x1.26509a6a9b111p-7, -0x1.20dfc0efc36bap-7, -0x1.1b841b3f80a9dp-7, -0x1.163dd9a99b364p-7, -0x1.110cfc2310845p-7, -0x1.0bf14d8cf7c92p-7, -0x1.06ea68b430b73p-7, -0x1.01f7c5593ecfbp-7, -0x1.fa3194a1ea7f1p-8, -0x1.f099c1eab680bp-8, -0x1.e7270b512a408p-8, -0x1.ddd8a1cb5f68ep-8, -0x1.d4aded420ff2ep-8, -0x1.cba67bf23becfp-8, -0x1.c2c1eb3ef19fap-8, -0x1.b9ffd45f9a56fp-8, -0x1.b15fc6ab3d4e3p-8, -0x1.a8e151d8a6c97p-8, -0x1.a08418e67fa05p-8, -0x1.9847e23e6c087p-8, -0x1.902c9ae77102p-8, -0x1.883249c80e28cp-8, -0x1.8058f7e999d4cp-8, -0x1.78a09816f77a6p-8, -0x1.7108f9bcee6a7p-8, -0x1.6991ce083798bp-8, -0x1.623abd7217eb8p-8, -0x1.5b038318163b4p-8, -0x1.53ebfe7eb7eefp-8, -0x1.4cf42ec915e35p-8, -0x1.461c14009ce61p-8, -0x1.3f638032107f9p-8, -0x1.38c9ec8b7733p-8, -0x1.324e68b6f0886p-8, -0x1.2befae3236bbap-8, -0x1.25ac52bdd280ap-8, -0x1.1f830943de147p-8, -0x1.1972c417da4ddp-8, -0x1.137ad31423858p-8, -0x1.0d9acd23fbdfp-8, -0x1.07d27c718910bp-8, -0x1.0221d3b66c86fp-8, -0x1.f911f2250e6cfp-9, -0x1.ee10a0a02dba4p-9, -0x1.e340f18c8ce09p-9, -0x1.d8a463594f667p-9, -0x1.ce3c5283a9fafp-9, -0x1.c409967b970bfp-9, -0x1.ba0c39dbded5ap-9, -0x1.b0435cb66a9f3p-9, -0x1.a6ad40dee1b2ap-9, -0x1.9d478414274a9p-9, -0x1.940f858ede82ap-9, -0x1.8b02ede92fe3bp-9, -0x1.82202c03a3a51p-9, -0x1.7966952ca1c65p-9, -0x1.70d6065e6a505p-9, -0x1.686e17fb7a5ddp-9, -0x1.602d638d65825p-9, -0x1.581165c69a356p-9, -0x1.50173823a2134p-9, -0x1.483cd0032607ep-9, -0x1.408210a9ee361p-9, -0x1.38e90d8473dfap-9, -0x1.31754b79f3a86p-9, -0x1.2a2a5b0e30ad5p-9, -0x1.230a799ea4041p-9, -0x1.1c15d3607ad7p-9, -0x1.154a927377fb1p-9, -0x1.0ea57b408e7dcp-9, -0x1.0822be70f83e3p-9, -0x1.01bed58fa7025p-9, -0x1.f6eeb4526b887p-10, -0x1.ea974eaa28fc7p-10, -0x1.de79df41c52b7p-10, -0x1.d29b1bb5875c2p-10, -0x1.c6ff7b9896907p-10, -0x1.bba8bc5e67c98p-10, -0x1.b094d0db8cbe7p-10, -0x1.a5be8ba0343abp-10, -0x1.9b1f87fb0fep-10, -0x1.90b239e4cd9e1p-10, -0x1.86737cece57a3p-10, -0x1.7c635d67ab898p-10, -0x1.7284ae1af953fp-10, -0x1.68dba35826352p-10, -0x1.5f6c13805287cp-10, -0x1.563812ce03f6ep-10, -0x1.4d3f3a702fd37p-10, -0x1.447e6c6cc68a7p-10, -0x1.3bf048df9c259p-10, -0x1.338e26cab665cp-10, -0x1.2b51ecaf1c358p-10, -0x1.23384ed79aac8p-10, -0x1.1b422fe7c85a5p-10, -0x1.1373e9a2c6804p-10, -0x1.0bd2a1804602p-10, -0x1.046162ecd52d8p-10, -0x1.fa3ffe8d5af28p-11, -0x1.ec17f0751d29dp-11, -0x1.de445c062ea32p-11, -0x1.d0c1987dba053p-11, -0x1.c38fa4f20fbf1p-11, -0x1.b6b15c848a458p-11, -0x1.aa2875e39dad3p-11, -0x1.9df1dccdda98ep-11, -0x1.9205cfb87061dp-11, -0x1.865bb388dd396p-11, -0x1.7aee692337c6ep-11, -0x1.6fbe2544c64e1p-11, -0x1.64ceed5b0e542p-11, -0x1.5a24f38dda842p-11, -0x1.4fc0bea924588p-11, -0x1.459dc81b9fd7cp-11, -0x1.3bb3d81da5fe8p-11, -0x1.31faf16d37bc1p-11, -0x1.286fd27c67c1fp-11, -0x1.1f16096da7a03p-11, -0x1.15f50a7034d43p-11, -0x1.0d1297ba83d33p-11, -0x1.046ee946eceb6p-11, -0x1.f809553298aa5p-12, -0x1.e799cce4f407ap-12, -0x1.d7899305ec7d7p-12, -0x1.c7df66beb420bp-12, -0x1.b8a59b286d77ap-12, -0x1.a9dfed2124ae5p-12, -0x1.9b8a7cee4fcf8p-12, -0x1.8d9ee81fea8f6p-12, -0x1.8017169c47475p-12, -0x1.72ec3b765aa6bp-12, -0x1.661579aa09c6fp-12, -0x1.5988fe7b78723p-12, -0x1.4d40930b9e14bp-12, -0x1.413eebda0935ep-12, -0x1.358fb9a02ae4fp-12, -0x1.2a3f3339f96c2p-12, -0x1.1f4ce51a6f453p-12, -0x1.14a4cb9833811p-12, -0x1.0a2bf4db0ab7p-12, -0x1.ffb61b77c8e5cp-13, -0x1.eb8ed6f790dd4p-13, -0x1.d81759d015298p-13, -0x1.c55632dffc759p-13, -0x1.b324452d9dc53p-13, -0x1.a160692719e44p-13, -0x1.900fdd3af9ad3p-13, -0x1.7f463b6eb044ap-13, -0x1.6f0465d68453fp-13, -0x1.5f395a1b7385bp-13, -0x1.4fd4036f6c638p-13, -0x1.40cd1f4bd001cp-13, -0x1.322745c7d786ap-13, -0x1.23eb367db7b72p-13, -0x1.162356e61375p-13, -0x1.08d7ba6464022p-13, -0x1.f817284f713f9p-14, -0x1.df74862f384f7p-14, -0x1.c7a663bf024d2p-14, -0x1.b08154cba1b3ep-14, -0x1.99fdbcd1fb47cp-14, -0x1.84453dd1f0a97p-14, -0x1.6f6140666280dp-14, -0x1.5afaff3c708fcp-14, -0x1.46c06ce6f1dfcp-14, -0x1.32eb178a6ac43p-14, -0x1.1ff420ae25608p-14, -0x1.0de6a3b59a867p-14, -0x1.f8e90259dac19p-15, -0x1.d70ae8af75b9cp-15, -0x1.b67498c79ffe8p-15, -0x1.972cd5fe084p-15, -0x1.78f2fe04783fap-15, -0x1.5b9046f0d0d0ap-15, -0x1.3ef4001b8f1aap-15, -0x1.232367b94d9d9p-15, -0x1.0825aa9639ab7p-15, -0x1.dbfa173791747p-16, -0x1.a94d4d194fd28p-16, -0x1.7843c95ed80a9p-16, -0x1.48e6447737669p-16, -0x1.1b5b030662d4ep-16, -0x1.dfbbb101c622dp-17, -0x1.8d698fc1c1d8fp-17, -0x1.402379605fd06p-17, -0x1.eec1a643cdc32p-18, -0x1.631e0e6222394p-18, -0x1.b6e3bb4bdcfbp-19, -0x1.5fdac8cdd7ca4p-20, 0x1.3fdbab9240adbp-21, 0x1.49f506f793a1ap-19, 0x1.1d3dde16256b4p-18, 0x1.8ffb80a6ba086p-18, 0x1.fdc21fa179897p-18, 0x1.3292ace98f405p-17, 0x1.62ac9a9133924p-17, 0x1.902b59606bebp-17, 0x1.bc0a025881d5ap-17, 0x1.e686571064054p-17, 0x1.07be6e4cd9398p-16, 0x1.1b60826bbda97p-16, 0x1.2e1dd5bcfd3dap-16, 0x1.3ff4a8d27ec14p-16, 0x1.50e84277f2ad1p-16, 0x1.60fe4c4134a6fp-16, 0x1.703f036ffdb21p-16, 0x1.7eb5e4906332dp-16, 0x1.8c6f6deaaa37ap-16, 0x1.99720cbe18fbp-16, 0x1.a5b6824a1ae9ep-16, 0x1.b12ac2622456fp-16, 0x1.bbbfe90ba7ccfp-16, 0x1.c563bc82a66cap-16, 0x1.cde41cba7014fp-16, 0x1.d528c39d93ea9p-16, 0x1.dbc67f754debap-16, 0x1.e2564c8530f1ap-16, 0x1.e88122e023547p-16, 0x1.ee6e2c4e57a99p-16, 0x1.f483d914af34cp-16, 0x1.f9c323585c5e3p-16, 0x1.fd9b92ff786f7p-16, 0x1.00593bb647971p-15, 0x1.01c79531ac80bp-15, 0x1.031ffab9bf2ccp-15, 0x1.045446f86f491p-15, 0x1.055998596165dp-15, 0x1.062ba90925f08p-15, 0x1.06c9767c988a5p-15, 0x1.0734cbf35c1dfp-15, 0x1.07708e441e535p-15, 0x1.077f60771b4dfp-15, 0x1.0763378d42f6bp-15, 0x1.071d292193a5p-15, 0x1.06adfb199557dp-15, 0x1.06171f2dc6929p-15, 0x1.055b76cbcc45fp-15, 0x1.047ef0c69b737p-15, 0x1.03850e101131cp-15, 0x1.026f65ece394fp-15, 0x1.01404d3d6a279p-15, 0x1.fffb130e143e8p-16, 0x1.fd38aa629d8a6p-16, 0x1.f9c620141cca3p-16, 0x1.f589e3fc89746p-16, 0x1.f15286e46e6d6p-16, 0x1.ed5a1a275119bp-16, 0x1.e9be5184402e8p-16, 0x1.e5f9f06b82ecbp-16, 0x1.e1780c8502417p-16, 0x1.dc9e57337d547p-16, 0x1.d7c8f7bda2903p-16, 0x1.d2f66ff4cf2bfp-16, 0x1.ce14a3289d31ep-16, 0x1.c91916a650129p-16, 0x1.c3ff7177617bfp-16, 0x1.bec89fd7a0f9cp-16, 0x1.b9749b1e5e4d4p-16, 0x1.b40631f9d33fdp-16, 0x1.ae80c214dd112p-16, 0x1.a8e6335298298p-16, 0x1.a3386d65b1fep-16, 0x1.9d79032b64ef7p-16, 0x1.97a8d27bd051cp-16, 0x1.91c87c57a657ep-16, 0x1.8bd8aae1e994cp-16, 0x1.85da94dbf90e5p-16, 0x1.7fd10d2ad22a7p-16, 0x1.79c01f53f27dp-16, 0x1.73aa85f157e17p-16, 0x1.6d92ac48268a9p-16, 0x1.6779fa8004502p-16, 0x1.61662046fb0c7p-16, 0x1.5b48a42bf2bbap-16, 0x1.54f9de21ff5fdp-16, 0x1.4e8240686c2fdp-16, 0x1.48202f8d90363p-16, 0x1.41f7a05f1a725p-16, 0x1.3bcfe8e56b9bap-16, 0x1.3586e3659ec3ap-16, 0x1.2f2ec0a7d7a47p-16, 0x1.28e543caf6c21p-16, 0x1.22a9fe066a8cep-16, 0x1.1c763c22f25e4p-16, 0x1.1646e1cf3f1f7p-16, 0x1.101b35b925bfbp-16, 0x1.09f3f2f5b09b6p-16, 0x1.03d1bb6ef5e45p-16, 0x1.fb6a957a20485p-17, 0x1.ef3ea7ded239dp-17, 0x1.e3202658069fep-17, 0x1.d711036e0bfb8p-17, 0x1.cb19702a411fep-17, 0x1.bf2b084d4155dp-17, 0x1.b3526390ef2ccp-17, 0x1.a78d018c39a49p-17, 0x1.9bdab887eef97p-17, 0x1.903cea507b047p-17, 0x1.84b4e0adc6bd9p-17, 0x1.7942e6919829cp-17, 0x1.6de6f314dc27p-17, 0x1.62a9f8f110276p-17, 0x1.577f2274a7576p-17, 0x1.4c708350a9a0ap-17, 0x1.41797a74d73e1p-17, 0x1.36a77f5ab25e3p-17, 0x1.2be0806d49a6cp-17, 0x1.212bf0d464406p-17, 0x1.16a0d62fff4ep-17, 0x1.0c21ccf9c9c07p-17, 0x1.01c60ea4b2009p-17, 0x1.ef10c327c6a07p-18, 0x1.dabd83455d522p-18, 0x1.c6ad97f79df8ap-18, 0x1.b2de8e5ed53p-18, 0x1.9f4b158f4eb0ep-18, 0x1.8bf100fb2ababp-18, 0x1.78d08daaabfd8p-18, 0x1.65ea5180ecf35p-18, 0x1.533ef9343735ap-18, 0x1.40ceff50959c3p-18, 0x1.2e9a7da061d01p-18, 0x1.1ca171c58e4e6p-18, 0x1.0ae4264d0524fp-18, 0x1.f2c6430f7ed77p-19, 0x1.d03d56c236437p-19, 0x1.ae2d2822b5f7p-19, 0x1.8c9485e75ad14p-19, 0x1.6b76de1895ac3p-19, 0x1.4ad14530e1bd2p-19, 0x1.2aa4401a6fc0ep-19, 0x1.0aeb65f3f966ap-19, 0x1.d76afb8390689p-20, 0x1.99d9f7a44857ep-20, 0x1.5d440f266a65cp-20, 0x1.219863ec1b70dp-20, 0x1.cdbb3333d709ep-21, 0x1.5a27d641c33b2p-21, 0x1.d0d560334009cp-22, 0x1.e2279bb9376d7p-23, 0x1.508b7355d6815p-26, -0x1.8722173ab2f0dp-23, -0x1.984a7ba1c6766p-22, -0x1.34c8c768f31c5p-21, -0x1.9ba49015ed18cp-21, -0x1.005b54352739p-20, -0x1.320098bf85202p-20, -0x1.62bee8538a992p-20, -0x1.92ad06983fffap-20, -0x1.c19c1decf712bp-20, -0x1.efc94524af2ddp-20, -0x1.0e7a94d0904abp-19, -0x1.24ad09e75a8cfp-19, -0x1.3a6d8ce3f4c44p-19, -0x1.4fd6b581988e2p-19, -0x1.64c76a636257bp-19, -0x1.794940d188b03p-19, -0x1.8d33155eb2af5p-19, -0x1.a11d2a431991fp-19, -0x1.b46983c1b5c15p-19, -0x1.c752df450fb3bp-19, -0x1.d9c70da110134p-19, -0x1.ebefcf582575bp-19, -0x1.fdaa83f80cd53p-19, -0x1.0780062d8980ep-18, -0x1.0ff9bdb19203fp-18, -0x1.184689ea2da9ep-18, -0x1.2061067d4d825p-18, -0x1.284c3f01754adp-18, -0x1.30081eba27a5dp-18, -0x1.3795c5559fb14p-18, -0x1.3ef345493cc57p-18, -0x1.462927089b32p-18, -0x1.4d2b7e98dd6d1p-18, -0x1.5407f782756aep-18, -0x1.5ab64c73df44p-18, -0x1.613915d0ffc7ap-18, -0x1.6791363b75f47p-18, -0x1.6dbe550545f73p-18, -0x1.73c0ae98ef155p-18, -0x1.799c4b88e03efp-18, -0x1.7f4dadbead4d2p-18, -0x1.84d61bd481008p-18, -0x1.8a3714e00a771p-18, -0x1.8f707c57609d6p-18, -0x1.9482cfc22fa9ep-18, -0x1.996f6163fc1fdp-18, -0x1.9e36205054fc8p-18, -0x1.a2d7948f68924p-18, -0x1.a7544a6b34eep-18, -0x1.abad224c6f1c9p-18, -0x1.afe44d292aad5p-18, -0x1.b3f403a4f0697p-18, -0x1.b7e56e0e1143bp-18, -0x1.bbb07c4c16059p-18, -0x1.bf5c8b96d115cp-18, -0x1.c2e1bf1346cbfp-18, -0x1.c644842ed6edap-18, -0x1.c98c387852007p-18, -0x1.ccb80ebf8f628p-18, -0x1.cfc567d032b32p-18, -0x1.d2af565075d23p-18, -0x1.d5793e0e780f9p-18, -0x1.d820ebf19ba11p-18, -0x1.dab1a43070c0cp-18, -0x1.dd0e10ac7118dp-18, -0x1.df762f3ff1e1dp-18, -0x1.e1b32e0afb06p-18, -0x1.e3d153c08d9f2p-18, -0x1.e5d28ead79232p-18, -0x1.e7b93dafa439fp-18, -0x1.e985d22bd3203p-18, -0x1.eb378c59af474p-18, -0x1.eccf51ae5559p-18, -0x1.ee4d72c852ca5p-18, -0x1.efb723da00346p-18, -0x1.f107eb83e4ebp-18, -0x1.f23ed3d8f914ep-18, -0x1.f35d8a4386498p-18, -0x1.f465e85247a5ep-18, -0x1.f556fc5c47cf4p-18, -0x1.f62e95e89ca18p-18, -0x1.f6f43ce01108ap-18, -0x1.f7a5b40e83f5dp-18, -0x1.f84101ef93997p-18, -0x1.f8c70cdd20b44p-18, -0x1.f938a0a993722p-18, -0x1.f996208025e42p-18, -0x1.f9dfc9cf3579fp-18, -0x1.fa14e55da8c5cp-18, -0x1.fa30a187bc9ebp-18, -0x1.fa4f50b443f4dp-18, -0x1.fa4a92f6a2d87p-18, -0x1.fa3704fce5321p-18, -0x1.fa12668d6a87p-18, -0x1.f9dd12b87c892p-18, -0x1.f9981f354e991p-18, -0x1.f944238e7ec69p-18, -0x1.f8db95e5b761bp-18, -0x1.f85c6ce22303p-18, -0x1.f7da4ea817e01p-18, -0x1.f742b7793888fp-18, -0x1.f6a53d373b96bp-18, -0x1.f5f12ba720175p-18, -0x1.f52dbbb49212ep-18, -0x1.f45b2938923cbp-18, -0x1.f383df14a003dp-18, -0x1.f27adf12def8cp-18, -0x1.f1a23f6a77b16p-18, -0x1.f09ea57eaec17p-18, -0x1.ef96870708a26p-18, -0x1.ee6df566db587p-18, -0x1.ed43c522c8d4ep-18, -0x1.ec15db1cdb96dp-18, -0x1.ead5811f7a9e3p-18, -0x1.e98849edbfddep-18, -0x1.e8260879a5572p-18, -0x1.e6d6bd0244777p-18, -0x1.e56bd99edae0bp-18, -0x1.e3f315cc0736bp-18, -0x1.e27455ebe49a6p-18, -0x1.e0eca40923cap-18, -0x1.df5c31dceb5d5p-18, -0x1.ddc3d30f02b1bp-18, -0x1.dc2a9a2e4c123p-18, -0x1.da7725ba7e0d5p-18, -0x1.d8bf457324fbap-18, -0x1.d701c9ba118cfp-18, -0x1.d53d304ecb509p-18, -0x1.d36fd128f4427p-18, -0x1.d19b87c054af7p-18, -0x1.cfc2b8f16af21p-18, -0x1.cddd4dc0bf691p-18, -0x1.cbf84542f5491p-18, -0x1.ca06f0ae620ap-18, -0x1.c81185771bec1p-18, -0x1.c618812e0fd3p-18, -0x1.c40feb4f6c788p-18, -0x1.c2008dbb326d4p-18, -0x1.bff1306db9a4fp-18, -0x1.bde7b523ecb7fp-18, -0x1.bbd9ed5fe73a9p-18, -0x1.b9ae5da6dcba9p-18, -0x1.b78c035c77c66p-18, -0x1.b555bcaaaa3bbp-18, -0x1.b3300aff388afp-18, -0x1.b0fd811bb81bep-18, -0x1.aec7aec6d7d92p-18, -0x1.ac90dda0766afp-18, -0x1.aa53d59257f5p-18, -0x1.a81275a1d2cfbp-18, -0x1.a5c95d37d7db2p-18, -0x1.a37b92c591c3p-18, -0x1.a11725b24b294p-18, -0x1.9ee2709fdc186p-18, -0x1.9c93777035121p-18, -0x1.9a3ad9754452p-18, -0x1.97deb40eb75a9p-18, -0x1.957abe59e527dp-18, -0x1.93215a66ef984p-18, -0x1.90bffbbe59125p-18, -0x1.8e5d08064d045p-18, -0x1.8bf78729ff62ep-18, -0x1.898fd24f2c301p-18, -0x1.872792c0e1fe2p-18, -0x1.84ba51303ccbdp-18, -0x1.824bd0a5e2a76p-18, -0x1.7fdc94ceee8eep-18, -0x1.7d6c2e92ff732p-18, -0x1.7afa262fd6c79p-18, -0x1.788ba210962d7p-18, -0x1.761a17e80016p-18, -0x1.739c822ba0695p-18, -0x1.711d9cabff53ep-18, -0x1.6eabdb4bb91ddp-18, -0x1.6c0d366d11c57p-18, -0x1.69c5baae04b79p-18, -0x1.674c45bbf9fb5p-18, -0x1.64b726ebc5931p-18, -0x1.625122cc3cb1cp-18, -0x1.5fd4e0270277ap-18, -0x1.5d5bc11fb882dp-18, -0x1.5ae1e37f72322p-18, -0x1.586623870dfb1p-18, -0x1.55ebff3c1771fp-18, -0x1.536b7e69f5973p-18, -0x1.50f730d8eed4p-18, -0x1.4e76cb38f017ap-18, -0x1.4c0776bb29403p-18, -0x1.4985ba37d9f49p-18, }}, 
      {{0x1.41ac37e8a81bcp-15, -0x1.a033ed1417a5fp-8, -0x1.6e90e956ebf7ep-6, -0x1.880cc0d1aa90dp-5, -0x1.4936df9fa29abp-4, -0x1.dd303da6c84fap-4, -0x1.38d42e9cbbb29p-3, -0x1.7d2224d8ba15fp-3, -0x1.b6cc63a783d4cp-3, -0x1.e2b34f8d7609ap-3, -0x1.ff32305baa22ap-3, -0x1.05f31640354a1p-2, -0x1.04b4a30bc2f5ap-2, -0x1.f90cb03f124b7p-3, -0x1.dc99370e2a296p-3, -0x1.b619333fe4108p-3, -0x1.87ad4ac7cc0bp-3, -0x1.536bcd1be29dcp-3, -0x1.1b499f4fd7643p-3, -0x1.c2167fe615a66p-4, -0x1.4c789a4dc8b04p-4, -0x1.b0b025ce55cbbp-5, -0x1.9f6c55d180d18p-6, 0x1.a588dc30202cp-11, 0x1.9f4491525a51bp-6, 0x1.899a4030a72bp-5, 0x1.19a880fddf162p-4, 0x1.661449b1b2677p-4, 0x1.a9fd637ee96b6p-4, 0x1.e581b32c1942bp-4, 0x1.0c730733114d6p-3, 0x1.2246a5506d0e4p-3, 0x1.34782aa3e0c46p-3, 0x1.434bb4a70ee1ep-3, 0x1.4f0a20bfe298fp-3, 0x1.57feac8ad909bp-3, 0x1.5e74f0d33525fp-3, 0x1.62b765d63b3e9p-3, 0x1.650e0e997ee4fp-3, 0x1.65bda2ab956abp-3, 0x1.6506daa49ada8p-3, 0x1.6325f3fda220bp-3, 0x1.6052798c387a9p-3, 0x1.5cbf1e3e784edp-3, 0x1.5899b69601335p-3, 0x1.540b536b86eddp-3, 0x1.4f386cef30c0cp-3, 0x1.4a41155660468p-3, 0x1.45413803ab042p-3, 0x1.4050e1519db7cp-3, 0x1.3b848863cef52p-3, 0x1.36ed595ea2a45p-3, 0x1.32997f66b144fp-3, 0x1.2e946d87d8bfep-3, 0x1.2ae7259de5e6fp-3, 0x1.27987bce7fa1ap-3, 0x1.24ad54de17c67p-3, 0x1.2228e0527366fp-3, 0x1.200cceb5c5fffp-3, 0x1.1e59844048f86p-3, 0x1.1d0e4685c8752p-3, 0x1.1c29669630e64p-3, 0x1.1ba8674cbed49p-3, 0x1.1b881eeb798eap-3, 0x1.1bc4d56fd123cp-3, 0x1.1c5a5f40bd831p-3, 0x1.1d4435803bdf9p-3, 0x1.1e7d8b7ecc2eap-3, 0x1.20016172ddc5cp-3, 0x1.21ca960830d55p-3, 0x1.23d3f421230c5p-3, 0x1.26183faba9967p-3, 0x1.28924118527edp-3, 0x1.2b3cce0b83d1dp-3, 0x1.2e12d174a82f1p-3, 0x1.310f520174109p-3, 0x1.342d786a36f04p-3, 0x1.3768934c8c492p-3, 0x1.3abc1b06cc5a2p-3, 0x1.3e23b58bb2d59p-3, 0x1.419b38090ce58p-3, 0x1.451ea8ffde875p-3, 0x1.48aa414fde5e9p-3, 0x1.4c3a6d15edc54p-3, 0x1.4fcbcbff1ecbdp-3, 0x1.535b312cdf635p-3, 0x1.56e5a2f0ea104p-3, 0x1.5a6859b82b2f6p-3, 0x1.5de0c0069b45bp-3, 0x1.614c70869298cp-3, 0x1.64a9354a384aap-3, 0x1.67f5062adced4p-3, 0x1.6b2e07986ad26p-3, 0x1.6e52889da323bp-3, 0x1.7161017cdb909p-3, 0x1.74581233c2192p-3, 0x1.7736803cbeb74p-3, 0x1.79fb351254a62p-3, 0x1.7ca53c71e155p-3, 0x1.7f33c2a9c72c7p-3, 0x1.81a612843ae7cp-3, 0x1.83fb9407e92ccp-3, 0x1.8633ca3a1c5b6p-3, 0x1.884e51f11b2c2p-3, 0x1.8a4adfe1067b6p-3, 0x1.8c293f246904ap-3, 0x1.8de94fb6c4118p-3, 0x1.8f8b04f51328ep-3, 0x1.910e64194e27ap-3, 0x1.92738307f07fbp-3, 0x1.93ba8712a243cp-3, 0x1.94e3a334bd3fap-3, 0x1.95ef175302846p-3, 0x1.96dd2f57d195fp-3, 0x1.97ae4179e81d4p-3, 0x1.9862ad7df97a4p-3, 0x1.98fadbfd3817dp-3, 0x1.99773d24bf3c6p-3, 0x1.99d848107103ap-3, 0x1.9a1e79e4e117bp-3, 0x1.9a4a54e900f6p-3, 0x1.9a5c606816642p-3, 0x1.9a5527480e009p-3, 0x1.9a3537b8b80b1p-3, 0x1.99fd22dcebdfp-3, 0x1.99ad7bdac06a1p-3, 0x1.9946d7d6a3365p-3, 0x1.98c9cce0d86d5p-3, 0x1.9836f24fbd4d2p-3, 0x1.978edf45571c1p-3, 0x1.96d22bcaea976p-3, 0x1.96016f4015c6fp-3, 0x1.951d40434162fp-3, 0x1.94263521c2e0dp-3, 0x1.931ce2d24c31p-3, 0x1.9201dd1edb60bp-3, 0x1.90d5b64556021p-3, 0x1.8f98fee593748p-3, 0x1.8e4c45c8462f1p-3, 0x1.8cf017d0a98a6p-3, 0x1.8b84ff7a30cfcp-3, 0x1.8a0b858801bf8p-3, 0x1.888430231cba7p-3, 0x1.86ef82e0e7885p-3, 0x1.854dff306115fp-3, 0x1.83a023ef4d868p-3, 0x1.81e66d33efe4bp-3, 0x1.802154902b0fap-3, 0x1.7e515114eeb3ap-3, 0x1.7c76d6f07e524p-3, 0x1.7a9257d0ec9fp-3, 0x1.78a442813a19ap-3, 0x1.76ad0341cb7a2p-3, 0x1.74ad03998f566p-3, 0x1.72a4aa72bcf2p-3, 0x1.70945c077a489p-3, 0x1.6e7c79caa8ee7p-3, 0x1.6c5d62ddcc197p-3, 0x1.6a37738a1d029p-3, 0x1.680b05ca4a6f7p-3, 0x1.65d870d548bddp-3, 0x1.63a009b153f92p-3, 0x1.616222cc2d695p-3, 0x1.5f1f0c2a8a949p-3, 0x1.5cd713950e744p-3, 0x1.5a8a848468091p-3, 0x1.5839a82827056p-3, 0x1.55e4c583a06f6p-3, 0x1.538c217068d3fp-3, 0x1.512ffe9f784e3p-3, 0x1.4ed09de419ee3p-3, 0x1.4c6e3e12896fap-3, 0x1.4a091bb2e2788p-3, 0x1.47a171bb8f519p-3, 0x1.453779328c4fcp-3, 0x1.42cb6946f73e3p-3, 0x1.405d776d611bap-3, 0x1.3dedd77969d4dp-3, 0x1.3b7cbb744a059p-3, 0x1.390a53eb1ea13p-3, 0x1.3696cfc3af761p-3, 0x1.34225c6f8535ep-3, 0x1.31ad25cb2d6bcp-3, 0x1.2f3756756ef85p-3, 0x1.2cc1177c94fe1p-3, 0x1.2a4a90b555f5fp-3, 0x1.27d3e8a05dcfep-3, 0x1.255d4466afb88p-3, 0x1.22e6c80cb274p-3, 0x1.2070965d132b3p-3, 0x1.1dfad140225dbp-3, 0x1.1b8598c1efa86p-3, 0x1.19110cdb9092fp-3, 0x1.169d4bb38f88fp-3, 0x1.142a72d9e052dp-3, 0x1.11b89ea27c17ap-3, 0x1.0f47eaaad644ap-3, 0x1.0cd87197edbaap-3, 0x1.0a6a4ceb1351cp-3, 0x1.07fd95a0a366dp-3, 0x1.059263ad290e8p-3, 0x1.0328ce43ce12fp-3, 0x1.00c0ebcf49986p-3, 0x1.fcb5a40e0dfb1p-4, 0x1.f7ed2b99d8229p-4, 0x1.f32896b61ecb2p-4, 0x1.ee680c6bf580dp-4, 0x1.e9abb28032998p-4, 0x1.e4f3ad5f2b458p-4, 0x1.e0402050ca6ffp-4, 0x1.db912d0308d47p-4, 0x1.d6e6f482109edp-4, 0x1.d24196831f742p-4, 0x1.cda1315131c3fp-4, 0x1.c905e260b92fdp-4, 0x1.c46fc63158f21p-4, 0x1.bfdef82a347bdp-4, 0x1.bb5392ac201c6p-4, 0x1.b6cdaf0a15616p-4, 0x1.b24d65e4a340fp-4, 0x1.add2cec399934p-4, 0x1.a95e0063b2006p-4, 0x1.a4ef109a9b802p-4, 0x1.a0861469e0342p-4, 0x1.9c232009e264dp-4, 0x1.97c646f1887fep-4, 0x1.936f9bbfc30abp-4, 0x1.8f1f305a0d19ep-4, 0x1.8ad515f2932bdp-4, 0x1.86915cdeaa43ep-4, 0x1.825414fe9829ap-4, 0x1.7e1d4d6ef6a7p-4, 0x1.79ed1467f9c84p-4, 0x1.75c377cd8eb81p-4, 0x1.71a084bf576dfp-4, 0x1.6d8447d5c19b3p-4, 0x1.696ecce0fc5ep-4, 0x1.65601f37016a2p-4, 0x1.615849b60e2d7p-4, 0x1.5d57569a25aeep-4, 0x1.595d4f6601531p-4, 0x1.556a3d4f8f66cp-4, 0x1.517e28f2dc8f6p-4, 0x1.4d991a51578e3p-4, 0x1.49bb1947608e6p-4, 0x1.45e42c7742ff3p-4, 0x1.42145ae1ba8c9p-4, 0x1.3e4baa9163974p-4, 0x1.3a8a212f058f7p-4, 0x1.36cfc4000f397p-4, 0x1.331c97b157326p-4, 0x1.2f70a0cb085f8p-4, 0x1.2bcbe34c2c712p-4, 0x1.282e62943eac9p-4, 0x1.249821dafb055p-4, 0x1.210923d7e9fa7p-4, 0x1.1d816ae5cca81p-4, 0x1.1a00f8febd1b8p-4, 0x1.1687cfad644fbp-4, 0x1.1315f035cb682p-4, 0x1.0fab5b6fa0e07p-4, 0x1.0c4811fd665fp-4, 0x1.08ec13fc54166p-4, 0x1.0597613e1640ep-4, 0x1.0249f95260993p-4, 0x1.fe07b6c5b921dp-5, 0x1.f78a0ca4ed76cp-5, 0x1.f11af165516bp-5, 0x1.eaba61774e502p-5, 0x1.e46858d7c84cbp-5, 0x1.de24d2e9495e1p-5, 0x1.d7efca8e7547fp-5, 0x1.d1c939cd50cbcp-5, 0x1.cbb11a6dc7a9fp-5, 0x1.c5a76572a4b14p-5, 0x1.bfac136e99426p-5, 0x1.b9bf1cafeec6dp-5, 0x1.b3e078acfe06fp-5, 0x1.ae101e81a20cdp-5, 0x1.a84e04da200bcp-5, 0x1.a29a21de80381p-5, 0x1.9cf46b475060cp-5, 0x1.975cd64c4f2f9p-5, 0x1.91d357d09a876p-5, 0x1.8c57e425c6276p-5, 0x1.86ea6f355e67bp-5, 0x1.818aec8eb67e4p-5, 0x1.7c394f5e76c4ep-5, 0x1.76f58a67019e6p-5, 0x1.71bf900d1f76dp-5, 0x1.6c97524d31f97p-5, 0x1.677cc2d6b5ddap-5, 0x1.626fd2db52cd8p-5, 0x1.5d707356d357ep-5, 0x1.587e94deba89cp-5, 0x1.539a27bfc92f2p-5, 0x1.4ec31bf2aafb9p-5, 0x1.49f96119e996ep-5, 0x1.453ce688b38ep-5, 0x1.408d9b4e5909p-5, 0x1.3beb6e357b261p-5, 0x1.37564dc07f83bp-5, 0x1.32ce281c6cfabp-5, 0x1.2e52eb3b6588cp-5, 0x1.29e484e3afd68p-5, 0x1.2582e27dc8618p-5, 0x1.212df1459415bp-5, 0x1.1ce59e515fe3bp-5, 0x1.18a9d66776813p-5, 0x1.147a85fd4da7cp-5, 0x1.105799830da74p-5, 0x1.0c40fd231489cp-5, 0x1.08369ca4bf497p-5, 0x1.04386404e35b6p-5, 0x1.00463ea588a3bp-5, 0x1.f8c0307f2b51dp-6, 0x1.f10bb81faa357p-6, 0x1.e96eea0d0684fp-6, 0x1.e1e99c3967a58p-6, 0x1.da7ba48d7ee4ap-6, 0x1.d324d845693ffp-6, 0x1.cbe50c71ea8e5p-6, 0x1.c4bc1623f247bp-6, 0x1.bda9c9fd75eacp-6, 0x1.b6adfc53cd14ep-6, 0x1.afc8814c75993p-6, 0x1.a8f92ce098ec7p-6, 0x1.a23fd2edfb90bp-6, 0x1.9b9c475fb4199p-6, 0x1.950e5d9380cafp-6, 0x1.8e95e8c3e78fdp-6, 0x1.8832bc9031652p-6, 0x1.81e4abc8415c3p-6, 0x1.7bab8987b955dp-6, 0x1.758728ab8a33p-6, 0x1.6f775bc407a79p-6, 0x1.697bf5ad25f4ep-6, 0x1.6394c910b619dp-6, 0x1.5dc1a88bd11f6p-6, 0x1.580266f191671p-6, 0x1.5256d6d803b88p-6, 0x1.4cbecab4cc61dp-6, 0x1.473a14e7aad23p-6, 0x1.41c887d12705cp-6, 0x1.3c69f5efc146bp-6, 0x1.371e31e9f5016p-6, 0x1.31e50e6b5f6aep-6, 0x1.2cbe5dfa120ddp-6, 0x1.27a9f316fb438p-6, 0x1.22a7a03cde523p-6, 0x1.1db7381c49aap-6, 0x1.18d88d8b1979p-6, 0x1.140b738909329p-6, 0x1.0f4fbd076486p-6, 0x1.0aa53d18627ecp-6, 0x1.060bc6dcb6974p-6, 0x1.01832d9c52216p-6, 0x1.fa16894f943f4p-7, 0x1.f147bf057b4bdp-7, 0x1.e899a3cd8d979p-7, 0x1.e00bdefbeb6dap-7, 0x1.d79e183d4a216p-7, 0x1.cf4ff799cd133p-7, 0x1.c721258c1b41fp-7, 0x1.bf114a8ca7513p-7, 0x1.b7201028de40cp-7, 0x1.af4d1f5e946edp-7, 0x1.a79822297ecc1p-7, 0x1.a000c2d3cc8fdp-7, 0x1.9886ac009d744p-7, 0x1.912988b643dfbp-7, 0x1.89e904eb30223p-7, 0x1.82c4cb68e711p-7, 0x1.7bbc88fcda026p-7, 0x1.74cfe99cabcc5p-7, 0x1.6dfe9a9e68387p-7, 0x1.674849ff9c5eap-7, 0x1.60aca5353db3dp-7, 0x1.5a2b5ac7b79ap-7, 0x1.53c419cd8dde5p-7, 0x1.4d7691e0666afp-7, 0x1.4742731d2e266p-7, 0x1.41276e1d2f51bp-7, 0x1.3b2533f3425d2p-7, 0x1.353b762b5f6d9p-7, 0x1.2f69e6cd0f187p-7, 0x1.29b0385fbd921p-7, 0x1.240e1de2df666p-7, 0x1.1e834af024782p-7, 0x1.190f7360e5c8cp-7, 0x1.13b24be0086a1p-7, 0x1.0e6b89ecfbcefp-7, 0x1.093ae36468f9bp-7, 0x1.04200edfefa2dp-7, 0x1.fe35869f99673p-8, 0x1.f4557127be4bbp-8, 0x1.ea9f4de101a51p-8, 0x1.e1128e936c349p-8, 0x1.d7aea570062f5p-8, 0x1.ce73067a26bc3p-8, 0x1.c55f27a2250a5p-8, 0x1.bc727e68b0802p-8, 0x1.b3ac82381089bp-8, 0x1.ab0cabab7e407p-8, 0x1.a292747b0ddf1p-8, 0x1.9a3d576ce7733p-8, 0x1.920cd066f3035p-8, 0x1.8a005c9c842fp-8, 0x1.82177aa028ab7p-8, 0x1.7a51a9f92bf9fp-8, 0x1.72ae6c14432e4p-8, 0x1.6b2d450aae4d9p-8, 0x1.63cdb8542b811p-8, 0x1.5c8f4a885cf21p-8, 0x1.5571818c9caaap-8, 0x1.4e73e46dad6eap-8, 0x1.4795fdc8980c3p-8, 0x1.40d756958d5d3p-8, 0x1.3a37780cb040fp-8, 0x1.33b5ed728d142p-8, 0x1.2d5243e7bbe3bp-8, 0x1.270c09e34545cp-8, 0x1.20e2cf0d63f34p-8, 0x1.1ad6245e35974p-8, 0x1.14e59c112a65p-8, 0x1.0f10c9f4f37abp-8, 0x1.09574395cdd0fp-8, 0x1.03b89f5669898p-8, 0x1.fc68e7e3fc96ep-9, 0x1.f194b0e6e6b8p-9, 0x1.e6f3ca16e6b81p-9, 0x1.dc8565b4aa3dbp-9, 0x1.d248b0c61ef1ep-9, 0x1.c83d0f60a682p-9, 0x1.be617903c3be6p-9, 0x1.b4b5699037f78p-9, 0x1.ab3800371092p-9, 0x1.a1e88ebc744ebp-9, 0x1.98c65b20f6076p-9, 0x1.8fd0af187c0c4p-9, 0x1.8706d4635717ep-9, 0x1.7e68185b1b45fp-9, 0x1.75f3c87136736p-9, 0x1.6da92e662db58p-9, 0x1.658797d0eb84fp-9, 0x1.5d8e53d7092ddp-9, 0x1.55bcb413acad2p-9, 0x1.4e120dc8f16e5p-9, 0x1.468dba95570b1p-9, 0x1.3f2f19e290b95p-9, 0x1.37f58fd216afdp-9, 0x1.30e081517f493p-9, 0x1.29ef5a7608f91p-9, 0x1.23218b92d884p-9, 0x1.1c768190b2858p-9, 0x1.15edaa95e351cp-9, 0x1.0f86737221d4p-9, 0x1.09404680e7cb4p-9, 0x1.031a8b5573eafp-9, 0x1.fa2956cbfe931p-10, 0x1.ee5c1f8973ab2p-10, 0x1.e2cc496beea9bp-10, 0x1.d778b5b1509c9p-10, 0x1.cc604f25d0202p-10, 0x1.c18209368a8a3p-10, 0x1.b6dcdfdda0988p-10, 0x1.ac6fd825df60dp-10, 0x1.a239ffe3b1272p-10, 0x1.983a61d56b05dp-10, 0x1.8e7054166e1d6p-10, 0x1.84daa8e6e0598p-10, 0x1.7b788883eb582p-10, 0x1.7249543db6b86p-10, 0x1.694bed5332dfap-10, 0x1.607f6e7077273p-10, 0x1.57e2e355a469p-10, 0x1.4f75580f1357ap-10, 0x1.4735de2e78f74p-10, 0x1.3f2392b3ba4a5p-10, 0x1.373d9f2092181p-10, 0x1.2f832ef98d9ebp-10, 0x1.27f36b1b74c54p-10, 0x1.208d836551748p-10, 0x1.1950af6a64e0dp-10, 0x1.123c282218beap-10, 0x1.0b4f2d78a2632p-10, 0x1.0489094537f84p-10, 0x1.fbd21b7432783p-11, 0x1.eedd250e836b8p-11, 0x1.e231db7310982p-11, 0x1.d5cee52cf3d0bp-11, 0x1.c9b2e4597d1d8p-11, 0x1.bddc763c9096ap-11, 0x1.b24a3bb0951e8p-11, 0x1.a6fadee03fe89p-11, 0x1.9bed1365ac5bap-11, 0x1.911f935029571p-11, 0x1.86911ac1a720ap-11, 0x1.7c40645f73a23p-11, 0x1.722c28c6f450fp-11, 0x1.68532045dd1a1p-11, 0x1.5eb406d0dbdap-11, 0x1.554da15a19cbap-11, 0x1.4c1ec5094b1f3p-11, 0x1.432646532fd3fp-11, 0x1.3a6303ef8c237p-11, 0x1.31d3e6c656542p-11, 0x1.2978155ba229bp-11, 0x1.214e89777fb99p-11, 0x1.195649e66f5d7p-11, 0x1.118e5b61e5f9ap-11, 0x1.09f5edf6b5a1dp-11, 0x1.028c1a155d6d8p-11, 0x1.f69fe8c46b06p-12, 0x1.e88121b66da25p-12, 0x1.dab9fba69087dp-12, 0x1.cd48b28fe052fp-12, 0x1.c02b68cc92077p-12, 0x1.b3602429cb1d6p-12, 0x1.a6e54778c31c5p-12, 0x1.9ab8c95704dfap-12, 0x1.8ed8f6793b33p-12, 0x1.8344170ee6424p-12, 0x1.77f7e7e71cc5ap-12, 0x1.6cf34c1852ddp-12, 0x1.62344c81d25bfp-12, 0x1.57b9ac76c28cp-12, 0x1.4d8228ed7b09p-12, 0x1.438c832e4bae2p-12, 0x1.39d76cb8c249ep-12, 0x1.306182d4de51ap-12, 0x1.27295d1df123fp-12, 0x1.1e2da0c5471e9p-12, 0x1.156d09ed440b9p-12, 0x1.0ce666bfdb78bp-12, 0x1.04988afa7b2f6p-12, 0x1.f9048c2c78bafp-13, 0x1.e944c1399452cp-13, 0x1.d9ef39b66e12bp-13, 0x1.cb0169134eda5p-13, 0x1.bc78a5eb96641p-13, 0x1.ae5227d0f581ep-13, 0x1.a08b2ebc2441ap-13, 0x1.932160d33d49cp-13, 0x1.8612e4561926p-13, 0x1.795df4789f404p-13, 0x1.6d00f72c34e74p-13, 0x1.60fa72726807p-13, 0x1.55486a4c92362p-13, 0x1.49e8a5240ef94p-13, 0x1.3ed8ecd1b8172p-13, 0x1.34170f38eeeb1p-13, 0x1.29a10b85cbc8cp-13, 0x1.1f74ef3f57dd2p-13, 0x1.15910a07f200ep-13, 0x1.0bf3f51646575p-13, 0x1.029c705d3f6dap-13, 0x1.f3125d26b4c98p-14, 0x1.e17118277c56bp-14, 0x1.d051e0352ee48p-14, 0x1.bfb0c08804b87p-14, 0x1.af89be66b0f7ep-14, 0x1.9fd924c6f3fb6p-14, 0x1.909bd9c0bf925p-14, 0x1.81cf824e92a9dp-14, 0x1.73723cdb23483p-14, 0x1.65821e62b1566p-14, 0x1.57fd350afd7b2p-14, 0x1.4ae074e7d073ep-14, 0x1.3e2b06c289eb1p-14, 0x1.31d4af8dd97ddp-14, 0x1.25e25762f2ff9p-14, 0x1.1a4cce1ac99e8p-14, 0x1.0f123f3ba0d62p-14, 0x1.042fb9318c40ep-14, 0x1.f34522defcf85p-15, 0x1.ded12d2d64965p-15, 0x1.cb000f90ac89p-15, 0x1.b7ce7590b8d2dp-15, 0x1.a5394185774f1p-15, 0x1.933db61617b9fp-15, 0x1.81d713edd228ep-15, 0x1.70fbb3500beb7p-15, 0x1.60ad264621fe6p-15, 0x1.50e34b77a433bp-15, 0x1.419e69c6f7f8dp-15, 0x1.32daed0c368cfp-15, 0x1.2495d232ba285p-15, 0x1.16cb8ff8b021dp-15, 0x1.097835bf9479cp-15, 0x1.f930e42ccedf9p-16, 0x1.e053a7b4ce7c7p-16, 0x1.c85463dfbd1a4p-16, 0x1.b12f2cdd79996p-16, 0x1.9adc6fb5b45acp-16, 0x1.85507c785ffc7p-16, 0x1.708b5859910efp-16, 0x1.5c8b0fad1a62ep-16, 0x1.493f67cc72752p-16, 0x1.36a884a513ef9p-16, 0x1.24c12aed877a3p-16, 0x1.1384127342308p-16, 0x1.02ebdb3cd2fdp-16, 0x1.e5e5424ecc6a3p-17, 0x1.c72501718f726p-17, 0x1.a9901289c304bp-17, 0x1.8d216b617382ap-17, 0x1.71cff9d6243f7p-17, 0x1.5795718b8f41cp-17, 0x1.3e692267435b3p-17, 0x1.263ebd88b1c2bp-17, 0x1.0f0df591bb38cp-17, 0x1.f19d7c023cdfp-18, 0x1.c6fe2dbbd0ca2p-18, 0x1.9e2f425e88458p-18, 0x1.7720b132cbe6ap-18, 0x1.51c5aad0ca2dep-18, 0x1.2e125e315a4fcp-18, 0x1.0bf9b983ae0f6p-18, 0x1.d6dcadf5057f7p-19, 0x1.98c68f8063667p-19, 0x1.5d9a0295f7767p-19, 0x1.2541795731ddep-19, 0x1.df4f689ea86f1p-20, 0x1.796e65f7e4c2p-20, 0x1.18b7331b2d515p-20, 0x1.79d31581035ebp-21, 0x1.9793bfbc4fd4ep-22, 0x1.3766a2dcdb441p-24, -0x1.d44fca14fb6e4p-23, -0x1.0863afdfc89b6p-21, -0x1.93988897a85e6p-21, -0x1.0b71bd87d9c2bp-20, -0x1.4935a564344a4p-20, -0x1.8358357086d4dp-20, -0x1.b9ef75eca7626p-20, -0x1.ed07fd5047a3dp-20, -0x1.0e5f59b85448p-19, -0x1.249dd3f8f6864p-19, -0x1.394f22f882f1ep-19, -0x1.4c800788e14c7p-19, -0x1.5e3fc6dccfc05p-19, -0x1.6e9d36682c309p-19, -0x1.7da23396b2155p-19, -0x1.8b562dbde627p-19, -0x1.97c8b22673611p-19, -0x1.a304bd361672ep-19, -0x1.ad23703e16adp-19, -0x1.b6384196489b6p-19, -0x1.bdfdfa2f62fd5p-19, -0x1.c4e693b5f50c1p-19, -0x1.cacde340fd49ap-19, -0x1.cfb45ed1ac2b2p-19, -0x1.d394427e13db4p-19, -0x1.d6a813903ddbbp-19, -0x1.d8e5e1e59f5c1p-19, -0x1.da70658a5cd3ep-19, -0x1.dafc34166d3afp-19, -0x1.db177c97545a5p-19, -0x1.da733adba6dc3p-19, -0x1.d943d91ee690ap-19, -0x1.d73f0f5fd14a8p-19, -0x1.d4b426cff2c4cp-19, -0x1.d1ae3ef11fffdp-19, -0x1.ce1afd132dee6p-19, -0x1.c9fe6b385fca2p-19, -0x1.c562dea3070cfp-19, -0x1.c04646e84b692p-19, -0x1.bac4bf65a3caap-19, -0x1.b4dc1bace9551p-19, -0x1.ae8cc6cb79897p-19, -0x1.a7dc515d76835p-19, -0x1.a0cff42523fe5p-19, -0x1.996c9d8cd5c2bp-19, -0x1.91b9bef9aa71p-19, -0x1.89c0ab901b2d8p-19, -0x1.81840011aef7cp-19, -0x1.790318fa411adp-19, -0x1.7044aed18d8fp-19, -0x1.674e74d06bcacp-19, -0x1.5e0d257c3bc24p-19, -0x1.54b3909c519fap-19, -0x1.4b1d1c619dde5p-19, -0x1.414414505acb3p-19, -0x1.3765d2782bc5bp-19, -0x1.2d650ee254afdp-19, -0x1.23471bb45029ep-19, -0x1.190b9633d563dp-19, -0x1.0eb89b75789edp-19, -0x1.04424f76101d3p-19, -0x1.f394aa92f467dp-20, -0x1.deb65aabf7175p-20, -0x1.c99619f923d2ep-20, -0x1.b46b1320b026p-20, -0x1.9f1fcc2d8c649p-20, -0x1.89ddca02d6c9fp-20, -0x1.749c28e5e3c98p-20, -0x1.5f3f11ef80c8p-20, -0x1.49dfb7f092215p-20, -0x1.348b2347a9aa1p-20, -0x1.1f4311f6be463p-20, -0x1.0a0de853e3918p-20, -0x1.e9dc4c05cfc99p-21, -0x1.bfbe1ecbabafbp-21, -0x1.95c3908d8a563p-21, -0x1.6bfddaa46436bp-21, -0x1.427a56f8dfcdcp-21, -0x1.192d798c503dfp-21, -0x1.e03903a00613bp-22, -0x1.8eca8d62ef57fp-22, -0x1.3e2d8a5b383b4p-22, -0x1.db94376c5e01cp-23, -0x1.3bf7e434badadp-23, -0x1.3c9935f583f2ep-24, -0x1.4e8df026e68f8p-30, 0x1.2c6c5a07473dfp-24, 0x1.338622969bb67p-23, 0x1.cb1140ebedbe7p-23, 0x1.300ba97f0a646p-22, 0x1.7936774f28ffp-22, 0x1.c2cc803f0837bp-22, 0x1.057ea44b012f5p-21, 0x1.2944a2d08c23p-21, 0x1.4c8903b89dd41p-21, 0x1.6f2d80b50f597p-21, 0x1.9137b6a0cd44fp-21, 0x1.b32526e0e72cp-21, 0x1.d44a959796c75p-21, 0x1.f4db05f94621cp-21, 0x1.0a8d7e09726e6p-20, 0x1.1a6bdb9b8fb96p-20, 0x1.2a020fa6b6661p-20, 0x1.39592b09e9adbp-20, 0x1.4873811763593p-20, 0x1.5745e2600c85cp-20, 0x1.65caff316693cp-20, 0x1.7412a23fae8bp-20, 0x1.821f333caa27p-20, 0x1.8fdee1b4fe7aep-20, 0x1.9d601b2072cbcp-20, 0x1.aa88753788dc1p-20, 0x1.b78f8a339797bp-20, 0x1.c4312da74166ep-20, 0x1.d0a3de29f1b08p-20, 0x1.dcd3489e3a7f3p-20, 0x1.e8bf8955af014p-20, 0x1.f466e000e9f4dp-20, 0x1.ffc9e4b13ddf1p-20, 0x1.05706dcbbb86ap-19, 0x1.0add18d67766ap-19, 0x1.102a7c1555314p-19, 0x1.15580305cc098p-19, 0x1.1a64b7c21d836p-19, 0x1.1f4b8f47b548dp-19, 0x1.24124944bc635p-19, 0x1.28bd6fab73dbcp-19, 0x1.2d4572620a797p-19, 0x1.31a7ef28866a7p-19, 0x1.35f07272160cdp-19, 0x1.3a1d9facd5f14p-19, 0x1.3e212f02061c2p-19, 0x1.421af90b72c2cp-19, 0x1.45c1d9f108417p-19, 0x1.49879aa6b7131p-19, 0x1.4d1d3d7530c2p-19, 0x1.5096f5caffd88p-19, 0x1.53e68091a8ad9p-19, 0x1.572340d79f4dap-19, 0x1.5a3f1dd737fa8p-19, 0x1.5d3cfb3566b74p-19, 0x1.6029eea6dd4dap-19, 0x1.62d952b48256ep-19, 0x1.658ce93f7a76dp-19, 0x1.682133d593ef1p-19, 0x1.6aad4f9ec9ecdp-19, 0x1.6cf984da5fad4p-19, 0x1.6f3e16c6a24c9p-19, 0x1.715d3eedce1dp-19, 0x1.7367107a63afdp-19, 0x1.755b7b5d57eafp-19, 0x1.7736430c19317p-19, 0x1.78f503c5d5173p-19, 0x1.7a9cd1ef55654p-19, 0x1.7c2d2b71f5bd4p-19, 0x1.7da6d9afda5dfp-19, 0x1.7f0beece725dep-19, 0x1.805990fe38abfp-19, 0x1.81902f25bb484p-19, 0x1.82b02ff5ffd39p-19, 0x1.83ba50ddcdad6p-19, 0x1.84af4655c27fep-19, 0x1.858f49bf2d9cdp-19, 0x1.865a4a7dfcc11p-19, 0x1.87108188c3947p-19, 0x1.87b28798463b4p-19, 0x1.8840bd15a8926p-19, 0x1.88baa1b83034p-19, 0x1.891d16d596076p-19, 0x1.897781a5c87ep-19, 0x1.89b7ac958a55cp-19, 0x1.89e50844a9cfbp-19, 0x1.8a09dc5daa3b7p-19, 0x1.8a115900e25edp-19, 0x1.8a16f02130fadp-19, 0x1.89fe0545bcd67p-19, 0x1.89dbccb3a69fdp-19, 0x1.89a6fd8cb722p-19, 0x1.895d4989c40b8p-19, 0x1.8904dc7b3fe4bp-19, 0x1.88a113a223b73p-19, 0x1.882ffb0894f6cp-19, 0x1.87ac8699219ebp-19, 0x1.871b4137bc8e6p-19, 0x1.867cbd789304ep-19, 0x1.85d270eb55d9dp-19, 0x1.851f4591d2d4dp-19, 0x1.845b219d830dap-19, 0x1.838636ca7474cp-19, 0x1.82ae917691ce8p-19, 0x1.81bdc9978f0c9p-19, 0x1.80c50a7dadf1bp-19, 0x1.7fb64c4a1f008p-19, 0x1.7ea90bca421afp-19, 0x1.7d8cf3e10322dp-19, 0x1.7c6fcaf02f0cap-19, 0x1.7b41e220b877fp-19, 0x1.7a00dae9e5a71p-19, 0x1.7898247ef577cp-19, 0x1.77749e9121063p-19, 0x1.761b413072f59p-19, 0x1.74be1f239e37ep-19, 0x1.733b7c6744bdbp-19, 0x1.71d9f4ef039d7p-19, 0x1.705e2a5b58a84p-19, 0x1.6ed84090da57bp-19, 0x1.6d4a1ced6a4d7p-19, 0x1.6bba2980bec5p-19, 0x1.6a1e3b8b46ee7p-19, 0x1.687a888b5a242p-19, 0x1.66cd8e35554a4p-19, 0x1.651d53c18d591p-19, 0x1.635d19e5e2157p-19, 0x1.61a68739df076p-19, 0x1.5fd9db33c8f66p-19, 0x1.5e121b31e8929p-19, 0x1.5c42fb0e45a9cp-19, 0x1.5a70b58f1e726p-19, 0x1.588ac764b8c85p-19, 0x1.56a93972b620fp-19, 0x1.54c0cccfd2517p-19, 0x1.52d422c078a86p-19, 0x1.50e1924a7be49p-19, 0x1.4eeb5f771701ap-19, 0x1.4cef2314d1d8ap-19, 0x1.4af087ca0f392p-19, 0x1.48ef98569814ep-19, 0x1.46e7ba3cbb70dp-19, 0x1.44dcd1a9b62fp-19, 0x1.42cec6550c196p-19, 0x1.40bd063b149dap-19, 0x1.3ea8c1ce1909bp-19, 0x1.3c92e97dd4bdbp-19, 0x1.3a750924cff23p-19, 0x1.3859b9603c486p-19, 0x1.36381f8c6a66dp-19, 0x1.34162f3018126p-19, 0x1.31ea596255596p-19, 0x1.2fb7c15caafbfp-19, 0x1.2d84c7d491db2p-19, 0x1.2b6f53b718ea6p-19, 0x1.2947dcbbe2189p-19, 0x1.27070658dab51p-19, 0x1.24db7062ff2bap-19, 0x1.22a048997bf76p-19, 0x1.206d017d13b1dp-19, 0x1.1e2126671c118p-19, 0x1.1bfd244c6b426p-19, 0x1.19cc8c306c2edp-19, 0x1.1795e044b9e61p-19, 0x1.15586ccb81e3ep-19, 0x1.131ae745bf0a7p-19, 0x1.10de8c5e2545bp-19, 0x1.0ea32780e8e82p-19, 0x1.0c67b645c18bfp-19, 0x1.0a27b43fb87d7p-19, 0x1.07e8f494f6fe2p-19, 0x1.05b67afdefcc5p-19, 0x1.0376bee0cabb6p-19, 0x1.013a5aafd7a45p-19, 0x1.fe03a5d2987c3p-20, 0x1.f98b14a469427p-20, 0x1.f504bc50592ebp-20, 0x1.f08d48d94628dp-20, 0x1.ec1d9e149cd8fp-20, 0x1.e7ae25b52caa4p-20, 0x1.e33ee637c88bap-20, 0x1.decf82bcb76cbp-20, 0x1.da641580032p-20, 0x1.d5f63178f0297p-20, 0x1.d1850f988fdaep-20, 0x1.cd18a53b6b078p-20, 0x1.c8c2f30e031p-20, 0x1.c4558655a395p-20, 0x1.bff26594ede8bp-20, 0x1.bb9332d88e117p-20, 0x1.b734e971d17f4p-20, 0x1.b2de7d4e579ddp-20, 0x1.ae927b68e0ad7p-20, 0x1.aa3ad658beb6cp-20, 0x1.a5d983ac4c986p-20, 0x1.a19c428b32a07p-20, 0x1.9d4e01b714901p-20, 0x1.9919f6d617f6p-20, 0x1.94d6ab53fa66dp-20, 0x1.909433696dfa6p-20, 0x1.8c56883906d7bp-20, 0x1.8826cbdb50136p-20, 0x1.83c81d6ffab93p-20, 0x1.7fbdb42f7bddp-20, 0x1.7ba1d00ff6015p-20, 0x1.779631ca3755p-20, 0x1.734a3853b9209p-20, 0x1.6f25867a1c32fp-20, 0x1.6b294f3ca07b6p-20, 0x1.670f4cd47f596p-20, 0x1.62f6360dcb094p-20, 0x1.5ec5115078a81p-20, 0x1.5b08561be9a77p-20, 0x1.5709a8ee05372p-20, 0x1.52f8dc983563fp-20, 0x1.4f00dc92c4af6p-20, 0x1.4b107a3786c65p-20, 0x1.47258f1db686p-20, 0x1.43401f7cd173bp-20, 0x1.3f69614a72fe4p-20, 0x1.3b8731db4ffbep-20, 0x1.37aa83a3580fbp-20, 0x1.33cd30b34ebafp-20, 0x1.300f1c6b4f267p-20, 0x1.2c410bed18ad1p-20, 0x1.287f7d7ec57ccp-20, 0x1.24cb783b42b78p-20, 0x1.210df13f96c83p-20, 0x1.1d64104cb331bp-20, 0x1.19b96080dc3f6p-20, 0x1.1615a01704526p-20, 0x1.127806b0ccd65p-20, 0x1.0ed63a9751258p-20, 0x1.0b3724ba73722p-20, 0x1.07a6bcc0ef1dp-20, 0x1.043945f758818p-20, 0x1.00cbed7b754aep-20, 0x1.fa6cd9b067d66p-21, 0x1.f38809993aa11p-21, 0x1.ec7c248688ed3p-21, 0x1.e5ad4921ac7ebp-21, 0x1.dedfa98fe4a3cp-21, 0x1.d823f9f44390dp-21, 0x1.d18b90fd67d6cp-21, 0x1.cae16116adb01p-21, 0x1.c4410a5ac5cdfp-21, 0x1.bdab525810fa4p-21, 0x1.b7081b267f8p-21, 0x1.b070cf60d9c67p-21, 0x1.aa3cb724cb736p-21, 0x1.a3e95f8df2c49p-21, 0x1.9d9503d686337p-21, 0x1.974bc0a8cf045p-21, 0x1.90ef673f6e914p-21, 0x1.8accdfec3d345p-21, 0x1.84a8992916f0ap-21, 0x1.7e93d0214228cp-21, 0x1.788a3eaf77b55p-21, 0x1.728bccfc240a9p-21, 0x1.6c9b4716048cap-21, 0x1.66af37412dcf6p-21, 0x1.60ce8946726f5p-21, 0x1.5afdde6461b6cp-21, 0x1.553aec7cb49ddp-21, 0x1.4f857ea6706a7p-21, 0x1.49e32ca1737fdp-21, 0x1.4447a59bbf0ap-21, 0x1.3e9c6be15ae31p-21, 0x1.39060d3c8181cp-21, 0x1.33847df00d205p-21, 0x1.2daa8ef6b2589p-21, 0x1.28bc7d6927155p-21, 0x1.235c863263a16p-21, 0x1.1df6a6c88ab98p-21, 0x1.18c20851cc4b5p-21, 0x1.1385de5acf106p-21, 0x1.0e5f331a75e7dp-21, 0x1.0942cd324dbcp-21, 0x1.042d5a57c782bp-21, 0x1.fe56e554c5844p-22, 0x1.f43a6711b645fp-22, 0x1.ea579d2301ed7p-22, 0x1.e0c6d6fc9b2b6p-22, 0x1.d6f94eb010bc3p-22, 0x1.cd33596e53f66p-22, }}, 
      {{0x1.092eeaeefd7f5p-2, 0x1.360134bddb7b5p-1, 0x1.f59d2fb1da354p-1, 0x1.4551cb0f7ce45p+0, 0x1.6f6f026a79be4p+0, 0x1.79f9f11d8dca7p+0, 0x1.6beca57ed9ecap+0, 0x1.4e3017815fad2p+0, 0x1.291ad239a1376p+0, 0x1.0342911956709p+0, 0x1.c252eb9e0e6a7p-1, 0x1.8aca83a703f31p-1, 0x1.61fb1ae4d8c81p-1, 0x1.47b0e67deb5fbp-1, 0x1.3a3fb9767fb9p-1, 0x1.372b1762be154p-1, 0x1.3ba64967442b8p-1, 0x1.44ee9f28b6efdp-1, 0x1.508585603bcd9p-1, 0x1.5c51379d0011fp-1, 0x1.66aa9772dd93p-1, 0x1.6e5dcff72787p-1, 0x1.72a2554f8dab9p-1, 0x1.730dc7a748157p-1, 0x1.6f84559caec85p-1, 0x1.6828808a60789p-1, 0x1.5d4b817c0372ep-1, 0x1.4f5f0ed8943b8p-1, 0x1.3ee8fb0fe3618p-1, 0x1.2c78d77665e0cp-1, 0x1.189f9f8b6111bp-1, 0x1.03e9508fc35aap-1, 0x1.ddb074fbc5289p-2, 0x1.b3c3a21dfa8bcp-2, 0x1.8ad97944114d4p-2, 0x1.639fdfa64cbc6p-2, 0x1.3ea509a7d901ep-2, 0x1.1c586dccec23ep-2, 0x1.fa19143c673f7p-3, 0x1.c1f28e3a0d20bp-3, 0x1.907d6344ba1d9p-3, 0x1.65cfc771995edp-3, 0x1.41dbf74a86c8bp-3, 0x1.2475ff1d3a089p-3, 0x1.0d593a16f5981p-3, 0x1.f85ade2312a68p-4, 0x1.e116f124ef65dp-4, 0x1.d402d56b40b75p-4, 0x1.d02c74c39dfa8p-4, 0x1.d499c99ad76a3p-4, 0x1.e04e446e14924p-4, 0x1.f24f4e1b3954ep-4, 0x1.04d3fba0dfb7fp-3, 0x1.12b5f6041fd4cp-3, 0x1.225cdf037b1dap-3, 0x1.335e4f619b7cep-3, 0x1.4556cfe714511p-3, 0x1.57ea42b91c17ep-3, 0x1.6ac41dd080ba7p-3, 0x1.7d977df811c65p-3, 0x1.901f1a4bac675p-3, 0x1.a21d1e78096b6p-3, 0x1.b35af1cdd0ccbp-3, 0x1.c3a8f021a90abp-3, 0x1.d2de16dbbc44bp-3, 0x1.e0d7a9be98249p-3, 0x1.ed78d12491d68p-3, 0x1.f8aa34a81965bp-3, 0x1.012cca20bb625p-2, 0x1.053cb07c2d0bfp-2, 0x1.08802bfe1fc42p-2, 0x1.0af48fda9bfbfp-2, 0x1.0c98f4119f7d1p-2, 0x1.0d6e07a8261cep-2, 0x1.0d75e4fbcd983p-2, 0x1.0cb3e821f56dp-2, 0x1.0b2c87cf8e585p-2, 0x1.08e5306324d6bp-2, 0x1.05e421cfc36a5p-2, 0x1.02304ef9dd163p-2, 0x1.fba28153b5cf7p-3, 0x1.f19df351345d4p-3, 0x1.e663bc16b473dp-3, 0x1.da05375a0b119p-3, 0x1.cc942b6d37f2bp-3, 0x1.be22a22d524a4p-3, 0x1.aec2c78351bfcp-3, 0x1.9e86ca239c782p-3, 0x1.8d80bfb888599p-3, 0x1.7bc28d2d7c018p-3, 0x1.695dd092ac9fap-3, 0x1.5663cedc539d6p-3, 0x1.42e56301f7326p-3, 0x1.2ef2f1362998p-3, 0x1.1a9c5a15ae93bp-3, 0x1.05f0f23401f27p-3, 0x1.e1fef2bc21c94p-4, 0x1.b7ac2af825216p-4, 0x1.8d049aa0e082dp-4, 0x1.62220babee932p-4, 0x1.371d0087fb50ep-4, 0x1.0c0cb2784d3b9p-4, 0x1.c20e2554321cp-5, 0x1.6c41973399f25p-5, 0x1.16da8cb80e3c9p-5, 0x1.83fab77d60219p-6, 0x1.b72fbc1dd9371p-7, 0x1.a65d0b1d6846ap-9, -0x1.c0be13cfe2096p-8, -0x1.1323938f5b9eep-6, -0x1.b3dee27bd0062p-6, -0x1.2919f7f0a8a5ap-5, -0x1.76fc9fbe2997cp-5, -0x1.c3849afb06a4fp-5, -0x1.075077c1dcffcp-4, -0x1.2c2134f604148p-4, -0x1.502dc24cdf09dp-4, -0x1.737028637eae3p-4, -0x1.95e333fdb43ffp-4, -0x1.b78268b6fddp-4, -0x1.d849f7668b093p-4, -0x1.f836b7d48e347p-4, -0x1.0ba30d2c02f2fp-3, -0x1.1abb102885022p-3, -0x1.2962ab2a4ce3fp-3, -0x1.37996356aa64p-3, -0x1.455ef9697b8a1p-3, -0x1.52b366d773125p-3, -0x1.5f96d8c96df1ep-3, -0x1.6c09ab297752fp-3, -0x1.780c6839e05a1p-3, -0x1.839fc3693b7fbp-3, -0x1.8ec49483e509cp-3, -0x1.997bd76e01019p-3, -0x1.a3c6a88b1f0dcp-3, -0x1.ada64064c360bp-3, -0x1.b71bf195edaa7p-3, -0x1.c029281a4f708p-3, -0x1.c8cf65145eebp-3, -0x1.d1103c0062dc6p-3, -0x1.d8ed51df4f865p-3, -0x1.e0685c2af9e98p-3, -0x1.e7831c5a17c02p-3, -0x1.ee3f5ec17443p-3, -0x1.f49efaab9d8cep-3, -0x1.faa3cff22efafp-3, -0x1.0027e1ef85e19p-2, -0x1.02d26084d492p-2, -0x1.05525ba84b0b5p-2, -0x1.07a8cc913d0c3p-2, -0x1.09d6aceea1e1bp-2, -0x1.0bdcf6bc187dap-2, -0x1.0dbca45d0f74bp-2, -0x1.0f76afa819c62p-2, -0x1.110c10e03a92p-2, -0x1.127dbf16a66c6p-2, -0x1.13ccaff36d419p-2, -0x1.14f9d74d56b2ap-2, -0x1.16062637f76eap-2, -0x1.16f28b2b1184ep-2, -0x1.17bff218d0591p-2, -0x1.186f44517989p-2, -0x1.190167893e5f6p-2, -0x1.19773df8d8a37p-2, -0x1.19d1a69100f28p-2, -0x1.1a117ce433acfp-2, -0x1.1a3798ce2ffcbp-2, -0x1.1a44ce0389b25p-2, -0x1.1a39ec6288a23p-2, -0x1.1a17c00896c4p-2, -0x1.19df113e89003p-2, -0x1.1990a428edf7fp-2, -0x1.192d38a1e4332p-2, -0x1.18b58a75bfabap-2, -0x1.182a51a65563cp-2, -0x1.178c42228e1d7p-2, -0x1.16dc0ba92b13dp-2, -0x1.161a59cd576b8p-2, -0x1.1547d41b804p-2, -0x1.14651e5ccdf75p-2, -0x1.1372d853cb79dp-2, -0x1.12719dd8a0a05p-2, -0x1.116206ab892e9p-2, -0x1.1044a6d2c243ap-2, -0x1.0f1a0e95ae24ap-2, -0x1.0de2ca98f052bp-2, -0x1.0c9f63d14acb6p-2, -0x1.0b505f6776f4dp-2, -0x1.09f63ef9ffc45p-2, -0x1.089180bddfe07p-2, -0x1.07229f8cb7403p-2, -0x1.05aa12d7e9f47p-2, -0x1.04284ebb2934ep-2, -0x1.029dc406986c3p-2, -0x1.010ae05ffb2a8p-2, -0x1.fee01ccead51fp-3, -0x1.fb9b6b7508494p-3, -0x1.f84875fe237d6p-3, -0x1.f4e7ffa3e0af6p-3, -0x1.f17ac617675bfp-3, -0x1.ee01816c1a017p-3, -0x1.ea7ce46843599p-3, -0x1.e6ed9c93e0303p-3, -0x1.e35452484c2a6p-3, -0x1.dfb1a8b239ca8p-3, -0x1.dc063e2b4ea64p-3, -0x1.d852ac26fd567p-3, -0x1.d497878bea42ap-3, -0x1.d0d560c41efcdp-3, -0x1.cd0cc3bc5a556p-3, -0x1.c93e37f94006ep-3, -0x1.c56a40ca7befbp-3, -0x1.c1915d728bf22p-3, -0x1.bdb4091ec49f8p-3, -0x1.b9d2bb2f5cddep-3, -0x1.b5ede748b9dcp-3, -0x1.b205fd3fba824p-3, -0x1.ae1b6961d753bp-3, -0x1.aa2e945579b57p-3, -0x1.a63fe3800bd93p-3, -0x1.a24fb8e8bde6dp-3, -0x1.9e5e736b55a61p-3, -0x1.9a6c6eb8ae09ap-3, -0x1.967a0369f41dfp-3, -0x1.9287871e7bcdbp-3, -0x1.8e954c86aa668p-3, -0x1.8aa3a38d4b6b5p-3, -0x1.86b2d9640a707p-3, -0x1.82c33892fa103p-3, -0x1.7ed508ebbe938p-3, -0x1.7ae88fecd722ep-3, -0x1.76fe10734bf59p-3, -0x1.7315caf176cf9p-3, -0x1.6f2ffd9bc065cp-3, -0x1.6b4ce45bcb072p-3, -0x1.676cb8ecf054ap-3, -0x1.638fb2de99269p-3, -0x1.5fb607a8010f3p-3, -0x1.5bdfeabb58056p-3, -0x1.580d8d8a14f0dp-3, -0x1.543f1f92849ap-3, -0x1.5074ce808cbdep-3, -0x1.4caec62aca0f5p-3, -0x1.48ed30a29bfep-3, -0x1.453036344541cp-3, -0x1.4177fd911bb2ap-3, -0x1.3dc4abb1f9e2bp-3, -0x1.3a1664014057p-3, -0x1.366d48609ecb2p-3, -0x1.32c9792ad064bp-3, -0x1.2f2b153b9d30ep-3, -0x1.2b923a1b83566p-3, -0x1.27ff03e5d33a6p-3, -0x1.24718d46960f7p-3, -0x1.20e9efaf32542p-3, -0x1.1d6843438ec4bp-3, -0x1.19ec9ee8b1f94p-3, -0x1.1677184e57a0ep-3, -0x1.1307c3f8e921ap-3, -0x1.0f9eb54919ee3p-3, -0x1.0c3bfe83480bbp-3, -0x1.08dfb0cc9cb6dp-3, -0x1.0589dc52936a8p-3, -0x1.023a902bf7669p-3, -0x1.fde3b4d5ad88p-4, -0x1.f75f90790808cp-4, -0x1.f0e8cbacdc7efp-4, -0x1.ea7f7d0b30851p-4, -0x1.e423b9637acf7p-4, -0x1.ddd593cd75ac7p-4, -0x1.d7951db332083p-4, -0x1.d16266e7b6c56p-4, -0x1.cb3d7d9e5ba4ap-4, -0x1.c5266e864b6b5p-4, -0x1.bf1d44cd25ab9p-4, -0x1.b9220a3791bb3p-4, -0x1.b334c73338d1cp-4, -0x1.ad5582b367557p-4, -0x1.a784426551794p-4, -0x1.a1c10ab713e1ap-4, -0x1.9c0bdeca1be88p-4, -0x1.9664c08defd13p-4, -0x1.90cbb0de6f91p-4, -0x1.8b40af6079a18p-4, -0x1.85c3baa86be6ep-4, -0x1.8054d03523278p-4, -0x1.7af3ec838048p-4, -0x1.75a10b19ced6cp-4, -0x1.705c26849e9e9p-4, -0x1.6b25385ce2f0bp-4, -0x1.65fc3957a7dd5p-4, -0x1.60e12152aad99p-4, -0x1.5bd3e74a386ddp-4, -0x1.56d481712d82ap-4, -0x1.51e2e53013629p-4, -0x1.4cff0734bcabep-4, -0x1.4828db7194b04p-4, -0x1.436055204bcb1p-4, -0x1.3ea566cbd2d1fp-4, -0x1.39f8025cd13fep-4, -0x1.355819202702cp-4, -0x1.30c59bc71e9eep-4, -0x1.2c407a6a76eefp-4, -0x1.27c8a47e3e12ep-4, -0x1.235e091e6a374p-4, -0x1.1f0096c5a3381p-4, -0x1.1ab03b68220dap-4, -0x1.166ce49ae8a8bp-4, -0x1.12367f6c49ep-4, -0x1.0e0cf87c7eb13p-4, -0x1.09f03c0a442d7p-4, -0x1.05e035ee3dcecp-4, -0x1.01dcd199ad8dp-4, -0x1.fbcbf452b47d6p-5, -0x1.f3f734af8a65bp-5, -0x1.ec3b393c1495bp-5, -0x1.e497d63de4e8ap-5, -0x1.dd0cdf5f6cap-5, -0x1.d59a27c0ebce9p-5, -0x1.ce3f81fffeb9fp-5, -0x1.c6fcc03412731p-5, -0x1.bfd1b3fe39051p-5, -0x1.b8be2e9732d6ep-5, -0x1.b1c200d040b7fp-5, -0x1.aadcfb16a513ep-5, -0x1.a40eed796bcd5p-5, -0x1.9d57a7b5bb771p-5, -0x1.96b6f946e0668p-5, -0x1.902cb14d35712p-5, -0x1.89b89ec9bc92bp-5, -0x1.835a90603ff9cp-5, -0x1.7d12545bd3ba5p-5, -0x1.76dfb9230813ep-5, -0x1.70c28cd1ab702p-5, -0x1.6aba9d59d3a76p-5, -0x1.64c7b883d3725p-5, -0x1.5ee9ac1b65c23p-5, -0x1.592045ccfc294p-5, -0x1.536b532bba6e7p-5, -0x1.4dcaa1c320cc9p-5, -0x1.483dff011c853p-5, -0x1.42c5384ca6dfdp-5, -0x1.3d601b0ef42e9p-5, -0x1.380e74b7036f2p-5, -0x1.32d012bb5aab7p-5, -0x1.2da4c2a1723a7p-5, -0x1.288c520965e23p-5, -0x1.23868eb389aecp-5, -0x1.1e93467b25adep-5, -0x1.19b2474b155f3p-5, -0x1.14e35f2484714p-5, -0x1.10265c1ca9825p-5, -0x1.0b7b0c60edc05p-5, -0x1.06e13e31c57e8p-5, -0x1.0258bfebc261p-5, -0x1.fbc2c024598f8p-6, -0x1.f2f5dab7fc88dp-6, -0x1.ea4a6db5f22ffp-6, -0x1.e1c017d09a5e1p-6, -0x1.d9567839236eap-6, -0x1.d10d2ede98224p-6, -0x1.c8e3dc1c7a073p-6, -0x1.c0da20a73f673p-6, -0x1.b8ef9d6fdb307p-6, -0x1.b123f39c3a7c2p-6, -0x1.a976c455f51bap-6, -0x1.a1e7b125ad92ap-6, -0x1.9a765bee5d14ep-6, -0x1.9322673a87fe7p-6, -0x1.8beb766defca9p-6, -0x1.84d12e06d1193p-6, -0x1.7dd333bf026a2p-6, -0x1.76f12e424e36dp-6, -0x1.702ac54774649p-6, -0x1.697fa10883feap-6, -0x1.62ef6a3c88bb9p-6, -0x1.5c79c9a052a7dp-6, -0x1.561e67a56b54cp-6, -0x1.4fdcec9ead108p-6, -0x1.49b500e4ad599p-6, -0x1.43a64d2fc2a1ep-6, -0x1.3db07b0d31191p-6, -0x1.37d33557a5ff4p-6, -0x1.320e2894d959ap-6, -0x1.2c6103200da8ap-6, -0x1.26cb7519cfb4dp-6, -0x1.214d301c1f1ddp-6, -0x1.1be5e6b195fabp-6, -0x1.16954b9677e7ap-6, -0x1.115b11635b584p-6, -0x1.0c36e9fdc01b3p-6, -0x1.0728867decb1p-6, -0x1.022f978a852a3p-6, -0x1.fa979b33340cep-7, -0x1.f0f9b38c3fbddp-7, -0x1.e784dcf1ac5a7p-7, -0x1.de38807110202p-7, -0x1.d5140bbef68c9p-7, -0x1.cc16f15dfc6e4p-7, -0x1.c340a82d81e52p-7, -0x1.ba90aa358f78p-7, -0x1.b20672b2c742ap-7, -0x1.a9a17cd757f52p-7, -0x1.a16142753cc72p-7, -0x1.99453b6302d3fp-7, -0x1.914cdd89aaba7p-7, -0x1.89779da0eac1bp-7, -0x1.81c4f084eee69p-7, -0x1.7a344cce2ef71p-7, -0x1.72c52c3158dbap-7, -0x1.6b770c7547f3bp-7, -0x1.64496fd37f1afp-7, -0x1.5d3bdc7319f7ep-7, -0x1.564ddb8114217p-7, -0x1.4f7ef80e00ea2p-7, -0x1.48cebdc37011ep-7, -0x1.423cb83fd1621p-7, -0x1.3bc87285b6bf6p-7, -0x1.357177598ea3cp-7, -0x1.2f37521f0f685p-7, -0x1.29198fe21f51ep-7, -0x1.2317c0542c573p-7, -0x1.1d317674c4f08p-7, -0x1.1766489a78dc5p-7, -0x1.11b5cfe0f5e5ep-7, -0x1.0c1fa6ac2625dp-7, -0x1.06a366e466a5p-7, -0x1.0140a8815cdd9p-7, -0x1.f7ee00b96d0ddp-8, -0x1.ed8c002fe7014p-8, -0x1.e35a6e2241541p-8, -0x1.d95868cdd2cccp-8, -0x1.cf85133eed228p-8, -0x1.c5df9d1fc31e3p-8, -0x1.bc674289f8ca4p-8, -0x1.b31b56cc423a8p-8, -0x1.a9fb3d5fc7754p-8, -0x1.a1066babff1fcp-8, -0x1.983c602a35bc6p-8, -0x1.8f9c9b61a139ap-8, -0x1.8726966e4fad5p-8, -0x1.7ed9bb2120f28p-8, -0x1.76b55dbac9796p-8, -0x1.6eb8ba674be6ap-8, -0x1.66e2f882dfb92p-8, -0x1.5f333119d7e7bp-8, -0x1.57a878f58cf6p-8, -0x1.5041ec2db0537p-8, -0x1.48feb965c5091p-8, -0x1.41de2b3828cf2p-8, -0x1.3adfadb8a5fd2p-8, -0x1.3402ced6b4b44p-8, -0x1.2d473b5c6f73ep-8, -0x1.26acb5d180477p-8, -0x1.20330904cdab5p-8, -0x1.19d9faf20f5fp-8, -0x1.13a13f317f30cp-8, -0x1.0d886ca18dd4cp-8, -0x1.078ef81860cc5p-8, -0x1.01b436370c5ffp-8, -0x1.f7eec18402efap-9, -0x1.ecaf43784410dp-9, -0x1.e1a83fe3880fbp-9, -0x1.d6d816248c0bfp-9, -0x1.cc3d4c73ecf8cp-9, -0x1.c1d69e8bebe7ep-9, -0x1.b7a3057e5a3adp-9, -0x1.ada1b8ad0fa9cp-9, -0x1.a3d22774d8814p-9, -0x1.9a33edc2a5354p-9, -0x1.90c6c0bdb320fp-9, -0x1.878a5c0c60ec9p-9, -0x1.7e7e6bee2318fp-9, -0x1.75a2789b82507p-9, -0x1.6cf5dbc822f07p-9, -0x1.6477bc526d419p-9, -0x1.5c27143b9ef2ep-9, -0x1.5402bea4eb09dp-9, -0x1.4c098ad374c29p-9, -0x1.443a4fc1f9ddap-9, -0x1.3c93fb732e528p-9, -0x1.35159b1a8e077p-9, -0x1.2dbe5ac09f1b9p-9, -0x1.268d7c8618a5ep-9, -0x1.1f824c1dea975p-9, -0x1.189c15657810bp-9, -0x1.11da21d402e9ap-9, -0x1.0b3bbd8938f33p-9, -0x1.04c0409cc2fe7p-9, -0x1.fcce2d8057d0cp-10, -0x1.f05f81d4eb6f2p-10, -0x1.e4339e731b44p-10, -0x1.d849aa84edc14p-10, -0x1.cca0bcb2391a9p-10, -0x1.c137ce9d4b521p-10, -0x1.b60dc224be586p-10, -0x1.ab21767371744p-10, -0x1.a071e2025fae4p-10, -0x1.95fe22cb113cfp-10, -0x1.8bc578b7731e1p-10, -0x1.81c727b7e4275p-10, -0x1.78024a719be9fp-10, -0x1.6e75a9442d8f6p-10, -0x1.651fab46b18bbp-10, -0x1.5bfe66a12a02bp-10, -0x1.530fd4aea1193p-10, -0x1.4a520acf17867p-10, -0x1.41c36df3bbb94p-10, -0x1.3962b464992c9p-10, -0x1.312ee4d0bf743p-10, -0x1.29273e3ecb6abp-10, -0x1.214b2d8742087p-10, -0x1.199a4a4f92793p-10, -0x1.12146420da3ap-10, -0x1.0ab97fefa75bap-10, -0x1.0389bf767afe3p-10, -0x1.f90a6d048077cp-11, -0x1.eb57837760645p-11, -0x1.ddf9d150060f4p-11, -0x1.d0ef8d31b77d5p-11, -0x1.c436456132dfp-11, -0x1.b7cad93fd3572p-11, -0x1.abaa0a2735947p-11, -0x1.9fd0bf83fba8ep-11, -0x1.943c9f8f8c744p-11, -0x1.88ec13ad0eb11p-11, -0x1.7dde0fe890611p-11, -0x1.73115b550a0c3p-11, -0x1.6883f2ddab013p-11, -0x1.5e32ee2818726p-11, -0x1.541b1c42803cep-11, -0x1.4a3a10d161174p-11, -0x1.408f08f3695f5p-11, -0x1.371b1de588be7p-11, -0x1.2de09dfb0a77cp-11, -0x1.24e1db5282451p-11, -0x1.1c20059df4762p-11, -0x1.139a8fa2506b4p-11, -0x1.0b4f4267cb009p-11, -0x1.033ac49efbddcp-11, -0x1.f6b29437ae43ap-12, -0x1.e74e8f55a46adp-12, -0x1.d84443a621e5cp-12, -0x1.c991658212d82p-12, -0x1.bb36b78f69eb2p-12, -0x1.ad36e4da48cc5p-12, -0x1.9f946ff78d7fcp-12, -0x1.924fb0f45dd4bp-12, -0x1.8565f0729ff74p-12, -0x1.78d1e844733aap-12, -0x1.6c8d6318c7797p-12, -0x1.6092eca3ecadfp-12, -0x1.54df0d7119bb7p-12, -0x1.4970f35161b8cp-12, -0x1.3e4a1077ec82ap-12, -0x1.336cf04b45f7fp-12, -0x1.28dbca8bfa4a3p-12, -0x1.1e9762f73544ap-12, -0x1.149e6d12a2798p-12, -0x1.0aed9c6b10937p-12, -0x1.017fd6fdef585p-12, -0x1.f09e35281e2bap-13, -0x1.deabd0095f8ddp-13, -0x1.cd21f54c8086fp-13, -0x1.bc00a5f9687cfp-13, -0x1.ab4d4102dd74ap-13, -0x1.9b0e580f54f1bp-13, -0x1.8b475211a66cap-13, -0x1.7bf6839d7a09dp-13, -0x1.6d16b9ebb27c8p-13, -0x1.5ea214707d9fdp-13, -0x1.50948bd42bb66p-13, -0x1.42ece0963375ep-13, -0x1.35ac0af2756cep-13, -0x1.28d21d2d101cap-13, -0x1.1c5b84d7b762bp-13, -0x1.10412be235bd4p-13, -0x1.047b6877831dbp-13, -0x1.f20a868a5dfep-14, -0x1.dbbbc87c5bd33p-14, -0x1.c60ecc8400a88p-14, -0x1.b107c43ffd7b7p-14, -0x1.9ca4fd0ed9f58p-14, -0x1.88df14afafddcp-14, -0x1.75a754a636d95p-14, -0x1.62f0c5e6f521ep-14, -0x1.50b5010b0eccp-14, -0x1.3ef79c101784ap-14, -0x1.2dc1afd337cbdp-14, -0x1.1d19d00556e2ep-14, -0x1.0cfeadc2653b4p-14, -0x1.face426967b82p-15, -0x1.dc8f7e9763c12p-15, -0x1.bf3667bf35b7dp-15, -0x1.a2c9e577fa3b3p-15, -0x1.875605fc82791p-15, -0x1.6cddc6a10fab5p-15, -0x1.5358e42b95b04p-15, -0x1.3abaa39090e06p-15, -0x1.22f76d03e2289p-15, -0x1.0c02a68a7b137p-15, -0x1.eb99d7d2bd095p-16, -0x1.c08b4e5247e72p-16, -0x1.96c341a2bb9d4p-16, -0x1.6e45301976febp-16, -0x1.472eb259919c5p-16, -0x1.219ec154cb28ep-16, -0x1.fb2017e583e5fp-17, -0x1.b58dcf8c3dacfp-17, -0x1.71e9603208d2ep-17, -0x1.300241b0b19a1p-17, -0x1.e08e2f8c993fap-18, -0x1.668131f9d9aa5p-18, -0x1.e3ed2a938ba55p-19, -0x1.0410e4e5c8a5bp-19, -0x1.5f36e04ae44a7p-22, 0x1.48daea4e38bdep-20, 0x1.6c2b6064db7cp-19, 0x1.15b109651f3fbp-18, 0x1.717326da7d442p-18, 0x1.c9c653ec9c1ap-18, 0x1.0f6ee9b8b4071p-17, 0x1.385b07bbe7d3dp-17, 0x1.5f9532365a345p-17, 0x1.8506d9f3121ddp-17, 0x1.a8a0d436fb398p-17, 0x1.ca5f7281e2d4bp-17, 0x1.ea57aeecb89fbp-17, 0x1.045d9f6ad86aep-16, 0x1.12e47aca6577p-16, 0x1.20c615c6e4ff9p-16, 0x1.2de9cefe4000fp-16, 0x1.3a4b2f0528fbap-16, 0x1.462464c7ed22bp-16, 0x1.51ad9a70db49cp-16, 0x1.5cc31e81614f4p-16, 0x1.671875cdf67c1p-16, 0x1.70a8f2c3bde6ap-16, 0x1.79a956f29460fp-16, 0x1.822aea6f10e28p-16, 0x1.8a19dc01b1dp-16, 0x1.917590a71156ap-16, 0x1.98549bac75528p-16, 0x1.9eca51fe206e9p-16, 0x1.a4ddbe056f142p-16, 0x1.aa8e4ea9613bfp-16, 0x1.afdbf69cbdfa6p-16, 0x1.b4c71b5cd670dp-16, 0x1.b9519ec4b1681p-16, 0x1.bd7d2a43ac96bp-16, 0x1.c149c77590d0ep-16, 0x1.c4b2f1c7ea2e1p-16, 0x1.c7b1058e65b8ep-16, 0x1.ca39795cf776cp-16, 0x1.cc48a7519551ep-16, 0x1.cde9bfc1de11p-16, 0x1.cf3d2b12a2257p-16, 0x1.d053a5c459e9fp-16, 0x1.d13010a395307p-16, 0x1.d1d70e7f7d2fdp-16, 0x1.d25078e0f035cp-16, 0x1.d28a765783596p-16, 0x1.d27fa3e4c1078p-16, 0x1.d23703a86a6dep-16, 0x1.d1a3b3af7cc04p-16, 0x1.d0beb1b647f17p-16, 0x1.cf9b8e1a848e5p-16, 0x1.ce4d3a4fbcdecp-16, 0x1.ccda6b9040d86p-16, 0x1.cb40a6ecd3eaap-16, 0x1.c97d684f6dfcep-16, 0x1.c78fdb7dd7278p-16, 0x1.c57855fbf4e8cp-16, 0x1.c337f0c3fcf12p-16, 0x1.c0d054512129ep-16, 0x1.be43b699da56bp-16, 0x1.bb9443da2db9fp-16, 0x1.b8c404d64eb7dp-16, 0x1.b5d4b3eaeebb2p-16, 0x1.b2c645ceb800fp-16, 0x1.af962d8fb581fp-16, 0x1.ac43c4e96e8c7p-16, 0x1.a8ccc152e7f48p-16, 0x1.a52a5e1d8db21p-16, 0x1.a15b1bc2ddaap-16, 0x1.9d73cbfc06232p-16, 0x1.99896a69fd04ap-16, 0x1.9590900068bdep-16, 0x1.918ed8994e73ap-16, 0x1.8d90c1ca9e64ep-16, 0x1.89775d29f8772p-16, 0x1.8530d9aa61b6cp-16, 0x1.80d02fcd581bp-16, 0x1.7c6972befa7e8p-16, 0x1.77fe0b76d0236p-16, 0x1.738bec8b87dafp-16, 0x1.6f0f3dc115598p-16, 0x1.6a8825cc9e1a3p-16, 0x1.65f6c80e40032p-16, 0x1.615b37b50111ap-16, 0x1.5cb73e7265ed9p-16, 0x1.580bfd3c7ab8p-16, 0x1.5359c4ad5e224p-16, 0x1.4ea0fb967b0ddp-16, 0x1.49e247d2a8664p-16, 0x1.451e88dfe3fa9p-16, 0x1.4056ab52d598ap-16, 0x1.3b8c12b3e2fbdp-16, 0x1.36bf87e861c2cp-16, 0x1.31f1baf9c514ap-16, 0x1.2d237dbadfe35p-16, 0x1.28564fe1b62bbp-16, 0x1.2387e09bfeab3p-16, 0x1.1eab45fae477cp-16, 0x1.19be11430c323p-16, 0x1.14d833845b265p-16, 0x1.1000394e004b5p-16, 0x1.0b398abfed732p-16, 0x1.0675569152501p-16, 0x1.01a38069977bfp-16, 0x1.f99d0644f6888p-17, 0x1.f003c320764a4p-17, 0x1.e679d5d4cd748p-17, 0x1.dcfc1da2823b3p-17, 0x1.d3889e7a5f3d2p-17, 0x1.ca1f2bbc7a2cp-17, 0x1.c0bd785086f8dp-17, 0x1.b767a09fac769p-17, 0x1.ae1d6f47638c3p-17, 0x1.a4dddf8abb059p-17, 0x1.9baaca996ed97p-17, 0x1.9285145b269fep-17, 0x1.896cbe57df31bp-17, 0x1.8062038b45383p-17, 0x1.7765d045457b8p-17, 0x1.6e78c506562efp-17, 0x1.659a735565b55p-17, 0x1.5ccb611d1ecf1p-17, 0x1.540d56a20403dp-17, 0x1.4b605e7b72cdp-17, 0x1.42c5c504e6d28p-17, 0x1.3a3bb2115fbe8p-17, 0x1.31c5e155bfa2ep-17, 0x1.29602d8b47ba8p-17, 0x1.21053eba7d0ffp-17, 0x1.18b65b50d75b2p-17, 0x1.107dd7bcf7965p-17, 0x1.08619e75f1afap-17, 0x1.0056c84149929p-17, 0x1.f0b5a52ddab1bp-18, 0x1.e0e093c827a44p-18, 0x1.d133f8e136125p-18, 0x1.c1b126a31c86ap-18, 0x1.b25834d25cd9dp-18, 0x1.a327412e5c42ep-18, 0x1.941c06255363cp-18, 0x1.853999cf0043cp-18, 0x1.76811a50523bcp-18, 0x1.67ef09ac65a1bp-18, 0x1.59842ece2d95ep-18, 0x1.4b44d6e066d72p-18, 0x1.3d28b4278d01cp-18, 0x1.2f420b4aeeb93p-18, 0x1.21734e6bb4c77p-18, 0x1.13d52f2e1bc71p-18, 0x1.065f060322becp-18, 0x1.f2279a90c1448p-19, 0x1.d7e3662b064acp-19, 0x1.bdeea4548b1bap-19, 0x1.a44b0e09389cbp-19, 0x1.8af99b1e2d673p-19, 0x1.71fbb9091807cp-19, 0x1.594f17121053ep-19, 0x1.40f9f5c67aa35p-19, 0x1.28ea579277c4bp-19, 0x1.1125851fbea4bp-19, 0x1.f39be00bf9f1ep-20, 0x1.c57414c9bf4adp-20, 0x1.97eb2e2501a23p-20, 0x1.6b025ed213bf7p-20, 0x1.3eb91f361e84ap-20, 0x1.1311a2a260db6p-20, 0x1.d012c9e8259c5p-21, 0x1.7b3f91e45897fp-21, 0x1.27a533ff5ee83p-21, 0x1.aa787e79c1bebp-22, 0x1.081abddc41a59p-22, 0x1.a0afc6bfcb2cap-24, -0x1.aab99da053318p-25, -0x1.a0e56b724c9bp-23, -0x1.692b7b0bb57ddp-22, -0x1.ff8629bb3764cp-22, -0x1.49c2dde4862ffp-21, -0x1.92962261274cep-21, -0x1.da3ecb0bc60afp-21, -0x1.105fd224621c8p-20, -0x1.330d2d9c69656p-20, -0x1.5524ee3a6eab5p-20, -0x1.76b45739bc1acp-20, -0x1.97acb56c51f65p-20, -0x1.b813c26e21ba1p-20, -0x1.d7fd87a56405cp-20, -0x1.f748bf911b603p-20, -0x1.0b0b12735e869p-19, -0x1.1a27f089bf9c9p-19, -0x1.2902b25e63d93p-19, -0x1.379868629e2e5p-19, -0x1.45e8539debebap-19, -0x1.53f5f09d023a2p-19, -0x1.61c39fd17d151p-19, -0x1.6f500d002a628p-19, -0x1.7c98b61fbe665p-19, -0x1.89a2966791531p-19, -0x1.966a3c2f391a1p-19, -0x1.a2f3cd86494e7p-19, -0x1.af42714df763fp-19, -0x1.bb4eedfe8ae17p-19, -0x1.c71c03cd94c43p-19, -0x1.d2b191ff9fee5p-19, -0x1.de049d00319c6p-19, -0x1.e91c7e2c1e8abp-19, -0x1.f3f71ba9469e1p-19, -0x1.fe9e0f9be223dp-19, -0x1.0485f9ec43655p-18, -0x1.09a07cdfdcb0cp-18, -0x1.0e9ccbb49ae54p-18, -0x1.137b555808316p-18, -0x1.183cf889dabc9p-18, -0x1.1ce7bba379e1ep-18, -0x1.2175f06d0b2p-18, -0x1.25ea9ed0c72edp-18, -0x1.2a3e7980a8f5bp-18, -0x1.2e805fe18ce11p-18, -0x1.32a4853075b76p-18, -0x1.36b1870a04c6fp-18, -0x1.3aa50b24e6a8dp-18, -0x1.3e7866c8a2a25p-18, -0x1.4237f9e94409fp-18, -0x1.45def3f4ec139p-18, -0x1.496cb57807b99p-18, -0x1.4ce4787f38169p-18, -0x1.50413caeecb4ep-18, -0x1.538c606d81d6cp-18, -0x1.56bae22763e5bp-18, -0x1.59d77e5ca0273p-18, -0x1.5cdc6c0dd4f0cp-18, -0x1.5fcb9a5fe08d4p-18, -0x1.62a1c5a4c3dd1p-18, -0x1.65640d5b6294ep-18, -0x1.6810d2ccd4225p-18, -0x1.6aa94e9e546cp-18, -0x1.6d2c8750b796fp-18, -0x1.6f9a991051949p-18, -0x1.71f6ac90bf478p-18, -0x1.743dc21265f2bp-18, -0x1.766f8bf5e1f7bp-18, -0x1.78900c16bc21ap-18, -0x1.7a9cc85a99e5bp-18, -0x1.7c96980bf75fp-18, -0x1.7e7de9184d58ep-18, -0x1.80530378b437p-18, -0x1.821699f8ab87fp-18, -0x1.83c70fe96ac82p-18, -0x1.8567282414f6dp-18, -0x1.86f503a2deffdp-18, -0x1.88728a8636e5cp-18, -0x1.89dd9c45a8fe6p-18, -0x1.8b373676f926p-18, -0x1.8c80873a50aadp-18, -0x1.8dc14b259e811p-18, -0x1.8eedfa309d948p-18, -0x1.900539560711bp-18, -0x1.91131ab0b2593p-18, -0x1.9210177c42926p-18, -0x1.92febc48d7b59p-18, -0x1.93dce87b5419dp-18, -0x1.94afb70edc608p-18, -0x1.9572f3f361719p-18, -0x1.96281b178245bp-18, -0x1.96d0db4d620d9p-18, -0x1.976ae8446abe5p-18, -0x1.97f5bb095b2a2p-18, -0x1.9875e7d02582cp-18, -0x1.98e64085d6c2bp-18, -0x1.994b413c06af1p-18, -0x1.99a504067a27fp-18, -0x1.99f549236699p-18, -0x1.9a3b8b27acdbap-18, -0x1.9a69e94477567p-18, -0x1.9a94b3098e072p-18, -0x1.9ab3467b28d96p-18, -0x1.9ac3489691d3cp-18, -0x1.9acafc67a138ep-18, -0x1.9ac904ca8e6bp-18, -0x1.9abbdc01905d7p-18, -0x1.9aa3db64ce071p-18, -0x1.9a8118a408faap-18, -0x1.9a54e1d66f6c1p-18, -0x1.9a1dacdc2b64p-18, -0x1.99daa6e6926cbp-18, -0x1.999135ff642d7p-18, -0x1.9941377a39131p-18, -0x1.98e34363656c4p-18, -0x1.987d2bfe97c9p-18, -0x1.980dd127c4e7fp-18, -0x1.9797a58645619p-18, -0x1.97188137612c3p-18, -0x1.968f61496c925p-18, -0x1.95ff0505e74dcp-18, -0x1.95640aa3aba55p-18, -0x1.94c7bd49d1478p-18, -0x1.941c91cc291c7p-18, -0x1.936f1f70b26fep-18, -0x1.92b7bda69948p-18, -0x1.91f8a1b613683p-18, -0x1.913200a308748p-18, -0x1.906631aefe66p-18, -0x1.8f903229d5561p-18, -0x1.8eb72dc16637bp-18, -0x1.8dd8546c7e4aep-18, -0x1.8cf89cef47fe4p-18, -0x1.8c0163ad0236ap-18, -0x1.8b0d3b6683379p-18, -0x1.8a15b0635fc75p-18, -0x1.89157cd69b92ap-18, -0x1.880f507c6288ap-18, -0x1.86fe13725b24fp-18, -0x1.85f8588c40a6bp-18, -0x1.84e23bec2ce13p-18, -0x1.83c463dfa17bfp-18, -0x1.82a5af8805f12p-18, -0x1.8180b3db5b4c1p-18, -0x1.80566a377e1c2p-18, -0x1.7f298a17eed27p-18, -0x1.7df8bfc0a4efap-18, -0x1.7cbd0766a1cap-18, -0x1.7b805f3fac30ep-18, -0x1.7a3e66d404f77p-18, -0x1.78fbd09f020edp-18, -0x1.77b18e3dadfd7p-18, -0x1.76651a94af75cp-18, -0x1.75175d3189457p-18, -0x1.73c0b10fff583p-18, -0x1.726b47ab000bdp-18, -0x1.710ec30ef4c52p-18, -0x1.6faf1865b4ab5p-18, -0x1.6e4d7fe599905p-18, -0x1.6ce72620be404p-18, -0x1.6b7c9f080b96dp-18, -0x1.6a103fd8beef9p-18, -0x1.68a7013569d3ep-18, -0x1.673f9a3e449dfp-18, -0x1.65c07992902dfp-18, -0x1.644b5c78bb665p-18, -0x1.62cd963b37007p-18, -0x1.6151662ea8861p-18, -0x1.5fd43a34894d7p-18, -0x1.5e543edbb9841p-18, -0x1.5cd18ed8dfdaap-18, -0x1.5b4cbaf9ba984p-18, -0x1.59c4572973218p-18, -0x1.583b92e30f1a2p-18, -0x1.56ae3653913b7p-18, -0x1.551bd87846528p-18, -0x1.5393f66d8bb8dp-18, -0x1.5203872037966p-18, -0x1.5071906eaa5dbp-18, -0x1.4edd4cc0ac7b5p-18, -0x1.4d42ed6736789p-18, -0x1.4bb015fd0266cp-18, -0x1.4a180c09af6dap-18, -0x1.487ed0a267091p-18, -0x1.46e430a966451p-18, -0x1.4547c626a172ep-18, -0x1.43a8247c08288p-18, -0x1.420c4f840ab78p-18, -0x1.406f1a3a8b57fp-18, -0x1.3ecf76fd2913cp-18, -0x1.3d2edaeb20993p-18, -0x1.3b8d54147be7dp-18, -0x1.39ea92b82b601p-18, -0x1.3848e93bb3d08p-18, -0x1.36a40a447c179p-18, -0x1.34fde280b768ap-18, -0x1.3359cbd9aeda1p-18, -0x1.31a72d2caf6ffp-18, -0x1.301153796cb38p-18, -0x1.2e6bef2b0bp-18, -0x1.2cc07b994c5d2p-18, -0x1.2b1d905375e1fp-18, -0x1.2975dd6344b95p-18, -0x1.27d0e849481e7p-18, -0x1.262b299795d81p-18, -0x1.24837538ee99p-18, -0x1.22dd8d6ffd244p-18, -0x1.213096f2463cfp-18, -0x1.1f8d7ebbc420ap-18, -0x1.1de7b4e7b4084p-18, -0x1.1c425ea8ecc8dp-18, -0x1.1a9b5c99d05f2p-18, }}, 
      {{0x1.485565f8162c2p-3, 0x1.2ae786465c60dp-2, 0x1.d705b8eb2f1c8p-2, 0x1.41e935b3f5636p-1, 0x1.8d34d49a62e37p-1, 0x1.c80af6fbdb192p-1, 0x1.f15cb045f1bbbp-1, 0x1.05584e6f9c233p+0, 0x1.0b695c50d2bd6p+0, 0x1.0c78c01015584p+0, 0x1.0a0ac3f1217d6p+0, 0x1.056d67e56d772p+0, 0x1.ff55a14383f83p-1, 0x1.f311e3681e8d3p-1, 0x1.e720dd3f53c12p-1, 0x1.dc2d751d3c51cp-1, 0x1.d29202d6a2193p-1, 0x1.ca6ce78ff6354p-1, 0x1.c3b284a3a66edp-1, 0x1.be3c0c86784b3p-1, 0x1.b9d32d59959c6p-1, 0x1.b63adc409cf84p-1, 0x1.b335a8d91261p-1, 0x1.b08a087a3c1e9p-1, 0x1.ae0504c22f757p-1, 0x1.ab7bad82b2fb4p-1, 0x1.a8cba0704413ep-1, 0x1.a5daeaef61635p-1, 0x1.a2977c3f921a5p-1, 0x1.9ef652d6399c1p-1, 0x1.9af2858861959p-1, 0x1.968c40608272fp-1, 0x1.91c7c5353406cp-1, 0x1.8cac7c2bc9d94p-1, 0x1.87441aaee256bp-1, 0x1.8199e4e1f9843p-1, 0x1.7bba096f00a0ap-1, 0x1.75b11a337aefep-1, 0x1.6f8b9c02a48f5p-1, 0x1.6955b073f77b4p-1, 0x1.631ad2c9d00abp-1, 0x1.5ce5a6f034aacp-1, 0x1.56bfd94d61d78p-1, 0x1.50b20a883cfa8p-1, 0x1.4ac3c6149d60bp-1, 0x1.44fb81b601ef3p-1, 0x1.3f5ea3abb9cd8p-1, 0x1.39f18d9806fffp-1, 0x1.34b7abb67e95ep-1, 0x1.2fb3866a658e4p-1, 0x1.2ae6d55f643ffp-1, 0x1.26529332afa8bp-1, 0x1.21f7116d0db38p-1, 0x1.1dd40cbc9fb4bp-1, 0x1.19e8c06713f3ep-1, 0x1.1633f8a0543a7p-1, 0x1.12b423b06838ep-1, 0x1.0f6761ae7006cp-1, 0x1.0c4b931a84f7dp-1, 0x1.095e665ac1f43p-1, 0x1.069d6412f0bf5p-1, 0x1.0405fa16ddaedp-1, 0x1.01958505f8afcp-1, 0x1.fe92b17222ce8p-2, 0x1.fa3d8efda4ca8p-2, 0x1.f62650d7889e9p-2, 0x1.f247b98236a4p-2, 0x1.ee9ca920416c7p-2, 0x1.eb202551e13f5p-2, 0x1.e7cd5f6108506p-2, 0x1.e49fb996fdbf8p-2, 0x1.e192cb21aa656p-2, 0x1.dea262d232dacp-2, 0x1.dbca8946da3f9p-2, 0x1.d9078219d1c29p-2, 0x1.d655cc8b2fd27p-2, 0x1.d3b22353e551bp-2, 0x1.d1197c7622294p-2, 0x1.ce890860828dap-2, 0x1.cbfe3086b3bc9p-2, 0x1.c976961acaa73p-2, 0x1.c6f0103f13bd5p-2, 0x1.c468aa2132a98p-2, 0x1.c1dea0e853665p-2, 0x1.bf506172b794p-2, 0x1.bcbc86263587dp-2, 0x1.ba21d47f360b7p-2, 0x1.b77f3ae931657p-2, 0x1.b4d3ce132bfcdp-2, 0x1.b21ec6d87bd97p-2, 0x1.af5f7fd041888p-2, 0x1.ac9573112a054p-2, 0x1.a9c037ec3d3fbp-2, 0x1.a6df80d7b9f98p-2, 0x1.a3f319566dcb7p-2, 0x1.a0fae3c9eff86p-2, 0x1.9df6d7ccdf951p-2, 0x1.9ae70023696eap-2, 0x1.97cb7912cb58ep-2, 0x1.94a46e97107d7p-2, 0x1.91721af334301p-2, 0x1.8e34c50e0cdd5p-2, 0x1.8aecbf281530ap-2, 0x1.879a6569c34fdp-2, 0x1.843e1cb4fa6b7p-2, 0x1.80d85177b7a5dp-2, 0x1.7d69769070f72p-2, 0x1.79f2045498bfp-2, 0x1.7672779ebefdap-2, 0x1.72eb50df7e1c5p-2, 0x1.6f5d135feae24p-2, 0x1.6bc8449f89a3ep-2, 0x1.682d6b7d48c02p-2, 0x1.648d0f9622375p-2, 0x1.60e7b8de4ea36p-2, 0x1.5d3def0db6654p-2, 0x1.59903918afd35p-2, 0x1.55df1cd9b98d7p-2, 0x1.522b1eaa7c336p-2, 0x1.4e74c10fd20f7p-2, 0x1.4abc847ae8702p-2, 0x1.4702e6dcbd982p-2, 0x1.434863a0b1a45p-2, 0x1.3f8d73616ab9ap-2, 0x1.3bd28bb6dcddp-2, 0x1.38181f262981p-2, 0x1.345e9cd073311p-2, 0x1.30a670b126b01p-2, 0x1.2cf0032a0eb5cp-2, 0x1.293bb9593becep-2, 0x1.2589f49951d47p-2, 0x1.21db12ce7c3dp-2, 0x1.1e2f6e61e15c7p-2, 0x1.1a875e03b9e2ap-2, 0x1.16e334edad4e9p-2, 0x1.134342c1f478p-2, 0x1.0fa7d3a0bd211p-2, 0x1.0c11302ffa311p-2, 0x1.087f9da7dd918p-2, 0x1.04f35dcd93bcdp-2, 0x1.016caf2f6a2f3p-2, 0x1.fbd799dd953f5p-3, 0x1.f4e1de197e09dp-3, 0x1.edf894ea31974p-3, 0x1.e71c21d307277p-3, 0x1.e04ce261e4df6p-3, 0x1.d98b2e6e7ec1p-3, 0x1.d2d7581fc392ap-3, 0x1.cc31abd18e94bp-3, 0x1.c59a70f435871p-3, 0x1.bf11e959f67c6p-3, 0x1.b898522a2714p-3, 0x1.b22de3816492ap-3, 0x1.abd2d0ca5b3a7p-3, 0x1.a58748d6ede9dp-3, 0x1.9f4b761db0138p-3, 0x1.991f7f0710e3ep-3, 0x1.930385b215fe5p-3, 0x1.8cf7a86523c8bp-3, 0x1.86fc01aa71771p-3, 0x1.8110a8798b9adp-3, 0x1.7b35b03198119p-3, 0x1.756b28ff3046dp-3, 0x1.6fb11fd84dfd2p-3, 0x1.6a079e9e6e38dp-3, 0x1.646eac56e20bfp-3, 0x1.5ee64d3763b78p-3, 0x1.596e82d2e5a76p-3, 0x1.54074c2e47da6p-3, 0x1.4eb0a606e0808p-3, 0x1.496a8aa14fe4ap-3, 0x1.4434f2103b2e2p-3, 0x1.3f0fd29cb0ab3p-3, 0x1.39fb205edfa3cp-3, 0x1.34f6cd9611dddp-3, 0x1.3002cada0b999p-3, 0x1.2b1f0710eb5c3p-3, 0x1.264b6f54ec5c3p-3, 0x1.2187efb0cd3e5p-3, 0x1.1cd47253c55d6p-3, 0x1.1830e08b327acp-3, 0x1.139d2226855f2p-3, 0x1.0f191de00989cp-3, 0x1.0aa4b9423d2e7p-3, 0x1.063fd8fdc8273p-3, 0x1.01ea60b7d3d77p-3, 0x1.fb48665b29f0bp-4, 0x1.f2da64cb296d1p-4, 0x1.ea8a7f23c42bap-4, 0x1.e25876552f4acp-4, 0x1.da440a077d389p-4, 0x1.d24cf8e72d275p-4, 0x1.ca73004fa7562p-4, 0x1.c2b5dca2cec9cp-4, 0x1.bb1549712db1p-4, 0x1.b391017cae0b8p-4, 0x1.ac28bea44eb06p-4, 0x1.a4dc3a2a6ad5dp-4, 0x1.9dab2d04fbfb1p-4, 0x1.96954f471dd5bp-4, 0x1.8f9a58c51e149p-4, 0x1.88ba00ebdf375p-4, 0x1.81f3fed67c82cp-4, 0x1.7b48095af51fcp-4, 0x1.74b5d72e93911p-4, 0x1.6e3d1ec07670bp-4, 0x1.67dd968a2b8b1p-4, 0x1.6196f4ee368bp-4, 0x1.5b68f041c3c26p-4, 0x1.55533eea9c123p-4, 0x1.4f55979befd8p-4, 0x1.496fb0c1ac589p-4, 0x1.43a14120bb51fp-4, 0x1.3de9ffccee352p-4, 0x1.3849a4012cb5dp-4, 0x1.32bfe527a897ap-4, 0x1.2d4c7adf9a19dp-4, 0x1.27ef1d6cbf768p-4, 0x1.22a7851cdd14p-4, 0x1.1d756a9864965p-4, 0x1.1858871360ecep-4, 0x1.1350941eef015p-4, 0x1.0e5d4bab3cc4fp-4, 0x1.097e681694d2dp-4, 0x1.04b3a43ea5fe2p-4, 0x1.fff97703c8ca3p-5, 0x1.f6b2d371dada1p-5, 0x1.ed92d66a2e67ap-5, 0x1.e498f97d7b039p-5, 0x1.dbc4b7e6beafbp-5, 0x1.d3158ccec8e34p-5, 0x1.ca8af548d689p-5, 0x1.c2246fc4625bp-5, 0x1.b9e17b1632a94p-5, 0x1.b1c1979e55c73p-5, 0x1.a9c446cec205fp-5, 0x1.a1e90b6db5ff1p-5, 0x1.9a2f6990a8637p-5, 0x1.9296e5c85c7e7p-5, 0x1.8b1f06386b008p-5, 0x1.83c752ff54a8bp-5, 0x1.7c8f54663cc12p-5, 0x1.7576944c8e65ap-5, 0x1.6e7c9dd69b24dp-5, 0x1.67a0fd8c9e007p-5, 0x1.60e340c98c6a7p-5, 0x1.5a42f685b2042p-5, 0x1.53bfaed1d9836p-5, 0x1.4d58faf1a6996p-5, 0x1.470e6d6c146c6p-5, 0x1.40df9a5ec16efp-5, 0x1.3acc165e9f25fp-5, 0x1.34d3779737d47p-5, 0x1.2ef55608a8e03p-5, 0x1.29314a135a8edp-5, 0x1.2386edaf44e29p-5, 0x1.1df5dc0c72e8cp-5, 0x1.187db1d3cb94ep-5, 0x1.131e0c2ff0081p-5, 0x1.0dd68a0137df4p-5, 0x1.08a6cb6f22304p-5, 0x1.038e716e08054p-5, 0x1.fd1a3d74d274ep-6, 0x1.f344ed62cd67dp-6, 0x1.e99c3c5dc1113p-6, 0x1.e01f75e486edcp-6, 0x1.d6cde8156818fp-6, 0x1.cda6e342571fbp-6, 0x1.c4a9bab00bdedp-6, 0x1.bbd5c30650527p-6, 0x1.b32a537982c9bp-6, 0x1.aaa6c50c9435ep-6, 0x1.a24a74a7514d4p-6, 0x1.9a14bf5388177p-6, 0x1.920505523a385p-6, 0x1.8a1aa92b55826p-6, 0x1.82550e83c12b5p-6, 0x1.7ab39c77ccc09p-6, 0x1.7335bbc479e6bp-6, 0x1.6bdad6df200fbp-6, 0x1.64a25abc8ae52p-6, 0x1.5d8bb660e6d55p-6, 0x1.56965a5d9b963p-6, 0x1.4fc1b9d8f8a9p-6, 0x1.490d49a0e803bp-6, 0x1.427880984afa1p-6, 0x1.3c02d79b445dbp-6, 0x1.35abc968cea06p-6, 0x1.2f72d2aeb1924p-6, 0x1.2957720405d29p-6, 0x1.235927e69d3bdp-6, 0x1.1d77768eeff74p-6, 0x1.17b1e2535a6b1p-6, 0x1.1207f107d482bp-6, 0x1.0c792a7fbafd2p-6, 0x1.07051840581b1p-6, 0x1.01ab459155c89p-6, 0x1.f8d67ef9bbf7p-7, 0x1.ee89298a407d5p-7, 0x1.e46dabb2b6c76p-7, 0x1.da83299f6d518p-7, 0x1.d0c8cab603573p-7, 0x1.c73db9ba4ae75p-7, 0x1.bde1267a8e354p-7, 0x1.b4b23f201c51p-7, 0x1.abb0399e96a3dp-7, 0x1.a2da4f2d5e88ep-7, 0x1.9a2fb7d3d4574p-7, 0x1.91afb118871c2p-7, 0x1.89597dfd25f6bp-7, 0x1.812c61825336ep-7, 0x1.7927a22dbf537p-7, 0x1.714a8781ebb5dp-7, 0x1.699460a5118b1p-7, 0x1.620479ef9be04p-7, 0x1.5a9a2808dc5cep-7, 0x1.5354befc14198p-7, 0x1.4c33954ac30bdp-7, 0x1.45360539869aep-7, 0x1.3e5b6c08ee667p-7, 0x1.37a328996b92bp-7, 0x1.310c9cb592278p-7, 0x1.2a972d6367938p-7, 0x1.244241a85e667p-7, 0x1.1e0d42c958866p-7, 0x1.17f79ca23c13p-7, 0x1.1200bd7cca19dp-7, 0x1.0c2815cb17a7fp-7, 0x1.066d19667bb06p-7, 0x1.00cf3c769dc45p-7, 0x1.f69bed2cca859p-8, 0x1.ebd1862f75a3fp-8, 0x1.e13e39a5801a4p-8, 0x1.d6e104198b7f6p-8, 0x1.ccb8e64efa6dbp-8, 0x1.c2c4e7ca6b136p-8, 0x1.b9040deee894ap-8, 0x1.af7566d137f05p-8, 0x1.a618064ef916dp-8, 0x1.9ceaffdefa1eap-8, 0x1.93ed6d889032cp-8, 0x1.8b1e6cb0b5746p-8, 0x1.827d1e1fdd5c5p-8, 0x1.7a08a66b35342p-8, 0x1.71c02e3c330a9p-8, 0x1.69a2e215eb0a7p-8, 0x1.61aff1cb20297p-8, 0x1.59e69043b6c51p-8, 0x1.5245f65d43e0dp-8, 0x1.4acd5c6715a36p-8, 0x1.437bffd313982p-8, 0x1.3c5121a1f9c12p-8, 0x1.354c093f06a56p-8, 0x1.2e6bfbf4a2e8bp-8, 0x1.27b044dc261eap-8, 0x1.211832107b3a5p-8, 0x1.1aa315cce693dp-8, 0x1.1450432fc1424p-8, 0x1.0e1f111e28dd5p-8, 0x1.080edb51a73a6p-8, 0x1.021efddbda94ap-8, 0x1.f89db1b21e7a6p-9, 0x1.ed3b9e781506p-9, 0x1.e2168d2c691bbp-9, 0x1.d72d4dcb94cb3p-9, 0x1.cc7eb75292ea3p-9, 0x1.c209a4b841b4fp-9, 0x1.b7ccf6e81e2d5p-9, 0x1.adc79377da9fep-9, 0x1.a3f864c066227p-9, 0x1.9a5e5a0cba68p-9, 0x1.90f8709666da7p-9, 0x1.87c596470dd05p-9, 0x1.7ec4cb7e19575p-9, 0x1.75f516e19f0cfp-9, 0x1.6d557dc267e9p-9, 0x1.64e50f8e00267p-9, 0x1.5ca2d976f58aap-9, 0x1.548df0ba34679p-9, 0x1.4ca56efa1305ep-9, 0x1.44e871dc6c3d3p-9, 0x1.3d561b1f3bfbap-9, 0x1.35ed908ef48b9p-9, 0x1.2eadfbf5fe332p-9, 0x1.27968b0e2fcb3p-9, 0x1.20a66f5eb4854p-9, 0x1.19dcddfaab6a7p-9, 0x1.13390f29c32a4p-9, 0x1.0cba437eea47p-9, 0x1.065fb6c13295ep-9, 0x1.0028ad5a29685p-9, 0x1.f428e6e230bc2p-10, 0x1.e844a0bc10affp-10, 0x1.dca3265811e83p-10, 0x1.d1431b4707e4fp-10, 0x1.c62329c6d9bap-10, 0x1.bb42073d8dc34p-10, 0x1.b09e6a7eba08fp-10, 0x1.a63707d8755f7p-10, 0x1.9c0aa33d980a3p-10, 0x1.9218123f8238ap-10, 0x1.885e1bb2c7c1bp-10, 0x1.7edb9584bf661p-10, 0x1.758f5b5b02429p-10, 0x1.6c784d629c319p-10, 0x1.639550fd64032p-10, 0x1.5ae55118ac19fp-10, 0x1.52673e2aaea43p-10, 0x1.4a1a0deb8893ap-10, 0x1.41fcbb03543b9p-10, 0x1.3a0e466872bd9p-10, 0x1.324db8ad2b6dp-10, 0x1.2aba1ea0e0249p-10, 0x1.235279935ef21p-10, 0x1.1c15e4091ed32p-10, 0x1.1503796d53fbcp-10, 0x1.0e1a5731734aep-10, 0x1.07599dbefaa33p-10, 0x1.00c06f71a9c79p-10, 0x1.f49be98fa83cep-11, 0x1.e802b77a0b921p-11, 0x1.dbb3ad96ada7cp-11, 0x1.cfad36fa85f6p-11, 0x1.c3edd59e27987p-11, 0x1.b873f37cc36c1p-11, 0x1.ad3e14a0da07dp-11, 0x1.a24ad6578933cp-11, 0x1.9798bea50f3bdp-11, 0x1.8d26697ce1278p-11, 0x1.82f2787e7b39bp-11, 0x1.78fb9398c82cep-11, 0x1.6f4067d3697efp-11, 0x1.65bfa241a7304p-11, 0x1.5c781db86e77ep-11, 0x1.53686b7380361p-11, 0x1.4a8f81c2d843p-11, 0x1.41ec16532dcaep-11, 0x1.397d166d04961p-11, 0x1.314151ad95f6ep-11, 0x1.2937ab8342245p-11, 0x1.215f0664c01bcp-11, 0x1.19b657de98f1p-11, 0x1.123c98ee67b96p-11, 0x1.0af0b2976a3d2p-11, 0x1.03d1a18449f29p-11, 0x1.f9bcce25b9f36p-12, 0x1.ec2c11f14b865p-12, 0x1.deef235d56f5fp-12, 0x1.d2042056bded6p-12, 0x1.c569443678ec1p-12, 0x1.b91cd8b766ea6p-12, 0x1.ad1cfb03518e9p-12, 0x1.a1680af350646p-12, 0x1.95fc8d36ccc11p-12, 0x1.8ad8c6c4c1dadp-12, 0x1.7ffb1fbb3b005p-12, 0x1.756213f501c49p-12, 0x1.6b0c187218ecdp-12, 0x1.60f779e496972p-12, 0x1.5722e34b6c10bp-12, 0x1.4d8cc6ac9ec17p-12, 0x1.4433ade02f41cp-12, 0x1.3b163cfeca50bp-12, 0x1.3232fc0ad4897p-12, 0x1.29889b33c6f5fp-12, 0x1.2115d8e28c9eep-12, 0x1.18d96b09141a2p-12, 0x1.10d21faa0a38dp-12, 0x1.08fec7e1ddc3p-12, 0x1.015e4a0361316p-12, 0x1.f3dee91a21883p-13, 0x1.e5625a62f7385p-13, 0x1.d744d3b1c8b11p-13, 0x1.c9840d8e56d83p-13, 0x1.bc1ddaabdcca3p-13, 0x1.af100ae5a330ep-13, 0x1.a25876e10c6a3p-13, 0x1.95f507779397bp-13, 0x1.89e3be2bab488p-13, 0x1.7e22b3fbe9ebap-13, 0x1.72b004611a81bp-13, 0x1.6789c76f8c238p-13, 0x1.5cae2899dcdbcp-13, 0x1.521b69fc93aa9p-13, 0x1.47cfd56cf208p-13, 0x1.3dc9c02ebe887p-13, 0x1.340789d358713p-13, 0x1.2a879c4909751p-13, 0x1.2148750119209p-13, 0x1.184898774a373p-13, 0x1.0f86922da0efdp-13, 0x1.0700f103bf346p-13, 0x1.fd6c78de5b81ap-14, 0x1.ed4a02458abd2p-14, 0x1.dd97b564692bfp-14, 0x1.ce52e15dd4e79p-14, 0x1.bf78dffc4ff43p-14, 0x1.b1071138c3852p-14, 0x1.a2fadf16cf598p-14, 0x1.9551c1440f0cdp-14, 0x1.88093746e9adap-14, 0x1.7b1ec9decf55ap-14, 0x1.6e900b274d574p-14, 0x1.625b0343d01fap-14, 0x1.567d16acb4a5ap-14, 0x1.4af41196e60c8p-14, 0x1.3fbd92624e2d1p-14, 0x1.34d8b4d56638ep-14, 0x1.2a42be27e8cd2p-14, 0x1.1ff9ad7d5370ap-14, 0x1.15fbb387b66ddp-14, 0x1.0c478a705beaep-14, 0x1.02db203e31ec3p-14, 0x1.f369310d9f4d4p-15, 0x1.e1a4a32268c9ap-15, 0x1.d0652076635ecp-15, 0x1.bfa76f71fd0a9p-15, 0x1.af682930a6b69p-15, 0x1.9fa43bb6fd17ap-15, 0x1.90570ab2b771fp-15, 0x1.817f6891405adp-15, 0x1.73181c3e9103dp-15, 0x1.651fded9c50ccp-15, 0x1.5792816bf61fcp-15, 0x1.4a6dd19958fcfp-15, 0x1.3dae806f24eb4p-15, 0x1.315234dac79c9p-15, 0x1.25569c31db0bap-15, 0x1.19b96e5ac7157p-15, 0x1.0e7850b753d38p-15, 0x1.0390d5f4f7732p-15, 0x1.f2012e275ac56p-16, 0x1.dd8a8e3fe4d7ap-16, 0x1.c9b96e7544dfdp-16, 0x1.b689a03641896p-16, 0x1.a3f70fe372bc9p-16, 0x1.91fdb51da0fdfp-16, 0x1.80998b919b34fp-16, 0x1.6fc68fc9693b2p-16, 0x1.5f80b74bc52adp-16, 0x1.4fc3d85e69461p-16, 0x1.408b9057911f2p-16, 0x1.31d388aa05576p-16, 0x1.2398312161b5dp-16, 0x1.15d6c144c37c2p-16, 0x1.088c34d700888p-16, 0x1.f76aeb78e1964p-17, 0x1.de9f189442dbdp-17, 0x1.c6b1d0103b69fp-17, 0x1.af9844e0721d8p-17, 0x1.994bc7b73820ep-17, 0x1.83c9dc10fd097p-17, 0x1.6f09b92195d5cp-17, 0x1.5b064bb996162p-17, 0x1.47ba9e2aebaf7p-17, 0x1.3521c2e4e19a2p-17, 0x1.2337d316d7a39p-17, 0x1.11f9157c28bc3p-17, 0x1.015cb23600a6p-17, 0x1.e2c5264af5758p-18, 0x1.c4075734c5459p-18, 0x1.a674d843124bcp-18, 0x1.8a03d6e27dc9cp-18, 0x1.6eab5009628ccp-18, 0x1.5463a2993afc1p-18, 0x1.3b25ff8ecd1cp-18, 0x1.22eb338f27a5ap-18, 0x1.0bb13c184f073p-18, 0x1.eada1efb9851ep-19, 0x1.c0251bf9e4817p-19, 0x1.9740571404188p-19, 0x1.70217507b9ce3p-19, 0x1.4ab03935aa36ap-19, 0x1.26e06e8d9fe2ep-19, 0x1.04a33e91b8befp-19, 0x1.c7d5576a5b1ap-20, 0x1.8954e58743443p-20, 0x1.4daf6d2efac5ep-20, 0x1.14cd83d6c451ep-20, 0x1.bd4822a4b3aeap-21, 0x1.5665192bcc439p-21, 0x1.e936e3462fb7cp-22, 0x1.2e3b68ac4a3ep-22, 0x1.f73e861f2044bp-24, -0x1.512f6e4453e71p-25, -0x1.924a1bbf14f69p-23, -0x1.5f94e396c8b89p-22, -0x1.eda8771a9feafp-22, -0x1.39d5d1176365p-21, -0x1.78fc92772d175p-21, -0x1.b46e7ed7a4c62p-21, -0x1.ec474c065d69dp-21, -0x1.104eae2e8c35ep-20, -0x1.28b90c9d0cad8p-20, -0x1.3f83b73ab46d2p-20, -0x1.54c44487300f4p-20, -0x1.687c81f2707c6p-20, -0x1.7ab2c3ab5948dp-20, -0x1.8b800b0576278p-20, -0x1.9af6ab7c55a3dp-20, -0x1.a920db10d1c1ap-20, -0x1.b607b1b42a8fap-20, -0x1.c1b66ef9b84d5p-20, -0x1.cc3c171b3d14cp-20, -0x1.d5a95bae14a07p-20, -0x1.de06fc170984cp-20, -0x1.e558c881592d7p-20, -0x1.ebab9eee5a55ep-20, -0x1.f10a019a57751p-20, -0x1.f57df4e2f1d4p-20, -0x1.f9123172c2dcp-20, -0x1.fbc3638b1326ap-20, -0x1.fdb9702934ea5p-20, -0x1.feddd1e2bc4f2p-20, -0x1.ff3fd92f8e7cp-20, -0x1.feeca9b4e88f2p-20, -0x1.fde99079c9b8p-20, -0x1.fc3cffe48fbbp-20, -0x1.f9ef8345794b2p-20, -0x1.f70978193fab2p-20, -0x1.f3920f1e698a8p-20, -0x1.ef8e2474619e9p-20, -0x1.eb01cf1d4088ap-20, -0x1.e5f51f33a1229p-20, -0x1.e06f0c9957b75p-20, -0x1.da7a972735452p-20, -0x1.d40f76580a6e8p-20, -0x1.cd451194661fap-20, -0x1.c61b47209b98cp-20, -0x1.be9ab11c798dap-20, -0x1.b6ae9ba93597bp-20, -0x1.ae7fdd3dc4185p-20, -0x1.a60bfcafdfe62p-20, -0x1.9d425cd346922p-20, -0x1.9439816a11feep-20, -0x1.8af1934315393p-20, -0x1.816d6cba3709bp-20, -0x1.77b3145360a4dp-20, -0x1.6dc6c4f7a0566p-20, -0x1.63a9a00751f8p-20, -0x1.595e00ef63bep-20, -0x1.4ee9a65f19116p-20, -0x1.4451e5b007005p-20, -0x1.3999684ecc931p-20, -0x1.2ec4ec8feaa24p-20, -0x1.23c396c7c7dabp-20, -0x1.18b6e5d704243p-20, -0x1.0d95924a1e47cp-20, -0x1.02575355e1485p-20, -0x1.ee045c91ba31dp-21, -0x1.d745424208a36p-21, -0x1.c0757af105df2p-21, -0x1.a99cf3f75bd7bp-21, -0x1.926f6644c29e7p-21, -0x1.7b703f6431026p-21, -0x1.646f7b5d99458p-21, -0x1.4d7bcc43448cbp-21, -0x1.3610085c9e104p-21, -0x1.1f1b08e790d19p-21, -0x1.0815f0b3f3e6p-21, -0x1.e25b5763e21c3p-22, -0x1.b46c0a947fb02p-22, -0x1.86b451bcb9a8ep-22, -0x1.593af87a69b1bp-22, -0x1.2be712a448f51p-22, -0x1.fd866162ac57dp-23, -0x1.a3c3cf23bd9c6p-23, -0x1.4a1bd782d1c5dp-23, -0x1.e2dc57e1e02c8p-24, -0x1.3265227a10d11p-24, -0x1.05dce03ce9246p-25, 0x1.598ab69d123a2p-27, 0x1.b0298dd5c49b9p-25, 0x1.83cd4952dca84p-24, 0x1.17136b9823094p-23, 0x1.6b581ee08b5bp-23, 0x1.bec3ecc4c1c2ep-23, 0x1.08c57553b61cdp-22, 0x1.31c511285e1aep-22, 0x1.5a479f16913fcp-22, 0x1.829aa9ebb600fp-22, 0x1.aa385b2b174a8p-22, 0x1.d178447f9bf15p-22, 0x1.f895f1d78fb13p-22, 0x1.0f8253b810188p-21, 0x1.22822c8583325p-21, 0x1.3543ec7cf817ap-21, 0x1.47c7524e8e22dp-21, 0x1.5a09dbd8a71fdp-21, 0x1.6c39bba1ef467p-21, 0x1.7e083211c0cadp-21, 0x1.8f5dd7db5e1e5p-21, 0x1.a0a7de707ad04p-21, 0x1.b1a88292df81cp-21, 0x1.c2857807e47f7p-21, 0x1.d2fcd8736ac19p-21, 0x1.e3575f2ee8691p-21, 0x1.f365d2523a5cdp-21, 0x1.0194c3edeb3e2p-20, 0x1.095f94afd4998p-20, 0x1.11031384ea772p-20, 0x1.187da9c2598e5p-20, 0x1.1fd7c38402094p-20, 0x1.271650f15a732p-20, 0x1.2e382b8f6f0ddp-20, 0x1.3538b82abc8b6p-20, 0x1.3c16869d2cd39p-20, 0x1.42cfe1ba594bbp-20, 0x1.496a530473274p-20, 0x1.4fe66d6242883p-20, 0x1.56437d16b1febp-20, 0x1.5c81e37d58efp-20, 0x1.62a196728d949p-20, 0x1.689ee10f292d9p-20, 0x1.6e767fea369ap-20, 0x1.742d54ff0be9cp-20, 0x1.79ced3474454ep-20, 0x1.7f4b13a48b243p-20, 0x1.84a40e6ad1862p-20, 0x1.89d97feed441p-20, 0x1.8efbb9812ff4ap-20, 0x1.93fa8035e52d2p-20, 0x1.98dc88b575e5cp-20, 0x1.9d9dfc3f33e57p-20, 0x1.a241940c2ec01p-20, 0x1.a6c0787fddb44p-20, 0x1.ab3a7c2516f9dp-20, 0x1.af82243732608p-20, 0x1.b3a4d004eddd1p-20, 0x1.b7b94683d19c6p-20, 0x1.bbb1024a225f2p-20, 0x1.bf885646e009cp-20, 0x1.c344a94425455p-20, 0x1.c6e7acd86c367p-20, 0x1.ca6ccf5c83669p-20, 0x1.cdd203d34b704p-20, 0x1.d11eaa88813a1p-20, 0x1.d454398b9b24fp-20, 0x1.d76b2b23076a2p-20, 0x1.da68bbc29adcfp-20, 0x1.dd4566e73cf81p-20, 0x1.e015620fc0454p-20, 0x1.e2c13d05ab382p-20, 0x1.e55b5cd128bc6p-20, 0x1.e7db98cd06061p-20, 0x1.ea422b9313ap-20, 0x1.ec90209f6ba25p-20, 0x1.eec382bc953d8p-20, 0x1.f0ec65b32ca04p-20, 0x1.f2f0f557ab63ep-20, 0x1.f4dbae99331a4p-20, 0x1.f6ba3e2514c78p-20, 0x1.f881f49f36b25p-20, 0x1.fa2df64f6e066p-20, 0x1.fbc33b93f21f8p-20, 0x1.fd4869cfdb51ep-20, 0x1.feb44993fa657p-20, 0x1.0001bdcc314bdp-19, 0x1.00a2915081123p-19, 0x1.013b97a8e0e75p-19, 0x1.01c3265d2489bp-19, 0x1.024c5fc82812ap-19, 0x1.02b88767a9183p-19, 0x1.0333b075aefd5p-19, 0x1.039b004f30ef2p-19, 0x1.03facab6b47bdp-19, 0x1.044b4e5a4a776p-19, 0x1.049515c70ceaap-19, 0x1.04d883d1f3b4fp-19, 0x1.051329dc84246p-19, 0x1.0544a0e46368dp-19, 0x1.056deda04fb7p-19, 0x1.058d1ec35c35p-19, 0x1.05a192763399cp-19, 0x1.05b4de560096ep-19, 0x1.05c3f3bc252b9p-19, 0x1.05bc74681db92p-19, 0x1.05b41f706d5bfp-19, 0x1.05a4c6edf902cp-19, 0x1.058eb501d16ecp-19, 0x1.0570c128208ebp-19, 0x1.0549c72a7bfd1p-19, 0x1.051d4d81005bfp-19, 0x1.04e9760b2e6f9p-19, 0x1.04aee6531bd0dp-19, 0x1.046ffd0436137p-19, 0x1.042a0972b2137p-19, 0x1.03dd67fb809dcp-19, 0x1.038a26d7e9dcap-19, 0x1.03308384e18ffp-19, 0x1.02d0f02ec4dbcp-19, 0x1.026bcec95cf8cp-19, 0x1.020110cd2b867p-19, 0x1.0190604602f6ap-19, 0x1.0119cb3657c9p-19, 0x1.009dd47224e89p-19, 0x1.001c9c7e137ap-19, 0x1.ff281f9012ee3p-20, 0x1.fe17ac67391b9p-20, 0x1.fcf49194d6c71p-20, 0x1.fbc4a5c98c9fdp-20, 0x1.fa9caf3d234edp-20, 0x1.f958337499748p-20, 0x1.f81a9bf55a657p-20, 0x1.f6c970e68a675p-20, 0x1.f573a064d6428p-20, 0x1.f413acf7f1b39p-20, 0x1.f2a7dcdeba846p-20, 0x1.f13493213229ap-20, 0x1.efbc84a83caf8p-20, 0x1.ee3e68b0469bfp-20, 0x1.ecb4e81fa17e8p-20, 0x1.eb251d2c247adp-20, 0x1.e98f00f6a449p-20, 0x1.e7f39b9c6ad83p-20, 0x1.e655119398abdp-20, 0x1.e4ac08872ddd9p-20, 0x1.e2f7c707330ebp-20, 0x1.e142203c830cbp-20, 0x1.df812f2b3134cp-20, 0x1.ddb8a0dcd63b6p-20, 0x1.dbec2efefb737p-20, 0x1.da21ffdb78fc7p-20, 0x1.d854f6fe0d2bep-20, 0x1.d67ae4b630e89p-20, 0x1.d49de25a04f34p-20, 0x1.d2b781bfd49a9p-20, 0x1.d0cc46442dcebp-20, 0x1.cee2bcf311c14p-20, 0x1.ccf2f1151d40bp-20, 0x1.cb0223b1bf599p-20, 0x1.c8fa66b1ff8d8p-20, 0x1.c7074a6d0631dp-20, 0x1.c5053894c6f0cp-20, 0x1.c3031fed581fdp-20, 0x1.c0fcd1ea79ac5p-20, 0x1.bee8436b87162p-20, 0x1.bcd832669bbf9p-20, 0x1.bac524d3ac31dp-20, 0x1.b8ac67e33c31ep-20, 0x1.b695d72e9e95p-20, 0x1.b472c4c9aeadbp-20, 0x1.b25abad2f09dbp-20, 0x1.b0354cc783049p-20, 0x1.ae15051f2bee6p-20, 0x1.abf125c5e02cfp-20, 0x1.a9ccbee20c08p-20, 0x1.a79921ebc0f5ap-20, 0x1.a56c1f32aed8dp-20, 0x1.a33c9709efee3p-20, 0x1.a10afb7d9653ep-20, 0x1.9ed75baf50699p-20, 0x1.9ca0b607572b8p-20, 0x1.9a6fff3cb95e1p-20, 0x1.983a36fedc9b4p-20, 0x1.95fd809d5a8a3p-20, 0x1.93c66d38ff58ep-20, 0x1.918bcc2b6d23dp-20, 0x1.8f4facab75945p-20, 0x1.8d131c0b710efp-20, 0x1.8ad5d51594f7fp-20, 0x1.88987d83e69aap-20, 0x1.8658170bc392cp-20, 0x1.84186a96dec08p-20, 0x1.81d772f59c16ep-20, 0x1.7f9683063f0ebp-20, 0x1.7d53c459f58f8p-20, 0x1.7b0e4d4a55876p-20, 0x1.78c45513b086p-20, 0x1.7693412a9fc41p-20, 0x1.7451c1c2c9f71p-20, 0x1.71fe9e88a4103p-20, 0x1.6fc2e5018bbf1p-20, 0x1.6d810af9de1b5p-20, 0x1.6b3fa8226584ap-20, 0x1.68fd090158e9cp-20, 0x1.66bd8bb8bd216p-20, 0x1.647cec6c42607p-20, 0x1.623cc68a7e76fp-20, 0x1.5ffe4daae8ec2p-20, 0x1.5dbddac033995p-20, 0x1.5b7b81e528ca1p-20, 0x1.593f3c9ea17e6p-20, 0x1.56ff0a1bced53p-20, 0x1.54bfd1c9a134bp-20, 0x1.5281fe9954646p-20, 0x1.505045ce5de42p-20, 0x1.4e1997da15f38p-20, 0x1.4bd94863f7dap-20, 0x1.49a505e392923p-20, 0x1.476faaaa0a2a1p-20, 0x1.4535364a1ca8p-20, 0x1.430069efc3077p-20, 0x1.40cf0bd7933fbp-20, 0x1.3e9e86bac38abp-20, 0x1.3c6eec78adc21p-20, 0x1.3a3f8ff09262dp-20, 0x1.3813b61ba8732p-20, 0x1.35e6a1266502bp-20, 0x1.33b868253060bp-20, 0x1.3192aa811a4d9p-20, 0x1.2f6cf7dc5d81ep-20, 0x1.2d448170e4bf2p-20, 0x1.2b1f5ca7ec256p-20, 0x1.28faa0140cfeep-20, 0x1.26dcc283eb073p-20, 0x1.24bef0332281cp-20, 0x1.229dbf83fe0a9p-20, 0x1.20835b9de8d03p-20, 0x1.1e679f989f181p-20, 0x1.1c5631e2d1569p-20, 0x1.1a3cb979c67a4p-20, 0x1.182ba70a6283fp-20, 0x1.1619be391a3b7p-20, 0x1.14093b062fd19p-20, 0x1.11faab9fe5888p-20, 0x1.0feed8372d96fp-20, 0x1.0de26e8ca6f5dp-20, 0x1.0bd871ed15b85p-20, 0x1.09d6fd3cfc75cp-20, 0x1.07dd77cbd6f5dp-20, 0x1.05cc5fee3f3bap-20, 0x1.03caea204197fp-20, 0x1.01d36fa732aecp-20, 0x1.ffac2053737f1p-21, 0x1.fbb605ca0a8a5p-21, 0x1.f7b62278e3b3ep-21, 0x1.f3f7729f2991dp-21, 0x1.f0135c3af311ep-21, 0x1.ec27463637b09p-21, 0x1.e84db31e50932p-21, 0x1.e47573f816b19p-21, 0x1.e0a18967dfd2dp-21, 0x1.dcd7c506df7d8p-21, 0x1.d91183a3b21dbp-21, 0x1.d5476373168a9p-21, 0x1.d1862de246a68p-21, 0x1.cdc29b8d2f6eep-21, 0x1.ca1b5474831bfp-21, 0x1.c66542c7b5d24p-21, 0x1.c2b9020a6a4ebp-21, 0x1.bf18ce7f67a3ep-21, 0x1.bb6f63a1f0786p-21, 0x1.b7d7523b9e936p-21, 0x1.b43def29c975bp-21, 0x1.b0a81ec64bf74p-21, 0x1.ad16e6dfa1ca1p-21, 0x1.a98c8064d6427p-21, 0x1.a604511029dfp-21, 0x1.a282aea75a819p-21, 0x1.9f179c142f85ap-21, 0x1.9bb40899c4146p-21, 0x1.982e8b83661d1p-21, 0x1.94c862fdd2f62p-21, 0x1.9156cb7c8a8cep-21, 0x1.8df18adaac8afp-21, 0x1.8a9a3e5e8171cp-21, 0x1.874563c684f9p-21, 0x1.83f084dfe05a3p-21, 0x1.80a2db511a27cp-21, 0x1.7d55726ebd036p-21, 0x1.7a139de5b6b79p-21, 0x1.76ccef86b1facp-21, 0x1.738def8159332p-21, 0x1.7064101ff786ap-21, 0x1.6d33d852d93cbp-21, 0x1.6a0bba202d5bp-21, 0x1.66e79bf192a97p-21, 0x1.63bcb10bc3d56p-21, 0x1.60a6757dc5834p-21, 0x1.5d8f588cd07bfp-21, 0x1.5a7dc75f58d28p-21, 0x1.57711dca0caeep-21, 0x1.5468d719c26a7p-21, 0x1.5162fb15894b7p-21, 0x1.4e6742117aaa8p-21, 0x1.4b7190ea1e606p-21, 0x1.487e7cb0df95bp-21, 0x1.458fcdda8e137p-21, 0x1.42a5721a3046dp-21, 0x1.3fbe40c5d649dp-21, 0x1.3ce0333465affp-21, 0x1.3a03b2ecf21a1p-21, 0x1.372a966bd23cap-21, 0x1.34565499e54bap-21, 0x1.316eb43e9575ap-21, 0x1.2ec26d1428df4p-21, 0x1.2c000918f2c9ep-21, 0x1.293fdbcb9713fp-21, 0x1.26876aea4ddbap-21, 0x1.23d0ee3f17803p-21, 0x1.2124474a5771bp-21, 0x1.1e7b9c96d754ep-21, 0x1.1bd50fd35d16cp-21, 0x1.19375e61be2a6p-21, 0x1.169263b68f7e7p-21, 0x1.13fbde16a095cp-21, 0x1.1174630a89894p-21, 0x1.0ee02f7bca2cp-21, 0x1.0c56313494a3ap-21, }}, 
      {{0x1.887de30207a65p-11, 0x1.fd9f5eb895a7ep-8, 0x1.a7630cbe8e4a8p-6, 0x1.b66d33569a7dap-5, 0x1.5b767eb5d01cbp-4, 0x1.cd667adca6edcp-4, 0x1.0c7347c94cd3dp-3, 0x1.1774b8f78ce4ep-3, 0x1.04de6a6e201d5p-3, 0x1.ab87f0d6e300fp-4, 0x1.1c230892b2197p-4, 0x1.9b8c9a302b5e7p-6, -0x1.9d546a2875c17p-6, -0x1.419b1de4c7e09p-4, -0x1.0e081743b1eb7p-3, -0x1.7646ae94aac0cp-3, -0x1.d57cb22da1f59p-3, -0x1.145752f3490e7p-2, -0x1.36f2e38a0c2f6p-2, -0x1.520aa7a7db388p-2, -0x1.657c04821a7bfp-2, -0x1.717587ef46f08p-2, -0x1.766487c3a0e43p-2, -0x1.74e40c262d5a6p-2, -0x1.6dada689607d5p-2, -0x1.618c774473454p-2, -0x1.515271685db5bp-2, -0x1.3dcfd0bdef6d5p-2, -0x1.27cc84f0e7523p-2, -0x1.100362c148b06p-2, -0x1.ee3db4edd83c6p-3, -0x1.bb6de857aef82p-3, -0x1.88a0b0d47c7d7p-3, -0x1.56b856b9e94b7p-3, -0x1.2671177116eb5p-3, -0x1.f0c619939dabdp-4, -0x1.9a097f2aa1eb2p-4, -0x1.495c3b2bc99e4p-4, -0x1.fe6ec99c72d0fp-5, -0x1.77c7bde87f17ep-5, -0x1.fe0387f36679ep-6, -0x1.282930c778b73p-6, -0x1.b5e95d19fb3f1p-8, 0x1.977532b7d16fap-9, 0x1.7485bf16d55f6p-7, 0x1.29ecf3ba7e1ffp-6, 0x1.8381431109b1ap-6, 0x1.c8b039d1940abp-6, 0x1.fb3aa460ba0c6p-6, 0x1.0e73ea0d03512p-5, 0x1.17bebd9edc7f3p-5, 0x1.1a5c859328faap-5, 0x1.172538db2ccdep-5, 0x1.0ee8094f7961cp-5, 0x1.0269e448cadcdp-5, 0x1.e4c8c5d03446dp-6, 0x1.bf0a2f1e9eef9p-6, 0x1.94da522146786p-6, 0x1.67625f8fa2ba2p-6, 0x1.37b293551e7cdp-6, 0x1.06c2b1ee091f4p-6, 0x1.aae588075959ap-7, 0x1.4917f9ceb327cp-7, 0x1.d306fd35eea14p-8, 0x1.1acadb5d59575p-8, 0x1.ae9fffb239d99p-10, -0x1.c3f4bc05790a8p-11, -0x1.a01511950004ap-9, -0x1.599d39e3be36fp-8, -0x1.d41317e64de11p-8, -0x1.1f3f827a11104p-7, -0x1.4c12f74cfce51p-7, -0x1.703d4c3ae5257p-7, -0x1.8b8ccf25327f8p-7, -0x1.9de2d557da2dap-7, -0x1.a731f29f1fd49p-7, -0x1.a77c419ecd034p-7, -0x1.9ed1d2afc0de2p-7, -0x1.8d4f2462bfd9ep-7, -0x1.731bc042214ecp-7, -0x1.5068e30d5c8dep-7, -0x1.257049fcae841p-7, -0x1.e4e60d17d3151p-8, -0x1.6f70f4f21363dp-8, -0x1.d6353e3f831ebp-9, -0x1.6214f3248ec9p-10, 0x1.1e97a41ae6aadp-10, 0x1.e96fcae0de88cp-9, 0x1.adfd995aca30bp-8, 0x1.3960800e176ecp-7, 0x1.a1252a0a3d986p-7, 0x1.06f84949adfbp-6, 0x1.3fb3532899f71p-6, 0x1.7a95f3537cf98p-6, 0x1.b772e5eac1ecp-6, 0x1.f61d90b7cbbb1p-6, 0x1.1b351358d6bc2p-5, 0x1.3c16e6a1c598cp-5, 0x1.5d9f5ba621023p-5, 0x1.7fba200f7b8p-5, 0x1.a253802bcce8bp-5, 0x1.c5586eb883146p-5, 0x1.e8b68d57ad8dap-5, 0x1.062e1896c9451p-4, 0x1.181c335cebb8ap-4, 0x1.2a1d7b0ef75bcp-4, 0x1.3c2a312d8c905p-4, 0x1.4e3af5e5b4162p-4, 0x1.6048c7c6bd786p-4, 0x1.724d021e094cep-4, 0x1.84415db84e2b7p-4, 0x1.961fed69316d3p-4, 0x1.a7e31e02574f6p-4, 0x1.b985b454a56dp-4, 0x1.cb02c9d4ae5bfp-4, 0x1.dc55cbb6fc07fp-4, 0x1.ed7a78294c3f1p-4, 0x1.fe6cdab6ef282p-4, 0x1.0794a5be19a99p-3, 0x1.0fd635910cc38p-3, 0x1.17f98fea8240ap-3, 0x1.1ffd4a23f3a75p-3, 0x1.27e0197ff6b7ep-3, 0x1.2fa0d1e02b842p-3, 0x1.373e654e0f2fep-3, 0x1.3eb7e180a5fd1p-3, 0x1.460c6ea5fe485p-3, 0x1.4d3b4f0cd9b63p-3, 0x1.5443dcd990996p-3, 0x1.5b25882df1794p-3, 0x1.61dfd7ddbc4e6p-3, 0x1.68726704f2446p-3, 0x1.6edce2db94e55p-3, 0x1.751f0b43bad35p-3, 0x1.7b38b1c853d56p-3, 0x1.8129b6a090e65p-3, 0x1.86f208b8d8785p-3, 0x1.8c91a5fa2d9ep-3, 0x1.920898c834143p-3, 0x1.9756f66105faap-3, 0x1.9c7cdfef173ecp-3, 0x1.a17a819e965dcp-3, 0x1.a6500ff2b82eap-3, 0x1.aafdc79982d46p-3, 0x1.af83ee7e79b5dp-3, 0x1.b3e2d1dc7333ap-3, 0x1.b81ac46fdcffdp-3, 0x1.bc2c1ecdba109p-3, 0x1.c01740709286bp-3, 0x1.c3dc8d1987a5cp-3, 0x1.c77c6c24d7681p-3, 0x1.caf748a05ed13p-3, 0x1.ce4d923e274edp-3, 0x1.d17fbb6746f48p-3, 0x1.d48e381bfe6a9p-3, 0x1.d7797e907edd7p-3, 0x1.da4207c044ea5p-3, 0x1.dce84e4e054bfp-3, 0x1.df6ccd02477aap-3, 0x1.e1cfff6c5f5ddp-3, 0x1.e41262a5dc989p-3, 0x1.e634749e8fb8dp-3, 0x1.e836b2b97bca2p-3, 0x1.ea1999de12744p-3, 0x1.ebdda74f02845p-3, 0x1.ed8358b26565p-3, 0x1.ef0b2afd1a416p-3, 0x1.f07599cc04d27p-3, 0x1.f1c32005920b5p-3, 0x1.f2f438595d95dp-3, 0x1.f4095d0e94435p-3, 0x1.f50306e35159bp-3, 0x1.f5e1acecf5dbp-3, 0x1.f6a5c57bd36efp-3, 0x1.f74fc644bd054p-3, 0x1.f7e023dc58b89p-3, 0x1.f857512b4c1b2p-3, 0x1.f8b5bfa826e8ap-3, 0x1.f8fbdf69e4997p-3, 0x1.f92a1ff64b7aep-3, 0x1.f940ef7f9357ap-3, 0x1.f940ba77353e8p-3, 0x1.f929ec002e098p-3, 0x1.f8fcedc34e226p-3, 0x1.f8ba28906d429p-3, 0x1.f862043ea3d2ap-3, 0x1.f7f4e6f3ebf6p-3, 0x1.f7733572a90bbp-3, 0x1.f6dd53191d952p-3, 0x1.f633a2800356bp-3, 0x1.f5768522d3cbfp-3, 0x1.f4a65b527cf23p-3, 0x1.f3c383fb15d4dp-3, 0x1.f2ce5cea074bap-3, 0x1.f1c742a337a62p-3, 0x1.f0ae910b47cb1p-3, 0x1.ef84a31324948p-3, 0x1.ee49d2752a7edp-3, 0x1.ecfe77e6d6918p-3, 0x1.eba2eadf97e9bp-3, 0x1.ea378221320fbp-3, 0x1.e8bc93a5ec302p-3, 0x1.e7327497a05e3p-3, 0x1.e5997924b5fccp-3, 0x1.e3f1f48cbde9p-3, 0x1.e23c3912fa68ep-3, 0x1.e078984c4af2dp-3, 0x1.dea76321c529bp-3, 0x1.dcc8e9d081d86p-3, 0x1.dadd7bba8423cp-3, 0x1.d8e5676da7b6fp-3, 0x1.d6e0fab919708p-3, 0x1.d4d082aa84591p-3, 0x1.d2b44bbf9690ep-3, 0x1.d08ca1df7cb17p-3, 0x1.ce59d03eb5e2dp-3, 0x1.cc1c216f9661ap-3, 0x1.c9d3df0890e57p-3, 0x1.c7815247aa86p-3, 0x1.c524c3a74285ap-3, 0x1.c2be7b2560d96p-3, 0x1.c04ec01a7c9bfp-3, 0x1.bdd5d94b38986p-3, 0x1.bb540cd6b3f0cp-3, 0x1.b8c9a0226f867p-3, 0x1.b636d8041df0dp-3, 0x1.b39bf8b842285p-3, 0x1.b0f945f85e48p-3, 0x1.ae4f02f1e3255p-3, 0x1.ab9d72251708bp-3, 0x1.a8e4d57fe3832p-3, 0x1.a6256e4464cd3p-3, 0x1.a35f7d0b5c0f8p-3, 0x1.a09341f1ecbe5p-3, 0x1.9dc0fc7d047e2p-3, 0x1.9ae8eb9d45e47p-3, 0x1.980b4d9f4a195p-3, 0x1.95286020a1362p-3, 0x1.92406042c43d6p-3, 0x1.8f538a71b8e7ep-3, 0x1.8c621a5297f35p-3, 0x1.896c4b270f7fep-3, 0x1.8672578636d61p-3, 0x1.8374796038f1bp-3, 0x1.8072ea010d286p-3, 0x1.7d6de205561bcp-3, 0x1.7a659966d56d7p-3, 0x1.775a4770e90e8p-3, 0x1.744c22c623402p-3, 0x1.713b6169e6d82p-3, 0x1.6e2838ae823fbp-3, 0x1.6b12dd4e1194ap-3, 0x1.67fb8345cd508p-3, 0x1.64e25dd0d5adp-3, 0x1.61c79f93a46b6p-3, 0x1.5eab7a723dbebp-3, 0x1.5b8e1f9dfbed3p-3, 0x1.586fbf8b18068p-3, 0x1.55508a260f04p-3, 0x1.5230ae88e2c3dp-3, 0x1.4f105b0d320ecp-3, 0x1.4befbd7ae6f71p-3, 0x1.48cf029eecfaap-3, 0x1.45ae56c2c1a81p-3, 0x1.428de56d3302bp-3, 0x1.3f6dd962aceb1p-3, 0x1.3c4e5cb47e1a5p-3, 0x1.392f98bc06ec1p-3, 0x1.3611b605031ep-3, 0x1.32f4dc756d327p-3, 0x1.2fd9332e4e396p-3, 0x1.2cbee09d61babp-3, 0x1.29a60a481e88dp-3, 0x1.268ed52e1435p-3, 0x1.237965783a50ep-3, 0x1.2065de919a441p-3, 0x1.1d54633c397b2p-3, 0x1.1a4515664a59cp-3, 0x1.17381648c3648p-3, 0x1.142d866540888p-3, 0x1.1125857dc8717p-3, 0x1.0e20329b36c4bp-3, 0x1.0b1dac05e548dp-3, 0x1.081e0f51bdf6cp-3, 0x1.05217957faf7bp-3, 0x1.0228063a48d8ep-3, 0x1.fe63a2c2507ffp-4, 0x1.f87deafa108bfp-4, 0x1.f29f1910b541fp-4, 0x1.ecc75f91435cbp-4, 0x1.e6f6ef9a2135dp-4, 0x1.e12df8e2dc84p-4, 0x1.db6ca9bfde93p-4, 0x1.d5b32f259e4d2p-4, 0x1.d001b4a64a18ep-4, 0x1.ca586477305a2p-4, 0x1.c4b7677507704p-4, 0x1.bf1ee523b72d7p-4, 0x1.b98f03b239092p-4, 0x1.b407e7fc206ecp-4, 0x1.ae89b58c51a19p-4, 0x1.a9148ea530f7bp-4, 0x1.a3a8943b908c3p-4, 0x1.9e45e5f8b3b2bp-4, 0x1.98eca26a38c41p-4, 0x1.939ce6a6f95a4p-4, 0x1.8e56ce96f3a83p-4, 0x1.891a7522934e7p-4, 0x1.83e7f3e0d315p-4, 0x1.7ebf62f234233p-4, 0x1.79a0d99307e4cp-4, 0x1.748c6dc67b587p-4, 0x1.6f8234a3ee307p-4, 0x1.6a82419de33d7p-4, 0x1.658ca7a7f5d2cp-4, 0x1.60a177fc8b838p-4, 0x1.5bc0c32285776p-4, 0x1.56ea98981f918p-4, 0x1.521f06af89d34p-4, 0x1.4d5e1aa830864p-4, 0x1.48a7e0d7debe7p-4, 0x1.43fc648b4f284p-4, 0x1.3f5bb001b598dp-4, 0x1.3ac5cc8fff24ap-4, 0x1.363ac29c86f69p-4, 0x1.31ba999b30a89p-4, 0x1.2d455814cd2f5p-4, 0x1.28db03aaac0fbp-4, 0x1.247ba1269fc21p-4, 0x1.2027345923f63p-4, 0x1.1bddc046f1c45p-4, 0x1.179f472f23031p-4, 0x1.136bca678e9e9p-4, 0x1.0f434a8843b2ep-4, 0x1.0b25c75e61ep-4, 0x1.07133fdbc6caep-4, 0x1.030bb26e9737cp-4, 0x1.fe1e3939da861p-5, 0x1.f63af649af4f5p-5, 0x1.ee6d9475458cdp-5, 0x1.e6b60a9325fdbp-5, 0x1.df144e2873438p-5, 0x1.d78853705b785p-5, 0x1.d0120d61783e4p-5, 0x1.c8b16db4868f4p-5, 0x1.c16664f08984fp-5, 0x1.ba30e27d13a07p-5, 0x1.b310d4ae00b89p-5, 0x1.ac06287fb6311p-5, 0x1.a510ca4650469p-5, 0x1.9e30a519036fep-5, 0x1.9765a2fb81e62p-5, 0x1.90afac9373dcep-5, 0x1.8a0eaa0f8887cp-5, 0x1.83828264d9626p-5, 0x1.7d0b1ba096807p-5, 0x1.76a85b0aeda01p-5, 0x1.705a250eae15cp-5, 0x1.6a205d686876ap-5, 0x1.63fae7388374p-5, 0x1.5de9a4cd46d28p-5, 0x1.57ec77cc86f73p-5, 0x1.52034121895cfp-5, 0x1.4c2de0f5307a4p-5, 0x1.466c36a481cb2p-5, 0x1.40be20cf115c3p-5, 0x1.3b237d51306ffp-5, 0x1.359c296d3c28ap-5, 0x1.302801e1fa61ap-5, 0x1.2ac6e30bb6a7cp-5, 0x1.2578a8f4bd88ep-5, 0x1.203d2efc4cc09p-5, 0x1.1b1451371094p-5, 0x1.15fdeabe2fc57p-5, 0x1.10f9d657bde57p-5, 0x1.0c07ee6fc5965p-5, 0x1.07280ca0b2a05p-5, 0x1.025a0a3c618eep-5, 0x1.fb3b7f7bbe527p-6, 0x1.f1e60a201580bp-6, 0x1.e8b3637212be2p-6, 0x1.dfa33a12c817fp-6, 0x1.d6b53c9c86a59p-6, 0x1.cde919f6e913p-6, 0x1.c53e81866874ep-6, 0x1.bcb5232adcc65p-6, 0x1.b44caf0a311cep-6, 0x1.ac04d52e696ccp-6, 0x1.a3dd4550dff4ap-6, 0x1.9bd5adceadf97p-6, 0x1.93edbc1327ebap-6, 0x1.8c251c824758fp-6, 0x1.847b7a030194cp-6, 0x1.7cf07ef61e261p-6, 0x1.7583d5803e7d1p-6, 0x1.6e35283d42b45p-6, 0x1.67042252229b6p-6, 0x1.5ff07067c4024p-6, 0x1.58f9c0da55258p-6, 0x1.521fc29e9b5adp-6, 0x1.4b6224bf5c484p-6, 0x1.44c0977748135p-6, 0x1.3e3aca2973cp-6, 0x1.37d06b726a625p-6, 0x1.318129021ff97p-6, 0x1.2b4cafa3aa18p-6, 0x1.2532ab89e4cfp-6, 0x1.1f32c8c858f68p-6, 0x1.194cb3d87ef2p-6, 0x1.13801a09c8498p-6, 0x1.0dcca9b8edd9fp-6, 0x1.083212529ea23p-6, 0x1.02b004582e23ep-6, 0x1.fa8c62faf904cp-7, 0x1.efe895f5c4546p-7, 0x1.e5740471a6efdp-7, 0x1.db2e1100f56a5p-7, 0x1.d1161e6150d3p-7, 0x1.c72b900b19576p-7, 0x1.bd6dcab9261fdp-7, 0x1.b3dc355f8cf6bp-7, 0x1.aa7639dba904ep-7, 0x1.a13b451764c1ep-7, 0x1.982ac6fb162f9p-7, 0x1.8f443024817f7p-7, 0x1.8686f18cb1881p-7, 0x1.7df27acf75a2cp-7, 0x1.7586378bf6f9cp-7, 0x1.6d418fd23466fp-7, 0x1.6523e80f91fap-7, 0x1.5d2ca288dc10ep-7, 0x1.555b21ccd7443p-7, 0x1.4daecbb8325acp-7, 0x1.46270c23e0d1fp-7, 0x1.3ec3581aebf58p-7, 0x1.37832dfab9da8p-7, 0x1.3066164ea4496p-7, 0x1.296ba069b5049p-7, 0x1.229361c7c0915p-7, 0x1.1bdcef8124aa8p-7, 0x1.1547dac9420fap-7, 0x1.0ed3abe7fca37p-7, 0x1.087fe05f5c001p-7, 0x1.024beb35b6a3ep-7, 0x1.f86e695906803p-8, 0x1.ec823d090b653p-8, 0x1.e0d21205264fbp-8, 0x1.d55cb13f9f55cp-8, 0x1.ca20f70a4117ep-8, 0x1.bf1ddac42c661p-8, 0x1.b45274b21c58p-8, 0x1.a9be018d804a6p-8, 0x1.9f5fd8eaff07bp-8, 0x1.953765f0df3e1p-8, 0x1.8b442014701b4p-8, 0x1.8185788d121f3p-8, 0x1.77face7cbec2ap-8, 0x1.6ea366515c4adp-8, 0x1.657e665211e5ap-8, 0x1.5c8ad2b8344c9p-8, 0x1.53c7999227437p-8, 0x1.4b339a5e3502ap-8, 0x1.42cdb26801fa4p-8, 0x1.3a94c7dc0961p-8, 0x1.3287d511248a1p-8, 0x1.2aa5eeb619916p-8, 0x1.22ee46f277d1cp-8, 0x1.1b602e9f4bf0fp-8, 0x1.13fb11ebfea51p-8, 0x1.0cbe7334755b1p-8, 0x1.05a9e1450a8e5p-8, 0x1.fd79de65daeffp-9, 0x1.efee53fe971e4p-9, 0x1.e2b01c82eb5e6p-9, 0x1.d5be06d94d1d2p-9, 0x1.c916b2be97f65p-9, 0x1.bcb8963ca0bffp-9, 0x1.b0a20aa655854p-9, 0x1.a4d15e4c91c28p-9, 0x1.9944e75b6d3b8p-9, 0x1.8dfb13d13a9e6p-9, 0x1.82f27208a192ap-9, 0x1.7829afc0e5493p-9, 0x1.6d9f91fd1fba9p-9, 0x1.6352ea02e06c8p-9, 0x1.59428c3a006d8p-9, 0x1.4f6d4da94b623p-9, 0x1.45d20896029f2p-9, 0x1.3c6fa4719e9a6p-9, 0x1.33451cf7e9904p-9, 0x1.2a5182ea78af4p-9, 0x1.2193f5bd0720cp-9, 0x1.190b98dd71f16p-9, 0x1.10b788653e601p-9, 0x1.0896d3412a6cep-9, 0x1.00a87ddda2658p-9, 0x1.f1d7183cb01bap-10, 0x1.e2be1b5a5851dp-10, 0x1.d4044b96a47fdp-10, 0x1.c5a8122e809a9p-10, 0x1.b7a7dfe7c9077p-10, 0x1.aa02045c3e4edp-10, 0x1.9cb4892b0a207p-10, 0x1.8fbd2568e4302p-10, 0x1.8319518188d7bp-10, 0x1.76c671ac9d872p-10, 0x1.6ac214c88ab33p-10, 0x1.5f09f68fa0d8ap-10, 0x1.539c3cc8441c7p-10, 0x1.487746544ce03p-10, 0x1.3d99a0003331ep-10, 0x1.3301f890fc71bp-10, 0x1.28af39d41fbbep-10, 0x1.1ea0892074caap-10, 0x1.14d5449d7384dp-10, 0x1.0b4ce9fcd08dfp-10, 0x1.0206ec3fe6e35p-10, 0x1.f20508a3f6c79p-11, 0x1.e07d25bfd93c2p-11, 0x1.cf73347b0ea3dp-11, 0x1.bee384c107875p-11, 0x1.aec9f3f357afdp-11, 0x1.9f22440eccfb6p-11, 0x1.8fe891ebafa5bp-11, 0x1.8119bbf3d11e7p-11, 0x1.72b370516c7e4p-11, 0x1.64b3d2e34cfebp-11, 0x1.5718ca82573f1p-11, 0x1.49df6355a0f3cp-11, 0x1.3d03bc7609d97p-11, 0x1.3081abe8294dbp-11, 0x1.2455cf230bdc9p-11, 0x1.187e6fc446e6ep-11, 0x1.0cfbb5bec08d5p-11, 0x1.01cf01e7f30bep-11, 0x1.edf37f3211f55p-12, 0x1.d8f880d48cdc6p-12, 0x1.c4aa426ca6d2bp-12, 0x1.b102b6581f184p-12, 0x1.9df994b214cdcp-12, 0x1.8b85c0ba5714fp-12, 0x1.799ebdb0747e8p-12, 0x1.683e13d14ebacp-12, 0x1.576050bb35e43p-12, 0x1.47051898dc388p-12, 0x1.372defe91eefcp-12, 0x1.27dc18fb2efa2p-12, 0x1.190e91d521d14p-12, 0x1.0ac1533a54007p-12, 0x1.f9dbb0b3b445ap-13, 0x1.df1993dd9a122p-13, 0x1.c52f46e9c344ep-13, 0x1.ac13a181895dcp-13, 0x1.93c2aeccfc872p-13, 0x1.7c3ce6f10b7cep-13, 0x1.6584fd09f8b9dp-13, 0x1.4f9d1ca014269p-13, 0x1.3a84c33a4597cp-13, 0x1.2637bc9e53ep-13, 0x1.12ad65e544c82p-13, 0x1.ffb395b4fb49cp-14, 0x1.db5e098b6ac05p-14, 0x1.b8406f2e220d1p-14, 0x1.964a3be8881ebp-14, 0x1.757842767bc7dp-14, 0x1.55d24298a7a7dp-14, 0x1.37626ada63792p-14, 0x1.1a2c14c328f49p-14, 0x1.fc519e9a9c5ap-15, 0x1.c696aa1519d14p-15, 0x1.93073ba4dbbe5p-15, 0x1.618e3d463cff1p-15, 0x1.3220c6806375p-15, 0x1.04bd74dfb95a9p-15, 0x1.b2bf1b4519d31p-16, 0x1.5fe833ecaa0ddp-16, 0x1.10b4e68617da2p-16, 0x1.89bfa2d10562ep-17, 0x1.f0e5d2a5e6e67p-18, 0x1.b5923e362d73ep-19, -0x1.75d55a6666661p-21, -0x1.2b7ce737006a4p-18, -0x1.0ddb0c595ef4ep-17, -0x1.800a7fbfa708p-17, -0x1.eccee00308eb5p-17, -0x1.2a51ce5303e1p-16, -0x1.5be610e7d5cbp-16, -0x1.8b1c41604274dp-16, -0x1.b7d4d27ea5b42p-16, -0x1.e1fa8de27d316p-16, -0x1.04ccc6a10b2edp-15, -0x1.176f4e0ce7bf3p-15, -0x1.28ffaf19b0af3p-15, -0x1.398c72aa6079bp-15, -0x1.49119437daa42p-15, -0x1.57862087f49b3p-15, -0x1.64ea74e9cbcbdp-15, -0x1.7149d43e9a7fbp-15, -0x1.7cb237382cb84p-15, -0x1.873105445285p-15, -0x1.90d477a222f2cp-15, -0x1.99ad75dc11b9ep-15, -0x1.a1ce0b0c486d6p-15, -0x1.a943156c5a9a3p-15, -0x1.b00d08c77af04p-15, -0x1.b61ffd086026fp-15, -0x1.bb6f7a5cefd09p-15, -0x1.c000a0ea6e156p-15, -0x1.c3f38bcb091ddp-15, -0x1.c7716cd07fb24p-15, -0x1.ca877e1384dcdp-15, -0x1.cd1b153de5a5bp-15, -0x1.cf0a2b6db7p-15, -0x1.d0543836ed367p-15, -0x1.d1179bddb3d7dp-15, -0x1.d16e2ec231fc8p-15, -0x1.d1577aeda0f4cp-15, -0x1.d0c95b9d5ec91p-15, -0x1.cfc6373f0d694p-15, -0x1.ce5c2ace9e4d5p-15, -0x1.cc99118ced2c1p-15, -0x1.ca8418f0b1f52p-15, -0x1.c81de1897c074p-15, -0x1.c562fb8434b7fp-15, -0x1.c24edc05c301bp-15, -0x1.bede5dd10b2eep-15, -0x1.bb11750e597ap-15, -0x1.b6ed03452aa0fp-15, -0x1.b27dc44a0edefp-15, -0x1.add3dcca6c01ep-15, -0x1.a8f440278e645p-15, -0x1.a3d2fa3f673bp-15, -0x1.9e6f207039864p-15, -0x1.98e6e0ac1cd7fp-15, -0x1.9355bfb13a44cp-15, -0x1.8daa47693552ap-15, -0x1.87bede5e4ed78p-15, -0x1.819187751ca5bp-15, -0x1.7b3ca46f7b3f8p-15, -0x1.74c9426134b9cp-15, -0x1.6e2e7a241f2cep-15, -0x1.676cbe56009b9p-15, -0x1.608f7764c44b2p-15, -0x1.59a034a28cfb3p-15, -0x1.52a272799bc41p-15, -0x1.4b96105c6628ap-15, -0x1.447b0d72d58b7p-15, -0x1.3d51ed8787133p-15, -0x1.361c16de60f83p-15, -0x1.2eda1b8706a4bp-15, -0x1.278c92e54198bp-15, -0x1.20311377a5d1ap-15, -0x1.18c3b7ff36182p-15, -0x1.11407c2bae014p-15, -0x1.09a3652273ec6p-15, -0x1.01f29aed978c7p-15, -0x1.f47d3442f8e9bp-16, -0x1.e5202cdbd181p-16, -0x1.d5cf67e2a8762p-16, -0x1.c690dbb844463p-16, -0x1.b76b738e2afb9p-16, -0x1.a84e46d0eeeddp-16, -0x1.99335955b0863p-16, -0x1.8a1ff620a8916p-16, -0x1.7b071d4d57a09p-16, -0x1.6be2b972ac174p-16, -0x1.5cc66d352b8afp-16, -0x1.4dc55ab189bf5p-16, -0x1.3ee3bd585c27dp-16, -0x1.301fa95f7dc85p-16, -0x1.217630f567cbp-16, -0x1.12e5ea8ee24f4p-16, -0x1.046ef60bae619p-16, -0x1.ec2423f25110ap-17, -0x1.cfa0a392f7a84p-17, -0x1.b3564092a6b8ep-17, -0x1.9748a69aab1a7p-17, -0x1.7b7bb870fb5eep-17, -0x1.5ff1940959db8p-17, -0x1.44a857ce18e5ap-17, -0x1.299b5e465412p-17, -0x1.0ec82f383c4c6p-17, -0x1.e84d672bbf9afp-18, -0x1.b353a12f6ec5dp-18, -0x1.7e9ab251aee8fp-18, -0x1.4a7006c2ce759p-18, -0x1.172966178fd7ap-18, -0x1.c92d0ed2850b6p-19, -0x1.6597fa47ed312p-19, -0x1.03fcd6dac485ap-19, -0x1.468f74800c0ffp-20, -0x1.0b7f433efffddp-21, 0x1.c8e3723858dep-23, 0x1.e9c301968cfb9p-21, 0x1.ad6f762bf2485p-20, 0x1.318a3e991d2d8p-19, 0x1.8b006a731dfe5p-19, 0x1.e32061b2449edp-19, 0x1.1cf9788935fd7p-18, 0x1.47bbb08471267p-18, 0x1.71d496a1ebebfp-18, 0x1.9b42e30ec5dedp-18, 0x1.c405e1d60b47bp-18, 0x1.ec1dc643e7f5ap-18, 0x1.09c591d6a78c2p-17, 0x1.1d270186598e5p-17, 0x1.30328a268b1d2p-17, 0x1.42e71cf85b7acp-17, 0x1.5543bedf71be3p-17, 0x1.674864416034ap-17, 0x1.78f4b1a270645p-17, 0x1.8a46dfe9b58d5p-17, 0x1.9b4528e45ecb9p-17, 0x1.ac0c9dc0f7dc6p-17, 0x1.bca33d74284eep-17, 0x1.ccd71d69c4f72p-17, 0x1.dca014d722bacp-17, 0x1.ebf29e6d26364p-17, 0x1.faf193e453007p-17, 0x1.04e06eac780cbp-16, 0x1.0c2568cc40accp-16, 0x1.133c5f87084f8p-16, 0x1.1a266b30ca5p-16, 0x1.20e623634ed2cp-16, 0x1.277d1d787921bp-16, 0x1.2dec916209e6dp-16, 0x1.34342807d06f7p-16, 0x1.3a557cc8286cdp-16, 0x1.405061b193738p-16, 0x1.46246c48acca3p-16, 0x1.4bd23d546242ap-16, 0x1.515a3a1baaabdp-16, 0x1.56bca517b9479p-16, 0x1.5bf9e0a6af87cp-16, 0x1.61124c1166e3ap-16, 0x1.66064956e0376p-16, 0x1.6ad63cd164b18p-16, 0x1.6f82595152074p-16, 0x1.740aa7447eb53p-16, 0x1.786f950ad5fffp-16, 0x1.7cb0eee17b235p-16, 0x1.80cfb052f8dbfp-16, 0x1.84caea5ddff03p-16, 0x1.88a551441f9bp-16, 0x1.8c6317cbaf6dcp-16, 0x1.9003a89cf667bp-16, 0x1.9381578180c66p-16, 0x1.96d938ddee2fap-16, 0x1.9a117928dbcb8p-16, 0x1.9d2d88d33dc4fp-16, 0x1.a02c4ed5ef5fbp-16, 0x1.a30b8294ddd04p-16, 0x1.a5cb86a5c3597p-16, 0x1.a86d6ea9edcfcp-16, 0x1.aaf1fa7b8c108p-16, 0x1.ad59bb6e7ad25p-16, 0x1.afa50e356c61dp-16, 0x1.b1d465a9f13b1p-16, 0x1.b3e8036ab8df7p-16, 0x1.b5e04ec22cddap-16, 0x1.b7be06ed801dp-16, 0x1.b98135be90972p-16, 0x1.bb28b28414399p-16, 0x1.bcb88a01fdd63p-16, 0x1.be2e35c336b76p-16, 0x1.bf8ae24b039aep-16, 0x1.c0cf3588c2958p-16, 0x1.c1fb2f303d56cp-16, 0x1.c30f3c636dc33p-16, 0x1.c40be0e74e0d5p-16, 0x1.c4f1a4c5971dfp-16, 0x1.c5c000bb3b04cp-16, 0x1.c679138a5f99ap-16, 0x1.c71ba4ffbde9p-16, 0x1.c7a943fc3f79bp-16, 0x1.c8202544e0907p-16, 0x1.c8837eafabec2p-16, 0x1.c8d266fbb6954p-16, 0x1.c90cc3ab1ac9ap-16, 0x1.c933f05262a92p-16, 0x1.c9477a0810b2cp-16, 0x1.c947ed4e60a27p-16, 0x1.c935e9d44328bp-16, 0x1.c91174c1768dp-16, 0x1.c8dae7a9ea3b3p-16, 0x1.c89297cdb504cp-16, 0x1.c838fd5762d5fp-16, 0x1.c7ce6e183f929p-16, 0x1.c7533db142113p-16, 0x1.c6c7ba83fd51dp-16, 0x1.c62c34b09a301p-16, 0x1.c5810450f1735p-16, 0x1.c4c682eae3f8bp-16, 0x1.c3fcfffa83ea2p-16, 0x1.c324c230c511dp-16, 0x1.c23e147aa250bp-16, 0x1.c1494d670523dp-16, 0x1.c046d4a88b8b2p-16, 0x1.bf36ad118b539p-16, 0x1.be19658dc0e49p-16, 0x1.bcef33d5f058dp-16, 0x1.bbb8af7504467p-16, 0x1.ba74d7d1103efp-16, 0x1.b926133a8fe92p-16, 0x1.b7cb06d667f7cp-16, 0x1.b664a0ea9d88fp-16, 0x1.b4f2f99fa0337p-16, 0x1.b3764ec250c1dp-16, 0x1.b1eefc15440d3p-16, 0x1.b05d41100537ap-16, 0x1.aec153896ddfdp-16, 0x1.ad1b9ef6d97e4p-16, 0x1.ab6c2f1da6039p-16, 0x1.a9b34b0cedc59p-16, 0x1.a7f14646f89b2p-16, 0x1.a6266e3c5bf77p-16, 0x1.a452e3b04d34p-16, 0x1.a276ed5dfe483p-16, 0x1.a0930fc4352d3p-16, 0x1.9ea6a2db3cf17p-16, 0x1.9cb3193290f7p-16, 0x1.9ab75e863ac4ep-16, 0x1.98b49b0e66c41p-16, 0x1.96aa958ea1005p-16, 0x1.949a5cc983f8dp-16, 0x1.9283151b6171ap-16, 0x1.906544dd648a2p-16, 0x1.8e3f37ad6eb34p-16, 0x1.8c17450412725p-16, 0x1.89e769f12bf01p-16, 0x1.87b2287b114bap-16, 0x1.85766115b5804p-16, 0x1.8336fac14abf8p-16, 0x1.80f1d4484ce77p-16, 0x1.7ea7b353152a6p-16, 0x1.7c58db119f8cdp-16, 0x1.7a05c5c2aae01p-16, 0x1.77ae26bd6fc66p-16, 0x1.75525fe8fc73p-16, 0x1.72f290916cdb6p-16, 0x1.708eea851b1cep-16, 0x1.6e2762038ac15p-16, 0x1.6bbcf1cd67892p-16, 0x1.694e8506ae308p-16, 0x1.66dd8a809aab2p-16, 0x1.6469455f458a3p-16, 0x1.61f20c7cbef31p-16, 0x1.5f7838decce8dp-16, 0x1.5cfbcf97979a4p-16, 0x1.5a7cd707e31e1p-16, 0x1.57fbad96fb021p-16, 0x1.55784f6aa0461p-16, 0x1.52f2f021aa788p-16, 0x1.506baf36e44f6p-16, 0x1.4de298e51ae18p-16, 0x1.4b57d6df6bd55p-16, 0x1.48cba7a003a84p-16, 0x1.463e175674582p-16, 0x1.43af47b2391bdp-16, 0x1.411f568c01972p-16, 0x1.3e8e6c5c60851p-16, 0x1.3bfcc30ec4742p-16, 0x1.396a07601cf79p-16, 0x1.36d6ef5e1352dp-16, 0x1.3442f5e4bb327p-16, 0x1.31aeb5d0c4546p-16, 0x1.2f19e4abe2ed7p-16, 0x1.2c84c2583320fp-16, 0x1.29efb941f0a2cp-16, 0x1.275ab6ae53156p-16, 0x1.24c5db689bf2bp-16, 0x1.22310766f2b02p-16, 0x1.1f9c45debbc8cp-16, 0x1.1d07af3fd08edp-16, 0x1.1a73da4ee9aebp-16, 0x1.17decfaf61c2ap-16, 0x1.154d4ea92632ap-16, 0x1.12bb39b7b2596p-16, 0x1.1029dd385312fp-16, 0x1.0d992c41d51e5p-16, 0x1.0b09848296328p-16, 0x1.087ad7081e283p-16, 0x1.05ed191ea7c25p-16, 0x1.03606a79df1cep-16, 0x1.00d4fb53095e1p-16, 0x1.fc9651aa5c541p-17, 0x1.f78523a54813p-17, 0x1.f276740eb8889p-17, 0x1.ed6ad13109545p-17, 0x1.e86238a85baa1p-17, 0x1.e35cbe9fe35e2p-17, 0x1.de5a3ea8e8882p-17, 0x1.d95bbb68fa7ep-17, 0x1.d460e8be53965p-17, 0x1.cf6991921e725p-17, 0x1.ca75ee409ddeep-17, 0x1.c5862a7d77055p-17, 0x1.c09a5e0c0935p-17, 0x1.bbb2a1378d9dep-17, 0x1.b6cedc994889p-17, 0x1.b1eea8e277d5dp-17, 0x1.ad15a4641b412p-17, 0x1.a83ed082971c7p-17, 0x1.a36cf77f68895p-17, 0x1.9e9fc9b1aff5dp-17, 0x1.99d75b91c550ep-17, 0x1.9513cf647c22fp-17, 0x1.90553ebbd597ep-17, 0x1.8b9b4ca6a4c36p-17, 0x1.86e5cb28d74d4p-17, 0x1.8236dff4c6f89p-17, 0x1.7d8bb1b4c996cp-17, 0x1.78e6f839db335p-17, 0x1.7446f0657531fp-17, 0x1.6fac3257b89c8p-17, 0x1.6b16a9ba4f838p-17, 0x1.6687b7663323p-17, 0x1.61f96334045fep-17, 0x1.5d78a2067b614p-17, 0x1.58faa25f18b13p-17, 0x1.5483167b805b6p-17, 0x1.500d635205ffcp-17, 0x1.4b9fb329c694ap-17, 0x1.4738924c90f9fp-17, 0x1.42d6a910695e3p-17, 0x1.3e7a78fa7996ap-17, 0x1.3a222bab076a2p-17, 0x1.35d5c8a3c33a8p-17, 0x1.318be051b0c14p-17, 0x1.2d4729a606afp-17, 0x1.29099702b57dep-17, 0x1.24d23ef66f398p-17, 0x1.20a126dd3e765p-17, 0x1.1c76734a9acedp-17, 0x1.1852f33cb6db8p-17, 0x1.14338bcc1e2bbp-17, 0x1.101af590ac389p-17, 0x1.0c08ff58934f2p-17, 0x1.07fda9782167dp-17, 0x1.03f8816e96ef3p-17, 0x1.fff3943184589p-18, 0x1.f803a6b1d43c1p-18, 0x1.f01f6eba051e8p-18, 0x1.e84999b74436fp-18, 0x1.e07f6ff7dff9bp-18, 0x1.d8c2b666c4729p-18, 0x1.d11377a5aad32p-18, 0x1.c96fe48673623p-18, 0x1.c1d916dc1713fp-18, 0x1.ba500f5d50483p-18, 0x1.b2d5ff93c609cp-18, 0x1.ab6a4ba3a1428p-18, 0x1.a405baa61a90cp-18, 0x1.9cb1d692d4473p-18, 0x1.9567630959adep-18, 0x1.8e2f4ebeaf47p-18, 0x1.87021c7ee869ep-18, 0x1.7fe25464c25c6p-18, 0x1.78d061e030f0cp-18, 0x1.71cb0762c02p-18, 0x1.6ad2ad8e5bb21p-18, 0x1.63e6edc7f317ep-18, 0x1.5d081610f227dp-18, 0x1.563130f99a0ebp-18, 0x1.4f740b3b9fb69p-18, 0x1.48bd8da4f4f2p-18, 0x1.42134cffb6697p-18, 0x1.3b75f76aa542fp-18, 0x1.34e434638646cp-18, 0x1.2e63488d5b987p-18, 0x1.27edb28671f0fp-18, 0x1.21854803db295p-18, 0x1.1b29c6afad6dap-18, 0x1.14db33e47fa61p-18, 0x1.0e99e974678f7p-18, 0x1.0864b35fd54bbp-18, 0x1.023c9ced55d8ep-18, 0x1.f8430ad459a3bp-19, 0x1.ec26ac5ebc4c9p-19, 0x1.e023a54823b33p-19, 0x1.d43be2da5a769p-19, 0x1.c86d06b17c043p-19, 0x1.bcb49f99e82d1p-19, 0x1.b11437dbe1884p-19, 0x1.a592d0cbf5035p-19, 0x1.9a106c7c37903p-19, 0x1.8eda66ce5263dp-19, 0x1.83a3117432fbap-19, 0x1.787756cb0de9dp-19, 0x1.6d7ab5745e061p-19, 0x1.628c8cdce04f4p-19, 0x1.57b86113f91bbp-19, 0x1.4cfcabaed6af6p-19, 0x1.4258e9c858f33p-19, 0x1.37ce073780743p-19, 0x1.2d58cf534c9fep-19, 0x1.23015ade6c179p-19, 0x1.18bd06dd44c04p-19, 0x1.0e9729e70f5c3p-19, 0x1.0482d9e32ae28p-19, }}, 
      {{-0x1.89d832dd900bcp-5, -0x1.05b8f0a000ef8p-2, -0x1.13c0dafc5ced6p-1, -0x1.94bc77c7c57f9p-1, -0x1.e78be5e517934p-1, -0x1.02a64de71ffe8p+0, -0x1.f5978df2feafp-1, -0x1.c6450d4fd01eep-1, -0x1.85dfd04d11cdp-1, -0x1.40a8d6e2db745p-1, -0x1.feea40f84a02p-2, -0x1.8f528dc404c9fp-2, -0x1.37871e81cc95p-2, -0x1.f05f4a463619bp-3, -0x1.9e238a09bd11dp-3, -0x1.70993628f9952p-3, -0x1.5e9851ed33b05p-3, -0x1.5eebc8049440ap-3, -0x1.69304cc970d9fp-3, -0x1.765261ad44dcep-3, -0x1.80c4921d320dep-3, -0x1.8483c269ea89p-3, -0x1.7efb2df82f63p-3, -0x1.6ed593c6e8424p-3, -0x1.53c58025adf7ap-3, -0x1.2e4ba5d249536p-3, -0x1.feffb435b01e5p-4, -0x1.91bf027e994e9p-4, -0x1.1845c46217f4ep-4, -0x1.2c67e976eac2dp-5, -0x1.e42f65c3ea7ddp-9, 0x1.e62dfef463e62p-6, 0x1.00bbee18e0bdap-4, 0x1.83bab7cffda21p-4, 0x1.001f757f7c9c2p-3, 0x1.3a3787ef5631fp-3, 0x1.6f6f9c352af09p-3, 0x1.9f45a28e72a8fp-3, 0x1.c9673f1ec6281p-3, 0x1.edacc7f9be8e4p-3, 0x1.0609e8062cb66p-2, 0x1.125cc7704d159p-2, 0x1.1beab176f4919p-2, 0x1.22d9cb75809a2p-2, 0x1.2758449725daap-2, 0x1.299a2421251c5p-2, 0x1.29d756d5a78c8p-2, 0x1.2849fe1d43ec6p-2, 0x1.252cff3a108d9p-2, 0x1.20bacefe45ac7p-2, 0x1.1b2c7400516cfp-2, 0x1.14b8bc0317bd2p-2, 0x1.0d93a0937b4dbp-2, 0x1.05edd52d88a35p-2, 0x1.fbe8f19b93828p-3, 0x1.eba1c875a5cdap-3, 0x1.db5120127b18p-3, 0x1.cb3a1ece1cf03p-3, 0x1.bb98396e32fdfp-3, 0x1.ac9f6978fcfaep-3, 0x1.9e7c78fa4ac8dp-3, 0x1.91555d67c8bc1p-3, 0x1.85499c2e6a0a4p-3, 0x1.7a72b50e4aec3p-3, 0x1.70e490a44b82dp-3, 0x1.68adf11491567p-3, 0x1.61d8e3cc86038p-3, 0x1.5c6b3231f7ccap-3, 0x1.5866cfa7299acp-3, 0x1.55ca43e233f39p-3, 0x1.54910fa9bfa17p-3, 0x1.54b40c5812612p-3, 0x1.5629c57e3216cp-3, 0x1.58e6cc6443faap-3, 0x1.5cde05aaa344bp-3, 0x1.6200f15a82756p-3, 0x1.683fed3993025p-3, 0x1.6f8a71b5ee1ecp-3, 0x1.77cf4925d759bp-3, 0x1.80fcc2c9da5e2p-3, 0x1.8b00df90d3c4cp-3, 0x1.95c97b41c0207p-3, 0x1.a1447043c1626p-3, 0x1.ad5fb8138586cp-3, 0x1.ba0986f5feca3p-3, 0x1.c73064d8cc673p-3, 0x1.d4c34220d563cp-3, 0x1.e2b189ccd81c7p-3, 0x1.f0eb30e05b26p-3, 0x1.ff60c2912575fp-3, 0x1.0701b56754bf3p-2, 0x1.0e627efe7dd6cp-2, 0x1.15cbffb8d04f4p-2, 0x1.1d37d28860bf9p-2, 0x1.249fed5a0f468p-2, 0x1.2bfea15b38372p-2, 0x1.334e9b371eadp-2, 0x1.3a8ae23c907eap-2, 0x1.41aed77ce9dd5p-2, 0x1.48b6341c8b3dap-2, 0x1.4f9d0782fe86cp-2, 0x1.565fb5188fd75p-2, 0x1.5cfaf1c7c915ep-2, 0x1.636bc16b639b6p-2, 0x1.69af73af930f8p-2, 0x1.6fc3a16fa4edep-2, 0x1.75a6293276cf6p-2, 0x1.7b552c60ed77cp-2, 0x1.80cf0bd43b745p-2, 0x1.8612649910d52p-2, 0x1.8b1e0d178271bp-2, 0x1.8ff1114b4a316p-2, 0x1.948ab00a0543cp-2, 0x1.98ea5813f7aafp-2, 0x1.9d0fa4666a6dp-2, 0x1.a0fa5a02e2cfcp-2, 0x1.a4aa64c3801ep-2, 0x1.a81fd4625825p-2, 0x1.ab5ada68ad17cp-2, 0x1.ae5bc70ff7c45p-2, 0x1.b12306dc7a0c6p-2, 0x1.b3b120e6b9e13p-2, 0x1.b606b3c60b26fp-2, 0x1.b82473b4a424p-2, 0x1.ba0b2920782c2p-2, 0x1.bbbbade3be01cp-2, 0x1.bd36ebb8901b5p-2, 0x1.be7ddb0349c41p-2, 0x1.bf9180b1da1fbp-2, 0x1.c072ec50706eap-2, 0x1.c12337bc2017fp-2, 0x1.c1a3851e3fec7p-2, 0x1.c1f4fd1c8a7fbp-2, 0x1.c218ceaecb918p-2, 0x1.c2102dd408ac7p-2, 0x1.c1dc51ddda33p-2, 0x1.c17e74cd99c4p-2, 0x1.c0f7d318f1debp-2, 0x1.c049aa1d8a078p-2, 0x1.bf75372639056p-2, 0x1.be7bb75517371p-2, 0x1.bd5e673836885p-2, 0x1.bc1e813ff222p-2, 0x1.babd3d7c26c3dp-2, 0x1.b93bd1d07995bp-2, 0x1.b79b711b36905p-2, 0x1.b5dd4a346b9efp-2, 0x1.b402881335a8fp-2, 0x1.b20c51ee58fbcp-2, 0x1.affbca5ab90f1p-2, 0x1.add20ecd45032p-2, 0x1.ab9037b98de98p-2, 0x1.a93758c77a2ebp-2, 0x1.a6c8803434879p-2, 0x1.a444b649e15c3p-2, 0x1.a1acfdc2c84e4p-2, 0x1.9f0253dd2bf73p-2, 0x1.9c45b01a24f47p-2, 0x1.997803b855e6ep-2, 0x1.969a39fefbd4dp-2, 0x1.93ad38799a574p-2, 0x1.90b1def352d97p-2, 0x1.8da906ef831c8p-2, 0x1.8a9383dc46983p-2, 0x1.877223672bed6p-2, 0x1.8445ad8c90c09p-2, 0x1.810ee4685c0fbp-2, 0x1.7dce8410181b2p-2, 0x1.7a8542e889e77p-2, 0x1.7733d1dc92cc8p-2, 0x1.73dadc65994dep-2, 0x1.707b0865c7844p-2, 0x1.6d14f62cdc53fp-2, 0x1.69a940cbfe5f9p-2, 0x1.66387e52aa25p-2, 0x1.62c33fb766ad4p-2, 0x1.5f4a10d551823p-2, 0x1.5bcd788c63f8fp-2, 0x1.584df8f5fff08p-2, 0x1.54cc0fa78786ep-2, 0x1.51483599cfd99p-2, 0x1.4dc2df45af749p-2, 0x1.4a3c7ca6a7235p-2, 0x1.46b5798a299b4p-2, 0x1.432e3da2f5718p-2, 0x1.3fa72caa1e8c3p-2, 0x1.3c20a662bdf4dp-2, 0x1.389b069f5babp-2, 0x1.3516a57bc4aadp-2, 0x1.3193d78606066p-2, 0x1.2e12edd824c5bp-2, 0x1.2a943612bb1d9p-2, 0x1.2717fa8710168p-2, 0x1.239e823c692f7p-2, 0x1.2028111f5b779p-2, 0x1.1cb4e8230dbb8p-2, 0x1.19454551a7b16p-2, 0x1.15d963d8a35f3p-2, 0x1.12717c0dbfbd9p-2, 0x1.0f0dc3a42f501p-2, 0x1.0bae6db4fa63fp-2, 0x1.0853aae2595cfp-2, 0x1.04fda9654c011p-2, 0x1.01ac951a3d1cep-2, 0x1.fcc12f191ce18p-3, 0x1.f633b0354e9fbp-3, 0x1.efb0f7f9eeef6p-3, 0x1.e9394cd0d5cfdp-3, 0x1.e2ccf136c693ap-3, 0x1.dc6c23c991b61p-3, 0x1.d6171f622bbaap-3, 0x1.cfce1b4716cdep-3, 0x1.c9914b526886ep-3, 0x1.c360dffbc449fp-3, 0x1.bd3d0693fdc87p-3, 0x1.b725e957429e4p-3, 0x1.b11baf6e84b7cp-3, 0x1.ab1e7d2473419p-3, 0x1.a52e73e4aa314p-3, 0x1.9f4bb27f57232p-3, 0x1.99765529760bfp-3, 0x1.93ae759f04da7p-3, 0x1.8df42b2d82ac1p-3, 0x1.88478aca2d834p-3, 0x1.82a8a72c6a131p-3, 0x1.7d1790dfbddd7p-3, 0x1.779456622a8cp-3, 0x1.721f04372f0e9p-3, 0x1.6cb7a4f87ee7cp-3, 0x1.675e4152bbe89p-3, 0x1.6212e049b881ep-3, 0x1.5cd5870f8d60fp-3, 0x1.57a6392ca70afp-3, 0x1.5284f8a54509bp-3, 0x1.4d71c5f3ce90dp-3, 0x1.486ca020c1d99p-3, 0x1.437584c9434f4p-3, 0x1.3e8c702f84d0cp-3, 0x1.39b15d4ef5648p-3, 0x1.34e445e0c1829p-3, 0x1.302522673a80fp-3, 0x1.2b73ea4c47ea3p-3, 0x1.26d093e046fa5p-3, 0x1.223b14696e63fp-3, 0x1.1db36024c65d2p-3, 0x1.19396a6506273p-3, 0x1.14cd258746246p-3, 0x1.106e830ab0bffp-3, 0x1.0c1d739abb44ap-3, 0x1.07d9e715365f3p-3, 0x1.03a3cc8f9370cp-3, 0x1.fef624e8f3fc6p-4, 0x1.f6bf4cec12809p-4, 0x1.eea2eb2107314p-4, 0x1.e6a0d85d1256ap-4, 0x1.deb8ec37c1c95p-4, 0x1.d6eafd279aa5fp-4, 0x1.cf36e09277c2ap-4, 0x1.c79c6ad9f2d4fp-4, 0x1.c01b6f6bb696cp-4, 0x1.b8b3c0cd8ff69p-4, 0x1.b165309b379f6p-4, 0x1.aa2f8fbd071c9p-4, 0x1.a312ae42ded43p-4, 0x1.9c0e5b7e7d1cep-4, 0x1.9522662c5d31bp-4, 0x1.8e4e9c6021124p-4, 0x1.8792cb99ea85dp-4, 0x1.80eec0cac188bp-4, 0x1.7a624865fd749p-4, 0x1.73ed2e665a4b5p-4, 0x1.6d8f3e5d25126p-4, 0x1.6748436d27681p-4, 0x1.61180865ea55ep-4, 0x1.5afe57bde0e9fp-4, 0x1.54fafba32d966p-4, 0x1.4f0dbe0e222f6p-4, 0x1.493668a77727bp-4, 0x1.4374c4eb4e9b7p-4, 0x1.3dc89c2d09c8p-4, 0x1.3831b7950a229p-4, 0x1.32afe028ae152p-4, 0x1.2d42dee2fbe2fp-4, 0x1.27ea7c9e62301p-4, 0x1.22a6822fd4d37p-4, 0x1.1d76b8626c37bp-4, 0x1.185ae8013c61ap-4, 0x1.1352d9de1affep-4, 0x1.0e5e56d2cad64p-4, 0x1.097d27c5a39ccp-4, 0x1.04af15b1983c9p-4, 0x1.ffe7d34e6abefp-5, 0x1.f696d9b25155ep-5, 0x1.ed6ad1235cbcdp-5, 0x1.e4634c8da6a6dp-5, 0x1.db7fdf2e7b001p-5, 0x1.d2c01c9ae9bdfp-5, 0x1.ca2398c4efb1bp-5, 0x1.c1a9e804b453ep-5, 0x1.b9529f23bf0ep-5, 0x1.b11d536339861p-5, 0x1.a9099a7f4dfd2p-5, 0x1.a1170ab1993d6p-5, 0x1.99453a9e67ef8p-5, 0x1.9193c1b6c8c39p-5, 0x1.8a0237cec7f5p-5, 0x1.82903546d9bfdp-5, 0x1.7b3d53405d458p-5, 0x1.74092b622553dp-5, 0x1.6cf357f4f0222p-5, 0x1.65fb73f63a858p-5, 0x1.5f211b0a774cap-5, 0x1.5863e977f69cfp-5, 0x1.51c37c4e1b585p-5, 0x1.4b3f71382be66p-5, 0x1.44d766b9616c7p-5, 0x1.3e8afbffe491ap-5, 0x1.3859d0f0c33d7p-5, 0x1.3243863afd257p-5, 0x1.2c47bd56b97e2p-5, 0x1.266618763887ep-5, 0x1.209e3a9660d05p-5, 0x1.1aefc78677265p-5, 0x1.155a63dd03007p-5, 0x1.0fddb4faea5b9p-5, 0x1.0a79610fce7b8p-5, 0x1.052d0f1d7b2cep-5, 0x1.fff0cdfa0fb38p-6, 0x1.f5b62298d78dbp-6, 0x1.eba96f314f2bep-6, 0x1.e1ca08503d671p-6, 0x1.d817442cd859bp-6, 0x1.ce907acc2a0d5p-6, 0x1.c53505dab539ap-6, 0x1.bc0440ad85981p-6, 0x1.b2fd88390c211p-6, 0x1.aa203b4c85bbap-6, 0x1.a16bba547602cp-6, 0x1.98df6765356e7p-6, 0x1.907aa65701f9ap-6, 0x1.883cdc9d6d692p-6, 0x1.8025715ced053p-6, 0x1.7833cd6dba5c2p-6, 0x1.70675b5a6e7d7p-6, 0x1.68bf875d47eabp-6, 0x1.613bbf6236231p-6, 0x1.59db730c29dd5p-6, 0x1.529e13b34e73p-6, 0x1.4b8314623ab51p-6, 0x1.4489e9c2d4e33p-6, 0x1.3db20a25dfb31p-6, 0x1.36faed7d2029fp-6, 0x1.30640d5d60b6p-6, 0x1.29ece4ed70dfep-6, 0x1.2394f0f12de47p-6, 0x1.1d5bafcaadc63p-6, 0x1.1740a17860173p-6, 0x1.114347bc19da3p-6, 0x1.0b6325fba1eb3p-6, 0x1.059fc13206d39p-6, 0x1.fff1402dca26p-7, 0x1.f4da95d96a50ep-7, 0x1.e9fa96fa2e005p-7, 0x1.df505a1e7f6c6p-7, 0x1.d4daf89fa32a7p-7, 0x1.ca998ed5fc167p-7, 0x1.c08b3bc4aaef6p-7, 0x1.b6af21834bca4p-7, 0x1.ad04652fb0861p-7, 0x1.a38a2f1096f69p-7, 0x1.9a3faabaa9ee4p-7, 0x1.91240731d4cp-7, 0x1.883676568ca26p-7, 0x1.7f762d77bca2dp-7, 0x1.76e26476b3063p-7, 0x1.6e7a562399543p-7, 0x1.663d3fc3dc064p-7, 0x1.5e2a60a630478p-7, 0x1.5640fa7ea3dadp-7, 0x1.4e80515eb1145p-7, 0x1.46e7abe261d14p-7, 0x1.3f765370e6dbcp-7, 0x1.382b947c5cc2ep-7, 0x1.3106beb09b3acp-7, 0x1.2a072502dfb51p-7, 0x1.232c1d9f43921p-7, 0x1.1c7501b591208p-7, 0x1.15e12d2111195p-7, 0x1.0f6ffddddd07dp-7, 0x1.0920d3ff7f266p-7, 0x1.02f3112d97421p-7, 0x1.f9cc3126d43a3p-8, 0x1.edf29e6fe2601p-8, 0x1.e25837ea56dd5p-8, 0x1.d6fbcfd1dedb7p-8, 0x1.cbdc3df2ee1bfp-8, 0x1.c0f8601bda04ap-8, 0x1.b64f1a7ee8204p-8, 0x1.abdf5779a646bp-8, 0x1.a1a8078c36bd1p-8, 0x1.97a820a4d8e0dp-8, 0x1.8dde9c88cb221p-8, 0x1.844a788ccf336p-8, 0x1.7aeab4bb6171cp-8, 0x1.71be5377d1627p-8, 0x1.68c459877093bp-8, 0x1.5ffbce6ba7037p-8, 0x1.5763bd0f29485p-8, 0x1.4efb3490c1d7ep-8, 0x1.46c148dfbf50bp-8, 0x1.3eb5132fe5738p-8, 0x1.36d5b2132abf9p-8, 0x1.2f2248bcdb7dcp-8, 0x1.2799feec6bfb4p-8, 0x1.203c003cf0526p-8, 0x1.19077b344aec3p-8, 0x1.11fba1855fd44p-8, 0x1.0b17a73329ecbp-8, 0x1.045ac3158a4aep-8, 0x1.fb885ed91211ap-9, 0x1.eea6549f1cde4p-9, 0x1.e20dec2767c96p-9, 0x1.d5bdb2fe32decp-9, 0x1.c9b43f21a4f5bp-9, 0x1.bdf02e5108a62p-9, 0x1.b27023c12d5c2p-9, 0x1.a732c61b58ed3p-9, 0x1.9c36be0c0e9bbp-9, 0x1.917ab4ec1ccb2p-9, 0x1.86fd54ec480f7p-9, 0x1.7cbd4a610b7e7p-9, 0x1.72b9461c994ddp-9, 0x1.68f0002c1b9fbp-9, 0x1.5f603e74715ebp-9, 0x1.5608ce0d3e246p-9, 0x1.4ce8922974c55p-9, 0x1.43fe77221cbfbp-9, 0x1.3b49791457daap-9, 0x1.32c89b0473746p-9, 0x1.2a7ae4c3ca268p-9, 0x1.225f5d0e42956p-9, 0x1.1a750613f5738p-9, 0x1.12bad9af3dcafp-9, 0x1.0b2fc79664b3ap-9, 0x1.03d2b8a59a6b8p-9, 0x1.f945240fb4d24p-10, 0x1.eb3c7551fc16ap-10, 0x1.dd89429732f8fp-10, 0x1.d029847e7cab5p-10, 0x1.c31b588f0ef81p-10, 0x1.b65d05ef347a3p-10, 0x1.a9ecfb9e11ac5p-10, 0x1.9dc9cf7a7d8dcp-10, 0x1.91f233888eeb4p-10, 0x1.8664e53a4c626p-10, 0x1.7b20a2485b241p-10, 0x1.70241a652663ap-10, 0x1.656de498e4d95p-10, 0x1.5afc79d50a833p-10, 0x1.50ce3943cd517p-10, 0x1.46e16bde3cc11p-10, 0x1.3d3451186007fp-10, 0x1.33c52ba36f06p-10, 0x1.2a924d13f956fp-10, 0x1.219a2067f3108p-10, 0x1.18db30b8b5588p-10, 0x1.10542c832dcebp-10, 0x1.0803e5c68f14cp-10, 0x1.ffd29c4382ce2p-11, 0x1.f006e3e148a84p-11, 0x1.e0a2d7555d613p-11, 0x1.d1a4bb5bd3e1bp-11, 0x1.c30ace4d5a254p-11, 0x1.b4d32f389b9c2p-11, 0x1.a6fbd949685e5p-11, 0x1.99829de8f761ap-11, 0x1.8c652b1db5cb4p-11, 0x1.7fa1194e71e16p-11, 0x1.7333fdc2c2eebp-11, 0x1.671b7d7597d5ep-11, 0x1.5b555b7ffa3aap-11, 0x1.4fdf8093fb612p-11, 0x1.44b7fa6bb0c84p-11, 0x1.39dcf32971b8fp-11, 0x1.2f4ca55b000acp-11, 0x1.250553202c3d4p-11, 0x1.1b0542f09a155p-11, 0x1.114ac422ea9f4p-11, 0x1.07d4384806fefp-11, 0x1.fd40321e929b5p-12, 0x1.eb59f2ebc4b6fp-12, 0x1.d9f2ff376e16dp-12, 0x1.c908b1b4f198cp-12, 0x1.b8985ee1e6821p-12, 0x1.a89f4a70fd1fbp-12, 0x1.991aac629843ap-12, 0x1.8a07c4800160bp-12, 0x1.7b63f16a27ae8p-12, 0x1.6d2cbe35f736p-12, 0x1.5f5fdd8fe3c87p-12, 0x1.51fb0e9447ca5p-12, 0x1.44fbf5c55910ep-12, 0x1.385ffa062a031p-12, 0x1.2c243c600a59fp-12, 0x1.20459dda8514dp-12, 0x1.14c0f5437b89p-12, 0x1.09933cfcce54ap-12, 0x1.fd739d6857c59p-13, 0x1.e864784fddc92p-13, 0x1.d3f4d296d19fap-13, 0x1.c020de2c061dcp-13, 0x1.ace53b8e22498p-13, 0x1.9a3ecd5bfc057p-13, 0x1.882aed5a206a8p-13, 0x1.76a767e955b9p-13, 0x1.65b23fcdd06fdp-13, 0x1.554972ac7f592p-13, 0x1.456a9c4bda6c6p-13, 0x1.3612cd8cc9b71p-13, 0x1.273e4d6a6f958p-13, 0x1.18e92133e6ff1p-13, 0x1.0b0e802f52b2fp-13, 0x1.fb53dbf842014p-14, 0x1.e16deb4304d5ep-14, 0x1.c863f1064e3c4p-14, 0x1.b02ff8018da5fp-14, 0x1.98cd106a0d0eap-14, 0x1.8235fb98be9fcp-14, 0x1.6c6423845f458p-14, 0x1.574f7a7d4dc9ep-14, 0x1.42ef8f886a404p-14, 0x1.2f3d596ffea84p-14, 0x1.1c34b45b0bc45p-14, 0x1.09d4adae50137p-14, 0x1.f03cc5598540bp-15, 0x1.ce25f969de338p-15, 0x1.ad638de2e96d4p-15, 0x1.8dee64942f733p-15, 0x1.6fb9f929b4c4dp-15, 0x1.52b631e697edbp-15, 0x1.36d1b404b9c51p-15, 0x1.1bfc42734c795p-15, 0x1.022902f9a6671p-15, 0x1.d2a054eb000cbp-16, 0x1.a2de2dd04ba08p-16, 0x1.750c7bcf7fee6p-16, 0x1.492b7be2dc55bp-16, 0x1.1f344442887b6p-16, 0x1.ee2c9d0878133p-17, 0x1.a171882250868p-17, 0x1.5800eccd37768p-17, 0x1.11aa84ec1dd78p-17, 0x1.9c9532a72c69ep-18, 0x1.1b9dcf9bc7856p-18, 0x1.40ce976937024p-19, 0x1.57c219e3cdc12p-21, -0x1.12af7b5c2390bp-20, -0x1.5d265983b6baap-19, -0x1.12e69a6275a38p-18, -0x1.71e4f8c36e004p-18, -0x1.cbe54b959eabap-18, -0x1.10a44e1ca874bp-17, -0x1.3934190d862a3p-17, -0x1.5fc017db124bdp-17, -0x1.84516d9ec8687p-17, -0x1.a6e051b8f34dfp-17, -0x1.c7615e6bc4089p-17, -0x1.e5d29130459fap-17, -0x1.012140b563945p-16, -0x1.0e6541caeea25p-16, -0x1.1ac26f10d389bp-16, -0x1.2642d51608d9bp-16, -0x1.30ec8fbe3c997p-16, -0x1.3ac1cd2f5232fp-16, -0x1.43c61603fb087p-16, -0x1.4c0259f8f5d41p-16, -0x1.5384a96b4c0afp-16, -0x1.5a5bc13ee59f5p-16, -0x1.60923291b0931p-16, -0x1.662c11e57831ap-16, -0x1.6b28d07214e06p-16, -0x1.6f886927533d9p-16, -0x1.7350beb73aee4p-16, -0x1.76871cd7584f5p-16, -0x1.793ba0cdd1396p-16, -0x1.7b796bcab9723p-16, -0x1.7d47f8385660ep-16, -0x1.7ea6d0ba46b9fp-16, -0x1.7f915cb484eap-16, -0x1.8004efcc2bd0fp-16, -0x1.8004c3c1c7399p-16, -0x1.7f99d86766699p-16, -0x1.7eceab58e9205p-16, -0x1.7da8e3a92bb24p-16, -0x1.7c284ae9d20fcp-16, -0x1.7a4aa78b9e7ecp-16, -0x1.7810817c311ep-16, -0x1.757e48d1c158cp-16, -0x1.729a840a85aacp-16, -0x1.6f6acde4fa2a7p-16, -0x1.6bf503f889b2p-16, -0x1.683fe9094ae2bp-16, -0x1.64529bdfc7697p-16, -0x1.603254dc3d181p-16, -0x1.5bdfcb850a08fp-16, -0x1.57572a439d5cbp-16, -0x1.529458901dbc7p-16, -0x1.4d99b15a7a751p-16, -0x1.4872fb21126bbp-16, -0x1.432ef2e223481p-16, -0x1.3dd287bfd04ep-16, -0x1.3854b730b4e6ep-16, -0x1.32ab0ac6ce2e4p-16, -0x1.2cd5183d92b89p-16, -0x1.26dddd20e5fcep-16, -0x1.20cea5a0e917fp-16, -0x1.1aa77b0ae6e2fp-16, -0x1.14651def5880cp-16, -0x1.0e08b8855a04bp-16, -0x1.07977d2d69f98p-16, -0x1.01167a7f78c43p-16, -0x1.f510b7b193b98p-17, -0x1.e7db0ac520a39p-17, -0x1.da8a21dcf4e23p-17, -0x1.cd1b59edf6c6p-17, -0x1.bf8d831560002p-17, -0x1.b1e06da838221p-17, -0x1.a418f81128ca3p-17, -0x1.963fb13119a79p-17, -0x1.885ffd1202429p-17, -0x1.7a7be67ace1ddp-17, -0x1.6c8d86f50cce8p-17, -0x1.5e94004a62d75p-17, -0x1.50a223c4447b7p-17, -0x1.42cb18312686fp-17, -0x1.350387bb44ae5p-17, -0x1.2733495c52c2ap-17, -0x1.19597cc91fd19p-17, -0x1.0b8775a65dbc8p-17, -0x1.fb862551eb053p-18, -0x1.e00d1fe7f62d3p-18, -0x1.c4a4a24728a12p-18, -0x1.a95ba96dc36d4p-18, -0x1.8e3eb4d1f6c32p-18, -0x1.73528bc2e8ec6p-18, -0x1.5895f13b7223p-18, -0x1.3e0acf8c96e4ap-18, -0x1.23b10b8e53d76p-18, -0x1.0989a0c727f69p-18, -0x1.df2b94f3528a8p-19, -0x1.abacbf223343ap-19, -0x1.7891687d05d86p-19, -0x1.45d0ca60aa0a1p-19, -0x1.1357ba9a96d5cp-19, -0x1.c258c59ef86e4p-20, -0x1.5eafefc5d5d56p-20, -0x1.f80cff880bbc6p-21, -0x1.34cb6f7d9b124p-21, -0x1.d0218f2cdcc1cp-23, 0x1.297d7f4208726p-23, 0x1.0639292d8719cp-21, 0x1.bfeafdfc240e9p-21, 0x1.3bc2915ec0d84p-20, 0x1.9676aca10055ap-20, 0x1.f0335ede399c3p-20, 0x1.2484519b870c3p-19, 0x1.50644cfea2e79p-19, 0x1.7ba655bc583dbp-19, 0x1.a640921236c39p-19, 0x1.d039b87cc12d1p-19, 0x1.f995a83619487p-19, 0x1.112af03a7de3ep-18, 0x1.253dbee0f5762p-18, 0x1.3903538e1250ep-18, 0x1.4c7b4b91a91a4p-18, 0x1.5fa4db3fbfd15p-18, 0x1.727f88a5a730bp-18, 0x1.850b0f2e35932p-18, 0x1.9746f6c396c6cp-18, 0x1.a933d19fa3516p-18, 0x1.bad591c2898c4p-18, 0x1.cc29109b7a8b9p-18, 0x1.dd33a29006e87p-18, 0x1.edfb6f2d81a7p-18, 0x1.fe7dd3762ef6dp-18, 0x1.07593d88586dep-17, 0x1.0f47098328ec1p-17, 0x1.170bd508bad1bp-17, 0x1.1ea68043fdf01p-17, 0x1.26155992e2885p-17, 0x1.2d5f3b9b4a623p-17, 0x1.3488aae3fcbd2p-17, 0x1.3b8fac4331ee4p-17, 0x1.426dd223d7b62p-17, 0x1.492405e1fb1c5p-17, 0x1.4fb1d6e0f0ea2p-17, 0x1.561a1ec1529f4p-17, 0x1.5c5c8d7324f5p-17, 0x1.6279801821565p-17, 0x1.6871d4ec6139ep-17, 0x1.6e4517d50f0afp-17, 0x1.73f3763434554p-17, 0x1.797d714f9cbf9p-17, 0x1.7ee374d99c279p-17, 0x1.8425be113cccep-17, 0x1.89446c8228876p-17, 0x1.8e3fc1a89afeep-17, 0x1.9317b995a5affp-17, 0x1.97ccc02bafe82p-17, 0x1.9c5f112ae448p-17, 0x1.a0cee186ea6c4p-17, 0x1.a51c4a2f72c55p-17, 0x1.a94872e73b4e8p-17, 0x1.ad56c8a066f1ep-17, 0x1.b147ef8028049p-17, 0x1.b516d19c9167dp-17, 0x1.b8c2f1c3ae296p-17, 0x1.bc4b216d7c0d7p-17, 0x1.bfb3868ea0c22p-17, 0x1.c30053708fbacp-17, 0x1.c630250a442dcp-17, 0x1.c93fe7bff468fp-17, 0x1.cc30823b12fe6p-17, 0x1.cf02a2487e156p-17, 0x1.d1b71ade670b3p-17, 0x1.d44df17f78ebp-17, 0x1.d6c971714ed55p-17, 0x1.d9272e74c47a2p-17, 0x1.db6851e12553fp-17, 0x1.dd8e87217e7fdp-17, 0x1.df99473af2a9dp-17, 0x1.e188ada76d10ep-17, 0x1.e35d561bc9ae8p-17, 0x1.e517ab42fd871p-17, 0x1.e6b7ddd734871p-17, 0x1.e83e35014e9c1p-17, 0x1.e9ab48cf29b71p-17, 0x1.eaff753eb2985p-17, 0x1.ec3ac1818bacdp-17, 0x1.ed5de4a18cc78p-17, 0x1.ee6864644086cp-17, 0x1.ef5c04fe8b9acp-17, 0x1.f03754a3ae3c6p-17, 0x1.f0fc522e72f06p-17, 0x1.f1ab6a79ea231p-17, 0x1.f244d4cc47d0cp-17, 0x1.f2c7eb4fb63ccp-17, 0x1.f3345834ed71ep-17, 0x1.f38c4cec45f3ap-17, 0x1.f3cf2d077ce3p-17, 0x1.f3fd9b373244ep-17, 0x1.f41836c308ee2p-17, 0x1.f41eaa46344cep-17, 0x1.f4114930a5aaap-17, 0x1.f3f0b7284f908p-17, 0x1.f3bd7d98e3a6cp-17, 0x1.f3778e404293bp-17, 0x1.f31f0a9e40349p-17, 0x1.f2b503d877e4cp-17, 0x1.f239a81a18fc5p-17, 0x1.f1ac12700df78p-17, 0x1.f10f151d255edp-17, 0x1.f05e3ffe092c4p-17, 0x1.efa0fd5c02011p-17, 0x1.eed23bb7e1f3ap-17, 0x1.edf3f6e8140e2p-17, 0x1.ed0562ba2ebd3p-17, 0x1.ec080be3671aap-17, 0x1.eafc2ab0a75efp-17, 0x1.e9e1ac0e04b22p-17, 0x1.e8b8dd518a37ep-17, 0x1.e7824e9ab7652p-17, 0x1.e63ddef79c987p-17, 0x1.e4eb6a9f3d6c5p-17, 0x1.e38cf0d81430ep-17, 0x1.e22232cd4373ep-17, 0x1.e0a8793f42346p-17, 0x1.df23c0c0c52abp-17, 0x1.dd930f208cd07p-17, 0x1.dbf6aae79b3e6p-17, 0x1.da4ec1bab3f9ap-17, 0x1.d89b7242250ccp-17, 0x1.d6dd5ece09f02p-17, 0x1.d5147ec664cecp-17, 0x1.d341225445b2fp-17, 0x1.d163d62e17d2dp-17, 0x1.cf7c7ff9ee621p-17, 0x1.cd8b6d5b32446p-17, 0x1.cb90dde67bac5p-17, 0x1.c98d11a7140b7p-17, 0x1.c7804a77dd1fcp-17, 0x1.c56ac77cd8123p-17, 0x1.c34cc0994d551p-17, 0x1.c12669f5404aap-17, 0x1.bef7fd11a41e3p-17, 0x1.bcc1b7f84959dp-17, 0x1.ba83ccc3f9585p-17, 0x1.b83e2895113cp-17, 0x1.b5f21e99c5b67p-17, 0x1.b39e7a028f4d7p-17, 0x1.b143cc035a579p-17, 0x1.aee3bc094d686p-17, 0x1.ac7bd361277e6p-17, 0x1.aa0f3562aea48p-17, 0x1.a79bccd3d6da1p-17, 0x1.a522d162ec2fp-17, 0x1.a2a4305571eedp-17, 0x1.a02005fdfa139p-17, 0x1.9d96aaa2b105ap-17, 0x1.9b0875780fd09p-17, 0x1.98758578b0b21p-17, 0x1.95ddafaa73a9ep-17, 0x1.9341735770a58p-17, 0x1.90a0fd6f8dd5ep-17, 0x1.8dfc7686419f9p-17, 0x1.8b541ff587b26p-17, 0x1.88a7d7e6c1f43p-17, 0x1.85f7bf406e29ep-17, 0x1.834474ee22e22p-17, 0x1.808d6fa18b81p-17, 0x1.7dd37e033f064p-17, 0x1.7b1650ca8a838p-17, 0x1.7856c095580a8p-17, 0x1.7594d9d24db46p-17, 0x1.72cfab55a3e44p-17, 0x1.70087c99830f1p-17, 0x1.6d3eca50e8ad1p-17, 0x1.6a72b46b59bdp-17, 0x1.67a564b95a0c5p-17, 0x1.64d5f27bafe57p-17, 0x1.62051fb3270d2p-17, 0x1.5f311f40fb707p-17, 0x1.5c5de18e378eap-17, 0x1.59885ab889b0ap-17, 0x1.56b20fe5fbc6p-17, 0x1.53daaca7b0d7p-17, 0x1.51013124b66c4p-17, 0x1.4e27b3e6be09p-17, 0x1.4b4d7b3141cb2p-17, 0x1.48726e2bb138ep-17, 0x1.45975ecd79c7cp-17, 0x1.42bb1d8295dddp-17, 0x1.3fdfd69fce5e1p-17, 0x1.3d0353232d2ddp-17, 0x1.3a2795092d62dp-17, 0x1.374bbdec4b1d2p-17, 0x1.347030e2af34ep-17, 0x1.3193ee761f869p-17, 0x1.2eb8ce2f94d7dp-17, 0x1.2bddfd31c1fdfp-17, 0x1.2903a91a2640cp-17, 0x1.2629f6623ab5ep-17, 0x1.2350eaa770abbp-17, 0x1.20793d22b4be2p-17, 0x1.1da218f9d9fdp-17, 0x1.1acb79b9a5ac1p-17, 0x1.17f684e3a8a71p-17, 0x1.1522869ec692fp-17, 0x1.124fb96d98abp-17, 0x1.0f7e46991f97bp-17, 0x1.0cae385ebdbd2p-17, 0x1.09dfb6d4b341p-17, 0x1.07128219aabc2p-17, 0x1.04472075eb8f7p-17, 0x1.017d3dce9aa3ap-17, 0x1.fd6a41d50e5b3p-18, 0x1.f7dd8db909a87p-18, 0x1.f25453c731bd5p-18, 0x1.ecce2f69d5f4p-18, 0x1.e7502e4c31238p-18, 0x1.e1d36dd46c666p-18, 0x1.dc57fb1ccd5e2p-18, 0x1.d6e4dfad2e122p-18, 0x1.d17530a88cd2p-18, 0x1.cc0a160d11cd6p-18, 0x1.c6a324db30635p-18, 0x1.c141eaabcbe99p-18, 0x1.bbe52176b82bp-18, 0x1.b68d5f4438f66p-18, 0x1.b13acec5d6ee8p-18, 0x1.abed47924102ep-18, 0x1.a6a4bf012fee3p-18, 0x1.a162116661841p-18, 0x1.9c243c5c02dd7p-18, 0x1.96ec0f8b466d3p-18, 0x1.91b9b2f5caabdp-18, 0x1.8c8e91ec3af69p-18, 0x1.8768748d3a87p-18, 0x1.824626dd4f7bdp-18, 0x1.7d2bb5eef2fdcp-18, 0x1.7816e9415ada6p-18, 0x1.730779c548b4ap-18, 0x1.6dfed5be0a52cp-18, 0x1.68fca70cf610bp-18, 0x1.64009f6495e1p-18, 0x1.5f0adfb4bfd88p-18, 0x1.5a1b51821d26fp-18, 0x1.55329f84413c2p-18, 0x1.504feaba8a939p-18, 0x1.4b73217699593p-18, 0x1.469e5f671b526p-18, 0x1.41d0a5e843769p-18, 0x1.3d084bd67714cp-18, 0x1.38471f567a52ap-18, 0x1.338c787112a3cp-18, 0x1.2ed99ea10593p-18, 0x1.2a2d478e5147fp-18, 0x1.2586d8ef6b223p-18, 0x1.20e868232a80ap-18, 0x1.1c5050d9a4fe5p-18, 0x1.17c11ce571b02p-18, 0x1.13366763ab97dp-18, 0x1.0eb463dd6b0d2p-18, 0x1.0a3914750e6eap-18, 0x1.05c4d6ec240c9p-18, 0x1.0157a3fb1cc3fp-18, 0x1.f9e423d66bc09p-19, 0x1.f1259d701e3b7p-19, 0x1.e87704d1e0247p-19, 0x1.dfd920125c364p-19, 0x1.d74cc98f40009p-19, 0x1.cec2ed9c44ac4p-19, 0x1.c64e0c4d9270fp-19, 0x1.bdead10d549c8p-19, 0x1.b593376f45d99p-19, 0x1.ad4a39593d36dp-19, 0x1.a50c5aca5b2e2p-19, 0x1.9ceac805fc361p-19, 0x1.94cf16c23cdp-19, 0x1.8cbfde91b504fp-19, 0x1.84c258d76e21dp-19, 0x1.7cd33f9469d5dp-19, 0x1.74f2e9b82220cp-19, 0x1.6d22854c80985p-19, 0x1.6561d4e67c62cp-19, 0x1.5dabf703bd403p-19, 0x1.5606bcca357eap-19, 0x1.4e6f0b60a7badp-19, 0x1.46eb0d6e81028p-19, 0x1.3f72214b1d56ep-19, 0x1.3808f02f47676p-19, 0x1.30b022f841cfbp-19, 0x1.2963cea3ab60fp-19, 0x1.22285b3f5df1cp-19, 0x1.1afa835ec8213p-19, 0x1.13db77b0029cfp-19, 0x1.0ccb0ca67d92ep-19, 0x1.05c9fc40014ddp-19, 0x1.fdadf4428cecap-20, 0x1.efe552bc0186dp-20, 0x1.e240509feed13p-20, 0x1.d4bee39bddde1p-20, 0x1.c743cc00c6655p-20, 0x1.b9f42ec7051bap-20, 0x1.acbb861ecc37cp-20, 0x1.9fa40573b5bc1p-20, 0x1.92ac4918f0402p-20, 0x1.85d03f0a15e23p-20, 0x1.790df4321e80dp-20, 0x1.6c6b742bee90ap-20, 0x1.5fe4000a73b37p-20, 0x1.537abdd7ec1dp-20, 0x1.472c08c1194d7p-20, 0x1.3af66ed7a063dp-20, 0x1.2ee9b2b07c61fp-20, 0x1.22f1e76cf4eb9p-20, 0x1.17174f20728ccp-20, 0x1.0b584242ca16bp-20, 0x1.ff60778afdbp-21, 0x1.e85d55c0b1fd1p-21, 0x1.d188a66c85be5p-21, 0x1.baebccf4c6934p-21, 0x1.a4865719833f5p-21, 0x1.8e57299e8bd07p-21, 0x1.785b08a6f004fp-21, 0x1.62a010df3ffb4p-21, 0x1.4d197988c84a9p-21, 0x1.37c773ee958d1p-21, 0x1.22aba0383de32p-21, 0x1.0dc54bf12f42ep-21, 0x1.f229188df7b8p-22, 0x1.c937f344f790cp-22, 0x1.a0abe13c6e12bp-22, 0x1.788442cc6b422p-22, 0x1.50cec9daa59a9p-22, 0x1.293ce5653ed14p-22, 0x1.02a32d809364fp-22, 0x1.b85ad8dd64637p-23, 0x1.6c120dc33d1dap-23, 0x1.20d97e448fa88p-23, 0x1.ac9960f9ad38p-24, 0x1.1938e871ba7e6p-24, 0x1.0ed6ec18c6de6p-25, -0x1.1b8519c511cccp-29, -0x1.2efd99cfbe841p-25, -0x1.24f02d411e7d3p-24, -0x1.b04fac89e0a7bp-24, -0x1.1d0aabd866295p-23, -0x1.614b83b939862p-23, -0x1.a4c2175c5c69cp-23, }}, 
      {{0x1.e44acd6e28eep-1, 0x1.83cbe7a58ae2p+0, 0x1.d1109bb5533f6p+0, 0x1.e4fecf4d77837p+0, 0x1.dbeb5f4df319fp+0, 0x1.cb390aeb99b2fp+0, 0x1.be0ddf689d3f5p+0, 0x1.b7e4dcc2aa279p+0, 0x1.b7e1f08ebf943p+0, 0x1.bb6333302d24dp+0, 0x1.bf9547559ea9ep+0, 0x1.c23bf4486f3ffp+0, 0x1.c1f4710ccfb9p+0, 0x1.be2c26b601ba5p+0, 0x1.b6f4d9a54dd22p+0, 0x1.accf44fd25747p+0, 0x1.a079922bb728dp+0, 0x1.92c78e9fd6548p+0, 0x1.84861620c15cp+0, 0x1.7668d3d16caf3p+0, 0x1.690079d617562p+0, 0x1.5cb75379282cap+0, 0x1.51d23f5203743p+0, 0x1.487471af00949p+0, 0x1.40a4bba9e3608p+0, 0x1.3a5369ea988cp+0, 0x1.356018d74ce58p+0, 0x1.319f16ef93b93p+0, 0x1.2ede19ba02c16p+0, 0x1.2ce8295dbbcffp+0, 0x1.2b88bdce8e6ap+0, 0x1.2a8e1796f0763p+0, 0x1.29cae7bd85866p+0, 0x1.29175f71fd60dp+0, 0x1.2851c1a815eedp+0, 0x1.275e9046d68cep+0, 0x1.26286cad926ap+0, 0x1.249fc0826e42ep+0, 0x1.22ba406c26ec3p+0, 0x1.2072574740a7dp+0, 0x1.1dc68539b7182p+0, 0x1.1ab8bb9d91b3fp+0, 0x1.174dbcaa6ec98p+0, 0x1.138c83d6cfd64p+0, 0x1.0f7dba313e2f9p+0, 0x1.0b2b389a4c2e4p+0, 0x1.069f991512a83p+0, 0x1.01e5d7a1b5c77p+0, 0x1.fa12047360f23p-1, 0x1.f027ed5a7095p-1, 0x1.e6225a67e9daap-1, 0x1.dc151d62f36aap-1, 0x1.d212ab80d95e8p-1, 0x1.c82bf2793ea35p-1, 0x1.be703d3b1f12bp-1, 0x1.b4ed253b3b49fp-1, 0x1.abae8e29fe8c7p-1, 0x1.a2beaa7dcd428p-1, 0x1.9a2607855ed14p-1, 0x1.91eb9f783985ap-1, 0x1.8a14efcca39acp-1, 0x1.82a6123cb8ea9p-1, 0x1.7ba1d7519c298p-1, 0x1.7509e1b7d7e51p-1, 0x1.6edec1e210aa9p-1, 0x1.692011a30401bp-1, 0x1.63cc8f6d634b2p-1, 0x1.5ee238d5c909p-1, 0x1.5a5e6403e078bp-1, 0x1.563dd7c096f02p-1, 0x1.527ce205a4aeap-1, 0x1.4f176ceac48b6p-1, 0x1.4c0911e846552p-1, 0x1.494d2b8d207b3p-1, 0x1.46dee5956f2abp-1, 0x1.44b94b8c589bep-1, 0x1.42d755f002dc7p-1, 0x1.4133f602ca75dp-1, 0x1.3fca2043c27dep-1, 0x1.3e94d5a0366fdp-1, 0x1.3d8f2b8311ba3p-1, 0x1.3cb452c0e8defp-1, 0x1.3bff9d8268116p-1, 0x1.3b6c8438f0d1bp-1, 0x1.3af6a9bde05f9p-1, 0x1.3a99dea0c3ed4p-1, 0x1.3a5223c77d5aep-1, 0x1.3a1bac66e5e45p-1, 0x1.39f2df5eb5a66p-1, 0x1.39d4582215bc3p-1, 0x1.39bce71cc353bp-1, 0x1.39a991b152d1p-1, 0x1.399791e61a69ap-1, 0x1.398455ad648adp-1, 0x1.396d7e06e31ep-1, 0x1.3950ddbacc4b7p-1, 0x1.392c78123408fp-1, 0x1.38fe7f3da0b7p-1, 0x1.38c552b17bcbdp-1, 0x1.387f7d567fcbep-1, 0x1.382bb3bca11e7p-1, 0x1.37c8d21bfa536p-1, 0x1.3755da72cc8bbp-1, 0x1.36d1f283cc62bp-1, 0x1.363c61cff9544p-1, 0x1.35948fba0fe29p-1, 0x1.34da016eab0a1p-1, 0x1.340c58164be7dp-1, 0x1.332b4eeaec3acp-1, 0x1.3236b951b22fbp-1, 0x1.312e813a2440bp-1, 0x1.3012a53ea4b15p-1, 0x1.2ee3371343797p-1, 0x1.2da059f47604fp-1, 0x1.2c4a4103a6e03p-1, 0x1.2ae12df895025p-1, 0x1.29656fb029ebp-1, 0x1.27d760c9bf35dp-1, 0x1.263766919461ap-1, 0x1.2485efb6f4525p-1, 0x1.22c37330beddfp-1, 0x1.20f06f517607bp-1, 0x1.1f0d68ae9acf6p-1, 0x1.1d1ae93b19e05p-1, 0x1.1b197f92404bdp-1, 0x1.1909be0363e0bp-1, 0x1.16ec39d21a047p-1, 0x1.14c18ac438766p-1, 0x1.128a4a437d92dp-1, 0x1.104712ce1e651p-1, 0x1.0df87f94d59c8p-1, 0x1.0b9f2bebea202p-1, 0x1.093bb2b2d59f3p-1, 0x1.06ceae15f0ac3p-1, 0x1.0458b7408e6fap-1, 0x1.01da65c43afc2p-1, 0x1.fea89ed24ba2cp-2, 0x1.f98e101d46b87p-2, 0x1.f466428379aacp-2, 0x1.ef3253d74b2c8p-2, 0x1.e9f35cb751e5cp-2, 0x1.e4aa701b2e1bp-2, 0x1.df589ac316e6ep-2, 0x1.d9fee309f2a56p-2, 0x1.d49e48f52a6f2p-2, 0x1.cf37c5ddbdbep-2, 0x1.c9cc4c1086501p-2, 0x1.c45cc6dec0d58p-2, 0x1.beea1aaf3696cp-2, 0x1.b97524d10f78ap-2, 0x1.b3febb2a019c6p-2, 0x1.ae87ac80e3f8bp-2, 0x1.a910c08fbd944p-2, 0x1.a39ab7dae45e9p-2, 0x1.9e264ba55c26ap-2, 0x1.98b42e15c90adp-2, 0x1.93450a8067b4p-2, 0x1.8dd9853dc14fp-2, 0x1.88723bb55ff91p-2, 0x1.830fc482a3b87p-2, 0x1.7db2afc3d6b1ep-2, 0x1.785b8710b6464p-2, 0x1.730acd92fe1f1p-2, 0x1.6dc10017a3ddp-2, 0x1.687e9558d4288p-2, 0x1.6343fe2c921d9p-2, 0x1.5e11a58170961p-2, 0x1.58e7f0844e794p-2, 0x1.53c73ecabedf1p-2, 0x1.4eafea9aac094p-2, 0x1.49a248fc55e76p-2, 0x1.449ea9ce4a608p-2, 0x1.3fa557f316cf6p-2, 0x1.3ab699820706dp-2, 0x1.35d2aff1d6e77p-2, 0x1.30f9d841b8e8dp-2, 0x1.2c2c4b077e876p-2, 0x1.276a3c946f706p-2, 0x1.22b3dd34a0aa2p-2, 0x1.1e09594463244p-2, 0x1.196ad966254f5p-2, 0x1.14d8828521359p-2, 0x1.105276038ed38p-2, 0x1.0bd8d1de99347p-2, 0x1.076bb0e121cbcp-2, 0x1.030b2ab37596dp-2, 0x1.fd6ea7edb1014p-3, 0x1.f4e07cd3255d2p-3, 0x1.ec6bf2088004ap-3, 0x1.e411202e9489ep-3, 0x1.dbd01ae51c2afp-3, 0x1.d3a8f0f5f819cp-3, 0x1.cb9bac7058286p-3, 0x1.c3a852eb8c8c2p-3, 0x1.bbcee5d36875bp-3, 0x1.b40f627e761a3p-3, 0x1.ac69c273fee58p-3, 0x1.a4ddfb890376dp-3, 0x1.9d6c00139b8bap-3, 0x1.9613bf0b4a3e2p-3, 0x1.8ed52442086a3p-3, 0x1.87b01891513bfp-3, 0x1.80a481fc37085p-3, 0x1.79b243ce9a8cdp-3, 0x1.72d93ec934e38p-3, 0x1.6c195132adcf2p-3, 0x1.6572571948952p-3, 0x1.5ee42a66ae8a6p-3, 0x1.586ea2fa0f9fep-3, 0x1.521196cfab2b7p-3, 0x1.4bccda15e36ddp-3, 0x1.45a03f4bf3855p-3, 0x1.3f8b975530c28p-3, 0x1.398eb1affd5e5p-3, 0x1.33a95c7973e66p-3, 0x1.2ddb6481a889p-3, 0x1.2824956fe733cp-3, 0x1.2284b9cf84845p-3, 0x1.1cfb9b2ad5d6cp-3, 0x1.17890219acd2cp-3, 0x1.122cb660a2e71p-3, 0x1.0ce67eff6fe58p-3, 0x1.07b6223e4269ep-3, 0x1.029b65c0f23adp-3, 0x1.fb2c1d328f9e1p-4, 0x1.f14bc2add61a2p-4, 0x1.e795442c192c3p-4, 0x1.de08292090591p-4, 0x1.d4a3f84d88102p-4, 0x1.cb6838077729bp-4, 0x1.c2546ddf2f89dp-4, 0x1.b9681f3f7d52fp-4, 0x1.b0a2d149ed248p-4, 0x1.a80408cf932bp-4, 0x1.9f8b4a997949bp-4, 0x1.97381b67675edp-4, 0x1.8f0a0000eba9fp-4, 0x1.87007d53964d9p-4, 0x1.7f1b18625c38bp-4, 0x1.77595679bc748p-4, 0x1.6fbabd4b4a9p-4, 0x1.683ed2c8ef8dfp-4, 0x1.60e51d5af7e87p-4, 0x1.59ad23e31c432p-4, 0x1.52966dd5b90b8p-4, 0x1.4ba0831aadbep-4, 0x1.44caec501553ap-4, 0x1.3e1532b491f1p-4, 0x1.377ee032479a9p-4, 0x1.31077f7498701p-4, 0x1.2aae9bfa9c0cp-4, 0x1.2473c1ee53085p-4, 0x1.1e567e5dcc4ddp-4, 0x1.18565f4e0d91cp-4, 0x1.1272f37fb4bdap-4, 0x1.0cabcaadd084cp-4, 0x1.07007582fc07p-4, 0x1.017085a4505fap-4, 0x1.f7f71b4602bc7p-5, 0x1.ed424236f84c2p-5, 0x1.e2c1a9504bff4p-5, 0x1.d8747bf3cf24dp-5, 0x1.ce59e761fe1f1p-5, 0x1.c4711b1638c03p-5, 0x1.bab948d5802a9p-5, 0x1.b131a44edbdcep-5, 0x1.a7d96381a72ecp-5, 0x1.9eafbe9963619p-5, 0x1.95b3f00973217p-5, 0x1.8ce53465c7eafp-5, 0x1.8442ca883cce6p-5, 0x1.7bcbf37e0560bp-5, 0x1.737ff2c5dbd8fp-5, 0x1.6b5e0dea6f1bbp-5, 0x1.63658cd7221e5p-5, 0x1.5b95b9c305bfbp-5, 0x1.53ede0fc9a259p-5, 0x1.4c6d51521e447p-5, 0x1.45135bc1522e8p-5, 0x1.3ddf537b33bd6p-5, 0x1.36d08e098ecfbp-5, 0x1.2fe66342936efp-5, 0x1.29202d10d6fe2p-5, 0x1.227d47d39c49ap-5, 0x1.1bfd1204940f2p-5, 0x1.159eec630ca09p-5, 0x1.0f6239ea5c7b8p-5, 0x1.09465fc6b409dp-5, 0x1.034ac557e4b52p-5, 0x1.fadda863a3afap-6, 0x1.ef63f0299de6ap-6, 0x1.e4273dc617181p-6, 0x1.d9267164f1bd6p-6, 0x1.ce606f5491ae4p-6, 0x1.c3d42037d6926p-6, 0x1.b98070dc039c4p-6, 0x1.af6452397516cp-6, 0x1.a57eb97064db9p-6, 0x1.9bce9fbcce94dp-6, 0x1.92530269ec8e1p-6, 0x1.890ae2c89d04ap-6, 0x1.7ff5462035cd5p-6, 0x1.771135ade54bap-6, 0x1.6e5dbf19e8619p-6, 0x1.65d9f2c593c7bp-6, 0x1.5d84e5ddff22ap-6, 0x1.555db182fa8e2p-6, 0x1.4d6371c08e92bp-6, 0x1.459546d7fa62dp-6, 0x1.3df254f53972p-6, 0x1.3679c38fff22ap-6, 0x1.2f2abdcf85aabp-6, 0x1.28047247a706dp-6, 0x1.2106137021461p-6, 0x1.1a2ed6cbd10abp-6, 0x1.137df5bb77974p-6, 0x1.0cf2acc18c5cfp-6, 0x1.068c3bb8d4eb9p-6, 0x1.0049e5e097e88p-6, 0x1.f455e38566ca8p-7, 0x1.e85d522da37e8p-7, 0x1.dca8b192d9765p-7, 0x1.d136a1e77864dp-7, 0x1.c605c9845569cp-7, 0x1.bb14d4e28438p-7, 0x1.b062768e9e6afp-7, 0x1.a5ed67055a9fep-7, 0x1.9bb46485831a3p-7, 0x1.91b633d7559f5p-7, 0x1.87f19e052981ap-7, 0x1.7e65729b91b33p-7, 0x1.75108788f17bcp-7, 0x1.6bf1b6afc1a16p-7, 0x1.6307e01532cecp-7, 0x1.5a51e904dd06cp-7, 0x1.51cebc6f86c8dp-7, 0x1.497d4961bd523p-7, 0x1.415c84bf9f17fp-7, 0x1.396b68b13871cp-7, 0x1.31a8f388c40f8p-7, 0x1.2a1428dff013ep-7, 0x1.22ac110b56579p-7, 0x1.1b6fb90aa08e4p-7, 0x1.145e3279dcfa6p-7, 0x1.0d769386b6484p-7, 0x1.06b7f6e30a67cp-7, 0x1.00217baa5e9dbp-7, 0x1.f3648a8f78dd2p-8, 0x1.e6d2f7677b11dp-8, 0x1.da8c9551bc706p-8, 0x1.ce8fc460b1764p-8, 0x1.c2daecc420f6p-8, 0x1.b76c7f44d76fp-8, 0x1.ac42f349e4ecbp-8, 0x1.a15cc883680a7p-8, 0x1.96b88620c2019p-8, 0x1.8c54bb8dafda1p-8, 0x1.822ffe35a7276p-8, 0x1.7848eb67008d2p-8, 0x1.6e9e28debdb0fp-8, 0x1.652e6196c9df2p-8, 0x1.5bf84824f1cd2p-8, 0x1.52fa95d88737fp-8, 0x1.4a340a7100f0dp-8, 0x1.41a36bfa9f314p-8, 0x1.394786e07bf51p-8, 0x1.311f2d947cc5ep-8, 0x1.292938b3a85a9p-8, 0x1.216486eddd16ep-8, 0x1.19cffcff1159fp-8, 0x1.126a8592477cfp-8, 0x1.0b331254e94a6p-8, 0x1.042898850a83ap-8, 0x1.fa94289fb190bp-9, 0x1.ed2d105ba596dp-9, 0x1.e019f4a9e7145p-9, 0x1.d358ed82f4276p-9, 0x1.c6e81b8f26d72p-9, 0x1.bac5a970de622p-9, 0x1.aeefcb2ec09a6p-9, 0x1.a364be429fe1ep-9, 0x1.9822c9c50c549p-9, 0x1.8d283e9305deep-9, 0x1.8273776583ce7p-9, 0x1.7802d8cb820a5p-9, 0x1.6dd4d0dfc111ap-9, 0x1.63e7d6ad74441p-9, 0x1.5a3a696b85p-9, 0x1.50cb134a10d21p-9, 0x1.479860398943p-9, 0x1.3ea0e68527ff8p-9, 0x1.35e34626d7819p-9, 0x1.2d5e208729292p-9, 0x1.251020d702023p-9, 0x1.1cf7f94ac9fc9p-9, 0x1.151463a9f5ea4p-9, 0x1.0d6422457d3d8p-9, 0x1.05e5fef2847fap-9, 0x1.fd3195000fa68p-10, 0x1.eef6bca74a34bp-10, 0x1.e119382356101p-10, 0x1.d396d2d929d91p-10, 0x1.c66d65b474168p-10, 0x1.b99ad421b31bp-10, 0x1.ad1d0afedd7fcp-10, 0x1.a0f200bb081e9p-10, 0x1.9517b5e22589cp-10, 0x1.898c35bd5f3b7p-10, 0x1.7e4d96deab658p-10, 0x1.7359fbbe492aap-10, 0x1.68af93247b40ap-10, 0x1.5e4c986bcbdf7p-10, 0x1.542f541781ca9p-10, 0x1.4a56138c4debap-10, 0x1.40bf34efa397ap-10, 0x1.37691e90227dcp-10, 0x1.2e523c640a81dp-10, 0x1.257903d94512bp-10, 0x1.1cdbf215e299p-10, 0x1.14798ca953ba6p-10, 0x1.0c5061f58d1cdp-10, 0x1.045f0987a291ap-10, 0x1.f9484765a1ap-11, 0x1.ea3cbe04cb651p-11, 0x1.db98d0278ec87p-11, 0x1.cd59f2980cedbp-11, 0x1.bf7db2de1a1dap-11, 0x1.b20195a04d1d7p-11, 0x1.a4e3331b0fe04p-11, 0x1.98202c2b56bfcp-11, 0x1.8bb62b99a51dep-11, 0x1.7fa2e8535ea8ep-11, 0x1.73e428ab21fe7p-11, 0x1.6877c0b788becp-11, 0x1.5d5ba178c9bf1p-11, 0x1.528dc6c6251eap-11, 0x1.480c483eb567cp-11, 0x1.3dd54f583504cp-11, 0x1.33e71088e64ep-11, 0x1.2a3fcd694b005p-11, 0x1.20ddcc311ad29p-11, 0x1.17bf56ad612edp-11, 0x1.0ee2b4f50cc06p-11, 0x1.0646298908feep-11, 0x1.fbcff0e15214bp-12, 0x1.eb8ccfce24411p-12, 0x1.dbbf89e7e86d2p-12, 0x1.cc64d24a764ccp-12, 0x1.bd797f9ef017p-12, 0x1.aefa985264878p-12, 0x1.a0e552f98ebaap-12, 0x1.9337090ec38cfp-12, 0x1.85ed4ba6a7028p-12, 0x1.7905d3b1954efp-12, 0x1.6c7e5f21f0ab5p-12, 0x1.6054b9a4ace62p-12, 0x1.5486aef364cb1p-12, 0x1.4911f944fa83ep-12, 0x1.3df431a5bee12p-12, 0x1.332afd43782c9p-12, 0x1.28b3e05bb5c77p-12, 0x1.1e8c64632c9d7p-12, 0x1.14b22644d432fp-12, 0x1.0b22c0bfa848ep-12, 0x1.01dc0021111c5p-12, 0x1.f1b7ab9116db9p-13, 0x1.e040984bd0a3cp-13, 0x1.cf4f3983d063dp-13, 0x1.bee048c6da42dp-13, 0x1.aef096726431cp-13, 0x1.9f7d58aac18d6p-13, 0x1.9083b24049768p-13, 0x1.8200ad2a54ccdp-13, 0x1.73f17eea0789p-13, 0x1.66532690268c1p-13, 0x1.59228dbb9e359p-13, 0x1.4c5c8a9508897p-13, 0x1.3ffdec20be8e8p-13, 0x1.3403891582122p-13, 0x1.286a4ed33079ep-13, 0x1.1d2f4e29b6f33p-13, 0x1.124fc1cfe5273p-13, 0x1.07c90c553f771p-13, 0x1.fb31614127aa1p-14, 0x1.e778904989b67p-14, 0x1.d462f315c3f79p-14, 0x1.c1ebe9ce6d45p-14, 0x1.b00ef01f4fceap-14, 0x1.9ec7aeedfb798p-14, 0x1.8e1207da52fe6p-14, 0x1.7dea160ca5061p-14, 0x1.6e4c212c3dc5fp-14, 0x1.5f34889ce244ep-14, 0x1.509fb428f252ep-14, 0x1.428a0d0c721ffp-14, 0x1.34efff439085ap-14, 0x1.27ce05508e0f2p-14, 0x1.1b20bc8652aefp-14, 0x1.0ee4f49b302d7p-14, 0x1.0317ac41d5fd3p-14, 0x1.ef6bea62756b6p-15, 0x1.d979a184352c5p-15, 0x1.c4521a75a2101p-15, 0x1.afeee433903b5p-15, 0x1.9c48a8edfd7eap-15, 0x1.895861baead85p-15, 0x1.7717621009635p-15, 0x1.657fc344d0418p-15, 0x1.548b9fdcfb198p-15, 0x1.4435e9b216c98p-15, 0x1.347a2cc4d2c7ap-15, 0x1.255445bf80afdp-15, 0x1.16c029c2fc9b9p-15, 0x1.08ba4808396e6p-15, 0x1.f67f04595e5ccp-16, 0x1.dc99ce1b7d9c2p-16, 0x1.c3bf0b8d914f9p-16, 0x1.abe86503036bfp-16, 0x1.950f1650fadd8p-16, 0x1.7f29fb4acc41ap-16, 0x1.6a31e8b3b6858p-16, 0x1.561c0349ae841p-16, 0x1.42dffb5e63051p-16, 0x1.3074bbf4908ccp-16, 0x1.1ed22fe625e4p-16, 0x1.0df1ca43f2ac5p-16, 0x1.fb9b34c5db2a1p-17, 0x1.dcbf70f875edap-17, 0x1.bf42cf1537693p-17, 0x1.a315dd7c90c3bp-17, 0x1.8828c5c91d792p-17, 0x1.6e6df7ee4ea7dp-17, 0x1.55dc4bd6a32e4p-17, 0x1.3e6f51ed30bap-17, 0x1.28259936efc15p-17, 0x1.12fdc09af48e4p-17, 0x1.fde77aa19dc73p-18, 0x1.d7ff040c95023p-18, 0x1.b42a93ea1dfbp-18, 0x1.924de32fdb1c6p-18, 0x1.724b3aa0ecadp-18, 0x1.5406aed045151p-18, 0x1.37693b31f0ec6p-18, 0x1.1c630f57d0712p-18, 0x1.02eba830f7799p-18, 0x1.d5fe092f7221p-19, 0x1.a93145af609a4p-19, 0x1.7f5d4432abf13p-19, 0x1.586b0740b323fp-19, 0x1.3426b6671a336p-19, 0x1.126396f1adcd1p-19, 0x1.e60705c915bbfp-20, 0x1.abbfd5303cdbcp-20, 0x1.75cf1c398dff7p-20, 0x1.4424e880ae5c4p-20, 0x1.16b95560dcbb8p-20, 0x1.db07939b9e4d9p-21, 0x1.90dffe007fa63p-21, 0x1.4e97e2b930908p-21, 0x1.13dd23aa97559p-21, 0x1.c03ddcf08e973p-22, 0x1.65925c2a4ae0dp-22, 0x1.16ab5d2ffb34dp-22, 0x1.a5915332bbf49p-23, 0x1.332d6ac14587cp-23, 0x1.ac6211d5d215bp-24, 0x1.1d899f1757129p-24, 0x1.735bcf32fec9fp-25, 0x1.fc351b63d745cp-26, 0x1.a945b7a68b968p-26, 0x1.ec3eb9fb7f7bdp-26, 0x1.5a3f69e2b38b4p-25, 0x1.002e417c5b8d2p-24, 0x1.7341438d72a37p-24, 0x1.02b42fb7ae675p-23, 0x1.5a6c535535e85p-23, 0x1.bf7e32e569235p-23, 0x1.184a1de7d1bbap-22, 0x1.56570760e2996p-22, 0x1.99ae5166c5af3p-22, 0x1.e249fa9fdb608p-22, 0x1.1806c05bf5d18p-21, 0x1.4141aa6047ef4p-21, 0x1.6ce2f39363bdfp-21, 0x1.9a704d0330058p-21, 0x1.c9bc0f125991p-21, 0x1.fa99de6f917dap-21, 0x1.16832a63dcf93p-20, 0x1.3087b306f063cp-20, 0x1.4b5cbbec93daap-20, 0x1.66f6e7bc005cbp-20, 0x1.833e0ffb54db7p-20, 0x1.a01787f7c1b9p-20, 0x1.bd7519375c022p-20, 0x1.db5284b8a9e75p-20, 0x1.f9ba77dce182dp-20, 0x1.0c516e4def764p-19, 0x1.1bfb42709236p-19, 0x1.2bdc0f03016b2p-19, 0x1.3be5cd31a7ecp-19, 0x1.4c113c9c6480bp-19, 0x1.5c56427d7452ap-19, 0x1.6cac1895e391ep-19, 0x1.7d0c4448e2a31p-19, 0x1.8d757434fff1p-19, 0x1.9deb35517b134p-19, 0x1.ae716af79f482p-19, 0x1.bf0537125e031p-19, 0x1.cf995795c015ap-19, 0x1.e01d79362d0acp-19, 0x1.f08c416f57532p-19, 0x1.0078885ee2308p-18, 0x1.08a89366cc24ep-18, 0x1.10d86853595f6p-18, 0x1.19019391dafa8p-18, 0x1.211ed092f34a4p-18, 0x1.293033b4e1ecfp-18, 0x1.3137677b10ebep-18, 0x1.3933c4f2ba59bp-18, 0x1.412286df68c91p-18, 0x1.4900fd81ad004p-18, 0x1.50cdb897faf6ap-18, 0x1.5888823645f68p-18, 0x1.6031c52389a59p-18, 0x1.67ca5c8bd1e5ep-18, 0x1.6f51fe586c468p-18, 0x1.76c9cd30cb031p-18, 0x1.7e2edb148e01cp-18, 0x1.857fd4398c0c3p-18, 0x1.8cb9b52d9df72p-18, 0x1.93dd9c27278aep-18, 0x1.9aeb3cf8fc7fp-18, 0x1.a1e33377569c5p-18, 0x1.a8c240b90413cp-18, 0x1.af8326481296p-18, 0x1.b628d8f62877cp-18, 0x1.bcb90532af586p-18, 0x1.c333ceb6baa19p-18, 0x1.c99549632cd51p-18, 0x1.cfdc561a72f59p-18, 0x1.d60a8489cae01p-18, 0x1.dc1fe60e6dea9p-18, 0x1.e21ae048267d1p-18, 0x1.e7fa0359e7b6cp-18, 0x1.edbc4b312dd22p-18, 0x1.f3656d0caaeb5p-18, 0x1.f8f063bad56edp-18, 0x1.fe5fc29ae1ccfp-18, 0x1.01dad99b41ccep-17, 0x1.0476f296c69eap-17, 0x1.0705efb2ba245p-17, 0x1.09875389f79a9p-17, 0x1.0bfb4a379f907p-17, 0x1.0e63468ce2197p-17, 0x1.10be0d53de055p-17, 0x1.130bdd747a766p-17, 0x1.154bcf87df075p-17, 0x1.177eef8ea352bp-17, 0x1.19a2e9910108p-17, 0x1.1bb91032fc06ep-17, 0x1.1dc13bfe187c2p-17, 0x1.1fbb944781597p-17, 0x1.21a8cf18a1663p-17, 0x1.2388db96d9036p-17, 0x1.255c0e3f5f166p-17, 0x1.27229e5cdd6ecp-17, 0x1.28dc110d48df8p-17, 0x1.2a88a3f13fb82p-17, 0x1.2c275d0cd451p-17, 0x1.2db93e23d27a5p-17, 0x1.2f3e502d14bdcp-17, 0x1.30b67c497d9bp-17, 0x1.3222000798467p-17, 0x1.338107517ee4ep-17, 0x1.34d3a63b43994p-17, 0x1.3619da95b754ep-17, 0x1.3753c5e62f673p-17, 0x1.38819f225b00fp-17, 0x1.39a3754836738p-17, 0x1.3ab9544f0caf8p-17, 0x1.3bc3b18478fcap-17, 0x1.3cc24a2f8271p-17, 0x1.3db5874588524p-17, 0x1.3e9df03b582b4p-17, 0x1.3f7b45e3c8ef7p-17, 0x1.404d69d030ad3p-17, 0x1.41141ddcb5ab6p-17, 0x1.41cfb7a283855p-17, 0x1.42804620c4783p-17, 0x1.4326851e36908p-17, 0x1.43c1d27564ca9p-17, 0x1.4452338bfb1bcp-17, 0x1.44d93b423c632p-17, 0x1.4555d2cb61828p-17, 0x1.45c8adb198024p-17, 0x1.4630b0fc0f203p-17, 0x1.4690594aa8456p-17, 0x1.46e553f2f8abp-17, 0x1.473089635adeep-17, 0x1.47730db99d146p-17, 0x1.47abfea53988cp-17, 0x1.47db974085fc5p-17, 0x1.480231343c761p-17, 0x1.482006023c55bp-17, 0x1.483533e5bb471p-17, 0x1.4841c64120eecp-17, 0x1.4845e0aa8463p-17, 0x1.48416d0c4e7e5p-17, 0x1.4834c7ecc66e8p-17, 0x1.4820291e1b94dp-17, 0x1.4803b2f558b6ap-17, 0x1.47df40c328f4ap-17, 0x1.47b30f14ffd5cp-17, 0x1.477f55396a90cp-17, 0x1.47444672fa7ecp-17, 0x1.47023de671a29p-17, 0x1.46b750cfe595ap-17, 0x1.46665e2ae2fbap-17, 0x1.460e8041d8d78p-17, 0x1.45afd60a541cfp-17, 0x1.454a306f7a8d7p-17, 0x1.44de011affe0cp-17, 0x1.446b44663f437p-17, 0x1.43f214dd717a9p-17, 0x1.4372d9b788ddcp-17, 0x1.42ed53cdf4d48p-17, 0x1.426237505f4aep-17, 0x1.41d0d17c995ecp-17, 0x1.413963a7f7a39p-17, 0x1.409ca24c44197p-17, 0x1.3ffa5063e3913p-17, 0x1.3f526f614f61ep-17, 0x1.3ea53590bf29ep-17, 0x1.3df2c5dbeb396p-17, 0x1.3d3b2d28e136bp-17, 0x1.3c7e7f6ff8bb1p-17, 0x1.3bbcee01256b3p-17, 0x1.3af697398b7ep-17, 0x1.3a2b7d5554df6p-17, 0x1.395bd2a2594cp-17, 0x1.3887880a39859p-17, 0x1.37af135ec870cp-17, 0x1.36d2277e80dc5p-17, 0x1.35f122ebd89d8p-17, 0x1.350bdaf7cc20bp-17, 0x1.34226fc1201ffp-17, 0x1.3335225e65ec8p-17, 0x1.3243dcfe495abp-17, 0x1.31502e4ae3725p-17, 0x1.30579e82c3f9bp-17, 0x1.2f5b27b662599p-17, 0x1.2e5c02c82ca82p-17, 0x1.2d596eff1c9c3p-17, 0x1.2c5385508057bp-17, 0x1.2b4a5d4aa0869p-17, 0x1.2a3e2e29de9f7p-17, 0x1.292ee3df255bcp-17, 0x1.281c7a95770c1p-17, 0x1.27076c68567b5p-17, 0x1.25efbb0dbbd65p-17, 0x1.24d4d50ea2b1fp-17, 0x1.23b803727a773p-17, 0x1.2297b4438b21ep-17, 0x1.21763062ee765p-17, 0x1.2051af71385adp-17, 0x1.1f2af67d0d15ap-17, 0x1.1e01cb5c8b1bap-17, 0x1.1cd6764a67709p-17, 0x1.1ba93f798fb5ep-17, 0x1.1a7a07e2401f3p-17, 0x1.1948ad4b95d2ep-17, 0x1.1816238b46f06p-17, 0x1.16e10090f756cp-17, 0x1.15a9f57ab08fep-17, 0x1.14718c977f7d9p-17, 0x1.1338ddca3426p-17, 0x1.11fc59c4dde21p-17, 0x1.10bf74daaedffp-17, 0x1.0f8122d8d6925p-17, 0x1.0e4166d47cd08p-17, 0x1.0d005d3ce4444p-17, 0x1.0bbdfe9bfe99p-17, 0x1.0a7a99cb4fb37p-17, 0x1.093600dbf3fa7p-17, 0x1.07f04b9b4e42bp-17, 0x1.06a9c5476a97p-17, 0x1.056239227332dp-17, 0x1.0419c22a663f7p-17, 0x1.02d06c8fe35e4p-17, 0x1.018642ba1047bp-17, 0x1.003b566c386bap-17, 0x1.fddf81115b467p-18, 0x1.fb472136c591ep-18, 0x1.f8ad8ca878d4ap-18, 0x1.f612cb2432955p-18, 0x1.f37708c9f751p-18, 0x1.f0da743ace952p-18, 0x1.ee3ce226e3b53p-18, 0x1.eb9f16a80fc6p-18, 0x1.e9001f7a105e6p-18, 0x1.e66025cd66421p-18, 0x1.e3c1c01c49625p-18, 0x1.e12069f816288p-18, 0x1.de809ca9f0c7cp-18, 0x1.dbdff72217da9p-18, 0x1.d93f215a1764cp-18, 0x1.d69e346c9544ep-18, 0x1.d3fd3b988c632p-18, 0x1.d15c5f2597e82p-18, 0x1.cebbbded25a61p-18, 0x1.cc1b61f7366cfp-18, 0x1.c97b3e0ca8f95p-18, 0x1.c6db7c936bd61p-18, 0x1.c43c30bca77cbp-18, 0x1.c19d72682a34cp-18, 0x1.beff5bb8215a6p-18, 0x1.bc61c4757d9a5p-18, 0x1.b9c4acdc1cbdbp-18, 0x1.b7285ab534d1fp-18, 0x1.b48ce6ad1521ep-18, 0x1.b1f20c097c489p-18, 0x1.af5877ea53eaep-18, 0x1.acc0109e7e7b3p-18, 0x1.aa2937076d8a9p-18, 0x1.a7924a40353a8p-18, 0x1.a4fd1d1e00d8bp-18, 0x1.a269005d24142p-18, 0x1.9fd7c15d7186cp-18, 0x1.9d445e1318304p-18, 0x1.9ab43ccaafaafp-18, 0x1.9825a2a91a2aap-18, 0x1.9597e2e35dda1p-18, 0x1.930c47c7fdec3p-18, 0x1.9081dbabceda9p-18, 0x1.8df9a26483a73p-18, 0x1.8b72ee361c6f2p-18, 0x1.88ebfa634835dp-18, 0x1.866814f9f2405p-18, 0x1.83e5f639cd591p-18, 0x1.81655ad0b2449p-18, 0x1.7ee70f02f40b2p-18, 0x1.7c69cdbc8cef7p-18, 0x1.79ef5262ba446p-18, 0x1.77763d715753bp-18, 0x1.74ff8e79be96ap-18, 0x1.728aa61124effp-18, 0x1.7017b9ae62035p-18, 0x1.6da658f7dc0d8p-18, 0x1.6b3765932511fp-18, 0x1.68ca87708d471p-18, 0x1.665fbd0c52225p-18, 0x1.63f71eb6af73ap-18, 0x1.61904d59e6f93p-18, 0x1.5f2d251028809p-18, 0x1.5ccb47e14754ep-18, 0x1.5a6a7515119d2p-18, 0x1.580d8261a1d14p-18, 0x1.55b25d7ca1d0ep-18, 0x1.53596c6624161p-18, 0x1.5102edb4ffc07p-18, 0x1.4eaec7dd3637p-18, 0x1.4c5d14b373ebap-18, 0x1.4a0dbedc76fc2p-18, 0x1.47c0b4cb16603p-18, 0x1.4576363368182p-18, 0x1.432e2cc3f60e3p-18, 0x1.40e8a84eecc33p-18, 0x1.3ea5938aaa93fp-18, 0x1.3c64931e68f5ap-18, 0x1.3a274c88ce8cap-18, 0x1.37eb9c1779fdbp-18, 0x1.35b1a629fc79dp-18, 0x1.337b96690e842p-18, 0x1.3147fdc2ea13p-18, 0x1.2f16a7a2a790ep-18, 0x1.2ce923426d14ap-18, 0x1.2abc1f3753d9cp-18, 0x1.28927f19a46e7p-18, 0x1.266b9c37c3f54p-18, 0x1.2447b39159055p-18, 0x1.22263445c4dfp-18, 0x1.200714031dd04p-18, 0x1.1deaed89fb60dp-18, 0x1.1bd1088057e5ep-18, 0x1.19ba0bdc31a3bp-18, 0x1.17a5c6989017ep-18, 0x1.1594d8bfaf40ep-18, 0x1.1386b28ea770cp-18, 0x1.11797abb9fc38p-18, 0x1.0f7046b244011p-18, 0x1.0d69bd79b6f96p-18, 0x1.0b65aedf649f2p-18, 0x1.096470bf61cbbp-18, 0x1.0765f1ebbe8c4p-18, 0x1.056a2179fda8ap-18, 0x1.037104a482121p-18, 0x1.017a8225aec11p-18, 0x1.ff0dffa26bbfdp-19, 0x1.fb2beb061d284p-19, 0x1.f74ed7f5b4d95p-19, 0x1.f379177efb793p-19, 0x1.efa77923064f1p-19, 0x1.ebdb8a40db171p-19, 0x1.e81501d226a0cp-19, 0x1.e4534f9acef8fp-19, 0x1.e09948a582139p-19, 0x1.dce3a0c06f7f1p-19, 0x1.d930d10055544p-19, 0x1.d5867ce6a8664p-19, 0x1.d1e0f5a0db661p-19, 0x1.ce41a2a44544dp-19, 0x1.caa612c11377fp-19, 0x1.c710b87f8ee4ap-19, 0x1.c380e4e661a3p-19, 0x1.bff67af67d67fp-19, 0x1.bc71711a75baap-19, 0x1.b8f18c9d86fb5p-19, 0x1.b579e91b38295p-19, 0x1.b202499e0929ep-19, 0x1.ae93195fafefp-19, 0x1.ab2a6e081d197p-19, 0x1.a7c3fcb2cf0c8p-19, 0x1.a4649960ecaf6p-19, 0x1.a10aa3d5b0c4fp-19, 0x1.9db5d8f37eea8p-19, 0x1.9a66842e7e38ep-19, 0x1.971c18aa876f6p-19, 0x1.93d895b717935p-19, 0x1.9099078ac71e1p-19, 0x1.8d5eb10381912p-19, 0x1.8a2a03ad94152p-19, 0x1.86fa1927e4564p-19, 0x1.83cf748bb2555p-19, 0x1.80aac0241a423p-19, 0x1.7d8af964611f1p-19, 0x1.7a6f4bdb90892p-19, 0x1.7759ab49d27fp-19, 0x1.7448b55a83e42p-19, 0x1.713e6bf978723p-19, 0x1.6e38137dce82p-19, 0x1.6b36ff5a117d4p-19, 0x1.683b720b75981p-19, 0x1.65442e74687c1p-19, 0x1.62529104de554p-19, 0x1.5f65a4c8843a3p-19, 0x1.5c7da300981bfp-19, 0x1.599a8e467042cp-19, 0x1.56bd29980ee2ap-19, 0x1.53e4745ee0e46p-19, 0x1.511063178312cp-19, 0x1.4e4208d41a559p-19, 0x1.4b7a21dbbdd58p-19, 0x1.48b2cfc5f3186p-19, 0x1.45f3211705ce8p-19, 0x1.4337d7d85bb79p-19, 0x1.408077f8d0bc9p-19, 0x1.3dd026a704d9cp-19, 0x1.3b23d5146837dp-19, 0x1.3879edd08d777p-19, 0x1.35d71d760a195p-19, 0x1.33384493eb0a2p-19, 0x1.309ebbf264bc8p-19, 0x1.2e0994256aff3p-19, 0x1.2b798b34e51a1p-19, 0x1.28ed5c116c35bp-19, 0x1.266614b015884p-19, 0x1.23e3d14d2c1e8p-19, 0x1.2165f79c43798p-19, 0x1.1eebf64fd2989p-19, 0x1.1c77ea849ac48p-19, 0x1.1a07a95bdbf8dp-19, 0x1.179bd6a6fc217p-19, 0x1.1534826b3ec6dp-19, 0x1.12d186eec769dp-19, 0x1.1072468faa33cp-19, 0x1.0e1954a335bf9p-19, 0x1.0bc4636487726p-19, 0x1.097368030a884p-19, 0x1.0726a2839e1c9p-19, 0x1.04de0f35e29dbp-19, 0x1.029980c2b2d6ep-19, 0x1.0059e16b71753p-19, 0x1.fc3d624e15c74p-20, 0x1.f7cec5d4842c5p-20, 0x1.f3683e8cf6321p-20, 0x1.ef0a0d4b2afaap-20, 0x1.eab52f775a4fep-20, 0x1.e668cf095cfcep-20, 0x1.e22537960e0adp-20, 0x1.dde7d47990f19p-20, 0x1.d9b354774b1b5p-20, 0x1.d587b30e361bfp-20, 0x1.d163fe205f717p-20, 0x1.cd47d9b86777ap-20, 0x1.c9341e302fa48p-20, 0x1.c5260668fb3f8p-20, 0x1.c1232d6e4bec3p-20, 0x1.bd28385e427b9p-20, 0x1.b933380868ba2p-20, 0x1.b5478711c5decp-20, }}, 
      {{-0x1.ecca5843cfc9ap-1, -0x1.ecad76c26a634p-1, -0x1.ec7a6d19eaff3p-1, -0x1.ec2d7671da304p-1, -0x1.ebc23cdca72d6p-1, -0x1.eb346a6794ed1p-1, -0x1.ea801d31ccf2fp-1, -0x1.e9a239c4c08afp-1, -0x1.e8989bbf6ac52p-1, -0x1.e7622783a626fp-1, -0x1.e5fec1ff78952p-1, -0x1.e46f3569c0b6ap-1, -0x1.e2b50a4f8466fp-1, -0x1.e0d25ba386258p-1, -0x1.dec9ab0ccac3bp-1, -0x1.dc9db8f2bb103p-1, -0x1.da516226b3dd2p-1, -0x1.d7e783c81583fp-1, -0x1.d562e52ba1f65p-1, -0x1.d2c6271e557f5p-1, -0x1.d013b7b4de6f3p-1, -0x1.cd4dc9df3054p-1, -0x1.ca765013807d6p-1, -0x1.c78ef98506b51p-1, -0x1.c4993177f091ep-1, -0x1.c19620599134fp-1, -0x1.be86ae51c6bd2p-1, -0x1.bb6b870a96973p-1, -0x1.b8451e6f4b5d1p-1, -0x1.b513b626e6207p-1, -0x1.b1d76390110fbp-1, -0x1.ae901607d62f7p-1, -0x1.ab3d9d4885a5bp-1, -0x1.a7dfafb3af6afp-1, -0x1.a475f06063d5dp-1, -0x1.a0fff4cdff966p-1, -0x1.9d7d4a230709ep-1, -0x1.99ed79e6c67c5p-1, -0x1.96500e2b261aap-1, -0x1.92a495223eeebp-1, -0x1.8eeaa4207b33ap-1, -0x1.8b21da106b2ffp-1, -0x1.8749e160dec8dp-1, -0x1.8362717850db2p-1, -0x1.7f6b4fba58b42p-1, -0x1.7b64502cb41f2p-1, -0x1.774d55c9bb99ep-1, -0x1.7326528dc7447p-1, -0x1.6eef474c4e3c4p-1, -0x1.6aa8435890b31p-1, -0x1.6651640c5ffa9p-1, -0x1.61ead43641c81p-1, -0x1.5d74cb76d8df7p-1, -0x1.58ef8d94186cbp-1, -0x1.545b69c7917adp-1, -0x1.4fb8ba0becdf8p-1, -0x1.4b07e26cac1c5p-1, -0x1.4649505a54547p-1, -0x1.417d7a046bf98p-1, -0x1.3ca4ddba0c7c2p-1, -0x1.37c001515567p-1, -0x1.32cf7195a091cp-1, -0x1.2dd3c1bc1db2ap-1, -0x1.28cd8ade48cb4p-1, -0x1.23bd6b79964a7p-1, -0x1.1ea406f3ab57ap-1, -0x1.198205227537dp-1, -0x1.145811d7848bfp-1, -0x1.0f26dc6e267cap-1, -0x1.09ef175bc7f09p-1, -0x1.04b177c2501d8p-1, -0x1.fedd6a0869544p-2, -0x1.f44f10b4519dfp-2, -0x1.e9b958d4b5dc3p-2, -0x1.df1db9c2a23e3p-2, -0x1.d47dac18fbf43p-2, -0x1.c9daa8ed845edp-2, -0x1.bf36290e1e153p-2, -0x1.b491a442e00cbp-2, -0x1.a9ee9095832f3p-2, -0x1.9f4e619ec1abp-2, -0x1.94b287da3d848p-2, -0x1.8a1c700178f38p-2, -0x1.7f8d826e705d9p-2, -0x1.750722864e6ebp-2, -0x1.6a8aae2ca610dp-2, -0x1.60197d3f92937p-2, -0x1.55b4e11d0c4cdp-2, -0x1.4b5e2431a2854p-2, -0x1.41168990d1a72p-2, -0x1.36df4c96f9a89p-2, -0x1.2cb9a09502c1dp-2, -0x1.22a6b0859f49p-2, -0x1.18a79ecc08d62p-2, -0x1.0ebd84fc10392p-2, -0x1.04e973ab407cp-2, -0x1.f658e49599a13p-3, -0x1.e30efe13f019ap-3, -0x1.cff71d8134757p-3, -0x1.bd1319c2b71f3p-3, -0x1.aa64b6e674b76p-3, -0x1.97eda623e3e8cp-3, -0x1.85af85e984587p-3, -0x1.73abe1f658f34p-3, -0x1.61e4337e52e8cp-3, -0x1.5059e158b4649p-3, -0x1.3f0e40378d5e6p-3, -0x1.2e0292e756ed3p-3, -0x1.1d380a95d057bp-3, -0x1.0cafc71f3223ep-3, -0x1.f8d5aec1db717p-4, -0x1.d8d473222d413p-4, -0x1.b95db733796b8p-4, -0x1.9a7336eee45ecp-4, -0x1.7c168f349eap-4, -0x1.5e493e9196586p-4, -0x1.410ca6079c0bbp-4, -0x1.246209d6df972p-4, -0x1.084a9247b631p-4, -0x1.d98e98e77183ap-5, -0x1.a3b2561ad32e3p-5, -0x1.6f020e4b27924p-5, -0x1.3b7f41db76e16p-5, -0x1.092b40ee0a325p-5, -0x1.b00e59b43dbb3p-6, -0x1.5027f3315aaa9p-6, -0x1.e549bc9d78409p-7, -0x1.2f0cab85342adp-7, -0x1.f66a0ccf689e8p-9, 0x1.785c641f8f8abp-10, 0x1.adc9de71b8533p-8, 0x1.79f1a73b3c38fp-7, 0x1.0c192489965bp-6, 0x1.58d3fb96564f1p-6, 0x1.a32a2ed8aeedap-6, 0x1.eb1cd74745525p-6, 0x1.1856a769bd424p-5, 0x1.39ee974bb38e7p-5, 0x1.5a57268c30153p-5, 0x1.79915e4e883a5p-5, 0x1.979e64cb21c33p-5, 0x1.b47f7c8cc865bp-5, 0x1.d03603b67511ap-5, 0x1.eac37350f983ap-5, 0x1.0214af500f6b1p-4, 0x1.0e34b93f4c311p-4, 0x1.19c2ba6034bcfp-4, 0x1.24bfa1cd86274p-4, 0x1.2f2c6a897f709p-4, 0x1.390a1b3716bd1p-4, 0x1.4259c5d542609p-4, 0x1.4b1c877c4502fp-4, 0x1.5353881ca380cp-4, 0x1.5afffa3f8b59ap-4, 0x1.62231ac88650ep-4, 0x1.68be30b82b8f5p-4, 0x1.6ed28cefb739cp-4, 0x1.746189f5508bap-4, 0x1.796c8bb8c3e02p-4, 0x1.7df4ff58accb6p-4, 0x1.81fc5ae7bb77fp-4, 0x1.85841d3220b88p-4, 0x1.888dcd82e665ap-4, 0x1.8b1afb6921073p-4, 0x1.8d2d3e7ce4f9ap-4, 0x1.8ec63623e045cp-4, 0x1.8fe789558ec95p-4, 0x1.9092e65efd6eep-4, 0x1.90ca02a5fb8e7p-4, 0x1.908e9a6bcda47p-4, 0x1.8fe2708f3915ap-4, 0x1.8ec74e4dffb12p-4, 0x1.8d3f0305b033cp-4, 0x1.8b4b63f3e54e9p-4, 0x1.88ee4bf5d5cf6p-4, 0x1.86299b4759fc6p-4, 0x1.82ff37413f13bp-4, 0x1.7f710a1729534p-4, 0x1.7b810294d156cp-4, 0x1.773113dacf1c7p-4, 0x1.7283351af3641p-4, 0x1.6d796154299b1p-4, 0x1.6815970e02b3bp-4, 0x1.6259d813f9167p-4, 0x1.5c482930615d9p-4, 0x1.55e291e739a4p-4, 0x1.4f2b1c30ce144p-4, 0x1.4823d434485afp-4, 0x1.40cec80247312p-4, 0x1.392e074f7640dp-4, 0x1.3143a32f4f33cp-4, 0x1.2911adcf0d6c4p-4, 0x1.209a3a30d6b2dp-4, 0x1.17df5be740c58p-4, 0x1.0ee326d13aa7bp-4, 0x1.05a7aed661419p-4, 0x1.f85e0f47be4d1p-5, 0x1.e4f688d3bc66bp-5, 0x1.d11cef33398e1p-5, 0x1.bcd565487ba0cp-5, 0x1.a8240b74a1bdcp-5, 0x1.930cff185d14cp-5, 0x1.7d945a1678bbbp-5, 0x1.67be32582d606p-5, 0x1.518e99535db0cp-5, 0x1.3b099b9301d6dp-5, 0x1.243340418d428p-5, 0x1.0d0f88b5c1ceap-5, 0x1.eb44e0033a6ffp-6, 0x1.bbdfd507a193p-6, 0x1.8bf7caf75538dp-6, 0x1.5b948d3f12cefp-6, 0x1.2abdd76b9bb16p-6, 0x1.f2f6a8c29daafp-7, 0x1.8fa93b31c7124p-7, 0x1.2ba274c37d541p-7, 0x1.8de27ca80180bp-8, 0x1.86916660bcfd4p-9, -0x1.0d680ede482d5p-13, -0x1.aa38ff00ecd8ap-9, -0x1.a2ae813dde0c6p-8, -0x1.38828ac5c39a3p-7, -0x1.a00233922a9d4p-7, -0x1.03e43f774312bp-6, -0x1.37e3f03241f14p-6, -0x1.6bf97e113e2ecp-6, -0x1.a01e53fab0863p-6, -0x1.d44bf61b56748p-6, -0x1.043e012b7638fp-5, -0x1.1e5418598d571p-5, -0x1.386529de42c5ap-5, -0x1.526e2c72b4363p-5, -0x1.6c6c246f83256p-5, -0x1.865c23f651424p-5, -0x1.a03b4b187d7f4p-5, -0x1.ba06c7fafdea1p-5, -0x1.d3bbd6f7423c8p-5, -0x1.ed57c2b97a46p-5, -0x1.036bf22ded401p-4, -0x1.101cd1bfa72b3p-4, -0x1.1cbd3b30a5025p-4, -0x1.294bf0f794091p-4, -0x1.35c7bceb52233p-4, -0x1.422f7049f79f3p-4, -0x1.4e81e3be9ad87p-4, -0x1.5abdf765c4036p-4, -0x1.66e292d0b7239p-4, -0x1.72eea5078294bp-4, -0x1.7ee12489e5528p-4, -0x1.8ab90f4f01912p-4, -0x1.96756ac403673p-4, -0x1.a21543c9a1545p-4, -0x1.ad97aeb086ffp-4, -0x1.b8fbc734b8f29p-4, -0x1.c440b077fb357p-4, -0x1.cf6594fb25ca1p-4, -0x1.da69a69693c89p-4, -0x1.e54c1e7193621p-4, -0x1.f00c3cf8f9fd4p-4, -0x1.faa949d4c74fbp-4, -0x1.029149ee7d515p-3, -0x1.07bbb886c4565p-3, -0x1.0cd39f3cc46edp-3, -0x1.11d8b01ed093ep-3, -0x1.16caa0b8d1fap-3, -0x1.1ba92a0cbff68p-3, -0x1.2074088abf0dfp-3, -0x1.252afc08e568cp-3, -0x1.29cdc7bab483ep-3, -0x1.2e5c32283cad5p-3, -0x1.32d60524f941dp-3, -0x1.373b0dc664c8dp-3, -0x1.3b8b1c5a4a37dp-3, -0x1.3fc6045ccc519p-3, -0x1.43eb9c6e375e3p-3, -0x1.47fbbe48955p-3, -0x1.4bf646b505376p-3, -0x1.4fdb1580e417fp-3, -0x1.53aa0d72bc90dp-3, -0x1.5763143f0fd17p-3, -0x1.5b06127ced4bbp-3, -0x1.5e92f39a61f08p-3, -0x1.6209a5d0bfd69p-3, -0x1.656a1a18c637p-3, -0x1.68b4441ea63b1p-3, -0x1.6be81a35e65c5p-3, -0x1.6f05954d334cap-3, -0x1.720cb0e20ccd8p-3, -0x1.74fd6af463939p-3, -0x1.77d7c3fa212c3p-3, -0x1.7a9bbed2a0ef8p-3, -0x1.7d4960ba13d5ap-3, -0x1.7fe0b13ce0c7bp-3, -0x1.8261ba2af2778p-3, -0x1.84cc878afd4d4p-3, -0x1.8721278dcb7cbp-3, -0x1.895faa81707a4p-3, -0x1.8b8822c48c443p-3, -0x1.8d9aa4b986c26p-3, -0x1.8f9746b9cdc8ap-3, -0x1.917e21091b045p-3, -0x1.934f4dc8bacabp-3, -0x1.950ae8eadad23p-3, -0x1.96b11025e8c0bp-3, -0x1.9841e2e7f6011p-3, -0x1.99bd824a28ca7p-3, -0x1.9b2411043c1b3p-3, -0x1.9c75b3600ea85p-3, -0x1.9db28f2d46e93p-3, -0x1.9edacbb502926p-3, -0x1.9fee91ada2366p-3, -0x1.a0ee0b2ea59c9p-3, -0x1.a1d963a49c53ep-3, -0x1.a2b0c7c53892bp-3, -0x1.a37465836bc45p-3, -0x1.a4246c03ac6d9p-3, -0x1.a4c10b904be6ep-3, -0x1.a54a758df2ca1p-3, -0x1.a5c0dc7030ba3p-3, -0x1.a62473ae2f5adp-3, -0x1.a6756fb7832ebp-3, -0x1.a6b405e91fa69p-3, -0x1.a6e06c826674p-3, -0x1.a6fada9a6033ap-3, -0x1.a70388150b152p-3, -0x1.a6faad98dba69p-3, -0x1.a6e0848458e3cp-3, -0x1.a6b546e3d8d21p-3, -0x1.a6792f676e5d9p-3, -0x1.a62c7958eef68p-3, -0x1.a5cf60922a52p-3, -0x1.a56221733c8ddp-3, -0x1.a4e4f8d90d309p-3, -0x1.a4582413ff6c5p-3, -0x1.a3bbe0deb316ap-3, -0x1.a3106d54fece9p-3, -0x1.a25607eb1379p-3, -0x1.a18cef64ba215p-3, -0x1.a0b562ccc8625p-3, -0x1.9fcfa16cb71ep-3, -0x1.9edbeac4628c5p-3, -0x1.9dda7e81f4828p-3, -0x1.9ccb9c79fb97p-3, -0x1.9baf849fa10e6p-3, -0x1.9a8676fd1713dp-3, -0x1.9950b3ac1f927p-3, -0x1.980e7acecfc0ap-3, -0x1.96c00c8868c73p-3, -0x1.9565a8f668b4p-3, -0x1.93ff9029c05e7p-3, -0x1.928e02202f1e9p-3, -0x1.91113ebdcd22cp-3, -0x1.8f8985c6bc79p-3, -0x1.8df716d900ccep-3, -0x1.8c5a3166815d1p-3, -0x1.8ab314af360bcp-3, -0x1.8901ffbb795fep-3, -0x1.8747315683de3p-3, -0x1.8582e8090e161p-3, -0x1.83b562141c05ep-3, -0x1.81dedd6bed70cp-3, -0x1.7fff97b316aafp-3, -0x1.7e17ce35c0fbp-3, -0x1.7c27bde510cdbp-3, -0x1.7a2fa352ac75cp-3, -0x1.782fbaac750edp-3, -0x1.76283fb857204p-3, -0x1.74196dd0473adp-3, -0x1.72037fde62a6dp-3, -0x1.6fe6b05935e52p-3, -0x1.6dc339401f55dp-3, -0x1.6b995417dc175p-3, -0x1.696939e73ab8ap-3, -0x1.67332333e3e8ep-3, -0x1.64f747ff5549dp-3, -0x1.62b5dfc3e974cp-3, -0x1.606f21721aedcp-3, -0x1.5e23436dcfe32p-3, -0x1.5bd27b8bd56c9p-3, -0x1.597cff0f70c7ap-3, -0x1.572302a818296p-3, -0x1.54c4ba6f45126p-3, -0x1.526259e6648aap-3, -0x1.4ffc13f4e8ca8p-3, -0x1.4d921ae673849p-3, -0x1.4b24a06926022p-3, -0x1.48b3d58bfbce4p-3, -0x1.463feabd5864cp-3, -0x1.43c90fc999477p-3, -0x1.414f73d9d6b1dp-3, -0x1.3ed34572b09d4p-3, -0x1.3c54b27338cbep-3, -0x1.39d3e813fc7e9p-3, -0x1.375112e61d1e7p-3, -0x1.34cc5ed28cf6cp-3, -0x1.3245f7194f73fp-3, -0x1.2fbe0650ef0ap-3, -0x1.2d34b665e96edp-3, -0x1.2aaa309a4a71cp-3, -0x1.281e9d854fa05p-3, -0x1.2592251321e79p-3, -0x1.2304ee84ad1ddp-3, -0x1.2077206f80581p-3, -0x1.1de8e0bdc51e7p-3, -0x1.1b5a54ae50227p-3, -0x1.18cba0d4bd64ap-3, -0x1.163ce9199fb49p-3, -0x1.13ae50bac46bap-3, -0x1.111ffa4b89a05p-3, -0x1.0e9207b53b63ep-3, -0x1.0c049a37918aap-3, -0x1.0977d2692bb26p-3, -0x1.06ebd0382c127p-3, -0x1.0460b2ead4ee4p-3, -0x1.01d699203eaa5p-3, -0x1.fe9b41a21d823p-4, -0x1.f98bcea0a04b1p-4, -0x1.f47f129885b3p-4, -0x1.ef75459e8a0cfp-4, -0x1.ea6e9e8190cd9p-4, -0x1.e56b52cc9badfp-4, -0x1.e06b96c8ddf4ap-4, -0x1.db6f9d7fe4da8p-4, -0x1.d67798bddc157p-4, -0x1.d183b913d96cdp-4, -0x1.cc942dda44733p-4, -0x1.c7a925334e15dp-4, -0x1.c2c2cc0d80ccbp-4, -0x1.bde14e26528d5p-4, -0x1.b904d60cd9ec7p-4, -0x1.b42d8d2485025p-4, -0x1.af5b9ba7e72d8p-4, -0x1.aa8f28ab88981p-4, -0x1.a5c85a20daae7p-4, -0x1.a10754d91e837p-4, -0x1.9c4c3c886ca09p-4, -0x1.979733c8b6dc3p-4, -0x1.92e85c1ce7e97p-4, -0x1.8e3fd5f3fc3a1p-4, -0x1.899dc0ac2a2d6p-4, -0x1.85023a961528p-4, -0x1.806d60f80b66cp-4, -0x1.7bdf501143773p-4, -0x1.7758231d28fe9p-4, -0x1.72d7f456a439ap-4, -0x1.6e5edcfb79c35p-4, -0x1.69ecf54fa0818p-4, -0x1.658254a09f222p-4, -0x1.611f1148f69d7p-4, -0x1.5cc340b38445fp-4, -0x1.586ef75ef380ep-4, -0x1.542248e123012p-4, -0x1.4fdd47ea9f4b8p-4, -0x1.4ba0064a12256p-4, -0x1.476a94efb47a9p-4, -0x1.433d03f0c697ap-4, -0x1.3f17628b05c19p-4, -0x1.3af9bf2820be4p-4, -0x1.36e4276133675p-4, -0x1.32d6a80233cf8p-4, -0x1.2ed14d0d6f6a4p-4, -0x1.2ad421bef8b88p-4, -0x1.26df30901b4a6p-4, -0x1.22f2833acc96ap-4, -0x1.1f0e22bd194dp-4, -0x1.1b32175c8a912p-4, -0x1.175e68a994e27p-4, -0x1.13931d82fc759p-4, -0x1.0fd03c192f2d6p-4, -0x1.0c15c9f1a86d1p-4, -0x1.0863cbea4624p-4, -0x1.04ba463c9ff59p-4, -0x1.01193c8155957p-4, -0x1.fb016366b33ddp-5, -0x1.f3e15066657eep-5, -0x1.ecd243948f92fp-5, -0x1.e5d43f5c1bbdap-5, -0x1.dee74506884e3p-5, -0x1.d80b54c240ca5p-5, -0x1.d1406da8ec3p-5, -0x1.ca868dc5bade1p-5, -0x1.c3ddb21b914cfp-5, -0x1.bd45d6ab3e647p-5, -0x1.b6bef67989b49p-5, -0x1.b0490b9547503p-5, -0x1.a9e40f1d6064dp-5, -0x1.a38ff946b35c9p-5, -0x1.9d4cc161f6764p-5, -0x1.971a5de19c205p-5, -0x1.90f8c45f806fep-5, -0x1.8ae7e9a2ad1dp-5, -0x1.84e7c1a4e8038p-5, -0x1.7ef83f98614eep-5, -0x1.791955ed17c26p-5, -0x1.734af656662c1p-5, -0x1.6d8d11d055072p-5, -0x1.67df98a4f544fp-5, -0x1.62427a718f73fp-5, -0x1.5cb5a62be74fep-5, -0x1.57390a275085cp-5, -0x1.51cc9419b7816p-5, -0x1.4c703120a2d7fp-5, -0x1.4723cdc61f3bap-5, -0x1.41e75605959ecp-5, -0x1.3cbab550874e1p-5, -0x1.379dd69356b56p-5, -0x1.3290a439e9ca1p-5, -0x1.2d930834272a6p-5, -0x1.28a4ebfa8dfap-5, -0x1.23c638929de4dp-5, -0x1.1ef6d6933439ap-5, -0x1.1a36ae28d712ep-5, -0x1.1585a719f3d5p-5, -0x1.10e3a8cafeb69p-5, -0x1.0c509a429e989p-5, -0x1.07cc622d99e42p-5, -0x1.0356e6e2db54fp-5, -0x1.fde01cceb1b7dp-6, -0x1.f52f7ce399879p-6, -0x1.ec9bb8dd32d23p-6, -0x1.e4249b06b6a2bp-6, -0x1.dbc9ed252cb28p-6, -0x1.d38b787e888ecp-6, -0x1.cb6905e08496fp-6, -0x1.c3625da79b3e7p-6, -0x1.bb7747c5a857bp-6, -0x1.b3a78bc88626cp-6, -0x1.abf2f0e077151p-6, -0x1.a4593de687a7ep-6, -0x1.9cda3962a8afdp-6, -0x1.9575a991ccfd6p-6, -0x1.8e2b546beaef7p-6, -0x1.86faffa9aa44dp-6, -0x1.7fe470ca2bf6dp-6, -0x1.78e76d189c998p-6, -0x1.7203b9b1935ccp-6, -0x1.6b391b889003ep-6, -0x1.6487576ce246ep-6, -0x1.5dee320f2d6acp-6, -0x1.576d7006001eap-6, -0x1.5104d5d2d5e58p-6, -0x1.4ab427e6ec2bap-6, -0x1.447b2aa7b4d77p-6, -0x1.3e59a2737f099p-6, -0x1.384f53a5c89b1p-6, -0x1.325c029b980d6p-6, -0x1.2c7f73b7a8bcbp-6, -0x1.26b96b6676002p-6, -0x1.2109ae223ff3fp-6, -0x1.1b700076f4d26p-6, -0x1.15ec2705c68fbp-6, -0x1.107de68912169p-6, -0x1.0b2503d7c509bp-6, -0x1.05e143e8ea3a2p-6, -0x1.00b26bd6f3f77p-6, -0x1.f73081c634283p-7, -0x1.ed2510f0ea205p-7, -0x1.e342105e1d6bcp-7, -0x1.d9870b9deb0d7p-7, -0x1.cff38ea61c062p-7, -0x1.c68725d7d1bd7p-7, -0x1.bd415e04f74f1p-7, -0x1.b421c47584662p-7, -0x1.ab27e6ec7c8b5p-7, -0x1.a25353ad298e5p-7, -0x1.99a3997f5733dp-7, -0x1.911847b497797p-7, -0x1.88b0ee2bf457p-7, -0x1.806d1d56f1dd1p-7, -0x1.784c663cff393p-7, -0x1.704e5a800133ap-7, -0x1.68728c5fbd929p-7, -0x1.60b88ebdbb4d5p-7, -0x1.591ff520ac86dp-7, -0x1.51a853b7f6169p-7, -0x1.4a513f5eae8dep-7, -0x1.431a4d9f0d677p-7, -0x1.3c0314b508847p-7, -0x1.350b2b917f3e8p-7, -0x1.2e3229dcac8bcp-7, -0x1.2777a7f8ec081p-7, -0x1.20db3f0502707p-7, -0x1.1a5c88debafc2p-7, -0x1.13fb2024b543p-7, -0x1.0db6a038f79c7p-7, -0x1.078ea5427b283p-7, -0x1.0182cc2f5ad0ep-7, -0x1.f725656cf0341p-8, -0x1.eb7beeb2460dcp-8, -0x1.e00872c93411ap-8, -0x1.d4ca31e743b5ep-8, -0x1.c9c06ddf6e193p-8, -0x1.beea6a24c966dp-8, -0x1.b4476bccc43b7p-8, -0x1.a9d6b99143c48p-8, -0x1.9f979bd28fc45p-8, -0x1.95895c993aee7p-8, -0x1.8bab47976bf2cp-8, -0x1.81fcaa2a66b6p-8, -0x1.787cd35bf40b9p-8, -0x1.6f2b13e33ef26p-8, -0x1.6606be25cadf8p-8, -0x1.5d0f26385a8d7p-8, -0x1.5443a1df392b1p-8, -0x1.4ba3888f1c61bp-8, -0x1.432e336d1cbbep-8, -0x1.3ae2fd4f0dbfp-8, -0x1.32c142bb8f172p-8, -0x1.2ac861ea12c83p-8, -0x1.22f7bac22a294p-8, -0x1.1b4eaedbc3d15p-8, -0x1.13cca17e72615p-8, -0x1.0c70f7a0bb77ep-8, -0x1.053b17e7bf077p-8, -0x1.fc54d54c0e1f4p-9, -0x1.ee7cb3b5e3bd9p-9, -0x1.e0eca262c99bap-9, -0x1.d3a37bfdfcfc2p-9, -0x1.c6a01e85081dap-9, -0x1.b9e16b45ce548p-9, -0x1.ad6646db7c6a8p-9, -0x1.a12d992b4022cp-9, -0x1.95364d61ef8eep-9, -0x1.897f51efe866cp-9, -0x1.7e079885d3ef2p-9, -0x1.72ce16112f34p-9, -0x1.67d1c2b882c25p-9, -0x1.5d1199d73f2f6p-9, -0x1.528c99f9f8c37p-9, -0x1.4841c4da1f698p-9, -0x1.3e301f5935b49p-9, -0x1.3456b17d35a2bp-9, -0x1.2ab4866b516a7p-9, -0x1.2148ac63755f2p-9, -0x1.181234bba80fp-9, -0x1.0f1033db519b8p-9, -0x1.0641c135a8a5bp-9, -0x1.fb4bee89c1c32p-10, -0x1.ea77e70aa2704p-10, -0x1.da05acdf422c7p-10, -0x1.c9f386e807e5fp-10, -0x1.ba3fc1e8a4b4dp-10, -0x1.aae8b07d7a704p-10, -0x1.9becab10c335fp-10, -0x1.8d4a0fcee5471p-10, -0x1.7eff429ae0c9fp-10, -0x1.710aad039c798p-10, -0x1.636abe36ccb78p-10, -0x1.561deaf774badp-10, -0x1.4922ad8fefd42p-10, -0x1.3c7785c733fb6p-10, -0x1.301af8d400f07p-10, -0x1.240b9151b6b27p-10, -0x1.1847df33b1a98p-10, -0x1.0cce77b93b6f5p-10, -0x1.019df56105089p-10, -0x1.ed69efb917ae4p-11, -0x1.d82448091fd51p-11, -0x1.c368479860dfcp-11, -0x1.af334c688ac39p-11, -0x1.9b82be7da841bp-11, -0x1.88540fc737aaap-11, -0x1.75a4bc035ce64p-11, -0x1.637248a86b41cp-11, -0x1.51ba44cb9d898p-11, -0x1.407a490673cffp-11, -0x1.2faff75e86cep-11, -0x1.1f58fb2ced613p-11, -0x1.0f730902f7bd5p-11, -0x1.fff7bd260e39p-12, -0x1.e1e2852c9e8d4p-12, -0x1.c4a2096908afp-12, -0x1.a831fad2830e6p-12, -0x1.8c8e1bda4040ap-12, -0x1.71b24034e23d3p-12, -0x1.579a4caccf053p-12, -0x1.3e4236ecf9b39p-12, -0x1.25a60551362edp-12, -0x1.0dc1ceb48ff3p-12, -0x1.ed23747b91c2fp-13, -0x1.c023fe6451b69p-13, -0x1.947dc98237ac5p-13, -0x1.6a2983a9aa8abp-13, -0x1.411ff9c43fadbp-13, -0x1.195a176db6d7cp-13, -0x1.e5a1cd2b30c35p-14, -0x1.9afb1e397a761p-14, -0x1.52b2acf7f488dp-14, -0x1.0cbb3ebab8b44p-14, -0x1.920fa5108de0bp-15, -0x1.0f1740ab9e2d6p-15, -0x1.20e8614b687f9p-16, -0x1.60dc45d54e203p-19, 0x1.80d11d2517bfcp-17, 0x1.a4d3929b9e5ffp-16, 0x1.40aa2df2e9ddep-15, 0x1.ab0c783e18ff2p-15, 0x1.08d3a1a3945f9p-14, 0x1.3a4861d8192fep-14, 0x1.69ef647bc366fp-14, 0x1.97d35f711394ap-14, 0x1.c3fed767d9a3bp-14, 0x1.ee7c2092f9d86p-14, 0x1.0baaafa1608b9p-13, 0x1.1f4a4451af7eap-13, 0x1.3221b1aa5a598p-13, 0x1.4435c40ef0546p-13, 0x1.558b314491d81p-13, 0x1.662698ca442a3p-13, 0x1.760c8423a7506p-13, 0x1.8541672f83c5fp-13, 0x1.93c9a073c0207p-13, 0x1.a1a979710b47cp-13, 0x1.aee526ed43fc4p-13, 0x1.bb80c943c6deep-13, 0x1.c7806cb32af2dp-13, 0x1.d2e809a787cfep-13, 0x1.ddbb8507a854dp-13, 0x1.e7feb08144c02p-13, 0x1.f1b54acee4c98p-13, 0x1.fae30007694e7p-13, 0x1.01c5b4f028b0dp-12, 0x1.05d907feaf7e8p-12, 0x1.09ad341780709p-12, 0x1.0d43eb6011003p-12, 0x1.109ed75bd9275p-12, 0x1.13bf990fe19a4p-12, 0x1.16a7c9246a43ap-12, 0x1.1958f8067c7dp-12, 0x1.1bd4ae0a23022p-12, 0x1.1e1c6b8aa4fc8p-12, 0x1.2031a90a73257p-12, 0x1.2215d75642b4bp-12, 0x1.23ca5fa1061ap-12, 0x1.2550a3a62563ap-12, 0x1.26a9fdc7fbe22p-12, 0x1.27d7c12ee48f7p-12, 0x1.28db39e6712fdp-12, 0x1.29b5acfc4120cp-12, 0x1.2a68589efe70dp-12, 0x1.2af47439e34dap-12, 0x1.2b5b30908f29p-12, 0x1.2b9db7dfdb576p-12, 0x1.2bbd2df6044dcp-12, 0x1.2bbab0502cdf5p-12, 0x1.2b975636352f2p-12, 0x1.2b5430d58b13bp-12, 0x1.2af24b5b66c1ap-12, 0x1.2a72ab1076f56p-12, 0x1.29d64f71e3b7cp-12, 0x1.291e324c27c2cp-12, 0x1.284b47d389766p-12, 0x1.275e7ebdeb6ep-12, 0x1.2658c05b091c4p-12, 0x1.253af0ae2a19dp-12, 0x1.2405ee83cdae7p-12, 0x1.22ba938c2f8abp-12, 0x1.2159b470d8be3p-12, 0x1.1fe420ed4783ap-12, 0x1.1e5aa3e410865p-12, 0x1.1cbe03768839bp-12, 0x1.1b0f011a999e6p-12, 0x1.194e59b0bd739p-12, 0x1.177cc59a15e3cp-12, 0x1.159af8cb896d6p-12, 0x1.13a9a2e5e3929p-12, 0x1.11a96f48009e3p-12, 0x1.0f9b05241e32dp-12, 0x1.0d7f0793d1879p-12, 0x1.0b5615ab5ea96p-12, 0x1.0920ca8e842fdp-12, 0x1.06dfbd819362ep-12, 0x1.049381fe4d0c7p-12, 0x1.023ca7c4b18fbp-12, 0x1.ffb775dde714ep-13, 0x1.fae28805023cfp-13, 0x1.f5fb900412dccp-13, 0x1.f10390fe90e9bp-13, 0x1.ebfb8756fe93cp-13, 0x1.e6e468d3182cfp-13, 0x1.e1bf24ba6cd28p-13, 0x1.dc8ca3f9d8623p-13, 0x1.d74dc94267ccbp-13, 0x1.d203712996616p-13, 0x1.ccae72481380ap-13, 0x1.c74f9d59a4087p-13, 0x1.c1e7bd5b0a728p-13, 0x1.bc7797a75b3b7p-13, 0x1.b6ffec15e500fp-13, 0x1.b1817517aba3fp-13, 0x1.abfce7d21109bp-13, 0x1.a672f43c25e82p-13, 0x1.a0e4453b6259cp-13, 0x1.9b5180bab7e29p-13, 0x1.95bb47c97cf74p-13, 0x1.902236b32cd8cp-13, 0x1.8a86e519b0dc3p-13, 0x1.84e9e60ec4e93p-13, 0x1.7f4bc82d01e6ap-13, 0x1.79ad15af63f15p-13, 0x1.740e548aede7bp-13, 0x1.6e700683c86f6p-13, 0x1.68d2a94809565p-13, 0x1.6336b68271b55p-13, 0x1.5d9ca3f460bf6p-13, 0x1.5804e389dc749p-13, 0x1.526fe36ee3187p-13, 0x1.4cde0e26f1687p-13, 0x1.474fca9f5af6cp-13, 0x1.41c57c45535f8p-13, 0x1.3c3f831914e75p-13, 0x1.36be3bc367fc8p-13, 0x1.3141ffa65b6fcp-13, 0x1.2bcb24f330d6dp-13, 0x1.2659febb42b52p-13, 0x1.20eedd02c9d2cp-13, 0x1.1b8a0cd3d16a2p-13, 0x1.162bd84e59dbdp-13, 0x1.10d486bbd791fp-13, 0x1.0b845c9d7938ap-13, 0x1.063b9bc090d1dp-13, 0x1.00fa834b93de1p-13, 0x1.f7829fa10440ep-14, 0x1.ed2076b78d87p-14, 0x1.e2cefb07dfbafp-14, 0x1.d88e96f2a446ep-14, 0x1.ce5fb02966395p-14, 0x1.c442a7cb3287p-14, 0x1.ba37da83dbd73p-14, 0x1.b03fa0a5d6cep-14, 0x1.a65a4e45cde46p-14, 0x1.9c8833589f247p-14, 0x1.92c99bcbc2d5fp-14, 0x1.891ecf9f2c78p-14, 0x1.7f88130001eb4p-14, 0x1.7605a6623d5f2p-14, 0x1.6c97c697da5c5p-14, 0x1.633eace9c97e9p-14, 0x1.59fa8f2f8d01ep-14, 0x1.50cb9fe6f9e16p-14, 0x1.47b20e490db94p-14, 0x1.3eae066331c42p-14, 0x1.35bfb12a2eda7p-14, 0x1.2ce734921cdd6p-14, 0x1.2424b3a0a93bep-14, 0x1.1b784e8411306p-14, 0x1.12e222a5f1009p-14, 0x1.0a624abecef2cp-14, 0x1.01f8deeb1283cp-14, 0x1.f34be97733592p-15, 0x1.e2d33e92c6bcfp-15, 0x1.d287de909921dp-15, 0x1.c269e62f0e2aep-15, 0x1.b2796da732fe4p-15, 0x1.a2b688cfa95fep-15, 0x1.9321473be5b97p-15, 0x1.83b9b45dccf1bp-15, 0x1.747fd7a5ccc9dp-15, 0x1.6573b4a245da9p-15, 0x1.56954b1c39873p-15, 0x1.47e49737d1532p-15, 0x1.3961918f43fc7p-15, 0x1.2b0c2f50356a3p-15, 0x1.1ce46258529b6p-15, 0x1.0eea19507f2c7p-15, 0x1.011d3fc5de246p-15, 0x1.e6fb7c8bdb42p-16, 0x1.cc16f4ed83d55p-16, 0x1.b18cae612215p-16, 0x1.975c692e5f368p-16, 0x1.7d85e05e2149p-16, 0x1.6408c9eeb65cfp-16, 0x1.4ae4d6fd3724cp-16, 0x1.3219b3f5c2bf2p-16, 0x1.19a708bc31859p-16, 0x1.018c78d7a05bap-16, 0x1.d393473588c06p-17, 0x1.a4bc489de34d1p-17, 0x1.769324b1f2a1fp-17, 0x1.491702c18925cp-17, 0x1.1c4702f0781ddp-17, 0x1.e0447cede56c2p-18, 0x1.894f8ff3643c6p-18, 0x1.33ad577e7dcfbp-18, 0x1.beb7bff702821p-19, 0x1.18b25472aca51p-19, 0x1.d5195f214564cp-21, -0x1.5c82ff2822184p-22, -0x1.93ac2177ca448p-20, -0x1.658f0c3efdd05p-19, -0x1.febfb65209204p-19, -0x1.4ab6422d73b32p-18, -0x1.94ccfe3523cafp-18, -0x1.dda65a2baf689p-18, -0x1.12a2543cdbde1p-17, -0x1.35d5214e5f33dp-17, -0x1.586cc45f3ca5ep-17, -0x1.7a6a70ab8e453p-17, -0x1.9bcf5c67085c6p-17, -0x1.bc9cc08acb278p-17, -0x1.dcd3d8ac7ee05p-17, -0x1.fc75e2d116a5dp-17, -0x1.0dc20fa12c37bp-16, -0x1.1cffe830f90cbp-16, -0x1.2bf51d42656ccp-16, -0x1.3aa251e4b6ba4p-16, -0x1.490829f93affcp-16, -0x1.57274a203ef5cp-16, -0x1.650057a79d52fp-16, -0x1.7293f878063ecp-16, -0x1.7fe2d30563b9dp-16, -0x1.8ced8e3c73ee7p-16, -0x1.99b4d173be6efp-16, -0x1.a639445beaec7p-16, -0x1.b27b8ef04100fp-16, -0x1.be7c596764805p-16, -0x1.ca3c4c263a77dp-16, -0x1.d5bc0fb01c968p-16, -0x1.e0fc4c9c2d78fp-16, -0x1.ebfdab8520b41p-16, -0x1.f6c0d4fecba84p-16, -0x1.00a338c45440ap-15, -0x1.05c794c18a723p-15, -0x1.0acdd290fbc34p-15, -0x1.0fb64631cd26ap-15, -0x1.148143826d06bp-15, -0x1.192f1e3b8408cp-15, -0x1.1dc029ea7c40cp-15, -0x1.2234b9ecdaccdp-15, -0x1.268d216c32909p-15, -0x1.2ac9b358b3554p-15, -0x1.2eeac2655b922p-15, -0x1.32f0a1032eb92p-15, -0x1.36dba15d624fdp-15, -0x1.3aac155545dbbp-15, -0x1.3e624e7f0dc96p-15, -0x1.41fe9e1d6aa44p-15, -0x1.4581551e4e96bp-15, -0x1.48eac4177f642p-15, -0x1.4c3b3b4389aacp-15, -0x1.4f730a7e2b986p-15, -0x1.52928141a29abp-15, -0x1.5599eea3a4647p-15, -0x1.5889a152a95fcp-15, -0x1.5b61e793234f1p-15, -0x1.5e230f3d33d56p-15, -0x1.60cd65ba3ccep-15, -0x1.63613801f7f13p-15, -0x1.65ded298d4e59p-15, -0x1.6846818d51beep-15, -0x1.6a989076ce833p-15, -0x1.6cd54a726a727p-15, -0x1.6efcfa2250999p-15, -0x1.710fe9ab155d7p-15, -0x1.730e62b2e6f3fp-15, -0x1.74f8ae5f50887p-15, -0x1.76cf1553a5a16p-15, -0x1.7891dfafe9761p-15, -0x1.7a41550fd25fp-15, -0x1.7bddbc88d61dbp-15, -0x1.7d675ca9599d4p-15, -0x1.7ede7b7767492p-15, -0x1.80435e7021d0fp-15, -0x1.81964a8625d3ep-15, -0x1.82d7842104eebp-15, -0x1.84074f1c90259p-15, -0x1.8525eec7a434ap-15, -0x1.8633a5e383d48p-15, -0x1.8730b6a415b29p-15, -0x1.881d62ae076b4p-15, -0x1.88f9eb17044ddp-15, -0x1.89c690650d1b2p-15, -0x1.8a83928e6bc5ap-15, -0x1.8b3130f8c20cdp-15, -0x1.8bcfaa78cc99ep-15, -0x1.8c5f3d52b0196p-15, -0x1.8ce0273947401p-15, -0x1.8d52a54dccaf1p-15, -0x1.8db6f4204765fp-15, -0x1.8e0d4faf2e2acp-15, -0x1.8e55f3679fbedp-15, -0x1.8e911a248cdb6p-15, -0x1.8ebefe2fe2273p-15, -0x1.8edfd94202e8p-15, -0x1.8ef3e481bd7b1p-15, -0x1.8efb5884e07dep-15, -0x1.8ef66d50797eep-15, -0x1.8ee55a58a7f44p-15, -0x1.8ec85680ecdb7p-15, -0x1.8e9f981d1430cp-15, -0x1.8e6b54f0b2269p-15, -0x1.8e2bc22fd0153p-15, -0x1.8de1147f917e6p-15, -0x1.8d8b7ff6421ap-15, -0x1.8d2b381bede11p-15, -0x1.8cc06feae2655p-15, -0x1.8c4b59d043fa1p-15, -0x1.8bcc27ac00bcp-15, -0x1.8b430ad1cc0bfp-15, -0x1.8ab0340a0806bp-15, }}, 
      {{-0x1.eccc0f4a541fep-1, -0x1.ecb4bb2eb3679p-1, -0x1.ec8c32346922p-1, -0x1.ec5039fcb0f08p-1, -0x1.ebfe20e91d6a1p-1, -0x1.eb93068a05677p-1, -0x1.eb0c1ad6e3f5bp-1, -0x1.ea66d08a9fbd8p-1, -0x1.e9a101b3632f3p-1, -0x1.e8b906bc41198p-1, -0x1.e7adc1163d363p-1, -0x1.e67e9b625c1e7p-1, -0x1.e52b8178d5cf7p-1, -0x1.e3b4d2cd99c89p-1, -0x1.e21b5186f644ap-1, -0x1.e06010397328dp-1, -0x1.de845fc159ebap-1, -0x1.dc89be3825d6bp-1, -0x1.da71c79ab97f2p-1, -0x1.d83e28644e245p-1, -0x1.d5f0922a4d28cp-1, -0x1.d38ab223413cap-1, -0x1.d10e297147b7ap-1, -0x1.ce7c8701c10bep-1, -0x1.cbd742d3b7559p-1, -0x1.c91fba796a05ap-1, -0x1.c6572ead77d93p-1, -0x1.c37ec1d80e959p-1, -0x1.c0977763e918dp-1, -0x1.bda233c599009p-1, -0x1.ba9fbd19b7a7ep-1, -0x1.b790bc4066471p-1, -0x1.b475be5e2464cp-1, -0x1.b14f36ab9e8ep-1, -0x1.ae1d807fc7a1ep-1, -0x1.aae0e181678b3p-1, -0x1.a7998bef35c14p-1, -0x1.a447a0efaee78p-1, -0x1.a0eb32dbe204cp-1, -0x1.9d84477a9ece2p-1, -0x1.9a12da236928bp-1, -0x1.9696ddc295f4ep-1, -0x1.93103eb9bb4eap-1, -0x1.8f7ee4993c80fp-1, -0x1.8be2b3b12b5c5p-1, -0x1.883b8e78ed945p-1, -0x1.848956ce19972p-1, -0x1.80cbef0bcf027p-1, -0x1.7d033afc6f5f9p-1, -0x1.792f20a80d80fp-1, -0x1.754f89023f67dp-1, -0x1.7164607a20ab8p-1, -0x1.6d6d976f6f14p-1, -0x1.696b228f9a99bp-1, -0x1.655cfb1d93783p-1, -0x1.61431f26f14c8p-1, -0x1.5d1d91a8e9421p-1, -0x1.58ec5aa750285p-1, -0x1.54af8737a907dp-1, -0x1.50672982114f4p-1, -0x1.4c1358b99de4bp-1, -0x1.47b4310d8ab63p-1, -0x1.4349d3946ab67p-1, -0x1.3ed466325d131p-1, -0x1.3a54137b2120ep-1, -0x1.35c90a90bfbacp-1, -0x1.31337eff643a5p-1, -0x1.2c93a896e30adp-1, -0x1.27e9c34254509p-1, -0x1.23360ede1b0afp-1, -0x1.1e78cf0ca0995p-1, -0x1.19b24b09fe409p-1, -0x1.14e2cd7ec9077p-1, -0x1.100aa4522be43p-1, -0x1.0b2a207b767f7p-1, -0x1.064195d34312p-1, -0x1.01515ae4553c3p-1, -0x1.f8b391789aa37p-2, -0x1.eeb67578a696p-2, -0x1.e4ac1cd3a0033p-2, -0x1.da95467eabd85p-2, -0x1.d072b4fba5487p-2, -0x1.c6452dfc4c78bp-2, -0x1.bc0d7a0677c83p-2, -0x1.b1cc64197ce96p-2, -0x1.a782b95507e6fp-2, -0x1.9d3148a18dd0ap-2, -0x1.92d8e25a935c1p-2, -0x1.887a57faefef1p-2, -0x1.7e167bcb3b42ap-2, -0x1.73ae20928c515p-2, -0x1.69421949b126ep-2, -0x1.5ed338d0fd78cp-2, -0x1.546251a8ced17p-2, -0x1.49f035ace4a67p-2, -0x1.3f7db5d29839ap-2, -0x1.350ba1ea0dc7cp-2, -0x1.2a9ac8626ca68p-2, -0x1.202bf6111f336p-2, -0x1.15bff5fc2ece8p-2, -0x1.0b579127af1ffp-2, -0x1.00f38e6641e47p-2, -0x1.ed29645951666p-3, -0x1.d8777cd0c4316p-3, -0x1.c3d2e4b27d5b7p-3, -0x1.af3d14dbd7ec6p-3, -0x1.9ab78046b46a3p-3, -0x1.864393cde9b32p-3, -0x1.71e2b5f71f3a6p-3, -0x1.5d9646c1f8062p-3, -0x1.495f9f7c55428p-3, -0x1.3540129b7c837p-3, -0x1.2138eb99fcc41p-3, -0x1.0d4b6eda0ca6ep-3, -0x1.f2f1b31874c11p-4, -0x1.cb84c3345bf27p-4, -0x1.a4526b2a95c01p-4, -0x1.7d5cf951f18fbp-4, -0x1.56a6ad20c2a23p-4, -0x1.3031b71ebc219p-4, -0x1.0a0038dcf1ed3p-4, -0x1.c82889e6c91ecp-5, -0x1.7cdfbe07b04bep-5, -0x1.3229f782ed0c6p-5, -0x1.d01603f3b2f61p-6, -0x1.3d0d16d28a972p-6, -0x1.568091456ddb1p-7, -0x1.ab67fc8c0054cp-10, 0x1.d2265e23b067cp-8, 0x1.02798adcf79p-6, 0x1.8f1320fc4b93ep-6, 0x1.0d282cb32ae2dp-5, 0x1.5215b5e0bb394p-5, 0x1.964f63a24cf33p-5, 0x1.d9d2890d6dee9p-5, 0x1.0e4e4a308169dp-4, 0x1.2f55875931846p-4, 0x1.4ffdcdcc5627ap-4, 0x1.7045fc6b4bc8cp-4, 0x1.902cff0192e58p-4, 0x1.afb1ce18b992ep-4, 0x1.ced36ecbeeaadp-4, 0x1.ed90f29b6a3a9p-4, 0x1.05f4bb9fd960fp-3, 0x1.14ee133e744cdp-3, 0x1.23b41afb0d849p-3, 0x1.3246738069f11p-3, 0x1.40a4c33c5ec19p-3, 0x1.4eceb649cf854p-3, 0x1.5cc3fe5acf752p-3, 0x1.6a8452a2eb338p-3, 0x1.780f6fc1a4aedp-3, 0x1.856517ad1f65ep-3, 0x1.9285119cfded8p-3, 0x1.9f6f29f57c27ep-3, 0x1.ac233232b7397p-3, 0x1.b8a100d42f8b4p-3, 0x1.c4e8714883fa9p-3, 0x1.d0f963d95d68cp-3, 0x1.dcd3bd9793783p-3, 0x1.e877684781aa6p-3, 0x1.f3e4524d93068p-3, 0x1.ff1a6e9af7181p-3, 0x1.050cda4d45696p-2, 0x1.0a71100ef485dp-2, 0x1.0fb9d8a555391p-2, 0x1.14e73643e229p-2, 0x1.19f92d358a18dp-2, 0x1.1eefc3d383cb2p-2, 0x1.23cb027c35ae8p-2, 0x1.288af38a2655dp-2, 0x1.2d2fa34b004adp-2, 0x1.31b91ff69ffdcp-2, 0x1.362779a62c439p-2, 0x1.3a7ac24b39624p-2, 0x1.3eb30da6f6ab2p-2, 0x1.42d07141623d6p-2, 0x1.46d304608676p-2, 0x1.4abadfffbbc53p-2, 0x1.4e881ec6f11c7p-2, 0x1.523add01fa85dp-2, 0x1.55d33897e09b2p-2, 0x1.595151023a1bdp-2, 0x1.5cb5474482de7p-2, 0x1.5fff3de3795bdp-2, 0x1.632f58dc7d8bp-2, 0x1.6645bd9cf2d23p-2, 0x1.694292f9a57c2p-2, 0x1.6c2601262e6abp-2, 0x1.6ef031ac6006bp-2, 0x1.71a14f63ad06cp-2, 0x1.743986689a351p-2, 0x1.76b904142a7dcp-2, 0x1.791ff6f354a9fp-2, 0x1.7b6e8ebe7839cp-2, 0x1.7da4fc50d6339p-2, 0x1.7fc371a00fabp-2, 0x1.81ca21b3a4b86p-2, 0x1.83b9409c7c3c4p-2, 0x1.8591036c6eb6cp-2, 0x1.8751a02dd6661p-2, 0x1.88fb4ddb258d7p-2, 0x1.8a8e445685172p-2, 0x1.8c0abc617a3fcp-2, 0x1.8d70ef9493bbfp-2, 0x1.8ec118571e57dp-2, 0x1.8ffb71d6e738dp-2, 0x1.9120380003d71p-2, 0x1.922fa774a728cp-2, 0x1.9329fd85023c7p-2, 0x1.940f782732058p-2, 0x1.94e055ef36d54p-2, 0x1.959cd606fddc2p-2, 0x1.96453826776c9p-2, 0x1.96d9bc8bbbc0cp-2, 0x1.975aa3f340066p-2, 0x1.97c82f901f351p-2, 0x1.9822a1046de3ap-2, 0x1.986a3a59a80fbp-2, 0x1.989f3df92c177p-2, 0x1.98c1eea4cb403p-2, 0x1.98d28f6f6cb5ap-2, 0x1.98d163b5c99acp-2, 0x1.98beaf1739d14p-2, 0x1.989ab56e9a42ep-2, 0x1.9865bacb4614dp-2, 0x1.9820036a2bfffp-2, 0x1.97c9d3aef693p-2, 0x1.9763701d517bdp-2, 0x1.96ed1d52422a2p-2, 0x1.96671ffd9fac4p-2, 0x1.95d1bcdb9ec77p-2, 0x1.952d38ae7c686p-2, 0x1.9479d83840b4dp-2, 0x1.93b7e0349dd2cp-2, 0x1.92e79552e9832p-2, 0x1.92093c3032018p-2, 0x1.911d1951705adp-2, 0x1.9023711dd75aep-2, 0x1.8f1c87d93b1aep-2, 0x1.8e08a19e9a6dp-2, 0x1.8ce8025ac46e3p-2, 0x1.8bbaedc716482p-2, 0x1.8a81a7645c92fp-2, 0x1.893c7275d1be4p-2, 0x1.87eb91fc33584p-2, 0x1.868f48b0ff5b4p-2, 0x1.8527d901c5b59p-2, 0x1.83b5850b9fa4dp-2, 0x1.82388e96bed0bp-2, 0x1.80b137121e432p-2, 0x1.7f1fbf8f522a3p-2, 0x1.7d8468be6e078p-2, 0x1.7bdf72ea15896p-2, 0x1.7a311df39d38dp-2, 0x1.7879a94f5641ap-2, 0x1.76b95400eb612p-2, 0x1.74f05c97e56acp-2, 0x1.731f012c486c9p-2, 0x1.71457f5b4ddbfp-2, 0x1.6f6414443dfafp-2, 0x1.6d7afc8565648p-2, 0x1.6b8a743924fb4p-2, 0x1.6992b6f32507fp-2, 0x1.6793ffbd99ef6p-2, 0x1.658e8916b00cdp-2, 0x1.63828cee0dfa7p-2, 0x1.617044a26f0a7p-2, 0x1.5f57e8ff61d02p-2, 0x1.5d39b23b1a039p-2, 0x1.5b15d7f460bd4p-2, 0x1.58ec91309dc3fp-2, 0x1.56be1459fb3dap-2, 0x1.548a973da5869p-2, 0x1.52524f0a1ed22p-2, 0x1.5015704db2068p-2, 0x1.4dd42ef4fa437p-2, 0x1.4b8ebe49868f2p-2, 0x1.494550f08f8adp-2, 0x1.46f818e9ccd2bp-2, 0x1.44a7478e59c16p-2, 0x1.42530d8fb73b6p-2, 0x1.3ffb9af6e1b4dp-2, 0x1.3da11f237b732p-2, 0x1.3b43c8cb10c0cp-2, 0x1.38e3c5f86e299p-2, 0x1.3681440b0d95dp-2, 0x1.341c6fb695dddp-2, 0x1.31b57502721d9p-2, 0x1.2f4c7f49794e3p-2, 0x1.2ce1b939aafb7p-2, 0x1.2a754cd3ffc46p-2, 0x1.2807636c4a212p-2, 0x1.259825a92bd4ep-2, 0x1.2327bb841ac46p-2, 0x1.20b64c497ae8bp-2, 0x1.1e43fe98c2d04p-2, 0x1.1bd0f864b85p-2, 0x1.195d5ef3b8a4bp-2, 0x1.16e956e010686p-2, 0x1.147504186671ep-2, 0x1.120089e02ff0cp-2, 0x1.0f8c0ad038538p-2, 0x1.0d17a8d7357e4p-2, 0x1.0aa3853a69a42p-2, 0x1.082fc09651709p-2, 0x1.05bc7adf60b4dp-2, 0x1.0349d362cd278p-2, 0x1.00d7e8c75fbdep-2, 0x1.fccdb21cb2bc7p-3, 0x1.f7ed8328ba954p-3, 0x1.f30f7e24d25b2p-3, 0x1.ee33db3dada77p-3, 0x1.e95ad15cd2a9fp-3, 0x1.e484962ac6f3fp-3, 0x1.dfb15e114f9cfp-3, 0x1.dae15c3dc3e07p-3, 0x1.d614c2a37315ap-3, 0x1.d14bc1fe1a7cp-3, 0x1.cc8689d4683a4p-3, 0x1.c7c5487a96fd9p-3, 0x1.c3082b150fc1ep-3, 0x1.be4f5d9b1e11fp-3, 0x1.b99b0ad9b25b8p-3, 0x1.b4eb5c762def4p-3, 0x1.b0407af1441ep-3, 0x1.ab9a8da9d9931p-3, 0x1.a6f9badfffd46p-3, 0x1.a25e27b7e7f71p-3, 0x1.9dc7f83cf33bcp-3, 0x1.99374f64c026dp-3, 0x1.94ac4f1240638p-3, 0x1.90271818e2e31p-3, 0x1.8ba7ca3fb6f1ep-3, 0x1.872e8444a0e48p-3, 0x1.82bb63df9168p-3, 0x1.7e4e85c5c4bd3p-3, 0x1.79e805ad01f39p-3, 0x1.7587fe4eed7e7p-3, 0x1.712e896c4db7p-3, 0x1.6cdbbfd061d78p-3, 0x1.688fb95438f5dp-3, 0x1.644a8ce2081d9p-3, 0x1.600c507889357p-3, 0x1.5bd5192e5822ap-3, 0x1.57a4fb3554519p-3, 0x1.537c09de0401cp-3, 0x1.4f5a579af5cebp-3, 0x1.4b3ff604269eep-3, 0x1.472cf5da64ef5p-3, 0x1.4321670ab7a3cp-3, 0x1.3f1d58b1c2331p-3, 0x1.3b20d91f246e5p-3, 0x1.372bf5d8e3f46p-3, 0x1.333ebb9ec873dp-3, 0x1.2f59366dbb71bp-3, 0x1.2b7b718328f1cp-3, 0x1.27a5776058333p-3, 0x1.23d751cdc54fcp-3, 0x1.201109de75929p-3, 0x1.1c52a7f34aeedp-3, 0x1.189c33be53f1p-3, 0x1.14edb44612036p-3, 0x1.11472fe8c6bc4p-3, 0x1.0da8ac5fb3f9fp-3, 0x1.0a122ec257994p-3, 0x1.0683bb89aab09p-3, 0x1.02fd56934e521p-3, 0x1.fefe064985b8dp-4, 0x1.f81187dd19a43p-4, 0x1.f135361eb6e77p-4, 0x1.ea69142e47d57p-4, 0x1.e3ad24147c6c8p-4, 0x1.dd0166c8f0d6cp-4, 0x1.d665dc3836025p-4, 0x1.cfda8349ebd0ap-4, 0x1.c95f59e6bd5e4p-4, 0x1.c2f45cfe482e1p-4, 0x1.bc99888d0a5d9p-4, 0x1.b64ed7a22be87p-4, 0x1.b014446552798p-4, 0x1.a9e9c81c49412p-4, 0x1.a3cf5b30b6de1p-4, 0x1.9dc4f535ae558p-4, 0x1.97ca8ced3dc0cp-4, 0x1.91e0184de9ce8p-4, 0x1.8c058c881481ep-4, 0x1.863ade0b5f8b9p-4, 0x1.8080008bf1f59p-4, 0x1.7ad4e707b93ccp-4, 0x1.753983cb8f52ap-4, 0x1.6fadc8785b2a9p-4, 0x1.6a31a608168a2p-4, 0x1.64c50cd2ccfcdp-4, 0x1.5f67ec9382538p-4, 0x1.5a1a346d0c79cp-4, 0x1.54dbd2eedd1bap-4, 0x1.4facb619b7c44p-4, 0x1.4a8ccb645a441p-4, 0x1.457bffc00c757p-4, 0x1.407a3f9d30b63p-4, 0x1.3b8776efaa81cp-4, 0x1.36a391334b071p-4, 0x1.31ce797020033p-4, 0x1.2d081a3eb3d4ep-4, 0x1.28505dcc3d8e4p-4, 0x1.23a72ddec1308p-4, 0x1.1f0c73d91ed7bp-4, 0x1.1a8018bf0c432p-4, 0x1.1602053905377p-4, 0x1.1192219826109p-4, 0x1.0d3055d9f353ap-4, 0x1.08dc89ac18cf8p-4, 0x1.0496a47010a2ap-4, 0x1.005e8d3ebac6ap-4, 0x1.f86855d7d03b5p-5, 0x1.f02ec813a44c3p-5, 0x1.e8103dd8fd401p-5, 0x1.e00c835a39613p-5, 0x1.d823645a90519p-5, 0x1.d054ac348205ep-5, 0x1.c8a025e027d87p-5, 0x1.c1059bf96212cp-5, 0x1.b984d8c5e085bp-5, 0x1.b21da63b22559p-5, 0x1.aacfce04301c4p-5, 0x1.a39b1987625bbp-5, 0x1.9c7f51ebe624cp-5, 0x1.957c401f3e94p-5, 0x1.8e91acda8b319p-5, 0x1.87bf60a7d28abp-5, 0x1.810523e71262cp-5, 0x1.7a62bed33f5b2p-5, 0x1.73d7f9872dbc6p-5, 0x1.6d649c024abfcp-5, 0x1.67086e2d4ecefp-5, 0x1.60c337debedc6p-5, 0x1.5a94c0df6e6f4p-5, 0x1.547cd0eebc053p-5, 0x1.4e7b2fc6e4534p-5, 0x1.488fa5210cb12p-5, 0x1.42b9f8b953265p-5, 0x1.3cf9f252b3e3ep-5, 0x1.374f59badb0adp-5, 0x1.31b9f6cddf394p-5, 0x1.2c399179d076ep-5, 0x1.26cdf1c24c0e2p-5, 0x1.2176dfc3e73b8p-5, 0x1.1c3423b77652fp-5, 0x1.170585f550071p-5, 0x1.11eacef8775a9p-5, 0x1.0ce3c76199973p-5, 0x1.07f037fa12999p-5, 0x1.030fe9b6c251dp-5, 0x1.fc854b75ab32dp-6, 0x1.f3106ab4ff1b4p-6, 0x1.e9c0c43b186d4p-6, 0x1.e095eb83e0bafp-6, 0x1.d78f747c785cbp-6, 0x1.ceacf387de7d3p-6, 0x1.c5edfd839f7a9p-6, 0x1.bd5227cc2b516p-6, 0x1.b4d90841222e5p-6, 0x1.ac8235496fbcep-6, 0x1.a44d45d741df1p-6, 0x1.9c39d16bdb81dp-6, 0x1.9447701b3b1c3p-6, 0x1.8c75ba8fb1b33p-6, 0x1.84c44a0d337fdp-6, 0x1.7d32b874b3226p-6, 0x1.75c0a0472649p-6, 0x1.6e6d9ca89a84fp-6, 0x1.6739496307fa2p-6, 0x1.602342e915fccp-6, 0x1.592b2658aae6ep-6, 0x1.5250917d80dc1p-6, 0x1.4b9322d36a53ep-6, 0x1.44f27988ad296p-6, 0x1.3e6e35801c395p-6, 0x1.3805f7531be38p-6, 0x1.31b960539b4a5p-6, 0x1.2b88128dce3d3p-6, 0x1.2571b0ca03fcfp-6, 0x1.1f75de8e2555cp-6, 0x1.1994401f3c93bp-6, 0x1.13cc7a82eeafap-6, 0x1.0e1e3380bb7cep-6, 0x1.088911a3312bfp-6, 0x1.030cbc391b94fp-6, 0x1.fb51b6ad0a1f9p-7, 0x1.f0ba2fab42f8cp-7, 0x1.e65236af6a241p-7, 0x1.dc19208bcc242p-7, 0x1.d20e43a3a98e5p-7, 0x1.c830f7ec96e27p-7, 0x1.be8096ef82506p-7, 0x1.b4fc7bc99ec04p-7, 0x1.aba4032d422fep-7, 0x1.a2768b6265c4dp-7, 0x1.9973744747a5bp-7, 0x1.909a1f5093ca9p-7, 0x1.87e9ef89de6ddp-7, 0x1.7f6249957e0c7p-7, 0x1.770293acb86f4p-7, 0x1.6eca359f65c8p-7, 0x1.66b898d3cc19cp-7, 0x1.5ecd28464ac78p-7, 0x1.57075088a66fbp-7, 0x1.4f667fc195843p-7, 0x1.47ea25ac051c3p-7, 0x1.4091b39627deep-7, 0x1.395c9c60acc24p-7, 0x1.324a547db2a82p-7, 0x1.2b5a51ef9787ep-7, 0x1.248c0c47eaeb2p-7, 0x1.1ddefca5f598ep-7, 0x1.17529db579f84p-7, 0x1.10e66bad41142p-7, 0x1.0a99e44d6debfp-7, 0x1.046c86de1138dp-7, 0x1.fcbba85abab71p-8, 0x1.f0da9d1bb44cdp-8, 0x1.e534f3a969098p-8, 0x1.d9c9b6af65dfbp-8, 0x1.ce97f3d6bba4ap-8, 0x1.c39ebbc1e6d9ep-8, 0x1.b8dd2208843c7p-8, 0x1.ae523d3348096p-8, 0x1.a3fd26b784f37p-8, 0x1.99dcfaf298a39p-8, 0x1.8ff0d925613adp-8, 0x1.8637e36fbe16dp-8, 0x1.7cb13ecbaf7a8p-8, 0x1.735c130854ffcp-8, 0x1.6a378ac54663bp-8, 0x1.6142d36d29d31p-8, 0x1.587d1d313ae04p-8, 0x1.4fe59b0375495p-8, 0x1.477b8291f67e5p-8, 0x1.3f3e0c4123569p-8, 0x1.372c7326b134ep-8, 0x1.2f45f50426ef5p-8, 0x1.2789d24162807p-8, 0x1.1ff74de6fab11p-8, 0x1.188dad98e20f2p-8, 0x1.114c3990a24fap-8, 0x1.0a323c97d7ddcp-8, 0x1.033f04028138bp-8, 0x1.f8e3bf5247a17p-9, 0x1.eb9443c671e75p-9, 0x1.de8e3f02922f7p-9, 0x1.d1d05f8e70425p-9, 0x1.c55958cc9601ap-9, 0x1.b927e2ef40e5ap-9, 0x1.ad3abaeba2911p-9, 0x1.a190a26f638bep-9, 0x1.96285fd391a69p-9, 0x1.8b00be11c3915p-9, 0x1.80188cb7c1958p-9, 0x1.756e9fdc100d9p-9, 0x1.6b01d011cf49bp-9, 0x1.60d0fa5cb55a3p-9, 0x1.56db0025b26c4p-9, 0x1.4d1ec72eb1b8dp-9, 0x1.439b3986f4222p-9, 0x1.3a4f457f1c923p-9, 0x1.3139dd9d6600cp-9, 0x1.2859f891e0cb8p-9, 0x1.1fae912a92c83p-9, 0x1.1736a647c57fdp-9, 0x1.0ef13ad03f95ep-9, 0x1.06dd55a5ac59p-9, 0x1.fdf4033180abfp-10, 0x1.ee8c9abb4f52dp-10, 0x1.df8297011eaf3p-10, 0x1.d0d424b3ffd4bp-10, 0x1.c27f78065758dp-10, 0x1.b482cc9596a4p-10, 0x1.a6dc6552df2a2p-10, 0x1.998a8c6ca1d6p-10, 0x1.8c8b9337babaap-10, 0x1.7fddd218e2556p-10, 0x1.737fa86ec8d34p-10, 0x1.676f7c7b267f5p-10, 0x1.5babbb4cfb0fap-10, 0x1.5032d8aa3852ep-10, 0x1.45034efa05fe6p-10, 0x1.3a1b9f2f7a932p-10, 0x1.2f7a50b2af2d4p-10, 0x1.251df14c97845p-10, 0x1.1b051510d761dp-10, 0x1.112e5648cdb7fp-10, 0x1.0798555e80311p-10, 0x1.fc83718f61f05p-11, 0x1.ea5259e257ccfp-11, 0x1.d89ac853abc17p-11, 0x1.c75a2d1d8c837p-11, 0x1.b68e03ec7c78ep-11, 0x1.a633d3b8ae036p-11, 0x1.96492e9ccf652p-11, 0x1.86cbb1aeef405p-11, 0x1.77b904d912f38p-11, 0x1.690edab2b184ap-11, 0x1.5acaf058768bdp-11, 0x1.4ceb0d48c1429p-11, 0x1.3f6d033aa46d1p-11, 0x1.324eadfa4a9dep-11, 0x1.258df343600b4p-11, 0x1.1928c29bd4708p-11, 0x1.0d1d152eba6ebp-11, 0x1.0168eda93ea17p-11, 0x1.ec14b02c3ee4bp-12, 0x1.d5fed37406cc8p-12, 0x1.c08c81e124658p-12, 0x1.abba0a1308498p-12, 0x1.9783cc4d86b17p-12, 0x1.83e63a316d8bfp-12, 0x1.70ddd67da3b8fp-12, 0x1.5e6734c6e0a63p-12, 0x1.4c7ef93ad8a98p-12, 0x1.3b21d85be411cp-12, 0x1.2a4c96bf87015p-12, 0x1.19fc08d255fb1p-12, 0x1.0a2d1293bd606p-12, 0x1.f5b94eb699db9p-13, 0x1.d80f93321b4edp-13, 0x1.bb57153151985p-13, 0x1.9f8a1489cd358p-13, 0x1.84a2edd8816bp-13, 0x1.6a9c1a0b7dabp-13, 0x1.51702ded2de4dp-13, 0x1.3919d9af88d1p-13, 0x1.2193e87bdf965p-13, 0x1.0ad94002161cap-13, 0x1.e9c9c00ef7cb2p-14, 0x1.bf63c3fcc0f7cp-14, 0x1.9676f1232cd48p-14, 0x1.6ef9de7f3ccd2p-14, 0x1.48e353dd07626p-14, 0x1.242a490649e47p-14, 0x1.00c5e4f46b9f1p-14, 0x1.bd5afa1086a31p-15, 0x1.7bb12877bd749p-15, 0x1.3c7db4bfc90e1p-15, 0x1.ff60ad59a1631p-16, 0x1.8a72394415671p-16, 0x1.1a10d455eecb7p-16, 0x1.5c3bd9d1f6831p-17, 0x1.19ee576cbf7dep-18, -0x1.cf37c5a64a8a6p-20, -0x1.f12fda6c85d0cp-18, -0x1.af53d36cb069ap-17, -0x1.2f28cd52cf19dp-16, -0x1.82e382764455ep-16, -0x1.d2f45667e048bp-16, -0x1.0fba828edf3b1p-15, -0x1.343f5dfd36cfep-15, -0x1.57150e275a9f2p-15, -0x1.78479ee6e31a2p-15, -0x1.97e2d892fe9cep-15, -0x1.b5f24134b06bdp-15, -0x1.d2811db12bf39p-15, -0x1.ed9a730c5b9e4p-15, -0x1.03a483c420bcp-14, -0x1.0fcbb1e6f6b14p-14, -0x1.1b47ea0b5f4b2p-14, -0x1.261e34a2ff5ep-14, -0x1.30537cfe2f112p-14, -0x1.39ec91e2fe92p-14, -0x1.42ee26067ef9ep-14, -0x1.4b5cd0a015ca2p-14, -0x1.533d0de7f437ep-14, -0x1.5a933f9e4d4ccp-14, -0x1.6163ad855ea6cp-14, -0x1.67b285e7a5e3cp-14, -0x1.6d83de1068987p-14, -0x1.72dbb2c8e10b6p-14, -0x1.77bde8cf03cfbp-14, -0x1.7c2e4d4dbe979p-14, -0x1.8030965382b88p-14, -0x1.83c86341d27e7p-14, -0x1.86f93d438c74cp-14, -0x1.89c697b87e8cdp-14, -0x1.8c33d0a43f1e8p-14, -0x1.8e44311d613dap-14, -0x1.8ffaedb1c808cp-14, -0x1.915b26d71f414p-14, -0x1.9267e9477e875p-14, -0x1.93242e7216e83p-14, -0x1.9392dcd472599p-14, -0x1.93b6c863551adp-14, -0x1.9392b2e804b15p-14, -0x1.93294c5d3c638p-14, -0x1.927d3350d56c8p-14, -0x1.9190f53b935e9p-14, -0x1.90670edb0110bp-14, -0x1.8f01ec8be4539p-14, -0x1.8d63ea9f89047p-14, -0x1.8b8f55b15aaa3p-14, -0x1.89866afb2150cp-14, -0x1.874b58a6ca97p-14, -0x1.84e03e1fe8e0ep-14, -0x1.82472c643b8f2p-14, -0x1.7f82264ee863cp-14, -0x1.7c9320e95a8ep-14, -0x1.797c03b260bdp-14, -0x1.763ea8ec722dap-14, -0x1.72dcdde2fbf76p-14, -0x1.6f58633469751p-14, -0x1.6bb2ed177aefap-14, -0x1.67ee239f94ea3p-14, -0x1.640ba300ac2bdp-14, -0x1.600cfbd3919f7p-14, -0x1.5bf3b3542f577p-14, -0x1.57c143a4d2a49p-14, -0x1.53771c0a075p-14, -0x1.4f16a12ae7ddep-14, -0x1.4aa12d4bdd0d6p-14, -0x1.4618108be8edcp-14, -0x1.417c911d53aa1p-14, -0x1.3ccfeb807b12p-14, -0x1.381352b9cc2f3p-14, -0x1.3347f08c9c5ap-14, -0x1.2e6ee5ade486ap-14, -0x1.298949fa549d3p-14, -0x1.24982cac13c62p-14, -0x1.1f9c948b108f8p-14, -0x1.1a978022186dcp-14, -0x1.1589e5ed6b1abp-14, -0x1.1074b48cca068p-14, -0x1.0b58d2f26db6ap-14, -0x1.0637208f90864p-14, -0x1.01107585f0dc8p-14, -0x1.f7cb459ea0966p-15, -0x1.ed6ee4dac6a8p-15, -0x1.e30d4f25800b8p-15, -0x1.d8a7fd9abf86fp-15, -0x1.ce405c5e8e885p-15, -0x1.c3d7caeea3c2bp-15, -0x1.b96f9c71e2c48p-15, -0x1.af0918070f453p-15, -0x1.a4a5790ab0532p-15, -0x1.9a45ef6b08e8cp-15, -0x1.8feb9fe9ba502p-15, -0x1.8597a464c7e09p-15, -0x1.7b4b0c1f2e499p-15, -0x1.7106dc03914c2p-15, -0x1.66cc0ee5bf7e6p-15, -0x1.5c9b95c869297p-15, -0x1.5276581ad1de2p-15, -0x1.485d33f7d8511p-15, -0x1.3e50fe65b312cp-15, -0x1.34528390c15b6p-15, -0x1.2a62870669872p-15, -0x1.2081c3f29fcb6p-15, -0x1.16b0ed5298824p-15, -0x1.0cf0ae3281506p-15, -0x1.0341a9df7d7e7p-15, -0x1.f348f84019064p-16, -0x1.e03372cba4f5ap-16, -0x1.cd43de036d657p-16, -0x1.ba7b46a9b1fedp-16, -0x1.a7daac059481dp-16, -0x1.95630041ffb58p-16, -0x1.831528c7635e2p-16, -0x1.70f1fe9b930e1p-16, -0x1.5efa4eb926441p-16, -0x1.4d2eda66fbd88p-16, -0x1.3b90578de629p-16, -0x1.2a1f710b02d2ap-16, -0x1.18dcc70532439p-16, -0x1.07c8ef37c272dp-16, -0x1.edc8ea8a49ffdp-17, -0x1.cc5fb5fb84a93p-17, -0x1.ab573167ab87p-17, -0x1.8ab03af08f531p-17, -0x1.6a6b9eda32ab2p-17, -0x1.4a8a1805d49a3p-17, -0x1.2b0c5084fff3p-17, -0x1.0bf2e2163e69fp-17, -0x1.da7cad59902dp-18, -0x1.9dde51d8bf59ap-18, -0x1.620b894c61a6p-18, -0x1.27050ea259113p-18, -0x1.d99701feeefb1p-19, -0x1.66bec95ab50dfp-19, -0x1.eb048fb019fc6p-20, -0x1.0bc43f8cec34cp-20, -0x1.7dec2c86ef78fp-23, 0x1.521e31b3fa50ap-21, 0x1.7ea17117edfddp-20, 0x1.287cd80f3fc58p-19, 0x1.900c2bbd36d31p-19, 0x1.f5ff1d381ac04p-19, 0x1.2d2b1eb738af2p-18, 0x1.5e8921a52ba6cp-18, 0x1.8f1a0526374e1p-18, 0x1.bede4896161ffp-18, 0x1.edd67c48b0faep-18, 0x1.0e01a073d835dp-17, 0x1.24b2a36561c9bp-17, 0x1.3afea6b5b8265p-17, 0x1.50e6115df0636p-17, 0x1.66695151efa71p-17, 0x1.7b88db3473f5p-17, 0x1.90452a0fbb994p-17, 0x1.a49ebf187dc61p-17, 0x1.b8962161a0166p-17, 0x1.cc2bdda445d4p-17, 0x1.df6085fb1ab55p-17, 0x1.f234b1aa62232p-17, 0x1.02547e6efe763p-16, 0x1.0b5f043b0ebf8p-16, 0x1.143a3ce47287fp-16, 0x1.1ce67d38c4a4ep-16, 0x1.25641c0a76a24p-16, 0x1.2db3721890ff7p-16, 0x1.35d4d9f5d42d3p-16, 0x1.3dc8afee3401ap-16, 0x1.458f51f23ffc8p-16, 0x1.4d291f7b7e80bp-16, 0x1.5496797a1fa46p-16, 0x1.5bd7c23c8bb68p-16, 0x1.62ed5d5aeed14p-16, 0x1.69d7afa2c3b4fp-16, 0x1.70971f01987a3p-16, 0x1.772c12736e52bp-16, 0x1.7d96f1ef202a9p-16, 0x1.83d8265203d92p-16, 0x1.89f0195145b1cp-16, 0x1.8fdf35674423bp-16, 0x1.95a5e5c1b011fp-16, 0x1.9b449632e63a1p-16, 0x1.a0bbb321ce4e1p-16, 0x1.a60ba97a53894p-16, 0x1.ab34e69e69c87p-16, 0x1.b037d8585ca8bp-16, 0x1.b514eccc559afp-16, 0x1.b9cc926b55c94p-16, 0x1.be5f37e5c1bc9p-16, 0x1.c2cd4c1f91d3p-16, 0x1.c7173e237c6cbp-16, 0x1.cb3d7d1791bfep-16, 0x1.cf407830f05f1p-16, 0x1.d3209eaa82875p-16, 0x1.d6de5fb8bb4bfp-16, 0x1.da7a2a803aac3p-16, 0x1.ddf46e0bd54bep-16, 0x1.e14d99429a02p-16, 0x1.e4861adedf22ep-16, 0x1.e79e6165a6faap-16, 0x1.ea96db1d4d414p-16, 0x1.ed6ff60634e28p-16, 0x1.f02a1fd22b07bp-16, 0x1.f2c5c5dcf2495p-16, 0x1.f5435524cde1p-16, 0x1.f7a33a43c0479p-16, 0x1.f9e5e1687a8fap-16, 0x1.fc0bb64fb5ad3p-16, 0x1.fe15243ea3524p-16, 0x1.00014afddcfd8p-15, 0x1.00ea3ae508594p-15, 0x1.01c596b17cf68p-15, 0x1.029392f8b2889p-15, 0x1.03546406338dap-15, 0x1.04083dd959f75p-15, 0x1.04af5422ce36dp-15, 0x1.0549da4275f98p-15, 0x1.05d8034568a93p-15, 0x1.065a01e3a87a6p-15, 0x1.06d0087e9d4f5p-15, 0x1.073a491ef4afap-15, 0x1.0798f5730b603p-15, 0x1.07ec3ecd415dcp-15, 0x1.083456228d9c9p-15, 0x1.08716c08ed649p-15, 0x1.08a3b0b5f810ep-15, 0x1.08cb53fdb858ep-15, 0x1.08e88551680dbp-15, 0x1.08fb73be2cecap-15, 0x1.09044dec21d3p-15, 0x1.0903421d7084cp-15, 0x1.08f87e2d23c0dp-15, 0x1.08e42f8e93892p-15, 0x1.08c6834c5e1fdp-15, 0x1.089fa607d9b76p-15, 0x1.086fc3f84829ap-15, 0x1.083708ea3198dp-15, 0x1.07f5a03f03e0dp-15, 0x1.07abb4ec6cdbap-15, 0x1.0759717bdad69p-15, 0x1.06ff000a6a8ecp-15, 0x1.069c8a482613bp-15, 0x1.06323978057fep-15, 0x1.05c0366f775bp-15, 0x1.0546a9965d5c1p-15, 0x1.04c5bae6d1af1p-15, 0x1.043d91ecf2b76p-15, 0x1.03ae55c6f0c05p-15, 0x1.03182d250abf5p-15, 0x1.027b3e4984997p-15, 0x1.01d7af08a1bbep-15, 0x1.012da4c8b49a3p-15, 0x1.007d4482620dcp-15, 0x1.ff8d65818667dp-16, 0x1.fe142742de508p-16, 0x1.fc8f15a9d3408p-16, 0x1.fafe773d4465fp-16, 0x1.f96291aad7349p-16, 0x1.f7bba9c73b21cp-16, 0x1.f60a038f30a76p-16, 0x1.f44de22817376p-16, 0x1.f28787e0cbe4cp-16, 0x1.f0b736321b3d2p-16, 0x1.eedd2dbfae5a6p-16, 0x1.ecf9ae59629ap-16, 0x1.eb0cf6fbcb512p-16, 0x1.e91745d18fff5p-16, 0x1.e718d83407f42p-16, 0x1.e511eaac88a79p-16, 0x1.e302b8f53b04bp-16, 0x1.e0eb7dfaac0d4p-16, 0x1.decc73dc6d8a6p-16, 0x1.dca5d3eee4a8p-16, 0x1.da77d6bc244b5p-16, 0x1.d842b404c53e3p-16, 0x1.d606a2c2029e6p-16, 0x1.d3c3d9269aaf1p-16, 0x1.d17a8c9ffb53cp-16, 0x1.cf2af1d81a0a9p-16, 0x1.ccd53cb62c64p-16, 0x1.ca79a0609b5e8p-16, 0x1.c8184f3e198b4p-16, 0x1.c5b17af74e5b5p-16, 0x1.c3455477f712dp-16, 0x1.c0d40bf071a98p-16, 0x1.be5dd0d79071ap-16, 0x1.bbe2d1ebc5228p-16, 0x1.b9633d34c2c71p-16, 0x1.b6df4004fd16fp-16, 0x1.b45706fb15cb5p-16, 0x1.b1cabe0368fp-16, 0x1.af3a905988a1bp-16, 0x1.aca6a88a4df54p-16, 0x1.aa0f3074c77a6p-16, 0x1.a774514c21c87p-16, 0x1.a4d63399261edp-16, 0x1.a234ff3bbbe6dp-16, 0x1.9f90db6cc7e2bp-16, 0x1.9ce9eebf71285p-16, 0x1.9a405f22896b2p-16, 0x1.979451e2ec6dcp-16, 0x1.94e5ebac7ceeap-16, 0x1.9235508bfe12bp-16, 0x1.8f82a3f05918cp-16, 0x1.8cce08acdc5ecp-16, 0x1.8a17a0fa29e41p-16, 0x1.875f8e780f44p-16, 0x1.84a5f22f21e14p-16, 0x1.81eaec929beaep-16, 0x1.7f2e9d819e75bp-16, 0x1.7c71244911637p-16, 0x1.79b29fa4ebf7fp-16, 0x1.76f32dc1f7353p-16, 0x1.7432ec3f1e5dbp-16, 0x1.7171f82fb52e5p-16, 0x1.6eb06e1c81c26p-16, 0x1.6bee6a056446fp-16, 0x1.692c0762fbcb9p-16, 0x1.66696127ee1fp-16, 0x1.63a691c31e2eap-16, 0x1.60e3b32060e3dp-16, 0x1.5e20deaad4a8cp-16, 0x1.5b5e2d4dc463dp-16, 0x1.589bb776c8f14p-16, 0x1.55d99516d6a24p-16, 0x1.5317dda3c02fap-16, 0x1.5056a81a21707p-16, 0x1.4d960afe7e23fp-16, 0x1.4ad61c5f07e7fp-16, 0x1.4816f1d4e7869p-16, 0x1.4558a085e78bp-16, 0x1.429b3d258278bp-16, 0x1.3fdedbf6b7e3bp-16, 0x1.3d2390cd5c3a8p-16, 0x1.3a696f0fe0e5ep-16, 0x1.37b089b82de62p-16, 0x1.34f8f3555736cp-16, 0x1.3242be0ce281cp-16, 0x1.2f8dfb9c9da8ep-16, 0x1.2cdabd5bab8bfp-16, 0x1.2a29143bdb078p-16, 0x1.277910cad7c24p-16, 0x1.24cac333ded8ap-16, 0x1.221e3b415a4f8p-16, 0x1.1f73885d7ee29p-16, 0x1.1ccab9942a7aep-16, 0x1.1a23dd93e11adp-16, 0x1.177f02af6345ap-16, 0x1.14dc36de8b373p-16, }}, 
      {{-0x1.ecd1225844f5bp-1, -0x1.ecc971b756638p-1, -0x1.ecbc4a3075b85p-1, -0x1.eca933b021d26p-1, -0x1.ec8f96f3d80dcp-1, -0x1.ec6ec9c4a18ap-1, -0x1.ec461a78d9af7p-1, -0x1.ec14d9f2d51afp-1, -0x1.ebda63ca814p-1, -0x1.eb96248a8c0f8p-1, -0x1.eb479e0b7e9c2p-1, -0x1.eaee6a10e10ebp-1, -0x1.ea8a3b6090777p-1, -0x1.ea1add9952039p-1, -0x1.e9a034127242ep-1, -0x1.e91a380bd5ab3p-1, -0x1.e888f66e0994ep-1, -0x1.e7ec8d4f262bap-1, -0x1.e745296593ba1p-1, -0x1.e6930386a9f42p-1, -0x1.e5d65e4582f42p-1, -0x1.e50f83beaf744p-1, -0x1.e43ec397a949cp-1, -0x1.e3647134c837cp-1, -0x1.e280e225bfeaap-1, -0x1.e1946cc6e3dedp-1, -0x1.e09f671476c9fp-1, -0x1.dfa225acb0862p-1, -0x1.de9cfafceb716p-1, -0x1.dd9036965710cp-1, -0x1.dc7c24a68ee2p-1, -0x1.db610d908c03dp-1, -0x1.da3f35a2836b5p-1, -0x1.d916dce561cf3p-1, -0x1.d7e83f02ba46ep-1, -0x1.d6b3933e231bbp-1, -0x1.d5790c7f2dbfcp-1, -0x1.d438d9694a11ep-1, -0x1.d2f3247f2072p-1, -0x1.d1a8144f1d3aap-1, -0x1.d057cba71ddbap-1, -0x1.cf0269cd65ea6p-1, -0x1.cda80abd3cfacp-1, -0x1.cc48c765bf33p-1, -0x1.cae4b5e9aeb8p-1, -0x1.c97be9df349b9p-1, -0x1.c80e748eb52d6p-1, -0x1.c69c6530058f6p-1, -0x1.c525c92571dbdp-1, -0x1.c3aaac34288cdp-1, -0x1.c22b18b9bc33cp-1, -0x1.c0a717de852fp-1, -0x1.bf1eb1c4c5af6p-1, -0x1.bd91edb480a76p-1, -0x1.bc00d2440842dp-1, -0x1.ba6b657d4f573p-1, -0x1.b8d1ad0018d6ep-1, -0x1.b733ae211e5bap-1, -0x1.b5916e06586e9p-1, -0x1.b3eaf1c08802ap-1, -0x1.b2403e6232617p-1, -0x1.b091591431696p-1, -0x1.aede4728072b4p-1, -0x1.ad270e281c7dp-1, -0x1.ab6bb3e611a59p-1, -0x1.a9ac3e8745333p-1, -0x1.a7e8b48fb9712p-1, -0x1.a6211ceb754c7p-1, -0x1.a4557ef6832e1p-1, -0x1.a285e283a7bc2p-1, -0x1.a0b24fe1f02e3p-1, -0x1.9edacfe12bfe5p-1, -0x1.9cff6bd56d3bp-1, -0x1.9b202d99a1bcp-1, -0x1.993d1f9158929p-1, -0x1.97564ca9c860fp-1, -0x1.956bc05a23cc3p-1, -0x1.937d86a34c14p-1, -0x1.918bac0ef1df7p-1, -0x1.8f963dae2d09bp-1, -0x1.8d9d49179c96p-1, -0x1.8ba0dc651482cp-1, -0x1.89a10630e8a78p-1, -0x1.879dd592dc18ap-1, -0x1.85975a1cbddbap-1, -0x1.838da3d6bc618p-1, -0x1.8180c33b793bbp-1, -0x1.7f70c933e1005p-1, -0x1.7d5dc712d376ep-1, -0x1.7b47ce909e075p-1, -0x1.792ef1c6536a9p-1, -0x1.77134329025eep-1, -0x1.74f4d584d65e9p-1, -0x1.72d3bbf8213fcp-1, -0x1.70b009ee59d59p-1, -0x1.6e89d31b0f21dp-1, -0x1.6c612b74d720bp-1, -0x1.6a3627303d5c8p-1, -0x1.6808dabab3ec6p-1, -0x1.65d95ab58c5d7p-1, -0x1.63a7bbf0faba2p-1, -0x1.6174136725c2bp-1, -0x1.5f3e76374885p-1, -0x1.5d06f9a0e51bcp-1, -0x1.5acdb2ff1127fp-1, -0x1.5892b7c3d41a2p-1, -0x1.56561d73a47d6p-1, -0x1.5417f9a0fd025p-1, -0x1.51d861e8101aep-1, -0x1.4f976bea9945ep-1, -0x1.4d552d4bcd24p-1, -0x1.4b11bbac6ac18p-1, -0x1.48cd2ca6eba8bp-1, -0x1.468795cbd83dcp-1, -0x1.44410c9e3ae36p-1, -0x1.41f9a69037d8bp-1, -0x1.3fb178ffc56afp-1, -0x1.3d68993387c66p-1, -0x1.3b1f1c57cdc4p-1, -0x1.38d5177bb0758p-1, -0x1.368a9f8e53e5cp-1, -0x1.343fc95c49467p-1, -0x1.31f4a98d11e16p-1, -0x1.2fa954a0c1b46p-1, -0x1.2d5ddeedc2283p-1, -0x1.2b125c9eb472p-1, -0x1.28c6e1b06fa9dp-1, -0x1.267b81f01f34dp-1, -0x1.243050f97cabdp-1, -0x1.21e5623523ed5p-1, -0x1.1f9ac8d70517bp-1, -0x1.1d5097dcef241p-1, -0x1.1b06e20d3322bp-1, -0x1.18bdb9f56169bp-1, -0x1.167531e91c51p-1, -0x1.142d5c01038f4p-1, -0x1.11e64a19b3d2p-1, -0x1.0fa00dd2dbe22p-1, -0x1.0d5ab88e65237p-1, -0x1.0b165b6fb0868p-1, -0x1.08d3075ae3f95p-1, -0x1.0690ccf44af97p-1, -0x1.044fbc9fc68aap-1, -0x1.020fe6804d73ap-1, -0x1.ffa2b4eef9f18p-2, -0x1.fb28504a6b5e2p-2, -0x1.f6b0bdce8f675p-2, -0x1.f23c1bb257495p-2, -0x1.edca87a78d31p-2, -0x1.e95c1eda7850dp-2, -0x1.e4f0fdf193deap-2, -0x1.e089410d5b2e6p-2, -0x1.dc2503c82b59p-2, -0x1.d7c4613636ec4p-2, -0x1.d36773e58a507p-2, -0x1.cf0e55de23883p-2, -0x1.cab920a218742p-2, -0x1.c667ed2dc9d6ep-2, -0x1.c21ad3f82a94ep-2, -0x1.bdd1ecf30d8cfp-2, -0x1.b98d4f8b84975p-2, -0x1.b54d12aa4b655p-2, -0x1.b1114cb439daep-2, -0x1.acda138ac5cc1p-2, -0x1.a8a77c8c8c35cp-2, -0x1.a4799c95e5038p-2, -0x1.a05088017ec07p-2, -0x1.9c2c52a90384ap-2, -0x1.980d0fe5c6ae2p-2, -0x1.93f2d29179a34p-2, -0x1.8fddad06e5dc7p-2, -0x1.8bcdb122b2cd9p-2, -0x1.87c2f0442c4p-2, -0x1.83bd7b4e141c2p-2, -0x1.7fbd62a77514p-2, -0x1.7bc2b63c80bd2p-2, -0x1.77cd857f6e1b1p-2, -0x1.73dddf695ec2fp-2, -0x1.6ff3d27b4945ap-2, -0x1.6c0f6cbee8e1bp-2, -0x1.6830bbc7af676p-2, -0x1.6457ccb3bd46p-2, -0x1.6084ac2cdd1cbp-2, -0x1.5cb766698260bp-2, -0x1.58f0072dccd8fp-2, -0x1.552e99cc8e4d6p-2, -0x1.51732928565e2p-2, -0x1.4dbdbfb47bb77p-2, -0x1.4a0e677631252p-2, -0x1.46652a05947e4p-2, -0x1.42c2108ec81e8p-2, -0x1.3f2523d308db2p-2, -0x1.3b8e6c29cb019p-2, -0x1.37fdf181d7c5bp-2, -0x1.3473bb626f174p-2, -0x1.30efd0ec66d2dp-2, -0x1.2d7238db5410ap-2, -0x1.29faf986ae4b5p-2, -0x1.268a18e2fb522p-2, -0x1.231f9c82f897cp-2, -0x1.1fbb8998c876ap-2, -0x1.1c5de4f720c6bp-2, -0x1.1906b3127b35bp-2, -0x1.15b5f8024680bp-2, -0x1.126bb78219e08p-2, -0x1.0f27f4f2eb197p-2, -0x1.0beab35c41e7ep-2, -0x1.08b3f56d6f621p-2, -0x1.0583bd7ec8de5p-2, -0x1.025a0d92dd929p-2, -0x1.fe6dceaf675afp-3, -0x1.f834985001339p-3, -0x1.f2087a18cd0fap-3, -0x1.ebe97579622d2p-3, -0x1.e5d78b421eb1cp-3, -0x1.dfd2bba6a9c8p-3, -0x1.d9db06406a4dcp-3, -0x1.d3f06a1102c8fp-3, -0x1.ce12e584d1c2dp-3, -0x1.c842767569571p-3, -0x1.c27f1a2c0f8eep-3, -0x1.bcc8cd643a562p-3, -0x1.b71f8c4e0a8f3p-3, -0x1.b1835290c645ep-3, -0x1.abf41b4d590a4p-3, -0x1.a671e120c7fb6p-3, -0x1.a0fc9e26af7e8p-3, -0x1.9b944bfbb749fp-3, -0x1.9638e3c00d78cp-3, -0x1.90ea5e19d62f5p-3, -0x1.8ba8b337a32adp-3, -0x1.8673dad2e365ap-3, -0x1.814bcc3251dacp-3, -0x1.7c307e2c660bbp-3, -0x1.7721e729b5923p-3, -0x1.721ffd2769ed1p-3, -0x1.6d2ab5b99a274p-3, -0x1.6842060db291dp-3, -0x1.6365e2ecd5748p-3, -0x1.5e9640be32f2cp-3, -0x1.59d313896636fp-3, -0x1.551c4ef8cab42p-3, -0x1.5071e65bcb3edp-3, -0x1.4bd3cca934aa8p-3, -0x1.4741f4817cf84p-3, -0x1.42bc50310a84bp-3, -0x1.3e42d1b276d0ep-3, -0x1.39d56ab0cdc58p-3, -0x1.35740c89c5ed9p-3, -0x1.311ea84ff52bdp-3, -0x1.2cd52ecd05702p-3, -0x1.28979083d9981p-3, -0x1.2465bdb2bb1abp-3, -0x1.203fa6557a836p-3, -0x1.1c253a278c671p-3, -0x1.181668a61d8e8p-3, -0x1.141321122e294p-3, -0x1.101b527298c64p-3, -0x1.0c2eeb961db19p-3, -0x1.084ddb1562e36p-3, -0x1.04780f54f5b0dp-3, -0x1.00ad76873e6a8p-3, -0x1.f9dbfd5ce7f56p-4, -0x1.f2732b3d12b62p-4, -0x1.eb2051fe22bbbp-4, -0x1.e3e34c9a44eddp-4, -0x1.dcbbf5ba5720ep-4, -0x1.d5aa27b9a51a3p-4, -0x1.ceadbca96f0a7p-4, -0x1.c7c68e548df06p-4, -0x1.c0f47642ec00fp-4, -0x1.ba374dbd0418p-4, -0x1.b38eedcf4c0dap-4, -0x1.acfb2f4d90f81p-4, -0x1.a67bead651ab3p-4, -0x1.a010f8d600977p-4, -0x1.99ba318a3e9eap-4, -0x1.93776d0508e4dp-4, -0x1.8d48832fdc3f7p-4, -0x1.872d4bcec5ff2p-4, -0x1.81259e836e90cp-4, -0x1.7b3152d010f22p-4, -0x1.7550401a6dc03p-4, -0x1.6f823daea7941p-4, -0x1.69c722c21ce97p-4, -0x1.641ec6762b802p-4, -0x1.5e88ffdaefb22p-4, -0x1.5905a5f1f0426p-4, -0x1.53948fb0c29b5p-4, -0x1.4e3594039e83fp-4, -0x1.48e889cfe9359p-4, -0x1.43ad47f6b0705p-4, -0x1.3e83a5571a798p-4, -0x1.396b78d0c8e8bp-4, -0x1.34649946319a9p-4, -0x1.2f6edd9ee6c09p-4, -0x1.2a8a1cc9d86e1p-4, -0x1.25b62dbf856fp-4, -0x1.20f2e7841f1a1p-4, -0x1.1c402129a6a07p-4, -0x1.179db1d1fa2e3p-4, -0x1.130b70b0d47f1p-4, -0x1.0e89350dc6ff1p-4, -0x1.0a16d64621f9p-4, -0x1.05b42bced1ddbp-4, -0x1.01610d363661fp-4, -0x1.fa3aa44bca69cp-5, -0x1.f1d1a4c8d7aa1p-5, -0x1.e986cbadf61bcp-5, -0x1.e159c9062219ap-5, -0x1.d94a4d2021a16p-5, -0x1.d1580891a687cp-5, -0x1.c982ac3a5a27fp-5, -0x1.c1c9e946cb2aep-5, -0x1.ba2d713350c0fp-5, -0x1.b2acf5ced539cp-5, -0x1.ab48293d85dfp-5, -0x1.a3febdfb767edp-5, -0x1.9cd066df2a929p-5, -0x1.95bcd71c0c19bp-5, -0x1.8ec3c244d5168p-5, -0x1.87e4dc4dd5dadp-5, -0x1.811fd98f38df1p-5, -0x1.7a746ec7252bbp-5, -0x1.73e2511bda6e1p-5, -0x1.6d69361db032ap-5, -0x1.6708d3c907673p-5, -0x1.60c0e0882a44bp-5, -0x1.5a911335160f2p-5, -0x1.5479231b3afb3p-5, -0x1.4e78c7f91d1d5p-5, -0x1.488fba01f5b37p-5, -0x1.42bdb1df3577cp-5, -0x1.3d0268b1fcbfep-5, -0x1.375d98147e254p-5, -0x1.31cefa1b5c40dp-5, -0x1.2c564956e7bbfp-5, -0x1.26f340d4570c8p-5, -0x1.21a59c1ef185bp-5, -0x1.1c6d1741270fap-5, -0x1.17496ec593762p-5, -0x1.123a5fb7ff9b8p-5, -0x1.0d3fa7a647397p-5, -0x1.085904a13c85cp-5, -0x1.0386353d7443fp-5, -0x1.fd8df1281432fp-6, -0x1.f4361c86ac36p-6, -0x1.eb046cdf25bc7p-6, -0x1.e1f86386f6342p-6, -0x1.d91182e1ac136p-6, -0x1.d04f4e61f8d6cp-6, -0x1.c7b14a8a9939p-6, -0x1.bf36fcef2631dp-6, -0x1.b6dfec34dc1a4p-6, -0x1.aeaba0133bd2p-6, -0x1.a699a1549d1d4p-6, -0x1.9ea979d6a861ap-6, -0x1.96dab48ab92a4p-6, -0x1.8f2cdd7634b59p-6, -0x1.879f81b2c18c9p-6, -0x1.80322f6e73d82p-6, -0x1.78e475ebe060ap-6, -0x1.71b5e5821c8ep-6, -0x1.6aa60f9cb542p-6, -0x1.63b486bb83eb5p-6, -0x1.5ce0de727bdb3p-6, -0x1.562aab69676bcp-6, -0x1.4f91835b97c7cp-6, -0x1.4914fd176dfdfp-6, -0x1.42b4b07df660ap-6, -0x1.3c70368258f88p-6, -0x1.3647292946723p-6, -0x1.3039238852c0ap-6, -0x1.2a45c1c548b5bp-6, -0x1.246ca11562dd9p-6, -0x1.1ead5fbc86766p-6, -0x1.19079d0c62f63p-6, -0x1.137af9639028dp-6, -0x1.0e07162c9027fp-6, -0x1.08ab95dce0ce3p-6, -0x1.03681bf3e23dap-6, -0x1.fc7899f391509p-7, -0x1.f24f9cfcf4ca4p-7, -0x1.e8548e30c5847p-7, -0x1.de86bcc67b9b6p-7, -0x1.d4e579fdb0507p-7, -0x1.cb70191b89fb3p-7, -0x1.c225ef6823c16p-7, -0x1.b906542bc9adep-7, -0x1.b010a0ac4172ep-7, -0x1.a7443029d80f1p-7, -0x1.9ea05fdca656ep-7, -0x1.96248ef17190ap-7, -0x1.8dd01e86bd535p-7, -0x1.85a271a9b4948p-7, -0x1.7d9aed53141efp-7, -0x1.75b8f863e25eap-7, -0x1.6dfbfba25ca7dp-7, -0x1.666361b699e6ap-7, -0x1.5eee972735c1p-7, -0x1.579d0a561aaddp-7, -0x1.506e2b7cef2a6p-7, -0x1.49616ca9d1bfp-7, -0x1.427641bbc633ep-7, -0x1.3bac205f4c4a7p-7, -0x1.3502800ac3a84p-7, -0x1.2e78d9faeb33bp-7, -0x1.280ea92f4b77dp-7, -0x1.21c36a6690259p-7, -0x1.1b969c1af818fp-7, -0x1.1587be7e95a8bp-7, -0x1.0f965377b14dp-7, -0x1.09c1de9d150d3p-7, -0x1.0409e5324ab35p-7, -0x1.fcdbdc47e2278p-8, -0x1.f1db0407ded49p-8, -0x1.e710560b74e56p-8, -0x1.dc7ae9f50719fp-8, -0x1.d219da9b0615ep-8, -0x1.c7ec460041fe1p-8, -0x1.bdf14d4c4830cp-8, -0x1.b42814c3e6258p-8, -0x1.aa8fc3c16fc83p-8, -0x1.a12784ad23f2cp-8, -0x1.97ee84f5a4e2dp-8, -0x1.8ee3f5082106cp-8, -0x1.86070848e2d05p-8, -0x1.7d56f50b91fedp-8, -0x1.74d2f48ba11a6p-8, -0x1.6c7a42e49928ap-8, -0x1.644c1f0a9462ap-8, -0x1.5c47cac28a313p-8, -0x1.546c8a9ad1c4ep-8, -0x1.4cb9a5e37b4dp-8, -0x1.452e66a6bf236p-8, -0x1.3dca19a17be2fp-8, -0x1.368c0e3b9c91dp-8, -0x1.2f739680c210dp-8, -0x1.288007187bf42p-8, -0x1.21b0b73f2c7eap-8, -0x1.1b0500be552ecp-8, -0x1.147c3fe54bb89p-8, -0x1.0e15d381d009p-8, -0x1.07d11cd8b7ae5p-8, -0x1.01ad7f9eae141p-8, -0x1.f754c3e181e9fp-9, -0x1.eb8e589a85dc6p-9, -0x1.e0069319327c7p-9, -0x1.d4bc4db3d2db5p-9, -0x1.c9ae67582c1f3p-9, -0x1.bedbc37d3be8bp-9, -0x1.b4434a15094c1p-9, -0x1.a9e3e77ea1b2fp-9, -0x1.9fbc8c7830c41p-9, -0x1.95cc2e10f293p-9, -0x1.8c11c59ba8fb1p-9, -0x1.828c50a0a8441p-9, -0x1.793ad0d073e5bp-9, -0x1.701c4bf606d85p-9, -0x1.672fcbe98d0e3p-9, -0x1.5e745e82f6a3cp-9, -0x1.55e9158cbedb5p-9, -0x1.4d8d06b6d0ee6p-9, -0x1.455f4b8972805p-9, -0x1.3d5f015849168p-9, -0x1.358b4935a16e2p-9, -0x1.2de347e58c08bp-9, -0x1.266625d149198p-9, -0x1.1f130efabe94dp-9, -0x1.17e932f00d352p-9, -0x1.10e7c4bf28519p-9, -0x1.0a0dfae9b0216p-9, -0x1.035b0f58bb1c6p-9, -0x1.f99c7ea1e9d8ep-10, -0x1.eccd96cd288e4p-10, -0x1.e047eee331ab5p-10, -0x1.d40a15042d3f5p-10, -0x1.c8129da94c1b4p-10, -0x1.bc60238ddba14p-10, -0x1.b0f147985cf41p-10, -0x1.a5c4b0c42e859p-10, -0x1.9ad90c0b173e2p-10, -0x1.902d0c4f4a1cfp-10, -0x1.85bf6a459a426p-10, -0x1.7b8ee45f93f4bp-10, -0x1.719a3eb644289p-10, -0x1.67e042f5144d8p-10, -0x1.5e5fc0448693fp-10, -0x1.55178b35b19adp-10, -0x1.4c067dad93945p-10, -0x1.432b76d0afba3p-10, -0x1.3a855aef1c58fp-10, -0x1.3213137088f98p-10, -0x1.29d38ec0923abp-10, -0x1.21c5c03b3651ap-10, -0x1.19e8a019b11ecp-10, -0x1.123b2b5f56034p-10, -0x1.0abc63c70cf6fp-10, -0x1.036b4fb03db44p-10, -0x1.f88df419f3f0cp-11, -0x1.ea9ce49e9171dp-11, -0x1.dd0198af6115ep-11, -0x1.cfba40c5f9c9ep-11, -0x1.c2c515f268c4dp-11, -0x1.b62059b7a46ep-11, -0x1.a9ca55e9dbf8ap-11, -0x1.9dc15c8c93345p-11, -0x1.9203c7b110552p-11, -0x1.868ff95586a85p-11, -0x1.7b645b448223cp-11, -0x1.707f5ef478c9p-11, -0x1.65df7d684e1abp-11, -0x1.5b83370ff9b27p-11, -0x1.516913a9594c4p-11, -0x1.478fa221be9fp-11, -0x1.3df57877b0527p-11, -0x1.3499339d2c362p-11, -0x1.2b79775a47254p-11, -0x1.2294ee3011982p-11, -0x1.19ea493c1f04p-11, -0x1.1178401c2e8eep-11, -0x1.093d90d21cf18p-11, -0x1.0138ffa8c016cp-11, -0x1.f2d2ae3110d02p-12, -0x1.e39acf59966d6p-12, -0x1.d4c80fd2fc5d6p-12, -0x1.c6582861b40a7p-12, -0x1.b848dd546c4d9p-12, -0x1.aa97fe5067b5cp-12, -0x1.9d43662038337p-12, -0x1.9048fa8221249p-12, -0x1.83a6abf7de105p-12, -0x1.775a7596e5af2p-12, -0x1.6b625cd8c377bp-12, -0x1.5fbc716d14748p-12, -0x1.5466cd0b1c84dp-12, -0x1.495f934598ebfp-12, -0x1.3ea4f15d72326p-12, -0x1.34351e1667c87p-12, -0x1.2a0e598b1cae6p-12, -0x1.202eed037c70dp-12, -0x1.16952aca0c86dp-12, -0x1.0d3f6e034c283p-12, -0x1.042c1a841a30cp-12, -0x1.f6b3395508e9ep-13, -0x1.e58cd26b6f6bap-13, -0x1.d4e1fa3ed3c4bp-13, -0x1.c4afbaeb56f4ep-13, -0x1.b4f32e691f06dp-13, -0x1.a5a97e43d0854p-13, -0x1.96cfe34fd07d5p-13, -0x1.8863a563eb7f9p-13, -0x1.7a621b1084539p-13, -0x1.6cc8a95c6685bp-13, -0x1.5f94c37cd8fc4p-13, -0x1.52c3ea95aefc4p-13, -0x1.4653ad73261c9p-13, -0x1.3a41a84b66c8cp-13, -0x1.2e8b847bd31bfp-13, -0x1.232ef84bb8bbap-13, -0x1.1829c6ac5d5bdp-13, -0x1.0d79befb7f0fcp-13, -0x1.031cbcc87009fp-13, -0x1.f2214f2ed6fe2p-14, -0x1.dea6e54eae43p-14, -0x1.cbc63971dd675p-14, -0x1.b97b5fa9f8d12p-14, -0x1.a7c2822c9642bp-14, -0x1.9697e0e29eefbp-14, -0x1.85f7d0ffa0e92p-14, -0x1.75debc95f0a9bp-14, -0x1.6649223005d2ap-14, -0x1.57339468ee43bp-14, -0x1.489ab988b681cp-14, -0x1.3a7b4b20e4d9ep-14, -0x1.2cd215acd0112p-14, -0x1.1f9bf82ebb941p-14, -0x1.12d5e3d611f44p-14, -0x1.067cdb9f886f5p-14, -0x1.f51be7f986a9cp-15, -0x1.de0ca4f46b17bp-15, -0x1.c7c65acde00d2p-15, -0x1.b24396ffb1de1p-15, -0x1.9d7f073455cadp-15, -0x1.897378a083b69p-15, -0x1.761bd760f5a25p-15, -0x1.63732dd7ebb56p-15, -0x1.5174a413fa2c8p-15, -0x1.401b7f2db1c61p-15, -0x1.2f6320b786f3fp-15, -0x1.1f470622b5148p-15, -0x1.0fc2c82e4d1cp-15, -0x1.00d21a57ee76cp-15, -0x1.e4e1949a34f74p-16, -0x1.c9357ec1da182p-16, -0x1.ae97f403a10b1p-16, -0x1.9501266ddaf5dp-16, -0x1.7c69782ffa7bbp-16, -0x1.64c97aa1fd5a9p-16, -0x1.4e19ed3e75235p-16, -0x1.3853bcae88192p-16, -0x1.237001d367638p-16, -0x1.0f6800d84a6f3p-16, -0x1.f86a50825e2bfp-17, -0x1.d3a2201d02fd8p-17, -0x1.b06af19bcbefdp-17, -0x1.8eb8958931b61p-17, -0x1.6e7f2a244cf1ep-17, -0x1.4fb319b1404adp-17, -0x1.324918d935c1cp-17, -0x1.163625097e395p-17, -0x1.f6df05c7b33f7p-18, -0x1.c3d5795925e94p-18, -0x1.933b418d8140fp-18, -0x1.64fc806b7291dp-18, -0x1.3905da587ad5bp-18, -0x1.0f44731be4c2fp-18, -0x1.cf4bd66dcd3acp-19, -0x1.8430b9e42d25p-19, -0x1.3d14b3b1d041fp-19, -0x1.f3ab9fc0f4c15p-20, -0x1.74a5fc798782ep-20, -0x1.f9b035acc5b0cp-21, -0x1.18069687641f9p-21, -0x1.0f543fb5f85p-23, 0x1.06b653d4a4665p-22, 0x1.3dfdb5ae0adcbp-21, 0x1.ec8317789d11cp-21, 0x1.47ac657f98ffbp-20, 0x1.9374aa9154f3bp-20, 0x1.d9ce2ab24c05dp-20, 0x1.0d75a5d34dd34p-19, 0x1.2b7e88ae8d1a5p-19, 0x1.47199315dda1fp-19, 0x1.605df177d8131p-19, 0x1.77622b5a86bffp-19, 0x1.8c3c2759da909p-19, 0x1.9f012ecaa099fp-19, 0x1.afc5f17f2c2d1p-19, 0x1.be9e89645b266p-19, 0x1.cb9e7e0d078b3p-19, 0x1.d6d8c81d6f44p-19, 0x1.e05fd4c7f16f6p-19, 0x1.e8458910da2b2p-19, 0x1.ee9b4518b6195p-19, 0x1.f371e74be9942p-19, 0x1.f6d9cf7fbc268p-19, 0x1.f8e2e20ae15e4p-19, 0x1.f99c8abdc46ddp-19, 0x1.f915bfbf28415p-19, 0x1.f75d04a19438ep-19, 0x1.f4806cf10e35cp-19, 0x1.f08d9f27ab9d8p-19, 0x1.eb91d72fbab2fp-19, 0x1.e599e93ed29b2p-19, 0x1.deb2442d0791fp-19, 0x1.d6e6f42a74371p-19, 0x1.ce43a5252ab22p-19, 0x1.c4d3a52727fb1p-19, 0x1.baa1e6cb72571p-19, 0x1.afb9038256992p-19, 0x1.a4233dc81cdc1p-19, 0x1.97ea8374942bep-19, 0x1.8b186fd1b2fcep-19, 0x1.7db64dbf998abp-19, 0x1.6fcd19c962421p-19, 0x1.61658427a5d91p-19, 0x1.5287f2b2f8278p-19, 0x1.433c82f0643cfp-19, 0x1.338b0bc7b4f81p-19, 0x1.237b1f8b9b6cap-19, 0x1.13140da84b7a9p-19, 0x1.025ce47c0fe4bp-19, 0x1.e2b8e5fde595fp-20, 0x1.c03295087a116p-20, 0x1.9d3380b167d9p-20, 0x1.79c7dec7cb8c5p-20, 0x1.55fb7364ccafep-20, 0x1.31d99418762c4p-20, 0x1.0d6d2ade601b2p-20, 0x1.d1817213c5c98p-21, 0x1.87bcb47b0b45cp-21, 0x1.3d9f8e32d5b3p-21, 0x1.e679603759b68p-22, 0x1.514c2027dcb5fp-22, 0x1.77b3b83bc13b8p-23, 0x1.321d96dba12bfp-25, -0x1.bd5a530d7bff2p-24, -0x1.04d6810dbe41p-22, -0x1.9a1edd110644fp-22, -0x1.1789d73048af3p-21, -0x1.61cd164493aaep-21, -0x1.abcc5c1cfa2cap-21, -0x1.f57b691efcb09p-21, -0x1.1f6744dc5e18p-20, -0x1.43dd491c90b32p-20, -0x1.681a6d5d90147p-20, -0x1.8c199da13460bp-20, -0x1.afd603fb3a543p-20, -0x1.d34b06a65470fp-20, -0x1.f67446457a79cp-20, -0x1.0ca6ce04bb28ap-19, -0x1.1de98c0103fd3p-19, -0x1.2f007fb68bc3dp-19, -0x1.3fe9e585f35e5p-19, -0x1.50a412c833bf8p-19, -0x1.612d7500c837bp-19, -0x1.718491203e8afp-19, -0x1.81a802c213606p-19, -0x1.91967b72bfdc5p-19, -0x1.a14ec1fde27c1p-19, -0x1.b0cfb1bcd578cp-19, -0x1.c01839e7b1702p-19, -0x1.cf275cf404642p-19, -0x1.ddfc2fe99dfedp-19, -0x1.ec95d9ce22bcep-19, -0x1.faf392ff754f7p-19, -0x1.048a52525655bp-18, -0x1.0b7c340bd3a74p-18, -0x1.124f232afc546p-18, -0x1.1902dbbbc5599p-18, -0x1.1f972113bfb47p-18, -0x1.260bbd8e50eb7p-18, -0x1.2c60824d31221p-18, -0x1.329546fd2a1b8p-18, -0x1.38a9e9928a45bp-18, -0x1.3e9e4e14e2cc6p-18, -0x1.44725e6051748p-18, -0x1.4a2609f0c9166p-18, -0x1.4fb945a9c4143p-18, -0x1.552c0ba1230c9p-18, -0x1.5a7e5aee4342fp-18, -0x1.5fb03772ff6fp-18, -0x1.64c1a9b100a2bp-18, -0x1.69b2be94a1e31p-18, -0x1.6e83874a9cb66p-18, -0x1.733419118530fp-18, -0x1.77c48d0f9bb1fp-18, -0x1.7c350027887b8p-18, -0x1.808592cf83dabp-18, -0x1.84b668e8c0e3ap-18, -0x1.88c7a99bd0b7ap-18, -0x1.8cb97f2e71163p-18, -0x1.908c16e2492c4p-18, -0x1.943fa0d0bb4cp-18, -0x1.97d44fc815b48p-18, -0x1.9b4a5929f325cp-18, -0x1.9ea1f4cc7d088p-18, -0x1.a1db5cd91fe25p-18, -0x1.a4f6cdaeacde8p-18, -0x1.a7f485c5283aap-18, -0x1.aad4c58e78b95p-18, -0x1.ad97cf5d1024fp-18, -0x1.b03de7485adafp-18, -0x1.b2c753112e2fdp-18, -0x1.b5345a0b44674p-18, -0x1.b78545026141ap-18, -0x1.b9ba5e241ae91p-18, -0x1.bbd3f0e82d9c9p-18, -0x1.bdd249fa40ddfp-18, -0x1.bfb5b7250f25bp-18, -0x1.c17e873d3315dp-18, -0x1.c32d0a0cbddbep-18, -0x1.c4c1904074b2bp-18, -0x1.c63c6b54bffd4p-18, -0x1.c79ded834597dp-18, -0x1.c8e669b1684d4p-18, -0x1.ca16335fd310bp-18, -0x1.cb2d9e996361ep-18, -0x1.cc2cffe430201p-18, -0x1.cd14ac3184992p-18, -0x1.cde4f8cfb5286p-18, -0x1.ce9e3b5b6f893p-18, -0x1.cf40c9b2c6bfdp-18, -0x1.cfccf9e693da3p-18, -0x1.d0432230187cap-18, -0x1.d0a398e263182p-18, -0x1.d0eeb4600cd9p-18, -0x1.d124cb0ef9b4cp-18, -0x1.d146334ec3492p-18, -0x1.d153436c52004p-18, -0x1.d14c5199756d6p-18, -0x1.d131b3e26bc17p-18, -0x1.d103c02492febp-18, -0x1.d0c2cc05ffe38p-18, -0x1.d06f2cec3a5b6p-18, -0x1.d00937f51e267p-18, -0x1.cf9141ed93414p-18, -0x1.cf079f4b438dp-18, -0x1.ce6ca424d7bffp-18, -0x1.cdc0a42b43d97p-18, -0x1.cd03f2a30eaf8p-18, -0x1.cc36e25e5e58ap-18, -0x1.cb59c5b6b3982p-18, -0x1.ca6cee86ed0e8p-18, -0x1.c970ae2693dd2p-18, -0x1.c86555646571ap-18, -0x1.c74b3481427c4p-18, -0x1.c6229b2bae97cp-18, -0x1.c4ebd87b8c785p-18, -0x1.c3a73aed42c83p-18, -0x1.c255105f073ffp-18, -0x1.c0f5a60ba9df7p-18, -0x1.bf89488829857p-18, -0x1.be1043c011d16p-18, -0x1.bc8ae2f208938p-18, -0x1.baf970adb8dc8p-18, -0x1.b95c36d022bfbp-18, -0x1.b7b37e81b077dp-18, -0x1.b5ff9033633b2p-18, -0x1.b440b39d50b79p-18, -0x1.b2772fbbb71d3p-18, -0x1.b0a34acde1361p-18, -0x1.aec54a54075fdp-18, -0x1.acdd730e01c6p-18, -0x1.aaec08f93d3fp-18, -0x1.a8f14f5051cddp-18, -0x1.a6ed88897291ep-18, -0x1.a4e0f65517122p-18, -0x1.a2cbd99d9bd5ep-18, -0x1.a0ae72862cd39p-18, -0x1.9e89006a6b838p-18, -0x1.9c5bc1dd66dadp-18, -0x1.9a26f4a975897p-18, -0x1.97ead5cfde113p-18, -0x1.95a7a1889f6e7p-18, -0x1.935d934259bf8p-18, -0x1.910ce5a267ebcp-18, -0x1.8eb5d284774c8p-18, -0x1.8c5892fabf046p-18, -0x1.89f55f4e9c817p-18, -0x1.878c6f00c919bp-18, -0x1.851df8c98b0acp-18, -0x1.82aa3298f8ec2p-18, -0x1.80315197c0d9fp-18, -0x1.7db38a2851e92p-18, -0x1.7b310fe682838p-18, -0x1.78aa15a88fc76p-18, -0x1.761ecd8056422p-18, -0x1.738f68bbb63e4p-18, -0x1.70fc17e5bae91p-18, -0x1.6e650ac782594p-18, -0x1.6bca706922202p-18, -0x1.692c77128ddfp-18, -0x1.668b4c4cf7352p-18, -0x1.63e71ce3b8a83p-18, -0x1.614014e5c92b8p-18, -0x1.5e965fa6c6bd4p-18, -0x1.5bea27c027a2bp-18, -0x1.593b9712797a5p-18, -0x1.568ad6c6d882ap-18, -0x1.53d80f5026e42p-18, -0x1.5123686c8ce7p-18, -0x1.4e6d0926ebe76p-18, -0x1.4bb517d823beap-18, -0x1.48fbba2881f7fp-18, -0x1.46411511632cp-18, -0x1.43854cdeb5cedp-18, -0x1.40c8853063eaep-18, -0x1.3e0ae0fbea65ap-18, -0x1.3b4c828e05991p-18, -0x1.388d8b8c05702p-18, -0x1.35ce1cf56f0c4p-18, -0x1.330e5725c59d8p-18, -0x1.304e59d65fap-18, -0x1.2d8e441f7a1e3p-18, -0x1.2ace347a2469dp-18, -0x1.280e48c1be033p-18, -0x1.254e9e3614c3p-18, -0x1.228f517c98f82p-18, -0x1.1fd07ea246d25p-18, -0x1.1d12411d146f5p-18, -0x1.1a54b3cdd8638p-18, -0x1.1797f1020c84bp-18, -0x1.14dc12754657dp-18, -0x1.12213152fa259p-18, -0x1.0f67663839729p-18, -0x1.0caec935712d8p-18, -0x1.09f771d0013dep-18, -0x1.07417703ea447p-18, -0x1.048cef458494bp-18, -0x1.01d9f0833c5ecp-18, -0x1.fe51204e7d246p-19, -0x1.f8f1c63262917p-19, -0x1.f395fb7f84cafp-19, -0x1.ee3de80514bc5p-19, -0x1.e8e9b296de15ep-19, -0x1.e3998110ff094p-19, -0x1.de4d785b2a6dp-19, -0x1.d905bc6be2619p-19, -0x1.d3c2704bae59dp-19, -0x1.ce83b618fbc56p-19, -0x1.c949af0a8ca47p-19, -0x1.c4147b730d41ap-19, -0x1.bee43ac465e5dp-19, -0x1.b9b90b92df958p-19, -0x1.b4930b986b648p-19, -0x1.af7257b77fb7dp-19, -0x1.aa570bfe729f8p-19, -0x1.a54143aaf59f7p-19, -0x1.a031192cd33cep-19, -0x1.9b26a628e6315p-19, -0x1.9622037bfe2afp-19, -0x1.9123493ecc924p-19, -0x1.8c2a8ec848bd5p-19, -0x1.8737eab0913b1p-19, -0x1.824b72d467089p-19, -0x1.7d653c57b98b3p-19, -0x1.78855ba8b43ebp-19, -0x1.73abe48292be8p-19, -0x1.6ed8e9f0a9d6fp-19, -0x1.6a0c7e5141e5dp-19, -0x1.6546b35883accp-19, -0x1.60879a12e496cp-19, -0x1.5bcf42e8138bp-19, -0x1.571dbd9dd6c22p-19, -0x1.5273195af3fcap-19, -0x1.4dcf64a99cc81p-19, -0x1.4932ad7a23facp-19, -0x1.449d0125b0e0bp-19, -0x1.400e6c70d0f9dp-19, -0x1.3b86fb8e42c95p-19, -0x1.3706ba20f6e2bp-19, -0x1.328db33fc1e29p-19, -0x1.2e1bf176a0672p-19, -0x1.29b17ec9b6553p-19, -0x1.254e64b7bdffcp-19, -0x1.20f2ac3ce690cp-19, -0x1.1c9e5dd46f0dep-19, -0x1.1851817ba2bb3p-19, -0x1.140c1eb400342p-19, -0x1.0fce3c85623eap-19, -0x1.0b97e180ac0dap-19, -0x1.076913c1bbe49p-19, -0x1.0341d8f1ed447p-19, -0x1.fe446c93aabfbp-20, -0x1.f6146128275bdp-20, -0x1.edf3985e720d1p-20, -0x1.e5e21a1f9a97bp-20, -0x1.dddfed852a205p-20, -0x1.d5ed18dd4fee5p-20, -0x1.ce09a1ae9e586p-20, -0x1.c6358cbc1e297p-20, -0x1.be70de0a11443p-20, -0x1.b6bb98e1a77d5p-20, -0x1.af15bfd3d741bp-20, -0x1.a77f54bea0326p-20, -0x1.9ff858cff88b5p-20, -0x1.9880cc8a5d0bfp-20, -0x1.9118afc7da08dp-20, -0x1.89c001bd147d7p-20, -0x1.8276c0febd152p-20, -0x1.7b3ceb83bab94p-20, -0x1.74127ea91a387p-20, -0x1.6cf7773528a37p-20, -0x1.65ebd15b62f46p-20, -0x1.5eef88bfeb80ap-20, -0x1.58029879bc988p-20, -0x1.5124fb16e8e36p-20, -0x1.4a56aaa008beep-20, -0x1.4397a09ab45a7p-20, -0x1.3ce7d60d24f85p-20, -0x1.36474380e1c3bp-20, -0x1.2fb5e10616213p-20, -0x1.2933a636097bbp-20, -0x1.22c08a36b74cbp-20, -0x1.1c5c83bddba35p-20, -0x1.160789135e42bp-20, -0x1.0fc1901385421p-20, -0x1.098a8e32e7d15p-20, -0x1.03627880a4c41p-20, -0x1.fa928752428dcp-21, -0x1.ee7dc7f050064p-21, -0x1.e2869ab89d4f4p-21, -0x1.d6ace6d2fc9fbp-21, -0x1.caf092b5789aep-21, -0x1.bf518429e766ap-21, -0x1.b3cfa053e1233p-21, -0x1.a86acbb4552ebp-21, -0x1.9d22ea2eacb51p-21, -0x1.91f7df0d2b53bp-21, -0x1.86e98d068af26p-21, -0x1.7bf7d640f08adp-21, -0x1.71229c565305ep-21, -0x1.6669c05b26f0ep-21, -0x1.5bcd22e02d0adp-21, -0x1.514ca3f7f997dp-21, -0x1.46e823397edbdp-21, -0x1.3c9f7fc678f06p-21, -0x1.3272984cf76p-21, -0x1.28614b0e07035p-21, -0x1.1e6b75df92145p-21, -0x1.1490f62f0106ep-21, -0x1.0ad1a907a09adp-21, -0x1.012d6b15d0be8p-21, -0x1.ef483152f32f1p-22, -0x1.dc6b1b728914fp-22, -0x1.c9c34bcf3e673p-22, -0x1.b750790b35023p-22, -0x1.a5125928f5fdp-22, }}, 
      {{-0x1.1f2790ff15a7p-7, -0x1.1f262737f80aep-6, -0x1.aedb405efc0f2p-6, -0x1.1f85c07941127p-5, -0x1.681a82af262a7p-5, -0x1.b17072f668cd7p-5, -0x1.fbc56e47f5bf8p-5, -0x1.23a3eb0aa6e36p-4, -0x1.4a087f0ad80fdp-4, -0x1.7111301060294p-4, -0x1.98b2a8f2ca10ap-4, -0x1.c0d67bd80f482p-4, -0x1.e95cff5aba56dp-4, -0x1.090fde81e4e27p-3, -0x1.1d7a0bc9bf3bp-3, -0x1.31d6ed43798fep-3, -0x1.4610bd2f3effcp-3, -0x1.5a12f304580a4p-3, -0x1.6dcaefbb464e7p-3, -0x1.8128707474408p-3, -0x1.941dced6d6d9fp-3, -0x1.a6a01871cdad7p-3, -0x1.b8a70689d4f88p-3, -0x1.ca2cdec576d3ep-3, -0x1.db2e43c82ed5dp-3, -0x1.eba9fb511c46ap-3, -0x1.fba0ae2351bbep-3, -0x1.058a5276281e5p-2, -0x1.0d04c2468f112p-2, -0x1.144205c8fd05bp-2, -0x1.1b44e91b89192p-2, -0x1.221087043264cp-2, -0x1.28a82cf694347p-2, -0x1.2f0f419e0aad4p-2, -0x1.35492e2430e68p-2, -0x1.3b594a567d38dp-2, -0x1.4142cbb9bd3e8p-2, -0x1.4708b78788f72p-2, -0x1.4cadd780bf5b7p-2, -0x1.5234b1715e139p-2, -0x1.579f8135bd679p-2, -0x1.5cf03507d89e1p-2, -0x1.62286bd4bbcf7p-2, -0x1.6749755678776p-2, -0x1.6c5453ade18bap-2, -0x1.7149be386dbf3p-2, -0x1.762a25619a882p-2, -0x1.7af5b733a663dp-2, -0x1.7fac6470fc299p-2, -0x1.844de605d02d5p-2, -0x1.88d9c2a804d75p-2, -0x1.8d4f5481e3c31p-2, -0x1.91adcecaa2b2fp-2, -0x1.95f4433597362p-2, -0x1.9a21a7267436ap-2, -0x1.9e34d89dce1f6p-2, -0x1.a22ca2d54e244p-2, -0x1.a607c286a4ac7p-2, -0x1.a9c4e9db3376dp-2, -0x1.ad62c404caf1ap-2, -0x1.b0dff881ac68cp-2, -0x1.b43b2e0f5be96p-2, -0x1.b7730d50c2269p-2, -0x1.ba86432ca7debp-2, -0x1.bd7382e9f344dp-2, -0x1.c039880f0b17ap-2, -0x1.c2d71809beab3p-2, -0x1.c54b03a4b63f3p-2, -0x1.c794284f347d1p-2, -0x1.c9b1713b73beep-2, -0x1.cba1d85793fe9p-2, -0x1.cd64672488991p-2, -0x1.cef8376e1dfaep-2, -0x1.d05c73e6bb31ep-2, -0x1.d19058a92e7d1p-2, -0x1.d29333a27c6dp-2, -0x1.d36464e5633c9p-2, -0x1.d4035ee9043f8p-2, -0x1.d46fa6b3f6ab6p-2, -0x1.d4a8d3f4d4d6ap-2, -0x1.d4ae910944579p-2, -0x1.d4809af45083cp-2, -0x1.d41ec144eed04p-2, -0x1.d388e5ed6db6bp-2, -0x1.d2befd0c91633p-2, -0x1.d1c10ca91c9c6p-2, -0x1.d08f2c608c3e5p-2, -0x1.cf298509c1857p-2, -0x1.cd90504c6f96ap-2, -0x1.cbc3d82e15415p-2, -0x1.c9c476955fc4ap-2, -0x1.c79294c4cb042p-2, -0x1.c52eaacd67d4p-2, -0x1.c2993efaa606ep-2, -0x1.bfd2e53808409p-2, -0x1.bcdc3e71ac6a7p-2, -0x1.b9b5f7f088335p-2, -0x1.b660cab340119p-2, -0x1.b2dd7ac477515p-2, -0x1.af2cd68f6c496p-2, -0x1.ab4fb633b98b1p-2, -0x1.a746fad8ffc28p-2, -0x1.a3138e033808bp-2, -0x1.9eb660e8659d2p-2, -0x1.9a306bc84e97fp-2, -0x1.9582ad46d581ep-2, -0x1.90ae29c98c70cp-2, -0x1.8bb3ead8f865bp-2, -0x1.8694fe86086f2p-2, -0x1.815276d41f8cfp-2, -0x1.7bed69280d42bp-2, -0x1.7666edbc4c5d1p-2, -0x1.70c01f1aba7e7p-2, -0x1.6afa199c0d7f3p-2, -0x1.6515faed2256cp-2, -0x1.5f14e19a4d234p-2, -0x1.58f7eca0b62e5p-2, -0x1.52c03b05d354fp-2, -0x1.4c6eeb74f88aep-2, -0x1.46051be2f6addp-2, -0x1.3f83e937bd384p-2, -0x1.38ec6efddba6cp-2, -0x1.323fc717cf334p-2, -0x1.2b7f097af00bep-2, -0x1.24ab4befd7516p-2, -0x1.1dc5a1d80d0a3p-2, -0x1.16cf1bf8d443ep-2, -0x1.0fc8c84ad2881p-2, -0x1.08b3b1ce678bdp-2, -0x1.0190e0647471ep-2, -0x1.f4c2b156b58b9p-3, -0x1.e64c37bff1617p-3, -0x1.d7c04f84c0dfbp-3, -0x1.c920ecfc2ba9ap-3, -0x1.ba6ffd2b25d77p-3, -0x1.abaf65a1b3729p-3, -0x1.9ce1045dad9f5p-3, -0x1.8e06afb2bfe73p-3, -0x1.7f2236372fb01p-3, -0x1.70355eb4f8024p-3, -0x1.6141e81ee991dp-3, -0x1.524989895304dp-3, -0x1.434df225eb187p-3, -0x1.3450c94294d97p-3, -0x1.2553ae4ab4eddp-3, -0x1.165838cabffa4p-3, -0x1.075ff875bca58p-3, -0x1.f0d8ea58ee833p-4, -0x1.d2fe5e0c3df4bp-4, -0x1.b5333cb4411a3p-4, -0x1.977a6795dca5ap-4, -0x1.79d6b0a34a7ddp-4, -0x1.5c4ada94865bep-4, -0x1.3ed99900b6db4p-4, -0x1.2185907835bf4p-4, -0x1.0451569efbcb3p-4, -0x1.ce7ee48e696d3p-5, -0x1.94a4b7179b59fp-5, -0x1.5b18f7d5b05acp-5, -0x1.21e05cbf249f5p-5, -0x1.d1fefdf002f3p-6, -0x1.60f5b607e89dfp-6, -0x1.e15b43dccc586p-7, -0x1.025e92983a1bfp-7, -0x1.282fba63efc71p-10, 0x1.6d3cbd20033c5p-8, 0x1.907eae6d9e03ep-7, 0x1.3445d2fe14bcfp-6, 0x1.9f5b304472648p-6, 0x1.04bc199871c5p-5, 0x1.394aeb0f770c3p-5, 0x1.6d56a4aa81bbfp-5, 0x1.a0dbf95e88ea1p-5, 0x1.d3d7b6cf62059p-5, 0x1.03236296d6157p-4, 0x1.1c13138ab14cbp-4, 0x1.34b97cb66e775p-4, 0x1.4d1539a21bf09p-4, 0x1.6524f2da75285p-4, 0x1.7ce75de0aca39p-4, 0x1.945b3d1a2bc99p-4, 0x1.ab7f5fc029b3p-4, 0x1.c252a1cf0f4efp-4, 0x1.d8d3ebf597461p-4, 0x1.ef0233838a4b2p-4, 0x1.026e3d2c0c5d5p-3, 0x1.0d30e767d79d7p-3, 0x1.17c8a5d8a3b5bp-3, 0x1.22350c0d85353p-3, 0x1.2c75b3b72fca5p-3, 0x1.368a3c9d9dc15p-3, 0x1.40724c95533d6p-3, 0x1.4a2d8f743e0bap-3, 0x1.53bbb70626a19p-3, 0x1.5d1c7b00b165fp-3, 0x1.664f98f6ea1b3p-3, 0x1.6f54d44c596cp-3, 0x1.782bf627a114dp-3, 0x1.80d4cd64925a3p-3, 0x1.894f2e85d1446p-3, 0x1.919af3a5ebff5p-3, 0x1.99b7fc67f5538p-3, 0x1.a1a62de79f92ep-3, 0x1.a96572a8d395ap-3, 0x1.b0f5ba86c3c58p-3, 0x1.b856faa285c63p-3, 0x1.bf892d51266aep-3, 0x1.c68c52093fe27p-3, 0x1.cd606d501ae72p-3, 0x1.d40588a653e7bp-3, 0x1.da7bb27405ec9p-3, 0x1.e0c2fdf48bef4p-3, 0x1.e6db8321cb72fp-3, 0x1.ecc55e9f17511p-3, 0x1.f280b1a3a9da3p-3, 0x1.f80da1e4b64a4p-3, 0x1.fd6c597f1fa2fp-3, 0x1.014e83706d1ap-2, 0x1.03cfee58f46e8p-2, 0x1.063a88de8d7cfp-2, 0x1.088e706c3618cp-2, 0x1.0acbc466958bbp-2, 0x1.0cf2a61feaf51p-2, 0x1.0f0338cbdf12ep-2, 0x1.10fda1733822ap-2, 0x1.12e206e778a59p-2, 0x1.14b091b66665ep-2, 0x1.16696c1d7a9c2p-2, 0x1.180cc1fd47f81p-2, 0x1.199ac0cccdbf8p-2, 0x1.1b13978cbe2c4p-2, 0x1.1c7776bac307dp-2, 0x1.1dc69044b2e23p-2, 0x1.1f01177bcc007p-2, 0x1.20274107eae5ap-2, 0x1.213942dabffa2p-2, 0x1.223754230fc13p-2, 0x1.2321ad3ff30f1p-2, 0x1.23f887b428654p-2, 0x1.24bc1e1967824p-2, 0x1.256cac13cc40ap-2, 0x1.260a6e454dc63p-2, 0x1.2695a24145891p-2, 0x1.270e868012799p-2, 0x1.27755a52cd54p-2, 0x1.27ca5dd715934p-2, 0x1.280dd1eaff5f1p-2, 0x1.283ff82114d52p-2, 0x1.286112b47f573p-2, 0x1.2871647d49eb7p-2, 0x1.287130e4cba1ap-2, 0x1.2860bbda30c28p-2, 0x1.284049c72ce59p-2, 0x1.28101f84d269p-2, 0x1.27d08250902d3p-2, 0x1.2781b7c15d0d1p-2, 0x1.272405bd08b96p-2, 0x1.26b7b26dbb31cp-2, 0x1.263d0437a26c5p-2, 0x1.25b441aecc685p-2, 0x1.251db18d2e1d8p-2, 0x1.24799aa8df31cp-2, 0x1.23c843ea836c9p-2, 0x1.2309f443e48b3p-2, 0x1.223ef2a6c0db7p-2, 0x1.216785fbc8e5fp-2, 0x1.2083f519d5d44p-2, 0x1.1f9486bd4d23ep-2, 0x1.1e99817fbd153p-2, 0x1.1d932bcfad006p-2, 0x1.1c81cbe8a2003p-2, 0x1.1b65a7cb5711dp-2, 0x1.1a3f05362fb38p-2, 0x1.190e299dd8b09p-2, 0x1.17d35a26259f9p-2, 0x1.168edb9b1f315p-2, 0x1.1540f26a48092p-2, 0x1.13e9e29c19002p-2, 0x1.1289efcdb06bep-2, 0x1.11215d2ab9b15p-2, 0x1.0fb06d67868a3p-2, 0x1.0e3762bb5f443p-2, 0x1.0cb67edb07c6bp-2, 0x1.0b2e02f3787e9p-2, 0x1.099e2fa4c96cdp-2, 0x1.080744fd542f2p-2, 0x1.0669827504a7p-2, 0x1.04c526e8e10b6p-2, 0x1.031a7096c108cp-2, 0x1.01699d1937761p-2, 0x1.ff65d2c758d36p-3, 0x1.fbed237d53c59p-3, 0x1.f869a388ad407p-3, 0x1.f4dbc8ba40ef4p-3, 0x1.f144077929b4p-3, 0x1.eda2d2bcd453fp-3, 0x1.e9f89c0764d36p-3, 0x1.e645d360774b8p-3, 0x1.e28ae7503fcp-3, 0x1.dec844daf59a7p-3, 0x1.dafe577c9b80fp-3, 0x1.d72d892516577p-3, 0x1.d35642349a749p-3, 0x1.cf78e978639aep-3, 0x1.cb95e427bfa08p-3, 0x1.c7ad95e1667f7p-3, 0x1.c3c060a91a85fp-3, 0x1.bfcea4e5934bap-3, 0x1.bbd8c15eb2895p-3, 0x1.b7df133bfe6e6p-3, 0x1.b3e1f60360923p-3, 0x1.afe1c39827beep-3, 0x1.abded43a4d776p-3, 0x1.a7d97e85f74d7p-3, 0x1.a3d217733b113p-3, 0x1.9fc8f2561b4ccp-3, 0x1.9bbe60dec4d6bp-3, 0x1.97b2b319fbe44p-3, 0x1.93a63771c870dp-3, 0x1.8f993aae592ep-3, 0x1.8b8c07f710ad5p-3, 0x1.877ee8d3d4811p-3, 0x1.8372252e7f8d9p-3, 0x1.7f6603548920ap-3, 0x1.7b5ac7f8de2c4p-3, 0x1.7750b635e0547p-3, 0x1.73480f8f90f77p-3, 0x1.6f4113f5e66f4p-3, 0x1.6b3c01c74d4dbp-3, 0x1.673915d345be6p-3, 0x1.63388b5d2ea5fp-3, 0x1.5f3a9c1f2dc8ap-3, 0x1.5b3f804d3c009p-3, 0x1.57476e985584fp-3, 0x1.53529c31c10fcp-3, 0x1.4f613cce778f2p-3, 0x1.4b7382aaaf05dp-3, 0x1.47899e8d71bc6p-3, 0x1.43a3bfcc5d075p-3, 0x1.3fc2144f6fe28p-3, 0x1.3be4c894f30ecp-3, 0x1.380c07b571e6p-3, 0x1.3437fb67d3bafp-3, 0x1.3068cc0577dc5p-3, 0x1.2c9ea08e6f804p-3, 0x1.28d99eadc5c29p-3, 0x1.2519eabdd14ffp-3, 0x1.215fa7cc9ceffp-3, 0x1.1daaf7a057185p-3, 0x1.19fbfabbd236cp-3, 0x1.1652d0630b22cp-3, 0x1.12af969fbf657p-3, 0x1.0f126a4608c74p-3, 0x1.0b7b66f9028bap-3, 0x1.07eaa72f74d4cp-3, 0x1.0460443888d28p-3, 0x1.00dc56408077p-3, 0x1.fabde8aadfd99p-4, 0x1.f3d068d80a409p-4, 0x1.ecf056c8842f1p-4, 0x1.e61dda1c95477p-4, 0x1.df59185e4b846p-4, 0x1.d8a2350b0dd0bp-4, 0x1.d1f9519d29576p-4, 0x1.cb5e8d955ed4p-4, 0x1.c4d2068471a5ap-4, 0x1.be53d814a3874p-4, 0x1.b7e41c1339148p-4, 0x1.b182ea79f1fdcp-4, 0x1.ab305978813bfp-4, 0x1.a4ec7d7de59a5p-4, 0x1.9eb76941d3d79p-4, 0x1.98912dce07178p-4, 0x1.9279da877f369p-4, 0x1.8c717d37bf76bp-4, 0x1.86782215f6a87p-4, 0x1.808dd3d019406p-4, 0x1.7ab29b93eb3dap-4, 0x1.74e68117fd38ep-4, 0x1.6f298aa49077dp-4, 0x1.697bbd1c6e569p-4, 0x1.63dd1c05aaee4p-4, 0x1.5e4da99251ebbp-4, 0x1.58cd66a903095p-4, 0x1.535c52ed76154p-4, 0x1.4dfa6cc8ea623p-4, 0x1.48a7b1727d973p-4, 0x1.43641cf773316p-4, 0x1.3e2faa4359e4bp-4, 0x1.390a53282370cp-4, 0x1.33f410661e8dap-4, 0x1.2eecd9b3d891bp-4, 0x1.29f4a5c5e8c02p-4, 0x1.250b6a56a1e77p-4, 0x1.20311c2da8627p-4, 0x1.1b65af276e0ebp-4, 0x1.16a9163c9a63p-4, 0x1.11fb43894ea18p-4, 0x1.0d5c285458463p-4, 0x1.08cbb5164234cp-4, 0x1.0449d98050165p-4, 0x1.ffad0906b365ap-5, 0x1.f6e348ad1fe4dp-5, 0x1.ee364cfc49b07p-5, 0x1.e5a5efa3abddbp-5, 0x1.dd320906bd368p-5, 0x1.d4da704997a5fp-5, 0x1.cc9efb5d7241ep-5, 0x1.c47f7f0cda979p-5, 0x1.bc7bcf07b5abfp-5, 0x1.b493bdef1afd2p-5, 0x1.acc71d60e1c11p-5, 0x1.a515be0308254p-5, 0x1.9d7f6f8edcfb2p-5, 0x1.960400dbf4443p-5, 0x1.8ea33feae69cep-5, 0x1.875cf9efd5e55p-5, 0x1.8030fb5cc6a3ep-5, 0x1.791f0febb6e74p-5, 0x1.722702a8854f6p-5, 0x1.6b489dfaaddd7p-5, 0x1.6483abaebc86dp-5, 0x1.5dd7f4ff9da6cp-5, 0x1.5745429fb462cp-5, 0x1.50cb5cc1be09dp-5, 0x1.4a6a0b217d82bp-5, 0x1.4421150c3de9bp-5, 0x1.3df041691c2ecp-5, 0x1.37d756c11e635p-5, 0x1.31d61b471f0cfp-5, 0x1.2bec54df85742p-5, 0x1.2619c927c769p-5, 0x1.205e3d7dc6cb9p-5, 0x1.1ab97706f721dp-5, 0x1.152b3ab7567fp-5, 0x1.0fb34d583b24p-5, 0x1.0a51738eef83ap-5, 0x1.050571e324c23p-5, 0x1.ff9e198a67e68p-6, 0x1.f55c1128784fep-6, 0x1.eb4453480cdf5p-6, 0x1.e1566885a48b8p-6, 0x1.d791d97dcfe2bp-6, 0x1.cdf62ed80eb7fp-6, 0x1.c482f1515e4bep-6, 0x1.bb37a9c66b46fp-6, 0x1.b213e13d87e32p-6, 0x1.a91720f04532bp-6, 0x1.a040f254be4afp-6, 0x1.9790df2696bb9p-6, 0x1.8f06716fc92bcp-6, 0x1.86a13390f260bp-6, 0x1.7e60b0499adbap-6, 0x1.764472c0076f5p-6, 0x1.6e4c0688cc9ccp-6, 0x1.6676f7ae32ca5p-6, 0x1.5ec4d2b737f6ep-6, 0x1.573524ae6cd56p-6, 0x1.4fc77b2881afdp-6, 0x1.487b644a8a1b5p-6, 0x1.41506ed01cc94p-6, 0x1.3a462a111e325p-6, 0x1.335c26075512ep-6, 0x1.2c91f353cb88ep-6, 0x1.25e72343f5c99p-6, 0x1.1f5b47d68cd7cp-6, 0x1.18edf3c04e7cbp-6, 0x1.129eba7079b3p-6, 0x1.0c6d301505676p-6, 0x1.0658e99ec6561p-6, 0x1.00617cc543fb3p-6, 0x1.f50d0014c6968p-7, 0x1.e98f157be7b9bp-7, 0x1.de486a01e4f74p-7, 0x1.d3382f912c7ffp-7, 0x1.c85d99c2eb27ap-7, 0x1.bdb7dde420cf5p-7, 0x1.b34632fb2f405p-7, 0x1.a907d1cc8c12p-7, 0x1.9efbf4df4b27ep-7, 0x1.9521d8817ef6cp-7, 0x1.8b78bacc07d44p-7, 0x1.81ffdba649f12p-7, 0x1.78b67cc9785e1p-7, 0x1.6f9be1c396e0bp-7, 0x1.66af4ffa7bc9bp-7, 0x1.5df00eae1c3cap-7, 0x1.555d66fac4c4ap-7, 0x1.4cf6a3db6163dp-7, 0x1.44bb122aeaee1p-7, 0x1.3caa00a630b68p-7, 0x1.34c2bfece2462p-7, 0x1.2d04a282dc0fcp-7, 0x1.256efcd0bedeep-7, 0x1.1e012524c4135p-7, 0x1.16ba73b30543ep-7, 0x1.0f9a4295c1a05p-7, 0x1.089fedcd5b8cfp-7, 0x1.01cad3403aa8cp-7, 0x1.f634a574c59fp-8, 0x1.e91b9bd9d57bfp-8, 0x1.dc4950daccee3p-8, 0x1.cfbc8f69bbabbp-8, 0x1.c374263df8cd1p-8, 0x1.b76ee7d1389cfp-8, 0x1.ababaa5d6f996p-8, 0x1.a02947d9bb81dp-8, 0x1.94e69df6e7a0ep-8, 0x1.89e28e1c47376p-8, 0x1.7f1bfd63d1106p-8, 0x1.7491d496349c3p-8, 0x1.6a430026860d7p-8, 0x1.602e702de90e5p-8, 0x1.56531866c1047p-8, 0x1.4caff028237a4p-8, 0x1.4343f2604af47p-8, 0x1.3a0e1d8fa3767p-8, 0x1.310d73c36ee1ep-8, 0x1.2840fa8f9b93ap-8, 0x1.1fa7bb09afb1fp-8, 0x1.1740c1c2405dfp-8, 0x1.0f0b1ebf2383cp-8, 0x1.0705e5751e7f3p-8, 0x1.fe605982b8eb6p-9, 0x1.ef121dc62eb44p-9, 0x1.e01f52e9bd68dp-9, 0x1.d1863acb995bfp-9, 0x1.c3451de5820dep-9, 0x1.b55a4b3e9956cp-9, 0x1.a7c4185d276dp-9, 0x1.9a80e138612c1p-9, 0x1.8d8f082a29da7p-9, 0x1.80ecf5dffde38p-9, 0x1.7499194c3ef5ap-9, 0x1.6891e79761292p-9, 0x1.5cd5dc10973e3p-9, 0x1.5163781f2cccdp-9, 0x1.4639433220eaap-9, 0x1.3b55cab24c24dp-9, 0x1.30b7a1f167a76p-9, 0x1.265d621b45a6fp-9, 0x1.1c45aa2634feep-9, 0x1.126f1ec2f047fp-9, 0x1.08d86a4d0b086p-9, 0x1.ff007976821c2p-10, 0x1.ecca971f0b371p-10, 0x1.db0ca38e751a4p-10, 0x1.c9c41f96796b2p-10, 0x1.b8ee96bfdbf35p-10, 0x1.a8899f2b97325p-10, 0x1.9892d971373b1p-10, 0x1.8907f08116bccp-10, 0x1.79e699835780fp-10, 0x1.6b2c93b8e434p-10, 0x1.5cd7a85ad4f94p-10, 0x1.4ee5aa7c53817p-10, 0x1.415476e99389p-10, 0x1.3421f4094ad8bp-10, 0x1.274c11bd17ae3p-10, 0x1.1ad0c94273e1bp-10, 0x1.0eae1d1329f1dp-10, 0x1.02e218c6b4b25p-10, 0x1.eed5a1e68f393p-11, 0x1.d88cc61d9420bp-11, 0x1.c2e5eaa21ed0dp-11, 0x1.addd6d285a205p-11, 0x1.996fbc6f41abfp-11, 0x1.859958018dbb1p-11, 0x1.7256cffc761c7p-11, 0x1.5fa4c4d214113p-11, 0x1.4d7fe7100001ep-11, 0x1.3be4f7232cd09p-11, 0x1.2ad0c51ebc7f6p-11, 0x1.1a4030812b06fp-11, 0x1.0a3027fbad79bp-11, 0x1.f53b52703f441p-12, 0x1.d70b8143272ep-12, 0x1.b9cb1256338e8p-12, 0x1.9d7458317b14dp-12, 0x1.8201c18f180ddp-12, 0x1.676dd8ef96addp-12, 0x1.4db3442a882a8p-12, 0x1.34ccc406b9be8p-12, 0x1.1cb533cab54c3p-12, 0x1.056788d84c75ep-12, 0x1.ddbda47d5c413p-13, 0x1.b22c70ace2e6p-13, 0x1.8811f8b40fb0fp-13, 0x1.5f64effd8911cp-13, 0x1.381c3a227c001p-13, 0x1.122eea2468a06p-13, 0x1.db28834af7a14p-14, 0x1.9487604d1555fp-14, 0x1.5069a48e17528p-14, 0x1.0ebee209eebf1p-14, 0x1.9eee04000cf5bp-15, 0x1.25048705b22bep-15, 0x1.5f44e7f8165c8p-16, 0x1.f54cbcf37937fp-18, -0x1.701cf204fc94ap-18, -0x1.2d043b160b383p-16, -0x1.f5dc7143f3b8fp-16, -0x1.5b63a70db16c7p-15, -0x1.b7fd88432c28bp-15, -0x1.086b331774a3ep-14, -0x1.33041bf43eca1p-14, -0x1.5bd6321fc3ep-14, -0x1.82ede223ac724p-14, -0x1.a85752ed44a81p-14, -0x1.cc1e6713125d4p-14, -0x1.ee4ebe05d437fp-14, -0x1.0779daa525a4ap-13, -0x1.170c34d6708cep-13, -0x1.25e3dc35a594dp-13, -0x1.3406203110868p-13, -0x1.41783197548f2p-13, -0x1.4e3f232a9c1p-13, -0x1.5a5fea2b54e84p-13, -0x1.65df5eea5dc42p-13, -0x1.70c23d4e86213p-13, -0x1.7b0d255fdab55p-13, -0x1.84c49bcf7aa03p-13, -0x1.8ded0a7837f02p-13, -0x1.968ac0e64a99ap-13, -0x1.9ea1f4d57c484p-13, -0x1.a636c2b1447b7p-13, -0x1.ad4d2e109f2a8p-13, -0x1.b3e92232d04bbp-13, -0x1.ba0e727770648p-13, -0x1.bfc0dad67833ap-13, -0x1.c50400571be93p-13, -0x1.c9db71816765ap-13, -0x1.ce4aa6d2350dfp-13, -0x1.d255032a8e158p-13, -0x1.d5fdd43e93e31p-13, -0x1.d9485300566d3p-13, -0x1.dc37a40e61bf5p-13, -0x1.deced81ac3f4fp-13, -0x1.e110ec526ffa6p-13, -0x1.e300cac459262p-13, -0x1.e4a14ac46d5f7p-13, -0x1.e5f5314f3b4f3p-13, -0x1.e6ff316ab5128p-13, -0x1.e7c1ec84c47b9p-13, -0x1.e83ff2d19bc43p-13, -0x1.e87bc3a8893fap-13, -0x1.e877cddce08b9p-13, -0x1.e8367019df915p-13, -0x1.e7b9f93616165p-13, -0x1.e704a88d1fe4fp-13, -0x1.e618ae52b8998p-13, -0x1.e4f82be666c04p-13, -0x1.e3a534244c78bp-13, -0x1.e221cbb567143p-13, -0x1.e06fe95ee1d0dp-13, -0x1.de91764f41572p-13, -0x1.dc884e6b3a8cap-13, -0x1.da564096c4ba5p-13, -0x1.d7fd0eff1d185p-13, -0x1.d57e6f635bc15p-13, -0x1.d2dc0b5ad5b2ep-13, -0x1.d0178098ec60dp-13, -0x1.cd32613425a74p-13, -0x1.ca2e33e6d61ffp-13, -0x1.c70c7450c7aa7p-13, -0x1.c3ce9338e1c1cp-13, -0x1.c075f6cb99a96p-13, -0x1.bd03fad83cf8p-13, -0x1.b979f10fa638ap-13, -0x1.b5d9213e29782p-13, -0x1.b222c98719bfap-13, -0x1.ae581e9d62f69p-13, -0x1.aa7a4bfd4ecdep-13, -0x1.a68a742208b38p-13, -0x1.a289b0bd4568bp-13, -0x1.9e7912eb25064p-13, -0x1.9a59a367615e3p-13, -0x1.962c62bf99c64p-13, -0x1.91f249858cdefp-13, -0x1.8dac4880f113p-13, -0x1.895b48de14ef2p-13, -0x1.85002c5e3a9ffp-13, -0x1.809bcd853cfccp-13, -0x1.7c2effc6f91e8p-13, -0x1.77ba8fb39d249p-13, -0x1.733f432326009p-13, -0x1.6ebdd96034d44p-13, -0x1.6a370b50acda6p-13, -0x1.65ab8ba020482p-13, -0x1.611c06e6851f5p-13, -0x1.5c8923d02aa8p-13, -0x1.57f38343a81ap-13, -0x1.535bc08746de3p-13, -0x1.4ec27166706a8p-13, -0x1.4a28265546d73p-13, -0x1.458d6a937e804p-13, -0x1.40f2c44fa4a3cp-13, -0x1.3c58b4c82da56p-13, -0x1.37bfb86cfdd14p-13, -0x1.332846ff40dfdp-13, -0x1.2e92d3b1a0f3fp-13, -0x1.29ffcd4699e8ep-13, -0x1.256f9e2f91e24p-13, -0x1.20e2aca94d6b6p-13, -0x1.1c595ada10548p-13, -0x1.17d406ed00e76p-13, -0x1.13530b2ea7bb9p-13, -0x1.0ed6be274680ep-13, -0x1.0a5f72b624aefp-13, -0x1.05ed782a9e727p-13, -0x1.01811a5e2164cp-13, -0x1.fa354398da6bap-14, -0x1.f174a758726dap-14, -0x1.e8c0e40cee067p-14, -0x1.e01a779b50279p-14, -0x1.d781d9e894108p-14, -0x1.cef77d05cff07p-14, -0x1.c67bcd5bbc9afp-14, -0x1.be0f31d46375dp-14, -0x1.b5b20c03f26d4p-14, -0x1.ad64b851f863dp-14, -0x1.a5278e1f30bbp-14, -0x1.9cfadfed4b0b8p-14, -0x1.94defb82e501bp-14, -0x1.8cd42a1146c44p-14, -0x1.84dab0571497fp-14, -0x1.7cf2cec3b6a3p-14, -0x1.751cc199331d4p-14, -0x1.6d58c10cf8d78p-14, -0x1.65a70168b1de7p-14, -0x1.5e07b3298b3d2p-14, -0x1.567b031e7f498p-14, -0x1.4f011a8839f28p-14, -0x1.479a1f33bb332p-14, -0x1.4046339892f56p-14, -0x1.390576f4a75aep-14, -0x1.31d8056762421p-14, -0x1.2abdf80b4a031p-14, -0x1.23b76510845c5p-14, -0x1.1cc45fd6b42e4p-14, -0x1.15e4f904725d3p-14, -0x1.0f193e9ebe981p-14, -0x1.08613c220fb6dp-14, -0x1.01bcfa97be3afp-14, -0x1.f6590158b146dp-15, -0x1.e95fa58ada16bp-15, -0x1.dc8de62c9e06cp-15, -0x1.cfe3c3693a93fp-15, -0x1.c361395857044p-15, -0x1.b70640243f44p-15, -0x1.aad2cc3107813p-15, -0x1.9ec6ce3fa0595p-15, -0x1.92e233921e59ep-15, -0x1.8724e60eb4999p-15, -0x1.7b8ecc624c3cbp-15, -0x1.701fca1f5b72cp-15, -0x1.64d7bfdfc4df9p-15, -0x1.59b68b630f59bp-15, -0x1.4ebc07adc518p-15, -0x1.43e80d25784ebp-15, -0x1.393a71ae09e55p-15, -0x1.2eb308c5436e1p-15, -0x1.2451a39e974efp-15, -0x1.1a16113ce6b51p-15, -0x1.10001e8b34a34p-15, -0x1.060f96775f175p-15, -0x1.f8888410fba2cp-16, -0x1.e53bd0ed3de32p-16, -0x1.d2389e84af436p-16, -0x1.bf7e749359c2ep-16, -0x1.ad0cd7bce1b8dp-16, -0x1.9ae349b47a67fp-16, -0x1.89014967268ebp-16, -0x1.7766531f5521ep-16, -0x1.6611e0ae62e93p-16, -0x1.5503698fefe2fp-16, -0x1.443a630cee0a5p-16, -0x1.33b6405f86d88p-16, -0x1.237672d31e60dp-16, -0x1.137a69e60272bp-16, -0x1.03c1936738c75p-16, -0x1.e896b72d5ab3fp-17, -0x1.ca2e5a841169bp-17, -0x1.ac48e3c149679p-17, -0x1.8ee5235ee5bafp-17, -0x1.7201e79868b75p-17, -0x1.559dfc9e0d4cp-17, -0x1.39b82cc4dcc2ap-17, -0x1.1e4f40b81ff33p-17, -0x1.0361ffab12303p-17, -0x1.d1de5f02d322ep-18, -0x1.9deb29f7cdf01p-18, -0x1.6ae7e7ca7bf58p-18, -0x1.38d21e6ce04aep-18, -0x1.07a752840d6cfp-18, -0x1.aeca0f5bd52e5p-19, -0x1.50118194dacd3p-19, -0x1.e6400115face2p-20, -0x1.2fe1216066184p-20, -0x1.f3f1b4a404905p-22, 0x1.93c089d0d14d4p-23, 0x1.bd0c9ab14a5f7p-21, 0x1.873837a0909c1p-20, 0x1.164bde4be500ap-19, 0x1.6757620123fc2p-19, 0x1.b6c39806028dfp-19, 0x1.024ab7210fea1p-18, 0x1.2868e78856fcfp-18, 0x1.4dbed074dba06p-18, 0x1.724ee300e3ee1p-18, 0x1.961b8dfd47236p-18, 0x1.b9273dc7c890cp-18, 0x1.db745c2abb485p-18, 0x1.fd055031307adp-18, 0x1.0eee3f02cc03cp-17, 0x1.1efe2368e9b67p-17, 0x1.2eb3844f75ab1p-17, 0x1.3e0f8f1b2367dp-17, 0x1.4d136f82261b1p-17, 0x1.5bc04f7f94922p-17, 0x1.6a175743b23f7p-17, 0x1.7819ad29df2bap-17, 0x1.85c875ac2694ap-17, 0x1.9324d357e4fd7p-17, 0x1.a02fe6c2d241ep-17, 0x1.aceace8222553p-17, 0x1.b956a72066113p-17, 0x1.c5748b144fb91p-17, 0x1.d14592b8c2f31p-17, 0x1.dccad444f049ep-17, 0x1.e80563c5a968fp-17, 0x1.f2f6531541872p-17, 0x1.fd9eb1d6bbc6cp-17, 0x1.03ffc6b7ad43ep-16, 0x1.090cf8800eb7bp-16, 0x1.0df772b0f039ep-16, 0x1.12bfb890094fp-16, 0x1.17664c3a8bb0cp-16, 0x1.1bebaea33fcbfp-16, 0x1.20505f909fce5p-16, 0x1.2494dd9b56243p-16, 0x1.28b9a62c704d8p-16, 0x1.2cbf357d091dep-16, 0x1.30a60694963b2p-16, 0x1.346e9348258ecp-16, 0x1.381954399ce15p-16, 0x1.3ba6c0d77847ep-16, 0x1.3f174f5beac2ep-16, 0x1.426b74cca0465p-16, 0x1.45a3a4fae4a2bp-16, 0x1.48c052831d7e2p-16, 0x1.4bc1eecd056adp-16, 0x1.4ea8ea0c23847p-16, 0x1.5175b33fa6b07p-16, 0x1.5428b832e80aap-16, 0x1.56c2657e11592p-16, 0x1.594326867b719p-16, 0x1.5bab657faf782p-16, 0x1.5dfb8b6c0b29ep-16, 0x1.6034001d9e148p-16, 0x1.62552a36fa8dbp-16, 0x1.645f6f2c6ad3bp-16, 0x1.665333451653cp-16, 0x1.6830d99c19f7bp-16, 0x1.69f8c4217d24fp-16, 0x1.6bab539c1de3ep-16, 0x1.6d48e7aaeea5fp-16, 0x1.6ed1dec6150f7p-16, 0x1.70469640a23d9p-16, 0x1.71a76a4a02446p-16, 0x1.72f4b5efe34b3p-16, 0x1.742ed31fb9f03p-16, 0x1.75561aa868fb7p-16, 0x1.766ae43be7a0cp-16, 0x1.776d867163b23p-16, 0x1.785e56c6dba1bp-16, 0x1.793da9a316302p-16, 0x1.7a0bd2576bfdfp-16, 0x1.7ac923221fc8ap-16, 0x1.7b75ed2fd7474p-16, 0x1.7c12809dd8be5p-16, 0x1.7c9f2c7c4388bp-16, 0x1.7d1c3ecfbeff6p-16, 0x1.7d8a0493e0674p-16, 0x1.7de8c9bd3b202p-16, 0x1.7e38d93b9fa9dp-16, 0x1.7e7a7cfbd2785p-16, 0x1.7eadfdea5329ap-16, 0x1.7ed3a3f5163c3p-16, 0x1.7eebb60e037cfp-16, 0x1.7ef67a2d03543p-16, 0x1.7ef43552346c6p-16, 0x1.7ee52b8855f37p-16, 0x1.7ec99fe6fa5f8p-16, 0x1.7ea1d49489ed1p-16, 0x1.7e6e0ac906f21p-16, 0x1.7e2e82cff8948p-16, 0x1.7de37c0aba622p-16, 0x1.7d8d34f2c7955p-16, 0x1.7d2beb1bfdb49p-16, 0x1.7cbfdb370a6dep-16, 0x1.7c494113c3d3ep-16, 0x1.7bc857a325d0cp-16, 0x1.7b3d58f9a839ep-16, 0x1.7aa87e51d0b2ap-16, 0x1.7a0a000e2eae1p-16, 0x1.796215bbfd2bep-16, 0x1.78b0f615012eep-16, 0x1.77f6d701dda77p-16, 0x1.7733ed9ca1bcp-16, 0x1.76686e32e19d3p-16, 0x1.75948c47c31a8p-16, 0x1.74b87a96b38bep-16, 0x1.73d46b1522f9bp-16, 0x1.72e88ef4e728dp-16, 0x1.71f516a6c13d9p-16, 0x1.70fa31dbfef27p-16, 0x1.6ff80f896a276p-16, 0x1.6eeedde8be244p-16, 0x1.6ddeca7b4502ep-16, 0x1.6cc8020bdd0eap-16, 0x1.6baab0b11dd8ep-16, 0x1.6a8701cfa4ee9p-16, 0x1.695d201bf5073p-16, 0x1.682d359cbcf73p-16, 0x1.66f76bacdf388p-16, 0x1.65bbeafda05d3p-16, 0x1.647adb9877d4ep-16, 0x1.633464e18e5aep-16, 0x1.61e8ad99791d8p-16, 0x1.6097dbdf4b5dfp-16, 0x1.5f421532c7c43p-16, 0x1.5de77e7603bf1p-16, 0x1.5c883befbb6fp-16, 0x1.5b24714d1ca79p-16, 0x1.59bc41a3c238ap-16, 0x1.584fcf73cc0a5p-16, 0x1.56df3ca98a69ep-16, 0x1.556aaa9fac7c3p-16, 0x1.53f23a20df4adp-16, 0x1.52760b69d8e79p-16, 0x1.50f63e2b1504fp-16, 0x1.4f72f18ab142bp-16, 0x1.4dec442693b39p-16, 0x1.4c6254159193ep-16, 0x1.4ad53ee9fd928p-16, 0x1.494521b2caed4p-16, 0x1.47b218fd994cfp-16, 0x1.461c40d8aa4adp-16, 0x1.4483b4d4003a5p-16, 0x1.42e8900396b22p-16, 0x1.414aed00ecb3cp-16, 0x1.3faae5ec9df51p-16, 0x1.3e089470488b6p-16, 0x1.3c6411bfd8625p-16, 0x1.3abd769b79272p-16, 0x1.3914db50f199ap-16, 0x1.376a57bd46ec8p-16, 0x1.35be034e74526p-16, 0x1.340ff504d6e1ep-16, 0x1.32604374c11b4p-16, 0x1.30af04c814324p-16, 0x1.2efc4ebfab394p-16, 0x1.2d4836b4cb587p-16, 0x1.2b92d19aa9a2ap-16, 0x1.29dc34001b6d9p-16, 0x1.282472109285ep-16, 0x1.266b9f95ded26p-16, 0x1.24b1cff980477p-16, 0x1.22f7164617d68p-16, 0x1.213b8528a0e11p-16, 0x1.1f7f2ef1e451dp-16, 0x1.1dc22597fdb8ap-16, 0x1.1c047ab752734p-16, 0x1.1a463f943f23bp-16, 0x1.1887851c2811p-16, 0x1.16c85be6ba87bp-16, 0x1.1508d43770855p-16, 0x1.1348fdfe7a2fbp-16, 0x1.1188e8da6d755p-16, 0x1.0fc8a419136a3p-16, 0x1.0e083eb8c8a48p-16, 0x1.0c47c769a112p-16, 0x1.0a874c8eb7096p-16, 0x1.08c6dc3f11276p-16, 0x1.0706844720eeep-16, 0x1.05465229b4e6p-16, 0x1.03865321055cap-16, 0x1.01c6941fdf764p-16, 0x1.000721d2e7fb5p-16, 0x1.fc90114309a19p-17, 0x1.f912a95d7d05p-17, 0x1.f59623b56c7b3p-17, 0x1.f21a9786d9636p-17, 0x1.eea01b8b80dbap-17, 0x1.eb26c5fd6163ap-17, 0x1.e7aeac983471bp-17, 0x1.e437e49b8ae15p-17, 0x1.e0c282ccb29e5p-17, 0x1.dd4e9b78e8b13p-17, }}, 
      {{-0x1.f160623a98ec5p-8, -0x1.f15c2b4415115p-7, -0x1.750b3bee3785dp-6, -0x1.f18a9599c44d2p-6, -0x1.372bb3bf21b1cp-5, -0x1.75d361342b45bp-5, -0x1.b4d80c4a9dd18p-5, -0x1.f4536a0b3945dp-5, -0x1.1a2d5cf6991b5p-4, -0x1.3a7e89b46000fp-4, -0x1.5b21317fe786bp-4, -0x1.7c15843b3dfa8p-4, -0x1.9d58024b85625p-4, -0x1.bee1ce9e70ab5p-4, -0x1.e0a92bd041e72p-4, -0x1.0151099a09087p-3, -0x1.125f6ad6c453cp-3, -0x1.23785c99d8ecdp-3, -0x1.349444c1dc1ccp-3, -0x1.45ab8b17c6c62p-3, -0x1.56b6cda6d2d77p-3, -0x1.67af0a31f89d3p-3, -0x1.788dbd5c7f709p-3, -0x1.894cf88f43785p-3, -0x1.99e76fd95bdb3p-3, -0x1.aa58811437c1ep-3, -0x1.ba9c3582f1fecp-3, -0x1.caaf3f0633855p-3, -0x1.da8ef1db00af7p-3, -0x1.ea393bb7bdc33p-3, -0x1.f9ac98fab1391p-3, -0x1.0474044097f69p-2, -0x1.0bf57f5332a41p-2, -0x1.135aabea13f42p-2, -0x1.1aa3a57f48462p-2, -0x1.21d0ae29d773cp-2, -0x1.28e2282d93ab8p-2, -0x1.2fd88fdabbd0ap-2, -0x1.36b475cfcfc5cp-2, -0x1.3d7679ab18d01p-2, -0x1.441f4534f9207p-2, -0x1.4aaf880827488p-2, -0x1.5127f3b99f00fp-2, -0x1.5789387f183b4p-2, -0x1.5dd4025071b31p-2, -0x1.6408f67e7e787p-2, -0x1.6a28b1b8355dcp-2, -0x1.7033c6761e0dp-2, -0x1.762abbc32b214p-2, -0x1.7c0e0c59c7849p-2, -0x1.81de260bd5668p-2, -0x1.879b696c6f9a2p-2, -0x1.8d4629b29eeaep-2, -0x1.92deaccca35b6p-2, -0x1.98652b9c1711dp-2, -0x1.9dd9d253b5f5ap-2, -0x1.a33cc0f0673e2p-2, -0x1.a88e0bc7b834cp-2, -0x1.adcdbc26b8106p-2, -0x1.b2fbd0fcc7894p-2, -0x1.b8183f8e86f0dp-2, -0x1.bd22f42daccfbp-2, -0x1.c21bd2f3078bdp-2, -0x1.c702b878701afp-2, -0x1.cbd77a90d6b87p-2, -0x1.d099e8fceef44p-2, -0x1.d549ce1b5cc8bp-2, -0x1.d9e6ef9377de2p-2, -0x1.de710efa007e9p-2, -0x1.e2e7ea6f4db7bp-2, -0x1.e74b3d36a34e8p-2, -0x1.eb9ac0467e42ap-2, -0x1.efd62ad1bbbbp-2, -0x1.f3fd32c9a0f4fp-2, -0x1.f80f8d58be7e4p-2, -0x1.fc0cef56d56e1p-2, -0x1.fff50db5d115p-2, -0x1.01e3cef3ffe72p-1, -0x1.03c22b1fd7107p-1, -0x1.0595772429d7dp-1, -0x1.075d8f8cbc1edp-1, -0x1.091a51d1c28d3p-1, -0x1.0acb9c7b52a33p-1, -0x1.0c714f41f4c2bp-1, -0x1.0e0b4b2c6e65dp-1, -0x1.0f9972aad5e19p-1, -0x1.111ba9af0cbc4p-1, -0x1.1291d5c2af52cp-1, -0x1.13fbde1a9662fp-1, -0x1.1559aba7fa194p-1, -0x1.16ab2927521dp-1, -0x1.17f0432d04dc7p-1, -0x1.1928e82ffef22p-1, -0x1.1a550892466ep-1, -0x1.1b7496a7a383ep-1, -0x1.1c8786ba742d7p-1, -0x1.1d8dcf0ec19cfp-1, -0x1.1e8767e3ae282p-1, -0x1.1f744b7354f4fp-1, -0x1.205475f130847p-1, -0x1.2127e58720133p-1, -0x1.21ee9a512439ep-1, -0x1.22a89657e8206p-1, -0x1.2355dd8a2deb5p-1, -0x1.23f675b537addp-1, -0x1.248a667c3f574p-1, -0x1.2511b94f1606ep-1, -0x1.258c795ffec7bp-1, -0x1.25fab398d9d0ep-1, -0x1.265c768fb3341p-1, -0x1.26b1d27aca86ap-1, -0x1.26fad92423cb9p-1, -0x1.27379ddcb568ep-1, -0x1.2768356f42542p-1, -0x1.278cb612f20e8p-1, -0x1.27a5375db59cap-1, -0x1.27b1d236871bap-1, -0x1.27b2a0c793919p-1, -0x1.27a7be7057fc8p-1, -0x1.279147b7c28f3p-1, -0x1.276f5a3e5d9acp-1, -0x1.274214b09351cp-1, -0x1.270996b9101c3p-1, -0x1.26c600f34c80ap-1, -0x1.267774de48171p-1, -0x1.261e14cf7accep-1, -0x1.25ba03e60188p-1, -0x1.254b65fe0e856p-1, -0x1.24d25fa49e8b8p-1, -0x1.244f160b7a6b8p-1, -0x1.23c1aefd84d07p-1, -0x1.232a50d35a4ccp-1, -0x1.22892268428d3p-1, -0x1.21de4b0f774e1p-1, -0x1.2129f289c032ep-1, -0x1.206c40fb66939p-1, -0x1.1fa55ee27df3ep-1, -0x1.1ed5750d84a81p-1, -0x1.1dfcac925aae9p-1, -0x1.1d1b2ec58ddadp-1, -0x1.1c312531fb536p-1, -0x1.1b3eb990c2dd8p-1, -0x1.1a4415c18f42fp-1, -0x1.194163c32acdap-1, -0x1.1836cdac6753bp-1, -0x1.17247da54dbb6p-1, -0x1.160a9de09ce12p-1, -0x1.14e958958c713p-1, -0x1.13c0d7f9d9a4p-1, -0x1.1291463c15126p-1, -0x1.115acd7e340bap-1, -0x1.101d97d05ed5fp-1, -0x1.0ed9cf2bfe7bcp-1, -0x1.0d8f9d6f02038p-1, -0x1.0c3f2c575ded6p-1, -0x1.0ae8a57ec0787p-1, -0x1.098c32567923cp-1, -0x1.0829fc2391e29p-1, -0x1.06c22bfb160dep-1, -0x1.0554eabe87f47p-1, -0x1.03e261187fc26p-1, -0x1.026ab77973bfcp-1, -0x1.00ee1614a62a8p-1, -0x1.fed949ba74678p-2, -0x1.fbcd1706d2a34p-2, -0x1.f8b7e2e3b8d05p-2, -0x1.f599fb964626cp-2, -0x1.f273aece92932p-2, -0x1.ef4549a3163c9p-2, -0x1.ec0f188c432d8p-2, -0x1.e8d1676055f6dp-2, -0x1.e58c814f5804fp-2, -0x1.e240b0df4e614p-2, -0x1.deee3fe89781dp-2, -0x1.db95779273c33p-2, -0x1.d836a04fb657dp-2, -0x1.d4d201db9cebep-2, -0x1.d167e336cd8cp-2, -0x1.cdf88aa4774acp-2, -0x1.ca843da79848ap-2, -0x1.c70b41005f70ap-2, -0x1.c38dd8a9b4e92p-2, -0x1.c00c47d6da448p-2, -0x1.bc86d0f13013fp-2, -0x1.b8fdb5961025fp-2, -0x1.b5713694cb648p-2, -0x1.b1e193ecbdb11p-2, -0x1.ae4f0ccb7e56cp-2, -0x1.aab9df8b298ddp-2, -0x1.a72249b0c5445p-2, -0x1.a38887eabcc4fp-2, -0x1.9fecd60f72cc6p-2, -0x1.9c4f6f1bf1863p-2, -0x1.98b08d32ab41p-2, -0x1.9510699a56d6cp-2, -0x1.916f3cbcdfe08p-2, -0x1.8dcd3e2670dc9p-2, -0x1.8a2aa484903ddp-2, -0x1.8687a5a5545a5p-2, -0x1.82e47676af191p-2, -0x1.7f414b05cba88p-2, -0x1.7b9e567e8627bp-2, -0x1.77fbcb2af394ep-2, -0x1.7459da73025dep-2, -0x1.70b8b4dc2dd93p-2, -0x1.6d188a09489e1p-2, -0x1.697988ba58743p-2, -0x1.65dbdecc87d01p-2, -0x1.623fb93a2d4d4p-2, -0x1.5ea5441ae3de9p-2, -0x1.5b0caaa3babeap-2, -0x1.5776172773e38p-2, -0x1.53e1b316dc654p-2, -0x1.504fa70131354p-2, -0x1.4cc01a949d574p-2, -0x1.4933349ec69e5p-2, -0x1.45a91b0d6e345p-2, -0x1.4221f2ef24eb6p-2, -0x1.3e9de0740ef4fp-2, -0x1.3b1d06eebd958p-2, -0x1.379f88d51599dp-2, -0x1.342587c14caaep-2, -0x1.30af2472f1a02p-2, -0x1.2d3c7ed00bb15p-2, -0x1.29cdb5e644a5fp-2, -0x1.2662e7ec2903p-2, -0x1.22fc324272c6dp-2, -0x1.1f99b175670ddp-2, -0x1.1c3b813e4159fp-2, -0x1.18e1bc84af1fep-2, -0x1.158c7d6057342p-2, -0x1.123bdd1a74218p-2, -0x1.0eeff42f766ap-2, -0x1.0ba8da50b941p-2, -0x1.0866a66640f1cp-2, -0x1.05296e90883aap-2, -0x1.01f1482a5754ap-2, -0x1.fd7c8f9553df4p-3, -0x1.f721028d3bf41p-3, -0x1.f0d00f66df343p-3, -0x1.ea89dad0f861fp-3, -0x1.e44e8802a9843p-3, -0x1.de1e38bfad063p-3, -0x1.d7f90d5c986eap-3, -0x1.d1df24c3397a2p-3, -0x1.cbd09c76f6bacp-3, -0x1.c5cd90994fe19p-3, -0x1.bfd61bee626e7p-3, -0x1.b9ea57e17d53ep-3, -0x1.b40a5c89cb791p-3, -0x1.ae3640aeff1dep-3, -0x1.a86e19ce0ed5fp-3, -0x1.a2b1fc1e0258ep-3, -0x1.9d01fa94c0343p-3, -0x1.975e26ebeb51fp-3, -0x1.91c691a5c6a7ep-3, -0x1.8c3b4a122293bp-3, -0x1.86bc5e534f7ep-3, -0x1.8149db6319496p-3, -0x1.7be3cd17c3a28p-3, -0x1.768a3e290f1c3p-3, -0x1.713d383543925p-3, -0x1.6bfcc3c639abcp-3, -0x1.66c8e856661e8p-3, -0x1.61a1ac55edbfcp-3, -0x1.5c87152fb52ep-3, -0x1.5779274e6eb8dp-3, -0x1.5277e621b0333p-3, -0x1.4d835422fd568p-3, -0x1.489b72dadd95p-3, -0x1.43c042e5e135dp-3, -0x1.3ef1c3f9ad7ap-3, -0x1.3a2ff4ea037b6p-3, -0x1.357ad3adc3859p-3, -0x1.30d25d63e41fap-3, -0x1.2c368e5871e07p-3, -0x1.27a762097dac4p-3, -0x1.2324d32c0a10ap-3, -0x1.1eaedbb0f0b63p-3, -0x1.1a4574c9c0c83p-3, -0x1.15e896ed9815fp-3, -0x1.119839ddeb7d1p-3, -0x1.0d5454ab557c5p-3, -0x1.091cddba4c258p-3, -0x1.04f1cac7d7f03p-3, -0x1.00d310ee3c79fp-3, -0x1.f981495332b73p-4, -0x1.f174f3b8fd5cap-4, -0x1.e98107a8e6fb2p-4, -0x1.e1a56a9cf6bp-4, -0x1.d9e200f70a032p-4, -0x1.d236ae09a438ap-4, -0x1.caa35420aa484p-4, -0x1.c327d489f49c5p-4, -0x1.bbc40f9de292dp-4, -0x1.b477e4c7bcbccp-4, -0x1.ad43328e0200fp-4, -0x1.a625d69aa4e97p-4, -0x1.9f1fadc31eb8ap-4, -0x1.98309410735d3p-4, -0x1.915864c70fedp-4, -0x1.8a96fa6e94e57p-4, -0x1.83ec2ed97f2b9p-4, -0x1.7d57db2cb59acp-4, -0x1.76d9d7e6f79cfp-4, -0x1.7071fce834b74p-4, -0x1.6a202178bd62bp-4, -0x1.63e41c50613fp-4, -0x1.5dbdc39d6366dp-4, -0x1.57aced0b5ca56p-4, -0x1.51b16dc9f7525p-4, -0x1.4bcb1a9390f6bp-4, -0x1.45f9c7b3be0abp-4, -0x1.403d490dac72bp-4, -0x1.3a9572226cd4cp-4, -0x1.350216171891ap-4, -0x1.2f8307badd2d5p-4, -0x1.2a18198ce8949p-4, -0x1.24c11dc235e44p-4, -0x1.1f7de64b3ecp-4, -0x1.1a4e44d98ddeep-4, -0x1.15320ae52fd15p-4, -0x1.102909b2109a4p-4, -0x1.0b3312552bb7fp-4, -0x1.064ff5b9b0362p-4, -0x1.017f84a5f8c56p-4, -0x1.f9831f80e096bp-5, -0x1.f02bcf28aa668p-5, -0x1.e6f8b92cbf6f2p-5, -0x1.dde97e52a07cfp-5, -0x1.d4fdbf44b1302p-5, -0x1.cc351c9ae6957p-5, -0x1.c38f36e332e51p-5, -0x1.bb0baea9b3af7p-5, -0x1.b2aa2480b9afbp-5, -0x1.aa6a39089257bp-5, -0x1.a24b8cf70fea5p-5, -0x1.9a4dc11ef4086p-5, -0x1.9270767711c1dp-5, -0x1.8ab34e2146d71p-5, -0x1.8315e9713b46fp-5, -0x1.7b97e9f2f2c4p-5, -0x1.7438f17127481p-5, -0x1.6cf8a1fb74db1p-5, -0x1.65d69dec55266p-5, -0x1.5ed287eeebe2dp-5, -0x1.57ec030499ec9p-5, -0x1.5122b28a7160ap-5, -0x1.4a763a3e6e9ebp-5, -0x1.43e63e44854f8p-5, -0x1.3d72632b8bfebp-5, -0x1.371a4df1e8057p-5, -0x1.30dda40a1e03bp-5, -0x1.2abc0b5f2f547p-5, -0x1.24b52a58d3458p-5, -0x1.1ec8a7df8236dp-5, -0x1.18f62b6054bf8p-5, -0x1.133d5cd0c1bffp-5, -0x1.0d9de4b235659p-5, -0x1.08176c157909bp-5, -0x1.02a99c9dfd815p-5, -0x1.faa84109f93bp-6, -0x1.f02d4538e9573p-6, -0x1.e5e19ca4072d3p-6, -0x1.dbc49f633b972p-6, -0x1.d1d5a6d03ab7p-6, -0x1.c8140d8b75e62p-6, -0x1.be7f2f80b00c9p-6, -0x1.b51669eb643bfp-6, -0x1.abd91b5ae69f9p-6, -0x1.a2c6a3b647803p-6, -0x1.99de643ff90edp-6, -0x1.911fbf9932567p-6, -0x1.888a19c5349f1p-6, -0x1.801cd82c25272p-6, -0x1.77d7619dec7dfp-6, -0x1.6fb91e54a763dp-6, -0x1.67c177f70afedp-6, -0x1.5fefd99a7f2d6p-6, -0x1.5843afc515a91p-6, -0x1.50bc686f3d9b9p-6, -0x1.4959730556216p-6, -0x1.421a40691476cp-6, -0x1.3afe42f2ac389p-6, -0x1.3404ee71dce75p-6, -0x1.2d2db82ec7d31p-6, -0x1.267816eaa2d7bp-6, -0x1.1fe382e042fd9p-6, -0x1.196f75c4795c9p-6, -0x1.131b6ac655f56p-6, -0x1.0ce6de8f2ebb8p-6, -0x1.06d14f429d783p-6, -0x1.00da3c7e45632p-6, -0x1.f6024eb30fad1p-7, -0x1.ea8b24ca02d93p-7, -0x1.df4e0354072fep-7, -0x1.d449f553abe15p-7, -0x1.c97e08b9ca6aep-7, -0x1.bee94e63b8f8ep-7, -0x1.b48ada19133a6p-7, -0x1.aa61c2899c8a7p-7, -0x1.a06d214a88b1ap-7, -0x1.96ac12d3ec103p-7, -0x1.8d1db67ddb8f2p-7, -0x1.83c12e7d44cb2p-7, -0x1.7a959fe0ace9ep-7, -0x1.719a328cd61a8p-7, -0x1.68ce113929f9fp-7, -0x1.6030696bebab4p-7, -0x1.57c06b766016fp-7, -0x1.4f7d4a70c4e72p-7, -0x1.47663c361d93ap-7, -0x1.3f7a795ff062ep-7, -0x1.37b93d41cdefdp-7, -0x1.3021c5e4c8c82p-7, -0x1.28b35402d2ddep-7, -0x1.216d2b01e4c93p-7, -0x1.1a4e90ef28fb9p-7, -0x1.1356ce7a049b9p-7, -0x1.0c852eeef8d4dp-7, -0x1.05d9003282531p-7, -0x1.fea32577af56ap-8, -0x1.f1dc731f35eb3p-8, -0x1.e55c9474c88e5p-8, -0x1.d9223996bca82p-8, -0x1.cd2c179d4da97p-8, -0x1.c178e88fa164ap-8, -0x1.b6076b583977dp-8, -0x1.aad663b9c0c2dp-8, -0x1.9fe49a435b0a9p-8, -0x1.9530dc4530d91p-8, -0x1.8ab9fbc49b624p-8, -0x1.807ecf707bc0bp-8, -0x1.767e32955c283p-8, -0x1.6cb7051179bb2p-8, -0x1.63282b48f5c7ep-8, -0x1.59d08e19a6329p-8, -0x1.50af1acf45926p-8, -0x1.47c2c317176ap-8, -0x1.3f0a7cf416dcfp-8, -0x1.368542b29bcp-8, -0x1.2e3212dc4f9aap-8, -0x1.260ff02c00e13p-8, -0x1.1e1de1816b7dp-8, -0x1.165af1d529949p-8, -0x1.0ec6302c5a04cp-8, -0x1.075eaf8c91294p-8, -0x1.002386efcd053p-8, -0x1.f227a27032683p-9, -0x1.e45d5a47200acp-9, -0x1.d6e67a80a25bcp-9, -0x1.c9c14fc0a2b2ap-9, -0x1.bcec2e1ae6f5fp-9, -0x1.b06570fae99a2p-9, -0x1.a42b7b0bf5bdbp-9, -0x1.983cb62178c13p-9, -0x1.8c97931f1b93p-9, -0x1.813a89e148119p-9, -0x1.762419259fca7p-9, -0x1.6b52c673773a7p-9, -0x1.60c51e04c0848p-9, -0x1.5679b2aebe6d1p-9, -0x1.4c6f1dcb07461p-9, -0x1.42a3ff209caedp-9, -0x1.3916fccd30ed9p-9, -0x1.2fc6c32e90503p-9, -0x1.26b204cc165fap-9, -0x1.1dd77a4078a43p-9, -0x1.1535e2237d269p-9, -0x1.0ccc00f4302ap-9, -0x1.0498a102d0b86p-9, -0x1.f93524b69f16cp-10, -0x1.e9a1555f90aa6p-10, -0x1.da738a8668e9p-10, -0x1.cba985a84213p-10, -0x1.bd4113100f77fp-10, -0x1.af3809ac26e62p-10, -0x1.a18c4ae5dea79p-10, -0x1.943bc2785b34p-10, -0x1.87446647e63eep-10, -0x1.7aa4363a4e5bdp-10, -0x1.6e593c0eafc4p-10, -0x1.62618b36b528ap-10, -0x1.56bb40af2580ap-10, -0x1.4b6482d987ef3p-10, -0x1.405b8156209cep-10, -0x1.359e74de281c4p-10, -0x1.2b2b9f1e1b93fp-10, -0x1.21014a9137457p-10, -0x1.171dca5ca244p-10, -0x1.0d7f7a2b4e506p-10, -0x1.0424be0a467e7p-10, -0x1.f618048ae3311p-11, -0x1.e467768890083p-11, -0x1.d334cacf43178p-11, -0x1.c27d09ce9295cp-11, -0x1.b23d4b609bb1ap-11, -0x1.a272b687eaff2p-11, -0x1.931a812cd0801p-11, -0x1.8431efdcd8363p-11, -0x1.75b65589e70fbp-11, -0x1.67a5134bd468bp-11, -0x1.59fb982077e95p-11, -0x1.4cb760af0beafp-11, -0x1.3fd5f709fa17bp-11, -0x1.3354f27340c55p-11, -0x1.2731f72117965p-11, -0x1.1b6ab6029948bp-11, -0x1.0ffcec8665062p-11, -0x1.04e664614d6fbp-11, -0x1.f449e6abb05c9p-12, -0x1.df6cf5f9bc62dp-12, -0x1.cb31d11d4f1acp-12, -0x1.b79469595d514p-12, -0x1.a490c659a6426p-12, -0x1.922305c826327p-12, -0x1.80475ae698751p-12, -0x1.6efa0e2853875p-12, -0x1.5e377ccc89975p-12, -0x1.4dfc187ca095ap-12, -0x1.3e4466e991addp-12, -0x1.2f0d016bb1bc4p-12, -0x1.205294a4426f8p-12, -0x1.1211e01f5dedfp-12, -0x1.0447b5f89389bp-12, -0x1.ede1f5007217fp-13, -0x1.d41547c2f335p-13, -0x1.bb2373975cac5p-13, -0x1.a306aa360041cp-13, -0x1.8bb93f0690ff5p-13, -0x1.7535a6788ed19p-13, -0x1.5f76755f65b26p-13, -0x1.4a76604f93d6fp-13, -0x1.36303afd4cde3p-13, -0x1.229ef7a1939f4p-13, -0x1.0fbda65d0c4ccp-13, -0x1.fb0ee946723c2p-14, -0x1.d7ef594181e98p-14, -0x1.b613695867e81p-14, -0x1.95721d62f33a5p-14, -0x1.7602af4bff1a5p-14, -0x1.57bc8df7ef4b1p-14, -0x1.3a975c311f59cp-14, -0x1.1e8aef97a0021p-14, -0x1.038f4f9a8ea2fp-14, -0x1.d33968de14625p-15, -0x1.a1570c2293658p-15, -0x1.7168b68ef780cp-15, -0x1.435ff14f4ae1ep-15, -0x1.172e9f4c870b5p-15, -0x1.d98df6914134dp-16, -0x1.88372c1313fe8p-16, -0x1.3a3ea91248968p-16, -0x1.df15b8cabe142p-17, -0x1.5005ac68382c3p-17, -0x1.8e3912a1940fp-18, -0x1.10ab838389e22p-19, 0x1.c7ec676e8910cp-20, 0x1.6113b03833c0ap-18, 0x1.22a5f6f4405ap-17, 0x1.8f7cc457749eap-17, 0x1.f73805e436e26p-17, 0x1.2d0038f84de75p-16, 0x1.5bfedabfacccap-16, 0x1.88ab3d043b678p-16, 0x1.b3183597bcad7p-16, 0x1.db581e2e477bcp-16, 0x1.00be6b8cde7f2p-15, 0x1.12cbe4ff524eap-15, 0x1.23dcf63a5546cp-15, 0x1.33f9e150670fep-15, 0x1.432ab0de4d21bp-15, 0x1.5177394bb2d94p-15, 0x1.5ee71a03ca09fp-15, 0x1.6b81bea6b28fep-15, 0x1.774e60378583dp-15, 0x1.82540644474ep-15, 0x1.8c99880493115p-15, 0x1.96258d77de526p-15, 0x1.9efe9079dcd76p-15, 0x1.a72addd38b679p-15, 0x1.aeb0964701dfep-15, 0x1.b595af92498fap-15, 0x1.bbdff57409c21p-15, 0x1.c1950aa3718d1p-15, 0x1.c6ba69c9c4a35p-15, 0x1.cb55667144601p-15, 0x1.cf6b2df096434p-15, 0x1.d300c8570634ep-15, 0x1.d61b194ab9813p-15, 0x1.d8bee0e964f22p-15, 0x1.daf0bca147206p-15, 0x1.dcb52806fccddp-15, 0x1.de107da568136p-15, 0x1.df06f7ca3db7p-15, 0x1.df9cb14f2e35cp-15, 0x1.dfd5a65c4188ap-15, 0x1.dfb5b52a1da7bp-15, 0x1.df409ebafb391p-15, 0x1.de7a07946a239p-15, 0x1.dd6578731a2e9p-15, 0x1.dc065efa6da76p-15, 0x1.da600e5fea383p-15, 0x1.d875c017ab59cp-15, 0x1.d64a94737e52bp-15, 0x1.d3e1934a52659p-15, 0x1.d13dac92c0cb9p-15, 0x1.ce61b8fdbb98ap-15, 0x1.cb507a8e2b31ap-15, 0x1.c80c9d2e97aedp-15, 0x1.c498b73ea386ap-15, 0x1.c0f74a226d553p-15, 0x1.bd2ac2ccb1c3ap-15, 0x1.b9357a461d384p-15, 0x1.b519b630ebc53p-15, 0x1.b0d9a949f61fep-15, 0x1.ac7773e92d65ap-15, 0x1.a7f5247989c54p-15, 0x1.a354b7f67cc2fp-15, 0x1.9e981a5d8af26p-15, 0x1.99c127240554ap-15, 0x1.94d1a9a87ce0cp-15, 0x1.8fcb5d9dccf04p-15, 0x1.8aafef7ab0ad1p-15, 0x1.8580fcdfbde5bp-15, 0x1.804014ffd6bdbp-15, 0x1.7aeeb90433ab1p-15, 0x1.758e5c6e73f7dp-15, 0x1.70206577ddafcp-15, 0x1.6aa62d6f9d646p-15, 0x1.652101158cbfbp-15, 0x1.5f9220f3defc4p-15, 0x1.59fac1b60bebcp-15, 0x1.545c0c7d7bf7dp-15, 0x1.4eb71f358c9bp-15, 0x1.490d0ce251bbap-15, 0x1.435eddf31225dp-15, 0x1.3dad908ca01e3p-15, 0x1.37fa18d5cf77cp-15, 0x1.32456140f938p-15, 0x1.2c904ad3b71bcp-15, 0x1.26dbad6c7d453p-15, 0x1.212858077a021p-15, 0x1.1b771100d5451p-15, 0x1.15c89655bfae1p-15, 0x1.101d9de4235f5p-15, 0x1.0a76d5a76d8c2p-15, 0x1.04d4e3f6c89adp-15, 0x1.fe70cf7b055e4p-16, 0x1.f343f16b5ff6fp-16, 0x1.e8244f41a7e51p-16, 0x1.dd12fcf8fc91p-16, 0x1.d21101729d36fp-16, 0x1.c71f56d9402fep-16, 0x1.bc3eeb0995eddp-16, 0x1.b1709ff28ed7ap-16, 0x1.a6b54bf6813e4p-16, 0x1.9c0dba4795793p-16, 0x1.917aab4234909p-16, 0x1.86fcd4c74757dp-16, 0x1.7c94e291b816p-16, 0x1.72437689175a2p-16, 0x1.680929157ddd8p-16, 0x1.5de6896e5b32dp-16, 0x1.53dc1de7838adp-16, 0x1.49ea643e53161p-16, 0x1.4011d1e1cc9e1p-16, 0x1.3652d4393ba6dp-16, 0x1.2cadd0edefebfp-16, 0x1.23232629db4efp-16, 0x1.19b32adcd8a8p-16, 0x1.105e2efbbf28dp-16, 0x1.07247bc008bf2p-16, 0x1.fc0ca7c3df9ecp-17, 0x1.ea07e7ac2ed94p-17, 0x1.d83b240b76f65p-17, 0x1.c6a6be0e32108p-17, 0x1.b54b0ba6bed03p-17, 0x1.a42857f673852p-17, 0x1.933ee3b650b18p-17, 0x1.828ee597cda52p-17, 0x1.72188aa8bdbaep-17, 0x1.61dbf6af52889p-17, 0x1.51d94486d5153p-17, 0x1.42108678d167bp-17, 0x1.3281c691c7814p-17, 0x1.232d06f7fb39p-17, 0x1.14124237f251ap-17, 0x1.05316b99eea29p-17, 0x1.ed14ded1c62fcp-18, 0x1.d03a66814f7e1p-18, 0x1.b3d32caaba9f6p-18, 0x1.97dee3705a306p-18, 0x1.7c5d313b70c9fp-18, 0x1.614db13db8c1bp-18, 0x1.46aff3efc4018p-18, 0x1.2c837f9014ea6p-18, 0x1.12c7d09a9348ap-18, 0x1.f2f8b47a579ddp-19, 0x1.c1410d929c90ep-19, 0x1.9067704362ef2p-19, 0x1.606a9046d5977p-19, 0x1.3149121e3f7d2p-19, 0x1.03018bd4705c8p-19, 0x1.ab250b874033p-20, 0x1.51f4f694b2abbp-20, 0x1.f4df6e24b66f4p-21, 0x1.492428229fb94p-21, 0x1.4162fb4a85a2dp-22, -0x1.1fd5fa5cd9ec3p-27, -0x1.4cea8b7b20654p-22, -0x1.45375d4acfd44p-21, -0x1.e0ccd1e50028cp-21, -0x1.3c9e7b47be8ap-20, -0x1.87479de0fcfadp-20, -0x1.d06596b4e64b7p-20, -0x1.0bfe1c35b7f94p-19, -0x1.2f07b0b14e32fp-19, -0x1.51517d5f78c27p-19, -0x1.72dd7bc2efbfep-19, -0x1.93ada9db96357p-19, -0x1.b3c409bf48142p-19, -0x1.d322a12d11623p-19, -0x1.f1cb792942f01p-19, -0x1.07e04ecf8c9bbp-18, -0x1.16820e802d0d7p-18, -0x1.24cc03f6f22d4p-18, -0x1.32bf386f0b19fp-18, -0x1.405cb5e65d81fp-18, -0x1.4da586f4b82b4p-18, -0x1.5a9ab6a50c961p-18, -0x1.673d505239284p-18, -0x1.738e5f7f20da5p-18, -0x1.7f8eefba51494p-18, -0x1.8b400c78d3e81p-18, -0x1.96a2c0f87d5cbp-18, -0x1.a1b8182102b2p-18, -0x1.ac811c680d3abp-18, -0x1.b6fed7b55481cp-18, -0x1.c1325346f1e06p-18, -0x1.cb1c97984c294p-18, -0x1.d4beac4c06a14p-18, -0x1.de1998124fdebp-18, -0x1.e72e60937b1a9p-18, -0x1.effe0a5ae5057p-18, -0x1.f88998c2d07e3p-18, -0x1.006906f0bc469p-17, -0x1.046c353b4b8dcp-17, -0x1.084ed6ecd4ce2p-17, -0x1.0c116af50733ep-17, -0x1.0fb46f7f5b4a6p-17, -0x1.133861ebcf9c5p-17, -0x1.169dbec7fa116p-17, -0x1.19e501c855648p-17, -0x1.1d0ea5c1325ep-17, -0x1.201b24a223733p-17, -0x1.230af76f33e5fp-17, -0x1.25de963c9f575p-17, -0x1.28967828f9244p-17, -0x1.2b331358ee7d8p-17, -0x1.2db4dcf31295ap-17, -0x1.301c491bd2959p-17, -0x1.3269caf1668adp-17, -0x1.349dd488d08c7p-17, -0x1.36b8d6ea20872p-17, -0x1.38bb420d83176p-17, -0x1.3aa584d9033d4p-17, -0x1.3c780d1daf1ecp-17, -0x1.3e334795433fdp-17, -0x1.3fd79fe06903ap-17, -0x1.41658084c3bf4p-17, -0x1.42dd52eb3a0ap-17, -0x1.443f7f5e3e551p-17, -0x1.458c6d095c0f6p-17, -0x1.46c481f735bb9p-17, -0x1.47e8231182a1ap-17, -0x1.48f7b41f96f49p-17, -0x1.49f397c650f19p-17, -0x1.4adc2f8761458p-17, -0x1.4bb1dbc14704p-17, -0x1.4c74fbaf2d35fp-17, -0x1.4d25ed68ba921p-17, -0x1.4dc50de25dde8p-17, -0x1.4e52b8edc13bap-17, -0x1.4ecf4939d8689p-17, -0x1.4f3b185371bdep-17, -0x1.4f967ea658dbep-17, -0x1.4fe1d37d712efp-17, -0x1.501d6d04021f1p-17, -0x1.5049a0464699bp-17, -0x1.5066c132c2c44p-17, -0x1.5075229b45f38p-17, -0x1.5075163636228p-17, -0x1.5066ec9fb7624p-17, -0x1.504af55ae041fp-17, -0x1.50217ed38e2e7p-17, -0x1.4fead65fd661fp-17, -0x1.4fa748416869dp-17, -0x1.4f571fa74161p-17, -0x1.4efaa6af61539p-17, -0x1.4e922668807ddp-17, -0x1.4e1de6d433143p-17, -0x1.4d9e2ee82ba63p-17, -0x1.4d134490763f4p-17, -0x1.4c7d6cb19f7f4p-17, -0x1.4bdceb2a60ea2p-17, -0x1.4b3202d5cf355p-17, -0x1.4a7cf58d58728p-17, -0x1.49be042af5f76p-17, -0x1.48f56e8b32bfbp-17, -0x1.4823738f6b994p-17, -0x1.4748511fde2b6p-17, -0x1.4664442e23375p-17, -0x1.457788b73ce71p-17, -0x1.448259c5ec29p-17, -0x1.4384f174c2be4p-17, -0x1.427f88f0b96fdp-17, -0x1.4172587b6d349p-17, -0x1.405d976d6bc1dp-17, -0x1.3f417c388a57fp-17, -0x1.3e1e3c6a304eep-17, -0x1.3cf40cadd7ad8p-17, -0x1.3bc320cf5a737p-17, -0x1.3a8babbd593f9p-17, -0x1.394ddf8b7beabp-17, -0x1.3809ed75092e8p-17, -0x1.36c005df520d6p-17, -0x1.3570585bf5993p-17, -0x1.341b13ab2041ep-17, -0x1.32c065be31081p-17, -0x1.31607bba1b3d5p-17, -0x1.2ffb81f9ae78dp-17, -0x1.2e91a4100ca95p-17, -0x1.2d230ccafd913p-17, -0x1.2bafe635431ffp-17, -0x1.2a38599932645p-17, -0x1.28bc8f82d3ba6p-17, -0x1.273cafc24abe4p-17, -0x1.25b8e16e5426bp-17, -0x1.24314ae675399p-17, -0x1.22a611d550dd9p-17, -0x1.21175b3323953p-17, -0x1.1f854b47e86e4p-17, -0x1.1df005ad98e3bp-17, -0x1.1c57ad52abbb2p-17, -0x1.1abc647c1a88ep-17, -0x1.191e4cc7d5741p-17, -0x1.177d872ef3adap-17, -0x1.15da3407f531fp-17, -0x1.14347308ddebdp-17, -0x1.128c634978e6fp-17, -0x1.10e22345879fep-17, -0x1.0f35d0def6cd9p-17, -0x1.0d87895ffcf92p-17, -0x1.0bd7697d36ec9p-17, -0x1.0a258d57c5b75p-17, -0x1.0872107f5e92cp-17, -0x1.06bd0df487747p-17, -0x1.0506a02a8cb8p-17, -0x1.034ee1099711bp-17, -0x1.0195e9f0a8dbep-17, -0x1.ffb7a76f28601p-18, -0x1.fc416d62354bbp-18, -0x1.f8c95559a1a9dp-18, -0x1.f54f8df2488f8p-18, -0x1.f1d444ca7e8f1p-18, -0x1.ee57a685d9e2p-18, -0x1.ead9ded0fc4eap-18, -0x1.e75b1865ace4p-18, -0x1.e3db7d0e247dcp-18, -0x1.e05b35a8fc8e2p-18, -0x1.dcda6a2cb0aa7p-18, -0x1.d95941ab4a76ap-18, -0x1.d5d7e2560cfcdp-18, -0x1.d2567180da44cp-18, -0x1.ced513a5ba109p-18, -0x1.cb53ec6850bf4p-18, -0x1.c7d31e9954be6p-18, -0x1.c452cc39fcc6dp-18, -0x1.c0d3167f1acd6p-18, -0x1.bd541dd48f7p-18, -0x1.b9d601e08125p-18, -0x1.b658e186b56ddp-18, -0x1.b2dcdaebbac47p-18, -0x1.af620b77c8bf1p-18, -0x1.abe88fda5cb5p-18, -0x1.a870840cd5932p-18, -0x1.a4fa03559f83ap-18, -0x1.a185284b75c81p-18, -0x1.9e120cd7d95f6p-18, -0x1.9aa0ca3a49126p-18, -0x1.9731790b7202ap-18, -0x1.93c4313f5bf36p-18, -0x1.90590a28bd4b7p-18, -0x1.8cf01a7b8e447p-18, -0x1.8989784fbd3eep-18, -0x1.862539241b94ep-18, -0x1.82c371e0d23b5p-18, -0x1.7f6436d9e9fdp-18, -0x1.7c079bd25801bp-18, -0x1.78adb3fe29837p-18, -0x1.755692051de81p-18, -0x1.7202480520932p-18, -0x1.6eb0e794dd3b8p-18, -0x1.6b6281c611193p-18, -0x1.681727280798ap-18, -0x1.64cee7c9f350cp-18, -0x1.6189d33d0993fp-18, -0x1.5e47f89728115p-18, -0x1.5b096674c97cdp-18, -0x1.57ce2afb6ef2ap-18, -0x1.549653dbda601p-18, -0x1.5161ee54249a4p-18, -0x1.4e310731b736ep-18, -0x1.4b03aad397abbp-18, -0x1.47d9e52c82967p-18, -0x1.44b3c1c4dc11bp-18, -0x1.41914bbcc8644p-18, -0x1.3e728dce184d9p-18, -0x1.3b57924e326fap-18, -0x1.384063300bb67p-18, -0x1.352d0a062a694p-18, -0x1.321d90044581bp-18, -0x1.2f11fe017187fp-18, -0x1.2c0a5c79a6d6cp-18, -0x1.2906b38f7d312p-18, -0x1.26070b0e2e8a3p-18, -0x1.230b6a6b5455cp-18, -0x1.2013d8c85391cp-18, -0x1.1d205cf44ffccp-18, -0x1.1a30fd6daf78p-18, -0x1.1745c0639f23bp-18, -0x1.145eabb7fecdep-18, -0x1.117bc500b4318p-18, -0x1.0e9d118945b12p-18, -0x1.0bc29654527adp-18, -0x1.08ec581d3554ap-18, -0x1.061a5b597b994p-18, -0x1.034ca43a4492dp-18, -0x1.008336adc36b3p-18, -0x1.fb7c2cc11264ap-19, -0x1.f5fa8d7de0a6ep-19, -0x1.f08195ed20ccep-19, -0x1.eb114bef26e72p-19, -0x1.e5a9b4ebebc5fp-19, -0x1.e04ad5d597cc5p-19, -0x1.daf4b32b46d51p-19, -0x1.d5a750fb5f23bp-19, -0x1.d062b2e651d45p-19, -0x1.cb26dc20b41ep-19, -0x1.c5f3cf756826cp-19, -0x1.c0c98f48b7f38p-19, -0x1.bba81d9a23272p-19, -0x1.b68f7c06d10bep-19, -0x1.b17fabcb83366p-19, -0x1.ac78adc726b07p-19, -0x1.a77a827ce777ep-19, -0x1.a2852a15ddf56p-19, -0x1.9d98a463a274ep-19, -0x1.98b4f0e253f66p-19, -0x1.93da0eba683a9p-19, -0x1.8f07fcc2ec394p-19, -0x1.8a3eb9831cd7p-19, -0x1.857e43346bfbp-19, -0x1.80c697c46e95fp-19, -0x1.7c17b4d6d9a5fp-19, -0x1.777197c73449bp-19, -0x1.72d43daa8c21bp-19, -0x1.6e3fa35136f44p-19, -0x1.69b3c548a9a55p-19, -0x1.65309fdcfd52dp-19, -0x1.60b62f1addef3p-19, -0x1.5c446ed0c21ecp-19, -0x1.57db5a90df963p-19, -0x1.537aedb2ddc0fp-19, -0x1.4f232354cbe79p-19, -0x1.4ad3f65d14fa3p-19, -0x1.468d617bfc077p-19, -0x1.424f5f2ce3aa6p-19, -0x1.3e19e9b7e505ap-19, -0x1.39ecfb333ca9fp-19, -0x1.35c88d848c402p-19, -0x1.31ac9a623342ap-19, -0x1.2d991b54a15f3p-19, -0x1.298e09b7d9d88p-19, -0x1.258b5ebca4791p-19, -0x1.21911369d6284p-19, -0x1.1d9f209d17cb3p-19, -0x1.19b57f0cd8e85p-19, -0x1.15d4274920e8dp-19, -0x1.11fb11bce0534p-19, -0x1.0e2a36aee818dp-19, -0x1.0a618e42d4341p-19, -0x1.06a1107ace738p-19, -0x1.02e8b53817ac6p-19, -0x1.fe70e878c6ab7p-20, -0x1.f7208a554cf6bp-20, -0x1.efe03f109a9a5p-20, -0x1.e8aff57c2d817p-20, -0x1.e18f9c31f1b15p-20, }}, 
      {{-0x1.de583a1b9df92p-1, -0x1.de506a6b1de11p-1, -0x1.de261d1e2991dp-1, -0x1.ddbeb0435bb0ap-1, -0x1.dd06d30bc62d2p-1, -0x1.dbf57100761e4p-1, -0x1.da8aec23c4f62p-1, -0x1.d8ce8aee52f61p-1, -0x1.d6cb794e0288ap-1, -0x1.d48e2426b5cd8p-1, -0x1.d22243302f105p-1, -0x1.cf919da750794p-1, -0x1.cce371ba567aep-1, -0x1.ca1c5897696c9p-1, -0x1.c73e7fbb7359p-1, -0x1.c44a1500ce163p-1, -0x1.c13dca181323cp-1, -0x1.be175b72414e1p-1, -0x1.bad40d32f4218p-1, -0x1.b7711621ebabbp-1, -0x1.b3ebf4b695533p-1, -0x1.b042ad5960fa9p-1, -0x1.ac73f3013b0bap-1, -0x1.a87f3c979bdacp-1, -0x1.a464ca3934bb3p-1, -0x1.a0259da5151ccp-1, -0x1.9bc3691a39853p-1, -0x1.9740779f7f52ap-1, -0x1.929f91511a43ep-1, -0x1.8de3dde0e36ffp-1, -0x1.8910c7074c9bdp-1, -0x1.8429dc391b17ap-1, -0x1.7f32b896be7abp-1, -0x1.7a2eebb7b7d53p-1, -0x1.7521e5afc16d7p-1, -0x1.700ee6741ce2fp-1, -0x1.6af8f09c7e31ep-1, -0x1.65e2bf5b44899p-1, -0x1.60cebf7250caap-1, -0x1.5bbf0adb68915p-1, -0x1.56b566d301612p-1, -0x1.51b343f14b045p-1, -0x1.4cb9bffe09916p-1, -0x1.47c9a92f4e194p-1, -0x1.42e382886aadep-1, -0x1.3e07891519b64p-1, -0x1.3935b9c3e8e87p-1, -0x1.346dd7aa658aap-1, -0x1.2faf7284ce649p-1, -0x1.2af9ed4a0bd42p-1, -0x1.264c84b32fc75p-1, -0x1.21a6559bbe4abp-1, -0x1.1d0663256099fp-1, -0x1.186b9c8e66e35p-1, -0x1.13d4e2aeb6301p-1, -0x1.0f410d1255fc7p-1, -0x1.0aaeeeabee67cp-1, -0x1.061d5a1c257e3p-1, -0x1.018b258ced74fp-1, -0x1.f9ee5c435ac48p-2, -0x1.f0c0b5fd1cf6dp-2, -0x1.e78b3fd4d005bp-2, -0x1.de4bff1f3e9c9p-2, -0x1.d5011ac1f0dbbp-2, -0x1.cba8de4fa2389p-2, -0x1.c241bc830dbffp-2, -0x1.b8ca5123f42ccp-2, -0x1.af4162625cbd7p-2, -0x1.a5a5e1b403a01p-2, -0x1.9bf6ec3faddcfp-2, -0x1.9233cae1d60b9p-2, -0x1.885bf1d5aadbbp-2, -0x1.7e6f000cee7a7p-2, -0x1.746cbe40ae247p-2, -0x1.6a551dc44b686p-2, -0x1.60283723a2e8bp-2, -0x1.55e648949877p-2, -0x1.4b8fb443ae1b8p-2, -0x1.4124fe82b21d1p-2, -0x1.36a6cbe000bdp-2, -0x1.2c15df2c3d4d7p-2, -0x1.21731773e80fcp-2, -0x1.16bf6df19e1b3p-2, -0x1.0bfbf3fd65ae9p-2, -0x1.0129d0fcdb3ebp-2, -0x1.ec9480af6bd05p-3, -0x1.d6bd1ee73923p-3, -0x1.c0d03773e050ap-3, -0x1.aad0a15398014p-3, -0x1.94c14bf0403d2p-3, -0x1.7ea53b7f1904bp-3, -0x1.687f858290645p-3, -0x1.52534d7055b02p-3, -0x1.3c23c17d4d8f6p-3, -0x1.25f41790b437ep-3, -0x1.0fc78a5f2f5bdp-3, -0x1.f342ad5ccfedap-4, -0x1.c70971829e52cp-4, -0x1.9ae9d3d9e5bb7p-4, -0x1.6eea3cab56799p-4, -0x1.431105a7ee8bcp-4, -0x1.17647600d7c0ep-4, -0x1.d7d57d972e6cdp-5, -0x1.8153ef612989cp-5, -0x1.2b5037c3865ccp-5, -0x1.abac1d5c1368bp-6, -0x1.01e1d136f7ec5p-6, -0x1.655f908f2f1f2p-8, 0x1.376fa30c7e439p-8, 0x1.e748e6e2ca9d2p-7, 0x1.97ed3f23eea75p-6, 0x1.1d513ce3619bep-5, 0x1.6dd8804848217p-5, 0x1.bd8331ef9d3f1p-5, 0x1.06243a9815d4cp-4, 0x1.2d0fe4e41a05bp-4, 0x1.53808666e35f7p-4, 0x1.79723caa79abcp-4, 0x1.9ee154686838ep-4, 0x1.c3ca499a1fa6ep-4, 0x1.e829c76b85c0fp-4, 0x1.05fe5408fa612p-3, 0x1.179ffa44ea9e8p-3, 0x1.28f8721e6cb73p-3, 0x1.3a066e4972dbap-3, 0x1.4ac8b837b52c5p-3, 0x1.5b3e2fce83d71p-3, 0x1.6b65cb149cfe7p-3, 0x1.7b3e95d8c0034p-3, 0x1.8ac7b151d3efcp-3, 0x1.9a0053b94824ep-3, 0x1.a8e7c7e062b91p-3, 0x1.b77d6cc119fd6p-3, 0x1.c5c0b50b0eb02p-3, 0x1.d3b126ad39c33p-3, 0x1.e14e5a5cc0f02p-3, 0x1.ee97fb1985dfcp-3, 0x1.fb8dc5b0c99f1p-3, 0x1.0417c41f2cae3p-2, 0x1.0a3e90d651b72p-2, 0x1.103b409a0a418p-2, 0x1.160dd2ed013bep-2, 0x1.1bb64ef7c1795p-2, 0x1.2134c34830646p-2, 0x1.26894591424e4p-2, 0x1.2bb3f26afc96ep-2, 0x1.30b4ed12e6392p-2, 0x1.358c5f2cfd99ap-2, 0x1.3a3a788547632p-2, 0x1.3ebf6ed20cdddp-2, 0x1.431b7d76da086p-2, 0x1.474ee5484b473p-2, 0x1.4b59ec50bcb27p-2, 0x1.4f3cdd95dd35ap-2, 0x1.52f808df3f737p-2, 0x1.568bc27de3278p-2, 0x1.59f86314cacf5p-2, 0x1.5d3e47629cba4p-2, 0x1.605dd00c5aefdp-2, 0x1.6357616933addp-2, 0x1.662b634f71183p-2, 0x1.68da40e285e72p-2, 0x1.6b64686242828p-2, 0x1.6dca4afb2b116p-2, 0x1.700c5c97f6678p-2, 0x1.722b13b42ec7ap-2, 0x1.7426e92fff08bp-2, 0x1.76005825203e8p-2, 0x1.77b7ddbcee0d1p-2, 0x1.794df9079d41ap-2, 0x1.7ac32ad49440dp-2, 0x1.7c17f58bdf209p-2, 0x1.7d4cdd08c678ep-2, 0x1.7e62667578339p-2, 0x1.7f591827cce9ep-2, 0x1.8031797f1bbd1p-2, 0x1.80ec12c321f0cp-2, 0x1.81896d03f2d8p-2, 0x1.820a11faf63d2p-2, 0x1.826e8bece179ep-2, 0x1.82b7658cbcd76p-2, 0x1.82e529dfdbb3dp-2, 0x1.82f86422d2dd7p-2, 0x1.82f19faf5f7fbp-2, 0x1.82d167e340d67p-2, 0x1.82984807faf9fp-2, 0x1.8246cb3b82529p-2, 0x1.81dd7c59c83aep-2, 0x1.815ce5e7277dfp-2, 0x1.80c591fba938p-2, 0x1.80180a2f2056cp-2, 0x1.7f54d78616025p-2, 0x1.7e7c825f82179p-2, 0x1.7d8f92634ade1p-2, 0x1.7c8e8e718b886p-2, 0x1.7b79fc92959f2p-2, 0x1.7a5261e7b30f1p-2, 0x1.7918429c99035p-2, 0x1.77cc21d993783p-2, 0x1.766e81b6593fdp-2, 0x1.74ffe32d8e303p-2, 0x1.7380c610e80bap-2, 0x1.71f1a8fdf856ap-2, 0x1.7053095390fdp-2, 0x1.6ea56327c589bp-2, 0x1.6ce9313e7ed25p-2, 0x1.6b1eed00a1886p-2, 0x1.69470e73c50b9p-2, 0x1.67620c326e9dfp-2, 0x1.65705b64d954ap-2, 0x1.63726fba3a0f6p-2, 0x1.6168bb6287d0ep-2, 0x1.5f53af08bbb8bp-2, 0x1.5d33b9cd882bep-2, 0x1.5b09494286bdcp-2, 0x1.58d4c965d39b5p-2, 0x1.5696a49e16eap-2, 0x1.544f43b6f906p-2, 0x1.51ff0dddfb77ap-2, 0x1.4fa6689fb62f5p-2, 0x1.4d45b7e573c0ap-2, 0x1.4add5df32a6a7p-2, 0x1.486dbb65ced6fp-2, 0x1.45f72f31fd7fep-2, 0x1.437a16a2f814p-2, 0x1.40f6cd59f2e72p-2, 0x1.3e6dad4db03b5p-2, 0x1.3bdf0eca66beap-2, 0x1.394b4871ef484p-2, 0x1.36b2af3c3b279p-2, 0x1.3415967808051p-2, 0x1.31744fcbd8601p-2, 0x1.2ecf2b37284c9p-2, 0x1.2c267713dd915p-2, 0x1.297a8017ef2fcp-2, 0x1.26cb91574538p-2, 0x1.2419f445cba09p-2, 0x1.2165f0b9b7b2bp-2, 0x1.1eafccedf9e1ap-2, 0x1.1bf7cd84e1c5bp-2, 0x1.193e358ae8cacp-2, 0x1.16834679a9bb6p-2, 0x1.13c7403afb7adp-2, 0x1.110a612c35873p-2, 0x1.0e4ce62191f32p-2, 0x1.0b8f0a69b6f4ap-2, 0x1.08d107d15a66cp-2, 0x1.061316a704f57p-2, 0x1.03556dbef4f45p-2, 0x1.00984277125c2p-2, 0x1.fbb791760b0ep-3, 0x1.f6406610be27p-3, 0x1.f0cb64e5aaa9ep-3, 0x1.eb58ed513062ap-3, 0x1.e5e95bed6b6c3p-3, 0x1.e07d0a9b1fa7bp-3, 0x1.db14508ac3ddbp-3, 0x1.d5af8245a9066p-3, 0x1.d04ef1b73db63p-3, 0x1.caf2ee3664e53p-3, 0x1.c59bc48ee719ep-3, 0x1.c049bf0af0c52p-3, 0x1.bafd257ca3f8ap-3, 0x1.b5b63d47b9f28p-3, 0x1.b075496b2bb1dp-3, 0x1.ab3a8a8aea614p-3, 0x1.a6063ef998a2p-3, 0x1.a0d8a2c251ea5p-3, 0x1.9bb1efb271027p-3, 0x1.96925d635681ap-3, 0x1.917a21443abaap-3, 0x1.8c696ea3f194fp-3, 0x1.876076bab3adcp-3, 0x1.825f68b3e3126p-3, 0x1.7d6671b7c48bdp-3, 0x1.7875bcf53b8d4p-3, 0x1.738d73ab756d1p-3, 0x1.6eadbd338e748p-3, 0x1.69d6bf0a2b81p-3, 0x1.65089cd909f7bp-3, 0x1.604378807c5fap-3, 0x1.5b877220e1b48p-3, 0x1.56d4a824079d1p-3, 0x1.522b374679481p-3, 0x1.4d8b3aa0c73edp-3, 0x1.48f4cbb0b3f44p-3, 0x1.446802624f9cep-3, 0x1.3fe4f51904318p-3, 0x1.3b6bb8b88a93dp-3, 0x1.36fc60adc7112p-3, 0x1.3296fef7952f6p-3, 0x1.2e3ba42f7e5dbp-3, 0x1.29ea5f9250f9ep-3, 0x1.25a33f08a862fp-3, 0x1.21664f2f5b881p-3, 0x1.1d339b5fcd90ep-3, 0x1.190b2db82dcep-3, 0x1.14ed0f23947b5p-3, 0x1.10d94762108dbp-3, 0x1.0ccfdd109170ap-3, 0x1.08d0d5b0c00d2p-3, 0x1.04dc35b0b1fe3p-3, 0x1.00f200728c0ecp-3, 0x1.fa2470a808579p-4, 0x1.f279bd6b91e6ap-4, 0x1.eae3e80598788p-4, 0x1.e362ef6ef1042p-4, 0x1.dbf6d0d17f38bp-4, 0x1.d49f87962c395p-4, 0x1.cd5d0d72a1881p-4, 0x1.c62f5a76c65edp-4, 0x1.bf16651a0bc57p-4, 0x1.b81222487b161p-4, 0x1.b122856f8df7ap-4, 0x1.aa47808ad5169p-4, 0x1.a381043054fa8p-4, 0x1.9cceff9cbfacap-4, 0x1.963160bf69c2p-4, 0x1.8fa8144609099p-4, 0x1.893305a83e73fp-4, 0x1.82d21f32e8bd2p-4, 0x1.7c854a133d634p-4, 0x1.764c6e61af4c3p-4, 0x1.7027732c969dep-4, 0x1.6a163e82ac9b7p-4, 0x1.6418b57d4c936p-4, 0x1.5e2ebc4a7caf2p-4, 0x1.58583636c95f6p-4, 0x1.529505b6e38fep-4, 0x1.4ce50c71122c1p-4, 0x1.47482b466ad13p-4, 0x1.41be425bd85dp-4, 0x1.3c473122f284p-4, 0x1.36e2d6629b86ap-4, 0x1.3191103f748f5p-4, 0x1.2c51bc441a78cp-4, 0x1.2724b76934d74p-4, 0x1.2209de1d53929p-4, 0x1.1d010c4c9ffddp-4, 0x1.180a1d685982cp-4, 0x1.1324ec6e2652p-4, 0x1.0e5153ef39806p-4, 0x1.098f2e1747b54p-4, 0x1.04de54b34ce06p-4, 0x1.003ea1382db22p-4, 0x1.f75fd9924c794p-5, 0x1.ee64207c21a46p-5, 0x1.e589c85303ef6p-5, 0x1.dcd081bd72d31p-5, 0x1.d437fceedd6d2p-5, 0x1.cbbfe9b2da998p-5, 0x1.c367f778231ffp-5, 0x1.bb2fd55b2e493p-5, 0x1.b31732308871p-5, 0x1.ab1dbc8ee0c2ap-5, 0x1.a34322d8c662dp-5, 0x1.9b8713461aa8dp-5, 0x1.93e93bed407d7p-5, 0x1.8c694acc05b5ap-5, 0x1.8506edd03d43ap-5, 0x1.7dc1d2e01efefp-5, 0x1.7699a7e261692p-5, 0x1.6f8e1ac60880cp-5, 0x1.689ed98a0243dp-5, 0x1.61cb92447b6cp-5, 0x1.5b13f329f3c77p-5, 0x1.5477aa941afa2p-5, 0x1.4df667086bce1p-5, 0x1.478fd73e8e299p-5, 0x1.4143aa2685a71p-5, 0x1.3b118eee9d533p-5, 0x1.34f9350922832p-5, 0x1.2efa4c31e4e87p-5, 0x1.291484738b047p-5, 0x1.23478e2ca2598p-5, 0x1.1d931a1490a59p-5, 0x1.17f6d9403ebf1p-5, 0x1.12727d26a1aa5p-5, 0x1.0d05b7a5137bp-5, 0x1.07b03b0370c04p-5, 0x1.0271b9f817535p-5, 0x1.fa93cf575c886p-6, 0x1.f070ef79930f8p-6, 0x1.e67a3c86bd023p-6, 0x1.dcaf1fa825152p-6, 0x1.d30f0306ba53fp-6, 0x1.c99951d105054p-6, 0x1.c04d7840e4ab4p-6, 0x1.b72ae3a0dc056p-6, 0x1.ae3102513a96ap-6, 0x1.a55f43cce2f3ap-6, 0x1.9cb518addae1bp-6, 0x1.9431f2b19192bp-6, 0x1.8bd544bce8a8ap-6, 0x1.839e82dff3557p-6, 0x1.7b8d22597f4c9p-6, 0x1.73a0999a65688p-6, 0x1.6bd860488ce88p-6, 0x1.6433ef41ce4fcp-6, 0x1.5cb2c09e81d39p-6, 0x1.55544fb3f5dbfp-6, 0x1.4e1819169113ap-6, 0x1.46fd9a9bdbd6cp-6, 0x1.4004535c50a1dp-6, 0x1.392bc3b4ebc36p-6, 0x1.32736d48a3d56p-6, 0x1.2bdad301a0103p-6, 0x1.2561791258ce3p-6, 0x1.1f06e4f67c3e1p-6, 0x1.18ca9d73a3f04p-6, 0x1.12ac2a99fc512p-6, 0x1.0cab15c4ab66p-6, 0x1.06c6e99a21b9cp-6, 0x1.00ff320c3d8bep-6, 0x1.f6a6f8b0a24bdp-7, 0x1.eb86ae0e0ed3bp-7, 0x1.e09ca3d83ae75p-7, 0x1.d5e7fc4c1c501p-7, 0x1.cb67dc3b1a6a2p-7, 0x1.c11b6b09db564p-7, 0x1.b701d2aeeb2aap-7, 0x1.ad1a3fb0f9971p-7, 0x1.a363e1251788cp-7, 0x1.99dde8aca495bp-7, 0x1.90878a7315p-7, 0x1.875ffd2b7e05bp-7, 0x1.7e667a0e114c9p-7, 0x1.759a3cd54815ep-7, 0x1.6cfa83bafef72p-7, 0x1.64868f7564893p-7, 0x1.5c3da333c0af7p-7, 0x1.541f049b0c059p-7, 0x1.4c29fbc27d72ap-7, 0x1.445dd32fe1219p-7, 0x1.3cb9d7d3d961p-7, 0x1.353d5905ff481p-7, 0x1.2de7a880e519cp-7, 0x1.26b81a5e09748p-7, 0x1.1fae0511925aap-7, 0x1.18c8c1661f077p-7, 0x1.1207aa784c805p-7, 0x1.0b6a1db254777p-7, 0x1.04ef7ac77a382p-7, 0x1.fd2e475ed6193p-8, 0x1.f0c0f9432482ap-8, 0x1.e495d82099db3p-8, 0x1.d8abb5484943cp-8, 0x1.cd01666ddeb05p-8, 0x1.c195c59daeefbp-8, 0x1.b667b132bc289p-8, 0x1.ab760bccd7e48p-8, 0x1.a0bfbc462fa4cp-8, 0x1.9643ada95ce9ap-8, 0x1.8c00cf26fe298p-8, 0x1.81f6140b4a6eep-8, 0x1.782273b3c825ap-8, 0x1.6e84e984b44p-8, 0x1.651c74de997d2p-8, 0x1.5be81913c3a89p-8, 0x1.52e6dd5d8b71cp-8, 0x1.4a17ccd1e197ep-8, 0x1.4179f6589640bp-8, 0x1.390c6ca0ae61cp-8, 0x1.30ce4615c3db8p-8, 0x1.28be9cd56354bp-8, 0x1.20dc8ea442f56p-8, 0x1.19273ce3b04cdp-8, 0x1.119dcc86e6033p-8, 0x1.0a3f66084d46bp-8, 0x1.030b355ef46b9p-8, 0x1.f800d3e7c4bap-9, 0x1.ea3c6d2eefb18p-9, 0x1.dcc7a2edecc58p-9, 0x1.cfa0e823c4b18p-9, 0x1.c2c6b65ec73c3p-9, 0x1.b6378da84c22cp-9, 0x1.a9f1f46ef8969p-9, 0x1.9df47772a30ffp-9, 0x1.923da9af5562cp-9, 0x1.86cc24489fe2ep-9, 0x1.7b9e867562c2p-9, 0x1.70b3756b2b565p-9, 0x1.66099c4a220f4p-9, 0x1.5b9fac08afcb5p-9, 0x1.51745b5f782f9p-9, 0x1.478666b5afc11p-9, 0x1.3dd4900d16ccbp-9, 0x1.345d9eee29c92p-9, 0x1.2b20605511b0ap-9, 0x1.221ba69dcb613p-9, 0x1.194e49714a10ap-9, 0x1.10b725b1fe605p-9, 0x1.08551d694a71fp-9, 0x1.002717b44ec9ap-9, 0x1.f05801632f9c5p-10, 0x1.e0c592dcd96c3p-10, 0x1.d194cfa91755bp-10, 0x1.c2c3ad2fec7e8p-10, 0x1.b4502a49f204bp-10, 0x1.a6384f1c8a2b8p-10, 0x1.987a2cf666d8cp-10, 0x1.8b13de2cdabcap-10, 0x1.7e0385f89edcp-10, 0x1.714750540f07ep-10, 0x1.64dd71d84f1bdp-10, 0x1.58c4279c5b207p-10, 0x1.4cf9b7137e4f2p-10, 0x1.417c6debe2dap-10, 0x1.364aa1ee6837ap-10, 0x1.2b62b0de15398p-10, 0x1.20c300583425cp-10, 0x1.1669fdb49638ap-10, 0x1.0c561de67286p-10, 0x1.0285dd5d3dc2cp-10, 0x1.f1ef7fcd26ap-11, 0x1.df54a11ea1d1cp-11, 0x1.cd38430c52b3cp-11, 0x1.bb9797fc715dep-11, 0x1.aa6fe022461ffp-11, 0x1.99be694675fbep-11, 0x1.89808e8c7a0bbp-11, 0x1.79b3b83b1ea6p-11, 0x1.6a555b84e0f5cp-11, 0x1.5b62fa50942cbp-11, 0x1.4cda2303bb1c8p-11, 0x1.3eb8704ccb115p-11, 0x1.30fb88ee3bd05p-11, 0x1.23a11f8ac098bp-11, 0x1.16a6f2717b11p-11, 0x1.0a0acb6b141cap-11, 0x1.fb94ff0f8c2bfp-12, 0x1.e3c7dddc7c9dp-12, 0x1.ccaa0954a2971p-12, 0x1.b6376cf9ca2bfp-12, 0x1.a06c095970e1cp-12, 0x1.8b43f3ae5cadep-12, 0x1.76bb5585bc2a3p-12, 0x1.62ce6c6134e89p-12, 0x1.4f7989610baf3p-12, 0x1.3cb910e7d03aap-12, 0x1.2a897a451c59p-12, 0x1.18e74f5f89b57p-12, 0x1.07cf2c5efa0dep-12, 0x1.ee7b7eb2dc788p-13, 0x1.ce5f9001f0247p-13, 0x1.af442ea455859p-13, 0x1.91231e88c68b7p-13, 0x1.73f644f599f65p-13, 0x1.57b7a7ed36835p-13, 0x1.3c616d976a189p-13, 0x1.21eddba66b41bp-13, 0x1.085756c75b2p-13, 0x1.df30c41a38982p-14, 0x1.af573cc4a7282p-14, 0x1.811793f2b4b2ep-14, 0x1.54677f89273b2p-14, 0x1.293cedd2ad28ap-14, 0x1.ff1c08ed44fb9p-15, 0x1.aea23eda85176p-15, 0x1.60f99ff62c236p-15, 0x1.160fb75b10285p-15, 0x1.9ba4ed7b7820ep-16, 0x1.106068f225463p-16, 0x1.145ea682fe52ep-17, 0x1.1dfc0967106b8p-21, -0x1.cdfbf882b480cp-18, -0x1.d67b37a33c3e7p-17, -0x1.5e6b95e6f86d2p-16, -0x1.cd27d641ba9e6p-16, -0x1.1bc84b87da501p-15, -0x1.4ee1b313c9588p-15, -0x1.7fee943885e0fp-15, -0x1.aefd0e945fd9p-15, -0x1.dc1af093a2f98p-15, -0x1.03aadc82b42e2p-14, -0x1.185d4c58f9a8p-14, -0x1.2c2b39f046b7ep-14, -0x1.3f1af1effea12p-14, -0x1.51329c40953b7p-14, -0x1.62783cc8791f6p-14, -0x1.72f1b42252999p-14, -0x1.82a4c05508387p-14, -0x1.9196fd81634ebp-14, -0x1.9fcde6962c86p-14, -0x1.ad4ed5f638cfp-14, -0x1.ba1f0626aeeffp-14, -0x1.c6439270e0a2fp-14, -0x1.d1c17785dae44p-14, -0x1.dc9d941ff5bf2p-14, -0x1.e6dca99e8ff79p-14, -0x1.f0835c9ffd89ep-14, -0x1.f996359a374eep-14, -0x1.010cd0b7942ap-13, -0x1.0508f8ff1ab7dp-13, -0x1.08c1af5a31dfbp-13, -0x1.0c39028ca0582p-13, -0x1.0f70f4abe0003p-13, -0x1.126b7b642f013p-13, -0x1.152a803a67e11p-13, -0x1.17afe0cd2e729p-13, -0x1.19fd6f15cbb38p-13, -0x1.1c14f1a6e1884p-13, -0x1.1df823e9aef7bp-13, -0x1.1fa8b65c3f7e8p-13, -0x1.21284ecb1c29bp-13, -0x1.2278888d2956ap-13, -0x1.239af4bc5ab37p-13, -0x1.24911a6dd8ef9p-13, -0x1.255c76e9231dp-13, -0x1.25fe7ddf17bfep-13, -0x1.2678999de8d67p-13, -0x1.26cc2b45b201ep-13, -0x1.26fa8afbc41ebp-13, -0x1.2705081c47b9ep-13, -0x1.26ece96be1526p-13, -0x1.26b36d4768e98p-13, -0x1.2659c9d3d79e9p-13, -0x1.25e12d2b96406p-13, -0x1.254abd8d53bp-13, -0x1.2497998749078p-13, -0x1.23c8d8238eac7p-13, -0x1.22df8913336d8p-13, -0x1.21dcb4d730e41p-13, -0x1.20c15ceacbb96p-13, -0x1.1f8e7beb355cp-13, -0x1.1e4505bf66746p-13, -0x1.1ce5e7be8e5bbp-13, -0x1.1b7208d66a41p-13, -0x1.19ea49b032376p-13, -0x1.184f84d537e76p-13, -0x1.16a28ed2e7a04p-13, -0x1.14e4365d4f1b8p-13, -0x1.13154471d9658p-13, -0x1.11367c78c201dp-13, -0x1.0f489c661bfabp-13, -0x1.0d4c5cd9a3fd1p-13, -0x1.0b42713f38308p-13, -0x1.092b87ed3e6fep-13, -0x1.07084a42f4e34p-13, -0x1.04d95cc66fbcfp-13, -0x1.029f5f41676abp-13, -0x1.005aecddef5c9p-13, -0x1.fc193884b7a77p-14, -0x1.f769ff58bda9cp-14, -0x1.f2a94a17e7222p-14, -0x1.edd82c3b6df97p-14, -0x1.e8f7b1084cf42p-14, -0x1.e408dbc2cb3e4p-14, -0x1.df0ca7ddc0b0ep-14, -0x1.da04092c68041p-14, -0x1.d4efec10d783fp-14, -0x1.cfd135aa5224ap-14, -0x1.caa8c4022015cp-14, -0x1.c5776e37b6cb8p-14, -0x1.c03e04ac397ebp-14, -0x1.bafd512cae362p-14, -0x1.b5b6171bc31fap-14, -0x1.b0691399a9eabp-14, -0x1.ab16fdabf6bdep-14, -0x1.a5c08664c5ap-14, -0x1.a06659087e9d8p-14, -0x1.9b091b325211bp-14, -0x1.95a96cf9cb428p-14, -0x1.9047e91568cb9p-14, -0x1.8ae524fd6212ap-14, -0x1.8581b10e2e397p-14, -0x1.801e18a972226p-14, -0x1.7abae2562d579p-14, -0x1.75588fe1639b6p-14, -0x1.6ff79e7c59558p-14, -0x1.6a9886db79e05p-14, -0x1.653bbd53ae474p-14, -0x1.5fe1b1f81155ap-14, -0x1.5a8ad0b591d79p-14, -0x1.5537816f6461fp-14, -0x1.4fe82819a22afp-14, -0x1.4a9d24d448fc3p-14, -0x1.4556d404dcf12p-14, -0x1.40158e6fda4a9p-14, -0x1.3ad9a951cb90fp-14, -0x1.35a37676e7923p-14, -0x1.307344533fd9ap-14, -0x1.2b495e19a211bp-14, -0x1.26260bd24ee1fp-14, -0x1.210992710042cp-14, -0x1.1bf433ea83307p-14, -0x1.16e62f49e5a49p-14, -0x1.11dfc0c49f87bp-14, -0x1.0ce121cf55a98p-14, -0x1.07ea8930f16b4p-14, -0x1.02fc2b16295dbp-14, -0x1.fc2c724826de4p-15, -0x1.f271c514b6d08p-15, -0x1.e8c8a82ad3d47p-15, -0x1.df31707f63a0cp-15, -0x1.d5ac6e851b099p-15, -0x1.cc39ee4e5f36bp-15, -0x1.c2da37ad401a7p-15, -0x1.b98d8e5383d72p-15, -0x1.b05431f13ce27p-15, -0x1.a72e5e537f814p-15, -0x1.9e1c4b814db2bp-15, -0x1.951e2dd90d186p-15, -0x1.8c34362bbd21bp-15, -0x1.835e91d92f2ddp-15, -0x1.7a9d6aea15474p-15, -0x1.71f0e82abc024p-15, -0x1.69592d43d4993p-15, -0x1.60d65ad3fa07p-15, -0x1.58688e873f872p-15, -0x1.500fe32f45787p-15, -0x1.47cc70d9f34bcp-15, -0x1.3f9e4ce842046p-15, -0x1.37858a23dc0b5p-15, -0x1.2f8238d4a53b1p-15, -0x1.279466d5649fp-15, -0x1.1fbc1fa82ec9bp-15, -0x1.17f96c8a50a08p-15, -0x1.104c548768776p-15, -0x1.08b4dc8c296c9p-15, -0x1.013307790fff1p-15, -0x1.f38dac675b45fp-16, -0x1.e4e08f7147965p-16, -0x1.d65eb2584b75ep-16, -0x1.c8080bd5b965dp-16, -0x1.b9dc8f335091ep-16, -0x1.abdc2c6b1b2c7p-16, -0x1.9e06d045f5cc8p-16, -0x1.905c6478f9728p-16, -0x1.82dccfc2c51fcp-16, -0x1.7587f607a95d1p-16, -0x1.685db86c9de78p-16, -0x1.5b5df5738fcdp-16, -0x1.4e88891330c6ap-16, -0x1.41dd4cd1aeed8p-16, -0x1.355c17dd50b97p-16, -0x1.2904bf2488173p-16, -0x1.1cd7156c7e389p-16, -0x1.10d2eb6869dfcp-16, -0x1.04f80fd0156c5p-16, -0x1.f28c9ee97615cp-17, -0x1.db7aeaaaf9794p-17, -0x1.c4ba956a079c1p-17, -0x1.ae4b2e58d3569p-17, -0x1.982c417d32151p-17, -0x1.825d57d636bcap-17, -0x1.6cddf78043215p-17, -0x1.57ada3d89d8b1p-17, -0x1.42cbdd9fa8521p-17, -0x1.2e382319ee956p-17, -0x1.19f1f03197695p-17, -0x1.05f8be9486be1p-17, -0x1.e4980ba6dfe8bp-18, -0x1.bdd676ff7a87bp-18, -0x1.97aba6917e7a3p-18, -0x1.72167e2c85d46p-18, -0x1.4d15de4a1bc8dp-18, -0x1.28a8a44137fdfp-18, -0x1.04cdaa7ad81a4p-18, -0x1.c30791431495dp-19, -0x1.7d93a7a531ba2p-19, -0x1.393d3d9813353p-19, -0x1.ec03e86e374e8p-20, -0x1.67bed1240431p-20, -0x1.cb4cd002dcaf4p-21, -0x1.96d763d3658e2p-22, 0x1.817b63f51242bp-24, 0x1.278e4acd2dd95p-21, 0x1.0d5d593e941b9p-20, 0x1.84df3aef06cc8p-20, 0x1.fa51b7770a298p-20, 0x1.36dcdf94041a4p-19, 0x1.6f8e228eed78ep-19, 0x1.a73f1f65bd593p-19, 0x1.ddf251b8e247ep-19, 0x1.09d51aeb7489p-18, 0x1.2434a4423e622p-18, 0x1.3e1903615a4bbp-18, 0x1.578376cd65423p-18, 0x1.70753cf499163p-18, 0x1.88ef9416d2d7ep-18, 0x1.a0f3ba2c301c8p-18, 0x1.b882ecce110a6p-18, 0x1.cf9e69211f3e6p-18, 0x1.e6476bbf46db4p-18, 0x1.fc7f30a2a0d93p-18, 0x1.09237988c3ae7p-17, 0x1.13cff6c5f6de8p-17, 0x1.1e45acdc10763p-17, 0x1.28853827e1c6cp-17, 0x1.328f3488045a7p-17, 0x1.3c643d549acf5p-17, 0x1.4604ed56ca81bp-17, 0x1.4f71dec198991p-17, 0x1.58abab29f8473p-17, 0x1.61b2eb805bd58p-17, 0x1.6a883809e625ep-17, 0x1.732c2859882b3p-17, 0x1.7b9f534a0ec44p-17, 0x1.83e24ef829ac3p-17, 0x1.8bf5b0bcd5daap-17, 0x1.93da0d281cebep-17, 0x1.9b8ff7fb613d8p-17, 0x1.a3180424dd02bp-17, 0x1.aa72c3bb04858p-17, 0x1.b1a0c7f7cb95cp-17, 0x1.b8a2a134587e8p-17, 0x1.bf78dee542c6ap-17, 0x1.c6240f96bdc43p-17, 0x1.cca4c0e8a7ce2p-17, 0x1.d2fb7f8b35127p-17, 0x1.d928d73bc1565p-17, 0x1.df2d52c224dafp-17, 0x1.e5097bed39bb9p-17, 0x1.eabddb9049529p-17, 0x1.f04af980aa9dbp-17, 0x1.f5b15c936213ap-17, 0x1.faf18a9abbb5fp-17, 0x1.0006043239e79p-16, 0x1.0280acdbe7eb4p-16, 0x1.04e900a9c32a8p-16, 0x1.073f407621ef6p-16, 0x1.0983ac95b13fp-16, 0x1.0bb684d6b80f3p-16, 0x1.0dd8088053475p-16, 0x1.0fe876522b87ep-16, 0x1.11e80c83d47adp-16, 0x1.13d708c4404fcp-16, 0x1.15b5a839827cap-16, 0x1.1784278067fa6p-16, 0x1.1942c2ac4eea9p-16, 0x1.1af1b546bb39ep-16, 0x1.1c913a4f667a6p-16, 0x1.1e218c3bfe51p-16, 0x1.1fa2e4f7fcd3cp-16, 0x1.21157de4be27dp-16, 0x1.22798fd95d32ap-16, 0x1.23cf5322ea5d6p-16, 0x1.2516ff847c27dp-16, 0x1.2650cc373aafap-16, 0x1.277cefea85e15p-16, 0x1.289ba0c434e15p-16, 0x1.29ad1460db38dp-16, 0x1.2ab17fd3f864ap-16, 0x1.2ba917a846603p-16, 0x1.2c940fe013b7fp-16, 0x1.2d729bf5a7b24p-16, 0x1.2e44eedb9e8b7p-16, 0x1.2f0b3afd53625p-16, 0x1.2fc5b23f48b3ep-16, 0x1.307485ffa2db1p-16, 0x1.3117e716b493cp-16, 0x1.31b005d77ba37p-16, 0x1.323d1210164dep-16, 0x1.32bf3b0a634c5p-16, 0x1.3336af8c9a911p-16, 0x1.33a39dd9d406ap-16, 0x1.340633b2ba43bp-16, 0x1.345e9e5632702p-16, 0x1.34ad0a81edd33p-16, 0x1.34f1a47315532p-16, 0x1.352c97e70868bp-16, 0x1.355e101c044bdp-16, 0x1.358637d1e22eep-16, 0x1.35a5394ac14d2p-16, 0x1.35bb3e4bdc35p-16, 0x1.35c8701e41f84p-16, 0x1.35ccf78f9690cp-16, 0x1.35c8fcf2d798p-16, 0x1.35bca8211912p-16, 0x1.35a8207a76d14p-16, 0x1.358b8ce6c72b1p-16, 0x1.356713d66854dp-16, 0x1.353adb4315aep-16, 0x1.350708b0cd9dcp-16, 0x1.34cbc12e98737p-16, 0x1.348929575b87ep-16, 0x1.343f6552bc38ap-16, 0x1.33ee98d6095f3p-16, 0x1.3396e724fc6e9p-16, 0x1.333873129ddf3p-16, 0x1.32d35f022dee1p-16, 0x1.3267cce7fb581p-16, 0x1.31f5de4a4b605p-16, 0x1.317db442308bap-16, 0x1.30ff6f7c90eaap-16, 0x1.307b303aca643p-16, 0x1.2ff11653d2384p-16, 0x1.2f614134fa6f7p-16, 0x1.2ecbcfe2db531p-16, 0x1.2e30e0fa315c9p-16, 0x1.2d9092b0d7401p-16, 0x1.2ceb02d69a7e4p-16, 0x1.2c404ed62e399p-16, 0x1.2b9093b5ef35dp-16, 0x1.2adbee18fb6d4p-16, 0x1.2a227a3ffa627p-16, 0x1.2964540a001bep-16, 0x1.28a196f56d3dp-16, 0x1.27da5e20ef8cbp-16, 0x1.270ec44c500b1p-16, 0x1.263ee3d964561p-16, 0x1.256ad6ccd86c3p-16, 0x1.2492b6cf25d4ep-16, 0x1.23b69d2d7aeebp-16, 0x1.22d6a2da8ec8ap-16, 0x1.21f2e06f9d55bp-16, 0x1.210b6e2d220e1p-16, 0x1.202063fbc671cp-16, 0x1.1f31d96d4503dp-16, 0x1.1e3fe5bd4e6f3p-16, 0x1.1d4a9fd2562b3p-16, 0x1.1c521e3e8bcd5p-16, 0x1.1b5677408adb8p-16, 0x1.1a57c0c4494e8p-16, 0x1.195610640a67dp-16, 0x1.18517b6909781p-16, 0x1.174a16cc8d21dp-16, 0x1.163ff738801cap-16, 0x1.153331086b3f4p-16, 0x1.1423d84a380dep-16, 0x1.131200bf10d34p-16, 0x1.11fdbddc33099p-16, 0x1.10e722cbc1c2cp-16, 0x1.0fce426d877e1p-16, 0x1.0eb32f57bfeb5p-16, 0x1.0d95fbd80443fp-16, 0x1.0c76b9f3f33p-16, 0x1.0b557b6a20014p-16, 0x1.0a3251b2cc9bfp-16, 0x1.090d4e00a07d7p-16, 0x1.07e68141898e1p-16, 0x1.06bdfc1f7045fp-16, 0x1.0593cf01067b4p-16, 0x1.04680a0a8655ep-16, 0x1.033abd1e644b4p-16, 0x1.020bf7de366bfp-16, 0x1.00dbc9ab4ddf8p-16, 0x1.ff54834f29a91p-17, 0x1.fceedd6c5b7f3p-17, 0x1.fa86bef86bd3ap-17, 0x1.f81c44c2feb2ap-17, 0x1.f5af8b228fafep-17, 0x1.f340adf61dec3p-17, 0x1.f0cfc8a61cc1ap-17, 0x1.ee5cf6264f581p-17, 0x1.ebe850f6cd7e6p-17, 0x1.e971f325acce4p-17, 0x1.e6f9f6506d489p-17, 0x1.e48073a4efc57p-17, 0x1.e20583e30c5bdp-17, 0x1.df893f5e07a3ap-17, 0x1.dd0bbdfdbfe8fp-17, 0x1.da8d17401e1bap-17, 0x1.d80d623a14e4cp-17, 0x1.d58cb5995df75p-17, 0x1.d30b27a56387cp-17, 0x1.d088ce40a5b3dp-17, 0x1.ce05bee9fec5p-17, 0x1.cb820ebdda7a5p-17, 0x1.c8fdd2778e77ep-17, 0x1.c6791e72877a3p-17, 0x1.c3f406ab653e5p-17, 0x1.c16e9ec139009p-17, 0x1.bee8f9f6b420cp-17, 0x1.bc632b339d646p-17, 0x1.b9dd450580c8cp-17, 0x1.b75759a138f1ep-17, 0x1.b4d17ae3d2debp-17, 0x1.b24bba53eefdap-17, 0x1.afc62922c6063p-17, 0x1.ad40d82d1551fp-17, 0x1.aabbd7fc9b53ap-17, 0x1.a83738c8db963p-17, 0x1.a5b30a7872d94p-17, 0x1.a32f5ca1fac51p-17, 0x1.a0ac3e8d078fp-17, 0x1.9e29bf3384bb9p-17, 0x1.9ba7ed4280529p-17, 0x1.9926d71b53bf8p-17, 0x1.96a68ad47bfdbp-17, 0x1.9427163ae7f16p-17, 0x1.91a886d299d06p-17, 0x1.8f2ae9d7db8a2p-17, 0x1.8cae4c402c91ep-17, 0x1.8a32babb67dd6p-17, 0x1.87b841b476991p-17, 0x1.853eed5249798p-17, 0x1.82c6c978e3588p-17, 0x1.804fe1ca66b3dp-17, 0x1.7dda41a7bfbbap-17, 0x1.7b65f431966f7p-17, 0x1.78f3044950958p-17, 0x1.76817c91f8508p-17, 0x1.7411677104712p-17, 0x1.71a2cf0f4ee67p-17, 0x1.6f35bd59d8bccp-17, 0x1.6cca3c02bdab7p-17, 0x1.6a605481e3e78p-17, 0x1.67f81015f856bp-17, }}, 
      {{-0x1.de579cb585133p-1, -0x1.de56d146801ep-1, -0x1.de4efbc87d13fp-1, -0x1.de39598bd1c77p-1, -0x1.de0fe11432fd7p-1, -0x1.ddce2ef93703ap-1, -0x1.dd71c8c5ccab5p-1, -0x1.dcf9f3b76bea9p-1, -0x1.dc67554fec531p-1, -0x1.dbbb83e069507p-1, -0x1.daf89dfde73f1p-1, -0x1.da20f43fe5f4ep-1, -0x1.d936c907a0521p-1, -0x1.d83c25985a876p-1, -0x1.d732c18946a09p-1, -0x1.d61bf8c11222ap-1, -0x1.d4f8cc23a5782p-1, -0x1.d3c9e97fd2922p-1, -0x1.d28fb7de7ac72p-1, -0x1.d14a65f2963bep-1, -0x1.cff9f8fdac61cp-1, -0x1.ce9e5afd448bdp-1, -0x1.cd37676043851p-1, -0x1.cbc4f5d71b424p-1, -0x1.ca46e3113dbap-1, -0x1.c8bd17681bacfp-1, -0x1.c7278b97394c1p-1, -0x1.c5864bb47c30ep-1, -0x1.c3d978a6780acp-1, -0x1.c221485a70525p-1, -0x1.c05e04fb000f5p-1, -0x1.be900b645addfp-1, -0x1.bcb7c90d29f65p-1, -0x1.bad5b9940fb05p-1, -0x1.b8ea641a76a36p-1, -0x1.b6f6588e25f84p-1, -0x1.b4fa2cfc36a07p-1, -0x1.b2f67b01e85p-1, -0x1.b0ebdd6a5cc3cp-1, -0x1.aedaee0396a99p-1, -0x1.acc443b132b76p-1, -0x1.aaa870c0174fbp-1, -0x1.a888017bcbb96p-1, -0x1.a6637b042c2e6p-1, -0x1.a43b5a60acc74p-1, -0x1.a21013cd560e5p-1, -0x1.9fe2123ce4128p-1, -0x1.9db1b70b0a1f6p-1, -0x1.9b7f59d9a565bp-1, -0x1.994b4893a672dp-1, -0x1.9715c79096278p-1, -0x1.94df11d3cda5dp-1, -0x1.92a75962c8be2p-1, -0x1.906ec7ae4b13ep-1, -0x1.8e357e0a6b773p-1, -0x1.8bfb9631fcc59p-1, -0x1.89c122d22361ep-1, -0x1.8786301b4bb32p-1, -0x1.854ac45508ca3p-1, -0x1.830ee072b7d73p-1, -0x1.80d280a716758p-1, -0x1.7e959cf53f8bdp-1, -0x1.7c5829bdc392bp-1, -0x1.7a1a1846d1849p-1, -0x1.77db573e976bfp-1, -0x1.759bd33730937p-1, -0x1.735b771ba97f5p-1, -0x1.711a2c9dbb59ap-1, -0x1.6ed7dc9c0c759p-1, -0x1.6c946f80d63f8p-1, -0x1.6a4fcd98ef483p-1, -0x1.6809df634b728p-1, -0x1.65c28dd90ea3p-1, -0x1.6379c2ae695abp-1, -0x1.612f688c743c5p-1, -0x1.5ee36b4452652p-1, -0x1.5c95b7fbe5ccep-1, -0x1.5a463d5465111p-1, -0x1.57f4eb8b29bf2p-1, -0x1.55a1b4950b569p-1, -0x1.534c8c34a0f49p-1, -0x1.50f5680bc2efcp-1, -0x1.4e9c3fa8a10ecp-1, -0x1.4c410c8ec62f8p-1, -0x1.49e3ca3c5d99cp-1, -0x1.4784762c0a772p-1, -0x1.45230fd3a25edp-1, -0x1.42bf98a015f07p-1, -0x1.405a13eed00fdp-1, -0x1.3df28704d3398p-1, -0x1.3b88f903d2125p-1, -0x1.391d72dd867b7p-1, -0x1.36afff457c636p-1, -0x1.3440aaa18c93ep-1, -0x1.31cf82f9333ffp-1, -0x1.2f5c97e3f9135p-1, -0x1.2ce7fa77161fep-1, -0x1.2a71bd3277581p-1, -0x1.27f9f3ed4f7d2p-1, -0x1.2580b3c251688p-1, -0x1.230612fbb4e66p-1, -0x1.208a28ff23975p-1, -0x1.1e0d0e39a5d26p-1, -0x1.1b8edc0ba665bp-1, -0x1.190facb524bd6p-1, -0x1.168f9b4223f43p-1, -0x1.140ec3776a27ap-1, -0x1.118d41bf9e22ep-1, -0x1.0f0b3318cdb62p-1, -0x1.0c88b5026a94ap-1, -0x1.0a05e56bc4c36p-1, -0x1.0782e2a30a832p-1, -0x1.04ffcb44d680cp-1, -0x1.027cbe2c4d664p-1, -0x1.fff3b4c7a41b8p-2, -0x1.faee7e2ca7463p-2, -0x1.f5ea170267e2ep-2, -0x1.f0e6bdcd98ebbp-2, -0x1.ebe4b10319dfep-2, -0x1.e6e42eef71df6p-2, -0x1.e1e5759f7e32bp-2, -0x1.dce8c2ca5520dp-2, -0x1.d7ee53bc58ac5p-2, -0x1.d2f6654377e6cp-2, -0x1.ce01339c91a8p-2, -0x1.c90efa61fa6c6p-2, -0x1.c41ff47b1e4fcp-2, -0x1.bf345c0d2e6f5p-2, -0x1.ba4c6a6ce27e4p-2, -0x1.b568581137ad9p-2, -0x1.b0885c872e3a4p-2, -0x1.abacae667a314p-2, -0x1.a6d5834720d0fp-2, -0x1.a2030fb7f5566p-2, -0x1.9d358735f687fp-2, -0x1.986d1c2477e16p-2, -0x1.93a9ffc61b373p-2, -0x1.8eec62368777cp-2, -0x1.8a347264dac84p-2, -0x1.85825e0ecdde9p-2, -0x1.80d651bc811fap-2, -0x1.7c3078bceb25fp-2, -0x1.7790fd22e0555p-2, -0x1.72f807c2af872p-2, -0x1.6e65c03043f8bp-2, -0x1.69da4cbdd3f6ep-2, -0x1.6555d27b0415dp-2, -0x1.60d87534866f5p-2, -0x1.5c62577426f33p-2, -0x1.57f39a8141b61p-2, -0x1.538c5e619ca56p-2, -0x1.4f2cc1da9fca3p-2, -0x1.4ad4e272e26e4p-2, -0x1.4684dc740f552p-2, -0x1.423ccaed10a65p-2, -0x1.3dfcc7b4877c7p-2, -0x1.39c4eb6b85dd4p-2, -0x1.35954d808482ap-2, -0x1.316e043298d8ep-2, -0x1.2d4f2494d8bb1p-2, -0x1.2938c291f5992p-2, -0x1.252af0f0040a4p-2, -0x1.2125c1546a83p-2, -0x1.1d294447fb964p-2, -0x1.1935893b2e1e9p-2, -0x1.154a9e8a77b4ap-2, -0x1.11689182c3bd4p-2, -0x1.0d8f6e6602a6dp-2, -0x1.09bf406fd38a8p-2, -0x1.05f811da3c515p-2, -0x1.0239ebe27927bp-2, -0x1.fd09ad9bb328p-3, -0x1.f5b1b3dd4cb1p-3, -0x1.ee6bf752347dbp-3, -0x1.e73882f0b94b8p-3, -0x1.e0175fe70b77dp-3, -0x1.d90895a552a72p-3, -0x1.d20c29e7c44d5p-3, -0x1.cb2220c0c220dp-3, -0x1.c44a7ca2f7acap-3, -0x1.bd853e6b71b9bp-3, -0x1.b6d2656bbbe0bp-3, -0x1.b031ef73e57b4p-3, -0x1.a9a3d8dc8d9ddp-3, -0x1.a3281c90d7524p-3, -0x1.9cbeb41853442p-3, -0x1.966797a0db59dp-3, -0x1.9022be08576fap-3, -0x1.89f01ce6715b9p-3, -0x1.83cfa89635982p-3, -0x1.7dc1543f96061p-3, -0x1.77c511e0da362p-3, -0x1.71dad257f8d38p-3, -0x1.6c02856bcb3c2p-3, -0x1.663c19d531431p-3, -0x1.60877d4811c47p-3, -0x1.5ae49c7c3f12ep-3, -0x1.555363363d7d8p-3, -0x1.4fd3bc4fe949ap-3, -0x1.4a6591c0fec5p-3, -0x1.4508cca77e46fp-3, -0x1.3fbd554ff4ed9p-3, -0x1.3a83133d9ce46p-3, -0x1.3559ed3264289p-3, -0x1.3041c936c5904p-3, -0x1.2b3a8ca18cb52p-3, -0x1.26441c1f6b40ep-3, -0x1.215e5bba74b6cp-3, -0x1.1c892ee16b9fap-3, -0x1.17c4786efb5afp-3, -0x1.13101ab0bc488p-3, -0x1.0e6bf76e24982p-3, -0x1.09d7efef4b5b9p-3, -0x1.0553e5038b0d5p-3, -0x1.00dfb70802aa2p-3, -0x1.f8f68bdbe3b2cp-4, -0x1.f04ce281e209p-4, -0x1.e7c2305a0c7fcp-4, -0x1.df5633093a58ap-4, -0x1.d708a78ca5bb6p-4, -0x1.ced94a4547b2ep-4, -0x1.c6c7d702fa1c6p-4, -0x1.bed4090f3e1bcp-4, -0x1.b6fd9b37d6953p-4, -0x1.af4447d911b9cp-4, -0x1.a7a7c8e7d501dp-4, -0x1.a027d7fb648b4p-4, -0x1.98c42e56f529ep-4, -0x1.917c84f2ea334p-4, -0x1.8a509485e5e7cp-4, -0x1.8340158d92c8ap-4, -0x1.7c4ac05730c4p-4, -0x1.75704d07e3ed2p-4, -0x1.6eb073a4ca8edp-4, -0x1.680aec1ad1187p-4, -0x1.617f6e4653e7fp-4, -0x1.5b0db1fa7f74fp-4, -0x1.54b56f087b5b5p-4, -0x1.4e765d465e286p-4, -0x1.48503495e665ep-4, -0x1.4242aceaff92ep-4, -0x1.3c4d7e521065ap-4, -0x1.367060f61744fp-4, -0x1.30ab0d268e489p-4, -0x1.2afd3b5d1fe74p-4, -0x1.2566a44328732p-4, -0x1.1fe700b70626cp-4, -0x1.1a7e09d139e02p-4, -0x1.152b78e9571ffp-4, -0x1.0fef079ac80e6p-4, -0x1.0ac86fc961a5fp-4, -0x1.05b76ba5c9c7p-4, -0x1.00bbb5b1b8865p-4, -0x1.f7aa11880ad38p-5, -0x1.ee06401921db9p-5, -0x1.e48b6e30047b6p-5, -0x1.db3913a6bd7d6p-5, -0x1.d20ea91eee6aap-5, -0x1.c90ba80862697p-5, -0x1.c02f8aa750e3p-5, -0x1.b779cc1a5b336p-5, -0x1.aee9e8603f681p-5, -0x1.a67f5c5d42836p-5, -0x1.9e39a5e05bc57p-5, -0x1.961843a817d42p-5, -0x1.8e1ab5673d423p-5, -0x1.86407bc92c208p-5, -0x1.7e891876097c4p-5, -0x1.76f40e16a0a06p-5, -0x1.6f80e05813c8cp-5, -0x1.682f13ef4e8edp-5, -0x1.60fe2e9c3e482p-5, -0x1.59edb72cd9233p-5, -0x1.52fd357fe9197p-5, -0x1.4c2c3287a9248p-5, -0x1.457a384c29193p-5, -0x1.3ee6d1ed88b23p-5, -0x1.38718ba5faa9fp-5, -0x1.3219f2cb9fb76p-5, -0x1.2bdf95d22ee0fp-5, -0x1.25c2044c771b5p-5, -0x1.1fc0ceedb10efp-5, -0x1.19db878ab024p-5, -0x1.1411c11add5ffp-5, -0x1.0e630fb91d267p-5, -0x1.08cf08a47d631p-5, -0x1.03554240cde28p-5, -0x1.fbeaa82e1a157p-6, -0x1.f15dadab6ca21p-6, -0x1.e702c8a1d2904p-6, -0x1.dcd92f04f93fbp-6, -0x1.d2e01913ca549p-6, -0x1.c916c1580f885p-6, -0x1.bf7c64a5d3a14p-6, -0x1.b610421a94f88p-6, -0x1.acd19b1c3309ep-6, -0x1.a3bfb357bba5p-6, -0x1.9ad9d0bff7617p-6, -0x1.921f3b8bc9094p-6, -0x1.898f3e3464e7dp-6, -0x1.81292573578a2p-6, -0x1.78ec40405ca6p-6, -0x1.70d7dfcf1a8eep-6, -0x1.68eb578ca613fp-6, -0x1.6125fd1cec54ap-6, -0x1.59872857f3c49p-6, -0x1.520e3346fab4fp-6, -0x1.4aba7a217bd41p-6, -0x1.438b5b4a00b71p-6, -0x1.3c80374aeca5dp-6, -0x1.359870d31bc5ep-6, -0x1.2ed36cb26c755p-6, -0x1.283091d62bcb2p-6, -0x1.21af49456e63fp-6, -0x1.1b4efe1d49846p-6, -0x1.150f1d8cff905p-6, -0x1.0eef16d20cd84p-6, -0x1.08ee5b342bf48p-6, -0x1.030c5e013dfaep-6, -0x1.fa91291247da7p-7, -0x1.ef44ec3318633p-7, -0x1.e432f7f349318p-7, -0x1.d95a42cba6dc7p-7, -0x1.ceb9c7168865dp-7, -0x1.c45083070eb08p-7, -0x1.ba1d78a01c2eap-7, -0x1.b01fadab566aep-7, -0x1.a6562bb001918p-7, -0x1.9cbfffe9cf4eap-7, -0x1.935c3b3faadc9p-7, -0x1.8a29f23a53cf5p-7, -0x1.81283cfb10cd8p-7, -0x1.785637324d2ccp-7, -0x1.6fb300160dbep-7, -0x1.673dba589139fp-7, -0x1.5ef58c1ebc9c2p-7, -0x1.56d99ef694274p-7, -0x1.4ee91fcdb031bp-7, -0x1.47233ee7a9ebap-7, -0x1.3f872fd48a424p-7, -0x1.381429672e101p-7, -0x1.30c965abb71cap-7, -0x1.29a621ddf3f57p-7, -0x1.22a99e5fc9544p-7, -0x1.1bd31eafa67edp-7, -0x1.1521e95efcbf5p-7, -0x1.0e954808ab771p-7, -0x1.082c874789e29p-7, -0x1.01e6f6ace59bcp-7, -0x1.f787d16e1b8d2p-8, -0x1.eb85658fdbb9bp-8, -0x1.dfc55a3743b9dp-8, -0x1.d446657e4090bp-8, -0x1.c907430dcd573p-8, -0x1.be06b40b7b94cp-8, -0x1.b3437f06f5ae8p-8, -0x1.a8bc6fe7a04d2p-8, -0x1.9e7057da5b013p-8, -0x1.945e0d3f68972p-8, -0x1.8a846b98549b4p-8, -0x1.80e2537608271p-8, -0x1.7776aa6705ce7p-8, -0x1.6e405ae5a4fd4p-8, -0x1.653e54468bd12p-8, -0x1.5c6f8aa73d37fp-8, -0x1.53d2f6dcbd4a6p-8, -0x1.4b67966270329p-8, -0x1.432c6b48fd4c2p-8, -0x1.3b207c256a8eep-8, -0x1.3342d4005a091p-8, -0x1.2b928245601e8p-8, -0x1.240e9ab289a1ap-8, -0x1.1cb63547f4803p-8, -0x1.15886e37baa0dp-8, -0x1.0e8465d5ba216p-8, -0x1.07a94087d4ee3p-8, -0x1.00f626b612ca8p-8, -0x1.f4d489762ba56p-9, -0x1.e80995a94ef51p-9, -0x1.db89da28d176ep-9, -0x1.cf53c6a16318p-9, -0x1.c365d22b21fcbp-9, -0x1.b7be7b2c04021p-9, -0x1.ac5c473a7b5cdp-9, -0x1.a13dc3006d68p-9, -0x1.9661821e8536cp-9, -0x1.8bc61f0fca448p-9, -0x1.816a3b0da0f9ep-9, -0x1.774c7df3f83bbp-9, -0x1.6d6b9625f9942p-9, -0x1.63c63872c6dfp-9, -0x1.5a5b1ffad6b65p-9, -0x1.51290e156402bp-9, -0x1.482eca3660b7p-9, -0x1.3f6b21d48300cp-9, -0x1.36dce84fe0e66p-9, -0x1.2e82f6d8aadb5p-9, -0x1.265c2c5652fa8p-9, -0x1.1e676d4f01f0dp-9, -0x1.16a3a3cf3fb21p-9, -0x1.0f0fbf5231ec9p-9, -0x1.07aab4a9c5184p-9, -0x1.00737de77c286p-9, -0x1.f2d2348af350bp-10, -0x1.e5151c1f6742fp-10, -0x1.d7adc51b24eep-10, -0x1.ca9a4bd7c6255p-10, -0x1.bdd8d64e2480fp-10, -0x1.b16793eb49aep-10, -0x1.a544bd660f62ep-10, -0x1.996e949565f5dp-10, -0x1.8de36447100b1p-10, -0x1.82a180171c8a6p-10, -0x1.77a74447c5e8fp-10, -0x1.6cf3159a0e9a5p-10, -0x1.62836126e25c1p-10, -0x1.58569c38aa598p-10, -0x1.4e6b4425a2f68p-10, -0x1.44bfde2aaa138p-10, -0x1.3b52f74681488p-10, -0x1.32232415ce67fp-10, -0x1.292f00af81555p-10, -0x1.20753081d2fcp-10, -0x1.17f45e2fb5fcep-10, -0x1.0fab3b6f04827p-10, -0x1.079880e6df9fbp-10, -0x1.ff75dc1e034d9p-11, -0x1.f022921e1b23fp-11, -0x1.e134bd3dcb8cap-11, -0x1.d2aa03ce2c2dp-11, -0x1.c48018c424032p-11, -0x1.b6b4bb7b4e97dp-11, -0x1.a945b77a50afcp-11, -0x1.9c30e437e1946p-11, -0x1.8f7424e0ba0bep-11, -0x1.830d681ec5198p-11, -0x1.76faa7e0c201ap-11, -0x1.6b39e9237879ep-11, -0x1.5fc93bbaefc6cp-11, -0x1.54a6ba1d994bfp-11, -0x1.49d0892f63784p-11, -0x1.3f44d80e53272p-11, -0x1.3501dfdfbb16ap-11, -0x1.2b05e39e39bebp-11, -0x1.214f2fe8d7d75p-11, -0x1.17dc1ad286588p-11, -0x1.0eab03b2d82dbp-11, -0x1.05ba52f795a98p-11, -0x1.fa10f3ed19fdfp-12, -0x1.e927e5816f4efp-12, -0x1.d8b67fec3810dp-12, -0x1.c8b9d93419185p-12, -0x1.b92f17d15da2bp-12, -0x1.aa137259a7d54p-12, -0x1.9b642f2d7d451p-12, -0x1.8d1ea4276d522p-12, -0x1.7f40364c29cep-12, -0x1.71c6597c8afa1p-12, -0x1.64ae9028b34d4p-12, -0x1.57f66b046bc72p-12, -0x1.4b9b88bd5bd6ep-12, -0x1.3f9b95b20a92p-12, -0x1.33f44baa728a8p-12, -0x1.28a37191d47fap-12, -0x1.1da6db31e6a2ep-12, -0x1.12fc68ef23a48p-12, -0x1.08a20786541a3p-12, -0x1.fd2b5f970a46ep-13, -0x1.e9aaccd38fd52p-13, -0x1.d6be774983d57p-13, -0x1.c462963537936p-13, -0x1.b293770f81076p-13, -0x1.a14d7d16e7b9cp-13, -0x1.908d20db104e9p-13, -0x1.804eefca000b4p-13, -0x1.708f8bc0dc139p-13, -0x1.614baa9c634a6p-13, -0x1.528015ce3862fp-13, -0x1.4429a9f248c3ep-13, -0x1.3645566699b58p-13, -0x1.28d01ce5ef24dp-13, -0x1.1bc71123036adp-13, -0x1.0f2758673bb0dp-13, -0x1.02ee2931a4639p-13, -0x1.ee3195b1b9b34p-14, -0x1.d7492a5d6a3e9p-14, -0x1.c11de04aac8d4p-14, -0x1.abaaa6eb92317p-14, -0x1.96ea8c92ae28fp-14, -0x1.82d8bdc723958p-14, -0x1.6f70849cee941p-14, -0x1.5cad48108bcaap-14, -0x1.4a8a8b6627ebdp-14, -0x1.3903ed8a60692p-14, -0x1.2815287880e7fp-14, -0x1.17ba10a1c5065p-14, -0x1.07ee9458a2b46p-14, -0x1.f15d767f57aa6p-15, -0x1.d3ed4b7308105p-15, -0x1.b78518bafe5c6p-15, -0x1.9c1d7edade3b8p-15, -0x1.81af4ca12d1aap-15, -0x1.68337e1c1b5acp-15, -0x1.4fa33b9a9c996p-15, -0x1.37f7d8ac26185p-15, -0x1.212ad32ab172fp-15, -0x1.0b35d24835fep-15, -0x1.ec254b3d9299p-16, -0x1.c37688927146ep-16, -0x1.9c5397fc6958bp-16, -0x1.76b10060b9aafp-16, -0x1.52839267a6b1bp-16, -0x1.2fc066cf3aa3bp-16, -0x1.0e5cdcc6178a2p-16, -0x1.dc9d30a6485d2p-17, -0x1.9f17017d005b2p-17, -0x1.64137e14e9d05p-17, -0x1.2b7f78e21bb7bp-17, -0x1.ea90839b9df12p-18, -0x1.82b746b5b06a7p-18, -0x1.1f4fbf974e92ep-18, -0x1.806eb974da4bbp-19, -0x1.9531c498c4fc7p-20, -0x1.cdc5e2e9d4275p-23, 0x1.120d74ac65b21p-20, 0x1.274ea4ce76cc5p-19, 0x1.be37fee42ccf2p-19, 0x1.26fee802dc1fcp-18, 0x1.6b6cc9802c1cbp-18, 0x1.ac819fab1d3e8p-18, 0x1.ea58a92f2e09dp-18, 0x1.1286360a2e48bp-17, 0x1.2e5b5d1083c84p-17, 0x1.48b85a9451c5p-17, 0x1.61a969975e1e5p-17, 0x1.793a714608412p-17, 0x1.8f7706eee5e2p-17, 0x1.a46a7002dc405p-17, 0x1.b81fa3f4bc86cp-17, 0x1.caa14e22d872ap-17, 0x1.dbf9cfa5b1297p-17, 0x1.ec33411c7571cp-17, 0x1.fb57746e4080bp-17, 0x1.04b7fb414568cp-16, 0x1.0b4308752133ep-16, 0x1.115165c3c0fedp-16, 0x1.16e777129b92ap-16, 0x1.1c09810473349p-16, 0x1.20bba9be72242p-16, 0x1.2501f9a659c2cp-16, 0x1.28e05c1f515e7p-16, 0x1.2c5aa0406d624p-16, 0x1.2f74798832112p-16, 0x1.3231808a7adddp-16, 0x1.3495339e98866p-16, 0x1.36a2f7822d9a4p-16, 0x1.385e180162a78p-16, 0x1.39c9c89324ae2p-16, 0x1.3ae924f736821p-16, 0x1.3bbf31cd9d9dfp-16, 0x1.3c4edd2c8ee52p-16, 0x1.3c9aff3258935p-16, 0x1.3ca65a92c85e3p-16, 0x1.3c739d230ea49p-16, 0x1.3c05606120b13p-16, 0x1.3b5e29f8cc1e9p-16, 0x1.3a806c456f4d1p-16, 0x1.396e86d061bbdp-16, 0x1.382ac6cd1b31fp-16, 0x1.36b76791b170cp-16, 0x1.3516930d3ba03p-16, 0x1.334a623aba60fp-16, 0x1.3154dd9227e4fp-16, 0x1.2f37fd765bf08p-16, 0x1.2cf5aaa001049p-16, 0x1.2a8fbe86de3cp-16, 0x1.280803c86127dp-16, 0x1.2560368afc4d5p-16, 0x1.229a04e06f7fap-16, 0x1.1fb70f24a853dp-16, 0x1.1cb8e85af23c9p-16, 0x1.19a11688fdf6ep-16, 0x1.1671130eb9462p-16, 0x1.132a4afdfe561p-16, 0x1.0fce1f6e0dd93p-16, 0x1.0c5de5cee5d91p-16, 0x1.08dae83906d58p-16, 0x1.054665bbb98b4p-16, 0x1.01a192aadffebp-16, 0x1.fbdb31d102d35p-17, 0x1.f457305cb7da1p-17, 0x1.ecb94ca9c74dep-17, 0x1.e5039f31ccef2p-17, 0x1.dd382dbe12829p-17, 0x1.d558ebebe217p-17, 0x1.cd67bbadfc315p-17, 0x1.c5666dc980137p-17, 0x1.bd56c251df047p-17, 0x1.b53a691f17632p-17, 0x1.ad13024356f52p-17, 0x1.a4e21e7cc4e7dp-17, 0x1.9ca93fa431bdep-17, 0x1.9469d918e8401p-17, 0x1.8c25502c16aaep-17, 0x1.83dcfc84b9afep-17, 0x1.7b92288700a75p-17, 0x1.734611b454bbdp-17, 0x1.6af9e90ab8e8cp-17, 0x1.62aed361ff216p-17, 0x1.5a65e9c762bdp-17, 0x1.522039d41ed28p-17, 0x1.49dec60487005p-17, 0x1.41a2860bd1d12p-17, 0x1.396c6725d33b5p-17, 0x1.313d4c665f771p-17, 0x1.29160f06c3fb4p-17, 0x1.20f77eb2741f9p-17, 0x1.18e261cee467cp-17, 0x1.10d775c59c788p-17, 0x1.08d76f47efdc2p-17, 0x1.00e2fa9443d15p-17, 0x1.f1f5777175feap-18, 0x1.e23e9da48df35p-18, 0x1.d2a2909b073b7p-18, 0x1.c3226a44dc2f5p-18, 0x1.b3bf3621b2d41p-18, 0x1.a479f1b4ca35dp-18, 0x1.95538cf61291fp-18, 0x1.864ceabfbe7acp-18, 0x1.7766e13a49649p-18, 0x1.68a23a443fdbdp-18, 0x1.59ffb3d8417bp-18, 0x1.4b80006fb20ap-18, 0x1.3d23c762a13e2p-18, 0x1.2eeba54657299p-18, 0x1.20d82c4648bcbp-18, 0x1.12e9e47ffa411p-18, 0x1.05214c566c5b7p-18, 0x1.eefdb18e4de5cp-19, 0x1.d405eb77af2d6p-19, 0x1.b95c0cb32af9dp-19, 0x1.9f00ca9b922b7p-19, 0x1.84f4ca336ad7bp-19, 0x1.6b38a0b649ac3p-19, 0x1.51ccd426ed381p-19, 0x1.38b1dbd9e8f34p-19, 0x1.1fe820f9b7d23p-19, 0x1.076fff0cfc493p-19, 0x1.de9388e12478bp-20, 0x1.aeeb65aad2c7dp-20, 0x1.7fe7ff72e83e8p-20, 0x1.5189a9b16392dp-20, 0x1.23d0a143a22adp-20, 0x1.ed7a1a802e229p-21, 0x1.949dffa40e896p-21, 0x1.3d0cee0b10a9ep-21, 0x1.cd8d764b4845fp-22, 0x1.23962e7f98a44p-22, 0x1.f0cc77da608a6p-24, -0x1.44e733a05df32p-25, -0x1.95b6970ee9746p-23, -0x1.6a89bd002e812p-22, -0x1.03d51170789a3p-21, -0x1.511f4f74f7683p-21, -0x1.9d24c511629d5p-21, -0x1.e7e6b9338327dp-21, -0x1.18b34607083f7p-20, -0x1.3cd2dafd4a579p-20, -0x1.6052e328aa6b3p-20, -0x1.8334313603f4cp-20, -0x1.a577a248fdfa9p-20, -0x1.c71e1d7dfa7a8p-20, -0x1.e828936bbe5abp-20, -0x1.044bfed82af22p-19, -0x1.1436af3be3693p-19, -0x1.23d4e006ca6d2p-19, -0x1.33271a37358b6p-19, -0x1.422dea6f64e82p-19, -0x1.50e9e0c29b31ap-19, -0x1.5f5b908290a8ep-19, -0x1.6d839010c3f21p-19, -0x1.7b6278aeb06e8p-19, -0x1.88f8e651d7fe2p-19, -0x1.964777779724dp-19, -0x1.a34eccfb306cdp-19, -0x1.b00f89ed8f9f4p-19, -0x1.bc8a536cde4c4p-19, -0x1.c8bfd0808bfbep-19, -0x1.d4b0a9f1bdc3bp-19, -0x1.e05d8a2a7041ap-19, -0x1.ebc71d117693fp-19, -0x1.f6ee0fe9abe43p-19, -0x1.00e988995dad1p-18, -0x1.063b684492515p-18, -0x1.0b6cff44765cbp-18, -0x1.107ea658ad164p-18, -0x1.1570b6a44c4b6p-18, -0x1.1a4389a08b1f3p-18, -0x1.1ef7790feccaep-18, -0x1.238cdef1cac51p-18, -0x1.280415765e991p-18, -0x1.2c5d76f3602e2p-18, -0x1.30995dd8a7ce9p-18, -0x1.34b824a5c8588p-18, -0x1.38ba25df89275p-18, -0x1.3c9fbc065cc4p-18, -0x1.4069418c67761p-18, -0x1.441710cce5c2fp-18, -0x1.47a9840314adfp-18, -0x1.4b20f541da392p-18, -0x1.4e7dbe6bb2c83p-18, -0x1.51c0392b1a2a8p-18, -0x1.54e8beeae437ap-18, -0x1.57f7a8cf4bde3p-18, -0x1.5aed4faeec01dp-18, -0x1.5dca0c0c91624p-18, -0x1.608e3610e0b32p-18, -0x1.633a25843c1cep-18, -0x1.65ce31c92a716p-18, -0x1.684ab1d6fa54ep-18, -0x1.6aaffc34668d9p-18, -0x1.6cfe66f2f43c2p-18, -0x1.6f3647aa06235p-18, -0x1.7157f3725a951p-18, -0x1.7363bee205e37p-18, -0x1.7559fe0836eb1p-18, -0x1.773b04697fea9p-18, -0x1.790724fc1a72dp-18, -0x1.7abeb22498017p-18, -0x1.7c61fdb2a0ba7p-18, -0x1.7df158ddcf88bp-18, -0x1.7f6d14430b551p-18, -0x1.80d57fe1570c1p-18, -0x1.822aeb17e95a6p-18, -0x1.836da4a34df9ep-18, -0x1.849dfa9b66f33p-18, -0x1.85bc3a713e067p-18, -0x1.86c8b0ed304b9p-18, -0x1.87c3aa2d28cf3p-18, -0x1.88ad71a2c7968p-18, -0x1.89865211f26a5p-18, -0x1.8a4e958fa39adp-18, -0x1.8b0685807a813p-18, -0x1.8bae6a977f991p-18, -0x1.8c468cd528e07p-18, -0x1.8ccf338679999p-18, -0x1.8d48a54431e6cp-18, -0x1.8db327f203031p-18, -0x1.8e0f00bdf5ebcp-18, -0x1.8e5c741feedc2p-18, -0x1.8e9bc5d92abc2p-18, -0x1.8ecd38f3f50d1p-18, -0x1.8ef10fc36554dp-18, -0x1.8f078be33509p-18, -0x1.8f10ee3770df1p-18, -0x1.8f0d76ecc6e87p-18, -0x1.8efd657850f67p-18, -0x1.8ee0f897eb121p-18, -0x1.8eb86e5229f94p-18, -0x1.8e8403f6ad442p-18, -0x1.8e43f61e7deefp-18, -0x1.8df880ac68db6p-18, -0x1.8da1decd61f75p-18, -0x1.8d404af92356fp-18, -0x1.8cd3fef281154p-18, -0x1.8c5d33c806fcep-18, -0x1.8bdc21d4c654bp-18, -0x1.8b5100c0e7b77p-18, -0x1.8abc07825ca0dp-18, -0x1.8a1d6c5db7e38p-18, -0x1.897564e707462p-18, -0x1.88c426028dff9p-18, -0x1.8809e3e595f86p-18, -0x1.8746d21794587p-18, -0x1.867b2372f222cp-18, -0x1.85a70a26278ap-18, -0x1.84cab7b49ec6dp-18, -0x1.83e65cf7c9f2cp-18, -0x1.82fa2a203ea65p-18, -0x1.82064eb6c93bap-18, -0x1.810af99d90c8bp-18, -0x1.8008591123772p-18, -0x1.7efe9aa9b877fp-18, -0x1.7dedeb5c6062fp-18, -0x1.7cd6777c1f1a2p-18, -0x1.7bb86abb32a45p-18, -0x1.7a93f02c6a2b6p-18, -0x1.796932443bd74p-18, -0x1.78385ada2598ep-18, -0x1.77019329e26fdp-18, -0x1.75c503d4c4943p-18, -0x1.7482d4e2fd2edp-18, -0x1.733b2dc4f7f3fp-18, -0x1.71ee3554962ccp-18, -0x1.709c11d683b11p-18, -0x1.6f44e8fbae77ep-18, -0x1.6de8dfe295cdap-18, -0x1.6c881b1895cb4p-18, -0x1.6b22be9b4be0bp-18, -0x1.69b8edd9f148ap-18, -0x1.684acbb6b8f22p-18, -0x1.66d87a884d1e8p-18, -0x1.65621c1af9fcap-18, -0x1.63e7d1b22bda5p-18, -0x1.6269bc09de594p-18, -0x1.60e7fb57ea7ddp-18, -0x1.5f62af4d6a5c4p-18, -0x1.5dd9f71825b58p-18, -0x1.5c4df163e6a6dp-18, -0x1.5abebc5bdec86p-18, -0x1.592c75ac0fc08p-18, -0x1.57973a829da5dp-18, -0x1.55ff27913e7d2p-18, -0x1.5464590e9d53cp-18, -0x1.52c6eab7a6dcdp-18, -0x1.5126f7d0deb5ep-18, -0x1.4f849b27dc70bp-18, -0x1.4ddfef14990efp-18, -0x1.4c390d7abf16p-18, -0x1.4a900fcb05964p-18, -0x1.48e50f0495dccp-18, -0x1.473823b656a0ap-18, -0x1.458966003eae9p-18, -0x1.43d8ed94ae35cp-18, -0x1.4226d1b9b4c4dp-18, -0x1.4073294a70a45p-18, -0x1.3ebe0ab857ff6p-18, -0x1.3d078c0c8819ep-18, -0x1.3b4fc2e8ff7c7p-18, -0x1.3996c489e6d31p-18, -0x1.37dca5c6e70eap-18, -0x1.36217b14728d8p-18, -0x1.34655884f60ddp-18, -0x1.32a851ca14011p-18, -0x1.30ea7a35e67f8p-18, -0x1.2f2be4bc58df4p-18, -0x1.2d6ca3f438a84p-18, -0x1.2bacca187412fp-18, -0x1.29ec6909640e7p-18, -0x1.282b924deb9ep-18, -0x1.266a5714a6c75p-18, -0x1.24a8c8352dad9p-18, -0x1.22e6f63128b15p-18, -0x1.2124f13579078p-18, -0x1.1f62c91b7378ap-18, -0x1.1da08d69e98cfp-18, -0x1.1bde4d566290fp-18, -0x1.1a1c17c630dc8p-18, -0x1.1859fb4f909cep-18, -0x1.1698063abc885p-18, -0x1.14d6468304dfdp-18, -0x1.1314c9d7e4ffdp-18, -0x1.11539d9e18a78p-18, -0x1.0f92cef0b548dp-18, -0x1.0dd26aa224377p-18, -0x1.0c127d3d2f4a6p-18, -0x1.0a5313060d339p-18, -0x1.089437fb742fp-18, -0x1.06d5f7d78e242p-18, -0x1.05185e10f9bfdp-18, -0x1.035b75dbce26bp-18, -0x1.019f4a2a8797fp-18, -0x1.ffc7cb5e2132ep-19, -0x1.fc52a5b75241ep-19, -0x1.f8df37c7ecc25p-19, -0x1.f56d957ba4a0ep-19, -0x1.f1fdd244883a1p-19, -0x1.ee90011ccd85ap-19, -0x1.eb243488e21ffp-19, -0x1.e7ba7e98fac73p-19, -0x1.e452f0eae8049p-19, -0x1.e0ed9cabd2a02p-19, -0x1.dd8a929a08cbdp-19, -0x1.da29e306c181dp-19, -0x1.d6cb9dd7bb91dp-19, -0x1.d36fd288eb17cp-19, -0x1.d016902e32799p-19, -0x1.ccbfe5750987p-19, -0x1.c96be0a61b5f1p-19, -0x1.c61a8fa6d277dp-19, -0x1.c2cbfffb00512p-19, -0x1.bf803ec65957bp-19, -0x1.bc3758ce253dcp-19, -0x1.b8f15a7ac383dp-19, -0x1.b5ae4fd902773p-19, -0x1.b26e449bd6754p-19, -0x1.af31441db7417p-19, -0x1.abf759621da32p-19, -0x1.a8c08f16fa189p-19, -0x1.a58cef95fa8a5p-19, -0x1.a25c84e626769p-19, -0x1.9f2f58bd4a1cdp-19, -0x1.9c05748117dfdp-19, -0x1.98dee148bc5f2p-19, -0x1.95bba7de15c0ep-19, -0x1.929bd0bf0f4cfp-19, -0x1.8f7f641efab9bp-19, -0x1.8c6669e7cb7efp-19, -0x1.8950e9bb51958p-19, -0x1.863eeaf4a8ab8p-19, -0x1.833074a94f266p-19, -0x1.80258daa63308p-19, -0x1.7d1e3c85c5428p-19, -0x1.7a1a8787806cdp-19, -0x1.771a74baca4acp-19, -0x1.741e09eb35af9p-19, -0x1.71254ca5ea845p-19, -0x1.6e30423aa64dep-19, -0x1.6b3eefbcf001dp-19, -0x1.68515a051c01fp-19, -0x1.656785b1892a2p-19, -0x1.6281772792ed6p-19, -0x1.5f9f3294ae1b4p-19, -0x1.5cc0bbef5cb7cp-19, -0x1.59e616f840609p-19, -0x1.570f473b293cap-19, -0x1.543c50101279ap-19, -0x1.516d349c18724p-19, -0x1.4ea1f7d26e406p-19, -0x1.4bda9c7553e36p-19, -0x1.49172517085dp-19, -0x1.4657941abeb09p-19, -0x1.439bebb5760eep-19, -0x1.40e42def0c3bbp-19, -0x1.3e305ca2f0417p-19, -0x1.3b807981074c4p-19, -0x1.38d4860ea51e4p-19, -0x1.362c83a769ff8p-19, -0x1.3388737dfaa23p-19, -0x1.30e8569cf1185p-19, -0x1.2e4c2de792fd7p-19, -0x1.2bb3fa1aac848p-19, -0x1.291fbbcd6a5ebp-19, -0x1.268f73720a217p-19, -0x1.24032156af906p-19, -0x1.217ac5a60a0f8p-19, -0x1.1ef66068397d8p-19, -0x1.1c75f1837fc1p-19, -0x1.19f978bcf1c18p-19, -0x1.1780f5b93354ap-19, -0x1.150c67fd1efe1p-19, -0x1.129bceee8021fp-19, -0x1.102f29d4c6ep-19, -0x1.0dc677d9b2b55p-19, -0x1.0b61b809fbf74p-19, -0x1.0900e955e63f1p-19, -0x1.06a40a91fd7e3p-19, -0x1.044b1a77b10fcp-19, -0x1.01f617a5f896bp-19, -0x1.ff4a0143c3997p-20, -0x1.faafa7ae2ff51p-20, -0x1.f61d1f31694acp-20, -0x1.f19264435a2c4p-20, -0x1.ed0f732ae2e7ap-20, -0x1.e8944800d4dd1p-20, -0x1.e420deb140d83p-20, -0x1.dfb532fc884dfp-20, -0x1.db51407841a3cp-20, -0x1.d6f502906add3p-20, -0x1.d2a0748877642p-20, -0x1.ce53917c63958p-20, -0x1.ca0e5461a5b72p-20, -0x1.c5d0b808148d2p-20, -0x1.c19ab71af649cp-20, -0x1.bd6c4c21f7472p-20, -0x1.b94571822b211p-20, -0x1.b526217eea11dp-20, -0x1.b10e563abc23bp-20, -0x1.acfe09b827911p-20, -0x1.a8f535dabfb3cp-20, -0x1.a4f3d467e58efp-20, -0x1.a0f9df07ad3d9p-20, -0x1.9d074f459fa32p-20, -0x1.991c1e91adafdp-20, -0x1.953846410a47cp-20, -0x1.915bbf8eb938fp-20, -0x1.8d86839c7cbcp-20, -0x1.89b88b73a8704p-20, -0x1.85f1d005d9d33p-20, -0x1.82324a2da409ap-20, -0x1.7e79f2af61b4bp-20, -0x1.7ac8c239f205fp-20, -0x1.771eb167468eap-20, -0x1.737bb8bd217b2p-20, -0x1.6fdfd0ade88eep-20, -0x1.6c4af19940c99p-20, -0x1.68bd13ccaa0bfp-20, -0x1.65362f83f6ff1p-20, -0x1.61b63cea4e2ebp-20, -0x1.5e3d341a98b71p-20, -0x1.5acb0d2020387p-20, -0x1.575fbff72ba3p-20, -0x1.53fb448d715abp-20, -0x1.509d92c2f4939p-20, -0x1.4d46a26a63dbcp-20, -0x1.49f66b49ba846p-20, -0x1.46ace51ab888dp-20, -0x1.436a078b8ae25p-20, -0x1.402dca3f34729p-20, -0x1.3cf824ce0712p-20, }}, 
      {{0x1.079a115f6ccbap-17, 0x1.11245b19bf088p-15, 0x1.49cb24e5230f5p-14, 0x1.4a9fe67957093p-13, 0x1.2e768168273e8p-12, 0x1.023a655ca33aap-11, 0x1.9d82f83a2422cp-11, 0x1.37be926b92b97p-10, 0x1.bd06866e5fc0ap-10, 0x1.2e937284c8819p-9, 0x1.8a36ad6288092p-9, 0x1.ee9ec8033666dp-9, 0x1.2c21cc2a2ae08p-8, 0x1.6193193b5091bp-8, 0x1.958a76373e95p-8, 0x1.c5f4ebd37f21dp-8, 0x1.f0df9d0c240e7p-8, 0x1.0a45ec85dc7acp-7, 0x1.17be6670b4e16p-7, 0x1.203fa9758efccp-7, 0x1.235663240c2f1p-7, 0x1.20b4f42f28256p-7, 0x1.18317040f4d08p-7, 0x1.09c29ed7cde75p-7, 0x1.eaf8b7a8c229bp-8, 0x1.b71741f89659p-8, 0x1.7864de149cb0bp-8, 0x1.2f877bf38f1dp-8, 0x1.ba7e43ff5f6d8p-9, 0x1.04bd09eb8bb9ap-9, 0x1.fc42c84466cf5p-12, -0x1.26af1c85f8f62p-10, -0x1.721a5262ee929p-9, -0x1.2d8095abbe351p-8, -0x1.a62f8ceae820dp-8, -0x1.1127eb393c2e2p-7, -0x1.509317faf7916p-7, -0x1.910428862bbbp-7, -0x1.d22f277eb986cp-7, -0x1.09e8db9eb7f0ap-6, -0x1.2ad99cb6eea21p-6, -0x1.4bd25ee4cf694p-6, -0x1.6cc060475b65ep-6, -0x1.8d9560a33f0fcp-6, -0x1.ae475d15bfe19p-6, -0x1.ced0400025717p-6, -0x1.ef2d88c23f801p-6, -0x1.07aff73d1fa31p-5, -0x1.17b5804b7090dp-5, -0x1.27aa63ce3c1c2p-5, -0x1.3792b408fbd7fp-5, -0x1.47736491f907cp-5, -0x1.57522015fa6c6p-5, -0x1.673520f9dcda5p-5, -0x1.77230d1fc56dcp-5, -0x1.8722d4f4a8bcbp-5, -0x1.973b95cfc7b0ep-5, -0x1.a7747f9771773p-5, -0x1.b7d4bd8d442d5p-5, -0x1.c863621768037p-5, -0x1.d927555359ffap-5, -0x1.ea27463971ffcp-5, -0x1.fb699e15b1542p-5, -0x1.067a3b0d001abp-4, -0x1.0f66c767cd1f8p-4, -0x1.187d2498031ecp-4, -0x1.21bfd098faebdp-4, -0x1.2b3114cd4b403p-4, -0x1.34d304745aafbp-4, -0x1.3ea77b99e72b3p-4, -0x1.48b01e6ef467fp-4, -0x1.52ee58fdc279p-4, -0x1.5d635f2c93205p-4, -0x1.68102d04d4194p-4, -0x1.72f5873603fd3p-4, -0x1.7e13fbcd02a6ep-4, -0x1.896be319d2622p-4, -0x1.94fd60bec1a1ap-4, -0x1.a0c864e4d081bp-4, -0x1.acccad91da35bp-4, -0x1.b909c81d624a2p-4, -0x1.c57f12c188b74p-4, -0x1.d22bbe459845bp-4, -0x1.df0ecfc0154dp-4, -0x1.ec27226e04eap-4, -0x1.f973699d855efp-4, -0x1.03791954b5235p-3, -0x1.0a50f381ebb2dp-3, -0x1.11406726cf2c9p-3, -0x1.1846883c1a7ebp-3, -0x1.1f625bf7f2ce8p-3, -0x1.2692d9e603dc3p-3, -0x1.2dd6ed01678e1p-3, -0x1.352d74cf3ac4fp-3, -0x1.3c954678af203p-3, -0x1.440d2de37d951p-3, -0x1.4b93eec7924c7p-3, -0x1.532845c0ed6ap-3, -0x1.5ac8e95ca72dcp-3, -0x1.62748b20282ebp-3, -0x1.6a29d889a74f7p-3, -0x1.71e77c091cf48p-3, -0x1.79ac1df0ed7dcp-3, -0x1.8176655d8b41ap-3, -0x1.8944f91394e5p-3, -0x1.91168053c9d0dp-3, -0x1.98e9a3a4859bp-3, -0x1.a0bd0d9056319p-3, -0x1.a88f6b596bb0ep-3, -0x1.b05f6da1bc11dp-3, -0x1.b82bc907b3fcfp-3, -0x1.bff336b7713c3p-3, -0x1.c7b474f08b333p-3, -0x1.cf6e478084a08p-3, -0x1.d71f783214677p-3, -0x1.dec6d7316eb7ap-3, -0x1.e6633b65ddbebp-3, -0x1.edf382c0f0409p-3, -0x1.f57692839c362p-3, -0x1.fceb5779b0ebep-3, -0x1.0228631600a6fp-2, -0x1.05d2ed84de1f1p-2, -0x1.0974cd44ad61p-2, -0x1.0d0d88a0d0764p-2, -0x1.109ca9fd95e58p-2, -0x1.1421bfdd82db4p-2, -0x1.179c5ce35be42p-2, -0x1.1b0c17d12ea2fp-2, -0x1.1e708b84968ecp-2, -0x1.21c956f077a99p-2, -0x1.25161d146e138p-2, -0x1.285684f227405p-2, -0x1.2b8a3980e1121p-2, -0x1.2eb0e99f41dafp-2, -0x1.31ca4803bb6cp-2, -0x1.34d60b2bafb7ep-2, -0x1.37d3ed497dbe9p-2, -0x1.3ac3ac31acda9p-2, -0x1.3da5094756fb2p-2, -0x1.4077c967fea76p-2, -0x1.433bb4d6f004ap-2, -0x1.45f0972857f9bp-2, -0x1.48963f2c23e7dp-2, -0x1.4b2c7ed8d03c5p-2, -0x1.4db32b363d2b2p-2, -0x1.502a1c489ab7cp-2, -0x1.52912cfb901e9p-2, -0x1.54e83b0d9f0e2p-2, -0x1.572f26fbe179fp-2, -0x1.5965d3ee274ddp-2, -0x1.5b8c27a387ccap-2, -0x1.5da20a5f6b70ap-2, -0x1.5fa766d717fa2p-2, -0x1.619c2a1fc7e9ap-2, -0x1.6380439d50084p-2, -0x1.6553a4f15a086p-2, -0x1.671641eb32ec1p-2, -0x1.68c8107830b72p-2, -0x1.6a690894b12ep-2, -0x1.6bf9243dab093p-2, -0x1.6d785f62d8a6cp-2, -0x1.6ee6b7d96e972p-2, -0x1.70442d4f65802p-2, -0x1.7190c13f4cc6cp-2, -0x1.72cc76e49f683p-2, -0x1.73f753309e85cp-2, -0x1.75115cbfa6354p-2, -0x1.761a9bcef206ep-2, -0x1.77131a32d92bep-2, -0x1.77fae34d6bcfp-2, -0x1.78d2040577c8ap-2, -0x1.79988abde6999p-2, -0x1.7a4e874d72ecp-2, -0x1.7af40af6ab7bfp-2, -0x1.7b8928603db01p-2, -0x1.7c0df38d853efp-2, -0x1.7c8281d752ce1p-2, -0x1.7ce6e9e4ed0f9p-2, -0x1.7d3b43a53f2c8p-2, -0x1.7d7fa8483167cp-2, -0x1.7db4323827232p-2, -0x1.7dd8fd139a5c3p-2, -0x1.7dee25a6d1fc8p-2, -0x1.7df3c9e5b0cbdp-2, -0x1.7dea08e591932p-2, -0x1.7dd102d73234p-2, -0x1.7da8d900a78c3p-2, -0x1.7d71adb755be7p-2, -0x1.7d2ba459ec006p-2, -0x1.7cd6e14a60d92p-2, -0x1.7c7389e7e6047p-2, -0x1.7c01c488dd371p-2, -0x1.7b81b874bed05p-2, -0x1.7af38dddf8a11p-2, -0x1.7a576ddbc294fp-2, -0x1.79ad8263e2a54p-2, -0x1.78f5f644671f4p-2, -0x1.7830f51d4d1f1p-2, -0x1.775eab5a1c0c9p-2, -0x1.767f462b6cddp-2, -0x1.7592f380609ddp-2, -0x1.7499e2000c71dp-2, -0x1.73944102cc0bap-2, -0x1.7282408b8aec5p-2, -0x1.71641140fc7a7p-2, -0x1.7039e466c362fp-2, -0x1.6f03ebd68bc8ap-2, -0x1.6dc259f916ef8p-2, -0x1.6c7561bf3c5a9p-2, -0x1.6b1d369add47p-2, -0x1.69ba0c77cfcc4p-2, -0x1.684c17b4c0bfcp-2, -0x1.66d38d1c0d3d5p-2, -0x1.6550a1dc9677cp-2, -0x1.63c38b829194bp-2, -0x1.622c7ff052b17p-2, -0x1.608bb55717e7ep-2, -0x1.5ee1622fd3724p-2, -0x1.5d2dbd33f872bp-2, -0x1.5b70fd564b3f2p-2, -0x1.59ab59bbb3e08p-2, -0x1.57dd09b41b1fap-2, -0x1.560644b34c692p-2, -0x1.54274249e391p-2, -0x1.52403a1e4443p-2, -0x1.505163e5a22ap-2, -0x1.4e5af75d11e26p-2, -0x1.4c5d2c42b1acfp-2, -0x1.4a583a4edcafap-2, -0x1.484c592d75152p-2, -0x1.4639c07743b93p-2, -0x1.4420a7ab6a4dbp-2, -0x1.42014628ef72fp-2, -0x1.3fdbd328628f3p-2, -0x1.3db085b59bcc9p-2, -0x1.3b7f94a99365bp-2, -0x1.394936a4574b7p-2, -0x1.370da2071f93dp-2, -0x1.34cd0cee7dbcap-2, -0x1.3287ad2cacebp-2, -0x1.303db8440407ap-2, -0x1.2def636186a4bp-2, -0x1.2b9ce3579831cp-2, -0x1.29466c98d2cfap-2, -0x1.26ec33330152dp-2, -0x1.248e6aca3b243p-2, -0x1.222d46942745bp-2, -0x1.1fc8f95363d81p-2, -0x1.1d61b5530dbb9p-2, -0x1.1af7ac627892p-2, -0x1.188b0fd10204ep-2, -0x1.161c106a11e7fp-2, -0x1.13aade713f4d2p-2, -0x1.1137a99e9b6b9p-2, -0x1.0ec2a11b25ddap-2, -0x1.0c4bf37d639e1p-2, -0x1.09d3cec6203d4p-2, -0x1.075a605d56abcp-2, -0x1.04dfd50f3c535p-2, -0x1.02645909789acp-2, -0x1.ffd02fb0fc8f7p-3, -0x1.fad678ca1e31ep-3, -0x1.f5dbe1e3c6009p-3, -0x1.f0e0be32ec21bp-3, -0x1.ebe55f97f4fa8p-3, -0x1.e6ea169ae5375p-3, -0x1.e1ef3267d8ad9p-3, -0x1.dcf500cbc948cp-3, -0x1.d7fbce31954cbp-3, -0x1.d303e59f56845p-3, -0x1.ce0d90b3f45f2p-3, -0x1.c91917a505397p-3, -0x1.c426c13ceb746p-3, -0x1.bf36d2d93b903p-3, -0x1.ba4990695e167p-3, -0x1.b55f3c6d737cfp-3, -0x1.b07817f57a013p-3, -0x1.ab9462a0ad916p-3, -0x1.a6b45a9d25489p-3, -0x1.a1d83ca7aa171p-3, -0x1.9d00440bccbfcp-3, -0x1.982caaa42eda6p-3, -0x1.935da8db033f9p-3, -0x1.8e9375aac5df7p-3, -0x1.89ce469f269cfp-3, -0x1.850e4fd6264bcp-3, -0x1.8053c40164f11p-3, -0x1.7b9ed4679ea23p-3, -0x1.76efb0e65c495p-3, -0x1.724687f3c4f5bp-3, -0x1.6da386a0aa1aep-3, -0x1.6906d89ab0d6ep-3, -0x1.6470a82ea8f5cp-3, -0x1.5fe11e4b0d4cbp-3, -0x1.5b586282a03aep-3, -0x1.56d69b0f396c1p-3, -0x1.525becd4a6f5bp-3, -0x1.4de87b63bdf35p-3, -0x1.497c68fd803f6p-3, -0x1.4517d69663992p-3, -0x1.40bae3d9b955dp-3, -0x1.3c65af2d2cf0bp-3, -0x1.381855b45ddfdp-3, -0x1.33d2f35491288p-3, -0x1.2f95a2b87ffa7p-3, -0x1.2b607d54337d3p-3, -0x1.27339b68fda43p-3, -0x1.230f14097c90ap-3, -0x1.1ef2fd1dbd9ebp-3, -0x1.1adf6b676071ap-3, -0x1.16d47285d9abap-3, -0x1.12d224faba0a3p-3, -0x1.0ed8942e063a3p-3, -0x1.0ae7d0729d9f1p-3, -0x1.06ffe90aa9e68p-3, -0x1.0320ec2c14c39p-3, -0x1.fe95ce0a20476p-4, -0x1.f6fbcb814049ep-4, -0x1.ef73e716566a9p-4, -0x1.e7fe352e25fadp-4, -0x1.e09ac842a6e73p-4, -0x1.d949b0ec45a07p-4, -0x1.d20afdeb2d91ep-4, -0x1.cadebc3093983p-4, -0x1.c3c4f6e813d1ep-4, -0x1.bcbdb780f187fp-4, -0x1.b5c905b77c08p-4, -0x1.aee6e79e55961p-4, -0x1.a81761a7c4ecbp-4, -0x1.a15a76aefdf15p-4, -0x1.9ab028015e183p-4, -0x1.94187567b1399p-4, -0x1.8d935d2f60f12p-4, -0x1.8720dc3396444p-4, -0x1.80c0ede65dbeap-4, -0x1.7a738c59b6a01p-4, -0x1.7438b04890183p-4, -0x1.6e10511fc493p-4, -0x1.67fa6506f74a3p-4, -0x1.61f6e0e96bdb6p-4, -0x1.5c05b87ec786ap-4, -0x1.5626de53beb91p-4, -0x1.505a43d2b0d2cp-4, -0x1.4a9fd94c3092dp-4, -0x1.44f78dff74693p-4, -0x1.3f615022b6c6ap-4, -0x1.39dd0ceb741e4p-4, -0x1.346ab096a427ap-4, -0x1.2f0a2670c8607p-4, -0x1.29bb58ddebf49p-4, -0x1.247e31618f6b3p-4, -0x1.1f5298a66c918p-4, -0x1.1a38768630041p-4, -0x1.152fb2110b23cp-4, -0x1.1038319537f72p-4, -0x1.0b51daa657395p-4, -0x1.067c9224b83eap-4, -0x1.01b83c4482f0cp-4, -0x1.fa09792995243p-5, -0x1.f0c3ec0cf9f04p-5, -0x1.e79f95e674bfdp-5, -0x1.de9c3a481cf25p-5, -0x1.d5b99bb01a973p-5, -0x1.ccf77b95a62b2p-5, -0x1.c4559a75d009p-5, -0x1.bbd3b7e00501fp-5, -0x1.b371928266fap-5, -0x1.ab2ee835da393p-5, -0x1.a30b7609e7763p-5, -0x1.9b06f850561a1p-5, -0x1.93212aa8975e5p-5, -0x1.8b59c80aeb0c9p-5, -0x1.83b08ad352a25p-5, -0x1.7c252ccc4a665p-5, -0x1.74b767393d2e6p-5, -0x1.6d66f2e0cea04p-5, -0x1.66338816da272p-5, -0x1.5f1cdec6480afp-5, -0x1.5822ae7aa27dfp-5, -0x1.5144ae696dcc8p-5, -0x1.4a82957b4ffe8p-5, -0x1.43dc1a54f7bbap-5, -0x1.3d50f35fd89cfp-5, -0x1.36e0d6d2a2887p-5, -0x1.308b7ab986bc3p-5, -0x1.2a5094fe4e67fp-5, -0x1.242fdb702bf6bp-5, -0x1.1e2903cb69831p-5, -0x1.183bc3c0ced0dp-5, -0x1.1267d0fcea6c7p-5, -0x1.0cace12f09de5p-5, -0x1.070aaa101c675p-5, -0x1.0180e1694f05p-5, -0x1.f81e7a3507bd2p-6, -0x1.ed6ae6410e631p-6, -0x1.e2e67336573c8p-6, -0x1.d8908da6402adp-6, -0x1.ce68a27f47495p-6, -0x1.c46e1f18143b9p-6, -0x1.baa0713a0ec7ep-6, -0x1.b0ff072bc64c6p-6, -0x1.a7894fbac56ddp-6, -0x1.9e3eba454296dp-6, -0x1.951eb6c36bd73p-6, -0x1.8c28b5d0422bbp-6, -0x1.835c28b24383dp-6, -0x1.7ab88163b5143p-6, -0x1.723d329a98835p-6, -0x1.69e9afd063dddp-6, -0x1.61bd6d49456f2p-6, -0x1.59b7e01b4e44fp-6, -0x1.51d87e3528967p-6, -0x1.4a1ebe6493c46p-6, -0x1.428a185c9ccabp-6, -0x1.3b1a04bb85c5dp-6, -0x1.33cdfd107748fp-6, -0x1.2ca57be0cdc7bp-6, -0x1.259ffcad507b5p-6, -0x1.1ebcfbf7023eep-6, -0x1.17fbf743c1ddap-6, -0x1.115c6d22b37e2p-6, -0x1.0adddd3057b87p-6, -0x1.047fc81a7ec91p-6, -0x1.fc835f47d4467p-7, -0x1.f0462d4f8bcd5p-7, -0x1.e4470239cd0b3p-7, -0x1.d884e8319f0e5p-7, -0x1.ccfeeba4f8ba8p-7, -0x1.c1b41b4a023c6p-7, -0x1.b6a38823ee578p-7, -0x1.abcc45876b8eep-7, -0x1.a12d691eabc05p-7, -0x1.96c60aed2127dp-7, -0x1.8c954552d4a6cp-7, -0x1.829a350f59865p-7, -0x1.78d3f9448ff84p-7, -0x1.6f41b378dada5p-7, -0x1.65e2879948cfdp-7, -0x1.5cb59bfb1fba3p-7, -0x1.53ba195d63f95p-7, -0x1.4aef2ae9df995p-7, -0x1.4253fe3607053p-7, -0x1.39e7c3437aa57p-7, -0x1.31a9ac804df2dp-7, -0x1.2998eec71ae1ep-7, -0x1.21b4c15eb673fp-7, -0x1.19fc5df9c11bep-7, -0x1.126f00b5fb779p-7, -0x1.0b0be81b4cc85p-7, -0x1.03d2551a94393p-7, -0x1.f9831618d8b47p-8, -0x1.ebb19f5ed0f88p-8, -0x1.de2ed64d0d5eap-8, -0x1.d0f94fee25402p-8, -0x1.c40fa60d252e3p-8, -0x1.b7707730ef9fcp-8, -0x1.ab1a669729a7ap-8, -0x1.9f0c1c2f14ceap-8, -0x1.93444493d7688p-8, -0x1.87c191068472dp-8, -0x1.7c82b76814d18p-8, -0x1.71867232c25acp-8, -0x1.66cb807354401p-8, -0x1.5c50a5c21705ep-8, -0x1.5214aa3bb0bbdp-8, -0x1.48165a798de82p-8, -0x1.3e54878a3bdfp-8, -0x1.34ce06e9840d4p-8, -0x1.2b81b2783000bp-8, -0x1.226e6873eaff3p-8, -0x1.19930b6e9f9a2p-8, -0x1.10ee8245d349ep-8, -0x1.087fb819e98cp-8, -0x1.00459c452f465p-8, -0x1.f07e44a4e8547p-9, -0x1.e0d683e8be8d5p-9, -0x1.d191edf6b8e15p-9, -0x1.c2ae8299602f6p-9, -0x1.b42a49b12c70dp-9, -0x1.a60353210b3cfp-9, -0x1.9837b6bb17d74p-9, -0x1.8ac5942c9736dp-9, -0x1.7dab12ea3eed6p-9, -0x1.70e6621bd71c4p-9, -0x1.6475b88829896p-9, -0x1.58575480ceed5p-9, -0x1.4c897bcd9bfd7p-9, -0x1.410a7b97daabep-9, -0x1.35d8a85635db5p-9, -0x1.2af25db770949p-9, -0x1.2055fe8e37d51p-9, -0x1.1601f4bbd8a42p-9, -0x1.0bf4b11bc942bp-9, -0x1.022cab6e81074p-9, -0x1.f150c489d0717p-10, -0x1.deccb5d63e0d5p-10, -0x1.ccca42a78d18ap-10, -0x1.bb4690067c025p-10, -0x1.aa3ecff541b89p-10, -0x1.99b04145ce9e9p-10, -0x1.89982f70534fcp-10, -0x1.79f3f26a3c7b9p-10, -0x1.6ac0ee7bd519ep-10, -0x1.5bfc94182fd78p-10, -0x1.4da45fb2aae47p-10, -0x1.3fb5d997228f5p-10, -0x1.322e95c0a1b12p-10, -0x1.250c33b060e99p-10, -0x1.184c5e45ebb76p-10, -0x1.0beccb965b60dp-10, -0x1.ffd679891a8bcp-11, -0x1.e88afbb200807p-11, -0x1.d1f2cb34872f1p-11, -0x1.bc09aacb329a3p-11, -0x1.a6cb721018848p-11, -0x1.92340d2d9b383p-11, -0x1.7e3f7c925a374p-11, -0x1.6ae9d4a46925p-11, -0x1.582f3d739a797p-11, -0x1.460bf26fd968ep-11, -0x1.347c421c837b7p-11, -0x1.237c8dc6e43b9p-11, -0x1.1309493ba5d49p-11, -0x1.031efa7da8a0cp-11, -0x1.e77472fac6ce8p-12, -0x1.c9af5fa25710bp-12, -0x1.ace830da4f32cp-12, -0x1.91187ebb28f3p-12, -0x1.763a02ff5797bp-12, -0x1.5c4698790130bp-12, -0x1.43383a88d0df9p-12, -0x1.2b0904967edf6p-12, -0x1.13b331890862cp-12, -0x1.fa623682d1839p-13, -0x1.cefa742e2a088p-13, -0x1.a52448aa3b34ep-13, -0x1.7cd51b73c16cp-13, -0x1.56028de9c3039p-13, -0x1.30a27a591ebfp-13, -0x1.0caaf2fa0beb3p-13, -0x1.d42481fd812aep-14, -0x1.919dc73c1781ep-14, -0x1.51af1e42bd9a8p-14, -0x1.144657ec23cedp-14, -0x1.b2a35711fb196p-15, -0x1.417f6a156bbd7p-15, -0x1.a9fdcce763557p-16, -0x1.b4022f778e905p-17, -0x1.2c7b14acd6c65p-20, 0x1.57dbe6b1fb6a5p-17, 0x1.625df3ad92fdcp-16, 0x1.0862822593837p-15, 0x1.5baf3bd3a7895p-15, 0x1.ab322246637d4p-15, 0x1.f7078657f9732p-15, 0x1.1fa588b83a46bp-14, 0x1.420be46165dffp-14, 0x1.62c4082abd9e1p-14, 0x1.81dad70b8cdc5p-14, 0x1.9f5ce66f5047bp-14, 0x1.bb567fb48b399p-14, 0x1.d5d3a1a0f6c5cp-14, 0x1.eee001d31f6fep-14, 0x1.03438717db026p-13, 0x1.0e69f722449e5p-13, 0x1.18e8c256df02fp-13, 0x1.22c53836f4f7p-13, 0x1.2c0487241a2d1p-13, 0x1.34abbd06d65e5p-13, 0x1.3cbfc7f653cccp-13, 0x1.444576dab2e0cp-13, 0x1.4b417a0f121d2p-13, 0x1.51b863feb12cdp-13, 0x1.57aea9c1f4699p-13, 0x1.5d28a3b70d4bep-13, 0x1.622a8e197f054p-13, 0x1.66b88995e857p-13, 0x1.6ad69bdc9a445p-13, 0x1.6e88b0315f16cp-13, 0x1.71d297f951177p-13, 0x1.74b80b440f087p-13, 0x1.773ca956de363p-13, 0x1.7963f93055355p-13, 0x1.7b316a0f6e86p-13, 0x1.7ca853f2232ebp-13, 0x1.7dcbf818ab313p-13, 0x1.7e9f818035c02p-13, 0x1.7f26055eb092dp-13, 0x1.7f62839d3725ep-13, 0x1.7f57e74dd2395p-13, 0x1.7f090720785acp-13, 0x1.7e78a5d6b00eep-13, 0x1.7da972b432902p-13, 0x1.7c9e09ecdbb44p-13, 0x1.7b58f51286e6cp-13, 0x1.79dcab7f4617fp-13, 0x1.782b92be07d9dp-13, 0x1.7647fef2e19d2p-13, 0x1.7434333f018b6p-13, 0x1.71f26223b8e3fp-13, 0x1.6f84ade4ee211p-13, 0x1.6ced28e7d0beap-13, 0x1.6a2dd6102ea06p-13, 0x1.6748a91e95072p-13, 0x1.643f8707ba0dap-13, 0x1.6114464f4d23cp-13, 0x1.5dc8af5df75a7p-13, 0x1.5a5e7cd63359cp-13, 0x1.56d75be7d6455p-13, 0x1.5334eca322a21p-13, 0x1.4f78c247afe1fp-13, 0x1.4ba46393d570cp-13, 0x1.47b94b11b8785p-13, 0x1.43b8e7633a501p-13, 0x1.3fa49b8bc5fdcp-13, 0x1.3b7dbf390a169p-13, 0x1.37459f0aa383p-13, 0x1.32fd7cd6b253ep-13, 0x1.2ea68ff060b0dp-13, 0x1.2a42056885f85p-13, 0x1.25d10050b3c4dp-13, 0x1.215499fb89c98p-13, 0x1.1ccde23a61a3dp-13, 0x1.183ddf9c91cd5p-13, 0x1.13a58faa9ad1p-13, 0x1.0f05e7221c766p-13, 0x1.0a5fd22ee4bbp-13, 0x1.05b434a46748p-13, 0x1.0103ea3467ee2p-13, 0x1.f89f8d4ba28ap-14, 0x1.ef312c136c06bp-14, 0x1.e5be39de33959p-14, 0x1.dc48312c2dd7cp-14, 0x1.d2d07e42a5d61p-14, 0x1.c9587f8e13461p-14, 0x1.bfe185ffdb1f9p-14, 0x1.b66cd56e0898dp-14, 0x1.acfba4ebfcb2ap-14, 0x1.a38f1f24cfe9dp-14, 0x1.9a2862b217c54p-14, 0x1.90c88270c5a4p-14, 0x1.877085d5044cfp-14, 0x1.7e21693bae1eep-14, 0x1.74dc1e3935266p-14, 0x1.6ba18be7cd829p-14, 0x1.62728f33e9f74p-14, 0x1.594ffb252fcffp-14, 0x1.503a99292fa4ep-14, 0x1.4733295778d83p-14, 0x1.3e3a62b94d2d7p-14, 0x1.3550f38c29667p-14, 0x1.2c77818435bdp-14, 0x1.23aeaa0cd8705p-14, 0x1.1af70287124f1p-14, 0x1.1251188781bap-14, 0x1.09bd721297c1ep-14, 0x1.013c8dd762a55p-14, 0x1.f19dc6d026521p-15, 0x1.e0e9c6e469abcp-15, 0x1.d05defeb765adp-15, 0x1.bffb08f33001dp-15, 0x1.afc1cc7e3fccp-15, 0x1.9fb2e8ec20e09p-15, 0x1.8fcf00d9cac3bp-15, 0x1.8016ab824504fp-15, 0x1.708a751da9ed5p-15, 0x1.612adf3c2999ep-15, 0x1.51f8611de6c27p-15, 0x1.42f3680d586b6p-15, 0x1.341c57b13dd36p-15, 0x1.25738a60c74f9p-15, 0x1.16f9517303de2p-15, 0x1.08adf58fd097p-15, 0x1.f5236df373417p-16, 0x1.d9499bb4ddab1p-16, 0x1.bdced51477176p-16, 0x1.a2b36baff77eep-16, 0x1.87f7a29a5a158p-16, 0x1.6d9baee18d0b6p-16, 0x1.539fb8144dfb5p-16, 0x1.3a03d8bd29a4ap-16, 0x1.20c81ee15ec34p-16, 0x1.07ec8c7762a17p-16, 0x1.dee22fbd2168ap-17, 0x1.aeab589dff9e4p-17, 0x1.7f3454935e817p-17, 0x1.507cd009d1341p-17, 0x1.228463a4bc0ffp-17, 0x1.ea952a2875e59p-18, 0x1.919dafa425d1cp-18, 0x1.3a211bd2e4465p-18, 0x1.c83c22c278cadp-19, 0x1.1f2625f242d2fp-19, 0x1.e3f4256dc9c71p-21, -0x1.52152b0d4e7f9p-22, -0x1.953921350eaabp-20, -0x1.681497f97433bp-19, -0x1.0157670b6e258p-18, -0x1.4d37bb06906f8p-18, -0x1.97ad8097f5bdp-18, -0x1.e0bb065e5aa4bp-18, -0x1.143157ee6f8ffp-17, -0x1.37537a314d38ap-17, -0x1.59c52f0731c07p-17, -0x1.7b87c462b3263p-17, -0x1.9c9c90a1e582cp-17, -0x1.bd04f21163a06p-17, -0x1.dcc24e7d27942p-17, -0x1.fbd612bb34d04p-17, -0x1.0d20d921313a2p-16, -0x1.1c03535e6a1fcp-16, -0x1.2a9337d226c47p-16, -0x1.38d148eea44c2p-16, -0x1.46be4babd9bd7p-16, -0x1.545b0758bd014p-16, -0x1.61a8456eb42bp-16, -0x1.6ea6d1664bbbfp-16, -0x1.7b57788bb622fp-16, -0x1.87bb09d7e618dp-16, -0x1.93d255c89ac56p-16, -0x1.9f9e2e397db68p-16, -0x1.ab1f664167b03p-16, -0x1.b656d20d3f8e7p-16, -0x1.c14546beeeb5dp-16, -0x1.cbeb9a4b68719p-16, -0x1.d64aa35be2745p-16, -0x1.e063392e66e4dp-16, -0x1.ea36337859c5fp-16, -0x1.f3c46a4a510b7p-16, -0x1.fd0eb5f49c7fcp-16, -0x1.030af77627af5p-15, -0x1.076d76d96b638p-15, -0x1.0baf455da66a7p-15, -0x1.0fd0cf2b038b4p-15, -0x1.13d2804bf5599p-15, -0x1.17b4c4a26be1ap-15, -0x1.1b7807dd68013p-15, -0x1.1f1cb56f6ed97p-15, -0x1.22a3388492402p-15, -0x1.260bfbf8b951dp-15, -0x1.29576a4f7d9ecp-15, -0x1.2c85edabe6d5fp-15, -0x1.2f97efc78f7a7p-15, -0x1.328dd9eb45b31p-15, -0x1.356814e797ed2p-15, -0x1.3827090dde27ep-15, -0x1.3acb1e2979a78p-15, -0x1.3d54bb791b242p-15, -0x1.3fc447a8f8903p-15, -0x1.421a28cce6c4cp-15, -0x1.4456c45a732dcp-15, -0x1.467a7f243a27cp-15, -0x1.4885bd548cd2fp-15, -0x1.4a78e268bbe99p-15, -0x1.4c54512c49b9ap-15, -0x1.4e186bb54eba7p-15, -0x1.4fc593602323ap-15, -0x1.515c28cba935bp-15, -0x1.52dc8bd5748ebp-15, -0x1.54471b96dc684p-15, -0x1.559c3661ba9bp-15, -0x1.56dc39bd9d90fp-15, -0x1.58078264b7ec6p-15, -0x1.591e6c41a23bbp-15, -0x1.5a21526d03d06p-15, -0x1.5b108f2b13989p-15, -0x1.5bec7be9ec75ap-15, -0x1.5cb5713fca83ap-15, -0x1.5d6bc6e8f35a1p-15, -0x1.5e0fd3c69ca8ep-15, -0x1.5ea1eddd5fe8p-15, -0x1.5f226a53f9aeap-15, -0x1.5f919d72017afp-15, -0x1.5fefda9f8af03p-15, -0x1.603d7463dabc1p-15, -0x1.607abc64bc2c5p-15, -0x1.60a803662c274p-15, -0x1.60c5994989a55p-15, -0x1.60d3cd0d8d0b8p-15, -0x1.60d2eccdeb935p-15, -0x1.60c345c35c55cp-15, -0x1.60a52443289b5p-15, -0x1.6078d3bf8fa85p-15, -0x1.603e9ec7f19dp-15, -0x1.5ff6cf08ec48p-15, -0x1.5fa1ad4cb08ap-15, -0x1.5f3f817b72622p-15, -0x1.5ed0929c06bc7p-15, -0x1.5e5526d451558p-15, -0x1.5dcd8369cda29p-15, -0x1.5d39ecc26f47ep-15, -0x1.5c9aa6656b227p-15, -0x1.5beff2fbedf32p-15, -0x1.5b3a145224758p-15, -0x1.5a794b57ea79cp-15, -0x1.59add822274a6p-15, -0x1.58d7f9ebc7b6cp-15, -0x1.57f7ef16b4deep-15, -0x1.570df52d0f17fp-15, -0x1.561a48e2538eap-15, -0x1.551d2614be70dp-15, -0x1.5416c7cea3b97p-15, -0x1.5307684779cd6p-15, -0x1.51ef40e5645b8p-15, -0x1.50ce8a3eb8648p-15, -0x1.4fa57c1b4020fp-15, -0x1.4e744d75ae1ap-15, -0x1.4d3b347d402d7p-15, -0x1.4bfa66973c605p-15, -0x1.4ab218605fa54p-15, -0x1.49627dae8251p-15, -0x1.480bc99227a9ap-15, -0x1.46ae2e584b6ep-15, -0x1.4549dd8bdf051p-15, -0x1.43df07f766056p-15, -0x1.426ddda69657p-15, -0x1.40f68de84231ap-15, -0x1.3f79474fe5de5p-15, -0x1.3df637b75d77ap-15, -0x1.3c6d8c40a96f1p-15, -0x1.3adf7157a5be2p-15, -0x1.394c12b3bd207p-15, -0x1.37b39b59c393dp-15, -0x1.3616359dac18p-15, -0x1.34740b24437ap-15, -0x1.32cd44e50625p-15, -0x1.31220b2bf5f2dp-15, -0x1.2f72859b41268p-15, -0x1.2dbedb2d0edf1p-15, -0x1.2c0732354b8a2p-15, -0x1.2a4bb06385e93p-15, -0x1.288c7ac4a475bp-15, -0x1.26c9b5c4cb67fp-15, -0x1.250385310d6c4p-15, -0x1.233a0c3917a82p-15, -0x1.216d6d71337fep-15, -0x1.1f9dcad3e5fffp-15, -0x1.1dcb45c3c15bp-15, -0x1.1bf5ff0d3ce3fp-15, -0x1.1a1e16e863f5ap-15, -0x1.1843acfa90055p-15, -0x1.1666e0583ca6dp-15, -0x1.1487cf86c3c81p-15, -0x1.12a6987e0daddp-15, -0x1.10c358aa64f6fp-15, -0x1.0ede2cee090dap-15, -0x1.0cf731a309bcp-15, -0x1.0b0e829cef972p-15, -0x1.09243b2a70aabp-15, -0x1.073876172a8b7p-15, -0x1.054b4dad38beep-15, -0x1.035cdbb6e628ap-15, -0x1.016d3980654fep-15, -0x1.fef8ffb2e1bafp-16, -0x1.fb158e2dc6e96p-16, -0x1.f7304e28b6268p-16, -0x1.f3496e6bb5481p-16, -0x1.ef611cd2d8954p-16, -0x1.eb77865161e4cp-16, -0x1.e78cd6f4f1bf2p-16, -0x1.e3a139e8975bp-16, -0x1.dfb4d977f3565p-16, -0x1.dbc7df12681f6p-16, -0x1.d7da734debf9bp-16, -0x1.d3ecbdea591bcp-16, -0x1.cffee5d4434e3p-16, -0x1.cc111127faef9p-16, -0x1.c823653483b8ap-16, -0x1.c436067e94266p-16, -0x1.c04918c35914fp-16, -0x1.bc5cbefb7ba57p-16, -0x1.b8711b5ddf15ap-16, -0x1.b4864f627d92fp-16, -0x1.b09c7bc53252p-16, -0x1.acb3c0887a479p-16, -0x1.a8cc3cf83aa59p-16, -0x1.a4e60fac66327p-16, -0x1.a101568bc6a7ep-16, -0x1.9d1e2ecea151cp-16, -0x1.993cb5013e22p-16, -0x1.955d050692cbap-16, -0x1.917f3a1ac583ap-16, -0x1.8da36ed5d2588p-16, -0x1.89c9bd2e1245fp-16, -0x1.85f23e7a8accbp-16, -0x1.821d0b75baeb8p-16, -0x1.7e4a3c3fbf7bp-16, -0x1.7a79e860c7853p-16, -0x1.76ac26cba4b76p-16, -0x1.72e10ddfdf2afp-16, -0x1.6f18b36c33d3ep-16, -0x1.6b532cb1100cbp-16, -0x1.67908e6266aefp-16, -0x1.63d0ecaa53f97p-16, -0x1.60145b2b24614p-16, -0x1.5c5aed018e8bp-16, -0x1.58a4b4c6fa3d3p-16, -0x1.54f1c4938730dp-16, -0x1.51422e0016c3cp-16, -0x1.4d960228a20cbp-16, -0x1.49ed51ae1d5cfp-16, -0x1.46482cb88cc19p-16, -0x1.42a6a2f9039f9p-16, -0x1.3f08c3aba44fap-16, -0x1.3b6e9d99873a3p-16, -0x1.37d83f1adb98bp-16, -0x1.3445b618b782bp-16, -0x1.30b7100ecb284p-16, -0x1.2d2c5a0d8c623p-16, -0x1.29a5a0bbd16ccp-16, -0x1.2622f058cf125p-16, -0x1.22a454bdcb2d6p-16, -0x1.1f29d95fde4c3p-16, -0x1.1bb38951ba5fcp-16, -0x1.18416f45577ap-16, -0x1.14d3958dc269dp-16, -0x1.116a0620aca67p-16, -0x1.0e04ca9829a05p-16, -0x1.0aa3ec3448c33p-16, -0x1.074773dc9f9dep-16, -0x1.03ef6a21e49c6p-16, -0x1.009bd73fa2fbp-16, -0x1.fa99863b433dbp-17, -0x1.f4046aa30165p-17, -0x1.ed786a404f666p-17, -0x1.e6f592fe3ea26p-17, -0x1.e07bf22c9a9fdp-17, -0x1.da0b94828a102p-17, -0x1.d3a486213426fp-17, -0x1.cd46d296feb43p-17, -0x1.c6f284e1de74fp-17, -0x1.c0a7a7721d8fcp-17, -0x1.ba66442d502fcp-17, -0x1.b42e6470aa98bp-17, -0x1.ae001113cd673p-17, -0x1.a7db526b2cf08p-17, -0x1.a1c0304abc5d1p-17, -0x1.9baeb2085dadcp-17, -0x1.95a6de7e53317p-17, -0x1.8fa8bc0db9a04p-17, -0x1.89b450a0a3197p-17, -0x1.83c9a1acb9989p-17, -0x1.7de8b435824ddp-17, -0x1.78118ccea3d73p-17, -0x1.72442f9e08731p-17, -0x1.6c80a05e100dp-17, -0x1.66c6e25fd0b32p-17, -0x1.6116f88d5cd07p-17, -0x1.5b70e56bb00c3p-17, -0x1.55d4ab1cd17c3p-17, -0x1.50424b61a804fp-17, -0x1.4ab9c79c4c891p-17, -0x1.453b20d200bb1p-17, -0x1.3fc657acef4fdp-17, -0x1.3a5b6c7e376bep-17, -0x1.34fa5f3fd7a39p-17, -0x1.2fa32f9671eccp-17, -0x1.2a55dcd31c3fdp-17, -0x1.251265f547699p-17, -0x1.1fd8c9ac71437p-17, -0x1.1aa90659f70ecp-17, -0x1.15831a12d6ceap-17, -0x1.106702a13823cp-17, -0x1.0b54bd86272ap-17, -0x1.064c47fb3adf1p-17, -0x1.014d9ef45632dp-17, -0x1.f8b17e41eec4bp-18, -0x1.eedb49dbc1108p-18, -0x1.e518990d9845cp-18, -0x1.db6963af751fep-18, -0x1.d1cda11d088c7p-18, -0x1.c8454838b8205p-18, -0x1.bed04f6e0ebp-18, -0x1.b56eacb535ca5p-18, -0x1.ac2055955ac91p-18, -0x1.a2e53f275d61dp-18, -0x1.99bd5e18a287bp-18, -0x1.90a8a6adcfaa6p-18, -0x1.87a70cc54316ep-18, -0x1.7eb883d9946a3p-18, -0x1.75dcff0460d1cp-18, -0x1.6d147100726e4p-18, -0x1.645ecc2c42ca8p-18, -0x1.5bbc028c78229p-18, -0x1.532c05ce1eeedp-18, -0x1.4aaec74943207p-18, -0x1.42443803083ccp-18, -0x1.39ec48af6d998p-18, -0x1.31a6e9b44219fp-18, -0x1.29740b2b26631p-18, -0x1.21539ce34abfep-18, -0x1.19458e63de48cp-18, -0x1.1149ceeda2698p-18, -0x1.09604d7dcbe27p-18, -0x1.0188f8cf0b60fp-18, -0x1.f3877eb8378fap-19, -0x1.e4211ec327ee1p-19, -0x1.d4deadbf1a1b7p-19, -0x1.c5c00736fdb7fp-19, -0x1.b6c5064478a66p-19, }}, 
      {{-0x1.ba60f9f57bdfep-10, -0x1.be8a76e1401a3p-9, -0x1.59752ed145be5p-8, -0x1.e6be6f1841672p-8, -0x1.4775a633e7da1p-7, -0x1.ab0404e71b751p-7, -0x1.0f0cdda0a0ce3p-6, -0x1.4f9dc9dc85934p-6, -0x1.96001da45a8d2p-6, -0x1.e0d315790ec84p-6, -0x1.1761e9ffb5632p-5, -0x1.3f59529d9705fp-5, -0x1.67e2afecb3679p-5, -0x1.90b595f329873p-5, -0x1.b9ab34002a343p-5, -0x1.e2b86bbedf572p-5, -0x1.05f355a204e26p-4, -0x1.1aa65754d5636p-4, -0x1.2f83f25149115p-4, -0x1.449b6f94f4b71p-4, -0x1.59fa7eb045e83p-4, -0x1.6faba933204e8p-4, -0x1.85b5594430176p-4, -0x1.9c19606530ddep-4, -0x1.b2d4e7c21f83ap-4, -0x1.c9e0b2937639bp-4, -0x1.e1319c23777ebp-4, -0x1.f8b93d36b29ep-4, -0x1.083353b4a5c8ep-3, -0x1.14139411d213fp-3, -0x1.1ff383eac5aa9p-3, -0x1.2bc91e80ff0e4p-3, -0x1.378a86993d72bp-3, -0x1.432e4c0d68cf4p-3, -0x1.4eaba583ac4ep-3, -0x1.59fa9e11ad42bp-3, -0x1.65143720e4989p-3, -0x1.6ff27f50e93f4p-3, -0x1.7a909f5ab8da6p-3, -0x1.84eade22c262dp-3, -0x1.8efe9d3bc2451p-3, -0x1.98ca4f1f78621p-3, -0x1.a24d685823a97p-3, -0x1.ab884cc248bc3p-3, -0x1.b47c39f4d15ebp-3, -0x1.bd2b2fc07bb8dp-3, -0x1.c597d798c9bc7p-3, -0x1.cdc56b99f7662p-3, -0x1.d5b79dc1bee54p-3, -0x1.dd727fd4cdee1p-3, -0x1.e4fa6c515df61p-3, -0x1.ec53f0b85ad9bp-3, -0x1.f383b9626fd95p-3, -0x1.fa8e7f04d1413p-3, -0x1.00bc7afd5c9dfp-2, -0x1.0423dfae1a0dbp-2, -0x1.077fadf051fb5p-2, -0x1.0ad210419c506p-2, -0x1.0e1d166c9d1cdp-2, -0x1.1162b182993c1p-2, -0x1.14a4b09740421p-2, -0x1.17e4be3139547p-2, -0x1.1b245e6158258p-2, -0x1.1e64ed71ff63cp-2, -0x1.21a79f202fc9ap-2, -0x1.24ed7e500b89ep-2, -0x1.28376d2ef5455p-2, -0x1.2b8625b609723p-2, -0x1.2eda3a805ca3ep-2, -0x1.323417e92f7a2p-2, -0x1.35940567037c4p-2, -0x1.38fa271963e79p-2, -0x1.3c667f7ff7711p-2, -0x1.3fd8f1523eab1p-2, -0x1.4351417041bedp-2, -0x1.46cf18e51746fp-2, -0x1.4a5206f503d8dp-2, -0x1.4dd983318d08ep-2, -0x1.5164ef8e96f5cp-2, -0x1.54f39a7429f5cp-2, -0x1.5884c0c91e1eap-2, -0x1.5c178ff36e4bbp-2, -0x1.5fab27cb6631ep-2, -0x1.633e9c7f605edp-2, -0x1.66d0f8661baccp-2, -0x1.6a613dbe26068p-2, -0x1.6dee685913f24p-2, -0x1.71776f31a0a0fp-2, -0x1.74fb45ec04d4p-2, -0x1.7878de401a2acp-2, -0x1.7bef294d0e966p-2, -0x1.7f5d18d6a38eep-2, -0x1.82c1a06c136bfp-2, -0x1.861bb678e5035p-2, -0x1.896a55400f9f3p-2, -0x1.8cac7bc1e6edcp-2, -0x1.8fe12e8d6c5d6p-2, -0x1.9307787da0438p-2, -0x1.961e6b639290bp-2, -0x1.9925209de610ep-2, -0x1.9c1ab99e9f7bep-2, -0x1.9efe60600169ap-2, -0x1.a1cf47c955e6p-2, -0x1.a48cac04737a3p-2, -0x1.a735d2c4df498p-2, -0x1.a9ca0b8157e22p-2, -0x1.ac48afa0a9809p-2, -0x1.aeb1229a96143p-2, -0x1.b102d20da2cf1p-2, -0x1.b33d35ca927b5p-2, -0x1.b55fcfd652104p-2, -0x1.b76a2c631351dp-2, -0x1.b95be1c14b1f7p-2, -0x1.bb3490494752p-2, -0x1.bcf3e23e00a7p-2, -0x1.be998ba9cb022p-2, -0x1.c0254a357f44cp-2, -0x1.c196e4faae1d1p-2, -0x1.c2ee2c5168f93p-2, -0x1.c42af99a218aep-2, -0x1.c54d2f041d342p-2, -0x1.c654b750f077ep-2, -0x1.c74185956c6e1p-2, -0x1.c81394f86adb7p-2, -0x1.c8cae86fd0e43p-2, -0x1.c9678a7c24b4bp-2, -0x1.c9e98ce30a91cp-2, -0x1.ca510868efaf6p-2, -0x1.ca9e1c8a3115cp-2, -0x1.cad0ef33f6e14p-2, -0x1.cae9ac7d07273p-2, -0x1.cae8865ec3133p-2, -0x1.cacdb46e7e2d4p-2, -0x1.ca99739763aedp-2, -0x1.ca4c05d50ae25p-2, -0x1.c9e5b1eee3747p-2, -0x1.c966c3349a431p-2, -0x1.c8cf893b95723p-2, -0x1.c820579d9c741p-2, -0x1.c75985b8c90ap-2, -0x1.c67b6e70d2d64p-2, -0x1.c5866ff1c2b0cp-2, -0x1.c47aeb74242cp-2, -0x1.c3594502ba22p-2, -0x1.c221e341c53b7p-2, -0x1.c0d52f37e0686p-2, -0x1.bf7394187e478p-2, -0x1.bdfd7f10070c7p-2, -0x1.bc735f119d0d5p-2, -0x1.bad5a4a688671p-2, -0x1.b924c1bf47f81p-2, -0x1.b76129864ba43p-2, -0x1.b58b5034506a4p-2, -0x1.b3a3aae65e494p-2, -0x1.b1aaaf7560ed2p-2, -0x1.afa0d44f5ce4fp-2, -0x1.ad8690523581ep-2, -0x1.ab5c5aa7fcc7ep-2, -0x1.a922aaa4d0f2dp-2, -0x1.a6d9f7a630b2ep-2, -0x1.a482b8f3ce099p-2, -0x1.a21d65a1cf12ap-2, -0x1.9faa747475ad4p-2, -0x1.9d2a5bc52a124p-2, -0x1.9a9d9168d9d28p-2, -0x1.98048a97a5f6ep-2, -0x1.955fbbd5da1a1p-2, -0x1.92af98de1e67dp-2, -0x1.8ff4948cdc993p-2, -0x1.8d2f20ccd3f65p-2, -0x1.8a5fae84ccfa7p-2, -0x1.8786ad8667c38p-2, -0x1.84a48c7dfb9fdp-2, -0x1.81b9b8e37e7dap-2, -0x1.7ec69eec6b00cp-2, -0x1.7bcba97ea0d76p-2, -0x1.78c942242cd65p-2, -0x1.75bfd0ffff748p-2, -0x1.72afbcc37ba94p-2, -0x1.6f996aa4dbf98p-2, -0x1.6c7d3e566a2fcp-2, -0x1.695b99fe76d56p-2, -0x1.6634de3014624p-2, -0x1.630969e48880fp-2, -0x1.5fd99a756b0b8p-2, -0x1.5ca5cb9770ff7p-2, -0x1.596e5755d94a7p-2, -0x1.5633960e72a4ap-2, -0x1.52f5de6e3844fp-2, -0x1.4fb5856e7d85ap-2, -0x1.4c72de529d797p-2, -0x1.492e3aa6349a2p-2, -0x1.45e7ea3bce222p-2, -0x1.42a03b2c0ebe9p-2, -0x1.3f5779d54c535p-2, -0x1.3c0df0db9260ep-2, -0x1.38c3e9290ff8p-2, -0x1.3579a9eee2797p-2, -0x1.322f78a64036ep-2, -0x1.2ee59911fa98ap-2, -0x1.2b9c4d4053636p-2, -0x1.2853d58d1fd6p-2, -0x1.250c70a4384e4p-2, -0x1.21c65b842ebc4p-2, -0x1.1e81d181446b3p-2, -0x1.1b3f0c48a465dp-2, -0x1.17fe43e3d2a1ep-2, -0x1.14bfaebc568b1p-2, -0x1.1183819f9892ap-2, -0x1.0e49efc2f1e21p-2, -0x1.0b132ac7e4f4ap-2, -0x1.07df62c087733p-2, -0x1.04aec6340ded3p-2, -0x1.018182237eb66p-2, -0x1.fcaf841d0b813p-3, -0x1.f6635ff0d121cp-3, -0x1.f01ee8da2a105p-3, -0x1.e9e26d0c98a44p-3, -0x1.e3ae37e1cb277p-3, -0x1.dd8291e448c87p-3, -0x1.d75fc0da47e45p-3, -0x1.d14607d0a69e1p-3, -0x1.cb35a72604022p-3, -0x1.c52edc95f0086p-3, -0x1.bf31e34435186p-3, -0x1.b93ef3c834e77p-3, -0x1.b356443858b0fp-3, -0x1.ad7808358796dp-3, -0x1.a7a470f6af7a8p-3, -0x1.a1dbad544c13ep-3, -0x1.9c1de9d3fcfc5p-3, -0x1.966b50b41049fp-3, -0x1.90c409f71a5d3p-3, -0x1.8b283b6f807c4p-3, -0x1.859808caff08ap-3, -0x1.8013939e2fb4ep-3, -0x1.7a9afb6ffb7f3p-3, -0x1.752e5dc505a25p-3, -0x1.6fcdd62b0b178p-3, -0x1.6a797e442f9f4p-3, -0x1.65316dd23932dp-3, -0x1.5ff5bac1b9ddfp-3, -0x1.5ac6793528e22p-3, -0x1.55a3bb8fdd10ap-3, -0x1.508d9280fad45p-3, -0x1.4b840d0e42903p-3, -0x1.4687389ecac3cp-3, -0x1.4197210599a3p-3, -0x1.3cb3d08c28b12p-3, -0x1.37dd4ffcca737p-3, -0x1.3313a6acf15a5p-3, -0x1.2e56da8757005p-3, -0x1.29a6f0160e4c8p-3, -0x1.2503ea8c66158p-3, -0x1.206dcbd0ba2c8p-3, -0x1.1be49486186d8p-3, -0x1.17684415ce0fcp-3, -0x1.12f8d8b8cabd3p-3, -0x1.0e964f80e5c28p-3, -0x1.0a40a46200f05p-3, -0x1.05f7d23b04c8ep-3, -0x1.01bbd2debec5dp-3, -0x1.fb193e392c8bep-4, -0x1.f2d45d9241dfbp-4, -0x1.eaa8f18d22831p-4, -0x1.e296e61a0cad6p-4, -0x1.da9e2565569cbp-4, -0x1.d2be97e78327dp-4, -0x1.caf82474f20a1p-4, -0x1.c34ab04d5b687p-4, -0x1.bbb61f2afa69ep-4, -0x1.b43a535168a5dp-4, -0x1.acd72d9c3a3cfp-4, -0x1.a58c8d8d5556fp-4, -0x1.9e5a515aee24cp-4, -0x1.974055fd53ea8p-4, -0x1.903e773c5f914p-4, -0x1.89548fbcaaa1p-4, -0x1.8282790c792d3p-4, -0x1.7bc80bb05caebp-4, -0x1.75251f2f934fdp-4, -0x1.6e998a20207fdp-4, -0x1.68252232a1f8fp-4, -0x1.61c7bc3ddbf1p-4, -0x1.5b812c4a0a016p-4, -0x1.5551459be21fap-4, -0x1.4f37dabf5e96ep-4, -0x1.4934bd9240c11p-4, -0x1.4347bf4e55a6fp-4, -0x1.3d70b093765e3p-4, -0x1.37af61714cf0ap-4, -0x1.3203a170d8b46p-4, -0x1.2c6d3f9db2c69p-4, -0x1.26ec0a8f1900dp-4, -0x1.217fd070b7d5dp-4, -0x1.1c285f0b3b029p-4, -0x1.16e583cca3a9cp-4, -0x1.11b70bd062cc4p-4, -0x1.0c9cc3e73986dp-4, -0x1.0796789ee45bap-4, -0x1.02a3f6498b8dp-4, -0x1.fb8a1209fb466p-5, -0x1.f1f2f9836b642p-5, -0x1.e8823a934fd6ep-5, -0x1.df376c8dc24ffp-5, -0x1.d6122693d4319p-5, -0x1.cd11ffa002f71p-5, -0x1.c4368e923a9e4p-5, -0x1.bb7f6a3b7a1efp-5, -0x1.b2ec29691e84dp-5, -0x1.aa7c62efc859ep-5, -0x1.a22fadb5e80d4p-5, -0x1.9a05a0bdedd0cp-5, -0x1.91fdd33023f6cp-5, -0x1.8a17dc64304c8p-5, -0x1.825353ea3d7dap-5, -0x1.7aafd193d27d8p-5, -0x1.732ced7c5b203p-5, -0x1.6bca40115c422p-5, -0x1.6487621a58118p-5, -0x1.5d63ecc068cecp-5, -0x1.565f79958bae4p-5, -0x1.4f79a29babb18p-5, -0x1.48b2024b53218p-5, -0x1.4208339a278ecp-5, -0x1.3b7bd201164c1p-5, -0x1.350c798241959p-5, -0x1.2eb9c6aea91aep-5, -0x1.288356ab9550dp-5, -0x1.2268c737c0f81p-5, -0x1.1c69b6b045c5p-5, -0x1.1685c4154d377p-5, -0x1.10bc8f0e8a8efp-5, -0x1.0b0db7ef7131dp-5, -0x1.0578dfbb4134dp-5, -0x1.fffb5051a700cp-6, -0x1.f537674c66962p-6, -0x1.eaa54ab810dcap-6, -0x1.e044426190c3bp-6, -0x1.d61397977ab03p-6, -0x1.cc12952fb1282p-6, -0x1.c240878cb2f0bp-6, -0x1.b89cbca29135dp-6, -0x1.af2683fb7e413p-6, -0x1.a5dd2ebc1e442p-6, -0x1.9cc00fa77a8aap-6, -0x1.93ce7b2297cb4p-6, -0x1.8b07c737dbe8fp-6, -0x1.826b4b9a080b1p-6, -0x1.79f861a7000b1p-6, -0x1.71ae646a4311cp-6, -0x1.698cb09f1a51cp-6, -0x1.6192a4b28f761p-6, -0x1.59bfa0c51224dp-6, -0x1.521306abf564ap-6, -0x1.4a8c39f29ccaep-6, -0x1.432a9fdb74e22p-6, -0x1.3bed9f60b2916p-6, -0x1.34d4a134e35d9p-6, -0x1.2ddf0fc33a1d7p-6, -0x1.270c572fb2dccp-6, -0x1.205be55704c94p-6, -0x1.19cd29ce59b82p-6, -0x1.135f95e2e54c5p-6, -0x1.0d129c994cf7bp-6, -0x1.06e5b2acda80ap-6, -0x1.00d84e8e947efp-6, -0x1.f5d3d0c83e82p-7, -0x1.ea33f40d0cf0bp-7, -0x1.decffe01b521ep-7, -0x1.d3a6e91d5883cp-7, -0x1.c8b7b334c70cap-7, -0x1.be015d76f210dp-7, -0x1.b382ec692f3f2p-7, -0x1.a93b67e319189p-7, -0x1.9f29db0a66f6dp-7, -0x1.954d544e628e5p-7, -0x1.8ba4e56346ebep-7, -0x1.822fa33d73d12p-7, -0x1.78eca60c42c5ep-7, -0x1.6fdb0934ee753p-7, -0x1.66f9eb4d18eeap-7, -0x1.5e486e1551e76p-7, -0x1.55c5b6735c3e3p-7, -0x1.4d70ec6c5cfa8p-7, -0x1.45493b1ee3504p-7, -0x1.3d4dd0bcc56ep-7, -0x1.357dde84fefbep-7, -0x1.2dd898bd45db6p-7, -0x1.265d36abb036cp-7, -0x1.1f0af2901aab1p-7, -0x1.17e1099d92f39p-7, -0x1.10debbf39ed53p-7, -0x1.0a034c97790cdp-7, -0x1.034e016d24942p-7, -0x1.f97c466117bb2p-8, -0x1.eca5fadcfdfa8p-8, -0x1.e017bcfb42fcfp-8, -0x1.d3d02eeeb6ec3p-8, -0x1.c7cdf86144a93p-8, -0x1.bc0fc665bdb4p-8, -0x1.b0944b692e734p-8, -0x1.a55a3f2480bbfp-8, -0x1.9a605e8de9b5ep-8, -0x1.8fa56bca2fc88p-8, -0x1.85282e1e13267p-8, -0x1.7ae771df90e9ap-8, -0x1.70e208673cfbep-8, -0x1.6716c80183ca8p-8, -0x1.5d848bdfcfd49p-8, -0x1.542a3409f7477p-8, -0x1.4b06a54f60b46p-8, -0x1.4218c93857e88p-8, -0x1.395f8df753494p-8, -0x1.30d9e65a4a5bfp-8, -0x1.2886c9bc142ffp-8, -0x1.206533f5b40c3p-8, -0x1.1874254fe4522p-8, -0x1.10b2a27477ffdp-8, -0x1.091fb45fe3525p-8, -0x1.01ba6852e285fp-8, -0x1.f5039f880a01ep-9, -0x1.e6ea00a2e2245p-9, -0x1.d92627653f9abp-9, -0x1.cbb64f54770e9p-9, -0x1.be98bbf005a4bp-9, -0x1.b1cbb895a8972p-9, -0x1.a54d98656e0e2p-9, -0x1.991cb6260c576p-9, -0x1.8d3774297829ep-9, -0x1.819c3c318fbe5p-9, -0x1.76497f54e95ecp-9, -0x1.6b3db5e40239dp-9, -0x1.60775f4e7ab8cp-9, -0x1.55f502088a90dp-9, -0x1.4bb52b70c1f4cp-9, -0x1.41b66fb5e0ba4p-9, -0x1.37f769bd1003dp-9, -0x1.2e76bb0810188p-9, -0x1.25330b9bf899p-9, -0x1.1c2b09e7d89ecp-9, -0x1.135d6aabde866p-9, -0x1.0ac8e8e089dc7p-9, -0x1.026c459e24c8bp-9, -0x1.f48c90091772ep-10, -0x1.e4ab7a461f089p-10, -0x1.d532efc17416p-10, -0x1.c620a1c99657bp-10, -0x1.b7724cfeadd2p-10, -0x1.a925b924597cfp-10, -0x1.9b38b8f475a3ap-10, -0x1.8da929f15c47dp-10, -0x1.8074f439db7eep-10, -0x1.739a0a5cbfb96p-10, -0x1.6716692d31b52p-10, -0x1.5ae81797bc322p-10, -0x1.4f0d2677712dcp-10, -0x1.4383b06c024fdp-10, -0x1.3849d9b009c14p-10, -0x1.2d5dcfefc159bp-10, -0x1.22bdca20a99e2p-10, -0x1.186808593c016p-10, -0x1.0e5ad3a948485p-10, -0x1.04947df2d9262p-10, -0x1.f626c3875b9a4p-11, -0x1.e3abc45dcf099p-11, -0x1.d1b4d54f0e9f6p-11, -0x1.c03eddb697e56p-11, -0x1.af46d51bbf2b3p-11, -0x1.9ec9c2e9bfa1bp-11, -0x1.8ec4be281af2ep-11, -0x1.7f34ed342697cp-11, -0x1.7017857be83f9p-11, -0x1.6169cb3972cadp-11, -0x1.5329112edb0cp-11, -0x1.4552b864efd23p-11, -0x1.37e42fe7f98d1p-11, -0x1.2adaf4884c922p-11, -0x1.1e349099ea377p-11, -0x1.11ee9bb5845d1p-11, -0x1.0606ba7afb44p-11, -0x1.f4f53ca7effbfp-12, -0x1.de900a702fd2ap-12, -0x1.c8d972e2a0092p-12, -0x1.b3cd22c363959p-12, -0x1.9f66de9467d64p-12, -0x1.8ba28223a68c4p-12, -0x1.787c001b16d38p-12, -0x1.65ef619434643p-12, -0x1.53f8c5aa8eae5p-12, -0x1.4294611280281p-12, -0x1.31be7daf46a29p-12, -0x1.21737a2cfca99p-12, -0x1.11afc99a0a6dap-12, -0x1.026ff30433b83p-12, -0x1.e761222b104e6p-13, -0x1.cadca367f5fe5p-13, -0x1.af4beb44a623dp-13, -0x1.94a8a044ce03bp-13, -0x1.7aec8d31d67ccp-13, -0x1.6211a0659ef0bp-13, -0x1.4a11eb195a853p-13, -0x1.32e7a0b472ccfp-13, -0x1.1c8d16226d934p-13, -0x1.06fcc126a8b5bp-13, -0x1.e4626f7076522p-14, -0x1.bc4a5eba9f91bp-14, -0x1.95a6f9121b6e1p-14, -0x1.706e23fd87e11p-14, -0x1.4c96006aa4cd3p-14, -0x1.2a14e97d8f73bp-14, -0x1.08e17362fef2ap-14, -0x1.d1e4d45331f48p-15, -0x1.947da13de2d52p-15, -0x1.597bbe68b82p-15, -0x1.20ce05c64e1cp-15, -0x1.d4c7706fedf3cp-16, -0x1.6c58f6e2df1d8p-16, -0x1.0830afbbfdbb1p-16, -0x1.505eda84c596bp-17, -0x1.30dafc705ff9cp-18, 0x1.7ae2330328afcp-21, 0x1.805c18873e4e1p-18, 0x1.614adbf900d1p-17, 0x1.fb3bd5196a12ap-17, 0x1.471b72c82e1b9p-16, 0x1.8d3856cfe17bfp-16, 0x1.d00e436f1c335p-16, 0x1.07db22cb9937ep-15, 0x1.262466e203a81p-15, 0x1.42eed9a751ddep-15, 0x1.5e461bd796086p-15, 0x1.783584db95204p-15, 0x1.90c8245b6787bp-15, 0x1.a808c3c8c465cp-15, 0x1.be01e7e41eca4p-15, 0x1.d2bdd23665da1p-15, 0x1.e646828ccbcbdp-15, 0x1.f8a5b85d32ff7p-15, 0x1.04f27a1bae2fap-14, 0x1.0d06bc8fa881ep-14, 0x1.149426f3fad1ep-14, 0x1.1b9f1f43b0f7bp-14, 0x1.222beeb17e7adp-14, 0x1.283ec249d2c67p-14, 0x1.2ddbab9369278p-14, 0x1.3306a12bac5c4p-14, 0x1.37c37f60930f7p-14, 0x1.3c1608c73d811p-14, 0x1.4001e6ce35075p-14, 0x1.438aaa50fa171p-14, 0x1.46b3cc22c3f96p-14, 0x1.4980ad9b7db93p-14, 0x1.4bf4991eb68c9p-14, 0x1.4e12c2a2fdc97p-14, 0x1.4fde4831f8868p-14, 0x1.515a326b5d3f3p-14, 0x1.52897500c56c1p-14, 0x1.536eef3158321p-14, 0x1.540d6c421d909p-14, 0x1.5467a3f4abd8p-14, 0x1.54803afa4e6cep-14, 0x1.5459c3658338cp-14, 0x1.53f6bd1965673p-14, 0x1.5359963568e6ap-14, 0x1.5284ab8130c0ep-14, 0x1.517a48d37c39bp-14, 0x1.503ca979af649p-14, 0x1.4ecdf89a6c329p-14, 0x1.4d305198afe87p-14, 0x1.4b65c072bdd72p-14, 0x1.49704220c48b4p-14, 0x1.4751c4f02eba3p-14, 0x1.450c28de0186fp-14, 0x1.42a13fee7e052p-14, 0x1.4012ce83d0ccap-14, 0x1.3d628bb1e2066p-14, 0x1.3a9221914b232p-14, 0x1.37a32d9000671p-14, 0x1.349740c0a3489p-14, 0x1.316fe02736ac7p-14, 0x1.2e2e8505d35p-14, 0x1.2ad49d256bc11p-14, 0x1.27638b1fd5511p-14, 0x1.23dca6a505594p-14, 0x1.20413cc210511p-14, 0x1.1c929023dbda3p-14, 0x1.18d1d959afd51p-14, 0x1.150047169bb33p-14, 0x1.111efe7089d9cp-14, 0x1.0d2f1b1e407acp-14, 0x1.0931afb48368dp-14, 0x1.0527c5e13d845p-14, 0x1.01125ea56474ep-14, 0x1.f9e4e51c0b4f7p-15, 0x1.f191e3d740837p-15, 0x1.e92d8a107a4dap-15, 0x1.e0b998ba105dap-15, 0x1.d837c18b670b3p-15, 0x1.cfa9a76634939p-15, 0x1.c710deba60efcp-15, 0x1.be6eede6413d8p-15, 0x1.b5c54d94e30a7p-15, 0x1.ad15691c21386p-15, 0x1.a4609ed4d5cb4p-15, 0x1.9ba8407514b1bp-15, 0x1.92ed93658b8efp-15, 0x1.8a31d115c4879p-15, 0x1.8176274e565aep-15, 0x1.78bbb88284b9fp-15, 0x1.70039c1d7d3e9p-15, 0x1.674edecfbffa8p-15, 0x1.5e9e82da232cfp-15, 0x1.55f38056f4e7p-15, 0x1.4d4ec5818c0d3p-15, 0x1.44b136fbeb074p-15, 0x1.3c1bb013802dcp-15, 0x1.338f0302ae3dp-15, 0x1.2b0bf93382b4p-15, 0x1.2293537d60914p-15, 0x1.1a25ca6416978p-15, 0x1.11c40e546071ap-15, 0x1.096ec7ddff62ap-15, 0x1.012697ee93b6bp-15, 0x1.f1d83012041d3p-16, 0x1.e17fb4f9c1308p-16, 0x1.d144d5372ad07p-16, 0x1.c12899da1c486p-16, 0x1.b12bfec489d17p-16, 0x1.a14ff30ec2c45p-16, 0x1.919559689846ap-16, 0x1.81fd08775a0bcp-16, 0x1.7287cb3324b3ap-16, 0x1.633661403d325p-16, 0x1.54097f47814edp-16, 0x1.4501cf4b32447p-16, 0x1.361ff0fc25b66p-16, 0x1.27647a09c1923p-16, 0x1.18cff6723532dp-16, 0x1.0a62e8cfde54fp-16, 0x1.f83b9548ab9ccp-17, 0x1.dc0219459041cp-17, 0x1.c01a2deed85b8p-17, 0x1.a484931a6c396p-17, 0x1.8941f8a46687ep-17, 0x1.6e52fef4b7d22p-17, 0x1.53b8377e88e42p-17, 0x1.3972254190893p-17, 0x1.1f813d40c5cd6p-17, 0x1.05e5e6fdcdd23p-17, 0x1.d940f9d75e442p-18, 0x1.a76299c1e2973p-18, 0x1.7631310d4037cp-18, 0x1.45ad2b8594ee5p-18, 0x1.15d6de43bde3fp-18, 0x1.cd5d10f5dc6d3p-19, 0x1.7068a87f0cf32p-19, 0x1.14d0ae8c2cd4dp-19, 0x1.752a4e8711c7cp-20, 0x1.86d7c3e2f6427p-21, 0x1.4658b1d8f0e63p-24, -0x1.2fd310bb43932p-21, -0x1.41826e67ddc94p-20, -0x1.e8667dde037f1p-20, -0x1.464ba60a6a6d9p-19, -0x1.970b553083238p-19, -0x1.e67351e0e414ap-19, -0x1.1a425ea6dc5ecp-18, -0x1.40a0699953fbbp-18, -0x1.66547464c3055p-18, -0x1.8b5f35db3d8b5p-18, -0x1.afc170827ef86p-18, -0x1.d37bf210ae3a7p-18, -0x1.f68f92f47ddeep-18, -0x1.0c7e9aece8334p-17, -0x1.1d62e39af6c0cp-17, -0x1.2df51e6a4703ap-17, -0x1.3e35cab50c0c2p-17, -0x1.4e256c144b894p-17, -0x1.5dc48a2ae4669p-17, -0x1.6d13b074291f9p-17, -0x1.7c136e11ecfbep-17, -0x1.8ac4559d9406p-17, -0x1.9926fcf872779p-17, -0x1.a73bfd20782d8p-17, -0x1.b503f2038ae1ap-17, -0x1.c27f7a55ab339p-17, -0x1.cfaf3768a03f9p-17, -0x1.dc93cd02b6db7p-17, -0x1.e92de13a004ecp-17, -0x1.f57e1c4dc550dp-17, -0x1.00c2944138202p-16, -0x1.06a1d8ffb1647p-16, -0x1.0c5d3355f332bp-16, -0x1.11f4fb075ef2dp-16, -0x1.1769889768b5fp-16, -0x1.1cbb3539b9537p-16, -0x1.21ea5ac371798p-16, -0x1.26f7539cc3358p-16, -0x1.2be27ab308de2p-16, -0x1.30ac2b6afa40cp-16, -0x1.3554c193ed249p-16, -0x1.39dc995ad6644p-16, -0x1.3e440f3e6bfb4p-16, -0x1.428b80031c8fap-16, -0x1.46b348a7d2e7dp-16, -0x1.4abbc65aa6a4ap-16, -0x1.4ea5566e96df8p-16, -0x1.52705650f9d83p-16, -0x1.561d237fcf9d9p-16, -0x1.59ac1b7fff18ep-16, -0x1.5d1d9bd441796p-16, -0x1.607201f430371p-16, -0x1.63a9ab43b685bp-16, -0x1.66c4f50ac5128p-16, -0x1.69c43c6d918d2p-16, -0x1.6ca7de64de1d4p-16, -0x1.6f7037b659588p-16, -0x1.721da4edfa6b8p-16, -0x1.74b08256ef03dp-16, -0x1.77292bf5052a4p-16, -0x1.7987fd7eb0093p-16, -0x1.7bcd5256cbd9ap-16, -0x1.7df98586d0c76p-16, -0x1.800cf1b96211fp-16, -0x1.8207f13504ce3p-16, -0x1.83eaddd6f1523p-16, -0x1.85b6110e377e4p-16, -0x1.8769e3d73301dp-16, -0x1.8906aeb717687p-16, -0x1.8a8cc9b786f4cp-16, -0x1.8bfc8c62c9745p-16, -0x1.8d564dbf73ad5p-16, -0x1.8e9a644d6ad71p-16, -0x1.8fc92601ec96cp-16, -0x1.90e2e84449b04p-16, -0x1.91e7ffeabfb3p-16, -0x1.92d8c137a866cp-16, -0x1.93b57fd681963p-16, -0x1.947e8ed90be8ep-16, -0x1.953440b505621p-16, -0x1.95d6e741d1dbcp-16, -0x1.9666d3b60e9c1p-16, -0x1.96e456a570db9p-16, -0x1.974fbffedbc77p-16, -0x1.97a95f0a8d927p-16, -0x1.97f182686b823p-16, -0x1.9828780e340b7p-16, -0x1.984e8d463131ep-16, -0x1.98640eadcca3cp-16, -0x1.986948341e126p-16, -0x1.985e85191194bp-16, -0x1.98440fec213bcp-16, -0x1.981a328b5f5b3p-16, -0x1.97e136228242dp-16, -0x1.9799632a51f7ap-16, -0x1.97430167dfe1fp-16, -0x1.96de57ebeb289p-16, -0x1.966bad1242e21p-16, -0x1.95eb468171c67p-16, -0x1.955d692a60823p-16, -0x1.94c2594819e78p-16, -0x1.941a5a5f65545p-16, -0x1.9365af3ed23ap-16, -0x1.92a499fe89ff2p-16, -0x1.91d75c0043077p-16, -0x1.90fe35ef68552p-16, -0x1.901967c141e36p-16, -0x1.8f2930b4e9d71p-16, -0x1.8e2dcf53c2abdp-16, -0x1.8d278171abcd9p-16, -0x1.8c16842d41babp-16, -0x1.8afb13f035eccp-16, -0x1.89d56c7008089p-16, -0x1.88a5c8ae4265dp-16, -0x1.876c62f8fdec2p-16, -0x1.862974eb9a8b4p-16, -0x1.84dd376f31ccep-16, -0x1.8387e2bb5739cp-16, -0x1.8229ae56c549dp-16, -0x1.80c2d118238cbp-16, -0x1.7f538126977fcp-16, -0x1.7ddbf3fab8d45p-16, -0x1.7c5c5e5f6772ep-16, -0x1.7ad4f472925bcp-16, -0x1.7945e9a61ccbfp-16, -0x1.77af70c0d2838p-16, -0x1.7611bbdf5c0cp-16, -0x1.746cfc7523dd6p-16, -0x1.72c1634d56e3ep-16, -0x1.710f208becf42p-16, -0x1.6f5663aeb2af6p-16, -0x1.6d975b8e59e4p-16, -0x1.6bd2365f887dcp-16, -0x1.6a0721b3d4006p-16, -0x1.68364a7b0fe0dp-16, -0x1.665fdd0460c7bp-16, -0x1.648404ff4fd3ep-16, -0x1.62a2ed7cf37b2p-16, -0x1.60bcc0f11922ep-16, -0x1.5ed1a9338963p-16, -0x1.5ce1cf81381adp-16, -0x1.5aed5c7d5ee84p-16, -0x1.58f47832c16a7p-16, -0x1.56f74a14fc52ep-16, -0x1.54f5f901ac1cbp-16, -0x1.52f0ab41a5c77p-16, -0x1.50e7868a51703p-16, -0x1.4edaaffedb1ecp-16, -0x1.4cca4c317144fp-16, -0x1.4ab67f249316dp-16, -0x1.489f6c4c52a43p-16, -0x1.4685368fae001p-16, -0x1.44680049ce782p-16, -0x1.4247eb4b49f4dp-16, -0x1.402518db5e967p-16, -0x1.3dffa9b966862p-16, -0x1.3bd7be1e0c5dep-16, -0x1.39ad75bc9194ap-16, -0x1.3780efc42634cp-16, -0x1.35524ae1350bfp-16, -0x1.3321a53e9af5p-16, -0x1.30ef1c870e68fp-16, -0x1.2ebacde66532ap-16, -0x1.2c84d60acc70dp-16, -0x1.2a4d512623e7bp-16, -0x1.28145aef5952p-16, -0x1.25da0ea394dc3p-16, -0x1.239e8707849b3p-16, -0x1.2161de68aae59p-16, -0x1.1f242e9eb1b76p-16, -0x1.1ce5910ca143fp-16, -0x1.1aa61ea23b46ep-16, -0x1.1865efdd2eb4p-16, -0x1.16251cca4e489p-16, -0x1.13e3bd06f0e7cp-16, -0x1.11a1e7c21ca5p-16, -0x1.0f5fb3bdc9952p-16, -0x1.0d1d375035eb2p-16, -0x1.0ada88650caf2p-16, -0x1.0897bc7e97fd7p-16, -0x1.0654e8b71f395p-16, -0x1.041221c2023cep-16, -0x1.01cf7becef323p-16, -0x1.ff1a16426d5f6p-17, -0x1.fa95c5c9a6e6bp-17, -0x1.f6122cb770065p-17, -0x1.f18f709201d78p-17, -0x1.ed0db620386p-17, -0x1.e88d216be4537p-17, -0x1.e40dd5c42297ep-17, -0x1.df8ff5bfb53c2p-17, -0x1.db13a33f46cf4p-17, -0x1.d698ff6fbab0bp-17, -0x1.d2202acc734a7p-17, -0x1.cda94521858ep-17, -0x1.c9346d8dff2e9p-17, -0x1.c4c1c2862fbc5p-17, -0x1.c05161d5cf298p-17, -0x1.bbe368a232b92p-17, -0x1.b777f36c67fc7p-17, -0x1.b30f1e1372672p-17, -0x1.aea903d66d817p-17, -0x1.aa45bf568c845p-17, -0x1.a5e56a9974bffp-17, -0x1.a1881f0b19309p-17, -0x1.9d2df57fd40adp-17, -0x1.98d706369baa6p-17, -0x1.948368daf535ap-17, -0x1.90333486e740cp-17, -0x1.8be67fc524a5ep-17, -0x1.879d6092e0e51p-17, -0x1.8357ec61d2a1ap-17, -0x1.7f16381a34af6p-17, -0x1.7ad8581caa4c7p-17, -0x1.769e60442d724p-17, -0x1.726863e7e787dp-17, -0x1.6e3675dd2cabp-17, -0x1.6a08a87950106p-17, -0x1.65df0d936e4c7p-17, -0x1.61b9b6864a592p-17, -0x1.5d98b4320dc88p-17, -0x1.597c16fe34339p-17, -0x1.5563eedb471a4p-17, -0x1.51504b446d164p-17, -0x1.4d413b4198727p-17, -0x1.4936cd68dd4bap-17, -0x1.45310fe02cdd4p-17, -0x1.4130105f56d7fp-17, -0x1.3d33dc314be9p-17, -0x1.393c8035eea4ep-17, -0x1.354a08e4036dap-17, -0x1.315c824a4a56cp-17, -0x1.2d73f8117bba1p-17, -0x1.2990757db68fp-17, -0x1.25b205700a6d9p-17, -0x1.21d8b26831b36p-17, -0x1.1e048685f06f7p-17, -0x1.1a358b8a8d884p-17, -0x1.166bcada9e079p-17, -0x1.12a74d7f3af34p-17, -0x1.0ee81c278a4dcp-17, -0x1.0b2e3f2a4175cp-17, -0x1.0779be8709fa3p-17, -0x1.03caa1e7db7afp-17, -0x1.0020f0a2a7895p-17, -0x1.f8f963750e4aap-18, -0x1.f1bbd7c1f5ee1p-18, -0x1.ea894aef4976bp-18, -0x1.e361c9227f709p-18, -0x1.dc455de658619p-18, -0x1.d534142d93b14p-18, -0x1.ce2df6552c5fbp-18, -0x1.c7330e2713b0cp-18, -0x1.c04364dcb7631p-18, -0x1.b95f03219f886p-18, -0x1.b285f115bd1b7p-18, -0x1.abb8364ff7b4dp-18, -0x1.a4f5d9e0a9aa9p-18, -0x1.9e3ee253c5249p-18, -0x1.979355b32beb4p-18, -0x1.90f3398977e8fp-18, -0x1.8a5e92e3c2db1p-18, -0x1.83d566545200dp-18, -0x1.7d57b7f4a2f97p-18, -0x1.76e58b6745e77p-18, -0x1.707ee3dac0c0ap-18, -0x1.6a23c40b6c533p-18, -0x1.63d42e4543bf5p-18, -0x1.5d902466acaedp-18, -0x1.5757a7e1fd4eep-18, -0x1.512ab9bf7ecdcp-18, -0x1.4b095a9ffbed3p-18, -0x1.44f38abe49dddp-18, -0x1.3ee949f16de71p-18, -0x1.38ea97ae7868p-18, -0x1.32f7730a94977p-18, -0x1.2d0fdabce1804p-18, -0x1.2733cd20530fep-18, -0x1.2163483599323p-18, -0x1.1b9e49a4a37d4p-18, -0x1.15e4cebecdc3ap-18, -0x1.1036d48086ea2p-18, -0x1.0a945793192c8p-18, -0x1.04fd544e5c7a7p-18, -0x1.fee38d747fcd7p-19, -0x1.f3e3552175b3dp-19, -0x1.e8f9f67ee6148p-19, -0x1.de2767d277a92p-19, -0x1.d36b9ecfb4efdp-19, -0x1.c8c6909a8b76bp-19, -0x1.be3831cb23e0ap-19, -0x1.b3c076712939p-19, -0x1.a95f52161bdbep-19, -0x1.9f14b7c0a9817p-19, -0x1.94e099f7ed131p-19, -0x1.8ac2eac5f4e21p-19, -0x1.80bb9bbaac043p-19, -0x1.76ca9deee3f9ap-19, -0x1.6cefe20709945p-19, -0x1.632b5835ffecp-19, -0x1.597cf03febc17p-19, -0x1.4fe4997c8a6fbp-19, -0x1.466242da18678p-19, -0x1.3cf5dadfd6d1fp-19, -0x1.339f4fb0ecdbap-19, -0x1.2a5e8f0e74dcap-19, -0x1.2133865a26dfep-19, -0x1.181e229909822p-19, -0x1.0f1e50757a7d5p-19, -0x1.0633fc41f4db6p-19, -0x1.fabe23f6a08bp-20, -0x1.e93efa94ff8b2p-20, -0x1.d7ea530fcddf7p-20, -0x1.c6c00379c1732p-20, -0x1.b5bfe14be0bf1p-20, -0x1.a4e9c16a66dcap-20, -0x1.943d782918a1ap-20, -0x1.83bad94f22fcbp-20, -0x1.7361b81b37933p-20, -0x1.6331e7484879ap-20, -0x1.532b3910e4481p-20, -0x1.434d7f33224bep-20, -0x1.33988af4f9f26p-20, -0x1.240c2d27d8828p-20, -0x1.14a8362cd83f7p-20, -0x1.056c75f826bf6p-20, -0x1.ecb178278c18cp-21, -0x1.ced9af4995bedp-21, -0x1.b1512edc79886p-21, -0x1.941793a87abfdp-21, -0x1.772c79c03e5bep-21, -0x1.5a8f7c845659p-21, -0x1.3e4036af5b9fep-21, -0x1.223e4257b1813p-21, -0x1.068938f7cc8ccp-21, -0x1.d64166ea60b98p-22, -0x1.a008944ad148ap-22, -0x1.6a6729a7c5a91p-22, -0x1.355c55918d1a9p-22, }}, 
      {{-0x1.d60e339c560c8p-1, -0x1.d6054168a78ep-1, -0x1.d5d1eb70bca86p-1, -0x1.d56a97a177b71p-1, -0x1.d4d2e0c9b03c8p-1, -0x1.d41304bb789ebp-1, -0x1.d3325a831443dp-1, -0x1.d2350e306f0a1p-1, -0x1.d11c12eaee3c2p-1, -0x1.cfe628da9d663p-1, -0x1.ce912614d0eecp-1, -0x1.cd1b0eb13c8a8p-1, -0x1.cb82cebf590fp-1, -0x1.c9c8939d74e2cp-1, -0x1.c7edd6e906ab5p-1, -0x1.c5f533bca104p-1, -0x1.c3e21daf89744p-1, -0x1.c1b88c6aee936p-1, -0x1.bf7ca935fd9cbp-1, -0x1.bd3286ddee7ccp-1, -0x1.badde85d3f7f2p-1, -0x1.b88217b5059b2p-1, -0x1.b621cc706010dp-1, -0x1.b3bf20158d9a1p-1, -0x1.b15b8e28976f3p-1, -0x1.aef7fd2d8de5ep-1, -0x1.ac94ce283867dp-1, -0x1.aa31f051f90cbp-1, -0x1.a7cef7105d6e6p-1, -0x1.a56b309191447p-1, -0x1.a305bbce3f558p-1, -0x1.a09d9d047f247p-1, -0x1.9e31d009f12d1p-1, -0x1.9bc158128040dp-1, -0x1.994b4cbd3049dp-1, -0x1.96cee4614f8afp-1, -0x1.944b7bb55dbe3p-1, -0x1.91c09aff2b334p-1, -0x1.8f2df90b77f55p-1, -0x1.8c937c33fcfebp-1, -0x1.89f139be833dbp-1, -0x1.874773dfa9f66p-1, -0x1.849696a91773dp-1, -0x1.81df3426081a6p-1, -0x1.7f21ffe301b82p-1, -0x1.7c5fca169f25cp-1, -0x1.79997a9a31198p-1, -0x1.76d00bd9d677ep-1, -0x1.740485dcc2033p-1, -0x1.7137f97fffe15p-1, -0x1.6e6b7bf821a6bp-1, -0x1.6ba022a8f8313p-1, -0x1.68d6ff5ddcbc3p-1, -0x1.66111ce90ee44p-1, -0x1.634f7c2d44c1p-1, -0x1.60931191c3b8dp-1, -0x1.5ddcc2df08f06p-1, -0x1.5b2d65803c30cp-1, -0x1.5885bd2447299p-1, -0x1.55e67ab869e8dp-1, -0x1.53503bb56c6ccp-1, -0x1.50c389b826164p-1, -0x1.4e40da5de0822p-1, -0x1.4bc88f5d101adp-1, -0x1.495af6d3039f5p-1, -0x1.46f84bbf69a6ap-1, -0x1.44a0b6a6dc85cp-1, -0x1.42544e560be63p-1, -0x1.401318bf8dee3p-1, -0x1.3ddd0beed4a5cp-1, -0x1.3bb20f0b3fd83p-1, -0x1.3991fb66c143cp-1, -0x1.377c9d93fbb2p-1, -0x1.3571b6803ef6fp-1, -0x1.3370fc8e31e13p-1, -0x1.317a1cae632ap-1, -0x1.2f8cbb735dd8cp-1, -0x1.2da8761f3b726p-1, -0x1.2bcce3a902512p-1, -0x1.29f995b869b18p-1, -0x1.282e1996e40c7p-1, -0x1.2669f9151528fp-1, -0x1.24acbb64070dp-1, -0x1.22f5e5e1acc6cp-1, -0x1.2144fcd86c064p-1, -0x1.1f998431869bcp-1, -0x1.1df3001a6a3afp-1, -0x1.1c50f59cfeb39p-1, -0x1.1ab2eb2b2ab32p-1, -0x1.1918691dd616p-1, -0x1.1780fa27c7aefp-1, -0x1.15ec2bbcc56ebp-1, -0x1.14598e6d6baf7p-1, -0x1.12c8b638365abp-1, -0x1.11393ad040813p-1, -0x1.0faab7da3e57ep-1, -0x1.0e1ccd203efddp-1, -0x1.0c8f1ebcbbc03p-1, -0x1.0b01553d8359ap-1, -0x1.09731dbf0752fp-1, -0x1.07e42a0094121p-1, -0x1.06543071f71a2p-1, -0x1.04c2ec3b133ddp-1, -0x1.03301d3de1a7cp-1, -0x1.019b8813539b9p-1, -0x1.0004f6038be7dp-1, -0x1.fcd869f3baa5p-2, -0x1.f9a22ee9eb289p-2, -0x1.f666e8e734f36p-2, -0x1.f3264ebcb135cp-2, -0x1.efe01fdcf268ep-2, -0x1.ec94242532951p-2, -0x1.e9422ba256a02p-2, -0x1.e5ea0e5264183p-2, -0x1.e28babe2ee4c3p-2, -0x1.df26eb6cfe332p-2, -0x1.dbbbbb2eed329p-2, -0x1.d84a10449e85ap-2, -0x1.d4d1e65e83e56p-2, -0x1.d1533f77c4f8ep-2, -0x1.cdce238be6589p-2, -0x1.ca42a04c3cac6p-2, -0x1.c6b0c8d5700f5p-2, -0x1.c318b5655d91bp-2, -0x1.bf7a831183b57p-2, -0x1.bbd6537e3b6dp-2, -0x1.b82c4c96e5a23p-2, -0x1.b47c98473d354p-2, -0x1.b0c76435f1f5ap-2, -0x1.ad0ce180ac3dfp-2, -0x1.a94d44799a30ap-2, -0x1.a588c4669c21p-2, -0x1.a1bf9b4227085p-2, -0x1.9df2057df3746p-2, -0x1.9a2041c77ea78p-2, -0x1.964a90ce73e7ap-2, -0x1.9271350d010ffp-2, -0x1.8e94729220131p-2, -0x1.8ab48ecddb24cp-2, -0x1.86d1d05f8a391p-2, -0x1.82ec7ee60e4p-2, -0x1.7f04e2d20a8cfp-2, -0x1.7b1b453a132e8p-2, -0x1.772fefb0d50cdp-2, -0x1.73432c1d2b7d6p-2, -0x1.6f554494242eap-2, -0x1.6b668334dfd2cp-2, -0x1.6777320654d0fp-2, -0x1.63879ad6e0a4p-2, -0x1.5f98071d9f897p-2, -0x1.5ba8bfdd89314p-2, -0x1.57ba0d8a3aacbp-2, -0x1.53cc37ee6f5fcp-2, -0x1.4fdf86141135p-2, -0x1.4bf43e2dde50dp-2, -0x1.480aa58295514p-2, -0x1.442300599a771p-2, -0x1.403d91e907a5bp-2, -0x1.3c5a9c4523448p-2, -0x1.387a605125d13p-2, -0x1.349d1db14fe56p-2, -0x1.30c312be356b4p-2, -0x1.2cec7c793d8fcp-2, -0x1.29199682472ep-2, -0x1.254a9b0e640fep-2, -0x1.217fc2dfa2399p-2, -0x1.1db9453dd52cp-2, -0x1.19f757f05815bp-2, -0x1.163a2f38b7594p-2, -0x1.1281fdce3b429p-2, -0x1.0ecef4da495bep-2, -0x1.0b2143f58ddebp-2, -0x1.07791925e78a3p-2, -0x1.03d6a0dd098dap-2, -0x1.003a05f7ca4a6p-2, -0x1.f946e37c28bfdp-3, -0x1.f22617c6eb375p-3, -0x1.eb11f510762c2p-3, -0x1.e40ac47634192p-3, -0x1.dd10cbf6ac273p-3, -0x1.d6244e76c4dbcp-3, -0x1.cf458bc7e7146p-3, -0x1.c874c0aef33c3p-3, -0x1.c1b226ebf804fp-3, -0x1.bafdf542a71edp-3, -0x1.b4585f836d8bfp-3, -0x1.adc1969526c38p-3, -0x1.a739c87f647c3p-3, -0x1.a0c120753601ep-3, -0x1.9a57c6e06f163p-3, -0x1.93fde16d51558p-3, -0x1.8db39316a5519p-3, -0x1.8778fc32265b1p-3, -0x1.814e3a7d3d75cp-3, -0x1.7b33692a07103p-3, -0x1.7528a0ec956d9p-3, -0x1.6f2df80867d5fp-3, -0x1.6943825e1308bp-3, -0x1.636951790bfcep-3, -0x1.5d9f749d97937p-3, -0x1.57e5f8d6cf656p-3, -0x1.523ce904b9ebfp-3, -0x1.4ca44dea735fap-3, -0x1.471c2e3c5696ap-3, -0x1.41a48eae2dce4p-3, -0x1.3c3d72015d4bep-3, -0x1.36e6d91307d5fp-3, -0x1.31a0c2ea20b3ep-3, -0x1.2c6b2cc57785ep-3, -0x1.27461229a715bp-3, -0x1.22316ceeec679p-3, -0x1.1d2d354ee6ec9p-3, -0x1.183961f2390a8p-3, -0x1.1355e7fdff4c2p-3, -0x1.0e82bb212fd19p-3, -0x1.09bfcda1c4191p-3, -0x1.050d1069cb075p-3, -0x1.006a73143aba7p-3, -0x1.f7afc7f35537fp-4, -0x1.eeaaa07996f76p-4, -0x1.e5c547ad78f44p-4, -0x1.dcff93464846ep-4, -0x1.d45956d83ea3p-4, -0x1.cbd263ebe171ep-4, -0x1.c36a8a150c7b7p-4, -0x1.bb219709789ep-4, -0x1.b2f756b6e70bap-4, -0x1.aaeb9358d324cp-4, -0x1.a2fe158db57d6p-4, -0x1.9b2ea46bcd808p-4, -0x1.937d059586722p-4, -0x1.8be8fd4d63c2ep-4, -0x1.84724e8971304p-4, -0x1.7d18bb064bcdcp-4, -0x1.75dc0359b1ab1p-4, -0x1.6ebbe7049e99ep-4, -0x1.67b82484f69a1p-4, -0x1.60d07966bd0bdp-4, -0x1.5a04a254db4ap-4, -0x1.53545b297437ap-4, -0x1.4cbf5efdc8171p-4, -0x1.46456839a8245p-4, -0x1.3fe630a27d1d7p-4, -0x1.39a17169df22ap-4, -0x1.3376e33bbe3adp-4, -0x1.2d663e4c25b0fp-4, -0x1.276f3a648f8dbp-4, -0x1.21918ef0d208cp-4, -0x1.1bccf30ba52ebp-4, -0x1.16211d8ac35f5p-4, -0x1.108dc50aa4fe4p-4, -0x1.0b129ff9d4df1p-4, -0x1.05af64a3eeabdp-4, -0x1.0063c93c2f56ap-4, -0x1.f65f07cf64ad8p-5, -0x1.ec24958e98c08p-5, -0x1.e217a8021f1d7p-5, -0x1.d837ab92e22ecp-5, -0x1.ce840cd83b0f1p-5, -0x1.c4fc38a8e41eep-5, -0x1.bb9f9c2b4dfa3p-5, -0x1.b26da4e546443p-5, -0x1.a965c0caffc4ep-5, -0x1.a0875e4d833b3p-5, -0x1.97d1ec6880cdp-5, -0x1.8f44daaf87014p-5, -0x1.86df995aaf1ap-5, -0x1.7ea19952b5a7ap-5, -0x1.768a4c3c838f7p-5, -0x1.6e99248432c6bp-5, -0x1.66cd95678d004p-5, -0x1.5f27130005013p-5, -0x1.57a5124c34dp-5, -0x1.50470938dd39cp-5, -0x1.490c6ea96f79ap-5, -0x1.41f4ba801e312p-5, -0x1.3aff65a5814e9p-5, -0x1.342bea0fc799bp-5, -0x1.2d79c2c97da4ap-5, -0x1.26e86bf7ebe3ap-5, -0x1.207762e10f6fdp-5, -0x1.1a2625f12f377p-5, -0x1.13f434c016c2p-5, -0x1.0de11015e7c0ap-5, -0x1.07ec39efa3239p-5, -0x1.0215358348a24p-5, -0x1.f8b70e87607dep-6, -0x1.ed7d69c816f47p-6, -0x1.e27c8ab631899p-6, -0x1.d7b381cc125e1p-6, -0x1.cd2162163a887p-6, -0x1.c2c54137f8756p-6, -0x1.b89e376f82835p-6, -0x1.aeab5f999c192p-6, -0x1.a4ebd734a7aacp-6, -0x1.9b5ebe634a43fp-6, -0x1.920337ee93389p-6, -0x1.88d86947b1d69p-6, -0x1.7fdd7a8939181p-6, -0x1.77119677fbe46p-6, -0x1.6e73ea838618ep-6, -0x1.6603a6c62a9bdp-6, -0x1.5dbffe04bc49cp-6, -0x1.55a825ade18e5p-6, -0x1.4dbb55d92252dp-6, -0x1.45f8c945898e2p-6, -0x1.3e5fbd580f3e3p-6, -0x1.36ef7219abd2bp-6, -0x1.2fa72a351aacp-6, -0x1.28862af465b68p-6, -0x1.218bbc3e27231p-6, -0x1.1ab7289289adap-6, -0x1.1407bd080fe4bp-6, -0x1.0d7cc94821bccp-6, -0x1.07159f8b63f49p-6, -0x1.00d19495d72ep-6, -0x1.f55fff658e5a8p-7, -0x1.e96075612997ep-7, -0x1.dda343b88f429p-7, -0x1.d22727f9edb2fp-7, -0x1.c6eae49e2bcf4p-7, -0x1.bbed40ff18e12p-7, -0x1.b12d094d7c0d6p-7, -0x1.a6a90e86b76cep-7, -0x1.9c60266a54a13p-7, -0x1.92512b6f3fc89p-7, -0x1.887afcb8dc71dp-7, -0x1.7edc7e0bdb3bap-7, -0x1.757497c2f07d6p-7, -0x1.6c4236c352a42p-7, -0x1.63444c7120a36p-7, -0x1.5a79cea39019dp-7, -0x1.51e1b7991e467p-7, -0x1.497b05eb70c62p-7, -0x1.4144bc8351e5fp-7, -0x1.393de28c71499p-7, -0x1.31658369182f7p-7, -0x1.29baaea5d8ebap-7, -0x1.223c77ed1cbfcp-7, -0x1.1ae9f6fab0ff4p-7, -0x1.13c2478f40a2cp-7, -0x1.0cc48963d1615p-7, -0x1.05efe01d30994p-7, -0x1.fe86e67eb0685p-8, -0x1.f17cdc41c1423p-8, -0x1.e4bfffbcd5dadp-8, -0x1.d84eb69bfea63p-8, -0x1.cc276de51a8c2p-8, -0x1.c04899de9885cp-8, -0x1.b4b0b5f6865b8p-8, -0x1.a95e44a98b65dp-8, -0x1.9e4fcf69ff74ep-8, -0x1.9383e68719ec7p-8, -0x1.88f921142b49fp-8, -0x1.7eae1cd017f89p-8, -0x1.74a17e0cc4814p-8, -0x1.6ad1ef96b856ep-8, -0x1.613e229cd967p-8, -0x1.57e4ce98639eep-8, -0x1.4ec4b134e028bp-8, -0x1.45dc8e38634ecp-8, -0x1.3d2b2f6beb965p-8, -0x1.34af6483dcb6ep-8, -0x1.2c680308c259bp-8, -0x1.2453e64032ee3p-8, -0x1.1c71ef15db084p-8, -0x1.14c10404cc933p-8, -0x1.0d401100e75a8p-8, -0x1.05ee07608be1cp-8, -0x1.fd93bb8cfb9cp-9, -0x1.efa52017de3fap-9, -0x1.e20e3e5597c4ap-9, -0x1.d4cd225071093p-9, -0x1.c7dfe1feadb39p-9, -0x1.bb449d183e29bp-9, -0x1.aef97ced4da69p-9, -0x1.a2fcb43cccee6p-9, -0x1.974c7f0bd25ecp-9, -0x1.8be7227d5380dp-9, -0x1.80caecaa23d9fp-9, -0x1.75f63479af327p-9, -0x1.6b67597afb5b2p-9, -0x1.611cc3be3f215p-9, -0x1.5714e3aee2885p-9, -0x1.4d4e31edf53b3p-9, -0x1.43c72f2d28b99p-9, -0x1.3a7e640a28877p-9, -0x1.317260eaa4419p-9, -0x1.28a1bdd882cap-9, -0x1.200b1a5edd4e2p-9, -0x1.17ad1d672fc6ep-9, -0x1.0f867517301b8p-9, -0x1.0795d6af07387p-9, -0x1.ffb3fcd02823ep-10, -0x1.f0a35ea7faeedp-10, -0x1.e1f76678d7515p-10, -0x1.d3adb506433dbp-10, -0x1.c5c3f804fe15fp-10, -0x1.b837e9dd3a47cp-10, -0x1.ab07516d50817p-10, -0x1.9e3001cded34ap-10, -0x1.91afda1670c2cp-10, -0x1.8584c522e07cp-10, -0x1.79acb95a67bbap-10, -0x1.6e25b8769bcc2p-10, -0x1.62edcf4be908p-10, -0x1.58031592a57cep-10, -0x1.4d63adb12c243p-10, -0x1.430dc486c2c5fp-10, -0x1.38ff91371c5aep-10, -0x1.2f3754f731b5p-10, -0x1.25b35ada6fb9fp-10, -0x1.1c71f7a10817cp-10, -0x1.13718986ebfddp-10, -0x1.0ab07813afe45p-10, -0x1.022d33eb2970cp-10, -0x1.f3cc6d3d90815p-11, -0x1.e3b404ffe26b9p-11, -0x1.d40e44e5adebap-11, -0x1.c4d853847d411p-11, -0x1.b60f67e83a4b4p-11, -0x1.a7b0c93d61ce9p-11, -0x1.99b9ce7d2dc63p-11, -0x1.8c27de1aeece2p-11, -0x1.7ef86db2fcad4p-11, -0x1.722901baeae7cp-11, -0x1.65b72d3363fb8p-11, -0x1.59a0915b1f702p-11, -0x1.4de2dd635cc9p-11, -0x1.427bce25d11dcp-11, -0x1.37692ddbc1161p-11, -0x1.2ca8d3d663a88p-11, -0x1.2238a438c9f67p-11, -0x1.18168fb2de9a3p-11, -0x1.0e40933da9aafp-11, -0x1.04b4b7d8fbea8p-11, -0x1.f6e224943d692p-12, -0x1.e4e785b7f3e96p-12, -0x1.d375ea402082ep-12, -0x1.c289bf623c0dbp-12, -0x1.b21f87ecc5dacp-12, -0x1.a233dbd10e371p-12, -0x1.92c367ae8e9a2p-12, -0x1.83caec60c23d5p-12, -0x1.75473e8f3dcfcp-12, -0x1.6735463f9e3d8p-12, -0x1.5991fe69fcd4cp-12, -0x1.4c5a748f5102dp-12, -0x1.3f8bc851ac4bdp-12, -0x1.33232b0e86154p-12, -0x1.271ddf7ba352p-12, -0x1.1b793944a5b7ep-12, -0x1.10329cac0b68ap-12, -0x1.05477e2cf5aa7p-12, -0x1.f56ac43e460dcp-13, -0x1.e0f3b8b9fe2ep-13, -0x1.cd251fd5efd74p-13, -0x1.b9fa5d425ec8dp-13, -0x1.a76ef1ad0db57p-13, -0x1.957e7a1a82f22p-13, -0x1.8424af43c9909p-13, -0x1.735d64f658d01p-13, -0x1.63248977a44eap-13, -0x1.537624ebfcb3bp-13, -0x1.444e58c0b43a2p-13, -0x1.35a95f1897803p-13, -0x1.27838a3c5ba73p-13, -0x1.19d9440d915d8p-13, -0x1.0ca70d7c296edp-13, -0x1.ffd2fbff4ef8ap-14, -0x1.e73a8624e9798p-14, -0x1.cf7e3f6030108p-14, -0x1.b897d7ad41499p-14, -0x1.a28128143eba6p-14, -0x1.8d3431b4cf9a6p-14, -0x1.78ab1cdadcdccp-14, -0x1.64e03811a8d57p-14, -0x1.51cdf74270543p-14, -0x1.3f6ef2d3a9bc4p-14, -0x1.2dbde6ce16ccdp-14, -0x1.1cb5b207c2533p-14, -0x1.0c515551c7695p-14, -0x1.f917e5582894fp-15, -0x1.dac198f8488fap-15, -0x1.bd968991f9b69p-15, -0x1.a18db8f816f8cp-15, -0x1.869e65492547cp-15, -0x1.6cc0077ee0ec5p-15, -0x1.53ea5209e554bp-15, -0x1.3c152f6f00308p-15, -0x1.2538c0f1f9fb5p-15, -0x1.0f4d5d4289032p-15, -0x1.f4971e6c61316p-16, -0x1.cc582907c30f6p-16, -0x1.a5cfb91748eb4p-16, -0x1.80f00e42cb119p-16, -0x1.5dabc6c19460fp-16, -0x1.3bf5dd0e2bee7p-16, -0x1.1bc1a5a757ee3p-16, -0x1.fa0599ba0cf7ap-17, -0x1.bf5aa95559cddp-17, -0x1.876b253f9d8b8p-17, -0x1.52205b9ec5093p-17, -0x1.1f6439a51dd04p-17, -0x1.de428f3545e46p-18, -0x1.82854a24b2635p-18, -0x1.2b680a5041943p-18, -0x1.b186ab4d715ep-19, -0x1.14e195669c6a8p-19, -0x1.012c665f95f87p-20, 0x1.7480b0a228d99p-24, 0x1.20272d7656697p-20, 0x1.0cfd074cdd7c5p-19, 0x1.82a2efb2bb884p-19, 0x1.f146066236d4dp-19, 0x1.2c92960a0f0e6p-18, 0x1.5d3ebbc891b66p-18, 0x1.8ac520a31f866p-18, 0x1.b542975ee8c0ap-18, 0x1.dcd31ec032cd4p-18, 0x1.00c8f38296e1fp-17, 0x1.11ccab922e51p-17, 0x1.218188fae330cp-17, 0x1.2ff3fda024adap-17, 0x1.3d301e4f2cd86p-17, 0x1.4941a526b2b54p-17, 0x1.5433f3ef42febp-17, 0x1.5e1216630beb7p-17, 0x1.66e6c46b80d42p-17, 0x1.6ebc645096cdfp-17, 0x1.759d0cd7e365dp-17, 0x1.7b92875769655p-17, 0x1.80a651bfc5bf7p-17, 0x1.84e1a095be35cp-17, 0x1.884d60e0b498fp-17, 0x1.8af23a0e4b061p-17, 0x1.8cd88fc69b62dp-17, 0x1.8e0883bebd1p-17, 0x1.8e89f76f67249p-17, 0x1.8e648dd49a448p-17, 0x1.8d9fad132b85ap-17, 0x1.8c42801a31d9p-17, 0x1.8a53f83b873a9p-17, 0x1.87daceb76b67ep-17, 0x1.84dd863f07ebep-17, 0x1.81626c6e3eb5p-17, 0x1.7d6f9b3c69da3p-17, 0x1.790afa637f553p-17, 0x1.743a40be6f6b5p-17, 0x1.6f02f59cbf9b1p-17, 0x1.696a7214b60bdp-17, 0x1.6375e242e1553p-17, 0x1.5d2a468a7cc65p-17, 0x1.568c74c8591d8p-17, 0x1.4fa119831fe8dp-17, 0x1.486cb90cf4318p-17, 0x1.40f3b0a5a46c8p-17, 0x1.393a379021aedp-17, 0x1.314460229a548p-17, 0x1.291618d048df6p-17, 0x1.20b32d2c90016p-17, 0x1.181f46e64a39bp-17, 0x1.0f5deebde3843p-17, 0x1.06728d75a2c1p-17, 0x1.fac0d971b8754p-18, 0x1.e855700541c31p-18, 0x1.d5a8faefada77p-18, 0x1.c2c15d86177ffp-18, 0x1.afa443c612d01p-18, 0x1.9c5723f6df992p-18, 0x1.88df4032bc2dp-18, 0x1.7541a7f0ba6f9p-18, 0x1.6183397db2811p-18, 0x1.4da8a36e7f444p-18, 0x1.39b666063aefp-18, 0x1.25b0d4971fea8p-18, 0x1.119c16d508b64p-18, 0x1.faf85447e9cbap-19, 0x1.d2a9c5b534887p-19, 0x1.aa53dafc831bap-19, 0x1.81fd9fe8745ffp-19, 0x1.59add55e2e5f7p-19, 0x1.316af39b0f3bap-19, 0x1.093b2c75d78ffp-19, 0x1.c248daf519e3fp-20, 0x1.7258c41a87be7p-20, 0x1.22b0eadbb7655p-20, 0x1.a6b752d8ddeffp-21, 0x1.08c5c3269d5ddp-21, 0x1.ae800371a8621p-23, -0x1.853fdeb515568p-24, -0x1.98022b39a92abp-22, -0x1.665b031c8ee6fp-21, -0x1.ffa6482ff4e1p-21, -0x1.4bea17acd6dc9p-20, -0x1.976b61b0ed99cp-20, -0x1.e250649274166p-20, -0x1.16496e5fe58d7p-19, -0x1.3b166ede1df8bp-19, -0x1.5f8c67a2abd16p-19, -0x1.83a8b5443bfb9p-19, -0x1.a768dbb9908dp-19, -0x1.caca85095be44p-19, -0x1.edcb800121283p-19, -0x1.0834df7e0d6f8p-18, -0x1.1951ab549e556p-18, -0x1.2a3b3e7184b85p-18, -0x1.3af0c3c51abb4p-18, -0x1.4b7175b64e9a1p-18, -0x1.5bbc9d968c762p-18, -0x1.6bd1931e32f16p-18, -0x1.7bafbbe9bac62p-18, -0x1.8b568afae4827p-18, -0x1.9ac5803eff5e7p-18, -0x1.a9fc2816e396ep-18, -0x1.b8fa1ae3f72fdp-18, -0x1.c7befc96e3a3bp-18, -0x1.d64a7c437b72bp-18, -0x1.e49c53b53def3p-18, -0x1.f2b4470a22ca4p-18, -0x1.00491226b8b88p-17, -0x1.071ae18b877afp-17, -0x1.0dcf8216fd8b7p-17, -0x1.1466e8960324dp-17, -0x1.1ae10e12d83fap-17, -0x1.213defaa11735p-17, -0x1.277d8e60b459cp-17, -0x1.2d9feefbe9ebbp-17, -0x1.33a519d9b3d6fp-17, -0x1.398d1acacf2ccp-17, -0x1.3f5800ed7d123p-17, -0x1.4505de8a65b58p-17, -0x1.4a96c8f104f29p-17, -0x1.500ad8569a7p-17, -0x1.556227b56c06ep-17, -0x1.5a9cd4acfdbccp-17, -0x1.5fbaff63855acp-17, -0x1.64bcca6842707p-17, -0x1.69a25a96b1651p-17, -0x1.6e6bd6fa93d2fp-17, -0x1.731968b55b69p-17, -0x1.77ab3ae363ccbp-17, -0x1.7c217a8341b52p-17, -0x1.807c565cef70ep-17, -0x1.84bbfeea33964p-17, -0x1.88e0a63f937fap-17, -0x1.8cea7ff65bebp-17, -0x1.90d9c116d6476p-17, -0x1.94aea003f344p-17, -0x1.98695466b1a36p-17, -0x1.9c0a171b17238p-17, -0x1.9f91221d4bfc8p-17, -0x1.a2feb0773c66p-17, -0x1.a652fe2f5493dp-17, -0x1.a98e4837b2df6p-17, -0x1.acb0cc5d542d7p-17, -0x1.afbac9387068ep-17, -0x1.b2ac7e1d92573p-17, -0x1.b5862b0e5330fp-17, -0x1.b84810ab718cp-17, -0x1.baf2702713811p-17, -0x1.bd858b376c429p-17, -0x1.c001a40a341b3p-17, -0x1.c266fd37f8131p-17, -0x1.c4b5d9b8bacefp-17, -0x1.c6ee7cd7f4074p-17, -0x1.c9112a2a17fd5p-17, -0x1.cb1e2581d9c32p-17, -0x1.cd15b2e592fc7p-17, -0x1.cef81685f9f8p-17, -0x1.d0c594b4647e1p-17, -0x1.d27e71d9d4623p-17, -0x1.d422f26df9fdfp-17, -0x1.d5b35aef1d41ep-17, -0x1.d72fefd9f6eb5p-17, -0x1.d898f5a1d1c9ep-17, -0x1.d9eeb0a943565p-17, -0x1.db31653af4243p-17, -0x1.dc615782c31e3p-17, -0x1.dd7ecb8751f6cp-17, -0x1.de8a0523a0022p-17, -0x1.df83480128352p-17, -0x1.e06ad79231957p-17, -0x1.e140f70bd1d64p-17, -0x1.e205e9616c6dp-17, -0x1.e2b9f13ef3264p-17, -0x1.e35d5104a1c1ap-17, -0x1.e3f04ac22f32ep-17, -0x1.e473203266a74p-17, -0x1.e4e612b730f32p-17, -0x1.e54963558861bp-17, -0x1.e59d52b18daacp-17, -0x1.e5e2210b4cb97p-17, -0x1.e6180e3b110b4p-17, -0x1.e63f59ae52d15p-17, -0x1.e6584264a582ep-17, -0x1.e66306eced0ddp-17, -0x1.e65fe56267ca9p-17, -0x1.e64f1b6a73ca2p-17, -0x1.e630e631fac9fp-17, -0x1.e605826b24c54p-17, -0x1.e5cd2c4b5406cp-17, -0x1.e5881f89258c7p-17, -0x1.e536975a65e47p-17, -0x1.e4d8ce72b2f9ap-17, -0x1.e46eff0187ff6p-17, -0x1.e3f962b0ec36ep-17, -0x1.e37832a403708p-17, -0x1.e2eba775e3ba6p-17, -0x1.e253f9384425dp-17, -0x1.e1b15f72934f9p-17, -0x1.e1041120e2ac6p-17, -0x1.e04c44b32e11bp-17, -0x1.df8a300c66b62p-17, -0x1.debe0881d8fdfp-17, -0x1.dde802dabd82cp-17, -0x1.dd08534f820cfp-17, -0x1.dc1f2d894ac16p-17, -0x1.db2cc4a1e0d62p-17, -0x1.da314b231b407p-17, -0x1.d92cf306ceda3p-17, -0x1.d81fedb69d626p-17, -0x1.d70a6c0c02757p-17, -0x1.d5ec9e4ff8c24p-17, -0x1.d4c6b43b61cdbp-17, -0x1.d398dcf6f0544p-17, -0x1.d263471b54f75p-17, -0x1.d12620b168083p-17, -0x1.cfe197328b87bp-17, -0x1.ce95d788e4cb7p-17, -0x1.cd430e0faea33p-17, -0x1.cbe96693b6ba6p-17, -0x1.ca890c539a1efp-17, -0x1.c9222a009075ap-17, -0x1.c7b4e9bec271cp-17, -0x1.c6417525cfdc4p-17, -0x1.c4c7f54176c02p-17, -0x1.c3489292405abp-17, -0x1.c1c3750e22842p-17, -0x1.c038c4211872bp-17, -0x1.bea8a6adfc57fp-17, -0x1.bd13430f32dfep-17, -0x1.bb78bf179a6cp-17, -0x1.b9d94013156d9p-17, -0x1.b834eac78c5c3p-17, -0x1.b68be375c300ep-17, -0x1.b4de4dda3c296p-17, -0x1.b32c4d2e00895p-17, -0x1.b1760427a5043p-17, -0x1.afbb94fc3707p-17, -0x1.adfd216011d24p-17, -0x1.ac3aca87fd445p-17, -0x1.aa74b12a1d145p-17, -0x1.a8aaf57eda49dp-17, -0x1.a6ddb741f0bb9p-17, -0x1.a50d15b3783b8p-17, -0x1.a3392f98f0a4ap-17, -0x1.a162233e45436p-17, -0x1.9f880e76d03dbp-17, -0x1.9dab0e9e70b7cp-17, -0x1.9bcb409aa2691p-17, -0x1.99e8c0db92502p-17, -0x1.9803ab5d221aap-17, -0x1.961c1ba813e7fp-17, -0x1.94322cd30db17p-17, -0x1.9245f983b9855p-17, -0x1.90579befe450ep-17, -0x1.8e672ddea26ep-17, -0x1.8c74c8a944a28p-17, -0x1.8a80853c9f43cp-17, -0x1.888a7c1a1a981p-17, -0x1.8692c558ba913p-17, -0x1.849978a647ad3p-17, -0x1.829ead487f0bcp-17, -0x1.80a27a1e22ceap-17, -0x1.7ea4f5a001d5p-17, -0x1.7ca635e237aacp-17, -0x1.7aa650952ff1p-17, -0x1.78a55b06cdcdap-17, -0x1.76a36a2386627p-17, -0x1.74a092777cb57p-17, -0x1.729ce82f9211ap-17, -0x1.70987f1a84d0bp-17, -0x1.6e936aaa14e94p-17, -0x1.6c8dbdf40d1a7p-17, -0x1.6a878bb354bdep-17, -0x1.6880e64918a8p-17, -0x1.6679dfbdd5c53p-17, -0x1.647289c26dcd2p-17, -0x1.626af5b12c1c4p-17, -0x1.6063348ee75f4p-17, -0x1.5e5b570c094eap-17, -0x1.5c536d85a643ap-17, -0x1.5a4b8806768a6p-17, -0x1.5843b647eb151p-17, -0x1.563c07b33c6bdp-17, -0x1.54348b627267ep-17, -0x1.522d50215ef61p-17, -0x1.5026646eaa24dp-17, -0x1.4e1fd67ccde92p-17, -0x1.4c19b433214fp-17, -0x1.4a140b2ed15c7p-17, -0x1.480ee8c3df938p-17, -0x1.460a59fe130d1p-17, -0x1.44066ba209482p-17, -0x1.42032a2e1a96p-17, -0x1.4000a1db4bedbp-17, -0x1.3dfede9e58619p-17, -0x1.3bfdec28915dbp-17, -0x1.39fdd5e8ce51bp-17, -0x1.37fea70c5e157p-17, -0x1.36006a7ff31d2p-17, -0x1.34032af0901cfp-17, -0x1.3206f2cc6f0ccp-17, -0x1.300bcc43df3d8p-17, -0x1.2e11c14a280a2p-17, -0x1.2c18db9678134p-17, -0x1.2a2124a4b5591p-17, -0x1.282aa5b664897p-17, -0x1.263567d37ddbbp-17, -0x1.244173cb4cep-17, -0x1.224ed2353887dp-17, -0x1.205d8b71a8ddfp-17, -0x1.1e6da7aad33c7p-17, -0x1.1c7f2ed5847e8p-17, -0x1.1a9228b1f7bbbp-17, -0x1.18a69ccca7adep-17, -0x1.16bc927f089a4p-17, -0x1.14d410f0596d7p-17, -0x1.12ed1f166975ap-17, -0x1.1107c3b65bf2fp-17, -0x1.0f240565687cp-17, -0x1.0d41ea89a3505p-17, -0x1.0b61795ab0c45p-17, -0x1.0982b7e27f055p-17, -0x1.07a5abfe08cc5p-17, -0x1.05ca5b5e03bf9p-17, -0x1.03f0cb879c5f2p-17, -0x1.021901d52be4fp-17, -0x1.00430376e37ap-17, -0x1.fcddaae6ebf5ep-18, -0x1.f938f951aaac6p-18, -0x1.f597fb99a2b8ep-18, -0x1.f1fabadb84c56p-18, -0x1.ee613fe66c648p-18, -0x1.eacb933d19168p-18, -0x1.e739bd1740613p-18, -0x1.e3abc562d3397p-18, -0x1.e021b3c53d158p-18, -0x1.dc9b8f9c93b85p-18, -0x1.d9196000d3181p-18, -0x1.d59b2bc518678p-18, -0x1.d220f978c85e3p-18, -0x1.ceaacf68b8195p-18, -0x1.cb38b3a060f01p-18, -0x1.c7caabeafd393p-18, -0x1.c460bdd4a2c24p-18, -0x1.c0faeeab6bb02p-18, -0x1.bd9943808c59dp-18, -0x1.ba3bc1296922fp-18, -0x1.b6e26c40a0853p-18, -0x1.b38d492723392p-18, -0x1.b03c5c053a36ep-18, -0x1.acefa8cb8b453p-18, -0x1.a9a73334287dp-18, -0x1.a662fec382f9ep-18, -0x1.a3230ec96acd3p-18, -0x1.9fe7666218bd4p-18, -0x1.9cb008770f178p-18, -0x1.997cf7c00f8cap-18, -0x1.964e36c4209d8p-18, -0x1.9323c7da629b9p-18, -0x1.8ffdad2afe9a7p-18, -0x1.8cdbe8b012c9p-18, -0x1.89be7c3693437p-18, -0x1.86a5695f28032p-18, -0x1.8390b19f04776p-18, -0x1.80805640cd874p-18, -0x1.7d7458656bb06p-18, -0x1.7a6cb904dbb4fp-18, -0x1.776978eefcb0ep-18, -0x1.746a98cc5feadp-18, -0x1.7170191f1cadp-18, -0x1.6e79fa438c32fp-18, -0x1.6b883c710ba3ap-18, -0x1.689adfbade545p-18, -0x1.65b1e410c564dp-18, -0x1.62cd493fc2972p-18, -0x1.5fed0ef2f5ac2p-18, -0x1.5d1134b42a327p-18, -0x1.5a39b9ec93bdbp-18, -0x1.57669de5a12cp-18, -0x1.5497dfc97e10cp-18, -0x1.51cd7ea3db061p-18, -0x1.4f07796293fc4p-18, -0x1.4c45ced64d4f9p-18, -0x1.49887db32db0ep-18, -0x1.46cf84916c3e8p-18, -0x1.441ae1edf0c5ep-18, -0x1.416a942b079ebp-18, -0x1.3ebe9990e767fp-18, -0x1.3c16f04e4e1ddp-18, -0x1.3973967925ae2p-18, -0x1.36d48a0f007c4p-18, -0x1.3439c8f5b5e38p-18, -0x1.31a350fc06819p-18, -0x1.2f111fda0ea42p-18, -0x1.2c833331cce36p-18, -0x1.29f9888fd1167p-18, -0x1.27741d6b9ce25p-18, -0x1.24f2ef28338d6p-18, -0x1.2275fb14addc4p-18, -0x1.1ffd3e6ca3d99p-18, -0x1.1d88b658b404p-18, -0x1.1b185fef03918p-18, -0x1.18ac3833b6ea6p-18, -0x1.16443c1966ae8p-18, -0x1.13e0688199a1ap-18, -0x1.1180ba3d3ee0ap-18, -0x1.0f252e0d1638cp-18, -0x1.0ccdc0a21d64bp-18, -0x1.0a7a6e9e1817fp-18, -0x1.082b3493e2247p-18, -0x1.05e00f07ea437p-18, -0x1.0398fa709d4e7p-18, -0x1.0155f336b4a54p-18, -0x1.fe2deb6b83f16p-19, -0x1.f9b7fc79024cp-19, -0x1.f54a121a5a7cp-19, -0x1.f0e424bc034bap-19, -0x1.ec862cb30eab3p-19, -0x1.e830223dc5e9cp-19, -0x1.e3e1fd84a3e44p-19, -0x1.df9bb69ae1ad9p-19, -0x1.db5d457f2c243p-19, -0x1.d726a21c6072fp-19, -0x1.d2f7c44a2c52ap-19, -0x1.ced0a3cdc02a6p-19, -0x1.cab1385a6c6f3p-19, -0x1.c699799254eb9p-19, -0x1.c2895f06f5e9p-19, -0x1.be80e039da598p-19, -0x1.ba7ff49d2d1c1p-19, -0x1.b686939452e7p-19, -0x1.b294b47484323p-19, -0x1.aeaa4e854a4e9p-19, -0x1.aac759012fcbcp-19, -0x1.a6ebcb1638f32p-19, -0x1.a3179be66e217p-19, -0x1.9f4ac28879ba1p-19, -0x1.9b85360811a55p-19, -0x1.97c6ed6679041p-19, -0x1.940fdf9b2db42p-19, -0x1.9060039431858p-19, -0x1.8cb75036a2fe1p-19, -0x1.8915bc5f3667bp-19, -0x1.857b3ee2a47e9p-19, -0x1.81e7ce8e188cp-19, -0x1.7e5b6227b871ap-19, -0x1.7ad5f06f0b459p-19, -0x1.7757701d5feecp-19, -0x1.73dfd7e6450c6p-19, -0x1.706f1e77f14c7p-19, -0x1.6d053a7baa083p-19, -0x1.69a2229624b01p-19, -0x1.6645cd67f32bap-19, -0x1.62f0318de0a8dp-19, -0x1.5fa145a14dd7ep-19, -0x1.5c590038a83f5p-19, -0x1.591757e79980cp-19, -0x1.55dc433f87525p-19, -0x1.52a7b8cff2091p-19, -0x1.4f79af2693b98p-19, -0x1.4c521ccffd97ep-19, -0x1.4930f857bbb53p-19, -0x1.46163848b0144p-19, -0x1.4301d32d71339p-19, -0x1.3ff3bf908e135p-19, -0x1.3cebf3fccf59p-19, -0x1.39ea66fd92643p-19, -0x1.36ef0f1f1f331p-19, -0x1.33f9e2eec37a8p-19, -0x1.310ad8fb402ccp-19, -0x1.2e21e7d50b315p-19, -0x1.2b3f060e7f3d6p-19, -0x1.28622a3c24761p-19, -0x1.258b4af503733p-19, -0x1.22ba5ed2c4603p-19, -0x1.1fef5c7208e9cp-19, -0x1.1d2a3a7291227p-19, -0x1.1a6aef778c373p-19, -0x1.17b17227cce45p-19, -0x1.14fdb92ddec9fp-19, -0x1.124fbb3877686p-19, -0x1.0fa76efa81143p-19, -0x1.0d04cb2b56562p-19, -0x1.0a67c68709f9ep-19, -0x1.07d057ce7eb0ep-19, -0x1.053e75c79938cp-19, -0x1.02b2173d8588bp-19, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      29, 0x1.85c28f5c28f5cp+2, 0x1.0aaa41120f6a2p+1, 0x1.8242982dd61d4p+2, -0x1.a8f306b729704p-8, 
      {{
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.3eb2536f0c2dcp-6, -0x1.baa306b6aad39p-5, 0x1.cd13c5bee19f3p-5, -0x1.a513eb9d0710ep-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.14af8714ea667p-6, -0x1.8e1baf05c49c8p-5, 0x1.ad7f14131ab14p-5, -0x1.9444a11554325p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ddf18e6430fd1p-7, -0x1.64acac56d14c6p-5, 0x1.8f2d2197e794p-5, -0x1.85f9fc16b2c21p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9a80c11fdc793p-7, -0x1.3e3823348321bp-5, 0x1.71ed951633c58p-5, -0x1.77029b902f5e4p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.5e76f12adb547p-7, -0x1.1aa1fd332717bp-5, 0x1.55cd6304fd05p-5, -0x1.683983a017709p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.29441a8e8629p-7, -0x1.f39b5505de503p-6, 0x1.3ac912bf61a8fp-5, -0x1.596404de35658p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.f4bbd51f1437bp-8, -0x1.b73d77b5bd1a5p-6, 0x1.20e19261ea74ap-5, -0x1.4a91d8cd0df67p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.a27f7f5bd1ac2p-8, -0x1.7ff172759d097p-6, 0x1.0816a21f56357p-5, -0x1.3bbec8cacad6bp-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.5ad55349f112ap-8, -0x1.4d7e59f0ddf5p-6, 0x1.e0d0a62041313p-6, -0x1.2cebf5dc34e3ep-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.1ccad2d6c7de2p-8, -0x1.1fab41927e3c2p-6, 0x1.b3ad413f39426p-6, -0x1.1e1912900d4a9p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.cef1c4cca91e8p-9, -0x1.ec7e7a36a9886p-7, 0x1.88c3181004103p-6, -0x1.0f4633a67d2e7p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.740791a67d713p-9, -0x1.a202c06a6fb7fp-7, 0x1.601229ea3e162p-6, -0x1.007353901c0d4p-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.27365eddadf1ep-9, -0x1.5f717d204f3e4p-7, 0x1.399a76fb06aep-6, -0x1.e340e794dcd07p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.cde888045bfbfp-10, -0x1.2458d7b4fb15ap-7, 0x1.155bff3642eb4p-6, -0x1.c59b27dd7f043p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.639c3b2286225p-10, -0x1.e08def0c0f3a6p-8, 0x1.e6ad853e7f964p-7, -0x1.a7f56834c90acp-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.0ccf19eb09879p-10, -0x1.859407e1a1ae7p-8, 0x1.a7158269c7d36p-7, -0x1.8a4fa87d6aca8p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.8debe21b7341cp-11, -0x1.36e048a5658f3p-8, 0x1.6beff5f091687p-7, -0x1.6ca9e8f2104e9p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.1f662e2a1c31cp-11, -0x1.e71e00250734dp-9, 0x1.353cdfcc4229dp-7, -0x1.4f0428c551208p-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.9359b1988b5f8p-12, -0x1.7578f9c4c3a7fp-9, 0x1.02fc40150f985p-7, -0x1.315e6af2276aep-7}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.11756d02dffe8p-12, -0x1.170a1baa01297p-9, 0x1.aa5c2ce179c42p-8, -0x1.13b8a459e7aa3p-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.6396bdf98fa41p-13, -0x1.94140646e4a1p-10, 0x1.57a4c8601aa96p-8, -0x1.ec25fcf953af3p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.b6f5fd6994fp-14, -0x1.19629c6f9c7a2p-10, 0x1.0dd248d44e1c3p-8, -0x1.b0d9bcf0603a4p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.fb1f6ad35d8p-15, -0x1.74e260fc1ef64p-11, 0x1.99c9a5c6e5c11p-9, -0x1.75910cabbb5e8p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.0c677d30fbfffp-15, -0x1.cec434a0ee877p-12, 0x1.29b7bb9360bebp-9, -0x1.3a3b11a429933p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.f79e8a2abe002p-17, -0x1.064cc9a521013p-12, 0x1.96e59fc44225ep-10, -0x1.fe2d63c7e9ca5p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.8ba4369d4e8p-18, -0x1.044db90cebb17p-13, 0x1.fbb003aa2b33dp-11, -0x1.86725f9317a8dp-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.d2822a7463fffp-20, -0x1.a0542aef23179p-15, 0x1.116b63eb83692p-11, -0x1.141d379ef00dp-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.3eb2536f48001p-22, -0x1.bd91ca3d9f9c1p-17, 0x1.af010a309a549p-13, -0x1.1b45c6c1716dp-10}, 
        {0x1.8333333333333p+2, 0x1.85c28f5c28f5cp+2, 0x1.8debe21a00003p-27, -0x1.be797765d402p-21, 0x1.6c4ed521e27ffp-15, -0x1.feafd4ff6f7acp-10}, 
      }}, 
      0x1.736004f2e6fe8p-5, -0x1.87c6ba05357e3p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.006d7f2081dffp-5, 0x1.fe9e56ea9ddf4p-5, 0x1.7c5bb8f80c43ap-4, 0x1.f69cbd644d19ep-4, 0x1.36bcb0f4e8519p-3, 0x1.703ccebab4758p-3, 0x1.a7a08ee24bfe9p-3, 0x1.dcc57bc389e24p-3, 0x1.07c97fb2665c5p-2, 0x1.1ffc692bd94c2p-2, 0x1.36f6d61c57b98p-2, 0x1.4cb70fc4fda4p-2, 0x1.613dd127c03b8p-2, 0x1.748ddd376bc27p-2, 0x1.86aba24bb3d64p-2, 0x1.979cea396680cp-2, 0x1.a76894080baf9p-2, 0x1.b61655dacce1bp-2, 0x1.c3ae896d108c6p-2, 0x1.d03a02784a1dcp-2, 0x1.dbc1f05482338p-2, 0x1.e64fc86b33b56p-2, 0x1.efed34a16c548p-2, 0x1.f8a4035aeea85p-2, 0x1.003f0adf1a25dp-1, 0x1.03c2a74c36643p-1, 0x1.06e1c0e090fffp-1, 0x1.09a133032081p-1, 0x1.0c05c4bf2e3e7p-1, 0x1.0e1423f3b8de3p-1, 0x1.0fd0e190da7cbp-1, 0x1.11406e7b533d3p-1, 0x1.1267194f07f0ep-1, 0x1.13490c4f7fa17p-1, 0x1.13ea4c4f82918p-1, 0x1.144eb79142f26p-1, 0x1.147a0565210c1p-1, 0x1.146fc5b11bf28p-1, 0x1.1433614575d17p-1, 0x1.13c819be37265p-1, 0x1.13310a44fa091p-1, 0x1.1271281a48bb8p-1, 0x1.118b435b670cfp-1, 0x1.108207ccdb957p-1, 0x1.0f57fdf871116p-1, 0x1.0e0f8c1f42e61p-1, 0x1.0caaf77c93763p-1, 0x1.0b2c654b18e1ap-1, 0x1.0995dc008b3d2p-1, 0x1.07e9449a62285p-1, 0x1.06286bb2b73d1p-1, 0x1.045502bdfa418p-1, 0x1.0270a168cba26p-1, 0x1.007cc69ac2773p-1, 0x1.fcf5b37e21702p-2, 0x1.f8d857c1bcc68p-2, 0x1.f4a3f186ac173p-2, 0x1.f05ad0160310ap-2, 0x1.ebff1c92dc0cfp-2, 0x1.e792dbdfa567ep-2, 0x1.e317f0f32faf9p-2, 0x1.de901e63eb19dp-2, 0x1.d9fd086814471p-2, 0x1.d560368f2a38bp-2, 0x1.d0bb155ccee06p-2, 0x1.cc0ef810d297p-2, 0x1.c75d19ff807b8p-2, 0x1.c2a6a02614565p-2, 0x1.bdec9a86882c3p-2, 0x1.b93005763c6dfp-2, 0x1.b471caf186eb3p-2, 0x1.afb2c3a40aaf7p-2, 0x1.aaf3b8335c5fp-2, 0x1.a635623259e77p-2, 0x1.a1786d3660f03p-2, 0x1.9cbd77b140786p-2, 0x1.980513f3364e2p-2, 0x1.934fc8e2096fap-2, 0x1.8e9e12ea83aa3p-2, 0x1.89f064b07aa0bp-2, 0x1.85472798fcd79p-2, 0x1.80a2bcb9123d2p-2, 0x1.7c037d46718c1p-2, 0x1.7769bb52e8d2dp-2, 0x1.72d5c1f92dc1cp-2, 0x1.6e47d643596bap-2, 0x1.69c0377a4f29ep-2, 0x1.653f1f9b1f24bp-2, 0x1.60c4c3a6fa64ep-2, 0x1.5c515431aaf24p-2, 0x1.57e4fd8aafeap-2, 0x1.537fe83f79c3bp-2, 0x1.4f2239357efep-2, 0x1.4acc122febf5ap-2, 0x1.467d91d50cb82p-2, 0x1.4236d41f6bf3fp-2, 0x1.3df7f27335383p-2, 0x1.39c103d85e19dp-2, 0x1.35921d4af0e9bp-2, 0x1.316b51b73a946p-2, 0x1.2d4cb24fd39c7p-2, 0x1.29364e7d01df1p-2, 0x1.2528344d51d12p-2, 0x1.2122704399f08p-2, 0x1.1d250dbbffb81p-2, 0x1.193016b4aeb62p-2, 0x1.15439447b454cp-2, 0x1.115f8e6b09ec7p-2, 0x1.0d840c34bb60cp-2, 0x1.09b113ed287d2p-2, 0x1.05e6aaf086dd6p-2, 0x1.0224d604b8c4ap-2, 0x1.fcd73265cef5bp-3, 0x1.f575efba2e7e9p-3, 0x1.ee25e9bbeba7p-3, 0x1.e6e724dfe4632p-3, 0x1.dfb9a4b6f1245p-3, 0x1.d89d6bce5a084p-3, 0x1.d1927bd2099ap-3, 0x1.ca98d57601b37p-3, 0x1.c3b078bc5218ap-3, 0x1.bcd964d6ebbcep-3, 0x1.b6139814fc005p-3, 0x1.af5f104b97587p-3, 0x1.a8bbca638075ep-3, 0x1.a229c2c1eaad2p-3, 0x1.9ba8f50a61a9ap-3, 0x1.95395c46496afp-3, 0x1.8edaf2dfe73bdp-3, 0x1.888db2b44e9dfp-3, 0x1.825194d847212p-3, 0x1.7c2691fee8293p-3, 0x1.760ca22135dc1p-3, 0x1.7003bcb0dacdfp-3, 0x1.6a0bd888967e7p-3, 0x1.6424ebf12e39fp-3, 0x1.5e4eeca5a461p-3, 0x1.5889cfc2df3a3p-3, 0x1.52d589f0d7f16p-3, 0x1.4d320f178b86cp-3, 0x1.479f52c8eaec9p-3, 0x1.421d47e1c67a1p-3, 0x1.3cabe0b82d20fp-3, 0x1.374b0f1929a4dp-3, 0x1.31fac4411f3bfp-3, 0x1.2cbaf0e441cc1p-3, 0x1.278b851e490cap-3, 0x1.226c7089555cep-3, 0x1.1d5da230144cep-3, 0x1.185f08a2aacc5p-3, 0x1.137091baebf6cp-3, 0x1.0e922afdb6909p-3, 0x1.09c3c152af537p-3, 0x1.050541145e4c8p-3, 0x1.00569622bda11p-3, 0x1.f76f57a6b1c4fp-4, 0x1.ee50da002f8abp-4, 0x1.e55187fd10a58p-4, 0x1.dc7135469eca7p-4, 0x1.d3afb48ffffd4p-4, 0x1.cb0cd79a956dap-4, 0x1.c2886f2ee3f38p-4, 0x1.ba224b3dc515bp-4, 0x1.b1da3a98b8a15p-4, 0x1.a9b00b5253c6ep-4, 0x1.a1a38ab64f726p-4, 0x1.99b4850578fep-4, 0x1.91e2c5bc6aaadp-4, 0x1.8a2e178621cf1p-4, 0x1.829644460e281p-4, 0x1.7b1b151adc457p-4, 0x1.73bc525f7364p-4, 0x1.6c79c3b1ffbfcp-4, 0x1.65532ffe95249p-4, 0x1.5e485d86dfac6p-4, 0x1.575911e4340a1p-4, 0x1.5085120d2e0d1p-4, 0x1.49cc225251345p-4, 0x1.432e06940b159p-4, 0x1.3caa81e172603p-4, 0x1.364157056c286p-4, 0x1.2ff248338696ep-4, 0x1.29bd171447abep-4, 0x1.23a184e5909e5p-4, 0x1.1d9f5280ff4b4p-4, 0x1.17b6404e7ab73p-4, 0x1.11e60e644a141p-4, 0x1.0c2e7c6ffbd84p-4, 0x1.068f49d6d136p-4, 0x1.010835a931c5ep-4, 0x1.f731fd740b683p-5, 0x1.ec82c73ec17f5p-5, 0x1.e202456563739p-5, 0x1.d7aff43e0919ep-5, 0x1.cd8b4fbda3805p-5, 0x1.c393d3a21911dp-5, 0x1.b9c8fb5699ea9p-5, 0x1.b02a4250f47f2p-5, 0x1.a6b723811fab2p-5, 0x1.9d6f1a0c32cf2p-5, 0x1.9451a111a2bc8p-5, 0x1.8b5e337c637c5p-5, 0x1.82944c64dfbb5p-5, 0x1.79f366fd9fe2p-5, 0x1.717afeaacf2f1p-5, 0x1.692a8efb6bfa6p-5, 0x1.610193b5fe9cep-5, 0x1.58ff88dc2fc0ep-5, 0x1.5123eaaa97799p-5, 0x1.496e35b6855d7p-5, 0x1.41dde712a832p-5, 0x1.3a727c600cd25p-5, 0x1.332b73e2b9601p-5, 0x1.2c084c52b17cep-5, 0x1.250884c1305fap-5, 0x1.1e2b9c86de908p-5, 0x1.1771136d9509p-5, 0x1.10d86a0949233p-5, 0x1.0a6121f8b1925p-5, 0x1.040abe1d3f92ap-5, 0x1.fba98493e556cp-6, 0x1.ef7d65581c283p-6, 0x1.e390276eaf4f3p-6, 0x1.d7e0d4456d6a8p-6, 0x1.cc6e75ebf0239p-6, 0x1.c13818f3c8872p-6, 0x1.b63ccd74888e3p-6, 0x1.ab7ba7696c902p-6, 0x1.a0f3be4593ad2p-6, 0x1.96a42b2638898p-6, 0x1.8c8c06d03f625p-6, 0x1.82aa683629cebp-6, 0x1.78fe64e8e8316p-6, 0x1.6f8713d6b96a4p-6, 0x1.664391787a669p-6, 0x1.5d33033dbd63cp-6, 0x1.545497630e8d6p-6, 0x1.4ba780353f29fp-6, 0x1.432aed0d85f84p-6, 0x1.3ade0402c541fp-6, 0x1.32bfe247cd005p-6, 0x1.2acfa3b60484p-6, 0x1.230c6e6a613cap-6, 0x1.1b757b914e374p-6, 0x1.140a16f797676p-6, 0x1.0cc9940fe293ep-6, 0x1.05b33de55705p-6, 0x1.fd8c96f6bd112p-7, 0x1.f003c2abc9e08p-7, 0x1.e2ca3de91901dp-7, 0x1.d5de66f5ef65ap-7, 0x1.c93ed51b55475p-7, 0x1.bcea5332b6ca3p-7, 0x1.b0dfbf63ac4fdp-7, 0x1.a51de123fc72dp-7, 0x1.99a34fb191b84p-7, 0x1.8e6e785271b04p-7, 0x1.837dc0ef80d92p-7, 0x1.78cfb178430c6p-7, 0x1.6e6308579debcp-7, 0x1.6436abf0e4efp-7, 0x1.5a4984bcee3fcp-7, 0x1.509a5db419867p-7, 0x1.4727dffb6b1dep-7, 0x1.3df0aaf6361fdp-7, 0x1.34f374aca725dp-7, 0x1.2c2f208d3b731p-7, 0x1.23a2bd70e2d22p-7, 0x1.1b4d656160354p-7, 0x1.132e0b8050336p-7, 0x1.0b435b48577fbp-7, 0x1.038bcc13beb43p-7, 0x1.f80bc8a21aa08p-8, 0x1.e960f729ea696p-8, 0x1.db15963cd3aa6p-8, 0x1.cd2897880dcbcp-8, 0x1.bf9903239873dp-8, 0x1.b2659401a57cdp-8, 0x1.a58c5729d303p-8, 0x1.990a742a5a286p-8, 0x1.8cdc70de55b5ap-8, 0x1.80ff04cf5a27ep-8, 0x1.756feea388af9p-8, 0x1.6a2e15bed93fap-8, 0x1.5f38f8d8a99dap-8, 0x1.5490110d61a9ep-8, 0x1.4a329ccf993d6p-8, 0x1.401f9082d6796p-8, 0x1.365545bcaa7b9p-8, 0x1.2cd119d2a2f6dp-8, 0x1.238fa9ef2d35p-8, 0x1.1a8dc709c120fp-8, 0x1.11c9547a3c4cap-8, 0x1.09414414c6d83p-8, 0x1.00f4ffb677865p-8, 0x1.f1c8210048f4p-9, 0x1.e21c6cf32d31bp-9, 0x1.d2e6db84966b8p-9, 0x1.c426d854011cbp-9, 0x1.b5d980f0682e4p-9, 0x1.a7f8e46901d4dp-9, 0x1.9a7d6237c811cp-9, 0x1.8d603a3f45aeep-9, 0x1.809d606485b39p-9, 0x1.74338ff3da331p-9, 0x1.682327e1141c9p-9, 0x1.5c6d155e6a3f2p-9, 0x1.5112afddf98c7p-9, 0x1.46159bcb2f278p-9, 0x1.3b76227374505p-9, 0x1.3130f1d1ae2afp-9, 0x1.273e8bfc334fap-9, 0x1.1d956bb5aeabbp-9, 0x1.142e0635ca738p-9, 0x1.0b060abaf2763p-9, 0x1.021f89cf706a5p-9, 0x1.f2f9935a73a06p-10, 0x1.e23d5c07790a6p-10, 0x1.d20d83fd927dcp-10, 0x1.c26e02a3bf9fap-10, 0x1.b35eab3ffc973p-10, 0x1.a4d89b133ce5bp-10, 0x1.96ce3236620efp-10, 0x1.892d845bc8de4p-10, 0x1.7be781a4e576fp-10, 0x1.6efa77fc1f7ebp-10, 0x1.626f5f3f1d2a8p-10, 0x1.5649f56a24aa7p-10, 0x1.4a88d8d72f9dp-10, 0x1.3f2f54de21d2ep-10, 0x1.343ff20e903ebp-10, 0x1.29b7998ffdb77p-10, 0x1.1f91ae5262f0cp-10, 0x1.15c915cf270c5p-10, 0x1.0c544d6bdbefdp-10, 0x1.03246d7d7550ep-10, 0x1.f46222f5a1521p-11, 0x1.e305f66c259efp-11, 0x1.d23f8875ca22fp-11, 0x1.c205e6f51002bp-11, 0x1.b25eaace63cp-11, 0x1.a34ea558a43c6p-11, 0x1.94ca7d075c39cp-11, 0x1.86c6ffb93152p-11, 0x1.7944c3a177116p-11, 0x1.6c4725cd1508p-11, 0x1.5fc5d217c4a3ap-11, 0x1.53a76787fd237p-11, 0x1.47dc665a7a32fp-11, 0x1.3c7713289703bp-11, 0x1.3176746e93a3ep-11, 0x1.26d6044b9c28cp-11, 0x1.1c9f7b91a4628p-11, 0x1.12cd213ced8bp-11, 0x1.0950b7b205693p-11, 0x1.0022ae64a75b5p-11, 0x1.ee8c887984decp-12, 0x1.dd854dca445d8p-12, 0x1.cd354637c2504p-12, 0x1.bd8d213f03246p-12, 0x1.ae5dc10b786bdp-12, 0x1.9fa90f192cd23p-12, 0x1.9174a461a3508p-12, 0x1.83c2cfb2a86dep-12, 0x1.769f5df39c749p-12, 0x1.69fee61dd7998p-12, 0x1.5dce93a2843d7p-12, 0x1.52031543c58aep-12, 0x1.469b53a3c3b99p-12, 0x1.3b9aea3ff9cfcp-12, 0x1.3105ff082c01p-12, 0x1.26e4fde1a28a4p-12, 0x1.1d4181ba3c403p-12, 0x1.13f32caf038afp-12, 0x1.0ae592ef0066fp-12, 0x1.02267d4d03996p-12, 0x1.f388a3ba8740ep-13, 0x1.e3675abd9de8dp-13, 0x1.d3e411942e261p-13, 0x1.c4e87ed66bbb8p-13, 0x1.b66dcea3a38d5p-13, 0x1.a872a0ddb0f6p-13, 0x1.9af39d0ba82d5p-13, 0x1.8ded9874eb3b6p-13, 0x1.815e7abbfc06dp-13, 0x1.756ae8e29fd0cp-13, 0x1.6a080edae099bp-13, 0x1.5ef5da09feceep-13, 0x1.5439ec9b50ca1p-13, 0x1.49eff0cd4a1c2p-13, 0x1.3ff6d269b277ap-13, 0x1.36650fab5f516p-13, 0x1.2d28c053ed206p-13, 0x1.2439e68fb9c77p-13, 0x1.1b9969f7c07f8p-13, 0x1.134409d807127p-13, 0x1.0b366bfc601f3p-13, 0x1.036dcc7593191p-13, 0x1.f7cd852b357fcp-14, 0x1.e969778cb99dp-14, 0x1.db7b5ada2d6abp-14, 0x1.ce0d794822106p-14, 0x1.c12f74a11775bp-14, 0x1.b4a2ddb140bb9p-14, 0x1.a86bbdd60f104p-14, 0x1.9cb33b9206c48p-14, 0x1.91595c48d0fb9p-14, 0x1.865457808966cp-14, 0x1.7ba6e716dc77bp-14, 0x1.714d68f2d4d85p-14, 0x1.67438a42a9a9p-14, 0x1.5d88942baa5bbp-14, 0x1.5416267507f8ep-14, 0x1.4af4c5dcede21p-14, 0x1.4213b96aa8c82p-14, 0x1.396a8f0856ed7p-14, 0x1.310e89bda0e1ap-14, 0x1.28faed88779e2p-14, 0x1.21130f552088ap-14, 0x1.195765f2ebaedp-14, 0x1.11df660224d3p-14, 0x1.0a94ab43d25f5p-14, 0x1.03762adbbfbcfp-14, 0x1.f909b5d62b754p-15, 0x1.eb7d3716be19bp-15, 0x1.de4404341fb2bp-15, 0x1.d15e13e244fa8p-15, 0x1.c4c00509b01b2p-15, 0x1.b8730a4b9abc5p-15, 0x1.ac63ec16a0748p-15, 0x1.a0a15a67d1cccp-15, 0x1.9514d090f898fp-15, 0x1.89c1576a538e9p-15, 0x1.7eb57465095d1p-15, 0x1.73e3c753cfde7p-15, 0x1.693cff64efe93p-15, 0x1.5ed4e7affc086p-15, 0x1.549850ee0d51p-15, 0x1.4a89cf86d3bfep-15, 0x1.40a8dcf6e00a8p-15, 0x1.36f3dfd8ddacfp-15, 0x1.2d6aa687e842ep-15, 0x1.2409ac52591f7p-15, 0x1.1ace26d95b1ffp-15, 0x1.11baeb6a5f8f9p-15, 0x1.08cd7a9219cc4p-15, 0x1.0000f007a3093p-15, 0x1.eead10824fc2dp-16, 0x1.dd99c99cbc28ep-16, 0x1.ccc4f38881e37p-16, 0x1.bc2dc749140f5p-16, 0x1.abd9cc3e33028p-16, 0x1.9bbca2105af78p-16, 0x1.8bdb429823dd2p-16, 0x1.7c2dc11874578p-16, 0x1.6cb6273c683d6p-16, 0x1.5d73ee94d8bcbp-16, 0x1.4e6650c829a57p-16, 0x1.3f8a894dd13p-16, 0x1.30df5a33cfe0ap-16, 0x1.226891bfe375ep-16, 0x1.141fa7f0019dfp-16, 0x1.0605ce632fb6dp-16, 0x1.f0352e197bd43p-17, 0x1.d4baa623c1fc6p-17, 0x1.b99ac53186ce8p-17, 0x1.9ed3faa229f4cp-17, 0x1.846576c1545e5p-17, 0x1.6a4e60473320ep-17, 0x1.508e265f1019ap-17, 0x1.3727289e7e8bep-17, 0x1.1e1579d9cf5d7p-17, 0x1.0556a301d9e1ap-17, 0x1.d9da509c175cbp-18, 0x1.a9b05c35bd7ap-18, 0x1.7a29f9bca998bp-18, 0x1.4b529c22714cap-18, 0x1.1d1e68922922cp-18, 0x1.df213d9e24715p-19, 0x1.85529cfa792adp-19, 0x1.2cd02c51cb5afp-19, 0x1.ab30fbe26be5dp-20, 0x1.febb849f5dc69p-21, 0x1.585e407e3eba5p-22, -0x1.4236112d4c8fp-22, -0x1.e93e3275910aap-21, -0x1.961a726e30457p-20, -0x1.1a7f36538f716p-19, -0x1.68abac3322fb3p-19, -0x1.b586e8d28c146p-19, -0x1.0084c4f334f12p-18, -0x1.25a58d1f6005dp-18, -0x1.4a2238d6c0e2ep-18, -0x1.6df361965c9f9p-18, -0x1.911ff9d330b1ap-18, -0x1.b3a56383238a5p-18, -0x1.d5836357c4f99p-18, -0x1.f6ba5a14ea649p-18, -0x1.0ba56a91f0863p-17, -0x1.1b98ef16c5fdp-17, -0x1.2b393e5d81b51p-17, -0x1.3a85c379fc12p-17, -0x1.497e7f9ae09bbp-17, -0x1.5823c169abe22p-17, -0x1.6674aee61bac8p-17, -0x1.74723595555c4p-17, -0x1.821c1111f0035p-17, -0x1.8f724450ce806p-17, -0x1.9c74cf9a23997p-17, -0x1.a924bd0af970ap-17, -0x1.b581a052bed1ap-17, -0x1.c189026e0d0d1p-17, -0x1.cd3ef95f48c44p-17, -0x1.d8a4712ce1f34p-17, -0x1.e3b14a3666b0ep-17, -0x1.ee722476500e9p-17, -0x1.f8dd5e101208p-17, -0x1.017bdc02d5ad6p-16, -0x1.06603aa2f5533p-16, -0x1.0b1bf42dae92fp-16, -0x1.0faf3435dec23p-16, -0x1.141a26b79322bp-16, -0x1.185cfa372e19cp-16, -0x1.1c77e23e2da44p-16, -0x1.206b120fd789ep-16, -0x1.2436bde4b5ad5p-16, -0x1.27db22bcf3857p-16, -0x1.2b5899d8286f2p-16, -0x1.2eaf0aa5a0883p-16, -0x1.31df108fc0f4p-16, -0x1.34e8ca1fd750ep-16, -0x1.37cc7dda1cbdp-16, -0x1.3a8a7a26c80f1p-16, -0x1.3d2267ea41675p-16, -0x1.3f95654e69298p-16, -0x1.41e4e5a3190a1p-16, -0x1.440f8720781fbp-16, -0x1.4615766800a41p-16, -0x1.47f6b61e568fbp-16, -0x1.49b53b505683dp-16, -0x1.4b5081b8a646cp-16, -0x1.4cc8eca941aabp-16, -0x1.4e1edff7b5aaep-16, -0x1.4f5353ac6a342p-16, -0x1.506480f37ccfdp-16, -0x1.5155d947c28bp-16, -0x1.5225e44da46c2p-16, -0x1.52d4cfff76098p-16, -0x1.5364299ae149fp-16, -0x1.53d3c63a8cbf7p-16, }}, 
      {{0x1.c2d98945f6f02p-1, 0x1.c528d6212aff9p-1, 0x1.c897403fff7d5p-1, 0x1.ccdcb7412bd4dp-1, 0x1.d1bcb2c9bc5e7p-1, 0x1.d70480215bed7p-1, 0x1.dc89cce5c71b2p-1, 0x1.e22969034ccb6p-1, 0x1.e7c637db04e4fp-1, 0x1.ed484cc48c2d8p-1, 0x1.f29c2581e2c38p-1, 0x1.f7b205710c859p-1, 0x1.fc7d6702de01dp-1, 0x1.007a40a05a631p+0, 0x1.0287efeaaeecp+0, 0x1.0465043b2d30cp+0, 0x1.060f96521aa52p+0, 0x1.0786731b6881cp+0, 0x1.08c8fe1b4019ep+0, 0x1.09d71919c7c19p+0, 0x1.0ab10ea5a05e6p+0, 0x1.0b5781ccf2ebcp+0, 0x1.0bcb5fb207ebdp+0, 0x1.0c0dd33ae90e3p+0, 0x1.0c203a25afc73p+0, 0x1.0c041ac6f4a96p+0, 0x1.0bbb1af452526p+0, 0x1.0b46f7fc504fep+0, 0x1.0aa97fc32fe97p+0, 0x1.09e48afa234e3p+0, 0x1.08f9f8304fe4ap+0, 0x1.07eba7b77bd5cp+0, 0x1.06bb782c48ff7p+0, 0x1.056b438d538ddp+0, 0x1.03fcdcd7660cp+0, 0x1.02720e13e178fp+0, 0x1.00cc96aae2db2p+0, 0x1.fe1c5468f2398p-1, 0x1.fa70dea25453ep-1, 0x1.f699fe26a3effp-1, 0x1.f29ac88f547bfp-1, 0x1.ee763640cde11p-1, 0x1.ea2f21fb42bbbp-1, 0x1.e5c848ba17f18p-1, 0x1.e144498edeaf2p-1, 0x1.dca5a602ebba6p-1, 0x1.d7eec231de408p-1, 0x1.d321e5be1e6a1p-1, 0x1.ce413c121ee54p-1, 0x1.c94ed508ecfdep-1, 0x1.c44ca5eadd528p-1, 0x1.bf3c8a2dbef9fp-1, 0x1.ba20442780996p-1, 0x1.b4f97e2d92b18p-1, 0x1.afc9cb4e62b0ap-1, 0x1.aa92a84463407p-1, 0x1.a5557c69e1bfdp-1, 0x1.a0139a89b359ep-1, 0x1.9ace41cd880bap-1, 0x1.95869ec22a3a4p-1, 0x1.903dcbea4021cp-1, 0x1.8af4d2dd9b393p-1, 0x1.85acacf4ae058p-1, 0x1.8066441586122p-1, 0x1.7b22738b16103p-1, 0x1.75e2089abce4cp-1, 0x1.70a5c368c8f5p-1, 0x1.6b6e578d47cedp-1, 0x1.663c6cc65c854p-1, 0x1.61109f9bd1456p-1, 0x1.5beb81f314c51p-1, 0x1.56cd9b97337abp-1, 0x1.51b76af8018ecp-1, 0x1.4ca96570acb6fp-1, 0x1.47a3f7dede0bep-1, 0x1.42a7872fc58ecp-1, 0x1.3db470b132eb7p-1, 0x1.38cb0aa827b5fp-1, 0x1.33eba488bd1e3p-1, 0x1.2f16876f305afp-1, 0x1.2a4bf6951f26bp-1, 0x1.258c2f7db715dp-1, 0x1.20d76a6a55498p-1, 0x1.1c2dda9183ec4p-1, 0x1.178fae7b5731ap-1, 0x1.12fd103daaa57p-1, 0x1.0e7625bfd1795p-1, 0x1.09fb10f2970d2p-1, 0x1.058bf01ddf81ap-1, 0x1.0128ddfaf27d9p-1, 0x1.f9a3e405e9978p-2, 0x1.f10e811786306p-2, 0x1.e891b61a640bep-2, 0x1.e02da05048c1cp-2, 0x1.d7e257f10e81ep-2, 0x1.cfaff0340a403p-2, 0x1.c79677c0b5a76p-2, 0x1.bf95f8f4abdc4p-2, 0x1.b7ae79e9f6413p-2, 0x1.afdffd1039e2p-2, 0x1.a82a80ff0bbp-2, 0x1.a08e0111bbc07p-2, 0x1.990a754a7c19bp-2, 0x1.919fd29bf7bb2p-2, 0x1.8a4e0b13058d8p-2, 0x1.83150e2309a9ap-2, 0x1.7bf4c88bcea32p-2, 0x1.74ed24b112dbcp-2, 0x1.6dfe0aae514dcp-2, 0x1.6727606b3ff9bp-2, 0x1.606909e7a5c2p-2, 0x1.59c2e907d831dp-2, 0x1.5334de127ef2ap-2, 0x1.4cbec775a9232p-2, 0x1.4660820a75ba5p-2, 0x1.4019e94526951p-2, 0x1.39ead6f137dd3p-2, 0x1.33d323ad7f0acp-2, 0x1.2dd2a6e2bdaf3p-2, 0x1.27e9368e420bbp-2, 0x1.2216a7cbe0a8ep-2, 0x1.1c5ace6b80486p-2, 0x1.16b57d83245e2p-2, 0x1.112686f9dbe59p-2, 0x1.0badbc04db83bp-2, 0x1.064aed05ad4b4p-2, 0x1.00fde97c7b892p-2, 0x1.f78d00a122cdcp-3, 0x1.ed48ff69bdd8dp-3, 0x1.e32f6a608e076p-3, 0x1.d93fdbd1598ecp-3, 0x1.cf79ec638514dp-3, 0x1.c5dd3450a792fp-3, 0x1.bc694aa50e969p-3, 0x1.b31dc5a980a13p-3, 0x1.a9fa3ae76ba43p-3, 0x1.a0fe3f3fede7cp-3, 0x1.982966f865035p-3, 0x1.8f7b45a6eef6bp-3, 0x1.86f36ed0f89d4p-3, 0x1.7e91750c0b23ap-3, 0x1.7654eae2a90bfp-3, 0x1.6e3d627f475dfp-3, 0x1.664a6dc9baa03p-3, 0x1.5e7b9e74d8417p-3, 0x1.56d0862600425p-3, 0x1.4f48b64526be3p-3, 0x1.47e3c04900db3p-3, 0x1.40a135a655685p-3, 0x1.3980a7b0588afp-3, 0x1.3281a83bbb5d6p-3, 0x1.2ba3c8ca7661bp-3, 0x1.24e69b3fe5bf6p-3, 0x1.1e49b1b378f9ep-3, 0x1.17cc9e80fd2a8p-3, 0x1.116ef434e952cp-3, 0x1.0b3045c0ff561p-3, 0x1.0510266bf9d4ap-3, 0x1.fe1c53bcafacp-4, 0x1.f253c857b80c8p-4, 0x1.e6c5d3bae5bb7p-4, 0x1.db719ff5cb88p-4, 0x1.d05657d2b3fbep-4, 0x1.c57327ba99acdp-4, 0x1.bac73ce4498bap-4, 0x1.b051c5683d469p-4, 0x1.a611f121e1fd1p-4, 0x1.9c06f0e43f36ap-4, 0x1.922ff6e262ea2p-4, 0x1.888c36acfede5p-4, 0x1.7f1ae53ceb08ep-4, 0x1.75db38fad07e7p-4, 0x1.6ccc69c891fe3p-4, 0x1.63edb10c5ecp-4, 0x1.5b3e49bb81877p-4, 0x1.52bd7060e4e88p-4, 0x1.4a6a632ce3c4ap-4, 0x1.424461f47a0e7p-4, 0x1.3a4aade50d1e7p-4, 0x1.327c8aacff2cdp-4, 0x1.2ad93ced1215dp-4, 0x1.23600b42d0358p-4, 0x1.1c103e3e3332ap-4, 0x1.14e9200f1bc78p-4, 0x1.0de9fcd58f192p-4, 0x1.0712223fb4636p-4, 0x1.0060e0413dd02p-4, 0x1.f3ab10c231941p-5, 0x1.e6dedc3fddb01p-5, 0x1.da5bcdb5941cbp-5, 0x1.ce2093bd6090fp-5, 0x1.c22be0c7e9ea5p-5, 0x1.b67c6b1676994p-5, 0x1.ab10ecd3c6aafp-5, 0x1.9fe82408608a5p-5, 0x1.9500d2b33e5bp-5, 0x1.8a59bec24367fp-5, 0x1.7ff1b17360a25p-5, 0x1.75c779541f753p-5, 0x1.6bd9e7b9da154p-5, 0x1.6227d1e20d47fp-5, 0x1.58b011a53e7a2p-5, 0x1.4f71846a6cc8dp-5, 0x1.466b0b927dd01p-5, 0x1.3d9b8c7a58b15p-5, 0x1.3501f06396746p-5, 0x1.2c9d247844ac7p-5, 0x1.246c19d64175p-5, 0x1.1c6dc562f3645p-5, 0x1.14a11fee06bf3p-5, 0x1.0d052630258ddp-5, 0x1.0598d8cc7014cp-5, 0x1.fcb678a609db7p-6, 0x1.ee96b23c479e4p-6, 0x1.e0d076800c169p-6, 0x1.d361e4dfec7ffp-6, 0x1.c6492427d1d2p-6, 0x1.b98462c46c8a1p-6, 0x1.ad11d6eb97f24p-6, 0x1.a0efbee3aed24p-6, 0x1.951c5f4ac9f7cp-6, 0x1.899605e5638ddp-6, 0x1.7e5b0601a8c48p-6, 0x1.7369b879f80fdp-6, 0x1.68c07e9b30a6ep-6, 0x1.5e5dc04e52d0dp-6, 0x1.543fed545e06dp-6, 0x1.4a657d3a60224p-6, 0x1.40ccef40d01a1p-6, 0x1.3774c95a6974ep-6, 0x1.2e5b97336e33dp-6, 0x1.257fe96a71e3ap-6, 0x1.1ce055adc0f4dp-6, 0x1.147b77e032721p-6, 0x1.0c4ff43d477fcp-6, 0x1.045c7717aa7cap-6, 0x1.f93f704a3607bp-7, 0x1.ea30e96a33e56p-7, 0x1.db8adcff506ep-7, 0x1.cd4ad04d2b63ap-7, 0x1.bf6e4b08fb59bp-7, 0x1.b1f2ddc215da4p-7, 0x1.a4d62bdc29406p-7, 0x1.9815f2f5661afp-7, 0x1.8bb00a334c61ep-7, 0x1.7fa2583cc7295p-7, 0x1.73eac5a88f08p-7, 0x1.68873407ad378p-7, 0x1.5d7579efcdf1fp-7, 0x1.52b3793ba3db5p-7, 0x1.483f2613a03ddp-7, 0x1.3e1693c06c76dp-7, 0x1.3437f640c9a2cp-7, 0x1.2aa1900b8bc31p-7, 0x1.2151a1cd6192ep-7, 0x1.1846600fb2bd6p-7, 0x1.0f7df6067357p-7, 0x1.06f693e90aa8fp-7, 0x1.fd5cff6bc5e7ap-8, 0x1.ed483a1bd5126p-8, 0x1.ddabcd765fddbp-8, 0x1.ce84bd9f4c181p-8, 0x1.bfd0040803da3p-8, 0x1.b18a8bcc28d83p-8, 0x1.a3b146f5e63fp-8, 0x1.9641478154bf6p-8, 0x1.8937d13f4ce38p-8, 0x1.7c9257068c203p-8, 0x1.704e60225542ep-8, 0x1.64695fd88865cp-8, 0x1.58e09ba0c71d2p-8, 0x1.4db13bef2b5c4p-8, 0x1.42d880654f6cp-8, 0x1.3853f4bbadf98p-8, 0x1.2e217ce6a13bep-8, 0x1.243f38f7899ep-8, 0x1.1aab5afd52d8p-8, 0x1.116400f3e3a47p-8, 0x1.08670f029fbcp-8, 0x1.ff64356d38d63p-9, 0x1.ee8509641740bp-9, 0x1.de2b938aa5296p-9, 0x1.ce53a5a98d41p-9, 0x1.befa11c8973a6p-9, 0x1.b01c28e94f744p-9, 0x1.a1b744f991b4fp-9, 0x1.93c8aac52476bp-9, 0x1.864d74bca5f72p-9, 0x1.79425abc9622ep-9, 0x1.6ca35f93b9fb9p-9, 0x1.606c08a78035cp-9, 0x1.549808b81a73p-9, 0x1.4923f2839b08bp-9, 0x1.3e0d3417aa5p-9, 0x1.3351a777cbe1cp-9, 0x1.28ef4bb761a32p-9, 0x1.1ee453a4b13b9p-9, 0x1.152f2f93fd11dp-9, 0x1.0bce1b8e1fd8dp-9, 0x1.02be89e6b13fbp-9, 0x1.f3f9a685df6e5p-10, 0x1.e3097d657f414p-10, 0x1.d2a4ee0ce7026p-10, 0x1.c2c66cbe39693p-10, 0x1.b36a91390861fp-10, 0x1.a48f35e85a235p-10, 0x1.9632a7b40a0cp-10, 0x1.88538ab6c4b0ap-10, 0x1.7af0c3af49221p-10, 0x1.6e0844cd4b9bbp-10, 0x1.619576884332cp-10, 0x1.5590e34b8ca24p-10, 0x1.49f1cd47e7879p-10, 0x1.3eb106613b5d8p-10, 0x1.33cb2645b2e0cp-10, 0x1.293fe21df7a7p-10, 0x1.1f0f18d93ecap-10, 0x1.1537b8ae7b61fp-10, 0x1.0bb92d7805453p-10, 0x1.0293343e3b219p-10, 0x1.f388345c4ff5p-11, 0x1.e28fd187fbcf8p-11, 0x1.d230ed9abb6bap-11, 0x1.c25c8d2138bdap-11, 0x1.b305f98e06728p-11, 0x1.a429946eec068p-11, 0x1.95caf515c4126p-11, 0x1.87ea416cccdb1p-11, 0x1.7a843109514e6p-11, 0x1.6d98b03d7a27ap-11, 0x1.6127305e03907p-11, 0x1.552b6040d73efp-11, 0x1.49a003a13275p-11, 0x1.3e7fb3666c8d2p-11, 0x1.33c24692e92bfp-11, 0x1.295c3432d7993p-11, 0x1.1f465434a1935p-11, 0x1.1584b444affe1p-11, 0x1.0c195a2d209a1p-11, 0x1.02ffc7588e377p-11, 0x1.f470835e603f1p-12, 0x1.e385aa3c46383p-12, 0x1.d334bffbae159p-12, 0x1.c373cdde35216p-12, 0x1.b4408eab9982fp-12, 0x1.a59a91345ab38p-12, 0x1.977a109c6b4e9p-12, 0x1.89cca17a9cc3ap-12, 0x1.7c8662b5e4b14p-12, 0x1.6fb0b437d8636p-12, 0x1.6348e8f6fac05p-12, 0x1.574a26cefdc3dp-12, 0x1.4bb88d3b1f8cap-12, 0x1.408e9c71c5df4p-12, 0x1.35c1b475825acp-12, 0x1.2b4b86aa27be5p-12, 0x1.212c7b9e2427dp-12, 0x1.176765d795b4ep-12, 0x1.0dfc67015da65p-12, 0x1.04e544e68b2f7p-12, 0x1.f8248fa9b90d7p-13, 0x1.e70598367603ep-13, 0x1.d66e8517b921fp-13, 0x1.c65e46785868dp-13, 0x1.b6d9a5a8eb0a1p-13, 0x1.a7d76e64fa43cp-13, 0x1.994a2efeb278cp-13, 0x1.8b29328f46d09p-13, 0x1.7d71f7f01f92bp-13, 0x1.7024cc6c963cfp-13, 0x1.63426080f62e7p-13, 0x1.56cddb1abbdcep-13, 0x1.4acb44b64bb6ep-13, 0x1.3f21458fb16e1p-13, 0x1.33c247b7df9dcp-13, 0x1.28b5175d9b1adp-13, 0x1.1e00e217d9d97p-13, 0x1.139da6ce1397dp-13, 0x1.0988aece4a932p-13, 0x1.ff74b839f3aep-14, 0x1.ec5f3b473da76p-14, 0x1.d9ce01b00ca06p-14, 0x1.c7bd21bce9343p-14, 0x1.b628ea421a8c6p-14, 0x1.a50e60cba9d9bp-14, 0x1.948159ec3abp-14, 0x1.8479f247201ffp-14, 0x1.74d12cfc7437p-14, 0x1.6588e0014081bp-14, 0x1.56afe86340da5p-14, 0x1.4831bf655bbebp-14, 0x1.3a1a714234ecp-14, 0x1.2c5e664d37e74p-14, 0x1.1ef7dc429edf1p-14, 0x1.11e65f191edfbp-14, 0x1.05270f737b403p-14, 0x1.f16e2eac46523p-15, 0x1.d9281f3f76584p-15, 0x1.c1767089ec5adp-15, 0x1.aa6f7f8f2b705p-15, 0x1.93f2595cc5d08p-15, 0x1.7e04185b5d0dcp-15, 0x1.68ad5c80d742cp-15, 0x1.53c715b33c993p-15, 0x1.3f5275dfd2ce4p-15, 0x1.2b68774d17c29p-15, 0x1.17f473b6698e4p-15, 0x1.04ef6ae171378p-15, 0x1.e4b4d59932317p-16, 0x1.c064fdc1cd197p-16, 0x1.9ce8c263430dfp-16, 0x1.7a3ea90624623p-16, 0x1.585d6ec03ba27p-16, 0x1.37506f5638a1ep-16, 0x1.170031bc9645ep-16, 0x1.eec10b1dc86c2p-17, 0x1.b11c494f718fp-17, 0x1.7506dbea6512fp-17, 0x1.3a2f110c6589ap-17, 0x1.00931975874ffp-17, 0x1.90f383fae8dadp-18, 0x1.23411480e2b99p-18, 0x1.700bcfd395c02p-19, 0x1.3d2049b3e63e5p-20, -0x1.7058b91f8bc9ep-22, -0x1.eba85fe9d294bp-20, -0x1.b8c5488d6c2b7p-19, -0x1.3b9799b8dde75p-18, -0x1.9865693174831p-18, -0x1.f30de90c6636bp-18, -0x1.25adb6c486a9bp-17, -0x1.50d0233b004b3p-17, -0x1.7aece55517f88p-17, -0x1.a3d1dd412c1cep-17, -0x1.cbb872f633de7p-17, -0x1.f2a483e5071fdp-17, -0x1.0c3b4980e967dp-16, -0x1.1eab2590302ffp-16, -0x1.309e9feb6cb59p-16, -0x1.4215c8ff34409p-16, -0x1.5311df9e7c2b9p-16, -0x1.6392087dc46e9p-16, -0x1.739ab96451268p-16, -0x1.832f79e0986ccp-16, -0x1.924b10d518e8dp-16, -0x1.a0f0ba7edd837p-16, -0x1.af2753229c7b7p-16, -0x1.bcec884341c9cp-16, -0x1.ca423d396353fp-16, -0x1.d72abf886fb8dp-16, -0x1.e3a6295ebfcfep-16, -0x1.efae19e637c91p-16, -0x1.fb4ebb64f2ee7p-16, -0x1.0340f7c2a97e4p-15, -0x1.08a85ccbd4e68p-15, -0x1.0ddc2c8c1a3fcp-15, -0x1.12dc5e09f13abp-15, -0x1.17a953433963ep-15, -0x1.1c44b1ff247d6p-15, -0x1.20af46c225a65p-15, -0x1.24e600ab1c361p-15, -0x1.28edc73777de3p-15, -0x1.2cc5a4fcd63b5p-15, -0x1.306ded30f4e17p-15, -0x1.33e72e84f68c6p-15, -0x1.3731f859e93eap-15, -0x1.3a4ef50ecd2d9p-15, -0x1.3d3e9cbb7e01cp-15, -0x1.4001dd0eff642p-15, -0x1.4298df3aebd72p-15, -0x1.45026c7a334bep-15, -0x1.4740e19027f95p-15, -0x1.4955d2988f1c4p-15, -0x1.4b403730f47ddp-15, -0x1.4d00d434ef048p-15, -0x1.4e9971774d314p-15, -0x1.50076f30ff848p-15, -0x1.514e52ccb35e1p-15, -0x1.526db0bfe28a3p-15, -0x1.5365f98fc5c78p-15, -0x1.5437c12d0d173p-15, -0x1.54e3cd42df00ep-15, -0x1.5569d8f6268cep-15, -0x1.55cc255a0dec2p-15, -0x1.5608fc4144e2p-15, -0x1.562273c8772ap-15, -0x1.5618c4c7a415ep-15, -0x1.55ec5c0f4aaadp-15, -0x1.559e6487e55b4p-15, -0x1.552e9203fc7f9p-15, -0x1.549c5b741e975p-15, -0x1.53ead3871cc31p-15, -0x1.5319df5b27b05p-15, -0x1.52289baf405bap-15, -0x1.51190107eac95p-15, -0x1.4feb1a591c962p-15, -0x1.4e9f765af9a53p-15, -0x1.4d36a23949f2ep-15, -0x1.4bb167a5cafb3p-15, -0x1.4a0fdcb9a8f72p-15, -0x1.485302bf5ca87p-15, -0x1.467b37473238bp-15, -0x1.4489118f9e847p-15, -0x1.427d36338e53ep-15, -0x1.4057f2b4637fbp-15, -0x1.3e1a1a1f767ep-15, -0x1.3bc419e6ea1f6p-15, -0x1.3956844f07d14p-15, -0x1.36d1e1f0fca38p-15, -0x1.3436f65c04c31p-15, -0x1.31862d403397ap-15, -0x1.2ebf8ada663abp-15, -0x1.2be4596b4e46bp-15, -0x1.28f4c8217380cp-15, -0x1.25f20b448d3ccp-15, -0x1.22db634842b37p-15, -0x1.1fb2832c5925bp-15, -0x1.1c776ae1ed171p-15, -0x1.192ac1ba245bfp-15, -0x1.15cd1017bccc8p-15, -0x1.125ede0bb99c4p-15, -0x1.0ee0b31305409p-15, -0x1.0b5315d02a198p-15, -0x1.07b68c1c8d738p-15, -0x1.040b99744b3cp-15, -0x1.0052c00c5b84dp-15, -0x1.f91907eb4d845p-16, -0x1.f172e292b48abp-16, -0x1.e9b3e5cf0527p-16, -0x1.e1dd36cf94013p-16, -0x1.d9efcc09bdc13p-16, -0x1.d1ec93fcd448dp-16, -0x1.c9d47c53da983p-16, -0x1.c1ab6b92af7f4p-16, -0x1.b96cdf70a4b38p-16, -0x1.b1198f66a4ad8p-16, -0x1.a8b825aa49fcap-16, -0x1.a046a746f9129p-16, -0x1.97c614da1112ap-16, -0x1.8f374ac6ef716p-16, -0x1.869b392e7d454p-16, -0x1.7df2c22b8a93p-16, -0x1.753ecb4d42f76p-16, -0x1.6c80c495ac85cp-16, -0x1.63b78827e77a4p-16, -0x1.5ae6ee90bdd8fp-16, -0x1.520d6f25d80a6p-16, -0x1.492cd695e5848p-16, -0x1.4046186bea9fp-16, -0x1.37598a4320fa5p-16, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.c713203ca514fp-7, -0x1.c6c634c3a1038p-6, -0x1.54b4db149ab11p-5, -0x1.c59494415aa8p-5, -0x1.1aeed9d7c06fep-4, -0x1.52b65e0c6805ep-4, -0x1.8a0fb5ee13123p-4, -0x1.c0ea6d5f131dp-4, -0x1.f736c81080d72p-4, -0x1.1672e4babf7f8p-3, -0x1.30f49d0995952p-3, -0x1.4b19d54f718e9p-3, -0x1.64dc3aa590085p-3, -0x1.7e35deca2cd03p-3, -0x1.9721376924c96p-3, -0x1.af991ce3a332bp-3, -0x1.c798c8aefa0b1p-3, -0x1.df1bd35ede159p-3, -0x1.f61e326c05084p-3, -0x1.064e1ae2ad8abp-2, -0x1.1149429bd9a11p-2, -0x1.1bff0edb02c6ap-2, -0x1.266e274544e67p-2, -0x1.30955b3beed1cp-2, -0x1.3a73a06809f69p-2, -0x1.4408114364cf4p-2, -0x1.4d51eba13749p-2, -0x1.56508f3830bp-2, -0x1.5f037c2f70646p-2, -0x1.676a51afb2533p-2, -0x1.6f84cc79be1d4p-2, -0x1.7752c582ffd2fp-2, -0x1.7ed430990bc74p-2, -0x1.86091b0ca5a74p-2, -0x1.8cf1aa64cd74dp-2, -0x1.938e1b1a386d2p-2, -0x1.99debf5b8657dp-2, -0x1.9fe3fdda69c7p-2, -0x1.a59e50a1f56bep-2, -0x1.ab0e43f621d9bp-2, -0x1.b034753c9d4f6p-2, -0x1.b51191eee667ap-2, -0x1.b9a65695a803cp-2, -0x1.bdf38dcd42a64p-2, -0x1.c1fa0f5370c41p-2, -0x1.c5babf1dd930fp-2, -0x1.c9368c7978571p-2, -0x1.cc6e7132a9405p-2, -0x1.cf6370c5a74d8p-2, -0x1.d216979753622p-2, -0x1.d488fa3608316p-2, -0x1.d6bbb4a249c3cp-2, -0x1.d8afe99f1629dp-2, -0x1.da66c209a060cp-2, -0x1.dbe16c383bcc3p-2, -0x1.dd211b603ea86p-2, -0x1.de270702a3981p-2, -0x1.def46a5f3356dp-2, -0x1.df8a83edfc0f4p-2, -0x1.dfea94dedfccfp-2, -0x1.e015e09f08572p-2, -0x1.e00dac6408291p-2, -0x1.dfd33ebc7582cp-2, -0x1.df67df25d2465p-2, -0x1.deccd5a789a76p-2, -0x1.de036a72dc17bp-2, -0x1.dd0ce587866dp-2, -0x1.dbea8e5cfd1aep-2, -0x1.da9dab900ce26p-2, -0x1.d9278294bd57dp-2, -0x1.d789576c48623p-2, -0x1.d5c46c5f07eb8p-2, -0x1.d3da01ba2e369p-2, -0x1.d1cb55912a122p-2, -0x1.cf99a38293b9bp-2, -0x1.cd462480863d8p-2, -0x1.cad20e9c3ac9dp-2, -0x1.c83e94d4d82a8p-2, -0x1.c58ce6e9493d8p-2, -0x1.c2be312d0af14p-2, -0x1.bfd39c5fd0602p-2, -0x1.bcce4d87e236cp-2, -0x1.b9af65cf260a3p-2, -0x1.b6780262afb5cp-2, -0x1.b3293c54c815fp-2, -0x1.afc4288151cf7p-2, -0x1.ac49d77476263p-2, -0x1.a8bb555386199p-2, -0x1.a519a9c7f6b33p-2, -0x1.a165d7ec6a76fp-2, -0x1.9da0de3bb1141p-2, -0x1.99cbb681abc15p-2, -0x1.95e755ce0125ep-2, -0x1.91f4ac68932ebp-2, -0x1.8df4a5c7a4c6fp-2, -0x1.89e828879b387p-2, -0x1.85d016644cb11p-2, -0x1.81ad4c33d0ee6p-2, -0x1.7d80a1e2b8ca5p-2, -0x1.794aea71abc83p-2, -0x1.750cf3f4505dbp-2, -0x1.70c787917a914p-2, -0x1.6c7b6984899f2p-2, -0x1.6829591fefce7p-2, -0x1.63d210d0d03b1p-2, -0x1.5f764623ab1aap-2, -0x1.5b16a9ca0521fp-2, -0x1.56b3e7a10535p-2, -0x1.524ea6b8f88c8p-2, -0x1.4de7895daecc7p-2, -0x1.497f2d1fa9365p-2, -0x1.45162ade0c401p-2, -0x1.40ad16d14ac3bp-2, -0x1.3c44809681fc9p-2, -0x1.37dcf33b77cdfp-2, -0x1.3376f54b360c6p-2, -0x1.2f1308db35277p-2, -0x1.2ab1ab99115d3p-2, -0x1.265356d8b9c13p-2, -0x1.21f87fa319f81p-2, -0x1.1da196c52d101p-2, -0x1.194f08df78959p-2, -0x1.15013e75e15fap-2, -0x1.10b89bffd5af7p-2, -0x1.0c7581f8c75acp-2, -0x1.08384cf0e69d5p-2, -0x1.0401559e20a4fp-2, -0x1.ffa1e1daa5c99p-3, -0x1.f74ee02763b9dp-3, -0x1.ef0a4140b1933p-3, -0x1.e6d4991bfc86fp-3, -0x1.deae74a9973d8p-3, -0x1.d69859f88ae2ap-3, -0x1.ce92c85aa4016p-3, -0x1.c69e3888874b8p-3, -0x1.bebb1cc5ea70ap-3, -0x1.b6e9e105cc148p-3, -0x1.af2aeb0eaf49dp-3, -0x1.a77e9a9ec8fa3p-3, -0x1.9fe5499028077p-3, -0x1.985f4bfcb3336p-3, -0x1.90ecf06212cd7p-3, -0x1.898e7fc56ca23p-3, -0x1.82443dd6edc81p-3, -0x1.7b0e691526ae5p-3, -0x1.73ed3af01e2a9p-3, -0x1.6ce0e7ec2eddep-3, -0x1.65e99fc491eb2p-3, -0x1.5f078d8da4303p-3, -0x1.583ad7d6d3892p-3, -0x1.5183a0cc3883p-3, -0x1.4ae20657d2d22p-3, -0x1.4456224266c85p-3, -0x1.3de00a53f3e1ap-3, -0x1.377fd073cef4bp-3, -0x1.313582c843008p-3, -0x1.2b012bd5cf762p-3, -0x1.24e2d29df3477p-3, -0x1.1eda7abd83dabp-3, -0x1.18e8248a90c2dp-3, -0x1.130bcd31ce157p-3, -0x1.0d456ed388e2ap-3, -0x1.079500a01a5f1p-3, -0x1.01fa76f3e8b4dp-3, -0x1.f8eb86e5bb762p-4, -0x1.ee0daa46d4e63p-4, -0x1.e35b3112029a4p-4, -0x1.d8d3ef7c2e15p-4, -0x1.ce77b51b3691dp-4, -0x1.c4464d17ed93p-4, -0x1.ba3f7e5eff3dbp-4, -0x1.b0630bd0e0e6ap-4, -0x1.a6b0b470bb419p-4, -0x1.9d28339245a55p-4, -0x1.93c94106a4292p-4, -0x1.8a93914846d88p-4, -0x1.8186d5a5b947dp-4, -0x1.78a2bc6b79c21p-4, -0x1.6fe6f10cccfa6p-4, -0x1.67531c4b92a74p-4, -0x1.5ee6e45f1b622p-4, -0x1.56a1ed1a05115p-4, -0x1.4e83d80f1b39bp-4, -0x1.468c44b5407fp-4, -0x1.3ebad08a62ba7p-4, -0x1.370f17357b983p-4, -0x1.2f88b2a7a16c1p-4, -0x1.28273b3c286bap-4, -0x1.20ea47d7dacfap-4, -0x1.19d16e0745931p-4, -0x1.12dc421c23d73p-4, -0x1.0c0a5749e3d25p-4, -0x1.055b3fc14ef6dp-4, -0x1.fd9d1996a82c1p-5, -0x1.f0c79dc5f4b99p-5, -0x1.e4352b9cfb5f5p-5, -0x1.d7e4e16f30323p-5, -0x1.cbd5dc85fc2f8p-5, -0x1.c007394e1a8adp-5, -0x1.b47813836a29dp-5, -0x1.a927865b3297dp-5, -0x1.9e14acace9d1ep-5, -0x1.933ea1197d069p-5, -0x1.88a47e312899fp-5, -0x1.7e455e97e07d2p-5, -0x1.74205d2854742p-5, -0x1.6a34951599714p-5, -0x1.6081220b7534bp-5, -0x1.5705204d614d3p-5, -0x1.4dbfacd4424e4p-5, -0x1.44afe56addcb5p-5, -0x1.3bd4e8c916d43p-5, -0x1.332dd6adf7fd1p-5, -0x1.2ab9cff88fdedp-5, -0x1.2277f6bfaaf7ep-5, -0x1.1a676e686f266p-5, -0x1.12875bbbdd4eap-5, -0x1.0ad6e4fb48a93p-5, -0x1.035531f3c08dep-5, -0x1.f802d820f163dp-6, -0x1.e9b57cd8714a2p-6, -0x1.dbc0abc3a0e3ap-6, -0x1.ce22c2374e445p-6, -0x1.c0da2144b29eap-6, -0x1.b3e52dd4f8fdcp-6, -0x1.a74250c304bf4p-6, -0x1.9aeff6f3982c8p-6, -0x1.8eec916bd4dd3p-6, -0x1.833695662f38cp-6, -0x1.77cc7c65e3298p-6, -0x1.6cacc448dd571p-6, -0x1.61d5ef584cf9fp-6, -0x1.57468457c223bp-6, -0x1.4cfd0e930096ep-6, -0x1.42f81dea80263p-6, -0x1.393646deaac8ep-6, -0x1.2fb62299eab2p-6, -0x1.26764ef98bed2p-6, -0x1.1d756e95739eep-6, -0x1.14b228c6cc924p-6, -0x1.0c2b29ad9b011p-6, -0x1.03df223553bcp-6, -0x1.f7999030f4714p-7, -0x1.e7e5abc686cddp-7, -0x1.d8a015eab88d5p-7, -0x1.c9c657059d344p-7, -0x1.bb56012812af8p-7, -0x1.ad4cb00a46bfp-7, -0x1.9fa80908a8755p-7, -0x1.9265bb1f67944p-7, -0x1.85837ee4805c8p-7, -0x1.78ff16806d277p-7, -0x1.6cd64da599eedp-7, -0x1.6106f9868bb15p-7, -0x1.558ef8cae4832p-7, -0x1.4a6c33833bd95p-7, -0x1.3f9c9b1bef16ep-7, -0x1.351e2a4ee9604p-7, -0x1.2aeee51477d08p-7, -0x1.210cd89324938p-7, -0x1.17761b0ec516bp-7, -0x1.0e28cbd6a6e7p-7, -0x1.05231332fe6cap-7, -0x1.f8c644a327fd1p-8, -0x1.e7ce66638a868p-8, -0x1.d75b111fa4d96p-8, -0x1.c768db9f54cacp-8, -0x1.b7f46dce14555p-8, -0x1.a8fa808e3c198p-8, -0x1.9a77dd8b4962bp-8, -0x1.8c695f0b3b1bcp-8, -0x1.7ecbefbf1b195p-8, -0x1.719c8a92a82d9p-8, -0x1.64d83a7b5b4adp-8, -0x1.587c1a46b959p-8, -0x1.4c8554681e7ffp-8, -0x1.40f122c5f6cb6p-8, -0x1.35bcce8668f24p-8, -0x1.2ae5afdbb3fdbp-8, -0x1.20692dd00e46ep-8, -0x1.1644be1157fbp-8, -0x1.0c75e4bc64a23p-8, -0x1.02fa34281cae4p-8, -0x1.f39e9960b9c75p-9, -0x1.e1e5b9019621p-9, -0x1.d0c53ebf2e1eep-9, -0x1.c038bcf0093e9p-9, -0x1.b03be04a3704cp-9, -0x1.a0ca6f787811p-9, -0x1.91e04aafb2a07p-9, -0x1.83796b4491d9ep-9, -0x1.7591e34147707p-9, -0x1.6825dcfb91f48p-9, -0x1.5b319aab5732bp-9, -0x1.4eb1760152472p-9, -0x1.42a1dfbeb9f3bp-9, -0x1.36ff5f4d031b4p-9, -0x1.2bc692563ced3p-9, -0x1.20f42c5e33393p-9, -0x1.1684f65c1d7f7p-9, -0x1.0c75ce553681p-9, -0x1.02c3a6f7e1acfp-9, -0x1.f2d70e6ef5204p-10, -0x1.e0d513d276fc9p-10, -0x1.cf7bbac39259bp-10, -0x1.bec5862777433p-10, -0x1.aead1e5e79542p-10, -0x1.9f2d50841e10dp-10, -0x1.90410db217f98p-10, -0x1.81e36a44a9e76p-10, -0x1.740f9d21507fcp-10, -0x1.66c0feffc8442p-10, -0x1.59f309b460e53p-10, -0x1.4da1577d09857p-10, -0x1.41c7a250411e7p-10, -0x1.3661c32e517ep-10, -0x1.2b6bb174bd36ap-10, -0x1.20e18234667eep-10, -0x1.16bf6788df4d1p-10, -0x1.0d01aff2df983p-10, -0x1.03a4c5b4bbfe9p-10, -0x1.f54a5c62257fdp-11, -0x1.e3ff1298a6a1cp-11, -0x1.d36121a02aec6p-11, -0x1.c36a2fa12faf4p-11, -0x1.b414142a62873p-11, -0x1.a558d7050d58p-11, -0x1.9732af0ee98eep-11, -0x1.899c01190ec91p-11, -0x1.7c8f5ecaad94ep-11, -0x1.700785884784ep-11, -0x1.63ff5d608fd73p-11, -0x1.5871f7fd3bcbdp-11, -0x1.4d5a8f9886cacp-11, -0x1.42b485f83f5eep-11, -0x1.387b636c9b90ap-11, -0x1.2eaad5d2d6a7p-11, -0x1.253eaf9e329dap-11, -0x1.1c32e6e40f4fdp-11, -0x1.1383946d1f0eep-11, -0x1.0b2cf2cb4353cp-11, -0x1.032b5d73fe9fep-11, -0x1.f6f69fbc05a9p-12, -0x1.e832c948e39c8p-12, -0x1.da04a95c27123p-12, -0x1.cc65ecb1040f2p-12, -0x1.bf5079506df27p-12, -0x1.b2be6cf9f8b4bp-12, -0x1.a6aa1b9249bd9p-12, -0x1.9b0e0d9c4e478p-12, -0x1.8fe4feba03a96p-12, -0x1.8529dc34f8416p-12, -0x1.7ad7c38ed0374p-12, -0x1.70ea011af5847p-12, -0x1.675c0e9f0b2c6p-12, -0x1.5e2991f9bfa7ep-12, -0x1.554e5bd334e12p-12, -0x1.4cc666548ee52p-12, -0x1.448dd3e6143b5p-12, -0x1.3ca0edf53c01fp-12, -0x1.34fc23c2c5494p-12, -0x1.2d9c0936a7e18p-12, -0x1.267d55ba0ba3bp-12, -0x1.1f9ce31ac754dp-12, -0x1.18f7ac73b111fp-12, -0x1.128acd1c3ad3bp-12, -0x1.0c537f9f07b95p-12, -0x1.064f1cb6b4d8p-12, -0x1.007b1a50ef3aep-12, -0x1.f5aa152db13f1p-13, -0x1.eab535faa83a5p-13, -0x1.e01326b48e059p-13, -0x1.d5bfa9ff7b068p-13, -0x1.cbb6b3bc0bcfap-13, -0x1.c1f467552fc86p-13, -0x1.b8751619ccf4dp-13, -0x1.af353da01d53ap-13, -0x1.a631863500e21p-13, -0x1.9d66c15822bfap-13, -0x1.94d1e83e29c15p-13, -0x1.8c701a60b93f4p-13, -0x1.843e9c185de98p-13, -0x1.7c3ad53ec11bbp-13, -0x1.74624fdad2205p-13, -0x1.6cb2b6d6099e3p-13, -0x1.6529d4bd2c92cp-13, -0x1.5dc5928861b2dp-13, -0x1.5683f66c05153p-13, -0x1.4f6322b3ac58ep-13, -0x1.486154a4f7b1ep-13, -0x1.417ce36ace60ep-13, -0x1.3ab43f07a2cf5p-13, -0x1.3405ef50b9695p-13, -0x1.2d7092f2abdbdp-13, -0x1.26f2de7b7440fp-13, -0x1.208b9b6c7b3ccp-13, -0x1.1a39a755cead3p-13, -0x1.13fbf2f619398p-13, -0x1.0dd18162cf424p-13, -0x1.07b967360efc8p-13, -0x1.01b2c9c4ce3fdp-13, -0x1.f779bcb646274p-14, -0x1.ebadd2fbac0b1p-14, -0x1.e0007c66c3d47p-14, -0x1.d4707aa723c07p-14, -0x1.c8fca9b5b0908p-14, -0x1.bda3fe8b95d16p-14, -0x1.b26585de35f24p-14, -0x1.a74062edfba01p-14, -0x1.9c33ce5ba8f43p-14, -0x1.913f150662c3fp-14, -0x1.866196f7955a5p-14, -0x1.7b9ac658e65e5p-14, -0x1.70ea266e8de3p-14, -0x1.664f4aa39db72p-14, -0x1.5bc9d59417bcdp-14, -0x1.51597829cca85p-14, -0x1.46fdf0bf2c1p-14, -0x1.3cb70a487b9d7p-14, -0x1.32849b857f405p-14, -0x1.2866863f63ab3p-14, -0x1.1e5cb687e63a6p-14, -0x1.14672204ef3d8p-14, -0x1.0a85c7429ee9fp-14, -0x1.00b8ad07a8a2ap-14, -0x1.edffc3703eaefp-15, -0x1.dab6f5766db8bp-15, -0x1.c79727cc841f7p-15, -0x1.b4a09ddfae813p-15, -0x1.a1d3a5d5759f5p-15, -0x1.8f309784182e6p-15, -0x1.7cb7d37d7e37bp-15, -0x1.6a69c225e88edp-15, -0x1.5846d2cc57785p-15, -0x1.464f7adbef4f4p-15, -0x1.3484350b2d46bp-15, -0x1.22e5809a2bf92p-15, -0x1.1173e09b147d4p-15, -0x1.002fdb41bcf2ep-15, -0x1.de33f27bf1c6cp-16, -0x1.bc658a35a8f6ep-16, -0x1.9af5955330ea8p-16, -0x1.79e52ce7d688cp-16, -0x1.59356a6eda4fep-16, -0x1.38e766c907233p-16, -0x1.18fc39519495fp-16, -0x1.f2e9edfae3cd2p-17, -0x1.b4a5630bdbe1cp-17, -0x1.772ced4d767f2p-17, -0x1.3a829ec3f72dcp-17, -0x1.fd50fd325b8fp-18, -0x1.87410fd2ed188p-18, -0x1.12d9511d02335p-18, -0x1.403b00290f6e9p-19, -0x1.7889e7ea4ee7dp-21, 0x1.011fe1c8b4b6bp-20, 0x1.5bd585a5dfac5p-19, 0x1.19d3e8b794eebp-18, 0x1.840055de86eacp-18, 0x1.ec6d1cc4908c6p-18, 0x1.298bbbda5d1e7p-17, 0x1.5bfe64ed6405p-17, 0x1.8d8d50153064cp-17, 0x1.be37592170e68p-17, 0x1.edfb7192f3658p-17, 0x1.0e6c506fa75b9p-16, 0x1.256702618905cp-16, 0x1.3bed68bce431bp-16, 0x1.51ff28eafe424p-16, 0x1.679bf3bc32da2p-16, 0x1.7cc3856daaa0ap-16, 0x1.9175a5b28d611p-16, 0x1.a5b227b0bc02ep-16, 0x1.b978ea049845bp-16, 0x1.ccc9d6b68448dp-16, 0x1.dfa4e32e6107p-16, 0x1.f20a102677a85p-16, 0x1.01fcb4ce60cf2p-15, 0x1.0ab9835c7b8bap-15, 0x1.133b84d9fe8b1p-15, 0x1.1b82cfdf73ba1p-15, 0x1.238f80710f285p-15, 0x1.2b61b7ee840bap-15, 0x1.32f99d0086ed2p-15, 0x1.3a575b8738f18p-15, 0x1.417b248536c38p-15, 0x1.48652e093a28fp-15, 0x1.4f15b3199053fp-15, 0x1.558cf39ef37aep-15, 0x1.5bcb3448d6937p-15, 0x1.61d0be7893f18p-15, 0x1.679de025d407ap-15, 0x1.6d32ebc74b48fp-15, 0x1.729038362e707p-15, 0x1.77b620948736p-15, 0x1.7ca504329e1b9p-15, 0x1.815d46736f96bp-15, 0x1.85df4eae6d1e3p-15, 0x1.8a2b88163a5adp-15, 0x1.8e42619ba6ef4p-15, 0x1.92244dcfafa6fp-15, 0x1.95d1c2c802c1cp-15, 0x1.994b3a00ab073p-15, 0x1.9c9130418461fp-15, 0x1.9fa4257e94a35p-15, 0x1.a2849cbb7f125p-15, 0x1.a5331befb40c9p-15, 0x1.a7b02be8ba43ap-15, 0x1.a9fc582c4a955p-15, 0x1.ac182edc11c93p-15, 0x1.ae04409a42e99p-15, 0x1.afc1206b0b36cp-15, 0x1.b14f63989b3aep-15, 0x1.b2afa196bfd15p-15, 0x1.b3e273e7fed95p-15, 0x1.b4e8760224e03p-15, 0x1.b5c2452fac1bbp-15, 0x1.b6708077bfaadp-15, 0x1.b6f3c8816d35dp-15, 0x1.b74cbf7ac9864p-15, 0x1.b77c08fbd903dp-15, 0x1.b78249ef7e95ap-15, 0x1.b760287886515p-15, 0x1.b7164bd83a51cp-15, 0x1.b6a55c54c51d3p-15, 0x1.b60e0321795a1p-15, 0x1.b550ea4892bccp-15, 0x1.b46ebc90c82e2p-15, 0x1.b368256642f6dp-15, 0x1.b23dd0c4e60f8p-15, 0x1.b0f06b20df55cp-15, 0x1.af80a1519eae9p-15, 0x1.adef207a93e83p-15, 0x1.ac3c95f7dcb19p-15, 0x1.aa69af487e39fp-15, 0x1.a87719fa04f17p-15, 0x1.a66583941dccdp-15, 0x1.a4359985b954ep-15, 0x1.a1e80913d8926p-15, 0x1.9f7d7f448eff9p-15, 0x1.9cf6a8cdb18cfp-15, 0x1.9a5432034a8eap-15, 0x1.9796c6c63f06fp-15, 0x1.94bf12744aee6p-15, 0x1.91cdbfd6ecbfbp-15, 0x1.8ec37913ea4c9p-15, 0x1.8ba0e79e8e0a7p-15, 0x1.8866b4277b012p-15, 0x1.8515868ec4106p-15, 0x1.81ae05d51795ep-15, }}, 
      {{-0x1.db7abe05e348fp-1, -0x1.db65051d94a06p-1, -0x1.db407db708923p-1, -0x1.db0cba9f8be99p-1, -0x1.dac935acc181dp-1, -0x1.da75580cfed82p-1, -0x1.da10811c409d2p-1, -0x1.d99a0bf9f1f33p-1, -0x1.d911541223a6cp-1, -0x1.d875b8c4be0aep-1, -0x1.d7c6a04e8e228p-1, -0x1.d7037a126a36p-1, -0x1.d62bc05c024e1p-1, -0x1.d53ef9b1f6049p-1, -0x1.d43cb9c9857d1p-1, -0x1.d324a22b5fa25p-1, -0x1.d1f66296be0a4p-1, -0x1.d0b1b92dfd30bp-1, -0x1.cf567276335a3p-1, -0x1.cde46931db9fdp-1, -0x1.cc5b861d71b74p-1, -0x1.cabbbf93d606cp-1, -0x1.c905191f6fbbp-1, -0x1.c737a2fc3f898p-1, -0x1.c553798e7703cp-1, -0x1.c358c4d097753p-1, -0x1.c147b7bba416dp-1, -0x1.bf208fab8d59ap-1, -0x1.bce393c1a383fp-1, -0x1.ba9114468fb3fp-1, -0x1.b8296a0d13742p-1, -0x1.b5acf5d6992fcp-1, -0x1.b31c1fba6ccf6p-1, -0x1.b077569049562p-1, -0x1.adbf0f5ecf0cap-1, -0x1.aaf3c4ce480b6p-1, -0x1.a815f6a0169dep-1, -0x1.a526292b09508p-1, -0x1.a224e4dcc264bp-1, -0x1.9f12b5c04e99dp-1, -0x1.9bf02b09fb58ep-1, -0x1.98bdd6a871886p-1, -0x1.957c4cdb0dc8ap-1, -0x1.922c23cd6c69bp-1, -0x1.8ecdf33812e6ep-1, -0x1.8b6254062202p-1, -0x1.87e9dffff0d5ep-1, -0x1.8465317a73d6dp-1, -0x1.80d4e30b4b0a6p-1, -0x1.7d398f4154b5ap-1, -0x1.7993d0619e3fdp-1, -0x1.75e440288c95p-1, -0x1.722b778f14741p-1, -0x1.6e6a0e93db82bp-1, -0x1.6aa09c081acb8p-1, -0x1.66cfb5601b10ep-1, -0x1.62f7ee8724784p-1, -0x1.5f19d9b6bb4bap-1, -0x1.5b36075103fdap-1, -0x1.574d05be2bea8p-1, -0x1.535f614caf082p-1, -0x1.4f6da4145deedp-1, -0x1.4b7855dbfc6dfp-1, -0x1.477ffc015c152p-1, -0x1.43851963d2279p-1, -0x1.3f882e50ea675p-1, -0x1.3b89b87339b26p-1, -0x1.378a32c33331bp-1, -0x1.338a1579e85b3p-1, -0x1.2f89d605933a3p-1, -0x1.2b89e6ffdaf0bp-1, -0x1.278ab825b0959p-1, -0x1.238cb650b5e9ep-1, -0x1.1f904b7211f9bp-1, -0x1.1b95de8ea2f17p-1, -0x1.179dd3bc73a54p-1, -0x1.13a88c2167d0fp-1, -0x1.0fb665f306e1p-1, -0x1.0bc7bc775849fp-1, -0x1.07dce806bb391p-1, -0x1.03f63e0eafb95p-1, -0x1.001411157c679p-1, -0x1.f86d617d4cc2ep-2, -0x1.f0bcd3a051e9cp-2, -0x1.e9170c70c88b2p-2, -0x1.e17c9a2966952p-2, -0x1.d9ee057139a82p-2, -0x1.d26bd16b2c489p-2, -0x1.caf67bc695262p-2, -0x1.c38e7cd0baea7p-2, -0x1.bc34478739a6ep-2, -0x1.b4e849ab392a4p-2, -0x1.adaaebd55c0ebp-2, -0x1.a67c918a5d615p-2, -0x1.9f5d99504757ap-2, -0x1.984e5cc4356f9p-2, -0x1.914f30b09306dp-2, -0x1.8a606523c9a7fp-2, -0x1.838245874de62p-2, -0x1.7cb518b703be7p-2, -0x1.75f92118e7958p-2, -0x1.6f4e9cb4f92d1p-2, -0x1.68b5c54d5376p-2, -0x1.622ed07670ce2p-2, -0x1.5bb9efaf8b639p-2, -0x1.5557507b12b44p-2, -0x1.4f071c772eb01p-2, -0x1.48c9797647b13p-2, -0x1.429e899788bd4p-2, -0x1.3c866b5f5b9d5p-2, -0x1.368139cfccc68p-2, -0x1.308f0c80e0be4p-2, -0x1.2aaff7b8c25adp-2, -0x1.24e40c83d3fbfp-2, -0x1.1f2b58cc95aaap-2, -0x1.1985e7735d7b2p-2, -0x1.13f3c065ddcb5p-2, -0x1.0e74e8b673366p-2, -0x1.090962b33c6f1p-2, -0x1.03b12dfced0e2p-2, -0x1.fcd88f3ac67bdp-3, -0x1.f275543bea8bdp-3, -0x1.e8389b3af4128p-3, -0x1.de224fcc075a1p-3, -0x1.d432590497098p-3, -0x1.ca6899a5a9fa2p-3, -0x1.c0c4f0456a176p-3, -0x1.b74737781e976p-3, -0x1.adef45f86bb91p-3, -0x1.a4bceecef0a98p-3, -0x1.9bb001792cb13p-3, -0x1.92c84a0fb556dp-3, -0x1.8a05916bb74e7p-3, -0x1.81679d4bc073dp-3, -0x1.78ee3077ce691p-3, -0x1.70990ae4ab86fp-3, -0x1.6867e9d689688p-3, -0x1.605a8802e8061p-3, -0x1.58709db1b6e65p-3, -0x1.50a9e0ddc9e8dp-3, -0x1.4906055481fdfp-3, -0x1.4184bcd4c9785p-3, -0x1.3a25b72d4992dp-3, -0x1.32e8a259ef2a3p-3, -0x1.2bcd2aa0ac301p-3, -0x1.24d2faad89326p-3, -0x1.1df9bbadf8e39p-3, -0x1.1741156b79139p-3, -0x1.10a8ae657bd21p-3, -0x1.0a302bea9ee24p-3, -0x1.03d732312dfbep-3, -0x1.fb3ac8ddedc45p-4, -0x1.ef04c9e0dce06p-4, -0x1.e30baa5e543ebp-4, -0x1.d74eabcf4fbep-4, -0x1.cbcd0e5ced6e2p-4, -0x1.c08611095d39bp-4, -0x1.b578f1d79e766p-4, -0x1.aaa4edf1df5e8p-4, -0x1.a00941ceac331p-4, -0x1.95a52954e20e9p-4, -0x1.8b77dffe645b6p-4, -0x1.8180a0f9a467cp-4, -0x1.77bea749fcdafp-4, -0x1.6e312de6e3814p-4, -0x1.64d76fd9fa3aep-4, -0x1.5bb0a85bff94ap-4, -0x1.52bc12f0a9f37p-4, -0x1.49f8eb816f6ep-4, -0x1.41666e773e06ep-4, -0x1.3903d8d32c5fp-4, -0x1.30d0684628811p-4, -0x1.28cb5b47a6b5ep-4, -0x1.20f3f12b59b3dp-4, -0x1.19496a35f673dp-4, -0x1.11cb07b10ab43p-4, -0x1.0a780bfdeb448p-4, -0x1.034fbaa7beac8p-4, -0x1.f8a2b0e952eb5p-5, -0x1.eaf856ec46418p-5, -0x1.dd9ef630ee3ddp-5, -0x1.d0952062ecc27p-5, -0x1.c3d96a1cc32d9p-5, -0x1.b76a6b021e868p-5, -0x1.ab46bdd8a158ap-5, -0x1.9f6d009f410abp-5, -0x1.93dbd4a433e41p-5, -0x1.8891de9981afbp-5, -0x1.7d8dc6a83e612p-5, -0x1.72ce3882767ap-5, -0x1.6851e373db9aep-5, -0x1.5e177a71346bfp-5, -0x1.541db4269d3bep-5, -0x1.4a634b04a3e26p-5, -0x1.40e6fd4c426b5p-5, -0x1.37a78d19c6447p-5, -0x1.2ea3c06eaaf51p-5, -0x1.25da613a70795p-5, -0x1.1d4a3d627881dp-5, -0x1.14f226c8ecb55p-5, -0x1.0cd0f352bed6bp-5, -0x1.04e57cecc276ap-5, -0x1.fa5d431fddec4p-6, -0x1.eb5686899ac0cp-6, -0x1.dcb4904c33b12p-6, -0x1.ce7534c543834p-6, -0x1.c096507cd0f46p-6, -0x1.b315c826206c2p-6, -0x1.a5f1889f376ecp-6, -0x1.992786ef07416p-6, -0x1.8cb5c04258c89p-6, -0x1.809a39e78700bp-6, -0x1.74d301490e64bp-6, -0x1.695e2be704446p-6, -0x1.5e39d74f7c5dap-6, -0x1.53642915f06e5p-6, -0x1.48db4ec9adf72p-6, -0x1.3e9d7deb5841dp-6, -0x1.34a8f3e18d724p-6, -0x1.2afbf5ecb444p-6, -0x1.2194d119fd011p-6, -0x1.1871da35a5e2dp-6, -0x1.0f916dbc89e57p-6, -0x1.06f1efccfb76bp-6, -0x1.fd23982e0e4a5p-7, -0x1.ecdeeb982785ap-7, -0x1.dd12cf1becfcep-7, -0x1.cdbc46baf8ba2p-7, -0x1.bed86510ea128p-7, -0x1.b0644b2e903c8p-7, -0x1.a25d287430e88p-7, -0x1.94c03a6b015e3p-7, -0x1.878acc9de3041p-7, -0x1.7aba387164b88p-7, -0x1.6e4be4fb349d3p-7, -0x1.623d46d8dc55fp-7, -0x1.568be0061521ap-7, -0x1.4b353fb28c662p-7, -0x1.403702173bb9cp-7, -0x1.358ed04b6746dp-7, -0x1.2b3a6019330dp-7, -0x1.213773d1f81a8p-7, -0x1.1783da225486p-7, -0x1.0e1d6de60191ap-7, -0x1.050215fb754eep-7, -0x1.f85f8a2ee284ep-8, -0x1.e748f330c88e6p-8, -0x1.d6bc7ab376d31p-8, -0x1.c6b64b0e6a069p-8, -0x1.b732a4e04e11cp-8, -0x1.a82ddeb59ab84p-8, -0x1.99a464af3c59p-8, -0x1.8b92b8298f26ep-8, -0x1.7df56f6363f44p-8, -0x1.70c935255c877p-8, -0x1.640ac869959fcp-8, -0x1.57b6fc03b01ep-8, -0x1.4bcab64933aebp-8, -0x1.4042f0ba7ec1ep-8, -0x1.351cb7ac1004fp-8, -0x1.2a5529f07485fp-8, -0x1.1fe97882ac9fdp-8, -0x1.15d6e6313f699p-8, -0x1.0c1ac749e0cc1p-8, -0x1.02b28145c3dacp-8, -0x1.f33714ed17d9ep-9, -0x1.e1a6d3684e1ddp-9, -0x1.d0af6c16546abp-9, -0x1.c04c2cd81b8ep-9, -0x1.b07882b65f7dp-9, -0x1.a12ff94352ef3p-9, -0x1.926e39fdf00fp-9, -0x1.842f0bb6dd5dp-9, -0x1.766e51f72933cp-9, -0x1.69280c68b9045p-9, -0x1.5c5856408cf2ep-9, -0x1.4ffb65aacdb17p-9, -0x1.440d8b38a4979p-9, -0x1.388b314ff62d9p-9, -0x1.2d70db9cef66ap-9, -0x1.22bb26859dd62p-9, -0x1.1866c69f4b61bp-9, -0x1.0e708825ca782p-9, -0x1.04d54e74a27b6p-9, -0x1.f724270488a85p-10, -0x1.e547ceba9d04ap-10, -0x1.d40fdf56e022cp-10, -0x1.c376ce550f052p-10, -0x1.b3773a670ee6ep-10, -0x1.a40bea7ef1a72p-10, -0x1.952fccdcda1eap-10, -0x1.86ddf62095986p-10, -0x1.7911a05f23d7ap-10, -0x1.6bc62a3c5f36p-10, -0x1.5ef7160823d95p-10, -0x1.52a008e00316dp-10, -0x1.46bcc9d432609p-10, -0x1.3b49411061fe6p-10, -0x1.30417708a41dp-10, -0x1.25a193a9e8574p-10, -0x1.1b65dd8ea95c6p-10, -0x1.118ab936f484ep-10, -0x1.080ca84414869p-10, -0x1.fdd091707fc1bp-11, -0x1.ec34a873829ebp-11, -0x1.db3f3eb3cab75p-11, -0x1.caea31bf74748p-11, -0x1.bb2f922b5326ap-11, -0x1.ac09a236a27a3p-11, -0x1.9d72d474ea8b2p-11, -0x1.8f65ca7f30f5cp-11, -0x1.81dd53acae85ap-11, -0x1.74d46bd0d366cp-11, -0x1.68463a011d301p-11, -0x1.5c2e0f61061bp-11, -0x1.508765f4ced46p-11, -0x1.454ddf7a9a728p-11, -0x1.3a7d444ad7dcfp-11, -0x1.3011823d22ab1p-11, -0x1.2606ab94a6988p-11, -0x1.1c58f5f292041p-11, -0x1.1304b94df5914p-11, -0x1.0a066ef2d108p-11, -0x1.015ab08628e9p-11, -0x1.f1fc6e1e9c4aap-12, -0x1.e1dbb410974c2p-12, -0x1.d24d1ce56e80dp-12, -0x1.c34acbe522805p-12, -0x1.b4cf1bdeb12fbp-12, -0x1.a6d49d72a8a69p-12, -0x1.995615680f7edp-12, -0x1.8c4e7b0e2b85ep-12, -0x1.7fb8f6a5fa4e3p-12, -0x1.7390dfd6cb2e4p-12, -0x1.67d1bc2dd464ep-12, -0x1.5c773da6341d2p-12, -0x1.517d4138d0ceep-12, -0x1.46dfcd79457d9p-12, -0x1.3c9b1138b6464p-12, -0x1.32ab62337309fp-12, -0x1.290d3bc72cb2ap-12, -0x1.1fbd3db277f93p-12, -0x1.16b82ada4e186p-12, -0x1.0dfae81a7a3bep-12, -0x1.05827b1d3140ep-12, -0x1.fa981274d2975p-13, -0x1.eaa9acbff06cep-13, -0x1.db34880322b8fp-13, -0x1.cc33a01cd04cp-13, -0x1.bda227df3af5ap-13, -0x1.af7b871c45768p-13, -0x1.a1bb58bda7b13p-13, -0x1.945d68ebec93fp-13, -0x1.875db343fe4afp-13, -0x1.7ab86119f7f57p-13, -0x1.6e69c7c4e72f7p-13, -0x1.626e66fba8021p-13, -0x1.56c2e73d8a3c7p-13, -0x1.4b6418453c012p-13, -0x1.404eef88be644p-13, -0x1.358086c6a2419p-13, -0x1.2af61a9c7ddc4p-13, -0x1.20ad092673a6p-13, -0x1.16a2d0adfd3fep-13, -0x1.0cd50e60a680ep-13, -0x1.03417d1156a5bp-13, -0x1.f3cbe80824169p-14, -0x1.e180cb88cf972p-14, -0x1.cf9dbe0849e4p-14, -0x1.be1f0b03d633cp-14, -0x1.ad012df82287ap-14, -0x1.9c40d055b218bp-14, -0x1.8bdac784da2d1p-14, -0x1.7bcc12fe9559cp-14, -0x1.6c11da74085a7p-14, -0x1.5ca96c05c8b1ep-14, -0x1.4d903a8824e4cp-14, -0x1.3ec3dbd9010f9p-14, -0x1.304207485c2eep-14, -0x1.220894071b924p-14, -0x1.141577a962e31p-14, -0x1.0666c4b78aa94p-14, -0x1.f1f55291b557bp-15, -0x1.d79edb570317dp-15, -0x1.bdc6e630908cfp-15, -0x1.a46a64ee3ff54p-15, -0x1.8b867656cc21cp-15, -0x1.731863d66fc64p-15, -0x1.5b1d9f4b56a41p-15, -0x1.4393c0e136a5ep-15, -0x1.2c78850770694p-15, -0x1.15c9ca71e2549p-15, -0x1.ff0b2068caa9dp-16, -0x1.d353e7ed7d626p-16, -0x1.a86a6061eb15fp-16, -0x1.7e4b34fb22abp-16, -0x1.54f34405fd5aep-16, -0x1.2c5f9bcc43f96p-16, -0x1.048d77a3f96b9p-16, -0x1.baf47a2472e53p-17, -0x1.6e46f2390c28fp-17, -0x1.230dbb6c81618p-17, -0x1.b288fcf7cf697p-18, -0x1.21ce488be0f0ep-18, -0x1.27c7454277d73p-19, -0x1.18385b1468883p-23, 0x1.fe78e2ee0201fp-20, 0x1.0542d3a8d0628p-18, 0x1.88323a68a3ce3p-18, 0x1.043924baf1fb2p-17, 0x1.43044a1d894fdp-17, 0x1.807d35b783aeep-17, 0x1.bca6718ef031fp-17, 0x1.f7826c4db9adp-17, 0x1.1889bdf37427ep-16, 0x1.34adf02c6ef33p-16, 0x1.502ee3087b569p-16, 0x1.6b0da41b67dc1p-16, 0x1.854b39767411ep-16, 0x1.9ee8a2b4a2e1ap-16, 0x1.b7e6d9ec4b1d2p-16, 0x1.d046d4a3e6249p-16, 0x1.e80984a88b117p-16, 0x1.ff2fd8dfa8d36p-16, 0x1.0add5f0953c45p-15, 0x1.15d58fcd918bfp-15, 0x1.2080f40612d3fp-15, 0x1.2ae000eb9eb35p-15, 0x1.34f32bee7fd03p-15, 0x1.3ebaeaf824f65p-15, 0x1.4837b4adf27bap-15, 0x1.516a00a8c572ep-15, 0x1.5a5247ab2f5e3p-15, 0x1.62f103d59b92dp-15, 0x1.6b46b0cd61e61p-15, 0x1.7353cbe8a2b09p-15, 0x1.7b18d4530f4b5p-15, 0x1.82964b2d2e379p-15, 0x1.89ccb3aa3cc17p-15, 0x1.90bc9329c61d8p-15, 0x1.9766714e7e7c9p-15, 0x1.9dcad812bb6efp-15, 0x1.a3ea53d8cf28fp-15, 0x1.a9c57376d8c48p-15, 0x1.af5cc843e6d2bp-15, 0x1.b4b0e6202fccep-15, 0x1.b9c2637ab45p-15, 0x1.be91d955d6034p-15, 0x1.c31fe34885dfbp-15, 0x1.c76d1f7dd98b4p-15, 0x1.cb7a2eb54f14dp-15, 0x1.cf47b43cf5c2p-15, 0x1.d2d655ec6ab6fp-15, 0x1.d626bc1cdd0cp-15, 0x1.d93991a25683p-15, 0x1.dc0f83c01e11cp-15, 0x1.dea9421dcc0cdp-15, 0x1.e1077ebcedb6ap-15, 0x1.e32aede702488p-15, 0x1.e51446233d21ap-15, 0x1.e6c44025530f3p-15, 0x1.e83b96bd95ed2p-15, 0x1.e97b06c61c64cp-15, 0x1.ea834f12a21acp-15, 0x1.eb55305d69e4cp-15, 0x1.ebf16d3288de9p-15, 0x1.ec58c9de2a10dp-15, 0x1.ec8c0c580caf8p-15, 0x1.ec8bfc2ca6807p-15, 0x1.ec59626a5101cp-15, 0x1.ebf5098af45cap-15, 0x1.eb5fbd5f0e62fp-15, 0x1.ea9a4af5d0d4dp-15, 0x1.e9a58089455aep-15, 0x1.e8822d66c9791p-15, 0x1.e73121d844699p-15, 0x1.e5b32f0e65c89p-15, 0x1.e409270a622e9p-15, 0x1.e233dc86e6c0ep-15, 0x1.e03422e149497p-15, 0x1.de0ace03d65fcp-15, 0x1.dbb8b24f51203p-15, 0x1.d93ea484393e1p-15, 0x1.d69d79ad474aap-15, 0x1.d3d60709313cfp-15, 0x1.d0e921f5b67a5p-15, 0x1.cdd79fd88cea8p-15, 0x1.caa2560b23aa8p-15, 0x1.c74a19c6988c4p-15, 0x1.c3cfc00d0f17dp-15, 0x1.c0341d9670e29p-15, 0x1.bc7806bb9893bp-15, 0x1.b89c4f63835cfp-15, 0x1.b4a1caeeaa795p-15, 0x1.b0894c245a7a8p-15, 0x1.ac53a520242aap-15, 0x1.a801a73fa8391p-15, 0x1.a394230ef8183p-15, 0x1.9f0be838a7873p-15, 0x1.9a69c5742e20bp-15, 0x1.95ae88747ef36p-15, 0x1.90dafdd78034cp-15, 0x1.8beff1161311p-15, 0x1.86ee2c753877fp-15, 0x1.81d678f5d75a4p-15, 0x1.7ca99e461781bp-15, 0x1.776862b334beep-15, 0x1.72138b1bedbc1p-15, 0x1.6cabdae1c1a67p-15, 0x1.673213dcaad44p-15, 0x1.61a6f64ee7d41p-15, 0x1.5c0b40d803bb9p-15, 0x1.565fb06868175p-15, 0x1.50a50036a0a3cp-15, 0x1.4adbe9b4cbb38p-15, 0x1.45052486306ap-15, 0x1.3f2166738e2e6p-15, 0x1.39316362d0692p-15, 0x1.3335cd4d25026p-15, 0x1.2d2f5436951a1p-15, 0x1.271ea624b5019p-15, 0x1.21046f175203cp-15, 0x1.1ae1590142c3ep-15, 0x1.14b60bbf88b44p-15, 0x1.0e832d130429p-15, 0x1.0849609a143d1p-15, 0x1.020947cbf9cc1p-15, 0x1.f78703e1c127ap-16, 0x1.eaf1583ad0bdbp-16, 0x1.de52c25b58f5ep-16, 0x1.d1ac738118ccp-16, 0x1.c4ff98673019ap-16, 0x1.b84d593d709c5p-16, 0x1.ab96d9a2980ecp-16, 0x1.9edd389d84b06p-16, 0x1.92219095a5cdfp-16, 0x1.8564f74e940dbp-16, 0x1.78a87de40b035p-16, 0x1.6bed30c842edap-16, 0x1.5f3417bd317e6p-16, 0x1.527e35d2f59cp-16, 0x1.45cc896622b62p-16, 0x1.39200c1d8a668p-16, 0x1.2c79b2ea663bdp-16, 0x1.1fda6e0766554p-16, 0x1.134328f855df1p-16, 0x1.06b4ca8d09e9cp-16, 0x1.f46069be7176dp-17, 0x1.db6c8aaaa8f37p-17, 0x1.c28fa9493c752p-17, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      40, 0x1.d99999999999ap+1, 0x1.bb07213b9780dp+1, 0x1.9c81d48b8a861p+1, -0x1.1cda990ce89c8p-6, 
      {{
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.addf47385bc24p-5, -0x1.ef343a0729d3dp-3, 0x1.ac7e95907e947p-2, -0x1.50910abe687f9p-2}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.531090425448cp-5, -0x1.9e8db9b75c516p-3, 0x1.7a026d8d88814p-2, -0x1.36bb430f36de1p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.0767479b9bcaap-5, -0x1.579cd94aa4665p-3, 0x1.4b6656b1a6acbp-2, -0x1.20c444d33e6e9p-2}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.920a4e0fa8e89p-6, -0x1.19aa0b8b8f857p-3, 0x1.2015b2c52a1cp-2, -0x1.09c3b74bb0f3bp-2}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.2c5dcdaad5b22p-6, -0x1.c8114847f7593p-4, 0x1.f070ae8d38bc3p-3, -0x1.e6153afe7890bp-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.b530f77657cabp-7, -0x1.6c121abc56c52p-4, 0x1.a78718e70d0cbp-3, -0x1.b87a8823f8bfap-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.339f86115c884p-7, -0x1.1df8ec46fd02dp-4, 0x1.6574b7ae74897p-3, -0x1.8af2ead99a307p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.9d7c2dc3d17ap-8, -0x1.b8cf9101ec31dp-5, 0x1.2a36ae0dd09c1p-3, -0x1.5d47769055c3p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.039ee79caa40ep-8, -0x1.4c00f557c448p-5, 0x1.eba4b889ede36p-4, -0x1.301848b27da85p-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.228983a0902aap-9, -0x1.e5988683123aap-6, 0x1.906a3c5461cafp-4, -0x1.011bd825e1deap-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.f919c6c016b06p-11, -0x1.54db38c9fdc8p-6, 0x1.43484849046e2p-4, -0x1.bc4a81853a272p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.c093f730d5da7p-14, -0x1.c1be87337b82bp-7, 0x1.00a381a83bb55p-4, -0x1.8e68d986e5becp-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.c7f2573556a95p-12, -0x1.0c567e726e02ep-7, 0x1.89c12874cc184p-5, -0x1.5ced2eca94515p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.8139c87a39073p-11, -0x1.078b15580d197p-8, 0x1.21139a6b39327p-5, -0x1.2c6831f16575p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.c13281cfa3488p-11, -0x1.1152d120cccbfp-10, 0x1.8de8b078cf1f6p-6, -0x1.f745009353d1ep-5}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.c0b91c1116748p-11, 0x1.e5179c6ae976ap-11, 0x1.eddb2d66058bfp-7, -0x1.95d1e7f1fbbbp-5}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.97f5f613d64d8p-11, 0x1.0e1dfc267fa7cp-9, 0x1.f4ba77a9a9d2cp-8, -0x1.347f0e3542552p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.5a64090c3e00cp-11, 0x1.4d3e4593f5d1dp-9, 0x1.0510cd39e7a8ep-9, -0x1.a525dc6fda9bep-6}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16d0e88dc021ap-11, 0x1.4e14b864f5a0cp-9, -0x1.e89fa9cbd6f6ep-10, -0x1.cbaea161ace4ep-7}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.aeb98515cd65fp-12, 0x1.27dbfa6c5136dp-9, -0x1.040f814376684p-8, -0x1.594808463aa6ap-10}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.42f4beaaa628p-12, 0x1.e51ad070529f5p-10, -0x1.110234c6189b6p-8, 0x1.25fb5432a9682p-8}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d888f16d4315dp-13, 0x1.80b882f9a4e76p-10, -0x1.c9d29d1697fe5p-9, 0x1.bb1481869a5d5p-9}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.5012c93488f19p-13, 0x1.2bcd6a9ed30fep-10, -0x1.875c56759a709p-9, 0x1.b1d779b5a3accp-9}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.cde0da126f9d8p-14, 0x1.c81366f2c6dacp-11, -0x1.4648d100c1e3p-9, 0x1.8441e00b5fda3p-9}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.2fff6bb9884a8p-14, 0x1.5135b11bc66acp-11, -0x1.0c0bbc32404f5p-9, 0x1.60696eb88dd4ep-9}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.7a4bb4cff3d4bp-15, 0x1.e120a4392473dp-12, -0x1.ae5e3d9389449p-10, 0x1.39f4ede1425fbp-9}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.b38669385e618p-16, 0x1.47d1522f7bc51p-12, -0x1.502e5c9cc2286p-10, 0x1.143382c46a723p-9}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.bd4806174c155p-17, 0x1.a3d5a769c5264p-13, -0x1.faa4379077a63p-11, 0x1.dc83a0847c37cp-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.6db44442cee78p-18, 0x1.eb89a646e78f7p-14, -0x1.6bafedcf1f2e4p-11, 0x1.90bc4b35df5d9p-10}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.301f1d950dfe2p-20, 0x1.f15a3407a9e22p-15, -0x1.e6eee1b11ebefp-12, 0x1.44e545dafb7d1p-10}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.bb2eedbc979p-21, 0x1.738fc452ce7a2p-16, -0x1.23feeafa87d94p-12, 0x1.f261e1f6f484bp-11}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.6bdc2fd7afdp-20, 0x1.7fae8fd3a0bf6p-20, -0x1.1cf64e60e3642p-13, 0x1.5a031475625fcp-11}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.3a004732b6682p-20, -0x1.e3c96c2c9b42dp-18, -0x1.356b6ed03b143p-15, 0x1.8a6eea0eabe63p-12}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9a395a3b658p-21, -0x1.0eff4e1427865p-17, 0x1.47ccedb5f338fp-16, 0x1.18aa086da53fbp-14}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.c0482066c85a5p-22, -0x1.7931d5a9694b2p-18, 0x1.f032f2c48991cp-16, -0x1.3024caf50d3cdp-14}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.b05ed9b877c17p-23, -0x1.ae6cb36b48fbap-19, 0x1.39b678fe4e6c3p-16, -0x1.61bf9899f77ddp-15}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6232aafbe0adap-24, -0x1.bbcef2d545a6ep-20, 0x1.9f2d3006a1f42p-17, -0x1.378505c55afdep-15}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c0482066c862bp-26, -0x1.74dd20b6fb8a6p-21, 0x1.c8878c53a385dp-18, -0x1.b0422be1f3e51p-16}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.6232aafbe0bdp-28, -0x1.bd8766d2292c5p-23, 0x1.8a594a64ef28ep-19, -0x1.e44cbe8091e4bp-17}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.6232aafbe12p-32, -0x1.784726a63cb5cp-26, 0x1.9f13605f2b5p-21, -0x1.48bc6bd54b39cp-16}, 
      }}, 
      0x1.39b1531f91edfp-12, -0x1.e6d640d3f5a85p-10
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {-0x1.8da37a4312237p-2, 0x1.47ae147ae147bp-6, -0x1.b6722b9686bfap-3, -0x0p+0, 0x1.10abb44e50c5fp-2, 0x1.10abb44e50c5fp-2, 0x1.10abb44e50c5fp-2, 10, 0, 2}, 
    {{
      {{-0x1.5585d985d6badp+3, -0x1.4e401134d9422p+3, -0x1.42a7d46b2efe9p+3, -0x1.3369f6b0ce06ap+3, -0x1.214ec97c619c1p+3, -0x1.0d252906be19p+3, -0x1.ef6677feb1337p+2, -0x1.c3591596699bep+2, -0x1.9758d3d672d69p+2, -0x1.6c6746f7d623ep+2, -0x1.4350d4194364p+2, -0x1.1caf97236505ap+2, -0x1.f1e0224b02819p+1, -0x1.b0ad82659726dp+1, -0x1.760c25753b9a3p+1, -0x1.42087da6c32e6p+1, -0x1.1481c2eaadb39p+1, -0x1.da6870b100498p+0, -0x1.9784be1ebc5f4p+0, -0x1.5f79fb4fb5653p+0, -0x1.3153e7cbea783p+0, -0x1.0c13c2831817ap+0, -0x1.dd72c1120f7bbp-1, -0x1.b0947f20d9cb6p-1, -0x1.8fad9b4e058f7p-1, -0x1.78fc4671765dap-1, -0x1.6ae0db5015b51p-1, -0x1.63e08eeff1cd7p-1, -0x1.62a66a7ef1085p-1, -0x1.6602f350173f4p-1, -0x1.6ceaea23fcea5p-1, -0x1.7675740555b24p-1, -0x1.81d9d102578a8p-1, -0x1.8e6cdac1f32f2p-1, -0x1.9b9e7facce73fp-1, -0x1.a8f73720e463cp-1, -0x1.b6157d779280ep-1, -0x1.c2ab657db0fa2p-1, -0x1.ce7c418ebedccp-1, -0x1.d95a694b98253p-1, -0x1.e325203eb6b07p-1, -0x1.ebc6a27c2db56p-1, -0x1.f3325c132b4aap-1, -0x1.f9634e4bdad3ap-1, -0x1.fe5aa33b87c15p-1, -0x1.010f3726c93fep+0, -0x1.025c4ba536cb8p+0, -0x1.031af66e6248ep+0, -0x1.0352ad9f04ae2p+0, -0x1.030ba1b7f3899p+0, -0x1.024e77a4c1b3cp+0, -0x1.01240f5a9a48bp+0, -0x1.ff2aaabd3058ep-1, -0x1.fb563b623845fp-1, -0x1.f6dc0d96b7098p-1, -0x1.f1ccc704d390ap-1, -0x1.ec385586f414p-1, -0x1.e62dd86f2a58ep-1, -0x1.dfbb91e832427p-1, -0x1.d8eedef2a7f8bp-1, -0x1.d1d434add304cp-1, -0x1.ca7721ca0b51cp-1, -0x1.c2e25335e153fp-1, -0x1.bb1f9b3d3a8d6p-1, -0x1.b337fa71059d3p-1, -0x1.ab33a9cb147a7p-1, -0x1.a31a25a0bffdep-1, -0x1.9af23902ad218p-1, -0x1.92c209418b495p-1, -0x1.8a8f215d4ab2p-1, -0x1.825e7d2da38d2p-1, -0x1.7a34942ba47e4p-1, -0x1.721563b8b1426p-1, -0x1.6a0478e10758ep-1, -0x1.6204f98c001f3p-1, -0x1.5a19ad1031eb4p-1, -0x1.52450444e643dp-1, -0x1.4a8920ea8979fp-1, -0x1.42e7dca849d8fp-1, -0x1.3b62cf62abbf6p-1, -0x1.33fb5539dba37p-1, -0x1.2cb293ee9122ap-1, -0x1.25897ffc0f6ccp-1, -0x1.1e80e128fd37ap-1, -0x1.179956dbc27a2p-1, -0x1.10d35befc117p-1, -0x1.0a2f4a63c91e2p-1, -0x1.03ad5e875e625p-1, -0x1.fa9b744274a76p-2, -0x1.ee20ce0cdfdebp-2, -0x1.e1eab3a193957p-2, -0x1.d5f8e7eb86881p-2, -0x1.ca4b0c2e8d23bp-2, -0x1.bee0a378f8f4dp-2, -0x1.b3b91668b8ca4p-2, -0x1.a8d3b63ddcfedp-2, -0x1.9e2fbfa0afee1p-2, -0x1.93cc5d9b09d35p-2, -0x1.89a8ab777f19ap-2, -0x1.7fc3b77a9c705p-2, -0x1.761c846d2e662p-2, -0x1.6cb20b8482c5fp-2, -0x1.63833e3e7ed06p-2, -0x1.5a8f074a3077dp-2, -0x1.51d44c751235cp-2, -0x1.4951ef7e58d03p-2, -0x1.4106cf0f905ccp-2, -0x1.38f1c837e4ce2p-2, -0x1.3111b6aa096ecp-2, -0x1.296575d49ac24p-2, -0x1.21ebe1ca18e6ep-2, -0x1.1aa3d748ea64bp-2, -0x1.138c34cd664c6p-2, -0x1.0ca3db0a81da4p-2, -0x1.05e9acda64564p-2, -0x1.feb920654287fp-3, -0x1.f1f6dcc45b013p-3, -0x1.e58a67cae4ab4p-3, -0x1.d971a2657c73dp-3, -0x1.cdaa75da765e7p-3, -0x1.c232d32d0197bp-3, -0x1.b708b44a0934cp-3, -0x1.ac2a1c9a0c18dp-3, -0x1.a195183ae6efcp-3, -0x1.9747bc991b8cbp-3, -0x1.8d40293b7bc1cp-3, -0x1.837c8717855f1p-3, -0x1.79fb0882c376p-3, -0x1.70b9ea09738a9p-3, -0x1.67b7722a03ed3p-3, -0x1.5ef1f0c03b0d7p-3, -0x1.5667bf88a3a79p-3, -0x1.4e174264bf409p-3, -0x1.45fee6aff2672p-3, -0x1.3e1d231a9f748p-3, -0x1.3670782a4b949p-3, -0x1.2ef77006b3d72p-3, -0x1.27b09dda21be7p-3, -0x1.209a9de5db29dp-3, -0x1.19b415d0628e4p-3, -0x1.12fbb444e66c8p-3, -0x1.0c7030714a181p-3, -0x1.06104a210442dp-3, -0x1.ffb593ccf5b0cp-4, -0x1.f39d017043312p-4, -0x1.e7d48eff19b44p-4, -0x1.dc59fe4802ec4p-4, -0x1.d12b2145a9751p-4, -0x1.c645d97aa7d25p-4, -0x1.bba8171e0ab8ap-4, -0x1.b14fd8fe8b34ep-4, -0x1.a73b2ca4d769bp-4, -0x1.9d682de22a2d4p-4, -0x1.93d5060cc7afp-4, -0x1.8a7febabf590bp-4, -0x1.8167228703042p-4, -0x1.7888fb6a02202p-4, -0x1.6fe3d38648c3ap-4, -0x1.677613f16f7a8p-4, -0x1.5f3e318c62de8p-4, -0x1.573aacedfc54p-4, -0x1.4f6a11fc3bdecp-4, -0x1.47caf761c2aedp-4, -0x1.405bfe3e9be91p-4, -0x1.391bd2135738bp-4, -0x1.320928908898bp-4, -0x1.2b22c12f2452p-4, -0x1.246764c262248p-4, -0x1.1dd5e53ce6ac2p-4, -0x1.176d1d948ce81p-4, -0x1.112bf18bcfe04p-4, -0x1.0b114d5833e3bp-4, -0x1.051c254818d5bp-4, -0x1.fe96eb1b0c9e1p-5, -0x1.f33c843b69c93p-5, -0x1.e8272cff28432p-5, -0x1.dd550b060fd86p-5, -0x1.d2c451e9128a9p-5, -0x1.c87342d0c70f3p-5, -0x1.be602c31aa14ep-5, -0x1.b4896979a5e1ap-5, -0x1.aaed629eee8c3p-5, -0x1.a18a8ba04e131p-5, -0x1.985f641b36b58p-5, -0x1.8f6a7704ee55bp-5, -0x1.86aa5a667f856p-5, -0x1.7e1daf071cd38p-5, -0x1.75c320076578p-5, -0x1.6d99627da1576p-5, -0x1.659f35291e34fp-5, -0x1.5dd36035f3cb7p-5, -0x1.5634b4fb9adaap-5, -0x1.4ec20db13dd31p-5, -0x1.477a4d1b1f073p-5, -0x1.405c5e3c81f71p-5, -0x1.3967341a277dep-5, -0x1.3299c984df316p-5, -0x1.2bf320e00a1c5p-5, -0x1.257243e2fcbe9p-5, -0x1.1f164356ed923p-5, -0x1.18de36d7cee2p-5, -0x1.12c93ca00d55cp-5, -0x1.0cd6795a3712ep-5, -0x1.070517f0acc7ep-5, -0x1.0154495b1644bp-5, -0x1.f78688d420fcp-6, -0x1.eca28b26fad4p-6, -0x1.e1fb1d8a340e8p-6, -0x1.d78ece796a61bp-6, -0x1.cd5c36c0f0c7dp-6, -0x1.c361f92c27c23p-6, -0x1.b99ec2332b50fp-6, -0x1.b01147a7abb36p-6, -0x1.a6b848664c6d8p-6, -0x1.9d928c114fdfep-6, -0x1.949ee2cf68bep-6, -0x1.8bdc2509d812cp-6, -0x1.8349332a9e457p-6, -0x1.7ae4f55b1c019p-6, -0x1.72ae5b432cdb7p-6, -0x1.6aa45bcbfef89p-6, -0x1.62c5f4e8e26dp-6, -0x1.5b122b62388b5p-6, -0x1.53880aa0595b4p-6, -0x1.4c26a4774ac2fp-6, -0x1.44ed10f3739bap-6, -0x1.3dda6e26ee83p-6, -0x1.36eddff928417p-6, -0x1.30268ffa531fep-6, -0x1.2983ad38d86adp-6, -0x1.23046c17229f8p-6, -0x1.1ca8062229d05p-6, -0x1.166db9e944702p-6, -0x1.1054cad6a6a0ep-6, -0x1.0a5c810902b99p-6, -0x1.0484292f6e572p-6, -0x1.fd9628cebc753p-7, -0x1.f2613036c04c2p-7, -0x1.e7681bc4bbe3dp-7, -0x1.dca9a6bfb64a4p-7, -0x1.d224944a63fc2p-7, -0x1.c7d7af26ff65bp-7, -0x1.bdc1c97d1d73fp-7, -0x1.b3e1bca2af9bep-7, -0x1.aa3668e7a5338p-7, -0x1.a0beb56268575p-7, -0x1.97798fbdc752ap-7, -0x1.8e65ec085cd67p-7, -0x1.8582c4858eeb1p-7, -0x1.7ccf197ff62bdp-7, -0x1.7449f11cef5f8p-7, -0x1.6bf257327ac1fp-7, -0x1.63c75d1eba79ep-7, -0x1.5bc819a0ba63p-7, -0x1.53f3a8b1f8a68p-7, -0x1.4c492b614e2cdp-7, -0x1.44c7c7af02af4p-7, -0x1.3d6ea86a1405dp-7, -0x1.363cfd0e626fp-7, -0x1.2f31f9a427dbbp-7, -0x1.284cd6a0d46c2p-7, -0x1.218cd0c8eb7d3p-7, -0x1.1af12912bc1ebp-7, -0x1.14792489eb60ep-7, -0x1.0e240c33e1a3bp-7, -0x1.07f12cf546663p-7, -0x1.01dfd7782b4d3p-7, -0x1.f7dec0261a743p-8, -0x1.ec3e3d6169be6p-8, -0x1.e0dcdd71e9fbp-8, -0x1.d5b95df486668p-8, -0x1.cad28327b8cddp-8, -0x1.c02717c11a07cp-8, -0x1.b5b5ecc476dd4p-8, -0x1.ab7dd95c1a919p-8, -0x1.a17dbab259bbfp-8, -0x1.97b473cc59c9bp-8, -0x1.8e20ed65d814fp-8, -0x1.84c215ce66c7cp-8, -0x1.7b96e0c798b81p-8, -0x1.729e476462531p-8, -0x1.69d747e9299cp-8, -0x1.6140e5ad086a2p-8, -0x1.58da28fbdb486p-8, -0x1.50a21ef95932dp-8, -0x1.4897d984f526p-8, -0x1.40ba6f1e9479bp-8, -0x1.3908facc1a96ep-8, -0x1.31829bffc5d0fp-8, -0x1.2a26767f6302cp-8, -0x1.22f3b24c11d95p-8, -0x1.1be97b8ad13f5p-8, -0x1.1507026db2facp-8, -0x1.0e4b7b1dc327bp-8, -0x1.07b61da57716ap-8, -0x1.014625dbcceedp-8, -0x1.f5f5a6a014225p-9, -0x1.e9a6d26bc4618p-9, -0x1.dd9e5ca4b1828p-9, -0x1.d1dad9d236dc6p-9, -0x1.c65ae5547d0c9p-9, -0x1.bb1d214164a91p-9, -0x1.b0203641f5ce1p-9, -0x1.a562d370f4673p-9, -0x1.9ae3ae3a277d8p-9, -0x1.90a1823ab33dep-9, -0x1.869b11221a312p-9, -0x1.7ccf229417312p-9, -0x1.733c840b45677p-9, -0x1.69e208bc667cdp-9, -0x1.60be897aa8eccp-9, -0x1.57d0e49c459b4p-9, -0x1.4f17fddff5066p-9, -0x1.4692be530f9acp-9, -0x1.3e401438162e1p-9, -0x1.361ef2edf55ecp-9, -0x1.2e2e52d7f026fp-9, -0x1.266d3145d78e6p-9, -0x1.1eda905d36aecp-9, -0x1.17757702aaa0fp-9, -0x1.103cf0c41cb8ap-9, -0x1.09300dc33d7ccp-9, -0x1.024de2a09a705p-9, -0x1.f72b10ce18798p-10, -0x1.ea0c38eeeab9bp-10, -0x1.dd3d80e9d1da6p-10, -0x1.d0bd346284271p-10, -0x1.c489a733d79fdp-10, -0x1.b8a1354aaa228p-10, -0x1.ad024281a520bp-10, -0x1.a1ab3a7e0e6c8p-10, -0x1.969a908da97d9p-10, -0x1.8bcebf855edep-10, -0x1.814649a0891a1p-10, -0x1.76ffb86081dbep-10, -0x1.6cf99c6c1be43p-10, -0x1.63328d6f63f1p-10, -0x1.59a929fb12d49p-10, -0x1.505c1764d4578p-10, -0x1.474a01a7f12f7p-10, -0x1.3e719b47b7f0fp-10, -0x1.35d19d3349caap-10, -0x1.2d68c6ab46e1bp-10, -0x1.2535dd28db176p-10, -0x1.1d37ac4579519p-10, -0x1.156d05a27f1edp-10, -0x1.0dd4c0cfbca02p-10, -0x1.066dbb3068404p-10, -0x1.fe6dafbc264aap-11, -0x1.f05dff156c13dp-11, -0x1.e2aa40c4b3fbbp-11, -0x1.d5505bdd1f928p-11, -0x1.c84e41f9ee534p-11, -0x1.bba1ef13d4dc1p-11, -0x1.af49695f70576p-11, -0x1.a342c13292eb7p-11, -0x1.978c10ecadfaap-11, -0x1.8c237cdc8ae23p-11, -0x1.8107331d9d7c3p-11, -0x1.76356b692f89dp-11, -0x1.6bac66d95f1e7p-11, -0x1.616a6fa0cde6ep-11, -0x1.576dd8bd6862ep-11, -0x1.4db4fdaf0e296p-11, -0x1.443e423c26539p-11, -0x1.3b08124c2eedp-11, -0x1.3210e1dbcbe8dp-11, -0x1.29572d0804b4cp-11, -0x1.20d97827d5c12p-11, -0x1.18964fe621bcfp-11, -0x1.108c494b25247p-11, -0x1.08ba01a75a63p-11, -0x1.011e1e565676fp-11, -0x1.f36e98b38f806p-12, -0x1.e5087fae0dedp-12, -0x1.d7076716346fdp-12, -0x1.c968d09cc8b18p-12, -0x1.bc2a4982f43efp-12, -0x1.af496a6c51954p-12, -0x1.a2c3d7b6b6722p-12, -0x1.9697424755998p-12, -0x1.8ac1689c74fdcp-12, -0x1.7f4017dc86abp-12, -0x1.74112c92fd843p-12, -0x1.693292d3b2f47p-12, -0x1.5ea2459a50b97p-12, -0x1.545e4d6468f4fp-12, -0x1.4a64be3382fb1p-12, -0x1.40b3b54df3fc6p-12, -0x1.3749572ee0f04p-12, -0x1.2e23ce178c333p-12, -0x1.2541499c06aeap-12, -0x1.1c9fff55d2bfdp-12, -0x1.143e2ca8543e8p-12, -0x1.0c1a1944e72d9p-12, -0x1.043219e8064bdp-12, -0x1.f9092562d124ap-13, -0x1.ea1ff0fc55115p-13, -0x1.dba5a1b19c7dep-13, -0x1.cd9760aae4d18p-13, -0x1.bff26f0f5d63fp-13, -0x1.b2b41e1dbb915p-13, -0x1.a5d9c6e6ef988p-13, -0x1.9960c34cdaf96p-13, -0x1.8d4669c227334p-13, -0x1.81880cca5cff6p-13, -0x1.7622fe821f892p-13, -0x1.6b1497a8e6e43p-13, -0x1.605a40e675e49p-13, -0x1.55f17c85f80acp-13, -0x1.4bd7eeb114f3fp-13, -0x1.420b62669bbfep-13, -0x1.3889c9f7915afp-13, -0x1.2f513aa5fbad4p-13, -0x1.265fe3f4f70e8p-13, -0x1.1db4041c473ep-13, -0x1.154bdbb3ae2fbp-13, -0x1.0d25a2ecc7c9bp-13, -0x1.053f826383e63p-13, -0x1.fb2f21e2c8ceep-14, -0x1.ec57add2f746bp-14, -0x1.ddf4ac472ba62p-14, -0x1.d0022ab6980c1p-14, -0x1.c27c59aac7b28p-14, -0x1.b55fa4175cdbdp-14, -0x1.a8a8c09aea2dbp-14, -0x1.9c54b983e5d08p-14, -0x1.9060e9fac6451p-14, -0x1.84caf08d0f14fp-14, -0x1.799099445ace2p-14, -0x1.6eafc317096dap-14, -0x1.6426457ee9b35p-14, -0x1.59f1db01f0796p-14, -0x1.5010146fb3f76p-14, -0x1.467e56bba5c3fp-14, -0x1.3d39e3323cb3dp-14, -0x1.343fe7e2f9255p-14, -0x1.2b8d94e0fdc56p-14, -0x1.2320328d08c4cp-14, -0x1.1af5354fa826dp-14, -0x1.130a4bd367d27p-14, -0x1.0b5d65cbaf786p-14, -0x1.03ecb290183c3p-14, -0x1.f96d30533537bp-15, -0x1.eb7349426f60bp-15, -0x1.dde8f863a3a9cp-15, -0x1.d0cb8ea1857bep-15, -0x1.c41846add4b9ap-15, -0x1.b7cc2ff50ddb2p-15, -0x1.abe425bc4315ap-15, -0x1.a05cd2db3bc8dp-15, -0x1.9532c08d38796p-15, -0x1.8a626d53f789dp-15, -0x1.7fe867b085011p-15, -0x1.75c16772866bap-15, -0x1.6bea5fe2dc5e8p-15, -0x1.626086259af5dp-15, -0x1.59214a85acff1p-15, -0x1.502a483464913p-15, -0x1.4779331ec1661p-15, -0x1.3f0bcc18919f3p-15, -0x1.36dfdfd115814p-15, -0x1.2ef34ebe29902p-15, -0x1.274416f1381f9p-15, -0x1.1fd057b6c9c1dp-15, -0x1.18964a9e11b73p-15, -0x1.1194341d3ded1p-15, -0x1.0ac853f422142p-15, -0x1.0430df3206c3ap-15, -0x1.fb981360426abp-16, -0x1.ef303792b892ap-16, -0x1.e32710aa11d16p-16, -0x1.d779e7b69c492p-16, -0x1.cc2647a162c5ap-16, -0x1.c129b1bd53348p-16, -0x1.b68146ec42263p-16, -0x1.ac298f0a7896ep-16, -0x1.a21e7fc6645a3p-16, -0x1.985bca4046f45p-16, -0x1.8edd56db1d6d4p-16, -0x1.859fbe9d5e97p-16, -0x1.7ca08d961ec3bp-16, -0x1.73de2ef4c4c0dp-16, -0x1.6b578b3adfb1ap-16, -0x1.630b8b5b464d7p-16, -0x1.5af8c19e4e004p-16, -0x1.531d666131461p-16, -0x1.4b77a1e0a6e37p-16, -0x1.4405edb711998p-16, -0x1.3cc74c974eb63p-16, -0x1.35bb3251b777cp-16, -0x1.2ee124548d6d6p-16, -0x1.28383e1854884p-16, -0x1.21bed06af5e1p-16, -0x1.1b723fe38cec3p-16, -0x1.154f2e41f3f2fp-16, -0x1.0f51e574518bep-16, -0x1.0976ed85fb209p-16, -0x1.03bba4cb4ad69p-16, -0x1.fc3d3d846525p-17, -0x1.f13f2636676f9p-17, -0x1.e67dae4848c5ep-17, -0x1.dbf9497f72b3p-17, -0x1.d1b132c6e6e39p-17, -0x1.c7a365343c37dp-17, -0x1.bdcd6bebde086p-17, -0x1.b42d63ee75044p-17, -0x1.aac28dce39d89p-17, -0x1.a18d27619758p-17, -0x1.988dad1a3a78fp-17, -0x1.8fc3f668b4b45p-17, -0x1.872eb270f0314p-17, -0x1.7ecb74fef6c06p-17, -0x1.76970edabddadp-17, -0x1.6e8dd608dfa9bp-17, -0x1.66abd28a83656p-17, -0x1.5eed14398af86p-17, -0x1.574e5b9e29077p-17, -0x1.4fcdd5734defp-17, -0x1.486b5bae00a3ap-17, -0x1.4127e2ea4b315p-17, -0x1.3a045e918b988p-17, -0x1.3300e11461c68p-17, -0x1.2c1c815d4a55cp-17, -0x1.2555e28920659p-17, -0x1.1eabe8edffc5p-17, -0x1.181e3e55ae26cp-17, -0x1.11ad4dd3ca2a8p-17, -0x1.0b5996a2d77f5p-17, -0x1.0522dde8cca78p-17, -0x1.fe0ffd665da5fp-18, -0x1.f20ed20a14e1fp-18, -0x1.e63f816b1037dp-18, -0x1.daa043ed2a3bp-18, -0x1.cf2fed82d8d8p-18, -0x1.c3ed224e348ddp-18, -0x1.b8d5b79ebe22cp-18, -0x1.ade6ba07001bdp-18, -0x1.a31d17a2a117bp-18, -0x1.9876948472ac2p-18, -0x1.8df28b4dbd98dp-18, -0x1.8391e5bf72a4cp-18, -0x1.79561efe9d2b9p-18, -0x1.6f3fe2ab502fbp-18, -0x1.654e4d755e092p-18, -0x1.5b7fc5e9bedf2p-18, -0x1.51d3da7db2b79p-18, -0x1.484b9e3f54986p-18, -0x1.3ee7c88365bcdp-18, -0x1.35a745a4b6103p-18, -0x1.2c87decfd0892p-18, -0x1.238797c2a13d1p-18, -0x1.1aa54a13ffe8fp-18, -0x1.11e08b67ab2p-18, -0x1.09397957b2b7dp-18, -0x1.00b09f4b66bd9p-18, -0x1.f08d83e66d991p-19, -0x1.dff8d2556f174p-19, -0x1.cfa296f0d6904p-19, -0x1.bf87a15afb0aap-19, -0x1.afa21fe466ea6p-19, -0x1.9fec5a70a893ep-19, -0x1.90656ad99a98ap-19, -0x1.811209eb845b2p-19, -0x1.71f6b7805dfadp-19, -0x1.631258fee9b89p-19, -0x1.54612e2923f9p-19, -0x1.45e35ece21689p-19, -0x1.379c0e49a622ap-19, -0x1.298bab882df9ap-19, -0x1.1baf48a62a5f3p-19, -0x1.0e03d6c2a5393p-19, -0x1.0087e1b6c65ecp-19, -0x1.e67660fb0f2afp-20, -0x1.cc3bccf1f565dp-20, -0x1.b260086e30d32p-20, -0x1.98e2d799fa3d7p-20, -0x1.7fc48ad7c19d7p-20, -0x1.6706bfb259c46p-20, -0x1.4eac14b61f112p-20, -0x1.36b6b1bac4edfp-20, -0x1.1f2694d55476bp-20, -0x1.07f7654c7826ep-20, -0x1.e23eaef726294p-21, -0x1.b52e26c829469p-21, -0x1.88c866bd2502ep-21, -0x1.5d205489ec562p-21, -0x1.323087b98ab0bp-21, -0x1.07eae9eec7c3cp-21, -0x1.bcac7de32c716p-22, -0x1.6afb84242d297p-22, -0x1.1ab9fa124bd52p-22, -0x1.97a768cffdb8ep-23, -0x1.f8f9d45c82158p-24, -0x1.8fc6ad3ef9dfcp-25, 0x1.8fbfa98108814p-26, 0x1.8a7d12912ccb5p-24, 0x1.55e2e38a34636p-23, 0x1.e3e8137564b17p-23, 0x1.37a97fc6f0695p-22, 0x1.7c1464524b966p-22, 0x1.bf35d4ec39109p-22, 0x1.00863625b7de3p-21, 0x1.20cacadac032ap-21, 0x1.4067fe827d4bap-21, 0x1.5f5d65b6ea832p-21, 0x1.7dac9aca1f26p-21, 0x1.9b5fb2760ae19p-21, 0x1.b87de5985871ap-21, 0x1.d4fe2edf6c263p-21, 0x1.f0e1552af3c39p-21, 0x1.0618af624184p-20, 0x1.1372f0bbce74cp-20, 0x1.207c44534b7a5p-20, 0x1.2d386c31caa11p-20, 0x1.39aa94fb6f279p-20, 0x1.45d371a16b6ddp-20, 0x1.51b2f116ab81ep-20, 0x1.5d492b0f5cbep-20, 0x1.68967da0a3abap-20, 0x1.739b70b5c7bd8p-20, 0x1.7e58994fe2f1dp-20, 0x1.88ce8abe3ef59p-20, 0x1.92fdd95726ec5p-20, 0x1.9ce72717ef52p-20, 0x1.a68b273f161ep-20, 0x1.afea8a06e2711p-20, 0x1.b905de0392759p-20, 0x1.c1dda24c87e9dp-20, 0x1.ca7289586ecbdp-20, 0x1.d2c4b504dc341p-20, 0x1.dad285d0a189p-20, 0x1.e29d375b46cc4p-20, 0x1.ea2967fb96fccp-20, 0x1.f1774d2be2117p-20, 0x1.f88921ee7e361p-20, 0x1.ff5c1d577c6dbp-20, 0x1.02f6f9382e865p-19, 0x1.06213492ca829p-19, 0x1.092dd4eb102e9p-19, 0x1.0c1d0199d1a6p-19, 0x1.0eeecfdcb85e7p-19, 0x1.11a37544b120bp-19, 0x1.143b3e9dad039p-19, 0x1.16b6848aed048p-19, 0x1.1915a48d8c91ap-19, 0x1.1b58fc5d4c122p-19, 0x1.1d80e65b2e60cp-19, 0x1.1f8db7bcee4d3p-19, 0x1.217fc24a0a4ffp-19, 0x1.23575a72ed6c9p-19, 0x1.2514deb72721fp-19, 0x1.26b8b8f68a817p-19, 0x1.2843532939819p-19, 0x1.29b50a94dbd8ep-19, 0x1.2b0e43b82e063p-19, 0x1.2c4f6e27dcddap-19, 0x1.2d7832e401ab1p-19, 0x1.2e87b19ae7ed6p-19, 0x1.2f800822b6abbp-19, 0x1.30630c753705ep-19, 0x1.31305342e4cabp-19, 0x1.31e5f79afa2cep-19, 0x1.328558c0efa4cp-19, 0x1.330fae1d08c0ap-19, 0x1.33852233a8ad3p-19, 0x1.33e5d82923d94p-19, 0x1.3432131f75909p-19, 0x1.346a2570465cep-19, 0x1.348e66adef127p-19, 0x1.349f304ea2f2fp-19, 0x1.349cdc957969fp-19, 0x1.3487c5d3a6912p-19, 0x1.3460456e37ea8p-19, 0x1.3426b2a4e6cacp-19, 0x1.33db61617ded3p-19, 0x1.337ea2343ba7fp-19, 0x1.3310c5134e064p-19, 0x1.32921e984d353p-19, 0x1.32030bc01c96fp-19, 0x1.3163eed783b27p-19, 0x1.30b523c1bec79p-19, 0x1.2ff6f60f04363p-19, 0x1.2f29b5af0de6bp-19, 0x1.2e4dd191c7ed1p-19, 0x1.2d632d39231f8p-19, 0x1.2c692fe05915ep-19, 0x1.2b624c21be772p-19, 0x1.2a4eae1db163fp-19, 0x1.292ca803b4281p-19, 0x1.27fdc57268c09p-19, 0x1.26c29ba506781p-19, 0x1.257b381e575d1p-19, 0x1.2427cda28956bp-19, 0x1.22c8a35cf2aecp-19, 0x1.215e04e0a82e4p-19, 0x1.1fe83dab8297ep-19, 0x1.1e67987716f04p-19, 0x1.1cdc5f63cac31p-19, 0x1.1b46dc1c806ddp-19, 0x1.19a757c4b699fp-19, 0x1.17fe1abf6116bp-19, 0x1.164b6c570e3afp-19, 0x1.148f923881f04p-19, 0x1.12cacfe5a1474p-19, 0x1.10fd66e557364p-19, 0x1.0f279892eae43p-19, 0x1.0d49a8c743d36p-19, 0x1.0b63dee5ec2fbp-19, 0x1.097683e512842p-19, 0x1.0781dc5c53fp-19, 0x1.05861ecda470cp-19, 0x1.0383794fda2e7p-19, 0x1.017a4136a252bp-19, 0x1.fed5c5d98d554p-20, 0x1.faa9ca3cca366p-20, 0x1.f672a32e14799p-20, 0x1.f22fc7e71443bp-20, 0x1.ede1a68d94cfdp-20, 0x1.e989b5a48fc78p-20, 0x1.e527f17586c72p-20, 0x1.e0bc9fbb0cp-20, 0x1.dc482c8d24db1p-20, 0x1.d7cb084de49e3p-20, 0x1.d345a1218425fp-20, 0x1.ceb86288bd9c8p-20, 0x1.ca23b5d3c0cc2p-20, 0x1.c5880293d22d9p-20, 0x1.c0e5aee697c1p-20, 0x1.bc3d1f8651e0dp-20, 0x1.b78eb7c7fccb4p-20, 0x1.b2dad97195a9dp-20, 0x1.ae21e453d72dfp-20, 0x1.a96436bcc9955p-20, 0x1.a4a22c278ec48p-20, 0x1.9fdc1d9c30605p-20, 0x1.9b126290fad7bp-20, 0x1.964552ef52a9ap-20, 0x1.917547fd4e6ecp-20, 0x1.8ca29b9798addp-20, 0x1.87cda654c4575p-20, 0x1.82f6b8d2c78ddp-20, 0x1.7e1e111c099a1p-20, 0x1.7943ecd823d2dp-20, 0x1.7468c8b94b64dp-20, 0x1.6f8d526f0a5a7p-20, 0x1.6ab11d138beeap-20, 0x1.65d42e2807a53p-20, 0x1.60f7523a0b9afp-20, 0x1.5c1b380136dd4p-20, 0x1.573fca18c4918p-20, 0x1.526539afa18e3p-20, 0x1.4d8bcb25869dap-20, 0x1.48b3c1f48ffd4p-20, 0x1.43dd5f13496fp-20, 0x1.3f08e169baa71p-20, 0x1.3a36862cbb648p-20, 0x1.3566891016eadp-20, 0x1.30992467e43cep-20, 0x1.2bce9140f704dp-20, 0x1.27070766b939p-20, 0x1.2242bd6ae586p-20, 0x1.1d81e8976b341p-20, 0x1.18c4bcf2d1193p-20, 0x1.140b6d3d5aa56p-20, 0x1.0f562ad384ca8p-20, 0x1.0aa524c7f7694p-20, 0x1.05f88caa79ba5p-20, 0x1.01508d10cd635p-20, 0x1.f95aa70260161p-21, 0x1.f01e17c0d7ep-21, 0x1.e6ebc3600eda9p-21, 0x1.ddc3fecccaf77p-21, 0x1.d4a71b0ef798p-21, 0x1.cb955de3ed20bp-21, 0x1.c28f0463c5d4bp-21, 0x1.b9945e9ce08cep-21, 0x1.b0a5f889a600ap-21, 0x1.a7c44181bfed7p-21, 0x1.9eee35e6c3068p-21, 0x1.962514617a1afp-21, 0x1.8d6954d4b2b44p-21, 0x1.84bae1e3f9a5p-21, 0x1.7c19eed0ef92dp-21, 0x1.7386b3562f0efp-21, 0x1.6b01788673968p-21, 0x1.628a6a4d472cap-21, 0x1.5a21b81f050f4p-21, 0x1.51c797c048f45p-21, 0x1.497c395c8781fp-21, 0x1.413fcacc268a9p-21, 0x1.3912781f7eaa3p-21, 0x1.30f46bbf236aap-21, 0x1.28e5ce5d1f868p-21, 0x1.20e6c7017d07cp-21, 0x1.18f77b056a6e7p-21, 0x1.11180e1e7c4d3p-21, 0x1.0948a263adf3ap-21, 0x1.0189585452152p-21, 0x1.f3b49db11b5f9p-22, 0x1.e4774679cad87p-22, 0x1.d55ae26c22469p-22, 0x1.c65fa60e70577p-22, 0x1.b785c34e9b848p-22, 0x1.a8cd697202275p-22, 0x1.9a36c4f5d60cbp-22, 0x1.8bc1ffbca6cc3p-22, 0x1.7d6f40ceb4dacp-22, 0x1.6f3eaa26320e9p-22, 0x1.613058bc7672bp-22, 0x1.53446b7420d8cp-22, 0x1.457b099d9621p-22, 0x1.37d4777b9ea46p-22, 0x1.2a50526520509p-22, 0x1.1ceef84fbdd83p-22, 0x1.0fb097d40d847p-22, 0x1.029522a669c8fp-22, 0x1.eb394ccf44633p-23, 0x1.d18e5f9c70cadp-23, 0x1.b829912460ad6p-23, 0x1.9f0af05c72213p-23, 0x1.863289a292383p-23, 0x1.6da0633bffad2p-23, 0x1.55547e2401103p-23, 0x1.3d4ed87210d5bp-23, 0x1.258f6c101332dp-23, 0x1.0e163080fcc58p-23, 0x1.edc639928b5b4p-24, 0x1.bfec44d7365e6p-24, 0x1.929e4464ac34fp-24, 0x1.65dc193b4f15p-24, 0x1.39a58c8547ac9p-24, 0x1.0dfa6136d9a4ap-24, 0x1.c5b4aa8eb2519p-25, 0x1.708a3fd16f44dp-25, 0x1.1c74cdc2c26f8p-25, 0x1.92e7dd095161fp-26, 0x1.de1adaaedd7e4p-27, 0x1.356355ab17a7cp-28, -0x1.48ddc58b4a5f4p-28, -0x1.df4a27d51458ap-27, -0x1.8af1d29891f26p-26, -0x1.120fbffc48a47p-25, -0x1.5d980432819afp-25, -0x1.a812b27826551p-25, -0x1.f180d3ae47ea6p-25, -0x1.1cf1bc06a9a01p-24, -0x1.409ddbe949a92p-24, -0x1.63c55595d349bp-24, -0x1.8668c70289f5ap-24, -0x1.a888c8a0261e1p-24, -0x1.ca25f0941ce61p-24, -0x1.eb40e3901fe9cp-24, -0x1.05ed2326ab47ep-23, -0x1.15f9607af8b97p-23, -0x1.25c57e5e57473p-23, -0x1.3551d780a0b98p-23, -0x1.449ec1bba1f56p-23, -0x1.53ac99072120dp-23, -0x1.627bb98c372d9p-23, -0x1.710c80eaa15d6p-23, -0x1.7f5f4e0e79a11p-23, -0x1.8d74814c197cbp-23, -0x1.9b4c7d010e857p-23, -0x1.a8e7a38bc6714p-23, -0x1.b646593a59807p-23, -0x1.c3690372c2cb3p-23, -0x1.d05008a7e6d16p-23, -0x1.dcfbd056c2359p-23, -0x1.e96cc3113c70fp-23, -0x1.f5a34a5f775afp-23, -0x1.00cfe8590a116p-22, -0x1.06b160bc9a375p-22, -0x1.0c76444ab1de6p-22, -0x1.121ec9a0b24eap-22, -0x1.17ab279c55c18p-22, -0x1.1d1b957c8b8eep-22, -0x1.22704ace450a8p-22, -0x1.27a97f7aadfb1p-22, -0x1.2cc76bb0be979p-22, -0x1.31ca47efdfa6bp-22, -0x1.36b24cfbeaa6ep-22, -0x1.3b7fb3d676423p-22, -0x1.4032b5bfbe46p-22, -0x1.44cb8c2c2fefcp-22, -0x1.494a70b8109d8p-22, -0x1.4daf9d2bebd15p-22, -0x1.51fb4b4199ea9p-22, -0x1.562db5c103d5cp-22, -0x1.5a47163b38a0dp-22, -0x1.5e47a65e40c91p-22, -0x1.622f9ffad0e88p-22, -0x1.65ff59ac0af79p-22, -0x1.69b6c6e969196p-22, -0x1.6d566608b940bp-22, -0x1.70de5bec2570fp-22, -0x1.744ee0f1d3e28p-22, -0x1.77a83151804bep-22, -0x1.7aea87ed7408p-22, -0x1.7e161f7d64436p-22, -0x1.812b32e61ae91p-22, -0x1.8429fcf005b6dp-22, -0x1.8712b84e9bcbcp-22, -0x1.89e59fa58b0ebp-22, -0x1.8ca2ed97edd38p-22, -0x1.8f4adcadfeb76p-22, -0x1.91dda750fcb41p-22, -0x1.945b87cc08f24p-22, -0x1.96c4b84bccdcp-22, -0x1.991972bca4719p-22, -0x1.9b59f0b035181p-22, -0x1.9d8671808b7d4p-22, -0x1.9f9f271303b42p-22, -0x1.a1a448f0dff96p-22, -0x1.a3961b13d558p-22, -0x1.a574d03858cd1p-22, -0x1.a740a25af5f27p-22, -0x1.a8f9ca57609bdp-22, -0x1.aaa080984b81cp-22, -0x1.ac34fddb2239ap-22, -0x1.adb77a7a99b0bp-22, -0x1.af282cb1ed55dp-22, -0x1.b0875162bb60dp-22, -0x1.b1d51b0dbf394p-22, -0x1.b311c2da7de6dp-22, -0x1.b43d7fdf664d5p-22, -0x1.b55888fad398dp-22, -0x1.b66314533cdep-22, -0x1.b75d594deb466p-22, -0x1.b8478ccaddb2ep-22, -0x1.b921e6155c54fp-22, -0x1.b9ec99500fd97p-22, -0x1.baa7dc46d88c2p-22, -0x1.bb53e3fd453cp-22, -0x1.bbf0e524d607p-22, -0x1.bc7f1423772d3p-22, -0x1.bcfea51572344p-22, -0x1.bd6fcbbef72e8p-22, -0x1.bdd2bbaab0252p-22, -0x1.be27a8024d808p-22, -0x1.be6ec3a2a8f98p-22, -0x1.bea8411a4afafp-22, -0x1.bed452a71c55dp-22, -0x1.bef32a4052d55p-22, -0x1.bf04fb22c855p-22, -0x1.bf09f17a2a4a9p-22, -0x1.bf0242ff9153p-22, -0x1.beee1f1fa319ep-22, -0x1.becdb60bbb0f2p-22, -0x1.bea13782df2fbp-22, -0x1.be68d28c30eb5p-22, -0x1.be24b758aad98p-22, -0x1.bdd5147b9fba8p-22, -0x1.bd7a17d05952dp-22, -0x1.bd13f10f74c8fp-22, -0x1.bca2ccc02c9f2p-22, -0x1.bc26d8aeefcdep-22, -0x1.bba0420b91268p-22, -0x1.bb0f35acb63f8p-22, -0x1.ba73e0269118fp-22, -0x1.b9ce6d61fdf43p-22, -0x1.b91f0909dcb8bp-22, -0x1.b865de80563bfp-22, -0x1.b7a318c198924p-22, -0x1.b6d6e2d144be9p-22, -0x1.b60165fa90cdcp-22, -0x1.b522cd3743a13p-22, -0x1.b43b418f9b548p-22, -0x1.b34aec518a788p-22, -0x1.b251f64953a0cp-22, -0x1.b15087de9e7fp-22, -0x1.b046c8d9970d2p-22, -0x1.af34e1e1a20e1p-22, -0x1.ae1af9727234dp-22, -0x1.acf936f663345p-22, -0x1.abcfc0fca597dp-22, -0x1.aa9ebd94eab52p-22, -0x1.a9665344e1f76p-22, -0x1.a826a70106154p-22, -0x1.a6dfde465596ep-22, -0x1.a5921de9dae2ap-22, -0x1.a43d89a14d5c9p-22, -0x1.a2e244af93d41p-22, -0x1.a18077fa4f09fp-22, -0x1.a018422dc8f78p-22, -0x1.9ea9c6af63309p-22, -0x1.9d3528f7ecfcep-22, -0x1.9bba8b90c82f3p-22, -0x1.9a3a0fd3bb8d5p-22, -0x1.98b3d7b67278bp-22, -0x1.972804aeae962p-22, -0x1.9596b785209c8p-22, -0x1.940010b170f98p-22, -0x1.926430d12cc96p-22, -0x1.90c33635065d5p-22, -0x1.8f1d420d7b6b4p-22, -0x1.8d7272de3c914p-22, -0x1.8bc2e8a28a654p-22, -0x1.8a0ebfc36b58cp-22, -0x1.885617a111d76p-22, -0x1.86990e75ade55p-22, -0x1.84d7c1587d918p-22, -0x1.831256e08d7b2p-22, -0x1.8148ce61f4506p-22, -0x1.7f7b5df4d665cp-22, -0x1.7daa1f98768c3p-22, -0x1.7bd52ed5e9f49p-22, -0x1.79fc9e9239349p-22, -0x1.7820900aefa2bp-22, -0x1.76411bde9c52cp-22, -0x1.745e637298209p-22, -0x1.7278749f1ac1bp-22, -0x1.708f73f4f09f5p-22, -0x1.6ea375db7039dp-22, -0x1.6cb4937ce06bap-22, -0x1.6ac2e6cb945efp-22, -0x1.68ce8929d9bc1p-22, -0x1.66d79d3c2bb1ap-22, -0x1.64de2187ae576p-22, -0x1.62e2389aa4ce4p-22, -0x1.60e4067bf931p-22, -0x1.5ee398df0fffdp-22, -0x1.5ce1078421f49p-22, -0x1.5adc67a3317cep-22, -0x1.58d5cb09bfa63p-22, -0x1.56cd4fb081e64p-22, -0x1.54c307f13c56dp-22, -0x1.52b7093789ba1p-22, -0x1.50a9686235939p-22, -0x1.4e9a3a15cf347p-22, -0x1.4c89930be79dcp-22, -0x1.4a7786fda3b13p-22, -0x1.48642a308d073p-22, -0x1.464f8f5778d2bp-22, -0x1.4439cc0d7b79p-22, -0x1.4222f5229473cp-22, -0x1.400b126dc8769p-22, -0x1.3df241a5c6acbp-22, -0x1.3bd8914663f91p-22, -0x1.39be1365ba0b6p-22, -0x1.37a2d9bb51fd9p-22, -0x1.3586f5b7300eep-22, -0x1.336a78aa19fc7p-22, -0x1.314d735f3a057p-22, -0x1.2f2ff51e6ed9dp-22, -0x1.2d121216ddbe8p-22, -0x1.2af3d70a22133p-22, -0x1.28d554d7cc5dp-22, -0x1.26b69c9d1c77p-22, -0x1.2497bceccff26p-22, -0x1.2278c2e01396bp-22, -0x1.2059c039d988ap-22, -0x1.1e3ac1e939339p-22, -0x1.1c1bd73096675p-22, -0x1.19fd0cc21ffd1p-22, -0x1.17de72b8db992p-22, -0x1.15c0162d7a6b3p-22, -0x1.13a204ed301cfp-22, -0x1.11844b2d7e0cep-22, -0x1.0f66f976610a1p-22, -0x1.0d4a18874087fp-22, -0x1.0b2dc00fda051p-22, -0x1.0911e65ab2e29p-22, -0x1.06f6a583025b9p-22, -0x1.04dc0470fec8ep-22, -0x1.02c21022313c3p-22, -0x1.00a9073c134f1p-22, -0x1.fd21753edf2ep-23, -0x1.f8f1e1d336138p-23, -0x1.f4c468def222cp-23, -0x1.f098cecc50b2ap-23, -0x1.ec6f1e3ad2cbep-23, -0x1.e84758020b8e4p-23, -0x1.e421a3c57db5cp-23, -0x1.dffe11c465c62p-23, -0x1.dbdcb4c1f36f7p-23, -0x1.d7bda14ecc40dp-23, -0x1.d3a0ecfc7d0a8p-23, -0x1.cf86a42fab072p-23, -0x1.cb6edd3c4d43dp-23, -0x1.c759ae54a656bp-23, -0x1.c3470b904b352p-23, -0x1.bf374005fdcc2p-23, -0x1.bb2a246bac652p-23, -0x1.b71fe66a29974p-23, -0x1.b318900151a82p-23, -0x1.af142e55cfa0dp-23, -0x1.ab12d3e5c1fdp-23, -0x1.a7148ec0a42d4p-23, -0x1.a319690d1b6d2p-23, -0x1.9f217e5e947f2p-23, -0x1.9b2ccf9b450b9p-23, -0x1.973b6eec2c6adp-23, -0x1.934d695f12f63p-23, -0x1.8f62cd6acf348p-23, -0x1.8b7baa15a0629p-23, -0x1.87980b1f7629ap-23, -0x1.83b7fd7b4ab2ap-23, -0x1.7fdb8cfcb8b0dp-23, -0x1.7c02b86fd0e72p-23, -0x1.782d9bd7deaap-23, -0x1.745c1f80f869cp-23, -0x1.708e8c36b22bbp-23, -0x1.6cc4cc069704ep-23, -0x1.68fedee69e3fep-23, -0x1.653cdd460830cp-23, -0x1.617ecd2c703ap-23, -0x1.5dc4b89792739p-23, -0x1.5a0e24346af87p-23, -0x1.565ca8fc40cd4p-23, -0x1.52aeaf7f3dfeap-23, -0x1.4f04e20b982d3p-23, -0x1.4b5f36ba8debbp-23, -0x1.47bdb6f55ff5cp-23, -0x1.442059f423d23p-23, -0x1.408788c074b57p-23, -0x1.3cf2a363860fep-23, -0x1.396234f1822d4p-23, -0x1.35d60777f3e8fp-23, -0x1.324e431a05531p-23, -0x1.2ecadbc2549c5p-23, -0x1.2b4bdd1bcb977p-23, -0x1.27d14967dec91p-23, -0x1.245b26371af18p-23, -0x1.20e982049aa3ep-23, -0x1.1d7c4c1a05d0bp-23, -0x1.1a139f3d4bb9cp-23, -0x1.16af71271fff3p-23, -0x1.134fe2da2b49bp-23, -0x1.0ff4d977df16dp-23, -0x1.0c9e655fb14cap-23, -0x1.094c8a58e97a1p-23, -0x1.05ff4c07cafc2p-23, -0x1.02b6a4d856651p-23, -0x1.fee572a903f72p-24, -0x1.f866cbe2378fep-24, -0x1.f1f19dc478018p-24, -0x1.eb858a48ff0a9p-24, -0x1.e523112593954p-24, -0x1.dec9f27202234p-24, -0x1.d879b6e37bcedp-24, -0x1.d233f6c25040cp-24, -0x1.cbf714f57f5cdp-24, -0x1.c5c3ead8c0bcep-24, -0x1.bf996e7662f95p-24, -0x1.b979cd53d5666p-24, -0x1.b362ebe165049p-24, -0x1.ad55a4dd57284p-24, -0x1.a751eb71b21a7p-24, -0x1.a157bff2cb5f4p-24, }}, 
      {{-0x1.55f851c01d2e4p+3, -0x1.4ff6dc154d9acp+3, -0x1.4641998d6f3bcp+3, -0x1.393f078c727f2p+3, -0x1.296af49f5972bp+3, -0x1.174b8687899adp+3, -0x1.03686a848b191p+3, -0x1.dc88a32e93d21p+2, -0x1.b0b0f6deb379dp+2, -0x1.8423e72257007p+2, -0x1.57a043780fcd9p+2, -0x1.2bc8ac9d36a1dp+2, -0x1.0124124980ecfp+2, -0x1.b03e43c0e7eecp+1, -0x1.621c9b0f17799p+1, -0x1.186054460e81cp+1, -0x1.a6bfd46339531p+0, -0x1.26a081f7e21ecp+0, -0x1.61267162c5a69p-1, -0x1.126294028fcd4p-2, 0x1.d75b4c09b850bp-4, 0x1.d7764f9fe1a3p-2, 0x1.89f9e5c31a9e1p-1, 0x1.0b43dd0862987p+0, 0x1.492f1dc315516p+0, 0x1.7f43be2bed0a8p+0, 0x1.ae0b428ea050cp+0, 0x1.d6109695dc78cp+0, 0x1.f7dd951ff0189p+0, 0x1.09fc8c16717a4p+1, 0x1.1572bef8bfb84p+1, 0x1.1e8fc801ae93bp+1, 0x1.258ede6b7b431p+1, 0x1.2aa7ca9890a6ep+1, 0x1.2e0ebffbf5b86p+1, 0x1.2ff44d5438fc6p+1, 0x1.30855f2f04d4bp+1, 0x1.2feb506e64737p+1, 0x1.2e4c053a2f1cep+1, 0x1.2bca0dfe39bc1p+1, 0x1.2884d086f2418p+1, 0x1.2498b545cbf05p+1, 0x1.201f56f61ce35p+1, 0x1.1b2fb34ef362ap+1, 0x1.15de5bd7a3203p+1, 0x1.103da628d76d2p+1, 0x1.0a5ddaf646af8p+1, 0x1.044d63505981p+1, 0x1.fc31e7606e3aap+0, 0x1.ef97691677648p+0, 0x1.e2ded09f1eb84p+0, 0x1.d6191d856c0abp+0, 0x1.c9550b8d2eb37p+0, 0x1.bc9f4f1f7b8edp+0, 0x1.b002ccba1803cp+0, 0x1.a388cb8ef81d7p+0, 0x1.9739238dbaa44p+0, 0x1.8b1a671bdeb0cp+0, 0x1.7f3208c692826p+0, 0x1.73847d3b28d77p+0, 0x1.681559d1ef5c8p+0, 0x1.5ce76ff3c1acbp+0, 0x1.51fce59ef8e13p+0, 0x1.47574b4c61f08p+0, 0x1.3cf7af7198aecp+0, 0x1.32deafd9e1718p+0, 0x1.290c890b35a2p+0, 0x1.1f8123e9c6d34p+0, 0x1.163c21c7f2a25p+0, 0x1.0d3ce70ccbc85p+0, 0x1.0482a49867373p+0, 0x1.f818c010f615bp-1, 0x1.e7b1f5f986bb3p-1, 0x1.d7ce72f09a012p-1, 0x1.c86b8eefab8ebp-1, 0x1.b9867baa7c957p-1, 0x1.ab1c4d1714c73p-1, 0x1.9d2a00db77b28p-1, 0x1.8fac84c2b336fp-1, 0x1.82a0bc536e36bp-1, 0x1.760385a57c775p-1, 0x1.69d1bd88b0b32p-1, 0x1.5e0843165f3fp-1, 0x1.52a3faba25131p-1, 0x1.47a1d0c7acc31p-1, 0x1.3cfebba5b2723p-1, 0x1.32b7bda127535p-1, 0x1.28c9e66cf501p-1, 0x1.1f32545f68e58p-1, 0x1.15ee356e76111p-1, 0x1.0cfac7fa6e652p-1, 0x1.04555b663f6d8p-1, 0x1.f7f6a114f531ep-2, 0x1.e7d434054d42dp-2, 0x1.d83e78ba80b34p-2, 0x1.c9309c63fa72cp-2, 0x1.baa5f03dff2a8p-2, 0x1.ac99e96db972ep-2, 0x1.9f0820b1dd7d4p-2, 0x1.91ec5201a38ccp-2, 0x1.85425c0d0b2bp-2, 0x1.79063fab50399p-2, 0x1.6d341f3de3ebbp-2, 0x1.61c83dfc781e2p-2, 0x1.56beff41add99p-2, 0x1.4c14e5c7ce7c9p-2, 0x1.41c692dfa7d86p-2, 0x1.37d0c5aa402dap-2, 0x1.2e305a445023bp-2, 0x1.24e248f872a03p-2, 0x1.1be3a5706d488p-2, 0x1.13319ddee0322p-2, 0x1.0ac97a349da65p-2, 0x1.02a89b52c7f16p-2, 0x1.f598f476aa995p-3, 0x1.e6654e9c66ee3p-3, 0x1.d7b193063ce1cp-3, 0x1.c9793b4a01ae2p-3, 0x1.bbb7eb34191edp-3, 0x1.ae696f535d27bp-3, 0x1.a189bb891a761p-3, 0x1.9514e9b2641fep-3, 0x1.890738517aadp-3, 0x1.7d5d0938c6ddfp-3, 0x1.7212e04d89c0dp-3, 0x1.672562511a3p-3, 0x1.5c9153a892187p-3, 0x1.52539737651e2p-3, 0x1.48692d47765bfp-3, 0x1.3ecf326f8e14dp-3, 0x1.3582de84b3c25p-3, 0x1.2c81839d0c61ap-3, 0x1.23c88d15ee4fcp-3, 0x1.1b557e9d329dap-3, 0x1.1325f349a4ac9p-3, 0x1.0b379cbdec997p-3, 0x1.0388424cc463fp-3, 0x1.f82b804943ab3p-4, 0x1.e9bc0d119f5efp-4, 0x1.dbbe322192fa3p-4, 0x1.ce2e1bd39677fp-4, 0x1.c1081a418bcbep-4, 0x1.b4489fee34df7p-4, 0x1.a7ec407853056p-4, 0x1.9befaf5363b52p-4, 0x1.904fbe8f36c52p-4, 0x1.85095db166a93p-4, 0x1.7a199897d6b7bp-4, 0x1.6f7d9660ca25p-4, 0x1.6532985ec1f1p-4, 0x1.5b35f91b745cdp-4, 0x1.51852b6432338p-4, 0x1.481db95b6e35cp-4, 0x1.3efd4392d7d96p-4, 0x1.36218031e4d04p-4, 0x1.2d883a26451d2p-4, 0x1.252f5059a1399p-4, 0x1.1d14b4ed2dd07p-4, 0x1.15366c7e955dep-4, 0x1.0d928d76ae747p-4, 0x1.06273f5e59644p-4, 0x1.fde5746f90b58p-5, 0x1.efe68bbbbc01ap-5, 0x1.e24e72d7b2d0ep-5, 0x1.d519f55845a21p-5, 0x1.c845fb170de16p-5, 0x1.bbcf8720f2491p-5, 0x1.afb3b6afda35cp-5, 0x1.a3efc031d5879p-5, 0x1.9880f25b16ee6p-5, 0x1.8d64b33f10fb5p-5, 0x1.82987f70b273dp-5, 0x1.7819e92be3414p-5, 0x1.6de69789c82efp-5, 0x1.63fc45bdac1afp-5, 0x1.5a58c258143a4p-5, 0x1.50f9ee8fbeb2bp-5, 0x1.47ddbd91e3ff2p-5, 0x1.3f0233daf5aa4p-5, 0x1.36656696b81b4p-5, 0x1.2e057b05b8925p-5, 0x1.25e0a5e7abef3p-5, 0x1.1df52aeb48f84p-5, 0x1.16415c249b772p-5, 0x1.0ec39989b0d98p-5, 0x1.077a50741445fp-5, 0x1.0063fb266dbdep-5, 0x1.f2fe40ac9e67cp-6, 0x1.e594a575644p-6, 0x1.d888613f4d63fp-6, 0x1.cbd6c6fcfe29p-6, 0x1.bf7d3f3323689p-6, 0x1.b3794736ac0e4p-6, 0x1.a7c87071e1dd4p-6, 0x1.9c685fb117afap-6, 0x1.9156cc773cb2ap-6, 0x1.869180592773p-6, 0x1.7c16565e8649ap-6, 0x1.71e33a6841142p-6, 0x1.67f6289c53f94p-6, 0x1.5e4d2cd779c51p-6, 0x1.54e66224eda44p-6, 0x1.4bbff23b71d7ap-6, 0x1.42d814fecb14bp-6, 0x1.3a2d1005b0945p-6, 0x1.31bd3623f3952p-6, 0x1.2986e6f918bc3p-6, 0x1.21888e838d899p-6, 0x1.19c0a4b8240a5p-6, 0x1.122dad1d35bc7p-6, 0x1.0ace366937785p-6, 0x1.03a0da24c2964p-6, 0x1.f948789fc2b7bp-7, 0x1.ebae1615ac8dbp-7, 0x1.de6ffc84afc2fp-7, 0x1.d18baebda1114p-7, 0x1.c4fec1ecb8f35p-7, 0x1.b8c6dd0306aecp-7, 0x1.ace1b8250b7cp-7, 0x1.a14d1c1e7afc4p-7, 0x1.9606e1db2535p-7, 0x1.8b0cf1e51825bp-7, 0x1.805d43e732857p-7, 0x1.75f5de33f4ff9p-7, 0x1.6bd4d550897cp-7, 0x1.61f84b83be4fdp-7, 0x1.585e7068e740cp-7, 0x1.4f058086a024dp-7, 0x1.45ebc4e9762e3p-7, 0x1.3d0f92c204e78p-7, 0x1.346f4b0652868p-7, 0x1.2c095a1663d78p-7, 0x1.23dc3763e0c4bp-7, 0x1.1be6651caf296p-7, 0x1.14266fd873788p-7, 0x1.0c9aee48fcd8p-7, 0x1.054280ed6b93ep-7, 0x1.fc37a38fc0296p-8, 0x1.ee4b282b1d81ap-8, 0x1.e0bd081283d79p-8, 0x1.d38acd1035607p-8, 0x1.c6b211d10ed18p-8, 0x1.ba308166cabe6p-8, 0x1.ae03d6ce7e639p-8, 0x1.a229dc7b1d7c8p-8, 0x1.96a06be3b96d5p-8, 0x1.8b656d155d11p-8, 0x1.8076d6487e242p-8, 0x1.75d2ab79d2c0bp-8, 0x1.6b76fe066ccdbp-8, 0x1.6161ec4b05256p-8, 0x1.5791a1466d28cp-8, 0x1.4e04543f01e05p-8, 0x1.44b8486ae6668p-8, 0x1.3babcc9af5485p-8, 0x1.32dd3ae85cc19p-8, 0x1.2a4af864d1009p-8, 0x1.21f374cd2527cp-8, 0x1.19d52a3e4efep-8, 0x1.11ee9cecb60ebp-8, 0x1.0a3e5addd3936p-8, 0x1.02c2fba3e0715p-8, 0x1.f6f640373e2ap-9, 0x1.e8cae45828d67p-9, 0x1.db0149107e551p-9, 0x1.cd96e4e53e87bp-9, 0x1.c0893f052124ap-9, 0x1.b3d5eed6b4c99p-9, 0x1.a77a9b89f0333p-9, 0x1.9b74fbad013e1p-9, 0x1.8fc2d4c4471dfp-9, 0x1.8461fae5424fdp-9, 0x1.7950505476569p-9, 0x1.6e8bc52622cbfp-9, 0x1.641256e1bb91dp-9, 0x1.59e21028063dep-9, 0x1.4ff9085bc36acp-9, 0x1.4655634cd9cc3p-9, 0x1.3cf550e5ebf25p-9, 0x1.33d70cdc3c051p-9, 0x1.2af8de61d356bp-9, 0x1.225917d9cc961p-9, 0x1.19f6168ec4912p-9, 0x1.11ce426b4990ap-9, 0x1.09e00db451bd7p-9, 0x1.0229f4c58b871p-9, 0x1.f554fb9f1fd98p-10, 0x1.e6c0712fd6ce2p-10, 0x1.d8937c75a5513p-10, 0x1.cacb61dd2b94dp-10, 0x1.bd65779152b6cp-10, 0x1.b05f2508a36a2p-10, 0x1.a3b5e2958a7acp-10, 0x1.976738f9cd979p-10, 0x1.8b70c0fca0465p-10, 0x1.7fd02303bd35ap-10, 0x1.748316af2c1acp-10, 0x1.6987627784d22p-10, 0x1.5edadb4efd71fp-10, 0x1.547b6444c895dp-10, 0x1.4a66ee2aefccfp-10, 0x1.409b773e7e415p-10, 0x1.37170ad1ebd48p-10, 0x1.2dd7c0f9d094cp-10, 0x1.24dbbe3bacbe5p-10, 0x1.1c21333ec429fp-10, 0x1.13a65c7f0ae7ap-10, 0x1.0b698201fdddcp-10, 0x1.0368f70d6df5p-10, 0x1.f74633c044e8bp-11, 0x1.e82ca6d88848ep-11, 0x1.d9822e27296ebp-11, 0x1.cb43c4ca94bfcp-11, 0x1.bd6e79bb453f5p-11, 0x1.afff6f4e21dfap-11, 0x1.a2f3dab9e7f9dp-11, 0x1.9649039fb201dp-11, 0x1.89fc439690551p-11, 0x1.7e0b05b9dd721p-11, 0x1.7272c63a6dcb7p-11, 0x1.673111f28646cp-11, 0x1.5c4385fc684efp-11, 0x1.51a7cf4b88df8p-11, 0x1.475baa48301aap-11, 0x1.3d5ce26da945bp-11, 0x1.33a951ead8633p-11, 0x1.2a3ee145197e3p-11, 0x1.211b86fd84731p-11, 0x1.183d473850879p-11, 0x1.0fa233666fea3p-11, 0x1.074869f13408fp-11, 0x1.fe5c2bcff8333p-12, 0x1.eea2dd5fae292p-12, 0x1.df616f6a04c93p-12, 0x1.d094803ccff23p-12, 0x1.c238c505be4e8p-12, 0x1.b44b0940988eap-12, 0x1.a6c82e2955121p-12, 0x1.99ad2a3169205p-12, 0x1.8cf70878dd746p-12, 0x1.80a2e84a28ff4p-12, 0x1.74adfc99dab26p-12, 0x1.69158b8864acdp-12, 0x1.5dd6ede720777p-12, 0x1.52ef8ec038ffbp-12, 0x1.485ceae1012a6p-12, 0x1.3e1c90673265dp-12, 0x1.342c1e51573adp-12, 0x1.2a894411d2342p-12, 0x1.2131c1252cb11p-12, 0x1.182364aaf24afp-12, 0x1.0f5c0d01447bcp-12, 0x1.06d9a762d7b6cp-12, 0x1.fd345f0d9e788p-13, 0x1.ed375e8584d7fp-13, 0x1.ddb87c5cba88cp-13, 0x1.ceb40291a3509p-13, 0x1.c0265540aa9ebp-13, 0x1.b20bf1f7c3f38p-13, 0x1.a4616f0e8bba8p-13, 0x1.97237b03a55p-13, 0x1.8a4edbdf5465dp-13, 0x1.7de06e9aa309bp-13, 0x1.71d5268af77a1p-13, 0x1.662a0cd0ec0c6p-13, 0x1.5adc3fc9e121cp-13, 0x1.4fe8f283ea97ap-13, 0x1.454d6c33665bcp-13, 0x1.3b0707ab06cddp-13, 0x1.311332d6573cp-13, 0x1.276f6e372778p-13, 0x1.1e194c66dd6b4p-13, 0x1.150e719bcd179p-13, 0x1.0c4c9332fa188p-13, 0x1.03d1773da5ebfp-13, 0x1.f735e82649349p-14, 0x1.e74ddfcb1b502p-14, 0x1.d7e6c0b2feb68p-14, 0x1.c8fc944165287p-14, 0x1.ba8b8129fae17p-14, 0x1.ac8fcaad3e687p-14, 0x1.9f05cfd80c158p-14, 0x1.91ea0ac04d1fcp-14, 0x1.85390fc8c24dep-14, 0x1.78ef8ce35f84fp-14, 0x1.6d0a48d68119bp-14, 0x1.618622851dd8ep-14, 0x1.5660103cfd49ep-14, 0x1.4b951f0c50327p-14, 0x1.412272228d065p-14, 0x1.3705423d2200fp-14, 0x1.2d3add211086dp-14, 0x1.23c0a51f7fe49p-14, 0x1.1a9410a109bp-14, 0x1.11b2a9b22ff15p-14, 0x1.091a0d8ab6304p-14, 0x1.00c7ec09e5c7bp-14, 0x1.f1740e4b8e816p-15, 0x1.e1dc649376799p-15, 0x1.d2c4a35ecbf28p-15, 0x1.c428b368dfa07p-15, 0x1.b6049c734ecffp-15, 0x1.a854842dd1aa8p-15, 0x1.9b14ad56228efp-15, 0x1.8e417717332b2p-15, 0x1.81d75ca337c84p-15, 0x1.75d2f4f5fbd59p-15, 0x1.6a30f2a44d203p-15, 0x1.5eee2397def86p-15, 0x1.5407709aaaedap-15, 0x1.4979dc9e8acc6p-15, 0x1.3f4283b9b045cp-15, 0x1.355e99e2a3142p-15, 0x1.2bcb6982dd379p-15, 0x1.22865202a4bbap-15, 0x1.198cc67b98afep-15, 0x1.10dc4c9927cd7p-15, 0x1.08727c12fe40cp-15, 0x1.004cfe4eb949cp-15, 0x1.f0d31d2ddfdeap-16, 0x1.e18bf4f45f1afp-16, 0x1.d2c0447784234p-16, 0x1.c46bf23d81a3cp-16, 0x1.b68b0ac637f77p-16, 0x1.a919bfc088ce8p-16, 0x1.9c14667cbd814p-16, 0x1.8f7775bf160b1p-16, 0x1.833f832557b72p-16, 0x1.7769405c560ebp-16, 0x1.6bf1786515eddp-16, 0x1.60d50d3540cccp-16, 0x1.5610f600db264p-16, 0x1.4ba23e7017a8bp-16, 0x1.418606d86f5fcp-16, 0x1.37b9854cf84fp-16, 0x1.2e3a071b15e67p-16, 0x1.2504f222bdeeap-16, 0x1.1c17c59229faap-16, 0x1.137019ca13a54p-16, 0x1.0b0b9f84153cbp-16, 0x1.02e81e83ce718p-16, 0x1.f606e84676fb8p-17, 0x1.e6b723bb399bcp-17, 0x1.d7dcf79cf8c74p-17, 0x1.c9748e0bd6618p-17, 0x1.bb7a2f61e03dcp-17, 0x1.adea3e97debd8p-17, 0x1.a0c136a2a4345p-17, 0x1.93fba995fadebp-17, 0x1.879641c24eb2p-17, 0x1.7b8dc42ea05bp-17, 0x1.6fdf131e3daffp-17, 0x1.64872f60959a9p-17, 0x1.598337b7cc61fp-17, 0x1.4ed066ef5bc1ap-17, 0x1.446c11568219dp-17, 0x1.3a53a323f6a1cp-17, 0x1.3084a01ab0429p-17, 0x1.26fca418724b8p-17, 0x1.1db9639fbd90ep-17, 0x1.14b8ab6030aa3p-17, 0x1.0bf85e3e9271ep-17, 0x1.03767258c4b52p-17, 0x1.f661dc5b2f919p-18, 0x1.e64bce0c3c4fbp-18, 0x1.d6a701f636e76p-18, 0x1.c76fdfeb2267ep-18, 0x1.b8a2f12498241p-18, 0x1.aa3cdf906238bp-18, 0x1.9c3a72f8d168ep-18, 0x1.8e988c6deee0ep-18, 0x1.81542233ad793p-18, 0x1.746a3da6734cap-18, 0x1.67d7fc0da6878p-18, 0x1.5b9a921e4ec04p-18, 0x1.4faf5095760c1p-18, 0x1.4413a78a7375cp-18, 0x1.38c526d0a7b14p-18, 0x1.2dc17b9f4af89p-18, 0x1.23066d83fbdf2p-18, 0x1.1891dcc0b8917p-18, 0x1.0e61c27191f08p-18, 0x1.047430fb0ffafp-18, 0x1.f58ea0622eff6p-19, 0x1.e2b2b52391136p-19, 0x1.d05129eec90d5p-19, 0x1.be669692cb51cp-19, 0x1.acefa09af27fbp-19, 0x1.9be8fe1c4c216p-19, 0x1.8b4f77e1dfcedp-19, 0x1.7b1fe91c41275p-19, 0x1.6b574226095bep-19, 0x1.5bf28886660b4p-19, 0x1.4ceedfe93ffbp-19, 0x1.3e498a15fb919p-19, 0x1.2fffe4b38fe8fp-19, 0x1.220f668a828e9p-19, 0x1.1475a3243a1f3p-19, 0x1.073055ddb115p-19, 0x1.f47ad95f217eap-20, 0x1.db360e902aa03p-20, 0x1.c28ecb98565b2p-20, 0x1.aa819e9300086p-20, 0x1.930afef536789p-20, 0x1.7c274c0139496p-20, 0x1.65d2e66a98454p-20, 0x1.500a4b048c908p-20, 0x1.3aca1baa96f5cp-20, 0x1.260f185ee046p-20, 0x1.11d615f428c0bp-20, 0x1.fc37f6809875ep-21, 0x1.d5bb87b36174p-21, 0x1.b031036e2eec8p-21, 0x1.8b92aa4218458p-21, 0x1.67dacfa7d554ep-21, 0x1.4503d02d1934bp-21, 0x1.23083f499d9e3p-21, 0x1.01e32fbe53578p-21, 0x1.c320cdc64a196p-22, 0x1.84188339bda2ep-22, 0x1.46a69d5264dep-22, 0x1.0ac3cfca5db71p-22, 0x1.a0d05a4725371p-23, 0x1.2f171a212b9c1p-23, 0x1.80982c728d354p-24, 0x1.518149f475a96p-25, -0x1.4bab1415f7ae9p-27, -0x1.ec4cd1ff6535fp-25, -0x1.bd6e3575bff8fp-24, -0x1.3fb3bcce7f535p-23, -0x1.9e15ed57edfcdp-23, -0x1.f9ea32df48dfp-23, -0x1.299e853a7a04bp-22, -0x1.550d85b03486dp-22, -0x1.7f48742c7ac78p-22, -0x1.a855a68156c29p-22, -0x1.d03b3bff8cc8ep-22, -0x1.f6fecb73cb18p-22, -0x1.0e52997cf8805p-21, -0x1.20996a3245a2bp-21, -0x1.32560f637f6a9p-21, -0x1.438aefb61f331p-21, -0x1.543a85831528ap-21, -0x1.646729935748ap-21, -0x1.741309f00c2bp-21, -0x1.83404f04c6054p-21, -0x1.91f134d431759p-21, -0x1.a0280097f8c53p-21, -0x1.ade6ea0436542p-21, -0x1.bb300bb8ff408p-21, -0x1.c8055fc8b5d49p-21, -0x1.d468cbc57abcep-21, -0x1.e05c367843ad5p-21, -0x1.ebe1960df1a99p-21, -0x1.f6faea353816fp-21, -0x1.00d514352fb14p-20, -0x1.05f8975127402p-20, -0x1.0ae8e3d4bca1cp-20, -0x1.0fa6db54bfe2fp-20, -0x1.14335e4934275p-20, -0x1.188f4e476231ap-20, -0x1.1cbb90d19545dp-20, -0x1.20b906f81739fp-20, -0x1.24887d4496a7bp-20, -0x1.282aabf3264c3p-20, -0x1.2ba04d9180b31p-20, -0x1.2eea2ca49d2a4p-20, -0x1.3209190598135p-20, -0x1.34fddd62567c4p-20, -0x1.37c94044a9058p-20, -0x1.3a6c04206dbfep-20, -0x1.3ce6e472b29dfp-20, -0x1.3f3a96037bdf1p-20, -0x1.4167caa5d0f2ep-20, -0x1.436f359f2889cp-20, -0x1.45518e04b3898p-20, -0x1.470f8c712cc9dp-20, -0x1.48a9e4016a79ep-20, -0x1.4a213bea09165p-20, -0x1.4b76321838a94p-20, -0x1.4ca967d87dfbcp-20, -0x1.4dbb8beb404dap-20, -0x1.4ead57736d1dap-20, -0x1.4f7f83d01f40cp-20, -0x1.5032bc975f93p-20, -0x1.50c793a590995p-20, -0x1.513e9019946eep-20, -0x1.51984a6db26ecp-20, -0x1.51d568d516a1ep-20, -0x1.51f6893f2a9d7p-20, -0x1.51fc41525097bp-20, -0x1.51e7271b82543p-20, -0x1.51b7cfb15d52ap-20, -0x1.516ecd056dacp-20, -0x1.510caf025a29fp-20, -0x1.509204ab18632p-20, -0x1.4fff5c14c8251p-20, -0x1.4f5541e9611bfp-20, -0x1.4e9441c26d93cp-20, -0x1.4dbce6517a8ddp-20, -0x1.4ccfb8593d7cfp-20, -0x1.4bcd3c43263e6p-20, -0x1.4ab5f0d84e7b8p-20, -0x1.498a53159234cp-20, -0x1.484ae594e0e73p-20, -0x1.46f832387f36ap-20, -0x1.4592c2cd2bf7p-20, -0x1.441b1a5d50dc5p-20, -0x1.4291afd346d56p-20, -0x1.40f6f1988e23p-20, -0x1.3f4b58f6df4fp-20, -0x1.3d8f66a7f2f8ap-20, -0x1.3bc39040c7381p-20, -0x1.39e84768b2c62p-20, -0x1.37fe006351c5p-20, -0x1.36052d23a1b3fp-20, -0x1.33fe3c94f17bfp-20, -0x1.31e99c8179fdcp-20, -0x1.2fc7ba71842dbp-20, -0x1.2d9903841a60cp-20, -0x1.2b5de3f5f4011p-20, -0x1.2916c5ed1904ep-20, -0x1.26c41172379b8p-20, -0x1.24662c74456eep-20, -0x1.21fd7b6b7f536p-20, -0x1.1f8a61ca649f7p-20, -0x1.1d0d41bba9453p-20, -0x1.1a867b85d4edep-20, -0x1.17f66dda34895p-20, -0x1.155d780d58bd2p-20, -0x1.12bbfa5312ceep-20, -0x1.101250c9f8c55p-20, -0x1.0d60d3cf5c799p-20, -0x1.0aa7dca5b0b99p-20, -0x1.07e7c35ddd0fp-20, -0x1.0520e236bad82p-20, -0x1.02538c32afefep-20, -0x1.ff00251ac6a74p-21, -0x1.f94d92d44fb65p-21, -0x1.f39003aab7fbep-21, -0x1.edc815268441p-21, -0x1.e7f661ea0a9c2p-21, -0x1.e21b82f8679f3p-21, -0x1.dc380fe283de1p-21, -0x1.d64c9ea73352ap-21, -0x1.d059c344b75b3p-21, -0x1.ca600f0adce3cp-21, -0x1.c4600fea8d159p-21, -0x1.be5a5009972cbp-21, -0x1.b84f56086e60ep-21, -0x1.b23fa61033fe7p-21, -0x1.ac2bc33ba672fp-21, -0x1.a6142fa74cbfdp-21, -0x1.9ff96bebc3ee1p-21, -0x1.99dbf4446f2dp-21, -0x1.93bc41578d5bdp-21, -0x1.8d9aca871b767p-21, -0x1.8778023a2463bp-21, -0x1.81545587e2d7fp-21, -0x1.7b303bd48d1f4p-21, -0x1.750c2ad516ae5p-21, -0x1.6ee88c8842eddp-21, -0x1.68c5c22a4b28cp-21, -0x1.62a4360b07bfcp-21, -0x1.5c844ed047e59p-21, -0x1.56666e70e3e36p-21, -0x1.504af436d1028p-21, -0x1.4a323da81556p-21, -0x1.441ca66e0096p-21, -0x1.3e0a88589aa66p-21, -0x1.37fc3b3b5ed47p-21, -0x1.31f21597d4bcbp-21, -0x1.2bec6bc8ec694p-21, -0x1.25eb900cee206p-21, -0x1.1fefd23c38826p-21, -0x1.19f97f8c329cap-21, -0x1.1408e2936973dp-21, -0x1.0e1e43cbbfbf2p-21, -0x1.0839ea7b9593ep-21, -0x1.025c1d50086aep-21, -0x1.f90a43ceb663ap-22, -0x1.ed6a76a714491p-22, -0x1.e1d9515ad91ebp-22, -0x1.d6574bd2978d7p-22, -0x1.cae4dce21e9aep-22, -0x1.bf82783830478p-22, -0x1.b4308c4c8e844p-22, -0x1.a8ef99e60b8e9p-22, -0x1.9dc00a706c248p-22, -0x1.92a2362021becp-22, -0x1.8796890bd55cbp-22, -0x1.7c9d6527ea799p-22, -0x1.71b725f029eb7p-22, -0x1.66e424c967717p-22, -0x1.5c24b850f555bp-22, -0x1.517933fe5f798p-22, -0x1.46e1e82705358p-22, -0x1.3c5f22365a434p-22, -0x1.31f12ce69cc96p-22, -0x1.2798504af60cbp-22, -0x1.1d54d1b3b4999p-22, -0x1.1326f38b85685p-22, -0x1.090ef537daf6fp-22, -0x1.fe1a25e49abe5p-23, -0x1.ea430b4bf1a99p-23, -0x1.d699061d59dfdp-23, -0x1.c31c7cd22cb4ep-23, -0x1.afcdd2bd67325p-23, -0x1.9cad688a60b12p-23, -0x1.89bb9ad0c596bp-23, -0x1.76f8bf897a8dp-23, -0x1.646522f57582bp-23, -0x1.520108420eb32p-23, -0x1.3fccb309d08bdp-23, -0x1.2dc86aa2402d8p-23, -0x1.1bf467facd0fep-23, -0x1.0a50edb117667p-23, -0x1.f1bc4eca91fap-24, -0x1.cf388666e0e6p-24, -0x1.ad16e594b570ap-24, -0x1.8b57b37e01fb9p-24, -0x1.69fb33d111f1ep-24, -0x1.4901a466ee48ep-24, -0x1.286b3b85f797ep-24, -0x1.083827a00b0f9p-24, -0x1.d0d11ecb4cf8dp-25, -0x1.91f9244e5e641p-25, -0x1.53e89096dfbd6p-25, -0x1.169f8690ee7a8p-25, -0x1.b43c3b62fff89p-26, -0x1.3cc8bb33af912p-26, -0x1.8dc902e3eb3cap-27, -0x1.4a3df023ccb5fp-28, 0x1.01b50c0768392p-29, 0x1.22dc5a4d04ffdp-27, 0x1.011793a44229fp-26, 0x1.6f33661f51c52p-26, 0x1.dbc2409d64b77p-26, 0x1.236266e39dd9ep-25, 0x1.581de5eee8a41p-25, 0x1.8c14075e76e0ap-25, 0x1.bf45440728a4ap-25, 0x1.f1b229375e4dp-25, 0x1.11ada7cad47ecp-24, 0x1.2a20a219ad63bp-24, 0x1.423248f0aa1acp-24, 0x1.59e2f9a454525p-24, 0x1.713311e28998ap-24, 0x1.8822e8747dbb7p-24, 0x1.9eb2d94e22cd7p-24, 0x1.b4e34eb6cc807p-24, 0x1.cab4b2de0ed8ep-24, 0x1.e02772a3dfd83p-24, 0x1.f53bfe9ae5b78p-24, 0x1.04f9658276372p-23, 0x1.0f2627d9458ddp-23, 0x1.192483f14f818p-23, 0x1.22f4b90f8c27bp-23, 0x1.2c97080a1f10ep-23, 0x1.360bb34b5b47dp-23, 0x1.3f52fe5569c54p-23, 0x1.486d2ea2bd33cp-23, 0x1.515a8ab494706p-23, 0x1.5a1b5a6dcf962p-23, 0x1.62afe6ebff5ebp-23, 0x1.6b187a59f676dp-23, 0x1.73555d9c65946p-23, 0x1.7b66e6c1f273fp-23, 0x1.834d5c0fb84bap-23, 0x1.8b090dbcb79c9p-23, 0x1.929a4bab47d3cp-23, 0x1.9a0166c8a9dfbp-23, 0x1.a13eb08b6857fp-23, 0x1.a8527b93cf769p-23, 0x1.af3d1c07cf763p-23, 0x1.b5fee7441cc37p-23, 0x1.bc983208f925p-23, 0x1.c30950b7481d8p-23, 0x1.c95298b6947d6p-23, 0x1.cf7466130b9cbp-23, 0x1.d56f0d6ee8801p-23, 0x1.db42e6b822c99p-23, 0x1.e0f04c9d5e59fp-23, 0x1.e6778fa5ea97ep-23, 0x1.ebd8f37307553p-23, 0x1.f11522d5436f7p-23, 0x1.f62c46725a77p-23, 0x1.fb1ea2cb27415p-23, 0x1.ffeca7fc8436bp-23, 0x1.024b59cf4264ap-22, 0x1.048e9064843cdp-22, 0x1.06c0261773f8cp-22, 0x1.08e0483d8639ap-22, 0x1.0aef25e875f32p-22, 0x1.0cececf440c4cp-22, 0x1.0ed9cbfb3c4d2p-22, 0x1.10b5f17b65aep-22, 0x1.12818c012f5ffp-22, 0x1.143cca21b7003p-22, 0x1.15e7da77b7a26p-22, 0x1.1782eba14d0b2p-22, 0x1.190e2c3cee4ecp-22, 0x1.1a89cae3d31f2p-22, 0x1.1bf5f6245741ap-22, 0x1.1d52dc8097eb8p-22, 0x1.1ea0ac6ef21ep-22, 0x1.1fdf9456e5c05p-22, 0x1.210fc28ed2651p-22, 0x1.223165633ab92p-22, 0x1.2344ab13353e5p-22, 0x1.2449c1ae2d053p-22, 0x1.2540d716acf26p-22, 0x1.262a18ffec181p-22, 0x1.2705b59d7e906p-22, 0x1.27d3da4239863p-22, 0x1.2894b45212791p-22, 0x1.2948713b7cc0dp-22, 0x1.29ef3e2315cabp-22, 0x1.2a8947d8a9d03p-22, 0x1.2b16ba945ef2ap-22, 0x1.2b97c2dfc9115p-22, 0x1.2c0c8fae6490ep-22, 0x1.2c754d02ef4e8p-22, 0x1.2cd2249239f74p-22, 0x1.2d23428781046p-22, 0x1.2d68d2de6c165p-22, 0x1.2da301137dfbfp-22, 0x1.2dd1f96865578p-22, 0x1.2df5e58b6f404p-22, 0x1.2e0ef1d7db401p-22, 0x1.2e1d46efbae3p-22, 0x1.2e210fb4a5da4p-22, 0x1.2e1a7669c571ap-22, 0x1.2e09a4c579b5bp-22, 0x1.2deec42cf8491p-22, 0x1.2dc9f9ba67d7cp-22, 0x1.2d9b7a788e2bbp-22, 0x1.2d6365791a1e2p-22, 0x1.2d21e40901115p-22, 0x1.2cd71f22acbccp-22, 0x1.2c833ee1f926bp-22, 0x1.2c266af042eb6p-22, 0x1.2bc0ca654fed8p-22, 0x1.2b5285030e34p-22, 0x1.2adbc117ccd75p-22, 0x1.2a5ca535e20bdp-22, 0x1.29d5577165ca1p-22, 0x1.2945fda482b42p-22, 0x1.28aebd673e3bbp-22, 0x1.280fbc096d69cp-22, 0x1.27691e5ee70b1p-22, 0x1.26bb0979a929dp-22, 0x1.2605a14e2e472p-22, 0x1.25490a10a10c1p-22, 0x1.2485675dfb2c2p-22, 0x1.23bade79236bbp-22, 0x1.22e98d7d5429fp-22, 0x1.22119c86b9359p-22, 0x1.21332bb90ad59p-22, 0x1.204e5da12d37ep-22, 0x1.1f63540020185p-22, 0x1.1e7230c93bf02p-22, 0x1.1d7b14068426p-22, 0x1.1c7e200f32b18p-22, 0x1.1b7b74b9335cbp-22, 0x1.1a7332540c351p-22, 0x1.196578daaf6acp-22, 0x1.185267eb787edp-22, 0x1.173a1ed1d3aafp-22, 0x1.161cbc86cd4d3p-22, 0x1.14fa5fb19ff2dp-22, 0x1.13d326a811f5dp-22, 0x1.12a72fc63beddp-22, 0x1.117697af4d205p-22, 0x1.10417ccc46e0fp-22, 0x1.0f07fbd6900ccp-22, 0x1.0dca318d7b5d4p-22, 0x1.0c883a5221339p-22, 0x1.0b42323f88536p-22, 0x1.09f8351e8288ap-22, 0x1.08aa5e65f336cp-22, 0x1.0758c93c69c8bp-22, 0x1.060390783a98ep-22, 0x1.04aacea05f875p-22, 0x1.034e9deb359edp-22, 0x1.01ef183aad3f8p-22, 0x1.008c571e9c1afp-22, 0x1.fe4ce7c85ad6cp-23, 0x1.fb7b0ee0c4886p-23, 0x1.f8a3563b16f6bp-23, 0x1.f5c5efe964df2p-23, 0x1.f2e30ecd4c3bp-23, 0x1.effa8c2ceef3bp-23, 0x1.ed0d720d6ea79p-23, 0x1.ea1b1e5c75dcp-23, 0x1.e72401e192637p-23, 0x1.e428502d5424cp-23, 0x1.e128338cf9951p-23, 0x1.de23d6ebe63b4p-23, 0x1.db1b652ab5fc1p-23, 0x1.d80f090b53587p-23, 0x1.d4feeca7f9661p-23, 0x1.d1eb397a602f4p-23, 0x1.ced41875993c4p-23, 0x1.cbb9b2528ea35p-23, 0x1.c89c2f02f49c7p-23, 0x1.c57bb5b22240fp-23, 0x1.c2586d1735e95p-23, 0x1.bf327bb9d44aep-23, 0x1.bc0a08836fdeep-23, 0x1.b8df3bb2691f7p-23, 0x1.b5b2136c4e13p-23, 0x1.b282ea06d0dd2p-23, 0x1.af51f3130f6f1p-23, 0x1.ac1f066f2289cp-23, 0x1.a8ea6f8e98be2p-23, 0x1.a5b44db8b1be8p-23, 0x1.a27cc0c1580d2p-23, 0x1.9f43f249670dbp-23, 0x1.9c09fab83b292p-23, 0x1.98cef7444406dp-23, 0x1.95930ca2efed1p-23, 0x1.925651706c507p-23, 0x1.8f18ecd207602p-23, 0x1.8bdaf97fccc1fp-23, 0x1.889c94d115aap-23, 0x1.855ddc05fb753p-23, 0x1.821eea2e8d8fbp-23, 0x1.7edfdd08c243dp-23, 0x1.7ba0ce2ceb5ddp-23, 0x1.7861da7c3ccap-23, 0x1.75231ab76ebffp-23, 0x1.71e4a98222eefp-23, 0x1.6ea6a084796e7p-23, 0x1.6b6918df4045ap-23, 0x1.682c2b3947256p-23, 0x1.64efefeb392c2p-23, 0x1.61b47e755598bp-23, 0x1.5e79ee9f822f2p-23, 0x1.5b40570fa3ef3p-23, 0x1.5807ce4a8a063p-23, 0x1.54d06a6e224aap-23, 0x1.519a41335d766p-23, 0x1.4e6567d1b4135p-23, 0x1.4b31eb2633de7p-23, 0x1.47fff5299bb9ep-23, 0x1.44cf88f2d31c1p-23, 0x1.41a0bb7b03a8ap-23, 0x1.3e739faac69c6p-23, 0x1.3b484b016cd4ap-23, 0x1.381ed671b26bbp-23, 0x1.34f7490f598e8p-23, 0x1.31d1b8f1eaed8p-23, 0x1.2eae3727422a5p-23, 0x1.2b8cd5828f4fp-23, 0x1.286da3e5e6ebfp-23, 0x1.2550b2b4114c5p-23, 0x1.223611e0bbb26p-23, 0x1.1f1dd13670215p-23, 0x1.1c08000dbca11p-23, 0x1.18f4ad0b1f93dp-23, 0x1.15e3e69ad3382p-23, 0x1.12d5bafab43dbp-23, 0x1.0fca3808f3965p-23, 0x1.0cc16c1a21975p-23, 0x1.09bb626e83d14p-23, 0x1.06b829fe4e3b9p-23, 0x1.03b7ce7315657p-23, 0x1.00ba5c448f8b8p-23, 0x1.fb7fbeb14b8c9p-24, 0x1.f590c671a8ed8p-24, 0x1.efa7e68f6a69dp-24, 0x1.e9c535a3b3025p-24, 0x1.e3e8c95d6532ap-24, 0x1.de12b6747450cp-24, 0x1.d84311453a326p-24, 0x1.d279ed60f6aeep-24, 0x1.ccb75e86d96a8p-24, 0x1.c6fb7708cda57p-24, 0x1.c14649272b76ap-24, 0x1.bb97e6732dae1p-24, 0x1.b5f0627eebf7p-24, 0x1.b04fd22bc1272p-24, 0x1.aab630034e60fp-24, 0x1.a5239f3ade823p-24, 0x1.9f982ecb119b6p-24, 0x1.9a13e97424b1dp-24, 0x1.9496dccd6da9fp-24, 0x1.8f211572e3dccp-24, 0x1.89b2a1e24bd73p-24, 0x1.844b8eed1b122p-24, 0x1.7eebe8d86163dp-24, 0x1.7993bb97670e2p-24, 0x1.744312e7bdefep-24, 0x1.6ef9f84e4653ep-24, 0x1.69b86fc24ce14p-24, 0x1.647e8c5811218p-24, 0x1.5f4c65f981fb3p-24, 0x1.5a21ec76ce55cp-24, 0x1.54ff2fbb20859p-24, 0x1.4fe43b9a732a1p-24, 0x1.4ad118f91b066p-24, 0x1.45c5e072924e4p-24, 0x1.40c269821ba73p-24, 0x1.3bc6f20ec1851p-24, 0x1.36d2c785d65b1p-24, 0x1.31e79ba14cda3p-24, 0x1.2d03e29b562c1p-24, 0x1.282831878f001p-24, 0x1.23549ac9e40f3p-24, 0x1.1e8884e3f6fa8p-24, 0x1.19c5397abf8bp-24, 0x1.150994702e66fp-24, 0x1.10561332e6dfcp-24, 0x1.0baaaba08ec88p-24, 0x1.07075ebdc7731p-24, 0x1.026c2eaa00211p-24, 0x1.fbb252e2c41a9p-25, 0x1.f29c5f508398ap-25, 0x1.e996c8e13a2d6p-25, 0x1.e0a17b14a192bp-25, 0x1.d7bc7c4715accp-25, 0x1.cee7cb344d1fep-25, 0x1.c62369db93609p-25, 0x1.bd6f5a43a804fp-25, 0x1.b4cb9ceb6af89p-25, 0x1.ac3831859f894p-25, 0x1.a3b517d54920fp-25, 0x1.9b424e3b8ad53p-25, 0x1.92dfd2e7f16c1p-25, 0x1.8a8da57201dafp-25, 0x1.824bc0daffd7dp-25, 0x1.7a1a2426c0a2cp-25, 0x1.71f8b221e98cp-25, 0x1.69e7b0e805561p-25, 0x1.61e6c673bc913p-25, 0x1.59f63188df02cp-25, 0x1.5215bc63888cp-25, 0x1.4a4574271cc7fp-25, 0x1.4285525bdcf3bp-25, 0x1.3ad55073faa4bp-25, 0x1.3335673c19acfp-25, 0x1.2ba58ea3fd6efp-25, 0x1.2425c00dec9d5p-25, 0x1.1cb5f54068f82p-25, 0x1.15562793fc4d8p-25, 0x1.0e0648fcf0dcbp-25, 0x1.06c64cc91eap-25, 0x1.ff2c6e3793c9cp-26, 0x1.f0ebf7e53967dp-26, 0x1.e2cb0dd88224p-26, 0x1.d4c9a678463c2p-26, 0x1.c6e7abebbc0dep-26, 0x1.b9251147b180ap-26, 0x1.ab81a8b0d6b9ap-26, 0x1.9dfd735344822p-26, 0x1.9098512c2fd07p-26, 0x1.8352279037908p-26, 0x1.762aef9718c6ap-26, 0x1.692270dfca6fap-26, 0x1.5c38a826ebc06p-26, 0x1.4f6d6f68cac4fp-26, 0x1.42c0829a73c5ap-26, 0x1.36325993ca897p-26, 0x1.29c24c670017dp-26, 0x1.1d705a7afd39cp-26, 0x1.113c79c7ebf9fp-26, 0x1.05268952ef122p-26, 0x1.f25ccd9925b52p-27, 0x1.daa7f4e81cep-27, 0x1.c32e48086fb6fp-27, 0x1.abef93c49dd81p-27, 0x1.94eb8f44d9efep-27, 0x1.7e21fd14da2a8p-27, 0x1.67929e9b278adp-27, 0x1.513d329a3647bp-27, 0x1.3b217c9ac3a1p-27, 0x1.253f56c47464dp-27, 0x1.0f963b222425cp-27, 0x1.f44cc96761318p-28, 0x1.c9df32231a1d8p-28, 0x1.9fdc3da2318c7p-28, 0x1.765278eb6e90ep-28, 0x1.4d3359a66a44ap-28, 0x1.24845686cb948p-28, 0x1.f8883ff639893p-29, 0x1.a8e4049809163p-29, 0x1.5a1afe4c4d31dp-29, 0x1.0c2c025292ab7p-29, 0x1.7e2bbc0dcc123p-30, 0x1.cb5eb1719123ap-31, 0x1.3b808bf65174fp-32, -0x1.191054d3644abp-32, -0x1.b37f8454afceep-31, -0x1.6b94d39163455p-30, -0x1.fbc5325180a62p-30, -0x1.4529c7fb5ed5p-29, -0x1.8ba04b4a27525p-29, -0x1.d143aa7aecefap-29, -0x1.0b1156f0685b7p-28, -0x1.2d1a33a0f93e2p-28, -0x1.4ebb1331e72f1p-28, -0x1.6ffbc163b2c87p-28, -0x1.90d329a408699p-28, -0x1.b148009ba46dbp-28, -0x1.d159c1d6e3bf7p-28, -0x1.f108f89a0c1e5p-28, -0x1.082b191298264p-27, -0x1.17a116c4d15cfp-27, -0x1.26e69d100eep-27, -0x1.35fc140aede3ep-27, -0x1.44e1b9746e692p-27, -0x1.5397e7cd75403p-27, -0x1.621ed7ba73fbdp-27, -0x1.70774627cdc02p-27, -0x1.7ea062bf3348dp-27, -0x1.8c9bafe678c95p-27, -0x1.9a68f3b837efp-27, -0x1.a80901177e8dep-27, -0x1.b57ae93bff6a1p-27, -0x1.c2bff5ac3d69dp-27, -0x1.cfd865f87dda4p-27, -0x1.dcc45d618ea62p-27, -0x1.e9842f2c685fep-27, -0x1.f618301cd7767p-27, -0x1.01402cc2a809ap-26, -0x1.075eca5723b1bp-26, -0x1.0d67cef032893p-26, -0x1.135bbec0f3516p-26, -0x1.193a486925c3bp-26, -0x1.1f03d76a3135ap-26, -0x1.24b88cee7772dp-26, -0x1.2a588caf70945p-26, -0x1.2fe3fbfe68d7ep-26, -0x1.355afd595a96fp-26, -0x1.3abdc0812d8b1p-26, -0x1.400c65449ed05p-26, -0x1.45471b4dd562p-26, -0x1.4a6dec02797d8p-26, -0x1.4f811a0b8af8bp-26, -0x1.5480c95fe21f5p-26, -0x1.596d149a22795p-26, -0x1.5e461d597323bp-26, -0x1.630ba83ad7f5p-26, -0x1.67c1633a2c81dp-26, -0x1.6c5f4265bf2dp-26, -0x1.70ed3f49cd6ap-26, -0x1.7568803b8d563p-26, -0x1.79d1625b5e792p-26, -0x1.7e28123358ddfp-26, }}, 
      {{-0x1.57531196d8559p+3, -0x1.554e4116cfbep+3, -0x1.5200c2f269fd9p+3, -0x1.4d804dd75c197p+3, -0x1.47e812865ba18p+3, -0x1.4156c7c7c3bb4p+3, -0x1.39ecf7f1b20b5p+3, -0x1.31cb9f5956dap+3, -0x1.29131afec9f82p+3, -0x1.1fe25f5d39fedp+3, -0x1.16566cba635b6p+3, -0x1.0c89f5d739977p+3, -0x1.02952e6336e3p+3, -0x1.f11b6fbcf5d49p+2, -0x1.dd0d4a53f60cbp+2, -0x1.c9211d02ec34ap+2, -0x1.b57361d57ce56p+2, -0x1.a21c2a82d3092p+2, -0x1.8f2f77d5d57a6p+2, -0x1.7cbd95e114959p+2, -0x1.6ad37988cb7e9p+2, -0x1.597b1cc2f8571p+2, -0x1.48bbd79b9c9c3p+2, -0x1.389ab49a7ffaap+2, -0x1.291abf9c00fb3p+2, -0x1.1a3d4e8c25395p+2, -0x1.0c0243bab209fp+2, -0x1.fcd0937893edep+1, -0x1.e2da11e7763c7p+1, -0x1.ca1aae09a9011p+1, -0x1.b28ac1276ab1dp+1, -0x1.9c219b55fef7fp+1, -0x1.86d5c29ea5df2p+1, -0x1.729d2984f4c24p+1, -0x1.5f6d5d9c940aap+1, -0x1.4d3baf1c48423p+1, -0x1.3bfd52611df46p+1, -0x1.2ba77bf842407p+1, -0x1.1c2f77b492091p+1, -0x1.0d8abb7ba485ep+1, -0x1.ff5dece24e63cp+0, -0x1.e52439f8e4b25p+0, -0x1.cc54e40f26caep+0, -0x1.b4dd1bab2864fp+0, -0x1.9eaac5a32bef9p+0, -0x1.89ac8161b2ac2p+0, -0x1.75d1ac629ded2p+0, -0x1.630a635d1bcf3p+0, -0x1.5147817ab8c55p+0, -0x1.407a9df39176dp+0, -0x1.30960861c9183p+0, -0x1.218cc41632234p+0, -0x1.135282acfe306p+0, -0x1.05db9e157257dp+0, -0x1.f23a246aea528p-1, -0x1.da18ec94a1a03p-1, -0x1.c33fec44ae2cfp-1, -0x1.ad9c968dfaec4p-1, -0x1.991d6c56e23p-1, -0x1.85b1eee04fd7dp-1, -0x1.734a92914971p-1, -0x1.61d8b21b1e759p-1, -0x1.514e82053f473p-1, -0x1.419f04ab4e8d8p-1, -0x1.32bdfeb4a346bp-1, -0x1.249fec09b305bp-1, -0x1.1739f549a414bp-1, -0x1.0a81e5c0a525ap-1, -0x1.fcdc43bc89512p-2, -0x1.e5eb3c53d52d1p-2, -0x1.d01fad6556aa4p-2, -0x1.bb698dee0acf3p-2, -0x1.a7b9c48100c77p-2, -0x1.950218dda5d66p-2, -0x1.8335265baf7abp-2, -0x1.72464f230e87cp-2, -0x1.6229b0261866ap-2, -0x1.52d415d423876p-2, -0x1.443af17aefbe6p-2, -0x1.36544f4d5f46bp-2, -0x1.2916cd066c7afp-2, -0x1.1c79911f55f9fp-2, -0x1.10744290a4affp-2, -0x1.04ff0115baab3p-2, -0x1.f424bbd67d254p-3, -0x1.df4eaa01bd6d4p-3, -0x1.cb6e8d2eeed0fp-3, -0x1.b877e289b6919p-3, -0x1.a65ed8ae0cabp-3, -0x1.95184521582e1p-3, -0x1.84999a73485e2p-3, -0x1.74d8defb90c55p-3, -0x1.65cca42ae40f8p-3, -0x1.576bfe659329ep-3, -0x1.49ae7d5f3a834p-3, -0x1.3c8c24ef34aebp-3, -0x1.2ffd66560bdbcp-3, -0x1.23fb19ecf24a3p-3, -0x1.187e79380a8bbp-3, -0x1.0d811955c2a0ep-3, -0x1.02fce5c4ce09bp-3, -0x1.f1d836f702c36p-4, -0x1.de928896d1feap-4, -0x1.cc1e6517e81acp-4, -0x1.ba71fa104553fp-4, -0x1.a983f65527229p-4, -0x1.994b82c854c0fp-4, -0x1.89c03b9381d86p-4, -0x1.7ada29ca1123fp-4, -0x1.6c91bd6baced4p-4, -0x1.5edfc7c12c8cdp-4, -0x1.51bd760de3cd9p-4, -0x1.45244c90e7e18p-4, -0x1.390e21d091863p-4, -0x1.2d751a2bd0d35p-4, -0x1.2253a3ad7dee2p-4, -0x1.17a4721cef75cp-4, -0x1.0d627b4857eb2p-4, -0x1.0388f385c61d4p-4, -0x1.f42694cd8bda9p-5, -0x1.e1fa4f37c6f59p-5, -0x1.d084d00b0c561p-5, -0x1.bfbe35dd8ddbdp-5, -0x1.af9efedff1faap-5, -0x1.a02003edc292bp-5, -0x1.913a73e3d4268p-5, -0x1.82e7cf387994fp-5, -0x1.7521e3d277405p-5, -0x1.67e2c91a804a1p-5, -0x1.5b24dc435a84dp-5, -0x1.4ee2bcc635c6ep-5, -0x1.43174910243e7p-5, -0x1.37bd9b5d3cc74p-5, -0x1.2cd106bf17758p-5, -0x1.224d144c7f1b6p-5, -0x1.182d807796b01p-5, -0x1.0e6e388812f77p-5, -0x1.050b5837e3f55p-5, -0x1.f8024ee0af7afp-6, -0x1.e698304b20b0fp-6, -0x1.d5d1889d4dc11p-6, -0x1.c5a7d7f2482cp-6, -0x1.b614e6ec4d9a7p-6, -0x1.a712c33f42f3fp-6, -0x1.989bbc68d5998p-6, -0x1.8aaa609414bdp-6, -0x1.7d3979a5e4ec1p-6, -0x1.70440a6fd3c9fp-6, -0x1.63c54c07671f9p-6, -0x1.57b8ab400758ep-6, -0x1.4c19c6458e4bdp-6, -0x1.40e46a5592a14p-6, -0x1.36149195d924fp-6, -0x1.2ba661067b40cp-6, -0x1.2196268e2e045p-6, -0x1.17e0571f416fep-6, -0x1.0e818cf406f0ap-6, -0x1.057685e160fe5p-6, -0x1.f978437cc356fp-7, -0x1.e89ec1bfb21c4p-7, -0x1.d85ac54d5680fp-7, -0x1.c8a6c84027a87p-7, -0x1.b97d7d6d8f9b9p-7, -0x1.aad9cde88b0dfp-7, -0x1.9cb6d6a2a4a96p-7, -0x1.8f0fe629d8539p-7, -0x1.81e07a81d2f5p-7, -0x1.75243f1746d5dp-7, -0x1.68d70acbf350cp-7, -0x1.5cf4de1a1c297p-7, -0x1.5179e14e41f0ep-7, -0x1.466262d5e2e2ep-7, -0x1.3baad5a2637c5p-7, -0x1.314fcf9f08f71p-7, -0x1.274e08391504bp-7, -0x1.1da256f906b6bp-7, -0x1.1449b22c44d66p-7, -0x1.0b412d9e45182p-7, -0x1.0285f96090499p-7, -0x1.f42ac141b1e83p-8, -0x1.e3d99118d5a67p-8, -0x1.d4135e80a120dp-8, -0x1.c4d3558b2d937p-8, -0x1.b614d03235ba2p-8, -0x1.a7d3547cb0e6fp-8, -0x1.9a0a92b949ad4p-8, -0x1.8cb663ccb7decp-8, -0x1.7fd2c793039eap-8, -0x1.735be352df00bp-8, -0x1.674e004237d6p-8, -0x1.5ba58a1b3746ap-8, -0x1.505f0dc0d5eaep-8, -0x1.457737f24ae74p-8, -0x1.3aead40cb6b97p-8, -0x1.30b6cada5622cp-8, -0x1.26d8216ea9b08p-8, -0x1.1d4bf80ef00a4p-8, -0x1.140f89265a769p-8, -0x1.0b2028457c138p-8, -0x1.027b412c68b71p-8, -0x1.f43cadbe25c13p-9, -0x1.e40e0586e3545p-9, -0x1.d465e791e5325p-9, -0x1.c53fdb31c6d91p-9, -0x1.b6978f9e7bc48p-9, -0x1.a868da775c175p-9, -0x1.9aafb654a1bccp-9, -0x1.8d684167c9d63p-9, -0x1.808ebc2a28904p-9, -0x1.741f8819109fap-9, -0x1.6817267eecd37p-9, -0x1.5c723748c2f21p-9, -0x1.512d77e79a74ap-9, -0x1.4645c23d3673bp-9, -0x1.3bb80b93bf211p-9, -0x1.3181639fc9902p-9, -0x1.279ef38c5638dp-9, -0x1.1e0dfd10511c2p-9, -0x1.14cbd98d3bb87p-9, -0x1.0bd5f93688e5dp-9, -0x1.0329e24165eb3p-9, -0x1.f58a603903cd5p-10, -0x1.e54b255f0bb0dp-10, -0x1.d5919b43d87fap-10, -0x1.c6596f51ce746p-10, -0x1.b79e73b801643p-10, -0x1.a95c9e2087498p-10, -0x1.9b9006732c37ap-10, -0x1.8e34e5a419602p-10, -0x1.8147948df6b1bp-10, -0x1.74c48ad6f4b21p-10, -0x1.68a85de06a222p-10, -0x1.5cefbfc08512p-10, -0x1.51977e45b311bp-10, -0x1.469c820352283p-10, -0x1.3bfbcd6758603p-10, -0x1.31b27bd891168p-10, -0x1.27bdc0dd11768p-10, -0x1.1e1ae7489af66p-10, -0x1.14c7507294008p-10, -0x1.0bc0737350fcp-10, -0x1.0303dc685a466p-10, -0x1.f51e577ef6e25p-11, -0x1.e4c02b108d81bp-11, -0x1.d4e8c197a19e5p-11, -0x1.c593cdd4e5fdbp-11, -0x1.b6bd25fe8afccp-11, -0x1.a860c2924b01p-11, -0x1.9a7abd3223ebcp-11, -0x1.8d074f8b44a4p-11, -0x1.8002d246e1b39p-11, -0x1.7369bc0468493p-11, -0x1.6738a05d11a5p-11, -0x1.5b6c2eefe5c5cp-11, -0x1.50013276806d8p-11, -0x1.44f48fe1cfa19p-11, -0x1.3a43457ea0dd4p-11, -0x1.2fea6a21c7d22p-11, -0x1.25e72c5ba9593p-11, -0x1.1c36d1b28e12fp-11, -0x1.12d6b5e3cdd56p-11, -0x1.09c44a2b705eep-11, -0x1.00fd149214053p-11, -0x1.f0fd5e81c6dd2p-12, -0x1.e08d8fb6a24bdp-12, -0x1.d0a63dbcc58b5p-12, -0x1.c1430e0aee768p-12, -0x1.b25fc9686763dp-12, -0x1.a3f85acaf3bdep-12, -0x1.9608ce3e7ec1ep-12, -0x1.888d4fd5d2d6cp-12, -0x1.7b822aa483d31p-12, -0x1.6ee3c7c1bc081p-12, -0x1.62aead5326ce9p-12, -0x1.56df7d9ffd8b9p-12, -0x1.4b72f62bd73e1p-12, -0x1.4065eed9168f2p-12, -0x1.35b559128d759p-12, -0x1.2b5e3efc28f03p-12, -0x1.215dc2aa5e94dp-12, -0x1.17b11d6024903p-12, -0x1.0e559ed3382f9p-12, -0x1.0548ac76865f8p-12, -0x1.f90f8194b0e29p-13, -0x1.e820d564bf76fp-13, -0x1.d7c099a20fb52p-13, -0x1.c7ea39d08c238p-13, -0x1.b899467edf98ep-13, -0x1.a9c9741c0f2e2p-13, -0x1.9b7699d6a70b3p-13, -0x1.8d9cb08534b59p-13, -0x1.8037d19798e0ap-13, -0x1.734436111a3c3p-13, -0x1.66be358a9805dp-13, -0x1.5aa2453d413edp-13, -0x1.4eecf7147ddb3p-13, -0x1.439af8c7ece5p-13, -0x1.38a912fc65c17p-13, -0x1.2e14286c131ep-13, -0x1.23d9351571792p-13, -0x1.19f54d70dbb56p-13, -0x1.10659dac7092fp-13, -0x1.072768ee510f3p-13, -0x1.fc70113908d7cp-14, -0x1.eb29d755d4b41p-14, -0x1.da772bdd788fep-14, -0x1.ca533eeecf8f1p-14, -0x1.bab967d958ddp-14, -0x1.aba523e375135p-14, -0x1.9d12151aa9987p-14, -0x1.8efc012d42f92p-14, -0x1.815ed04d21cfap-14, -0x1.74368c1b7d15p-14, -0x1.677f5e9d46fdfp-14, -0x1.5b359137c934ap-14, -0x1.4f558bb571f29p-14, -0x1.43dbd352604ebp-14, -0x1.38c509d09bc19p-14, -0x1.2e0dec937b1c5p-14, -0x1.23b353c23a68ap-14, -0x1.19b23171676cep-14, -0x1.100790d2ef804p-14, -0x1.06b0956cc46cap-14, -0x1.fb54f4aadb857p-15, -0x1.e9e522ee0ff69p-15, -0x1.d90c85afb210dp-15, -0x1.c8c617d175ad9p-15, -0x1.b90cfdb1f1aebp-15, -0x1.a9dc83def6ecap-15, -0x1.9b301dd26c4a9p-15, -0x1.8d0364b8ea261p-15, -0x1.7f521641c91bep-15, -0x1.72181379952a6p-15, -0x1.65515fabe342cp-15, -0x1.58fa1f4f83a6ap-15, -0x1.4d0e96fa779f2p-15, -0x1.418b2a5e53e3p-15, -0x1.366c5b4cf8408p-15, -0x1.2baec8c4c8558p-15, -0x1.214f2e04a181p-15, -0x1.174a61a737391p-15, -0x1.0d9d54c4dde59p-15, -0x1.0445121d4845fp-15, -0x1.f67d7a8cfd2f4p-16, -0x1.e50f23c534b75p-16, -0x1.d439c5b93616dp-16, -0x1.c3f83354cfe19p-16, -0x1.b4456b2a2a8cfp-16, -0x1.a51c960dac0d3p-16, -0x1.967905bd72c7bp-16, -0x1.88563393836dcp-16, -0x1.7aafbf425b357p-16, -0x1.6d816d9b26c3ap-16, -0x1.60c7275dc903cp-16, -0x1.547cf811decc2p-16, -0x1.489f0ce844cf1p-16, -0x1.3d29b3a58067ep-16, -0x1.3219599511bffp-16, -0x1.276a8a85a6a5ap-16, -0x1.1d19efcd7938fp-16, -0x1.13244f570c247p-16, -0x1.09868ab621cdfp-16, -0x1.003d9e43c2badp-16, -0x1.ee8d4082eb7eap-17, -0x1.dd3d8004961a8p-17, -0x1.cc868a33e8feap-17, -0x1.bc631d242b4a9p-17, -0x1.acce244c35a7bp-17, -0x1.9dc2b708c430bp-17, -0x1.8f3c172c4f6f1p-17, -0x1.8135af9ba6fecp-17, -0x1.73ab12f832fdbp-17, -0x1.6697fa5667038p-17, -0x1.59f844002e6e4p-17, -0x1.4dc7f23ff1c1p-17, -0x1.42032a3520dafp-17, -0x1.36a632ae6a00fp-17, -0x1.2bad730ba2624p-17, -0x1.21157223d06b5p-17, -0x1.16dad5392e4fdp-17, -0x1.0cfa5eefc53e7p-17, -0x1.0370ee4a4b923p-17, -0x1.f476fb888399cp-18, -0x1.e2ae44c94e994p-18, -0x1.d18215c91bf87p-18, -0x1.c0ecfdb875df9p-18, -0x1.b0e9bbeb0e0c4p-18, -0x1.a1733e46b34fcp-18, -0x1.92849fb86b593p-18, -0x1.841926ad02ceap-18, -0x1.762c438ba27bep-18, -0x1.68b98f3929884p-18, -0x1.5bbcc9a706817p-18, -0x1.4f31d87441ap-18, -0x1.4314c5a19bbp-18, -0x1.3761be5c2049ep-18, -0x1.2c1511db64decp-18, -0x1.212b304cb943dp-18, -0x1.16a0a9d03df37p-18, -0x1.0c722d71e0485p-18, -0x1.029c8826b9f4bp-18, -0x1.f2394790110c9p-19, -0x1.dfdf0c12c804bp-19, -0x1.ce249ee10310ap-19, -0x1.bd0474a38bb4fp-19, -0x1.ac7933b0d2ef1p-19, -0x1.9c7db23c9f94p-19, -0x1.8d0cf4ac42e04p-19, -0x1.7e222c0f64849p-19, -0x1.6fb8b4b8279c1p-19, -0x1.61cc14e9cf0cdp-19, -0x1.5457fb911fae8p-19, -0x1.47583efda9994p-19, -0x1.3ac8db921e068p-19, -0x1.2ea5f26a31436p-19, -0x1.22ebc7da33138p-19, -0x1.1796c26d95977p-19, -0x1.0ca368d532a32p-19, -0x1.020e614ffd09dp-19, -0x1.efa8e04801189p-20, -0x1.dbe4ed56ddd78p-20, -0x1.c8cae4ca3ba3p-20, -0x1.b654f835f4b75p-20, -0x1.a47d8e25f7189p-20, -0x1.933f4084677e7p-20, -0x1.8294daf8ebce6p-20, -0x1.72795941b9f1ep-20, -0x1.62e7e56d67b42p-20, -0x1.53dbd5fd450e5p-20, -0x1.4550abfdcf2d9p-20, -0x1.37421121c83d4p-20, -0x1.29abd5f23ba9ap-20, -0x1.1c89f032b3983p-20, -0x1.0fd87988aca52p-20, -0x1.0393ae6b64011p-20, -0x1.ef6fda8bc191p-21, -0x1.d8836b59b7dcp-21, -0x1.c25b4f0d94d3ep-21, -0x1.acf104225018ap-21, -0x1.983e458e12272p-21, -0x1.843d086834689p-21, -0x1.70e779948368cp-21, -0x1.5e37fb7515ecep-21, -0x1.4c29239026466p-21, -0x1.3ab5b83c58a26p-21, -0x1.29d8ae192838fp-21, -0x1.198d25f12938fp-21, -0x1.09ce6a8dc324fp-21, -0x1.f52fdde83f54dp-22, -0x1.d7ca9b19cafeap-22, -0x1.bb648f261f4b5p-22, -0x1.9ff5895825a39p-22, -0x1.8575a47203b5ep-22, -0x1.6bdd44e21d643p-22, -0x1.532514fe9bb52p-22, -0x1.3b4602d9d75cp-22, -0x1.24393c99f80c8p-22, -0x1.0df82c8aecb93p-22, -0x1.f0f8ef356af8fp-23, -0x1.c77ff80efc672p-23, -0x1.9f799cc4aa9e8p-23, -0x1.78da6cc862344p-23, -0x1.5397579862d03p-23, -0x1.2fa5a73cf3309p-23, -0x1.0cfafc8e37d59p-23, -0x1.d71a9b0c060b4p-24, -0x1.96a5caf30821dp-24, -0x1.5884c563e5179p-24, -0x1.1ca5727f3d9dp-24, -0x1.c5ecadccc68d3p-25, -0x1.56cd21d77136ep-25, -0x1.d7973a5c5b4fp-26, -0x1.09911cbc7b3b2p-26, -0x1.0d2b74e177c0dp-28, 0x1.edda10d83de26p-28, 0x1.32ec01fb20148p-26, 0x1.e34ca29a03e42p-26, 0x1.4666cbc4df78ep-25, 0x1.97d13238b06eep-25, 0x1.e5fe81469020cp-25, 0x1.18837d31e2f25p-24, 0x1.3c81133ba6ed4p-24, 0x1.5f0377f562555p-24, 0x1.801592606b36ep-24, 0x1.9fc22a4b37bcfp-24, 0x1.be13959f3f58ep-24, 0x1.db13d85a1fc75p-24, 0x1.f6ccb2fa8e4c5p-24, 0x1.08a3cf774abb2p-23, 0x1.1546e79eaab38p-23, 0x1.215414e826f79p-23, 0x1.2ccfb178adb3dp-23, 0x1.37bde1a2f416ep-23, 0x1.4222b1ac12519p-23, 0x1.4c0209ff6dcfp-23, 0x1.555fb6019379ep-23, 0x1.5e3f67c523106p-23, 0x1.66a4b9e7246bap-23, 0x1.6e932ee47f6f5p-23, 0x1.760e2ee959e99p-23, 0x1.7d19063d85d11p-23, 0x1.83b6e5ff23429p-23, 0x1.89eae73fe0335p-23, 0x1.8fb80eecf4fadp-23, 0x1.952150a1b133cp-23, 0x1.9a298f78f6445p-23, 0x1.9ed39d4c1befcp-23, 0x1.a322395a7b5ep-23, 0x1.a7180f2375ed5p-23, 0x1.aab7b5e0b5459p-23, 0x1.ae03b08124af2p-23, 0x1.b0fe6e10b54edp-23, 0x1.b3aa4f3296411p-23, 0x1.b6099f21c6405p-23, 0x1.b81ea48090b25p-23, 0x1.b9eb93b20235fp-23, 0x1.bb72965cbac79p-23, 0x1.bcb5c73e8e561p-23, 0x1.bdb730856752fp-23, 0x1.be78cc0f6760ap-23, 0x1.befc858fd69e1p-23, 0x1.bf443da25e54bp-23, 0x1.bf51cbb63da87p-23, 0x1.bf26fe597714ap-23, 0x1.bec59aaa7508bp-23, 0x1.be2f5bdac43ep-23, 0x1.bd65f2d727008p-23, 0x1.bc6b05b91c479p-23, 0x1.bb402f264ed4dp-23, 0x1.b9e6fe4208cep-23, 0x1.b860f79e9fb66p-23, 0x1.b6af96e02d896p-23, 0x1.b4d4503de0158p-23, 0x1.b2d0912e0295dp-23, 0x1.b0a5c0236e704p-23, 0x1.ae553bc2ef93ap-23, 0x1.abe059d48de4fp-23, 0x1.a948664ff9b8p-23, 0x1.a68ea35f32a69p-23, 0x1.a3b44ade59fd8p-23, 0x1.a0ba906faabf8p-23, 0x1.9da2a29ce99afp-23, 0x1.9a6daa64004bbp-23, 0x1.971cca1dcb088p-23, 0x1.93b11d39a32ecp-23, 0x1.902bb8a81d57bp-23, 0x1.8c8dabb87658ep-23, 0x1.88d7ffc0786e5p-23, 0x1.850bb7b3339d1p-23, 0x1.8129cfcbabd52p-23, 0x1.7d333ddb4a11dp-23, 0x1.7928f22e7e05ep-23, 0x1.750bd890fd4b2p-23, 0x1.70dcd8cffd428p-23, 0x1.6c9cd6774fe3fp-23, 0x1.684cb001e1bb5p-23, 0x1.63ed3e0d0751bp-23, 0x1.5f7f531a20719p-23, 0x1.5b03bc0331bffp-23, 0x1.567b40dab53edp-23, 0x1.51e6a4bac22d1p-23, 0x1.4d46a877d1f87p-23, 0x1.489c084ff9f1dp-23, 0x1.43e77c4dd0891p-23, 0x1.3f29b799ac422p-23, 0x1.3a6368d137e0ep-23, 0x1.35953aa0683cbp-23, 0x1.30bfd3e0c30fcp-23, 0x1.2be3d76f3a62fp-23, 0x1.2701e41c0e046p-23, 0x1.221a94c02bc16p-23, 0x1.1d2e80616980ap-23, 0x1.183e3a6356ecdp-23, 0x1.134a52ae26b32p-23, 0x1.0e5355e14c6d3p-23, 0x1.0959cdb8d7d2p-23, 0x1.045e40d0b9cb6p-23, 0x1.fec26429b7173p-24, 0x1.f4c640e8cc9c3p-24, 0x1.eac90de782fc3p-24, 0x1.e0cbbaa4aee5cp-24, 0x1.d6cf313ef20bp-24, 0x1.ccd456c60e202p-24, 0x1.c2dc0ab242249p-24, 0x1.b8e7262e354eap-24, 0x1.aef67bb7d77fep-24, 0x1.a50ad78d776d4p-24, 0x1.9b2500a63291p-24, 0x1.9145b8df5ca57p-24, 0x1.876dbc666e452p-24, 0x1.7d9dc182c5787p-24, 0x1.73d678ded5e2p-24, 0x1.6a188de984535p-24, 0x1.6064a721d362cp-24, 0x1.56bb6648eca7bp-24, 0x1.4d1d6885af756p-24, 0x1.438b4684ff44ep-24, 0x1.3a05931514b15p-24, 0x1.308cdd5bf03ecp-24, 0x1.2721afe18af9ep-24, 0x1.1dc48fd9f03e6p-24, 0x1.1475fdcf9b2b5p-24, 0x1.0b36758882724p-24, 0x1.02066e75dce71p-24, 0x1.f1ccb8b843cbfp-25, 0x1.dfad5efd65e48p-25, 0x1.cdafa83c56e4ep-25, 0x1.bbd463e5e37d9p-25, 0x1.aa1c5864e6f12p-25, 0x1.9888444a0c0eap-25, 0x1.8718df893b293p-25, 0x1.75cedb2912619p-25, 0x1.64aae056b6631p-25, 0x1.53ad906eb3656p-25, 0x1.42d785668a55dp-25, 0x1.3229521628088p-25, 0x1.21a3829580a61p-25, 0x1.11469c98ace15p-25, 0x1.01131f3de78e9p-25, 0x1.e213065a06f9ep-26, 0x1.c2547db90e303p-26, 0x1.a2eb7864c1cb6p-26, 0x1.83d8c4c0989d1p-26, 0x1.651d241de77c4p-26, 0x1.46b94b252d211p-26, 0x1.28ade31268167p-26, 0x1.0afb8a0dc4c45p-26, 0x1.db45a6cc7fd6fp-27, 0x1.a1488fbc84f96p-27, 0x1.6800c9d69ff33p-27, 0x1.2f6f3e1b5f0b5p-27, 0x1.ef298db103c6ap-28, 0x1.80e444a668636p-28, 0x1.140fe9ac5d76fp-28, 0x1.515b722b70e68p-29, 0x1.f5f666bd91805p-31, -0x1.4dddac8ad6e0ap-31, -0x1.21832bd704423p-29, -0x1.eca4406f2d003p-29, -0x1.5a6c549e9b952p-28, -0x1.bd100d6fe12fbp-28, -0x1.0f1e87b619042p-27, -0x1.3ef99dbb1582dp-27, -0x1.6e19471124a1bp-27, -0x1.9c7d8fd3dfd9p-27, -0x1.ca269229fe74p-27, -0x1.f7147666fc586p-27, -0x1.11a3b9b884d61p-26, -0x1.275fe72aa3ae4p-26, -0x1.3cbeed05f05a3p-26, -0x1.51c0fb4b14fe6p-26, -0x1.6666466ce972bp-26, -0x1.7aaf0da080141p-26, -0x1.8e9b8e955defcp-26, -0x1.a22c11d1655a1p-26, -0x1.b560e446e7c7ep-26, -0x1.c83a5859c3a45p-26, -0x1.dab8c5bde3518p-26, -0x1.ecdc8951bfaf8p-26, -0x1.fea6044597732p-26, -0x1.080acdda294c6p-25, -0x1.1095dbe631bd9p-25, -0x1.18f4658762e49p-25, -0x1.2126a9c25ca29p-25, -0x1.292cdd191bf26p-25, -0x1.31073ffc003dbp-25, -0x1.38b612dbadebbp-25, -0x1.403997c10bd85p-25, -0x1.47921259cf46ap-25, -0x1.4ebfc7f61cfbp-25, -0x1.55c3012ca454bp-25, -0x1.5c9c0562cc1dep-25, -0x1.634b1f421f168p-25, -0x1.69d09ac79c05bp-25, -0x1.702cc5540439cp-25, -0x1.765fedc53692p-25, -0x1.7c6a64602ddc4p-25, -0x1.824c7aa5bad31p-25, -0x1.8806830f5df67p-25, -0x1.8d98d0dad36cap-25, -0x1.9303b82f37efap-25, -0x1.98478f06844f4p-25, -0x1.9d64ae9836ccbp-25, -0x1.a25b7222e0febp-25, -0x1.a72c3298a56b9p-25, -0x1.abd7476dbf988p-25, -0x1.b05d07fb6058bp-25, -0x1.b4bdd0ed0e54ap-25, -0x1.b8f9fe4ce6c3p-25, -0x1.bd11ee2b961cp-25, -0x1.c105fcc2cb055p-25, -0x1.c4d6895c44a42p-25, -0x1.c883f2b6ba3aep-25, -0x1.cc0e97aa0660ap-25, -0x1.cf76d7d5bce24p-25, -0x1.d2bd13689ff7ap-25, -0x1.d5e1ab0b31189p-25, -0x1.d8e4ffa83c5fap-25, -0x1.dbc7724439bdcp-25, -0x1.de8964136c7efp-25, -0x1.e12b369950491p-25, -0x1.e3ad4ba507419p-25, -0x1.e610053e455afp-25, -0x1.e853c597ffbdep-25, -0x1.ea78ef0836985p-25, -0x1.ec7fe3ff493bdp-25, -0x1.ee6906f71c879p-25, -0x1.f034ba5ee8a74p-25, -0x1.f1e360927f8b3p-25, -0x1.f3755bdf3814dp-25, -0x1.f4eb0e8bb88d2p-25, -0x1.f644dadd2addep-25, -0x1.f783230915427p-25, -0x1.f8a6493baa37p-25, -0x1.f9aeafbbd5025p-25, -0x1.fa9cb5a4dbbe6p-25, -0x1.fb70bec232e87p-25, -0x1.fc2b2b7c21a62p-25, -0x1.fccc5cc4b13b1p-25, -0x1.fd54b328ed6f9p-25, -0x1.fdc48ed9b43cp-25, -0x1.fe1c4fce36d29p-25, -0x1.fe5c55998237ep-25, -0x1.fe84ff6a1d1ffp-25, -0x1.fe96ac0a769c7p-25, -0x1.fe91b9ea1670bp-25, -0x1.fe76870dc0f12p-25, -0x1.fe4570fef0cdep-25, -0x1.fdfed50126b6ap-25, -0x1.fda30f2c5caafp-25, -0x1.fd327cc03a4cp-25, -0x1.fcad7a89c741fp-25, -0x1.fc145e05dd10fp-25, -0x1.fb6787d3b4835p-25, -0x1.faa74fd1df589p-25, -0x1.f9d40ec500143p-25, -0x1.f8ee1e8eacdfcp-25, -0x1.f7f5d7acf580ep-25, -0x1.f6eb91deebe7fp-25, -0x1.f5cfa43ff9682p-25, -0x1.f4a2651d27dbp-25, -0x1.f3642a3ba8ee6p-25, -0x1.f21548ec5c78cp-25, -0x1.f0b615edeb49fp-25, -0x1.ef46e54a8b7d1p-25, -0x1.edc80a5885a84p-25, -0x1.ec39d7cb1fc9bp-25, -0x1.ea9c9fa8ff609p-25, -0x1.e8f0b3457f78cp-25, -0x1.e7366342d954dp-25, -0x1.e56dff941e3d5p-25, -0x1.e397d777f1f08p-25, -0x1.e1b4397817e52p-25, -0x1.dfc373687c1adp-25, -0x1.ddc5d265b777cp-25, -0x1.dbbba2d3b5b8fp-25, -0x1.d9a5305bf006cp-25, -0x1.d782c5ebc2191p-25, -0x1.d554adb35bc96p-25, -0x1.d31b311db3777p-25, -0x1.d0d6990ac9559p-25, -0x1.ce872d68daea4p-25, -0x1.cc2d359233fc9p-25, -0x1.c9c8f8004a0eap-25, -0x1.c75aba3914dfdp-25, -0x1.c4e2bfe522636p-25, -0x1.c2613e9b2cab3p-25, -0x1.bfd6a9c497aedp-25, -0x1.bd4319126bdc1p-25, -0x1.baa6da230384ep-25, -0x1.b8022b552818ep-25, -0x1.b5554f785aa18p-25, -0x1.b2a0864923263p-25, -0x1.afe40ed77fb0ap-25, -0x1.ad2027805955ep-25, -0x1.aa550dfb5d4fp-25, -0x1.a782ff24debaep-25, -0x1.a4aa3640b27efp-25, -0x1.a1caef4c91ad2p-25, -0x1.9ee564dc1b8p-25, -0x1.9bf9d1605c72cp-25, -0x1.99086f29d321dp-25, -0x1.96117795dca28p-25, -0x1.93150b6275509p-25, -0x1.90132610361fcp-25, -0x1.8d0cd36b17aaap-25, -0x1.8a01c33b644a5p-25, -0x1.86f1f05706e2p-25, -0x1.83ddc4b4ee4a8p-25, -0x1.80c578630650bp-25, -0x1.7da93be960014p-25, -0x1.7a8940c770e1p-25, -0x1.7765b5c9c1d98p-25, -0x1.743eccbaa054cp-25, -0x1.7114b3f06190fp-25, -0x1.6de79a7f95d53p-25, -0x1.6ab7ae76ee409p-25, -0x1.67851d3a080dfp-25, -0x1.6450137d2a604p-25, -0x1.6118bd4509c14p-25, -0x1.5ddf45e77b6eep-25, -0x1.5aa3d80c5a76bp-25, -0x1.57669dae4ef01p-25, -0x1.5427c01bd0f9bp-25, -0x1.50e767f845e9ap-25, -0x1.4da5bd3d7ee2fp-25, -0x1.4a62e73cd7213p-25, -0x1.471f0ca06a3e6p-25, -0x1.43da536c78f57p-25, -0x1.4094e100b0bfdp-25, -0x1.3d4eda18f429fp-25, -0x1.3a0862cefc761p-25, -0x1.36c19e9fb7271p-25, -0x1.337ab05cbd4bep-25, -0x1.3033ba50077cfp-25, -0x1.2cecde1d5d7dbp-25, -0x1.29a63cd3799cp-25, -0x1.265ff6cf768dep-25, -0x1.231a2b498857bp-25, -0x1.1fd4f7742f406p-25, -0x1.1c9079a19ab55p-25, -0x1.194cd85139c8ap-25, -0x1.160a301771a5ap-25, -0x1.12c89611f3546p-25, -0x1.0f8826d213a53p-25, -0x1.0c48fddd1fcacp-25, -0x1.090b374f6a05bp-25, -0x1.05cef5d0548dap-25, -0x1.02945442229c4p-25, -0x1.feb6b97bfbb65p-26, -0x1.f84863427650ap-26, -0x1.f1ddd676ed62fp-26, -0x1.eb7741ea19f71p-26, -0x1.e514d4b97164fp-26, -0x1.deb6bbf7d410ep-26, -0x1.d85d05c801e5p-26, -0x1.d20837425c888p-26, -0x1.cbb83358d9639p-26, -0x1.c56d29a98c818p-26, -0x1.bf274be747229p-26, -0x1.b8e6c1dbe1adbp-26, -0x1.b2abb26d2611ap-26, -0x1.ac76435d2f4b7p-26, -0x1.a6469bf910da1p-26, -0x1.a01cdf6f37432p-26, -0x1.99f93144bff51p-26, -0x1.93dbb39a04532p-26, -0x1.8dc487f8c05ep-26, -0x1.87b3cf351bc4dp-26, -0x1.81a9a94d10965p-26, -0x1.7ba634e4a0e56p-26, -0x1.75a9915c7df01p-26, -0x1.6fb3dae7fef65p-26, -0x1.69c52e823ec24p-26, -0x1.63dda74c58b24p-26, -0x1.5dfd69ffc4fd2p-26, -0x1.5824762c244eep-26, -0x1.52530140af1c9p-26, -0x1.4c8917d63670ap-26, -0x1.46c6d36b36eefp-26, -0x1.410c4ad55cb47p-26, -0x1.3b599647cf507p-26, -0x1.35aec6dbf6da1p-26, -0x1.300bf693145f1p-26, -0x1.2a713778c8533p-26, -0x1.24de9d373adb1p-26, -0x1.1f543ad19c0cbp-26, -0x1.19d222857bf3cp-26, -0x1.145865e3aa628p-26, -0x1.0ee715d55e416p-26, -0x1.097e429edd233p-26, -0x1.041dfbe122118p-26, -0x1.fd8c9faec2197p-27, -0x1.f2ee9e8049a7dp-27, -0x1.e8620b0760587p-27, -0x1.dde7014540d08p-27, -0x1.d37d9a7eb2133p-27, -0x1.c925eea0d4672p-27, -0x1.bee0149cdb4ep-27, -0x1.b4ac2241eb80ap-27, -0x1.aa8a2c42d163ap-27, -0x1.a07a463e80455p-27, -0x1.967c82c6c2392p-27, -0x1.8c90f36503e84p-27, -0x1.82b7a89857707p-27, -0x1.78f0b1cda1dp-27, -0x1.6f3c1d793c08cp-27, -0x1.6599f9742fbcep-27, -0x1.5c0a52cb56631p-27, -0x1.528d3a96bae99p-27, -0x1.4922c932f8c4dp-27, -0x1.3fcb1a8eff32p-27, -0x1.3683d221bb6e2p-27, -0x1.2d530e0420879p-27, -0x1.24330c6a6a82fp-27, -0x1.1b25b1298fddp-27, -0x1.122b3154b9ecfp-27, -0x1.09437de7ff6e4p-27, -0x1.006e94e621d82p-27, -0x1.ef58eeb9c9cfbp-28, -0x1.ddfa4e11824dp-28, -0x1.ccc14a1b67792p-28, -0x1.bbade3927f563p-28, -0x1.aac01a192f20bp-28, -0x1.99f7ed988b4e5p-28, -0x1.89555ba14fccap-28, -0x1.78d85f485822dp-28, -0x1.6880f3325c486p-28, -0x1.584f13e7ffd15p-28, -0x1.4842c626edfd3p-28, -0x1.385c2091aee2fp-28, -0x1.28998be5f5346p-28, -0x1.18fd2d6f8314fp-28, -0x1.0987998564eap-28, -0x1.f46b7cc224f9ep-29, -0x1.d61278632985ap-29, -0x1.b803c063bf907p-29, -0x1.9a3f17457b386p-29, -0x1.7cc4e87354b04p-29, -0x1.5f9487ba85141p-29, -0x1.42ad9f4d44732p-29, -0x1.2610881830d2ep-29, -0x1.09bc0cd53761fp-29, -0x1.db621eb71b2a6p-30, -0x1.a3ddfce47f3f8p-30, -0x1.6ceb4ed575bf3p-30, -0x1.3689b2663af65p-30, -0x1.00b8a1ac9eeedp-30, -0x1.96ef8b8cabd59p-31, -0x1.2d8d5dff938b9p-31, -0x1.8a92abdc1f45fp-32, -0x1.788bbf5580e5ep-33, 0x1.f9bcf883ae855p-37, 0x1.b3555e3609d0ap-33, 0x1.a15286ff0ffa3p-32, 0x1.3363c9161dee3p-31, 0x1.9505f5141be2bp-31, 0x1.f590eee945f2cp-31, 0x1.2a82e138dfd7bp-30, 0x1.59b2d02634b9dp-30, 0x1.8858d822a3f2ep-30, 0x1.b6758f45c36dep-30, 0x1.e4098df892e48p-30, 0x1.088ab8e668707p-29, 0x1.1ecd84b9636b2p-29, 0x1.34cbd1d6ffb93p-29, 0x1.4a8750f923ca6p-29, 0x1.600025f30e0b5p-29, 0x1.7536a676bdf36p-29, 0x1.8a2afdb6c41a7p-29, 0x1.9edd1b59d8275p-29, 0x1.b34e0184bc939p-29, 0x1.c77dc2bcf9bafp-29, 0x1.db6cb62cb4db4p-29, 0x1.ef1b31ba2707fp-29, 0x1.0144c8141249ep-28, 0x1.0adc15856fed7p-28, 0x1.1453ae3c72071p-28, 0x1.1dabbeb2bf875p-28, 0x1.26e4743574727p-28, 0x1.2ffdfdc45683p-28, 0x1.38f88a2dacc05p-28, 0x1.41d447ed58908p-28, 0x1.4a9165eb02a94p-28, 0x1.533010c829683p-28, 0x1.5bb07e4ef6157p-28, 0x1.6412d795f0d35p-28, 0x1.6c574f4c47834p-28, 0x1.747e15206e52dp-28, 0x1.7c87599b98701p-28, 0x1.84734d9d3325fp-28, 0x1.8c4221a66ad09p-28, 0x1.93f405b681a5ap-28, 0x1.9b892a99f6501p-28, 0x1.a301c2138109ep-28, 0x1.aa5dfdafc6233p-28, 0x1.b19e0f12eacedp-28, 0x1.b8c227a7fb58p-28, 0x1.bfca79a4114cbp-28, 0x1.c6b737c0cfd7ap-28, 0x1.cd88945f42624p-28, 0x1.d43eae1d67108p-28, 0x1.dad99aa75f423p-28, 0x1.e15a249592829p-28, 0x1.e7bff2fc84edbp-28, 0x1.ee0b3d8e3816fp-28, 0x1.f43c50982de8dp-28, 0x1.fa5360d14ccffp-28, 0x1.00285051d797fp-27, 0x1.031a1ff266cdap-27, 0x1.05ff3832a5cf2p-27, 0x1.08d7b214e7266p-27, 0x1.0ba3a67f444aap-27, 0x1.0e632e38629f6p-27, 0x1.111663948b99ep-27, 0x1.13bd69e50a7f7p-27, 0x1.16584cffa8fc6p-27, 0x1.18e711fdf7d0cp-27, 0x1.1b69f54290fb2p-27, 0x1.1de10686bcf16p-27, 0x1.204c5a72be714p-27, 0x1.22ac0c81e61b4p-27, 0x1.25006bb79b6bdp-27, 0x1.2748cfeafc2f4p-27, 0x1.298605a05bbafp-27, 0x1.2bb8fece63affp-27, 0x1.2ddf2e589a7f6p-27, 0x1.2ffb0973b0b74p-27, 0x1.320beeb9b8947p-27, 0x1.3411c4ad7bbc2p-27, 0x1.360dd7cbae9b9p-27, 0x1.37fdcf90518dcp-27, 0x1.39e3fca64a502p-27, 0x1.3bbf8e1567041p-27, 0x1.3d90b60f5b6a8p-27, 0x1.3f5790eeeb7e3p-27, 0x1.411437f94754ep-27, 0x1.42c6b6c26861dp-27, 0x1.446f49b73f153p-27, 0x1.460de4663f6d1p-27, 0x1.47a2ab77db2d4p-27, 0x1.492db5bb697eep-27, 0x1.4aaf1b801b7f2p-27, 0x1.4c26f43515c23p-27, 0x1.4d9557072492fp-27, 0x1.4efa5b4aecfd6p-27, 0x1.50561857d8ff9p-27, 0x1.51a8a5652ec0ep-27, 0x1.52f219b4225efp-27, 0x1.54328c53f91c1p-27, 0x1.556a13a9164afp-27, 0x1.5698c748a0327p-27, 0x1.57bebd5675855p-27, 0x1.58dc1c22302a2p-27, 0x1.59f0cbff21e2p-27, 0x1.5afd2f9a4649dp-27, 0x1.5c00f014d9347p-27, 0x1.5cfc850e4cb4fp-27, 0x1.5defe1a1b44d6p-27, 0x1.5edb1cb736966p-27, 0x1.5fbe4c47343f9p-27, 0x1.609986455fabbp-27, 0x1.616ce0c1d2358p-27, 0x1.623870e365d84p-27, 0x1.62fc4aca5ab8ap-27, 0x1.63b8845761b6p-27, 0x1.646d34137ada8p-27, 0x1.651a726626e61p-27, 0x1.65c04c3b6af95p-27, 0x1.665ed63bb90b6p-27, 0x1.66f62d5df4655p-27, 0x1.67866246051ecp-27, 0x1.680f8976238ddp-27, 0x1.6891b5d89c471p-27, 0x1.690cffacf15c6p-27, 0x1.6981771336353p-27, 0x1.69ef31894efdep-27, 0x1.6a56449aa18aep-27, 0x1.6ab6b9ff1bdbp-27, 0x1.6b10b7dad9f77p-27, 0x1.6b6443b874304p-27, 0x1.6bb177dad4fc7p-27, 0x1.6bf86e4844fedp-27, 0x1.6c39187f18c66p-27, 0x1.6c73ab8a3d20ep-27, 0x1.6ca833a791176p-27, 0x1.6cd6bfd1d489ep-27, 0x1.6cff62e77407p-27, 0x1.6d222fbb694bap-27, 0x1.6d3f38e7861fdp-27, 0x1.6d5690b69fb63p-27, 0x1.6d6848d77efc8p-27, 0x1.6d74739b5aca5p-27, 0x1.6d7b234749025p-27, 0x1.6d7c699072bd4p-27, 0x1.6d78582184b53p-27, 0x1.6d6f0062f3d25p-27, 0x1.6d60713fab92fp-27, 0x1.6d4cc19f1d0bbp-27, 0x1.6d33f5477e6ap-27, 0x1.6d161b142f1a9p-27, 0x1.6cf3bac0150ccp-27, 0x1.6ccbe18e7bbd7p-27, 0x1.6c9f90c48d8cap-27, 0x1.6c6e7375a4f45p-27, 0x1.6c38a5ed8763ap-27, 0x1.6bfe3a840ccbap-27, 0x1.6bbf417b6be85p-27, 0x1.6b7bcb0f35ee8p-27, 0x1.6b33e7121784ap-27, 0x1.6ae7a5ce88a9p-27, 0x1.6a97167cfd8c4p-27, 0x1.6a424906ae72fp-27, 0x1.69e94d453a479p-27, 0x1.698c31ac1b35fp-27, 0x1.692b0472f3c2cp-27, 0x1.68c5d551ca3c9p-27, 0x1.685cabe8431bep-27, 0x1.67ef7590d8d87p-27, 0x1.677ec4aef6d76p-27, 0x1.670a3b9adc8ffp-27, 0x1.669178c4e606ap-27, 0x1.6616050b95439p-27, 0x1.65965dcdb47b8p-27, 0x1.651329b8f55c8p-27, 0x1.648c7d788cbedp-27, 0x1.640262ccc8e0dp-27, 0x1.6374e5960fae1p-27, 0x1.62e41316cf9cdp-27, 0x1.624ff851ed89ap-27, 0x1.61b8a255cb772p-27, 0x1.611e1e5f53935p-27, 0x1.608079a5467b6p-27, 0x1.5fdfbee8cfe83p-27, 0x1.5f3c0fcbe42c4p-27, 0x1.5e9545ce89dbdp-27, 0x1.5deba3253af05p-27, 0x1.5d3f1da0ae3b1p-27, 0x1.5c8fcd2150f5p-27, 0x1.5bdda44bfcaf1p-27, 0x1.5b28c441f5531p-27, 0x1.5a71385714cb2p-27, 0x1.59b708c962fb1p-27, 0x1.58fa429f5aa85p-27, 0x1.583af4a73df0ep-27, 0x1.577915399e672p-27, 0x1.56b4cf386be91p-27, 0x1.55ee0776c767cp-27, 0x1.55251b90707d6p-27, 0x1.5459b16579e94p-27, 0x1.538c04b3a812bp-27, 0x1.52bc1de20b53ap-27, 0x1.51ea064b6a746p-27, 0x1.5115c83224a9fp-27, 0x1.503f6e3798c27p-27, 0x1.4f670328e1fb7p-27, 0x1.4e8c9173fd6d5p-27, 0x1.4db0236358cbbp-27, 0x1.4cd1c1d158d29p-27, 0x1.4bf178ba3e591p-27, 0x1.4b0f51e1d578cp-27, 0x1.4a2b56b39a8ddp-27, 0x1.49458eeecb552p-27, 0x1.485df3ec45ba9p-27, 0x1.4775324700b5p-27, 0x1.4689d842c6069p-27, 0x1.459d5966fc778p-27, 0x1.44af34a2f0617p-27, 0x1.43bf7d465aa8p-27, 0x1.42ce3dc67bac7p-27, }}, 
      {{0x1.2eec13f53bb1cp-3, 0x1.1436f2f874c1cp-2, 0x1.63654e86b18f1p-2, 0x1.7c1657daf8c38p-2, 0x1.5df65d3c19888p-2, 0x1.0ecf5d9fdb7dcp-2, 0x1.3020ed4cc74bfp-3, 0x1.3231de089a02dp-8, -0x1.3f9fe8ed32cf9p-3, -0x1.4b50fc1eb13dp-2, -0x1.f4b1904e059b7p-2, -0x1.4a46c735fbe34p-1, -0x1.929a45dc251a1p-1, -0x1.d14b204d816f4p-1, -0x1.02869dea89775p+0, -0x1.169b9e5bbcf35p+0, -0x1.24d3acf260a46p+0, -0x1.2d5440939c8c5p+0, -0x1.306c9407069b5p+0, -0x1.2e8a488a7c996p+0, -0x1.282f747f63cf6p+0, -0x1.1dea2f6c0c7dep+0, -0x1.104d967cf6cf1p+0, -0x1.ffd86b016f231p-1, -0x1.daa76c75448b9p-1, -0x1.b21363ac285cbp-1, -0x1.8712faa3389c1p-1, -0x1.5a8592314fa88p-1, -0x1.2d31dafd9a65cp-1, -0x1.ff8b02cc97b39p-2, -0x1.a5ab54d405569p-2, -0x1.4dc00edcd984ap-2, -0x1.f1315031f2644p-3, -0x1.4db858f524575p-3, -0x1.6433f59bca313p-4, -0x1.f195691e9e9f8p-7, 0x1.ab01c79631072p-5, 0x1.d639b2f5bf455p-4, 0x1.61d0f18522abep-3, 0x1.ced6cc7a79fe5p-3, 0x1.1923b3c8e0d0ep-2, 0x1.462a8e22f24e1p-2, 0x1.6ea34f4364f5ap-2, 0x1.92b94454c697ap-2, 0x1.b29db955168a1p-2, 0x1.ce8647925ebf4p-2, 0x1.e6ab62e7d0849p-2, 0x1.fb4720b54dd3bp-2, 0x1.064a1986cdc5ep-1, 0x1.0d66893db09afp-1, 0x1.1315a8721caa9p-1, 0x1.1773882d86bd1p-1, 0x1.1a9b4c88856acp-1, 0x1.1ca704fd337dap-1, 0x1.1daf900de8accp-1, 0x1.1dcc886f13f75p-1, 0x1.1d143a1756798p-1, 0x1.1b9b9dc6ac6b9p-1, 0x1.197659c96eb31p-1, 0x1.16b6c6e61e3fcp-1, 0x1.136df88afcf29p-1, 0x1.0fabc77638b84p-1, 0x1.0b7ede2ed4d69p-1, 0x1.06f4c6c3bf37p-1, 0x1.0219f959db6b7p-1, 0x1.f9f3d654d6afdp-2, 0x1.ef3e3b482af73p-2, 0x1.e4265ae1b121cp-2, 0x1.d8bdc263e882cp-2, 0x1.cd146f9b9e5cep-2, 0x1.c138ec6cf0611p-2, 0x1.b538692edd6dfp-2, 0x1.a91ed5be29861p-2, 0x1.9cf6f93e83b1fp-2, 0x1.90ca888285d01p-2, 0x1.84a23b20fa4e8p-2, 0x1.7885df395a8d2p-2, 0x1.6c7c6bf5caea9p-2, 0x1.608c12d2135c7p-2, 0x1.54ba4fb8f5a15p-2, 0x1.490bf8029c128p-2, 0x1.3d854865a0ef2p-2, 0x1.3229f1e77e305p-2, 0x1.26fd25dc873a6p-2, 0x1.1c01a104915cbp-2, 0x1.1139b5d4f61c7p-2, 0x1.06a755f79da8p-2, 0x1.f898363165cb2p-3, 0x1.e4529df09b218p-3, 0x1.d07fe5e5216a7p-3, 0x1.bd218d9e6bbbap-3, 0x1.aa389e67fe80dp-3, 0x1.97c5b6ba7ba0bp-3, 0x1.85c91539e1202p-3, 0x1.7442a25d2a68fp-3, 0x1.6331f9a3cdd25p-3, 0x1.529671e9d208ep-3, 0x1.426f24ddff2c4p-3, 0x1.32baf65bb5636p-3, 0x1.23789a62fd1bfp-3, 0x1.14a69b601349fp-3, 0x1.06435f572a52cp-3, 0x1.f09a595566755p-4, 0x1.d5845e1b028b4p-4, 0x1.bb40f5f5f9f19p-4, 0x1.a1cc23ca878fep-4, 0x1.8921cb2d5668ep-4, 0x1.713db588c1c5fp-4, 0x1.5a1b993116d38p-4, 0x1.43b71d7a46a38p-4, 0x1.2e0bdefc72e36p-4, 0x1.1915752fca7edp-4, 0x1.04cf749ddda3p-4, 0x1.e26ae4fd16d73p-5, 0x1.bc861214ef377p-5, 0x1.97e7b0c61b6a7p-5, 0x1.748712e4217aep-5, 0x1.525ba2c21dae2p-5, 0x1.315ce344bbee5p-5, 0x1.118273bce194cp-5, 0x1.e5882bf330bd5p-6, 0x1.aa335af22bdb3p-6, 0x1.70f681c56958cp-6, 0x1.39c1ff1ed186p-6, 0x1.04868206a5eabp-6, 0x1.a26a0f61392fcp-7, 0x1.3f7dc8b59304p-7, 0x1.c05714e7cfd6cp-8, 0x1.08aeaaa0a3f63p-8, 0x1.5f2ec2a78cd5ep-10, -0x1.4a1c2024920d7p-10, -0x1.ecfaa255a52dap-9, -0x1.9449aa35b774p-8, -0x1.160e946cbf64p-7, -0x1.5f13bcf59aafep-7, -0x1.a54b7e9f8c571p-7, -0x1.e8cc6210a7b5ep-7, -0x1.14d61fee0477ep-6, -0x1.340023f6b558fp-6, -0x1.51ee86ef51c2dp-6, -0x1.6eab42f87f035p-6, -0x1.8a3fffe8518e9p-6, -0x1.a4b6181de56d1p-6, -0x1.be169de3d90afp-6, -0x1.d66a5a2641774p-6, -0x1.edb9cac3cccadp-6, -0x1.020693919c37ep-5, -0x1.0cb632ab092d4p-5, -0x1.16ef9cd96b144p-5, -0x1.20b68aaf34e98p-5, -0x1.2a0e94ea85aa4p-5, -0x1.32fb3703f5efcp-5, -0x1.3b7fcfa1eb245p-5, -0x1.439f9fea8bc8ap-5, -0x1.4b5dcc7b743ebp-5, -0x1.52bd5fc920d35p-5, -0x1.59c14b4f4c593p-5, -0x1.606c6735e283dp-5, -0x1.66c1727305cb2p-5, -0x1.6cc3148a57172p-5, -0x1.7273df488a41p-5, -0x1.77d64f1dfccc7p-5, -0x1.7ceccadc46219p-5, -0x1.81b9a46fbcd28p-5, -0x1.863f1a8b590f2p-5, -0x1.8a7f59c9369f2p-5, -0x1.8e7c7cc52f85ap-5, -0x1.92388c114ae36p-5, -0x1.95b57f10dffb8p-5, -0x1.98f53d569f2a9p-5, -0x1.9bf99f753e55ap-5, -0x1.9ec46f181831bp-5, -0x1.a157670df25e3p-5, -0x1.a3b4340345968p-5, -0x1.a5dc7598c7c08p-5, -0x1.a7d1bf14da3ebp-5, -0x1.a995978d48d68p-5, -0x1.ab2979f1cc3d4p-5, -0x1.ac8ed58a97dd1p-5, -0x1.adc70ed1dd527p-5, -0x1.aed380187298fp-5, -0x1.afb579c7f8fc7p-5, -0x1.b06e426eabc96p-5, -0x1.b0ff16fee0892p-5, -0x1.b1692b6979182p-5, -0x1.b1adab355bfe2p-5, -0x1.b1cdb9d772df5p-5, -0x1.b1ca72d0dd323p-5, -0x1.b1a4e9c4b40bep-5, -0x1.b15e2acb5705p-5, -0x1.b0f73aeed8fdcp-5, -0x1.b071188ceadeap-5, -0x1.afccbb8dbc033p-5, -0x1.af0b15798aa73p-5, -0x1.ae2d119311278p-5, -0x1.ad33952006773p-5, -0x1.ac1f7fc397a53p-5, -0x1.aaf1abc214ff1p-5, -0x1.a9aaee2a2e6f1p-5, -0x1.a84c16e88f976p-5, -0x1.a6d5f0dd3def4p-5, -0x1.a549420fb59edp-5, -0x1.a3a6cbf067339p-5, -0x1.a1ef4b8ada88bp-5, -0x1.a02379a81ab41p-5, -0x1.9e440ae29baa5p-5, -0x1.9c51afb49ca4ap-5, -0x1.9a4d14979c11fp-5, -0x1.9836e2329e854p-5, -0x1.960fbd81cc40cp-5, -0x1.93d847f320301p-5, -0x1.91911f7af39ebp-5, -0x1.8f3adea041b85p-5, -0x1.8cd61c8becdebp-5, -0x1.8a636d25609f8p-5, -0x1.87e3613201c73p-5, -0x1.8556866d549fbp-5, -0x1.82bd679bc3d46p-5, -0x1.80188c98b899ep-5, -0x1.7d687a6013f0cp-5, -0x1.7aadb31aef674p-5, -0x1.77e8b634a8e1dp-5, -0x1.751a006fe80e5p-5, -0x1.72420bf6b2f6p-5, -0x1.6f615067d1a77p-5, -0x1.6c7842e1bd7a9p-5, -0x1.6987560a6af76p-5, -0x1.668efa184034fp-5, -0x1.638f9ce0297dp-5, -0x1.6089a9e483817p-5, -0x1.5d7d8a60d4f05p-5, -0x1.5a6ba553b19ddp-5, -0x1.57545f87be9c6p-5, -0x1.54381b9ad2e64p-5, -0x1.51173a042db2fp-5, -0x1.4df2191d26d2p-5, -0x1.4ac9152c05a95p-5, -0x1.479c886d7c392p-5, -0x1.446ccb1c650c4p-5, -0x1.413a3379076a2p-5, -0x1.3e0515cfe6b9dp-5, -0x1.3acdc47f656b3p-5, -0x1.37948ffd3f0fdp-5, -0x1.3459c6ddb6bd1p-5, -0x1.311db5db8ced4p-5, -0x1.2de0a7deef40ep-5, -0x1.2aa2e603849b3p-5, -0x1.2764b79e56105p-5, -0x1.242662438ea7bp-5, -0x1.20e829cba4e3p-5, -0x1.1daa50583de6p-5, -0x1.1a6d1659f3e91p-5, -0x1.1730ba969eda3p-5, -0x1.13f57a2f5be7p-5, -0x1.10bb90a5bcfe6p-5, -0x1.0d8337e10c6p-5, -0x1.0a4ca83386526p-5, -0x1.0718185f5d5d4p-5, -0x1.03e5bd9b74fb9p-5, -0x1.00b5cb9844697p-5, -0x1.fb10e90a9c8cbp-6, -0x1.f4bbd22d19367p-6, -0x1.ee6cb1131a047p-6, -0x1.e823e154a6e9p-6, -0x1.e1e1bbb0878f6p-6, -0x1.dba6961636b4ap-6, -0x1.d572c3af9f521p-6, -0x1.cf4694ea7a138p-6, -0x1.c9225781fb069p-6, -0x1.c3065688edc41p-6, -0x1.bcf2da73ed0b3p-6, -0x1.b6e829232641p-6, -0x1.b0e685ebefe6ap-6, -0x1.aaee31a26e227p-6, -0x1.a4ff6aa34a48dp-6, -0x1.9f1a6cdd5fd75p-6, -0x1.993f71db3e826p-6, -0x1.936eb0cca1b57p-6, -0x1.8da85e9032a9fp-6, -0x1.87ecadbd59f9bp-6, -0x1.823bceadec99ep-6, -0x1.7c95ef87b2219p-6, -0x1.76fb3c45e3536p-6, -0x1.716bdec2b334ep-6, -0x1.6be7fec0d3ed3p-6, -0x1.666fc1f4fdbfep-6, -0x1.61034c0f4f546p-6, -0x1.5ba2bec4b235ep-6, -0x1.564e39d858a86p-6, -0x1.5105db2534749p-6, -0x1.4bc9bea753aa3p-6, -0x1.4699fe852de75p-6, -0x1.4176b318dc832p-6, -0x1.3c5ff2f95589dp-6, -0x1.3755d303aba48p-6, -0x1.3258666428027p-6, -0x1.2d67be9f72549p-6, -0x1.2883eb9b8786cp-6, -0x1.23acfba8cbeb4p-6, -0x1.1ee2fb8b035c7p-6, -0x1.1a25f682392f4p-6, -0x1.1575f653995ecp-6, -0x1.10d30352327eep-6, -0x1.0c3d2467a292bp-6, -0x1.07b45f1cc1129p-6, -0x1.0338b7a2353d9p-6, -0x1.fd9461b1f8788p-7, -0x1.f4d198b5a7a32p-7, -0x1.ec29150539337p-7, -0x1.e39ad4e9512b4p-7, -0x1.db26d44df4753p-7, -0x1.d2cd0cd2d72b4p-7, -0x1.ca8d75db799a8p-7, -0x1.c268049f14054p-7, -0x1.ba5cac384ce9ep-7, -0x1.b26b5db4c94a5p-7, -0x1.aa9408248fe9ep-7, -0x1.a2d698a940ea6p-7, -0x1.9b32fa853b1dap-7, -0x1.93a9172a7f313p-7, -0x1.8c38d64994426p-7, -0x1.84e21de02e85ep-7, -0x1.7da4d247a77d8p-7, -0x1.7680d6431eec7p-7, -0x1.6f760b0d66506p-7, -0x1.688450667e941p-7, -0x1.61ab84a0e47fep-7, -0x1.5aeb84aea6478p-7, -0x1.54442c2e612ap-7, -0x1.4db555783f12ap-7, -0x1.473ed9ab0203ep-7, -0x1.40e090b904649p-7, -0x1.3a9a51753dcdfp-7, -0x1.346bf19fe6e1ap-7, -0x1.2e5545f2b295dp-7, -0x1.2856222c5c3acp-7, -0x1.226e591b88649p-7, -0x1.1c9dbca9024b7p-7, -0x1.16e41de1a3528p-7, -0x1.11414d0037be3p-7, -0x1.0bb51977cf806p-7, -0x1.063f51feb92bdp-7, -0x1.00dfc49a49f4fp-7, -0x1.f72c7d564511ap-8, -0x1.ecc519f30a662p-8, -0x1.e288f781fcb19p-8, -0x1.d877ad7542d97p-8, -0x1.ce90d24aa99bap-8, -0x1.c4d3fb98093p-8, -0x1.bb40be148e9eap-8, -0x1.b1d6ada075ac9p-8, -0x1.a8955d4e51a23p-8, -0x1.9f7c5f702c228p-8, -0x1.968b45aae74a6p-8, -0x1.8dc1a11050067p-8, -0x1.851f023e83072p-8, -0x1.7ca2f98148246p-8, -0x1.744d16f07c86cp-8, -0x1.6c1cea868ff12p-8, -0x1.6412042b1ba3cp-8, -0x1.5c2bf3affea4ep-8, -0x1.546a48c2d33ecp-8, -0x1.4ccc92d805e89p-8, -0x1.45526117e135bp-8, -0x1.3dfb425681b7ep-8, -0x1.36c6c51eb6593p-8, -0x1.2fb477d3dcf1dp-8, -0x1.28c3e8e95dcap-8, -0x1.21f4a72810554p-8, -0x1.1b4641f4ca022p-8, -0x1.14b84988333efp-8, -0x1.0e4a4f094435p-8, -0x1.07fbe480909f5p-8, -0x1.01cc9ca305b4ep-8, -0x1.f77814f9eb6cfp-9, -0x1.eb9382200afb2p-9, -0x1.dfeaa5f999e01p-9, -0x1.d47ca4a4b117ep-9, -0x1.c948a130265d5p-9, -0x1.be4dbe36b9dabp-9, -0x1.b38b1ef4b187p-9, -0x1.a8ffe8aa90eacp-9, -0x1.9eab440645268p-9, -0x1.948c5e3e04946p-9, -0x1.8aa26990ad8c4p-9, -0x1.80ec9cf887a56p-9, -0x1.776a3307f7fc2p-9, -0x1.6e1a681985019p-9, -0x1.64fc782ab4df3p-9, -0x1.5c0f9cd923eb3p-9, -0x1.53530bffc2318p-9, -0x1.4ac5f75c62726p-9, -0x1.42678d7588a7fp-9, -0x1.3a36fbb5112dcp-9, -0x1.323371653329p-9, -0x1.2a5c2300c5ea5p-9, -0x1.22b04d25cfa27p-9, -0x1.1b2f367a6087dp-9, -0x1.13d82ffefec4p-9, -0x1.0caa93921c865p-9, -0x1.05a5c0cb1bbdap-9, -0x1.fd92316253f4ep-10, -0x1.f027f23d50bb7p-10, -0x1.e30b7189c9aaap-10, -0x1.d63b496aa9f65p-10, -0x1.c9b60027c6bedp-10, -0x1.bd7a0c5a8119ap-10, -0x1.b185dd63e76a2p-10, -0x1.a5d7e6c3fc902p-10, -0x1.9a6eac3fd086ap-10, -0x1.8f48cc79834f7p-10, -0x1.846507c5bbaa8p-10, -0x1.79c241a66ab63p-10, -0x1.6f5f7c48a4c6fp-10, -0x1.653bce8c87148p-10, -0x1.5b56563ebec7fp-10, -0x1.51ae290aec3ap-10, -0x1.4842470504f7fp-10, -0x1.3f11917ffd5f7p-10, -0x1.361ac80a2c3ccp-10, -0x1.2d5c8c488c4bfp-10, -0x1.24d56c12c1c61p-10, -0x1.1c83f00dda01cp-10, -0x1.1466ac389281ep-10, -0x1.0c7c4f88d3074p-10, -0x1.04c3afdf8e8cfp-10, -0x1.fa77a0561df2ep-11, -0x1.ebc7bef958314p-11, -0x1.dd76620d9b1e9p-11, -0x1.cf825c82fd603p-11, -0x1.c1ea8b37206bcp-11, -0x1.b4adb1c3cd7eap-11, -0x1.a7ca5d4b25945p-11, -0x1.9b3ed29a65855p-11, -0x1.8f090a9047e6fp-11, -0x1.8326bcbc8d06ap-11, -0x1.77957584dc8d6p-11, -0x1.6c52b356c7785p-11, -0x1.615c05c3f2427p-11, -0x1.56af299e8a3f6p-11, -0x1.4c4a1dfd8f7eap-11, -0x1.422b2f4d15249p-11, -0x1.3850f71c68b0bp-11, -0x1.2eba511e552cap-11, -0x1.25664781d3a3bp-11, -0x1.1c53fa1c34605p-11, -0x1.1382849bfd0ffp-11, -0x1.0af0e7fd1ea46p-11, -0x1.029dfac406221p-11, -0x1.f510c4555ea82p-12, -0x1.e55d296ddaabdp-12, -0x1.d61dca34f22c4p-12, -0x1.c74f26229c60bp-12, -0x1.b8edbe4496bacp-12, -0x1.aaf63b023dd64p-12, -0x1.9d65880befb4cp-12, -0x1.9038dfa3a2301p-12, -0x1.836dc2f924677p-12, -0x1.7701e43643bd3p-12, -0x1.6af30cdefdf4bp-12, -0x1.5f3f0c8204653p-12, -0x1.53e3b6b64cd0fp-12, -0x1.48deee5fcb4d9p-12, -0x1.3e2eb45865e09p-12, -0x1.33d12d8194b15p-12, -0x1.29c49942b711dp-12, -0x1.20073b0fb7924p-12, -0x1.169742c289356p-12, -0x1.0d72c31ceb94p-12, -0x1.0497bff6d1f27p-12, -0x1.f808a07597fa3p-13, -0x1.e76d82a45e3b3p-13, -0x1.d75b482d9ceeap-13, -0x1.c7cf67780fbe7p-13, -0x1.b8c7349a7d198p-13, -0x1.aa3f549f1c9afp-13, -0x1.9c335e3aff254p-13, -0x1.8e9ddfd098cb1p-13, -0x1.8178daa80371p-13, -0x1.74be8f08a0116p-13, -0x1.686a4ae14908dp-13, -0x1.5c78e1ec770fp-13, -0x1.50e895ad59109p-13, -0x1.45b876622d08fp-13, -0x1.3ae78d1118cdbp-13, -0x1.3074425dfd43p-13, -0x1.265c5300f8542p-13, -0x1.1c9d4cdb45cecp-13, -0x1.13353a8fef759p-13, -0x1.0a2309ee43324p-13, -0x1.0166676179ea2p-13, -0x1.f1fe31477230ep-14, -0x1.e1d845c3f0fb2p-14, -0x1.d25633311215bp-14, -0x1.c36fb609c3dc2p-14, -0x1.b519a17f0a8b4p-14, -0x1.a74753ea49253p-14, -0x1.99ecd6e035f66p-14, -0x1.8d011b35eee81p-14, -0x1.807f70a9bd90cp-14, -0x1.746760dd01f6ap-14, -0x1.68bac7d43ccd7p-14, -0x1.5d7b1c875d95bp-14, -0x1.52a77de8de832p-14, -0x1.483c982b6cb83p-14, -0x1.3e362a2aac2efp-14, -0x1.3490f4e71cf67p-14, -0x1.2b4bdbc636612p-14, -0x1.2267a54b04c27p-14, -0x1.19e592e12508fp-14, -0x1.11c5a97ad2416p-14, -0x1.0a05ac04f1449p-14, -0x1.02a128d0c7d8cp-14, -0x1.f72433ef03dd1p-15, -0x1.e9a2d02d19b9p-15, -0x1.dcae7d29996ecp-15, -0x1.d0377461141d8p-15, -0x1.c4308faf688aap-15, -0x1.b8925b945a71ep-15, -0x1.ad5c33a710734p-15, -0x1.a291f30f82b05p-15, -0x1.98376733845e5p-15, -0x1.8e4cb4ceb0a63p-15, -0x1.84cdea619fad2p-15, -0x1.7bb53027f2686p-15, -0x1.72fdb0d938e6ap-15, -0x1.6aa5bce4c09d2p-15, -0x1.62aec496f0d76p-15, -0x1.5b1a969470983p-15, -0x1.53e803e7c332bp-15, -0x1.4d12064702098p-15, -0x1.4691c213b1332p-15, -0x1.40611b618893fp-15, -0x1.3a7bdbe4f43d7p-15, -0x1.34df06c8bf989p-15, -0x1.2f872d3dbf0bp-15, -0x1.2a6f1e8ead6a4p-15, -0x1.258ffb73b37bap-15, -0x1.20e2a89257987p-15, -0x1.1c61d7fabe9ddp-15, -0x1.180b9fb163fb6p-15, -0x1.13e16c697bc68p-15, -0x1.0fe5ec64465bcp-15, -0x1.0c1a1af3aea45p-15, -0x1.087b91ec1f00fp-15, -0x1.05065016b4e28p-15, -0x1.01b8d656846c6p-15, -0x1.fd2a0cb1b8e5cp-16, -0x1.f73800512170fp-16, -0x1.f195cfe199ab5p-16, -0x1.ec38a6aaa463fp-16, -0x1.e716ab417f1bdp-16, -0x1.e229b838b0e36p-16, -0x1.dd6eeb8b7005dp-16, -0x1.d8e5c96283b6ap-16, -0x1.d48fdad47ad09p-16, -0x1.d06fcc17b2d15p-16, -0x1.cc874abca37e8p-16, -0x1.c8d4495958cfcp-16, -0x1.c54ea8c2bc8d8p-16, -0x1.c1e817881a47cp-16, -0x1.be925dbfd67f2p-16, -0x1.bb4a74721b26cp-16, -0x1.b81aa02028a4p-16, -0x1.b50cd8ce07a09p-16, -0x1.b21dfd3ac0f06p-16, -0x1.af4499012e8e5p-16, -0x1.ac80611caaff4p-16, -0x1.a9d825fc58c53p-16, -0x1.a74c6525cdda7p-16, -0x1.a4d5acf998ff1p-16, -0x1.a26c4195c708ap-16, -0x1.a00c3c69ee443p-16, -0x1.9db4aa9927049p-16, -0x1.9b6579d7a3ca8p-16, -0x1.991e47c789c1fp-16, -0x1.96de6edb2337fp-16, -0x1.94a5fd9b233eep-16, -0x1.9276a4294ff1fp-16, -0x1.905356602c5c1p-16, -0x1.8e3e7d469c633p-16, -0x1.8c37e43046c45p-16, -0x1.8a3a1fa843ea6p-16, -0x1.88393fb3fed79p-16, -0x1.862c56f2ab323p-16, -0x1.841a1fc5fbb41p-16, -0x1.820dff77b0879p-16, -0x1.8004ba0897faep-16, -0x1.7df5df0237fe1p-16, -0x1.7be58f7c09775p-16, -0x1.79da9e900ef47p-16, -0x1.77d27b2851046p-16, -0x1.75c7439b98834p-16, -0x1.73b61c323ff7fp-16, -0x1.719ed5eab0547p-16, -0x1.6f820ce427bd5p-16, -0x1.6d603f0619e14p-16, -0x1.6b399ab25aa2cp-16, -0x1.690e0008d4a69p-16, -0x1.66dd106fcdcfbp-16, -0x1.64a66beacf427p-16, -0x1.626a260b44e11p-16, -0x1.6029133337d78p-16, -0x1.5de4621c496a2p-16, -0x1.5b9ce59d0ee4ep-16, -0x1.595350964e18p-16, -0x1.570731ca0d778p-16, -0x1.54b342ba989fcp-16, -0x1.5253f536fecfdp-16, -0x1.4fef07d8ef5c6p-16, -0x1.4d849d084bdb5p-16, -0x1.4b0fad7062f9ap-16, -0x1.4895a0de271b9p-16, -0x1.461a998128f1dp-16, -0x1.439afea6cd774p-16, -0x1.4113f68180838p-16, -0x1.3e85710544cfbp-16, -0x1.3bf037d42c095p-16, -0x1.3954e8f6ea009p-16, -0x1.36b3d89e14ef2p-16, -0x1.340d313adaa6fp-16, -0x1.316112d70bc58p-16, -0x1.2eafa1a61262ap-16, -0x1.2bf902f602fc1p-16, -0x1.293d50b991683p-16, -0x1.267c96b963c8bp-16, -0x1.23b6e768369e8p-16, -0x1.20ec79a6c3b1bp-16, -0x1.1e1d95583b4ccp-16, -0x1.1b4a53e5d8584p-16, -0x1.187361b9fa352p-16, -0x1.159b140ddf75dp-16, -0x1.12c0f0061c963p-16, -0x1.0fe156d5940dbp-16, -0x1.0cfceea730725p-16, -0x1.0a1287c4d6ffap-16, -0x1.072586e6c20bp-16, -0x1.0438b92177ef8p-16, -0x1.014973f9b7da4p-16, -0x1.fcad33f27ab5cp-17, -0x1.f6c16a691dee8p-17, -0x1.f0d0d46b1646p-17, -0x1.eadc45e68fd6fp-17, -0x1.e4e443b66a91cp-17, -0x1.dee92db5bee4ap-17, -0x1.d8eb56a6a8c4ep-17, -0x1.d2eb12483a50dp-17, -0x1.cce8be722d63fp-17, -0x1.c6e4c660d5dffp-17, -0x1.c0df9c7d656bdp-17, -0x1.bad9a9cc11becp-17, -0x1.b4d33c7fd6dfcp-17, -0x1.aecc86dc62b09p-17, -0x1.a8c5c0580c77ap-17, -0x1.a2bf412162fbap-17, -0x1.9cb94b4ebbfbdp-17, -0x1.96b408098907bp-17, -0x1.90b19a70f1525p-17, -0x1.8ab5506b2b1b9p-17, -0x1.84baf9b93acd6p-17, -0x1.7ebf72b7f0b17p-17, -0x1.78c51c64c62ep-17, -0x1.72d1801be3771p-17, -0x1.6ce27223f8accp-17, -0x1.66f652a7117abp-17, -0x1.610de6caa392dp-17, -0x1.5b29f6325d7b7p-17, -0x1.554afbbf1e7a2p-17, -0x1.4f714e8911a2bp-17, -0x1.499d390ef7f03p-17, -0x1.43cf00f70d45ep-17, -0x1.3e06e98f4dd7dp-17, -0x1.384534d8ce9d8p-17, -0x1.328a24af87547p-17, -0x1.2cd5fc0997fd2p-17, -0x1.2728fff2c4db9p-17, -0x1.218376e75041bp-17, -0x1.1be5a4f79023ep-17, -0x1.164fc5b8c53c2p-17, -0x1.10c2090d1770dp-17, -0x1.0b3c98477e66p-17, -0x1.05bfa4573474dp-17, -0x1.004b6ede80494p-17, -0x1.f5c05b848f842p-18, -0x1.eafbdfbc7cdcap-18, -0x1.e04adff2adb96p-18, -0x1.d5afcaddcede9p-18, -0x1.cb2603608e672p-18, -0x1.c0ae6839d86dfp-18, -0x1.b64d990ddbd75p-18, -0x1.ac012e843ebd1p-18, -0x1.a1c8f3558ba87p-18, -0x1.97a5be55048c8p-18, -0x1.8d980ddb2b2bcp-18, -0x1.83a031cff2561p-18, -0x1.79be6d4bd667fp-18, -0x1.6ff2ff91f8f4fp-18, -0x1.663e257d69178p-18, -0x1.5ca019632904bp-18, -0x1.531912e26cc1dp-18, -0x1.49a946e74b03p-18, -0x1.4050e7c96e9e3p-18, -0x1.371025876d6fdp-18, -0x1.2de72e1e97bb1p-18, -0x1.24d62dd85478bp-18, -0x1.1bdd4eefb8274p-18, -0x1.12fcb8260ace1p-18, -0x1.0a348b11bc3e8p-18, -0x1.0184e3e1065f1p-18, -0x1.f1dbb66911deep-19, -0x1.e0df15486420fp-19, -0x1.d01425ff190e5p-19, -0x1.bf7b2b5604b6ap-19, -0x1.af14243ec89cbp-19, -0x1.9edef5a70efdp-19, -0x1.8edcd074fc0d5p-19, -0x1.7f0c9ea42ccaep-19, -0x1.6f6f2927c3ab5p-19, -0x1.60047d75f170dp-19, -0x1.50cc046c5342cp-19, -0x1.41c61646e1048p-19, -0x1.32f2d2386fc0fp-19, -0x1.24523a2d5975bp-19, -0x1.15e448dcbf65dp-19, -0x1.07a8f5bdb646dp-19, -0x1.f3406a706cf1dp-20, -0x1.d793f0f54c91ep-20, -0x1.bc4c5a9a7da78p-20, -0x1.a1697b97129e1p-20, -0x1.86eb219a4122ap-20, -0x1.6cd1134b9b731p-20, -0x1.531b10f232707p-20, -0x1.39c8d420130c5p-20, -0x1.20da11803c5c6p-20, -0x1.084e77777b014p-20, -0x1.e04b60b6ba574p-21, -0x1.b0bec0da33187p-21, -0x1.81f64a8014622p-21, -0x1.53f128f32ec98p-21, -0x1.26ae78a9941abp-21, -0x1.f45a9620e48c3p-22, -0x1.9cd9649c38232p-22, -0x1.46d7aa6b6f4dp-22, -0x1.e4a74cdec21b5p-23, -0x1.3e95531daae48p-23, -0x1.36e4c890fe5cap-24, 0x1.304573be5eaddp-29, 0x1.440f2ec673a1ep-24, 0x1.3c6957cde883p-23, 0x1.d3ee4abeded18p-23, 0x1.344c651229d01p-22, 0x1.7d36a3ea580b9p-22, 0x1.c4b876f6d9abp-22, 0x1.056a41a299163p-21, 0x1.27c6bb0f287e6p-21, 0x1.497302e76369ap-21, 0x1.6a70791c1bc2ep-21, 0x1.8ac08287017b8p-21, 0x1.aa6489056f94bp-21, 0x1.c95dfbac402c4p-21, 0x1.e7ae4e430e5b5p-21, 0x1.02ab7ce654d44p-20, 0x1.112cbd9cb38a4p-20, 0x1.1f5ba9bf22fb7p-20, 0x1.2d39039527401p-20, 0x1.3ac58e9d8c116p-20, 0x1.48020b8b30af8p-20, 0x1.54ef4d871604p-20, 0x1.618e0ed12b09dp-20, 0x1.6ddf1d06b9b0dp-20, 0x1.79e3438ce07c8p-20, 0x1.859b5257c02eap-20, 0x1.91081a9a96182p-20, 0x1.9c2a6c83b9a4ap-20, 0x1.a7030bea8ed3p-20, 0x1.b192b1de9a0a7p-20, 0x1.bbda35a9b0397p-20, 0x1.c5dacd38dce7bp-20, 0x1.cf959170bfd1bp-20, 0x1.d9096994c6294p-20, 0x1.e238990eaa783p-20, 0x1.eb24557d00ec3p-20, 0x1.f3ccf25663fa9p-20, 0x1.fc33376abbda1p-20, 0x1.022bfeb762855p-19, 0x1.061e0c142d348p-19, 0x1.09f02eb21ea44p-19, 0x1.0da2d0901d0ecp-19, 0x1.11365b0ac9304p-19, 0x1.14ab3772c6b16p-19, 0x1.1801cee355ebfp-19, 0x1.1b3a8a6992799p-19, 0x1.1e55d2b6ee8aep-19, 0x1.21540ff801b49p-19, 0x1.2435aaf6ec29ap-19, 0x1.26fb0b70d507ap-19, 0x1.29a49911d830cp-19, 0x1.2c32bb26cc0cep-19, 0x1.2ea5d89c1a63bp-19, 0x1.30fe57eb77801p-19, 0x1.333c9ef9f09e8p-19, 0x1.3561130ace9e3p-19, 0x1.376c18fb10a3cp-19, 0x1.395e15907cc96p-19, 0x1.3b376d5c855dfp-19, 0x1.3cf8847ceab61p-19, 0x1.3ea1bebc8bef9p-19, 0x1.40337f470a95p-19, 0x1.41ae260001d04p-19, 0x1.43120f1912355p-19, 0x1.445f9b3b63d4dp-19, 0x1.459737591cb17p-19, 0x1.46b975f003fc2p-19, 0x1.47c62712f07f9p-19, 0x1.48bdfc4c0d212p-19, 0x1.49a177c9dc277p-19, 0x1.4a70d11d71be1p-19, 0x1.4b2c63e047989p-19, 0x1.4bd48cde6c8c2p-19, 0x1.4c69a7632c284p-19, 0x1.4cec0da2ea224p-19, 0x1.4d5c18e6e5457p-19, 0x1.4dba21b957c64p-19, 0x1.4e067facc9bdep-19, 0x1.4e4188fd33738p-19, 0x1.4e6b9161bd566p-19, 0x1.4e84eefb7f9e6p-19, 0x1.4e8e009c9d2ecp-19, 0x1.4e8714640f0cbp-19, 0x1.4e7079d742251p-19, 0x1.4e4a8117485c4p-19, 0x1.4e157e3dbbd7cp-19, 0x1.4dd1c2afae8a3p-19, 0x1.4d7f9e123012dp-19, 0x1.4d1f5f3228722p-19, 0x1.4cb152b825aa6p-19, 0x1.4c35c9b91322fp-19, 0x1.4bad0d6a6310cp-19, 0x1.4b1769b1bda18p-19, 0x1.4a75295ae06ep-19, 0x1.49c6966973a3ap-19, 0x1.490bfa3d1b303p-19, 0x1.48459d4eb500ap-19, 0x1.4773c6f58d094p-19, 0x1.4696bd47f5f3bp-19, 0x1.45aec56500b77p-19, 0x1.44bc242a95d3dp-19, 0x1.43bf1e3442a31p-19, 0x1.42b7fccefc2ep-19, 0x1.41a6f75b8bd92p-19, 0x1.408c4fe731f28p-19, 0x1.3f684fb3ec25bp-19, 0x1.3e3b32c040234p-19, 0x1.3d053741c7731p-19, 0x1.3bc69b9643a34p-19, 0x1.3a7f9dbf6f75ap-19, 0x1.3930789b5355fp-19, 0x1.37d969adff7a7p-19, 0x1.367aaae702cefp-19, 0x1.3514769c9adb7p-19, 0x1.33a705ee9eecap-19, 0x1.3232917c2a0c1p-19, 0x1.30b75031d565bp-19, 0x1.2f3579ee8ba9cp-19, 0x1.2dad440f2135bp-19, 0x1.2c1ee3e03c87dp-19, 0x1.2a8a8ddc256d4p-19, 0x1.28f075a8cee8cp-19, 0x1.2750ce23380dfp-19, 0x1.25abc961f6d47p-19, 0x1.240198b6c9e2bp-19, 0x1.22526caef5f12p-19, 0x1.209e75539b45ep-19, 0x1.1ee5e0ed415fp-19, 0x1.1d28de80fb5d2p-19, 0x1.1b679b609a8cep-19, 0x1.19a2445db7fa8p-19, 0x1.17d9057dfa11bp-19, 0x1.160c0a15f78edp-19, 0x1.143b7cc26f31dp-19, 0x1.12678766f965cp-19, 0x1.1090532b591c5p-19, 0x1.0eb6088376c8p-19, 0x1.0cd8cf55b16aap-19, 0x1.0af8cec9fb9e9p-19, 0x1.09162d30ca6dcp-19, 0x1.0731100f823abp-19, 0x1.05499af255485p-19, 0x1.035ff72fd1632p-19, 0x1.0174439a0f689p-19, 0x1.ff0d4b0574daep-20, 0x1.fb2e80155f68ap-20, 0x1.f74c3e5de1081p-20, 0x1.f367360f7d514p-20, 0x1.ef7f3f09c4a48p-20, 0x1.eb94bba32a6ecp-20, 0x1.e7a7ee7a50736p-20, 0x1.e3b91311be271p-20, 0x1.dfc864050b7bep-20, 0x1.dbd61c22ad7c9p-20, 0x1.d7e2756d6b2cap-20, 0x1.d3eda84d31fdap-20, 0x1.cff7ec5588247p-20, 0x1.cc01784d9d7b4p-20, 0x1.c80a8077ae46fp-20, 0x1.c413394ea329dp-20, 0x1.c01bd58aecf3fp-20, 0x1.bc2486d35c681p-20, 0x1.b82d7df0afbap-20, 0x1.b436ead1fd923p-20, 0x1.b040fcb6d0defp-20, 0x1.ac4bd97ecbacep-20, 0x1.a857b8a9fd43bp-20, 0x1.a464c8c07c4fcp-20, 0x1.a07326b8851d1p-20, 0x1.9c8300d68601p-20, 0x1.9894825a0051p-20, 0x1.94a7d167a2b14p-20, 0x1.90bd16d8c68f6p-20, 0x1.8cd47668a905dp-20, 0x1.88ee140605b02p-20, 0x1.850a254da05eep-20, 0x1.81289b541d3c7p-20, 0x1.7d49ca5cd03f8p-20, 0x1.796dc2643678dp-20, 0x1.7594a408a829ap-20, 0x1.71be8f3d8d493p-20, 0x1.6deba0b902d7bp-20, 0x1.6a1bf9110fa42p-20, 0x1.664fb3784eb45p-20, 0x1.6286ee1e9b79fp-20, 0x1.5ec1c258cd4d5p-20, 0x1.5b004baa4f3a2p-20, 0x1.5742a3f5829cfp-20, 0x1.5388e45d49725p-20, 0x1.4fd3254af147p-20, 0x1.4c217e86f8499p-20, 0x1.487406ca37e44p-20, 0x1.44cad4c7f2bafp-20, 0x1.4125fdd0fffaap-20, 0x1.3d8596c2ff9fap-20, 0x1.39e9b3b722abep-20, 0x1.365267963e8afp-20, 0x1.32bfc4cb94981p-20, 0x1.2f31da4cd200cp-20, 0x1.2ba8ca5e62d3ep-20, 0x1.2824952030ab9p-20, 0x1.24a54e46a6c45p-20, 0x1.212b05eaf24aep-20, 0x1.1db5cbcf3a852p-20, 0x1.1a45b31310532p-20, 0x1.16dac2f55f402p-20, 0x1.13750bc05a061p-20, 0x1.10149907524fdp-20, 0x1.0cb97a48e7547p-20, 0x1.0963b89f62b72p-20, 0x1.06135fea4efcap-20, 0x1.02c87b17bca04p-20, 0x1.ff0629a7ec8b5p-21, 0x1.f8866eedbf8e4p-21, 0x1.f211d74e45944p-21, 0x1.eba874167997ep-21, 0x1.e54a5632f2992p-21, 0x1.def78d5f87025p-21, 0x1.d8b02d5b40a6cp-21, 0x1.d274382f17a3fp-21, 0x1.cc43c71cbca32p-21, 0x1.c61ee1fef6925p-21, 0x1.c0059467f7cdap-21, 0x1.b9f7e91b7cd9bp-21, 0x1.b3f5ea3c45ab2p-21, 0x1.adff9f871a44ep-21, 0x1.a815162851cddp-21, 0x1.a23650879e044p-21, 0x1.9c6357c460badp-21, 0x1.969c31640e5b8p-21, 0x1.90e0e25e8c395p-21, 0x1.8b3171d815e44p-21, 0x1.858de1bb0f239p-21, 0x1.7ff636c371ab5p-21, 0x1.7a6a73d263ac9p-21, 0x1.74ea94b9920f6p-21, 0x1.6f7693ef14674p-21, 0x1.6a0e9de78ab9bp-21, 0x1.64b28b265b889p-21, 0x1.5f625c2ef74d9p-21, 0x1.5a1e1d04c6fefp-21, 0x1.54e5bc482eeb5p-21, 0x1.4fb95291755d1p-21, 0x1.4a98c98f8bd5ap-21, 0x1.45842206d6eedp-21, 0x1.407b59dfe7973p-21, 0x1.3b7e6d0769533p-21, 0x1.368d58965612bp-21, 0x1.31a811a9e675ap-21, 0x1.2cce97035251bp-21, 0x1.2800e2d2051fap-21, 0x1.233ef7b81e9eap-21, 0x1.1e88c07b4c784p-21, 0x1.19de3b4bb2fcbp-21, 0x1.153f649172f4ep-21, 0x1.10ac3207b11e2p-21, 0x1.0c24b975209a2p-21, 0x1.07a89883b7d2ap-21, 0x1.033813a88a434p-21, 0x1.fda5e0c294a49p-22, 0x1.f4f2f552e03e3p-22, 0x1.ec56fafb1d0a2p-22, 0x1.e3d18b2810189p-22, 0x1.db62dc3a98f69p-22, 0x1.d30a63fe27e5cp-22, 0x1.cac905dffdc23p-22, 0x1.c29dc51583789p-22, 0x1.ba88e241e7fbfp-22, 0x1.b28a3707e546ap-22, 0x1.aaa1afe901cdap-22, 0x1.a2cf3873ff8f2p-22, 0x1.9b131242f6a54p-22, 0x1.936c3b37d6b22p-22, 0x1.8bdb1a15cc3p-22, 0x1.846008372fc9ep-22, 0x1.7cfa224152d38p-22, 0x1.75a9daa36a72fp-22, 0x1.6e6edabc181fp-22, 0x1.6748dacdb6b58p-22, 0x1.6038190240661p-22, 0x1.593c5fc906e51p-22, 0x1.525572a93f615p-22, 0x1.4b833e4538a89p-22, 0x1.44c5a762b15acp-22, 0x1.3e1c944170c94p-22, 0x1.3787de5e17acfp-22, 0x1.31076c62ee8cep-22, 0x1.2a9b048f0f1a1p-22, 0x1.2442cbf64e39p-22, 0x1.1dfe7c037cd5bp-22, 0x1.17cdc0658a552p-22, 0x1.11b0be77d9afep-22, 0x1.0ba73cf83df4bp-22, 0x1.05b11bf908132p-22, 0x1.ff9c760c0dceap-23, 0x1.f3fcf1c80d3f4p-23, 0x1.e88368e29060bp-23, 0x1.dd2f96c6860dbp-23, 0x1.d20134abdb2fp-23, 0x1.c6f810deed54cp-23, 0x1.bc13d8e7f4df8p-23, 0x1.b1543b6b3ea15p-23, 0x1.a6b90fabf0668p-23, 0x1.9c422762e1a41p-23, 0x1.91ef108e7e8a9p-23, 0x1.87bf8a682acf6p-23, 0x1.7db352859ac8dp-23, 0x1.73ca39d09ae43p-23, 0x1.6a03c92b4ab38p-23, 0x1.605ff43eb3197p-23, 0x1.56de4ed5cda16p-23, 0x1.4d7e6080aea77p-23, 0x1.44409cf16756dp-23, 0x1.3b244bb4ab5c9p-23, 0x1.32291286c1335p-23, 0x1.294eb682f1d87p-23, 0x1.2094b3901edd8p-23, 0x1.17fb446d7af8ep-23, 0x1.0f81b2a8fa4fep-23, 0x1.0727d2f95ac8dp-23, 0x1.fdddbc73a7562p-24, 0x1.eda9b0912d4dep-24, 0x1.ddaf3d1c197bcp-24, 0x1.cdf4ebb4f01ffp-24, 0x1.be77e44770ebdp-24, 0x1.af370f96d0a84p-24, 0x1.a032341b3a1b9p-24, 0x1.9168b3474d565p-24, 0x1.82d9c6d1b7d4fp-24, 0x1.7484f805f4e25p-24, 0x1.6669ebeb8f089p-24, 0x1.5888529eaba87p-24, 0x1.4adef067bac3p-24, 0x1.3d6dfa319b4c9p-24, 0x1.3034c69c72e39p-24, 0x1.2330c0277dc8dp-24, 0x1.1665d126c0681p-24, 0x1.09cf8f584b01ep-24, 0x1.fadd469945321p-25, 0x1.e2852be48b002p-25, 0x1.ca984cba02666p-25, 0x1.b3118a8435e19p-25, 0x1.9bf184d1941c2p-25, 0x1.853d230441cb1p-25, 0x1.6ee1fdc8b1f26p-25, 0x1.58f06715f1ab3p-25, 0x1.43617887e0692p-25, 0x1.2e342416e67ffp-25, 0x1.196792d38a291p-25, 0x1.04faf3d6e5d94p-25, 0x1.e1da002ae0f5dp-26, 0x1.ba793b5c1422dp-26, 0x1.93d4e50a36505p-26, 0x1.6de4103fb5c59p-26, 0x1.48a865ae7718ep-26, 0x1.24156e3c2e80ap-26, 0x1.004788f3b2359p-26, 0x1.ba4d7e4dbf1b5p-27, 0x1.755d494158ac6p-27, 0x1.31c7017f336fp-27, 0x1.df09a91c40bp-28, 0x1.5d043084087b8p-28, 0x1.c6cfdb11dae44p-29, 0x1.844be385b1e09p-30, -0x1.91d1ae098d476p-32, -0x1.219adcc039849p-29, -0x1.0605666c4ebfap-28, -0x1.78c67f0ed9bdap-28, -0x1.e90e6a1983c08p-28, -0x1.2b863b8c3c655p-27, -0x1.614800cfd466bp-27, -0x1.95e566367613fp-27, -0x1.c95e3d98a06d5p-27, -0x1.fbaae175c6fffp-27, -0x1.166ccecf35bb9p-26, -0x1.2e74134bf23cdp-26, -0x1.45eeb38b532f1p-26, -0x1.5cdbbf559de9cp-26, -0x1.7354b00a32ea3p-26, -0x1.8920083b35bf1p-26, -0x1.9e7a8da86b71fp-26, -0x1.b350be4ff208ap-26, -0x1.c79e63bfedeadp-26, -0x1.db6d255aff263p-26, -0x1.eebc1c5796fa7p-26, -0x1.00c681b436744p-25, -0x1.09f0c58f72036p-25, -0x1.12e0634f260efp-25, -0x1.1b8c533ca9c9p-25, -0x1.23fc5a1be00cep-25, -0x1.2c4a8c1793464p-25, -0x1.343769084b7c4p-25, -0x1.3bfd11fc5a86cp-25, -0x1.438932513b427p-25, -0x1.4aefc59330e12p-25, -0x1.51f980751d6p-25, -0x1.58d06dd2c428p-25, -0x1.5f822b2dc59dp-25, -0x1.6612a00fc2eedp-25, -0x1.6c5170cab29d3p-25, -0x1.7265aa45dcedp-25, -0x1.7845fc42248ep-25, -0x1.7df3e7dd70c84p-25, -0x1.83703b5b802bbp-25, }}, 
      {{0x1.0a75d76febccfp-3, 0x1.fd12720e929c5p-3, 0x1.627f192c71063p-2, 0x1.ab1b45d43ecfbp-2, 0x1.d5a129e21190fp-2, 0x1.e2011e8edf073p-2, 0x1.d2228708ad0cp-2, 0x1.a9390bd84f4dap-2, 0x1.6b35e51c8d26ap-2, 0x1.1c590c6f8596ep-2, 0x1.81c0614426037p-3, 0x1.733c376376bd8p-4, -0x1.867af28660ecep-7, -0x1.dbcb8dca2250ap-4, -0x1.c1634272c7a1bp-3, -0x1.472cf0732d0edp-2, -0x1.a895beaebc11dp-2, -0x1.01c42596d2fe2p-1, -0x1.2b80b539b838dp-1, -0x1.51296c1ff88bfp-1, -0x1.728bac52ccd65p-1, -0x1.8f9397330527cp-1, -0x1.a846a0240cb54p-1, -0x1.bcbe92ad1fc2dp-1, -0x1.cd251b6684fd3p-1, -0x1.d9afd9be21c8p-1, -0x1.e29cf9da00766p-1, -0x1.e830512ca0561p-1, -0x1.eab0f4f620093p-1, -0x1.ea673feb3a6dbp-1, -0x1.e79b3b5354248p-1, -0x1.e2935f13ac286p-1, -0x1.db939d153363fp-1, -0x1.d2dcad048cefdp-1, -0x1.c8ab8d93e8522p-1, -0x1.bd393245b1558p-1, -0x1.b0ba560be94d6p-1, -0x1.a35f6b3dacd88p-1, -0x1.9554a25cfba73p-1, -0x1.86c202af0352ep-1, -0x1.77cb908f9ce1ap-1, -0x1.68917dcb6ac8dp-1, -0x1.593060c2e3c57p-1, -0x1.49c16fc59d98p-1, -0x1.3a5abeb64720cp-1, -0x1.2b0f7d7283405p-1, -0x1.1bf035bb7d02cp-1, -0x1.0d0b0794a84bap-1, -0x1.fcd7c696f747dp-2, -0x1.e03981363dccdp-2, -0x1.c44ba52b574f1p-2, -0x1.a91b7048847b5p-2, -0x1.8eb35213a0ec5p-2, -0x1.751b3ecce4927p-2, -0x1.5c58fb8ff6287p-2, -0x1.447063c225687p-2, -0x1.2d63a8152d21ap-2, -0x1.17338775fb1bfp-2, -0x1.01df8249333e1p-2, -0x1.dacc10b801dd2p-3, -0x1.b38943e0def3ap-3, -0x1.8df02895407a9p-3, -0x1.69f90441c66cdp-3, -0x1.479b1098b2eecp-3, -0x1.26ccae2679b5cp-3, -0x1.078390c0fc18fp-3, -0x1.d369ccdc82cccp-4, -0x1.9aaaf2a7d4ab7p-4, -0x1.64b39a6b582ddp-4, -0x1.316c71faf1fdbp-4, -0x1.00bdf97afa2edp-4, -0x1.a52152440e246p-5, -0x1.4d9a22e1303e8p-5, -0x1.f56fda0cb3a1ap-6, -0x1.58999c4b462fcp-6, -0x1.88ae7d4b20cc5p-7, -0x1.c2814fde5b487p-9, 0x1.2f493946ba7fep-8, 0x1.90c985b09087ap-7, 0x1.3db9977f35115p-6, 0x1.ac20e2a077a58p-6, 0x1.09f42d6fac3e1p-5, 0x1.3aada56a04ea9p-5, 0x1.686144da013ecp-5, 0x1.93323c266902p-5, 0x1.bb4280d1d55edp-5, 0x1.e0b2cf5e045c5p-5, 0x1.01d1573d8064ap-4, 0x1.121839abcd81ep-4, 0x1.213ca36a56728p-4, 0x1.2f4c95c160364p-4, 0x1.3c558218ea842p-4, 0x1.48644d84355e1p-4, 0x1.53855478edb97p-4, 0x1.5dc46eadfab14p-4, 0x1.672cf313c36f7p-4, 0x1.6fc9bbdaa1a7ap-4, 0x1.77a52a88f021fp-4, 0x1.7ec92c0aa5b83p-4, 0x1.853f3cc8450ebp-4, 0x1.8b106cad604c6p-4, 0x1.904563273c953p-4, 0x1.94e6631776729p-4, 0x1.98fb4eaab3d9p-4, 0x1.9c8bab289e5cep-4, 0x1.9f9ea4a2bdcb8p-4, 0x1.a23b118e78111p-4, 0x1.a467764e80854p-4, 0x1.a62a0893832f6p-4, 0x1.a788b2b043e15p-4, 0x1.a88916d088a55p-4, 0x1.a930920a89641p-4, 0x1.a9843f66d078ap-4, 0x1.a988fac30300ap-4, 0x1.a94363952e31dp-4, 0x1.a8b7dfa5d3051p-4, 0x1.a7ea9da278ecep-4, 0x1.a6df9794ab0cp-4, 0x1.a59a9550a685fp-4, 0x1.a41f2ebdea6dap-4, 0x1.a270ce04e7657p-4, 0x1.a092b1b6abefp-4, 0x1.9e87eed2cdafcp-4, 0x1.9c5372b0808cap-4, 0x1.99f804e324af6p-4, 0x1.97784905890a8p-4, 0x1.94d6c0651108fp-4, 0x1.9215cba69f81fp-4, 0x1.8f37ac5d3e11ap-4, 0x1.8c3e8680bc8c1p-4, 0x1.892c61d715c4cp-4, 0x1.86032b58f8eb4p-4, 0x1.82c4b67dae59ap-4, 0x1.7f72be71131d7p-4, 0x1.7c0ee7458d6d7p-4, 0x1.789abf1abea3ep-4, 0x1.7517bf2c4772dp-4, 0x1.71874cd41782dp-4, 0x1.6deaba89df1f5p-4, 0x1.6a4348d4699c5p-4, 0x1.6692272789e4dp-4, 0x1.62d874ba5cfb5p-4, 0x1.5f17415a208fap-4, 0x1.5b4f8e2ff6242p-4, 0x1.57824e76ef91ap-4, 0x1.53b0682c2869ap-4, 0x1.4fdab4bbc2f2fp-4, 0x1.4c0201a3401e5p-4, 0x1.48271106e5fe4p-4, 0x1.444a9a411b8a5p-4, 0x1.406d4a6f87ef8p-4, 0x1.3c8fc4f8c3cfp-4, 0x1.38b2a4070865bp-4, 0x1.34d678fc3a6abp-4, 0x1.30fbcce412e7p-4, 0x1.2d2320e21585ap-4, 0x1.294cee96eba4ep-4, 0x1.2579a87e6482dp-4, 0x1.21a9ba4ad348bp-4, 0x1.1ddd893eab6dbp-4, 0x1.1a1574809f223p-4, 0x1.1651d568ce80cp-4, 0x1.1292ffc98a299p-4, 0x1.0ed94236f71cdp-4, 0x1.0b24e64c810abp-4, 0x1.077630ed1ee39p-4, 0x1.03cd627e6b98bp-4, 0x1.002ab7210fb64p-4, 0x1.f91ccdd0e9d1bp-5, 0x1.f1f14c20ba29ap-5, 0x1.ead34a5c6a9bdp-5, 0x1.e3c322bd1bc5ap-5, 0x1.dcc128e13deffp-5, 0x1.d5cdaa22a9408p-5, 0x1.cee8ede94704p-5, 0x1.c81335f797484p-5, 0x1.c14cbeb081778p-5, 0x1.ba95bf5a9abe1p-5, 0x1.b3ee6a61ef648p-5, 0x1.ad56ed981b0bp-5, 0x1.a6cf726fb5aep-5, 0x1.a0581e32f6d87p-5, 0x1.99f112370c68cp-5, 0x1.939a6c0e599f2p-5, 0x1.8d5445b9ece9dp-5, 0x1.871eb5d80fa8bp-5, 0x1.80f9cfcf3c1b1p-5, 0x1.7ae5a3f5f444ep-5, 0x1.74e23fb8e700bp-5, 0x1.6eefadc0a8b38p-5, 0x1.690df61639e61p-5, 0x1.633d1e4512705p-5, 0x1.5d7d297a9ddc4p-5, 0x1.57ce18a3b01d6p-5, 0x1.522fea88fd4d8p-5, 0x1.4ca29beb3b908p-5, 0x1.4726279e36c0ap-5, 0x1.41ba86a1f6d1fp-5, 0x1.3c5fb03a367f4p-5, 0x1.37159a045b83p-5, 0x1.31dc380cab303p-5, 0x1.2cb37ce3498fep-5, 0x1.279b59b09ebdcp-5, 0x1.2293be47e4ccp-5, 0x1.1d9c993903f8ep-5, 0x1.18b5d7e13e8cp-5, 0x1.13df667af4d6p-5, 0x1.0f19302d5798fp-5, 0x1.0a631f1ba708ep-5, 0x1.05bd1c7396999p-5, 0x1.0127107ac5c44p-5, 0x1.f941c536f59c7p-6, 0x1.f054f2e152d63p-6, 0x1.e78775a34caafp-6, 0x1.ded917bb6b38bp-6, 0x1.d649a20e36a98p-6, 0x1.cdd8dc3b09a22p-6, 0x1.c5868cafcd07bp-6, 0x1.bd5278bb9d1c7p-6, 0x1.b53c64a095dfbp-6, 0x1.ad4413a52d6f7p-6, 0x1.a56948254e5f8p-6, 0x1.9dabc3a29c264p-6, 0x1.960b46d3e5214p-6, 0x1.8e8791b3cd75cp-6, 0x1.8720638ec2477p-6, 0x1.7fd57b1047913p-6, 0x1.78a6964fed53cp-6, 0x1.719372de0bc54p-6, 0x1.6a9bcdd00021bp-6, 0x1.63bf63cbbf317p-6, 0x1.5cfdf112e9256p-6, 0x1.5657318d624e1p-6, 0x1.4fcae0d3683bbp-6, 0x1.4958ba374e345p-6, 0x1.430078cf08678p-6, 0x1.3cc1d77d76655p-6, 0x1.369c90fb33d7cp-6, 0x1.30905fdf09893p-6, 0x1.2a9cfea601875p-6, 0x1.24c227bb26d54p-6, 0x1.1eff957eeff7ep-6, 0x1.1955024e69794p-6, 0x1.13c2288a3bd48p-6, 0x1.0e46c29d74292p-6, 0x1.08e28b03f87d2p-6, 0x1.03953c50b709p-6, 0x1.fcbd22672c5d3p-7, 0x1.f27c88fe51403p-7, 0x1.e868225c4733ep-7, 0x1.de7f64d13c73ap-7, 0x1.d4c1c7127a42dp-7, 0x1.cb2ec04403d4cp-7, 0x1.c1c5c80286d5ap-7, 0x1.b886566bf0538p-7, 0x1.af6fe4285d233p-7, 0x1.a681ea7258ef9p-7, 0x1.9dbbe31ec49ffp-7, 0x1.951d48a477c76p-7, 0x1.8ca596239d1e6p-7, 0x1.8454476ce4c41p-7, 0x1.7c28d9084b88fp-7, 0x1.7422c83b8f311p-7, 0x1.6c41931061f8ep-7, 0x1.6484b85a4f4a2p-7, 0x1.5cebb7bc65541p-7, 0x1.557611ae96ddbp-7, 0x1.4e234782ddc2ap-7, 0x1.46f2db6a1b6e8p-7, 0x1.3fe45078ceb3dp-7, 0x1.38f72aab9cbd6p-7, 0x1.322aeeeb86d2dp-7, 0x1.2b7f2311ddafbp-7, 0x1.24f34dec0ce2p-7, 0x1.1e86f73f37ffdp-7, 0x1.1839a7cb9a7f9p-7, 0x1.120ae94fb456dp-7, 0x1.0bfa468b49d71p-7, 0x1.06074b423a2a9p-7, 0x1.0031843f26ab1p-7, 0x1.f4f0feabd1162p-8, 0x1.e9b796cbb7b3p-8, 0x1.deb5f0b801bb5p-8, 0x1.d3eb2e69d860fp-8, 0x1.c95673fd3e62ap-8, 0x1.bef6e7b44563ep-8, 0x1.b4cbb1fa1b4d2p-8, 0x1.aad3fd65b9f01p-8, 0x1.a10ef6bc5e611p-8, 0x1.977bccf3aef7ap-8, 0x1.8e19b133a122p-8, 0x1.84e7d6d81891bp-8, 0x1.7be5737241badp-8, 0x1.7311bec9b29efp-8, 0x1.6a6bf2dd53dcdp-8, 0x1.61f34be3f9cfcp-8, 0x1.59a7084cda37ap-8, 0x1.518668bfb98a3p-8, 0x1.4990b01ce98adp-8, 0x1.41c5237d14efdp-8, 0x1.3a230a30d46c6p-8, 0x1.32a9adc009befp-8, 0x1.2b5859e918f89p-8, 0x1.242e5c9fe1973p-8, 0x1.1d2b060c98611p-8, 0x1.164da88a6d2e9p-8, 0x1.0f9598a60b431p-8, 0x1.09022d1bebc57p-8, 0x1.0292bed67dff5p-8, 0x1.f88d51d861dcep-9, 0x1.ec3a913aa419fp-9, 0x1.e02bfaa38c348p-9, 0x1.d460512d40c92p-9, 0x1.c8d65c3735a93p-9, 0x1.bd8ce760d6234p-9, 0x1.b282c283f0cf1p-9, 0x1.a7b6c1aef01e9p-9, 0x1.9d27bd1edaa41p-9, 0x1.92d49139117ap-9, 0x1.88bc1e84db714p-9, 0x1.7edd49a4bfd4cp-9, 0x1.7536fb4f9fep-9, 0x1.6bc82049bda21p-9, 0x1.628fa95d605bdp-9, 0x1.598c8b538b729p-9, 0x1.50bdbeec6331ap-9, 0x1.482240d78f4b4p-9, 0x1.3fb911ac70509p-9, 0x1.378135e23482fp-9, 0x1.2f79b5c7d4701p-9, 0x1.27a19d7bd9834p-9, 0x1.1ff7fce40bd16p-9, 0x1.187be7a4ef7b7p-9, 0x1.112c75191747cp-9, 0x1.0a08c048710a2p-9, 0x1.030fe7df6ce4bp-9, 0x1.f8821c4c400edp-10, 0x1.eb36b1eeee662p-10, 0x1.de3be370b6525p-10, 0x1.d1900a9db57a5p-10, 0x1.c53188326e1f6p-10, 0x1.b91ec3c9d9f18p-10, 0x1.ad562bcafa4a5p-10, 0x1.a1d6355612d54p-10, 0x1.969d5c31b2aebp-10, 0x1.8baa22b77212bp-10, 0x1.80fb11c08f65ep-10, 0x1.768eb892f2b2ap-10, 0x1.6c63acce552ep-10, 0x1.62788a59efd85p-10, 0x1.58cbf35266e9ep-10, 0x1.4f5c8ff7da67bp-10, 0x1.46290e9bda922p-10, 0x1.3d30238ee61b8p-10, 0x1.3470890d878afp-10, 0x1.2be8ff2cc1dadp-10, 0x1.23984bc6049eep-10, 0x1.1b7d3a6300a38p-10, 0x1.13969c29c5bc6p-10, 0x1.0be347c9590b9p-10, 0x1.0462196743a83p-10, 0x1.fa23e51bfdb21p-11, 0x1.ebe37437b7ddp-11, 0x1.de00b864ac58bp-11, 0x1.d079944a4f201p-11, 0x1.c34bf4d152e51p-11, 0x1.b675d0fed53aep-11, 0x1.a9f529cd617b6p-11, 0x1.9dc80a0541c8bp-11, 0x1.91ec861476a8ep-11, 0x1.8660bbe763e6ep-11, 0x1.7b22d2c34eac5p-11, 0x1.7030fb22dc1d6p-11, 0x1.65896e95034f5p-11, 0x1.5b2a6f9cfbe56p-11, 0x1.511249939617ap-11, 0x1.473f5087d4732p-11, 0x1.3dafe11f1215ap-11, 0x1.346260743711p-11, 0x1.2b553bf568265p-11, 0x1.2286e941e4363p-11, 0x1.19f5e607e7193p-11, 0x1.11a0b7e1e1551p-11, 0x1.0985ec34f160cp-11, 0x1.01a4180ea201ap-11, 0x1.f3f3b004d9142p-12, 0x1.e50ba00d0a4a1p-12, 0x1.d68d56a0ad0a6p-12, 0x1.c87638623a33fp-12, 0x1.bac3b7e9586c8p-12, 0x1.ad735586e84f4p-12, 0x1.a0829f12f6c8cp-12, 0x1.93ef2fc49b7a5p-12, 0x1.87b6b012150d4p-12, 0x1.7bd6d593f6f38p-12, 0x1.704d62e4b035dp-12, 0x1.65182773f17ap-12, 0x1.5a34ff48d25acp-12, 0x1.4fa1d2ac06402p-12, 0x1.455c95c24248bp-12, 0x1.3b6348198d6b9p-12, 0x1.31b3f43701a53p-12, 0x1.284caf34e97c4p-12, 0x1.1f2b987d63aa8p-12, 0x1.164ed9aa43fd5p-12, 0x1.0db4a68bed7c6p-12, 0x1.055b3d4eeb0e9p-12, 0x1.fa81cd60ee727p-13, 0x1.eac7ec58f760ap-13, 0x1.db85941f61e3fp-13, 0x1.ccb796b94382p-13, 0x1.be5adaf3f2a7dp-13, 0x1.b06c5b587402ap-13, 0x1.a2e924cdd9f5bp-13, 0x1.95ce5517750f6p-13, 0x1.8919196acd5c3p-13, 0x1.7cc6ad478c1e1p-13, 0x1.70d459f1d5f3ap-13, 0x1.653f7661684a5p-13, 0x1.5a0567e57b19bp-13, 0x1.4f23a32770853p-13, 0x1.4497ad55da582p-13, 0x1.3a5f1d273476p-13, 0x1.30779b7135374p-13, 0x1.26dee32e0c626p-13, 0x1.1d92c0e69b86p-13, 0x1.14911194481dep-13, 0x1.0bd7c11aa5b49p-13, 0x1.0364c88418217p-13, 0x1.f66c5861c3cd7p-14, 0x1.e693f4708d01fp-14, 0x1.d73c928314e28p-14, 0x1.c862702b4ef09p-14, 0x1.ba01dc114f7dep-14, 0x1.ac173842155b1p-14, 0x1.9e9efd5407d0fp-14, 0x1.9195bd6f3b619p-14, 0x1.84f8266417949p-14, 0x1.78c3025c6f70fp-14, 0x1.6cf33742a1075p-14, 0x1.6185c550dd3d1p-14, 0x1.5677c54d38aa6p-14, 0x1.4bc666b116dddp-14, 0x1.416eeda85e92bp-14, 0x1.376eb0acdc4dbp-14, 0x1.2dc315b93c497p-14, 0x1.24698f72d216cp-14, 0x1.1b5f9b22b3e08p-14, 0x1.12a2c042f57a8p-14, 0x1.0a3091e093fap-14, 0x1.0206b154834c7p-14, 0x1.f445a2479c3c7p-15, 0x1.e5056da411a2bp-15, 0x1.d64875eb6379dp-15, 0x1.c80a8fe06d2dp-15, 0x1.ba47b01cf6c18p-15, 0x1.acfbe8af71d9ap-15, 0x1.a023690397859p-15, 0x1.93ba7f8c0e7a5p-15, 0x1.87bd9b6d569f3p-15, 0x1.7c294c3e3ec64p-15, 0x1.70fa3ee4aaf5ep-15, 0x1.662d386fe8d56p-15, 0x1.5bbf112aa30abp-15, 0x1.51acb21e4d36fp-15, 0x1.47f315d103221p-15, 0x1.3e8f4b0f0a157p-15, 0x1.357e7795fced3p-15, 0x1.2cbdd8401125dp-15, 0x1.244abeefaaaddp-15, 0x1.1c228e7cc23e9p-15, 0x1.1442b6f9b75bap-15, 0x1.0ca8b3d7884a4p-15, 0x1.05520cfeda881p-15, 0x1.fc78b55536252p-16, 0x1.eeca94c258636p-16, 0x1.e195452f4481ap-16, 0x1.d4d4868276e09p-16, 0x1.c884470dbaa99p-16, 0x1.bca09da12bbaap-16, 0x1.b125c6ecc78c5p-16, 0x1.a6102721f0f1cp-16, 0x1.9b5c4c5676002p-16, 0x1.9106e9ec729b7p-16, 0x1.870cd1989be14p-16, 0x1.7d6ae4be1fcbdp-16, 0x1.741e0caa78dd3p-16, 0x1.6b23398f95d39p-16, 0x1.62776585333dbp-16, 0x1.5a179754b7f48p-16, 0x1.5200e31f2c6d3p-16, 0x1.4a306e0a36247p-16, 0x1.42a36f83a2f0bp-16, 0x1.3b573a9192d84p-16, 0x1.34493dd133cfp-16, 0x1.2d770061ef2fdp-16, 0x1.26de1e4ae26a2p-16, 0x1.207c4c4bb800ep-16, 0x1.1a4f64c8d4721p-16, 0x1.14557568c9b59p-16, 0x1.0e8cc043a938fp-16, 0x1.08f3aa7451c72p-16, 0x1.0388a01c83c46p-16, 0x1.fc93fe684b83ap-17, 0x1.f26c2a9628166p-17, 0x1.e8965a08e08fep-17, 0x1.df0f3a77d2f1fp-17, 0x1.d5d39e0b06592p-17, 0x1.cce075f4e0ca8p-17, 0x1.c432c99abd5ap-17, 0x1.bbc7b4067b612p-17, 0x1.b39c6695a8b2bp-17, 0x1.abae29fbafb6dp-17, 0x1.a3fa54df318efp-17, 0x1.9c7e42c378472p-17, 0x1.95374ff3871b1p-17, 0x1.8e22f3ca2ecf2p-17, 0x1.873eed67597cfp-17, 0x1.808964c3d0f8fp-17, 0x1.7a00dd303fa06p-17, 0x1.73a3f9cf9bca5p-17, 0x1.6d713f3cfc3cep-17, 0x1.676700dbe4b83p-17, 0x1.61837dfd98579p-17, 0x1.5bc507c508148p-17, 0x1.562a0c6f011a5p-17, 0x1.50b10c3d52deep-17, 0x1.4b58918bce50dp-17, 0x1.461f35cf41e4dp-17, 0x1.4103a90e0838p-17, 0x1.3c04b0ca93294p-17, 0x1.37211e0da6c8fp-17, 0x1.3257c213f5ec8p-17, 0x1.2da7684b24a82p-17, 0x1.290ed668c5af5p-17, 0x1.248cd28deaa5ep-17, 0x1.20203438570ddp-17, 0x1.1bc7fefdf77bcp-17, 0x1.17837264e92d7p-17, 0x1.1351f6aa1290ep-17, 0x1.0f32f021dcf66p-17, 0x1.0b25a4722823fp-17, 0x1.07294bf139587p-17, 0x1.033d347f2ef7dp-17, 0x1.fec190388534p-18, 0x1.f726e9a9e9006p-18, 0x1.efa93856b7469p-18, 0x1.e847333020b51p-18, 0x1.e0ffa37b11562p-18, 0x1.d9d179d194799p-18, 0x1.d2bbd2aa49c97p-18, 0x1.cbbde59c778cbp-18, 0x1.c4d6e78ddb662p-18, 0x1.be05f736e9ba8p-18, 0x1.b74a2528673b2p-18, 0x1.b0a28f1dac61ap-18, 0x1.aa0e7335dcc73p-18, 0x1.a38d2acd604b6p-18, 0x1.9d1e1a7972d21p-18, 0x1.96c0a94ad4bf2p-18, 0x1.90743bac9c0efp-18, 0x1.8a3826a439575p-18, 0x1.840bcb347b8e2p-18, 0x1.7deec0e001263p-18, 0x1.77e0d6a842944p-18, 0x1.71e1d561a82f5p-18, 0x1.6bf1597ed291dp-18, 0x1.660eef7ad3b86p-18, 0x1.603a30a56487bp-18, 0x1.5a72c074cb8bfp-18, 0x1.54b84c4fdd28p-18, 0x1.4f0a9354a3516p-18, 0x1.4969658a22b16p-18, 0x1.43d4994e825d5p-18, 0x1.3e4bfef5b3c2p-18, 0x1.38cf5a693e85dp-18, 0x1.335e696d752cfp-18, 0x1.2df8f726baaffp-18, 0x1.289eee33d6fe8p-18, 0x1.235051589de7bp-18, 0x1.1e0d17a858d41p-18, 0x1.18d5101c45d57p-18, 0x1.13a7ea066618fp-18, 0x1.0e85518dd7d1cp-18, 0x1.096d16fa0c34p-18, 0x1.045f4fc7e6493p-18, 0x1.feb859637fa3cp-19, 0x1.f4c756a0a438ap-19, 0x1.eaeb407f07859p-19, 0x1.e123e8646640cp-19, 0x1.d77147b56a703p-19, 0x1.cdd34f6091d84p-19, 0x1.c449ef5116474p-19, 0x1.bad52264892fbp-19, 0x1.b174e8389c058p-19, 0x1.a8293f1326ae2p-19, 0x1.9ef2241edd75bp-19, 0x1.95cf951613531p-19, 0x1.8cc18fa77af8dp-19, 0x1.83c80fae05369p-19, 0x1.7ae3141168d36p-19, 0x1.7212ac046cac4p-19, 0x1.6956fd5dca535p-19, 0x1.60b02fc689ffep-19, 0x1.581e456b1d7cdp-19, 0x1.4fa112f59bac1p-19, 0x1.4738674e2618dp-19, 0x1.3ee42e83e7a8fp-19, 0x1.36a48d2e41ff4p-19, 0x1.2e79cc7be0bedp-19, 0x1.2663f4b5e5376p-19, 0x1.1e62e0771c1bap-19, 0x1.16769d1f4934fp-19, 0x1.0e9f440ebb31fp-19, 0x1.06dcd8eeca822p-19, 0x1.fe5ec6d408b95p-20, 0x1.ef2de5b1cfd3ep-20, 0x1.e0272975f58d7p-20, 0x1.d14aa0cdf2491p-20, 0x1.c2984ff6fe1p-20, 0x1.b4103ab36514ap-20, 0x1.a5b262d3345f1p-20, 0x1.977ed3d8c0c87p-20, 0x1.89759d696de0dp-20, 0x1.7b96cd1f28d93p-20, 0x1.6de26b21aa0e7p-20, 0x1.60587cdd6f45cp-20, 0x1.52f90ac1db4ccp-20, 0x1.45c41d5e383cdp-20, 0x1.38b9a91680f91p-20, 0x1.2bd98e47ce031p-20, 0x1.1f23c5234b5b3p-20, 0x1.1298564353d53p-20, 0x1.063733231b51ap-20, 0x1.f4009bc176a5ep-21, 0x1.dbe6f3b44e001p-21, 0x1.c42179c498b58p-21, 0x1.acb0281db03c6p-21, 0x1.9592bac25130dp-21, 0x1.7ec90fd687d5fp-21, 0x1.6852ff56d99ap-21, 0x1.523065c1e0d13p-21, 0x1.3c6114e6666f1p-21, 0x1.26e4d2020d3c3p-21, 0x1.11bb5829dbdep-21, 0x1.f9c8b87a9f461p-22, 0x1.d0bf22762e85p-22, 0x1.a859584bf8d27p-22, 0x1.8096cb6ee8b31p-22, 0x1.5976f0685dc37p-22, 0x1.32f932121d561p-22, 0x1.0d1cd6c658a3dp-22, 0x1.cfc265aa68638p-23, 0x1.868aae34a57cdp-23, 0x1.3e911473d98bep-23, 0x1.efa83789c5e2dp-24, 0x1.64a43b201dcc8p-24, 0x1.b8268c8cf91ep-25, 0x1.57cb35f4282b8p-26, -0x1.6e1092f473cf2p-27, -0x1.5e2090c389ce9p-25, -0x1.2dfb255c75765p-24, -0x1.aa8527b0d5d3dp-24, -0x1.125970db6d19ep-23, -0x1.4e4448e43f05fp-23, -0x1.89050788ce852p-23, -0x1.c29db6c6c704ap-23, -0x1.fb106e181412bp-23, -0x1.192fa8f88a2ap-22, -0x1.34464a2df794ap-22, -0x1.4ecd3b0e1953ep-22, -0x1.68c5a0b6bd4b6p-22, -0x1.8230a5a7887b3p-22, -0x1.9b0f773fca89ap-22, -0x1.b36344332451ap-22, -0x1.cb2d3b7cacc73p-22, -0x1.e26e8cb1bbd01p-22, -0x1.f9286ad79ea72p-22, -0x1.07ae085ca0dcep-21, -0x1.1285616a5448dp-21, -0x1.1d1ae5f24ce76p-21, -0x1.276f3ac92280fp-21, -0x1.318301d95ba8ep-21, -0x1.3b56dc4a3494fp-21, -0x1.44eb6e35555b4p-21, -0x1.4e415a518151bp-21, -0x1.575945461beb1p-21, -0x1.6033eedc3f041p-21, -0x1.68d1feeb6c0a2p-21, -0x1.71340e840b36dp-21, -0x1.795ad10cff852p-21, -0x1.8146f5f389905p-21, -0x1.88f927cf30c41p-21, -0x1.9072129c3fc28p-21, -0x1.97b263e923629p-21, -0x1.9ebac9fcea92cp-21, -0x1.a58bf39d5bc74p-21, -0x1.ac268fc24dca5p-21, -0x1.b28b4d618934cp-21, -0x1.b8badb962c1c7p-21, -0x1.beb5e9c0cc67cp-21, -0x1.c47d2769ab26bp-21, -0x1.ca11440536f17p-21, -0x1.cf72eec8dd77p-21, -0x1.d4a2d68ab5834p-21, -0x1.d9a1a9cca951ap-21, -0x1.de7016f999b12p-21, -0x1.e30eccac59713p-21, -0x1.e77e799fe8501p-21, -0x1.ebbfcc458f072p-21, -0x1.efd372259c113p-21, -0x1.f3ba17224b42cp-21, -0x1.f77465910ad4ap-21, -0x1.fb03090e4305p-21, -0x1.fe66b0fa61d62p-21, -0x1.00d0019e272e1p-20, -0x1.0257d8696b74p-20, -0x1.03cb2eaaa3514p-20, -0x1.052a5860bcdb6p-20, -0x1.0675aa310fdf8p-20, -0x1.07ad7754b3c2dp-20, -0x1.08d212b4de162p-20, -0x1.09e3ced821032p-20, -0x1.0ae2fdcec3f33p-20, -0x1.0bcff12978642p-20, -0x1.0caaf9e3823cdp-20, -0x1.0d7468b03f3abp-20, -0x1.0e2c8dffd19a5p-20, -0x1.0ed3b83e3e8f5p-20, -0x1.0f6a374494338p-20, -0x1.0ff05985e1beap-20, -0x1.10666da52741ep-20, -0x1.10ccbdc68eb44p-20, -0x1.11239a30d0fa4p-20, -0x1.116b4d2aef0afp-20, -0x1.11a4223305aedp-20, -0x1.11ce648266ce1p-20, -0x1.11ea5e4213c3ap-20, -0x1.11f85901fd92ap-20, -0x1.11f89dc404556p-20, -0x1.11eb74c6d19d5p-20, -0x1.11d1259445416p-20, -0x1.11a9f6f05e07dp-20, -0x1.11762eeebf763p-20, -0x1.113613477e2d1p-20, -0x1.10e9e93593cb6p-20, -0x1.1091f4a86f50bp-20, -0x1.102e78f51ebd8p-20, -0x1.0fbfb9184cd5bp-20, -0x1.0f45f7582ee6ap-20, -0x1.0ec174ec22b22p-20, -0x1.0e327275cd19ap-20, -0x1.0d992fe91da8ep-20, -0x1.0cf5ec821ead2p-20, -0x1.0c48e6c283fa9p-20, -0x1.0b925c7135abbp-20, -0x1.0ad28a98fd496p-20, -0x1.0a09ad8879eadp-20, -0x1.093800d315aa9p-20, -0x1.085dbf5610002p-20, -0x1.077b23378efa8p-20, -0x1.069065f34a133p-20, -0x1.059dc045e91b5p-20, -0x1.04a36a2356076p-20, -0x1.03a19aa75eef9p-20, -0x1.029887a36a2e7p-20, -0x1.01885f961eb9p-20, -0x1.00716f2e20f9p-20, -0x1.fea7ab4652f0ap-21, -0x1.fc5f97666372p-21, -0x1.fa0b06ba4e924p-21, -0x1.f7aa5fbcd81fap-21, -0x1.f53e053c701fap-21, -0x1.f2c658cbd42dcp-21, -0x1.f043ba79718b9p-21, -0x1.edb688de28a2ep-21, -0x1.eb1f215fd3bf2p-21, -0x1.e87ddfa09a9a9p-21, -0x1.e5d31e8c57981p-21, -0x1.e31f347b60535p-21, -0x1.e0627a7c74866p-21, -0x1.dd9d499f8eaaep-21, -0x1.dacff8eb26c33p-21, -0x1.d7facc931611dp-21, -0x1.d51df4106b3fdp-21, -0x1.d23a393bada02p-21, -0x1.cf4fa0af8da89p-21, -0x1.cc5e57bffd49dp-21, -0x1.c966c9e360f4ap-21, -0x1.c669453a597e9p-21, -0x1.c366130c8013ep-21, -0x1.c05d7c932eb9fp-21, -0x1.bd4fc954bec5fp-21, -0x1.ba3d39066a061p-21, -0x1.b72619d8e0dc6p-21, -0x1.b40aab0be7f98p-21, -0x1.b0eb2f9509bf4p-21, -0x1.adc7e8d20597dp-21, -0x1.aaa116d88848dp-21, -0x1.a776f884ee897p-21, -0x1.a449cb7c29012p-21, -0x1.a119cc2e691d9p-21, -0x1.9de735e086fd9p-21, -0x1.9ab242b7b8a67p-21, -0x1.977b2bb96bbd4p-21, -0x1.944228c579069p-21, -0x1.91077099c094ap-21, -0x1.8dcb38d45c2cdp-21, -0x1.8a8db5dd074dap-21, -0x1.874f1ae7416f9p-21, -0x1.840f9a4ca43ep-21, -0x1.80cf65889cc6cp-21, -0x1.7d8ead3743684p-21, -0x1.7a4d9f46fb712p-21, -0x1.770c6a8458f41p-21, -0x1.73cb3c508b3d7p-21, -0x1.708a407e08d8ep-21, -0x1.6d49a21339378p-21, -0x1.6a098aa5f63a8p-21, -0x1.66ca21a0a66b4p-21, -0x1.638b8ee949554p-21, -0x1.604e00b031bdap-21, -0x1.5d119c5b3d75ep-21, -0x1.59d680c0c771ep-21, -0x1.569cd3a62e5dbp-21, -0x1.5364baf284ab4p-21, -0x1.502e58f60a36ep-21, -0x1.4cf9cbec24b15p-21, -0x1.49c736f41a61fp-21, -0x1.4696ba86013d8p-21, -0x1.4368775fcd2f6p-21, -0x1.403c8aa64d911p-21, -0x1.3d13115fca4f7p-21, -0x1.39ec2836c1a6p-21, -0x1.36c7ea9d14b08p-21, -0x1.33a660e66503p-21, -0x1.3087dc405d52ap-21, -0x1.2d6c4a1f035e6p-21, -0x1.2a53c6fcdb8a2p-21, -0x1.273e6f3274468p-21, -0x1.242c599f9c743p-21, -0x1.211d9eb5b880cp-21, -0x1.1e1256697b386p-21, -0x1.1b0a945f7f794p-21, -0x1.18066c31e2841p-21, -0x1.1505f20006da4p-21, -0x1.120938ff50a59p-21, -0x1.0f1053d876058p-21, -0x1.0c1b54a87aa0ep-21, -0x1.092a4c7b16b0fp-21, -0x1.063d507e2ca3ep-21, -0x1.0354653c9a7dep-21, -0x1.006fa61d4439fp-21, -0x1.fb1e3a8d0b803p-22, -0x1.f565b1e903e7p-22, -0x1.efb5dd15b6c0dp-22, -0x1.ea0ead5979181p-22, -0x1.e47068189871cp-22, -0x1.dedb1169edb82p-22, -0x1.d94ec4a816b9ep-22, -0x1.d3cb96b92090fp-22, -0x1.ce51a0c0d31e5p-22, -0x1.c8e0ecb61e7cdp-22, -0x1.c37999569767ap-22, -0x1.be1bb396e9fd5p-22, -0x1.b8c74d0d72007p-22, -0x1.b37c7664a43fep-22, -0x1.ae3b3f20fe348p-22, -0x1.a903b5dba90a5p-22, -0x1.a3d5e84e2c753p-22, -0x1.9eb1e357dbbaap-22, -0x1.9997b301fd9c9p-22, -0x1.94876269935f6p-22, -0x1.8f80fc466c98p-22, -0x1.8a8489dc9dcb4p-22, -0x1.85921433ce0d6p-22, -0x1.80a9a373f2d62p-22, -0x1.7bcb3edb858d7p-22, -0x1.76f6ed15a565bp-22, -0x1.722cb414c2903p-22, -0x1.6d6c9916ac54p-22, -0x1.68b6a0aa143b2p-22, -0x1.640aceb298795p-22, -0x1.5f692673414e3p-22, -0x1.5ad1aa948e166p-22, -0x1.56445d2232111p-22, -0x1.51c13f92d117fp-22, -0x1.4d4852ca95dc5p-22, -0x1.48d9973bee426p-22, -0x1.44750d6ac4484p-22, -0x1.401ab74acfa37p-22, -0x1.3bca96c5c2186p-22, -0x1.378434c61abbdp-22, -0x1.3348b6d56c64cp-22, -0x1.2f16fed371ecap-22, -0x1.2aef6777c5848p-22, -0x1.26d1f9b5ad0d5p-22, -0x1.22bea97031a8ap-22, -0x1.1eb56e0b36a3ep-22, -0x1.1ab642f0ed4d9p-22, -0x1.16c1232559ee5p-22, -0x1.12d60832dc308p-22, -0x1.0ef4ec244f361p-22, -0x1.0b1dc9b9ddd37p-22, -0x1.0750979d6d85fp-22, -0x1.038d4fdbcf2fep-22, -0x1.ffa7d38a7f62cp-23, -0x1.f848b91655694p-23, -0x1.f0fd406fc3f21p-23, -0x1.e9c55ce6f931bp-23, -0x1.e2a1086b83479p-23, -0x1.db8f97a05ef15p-23, -0x1.d491cfe41754ep-23, -0x1.cda7d6eda712bp-23, -0x1.c6d07af56bde8p-23, -0x1.c00c35eb19a43p-23, -0x1.b95af58411cb6p-23, -0x1.b2bc9862a2f99p-23, -0x1.ac3130d106525p-23, -0x1.a5b881eb60d84p-23, -0x1.9f526888a9a79p-23, -0x1.98fec2c927535p-23, -0x1.92bdb6f5b23a7p-23, -0x1.8c8eef3a21d95p-23, -0x1.86726692c9be1p-23, -0x1.80680231e0e11p-23, -0x1.7a6fab580df28p-23, -0x1.74893cc368bedp-23, -0x1.6eb4a7c2f6fdap-23, -0x1.68f1cd490752cp-23, -0x1.63408926548a1p-23, -0x1.5da0c9402cf9p-23, -0x1.58126e31a83f2p-23, -0x1.52955b30fadcfp-23, -0x1.4d29735bd1215p-23, -0x1.47ce99470685fp-23, -0x1.4284b0dc811cap-23, -0x1.3d4b9a68a14bep-23, -0x1.38233b6345978p-23, -0x1.330b73e04c763p-23, -0x1.2e0425f2fc99dp-23, -0x1.290d32f007d56p-23, -0x1.2426796dbaa83p-23, -0x1.1f4fd881b5e31p-23, -0x1.1a891410fd99ap-23, -0x1.15d28110cd9e7p-23, -0x1.112b9679f652cp-23, -0x1.0c94423a68e3ap-23, -0x1.080c63f5a6d97p-23, -0x1.0393e906a78e8p-23, -0x1.fe55b7e985b3cp-24, -0x1.f5a1b1026be5dp-24, -0x1.ed0bb4d1af4c5p-24, -0x1.e49381a96c052p-24, -0x1.dc38df55f71eep-24, -0x1.d3fb879284b5cp-24, -0x1.cbdb3b0ae4c06p-24, -0x1.c3d7ba7e1b442p-24, -0x1.bbf0cb2022053p-24, -0x1.b4262fc174057p-24, -0x1.ac77a3e74c13fp-24, -0x1.a4e4e5a600191p-24, -0x1.9d6db629dac62p-24, -0x1.9611d588b0767p-24, -0x1.8ed116482a629p-24, -0x1.87ab0b693d299p-24, -0x1.809fa3474ab3ap-24, -0x1.79ae8cae9b2f2p-24, -0x1.72d78957a9ff1p-24, -0x1.6c1a59e29dae5p-24, -0x1.6576bf2eddb38p-24, -0x1.5eec7b3487f2bp-24, -0x1.587b50fe6831bp-24, -0x1.522301b6f2ecap-24, -0x1.4be34d2641709p-24, -0x1.45bbf450f7015p-24, -0x1.3facb8672b612p-24, -0x1.39b55d304b7bcp-24, -0x1.33d5a2976758ep-24, -0x1.2e0d49e28c018p-24, -0x1.285c1499beac2p-24, -0x1.22c1e881edeadp-24, -0x1.1d3ec0ab0a218p-24, -0x1.17d1410be153fp-24, -0x1.127a329fb8dbep-24, -0x1.0d3948266d85ap-24, -0x1.080e1f6048e67p-24, -0x1.02f85a32fb74dp-24, -0x1.fbeffbfab6b28p-25, -0x1.f2193ba313396p-25, -0x1.e86c0f5d1baedp-25, -0x1.dee80d70a2dd8p-25, -0x1.d58cc4103641dp-25, -0x1.cc59c20c4b2bdp-25, -0x1.c34e87aa4370bp-25, -0x1.ba6a6afa16397p-25, -0x1.b1ad45a7c1916p-25, -0x1.a9171d55b7496p-25, -0x1.a0a6ad607ba0bp-25, -0x1.985bbce0910fap-25, -0x1.9035fb6b2a162p-25, -0x1.8834f1ab64953p-25, -0x1.8057c361422b5p-25, -0x1.789f934caf40bp-25, -0x1.710a7de22c8a1p-25, -0x1.699443f13f979p-25, -0x1.6249673e7fd12p-25, -0x1.5b19d2746ac04p-25, -0x1.540e04bcaf41bp-25, -0x1.4d23dc7c99302p-25, -0x1.46590711f6dd6p-25, -0x1.3fb0dbebc994ep-25, -0x1.3927a3fd34c09p-25, -0x1.32be531e1a614p-25, -0x1.2c745ce216698p-25, -0x1.264956b893456p-25, -0x1.203cd7f1337dep-25, -0x1.1a4f09ef062acp-25, -0x1.147df3ccc5b4fp-25, -0x1.0ecac54b00e3ep-25, -0x1.0934d2858c744p-25, -0x1.03bb05c31fb6cp-25, -0x1.fcbb6f3f57ep-26, -0x1.f2387c77103f1p-26, -0x1.e7ec4aaa91316p-26, -0x1.ddd6af5bd226ap-26, -0x1.d3f6e551e6d54p-26, -0x1.ca4bb5b2bd7f3p-26, -0x1.c0d49351e04bp-26, -0x1.b790d4d6df613p-26, -0x1.ae7fdfa14bf08p-26, -0x1.a5a0d9242686fp-26, -0x1.9cf32e7ef5cabp-26, -0x1.94751beb0ab1fp-26, -0x1.8c2906d960e63p-26, -0x1.840946fe1e035p-26, -0x1.7c1c39bce8b9ep-26, -0x1.745af726ecf92p-26, -0x1.6cc7121ae3141p-26, -0x1.655fd592820a6p-26, -0x1.5e249c44de6fep-26, -0x1.5714bfa19be3ap-26, -0x1.502f959f3e2acp-26, -0x1.49748633e4935p-26, -0x1.42e3065044bd9p-26, -0x1.3c7a7ad05a9d5p-26, -0x1.363a25e4b8c28p-26, -0x1.3021489335f7p-26, -0x1.2a2fb1ea864afp-26, -0x1.2464d4de0a675p-26, -0x1.1ebfbbf61c0e5p-26, -0x1.193fe2f8d5c38p-26, -0x1.13e4c6e347db7p-26, -0x1.0eae1097dd06ep-26, -0x1.099a99a35c96cp-26, -0x1.04aa6fe18215ap-26, -0x1.ffb96b2df84dap-27, -0x1.f661b376d828bp-27, -0x1.ed4e647951f93p-27, -0x1.e47afedfc23d2p-27, -0x1.dbe8ef2d918fdp-27, -0x1.d39646d411dd3p-27, -0x1.cb8120a5130b8p-27, -0x1.c3ac9e445b4b2p-27, -0x1.bc137dc571e4ap-27, -0x1.b4b598b259672p-27, -0x1.ad9275ccbd4cbp-27, -0x1.a6a9056a494c4p-27, -0x1.9ff834ef13966p-27, -0x1.997f20e768b19p-27, -0x1.933ccbe786a1ap-27, -0x1.8d30623b0b0b1p-27, -0x1.875912abc9a56p-27, -0x1.81b5c3188c49bp-27, -0x1.7c4571e6dd8d1p-27, -0x1.77073da8b1e53p-27, -0x1.71fa6dc412795p-27, -0x1.6d1eb9e21a72dp-27, -0x1.68719aa37cb64p-27, -0x1.63f47a2a76926p-27, -0x1.5fa63cedb2f3cp-27, -0x1.5b7c222dc8bc2p-27, -0x1.578ae8bb99bd6p-27, -0x1.53be098d24eeep-27, -0x1.501cb7f5a9cd1p-27, -0x1.4ca5452e67aeep-27, -0x1.4957d315f7631p-27, -0x1.4631eaa6de942p-27, -0x1.4333775341b2dp-27, -0x1.405c929e1669dp-27, -0x1.3daa0f40bdd2bp-27, -0x1.3b1d95960d02ep-27, -0x1.38b58e69eee11p-27, -0x1.367128f40074ap-27, -0x1.344fe1535dac1p-27, -0x1.32513593667fdp-27, -0x1.30741e8a7d9a1p-27, -0x1.2eb80b6f8a223p-27, -0x1.2d1d87336c779p-27, -0x1.2b9f4702facedp-27, -0x1.2a41767f20701p-27, -0x1.290aeefe1b793p-27, -0x1.27dd82df67aa6p-27, -0x1.26dc32d14e7c4p-27, -0x1.25f52336ab99fp-27, -0x1.252978112bf88p-27, -0x1.2478c30e22fdfp-27, -0x1.23e17d9346537p-27, -0x1.2367c9d18163dp-27, -0x1.2302e0e94a4cbp-27, -0x1.22b8ae620d23ap-27, -0x1.2286c34913beap-27, -0x1.226c2b080a1b2p-27, -0x1.22680ea45a67p-27, -0x1.228070a897621p-27, -0x1.22a4ca7687c93p-27, -0x1.22e4ff4c5496fp-27, -0x1.23397cc354021p-27, -0x1.23a062548958bp-27, -0x1.241df471a2502p-27, -0x1.24ae2a093a45ep-27, -0x1.2550de059a14bp-27, -0x1.2606063f19b23p-27, -0x1.26cd207355ce6p-27, -0x1.27a3a7a6cb538p-27, -0x1.2891b04b3bea1p-27, -0x1.298a6dfa22cafp-27, -0x1.2a96b5137010cp-27, -0x1.2bad7f56f4cffp-27, -0x1.2cd8053a1d5e6p-27, -0x1.2e10b643b0163p-27, -0x1.2f577e2ba345p-27, -0x1.30ac2154362e2p-27, -0x1.320e3b0b63c44p-27, -0x1.337dce64193b4p-27, -0x1.34f9fc3bc2522p-27, -0x1.36812c58aaf95p-27, -0x1.38160f5d4a0cap-27, -0x1.39b65eb1b190fp-27, -0x1.3b61903bb82b8p-27, -0x1.3d173cbd54ed7p-27, -0x1.3ed7c03c2fa46p-27, -0x1.40a28c904fcd1p-27, -0x1.427936bf9fcf7p-27, -0x1.4448d441d6fcbp-27, -0x1.463c293b72d89p-27, -0x1.4829e25f1eee9p-27, -0x1.4a2148929e3f6p-27, -0x1.4c20e79a3cb75p-27, -0x1.4e28487726cb2p-27, }}, 
      {{-0x1.64723742a246ep+0, -0x1.3e8e86d28d0e6p+0, -0x1.0a5804bea3ef8p+0, -0x1.a201a8777b54bp-1, -0x1.3337c469e89f6p-1, -0x1.a2f5fa2b103f1p-2, -0x1.0324cc84a35bp-2, -0x1.13c88143d75ccp-3, -0x1.acc60644bdfcdp-5, -0x1.ecc535175ad91p-10, 0x1.6d317701d0449p-6, 0x1.ac238e6063ea6p-6, 0x1.f84e56290c12p-7, -0x1.3921117d29b21p-8, -0x1.eb64b0d9a5bd8p-6, -0x1.d093be0b59609p-5, -0x1.50bff559b9d2cp-4, -0x1.ac2ec2874bfa6p-4, -0x1.f53f6da0c3948p-4, -0x1.1471dcb28d6edp-3, -0x1.22f3fb2bef891p-3, -0x1.264569167787bp-3, -0x1.1f0f7dc2875f6p-3, -0x1.0e5c57bf0054ep-3, -0x1.eae7f5d639a71p-4, -0x1.ab7f6676ac0d1p-4, -0x1.6166b7597151ep-4, -0x1.0f77f13874c9p-4, -0x1.70cbed31786afp-5, -0x1.7aabde32cdb26p-6, -0x1.1f5c03f370988p-10, 0x1.50d66efeb505p-6, 0x1.53989d70a3de8p-5, 0x1.f5dd253d9e71p-5, 0x1.468a89afce2dbp-4, 0x1.8bcf840b488a5p-4, 0x1.ca2809a3cf0a5p-4, 0x1.0099b3fabb509p-3, 0x1.185f8adc557a6p-3, 0x1.2c6015c88f4cfp-3, 0x1.3ca68ff82681fp-3, 0x1.494bf2e25f9aap-3, 0x1.52744194f62f7p-3, 0x1.584c168c9d6c2p-3, 0x1.5b0677249c57fp-3, 0x1.5adaecc29c6b8p-3, 0x1.5803e183d8f5bp-3, 0x1.52bd3c73d26bdp-3, 0x1.4b43386ef9845p-3, 0x1.41d1704792659p-3, 0x1.36a21a9457464p-3, 0x1.29ed6f940d48dp-3, 0x1.1be933b66c9b3p-3, 0x1.0cc861aec2dc6p-3, 0x1.f975deae135e5p-4, 0x1.d7db522ee16f3p-4, 0x1.b5143ffff8d6p-4, 0x1.916d4e62b99c5p-4, 0x1.6d2cbb33c5d15p-4, 0x1.489282da570d7p-4, 0x1.23d896348c113p-4, 0x1.fe6637523da09p-5, 0x1.b5a1704c9a73dp-5, 0x1.6db5babcb359bp-5, 0x1.26ec3615d9d2ap-5, 0x1.c309c5b38697dp-6, 0x1.3b6e8e67a6dfap-6, 0x1.6ecc43db6eb84p-7, 0x1.ba0b337d3915cp-9, -0x1.12f00dc74f66fp-8, -0x1.78b53bb45f511p-7, -0x1.2f6df9534b9e7p-6, -0x1.9dd3af955f028p-6, -0x1.03b936ef866bfp-5, -0x1.361c8773c9f5bp-5, -0x1.660ee21528af3p-5, -0x1.938ea734b834ap-5, -0x1.be9d2241dc3f3p-5, -0x1.e73e344d7e22p-5, -0x1.06bc028b343a5p-4, -0x1.18a95d5247a51p-4, -0x1.296c1b512156p-4, -0x1.3909eccb704bp-4, -0x1.47892592847fbp-4, -0x1.54f0a3c34c2e5p-4, -0x1.6147b8a43f70ap-4, -0x1.6c9613e03ee19p-4, -0x1.76e3b078fba0ep-4, -0x1.8038c3e8e7d7bp-4, -0x1.889dae8e08733p-4, -0x1.901aee2a1b4d7p-4, -0x1.96b9113f7c898p-4, -0x1.9c80ac6837c21p-4, -0x1.a17a50461b19cp-4, -0x1.a5ae8117b701ep-4, -0x1.a925af0e8f9f1p-4, -0x1.abe82f7f3cceap-4, -0x1.adfe37786328ep-4, -0x1.af6fd6306562bp-4, -0x1.b044f154969dep-4, -0x1.b08540f41d68p-4, -0x1.b0384c897ec5cp-4, -0x1.af6568d73d664p-4, -0x1.ae13b523fa49cp-4, -0x1.ac4a1a71e433ap-4, -0x1.aa0f49dcab5c8p-4, -0x1.a769bb8c23989p-4, -0x1.a45faf05c66edp-4, -0x1.a0f729fb10177p-4, -0x1.9d35f8c26023bp-4, -0x1.9921af0cfd36p-4, -0x1.94bfa74a2804fp-4, -0x1.90150424a1c41p-4, -0x1.8b26b1677438ep-4, -0x1.85f963e738588p-4, -0x1.80919b9292757p-4, -0x1.7af3a48d5f12cp-4, -0x1.7523976a7a39ap-4, -0x1.6f255b7ea9aafp-4, -0x1.68fca84e27dd9p-4, -0x1.62ad05de545afp-4, -0x1.5c39cf049de5ap-4, -0x1.55a6334553326p-4, -0x1.4ef5372906c84p-4, -0x1.4829b62fe628ap-4, -0x1.4146652c613c1p-4, -0x1.3a4dd2cc014a4p-4, -0x1.334268d8d109dp-4, -0x1.2c266ecbea6a3p-4, -0x1.24fc0af479a7ep-4, -0x1.1dc54307c0b7p-4, -0x1.1683fe415ce53p-4, -0x1.0f3a07593a828p-4, -0x1.07e90d0605aa1p-4, -0x1.0092a3158e6c5p-4, -0x1.f270893b9e7b3p-5, -0x1.e3b6aa7cd8d6ap-5, -0x1.d4fa431537e97p-5, -0x1.c63dc0d447p-5, -0x1.b78369f82eb2ap-5, -0x1.a8cd5edcf17e5p-5, -0x1.9a1d9adafb3abp-5, -0x1.8b75f6fde2749p-5, -0x1.7cd82d29fb4acp-5, -0x1.6e45d968b9ab1p-5, -0x1.5fc07ab1883e9p-5, -0x1.5149753ac037ep-5, -0x1.42e21529c2591p-5, -0x1.348b8fc264e58p-5, -0x1.264703f70221dp-5, -0x1.18157c260181ep-5, -0x1.09f7f06cc4d79p-5, -0x1.f7de8fc982026p-6, -0x1.dbf8b20afad8bp-6, -0x1.c03fd56a316e5p-6, -0x1.a4b56c5d338c1p-6, -0x1.895ad0c17e579p-6, -0x1.6e3144a8f57b7p-6, -0x1.5339f3425513p-6, -0x1.3875f36cacf35p-6, -0x1.1de64a82085d7p-6, -0x1.038beda1633a5p-6, -0x1.d2cf83fc1a9a3p-7, -0x1.9ef53bfaebfb8p-7, -0x1.6b8a96e438e6ep-7, -0x1.389112c5517e9p-7, -0x1.060a193914ad2p-7, -0x1.a7edff6b24378p-8, -0x1.44b2131e5b744p-8, -0x1.c4c5ad1ec1f3ap-9, -0x1.02053344d079fp-9, -0x1.049ca0ed0e955p-11, 0x1.f740d242a1305p-11, 0x1.3adcce5f287bbp-9, 0x1.f5fab1ebd33d2p-9, 0x1.57930398e14a5p-8, 0x1.b32d885c107b9p-8, 0x1.06e58b13d4406p-7, 0x1.33b4f433a9595p-7, 0x1.6004220adb49bp-7, 0x1.8bd23ac3b02aap-7, 0x1.b71e680200ee7p-7, 0x1.e1e7d74c354fdp-7, 0x1.0616dd1104956p-6, 0x1.1af7a2a15692p-6, 0x1.2f95d7f207b3cp-6, 0x1.43f119bbe61d4p-6, 0x1.580905ffd8135p-6, 0x1.6bdd3c4718758p-6, 0x1.7f6d5da2f3306p-6, 0x1.92b90c7654b6p-6, 0x1.a5bfec58716cap-6, 0x1.b881a2282f1f8p-6, 0x1.cafdd44abe11ep-6, 0x1.dd342aeadf2d7p-6, 0x1.ef245004e93cp-6, 0x1.0066f7aabd3e6p-5, 0x1.09185b30318f6p-5, 0x1.11a62a4a30f26p-5, 0x1.1a103dc527711p-5, 0x1.22566fa28f79ep-5, 0x1.2a789b269a258p-5, 0x1.32769cda0bf66p-5, 0x1.3a505297309f3p-5, 0x1.42059b9b51e39p-5, 0x1.499658a0597afp-5, 0x1.51026bfc39bf9p-5, 0x1.5849b9b49cc9dp-5, 0x1.5f6c2787df085p-5, 0x1.66699cf86ec1dp-5, 0x1.6d42035cdf993p-5, 0x1.73f545f42827cp-5, 0x1.7a8351fdabbc6p-5, 0x1.80ec16cf4be98p-5, 0x1.872f85e22dda1p-5, 0x1.8d4d92dbb3db8p-5, 0x1.93463399e5cffp-5, 0x1.991960412ddb9p-5, 0x1.9ec7134c06ee2p-5, 0x1.a44f499c55bb9p-5, 0x1.a9b2028995a6dp-5, 0x1.aeef3fe8ece47p-5, 0x1.b4070614055dep-5, 0x1.b8f95bf0ae20cp-5, 0x1.bdc64af9cfa22p-5, 0x1.c26ddf48053acp-5, 0x1.c6f0279b24d69p-5, 0x1.cb4d35620ed58p-5, 0x1.cf851cbdf4235p-5, 0x1.d397f483dfee1p-5, 0x1.d785d63f1e51bp-5, 0x1.db4ede33b2d95p-5, 0x1.def32b5ffcf3p-5, 0x1.e272df7e92ed3p-5, 0x1.e5ce1f079902cp-5, 0x1.e905112f7049fp-5, 0x1.ec17dfe2fde9ap-5, 0x1.ef06b7c3dfa86p-5, 0x1.f1d1c824c56d7p-5, 0x1.f4794305185ebp-5, 0x1.f6fd5d0c13da3p-5, 0x1.f95e4d8399d33p-5, 0x1.fb9c4e5247c8p-5, 0x1.fdb79bf39ec97p-5, 0x1.ffb0756ed9088p-5, 0x1.00c38e26cb1cep-4, 0x1.019dea494e309p-4, 0x1.02677257ebbap-4, 0x1.03204abdcff4cp-4, 0x1.03c899130c9bbp-4, 0x1.04608416e657cp-4, 0x1.04e833a94f9a2p-4, 0x1.055fd0c4fe19cp-4, 0x1.05c7857763e16p-4, 0x1.061f7cdacc8adp-4, 0x1.0667e30ec9b47p-4, 0x1.06a0e5311fb72p-4, 0x1.06cab15650e56p-4, 0x1.06e576821c7a5p-4, 0x1.06f1649fb42cap-4, 0x1.06eeac799cc92p-4, 0x1.06dd7fb169277p-4, 0x1.06be10b77f801p-4, 0x1.069092c2cab42p-4, 0x1.065539c84dda4p-4, 0x1.060c3a72a8aa3p-4, 0x1.05b5ca19788cp-4, 0x1.05521eb8cae58p-4, 0x1.04e16ee871249p-4, 0x1.0463f1d325a48p-4, 0x1.03d9df2db68e5p-4, 0x1.03436f2e316d2p-4, 0x1.02a0da83210e7p-4, 0x1.01f25a4ac42c1p-4, 0x1.0138280a4063ep-4, 0x1.00727da4e3f6fp-4, 0x1.ff432aa6d3a3cp-5, 0x1.fd8b5336b376cp-5, 0x1.fbbdea8cad211p-5, 0x1.f9db66b30558p-5, 0x1.f7e43e19ea075p-5, 0x1.f5d8e786936f3p-5, 0x1.f3b9da0299af3p-5, 0x1.f1878ccb65696p-5, 0x1.ef427741ced5ap-5, 0x1.eceb10d9fe47bp-5, 0x1.ea81d10b86683p-5, 0x1.e8072f41b3e8bp-5, 0x1.e57ba2cc0e7a6p-5, 0x1.e2dfa2cf261d8p-5, 0x1.e033a6358ff18p-5, 0x1.dd7823a157d4p-5, 0x1.daad915d7a187p-5, 0x1.d7d46550056d7p-5, 0x1.d4ed14ebf4fbap-5, 0x1.d1f8152400cf5p-5, 0x1.cef5da5d42fa8p-5, 0x1.cbe6d862631f1p-5, 0x1.c8cb82570b27cp-5, 0x1.c5a44aabada19p-5, 0x1.c271a311a3b18p-5, 0x1.bf33fc6fa0898p-5, 0x1.bbebc6d67b6b6p-5, 0x1.b899717657f69p-5, 0x1.b53d6a941c927p-5, 0x1.b1d81f7f385c8p-5, 0x1.ae69fc87c8ca3p-5, 0x1.aaf36cf528246p-5, 0x1.a774dafccfbfdp-5, 0x1.a3eeafb997cc8p-5, 0x1.a0615323589bbp-5, 0x1.9ccd2c06e0b06p-5, 0x1.99329ffe43d4dp-5, 0x1.95921369719bep-5, 0x1.91ebe9672d59p-5, 0x1.8e4083ce40d9fp-5, 0x1.8a90432716eb5p-5, 0x1.86db86a5b2c13p-5, 0x1.8322ac240dc16p-5, 0x1.7f66101ce2611p-5, 0x1.7ba60da6e1f7ap-5, 0x1.77e2fe7040c5bp-5, 0x1.741d3aba89682p-5, 0x1.70551956a94b8p-5, 0x1.6c8aefa125eeep-5, 0x1.68bf117e6960ap-5, 0x1.64f1d1574e68fp-5, 0x1.61238015f90f1p-5, 0x1.5d546d231fb4ep-5, 0x1.5984e663f2873p-5, 0x1.55b53838a1424p-5, 0x1.51e5ad7ba0b7dp-5, 0x1.4e168f811d03ep-5, 0x1.4a482616efb2cp-5, 0x1.467ab7841f54fp-5, 0x1.42ae8888228e3p-5, 0x1.3ee3dc598a17cp-5, 0x1.3b1af4a44fa1ap-5, 0x1.3754118823ffep-5, 0x1.338f719751d22p-5, 0x1.2fcd51d6c4334p-5, 0x1.2c0dedbfde314p-5, 0x1.28517f43e522dp-5, 0x1.24983ed10a82cp-5, 0x1.20e263580e7f7p-5, 0x1.1d3022513a5b7p-5, 0x1.1981afbfa955ap-5, 0x1.15d73e31d3a3bp-5, 0x1.1230febf227fp-5, 0x1.0e8f21032e69ep-5, 0x1.0af1d31842f9ep-5, 0x1.0759419362252p-5, 0x1.03c597842e17dp-5, 0x1.0036fe7a8f48p-5, 0x1.f95b3d257a67ep-6, 0x1.f2533d0d1feedp-6, 0x1.eb564782a0f2fp-6, 0x1.e464a4e3bc561p-6, 0x1.dd7e9b2d07653p-6, 0x1.d6a46dfd539a7p-6, 0x1.cfd65e8149f4ep-6, 0x1.c914ab49d7b2cp-6, 0x1.c25f90167c7cdp-6, 0x1.bbb745a232f6p-6, 0x1.b51c0183fb07dp-6, 0x1.ae8df632827dap-6, 0x1.a80d53340e4a8p-6, 0x1.a19a457942849p-6, 0x1.9b34f7d626efdp-6, 0x1.94dd93815263ap-6, 0x1.8e94407b0bbcdp-6, 0x1.885925bea97fcp-6, 0x1.822c6928afecdp-6, 0x1.7c0e2f0c33135p-6, 0x1.75fe9985eca85p-6, 0x1.6ffdc7afbe9bp-6, 0x1.6a0bd4e5c584fp-6, 0x1.6428d852a1892p-6, 0x1.5e54e4f0182cbp-6, 0x1.58900a131db2ap-6, 0x1.52da547bf2a54p-6, 0x1.4d33cfc000c52p-6, 0x1.479c87c4e27fap-6, 0x1.421489f65551cp-6, 0x1.3c9be5e12ca51p-6, 0x1.3732acf79e6c4p-6, 0x1.31d8f16da8748p-6, 0x1.2c8ec451c9b95p-6, 0x1.2754333a93df5p-6, 0x1.22294607db9aap-6, 0x1.1d0dfd434a4a3p-6, 0x1.18025199c318dp-6, 0x1.130634b58c8dp-6, 0x1.0e19937923c96p-6, 0x1.093c594966329p-6, 0x1.046e73ce1728cp-6, 0x1.ff5facc47c759p-7, 0x1.f600f8d16703cp-7, 0x1.ecc0d3c07066ep-7, 0x1.e39f53cae5ecfp-7, 0x1.da9c9677c60d4p-7, 0x1.d1b8b6d3f467bp-7, 0x1.c8f3c2a58f037p-7, 0x1.c04db0d3f23efp-7, 0x1.b7c65b2f95c96p-7, 0x1.af5d7d3b95f45p-7, 0x1.a712b8ad451c2p-7, 0x1.9ee59f332b973p-7, 0x1.96d5bff610aa5p-7, 0x1.8ee2b667d07a6p-7, 0x1.870c3783be462p-7, 0x1.7f521abe4c0d3p-7, 0x1.77b45c8ae92fcp-7, 0x1.7033198031452p-7, 0x1.68ce828da5be8p-7, 0x1.6186cc277ef1ep-7, 0x1.5a5c1b719c53ap-7, 0x1.534e750e900e1p-7, 0x1.4c5db1002524ep-7, 0x1.4589762dbb0e8p-7, 0x1.3ed13ea429e9dp-7, 0x1.383463fe07436p-7, 0x1.31b231dd6929ap-7, 0x1.2b49fb4a56565p-7, 0x1.24fb2f4763146p-7, 0x1.1ec56904f04a8p-7, 0x1.18a878c0edfdap-7, 0x1.12a463812f832p-7, 0x1.0cb9595832bb3p-7, 0x1.06e7a398c8a0dp-7, 0x1.012f8dfc7ff8p-7, 0x1.f7229dcf5b63ap-8, 0x1.ec19e69169ca6p-8, 0x1.e144a3bb315b3p-8, 0x1.d6a21028907b3p-8, 0x1.cc3101641093ap-8, 0x1.c1f0051906b47p-8, 0x1.b7dd88b5252cp-8, 0x1.adf80445e151bp-8, 0x1.a43e21e1354e1p-8, 0x1.9aaedbf34657ep-8, 0x1.91498e53eb6fbp-8, 0x1.880df7f4d17b7p-8, 0x1.7efc2d3d32cb9p-8, 0x1.76147d82f4ce4p-8, 0x1.6d5750252779bp-8, 0x1.64c4ff355411ap-8, 0x1.5c5db6100fb6ep-8, 0x1.5421597b86579p-8, 0x1.4c0f7ce8a6028p-8, 0x1.442765c268ed8p-8, 0x1.3c681b1bc18c8p-8, 0x1.34d07e3602399p-8, 0x1.2d5f674303c55p-8, 0x1.2613c107c1895p-8, 0x1.1eec9daf4eebap-8, 0x1.17e93fecf670ep-8, 0x1.11091695ad024p-8, 0x1.0a4bad9ff36ep-8, 0x1.03b09bf1635f5p-8, 0x1.fa6eed467ed04p-9, 0x1.edbf9e30f29e9p-9, 0x1.e15275bbce598p-9, 0x1.d526bcdeac09fp-9, 0x1.c93be4295deecp-9, 0x1.bd91769f8d26p-9, 0x1.b226f882a444ap-9, 0x1.a6fbc31e72d93p-9, 0x1.9c0ef501f5ff1p-9, 0x1.915f86a71e644p-9, 0x1.86ec7ecaef876p-9, 0x1.7cb52ac05c38dp-9, 0x1.72b934a99c5a7p-9, 0x1.68f87d8575c89p-9, 0x1.5f72beef591bdp-9, 0x1.562718d8f2327p-9, 0x1.4d13c127e1d02p-9, 0x1.44360409a859dp-9, 0x1.3b8aa527bf1f2p-9, 0x1.330e87726d4ffp-9, 0x1.2abf5cba4255dp-9, 0x1.229c11c3dae22p-9, 0x1.1aa4c243bbb1ap-9, 0x1.12da36dfeb482p-9, 0x1.0b3d2eb0e9c5bp-9, 0x1.03cdd6f886dcp-9, 0x1.f917776efa224p-10, 0x1.eaec628502da4p-10, 0x1.dd19d5bc0902dp-10, 0x1.cfa0b0da47ddp-10, 0x1.c28315ef7788fp-10, 0x1.b5c34c7ad5159p-10, 0x1.a9623f23abe1cp-10, 0x1.9d5e3a0abdcefp-10, 0x1.91b262bb995fbp-10, 0x1.86571991ad071p-10, 0x1.7b433b4e0ea2p-10, 0x1.706e0d09325a3p-10, 0x1.65d154d6c6054p-10, 0x1.5b6acc4a6e731p-10, 0x1.513c16e11d6aap-10, 0x1.474909114ba17p-10, 0x1.3d951a1b2b97fp-10, 0x1.3421809cdf2afp-10, 0x1.2aed0b58a09d6p-10, 0x1.21f58d30e3288p-10, 0x1.1939b92277bddp-10, 0x1.10ba3f3888a9bp-10, 0x1.087999dd96b17p-10, 0x1.007ab9fbdd1d5p-10, 0x1.f17ebe71a9bb2p-11, 0x1.e28e27ddab6fap-11, 0x1.d41e5d6f81dcfp-11, 0x1.c626c410fa964p-11, 0x1.b89c6160998c6p-11, 0x1.ab727598aa598p-11, 0x1.9e9bdcd9eccb3p-11, 0x1.920de7064b1ddp-11, 0x1.85c39006ca47dp-11, 0x1.79beb6866cf87p-11, 0x1.6e05c74338a89p-11, 0x1.629f0fcd3defep-11, 0x1.578d054129c51p-11, 0x1.4ccdd215d5d56p-11, 0x1.425d975a8856dp-11, 0x1.38396adb28d2fp-11, 0x1.2e618d98ac545p-11, 0x1.24d971d8ba7dep-11, 0x1.1ba4ed5426673p-11, 0x1.12c4b98e13d81p-11, 0x1.0a357ecef5791p-11, 0x1.01f1da5233f22p-11, 0x1.f3ea1806552fbp-12, 0x1.e478606090b2bp-12, 0x1.d58b22cc2d11bp-12, 0x1.c71dcef7c73c8p-12, 0x1.b927eaa08c7b6p-12, 0x1.ab9d49ad2f82ep-12, 0x1.9e7134e1c1516p-12, 0x1.919ac14581af2p-12, 0x1.8518278ae4df7p-12, 0x1.78eeac551858ep-12, 0x1.6d2642b24f026p-12, 0x1.61c338e8021b4p-12, 0x1.56c270fcb99c4p-12, 0x1.4c1d165197668p-12, 0x1.41d1ac6b188b9p-12, 0x1.37e622d4a539cp-12, 0x1.2e5eb9d6af683p-12, 0x1.2536c1671472fp-12, 0x1.1c63b4d1914b2p-12, 0x1.13dc059ce0251p-12, 0x1.0b9a26c7492dfp-12, 0x1.039c10ba2322bp-12, 0x1.f7c4afaa0f5d4p-13, 0x1.e8dfb1094aca5p-13, 0x1.da918f16af508p-13, 0x1.cce07926125c7p-13, 0x1.bfc9f141a6bccp-13, 0x1.b33d3562e717cp-13, 0x1.a71abd8af2698p-13, 0x1.9b42baacaee28p-13, 0x1.8faf2c18ce198p-13, 0x1.847955b800598p-13, 0x1.79ba23ebef1c9p-13, 0x1.6f6bba1f4638cp-13, 0x1.6578f53207e34p-13, 0x1.5be2035d0c96bp-13, 0x1.52b7d762dcdb1p-13, 0x1.49fc71e078a0bp-13, 0x1.419ef266fe8e5p-13, 0x1.398da9d94cdacp-13, 0x1.31bfe98f0da5dp-13, 0x1.2a33ef4d195e9p-13, 0x1.22e9f2eb07e9ep-13, 0x1.1be14dd185e49p-13, 0x1.1518a04e598afp-13, 0x1.0e9032ad9b32fp-13, 0x1.084c3e6feaa6fp-13, 0x1.025407e2bcb07p-13, 0x1.f95ad7654adccp-14, 0x1.eeaf9f6ca18c9p-14, 0x1.e48bdeeb822cdp-14, 0x1.dab59c28af34bp-14, 0x1.d101642d806fbp-14, 0x1.c78f3e3fb8a1fp-14, 0x1.be959c8900146p-14, 0x1.b604412aa106fp-14, 0x1.adb1ba9bdd417p-14, 0x1.a5b0f8f4dc15bp-14, 0x1.9e21b7eab1c94p-14, 0x1.96f686fc36abp-14, 0x1.9012205bf3c6dp-14, 0x1.8965c4b8e092cp-14, 0x1.82ef743b6d04ap-14, 0x1.7cb0e323f1d6fp-14, 0x1.76ab214c12357p-14, 0x1.70ddb47f3e87ep-14, 0x1.6b46a323a0c3ep-14, 0x1.65e2c193f22ep-14, 0x1.60aed6a2450ffp-14, 0x1.5ba9c03df8aefp-14, 0x1.56d5d3730c2d4p-14, 0x1.5236efcd603e1p-14, 0x1.4dcf2d78b1e64p-14, 0x1.49a003c01871cp-14, 0x1.45a5a611f0911p-14, 0x1.41c6214d11429p-14, 0x1.3defa5f444fe2p-14, 0x1.3a3ae09ebae0fp-14, 0x1.36a6b019f328cp-14, 0x1.331acd9eabac8p-14, 0x1.2fae16e249138p-14, 0x1.2c71249f19296p-14, 0x1.2951f7e7d4eaep-14, 0x1.264241a99bfdp-14, 0x1.23402f5cb38e5p-14, 0x1.204da282b97d6p-14, 0x1.1d6bb03bfd781p-14, 0x1.1a9a27fd9c584p-14, 0x1.17d825be1709bp-14, 0x1.15249a74c0dadp-14, 0x1.127e886ca3934p-14, 0x1.0fe4f69cf2e9ap-14, 0x1.0d56bfe75376bp-14, 0x1.0ad28b9ee6548p-14, 0x1.085723759f62dp-14, 0x1.05e3e77c5209ep-14, 0x1.03787d43f4b1fp-14, 0x1.0113dfa17375p-14, 0x1.fd6eae2bb6a05p-15, 0x1.f8d4e395ca418p-15, 0x1.f4535eafac8bcp-15, 0x1.efcbcb845fff8p-15, 0x1.eb40da20b3f75p-15, 0x1.e6a7e84d61a6fp-15, 0x1.e217c813b48f3p-15, 0x1.dda1ce020bfdap-15, 0x1.d93013acf8debp-15, 0x1.d4b894ae270b1p-15, 0x1.d03d1c7bd2144p-15, 0x1.cbc00ebfb9e9p-15, 0x1.c7422d2c4e8d5p-15, 0x1.c2c332b0a2c78p-15, 0x1.be426dba27719p-15, 0x1.b9bf1279dd59dp-15, 0x1.b538663da0a83p-15, 0x1.b0add72d4b058p-15, 0x1.ac1f01ebf12f9p-15, 0x1.a78b9d411963p-15, 0x1.a2f34d77f0f36p-15, 0x1.9e557d0b3b18cp-15, 0x1.99b15930061cp-15, 0x1.95063c3b6a7ap-15, 0x1.9053dcb987668p-15, 0x1.8b99be54d5515p-15, 0x1.86d73915122a3p-15, 0x1.8210b70f71d3p-15, 0x1.7d4d30cf1344dp-15, 0x1.7880eed25bfbfp-15, 0x1.73a3b46ee3adbp-15, 0x1.6ebad055ec42dp-15, 0x1.69d24779db04bp-15, 0x1.64e40092e8dd9p-15, 0x1.5feba519883b6p-15, 0x1.5aea58e1199dep-15, 0x1.55e1372fe7eb8p-15, 0x1.50d0aedf6c1f1p-15, 0x1.4bb8e77d9b816p-15, 0x1.4699f6cc6a877p-15, 0x1.4173f17a43078p-15, 0x1.3c46f0e428414p-15, 0x1.3713136d1d1bep-15, 0x1.31d87df220394p-15, 0x1.2c975cbdb0962p-15, 0x1.274fe3f3f3266p-15, 0x1.22024ddea954bp-15, 0x1.1caed57eaa688p-15, 0x1.1755af663c3a6p-15, 0x1.11f7072544ff6p-15, 0x1.0c9306e816ba4p-15, 0x1.0729e85fc108p-15, 0x1.01bbfc6c99021p-15, 0x1.f8930a232a151p-16, 0x1.eda533631217cp-16, 0x1.e2b0530eb87fp-16, 0x1.d7b74c917eeebp-16, 0x1.ccb4e35d9f759p-16, 0x1.c1aa7de4a46fbp-16, 0x1.b69d4e2d74794p-16, 0x1.ab8ae9f8a285fp-16, 0x1.a07373417f8eap-16, 0x1.95581942227cdp-16, 0x1.8a39ac34c8e5ap-16, 0x1.7f18d15afdb34p-16, 0x1.73f625e1c0e01p-16, 0x1.68d2475899712p-16, 0x1.5dadd49c5a894p-16, 0x1.52896d69f951p-16, 0x1.4765b1fcf01b9p-16, 0x1.3c4342d6d3e68p-16, 0x1.3122c08ac7eaap-16, 0x1.2604cb97029dep-16, 0x1.1aea044bf021ep-16, 0x1.0fd30ab60c0d8p-16, 0x1.04c07e3dceba9p-16, 0x1.f365f9e9b1d6cp-17, 0x1.dd5645d182a15p-17, 0x1.c7531430ee7d4p-17, 0x1.b15d9642c4d6ap-17, 0x1.9b76fd9f76569p-17, 0x1.85a07fd54a74dp-17, 0x1.6fdb4f81ee819p-17, 0x1.5a2883fa25c85p-17, 0x1.448930a02de64p-17, 0x1.2efed9c9fdcd6p-17, 0x1.198a32892983ep-17, 0x1.042c902e0aefep-17, 0x1.ddce0821702e1p-18, 0x1.b374da19e959fp-18, 0x1.894fe7eeb91b3p-18, 0x1.5f61544bd45a6p-18, 0x1.35ab292cc212dp-18, 0x1.0c2f65a858668p-18, 0x1.c5dfffe8d7caap-19, 0x1.73ddc91c8973dp-19, 0x1.225bf1137ec99p-19, 0x1.a2bc65bbe5d31p-20, 0x1.01d03adf16e1dp-20, 0x1.87ea73f40c567p-22, -0x1.e5ec9774e06cp-23, -0x1.b4a30cd4f99b4p-21, -0x1.76baaccfe289dp-20, -0x1.08f93ca2e9466p-19, -0x1.55f95bbb03a69p-19, -0x1.a25a9a3b70adp-19, -0x1.ee19fb69ceb46p-19, -0x1.1c9a4c403f5d4p-18, -0x1.41d3d0348ec96p-18, -0x1.66b82bf1638f5p-18, -0x1.8b460cc183ebcp-18, -0x1.af7c297182257p-18, -0x1.d3593feda44b2p-18, -0x1.f6dc18080c11ep-18, -0x1.0d01c7e751d7p-17, -0x1.1e674dac5181fp-17, -0x1.2f9e02a49864bp-17, -0x1.40a559a48106fp-17, -0x1.517cdec98a6cep-17, -0x1.62242374c919cp-17, -0x1.729aa8c725acfp-17, -0x1.82dffbfdafa7ap-17, -0x1.92f3b1be7de76p-17, -0x1.a2d563db80e33p-17, -0x1.b284b10725f88p-17, -0x1.c2013cd18b2a3p-17, -0x1.d14aaf9fe22a9p-17, -0x1.e060b6a8b08c8p-17, -0x1.ef4303f0df7b8p-17, -0x1.fdf14e28a226cp-17, -0x1.0635a8b3b62ffp-16, -0x1.0d5866c54b3e3p-16, -0x1.1460c3db15a31p-16, -0x1.1b4ea4c31c0b6p-16, -0x1.2221f0927cc4ep-16, -0x1.28da907d5a2f5p-16, -0x1.2f786ee25c113p-16, -0x1.35fb7c6273e25p-16, -0x1.3c63a4e46032cp-16, -0x1.42b0dc43b5385p-16, -0x1.48e31572abcf8p-16, -0x1.4efa4760764c8p-16, -0x1.54f66af9ccf3p-16, -0x1.5ad77ab7fe4b5p-16, -0x1.609d708ad521p-16, -0x1.664845cd0d6d9p-16, -0x1.6bd7fb0ce9d21p-16, -0x1.714ca3a0f69fap-16, -0x1.76a6532790edap-16, -0x1.7be4b2a67e917p-16, -0x1.81080c4c100c7p-16, -0x1.86107cf589014p-16, -0x1.8afdf52af5692p-16, -0x1.8fd080dda4d68p-16, -0x1.948830a01bc52p-16, -0x1.99250d5da6344p-16, -0x1.9da72c144557cp-16, -0x1.a20ea1cc51106p-16, -0x1.a65b8062dc20bp-16, -0x1.aa8ddd1541bd5p-16, -0x1.aea5ce4acca07p-16, -0x1.b2a36c581918ep-16, -0x1.b686ce10ca49ap-16, -0x1.ba5018809076dp-16, -0x1.bdff5b989adbdp-16, -0x1.c194ba9af2932p-16, -0x1.c51053bfe5379p-16, -0x1.c87246e835149p-16, -0x1.cbbab5366d6bdp-16, -0x1.cee9c0e8f56b2p-16, -0x1.d1ff8d2bccc96p-16, -0x1.d4fc3dff2604dp-16, -0x1.d7dff8769527dp-16, -0x1.daaae3209d0d8p-16, -0x1.dd5d25ee4fea3p-16, -0x1.dff6e9e0cb9c4p-16, -0x1.e2785928abf29p-16, -0x1.e4e19ee19d78cp-16, -0x1.e732e3f145f3ap-16, -0x1.e96c4e0a5e121p-16, -0x1.eb8e0962fbebap-16, -0x1.ed98522afc05cp-16, -0x1.ef8b93c364682p-16, -0x1.f16755b66e517p-16, -0x1.f32c26bf2aae8p-16, -0x1.f4da6697d199ep-16, -0x1.f67218b168c95p-16, -0x1.f7f36dcfa5792p-16, -0x1.f95e9a04474a2p-16, -0x1.fab3d13aefd32p-16, -0x1.fbf3472fbe10ep-16, -0x1.fd1d2e922bcabp-16, -0x1.fe31bc09a8236p-16, -0x1.ff3125c5eb782p-16, -0x1.000dd0372186ep-15, -0x1.0078b02d52488p-15, -0x1.00d94e0c0f55ap-15, -0x1.012fc72c2c84dp-15, -0x1.017c36d75fc74p-15, -0x1.01beb57224638p-15, -0x1.01f760777c806p-15, -0x1.022653f54082ep-15, -0x1.024babede27acp-15, -0x1.0267849ba5d95p-15, -0x1.0279fa540c282p-15, -0x1.02832a65cac54p-15, -0x1.02832e6c3286fp-15, -0x1.027a250737e13p-15, -0x1.02682a9d55703p-15, -0x1.024d5c1c2ad36p-15, -0x1.0229d6844a94dp-15, -0x1.01fdb621b4dbap-15, -0x1.01c91715a3932p-15, -0x1.018c17f2c663ep-15, -0x1.0146d4d1717bep-15, -0x1.00f96902b71a8p-15, -0x1.00a3f14281dc8p-15, -0x1.00468bf45c7d4p-15, -0x1.ffc2cb5c5e91ep-16, -0x1.fee9013431fafp-16, -0x1.fdffe5ecf1eb4p-16, -0x1.fd0802303ae43p-16, -0x1.fc015bd884dddp-16, -0x1.faec33f8156b4p-16, -0x1.f9c8c49f808bep-16, -0x1.f897454dc269ap-16, -0x1.f757f51265972p-16, -0x1.f60b067fc91a6p-16, -0x1.f4b0b621275e1p-16, -0x1.f3493b4777d9fp-16, -0x1.f1d4cf1751772p-16, -0x1.f053a8d1f56c3p-16, -0x1.eec6036707ec4p-16, -0x1.ed2c139c4fe92p-16, -0x1.eb86129ac2a18p-16, -0x1.e9d437c9df0a8p-16, -0x1.e816ba59581f5p-16, -0x1.e64dd14a16b8cp-16, -0x1.e479b35b91933p-16, -0x1.e29a9707c5713p-16, -0x1.e0b0b2822bef7p-16, -0x1.debc3bb694153p-16, -0x1.dcbd67cbf1fe2p-16, -0x1.dab46d9217aafp-16, -0x1.d8a1808e2f924p-16, -0x1.d684d5e016ae3p-16, -0x1.d45ea1e1e08bp-16, -0x1.d22f18af55a3fp-16, -0x1.cff66e1183494p-16, -0x1.cdb4d56c7b693p-16, -0x1.cb6a81d09f0fbp-16, -0x1.c917a614fb505p-16, -0x1.c6bc74a731838p-16, -0x1.c4591eb53a145p-16, -0x1.c1edd57ffee7ep-16, -0x1.bf7acac05f647p-16, -0x1.bd003091f523ep-16, -0x1.ba7e406fa8f66p-16, -0x1.b7f50c0067e65p-16, -0x1.b564e31f5d7e6p-16, -0x1.b2cde95398172p-16, -0x1.b0304e0a5d19p-16, -0x1.ad8c2f591523ep-16, -0x1.aae1e66a10bf5p-16, -0x1.a831790146e23p-16, -0x1.a57b202c4826p-16, -0x1.a2bf08753ef53p-16, -0x1.9ffd5f5e1a6c9p-16, -0x1.9d3651c7d5afcp-16, -0x1.9a6a0ad4aa125p-16, -0x1.9798b5780eb28p-16, -0x1.94c27cb99accep-16, -0x1.91e78a2491657p-16, -0x1.8f08060e738f3p-16, -0x1.8c241c92ee379p-16, -0x1.893bf578704a2p-16, -0x1.864fb97853d76p-16, -0x1.835f90e00755bp-16, -0x1.806ba3511d071p-16, -0x1.7d7417d6cabb1p-16, -0x1.7a7914d24d8e9p-16, -0x1.777ac55fbb417p-16, -0x1.747948890029dp-16, -0x1.7174c23d0ac2bp-16, -0x1.6e6d5e1b96224p-16, -0x1.6b63425952d71p-16, -0x1.68568d66e2a65p-16, -0x1.6547656ff4ff6p-16, -0x1.6235eac96cfaep-16, -0x1.5f2242dfe72cbp-16, -0x1.5c0c90a497e7ep-16, -0x1.58f504f0b70cfp-16, -0x1.55db93719b328p-16, -0x1.52c08b195a6f6p-16, -0x1.4fa3fcac161e7p-16, -0x1.4c8608d1f56c2p-16, -0x1.4966ce98abb1ep-16, -0x1.46466fb00d809p-16, -0x1.43250905b795bp-16, -0x1.4002b8da5c4ep-16, -0x1.3cdf9e4cdd68p-16, -0x1.39bbd6ab61f1ap-16, -0x1.36977f3dd937fp-16, -0x1.3372b4ea69b96p-16, -0x1.304d9418496bap-16, -0x1.2d2838c40a86dp-16, -0x1.2a02be5565c41p-16, -0x1.26dd404304ad9p-16, -0x1.23b7d8c0a6e3cp-16, -0x1.2092a26ed7023p-16, -0x1.1d6db732dc72p-16, -0x1.1a4930ae16b74p-16, -0x1.172528bb18e19p-16, -0x1.1401b877a7355p-16, -0x1.10def23add06fp-16, -0x1.0dbcf67dd00a8p-16, -0x1.0a9bd8bbacb36p-16, -0x1.077baf1a3a542p-16, -0x1.045c90c819665p-16, -0x1.013e95eef183p-16, -0x1.fc43a3436f95bp-17, -0x1.f60cb89f0321bp-17, -0x1.efd893ced62bep-17, -0x1.e9a75f77c0b22p-17, -0x1.e3794217046e1p-17, -0x1.dd4e65fdbf1dp-17, -0x1.d726f24ca650fp-17, -0x1.d1030d922b99bp-17, -0x1.cae2dcebb4603p-17, -0x1.c4c684bed2ad7p-17, -0x1.beae2ac76b8cp-17, -0x1.b899f32b10904p-17, -0x1.b28a00da0bdd5p-17, -0x1.ac7e76899cc93p-17, -0x1.a6776f09c89c3p-17, -0x1.a0751cc13436ap-17, -0x1.9a778efaba8dfp-17, -0x1.947eeb11d1bdep-17, -0x1.8e8b508dfeee4p-17, -0x1.889cdd92f7458p-17, -0x1.82b3af774240ap-17, -0x1.7ccfe426a89fp-17, -0x1.76f194b58399p-17, -0x1.7118e089cdf46p-17, -0x1.6b45e139da3a2p-17, -0x1.6578b1f918707p-17, -0x1.5fb16c7076223p-17, -0x1.59f02919bad2bp-17, -0x1.5435019225a8ep-17, -0x1.4e800dc0cdc62p-17, -0x1.48d165382ceb3p-17, -0x1.43291b4afb926p-17, -0x1.3d873f445cbfep-17, -0x1.37ec06fe992c9p-17, -0x1.32576a76408ffp-17, -0x1.2cc9822eeac98p-17, -0x1.27425a1f199aap-17, -0x1.21c22bad48e5p-17, -0x1.1c48d83860031p-17, -0x1.16d68e52146a1p-17, -0x1.116b5bc524ac4p-17, -0x1.0c07505ee1b89p-17, -0x1.06aa7ce5334efp-17, -0x1.0154f10969ca5p-17, -0x1.f80d7dcac8bbdp-18, -0x1.ed7febdb98d8ap-18, -0x1.e301469f762e1p-18, -0x1.d8919c546f48fp-18, -0x1.ce311dd61a2fdp-18, -0x1.c3dfe234e574p-18, -0x1.b99dfb8126af7p-18, -0x1.af6b86b7c5148p-18, -0x1.a5488a1f36144p-18, -0x1.9b3551c717578p-18, -0x1.9131d08660897p-18, -0x1.873e338aaf7e1p-18, -0x1.7d59d8e4cbd3ep-18, -0x1.73863c998a6f2p-18, -0x1.69c24fe7c8615p-18, -0x1.600e878d38a2cp-18, -0x1.566aac7d91359p-18, -0x1.4cd76490c48ecp-18, -0x1.4354341b13774p-18, -0x1.39e164a559fa1p-18, -0x1.307eff55ae9dp-18, -0x1.272d0d3dc985bp-18, -0x1.1deb98a2bb66fp-18, -0x1.14ba7b33e692ep-18, -0x1.0b9a413394266p-18, -0x1.028aa0ae27867p-18, -0x1.f31687e9310c1p-19, -0x1.e13a553ca65c4p-19, -0x1.cf7effad82aa2p-19, -0x1.bde53414f7472p-19, -0x1.ac6d2981aa9c7p-19, -0x1.9b168c5f6dd13p-19, -0x1.89e17b58a7e96p-19, -0x1.78ce3238ec28ep-19, -0x1.67dca6e559911p-19, -0x1.570cdbd3af73ep-19, -0x1.465ecd51f4628p-19, -0x1.35d28fd8de429p-19, -0x1.25681ae4e2f38p-19, -0x1.151f874a97c06p-19, -0x1.04f8a1034a03ap-19, -0x1.e9e7a6342c696p-20, -0x1.ca20c0b7e04d8p-20, -0x1.aa9deb14d0bb9p-20, -0x1.8b5ea74541c63p-20, -0x1.6c62ef8e1e062p-20, -0x1.4daab8831d568p-20, -0x1.2f35f63ee346ep-20, -0x1.11049d8b3bfa7p-20, -0x1.e62d3e43fba78p-21, -0x1.aad794f1bc5eap-21, -0x1.70088dcc44fabp-21, -0x1.35bf7ac99e299p-21, -0x1.f7f8ef82787fap-22, -0x1.857f5a85d400ap-22, -0x1.14100fdd1e928p-22, -0x1.47553703bd0bfp-23, -0x1.a28271ddde611p-25, 0x1.d00163b7c8358p-25, 0x1.4e8fd9638575p-23, 0x1.1386250c7ad4ep-22, 0x1.7ebcddf2201cdp-22, 0x1.e8ebb628ec77bp-22, 0x1.29099b12fbd52p-21, 0x1.5d1b32cbc9553p-21, 0x1.90a943a7c8866p-21, 0x1.c3b6168536612p-21, 0x1.f63eabc6a39a8p-21, 0x1.1423272772a6ap-20, 0x1.2ce69ea5a9e57p-20, 0x1.456969a96021bp-20, 0x1.5dabd98f0c123p-20, 0x1.75aeda6a7d969p-20, 0x1.8d71d387a5582p-20, 0x1.a4f42ad5a3ecap-20, 0x1.bc37a930ab1e5p-20, 0x1.d33bfdcef9c87p-20, 0x1.ea00c57277f99p-20, 0x1.0043e08177c13p-19, 0x1.0b68069f17ff1p-19, 0x1.166ce5d81a5e3p-19, 0x1.2152b01340cf6p-19, 0x1.2c199c66625f6p-19, 0x1.36c1d9c6ae198p-19, 0x1.414b44591330fp-19, 0x1.4bb64d5870417p-19, 0x1.5602ea2f05b79p-19, 0x1.6030f12f614f5p-19, 0x1.6a413f2d39b38p-19, 0x1.74335f40f694bp-19, 0x1.7e0781f2f5233p-19, 0x1.87bde0a140d27p-19, 0x1.915710352cc73p-19, 0x1.9ad27c4f02881p-19, 0x1.a43093093c059p-19, 0x1.ad738a1c3edcfp-19, 0x1.b69565b7ea425p-19, 0x1.bf9c6a8658cd2p-19, 0x1.c886abc77d65ap-19, 0x1.d1544eb039a7p-19, 0x1.da057ecc8f00bp-19, 0x1.e29a673417e58p-19, 0x1.eb1320a6b5a58p-19, 0x1.f36fbd26e1296p-19, 0x1.fbb0764977d44p-19, 0x1.01ead357b23afp-18, 0x1.05efa30562fe7p-18, 0x1.09e653f37be5cp-18, 0x1.0dd02ee5cf409p-18, 0x1.11ac34cb76365p-18, 0x1.157aae05d2cb2p-18, 0x1.193bc9e47323bp-18, 0x1.1cef948a641eap-18, 0x1.2095c8cd82e2fp-18, 0x1.244d7fea95315p-18, 0x1.27bbb0d994e11p-18, 0x1.2b3b08ddf1329p-18, 0x1.2ead67ab20409p-18, 0x1.3212e92593eb2p-18, 0x1.356ba68e8d325p-18, 0x1.38b840e817028p-18, 0x1.3bf72a38ad83ep-18, 0x1.3f2a702ef71f2p-18, 0x1.4251021e61d06p-18, 0x1.456b2c59c002dp-18, 0x1.48792c6a6a96fp-18, 0x1.4b7aec63f05c1p-18, 0x1.4e70aaedc66fap-18, 0x1.515a5899503dap-18, 0x1.543829117e388p-18, 0x1.570934b5bc645p-18, 0x1.59d02801d487ap-18, 0x1.5c8a5dfaaf1c4p-18, 0x1.5f3921b2a0a5bp-18, 0x1.61dc446fbba93p-18, 0x1.6474148458d6p-18, 0x1.6700817024c57p-18, 0x1.6981a1863af1cp-18, 0x1.6bf78a4f6ac05p-18, 0x1.6e61fe3d03f34p-18, 0x1.70c2320c99e59p-18, 0x1.731752114e22fp-18, 0x1.755f95fbf123bp-18, 0x1.77a01d3429895p-18, 0x1.79d4792f80743p-18, 0x1.7bfe445802e84p-18, 0x1.7e1b6b7cfed5bp-18, 0x1.8032566fc2d32p-18, 0x1.823dea69de05cp-18, 0x1.843dca968fe16p-18, 0x1.86326d342b7ap-18, 0x1.881e67a32c4a4p-18, 0x1.8a0007c5b9f37p-18, 0x1.8bd7b5f40c642p-18, 0x1.8da57f603d597p-18, 0x1.8f6977a103ae2p-18, }}, 
      {{-0x1.6dd3a8c3c0fbp+0, -0x1.607566661ccd3p+0, -0x1.4cb4d16a0c086p+0, -0x1.34f609308a7c1p+0, -0x1.1b57eac94dc38p+0, -0x1.01878fe44cefap+0, -0x1.d175731a24a8dp-1, -0x1.a3793daab943ap-1, -0x1.7a03382d20e77p-1, -0x1.55775b8cebbbap-1, -0x1.35d9c85b85958p-1, -0x1.1aed9064230c2p-1, -0x1.044d14ea6a58ap-1, -0x1.e2f902d2fe54cp-2, -0x1.c3ee884c48e7bp-2, -0x1.aa72f0845ce42p-2, -0x1.958c48d7504e5p-2, -0x1.84562448ae9c2p-2, -0x1.7605bd9fadabbp-2, -0x1.69eb8d9858561p-2, -0x1.5f731c76f12b8p-2, -0x1.5621a6eb19671p-2, -0x1.4d94082b7387cp-2, -0x1.457c3d4183338p-2, -0x1.3d9ebe2cd3d7ap-2, -0x1.35cfd7847532ap-2, -0x1.2df1216f1c363p-2, -0x1.25ef265886a6bp-2, -0x1.1dbf43e94dc2ap-2, -0x1.155dcb041cc7cp-2, -0x1.0ccc5f7e39c36p-2, -0x1.0410953625e78p-2, -0x1.f6658d31610e9p-3, -0x1.e47a3f146d726p-3, -0x1.d275ad9ce6a27p-3, -0x1.c06f207a637fp-3, -0x1.ae7dc4976fe9cp-3, -0x1.9cb7f30ff883bp-3, -0x1.8b32a9f14ae6ep-3, -0x1.7a012e5f21637p-3, -0x1.6934d0864d8c9p-3, -0x1.58dccad2de822p-3, -0x1.4906367407183p-3, -0x1.39bc104a76614p-3, -0x1.2b074a4cfbb35p-3, -0x1.1ceee608c7defp-3, -0x1.0f78155f750aap-3, -0x1.02a65f4e0b6ap-3, -0x1.ecf78d9b4e9d5p-4, -0x1.d5f1e4d7480ffp-4, -0x1.c03aa711a51efp-4, -0x1.abce98db3539bp-4, -0x1.98a8a95833fb2p-4, -0x1.86c236b03aa6fp-4, -0x1.76134d94690edp-4, -0x1.6692e3b843483p-4, -0x1.58370d0ace16p-4, -0x1.4af52bc3ab6bdp-4, -0x1.3ec21b6eefc12p-4, -0x1.3392572fc8002p-4, -0x1.295a1b84360dap-4, -0x1.200d83c5487c4p-4, -0x1.17a0a3cdbc4d5p-4, -0x1.10079dfd6c6f1p-4, -0x1.0936b5fd8572p-4, -0x1.032260936d1b5p-4, -0x1.fb7ea197ae15ap-5, -0x1.f2050586c2641p-5, -0x1.e9c288b4d3509p-5, -0x1.e2a2781f9959ep-5, -0x1.dc90dc7697bf5p-5, -0x1.d77a81b8bd3fap-5, -0x1.d34cfc5a910eap-5, -0x1.cff6ac4afab4dp-5, -0x1.cd66be2336c2ep-5, -0x1.cb8d2ac6ccaf4p-5, -0x1.ca5ab5b103599p-5, -0x1.c9c0ea2a649f5p-5, -0x1.c9b2178d23efep-5, -0x1.ca214cc8b18e4p-5, -0x1.cb02535365644p-5, -0x1.cc49a996fbd35p-5, -0x1.cdec7d02b57f9p-5, -0x1.cfe0a3d8923cep-5, -0x1.d21c96c8593dep-5, -0x1.d4976a6ea93e3p-5, -0x1.d748c8c2feddfp-5, -0x1.da28ea871e5a5p-5, -0x1.dd3090bd7e9eep-5, -0x1.e058fe3642723p-5, -0x1.e39bf1336d33cp-5, -0x1.e6f39d325ea86p-5, -0x1.ea5aa4d8909f3p-5, -0x1.edcc140c8eecp-5, -0x1.f1435a3fa67acp-5, -0x1.f4bc44de62b1ep-5, -0x1.f832fa014ceefp-5, -0x1.fba3f3433374cp-5, -0x1.ff0bf8d5ac896p-5, -0x1.01340e6116a3cp-4, -0x1.02dadb31f8d3fp-4, -0x1.04792f0a6dcdfp-4, -0x1.060df484498dfp-4, -0x1.079832b13c61ep-4, -0x1.09170b3932243p-4, -0x1.0a89b893fce74p-4, -0x1.0bef8c5a43763p-4, -0x1.0d47eda90766ep-4, -0x1.0e9257a08eb68p-4, -0x1.0fce57f460b47p-4, -0x1.10fb8d8eef0aep-4, -0x1.1219a74dbca2p-4, -0x1.132862c9f04d2p-4, -0x1.14278b356a62p-4, -0x1.1516f84d172ddp-4, -0x1.15f68d5311ff4p-4, -0x1.16c6381dfd23bp-4, -0x1.1785f03a3aacap-4, -0x1.1835b610c3e5ep-4, -0x1.18d592216116p-4, -0x1.1965944b49a04p-4, -0x1.19e5d31c09f6bp-4, -0x1.1a566b2ce97fap-4, -0x1.1ab77e8ec2b64p-4, -0x1.1b09343a9791ep-4, -0x1.1b4bb78cc6622p-4, -0x1.1b7f37ce3b8ecp-4, -0x1.1ba3e7c290865p-4, -0x1.1bb9fd3c45371p-4, -0x1.1bc1b0bd8392dp-4, -0x1.1bbb3d1fa8157p-4, -0x1.1ba6df3dd3ddap-4, -0x1.1b84d5a780439p-4, -0x1.1b55605cf1332p-4, -0x1.1b18c08da011dp-4, -0x1.1acf385aa3b13p-4, -0x1.1a790aa163cf3p-4, -0x1.1a167acb6f9a3p-4, -0x1.19a7cc9faa604p-4, -0x1.192d4417d03edp-4, -0x1.18a7253c69738p-4, -0x1.1815b403c38ep-4, -0x1.17793431d4c93p-4, -0x1.16d1e93c5326ep-4, -0x1.16201632b18d6p-4, -0x1.1563fda951be7p-4, -0x1.149de1a4953bep-4, -0x1.13ce0386fb43fp-4, -0x1.12f4a402e16d9p-4, -0x1.1212030dfff26p-4, -0x1.11265fd53b1d5p-4, -0x1.1031f8b232288p-4, -0x1.0f350b237c8e3p-4, -0x1.0e2fd3c648f32p-4, -0x1.0d228e50c1fb5p-4, -0x1.0c0d758cccd67p-4, -0x1.0af0c354ddb8cp-4, -0x1.09ccb091a18c1p-4, -0x1.08a175394eb76p-4, -0x1.076f484e191f4p-4, -0x1.06365fdd99f98p-4, -0x1.04f6f101d23bp-4, -0x1.03b12fe2d7aaap-4, -0x1.02654fb8770bdp-4, -0x1.011382cbb942p-4, -0x1.ff77f4f24b7e8p-5, -0x1.fcbdce6810dcfp-5, -0x1.f9f8f1140ef8ap-5, -0x1.f729ba4cb332ep-5, -0x1.f45085a9e0327p-5, -0x1.f16dad0c45162p-5, -0x1.ee8188a5eb54ap-5, -0x1.eb8c6f030f8e5p-5, -0x1.e88eb51214f77p-5, -0x1.e588ae2abc864p-5, -0x1.e27aac192953fp-5, -0x1.df64ff2149e37p-5, -0x1.dc47f60df17c3p-5, -0x1.d923de361dd69p-5, -0x1.d5f9038578ab3p-5, -0x1.d2c7b084852b7p-5, -0x1.cf902e6129a88p-5, -0x1.cc52c4f75dd24p-5, -0x1.c90fbad943c77p-5, -0x1.c5c75556a2d13p-5, -0x1.c279d88428114p-5, -0x1.bf278742ec25ep-5, -0x1.bbd0a34811c8fp-5, -0x1.b8756d2425ce3p-5, -0x1.b5162449cc652p-5, -0x1.b1b30713f49dbp-5, -0x1.ae4c52cc18f1ep-5, -0x1.aae243b08c1fbp-5, -0x1.a77514faa21fdp-5, -0x1.a40500e4cb096p-5, -0x1.a09240af5ea74p-5, -0x1.9d1d0ca61a158p-5, -0x1.99a59c24bac8dp-5, -0x1.962c259bfeea2p-5, -0x1.92b0de9645ffap-5, -0x1.8f33fbbbdc6f1p-5, -0x1.8bb5b0d6c8576p-5, -0x1.883630d9a2ccep-5, -0x1.84b5adddc5a88p-5, -0x1.8134592955e1ap-5, -0x1.7db263349531p-5, -0x1.7a2ffbab131d2p-5, -0x1.76ad516ef2b79p-5, -0x1.732a929ba998fp-5, -0x1.6fa7ec8890c54p-5, -0x1.6c258bcb4edc4p-5, -0x1.68a39c3a3a8cap-5, -0x1.652248ee8e952p-5, -0x1.61a1bc4686335p-5, -0x1.5e221fe726e35p-5, -0x1.5aa39cbdf8e18p-5, -0x1.57265b0292a41p-5, -0x1.53aa823847289p-5, -0x1.5030392f5ca19p-5, -0x1.4cb7a606a9878p-5, -0x1.4940ee2cca919p-5, -0x1.45cc36615df6cp-5, -0x1.4259a2b58d59bp-5, -0x1.3ee9568d9f97p-5, -0x1.3b7b74a1a9657p-5, -0x1.38101efe7262cp-5, -0x1.34a7770655e7cp-5, -0x1.31419d721352cp-5, -0x1.2ddeb2517fb62p-5, -0x1.2a7ed50c2c443p-5, -0x1.27222462136aep-5, -0x1.23c8be6c31868p-5, -0x1.2072c09d2a9a5p-5, -0x1.1d2047c1e3b76p-5, -0x1.19d1700218df6p-5, -0x1.168654e0efbcbp-5, -0x1.133f113d7b398p-5, -0x1.0ffbbf53472ddp-5, -0x1.0cbc78bae8fbcp-5, -0x1.0981566a8a2f6p-5, -0x1.064a70b67adcep-5, -0x1.0317df51c7833p-5, -0x1.ffd3729da7b76p-6, -0x1.f9802a3fdbd8ap-6, -0x1.f336112fd5e72p-6, -0x1.ecf551d5895dbp-6, -0x1.e6be155c91244p-6, -0x1.e09083b589c71p-6, -0x1.da6cc3976fe63p-6, -0x1.d452fa8129921p-6, -0x1.ce434cbac679p-6, -0x1.c83ddd590e799p-6, -0x1.c242ce3959a8cp-6, -0x1.bc52400bc7392p-6, -0x1.b66c524df5b21p-6, -0x1.b0912350faa4bp-6, -0x1.aac0d039e0a16p-6, -0x1.a4fb750335811p-6, -0x1.9f412c7ebdfbp-6, -0x1.999210580f545p-6, -0x1.93ee391776786p-6, -0x1.8e55be242983ap-6, -0x1.88c8b5c64e61ep-6, -0x1.8347352956916p-6, -0x1.7dd1505e6de6dp-6, -0x1.78671a5f0b175p-6, -0x1.7308a50fb0d0bp-6, -0x1.6db6014294147p-6, -0x1.686f3eba46172p-6, -0x1.63346c2c711fdp-6, -0x1.5e05974530374p-6, -0x1.58e2ccaa0aa7ep-6, -0x1.53cc17fc8e627p-6, -0x1.4ec183dd744e5p-6, -0x1.49c319efecb69p-6, -0x1.44d0e2dcd5e5ep-6, -0x1.3feae656050f2p-6, -0x1.3b112b19882b9p-6, -0x1.3643b6f514e2dp-6, -0x1.31828ec96ce49p-6, -0x1.2ccdb68dd5423p-6, -0x1.282531539df79p-6, -0x1.23890149b34dcp-6, -0x1.1ef927c03593ap-6, -0x1.1a75a52c21051p-6, -0x1.15fe792af7ceep-6, -0x1.1193a2867e5ebp-6, -0x1.0d351f3876fe3p-6, -0x1.08e2ec6e6749p-6, -0x1.049d068d66c7cp-6, -0x1.00636935f5fd9p-6, -0x1.f86c1e8f92fcep-7, -0x1.f029e5cbbdd2cp-7, -0x1.e8001af38d08ap-7, -0x1.dfeeaf71261dcp-7, -0x1.d7f5934b6426cp-7, -0x1.d014b52ee8908p-7, -0x1.c84c0275bb275p-7, -0x1.c09b672f0d4dfp-7, -0x1.b902ce272e761p-7, -0x1.b18220ef64731p-7, -0x1.aa1947e5d077fp-7, -0x1.a2c82a3d78abfp-7, -0x1.9b8eae05da1f4p-7, -0x1.946cb832c2865p-7, -0x1.8d622ca466794p-7, -0x1.866eee2f0cbddp-7, -0x1.7f92dea2de283p-7, -0x1.78cdded38f7cfp-7, -0x1.721fcea028e01p-7, -0x1.6b888cfaa5dcap-7, -0x1.6507f7ef956c3p-7, -0x1.5e9decadb18c5p-7, -0x1.584a478d5ee79p-7, -0x1.520ce418240c6p-7, -0x1.4be59d101c6b7p-7, -0x1.45d44c7756c98p-7, -0x1.3fd8cb9721aep-7, -0x1.39f2f3074d8acp-7, -0x1.34229ab5556b9p-7, -0x1.2e6799eb79b5cp-7, -0x1.28c1c757b2ccbp-7, -0x1.2330f912a6f1ep-7, -0x1.1db504a66f73ep-7, -0x1.184dbf15676eep-7, -0x1.12fafce0d198ep-7, -0x1.0dbc920f88bffp-7, -0x1.089252348e81fp-7, -0x1.037c107591262p-7, -0x1.fcf33f22bb858p-8, -0x1.f315a3cc70b29p-8, -0x1.e95ef2ef47f3p-8, -0x1.dfcecfea3763p-8, -0x1.d664dd7e4b1edp-8, -0x1.cd20bddaede68p-8, -0x1.c40212a9191fcp-8, -0x1.bb087d1680e74p-8, -0x1.b2339de0f9d58p-8, -0x1.a9831561b4433p-8, -0x1.a0f683986fac3p-8, -0x1.988d8836ac196p-8, -0x1.9047c2a9fede4p-8, -0x1.8824d226bc573p-8, -0x1.802455b1565c3p-8, -0x1.7845ec2710f94p-8, -0x1.7089344750d55p-8, -0x1.68edccbbfc51bp-8, -0x1.6173542211938p-8, -0x1.5a196912933f4p-8, -0x1.52dfaa2bd37fbp-8, -0x1.4bc5b61b16de6p-8, -0x1.44cb2ba5e924dp-8, -0x1.3defa9b2c2e0ep-8, -0x1.3732cf50c42a4p-8, -0x1.30943bbf52b1p-8, -0x1.2a138e761a50fp-8, -0x1.23b0672bc8425p-8, -0x1.1d6a65da6cc7p-8, -0x1.17412ac378a3dp-8, -0x1.113456754269ap-8, -0x1.0b4389d23a669p-8, -0x1.056e661902de1p-8, -0x1.ff6919d9c4a68p-9, -0x1.f42b40bc27894p-9, -0x1.e92285e24139cp-9, -0x1.de4e2f4a03d85p-9, -0x1.d3ad83eed9621p-9, -0x1.c93fcbd066c39p-9, -0x1.bf044ff5e928cp-9, -0x1.b4fa5a7211f74p-9, -0x1.ab213667b794p-9, -0x1.a178301146691p-9, -0x1.97fe94cb17531p-9, -0x1.8eb3b320813ep-9, -0x1.8596dad9a4877p-9, -0x1.7ca75d08ef72dp-9, -0x1.73e48c15e2edap-9, -0x1.6b4dbbc48ed71p-9, -0x1.62e24138f6124p-9, -0x1.5aa172f964601p-9, -0x1.528aa8ee3a04cp-9, -0x1.4a9d3c614255p-9, -0x1.42d8880444ae1p-9, -0x1.3b3be7f4bab83p-9, -0x1.33c6b9c3d96b7p-9, -0x1.2c785c7ea0d61p-9, -0x1.255030b48edb3p-9, -0x1.1e4d987ab624ep-9, -0x1.176ff76a659d9p-9, -0x1.10b6b29d94848p-9, -0x1.0a2130ab73aa2p-9, -0x1.03aed9a8198ecp-9, -0x1.fabe2e531ef6ep-10, -0x1.ee62a8a773c2ap-10, -0x1.e249fbd3f8abdp-10, -0x1.d67304c7ad55cp-10, -0x1.cadca3ff0d9bfp-10, -0x1.bf85bd98d611dp-10, -0x1.b46d3950d1328p-10, -0x1.a9920254f6fbp-10, -0x1.9ef306ffb7668p-10, -0x1.948f3887eded9p-10, -0x1.8a658ab6b1d7dp-10, -0x1.8074f3b78693fp-10, -0x1.76bc6c136914p-10, -0x1.6d3aeee0a096ap-10, -0x1.63ef7a24aacffp-10, -0x1.5ad90f5819c5p-10, -0x1.51f6b3f1c8c7ep-10, -0x1.494771da3e736p-10, -0x1.40ca57a99a76fp-10, -0x1.387e789b39cf7p-10, -0x1.3062ec30656efp-10, -0x1.2876cd8ad6006p-10, -0x1.20b93a99281e8p-10, -0x1.1929533aded05p-10, -0x1.11c6389459b5ap-10, -0x1.0a8f0ca4f89dep-10, -0x1.0382f265a841ep-10, -0x1.f9421c9a71dc9p-11, -0x1.ebd10e76cd6fcp-11, -0x1.deb10f238b8d3p-11, -0x1.d1e07c819e85ap-11, -0x1.c55dbf239b867p-11, -0x1.b9274b1141dbcp-11, -0x1.ad3b9f9e820e1p-11, -0x1.a1994663f6dcfp-11, -0x1.963ed17373a95p-11, -0x1.8b2ad9012ed3fp-11, -0x1.805bf8d05c3e6p-11, -0x1.75d0cdc756236p-11, -0x1.6b87f427b901dp-11, -0x1.618006e7b9dc8p-11, -0x1.57b7a075cb6edp-11, -0x1.4e2d5cd0afa37p-11, -0x1.44dfdc748f948p-11, -0x1.3bcdc755afc16p-11, -0x1.32f5cf2c27305p-11, -0x1.2a56b09f877ecp-11, -0x1.21ef3357b8e7dp-11, -0x1.19be294b4935p-11, -0x1.11c26db68b858p-11, -0x1.09fae3ef9e0dp-11, -0x1.0266760236fdep-11, -0x1.f60825c0ce9a3p-12, -0x1.e7a55827a8545p-12, -0x1.d9a266d10f27bp-12, -0x1.cbfd325ef2316p-12, -0x1.beb397cfa2953p-12, -0x1.b1c3736aa82a2p-12, -0x1.a52aa64266693p-12, -0x1.98e71c42c29d8p-12, -0x1.8cf6d078d9305p-12, -0x1.8157ce317e627p-12, -0x1.76082f5f9c6dep-12, -0x1.6b0619d8d9709p-12, -0x1.604fbd8ae4909p-12, -0x1.55e354a57ee32p-12, -0x1.4bbf2597d8a5bp-12, -0x1.41e1851a53b3bp-12, -0x1.3848d648b47c2p-12, -0x1.2ef387fb6a6e3p-12, -0x1.25e0102bd33b1p-12, -0x1.1d0ce786ba748p-12, -0x1.14788766aea09p-12, -0x1.0c216b121adcfp-12, -0x1.04061331e17bcp-12, -0x1.f84a12007e814p-13, -0x1.e8f9bf6c19d42p-13, -0x1.da18654ac9dddp-13, -0x1.cba343e11afcdp-13, -0x1.bd979e0752267p-13, -0x1.aff2b5d988028p-13, -0x1.a2b1cf502fe42p-13, -0x1.95d238772c028p-13, -0x1.895153ef9771ap-13, -0x1.7d2ca0a905023p-13, -0x1.7161bb2ac607ep-13, -0x1.65ee58f56763cp-13, -0x1.5ad042a094a49p-13, -0x1.500551d1dadf9p-13, -0x1.458b7439114c9p-13, -0x1.3b60af517cbc8p-13, -0x1.3183200d10dbfp-13, -0x1.27f0f0b86b8d8p-13, -0x1.1ea84dcfb7cb7p-13, -0x1.15a75cb47ff19p-13, -0x1.0cec39d4153c4p-13, -0x1.0474fc037fd66p-13, -0x1.f87f7000e6c37p-14, -0x1.e8950561ed4d1p-14, -0x1.d926e6c8432cep-14, -0x1.ca3156e3426a5p-14, -0x1.bbb0b5f619f62p-14, -0x1.ada186bf8fdp-14, -0x1.a0006540359b6p-14, -0x1.92c9fd6facf54p-14, -0x1.85fb13446563bp-14, -0x1.7990a0e667f42p-14, -0x1.6d87f8c33343dp-14, -0x1.61decd4b89b4ep-14, -0x1.56930e4f1220ep-14, -0x1.4ba2abf0e3c6p-14, -0x1.410b65a3affadp-14, -0x1.36cac22acf813p-14, -0x1.2cde2be3a45c8p-14, -0x1.2343133d2a73fp-14, -0x1.19f6fea3d208ap-14, -0x1.10f78762bbc03p-14, -0x1.084251f65a0efp-14, -0x1.ffaa1881e651dp-15, -0x1.ef5ae0ab4bb35p-15, -0x1.df9289384f80ap-15, -0x1.d04ca14808e9ap-15, -0x1.c1849e8aedc9p-15, -0x1.b335d6bd943f9p-15, -0x1.a55bbcba15926p-15, -0x1.97f24f2ec4c1p-15, -0x1.8af66e1ef8802p-15, -0x1.7e65c19987676p-15, -0x1.723e2f18dd6b8p-15, -0x1.667d42a76650fp-15, -0x1.5b1ffd824adb8p-15, -0x1.502318850f48ap-15, -0x1.45835f08f7f38p-15, -0x1.3b3dcc76555dbp-15, -0x1.314f74c260f14p-15, -0x1.27b5748201d17p-15, -0x1.1e6cffe63c91bp-15, -0x1.15737686cd3b4p-15, -0x1.0cc66033eb6afp-15, -0x1.04635234f6cdp-15, -0x1.f88fa1d953ee3p-16, -0x1.e8e2801251a2dp-16, -0x1.d9b9c79bfe38p-16, -0x1.cb0fe59d5fb3ep-16, -0x1.bcdf86d28f86fp-16, -0x1.af2424815bedep-16, -0x1.a1da58f3ff418p-16, -0x1.94ff7e10b308fp-16, -0x1.8890c67d9027cp-16, -0x1.7c8ab10b71828p-16, -0x1.70e961badd82dp-16, -0x1.65a958e4218c3p-16, -0x1.5ac7994e11c69p-16, -0x1.50412c85146ccp-16, -0x1.4612cbce41d17p-16, -0x1.3c39022620d77p-16, -0x1.32b07e1f15ad8p-16, -0x1.29764bab58b6dp-16, -0x1.2087e132c070bp-16, -0x1.17e2f2852b579p-16, -0x1.0f851f0b23da9p-16, -0x1.076bbb32540cp-16, -0x1.ff27ce0bf3e08p-17, -0x1.eff5b8ffe96b1p-17, -0x1.e13c505775dc5p-17, -0x1.d2f73ae23dee6p-17, -0x1.c5225841e2868p-17, -0x1.b7b9949ca7c69p-17, -0x1.aab8872193805p-17, -0x1.9e1ab41bbd0e9p-17, -0x1.91db964284dcp-17, -0x1.85f7d59e6fb6p-17, -0x1.7a6d470c7b0d3p-17, -0x1.6f399c004e89p-17, -0x1.64598e2cecf9ap-17, -0x1.59c978b1551eap-17, -0x1.4f85f72b2a865p-17, -0x1.458bd904ead65p-17, -0x1.3bd8210c26432p-17, -0x1.3268308417ad2p-17, -0x1.2939c330938bcp-17, -0x1.204ab5ac30164p-17, -0x1.1798c13c32529p-17, -0x1.0f2157f033e5dp-17, -0x1.06e1c8fa6359bp-17, -0x1.fdaf5fcb3a98ep-18, -0x1.ee02b5fbdc523p-18, -0x1.debb457242056p-18, -0x1.cfd640771f968p-18, -0x1.c14f1ac4a075bp-18, -0x1.b31fe907f1a17p-18, -0x1.a542a22bb9d67p-18, -0x1.97b2d92f75708p-18, -0x1.8a6f2d84488aep-18, -0x1.7d77764aa8bd8p-18, -0x1.70c959370dfccp-18, -0x1.6460bcf0d4ed3p-18, -0x1.583a714a6ef06p-18, -0x1.4c542dd6b7647p-18, -0x1.40ab84e7391eap-18, -0x1.353e0d338c878p-18, -0x1.2a09a47fc47ffp-18, -0x1.1f0c4e2965f7p-18, -0x1.144412c75e9dep-18, -0x1.09af02b2279abp-18, -0x1.fe9678b470d81p-19, -0x1.ea2ddbff15a72p-19, -0x1.d62092dbfaf5p-19, -0x1.c26b3916da4d6p-19, -0x1.af0b3354db64fp-19, -0x1.9bfeee87d12efp-19, -0x1.8944fd7d69f19p-19, -0x1.76da78c2aa1b3p-19, -0x1.64bab462dad7dp-19, -0x1.52e0ee6c19087p-19, -0x1.4149bcde96ecdp-19, -0x1.2ff42494c0b27p-19, -0x1.1ee0be3cace9ep-19, -0x1.0e0d8fe55183dp-19, -0x1.faedc815f8629p-20, -0x1.da36674bf6fe6p-20, -0x1.b9f30d54b6ddap-20, -0x1.9a2032c0a6f18p-20, -0x1.7abad256aac65p-20, -0x1.5bc0b3d4ad713p-20, -0x1.3d2fac57398c6p-20, -0x1.1f055588c5dd2p-20, -0x1.013f2351ec619p-20, -0x1.c7b4beebd76e9p-21, -0x1.8daa098905e65p-21, -0x1.545a7e2f58eadp-21, -0x1.1bc31c2c14963p-21, -0x1.c7c22f9b921adp-22, -0x1.59631dadbaf77p-22, -0x1.d8c6f96f7d1b4p-23, -0x1.017db7c192fap-23, -0x1.67175ed5cc1efp-26, 0x1.4a2b2c5cfa4b2p-24, 0x1.747b57a9a9d33p-23, 0x1.20ab8b19edb5fp-22, 0x1.85d5dff029762p-22, 0x1.e9c08ad53201cp-22, 0x1.26378083bf5c9p-21, 0x1.56f408e38dd76p-21, 0x1.8715c258ef5c2p-21, 0x1.b69caa68b8f1p-21, 0x1.e58acbf4a0e25p-21, 0x1.09f075f08f81ep-20, 0x1.20cfc10cab00cp-20, 0x1.37637dc011148p-20, 0x1.4dabf952186aap-20, 0x1.63a987a5cdd1fp-20, 0x1.795c7f33ca329p-20, 0x1.8ec5334170e19p-20, 0x1.a3e3e908d7368p-20, 0x1.b8b8cbadf5907p-20, 0x1.cd43ebc077a0cp-20, 0x1.e18548a114e05p-20, 0x1.f57ce61c427f2p-20, 0x1.049542c1e0625p-19, 0x1.0e479222ea80cp-19, 0x1.17d50ecde9705p-19, 0x1.213de1cd9e2bp-19, 0x1.2a8200c2f064ep-19, 0x1.33a16ccc63d49p-19, 0x1.3c9c10b7b6ca6p-19, 0x1.4571c2e1147efp-19, 0x1.4e22bf4011fc1p-19, 0x1.56af369c244c9p-19, 0x1.5f1704cc12436p-19, 0x1.6759f4b467e5fp-19, 0x1.6f7834b7aed15p-19, 0x1.7771b9f243179p-19, 0x1.7f4661ddc547fp-19, 0x1.86f631e6859d4p-19, 0x1.8e8127f2a740dp-19, 0x1.95e73f5bf1384p-19, 0x1.9d2874bf6eaa8p-19, 0x1.a444cbb3f73fbp-19, 0x1.ab3c3fc3eb2aap-19, 0x1.b20ed3237b3ccp-19, 0x1.b8bc87c1920a6p-19, 0x1.bf455f3b00657p-19, 0x1.c5a95b1777ec5p-19, 0x1.cbe87d49c0684p-19, 0x1.d202c96c6cb37p-19, 0x1.d7f84665244abp-19, 0x1.ddc8fefae4391p-19, 0x1.e3750041a53p-19, 0x1.e8fc56011df14p-19, 0x1.ee5f07c5e8c68p-19, 0x1.f39d1c9d16f77p-19, 0x1.f8b6a334629e9p-19, 0x1.fdabab4a76a56p-19, 0x1.013e26224ce53p-18, 0x1.039451cc45cbfp-18, 0x1.05d862ebd5ac9p-18, 0x1.080a5da6d85c3p-18, 0x1.0a2a54c2b5d16p-18, 0x1.0c3853459ee6ep-18, 0x1.0e34664d077e6p-18, 0x1.101e9d20bcdf1p-18, 0x1.11f7076513a96p-18, 0x1.13bdb55c23e85p-18, 0x1.1572b7f2a663cp-18, 0x1.1716211a40fd7p-18, 0x1.18a803fee9228p-18, 0x1.1a2874bcf978bp-18, 0x1.1b97880fbbd2cp-18, 0x1.1cf5534ffcdep-18, 0x1.1e41ec8f73156p-18, 0x1.1f7d6aa877e5p-18, 0x1.20a7e53bbc3ffp-18, 0x1.21c174b09a7bfp-18, 0x1.22ca3237dba72p-18, 0x1.23c237ce7ee23p-18, 0x1.24a9a038a2dd1p-18, 0x1.258086f7f2ba8p-18, 0x1.2647084d835f7p-18, 0x1.26fd4153c7725p-18, 0x1.27a3504a541bap-18, 0x1.2839533c9f2d9p-18, 0x1.28bf646ac04c1p-18, 0x1.2935aa8553172p-18, 0x1.299c3cdf06772p-18, 0x1.29f342851df74p-18, 0x1.2a3adceb73d65p-18, 0x1.2a732d5ba02cdp-18, 0x1.2a9c55f6504c9p-18, 0x1.2ab6798eaa147p-18, 0x1.2ac1bba9137edp-18, 0x1.2abe40557aea2p-18, 0x1.2aac2c34058efp-18, 0x1.2a8ba4dee527fp-18, 0x1.2a5ccf0aef733p-18, 0x1.2a1fce6fd758dp-18, 0x1.29d4cfb285be5p-18, 0x1.297bf3f2b52cfp-18, 0x1.291564a798aeap-18, 0x1.28a147bd0140dp-18, 0x1.281fca84e6cf8p-18, 0x1.27910e39b9011p-18, 0x1.26f5410bdffd9p-18, 0x1.264c8981bd9a1p-18, 0x1.25971104e2fbcp-18, 0x1.24d5013d8de98p-18, 0x1.240683fda94dp-18, 0x1.232bc36b22f2bp-18, 0x1.2244ea12c8d6bp-18, 0x1.215222a926561p-18, 0x1.205397f50faa8p-18, 0x1.1f4974e0410f6p-18, 0x1.1e33e48c2407ap-18, 0x1.1d13124e4c60ap-18, 0x1.1be729920f614p-18, 0x1.1ab055e8858fcp-18, 0x1.196ec30d123e7p-18, 0x1.18229cd6232d8p-18, 0x1.16cc0f24b9cp-18, 0x1.156b45f081b68p-18, 0x1.14006d413e353p-18, 0x1.128bb12a92eafp-18, 0x1.110d3dc7ea9f2p-18, 0x1.0f853f39f26c2p-18, 0x1.0df3e1a328569p-18, 0x1.0c595125af04bp-18, 0x1.0ab5b9dfc21b3p-18, 0x1.090947f6f35a8p-18, 0x1.07542730ede9ep-18, 0x1.059683a56b753p-18, 0x1.03d0890eaa774p-18, 0x1.020263361c3d4p-18, 0x1.002c3dcdbe3d9p-18, 0x1.fc9c87472d8d1p-19, 0x1.f8d12ba5d1f13p-19, 0x1.f4f70463c8157p-19, 0x1.f10e251bc938p-19, 0x1.ed17001cbcd1ep-19, 0x1.e911ddb77bf3ap-19, 0x1.e4ff18d06e87bp-19, 0x1.e0df080566ef4p-19, 0x1.dcb20025aa6f8p-19, 0x1.d87854fc7efdep-19, 0x1.d4325935f8c21p-19, 0x1.cfe05fbcb83d4p-19, 0x1.cb82c107c55p-19, 0x1.c719cc15fdea1p-19, 0x1.c2a5d54bda5bbp-19, 0x1.be272f5d085a7p-19, 0x1.b99e26a5e30dbp-19, 0x1.b50b06eafd465p-19, 0x1.b06e2e65c7865p-19, 0x1.abc8089a7eabbp-19, 0x1.a7188db44e724p-19, 0x1.a2603f1a8c055p-19, 0x1.9d9f83ac6df62p-19, 0x1.98d6929bd0381p-19, 0x1.9405b6fd4e159p-19, 0x1.8f2d3c1c92776p-19, 0x1.8a4d6dd05fadcp-19, 0x1.85668e30a9f1ap-19, 0x1.80790e0d96833p-19, 0x1.7b85070b0dfedp-19, 0x1.768ad8b321bf6p-19, 0x1.718ac930794bap-19, 0x1.6c851fcb643f7p-19, 0x1.677a236b73bacp-19, 0x1.626a1a5307b47p-19, 0x1.5d554a0f146cep-19, 0x1.583bf771b5bbep-19, 0x1.531e669850c5p-19, 0x1.4dfcdaf71641ep-19, 0x1.48d79754329c9p-19, 0x1.43aeddbab00d7p-19, 0x1.3e82ef78d384dp-19, 0x1.39540d1edb00cp-19, 0x1.3422765b5d5d8p-19, 0x1.2eee69f31085dp-19, 0x1.29b826386e8ap-19, 0x1.247fe907f4a9dp-19, 0x1.1f45efa58a968p-19, 0x1.1a0a74c64e70fp-19, 0x1.14cdb43dbc04fp-19, 0x1.0f8fe905c6206p-19, 0x1.0a514c6757dbep-19, 0x1.0512177320ef5p-19, 0x1.ffa50645133e3p-20, 0x1.f525928992448p-20, 0x1.eaa64209a1123p-20, 0x1.e0276ed0a2968p-20, 0x1.d5a9863148019p-20, 0x1.cb2d004269cb1p-20, 0x1.c0b234c40354fp-20, 0x1.b63960c454fbdp-20, 0x1.abc2f6a13e885p-20, 0x1.a14fefa39a72cp-20, 0x1.96e05fd0097fcp-20, 0x1.8c7460213e271p-20, 0x1.820c4149d4b08p-20, 0x1.77a884cb013c7p-20, 0x1.6d4990982a3cap-20, 0x1.62efbd81362b4p-20, 0x1.589b634bd08dfp-20, 0x1.4e4cf36c9c869p-20, 0x1.44046faf1982cp-20, 0x1.39c26d071e26p-20, 0x1.2f8739b75ebd2p-20, 0x1.25531ff18eed9p-20, 0x1.1b2672b25784ep-20, 0x1.110177ffe841bp-20, 0x1.06e470172397fp-20, 0x1.f99f6b66085d6p-21, 0x1.e5871c96f1555p-21, 0x1.d180858d5fabcp-21, 0x1.bd8c32dadce94p-21, 0x1.a9aaae51020a4p-21, 0x1.95dc7f83ba225p-21, 0x1.82222d29c1c25p-21, 0x1.6e7be8b40b1efp-21, 0x1.5aeb03cffcf9ep-21, 0x1.476f241644e1ap-21, 0x1.3409174d2b96ap-21, 0x1.20b950806ff3ap-21, 0x1.0d80151fb7787p-21, 0x1.f4bca40df04fcp-22, 0x1.cea7dc1163534p-22, 0x1.a8c331c9f1567p-22, 0x1.830f4fd4bf007p-22, 0x1.5d8d1293bc7f7p-22, 0x1.383d1e5814d2cp-22, 0x1.13208c80660d5p-22, 0x1.dc6f7df84bd11p-23, 0x1.9307292bbab9dp-23, 0x1.4a097f7c6b6fep-23, 0x1.0177daffebb01p-23, 0x1.72a71da07ee73p-24, 0x1.c677934905968p-25, 0x1.52c0eb4610746p-26, -0x1.c7c907ab5ebbbp-27, -0x1.8b7bdca7c9df5p-25, -0x1.519bc1bcce5d3p-24, -0x1.dc90ce6a99d5cp-24, -0x1.334d4371903c3p-23, -0x1.77db7de9aa319p-23, -0x1.bbf2166f6f12ep-23, -0x1.ff9015af5f516p-23, -0x1.215a465a0305p-22, -0x1.42af4a9f713afp-22, -0x1.63c6a8c2ac39cp-22, -0x1.849ff5f2953f6p-22, -0x1.a53acb6f29a18p-22, -0x1.c596c6e84d7e6p-22, -0x1.e5b38a2e1eb69p-22, -0x1.02c85d7d037c4p-21, -0x1.12970189d93c8p-21, -0x1.2245871759999p-21, -0x1.31d3cb0dd4f86p-21, -0x1.41419993e23f9p-21, -0x1.508ecd386b752p-21, -0x1.5fbb3392eec2p-21, -0x1.6ec889e548053p-21, -0x1.7db1f125b1c6p-21, -0x1.8c7bc6d919cd3p-21, -0x1.9b24894ddc56cp-21, -0x1.a9ac0c490f21dp-21, -0x1.b812355bda1eap-21, -0x1.c656ea0312cc3p-21, -0x1.d47a1c514dbb9p-21, -0x1.e27bbc06dc0a6p-21, -0x1.f05bb5f960d52p-21, -0x1.fe1a012930b2ap-21, -0x1.05db4e6b1d9cap-20, -0x1.0c98b3cfe9384p-20, -0x1.134530d8d388bp-20, -0x1.19e0c00126b7bp-20, -0x1.206b5c9832fafp-20, -0x1.26e50419b3fbcp-20, -0x1.2d4db617aac5ap-20, -0x1.33a575328983cp-20, -0x1.39ec0f44794c9p-20, -0x1.4021cb12fb211p-20, -0x1.4646ba4d7eec2p-20, -0x1.4c5a8b4ebb394p-20, -0x1.525d56321658cp-20, -0x1.584f3375aa086p-20, -0x1.5e301acbe275fp-20, -0x1.640027fdc7625p-20, -0x1.69bf49e34f783p-20, -0x1.6f6d829ac1fefp-20, -0x1.7509eb20f7a32p-20, -0x1.7a974fd7a3fbcp-20, -0x1.8012f05cf0d3cp-20, -0x1.857dc8de11675p-20, -0x1.8ad7dbf99e07ep-20, -0x1.902135a1cc6edp-20, -0x1.9559d3957e54ap-20, -0x1.9a81c9d680753p-20, -0x1.9f99244b94a8bp-20, -0x1.a49fd8136707bp-20, -0x1.a99605543a53ap-20, -0x1.ae7bafdc74a55p-20, -0x1.b350e29f0133fp-20, -0x1.b815a97013ce5p-20, -0x1.bcca10310edd4p-20, -0x1.c16e24bf58a38p-20, -0x1.c601f234e7056p-20, -0x1.ca8588e864063p-20, -0x1.cef8f4f223b31p-20, -0x1.d35c44c140c6fp-20, -0x1.d7af868f1ba24p-20, -0x1.dbf2c6864231dp-20, -0x1.e02612870b93fp-20, -0x1.e449a26f8b74p-20, -0x1.e85d3129f0f46p-20, -0x1.ec6112916f594p-20, -0x1.f055493f31aebp-20, -0x1.f439e12c910f7p-20, -0x1.f80ee9b8ae514p-20, -0x1.fbd4859fc8244p-20, -0x1.ff8aaf7e55ec5p-20, -0x1.0198c17c90edap-19, -0x1.0364890012093p-19, -0x1.0528b85f0d419p-19, -0x1.06e55853b5b96p-19, -0x1.089a7260bfcbp-19, -0x1.0a481052148e3p-19, -0x1.0bee3cf7145edp-19, -0x1.0d8d02b7c12a9p-19, -0x1.0f246ab88b7fp-19, -0x1.10b47ec228b9bp-19, -0x1.123d494746a13p-19, -0x1.13bed472b4a9dp-19, -0x1.1539306abf09ep-19, -0x1.16ac597856ac8p-19, -0x1.1818687816374p-19, -0x1.197d630fe0443p-19, -0x1.1adb540deb277p-19, -0x1.1c32467110c2bp-19, -0x1.1d8245572badap-19, -0x1.1ecb5c06b9e31p-19, -0x1.200d95ea69176p-19, -0x1.2148fe2a8a1edp-19, -0x1.227d9fcbbf34fp-19, -0x1.23ab85f3718b9p-19, -0x1.24d2bc17d36fep-19, -0x1.25f34dc4d6a41p-19, -0x1.270d46083b7a8p-19, -0x1.2820afc5b571cp-19, -0x1.292d9641aafc6p-19, -0x1.2a34134357a76p-19, -0x1.2b344790a94e9p-19, -0x1.2c2dcfe8f9b81p-19, -0x1.2d211d7b64113p-19, -0x1.2e0e34aa215dfp-19, -0x1.2ef515a486d2dp-19, -0x1.2fd5b8b0c23dap-19, -0x1.30b04538f58e7p-19, -0x1.3184b73dda97ep-19, -0x1.32531d2a67f85p-19, -0x1.331b84455ab01p-19, -0x1.33ddf8db0decap-19, -0x1.349a87259ca46p-19, -0x1.35513a7b892fdp-19, -0x1.36021b3b50998p-19, -0x1.36ad3a6ee05b6p-19, -0x1.3752ac31b6089p-19, -0x1.37f26ee3270fap-19, -0x1.388c91addf9eep-19, -0x1.3921232b507b5p-19, -0x1.39b02d874ecfbp-19, -0x1.3a399fbcf740bp-19, -0x1.3abde53d46829p-19, -0x1.3b3ca86530e89p-19, -0x1.3bb5e9d0519dap-19, -0x1.3c2a91920a06dp-19, -0x1.3c9915e06f08fp-19, -0x1.3d02cfdb1175bp-19, -0x1.3d675afb929a7p-19, -0x1.3dc7061e56364p-19, -0x1.3e214ddf0478p-19, -0x1.3e76c3b965269p-19, -0x1.3ec73d9d42ffep-19, -0x1.3f12cd9f066fp-19, -0x1.3f5980bd59acbp-19, -0x1.3f9b62e10561cp-19, -0x1.3fd88b751376ap-19, -0x1.4010e5ab269bap-19, -0x1.40449dbcc36fp-19, -0x1.4073c1f65e17bp-19, -0x1.409e36d5dd585p-19, -0x1.40c42fd7e9a41p-19, -0x1.40e5aa2c2089dp-19, -0x1.4102af402dabdp-19, -0x1.411b5238cc50bp-19, -0x1.412f9dfb220d5p-19, -0x1.413f97dbf0c16p-19, -0x1.414b4dad21956p-19, -0x1.4152cb8576cb9p-19, -0x1.41561e65350d4p-19, -0x1.41554f5974bd1p-19, -0x1.41506badb2093p-19, -0x1.414778b6fd376p-19, -0x1.413a9313a73e4p-19, -0x1.41297d2ea43ccp-19, -0x1.4114ed9982ee1p-19, -0x1.40fc482a6ac4fp-19, -0x1.40dfd2df6e832p-19, -0x1.40bf974d00723p-19, -0x1.409ba077d8b57p-19, -0x1.4073f948b611p-19, -0x1.4048ac6d03d98p-19, -0x1.4019c50f76835p-19, -0x1.3fe74efb13a24p-19, -0x1.3fb15476bbac7p-19, -0x1.3f77e062fd62fp-19, -0x1.3f3afe5a409p-19, -0x1.3efab534ec37cp-19, -0x1.3eb71280633bcp-19, -0x1.3e70238875f3fp-19, -0x1.3e25ee366a249p-19, -0x1.3dd87e8c2a574p-19, -0x1.3d87e1d4502dbp-19, -0x1.3d341af2759d1p-19, -0x1.3cdd3be8114cbp-19, -0x1.3c834af9a2014p-19, -0x1.3c265c5c90f18p-19, -0x1.3bc671f3f3f85p-19, -0x1.3b637ced4ed5dp-19, -0x1.3afdad2d76fedp-19, -0x1.3a94fd1a26a81p-19, -0x1.3a29759216921p-19, -0x1.39bb2eba5bd53p-19, -0x1.394a2202b9d74p-19, -0x1.38d65c7a3d254p-19, -0x1.385fe9ac67188p-19, -0x1.37e6d2f6887dap-19, -0x1.376b2190c9f34p-19, -0x1.36ecdefbde33ap-19, -0x1.366c14694f11fp-19, -0x1.35e8caf9b4839p-19, -0x1.35630ef888e42p-19, -0x1.34dae7443cb57p-19, -0x1.34505bc3b52d9p-19, -0x1.33c375e92813bp-19, -0x1.3334403a14aap-19, -0x1.32a2c6a3efc12p-19, -0x1.320f08e0716e9p-19, -0x1.317919d0590bap-19, -0x1.30e0ffd953831p-19, -0x1.3046ad83b0269p-19, -0x1.2faa5baf498d2p-19, -0x1.2f0be7cfbe46ap-19, -0x1.2e6b6a7777bdep-19, -0x1.2dc8eaf45658ap-19, -0x1.2d2477bd3592ep-19, -0x1.2c7e0f029d1e9p-19, -0x1.2bd5bd3f94767p-19, -0x1.2b2b95288ff82p-19, -0x1.2a7f804d2b941p-19, -0x1.29d1a537dccep-19, -0x1.2922016fc8dp-19, -0x1.28709c8a45fb1p-19, -0x1.27bd7f42a4375p-19, -0x1.2708b220d3793p-19, -0x1.26523af66644fp-19, -0x1.259a1e627763ap-19, -0x1.24e05bfdd7187p-19, -0x1.242517027ec31p-19, -0x1.2368513c4bc7cp-19, -0x1.22aa509d8285fp-19, -0x1.21ea325570381p-19, -0x1.2128f5be31e4fp-19, -0x1.20664eeb0cb52p-19, -0x1.1fa23e8a1f7cap-19, -0x1.1edccd8a8d61fp-19, -0x1.1e15fdd9786afp-19, -0x1.1d4dfe3f91eccp-19, -0x1.1c8482bc6de9cp-19, -0x1.1bb9db1608701p-19, -0x1.1aedf751c3791p-19, -0x1.1a20dbbb02b8dp-19, -0x1.1952899e4b915p-19, -0x1.188353251119bp-19, -0x1.17b2868c7490dp-19, -0x1.16e0e8d081ae5p-19, -0x1.160e2eb0b149bp-19, -0x1.153a5cda1c4c9p-19, -0x1.14658cd0e576dp-19, -0x1.138fb84a03f91p-19, -0x1.12b8e7c5344f7p-19, -0x1.11e121cb439adp-19, -0x1.11086c33f073bp-19, -0x1.102ebfc582ee7p-19, -0x1.0f5461f14cf7dp-19, -0x1.0e78f8e927e6bp-19, -0x1.0d9cd9d886ff9p-19, -0x1.0cbfb4c788fccp-19, -0x1.0be1ee590f22ap-19, -0x1.0b035d6d80be9p-19, -0x1.0a240a5950fe8p-19, -0x1.0943fc310de5ap-19, -0x1.08633866a03p-19, -0x1.0781c82cda462p-19, -0x1.069facdb2674ep-19, -0x1.05bce5bfe2a0ep-19, -0x1.04d989b186f85p-19, -0x1.03f591cef05fbp-19, -0x1.031103e71b947p-19, -0x1.022be4329229ap-19, -0x1.01463d2b06b9ep-19, -0x1.00601053e275cp-19, -0x1.fef2cea4c9409p-20, -0x1.fd243f3a5f559p-20, -0x1.fb5534183dbc5p-20, -0x1.f98508a0769acp-20, -0x1.f7b40886264dcp-20, -0x1.f5e238744da33p-20, -0x1.f40fa123d976bp-20, }}, 
      {{-0x1.15f1550e4e3fap-7, -0x1.9cf896139b2a3p-6, -0x1.170c6f5ab9343p-5, -0x1.698ea0ef07a64p-6, 0x1.1e746d2470554p-6, 0x1.5d72e8e56e28ep-4, 0x1.6bff7506d3cf5p-3, 0x1.274f7df5e97d7p-2, 0x1.a39b277b208adp-2, 0x1.1192467e25e92p-1, 0x1.4f6ffae378d9ap-1, 0x1.8870fe3480052p-1, 0x1.ba47e3e8bcc63p-1, 0x1.e35233eda3f81p-1, 0x1.0146b72c76d6ap+0, 0x1.0bc21d95982f2p+0, 0x1.111bf3844bda2p+0, 0x1.11847a729fdccp+0, 0x1.0d5045a3d2224p+0, 0x1.04ede630bf55dp+0, 0x1.f1b9aad590cdep-1, 0x1.d34b789681051p-1, 0x1.afa834487563cp-1, 0x1.87e273e39b37cp-1, 0x1.5d00b3e93dd7ap-1, 0x1.2ff7c5743847ep-1, 0x1.01a70fbabce2fp-1, 0x1.a5acb1a2e8d54p-2, 0x1.4869990d042a6p-2, 0x1.d963f846a7f7p-3, 0x1.27069e348ab61p-3, 0x1.ed6f1439dd8d5p-5, -0x1.427d5dc63a9f2p-6, -0x1.85f6347f18b8fp-4, -0x1.53ea69a197aaap-3, -0x1.da9e16ae07b49p-3, -0x1.2b65c022cbe73p-2, -0x1.642ac39a38df3p-2, -0x1.97a2cf6ba9af6p-2, -0x1.c5e2b0294ab2ep-2, -0x1.ef0c55a123f73p-2, -0x1.09a6163ee907dp-1, -0x1.196b60beb6badp-1, -0x1.26f3567aa9ca5p-1, -0x1.325d6210b8d69p-1, -0x1.3bca464ee531ap-1, -0x1.435b76af5b1cdp-1, -0x1.49328bda1b74bp-1, -0x1.4d70d142b570ep-1, -0x1.5036e8fb85dc5p-1, -0x1.51a482fcb178p-1, -0x1.51d8254e7ac39p-1, -0x1.50ef02bb0a299p-1, -0x1.4f04ddde947dbp-1, -0x1.4c33f69c5162p-1, -0x1.4895003331653p-1, -0x1.443f1e60e717bp-1, -0x1.3f47e833442ecp-1, -0x1.39c36f5c5b48fp-1, -0x1.33c44b07ab7fbp-1, -0x1.2d5ba556ea4b4p-1, -0x1.26994aceedf27p-1, -0x1.1f8bbb19e7bf7p-1, -0x1.18403a9fbdeb6p-1, -0x1.10c2e4897d6b5p-1, -0x1.091ebcdb58d62p-1, -0x1.015dc260a9f09p-1, -0x1.f312006a6ca94p-2, -0x1.e3513d882ab42p-2, -0x1.d387e83e62d18p-2, -0x1.c3c3273870f9ap-2, -0x1.b40eb954bd30bp-2, -0x1.a47511b53c3b2p-2, -0x1.94ff7231dd48bp-2, -0x1.85b6042d6cecep-2, -0x1.769fefd8e583bp-2, -0x1.67c371eb2fe2bp-2, -0x1.5925efe28c5d5p-2, -0x1.4acc0ad7ebf87p-2, -0x1.3cb9b0fd81165p-2, -0x1.2ef22dd284a0ep-2, -0x1.217839254315fp-2, -0x1.144e04ef7dcefp-2, -0x1.07754a23ac135p-2, -0x1.f5dea8efe4587p-3, -0x1.dd7a1a8993918p-3, -0x1.c5be0afe58b94p-3, -0x1.aeaafdd718b18p-3, -0x1.9840e9029aed8p-3, -0x1.827f445fc872cp-3, -0x1.6d6517c029503p-3, -0x1.58f108022c548p-3, -0x1.452162b3916d1p-3, -0x1.31f4290e6e43cp-3, -0x1.1f6719a5feda3p-3, -0x1.0d77b97869c66p-3, -0x1.f846b82fbdefbp-4, -0x1.d6ce55e44f4f7p-4, -0x1.b6805898dd01p-4, -0x1.97569212652c4p-4, -0x1.794aa4edfbf97p-4, -0x1.5c560e50bc9e1p-4, -0x1.40722eb48f0bcp-4, -0x1.259852a51e893p-4, -0x1.0bc1b92b4adf7p-4, -0x1.e5cf35dec0557p-5, -0x1.b60660134bc2ep-5, -0x1.881b690a2ebcp-5, -0x1.5c00dbf050a8fp-5, -0x1.31a95deaecd0ep-5, -0x1.0907b4e10b71ap-5, -0x1.c41d9f64dcdfcp-6, -0x1.79639385b4183p-6, -0x1.31c7e03079ac9p-6, -0x1.da631c83954bfp-7, -0x1.57102fe0288a6p-7, -0x1.b2cdbfad82305p-8, -0x1.84e04ce3604acp-9, 0x1.1aa4ecbb2b5aap-11, 0x1.fdb55bcaf6315p-9, 0x1.d07a026198988p-8, 0x1.4c44391e3efa7p-7, 0x1.abacd9475ef3ap-7, 0x1.034fd085d14bcp-6, 0x1.2ea21c8e0b4abp-6, 0x1.57e09ccc62a7p-6, 0x1.7f1e11ba951edp-6, 0x1.a46cb1056de04p-6, 0x1.c7de2ae05de06p-6, 0x1.e983a9c658282p-6, 0x1.04b6e8b3dddf6p-5, 0x1.13d661e701b8p-5, 0x1.22281284db4bfp-5, 0x1.2fb38d0598337p-5, 0x1.3c80257673fc1p-5, 0x1.4894f478ad44fp-5, 0x1.53f8d834e749bp-5, 0x1.5eb27435b7328p-5, 0x1.68c83379d6d5p-5, 0x1.72404b29f1e06p-5, 0x1.7b20bb34078ecp-5, 0x1.836f4e9a31452p-5, 0x1.8b319dbd42fa6p-5, 0x1.926d10c53849fp-5, 0x1.9926e03d4dceep-5, 0x1.9f641592ecda2p-5, 0x1.a5298d3589fd2p-5, 0x1.aa7bf8d32b2b6p-5, 0x1.af5fe01d67f3dp-5, 0x1.b3d9a143f1c71p-5, 0x1.b7ed72b365109p-5, 0x1.bb9f6533d5fbfp-5, 0x1.bef364ed0b403p-5, 0x1.c1ed39d3977abp-5, 0x1.c49088e5ce53bp-5, 0x1.c6e0d61605f6bp-5, 0x1.c8e18596046d3p-5, 0x1.ca95dc58e5129p-5, 0x1.cc0100cea9bf8p-5, 0x1.cd25fc650ead7p-5, 0x1.ce07bcff4fb45p-5, 0x1.cea915bc3c5bfp-5, 0x1.cf0cbf6c30b7bp-5, 0x1.cf35597c2adcap-5, 0x1.cf256b4f132bbp-5, 0x1.cedf654e47fc3p-5, 0x1.ce65a17924ffep-5, 0x1.cdba63df04c81p-5, 0x1.ccdfdb8171199p-5, 0x1.cbd8236e51b7dp-5, 0x1.caa54392fb468p-5, 0x1.c9493136269a4p-5, 0x1.c7c5cf684f76cp-5, 0x1.c61cefc0f5ca6p-5, 0x1.c45053418280cp-5, 0x1.c261ab05d5b5ap-5, 0x1.c05298b416f35p-5, 0x1.be24aedb987d4p-5, 0x1.bbd97184c4631p-5, 0x1.b97256e6033a8p-5, 0x1.b6f0c7fd78a83p-5, 0x1.b45620fc237b3p-5, 0x1.b1a3b196adbc1p-5, 0x1.aedabd6a6be92p-5, 0x1.abfc7c873faf5p-5, 0x1.a90a1bf52d032p-5, 0x1.a604be1bc333cp-5, 0x1.a2ed7b0e6cb02p-5, 0x1.9fc560d32f3d1p-5, 0x1.9c8d73c18b06ep-5, 0x1.9946aef080122p-5, 0x1.95f204970083fp-5, 0x1.92905e5834caep-5, 0x1.8f229d800d058p-5, 0x1.8ba99b403f213p-5, 0x1.882628feaa429p-5, 0x1.849910a954a4ap-5, 0x1.810314ff2e346p-5, 0x1.7d64f1cc57603p-5, 0x1.79bf5c1c331c6p-5, 0x1.7613026adaeddp-5, 0x1.72608ce1a946fp-5, 0x1.6ea89d97b176fp-5, 0x1.6aebd0cab2a8ap-5, 0x1.672abd105f3dfp-5, 0x1.6365f380b13f1p-5, 0x1.5f9dffdd0edcep-5, 0x1.5bd368bd10741p-5, 0x1.5806afc000e87p-5, 0x1.543851baaa21ap-5, 0x1.5068c6dfc06a6p-5, 0x1.4c9882e43a3e7p-5, 0x1.48c7f51f8aac6p-5, 0x1.44f788ac2fcf3p-5, 0x1.4127a48c8aae4p-5, 0x1.3d58abcfe4262p-5, 0x1.398afdb3deaccp-5, 0x1.35bef5c30319ap-5, 0x1.31f4ebf0d259fp-5, 0x1.2e2d34b36b322p-5, 0x1.2a68211db8dd7p-5, 0x1.26a5fefc1503ap-5, 0x1.22e718f03f64p-5, 0x1.1f2bb68ad1467p-5, 0x1.1b741c631c4dep-5, 0x1.17c08c2d8643ap-5, 0x1.141144d0363a1p-5, 0x1.10668277a8b4ep-5, 0x1.0cc07eac96a43p-5, 0x1.091f7069a95bap-5, 0x1.05838c2f84738p-5, 0x1.01ed0417ac576p-5, 0x1.fcb80fcd42384p-6, 0x1.f5a18a39c33ep-6, 0x1.ee96ce0e5d138p-6, 0x1.e7982d9e86687p-6, 0x1.e0a5f719d131fp-6, 0x1.d9c074ac59792p-6, 0x1.d2e7ec9d2cd7dp-6, 0x1.cc1ca16ba5da5p-6, 0x1.c55ed1ebb92ap-6, 0x1.beaeb960cba6cp-6, 0x1.b80c8f97c2105p-6, 0x1.b178890194fa8p-6, 0x1.aaf2d6cdcc202p-6, 0x1.a47ba703b0631p-6, 0x1.9e13249a3fbabp-6, 0x1.97b9778f7d2d2p-6, 0x1.916ec4ff0e0bdp-6, 0x1.8b332f37f499bp-6, 0x1.8506d5d18a961p-6, 0x1.7ee9d5c095d0ep-6, 0x1.78dc496c3dc8ap-6, 0x1.72de48c243fd6p-6, 0x1.6cefe94a4a329p-6, 0x1.67113e38a3e09p-6, 0x1.61425880b38abp-6, 0x1.5b8346e6bb589p-6, 0x1.55d416110c89fp-6, 0x1.5034d098eb9fcp-6, 0x1.4aa57f1b6ee3cp-6, 0x1.45262849ef299p-6, 0x1.3fb6d0f9e79a5p-6, 0x1.3a577c34556dcp-6, 0x1.35082b44b8a45p-6, 0x1.2fc8ddc7cc464p-6, 0x1.2a9991b9d2442p-6, 0x1.257a43846ec1p-6, 0x1.206aee0c4b108p-6, 0x1.1b6b8abe8a43dp-6, 0x1.167c119df4876p-6, 0x1.119c794fb56e9p-6, 0x1.0cccb727c0e0ap-6, 0x1.080cbf34ed6efp-6, 0x1.035c844cd92ffp-6, 0x1.fd77f02ef018dp-7, 0x1.f4561634b5f45p-7, 0x1.eb5359875d786p-7, 0x1.e26f96ea223bep-7, 0x1.d9aaa91c54bd4p-7, 0x1.d10468edff13ap-7, 0x1.c87cad53f8aa8p-7, 0x1.c0134b7b7e244p-7, 0x1.b7c816dd5cde2p-7, 0x1.af9ae150af45bp-7, 0x1.a78b7b1d22f5fp-7, 0x1.9f99b30ccb6d1p-7, 0x1.97c5567d86fbbp-7, 0x1.900e317209a11p-7, 0x1.88740ea285644p-7, 0x1.80f6b78cdc74p-7, 0x1.7995f4847393ep-7, 0x1.72518cc18fb8fp-7, 0x1.6b29467064d66p-7, 0x1.641ce6bfbf55fp-7, 0x1.5d2c31ef591e3p-7, 0x1.5656eb5dc7dc8p-7, 0x1.4f9cd596113c8p-7, 0x1.48fdb25ced7e2p-7, 0x1.427942bdb89p-7, 0x1.3c0f4717056e2p-7, 0x1.35bf7f26e31c4p-7, 0x1.2f89aa16c451dp-7, 0x1.296d868714d08p-7, 0x1.236ad29a8f8a5p-7, 0x1.1d814c01306e6p-7, 0x1.17b0b002f2483p-7, 0x1.11f8bb8a2ebebp-7, 0x1.0c592b2db8f19p-7, 0x1.06d1bb3ab7c58p-7, 0x1.016227be37013p-7, 0x1.f814591ce147bp-8, 0x1.ed930aa790cf3p-8, 0x1.e33fdb23145f3p-8, 0x1.d91a415cb58c7p-8, 0x1.cf21b3f8ce531p-8, 0x1.c555a982acf7ap-8, 0x1.bbb5987bfa5d2p-8, 0x1.b240f76bbcb7bp-8, 0x1.a8f73cecd36b2p-8, 0x1.9fd7dfbc2149p-8, 0x1.96e256c6323b2p-8, 0x1.8e1619347d92cp-8, 0x1.85729e79ff2bcp-8, 0x1.7cf75e5f728dep-8, 0x1.74a3d10eda786p-8, 0x1.6c776f1eaf7bcp-8, 0x1.6471b19c92723p-8, 0x1.5c921217bbb22p-8, 0x1.54d80aab3044dp-8, 0x1.4d431607cedcfp-8, 0x1.45d2af7e29dabp-8, 0x1.3e865308231adp-8, 0x1.375d7d5209ac6p-8, 0x1.3057abc330b2ap-8, 0x1.29745c85bd05dp-8, 0x1.22b30e8da9da8p-8, 0x1.1c13419f2e191p-8, 0x1.159476549f61ap-8, 0x1.0f362e24403c6p-8, 0x1.08f7eb664574fp-8, 0x1.02d9315b6098fp-8, 0x1.f9b308678c1p-9, 0x1.edf0d22d220d5p-9, 0x1.e26acc5225fb5p-9, 0x1.d720052ac7c2bp-9, 0x1.cc0f8d1f2bb5p-9, 0x1.c13876b26f7bep-9, 0x1.b699d685b8996p-9, 0x1.ac32c358a4ffp-9, 0x1.a2025608523abp-9, 0x1.9807a98f9d13fp-9, 0x1.8e41db0abe78dp-9, 0x1.84b009c008181p-9, 0x1.7b51572e43d18p-9, 0x1.7224e71f3df17p-9, 0x1.6929dfbbbc366p-9, 0x1.605f699cb8879p-9, 0x1.57c4afd5c0644p-9, 0x1.4f58dff50386dp-9, 0x1.471b29f82a5bep-9, 0x1.3f0ac037728c4p-9, 0x1.3726d74bc40f8p-9, 0x1.2f6ea5f6b3f2fp-9, 0x1.27e16513e78cap-9, 0x1.207e4f9a555ccp-9, 0x1.1944a2b096b61p-9, 0x1.12339dd2c52d6p-9, 0x1.0b4a8303749edp-9, 0x1.048896fcf4b22p-9, 0x1.fbda42abb2489p-10, 0x1.eeeed91a06bbcp-10, 0x1.e24d8beabffc2p-10, 0x1.d5f4fb0198596p-10, 0x1.c9e3cae360e02p-10, 0x1.be18a405f2736p-10, 0x1.b2923235088dfp-10, 0x1.a74f24369f226p-10, 0x1.9c4e2bcf01dp-10, 0x1.918dfe31c29fap-10, 0x1.870d54d48786p-10, 0x1.7ccaee7d64955p-10, 0x1.72c590529b178p-10, 0x1.68fc06a910ed3p-10, 0x1.5f6d25545d0f2p-10, 0x1.5617c751deee3p-10, 0x1.4cfacdca2f5d6p-10, 0x1.44151e8c5dc5fp-10, 0x1.3b65a24a19b34p-10, 0x1.32eb42f46da94p-10, 0x1.2aa4ea9bf5e16p-10, 0x1.229183252d4d6p-10, 0x1.1aaff6f9f12ap-10, 0x1.12ff32abcb157p-10, 0x1.0b7e2742ecbbep-10, 0x1.042bccc7ac1fcp-10, 0x1.fa0e48f5fa499p-11, 0x1.ec1e746c8a1adp-11, 0x1.de864919ae62dp-11, 0x1.d144070ca72d4p-11, 0x1.c455fc25c3f59p-11, 0x1.b7ba7d4986119p-11, 0x1.ab6fdf275b415p-11, 0x1.9f74700cf868fp-11, 0x1.93c67423e3e17p-11, 0x1.8864250c93ce2p-11, 0x1.7d4bb525c1868p-11, 0x1.727b5612a9f21p-11, 0x1.67f141619bb6dp-11, 0x1.5dabc1b6e27cfp-11, 0x1.53a93aadfea9ap-11, 0x1.49e82dc7fa0ffp-11, 0x1.40673b3ba57fdp-11, 0x1.37251e3a8c755p-11, 0x1.2e20a51ffd1dbp-11, 0x1.2558a6d845586p-11, 0x1.1ccbf76d58ea5p-11, 0x1.14795ded2038bp-11, 0x1.0c5f8d9f99aa1p-11, 0x1.047d23f1accep-11, 0x1.f9a1570d9d2f6p-12, 0x1.eab147da0f258p-12, 0x1.dc27192864bcp-12, 0x1.cdffe22f3e476p-12, 0x1.c038e966b2625p-12, 0x1.b2cfb5c456a59p-12, 0x1.a5c2172b29a86p-12, 0x1.990e245b55dd9p-12, 0x1.8cb22e735e25fp-12, 0x1.80acabf8791d1p-12, 0x1.74fc1f0749592p-12, 0x1.699efb60575a5p-12, 0x1.5e939120299e4p-12, 0x1.53d7fffcf322fp-12, 0x1.496a3510a4676p-12, 0x1.3f47f305b33bdp-12, 0x1.356ee28bffa12p-12, 0x1.2bdca7bcb5c84p-12, 0x1.228ef8a43120cp-12, 0x1.1983b16205618p-12, 0x1.10b8e2f3a77dep-12, 0x1.082cdaacf607fp-12, 0x1.ffbc430aaadeep-13, 0x1.ef96e74b42091p-13, 0x1.dfe763af531dep-13, 0x1.d0ab9ecb921c2p-13, 0x1.c1e17eeeedbbbp-13, 0x1.b386c9e4bd45cp-13, 0x1.a5990eb7d7ed1p-13, 0x1.98159c6e13f42p-13, 0x1.8af9863e7015dp-13, 0x1.7e41b37ac041ap-13, 0x1.71eaf7c65af3ap-13, 0x1.65f22f15f50e7p-13, 0x1.5a54582b7deb3p-13, 0x1.4f0ea7da50405p-13, 0x1.441e906fa8796p-13, 0x1.3981bbc83ea5fp-13, 0x1.2f35fb7292e35p-13, 0x1.2539366b1a84bp-13, 0x1.1b895cd5a372bp-13, 0x1.1224667c567eap-13, 0x1.09085a8d5b423p-13, 0x1.003359a01a036p-13, 0x1.ef47435ae0ac5p-14, 0x1.deaf0e6ab4e45p-14, 0x1.ce9acaf6f6c32p-14, 0x1.bf071c3430c97p-14, 0x1.aff084e685a97p-14, 0x1.a1537b12bf6fp-14, 0x1.932c96a9355a8p-14, 0x1.8578c1c858968p-14, 0x1.783549be559d5p-14, 0x1.6b5fbbd96fb97p-14, 0x1.5ef5938a6904fp-14, 0x1.52f3da7dda09bp-14, 0x1.4756e89093484p-14, 0x1.3c1a69424bc09p-14, 0x1.3139b0b93fcf7p-14, 0x1.26b046e2633c2p-14, 0x1.1c7a7313484fdp-14, 0x1.12958be4dc3a6p-14, 0x1.08ffe4f0b83d9p-14, 0x1.ff70c2a0572d5p-15, 0x1.ed7bc4e689cbcp-15, 0x1.dc1dc146263dbp-15, 0x1.cb52c7e639bd2p-15, 0x1.bb16b1f310edbp-15, 0x1.ab6607e77edfep-15, 0x1.9c3e89420f70bp-15, 0x1.8d9ef941c1826p-15, 0x1.7f8640e9fffd6p-15, 0x1.71f24bde4cda7p-15, 0x1.64df1f9d43533p-15, 0x1.584684f2002e5p-15, 0x1.4c2061afef67ep-15, 0x1.4063b28ed6cdfp-15, 0x1.3507f4831668ep-15, 0x1.2a069db1bca8cp-15, 0x1.1f5c11c534c2ep-15, 0x1.15078432cad5cp-15, 0x1.0b09b223ae15fp-15, 0x1.0163165d4e54dp-15, 0x1.f025441599135p-16, 0x1.de2b5bddcdfb8p-16, 0x1.ccd1f84964576p-16, 0x1.bc13f9f2016b3p-16, 0x1.abef1363563fap-16, 0x1.9c63716ffeb5cp-16, 0x1.8d71e22e9a2ccp-16, 0x1.7f19995a9ffffp-16, 0x1.7156e0352bed3p-16, 0x1.64232c1a7a2eap-16, 0x1.5775f26f53302p-16, 0x1.4b4554b7e03eep-16, 0x1.3f868f08ec1cap-16, 0x1.342edaf2e5231p-16, 0x1.293533baea3e9p-16, 0x1.1e944d047e6fp-16, 0x1.144b4273a796ap-16, 0x1.0a5c13b1c9c82p-16, 0x1.00c8b48c9b23bp-16, 0x1.ef217e311bca5p-17, 0x1.dd626525723bcp-17, 0x1.cc4bbaebbd14cp-17, 0x1.bbd672fdbd542p-17, 0x1.abff8babf3796p-17, 0x1.9cc7ff56b1f45p-17, 0x1.8e313fdffbc75p-17, 0x1.8038f5f886c7dp-17, 0x1.72d7f4439bb47p-17, 0x1.6604c7aecb099p-17, 0x1.59b6fbd2f10c4p-17, 0x1.4de88ae68509p-17, 0x1.42950118efa93p-17, 0x1.37b76169ab7c8p-17, 0x1.2d488209f04a3p-17, 0x1.233f2984067f1p-17, 0x1.1991e26f144abp-17, 0x1.1039864eb7278p-17, 0x1.073332b24d6p-17, 0x1.fd0060b0d4394p-18, 0x1.ec46abac87fe4p-18, 0x1.dc3ab5015c434p-18, 0x1.ccd586ef66b69p-18, 0x1.be0c3923a257bp-18, 0x1.afda25da1ddf1p-18, 0x1.a24307a55bbf2p-18, 0x1.9548b65117375p-18, 0x1.88e333ef09037p-18, 0x1.7d044134ef00bp-18, 0x1.719ee71bb5055p-18, 0x1.66aacb9bc3d8cp-18, 0x1.5c239f09114e6p-18, 0x1.520806dc2a0cp-18, 0x1.485923867a887p-18, 0x1.3f19796bee0fcp-18, 0x1.364a53716d5b4p-18, 0x1.2de86d0b5eed6p-18, 0x1.25e91e9cd8f3ap-18, 0x1.1e3a414186a1p-18, 0x1.16c9e0f7af5a3p-18, 0x1.0f93b87e51101p-18, 0x1.08a3ac1a13bfp-18, 0x1.02053777da94dp-18, 0x1.f767d78cf0c57p-19, 0x1.eb476ca0a874cp-19, 0x1.dfa743d0ccf2dp-19, 0x1.d4969b0d24f83p-19, 0x1.ca1560519768p-19, 0x1.c010680ecf34cp-19, 0x1.b673eb8761f56p-19, 0x1.ad3570c358eb5p-19, 0x1.a4519e6d064a7p-19, 0x1.9bc7374658d4cp-19, 0x1.93943d3547a34p-19, 0x1.8bb611f0ec873p-19, 0x1.842bc8a7db53ep-19, 0x1.7cf85c249e2d5p-19, 0x1.7621c89566f1bp-19, 0x1.6facb65eb270ep-19, 0x1.69978ad31f302p-19, 0x1.63d447067f836p-19, 0x1.5e45858147082p-19, 0x1.58d527b1bd57cp-19, 0x1.53923c1235c44p-19, 0x1.4e96cac1b705ep-19, 0x1.49da2bf7a3f75p-19, 0x1.4547758fd7eaep-19, 0x1.40e77347ba4f9p-19, 0x1.3cc940785e826p-19, 0x1.38e5d2a4b55dfp-19, 0x1.352e5e037396ap-19, 0x1.319b3f020b3b5p-19, 0x1.2e2b1ee893e21p-19, 0x1.2ade83955aa91p-19, 0x1.27b5ab60579d6p-19, 0x1.24b01a7cb067cp-19, 0x1.21cc9ede34d8ep-19, 0x1.1f09756cd277ap-19, 0x1.1c64d9ed1e92p-19, 0x1.19de179836de6p-19, 0x1.17763b5acadbbp-19, 0x1.152f228a491e4p-19, 0x1.1309d18a92adp-19, 0x1.1106ff648fd5ep-19, 0x1.0f24bec722bfdp-19, 0x1.0d55fd3cb37e6p-19, 0x1.0b91b253a93eap-19, 0x1.09e44f9711863p-19, 0x1.084d4c09ccea5p-19, 0x1.06c03efc59d6ap-19, 0x1.0548c671a0487p-19, 0x1.03ef89665524fp-19, 0x1.02ab6e9bfdf94p-19, 0x1.01751cd06587bp-19, 0x1.004ba3c74242bp-19, 0x1.fe600c1b8734p-20, 0x1.fc45c439daffbp-20, 0x1.fa485c30904aap-20, 0x1.f867045ae1f43p-20, 0x1.f6a0bfef227e1p-20, 0x1.f4f4a887c8877p-20, 0x1.f361dfaaf03a6p-20, 0x1.f1e75630c80cp-20, 0x1.f083bff227678p-20, 0x1.ef35f275c5eaep-20, 0x1.edfd6b3e24cbfp-20, 0x1.ecd9f722e6d2dp-20, 0x1.ebca93e8e0fdep-20, 0x1.ead0d6ba8a9d6p-20, 0x1.e9f5c839b9756p-20, 0x1.e935cbb1b2d08p-20, 0x1.e87f3d006c69ap-20, 0x1.e7d3a85c8193cp-20, 0x1.e72c68b2a1fbdp-20, 0x1.e6974fea81b3dp-20, 0x1.e61f7a5b9bf4cp-20, 0x1.e5b7ab0841f2p-20, 0x1.e5599d9914d2cp-20, 0x1.e5066d34470cdp-20, 0x1.e4bfabc75a4a3p-20, 0x1.e485e8ead3803p-20, 0x1.e45907c7cfdf5p-20, 0x1.e4389d2e6791cp-20, 0x1.e42424d5e502p-20, 0x1.e41b2079346b8p-20, 0x1.e41d2b98d9ecep-20, 0x1.e42a026e001cep-20, 0x1.e4417402e9f14p-20, 0x1.e4633e1af1c36p-20, 0x1.e48ee77ecdf1dp-20, 0x1.e4c3bfb1452e4p-20, 0x1.e50124bac21d6p-20, 0x1.e546c067c644bp-20, 0x1.e594100e71f68p-20, 0x1.e5e85fe7385f4p-20, 0x1.e6473e1b3d3eep-20, 0x1.e6b6b1b0ae0bp-20, 0x1.e72cb839f28f4p-20, 0x1.e7a1a8518ab21p-20, 0x1.e819a62b051aep-20, 0x1.e89f7e10730b8p-20, 0x1.e92d9c958909p-20, 0x1.e9bfa525e7711p-20, 0x1.ea5650610a978p-20, 0x1.eaf25fb99f82dp-20, 0x1.eb93f4660b63ap-20, 0x1.ec3ae773b23fdp-20, 0x1.ece6fb4a24a38p-20, 0x1.ed97ec2ec505dp-20, 0x1.ee4d758fee79ep-20, 0x1.ef075421e215dp-20, 0x1.efc5480f6e25ap-20, 0x1.f087173e145cdp-20, 0x1.f14c8ef3b392fp-20, 0x1.f2158247078dep-20, 0x1.f2e1c28487656p-20, 0x1.f3b113d4adb5cp-20, 0x1.f48327d0ef3f3p-20, 0x1.f557a80111a3cp-20, 0x1.f62e50aaa0dbdp-20, 0x1.f7070083d8ff6p-20, 0x1.f7e18149cf825p-20, 0x1.f8bd56b1197fcp-20, 0x1.f99b4e8858501p-20, 0x1.fa7d1a41d8acep-20, 0x1.fb5ddc890746cp-20, 0x1.fc3de9125d68dp-20, 0x1.fd20f32b3732cp-20, 0x1.fe04432f5ca33p-20, 0x1.fee72f9cbbf4ep-20, 0x1.ffca00f38493ep-20, 0x1.0056587486faep-19, 0x1.00c7892fff2b8p-19, 0x1.013877edbc05dp-19, 0x1.01a909bd2c617p-19, 0x1.0219242267361p-19, 0x1.0288ad120dd68p-19, 0x1.02f78ade676f1p-19, 0x1.0365a42eea1bp-19, 0x1.03d2dffa9c9fep-19, 0x1.043f258a19348p-19, 0x1.04aa5c7a08c4p-19, 0x1.05146cb1cb313p-19, 0x1.057d3e358662cp-19, 0x1.05e4b8e5c8222p-19, 0x1.064ac468bf347p-19, 0x1.06af48696762cp-19, 0x1.07122d0aad11p-19, 0x1.07735b8eb8d17p-19, 0x1.07d2beaad9c77p-19, 0x1.083040423cec4p-19, 0x1.088bc4fac008fp-19, 0x1.08e533f939fb1p-19, 0x1.093c8bb51ceefp-19, 0x1.0991a15fa9415p-19, 0x1.09e469511418fp-19, 0x1.0a34cb5a2f83dp-19, 0x1.0a82aecc6442ap-19, 0x1.0ace026c06d6ep-19, 0x1.0b16b22e9b1bfp-19, 0x1.0b5ca9c5fadbap-19, 0x1.0b9fd542e88a9p-19, 0x1.0be0211346264p-19, 0x1.0c1d79f730dddp-19, 0x1.0c57cd029a5b7p-19, 0x1.0c8f07a2bb39dp-19, 0x1.0cc3179bba582p-19, 0x1.0cf3eb1a81d82p-19, 0x1.0d217095da136p-19, 0x1.0d4b96dc582b9p-19, 0x1.0d724d3f76ec3p-19, 0x1.0d95830a540ccp-19, 0x1.0db527f7cf97bp-19, 0x1.0dd12bf8dcb82p-19, 0x1.0de97f4189213p-19, 0x1.0dfe12ae7057p-19, 0x1.0e0ed7d5c49bap-19, 0x1.0e1bc0e9e1beep-19, 0x1.0e24c0851ff21p-19, 0x1.0e29c8db45095p-19, 0x1.0e2aca6ac7497p-19, 0x1.0e27b621fb891p-19, 0x1.0e2084fd9b87bp-19, 0x1.0e15368179c41p-19, 0x1.0e05a969071d3p-19, 0x1.0df1ca1db83e3p-19, 0x1.0dd99d55bc158p-19, 0x1.0dbd24b5317f1p-19, 0x1.0d9c4b4edec65p-19, 0x1.0d770523c6341p-19, 0x1.0d4d49030084ep-19, 0x1.0d1f0e2b1cb06p-19, 0x1.0cec4c1ad2333p-19, 0x1.0cb4fa9f24144p-19, 0x1.0c7911de881abp-19, 0x1.0c388a5e7e27fp-19, 0x1.0bf35d064364ap-19, 0x1.0ba98321d4fb5p-19, 0x1.0b5af653a1438p-19, 0x1.0b07b0b0982fap-19, 0x1.0aafaca3c7dc8p-19, 0x1.0a52e4fced1d5p-19, 0x1.09f154ee726f4p-19, 0x1.098af81917283p-19, 0x1.091fcb24487e9p-19, 0x1.08afc80bede13p-19, 0x1.083aeda4c0385p-19, 0x1.07c1386bd059p-19, 0x1.0742a5fedf17fp-19, 0x1.06bf340bce79cp-19, 0x1.0636e0b7504fcp-19, 0x1.05a9aa7a3fa3bp-19, 0x1.0517902b4f7fap-19, 0x1.048091239c13cp-19, 0x1.03e4ad2745dc4p-19, 0x1.0343e4219f356p-19, 0x1.029e3561e5aecp-19, 0x1.01f3a3430c248p-19, 0x1.01442e4f7b535p-19, 0x1.008fd681ed28ep-19, 0x1.ffad3c5391fbdp-20, 0x1.fe310f82fdd18p-20, 0x1.fcab2d115be05p-20, 0x1.fb1b93a7c4b6cp-20, 0x1.f9824d1e91cbp-20, 0x1.f7df61a86d137p-20, 0x1.f632d6c045c09p-20, 0x1.f47cb3f8bf064p-20, 0x1.f2bd01b86a468p-20, 0x1.f0f3c8d496132p-20, 0x1.ef2112f752282p-20, 0x1.ed44ea1cb5916p-20, 0x1.eb5f58e004368p-20, 0x1.e9706a730b8cdp-20, 0x1.e7782a8dd067ap-20, 0x1.e576a572ef9bdp-20, 0x1.e36be7ec6b6cep-20, 0x1.e157ff4bc3c32p-20, 0x1.df3af96e1d29cp-20, 0x1.dd14e4bc1626ep-20, 0x1.dae5d01988a48p-20, 0x1.d8adcacfc82d6p-20, 0x1.d66ce48fcec92p-20, 0x1.d4232d7ccc968p-20, 0x1.d1d0b6223ac0ep-20, 0x1.cf758f7ec62f3p-20, 0x1.cd11cb93246bap-20, 0x1.caa57d801c78fp-20, 0x1.c830b7be63792p-20, 0x1.c5b38a65707cdp-20, 0x1.c32dfd964606ap-20, 0x1.c0a043aceaf3ap-20, 0x1.be0a5ee4c7a3cp-20, 0x1.bb6c5b59eac2bp-20, 0x1.b8c655ea6e1acp-20, 0x1.b61863c63e25p-20, 0x1.b3629a08c61a1p-20, 0x1.b0a50e5bed541p-20, 0x1.addfd6bd4ac35p-20, 0x1.ab130926f210fp-20, 0x1.a83ebc44bfa0cp-20, 0x1.a563075ff8c01p-20, 0x1.a28001a33f69p-20, 0x1.9f95c2a73dc36p-20, 0x1.9ca4622e895bap-20, 0x1.99abf765ec6bdp-20, 0x1.96ac9a5ca0eb7p-20, 0x1.93a665584a9aep-20, 0x1.90996fe5f766bp-20, 0x1.8d85d30103414p-20, 0x1.8a6ba7df00c6fp-20, 0x1.874b07cdc436ap-20, 0x1.84240c5a72bbcp-20, 0x1.80f6d0ecfd68ap-20, 0x1.7dc36a803c611p-20, 0x1.7a89f71ac805cp-20, 0x1.774a909f1e86p-20, 0x1.740550d7361a7p-20, 0x1.70ba524952effp-20, 0x1.6d69af8722b42p-20, 0x1.6a1383450e694p-20, 0x1.66b7e82f9e9bfp-20, 0x1.6356f974b60efp-20, 0x1.5ff0d242fa5dp-20, 0x1.5c858dbfddb59p-20, 0x1.591546f7cdcdcp-20, 0x1.55a01770ddba9p-20, 0x1.52261dab01a35p-20, 0x1.4ea77507edce9p-20, 0x1.4b2436395e38cp-20, 0x1.479c7e285bf77p-20, 0x1.4410688055cb7p-20, 0x1.408010d14518ep-20, 0x1.3ceb920daa364p-20, 0x1.39530993db376p-20, 0x1.35b69129d44d3p-20, 0x1.321645495f15ap-20, 0x1.2e72416d03e5bp-20, 0x1.2acaa14063118p-20, 0x1.271f803c6a7d8p-20, 0x1.2370fa67ed26ep-20, 0x1.1fbf2ab5467f6p-20, 0x1.1c0a2d06bb40ep-20, 0x1.18521ccf11445p-20, 0x1.14971578d526dp-20, 0x1.10d932665c97ap-20, 0x1.0d188eec897f2p-20, 0x1.09554650b414p-20, 0x1.058f73c563ep-20, 0x1.01c7326affcd1p-20, 0x1.fbf93af5322e1p-21, 0x1.f45f9ec2d094ap-21, 0x1.ecc1c7145f7b9p-21, 0x1.e51fe91684f36p-21, 0x1.dd7a3a1f5dc44p-21, 0x1.d5d0ef610c40bp-21, 0x1.ce243dcab0dfcp-21, 0x1.c6745a10b489p-21, 0x1.bec178ae45819p-21, 0x1.b70bcde36e1f5p-21, 0x1.af538dae92d02p-21, 0x1.a798ebb3577c7p-21, 0x1.9fdc1b5830b04p-21, 0x1.981d4fd8f255bp-21, 0x1.905cbc3e817d1p-21, 0x1.889a94176016cp-21, 0x1.80d70693b3ebap-21, 0x1.7912488bc2d4fp-21, 0x1.714c8a4885073p-21, 0x1.6985fc6a64117p-21, 0x1.61bee4f24fd9fp-21, 0x1.59f73f819d5cfp-21, 0x1.522f6f052bd68p-21, 0x1.4a6793135731p-21, 0x1.429fd9bc95464p-21, 0x1.3ad872c863cc3p-21, 0x1.33118db2c4d1p-21, 0x1.2b4b59369eb9ep-21, 0x1.23860370e1332p-21, 0x1.1bc1ba42bc8fep-21, 0x1.13feab1f3c992p-21, 0x1.0c3d03049876ep-21, 0x1.047ceebc262c7p-21, 0x1.f97d34f07b7adp-22, 0x1.ea04645dff638p-22, 0x1.da8fc2d20493dp-22, 0x1.cb1fa655ffb1dp-22, 0x1.bbb463ba45fc3p-22, 0x1.ac4e4e3bc298ap-22, 0x1.9cedc9a77a96ap-22, 0x1.8d931204f8f3fp-22, 0x1.7e3e72ea5e8adp-22, 0x1.6ef05bdee4a3ap-22, 0x1.5fa90e07676a2p-22, 0x1.5068d83f04569p-22, 0x1.41300a5c0a3a7p-22, 0x1.31feee4d45293p-22, 0x1.22d5d45fcb1b4p-22, 0x1.13b509b502fe3p-22, 0x1.049cd3624e8b5p-22, 0x1.eb1b13d23cfffp-23, 0x1.cd0ed01ce7d6ep-23, 0x1.af15767c062edp-23, 0x1.912f95edd30d1p-23, 0x1.735dbaff7fa3ap-23, 0x1.55a0749adc154p-23, 0x1.37f8474ba1703p-23, 0x1.1a65bbc6c20e4p-23, 0x1.f9d2bbaa74fbap-24, 0x1.bf07588a68951p-24, 0x1.846a55dbb501ep-24, 0x1.49fcb4f57ee98p-24, 0x1.0fbf7371d9d95p-24, 0x1.ab67174960b25p-25, 0x1.37b3e68b06191p-25, 0x1.88ce78d76e88ap-26, 0x1.460bcea0a9404p-27, -0x1.07b8d55584adbp-28, -0x1.260a3d91e7e4bp-26, -0x1.04a5501d86215p-25, -0x1.75d5ebc57e5d8p-25, -0x1.e695361767cecp-25, -0x1.2b70a414aef94p-24, -0x1.635c8e3fe989ep-24, -0x1.9b0d3fd696dc6p-24, -0x1.d281f3561e847p-24, -0x1.04dceea39b4d1p-23, -0x1.205a1f1f637p-23, -0x1.3bb834e880254p-23, -0x1.56f6bc7aa2dc7p-23, -0x1.72155f5180c57p-23, -0x1.8d13be829e108p-23, -0x1.a7f184b688edap-23, -0x1.c2ae540a8c9ffp-23, -0x1.dd49d63479cb9p-23, -0x1.f7c3b5d3b25b7p-23, -0x1.090dcfba71ef8p-22, -0x1.1628a0d9d801dp-22, -0x1.233225a3e3d02p-22, -0x1.302a369e01c0dp-22, -0x1.3d10ad5530446p-22, -0x1.49e5641d4946p-22, -0x1.56a837a943e39p-22, -0x1.6359003f0a039p-22, -0x1.6ff79e945c1b3p-22, -0x1.7c83eecf9960ep-22, -0x1.88fdcfa2f64a5p-22, -0x1.9565206112d3ap-22, -0x1.a1b9c13371022p-22, -0x1.adfb928f03ac8p-22, -0x1.ba2a780fd0934p-22, -0x1.c6465276c208p-22, -0x1.d24f05f8587cdp-22, -0x1.de447691c9bddp-22, -0x1.ea2688ed62f9cp-22, -0x1.f5f523cf3f91dp-22, -0x1.00d8165e366f6p-21, -0x1.06abc5b30ff15p-21, -0x1.0c7593eb49224p-21, -0x1.123575c092606p-21, -0x1.17eb60b9cc106p-21, -0x1.1d9746d4e03cbp-21, -0x1.23392082143ffp-21, -0x1.28d0e36aed75cp-21, -0x1.2e5e85c0b7809p-21, -0x1.33e1fccd09959p-21, -0x1.395b41b85cb3cp-21, -0x1.3eca4a435cec1p-21, -0x1.442f0e9a3081ep-21, -0x1.498986e54055ep-21, -0x1.4ed9ab84c2e76p-21, -0x1.541f75911271p-21, -0x1.595adcd933b7cp-21, -0x1.5e8bdb5a953c9p-21, -0x1.63b26b50c648fp-21, -0x1.68ce893a2eeb7p-21, -0x1.6de02b5a2bd61p-21, -0x1.72e74df98190cp-21, -0x1.77e3eceae244p-21, -0x1.7cd6029bcc5b3p-21, -0x1.81bd85ab52ap-21, -0x1.869a856e9d91ep-21, -0x1.8b6ce910d41bp-21, -0x1.9034a332cf20cp-21, -0x1.94f1e3d2c1cefp-21, -0x1.99a47715eb041p-21, -0x1.9e4c68f098d06p-21, -0x1.a2e9bc1bc3425p-21, -0x1.a77c591672de7p-21, -0x1.ac046a7767dafp-21, -0x1.b081c6a575f18p-21, -0x1.b4f47c9680ba9p-21, -0x1.b95c8956b0032p-21, -0x1.bdb9ecd82b055p-21, -0x1.c20ca75ca2449p-21, -0x1.c654c2b6e25abp-21, -0x1.ca922641a9941p-21, -0x1.cec4e142e1562p-21, -0x1.d2ecfd20d2961p-21, -0x1.d70a6e942399cp-21, -0x1.db1d3d9817552p-21, -0x1.df2568b3e94a8p-21, -0x1.e322ee1dcadaep-21, -0x1.e715d75337732p-21, -0x1.eafe244c8ca48p-21, -0x1.eedbd64556922p-21, -0x1.f2aef07dcb101p-21, -0x1.f677761f4d66dp-21, -0x1.fa356adb5516p-21, -0x1.fde8d1927d7fp-21, -0x1.00c8d74077851p-20, -0x1.0298010161d39p-20, -0x1.0461ed274cd5p-20, -0x1.06269778d286p-20, -0x1.07e608b16582bp-20, -0x1.09a03dfd91ddbp-20, -0x1.0b553bc3dbcd1p-20, -0x1.0d0504916e0eep-20, -0x1.0eaf9b194d91bp-20, -0x1.105502226f5d8p-20, -0x1.11f53c9366e8ap-20, -0x1.13904d5e72e1ap-20, -0x1.1526374a7c8dfp-20, -0x1.16b6fe75ef225p-20, -0x1.1842a53a58a6cp-20, -0x1.19c92eb95e497p-20, -0x1.1b4a9f72ac964p-20, -0x1.1cc6fb0d2dfc4p-20, -0x1.1e3e43a0a7c9ep-20, -0x1.1fb07dbab4877p-20, -0x1.211daccc7c377p-20, -0x1.2285d52e65ebfp-20, -0x1.23e8f9985cd6fp-20, -0x1.25471f627801bp-20, -0x1.26a049ec91e87p-20, -0x1.27f47cbfd151cp-20, -0x1.2943be9caf355p-20, -0x1.2a8e1199b2acfp-20, -0x1.2bd37a30afc65p-20, -0x1.2d13fec65004p-20, -0x1.2e4f9ebab99a4p-20, -0x1.2f8663d37c022p-20, -0x1.30b84f344fb94p-20, -0x1.31e5664bed37p-20, -0x1.330dba6bdbae5p-20, -0x1.3431420e2e6dfp-20, -0x1.354ff1d6bf14dp-20, -0x1.3669ed111c97ap-20, -0x1.377f2eecd14f7p-20, -0x1.388fbaf6ff31ap-20, -0x1.399b94c6fcb8bp-20, -0x1.3aa2c32860455p-20, -0x1.3ba54a996d85fp-20, -0x1.3ca33054efc2cp-20, -0x1.3d9c7a02a80c2p-20, -0x1.3e912dbb4869cp-20, -0x1.3f814ebf2aa85p-20, -0x1.406ce4ca2aac7p-20, -0x1.4153f579bccb6p-20, -0x1.42367bd15c564p-20, -0x1.431493ae67a6p-20, -0x1.43ee2e22ca879p-20, -0x1.44c3594071c3bp-20, -0x1.459419c26d79bp-20, -0x1.466076d40429cp-20, -0x1.47287399c4f2ep-20, -0x1.47ec16ea17871p-20, -0x1.48ab6a303e24dp-20, -0x1.496668a9157cbp-20, -0x1.4a1d22c6c8763p-20, -0x1.4acf9ad63b154p-20, -0x1.4b7dd6b08de5p-20, -0x1.4c27dc9013ca7p-20, -0x1.4ccdb2cad2224p-20, -0x1.4d6f5f187590bp-20, -0x1.4e0ce7db18bc6p-20, -0x1.4ea655efa7ce3p-20, -0x1.4f3ba55b39338p-20, -0x1.4fcce48e68ba9p-20, -0x1.505a1a442c2e3p-20, -0x1.50e3434a5a9cap-20, -0x1.5168776a03791p-20, -0x1.51e9af20bfd7ep-20, -0x1.5266f45ffef51p-20, -0x1.52e04d04a2e4fp-20, -0x1.5355bc92b952ap-20, -0x1.53c7bc53604a3p-20, -0x1.543509cbb9a51p-20, -0x1.549eee61ffc71p-20, -0x1.550506bd27a9bp-20, -0x1.556757db485a6p-20, -0x1.55c5e8d076cdbp-20, -0x1.5620be8ac8957p-20, -0x1.5677e5a9ae8b2p-20, -0x1.56cb5a7c1fa26p-20, -0x1.571b2a73f40bbp-20, -0x1.576757835acd2p-20, -0x1.57afee06b498dp-20, -0x1.57f4efe0d189p-20, -0x1.583665017ab1bp-20, -0x1.5874531f5f12cp-20, -0x1.58aec185cb992p-20, -0x1.58e5af1964c0fp-20, -0x1.591935cb97cffp-20, -0x1.594948061b24cp-20, -0x1.5975f40d7cacfp-20, -0x1.599f40bc7efa9p-20, -0x1.59c5343cf6f3p-20, -0x1.59e7d44d9b3edp-20, -0x1.5a072777272p-20, -0x1.5a233433f806fp-20, -0x1.5a3bfe5e8ba48p-20, -0x1.5a5195ce0b9f7p-20, -0x1.5a63f8e5ece64p-20, -0x1.5a731fc8abcbfp-20, -0x1.5a7f384a6f29ap-20, -0x1.5a8826eb61ad3p-20, -0x1.5a8dfc39adf4bp-20, -0x1.5a90ac7df40afp-20, -0x1.5a9074a42d69dp-20, -0x1.5a8d2e1735d2dp-20, -0x1.5a86e04ef4bbdp-20, -0x1.5a7d7a6bb8304p-20, -0x1.5a71520753d54p-20, -0x1.5a62271edd81p-20, -0x1.5a50182583ab7p-20, -0x1.5a3b29ab06ce6p-20, -0x1.5a2361cafbf73p-20, }}, 
      {{0x1.5a14f9f89783ap-3, 0x1.0e7c0db5e0a76p-2, 0x1.1b4ab57215f72p-2, 0x1.d0ae992fe01e3p-3, 0x1.21d62d64fb49fp-3, 0x1.66b8080160e11p-5, -0x1.95d1f2c964b23p-5, -0x1.069fec9f426fap-3, -0x1.7fdc441808df7p-3, -0x1.cf235a3e5a404p-3, -0x1.f79797b7a3616p-3, -0x1.ff46c7ff2da16p-3, -0x1.ed83f7b50548ep-3, -0x1.c9c7427cc30fcp-3, -0x1.9af9128ee8866p-3, -0x1.670dbb095f971p-3, -0x1.32d9dbe972ab8p-3, -0x1.020cc387fc354p-3, -0x1.ae8533a5e3c2fp-4, -0x1.684818e830278p-4, -0x1.3318a70de56dcp-4, -0x1.0f61857be05bep-4, -0x1.f91b4230077bdp-5, -0x1.f29ad40a4b7dp-5, -0x1.03d33fca42e56p-4, -0x1.1a06425fa09d8p-4, -0x1.39ab92ce45f43p-4, -0x1.60869808e2f46p-4, -0x1.8c712eece9fb9p-4, -0x1.bb6cd5e908c43p-4, -0x1.ebadf2b34bf09p-4, -0x1.0dd124bb53c71p-3, -0x1.24f9d43b10ddp-3, -0x1.3ac3d7b644663p-3, -0x1.4ebebd6fc0b39p-3, -0x1.6094ec3ad15a7p-3, -0x1.70094586dded6p-3, -0x1.7cf48399e35fep-3, -0x1.87427b4ddec52p-3, -0x1.8eef5fb3a9e69p-3, -0x1.94051df2b6b5ap-3, -0x1.9698e0d3d0e98p-3, -0x1.96c8c62cd414ap-3, -0x1.94b9cc8a37efep-3, -0x1.9095fc4f0fd08p-3, -0x1.8a8accc6d57efp-3, -0x1.82c7c36b40995p-3, -0x1.797d4a130a377p-3, -0x1.6edbb7d443508p-3, -0x1.631287ee4bcc1p-3, -0x1.564fb9ddcd657p-3, -0x1.48bf55b81b116p-3, -0x1.3a8b100b5d4dbp-3, -0x1.2bda08bec3ed5p-3, -0x1.1cd0a0c7887dbp-3, -0x1.0d9062edbe999p-3, -0x1.fc6ff885ba20dp-4, -0x1.ddc682a8cbe94p-4, -0x1.bf567b009a803p-4, -0x1.a14c9451e2a79p-4, -0x1.83d057aef3f93p-4, -0x1.670467452ce2ep-4, -0x1.4b06c6f26bff8p-4, -0x1.2ff128516a105p-4, -0x1.15d9386199016p-4, -0x1.f9a1da9257808p-5, -0x1.c9cda60767281p-5, -0x1.9c4cac28775dcp-5, -0x1.71301715093e4p-5, -0x1.4883ebbd4928fp-5, -0x1.224f8c91b40bbp-5, -0x1.fd2c697fc0856p-6, -0x1.baaed787f6b02p-6, -0x1.7d1ee277563ebp-6, -0x1.446f421b86022p-6, -0x1.108da02ff5918p-6, -0x1.c2c6862fc6febp-7, -0x1.6dab55afd4687p-7, -0x1.218e4112cf7d7p-7, -0x1.bc5ce616533e5p-8, -0x1.468d398735892p-8, -0x1.c237393fc4542p-9, -0x1.16e0e62e4713bp-9, -0x1.13bf13b850d31p-10, -0x1.9f4f270a18c4bp-13, 0x1.d108e16bc0e81p-12, 0x1.ce9bcf48cb705p-11, 0x1.27c27305e5d8dp-10, 0x1.3826be3fbffcbp-10, 0x1.1afc861a780bdp-10, 0x1.a57c1cdaf42cdp-11, 0x1.8770158e3cfe5p-12, -0x1.aa21a0270a9fp-13, -0x1.e094350c9717fp-11, -0x1.cceb47da1725fp-10, -0x1.6476429ce94cep-9, -0x1.f1115a0040493p-9, -0x1.459cdbe55f809p-8, -0x1.98f56cad5faeap-8, -0x1.f21489899bce9p-8, -0x1.28406f6d6314cp-7, -0x1.59e2d2df198d1p-7, -0x1.8db9522949be6p-7, -0x1.c38e1a8adda18p-7, -0x1.fb2d9c45bd2b4p-7, -0x1.1a3343db5be62p-6, -0x1.3784e3eacbdddp-6, -0x1.55753a7e0a967p-6, -0x1.73eee7fb62f7ap-6, -0x1.92dd9a5c52311p-6, -0x1.b22e05b1dbfccp-6, -0x1.d1cde07701441p-6, -0x1.f1abda82c5649p-6, -0x1.08dbcab4677a3p-5, -0x1.18f0cfe925e6ep-5, -0x1.290db5aa78fbcp-5, -0x1.392ba259f1773p-5, -0x1.4944276a5902fp-5, -0x1.59513c32cd146p-5, -0x1.694d39e213a5fp-5, -0x1.7932d90f2675cp-5, -0x1.88fd2cd6212edp-5, -0x1.98a79e7a3b192p-5, -0x1.a82deb24f02ep-5, -0x1.b78c1fba2c778p-5, -0x1.c6be94212e2ffp-5, -0x1.d5c1e8f219591p-5, -0x1.e493046682097p-5, -0x1.f32f0da304cccp-5, -0x1.00c9b4e6daa34p-4, -0x1.07dedd05785eep-4, -0x1.0ed5ebcda867ap-4, -0x1.15ade8135ddfap-4, -0x1.1c65f1f63c56ep-4, -0x1.22fd41ae64642p-4, -0x1.297325ae45a5bp-4, -0x1.2fc701570b947p-4, -0x1.35f84c3fc2e27p-4, -0x1.3c0690f251b7bp-4, -0x1.41f16b580c3cdp-4, -0x1.47b887ca97305p-4, -0x1.4d5ba271c106bp-4, -0x1.52da861bd1069p-4, -0x1.58350af313094p-4, -0x1.5d6b15c2f9393p-4, -0x1.627c9771c13c2p-4, -0x1.67698c0b634c8p-4, -0x1.6c31f9aeee863p-4, -0x1.70d5efefc5523p-4, -0x1.7555876f7a4fbp-4, -0x1.79b0e1258ab49p-4, -0x1.7de8257a251a5p-4, -0x1.81fb83b2b18a7p-4, -0x1.85eb31a53e584p-4, -0x1.89b76b400cb8cp-4, -0x1.8d6071d2ee2e9p-4, -0x1.90e68b7f40988p-4, -0x1.944a02f2e0283p-4, -0x1.978b27268a034p-4, -0x1.9aaa4ae031416p-4, -0x1.9da7c42c1d825p-4, -0x1.a083ec0e54ae3p-4, -0x1.a33f1e5c525a8p-4, -0x1.a5d9b97d15e8p-4, -0x1.a8541e007b5f6p-4, -0x1.aaaeae461c22bp-4, -0x1.ace9ce51f788fp-4, -0x1.af05e3b3d3969p-4, -0x1.b1035551c8073p-4, -0x1.b2e28b1ab347cp-4, -0x1.b4a3edcb445e2p-4, -0x1.b647e6d449312p-4, -0x1.b7cee04c22449p-4, -0x1.b93944c983c22p-4, -0x1.ba877f2c961d2p-4, -0x1.bbb9fa764942p-4, -0x1.bcd121b6aee9dp-4, -0x1.bdcd600754864p-4, -0x1.beaf20764a1f4p-4, -0x1.bf76cde1cb937p-4, -0x1.c024d2da1ca93p-4, -0x1.c0b99993e6c4ap-4, -0x1.c1358be6a2867p-4, -0x1.c199134639002p-4, -0x1.c1e498ae49e69p-4, -0x1.c218848bf403dp-4, -0x1.c2353eb1a45dp-4, -0x1.c23b2e5545c31p-4, -0x1.c22aba12622e6p-4, -0x1.c20447e3b5e02p-4, -0x1.c1c83d151030cp-4, -0x1.c176fe3895e73p-4, -0x1.c110ef22e48a8p-4, -0x1.c09672ed8f386p-4, -0x1.c007ebfa55f59p-4, -0x1.bf65bbef35a56p-4, -0x1.beb043aeb3f47p-4, -0x1.bde7e3532f8f3p-4, -0x1.bd0cfa2e5df31p-4, -0x1.bc1fe6ccd3ab9p-4, -0x1.bb2106f9f61cfp-4, -0x1.ba10b7bf2322p-4, -0x1.b8ef5560351f7p-4, -0x1.b7bd3b5941fdbp-4, -0x1.b67ac45f6e448p-4, -0x1.b5284a63fa327p-4, -0x1.b3c626985332p-4, -0x1.b254b16fb4c91p-4, -0x1.b0d4429dc1b75p-4, -0x1.af453115e5a21p-4, -0x1.ada7d30bffb8dp-4, -0x1.abfc7df66466dp-4, -0x1.aa438691030b8p-4, -0x1.a87d40e04392dp-4, -0x1.a6aa0031851f2p-4, -0x1.a4ca171a96939p-4, -0x1.a2ddd77a43509p-4, -0x1.a0e59279621f8p-4, -0x1.9ee1988c76222p-4, -0x1.9cd239760dc06p-4, -0x1.9ab7c44868df2p-4, -0x1.989287659c0f4p-4, -0x1.9662d07f51ecbp-4, -0x1.9428ec9739123p-4, -0x1.91e527ffb215bp-4, -0x1.8f97ce5c98c9ap-4, -0x1.8d412aa479dc4p-4, -0x1.8ae1872183dafp-4, -0x1.88792d7159fbep-4, -0x1.860866849384fp-4, -0x1.838f7a9ea6dc2p-4, -0x1.810eb155eecfp-4, -0x1.7e865193ae16fp-4, -0x1.7bf6a1943e524p-4, -0x1.795fe6e7476e2p-4, -0x1.76c2666f6cf8p-4, -0x1.741e646170cdfp-4, -0x1.717424437e73p-4, -0x1.6ec3e8eca52ecp-4, -0x1.6c0df48448d9dp-4, -0x1.69528881927dap-4, -0x1.6691e5aaf2e5fp-4, -0x1.63cc4c159da14p-4, -0x1.6101fb249e804p-4, -0x1.5e333187b9f38p-4, -0x1.5b602d3a67736p-4, -0x1.58892b82f5c5bp-4, -0x1.55ae68f1a15e3p-4, -0x1.52d0215f9358dp-4, -0x1.4fee8fee18389p-4, -0x1.4d09ef05af3e5p-4, -0x1.4a22785511d4cp-4, -0x1.473864cfcd364p-4, -0x1.444becad6f51bp-4, -0x1.415d476844805p-4, -0x1.3e6cabbc7cda3p-4, -0x1.3b7a4fa71d4a9p-4, -0x1.3886686506a24p-4, -0x1.35912a7208f9dp-4, -0x1.329ac987fc5bap-4, -0x1.2fa3789dc5051p-4, -0x1.2cab69e651acdp-4, -0x1.29b2cecfb4b3ep-4, -0x1.26b9d80252455p-4, -0x1.23c0b5600f84bp-4, -0x1.20c7960395437p-4, -0x1.1dcea83f9694ap-4, -0x1.1ad6199e33e11p-4, -0x1.17de16e05c65fp-4, -0x1.14e6cbfd2af33p-4, -0x1.11f064215e1bdp-4, -0x1.0efb09aede4bfp-4, -0x1.0c06e63c5110ap-4, -0x1.09142294c3c55p-4, -0x1.0622e6b7620adp-4, -0x1.033359d73b5f6p-4, -0x1.0045a25b1e5a3p-4, -0x1.fab3cbbb02e51p-5, -0x1.f4e09258f468p-5, -0x1.ef11e0937ad75p-5, -0x1.e947fcd56f91dp-5, -0x1.e3832bf170e0dp-5, -0x1.ddc3b12264805p-5, -0x1.d809ce0c0f9eap-5, -0x1.d255c2bbd6f76p-5, -0x1.cca7cda99fa78p-5, -0x1.c7002bb8e19dap-5, -0x1.c15f1839d4c76p-5, -0x1.bbc4cceab5d23p-5, -0x1.b63181f9395cep-5, -0x1.b0a56e041e205p-5, -0x1.ab20c61ce6d98p-5, -0x1.a5a3bdc9bb9c4p-5, -0x1.a02e8707560dep-5, -0x1.9ac1524b35c0ap-5, -0x1.955c4e85c5142p-5, -0x1.8fffa924cdf3cp-5, -0x1.8aab8e15f7615p-5, -0x1.856027c95e712p-5, -0x1.801d9f345f79dp-5, -0x1.7ae41bd46cfd2p-5, -0x1.75b3c3b214a8p-5, -0x1.708cbb64196f4p-5, -0x1.6b6f26129ff7ap-5, -0x1.665b257a89c9bp-5, -0x1.6150d9f0d5ccap-5, -0x1.5c5062662a45bp-5, -0x1.5759dc6a793b1p-5, -0x1.526d6430b2e96p-5, -0x1.4d8b1492a217ep-5, -0x1.48b30714d2fb3p-5, -0x1.43e553ea9c382p-5, -0x1.3f2211fa2de2cp-5, -0x1.3a6956e0b9d2p-5, -0x1.35bb36f6a9ac3p-5, -0x1.3117c553dd0b4p-5, -0x1.2c7f13d4063d7p-5, -0x1.27f1331b0a305p-5, -0x1.236e32998c56dp-5, -0x1.1ef6209188fcap-5, -0x1.1a890a1b0298fp-5, -0x1.1626fb28c27b8p-5, -0x1.11cffe8d26d83p-5, -0x1.0d841dfedd78fp-5, -0x1.0943621db0611p-5, -0x1.050dd277250d3p-5, -0x1.00e3758b3dd49p-5, -0x1.f988a1a24ba77p-6, -0x1.f160d17811a43p-6, -0x1.e94f81801e165p-6, -0x1.e154b6af05abfp-6, -0x1.d97074104a30cp-6, -0x1.d1a2bad1383b4p-6, -0x1.c9eb8a4b8a72p-6, -0x1.c24ae00fd04c3p-6, -0x1.bac0b7ef3d88p-6, -0x1.b34d0c04acdap-6, -0x1.abefd4bd49f39p-6, -0x1.a4a908e0db209p-6, -0x1.9d789d9a7d993p-6, -0x1.965e868224bf5p-6, -0x1.8f5ab5a7527ffp-6, -0x1.886d1b9d24fefp-6, -0x1.8195a78767eb1p-6, -0x1.7ad44727d660dp-6, -0x1.7428e6eabba7ap-6, -0x1.6d9371f1b134bp-6, -0x1.6713d21bee9e6p-6, -0x1.60a9f00bc62b7p-6, -0x1.5a55b32a0878fp-6, -0x1.541701a8c429dp-6, -0x1.4dedc086fb2d6p-6, -0x1.47d9d397a95f3p-6, -0x1.41db1d8d4f4fbp-6, -0x1.3bf1800ac90e7p-6, -0x1.361cdbb839edcp-6, -0x1.305d1059c0f7fp-6, -0x1.2ab1fce447d9ap-6, -0x1.251b7f8cc5c0fp-6, -0x1.1f9975ceb507dp-6, -0x1.1a2bbc68a0c77p-6, -0x1.14d22f4fc9c56p-6, -0x1.0f8ca99ee6cf9p-6, -0x1.0a5b05860bf18p-6, -0x1.053d1c42d0b8cp-6, -0x1.0032c626e90eep-6, -0x1.f677b5619ed1ep-7, -0x1.ecb0616b4dbbbp-7, -0x1.e30f3d2dd5bc9p-7, -0x1.d993f4f3e5c14p-7, -0x1.d03e34e9d6d1ap-7, -0x1.c70da94a8f47dp-7, -0x1.be01fe4e95816p-7, -0x1.b51adfd98f661p-7, -0x1.ac57f8f2d2514p-7, -0x1.a3b8f325d09b1p-7, -0x1.9b3d75f24b7c2p-7, -0x1.92e52677918d8p-7, -0x1.8aafa77e180fcp-7, -0x1.829c99f107f9ep-7, -0x1.7aab9dc01927fp-7, -0x1.72dc53064bb92p-7, -0x1.6b2e5b3beac54p-7, -0x1.63a15a2cd6c18p-7, -0x1.5c34f67104589p-7, -0x1.54e8d938cade5p-7, -0x1.4dbcad617b1d2p-7, -0x1.46b01df196a11p-7, -0x1.3fc2d4443f0b7p-7, -0x1.38f476497fdb7p-7, -0x1.3244a548be678p-7, -0x1.2bb2fd83cd01bp-7, -0x1.253f16efcc484p-7, -0x1.1ee88700720eep-7, -0x1.18aee34266683p-7, -0x1.1291c44acbbbap-7, -0x1.0c90c85fb9625p-7, -0x1.06ab953c3405dp-7, -0x1.00e1d872d75c2p-7, -0x1.f6668c6722dbfp-8, -0x1.eb3f2d1bf4b1cp-8, -0x1.e04d03427864p-8, -0x1.d58f76e43451cp-8, -0x1.cb05e086fe372p-8, -0x1.c0af848ac74e3p-8, -0x1.b68b926c2f84cp-8, -0x1.ac99286964ad4p-8, -0x1.a2d75b2627f26p-8, -0x1.99454012d2cbep-8, -0x1.8fe1f8b419b78p-8, -0x1.86acbc9c138c9p-8, -0x1.7da4dfffa4d8bp-8, -0x1.74c9d55cac69ep-8, -0x1.6c1b2984f07c2p-8, -0x1.63987a774507dp-8, -0x1.5b416a84ece1ap-8, -0x1.53159219fa7a5p-8, -0x1.4b1472e63015ep-8, -0x1.433d6efb55ea1p-8, -0x1.3b8fc5bc08647p-8, -0x1.340a975abb9cap-8, -0x1.2cacee6586aep-8, -0x1.2575cdbce3aa1p-8, -0x1.1e64408a51e8ap-8, -0x1.1777697484a5dp-8, -0x1.10ae8e6a21d89p-8, -0x1.0a091edff34e2p-8, -0x1.0386b33bd641fp-8, -0x1.fa4e0a8de2ae2p-9, -0x1.edd3c58727c65p-9, -0x1.e19e38e195ec7p-9, -0x1.d5ace92bc5907p-9, -0x1.c9ff20c4c3f7bp-9, -0x1.be93ddc095af5p-9, -0x1.b369ce0683088p-9, -0x1.a87f59bd1a62dp-9, -0x1.9dd2b9572627ap-9, -0x1.936212c9c52bbp-9, -0x1.892b98c90fbb2p-9, -0x1.7f2da72ed7fe3p-9, -0x1.7566d88076cc9p-9, -0x1.6bd611b34c04dp-9, -0x1.627a82ba7dbd1p-9, -0x1.59539c0de84d4p-9, -0x1.5060fb08e762dp-9, -0x1.47a2507730d7dp-9, -0x1.3f1745a336379p-9, -0x1.36bf647a6c233p-9, -0x1.2e9a06c029de4p-9, -0x1.26a64ed0756d2p-9, -0x1.1ee32a7a1e495p-9, -0x1.174f5e9a6f0edp-9, -0x1.0fe998dbcb691p-9, -0x1.08b0843bd6074p-9, -0x1.01a2dc8ef7b54p-9, -0x1.f57efa0066b4ep-10, -0x1.e80acc7225defp-10, -0x1.dae775f88b94cp-10, -0x1.ce136abd7f19p-10, -0x1.c18d33b80ac92p-10, -0x1.b5535ca524651p-10, -0x1.a96471305dddfp-10, -0x1.9dbf07baa0b04p-10, -0x1.9261d01075a78p-10, -0x1.874b99dc46a8dp-10, -0x1.7c7b4b47c6c93p-10, -0x1.71efc9e37584cp-10, -0x1.67a7e1b275216p-10, -0x1.5da23a884bcb5p-10, -0x1.53dd66794f8d7p-10, -0x1.4a5805f4b3413p-10, -0x1.4110ee3ddbc15p-10, -0x1.38073833ace8dp-10, -0x1.2f3a25d109f11p-10, -0x1.26a8e17ad41bap-10, -0x1.1e52303e3e721p-10, -0x1.16343bd3cb08cp-10, -0x1.0e4c93fcc0c03p-10, -0x1.069871a2857e8p-10, -0x1.fe2a527d0cd7p-11, -0x1.ef814321064fep-11, -0x1.e13337493c6a8p-11, -0x1.d33f522b55d97p-11, -0x1.c5a5a5a4175ebp-11, -0x1.b8663a37a1d6fp-11, -0x1.ab80579e65c01p-11, -0x1.9ef2713214026p-11, -0x1.92bab4fd50272p-11, -0x1.86d7d5f9b6cb1p-11, -0x1.7b498866c1da1p-11, -0x1.70105b3c7865ep-11, -0x1.652cf8918237ap-11, -0x1.5a9f247a81a4ep-11, -0x1.5064e8b76d19cp-11, -0x1.467a3d9eb8ec2p-11, -0x1.3cd94e52c3f45p-11, -0x1.337b50d0e8ee5p-11, -0x1.2a59ccf4fe55ap-11, -0x1.216ffe6c6068ep-11, -0x1.18bbc629b6cfbp-11, -0x1.103d9f4c6041p-11, -0x1.07f77822a5a76p-11, -0x1.ffd602d1e237bp-12, -0x1.f030e2825f6bdp-12, -0x1.e0fcd811173d4p-12, -0x1.d235eaa84c295p-12, -0x1.c3d9502d45ffcp-12, -0x1.b5e6dee782355p-12, -0x1.a860c6b7af5b1p-12, -0x1.9b49d2d4c6579p-12, -0x1.8ea3426ce8b23p-12, -0x1.826b7a2de076p-12, -0x1.769e0b26b48a7p-12, -0x1.6b3470e147c57p-12, -0x1.6026ab58fa19dp-12, -0x1.556ba473c5733p-12, -0x1.4afa16369b90ap-12, -0x1.40ca604e23dbbp-12, -0x1.36d89763a3eaap-12, -0x1.2d254591e72a8p-12, -0x1.23b3e2db39ac9p-12, -0x1.1a87d091ca215p-12, -0x1.11a1f7fa6e007p-12, -0x1.09008663bf6c9p-12, -0x1.00a06287c61f8p-12, -0x1.f0fe2cc71cbbfp-13, -0x1.e1386b5892801p-13, -0x1.d1f2bbf20d8f5p-13, -0x1.c330d9445feafp-13, -0x1.b4f28f6ad8ecfp-13, -0x1.a7328c757616fp-13, -0x1.99e8f62f0cacp-13, -0x1.8d0ecdfc75e3fp-13, -0x1.809f79f66f554p-13, -0x1.7497e5ed08b0cp-13, -0x1.68f44d692ba82p-13, -0x1.5dae8183009a9p-13, -0x1.52be11a97577cp-13, -0x1.481a48f3945c7p-13, -0x1.3dbce39d7f9b4p-13, -0x1.33a41dbed9b6ep-13, -0x1.29d29b2d746dep-13, -0x1.204ca9bc0facdp-13, -0x1.171452521fe05p-13, -0x1.0e2704800124dp-13, -0x1.057fe8f277e71p-13, -0x1.fa3b0000aeddfp-14, -0x1.ea05cb29e51d5p-14, -0x1.da645574bc126p-14, -0x1.cb4fbbdbff567p-14, -0x1.bcb9fc279b473p-14, -0x1.ae965b754f296p-14, -0x1.a0dd205305e5p-14, -0x1.938af139acfa2p-14, -0x1.869fafca4d838p-14, -0x1.7a1e0eac9eb7cp-14, -0x1.6e0a690f7f14bp-14, -0x1.6267be6d75e75p-14, -0x1.5733c3c995267p-14, -0x1.4c6382ea41bdep-14, -0x1.41e317a633a26p-14, -0x1.379e8e02eda7bp-14, -0x1.2d91bb34ad482p-14, -0x1.23cb792d3a154p-14, -0x1.1a5a621b17611p-14, -0x1.113a5f31dd58ap-14, -0x1.085e224e253edp-14, -0x1.ff8a9d709fe63p-15, -0x1.eef3529fa7afdp-15, -0x1.def7db65214a8p-15, -0x1.cf82fac7da3d2p-15, -0x1.c07e9be553e78p-15, -0x1.b1df9a94bf569p-15, -0x1.a3a333a3a827dp-15, -0x1.95c9096b837b9p-15, -0x1.884fb758887ap-15, -0x1.7b3500b7b726p-15, -0x1.6e78abc769e44p-15, -0x1.621f3b13d4e4ap-15, -0x1.5630d2f084c1ap-15, -0x1.4ab3e43d5ac1ep-15, -0x1.3fa727547b7f7p-15, -0x1.34fa4b8500313p-15, -0x1.2a8a7114c0aaap-15, -0x1.203d837f86519p-15, -0x1.1626408be4be3p-15, -0x1.0c64969a7e3a2p-15, -0x1.02ee90cf3b255p-15, -0x1.f356cc855f881p-16, -0x1.e14bfffa5ca4fp-16, -0x1.cfe18df01f8bcp-16, -0x1.bf070978c19bcp-16, -0x1.ae998566b4ed3p-16, -0x1.9e874a98309c2p-16, -0x1.8ecda9a1dd811p-16, -0x1.7f6e4f1c51dc4p-16, -0x1.706a28e5b4d2fp-16, -0x1.61c05b1c8344dp-16, -0x1.536e4eb4e2a76p-16, -0x1.45700da8b38d7p-16, -0x1.37c199c5d3714p-16, -0x1.2a616be0ad87cp-16, -0x1.1d520988a8165p-16, -0x1.1097c118de9e3p-16, -0x1.0434c9ac4d944p-16, -0x1.f055340d006cep-17, -0x1.d8e925302d666p-17, -0x1.c1e916901477cp-17, -0x1.ab2bd37c7431bp-17, -0x1.94ea438a6850ep-17, -0x1.7f219d4607afep-17, -0x1.6999dd3849c75p-17, -0x1.54878d9bc1dc2p-17, -0x1.40109df419864p-17, -0x1.2c0b8e5bd501p-17, -0x1.1857817d125ffp-17, -0x1.04f04d46fee7ap-17, -0x1.e3b48273eadcp-18, -0x1.be2faa69fc9edp-18, -0x1.9951300cec911p-18, -0x1.751500bfefae9p-18, -0x1.51764d5a0553ep-18, -0x1.2e709b4b1d00cp-18, -0x1.0bff8a8387cd5p-18, -0x1.d43bee7e37f6fp-19, -0x1.918bb13cc283dp-19, -0x1.4fe38cdcf5887p-19, -0x1.0f3e089ed0682p-19, -0x1.9f304335dc1c9p-20, -0x1.21d1949685d98p-20, -0x1.4ceed28fddc4ep-21, -0x1.6d4c84857d77p-23, 0x1.235c53e5952e3p-22, 0x1.7c3471cd78bc9p-21, 0x1.320705e268c74p-20, 0x1.a4fbbd390a572p-20, 0x1.0b15ec368df0bp-19, 0x1.427e863a04edcp-19, 0x1.791951db51cdap-19, 0x1.af12a5a5c61cp-19, 0x1.e4625472163bcp-19, 0x1.0c7ed1144b83dp-18, 0x1.2670914fdeee4p-18, 0x1.4006ff46614a3p-18, 0x1.5943a17c9698ap-18, 0x1.722839fbd3244p-18, 0x1.8ab667005b239p-18, 0x1.a2ef6f29f8c37p-18, 0x1.bad436a5cc001p-18, 0x1.d2656c3ee7f2p-18, 0x1.e9a3ead647029p-18, 0x1.00488702a6a6dp-17, 0x1.0b975bbfa3a0cp-17, 0x1.16bf343815b19p-17, 0x1.21c06e486831cp-17, 0x1.2c9ba0821da5p-17, 0x1.3751914d61a07p-17, 0x1.41dd97e722d2ep-17, 0x1.4c385d302bd2dp-17, 0x1.566e8f68cecc6p-17, 0x1.60890a6ab057dp-17, 0x1.6a82329b7b10ep-17, 0x1.744d6713c0ef2p-17, 0x1.7df14e01b8307p-17, 0x1.87729cfce7309p-17, 0x1.90d03ce8f5dd8p-17, 0x1.9a092a99a2705p-17, 0x1.a31d1a8446f87p-17, 0x1.ac0c0db183afdp-17, 0x1.b4d6198dcea1ap-17, 0x1.bd7b562e60058p-17, 0x1.c5fbd88b04e9p-17, 0x1.ce57b1f752ce2p-17, 0x1.d68eeeddc1076p-17, 0x1.dea195f1693c8p-17, 0x1.e68fa7eb50536p-17, 0x1.ee59215e62d57p-17, 0x1.f5fe00074bd2p-17, 0x1.fd7e498129409p-17, 0x1.026d06aa5dc6dp-16, 0x1.0608aeaa898ebp-16, 0x1.09921ec8cf1c3p-16, 0x1.0d094ee64d8b8p-16, 0x1.106e3f3200b72p-16, 0x1.13c104bc37025p-16, 0x1.17014ec17426p-16, 0x1.1a2e93a19be94p-16, 0x1.1d4a2d910c1f2p-16, 0x1.2053e803b1a45p-16, 0x1.234ab6165ecbp-16, 0x1.262f4939ab2c8p-16, 0x1.2901bbb19a9eap-16, 0x1.2bc1eccc14296p-16, 0x1.2e6fd27fb9821p-16, 0x1.310b6d03ef98p-16, 0x1.3394beedb6263p-16, 0x1.360bcb4f19ee8p-16, 0x1.38709587c594ap-16, 0x1.3ac3215b17f9ep-16, 0x1.3d037302cb7f1p-16, 0x1.3f318f3927f16p-16, 0x1.414d7b43aef71p-16, 0x1.43573cfddd617p-16, 0x1.454edae1a58d1p-16, 0x1.47345c0d45224p-16, 0x1.4907c852b11ebp-16, 0x1.4ac92847590ecp-16, 0x1.4c78854aa624bp-16, 0x1.4e15e97ae64fdp-16, 0x1.4fa15fa27e122p-16, 0x1.511af31c6708p-16, 0x1.5282afce2c098p-16, 0x1.53d8a2a25a381p-16, 0x1.551cda3797b3p-16, 0x1.564f650e08ffap-16, 0x1.57704f23dc298p-16, 0x1.587fab92c136dp-16, 0x1.597d89df4632fp-16, 0x1.5a69fc1f1737ep-16, 0x1.5b4514fd21a1dp-16, 0x1.5c0ee6df0e26p-16, 0x1.5cc7857567569p-16, 0x1.5d6f054499d8dp-16, 0x1.5e057b8a3ed96p-16, 0x1.5e8afe3cf1891p-16, 0x1.5effa416b2c1dp-16, 0x1.5f63846d67be6p-16, 0x1.5fb6b72ebbe65p-16, 0x1.5ff955aadfe3ep-16, 0x1.602b78eb3fa8ep-16, 0x1.604d3b4e1cf91p-16, 0x1.605eb78c9b8cfp-16, 0x1.606009956c73cp-16, 0x1.60514d0c0ffep-16, 0x1.60329f3376734p-16, 0x1.60041d5918803p-16, 0x1.5fc5e5938070ap-16, 0x1.5f7816984ecbbp-16, 0x1.5f1acfa83fadep-16, 0x1.5eae308e98823p-16, 0x1.5e3259aa69fb9p-16, 0x1.5da76bfc3d5c2p-16, 0x1.5d0d89474635cp-16, 0x1.5c64d3dad9f9cp-16, 0x1.5bad6db81493p-16, 0x1.5ae778a495454p-16, 0x1.5a131a7397668p-16, 0x1.5930782d537afp-16, 0x1.583fb4a210897p-16, 0x1.5740f344e01b6p-16, 0x1.56345aa8e2ca5p-16, 0x1.551a10da050bp-16, 0x1.53f23c002d2p-16, 0x1.52bd02a39b54dp-16, 0x1.517a8baf2e0e3p-16, 0x1.502afe6bb8841p-16, 0x1.4ece827aa8389p-16, 0x1.4d653fd1f8c79p-16, 0x1.4bef5eb7da9cdp-16, 0x1.4a6d07c1b3de3p-16, 0x1.48de63c018cdap-16, 0x1.47439bda46c49p-16, 0x1.459cd96c7177cp-16, 0x1.43ea46154f193p-16, 0x1.422c0baee8b6bp-16, 0x1.4062543dc475ep-16, 0x1.3e8d4964654ffp-16, 0x1.3cad17ad0ee77p-16, 0x1.3ac1e7a179b71p-16, 0x1.38cbe4f8948ap-16, 0x1.36cb3a1d98751p-16, 0x1.34c0124a9278bp-16, 0x1.32aa98b93cb77p-16, 0x1.308af8b28ba4bp-16, 0x1.2e615d8ffd164p-16, 0x1.2c2df2a793876p-16, 0x1.29f0e35e521f2p-16, 0x1.27aa5b81a4572p-16, 0x1.255a86db09e5fp-16, 0x1.2301908b30866p-16, 0x1.209fa46184067p-16, 0x1.1e34ee46a71f9p-16, 0x1.1bc1994f246cfp-16, 0x1.1945d1c9486afp-16, 0x1.16c1c4d249d8p-16, 0x1.1435994bb0f28p-16, 0x1.11a17d74a9293p-16, 0x1.0f059e13df1f1p-16, 0x1.0c62255742cf7p-16, 0x1.09b73e7057b8cp-16, 0x1.07051486b60a8p-16, 0x1.044bd2b389b8dp-16, 0x1.018ba37c9ca43p-16, 0x1.fd89676aeb2bep-17, 0x1.f7ee5758f2e8ap-17, 0x1.f2466e3e89efcp-17, 0x1.ec9200cb6ff08p-17, 0x1.e6d1638d8812bp-17, 0x1.e104eac635ae5p-17, 0x1.db2cea5cf3781p-17, 0x1.d549b5d2652e6p-17, 0x1.cf5ba037c79b6p-17, 0x1.c962fc390e54bp-17, 0x1.c3601c32d104ep-17, 0x1.bd53522bd94d4p-17, 0x1.b73cefc10cbdcp-17, 0x1.b11d4629bfa35p-17, 0x1.aaf4a6294a3d9p-17, 0x1.a4c35f608c3ep-17, 0x1.9e89c009befddp-17, 0x1.984817120c4a4p-17, 0x1.91feb6284aa6fp-17, 0x1.8badf89579a5ep-17, 0x1.855607e1f1c6dp-17, 0x1.7ef7451a531a9p-17, 0x1.78920742e94cp-17, 0x1.7226902c7cabep-17, 0x1.6bb52adc71a95p-17, 0x1.653e226b90071p-17, 0x1.5ec1c14f4fb6fp-17, 0x1.584051169bbbbp-17, 0x1.51ba19abd79b9p-17, 0x1.4b2f636b94041p-17, 0x1.44a076c5815f9p-17, 0x1.3e0d99ef97c72p-17, 0x1.3777117518728p-17, 0x1.30dd2398f24efp-17, 0x1.2a401b843d947p-17, 0x1.23a03a20ee736p-17, 0x1.1cfdc0b0b046p-17, 0x1.1658f123874e9p-17, 0x1.0fb20f61ac254p-17, 0x1.09095d830d3f5p-17, 0x1.025f1c63fea31p-17, 0x1.f7671870f35dep-18, 0x1.ea0ddc1f38f7ap-18, 0x1.dcb2f7ce97b44p-18, 0x1.cf56ef0233efap-18, 0x1.c1fa3bf47cfdbp-18, 0x1.b49d574a95e44p-18, 0x1.a740b98819019p-18, 0x1.99e4d8408b6c8p-18, 0x1.8c8a2721a3b9fp-18, 0x1.7f311bfea856p-18, 0x1.71da281b9686dp-18, 0x1.6485ba2f54f2ep-18, 0x1.57344123f498p-18, 0x1.49e62c566ca6cp-18, 0x1.3c9bfa0481fc6p-18, 0x1.2f55f6471056ep-18, 0x1.22148180ea9a3p-18, 0x1.14d833f9f7d6cp-18, 0x1.07a15351e2668p-18, 0x1.f4e093c004537p-19, 0x1.da8af6d8936abp-19, 0x1.c0428f4973ae4p-19, 0x1.a6082b702e645p-19, 0x1.8bdc7ac59098p-19, 0x1.71c03ff9d058ep-19, 0x1.57b430dcd14cep-19, 0x1.3db903ad53fe3p-19, 0x1.23cf68d4c04cbp-19, 0x1.09f814e6d0791p-19, 0x1.e0675d2cb3acbp-20, 0x1.ad05c4b1e5177p-20, 0x1.79ccadac13c1dp-20, 0x1.46bd5fc2a4a5fp-20, 0x1.13d91d293c764p-20, 0x1.c24244d51889ap-21, 0x1.5d2d4cc930188p-21, 0x1.f0eb6935ba678p-22, 0x1.283ba70a1572fp-22, 0x1.813fc34cf438ap-24, -0x1.9b4d22df2169ap-24, -0x1.2d298914d5aa4p-22, -0x1.f2ae814b7be26p-22, -0x1.5baef929d8dp-21, -0x1.bd99d8d7fb9e5p-21, -0x1.0f8aeab1b7c61p-20, -0x1.401077c74ab96p-20, -0x1.705c995a40747p-20, -0x1.a06e5a19419d2p-20, -0x1.d044ca2101393p-20, -0x1.ffdf011b33346p-20, -0x1.179e0d6828e1fp-19, -0x1.2f2d9b033d57cp-19, -0x1.469dba5b4421dp-19, -0x1.5dedf501c1b1ep-19, -0x1.751e09b524e84p-19, -0x1.8c2d69756c7f5p-19, -0x1.a31bbfa8c29bdp-19, -0x1.b9e8aa9dabe83p-19, -0x1.d093ec04cc269p-19, -0x1.e71cd4c7cc0aep-19, -0x1.fd8358e612d9ep-19, -0x1.09e3850bc6a74p-18, -0x1.14f3c9dcdff8cp-18, -0x1.1ff251165f698p-18, -0x1.2adef20428c44p-18, -0x1.35b9863048593p-18, -0x1.4081e82c59be4p-18, -0x1.4b37f3433e93p-18, -0x1.55db8493a5e17p-18, -0x1.606c7ae77c9dfp-18, -0x1.6aeab35a5fd16p-18, -0x1.75560ebe3d5ep-18, -0x1.7fae6df649c15p-18, -0x1.89f3b2fbc2cfap-18, -0x1.9425c113342b5p-18, -0x1.9e447cc6b1836p-18, -0x1.a84fcc082cbcap-18, -0x1.b2478d8d338ep-18, -0x1.bc2bb39fbf691p-18, -0x1.c5fc296848828p-18, -0x1.cfb8cb60791e5p-18, -0x1.d961873fe5707p-18, -0x1.e2f64c077c441p-18, -0x1.ec77042678b3bp-18, -0x1.f5e3a035956e2p-18, -0x1.ff3c0b6fe9691p-18, -0x1.04401a2d495fp-17, -0x1.08d7fc1ad600dp-17, -0x1.0d65c0d01a102p-17, -0x1.11e94467b591bp-17, -0x1.16628a385a1bfp-17, -0x1.1ad18bd55512bp-17, -0x1.1f3643c3dade1p-17, -0x1.2390abc00f932p-17, -0x1.27e0bfca1f105p-17, -0x1.2c267bc408eb1p-17, -0x1.3061d9e15fd58p-17, -0x1.3492d7f1523e2p-17, -0x1.38b9723a737dcp-17, -0x1.3cd5a5cd99edcp-17, -0x1.40e7702960ecap-17, -0x1.44eecf27d50ddp-17, -0x1.48ebc11f9e806p-17, -0x1.4cde448c8b532p-17, -0x1.50c658a5490ccp-17, -0x1.54a3fca2bbdd5p-17, -0x1.5877303c36ee2p-17, -0x1.5c3ff374f9ca9p-17, -0x1.5ffe466b2e23dp-17, -0x1.63b229b2114dap-17, -0x1.675ba0531f53ap-17, -0x1.6afaa949f249ep-17, -0x1.6e8f4759d482ep-17, -0x1.72197cabbf763p-17, -0x1.75994b646272fp-17, -0x1.790eb5dc24a51p-17, -0x1.7c79c093b56d1p-17, -0x1.7fda6cdb6334cp-17, -0x1.8330bf1524feep-17, -0x1.867cbadcdd6f9p-17, -0x1.89be64e972322p-17, -0x1.8cf5c11f05a8fp-17, -0x1.9022d440c7884p-17, -0x1.9345a349b9fa9p-17, -0x1.965e339d695b1p-17, -0x1.996c8ae075bc4p-17, -0x1.9c70ae8fcf11cp-17, -0x1.9f6aa493838cp-17, -0x1.a25a732e1cfddp-17, -0x1.a54020cb59048p-17, -0x1.a81bb54eef732p-17, -0x1.aaed34aabc336p-17, -0x1.adb4a8fac7b37p-17, -0x1.b072189c4511dp-17, -0x1.b3258b19330d7p-17, -0x1.b5cf0848bd25cp-17, -0x1.b86e983d7e886p-17, -0x1.bb04430883305p-17, -0x1.bd9011b53935p-17, -0x1.c0120c396ed58p-17, -0x1.c28a3ba9def1ap-17, -0x1.c4f8a8e832484p-17, -0x1.c75d5d24d912dp-17, -0x1.c9b861eccd324p-17, -0x1.cc09c08d88565p-17, -0x1.ce5182bebd46cp-17, -0x1.d08fb25720a8dp-17, -0x1.d2c45acac9cbep-17, -0x1.d4ef889fb0095p-17, -0x1.d7113a8acb536p-17, -0x1.d92985aa026eep-17, -0x1.db3873ab9472p-17, -0x1.dd3e0f5d6cc07p-17, -0x1.df3a5e1bb379ep-17, -0x1.e12d729e3e8a5p-17, -0x1.e3175392aa7a2p-17, -0x1.e4f80d068d0b2p-17, -0x1.e6cfaab9a9838p-17, -0x1.e89e3846c55a1p-17, -0x1.ea63c18745659p-17, -0x1.ec2051c3ab8f7p-17, -0x1.edd3f4d42e0a1p-17, -0x1.ef7eb743b130cp-17, -0x1.f120a6e3684c8p-17, -0x1.f2b9cd4d86825p-17, -0x1.f44a377a630d9p-17, -0x1.f5d1f28e0a441p-17, -0x1.f7510a7016741p-17, -0x1.f8c788504804fp-17, -0x1.fa3584f609672p-17, -0x1.fb9aff8061d9dp-17, -0x1.fcf803d66e4a1p-17, -0x1.fe4cbda8b6ec1p-17, -0x1.ff9905adc15b8p-17, -0x1.006e87ecd9d2dp-16, -0x1.010c6ee3b568dp-16, -0x1.01a640cf38988p-16, -0x1.023bfee5eda49p-16, -0x1.02cdb4f6cc605p-16, -0x1.035b6784ac224p-16, -0x1.03e51d72dec1fp-16, -0x1.046addb517d75p-16, -0x1.04ecaf2f5beddp-16, -0x1.056a9b3dd111ep-16, -0x1.05e4a213acb3ap-16, -0x1.065acee64b611p-16, -0x1.06cd2c5512cffp-16, -0x1.073bb7cfa556ap-16, -0x1.07a68069da427p-16, -0x1.080d8a10a2a46p-16, -0x1.0870daac37e8ep-16, -0x1.08d07b883772ap-16, -0x1.092c731776005p-16, -0x1.0984c736c761dp-16, -0x1.09d97f4a1662ap-16, -0x1.0a2aa26c19c98p-16, -0x1.0a7837d313eb8p-16, -0x1.0ac2462e0b0bbp-16, -0x1.0b08d4c3b0f08p-16, -0x1.0b4be9ddbf0e3p-16, -0x1.0b8b8e74fb821p-16, -0x1.0bc7c50f80bd8p-16, -0x1.0c009d46acbc2p-16, -0x1.0c36160e7dda9p-16, -0x1.0c683943aec67p-16, -0x1.0c970ddf28287p-16, -0x1.0cc29aed9dc08p-16, -0x1.0ceae776ba321p-16, -0x1.0d0ffa7c313a6p-16, -0x1.0d31db04a16efp-16, -0x1.0d509051000ddp-16, -0x1.0d6c210b5f232p-16, -0x1.0d84949a0834p-16, -0x1.0d99f1b091912p-16, -0x1.0dac3f0f76806p-16, -0x1.0dbb84a9c25e5p-16, -0x1.0dc7c94394ddbp-16, -0x1.0dd113017732ep-16, -0x1.0dd76941dd863p-16, -0x1.0ddad360fc423p-16, -0x1.0ddb575896bc2p-16, -0x1.0dd8fd2286aaap-16, -0x1.0dd3cafb944c9p-16, -0x1.0dcbc7c6e1324p-16, -0x1.0dc0fc1ff71d7p-16, -0x1.0db36c1010e8ep-16, -0x1.0da3213b29ba1p-16, -0x1.0d901f14dfa5dp-16, -0x1.0d7a6eb4d8107p-16, -0x1.0d6217d3f6847p-16, -0x1.0d471f4fced4dp-16, -0x1.0d298c5c1cfb6p-16, -0x1.0d0968bbbb648p-16, -0x1.0ce6b7cf1fe7ap-16, -0x1.0cc17cc3b0645p-16, -0x1.0c99c508f08dp-16, -0x1.0c6f950bfab62p-16, -0x1.0c42f20d0b9aep-16, -0x1.0c13e59cfd57fp-16, -0x1.0be2743e3c9edp-16, -0x1.0baea43273e14p-16, -0x1.0b787c57ef74fp-16, -0x1.0b4003a9a3de7p-16, -0x1.0b05410f844e5p-16, -0x1.0ac8398389c3p-16, -0x1.0a88f53eacdd7p-16, -0x1.0a4779f9e0f7ap-16, -0x1.0a03cafbd427ap-16, -0x1.09bdf5c6b5b47p-16, -0x1.0975fa8f3784ep-16, -0x1.092be14b12f27p-16, -0x1.08dfb0874cf8ep-16, -0x1.089170e00482dp-16, -0x1.084124c6f532ap-16, -0x1.07eed3fd1a3adp-16, -0x1.079a8db3e19a6p-16, -0x1.07443d762de28p-16, -0x1.06ec03fde6336p-16, -0x1.0691de64f6a16p-16, -0x1.0635d2b6bc449p-16, -0x1.05d7e72378134p-16, -0x1.057821d1ed3b9p-16, -0x1.0516886d299bbp-16, -0x1.04b320897090dp-16, -0x1.044df093c1d13p-16, -0x1.03e6fe99d7bd7p-16, -0x1.037e50b34772ep-16, -0x1.0313ebe27980dp-16, -0x1.02a7d5ff4d808p-16, -0x1.023a17243a78dp-16, -0x1.01cab2235f733p-16, -0x1.0159adb329177p-16, -0x1.00e70f45495e3p-16, -0x1.0072d8eb5fd92p-16, -0x1.fffc33b08f31bp-17, -0x1.ff0b9e1f5938ap-17, -0x1.fe1a0251f7a18p-17, -0x1.fd256979cd49ap-17, -0x1.fc2ddec8e3068p-17, -0x1.fb336d62affa2p-17, -0x1.fa362cdc45fa8p-17, -0x1.f9360399116p-17, -0x1.f83326abc1686p-17, -0x1.f72d892cf2272p-17, -0x1.f62538f309142p-17, -0x1.f51a455815b1cp-17, -0x1.f40cb44002f18p-17, -0x1.f2fc931058a3ap-17, -0x1.f1e9e9bebcacep-17, -0x1.f0d4c4be675d9p-17, -0x1.efbd19f7794a4p-17, -0x1.eea329d6e66fcp-17, -0x1.ed86c3f504673p-17, -0x1.ec680dcd8dfb2p-17, -0x1.eb4707ced3fb8p-17, -0x1.ea23c511d69c7p-17, -0x1.e8fe49ec26052p-17, -0x1.e7d6a047c03dcp-17, -0x1.e6acd1db2adacp-17, -0x1.e580e26b1e9ddp-17, -0x1.e452efc2b7d44p-17, -0x1.e322f33ec2a68p-17, -0x1.e1f0cfe9bf493p-17, -0x1.e0bcf464f57f9p-17, -0x1.df870f5e35404p-17, -0x1.de4f481f1a154p-17, -0x1.dd1580d91725fp-17, -0x1.dbda345b8b2d6p-17, -0x1.da9d108cc0d44p-17, -0x1.d95e124d44af3p-17, -0x1.d81d42047dfdfp-17, -0x1.d6daebd089aa8p-17, -0x1.d596e47d1684ap-17, -0x1.d4514151d94fbp-17, -0x1.d30a09c2633e2p-17, -0x1.d1c1461613686p-17, }}, 
      {{-0x1.0c6a5e6c443b6p+1, -0x1.cf4b5ab06cf33p+0, -0x1.89da81cd277dcp+0, -0x1.545eb78512502p+0, -0x1.2f78339b28891p+0, -0x1.179c259426fc9p+0, -0x1.086bd0d4e81c2p+0, -0x1.fc39dc9b81c88p-1, -0x1.ebd35fb8254bcp-1, -0x1.dc1b98a561e98p-1, -0x1.cb2d7336f288cp-1, -0x1.b8535c9ac144p-1, -0x1.a39d8733ab483p-1, -0x1.8d8d667790aacp-1, -0x1.76d7d44ff1113p-1, -0x1.603b2736ebdbap-1, -0x1.4a6526a6840cfp-1, -0x1.35e4cd30564fdp-1, -0x1.232456b853d98p-1, -0x1.1268d01cc2f99p-1, -0x1.03d50d54cd503p-1, -0x1.eedd000110aa4p-2, -0x1.da45bc01a44f6p-2, -0x1.c99bc276325e6p-2, -0x1.bc7d590224382p-2, -0x1.b27924ef168acp-2, -0x1.ab163c5acced7p-2, -0x1.a5daaa38a8b78p-2, -0x1.a250743203d1dp-2, -0x1.a00944cb90aa4p-2, -0x1.9ea0e6c7e6059p-2, -0x1.9dbec2a304723p-2, -0x1.9d168ee83d161p-2, -0x1.9c6860f2364cep-2, -0x1.9b80469372bf1p-2, -0x1.9a358b580c0efp-2, -0x1.9869c64d80e06p-2, -0x1.9607c71c84984p-2, -0x1.930273ef49731p-2, -0x1.8f53a5d22b4f2p-2, -0x1.8afb0db601ed8p-2, -0x1.85fd292824dccp-2, -0x1.80624b72b76cap-2, -0x1.7a35be20259a5p-2, -0x1.7384fa7617e75p-2, -0x1.6c5efc3fb6338p-2, -0x1.64d3ad3e7482ep-2, -0x1.5cf367ea0d727p-2, -0x1.54ce8fbcab7b2p-2, -0x1.4c753d14887f4p-2, -0x1.43f6fa9a8d14ap-2, -0x1.3b629216a1b2cp-2, -0x1.32c5e6a5df209p-2, -0x1.2a2dda5e85339p-2, -0x1.21a63d94a1249p-2, -0x1.1939c620dbe49p-2, -0x1.10f20d3673455p-2, -0x1.08d79283dd039p-2, -0x1.00f1c380ab657p-2, -0x1.f28e0be36eb1ep-3, -0x1.e3b9899d956a4p-3, -0x1.d56efda8e6124p-3, -0x1.c7b5ac59508c9p-3, -0x1.ba934161e9addp-3, -0x1.ae0bf0c661f72p-3, -0x1.a2229799d6df6p-3, -0x1.96d8dc100492bp-3, -0x1.8c2f4c8242462p-3, -0x1.82257d23ad154p-3, -0x1.78ba2433d31b4p-3, -0x1.6feb348ebd978p-3, -0x1.67b5f687abac5p-3, -0x1.60171f0737976p-3, -0x1.590ae4ec35958p-3, -0x1.528d14b80befp-3, -0x1.4c99229366b4cp-3, -0x1.472a3ab8e8972p-3, -0x1.423b505f3d277p-3, -0x1.3dc72b2d6b98ap-3, -0x1.39c8735c16229p-3, -0x1.3639bc8acc7fdp-3, -0x1.33158f705bfa2p-3, -0x1.3056726946432p-3, -0x1.2df6f10e72cb7p-3, -0x1.2bf1a2d0ea512p-3, -0x1.2a4130c961024p-3, -0x1.28e05aae4cc9bp-3, -0x1.27c9fb2783493p-3, -0x1.26f90b638480ep-3, -0x1.2668a6326efabp-3, -0x1.26140a773c88dp-3, -0x1.25f69d434a0b2p-3, -0x1.260beb5c3c38bp-3, -0x1.264faa82ecb04p-3, -0x1.26bdba47180fbp-3, -0x1.27522495e5e7ap-3, -0x1.28091e10923d4p-3, -0x1.28df05fd921cp-3, -0x1.29d06640e1424p-3, -0x1.2ad9f2df58256p-3, -0x1.2bf88992782afp-3, -0x1.2d293121c316cp-3, -0x1.2e691883573eap-3, -0x1.2fb5962afe4cbp-3, -0x1.310c26e8d71b9p-3, -0x1.326a6cf813f1ep-3, -0x1.33ce2efd4369fp-3, -0x1.353556b37e2bbp-3, -0x1.369deff950537p-3, -0x1.3806278ed6c3cp-3, -0x1.396c49c3049fep-3, -0x1.3acec17c1b5c1p-3, -0x1.3c2c16d6c05p-3, -0x1.3d82ede479e8fp-3, -0x1.3ed205b494cd8p-3, -0x1.401836f05d995p-3, -0x1.415472ab77a21p-3, -0x1.4285c17803b43p-3, -0x1.43ab42138227ap-3, -0x1.44c428438d838p-3, -0x1.45cfbbff5a3e3p-3, -0x1.46cd583bff91ep-3, -0x1.47bc69cf35713p-3, -0x1.489c6eb069eaep-3, -0x1.496cf4f3eb61bp-3, -0x1.4a2d99b1a1f8ep-3, -0x1.4ade0851ed25dp-3, -0x1.4b7df9c536515p-3, -0x1.4c0d337bbecdbp-3, -0x1.4c8b86a838418p-3, -0x1.4cf8cfadf046cp-3, -0x1.4d54f5494849p-3, -0x1.4d9fe7c0090e3p-3, -0x1.4dd9a06167e7bp-3, -0x1.4e0220f57a69ep-3, -0x1.4e1972fa34324p-3, -0x1.4e1fa70e5ebacp-3, -0x1.4e14d48e992b3p-3, -0x1.4df9190d38dddp-3, -0x1.4dcc97b2a87bap-3, -0x1.4d8f78d0d99c5p-3, -0x1.4d41e99294073p-3, -0x1.4ce41b8659194p-3, -0x1.4c76441f53d0fp-3, -0x1.4bf89c6284108p-3, -0x1.4b6b60a741328p-3, -0x1.4aced039de2c4p-3, -0x1.4a232cf5f8a34p-3, -0x1.4968bb03e4bcbp-3, -0x1.489fc0a99a779p-3, -0x1.47c886060e33ap-3, -0x1.46e354bfea6ap-3, -0x1.45f077cc9983ap-3, -0x1.44f03b4de71dbp-3, -0x1.43e2ec6514068p-3, -0x1.42c8d8f4aa974p-3, -0x1.41a24f6d9acfp-3, -0x1.406f9eb30e682p-3, -0x1.3f311600ebe72p-3, -0x1.3de704c244365p-3, -0x1.3c91ba6529e83p-3, -0x1.3b31863efcedep-3, -0x1.39c6b77d4e10ep-3, -0x1.38519d10aae22p-3, -0x1.36d2858c4352ap-3, -0x1.3549bf09fc3d1p-3, -0x1.33b7971bd50e9p-3, -0x1.321c5ac380409p-3, -0x1.3078566290bf2p-3, -0x1.2ecbd5a41ba71p-3, -0x1.2d17236b84f2fp-3, -0x1.2b5a89ccf67fcp-3, -0x1.29965209843f2p-3, -0x1.27cac48588091p-3, -0x1.25f828ba2c35ep-3, -0x1.241ec52ad82edp-3, -0x1.223edf6149312p-3, -0x1.2058bbed34301p-3, -0x1.1e6c9e602d564p-3, -0x1.1c7ac9455d867p-3, -0x1.1a837e1aea633p-3, -0x1.1886fd4ff57eap-3, -0x1.1685864612305p-3, -0x1.147f5751b8cfbp-3, -0x1.1274adb6e7ce7p-3, -0x1.1065c5a566b4cp-3, -0x1.0e52da37b6549p-3, -0x1.0c3c2574e21a2p-3, -0x1.0a21e0538b61p-3, -0x1.080442bac0145p-3, -0x1.05e38380cf9d6p-3, -0x1.03bfd86b001f9p-3, -0x1.0199762f1eb1p-3, -0x1.fee120ed7d2bbp-4, -0x1.fa8ab3c5a7ebdp-4, -0x1.f630081ac5bdep-4, -0x1.f1d17f147fce2p-4, -0x1.ed6f77d114d04p-4, -0x1.e90a4f6aa55aep-4, -0x1.e4a260fe7cad5p-4, -0x1.e03805b4c6873p-4, -0x1.dbcb94c5bf5e7p-4, -0x1.d75d637d7db37p-4, -0x1.d2edc5406ed64p-4, -0x1.ce7d0b91516bbp-4, -0x1.ca0b8618604acp-4, -0x1.c59982ab06924p-4, -0x1.c1274d525c5c7p-4, -0x1.bcb530500ed43p-4, -0x1.b84374239af8cp-4, -0x1.b3d25f903a105p-4, -0x1.af6237a376fc8p-4, -0x1.aaf33fbc520ebp-4, -0x1.a685b9923c657p-4, -0x1.a219e53ae8396p-4, -0x1.9db0012f77504p-4, -0x1.99484a5241f6cp-4, -0x1.94e2fbf4cf965p-4, -0x1.90804fde119d3p-4, -0x1.8c207e5101727p-4, -0x1.87c3be12d3cd9p-4, -0x1.836a44706d00fp-4, -0x1.7f14454391301p-4, -0x1.7ac1f2f86a8b9p-4, -0x1.76737e93255e4p-4, -0x1.722917b5948bap-4, -0x1.6de2eca501af3p-4, -0x1.69a12a4fddbecp-4, -0x1.6563fc52d0b49p-4, -0x1.612b8cfda2581p-4, -0x1.5cf805584718p-4, -0x1.58c98d27f79ebp-4, -0x1.54a04af43b625p-4, -0x1.507c640c0607dp-4, -0x1.4c5dfc8acaebbp-4, -0x1.4845375d4da46p-4, -0x1.443236461fa84p-4, -0x1.402519e22b25dp-4, -0x1.3c1e01ad4d29ap-4, -0x1.381d0c06de2cap-4, -0x1.3422563635b5fp-4, -0x1.302dfc6f2c66bp-4, -0x1.2c4019d693a54p-4, -0x1.2858c8867177ep-4, -0x1.247821921b1f9p-4, -0x1.209e3d0a5256ep-4, -0x1.1ccb32016b892p-4, -0x1.18ff168f6623cp-4, -0x1.1539ffd5eb65cp-4, -0x1.117c0204640dap-4, -0x1.0dc5305beda8cp-4, -0x1.0a159d333f863p-4, -0x1.066d59fa60845p-4, -0x1.02cc773e7f2bfp-4, -0x1.fe66095b44131p-5, -0x1.f7422234dfe75p-5, -0x1.f02d54ffb52b4p-5, -0x1.e927bc098f7fp-5, -0x1.e2316fff69cf4p-5, -0x1.db4a87f4a5294p-5, -0x1.d473196a13399p-5, -0x1.cdab3854e992p-5, -0x1.c6f2f725b21f7p-5, -0x1.c04a66cf3ec99p-5, -0x1.b9b196cd7f854p-5, -0x1.b328952c54e1fp-5, -0x1.acaf6e8e4d7a6p-5, -0x1.a6462e3368531p-5, -0x1.9fecddffb94ffp-5, -0x1.99a38681f3fb3p-5, -0x1.936a2ef9f80e3p-5, -0x1.8d40dd5f4a46ap-5, -0x1.872796678d3b7p-5, -0x1.811e5d8cea5cap-5, -0x1.7b25351473356p-5, -0x1.753c1e1470089p-5, -0x1.6f63187aaec71p-5, -0x1.699a2312c06ebp-5, -0x1.63e13b8c2b26bp-5, -0x1.5e385e8089b66p-5, -0x1.589f8779a71d6p-5, -0x1.5316b0f791055p-5, -0x1.4d9dd476a384cp-5, -0x1.4834ea75812dcp-5, -0x1.42dbea7b09002p-5, -0x1.3d92cb1c368b5p-5, -0x1.3859820207b11p-5, -0x1.333003ef4be3fp-5, -0x1.2e1644c668235p-5, -0x1.290c378f100fp-5, -0x1.2411ce7bf62f9p-5, -0x1.1f26faf073ccp-5, -0x1.1a4bad8621f9ap-5, -0x1.157fd612627b7p-5, -0x1.10c363abea64cp-5, -0x1.0c1644b02d10dp-5, -0x1.077866c8cd15ep-5, -0x1.02e9b6f0fba0ap-5, -0x1.fcd442f58296p-6, -0x1.f3f3242896577p-6, -0x1.eb2fe79a399d6p-6, -0x1.e28a62367be81p-6, -0x1.da0267c0b749cp-6, -0x1.d197cadda2022p-6, -0x1.c94a5d1d5d48fp-6, -0x1.c119ef05565bep-6, -0x1.b906501a13237p-6, -0x1.b10f4ee8ed40ep-6, -0x1.a934b91197a1p-6, -0x1.a1765b4fa7938p-6, -0x1.99d40183ee08cp-6, -0x1.924d76bdbaff2p-6, -0x1.8ae28543faf02p-6, -0x1.8392f69e38cc9p-6, -0x1.7c5e939d79f89p-6, -0x1.75452464f22b3p-6, -0x1.6e467072a71f5p-6, -0x1.67623ea7ea0b3p-6, -0x1.60985551c3b9fp-6, -0x1.59e87a3142625p-6, -0x1.53527283b3c9cp-6, -0x1.4cd6030ab5e2dp-6, -0x1.4672f01438a48p-6, -0x1.4028fd823111bp-6, -0x1.39f7eed240fe3p-6, -0x1.33df872501f08p-6, -0x1.2ddf89454de79p-6, -0x1.27f7b7af4a33ap-6, -0x1.2227d497719adp-6, -0x1.1c6fa1f196c0ap-6, -0x1.16cee177eac5ap-6, -0x1.114554b1ffaeep-6, -0x1.0bd2bcfbc30f4p-6, -0x1.0676db8c2e1ap-6, -0x1.0131717bc526fp-6, -0x1.f8047f954d3fcp-7, -0x1.edd20ecc3efap-7, -0x1.e3cb125bfe077p-7, -0x1.d9ef0bf33e74dp-7, -0x1.d03d7d39ff4f9p-7, -0x1.c6b5e7dc338c5p-7, -0x1.bd57cd9543a95p-7, -0x1.b422b03c734ffp-7, -0x1.ab1611d1d51b5p-7, -0x1.a231748b42974p-7, -0x1.99745ae073121p-7, -0x1.90de479538242p-7, -0x1.886ebdc16df03p-7, -0x1.802540d65a248p-7, -0x1.780154a2148d6p-7, -0x1.70027d52482d8p-7, -0x1.68283f77b0ecep-7, -0x1.6072200c35c83p-7, -0x1.58dfa47cce179p-7, -0x1.517052b7892dp-7, -0x1.4a23b13cde27ap-7, -0x1.42f9473213fbap-7, -0x1.3bf09c71e2e54p-7, -0x1.350939981f005p-7, -0x1.2e42a805d2e2cp-7, -0x1.279c71dcf6b47p-7, -0x1.211621f4c3e7ap-7, -0x1.1aaf43c9fc697p-7, -0x1.146763705be74p-7, -0x1.0e3e0d8af2266p-7, -0x1.0832cf5073f1dp-7, -0x1.0245369e58d3cp-7, -0x1.f8e9a433b20bbp-8, -0x1.ed8262b460b53p-8, -0x1.e253ca27a509ap-8, -0x1.d75cfe74d7f92p-8, -0x1.cc9d26201f3c9p-8, -0x1.c2136a35e3f1cp-8, -0x1.b7bef60128a0fp-8, -0x1.ad9ef69771b3ap-8, -0x1.a3b29a5298c85p-8, -0x1.99f91058a2dc3p-8, -0x1.90718854b5eap-8, -0x1.871b327cdaffap-8, -0x1.7df53ff1b84c2p-8, -0x1.74fee370ff72cp-8, -0x1.6c37523ceea91p-8, -0x1.639dc50a441f2p-8, -0x1.5b3178bbaf928p-8, -0x1.52f1aeb6b54c4p-8, -0x1.4addacae7a1e5p-8, -0x1.42f4bbdd08c1ep-8, -0x1.3b3627c5ef46p-8, -0x1.33a13cbc5864ep-8, -0x1.2c35467ddc65ep-8, -0x1.24f18f37f4916p-8, -0x1.1dd55f41252a7p-8, -0x1.16dffdad5530fp-8, -0x1.1010b1b7d7a5fp-8, -0x1.0966c4cb8f391p-8, -0x1.02e184c7d8359p-8, -0x1.f9008c0f04369p-9, -0x1.ec84c95f713b2p-9, -0x1.e04e89d14bb3ap-9, -0x1.d45ca3a90b94cp-9, -0x1.c8adf6bb5d73dp-9, -0x1.bd41666cd4ccfp-9, -0x1.b215d337f9052p-9, -0x1.a72a150f01b01p-9, -0x1.9c7cf7dc52c37p-9, -0x1.920d3b0a99af4p-9, -0x1.87d9946a88f3p-9, -0x1.7de0b61f8853cp-9, -0x1.7421569755634p-9, -0x1.6a9a391671287p-9, -0x1.614a352d715cep-9, -0x1.58303b85c358bp-9, -0x1.4f4b56e2b50aap-9, -0x1.469aa8e0d85a9p-9, -0x1.3e1d62d19068ap-9, -0x1.35d2bbdf7c206p-9, -0x1.2db9e648a47ep-9, -0x1.25d205be8934fp-9, -0x1.1e1a28dc18d7cp-9, -0x1.16914707cb56dp-9, -0x1.0f3643451f11p-9, -0x1.0807f38218ba8p-9, -0x1.01052b1b07c4p-9, -0x1.f4598d7abdae4p-10, -0x1.e6fb6f3191277p-10, -0x1.d9ee17d2e1d15p-10, -0x1.cd2fe69f02a26p-10, -0x1.c0bf7c1f81f8bp-10, -0x1.b49bae6429c1ap-10, -0x1.a8c374bed7a65p-10, -0x1.9d35ce76769fcp-10, -0x1.91f1a90f4bd6bp-10, -0x1.86f5cafff0e76p-10, -0x1.7c40c6c803f03p-10, -0x1.71d0f88e93971p-10, -0x1.67a48e344d2f2p-10, -0x1.5db997c526f52p-10, -0x1.540e1ceeadc72p-10, -0x1.4aa033b1d5cb4p-10, -0x1.416e14c8eb6c8p-10, -0x1.38762ade5f0ap-10, -0x1.2fb71a933cd71p-10, -0x1.272fc25ea0122p-10, -0x1.1edf32804297ap-10, -0x1.16c49e7452bcbp-10, -0x1.0edf4a5efc306p-10, -0x1.072e77953e5abp-10, -0x1.ff62a71aa690cp-11, -0x1.f0cdd80f41dd2p-11, -0x1.e29c545536fa7p-11, -0x1.d4cba9b7556cap-11, -0x1.c7593291d5a2p-11, -0x1.ba422f6472152p-11, -0x1.ad83e406ebeeep-11, -0x1.a11bb319a18fdp-11, -0x1.950732213c483p-11, -0x1.894431b4c1986p-11, -0x1.7dd0b836cd8dbp-11, -0x1.72aaf248f1c99p-11, -0x1.67d1206401cb7p-11, -0x1.5d418a0ac81bdp-11, -0x1.52fa7ba8b7c47p-11, -0x1.48fa4dea455d3p-11, -0x1.3f3f6fc19a2bfp-11, -0x1.35c86aa072e8fp-11, -0x1.2c93dbbececa2p-11, -0x1.23a063fb67013p-11, -0x1.1aec9699bfbb8p-11, -0x1.1276f204185d6p-11, -0x1.0a3de9d8e8682p-11, -0x1.023fffc1e841bp-11, -0x1.f4f7bb614ba4p-12, -0x1.e5e0bf47b3caep-12, -0x1.d73902386eb52p-12, -0x1.c8fe6151d6218p-12, -0x1.bb2e35eac5dd8p-12, -0x1.adc50d01ad4cdp-12, -0x1.a0beaa98103adp-12, -0x1.94166652f15f1p-12, -0x1.87c7c76e5e606p-12, -0x1.7bcf252f18864p-12, -0x1.702a06c7aca2dp-12, -0x1.64d713e5ee1efp-12, -0x1.59d59a21cf961p-12, -0x1.4f24e46610096p-12, -0x1.44c3bf6685ed2p-12, -0x1.3ab06d32c0a6fp-12, -0x1.30e906192d673p-12, -0x1.276c0069c3bdep-12, -0x1.1e3882edcd7e4p-12, -0x1.154e49ded8cb7p-12, -0x1.0cad25fde5e03p-12, -0x1.04545164291cdp-12, -0x1.f883c6b8778edp-13, -0x1.e8e5316b32efdp-13, -0x1.d9c406b50e63ap-13, -0x1.cb1636c06ed13p-13, -0x1.bcd230a3a48f8p-13, -0x1.aef0b52283469p-13, -0x1.a16e1131d96b1p-13, -0x1.944a08ed23ec9p-13, -0x1.87864ce1c1d0ep-13, -0x1.7b243d75beda2p-13, -0x1.6f234b0a17588p-13, -0x1.6380daf12de95p-13, -0x1.5839867e6ca7cp-13, -0x1.4d4ab465aab6dp-13, -0x1.42b3886c0c9f1p-13, -0x1.3874b22202e3ap-13, -0x1.2e8f47e4d70ep-13, -0x1.2503602a8d5bcp-13, -0x1.1bcf3a6f825d8p-13, -0x1.12ef46c82a5bap-13, -0x1.0a5ea3cfe6305p-13, -0x1.021783e470449p-13, -0x1.f426e083ea57ap-14, -0x1.e497bd5f12ef4p-14, -0x1.d576c0ac91476p-14, -0x1.c6bde60d6e46bp-14, -0x1.b86cf060ab1b1p-14, -0x1.aa87681e946efp-14, -0x1.9d10b6465417ep-14, -0x1.9009195b691f8p-14, -0x1.836d551741a4dp-14, -0x1.7738954f2ef13p-14, -0x1.6b66e03b510b2p-14, -0x1.5ff6dc05c7513p-14, -0x1.54e9ca41273fcp-14, -0x1.4a413f201b0f9p-14, -0x1.3ffc53793a427p-14, -0x1.3616e8f96a9cp-14, -0x1.2c8b50a7a765ap-14, -0x1.23546ffe92264p-14, -0x1.1a6eb71db46aep-14, -0x1.11d791fd82edp-14, -0x1.098c039d8f612p-14, -0x1.018792098ee31p-14, -0x1.f388c6b33e13p-15, -0x1.e478fe42e8aecp-15, -0x1.d5d6fe1cf6c56p-15, -0x1.c79fa63c37b31p-15, -0x1.b9d55996e3fc9p-15, -0x1.ac7c8cea95fcap-15, -0x1.9f96e26400c8p-15, -0x1.93204a2000105p-15, -0x1.8711ea84b7df2p-15, -0x1.7b6918ddd1bd8p-15, -0x1.7028e3f76962ap-15, -0x1.65531108b1aafp-15, -0x1.5ae29b280d18ap-15, -0x1.50ce24f5f0176p-15, -0x1.470d2a4b3a471p-15, -0x1.3d9a481f19479p-15, -0x1.3472d395b106cp-15, -0x1.2b96227aace15p-15, -0x1.230548397ecf8p-15, -0x1.1ac25e8c3938cp-15, -0x1.12ceabc723c22p-15, -0x1.0b283ce8d637cp-15, -0x1.03c7dadffb3bep-15, -0x1.f941d39510d94p-16, -0x1.eb4da989723fp-16, -0x1.ddad5f4cabc28p-16, -0x1.d072401b66e67p-16, -0x1.c3ad3db21b27fp-16, -0x1.b758980b92d07p-16, -0x1.ab637111543cfp-16, -0x1.9fcca2fb7cff3p-16, -0x1.949f46de0fd41p-16, -0x1.89db8960465fbp-16, -0x1.7f73f12f0c937p-16, -0x1.755a97b266dbcp-16, -0x1.6b883cc8c419ap-16, -0x1.61fab2baf46bp-16, -0x1.58b14040795dep-16, -0x1.4faa9142aba67p-16, -0x1.46e4d42c813a5p-16, -0x1.3e5f70a7d8179p-16, -0x1.361ca72397103p-16, -0x1.2e20e3ae0f899p-16, -0x1.266f8b7099a24p-16, -0x1.1f0767cefc7dap-16, -0x1.17de562540dbep-16, -0x1.10df402eb6893p-16, -0x1.09fa625ff665ap-16, -0x1.033a978d66fe1p-16, -0x1.f964fb4724b73p-17, -0x1.ecb7c173ace98p-17, -0x1.e04fa7fd449afp-17, -0x1.d4390a587f0b6p-17, -0x1.c8890f78c969p-17, -0x1.bd357df388373p-17, -0x1.b2294e93c7f5fp-17, -0x1.a759ad681e302p-17, -0x1.9cc4a3a017f25p-17, -0x1.926acc2132f0dp-17, -0x1.884c541cc831ap-17, -0x1.7e685febe3714p-17, -0x1.74bd14bd38b9p-17, -0x1.6b47cf87e4b9p-17, -0x1.6205ede9bbd7cp-17, -0x1.58f64273027a4p-17, -0x1.5019fe6f7ccc9p-17, -0x1.47735c94e8f43p-17, -0x1.3f035e05e99a6p-17, -0x1.36ca9202ecfe3p-17, -0x1.2ec6040e35733p-17, -0x1.26e4095d384ep-17, -0x1.1f1893084275fp-17, -0x1.1773e52666773p-17, -0x1.0ff502133c995p-17, -0x1.088ba07d42669p-17, -0x1.0146b6cdc5106p-17, -0x1.f461f79b0cb44p-18, -0x1.e67cb45a24111p-18, -0x1.d8ca88fffcc95p-18, -0x1.cb48da5b45f22p-18, -0x1.bdf9e82f225f3p-18, -0x1.b0dee3d9d0f61p-18, -0x1.a3f7565237314p-18, -0x1.9741e2d0004p-18, -0x1.8abcfa062f5fap-18, -0x1.7e672889f69fap-18, -0x1.723f05b421d12p-18, -0x1.6642f44bf1d7cp-18, -0x1.5a71193805138p-18, -0x1.4ec7c9fc2ba1ap-18, -0x1.4346201de99a9p-18, -0x1.37eb8fe92b1b2p-18, -0x1.2cb6b589b660fp-18, -0x1.21a9187251993p-18, -0x1.16cc22464fff9p-18, -0x1.0c1b42ed523b7p-18, -0x1.018359b13cc1dp-18, -0x1.ee0c2bfb44722p-19, -0x1.d939af22aee03p-19, -0x1.c4abaebfb958dp-19, -0x1.b0777bf3f6a1ap-19, -0x1.9c81b70c6d947p-19, -0x1.88bdf05bb7867p-19, -0x1.752e5b90db3ddp-19, -0x1.61d5dcedf63e2p-19, -0x1.4eb54fbc0e4efp-19, -0x1.3bcc4b01386fdp-19, -0x1.2919e196cd69ep-19, -0x1.169d079b56eacp-19, -0x1.0454c6e748094p-19, -0x1.e480b60647235p-20, -0x1.c0be6d270f4edp-20, -0x1.9d61d463d9bebp-20, -0x1.7a69de7603a6ep-20, -0x1.57d4f26bfa32dp-20, -0x1.35a0f090f42a8p-20, -0x1.13cc1c8f56cadp-20, -0x1.e4ab32232abfbp-21, -0x1.a2781be2eb1c5p-21, -0x1.60fb7ea9e0536p-21, -0x1.2049389711a5bp-21, -0x1.c100e07bb6b9dp-22, -0x1.42d514238b5e7p-22, -0x1.8b86e2354ec36p-23, -0x1.27eff93fabb42p-24, 0x1.80b24d2517bep-25, 0x1.5158b33882b36p-23, 0x1.1fee466ae1511p-22, 0x1.95d30254219dp-22, 0x1.05291792d322dp-21, 0x1.3eb4c69d49677p-21, 0x1.778cb23db13dep-21, 0x1.afb152f45e9dp-21, 0x1.e7232a193dbc8p-21, 0x1.0ef15632c9c14p-20, 0x1.29f81ee027e9dp-20, 0x1.44a616e0d6b3cp-20, 0x1.5efb5a904bf72p-20, 0x1.78f7faadc6dbap-20, 0x1.929c0046ac6f3p-20, 0x1.abe77729548d3p-20, 0x1.c4da7a89f384dp-20, 0x1.dd75384346e89p-20, 0x1.f5b7e1a7a9977p-20, 0x1.06d1468f2a24p-19, 0x1.129a9598d439ep-19, 0x1.1e37e703afc0ep-19, 0x1.29a96b6d4f04bp-19, 0x1.34ee92cf48a01p-19, 0x1.40066726ed7a7p-19, 0x1.4af378c6fd9ebp-19, 0x1.55b568435ea88p-19, 0x1.604a55116b63cp-19, 0x1.6ab38f4ee16f3p-19, 0x1.74f14e08a342p-19, 0x1.7f0360423551cp-19, 0x1.88e9bf3372a66p-19, 0x1.92a476bb5ea53p-19, 0x1.9c33971f2bb64p-19, 0x1.a59731c072189p-19, 0x1.aecf58d495a2fp-19, 0x1.b7dc1f92c6482p-19, 0x1.c0bd9a5b805d1p-19, 0x1.c973deccb512fp-19, 0x1.d1ff03d8dc4e6p-19, 0x1.da5f21d9189f4p-19, 0x1.e294529f618f8p-19, 0x1.ea9eb17bfbdcap-19, 0x1.f27e5b501d689p-19, 0x1.fa336e9773a7bp-19, 0x1.00df05b713ad6p-18, 0x1.048f29c322717p-18, 0x1.082a350f421d2p-18, 0x1.0bb039f9fd0f6p-18, 0x1.0f214ba5c1207p-18, 0x1.127d7e24901fbp-18, 0x1.15c4e6945d80ap-18, 0x1.18f79a5d1a598p-18, 0x1.1c15af563efd2p-18, 0x1.1f1f3d2c90cb1p-18, 0x1.22145be77d288p-18, 0x1.24f52491da558p-18, 0x1.27c1b09e61e02p-18, 0x1.2a7a1a4988708p-18, 0x1.2d1e7cb554478p-18, 0x1.2faef3c14db89p-18, 0x1.322b9c087cf5cp-18, 0x1.349492df4e7e2p-18, 0x1.36e9f6588dac7p-18, 0x1.392be529a06p-18, 0x1.3b5a7ea7203eep-18, 0x1.3d75e34a3da63p-18, 0x1.3f7e3398cae52p-18, 0x1.41739121c97b1p-18, 0x1.43561de187bb8p-18, 0x1.4525fd0f49d49p-18, 0x1.46e35170f5bfcp-18, 0x1.488e3f4eb8b1bp-18, 0x1.4a26eb121cb6cp-18, 0x1.4bad79ba426e8p-18, 0x1.4d2210eff199fp-18, 0x1.4e84d6ef2eba3p-18, 0x1.4fd5f27c2ae9dp-18, 0x1.51158ae11e35p-18, 0x1.5243c7ccdef0bp-18, 0x1.5360d1227c256p-18, 0x1.546ccf383f81dp-18, 0x1.5567ebbd98e17p-18, 0x1.5652518d80a54p-18, 0x1.572c280084994p-18, 0x1.57f59858c935bp-18, 0x1.58aecf111f047p-18, 0x1.5957f89336938p-18, 0x1.59f13eea1abe5p-18, 0x1.5a7acd76500e4p-18, 0x1.5af4d02e36393p-18, 0x1.5b5f735300bfcp-18, 0x1.5bbae366674fcp-18, 0x1.5c074d2908bb8p-18, 0x1.5c44dd9701a38p-18, 0x1.5c73c1e50f7dfp-18, 0x1.5c94277c4ff14p-18, 0x1.5ca63bf790d2fp-18, 0x1.5caa2d18616fap-18, 0x1.5ca028cf354bfp-18, 0x1.5c885d2c942f3p-18, 0x1.5c62f86529c89p-18, 0x1.5c3028cee2f3ap-18, 0x1.5bf01ce7afad7p-18, 0x1.5ba303f3239fp-18, 0x1.5b490a0cd3ee7p-18, 0x1.5ae25ffb1ae59p-18, 0x1.5a6f33fed7c14p-18, 0x1.59efb4cbcd0f1p-18, 0x1.59641103bbfb7p-18, 0x1.58cc776505f48p-18, 0x1.582916a458268p-18, 0x1.577a1d6c75df7p-18, 0x1.56bfba5a4dcep-18, 0x1.55fa1c0381be1p-18, 0x1.55297109cffa3p-18, 0x1.544de7dfdf46bp-18, 0x1.5367aef4ce3a4p-18, 0x1.5276f492ac077p-18, 0x1.517be6bc722a3p-18, 0x1.5076b343eecf7p-18, 0x1.4f67894272e63p-18, 0x1.4e4e99205e216p-18, 0x1.4d2c07906fdep-18, 0x1.4c000791fff15p-18, 0x1.4acac8efa7c1ap-18, 0x1.498c768aaf37fp-18, 0x1.48453d29cdeb1p-18, 0x1.46f5499d2c8b7p-18, 0x1.459cc874898dp-18, 0x1.443be5db410edp-18, 0x1.42d2cf1d4212ap-18, 0x1.4161aeae2b27bp-18, 0x1.3fe8b0efc376ep-18, 0x1.3e680142260b6p-18, 0x1.3cdfcad37eec3p-18, 0x1.3b5038927e417p-18, 0x1.39b9752a310c7p-18, 0x1.381baafe2e098p-18, 0x1.36770427f7d6cp-18, 0x1.34cbaa780139cp-18, 0x1.3319c77a4b71fp-18, 0x1.3161847465754p-18, 0x1.2fa30a6072d37p-18, 0x1.2dde81ed6152p-18, 0x1.2c14137ba5ebdp-18, 0x1.2a43e6f741f09p-18, 0x1.286e23c5c5acdp-18, 0x1.2692f13a6137dp-18, 0x1.24b277088f463p-18, 0x1.22ccdec53be03p-18, 0x1.20e24711a0622p-18, 0x1.1ef2da37c950ap-18, 0x1.1cfec046caa57p-18, 0x1.1b061c61cec7cp-18, 0x1.19091376eb65ep-18, 0x1.1707ca45638bp-18, 0x1.1502653bf9c9bp-18, 0x1.12f9084c2e7fbp-18, 0x1.10ebd67fc4bcbp-18, 0x1.0edaf3171790ep-18, 0x1.0cc68161bef59p-18, 0x1.0aaea3b2c8876p-18, 0x1.08937bf0d6746p-18, 0x1.06752bde6906ep-18, 0x1.0453d5086ac9bp-18, 0x1.022f981a1edc1p-18, 0x1.000895eff285p-18, 0x1.fbbddcc5a5b03p-19, 0x1.f76582cf7e234p-19, 0x1.f3085cffb0b4ep-19, 0x1.eea6a9764ececp-19, 0x1.ea40a5a21188dp-19, 0x1.e5d690b48e1aep-19, 0x1.e1689ef1083b3p-19, 0x1.dcf71172fb5b3p-19, 0x1.d882220a8a77cp-19, 0x1.d40a09affe2dcp-19, 0x1.cf8f01566c0ep-19, 0x1.cb1140bb2fca3p-19, 0x1.c690fec425355p-19, 0x1.c20e72818d292p-19, 0x1.bd89d19418cf2p-19, 0x1.b90350608e2dap-19, 0x1.b47b230f4e09bp-19, 0x1.aff17d938928p-19, 0x1.ab6697d1ec3b8p-19, 0x1.a6da9af0de9acp-19, 0x1.a24db586acfd7p-19, 0x1.9dc0260b72b01p-19, 0x1.993212c4bb353p-19, 0x1.94a3ac3cbc6fcp-19, 0x1.901520d204ce3p-19, 0x1.8b869ce38f829p-19, 0x1.86f8506c3aaccp-19, 0x1.826a63ff88389p-19, 0x1.7ddd049a93921p-19, 0x1.79505c64438dbp-19, 0x1.74c495622acddp-19, 0x1.7039d85d92dafp-19, 0x1.6bb04ec188739p-19, 0x1.67281f1ad80cep-19, 0x1.62a17106160a3p-19, 0x1.5e1c6acc643b5p-19, 0x1.59993207f615ap-19, 0x1.5517ebaa44da2p-19, 0x1.5098bbf60d02dp-19, 0x1.4c1bc67f73273p-19, 0x1.47a12e2d9cb23p-19, 0x1.4329153c30f5ep-19, 0x1.3eb39d4d70742p-19, 0x1.3a40e716b92a5p-19, 0x1.35d1130aca7e7p-19, 0x1.316440ac06bp-19, 0x1.2cfa8eea77cf4p-19, 0x1.28941c1c452c5p-19, 0x1.243105f13897fp-19, 0x1.1fd1697554be3p-19, 0x1.1b75631644267p-19, 0x1.171d0eaa0e7ap-19, 0x1.12c8876710db9p-19, 0x1.0e77e7b888c96p-19, 0x1.0a2b49862af46p-19, 0x1.05e2c64da5f9ap-19, 0x1.019e771d21836p-19, 0x1.fabcec094e7f7p-20, 0x1.f245a8c7ce55p-20, 0x1.e9d75f5edfb6ap-20, 0x1.e172377ed1fabp-20, 0x1.d9165c4996afap-20, 0x1.d0c40ee83f107p-20, 0x1.c87b40abfc4f3p-20, 0x1.c03c50222d59bp-20, 0x1.b80752d0220d2p-20, 0x1.afdc6cb874b5dp-20, 0x1.a7bbc47ebe732p-20, 0x1.9fa57f455491bp-20, 0x1.9799c044290d3p-20, 0x1.8f98a9986a8cbp-20, 0x1.87a25ca36998bp-20, 0x1.7fb6f967e18cdp-20, 0x1.77d69e9c237abp-20, 0x1.70016b7a44a16p-20, 0x1.68377cddb7b92p-20, 0x1.6078ef4a528acp-20, 0x1.58c5de4d8c4dp-20, 0x1.511e6455dd234p-20, 0x1.49829a9a7a2c8p-20, 0x1.41f298dc32b4ep-20, 0x1.3a6e82bb388bbp-20, 0x1.32f65e62bf137p-20, 0x1.2b8a3d5d43a5ap-20, 0x1.242a4a930ca7ep-20, 0x1.1cd6909291676p-20, 0x1.158f215798fb4p-20, 0x1.0e5410f8e4aaap-20, 0x1.07256e3ddb994p-20, 0x1.00034d27c00bbp-20, 0x1.f1db7ddf010d2p-21, 0x1.e3c9a7829b3c5p-21, 0x1.d5d12c28a0826p-21, 0x1.c7f2305d6b1e7p-21, 0x1.ba2ccbdf8c35p-21, 0x1.ac81181723edbp-21, 0x1.9eef2c0da2136p-21, 0x1.917720c91dc7p-21, 0x1.8419084f0586dp-21, 0x1.76d4f63aeea8bp-21, 0x1.69aaffc961d3cp-21, 0x1.5c9b336d71415p-21, 0x1.4fa5a17275e4ep-21, 0x1.42ca58464c097p-21, 0x1.360965027764bp-21, 0x1.2962d39300571p-21, 0x1.1cd6ae5f6aca9p-21, 0x1.1064ff41f596ap-21, 0x1.040dcdd319a8ap-21, 0x1.efa2431d41f27p-22, 0x1.d75e00c6fd57ep-22, 0x1.bf4ede7c579d6p-22, 0x1.a774e4fd8af78p-22, 0x1.8fd01a77dd5bbp-22, 0x1.78608896194bfp-22, 0x1.61260faa2b1ecp-22, 0x1.4a20cf50e1446p-22, 0x1.3350be4f4ee0cp-22, 0x1.1cb5d836366adp-22, 0x1.0650145fd08eap-22, 0x1.e03eb831eb45dp-23, 0x1.b447738c07d07p-23, 0x1.88ba30bcd6667p-23, 0x1.5d96d6d0ed874p-23, 0x1.32dd3d0b80d5p-23, 0x1.088d47a5fd218p-23, 0x1.bd4d9ccc3e83ap-24, 0x1.6a534d8352fbep-24, 0x1.182b4335ad0cbp-24, 0x1.8daa321232b23p-25, 0x1.d941b36d65c58p-26, 0x1.34e696bf25fbcp-27, -0x1.423148b1e1d24p-27, -0x1.d963fd8dd6a25p-26, -0x1.87388b59af7cfp-25, -0x1.10104750fd5d2p-24, -0x1.5bb5c703cde1dp-24, -0x1.a68d3f9ba8335p-24, -0x1.f097452e090e2p-24, -0x1.1cea38c672b47p-23, -0x1.4122b1f166eccp-23, -0x1.64f55dce1d5c4p-23, -0x1.886297b889137p-23, -0x1.ab6aae6eddc8ep-23, -0x1.ce0dfda3a514ap-23, -0x1.f04cdef13a55ep-23, -0x1.0913d76e142adp-22, -0x1.19cf67a8c5b81p-22, -0x1.2a594f25e54c6p-22, -0x1.3ab1bfdf0884cp-22, -0x1.4ad8ec32de3cap-22, -0x1.5acf0a61e657cp-22, -0x1.6a9454865d6b1p-22, -0x1.7a28e566e5a76p-22, -0x1.898d0b21977b1p-22, -0x1.98c0f9f056cep-22, -0x1.a7c4ecd1c578p-22, -0x1.b6990624ac80dp-22, -0x1.c53d9dd7ea201p-22, -0x1.d3b2db15bee38p-22, -0x1.e1f8fbdc62bbap-22, -0x1.f0103ccbcba9fp-22, -0x1.fdf8da0ac490bp-22, -0x1.05d988b1007d6p-21, -0x1.0c9f8e3088225p-21, -0x1.134e9c3dbe584p-21, -0x1.19e6d405f5de2p-21, -0x1.20685abadfb1fp-21, -0x1.26d346de77e44p-21, -0x1.2d27bb321d2b5p-21, -0x1.3365da1dc7d3bp-21, -0x1.398dc2baf0934p-21, -0x1.3f9f916167da3p-21, -0x1.459b79fc3785ep-21, -0x1.4b81880c79affp-21, -0x1.5151bfa28721fp-21, -0x1.570cb5eac0bc6p-21, -0x1.5cb20e27b32a4p-21, -0x1.624222942e145p-21, -0x1.67bd135608c83p-21, -0x1.6d22e1fdf5776p-21, -0x1.7273f39b8b32p-21, -0x1.77b02eb8df1b8p-21, -0x1.7cd7ce1622b61p-21, -0x1.81eaf16817389p-21, -0x1.86e9bc5737d26p-21, -0x1.8bd452a8ffd26p-21, -0x1.90aae7e0a353cp-21, -0x1.956d7534056d3p-21, -0x1.9a1c39b9d4f01p-21, -0x1.9eb76aa535fa1p-21, -0x1.a33f02ae1a239p-21, -0x1.a7b346551d8ap-21, -0x1.ac144cf41c267p-21, -0x1.b0623481638a9p-21, -0x1.b49d2dda605c4p-21, -0x1.b8c559a312b36p-21, -0x1.bcdad712d3c15p-21, -0x1.c0ddcbe776973p-21, -0x1.c4ce5ca694125p-21, -0x1.c8acae6dae06fp-21, -0x1.cc78e3c2c9bd3p-21, -0x1.d0332205a1d33p-21, -0x1.d3db86e9f1994p-21, -0x1.d772482a60d09p-21, -0x1.daf77306512d3p-21, -0x1.de6b43cea9626p-21, -0x1.e1cdcadfed537p-21, -0x1.e51f335d05487p-21, -0x1.e85fa12ef7e19p-21, -0x1.eb8f386b94dbfp-21, -0x1.eeae1d05a7fdap-21, -0x1.f1bc72d93a2f1p-21, -0x1.f4ba5dc7f36c7p-21, -0x1.f7a8022a01d28p-21, -0x1.fa8583c43cbep-21, -0x1.fd53066cde83cp-21, -0x1.000855f3f8e4dp-20, -0x1.015f4ce16d18p-20, -0x1.02ae7b688af6ap-20, -0x1.03f5f15bbb79fp-20, -0x1.0535bfe3107f6p-20, -0x1.066df9275f2cap-20, -0x1.079eafd75de6p-20, -0x1.08c7f3014775dp-20, -0x1.09e9d6efc5225p-20, -0x1.0b046b7d64b8ap-20, -0x1.0c17c0e328b51p-20, -0x1.0d23ee83da27fp-20, -0x1.0e28ffda45e27p-20, -0x1.0f2709399d7ep-20, -0x1.101e17e454f9cp-20, -0x1.110e3da276a9cp-20, -0x1.11f79153d55a4p-20, -0x1.12da1da24330dp-20, -0x1.13b5f4f04aa18p-20, -0x1.148b34ae91879p-20, -0x1.1559dfb722c4ap-20, -0x1.1621f77f51c66p-20, -0x1.16e3a9bda7c92p-20, -0x1.179efda61b498p-20, -0x1.185400af9a1ep-20, -0x1.1902c7521ff9dp-20, -0x1.19ab5f883b232p-20, -0x1.1a4dd8c7be021p-20, -0x1.1aea43e334032p-20, -0x1.1b80b20db1725p-20, -0x1.1c1134acfabd3p-20, -0x1.1c9bd7d05d7c9p-20, -0x1.1d20b05c3423ap-20, -0x1.1d9fcd3762d56p-20, -0x1.1e192e41db13p-20, -0x1.1e8d064a149cfp-20, -0x1.1efb45694e626p-20, -0x1.1f6406e27dab2p-20, -0x1.1fc759a0fd25bp-20, -0x1.202551a5884fdp-20, -0x1.207df6a72a95p-20, -0x1.20d15b09856b3p-20, -0x1.211f9e8202d2cp-20, -0x1.21689f74297c8p-20, -0x1.21ac9d97c9739p-20, -0x1.21eb9761bfb11p-20, -0x1.22259b94d310dp-20, -0x1.225ab965d267cp-20, -0x1.228afffe29f4cp-20, -0x1.22b67d510781ep-20, -0x1.22dd40054cb8dp-20, -0x1.22ff5b3525467p-20, -0x1.231ccfba700cep-20, -0x1.2335b5f56d399p-20, -0x1.234a18a2db85bp-20, -0x1.235a08ed2752dp-20, -0x1.23659ce6d40a9p-20, -0x1.236cd3efdd38cp-20, -0x1.236fc1c2b38e9p-20, -0x1.236e7368a914dp-20, -0x1.2368ef520a744p-20, -0x1.236123e9b571ep-20, -0x1.2351a4d1b1a16p-20, -0x1.233fed6798916p-20, -0x1.232a3cf0839c9p-20, -0x1.2310a01c5e268p-20, -0x1.22f3252ff8fb6p-20, -0x1.22d1dc8530b16p-20, -0x1.22acc86792e1ap-20, -0x1.22840235b945ep-20, -0x1.22578ea940bfbp-20, -0x1.222779ad97e2cp-20, -0x1.21f3d7db7a6ddp-20, -0x1.21bcaea6c8f0ap-20, -0x1.21820da9a8232p-20, -0x1.2143ff29b91f5p-20, -0x1.21029195e0703p-20, -0x1.20bdbd9445391p-20, -0x1.2075c14f94986p-20, -0x1.202a74e3d171dp-20, -0x1.1fdbf970dea8dp-20, -0x1.1f8a58fad52e5p-20, -0x1.1f35a07a9b7dfp-20, -0x1.1eddd978a8883p-20, -0x1.1e830f8a9fb94p-20, -0x1.1e254e172efa1p-20, -0x1.1dc49a960d248p-20, -0x1.1d6114c812564p-20, -0x1.1cfab71bc3d87p-20, -0x1.1c91680f7ac13p-20, -0x1.1c25943c8b282p-20, -0x1.1bb6f008a1373p-20, -0x1.1b45a23d9a6d8p-20, -0x1.1ad18e6c6d334p-20, -0x1.1a5b327800c3cp-20, -0x1.19e23bd32d809p-20, -0x1.1966adc921fdp-20, -0x1.18e87c53298dcp-20, -0x1.186824c83179fp-20, -0x1.17e54f81de7f6p-20, -0x1.1760250fb0703p-20, -0x1.16d8ad0b7f2cep-20, -0x1.164ef0fc91471p-20, }}, 
      {{0x1.fecb7cc831bb9p-1, 0x1.fb34d8279f4d1p-1, 0x1.f55044e2e2f8dp-1, 0x1.ed3debd5f35d3p-1, 0x1.e327fbfc2410ep-1, 0x1.d7406a89284dap-1, 0x1.c9bea013081cfp-1, 0x1.badd3fcd5dfddp-1, 0x1.aad826829cce8p-1, 0x1.99eab221de183p-1, 0x1.884e58c698bdcp-1, 0x1.76398ef073257p-1, 0x1.63def7d863aabp-1, 0x1.516cd7faa2777p-1, 0x1.3f0cc093cedf2p-1, 0x1.2ce36a84c8931p-1, 0x1.1b10b776d8273p-1, 0x1.09afd0e7609d6p-1, 0x1.f1aebb843717ep-2, 0x1.d133907ced74cp-2, 0x1.b20b1d7370b06p-2, 0x1.944b366f0723bp-2, 0x1.78033c0f5e30fp-2, 0x1.5d3cd193ad7d3p-2, 0x1.43fc8f4b71a22p-2, 0x1.2c42ae2b8144p-2, 0x1.160baa2379db6p-2, 0x1.0150d98b0780ep-2, 0x1.dc11f132a83dcp-3, 0x1.b85150ae9cd0fp-3, 0x1.9745c1c727bebp-3, 0x1.78d2ae5f235fep-3, 0x1.5cd9ad386396bp-3, 0x1.433b1e16be8a4p-3, 0x1.2bd6b03ac060ep-3, 0x1.168bd4cea0a5ap-3, 0x1.033a1efa03b4dp-3, 0x1.e38326b66e518p-4, 0x1.c405d14534222p-4, 0x1.a7bf76019855ep-4, 0x1.8e756809c7e2cp-4, 0x1.77ef50de8d434p-4, 0x1.63f75ac2b8004p-4, 0x1.525a4c67efaacp-4, 0x1.42e7983e0e2e2p-4, 0x1.3571617ba88f9p-4, 0x1.29cc78b9a8c3p-4, 0x1.1fd051c1ebccdp-4, 0x1.1756f3fa73e48p-4, 0x1.103ce6a489cc3p-4, 0x1.0a6119f958903p-4, 0x1.05a4ce044dc2fp-4, 0x1.01eb77f6b8ae3p-4, 0x1.fe354d1f7e746p-5, 0x1.fa33cc2ec8735p-5, 0x1.f7a548a5c57bp-5, 0x1.f66029874a232p-5, 0x1.f63e2ae0a0d0ap-5, 0x1.f71c28d0ce029p-5, 0x1.f8d9ec4d12818p-5, 0x1.fb59f9d6304d6p-5, 0x1.fe81624134c62p-5, 0x1.011bcad47baf8p-4, 0x1.03331c4961bap-4, 0x1.057c7da407a39p-4, 0x1.07eeb9b0547eep-4, 0x1.0a817bb9d5162p-4, 0x1.0d2d3e70ee59fp-4, 0x1.0feb3bd4c1008p-4, 0x1.12b55e18c4f85p-4, 0x1.1586317c8d9b8p-4, 0x1.1858d70bc3779p-4, 0x1.1b28f83c3644dp-4, 0x1.1df2bb5fe109cp-4, 0x1.20b2b8e0d19fdp-4, 0x1.2365f13d01a85p-4, 0x1.2609c3b86ced2p-4, 0x1.289be5bbe785dp-4, 0x1.2b1a5ad77a59ap-4, 0x1.2d836d5f559bep-4, 0x1.2fd5a79aaa20ep-4, 0x1.320fcd7c0f65bp-4, 0x1.3430d6db5603p-4, 0x1.3637ea28fec19p-4, 0x1.38245793cab1ep-4, 0x1.39f59499271cbp-4, 0x1.3bab37f97dce4p-4, 0x1.3d44f609bab7fp-4, 0x1.3ec29d5b9a36cp-4, 0x1.402413b69d5d5p-4, 0x1.4169535bc3c55p-4, 0x1.4292688e77d52p-4, 0x1.439f6f5d4c5a6p-4, 0x1.449091a587f4cp-4, 0x1.4566054ca696ep-4, 0x1.46200aab4c6dfp-4, 0x1.46beeb255bdcfp-4, 0x1.4742f7eb2993cp-4, 0x1.47ac88e004323p-4, 0x1.47fbfba27f22dp-4, 0x1.4831b2b3395a6p-4, 0x1.484e14b703c32p-4, 0x1.48518bd18c8ccp-4, 0x1.483c8515ed3e4p-4, 0x1.480f700aa5bdep-4, 0x1.47cabe3ec781p-4, 0x1.476ee2ee4288cp-4, 0x1.46fc52b373e73p-4, 0x1.467383443c0f1p-4, 0x1.45d4eb3917716p-4, 0x1.452101dccd123p-4, 0x1.44583f0375b8cp-4, 0x1.437b1ae7b8932p-4, 0x1.428a0e0d40551p-4, 0x1.4185912785594p-4, 0x1.406e1d0420b43p-4, 0x1.3f442a7801445p-4, 0x1.3e08324ee2505p-4, 0x1.3cbaad3c87243p-4, 0x1.3b5c13cf48fb3p-4, 0x1.39ecde6396fb1p-4, 0x1.386d85181c411p-4, 0x1.36de7fc24981ap-4, 0x1.354045e30c0b6p-4, 0x1.33934e9b8989cp-4, 0x1.31d810a1c272dp-4, 0x1.300f023500623p-4, 0x1.2e38991202217p-4, 0x1.2c554a66dc654p-4, 0x1.2a658ac68a51ep-4, 0x1.2869ce1c2ed5ap-4, 0x1.2662879e0b121p-4, 0x1.245029c03082ep-4, 0x1.22332626fb8dbp-4, 0x1.200bed9960aecp-4, 0x1.1ddaeff319465p-4, 0x1.1ba09c16c00abp-4, 0x1.195d5fdfebe3cp-4, 0x1.1711a81559349p-4, 0x1.14bde05b30584p-4, 0x1.126273257738ep-4, 0x1.0fffc9aac1003p-4, 0x1.0d964bd7277e2p-4, 0x1.0b26603f99b51p-4, 0x1.08b06c1592041p-4, 0x1.0634d31b38dc8p-4, 0x1.03b3f7980404dp-4, 0x1.012e3a4ddaae2p-4, 0x1.fd47f4dd8852bp-5, 0x1.f82b2b26584b3p-5, 0x1.f306cf6184e43p-5, 0x1.eddb9623f11aep-5, 0x1.e8aa309c4d04p-5, 0x1.e3734c84a98ccp-5, 0x1.de3794156238dp-5, 0x1.d8f7adf95cdf1p-5, 0x1.d3b43d43a28edp-5, 0x1.ce6de1664e187p-5, 0x1.c925362acfe06p-5, 0x1.c3dad3ab83773p-5, 0x1.be8f4e4e90472p-5, 0x1.b94336c2133afp-5, 0x1.b3f719f986d07p-5, 0x1.aeab812c628c1p-5, 0x1.a960f1d5e8a8bp-5, 0x1.a417edb619eb6p-5, 0x1.9ed0f2d3c1e2ep-5, 0x1.998c7b7f96ff3p-5, 0x1.944afe585d9e5p-5, 0x1.8f0cee5001633p-5, 0x1.89d2bab1a1acep-5, 0x1.849ccf2878e5dp-5, 0x1.7f6b93c79f608p-5, 0x1.7a3f6d1290c5fp-5, 0x1.7518bc067523ep-5, 0x1.6ff7de241392p-5, 0x1.6add2d7a6d5f7p-5, 0x1.65c900b1efd72p-5, 0x1.60bbab1834836p-5, 0x1.5bb57cac41ddbp-5, 0x1.56b6c22b40ce6p-5, 0x1.51bfc51d9f98fp-5, 0x1.4cd0cbe493133p-5, 0x1.47ea19c7eec47p-5, 0x1.430bef044ac6cp-5, 0x1.3e3688d96abf4p-5, 0x1.396a2198de306p-5, 0x1.34a6f0b4d42a4p-5, 0x1.2fed2acf122bp-5, 0x1.2b3d01c8120c2p-5, 0x1.2696a4ce323c6p-5, 0x1.21fa406cfbc9cp-5, 0x1.1d67fe9c7353bp-5, 0x1.18e006d069a36p-5, 0x1.14627e07d07cfp-5, 0x1.0fef86dc031fbp-5, 0x1.0b8741900492cp-5, 0x1.0729cc1faaf1ep-5, 0x1.02d7424eb5f75p-5, 0x1.fd1f7b6f91593p-6, 0x1.f4a6abb68d363p-6, 0x1.ec44405c1b9a8p-6, 0x1.e3f86050121bfp-6, 0x1.dbc32ea53c891p-6, 0x1.d3a4caadd8853p-6, 0x1.cb9d5017c037ap-6, 0x1.c3acd708289d3p-6, 0x1.bbd3743703aa3p-6, 0x1.b4113909fbb05p-6, 0x1.ac6633aef9f39p-6, 0x1.a4d26f364a07cp-6, 0x1.9d55f3ac458d1p-6, 0x1.95f0c6329442cp-6, 0x1.8ea2e918f1a88p-6, 0x1.876c5bf581554p-6, 0x1.804d1bbcb099dp-6, 0x1.794522d8948dp-6, 0x1.7254693fe15a9p-6, 0x1.6b7ae48c5a76bp-6, 0x1.64b88810d88f6p-6, 0x1.5e0d44eecbe77p-6, 0x1.57790a2b53baep-6, 0x1.50fbc4c3d0a5p-6, 0x1.4a955fc210fc8p-6, 0x1.4445c44ff77d6p-6, 0x1.3e0cd9cabd517p-6, 0x1.37ea85d5b56efp-6, 0x1.31deac6ca17d6p-6, 0x1.2be92ff59d2b9p-6, 0x1.2609f1528cf9p-6, 0x1.2040cff229c6ep-6, 0x1.1a8da9e09b1d7p-6, 0x1.14f05bd7aa00dp-6, 0x1.0f68c14e85fedp-6, 0x1.09f6b48924343p-6, 0x1.049a0ea73d35ep-6, 0x1.fea54f65c1716p-7, 0x1.f440ad5d4ed14p-7, 0x1.ea05e34713f42p-7, 0x1.dff49b5ca02aap-7, 0x1.d60c7e195439ap-7, 0x1.cc4d3253d5176p-7, 0x1.c2b65d56cd543p-7, 0x1.b947a2f904388p-7, 0x1.b000a5b4c225dp-7, 0x1.a6e106be87dcep-7, 0x1.9de8661b3365bp-7, 0x1.951662b5659p-7, 0x1.8c6a9a7268ca5p-7, 0x1.83e4aa465f9b2p-7, 0x1.7b842e47f0372p-7, 0x1.7348c1c34e3e9p-7, 0x1.6b31ff4cb7bd8p-7, 0x1.633f80d268406p-7, 0x1.5b70dfadf3e8ap-7, 0x1.53c5b4b528116p-7, 0x1.4c3d984a5c658p-7, 0x1.44d8226c4a5dep-7, 0x1.3d94eac557723p-7, 0x1.367388ba72eb9p-7, 0x1.2f73937970447p-7, 0x1.2894a206e837bp-7, 0x1.21d64b4baf218p-7, 0x1.1b382621ce677p-7, 0x1.14b9c961154e3p-7, 0x1.0e5acbeb3d961p-7, 0x1.081ac4b7a00fdp-7, 0x1.01f94ade85215p-7, 0x1.f7ebeb4823dc9p-8, 0x1.ec20b90594cc6p-8, 0x1.e0902e6b79d2bp-8, 0x1.d5397b848a704p-8, 0x1.ca1bd102f040ep-8, 0x1.bf3660526b519p-8, 0x1.b4885ba9bd896p-8, 0x1.aa10f61b708fbp-8, 0x1.9fcf63a5f11fep-8, 0x1.95c2d942fc21bp-8, 0x1.8bea8cf681448p-8, 0x1.8245b5dcceeep-8, 0x1.78d38c3838bd3p-8, 0x1.6f93497e19638p-8, 0x1.668428634c8a6p-8, 0x1.5da564e8180b8p-8, 0x1.54f63c6381f21p-8, 0x1.4c75ed8e2e948p-8, 0x1.4423b88ca58e3p-8, 0x1.3bfedef926225p-8, 0x1.3406a3ecf5135p-8, 0x1.2c3a4c0935624p-8, 0x1.24991d7f3c7b3p-8, 0x1.1d22601880c47p-8, 0x1.15d55d3e06b3cp-8, 0x1.0eb15fff7340bp-8, 0x1.07b5b519973b8p-8, 0x1.00e1aafca3a9fp-8, 0x1.f46923a3edaeep-9, 0x1.e75b7702ef5a9p-9, 0x1.da98f76d3c054p-9, 0x1.ce204fca2c4e8p-9, 0x1.c1f02e99fda3cp-9, 0x1.b60745fdc03f6p-9, 0x1.aa644bbe6d8c6p-9, 0x1.9f05f953791dep-9, 0x1.93eb0be89a5ebp-9, 0x1.8912446308634p-9, 0x1.7e7a67661c0c4p-9, 0x1.74223d574796cp-9, 0x1.6a0892618f81ap-9, 0x1.602c36786784p-9, 0x1.568bfd5a0746fp-9, 0x1.4d26be913bf4fp-9, 0x1.43fb5576ab5c1p-9, 0x1.3b08a131adca6p-9, 0x1.324d84b8910bdp-9, 0x1.29c8e6d084b5fp-9, 0x1.2179b20cf4a66p-9, 0x1.195ed4ce884dep-9, 0x1.11774141b3159p-9, 0x1.09c1ed5cd15bdp-9, 0x1.023dd2ddf6111p-9, 0x1.f5d3de9088bbp-10, 0x1.e78a87c1e6482p-10, 0x1.d99dab57f2892p-10, 0x1.cc0b5ad0bc34ep-10, 0x1.bed1af1876574p-10, 0x1.b1eec880cf6b9p-10, 0x1.a560ceb7c5dc2p-10, 0x1.9925f0bdc4fc7p-10, 0x1.8d3c64db504cp-10, 0x1.81a268961d7b7p-10, 0x1.765640a5abd6fp-10, 0x1.6b5638e75eb71p-10, 0x1.60a0a4521d388p-10, 0x1.5633dce98a5e8p-10, 0x1.4c0e43b0c39c9p-10, 0x1.422e409cc42dap-10, 0x1.3892428656b35p-10, 0x1.2f38bf1bc7c94p-10, 0x1.262032d20f3b9p-10, 0x1.1d4720d5d7769p-10, 0x1.14ac12fc18e0ap-10, 0x1.0c4d99b26d25p-10, 0x1.042a4bef2fd47p-10, 0x1.f8818e4278902p-11, 0x1.e91f5e3f1d28bp-11, 0x1.da2b5c3121709p-11, 0x1.cba2e902a4cf9p-11, 0x1.bd837208b1d54p-11, 0x1.afca70e11d034p-11, 0x1.a2756b4f65978p-11, 0x1.9581f319d9e3cp-11, 0x1.88eda5e61f985p-11, 0x1.7cb62d1595c7bp-11, 0x1.70d93da1860cp-11, 0x1.655497f714d32p-11, 0x1.5a2607d317182p-11, 0x1.4f4b641dbf94ep-11, 0x1.44c28ec60f99cp-11, 0x1.3a89749d51cecp-11, 0x1.309e0d328530ap-11, 0x1.26fe5aad8c284p-11, 0x1.1da869aa778e9p-11, 0x1.149a5114ce4f5p-11, 0x1.0bd23202ba79ep-11, 0x1.034e379055d84p-11, 0x1.f6192d75e8ff3p-12, 0x1.e6171c78f3ebap-12, 0x1.d692cccd82833p-12, 0x1.c788e1fe7189fp-12, 0x1.b8f61234c28a2p-12, 0x1.aad725ef2f699p-12, 0x1.9d28f7b9edba9p-12, 0x1.8fe873e6a0e4bp-12, 0x1.83129844c1d7cp-12, 0x1.76a473da558f6p-12, 0x1.6a9b269ce5574p-12, 0x1.5ef3e12af6f5fp-12, 0x1.53abe48618902p-12, 0x1.48c081ccecfeap-12, 0x1.3e2f19f620145p-12, 0x1.33f51d8b8bfa4p-12, 0x1.2a100c660b7cbp-12, 0x1.207d75699ab4ap-12, 0x1.173af6424d29cp-12, 0x1.0e463b217fda2p-12, 0x1.059cfe7bbd26ep-12, 0x1.fa7a118eb1e55p-13, 0x1.ea486076b46d6p-13, 0x1.daa0b11e6303bp-13, 0x1.cb7ee5762898dp-13, 0x1.bcdef971788dbp-13, 0x1.aebd028a4b1fdp-13, 0x1.a1152f45248b5p-13, 0x1.93e3c6b700c37p-13, 0x1.8725280c11098p-13, 0x1.7ad5ca10886efp-13, 0x1.6ef23ab9e58b4p-13, 0x1.63771eb25c3a9p-13, 0x1.586130e513077p-13, 0x1.4dad420c3a5c7p-13, 0x1.4358383fff7b7p-13, 0x1.395f0e87ac1b1p-13, 0x1.2fbed46b73da1p-13, 0x1.2674ad87fbf41p-13, 0x1.1d7dd12397cf6p-13, 0x1.14d789c4352f3p-13, 0x1.0c7f34c7c0b35p-13, 0x1.047241fd15f52p-13, 0x1.f95c667d6ecf3p-14, 0x1.ea61381e5b1d2p-14, 0x1.dbee426cec73ep-14, 0x1.cdfef0c2569c4p-14, 0x1.c08ecf81d0cf5p-14, 0x1.b3998b5cde807p-14, 0x1.a71af0999990bp-14, 0x1.9b0eea5c8b235p-14, 0x1.8f7181f537d5ep-14, 0x1.843ede2d2dd3fp-14, 0x1.7973429a5f9b7p-14, 0x1.6f0b0ef448ab4p-14, 0x1.6502be6b38e47p-14, 0x1.5b56e7035ca9fp-14, 0x1.520438f1fd2dbp-14, 0x1.49077dfd965b7p-14, 0x1.405d98e0a1c7dp-14, 0x1.380384af58eddp-14, 0x1.2ff65440127eap-14, 0x1.28333195d1348p-14, 0x1.20b75d4eada7p-14, 0x1.19802e1374e44p-14, 0x1.128b100aed72p-14, 0x1.0bd5844f64276p-14, 0x1.055d2066a48aep-14, 0x1.fe3f1b796ea1p-15, 0x1.f23512422b18ap-15, 0x1.e697c48cd2306p-15, 0x1.db62f6892eb0dp-15, 0x1.d092903affdd6p-15, 0x1.c6229c880577ep-15, 0x1.bc0f484af3ba9p-15, 0x1.b254e16b0119ep-15, 0x1.a8efd5f874d9dp-15, 0x1.9fdcb34d57709p-15, 0x1.971825333f7adp-15, 0x1.8e9ef50d2745ap-15, 0x1.866e090661123p-15, 0x1.7e8263451350dp-15, 0x1.76d92121df1ccp-15, 0x1.6f6f7a6326d2fp-15, 0x1.6842c07d6abcap-15, 0x1.61505dd698e47p-15, 0x1.5a95d50e8a6b4p-15, 0x1.5410c04b703a1p-15, 0x1.4dbed089688d3p-15, 0x1.479dccef2473dp-15, 0x1.41ab92258f9b2p-15, 0x1.3be611b3b4edap-15, 0x1.364b515ead951p-15, 0x1.30d96a8c60337p-15, 0x1.2b8e89aaca66dp-15, 0x1.2668ed9a88665p-15, 0x1.2166e71cb78ddp-15, 0x1.1c86d8449feb7p-15, 0x1.17c733ecb12a9p-15, 0x1.13267d2ec80b8p-15, 0x1.0ea346dfb4d76p-15, 0x1.0a3c330e4c509p-15, 0x1.05eff2855a819p-15, 0x1.01bd4450ad19p-15, 0x1.fb45ea8b54d79p-16, 0x1.f33fbf1c73b6fp-16, 0x1.eb65d46ed8d01p-16, 0x1.e3b61184ac728p-16, 0x1.dc2e75701b85ap-16, 0x1.d4cd1681ebf67p-16, 0x1.cd90217b7ecfp-16, 0x1.c675d8c8281fdp-16, 0x1.bf7c93bac2a82p-16, 0x1.b8a2bdd0a1a24p-16, 0x1.b1e6d5fa0e17bp-16, 0x1.ab476de717046p-16, 0x1.a4c32959f37e3p-16, 0x1.9e58bd7d51587p-16, 0x1.9806f04044ee3p-16, 0x1.91cc97b65949ap-16, 0x1.8ba8997c27b3ep-16, 0x1.8599ea2011cb7p-16, 0x1.7f9f8c8fe4498p-16, 0x1.79b8918a7a705p-16, 0x1.73e41715597c7p-16, 0x1.6e2147f60e0e4p-16, 0x1.686f5b3095918p-16, 0x1.62cd9388237c3p-16, 0x1.5d3b3f052162ap-16, 0x1.57b7b67dc3cfap-16, 0x1.52425d23245bbp-16, 0x1.4cdaa010ad85p-16, 0x1.477ff5e07da08p-16, 0x1.4231de4218aap-16, 0x1.3cefe194b2f96p-16, 0x1.37b990848a84p-16, 0x1.328e83abe8dd6p-16, 0x1.2d6e5b367640ep-16, 0x1.2858be882357p-16, 0x1.234d5be68d164p-16, 0x1.1e4be825c436fp-16, 0x1.19541e5752f34p-16, 0x1.1465bf7c15847p-16, 0x1.0f809238f7601p-16, 0x1.0aa4628e07faep-16, 0x1.05d10190077cfp-16, 0x1.01064524f8a3dp-16, 0x1.f8880f83860a4p-17, 0x1.ef14505780b8p-17, 0x1.e5b11276f2664p-17, 0x1.dc5e2343a4987p-17, 0x1.d31b575f6b27ap-17, 0x1.c9e88a3e22b5bp-17, 0x1.c0c59dbe0ff45p-17, 0x1.b7b279c17bf92p-17, 0x1.aeaf0bcded665p-17, 0x1.a5bb46af2b782p-17, 0x1.9cd7221c54db9p-17, 0x1.94029a62b02bdp-17, 0x1.8b3db011870c6p-17, 0x1.828867ab6a35fp-17, 0x1.79e2c959246acp-17, 0x1.714ce0a145657p-17, 0x1.68c6bc20fc926p-17, 0x1.60506d49831dbp-17, 0x1.57ea081f5bd23p-17, 0x1.4f93a2fce992ep-17, 0x1.474d56574898ap-17, 0x1.3f173c863ab2fp-17, 0x1.36f1718e197c4p-17, 0x1.2edc12ed17852p-17, 0x1.26d73f696b8a6p-17, 0x1.1ee316e3848b2p-17, 0x1.16ffba29144fcp-17, 0x1.0f2d4acb21b76p-17, 0x1.076beaf5c4723p-17, 0x1.ff777a9408748p-18, 0x1.f039c97345865p-18, 0x1.e11f08c9c0bcep-18, 0x1.d2277ef427fc4p-18, 0x1.c353722d4e11fp-18, 0x1.b4a32855266fp-18, 0x1.a616e6b98721dp-18, 0x1.97aef1e26bc91p-18, 0x1.896b8d6227075p-18, 0x1.7b4cfba7480d7p-18, 0x1.6d537dd255dc5p-18, 0x1.5f7f538de09ap-18, 0x1.51d0bae93d24cp-18, 0x1.4447f0355ecf8p-18, 0x1.36e52de5ead8ep-18, 0x1.29a8ac714e86fp-18, 0x1.1c92a2378a8acp-18, 0x1.0fa3436684915p-18, 0x1.02dac1e460049p-18, 0x1.ec729a729ea8cp-19, 0x1.d37e24f964ae3p-19, 0x1.bad87885f9f75p-19, 0x1.a281e51e6d2f8p-19, 0x1.8a7ab585b0db6p-19, 0x1.72c32f289722dp-19, 0x1.5b5b92018f3c1p-19, 0x1.4444188d2f3bep-19, 0x1.2d7cf7b352ab2p-19, 0x1.17065ec02b069p-19, 0x1.00e07755db95ep-19, 0x1.d616cacbfa6d9p-20, 0x1.ab0e8e57eb6f3p-20, 0x1.80a86a548142p-20, 0x1.56e4845016054p-20, 0x1.2dc2f66560faap-20, 0x1.0543cf43081ffp-20, 0x1.bace24614700ap-21, 0x1.6c596e41b2a98p-21, 0x1.1f29557bb2ad7p-21, 0x1.a67b39f4a733bp-22, 0x1.112be2e2b7ee4p-22, 0x1.f98f4c35c8b33p-24, -0x1.1ddf3da597ad3p-26, -0x1.3f3536acb1271p-23, -0x1.2ad3778b27cc7p-22, -0x1.b38a06c07fd4ap-22, -0x1.1cdff8615108ep-21, -0x1.5ebb832c9a7b8p-21, -0x1.9f58a04421d92p-21, -0x1.deb8600a7370dp-21, -0x1.0e6df32971e28p-20, -0x1.2ce2350d49d3fp-20, -0x1.4ab99a912e84bp-20, -0x1.67f4d1c968d9ep-20, -0x1.849491cd7b7a7p-20, -0x1.a0999a8674ee8p-20, -0x1.bc04b47d9cd3dp-20, -0x1.d6d6b0a7b03cbp-20, -0x1.f11068335d50dp-20, -0x1.05595e28dc291p-19, -0x1.11df4b0250aaep-19, -0x1.1e1a72f41dc52p-19, -0x1.2a0b51fcee461p-19, -0x1.35b267b41d56dp-19, -0x1.4110372ca741ap-19, -0x1.4c2546d990eacp-19, -0x1.56f22073f6fcdp-19, -0x1.617750deaa77dp-19, -0x1.6bb5680b5666p-19, -0x1.75acf8e02e2fp-19, -0x1.7f5e991a1caddp-19, -0x1.88cae13527ff4p-19, -0x1.91f26c4e6e70bp-19, -0x1.9ad5d80b3477cp-19, -0x1.a375c47d51ef3p-19, -0x1.abd2d407fd4a8p-19, -0x1.b3edab47db3b1p-19, -0x1.bbc6f0f5bf0a3p-19, -0x1.c35f4dcf387d3p-19, -0x1.cab76c7b85a83p-19, -0x1.d1cff972bedfcp-19, -0x1.d8a9a2e47ced6p-19, -0x1.df45189e59cbcp-19, -0x1.e5a30bf55abfcp-19, -0x1.ebc42faa9b43ep-19, -0x1.f1a937d67a8p-19, -0x1.f752d9cecd0cp-19, -0x1.fcc1cc105168ep-19, -0x1.00fb63141bc06p-18, -0x1.0379404e2ea17p-18, -0x1.05dada6b0749fp-18, -0x1.08208e85f7b08p-18, -0x1.0a4aba160da74p-18, -0x1.0c59bae3afef4p-18, -0x1.0e4deefe75ce5p-18, -0x1.1027b4b22dad5p-18, -0x1.11e76a7e09146p-18, -0x1.138d6f09a2b5ep-18, -0x1.151a211c4864ap-18, -0x1.168ddf933d4e9p-18, -0x1.17e9095895454p-18, -0x1.192bfd59ebfe1p-18, -0x1.1a571a807b19bp-18, -0x1.1b6abfa764715p-18, -0x1.1c674b93dd283p-18, -0x1.1d4d1ced30f73p-18, -0x1.1e1c92343ad4p-18, -0x1.1ed609bc43949p-18, -0x1.1f79e1a29ee7dp-18, -0x1.200877c7fb3efp-18, -0x1.208229c8db8fp-18, -0x1.20e754f6cf4e3p-18, -0x1.21385650e1d4fp-18, -0x1.21758a7e662a8p-18, -0x1.219f4dc730367p-18, -0x1.21b5fc0e27c52p-18, -0x1.21b9f0caa48c2p-18, -0x1.21ab8703a6a09p-18, -0x1.218b1948d766bp-18, -0x1.215901ade2e42p-18, -0x1.211599c51ef14p-18, -0x1.20c13a99e4989p-18, -0x1.205c3caca3e4dp-18, -0x1.1fe6f7ecf9cdfp-18, -0x1.1f61c3b5f79f3p-18, -0x1.1eccf6c9388d2p-18, -0x1.1e28e74ae7644p-18, -0x1.1d75eabdc310ap-18, -0x1.1cb455fec3bd8p-18, -0x1.1be47d41b4173p-18, -0x1.1b06b40dc5fp-18, -0x1.1a1b4d398d446p-18, -0x1.19229ae893186p-18, -0x1.181cee8722a7fp-18, -0x1.170a98c8677aep-18, -0x1.15ebe9a3065ccp-18, -0x1.14c1304e499dep-18, -0x1.138abb404c1fdp-18, -0x1.1248d82aa87eap-18, -0x1.10fbd3f8fe54fp-18, -0x1.0fa3face7f554p-18, -0x1.0e419803d0432p-18, -0x1.0cd4f625b2889p-18, -0x1.0b5e5ef294c47p-18, -0x1.09de1b597245fp-18, -0x1.085473784ac47p-18, -0x1.06c1ae9ab2e1p-18, -0x1.0526133859fe2p-18, -0x1.0381e6f49e296p-18, -0x1.01d56e9c7c5b8p-18, -0x1.0020ee26ad017p-18, -0x1.fcc9516420eccp-19, -0x1.f941c10b0fa1dp-19, -0x1.f5abae1da1d18p-19, -0x1.f20799c594252p-19, -0x1.ee560377e2199p-19, -0x1.ea9768f680b7ap-19, -0x1.e6cc464e71b48p-19, -0x1.e2f515d778814p-19, -0x1.df1250350b409p-19, -0x1.db246c55ca27ap-19, -0x1.d72bdf72f92dbp-19, -0x1.d3291d1260d08p-19, -0x1.cf1c9705e52a2p-19, -0x1.cb06bd6c854fcp-19, -0x1.c6e7feb2c96cbp-19, -0x1.c2c0c794e78ccp-19, -0x1.be91831e0e99dp-19, -0x1.ba5a9aab98ef1p-19, -0x1.b61c75ed056dfp-19, -0x1.b1d77ae650bdep-19, -0x1.ad8c0df1015a1p-19, -0x1.a93a91be21b3ap-19, -0x1.a4e36758d1ef3p-19, -0x1.a086ee26af14dp-19, -0x1.9c2583eb4196ap-19, -0x1.97bf84ca038dfp-19, -0x1.93554b47d51fdp-19, -0x1.8ee7304e2c2e6p-19, -0x1.8a758b2cfd2f4p-19, -0x1.8600b19e1d043p-19, -0x1.8188f7c6b02efp-19, -0x1.7d0eb03aba347p-19, -0x1.78922bffbc08bp-19, -0x1.7413ba8fac692p-19, -0x1.6f93a9db30d4p-19, -0x1.6b12464da3179p-19, -0x1.668fdacf5de2fp-19, -0x1.620cb0c9286bp-19, -0x1.5d89102775ac1p-19, -0x1.59053f5d1951dp-19, -0x1.548183676cfadp-19, -0x1.4ffe1fd1215f8p-19, -0x1.4b7b56b54515dp-19, -0x1.46f968c3473e2p-19, -0x1.427895424655ap-19, -0x1.3df91a1469fc3p-19, -0x1.397b33ba7787p-19, -0x1.34ff1d575f14ap-19, -0x1.308510b3df1cdp-19, -0x1.2c0d46426c054p-19, -0x1.2797f521f9ca8p-19, -0x1.232553228da35p-19, -0x1.1eb594c879cd2p-19, -0x1.1a48ed5057934p-19, -0x1.15df8eb256216p-19, -0x1.1179a9a676424p-19, -0x1.0d176da813fedp-19, -0x1.08b908f96fa8ep-19, -0x1.045ea8a7e6b88p-19, -0x1.0008788f91041p-19, -0x1.f76d46bd7ed6ap-20, -0x1.eed2a5349410ap-20, -0x1.e6415d421c8e3p-20, -0x1.ddb9bd5fdfafbp-20, -0x1.d53c11cab913fp-20, -0x1.ccc8a48a8931ep-20, -0x1.c45fbd7a0dbc4p-20, -0x1.bc01a24e1e605p-20, -0x1.b3ae969dcca49p-20, -0x1.ab66dbe903db8p-20, -0x1.a32ab1a0e2a79p-20, -0x1.9afa552f1b779p-20, -0x1.92d601fd71d5cp-20, -0x1.8abdf17cf3b0dp-20, -0x1.82b25b2e295fp-20, -0x1.7ab374a773d91p-20, -0x1.72c1719d5e2c8p-20, -0x1.6adc83e9f0223p-20, -0x1.6304db9377b22p-20, -0x1.5b3aa6d43ff7dp-20, -0x1.537e1221f2d5bp-20, -0x1.4bcf483465de6p-20, -0x1.442e720d27c81p-20, -0x1.3c9bb6fea9913p-20, -0x1.35173cb31254fp-20, -0x1.2da1273372d0bp-20, -0x1.263998ef0c834p-20, -0x1.1ee0b2c1f5145p-20, -0x1.179693fc3c04dp-20, -0x1.105b5a686931cp-20, -0x1.092f22526ec02p-20, -0x1.0212068eec8b1p-20, -0x1.f6084102c6f7cp-21, -0x1.e80b1045f9d4ep-21, -0x1.da2ca8126d1acp-21, -0x1.cc6d32d8a614p-21, -0x1.beccd85b770eep-21, -0x1.b14bbdbd77c0ap-21, -0x1.a3ea058d657fdp-21, -0x1.96a7cfd340ce3p-21, -0x1.89853a1c018f1p-21, -0x1.7c825f8624e98p-21, -0x1.6f9f58ce9e8c6p-21, -0x1.62dc3c5c683b4p-21, -0x1.56391e4ca3508p-21, -0x1.49b6107e8d491p-21, -0x1.3d53229f4e443p-21, -0x1.311062360b4ep-21, -0x1.24eddaae0a4a4p-21, -0x1.18eb9563a2117p-21, -0x1.0d0999aebd20ep-21, -0x1.0147ecee4f543p-21, -0x1.eb4d2526b5441p-22, -0x1.d44b185578a8p-22, -0x1.bd89b2d3b0d9bp-22, -0x1.a708f06feadb5p-22, -0x1.90c8c971b6c5bp-22, -0x1.7ac932af2ce6dp-22, -0x1.650a1da148804p-22, -0x1.4f8b7876ebe01p-22, -0x1.3a4d2e2b43517p-22, -0x1.254f26974f0d2p-22, -0x1.109146854f8b4p-22, -0x1.f826df8b11e22p-23, -0x1.cfab028049408p-23, -0x1.a7aeae0efa9bdp-23, -0x1.803194d816258p-23, -0x1.5933641c43dbdp-23, -0x1.32b3c3da5caa8p-23, -0x1.0cb256f96eb6cp-23, -0x1.ce5d76dc398d7p-24, -0x1.845114a6cf21bp-24, -0x1.3b3eb0202bfc5p-24, -0x1.e64ad1eef71bep-25, -0x1.5808abf20fb27p-25, -0x1.976a153fe3fcep-26, -0x1.0537e6123a13p-27, 0x1.1cba304434ffep-27, 0x1.9b85353f3df29p-26, 0x1.527055f2ab4cap-25, 0x1.d539f0af742efp-25, 0x1.2b10d5ed97ea3p-24, 0x1.6a94eb38d96a9p-24, 0x1.a92a66731e9fap-24, 0x1.e6d27c5e97facp-24, 0x1.11c73403ec0bfp-23, 0x1.2fafb54d375f3p-23, 0x1.4d23659232ed7p-23, 0x1.6a22eb2bda375p-23, 0x1.86aeef36f4a6cp-23, 0x1.a2c81d73dc2c6p-23, 0x1.be6f242b6e7f2p-23, 0x1.d9a4b41b57ecfp-23, 0x1.f469805cf1213p-23, 0x1.075f1f251659fp-22, 0x1.1451d2b468058p-22, 0x1.210d37aa33c97p-22, 0x1.2d91abd3290f6p-22, 0x1.39df8df183c34p-22, 0x1.45f73db066ebfp-22, 0x1.51d91b994a11fp-22, 0x1.5d85890a7da7fp-22, 0x1.68fce82cf25f4p-22, 0x1.743f9be9855a2p-22, 0x1.7f4e07deeb02fp-22, 0x1.8a2890597b588p-22, 0x1.94cf9a491315ep-22, 0x1.9f438b384eba5p-22, 0x1.a984c940f8e96p-22, 0x1.b393bb052a98fp-22, 0x1.bd70c7a8c9ca1p-22, 0x1.c71c56c42c957p-22, 0x1.d096d05fccd2ep-22, 0x1.d9e09cea9f4fcp-22, 0x1.e2fa2531c1abap-22, 0x1.ebe3d2573f516p-22, 0x1.f49e0dcc2c0f8p-22, 0x1.fd29414aeea67p-22, 0x1.02c2eb66613d1p-21, 0x1.06da1c4210f95p-21, 0x1.0ada686a62107p-21, 0x1.0ec4052663134p-21, 0x1.129727cf77a77p-21, 0x1.165405cdaf6fbp-21, 0x1.19fad494d4f4ep-21, 0x1.1d8bc9a171f42p-21, 0x1.21071a741f2dep-21, 0x1.246cfc9092f9ep-21, 0x1.27bda57a5d68fp-21, 0x1.2af94ab160611p-21, 0x1.2e2021aee5368p-21, 0x1.31325fe33152ap-21, 0x1.34303ab32baf6p-21, 0x1.3719e77516e5ap-21, 0x1.39ef9b6f541ffp-21, 0x1.3cb18bd460149p-21, 0x1.3f5fedc1cd4ebp-21, 0x1.41faf63c6c82bp-21, 0x1.4482da2eb67e9p-21, 0x1.46f7ce67ab794p-21, 0x1.495a0796d6469p-21, 0x1.4ba9ba4bbb4d7p-21, 0x1.4de71af251904p-21, 0x1.50125dd2434a6p-21, 0x1.522bb70ca2687p-21, 0x1.54335a9a11735p-21, 0x1.56297c48424e9p-21, 0x1.580e4fb8820edp-21, 0x1.59e2085f0ae25p-21, 0x1.5ba4d980c14cfp-21, 0x1.5d56f630ae4ap-21, 0x1.5ef8914e864b2p-21, 0x1.6089dd8675569p-21, 0x1.620b0d4ec9957p-21, 0x1.637c52e6ce7c3p-21, 0x1.64dde054d993bp-21, 0x1.662fe765af4a3p-21, 0x1.677299aa1723cp-21, 0x1.68a62877467d4p-21, 0x1.69cac4e3de652p-21, 0x1.6ae09fc8a9261p-21, 0x1.6be7e9bd6cc68p-21, 0x1.6ce0d318fa057p-21, 0x1.6dcb8bf0adfe9p-21, 0x1.6ea8441647259p-21, 0x1.6f772b16d9cc4p-21, 0x1.7038703b56cbap-21, 0x1.70ec428645853p-21, 0x1.7192d0b3898c9p-21, 0x1.722c493692b8p-21, 0x1.72b8da3b095f4p-21, 0x1.7338b1a3be44fp-21, 0x1.73abfd0922222p-21, 0x1.7412e9b88c426p-21, 0x1.746da4b447a8ap-21, 0x1.74bc5ab2ddd1dp-21, 0x1.74ff381e7125dp-21, 0x1.75366913ee97dp-21, 0x1.75621961fa54ep-21, 0x1.75827489e97d4p-21, 0x1.7597a5bdc6db3p-21, 0x1.75a1d7e136031p-21, 0x1.75a135875f5dfp-21, 0x1.7595e8f3f0cep-21, 0x1.75801c1ab7c2dp-21, 0x1.755ff89daac88p-21, 0x1.7535a7cee36e2p-21, 0x1.750152ae9f118p-21, 0x1.74c321ebef099p-21, 0x1.747b3de2fb645p-21, 0x1.7429ce9ecc9c8p-21, 0x1.73cefbd860ddap-21, 0x1.736aecf58f3e4p-21, 0x1.72fdc9092f694p-21, 0x1.7287b6d3d4288p-21, 0x1.7208dcc394844p-21, 0x1.718160f2cbf08p-21, 0x1.70f1692917b73p-21, 0x1.70591ada4acc4p-21, 0x1.6fb89b27d45ccp-21, 0x1.6f100edf4d42bp-21, 0x1.6e5f9a7ac1cddp-21, 0x1.6da76221ad1aap-21, 0x1.6ce789a80c074p-21, 0x1.6c20348e40265p-21, 0x1.6b518601af4eep-21, 0x1.6a7ba0dccbeap-21, 0x1.699ea7a6b506p-21, 0x1.68babc938e313p-21, 0x1.67d001852030ep-21, 0x1.66de980a49d0bp-21, 0x1.65e6a15eb7f0cp-21, 0x1.64e83e6c6f219p-21, 0x1.63e38fcb486ffp-21, 0x1.62d8b5c06ee28p-21, 0x1.61c7d03f30624p-21, 0x1.60b0fee96a909p-21, 0x1.5f94610fe17a7p-21, 0x1.5e7215b17cfb9p-21, 0x1.5d4a3b7c11cfcp-21, 0x1.5c1cf0cd54269p-21, 0x1.5aea53b1d8613p-21, 0x1.59b281e5e1ad1p-21, 0x1.587598d61a059p-21, 0x1.5733b59f77ea9p-21, 0x1.55ecf50f7a8f1p-21, 0x1.54a173a3fbf66p-21, 0x1.53514d8cd8139p-21, 0x1.51fc9eaab9a5dp-21, 0x1.50a38290b980cp-21, 0x1.4f461483d381bp-21, 0x1.4de46f7b634e9p-21, 0x1.4c7eae21aa4e4p-21, 0x1.4b14ead4996b3p-21, 0x1.49a73fa516c3bp-21, 0x1.4835c658130e8p-21, 0x1.46c098673ab18p-21, 0x1.4547cf00c6068p-21, 0x1.43cb8307bd261p-21, 0x1.424bcd143fd89p-21, 0x1.40c8c575c1aaep-21, 0x1.3f42843048cd9p-21, 0x1.3db920ffc3efbp-21, 0x1.3c2cb356b2e79p-21, 0x1.3a9d525f0dbe9p-21, 0x1.390b14fa9d3c6p-21, 0x1.377611c3db07ep-21, 0x1.35de5f0e29ea1p-21, 0x1.344412e5cd466p-21, 0x1.32a743108184dp-21, 0x1.3108050e6b6b1p-21, 0x1.2f666e1a3f4f4p-21, 0x1.2dc29329941a8p-21, 0x1.2c1c88ed76664p-21, 0x1.2a7463d2c705ep-21, 0x1.28ca3802de0cep-21, 0x1.271e1963bb762p-21, 0x1.25701b988c2fep-21, 0x1.23c0520267a6p-21, 0x1.220ecfc0fb503p-21, 0x1.205ba7b14b55bp-21, 0x1.1ea6ec71133ebp-21, 0x1.1cf0b05cd6e33p-21, 0x1.1b390590e9847p-21, 0x1.197ffdeacc0e5p-21, 0x1.17c5ab0882b0bp-21, 0x1.160a1e49c78cep-21, 0x1.144d68d08cc21p-21, 0x1.128f9b80ccb26p-21, 0x1.10d0c70174fa1p-21, 0x1.0f10fbbcc5aa7p-21, 0x1.0d5049e198f32p-21, 0x1.0b8ec1629c23bp-21, 0x1.09cc71f701ae2p-21, 0x1.08096b1b8804ap-21, 0x1.0645bc1333e9ep-21, 0x1.048173e6e2387p-21, 0x1.02bca166787dp-21, 0x1.00f75328a93dep-21, 0x1.fe632f185861ap-22, 0x1.fad6f9700ea7p-22, 0x1.f74a213764dc4p-22, 0x1.f3bcc1e0f2818p-22, 0x1.f02ef6700cdbp-22, 0x1.eca0d97e7f9cfp-22, 0x1.e912853aa8b16p-22, 0x1.e5841368a5d32p-22, 0x1.e1f59d646d5a2p-22, 0x1.de673c2128accp-22, 0x1.dad9082be9624p-22, 0x1.d74b19aad5201p-22, 0x1.d3bd885f60867p-22, 0x1.d0306ba6b5923p-22, 0x1.cca3da7b10b6fp-22, 0x1.c917eb74675afp-22, 0x1.c58cb4c88e93ap-22, 0x1.c2024c4cd3486p-22, 0x1.be78c779324ddp-22, 0x1.baf03b645910fp-22, 0x1.b768bcc8866f1p-22, 0x1.b3e260028f5fap-22, 0x1.b05d391498b3bp-22, 0x1.acd95ba58da89p-22, 0x1.a956db0099b41p-22, 0x1.a5d5ca1a3ba1cp-22, 0x1.a2563b8ca53d7p-22, 0x1.9ed8419cbd5fdp-22, 0x1.9b5bee371c657p-22, 0x1.97e152f31bb54p-22, 0x1.94688114d5304p-22, 0x1.90f1898ab93a1p-22, 0x1.8d7c7cf24b98bp-22, 0x1.8a096b943f54cp-22, 0x1.8698656b13366p-22, 0x1.83297a1f12e63p-22, 0x1.7fbcb909b4d9ep-22, 0x1.7c523135a915ep-22, 0x1.78e9f15fd9209p-22, 0x1.758407f8c3448p-22, 0x1.72208324329f3p-22, 0x1.6ebf70bac20d1p-22, 0x1.6b60de4bd523ep-22, 0x1.6804d91abf8d5p-22, 0x1.64ab6e24f4387p-22, 0x1.6154aa1dc3253p-22, 0x1.5e00997390f07p-22, 0x1.5aaf484b5afa3p-22, 0x1.5760c287abf82p-22, 0x1.541513c500b37p-22, 0x1.50cc475c11419p-22, 0x1.4d866862298fbp-22, 0x1.4a4381aa9c2a6p-22, 0x1.47039dc805faep-22, 0x1.43c6c70a2642bp-22, 0x1.408d07830764ap-22, 0x1.3d56690397bf3p-22, 0x1.3a22f52045ce2p-22, 0x1.36f2b52dbc86dp-22, 0x1.33c5b244f17p-22, 0x1.309bf54297f96p-22, 0x1.2d7586c78167cp-22, 0x1.2a526f398ef2ap-22, 0x1.2732b6c545499p-22, 0x1.2416655de2b7p-22, 0x1.20fd82bd8653ap-22, 0x1.1de8166669281p-22, 0x1.1ad627a484259p-22, 0x1.17c7bd8bd5e2bp-22, 0x1.14bcdefcc7dc4p-22, 0x1.11b5929ffdc72p-22, 0x1.0eb1deed142e3p-22, 0x1.0bb1ca23cfd86p-22, 0x1.08b55a559dfc8p-22, 0x1.05bc955d2510bp-22, 0x1.02c780e6d7076p-22, 0x1.ffac44d6f8dd2p-23, 0x1.f9d0fe6c3ce74p-23, 0x1.f3fd38bdf477ap-23, 0x1.ee30fda3f1e52p-23, 0x1.e86c5696572cp-23, 0x1.e2af4cb2798a8p-23, 0x1.dcf9e8ba5f744p-23, 0x1.d74c3317c4913p-23, 0x1.d1a633dcf719ep-23, 0x1.cc07f2c43fa85p-23, 0x1.c6717732d1d82p-23, 0x1.c0e2c83ad73dep-23, 0x1.bb5bec9a2abd4p-23, 0x1.b5dceabc2203fp-23, 0x1.b065c8bd86e01p-23, 0x1.aaf68c69796dbp-23, 0x1.a58f3b3cb856dp-23, 0x1.a02fda69368dp-23, 0x1.9ad86ed04c7acp-23, 0x1.9588fd0e86832p-23, 0x1.9041896e64a67p-23, 0x1.8b0217fa813ecp-23, 0x1.85caac6d385aap-23, 0x1.809b4a4173ad2p-23, 0x1.7b73f4a621bdcp-23, 0x1.7654ae8b62e5ap-23, 0x1.713d7a991c798p-23, 0x1.6c2e5b390d7d2p-23, 0x1.6727528e1c1d8p-23, 0x1.622862803e04p-23, 0x1.5d318cb47f347p-23, 0x1.5842d292d83cdp-23, 0x1.535c3545f0697p-23, 0x1.4e7db5bb04dd8p-23, 0x1.49a754a4e5318p-23, 0x1.44d9127b44347p-23, 0x1.4012ef7c2266bp-23, 0x1.3b54ebad6b2e8p-23, 0x1.369f06dc75904p-23, 0x1.31f140a131ae5p-23, 0x1.2d4b985ce6e41p-23, 0x1.28ae0d3afeafcp-23, }}, 
      {{0x1.ff036daf4eb1p-1, 0x1.fc118e6588df4p-1, 0x1.f735b530c9c62p-1, 0x1.f0821edd6278cp-1, 0x1.e80f1a53d5417p-1, 0x1.ddfa05e8e52f2p-1, 0x1.d26439bb726c6p-1, 0x1.c571f24a65315p-1, 0x1.b749493dd1ad3p-1, 0x1.a81145b7d3972p-1, 0x1.97f109a6139fbp-1, 0x1.870f1e868e124p-1, 0x1.7590e1d309858p-1, 0x1.639a0fb4e5c8cp-1, 0x1.514c69a097901p-1, 0x1.3ec775e661b85p-1, 0x1.2c2855081805fp-1, 0x1.1989a9a13f433p-1, 0x1.07038fd385a39p-1, 0x1.e95742cb6f418p-2, 0x1.c52a081793ad7p-2, 0x1.a1a0ff3657e1ap-2, 0x1.7ed93474c64d5p-2, 0x1.5ceb71c52e6acp-2, 0x1.3bec85976b63p-2, 0x1.1bed8d2e64206p-2, 0x1.f9f881090c966p-3, 0x1.be467c5b3d39cp-3, 0x1.84d4abeaa7b36p-3, 0x1.4dada27e99cabp-3, 0x1.18d770d3f6617p-3, 0x1.cca852a005dbp-4, 0x1.6c44b7bd6abeep-4, 0x1.107b1305c7705p-4, 0x1.727a3d6a0729fp-5, 0x1.99e0484fd86c3p-6, 0x1.8155551d5fda2p-8, -0x1.9026d9697993p-7, -0x1.dfcb6da9af73ep-6, -0x1.73a63716d9eeap-5, -0x1.ef8b53bf4686bp-5, -0x1.31ebca401af2p-4, -0x1.686799d3f2404p-4, -0x1.9b5bbe420e7eap-4, -0x1.caeb1f5af792cp-4, -0x1.f738aa4c0f918p-4, -0x1.10338ebb3c63cp-3, -0x1.234c6e079f54ap-3, -0x1.34f7e45d7124ep-3, -0x1.454693321d96cp-3, -0x1.5448bf4e2a9d5p-3, -0x1.620e466fac2bfp-3, -0x1.6ea69714241ecp-3, -0x1.7a20aa257890fp-3, -0x1.848afe4c3319p-3, -0x1.8df394af4cc57p-3, -0x1.9667eeef7fbe6p-3, -0x1.9df50e318fc57p-3, -0x1.a4a7730fb98bfp-3, -0x1.aa8b1e4f25fc8p-3, -0x1.afab923a35a76p-3, -0x1.b413d48456f1bp-3, -0x1.b7ce709f49edcp-3, -0x1.bae57a6ce50b9p-3, -0x1.bd62913af4513p-3, -0x1.bf4ee2f955f47p-3, -0x1.c0b32f9c844d4p-3, -0x1.c197cca09b9bdp-3, -0x1.c204a8a2ab97fp-3, -0x1.c2014f077d8c7p-3, -0x1.c194eba855d97p-3, -0x1.c0c64e7f52f2bp-3, -0x1.bf9bef4dff955p-3, -0x1.be1bf139970bap-3, -0x1.bc4c2659368f2p-3, -0x1.ba321332d44e9p-3, -0x1.b7d2f22479f9cp-3, -0x1.b533b6b7adc8bp-3, -0x1.b25910dd69efdp-3, -0x1.af47701164f6fp-3, -0x1.ac030663b58a6p-3, -0x1.a88fcb6834525p-3, -0x1.a4f17f0b2a58bp-3, -0x1.a12bac4b18f92p-3, -0x1.9d41abd7936fbp-3, -0x1.9936a69550bbbp-3, -0x1.950d9807a8d95p-3, -0x1.90c9509fe9849p-3, -0x1.8c6c77f2eb313p-3, -0x1.87f98ed576799p-3, -0x1.8372f1600b26dp-3, -0x1.7edad8dabb61ep-3, -0x1.7a335d91bb247p-3, -0x1.757e789369d33p-3, -0x1.70be055896a35p-3, -0x1.6bf3c357b0993p-3, -0x1.67215783c42efp-3, -0x1.62484db7f932cp-3, -0x1.5d6a1a105eb0cp-3, -0x1.58881a30d5607p-3, -0x1.53a3967acc05dp-3, -0x1.4ebdc332a0e29p-3, -0x1.49d7c19560ed7p-3, -0x1.44f2a0df9ae57p-3, -0x1.400f5f460520cp-3, -0x1.3b2eeae0a520ep-3, -0x1.3652228922b1dp-3, -0x1.3179d6acf1376p-3, -0x1.2ca6ca13ee5f4p-3, -0x1.27d9b29c148bfp-3, -0x1.231339eace964p-3, -0x1.1e53fe148977ep-3, -0x1.199c923afe22ep-3, -0x1.14ed7f22c82d1p-3, -0x1.104743c0b1fcep-3, -0x1.0baa55bf42518p-3, -0x1.071721fcef6ecp-3, -0x1.028e0d0367a15p-3, -0x1.fc1ee6f0b4d6dp-4, -0x1.f337551039e84p-4, -0x1.ea6600950deb3p-4, -0x1.e1ab7844c203ep-4, -0x1.d9083e2f76664p-4, -0x1.d07cc85ad3b26p-4, -0x1.c80981640740fp-4, -0x1.bfaec9193a026p-4, -0x1.b76cf50af285fp-4, -0x1.af4451160b0c9p-4, -0x1.a7351fe675b45p-4, -0x1.9f3f9b735d3cap-4, -0x1.9763f5750216p-4, -0x1.8fa257d4a2bb3p-4, -0x1.87fae516d90d3p-4, -0x1.806db8c0b2e57p-4, -0x1.78fae7b7d7a9ap-4, -0x1.71a2809e024fbp-4, -0x1.6a648c2813b87p-4, -0x1.63410d70fa13ap-4, -0x1.5c380248aade6p-4, -0x1.5549637f64178p-4, -0x1.4e75252d69c94p-4, -0x1.47bb36f76e877p-4, -0x1.411b844fd5272p-4, -0x1.3a95f4b4f3706p-4, -0x1.342a6bec7f7dap-4, -0x1.2dd8ca3c4ac9p-4, -0x1.27a0eca06dbep-4, -0x1.2182acff042d7p-4, -0x1.1b7de2599805p-4, -0x1.159260fc57512p-4, -0x1.0fbffaab301a2p-4, -0x1.0a067ecce9275p-4, -0x1.0465ba945293ep-4, -0x1.fdbaf24f41006p-5, -0x1.f2db078c0c152p-5, -0x1.e82b43d74c0cp-5, -0x1.ddab32e7cea8ap-5, -0x1.d35a5d748893cp-5, -0x1.c93849733cdaep-5, -0x1.bf447a545bf4bp-5, -0x1.b57e713c296a4p-5, -0x1.abe5ad394f33fp-5, -0x1.a279ab78f331bp-5, -0x1.9939e778686dbp-5, -0x1.9025db3499b88p-5, -0x1.873cff573cbe7p-5, -0x1.7e7ecb61eb7f3p-5, -0x1.75eab5d730d22p-5, -0x1.6d803461a585p-5, -0x1.653ebbf92849cp-5, -0x1.5d25c1064b2fdp-5, -0x1.5534b78400debp-5, -0x1.4d6b131fa0147p-5, -0x1.45c847574b7cap-5, -0x1.3e4bc796cdb3fp-5, -0x1.36f50752f9a81p-5, -0x1.2fc37a239dc15p-5, -0x1.28b693dc1462fp-5, -0x1.21cdc8a2873a1p-5, -0x1.1b088d05e938ap-5, -0x1.14665612bbff6p-5, -0x1.0de69966a658p-5, -0x1.0788cd42ebee8p-5, -0x1.014c689dd07dfp-5, -0x1.f661c665e1fd8p-6, -0x1.ea6b6b2537452p-6, -0x1.deb4b2606f013p-6, -0x1.d33c90df7ab71p-6, -0x1.c801fd649fda4p-6, -0x1.bd03f0c3fa6fdp-6, -0x1.b24165f961396p-6, -0x1.a7b95a3cbb963p-6, -0x1.9d6acd14dccebp-6, -0x1.9354c068f175ap-6, -0x1.8976389096caep-6, -0x1.7fce3c629ab7ep-6, -0x1.765bd54287958p-6, -0x1.6d1e0f2cfa52p-6, -0x1.6413f8c2d6ac2p-6, -0x1.5b3ca353662cfp-6, -0x1.529722e56dd82p-6, -0x1.4a228e3f47efep-6, -0x1.41ddfeee0af3ep-6, -0x1.39c8914bcf71bp-6, -0x1.31e1648513f33p-6, -0x1.2a279a9d56f79p-6, -0x1.229a5872ea7bcp-6, -0x1.1b38c5c20497p-6, -0x1.14020d27289d1p-6, -0x1.0cf55c20db67ap-6, -0x1.0611e310bd83fp-6, -0x1.feadaa781250fp-7, -0x1.f186d19706dc5p-7, -0x1.e4adad95bd6p-7, -0x1.d820b64f438bp-7, -0x1.cbde695f1e569p-7, -0x1.bfe54a1d3890ap-7, -0x1.b433e198f8aa7p-7, -0x1.a8c8be937dcbp-7, -0x1.9da275792cf51p-7, -0x1.92bfa05a77bccp-7, -0x1.881edee3ffbbfp-7, -0x1.7dbed6561f367p-7, -0x1.739e317bce7d8p-7, -0x1.69bba0a10c112p-7, -0x1.6015d988b2639p-7, -0x1.56ab9761e2a6fp-7, -0x1.4d7b9abcf259ap-7, -0x1.4484a97ff6b9ap-7, -0x1.3bc58edae8ebfp-7, -0x1.333d1b3b734d5p-7, -0x1.2aea24406c267p-7, -0x1.22cb84ad01b3fp-7, -0x1.1ae01c5ba03c6p-7, -0x1.1326d0309a5d1p-7, -0x1.0b9e8a0c938e9p-7, -0x1.044638beba637p-7, -0x1.fa399feda0c89p-8, -0x1.ec42906e11ef9p-8, -0x1.dea53d8b88ce7p-8, -0x1.d15fab3e4a0e7p-8, -0x1.c46fe6cd1c483p-8, -0x1.b7d406b00e207p-8, -0x1.ab8a2a7315459p-8, -0x1.9f907a98876c9p-8, -0x1.93e5287b83d38p-8, -0x1.88866e323caccp-8, -0x1.7d728e7038a93p-8, -0x1.72a7d46891696p-8, -0x1.682493b02664cp-8, -0x1.5de7281fdcc3p-8, -0x1.53edf5b6de159p-8, -0x1.4a37687cf1ce9p-8, -0x1.40c1f464daf06p-8, -0x1.378c152ed5d43p-8, -0x1.2e944e4b295bcp-8, -0x1.25d92abcdd03dp-8, -0x1.1d593cfc86e27p-8, -0x1.15131edb4c081p-8, -0x1.0d057165fa7dep-8, -0x1.052edcc85cf7cp-8, -0x1.fb1c20615828ep-9, -0x1.ec4383667c34ep-9, -0x1.ddd15c5cc38b7p-9, -0x1.cfc3325ce742cp-9, -0x1.c21699a441f56p-9, -0x1.b4c9335de1d4cp-9, -0x1.a7d8ad6bfcb05p-9, -0x1.9b42c231e185ap-9, -0x1.8f05385e6d3bep-9, -0x1.831de2b6f6b76p-9, -0x1.778a9fe2c2091p-9, -0x1.6c495a36f3681p-9, -0x1.615807830c173p-9, -0x1.56b4a8ddf136fp-9, -0x1.4c5d4a7370b18p-9, -0x1.4250035267b74p-9, -0x1.388af53b5f73bp-9, -0x1.2f0c4c6fcb53fp-9, -0x1.25d23f81c836bp-9, -0x1.1cdb0f2474bc2p-9, -0x1.142505fcdbf3cp-9, -0x1.0bae78736d57p-9, -0x1.0375c4860961ep-9, -0x1.f6f2a3354a171p-10, -0x1.e76f20a4f3f49p-10, -0x1.d85df4bba0d08p-10, -0x1.c9bc24a0b7eaap-10, -0x1.bb86c6ec5a2f9p-10, -0x1.adbb035267959p-10, -0x1.a056124eadb5ep-10, -0x1.93553cd24784cp-10, -0x1.86b5dbf20d811p-10, -0x1.7a7558965568ap-10, -0x1.6e912b2ba09d7p-10, -0x1.6306db5496aecp-10, -0x1.57d3ff9d213d8p-10, -0x1.4cf63d2e8774ap-10, -0x1.426b4784d7e69p-10, -0x1.3830e0254fbddp-10, -0x1.2e44d655ec4b1p-10, -0x1.24a506d6184cfp-10, -0x1.1b4f5b986e30ep-10, -0x1.1241cb7d996eap-10, -0x1.097a5a10473acp-10, -0x1.00f7174227eb8p-10, -0x1.f16c3e542b8b1p-11, -0x1.e16b33865ffcep-11, -0x1.d1e7755a2ee18p-11, -0x1.c2dd81da5d36cp-11, -0x1.b449ed61cbdccp-11, -0x1.a62962221652fp-11, -0x1.98789fac35cbep-11, -0x1.8b347a7b3fc8ap-11, -0x1.7e59db8104905p-11, -0x1.71e5bfb4bc1fdp-11, -0x1.65d537a391621p-11, -0x1.5a2567033de7ap-11, -0x1.4ed384467ae47p-11, -0x1.43dcd833444d2p-11, -0x1.393ebd7b2251cp-11, -0x1.2ef6a0552dc6p-11, -0x1.2501fe1a05828p-11, -0x1.1b5e64e166d58p-11, -0x1.12097321c09b5p-11, -0x1.0900d7516b6c5p-11, -0x1.00424f89a4d5p-11, -0x1.ef975256a1ee3p-12, -0x1.df35810ab825fp-12, -0x1.cf5b00f9b3d9dp-12, -0x1.c003c46d8f282p-12, -0x1.b12bd986cee2p-12, -0x1.a2cf6996ac02cp-12, -0x1.94eab87c11c8dp-12, -0x1.877a240426d48p-12, -0x1.7a7a234d9e4bfp-12, -0x1.6de7462f3a666p-12, -0x1.61be34a16231fp-12, -0x1.55fbae2a85392p-12, -0x1.4a9c894e97575p-12, -0x1.3f9db301421b1p-12, -0x1.34fc2e1b21bb2p-12, -0x1.2ab512d1b4e5bp-12, -0x1.20c58e31ec7f7p-12, -0x1.172ae19dbbb32p-12, -0x1.0de2624c245cep-12, -0x1.04e978cbe20b6p-12, -0x1.f87b4111a1badp-13, -0x1.e7b8cea761823p-13, -0x1.d786d9d953072p-13, -0x1.c7e0c52017785p-13, -0x1.b8c2150b5fb4bp-13, -0x1.aa266f6529864p-13, -0x1.9c099a59ca581p-13, -0x1.8e677ba4d96bcp-13, -0x1.813c17c2511fp-13, -0x1.748391244a555p-13, -0x1.683a276d1a2d8p-13, -0x1.5c5c36adf43e1p-13, -0x1.50e636a98306bp-13, -0x1.45d4ba1aca5ccp-13, -0x1.3b246e0059392p-13, -0x1.30d218eb140f3p-13, -0x1.26da9a516fd9ap-13, -0x1.1d3ae9e646963p-13, -0x1.13f016f392a87p-13, -0x1.0af747b8fa9ccp-13, -0x1.024db8cde53f3p-13, -0x1.f3e1790e9bb86p-14, -0x1.e3bb74c26b177p-14, -0x1.d4245cd6c6541p-14, -0x1.c51751734e42ep-14, -0x1.b68f99aeea2d3p-14, -0x1.a888a27de25f6p-14, -0x1.9afdfda5ac711p-14, -0x1.8deb60b82102p-14, -0x1.814ca413cacap-14, -0x1.751dc1eb218e4p-14, -0x1.695ad551a09b1p-14, -0x1.5e00194e2bb54p-14, -0x1.5309e7f3dec71p-14, -0x1.4874b9801ce25p-14, -0x1.3e3d237e41223p-14, -0x1.345fd7f0d9769p-14, -0x1.2ad9a47fd859fp-14, -0x1.21a771ac55204p-14, -0x1.18c64209095c9p-14, -0x1.1033317846891p-14, -0x1.07eb746e1e6c2p-14, -0x1.ffd8ae7010827p-15, -0x1.f0667a914bc3fp-15, -0x1.e17b4110ce59p-15, -0x1.d31221553a701p-15, -0x1.c526650dd876dp-15, -0x1.b7b37eede5108p-15, -0x1.aab509707133cp-15, -0x1.9e26c5a4b3a66p-15, -0x1.92049a01d8492p-15, -0x1.864a914347f6bp-15, -0x1.7af4d94c09acfp-15, -0x1.6fffc2124b38dp-15, -0x1.6567bc91982b8p-15, -0x1.5b2959c4cf79dp-15, -0x1.514149a70953dp-15, -0x1.47ac5a3afccbcp-15, -0x1.3e6776998efe5p-15, -0x1.356fa6068d033p-15, -0x1.2cc20b0c619d6p-15, -0x1.245be29d8717bp-15, -0x1.1c3a833c0cdaap-15, -0x1.145b5c27b5ad9p-15, -0x1.0cbbf49143d45p-15, -0x1.0559ead3e410ep-15, -0x1.fc65e767c5ef7p-16, -0x1.ee89b3463e522p-16, -0x1.e11af81505b2dp-16, -0x1.d4159d316c096p-16, -0x1.c775b12c6a83p-16, -0x1.bb37687b852dbp-16, -0x1.af571c343226dp-16, -0x1.a3d148d0a8f4p-16, -0x1.98a28cfd3c169p-16, -0x1.8dc7a86f0a35ap-16, -0x1.833d7ac384741p-16, -0x1.7901026834c76p-16, -0x1.6f0f5b8ab306ap-16, -0x1.6565bf1149aacp-16, -0x1.5c01819aa6e23p-16, -0x1.52e01285dd806p-16, -0x1.49fefb0196478p-16, -0x1.415bdd22b99a3p-16, -0x1.38f47301d584bp-16, -0x1.30c68ddff7228p-16, -0x1.28d01551d0aa9p-16, -0x1.210f0671b1701p-16, -0x1.1981731796a7dp-16, -0x1.12258117e5c79p-16, -0x1.0af96987f79b9p-16, -0x1.03fb780835611p-16, -0x1.fa54142986c1bp-17, -0x1.ed071cb59b36ap-17, -0x1.e00d08282e088p-17, -0x1.d362f4cea9359p-17, -0x1.c7061f9b8de11p-17, -0x1.baf3e2fbd94e3p-17, -0x1.af29b5b5dc1c1p-17, -0x1.a3a529d1e16edp-17, -0x1.9863eb8be65a1p-17, -0x1.8d63c04e0df6ap-17, -0x1.82a285b3d9573p-17, -0x1.781e3096573edp-17, -0x1.6dd4cc1f8cd67p-17, -0x1.63c478e6c92bdp-17, -0x1.59eb6c1458987p-17, -0x1.5047ee8c6fb7ap-17, -0x1.46d85c21f6acep-17, -0x1.3d9b22d010c13p-17, -0x1.348ec1fa94825p-17, -0x1.2bb1c9b561cc9p-17, -0x1.2302da11e5354p-17, -0x1.1a80a2733c8e7p-17, -0x1.1229e0e8549fbp-17, -0x1.09fd618bc31dcp-17, -0x1.01f9fde9a55e9p-17, -0x1.f43d38d6a4feep-18, -0x1.e4d45f8efa0fep-18, -0x1.d5b76cf1968dbp-18, -0x1.c6e474716469fp-18, -0x1.b8599eff0f6ccp-18, -0x1.aa152a129916ep-18, -0x1.9c1566be4eeap-18, -0x1.8e58b8ca856dep-18, -0x1.80dd95da68f0ep-18, -0x1.73a2849861356p-18, -0x1.66a61beb8438ep-18, -0x1.59e70234b05fap-18, -0x1.4d63ec92a6d72p-18, -0x1.411b9e2e4b079p-18, -0x1.350ce78dce106p-18, -0x1.2936a5ee75e36p-18, -0x1.1d97c2a57ac9fp-18, -0x1.122f328717e8bp-18, -0x1.06fbf553fadbep-18, -0x1.f7fa2a596b39dp-19, -0x1.e2634c15aceap-19, -0x1.cd318a803d83cp-19, -0x1.b86331f57136bp-19, -0x1.a3f69f9d32efp-19, -0x1.8fea40893728p-19, -0x1.7c3c90db778acp-19, -0x1.68ec1af78a3ecp-19, -0x1.55f776bb6c29p-19, -0x1.435d48c33d582p-19, -0x1.311c41b364515p-19, -0x1.1f331d8c40708p-19, -0x1.0da0a305a5af7p-19, -0x1.f8c745e21edc9p-20, -0x1.d6f5ef47cdffdp-20, -0x1.b5cb08d1bd354p-20, -0x1.954469f01a2eep-20, -0x1.755ff9ea714e5p-20, -0x1.561baee953af4p-20, -0x1.37758d0ce4508p-20, -0x1.196ba58d9ae9bp-20, -0x1.f7f82bd2a911cp-21, -0x1.be4a0e35d2d28p-21, -0x1.85c959b85bb07p-21, -0x1.4e7289e33151cp-21, -0x1.18422d0013c3cp-21, -0x1.c669c5ab87516p-22, -0x1.5e8eb6f11e933p-22, -0x1.f1d958a542785p-23, -0x1.2afa811894e7ap-23, -0x1.a1d1448e1b1cfp-25, 0x1.5716728fd7d6ep-25, 0x1.0fbf808573968p-23, 0x1.c58569003f2e1p-23, 0x1.3b919ef0cf68cp-22, 0x1.925261a3f8e5dp-22, 0x1.e70ace22b7bb7p-22, 0x1.1ce053623f532p-21, 0x1.453ccfee60adep-21, 0x1.6c9db06aeffeap-21, 0x1.9305c2a07c69bp-21, 0x1.b877cee2a9f59p-21, 0x1.dcf698857cb0ap-21, 0x1.00426f2266579p-20, 0x1.1192ad5337ca7p-20, 0x1.226d6228fcdbfp-20, 0x1.32d3e732ece78p-20, 0x1.42c7945f054abp-20, 0x1.5249c01dac58fp-20, 0x1.615bbf7f9c374p-20, 0x1.6ffee651b6c34p-20, 0x1.7e3487365ac1bp-20, 0x1.8bfdf3bae19ccp-20, 0x1.995c7c6ba1d1cp-20, 0x1.a65170e51fa52p-20, 0x1.b2de1fe1fe93fp-20, 0x1.bf03d749155c8p-20, 0x1.cac3e4364e66fp-20, 0x1.d61f9304e7d17p-20, 0x1.e1182f54f44f6p-20, 0x1.ebaf041177adp-20, 0x1.f5e55b7357aadp-20, 0x1.ffbc7f0335d76p-20, 0x1.049adbcd91aebp-19, 0x1.092926b26f1c6p-19, 0x1.0d89c3ebfdfccp-19, 0x1.11bd56dbd6617p-19, 0x1.15c48286ff363p-19, 0x1.199fe99377073p-19, 0x1.1d502e457df1ep-19, 0x1.20d5f27ba5fe3p-19, 0x1.2431d7abd9093p-19, 0x1.27647ede94677p-19, 0x1.2a6e88aae47cdp-19, 0x1.2d5095318f137p-19, 0x1.300b44181e914p-19, 0x1.329f3483e112cp-19, 0x1.350d05145d2bep-19, 0x1.375553ddd357bp-19, 0x1.3978be6399ef6p-19, 0x1.3b77e1922b4f6p-19, 0x1.3d5359b97eec5p-19, 0x1.3f0bc286757bfp-19, 0x1.40a1b6fd6c433p-19, 0x1.4215d1738cff9p-19, 0x1.4368ab88e8baap-19, 0x1.449ade22198ecp-19, 0x1.45ad01623647bp-19, 0x1.469faca443baep-19, 0x1.47737675955bbp-19, 0x1.4828f48f119cfp-19, 0x1.48c0bbcf73641p-19, 0x1.493b60351427cp-19, 0x1.499974d80193ap-19, 0x1.49db8be40c406p-19, 0x1.4a023692f3d22p-19, 0x1.4a0e0526afea4p-19, 0x1.49ff86e3b199dp-19, 0x1.49d74a0ba3133p-19, 0x1.4995dbd7a3597p-19, 0x1.493bc87356a5dp-19, 0x1.48c99af77640ep-19, 0x1.483fdd64d71bap-19, 0x1.479f189fb3dacp-19, 0x1.46e7d46a8fb24p-19, 0x1.461a97621e63ep-19, 0x1.4537e6f8256p-19, 0x1.4440476fc9ccfp-19, 0x1.43343bd8e585dp-19, 0x1.4214460c7a06bp-19, 0x1.40e0e6a84d7a7p-19, 0x1.3f9a9d0bc2881p-19, 0x1.3e41e753eddb8p-19, 0x1.3cd7425855297p-19, 0x1.3b5b29a7c3872p-19, 0x1.39ce17852b045p-19, 0x1.383084e4a7b4bp-19, 0x1.3682e968f6044p-19, 0x1.34c5bb60c1d82p-19, 0x1.32f96fc433f1dp-19, 0x1.311e7a32c47f4p-19, 0x1.2f354cf11528fp-19, 0x1.2d3e58e6fb8d3p-19, 0x1.2b3a0d9de077ap-19, 0x1.2928d93ec52bcp-19, 0x1.270b289137577p-19, 0x1.24e166f9b85c9p-19, 0x1.22abfe78a4011p-19, 0x1.206b57a92a24fp-19, 0x1.1e1fd9c0601a7p-19, 0x1.1bc9ea8cae3a5p-19, 0x1.1969ee74ff362p-19, 0x1.17004878711e9p-19, 0x1.148d5a2e0f0f7p-19, 0x1.121183c46fc3ap-19, 0x1.0f8d2401f591ep-19, 0x1.0d0098449c45ep-19, 0x1.0a6c3c825152dp-19, 0x1.07d06b49553fdp-19, 0x1.052d7dc093da7p-19, 0x1.0283cba85656fp-19, 0x1.ffa756b5aeee9p-20, 0x1.fa3ae39a7ee8ap-20, 0x1.f4c2e520a6796p-20, 0x1.ef3fffa395bf6p-20, 0x1.e9b2d4ba2fb52p-20, 0x1.e41c033a1997p-20, 0x1.de7c2739824a8p-20, 0x1.d8d3da130fb77p-20, 0x1.d323b267f246ep-20, 0x1.cd6c4423a2f74p-20, 0x1.c7ae207fb757ep-20, 0x1.c1e9d60673daap-20, 0x1.bc1ff097a5861p-20, 0x1.b650f96bdc9a9p-20, 0x1.b07d7718ea08cp-20, 0x1.aaa5ed95e064p-20, 0x1.a4cade3fdc499p-20, 0x1.9eecc7ddd04ap-20, 0x1.990c26a62bd44p-20, 0x1.93297442cd2abp-20, 0x1.8d4527d659e83p-20, 0x1.875fb6016718p-20, 0x1.817990e733c76p-20, 0x1.7b9328336b9bcp-20, 0x1.75ace91f3feddp-20, 0x1.6fc73e76dd215p-20, 0x1.69e2909f187ap-20, 0x1.63ff459b3063ep-20, 0x1.5e1dc11231a66p-20, 0x1.583e6455265a3p-20, 0x1.52618e6516c1bp-20, 0x1.4c879bf8858aep-20, 0x1.46b0e781b94ap-20, 0x1.40ddc93546844p-20, 0x1.3b0e970f6ba9cp-20, 0x1.3543a4dadbb0bp-20, 0x1.2f7d443717b3cp-20, 0x1.29bbc49e12675p-20, 0x1.23ff736b92e42p-20, 0x1.1e489be290a12p-20, 0x1.18978734907a7p-20, 0x1.12ec7c873eed5p-20, 0x1.0d47c0fbc9a98p-20, 0x1.07a997b4d7febp-20, 0x1.021241dd178e7p-20, 0x1.f903fd5c464cp-21, 0x1.edf216edd0b54p-21, 0x1.e2ef4744896f4p-21, 0x1.d7fc017ae2b2cp-21, 0x1.cd18b4fdd52bfp-21, 0x1.c245cd9a1e426p-21, 0x1.b783b388a08ebp-21, 0x1.acd2cb7c86df9p-21, 0x1.a23376b0452c1p-21, 0x1.97a612f23e70bp-21, 0x1.8d2afab3014d5p-21, 0x1.82c2851115988p-21, 0x1.786d05e741fb6p-21, 0x1.6e2acdd977ad1p-21, 0x1.63fc2a608a942p-21, 0x1.59e165d9a8a42p-21, 0x1.4fdac790a65d6p-21, 0x1.45e893cf001aep-21, 0x1.3c0b0be78faafp-21, 0x1.32426e436daa2p-21, 0x1.288ef66f388e5p-21, 0x1.1ef0dd274cfdp-21, 0x1.1568586450734p-21, 0x1.0bf59b67f8cd5p-21, 0x1.0298d6c97193dp-21, 0x1.f2a4710324074p-22, 0x1.e043d7ee59d2ep-22, 0x1.ce10341790807p-22, 0x1.bc09d24d1a5afp-22, 0x1.aa30fa832a164p-22, 0x1.9885efea738cp-22, 0x1.8708f1079d61cp-22, 0x1.75ba37cb31f7p-22, 0x1.6499f9a99aef2p-22, 0x1.53a867afe9b19p-22, 0x1.42e5ae9e102f6p-22, 0x1.3251f6fa9b9adp-22, 0x1.21ed652aa0b94p-22, 0x1.11b81987c8213p-22, 0x1.01b2307664278p-22, 0x1.e3b784f5f0996p-23, 0x1.c469c8a024944p-23, 0x1.a57b4df71c556p-23, 0x1.86ec2fc88c99cp-23, 0x1.68bc81cbe24eap-23, 0x1.4aec50ccb2c74p-23, 0x1.2d7ba2d517a8p-23, 0x1.106a77546741dp-23, 0x1.e7718e8d1cadcp-24, 0x1.aecd0abd99bbep-24, 0x1.76e73c55e316dp-24, 0x1.3fbff078f78bep-24, 0x1.0956e89aad339p-24, 0x1.a757b59ecc9f3p-25, 0x1.3d7ce41bc2e13p-25, 0x1.aa393a0726f87p-26, 0x1.b8d82e7a2c2e7p-27, 0x1.1908d69feb8b9p-30, -0x1.6cb6bb8adbd05p-27, -0x1.7b59cb6e809d2p-26, -0x1.1eb681366e0b5p-25, -0x1.7e4bb72392278p-25, -0x1.dc6dcf11bd188p-25, -0x1.1c8f10f368e45p-24, -0x1.4a2f0ca8a1e92p-24, -0x1.771797a6d394cp-24, -0x1.a34976d4462c5p-24, -0x1.cec576c1e73ecp-24, -0x1.f98c6b6c45c85p-24, -0x1.11cf98008fd64p-23, -0x1.267f535314351p-23, -0x1.3ad5dc1dfabbp-23, -0x1.4ed3aa13547cep-23, -0x1.627938098d1bep-23, -0x1.75c703e1f5893p-23, -0x1.88bd8e6c1cad2p-23, -0x1.9b5d5b4b0e20ap-23, -0x1.ada6f0db5ae3fp-23, -0x1.bf9ad819929d1p-23, -0x1.d1399c8850eadp-23, -0x1.e283cc170b7ep-23, -0x1.f379f70af54ep-23, -0x1.020e57f2cb994p-22, -0x1.0a3645a676dbcp-22, -0x1.12350ffabcf62p-22, -0x1.1a0b034583148p-22, -0x1.21b86ccd0a44bp-22, -0x1.293d9abcafecep-22, -0x1.309adc1a82db7p-22, -0x1.37d080bcbe0d8p-22, -0x1.3eded93f616f4p-22, -0x1.45c636f9e1351p-22, -0x1.4c86ebf5487fcp-22, -0x1.53214ae293cd9p-22, -0x1.5995a710bc194p-22, -0x1.5fe45464087bp-22, -0x1.660da74c53d9p-22, -0x1.6c11f4bc4eda2p-22, -0x1.71f1922066ff7p-22, -0x1.77acd556aa759p-22, -0x1.7d4414a5eaabdp-22, -0x1.82b7a6b5651e2p-22, -0x1.8807e28535a71p-22, -0x1.8d351f665ce7bp-22, -0x1.923fb4f2b3c7ap-22, -0x1.9727fb05472dbp-22, -0x1.9bee49b36e093p-22, -0x1.a092f9452dcdbp-22, -0x1.a516622e9c1dfp-22, -0x1.a978dd089899p-22, -0x1.adbac28a4593ap-22, -0x1.b1dc6b8272fc3p-22, -0x1.b5de30d14a44fp-22, -0x1.b9c06b6200c2dp-22, -0x1.bd83742498587p-22, -0x1.c127a4082e2bp-22, -0x1.c4ad53f53334ap-22, -0x1.c814dcc77a691p-22, -0x1.cb5e9749063dp-22, -0x1.ce8adc2c99c3ap-22, -0x1.d19a04089be2bp-22, -0x1.d48c6751a35dap-22, -0x1.d7625e55db9ffp-22, -0x1.da1c41383af44p-22, -0x1.dcba67ebcd058p-22, -0x1.df3d2a2efdd66p-22, -0x1.e1a4df8746072p-22, -0x1.e3f1df3cd5b99p-22, -0x1.e6248056a29b3p-22, -0x1.e83d199615174p-22, -0x1.ea3c01734af41p-22, -0x1.ec218e193b804p-22, -0x1.edee1561f3bafp-22, -0x1.efa1ecd31da8p-22, -0x1.f13d699a992a1p-22, -0x1.f2c0e08ad09c1p-22, -0x1.f42ca617d606bp-22, -0x1.f5810e543016ep-22, -0x1.f6be6ced79e36p-22, -0x1.f7e51529d3245p-22, -0x1.f8f559e50b3e6p-22, -0x1.f9ef8d8db8792p-22, -0x1.fad40222c0a84p-22, -0x1.fba309308f478p-22, -0x1.fc5cf3ceb182cp-22, -0x1.fd02129dd1b37p-22, -0x1.fd92b5c54a2ecp-22, -0x1.fe0f2cf09dcafp-22, -0x1.fe77c74dbfea7p-22, -0x1.feccd38b175aep-22, -0x1.ff0e9fd56ec16p-22, -0x1.ff3d79d6114c6p-22, -0x1.ff59aeb130b91p-22, -0x1.ff638b0435362p-22, -0x1.ff5b5ae400d28p-22, -0x1.ff4169db7f043p-22, -0x1.ff1602ea4eee9p-22, -0x1.fed97083278f5p-22, -0x1.fe8bfc8a95d91p-22, -0x1.fe2df055cdb71p-22, -0x1.fdbf94a9946ccp-22, -0x1.fd4131b92ccf3p-22, -0x1.fcb30f24e47cdp-22, -0x1.fc1573f979601p-22, -0x1.fb68a6af100d4p-22, -0x1.faaced28af674p-22, -0x1.f9e28cb2dac21p-22, -0x1.f909ca03275abp-22, -0x1.f822e937a8c4ap-22, -0x1.f72e2dd6189fdp-22, -0x1.f62bdacb643a1p-22, -0x1.f51c326b1637dp-22, -0x1.f3ff766eeaaa3p-22, -0x1.f2d5e7f676f9dp-22, -0x1.f19fc786b1ff5p-22, -0x1.f05d550984df3p-22, -0x1.ef0ecfcdcc6bep-22, -0x1.edb47686d9dd7p-22, -0x1.ec4e874c94f2p-22, -0x1.eadd3f9b2f5ffp-22, -0x1.e960dc52b6279p-22, -0x1.e7d999b77df31p-22, -0x1.e647b37217193p-22, -0x1.e4ab648f2bf28p-22, -0x1.e304e77f61f3ep-22, -0x1.e1547617b66p-22, -0x1.df9a4991aa8d4p-22, -0x1.ddd69a8b56583p-22, -0x1.dc09a10788e16p-22, -0x1.da33946e2d8ccp-22, -0x1.d854ab8c78bdp-22, -0x1.d66d1c9529506p-22, -0x1.d47d1d21085eap-22, -0x1.d284e22f1c69dp-22, -0x1.d084a0254d156p-22, -0x1.ce7c8ad0477a7p-22, -0x1.cc6cd56486dddp-22, -0x1.ca55b27e5c10fp-22, -0x1.c8375422d3917p-22, -0x1.c611ebc0012adp-22, -0x1.c3e5aa2d55bd5p-22, -0x1.c1b2bfacad7cfp-22, -0x1.bf795beab22bap-22, -0x1.bd39adff3b7bfp-22, -0x1.baf3e46e11addp-22, -0x1.b8a82d27c0c5ep-22, -0x1.b656b58a4841cp-22, -0x1.b3ffaa616ae07p-22, -0x1.b1a337e7bc6afp-22, -0x1.af4189c76963cp-22, -0x1.acdacb1abd3a2p-22, -0x1.aa6f266ce7ab9p-22, -0x1.a7fec5baf3072p-22, -0x1.a589d27442fffp-22, -0x1.a310757ba5bp-22, -0x1.a092d727f39fp-22, -0x1.9e111f455a6a6p-22, -0x1.9b8b751579d36p-22, -0x1.9901ff50be155p-22, -0x1.9674e4274f3e4p-22, -0x1.93e4494180c97p-22, -0x1.915053c0e38e6p-22, -0x1.8eb928417abc7p-22, -0x1.8c1eeada616a2p-22, -0x1.8981bf1ecc604p-22, -0x1.86e1c81ec1a54p-22, -0x1.843f286831cd8p-22, -0x1.819a020802ff6p-22, -0x1.7ef2768ac2f66p-22, -0x1.7c48a6fdae569p-22, -0x1.799cb3f00eb3bp-22, -0x1.76eebd73a8c94p-22, -0x1.743ee31dfb9b6p-22, -0x1.718d4408f7168p-22, -0x1.6ed9fed4497bdp-22, -0x1.6c2531a631ac8p-22, -0x1.696efa2cb6e97p-22, -0x1.66b7759e62377p-22, -0x1.63fec0bb53fe6p-22, -0x1.6144f7ce53344p-22, -0x1.5e8a36ad9e46p-22, -0x1.5bce98bc1cd88p-22, -0x1.591238ea798fp-22, -0x1.565531b817626p-22, -0x1.53979d33cb7b3p-22, -0x1.50d994fd0c2e3p-22, -0x1.4e1b32453708ap-22, -0x1.4b5c8dd026b1p-22, -0x1.489dbff5b7356p-22, -0x1.45dee0a26088ap-22, -0x1.43200758701b4p-22, -0x1.40614b30b88f6p-22, -0x1.3da2c2dc09937p-22, -0x1.3ae484a4022cdp-22, -0x1.3826a66c39b62p-22, -0x1.35693db2fcf36p-22, -0x1.32ac5f9245b7fp-22, -0x1.2ff020c1178adp-22, -0x1.2d34959452685p-22, -0x1.2a79d1ffc08ap-22, -0x1.27bfe9972b1adp-22, -0x1.2506ef8f0812ep-22, -0x1.224ef6bdaf335p-22, -0x1.1f98119c71f46p-22, -0x1.1ce252489cda1p-22, -0x1.1a2dca8443c0bp-22, -0x1.177a8bb72ac05p-22, -0x1.14c8a6f01be74p-22, -0x1.12182ce59ec4fp-22, -0x1.0f692df7318c7p-22, -0x1.0cbbba2e09634p-22, -0x1.0a0fe13df1958p-22, -0x1.0765b28664708p-22, -0x1.04bd3d13a7ccbp-22, -0x1.02168f9fcc14fp-22, -0x1.fee3712666caep-23, -0x1.f99d8c0b9297ap-23, -0x1.f45b8b7fe7f07p-23, -0x1.ef1d8a7717c5bp-23, -0x1.e9e3a349e3c3cp-23, -0x1.e4adefb712bddp-23, -0x1.df7c88e585cacp-23, -0x1.da4f8766c634ap-23, -0x1.d52703387b04cp-23, -0x1.d00313c630a64p-23, -0x1.cae3cfeaa98d2p-23, -0x1.c5c94df26200ep-23, -0x1.c0b3a39d26dcbp-23, -0x1.bba2e61fb3b09p-23, -0x1.b6972a2572169p-23, -0x1.b19083d220216p-23, -0x1.ac8f06c411bdfp-23, -0x1.a792c615c2d75p-23, -0x1.a29bd45f11dbp-23, -0x1.9daa43b6f4e8ep-23, -0x1.98be25b5ab878p-23, -0x1.93d78b76bbc53p-23, -0x1.8ef685999cd9fp-23, -0x1.8a1b2443cb57fp-23, -0x1.854577228033ap-23, -0x1.80758d6c83778p-23, -0x1.7bab75e3bab7cp-23, -0x1.76e73ed5fff91p-23, -0x1.7228f61fb265ap-23, -0x1.6d70a92cfa09fp-23, -0x1.68be64fb872afp-23, -0x1.6412361b939a6p-23, -0x1.5f6c28b169c95p-23, -0x1.5acc4877d9d0dp-23, -0x1.5632a0c11231ap-23, -0x1.519f3c77fc78fp-23, -0x1.4d122621efac5p-23, -0x1.488b67e090d3p-23, -0x1.440b0b729c07fp-23, -0x1.3f911a3570288p-23, -0x1.3b1d9d26d0021p-23, -0x1.36b09ce6b1558p-23, -0x1.324a21b7d9a31p-23, -0x1.2dea338129494p-23, -0x1.2990d9cfbd8a8p-23, -0x1.253e1bd85493p-23, -0x1.20f200780153dp-23, -0x1.1cac8e35a4bf3p-23, -0x1.186dcb43a2f89p-23, -0x1.1435bd81526cp-23, -0x1.10046a7baa202p-23, -0x1.0bd9d76eef858p-23, -0x1.07b609480bba6p-23, -0x1.039904a60c282p-23, -0x1.ff059bb54af77p-24, -0x1.f6e6d1d787e2fp-24, -0x1.eed5b32b270f1p-24, -0x1.e6d2469558875p-24, -0x1.dedc926b858d5p-24, -0x1.d6f49c751bebdp-24, -0x1.cf1a69ef284dp-24, -0x1.c74dff8d2a5d8p-24, -0x1.bf8f617c690a3p-24, -0x1.b7de93668e454p-24, -0x1.b03b9872e7fffp-24, -0x1.a8a673485ea76p-24, -0x1.a11f261170b1fp-24, -0x1.99a5b27d8bc2fp-24, -0x1.923a19c280eb9p-24, -0x1.8adc5c9ecd9d6p-24, -0x1.838c7b5d71c52p-24, -0x1.7c4a75d653f51p-24, -0x1.75164b701f88dp-24, -0x1.6deffb23bbbfdp-24, -0x1.66d7837d99a05p-24, -0x1.5fcce29fb4c92p-24, -0x1.58d0164326b08p-24, -0x1.51e11bbb6cad4p-24, -0x1.4affeff7199b2p-24, -0x1.442c8f81a450ap-24, -0x1.3d66f686b509p-24, -0x1.36af20d30a8p-24, -0x1.300509d656fa4p-24, -0x1.2968aca49e934p-24, -0x1.22da03f9a7845p-24, -0x1.1c590a391afabp-24, -0x1.15e5b9713613bp-24, -0x1.0f800b5c8200ap-24, -0x1.0927f9626ba89p-24, -0x1.02dd7c9a8be7fp-24, -0x1.f9411b9bf7142p-25, -0x1.ece24af08a9cap-25, -0x1.e09e77926626ep-25, -0x1.d475914db25a3p-25, -0x1.c867875fc4f1bp-25, -0x1.bc744875ac1c8p-25, -0x1.b09bc2b462782p-25, -0x1.a4dde3b973fap-25, -0x1.993a989dc0d12p-25, -0x1.8db1cdf9175d8p-25, -0x1.82436fe6149f9p-25, -0x1.76ef6a03659p-25, -0x1.6bb5a7779b62p-25, -0x1.609612f4525fcp-25, -0x1.559096b83e2c3p-25, -0x1.4aa51c91cda62p-25, -0x1.3fd38de366789p-25, -0x1.351bd3a53e723p-25, -0x1.2a7dd66674a67p-25, -0x1.1ff97e5291489p-25, -0x1.158eb331c8d0ep-25, -0x1.0b3d5c6de1a0ep-25, -0x1.01056111b9e53p-25, -0x1.edcd4f9c15171p-26, -0x1.d9c22df6ec32fp-26, -0x1.c5e9293997109p-26, -0x1.b2420cc29eccep-26, -0x1.9ecca34bc53e3p-26, -0x1.8b88b6f5b8b44p-26, -0x1.787611456a2d9p-26, -0x1.65947b2a7426bp-26, -0x1.52e3bd074c5dbp-26, -0x1.40639eaff29cfp-26, -0x1.2e13e7736c531p-26, -0x1.1bf45e1bc54f8p-26, -0x1.0a04c8f614836p-26, -0x1.f089dba5fa44fp-27, -0x1.cd69241c6edadp-27, -0x1.aaa6f520b74cdp-27, -0x1.8842d7a50ef1ep-27, -0x1.663c53c920ca8p-27, -0x1.4492f0ddef76dp-27, -0x1.2346356ca691ep-27, -0x1.0255a74476854p-27, -0x1.c38196ef0d5fap-28, -0x1.830e4cdca3a2dp-28, -0x1.435077bde0b14p-28, -0x1.04471dd7a849fp-28, -0x1.8be28838a5e15p-29, -0x1.109bdcd05945bp-29, -0x1.2d707dcc9f4eep-30, -0x1.e35b1e24c4028p-33, 0x1.63b723b115da5p-31, 0x1.9d68642e66a99p-30, 0x1.431f8bee0746p-29, 0x1.b631da8e2c3e1p-29, 0x1.13f691d2a7d81p-28, 0x1.4c29b73831923p-28, 0x1.83b361c93a9a8p-28, 0x1.ba949683e8f7cp-28, 0x1.f0ce5b0bf0288p-28, 0x1.1330dac95c979p-27, 0x1.2da7d66db0554p-27, 0x1.47cca41067bap-27, 0x1.619fc78f4372dp-27, 0x1.7b21c4f5f0a74p-27, 0x1.945320879a685p-27, 0x1.ad345eac58c61p-27, 0x1.c5c603f7b4fdp-27, 0x1.de08951b46cb2p-27, 0x1.f5fc96e4f0dc6p-27, 0x1.06d147200d8ffp-26, 0x1.127d8010669cbp-26, 0x1.1e0338cc4363fp-26, 0x1.2962b3d9decf3p-26, 0x1.349c33c8ebaedp-26, 0x1.3faffb251d668p-26, 0x1.4a9e4c7d9ccb5p-26, 0x1.55676a58e6728p-26, 0x1.600b973e2c752p-26, 0x1.6a8b15a869d4fp-26, 0x1.74e6280c43003p-26, 0x1.7f1d10d23cea4p-26, 0x1.89301255da84fp-26, 0x1.931f6ee4c3146p-26, 0x1.9ceb68ba23614p-26, 0x1.a694420150222p-26, 0x1.b01a3ccf6456fp-26, 0x1.b97d9b25ae923p-26, 0x1.c2be9eeb2edcdp-26, 0x1.cbdd89f28f93fp-26, 0x1.d4da9ded6749ap-26, 0x1.ddb61c78548f3p-26, 0x1.e670470bc8384p-26, 0x1.ef095f05b498bp-26, 0x1.f781a5a0e66efp-26, 0x1.ffd95bf5e76aap-26, 0x1.0408617e5bb5cp-25, 0x1.08140dc1e6cebp-25, 0x1.0c0fd31c34fafp-25, 0x1.0ffbd1ce009cap-25, 0x1.13d82a053460fp-25, 0x1.17a4fbd96e6d7p-25, 0x1.1b62674e208dfp-25, 0x1.1f108c4e98873p-25, 0x1.22af8ab1cfebdp-25, 0x1.263f82346711ep-25, 0x1.29c0927e1deb7p-25, 0x1.2d32db1b83b8ep-25, 0x1.30967b8245c7bp-25, 0x1.33eb930d0fed2p-25, 0x1.373240fd565edp-25, 0x1.3a6aa479b87e1p-25, 0x1.3d94dc8de0609p-25, 0x1.40b10829d2d4cp-25, 0x1.43bf46226455dp-25, }}, 
      {{0x1.ffabc43a468b3p-1, 0x1.feafd626c67acp-1, 0x1.fd0e7dfc6d4c4p-1, 0x1.facb71947b7eap-1, 0x1.f7ebb41b49417p-1, 0x1.f4756e2c67cf2p-1, 0x1.f06fc18e5aad1p-1, 0x1.ebe29b44b6933p-1, 0x1.e6d6861c957f5p-1, 0x1.e1547f49cef51p-1, 0x1.db65ce2e6dca7p-1, 0x1.d513dffd38d12p-1, 0x1.ce6827943af44p-1, 0x1.c76c01ab7330cp-1, 0x1.c0289d442df1ep-1, 0x1.b8a6e8242669p-1, 0x1.b0ef7f11e8efep-1, 0x1.a90aa17b6b4f2p-1, 0x1.a100282a34b0dp-1, 0x1.98d77ea7d23afp-1, 0x1.90979ef830ea6p-1, 0x1.88470f5488b01p-1, 0x1.7febe197f8806p-1, 0x1.778bb41607ac6p-1, 0x1.6f2bb39a8f5a5p-1, 0x1.66d09e59bd558p-1, 0x1.5e7ec79dc498cp-1, 0x1.563a1c063211ap-1, 0x1.4e062632d941p-1, 0x1.45e613b9a9a91p-1, 0x1.3ddcba4b9fe51p-1, 0x1.35ec9cf16a854p-1, 0x1.2e17f14c38579p-1, 0x1.2660a4ca9e2efp-1, 0x1.1ec861c480cfp-1, 0x1.175094739e624p-1, 0x1.0ffa6fc09bd3p-1, 0x1.08c6f1de73436p-1, 0x1.01b6e8afdc344p-1, 0x1.f595ebe762d4dp-2, 0x1.e807266d28d0ap-2, 0x1.dac22b122956fp-2, 0x1.cdc761f4e2a7ep-2, 0x1.c116f7b1813dp-2, 0x1.b4b0e36fa80b2p-2, 0x1.a894ec812d1cfp-2, 0x1.9cc2af95fdd91p-2, 0x1.9139a389c9255p-2, 0x1.85f91dd066e04p-2, 0x1.7b0056862a44cp-2, 0x1.704e6c295c9d7p-2, 0x1.65e267022df63p-2, 0x1.5bbb3c3e4c71ep-2, 0x1.51d7d0c5469a3p-2, 0x1.4836fbcaa7c81p-2, 0x1.3ed78922977f7p-2, 0x1.35b83b5d8cbf3p-2, 0x1.2cd7cdaf717e2p-2, 0x1.2434f5a6491c3p-2, 0x1.1bce64b448eebp-2, 0x1.13a2c990f856ap-2, 0x1.0bb0d174caa04p-2, 0x1.03f729325be9cp-2, 0x1.f8e8fc6086a9ap-3, 0x1.ea4efe8c80b6p-3, 0x1.dc1dbb0087418p-3, 0x1.ce52999367ecfp-3, 0x1.c0eb090630bc9p-3, 0x1.b3e4800840d79p-3, 0x1.a73c7e17d4c26p-3, 0x1.9af08c4258bd9p-3, 0x1.8efe3dc7a5407p-3, 0x1.836330a2fc1dfp-3, 0x1.781d0dfc521d7p-3, 0x1.6d298a8450478p-3, 0x1.628666bd370c6p-3, 0x1.58316f3296032p-3, 0x1.4e287ca1ad143p-3, 0x1.446974141d47ep-3, 0x1.3af246ee6372bp-3, 0x1.31c0f2f382c07p-3, 0x1.28d3823f10571p-3, 0x1.20280b36d14b8p-3, 0x1.17bcb074e0511p-3, 0x1.0f8fa0ab56b4bp-3, 0x1.079f16824678dp-3, 0x1.ffd2b0e1a5095p-4, 0x1.f0d9712414887p-4, 0x1.e24f28ec5c2ecp-4, 0x1.d430a9e1e5f32p-4, 0x1.c67adbca6f77bp-4, 0x1.b92abc1d6145bp-4, 0x1.ac3d5d93cb8a5p-4, 0x1.9fafe7b5d2a3p-4, 0x1.937f966631045p-4, 0x1.87a9b96c5ebd3p-4, 0x1.7c2bb3fdeb25ap-4, 0x1.7102fc477bc75p-4, 0x1.662d1af5dac11p-4, 0x1.5ba7aabf715b7p-4, 0x1.517057ee7d9eep-4, 0x1.4784dfec4f717p-4, 0x1.3de310cdc4a6fp-4, 0x1.3488c8e13ef28p-4, 0x1.2b73f63e3efffp-4, 0x1.22a29656cb0fcp-4, 0x1.1a12b58ac2db8p-4, 0x1.11c26ebd3e7e8p-4, 0x1.09afeaec099fdp-4, 0x1.01d960c94fcd6p-4, 0x1.f47a28af11439p-5, 0x1.e5b2ad0f5305fp-5, 0x1.d75909b353fdbp-5, 0x1.c96a11feb1abap-5, 0x1.bbe2b1030f5e7p-5, 0x1.aebfe8cf1600bp-5, 0x1.a1fed1c21381fp-5, 0x1.959c99e43bf59p-5, 0x1.8996844372056p-5, 0x1.7de9e85497c59p-5, 0x1.729431594a01cp-5, 0x1.6792ddc9fefa2p-5, 0x1.5ce37ec46c10bp-5, 0x1.5283b77e24534p-5, 0x1.48713cbb5525ap-5, 0x1.3ea9d44989d26p-5, 0x1.352b547e64c54p-5, 0x1.2bf3a3ba2ca7fp-5, 0x1.2300b7ee1c23cp-5, 0x1.1a5096265ba79p-5, 0x1.11e152178694ep-5, 0x1.09b10dafa92f5p-5, 0x1.01bdf8aa9c363p-5, 0x1.f40ca0534c768p-6, 0x1.e510bc9c942c1p-6, 0x1.d684f3b0572a5p-6, 0x1.c8660b8be44b8p-6, 0x1.bab0e1f225db2p-6, 0x1.ad626bb8d9c0ep-6, 0x1.a077b41b3af91p-6, 0x1.93eddc11f9deep-6, 0x1.87c219b054232p-6, 0x1.7bf1b7861eb21p-6, 0x1.707a1406a99b2p-6, 0x1.6558a0f4400e7p-6, 0x1.5a8ae2d038791p-6, 0x1.500e704f54035p-6, 0x1.45e0f1d26666ep-6, 0x1.3c0020e30c6a2p-6, 0x1.3269c7b45d4b8p-6, 0x1.291bc0a770698p-6, 0x1.2013f5d399992p-6, 0x1.175060923f517p-6, 0x1.0ecf090e2b00ap-6, 0x1.068e05d635fd6p-6, 0x1.fd16f6e67a883p-7, 0x1.ed8b380274714p-7, 0x1.de754d96d9716p-7, 0x1.cfd1cfd6ef117p-7, 0x1.c19d6fd6c0a7fp-7, 0x1.b3d4f6d4a2f24p-7, 0x1.a67545882089p-7, 0x1.997b53761413dp-7, 0x1.8ce42e49d57efp-7, 0x1.80acf93344b7ap-7, 0x1.74d2ec499e3b6p-7, 0x1.695353f2d04acp-7, 0x1.5e2b904f5d6b4p-7, 0x1.535914aa765d8p-7, 0x1.48d966ee56caep-7, 0x1.3eaa1f1c9e03ap-7, 0x1.34c8e6caa18d9p-7, 0x1.2b3378a1881cep-7, 0x1.21e79fe217923p-7, 0x1.18e337ec184d2p-7, 0x1.10242bc92fd7ep-7, 0x1.07a875bb1c67ep-7, 0x1.fedc3d9a65526p-8, 0x1.eee67cd20ee82p-8, 0x1.df6bf3dc5aff9p-8, 0x1.d0690899df235p-8, 0x1.c1da3b47da87p-8, 0x1.b3bc25c113433p-8, 0x1.a60b7ac4268ebp-8, 0x1.98c5053f22052p-8, 0x1.8be5a7a041628p-8, 0x1.7f6a5b2baafc6p-8, 0x1.73502f55ffa06p-8, 0x1.67944923a240fp-8, 0x1.5c33e28c8948cp-8, 0x1.512c49e48626fp-8, 0x1.467ae147d5348p-8, 0x1.3c1d1e0bd9836p-8, 0x1.32108833ed842p-8, 0x1.2852b9ea1d6ffp-8, 0x1.1ee15efbb92c1p-8, 0x1.15ba34599c701p-8, 0x1.0cdb079c11986p-8, 0x1.0441b68a38e9p-8, 0x1.f7d85d49a6151p-9, 0x1.e7b0d968bf189p-9, 0x1.d808f8b4d7ed2p-9, 0x1.c8dcef4c10522p-9, 0x1.ba290d567b5eap-9, 0x1.abe9be3af51f2p-9, 0x1.9e1b87d9b7309p-9, 0x1.90bb09cc764d1p-9, 0x1.83c4fcabe673ap-9, 0x1.7736315a82c39p-9, 0x1.6b0b90546f635p-9, 0x1.5f42190449895p-9, 0x1.53d6e11cce027p-9, 0x1.48c713f72dad4p-9, 0x1.3e0ff1f5e6d29p-9, 0x1.33aecfec1276bp-9, 0x1.29a11688f419fp-9, 0x1.1fe441c7bb953p-9, 0x1.1675e06350898p-9, 0x1.0d53934e104efp-9, 0x1.047b0d2d5dbbp-9, 0x1.f7d423b1d9968p-10, 0x1.e73cebbb45954p-10, 0x1.d72c3c080f252p-10, 0x1.c79dfdb42716ep-10, 0x1.b88e3880b05a2p-10, 0x1.a9f911f4b3ccdp-10, 0x1.9bdacc8429565p-10, 0x1.8e2fc6bd09be4p-10, 0x1.80f47a7a561c4p-10, 0x1.74257c1cd932fp-10, 0x1.67bf79c980f06p-10, 0x1.5bbf3aad2e4c6p-10, 0x1.50219e45c57a3p-10, 0x1.44e39bb062471p-10, 0x1.3a0240fc893eap-10, 0x1.2f7ab284372d9p-10, 0x1.254a2a48a0dabp-10, 0x1.1b6df7538a2ffp-10, 0x1.11e37d1d142d5p-10, 0x1.08a832f5db5e1p-10, 0x1.ff7346ea99279p-11, 0x1.ee2ad7d81a3b4p-11, 0x1.dd7277b4ce908p-11, 0x1.cd45a8d511323p-11, 0x1.bda00fdd067d3p-11, 0x1.ae7d72c3ffd05p-11, 0x1.9fd9b7dedf715p-11, 0x1.91b0e4f16dca7p-11, 0x1.83ff1e466aa21p-11, 0x1.76c0a5ce14f21p-11, 0x1.69f1da431a81ap-11, 0x1.5d8f365592eefp-11, 0x1.51954fdc26cf9p-11, 0x1.4600d70adae4dp-11, 0x1.3ace95af9eb18p-11, 0x1.2ffb6e74528dcp-11, 0x1.25845c2631a23p-11, 0x1.1b66710258687p-11, 0x1.119ed60775a6ep-11, 0x1.082aca4c4ddc7p-11, 0x1.fe0f44b631145p-12, 0x1.ec658f22e79abp-12, 0x1.db536f09bd0d2p-12, 0x1.cad406d7425ecp-12, 0x1.bae29f13e735ap-12, 0x1.ab7aa546811abp-12, 0x1.9c97aadf05576p-12, 0x1.8e3564290810ep-12, 0x1.804fa745d3972p-12, 0x1.72e26b2dff232p-12, 0x1.65e9c6ba2a7efp-12, 0x1.5961efb2be29ep-12, 0x1.4d4739e685a35p-12, 0x1.41961647d7c0bp-12, 0x1.364b121042b1bp-12, 0x1.2b62d5ea677c3p-12, 0x1.20da2521fb06cp-12, 0x1.16addcd9af71cp-12, 0x1.0cdaf346d3c2fp-12, 0x1.035e76f298519p-12, 0x1.f46b1c01739b4p-13, 0x1.e2baeaf6f9a17p-13, 0x1.d1a70149a1133p-13, 0x1.c12a3098ad837p-13, 0x1.b13f7454f1bd5p-13, 0x1.a1e1f07ff29cdp-13, 0x1.930cf074a3f7fp-13, 0x1.84bbe5b8d4821p-13, 0x1.76ea66d766629p-13, 0x1.69942e42d74bbp-13, 0x1.5cb5194024ad4p-13, 0x1.504926d9909e4p-13, 0x1.444c76d92aa9bp-13, 0x1.38bb48cae840dp-13, 0x1.2d91fb061247ap-13, 0x1.22cd09bdc42cdp-13, 0x1.18690e186d3d9p-13, 0x1.0e62bd4dfbf08p-13, 0x1.04b6e7cc99ee9p-13, 0x1.f6c4f0c78e9fap-14, 0x1.e4c4e6eb4e3adp-14, 0x1.d367ec5c817bfp-14, 0x1.c2a86b8165668p-14, 0x1.b280fd53e1c17p-14, 0x1.a2ec67f256b71p-14, 0x1.93e59d3aeb1b8p-14, 0x1.8567b9717bf49p-14, 0x1.776e01ef8c36p-14, 0x1.69f3e3de124adp-14, 0x1.5cf4f2f8e9f3p-14, 0x1.506ce85b9514p-14, 0x1.4457a156eff72p-14, 0x1.38b11e4fc891bp-14, 0x1.2d7581a5ffd9ap-14, 0x1.22a10ea3f0554p-14, 0x1.18302875df2cbp-14, 0x1.0e1f5129563a7p-14, 0x1.046b28b420504p-14, 0x1.f620d8053134p-15, 0x1.e417e81a6d34ap-15, 0x1.d2b569ea3135ep-15, 0x1.c1f37a4ea9cc9p-15, 0x1.b1cc690e0df6dp-15, 0x1.a23ab73ae9f82p-15, 0x1.933915a1a3799p-15, 0x1.84c263418ba0bp-15, 0x1.76d1abd1fb6a4p-15, 0x1.69622652c6dbcp-15, 0x1.5c6f33a7bbbf2p-15, 0x1.4ff45d3f1369p-15, 0x1.43ed53c22dd71p-15, 0x1.3855edd08e39dp-15, 0x1.2d2a26c4e0585p-15, 0x1.22661d832c79p-15, 0x1.18061350e6635p-15, 0x1.0e066ab5a36e1p-15, 0x1.0463a664b92d4p-15, 0x1.f634d05efdb44p-16, 0x1.e44edfff75205p-16, 0x1.d30f35b45f1fdp-16, 0x1.c26fc3d1c172cp-16, 0x1.b26ab31a2d77ap-16, 0x1.a2fa60f16854cp-16, 0x1.94195d9ceff82p-16, 0x1.85c26a933f2fep-16, 0x1.77f078d7f1ad2p-16, 0x1.6a9ea76506a13p-16, 0x1.5dc841a128bd7p-16, 0x1.5168bde1fea97p-16, 0x1.457bbbfab09c7p-16, 0x1.39fd03d5e4de5p-16, 0x1.2ee8841b1d932p-16, 0x1.243a50dee417fp-16, 0x1.19eea25daa2bp-16, 0x1.1001d3c128a93p-16, 0x1.067061ef76727p-16, 0x1.fa6dd4c7ca491p-17, 0x1.e8a45422a02dcp-17, 0x1.d77df89b731efp-17, 0x1.c6f4b38cf8918p-17, 0x1.b702aefa4f3d8p-17, 0x1.a7a24b99ed12p-17, 0x1.98ce1eefca5c1p-17, 0x1.8a80f1780b80ap-17, 0x1.7cb5bce0ae43ep-17, 0x1.6f67aa51a62d9p-17, 0x1.629210c3ca0a1p-17, 0x1.5630736507a7bp-17, 0x1.4a3e800a9be73p-17, 0x1.3eb80db027d44p-17, 0x1.33991b033ab92p-17, 0x1.28ddccfb5a41fp-17, 0x1.1e826d7db1cecp-17, 0x1.14836a0ccb884p-17, 0x1.0add528288354p-17, 0x1.018cd7d60448dp-17, 0x1.f11d95d5eba6cp-18, 0x1.dfc036d7e1096p-18, 0x1.cefbad5c7abd3p-18, 0x1.beca4d3e24b51p-18, 0x1.af26a174af63cp-18, 0x1.a00b6a14437e1p-18, 0x1.91739a5e02171p-18, 0x1.835a56e17a11bp-18, 0x1.75baf3ae04d35p-18, 0x1.6890f29456051p-18, 0x1.5bd80176e07b3p-18, 0x1.4f8bf8a9ae34ep-18, 0x1.43a8d95fb0762p-18, 0x1.382acc26c5087p-18, 0x1.2d0e1f705a421p-18, 0x1.224f4627c1569p-18, 0x1.17ead6549b21bp-18, 0x1.0ddd87c9d3ddap-18, 0x1.042432dff3069p-18, 0x1.f5779e7654b23p-19, 0x1.e342e538e834ap-19, 0x1.d1a49f7a382acp-19, 0x1.c0976a6992fe4p-19, 0x1.b01618d2dccb9p-19, 0x1.a01bb1124699ep-19, 0x1.90a36b19cc28p-19, 0x1.81a8ae8983c8dp-19, 0x1.732710d99c9dap-19, 0x1.651a539460078p-19, 0x1.577e62a12d9bep-19, 0x1.4a4f529f2d10fp-19, 0x1.3d895f4f913c3p-19, 0x1.3128ea0e10898p-19, 0x1.252a7857d003cp-19, 0x1.198ab2608da26p-19, 0x1.0e4661b48679dp-19, 0x1.035a6fe7cddp-19, 0x1.f187caa330193p-20, 0x1.dcffcfa7dbe92p-20, 0x1.c917735d8995ap-20, 0x1.b5c970bce7ac2p-20, 0x1.a310b70a1906ap-20, 0x1.90e867bbd3df3p-20, 0x1.7f4bd4770222ep-20, 0x1.6e367d1e77cd6p-20, 0x1.5da40df4a856ep-20, 0x1.4d905dcfd0ce6p-20, 0x1.3df76c5fdbda6p-20, 0x1.2ed56085766cap-20, 0x1.202686b86b2bdp-20, 0x1.11e74f7f8d1b2p-20, 0x1.04144df5bc734p-20, 0x1.ed546cbf4940dp-21, 0x1.d34bb99c2068ep-21, 0x1.ba08679e0e15cp-21, 0x1.a18496561d7bap-21, 0x1.89ba9d6044a79p-21, 0x1.72a50a107b41fp-21, 0x1.5c3e9d38016cep-21, 0x1.46824900c0055p-21, 0x1.316b2edf5103p-21, 0x1.1cf49d9a9a1adp-21, 0x1.091a0f657323ap-21, 0x1.ebae501e729edp-22, 0x1.c64f66880f49ap-22, 0x1.a20f45c3364cp-22, 0x1.7ee61ab935d22p-22, 0x1.5ccc586d2ebeep-22, 0x1.3bbab5093d578p-22, 0x1.1baa270ab58e4p-22, 0x1.f927c518ec657p-23, 0x1.bce2ad5e03bd5p-23, 0x1.827856342ad67p-23, 0x1.49dc7b367abdcp-23, 0x1.13033fbbc6b77p-23, 0x1.bbc254ea39ee5p-24, 0x1.54d6428043ccp-24, 0x1.e2599490c7ccap-25, 0x1.216239f00eed3p-25, 0x1.9a7894ab2f7ddp-27, -0x1.3866e4777412ap-27, -0x1.f9d67a4b4ed53p-26, -0x1.a5fb1cde50decp-25, -0x1.24b67a1d84aecp-24, -0x1.73b1a877bf37p-24, -0x1.bfffded57e982p-24, -0x1.04d8b335b0e6p-23, -0x1.286b08b5e2732p-23, -0x1.4abe9ff59cdb5p-23, -0x1.6bdaf248f4612p-23, -0x1.8bc74488b5dfap-23, -0x1.aa8aa9348b46cp-23, -0x1.c82c027d9dd77p-23, -0x1.e4b2043701729p-23, -0x1.00119ad8d149cp-22, -0x1.0d42f9c06066p-22, -0x1.19f03894f6e1ep-22, -0x1.261c5d617c6dp-22, -0x1.31ca5b3c94071p-22, -0x1.3cfd13042a1b4p-22, -0x1.47b75410b93bfp-22, -0x1.51fbdcde9986dp-22, -0x1.5bcd5bb0e9f78p-22, -0x1.652e6f2bb3d54p-22, -0x1.6e21a6e72a9f4p-22, -0x1.76a983fbe741dp-22, -0x1.7ec8798856629p-22, -0x1.8680ed2febf3dp-22, -0x1.8dd53793b5ae8p-22, -0x1.94c7a4c61e39dp-22, -0x1.9b5a74b7ab26ap-22, -0x1.a18fdba00ffa3p-22, -0x1.a76a0260a7803p-22, -0x1.aceb06e333e08p-22, -0x1.b214fc7361a0fp-22, -0x1.b6e9ec1439556p-22, -0x1.bb6bd4d158cb1p-22, -0x1.bf9cac0bfa9abp-22, -0x1.c37e5dc456efep-22, -0x1.c712ccdf57feep-22, -0x1.ca5bd3693e7cbp-22, -0x1.cd5b42d43bb15p-22, -0x1.d012e435248b5p-22, -0x1.d284787b504e3p-22, -0x1.d4b1b8a80da65p-22, -0x1.d69c56012222ep-22, -0x1.d845fa42b8e1fp-22, -0x1.d9b047cd252b4p-22, -0x1.dadcd9d211021p-22, -0x1.dbcd447e13afp-22, -0x1.dc8315211774cp-22, -0x1.dcffd254a1652p-22, -0x1.dd44fc204f45bp-22, -0x1.dd540c1c2770bp-22, -0x1.dd2e75920d316p-22, -0x1.dcd5a59cdefe7p-22, -0x1.dc4b0346ea11ap-22, -0x1.db8fefa63d5c7p-22, -0x1.daa5c5f829bacp-22, -0x1.d98ddbbb82197p-22, -0x1.d84980c91bd0cp-22, -0x1.d6d9ff6c6b209p-22, -0x1.d5409c79a7dfbp-22, -0x1.d37e976458165p-22, -0x1.d1952a53f3998p-22, -0x1.cf858a37ef01ap-22, -0x1.cd50e6db83c21p-22, -0x1.caf86af7c04c4p-22, -0x1.c87d3c461d7a2p-22, -0x1.c5e07b90ef2e2p-22, -0x1.c32344c501a16p-22, -0x1.c046af0076082p-22, -0x1.bd4bcca38ef71p-22, -0x1.ba33ab5eadd33p-22, -0x1.b6ff54418ac55p-22, -0x1.b3afcbc947d65p-22, -0x1.b04611ed7e9p-22, -0x1.acc3222ecbecap-22, -0x1.a927f3a2a9e84p-22, -0x1.a5757900cdd5bp-22, -0x1.a1aca0af79d7p-22, -0x1.9dce54cf69cd4p-22, -0x1.99db7b47d330ap-22, -0x1.95d4f5d2065e2p-22, -0x1.91bba204abd31p-22, -0x1.8d90595f7ab17p-22, -0x1.8953f15582f1ep-22, -0x1.85073b58f3968p-22, -0x1.80ab04e4b8d8cp-22, -0x1.7c401788793cep-22, -0x1.77c738f19c7cdp-22, -0x1.73412af696989p-22, -0x1.6eaeaba0f7ed1p-22, -0x1.6a10753726979p-22, -0x1.65673e47252b2p-22, -0x1.60b3b9afd07cap-22, -0x1.5bf696ab5fc93p-22, -0x1.573080d8d963p-22, -0x1.526220465f319p-22, -0x1.4d8c197a1041p-22, -0x1.48af0d7d0c583p-22, -0x1.43cb99e37a7a4p-22, -0x1.3ee258d7ecde5p-22, -0x1.39f3e1237fe2bp-22, -0x1.3500c63857e4fp-22, -0x1.3009983acd11ap-22, -0x1.2b0ee40b14a31p-22, -0x1.2611334e89487p-22, -0x1.21110c79b715dp-22, -0x1.1c0ef2d8f8d2fp-22, -0x1.170b669aef5eep-22, -0x1.1206e4d8d5abep-22, -0x1.0d01e7a15bbf7p-22, -0x1.07fce60047491p-22, -0x1.02f85409aa687p-22, -0x1.fbe945c432728p-23, -0x1.f1e48190d091bp-23, -0x1.e7e3323e25ee6p-23, -0x1.dde628eb7a19fp-23, -0x1.d3ee3124683adp-23, -0x1.c9fc10f41f189p-23, -0x1.c01088f7bb7ecp-23, -0x1.b62c5471028bfp-23, -0x1.ac502958facc6p-23, -0x1.a27cb8722db5cp-23, -0x1.98b2ad5bc3baap-23, -0x1.8ef2aea35ca08p-23, -0x1.853d5dd7e752cp-23, -0x1.7b93579ba3b9fp-23, -0x1.71f533b6d95a7p-23, -0x1.68638529f4d73p-23, -0x1.5ededa3f449c8p-23, -0x1.5567bc9e797c6p-23, -0x1.4bfeb15cf7063p-23, -0x1.42a4391185f1cp-23, -0x1.3958cfe4c86fap-23, -0x1.301ceda4c89b5p-23, -0x1.26f105d4f3f85p-23, -0x1.1dd587c1677bbp-23, -0x1.14cade8fee365p-23, -0x1.0bd1715154d9bp-23, -0x1.02e9a3137c29fp-23, -0x1.f427a5e4f9181p-24, -0x1.e2a0b8534d118p-24, -0x1.d13f2c4a31739p-24, -0x1.c003a92647d24p-24, -0x1.aeeecee86a0f4p-24, -0x1.9e013659ed4e9p-24, -0x1.8d3b712d1f0bcp-24, -0x1.7c9e0a1e0611ap-24, -0x1.6c298514765p-24, -0x1.5bde5f440a997p-24, -0x1.4bbd0f4e2a744p-24, -0x1.3bc605610a71ep-24, -0x1.2bf9ab58495d7p-24, -0x1.1c5864dd0eaf2p-24, -0x1.0ce28f8554dcdp-24, -0x1.fb3105e6749d1p-25, -0x1.dcf521e89ebe7p-25, -0x1.bf120b408c2f8p-25, -0x1.a1884eef7dc07p-25, -0x1.84586f03493fdp-25, -0x1.6782e2d4a97cap-25, -0x1.4b081740edffbp-25, -0x1.2ee86ee4817dep-25, -0x1.13244256b4958p-25, -0x1.ef77c0c264196p-26, -0x1.b95f1c75331d2p-26, -0x1.83ff0f7b2099bp-26, -0x1.4f57ff44a95fbp-26, -0x1.1b6a3f659fe87p-26, -0x1.d06c240e73b09p-27, -0x1.6b7750a3ed9b1p-27, -0x1.07f645af07713p-27, -0x1.4bd247ed34dep-28, -0x1.153fb2efaf9e6p-29, 0x1.9d57d833617bdp-31, 0x1.de1d58ee07c74p-29, 0x1.a78bec0f91809p-28, 0x1.2e91d1f13e10bp-27, 0x1.87eb7aa1e4833p-27, 0x1.dfd39ba48b2ep-27, 0x1.1b257d5682c82p-26, 0x1.45a93b6de47f2p-26, 0x1.6f7583fecff06p-26, 0x1.988adef2e0f62p-26, 0x1.c0e9dfd59b951p-26, 0x1.e893258086cf4p-26, 0x1.07c3ace22059fp-25, 0x1.1ae3988886cfp-25, 0x1.2da9b51199fb5p-25, 0x1.401666d7f3ec5p-25, 0x1.522a170a2e948p-25, 0x1.63e53382e92bep-25, 0x1.75482e9fea4d2p-25, 0x1.86537f1bfa40ap-25, 0x1.97079fe9ab3e8p-25, 0x1.a765100c4098ap-25, 0x1.b76c5271b9b92p-25, 0x1.c71dedd18fdadp-25, 0x1.d67a6c86a734p-25, 0x1.e5825c6b968b4p-25, 0x1.f4364eba68aa9p-25, 0x1.014b6bf49f8a4p-24, 0x1.085247c45b0afp-24, 0x1.0f30081267fa3p-24, 0x1.15e4fb910d1eep-24, 0x1.1c7172508fab2p-24, 0x1.22d5bdaec7f58p-24, 0x1.29123048aeb7fp-24, 0x1.2f271deaa36dp-24, 0x1.3514db828826ap-24, 0x1.3adbbf1175892p-24, 0x1.407c1f9d3f5ep-24, 0x1.45f65522f729dp-24, 0x1.4b4ab889957ebp-24, 0x1.5079a394fb4dp-24, 0x1.558370d88191fp-24, 0x1.5a687baaaaa35p-24, 0x1.5f292018f97b6p-24, 0x1.63c5badb7df0bp-24, 0x1.683ea9492f595p-24, 0x1.6c94494c77828p-24, 0x1.70c6f9579749ep-24, 0x1.74d71859de6dep-24, 0x1.78c505b4c10e3p-24, 0x1.7c91213118863p-24, 0x1.803bcaf596addp-24, 0x1.83c5637b8068dp-24, 0x1.872e4b8614f46p-24, 0x1.8a76e417fb368p-24, 0x1.8d9f8e6a76805p-24, 0x1.90a8abe4408e6p-24, 0x1.93929e10385ecp-24, 0x1.965dc69536256p-24, 0x1.990a872d539c2p-24, 0x1.9b99419dc4358p-24, 0x1.9e0a57aeb071fp-24, 0x1.a05e2b23a2916p-24, 0x1.a2951db3c291cp-24, 0x1.a4af91024d063p-24, 0x1.a6ade697c2c3cp-24, 0x1.a8907fda9d25fp-24, 0x1.aa57be08a00b5p-24, 0x1.ac0402304d066p-24, 0x1.ad95ad2a63782p-24, 0x1.af0d1f9384d27p-24, 0x1.b06ab9c6ba74ep-24, 0x1.b1aedbd6c3f91p-24, 0x1.b2d9e589134dep-24, 0x1.b3ec3650267ddp-24, 0x1.b4e62d4604821p-24, 0x1.b5c829273d0e4p-24, 0x1.b692884de85c4p-24, 0x1.b745a8accbdc9p-24, 0x1.b7e1e7cab8165p-24, 0x1.b867a2bddd4dbp-24, 0x1.b8d73627c9e0ap-24, 0x1.b930fe30f293ep-24, 0x1.b9755684ab66dp-24, 0x1.b9a49a4d43738p-24, 0x1.b9bf24307ee35p-24, 0x1.b9c54e4b9cacp-24, 0x1.b9b77230255edp-24, 0x1.b995e8e06e564p-24, 0x1.b9610acc7ea7ep-24, 0x1.b9192fcebe976p-24, 0x1.b8beaf298816ep-24, 0x1.b851df83d811fp-24, 0x1.b7d316e6c16a1p-24, 0x1.b742aabaf9c63p-24, 0x1.b6a0efc64c8edp-24, 0x1.b5ee3a2943692p-24, 0x1.b52add5cf396fp-24, 0x1.b4572c30da182p-24, 0x1.b37378c8dad94p-24, 0x1.b280149b85fa6p-24, 0x1.b17d5070083b9p-24, 0x1.b06b7c5c98d96p-24, 0x1.af4ae7c4e1e05p-24, 0x1.ae1be1589c277p-24, 0x1.acdeb711fcfd6p-24, 0x1.ab93b634793dfp-24, 0x1.aa3b2b4b9c254p-24, 0x1.a8d56229dd069p-24, 0x1.a762a5e79ee3bp-24, 0x1.a5e340e21f3abp-24, 0x1.a4577cbab0a48p-24, 0x1.a2bfa2560055bp-24, 0x1.a11bf9db2e6dfp-24, 0x1.9f6ccab354672p-24, 0x1.9db25b88ea512p-24, 0x1.9becf24744f41p-24, 0x1.9a1cd41a35272p-24, 0x1.9842456db46fbp-24, 0x1.965d89ed8cd43p-24, 0x1.946ee485181cap-24, 0x1.9276975f32b9ep-24, 0x1.9074e3e61e127p-24, 0x1.8e6a0ac3771a3p-24, 0x1.8c564be03b1e2p-24, 0x1.8a39e664e519p-24, 0x1.881518b98d0f3p-24, 0x1.85e8208624904p-24, 0x1.83b33ab2aaeb1p-24, 0x1.8176a3677bf28p-24, 0x1.7f32960db2204p-24, 0x1.7ce74d4f7d47ep-24, 0x1.7a950318ba09ep-24, 0x1.783bf097340c6p-24, 0x1.75dc4e3b496bcp-24, 0x1.737653b88dcc3p-24, 0x1.710a38065f372p-24, 0x1.6e98316082b85p-24, 0x1.6c207547f0f09p-24, 0x1.69a3388376c1fp-24, 0x1.6720af2077ec7p-24, 0x1.64990c73c3021p-24, 0x1.620c831a6c2e3p-24, 0x1.5f7b44faadb49p-24, 0x1.5ce58344c60acp-24, 0x1.5a4b6e73db1bbp-24, 0x1.57ad364efe60fp-24, 0x1.550b09ea31b92p-24, 0x1.526517a75327ap-24, 0x1.4fbb8d3729c8ap-24, 0x1.4d0e979a755aap-24, 0x1.4a5e632309081p-24, 0x1.47ab1b74e74c9p-24, 0x1.44f4eb875ec67p-24, 0x1.423bfda634ae7p-24, 0x1.3f807b72bee4bp-24, 0x1.3cc28de51686ap-24, 0x1.3a025d4d6c75ap-24, 0x1.374011551c90fp-24, 0x1.347bd0fff495ep-24, 0x1.31b5c2ad7197dp-24, 0x1.2eee0c1a14b63p-24, 0x1.2c24d26086048p-24, 0x1.295a39fb05d7bp-24, 0x1.268e66c4a5142p-24, 0x1.23c17bfaa0b6cp-24, 0x1.20f39c3dadep-24, 0x1.1e24e99349ecep-24, 0x1.1b5585671afbcp-24, 0x1.1885908c5d2b1p-24, 0x1.15b52b3f1327bp-24, 0x1.12e475258dfbbp-24, 0x1.10138d51aae53p-24, 0x1.0d429242559c5p-24, 0x1.0a71a1e4cf33ap-24, 0x1.07a0d9962c20ap-24, 0x1.04d056249e0f1p-24, 0x1.020033d0e4435p-24, 0x1.fe611c9f9f122p-25, 0x1.f8c3019705fbbp-25, 0x1.f3264bc9c8e49p-25, 0x1.ed8b2f6a457f3p-25, 0x1.e7f1df9e07548p-25, 0x1.e25a8e807ed73p-25, 0x1.dcc56d262608ep-25, 0x1.d732ab9f331fbp-25, 0x1.d1a278fa3c0b5p-25, 0x1.cc15034730ad4p-25, 0x1.c68a779a51bedp-25, 0x1.c103020ed162dp-25, 0x1.bb7ecdc9a7bbdp-25, 0x1.b5fe04fc86df2p-25, 0x1.b080d0e88031cp-25, 0x1.ab0759e0c2dc2p-25, 0x1.a591c74da8d37p-25, 0x1.a0203faf66e97p-25, 0x1.9ab2e8a0b3a4p-25, 0x1.9549e6d98027bp-25, 0x1.8fe55e31f0398p-25, 0x1.8a8571a5218d6p-25, 0x1.852a4353b7ae7p-25, 0x1.7fd3f486a69f8p-25, 0x1.7a82a5b1e8744p-25, 0x1.753676776a9f8p-25, 0x1.6fef85a976cf5p-25, 0x1.6aadf14d5c594p-25, 0x1.6571d69e5ccbbp-25, 0x1.603b5210203a1p-25, 0x1.5b0a7f516081p-25, 0x1.55df794ec0d09p-25, 0x1.50ba5a350c1adp-25, 0x1.4b9b3b740c3f4p-25, 0x1.468235c136c97p-25, 0x1.416f6119f6121p-25, 0x1.3c62d4c6651dfp-25, 0x1.375ca75bd4838p-25, 0x1.325ceebf4c5d7p-25, 0x1.2d63c02817d4cp-25, 0x1.2871302229ed6p-25, 0x1.2385529091d27p-25, 0x1.1ea03aaff38f3p-25, 0x1.19c1fb1935e89p-25, 0x1.14eaa5c3a16fcp-25, 0x1.101a4c0739226p-25, 0x1.0b50fe9f57aa1p-25, 0x1.068ecdad1487dp-25, 0x1.01d3c8b964a02p-25, 0x1.fa3ffd6eed18p-26, 0x1.f0e6fc0e4e863p-26, 0x1.e79ca8ee24d86p-26, 0x1.de611e8e3a54ap-26, 0x1.d5347654a9fb1p-26, 0x1.cc16c89374099p-26, 0x1.c3082c8bdbd0ep-26, 0x1.ba08b87302d24p-26, 0x1.b118817648d5bp-26, 0x1.a8379bc05a22ep-26, 0x1.9f661a7cb8225p-26, 0x1.96a40fdbb987p-26, 0x1.8df18d170e8c5p-26, 0x1.854ea275ed658p-26, 0x1.7cbb5f513f6a2p-26, 0x1.7437d2178535bp-26, 0x1.6bc40850cdf7p-26, 0x1.63600ea2df71dp-26, 0x1.5b0bf0d51adbep-26, 0x1.52c7b9d469d75p-26, 0x1.4a9373b718faep-26, 0x1.426f27c09abd6p-26, 0x1.3a5ade652fd0ep-26, 0x1.32569f4de809ep-26, 0x1.2a62715c88b51p-26, 0x1.227e5aae61eb8p-26, 0x1.1aaa60a0adeb3p-26, 0x1.12e687d424c9dp-26, 0x1.0b32d4303e3f6p-26, 0x1.038f48e6b3a33p-26, 0x1.f7f7d0ed4fc72p-27, 0x1.e8f16961cfc26p-27, 0x1.da0b5d7618ffcp-27, 0x1.cb45ae24562a5p-27, 0x1.bca05b1e081cfp-27, 0x1.ae1b62d14c2f7p-27, 0x1.9fb6c26fe90b1p-27, 0x1.917275f58b6a6p-27, 0x1.834e782e18fc5p-27, 0x1.754ac2bbbf649p-27, 0x1.67674e1de098bp-27, 0x1.59a411b66969p-27, 0x1.4c0103cff5046p-27, 0x1.3e7e19a300ad4p-27, 0x1.311b475dd1577p-27, 0x1.23d880283271cp-27, 0x1.16b5b62a2e765p-27, 0x1.09b2da91ee66bp-27, 0x1.f99fbb30d6fb6p-28, 0x1.e0195d0eb8315p-28, 0x1.c6d2777c38535p-28, 0x1.adcae57142cd4p-28, 0x1.950280261191cp-28, 0x1.7c791f1f788f4p-28, 0x1.642e983825f49p-28, 0x1.4c22bfaaf6b6fp-28, 0x1.3455681d8e187p-28, 0x1.1cc662aa2511cp-28, 0x1.05757ee912037p-28, 0x1.dcc515f4fd7b8p-29, 0x1.af1aa71eb192p-29, 0x1.81eb47e62e237p-29, 0x1.55368c29bea2cp-29, 0x1.28fc0520e75cep-29, 0x1.fa7682e1d3d8ep-30, 0x1.a3e79a74d402ep-30, 0x1.4e4a6456b1239p-30, 0x1.f33bde489eda6p-31, 0x1.4bc289bae5195p-31, 0x1.4c4dac0d6044fp-32, 0x1.3362bb256b8cbp-38, -0x1.3eff5c57c87f4p-32, -0x1.3f8e934a987ccp-31, -0x1.ddc80049ff50dp-31, -0x1.3d1709a6f3ea4p-30, -0x1.8a6178fab9a12p-30, -0x1.d6c464989492bp-30, -0x1.1120733cb7e31p-29, -0x1.366c0dff026bbp-29, -0x1.5b4592e83e4b9p-29, -0x1.7fad93e6902a7p-29, -0x1.a3a4a4728fa3dp-29, -0x1.c72b597ff71fcp-29, -0x1.ea424971655a1p-29, -0x1.067506057a1cbp-28, -0x1.17919d324bc91p-28, -0x1.287737701f578p-28, -0x1.3926228d2f312p-28, -0x1.499eaceea3436p-28, -0x1.59e1258b54bbfp-28, -0x1.69eddbe5857a3p-28, -0x1.79c5200675a49p-28, -0x1.8967427560318p-28, -0x1.98d49434713p-28, -0x1.a80d66ba01435p-28, -0x1.b7120bec3b285p-28, -0x1.c5e2d61af563ep-28, -0x1.d48017f9cb664p-28, -0x1.e2ea249b9b38p-28, -0x1.f1214f6e5e0f6p-28, -0x1.ff25ec34fa51ep-28, -0x1.067c2780c18b1p-27, -0x1.0d4c6618e6123p-27, -0x1.1403dc35628d9p-27, -0x1.1aa2b449c9acfp-27, -0x1.212918e806b69p-27, -0x1.279734be6c0e8p-27, -0x1.2ded3295bbd6ap-27, -0x1.342b3d4eb216p-27, -0x1.3a517fe0350bep-27, -0x1.40602554aa365p-27, -0x1.465758c86f406p-27, -0x1.4c374567d7b66p-27, -0x1.5200166cf2f1dp-27, -0x1.57b1f71dcd64bp-27, -0x1.5d4d12ca0f8ffp-27, -0x1.62d194ca156f7p-27, -0x1.683fa87c96p-27, -0x1.6d977944a560dp-27, -0x1.72d93287f433bp-27, -0x1.7804ffadd04f8p-27, -0x1.7d1b0c1ceb1d6p-27, -0x1.821b833933256p-27, -0x1.870690633d87fp-27, -0x1.8bdc5ef6a5d55p-27, -0x1.909d1a4799638p-27, -0x1.9548eda1a2dfdp-27, -0x1.99e00446ac7bbp-27, -0x1.9e62896dd5d2ap-27, -0x1.a2d0a840cd13dp-27, -0x1.a72a8bdb3b6e8p-27, -0x1.ab705f49835c7p-27, -0x1.afa24d871a91ep-27, -0x1.b3c0817da24cap-27, -0x1.b7cb260309309p-27, -0x1.bbc265d8d4496p-27, -0x1.bfa66baac2c4bp-27, -0x1.c377620dc2d5ep-27, -0x1.c735737e4152p-27, -0x1.cae0ca5fb6943p-27, -0x1.ce7990fb9e552p-27, -0x1.d1fff17f6d42p-27, -0x1.d57415fc61c32p-27, -0x1.d8d628668a956p-27, -0x1.dc265293516d9p-27, -0x1.df64be389c227p-27, -0x1.e29194ec3f00bp-27, -0x1.e5ad0022d42b6p-27, -0x1.e8b7292e3d649p-27, -0x1.ebb0393dd4c02p-27, -0x1.ee98595d61884p-27, -0x1.f16fb2735d846p-27, -0x1.f4366d40ab2fcp-27, -0x1.f6ecb260b049bp-27, -0x1.f992aa4726877p-27, -0x1.fc287d403917fp-27, -0x1.feae536f7c7b9p-27, -0x1.00922a67aef25p-26, -0x1.01c5549866dp-26, -0x1.02f0bc1cc69b3p-26, -0x1.041474b26bd47p-26, -0x1.05309200e5118p-26, -0x1.06452799ab593p-26, -0x1.075248f7aa9a9p-26, -0x1.0858097f38d2p-26, -0x1.09567c7d87a0ep-26, -0x1.0a4db5287456fp-26, -0x1.0b3dc69e86791p-26, -0x1.0c26c3e6638eap-26, -0x1.0d08bfeead311p-26, -0x1.0de3cd8dd6fc4p-26, -0x1.0eb7ff81d8581p-26, -0x1.0f85686ff5dep-26, -0x1.104c1ae4b647dp-26, -0x1.110c29539438bp-26, -0x1.11c5a61689a7cp-26, -0x1.1278a36e6c1c3p-26, -0x1.1325338273aa4p-26, -0x1.13cb685febffap-26, -0x1.146b53fa54dadp-26, -0x1.1505082b0bb67p-26, -0x1.159896b16c409p-26, -0x1.162611321c509p-26, -0x1.16ad89379ebcfp-26, -0x1.172f1031bfc88p-26, -0x1.17aab775779e9p-26, -0x1.1820903d1bc3p-26, -0x1.1890aba7ebf67p-26, -0x1.18fb1aba3acbbp-26, -0x1.195fee5d31e32p-26, -0x1.19bf375ec55f8p-26, -0x1.1a1906719f3d2p-26, -0x1.1a6d6c2d0e58dp-26, -0x1.1abc790cef90cp-26, -0x1.1b063d71ac4a1p-26, -0x1.1b4ac9a00b383p-26, -0x1.1b8a2dc150d3bp-26, -0x1.1bc479e302d95p-26, -0x1.1bf9bdf7068a5p-26, -0x1.1c2a09d3775acp-26, -0x1.1c556d32a3fd9p-26, -0x1.1c7bf7b323cabp-26, -0x1.1c9db8d7b2972p-26, -0x1.1cbac0072e7e5p-26, -0x1.1cd31c8c9431dp-26, -0x1.1ce6dd972263dp-26, -0x1.1cf6123a1234ep-26, -0x1.1d00c96cb6eep-26, -0x1.1d07120ac7ca5p-26, -0x1.1d08fad3ad667p-26, -0x1.1d06926b5f1d1p-26, -0x1.1cffe759b8941p-26, -0x1.1cf5080ad8ebfp-26, -0x1.1ce602cf19287p-26, -0x1.1cd2e5daed32bp-26, -0x1.1cbbbf4728787p-26, -0x1.1ca09d10c6952p-26, -0x1.1c818d191d7eap-26, -0x1.1c5e9d25f22e5p-26, -0x1.1c37dae1443d6p-26, -0x1.1c0d53d9ac579p-26, -0x1.1bdf15821cc64p-26, -0x1.1bad2d322bf69p-26, -0x1.1b77a825e833ep-26, -0x1.1b3e937e30f01p-26, -0x1.1b01fc4062a59p-26, -0x1.1ac1ef56ce6p-26, -0x1.1a7e79906b85bp-26, -0x1.1a37a7a153111p-26, -0x1.19ed8622554f9p-26, -0x1.19a0219172e48p-26, -0x1.194f8651d1b7ap-26, -0x1.18fbc0ab9bc11p-26, -0x1.18a4dccc7a426p-26, -0x1.184ae6c73bc1bp-26, -0x1.17edea9431bf1p-26, -0x1.178df41157d03p-26, -0x1.172b0f01fbd1dp-26, -0x1.16c5470f7135p-26, -0x1.165ca7c889f79p-26, -0x1.15f13ca2301e3p-26, -0x1.158310f735015p-26, -0x1.151230086a636p-26, -0x1.149ea4fd025d8p-26, -0x1.14287ae23fae9p-26, -0x1.13afbcabe2efcp-26, -0x1.133475343d06ep-26, -0x1.12b6af3becbddp-26, -0x1.1236756aa18ecp-26, -0x1.11b3d24e902f2p-26, -0x1.112ed05cf5e6ep-26, -0x1.10a779f21f345p-26, -0x1.101dd95150ecbp-26, -0x1.0f91f8a55ec27p-26, -0x1.0f03e200186f4p-26, -0x1.0e739f5b2a042p-26, -0x1.0de13a977b0e2p-26, -0x1.0d4cbd7e03d53p-26, -0x1.0cb631bf5165ap-26, -0x1.0c1da0f3fe92fp-26, -0x1.0b83149ccad78p-26, -0x1.0ae696227fc48p-26, -0x1.0a482ed6739c1p-26, -0x1.09a7e7f22d159p-26, -0x1.0905ca980201ep-26, -0x1.0861dfd2d1ef8p-26, -0x1.07bc30965bc22p-26, -0x1.0714c5bf611d9p-26, -0x1.066ba813a665ep-26, -0x1.05c0e04223726p-26, -0x1.051476e3477p-26, -0x1.04667478b20b4p-26, -0x1.03b6e16e11899p-26, -0x1.0305c6183180ep-26, -0x1.02532ab6669cap-26, -0x1.019f177163c73p-26, -0x1.00e9945c79a9ap-26, -0x1.0032a974e4d7fp-26, -0x1.fef4bd44d5f6ep-27, -0x1.fd81776eca4f3p-27, -0x1.fc0b90e14a933p-27, -0x1.fa9318ec1c517p-27, -0x1.f9181eb42a72cp-27, -0x1.f79ab1354d3aep-27, -0x1.f61adf40e0ba8p-27, -0x1.f498b77fc9513p-27, -0x1.f3144870f9e38p-27, -0x1.f18da06b76e33p-27, -0x1.f004cd9cfa097p-27, -0x1.ee79de0b89a4p-27, -0x1.ececdf94f0d16p-27, }}, 
      {{0x1.06d2b24eabb3fp-8, 0x1.0a0e067e5ddbap-7, 0x1.9697b8d4298c3p-7, 0x1.155b1325d01fdp-6, 0x1.637686c36a9e8p-6, 0x1.b548def222a3ap-6, 0x1.04faaed9d8c06p-5, 0x1.3018fe988a9d5p-5, 0x1.5b331fd16a7fap-5, 0x1.856544d9b68e3p-5, 0x1.adc29d740a2bdp-5, 0x1.d361ec3e1cd74p-5, 0x1.f567becc5c3b3p-5, 0x1.098718f3db3e8p-4, 0x1.15d53056eea9dp-4, 0x1.1f57deab0de0ep-4, 0x1.25d8d133ef5cep-4, 0x1.2931b7fdaa3dp-4, 0x1.294bc302d694bp-4, 0x1.261eb2d9cbb39p-4, 0x1.1faf9d4afe097p-4, 0x1.160f81309b396p-4, 0x1.0959c013cefep-4, 0x1.f3651edb06c4p-5, 0x1.ce8adec5d5425p-5, 0x1.a48762ad49168p-5, 0x1.75c62b69616b4p-5, 0x1.42b90be0a50f4p-5, 0x1.0bd5db646a957p-5, 0x1.a328d28f4e697p-6, 0x1.28d9643281609p-6, 0x1.5355544058a05p-7, 0x1.34246d9512eb8p-9, -0x1.7ee20fe65eaadp-8, -0x1.d06aad8eca707p-7, -0x1.72254b7f8d38p-6, -0x1.fcc75cbc34e93p-6, -0x1.43b36b5c580d3p-5, -0x1.88ade5d2947fbp-5, -0x1.cd05a6d78a0a3p-5, -0x1.0839ddd819c6ap-4, -0x1.295bd294baab4p-4, -0x1.49cb9ae105da1p-4, -0x1.696f30f80842ep-4, -0x1.882f82b953aa3p-4, -0x1.a5f850241244ap-4, -0x1.c2b806c66e21ap-4, -0x1.de5f9b1bc084dp-4, -0x1.f8e260af82db7p-4, -0x1.091af0dca5e7p-3, -0x1.1528db64023b6p-3, -0x1.2097af7ba7bd3p-3, -0x1.2b650c8910a8fp-3, -0x1.358f5ef83ac5fp-3, -0x1.3f15ce25dc7c3p-3, -0x1.47f82b1ae9128p-3, -0x1.5036e0289aff6p-3, -0x1.57d2e16e8c549p-3, -0x1.5ecd9e4fb90ap-3, -0x1.6528f3d7695e1p-3, -0x1.6ae7200bb8b5bp-3, -0x1.700ab62911ffap-3, -0x1.749693bff01f5p-3, -0x1.788dd6aca9792p-3, -0x1.7bf3d3dff6dffp-3, -0x1.7ecc0eee3b844p-3, -0x1.811a325ae4746p-3, -0x1.82e2089523ca4p-3, -0x1.8427759b1cffap-3, -0x1.84ee7138b086ap-3, -0x1.853b01d74c2c6p-3, -0x1.851137d46fafcp-3, -0x1.84752954e09b1p-3, -0x1.836aee8b02b42p-3, -0x1.81f69e673768bp-3, -0x1.801c4ba991eb7p-3, -0x1.7de0024cb44cbp-3, -0x1.7b45c5421c324p-3, -0x1.78518c78ac64fp-3, -0x1.75074326a210ep-3, -0x1.716ac650b8578p-3, -0x1.6d7fe388895cfp-3, -0x1.694a57dccdfafp-3, -0x1.64cdcef6737ap-3, -0x1.600de25dd3206p-3, -0x1.5b0e18e3da777p-3, -0x1.55d1e62b2d36bp-3, -0x1.505caa4dac452p-3, -0x1.4ab1b19b11005p-3, -0x1.44d4346daf5a1p-3, -0x1.3ec75712948fap-3, -0x1.388e29c28d8e5p-3, -0x1.322ba8a9e4b6p-3, -0x1.2ba2bbfcc1ee8p-3, -0x1.24f6381668f0fp-3, -0x1.1e28dda1ab298p-3, -0x1.173d59c929d43p-3, -0x1.1036466e087cfp-3, -0x1.09162a63f82bfp-3, -0x1.01df79b198a29p-3, -0x1.f5292ba880d2cp-4, -0x1.e66f9c0cdee1cp-4, -0x1.d796bf108180ep-4, -0x1.c8a2ebd26824ap-4, -0x1.b99856a5d7efcp-4, -0x1.aa7b11a8ab166p-4, -0x1.9b4f0d59ef6c1p-4, -0x1.8c18193014b42p-4, -0x1.7cd9e42e496cap-4, -0x1.6d97fd78965dbp-4, -0x1.5e55d4e6671ebp-4, -0x1.4f16bb934c074p-4, -0x1.3fdde46dc41b8p-4, -0x1.30ae64c3f5cc4p-4, -0x1.218b34ce4033cp-4, -0x1.12773037a581dp-4, -0x1.037516a40a8d5p-4, -0x1.e90f1868a904ap-5, -0x1.cb623410f394fp-5, -0x1.ade85d7f2828ap-5, -0x1.90a63dec18369p-5, -0x1.73a04b83f3819p-5, -0x1.56daca5ba7752p-5, -0x1.3a59cd6318c9dp-5, -0x1.1e2137546d9f4p-5, -0x1.0234bba0a59fbp-5, -0x1.cd2fbeb36ed1ep-6, -0x1.969bf434d43e3p-6, -0x1.60b46dd84a6d3p-6, -0x1.2b7f2a55af0fbp-6, -0x1.ee03a59ce9252p-7, -0x1.8683791e25121p-7, -0x1.2087d59b6ad52p-7, -0x1.78344199d566bp-8, -0x1.650c8caa71261p-9, 0x1.fd3d28fd4d8b9p-13, 0x1.9e1a396e47fbap-9, 0x1.8ad54969ad5d1p-8, 0x1.219ac1fefa265p-7, 0x1.7c10fcbdb3451p-7, 0x1.d4c7f44a44f8dp-7, 0x1.15dd66bbc49a9p-6, 0x1.4072979c8d5e4p-6, 0x1.6a219fa6d870cp-6, 0x1.92e8cf7650805p-6, 0x1.bac6b3bb73c1ap-6, 0x1.e1ba1395e6c38p-6, 0x1.03e0f7785cbc8p-5, 0x1.166ebe705a7efp-5, 0x1.28861502709dap-5, 0x1.3a26cb74b3dbfp-5, 0x1.4b50cb367ee6bp-5, 0x1.5c041614841bdp-5, 0x1.6c40c56e4ea57p-5, 0x1.7c07096d47aa6p-5, 0x1.8b57283d64851p-5, 0x1.9a317d478b071p-5, 0x1.a896786dc9556p-5, 0x1.b6869d497a5a1p-5, 0x1.c402826b6753bp-5, 0x1.d10ad09e0c833p-5, 0x1.dda0422a0eafep-5, 0x1.e9c3a21cfc9a5p-5, 0x1.f575cb92706b3p-5, 0x1.005bd47fd485dp-4, 0x1.05c519c0d89bep-4, 0x1.0af73917112e3p-4, 0x1.0ff2bcb351a41p-4, 0x1.14b835179534cp-4, 0x1.194838c389e5cp-4, 0x1.1da363e2918c1p-4, 0x1.21ca57fb3c81p-4, 0x1.25bdbba049215p-4, 0x1.297e3a232b9ap-4, 0x1.2d0c8348231dcp-4, 0x1.30694afbe6028p-4, 0x1.3395490ae2aacp-4, 0x1.369138da1ff67p-4, 0x1.395dd921bf835p-4, 0x1.3bfbeba920ddbp-4, 0x1.3e6c3504adb77p-4, 0x1.40af7c554ac04p-4, 0x1.42c68b0973a17p-4, 0x1.44b22ca000b4bp-4, 0x1.46732e6c98656p-4, 0x1.480a5f5dc93ecp-4, 0x1.49788fc4d1c14p-4, 0x1.4abe911f0b16p-4, 0x1.4bdd35e0ff9a9p-4, 0x1.4cd5514323f0cp-4, 0x1.4da7b7103482cp-4, 0x1.4e553b7534aacp-4, 0x1.4edeb2d307932p-4, 0x1.4f44f191a7088p-4, 0x1.4f88cbf4eab1dp-4, 0x1.4fab15f2e630ap-4, 0x1.4faca30bd0437p-4, 0x1.4f8e462375e8ep-4, 0x1.4f50d15c2fd4fp-4, 0x1.4ef515f356e26p-4, 0x1.4e7be41f2fc18p-4, 0x1.4de60aee4c4f8p-4, 0x1.4d34582856cccp-4, 0x1.4c679830490edp-4, 0x1.4b8095e80113ap-4, 0x1.4a801a9533236p-4, 0x1.4966edc7af4dp-4, 0x1.4835d540f3e76p-4, 0x1.46ed94dd07a3dp-4, 0x1.458eee7c94557p-4, 0x1.441aa1f039cdap-4, 0x1.42916ce514696p-4, 0x1.40f40ad26f095p-4, 0x1.3f4334e8993e9p-4, 0x1.3d7fa200d9eedp-4, 0x1.3baa068e7a0a5p-4, 0x1.39c31490dad46p-4, 0x1.37cb7b869793dp-4, 0x1.35c3e861a70d2p-4, 0x1.33ad057c76178p-4, 0x1.31877a8ff5d93p-4, 0x1.2f53ecaa9646ep-4, 0x1.2d12fe2823c08p-4, 0x1.2ac54eaa8284ap-4, 0x1.286b7b1342861p-4, 0x1.26061d7e019c8p-4, 0x1.2395cd3b9831fp-4, 0x1.211b1ece07cd8p-4, 0x1.1e96a3e527434p-4, 0x1.1c08eb5c01fa4p-4, 0x1.19728136e82d7p-4, 0x1.16d3eea224e3fp-4, 0x1.142db9f15bbep-4, 0x1.1180669f7b95fp-4, 0x1.0ecc754f4d2cep-4, 0x1.0c1263cc8fce6p-4, 0x1.0952ad0da0c2ap-4, 0x1.068dc935a5756p-4, 0x1.03c42d9737f95p-4, 0x1.00f64cb7890f1p-4, 0x1.fc492ca3ef60ap-5, 0x1.f69eeeb830fbbp-5, 0x1.f0eeb41444aadp-5, 0x1.eb394ba788e9dp-5, 0x1.e57f7ef2af22cp-5, 0x1.dfc21212d7fc4p-5, 0x1.da01c3cd582f8p-5, 0x1.d43f4d9c1e843p-5, 0x1.ce7b63bab6036p-5, 0x1.c8b6b533d4341p-5, 0x1.c2f1ebef6f80dp-5, 0x1.bd2dacc15934ap-5, 0x1.b76a9778453e6p-5, 0x1.b1a946ed4c651p-5, 0x1.abea5113ccc79p-5, 0x1.a62e4709aea2bp-5, 0x1.a075b527fef11p-5, 0x1.9ac12313df301p-5, 0x1.951113cfbb83cp-5, 0x1.8f6605ccc846ap-5, 0x1.89c072fcbd2ccp-5, 0x1.8420d0e3c310ap-5, 0x1.7e8790aa9d36dp-5, 0x1.78f51f30f3a3ap-5, 0x1.7369e51fcbe3p-5, 0x1.6de646fc1ce79p-5, 0x1.686aa53983fc6p-5, 0x1.62f75c4d0af48p-5, 0x1.5d8cc4c004df1p-5, 0x1.582b3342f278bp-5, 0x1.52d2f8c076728p-5, 0x1.4d8462704904cp-5, 0x1.483fb9ea2ce9dp-5, 0x1.43054538e23cdp-5, 0x1.3dd546ed124ecp-5, 0x1.38affe302e76cp-5, 0x1.3395a6d742384p-5, 0x1.2e867975b31cdp-5, 0x1.2982ab6fec265p-5, 0x1.248a6f0df154p-5, 0x1.1f9df38dd91ddp-5, 0x1.1abd653627548p-5, 0x1.15e8ed6808bp-5, 0x1.1120b2b16e5a9p-5, 0x1.0c64d8df00503p-5, 0x1.07b5810def06cp-5, 0x1.0312c9bd94e0bp-5, 0x1.fcf99dc1e613ap-6, 0x1.f3e753dffe5a5p-6, 0x1.eaeee3f186dc9p-6, 0x1.e2107760998bfp-6, 0x1.d94c3306d30b1p-6, 0x1.d0a2374e68f63p-6, 0x1.c812a052de5dp-6, 0x1.bf9d8601409aap-6, 0x1.b742fc37ff8e3p-6, 0x1.af0312e65c44fp-6, 0x1.a6ddd62b56decp-6, 0x1.9ed34e743f8ecp-6, 0x1.96e3809abf18fp-6, 0x1.8f0e6e0274594p-6, 0x1.875414b61e634p-6, 0x1.7fb46f8444733p-6, 0x1.782f761b7451bp-6, 0x1.70c51d25f4ae1p-6, 0x1.697556650f544p-6, 0x1.624010cbd7cb2p-6, 0x1.5b2538997619bp-6, 0x1.5424b772fd70cp-6, 0x1.4d3e747cbf3d5p-6, 0x1.467254732b879p-6, 0x1.3fc039c32f238p-6, 0x1.392804a213eb6p-6, 0x1.32a99324f6b8dp-6, 0x1.2c44c157aa4b8p-6, 0x1.25f96953358f6p-6, 0x1.1fc76353cc2fbp-6, 0x1.19ae85ce4ed5p-6, 0x1.13aea5855accap-6, 0x1.0dc7959dd2941p-6, 0x1.07f927b3032c6p-6, 0x1.02432bea40e95p-6, 0x1.f94ae20c312ddp-7, 0x1.ee3f88f21905ap-7, 0x1.e363e4efacc15p-7, 0x1.d8b78c167f41ep-7, 0x1.ce3a124305b68p-7, 0x1.c3eb093e831ddp-7, 0x1.b9ca00e005ed6p-7, 0x1.afd6872c9b11p-7, 0x1.a6102876a28b5p-7, 0x1.9c766f7c45b9cp-7, 0x1.9308e58522eebp-7, 0x1.89c7127f25f04p-7, 0x1.80b07d1a91951p-7, 0x1.77c4aae534dd9p-7, 0x1.6f032064ebe7fp-7, 0x1.666b61313e4e9p-7, 0x1.5dfcf00c5d14ap-7, 0x1.55b74efb3c94dp-7, 0x1.4d99ff5d06f5bp-7, 0x1.45a48201d6abep-7, 0x1.3dd65740a9d82p-7, 0x1.362eff0caf6eep-7, 0x1.2eadf909dbbabp-7, 0x1.2752c4a0d2b7p-7, 0x1.201ce11225e04p-7, 0x1.190bcd88ebf1bp-7, 0x1.121f092ca8b79p-7, 0x1.0b561332af754p-7, 0x1.04b06aeebc2f3p-7, 0x1.fc5b1fc63afaap-8, 0x1.ef9a03a0492f7p-8, 0x1.e31c818621a09p-8, 0x1.d6e19a48c589cp-8, 0x1.cae84f8b43b1ap-8, 0x1.bf2fa3dd2cb3ap-8, 0x1.b3b69ad3efc8p-8, 0x1.a87c392324d4ap-8, 0x1.9d7f84b3e22b2p-8, 0x1.92bf84bb00f71p-8, 0x1.883b41ce6da2ep-8, 0x1.7df1c5f976af2p-8, 0x1.73e21cd045e6ep-8, 0x1.6a0b53824ebd2p-8, 0x1.606c78ebf320dp-8, 0x1.57049da73b50bp-8, 0x1.4dd2d41bba93dp-8, 0x1.44d6308d8dfb2p-8, 0x1.3c0dc92bb6c11p-8, 0x1.3378b61d7875ep-8, 0x1.2b16118f1432ap-8, 0x1.22e4f7bdbb1adp-8, 0x1.1ae48702c9a0ep-8, 0x1.1313dfde46c3fp-8, 0x1.0b722500bf34p-8, 0x1.03fe7b546c51bp-8, 0x1.f970140b64953p-9, 0x1.eb3bf5162894dp-9, 0x1.dd5ef158ce975p-9, 0x1.cfd765131df1bp-9, 0x1.c2a3b14128666p-9, 0x1.b5c23ba65ae9p-9, 0x1.a9316ed78ecdfp-9, 0x1.9cefba43ffcf3p-9, 0x1.90fb923d397c1p-9, 0x1.85536ffe0fc65p-9, 0x1.79f5d1b0b3905p-9, 0x1.6ee13a73b633fp-9, 0x1.6414325e4b619p-9, 0x1.598d4683b362ep-9, 0x1.4f4b08f599f72p-9, 0x1.454c10c606d88p-9, 0x1.3b8efa0821147p-9, 0x1.321265d08d0eap-9, 0x1.28d4fa34be8d8p-9, 0x1.1fd5624a05886p-9, 0x1.17124e237bdbp-9, 0x1.0e8a72cfad2bp-9, 0x1.063c8a556b215p-9, 0x1.fc4ea76041742p-10, 0x1.ec93259718e94p-10, 0x1.dd4420fe161a2p-10, 0x1.ce5f35105d415p-10, 0x1.bfe20709ff622p-10, 0x1.b1ca45db72981p-10, 0x1.a415aa1bddc8fp-10, 0x1.96c1f5fb374e3p-10, 0x1.89ccf532c5487p-10, 0x1.7d347cf543e1cp-10, 0x1.70f66bde5acadp-10, 0x1.6510a9e11565p-10, 0x1.59812835f476bp-10, 0x1.4e45e1482b14fp-10, 0x1.435cd8a275177p-10, 0x1.38c41adb1b01dp-10, 0x1.2e79bd7fa95d1p-10, 0x1.247bdf001492ep-10, 0x1.1ac8a6994048fp-10, 0x1.115e443f4e70fp-10, 0x1.083af0877a603p-10, 0x1.feb9d922c1471p-11, 0x1.ed8503e021c9p-11, 0x1.dcd40525eaf22p-11, 0x1.cca3915c2b1dp-11, 0x1.bcf06d4480f23p-11, 0x1.adb76dca057e4p-11, 0x1.9ef577d0a21cap-11, 0x1.90a78003c6f51p-11, 0x1.82ca8aa5521cbp-11, 0x1.755bab5b775c8p-11, 0x1.685804fed2868p-11, 0x1.5bbcc9681c1ecp-11, 0x1.4f87393d8efa3p-11, 0x1.43b4a3c04b9cfp-11, 0x1.384266996d3c4p-11, 0x1.2d2deda742542p-11, 0x1.2274b2ca2bd75p-11, 0x1.18143db18e639p-11, 0x1.0e0a23a8fa671p-11, 0x1.04540764eb56cp-11, 0x1.f5df31a009fddp-12, 0x1.e3b529b0375d8p-12, 0x1.d2258a76dc505p-12, 0x1.c12c00ac0813ap-12, 0x1.b0c451de4c3ddp-12, 0x1.a0ea5c0e6b6a6p-12, 0x1.919a154ae2f8cp-12, 0x1.82cf8b4c3f73ep-12, 0x1.7486e311a9b93p-12, 0x1.66bc587ebc6f2p-12, 0x1.596c3df86c987p-12, 0x1.4c92fc0422d9bp-12, 0x1.402d10e6d6ff9p-12, 0x1.3437104405b0bp-12, 0x1.28ada2befb4c7p-12, 0x1.1d8d859b4136bp-12, 0x1.12d38a5ec7a4p-12, 0x1.087c9674c80cap-12, 0x1.fd0b45a12d02ep-13, 0x1.e9d77724d89e9p-13, 0x1.d757ff58be706p-13, 0x1.c587411024714p-13, 0x1.b45fc35b97c6p-13, 0x1.a3dc30d8f1706p-13, 0x1.93f75702db19p-13, 0x1.84ac2586173acp-13, 0x1.75f5ad9505244p-13, 0x1.67cf213f6258p-13, 0x1.5a33d2ca6d335p-13, 0x1.4d1f340cbcf12p-13, 0x1.408cd5c9f68c2p-13, 0x1.347867127b71p-13, 0x1.28ddb4a3ca88ap-13, 0x1.1db8a84ae4783p-13, 0x1.1305484ab2b36p-13, 0x1.08bfb6c0ba9c3p-13, 0x1.fdc86220226dap-14, 0x1.eade1e96376fap-14, 0x1.d8b9874258545p-14, 0x1.c753b39aea826p-14, 0x1.b6a5ed10d9213p-14, 0x1.a6a9adf60b4a4p-14, 0x1.9758a06829121p-14, 0x1.88ac9d3eb5e88p-14, 0x1.7a9faaffcaab2p-14, 0x1.6d2bfcd5e4c76p-14, 0x1.604bf18ad3e9p-14, 0x1.53fa1288cab13p-14, 0x1.483112dba5d58p-14, 0x1.3cebce3b73c6fp-14, 0x1.32254814a5bb1p-14, 0x1.27d8aa9a1d6c3p-14, 0x1.1e0145d82705dp-14, 0x1.149a8ecc5319bp-14, 0x1.0ba01e8109e7dp-14, 0x1.030db12d33aa5p-14, 0x1.f5be4aafa07d4p-15, 0x1.e620f5feeea81p-15, 0x1.d73ba58b857b9p-15, 0x1.c906da3d4e1dp-15, 0x1.bb7b530687e68p-15, 0x1.ae920b5129384p-15, 0x1.a2443975a254p-15, 0x1.968b4d33eebbap-15, 0x1.8b60ee3b637f5p-15, 0x1.80befab404752p-15, 0x1.769f85d022184p-15, 0x1.6cfcd667c3bbdp-15, 0x1.63d1659767fb2p-15, 0x1.5b17dd68e8ae6p-15, 0x1.52cb178154869p-15, 0x1.4ae61bd66add1p-15, 0x1.43641f6a7ed2fp-15, 0x1.3c40830f82244p-15, 0x1.3576d22f7f6ap-15, 0x1.2f02c19d51202p-15, 0x1.28e02e6adf856p-15, 0x1.230b1cc3f0b2p-15, 0x1.1d7fb6d3cee69p-15, 0x1.183a4bab6dac8p-15, 0x1.13374e325e566p-15, 0x1.0e73541aeb8b5p-15, 0x1.09eb14dd0d9fbp-15, 0x1.059b68b79651fp-15, 0x1.018147b68896ap-15, 0x1.fb33917c6cfap-16, 0x1.f3c4413ec6e21p-16, 0x1.ecaf4257ae85ap-16, 0x1.e5ef70a8c1192p-16, 0x1.df7fde94939aep-16, 0x1.d95bd34dd22bbp-16, 0x1.d37ec92ec7c4p-16, 0x1.cde46c1bd6c9bp-16, 0x1.c88897f0b5219p-16, 0x1.c36756f77775ep-16, 0x1.be7ce066fa3c3p-16, 0x1.b9c596ebfc328p-16, 0x1.b53e073f62473p-16, 0x1.b0e2e6bc76748p-16, 0x1.acb1120a7a168p-16, 0x1.a8a58bc837238p-16, 0x1.a4bd7b421a833p-16, 0x1.a0f62b307d1b8p-16, 0x1.9d4d08800b56cp-16, 0x1.99bfa11ff571fp-16, 0x1.964ba2d964a6ap-16, 0x1.92eeda2dd2dbbp-16, 0x1.8fa7313ec404ep-16, 0x1.8c72aebc58aa9p-16, 0x1.894f74d7dd80fp-16, 0x1.863bc045f18b3p-16, 0x1.8335e73da377p-16, 0x1.803c58873d4cp-16, 0x1.7d4d9a8aa910fp-16, 0x1.7a684a6bb5e07p-16, 0x1.778b1b255de93p-16, 0x1.74b4d4b250805p-16, 0x1.71e453373814bp-16, 0x1.6f1886351b635p-16, 0x1.6c506fc0673a7p-16, 0x1.698b23c06e48ep-16, 0x1.66c7c7314918ap-16, 0x1.64058f6e0dd24p-16, 0x1.6143c17e6adb5p-16, 0x1.5e81b16c5f983p-16, 0x1.5bbec19baa925p-16, 0x1.58fa6229b1454p-16, 0x1.5634104fae26p-16, 0x1.536b55cc4db48p-16, 0x1.509fc84f788e5p-16, 0x1.4dd108eda39b7p-16, 0x1.4afec394c39a7p-16, 0x1.4828ae87cc03ap-16, 0x1.454e89de127afp-16, 0x1.42701f061adfbp-16, 0x1.3f8d404d941a2p-16, 0x1.3ca5c86c5db14p-16, 0x1.39b99a1522474p-16, 0x1.36c89f876981dp-16, 0x1.33d2ca280fd05p-16, 0x1.30d81219e181dp-16, 0x1.2dd875deda054p-16, 0x1.2ad3f9f70aecbp-16, 0x1.27caa88753fa9p-16, 0x1.24bc9101c171p-16, 0x1.21a9c7d05dfffp-16, 0x1.1e926604daa67p-16, 0x1.1b76890914846p-16, 0x1.18565255860a5p-16, 0x1.1531e7267c8dbp-16, 0x1.12097038e8dbp-16, 0x1.0edd19858199ap-16, 0x1.0bad1201cee5p-16, 0x1.08798b613d1a9p-16, 0x1.0542b9dab8809p-16, 0x1.0208d3ef36b77p-16, 0x1.fd98246737a11p-17, 0x1.f7195e3967ccfp-17, 0x1.f095cd98f8fe6p-17, 0x1.ea0dedc60f17fp-17, 0x1.e3823c9fc5fefp-17, 0x1.dcf33a4e39c6ap-17, 0x1.d66168ee75f7fp-17, 0x1.cfcd4c420f092p-17, 0x1.c9376963696efp-17, 0x1.c2a0467de8d65p-17, 0x1.bc086a87e5549p-17, 0x1.b5705d01625d6p-17, 0x1.aed8a5b50bf2fp-17, 0x1.a841cc7d950d2p-17, 0x1.a1ac590e04d78p-17, 0x1.9b18d2b9bd523p-17, 0x1.9487c04565863p-17, 0x1.8df9a7b4959fcp-17, 0x1.876f0e1e71174p-17, 0x1.80e877819f71ap-17, 0x1.7a66669d36554p-17, 0x1.73e95ccb70ca7p-17, 0x1.6d71d9dcb44e3p-17, 0x1.67005bf85b131p-17, 0x1.60955f7cf83b6p-17, 0x1.5a315ee2b710dp-17, 0x1.53d4d2a1ebe4dp-17, 0x1.4d803118dfca4p-17, 0x1.4733ee75d34d3p-17, 0x1.40f07c9fdc9c2p-17, 0x1.3ab64b25f09f4p-17, 0x1.3485c72afd37ap-17, 0x1.2e5f5b5560272p-17, 0x1.28436fc185721p-17, 0x1.223269f399679p-17, 0x1.1c2caccba7399p-17, 0x1.1632987b4d68ap-17, 0x1.10448a7b837bp-17, 0x1.0a62dd85769b6p-17, 0x1.048de98bc42dcp-17, 0x1.fd8c07667d4d7p-18, 0x1.f216fca00bd22p-18, 0x1.e6bd51c259a8ep-18, 0x1.db7fa01a0d71ap-18, 0x1.d05e7b421c867p-18, 0x1.c55a7121219a9p-18, 0x1.ba7409e7c69d2p-18, 0x1.afabc81526839p-18, 0x1.a5022877bb5ep-18, 0x1.9a77a233c3c6ep-18, 0x1.900ca6c8cfdcdp-18, 0x1.85c1a218825adp-18, 0x1.7b96fa70e15c2p-18, 0x1.718d1094dad34p-18, 0x1.67a43fc8b6ecap-18, 0x1.5ddcdddc93c52p-18, 0x1.54373b3ada4b1p-18, 0x1.4ab3a2f5a5e9ep-18, 0x1.41525ad65d1b2p-18, 0x1.3813a36cb3833p-18, 0x1.2ef7b820246dfp-18, 0x1.25fecf3fa1482p-18, 0x1.1d291a163aa62p-18, 0x1.1476c4fa315d3p-18, 0x1.0be7f76333edfp-18, 0x1.037cd3fccedd7p-18, 0x1.f66af174b5ec3p-19, 0x1.e623fdd7bec1cp-19, 0x1.d624f6a647c09p-19, 0x1.c66dfc724a169p-19, 0x1.b6ff2707cc69dp-19, 0x1.a7d88597213fep-19, 0x1.98fa1ee46b773p-19, 0x1.8a63f172b1659p-19, 0x1.7c15f3b10126cp-19, 0x1.6e10142a19fb2p-19, 0x1.605239af260bbp-19, 0x1.52dc4389f4f28p-19, 0x1.45ae09a878573p-19, 0x1.38c75ccdfdf0ep-19, 0x1.2c2806be0fe9fp-19, 0x1.1fcfca6d87af1p-19, 0x1.13be64311430bp-19, 0x1.07f389eb78a96p-19, 0x1.f8ddd67a7af5p-20, 0x1.e260636107a7ep-20, 0x1.cc6e01d2b5b74p-20, 0x1.b705eda162b88p-20, 0x1.a227578d55a4ap-20, 0x1.8dd16598dd235p-20, 0x1.7a033363f330ap-20, 0x1.66bbd28b07cdfp-20, 0x1.53fa4af520bcep-20, 0x1.41bd9b3792a32p-20, 0x1.3004b8e47d013p-20, 0x1.1ece90e85d998p-20, 0x1.0e1a07d89c8aep-20, 0x1.fbcbf49dc1837p-21, 0x1.dc627a6d1d7fap-21, 0x1.bdf53c450ab5ap-21, 0x1.a081c73ecfd5p-21, 0x1.84059b0560f2bp-21, 0x1.687e2a72d3f9cp-21, 0x1.4de8dc330333bp-21, 0x1.34430b59b3ea9p-21, 0x1.1b8a07f26245ap-21, 0x1.03bb17a5e1d17p-21, 0x1.d9a6ec7ef7926p-22, 0x1.ada0ac8c06b34p-22, 0x1.835dc3145c0ap-22, 0x1.5ad8735328191p-22, 0x1.340af1444454ep-22, 0x1.0eef62a264568p-22, 0x1.d6ffbffadea4fp-23, 0x1.936ceb5012a8cp-23, 0x1.531a498812b66p-23, 0x1.15fbc88d6a9bdp-23, 0x1.b80a87678e6cbp-24, 0x1.4a550b31c0f52p-24, 0x1.c57d28365e972p-25, 0x1.025cff6077963p-25, 0x1.2c60a47cfb3e2p-27, -0x1.820bcd2b4494cp-27, -0x1.00a60ea21d2e8p-25, -0x1.9582fb0c5a7d8p-25, -0x1.0fa5cedbdda55p-24, -0x1.4f18f4305623fp-24, -0x1.8933e9e10a80fp-24, -0x1.be0faccdde408p-24, -0x1.edc5375ad6b74p-24, -0x1.0c36bf5a9bf14p-23, -0x1.1f10b823ec843p-23, -0x1.2f7cf76e64f26p-23, -0x1.3d87e822e06afp-23, -0x1.493ded6bb213bp-23, -0x1.52ab61625fb7ap-23, -0x1.59dc941338ad8p-23, -0x1.5eddca419c82ep-23, -0x1.61bb3c488a003p-23, -0x1.62811514e0489p-23, -0x1.613b713880b6cp-23, -0x1.5df65dd307e53p-23, -0x1.58bdd78cf4775p-23, -0x1.519dc9c266e22p-23, -0x1.48a20d9e06ec1p-23, -0x1.3dd669480959ep-23, -0x1.31468efa2e3bcp-23, -0x1.22fe1c3bd1767p-23, -0x1.1308992d196d2p-23, -0x1.017177c4b1a9p-23, -0x1.dc88262230ed7p-24, -0x1.b3175d35ecb0fp-24, -0x1.86a6eb7e63712p-24, -0x1.574cf5fe51e09p-24, -0x1.251f6f08e89fdp-24, -0x1.e0682a556375bp-25, -0x1.7140e3a091507p-25, -0x1.f9e76180ca97ep-26, -0x1.07559580140b6p-26, -0x1.63fed1b70b89fp-31, 0x1.f4cd966469b88p-27, 0x1.047672b533c1ap-25, 0x1.9010bbb5296fap-25, 0x1.0fed2302c845ep-24, 0x1.59d5c72cd2b5bp-24, 0x1.a5aec5017a7cp-24, 0x1.f364d3f20091ep-24, 0x1.2172747d988aep-23, 0x1.4a0e1b722b8ddp-23, 0x1.737c176d62b59p-23, 0x1.9db3405465ea7p-23, 0x1.c8aa8db51960dp-23, 0x1.f45916caefaf4p-23, 0x1.105b095d7620ep-22, 0x1.26dc6c59eb996p-22, 0x1.3dac700453efcp-22, 0x1.54c6e01e83a0fp-22, 0x1.6c27988eb5a66p-22, 0x1.83ca8575177fbp-22, 0x1.9baba31f2a3fep-22, 0x1.b3c6fe1cb4196p-22, 0x1.cc18b3354371cp-22, 0x1.e49cef6c21c2ep-22, 0x1.fd4ff001d438fp-22, 0x1.0b170137dc24dp-21, 0x1.1799c23197e32p-21, 0x1.242e71d84a135p-21, 0x1.30d34f2a5da6bp-21, 0x1.3d86a13468b43p-21, 0x1.4a46b70a5391dp-21, 0x1.5711e7bf8e0bap-21, 0x1.63e692615f04dp-21, 0x1.70c31df26264cp-21, 0x1.7da5f95e1dcafp-21, 0x1.8a8d9b6f80965p-21, 0x1.977882cb51451p-21, 0x1.a46535e4c51afp-21, 0x1.b15242ee0c39ep-21, 0x1.be3e3fd20f885p-21, 0x1.cb27ca250465fp-21, 0x1.d80d871d14062p-21, 0x1.e4ee2380f5b3cp-21, 0x1.f1c8539d38b57p-21, 0x1.fe9ad3359a28bp-21, 0x1.05b232bb2e961p-20, 0x1.0c11ea726dac6p-20, 0x1.126bf9aa5c5f9p-20, 0x1.18bfcce8e5b84p-20, 0x1.1f0cd44bd9611p-20, 0x1.2552837fae8cbp-20, 0x1.2b9051b55c3c5p-20, 0x1.31c5b99b61ae6p-20, 0x1.37f23956d92cbp-20, 0x1.3e15527a81bc3p-20, 0x1.442e89fc7cc22p-20, 0x1.4a3d682d0b9bfp-20, 0x1.504178af3cf89p-20, 0x1.563a4a70b8395p-20, 0x1.5c276f9ed074ap-20, 0x1.62087d9c22faap-20, 0x1.67dd0cfa01c27p-20, 0x1.6da4b96e02f1ap-20, 0x1.735f21c8a88c3p-20, 0x1.790be7eabe684p-20, 0x1.7eaab0bd3dc5p-20, 0x1.843b242718c55p-20, 0x1.89bced046a2b2p-20, 0x1.8f2fb91aeb8eep-20, 0x1.9493391093d64p-20, 0x1.99e72062f9aa2p-20, 0x1.9f2b255d16dfbp-20, 0x1.a45f010bcb5dap-20, 0x1.a9826f364c344p-20, 0x1.ae952e547bbffp-20, 0x1.b396ff82276f5p-20, 0x1.b887a676b402ap-20, 0x1.bd66e97be6ab6p-20, 0x1.c23491652bd6ap-20, 0x1.c6f069818d85p-20, 0x1.cb9a3f9553e87p-20, 0x1.d031e3cf6db87p-20, 0x1.d4b728bf1db2cp-20, 0x1.d929e3498b4ap-20, 0x1.dd89eaa1e108bp-20, 0x1.e1d7183f34dedp-20, 0x1.e61147d0c13dfp-20, 0x1.ea38573655581p-20, 0x1.ee4c267630be6p-20, 0x1.f24c97b2ba1bcp-20, 0x1.f6398f21497abp-20, 0x1.fa12f302188b4p-20, 0x1.fdd8ab95b42fdp-20, 0x1.00c551891a32bp-19, 0x1.029462ce19b32p-19, 0x1.0459809e12ed2p-19, 0x1.0614a2eaec7c3p-19, 0x1.07c5c28f549d2p-19, 0x1.096cd94a41fcfp-19, 0x1.0b09e1bb0cb72p-19, 0x1.0c9cd75cb860fp-19, 0x1.0e25b68087eb7p-19, 0x1.0fa47c4a7ef88p-19, 0x1.111926ad55f4cp-19, 0x1.1283b46554e0ap-19, 0x1.13e424f4525e6p-19, 0x1.153a789da8f27p-19, 0x1.1686b0623cfc2p-19, 0x1.17c8cdfb1c1ecp-19, 0x1.1900d3d678cccp-19, 0x1.1a2ec5133bcep-19, 0x1.1b52a57cb2992p-19, 0x1.1c6c7987b2a4ep-19, 0x1.1d7c464d9a3d8p-19, 0x1.1e821187a45d1p-19, 0x1.1f7de18cecce5p-19, 0x1.206fbd4ce7dp-19, 0x1.2157ac4c3fa5ap-19, 0x1.2235b6a1a7c82p-19, 0x1.2309e4f183c0dp-19, 0x1.23d44069b6f1bp-19, 0x1.2494d2bf06bc6p-19, 0x1.254ba62967f61p-19, 0x1.25f8c55fda37p-19, 0x1.269c3b9501f9ap-19, 0x1.273614747cebfp-19, 0x1.27c65c1e27f18p-19, 0x1.284d1f23edaacp-19, 0x1.28ca6a866c1b2p-19, 0x1.293e4bb11ef2bp-19, 0x1.29a8d0770af85p-19, 0x1.2a0a07103d035p-19, 0x1.2a61fe1605906p-19, 0x1.2ab0c4800bef1p-19, 0x1.2af669a1b2233p-19, 0x1.2b32fd2688f85p-19, 0x1.2b668f0fde8bdp-19, 0x1.2b912fb167fc4p-19, 0x1.2bb2efae23037p-19, 0x1.2bcbdff673773p-19, 0x1.2bdc11c434357p-19, 0x1.2be39698b45ccp-19, 0x1.2be2803a43887p-19, 0x1.2bd8e0b0eb104p-19, 0x1.2bc6ca43f889dp-19, 0x1.2bac4f77c96d8p-19, 0x1.2b89830a2afc8p-19, 0x1.2b5e77f14abd9p-19, 0x1.2b2b415914076p-19, 0x1.2aeff29fba8eep-19, 0x1.2aac9f544a9f6p-19, 0x1.2a615b3403c2dp-19, 0x1.2a0e3a27d31f3p-19, 0x1.29b35042d13bcp-19, 0x1.2950b1bf7f43bp-19, 0x1.28e672fd71cf3p-19, 0x1.2874a8807011dp-19, 0x1.27fb66ec49668p-19, 0x1.277ac3046205p-19, 0x1.26f2d1a9a8bb9p-19, 0x1.2663a7d7865f4p-19, 0x1.25cd5aa3cece7p-19, 0x1.252fff3a7bf91p-19, 0x1.248baadda9d77p-19, 0x1.23e072e350309p-19, 0x1.232e6cb2e4bddp-19, 0x1.2275adc471b3ap-19, 0x1.21b64b9eb8725p-19, 0x1.20f05bd4ca707p-19, 0x1.2023f40528693p-19, 0x1.1f5129d7c30a1p-19, 0x1.1e7812fcf6f74p-19, 0x1.1d98c52c0842ap-19, 0x1.1cb3562024e19p-19, 0x1.1bc7db9900e5bp-19, 0x1.1ad66b5813bedp-19, 0x1.19df1b1f3648ep-19, 0x1.18e200b0b4aa8p-19, 0x1.17df31cbf6dd7p-19, 0x1.16d6c42d0fb2p-19, 0x1.15c8cd8c4c661p-19, 0x1.14b5639bbcd82p-19, 0x1.139c9c06aca3p-19, 0x1.127e8c6fbf772p-19, 0x1.115b4a71184dcp-19, 0x1.1032eb99b12f9p-19, 0x1.0f05856cda145p-19, 0x1.0dd32d62784bap-19, 0x1.0c9bf8e3535d6p-19, 0x1.0b5ffd4a97d77p-19, 0x1.0a1f4fe321d28p-19, 0x1.08da05e7626d9p-19, 0x1.07903480e62bdp-19, 0x1.0641f0c589915p-19, 0x1.04ef4fb8c80fap-19, 0x1.039866495c6ecp-19, 0x1.023d4950d74f1p-19, 0x1.00de0d945cd12p-19, 0x1.fef58f80b03e8p-20, 0x1.fc2718d600f8ep-20, 0x1.f950e0259f172p-20, 0x1.f6730e3845bfp-20, 0x1.f38dcba4bbe1bp-20, 0x1.f0a140cdf813bp-20, 0x1.edad95e09774cp-20, 0x1.eab2f2d1a1c8fp-20, 0x1.e7b17f5f36694p-20, 0x1.e4a9630cffc2cp-20, 0x1.e19ac5234260ep-20, 0x1.de85ccb09e90fp-20, 0x1.db6aa085cdb86p-20, 0x1.d8496735947ecp-20, 0x1.d52247141cc8ep-20, 0x1.d1f566369aa38p-20, 0x1.cec2ea70b9f27p-20, 0x1.cb8af954d93cep-20, 0x1.c84db83320c95p-20, 0x1.c50b4c17cda8fp-20, 0x1.c1c3d9ce2cf32p-20, 0x1.be7785d92c4c7p-20, 0x1.bb2674773030bp-20, 0x1.b7d0c9a36372dp-20, 0x1.b476a90e56c0cp-20, 0x1.b1183623a1ca5p-20, 0x1.adb59407c7afep-20, 0x1.aa4ee5946d67p-20, 0x1.a6e44d5bd3c8bp-20, 0x1.a375eda741bd6p-20, 0x1.a003e87453f16p-20, 0x1.9c8e5f77fefbfp-20, 0x1.9915741cda6a3p-20, 0x1.959947807d223p-20, 0x1.9219fa7597cd6p-20, 0x1.8e97ad84b3139p-20, 0x1.8b1280e8a6904p-20, 0x1.878a94904eee9p-20, 0x1.8400081deeceep-20, 0x1.8072fae6ca78fp-20, 0x1.7ce38bf431081p-20, 0x1.7951d9ff9bc0ap-20, 0x1.75be03773f1fep-20, 0x1.7228267cd01dp-20, 0x1.6e9060dfee894p-20, 0x1.6af6d0265bfe2p-20, 0x1.675b91876d1b5p-20, 0x1.63bec1ea12da9p-20, 0x1.60207dea6f07cp-20, 0x1.5c80e1d45ee97p-20, 0x1.58e009a560a2bp-20, 0x1.553e110ecb964p-20, 0x1.519b1372d4043p-20, 0x1.4df72be506663p-20, 0x1.4a52752d35fd5p-20, 0x1.46ad09c18af63p-20, 0x1.430703cd32804p-20, 0x1.3f607d2e0d0c2p-20, 0x1.3bb98f71ddb87p-20, 0x1.381253db03bbcp-20, 0x1.346ae35d29d81p-20, 0x1.30c356a0475a1p-20, 0x1.2d1bc5fdfff21p-20, 0x1.29744982023e3p-20, 0x1.25ccf8ef9d69dp-20, 0x1.2225ebb819503p-20, 0x1.1e7f390434d89p-20, 0x1.1ad8f7b0ed9f2p-20, 0x1.17333e4c34051p-20, 0x1.138e231afc2c7p-20, 0x1.0fe9bc16f1fbp-20, 0x1.0c461eed1ec3cp-20, 0x1.08a3610251df2p-20, 0x1.0501976d71733p-20, 0x1.0160d6fdb704dp-20, 0x1.fb826872df4aep-21, 0x1.f44586b34088ap-21, 0x1.ed0b30a383a68p-21, 0x1.e5d38d95b9409p-21, 0x1.de9ec447e280ap-21, 0x1.d76cfaef03b03p-21, 0x1.d03e5728fafa3p-21, 0x1.c912fe0a703fp-21, 0x1.c1eb141374925p-21, 0x1.bac6bd3eb343bp-21, 0x1.b3a61cf3528a1p-21, 0x1.ac89560cf47c4p-21, 0x1.a5708ae3d9036p-21, 0x1.9e5bdd39f446ap-21, 0x1.974b6e512d68ap-21, 0x1.903f5ee05f53bp-21, 0x1.8937cf1183f24p-21, 0x1.8234de8fe8f5cp-21, 0x1.7b36ac7b20988p-21, 0x1.743d576ca427p-21, 0x1.6d48fd7deb70ap-21, 0x1.6659bc40cb456p-21, 0x1.5f6fb0c95fbb7p-21, 0x1.588af7a262ceep-21, 0x1.51abacdcd0b5cp-21, 0x1.4ad1ec0818f09p-21, 0x1.43fdd0311da62p-21, 0x1.3d2f73eb24306p-21, 0x1.3666f147ab8e4p-21, 0x1.2fa461e131066p-21, 0x1.28e7ded3a2b3ep-21, 0x1.223180c1ba1e5p-21, 0x1.1b815fd289f57p-21, 0x1.14d793b77361bp-21, 0x1.0e3433ab58cbfp-21, 0x1.0797566bce2fdp-21, 0x1.0101124bd2b9ap-21, 0x1.f4e2fa3c12084p-22, 0x1.e7d15894060fep-22, 0x1.dacd6982e544bp-22, 0x1.cdd75606cd11bp-22, 0x1.c0ef464038631p-22, 0x1.b41561701993bp-22, 0x1.a749cdf217263p-22, 0x1.9a8cb15218ba5p-22, 0x1.8dde303933bccp-22, 0x1.813e6e81191bp-22, 0x1.74ad8f1df26cbp-22, 0x1.682bb447bc895p-22, 0x1.5bb8ff4c21c6ep-22, 0x1.4f5590bb7220ep-22, 0x1.4301884b40a2ep-22, 0x1.36bd04efbc837p-22, 0x1.2a8824c8bda56p-22, 0x1.1e6305332506bp-22, 0x1.124dc2c6cda2cp-22, 0x1.06487955b600dp-22, 0x1.f4a687ddbf89p-23, 0x1.dcdc79b41db81p-23, 0x1.c532fb662c19ap-23, 0x1.adaa3e8a163dep-23, 0x1.964273529a383p-23, 0x1.7efbc8820f491p-23, 0x1.67d66b654561cp-23, 0x1.50d287e9e88b9p-23, 0x1.39f0488dbc59p-23, 0x1.232fd6689a765p-23, 0x1.0c91593fc613fp-23, 0x1.ec29eeeb3194ap-24, 0x1.bf75ac218a392p-24, 0x1.930631a58ace3p-24, 0x1.66dbc445dc37ap-24, 0x1.3af6a6216343ap-24, 0x1.0f57170d2ca9fp-24, 0x1.c7faa7e8c721cp-25, 0x1.71d32f36617bbp-25, 0x1.1c3834028a418p-25, 0x1.8e5443e51f612p-26, 0x1.caa57c9da6819p-27, 0x1.eb64dabe89e3fp-29, -0x1.a575ae7252273p-28, -0x1.0f0aa56a927ccp-26, -0x1.b39a6b4571ae8p-26, -0x1.2b860f487c233p-25, -0x1.7caf953365b6fp-25, -0x1.cd49813ec2f7fp-25, -0x1.0ea9c8cc20abdp-24, -0x1.3666c4754e88dp-24, -0x1.5ddb971ac161cp-24, -0x1.8508263f53619p-24, -0x1.abec59988146dp-24, -0x1.d2881ae1e68aep-24, -0x1.f8db55e1c728fp-24, -0x1.0f72fc352dbcbp-23, -0x1.2253f914f5b0ap-23, -0x1.35109a7cef529p-23, -0x1.47a8da3d37852p-23, -0x1.5a1cb3179f14fp-23, -0x1.6c6c20deda78bp-23, -0x1.7e972021f905p-23, -0x1.909dae89b660ep-23, -0x1.a27fca832e30ep-23, -0x1.b43d737a6cadfp-23, -0x1.c5d6a9a15a0f1p-23, -0x1.d74b6e2817946p-23, -0x1.e89bc2f7e7dep-23, -0x1.f9c7aaf0f28c5p-23, -0x1.056794d60ad1p-22, -0x1.0dd921d448fe1p-22, -0x1.16387f127ae72p-22, -0x1.1e85af9e2d9f7p-22, -0x1.26c0b6e26b08cp-22, -0x1.2ee998abb39f8p-22, -0x1.3700593149a63p-22, -0x1.3f04fd002d9d4p-22, -0x1.46f789075836cp-22, -0x1.4ed802962d45p-22, -0x1.56a66f5166291p-22, -0x1.5e62d53cc1fc9p-22, -0x1.660d3ab382f53p-22, -0x1.6da5a66789315p-22, }}, 
      {{0x1.c641f1108b7d2p-9, 0x1.c9199e4589709p-8, 0x1.5a3591d6e8b2ap-7, 0x1.d37e9b78a95afp-7, 0x1.287d7d071bc4fp-6, 0x1.696ad4a72ab5fp-6, 0x1.ac6a37714737p-6, 0x1.f130eff591df9p-6, 0x1.1ba6f53ec2d4p-5, 0x1.3f1903fd607b8p-5, 0x1.629c5826fbf2bp-5, 0x1.85d804cba877bp-5, 0x1.a87037e62158fp-5, 0x1.ca097942232e7p-5, 0x1.ea4b5fa6b027bp-5, 0x1.04715d8989dap-4, 0x1.12c19d603b832p-4, 0x1.1ff44d418f30ap-4, 0x1.2bebb2e7a0123p-4, 0x1.368eafd6727e7p-4, 0x1.3fc8cf6717647p-4, 0x1.478a361493ap-4, 0x1.4dc7789ad05e7p-4, 0x1.527960bbd61p-4, 0x1.559ca4babd363p-4, 0x1.573195daa5434p-4, 0x1.573bc97a654d7p-4, 0x1.55c1bfbfda553p-4, 0x1.52cc8a31c099dp-4, 0x1.4e67741d630b4p-4, 0x1.489fae35873f8p-4, 0x1.4183fe78bb728p-4, 0x1.3924751d2546cp-4, 0x1.2f9226fd8f2dep-4, 0x1.24deedcd139b1p-4, 0x1.191d2e2af8ee3p-4, 0x1.0c5fa38d9648fp-4, 0x1.fd7263c051518p-5, 0x1.e0797936434bap-5, 0x1.c1fa061f5e6c1p-5, 0x1.a2190329fd28bp-5, 0x1.80faae7ea845cp-5, 0x1.5ec25f8b6235ep-5, 0x1.3b926273bb45bp-5, 0x1.178bda6f69c31p-5, 0x1.e59d54cc4d33dp-6, 0x1.9af2c63da3526p-6, 0x1.4f526cc174828p-6, 0x1.02f3dcdfa0a04p-6, 0x1.6c17a55c45169p-7, 0x1.a330bbfad1344p-8, 0x1.b63fa377fd262p-10, -0x1.9004a00d63371p-9, -0x1.fce0243501f2cp-8, -0x1.983750717f7f3p-7, -0x1.188758e3b0dfdp-6, -0x1.6459926e1e015p-6, -0x1.af73466bf58adp-6, -0x1.f9b7c9897ab5ep-6, -0x1.21865dbf9660cp-5, -0x1.45acf73388a24p-5, -0x1.6944a6dcf2a85p-5, -0x1.8c43629846604p-5, -0x1.aea013de7022ap-5, -0x1.d0528b626f74ap-5, -0x1.f15374e2008adp-5, -0x1.08ce259bfe6cep-4, -0x1.1893a65e2a5fdp-4, -0x1.27f7b7fd7ea32p-4, -0x1.36f82c648de8bp-4, -0x1.459326dedffacp-4, -0x1.53c71708fef69p-4, -0x1.6192b3f566f33p-4, -0x1.6ef4f786ef5e5p-4, -0x1.7bed1a00d197bp-4, -0x1.887a8dcbf9c42p-4, -0x1.949cfb70fd594p-4, -0x1.a0543dc5c84fap-4, -0x1.aba05e4dcda4bp-4, -0x1.b68191cb7503dp-4, -0x1.c0f835011f8d4p-4, -0x1.cb04c9a055d05p-4, -0x1.d4a7f3653d1e6p-4, -0x1.dde2755cc42bfp-4, -0x1.e6b52f539c2cap-4, -0x1.ef211b6c3c0dep-4, -0x1.f7274bda2d376p-4, -0x1.fec8e8c0d4e59p-4, -0x1.03039719fcc2fp-3, -0x1.0671b52c20dbdp-3, -0x1.09af7dd10debcp-3, -0x1.0cbda798a880ap-3, -0x1.0f9cefa3e1211p-3, -0x1.124e18ece3d6dp-3, -0x1.14d1eb9b58087p-3, -0x1.1729346409815p-3, -0x1.1954c3f342d1fp-3, -0x1.1b556e613ab3ep-3, -0x1.1d2c0aaffa832p-3, -0x1.1ed972522843bp-3, -0x1.205e80ba1eab8p-3, -0x1.21bc12f0e1b7ep-3, -0x1.22f307345dcb6p-3, -0x1.24043c9c80bbfp-3, -0x1.24f092c6c6c96p-3, -0x1.25b8e987c2fa1p-3, -0x1.265e20a244c01p-3, -0x1.26e11783c2efap-3, -0x1.2742ad05ac282p-3, -0x1.2783bf335108p-3, -0x1.27a52b14157eap-3, -0x1.27a7cc79a9047p-3, -0x1.278c7dd1f7719p-3, -0x1.275417fc9f6d5p-3, -0x1.26ff7223a9dbdp-3, -0x1.268f6197564d9p-3, -0x1.2604b9acbc3b6p-3, -0x1.25604b9f1c1d3p-3, -0x1.24a2e673b29e6p-3, -0x1.23cd56dfdf508p-3, -0x1.22e067317f32ep-3, -0x1.21dcdf394ff47p-3, -0x1.20c3843748961p-3, -0x1.1f9518c8b70d2p-3, -0x1.1e525cd80f8b2p-3, -0x1.1cfc0d8e5af2ap-3, -0x1.1b92e546187e4p-3, -0x1.1a179b7f8c70fp-3, -0x1.188ae4d65de86p-3, -0x1.16ed72f8769e8p-3, -0x1.153ff49e06b3cp-3, -0x1.13831582aabddp-3, -0x1.11b77e5f9471dp-3, -0x1.0fddd4e6b2648p-3, -0x1.0df6bbbec7ec8p-3, -0x1.0c02d2805ac3bp-3, -0x1.0a02b5b380f4fp-3, -0x1.07f6fece6cc9p-3, -0x1.05e04434bdbbdp-3, -0x1.03bf19377eba3p-3, -0x1.01940e15d288cp-3, -0x1.febf5ffc7ec25p-4, -0x1.fa4512212575fp-4, -0x1.f5ba40c0ae30ep-4, -0x1.f11ff3ef9f0dbp-4, -0x1.ec772db6f3664p-4, -0x1.e7c0ea1c08351p-4, -0x1.e2fe1f298082fp-4, -0x1.de2fbcf8f7a8ep-4, -0x1.d956adbd8db68p-4, -0x1.d473d5cf355c9p-4, -0x1.cf8813b6b8cc2p-4, -0x1.ca94403a758bbp-4, -0x1.c5992e6bb8631p-4, -0x1.c097abb4b416dp-4, -0x1.bb907fe71677ep-4, -0x1.b6846d4b118f8p-4, -0x1.b17430af015c8p-4, -0x1.ac6081777253p-4, -0x1.a74a11afa685bp-4, -0x1.a2318e1a845cbp-4, -0x1.9d179e43df04fp-4, -0x1.97fce49219d31p-4, -0x1.92e1fe582eb1ap-4, -0x1.8dc783e7ebf9bp-4, -0x1.88ae08a485811p-4, -0x1.83961b15614c7p-4, -0x1.7e8044f91ed5fp-4, -0x1.796d0b58d1586p-4, -0x1.745cee9b6831ap-4, -0x1.6f506a993edaap-4, -0x1.6a47f6afd0954p-4, -0x1.654405d588f44p-4, -0x1.604506adad043p-4, -0x1.5b4b639c58af9p-4, -0x1.565782da89279p-4, -0x1.5169c68a339d5p-4, -0x1.4c828cca60e83p-4, -0x1.47a22fcb4a947p-4, -0x1.42c905e275a82p-4, -0x1.3df7619ec7c75p-4, -0x1.392d91dc9115ap-4, -0x1.346be1d98831ep-4, -0x1.2fb29948b689fp-4, -0x1.2b01fc664dfc9p-4, -0x1.265a4c0b67f6ep-4, -0x1.21bbc5c1a94cdp-4, -0x1.1d26a3d6c82a3p-4, -0x1.189b1d6ff22b9p-4, -0x1.1419669d0d2bep-4, -0x1.0fa1b06bd569cp-4, -0x1.0b3428fad1476p-4, -0x1.06d0fb8c1aa48p-4, -0x1.02785097fd1e9p-4, -0x1.fc549bbec894dp-5, -0x1.f3ce2cfc34db4p-5, -0x1.eb5d95f9a9768p-5, -0x1.e30312c614de2p-5, -0x1.dabeda9131c96p-5, -0x1.d2911fce5c4fcp-5, -0x1.ca7a1056f9435p-5, -0x1.c279d58c69c8cp-5, -0x1.ba90947988b82p-5, -0x1.b2be6df3b16a4p-5, -0x1.ab037ebb4bbc2p-5, -0x1.a35fdf9bdf62bp-5, -0x1.9bd3a58ba5c4ap-5, -0x1.945ee1caa2cb5p-5, -0x1.8d01a20139c2dp-5, -0x1.85bbf05e449dbp-5, -0x1.7e8dd3b4a748cp-5, -0x1.77774f9862eb9p-5, -0x1.7078647b2592fp-5, -0x1.69910fc853191p-5, -0x1.62c14c0090cccp-5, -0x1.5c0910d4c5695p-5, -0x1.556853409b73ap-5, -0x1.4edf05a47ab85p-5, -0x1.486d17deff9bdp-5, -0x1.42127765eed3bp-5, -0x1.3bcf0f5ea479fp-5, -0x1.35a2c8b6003ebp-5, -0x1.2f8d8a37cf6a5p-5, -0x1.298f38a5b4b14p-5, -0x1.23a7b6cd8ccb4p-5, -0x1.1dd6e59f56d6ap-5, -0x1.181ca4429708ap-5, -0x1.1278d02b40aeep-5, -0x1.0ceb452e1be6p-5, -0x1.0773dd94b5cbap-5, -0x1.02127230cc662p-5, -0x1.f98db4de9118ep-6, -0x1.ef21d8d5702bcp-6, -0x1.e4e0f9faa7dcdp-6, -0x1.dacabfa518db4p-6, -0x1.d0decef046a98p-6, -0x1.c71ccadd9e744p-6, -0x1.bd845474d9369p-6, -0x1.b4150ae383b9cp-6, -0x1.aace8b9b9a246p-6, -0x1.a1b0727151d7p-6, -0x1.98ba59b80652fp-6, -0x1.8febda5e53067p-6, -0x1.87448c09572cfp-6, -0x1.7ec4052f2a188p-6, -0x1.7669db3089bf7p-6, -0x1.6e35a271b84a6p-6, -0x1.6626ee7298d3ap-6, -0x1.5e3d51e60d733p-6, -0x1.56785ec88d71ap-6, -0x1.4ed7a67608bedp-6, -0x1.475ab9bf0ed1ep-6, -0x1.400128fd44e91p-6, -0x1.38ca8427298cdp-6, -0x1.31b65ae32556ap-6, -0x1.2ac43c99fb46ep-6, -0x1.23f3b8888d677p-6, -0x1.1d445dd0f7d7dp-6, -0x1.16b5bb8b197b3p-6, -0x1.104760d4730fbp-6, -0x1.09f8dcdf75504p-6, -0x1.03c9bf0234faap-6, -0x1.fb732d89161f2p-7, -0x1.ef8fe7db5213bp-7, -0x1.e3e8cd2243825p-7, -0x1.d87cfe36c57f3p-7, -0x1.cd4b9cbb5f423p-7, -0x1.c253cb332b46fp-7, -0x1.b794ad17bfb01p-7, -0x1.ad0d66ee28d26p-7, -0x1.a2bd1e5ae39b2p-7, -0x1.98a2fa34f1274p-7, -0x1.8ebe2298065c4p-7, -0x1.850dc0f5d8ea3p-7, -0x1.7b9100268f58cp-7, -0x1.72470c785b288p-7, -0x1.692f13be4b1b7p-7, -0x1.6048455e5002fp-7, -0x1.5791d25e79b5ap-7, -0x1.4f0aed7173351p-7, -0x1.46b2cb0256a57p-7, -0x1.3e88a13fb6778p-7, -0x1.368ba8260a36dp-7, -0x1.2ebb19896245fp-7, -0x1.2716311e87f84p-7, -0x1.1f9c2c836b5bbp-7, -0x1.184c4b4704f97p-7, -0x1.1125cef09b17p-7, -0x1.0a27fb0676d93p-7, -0x1.0352151409928p-7, -0x1.f946c95f1ea39p-8, -0x1.ec3666fe553cap-8, -0x1.df719a7afae87p-8, -0x1.d2f6ff7b9c4bbp-8, -0x1.c6c535df60367p-8, -0x1.badae1c470a41p-8, -0x1.af36ab8d92986p-8, -0x1.a3d73fe6d6e51p-8, -0x1.98bb4fc989d7fp-8, -0x1.8de1907f5497p-8, -0x1.8348bba4a46e7p-8, -0x1.78ef8f2a4deep-8, -0x1.6ed4cd568f4e4p-8, -0x1.64f73cc5587f2p-8, -0x1.5b55a867f6b6cp-8, -0x1.51eedf8420af7p-8, -0x1.48c1b5b26e8fap-8, -0x1.3fcd02dc3aaa8p-8, -0x1.370fa338fa4d4p-8, -0x1.2e88774b11f8dp-8, -0x1.263663dc2b822p-8, -0x1.1e1851f90d401p-8, -0x1.162d2eecffca5p-8, -0x1.0e73ec3cc832ap-8, -0x1.06eb7fa132368p-8, -0x1.ff25c6026fda1p-9, -0x1.f0d228d790b2p-9, -0x1.e2da2c227282cp-9, -0x1.d53bdc78b21cep-9, -0x1.c7f54e96655d5p-9, -0x1.bb049f4f0827fp-9, -0x1.ae67f37dd4c39p-9, -0x1.a21d77f59f3c3p-9, -0x1.9623617007e31p-9, -0x1.8a77ec7c640f4p-9, -0x1.7f195d6e0dbf3p-9, -0x1.7406004a58976p-9, -0x1.693c28b620fccp-9, -0x1.5eba31e2f158cp-9, -0x1.547e7e7be3cffp-9, -0x1.4a8778921e13ep-9, -0x1.40d391890ac7p-9, -0x1.376142025cd5dp-9, -0x1.2e2f09c9af2b8p-9, -0x1.253b6fc014137p-9, -0x1.1c8501c754a9cp-9, -0x1.140a54ad0974dp-9, -0x1.0bca04158d464p-9, -0x1.03c2b266c794p-9, -0x1.f7e61165b316ep-10, -0x1.e8b36d4542f76p-10, -0x1.d9eae4c07fe16p-10, -0x1.cb89f102f96ebp-10, -0x1.bd8e17e411f53p-10, -0x1.aff4ebbbbe6dap-10, -0x1.a2bc0b36fe4b3p-10, -0x1.95e1212c4b719p-10, -0x1.8961e4702ad1fp-10, -0x1.7d3c17a99b40bp-10, -0x1.716d8926bc96dp-10, -0x1.65f412b15cee5p-10, -0x1.5acd9963c4eadp-10, -0x1.4ff80d7d7c214p-10, -0x1.45716a3844aa7p-10, -0x1.3b37b59d5141ep-10, -0x1.3149005a88e6ep-10, -0x1.27a3659800897p-10, -0x1.1e450acdb4e3ap-10, -0x1.152c1f998a219p-10, -0x1.0c56dd9570b0ep-10, -0x1.03c3882dc9006p-10, -0x1.f6e0d8f07c83p-11, -0x1.e6b7c21537f86p-11, -0x1.d7088ba46ae02p-11, -0x1.c7d007d6f8b98p-11, -0x1.b90b1af3d1ee4p-11, -0x1.aab6bb008a597p-11, -0x1.9ccfef726e5b4p-11, -0x1.8f53d0e075806p-11, -0x1.823f88b5f911cp-11, -0x1.759050e5ee98bp-11, -0x1.6943739f0f805p-11, -0x1.5d564b00a2d86p-11, -0x1.51c640d05588fp-11, -0x1.4690ce3057a72p-11, -0x1.3bb37b56e9826p-11, -0x1.312bdf4620897p-11, -0x1.26f79f84e39c7p-11, -0x1.1d146fd8a8cc5p-11, -0x1.138011ffd2c1cp-11, -0x1.0a38556d2596fp-11, -0x1.013b1703ebc81p-11, -0x1.f10c81aa15042p-12, -0x1.e02f93b9eb17fp-12, -0x1.cfdb6b84bdf8fp-12, -0x1.c00c292bd0a38p-12, -0x1.b0be052514c28p-12, -0x1.a1ed4fbe335ddp-12, -0x1.939670a0a5fffp-12, -0x1.85b5e65837805p-12, -0x1.784845dab1315p-12, -0x1.6b4a3a11a8175p-12, -0x1.5eb88365d2631p-12, -0x1.528ff74c3d75p-12, -0x1.46cd7fd5006e3p-12, -0x1.3b6e1b3bdbe66p-12, -0x1.306edb7a95afcp-12, -0x1.25cce5dcd690cp-12, -0x1.1b857295f521fp-12, -0x1.1195cc583111ap-12, -0x1.07fb4fedf85e7p-12, -0x1.fd66d7a8c957ep-13, -0x1.eb773faf7fb4fp-13, -0x1.da22f96356eacp-13, -0x1.c96547514969cp-13, -0x1.b9398c62bf271p-13, -0x1.a99b4b236e6e1p-13, -0x1.9a86250aa57d3p-13, -0x1.8bf5d9c76a1e8p-13, -0x1.7de6468fa0c49p-13, -0x1.7053657310a5bp-13, -0x1.63394cb0accd7p-13, -0x1.56942e0f8253ap-13, -0x1.4a60563a51529p-13, -0x1.3e9a2c1e70ef8p-13, -0x1.333e304d805dp-13, -0x1.2848fc61f425bp-13, -0x1.1db74266fec0ap-13, -0x1.1385cc42b8b57p-13, -0x1.09b17b237f1b3p-13, -0x1.003746f05f047p-13, -0x1.ee287b776989bp-14, -0x1.dc8b0671ebb93p-14, -0x1.cb90a06a089e7p-14, -0x1.bb33e422bc86ep-14, -0x1.ab6f948325338p-14, -0x1.9c3e9b97d8a3dp-14, -0x1.8d9c0997db9ebp-14, -0x1.7f8313f0224edp-14, -0x1.71ef1452fdb78p-14, -0x1.64db87cd51392p-14, -0x1.58440ddfbab17p-14, -0x1.4c24679d6fc1ep-14, -0x1.407876cf5368p-14, -0x1.353c3d1bb0b86p-14, -0x1.2a6bdb32caa5p-14, -0x1.20038fff98332p-14, -0x1.15ffb7ddc6551p-14, -0x1.0c5ccbd2854b4p-14, -0x1.031760cba5bc5p-14, -0x1.f4584dc20daa9p-15, -0x1.e32fd1379950ap-15, -0x1.d2af148155b55p-15, -0x1.c2d0123d0b19bp-15, -0x1.b38cf5c24babdp-15, -0x1.a4e019cf4e0d7p-15, -0x1.96c4073da3572p-15, -0x1.893373bf18385p-15, -0x1.7c2940a0839fcp-15, -0x1.6fa07994eb03cp-15, -0x1.639453886a03cp-15, -0x1.58002b77ebaa7p-15, -0x1.4cdf85529611fp-15, -0x1.422e0adfcb7d2p-15, -0x1.37e78aacc4a2ep-15, -0x1.2e07f700b7c15p-15, -0x1.248b64d6f74fep-15, -0x1.1b6e0adff10fp-15, -0x1.12ac4087d5dp-15, -0x1.0a427d0352144p-15, -0x1.022d5662ec502p-15, -0x1.f4d301566bc5cp-16, -0x1.e5e799e6662d3p-16, -0x1.d7925110ac746p-16, -0x1.c9cd38307e618p-16, -0x1.bc9295bdf721dp-16, -0x1.afdce3b6de0d7p-16, -0x1.a3a6ce1180fd5p-16, -0x1.97eb3137fe32ep-16, -0x1.8ca518904687ep-16, -0x1.81cfbd0b13707p-16, -0x1.776683be0331p-16, -0x1.6d64fc8707a07p-16, -0x1.63c6e0b7aaff4p-16, -0x1.5a8811c9dd665p-16, -0x1.51a4981f91f0cp-16, -0x1.4918a1c60e03ep-16, -0x1.40e08146d6bc3p-16, -0x1.38f8ac7d8ccdep-16, -0x1.315dbb7623104p-16, -0x1.2a0c675482f74p-16, -0x1.23018941be06bp-16, -0x1.1c3a196281f78p-16, -0x1.15b32dd328f8ap-16, -0x1.0f69f9ac76c01p-16, -0x1.095bcc0e71fbap-16, -0x1.03860f328f402p-16, -0x1.fbcc8f0641c89p-17, -0x1.f0f42577e4fc5p-17, -0x1.e67e4e1cc6aa9p-17, -0x1.dc66a49b6d80cp-17, -0x1.d2a8f2408edccp-17, -0x1.c9412c6f4a488p-17, -0x1.c02b731a0ee39p-17, -0x1.b7640f4ab107cp-17, -0x1.aee771b1e87bfp-17, -0x1.a6b231434e01dp-17, -0x1.9ec109dc39324p-17, -0x1.9710daf2dc32ap-17, -0x1.8f9ea6527334ep-17, -0x1.88678edd1dc55p-17, -0x1.8168d75c1bacdp-17, -0x1.7a9fe154079abp-17, -0x1.740a2be729024p-17, -0x1.6da552bb82e51p-17, -0x1.676f0cee3743p-17, -0x1.61652c0cc3e5dp-17, -0x1.5b859b1537521p-17, -0x1.55ce5d8165ba9p-17, -0x1.503d8e57caa28p-17, -0x1.4ad15f442fddp-17, -0x1.458817b830412p-17, -0x1.40601412405f5p-17, -0x1.3b57c4cbcd31cp-17, -0x1.366dadaf46edcp-17, -0x1.31a0651209c3dp-17, -0x1.2cee93181992dp-17, -0x1.2856f0fb4f4e3p-17, -0x1.23d848598aee3p-17, -0x1.1f7172899dadbp-17, -0x1.1b2157f4947cep-17, -0x1.16e6ef7586bb9p-17, -0x1.12c13dbe6e33dp-17, -0x1.0eaf54c212231p-17, -0x1.0ab053236c80ep-17, -0x1.06c363aa4b8abp-17, -0x1.02e7bcbb974e3p-17, -0x1.fe393fb08074ep-18, -0x1.f6c2b23ce586cp-18, -0x1.ef6a7da255198p-18, -0x1.e82f61c53f0c7p-18, -0x1.e11031085d236p-18, -0x1.da0bcf7338bb5p-18, -0x1.d32131ded841fp-18, -0x1.cc4f5d2e8c0c6p-18, -0x1.c595658b0dcd5p-18, -0x1.bef26da981bc4p-18, -0x1.b865a61472298p-18, -0x1.b1ee4c816a211p-18, -0x1.ab8bab278d695p-18, -0x1.a53d181fde6b7p-18, -0x1.9f01f4cac7e05p-18, -0x1.98d9ad3bc6767p-18, -0x1.92c3b7aa2f087p-18, -0x1.8cbf93e91ed6cp-18, -0x1.86cccae1c5002p-18, -0x1.80eaee179deb2p-18, -0x1.7b19972d3ac3cp-18, -0x1.7558677018c14p-18, -0x1.6fa7076a186b4p-18, -0x1.6a052674b6397p-18, -0x1.64727a54186a5p-18, -0x1.5eeebed400cb6p-18, -0x1.5979b569d348dp-18, -0x1.541324d9ec2dap-18, -0x1.4ebad8e318aacp-18, -0x1.4970a1ea2da1bp-18, -0x1.443454ad6f9e6p-18, -0x1.3f05c9f6d9b8dp-18, -0x1.39e4de5696c78p-18, -0x1.34d171dcee7d9p-18, -0x1.2fcb67d9882bdp-18, -0x1.2ad2a69cf9353p-18, -0x1.25e7173d4337ap-18, -0x1.2108a55d2bb7ep-18, -0x1.1c373ef68a6cap-18, -0x1.1772d42731599p-18, -0x1.12bb5700200a3p-18, -0x1.0e10bb56e4d0fp-18, -0x1.0972f69afc5fep-18, -0x1.04e1ffaad72abp-18, -0x1.005dcead52bbdp-18, -0x1.f7ccb9d86d774p-19, -0x1.eef74961a2912p-19, -0x1.e63b4245d076cp-19, -0x1.dd989c5219e3ap-19, -0x1.d50f50967b0f4p-19, -0x1.cc9f592d33cb1p-19, -0x1.c448b106c0f5ep-19, -0x1.bc0b53b8ed6a7p-19, -0x1.b3e73d4f92b2cp-19, -0x1.abdc6a21d2017p-19, -0x1.a3ead6aa0213ap-19, -0x1.9c127f5e753e6p-19, -0x1.9453608fecbeap-19, -0x1.8cad764794213p-19, -0x1.8520bc2914acep-19, -0x1.7dad2d564c75cp-19, -0x1.7652c45567561p-19, -0x1.6f117af8e5eep-19, -0x1.67e94a4982862p-19, -0x1.60da2a727ec21p-19, -0x1.59e412aefba65p-19, -0x1.5306f939cce06p-19, -0x1.4c42d33e19db5p-19, -0x1.459794ca2c43ap-19, -0x1.3f0530c403a49p-19, -0x1.388b98de3c9c2p-19, -0x1.322abd8f1a8a3p-19, -0x1.2be28e08e27b6p-19, -0x1.25b2f83362fcbp-19, -0x1.1f9be8a52eb1p-19, -0x1.199d4aa11e2c7p-19, -0x1.13b70811a7d5bp-19, -0x1.0de9098655a63p-19, -0x1.08333632b5a75p-19, -0x1.029573ee4f918p-19, -0x1.fa1f4e66e7b44p-20, -0x1.ef436641b3328p-20, -0x1.e496f2f6ee78dp-20, -0x1.da19b56152177p-20, -0x1.cfcb6bb186f6ap-20, -0x1.c5abd175dd4b2p-20, -0x1.bbba9fa3a9828p-20, -0x1.b1f78c9df45ap-20, -0x1.a8624c41ce6ap-20, -0x1.9efa8ff01ce87p-20, -0x1.95c0069a158e2p-20, -0x1.8cb25ccdd99e3p-20, -0x1.83d13cc345f5ep-20, -0x1.7b1c4e6aabf2bp-20, -0x1.7293377aabd5ap-20, -0x1.6a359b7f646ap-20, -0x1.62031bea86f33p-20, -0x1.59fb5822c1a02p-20, -0x1.521ded937f4f4p-20, -0x1.4a6a77bf3bf2fp-20, -0x1.42e0904f7a855p-20, -0x1.3b7fcf24d7cf2p-20, -0x1.3447ca6b35305p-20, -0x1.2d3816a8d0106p-20, -0x1.265046d12538fp-20, -0x1.1f8fec56b6431p-20, -0x1.18f6973cf3e9fp-20, -0x1.1283d629902d9p-20, -0x1.0c3736773ebe1p-20, -0x1.061044488976ap-20, -0x1.000e8a9748131p-20, -0x1.f46326917ba6bp-21, -0x1.e8f1ce7de7d6ep-21, -0x1.ddc81cd1fdcecp-21, -0x1.d2e51fae6e1c7p-21, -0x1.c847e39510a1bp-21, -0x1.bdef738cfa7a5p-21, -0x1.b3dad9458df08p-21, -0x1.aa091d37904f6p-21, -0x1.a07946c5e379dp-21, -0x1.972a5c6062385p-21, -0x1.8e1b63a2dea0dp-21, -0x1.854b617797c86p-21, -0x1.7cb95a3413d6ep-21, -0x1.746451b9c3f0ep-21, -0x1.6c4b4b95ea974p-21, -0x1.646d4b1d1f4fcp-21, -0x1.5cc9538892545p-21, -0x1.555e68173760fp-21, -0x1.4e2b8c264735fp-21, -0x1.472fc34ca033bp-21, -0x1.406a1178da7cbp-21, -0x1.39d97b0a07434p-21, -0x1.337d04e9d8b96p-21, -0x1.2d53b4a658184p-21, -0x1.275c90889cbb6p-21, -0x1.21969faf3e14ep-21, -0x1.1c00ea245d272p-21, -0x1.169a78f59b372p-21, -0x1.116256481c3a6p-21, -0x1.0c578d6f70e77p-21, -0x1.07792b02fadb7p-21, -0x1.02c63cf00c308p-21, -0x1.fc7ba51c4721fp-22, -0x1.f3bdf96576742p-22, -0x1.eb519b871d3c3p-22, -0x1.e334b38c4ab58p-22, -0x1.db656ce539f66p-22, -0x1.d3e1f6872db45p-22, -0x1.cca8830b6572dp-22, -0x1.c5b748cdf1079p-22, -0x1.bf0c8209a7c91p-22, -0x1.b8a66cf56c3d9p-22, -0x1.b2834bdbff0fap-22, -0x1.aca16538eb93dp-22, -0x1.a6ff03ccf0d35p-22, -0x1.a19a76ba8b60dp-22, -0x1.9c72119539c03p-22, -0x1.97842c7c2c9cfp-22, -0x1.92cf242963886p-22, -0x1.8e515a06c0a5ep-22, -0x1.8a0934407dcd1p-22, -0x1.85f51dd24bb0fp-22, -0x1.8213869a1567ap-22, -0x1.7e62e36547b1p-22, -0x1.7ae1adfe47467p-22, -0x1.778e653859a42p-22, -0x1.74678cfd2e418p-22, -0x1.716bae55414ecp-22, -0x1.6e995771da44dp-22, -0x1.6bef1bb6b6fd5p-22, -0x1.696b93c23966dp-22, -0x1.670d5d731b941p-22, -0x1.64d31bf093c1dp-22, -0x1.62bb77adcd024p-22, -0x1.60c51e6e8babep-22, -0x1.5eeec34e3d975p-22, -0x1.5d371ebd8a294p-22, -0x1.5b9cee889e915p-22, -0x1.5a1ef5d96a8f8p-22, -0x1.58bbfd34ac234p-22, -0x1.5772d27dc3872p-22, -0x1.564248f46ae3ap-22, -0x1.552939340ac1ap-22, -0x1.5426813235463p-22, -0x1.5339043b158b7p-22, -0x1.525faaf10fb48p-22, -0x1.5199634765696p-22, -0x1.50e5207d7ca7ep-22, -0x1.5041db1ad9837p-22, -0x1.4fae90ecf2e5dp-22, -0x1.4f2a44fcfe804p-22, -0x1.4eb3ff8c9a3f8p-22, -0x1.4e4ace0eee529p-22, -0x1.4dedc320f7d36p-22, -0x1.4d9bf6807c53cp-22, -0x1.4d548509a8331p-22, -0x1.4d1690a969ba6p-22, -0x1.4ce140562225fp-22, -0x1.4cb3c007f64d7p-22, -0x1.4c8d40aebf792p-22, -0x1.4c6cf827e3c69p-22, -0x1.4c522133ddd8bp-22, -0x1.4c3bfb6d4773cp-22, -0x1.4c29cb3d51165p-22, -0x1.4c1ad9d2962a3p-22, -0x1.4c0e7512696bbp-22, -0x1.4c03ef8fca4e9p-22, -0x1.4bfaa07e9fc4ap-22, -0x1.4bf1e3aa69d85p-22, -0x1.4be91966b97a2p-22, -0x1.4bdfa6842b895p-22, -0x1.4bd4f44431a45p-22, -0x1.4bc8704c5eebcp-22, -0x1.4bb98c999056ap-22, -0x1.4ba7bf717933dp-22, -0x1.4b9283572472ap-22, -0x1.4b7956fe21937p-22, -0x1.4b5bbd3a772e7p-22, -0x1.4b393cf4a7b87p-22, -0x1.4b11611ce822dp-22, -0x1.4ae3b89c0144cp-22, -0x1.4aafd6465a36p-22, -0x1.4a7550ce1776dp-22, -0x1.4a33c2b4127c5p-22, -0x1.49eaca39f6146p-22, -0x1.499a095523654p-22, -0x1.4941259fbbec1p-22, -0x1.48dfc84b7ea5bp-22, -0x1.48759e1238056p-22, -0x1.48025728a344p-22, -0x1.4785a72fc427p-22, -0x1.46ff452768632p-22, -0x1.466eeb5e63769p-22, -0x1.45d4576563fabp-22, -0x1.452f4a0130c61p-22, -0x1.447f871b59e9ap-22, -0x1.43c4d5b618909p-22, -0x1.42feffdbbc3fep-22, -0x1.422dd291032e3p-22, -0x1.41511dc88beb2p-22, -0x1.4068b454bda68p-22, -0x1.3f746bd9055fdp-22, -0x1.3e741cbc181aap-22, -0x1.3d67a21b3b052p-22, -0x1.3c4ed9bb2130ep-22, -0x1.3b29a3fa6432ep-22, -0x1.39f7e3c4f2904p-22, -0x1.38b97e86c6a08p-22, -0x1.376e5c1dcb99dp-22, -0x1.361666cc09a34p-22, -0x1.34b18b2c03246p-22, -0x1.333fb822b8421p-22, -0x1.31c0ded2c933fp-22, -0x1.3034f28f11f09p-22, -0x1.2e9be8cef246ap-22, -0x1.2cf5b920a0359p-22, -0x1.2b425d1db5a9dp-22, -0x1.2981d05e18b6ep-22, -0x1.27b4106be2d7cp-22, -0x1.25d91cb678336p-22, -0x1.23f0f686e5621p-22, -0x1.21fba0f530b35p-22, -0x1.1ff920db6e36cp-22, -0x1.1de97cc9273f1p-22, -0x1.1bccbcf909bacp-22, -0x1.19a2eb45ae33ep-22, -0x1.176c131d4d42p-22, -0x1.152841775936ep-22, -0x1.12d784c8e76bep-22, -0x1.1079ecfa9519ep-22, -0x1.0e0f8b5cf96a1p-22, -0x1.0b98729e8a4ddp-22, -0x1.0914b6c0b9a74p-22, -0x1.06846d0e31c0cp-22, -0x1.03e7ac0fea9e2p-22, -0x1.013e8b84324a5p-22, -0x1.fd1248a62ff9fp-23, -0x1.f78f210c2c8d7p-23, -0x1.f1f3d67ba7e16p-23, -0x1.ec40a151ded43p-23, -0x1.e675bbf44a39bp-23, -0x1.e09362be44784p-23, -0x1.da99d3f1968d6p-23, -0x1.d4894fa0bd702p-23, -0x1.ce62179e7d21bp-23, -0x1.c8246f6ed4ff6p-23, -0x1.c1d09c338fbffp-23, -0x1.bb66e49b37e04p-23, -0x1.b4e790d2dd537p-23, -0x1.ae52ea7573154p-23, -0x1.a7a93c7864afep-23, -0x1.a0ead31f36edep-23, -0x1.9a17fbed40a13p-23, -0x1.933105949311ep-23, -0x1.8c363fe6313bbp-23, -0x1.8527fbc5ea9bp-23, -0x1.7e068b1b0fdb1p-23, -0x1.76d240c0f5b4bp-23, -0x1.6f8b707b4f043p-23, -0x1.68326ee94e326p-23, -0x1.60c791765ca7p-23, -0x1.594b2e4caa76fp-23, -0x1.51bd9c49b0234p-23, -0x1.4a1f32f403c2ep-23, -0x1.42704a6b5d85ep-23, -0x1.3ab13b5da77e3p-23, -0x1.32e25efb58a16p-23, -0x1.2b040eef33b54p-23, -0x1.2316a54f0f5c5p-23, -0x1.1b1a7c91326c2p-23, -0x1.130fef83beebap-23, -0x1.0af7593fd640fp-23, -0x1.02d115214022fp-23, -0x1.f53afd79c7e0ep-24, -0x1.e4b9e3a8699ebp-24, -0x1.d41f949adc132p-24, -0x1.c36cc857814fep-24, -0x1.b2a2370625285p-24, -0x1.a1c098e310f3ap-24, -0x1.90c8a62b56ebdp-24, -0x1.7fbb170c9efaep-24, -0x1.6e98a395db399p-24, -0x1.5d6203a4ce8ecp-24, -0x1.4c17eed6ca96cp-24, -0x1.3abb1c79b19b4p-24, -0x1.294c4381d5e34p-24, -0x1.17cc1a7650519p-24, -0x1.063b5761762bep-24, -0x1.e9355f8d48fabp-25, -0x1.c5d5b12fd42ddp-25, -0x1.a2590c468fccdp-25, -0x1.7ec0d80f9392cp-25, -0x1.5b0e7a593bf6p-25, -0x1.3743575fc75ebp-25, -0x1.1360d1bee744cp-25, -0x1.ded094a8c4cdbp-26, -0x1.96b6407920704p-26, -0x1.4e75614e64752p-26, -0x1.0610ad9681ec8p-26, -0x1.7b15af4c69866p-27, -0x1.d39a36ad21e74p-28, -0x1.6133cb6b2c4cdp-29, 0x1.cb2bfd075d45fp-30, 0x1.9689f5dfd494dp-28, 0x1.5d4c476593e33p-27, 0x1.ef76370d37bddp-27, 0x1.40ded2fc06e1bp-26, 0x1.8a0ebd47df3f9p-26, 0x1.d34852d001ba8p-26, 0x1.0e4488a7bf2d8p-25, 0x1.32e73df902a24p-25, 0x1.578b0db6b40f6p-25, 0x1.7c2ebf0994f64p-25, 0x1.a0d11bfaa8aa9p-25, 0x1.c570f17317e9ap-25, 0x1.ea0d0f497c474p-25, 0x1.0752242b7e898p-24, 0x1.199ab93a4f459p-24, 0x1.2bdfb342785ep-24, 0x1.3e20804052e39p-24, 0x1.505c8fbd8d769p-24, 0x1.629352d979b5cp-24, 0x1.74c43c45f6b94p-24, 0x1.86eec04b8672dp-24, 0x1.991254d1b0b25p-24, 0x1.ab2e715d69134p-24, 0x1.bd428f1537bc2p-24, 0x1.cf4e28c446963p-24, 0x1.e150badbc8766p-24, 0x1.f349c37452fd6p-24, 0x1.029c6129c002bp-23, 0x1.0b8e9c740b362p-23, 0x1.147b5527a8302p-23, 0x1.1d624dab5c92ep-23, 0x1.2643493edf9d3p-23, 0x1.2f1e0bf8cc6f8p-23, 0x1.37f25aca0b7f5p-23, 0x1.40bffb7d1a2p-23, 0x1.4986b4b5f9e87p-23, 0x1.52464df3a63f3p-23, 0x1.5afe8f8e7460bp-23, 0x1.63af42bb04004p-23, 0x1.6c5831870b52bp-23, 0x1.74f926da6f723p-23, 0x1.7d91ee77f1c4cp-23, 0x1.862254fd7e62p-23, 0x1.8eaa27e249b1cp-23, 0x1.9729357793f47p-23, 0x1.9f9f4ce727ba4p-23, 0x1.a80c3e34fbb47p-23, 0x1.b06fda3c92532p-23, 0x1.b8c9f2b2113d1p-23, 0x1.c11a5a2128ebep-23, 0x1.c960e3ec1ab7cp-23, 0x1.d19d644c9f6d2p-23, 0x1.d9cfb05009a1ep-23, 0x1.e1f79dd9989d7p-23, 0x1.ea1503a11d8c3p-23, 0x1.f227b9315e4aep-23, 0x1.fa2f96e63b516p-23, 0x1.01163af757cc5p-22, 0x1.050f18246106ap-22, 0x1.090250615c598p-22, 0x1.0cefd17cfebe4p-22, 0x1.10d789abb586cp-22, 0x1.14b96788b1d8p-22, 0x1.18955a1481dfcp-22, 0x1.1c6b50b5327f2p-22, 0x1.203b3b34f407ep-22, 0x1.240509c15d283p-22, 0x1.27c8aceb5e773p-22, 0x1.2b8615a683123p-22, 0x1.2f3d3548732cdp-22, 0x1.32edfd87d1879p-22, 0x1.3698607ba0f2p-22, 0x1.3a3c509b38c37p-22, 0x1.3dd9c0bc21727p-22, 0x1.4170a4133e094p-22, 0x1.4500ee32fcac4p-22, 0x1.488a930a6af1ap-22, 0x1.4c0d86e50dc24p-22, 0x1.4f89be698951cp-22, 0x1.52ff2e9a4971cp-22, 0x1.566dccd2d4464p-22, 0x1.59d58ec7d7a55p-22, 0x1.5d366a868473cp-22, 0x1.609056743e66fp-22, 0x1.63e3494ccfc5fp-22, 0x1.672f3a21c8006p-22, 0x1.6a74205a43e1ep-22, 0x1.6db1f3b1f83ap-22, 0x1.70e8ac385231ep-22, 0x1.7418424ed752cp-22, 0x1.7740aea94908ap-22, 0x1.7a61ea4d1fd13p-22, 0x1.7d7bee8fd25bp-22, 0x1.808eb51620becp-22, 0x1.839a37d3d464bp-22, 0x1.869e710a1e333p-22, 0x1.899b5b4737187p-22, 0x1.8c90f165fb0b7p-22, 0x1.8f7f2e8c2007ap-22, 0x1.92660e29db32dp-22, 0x1.95458bf8ca51bp-22, 0x1.981da3fc0289dp-22, 0x1.9aee527dcd9d3p-22, 0x1.9db7940f4e248p-22, 0x1.a0796588a9869p-22, 0x1.a333c40704d85p-22, 0x1.a5e6acec15b85p-22, 0x1.a8921ddcbe494p-22, 0x1.ab3614c166a97p-22, 0x1.add28fc45de58p-22, 0x1.b0678d502eed9p-22, 0x1.b2f50c10666ccp-22, 0x1.b57b0af0a720dp-22, 0x1.b7f9891a1a883p-22, 0x1.ba7085f39effbp-22, 0x1.bce001214d8d3p-22, 0x1.bf47fa842153fp-22, 0x1.c1a872374d834p-22, 0x1.c40168908b467p-22, 0x1.c652de1fa93e4p-22, 0x1.c89cd3ac9d97ep-22, 0x1.cadf4a384f945p-22, 0x1.cd1a42f9e265dp-22, 0x1.cf4dbf5ef0ad6p-22, 0x1.d179c10b0048dp-22, 0x1.d39e49d627864p-22, 0x1.d5bb5bcbf6222p-22, 0x1.d7d0f92b8be08p-22, 0x1.d9df2466cff0fp-22, 0x1.dbe5e020469bap-22, 0x1.dde52f2b1c52cp-22, 0x1.dfdd148baa837p-22, 0x1.e1cd937449295p-22, 0x1.e3b6af462bb5p-22, 0x1.e5986b9066a1bp-22, 0x1.e772cc0ed873ap-22, 0x1.e945d4a8b167cp-22, 0x1.eb11897150dp-22, 0x1.ecd5eea729eb1p-22, 0x1.ee9308b1cffc4p-22, 0x1.f048dc212562cp-22, 0x1.f1f76daf7e158p-22, 0x1.f39ec23d4e37cp-22, 0x1.f53eded29dcc6p-22, 0x1.f6d7c89d444e1p-22, 0x1.f86984f0c8673p-22, 0x1.f9f4194647808p-22, 0x1.fb778b3965c4ap-22, 0x1.fcf3e08abbc8p-22, 0x1.fe691f1c63db4p-22, 0x1.ffd74cf39cc96p-22, 0x1.009f381ae062dp-21, 0x1.014f47951d961p-21, 0x1.01fbd81bc5b6dp-21, 0x1.02a4ecf196c56p-21, 0x1.034a89694b2afp-21, 0x1.03ecb0e42b8ecp-21, 0x1.048b66d241559p-21, 0x1.0526aeb20800ap-21, 0x1.05be8c1016045p-21, 0x1.06530286734d8p-21, 0x1.06e415bce4326p-21, 0x1.0771c96895482p-21, 0x1.07fc214a893fep-21, 0x1.0883213124d04p-21, 0x1.0906ccf709ddcp-21, 0x1.0987288210622p-21, 0x1.0a0437c45d6e1p-21, 0x1.0a7dfebad52c3p-21, 0x1.0af4816e4968p-21, 0x1.0b67c3f118596p-21, 0x1.0bd7ca61289f2p-21, 0x1.0c4498e62d23bp-21, 0x1.0cae33b189e7ep-21, 0x1.0d149efe97929p-21, 0x1.0d77df120dca2p-21, 0x1.0dd7f83993d5cp-21, 0x1.0e34eecbb49f3p-21, 0x1.0e8ec727d5043p-21, 0x1.0ee585b539e1fp-21, 0x1.0f392ee3854a8p-21, 0x1.0f89c72a1d68cp-21, 0x1.0fd7530821aa6p-21, 0x1.1021d7037c531p-21, 0x1.106957a9f9087p-21, 0x1.10add98f5bc01p-21, 0x1.10ef614ec09ebp-21, 0x1.112df38953282p-21, 0x1.116994e601b16p-21, 0x1.11a24a124a5e1p-21, 0x1.11d817c120a8ep-21, 0x1.120b02aa8d3c8p-21, 0x1.123b0f8c42e8bp-21, 0x1.12684328de539p-21, 0x1.1292a247cf60cp-21, 0x1.12ba31b49a7fbp-21, 0x1.12def640474dp-21, 0x1.1300f4bea8ab2p-21, 0x1.132032088ac5cp-21, 0x1.133cb2fa23b2bp-21, 0x1.13567c73261f5p-21, 0x1.136d9356baa08p-21, 0x1.1381fc8b52813p-21, 0x1.1393bcfa1d684p-21, 0x1.13a2d98f3d757p-21, 0x1.13af5739717a4p-21, 0x1.13b93ae9e2f09p-21, 0x1.13c08993c25dep-21, 0x1.13c5482cf8e01p-21, 0x1.13c77bac4b8fp-21, 0x1.13c7290b5401ep-21, 0x1.13c4554438edap-21, 0x1.13bf055370f07p-21, 0x1.13b73e35e2428p-21, 0x1.13ad04e9f21c6p-21, 0x1.13a05e6ea0e58p-21, 0x1.13914fc42ed74p-21, 0x1.137fddeab10c7p-21, 0x1.136c0de3301f5p-21, 0x1.1355e4af1d947p-21, 0x1.133d674f6182bp-21, 0x1.13229ac5796c3p-21, 0x1.130584129e576p-21, 0x1.12e6283748c0ep-21, 0x1.12c48c3448ff8p-21, 0x1.12a0b50917d82p-21, 0x1.127aa7b4e6947p-21, 0x1.12526935e7776p-21, 0x1.1227fe896b7bfp-21, 0x1.11fb6cab5a0eep-21, 0x1.11ccb896e3fd6p-21, 0x1.119be745624e1p-21, 0x1.1168fdaed49d8p-21, 0x1.113400c9f918bp-21, 0x1.10fcf58b34cadp-21, 0x1.10c3e0e5a8153p-21, 0x1.1088c7ca1f49cp-21, 0x1.104baf2798681p-21, 0x1.100c9beaaded7p-21, 0x1.0fcb92fe01212p-21, 0x1.0f889949546b3p-21, 0x1.0f43b3b2961dbp-21, 0x1.0efce71c55ed1p-21, 0x1.0eb438675926dp-21, 0x1.0e69ac709ca44p-21, 0x1.0e1d48130c83ep-21, 0x1.0dcf10265105fp-21, 0x1.0d7f097ebede8p-21, 0x1.0d2d38edf4777p-21, 0x1.0cd9a34206f4bp-21, 0x1.0c844d45c2c42p-21, 0x1.0c2d3bc08ecb2p-21, 0x1.0bd4737659433p-21, 0x1.0b79f92745a32p-21, 0x1.0b1dd1904bb9bp-21, 0x1.0ac00169d7936p-21, 0x1.0a608d696e864p-21, 0x1.09ff7a3feb7b6p-21, 0x1.099ccc9aa9c4cp-21, 0x1.09388922be951p-21, 0x1.08d2b47d5c265p-21, 0x1.086b534b0ba79p-21, 0x1.08026a28dfeap-21, 0x1.0797fdaeb3bdap-21, 0x1.072c1270c6afdp-21, 0x1.06beacfe773acp-21, 0x1.064fd1e2b59a3p-21, 0x1.05df85a410b4fp-21, 0x1.056dccc4293ap-21, 0x1.04faabc0738c2p-21, 0x1.04862710ebb79p-21, 0x1.04104329b0cebp-21, 0x1.0399047918d8ep-21, 0x1.03206f6968c6ep-21, 0x1.02a6885f5a857p-21, 0x1.022b53bb14a32p-21, 0x1.01aed5d7749cbp-21, 0x1.0131130a86c4fp-21, 0x1.00b20fa4da054p-21, }}, 
      {{0x1.ffc248fff10dcp-1, 0x1.ff0d448776181p-1, 0x1.fdebfd2d3ab84p-1, 0x1.fc6d9072fcf05p-1, 0x1.faa261b185997p-1, 0x1.f899fa567f1cdp-1, 0x1.f661b4b69f51fp-1, 0x1.f40416f375ff8p-1, 0x1.f188b1b2bf01ep-1, 0x1.eef456589ec5cp-1, 0x1.ec497fa89a983p-1, 0x1.e988d0d57821ep-1, 0x1.e6b197a1e44e4p-1, 0x1.e3c2454afbeafp-1, 0x1.e0b8d758e4035p-1, 0x1.dd932d4965fddp-1, 0x1.da4f4a9dc28bap-1, 0x1.d6eb8673e9158p-1, 0x1.d366aabeef3e6p-1, 0x1.cfc005a109b8fp-1, 0x1.cbf76f83de13dp-1, 0x1.c80d487127793p-1, 0x1.c4026ef374a97p-1, 0x1.bfd8327c4c97fp-1, 0x1.bb9042fcec171p-1, 0x1.b72c9f0f9f499p-1, 0x1.b2af81c5ee6dcp-1, 0x1.ae1b50ed9411ap-1, 0x1.a9728c64c5305p-1, 0x1.a4b7bee5d244ap-1, 0x1.9fed708a55eb9p-1, 0x1.9b161b2643208p-1, 0x1.96342082638afp-1, 0x1.9149c26b33896p-1, 0x1.8c591c7b9f72p-1, 0x1.87641f8209df3p-1, 0x1.826c8e585e1cfp-1, 0x1.7d73fc0511c92p-1, 0x1.787bcafa2bc4bp-1, 0x1.73852d48419a9p-1, 0x1.6e91259d3c547p-1, 0x1.69a088e977983p-1, 0x1.64b40088f4128p-1, 0x1.5fcc0cd1c98cbp-1, 0x1.5ae907ec878fbp-1, 0x1.560b28dea698bp-1, 0x1.513286b28580dp-1, 0x1.4c5f1bab81fa2p-1, 0x1.4790c877a63e9p-1, 0x1.42c75752f8e11p-1, 0x1.3e027f12d6aa5p-1, 0x1.3941e611d455fp-1, 0x1.348524f669b44p-1, 0x1.2fcbc95048daep-1, 0x1.2b1558099055ap-1, 0x1.26614faa2c30bp-1, 0x1.21af2a6cb0e19p-1, 0x1.1cfe6024c0549p-1, 0x1.184e67f7aa5cep-1, 0x1.139eb9e880593p-1, 0x1.0eeed039334f1p-1, 0x1.0a3e28a2a7f8ep-1, 0x1.058c4565d8042p-1, 0x1.00d8ae384a8a1p-1, 0x1.f845e21c766dcp-2, 0x1.eed54589a6774p-2, 0x1.e55ebf5dba2c3p-2, 0x1.dbe1980c985a4p-2, 0x1.d25d2889cf257p-2, 0x1.c8d0dacca987fp-2, 0x1.bf3c2a2b4715ep-2, 0x1.b59ea390c7e81p-2, 0x1.abf7e5926b921p-2, 0x1.a247a06740eaep-2, 0x1.988d95c5c6e0fp-2, 0x1.8ec998aaaff24p-2, 0x1.84fb8d0ba964ap-2, 0x1.7b236778e57e7p-2, 0x1.71412cafda26p-2, 0x1.6754f1217fedp-2, 0x1.5d5ed86e1e37bp-2, 0x1.535f14d887d7bp-2, 0x1.4955e6b2778e1p-2, 0x1.3f439bc397d6dp-2, 0x1.35288eac8c27fp-2, 0x1.2b0526473ee74p-2, 0x1.20d9d5057db9ep-2, 0x1.16a7184eddfd2p-2, 0x1.0c6d77dec7837p-2, 0x1.022d852350a8fp-2, 0x1.efcfb53b3ca36p-3, 0x1.db3a368898618p-3, 0x1.c69be3d0a913bp-3, 0x1.b1f62139bf50ep-3, 0x1.9d4a60449710ap-3, 0x1.889a1ea96a456p-3, 0x1.73e6e53c69426p-3, 0x1.5f3246d9fe166p-3, 0x1.4a7ddf5b178b8p-3, 0x1.35cb5291a98acp-3, 0x1.211c4b4d8610ep-3, 0x1.0c727a69a04d9p-3, 0x1.ef9f2bc380293p-4, 0x1.c66aafe132a06p-4, 0x1.9d4afc6c90ad1p-4, 0x1.744391ce1ea9ap-4, 0x1.4b57f40476f62p-4, 0x1.228ba92238306p-4, 0x1.f3c46fb75ce67p-5, 0x1.a2be4c47f8a69p-5, 0x1.520befb2c1d17p-5, 0x1.01b45b008f5f1p-5, 0x1.637d0c3320af8p-6, 0x1.88c575d14204fp-7, 0x1.313bfe0310d39p-9, -0x1.dc9c1cac3ebfbp-8, -0x1.137b5f458dd1ep-6, -0x1.aec83551137d1p-6, -0x1.2480308253ae4p-5, -0x1.710b743de28dcp-5, -0x1.bcff81bbdfc4bp-5, -0x1.042b079d0b4a3p-4, -0x1.29847764004e1p-4, -0x1.4e8907d312ee8p-4, -0x1.7335bfc88777ap-4, -0x1.9787b5fc1b97ep-4, -0x1.bb7c1190d08d1p-4, -0x1.df100a9d65cp-4, -0x1.01207555c41afp-3, -0x1.1286069728d2fp-3, -0x1.23b76ff7f9d5bp-3, -0x1.34b371bb920a3p-3, -0x1.4578d5b225f13p-3, -0x1.56066f6366b7cp-3, -0x1.665b1c354354p-3, -0x1.7675c38eed8p-3, -0x1.865556f833473p-3, -0x1.95f8d235494edp-3, -0x1.a55f3b5f26623p-3, -0x1.b487a2f86f64p-3, -0x1.c37123ff367cdp-3, -0x1.d21ae3fb71619p-3, -0x1.e084130a6a6ccp-3, -0x1.eeabebe7203a8p-3, -0x1.fc91b3efc508p-3, -0x1.051a5d942cb93p-2, -0x1.0bca2e1d497a1p-2, -0x1.1257fe3983fd1p-2, -0x1.18c385dde6c57p-2, -0x1.1f0c824a433f7p-2, -0x1.2532b60405f0ep-2, -0x1.2b35e8cfd96f8p-2, -0x1.3115e7aa27123p-2, -0x1.36d284be7aa46p-2, -0x1.3c6b975dd9601p-2, -0x1.41e0fbf40e62fp-2, -0x1.473293fbfd544p-2, -0x1.4c6045f2ff30ep-2, -0x1.5169fd4b543c2p-2, -0x1.564faa5db928ap-2, -0x1.5b11425a213b7p-2, -0x1.5faebf37a5aecp-2, -0x1.64281fa3ae4a9p-2, -0x1.687d66f05f829p-2, -0x1.6cae9d0256e61p-2, -0x1.70bbce3dbdcc1p-2, -0x1.74a50b72bb77fp-2, -0x1.786a69c953076p-2, -0x1.7c0c02acae7b3p-2, -0x1.7f89f3b5e4ee1p-2, -0x1.82e45e9648497p-2, -0x1.861b69013997dp-2, -0x1.892f3c9591962p-2, -0x1.8c2006c6a7323p-2, -0x1.8eedf8c4f93bfp-2, -0x1.9199476685d8cp-2, -0x1.94222b0ed17adp-2, -0x1.9688df96b0b64p-2, -0x1.98cda433d08eap-2, -0x1.9af0bb600bbfap-2, -0x1.9cf26ac09167cp-2, -0x1.9ed2fb0ce7a1fp-2, -0x1.a092b7f5cbd2p-2, -0x1.a231f00bfb303p-2, -0x1.a3b0f4a6ed42fp-2, -0x1.a51019cb7d30cp-2, -0x1.a64fb61292a2p-2, -0x1.a770228fc950dp-2, -0x1.a871bab82245dp-2, -0x1.a954dc48c246bp-2, -0x1.aa19e72dc01ap-2, -0x1.aac13d691042ap-2, -0x1.ab4b42f9880a1p-2, -0x1.abb85dc20ba52p-2, -0x1.ac08f570dc029p-2, -0x1.ac3d7367172e1p-2, -0x1.ac5642a06913bp-2, -0x1.ac53cf9aedf63p-2, -0x1.ac36883f543a6p-2, -0x1.abfedbc93992p-2, -0x1.abad3aafc9ae6p-2, -0x1.ab42168ea270bp-2, -0x1.aabde20f03bf7p-2, -0x1.aa2110d14a90bp-2, -0x1.a96c1756b9cdp-2, -0x1.a89f6aeb97a3ap-2, -0x1.a7bb8191a031p-2, -0x1.a6c0d1ead16cfp-2, -0x1.a5afd3248dbd7p-2, -0x1.a488fce3217dep-2, -0x1.a34cc72da2af4p-2, -0x1.a1fbaa5a347e6p-2, -0x1.a0961efaacddcp-2, -0x1.9f1c9dc99f46bp-2, -0x1.9d8f9f97cd843p-2, -0x1.9bef9d39ffd75p-2, -0x1.9a3d0f77471adp-2, -0x1.98786ef7a803p-2, -0x1.96a2343333708p-2, -0x1.94bad761861d2p-2, -0x1.92c2d069bb83fp-2, -0x1.90ba96d2c7b28p-2, -0x1.8ea2a1b44304p-2, -0x1.8c7b67a7a27d4p-2, -0x1.8a455eb9dd3b7p-2, -0x1.8800fc5d82ea5p-2, -0x1.85aeb55d402dfp-2, -0x1.834efdcececdp-2, -0x1.80e2490656724p-2, -0x1.7e69098a3af0bp-2, -0x1.7be3b10757295p-2, -0x1.7952b045a5e5p-2, -0x1.76b6771d55fdap-2, -0x1.740f746c4c0a9p-2, -0x1.715e160c0d29ep-2, -0x1.6ea2c8c8166bap-2, -0x1.6bddf85498832p-2, -0x1.69100f45a39f6p-2, -0x1.66397706b4753p-2, -0x1.635a97d2a7528p-2, -0x1.6073d8ac15a0bp-2, -0x1.5d859f5614284p-2, -0x1.5a90504d51a5ep-2, -0x1.57944ec19af8p-2, -0x1.5491fc8fbc892p-2, -0x1.5189ba3bc39acp-2, -0x1.4e7be6eb9ccdfp-2, -0x1.4b68e0620cd41p-2, -0x1.485102fa0429fp-2, -0x1.4534a9a24d6d2p-2, -0x1.42142dd98e5efp-2, -0x1.3eefe7aaa3119p-2, -0x1.3bc82da9483ebp-2, -0x1.389d54ef1c42ap-2, -0x1.356fb118ed0e8p-2, -0x1.323f944455b58p-2, -0x1.2f0d4f0daa42fp-2, -0x1.2bd9308e2d02bp-2, -0x1.28a3865a8e1dfp-2, -0x1.256c9c81b357fp-2, -0x1.2234bd8bc69a4p-2, -0x1.1efc327985279p-2, -0x1.1bc342c3d59d7p-2, -0x1.188a345b9bf98p-2, -0x1.15514ba9ce44ep-2, -0x1.1218cb8fc3be9p-2, -0x1.0ee0f567c2ea2p-2, -0x1.0baa0905c6271p-2, -0x1.087444b87b38p-2, -0x1.053fe54a747bdp-2, -0x1.020d260394353p-2, -0x1.fdb88155495bdp-3, -0x1.f75adb0e4ce67p-3, -0x1.f101c6c695195p-3, -0x1.eaadaf1c34e13p-3, -0x1.e45efbbb9b6c3p-3, -0x1.de1611648dd62p-3, -0x1.d7d351ef7b6eep-3, -0x1.d1971c5315bb7p-3, -0x1.cb61ccaa36bfcp-3, -0x1.c533bc3a14b0ap-3, -0x1.bf0d4178aed28p-3, -0x1.b8eeb01387bf9p-3, -0x1.b2d858f690f07p-3, -0x1.acca8a535d843p-3, -0x1.a6c58fa888edep-3, -0x1.a0c9b1c94d224p-3, -0x1.9ad736e551f19p-3, -0x1.94ee6290b0475p-3, -0x1.8f0f75cc14336p-3, -0x1.893aaf0d165d7p-3, -0x1.83704a46b7c63p-3, -0x1.7db080f2027a3p-3, -0x1.77fb8a16cc931p-3, -0x1.72519a549e679p-3, -0x1.6cb2e3ebaeb92p-3, -0x1.671f96c604b46p-3, -0x1.6197e080a8045p-3, -0x1.5c1bec74eecddp-3, -0x1.56abe3c1dd427p-3, -0x1.5147ed5595eap-3, -0x1.4bf02df6db839p-3, -0x1.46a4c84ea2bbap-3, -0x1.4165dcf1aaebdp-3, -0x1.3c338a6a240c4p-3, -0x1.370ded415d70dp-3, -0x1.31f520097729fp-3, -0x1.2ce93b671d121p-3, -0x1.27ea561b3d759p-3, -0x1.22f8850cc6c44p-3, -0x1.1e13db5260dc4p-3, -0x1.193c6a3c28f93p-3, -0x1.1472415d6152bp-3, -0x1.0fb56e96243fp-3, -0x1.0b05fe1d0a24ep-3, -0x1.0663fa88ce8b6p-3, -0x1.01cf6cd9df2dp-3, -0x1.fa90b907e2644p-4, -0x1.f19d9eeef8125p-4, -0x1.e8c594565a686p-4, -0x1.e0089f4a9c09p-4, -0x1.d766c30a313e8p-4, -0x1.cee000180163fp-4, -0x1.c674544dbe3f7p-4, -0x1.be23baee3453bp-4, -0x1.b5ee2cb764a83p-4, -0x1.add39ff472964p-4, -0x1.a5d4088f70293p-4, -0x1.9def582300465p-4, -0x1.96257e0bbfa79p-4, -0x1.8e7667798cf0fp-4, -0x1.86e1ff809711fp-4, -0x1.7f682f2a43e4bp-4, -0x1.7808dd85d8599p-4, -0x1.70c3efb8f8b3ap-4, -0x1.6999490fed7b9p-4, -0x1.6288cb0db59bep-4, -0x1.5b92557bdfd6ap-4, -0x1.54b5c67a32731p-4, -0x1.4df2fa8e13ef1p-4, -0x1.4749ccb1bcfbcp-4, -0x1.40ba1663360c4p-4, -0x1.3a43afb317d9ap-4, -0x1.33e66f5309941p-4, -0x1.2da22aa413cd1p-4, -0x1.2776b5c4aae6fp-4, -0x1.2163e39e84638p-4, -0x1.1b6985f42c299p-4, -0x1.15876d6e60167p-4, -0x1.0fbd69a930fafp-4, -0x1.0a0b4940e00a2p-4, -0x1.0470d9de89439p-4, -0x1.fddbd0890ac6cp-5, -0x1.f30480b52f7d9p-5, -0x1.e85b5a73bc693p-5, -0x1.dddff271011aap-5, -0x1.d391dbea49d83p-5, -0x1.c970a8c44d5a3p-5, -0x1.bf7be9a129972p-5, -0x1.b5b32df5de605p-5, -0x1.ac16041f4f507p-5, -0x1.a2a3f976dea33p-5, -0x1.995c9a6672dd6p-5, -0x1.903f727c24808p-5, -0x1.874c0c7d688p-5, -0x1.7e81f279c046ap-5, -0x1.75e0addd051a8p-5, -0x1.6d67c7812cbfdp-5, -0x1.6516c7bfaa2f3p-5, -0x1.5ced36825ec33p-5, -0x1.54ea9b540e7e1p-5, -0x1.4d0e7d706d38ap-5, -0x1.455863d3b8c37p-5, -0x1.3dc7d549f354cp-5, -0x1.365c587d96802p-5, -0x1.2f157406002a2p-5, -0x1.27f2ae7550a3p-5, -0x1.20f38e65f8887p-5, -0x1.1a179a87dedc3p-5, -0x1.135e59ad0f7adp-5, -0x1.0cc752d618fedp-5, -0x1.06520d3df8ffep-5, -0x1.fffc20cb5de5p-6, -0x1.f395c83edc8dcp-6, -0x1.e7702132d3945p-6, -0x1.db8a3cd097fd9p-6, -0x1.cfe32d2286e22p-6, -0x1.c47a05279a7fcp-6, -0x1.b94dd8e60dedbp-6, -0x1.ae5dbd7d8c018p-6, -0x1.a3a8c938840e5p-6, -0x1.992e139ceadefp-6, -0x1.8eecb57c52ccbp-6, -0x1.84e3c9035dc46p-6, -0x1.7b1269c882e42p-6, -0x1.7177b4da3f9eep-6, -0x1.6812c8ccbcd6fp-6, -0x1.5ee2c5c6b3dd9p-6, -0x1.55e6cd8dea99p-6, -0x1.4d1e0392f25f7p-6, -0x1.44878cfc80c9ap-6, -0x1.3c2290b21027ap-6, -0x1.33ee376619ec4p-6, -0x1.2be9ab9fc3a81p-6, -0x1.241419c3ef183p-6, -0x1.1c6cb01de5943p-6, -0x1.14f29ee76ac96p-6, -0x1.0da518507c6c2p-6, -0x1.0683508671796p-6, -0x1.ff18fb75467f1p-7, -0x1.f17fb05196371p-7, -0x1.e439343983c4bp-7, -0x1.d743ffefe964fp-7, -0x1.ca9e906c9fb3ap-7, -0x1.be4766e5c550fp-7, -0x1.b23d08d7ff5ap-7, -0x1.a67e000e09f51p-7, -0x1.9b08daa7a9d51p-7, -0x1.8fdc2b1f9f017p-7, -0x1.84f6885109787p-7, -0x1.7a568d7c3b73ep-7, -0x1.6ffada4a92926p-7, -0x1.65e212d1e4a33p-7, -0x1.5c0adf9734138p-7, -0x1.5273ed90d0961p-7, -0x1.491bee27c3a5ep-7, -0x1.40019738d7b3ep-7, -0x1.3723a314dfed9p-7, -0x1.2e80d080842a8p-7, -0x1.2617e2b3a4485p-7, -0x1.1de7a1580b766p-7, -0x1.15eed887afd24p-7, -0x1.0e2c58ca9a56p-7, -0x1.069ef71429688p-7, -0x1.fe8b198001126p-8, -0x1.f03def1cf91c2p-8, -0x1.e254334182927p-8, -0x1.d4cbb2e8eccacp-8, -0x1.c7a243bdcabc7p-8, -0x1.bad5c410216e5p-8, -0x1.ae641aca344cp-8, -0x1.a24b376529cb2p-8, -0x1.968911dcc357ap-8, -0x1.8b1baaa273afdp-8, -0x1.80010a9008095p-8, -0x1.753742d978323p-8, -0x1.6abc6cfe7fce5p-8, -0x1.608eaabb91cb4p-8, -0x1.56ac25fa168eep-8, -0x1.4d1310c062ef4p-8, -0x1.43c1a52180296p-8, -0x1.3ab6252bc198ap-8, -0x1.31eedad7d8887p-8, -0x1.296a17f6ff867p-8, -0x1.21263620be1f2p-8, -0x1.192196a0b47c3p-8, -0x1.115aa263b0e5ep-8, -0x1.09cfc9e4bfa2dp-8, -0x1.027f8519e546ap-8, -0x1.f6d0a6c0a9fadp-9, -0x1.e91176d1b302dp-9, -0x1.dbbe964752e54p-9, -0x1.ced52f58318e3p-9, -0x1.c2527a68718f2p-9, -0x1.b633bde085b2cp-9, -0x1.aa764e03541bep-9, -0x1.9f178cc4842dcp-9, -0x1.9414e99e95d87p-9, -0x1.896be1681c38ap-9, -0x1.7f19fe298a051p-9, -0x1.751cd6f25e1afp-9, -0x1.6b720fae26f2dp-9, -0x1.621758f9f079fp-9, -0x1.590a6ff8cd5e4p-9, -0x1.50491e288c423p-9, -0x1.47d1393780399p-9, -0x1.3fa0a2d8044f3p-9, -0x1.37b5489647f26p-9, -0x1.300d23acbe5cdp-9, -0x1.28a638d8ce25ep-9, -0x1.217e9830346a9p-9, -0x1.1a945cf5a1cc7p-9, -0x1.13e5ad6e35cfp-9, -0x1.0d70bab65a536p-9, -0x1.0733c0974be8p-9, -0x1.012d055cce014p-9, -0x1.f6b5b35579b5p-10, -0x1.eb7730a5270afp-10, -0x1.e09b4c544cf06p-10, -0x1.d61ee3c2c3cf6p-10, -0x1.cbfee7b279432p-10, -0x1.c2385bf3efc23p-10, -0x1.b8c857157616bp-10, -0x1.afac0210666ffp-10, -0x1.a6e097f96c11dp-10, -0x1.9e6365af641bap-10, -0x1.9631c98bf7a93p-10, -0x1.8e4933143dd55p-10, -0x1.86a722aa5c30cp-10, -0x1.7f49293fdfde5p-10, -0x1.782ce807f4e8cp-10, -0x1.7150102b94df2p-10, -0x1.6ab0627d0ecf5p-10, -0x1.644baf2da96ebp-10, -0x1.5e1fd58211e38p-10, -0x1.582ac389d48e1p-10, -0x1.526a75d64012dp-10, -0x1.4cdcf7316b4bbp-10, -0x1.47806057b2daep-10, -0x1.4252d7b0b5429p-10, -0x1.3d52910987fdap-10, -0x1.387dcd4f9e7bbp-10, -0x1.33d2da4cb5336p-10, -0x1.2f501262e89c9p-10, -0x1.2af3dc4ade781p-10, -0x1.26bcaad0fac4ap-10, -0x1.22a8fc9514376p-10, -0x1.1eb75bca30954p-10, -0x1.1ae65df662d3bp-10, -0x1.1734a3b58f316p-10, -0x1.13a0d87a98db3p-10, -0x1.1029b2531034fp-10, -0x1.0ccdf1ab2a507p-10, -0x1.098c61122b3c8p-10, -0x1.0663d5007e6bdp-10, -0x1.03532b9dfb04cp-10, -0x1.00594c8915fb9p-10, -0x1.faea513ec31adp-11, -0x1.f54b738c72691p-11, -0x1.efd4056932a72p-11, -0x1.ea821d7b8cc2fp-11, -0x1.e553e33a1255ep-11, -0x1.e0478e8353ceap-11, -0x1.db5b67380b212p-11, -0x1.d68dc4d791f5bp-11, -0x1.d1dd0e1ca6344p-11, -0x1.cd47b89da6e65p-11, -0x1.c8cc486b3b51bp-11, -0x1.c4694fb598c87p-11, -0x1.c01d6e6dad545p-11, -0x1.bbe751ec0bf66p-11, -0x1.b7c5b498057cdp-11, -0x1.b3b75d8fb0429p-11, -0x1.afbb205281762p-11, -0x1.abcfdc6cfdd2dp-11, -0x1.a7f47d25d4aabp-11, -0x1.a427f92cdbb2ap-11, -0x1.a069524b1364ep-11, -0x1.9cb795147c62ap-11, -0x1.9911d89bee77fp-11, -0x1.95773e263b083p-11, -0x1.91e6f0e22e127p-11, -0x1.8e60259ed7e31p-11, -0x1.8ae21a8537af4p-11, -0x1.876c16d1e1768p-11, -0x1.83fd6a91c106cp-11, -0x1.80956e5e6895fp-11, -0x1.7d33831d08135p-11, -0x1.79d711be0f9cp-11, -0x1.767f8afe85351p-11, -0x1.732c672a3df48p-11, -0x1.6fdd25e001283p-11, -0x1.6c914dd64ebd7p-11, -0x1.69486ca197dbdp-11, -0x1.6602167c73f3dp-11, -0x1.62bde60f4b184p-11, -0x1.5f7b7c3bc2c29p-11, -0x1.5c3a7fe66ec2dp-11, -0x1.58fa9dc492116p-11, -0x1.55bb88288ec1fp-11, -0x1.527cf6d184aa3p-11, -0x1.4f3ea6ba7ab69p-11, -0x1.4c0059eb8f834p-11, -0x1.48c1d74bf7c58p-11, -0x1.4582ea7565e52p-11, -0x1.42436387a2738p-11, -0x1.3f0316fe8718bp-11, -0x1.3bc1dd877bda9p-11, -0x1.387f93d975403p-11, -0x1.353c1a8cd074ap-11, -0x1.31f755f4cc2bcp-11, -0x1.2eb12df986d46p-11, -0x1.2b698df3cf97ap-11, -0x1.282064884f5c2p-11, -0x1.24d5a38594997p-11, -0x1.21893fc15ea4fp-11, -0x1.1e3b30f7c9c06p-11, -0x1.1aeb71aae778ap-11, -0x1.1799ff037ee72p-11, -0x1.1446d8b237e94p-11, -0x1.10f200d21dbe3p-11, -0x1.0d9b7bcb840bbp-11, -0x1.0a4350381f7bep-11, -0x1.06e986c76a77p-11, -0x1.038e2a243521p-11, -0x1.003146dad12a6p-11, -0x1.f9a5d68015fb7p-12, -0x1.f2e64eb1811c5p-12, -0x1.ec2419845bbb2p-12, -0x1.e55f5d3634ef7p-12, -0x1.de9842db2f6f2p-12, -0x1.d7cef6328b69dp-12, -0x1.d103a57d019d2p-12, -0x1.ca36815464787p-12, -0x1.c367bc83dbb9cp-12, -0x1.bc978be20e897p-12, -0x1.b5c6262c6a36bp-12, -0x1.aef3c3e329418p-12, -0x1.a8209f270de44p-12, -0x1.a14cf397c4998p-12, -0x1.9a78fe33ca63fp-12, -0x1.93a4fd392edd2p-12, -0x1.8cd130070eeap-12, -0x1.85fdd7016c44bp-12, -0x1.7f2b3373f081p-12, -0x1.78598777bc16ep-12, -0x1.718915d8ccf11p-12, -0x1.6aba21fcba5b5p-12, -0x1.63ecefcb08f71p-12, -0x1.5d21c39506e4ap-12, -0x1.5658e1ffdb52ep-12, -0x1.4f928feed1815p-12, -0x1.48cf126e38608p-12, -0x1.420eaea018d34p-12, -0x1.3b51a9a836706p-12, -0x1.3498489a6b4d5p-12, -0x1.2de2d06877b87p-12, -0x1.273185d199b73p-12, -0x1.2084ad51e9118p-12, -0x1.19dc8b13513f3p-12, -0x1.133962de3d6bp-12, -0x1.0c9b780c4dfadp-12, -0x1.06030d7a1a72p-12, -0x1.fee0caf539d75p-13, -0x1.f1c783968b202p-13, -0x1.e4bac70f60bcp-13, -0x1.d7bb163f2b1d7p-13, -0x1.cac8f09679f23p-13, -0x1.bde4d404fcf49p-13, -0x1.b10f3ce57a519p-13, -0x1.a448a5ecd02f3p-13, -0x1.979188187f4cbp-13, -0x1.8aea5aa008eaap-13, -0x1.7e5392e534931p-13, -0x1.71cda46642938p-13, -0x1.655900b168202p-13, -0x1.58f617584275fp-13, -0x1.4ca555e52bdf2p-13, -0x1.406727d006015p-13, -0x1.343bf674ec5ccp-13, -0x1.2824290baa406p-13, -0x1.1c20249ee7c81p-13, -0x1.10304c0584673p-13, -0x1.0454ffdaaa7cap-13, -0x1.f11d3cf288fccp-14, -0x1.d9bb07eaf5499p-14, -0x1.c28414304c91dp-14, -0x1.ab7910b60fa25p-14, -0x1.949aa7c8d8772p-14, -0x1.7de97f0a5b035p-14, -0x1.6766376ac0a22p-14, -0x1.51116d24dd1cep-14, -0x1.3aebb7bccbc9p-14, -0x1.24f5a9fbcd012p-14, -0x1.0f2fd1f13e904p-14, -0x1.f33571e27539cp-15, -0x1.c86dc72d19a4p-15, -0x1.9e09a38550ed5p-15, -0x1.7409fd43e52ccp-15, -0x1.4a6fc15b20de1p-15, -0x1.213bd360de94fp-15, -0x1.f0de1b2a98578p-16, -0x1.a01481e0fc342p-16, -0x1.501c6a571e67ep-16, -0x1.00f751a05a3fep-16, -0x1.654d4513a3713p-17, -0x1.94aed6f6fa3b7p-18, -0x1.887d1e216cc61p-20, 0x1.9a1ea235b50f7p-19, 0x1.f8d866c30a06bp-18, 0x1.909bd9d3e4074p-17, 0x1.118a4de74d7a8p-16, 0x1.59ea4de122c6bp-16, 0x1.a16d0f259bda9p-16, 0x1.e811c4e698278p-16, 0x1.16ebd989bf5cdp-15, 0x1.395f170f488bap-15, 0x1.5b624d6ab3e7cp-15, 0x1.7cf537126c5e7p-15, 0x1.9e179676c6ca3p-15, 0x1.bec935e43086dp-15, 0x1.df09e76a1b78cp-15, 0x1.fed984bf853bp-15, 0x1.0f1bf793301d9p-14, 0x1.1e9287a79297fp-14, 0x1.2dd06a9f625cdp-14, 0x1.3cd59c171a1d1p-14, 0x1.4ba21b3897218p-14, 0x1.5a35eaaa46f39p-14, 0x1.689110827f1d2p-14, 0x1.76b39636cfed3p-14, 0x1.849d888e7aad8p-14, 0x1.924ef7919085ap-14, 0x1.9fc7f67c782a8p-14, 0x1.ad089bad7ed15p-14, 0x1.ba110098a592p-14, 0x1.c6e141b5bf38fp-14, 0x1.d3797e739fad5p-14, 0x1.dfd9d9265cb58p-14, 0x1.ec0276fa13426p-14, 0x1.f7f37fe217cb4p-14, 0x1.01d68f4566e78p-13, 0x1.0797c024a223p-13, 0x1.0d3d6a8671da2p-13, 0x1.12c7a7a81651fp-13, 0x1.18369204704d5p-13, 0x1.1d8a454ce2e4bp-13, 0x1.22c2de617102fp-13, 0x1.27e07b496db3p-13, 0x1.2ce33b2c3ca46p-13, 0x1.31cb3e495e8a7p-13, 0x1.3698a5f1fefep-13, 0x1.3b4b94806d254p-13, 0x1.3fe42d5233646p-13, 0x1.446294bf96535p-13, 0x1.48c6f015662d7p-13, 0x1.4d11658d76604p-13, 0x1.51421c479a693p-13, 0x1.55593c42ad81dp-13, 0x1.5956ee55d6a58p-13, 0x1.5d3b5c2953e5p-13, 0x1.6106b03013fd7p-13, 0x1.64b915a09bcabp-13, 0x1.6852b86eca33ep-13, 0x1.6bd3c544fadd9p-13, 0x1.6f3c697d9df38p-13, 0x1.728cd31ca2e9bp-13, 0x1.75c530c95dbc7p-13, 0x1.78e5b1c81ced4p-13, 0x1.7bee85f3f109bp-13, 0x1.7edfddb870982p-13, 0x1.81b9ea0c2ba84p-13, 0x1.847cdc69e088ap-13, 0x1.8728e6cb6e58p-13, 0x1.89be3ba35bb1cp-13, 0x1.8c3d0dd79d1c9p-13, 0x1.8ea590bb99d0fp-13, 0x1.90f7f80acfed5p-13, 0x1.933477e3309b7p-13, 0x1.955b44bfdbafcp-13, 0x1.976c9373b3a6cp-13, 0x1.99689924464dep-13, 0x1.9b4f8b447e7a2p-13, 0x1.9d219f8fd5a5dp-13, 0x1.9edf0c04f0f04p-13, 0x1.a08806e12a1a3p-13, 0x1.a21cc69b7914dp-13, 0x1.a39d81dfe02bbp-13, 0x1.a50a6f8a8e52ap-13, 0x1.a663c6a3aac97p-13, 0x1.a7a9be5a8b3abp-13, 0x1.a8dc8e018a2e9p-13, 0x1.a9fc6d0990eddp-13, 0x1.ab0992fdcad3ep-13, 0x1.ac04377fd887cp-13, 0x1.acec92434e29ap-13, 0x1.adc2db0a21fe3p-13, 0x1.ae8749a0772cp-13, 0x1.af3a15d8eeadap-13, 0x1.afdb7788eac12p-13, 0x1.b06ba684cebd5p-13, 0x1.b0eada9c9d79fp-13, 0x1.b1594b9831f09p-13, 0x1.b1b731341bcafp-13, 0x1.b204c31e0e0efp-13, 0x1.b24238f1b2abp-13, 0x1.b26fca35741b6p-13, 0x1.b28dae5752c37p-13, 0x1.b29c1caa008a3p-13, 0x1.b29b4c61b8e76p-13, 0x1.b28b74918d238p-13, 0x1.b26ccc285203p-13, 0x1.b23f89ee24c4fp-13, 0x1.b203e4818156cp-13, 0x1.b1ba1254b9cfep-13, 0x1.b16249ab8d733p-13, 0x1.b0fcc0986ea07p-13, 0x1.b089acfa60179p-13, 0x1.b009447a78296p-13, 0x1.af7bbc8993a58p-13, 0x1.aee14a5e22e78p-13, 0x1.ae3a22f235f01p-13, 0x1.ad867b0133d44p-13, 0x1.acc68705e7bd7p-13, 0x1.abfa7b3879329p-13, 0x1.ab228b8cbad89p-13, 0x1.aa3eebb0273cdp-13, 0x1.a94fcf082eaecp-13, 0x1.a85568b0899bdp-13, 0x1.a74feb796fe4dp-13, 0x1.a63f89e61bdcep-13, 0x1.a524762b5d7edp-13, 0x1.a3fee22dca8e5p-13, 0x1.a2ceff80a1108p-13, 0x1.a194ff6444e36p-13, 0x1.a05112c4ed124p-13, 0x1.9f036a3967ae5p-13, 0x1.9dac3601d6735p-13, 0x1.9c4ba606930d2p-13, 0x1.9ae1e9d706c1cp-13, 0x1.996f30a88b1ccp-13, 0x1.97f3a95576bdbp-13, 0x1.966f825c388f9p-13, 0x1.94e2e9de4429fp-13, 0x1.934e0d9f3c58cp-13, 0x1.91b11b0414a1bp-13, 0x1.900c3f12589eap-13, 0x1.8e5fa66f5b05fp-13, 0x1.8cab7d5f98f0dp-13, 0x1.8aefefc5f0ff2p-13, 0x1.892d292307843p-13, 0x1.87635494c3056p-13, 0x1.85929cd5b401bp-13, 0x1.83bb2c3c82203p-13, 0x1.81dd2cbb94d18p-13, 0x1.7ff8c7e09f1e6p-13, 0x1.7e0e26d411576p-13, 0x1.7c1d7258ec0bcp-13, 0x1.7a26d2cc56a6dp-13, 0x1.782a70253ff66p-13, 0x1.762871f4440b8p-13, 0x1.7420ff634f747p-13, 0x1.72143f358d38fp-13, 0x1.700257c7234c7p-13, 0x1.6deb6f0d0aec5p-13, 0x1.6bcfaa95079e1p-13, 0x1.69af2f857a261p-13, 0x1.678a229d753f2p-13, 0x1.6560a8349b601p-13, 0x1.6332e43b2ef28p-13, 0x1.6100fa3a28d72p-13, 0x1.5ecb0d5306dbep-13, 0x1.5c9140402968ap-13, 0x1.5a53b554de4e2p-13, 0x1.58128e7d508f6p-13, 0x1.55cded3ee0a72p-13, 0x1.5385f2b859ac6p-13, 0x1.513abfa1f7a02p-13, 0x1.4eec744db149ap-13, 0x1.4c9b30a79248ap-13, 0x1.4a471435cfccep-13, 0x1.47f03e192475cp-13, 0x1.4596cd0d1f95bp-13, 0x1.433adf687e5ddp-13, 0x1.40dc931d59cep-13, 0x1.3e7c05b9a1346p-13, 0x1.3c1954678475ep-13, 0x1.39b49bedaf814p-13, 0x1.374df8afd985dp-13, 0x1.34e586af151d4p-13, 0x1.327b618a464a8p-13, 0x1.300fa47e86745p-13, 0x1.2da26a67b0e89p-13, 0x1.2b33cdc0d7f44p-13, 0x1.28c3e8a49e0f4p-13, 0x1.2652d4cde666bp-13, 0x1.23e0ab9852f73p-13, 0x1.216d86008e685p-13, 0x1.1ef97ca521854p-13, 0x1.1c84a7c6de6c7p-13, 0x1.1a0f1f494ca58p-13, 0x1.1798fab379324p-13, 0x1.15225130638b9p-13, 0x1.12ab398f8a244p-13, 0x1.1033ca459cc11p-13, 0x1.0dbc196d08fb9p-13, 0x1.0b443cc697e28p-13, 0x1.08cc49ba07194p-13, 0x1.06545556b962p-13, 0x1.03dc74543db9ep-13, 0x1.0164bb130717cp-13, 0x1.fdda7b3a1b4ddp-14, 0x1.f8ec1f4cc4fep-14, 0x1.f3fe891be4648p-14, 0x1.ef11debc637adp-14, 0x1.ea26459b42459p-14, 0x1.e53be27f1bf06p-14, 0x1.e052d989f05f1p-14, 0x1.db6b4e398574bp-14, 0x1.d6856369991fep-14, 0x1.d1a13b552cd24p-14, 0x1.ccbef7974d75cp-14, 0x1.c7deb92d38dd8p-14, 0x1.c300a0775d934p-14, 0x1.be24cd3a8ee3ap-14, 0x1.b94b5ea20bae7p-14, 0x1.b4747340465c8p-14, 0x1.afa0291098d27p-14, 0x1.aace9d78bb23ap-14, 0x1.a5ffed49f79e4p-14, 0x1.a13434c2cda0cp-14, 0x1.9c6b8f906766ap-14, 0x1.97a618cf8c251p-14, 0x1.92e3eb0ea3cbep-14, 0x1.8e25204f0c64ep-14, 0x1.8969d205fb13ap-14, 0x1.84b2191ea85e9p-14, 0x1.7ffe0dfb7b67p-14, 0x1.7b4dc876ed6ebp-14, 0x1.76a15fe5bf50bp-14, 0x1.71f8eb182996ap-14, 0x1.6d54805ace397p-14, 0x1.68b43578eb94cp-14, 0x1.64181fbd2bbf2p-14, 0x1.5f8053f335p-14, 0x1.5aece669506ep-14, 0x1.565deaf16c14p-14, 0x1.51d374e31bfe4p-14, 0x1.4d4d971c37221p-14, 0x1.48cc6402d9513p-14, 0x1.444fed86a9a5bp-14, 0x1.3fd84521e8e73p-14, 0x1.3b657bdb55f34p-14, 0x1.36f7a2473cacfp-14, 0x1.328ec888c36f5p-14, 0x1.2e2afe539a7f6p-14, 0x1.29cc52ed0f202p-14, 0x1.2572d52d61d91p-14, 0x1.211e9381a405cp-14, 0x1.1ccf9bec5bc41p-14, 0x1.1885fc072ffa3p-14, 0x1.1441c10481cdcp-14, 0x1.1002f7b01d00cp-14, 0x1.0bc9ac7113b3dp-14, 0x1.0795eb4ad8533p-14, 0x1.0367bfde7b00bp-14, 0x1.fe7e6ad86eab7p-15, 0x1.f638ada8d1538p-15, 0x1.edfe5d3251867p-15, 0x1.e5cf8dbe7ff2ep-15, 0x1.ddac52df78a94p-15, 0x1.d594bf71cf432p-15, 0x1.cd88e59f38e98p-15, 0x1.c588d6e1b6fbp-15, 0x1.bd94a404bd0a3p-15, 0x1.b5ac5d2917398p-15, 0x1.add011c630a6ep-15, 0x1.a5ffd0acf1bp-15, 0x1.9e3ba80ab7131p-15, 0x1.9683a56a4e21fp-15, 0x1.8ed7d5b7a007dp-15, 0x1.87384541a12e6p-15, 0x1.7fa4ffbc32f27p-15, 0x1.781e104353b14p-15, 0x1.70a3815c83d4p-15, 0x1.69355cf9c6aadp-15, 0x1.61d3ac7b5c7f4p-15, 0x1.5a7e78b22826bp-15, 0x1.5335c9e20a212p-15, 0x1.4bf9a7c3dacep-15, 0x1.44ca1987e4e37p-15, 0x1.3da725d7d0dd3p-15, 0x1.3690d2d8f1b28p-15, 0x1.2f87262e296c8p-15, 0x1.288a24fa203e2p-15, 0x1.2199d3e1b035fp-15, 0x1.1ab6370d4b026p-15, 0x1.13df522bc9707p-15, 0x1.0d152873ac13bp-15, 0x1.0657bca5cd39dp-15, 0x1.ff4e221e16464p-16, 0x1.f2064f13d32bp-16, 0x1.e4d8030324b5dp-16, 0x1.d7c33fe50180fp-16, 0x1.cac806dab7c8fp-16, 0x1.bde658310dfbbp-16, 0x1.b11e3363472dbp-16, 0x1.a46f97206a2e4p-16, 0x1.97da814d68c56p-16, 0x1.8b5eef0a53537p-16, 0x1.7efcdcb468474p-16, 0x1.72b445eab2958p-16, 0x1.66852590c847fp-16, 0x1.5a6f75d31ebcdp-16, 0x1.4e733029ba14bp-16, 0x1.42904d5c45a25p-16, 0x1.36c6c584e254fp-16, 0x1.2b169014127b6p-16, 0x1.1f7fa3d35957ap-16, 0x1.1401f6e90675p-16, 0x1.089d7edb9d8dcp-16, 0x1.faa46127c63ecp-17, 0x1.e44000c3acc9ep-17, 0x1.ce0dc3fbe8514p-17, 0x1.b80d911b2d144p-17, 0x1.a23f4d4ba514dp-17, 0x1.8ca2dc9baefbap-17, 0x1.77382204e788dp-17, 0x1.61feff7177246p-17, 0x1.4cf755c33d083p-17, 0x1.382104d7ff2d7p-17, 0x1.237beb8eec9c8p-17, 0x1.0f07e7d10d47ap-17, 0x1.f589ad247625ap-18, 0x1.cd6527b5323f9p-18, 0x1.a5a1f593c6b19p-18, 0x1.7e3fcb3d30e5dp-18, 0x1.573e5b71159d7p-18, 0x1.309d574078f99p-18, 0x1.0a5c6e16cd01cp-18, 0x1.c8f69b873147cp-19, 0x1.7df3450813528p-19, 0x1.33ae2e21a9273p-19, 0x1.d44d5284a16a5p-20, 0x1.42b80beb9bd29p-20, 0x1.653643bea60d1p-21, 0x1.1fa941e966dc7p-23, -0x1.a4ed49c35c766p-22, -0x1.e9ef89db4d779p-21, -0x1.7f41ab0327c1ep-20, -0x1.040d42bb87fcp-19, -0x1.47c1ecf021ceap-19, -0x1.8abf9943e2e92p-19, -0x1.cd070f1ca5efdp-19, -0x1.074c8c0c4c5d2p-18, -0x1.27bb3ffe788d8p-18, -0x1.47d00a4efcd1dp-18, -0x1.678b52ecb7613p-18, -0x1.86ed82c039512p-18, -0x1.a5f703a33c5b2p-18, -0x1.c4a8405a3f278p-18, -0x1.e301a48efaecp-18, -0x1.0081ce62cd5fep-17, -0x1.0f574b2a5cdb5p-17, -0x1.1e017fb17fc57p-17, -0x1.2c80a36d8f07ap-17, -0x1.3ad4ee3257c47p-17, -0x1.48fe983260f2fp-17, -0x1.56fdd9f54b6edp-17, -0x1.64d2ec5abfa83p-17, -0x1.727e0890f1e02p-17, -0x1.7fff68180e60ep-17, -0x1.8d5744b914325p-17, -0x1.9a85d885d3a91p-17, -0x1.a78b5dd5bbd34p-17, -0x1.b4680f4138679p-17, -0x1.c11c279fb50aap-17, -0x1.cda7e204ec70cp-17, -0x1.da0b79be3d424p-17, -0x1.e6472a4cb6cfbp-17, -0x1.f25b2f67a8cbp-17, -0x1.fe47c4f4b4b26p-17, -0x1.0506938418a05p-16, -0x1.0ad5c8f068356p-16, -0x1.1091a0f3806c6p-16, -0x1.163a39d343a79p-16, -0x1.1bcfb1e8af8e1p-16, -0x1.2152279bf2017p-16, -0x1.26c1b9647f73fp-16, -0x1.2c1e85c87e785p-16, -0x1.3168ab5997586p-16, -0x1.36a048b59635cp-16, -0x1.3bc57c84f1758p-16, -0x1.40d8657899dc5p-16, -0x1.45d92249ff9a4p-16, -0x1.4ac7d1b94ae33p-16, -0x1.4fa4928d87e33p-16, -0x1.546f8390b98aap-16, -0x1.5928c392ef4e5p-16, -0x1.5dd07165548b5p-16, -0x1.6266abdbb65bap-16, -0x1.66eb91ca5ba07p-16, -0x1.6b5f42060ceefp-16, -0x1.6fc1db60eef5ep-16, -0x1.74137cad6514bp-16, -0x1.785444b906ce4p-16, -0x1.7c84524e37a1ap-16, -0x1.80a3c432e661bp-16, -0x1.84b2b9279d41fp-16, -0x1.88b14fe52827cp-16, -0x1.8c9fa71f6de3dp-16, -0x1.907ddd7fa9928p-16, -0x1.944c11a8d9849p-16, -0x1.980a62320aa34p-16, -0x1.9bb8eda9778fp-16, -0x1.9f57d291e4004p-16, -0x1.a2e72f620bf19p-16, -0x1.a6672283d2a84p-16, -0x1.a9d7ca54dfc9fp-16, -0x1.ad394523fc2fp-16, -0x1.b08bb131204b7p-16, -0x1.b3cf2cae5e5f2p-16, -0x1.b703d5bc57f9bp-16, -0x1.ba29ca6bd8b5p-16, -0x1.bd4128bcbe9f8p-16, -0x1.c04a0e9c84faap-16, -0x1.c34499e69ab26p-16, -0x1.c630e8640c9dep-16, -0x1.c90f17c90fb7p-16, -0x1.cbdf45b731b5cp-16, -0x1.cea18fbb1729ap-16, -0x1.d156134b28155p-16, -0x1.d3fcedc9ef60bp-16, -0x1.d6963c830f2f4p-16, -0x1.d9221caa71594p-16, -0x1.dba0ab5f7e51cp-16, -0x1.de1205a750c37p-16, -0x1.e0764871224fdp-16, -0x1.e2cd90921a9eap-16, -0x1.e517fac834d78p-16, -0x1.e755a3b651b4fp-16, -0x1.e986a7e712e6cp-16, -0x1.ebab23ca06e4cp-16, -0x1.edc333b56415ap-16, -0x1.efcef3e2807cdp-16, -0x1.f1ce80723238fp-16, -0x1.f3c1f56763affp-16, -0x1.f5a96ea9e1404p-16, -0x1.f7850805cee76p-16, -0x1.f954dd29c5788p-16, -0x1.fb1909a7b879ap-16, -0x1.fcd1a8f4f9058p-16, -0x1.fe7ed6683ed57p-16, -0x1.0010569dc18e8p-15, -0x1.00dba44509d56p-15, -0x1.01a161a82be8dp-15, -0x1.02619c36fbd34p-15, -0x1.031c61508fff2p-15, -0x1.03d1be4564d9ep-15, -0x1.0481c05632267p-15, -0x1.052c74b30c54ap-15, -0x1.05d1e87d4e7f4p-15, -0x1.067228c58026ap-15, -0x1.070d428c33d91p-15, -0x1.07a342c1e049ep-15, -0x1.08343646c8e5ep-15, -0x1.08c029ea37ab3p-15, -0x1.09472a6bbb4b3p-15, -0x1.09c94479dc1p-15, -0x1.0a4684b26332dp-15, -0x1.0abef7a28b7f2p-15, -0x1.0b32a9c71638cp-15, -0x1.0ba1a78ae3e66p-15, -0x1.0c0bfd490cc9dp-15, -0x1.0c71b74af79a8p-15, -0x1.0cd2e1c8d9105p-15, -0x1.0d2f88ea84db2p-15, -0x1.0d87b8c5abff1p-15, -0x1.0ddb7d5f7cf66p-15, -0x1.0e2ae2ab92f4dp-15, }}, 
      {{0x1.ffeb615b2e992p-1, 0x1.ffae5caef8921p-1, 0x1.ff4b42dddebeap-1, 0x1.fec568f94da05p-1, 0x1.fe20aad6709fap-1, 0x1.fd6100ebf6387p-1, 0x1.fc8a320c02d3p-1, 0x1.fb9fa098cda74p-1, 0x1.faa42efe74722p-1, 0x1.f99a3614ef699p-1, 0x1.f8838838abc06p-1, 0x1.f7617ca7e33bdp-1, 0x1.f634ff9ef54a7p-1, 0x1.f4fea4928f466p-1, 0x1.f3beb8ac51294p-1, 0x1.f275544e9c0f8p-1, 0x1.f1226adf9d1d7p-1, 0x1.efc5d876ceb55p-1, 0x1.ee5f6d4913123p-1, 0x1.eceef6dba871cp-1, 0x1.eb7447228b8f6p-1, 0x1.e9ef39bf882ecp-1, 0x1.e85fb79f647dcp-1, 0x1.e6c5b934f0252p-1, 0x1.e52147901ba5ep-1, 0x1.e3727c8b128aap-1, 0x1.e1b98241c0712p-1, 0x1.dff69201ce54dp-1, 0x1.de29f2dab66ecp-1, 0x1.dc53f7ef2edf1p-1, 0x1.da74fea35585cp-1, 0x1.d88d6cbd9d2fbp-1, 0x1.d69dae8bc87b5p-1, 0x1.d4a6351913018p-1, 0x1.d2a7747f29a56p-1, 0x1.d0a1e2589e3e5p-1, 0x1.ce95f4590efdfp-1, 0x1.cc841f0d49a09p-1, 0x1.ca6cd4c41e835p-1, 0x1.c850849f61e02p-1, 0x1.c62f99cbb79bep-1, 0x1.c40a7add15ecap-1, 0x1.c1e1894d7c4bp-1, 0x1.bfb5211b131ccp-1, 0x1.bd859882c1d77p-1, 0x1.bb533fd43dad6p-1, 0x1.b91e615c9eba7p-1, 0x1.b6e741649c1ep-1, 0x1.b4ae1e3fbf976p-1, 0x1.b2733069fd286p-1, 0x1.b036aab1589bep-1, 0x1.adf8ba696e573p-1, 0x1.abb987a6ec82fp-1, 0x1.a979358136a88p-1, 0x1.a737e258a82aap-1, 0x1.a4f5a8200eefcp-1, 0x1.a2b29ca82f371p-1, 0x1.a06ed1ec3c9f2p-1, 0x1.9e2a565e6a0a8p-1, 0x1.9be53533c998ep-1, 0x1.999f76aed8373p-1, 0x1.97592068302dap-1, 0x1.95123594f32cep-1, 0x1.92cab74a94ffap-1, 0x1.9082a4bfc323ep-1, 0x1.8e39fb8a3680cp-1, 0x1.8bf0b7d94e751p-1, 0x1.89a6d4ad5d0d9p-1, 0x1.875c4c0b9b978p-1, 0x1.8511172ec3619p-1, 0x1.82c52eb4561aep-1, 0x1.80788ac69f0c6p-1, 0x1.7e2b234382b93p-1, 0x1.7bdcefe0331c4p-1, 0x1.798de849e437bp-1, 0x1.773e04439d8d5p-1, 0x1.74ed3bc1490adp-1, 0x1.729b87001f14bp-1, 0x1.7048de9c94695p-1, 0x1.6df53ba5e6e2dp-1, 0x1.6ba097af718dbp-1, 0x1.694aecdfe4abap-1, 0x1.66f435fe8692bp-1, 0x1.649c6e7e9c6bap-1, 0x1.624392891c73cp-1, 0x1.5fe99f04c577bp-1, 0x1.5d8e919cbc838p-1, 0x1.5b3268c5cabadp-1, 0x1.58d523c258d04p-1, 0x1.5676c2a53f6c2p-1, 0x1.5417465387555p-1, 0x1.51b6b0852eea4p-1, 0x1.4f5503c50bc86p-1, 0x1.4cf2436fde9f4p-1, 0x1.4a8e73b2a7eb3p-1, 0x1.4829998856391p-1, 0x1.45c3bab6d961ap-1, 0x1.435cddcbaef84p-1, 0x1.40f50a17f242cp-1, 0x1.3e8c47ac01c27p-1, 0x1.3c229f52c4dc2p-1, 0x1.39b81a8c9cd73p-1, 0x1.374cc38a0e648p-1, 0x1.34e0a5262b273p-1, 0x1.3273cae0c6af9p-1, 0x1.300640d87e60dp-1, 0x1.2d9813c49bf55p-1, 0x1.2b2950eeda8aap-1, 0x1.28ba062d14975p-1, 0x1.264a41dae080cp-1, 0x1.23da12d320e1p-1, 0x1.216988698edc3p-1, 0x1.1ef8b26442ec2p-1, 0x1.1c87a0f53dac2p-1, 0x1.1a1664b3f8569p-1, 0x1.17a50e96fcf55p-1, 0x1.1533afed8bc38p-1, 0x1.12c25a594ea28p-1, 0x1.10511fc81e96dp-1, 0x1.0de0126ddbbdep-1, 0x1.0b6f44be5c92fp-1, 0x1.08fec9677250ap-1, 0x1.068eb34b07b5bp-1, 0x1.041f1579594bdp-1, 0x1.01b0032b48f35p-1, 0x1.fe831f799d5bcp-2, 0x1.f9a79d4f09cc8p-2, 0x1.f4cda6faaaf7ap-2, 0x1.eff563c685778p-2, 0x1.eb1efb18a38dbp-2, 0x1.e64a946927f23p-2, 0x1.e1785738a0d89p-2, 0x1.dca86b069b2b3p-2, 0x1.d7daf74879819p-2, 0x1.d31023608adbcp-2, 0x1.ce4816956357p-2, 0x1.c982f809774aap-2, 0x1.c4c0eeb2f9afdp-2, 0x1.c0022153f8fd2p-2, 0x1.bb46b672c2d07p-2, 0x1.b68ed4528288bp-2, 0x1.b1daa0ec28e0fp-2, 0x1.ad2a41e78d297p-2, 0x1.a87ddc94d2ab1p-2, 0x1.a3d595e60dd19p-2, 0x1.9f31926927c88p-2, 0x1.9a91f641ffabap-2, 0x1.95f6e524cd3e7p-2, 0x1.91608250be937p-2, 0x1.8ccef08ad2644p-2, 0x1.88425218eeab3p-2, 0x1.83bac8bd36208p-2, 0x1.7f3875b1904cp-2, 0x1.7abb79a374e0cp-2, 0x1.7643f4afe9ac6p-2, 0x1.71d2065fb8d29p-2, 0x1.6d65cda3e3b95p-2, 0x1.68ff68d243b2ap-2, 0x1.649ef5a2698bp-2, 0x1.6044912aa9129p-2, 0x1.5bf057dd5f24bp-2, 0x1.57a2658666bedp-2, 0x1.535ad548bfca2p-2, 0x1.4f19c19c67975p-2, 0x1.4adf444c63eefp-2, 0x1.46ab7674f5b67p-2, 0x1.427e7082021e4p-2, 0x1.3e584a2da2843p-2, 0x1.3a391a7ee3d51p-2, 0x1.3620f7c8ad841p-2, 0x1.320ff7a8d5ce3p-2, 0x1.2e062f075e746p-2, 0x1.2a03b215d5f6cp-2, 0x1.2608944ee3786p-2, 0x1.2214e875f876dp-2, 0x1.1e28c097237cep-2, 0x1.1a442e070c2d9p-2, 0x1.166741630d36ep-2, 0x1.12920a9174174p-2, 0x1.0ec498c1df3bdp-2, 0x1.0afefa6dbc3ap-2, 0x1.07413d58e7049p-2, 0x1.038b6e9264666p-2, 0x1.ffbb34ea73062p-3, 0x1.f86f9952c6e69p-3, 0x1.f1342049c6386p-3, 0x1.ea08de59d080dp-3, 0x1.e2ede6ae25ffp-3, 0x1.dbe34b159f70fp-3, 0x1.d4e91c058e4f7p-3, 0x1.cdff689ccc898p-3, 0x1.c7263ea6f83a6p-3, 0x1.c05daa9fd532fp-3, 0x1.b9a5b7b6d617dp-3, 0x1.b2fe6fd2cdf5dp-3, 0x1.ac67db95bd1b2p-3, 0x1.a5e20260cbad7p-3, 0x1.9f6cea58595d2p-3, 0x1.990898682f65ap-3, 0x1.92b51047d0766p-3, 0x1.8c72547ee2ff5p-3, 0x1.86406669b25b9p-3, 0x1.801f463dca6p-3, 0x1.7a0ef30ea8e6fp-3, 0x1.740f6ad281d4ep-3, 0x1.6e20aa671bbe2p-3, 0x1.6842ad96b4772p-3, 0x1.62756f1d038cdp-3, 0x1.5cb8e8ac3cbd1p-3, 0x1.570d12f22e94fp-3, 0x1.5171e59d5f4c4p-3, 0x1.4be757624161ap-3, 0x1.466d5e006754ap-3, 0x1.4103ee47c6548p-3, 0x1.3baafc1dfd54bp-3, 0x1.36627a83a40b8p-3, 0x1.312a5b999bb44p-3, 0x1.2c0290a66516fp-3, 0x1.26eb0a1b7bd8ap-3, 0x1.21e3b79aad647p-3, 0x1.1cec87fb751cfp-3, 0x1.18056950596dap-3, 0x1.132e48ec3f303p-3, 0x1.0e671367c5dcfp-3, 0x1.09afb4a6968a7p-3, 0x1.050817dcb3cd3p-3, 0x1.00702793c5325p-3, 0x1.f7cf9b60b7609p-4, 0x1.eedde6ee5713bp-4, 0x1.e60b03248c615p-4, 0x1.dd56c02c8faf2p-4, 0x1.d4c0ed0ef6af8p-4, 0x1.cc4957bdea94dp-4, 0x1.c3efcd1f55781p-4, 0x1.bbb41916e203p-4, 0x1.b396068ffcdcp-4, 0x1.ab955f87af5e6p-4, 0x1.a3b1ed166e02p-4, 0x1.9beb7779b9059p-4, 0x1.9441c61db8861p-4, 0x1.8cb49fa6b2964p-4, 0x1.8543c9fa5e814p-4, 0x1.7def0a492918ep-4, 0x1.76b625174f529p-4, 0x1.6f98de45deadep-4, 0x1.6896f91b961d6p-4, 0x1.61b0384da5dd6p-4, 0x1.5ae45e084f453p-4, 0x1.54332bf761973p-4, 0x1.4d9c634e9860dp-4, 0x1.471fc4d1d5ca9p-4, 0x1.40bd10dd36346p-4, 0x1.3a74076d0b306p-4, 0x1.34446825a80c8p-4, 0x1.2e2df25b1073dp-4, 0x1.28306518821e6p-4, 0x1.224b7f27dc063p-4, 0x1.1c7eff18dd7fap-4, 0x1.16caa348435e1p-4, 0x1.112e29e6c053fp-4, 0x1.0ba950ffcf264p-4, 0x1.063bd68064812p-4, 0x1.00e5783d722ddp-4, 0x1.f74be7f4a4044p-5, 0x1.ecfa0ede0407bp-5, 0x1.e2d4e09c82d1ep-5, 0x1.d8dbd89706647p-5, 0x1.cf0e724189403p-5, 0x1.c56c29286b79cp-5, 0x1.bbf478fb87a44p-5, 0x1.b2a6dd98fb622p-5, 0x1.a982d317a39c3p-5, 0x1.a087d5d15a726p-5, 0x1.97b5626ce222fp-5, 0x1.8f0af5e794222p-5, 0x1.86880d9ebe362p-5, 0x1.7e2c2758c6946p-5, 0x1.75f6c14dfe5d8p-5, 0x1.6de75a313abf9p-5, 0x1.65fd71381d862p-5, 0x1.5e388623266cep-5, 0x1.5698194578728p-5, 0x1.4f1bab8c662c5p-5, 0x1.47c2be86af492p-5, 0x1.408cd46b8fa39p-5, 0x1.397970217a3cp-5, 0x1.32881544a7846p-5, 0x1.2bb8482d596e6p-5, 0x1.25098df5e94a6p-5, 0x1.1e7b6c808fa25p-5, 0x1.180d6a7cffbf8p-5, 0x1.11bf0f6db94d3p-5, 0x1.0b8fe3ad27aadp-5, 0x1.057f707284ba1p-5, 0x1.ff1a7fad17a5cp-6, 0x1.f371b9afcecfp-6, 0x1.e803a6bee993dp-6, 0x1.dccf60889de2dp-6, 0x1.d1d4029f3cfcep-6, 0x1.c710aa8083f84p-6, 0x1.bc84779c71d2bp-6, 0x1.b22e8b5bc4251p-6, 0x1.a80e0926185cdp-6, 0x1.9e2216679e7ap-6, 0x1.9469da9675407p-6, 0x1.8ae47f37b57bcp-6, 0x1.81912fe40e14ap-6, 0x1.786f1a4c22ee5p-6, 0x1.6f7d6e3c763edp-6, 0x1.66bb5da11c6d7p-6, 0x1.5e281c8909e79p-6, 0x1.55c2e12917c6bp-6, 0x1.4d8ae3debbc2fp-6, 0x1.457f5f326d1cap-6, 0x1.3d9f8fd9ca307p-6, 0x1.35eab4b96561dp-6, 0x1.2e600ee659b9dp-6, 0x1.26fee1a794eeap-6, 0x1.1fc67276d9a47p-6, 0x1.18b6090186922p-6, 0x1.11ccef291c348p-6, 0x1.0b0a71037d8bdp-6, 0x1.046ddcdb0a24ep-6, 0x1.fbed065caf75bp-7, 0x1.ef476d5fba232p-7, 0x1.e2e9988a8ded9p-7, 0x1.d6d2360d4a4dcp-7, 0x1.cafff87ac7a62p-7, 0x1.bf7196c612af5p-7, 0x1.b425cc3fa726ap-7, 0x1.a91b58921f288p-7, 0x1.9e50ffbeb6ea3p-7, 0x1.93c58a1962ac4p-7, 0x1.8977c44479b81p-7, 0x1.7f667f2c3e2d7p-7, 0x1.75909001f70a4p-7, 0x1.6bf4d036b728ap-7, 0x1.62921d75f5cc1p-7, 0x1.5967599fd2bcfp-7, 0x1.50736ac3129dap-7, 0x1.47b53b16dd529p-7, 0x1.3f2bb8f4499c6p-7, 0x1.36d5d6cf99759p-7, 0x1.2eb28b31474a3p-7, 0x1.26c0d0aede698p-7, 0x1.1effa5e3a78e2p-7, 0x1.176e0d69049d7p-7, 0x1.100b0dcec2f9fp-7, 0x1.08d5b19328de5p-7, 0x1.01cd071addda2p-7, 0x1.f5e041516a16dp-8, 0x1.e87c28aa7ab99p-8, 0x1.db6bf80c770e4p-8, 0x1.ceadeacbf75d8p-8, 0x1.c24043b52091cp-8, 0x1.b6214cf9c7ef8p-8, 0x1.aa4f581f5a49bp-8, 0x1.9ec8bdeca3af1p-8, 0x1.938bde5773a09p-8, 0x1.88972071e77d7p-8, 0x1.7de8f257a91cap-8, 0x1.737fc91b18da4p-8, 0x1.695a20b21b52p-8, 0x1.5f767be302673p-8, 0x1.55d36431486b7p-8, 0x1.4c6f69ca16a2cp-8, 0x1.43492370e87cdp-8, 0x1.3a5f2e6be1af9p-8, 0x1.31b02e7042feep-8, 0x1.293acd8ec5683p-8, 0x1.20fdbc1fd776ep-8, 0x1.18f7b0afed757p-8, 0x1.112767eba5fdp-8, 0x1.098ba48c391cbp-8, 0x1.02232f4369f72p-8, 0x1.f5d9ad500d092p-9, 0x1.e7cede43e62bep-9, 0x1.da23a5ad1491ap-9, 0x1.ccd5c329cc5d3p-9, 0x1.bfe30184657bdp-9, 0x1.b349368c224e7p-9, 0x1.a70642ee0a074p-9, 0x1.9b18120df0a02p-9, 0x1.8f7c99dfa7ea4p-9, 0x1.8431dac029db7p-9, 0x1.7935df4f20df7p-9, 0x1.6e86bc4872697p-9, 0x1.6422905e2938cp-9, 0x1.5a07841252abbp-9, 0x1.5033c991632d7p-9, 0x1.46a59c8c62e88p-9, 0x1.3d5b4213cc5e1p-9, 0x1.345308724785ap-9, 0x1.2b8b4707f62a9p-9, 0x1.23025e25a393bp-9, 0x1.1ab6b6e88d4a4p-9, 0x1.12a6c3164927p-9, 0x1.0ad0fcf8ea6bep-9, 0x1.0333e73b8f936p-9, 0x1.f79c198e0206dp-10, 0x1.e93c013e08e97p-10, 0x1.db44bb7ed759bp-10, 0x1.cdb38df3dbc21p-10, 0x1.c085cda8762adp-10, 0x1.b3b8decc357c4p-10, 0x1.a74a34703bbddp-10, 0x1.9b37504530323p-10, 0x1.8f7dc259f31aap-10, 0x1.841b28daacad7p-10, 0x1.790d2fd0bc19fp-10, 0x1.6e5190e37eb91p-10, 0x1.63e613195e2bdp-10, 0x1.59c88a9a0d588p-10, 0x1.4ff6d8710d761p-10, 0x1.466eea5118c6ap-10, 0x1.3d2eba5857fbbp-10, 0x1.34344ed503b03p-10, 0x1.2b7dba0b07b77p-10, 0x1.230919fa40ab9p-10, 0x1.1ad498254ab9bp-10, 0x1.12de69595d854p-10, 0x1.0b24cd768c3f9p-10, 0x1.03a60f38f4aa7p-10, 0x1.f8c10804e4905p-11, 0x1.eaa5174abb403p-11, 0x1.dcf5205f0ccap-11, 0x1.cfae0b6d1cee1p-11, 0x1.c2ccd44861b69p-11, 0x1.b64e8a0814314p-11, 0x1.aa304ea2e03b9p-11, 0x1.9e6f568d0bf1p-11, 0x1.9308e857325d4p-11, 0x1.87fa5c4eee077p-11, 0x1.7d411c20e371fp-11, 0x1.72daa27bd142dp-11, 0x1.68c47ab58b17cp-11, 0x1.5efc4070cf38ep-11, 0x1.557f9f454470dp-11, 0x1.4c4c52679db88p-11, 0x1.43602454a32e6p-11, 0x1.3ab8ee7c1b4d4p-11, 0x1.325498ee2910bp-11, 0x1.2a311a098893bp-11, 0x1.224c762b04e93p-11, 0x1.1aa4bf5e9224p-11, 0x1.1338151151552p-11, 0x1.0c04a3c54b6a2p-11, 0x1.0508a4c675ef3p-11, 0x1.fc84bbc0c89bap-12, 0x1.ef60422b9ca4bp-12, 0x1.e2a098b2f9e8p-12, 0x1.d642928f528f2p-12, 0x1.ca4319c32fb51p-12, 0x1.be9f2e9335068p-12, 0x1.b353e7014c537p-12, 0x1.a85e6e4a655c3p-12, 0x1.9dbc0465e9907p-12, 0x1.9369fd880c8aep-12, 0x1.8965c1a68b65dp-12, 0x1.7faccbfec422fp-12, 0x1.763caa9f90656p-12, 0x1.6d12fdf3f2efep-12, 0x1.642d7850b0bc7p-12, 0x1.5b89dd84059bap-12, 0x1.53260267a3328p-12, 0x1.4affcc742ec6ep-12, 0x1.43153157a0bbbp-12, 0x1.3b64368d8bcb7p-12, 0x1.33eaf0f8ae5f6p-12, 0x1.2ca7847fe9fefp-12, 0x1.259823aba7493p-12, 0x1.1ebb0f469cdfp-12, 0x1.180e95ffb855ep-12, 0x1.1191140e00eb9p-12, 0x1.0b40f2d66437bp-12, 0x1.051ca8941fa62p-12, 0x1.fe457002c9e12p-13, 0x1.f2a360070cefap-13, 0x1.e75056afaa1b7p-13, 0x1.dc49a084dc16ap-13, 0x1.d18ca07eb259cp-13, 0x1.c716cf687f1a1p-13, 0x1.bce5bb4a74b7bp-13, 0x1.b2f706d3a7265p-13, 0x1.a94868c93de54p-13, 0x1.9fd7ab78cc1d7p-13, 0x1.96a2ac2c8e3b8p-13, 0x1.8da75aa35bffap-13, 0x1.84e3b88c88a7bp-13, 0x1.7c55d905848f3p-13, 0x1.73fbe01ad7651p-13, 0x1.6bd4024bf790ap-13, 0x1.63dc8413134bcp-13, 0x1.5c13b96ce48c3p-13, 0x1.5478056697914p-13, 0x1.4d07d9ac02821p-13, 0x1.45c1b6198d005p-13, 0x1.3ea42850557cep-13, 0x1.37adcb4d46a6cp-13, 0x1.30dd47024f964p-13, 0x1.2a314ff1fcdbdp-13, 0x1.23a8a6ce2f977p-13, 0x1.1d42181868fdcp-13, 0x1.16fc7bc4e756p-13, 0x1.10d6b4df846e6p-13, 0x1.0acfb1339d622p-13, 0x1.04e668f61c35ep-13, 0x1.fe33bce0592e6p-14, 0x1.f2d23b5c78c67p-14, 0x1.e7a6785f7475dp-14, 0x1.dcaeb132274cbp-14, 0x1.d1e934cfca89dp-14, 0x1.c75463523f946p-14, 0x1.bceead611a52cp-14, 0x1.b2b693a712d0dp-14, 0x1.a8aaa64766af9p-14, 0x1.9ec9845a2c1p-14, 0x1.9511db6af04dp-14, 0x1.8b8266f93783ap-14, 0x1.8219efffcde15p-14, 0x1.78d74c7c5436fp-14, 0x1.6fb95efb2b6b9p-14, 0x1.66bf1627a902cp-14, 0x1.5de76c5caf13ap-14, 0x1.5531673b7d434p-14, 0x1.4c9c174306267p-14, 0x1.4426976bb9227p-14, 0x1.3bd00cc4b71bep-14, 0x1.3397a616324e9p-14, 0x1.2b7c9b831c864p-14, 0x1.237e2e3050d77p-14, 0x1.1b9ba7edefc13p-14, 0x1.13d45ae1a6effp-14, 0x1.0c27a135396e1p-14, 0x1.0494dcc6c581ep-14, 0x1.fa36edb557e08p-15, 0x1.eb75bfa42e4e3p-15, 0x1.dce51dc06ef71p-15, 0x1.ce84038b735bap-15, 0x1.c05179162ae79p-15, 0x1.b24c927cdfb9dp-15, 0x1.a4746f683474bp-15, 0x1.96c83a8eadd86p-15, 0x1.8947293ea6872p-15, 0x1.7bf07ae6e2104p-15, 0x1.6ec378a7e26a1p-15, 0x1.61bf74e585d6ap-15, 0x1.54e3cadd4ad0ep-15, 0x1.482fde40ac691p-15, 0x1.3ba31ad11398fp-15, 0x1.2f3cf4014783bp-15, 0x1.22fce4988d569p-15, 0x1.16e26e5942caap-15, 0x1.0aed19aa9aa77p-15, 0x1.fe38ea8b3bb7bp-16, 0x1.e6e02bc7756adp-16, 0x1.cfcf2be64d351p-16, 0x1.b9052a929bb3ap-16, 0x1.a28171ba62ab9p-16, 0x1.8c4354fefe186p-16, 0x1.764a3132541fap-16, 0x1.60956bd310bfp-16, 0x1.4b24729200244p-16, 0x1.35f6bad7d7fdap-16, 0x1.210bc154f7a0bp-16, 0x1.0c63098d9a1aep-16, 0x1.eff83aea1d623p-17, 0x1.c7ad19ffcf35bp-17, 0x1.9fe3db927f5e1p-17, 0x1.789bb5583461ep-17, 0x1.51d3e6dd9b03dp-17, 0x1.2b8bb8d0317c3p-17, 0x1.05c27c586a3d6p-17, 0x1.c0ef14f1cf125p-18, 0x1.775486eedd7bbp-18, 0x1.2eb41c88e41b8p-18, 0x1.ce195fd5413f9p-19, 0x1.40ba4cd1abd96p-19, 0x1.6a91be4c9ec2p-20, 0x1.5e18431ccb887p-22, -0x1.6f64d51f06f6fp-21, -0x1.c31b91846fb46p-20, -0x1.655c93c189aa5p-19, -0x1.e7476c5781f3fp-19, -0x1.33a80f3e009bfp-18, -0x1.72bc36bc1ebb1p-18, -0x1.b0e10aa374dcap-18, -0x1.ee1765f2bec3fp-18, -0x1.1530109f90745p-17, -0x1.32de09aa5f864p-17, -0x1.501608dccc315p-17, -0x1.6cd8789d093fp-17, -0x1.8925c330607fbp-17, -0x1.a4fe52f9a6eddp-17, -0x1.c06292ae80dcp-17, -0x1.db52ed8c2e854p-17, -0x1.f5cfcf89e7276p-17, -0x1.07ecd2c24aa93p-16, -0x1.14b86eb6353c5p-16, -0x1.214af335eee5cp-16, -0x1.2da49885fbab1p-16, -0x1.39c597abc050dp-16, -0x1.45ae2a7e9ebbep-16, -0x1.515e8bb3ed1cep-16, -0x1.5cd6f6ef845d6p-16, -0x1.6817a8ce49f62p-16, -0x1.7320def1dce2p-16, -0x1.7df2d80b27613p-16, -0x1.888dd3e2d9593p-16, -0x1.92f2136238744p-16, -0x1.9d1fd89a058adp-16, -0x1.a71766c8fe9bfp-16, -0x1.b0d90261718b1p-16, -0x1.ba64f10cf11fbp-16, -0x1.c3bb79b2082fap-16, -0x1.ccdce47601bf3p-16, -0x1.d5c97abeddcdfp-16, -0x1.de81873733033p-16, -0x1.e70555cbfa785p-16, -0x1.ef5533b032b45p-16, -0x1.f7716f5ae68c6p-16, -0x1.ff5a58866cbefp-16, -0x1.0388201830bbdp-15, -0x1.0749bc4af455p-15, -0x1.0af22a99e45d4p-15, -0x1.0e819560b0552p-15, -0x1.11f827979beffp-15, -0x1.15560cd13bbc1p-15, -0x1.189b7138b9fb3p-15, -0x1.1bc8818f67566p-15, -0x1.1edd6b2af9963p-15, -0x1.21da5bf23cf5dp-15, -0x1.24bf825af8108p-15, -0x1.278d0d675b139p-15, -0x1.2a432ca2276fcp-15, -0x1.2ce2101ced7d4p-15, -0x1.2f69e86ba18a1p-15, -0x1.31dae6a266eb5p-15, -0x1.34353c51716d6p-15, -0x1.36791b823a83ep-15, -0x1.38a6b6b3332b4p-15, -0x1.3abe40d51dd85p-15, -0x1.3cbfed4689f26p-15, -0x1.3eabefd0818b9p-15, -0x1.40827ca2e3df4p-15, -0x1.4243c85025f8bp-15, -0x1.43f007c9e5c22p-15, -0x1.4587705c9e6b8p-15, -0x1.470a37abf7615p-15, -0x1.487893aee0d32p-15, -0x1.49d2baab2a327p-15, -0x1.4b18e33229cb9p-15, -0x1.4c4b441bfef5dp-15, -0x1.4d6a14844e359p-15, -0x1.4e758bc575037p-15, -0x1.4f6de1752f978p-15, -0x1.50534d604cf3dp-15, -0x1.5126078693ee9p-15, -0x1.51e6481711146p-15, -0x1.5294476bd0769p-15, -0x1.53303e060ced6p-15, -0x1.53ba648a63ad4p-15, -0x1.5432f3bc99406p-15, -0x1.549a247c1ee4bp-15, -0x1.54f02fbfdc90dp-15, -0x1.55354e9295e51p-15, -0x1.5569ba0ef3997p-15, -0x1.558dab5c42dd7p-15, -0x1.55a15ba9fff3cp-15, -0x1.55a5042cdd447p-15, -0x1.5598de1aba0e9p-15, -0x1.557d22a7471f4p-15, -0x1.55520b004af92p-15, -0x1.5517d04a6dd07p-15, -0x1.54ceab9d9e204p-15, -0x1.5476d601c0e88p-15, -0x1.5410886b4fe8p-15, -0x1.539bfbb8097ebp-15, -0x1.531968abf8d47p-15, -0x1.528907edf235bp-15, -0x1.51eb1204d6acdp-15, -0x1.513fbf5436334p-15, -0x1.50874819733a5p-15, -0x1.4fc1e468fb19bp-15, -0x1.4eefcc2aeda79p-15, -0x1.4e113718fcd3ep-15, -0x1.4d265cbaf93bp-15, -0x1.4c2f7464aff36p-15, -0x1.4b2cb532d80b9p-15, -0x1.4a1e5608d2703p-15, -0x1.49048d8dff2d4p-15, -0x1.47df922b2d58ap-15, -0x1.46af9a087c79cp-15, -0x1.4574db0abcf64p-15, -0x1.442f8ad145961p-15, -0x1.42dfdeb3ea89ap-15, -0x1.41860bc08d08dp-15, -0x1.402246b93774ep-15, -0x1.3eb4c411e5886p-15, -0x1.3d3db7eebb7e9p-15, -0x1.3bbd5621edf7cp-15, -0x1.3a33d22a25ce1p-15, -0x1.38a15f3049b5bp-15, -0x1.370630065447cp-15, -0x1.3562772505234p-15, -0x1.33b666aac44cp-15, -0x1.32023059bc7ffp-15, -0x1.304605968c257p-15, -0x1.2e821766b054ep-15, -0x1.2cb6966f2f4b1p-15, -0x1.2ae3b2f335e2fp-15, -0x1.29099cd2d9cfep-15, -0x1.27288389c6957p-15, -0x1.2540962e29304p-15, -0x1.2352036f7a3cdp-15, -0x1.215cf9956c264p-15, -0x1.1f61a67ef9651p-15, -0x1.1d6037a15a9afp-15, -0x1.1b58da070386ap-15, -0x1.194bba4ee4c86p-15, -0x1.173904ab717bcp-15, -0x1.1520e4e218782p-15, -0x1.1303864a2e2c1p-15, -0x1.10e113cc956d2p-15, -0x1.0eb9b7e2dfba6p-15, -0x1.0c8d9c96bb51fp-15, -0x1.0a5ceb817b372p-15, -0x1.0827cdcb83d6dp-15, -0x1.05ee6c2bd2b15p-15, -0x1.03b0eee7a21ebp-15, -0x1.016f7dd1e629ap-15, -0x1.fe548096435f5p-16, -0x1.f9c2ba81d2b7ap-16, -0x1.f529f65b8a0e4p-16, -0x1.f08a8031aee65p-16, -0x1.ebe4a32b7de34p-16, -0x1.e738a988e1499p-16, -0x1.e286dca2106fap-16, -0x1.ddcf84e78d94bp-16, -0x1.d912e9e1edac4p-16, -0x1.d4515231d0711p-16, -0x1.cf8b039028739p-16, -0x1.cac042ce022d6p-16, -0x1.c5f153d4d4b54p-16, -0x1.c11e79a6b377ap-16, -0x1.bc47f65e8fc8fp-16, -0x1.b76e0b30a4fbfp-16, -0x1.b290f86acf922p-16, -0x1.adb0fd750c0ep-16, -0x1.a8ce58d1f0ba3p-16, -0x1.a3e9481f4219ap-16, -0x1.9f0208169b85p-16, -0x1.9a18d48df3c0ap-16, -0x1.952de878936c9p-16, -0x1.90417de77e389p-16, -0x1.8b53ce0a9c7d6p-16, -0x1.8665113151d64p-16, -0x1.81757ecba31fep-16, -0x1.7c854d6ae591bp-16, -0x1.7794b2c2e79ecp-16, -0x1.72a3e3aacb4b1p-16, -0x1.6db3141e5032p-16, -0x1.68c2773ec097dp-16, -0x1.63d23f541bbb5p-16, -0x1.5ee29dce4dd83p-16, -0x1.59f3c3463729cp-16, -0x1.5505df7f0f292p-16, -0x1.50192167a30c2p-16, -0x1.4b2db71b9fcb4p-16, -0x1.4643cde4e414dp-16, -0x1.415b923cee5aap-16, -0x1.3c752fce26d7ep-16, -0x1.3790d1751d575p-16, -0x1.32aea1424ad6fp-16, -0x1.2dcec87b447f4p-16, -0x1.28f16f9c640e7p-16, -0x1.2416be5a23e23p-16, -0x1.1f3edba2ad723p-16, -0x1.1a69ed9f6aac7p-16, -0x1.159819b696994p-16, -0x1.10c9848cdd20ep-16, -0x1.0bfe5206c0737p-16, -0x1.0736a54a6a86cp-16, -0x1.0272a0c130c21p-16, -0x1.fb64cc326d4a9p-17, -0x1.f1ec2c8e43783p-17, -0x1.e87ba30f96ce6p-17, -0x1.df136ec3a8c43p-17, -0x1.d5b3cd4ebe647p-17, -0x1.cc5cfaefb36f1p-17, -0x1.c30f328335921p-17, -0x1.b9caad872dbfdp-17, -0x1.b08fa41e74767p-17, -0x1.a75e4d13ffffep-17, -0x1.9e36ddde46939p-17, -0x1.95198aa31af83p-17, -0x1.8c06863b15d9ep-17, -0x1.82fe0235106c2p-17, -0x1.7a002ed97de61p-17, -0x1.710d3b2e1894ap-17, -0x1.682554f970aap-17, -0x1.5f48a8c6aa9aap-17, -0x1.567761e88ac78p-17, -0x1.4db1aa7d57e31p-17, -0x1.44f7ab725e386p-17, -0x1.3c498c877b04fp-17, -0x1.33a774529dep-17, -0x1.2b118843602f4p-17, -0x1.2287eca67d558p-17, -0x1.1a0ac4a96316fp-17, -0x1.119a325ddff84p-17, -0x1.093656bd73efbp-17, -0x1.00df51acfe9f4p-17, -0x1.f12a840093573p-18, -0x1.e0b08afaebed8p-18, -0x1.d050f1c08cd24p-18, -0x1.c00befbbf925fp-18, -0x1.afe1ba516092p-18, -0x1.9fd284e576dc2p-18, -0x1.8fde80e44240ap-18, -0x1.8005ddc8579d7p-18, -0x1.7048c9216107bp-18, -0x1.60a76e9b3cda1p-18, -0x1.5121f804b5002p-18, -0x1.41b88d55f68efp-18, -0x1.326b54b79aebap-18, -0x1.233a7289a2d2cp-18, -0x1.14260969c7515p-18, -0x1.052e3a39d1f23p-18, -0x1.eca6484d5ac7p-19, -0x1.cf29c95e00723p-19, -0x1.b1e72f52d2495p-19, -0x1.94deae96879a5p-19, -0x1.7810785dcaa1bp-19, -0x1.5b7cbab3eb33fp-19, -0x1.3f23a088bc962p-19, -0x1.230551bb9d929p-19, -0x1.0721f328e554dp-19, -0x1.d6f34d6d7965p-20, -0x1.a01916c12667ap-20, -0x1.69b57a87aa648p-20, -0x1.33c8ab59e0bb6p-20, -0x1.fca5ac88eb607p-21, -0x1.92a845c06079dp-21, -0x1.299966d82b7aep-21, -0x1.82f29389f7d2fp-22, -0x1.692078904364dp-23, 0x1.7f3ed2db05b7ap-26, 0x1.c53363c803984p-23, 0x1.ab60ee8688efcp-22, 0x1.3924c98117952p-21, 0x1.9ba9d1149469p-21, 0x1.fd3f98acc0f3ep-21, 0x1.2ef31a0a210e9p-20, 0x1.5ecee001b7cbap-20, 0x1.8e3330fb8bbfp-20, 0x1.bd2024024ae87p-20, 0x1.eb95d456e3bf4p-20, 0x1.0cca30ae2d34ep-19, 0x1.238df741012eap-19, 0x1.3a165198236d1p-19, 0x1.50635559f802ep-19, 0x1.66751a14659c6p-19, 0x1.7c4bb9332a2cdp-19, 0x1.91e74df5e00edp-19, 0x1.a747f56643b4cp-19, 0x1.bc6dce4eba7d4p-19, 0x1.d158f930920c4p-19, 0x1.e6099839af86dp-19, 0x1.fa7fcf3c7202bp-19, 0x1.075de1d2d6594p-18, 0x1.115ece39e5d6bp-18, 0x1.1b42c11700646p-18, 0x1.2509cf6d4dddap-18, 0x1.2eb40efb3ae5fp-18, 0x1.3841963632c9ap-18, 0x1.41b27c4660932p-18, 0x1.4b06d9021bf69p-18, 0x1.543ec4e9a40fdp-18, 0x1.5d5a59237d439p-18, 0x1.6659af77e5602p-18, 0x1.6f3ce24cec9b2p-18, 0x1.78040ca22d246p-18, 0x1.80af4a0d246a5p-18, 0x1.893eb6b56c60cp-18, 0x1.91b26f500f58cp-18, 0x1.9a0a911ca0a83p-18, 0x1.a24739e14afddp-18, 0x1.aa6887e65e724p-18, 0x1.b26e99f3c3fa8p-18, 0x1.ba598f4cda289p-18, 0x1.c22987ac3a002p-18, 0x1.c9dea341604efp-18, 0x1.d17902ac6d9b1p-18, 0x1.d8f8c6faf21edp-18, 0x1.e05e11a4d64dcp-18, 0x1.e7a904887b07ep-18, 0x1.eed9c1e7c5dbdp-18, 0x1.f5f06c6536391p-18, 0x1.fced26ffc7611p-18, 0x1.01e80a885789cp-17, 0x1.054cad240af89p-17, 0x1.08a48d54e198p-17, 0x1.0befbd452b33cp-17, 0x1.0f2e4f463ac66p-17, 0x1.126055ce9dc5bp-17, 0x1.1585e37901f55p-17, 0x1.189f0b02e52e2p-17, 0x1.1babdf4aba13ap-17, 0x1.1eac734ef237bp-17, 0x1.21a0da2c9adbfp-17, 0x1.2489271db1ee6p-17, 0x1.27656d7832a08p-17, 0x1.2a35c0acdffcbp-17, 0x1.2cfa3445acc41p-17, 0x1.2fb2dbe4a4db5p-17, 0x1.325fcb42cc7bfp-17, 0x1.3501162ec499ap-17, 0x1.3796d08b9d898p-17, 0x1.3a210e4fe194ap-17, 0x1.3c9fe3844b85dp-17, 0x1.3f136442921c4p-17, 0x1.417ba4b47b687p-17, 0x1.43d8b912ad26p-17, 0x1.462ab5a38d828p-17, 0x1.4871aeba7bf2ep-17, 0x1.4aadb8b682ff7p-17, 0x1.4cdee8014d81dp-17, 0x1.4f05510e75d11p-17, 0x1.5121085a52efp-17, 0x1.53322268f1f48p-17, 0x1.5538b3c588423p-17, 0x1.5734d1010ed13p-17, 0x1.59268eb193f6dp-17, 0x1.5b0e017182ecdp-17, 0x1.5ceb3dde769e4p-17, 0x1.5ebe5898955cap-17, 0x1.6087664194ac6p-17, 0x1.62467b7c0dc5dp-17, 0x1.63fbacea81612p-17, 0x1.65a70f2ec3469p-17, 0x1.6748b6e937bfdp-17, 0x1.68e0b8b7ca6c3p-17, 0x1.6a6f29356557dp-17, 0x1.6bf41cf941297p-17, 0x1.6d6fa896170dp-17, 0x1.6ee1e0996dff5p-17, 0x1.704ad98b020b8p-17, 0x1.71aaa7ebfeda4p-17, 0x1.73016036612bbp-17, 0x1.744f16dc7522cp-17, 0x1.7593e0480c825p-17, 0x1.76cfd0d9e4797p-17, 0x1.7802fce91b498p-17, 0x1.792d78c2a47b6p-17, 0x1.7a4f58a89d605p-17, 0x1.7b68b0d1c1475p-17, 0x1.7c7995691ffd5p-17, 0x1.7d821a8d275d6p-17, 0x1.7e82544f61059p-17, 0x1.7f7a56b4035f6p-17, 0x1.806a35b13081ep-17, 0x1.8152052e9b674p-17, 0x1.8231d90545a19p-17, 0x1.8309c4feb1454p-17, 0x1.83d9dcd49a4b1p-17, 0x1.84a234308063bp-17, 0x1.8562deab44f8p-17, 0x1.861befccaf38bp-17, 0x1.86cd7b0b0b8fbp-17, 0x1.877793caf089ap-17, 0x1.881a4d5e75136p-17, 0x1.88b5bb054d4c4p-17, 0x1.8949efec1d964p-17, 0x1.89d6ff2c1fcacp-17, 0x1.8a5cfbcb16428p-17, 0x1.8adbf8ba97b08p-17, 0x1.8b5408d7faf4ep-17, 0x1.8bc53eec11f06p-17, 0x1.8c2fadaa90c0bp-17, 0x1.8c9367b1ef7d7p-17, 0x1.8cf07f8b5eb01p-17, 0x1.8d4707aa1eb72p-17, 0x1.8d97126b5a4d5p-17, 0x1.8de0b2160f7b1p-17, 0x1.8e23f8daa20f3p-17, 0x1.8e60f8d28697bp-17, 0x1.8e97c4006d9e2p-17, 0x1.8ec86c4fa3af6p-17, 0x1.8ef30393fe9fep-17, 0x1.8f179b89985eap-17, 0x1.8f3645d4c9315p-17, 0x1.8f4f1401db53p-17, 0x1.8f621784aa655p-17, 0x1.8f6f61b8e89d4p-17, 0x1.8f7703e173444p-17, 0x1.8f790f2873dd7p-17, 0x1.8f75949f3d8f1p-17, 0x1.8f6ca53e03a34p-17, 0x1.8f5e51e3cb1e3p-17, 0x1.8f4aab562702ap-17, 0x1.8f31c2415f3aap-17, 0x1.8f13a737ec021p-17, 0x1.8ef06ab2959acp-17, 0x1.8ec81d10adf23p-17, 0x1.8e9ace9704937p-17, 0x1.8e688f70b4bcfp-17, 0x1.8e316faec4d1bp-17, 0x1.8df57f47d1527p-17, 0x1.8db4ce185aafdp-17, 0x1.8d6f6be273253p-17, 0x1.8d25684da7a9cp-17, 0x1.8cd6d2e726d9ap-17, 0x1.8c83bb2157c1dp-17, 0x1.8c2c3054688c8p-17, 0x1.8bd041bd5c646p-17, 0x1.8b6ffe7ed989dp-17, 0x1.8b0b75a0ca358p-17, 0x1.8aa2b60fe38ap-17, 0x1.8a35ce9eb5f42p-17, 0x1.89c4ce0441ff8p-17, 0x1.894fc2dd12cdep-17, 0x1.88d6bbaae62e2p-17, 0x1.8859c6d44085cp-17, 0x1.87d8f2a4deab5p-17, 0x1.87544d4dcb841p-17, 0x1.86cbe4e4d5aa4p-17, 0x1.863fc764fcf44p-17, 0x1.85b002aea2035p-17, 0x1.851ca486c0d3cp-17, 0x1.8485ba97ca59cp-17, 0x1.83eb52716c4d1p-17, 0x1.834d798816a9ap-17, 0x1.82ac3d35cf88dp-17, 0x1.8207aab9a5e62p-17, 0x1.815fcf37f107ep-17, 0x1.80b4b7ba44f8p-17, 0x1.8006712f968b9p-17, 0x1.7f55086c56c42p-17, 0x1.7ea08a29f3fdcp-17, 0x1.7de90307f0136p-17, 0x1.7d2e7f8ab60d6p-17, 0x1.7c710c1cba5c4p-17, 0x1.7bb0b50dc3d26p-17, 0x1.7aed86933f39bp-17, 0x1.7a278cc8c2793p-17, 0x1.795ed3af14b3dp-17, 0x1.7893672d474f1p-17, 0x1.77c553105e09bp-17, 0x1.76f4a30b029a6p-17, 0x1.762162b65fbd9p-17, 0x1.754b9d9191184p-17, 0x1.74735f01c5ce6p-17, 0x1.7398b252f7894p-17, 0x1.72bba2b706c44p-17, 0x1.71dc3b4688e25p-17, 0x1.70fa8700c26a2p-17, 0x1.701690cb60688p-17, 0x1.6f306372e0339p-17, 0x1.6e4809aaced3ep-17, 0x1.6d5d8e0d5166fp-17, 0x1.6c70fb1bc235p-17, 0x1.6b825b3eb392fp-17, 0x1.6a91b8c5b91edp-17, 0x1.699f1de7d999ap-17, 0x1.68aa94c3978cfp-17, 0x1.67b4275eb9169p-17, 0x1.66bbdfa711ab3p-17, 0x1.65c1c771a7088p-17, 0x1.64c5e87bfb3b2p-17, 0x1.63c84c6ae24d5p-17, 0x1.62c8fccba2818p-17, 0x1.61c80313c4c4p-17, 0x1.60c568a09b9cp-17, 0x1.5fc136b87794p-17, 0x1.5ebb7689d3602p-17, 0x1.5db4312bb01ap-17, 0x1.5cab6f9e4f297p-17, 0x1.5ba13aca2bfa5p-17, 0x1.5a959b813ecdcp-17, 0x1.59889a7e5e33ap-17, 0x1.587a40658889fp-17, 0x1.576a95c44bc05p-17, 0x1.5659a3118d237p-17, 0x1.554770ad8f20ep-17, 0x1.543406e2d7dcap-17, 0x1.531f6de520d05p-17, 0x1.5209add27b594p-17, 0x1.50f2ceb302e59p-17, 0x1.4fdad878dcf49p-17, 0x1.4ec1d300acf5p-17, 0x1.4da7c6118420cp-17, 0x1.4c8cb95cffe5ap-17, 0x1.4b70b47f66933p-17, 0x1.4a53befff551ep-17, 0x1.4935e050e24cbp-17, 0x1.48171fcf3431ep-17, 0x1.46f784c3bc624p-17, 0x1.45d7166202188p-17, 0x1.44b5dbc96d989p-17, 0x1.4393dc0511ff1p-17, 0x1.42711e0b4aaecp-17, 0x1.414da8bf02057p-17, 0x1.402982ee89edp-17, 0x1.3f04b354a147bp-17, 0x1.3ddf409865183p-17, 0x1.3cb9314cf5483p-17, 0x1.3b928bf276c48p-17, 0x1.3a6b56f54a97ap-17, 0x1.394398aee5f0fp-17, 0x1.381b5765a3736p-17, 0x1.36f2994c9e9a6p-17, 0x1.35c96484b0cadp-17, 0x1.349fbf1b7eec6p-17, 0x1.3375af0c6a5f2p-17, 0x1.324b3a405af0bp-17, 0x1.3120668df172p-17, 0x1.2ff539b983f79p-17, 0x1.2ec9b975b77a8p-17, 0x1.2d9deb62f0bcep-17, 0x1.2c71d50ff9281p-17, 0x1.2b457bfa2770dp-17, 0x1.2a18e58ced4e5p-17, 0x1.28ec1722b8715p-17, 0x1.27bf16049f37ap-17, 0x1.2691e76a69766p-17, 0x1.2564907b57368p-17, 0x1.2437164d55ef4p-17, 0x1.23097de5dd743p-17, 0x1.21dbcc39eba22p-17, 0x1.20ae062d9114bp-17, 0x1.1f8030953b2bfp-17, 0x1.1e525034656a2p-17, 0x1.1d2469bf2e6a3p-17, 0x1.1bf681d9157cep-17, 0x1.1ac89d166b04fp-17, 0x1.199abffb4d7dp-17, 0x1.186ceefc88207p-17, 0x1.173f2e7f8d713p-17, 0x1.161182da30bedp-17, 0x1.14e3f0536ce2dp-17, 0x1.13b67b22f5925p-17, 0x1.12892771a125dp-17, 0x1.115bf95972f9ap-17, 0x1.102ef4e5d4c96p-17, 0x1.0f021e135362fp-17, 0x1.0dd578d09a465p-17, 0x1.0ca908fd55ddcp-17, 0x1.0b7cd26b921ffp-17, 0x1.0a50d8df05d72p-17, }}, 
      {{-0x1.7ba3f3622241ap-14, -0x1.81211cf94409p-12, -0x1.b8da2ed00dfa5p-11, -0x1.8da1ce5c21ef1p-10, -0x1.38eda42d8f63p-9, -0x1.c13011269ee77p-9, -0x1.2ce8fd0061bf1p-8, -0x1.7d78c199f2806p-8, -0x1.cd8c9ef20777bp-8, -0x1.0bf88ae159cf8p-7, -0x1.2ba5e585c6f74p-7, -0x1.43332194c6708p-7, -0x1.503651a8ced9ep-7, -0x1.508f22f10090fp-7, -0x1.4277e65e70145p-7, -0x1.248fce5f2bc72p-7, -0x1.ebbe6c1ed596cp-8, -0x1.6bade9cc49089p-8, -0x1.912f3344ddf7fp-9, -0x1.6ef465fc1f1c9p-15, 0x1.c8ed6d4dcaf04p-9, 0x1.ebcd1dc46d787p-8, 0x1.8888f2766962fp-7, 0x1.14737e0cfa084p-6, 0x1.6acf215667142p-6, 0x1.c697ec98292f6p-6, 0x1.13827722ad65fp-5, 0x1.45a40520f7494p-5, 0x1.7948e5e77c576p-5, 0x1.ae0a5b41b8cb2p-5, 0x1.e3840c2b00ad2p-5, 0x1.0caa987d74beap-4, 0x1.2790c33ca3282p-4, 0x1.4249062b87c7bp-4, 0x1.5caac9fbc5bd8p-4, 0x1.7690925287c1cp-4, 0x1.8fd81d26b9549p-4, 0x1.a86271dfc6fdep-4, 0x1.c013e29376bc2p-4, 0x1.d6d4019a962d9p-4, 0x1.ec8d8d879d619p-4, 0x1.00972aad7b1fcp-3, 0x1.0a538b4fe7f63p-3, 0x1.1375ab7619becp-3, 0x1.1bf89d081e981p-3, 0x1.23d8ab09ffee4p-3, 0x1.2b1342fd0369dp-3, 0x1.31a6de0b19abdp-3, 0x1.3792ea52db56p-3, 0x1.3cd7b49ace402p-3, 0x1.417652a4b51ecp-3, 0x1.45708e4d4c659p-3, 0x1.48c8d19a24f8p-3, 0x1.4b8213cdf4b02p-3, 0x1.4d9fc793d593dp-3, 0x1.4f25ca4b3089ap-3, 0x1.5018547873f4dp-3, 0x1.507beb5a1db8fp-3, 0x1.5055539debe95p-3, 0x1.4fa9852efc169p-3, 0x1.4e7da013664ccp-3, 0x1.4cd6e24e0f853p-3, 0x1.4aba9eb83ef5dp-3, 0x1.482e34c5950cbp-3, 0x1.4537092497932p-3, 0x1.41da7f2db2058p-3, 0x1.3e1df312a1cc9p-3, 0x1.3a06b4c060684p-3, 0x1.359a036601019p-3, 0x1.30dd09935c01dp-3, 0x1.2bd4d9e2f6309p-3, 0x1.26866c230ea45p-3, 0x1.20f69af27ccf5p-3, 0x1.1b2a21c6920c5p-3, 0x1.15259b4fe822dp-3, 0x1.0eed8034ad5a2p-3, 0x1.08862617951d4p-3, 0x1.01f3bee35bddp-3, 0x1.f674b0a65b3d9p-4, 0x1.e8bbb7623c291p-4, 0x1.dac41b884b65cp-4, 0x1.cc951dcfc861ap-4, 0x1.be35b69177126p-4, 0x1.afac967ebf9d6p-4, 0x1.a100278ef2e28p-4, 0x1.92368e1a82372p-4, 0x1.8355aa1d0d882p-4, 0x1.746318979fba1p-4, 0x1.6564350d52a8ep-4, 0x1.565e1b150d89bp-4, 0x1.4755a7fbba092p-4, 0x1.384f7c72c7ff7p-4, 0x1.294ffe47547adp-4, 0x1.1a5b5a1ec3252p-4, 0x1.0b758535edd56p-4, 0x1.f9447e4109032p-5, 0x1.dbca270ce7895p-5, 0x1.be82b7bb15033p-5, 0x1.a174823ba21dp-5, 0x1.84a57ade8ad3ap-5, 0x1.681b3b9fd62eep-5, 0x1.4bdb07629a964p-5, 0x1.2fe9cd1980919p-5, 0x1.144c2adba6443p-5, 0x1.f20ce1ca32a65p-6, 0x1.bc3949049c504p-6, 0x1.872505cc771cdp-6, 0x1.52d707d5bdb0ap-6, 0x1.1f55b97872e27p-6, 0x1.d94e09b71e084p-7, 0x1.75a0b1eb05238p-7, 0x1.13ad5cc5a937fp-7, 0x1.66fa304ec538ap-8, 0x1.54605e8ae4379p-9, -0x1.de90b1be38b22p-13, -0x1.88cd78d34b8ep-9, -0x1.761ac57eca045p-8, -0x1.12033198f6461p-7, -0x1.67105d727cedep-7, -0x1.ba312322f0d8bp-7, -0x1.05b13147331d2p-6, -0x1.2d50cbe555ff1p-6, -0x1.53f66a3f5202cp-6, -0x1.79a15cbd37939p-6, -0x1.9e513842e152p-6, -0x1.c205d33132af9p-6, -0x1.e4bf42804ed72p-6, -0x1.033eeb78dd2f1p-5, -0x1.13a10d2cc12b8p-5, -0x1.2386667eb1da8p-5, -0x1.32ef71848bb94p-5, -0x1.41dcc10b793eap-5, -0x1.504eff6601bd3p-5, -0x1.5e46ed437dd4p-5, -0x1.6bc5609091058p-5, -0x1.78cb4360572e6p-5, -0x1.855992ddf70c1p-5, -0x1.91715e464e87fp-5, -0x1.9d13c5e9742a5p-5, -0x1.a841fa33ce07p-5, -0x1.b2fd3abe7a952p-5, -0x1.bd46d566e2483p-5, -0x1.c720256d2b314p-5, -0x1.d08a92996d967p-5, -0x1.d98790676e63bp-5, -0x1.e2189d38bf70dp-5, -0x1.ea3f418d17852p-5, -0x1.f1fd0f40be35bp-5, -0x1.f953a0d0e706p-5, -0x1.00224c52efd32p-4, -0x1.0368d031746cp-4, -0x1.067e341dd3502p-4, -0x1.0963532782d23p-4, -0x1.0c190b03be2f9p-4, -0x1.0ea03bc04521ap-4, -0x1.10f9c778b32ffp-4, -0x1.1326920e5d2bep-4, -0x1.152780e2ae25ap-4, -0x1.16fd7a93f4e7dp-4, -0x1.18a966bc9877fp-4, -0x1.1a2c2db4a8884p-4, -0x1.1b86b855c21c1p-4, -0x1.1cb9efc139112p-4, -0x1.1dc6bd287fb19p-4, -0x1.1eae0997c1c01p-4, -0x1.1f70bdc2a734ap-4, -0x1.200fc1d334fdbp-4, -0x1.208bfd3ac623cp-4, -0x1.20e656850a22dp-4, -0x1.211fb32d0900fp-4, -0x1.2138f774177dfp-4, -0x1.2133063abdd3bp-4, -0x1.210ec0db7b8f6p-4, -0x1.20cd0707671cap-4, -0x1.206eb6a4973dp-4, -0x1.1ff4abae539bcp-4, -0x1.1f5fc016fbc76p-4, -0x1.1eb0cbab9d871p-4, -0x1.1de8a3f931941p-4, -0x1.1d081c3370d05p-4, -0x1.1c10051d3b784p-4, -0x1.1b012cf2835c4p-4, -0x1.19dc5f53b406bp-4, -0x1.18a265328bf7ep-4, -0x1.175404c059f2bp-4, -0x1.15f2015d9c97cp-4, -0x1.147d1b8af06e1p-4, -0x1.12f610db476bfp-4, -0x1.115d9be75f9f8p-4, -0x1.0fb474426f491p-4, -0x1.0dfb4e6ff8dcap-4, -0x1.0c32dbdac445cp-4, -0x1.0a5bcaccec047p-4, -0x1.0876c668f98f1p-4, -0x1.068476a4055dep-4, -0x1.04858040d2005p-4, -0x1.027a84cbd7dc5p-4, -0x1.006422983c21dp-4, -0x1.fc85e97b474c7p-5, -0x1.f82f262dbeb94p-5, -0x1.f3c52482c9665p-5, -0x1.ef49073b1975ep-5, -0x1.eabbea9f1d568p-5, -0x1.e61ee482614c7p-5, -0x1.e173044848bacp-5, -0x1.dcb952ea11ce9p-5, -0x1.d7f2d2fe124e3p-5, -0x1.d32080c01e6b1p-5, -0x1.ce43521b0d466p-5, -0x1.c95c36b348dc8p-5, -0x1.c46c17f25e6e5p-5, -0x1.bf73d9137f3aap-5, -0x1.ba745730e9141p-5, -0x1.b56e69521e346p-5, -0x1.b062e07af083cp-5, -0x1.ab5287bb426ebp-5, -0x1.a63e243f7e563p-5, -0x1.a1267561b1f5dp-5, -0x1.9c0c34bb454dcp-5, -0x1.96f01637411ap-5, -0x1.91d2c825193acp-5, -0x1.8cb4f34bf3aa1p-5, -0x1.87973afe5f547p-5, -0x1.827a3d2e6f386p-5, -0x1.7d5e928239175p-5, -0x1.7844ce68a1e9dp-5, -0x1.732d7f2e7b99p-5, -0x1.6e192e13e3765p-5, -0x1.69085f61de454p-5, -0x1.63fb9280263bbp-5, -0x1.5ef3420b26653p-5, -0x1.59efe3ea19e9cp-5, -0x1.54f1e9654bb38p-5, -0x1.4ff9bf3c6be44p-5, -0x1.4b07cdbcf5d4ep-5, -0x1.461c78d8a535ep-5, -0x1.4138203becf1ap-5, -0x1.3c5b1f646ec3dp-5, -0x1.3785cdb76fff4p-5, -0x1.32b87e98409bap-5, -0x1.2df3817e9489fp-5, -0x1.2937220cca09bp-5, -0x1.2483a82616a8p-5, -0x1.1fd9580499821p-5, -0x1.1b38724f4c1a4p-5, -0x1.16a1342fd0586p-5, -0x1.1213d768193e5p-5, -0x1.0d909267e3688p-5, -0x1.09179862078ecp-5, -0x1.04a9196196223p-5, -0x1.0045425ec4794p-5, -0x1.f7d87aa73dbfap-6, -0x1.ef3c62a114e66p-6, -0x1.e6b685210849fp-6, -0x1.de47251a5484cp-6, -0x1.d5ee802505904p-6, -0x1.cdaccea50a63fp-6, -0x1.c58243f0c0103p-6, -0x1.bd6f0e76faaa9p-6, -0x1.b57357e482319p-6, -0x1.ad8f45490583ep-6, -0x1.a5c2f73b7f332p-6, -0x1.9e0e89fe0c30dp-6, -0x1.967215a12d4d1p-6, -0x1.8eedae267b44cp-6, -0x1.878163a2c2cfep-6, -0x1.802d425f8c36p-6, -0x1.78f152fc0e686p-6, -0x1.71cd9a8d874bep-6, -0x1.6ac21abefe20ep-6, -0x1.63ced1f072d8cp-6, -0x1.5cf3bb556cfa5p-6, -0x1.5630cf12f4a43p-6, -0x1.4f86025cfa98bp-6, -0x1.48f347931dbd9p-6, -0x1.42788e5cdef0ap-6, -0x1.3c15c3c53cde5p-6, -0x1.35cad255b39fep-6, -0x1.2f97a230b3215p-6, -0x1.297c192b6ec1dp-6, -0x1.23781ae728a82p-6, -0x1.1d8b88e9de0f9p-6, -0x1.17b642b6678b4p-6, -0x1.11f825e40367ap-6, -0x1.0c510e35583b6p-6, -0x1.06c0d5aedbf55p-6, -0x1.014754acb8badp-6, -0x1.f7c8c3f0403a3p-7, -0x1.ed2fa5b82b949p-7, -0x1.e2c2f67360a49p-7, -0x1.d8825b37a1672p-7, -0x1.ce6d7694b0daep-7, -0x1.c483e8b9af857p-7, -0x1.bac54f997aa43p-7, -0x1.b131470dfe8f2p-7, -0x1.a7c768fa94384p-7, -0x1.9e874d6d6b325p-7, -0x1.95708abfe4177p-7, -0x1.8c82b5b61aa52p-7, -0x1.83bd619d65d9fp-7, -0x1.7b202069f84d6p-7, -0x1.72aa82d398504p-7, -0x1.6a5c18717576cp-7, -0x1.62346fd51cf41p-7, -0x1.5a3316a49269cp-7, -0x1.525799b392cadp-7, -0x1.4aa1851c058bep-7, -0x1.43106455980cp-7, -0x1.3ba3c24c91fc5p-7, -0x1.345b2977e1832p-7, -0x1.2d3623ee64babp-7, -0x1.26343b7b70b0bp-7, -0x1.1f54f9b299d66p-7, -0x1.1897e802cf799p-7, -0x1.11fc8fc8b3c15p-7, -0x1.0b827a6051f5ep-7, -0x1.052931361bfe9p-7, -0x1.fde07bae90463p-8, -0x1.f1ae54030fc57p-8, -0x1.e5baff642c61bp-8, -0x1.da0592686b707p-8, -0x1.ce8d225e11d01p-8, -0x1.c350c565b9f8cp-8, -0x1.b84f928bb46d7p-8, -0x1.ad88a1e05a862p-8, -0x1.a2fb0c8f3fdeap-8, -0x1.98a5ecf557cedp-8, -0x1.8e885eb612dc7p-8, -0x1.84a17ecf76f7cp-8, -0x1.7af06bad3d7d2p-8, -0x1.7174453b023d4p-8, -0x1.682c2cf5784a9p-8, -0x1.5f1745fac5c22p-8, -0x1.5634b519f0539p-8, -0x1.4d83a0e17c06dp-8, -0x1.450331ad264b9p-8, -0x1.3cb291b2e1a0fp-8, -0x1.3490ed0efb523p-8, -0x1.2c9d71cf8c35ep-8, -0x1.24d74fff19b26p-8, -0x1.1d3db9ae8fd8dp-8, -0x1.15cfe2fe81b98p-8, -0x1.0e8d0227c1ae1p-8, -0x1.07744f834a48p-8, -0x1.008505918eafap-8, -0x1.f37cc20256d55p-9, -0x1.e63f4169f4249p-9, -0x1.d9500b9340ed5p-9, -0x1.ccada734eedf2p-9, -0x1.c0569f8c2362ep-9, -0x1.b4498464205cp-9, -0x1.a884ea1d3b95bp-9, -0x1.9d0769b2ae12bp-9, -0x1.91cfa0bf87414p-9, -0x1.86dc3182c2f08p-9, -0x1.7c2bc2e272d69p-9, -0x1.71bd006e203d1p-9, -0x1.678e9a6059728p-9, -0x1.5d9f459f7d03ep-9, -0x1.53edbbbdcaa02p-9, -0x1.4a78baf8bd963p-9, -0x1.413f0637ba7ffp-9, -0x1.383f650a05f73p-9, -0x1.2f78a3a43dc1ep-9, -0x1.26e992dd1566ap-9, -0x1.1e91082994182p-9, -0x1.166ddd98c3a2fp-9, -0x1.0e7ef1ced20e9p-9, -0x1.06c327ffb4044p-9, -0x1.fe72cfd2ca842p-10, -0x1.efc13b9b15ba8p-10, -0x1.e16f74d5930aap-10, -0x1.d37b65eb457c6p-10, -0x1.c5e30221f370cp-10, -0x1.b8a4458c4982fp-10, -0x1.abbd34f98971cp-10, -0x1.9f2bdde44a57cp-10, -0x1.92ee5660c72ccp-10, -0x1.8702bd0aa3eaep-10, -0x1.7b6738f1e389p-10, -0x1.7019f9879ca87p-10, -0x1.6519368a10a1dp-10, -0x1.5a632ff04fbacp-10, -0x1.4ff62dd57a472p-10, -0x1.45d08063a0f69p-10, -0x1.3bf07fbe300ap-10, -0x1.32548bec14bbp-10, -0x1.28fb0cc1aa578p-10, -0x1.1fe271ca27032p-10, -0x1.17093230f554ep-10, -0x1.0e6dccaacee7fp-10, -0x1.060ec75e7858ap-10, -0x1.fbd55f9b171d1p-11, -0x1.ec003579baf6ap-11, -0x1.dc9b4839d007ep-11, -0x1.cda3dde3d1dbcp-11, -0x1.bf174a78614c4p-11, -0x1.b0f2efbff900ap-11, -0x1.a3343d1b23d94p-11, -0x1.95d8af5227bf5p-11, -0x1.88ddd064ec939p-11, -0x1.7c41375a92469p-11, -0x1.7000881168713p-11, -0x1.6419730e8b67fp-11, -0x1.5889b54dbf00bp-11, -0x1.4d4f18117254dp-11, -0x1.426770b27f47ap-11, -0x1.37d0a070bb051p-11, -0x1.2d889443028b8p-11, -0x1.238d44a7b4a59p-11, -0x1.19dcb57598e0dp-11, -0x1.1074f5ac9dfbdp-11, -0x1.07541f4723f11p-11, -0x1.fcf0ae16b1d7fp-12, -0x1.ebbf98ba18eccp-12, -0x1.db11721f29528p-12, -0x1.cae2c27064492p-12, -0x1.bb30260194178p-12, -0x1.abf64cf583923p-12, -0x1.9d31fae4e76ddp-12, -0x1.8ee0068600aa2p-12, -0x1.80fd59547e0a6p-12, -0x1.7386ef3aaedf5p-12, -0x1.6679d63b74c5p-12, -0x1.59d32e1ccb58cp-12, -0x1.4d90281334b84p-12, -0x1.41ae066e4807cp-12, -0x1.362a1c45e4cdfp-12, -0x1.2b01cd28269d6p-12, -0x1.20328cc8d6325p-12, -0x1.15b9deb108f36p-12, -0x1.0b9555f029a35p-12, -0x1.01c294cde3267p-12, -0x1.f07e98f998fa3p-13, -0x1.de12799c8d126p-13, -0x1.cc3c67ce3a912p-13, -0x1.baf81beaabcd6p-13, -0x1.aa4169cda00c2p-13, -0x1.9a144041b0dcep-13, -0x1.8a6ca87201c8p-13, -0x1.7b46c55d1ea1p-13, -0x1.6c9ed34a83b19p-13, -0x1.5e712741d0d53p-13, -0x1.50ba2e83e946bp-13, -0x1.43766e0642c68p-13, -0x1.36a281eff8038p-13, -0x1.2a3b1d19431bep-13, -0x1.1e3d088c71846p-13, -0x1.12a523091f9aap-13, -0x1.077060892bc45p-13, -0x1.f9379390ac34dp-14, -0x1.e448f79911078p-14, -0x1.d00f4ee2bff48p-14, -0x1.bc8521ea65a2p-14, -0x1.a9a51f0ebdae4p-14, -0x1.976a19b362bfap-14, -0x1.85cf096550b9ep-14, -0x1.74cf09046b048p-14, -0x1.646555f0d614ap-14, -0x1.548d4f3ac014cp-14, -0x1.454274d77b9e3p-14, -0x1.368066d96ea09p-14, -0x1.2842e4ab61f9ap-14, -0x1.1a85cc5028003p-14, -0x1.0d4519a5d2c4dp-14, -0x1.007ce5ab2f767p-14, -0x1.e852cb9563de7p-15, -0x1.d08dd64ed104ap-15, -0x1.b9a3c3dbf1774p-15, -0x1.a38da1511eeffp-15, -0x1.8e44af2e4e11cp-15, -0x1.79c2601366c03p-15, -0x1.6600577e3f5ap-15, -0x1.52f8688c720f8p-15, -0x1.40a494c483009p-15, -0x1.2eff0ae7b8359p-15, -0x1.1e0225c4e7506p-15, -0x1.0da86b174ef1ap-15, -0x1.fbd914ce91a11p-16, -0x1.dd92b7e5d07cep-16, -0x1.c073bf388cdbbp-16, -0x1.a47277bab81e1p-16, -0x1.898579841e262p-16, -0x1.6fa3a5ce3f803p-16, -0x1.56c424fea0cfcp-16, -0x1.3ede64bcf6bebp-16, -0x1.27ea16123ede5p-16, -0x1.11df2b92223d6p-16, -0x1.f96baf2551ae6p-17, -0x1.d0cd14d24b5b9p-17, -0x1.a9d3e16de1da2p-17, -0x1.8471e37299671p-17, -0x1.60995b5399824p-17, -0x1.3e3cf848a5867p-17, -0x1.1d4fd53124809p-17, -0x1.fb8aeb0e0aa6ap-18, -0x1.bf2384ccd651dp-18, -0x1.85520f4a7ccf7p-18, -0x1.4dffe1fc93d26p-18, -0x1.19170e9cf242ap-18, -0x1.cd04b78193d96p-19, -0x1.6c5a7f2c58f36p-19, -0x1.1007b57e20a89p-19, -0x1.6fcbcd50c4c91p-20, -0x1.8f3f7fc7eb023p-21, -0x1.3a1a6410f5d3fp-23, 0x1.c63c9992311aap-22, 0x1.031ae7e7aaf07p-20, 0x1.8da10e3b1403p-20, 0x1.08b043f448893p-19, 0x1.474b1648593c8p-19, 0x1.82be669d082b1p-19, 0x1.bb26a21ae19a4p-19, 0x1.f09f42515892p-19, 0x1.11a16a5ceecd4p-18, 0x1.2995810ab9658p-18, 0x1.40384ac45f035p-18, 0x1.5595c1caa0abep-18, 0x1.69b9786e80117p-18, 0x1.7cae9c57df1b4p-18, 0x1.8e7ff9bdefb9dp-18, 0x1.9f37fe7fa56p-18, 0x1.aee0bd2cffc54p-18, 0x1.bd83eff7dcf73p-18, 0x1.cb2afb9047001p-18, 0x1.d7def1eb8d049p-18, 0x1.e3a894fbc4644p-18, 0x1.ee905948da68bp-18, 0x1.f89e688577771p-18, 0x1.00ed5201bcc65p-17, 0x1.05265390248bep-17, 0x1.08fde4cbe05b2p-17, 0x1.0c7790e48d92dp-17, 0x1.0f96c377666a2p-17, 0x1.125ec99e2ac7ap-17, 0x1.14d2d2f9c8e1cp-17, 0x1.16f5f2b3cd68ep-17, 0x1.18cb2078f780bp-17, 0x1.1a55396944e92p-17, 0x1.1b970105b2e12p-17, 0x1.1c932211cb32fp-17, 0x1.1d4c2f7135a2dp-17, 0x1.1dc4a4fdc21dp-17, 0x1.1dfee857309ddp-17, 0x1.1dfd49aa54ca1p-17, 0x1.1dc204762574ap-17, 0x1.1d4f4045a231p-17, 0x1.1ca71167fcbcap-17, 0x1.1bcb79a0aea3dp-17, 0x1.1abe68d160f37p-17, 0x1.1981bda21dce3p-17, 0x1.1817461d8965ap-17, 0x1.1680c04ee4844p-17, 0x1.14bfdad5b53f1p-17, 0x1.12d6357856ea9p-17, 0x1.10c561ad77a4fp-17, 0x1.0e8ee326ad9bp-17, 0x1.0c34304f7a967p-17, 0x1.09b6b2cec8a5dp-17, 0x1.0717c7feb51a3p-17, 0x1.0458c163da895p-17, 0x1.017ae51dd43dbp-17, 0x1.fcfedcac26122p-18, 0x1.f6cf1b520db27p-18, 0x1.f068d31a8c325p-18, 0x1.e9ce3d6a0a6fap-18, 0x1.e30180dcdb54ep-18, 0x1.dc04b1fc38e1ap-18, 0x1.d4d9d3f2bae1ep-18, 0x1.cd82d9319db5cp-18, 0x1.c601a41a5a2b7p-18, 0x1.be58079970905p-18, 0x1.b687c7bf8e12ep-18, 0x1.ae929a550d3f1p-18, 0x1.a67a27666541cp-18, 0x1.9e4009cc6b8c4p-18, 0x1.95e5cfaef981fp-18, 0x1.8d6cfb035666p-18, 0x1.84d70203aa4b6p-18, 0x1.7c254fa51a067p-18, 0x1.735944058d591p-18, 0x1.6a7434da05865p-18, 0x1.61776dd23ba8bp-18, 0x1.586430fea9489p-18, 0x1.4f3bb72db4006p-18, 0x1.45ff304807df2p-18, 0x1.3cafc3a807aa9p-18, 0x1.334e906ca245p-18, 0x1.29dcadcca2dc2p-18, 0x1.205b2b6041984p-18, 0x1.16cb116ef37fep-18, 0x1.0d2d6132a74c9p-18, 0x1.0383151f57a4fp-18, 0x1.f39a4240a41a7p-19, 0x1.e018e5b37bd2p-19, 0x1.cc83e3c5162d2p-19, 0x1.b8dcfffac12dfp-19, 0x1.a525f29f2a3abp-19, 0x1.91606929f4773p-19, 0x1.7d8e06a2f0342p-19, 0x1.69b064019042ap-19, 0x1.55c910892c203p-19, 0x1.41d9921b9ee2fp-19, 0x1.2de3659043e73p-19, 0x1.19e7ff00e62b5p-19, 0x1.05e8ca142a085p-19, 0x1.e3ce548db44acp-20, 0x1.bbc8f65be182ep-20, 0x1.93c42175d1e2fp-20, 0x1.6bc26eee694c4p-20, 0x1.43c6697f296f9p-20, 0x1.1bd28df8f130fp-20, 0x1.e7d2975e10a8ep-21, 0x1.981a09b507cabp-21, 0x1.48801dfa38e96p-21, 0x1.f212ccea53e64p-22, 0x1.5374bacbce8ep-22, 0x1.6a5d967a45f5p-23, 0x1.74996550e883dp-26, -0x1.0c64f07e435b9p-23, -0x1.233d202dab245p-22, -0x1.bfce4b6548d1ep-22, -0x1.2def0692425c5p-21, -0x1.7bb250820b45ep-21, -0x1.c92d350bb951ap-21, -0x1.0b2dfc833756p-20, -0x1.319d7a1c77cdap-20, -0x1.57e34879f49d4p-20, -0x1.7dfda5dce817ep-20, -0x1.a3ead971cd52p-20, -0x1.c9a9332c9140cp-20, -0x1.ef370b9bc5765p-20, -0x1.0a4961e5cb0c5p-19, -0x1.1cdd628f2842bp-19, -0x1.2f56c0951eefcp-19, -0x1.41b4b8d16899dp-19, -0x1.53f68c1a2f313p-19, -0x1.661b7f352684cp-19, -0x1.7822dacbd2a06p-19, -0x1.8a0beb5ed1ae3p-19, -0x1.9bd60137c6331p-19, -0x1.ad807062be078p-19, -0x1.bf0a909ffc4cp-19, -0x1.d073bd5c0a8a1p-19, -0x1.e1bb55a5f77ap-19, -0x1.f2e0bc25d128bp-19, -0x1.01f1ab8a92adp-18, -0x1.0a61481ad60dap-18, -0x1.12beea6560e08p-18, -0x1.1b0a4ac8ea6bdp-18, -0x1.2343235d5deeep-18, -0x1.2b692ff07a84ap-18, -0x1.337c2e0344918p-18, -0x1.3b7bdcc63d98dp-18, -0x1.4367fd1605da7p-18, -0x1.4b4051799c1fcp-18, -0x1.53049e1ede33bp-18, -0x1.5ab4a8d741453p-18, -0x1.6250391656e16p-18, -0x1.69d717ee81e08p-18, -0x1.7149100e09002p-18, -0x1.78a5edbde2c48p-18, -0x1.7fed7edd55fc1p-18, -0x1.871f92e1772e3p-18, -0x1.8e3bfad135343p-18, -0x1.954289445bdfp-18, -0x1.9c33125fcf8bep-18, -0x1.a30d6bd41d122p-18, -0x1.a9d16cdaffa83p-18, -0x1.b07eee349c6aep-18, -0x1.b715ca257aafdp-18, -0x1.bd95dc73ebefep-18, -0x1.c3ff026617693p-18, -0x1.ca511abf02ec7p-18, -0x1.d08c05bc2b335p-18, -0x1.d6afa513d5d71p-18, -0x1.dcbbdbf1b17c4p-18, -0x1.e2b08ef486aa3p-18, -0x1.e88da42c4c12p-18, -0x1.ee5303168e3dp-18, -0x1.f400949ceb4dbp-18, -0x1.f9964311b5306p-18, -0x1.ff13fa2d1f4d7p-18, -0x1.023cd385f02aep-17, -0x1.04e39c1518d3cp-17, -0x1.077e4eb1c5356p-17, -0x1.0a0ce3f6db964p-17, -0x1.0c8f552b9205cp-17, -0x1.0f059c41e4ed7p-17, -0x1.116fb3d4e1d19p-17, -0x1.13cd97275d01dp-17, -0x1.161f42227a526p-17, -0x1.1864b153f2d1ap-17, -0x1.1a9de1eca0f77p-17, -0x1.1ccad1beeb643p-17, -0x1.1eeb7f3d42a69p-17, -0x1.20ffe9781617fp-17, -0x1.2308101ce6cadp-17, -0x1.2503f373f3565p-17, -0x1.26f3945ed80d3p-17, -0x1.28d6f456ff5c4p-17, -0x1.2aae156b9c45dp-17, -0x1.2c78fa3fdf161p-17, -0x1.2e37a609e1435p-17, -0x1.2fea1c8fd9c0cp-17, -0x1.319062272abcbp-17, -0x1.332a7bb23eb58p-17, -0x1.34b86e9eaf58bp-17, -0x1.363a40e37498p-17, -0x1.37aff8ff3ed6bp-17, -0x1.39199df63e3b7p-17, -0x1.3a773750991c7p-17, -0x1.3bc8cd18342eep-17, -0x1.3d0e67d733e71p-17, -0x1.3e481095d81c5p-17, -0x1.3f75d0d84ad9dp-17, -0x1.4097b29d3d8f2p-17, -0x1.41adc05bc9bf5p-17, -0x1.42b805011b122p-17, -0x1.43b68bef108d6p-17, -0x1.44a960f9d5c8ep-17, -0x1.4590906630b6cp-17, -0x1.466c26e725131p-17, -0x1.473c319caa82cp-17, -0x1.4800be110615p-17, -0x1.48b9da370ead1p-17, -0x1.496794682a848p-17, -0x1.4a09fb6277e9bp-17, -0x1.4aa11e4680898p-17, -0x1.4b2d0c957e6d3p-17, -0x1.4badd62f369c1p-17, -0x1.4c238b4ff833dp-17, -0x1.4c8e3c8eee5e1p-17, -0x1.4cedfadb9e484p-17, -0x1.4d42d77c25c94p-17, -0x1.4d8ce40b6367cp-17, -0x1.4dcc3276f2215p-17, -0x1.4e00d4fce783bp-17, -0x1.4e2ade2a165c1p-17, -0x1.4e4a60d8136dap-17, -0x1.4e5f702b3387cp-17, -0x1.4e6a1f90a03bfp-17, -0x1.4e6a82bc3a233p-17, -0x1.4e60ada6f39e4p-17, -0x1.4e4cb48ca6db5p-17, -0x1.4e2eabea322f4p-17, -0x1.4e06a87b8df2cp-17, -0x1.4dd4bf3a00ed6p-17, -0x1.4d99055a11979p-17, -0x1.4d539049aed8fp-17, -0x1.4d0475ae77e7cp-17, -0x1.4cabcb63abd03p-17, -0x1.4c49a7784788ep-17, -0x1.4bde202d6d868p-17, -0x1.4b694bf455b24p-17, -0x1.4aeb416c9d7fdp-17, -0x1.4a6417625beb2p-17, -0x1.49d3e4cc8a585p-17, -0x1.493ac0cb158a8p-17, -0x1.4898c2a52f2bp-17, -0x1.47ee01c782c76p-17, -0x1.473a95c273bf7p-17, -0x1.467e964892d37p-17, -0x1.45ba1b2cb6be6p-17, -0x1.44ed3c6082328p-17, -0x1.441811f2807c7p-17, -0x1.433ab40ca041fp-17, -0x1.42553af280b61p-17, -0x1.4167bf000bc2fp-17, -0x1.407258a79dea6p-17, -0x1.3f7520708eb5cp-17, -0x1.3e702ef5b2159p-17, -0x1.3d639ce3a28f1p-17, -0x1.3c4f82f738f44p-17, -0x1.3b33f9fc425dcp-17, -0x1.3a111acbf5947p-17, -0x1.38e6fe4b53df4p-17, -0x1.37b5bd69c8132p-17, -0x1.367d711fce923p-17, -0x1.353e326d77adcp-17, -0x1.33f81a5911608p-17, -0x1.32ab41eda2c56p-17, -0x1.3157c239c4f1bp-17, -0x1.2ffdb44e2f93p-17, -0x1.2e9d313c6dc17p-17, -0x1.2d3652159ec8ep-17, -0x1.2bc92fe92ad6bp-17, -0x1.2a55e3c367f24p-17, -0x1.28dc86ac6d822p-17, -0x1.275d31a702308p-17, -0x1.25d7fdaf4bd7ap-17, -0x1.244d03b98c8b8p-17, -0x1.22bc5cb114f65p-17, -0x1.212621772c2f2p-17, -0x1.1f8a6ae1d0a81p-17, -0x1.1de951bac50efp-17, -0x1.1c42eebe5a4f1p-17, -0x1.1a975a9a81c76p-17, -0x1.18e6adedb2f7fp-17, -0x1.17310145e29f9p-17, -0x1.15766d1f863ebp-17, -0x1.13b709e4b82bcp-17, -0x1.11f2efec0efc6p-17, -0x1.102a3777d7132p-17, -0x1.0e5cf8b507ddap-17, -0x1.0c8b4bba79c7ep-17, -0x1.0ab548880084p-17, -0x1.08db07057d401p-17, -0x1.06fc9f020cd13p-17, -0x1.051a28333a313p-17, -0x1.0333ba3447c2p-17, -0x1.01496c85394c4p-17, -0x1.feb6ad144fd8cp-18, -0x1.fad31f1525155p-18, -0x1.f6e85d611dcfcp-18, -0x1.f2f6960ffffecp-18, -0x1.eefdf6fc122acp-18, -0x1.eafeadc0cac69p-18, -0x1.e6f8e7b927e8ep-18, -0x1.e2ecd1fe95fc3p-18, -0x1.deda9967d21c1p-18, -0x1.dac26a87a6f9ep-18, -0x1.d6a471ab95de2p-18, -0x1.d280dadadfa54p-18, -0x1.ce57d1d56ee4dp-18, -0x1.ca2982127dc17p-18, -0x1.c5f616bfd1a5cp-18, -0x1.c1bdbac0d4ad1p-18, -0x1.bd8098ad4cc41p-18, -0x1.b93edad075139p-18, -0x1.b4f8ab2830c8p-18, -0x1.b0ae336452064p-18, -0x1.ac5f9ce57c928p-18, -0x1.a80d10bc74436p-18, -0x1.a3b6b7a932639p-18, -0x1.9f5cba1a73445p-18, -0x1.9aff402cc9069p-18, -0x1.969e71a9bf65fp-18, -0x1.923a760773f54p-18, -0x1.8dd37467d5015p-18, -0x1.896993981bd3fp-18, -0x1.84fcfa102a23bp-18, -0x1.808dcdf1eabp-18, -0x1.7c1c3508df1d9p-18, -0x1.77a854c9c1b5cp-18, -0x1.73325251b8c2p-18, -0x1.6eba5266368d8p-18, -0x1.6a4079745a00dp-18, -0x1.65c4eb90946adp-18, -0x1.6147cc767fff2p-18, -0x1.5cc93f884fb8dp-18, -0x1.584967ce53fd6p-18, -0x1.53c867f6f445bp-18, -0x1.4f466256916d9p-18, -0x1.4ac378e6e36e3p-18, -0x1.463fcd46ccb09p-18, -0x1.41bb80ba69e86p-18, -0x1.3d36b42acdc3fp-18, -0x1.38b18825a2628p-18, -0x1.342c1cdd389acp-18, -0x1.2fa692286e09ep-18, -0x1.2b2107825403bp-18, -0x1.269b9c0a83727p-18, -0x1.22166e8499b1bp-18, -0x1.1d919d58abd94p-18, -0x1.190d4692e59afp-18, -0x1.148987e393ecap-18, -0x1.10067e9f12026p-18, -0x1.0b8447be60ea4p-18, -0x1.0702ffded1148p-18, -0x1.0282c341d83e5p-18, -0x1.fc075b9ad9a13p-19, -0x1.f30bb6185c73dp-19, -0x1.ea12cc5aed075p-19, -0x1.e11cd40ae1072p-19, -0x1.d82a021a859cp-19, -0x1.cf3a8ac68c5f7p-19, -0x1.c64ea19674d99p-19, -0x1.bd66795cea77fp-19, -0x1.b482443803f69p-19, -0x1.aba233921534bp-19, -0x1.a2c67821b0efcp-19, -0x1.99ef41ea7e0dbp-19, -0x1.911cc03e0971bp-19, -0x1.884f21bb9d0e9p-19, -0x1.7f86945134523p-19, -0x1.76c3453c8fb1cp-19, -0x1.6e05610b598e5p-19, -0x1.654d139badad3p-19, -0x1.5c9a881c9c129p-19, -0x1.53ede90fd8c71p-19, -0x1.4b476049ec436p-19, -0x1.42a716f267e5ep-19, -0x1.3a0d3585a9e47p-19, -0x1.3179e3d4e8d4p-19, -0x1.28ed4907367d2p-19, -0x1.20678b9a5d388p-19, -0x1.17e8d163cd6f9p-19, -0x1.0f713f915a1ccp-19, -0x1.0700faaa49766p-19, -0x1.fd304d2041ff9p-20, -0x1.ec6dccff02558p-20, -0x1.dbbaba215e3bcp-20, -0x1.cb1758731b5ecp-20, -0x1.ba83ea9b49c6cp-20, -0x1.aa00b1fee64dcp-20, -0x1.998deec38c11bp-20, -0x1.892bdfd03188dp-20, -0x1.78dac2cf812d9p-20, -0x1.689ad431cb8edp-20, -0x1.586c4f30961e5p-20, -0x1.484f6dcebeee8p-20, -0x1.384468db8efd6p-20, -0x1.284b77f4ddd7cp-20, -0x1.1864d1889d0cdp-20, -0x1.0890aad7adf2p-20, -0x1.f19e6ff079eb5p-21, -0x1.d24157af0771ep-21, -0x1.b30a70784514ep-21, -0x1.93fa1b9083001p-21, -0x1.7510b7f7ec8f6p-21, -0x1.564ea26ed16dep-21, -0x1.37b4357aac795p-21, -0x1.1941c96bb2014p-21, -0x1.f5ef68be8c62bp-22, -0x1.b9ac948a43df5p-22, -0x1.7dbbb9c9409f7p-22, -0x1.421d77c5093bfp-22, -0x1.06d269882979ep-22, -0x1.97b64bd2b3b0cp-23, -0x1.22707f23e42d2p-23, -0x1.5ba9142e8cdb1p-24, -0x1.cf1c0c8474e3bp-26, 0x1.cb0c6d58b513fp-26, 0x1.57f33db81f717p-24, 0x1.1de3b53fe9affp-23, 0x1.8f1edbf4555a2p-23, 0x1.ffaa25e356d58p-23, 0x1.37c256da49aabp-22, 0x1.6f56cadc1200cp-22, 0x1.a69203ebc25f9p-22, 0x1.dd739abe71b51p-22, 0x1.09fd95dfc2e96p-21, 0x1.25142b8408fc1p-21, 0x1.3ffd602a50ecp-21, 0x1.5ab9077f19bf9p-21, 0x1.7546f6f7337e4p-21, 0x1.8fa705c945853p-21, 0x1.a9d90ceb1963ep-21, 0x1.c3dce70ca5b9cp-21, 0x1.ddb27093f9a9dp-21, 0x1.f75987956bd83p-21, 0x1.086905e892583p-20, 0x1.150def56b52acp-20, 0x1.219b7199823a3p-20, 0x1.2e117f0399ac7p-20, 0x1.3a700ab373888p-20, 0x1.46b7089153f0ap-20, 0x1.52e66d4d01736p-20, 0x1.5efe2e5b37569p-20, 0x1.6afe41f2c0435p-20, 0x1.76e69f0a8c481p-20, 0x1.82b73d57c48c8p-20, 0x1.8e70154b44878p-20, 0x1.9a11200ed17dep-20, 0x1.a59a578283942p-20, 0x1.b10bb63b5290fp-20, 0x1.bc653780b082ap-20, 0x1.c7a6d749e2accp-20, 0x1.d2d0923b3ff1ap-20, 0x1.dde265a4c91c6p-20, 0x1.e8dc4f7fb113ep-20, 0x1.f3be4e6bd6108p-20, 0x1.fe8861ad88115p-20, 0x1.049d44957fe1dp-19, 0x1.09ea62b58af71p-19, 0x1.0f2b8bc9507d9p-19, 0x1.1460c0b0d19edp-19, 0x1.198a0298a45f3p-19, 0x1.1ea752f9591f9p-19, 0x1.23b8b395d9421p-19, 0x1.28be267a59f5p-19, 0x1.2db7adfb9df76p-19, 0x1.32a54cb5e615cp-19, 0x1.3787058b8691ep-19, 0x1.3c5cdba3bc87ep-19, 0x1.4126d26a0c84fp-19, 0x1.45e4ed8d8f407p-19, 0x1.4a9730ff0301p-19, 0x1.4f3da0efde1c4p-19, 0x1.53d841d227c3fp-19, 0x1.586718569d048p-19, 0x1.5cea296c3038bp-19, 0x1.61617a3e7335p-19, 0x1.65cd103530185p-19, 0x1.6a2cf0f328c86p-19, 0x1.6e8122551cc33p-19, 0x1.72c9aa70a8e3ap-19, 0x1.77068f93c88f5p-19, 0x1.7b37d8439d45bp-19, 0x1.7f5d8b3b03742p-19, 0x1.8377af6a42555p-19, 0x1.87864bf60a43cp-19, 0x1.8b896836445a9p-19, 0x1.8f810bb553a6cp-19, 0x1.936d3e2f07f1dp-19, 0x1.974e078fddcbfp-19, 0x1.9b236ff3b96cp-19, 0x1.9eed7fa5841cep-19, 0x1.a2ac3f1e630d7p-19, 0x1.a65fb7041a927p-19, 0x1.aa07f0284a268p-19, 0x1.ada4f388914fap-19, 0x1.b136ca4ca22b6p-19, 0x1.b4bd7dc5b5ee2p-19, 0x1.b839176dbfaafp-19, 0x1.bba9a0e6c89c1p-19, 0x1.bf0f23fa0fe56p-19, 0x1.c269aa9684501p-19, 0x1.c5b93ed1366eep-19, 0x1.c8fdeae35139ap-19, 0x1.cc37b92a1ea9fp-19, 0x1.cf66b425e93afp-19, 0x1.d28ae679790ep-19, 0x1.d5a45ae8af167p-19, 0x1.d8b31c584e56p-19, 0x1.dbb735cd358f7p-19, 0x1.deb0b26b97d1dp-19, 0x1.e19f9d75e3bc5p-19, 0x1.e484024c32ccap-19, 0x1.e75dec6bf4a23p-19, 0x1.ea2d676e93f63p-19, 0x1.ecf27f095dd23p-19, 0x1.efad3f0c8887ep-19, 0x1.f25db361e0286p-19, 0x1.f503e80d3dd7ep-19, 0x1.f79fe92b4e353p-19, 0x1.fa31c2f0882e1p-19, 0x1.fcb981a904117p-19, 0x1.ff3731b778ba6p-19, 0x1.00d56fcaa6b7ap-18, 0x1.020a4be836828p-18, 0x1.033a33864ddb5p-18, 0x1.04652d00a1f8ep-18, 0x1.058b3ebcb2856p-18, 0x1.06ac6f29a8792p-18, 0x1.07c8c4bf9fa73p-18, 0x1.08e045ffbaeadp-18, 0x1.09f2f973abf5fp-18, 0x1.0b00e5ad72c1p-18, 0x1.0c0a1146e6cadp-18, 0x1.0d0e82e1b19e8p-18, 0x1.0e0e4126e350ep-18, 0x1.0f0952c6c9dccp-18, 0x1.0fffbe783c207p-18, 0x1.10f18af8f98f3p-18, 0x1.11debf0ce7591p-18, 0x1.12c7617e14bdfp-18, 0x1.13ab791c2ef8ep-18, 0x1.148b0cbc6b0e7p-18, 0x1.15662339600afp-18, 0x1.163cc372a3db5p-18, 0x1.170ef44c6b08ap-18, 0x1.17dcbcaf7722bp-18, 0x1.18a62388e731ap-18, 0x1.196b2fc9c9077p-18, 0x1.1a2be866d8f96p-18, 0x1.1ae85458ac88cp-18, 0x1.1ba07a9ab2261p-18, 0x1.1c54622bed681p-18, 0x1.1d04120dddbb5p-18, 0x1.1daf9144d5b84p-18, 0x1.1e56e6d78f564p-18, 0x1.1efa19cee1d8cp-18, 0x1.1f993135acc49p-18, 0x1.20343418a11cbp-18, 0x1.20cb2985e9c29p-18, 0x1.215e188d30133p-18, 0x1.21ed083f118dp-18, 0x1.2277ffad76482p-18, 0x1.22ff05eab14bbp-18, 0x1.23822209e5257p-18, 0x1.24015b1e6c977p-18, 0x1.247cb83c233adp-18, 0x1.24f440767644p-18, 0x1.2567fae10353dp-18, 0x1.25d7ee8edc405p-18, 0x1.26442292ca3d5p-18, 0x1.26ac9dfe94872p-18, 0x1.271167e3523e7p-18, 0x1.277287513437fp-18, 0x1.27d00356e54ebp-18, 0x1.2829e302080fp-18, 0x1.28802d5e70693p-18, 0x1.28d2e9767ec6p-18, 0x1.29221e52b688ep-18, 0x1.296dd2f971f8p-18, 0x1.29b60e6f2bbcp-18, 0x1.29fad7b5e4187p-18, 0x1.2a3c35cd40a03p-18, 0x1.2a7a2fb2618d4p-18, 0x1.2ab4cc5f91e98p-18, 0x1.2aec12cc7562dp-18, 0x1.2b2009ed7e853p-18, 0x1.2b50b8b43db41p-18, 0x1.2b7e260ed4389p-18, 0x1.2ba858e81a4d8p-18, 0x1.2bcf58276e694p-18, 0x1.2bf32ab094622p-18, 0x1.2c13d76366749p-18, 0x1.2c31651c40326p-18, 0x1.2c4bdab30bd1fp-18, 0x1.2c633efc1bcb5p-18, 0x1.2c7798c712f94p-18, 0x1.2c88eedfcc55bp-18, 0x1.2c97480d2289p-18, 0x1.2ca2ab11eb89dp-18, 0x1.2cab1eac15c68p-18, 0x1.2cb0a994e8ffbp-18, 0x1.2cb35280decbp-18, 0x1.2cb3201f6a152p-18, 0x1.2cb0191b396c9p-18, 0x1.2caa44197f679p-18, 0x1.2ca1a7ba883b6p-18, 0x1.2c964a99392f8p-18, 0x1.2c88334b07641p-18, 0x1.2c7768600d706p-18, 0x1.2c63f062c353dp-18, 0x1.2c4dd1d8071b9p-18, 0x1.2c35133f0821fp-18, 0x1.2c19bb110bae4p-18, 0x1.2bfbcfc1b5973p-18, 0x1.2bdb57be65691p-18, 0x1.2bb8596ed1776p-18, 0x1.2b92db344b394p-18, 0x1.2b6ae36a2d646p-18, 0x1.2b4078658f414p-18, 0x1.2b13a0751dc27p-18, 0x1.2ae461e16ba4ep-18, 0x1.2ab2c2ec573c4p-18, 0x1.2a7ec9d19841dp-18, 0x1.2a487cc5f2e62p-18, 0x1.2a0fe1f814e3ap-18, 0x1.29d4ff8f77db8p-18, 0x1.2997dbad62264p-18, 0x1.29587c6bee5efp-18, 0x1.2916e7deb9c4bp-18, 0x1.28d324124e592p-18, 0x1.288d370c60453p-18, 0x1.284526cbd0bafp-18, }}, 
      {{0x1.e7cbc919d9aep-8, 0x1.ea426f722d5p-7, 0x1.72278d075e064p-6, 0x1.f0ee674adef17p-6, 0x1.386e71efdf22fp-5, 0x1.788caa445fbd4p-5, 0x1.b85fb7723abb1p-5, 0x1.f7829f36fb53dp-5, 0x1.1ad3e1a42f184p-4, 0x1.394e446d1cb28p-4, 0x1.57243cd33b103p-4, 0x1.7454d3c719d24p-4, 0x1.90e7dba462875p-4, 0x1.aceb47b78b8e6p-4, 0x1.c870a83b0cd4cp-4, 0x1.e38afa7048f3ap-4, 0x1.fe4ce33f13152p-4, 0x1.0c63acc4ef96dp-3, 0x1.19845d3608802p-3, 0x1.268e1da32e6f2p-3, 0x1.3384d53c29f91p-3, 0x1.406ab76df5042p-3, 0x1.4d405b5cff342p-3, 0x1.5a04e433787b9p-3, 0x1.66b6344d32822p-3, 0x1.7351264ec077p-3, 0x1.7fd1c83436be6p-3, 0x1.8c33954f20ad8p-3, 0x1.9871acfb615b1p-3, 0x1.a487048462024p-3, 0x1.b06e934713187p-3, 0x1.bc2378938a3f3p-3, 0x1.c7a11b2d0dcc6p-3, 0x1.d2e3428ca0eebp-3, 0x1.dde62a3bcc707p-3, 0x1.e8a68fbf1c1d1p-3, 0x1.f321bb9c488cep-3, 0x1.fd55861269ec3p-3, 0x1.03a02c0e87056p-2, 0x1.087094abc87a4p-2, 0x1.0d1bbda766d71p-2, 0x1.11a1a9625a581p-2, 0x1.160297aec8f89p-2, 0x1.1a3f0110f321dp-2, 0x1.1e5791995d703p-2, 0x1.224d2380ced0ep-2, 0x1.2620b9a8a5c59p-2, 0x1.29d37a1c6a506p-2, 0x1.2d66a8ac42722p-2, 0x1.30dba1b3586bcp-2, 0x1.3433d5190bfebp-2, 0x1.3770c1982fd45p-2, 0x1.3a93f05461bdp-2, 0x1.3d9ef0c2e2c1cp-2, 0x1.409354ea040c1p-2, 0x1.4372adf85d617p-2, 0x1.463e893364f74p-2, 0x1.48f86d3bcf99bp-2, 0x1.4ba1d7a5094bcp-2, 0x1.4e3c3adc69acfp-2, 0x1.50c8fc5c18d8ap-2, 0x1.534973254ab78p-2, 0x1.55bee67d247fep-2, 0x1.582a8ce778898p-2, 0x1.5a8d8b5a82d92p-2, 0x1.5ce8f4a6cf066p-2, 0x1.5f3dc90e876a1p-2, 0x1.618cf6079d087p-2, 0x1.63d75624543b7p-2, 0x1.661db11e06c11p-2, 0x1.6860bbfe21e9bp-2, 0x1.6aa119619bf6p-2, 0x1.6cdf59d36fb92p-2, 0x1.6f1bfc3ad8389p-2, 0x1.71576e5a50ca9p-2, 0x1.73920d5c9f4a5p-2, 0x1.75cc266d63ap-2, 0x1.7805f75ae6c13p-2, 0x1.7a3faf3f1883dp-2, 0x1.7c796f2de5acep-2, 0x1.7eb34ae73b9dbp-2, 0x1.80ed498b3f65bp-2, 0x1.8327664f6faebp-2, 0x1.8561913387c53p-2, 0x1.879bafb525164p-2, 0x1.89d59d8157325p-2, 0x1.8c0f2d2353891p-2, 0x1.8e4828afb361ap-2, 0x1.9080526bb4279p-2, 0x1.92b7657008253p-2, 0x1.94ed1646dd10ap-2, 0x1.97211384d602dp-2, 0x1.9953065cbb462p-2, 0x1.9b82932dbfe15p-2, 0x1.9daf5a0c3be29p-2, 0x1.9fd8f744cf8a5p-2, 0x1.a1ff03d9ed94bp-2, 0x1.a42115fbc91b6p-2, 0x1.a63ec17aba6aap-2, 0x1.a85798342406p-2, 0x1.aa6b2a79fa2a5p-2, 0x1.ac790774fbc13p-2, 0x1.ae80bd81c3ea7p-2, 0x1.b081da88d5f99p-2, 0x1.b27bec51bf9acp-2, 0x1.b46e80d186593p-2, 0x1.b659267475a09p-2, 0x1.b83b6c6385169p-2, 0x1.ba14e2c5721f6p-2, 0x1.bbe51afbc0731p-2, 0x1.bdaba7dbc1dedp-2, 0x1.bf681de3cfdb9p-2, 0x1.c11a136cdd3cfp-2, 0x1.c2c120d8878ddp-2, 0x1.c45ce0bbcc2b1p-2, 0x1.c5ecf006859cep-2, 0x1.c770ee27d7729p-2, 0x1.c8e87d2fa293bp-2, 0x1.ca5341ed2e00dp-2, 0x1.cbb0e40b1d86cp-2, 0x1.cd010e28d219ap-2, 0x1.ce436df15bdc6p-2, 0x1.cf77b4300d3abp-2, 0x1.d09d94e2d4065p-2, 0x1.d1b4c74a6d42cp-2, 0x1.d2bd05f891892p-2, 0x1.d3b60edc28f6dp-2, 0x1.d49fa34ba8f51p-2, 0x1.d579880da89c2p-2, 0x1.d643855fc36f2p-2, 0x1.d6fd66fbe2a42p-2, 0x1.d7a6fc1bf8d5dp-2, 0x1.d840177c46fefp-2, 0x1.d8c88f5c3c56cp-2, 0x1.d9403d7e02351p-2, 0x1.d9a6ff24bfde9p-2, 0x1.d9fcb511abc56p-2, 0x1.da41437ff7003p-2, 0x1.da74921fa0287p-2, 0x1.da968c0f39f0dp-2, 0x1.daa71fd4bb715p-2, 0x1.daa63f555b7a9p-2, 0x1.da93dfcc8a4aep-2, 0x1.da6ff9c217b7p-2, 0x1.da3a88ff886bp-2, 0x1.d9f38c84b0402p-2, 0x1.d99b067b97d09p-2, 0x1.d930fc2bb1ae1p-2, 0x1.d8b575ec784e2p-2, 0x1.d8287f176f63ep-2, 0x1.d78a25f99ce32p-2, 0x1.d6da7bc47e82fp-2, 0x1.d619947e841b2p-2, 0x1.d54786f31cef6p-2, 0x1.d4646ca259aa4p-2, 0x1.d37061b0311bbp-2, 0x1.d26b84d36ec2cp-2, 0x1.d155f744506c4p-2, 0x1.d02fdcaadc909p-2, 0x1.cef95b0cfb1f9p-2, 0x1.cdb29abc54aedp-2, 0x1.cc5bc64400d6dp-2, 0x1.caf50a560975fp-2, 0x1.c97e95b8ce48fp-2, 0x1.c7f8993445c54p-2, 0x1.c663477f2e1d9p-2, 0x1.c4bed52c2a0b7p-2, 0x1.c30b7896d37bbp-2, 0x1.c14969d0cd58ep-2, 0x1.bf78e28ed1d1bp-2, 0x1.bd9a1e15c9db8p-2, 0x1.bbad5927f1e69p-2, 0x1.b9b2d1f20d15ep-2, 0x1.b7aac7f8ae744p-2, 0x1.b5957c059f309p-2, 0x1.b37330155f3d5p-2, 0x1.b1442744cdf5ep-2, 0x1.af08a5bef896ap-2, 0x1.acc0f0ab119b8p-2, 0x1.aa6d4e1a99d1ep-2, 0x1.a80e04f7bbfdcp-2, 0x1.a5a35cf3ddb68p-2, 0x1.a32d9e7669p-2, 0x1.a0ad128bd5383p-2, 0x1.9e2202d4eaf42p-2, 0x1.9b8cb9764ce96p-2, 0x1.98ed810845e45p-2, 0x1.9644a486da794p-2, 0x1.93926f4227ac5p-2, 0x1.90d72ccf0a2b6p-2, 0x1.8e1328f814415p-2, 0x1.8b46afaed2827p-2, 0x1.88720cfd60f5dp-2, 0x1.85958cf8527c1p-2, 0x1.82b17bb0eb56p-2, 0x1.7fc62527b08d5p-2, 0x1.7cd3d53f4e71cp-2, 0x1.79dad7afd3f85p-2, 0x1.76db77fa459ffp-2, 0x1.73d6015c8a7eep-2, 0x1.70cabec5b0654p-2, 0x1.6db9faca8866p-2, 0x1.6aa3ff9aa02c1p-2, 0x1.678916f591f45p-2, 0x1.64698a20af20cp-2, 0x1.6145a1dd06b6dp-2, 0x1.5e1da65dc1a12p-2, 0x1.5af1df3edc9ebp-2, 0x1.57c2937c3946fp-2, 0x1.5490096908557p-2, 0x1.515a86a78d3dap-2, 0x1.4e22502138628p-2, 0x1.4ae7a9ff1a25ep-2, 0x1.47aad7a2aad8bp-2, 0x1.446c1b9eeb133p-2, 0x1.412bb7b1d568dp-2, 0x1.3de9ecbe28f47p-2, 0x1.3aa6fac5829dap-2, 0x1.376320e2cb3fdp-2, 0x1.341e9d44f81p-2, 0x1.30d9ad2a15c67p-2, 0x1.2d948cdaa9fc6p-2, 0x1.2a4f77a55a773p-2, 0x1.270aa7dae8e54p-2, 0x1.23c656ca72c59p-2, 0x1.2082bcbdfdd6ep-2, 0x1.1d4010f74ed9ep-2, 0x1.19fe89ad06417p-2, 0x1.16be5c07fdfa4p-2, 0x1.137fbc20f3b8ep-2, 0x1.1042dcfe6e375p-2, 0x1.0d07f092ea929p-2, 0x1.09cf27bb41f48p-2, 0x1.0698b23d559bdp-2, 0x1.0364bec6f01b3p-2, 0x1.00337aece8207p-2, 0x1.fa0a2654f1c83p-3, 0x1.f3b365c1a4e68p-3, 0x1.ed6308adc8f06p-3, 0x1.e7196172b2c81p-3, 0x1.e0d6c0359123dp-3, 0x1.da9b72e82ef2ap-3, 0x1.d467c54a1cab3p-3, 0x1.ce3c00ea30af9p-3, 0x1.c8186d2867913p-3, 0x1.c1fd4f3817e5ap-3, 0x1.bbeaea227d2f8p-3, 0x1.b5e17ec9902fap-3, 0x1.afe14beb35698p-3, 0x1.a9ea8e24acbf9p-3, 0x1.a3fd7ff651fb8p-3, 0x1.9e1a59c79f4f7p-3, 0x1.984151eb700cfp-3, 0x1.92729ca48a9cp-3, 0x1.8cae6c2a5bb3ap-3, 0x1.86f4f0adf9b3bp-3, 0x1.8146585f5155cp-3, 0x1.7ba2cf729456bp-3, 0x1.760a8025cc30bp-3, 0x1.707d92c6ac2a2p-3, 0x1.6afc2db87ea9p-3, 0x1.6586757a4f37ap-3, 0x1.601c8cad29a65p-3, 0x1.5abe941a8d11bp-3, 0x1.556caabafe945p-3, 0x1.5026edbcb1f56p-3, 0x1.4aed788a63999p-3, 0x1.45c064d23b3ffp-3, 0x1.409fca8cd815ap-3, 0x1.3b8bc004691b1p-3, 0x1.368459dbe1adep-3, 0x1.3189ab16416dbp-3, 0x1.2c9bc51de951ep-3, 0x1.27bab7cc05dc3p-3, 0x1.22e691700135cp-3, 0x1.1e1f5ed706e38p-3, 0x1.19652b538da34p-3, 0x1.14b800c4eaf58p-3, 0x1.1017e79ef1355p-3, 0x1.0b84e6f185c61p-3, 0x1.06ff04704f006p-3, 0x1.0286447a4fa69p-3, 0x1.fc355443261fap-4, 0x1.f3786e6592fb8p-4, 0x1.ead5d879e6cbep-4, 0x1.e24d9131ed7ccp-4, 0x1.d9df94e276a61p-4, 0x1.d18bdd927adcep-4, 0x1.c952630a34b4cp-4, 0x1.c1331ae21bd7cp-4, 0x1.b92df891e1e23p-4, 0x1.b142ed7f46c6fp-4, 0x1.a971e90ce0e41p-4, 0x1.a1bad8a8c1e7ap-4, 0x1.9a1da7db0da2p-4, 0x1.929a405463fcp-4, 0x1.8b3089fc38fb1p-4, 0x1.83e06aff0611ap-4, 0x1.7ca9c7dc56ab7p-4, 0x1.758c8374b91a4p-4, 0x1.6e887f1783b58p-4, 0x1.679d9a9076434p-4, 0x1.60cbb43535e86p-4, 0x1.5a12a8f29ad47p-4, 0x1.53725459db9fbp-4, 0x1.4cea90ad862b4p-4, 0x1.467b36ee53ea9p-4, 0x1.40241ee7ce253p-4, 0x1.39e51f3cc28c7p-4, 0x1.33be0d738d981p-4, 0x1.2daebe023725cp-4, 0x1.27b7045a58e9ap-4, 0x1.21d6b2f4dbe0dp-4, 0x1.1c0d9b5d81b21p-4, 0x1.165b8e3e3e8e6p-4, 0x1.10c05b6a5ea49p-4, 0x1.0b3bd1e97d50fp-4, 0x1.05cdc002491b1p-4, 0x1.0075f34515096p-4, 0x1.f668712c6bc3fp-5, 0x1.ec10b8705fd7fp-5, 0x1.e1e453ab5815fp-5, 0x1.d7e2d9168b996p-5, 0x1.ce0bdde227986p-5, 0x1.c45ef648207bep-5, 0x1.badbb59e828a8p-5, 0x1.b181ae696827dp-5, 0x1.a850726c89bp-5, 0x1.9f4792bc63122p-5, 0x1.96669fcefb79p-5, 0x1.8dad298c40965p-5, 0x1.851abf5e02935p-5, 0x1.7caef03f92c5ap-5, 0x1.74694acce84cp-5, 0x1.6c495d51811dfp-5, 0x1.644eb5d6cd97p-5, 0x1.5c78e23238c9dp-5, 0x1.54c77012e0408p-5, 0x1.4d39ed0edfb9ap-5, 0x1.45cfe6b041c34p-5, 0x1.3e88ea81920c3p-5, 0x1.3764861a16afcp-5, 0x1.30624729aadd1p-5, 0x1.2981bb8438bcp-5, 0x1.22c2712ce5364p-5, 0x1.1c23f660dedddp-5, 0x1.15a5d9a1cc111p-5, 0x1.0f47a9bff31adp-5, 0x1.0908f5e3fb956p-5, 0x1.02e94d986b319p-5, 0x1.f9d081a58be91p-6, 0x1.ee0abff8bb131p-6, 0x1.e28077f5a8732p-6, 0x1.d730cc708e722p-6, 0x1.cc1ae15676c66p-6, 0x1.c13ddbbc596f6p-6, 0x1.b698e1edb1119p-6, 0x1.ac2b1b7a75eadp-6, 0x1.a1f3b1449b84dp-6, 0x1.97f1cd8cdc5f9p-6, 0x1.8e249bff10cbcp-6, 0x1.848b49bdfc8cap-6, 0x1.7b25056e7aa1bp-6, 0x1.71f0ff4243badp-6, 0x1.68ee6902246b2p-6, 0x1.601c7617ab8c3p-6, 0x1.577a5b966a26bp-6, 0x1.4f075044a751fp-6, 0x1.46c28ca3a91e2p-6, 0x1.3eab4af78b7ecp-6, 0x1.36c0c74e92ea9p-6, 0x1.2f023f881a5ap-6, 0x1.276ef35b0c76dp-6, 0x1.2006245c063d1p-6, 0x1.18c71602e251cp-6, 0x1.11b10db01cf1p-6, 0x1.0ac352b193e73p-6, 0x1.03fd2e4711c27p-6, 0x1.fabbd74ce8c9p-7, 0x1.edc9affeb245ep-7, 0x1.e12284fd24087p-7, 0x1.d4c4f8a2579c5p-7, 0x1.c8afb14e589b4p-7, 0x1.bce1596befe81p-7, 0x1.b1589f74c6076p-7, 0x1.a61435f4fa238p-7, 0x1.9b12d38dfc7a2p-7, 0x1.905332f918912p-7, 0x1.85d413091192fp-7, 0x1.7b9436ab95dadp-7, 0x1.719264e9d4231p-7, 0x1.67cd68e8cbbdcp-7, 0x1.5e4411e8faf3bp-7, 0x1.54f53345adb08p-7, 0x1.4bdfa473ad256p-7, 0x1.430240ffa3d93p-7, 0x1.3a5be88c0b5bcp-7, 0x1.31eb7ece9349ep-7, 0x1.29afeb8d4dc52p-7, 0x1.21a81a9b40b05p-7, 0x1.19d2fbd4de265p-7, 0x1.122f831bca10cp-7, 0x1.0abca852947c5p-7, 0x1.03796758027d9p-7, 0x1.f8c98003d3bf2p-8, 0x1.eafb6c2fcec65p-8, 0x1.dd86a29b50671p-8, 0x1.d0693a7a26408p-8, 0x1.c3a152c011b46p-8, 0x1.b72d1213b3318p-8, 0x1.ab0aa6c16a3c2p-8, 0x1.9f3846ad359a9p-8, 0x1.93b42f4480a51p-8, 0x1.887ca56f50fdap-8, 0x1.7d8ff58125776p-8, 0x1.72ec732972c24p-8, 0x1.689079639aaaap-8, 0x1.5e7a6a66db787p-8, 0x1.54a8af9599cb2p-8, 0x1.4b19b96c7f662p-8, 0x1.41cbff717abdap-8, 0x1.38be0022251d4p-8, 0x1.2fee40e22cbe5p-8, 0x1.275b4de964cccp-8, 0x1.1f03ba31b23bep-8, 0x1.16e61f649ed19p-8, 0x1.0f011dc8fccc4p-8, 0x1.07535c301cc2ep-8, 0x1.ffb70fc603188p-9, 0x1.f130a91eeee09p-9, 0x1.e310f869f15f2p-9, 0x1.d5557e22d393ap-9, 0x1.c7fbc71bd142p-9, 0x1.bb016c56bbee6p-9, 0x1.ae6412de13b7cp-9, 0x1.a2216b9e10febp-9, 0x1.9637333d7d12dp-9, 0x1.8aa331f6a0d3fp-9, 0x1.7f633b6fd15ffp-9, 0x1.74752e947daa8p-9, 0x1.69d6f56d94e2cp-9, 0x1.5f8684fa913adp-9, 0x1.5581dd0a1e7a6p-9, 0x1.4bc70812ebeaap-9, 0x1.42541b0ca3f95p-9, 0x1.39273548c215bp-9, 0x1.303e804bd533p-9, 0x1.27982fa6b8b92p-9, 0x1.1f3280cfc7447p-9, 0x1.170bbafc5213p-9, 0x1.0f222efa995cdp-9, 0x1.0774370b1e097p-9, 0x1.000036bb1c129p-9, 0x1.f189357d289f6p-10, 0x1.e37fb19540011p-10, 0x1.d5e0dee09fe88p-10, 0x1.c8a9cbeeaeabfp-10, 0x1.bbd79872b9163p-10, 0x1.af6774fab70acp-10, 0x1.a356a2a643f47p-10, 0x1.97a272def31b3p-10, 0x1.8c48471085937p-10, 0x1.81459061cfd2p-10, 0x1.7697cf6e896fp-10, 0x1.6c3c94019e645p-10, 0x1.62317ccfa9f3ap-10, 0x1.58743732c5929p-10, 0x1.4f027ee6b78a7p-10, 0x1.45da1dc56be6cp-10, 0x1.3cf8eb84c049bp-10, 0x1.345ccd74814a3p-10, 0x1.2c03b63d381cdp-10, 0x1.23eba59ffd725p-10, 0x1.1c12a8366f3cdp-10, 0x1.1476d733723f6p-10, 0x1.0d165825c01bp-10, 0x1.05ef5cb93664dp-10, 0x1.fe0044f58b905p-11, 0x1.f08de5380a933p-11, 0x1.e384436f3e934p-11, 0x1.d6e01f2e31b59p-11, 0x1.ca9e4df1167dbp-11, 0x1.bebbbaab8d61bp-11, 0x1.b33565575721ep-11, 0x1.a8086285006dcp-11, 0x1.9d31daeee32a2p-11, 0x1.92af0b0c153fap-11, 0x1.887d42a553a55p-11, 0x1.7e99e46cdd10fp-11, 0x1.750265959d772p-11, 0x1.6bb44d6db4d52p-11, 0x1.62ad34f8ba6bep-11, 0x1.59eac68dc3fbp-11, 0x1.516abd742e939p-11, 0x1.492ae5847d9abp-11, 0x1.41291ac8f2ddbp-11, 0x1.3963492069963p-11, 0x1.31d76be24018cp-11, 0x1.2a838d8447a79p-11, 0x1.2365c741b1984p-11, 0x1.1c7c40c36129ap-11, 0x1.15c52fca35c09p-11, 0x1.0f3ed7da190ccp-11, 0x1.08e789e73cc01p-11, 0x1.02bda40379d31p-11, 0x1.f97f221db29f6p-12, 0x1.edd790d0c478bp-12, 0x1.e2819b3fb0f27p-12, 0x1.d77a605481dc4p-12, 0x1.ccbf162d3e48dp-12, 0x1.c24d09891d5dap-12, 0x1.b8219d37c1c0dp-12, 0x1.ae3a498c0adc2p-12, 0x1.a4949bcfe9fb8p-12, 0x1.9b2e35bd6714fp-12, 0x1.9204ccf6f0f84p-12, 0x1.89162a84d50cfp-12, 0x1.80602a54ca7c6p-12, 0x1.77e0bab9721a3p-12, 0x1.6f95dbf1330e1p-12, 0x1.677d9faa587a5p-12, 0x1.5f96288cd7f1ap-12, 0x1.57dda9c5d554dp-12, 0x1.50526694172dep-12, 0x1.48f2b1d912095p-12, 0x1.41bcedaa43f89p-12, 0x1.3aaf8ae6098adp-12, 0x1.33c908ca0070fp-12, 0x1.2d07f48c45104p-12, 0x1.266ae8f5b717fp-12, 0x1.1ff08dffa17b9p-12, 0x1.1997987356c6ap-12, 0x1.135ec98ab9e0bp-12, 0x1.0d44ee9427829p-12, 0x1.0748e097c28dcp-12, 0x1.016983fe9f924p-12, 0x1.f74b907a0ab9dp-13, 0x1.ebf94ef802f74p-13, 0x1.e0da4c91f1c36p-13, 0x1.d5eca6854d249p-13, 0x1.cb2e8d960597ep-13, 0x1.c09e4574780bep-13, 0x1.b63a24250bb22p-13, 0x1.ac00916e55c09p-13, 0x1.a1f00647e688ap-13, 0x1.98070c4ed73bbp-13, 0x1.8e443d3be967dp-13, 0x1.84a6425de8542p-13, 0x1.7b2bd417062bep-13, 0x1.71d3b95e128dap-13, 0x1.689cc7405e09dp-13, 0x1.5f85e06abd96dp-13, 0x1.568df4b1dac73p-13, 0x1.4db4009f886c5p-13, 0x1.44f70d01ee4d2p-13, 0x1.3c562e7ea945bp-13, 0x1.33d085281e599p-13, 0x1.2b653c14d1e36p-13, 0x1.231388fb2af86p-13, 0x1.1adaabce274aap-13, 0x1.12b9ee5db3498p-13, 0x1.0ab0a3f978c34p-13, 0x1.02be2915bf262p-13, 0x1.f5c3c5e53e44p-14, 0x1.e6367e8e8f0a5p-14, 0x1.d6d367d82feb2p-14, 0x1.c7997d18475d3p-14, 0x1.b887c8a5ef5b5p-14, 0x1.a99d6345a7005p-14, 0x1.9ad9738e34208p-14, 0x1.8c3b2d5c7f9d2p-14, 0x1.7dc1d1432255ap-14, 0x1.6f6cac02cc7ddp-14, 0x1.613b16050e609p-14, 0x1.532c72dc8cf75p-14, 0x1.454030c5a126ap-14, 0x1.3775c82f73b26p-14, 0x1.29ccbb43ada98p-14, 0x1.1c4495767fe3bp-14, 0x1.0edceb16e05b1p-14, 0x1.019558e337b1ep-14, 0x1.e8db07433f02cp-15, 0x1.ceca2f78681c5p-15, 0x1.b4f791bb1912ep-15, 0x1.9b62a3296e843p-15, 0x1.820ae5f0bf4a7p-15, 0x1.68efe89e6897fp-15, 0x1.501145742d923p-15, 0x1.376ea1c55cf48p-15, 0x1.1f07ad53b5d98p-15, 0x1.06dc21b8b923cp-15, 0x1.ddd7839beefb5p-16, 0x1.ae6cb240f29afp-16, 0x1.7f7776c535685p-16, 0x1.50f787d1e1da8p-16, 0x1.22ecaa500b62cp-16, 0x1.eaad60e2580a7p-17, 0x1.906af17edec21p-17, 0x1.3711da6b9d16dp-17, 0x1.bd44098a811edp-18, 0x1.0e36da4a75b36p-18, 0x1.83f11021fed44p-20, -0x1.29adee8fbb0bdp-20, -0x1.e80012cec341ap-19, -0x1.9bc0ef1d2edf7p-18, -0x1.20d6cf420bc29p-17, -0x1.72e2b9eb7e418p-17, -0x1.c403dc2f0d027p-17, -0x1.0a1ce932f69fap-16, -0x1.31c218e47185ep-16, -0x1.58f144c524cd4p-16, -0x1.7faa31f10fd78p-16, -0x1.a5eca38b59afap-16, -0x1.cbb85b32e803bp-16, -0x1.f10d197fe310fp-16, -0x1.0af54f36ebd6bp-15, -0x1.1d2854e432b7cp-15, -0x1.2f1f7dc9505bdp-15, -0x1.40daaa30f7704p-15, -0x1.5259bae0338c7p-15, -0x1.639c913fb690cp-15, -0x1.74a30f8507098p-15, -0x1.856d18daaf7c5p-15, -0x1.95fa9182eec8bp-15, -0x1.a64b5efcdf668p-15, -0x1.b65f68229c676p-15, -0x1.c636954a29b82p-15, -0x1.d5d0d05ffe6fep-15, -0x1.e52e050450edap-15, -0x1.f44e20a24e279p-15, -0x1.01988944d7acp-14, -0x1.08eb6600d307cp-14, -0x1.101fa02fef474p-14, -0x1.1735328d1d286p-14, -0x1.1e2c18eb77938p-14, -0x1.2504503f76734p-14, -0x1.2bbdd6a46e877p-14, -0x1.3258ab64e36bp-14, -0x1.38d4cefeea0e1p-14, -0x1.3f32432a76fb5p-14, -0x1.45710add72d16p-14, -0x1.4b912a508d25fp-14, -0x1.5192a701bda79p-14, -0x1.577587b82fb2fp-14, -0x1.5d39d486a75a7p-14, -0x1.62df96cd2c28dp-14, -0x1.6866d93b2394dp-14, -0x1.6dcfa7cfc41d7p-14, -0x1.731a0fdb84f6fp-14, -0x1.78461ffffd13p-14, -0x1.7d53e82fcdb11p-14, -0x1.824379ae637f9p-14, -0x1.8714e70ea7b86p-14, -0x1.8bc84432909f1p-14, -0x1.905da648b48b7p-14, -0x1.94d523cb2af1dp-14, -0x1.992ed47d523aep-14, -0x1.9d6ad169026ebp-14, -0x1.a18934dc82c96p-14, -0x1.a58a1a66db944p-14, -0x1.a96d9ed545299p-14, -0x1.ad33e02fc5764p-14, -0x1.b0dcfdb4ec4ep-14, -0x1.b46917d6eeaaap-14, -0x1.b7d85036bf116p-14, -0x1.bb2ac9a083736p-14, -0x1.be60a806ba2f4p-14, -0x1.c17a107e67e26p-14, -0x1.c477293996af6p-14, -0x1.c758198317f9p-14, -0x1.ca1d09b93b811p-14, -0x1.ccc6234926da4p-14, -0x1.cf5390a9240b2p-14, -0x1.d1c57d53e8c9ep-14, -0x1.d41c15c2bd7d3p-14, -0x1.d65787687e369p-14, -0x1.d87800ab910f9p-14, -0x1.da7db0e08242dp-14, -0x1.dc68c844c9b3bp-14, -0x1.de3977f822c4bp-14, -0x1.dfeff1f7d560bp-14, -0x1.e18c6917f8333p-14, -0x1.e30f10fe37fd7p-14, -0x1.e4781e1bca594p-14, -0x1.e5c7c5a71a3a8p-14, -0x1.e6fe3d96ba802p-14, -0x1.e81bbc9a7b235p-14, -0x1.e9207a164f2c4p-14, -0x1.ea0cae1b9b86ep-14, -0x1.eae09163fe57cp-14, -0x1.eb9c5d4ac73f8p-14, -0x1.ec404bc73ec8dp-14, -0x1.eccc9766d8387p-14, -0x1.ed417b471b4e1p-14, -0x1.ed9f330faad88p-14, -0x1.ede5faed0308ap-14, -0x1.ee160f89c845ep-14, -0x1.ee2fae09cbc32p-14, -0x1.ee331403875c6p-14, -0x1.ee207f7b1e912p-14, -0x1.edf82edc2b72ep-14, -0x1.edba60f47ec54p-14, -0x1.ed6754edf5ee7p-14, -0x1.ecff4a49f2d66p-14, -0x1.ec8280daa7216p-14, -0x1.ebf138bebcb2ep-14, -0x1.eb4bb25b1f01bp-14, -0x1.ea922e56648dep-14, -0x1.e9c4ed92e2112p-14, -0x1.e8e4312a195cp-14, -0x1.e7f03a67045e5p-14, -0x1.e6e94ac1879f4p-14, -0x1.e5cfa3d8fc521p-14, -0x1.e4a3876fa2ce9p-14, -0x1.e3653765a8f26p-14, -0x1.e214f5b42ce8dp-14, -0x1.e0b30468e77adp-14, -0x1.df3fa5a13270cp-14, -0x1.ddbb1b858973cp-14, -0x1.dc25a84530c37p-14, -0x1.da7f8e1171a2ep-14, -0x1.d8c90f19cf5e9p-14, -0x1.d7026d8702df7p-14, -0x1.d52beb7799f9bp-14, -0x1.d345cafb1539ep-14, -0x1.d1504e0e632cap-14, -0x1.cf4bb697a04cep-14, -0x1.cd38466256d8cp-14, -0x1.cb163f1b8c366p-14, -0x1.c8e5e24e38a0cp-14, -0x1.c6a7715f5659ep-14, -0x1.c45b2d8a92fcfp-14, -0x1.c20157de8d86cp-14, -0x1.bf9a3139a9e29p-14, -0x1.bd25fa4672f93p-14, -0x1.baa4f3788b111p-14, -0x1.b8175d09541ebp-14, -0x1.b57d76f4e58c4p-14, -0x1.b2d780f700335p-14, -0x1.b025ba87f9551p-14, -0x1.ad6862d9e66c9p-14, -0x1.aa9fb8d5ff0c1p-14, -0x1.a7cbfb197069bp-14, -0x1.a4ed67f3241ebp-14, -0x1.a2043d60bf7a3p-14, -0x1.9f10b90c6c69dp-14, -0x1.9c13184a3e669p-14, -0x1.990b9815d52c9p-14, -0x1.95fa75100ec1fp-14, -0x1.92dfeb7cca9b8p-14, -0x1.8fbc3740ba43cp-14, -0x1.8c8f93df65b59p-14, -0x1.895a3c78ecb38p-14, -0x1.861c6bc845523p-14, -0x1.82d65c2110f24p-14, -0x1.7f88476e13e5cp-14, -0x1.7c32672f42429p-14, -0x1.78d4f478294c6p-14, -0x1.757027ee2106ep-14, -0x1.720439c6ec072p-14, -0x1.6e9161c70972ep-14, -0x1.6b17d7406a9dfp-14, -0x1.6797d110f0a1dp-14, -0x1.641185a117e4ap-14, -0x1.60852ae2d276bp-14, -0x1.5cf2f6501698dp-14, -0x1.595b1ce9ed85fp-14, -0x1.55bdd33744444p-14, -0x1.521b4d43dfc5ap-14, -0x1.4e73be9f71a2fp-14, -0x1.4ac75a5c9a777p-14, -0x1.471653100fe77p-14, -0x1.4360dacf9b335p-14, -0x1.3fa723319b4bcp-14, -0x1.3be95d4c20effp-14, -0x1.3827b9b43fc25p-14, -0x1.3462687d82ab9p-14, -0x1.3099993938127p-14, -0x1.2ccd7af604decp-14, -0x1.28fe3c3f5c493p-14, -0x1.252c0b1d2be8bp-14, -0x1.215715132b847p-14, -0x1.1d7f8720cab3bp-14, -0x1.19a58dc0c3e11p-14, -0x1.15c954e8d4f48p-14, -0x1.11eb080991353p-14, -0x1.0e0ad20e282e7p-14, -0x1.0a28dd5c46b3cp-14, -0x1.064553d3e7ae1p-14, -0x1.02605ecf5ebcdp-14, -0x1.fcf44e466e7cdp-15, -0x1.f525aa3c800b8p-15, -0x1.ed5521132747cp-15, -0x1.e583015161cf4p-15, -0x1.ddaf9872c90e6p-15, -0x1.d5db32e8689f8p-15, -0x1.ce061c18da08bp-15, -0x1.c6309e609d013p-15, -0x1.be5b031286694p-15, -0x1.b685927849eb7p-15, -0x1.aeb093d320149p-15, -0x1.a6dc4d5c94c55p-15, -0x1.9f090446c07bbp-15, -0x1.9736fcbd6c282p-15, -0x1.8f6679e6b06ccp-15, -0x1.8797bde3e7bacp-15, -0x1.7fcb09d27f499p-15, -0x1.78009dccf62cap-15, -0x1.7038b8ebd0851p-15, -0x1.687399469cb6fp-15, -0x1.60b17bf518539p-15, -0x1.58f29d103c837p-15, -0x1.513737b393f02p-15, -0x1.497f85fe50e8ap-15, -0x1.41cbc11492b88p-15, -0x1.3a1c21206b95bp-15, -0x1.3270dd539eaa1p-15, -0x1.2aca2be8ce5b1p-15, -0x1.23284224c6507p-15, -0x1.1b8b545800902p-15, -0x1.13f395e021f53p-15, -0x1.0c6139294c235p-15, -0x1.04d46fafd0648p-15, -0x1.fa9ad40373a21p-16, -0x1.eb98af804f182p-16, -0x1.dca2cf421e3f5p-16, -0x1.cdb98ee1ee902p-16, -0x1.bedd4828e8d52p-16, -0x1.b00e53136ed87p-16, -0x1.a14d05d4bf17ep-16, -0x1.9299b4da9d851p-16, -0x1.83f4b2d050c56p-16, -0x1.755e50a29f40bp-16, -0x1.66d6dd8317523p-16, -0x1.585ea6eb62488p-16, -0x1.49f5f8a161e1p-16, -0x1.3b9d1cba5471cp-16, -0x1.2d545b9eb18a7p-16, -0x1.1f1bfc0e2703p-16, -0x1.10f44322e1e52p-16, -0x1.02dd74554b58cp-16, -0x1.e9afa300944e8p-17, -0x1.cdc735c90ea3ap-17, -0x1.b2021e588cc02p-17, -0x1.9660d6df8bbdep-17, -0x1.7ae3d670bfe01p-17, -0x1.5f8b910962461p-17, -0x1.44587799561f7p-17, -0x1.294af80a93ad2p-17, -0x1.0e637d48c263ap-17, -0x1.e744de9267c91p-18, -0x1.b2106625ad3a5p-18, -0x1.7d2a558ba74ebp-18, -0x1.48936b4729b89p-18, -0x1.144c602d00cb1p-18, -0x1.c0abcee74a464p-19, -0x1.59615d86d2795p-19, -0x1.e575791801bacp-20, -0x1.197262daef1c8p-20, -0x1.3aefb71f9e1e1p-22, 0x1.eaae17c0a57a1p-22, 0x1.42c1ad18b6eadp-20, 0x1.04c2289da3885p-19, 0x1.6778a832a6377p-19, 0x1.c9834e709c042p-19, 0x1.15708f3fa77adp-18, 0x1.45c892b506e43p-18, 0x1.75c93cfe77258p-18, 0x1.a5721e53bbe7ep-18, 0x1.d4c2cbb005a3dp-18, 0x1.01dd6f5feee68p-17, 0x1.192cfae9faab5p-17, 0x1.304fd9e8b1e42p-17, 0x1.4745e01094305p-17, 0x1.5e0ee350dfef8p-17, 0x1.74aabbcbc8911p-17, 0x1.8b1943cf1c4a5p-17, 0x1.a15a57cc55128p-17, 0x1.b76dd6511648cp-17, 0x1.cd539ffff9782p-17, 0x1.e30b9788f91c6p-17, 0x1.f895a1a22aaa4p-17, 0x1.06f8d27fe5d3ap-16, 0x1.118fc526a9151p-16, 0x1.1c0f9e1361fc2p-16, 0x1.26785387b7c1p-16, 0x1.30c9dcb64512p-16, 0x1.3b0431beffe6ep-16, 0x1.45274baab7dc8p-16, 0x1.4f332468a4befp-16, 0x1.5927b6ca892fdp-16, 0x1.6304fe804e8dp-16, 0x1.6ccaf815ddb33p-16, 0x1.7679a0eec4fafp-16, 0x1.8010f7430435p-16, 0x1.8990fa1be42dcp-16, 0x1.92f9a95000d37p-16, 0x1.9c4b05805bd02p-16, 0x1.a585101524eb8p-16, 0x1.aea7cb39a30b6p-16, 0x1.b7b339d9a985ep-16, 0x1.c0a75f9e2be8fp-16, 0x1.c98440e9b436dp-16, 0x1.d249e2d56ab0ap-16, 0x1.daf84b2e0b9ep-16, 0x1.e38f806ffa189p-16, 0x1.ec0f89c4cddep-16, 0x1.f4786f006e8f5p-16, 0x1.fcca389cf12a7p-16, 0x1.028277dc4c934p-15, 0x1.06944f09305a2p-15, 0x1.0a9aa70343049p-15, 0x1.0e9585462b94dp-15, 0x1.1284ef996ceebp-15, 0x1.1668ec0eebe6dp-15, 0x1.1a4181017947bp-15, 0x1.1e0eb5136fa81p-15, 0x1.21d08f2d43905p-15, 0x1.2587167bf8f68p-15, 0x1.2932526ff5527p-15, 0x1.2cd24abb9868fp-15, 0x1.306707519045cp-15, 0x1.33f09063df31bp-15, 0x1.376eee62454aep-15, 0x1.3ae229f8ee919p-15, 0x1.3e4a4c0f776cdp-15, 0x1.41a75dc722053p-15, 0x1.44f96879c3022p-15, 0x1.484075b8b5d84p-15, 0x1.4b7c8f4b21fe2p-15, 0x1.4eadbf2d08cf4p-15, 0x1.51d40f8e335e2p-15, 0x1.54ef8ad087dfap-15, 0x1.58003b872b026p-15, 0x1.5b062c753d1dap-15, 0x1.5e01688c9fa8fp-15, 0x1.60f1faeccf99fp-15, 0x1.63d7eee1b9454p-15, 0x1.66b34fe2a5d5p-15, 0x1.69842990f705ep-15, 0x1.6c4a87b74c759p-15, 0x1.6f0676483267fp-15, 0x1.71b8015d183edp-15, 0x1.745f353544c86p-15, 0x1.76fc1e34bf61fp-15, 0x1.798ec8e3628a6p-15, 0x1.7c1741eba5acap-15, 0x1.7e959619af558p-15, 0x1.8109d25a60ed2p-15, 0x1.837403ba2fa3bp-15, 0x1.85d4376468033p-15, 0x1.882a7aa212634p-15, 0x1.8a76dad8d6a51p-15, 0x1.8cb9658a578c7p-15, 0x1.8ef228531c3efp-15, 0x1.912130e993581p-15, 0x1.93468d1d52284p-15, 0x1.95624ad635affp-15, 0x1.977478135520ep-15, 0x1.997d22ea39e89p-15, 0x1.9b7c5986130b2p-15, 0x1.9d722a26c24e5p-15, 0x1.9f5ea3201abf7p-15, 0x1.a141d2d90b0d2p-15, 0x1.a31bc7cacf719p-15, 0x1.a4ec9080175ccp-15, 0x1.a6b43b94514fep-15, 0x1.a872d7b2e22edp-15, 0x1.aa2873964359ep-15, 0x1.abd51e078041p-15, 0x1.ad78e5dd40504p-15, 0x1.af13d9fb0b3ap-15, 0x1.b0a60950dce0cp-15, 0x1.b22f82da07a1fp-15, 0x1.b3b0559cc72bp-15, 0x1.b52890a98e7ep-15, 0x1.b698431a38c7p-15, 0x1.b7ff7c11765d2p-15, 0x1.b95e4aba345b5p-15, 0x1.bab4be46d959ep-15, 0x1.bc02e5f097c5cp-15, 0x1.bd48d0f717686p-15, 0x1.be868e9f9cdf4p-15, 0x1.bfbc2e34677adp-15, 0x1.c0e9bf0449d76p-15, 0x1.c20f5061eff47p-15, 0x1.c32cf1a349537p-15, 0x1.c442b2212b4b1p-15, 0x1.c550a1368911ap-15, 0x1.c656ce40023f4p-15, 0x1.c755489b5af9cp-15, 0x1.c84c1fa6df977p-15, 0x1.c93b62c13004cp-15, 0x1.ca23214842d86p-15, 0x1.cb036a9949951p-15, 0x1.cbdc4e100f411p-15, 0x1.ccaddb06695d4p-15, 0x1.cd7820d3f0eb2p-15, 0x1.ce3b2ecd7927cp-15, 0x1.cef714448364ep-15, 0x1.cfabe086d23a6p-15, 0x1.d059a2de32c28p-15, 0x1.d1006a8fc0e46p-15, 0x1.d1a046db8eb27p-15, 0x1.d23946fcabfb5p-15, 0x1.d2cb7a27f40b2p-15, 0x1.d356ef8c2d03dp-15, 0x1.d3dbb651b7e15p-15, 0x1.d459dd99e3e5bp-15, 0x1.d4d1747eb6083p-15, 0x1.d5428a1296d02p-15, 0x1.d5ad2d5fd0a0dp-15, 0x1.d6116d685899ap-15, 0x1.d66f5925569c5p-15, 0x1.d6c6ff871f891p-15, 0x1.d7186f74627a1p-15, 0x1.d763b7ca402e7p-15, 0x1.d7a8e75bf3d9dp-15, 0x1.d7e80cf21eff9p-15, 0x1.d821374b243d5p-15, 0x1.d854751a1f342p-15, 0x1.d881d5072b823p-15, 0x1.d8a965af16f08p-15, 0x1.d8cb35a2ae629p-15, 0x1.d8e75366be8f2p-15, 0x1.d8fdcd7426038p-15, 0x1.d90eb236e6fd6p-15, 0x1.d91a100e5473dp-15, 0x1.d91ff54d0ed97p-15, 0x1.d9207037fee6ap-15, 0x1.d91b8f06da2fbp-15, 0x1.d9115fe3d5529p-15, 0x1.d901f0eae0539p-15, 0x1.d8ed502a0840fp-15, 0x1.d8d38ba10c8dap-15, 0x1.d8b4b14113683p-15, 0x1.d890ceec85b37p-15, 0x1.d867f27705a87p-15, 0x1.d83a29a522d0fp-15, 0x1.d807822be3dbp-15, 0x1.d7d009b153784p-15, 0x1.d793cdcb761d2p-15, 0x1.d752dc00de714p-15, 0x1.d70d41c80793fp-15, 0x1.d6c30c87459ep-15, 0x1.d674499517c74p-15, 0x1.d62106370f5fep-15, 0x1.d5c94fa2ab3b4p-15, 0x1.d56d32fcc735bp-15, 0x1.d50cbd5911db1p-15, 0x1.d4a7fbbacaa22p-15, 0x1.d43efb140cb2ep-15, 0x1.d3d1c8457fa32p-15, 0x1.d360701f24d3dp-15, 0x1.d2eaff5f213bep-15, 0x1.d27182b252909p-15, 0x1.d1f406b43d426p-15, 0x1.d17297ee70d78p-15, 0x1.d0ed42d8d4aa1p-15, 0x1.d06413d9b08d8p-15, 0x1.cfd71745249e3p-15, 0x1.cf46595d5a415p-15, 0x1.ceb1e652b5dd2p-15, 0x1.ce19ca430dce9p-15, 0x1.cd7e113a4d9f1p-15, 0x1.ccdec7320c17bp-15, 0x1.cc3bf81169638p-15, 0x1.cb95afad6d74ap-15, 0x1.caebf9c83315fp-15, 0x1.ca3ee211fbe68p-15, 0x1.c98e7427d61c9p-15, 0x1.c8dabb94a6c69p-15, 0x1.c823c3d0c14f1p-15, 0x1.c76998413bfdep-15, 0x1.c6ac443934f28p-15, 0x1.c5ebd2f89f898p-15, 0x1.c5284fac7ac3bp-15, 0x1.c461c56fb3e52p-15, 0x1.c3983f4999c7cp-15, 0x1.c2cbc82f23474p-15, 0x1.c1fc6b0246a3bp-15, 0x1.c12a32920c99ap-15, 0x1.c055299aba89ep-15, 0x1.bf7d5ac5a8ae1p-15, 0x1.bea2d0a90988p-15, 0x1.bdc595c8ac13fp-15, 0x1.bce5b494e5476p-15, 0x1.bc03376b713fap-15, 0x1.bb1e289732c3cp-15, 0x1.ba36924fda46dp-15, 0x1.b94c7eba7f638p-15, 0x1.b85ff7e915cap-15, 0x1.b77107daf8ae3p-15, 0x1.b67fb87c3d7b9p-15, 0x1.b58c13a688c3p-15, 0x1.b49623207a835p-15, 0x1.b39df09db3341p-15, 0x1.b2a385bf99927p-15, 0x1.b1a6ec140178cp-15, 0x1.b0a82d16a62c6p-15, 0x1.afa752306716bp-15, 0x1.aea464b6f825ap-15, 0x1.ad9f6dee3e8dcp-15, 0x1.ac987706bf11fp-15, 0x1.ab8f891eb145bp-15, 0x1.aa84ad41e4e3ep-15, 0x1.a977ec694c5a8p-15, 0x1.a8694f7ba000fp-15, 0x1.a758df4d14f3ep-15, 0x1.a646a49f5ff7cp-15, 0x1.a532a822263d8p-15, 0x1.a41cf2722f4d3p-15, 0x1.a3058c1abe2dbp-15, 0x1.a1ec7d94246bfp-15, 0x1.a0d1cf450886dp-15, 0x1.9fb58981aaf1dp-15, 0x1.9e97b48c70127p-15, 0x1.9d785895708fep-15, 0x1.9c577dbb23bd8p-15, 0x1.9b352c09ebf3dp-15, 0x1.9a116b7c2837ep-15, 0x1.98ec43faf558dp-15, 0x1.97c5bd5cf75ep-15, 0x1.969ddf67d883cp-15, 0x1.9574b1cf39ef4p-15, 0x1.944a3c3531c85p-15, 0x1.931e862ac89adp-15, 0x1.91f1972ef30c8p-15, 0x1.90c376afd33d7p-15, 0x1.8f942c0a25102p-15, 0x1.8e63be890bb91p-15, 0x1.8d323567289b3p-15, 0x1.8bff97cd6e15p-15, 0x1.8acbecd42e139p-15, 0x1.89973b828fb94p-15, 0x1.88618acf052ddp-15, 0x1.872ae19f0b20bp-15, 0x1.85f346c7707b9p-15, 0x1.84bac10c9683cp-15, 0x1.83815721c7287p-15, 0x1.82470faa66e4ep-15, 0x1.810bf138f09fap-15, 0x1.7fd0024fd1715p-15, 0x1.7e934960ea2e7p-15, 0x1.7d55ccce50e0ep-15, 0x1.7c1792e961e9p-15, 0x1.7ad8a1f42732cp-15, 0x1.799900200ffc8p-15, 0x1.7858b38f06fbbp-15, 0x1.7717c2532ea0dp-15, }}, 
      {{0x1.ffd7adf948fep-1, 0x1.ff66f22c7032p-1, 0x1.febd68ec03684p-1, 0x1.fde8c118c5633p-1, 0x1.fcf21b7bfcfe8p-1, 0x1.fbde681fd813p-1, 0x1.faafb3e1988f7p-1, 0x1.f9667e7924963p-1, 0x1.f802c3a1b768ep-1, 0x1.f684a6a8c689bp-1, 0x1.f4eccc4b3a837p-1, 0x1.f33c77c3922d1p-1, 0x1.f1757fe99f0e7p-1, 0x1.ef9a2db997d53p-1, 0x1.edad112b9b269p-1, 0x1.ebb0d52656f83p-1, 0x1.e9a817f8684fbp-1, 0x1.e7954b3880e0ap-1, 0x1.e57a9c20399ffp-1, 0x1.e359e44611af2p-1, 0x1.e134a1e3cbd54p-1, 0x1.df0bf676ce237p-1, 0x1.dce0aa6534382p-1, 0x1.dab334572f144p-1, 0x1.d883c3113412cp-1, 0x1.d65248c54316p-1, 0x1.d41e87003de18p-1, 0x1.d1e81a86dbb7p-1, 0x1.cfae86a110b4p-1, 0x1.cd713f78efbcap-1, 0x1.cb2fb35286f2dp-1, 0x1.c8e9527cb98f7p-1, 0x1.c69d95f01a204p-1, 0x1.c44c04a0b2bedp-1, 0x1.c1f437934d9b4p-1, 0x1.bf95dcceb07f9p-1, 0x1.bd30b9463b8ffp-1, 0x1.bac4a9dde8ab2p-1, 0x1.b851a3a86509p-1, 0x1.b5d7b37f676a6p-1, 0x1.b356fd14c71aap-1, 0x1.b0cfb998a1fb4p-1, 0x1.ae42360e3b2f4p-1, 0x1.abaed166679e9p-1, 0x1.a915fa737dc03p-1, 0x1.a6782dc7e833ep-1, 0x1.a3d5f38dd4f5ep-1, 0x1.a12fdd63f1997p-1, 0x1.9e868448e6231p-1, 0x1.9bda869d37603p-1, 0x1.992c864160295p-1, 0x1.967d26d46bf5fp-1, 0x1.93cd0c15f9d1p-1, 0x1.911cd86d68b73p-1, 0x1.8e6d2b96fdd6ep-1, 0x1.8bbea17703d0ap-1, 0x1.8911d11240e6ep-1, 0x1.86674baaa0be3p-1, 0x1.83bf9bfe88b64p-1, 0x1.811b45a900b55p-1, 0x1.7e7ac4a0a935ep-1, 0x1.7bde8cd3531cep-1, 0x1.794709dbf7719p-1, 0x1.76b49ed0cd47dp-1, 0x1.7427a62735959p-1, 0x1.71a071ab4e654p-1, 0x1.6f1f4a88fff23p-1, 0x1.6ca471647fcabp-1, 0x1.6a301e8050698p-1, 0x1.67c281eeed0fap-1, 0x1.655bc3ce67de9p-1, 0x1.62fc048c694fep-1, 0x1.60a35d3112da7p-1, 0x1.5e51dfaf74fa2p-1, 0x1.5c07973a5bf21p-1, 0x1.59c4889c5c3a3p-1, 0x1.5788b2921ca62p-1, 0x1.55540e2601efp-1, 0x1.53268f0c6e3b2p-1, 0x1.510023ffe528bp-1, 0x1.4ee0b71c7b873p-1, 0x1.4cc82e3a0cd2dp-1, 0x1.4ab66b44c3a89p-1, 0x1.48ab4c9394a8dp-1, 0x1.46a6ad3c5c2efp-1, 0x1.44a865655c3aep-1, 0x1.42b04a93e35bfp-1, 0x1.40be2ff7f8c43p-1, 0x1.3ed1e6b4e7e9ap-1, 0x1.3ceb3e269be14p-1, 0x1.3b0a0423b9bbbp-1, 0x1.392e053c757f2p-1, 0x1.37570cf6214dp-1, 0x1.3584e6037cdc4p-1, 0x1.33b75a79cf2cep-1, 0x1.31ee3402d736ap-1, 0x1.30293c0ba8ae3p-1, 0x1.2e683bf083d5fp-1, 0x1.2caafd25c47f4p-1, 0x1.2af1495dfaedfp-1, 0x1.293aeaad4a1a6p-1, 0x1.2787abaa26cf1p-1, 0x1.25d7578b90b44p-1, 0x1.2429ba44e08c6p-1, 0x1.227ea09f47c92p-1, 0x1.20d5d8511c4b7p-1, 0x1.1f2f30130ab31p-1, 0x1.1d8a77b34b2a1p-1, 0x1.1be78026f0a58p-1, 0x1.1a461b996e4fbp-1, 0x1.18a61d7a6951fp-1, 0x1.17075a89f048p-1, 0x1.1569a8e3308dbp-1, 0x1.13cce005bba68p-1, 0x1.1230d8dd76b3p-1, 0x1.10956dc945c2fp-1, 0x1.0efa7aa085b6p-1, 0x1.0d5fdcb76ae08p-1, 0x1.0bc572e25286ep-1, 0x1.0a2b1d7819e1p-1, 0x1.0890be538aec2p-1, 0x1.06f638d3ed1c9p-1, 0x1.055b71dcca367p-1, 0x1.03c04fd4f39d6p-1, 0x1.0224baa4d5bdbp-1, 0x1.00889bb424fdfp-1, 0x1.fdd7bbcde65b2p-2, 0x1.fa9cdb3462cacp-2, 0x1.f760713f683eap-2, 0x1.f4225c736b209p-2, 0x1.f0e27e2bd8124p-2, 0x1.eda0ba906cb26p-2, 0x1.ea5cf889cdfdap-2, 0x1.e71721b572b8ap-2, 0x1.e3cf2258e95d4p-2, 0x1.e084e9548d55bp-2, 0x1.dd386815b5331p-2, 0x1.d9e992886b04cp-2, 0x1.d6985f08b1e7p-2, 0x1.d344c6537167ap-2, 0x1.cfeec3770651bp-2, 0x1.cc9653c387d38p-2, 0x1.c93b76bacb8d4p-2, 0x1.c5de2e002d5f3p-2, 0x1.c27e7d482c1d4p-2, 0x1.bf1c6a47d815cp-2, 0x1.bbb7fca426526p-2, 0x1.b8513de12976dp-2, 0x1.b4e8395137b52p-2, 0x1.b17cfc0407f7p-2, 0x1.ae0f94b5cb116p-2, 0x1.aaa013be46ba7p-2, 0x1.a72e8afff4e57p-2, 0x1.a3bb0dd7375ap-2, 0x1.a045b10996ba7p-2, 0x1.9cce8ab51bed5p-2, 0x1.9955b23fc9324p-2, 0x1.95db40472cb7fp-2, 0x1.925f4e901ebd5p-2, 0x1.8ee1f7f6a3523p-2, 0x1.8b63585dfeabfp-2, 0x1.87e38ca0f3b26p-2, 0x1.8462b28238356p-2, 0x1.80e0e89d2410bp-2, 0x1.7d5e4e5691928p-2, 0x1.79db03ce019c8p-2, 0x1.765729cefb24ep-2, 0x1.72d2e1c2ae01p-2, 0x1.6f4e4da1d506p-2, 0x1.6bc98fe6e2ecbp-2, 0x1.6844cb8074b34p-2, 0x1.64c023c409ecdp-2, 0x1.613bbc610d1bdp-2, 0x1.5db7b95423bd5p-2, 0x1.5a343edacdee7p-2, 0x1.56b17167537ap-2, 0x1.532f759500105p-2, 0x1.4fae701caffabp-2, 0x1.4c2e85c9ae2c9p-2, 0x1.48afdb6ee340ep-2, 0x1.453295dc56b5ap-2, 0x1.41b6d9d4ffc29p-2, 0x1.3e3ccc04ed446p-2, 0x1.3ac490f7bdb3dp-2, 0x1.374e4d0f68088p-2, 0x1.33da247b597e6p-2, 0x1.30683b2fe609ap-2, 0x1.2cf8b4de06a37p-2, 0x1.298bb4eb6ffcbp-2, 0x1.26215e6af2a4p-2, 0x1.22b9d415315ebp-2, 0x1.1f553841a4e9fp-2, 0x1.1bf3acdff0a89p-2, 0x1.1895537182857p-2, 0x1.153a4d0385147p-2, 0x1.11e2ba2919d3fp-2, 0x1.0e8ebaf5e298fp-2, 0x1.0b3e6ef8d54e3p-2, 0x1.07f1f53756831p-2, 0x1.04a96c28a01p-2, 0x1.0164f1b16d386p-2, 0x1.fc49463fdc17ap-3, 0x1.f5d13a4ffde62p-3, 0x1.ef61f7bf47ef8p-3, 0x1.e8fbb5778dcb7p-3, 0x1.e29ea91a6d076p-3, 0x1.dc4b06fbca41fp-3, 0x1.d601021cc88a3p-3, 0x1.cfc0cc27412b4p-3, 0x1.c98a9569ac0eep-3, 0x1.c35e8cd37dfe6p-3, 0x1.bd3cdff1f4d6dp-3, 0x1.b725baed5e013p-3, 0x1.b1194886b5c1ep-3, 0x1.ab17b215bd47ap-3, 0x1.a5211f876d15ep-3, 0x1.9f35b75cd2bf9p-3, 0x1.99559eaa4150ap-3, 0x1.9380f916ea63fp-3, 0x1.8db7e8dcc825cp-3, 0x1.87fa8ec8e02d7p-3, 0x1.82490a3bdba99p-3, 0x1.7ca3792aea508p-3, 0x1.7709f820faa2fp-3, 0x1.717ca2403427dp-3, 0x1.6bfb9143bff04p-3, 0x1.6686dd81d2337p-3, 0x1.611e9dedf967cp-3, 0x1.5bc2e81ba4c5cp-3, 0x1.5673d040f12a3p-3, 0x1.51316939aabe1p-3, 0x1.4bfbc48a80c2ep-3, 0x1.46d2f26478b2fp-3, 0x1.41b701a88ab99p-3, 0x1.3ca7ffeb6e8c8p-3, 0x1.37a5f97997c42p-3, 0x1.32b0f95b5aab1p-3, 0x1.2dc9095936dfap-3, 0x1.28ee32004d0f8p-3, 0x1.24207aa6f1ba7p-3, 0x1.1f5fe9716242ap-3, 0x1.1aac83569a891p-3, 0x1.16064c254871ep-3, 0x1.116d4688d3a3ep-3, 0x1.0ce1740e808c8p-3, 0x1.0862d52aaea88p-3, 0x1.03f1693e1f988p-3, 0x1.ff1a5d36bbbf9p-4, 0x1.f66c451851d4dp-4, 0x1.edd882adec5eep-4, 0x1.e55f0c88f800dp-4, 0x1.dcffd74a94d6cp-4, 0x1.d4bad5aed2c86p-4, 0x1.cc8ff8980a018p-4, 0x1.c47f2f1a2fe57p-4, 0x1.bc88668642e13p-4, 0x1.b4ab8a75bb851p-4, 0x1.ace884d5f856ap-4, 0x1.a53f3df3b26f2p-4, 0x1.9daf9c867219p-4, 0x1.963985bbfd465p-4, 0x1.8edcdd43bc2c1p-4, 0x1.8799855a172ecp-4, 0x1.806f5ed3cf87dp-4, 0x1.795e49294463cp-4, 0x1.72662281aa47fp-4, 0x1.6b86c7be32a2ap-4, 0x1.64c01485224aep-4, 0x1.5e11e34ccdca2p-4, 0x1.577c0d66862a3p-4, 0x1.50fe6b09688fcp-4, 0x1.4a98d35d1722fp-4, 0x1.444b1c8457949p-4, 0x1.3e151ba791cbep-4, 0x1.37f6a4ff36206p-4, 0x1.31ef8bddff83p-4, 0x1.2bffa2bb1a35fp-4, 0x1.2626bb3c27826p-4, 0x1.2064a63f205aep-4, 0x1.1ab933e4122cp-4, 0x1.15243396bc888p-4, 0x1.0fa5741806e72p-4, 0x1.0a3cc38754122p-4, 0x1.04e9ef6ba8e77p-4, 0x1.ff59897971119p-5, 0x1.f50a1fd77350bp-5, 0x1.eae539d845b47p-5, 0x1.e0ea6e786c567p-5, 0x1.d71953dacf316p-5, 0x1.cd717f592e0d4p-5, 0x1.c3f285944b95ep-5, 0x1.ba9bfa83c1e48p-5, 0x1.b16d71857eb8ap-5, 0x1.a8667d6cf2fd9p-5, 0x1.9f86b091ecd07p-5, 0x1.96cd9cdf199p-5, 0x1.8e3ad3e0375a6p-5, 0x1.85cde6cff59d9p-5, 0x1.7d8666a577035p-5, 0x1.7563e4218b95fp-5, 0x1.6d65efdb8f6a4p-5, 0x1.658c1a4df8b77p-5, 0x1.5dd5f3e29501fp-5, 0x1.56430cfe6a18p-5, 0x1.4ed2f60d5433ep-5, 0x1.47853f8d41406p-5, 0x1.40597a192a51ap-5, 0x1.394f3673b365ap-5, 0x1.326605917984p-5, 0x1.2b9d78a319cb4p-5, 0x1.24f5211ee51b2p-5, 0x1.1e6c90ca432bfp-5, 0x1.180359c2ce944p-5, 0x1.11b90e871fe1p-5, 0x1.0b8d41ff52501p-5, 0x1.057f878536355p-5, 0x1.ff1ee5d88275bp-6, 0x1.f37931126a2e9p-6, 0x1.e80d1a72f80f9p-6, 0x1.dcd9ccd47b056p-6, 0x1.d1de743e67df4p-6, 0x1.c71a3df2666adp-6, 0x1.bc8c5878faa2fp-6, 0x1.b233f3ad779dep-6, 0x1.a81040c9a0da6p-6, 0x1.9e207270a9b3dp-6, 0x1.9463bcb9c92c4p-6, 0x1.8ad9553a45e69p-6, 0x1.8180730f10d5bp-6, 0x1.78584ee5e57abp-6, 0x1.6f602305f3363p-6, 0x1.66972b5811164p-6, 0x1.5dfca56e9791bp-6, 0x1.558fd08c9b3a6p-6, 0x1.4d4fedacf6e26p-6, 0x1.453c3f88c2ae7p-6, 0x1.3d540a9d6c29p-6, 0x1.3596953274f7bp-6, 0x1.2e03275ec699ap-6, 0x1.26990b0da2eedp-6, 0x1.1f578c0339f7fp-6, 0x1.183df7e0e7a09p-6, 0x1.114b9e29155abp-6, 0x1.0a7fd042b5b0dp-6, 0x1.03d9e17c8624ep-6, 0x1.fab24e1fdbacap-7, 0x1.edf9f047042c6p-7, 0x1.e1895b9aa82f8p-7, 0x1.d55f4629b839ap-7, 0x1.c97a69e951a49p-7, 0x1.bdd984b77fb7fp-7, 0x1.b27b585d716dap-7, 0x1.a75eaa9128196p-7, 0x1.9c8244f699544p-7, 0x1.91e4f5206e63fp-7, 0x1.87858c9021c8bp-7, 0x1.7d62e0b5ba472p-7, 0x1.737bcaef030fap-7, 0x1.69cf288670dc1p-7, 0x1.605bdab17780dp-7, 0x1.5720c68e8402cp-7, 0x1.4e1cd522a23bep-7, 0x1.454ef35695576p-7, 0x1.3cb611f3c5188p-7, 0x1.345125a0b50d5p-7, 0x1.2c1f26dd1c7a7p-7, 0x1.241f11fdc56a6p-7, 0x1.1c4fe727f8c22p-7, 0x1.14b0aa4cbb0b3p-7, 0x1.0d406323b5157p-7, 0x1.05fe1d25cd5bdp-7, 0x1.fdd1cf0f07d24p-8, 0x1.efffaa660fbbap-8, 0x1.e283f98449247p-8, 0x1.d55cf0ef86f44p-8, 0x1.c888cc72ee159p-8, 0x1.bc05cf1114668p-8, 0x1.afd242f623528p-8, 0x1.a3ec796980436p-8, 0x1.9852cabee2b3bp-8, 0x1.8d0396475ac6bp-8, 0x1.81fd4241d7cddp-8, 0x1.773e3bcb76822p-8, 0x1.6cc4f6cf88983p-8, 0x1.628fedf742411p-8, 0x1.589da299423b5p-8, 0x1.4eec9ca8bb517p-8, 0x1.457b6aa4a5b94p-8, 0x1.3c48a186663f3p-8, 0x1.3352dcb09e8a3p-8, 0x1.2a98bddd876f5p-8, 0x1.2218ed0d56878p-8, 0x1.19d218746548dp-8, 0x1.11c2f46951a66p-8, 0x1.09ea3b52d1481p-8, 0x1.0246ad959e5ffp-8, 0x1.f5ae23047abe9p-9, 0x1.e734668534d78p-9, 0x1.d91dc98f7ea28p-9, 0x1.cb67fb6e8a1bdp-9, 0x1.be10b6b207b5dp-9, 0x1.b115c108c7935p-9, 0x1.a474eb1beadfbp-9, 0x1.982c1069ddfb9p-9, 0x1.8c391721142cap-9, 0x1.8099effb2150ep-9, 0x1.754c961796352p-9, 0x1.6a4f0ed73fffep-9, 0x1.5f9f69b72b6p-9, 0x1.553bc02bb14cfp-9, 0x1.4b22357c12c4dp-9, 0x1.4150f69da5a32p-9, 0x1.37c63a0f8893dp-9, 0x1.2e803fb643519p-9, 0x1.257d50b7b1342p-9, 0x1.1cbbbf570d849p-9, 0x1.1439e6d10cc54p-9, 0x1.0bf62b3878037p-9, 0x1.03eef952a3924p-9, 0x1.f8458ce892d26p-10, 0x1.e92020bd7e8c8p-10, 0x1.da6aba3a3236dp-10, 0x1.cc2275c3956cbp-10, 0x1.be447fc8e3e11p-10, 0x1.b0ce147fdf5ebp-10, 0x1.a3bc7fa14796dp-10, 0x1.970d1c2663878p-10, 0x1.8abd54068f635p-10, 0x1.7eca9ff5a9665p-10, 0x1.7332872328adfp-10, 0x1.67f29ef9a6e88p-10, 0x1.5d088adeedbf6p-10, 0x1.5271fbf50074ep-10, 0x1.482cb0db73325p-10, 0x1.3e367571899e7p-10, 0x1.348d2298f7953p-10, 0x1.2b2e9df94e23p-10, 0x1.2218d9c42485fp-10, 0x1.1949d479a563dp-10, 0x1.10bf98ae453d4p-10, 0x1.08783cd091a53p-10, 0x1.0071e2f042d18p-10, 0x1.f155710b3662cp-11, 0x1.e241ec7328c27p-11, 0x1.d3a5bf5d9e799p-11, 0x1.c57d869610ec3p-11, 0x1.b7c5f4030e3fp-11, 0x1.aa7bce3c3a7a2p-11, 0x1.9d9bf021703a4p-11, 0x1.912348737c8f8p-11, 0x1.850ed96ee546dp-11, 0x1.795bb8669cbd2p-11, 0x1.6e070d61d1b44p-11, 0x1.630e12ba0a5efp-11, 0x1.586e14bac7022p-11, 0x1.4e24714312a2dp-11, 0x1.442e9767c2e3bp-11, 0x1.3a8a0717bf273p-11, 0x1.313450c16164ap-11, 0x1.282b14f8eb48ep-11, 0x1.1f6c04210bd6ap-11, 0x1.16f4de14329d6p-11, 0x1.0ec371cf4e616p-11, 0x1.06d59d1e2decp-11, 0x1.fe52989248e3cp-12, 0x1.ef78f3873712dp-12, 0x1.e11a5bb91bfdfp-12, 0x1.d332fce03cc67p-12, 0x1.c5bf1d3445308p-12, 0x1.b8bb1cd5190dbp-12, 0x1.ac2375356ec53p-12, 0x1.9ff4b88820c3p-12, 0x1.942b9130978a9p-12, 0x1.88c4c134b5bdbp-12, 0x1.7dbd21b177e4dp-12, 0x1.7311a253c4125p-12, 0x1.68bf48d076848p-12, 0x1.5ec33061df3e2p-12, 0x1.551a8945f436fp-12, 0x1.4bc2983efda7fp-12, 0x1.42b8b6179a064p-12, 0x1.39fa4f27ca5afp-12, 0x1.3184e2dd5b3dcp-12, 0x1.29560345a897p-12, 0x1.216b549a0ed42p-12, 0x1.19c28ccf2d232p-12, 0x1.125973251d1f8p-12, 0x1.0b2ddfba2e10dp-12, 0x1.043dbb20e1c5fp-12, 0x1.fb0dfbecacdb8p-13, 0x1.ee0f60f8472edp-13, 0x1.e17bd465d962ap-13, 0x1.d54fa2f188b9fp-13, 0x1.c987364eb7f01p-13, 0x1.be1f146c76be6p-13, 0x1.b313debb1369ap-13, 0x1.a8625176a6d4ap-13, 0x1.9e0742f4cd059p-13, 0x1.93ffa2f6e7998p-13, 0x1.8a4879ff65efp-13, 0x1.80dee8aa77049p-13, 0x1.77c0270b1cbbbp-13, 0x1.6ee9840ac96e3p-13, 0x1.665864cd84bd6p-13, 0x1.5e0a441793b09p-13, 0x1.55fcb1b90a093p-13, 0x1.4e2d51fb0855p-13, 0x1.4699dd0f7c36dp-13, 0x1.3f401e862d2b7p-13, 0x1.381df4c336192p-13, 0x1.313150795842p-13, 0x1.2a783426d407ep-13, 0x1.23f0b395f53e7p-13, 0x1.1d98f35f49881p-13, 0x1.176f2870b9cbbp-13, 0x1.11719794f6895p-13, 0x1.0b9e94ffa50dp-13, 0x1.05f483dbdb81ep-13, 0x1.0071d5db8c9bep-13, 0x1.f62a159a2c3aap-14, 0x1.ebb9605f3fa1cp-14, 0x1.e18ec198bed54p-14, 0x1.d7a788a3d4dc9p-14, 0x1.ce011de1d4224p-14, 0x1.c49901f9b5df6p-14, 0x1.bb6ccd1b76e8ep-14, 0x1.b27a2e49bef9bp-14, 0x1.a9beeaa73456dp-14, 0x1.a138dcc90d578p-14, 0x1.98e5f40c5ae84p-14, 0x1.90c433f164f98p-14, 0x1.88d1b37b0653fp-14, 0x1.810c9c9069504p-14, 0x1.79732b6497118p-14, 0x1.7203ade13a0b4p-14, 0x1.6abc8314e6263p-14, 0x1.639c1aa6cee29p-14, 0x1.5ca0f44a7813ap-14, 0x1.55c99f3cc7ebep-14, 0x1.4f14b9be632p-14, 0x1.4880f095cb7c1p-14, 0x1.420cfe93cc9f7p-14, 0x1.3bb7ac19f54d5p-14, 0x1.357fcea664116p-14, 0x1.2f644860d14e8p-14, 0x1.296407ac3f275p-14, 0x1.237e06baa22a2p-14, 0x1.1db14b24097bdp-14, 0x1.17fce5809bbadp-14, 0x1.125ff105d4261p-14, 0x1.0cd99324da696p-14, 0x1.0768fb2e67915p-14, 0x1.020d61f6b6872p-14, 0x1.f98c12faf98bbp-15, 0x1.ef24792f629fp-15, 0x1.e4e29d3929f5ap-15, 0x1.dac53629527f3p-15, 0x1.d0cb0ad556407p-15, 0x1.c6f2f13fa77c5p-15, 0x1.bd3bce02ba062p-15, 0x1.b3a493c1b9fap-15, 0x1.aa2c429d7f497p-15, 0x1.a0d1e7ad0aafp-15, 0x1.97949c7a062cdp-15, 0x1.8e738683601c6p-15, 0x1.856dd6bf51ce4p-15, 0x1.7c82c927baad7p-15, 0x1.73b1a4426ed5ep-15, 0x1.6af9b8b530751p-15, 0x1.625a60d5a76ccp-15, 0x1.59d3004375453p-15, 0x1.516303805900ep-15, 0x1.4909df8ea3318p-15, 0x1.40c71191c1137p-15, 0x1.389a1e72f8f5dp-15, 0x1.30829286e0e72p-15, 0x1.28800138df612p-15, 0x1.209204b6403a5p-15, 0x1.18b83d9f3835p-15, 0x1.10f252b870628p-15, 0x1.093ff09fe147cp-15, 0x1.01a0c98463906p-15, 0x1.f42929c0af2d8p-16, 0x1.e5361e697c19ep-16, 0x1.d667f39309449p-16, 0x1.c7be34db37ca4p-16, 0x1.b93876758b7d6p-16, 0x1.aad654b5e3617p-16, 0x1.9c9773a10b826p-16, 0x1.8e7b7e7e2f9cdp-16, 0x1.808227705c115p-16, 0x1.72ab271041d9fp-16, 0x1.64f63c0d2d03bp-16, 0x1.57632ace01a46p-16, 0x1.49f1bd1914228p-16, 0x1.3ca1c1bd60691p-16, 0x1.2f730c404096bp-16, 0x1.2265748de68fp-16, 0x1.1578d6acc00ffp-16, 0x1.08ad12747e7c4p-16, 0x1.f80416902f25cp-17, 0x1.deef4fa4272a4p-17, 0x1.c61ba388020ebp-17, 0x1.ad88eb332c79p-17, 0x1.953704b87f608p-17, 0x1.7d25d2d63ee5cp-17, 0x1.65553c8acc86cp-17, 0x1.4dc52cab66e98p-17, 0x1.36759182d8861p-17, 0x1.1f665c725db1dp-17, 0x1.08978197e029p-17, 0x1.e411eef16348p-18, 0x1.b7756d5c5e879p-18, 0x1.8b597337a4673p-18, 0x1.5fbdf840d3882p-18, 0x1.34a2f6a70297p-18, 0x1.0a086a82d0cd1p-18, 0x1.bfdca2ac35e8p-19, 0x1.6ca95334bd4abp-19, 0x1.1a76e48ea43e7p-19, 0x1.928aa9b36455p-20, 0x1.e452866c0a1a5p-21, 0x1.4f2637c4b48c7p-22, -0x1.2252078c1013p-22, -0x1.c5e1fb15a7bffp-21, -0x1.7b4bfcee0e922p-20, -0x1.08d2cfea24d7cp-19, -0x1.52ff0773b1103p-19, -0x1.9c2abe664804fp-19, -0x1.e45613821b22fp-19, -0x1.15c095b7662f1p-18, -0x1.38d6188b734dap-18, -0x1.5b6bab09a97bep-18, -0x1.7d81698063917p-18, -0x1.9f1773e5f6ebcp-18, -0x1.c02dee0369bdp-18, -0x1.e0c4ff8ee01a4p-18, -0x1.006e6a2914c88p-17, -0x1.103ace1f9f2f6p-17, -0x1.1fc7c5c6c3de3p-17, -0x1.2f156d66729dcp-17, -0x1.3e23e37dbec3ap-17, -0x1.4cf348c8d131dp-17, -0x1.5b83c049a9551p-17, -0x1.69d56f4dac916p-17, -0x1.77e87d7165587p-17, -0x1.85bd14a53bdb3p-17, -0x1.9353612e70a7cp-17, -0x1.a0ab91aa2e16ap-17, -0x1.adc5d70d41ad5p-17, -0x1.baa264a3d5801p-17, -0x1.c7417010e7496p-17, -0x1.d3a3314b048bbp-17, -0x1.dfc7e29b7547p-17, -0x1.ebafc098d7592p-17, -0x1.f75b0a244826dp-17, -0x1.01650032452acp-16, -0x1.06fe735fee967p-16, -0x1.0c7a016b91288p-16, -0x1.11d7ce3ef6257p-16, -0x1.1717feda69a59p-16, -0x1.1c3ab950e80a8p-16, -0x1.214024c3a1659p-16, -0x1.2628695e95e57p-16, -0x1.2af3b05367f9dp-16, -0x1.2fa223d567325p-16, -0x1.3433ef1468de5p-16, -0x1.38a93e38a2a5p-16, -0x1.3d023e5caf4b5p-16, -0x1.413f1d8921f5cp-16, -0x1.45600aaed46e7p-16, -0x1.496535a1ef541p-16, -0x1.4d4ecf13e411bp-16, -0x1.511d088e7ad16p-16, -0x1.54d0146da6fbbp-16, -0x1.586825da36c4fp-16, -0x1.5be570c3a1307p-16, -0x1.5f4829da5739p-16, -0x1.6290868a5b968p-16, -0x1.65bebcf46b05ep-16, -0x1.68d303e906a16p-16, -0x1.6bcd92e1a133ap-16, -0x1.6eaea1fb3cc13p-16, -0x1.717669f02e754p-16, -0x1.74252411d1fbap-16, -0x1.76bb0a4349a0ep-16, -0x1.793856f29a59fp-16, -0x1.7b9d4513896fcp-16, -0x1.7dea1018d04ep-16, -0x1.801ef3ef0ac1dp-16, -0x1.823c2cf616bccp-16, -0x1.8441f7fb76105p-16, -0x1.8630923496f06p-16, -0x1.88083938c8df9p-16, -0x1.89c92afb7104cp-16, -0x1.8b73a5c6dfe99p-16, -0x1.8d07e835da504p-16, -0x1.8e86312eada31p-16, -0x1.8feebfdcfb153p-16, -0x1.9141d3acdd5dp-16, -0x1.927fac44fec6p-16, -0x1.93a88981923e1p-16, -0x1.94bcab6e7cdbap-16, -0x1.95bc52430762fp-16, -0x1.96a7be5b8ebdbp-16, -0x1.977f303574e93p-16, -0x1.9842e86945719p-16, -0x1.98f327a67c948p-16, -0x1.99902eae017c5p-16, -0x1.9a1a3e4df1b56p-16, -0x1.9a91975c6659ep-16, -0x1.9af67ab33d5dcp-16, -0x1.9b49292b35328p-16, -0x1.9b89e397b9adbp-16, -0x1.9bb8eac270cdep-16, -0x1.9bd67f66bb3fdp-16, -0x1.9be2e22ddcc82p-16, -0x1.9bde53aa7c102p-16, -0x1.9bc91454bd5edp-16, -0x1.9ba36486625cfp-16, -0x1.9b6d8476986dp-16, -0x1.9b27b436bf9bap-16, -0x1.9ad233adfd288p-16, -0x1.9a6d429659a78p-16, -0x1.99f920788ea01p-16, -0x1.99760ca902d04p-16, -0x1.98e446443d877p-16, -0x1.98440c2ba88bep-16, -0x1.97959d02508f2p-16, -0x1.96d93729f2bccp-16, -0x1.960f18bfb0367p-16, -0x1.95377f99674bbp-16, -0x1.9452a9428a44ep-16, -0x1.9360d2f9a1ad8p-16, -0x1.926239ad5b53dp-16, -0x1.915719fa0e041p-16, -0x1.903fb0271b65ap-16, -0x1.8f1c38248ceeep-16, -0x1.8deced88aeaf2p-16, -0x1.8cb20b8da50dbp-16, -0x1.8b6bcd0f4644cp-16, -0x1.8a1a6c8924dcp-16, -0x1.88be24141cc22p-16, -0x1.87572d64a9704p-16, -0x1.85e5c1c8aca8ep-16, -0x1.846a1a25d8c89p-16, -0x1.82e46ef7c32ep-16, -0x1.8154f84e2e1d8p-16, -0x1.7fbbedcb6e06bp-16, -0x1.7e1986a2d6b74p-16, -0x1.7c6df997307abp-16, -0x1.7ab97cf96e143p-16, -0x1.78fc46a717c83p-16, -0x1.77368c092bd98p-16, -0x1.75688212a383bp-16, -0x1.73925d3f8e8edp-16, -0x1.71b45193c71fep-16, -0x1.6fce929a027dep-16, -0x1.6de15362a4967p-16, -0x1.6becc68304a4dp-16, -0x1.69f11e14662eep-16, -0x1.67ee8bb34b5c8p-16, -0x1.65e5407e8fd33p-16, -0x1.63d56d16bb0d3p-16, -0x1.61bf419d6f836p-16, -0x1.5fa2edb49d509p-16, -0x1.5d80a07e27662p-16, -0x1.5b58889b4fd44p-16, -0x1.592ad42c3bd9cp-16, -0x1.56f7b0cfa9abcp-16, -0x1.54bf4ba2817dbp-16, -0x1.5281d13f8a90ep-16, -0x1.503f6dbf04e1cp-16, -0x1.4df84cb6b33fp-16, -0x1.4bac993984185p-16, -0x1.495c7dd771ca7p-16, -0x1.4708249d7f048p-16, -0x1.44afb7158e6ddp-16, -0x1.42535e4674a9bp-16, -0x1.3ff342b3fcaa5p-16, -0x1.3d8f8c5f0f523p-16, -0x1.3b2862c589a93p-16, -0x1.38bdece2a3e79p-16, -0x1.3650512f03795p-16, -0x1.33dfb5a0ed6f1p-16, -0x1.316c3fac90b63p-16, -0x1.2ef61444412f3p-16, -0x1.2c7d57d8d1c01p-16, -0x1.2a022e59d757ep-16, -0x1.2784bb361ac86p-16, -0x1.2505215bef3e6p-16, -0x1.22838339a7b5ep-16, -0x1.200002be0a44ap-16, -0x1.1d7ac158ca99ep-16, -0x1.1af3dffae1e74p-16, -0x1.186b7f1755096p-16, -0x1.15e1bea3acddfp-16, -0x1.1356be1879689p-16, -0x1.10ca9c71eb4ebp-16, -0x1.0e3d783073cf3p-16, -0x1.0baf6f5971b27p-16, -0x1.09209f77e909bp-16, -0x1.0691259cff1f9p-16, -0x1.04011e60d585bp-16, -0x1.0170a5e332b2cp-16, -0x1.fdbfaf98892p-17, -0x1.f89d9e9aa7cc9p-17, -0x1.f37b4e432aaa4p-17, -0x1.ee58f31dcc3afp-17, -0x1.e936c0cd32fd8p-17, -0x1.e414ea0c935d1p-17, -0x1.def3a0b14d4d7p-17, -0x1.d9d315acb693fp-17, -0x1.d4b3790dbb463p-17, -0x1.cf94fa028e222p-17, -0x1.ca77c6da36504p-17, -0x1.c55c0d06aeb3ep-17, -0x1.c041f91e8387bp-17, -0x1.bb29b6de8cccbp-17, -0x1.b613712bd9b8cp-17, -0x1.b0ff521583a5dp-17, -0x1.abed82d669f1ep-17, -0x1.a6de2bd73d21ep-17, -0x1.a1d174b05794ep-17, -0x1.9cc7842b77f2dp-17, -0x1.97c08045cf31dp-17, -0x1.92bc8e320031fp-17, -0x1.8dbbd259e895ap-17, -0x1.88be70607c566p-17, -0x1.83c48b23d81c7p-17, -0x1.7ece44bf4af19p-17, -0x1.79dbbe8d17e47p-17, -0x1.74ed1928a6a48p-17, -0x1.700274705f167p-17, -0x1.6b1bef878aac6p-17, -0x1.6639a8d88390bp-17, -0x1.615bbe167eef4p-17, -0x1.5c824c3fa0be5p-17, -0x1.57ad6f9f199e4p-17, -0x1.52dd43cef293ap-17, -0x1.4e11e3ba0ac36p-17, -0x1.494b699e4cd03p-17, -0x1.4489ef0e76d55p-17, -0x1.3fcd8cf4176a8p-17, -0x1.3b165b91c9337p-17, -0x1.36647284e43a9p-17, -0x1.31b7e8c79374dp-17, -0x1.2d10d4b2ef9a3p-17, -0x1.286f4c00e282ap-17, -0x1.23d363ce10b53p-17, -0x1.1f3d309bdf119p-17, -0x1.1aacc65274bap-17, -0x1.162238429f975p-17, -0x1.119d9927ccc06p-17, -0x1.0d1efb29fa898p-17, -0x1.08a66fdfa7fcap-17, -0x1.0434084fc7a1ap-17, -0x1.ff8fa9e74eef1p-18, -0x1.f6c3cb71dc848p-18, -0x1.ee049406ebefap-18, -0x1.e552215e2dce5p-18, -0x1.dcac90236ae6ep-18, -0x1.d413fbfa29bc5p-18, -0x1.cb887f81411c4p-18, -0x1.c30a3456ea12dp-18, -0x1.ba99331c26a93p-18, -0x1.b23593786779cp-18, -0x1.a9df6c1d97962p-18, -0x1.a196d2cb73ff3p-18, -0x1.995bdc52f904ap-18, -0x1.912e9c9a8cb8ap-18, -0x1.890f26a10fc9dp-18, -0x1.80fd8c817541ap-18, -0x1.78f9df7686a5ap-18, -0x1.71042fde34847p-18, -0x1.691c8d3d2262ap-18, -0x1.61430641fd0b7p-18, -0x1.5977a8c9095f8p-18, -0x1.51ba81df8a36p-18, -0x1.4a0b9dc6fec0ep-18, -0x1.426b07f87eeb3p-18, -0x1.3ad8cb280389cp-18, -0x1.3354f147e8c58p-18, -0x1.2bdf838bf9319p-18, -0x1.24788a6c76dcep-18, -0x1.1d200daa17f1ep-18, -0x1.15d61450611d6p-18, -0x1.0e9aa4b8dab9cp-18, -0x1.076dc48ef4a4ap-18, -0x1.004f78d235b3ap-18, -0x1.f27f8bb2f9f4fp-19, -0x1.e47d5ead97f3fp-19, -0x1.d69870b27568dp-19, -0x1.c8d0c6a12a5fp-19, -0x1.bb2664205af18p-19, -0x1.ad994ba316ba7p-19, -0x1.a0297e6f844d2p-19, -0x1.92d6fca3e3428p-19, -0x1.85a1c53bf69c7p-19, -0x1.7889d617e0ac1p-19, -0x1.6b8f2c006ef4bp-19, -0x1.5eb1c2ace1f28p-19, -0x1.51f194c8d6e38p-19, -0x1.454e9bf91685dp-19, -0x1.38c8d0e0c8243p-19, -0x1.2c602b27d99dcp-19, -0x1.2014a17efe0a4p-19, -0x1.13e629a492603p-19, -0x1.07d4b86b59131p-19, -0x1.f7c0837b89b88p-20, -0x1.e0117146febb9p-20, -0x1.c89c1e8e4873cp-20, -0x1.b1606df39d755p-20, -0x1.9a5e4070ede69p-20, -0x1.839575619121p-20, -0x1.6d05ea8b91523p-20, -0x1.56af7c2875fcfp-20, -0x1.409204ee8c249p-20, -0x1.2aad5e1aa9d61p-20, -0x1.15015f77c7227p-20, -0x1.ff1bbecfb0248p-21, -0x1.d4a565dcc9546p-21, -0x1.aa9f5b6d41df9p-21, -0x1.8109443abb0c4p-21, -0x1.57e2c272d460dp-21, -0x1.2f2b75c369f8bp-21, -0x1.06e2fb70f7ebfp-21, -0x1.be11dcc763b3ep-22, -0x1.6f39ce693472dp-22, -0x1.213cf885eb6bbp-22, -0x1.a835070047618p-23, -0x1.0fa326f006e3bp-23, -0x1.e30a43a5d6effp-25, 0x1.c6e830c5ebf43p-27, 0x1.5fe3c96ab41eep-24, 0x1.41c96b628a9efp-23, 0x1.d1f6f5bc20148p-23, 0x1.303e34c4bff4fp-22, 0x1.76add9be24db9p-22, 0x1.bc4b6379d095ap-22, 0x1.008be774cd13cp-21, 0x1.228a0e1113b96p-21, 0x1.4420a7214ab8ap-21, 0x1.655035ada6612p-21, 0x1.86193e2a313b4p-21, 0x1.a67c466bb1da1p-21, 0x1.c679d5996a169p-21, 0x1.e61274227d8c1p-21, 0x1.02a355d936e6fp-20, 0x1.120b8391d71e3p-20, 0x1.2142093b812a6p-20, 0x1.30472d6394d77p-20, 0x1.3f1b371db1b9dp-20, 0x1.4dbe6e0032675p-20, 0x1.5c311a1dc7513p-20, 0x1.6a7383ffe499ep-20, 0x1.7885f4a2750b4p-20, 0x1.8668b56ee142ep-20, 0x1.941c103609166p-20, 0x1.a1a04f2bcf55fp-20, 0x1.aef5bce2c013dp-20, 0x1.bc1ca4469461ap-20, 0x1.c9155097ee7fep-20, 0x1.d5e00d67a75e3p-20, 0x1.e27d269281918p-20, 0x1.eeece83c5565p-20, 0x1.fb2f9ecc1484cp-20, 0x1.03a2cb73c0c7dp-19, 0x1.09978eb71df09p-19, 0x1.0f763fbb9e1dfp-19, 0x1.153f0525a30b4p-19, 0x1.1af205b07635bp-19, 0x1.208f682d43ba1p-19, 0x1.2617537feeabfp-19, 0x1.2b89ee9e02bap-19, 0x1.30e7608cc6babp-19, 0x1.362fd05f06962p-19, 0x1.3b636533a1c3ep-19, 0x1.40824633fa12fp-19, 0x1.458c9a91cd24fp-19, 0x1.4a82898573f15p-19, 0x1.4f643a4d1b512p-19, 0x1.5431d42a67498p-19, 0x1.58eb7e60c7e3dp-19, 0x1.5d916034895e8p-19, 0x1.6223a0e8e874cp-19, 0x1.66a267be7d1dfp-19, 0x1.6b0ddbf24be61p-19, 0x1.6f6624bbd18f4p-19, 0x1.73ab694be36afp-19, 0x1.77ddd0cb3376p-19, 0x1.7bfd8258d9a63p-19, 0x1.800aa509de50cp-19, 0x1.84055fe69e0c4p-19, 0x1.87edd9ea96f63p-19, 0x1.8bc43a02d1b7bp-19, 0x1.8f88a70c69ab5p-19, 0x1.933b47d3fde6cp-19, 0x1.96dc43144aabbp-19, 0x1.9a6bbf74c5275p-19, 0x1.9de9e388a424ep-19, 0x1.a156d5ce6a74ep-19, 0x1.a4b2bcade9555p-19, 0x1.a7fdbe778adc3p-19, 0x1.ab3801648a75cp-19, 0x1.ae61ab93bb665p-19, 0x1.b17ae30a1169ap-19, 0x1.b483cdb1faad6p-19, 0x1.b77c9159896cfp-19, 0x1.ba6553b207915p-19, 0x1.bd3e3a4f4ef15p-19, 0x1.c0076aa6839e3p-19, 0x1.c2c10a0d8862ap-19, 0x1.c56b3db9f7e55p-19, 0x1.c8062ac1420edp-19, 0x1.ca91f6167560cp-19, 0x1.cd0ec48abae5fp-19, 0x1.cf7cbacc83cap-19, 0x1.d1dbfd65cea0ap-19, 0x1.d42cb0bd39caap-19, 0x1.d66ef91363e28p-19, 0x1.d8a2fa83c50f8p-19, 0x1.dac8d9041c9a1p-19, 0x1.dce0b86291e1fp-19, 0x1.deeabc45f6a9p-19, 0x1.e0e7082e17c7bp-19, 0x1.e2d5bf714cde4p-19, 0x1.e4b7053d27001p-19, 0x1.e68afc969597ep-19, 0x1.e851c8573f561p-19, 0x1.ea0b8b2f0da43p-19, 0x1.ebb867a391939p-19, 0x1.ed58800df7dcbp-19, 0x1.eeebf69c5610dp-19, 0x1.f072ed50b3e08p-19, 0x1.f1ed86004688bp-19, 0x1.f35be25342215p-19, 0x1.f4be23c4f9e58p-19, 0x1.f6146ba3256d7p-19, 0x1.f75edb0cd097ap-19, 0x1.f89d92f3efa23p-19, 0x1.f9d0b41ad3c45p-19, 0x1.faf85f15b8f01p-19, 0x1.fc14b4495046fp-19, 0x1.fd25d3eaab589p-19, 0x1.fe2bde003ca9dp-19, 0x1.ff26f25f161d9p-19, 0x1.000b9856a771dp-18, 0x1.007e5c3053a4ep-18, 0x1.00ebd45e9a058p-18, 0x1.0154106bcba43p-18, 0x1.01b71fc991e6p-18, 0x1.021511d09aa4dp-18, 0x1.026df5c1bde43p-18, 0x1.02c1dac478b52p-18, 0x1.0310cfe7b5d19p-18, 0x1.035ae421d3602p-18, 0x1.03a0264fdb7fcp-18, 0x1.03e0a5360849fp-18, 0x1.041c6f7fd5fb6p-18, 0x1.045393bf601a5p-18, 0x1.0486206db3521p-18, 0x1.04b423eb2887ap-18, 0x1.04ddac7e6000bp-18, 0x1.0502c8552d72cp-18, 0x1.052385841ca6dp-18, 0x1.053ff2065a69ep-18, 0x1.05581bbe315b4p-18, 0x1.056c1074173b8p-18, 0x1.057bddd810e37p-18, 0x1.058791800f2e2p-18, 0x1.058f38e94e52dp-18, 0x1.0592e177e0dfcp-18, 0x1.05929875df0c4p-18, 0x1.058e6b151db24p-18, 0x1.0586666dabca1p-18, 0x1.057a977e2b7a7p-18, 0x1.056b0b2d01e43p-18, 0x1.0557ce466c46cp-18, 0x1.0540ed7e271fcp-18, 0x1.0526756eb1168p-18, 0x1.0508729967cecp-18, 0x1.04e6f166d28fbp-18, 0x1.04c1fe266e62p-18, 0x1.0499a50e88045p-18, 0x1.046df23d2e9b6p-18, 0x1.043ef1b6e8857p-18, 0x1.040caf67d62ccp-18, 0x1.03d737237e263p-18, 0x1.039e94a456babp-18, 0x1.0362d38c9bc57p-18, 0x1.0323ff65b3ebdp-18, 0x1.02e223a0e14d5p-18, 0x1.029d4b967cf06p-18, 0x1.0255828707b6fp-18, 0x1.020ad39a83c59p-18, 0x1.01bd49e085ce6p-18, 0x1.016cf05135e1bp-18, 0x1.0119d1cbad34cp-18, 0x1.00c3f917dcf4p-18, 0x1.006b70e5a4cbdp-18, 0x1.001043cc7b92ep-18, 0x1.ff64f89a56e7dp-19, 0x1.fea4499fe2e5ep-19, 0x1.fdde8f4ba43a9p-19, 0x1.fd13de1124169p-19, 0x1.fc444a3448a36p-19, 0x1.fb6fe7cb09654p-19, 0x1.fa96cabcd1478p-19, 0x1.f9b906c29dbdep-19, 0x1.f8d6af681af62p-19, 0x1.f7efd809d6ad3p-19, 0x1.f70493d8930a2p-19, 0x1.f614f5d5e5ed6p-19, 0x1.f52110d75ed4dp-19, 0x1.f428f784f22f5p-19, 0x1.f32cbc5a37911p-19, 0x1.f22c71a58975cp-19, 0x1.f1282989ae1a4p-19, 0x1.f01ff5fcd4147p-19, 0x1.ef13e8c8ceda8p-19, 0x1.ee04138d03a2bp-19, 0x1.ecf087bb8a667p-19, 0x1.ebd9569cdcf95p-19, 0x1.eabe914d5e14fp-19, 0x1.e9a048be9948ap-19, 0x1.e87e8db88b8e3p-19, 0x1.e75970d73140fp-19, 0x1.e631028da7f8fp-19, 0x1.e5055324df9e8p-19, 0x1.e3d672bb271f8p-19, 0x1.e2a47146e4cc9p-19, 0x1.e16f5e93d9f3p-19, 0x1.e0374a45a758p-19, 0x1.defc43d6b22e6p-19, 0x1.ddbe5a99342dp-19, 0x1.dc7d9db6bb95bp-19, 0x1.db3a1c30f0eefp-19, 0x1.d9f3e4e22fc71p-19, 0x1.d8ab067c0c8bbp-19, 0x1.d75f8f8a35d4cp-19, 0x1.d6118e70298e6p-19, 0x1.d4c1116b3168ep-19, 0x1.d36e26916d468p-19, 0x1.d218dbd3854e8p-19, 0x1.d0c13efaa161cp-19, 0x1.cf675dabb9144p-19, 0x1.ce0b4564a23dcp-19, 0x1.ccad037eb1212p-19, 0x1.cb4ca52e1d5bp-19, }}, 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
    }}, 
    {
      32, 0x1p+2, 0x1.d9aa061af1a4ap+1, 0x1.af68ced7b09bp+2, -0x1.027008cde7bc6p-5, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.607cdf79e323fp-4, -0x1.bda39353587cep-2, 0x1.9c459a3ac8471p-1, -0x1.0b4636a4d09c4p-1}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0f5691543684ap-4, -0x1.6f3196944d29p-2, 0x1.742e453ba8fc3p-1, -0x1.0b4698875fa5dp-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.9a26c9257e36dp-5, -0x1.28c445e68f5bcp-2, 0x1.4c16e18dc109ep-1, -0x1.0b4510fd23ecep-1}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.3031a12eb05c9p-5, -0x1.d4b739c4f8fb4p-3, 0x1.23ffb89afba68p-1, -0x1.0b4acd4383899p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.bb31330f740fdp-6, -0x1.67ef575d7c1acp-3, 0x1.f7cf66d4e9702p-2, -0x1.0b3563b440a1dp-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.3e4d41e8a3907p-6, -0x1.0b306c30a146fp-3, 0x1.a7a5c8eba2d98p-2, -0x1.0b854daaed2e2p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.c69a98e0b8a86p-7, -0x1.7cf8731261902p-4, 0x1.5764319ec217fp-2, -0x1.0a5b0f5f7d005p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.478e605c16f21p-7, -0x1.03986544208c2p-4, 0x1.077c136882fe9p-2, -0x1.0eb41e9691d63p-1}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.e5432aa47866dp-8, -0x1.54e325138366cp-5, 0x1.6c8c1476ae7d3p-3, -0x1.dc556c4578178p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7642b42288222p-8, -0x1.bf4bff1818fa8p-6, 0x1.bb4b4e5d481dcp-4, -0x1.507ca42f38c0cp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2bd74fbcb6b8ap-8, -0x1.365b8d0cee76bp-6, 0x1.e2cdd7b518efcp-5, -0x1.a55b1d5082a96p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.eb7afab63f28ap-9, -0x1.de2804c69af34p-7, 0x1.cbfb25d661ddfp-6, -0x1.1b7b4933607ffp-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.93ea31844594ep-9, -0x1.932b44290d2aap-7, 0x1.21e4605127f85p-6, -0x1.5edb906b50e41p-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.48fdbb994e49cp-9, -0x1.5a819d474d7a6p-7, 0x1.14bc248054efdp-6, -0x1.b0235c25934acp-7}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.09022dd9e1919p-9, -0x1.26667db5991d1p-7, 0x1.e8a62e616d60fp-7, -0x1.51bef39ef2ecfp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a5b12eb5df63bp-10, -0x1.f0231713b1eabp-8, 0x1.b5fcbd0995bd7p-7, -0x1.516e59550e5cep-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4ae313acaa0cap-10, -0x1.9d99e0b07e6c2p-8, 0x1.835f62d66d2f1p-7, -0x1.37e8828ec5f29p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.ff3466ab681p-11, -0x1.54ce20ccdec18p-8, 0x1.54961c0dcf7e3p-7, -0x1.2523cf7d501dep-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.83eb7770ccdc9p-11, -0x1.1515c36bfcdc1p-8, 0x1.289d89bb0379ep-7, -0x1.108fca14f5a63p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.2067c04c050f3p-11, -0x1.bbb3629d28a81p-9, 0x1.ff7656d623a7dp-8, -0x1.f8efd4a6b2d0dp-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.a2c764e68737p-12, -0x1.5cfb798e6e72fp-9, 0x1.b3b8c3bd226f3p-8, -0x1.d07d8c9b5186cp-8}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.27af9360d7a3ap-12, -0x1.0cce2a471824bp-9, 0x1.6e0c550c3c9a8p-8, -0x1.a81d1b631baaap-8}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.93ea318445914p-13, -0x1.93ea30cc44657p-10, 0x1.2e6e5dbd5edadp-8, -0x1.7fb7d7665d4ffp-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.09022dd9e18ddp-13, -0x1.2674330b4518ap-10, 0x1.e9bf2e0f3b514p-9, -0x1.575407a8933fcp-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.4ae313acaa05p-14, -0x1.9d9bd93e66d0cp-11, 0x1.82bf9229758a6p-9, -0x1.2eef39b3896d1p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.83eb7770ccc41p-15, -0x1.1515e4cd11f78p-11, 0x1.27de340d32b6cp-9, -0x1.068cf05c79ffap-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.a2c764e6870e1p-16, -0x1.5cfb93d81e7a7p-12, 0x1.b234a4afb5d37p-10, -0x1.bc432589afc1p-9}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.93ea3184451bep-17, -0x1.93e993f6c0971p-13, 0x1.2ced4ca0011a1p-10, -0x1.6bb00322e13f9p-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.4ae313aca8ap-18, -0x1.9da070a3f2ec2p-14, 0x1.7fa430f7e175p-11, -0x1.1a20a61b5eeadp-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a2c764e684c02p-20, -0x1.5cd934953a06ap-15, 0x1.acbacdceea9bp-12, -0x1.987d359d1fad8p-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4ae313ac91fffp-22, -0x1.9f9bbae4f910bp-17, 0x1.6f45c1ae159adp-13, -0x1.c28e0cdc2a5cdp-11}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.4ae313ab2p-26, -0x1.61e8d4504c616p-20, 0x1.83c21b0e572p-15, -0x1.2d7c72a114e95p-10}, 
      }}, 
      0x1.1bb08ee46e67cp-6, -0x1.b5402850de0b4p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.d02150aa89bb4p-6, -0x1.ce2fd2b36b324p-5, -0x1.583da681d813fp-4, -0x1.c69c715dc1ab2p-4, -0x1.18b9a03c6d1c2p-3, -0x1.4c0f9ec660e3cp-3, -0x1.7d0d3079cd4ffp-3, -0x1.ab7c645da11a7p-3, -0x1.d732fe68561bcp-3, -0x1.0008a418e24d9p-2, -0x1.1300897a7396bp-2, -0x1.247a6a6f6648ep-2, -0x1.3473668726299p-2, -0x1.42ec1231cdfc4p-2, -0x1.4fe80577b8174p-2, -0x1.5b6d6bd33f417p-2, -0x1.658498f60cfb1p-2, -0x1.6e37a5d88e3a6p-2, -0x1.759218673ba46p-2, -0x1.7ba096d6e0a8ap-2, -0x1.8070a68a20421p-2, -0x1.8410759ce51ep-2, -0x1.868eada151319p-2, -0x1.87fa4ddaf4954p-2, -0x1.88628b5858ca6p-2, -0x1.87d6b54669bfp-2, -0x1.86661cbff1953p-2, -0x1.841ffefec1692p-2, -0x1.811371c197fecp-2, -0x1.7d4f518aee61bp-2, -0x1.78e2319175b07p-2, -0x1.73da4d4498001p-2, -0x1.6e457b5392ef6p-2, -0x1.6831223016262p-2, -0x1.61aa2e0c251b2p-2, -0x1.5abd085563a49p-2, -0x1.537590af50cap-2, -0x1.4bdf176f4de13p-2, -0x1.4404599ee49d3p-2, -0x1.3bef7e4d40b7fp-2, -0x1.33aa153498701p-2, -0x1.2b3d1710b9031p-2, -0x1.22b0e6e016b0fp-2, -0x1.1a0d532f72d2bp-2, -0x1.11599acdf8c69p-2, -0x1.089c70d747f5ap-2, -0x1.ffb7fbf959d2bp-3, -0x1.ee3bd9d140dcbp-3, -0x1.dccecfce71302p-3, -0x1.cb7a482518355p-3, -0x1.ba46d219ca26ep-3, -0x1.a93c1c87cd744p-3, -0x1.98612256a3253p-3, -0x1.87bc1023e13f4p-3, -0x1.775279d57c635p-3, -0x1.6729411d1fb55p-3, -0x1.5744c1904fb5bp-3, -0x1.47a8c1e8f9503p-3, -0x1.3858934ace8b3p-3, -0x1.29570add19721p-3, -0x1.1aa69824a5ef1p-3, -0x1.0c4942d7b4dcfp-3, -0x1.fc81758be8429p-4, -0x1.e11cb1058af27p-4, -0x1.c6664f176d0d8p-4, -0x1.ac5fd2601a4c5p-4, -0x1.930a3543ef1cp-4, -0x1.7a65f19960e5ep-4, -0x1.62730928ce6d3p-4, -0x1.4b310d4070ef8p-4, -0x1.349f260e51284p-4, -0x1.1ebc19bb5e1e5p-4, -0x1.0986535cb9148p-4, -0x1.e9f7d39c24851p-5, -0x1.c2354d15e7fe3p-5, -0x1.9bc0190545308p-5, -0x1.7692bdb828eadp-5, -0x1.52a74f310c5cdp-5, -0x1.2ff77bf00e18bp-5, -0x1.0e7c9924c61b1p-5, -0x1.dc5f5c6ebb3d1p-6, -0x1.9e12ff697a92cp-6, -0x1.6205335236cfep-6, -0x1.2826b2ec70167p-6, -0x1.e0cfdc8852a4ep-7, -0x1.7572385547c78p-7, -0x1.0e1494e6d9b4fp-7, -0x1.552db3596e28dp-8, -0x1.2b6353fe955ep-9, 0x1.145ab48b23853p-11, 0x1.a7930d929889bp-9, 0x1.7e48c9e008709p-8, 0x1.112443ba9bec1p-7, 0x1.6003c3b5ded24p-7, 0x1.abe1e8119303ap-7, 0x1.f4dd43715c7fp-7, 0x1.1d89f4add150bp-6, 0x1.3f51b08effe81p-6, 0x1.5fd44d00ebe45p-6, 0x1.7f1ff0920c513p-6, 0x1.9d426c4d142fdp-6, 0x1.ba4937f3c077cp-6, 0x1.d6416edd662aap-6, 0x1.f137cd294f20fp-6, 0x1.059c56c9e566fp-5, 0x1.122803bb623f5p-5, 0x1.1e44b694326ep-5, 0x1.29f80571ea35fp-5, 0x1.354752c65f8d2p-5, 0x1.4037cd25d2805p-5, 0x1.4ace6f1d1550cp-5, 0x1.550fff1c9de01p-5, 0x1.5f010fd85cce7p-5, 0x1.68a600882d51bp-5, 0x1.7202fd5e35826p-5, 0x1.7b1c00614e31dp-5, 0x1.83f4d206fe143p-5, 0x1.8c910a116e669p-5, 0x1.94f410c3e2091p-5, 0x1.9d211facef6dap-5, 0x1.a51b42cc4bc35p-5, 0x1.ace559f749982p-5, 0x1.b48219c3d49fbp-5, 0x1.bbf40cd2b7818p-5, 0x1.c33d954d73886p-5, 0x1.ca60edf64d48ep-5, 0x1.d1602b73db688p-5, 0x1.d83d3de180f3cp-5, 0x1.def9f20930d33p-5, 0x1.e597f29b731dap-5, 0x1.ec18c9c412a9cp-5, 0x1.f27de28bd4426p-5, 0x1.f8c889fc8ef0cp-5, 0x1.fef9f09eba7cep-5, 0x1.028995f993439p-4, 0x1.058a9bc9033fep-4, 0x1.08807b3e98139p-4, 0x1.0b6b9a48c6a0bp-4, 0x1.0e4c53d54a992p-4, 0x1.1122f866e32a2p-4, 0x1.13efcebca092p-4, 0x1.16b3145f99ac9p-4, 0x1.196cfe29da08bp-4, 0x1.1c1db8dcab7cep-4, 0x1.1ec569a5e7592p-4, 0x1.21642e930a199p-4, 0x1.23fa1f12f8a91p-4, 0x1.26874c7bb95ep-4, 0x1.290bc2732cb56p-4, 0x1.2b87874aa07efp-4, 0x1.2dfa9c748bad4p-4, 0x1.3064ff0077822p-4, 0x1.32c6a7ea2da05p-4, 0x1.351f8c564b077p-4, 0x1.376f9dfe158f8p-4, 0x1.39b6cba960c0ep-4, 0x1.3bf5016695173p-4, 0x1.3e2a28a68017p-4, 0x1.4056289944817p-4, 0x1.4278e6a8b1df3p-4, 0x1.449246a8c0d8ap-4, 0x1.46a22ad6e50bfp-4, 0x1.48a87415ce294p-4, 0x1.4aa502624917p-4, 0x1.4c97b514d20e7p-4, 0x1.4e806ad6b36ap-4, 0x1.505f01aa7cd36p-4, 0x1.523357423416cp-4, 0x1.53fd495d700cdp-4, 0x1.55bcb5da1cec5p-4, 0x1.57717a9524d7fp-4, 0x1.591b757d66151p-4, 0x1.5aba84ee81e31p-4, 0x1.5c4e87f9d2a23p-4, 0x1.5dd75e594d207p-4, 0x1.5f54e84232996p-4, 0x1.60c7067b55488p-4, 0x1.622d9ab8022b9p-4, 0x1.638887d288731p-4, 0x1.64d7b1adbafa8p-4, 0x1.661afcfefbc67p-4, 0x1.67524f5f2e40bp-4, 0x1.687d8f9cd8854p-4, 0x1.699ca5f0fc4d6p-4, 0x1.6aaf7be280696p-4, 0x1.6bb5fc0cefa54p-4, 0x1.6cb0121d30951p-4, 0x1.6d9dab0e8f7dp-4, 0x1.6e7eb562e34f7p-4, 0x1.6f53211bc553ap-4, 0x1.701adf871433ap-4, 0x1.70d5e31f026f1p-4, 0x1.71841fa3314f5p-4, 0x1.72258a4f6ed6dp-4, 0x1.72ba19f5a4848p-4, 0x1.7341c6e2ed59p-4, 0x1.73bc8aae6b284p-4, 0x1.742a6024ffd96p-4, 0x1.748b4366aa30ap-4, 0x1.74df3215aac12p-4, 0x1.75262b6540be9p-4, 0x1.75602ff8453e2p-4, 0x1.758d41af7d4b5p-4, 0x1.75ad63972ce99p-4, 0x1.75c09a04364bdp-4, 0x1.75c6eabfe8522p-4, 0x1.75c05d136ffd4p-4, 0x1.75acf9a5d28a3p-4, 0x1.758cca4ae07efp-4, 0x1.755fd9ee78585p-4, 0x1.752634ab7d519p-4, 0x1.74dfe7f2e9f54p-4, 0x1.748d029999cf6p-4, 0x1.742d94be2edcp-4, 0x1.73c1af9cfe9acp-4, 0x1.73496575a9bb4p-4, 0x1.72c4c994395dfp-4, 0x1.7233f06eeadf7p-4, 0x1.7196efb8df56bp-4, 0x1.70edde57056eep-4, 0x1.7038d43f68fa6p-4, 0x1.6f77ea5b0bac4p-4, 0x1.6eab3a7da87eap-4, 0x1.6dd2df736e9e1p-4, 0x1.6ceef5133865ap-4, 0x1.6bff984294082p-4, 0x1.6b04e6e69db7dp-4, 0x1.69feffcb48446p-4, 0x1.68ee028fbc9a6p-4, 0x1.67d20fa0e2a76p-4, 0x1.66ab48402ac1ep-4, 0x1.6579ce8c34574p-4, 0x1.643dc5817a262p-4, 0x1.62f750f030cd9p-4, 0x1.61a6956b9f82ep-4, 0x1.604bb83a31ac1p-4, 0x1.5ee6df4c520edp-4, 0x1.5d78313b54dbbp-4, 0x1.5bffd54c5f4d4p-4, 0x1.5a7df37184a66p-4, 0x1.58f2b4457b907p-4, 0x1.575e41017249ap-4, 0x1.55c0c36f74724p-4, 0x1.541a65ddd6a01p-4, 0x1.526b53178a05fp-4, 0x1.50b3b661d78f7p-4, 0x1.4ef3bb7c9cecp-4, 0x1.4d2b8ea17ebbp-4, 0x1.4b5b5c7f56503p-4, 0x1.49835230d3b6p-4, 0x1.47a39d2ffbe6ap-4, 0x1.45bc6b4a5a485p-4, 0x1.43cdea993f0c4p-4, 0x1.41d8497e7862cp-4, 0x1.3fdbb6a34d6a4p-4, 0x1.3dd860f704d46p-4, 0x1.3bce77aa8ed5bp-4, 0x1.39be2a2835316p-4, 0x1.37a7a808504d9p-4, 0x1.358b21061351dp-4, 0x1.3368c4f75aa36p-4, 0x1.3140c3c84d353p-4, 0x1.2f134d7951ddcp-4, 0x1.2ce0921d2917ep-4, 0x1.2aa8c1d552a6dp-4, 0x1.286c0ccb821b8p-4, 0x1.262aa32839a06p-4, 0x1.23e4b508449c3p-4, 0x1.219a7273bc0bbp-4, 0x1.1f4c0b5830edep-4, 0x1.1cf9af85b1fefp-4, 0x1.1aa38ead187d5p-4, 0x1.1849d85ddf109p-4, 0x1.15ecbc022218dp-4, 0x1.138c68d7e8cp-4, 0x1.11290de7f1e93p-4, 0x1.0ec2d9fba809p-4, 0x1.0c59fb949ff06p-4, 0x1.09eea0e75ab0bp-4, 0x1.0780f7d95ce61p-4, 0x1.05112e0149a19p-4, 0x1.029f70a7297c2p-4, 0x1.002becc2e2fbep-4, 0x1.fb6d9dee7effap-5, 0x1.f6808711ca6f9p-5, 0x1.f190eca54f2efp-5, 0x1.ec9f257418c5fp-5, 0x1.e7ab874eb6de4p-5, 0x1.e2b6670694dcbp-5, 0x1.ddc018746d155p-5, 0x1.d8c8ee859c9f8p-5, 0x1.d3d13b49328dep-5, 0x1.ced94ff4492a4p-5, 0x1.c9e17cd73330ap-5, 0x1.c4ea114217365p-5, 0x1.bff35b5e9955cp-5, 0x1.bafda80a1846ap-5, 0x1.b60942bdb806bp-5, 0x1.b116758dc9dacp-5, 0x1.ac25894264e73p-5, 0x1.a736c581adf48p-5, 0x1.a24a70fc6a6e3p-5, 0x1.9d60d18a1163p-5, 0x1.987a2c24951e2p-5, 0x1.9396c4be41085p-5, 0x1.8eb6ddf9f3ac5p-5, 0x1.89dab8db11938p-5, 0x1.8502948925d59p-5, 0x1.802eae4007ee4p-5, 0x1.7b5f41786233ep-5, 0x1.7694884150841p-5, 0x1.71cebbb0f90f6p-5, 0x1.6d0e1445c7e2cp-5, 0x1.6852ca11deecep-5, 0x1.639d14983e0cdp-5, 0x1.5eed2a5bebff5p-5, 0x1.5a43403d7dde9p-5, 0x1.559f88d92d7acp-5, 0x1.5102341e5e8b5p-5, 0x1.4c6b6f4cd1a03p-5, 0x1.47db656651d4ap-5, 0x1.43523ffd7e82ep-5, 0x1.3ed02827b7da8p-5, 0x1.3a55474535b19p-5, 0x1.35e1c756e1c96p-5, 0x1.3175d2b712f3cp-5, 0x1.2d1193397bfdap-5, 0x1.28b530e9c9f4ep-5, 0x1.2460d0c6e3012p-5, 0x1.201493e463f27p-5, 0x1.1bd0974665a77p-5, 0x1.1794f4989cb5cp-5, 0x1.1361c39f9d069p-5, 0x1.0f371c04d6a75p-5, 0x1.0b1516f7f718ep-5, 0x1.06fbd020779a7p-5, 0x1.02eb6583b2cc5p-5, 0x1.fdc7ec9aeb342p-6, 0x1.f5cb417e00aedp-6, 0x1.ede0ffa1ce30ap-6, 0x1.e609526fd1cabp-6, 0x1.de4458dc2fcb3p-6, 0x1.d69226422f9fp-6, 0x1.cef2c608913a7p-6, 0x1.c766413ac46f9p-6, 0x1.bfeca4a295b0cp-6, 0x1.b88605ad8d3e3p-6, 0x1.b13284a211c4cp-6, 0x1.a9f24b5218a23p-6, 0x1.a2c5886a8512ep-6, 0x1.9bac68768d1bcp-6, 0x1.94a70e6661d2dp-6, 0x1.8db58da6f9772p-6, 0x1.86d7e786a1cbfp-6, 0x1.800e0cd0175e7p-6, 0x1.7957e36ad2429p-6, 0x1.72b54eb650323p-6, 0x1.6c26388b72c3dp-6, 0x1.65aa988aa8e84p-6, 0x1.5f4277b592478p-6, 0x1.58edef376b93cp-6, 0x1.52ad22795fdfep-6, 0x1.4c8035de8635fp-6, 0x1.466744712d72cp-6, 0x1.40625724348d8p-6, 0x1.3a715ff3c1612p-6, 0x1.34943a3ecb4adp-6, 0x1.2ecab0660a2b5p-6, 0x1.2914856a8663cp-6, 0x1.23718042d9d14p-6, 0x1.1de176283e924p-6, 0x1.18645151cf3cbp-6, 0x1.12fa126a6582p-6, 0x1.0da2cc53c37d8p-6, 0x1.085e9b302089fp-6, 0x1.032d98d6f44b3p-6, 0x1.fc1fa2f91e8bp-7, 0x1.f20a768789c8fp-7, 0x1.e81b656b682e2p-7, 0x1.de51f9d59c5fcp-7, 0x1.d4ad9db31d102p-7, 0x1.cb2db026a16eep-7, 0x1.c1d19ce8d3763p-7, 0x1.b898f030b3d6ep-7, 0x1.af836296967cfp-7, 0x1.a690da4d2a7cp-7, 0x1.9dc161a041f07p-7, 0x1.9515153c3da5fp-7, 0x1.8c8c0e9dd93bap-7, 0x1.84264fb5c633p-7, 0x1.7be3b4321fc6dp-7, 0x1.73c3eb4fe8349p-7, 0x1.6bc67b143bedcp-7, 0x1.63eacbd83ab3p-7, 0x1.5c303982d5dc1p-7, 0x1.549626c00b9c6p-7, 0x1.4d1c0e119bc26p-7, 0x1.45c18ce104c3fp-7, 0x1.3e8665fc26666p-7, 0x1.376a7b120c076p-7, 0x1.306dbf491c8cep-7, 0x1.299026ea183dfp-7, 0x1.22d198885464fp-7, 0x1.1c31e2ec922adp-7, 0x1.15b0b90e136e2p-7, 0x1.0f4db39f81bdp-7, 0x1.090856d260b3cp-7, 0x1.02e01af04e593p-7, 0x1.f9a8ed57ef6fcp-8, 0x1.edc9d3e75649fp-8, 0x1.e2220ed3d29cap-8, 0x1.d6b0f3ea629e5p-8, 0x1.cb7608016c301p-8, 0x1.c070ef5bdfdbcp-8, 0x1.b5a1540da22dp-8, 0x1.ab06cb9b0e7f8p-8, 0x1.a0a0c627ea867p-8, 0x1.966e8d24a6f47p-8, 0x1.8c6f4fa4cf6fp-8, 0x1.82a23427564e9p-8, 0x1.79066693d4a5ap-8, 0x1.6f9b1dc7a9394p-8, 0x1.665f9aa5ee934p-8, 0x1.5d53268b73f2p-8, 0x1.547515ed47a4p-8, 0x1.4bc4cf0ad453fp-8, 0x1.4341cf8858442p-8, 0x1.3aeba9e5be32bp-8, 0x1.32c1f6a5b2904p-8, 0x1.2ac43bd04981dp-8, 0x1.22f1d50f8e513p-8, 0x1.1b49e9e97ce11p-8, 0x1.13cb7aa7e63bep-8, 0x1.0c75809b48ae3p-8, 0x1.054712c2f6d29p-8, 0x1.fc7ef96c2e54fp-9, 0x1.eebc7b50c25a6p-9, 0x1.e145e6abae9dfp-9, 0x1.d41a7e27a000ep-9, 0x1.c739678ee8fe5p-9, 0x1.baa1a69d82c96p-9, 0x1.ae522fcae3c7ap-9, 0x1.a24a0068c9058p-9, 0x1.968828849c13fp-9, 0x1.8b0bba354d6a2p-9, 0x1.7fd3a04a43eb8p-9, 0x1.74de709009289p-9, 0x1.6a2a59291c1c1p-9, 0x1.5fb54087c9ddfp-9, 0x1.557d147e5f864p-9, 0x1.4b80266b17e2bp-9, 0x1.41bd656083db7p-9, 0x1.38345693f47d9p-9, 0x1.2ee4d13113442p-9, 0x1.25cea4c043563p-9, 0x1.1cf157dd9718dp-9, 0x1.144c161f3b457p-9, 0x1.0bddc68080753p-9, 0x1.03a534e9a01c3p-9, 0x1.f74272c84a07bp-10, 0x1.e7a197f16ef88p-10, 0x1.d865f74156912p-10, 0x1.c98d980f7992bp-10, 0x1.bb16188285547p-10, 0x1.acfc8066b9b45p-10, 0x1.9f3d65a49b1c2p-10, 0x1.91d56b5eaec98p-10, 0x1.84c1ec7d68093p-10, 0x1.78017571d3f48p-10, 0x1.6b93bac9fdfe2p-10, 0x1.5f79071d93299p-10, 0x1.53b175b004304p-10, 0x1.483c66587f4efp-10, 0x1.3d185cd1474aep-10, 0x1.32433762260bdp-10, 0x1.27ba8cb13b8fap-10, 0x1.1d7c01b75796bp-10, 0x1.1385784175eeap-10, 0x1.09d517f7ff1d2p-10, 0x1.006948a927143p-10, 0x1.ee813b8fe3e5fp-11, 0x1.dcb33e2291269p-11, 0x1.cb64fd7420a1bp-11, 0x1.ba91ff87b1834p-11, 0x1.aa357f93e77fp-11, 0x1.9a4b91fc7abcdp-11, 0x1.8ad21a73365d6p-11, 0x1.7bc8d9aecc254p-11, 0x1.6d3073ec69cf4p-11, 0x1.5f0911f813c93p-11, 0x1.515171f5f69dep-11, 0x1.4406d01c41fb7p-11, 0x1.3725893d5f275p-11, 0x1.2aa9efea892p-11, 0x1.1e90a4d52d356p-11, 0x1.12d6505113bb8p-11, 0x1.077770bdf38b3p-11, 0x1.f8e1a0fd9df63p-12, 0x1.e3806cf965e19p-12, 0x1.cec8e3ef24dep-12, 0x1.bab91506fbf07p-12, 0x1.a74d863febfb9p-12, 0x1.94808638fd1ap-12, 0x1.824b2fc32d20dp-12, 0x1.70a764305de65p-12, 0x1.5f91a69b228c9p-12, 0x1.4f098d4b7684dp-12, 0x1.3f101164474aep-12, 0x1.2fa4d2f6c443cp-12, 0x1.20c480a79178ep-12, 0x1.1269b328b97cap-12, 0x1.048f59770fa3dp-12, 0x1.ee641097d4de7p-13, 0x1.d49d8567b607ep-13, 0x1.bbc23c101b915p-13, 0x1.a3c659e07a118p-13, 0x1.8c9e52a4bd251p-13, 0x1.764275dd2c86ap-13, 0x1.60affaa6df2c8p-13, 0x1.4be6dc257bf9fp-13, 0x1.37e62a584d3c2p-13, 0x1.24a976aa62e27p-13, 0x1.122883c66189p-13, 0x1.0058c635b8bbap-13, 0x1.de619fd8332b6p-14, 0x1.bd59071045266p-14, 0x1.9d9aad6c1b868p-14, 0x1.7f29819d26f29p-14, 0x1.61fd4ad07269dp-14, 0x1.4604584fe6f01p-14, 0x1.2b2f5cda9e558p-14, 0x1.1177e8758bfd3p-14, 0x1.f1b58c77cd9abp-15, 0x1.c2a1a5e0c81ffp-15, 0x1.959ceab649b14p-15, 0x1.6a8c873b4b195p-15, 0x1.4156055f68c6dp-15, 0x1.19e308ca6147ap-15, 0x1.e84b5035d4f4fp-16, 0x1.a033390775c0ep-16, 0x1.5b7e1d1634194p-16, 0x1.1a2486534564dp-16, 0x1.b817bcf30689ap-17, 0x1.42063998eb53bp-17, 0x1.a336014a21e75p-18, 0x1.9a22c6139313bp-19, 0x1.b56d27cd8f9f3p-26, -0x1.7d3a9c49a3e85p-19, -0x1.74405f47128e1p-18, -0x1.10051914e465fp-17, -0x1.614896ba152fcp-17, -0x1.adfc8fabdb12dp-17, -0x1.f63285fccc11cp-17, -0x1.1d0b2a86312b9p-16, -0x1.3cec613ff6f4fp-16, -0x1.5acfeb152480fp-16, -0x1.76c5bb356212bp-16, -0x1.90e000ed59817p-16, -0x1.a935e65327898p-16, -0x1.bfe1218444167p-16, -0x1.d4f6715bfac45p-16, -0x1.e87f5b9820c92p-16, -0x1.fa7d85189416cp-16, -0x1.057ad55ff2546p-15, -0x1.0cfcdd4ab6478p-15, -0x1.13d57c5952d97p-15, -0x1.1a13a17b0675dp-15, -0x1.1fb79ac32a39ap-15, -0x1.24bbd3fca919cp-15, -0x1.292835146e33cp-15, -0x1.2d0d024dcfffcp-15, -0x1.30714de4b3f8cp-15, -0x1.3355a6166cc1cp-15, -0x1.35bf08dd19837p-15, -0x1.37b599591eb77p-15, -0x1.3940069eb38fbp-15, -0x1.3a63028328c3ap-15, -0x1.3b2242f9e825ep-15, -0x1.3b811cf267ecbp-15, -0x1.3b82d4fd97f11p-15, -0x1.3b2b135995161p-15, -0x1.3a7ea9c597e15p-15, -0x1.39842ff653006p-15, -0x1.3842bf8d275d8p-15, -0x1.36be9c6ac2736p-15, -0x1.34f81d05cabdfp-15, -0x1.32ef758e2d85ap-15, -0x1.30a9bfa35430cp-15, -0x1.2e2fec1b88b91p-15, -0x1.2b84ef8258f28p-15, -0x1.28a5fee2d4dabp-15, -0x1.25973aef932e4p-15, -0x1.225fef967e042p-15, -0x1.1f01293a51b7fp-15, -0x1.1b7bbc73ae4f1p-15, -0x1.17d3c37bad9ep-15, -0x1.140d164fe379fp-15, -0x1.102a35e3b64fep-15, -0x1.0c2d1a7f4b3a8p-15, -0x1.0817b564011cfp-15, -0x1.03ec03f3134f7p-15, -0x1.ff57f48db05f1p-16, -0x1.f6b2caf9cbc86p-16, -0x1.edebab2bc719bp-16, -0x1.e50539c84ab0dp-16, -0x1.dc01faf868a03p-16, -0x1.d2e5a08438faap-16, -0x1.c9b6b1afcdadep-16, -0x1.c07bf81d61569p-16, -0x1.b73626bc466d4p-16, -0x1.ade245db82a2ap-16, -0x1.a4853853ae7bap-16, -0x1.9b27a8aac6ee7p-16, -0x1.91c839d2ba9bcp-16, -0x1.8868158393e89p-16, -0x1.7f0b471042ddbp-16, -0x1.75b0dbf89b2dbp-16, -0x1.6c5ba4cb2b79bp-16, -0x1.6310195533db6p-16, -0x1.59d08638fb5a7p-16, -0x1.509e1eb01c4d8p-16, -0x1.477a0dbb88661p-16, -0x1.3e65a562c2ea9p-16, -0x1.356247115d67cp-16, -0x1.2c714cf976abbp-16, -0x1.2394025a488e7p-16, -0x1.1acba5c082846p-16, -0x1.1219683853a2ap-16, -0x1.097e5facea051p-16, -0x1.00fb6db2b564fp-16, -0x1.f12236ed4f3bep-17, -0x1.e07efd0bc207dp-17, -0x1.d00dc04e30c59p-17, -0x1.bfd2d150ee076p-17, -0x1.afd2064500fffp-17, -0x1.a0070e3517f16p-17, -0x1.907641b7fe63fp-17, -0x1.81289b997c433p-17, -0x1.721ce9c57b704p-17, -0x1.634b87666ab31p-17, -0x1.54b0b52e450cbp-17, -0x1.46542f8e9ec5bp-17, -0x1.383a543abb7bdp-17, -0x1.2a62ee7b03a77p-17, -0x1.1ccd2983597a5p-17, -0x1.0f78ac3642af4p-17, -0x1.02657b6a92949p-17, -0x1.eb2780f1f3c32p-18, -0x1.d207499e74795p-18, -0x1.b96a7b48a0ab2p-18, }}, 
      {{-0x1.923a9c3b1cd4ep-6, -0x1.91623a7af054bp-5, -0x1.2bfd14b70282fp-4, -0x1.8e0dcf4944b32p-4, -0x1.ee871af269182p-4, -0x1.268b5ee5dbc6fp-3, -0x1.54ba578acc90ap-3, -0x1.81b1566874a87p-3, -0x1.ad55ca844e80cp-3, -0x1.d7915a4978959p-3, -0x1.0028c7dea478fp-2, -0x1.13c3c60c48fc2p-2, -0x1.2693e08142393p-2, -0x1.3894d65429feap-2, -0x1.49c3cb64ac77dp-2, -0x1.5a1f270c375bep-2, -0x1.69a6732c3cd55p-2, -0x1.785a3c15a9278p-2, -0x1.863bf1d8e29ccp-2, -0x1.934dcb7d84acfp-2, -0x1.9f92ac7cad08dp-2, -0x1.ab0e0cadf8251p-2, -0x1.b5c3e2ae26002p-2, -0x1.bfb890a4679a8p-2, -0x1.c8f0d334a5fb3p-2, -0x1.d171b26024c08p-2, -0x1.d9407415185e3p-2, -0x1.e0629030b5977p-2, -0x1.e6dda5c18aa1ep-2, -0x1.ecb7715ecc506p-2, -0x1.f1f5c4710911dp-2, -0x1.f69e7d4f08412p-2, -0x1.fab7801707655p-2, -0x1.fe46b03132d84p-2, -0x1.00a8f53624ce7p-1, -0x1.01ef7fd472378p-1, -0x1.02f9d8053b9b9p-1, -0x1.03cad353a0124p-1, -0x1.04653ad8af1efp-1, -0x1.04cbc98a38632p-1, -0x1.05012ac1f9bfp-1, -0x1.0507f8fa70964p-1, -0x1.04e2bcbea52f6p-1, -0x1.0493ebccf3798p-1, -0x1.041de86888cb1p-1, -0x1.038300d29cfc4p-1, -0x1.02c56ef6578c2p-1, -0x1.01e7582f6b833p-1, -0x1.00eacd35cc422p-1, -0x1.ffa3946873e32p-2, -0x1.fd3c6dbd47e24p-2, -0x1.faa3cd9148c6ep-2, -0x1.f7dd334a05515p-2, -0x1.f4ebf76ccd1b5p-2, -0x1.f1d34c6dffd2ap-2, -0x1.ee963f9be3705p-2, -0x1.eb37ba2b786a3p-2, -0x1.e7ba822933909p-2, -0x1.e4213ba35303ap-2, -0x1.e06e69a4741b3p-2, -0x1.dca46f509f59cp-2, -0x1.d8c590dc3980ap-2, -0x1.d4d3f49a48c0bp-2, -0x1.d0d1a407837acp-2, -0x1.ccc08cdc97f1p-2, -0x1.c8a28217c927bp-2, -0x1.c4793cfba3035p-2, -0x1.c0465e098f4f9p-2, -0x1.bc0b6dfd9ff4cp-2, -0x1.b7c9decb6f229p-2, -0x1.b3830c94340dp-2, -0x1.af383e8e84922p-2, -0x1.aaeaa7de94517p-2, -0x1.a69b6864a1d6cp-2, -0x1.a24b8d8972ca4p-2, -0x1.9dfc130d2e9edp-2, -0x1.99ade3d6f348cp-2, -0x1.9561dabf669c4p-2, -0x1.9118c3505d25dp-2, -0x1.8cd35a771afa5p-2, -0x1.88924f2b0b3cbp-2, -0x1.8456430d88262p-2, -0x1.801fcb07ad3cdp-2, -0x1.7bef6fe8afaefp-2, -0x1.77c5af04976f5p-2, -0x1.73a2fad0aafb6p-2, -0x1.6f87bb7a1c6c6p-2, -0x1.6b744f745bc36p-2, -0x1.67690bfe11fd6p-2, -0x1.63663d9db6d46p-2, -0x1.5f6c2897bd974p-2, -0x1.5b7b0960b5d2ep-2, -0x1.5793150d26907p-2, -0x1.53b479bff8231p-2, -0x1.4fdf5f1728cbep-2, -0x1.4c13e695ccac1p-2, -0x1.48522c0a13214p-2, -0x1.449a45ee3e395p-2, -0x1.40ec45c3e2ec3p-2, -0x1.3d4838694f5b7p-2, -0x1.39ae2669a131fp-2, -0x1.361e144826119p-2, -0x1.329802c815dc3p-2, -0x1.2f1bef3136a8p-2, -0x1.2ba9d392109ecp-2, -0x1.2841a6fffc8c3p-2, -0x1.24e35dd4d540ap-2, -0x1.218ee9ea8bfdep-2, -0x1.1e443ad3f5ba1p-2, -0x1.1b033e12d4bd2p-2, -0x1.17cbdf4afbdaap-2, -0x1.149e087215694p-2, -0x1.1179a1fc933b5p-2, -0x1.0e5e930793418p-2, -0x1.0b4cc17fce658p-2, -0x1.0844124649e2dp-2, -0x1.05446952805a3p-2, -0x1.024da9d2538bfp-2, -0x1.febf6c90e722p-3, -0x1.f8f4e1512d4afp-3, -0x1.f33b74e421ca4p-3, -0x1.ed92e9922753ep-3, -0x1.e7fb011bed51bp-3, -0x1.e2737ce60f682p-3, -0x1.dcfc1e221dc21p-3, -0x1.d794a5f418b8fp-3, -0x1.d23cd594dbe0bp-3, -0x1.ccf46e72529b9p-3, -0x1.c7bb324c8b5b8p-3, -0x1.c290e34fb4ff1p-3, -0x1.bd75442c68c7p-3, -0x1.b868182d73f08p-3, -0x1.b369234ab21fbp-3, -0x1.ae782a3aa0933p-3, -0x1.a994f28220e8cp-3, -0x1.a4bf4281bf0b8p-3, -0x1.9ff6e181b7d5fp-3, -0x1.9b3b97bcd9087p-3, -0x1.968d2e697207dp-3, -0x1.91eb6fc10007fp-3, -0x1.8d562706ebd6fp-3, -0x1.88cd208e03f64p-3, -0x1.845029bccc834p-3, -0x1.7fdf1110d713ap-3, -0x1.7b79a6213dc91p-3, -0x1.771fb9a0595d3p-3, -0x1.72d11d5c79d9p-3, -0x1.6e8da43fd33b4p-3, -0x1.6a552250168e1p-3, -0x1.66276cad353e9p-3, -0x1.6204598f4dd3ap-3, -0x1.5debc0447d612p-3, -0x1.59dd792e5741ep-3, -0x1.55d95dbe4980fp-3, -0x1.51df4871def46p-3, -0x1.4def14cf4ec05p-3, -0x1.4a089f613ee6bp-3, -0x1.462bc5b1ad93dp-3, -0x1.42586645469bep-3, -0x1.3e8e60971b7cbp-3, -0x1.3acd95136352bp-3, -0x1.3715e5119813ap-3, -0x1.336732cf33e02p-3, -0x1.2fc1616ae5143p-3, -0x1.2c2454def6467p-3, -0x1.288ff1fb34185p-3, -0x1.25041e5f2bddap-3, -0x1.2180c074fc48p-3, -0x1.1e05bf6bf22cbp-3, -0x1.1a930332aa252p-3, -0x1.1728747117cc1p-3, -0x1.13c5fc82e24d5p-3, -0x1.106b85723f9f4p-3, -0x1.0d18f9f2c6f0cp-3, -0x1.09ce455bc1c92p-3, -0x1.068b53a23dd3ep-3, -0x1.03501153bde17p-3, -0x1.001c6b919bb54p-3, -0x1.f9e0a0189290cp-4, -0x1.f39759fb8f788p-4, -0x1.ed5ce2480450ap-4, -0x1.e731177826843p-4, -0x1.e113d8fc80719p-4, -0x1.db0507333e3eap-4, -0x1.d504835ded17cp-4, -0x1.cf122f973fb5ap-4, -0x1.c92deeca91bafp-4, -0x1.c357a4acce6e9p-4, -0x1.bd8f35b4cc7aep-4, -0x1.b7d4871264398p-4, -0x1.b2277ea57628ap-4, -0x1.ac8802f613a69p-4, -0x1.a6f5fb2dfb349p-4, -0x1.a1714f122f1cdp-4, -0x1.9bf9e6fbb73b2p-4, -0x1.968fabd007d1ep-4, -0x1.913286f9d5cb6p-4, -0x1.8be26262d224ap-4, -0x1.869f286e1b6c3p-4, -0x1.8168c3f2ac439p-4, -0x1.7c3f203563506p-4, -0x1.772228e2cc602p-4, -0x1.7211ca092d194p-4, -0x1.6d0df013443c2p-4, -0x1.681687c3b35b9p-4, -0x1.632b7e3097076p-4, -0x1.5e4cc0becc478p-4, -0x1.597a3d1cd6098p-4, -0x1.54b3e13dd642bp-4, -0x1.4ff99b552673fp-4, -0x1.4b4b59d2b0a3ap-4, -0x1.46a90b5f97ae9p-4, -0x1.42129eda933f3p-4, -0x1.3d880353d3434p-4, -0x1.39092808d2abp-4, -0x1.3495fc60a3b84p-4, -0x1.302e6fe8fbe1ep-4, -0x1.2bd27253acf61p-4, -0x1.2781f373fae1p-4, -0x1.233ce33b7f74p-4, -0x1.1f0331b6d3977p-4, -0x1.1ad4cf0a763c7p-4, -0x1.16b1ab7049b89p-4, -0x1.1299b73594b83p-4, -0x1.0e8ce2b91fb09p-4, -0x1.0a8b1e690d025p-4, -0x1.06945ac06a359p-4, -0x1.02a88844b6217p-4, -0x1.fd8f2f0773dedp-5, -0x1.f5e2f2239c452p-5, -0x1.ee4c3b10e27f4p-5, -0x1.e6caeb09c06eep-5, -0x1.df5ee34d08d77p-5, -0x1.d808051a7b46dp-5, -0x1.d0c631af5fbb9p-5, -0x1.c9994a438f5ddp-5, -0x1.c28130070723dp-5, -0x1.bb7dc41fe3aaap-5, -0x1.b48ee7a87d12dp-5, -0x1.adb47bad6c58ep-5, -0x1.a6ee612b6d246p-5, -0x1.a03c790d42c17p-5, -0x1.999ea429c6f94p-5, -0x1.9314c3423f48bp-5, -0x1.8c9eb70107f06p-5, -0x1.863c5ff874261p-5, -0x1.7fed9ea1c84efp-5, -0x1.79b2535c3494p-5, -0x1.738a5e6bcbf2p-5, -0x1.6d759ff87c57ap-5, -0x1.6773f80d1bdf6p-5, -0x1.61854696a1511p-5, -0x1.5ba96b639fd6dp-5, -0x1.55e04623f2316p-5, -0x1.5029b668864bcp-5, -0x1.4a859ba3324e2p-5, -0x1.44f3d52686e0dp-5, -0x1.3f74422596e04p-5, -0x1.3a06c1b3c8381p-5, -0x1.34ab32c4bc4f9p-5, -0x1.2f61742c78805p-5, -0x1.2a29649fb9d37p-5, -0x1.2502e2b46c47ap-5, -0x1.1fedcce22a2f9p-5, -0x1.1aea0182bb8fep-5, -0x1.15f75ed2843f6p-5, -0x1.1115c2f0eb58cp-5, -0x1.0c450be0d6055p-5, -0x1.0785178946dfcp-5, -0x1.02d5c3b632777p-5, -0x1.fc6ddc32f0237p-6, -0x1.f350e897d69bbp-6, -0x1.ea54679cb3d57p-6, -0x1.e1781415085b8p-6, -0x1.d8bba8a7fb6dap-6, -0x1.d01edfd21bf48p-6, -0x1.c7a173e73745ap-6, -0x1.bf431f147f6c9p-6, -0x1.b7039b632155fp-6, -0x1.aee2a2bb1b042p-6, -0x1.a6dfeee6343f2p-6, -0x1.9efb3992df57p-6, -0x1.97343c56e303ap-6, -0x1.8f8ab0b1c16a7p-6, -0x1.87fe500eea5d8p-6, -0x1.808ed3c7ec324p-6, -0x1.793bf526f2002p-6, -0x1.72056d69b1c1ep-6, -0x1.6aeaf5c4d4e88p-6, -0x1.63ec4767a5e37p-6, -0x1.5d091b7fc4b3p-6, -0x1.56412b3c8a8dbp-6, -0x1.4f942fd1e71e5p-6, -0x1.4901e27ac83e2p-6, -0x1.4289fc7b1d0dfp-6, -0x1.3c2c3721e1817p-6, -0x1.35e84bcbaee96p-6, -0x1.2fbdf3e607ac7p-6, -0x1.29ace8f35b5d6p-6, -0x1.23b4e48f8e686p-6, -0x1.1dd5a0745f457p-6, -0x1.180ed67d27b4dp-6, -0x1.126040a9aebacp-6, -0x1.0cc9991fe121fp-6, -0x1.074a9a2ce6bbep-6, -0x1.01e2fe463855fp-6, -0x1.f9250017037fep-7, -0x1.eeb1b493cb8e6p-7, -0x1.e46b90014142cp-7, -0x1.da5208cd484c6p-7, -0x1.d06495e04ebdap-7, -0x1.c6a2aea65c666p-7, -0x1.bd0bcb1469637p-7, -0x1.b39f63a9a3394p-7, -0x1.aa5cf16da4d67p-7, -0x1.a143edee152f5p-7, -0x1.9853d33e6ef24p-7, -0x1.8f8c1bfc7e5adp-7, -0x1.86ec435a45101p-7, -0x1.7e73c52c833ddp-7, -0x1.76221dfaabc87p-7, -0x1.6df6cb0c9a4adp-7, -0x1.65f14a7283566p-7, -0x1.5e111b0517a26p-7, -0x1.5655bc5ec5325p-7, -0x1.4ebeaed0eb407p-7, -0x1.474b735a332c4p-7, -0x1.3ffb8ba2dbe84p-7, -0x1.38ce7a028c871p-7, -0x1.31c3c1902df9ap-7, -0x1.2adae638cf826p-7, -0x1.24136cd81a25fp-7, -0x1.1d6cdb4b7039p-7, -0x1.16e6b879fefacp-7, -0x1.10808c4f4a2f5p-7, -0x1.0a39dfa97c754p-7, -0x1.04123c41395b1p-7, -0x1.fc1259265bbfdp-8, -0x1.f03c77a6879a9p-8, -0x1.e4a1ebdfd4adap-8, -0x1.d941cf4bc3d6dp-8, -0x1.ce1b3d429d632p-8, -0x1.c32d534717f14p-8, -0x1.b8773146f4c27p-8, -0x1.adf7f9bdc5a79p-8, -0x1.a3aed1aea5807p-8, -0x1.999ae074dd633p-8, -0x1.8fbb4f77f51a9p-8, -0x1.860f49d829867p-8, -0x1.7c95fc2c59ee5p-8, -0x1.734e94662a062p-8, -0x1.6a3841e6ff916p-8, -0x1.615235c35d8b7p-8, -0x1.589ba324891a8p-8, -0x1.5013bfafdc539p-8, -0x1.47b9c3d8898d7p-8, -0x1.3f8ceb05be9e6p-8, -0x1.378c7381c1676p-8, -0x1.2fb79e34a4feep-8, -0x1.280dae3ae9687p-8, -0x1.208de872b6196p-8, -0x1.1937931db6ed8p-8, -0x1.1209f5b15730ep-8, -0x1.0b0458e3404e4p-8, -0x1.042606eff3998p-8, -0x1.fadc98139ecd6p-9, -0x1.edb8eda8dd01ap-9, -0x1.e0dfb19b153f1p-9, -0x1.d44f8d15161fcp-9, -0x1.c8072f795d4c5p-9, -0x1.bc054df623b59p-9, -0x1.b048a2bcf9138p-9, -0x1.a4cfec0968bf8p-9, -0x1.9999eb2ea64f4p-9, -0x1.8ea563e4c13efp-9, -0x1.83f11c036094cp-9, -0x1.797bdbbceebc9p-9, -0x1.6f446e4be1fcdp-9, -0x1.6549a2e2a76d7p-9, -0x1.5b8a4d9cc80fcp-9, -0x1.5205483428444p-9, -0x1.48b97254734c5p-9, -0x1.3fa5b185a335cp-9, -0x1.36c8f0be571a5p-9, -0x1.2e221fb9b2805p-9, -0x1.25b0322e9e37p-9, -0x1.1d721f0620b3fp-9, -0x1.1566dfb3997ebp-9, -0x1.0d8d6fd52ff33p-9, -0x1.05e4cd3d1666bp-9, -0x1.fcd7f0d516146p-10, -0x1.ee43eaa809f16p-10, -0x1.e00b9881123ebp-10, -0x1.d22d14d08f158p-10, -0x1.c4a6845a843cap-10, -0x1.b77615e0417dfp-10, -0x1.aa9a015485cf9p-10, -0x1.9e1086fea8842p-10, -0x1.91d7eec1aed4bp-10, -0x1.85ee877b4f6fcp-10, -0x1.7a52a655e2bbfp-10, -0x1.6f02a605b722cp-10, -0x1.63fce62a65f95p-10, -0x1.593fcb306c27ap-10, -0x1.4ec9beefb6d9fp-10, -0x1.449931e494e8fp-10, -0x1.3aac9c7bd0adbp-10, -0x1.31027fca346e9p-10, -0x1.27996553147d8p-10, -0x1.1e6fde0bab062p-10, -0x1.15848138903b5p-10, -0x1.0cd5ebc57b0a5p-10, -0x1.0462c0531665ap-10, -0x1.f8534f6169abp-11, -0x1.e852a27102b7p-11, -0x1.d8c0e55a27687p-11, -0x1.c99b8f5170c26p-11, -0x1.bae0221cc132ap-11, -0x1.ac8c29e8a6602p-11, -0x1.9e9d3e566332p-11, -0x1.91110418640e6p-11, -0x1.83e52de70749fp-11, -0x1.77177be4d4349p-11, -0x1.6aa5b97f2198ap-11, -0x1.5e8dbadcac3d3p-11, -0x1.52cd5b3f21782p-11, -0x1.47627d2f261cep-11, -0x1.3c4b0c2eacfc2p-11, -0x1.3184feca6a8cp-11, -0x1.270e57c566adfp-11, -0x1.1ce525dffc57cp-11, -0x1.130782ce42bc1p-11, -0x1.0973927ce8e57p-11, -0x1.002783587fe05p-11, -0x1.ee431e957d9a3p-12, -0x1.dcbff88aaa033p-12, -0x1.cbc236cd83157p-12, -0x1.bb468d6d061eep-12, -0x1.ab49bcdccb3d9p-12, -0x1.9bc88e6027ab3p-12, -0x1.8cbfd3dfc8f7p-12, -0x1.7e2c6ac55f885p-12, -0x1.700b401259e53p-12, -0x1.625953ba8f986p-12, -0x1.5513b9e364fdep-12, -0x1.483799b1f3bb9p-12, -0x1.3bc22ac12d15p-12, -0x1.2fb0b39570f53p-12, -0x1.24008b183b854p-12, -0x1.18af1cc709b19p-12, -0x1.0db9ec620a271p-12, -0x1.031e9532b8975p-12, -0x1.f1b5872da676dp-13, -0x1.ddd857388ebd7p-13, -0x1.caa1040de3403p-13, -0x1.b80af78000357p-13, -0x1.a611a69e4c1dp-13, -0x1.94b0a04a54333p-13, -0x1.83e3968b2ca28p-13, -0x1.73a65f9c58585p-13, -0x1.63f4f18bc8a42p-13, -0x1.54cb5c5f7b399p-13, -0x1.4625c4ad8f51ap-13, -0x1.38006069ffef8p-13, -0x1.2a577852a942ep-13, -0x1.1d27700df57c4p-13, -0x1.106cd20a354bap-13, -0x1.0424566d471a7p-13, -0x1.f095b922dcd65p-14, -0x1.d9baae67215cdp-14, -0x1.c3b16cb532aa6p-14, -0x1.ae73ba9cea1cfp-14, -0x1.99fb553f0ec5ap-14, -0x1.864215e59909cp-14, -0x1.7342119c1070dp-14, -0x1.60f5a1b2435bbp-14, -0x1.4f57584ee0e13p-14, -0x1.3e61ef85c9e28p-14, -0x1.2e103e9664856p-14, -0x1.1e5d3787a5ce7p-14, -0x1.0f43e7e73ec9dp-14, -0x1.00bf786c9a8cfp-14, -0x1.e5965ee80dc1fp-15, -0x1.cac4fab7369c9p-15, -0x1.b1021d7bde2fp-15, -0x1.9845a45fb6a37p-15, -0x1.8087c6954d349p-15, -0x1.69c0c9700b6afp-15, -0x1.53e8cad96eb2ep-15, -0x1.3ef7c9765148p-15, -0x1.2ae5dbad52572p-15, -0x1.17ab6487078bp-15, -0x1.054125d3577a4p-15, -0x1.e740676b1bd57p-16, -0x1.c583b941fc6e2p-16, -0x1.a53f29055498bp-16, -0x1.8665dc2897bafp-16, -0x1.68eb4be5cd1f7p-16, -0x1.4cc364f21fc59p-16, -0x1.31e28889d02a4p-16, -0x1.183d6adf6af2bp-16, -0x1.ff91fd99a0074p-17, -0x1.d0f52bb8ebc6dp-17, -0x1.a49021274fe59p-17, -0x1.7a4fa6de6436fp-17, -0x1.5220f115e75f3p-17, -0x1.2bf1192c398cfp-17, -0x1.07ad304922c2p-17, -0x1.ca856fb3fa4a7p-18, -0x1.893fdf2240753p-18, -0x1.4b679658bc04dp-18, -0x1.10dbabb7988acp-18, -0x1.b2f89cb504964p-19, -0x1.4a551f3d32ac4p-19, -0x1.cf2038f4269b6p-20, -0x1.14dbb4dd4eaeep-20, -0x1.95a47795c9f8ap-22, 0x1.fd273c9fbe695p-23, 0x1.b56a00867fb27p-21, 0x1.6c2961ee6b83fp-20, 0x1.f462db1815bf1p-20, 0x1.39e0bd76c214dp-19, 0x1.755151e4bd34fp-19, 0x1.acafe678d7c3cp-19, 0x1.e027d4a7442b5p-19, 0x1.07f1c952afaf2p-18, 0x1.1e060f7e91b1ap-18, 0x1.326434ce703c2p-18, 0x1.451eef776706cp-18, 0x1.5648a1404fe35p-18, 0x1.65f344f9b6776p-18, 0x1.74301c20f3e6dp-18, 0x1.810fb13856dfdp-18, 0x1.8ca21b01cea43p-18, 0x1.96f72a9e929cfp-18, 0x1.a01e6886c8d8p-18, 0x1.a826d94e05e0dp-18, 0x1.af1e9ead5f055p-18, 0x1.b512c1e8c2168p-18, 0x1.ba0f70189ab1ap-18, 0x1.be208b33feb7ap-18, 0x1.c15210fd15c6bp-18, 0x1.c3afff37b8fc7p-18, 0x1.c5460094cc421p-18, 0x1.c61f4fde7f13p-18, 0x1.c64693d04f362p-18, 0x1.c5c590cd9d6fdp-18, 0x1.c4a55006c4017p-18, 0x1.c2eec4e3148a2p-18, 0x1.c0ab064cc623bp-18, 0x1.bde2ded2d6b65p-18, 0x1.ba9e820f5eb0dp-18, 0x1.b6e5b9f50f872p-18, 0x1.b2c011e5d6d82p-18, 0x1.ae34d3af3891dp-18, 0x1.a94b06a21eebdp-18, 0x1.a4097daded591p-18, 0x1.9e76dac7606bep-18, 0x1.9899743a48d5bp-18, 0x1.92772d333c40dp-18, 0x1.8c156ede92338p-18, 0x1.857958e5f0cc4p-18, 0x1.7ea803ad75438p-18, 0x1.77a690b0d9da4p-18, 0x1.707a051e892a7p-18, 0x1.69272d9175eaap-18, 0x1.61b27b45223d2p-18, 0x1.5a1fce16c4174p-18, 0x1.5272afd033078p-18, 0x1.4aaed3e3715d3p-18, 0x1.42d806277f088p-18, 0x1.3af1c06299c6dp-18, 0x1.32ff26b7c2159p-18, 0x1.2b033d9796efdp-18, 0x1.2300eddfffcb5p-18, 0x1.1afaf74b08c18p-18, 0x1.12f3f0a8c028fp-18, 0x1.0aee4c41a65cep-18, 0x1.02ec5b0eead6fp-18, 0x1.f5e0a23ed2c2dp-19, 0x1.e5f8932ae708fp-19, 0x1.d62487aa881a4p-19, 0x1.c6683b844e547p-19, 0x1.b6c728a77ad31p-19, 0x1.a744965645a7cp-19, 0x1.97e3a4a36ee8ap-19, 0x1.88a7457fd7db7p-19, 0x1.79923bf9366a4p-19, 0x1.6aa71764f22d7p-19, 0x1.5be7fd7640d39p-19, 0x1.4d56cec17a61ap-19, 0x1.3ef59ee90faaap-19, 0x1.30c6789f2bd16p-19, 0x1.22caf8a38733p-19, 0x1.15048c47d4844p-19, 0x1.07749ca5123e6p-19, 0x1.f438e84df9c61p-20, 0x1.d9fa6bbceee85p-20, 0x1.c02fc7fabf2edp-20, 0x1.a6dac6e4b2ea3p-20, 0x1.8dfcf966782ap-20, 0x1.7597b7b8fe0ffp-20, 0x1.5dac2123d5708p-20, 0x1.463b1f1d120f4p-20, 0x1.2f4571382d7cap-20, 0x1.18cbbd983b371p-20, 0x1.02ce992950aafp-20, 0x1.da9d156d0927dp-21, 0x1.b097f76d9b3d7p-21, 0x1.878e004edc893p-21, 0x1.5f7e8e669e41cp-21, 0x1.3868f81467426p-21, 0x1.124cbad6bbf4dp-21, 0x1.da519fb9ba6ebp-22, 0x1.91f8934063825p-22, 0x1.4b8c10ae83bf3p-22, 0x1.070868377f997p-22, 0x1.88d419a41da9fp-23, 0x1.075ade699d229p-23, 0x1.133a05ea75bb8p-24, 0x1.f238b9a6fe2a2p-28, -0x1.9b3ff3b6c0b48p-25, -0x1.b323ac64cff3dp-24, -0x1.48bde46959a2ep-23, -0x1.b45ee6220a3e4p-23, -0x1.0e4017ff4a162p-22, -0x1.4096c2bccd173p-22, -0x1.71397a2865bf4p-22, -0x1.a02e62f79ce1bp-22, -0x1.cd7bc2d36ddefp-22, -0x1.f927f79a269f4p-22, -0x1.119cb28ff544cp-21, -0x1.25db22a5388bcp-21, -0x1.395251a540cd7p-21, -0x1.4c0592e6c87b4p-21, -0x1.5df8c011e68efp-21, -0x1.6f2f4a508d184p-21, -0x1.7fac46bb07162p-21, -0x1.8f731405b8f7bp-21, -0x1.9e876c9b1be2dp-21, -0x1.aced127e995cp-21, -0x1.baa765fdd0573p-21, -0x1.c7b9dd6827a17p-21, -0x1.d4280f05887cbp-21, -0x1.dff58e0e1e149p-21, -0x1.eb25e255bc44bp-21, -0x1.f5bc8ad8ca3c1p-21, -0x1.ffbd01ecd9812p-21, -0x1.04956086b0621p-20, -0x1.0904a22aa845p-20, }}, 
      {{0x1.290201914ac0ap-2, 0x1.3bac6a6dc1796p-2, 0x1.596389450f5a8p-2, 0x1.80843b5dcfa6fp-2, 0x1.af3ef90bba148p-2, 0x1.e3bef67699602p-2, 0x1.0e218aa4a4a21p-1, 0x1.2b967b5fb2916p-1, 0x1.4984b5fc07648p-1, 0x1.674a1d70b81b7p-1, 0x1.845c44284f95p-1, 0x1.a04788f8c58d9p-1, 0x1.baad8d251d9f1p-1, 0x1.d343510c4235ep-1, 0x1.e9cf2c07354d5p-1, 0x1.fe26c229455c1p-1, 0x1.08168711750dap+0, 0x1.0fe8465d7a2c5p+0, 0x1.1684c8464c94bp+0, 0x1.1bec603c4a3b3p+0, 0x1.2022e00ea4b99p+0, 0x1.232effe79671dp+0, 0x1.2519d8509f1d8p+0, 0x1.25ee6c71d8317p+0, 0x1.25b942ebc9f5ap+0, 0x1.24880bd80e47fp+0, 0x1.226952af68ad5p+0, 0x1.1f6c3acd0dd27p+0, 0x1.1ba04556cc978p+0, 0x1.17151f578b03ep+0, 0x1.11da77024773cp+0, 0x1.0bffd73fc6072p+0, 0x1.059488d06f5dbp+0, 0x1.fd4ef0d14180bp-1, 0x1.ee8e4284917e2p-1, 0x1.df02f75a334cfp-1, 0x1.cec7de6167d95p-1, 0x1.bdf68fb8bce0dp-1, 0x1.aca75cd31fa42p-1, 0x1.9af145c9622c8p-1, 0x1.88e9f2fc25404p-1, 0x1.76a5b277318e5p-1, 0x1.643778f00d73dp-1, 0x1.51b0e54d2e2a4p-1, 0x1.3f22468efe32p-1, 0x1.2c9aa4763af38p-1, 0x1.1a27c8544be73p-1, 0x1.07d649465bee8p-1, 0x1.eb632f32ab47p-2, 0x1.c78812e0388c4p-2, 0x1.a42dd4b8c7f42p-2, 0x1.81650a3930ebbp-2, 0x1.5f3c6f2e2343p-2, 0x1.3dc0f3fd410dfp-2, 0x1.1cfde80294257p-2, 0x1.f9fa1021b6ca8p-3, 0x1.bb8d4983891d3p-3, 0x1.7ec3674da8ee2p-3, 0x1.43a7e01b9d205p-3, 0x1.0a43da961ae37p-3, 0x1.a53ccd36958d3p-4, 0x1.397940ce66686p-4, 0x1.a287886fa2f04p-5, 0x1.b27f2462b14b2p-6, 0x1.71ba02f615798p-9, -0x1.47d163024e98dp-6, -0x1.57d6a6cc7064ap-5, -0x1.025df7fc2cd29p-4, -0x1.55551d53107fbp-4, -0x1.a4db660287552p-4, -0x1.f0fd10884ff04p-4, -0x1.1ce3e50f6900bp-3, -0x1.3fa541f2deb7fp-3, -0x1.60caa53397198p-3, -0x1.805c8fd4506e1p-3, -0x1.9e63ebeaf90fap-3, -0x1.bae9fc335782fp-3, -0x1.d5f84cbcb8de2p-3, -0x1.ef98a489017e7p-3, -0x1.03ea7c0b1f8a5p-2, -0x1.0f5bae641fba9p-2, -0x1.1a24feaed7c61p-2, -0x1.244b87b3e5c76p-2, -0x1.2dd464f4f80b7p-2, -0x1.36c4ae79bdd5p-2, -0x1.3f2175188d231p-2, -0x1.46efbf216f998p-2, -0x1.4e34855d290fbp-2, -0x1.54f4b05d22c42p-2, -0x1.5b35160c27f35p-2, -0x1.60fa778e94c24p-2, -0x1.66497f67f058fp-2, -0x1.6b26bfeb28fb1p-2, -0x1.6f96b1f59da94p-2, -0x1.739db3e5cb949p-2, -0x1.774008cf80f8ap-2, -0x1.7a81d7de0219p-2, -0x1.7d672bdb4fbe5p-2, -0x1.7ff3f2db7f656p-2, -0x1.822bfe01f122p-2, -0x1.8413015f47f86p-2, -0x1.85ac93ebe3e46p-2, -0x1.86fc2f98b318dp-2, -0x1.88053176b18bep-2, -0x1.88cad9fc24a76p-2, -0x1.89504d58e094ep-2, -0x1.899893df6934dp-2, -0x1.89a69a848bbb2p-2, -0x1.897d336026006p-2, -0x1.891f1642a0264p-2, -0x1.888ee14e02b48p-2, -0x1.87cf198ea5cc2p-2, -0x1.86e22ba1ddadep-2, -0x1.85ca6c56599d5p-2, -0x1.848a194ebcbf8p-2, -0x1.832359adca72ep-2, -0x1.81983eb88aa1fp-2, -0x1.7feac47d2bf22p-2, -0x1.7e1cd283272dcp-2, -0x1.7c303c6b47f23p-2, -0x1.7a26c29920617p-2, -0x1.780212e217e84p-2, -0x1.75c3c92943ae9p-2, -0x1.736d700529954p-2, -0x1.71008167a25ccp-2, -0x1.6e7e67340f865p-2, -0x1.6be87bd9456d3p-2, -0x1.69400aee84aa8p-2, -0x1.668651c286dbdp-2, -0x1.63bc7fe5308ap-2, -0x1.60e3b7b739a05p-2, -0x1.5dfd0ef0ec2e9p-2, -0x1.5b098f1c5ddf6p-2, -0x1.580a3615f9b6dp-2, -0x1.54fff689af511p-2, -0x1.51ebb8611b28dp-2, -0x1.4ece5934db2f1p-2, -0x1.4ba8acbe3bc99p-2, -0x1.487b7d3bcd81dp-2, -0x1.45478bd56b534p-2, -0x1.420d91015d16fp-2, -0x1.3ece3cdf667aep-2, -0x1.3b8a37912066dp-2, -0x1.384221936af98p-2, -0x1.34f6941074e3p-2, -0x1.31a8212c9218cp-2, -0x1.2e575453b4d2dp-2, -0x1.2b04b284340bap-2, -0x1.27b0ba935e4d5p-2, -0x1.245be56d9dccfp-2, -0x1.2106a656dfd03p-2, -0x1.1db16b2b912adp-2, -0x1.1a5c9c9a23584p-2, -0x1.17089e54a7d79p-2, -0x1.13b5cf475d494p-2, -0x1.106489d3600adp-2, -0x1.0d1523fd1cc58p-2, -0x1.09c7ef9175e32p-2, -0x1.067d3a548fd59p-2, -0x1.03354e363e9b4p-2, -0x1.ffe0e2f108e6cp-3, -0x1.f95dcd9835298p-3, -0x1.f2e1daec4c067p-3, -0x1.ec6d82fa83d68p-3, -0x1.e601379995143p-3, -0x1.df9d649a84cfap-3, -0x1.d9426fff3783ep-3, -0x1.d2f0ba40ae107p-3, -0x1.cca89e9357dfcp-3, -0x1.c66a7319fcf41p-3, -0x1.c036890d0ca2dp-3, -0x1.ba0d2ce7ff758p-3, -0x1.b3eea6a431fdcp-3, -0x1.addb39f2c5d9ep-3, -0x1.a7d32663c00f5p-3, -0x1.a1d6a780163cep-3, -0x1.9be5f4eeb627bp-3, -0x1.960142ab02935p-3, -0x1.9028c135fe76fp-3, -0x1.8a5c9db08b72ap-3, -0x1.849d01ecf3557p-3, -0x1.7eea14905bfe2p-3, -0x1.7943f942b0a07p-3, -0x1.73aad0d5828cdp-3, -0x1.6e1eb95799af5p-3, -0x1.689fce24771dcp-3, -0x1.632e280046138p-3, -0x1.5dc9dd3cbcca4p-3, -0x1.587301d8048fcp-3, -0x1.5329a79083719p-3, -0x1.4dedddf53b939p-3, -0x1.48bfb27a2d078p-3, -0x1.439f309094532p-3, -0x1.3e8c61bf3d313p-3, -0x1.39874db8bb004p-3, -0x1.348ffa6ea5b1bp-3, -0x1.2fa66c20f3e19p-3, -0x1.2acaa56b03329p-3, -0x1.25fca7536d8b2p-3, -0x1.213c7161bcb23p-3, -0x1.1c8a01b54e447p-3, -0x1.17e5551566843p-3, -0x1.134e66f87bc25p-3, -0x1.0ec5318a73bd6p-3, -0x1.0a49adbb6ad46p-3, -0x1.05dbd3567cb79p-3, -0x1.017b99164b317p-3, -0x1.fa51e95d5b8a3p-4, -0x1.f1c7b59c7cc52p-4, -0x1.e9587e45a54e1p-4, -0x1.e10428d0cabbdp-4, -0x1.d8ca98fc6220cp-4, -0x1.d0abb0edfd4b4p-4, -0x1.c8a7513da884bp-4, -0x1.c0bd58f5ab3cdp-4, -0x1.b8eda59a6f23ap-4, -0x1.b138134455107p-4, -0x1.a99c7cc270193p-4, -0x1.a21abbb49102ap-4, -0x1.9ab2a8949b453p-4, -0x1.93641ab70deafp-4, -0x1.8c2ee851376e9p-4, -0x1.8512e68c632eep-4, -0x1.7e0fe9a022cbdp-4, -0x1.7725c4e7b18a9p-4, -0x1.70544aebf6fd4p-4, -0x1.699b4d6635fc3p-4, -0x1.62fa9d44dcce4p-4, -0x1.5c720ab867b19p-4, -0x1.56016545f6504p-4, -0x1.4fa87bd86cc75p-4, -0x1.49671ccaece0ap-4, -0x1.433d15ed822a5p-4, -0x1.3d2a34896f0f6p-4, -0x1.372e4569c02bap-4, -0x1.314914e823386p-4, -0x1.2b7a6efa24e32p-4, -0x1.25c21f3afa481p-4, -0x1.201ff0f115144p-4, -0x1.1a93af120d38dp-4, -0x1.151d24486080ep-4, -0x1.0fbc1afc6a595p-4, -0x1.0a705d5ed5d3fp-4, -0x1.0539b57196238p-4, -0x1.0017ed0dd0f16p-4, -0x1.f6159bced9dfap-5, -0x1.ec24432103467p-5, -0x1.e25b62fd8020cp-5, -0x1.d8ba8e264c3b6p-5, -0x1.cf4157449e1bap-5, -0x1.c5ef50f66cc9cp-5, -0x1.bcc40dd6f75b8p-5, -0x1.b3bf2083e7713p-5, -0x1.aae01ba265f9ep-5, -0x1.a22691e70fac2p-5, -0x1.999216218a026p-5, -0x1.91223b49a3b0fp-5, -0x1.88d6948ad6a29p-5, -0x1.80aeb54c0be34p-5, -0x1.78aa31340ee55p-5, -0x1.70c89c2cfe85bp-5, -0x1.69098a691c26p-5, -0x1.616c906a45b3ep-5, -0x1.59f1430b921a8p-5, -0x1.5297378b1f508p-5, -0x1.4b5e0391ec6cdp-5, -0x1.44453d38d89aap-5, -0x1.3d4c7b0b64e5bp-5, -0x1.36735409f37e3p-5, -0x1.2fb95fad62f57p-5, -0x1.291e35ecdcc83p-5, -0x1.22a16f457078fp-5, -0x1.1c42a4c1edff6p-5, -0x1.1601700163e49p-5, -0x1.0fdd6b3b35a4cp-5, -0x1.09d63140c4b6ap-5, -0x1.03eb5d7dc773p-5, -0x1.fc3917f1ea43cp-6, -0x1.f0d2b2ad611cep-6, -0x1.e5a2c5bc7b072p-6, -0x1.daa88d01d31a1p-6, -0x1.cfe345c3341a6p-6, -0x1.c5522eb5f0bcap-6, -0x1.baf4880540ae7p-6, -0x1.b0c99351a72f4p-6, -0x1.a6d093aaff947p-6, -0x1.9d08cd8962f59p-6, -0x1.937186ca3739dp-6, -0x1.8a0a06b52810ep-6, -0x1.80d1960a3f754p-6, -0x1.77c77f164e8d2p-6, -0x1.6eeb0dc7feb9fp-6, -0x1.663b8fbe56794p-6, -0x1.5db8544b26bf6p-6, -0x1.5560ac678d8dcp-6, -0x1.4d33ea9e8fbe3p-6, -0x1.453162f620ff6p-6, -0x1.3d586ae0ec5c9p-6, -0x1.35a8594129bdbp-6, -0x1.2e20867ef9b2bp-6, -0x1.26c04cad5d58p-6, -0x1.1f8707b239367p-6, -0x1.18741562c3802p-6, -0x1.1186d5882a007p-6, -0x1.0abea9c77feacp-6, -0x1.041af572a15afp-6, -0x1.fb363aa282a5fp-7, -0x1.ee7d0eec43147p-7, -0x1.e2093665c75e5p-7, -0x1.d5d98266a8a22p-7, -0x1.c9ecc7777c913p-7, -0x1.be41ddf02ca61p-7, -0x1.b2d7a2829681cp-7, -0x1.a7acf67cabd3ap-7, -0x1.9cc0bfa0e178ap-7, -0x1.9211e795c3be9p-7, -0x1.879f5b12fa283p-7, -0x1.7d68090de30c3p-7, -0x1.736ae22f20413p-7, -0x1.69a6d8c972a69p-7, -0x1.601ae162e6f5fp-7, -0x1.56c5f3b13e90dp-7, -0x1.4da70bbfb3fcap-7, -0x1.44bd2adeb0a6fp-7, -0x1.3c075806f1c6cp-7, -0x1.33849f7fbd014p-7, -0x1.2b3411d1d0638p-7, -0x1.2314c24c99454p-7, -0x1.1b25c58d188f9p-7, -0x1.1366307f5a1ffp-7, -0x1.0bd51835d46c1p-7, -0x1.047192b57189ap-7, -0x1.fa757113d90fp-8, -0x1.ec5f4d66a3103p-8, -0x1.de9f00b31960dp-8, -0x1.d132df7295f84p-8, -0x1.c4194be10e5d5p-8, -0x1.b750b345bd2f6p-8, -0x1.aad7898e92541p-8, -0x1.9eac446ef81afp-8, -0x1.92cd576b4c97ep-8, -0x1.8739320a16d92p-8, -0x1.7bee40d2e8bebp-8, -0x1.70eaf0fa00f57p-8, -0x1.662db5cddc72fp-8, -0x1.5bb50e6d7a38ep-8, -0x1.517f8a2653fe3p-8, -0x1.478bca26325b6p-8, -0x1.3dd87fddf56e1p-8, -0x1.3464685bd21f3p-8, -0x1.2b2e45c028a7dp-8, -0x1.2234d88554f6fp-8, -0x1.1976da6fce8a2p-8, -0x1.10f2fc96ff90ap-8, -0x1.08a7e92883f1p-8, -0x1.0094488902017p-8, -0x1.f16d9116f5a9ap-9, -0x1.e21c47c213988p-9, -0x1.d3324f90faf9cp-9, -0x1.c4ad6cde92836p-9, -0x1.b68b8a951e4f9p-9, -0x1.a8caaf73e28aep-9, -0x1.9b68ee819884ap-9, -0x1.8e6456932272dp-9, -0x1.81bae515c52bcp-9, -0x1.756a7f7c442dep-9, -0x1.6970f4fd22bf3p-9, -0x1.5dcc0833fb0f2p-9, -0x1.52797e41a9b51p-9, -0x1.47772fac5ae29p-9, -0x1.3cc316d7101f5p-9, -0x1.325b5880d18d2p-9, -0x1.283e443494bdap-9, -0x1.1e6a4c8eb6dbcp-9, -0x1.14ddf93e2121p-9, -0x1.0b97d62d6d541p-9, -0x1.029663e2d9107p-9, -0x1.f3b0198808a15p-10, -0x1.e2b6434328b43p-10, -0x1.d23bbc4108c04p-10, -0x1.c23ce77e637d8p-10, -0x1.b2b631776727p-10, -0x1.a3a42eac9c1dfp-10, -0x1.9503b3d436e93p-10, -0x1.86d1e24065d7ap-10, -0x1.790c25df6481p-10, -0x1.6bb025b66dd37p-10, -0x1.5ebbaaf535062p-10, -0x1.522c84cbd4ef5p-10, -0x1.46006f8f2b4b5p-10, -0x1.3a35046c8323cp-10, -0x1.2ec7b48e30047p-10, -0x1.23b5cfdb60255p-10, -0x1.18fc9522a458dp-10, -0x1.0e9947d9e0b4bp-10, -0x1.048946c4b05cp-10, -0x1.f5943d5b43a0bp-11, -0x1.e2b32a16ff6f7p-11, -0x1.d06b50334a741p-11, -0x1.beb9090b0d34dp-11, -0x1.ad98e772de2f7p-11, -0x1.9d078fa8ea389p-11, -0x1.8d01953c7753fp-11, -0x1.7d8366410153dp-11, -0x1.6e8945efc4c95p-11, -0x1.600f545c08543p-11, -0x1.52119ed3b3e6dp-11, -0x1.448c34d9f3c3bp-11, -0x1.377b3ee5cdda2p-11, -0x1.2adb147d1cc9fp-11, -0x1.1ea84e4dcee5p-11, -0x1.12dfcf7e49e48p-11, -0x1.077ec19dba32ap-11, -0x1.f90503bbaeadbp-12, -0x1.e3d1081cac54cp-12, -0x1.cf5c6a4394baap-12, -0x1.bba1d083d5205p-12, -0x1.a89ba9b0a8c38p-12, -0x1.96444771a7712p-12, -0x1.8496056f2f555p-12, -0x1.738b6944a8a18p-12, -0x1.631f305b8a78bp-12, -0x1.534c4ebed78bbp-12, -0x1.440dead4178a1p-12, -0x1.355f609b9bedap-12, -0x1.273c4db759c21p-12, -0x1.19a09cd8051d7p-12, -0x1.0c888292fcb89p-12, -0x1.ffe0c50d58a8dp-13, -0x1.e7a9416dd1639p-13, -0x1.d062e386a35f2p-13, -0x1.ba0586b01332cp-13, -0x1.a4889b1f18383p-13, -0x1.8fe3910417c01p-13, -0x1.7c0e581c92534p-13, -0x1.6901b2f71b114p-13, -0x1.56b7382a3a66ap-13, -0x1.45290c51fe25dp-13, -0x1.345185903697ap-13, -0x1.242aed67643e2p-13, -0x1.14af7a57a22b6p-13, -0x1.05d97677002cap-13, -0x1.ef46e20fa0df9p-14, -0x1.d410ac1ca7d33p-14, -0x1.ba06a94e93a83p-14, -0x1.a11f2f29d6aaap-14, -0x1.894fe57f931acp-14, -0x1.728d73a589f0dp-14, -0x1.5ccbcc09861dep-14, -0x1.47ff0c6e97011p-14, -0x1.341c8c5fe905bp-14, -0x1.211b8c25a136fp-14, -0x1.0ef52405ddaf7p-14, -0x1.fb4700f05d678p-15, -0x1.da41bbfd091e7p-15, -0x1.bacd9be7ad216p-15, -0x1.9cdc1777ec498p-15, -0x1.805d9ea034778p-15, -0x1.6542b00d6951dp-15, -0x1.4b7cce8e32b54p-15, -0x1.32feeaaedea84p-15, -0x1.1bbd127801b35p-15, -0x1.05ab90c2dfb81p-15, -0x1.e17be45901054p-16, -0x1.b9ccfad2fba09p-16, -0x1.942d0fcdeddb7p-16, -0x1.707f5d2f9fc7dp-16, -0x1.4eaae6fdd4996p-16, -0x1.2e9cb9a76cbc7p-16, -0x1.1047a977a91acp-16, -0x1.e7431a1777ff5p-17, -0x1.b13f31eda3b98p-17, -0x1.7e67cd1831642p-17, -0x1.4e9a1d5b9fef4p-17, -0x1.21aed14563c21p-17, -0x1.eefbc0e0238bep-18, -0x1.9fc38feb00be5p-18, -0x1.55720c59a0c89p-18, -0x1.0fcbde9596428p-18, -0x1.9d3753552d17fp-19, -0x1.235f6769a8f97p-19, -0x1.63588db188029p-20, -0x1.1ec6a77be53f2p-21, 0x1.b0738578493ebp-23, 0x1.dbd8e56fb7899p-21, 0x1.99072ceb4f0d4p-20, 0x1.1bfb1d8abd424p-19, 0x1.658cef3523eaep-19, 0x1.a95c4f141e335p-19, 0x1.e792c650b8202p-19, 0x1.1036026428541p-18, 0x1.2a1adbef80496p-18, 0x1.41a2f9682d97ap-18, 0x1.56f7cee51e66cp-18, 0x1.6a3ee05a8e248p-18, 0x1.7b9b9adf73f7dp-18, 0x1.8b30e5a67ba93p-18, 0x1.991ed40e4c714p-18, 0x1.a57f0aec25421p-18, 0x1.b064d72c621cbp-18, 0x1.b9e1d26b00351p-18, 0x1.c20b055999b2ep-18, 0x1.c8fa4675480acp-18, 0x1.cecb5384bc4fbp-18, 0x1.d396fae0c6636p-18, 0x1.d76f0f52affe2p-18, 0x1.da5de1027b0dap-18, 0x1.dc6a706aa40a1p-18, 0x1.dd9e9207116e6p-18, 0x1.de0a29c7a2b3dp-18, 0x1.ddc0ee4973b9ap-18, 0x1.dcd4f37bba6c2p-18, 0x1.db53f201f3875p-18, 0x1.d94a3434d0b25p-18, 0x1.d6c6ae2c80a76p-18, 0x1.d3daec29bf2e1p-18, 0x1.d0975dd6a515fp-18, 0x1.cd07e731dc83fp-18, 0x1.c93357da37bc9p-18, 0x1.c51dcd64196dp-18, 0x1.c0cbfea9775b4p-18, 0x1.bc4526936d286p-18, 0x1.b792f05e99858p-18, 0x1.b2c023f4cfafbp-18, 0x1.add651281ed92p-18, 0x1.a8db452e268bap-18, 0x1.a3d1195a38c61p-18, 0x1.9eb9bbbfb1bfep-18, 0x1.999a3c57efb03p-18, 0x1.947a1578385ap-18, 0x1.8f5f77d84e22ep-18, 0x1.8a4d7c1a17b82p-18, 0x1.8546303f9b41ep-18, 0x1.804cf0721c23dp-18, 0x1.7b66640347553p-18, 0x1.769761778b02fp-18, 0x1.71e42ccde5548p-18, 0x1.6d500e2ec3ab6p-18, 0x1.68dd0c20add8dp-18, 0x1.648c0ab767bf3p-18, 0x1.605d761da280dp-18, 0x1.5c52079e34837p-18, 0x1.586b164e02d9bp-18, 0x1.54aa62098b6b6p-18, 0x1.5111957bdb687p-18, 0x1.4da1bb8d33a67p-18, 0x1.4a5b1f60ab3b7p-18, 0x1.473dde3453d65p-18, 0x1.444a76fc1db75p-18, 0x1.41818b50ed2fbp-18, 0x1.3ee33579f32e2p-18, 0x1.3c6f02676498fp-18, 0x1.3a2486194ca9fp-18, 0x1.380395af0ca93p-18, 0x1.360c1012f02acp-18, 0x1.343db3df862c7p-18, 0x1.32981ed470517p-18, 0x1.311ad53342821p-18, 0x1.2fc53ea4d3012p-18, 0x1.2e969c838b93p-18, 0x1.2d8e1026d69a9p-18, 0x1.2caac1d65a2ddp-18, 0x1.2bec049180aa8p-18, 0x1.2b513a912a849p-18, 0x1.2ad95c24bd417p-18, 0x1.2a828626c33c4p-18, 0x1.2a4aca260074cp-18, 0x1.2a31b847bd90ep-18, 0x1.2a3790d8da013p-18, 0x1.2a5b19a716a7p-18, 0x1.2a9a0a88fd45p-18, 0x1.2af2ef071f9b7p-18, 0x1.2b64fc4ab8682p-18, 0x1.2beefc67fd83dp-18, 0x1.2c8f6c21bb6b6p-18, 0x1.2d44ec882b8bp-18, 0x1.2e0e4db361c9fp-18, 0x1.2eea75c47adc6p-18, 0x1.2fd855bb8d8aep-18, 0x1.30d6e570c93bfp-18, 0x1.31e515feeb21dp-18, 0x1.3301aeae56d6dp-18, 0x1.342b1fab15629p-18, 0x1.355f9d815adc3p-18, 0x1.369dbf32b9961p-18, 0x1.37e4ebde09283p-18, 0x1.3934be7cb8636p-18, 0x1.3a8bbebbf195bp-18, 0x1.3be765ccec73ep-18, 0x1.3d4699b41f19p-18, 0x1.3ea9c4d6267aap-18, 0x1.400f9aa93a79bp-18, 0x1.4175ecced667cp-18, 0x1.42dc0d6ea4c6ep-18, 0x1.4441604f0781ep-18, 0x1.45a4804a64511p-18, 0x1.47041c7c2f982p-18, 0x1.485f3a4a6c9bbp-18, 0x1.49b501382580fp-18, 0x1.4b049a7b8a4b9p-18, 0x1.4c4d2c5e268dp-18, 0x1.4d8de01ffaca2p-18, 0x1.4ec5ebbc37d17p-18, 0x1.4ff49b4430841p-18, 0x1.511953b534365p-18, 0x1.52338565485c5p-18, 0x1.53427166d3834p-18, 0x1.5444d2d53905ap-18, 0x1.55394461850f6p-18, 0x1.561f7ddfff89p-18, 0x1.56f802a0f0935p-18, 0x1.57c1cd6ef33a1p-18, 0x1.587b0414adbd5p-18, 0x1.5923deca9aa9fp-18, 0x1.59bc220024da8p-18, 0x1.5a42f317a1c03p-18, 0x1.5ab8736f6613dp-18, 0x1.5b1bff62bae92p-18, 0x1.5b6ca21f343e5p-18, 0x1.5ba9dd311cf58p-18, 0x1.5bd36db568f99p-18, 0x1.5be9133abde61p-18, 0x1.5bea8643d2985p-18, 0x1.5bd77de152facp-18, 0x1.5bafb4f2f433fp-18, 0x1.5b72eb7d2ee4ep-18, 0x1.5b20e55177c2cp-18, 0x1.5ab9699d09bdp-18, 0x1.5a3c4695ca0f7p-18, 0x1.59a95951365d7p-18, 0x1.5900989829ba4p-18, 0x1.58421c251ddc9p-18, 0x1.576deff8dcc95p-18, 0x1.56839feea06c3p-18, 0x1.5582cc43389fcp-18, 0x1.546c3cc84ef4ap-18, 0x1.533f69f94d762p-18, 0x1.51fb17e634e3p-18, 0x1.509f98821cd8fp-18, 0x1.4f2e4c69b018p-18, 0x1.4da7f48cc9ep-18, 0x1.4c0b85ed45016p-18, 0x1.4a587c81f2b95p-18, 0x1.488f0c6432d7bp-18, 0x1.46af84857d5b6p-18, 0x1.44ba2187485e5p-18, 0x1.42af11ff417dcp-18, 0x1.408e7f806f60bp-18, 0x1.3e58949fda665p-18, 0x1.3c0d808c4b77ap-18, }}, 
      {{0x1.24c2cad9372cap-2, 0x1.2b129c83e7a3fp-2, 0x1.354b3cc5ceb24p-2, 0x1.430eedb1f4309p-2, 0x1.53f176f9c5b7ep-2, 0x1.67805df1c0e9p-2, 0x1.7d48a564f4957p-2, 0x1.94dab27f766e9p-2, 0x1.adccd413903a9p-2, 0x1.c7bcd7ab1fa5cp-2, 0x1.e250f0673e56fp-2, 0x1.fd381b0271b8ep-2, 0x1.0c151150f1c14p-1, 0x1.1973b1e0e98fcp-1, 0x1.269c31e6e3634p-1, 0x1.3376a716ded78p-1, 0x1.3feeb182e40e7p-1, 0x1.4bf330318f559p-1, 0x1.5775f5f36c7d7p-1, 0x1.626b807a92483p-1, 0x1.6ccab2fa3df37p-1, 0x1.768c95063e01bp-1, 0x1.7fac160d0bba6p-1, 0x1.8825d58528c3ap-1, 0x1.8ff7efb4e62d8p-1, 0x1.9721cee4e57f7p-1, 0x1.9da400bec60d7p-1, 0x1.a3800f8fd6c92p-1, 0x1.a8b85f299c1eap-1, 0x1.ad500d1e110a8p-1, 0x1.b14ad41793172p-1, 0x1.b4acf20de6091p-1, 0x1.b77b111cbfa33p-1, 0x1.b9ba32c420b04p-1, 0x1.bb6f9d5e8bce3p-1, 0x1.bca0cb9cdd95bp-1, 0x1.bd535ddaf3d63p-1, 0x1.bd8d0d23f2423p-1, 0x1.bd539fc04e137p-1, 0x1.bcacdf2ad0a9cp-1, 0x1.bb9e8f4ca4b31p-1, 0x1.ba2e66e35fe12p-1, 0x1.b86208f571eb6p-1, 0x1.b63eff3c10c9cp-1, 0x1.b3cab56caad24p-1, 0x1.b10a754a1f14fp-1, 0x1.ae03636c4049ep-1, 0x1.aaba7ca93c14fp-1, 0x1.a734940d7b486p-1, 0x1.a376515b2df86p-1, 0x1.9f842ff2c0aadp-1, 0x1.9b627e2d90f9bp-1, 0x1.97155d0326f51p-1, 0x1.92a0c001e8d8ap-1, 0x1.8e086d84fae17p-1, 0x1.894fff1ce6e2p-1, 0x1.847ae231deb5fp-1, 0x1.7f8c58bebb3bbp-1, 0x1.7a877a406b77p-1, 0x1.756f34ae60198p-1, 0x1.70464d9305234p-1, 0x1.6b0f63261dfa8p-1, 0x1.65cced7f4f8bcp-1, 0x1.60813fd548562p-1, 0x1.5b2e89ca267bdp-1, 0x1.55d6d8b8b948cp-1, 0x1.507c18ff01b77p-1, 0x1.4b201748c3741p-1, 0x1.45c481de0181fp-1, 0x1.406ae9f4ac79ap-1, 0x1.3b14c4feb6823p-1, 0x1.35c36ded14bf4p-1, 0x1.30782664e386dp-1, 0x1.2b3417e9df2dep-1, 0x1.25f8550405e7fp-1, 0x1.20c5da64187a4p-1, 0x1.1b9d9005ff83p-1, 0x1.16804a4c3412p-1, 0x1.116ecb0eafb59p-1, 0x1.0c69c29a59f9ap-1, 0x1.0771d0a1c4b14p-1, 0x1.02878522ddd7fp-1, 0x1.fb56c28bc6706p-2, 0x1.f1bbb070f2c5bp-2, 0x1.e83ea00a30a89p-2, 0x1.dee044c9c577cp-2, 0x1.d5a13b119ba9cp-2, 0x1.cc8209af07608p-2, 0x1.c383233d911cp-2, 0x1.baa4e771c28d6p-2, 0x1.b1e7a44fae99dp-2, 0x1.a94b9751c2784p-2, 0x1.a0d0ee8406ecep-2, 0x1.9877c99642274p-2, 0x1.90403ae564428p-2, 0x1.882a487b313dp-2, 0x1.8035ed020f68bp-2, 0x1.786318aafec9cp-2, 0x1.70b1b2046ab3bp-2, 0x1.692196c16a549p-2, 0x1.61b29c724c152p-2, 0x1.5a64912fcac4ep-2, 0x1.53373c3ad845cp-2, 0x1.4c2a5e92cc64p-2, 0x1.453db38373673p-2, 0x1.3e70f12c0d0a8p-2, 0x1.37c3c8ff9d0edp-2, 0x1.3135e83ee63ccp-2, 0x1.2ac6f86b9d7fp-2, 0x1.24769fb4c1b91p-2, 0x1.1e44815be94cep-2, 0x1.18303e1320976p-2, 0x1.12397453cbbd6p-2, 0x1.0c5fc0ae9dd12p-2, 0x1.06a2be14f71eep-2, 0x1.0102061c8686p-2, 0x1.f6fa627af0681p-3, 0x1.ec27ae1782417p-3, 0x1.e18b1cd8b148fp-3, 0x1.d723db8cc91e7p-3, 0x1.ccf11661bae52p-3, 0x1.c2f1f93a3bd36p-3, 0x1.b925affc4a07ap-3, 0x1.af8b66d9f46abp-3, 0x1.a6224a94baf23p-3, 0x1.9ce988bb41c53p-3, 0x1.93e04fe1ae58ep-3, 0x1.8b05cfd55767p-3, 0x1.825939cb807e8p-3, 0x1.79d9c08b34893p-3, 0x1.718698934aac4p-3, 0x1.695ef83c57f0fp-3, 0x1.616217d67a5cap-3, 0x1.598f31c41fbcp-3, 0x1.51e58291be761p-3, 0x1.4a64490a3d8b9p-3, 0x1.430ac64904b2ap-3, 0x1.3bd83dc9d5188p-3, 0x1.34cbf57620e79p-3, 0x1.2de535b08b54dp-3, 0x1.2723495ea9d59p-3, 0x1.20857df0f6a9p-3, 0x1.1a0b2369502f6p-3, 0x1.13b38c60034d1p-3, 0x1.0d7e0e0768c3fp-3, 0x1.076a002e8376bp-3, 0x1.0176bd4260405p-3, 0x1.f747449c7b139p-4, 0x1.ebe01df61b01fp-4, 0x1.e0b6cb1c0e995p-4, 0x1.d5ca15cc4112ap-4, 0x1.cb18ccf20e757p-4, 0x1.c0a1c49f49fc4p-4, 0x1.b663d6033130dp-4, 0x1.ac5ddf6053a13p-4, 0x1.a28ec4025e6f4p-4, 0x1.98f56c32a7b27p-4, 0x1.8f90c52b12685p-4, 0x1.865fc108ee2bep-4, 0x1.7d6156bff82cdp-4, 0x1.7494820bef4ap-4, 0x1.6bf843612f3e5p-4, 0x1.638b9fddc9effp-4, 0x1.5b4da13aa931cp-4, 0x1.533d55bb9b437p-4, 0x1.4b59d01ee72abp-4, 0x1.43a2278d5094cp-4, 0x1.3c15778a1e2eap-4, 0x1.34b2dfe29611p-4, 0x1.2d79849d60aa3p-4, 0x1.26688dea103f1p-4, 0x1.1f7f28109025bp-4, 0x1.18bc83608835ep-4, 0x1.121fd42109f03p-4, 0x1.0ba8528043736p-4, 0x1.05553a82d3178p-4, 0x1.fe4b97e65d21ep-5, 0x1.f23294a366f91p-5, 0x1.e65df98a03f8p-5, 0x1.dacc5c13ba76ep-5, 0x1.cf7c58c59077dp-5, 0x1.c46c93108d813p-5, 0x1.b99bb533c62e9p-5, 0x1.af08701e3246bp-5, 0x1.a4b17b4f7a3b6p-5, 0x1.9a9594b90187cp-5, 0x1.90b380a0898c1p-5, 0x1.870a0983da895p-5, 0x1.7d97fffc0e518p-5, 0x1.745c3aa0456f3p-5, 0x1.6b5595e8feda2p-5, 0x1.6282f414a876cp-5, 0x1.59e33d0cdf265p-5, 0x1.51755e4b87703p-5, 0x1.49384abfda33cp-5, 0x1.412afab4084bdp-5, 0x1.394c6bb3b9649p-5, 0x1.319ba072f29cep-5, 0x1.2a17a0b51e3a5p-5, 0x1.22bf79345a159p-5, 0x1.1b923b8966d22p-5, 0x1.148efe1429cd7p-5, 0x1.0db4dbe46b92dp-5, 0x1.0702f4a2b3291p-5, 0x1.00786c79973ebp-5, 0x1.f428d7ff7f367p-6, 0x1.e7ac404502c28p-6, 0x1.db79742148406p-6, 0x1.cf8ede4a48df6p-6, 0x1.c3eaf1a47b3b5p-6, 0x1.b88c291a4b7d6p-6, 0x1.ad7107750bf62p-6, 0x1.a2981736b6021p-6, 0x1.97ffea7393018p-6, 0x1.8da71aabe8d4ap-6, 0x1.838c48a65b316p-6, 0x1.79ae1c4bc9aa3p-6, 0x1.700b448481977p-6, 0x1.66a277160696cp-6, 0x1.5d727080c53a6p-6, 0x1.5479f3ddc7d4ap-6, 0x1.4bb7cabd1e006p-6, 0x1.432ac50589f7cp-6, 0x1.3ad1b8d562d64p-6, 0x1.32ab82640b554p-6, 0x1.2ab703e37533p-6, 0x1.22f32561a986cp-6, 0x1.1b5ed4aadfee1p-6, 0x1.13f9052c8446fp-6, 0x1.0cc0afd951aa7p-6, 0x1.05b4d30e142ep-6, 0x1.fda8e4ed4fb96p-7, 0x1.f03d2de612909p-7, 0x1.e3249cf98492cp-7, 0x1.d65d581a145fep-7, 0x1.c9e58f076f4dcp-7, 0x1.bdbb7b1dd1b1fp-7, 0x1.b1dd5f26152a3p-7, 0x1.a649872629db5p-7, 0x1.9afe483215626p-7, 0x1.8ffa003dcd544p-7, 0x1.853b15f05ddfbp-7, 0x1.7abff8785f651p-7, 0x1.70871f6144c9ap-7, 0x1.668f0a694fdd9p-7, 0x1.5cd641580b746p-7, 0x1.535b53d557dc6p-7, 0x1.4a1cd94166962p-7, 0x1.4119708db630fp-7, 0x1.384fc0170f47ap-7, 0x1.2fbe7580394b1p-7, 0x1.2764458d2d1e9p-7, 0x1.1f3febfeef762p-7, 0x1.17502b6fe269bp-7, 0x1.0f93cd30f4d55p-7, 0x1.0809a1279d3b6p-7, 0x1.00b07dacad3e7p-7, 0x1.f30e7ed771346p-8, 0x1.e51992861f33bp-8, 0x1.d78008484e62cp-8, 0x1.ca3fbde92b21bp-8, 0x1.bd569cdf694bep-8, 0x1.b0c29a11cf757p-8, 0x1.a481b59d4d11cp-8, 0x1.9891fa9c1ae03p-8, 0x1.8cf17eedd7d4cp-8, 0x1.819e630092b93p-8, 0x1.7696d19aa8995p-8, 0x1.6bd8ffa5a4bc5p-8, 0x1.61632bfa605f6p-8, 0x1.57339f2e5a504p-8, 0x1.4d48ab621be6dp-8, 0x1.43a0ac109448fp-8, 0x1.3a3a05df3f304p-8, 0x1.3113266f013cdp-8, 0x1.282a842db47cp-8, 0x1.1f7e9e289ae66p-8, 0x1.170dfbdfd5cafp-8, 0x1.0ed72d1af1a2ep-8, 0x1.06d8c9be82a56p-8, 0x1.fe22e3454e144p-9, 0x1.eeff98d47ff2cp-9, 0x1.e04512b569605p-9, 0x1.d1f0be6839537p-9, 0x1.c400181440ecbp-9, 0x1.b670aa3ad31e4p-9, 0x1.a9400d6c02d65p-9, 0x1.9c6be7fd95cc5p-9, 0x1.8ff1edc3fca83p-9, 0x1.83cfdfcd20a9fp-9, 0x1.78038c1c7e951p-9, 0x1.6c8acd67e56dap-9, 0x1.61638ad4d5162p-9, 0x1.568bb7b60a86bp-9, 0x1.4c015349e790fp-9, 0x1.41c2687a14345p-9, 0x1.37cd0d9d2e4e2p-9, 0x1.2e1f643ad164p-9, 0x1.24b798d1ebd75p-9, 0x1.1b93e2a0e2471p-9, 0x1.12b2836eac54ep-9, 0x1.0a11c753d8a4ap-9, 0x1.01b004831c54ap-9, 0x1.f3173622a4b02p-10, 0x1.e345e97b45931p-10, 0x1.d3e90975c67c3p-10, 0x1.c4fd8ef690e24p-10, 0x1.b68084fe74496p-10, 0x1.a86f084e71c56p-10, 0x1.9ac647100bc83p-10, 0x1.8d83807f33258p-10, 0x1.80a404929da2cp-10, 0x1.742533a04fc03p-10, 0x1.68047dfe1aae2p-10, 0x1.5c3f639fca08ep-10, 0x1.50d373b6a6ba6p-10, 0x1.45be4c565534dp-10, 0x1.3afd9a225a522p-10, 0x1.308f1804bf51p-10, 0x1.26708eec7d8a4p-10, 0x1.1c9fd58f5cd9dp-10, 0x1.131ad0299cd4dp-10, 0x1.09df70377fdf1p-10, 0x1.00ebb425ae76ep-10, 0x1.f07b4df4198bdp-11, 0x1.dfa6bff37386fp-11, 0x1.cf5604a421ceep-11, 0x1.bf857996d7857p-11, 0x1.b03193137478bp-11, 0x1.a156dbb58b881p-11, 0x1.92f1f41c7ee59p-11, 0x1.84ff92a1cd9adp-11, 0x1.777c8303fd335p-11, 0x1.6a65a5f900891p-11, 0x1.5db7f0a3bfef6p-11, 0x1.51706bef0d8dbp-11, 0x1.458c33dd1825dp-11, 0x1.3a0876dde0899p-11, 0x1.2ee2754061b9fp-11, 0x1.241780c73e3e5p-11, 0x1.19a4fc6882cc3p-11, 0x1.0f885c2a78a7cp-11, 0x1.05bf250c09958p-11, 0x1.f88dd9c7a1c73p-12, 0x1.e63ab44155f76p-12, 0x1.d48046c1da177p-12, 0x1.c35a1dc227e0ep-12, 0x1.b2c3e39f6f5c4p-12, 0x1.a2b95f3771a8ap-12, 0x1.933672ae4d579p-12, 0x1.84371a857f66fp-12, 0x1.75b76d187fab5p-12, 0x1.67b39a7806329p-12, 0x1.5a27ec8392701p-12, 0x1.4d10c7108bb19p-12, 0x1.406aa7e9983c9p-12, 0x1.3432267ea78b8p-12, 0x1.2863f33165371p-12, 0x1.1cfcd643aae33p-12, 0x1.11f9ae8858d1fp-12, 0x1.075770084b60ap-12, 0x1.fa2645a0480cap-13, 0x1.e653c42989ec8p-13, 0x1.d331b78e1689ap-13, 0x1.c0baa12010dd9p-13, 0x1.aee9282c355fap-13, 0x1.9db81ab3009a5p-13, 0x1.8d226de415383p-13, 0x1.7d233e0762bd3p-13, 0x1.6db5cda826a53p-13, 0x1.5ed584049a46dp-13, 0x1.507deaed8e098p-13, 0x1.42aaac6081fbp-13, 0x1.3557903784f42p-13, 0x1.28807a47c62fcp-13, 0x1.1c2169347f165p-13, 0x1.1036761085b7ep-13, 0x1.04bbd4b7cd5p-13, 0x1.f35ba927fdcc1p-14, 0x1.de11c2c42aab1p-14, 0x1.c9930738be31fp-14, 0x1.b5d8c09bd6223p-14, 0x1.a2dc708b7b26cp-14, 0x1.9097cd95d0575p-14, 0x1.7f04bfffad5a4p-14, 0x1.6e1d5e4d58d26p-14, 0x1.5ddbe9dedeb22p-14, 0x1.4e3acc042d0aep-14, 0x1.3f3493ea9ade4p-14, 0x1.30c3f5b77cacbp-14, 0x1.22e3cadeb9bc4p-14, 0x1.158f135d06219p-14, 0x1.08c0f71f3eae4p-14, 0x1.f8e98d8d02f7fp-15, 0x1.e14bf6ad06fcbp-15, 0x1.caa06989df176p-15, 0x1.b4de6fe4f085ap-15, 0x1.9ffdd917c4697p-15, 0x1.8bf6b65a0c62fp-15, 0x1.78c157683fe3dp-15, 0x1.6656473d69511p-15, 0x1.54ae48c21ced2p-15, 0x1.43c253ec8bbddp-15, 0x1.338b9432c23dep-15, 0x1.240368d20014ap-15, 0x1.15236683fc1e3p-15, 0x1.06e5596200785p-15, 0x1.f2868aad9c301p-16, 0x1.d86ec8b9be53ap-16, 0x1.bf7845d8b8909p-16, 0x1.a798381d46c9cp-16, 0x1.90c42d0d3b23ep-16, 0x1.7af2072b255ccp-16, 0x1.6617fd5fb1e4cp-16, 0x1.522c9a0f9d429p-16, 0x1.3f26b83debb12p-16, 0x1.2cfd7f3d0403fp-16, 0x1.1ba85eb8a9495p-16, 0x1.0b1f0cf109df8p-16, 0x1.f6b30f0b5c326p-17, 0x1.d8a02a8a74aa1p-17, 0x1.bbf68cd5b6cc7p-17, 0x1.a0a7e3577da98p-17, 0x1.86a65c9a3c932p-17, 0x1.6de49b2630183p-17, 0x1.5655ac5dc39e5p-17, 0x1.3fed062981c5bp-17, 0x1.2a9e89de0223fp-17, 0x1.165e8803c148dp-17, 0x1.0321c08c1c6fp-17, 0x1.e1babc6e98fb6p-18, 0x1.bf0ddfbc3ed9bp-18, 0x1.9e28c813cb37cp-18, 0x1.7ef811b75cf5fp-18, 0x1.61691b24f6351p-18, 0x1.456a062776f1ep-18, 0x1.2ae9ae024e4e3p-18, 0x1.11d791cc68029p-18, 0x1.f4477a0baae7fp-19, 0x1.c77d7088b55c2p-19, 0x1.9d330d51824fp-19, 0x1.754b5aeb8fffap-19, 0x1.4faa7c15bad7fp-19, 0x1.2c35b69509288p-19, 0x1.0ad36d717f1bdp-19, 0x1.d6d618eab916fp-20, 0x1.9bc9dcf1e824cp-20, 0x1.64549a0a98adp-20, 0x1.304a8abc077bap-20, 0x1.ff03bccc47fa9p-21, 0x1.a3a5c14ae78c8p-21, 0x1.4e2fd3fd3440fp-21, 0x1.fcb423e058c37p-22, 0x1.67be1854c3494p-22, 0x1.b9ec2cf7df622p-23, 0x1.6f5f9a9ce45edp-24, -0x1.c1c8660d95ffdp-26, -0x1.16c3a8b6bba92p-23, -0x1.e4d9109a1b902p-23, -0x1.51ab2ac3f3077p-22, -0x1.a986eb00846aap-22, -0x1.fa646c96868dep-22, -0x1.22522853a652bp-21, -0x1.4451d58160013p-21, -0x1.635dff72ec734p-21, -0x1.7fa15c3544f7fp-21, -0x1.99442a1efda9dp-21, -0x1.b06bef0f4b37cp-21, -0x1.c53bbb5310a8fp-21, -0x1.d7d4f410c6329p-21, -0x1.e85836f38dd8bp-21, -0x1.f6e5c80c73e3p-21, -0x1.01cea69c76b3p-20, -0x1.074e910a60df4p-20, -0x1.0c00e698cc49p-20, -0x1.0ff2f3c11bdc2p-20, -0x1.133130e247047p-20, -0x1.15c76e7f0a389p-20, -0x1.17c0f0b9f189dp-20, -0x1.1928782f146a6p-20, -0x1.1a084578b3768p-20, -0x1.1a6a2197e8dcbp-20, -0x1.1a5760f8ca73ep-20, -0x1.19d8d09c68ad8p-20, -0x1.18f693c146adep-20, -0x1.17b817c984048p-20, -0x1.16243cd10ee32p-20, -0x1.1441a051f7ebcp-20, -0x1.1216d26980dbep-20, -0x1.0faa50418c2f4p-20, -0x1.0d02534008d74p-20, -0x1.0a24a5511f75p-20, -0x1.071697c45764dp-20, -0x1.03dd14f7c6e13p-20, -0x1.007cb6fef1f6cp-20, -0x1.f9f3adad04738p-21, -0x1.f2b11e5a73f1cp-21, -0x1.eb39692068a83p-21, -0x1.e3939d69d4b12p-21, -0x1.dbc63f62bfdcfp-21, -0x1.d3d76cc94862cp-21, -0x1.cbccf08ad708dp-21, -0x1.c3ac2b82bdc1dp-21, -0x1.bb79f1ae56f7ep-21, -0x1.b33a932c09c8ep-21, -0x1.aaf2143ae6944p-21, -0x1.a2a45b9fb589cp-21, -0x1.9a552c355da1p-21, -0x1.9207fe68c8b41p-21, -0x1.89bfeccf203dfp-21, -0x1.817fc221687d2p-21, -0x1.794a0be9e2d8fp-21, -0x1.7121215e079cbp-21, -0x1.69072751c6a69p-21, -0x1.60fe14df5e65dp-21, -0x1.5907af6bff383p-21, -0x1.51257d85fa2dbp-21, -0x1.4958bdf238ecep-21, -0x1.41a26ffabc415p-21, -0x1.3a036ad1b0578p-21, -0x1.327c7214c5f35p-21, -0x1.2b0e375392986p-21, -0x1.23b94d22793fap-21, -0x1.1c7e222312f42p-21, -0x1.155d0ac2aad4p-21, -0x1.0e56477ee8c1cp-21, -0x1.0769fc5038f94p-21, -0x1.0098297a8c73ep-21, -0x1.f3c16949b4143p-22, -0x1.e686eff66b7c1p-22, -0x1.d9808a4471bbbp-22, -0x1.ccadbf7364a09p-22, -0x1.c00df99d221ecp-22, -0x1.b3a08c669fb95p-22, -0x1.a764b55ca59fdp-22, -0x1.9b5997a25b075p-22, -0x1.8f7e37ae6a711p-22, -0x1.83d17bb2bd235p-22, -0x1.785231b83e198p-22, -0x1.6cff19a9cf8c8p-22, -0x1.61d6ecec6a68fp-22, -0x1.56d860b20b3d1p-22, -0x1.4c0225d7abab8p-22, -0x1.4152e96043eefp-22, -0x1.36c9559dd918p-22, -0x1.2c640fefae24dp-22, -0x1.2221b40a1a5d6p-22, -0x1.1800d538219b3p-22, -0x1.0e00064794f6p-22, -0x1.041ddeae70e84p-22, -0x1.f4b1f2ea01a33p-23, -0x1.e15fe8f7ab3ecp-23, -0x1.ce42e57cbd64fp-23, -0x1.bb583952c12ap-23, -0x1.a89d3cd0aee1ap-23, -0x1.960f4d1c70e9ap-23, -0x1.83abcbf40e9d6p-23, -0x1.717022fe7aad7p-23, -0x1.5f59cbed3994bp-23, -0x1.4d66591394392p-23, -0x1.3b937794f8a9ep-23, -0x1.29dee3a2f46d5p-23, -0x1.18465ae3897e1p-23, -0x1.06c79d8eeb028p-23, -0x1.eac0f9491036bp-24, -0x1.c81dc19ca6306p-24, -0x1.a5a19e3586df5p-24, -0x1.8348e9ae3cebfp-24, -0x1.6110357fd8c78p-24, -0x1.3ef40e80c6174p-24, -0x1.1cf10671610f7p-24, -0x1.f607d2adb2d84p-25, -0x1.b253821d36f58p-25, -0x1.6ebf7b1bd9587p-25, -0x1.2b46662e9261ep-25, -0x1.cfc682463d50dp-26, -0x1.4922b6ffa7b3ep-26, -0x1.853148aec84afp-27, -0x1.e100ca96848c3p-29, 0x1.2939f0357803bp-28, 0x1.a17467a217fbep-27, 0x1.57297600a2a01p-26, 0x1.dda1f9f1d2c52p-26, 0x1.32147c82a0562p-25, 0x1.75619f2d1fb71p-25, 0x1.b8ba9ac3bae92p-25, 0x1.fc2157b257cbdp-25, 0x1.1fcbb630946cep-24, 0x1.418f122e8385dp-24, 0x1.635b23d964a65p-24, 0x1.853020185dcd3p-24, 0x1.a70e51b3318ddp-24, 0x1.c8f5f5c85105ap-24, 0x1.eae702d4e273ap-24, 0x1.0670a5f5c7a43p-23, 0x1.17724cde05b6ep-23, 0x1.28784dd5e6f2fp-23, 0x1.3982719dc388cp-23, 0x1.4a907316fb7d9p-23, 0x1.5ba200686252ap-23, 0x1.6cb6bb3f4ae5dp-23, 0x1.7dce3926845a2p-23, 0x1.8ee80373fb189p-23, 0x1.a003974d7d108p-23, 0x1.b12067e35c406p-23, 0x1.c23de1c53a14dp-23, 0x1.d35b6ddb0017cp-23, 0x1.e478737507324p-23, 0x1.f59455a03bc55p-23, 0x1.0357326466067p-22, 0x1.0be2ec1edc0e8p-22, 0x1.146cf2afd13adp-22, 0x1.1cf4e3925be3ap-22, 0x1.257a54f6157dfp-22, 0x1.2dfcdeac1ab28p-22, 0x1.367c15d978268p-22, 0x1.3ef7851378895p-22, 0x1.476eb8288a189p-22, 0x1.4fe13b552679bp-22, 0x1.584e97a306311p-22, 0x1.60b6544983aacp-22, 0x1.6917f7af8d802p-22, 0x1.7173071681553p-22, 0x1.79c7060823acep-22, 0x1.821375bae630fp-22, 0x1.8a57d57443f5fp-22, 0x1.9293a363f7b4ap-22, 0x1.9ac65d64c597ap-22, 0x1.a2ef8188edc79p-22, 0x1.ab0e8d4a961dep-22, 0x1.b322feee7f9fcp-22, 0x1.bb2c5533333e2p-22, 0x1.c32a122547215p-22, 0x1.cb1bbb64bc6b7p-22, 0x1.d300d11fd2b5bp-22, 0x1.dad8c904a5824p-22, 0x1.e2a322e3c044fp-22, 0x1.ea5f67fe37ae2p-22, 0x1.f20d1c97ff697p-22, 0x1.f9abbdd9e0a24p-22, 0x1.009d64cca8af6p-21, 0x1.045ce3eafcebbp-21, 0x1.08141ffb52711p-21, 0x1.0bc2dc043cbp-21, 0x1.0f68dbf34372ap-21, 0x1.1305e4fa8a53fp-21, 0x1.1699bd65938c7p-21, 0x1.1a242c54784c7p-21, 0x1.1da4f98f7dee4p-21, 0x1.211bed5820e93p-21, }}, 
      {{0x1.1e2d3a4c8800ap-10, 0x1.1b06404fe34fcp-8, 0x1.373c85330a985p-7, 0x1.0b9d8efaa1e6cp-6, 0x1.911a81a08281fp-6, 0x1.133a5c32faf4dp-5, 0x1.633c7e9f3fbedp-5, 0x1.b6422f6d3074bp-5, 0x1.0520947082782p-4, 0x1.2eb7bf9b206fbp-4, 0x1.571ebd5ad1db9p-4, 0x1.7da8e07d175a8p-4, 0x1.a1c3a15f9b5a5p-4, 0x1.c2f5e9a6fdbb7p-4, 0x1.e0df3b3ff54a5p-4, 0x1.fb366cc5864eep-4, 0x1.08e3f44f31fdbp-3, 0x1.1239c06ad54cp-3, 0x1.1994fe73d7c85p-3, 0x1.1ef54639733c7p-3, 0x1.2260230a0a797p-3, 0x1.23dfe8a1d8fa9p-3, 0x1.2382a7ffcdcf7p-3, 0x1.215949a6ee064p-3, 0x1.1d76cea4ccec2p-3, 0x1.17efb65c979dcp-3, 0x1.10d98522c8d0cp-3, 0x1.084a6665e6246p-3, 0x1.fcb1ca73e0edp-4, 0x1.e6376cbf9b551p-4, 0x1.cd531f15f01ccp-4, 0x1.b232109f498adp-4, 0x1.950103955627ap-4, 0x1.75ec256972745p-4, 0x1.551eec532a047p-4, 0x1.32c3f7e82990dp-4, 0x1.0f04f3499a24bp-4, 0x1.d414f053ce06fp-5, 0x1.87f7e4eeba312p-5, 0x1.39ff09d573dbbp-5, 0x1.d4e7bbd065159p-6, 0x1.3339d244a1b4cp-6, 0x1.1ef6424ee9f54p-7, -0x1.5d41e15b25ca7p-10, -0x1.7874fc034510cp-7, -0x1.63458db6b11b2p-6, -0x1.0544fd7efb867p-5, -0x1.58d1c8d7f0207p-5, -0x1.ac1aa9506174fp-5, -0x1.fef4a63689a3cp-5, -0x1.289c20bf139ebp-4, -0x1.5160b6bfe38d8p-4, -0x1.79b7ab6cb36fbp-4, -0x1.a1923616a520cp-4, -0x1.c8e3058d11aabp-4, -0x1.ef9e44b3a3298p-4, -0x1.0adcb79b0d87fp-3, -0x1.1d95a804613e6p-3, -0x1.2ff5ed7217f33p-3, -0x1.41fa124ce0c8cp-3, -0x1.539f2117db54bp-3, -0x1.64e29ebcd6e35p-3, -0x1.75c27cfb2aea5p-3, -0x1.863d13b6759a7p-3, -0x1.96511678ed93cp-3, -0x1.a5fd8d7037763p-3, -0x1.b541cd78bebeap-3, -0x1.c41d718301397p-3, -0x1.d29054333be5ap-3, -0x1.e09a8a18faf9ap-3, -0x1.ee3c5c5589234p-3, -0x1.fb7643aaccbf1p-3, -0x1.042471f59be44p-2, -0x1.0a5a83e0124d4p-2, -0x1.105dce58bb6e4p-2, -0x1.162ed7b7614bep-2, -0x1.1bce3429bf3fdp-2, -0x1.213c8411fb5e7p-2, -0x1.267a7283fc11fp-2, -0x1.2b88b3e15f6d5p-2, -0x1.30680492b8c5p-2, -0x1.351927dbd1535p-2, -0x1.399ce6c6ff663p-2, -0x1.3df40f2620e4p-2, -0x1.421f72a785bedp-2, -0x1.461fe5fec039p-2, -0x1.49f64021e9eb4p-2, -0x1.4da3599b8049ep-2, -0x1.51280befcb807p-2, -0x1.548531144593fp-2, -0x1.57bba2f60d53ap-2, -0x1.5acc3b0cb068p-2, -0x1.5db7d1f6e3e44p-2, -0x1.607f3f1e9f905p-2, -0x1.632358643eae5p-2, -0x1.65a4f1d003f13p-2, -0x1.6804dd4a1009ep-2, -0x1.6a43ea59b7d8dp-2, -0x1.6c62e5eb63a35p-2, -0x1.6e629a1df2df4p-2, -0x1.7043ce1694571p-2, -0x1.720745d9f1b2cp-2, -0x1.73adc22b45404p-2, -0x1.7538006de5181p-2, -0x1.76a6ba8b87b88p-2, -0x1.77faa6dc850abp-2, -0x1.79347811b624p-2, -0x1.7a54dd2367c63p-2, -0x1.7b5c813eda8dfp-2, -0x1.7c4c0bb9c6e39p-2, -0x1.7d242007e29ccp-2, -0x1.7de55db0cdf8cp-2, -0x1.7e90604d84514p-2, -0x1.7f25bf859bfap-2, -0x1.7fa60f0e61fe4p-2, -0x1.8011deb1744c9p-2, -0x1.8069ba50cde46p-2, -0x1.80ae29ed396c8p-2, -0x1.80dfb1b44236dp-2, -0x1.80fed20860d78p-2, -0x1.810c078d5b0e9p-2, -0x1.8107cb3aa9a66p-2, -0x1.80f2926736136p-2, -0x1.80ccced9d0a96p-2, -0x1.8096eede7bfcbp-2, -0x1.80515d56631bap-2, -0x1.7ffc81ca711f4p-2, -0x1.7f98c0831ab4bp-2, -0x1.7f267a9cc298p-2, -0x1.7ea60e1b4f5a4p-2, -0x1.7e17d603a933dp-2, -0x1.7d7c2a73eb587p-2, -0x1.7cd360b7cf7c2p-2, -0x1.7c1dcb6267e6p-2, -0x1.7b5bba68a12f8p-2, -0x1.7a8d7b36b8befp-2, -0x1.79b358c910d63p-2, -0x1.78cd9bc719ac4p-2, -0x1.77dc8a99809fap-2, -0x1.76e06981b756bp-2, -0x1.75d97ab41218dp-2, -0x1.74c7fe6df4ce4p-2, -0x1.73ac330b4de0bp-2, -0x1.7286551f5a042p-2, -0x1.71569f8b3c862p-2, -0x1.701d4b90dfe1p-2, -0x1.6eda90e80e17fp-2, -0x1.6d8ea5d5da5fcp-2, -0x1.6c39bf3fee531p-2, -0x1.6adc10bc10767p-2, -0x1.6975cca374101p-2, -0x1.6807242938d6ap-2, -0x1.6690476a98247p-2, -0x1.65116579df51ap-2, -0x1.638aac6faf577p-2, -0x1.61fc4980f8fe9p-2, -0x1.6066690c5da14p-2, -0x1.5ec936a08a726p-2, -0x1.5d24dd0a4374p-2, -0x1.5b7986694ef79p-2, -0x1.59c75c3d03b5bp-2, -0x1.580e87673a30dp-2, -0x1.564f3034b278fp-2, -0x1.54897e6f283c6p-2, -0x1.52bd996b96098p-2, -0x1.50eba80cd6a64p-2, -0x1.4f13d0c5094dfp-2, -0x1.4d3639a0ffb69p-2, -0x1.4b53085820f05p-2, -0x1.496a625368b8bp-2, -0x1.477c6caaf9983p-2, -0x1.45894c275362fp-2, -0x1.4391254d52607p-2, -0x1.41941c6b1db4cp-2, -0x1.3f925599e5c6dp-2, -0x1.3d8bf4b810e05p-2, -0x1.3b811d6a00a65p-2, -0x1.3971f32593785p-2, -0x1.375e993c613c7p-2, -0x1.354732da3a8abp-2, -0x1.332be2fd75e98p-2, -0x1.310ccc765eaafp-2, -0x1.2eea11f098e5cp-2, -0x1.2cc3d5fb8b2e3p-2, -0x1.2a9a3b0882477p-2, -0x1.286d636282c9fp-2, -0x1.263d712ac9b2p-2, -0x1.240a865e5258fp-2, -0x1.21d4c4dd41887p-2, -0x1.1f9c4e6b528ccp-2, -0x1.1d6144a8d8c35p-2, -0x1.1b23c90bec422p-2, -0x1.18e3fce06d5cep-2, -0x1.16a2014d9ae39p-2, -0x1.145df759b6851p-2, -0x1.1217ffe6b077dp-2, -0x1.0fd03baa2c24ep-2, -0x1.0d86cb27c4166p-2, -0x1.0b3bceb1f8c7ep-2, -0x1.08ef666ef5fcep-2, -0x1.06a1b25a52795p-2, -0x1.0452d2403d799p-2, -0x1.0202e5b53351dp-2, -0x1.ff641821516f3p-3, -0x1.fac0c8dc1e3d8p-3, -0x1.f61c1b61ece9p-3, -0x1.f1764d0c14e6bp-3, -0x1.eccf9abc39d75p-3, -0x1.e82840cc7aafdp-3, -0x1.e3807b04dba64p-3, -0x1.ded8849bd591bp-3, -0x1.da30983cd8c66p-3, -0x1.d588f00a87f3bp-3, -0x1.d0e1c5973fdecp-3, -0x1.cc3b51d7aba18p-3, -0x1.c795cd17e7576p-3, -0x1.c2f16ef8f290fp-3, -0x1.be4e6e748a5e4p-3, -0x1.b9ad01e03accep-3, -0x1.b50d5eea17c22p-3, -0x1.b06fba8f833abp-3, -0x1.abd449130a71cp-3, -0x1.a73b3df6920ffp-3, -0x1.a2a4cbfb4e405p-3, -0x1.9e1125244af65p-3, -0x1.99807ab6e5508p-3, -0x1.94f2fd36fcfd3p-3, -0x1.9068dc5ffe23ap-3, -0x1.8be2471e0cba9p-3, -0x1.875f6b8a1f0dap-3, -0x1.82e076e9b4bbep-3, -0x1.7e6595b026ba5p-3, -0x1.79eef37f12a3dp-3, -0x1.757cbb244af54p-3, -0x1.710f1695b400bp-3, -0x1.6ca62eec91809p-3, -0x1.68422c622cf8dp-3, -0x1.63e3364ee5954p-3, -0x1.5f89732b04256p-3, -0x1.5b35088fd2d41p-3, -0x1.56e61b37b86cp-3, -0x1.529ccefcac849p-3, -0x1.4e5946d57dfa5p-3, -0x1.4a1ba4d30fba1p-3, -0x1.45e40a1ef4834p-3, -0x1.41b296fbcfa96p-3, -0x1.3d876ac6d6594p-3, -0x1.3962a3f965f9cp-3, -0x1.35446029c7723p-3, -0x1.312cbc0aba2dp-3, -0x1.2d1bd36a0ef8cp-3, -0x1.2911c12f65376p-3, -0x1.250e9f5c0348ap-3, -0x1.2112870c1ea2ap-3, -0x1.1d1d9078f7e61p-3, -0x1.192fd2fb0a4cep-3, -0x1.1549650baf3cfp-3, -0x1.116a5c45d37b4p-3, -0x1.0d92cd65e04d3p-3, -0x1.09c2cc49a9e0fp-3, -0x1.05fa6bf11c961p-3, -0x1.0239be801638p-3, -0x1.fd01aa81e00cep-4, -0x1.f59f814e85963p-4, -0x1.ee4d20a4aebe9p-4, -0x1.e70aa61dfe0bdp-4, -0x1.dfd82db16b613p-4, -0x1.d8b5d1b4f13f7p-4, -0x1.d1a3aadff6412p-4, -0x1.caa1d04f5ccd7p-4, -0x1.c3b0578b373ecp-4, -0x1.bccf548d52a97p-4, -0x1.b5fed9c7a901bp-4, -0x1.af3ef82a11bd4p-4, -0x1.a88fbf26b9517p-4, -0x1.a1f13cb55884p-4, -0x1.9b637d5603efcp-4, -0x1.94e68c14a35e9p-4, -0x1.8e7a728e3acd1p-4, -0x1.881f38f7d7e28p-4, -0x1.81d4e6269d754p-4, -0x1.7b9b7f97dc9adp-4, -0x1.757309784716p-4, -0x1.6f5b86a9712d5p-4, -0x1.6954f8c563eefp-4, -0x1.635f6020da855p-4, -0x1.5d7abbcdb4acp-4, -0x1.57a7099f2bae3p-4, -0x1.51e44630d852cp-4, -0x1.4c326cf05a359p-4, -0x1.469178287e49ep-4, -0x1.4101610c11f92p-4, -0x1.3b821fbe75f05p-4, -0x1.3613ab5874ca1p-4, -0x1.30b5f9e9381e1p-4, -0x1.2b690074c51fap-4, -0x1.262cb2f2d34f1p-4, -0x1.210104511ca09p-4, -0x1.1be5e67b36568p-4, -0x1.16db4a682f3f9p-4, -0x1.11e1202be25a7p-4, -0x1.0cf757085433ep-4, -0x1.081ddd7ac300ap-4, -0x1.0354a140f514cp-4, -0x1.fd371eab977d6p-5, -0x1.f3e527ce7cac1p-5, -0x1.eab33495cdb1ep-5, -0x1.e1a119ef1558ap-5, -0x1.d8aeab1232226p-5, -0x1.cfdbb9a2f6d88p-5, -0x1.c72815e826c22p-5, -0x1.be938f0b4672dp-5, -0x1.b61df34fae2b6p-5, -0x1.adc7102fc8079p-5, -0x1.a58eb2565c0dp-5, -0x1.9d74a574fd998p-5, -0x1.9578b40578ff9p-5, -0x1.8d9aa70d40b76p-5, -0x1.85da45fc55ad7p-5, -0x1.7e3756ba9fa99p-5, -0x1.76b19de90229ep-5, -0x1.6f48df4a5d3f3p-5, -0x1.67fcde39963dap-5, -0x1.60cd5e0a1fd55p-5, -0x1.59ba223386f16p-5, -0x1.52c2ee364231dp-5, -0x1.4be7853d91331p-5, -0x1.4527a99864133p-5, -0x1.3e831c33c7673p-5, -0x1.37f99c454e91bp-5, -0x1.318ae749510cep-5, -0x1.2b36b9619f436p-5, -0x1.24fcce03ee589p-5, -0x1.1edce0cc66f7ep-5, -0x1.18d6ae394e12dp-5, -0x1.12e9f4160f2bdp-5, -0x1.0d16716f57d55p-5, -0x1.075be60af646fp-5, -0x1.01ba118371dd7p-5, -0x1.f861648c85e33p-6, -0x1.ed7f098330409p-6, -0x1.e2cc860d302bep-6, -0x1.d8494a0fa01dap-6, -0x1.cdf4c2e0a36e4p-6, -0x1.c3ce5dc65b2fbp-6, -0x1.b9d58aa2620f2p-6, -0x1.b009be0d14c59p-6, -0x1.a66a7240488e6p-6, -0x1.9cf7267c60086p-6, -0x1.93af5cfc09d4bp-6, -0x1.8a9297f46450ep-6, -0x1.81a0566b45911p-6, -0x1.78d811c4c2abep-6, -0x1.70393cc18f543p-6, -0x1.67c3444bd8db3p-6, -0x1.5f7591f6058f5p-6, -0x1.574f8f98b208fp-6, -0x1.4f50ab29c991fp-6, -0x1.477859cddddfbp-6, -0x1.3fc6194e1a1e9p-6, -0x1.38396f8144b1p-6, -0x1.30d1e7bbd7661p-6, -0x1.298f0ee0c078ap-6, -0x1.22706f0d6d267p-6, -0x1.1b758bfd036bap-6, -0x1.149de11588cfdp-6, -0x1.0de8e1a91c32fp-6, -0x1.0755fb68a077p-6, -0x1.00e49a78a1352p-6, -0x1.f5285c5fafff9p-7, -0x1.e8c85ab329804p-7, -0x1.dca831e1d5e3bp-7, -0x1.d0c6f94bfc82ep-7, -0x1.c523da0fd107bp-7, -0x1.b9be07833330bp-7, -0x1.ae94b5a35e0acp-7, -0x1.a3a70fc838b17p-7, -0x1.98f431d415385p-7, -0x1.8e7b2576b9556p-7, -0x1.843ae41d13f6ep-7, -0x1.7a325d0d9e741p-7, -0x1.70607e3ee3176p-7, -0x1.66c43ddc8cff9p-7, -0x1.5d5ca24bc421p-7, -0x1.5428c6dcc1928p-7, -0x1.4b27dc236b9eap-7, -0x1.425923fe4b3d9p-7, -0x1.39bbea5ae6595p-7, -0x1.314f7c80a565bp-7, -0x1.291320e9c1e8ep-7, -0x1.2106116dae5e7p-7, -0x1.192778dd52cedp-7, -0x1.11767461da623p-7, -0x1.09f2182760b8p-7, -0x1.0299763ee9213p-7, -0x1.f6d74c754d8b6p-8, -0x1.e8cf97bd7040dp-8, -0x1.db1a36caffc35p-8, -0x1.cdb5b4b8f77e3p-8, -0x1.c0a0b9fac5a5dp-8, -0x1.b3da01c3c7f27p-8, -0x1.a7604d48bb6dep-8, -0x1.9b325842d9b42p-8, -0x1.8f4ed12c5926cp-8, -0x1.83b45626867b7p-8, -0x1.7861762509283p-8, -0x1.6d54b553a0aaep-8, -0x1.628c93aba66afp-8, -0x1.580794dab63eep-8, -0x1.4dc448802325p-8, -0x1.43c151482b17bp-8, -0x1.39fd68ef2ec49p-8, -0x1.30775f6cae46cp-8, -0x1.272e14d83adb8p-8, -0x1.1e206fba488b3p-8, -0x1.154d534f5ea84p-8, -0x1.0cb399891d428p-8, -0x1.045212d797d9p-8, -0x1.f84f15ba1e2d8p-9, -0x1.e8659dd4eb3e8p-9, -0x1.d8e565d079befp-9, -0x1.c9cc26358d332p-9, -0x1.bb17a738f66c7p-9, -0x1.acc5bf790c3bp-9, -0x1.9ed455d582794p-9, -0x1.9141660f3fe7p-9, -0x1.840b044ddc9f1p-9, -0x1.772f5a917f0e8p-9, -0x1.6aac9d67092eep-9, -0x1.5e80fa2f0fed7p-9, -0x1.52aa8687e7221p-9, -0x1.47273a65062eap-9, -0x1.3bf4fa7714f9ep-9, -0x1.3111afe81e179p-9, -0x1.267b625dee8fdp-9, -0x1.1c30476b29fb5p-9, -0x1.122ec0b8e3a2dp-9, -0x1.08754c3498bd2p-9, -0x1.fe04e14c8d276p-10, -0x1.eba961ee6370ep-10, -0x1.d9d514baba2edp-10, -0x1.c884f550629f5p-10, -0x1.b7b6103e4afcdp-10, -0x1.a76588b8d8a13p-10, -0x1.97908c5935f5bp-10, -0x1.883436c2c4bcbp-10, -0x1.794d7356b11cdp-10, -0x1.6ad8f271b1919p-10, -0x1.5cd341aee300dp-10, -0x1.4f3903b78096ep-10, -0x1.42072f76b6a97p-10, -0x1.353b364bad13ap-10, -0x1.28d2fc59e51a7p-10, -0x1.1ccca7bf8bd94p-10, -0x1.1126625984d61p-10, -0x1.05de2d37f4d3p-10, -0x1.f5e3a920c1ad4p-11, -0x1.e0bdfdd9960acp-11, -0x1.cc4691cecedap-11, -0x1.b878be750b159p-11, -0x1.a55017f8f3fap-11, -0x1.92c861612207ep-11, -0x1.80dd5f66d1eeep-11, -0x1.6f8aa22c446a2p-11, -0x1.5ecb685ddc3d6p-11, -0x1.4e9ab9215cffp-11, -0x1.3ef3ba4a79c7ep-11, -0x1.2fd2225dea116p-11, -0x1.2132883731977p-11, -0x1.131259b805eb9p-11, -0x1.056f77387f354p-11, -0x1.f08f5c18cf0fcp-12, -0x1.d730b5a06f5cp-12, -0x1.bebca84a4831bp-12, -0x1.a72c1f358a7d1p-12, -0x1.9077c0992a68p-12, -0x1.7a985ff32c047p-12, -0x1.65873bd454ff4p-12, -0x1.513e0a51fcbddp-12, -0x1.3db6f1f9d34cp-12, -0x1.2aec6e58fa6bap-12, -0x1.18d90560857bfp-12, -0x1.0776e46f7c81ep-12, -0x1.ed7f7cba076e3p-13, -0x1.cd5a5ca94fcbep-13, -0x1.ae72f3db24d55p-13, -0x1.90c06601c9c14p-13, -0x1.743c7b2e5da94p-13, -0x1.58e24e8805e06p-13, -0x1.3eac7a2986621p-13, -0x1.2593db7f8e11ap-13, -0x1.0d8f7764158c5p-13, -0x1.ed2aa5e54bc91p-14, -0x1.c1371a96da49ap-14, -0x1.9731a74c79ff1p-14, -0x1.6f0806c9a1dcp-14, -0x1.48a7ced9cf4a9p-14, -0x1.23ffa50164c75p-14, -0x1.01010e17056b8p-14, -0x1.bf4115a0946fap-15, -0x1.7fa6de806bebcp-15, -0x1.431a8a871246cp-15, -0x1.097dd1f346729p-15, -0x1.a55f90a353e0dp-16, -0x1.3d242a6a7003ap-16, -0x1.b4372e8fbc62fp-17, -0x1.f0a420eb453c7p-18, -0x1.19be42b8e8449p-19, 0x1.8699218340d96p-19, 0x1.0042dd283a742p-17, 0x1.95ce1d4463abep-17, 0x1.1155771eaedfap-16, 0x1.53948c3e4eecep-16, 0x1.91c91f6209875p-16, 0x1.cc1f1169c650bp-16, 0x1.0164fad6d3b58p-15, 0x1.1afe0dc3da70cp-15, 0x1.32ee64b7267bdp-15, 0x1.49429ba83ebccp-15, 0x1.5e03237576e9ep-15, 0x1.7139477176affp-15, 0x1.82f2b8b8ab893p-15, 0x1.9342061227f24p-15, 0x1.a23ca4feb2229p-15, 0x1.aff66a760bd4bp-15, 0x1.bc7bd3d91abf5p-15, 0x1.c7d17045d9f51p-15, 0x1.d1fb4530b0a75p-15, 0x1.db0498e6a2ec8p-15, 0x1.e2ff1f2a4f481p-15, 0x1.e9fad01e040b9p-15, 0x1.f00121009893dp-15, 0x1.f518e2d96fb2fp-15, 0x1.f94b911035374p-15, 0x1.fca5ea8e4900bp-15, 0x1.ff360d3a354a9p-15, 0x1.0084f3a3757a4p-14, 0x1.0116dc011be52p-14, 0x1.01552a609650bp-14, 0x1.014250099e03bp-14, 0x1.00dfbc7d5fcdcp-14, 0x1.002f79a3b1967p-14, 0x1.fe6a9a1b8c3bcp-15, 0x1.fbee281a5f05dp-15, 0x1.f8f7ab7167668p-15, 0x1.f5913608a37d7p-15, 0x1.f1bc2e9113c18p-15, 0x1.ed774b8888415p-15, 0x1.e8c85a12c7b6fp-15, 0x1.e3bb88fb2ab15p-15, 0x1.de5a01a9c47p-15, 0x1.d8a6c8a3dd515p-15, 0x1.d2a488eac9b5dp-15, 0x1.cc58c1cebbe07p-15, 0x1.c5c99ecbfeb6bp-15, 0x1.befc2017f5decp-15, 0x1.b7f48217f36f2p-15, 0x1.b0b7743b5e8b9p-15, 0x1.a94ac8d71fb0fp-15, 0x1.a1b4e196f5ad8p-15, 0x1.99fad05ae4c07p-15, 0x1.921ec357f2dd3p-15, 0x1.8a20e0be6bc0cp-15, 0x1.82021068ae573p-15, 0x1.79c66a3ed8b9p-15, 0x1.7175b3de31ab6p-15, 0x1.69171929d89d8p-15, 0x1.60aab08dd4a81p-15, 0x1.582d17a8b0b26p-15, 0x1.4fa178894868cp-15, 0x1.470fc61005fcbp-15, 0x1.3e7b2ec65143ap-15, 0x1.35e2e57a545c8p-15, 0x1.2d488aa607917p-15, 0x1.24afe1beafad6p-15, 0x1.1c1c0292cc019p-15, 0x1.138ec5d3eae67p-15, 0x1.0b094726d2d4dp-15, 0x1.028c47de27035p-15, 0x1.f430e567bd037p-16, 0x1.e35d7abb47babp-16, 0x1.d2a1fc37bb085p-16, 0x1.c204ad5a8572cp-16, 0x1.b18c7f050042ep-16, 0x1.a13c4a517c4f3p-16, 0x1.91117e735aeb2p-16, 0x1.8109931f8e6aep-16, 0x1.7128b08a335b1p-16, 0x1.617858e66ab2ep-16, 0x1.51f9eed3e5486p-16, 0x1.42a63ef33c4b3p-16, 0x1.33806e78ee1e2p-16, 0x1.24911980a519cp-16, 0x1.15d669a6481bep-16, 0x1.074db3fa08b5ep-16, 0x1.f1f4efd253474p-17, 0x1.d5c0aa93e491dp-17, 0x1.ba013ac932d6ep-17, 0x1.9eb72c52a3964p-17, 0x1.83e2e01b71f72p-17, 0x1.6984eadbc98e9p-17, 0x1.4f9dcc73d765ep-17, 0x1.362d806788d91p-17, 0x1.1d332ef2d0d8dp-17, 0x1.04ad387dbb9fdp-17, 0x1.d933f8fc7ccdcp-18, 0x1.a9f5376d13b35p-18, 0x1.7bacfa7f567fap-18, 0x1.4e6bbda8be60fp-18, 0x1.222881b7fc292p-18, 0x1.ed9446ec4d659p-19, 0x1.98b0779d46e75p-19, 0x1.45d85fc92aff1p-19, 0x1.e9d5538c5f156p-20, 0x1.4bba13672e34dp-20, 0x1.62f92baa09b6bp-21, 0x1.adb4a289a7d3ap-24, -0x1.e08b682b9754cp-22, -0x1.075301a46cde4p-20, -0x1.92b15e12a6d8p-20, -0x1.0d2722a459ad5p-19, -0x1.4f1ce6267fc7bp-19, -0x1.8f4008a80b39ap-19, -0x1.cd95774e292afp-19, -0x1.0510e8966d6f8p-18, -0x1.2274d4e4c0595p-18, -0x1.3ef8b5db675a4p-18, -0x1.5a9eaecda4a9p-18, -0x1.756916ca277d8p-18, -0x1.8f5afb6d82296p-18, -0x1.a878d3bf01434p-18, -0x1.c0c8f6bcaf33cp-18, -0x1.d8507ff7d8be3p-18, -0x1.ef0baefd3affdp-18, -0x1.027bf2fe053cep-17, -0x1.0d12775d0c69dp-17, -0x1.1746d821e91d4p-17, -0x1.211165be33fdap-17, -0x1.2a76679cbab03p-17, -0x1.33814c7ef2947p-17, -0x1.3c384271a3eep-17, -0x1.4494a583f5871p-17, -0x1.4c93eafddfb26p-17, -0x1.543880cf72802p-17, -0x1.5b855951cadbbp-17, -0x1.627cc25905671p-17, -0x1.69208f7bf7f1ep-17, -0x1.6f725ba10c462p-17, -0x1.7573b0488b84bp-17, -0x1.7b26198f145b5p-17, }}, 
      {{0x1.d89f9c7c96b7fp-3, 0x1.ca89a2ffb6b4ap-2, 0x1.49045e786d94ep-1, 0x1.9f3259c45ce41p-1, 0x1.e70745e93c664p-1, 0x1.1055c9618f80cp+0, 0x1.26708c10415b3p+0, 0x1.36634030cf739p+0, 0x1.40d5f2a762e24p+0, 0x1.467a325b4d916p+0, 0x1.4800c9cc3804dp+0, 0x1.46130e57fd758p+0, 0x1.414ec23ec21b3p+0, 0x1.3a43cb6c1bb9p+0, 0x1.317332cc269e1p+0, 0x1.274f045ba9359p+0, 0x1.1c3ac3d7d8aa3p+0, 0x1.108c3edbfd497p+0, 0x1.048c949c99196p+0, 0x1.f0f2aecab70ffp-1, 0x1.d90b6984f598p-1, 0x1.c1b72f8937b38p-1, 0x1.ab397b1da9cf7p-1, 0x1.95c76f57327f2p-1, 0x1.8189b3a86ee9bp-1, 0x1.6e9e2483774bbp-1, 0x1.5d19591e836dap-1, 0x1.4d07ffda29a1ep-1, 0x1.3e7013cf85ed6p-1, 0x1.3151eeb0f7ed2p-1, 0x1.25a93a597ec9dp-1, 0x1.1b6dc54894d49p-1, 0x1.12943d0566fc8p-1, 0x1.0b0ed11a2ad92p-1, 0x1.04cdc1145cf1fp-1, 0x1.ff7faf773c739p-2, 0x1.f7a5aaf9d12d5p-2, 0x1.f1e797b1fa71bp-2, 0x1.ee1ed6f511d9ep-2, 0x1.ec248ce75c5cbp-2, 0x1.ebd20ff3ec59p-2, 0x1.ed0145abf419bp-2, 0x1.ef8cef3fb6196p-2, 0x1.f350e79eadbd5p-2, 0x1.f82a54de070c8p-2, 0x1.fdf7ce86eff3p-2, 0x1.024cbd4ecf5d6p-1, 0x1.05f890ccd434fp-1, 0x1.09f11e12cfdacp-1, 0x1.0e28fcfdd32d2p-1, 0x1.1293a1a41077fp-1, 0x1.17255bda51f31p-1, 0x1.1bd352b568729p-1, 0x1.209381c958b49p-1, 0x1.255cb113ea5a5p-1, 0x1.2a267059637cbp-1, 0x1.2ee90d596a224p-1, 0x1.339d8d7aacfe1p-1, 0x1.383da381d4cb9p-1, 0x1.3cc3a81e884ebp-1, 0x1.412a8fa2af455p-1, 0x1.456de205d882bp-1, 0x1.4989b10bba733p-1, 0x1.4d7a90390a182p-1, 0x1.513d8bdcacde1p-1, 0x1.54d0212a83c2bp-1, 0x1.583036292899bp-1, 0x1.5b5c1230b7263p-1, 0x1.5e5256ac04912p-1, 0x1.6111f83ebb80ep-1, 0x1.639a383ad6b95p-1, 0x1.65ea9e5f62f1cp-1, 0x1.6802f2da82232p-1, 0x1.69e33891b3f2bp-1, 0x1.6b8ba7b724c0fp-1, 0x1.6cfca8adc11a7p-1, 0x1.6e36cf3984d4fp-1, 0x1.6f3ad5f58a05ap-1, 0x1.70099a0793b1ep-1, 0x1.70a4170f29a0dp-1, 0x1.710b634ebfa22p-1, 0x1.7140ac162b59p-1, 0x1.7145326e20695p-1, 0x1.711a480a79372p-1, 0x1.70c14c7c3a6c2p-1, 0x1.703baaa1e74d1p-1, 0x1.6f8ad64d4b3e5p-1, 0x1.6eb04a1927467p-1, 0x1.6dad856cea8d1p-1, 0x1.6c840aa8e7bap-1, 0x1.6b355d7ed1321p-1, 0x1.69c30172e884cp-1, 0x1.682e78869c2e5p-1, 0x1.6679420bd30bdp-1, 0x1.64a4d99b1a42cp-1, 0x1.62b2b62c2d467p-1, 0x1.60a4494ae39d3p-1, 0x1.5e7afe64e8ceep-1, 0x1.5c383a2eeb2dap-1, 0x1.59dd5a1d3469ap-1, 0x1.576bb3ef00d9dp-1, 0x1.54e4954c6ad13p-1, 0x1.52494375094b2p-1, 0x1.4f9afafe7b5cdp-1, 0x1.4cdaefa3dfba3p-1, 0x1.4a0a4c225a155p-1, 0x1.472a322246e99p-1, 0x1.443bba2e08fcfp-1, 0x1.413ff3af91607p-1, 0x1.3e37e4f8a009dp-1, 0x1.3b248b521671ep-1, 0x1.3806db0f5b6f5p-1, 0x1.34dfbfa980c9ap-1, 0x1.31b01bdd9ccfap-1, 0x1.2e78c9ce3685ap-1, 0x1.2b3a9b2ab5cd4p-1, 0x1.27f65957e2404p-1, 0x1.24acc59af31cfp-1, 0x1.215e994a1bb71p-1, 0x1.1e0c85fb6a6fbp-1, 0x1.1ab735b6c2a08p-1, 0x1.175f4b2ba5cabp-1, 0x1.140561e3b80b9p-1, 0x1.10aa0e7810921p-1, 0x1.0d4ddec881369p-1, 0x1.09f15a2fb3f45p-1, 0x1.069501b81d407p-1, 0x1.033950524aec7p-1, 0x1.ffbd7611af3e5p-2, 0x1.f90b62657c7f4p-2, 0x1.f25d394e4e55bp-2, 0x1.ebb3c3df991acp-2, 0x1.e50fc0f00b1e1p-2, 0x1.de71e57a41b0dp-2, 0x1.d7dadcfc4b358p-2, 0x1.d14b49cf69395p-2, 0x1.cac3c58109f03p-2, 0x1.c444e12b8812cp-2, 0x1.bdcf25c79d919p-2, 0x1.b763147d8165dp-2, 0x1.b10126f64d835p-2, 0x1.aaa9cfa6fa1e9p-2, 0x1.a45d7a1942253p-2, 0x1.9e1c8b35640edp-2, 0x1.97e7618766586p-2, 0x1.91be55800a54fp-2, 0x1.8ba1b9b576dd9p-2, 0x1.8591db2303956p-2, 0x1.7f8f01651496p-2, 0x1.79996ef0a0ec1p-2, 0x1.73b1614a39181p-2, 0x1.6dd7113e584adp-2, 0x1.680ab315226eep-2, 0x1.624c76bf9cb2p-2, 0x1.5c9c8806c3bp-2, 0x1.56fb0ebe1057bp-2, 0x1.51682eef4922cp-2, 0x1.4be408fef960ep-2, 0x1.466eb9d4bf798p-2, 0x1.41085b07d3c73p-2, 0x1.3bb10304b9e7fp-2, 0x1.3668c52b9a544p-2, 0x1.312fb1f171327p-2, 0x1.2c05d705cc685p-2, 0x1.26eb3f74aa5aep-2, 0x1.21dff3c18fe4p-2, 0x1.1ce3fa01b762ap-2, 0x1.17f755f9d6fbcp-2, 0x1.131a093cc08fbp-2, 0x1.0e4c1345c9f6bp-2, 0x1.098d718e66ab2p-2, 0x1.04de1fa398fdp-2, 0x1.003e173f2e5c5p-2, 0x1.f75aa0c3c26ecp-3, 0x1.ee5782d0cd92cp-3, 0x1.e572be36cfee9p-3, 0x1.dcac3982176f6p-3, 0x1.d403d866da28fp-3, 0x1.cb797bed4f3d4p-3, 0x1.c30d029187f5bp-3, 0x1.babe485bcc317p-3, 0x1.b28d26feda79dp-3, 0x1.aa7975fe35036p-3, 0x1.a2830ad1a0eccp-3, 0x1.9aa9b8fe9d06fp-3, 0x1.92ed522d506a4p-3, 0x1.8b4da64187dbep-3, 0x1.83ca837882a85p-3, 0x1.7c63b6854703dp-3, 0x1.75190aa78d097p-3, 0x1.6dea49bf42079p-3, 0x1.66d73c6005a52p-3, 0x1.5fdfa9e63d67ap-3, 0x1.5903588d23ca7p-3, 0x1.52420d84598d9p-3, 0x1.4b9b8d0331989p-3, 0x1.450f9a58960dp-3, 0x1.3e9df7f8ed6a7p-3, 0x1.3846678d80f6ep-3, 0x1.3208aa072f947p-3, 0x1.2be47fb1b53e4p-3, 0x1.25d9a842f9b0fp-3, 0x1.1fe7e2e545bcdp-3, 0x1.1a0eee4069abdp-3, 0x1.144e8886dab9ap-3, 0x1.0ea66f86d30ccp-3, 0x1.091660ba65679p-3, 0x1.039e19522776fp-3, 0x1.fc7aac76cccaep-4, 0x1.f1e7a84e3117ep-4, 0x1.e7829f2ac74eap-4, 0x1.dd4b09c83edefp-4, 0x1.d34060b6ce67cp-4, 0x1.c9621c6a4e79cp-4, 0x1.bfafb542fad68p-4, 0x1.b628a39897e4p-4, 0x1.accc5fcce0e65p-4, 0x1.a39a626241bbbp-4, 0x1.9a92240f2d4dcp-4, 0x1.91b31dca2ffcbp-4, 0x1.88fcc8d154b7cp-4, 0x1.806e9eb2c5dd1p-4, 0x1.7808195a45d27p-4, 0x1.6fc8b321a756dp-4, 0x1.67afe6dfa75b8p-4, 0x1.5fbd2ff233c04p-4, 0x1.57f00a453a5c1p-4, 0x1.5047f2597b8a7p-4, 0x1.48c4654dd8adcp-4, 0x1.4164e0eaa273dp-4, 0x1.3a28e3ac7574ap-4, 0x1.330fecccabbf9p-4, 0x1.2c197c47762ap-4, 0x1.254512e1633fdp-4, 0x1.1e92322df221ap-4, 0x1.18005c974315cp-4, 0x1.118f1565b4ebfp-4, 0x1.0b3de0c63d73cp-4, 0x1.050c43cf3d569p-4, 0x1.fdf389095022ap-5, 0x1.f20bd3b924a19p-5, 0x1.e6607789207e9p-5, 0x1.daf0864e70d22p-5, 0x1.cfbb13e1ae151p-5, 0x1.c4bf3625df963p-5, 0x1.b9fc050dcf93p-5, 0x1.af709aa142d18p-5, 0x1.a51c13035116p-5, 0x1.9afd8c79f7724p-5, 0x1.91142775805afp-5, 0x1.875f06964d9f6p-5, 0x1.7ddd4eb07dda2p-5, 0x1.748e26ce488edp-5, 0x1.6b70b8324693ap-5, 0x1.62842e5aadf4dp-5, 0x1.59c7b7059072ep-5, 0x1.513a8235540edp-5, 0x1.48dbc234305edp-5, 0x1.40aaab95fea38p-5, 0x1.38a6753899d54p-5, 0x1.30ce5843ce1afp-5, 0x1.29219029ad3b6p-5, 0x1.219f5aa7cd623p-5, 0x1.1a46f7c90c307p-5, 0x1.1317a9e72d355p-5, 0x1.0c10b5ab7de3ap-5, 0x1.0531620e2caf5p-5, 0x1.fcf1f0a93ea46p-6, 0x1.efcd881ef0493p-6, 0x1.e2f4263229b08p-6, 0x1.d6646b29a5e01p-6, 0x1.ca1cfbdddd5a5p-6, 0x1.be1c81b89ead3p-6, 0x1.b261aab33a7eap-6, 0x1.a6eb2952683cfp-6, 0x1.9bb7b49fdf3cp-6, 0x1.90c6082292162p-6, 0x1.8614e3d71a9bp-6, 0x1.7ba30c29d2febp-6, 0x1.716f49f30ac2fp-6, 0x1.67786a74e82cp-6, 0x1.5dbd3f5968ac4p-6, 0x1.543c9eaee76ddp-6, 0x1.4af562e19bb23p-6, 0x1.41e66ab1cefd1p-6, 0x1.390e992761a2cp-6, 0x1.306cd584f10b3p-6, 0x1.28000b3cef762p-6, 0x1.1fc729ea856ebp-6, 0x1.17c1254eaab33p-6, 0x1.0fecf55000351p-6, 0x1.084995faa5e0cp-6, 0x1.00d6077c87736p-6, 0x1.f3229c37e07b4p-7, 0x1.e4f4e44ed69d6p-7, 0x1.d720ffc2ae1dap-7, 0x1.c9a50ed61d2f3p-7, 0x1.bc7f39692a30fp-7, 0x1.afadaee8c412bp-7, 0x1.a32ea650769dcp-7, 0x1.97005e38dd0a5p-7, 0x1.8b211ce7b5294p-7, 0x1.7f8f30540cfedp-7, 0x1.7448ee13beb9p-7, 0x1.694cb32e8d782p-7, 0x1.5e98e3dce965fp-7, 0x1.542beb410fd4dp-7, 0x1.4a043b2cef4c3p-7, 0x1.40204c0522245p-7, 0x1.367e9cc855fap-7, 0x1.2d1db335bcc07p-7, 0x1.23fc1c01304cp-7, 0x1.1b186afc5f6b7p-7, 0x1.12713b1d7bdd9p-7, 0x1.0a052e557a6e9p-7, 0x1.01d2ed37a8042p-7, 0x1.f3b24d0a58a82p-8, 0x1.e42d1d760ea7dp-8, 0x1.d513bf8697ddfp-8, 0x1.c663b1c414ed5p-8, 0x1.b81a7dc7c8f4ap-8, 0x1.aa35b8fd5e19cp-8, 0x1.9cb30583e37b9p-8, 0x1.8f9012d8524ddp-8, 0x1.82ca9dfe6103ap-8, 0x1.766070ff89bb9p-8, 0x1.6a4f61cd1ea6cp-8, 0x1.5e9550c6c98afp-8, 0x1.5330274a367c4p-8, 0x1.481dd6b68870fp-8, 0x1.3d5c58319f1cep-8, 0x1.32e9ad45f9a01p-8, 0x1.28c3e12d742b4p-8, 0x1.1ee90a632efcp-8, 0x1.15574bfa5a19p-8, 0x1.0c0cd63f816b3p-8, 0x1.0307e659bdb71p-8, 0x1.f48d89d5a8eb1p-9, 0x1.e38f87f1b1788p-9, 0x1.d312795a38557p-9, 0x1.c3131b0470b49p-9, 0x1.b38e32d4a942cp-9, 0x1.a4809060d8558p-9, 0x1.95e710003bb27p-9, 0x1.87be9f52ffa7bp-9, 0x1.7a0441f4880d5p-9, 0x1.6cb514f017188p-9, 0x1.5fce4fd91c96fp-9, 0x1.534d430590bbcp-9, 0x1.472f533474c95p-9, 0x1.3b71f3a52a2dap-9, 0x1.3012a01f82cedp-9, 0x1.250ed87df75aap-9, 0x1.1a641eede5a85p-9, 0x1.100ff963d9e58p-9, 0x1.060ff5e76721cp-9, 0x1.f8c3612a4760ep-10, 0x1.e605b3746dec3p-10, 0x1.d3e274bbe56d5p-10, 0x1.c2556bdd9d987p-10, 0x1.b15a91049e4dap-10, 0x1.a0ee03f3ae9a5p-10, 0x1.910bfe6112277p-10, 0x1.81b0c5bb2c1dp-10, 0x1.72d89fd97703bp-10, 0x1.647fcd61ce34bp-10, 0x1.56a28b33c6122p-10, 0x1.493d1a647ab8dp-10, 0x1.3c4bccb515f47p-10, 0x1.2fcb1256a6e7bp-10, 0x1.23b7858336f11p-10, 0x1.180df100c421bp-10, 0x1.0ccb4fe5d655p-10, 0x1.01ecc6a157999p-10, 0x1.eedf2dda4032dp-11, 0x1.daa2231b11414p-11, 0x1.c71d12726d557p-11, 0x1.b44a934fd87d2p-11, 0x1.a225295e043a3p-11, 0x1.90a74ba353b5ep-11, 0x1.7fcb76561c51p-11, 0x1.6f8c42d1af276p-11, 0x1.5fe47fe16592ap-11, 0x1.50cf44abc7524p-11, 0x1.4247f9e431c9fp-11, 0x1.344a574a18c63p-11, 0x1.26d2565134f52p-11, 0x1.19dc1d625cb57p-11, 0x1.0d63e8b853898p-11, 0x1.0165f61789276p-11, 0x1.ebbcef0ab04dp-12, 0x1.d5931e6e18993p-12, 0x1.c046a97e444a1p-12, 0x1.abcfc360f2cc3p-12, 0x1.9826c51314a47p-12, 0x1.85445073b879ep-12, 0x1.73216cc0bc7adp-12, 0x1.61b7961e18b7bp-12, 0x1.5100bc75f8609p-12, 0x1.40f7322a55185p-12, 0x1.31958f8fd3d54p-12, 0x1.22d6932898686p-12, 0x1.14b506c9d11fbp-12, 0x1.072baf2672e02p-12, 0x1.f46a8e6c0c8c7p-13, 0x1.db990b1ea951dp-13, 0x1.c3d850b0b7164p-13, 0x1.ad1e096deb10fp-13, 0x1.97602f3047a02p-13, 0x1.82952bc274d13p-13, 0x1.6eb3f2c818dacp-13, 0x1.5bb40de1234ffp-13, 0x1.498d94638d001p-13, 0x1.38390d3a8d827p-13, 0x1.27af423f8e3fp-13, 0x1.17e913f20d977p-13, 0x1.08df5dc0417bep-13, 0x1.f515e74a2f9acp-14, 0x1.d9c96b32971b7p-14, 0x1.bfcb57120adcfp-14, 0x1.a70e3652b6d3p-14, 0x1.8f8520808f0f9p-14, 0x1.7923b46b0ca88p-14, 0x1.63de0faa0b687p-14, 0x1.4fa8d17c0ae3cp-14, 0x1.3c7929edd0ae5p-14, 0x1.2a44e72b6ec6dp-14, 0x1.19026d2c9f243p-14, 0x1.08a88bcdda33fp-14, 0x1.f25c74ad80f16p-15, 0x1.d514a7c482e72p-15, 0x1.b966f1083dfbfp-15, 0x1.9f40526408147p-15, 0x1.868e2b360f238p-15, 0x1.6f3eec3d11a68p-15, 0x1.594285e829bbdp-15, 0x1.448a5fefe56ddp-15, 0x1.3108ee6cdf584p-15, 0x1.1eb12a6e402c1p-15, 0x1.0d763858a692ap-15, 0x1.fa96ba9726303p-16, 0x1.dc48646aaa489p-16, 0x1.bfe9c92e9c4ddp-16, 0x1.a564a5620ea89p-16, 0x1.8ca3c95463ec9p-16, 0x1.75925217d0d05p-16, 0x1.601aca363ec6ep-16, 0x1.4c26c0b2d8953p-16, 0x1.399f3b0c1677bp-16, 0x1.286def030eb79p-16, 0x1.187eb2f5347dfp-16, 0x1.09c061fffe7fbp-16, 0x1.f849698485a18p-17, 0x1.df3e4e2eb92c2p-17, 0x1.c8471925555a3p-17, 0x1.b34a1dfa3045ep-17, 0x1.a02be7fa6f64p-17, 0x1.8ed018121519ep-17, 0x1.7f1ad77975898p-17, 0x1.70f21c51e7585p-17, 0x1.643e32b45a221p-17, 0x1.58e9516ff01c7p-17, 0x1.4ede685b00083p-17, 0x1.4607d3c4b4836p-17, 0x1.3e4ea8163fedap-17, 0x1.379b267a1140bp-17, 0x1.31d661586665ep-17, 0x1.2cec6290da426p-17, 0x1.28cda13c05277p-17, 0x1.256ec6a037bc3p-17, 0x1.22c6c4783dd48p-17, 0x1.20cc5c7bac584p-17, 0x1.1f7476fc0fe16p-17, 0x1.1eb1e06de8c94p-17, 0x1.1e761efef7ef8p-17, 0x1.1eb2b5bf312fp-17, 0x1.1f5a362019e41p-17, 0x1.2060bc057b29bp-17, 0x1.21bbde2f16e0dp-17, 0x1.2362657da61abp-17, 0x1.254be722a87afp-17, 0x1.277020d11a01cp-17, 0x1.29c643be76d0ep-17, 0x1.2c44ca2080d24p-17, 0x1.2ee23fbfe4674p-17, 0x1.3196a39888661p-17, 0x1.345c74b1f31bbp-17, 0x1.37309b9ee06e2p-17, 0x1.3a1129c510d9fp-17, 0x1.3cfbc02ee7957p-17, 0x1.3fec93ec97c9ep-17, 0x1.42de7314de166p-17, 0x1.45cb904298574p-17, 0x1.48ae765c3becfp-17, 0x1.4b826a77b924cp-17, 0x1.4e431c8394b25p-17, 0x1.50ec638f1c4fdp-17, 0x1.537a9d5000d4cp-17, 0x1.55eb446874195p-17, 0x1.583ceaa45f32ap-17, 0x1.5a6e72df98e3bp-17, 0x1.5c7e36fa0dc9fp-17, 0x1.5e69ce6e483dep-17, 0x1.602e89f606ae4p-17, 0x1.61ca3f885604ep-17, 0x1.633bf2779aec6p-17, 0x1.6483e6988530ep-17, 0x1.65a2ee03b3e38p-17, 0x1.6699668a6a6ebp-17, 0x1.6766b0a2a9b1p-17, 0x1.68098b8d8f6adp-17, 0x1.6880fb37075ecp-17, 0x1.68ccbcd5c8779p-17, 0x1.68ecca4561483p-17, 0x1.68e0a7efdb91ep-17, 0x1.68a764b0df7aap-17, 0x1.6840399e3f526p-17, 0x1.67ab20e074216p-17, 0x1.66e8ef0603c79p-17, 0x1.65faec075a526p-17, 0x1.64e2433e3f8c2p-17, 0x1.639faed079fadp-17, 0x1.62337a0862b8ep-17, 0x1.609db9439fc41p-17, 0x1.5edeaca424a1dp-17, 0x1.5cf72e804395ap-17, 0x1.5ae8b5c495771p-17, 0x1.58b4c00049df6p-17, 0x1.565c3da4eacaep-17, 0x1.53dfaa3f9f114p-17, 0x1.513faf44f9bd3p-17, 0x1.4e7d7a2eb6e85p-17, 0x1.4b9a621cd300bp-17, 0x1.489778c787514p-17, 0x1.457586f100097p-17, 0x1.42354020425ap-17, 0x1.3ed768c23157ap-17, 0x1.3b5cebfc1d9e4p-17, 0x1.37c6e9dbae8a7p-17, 0x1.3416b19fc996ep-17, 0x1.304da124c4a95p-17, 0x1.2c6cfeebb70afp-17, 0x1.2875ea3393042p-17, 0x1.246964b56056p-17, 0x1.204869e6f9cb5p-17, 0x1.1c1408f0a4a87p-17, 0x1.17cd6cbe71d22p-17, 0x1.1375c285afe4cp-17, 0x1.0f0e1c900425fp-17, 0x1.0a977b46d5ba9p-17, 0x1.0612ef5cee1d6p-17, 0x1.01819e2d8a5eap-17, 0x1.f9c947e42d29bp-18, 0x1.f07a0c03dea6ep-18, 0x1.e7177b97f4c1p-18, 0x1.dda384ba4e85ap-18, 0x1.d4201259b18eep-18, 0x1.ca8f0a58509dap-18, 0x1.c0f250448f8bap-18, 0x1.b74bc9ec7c5efp-18, 0x1.ad9d5a8d990c7p-18, 0x1.a3e8ce4aafb1dp-18, 0x1.9a2fca5abe877p-18, 0x1.9073de2a3f405p-18, 0x1.86b6bdf224fcdp-18, 0x1.7cfa79385fa2dp-18, 0x1.73411ce794bb5p-18, 0x1.698beef2330bp-18, 0x1.5fdbc25d06482p-18, 0x1.563214dff59c4p-18, 0x1.4c90ed858f9adp-18, 0x1.42f9d8897b703p-18, 0x1.396deec2d09b1p-18, 0x1.2fee78e674ecdp-18, 0x1.267cea453889ap-18, 0x1.1d1a9b0468205p-18, 0x1.13c8ba93d922cp-18, 0x1.0a885b779eb2bp-18, 0x1.015a79fc13f5cp-18, 0x1.f08002cee3478p-19, 0x1.de73af53fcff4p-19, 0x1.cc91f30227d0ap-19, 0x1.badd33031efa6p-19, 0x1.a958124ca916ap-19, 0x1.980492c6e067ap-19, 0x1.86e387e4be936p-19, 0x1.75f577dffab85p-19, 0x1.653c4dfa78786p-19, 0x1.54bb5f3f7b86fp-19, 0x1.447402e78318ap-19, 0x1.34653e6982dfp-19, 0x1.249098d20d7dfp-19, 0x1.14f90a33e7f35p-19, 0x1.059ef7b608653p-19, 0x1.ed0500cda28d1p-20, 0x1.cf4a6c4a0fcaap-20, 0x1.b211464da3973p-20, 0x1.955b671b9ede5p-20, 0x1.792a0de9b580dp-20, 0x1.5d7e5b3a29de2p-20, 0x1.4259684a351f7p-20, 0x1.27bc33431e7f4p-20, 0x1.0da77b7b7c0e6p-20, 0x1.e83741223135ep-21, 0x1.b63139f2d550fp-21, 0x1.853c85e3c90bcp-21, 0x1.555a69579b098p-21, 0x1.2690ac083564cp-21, 0x1.f1cc92e11332dp-22, 0x1.98b1b13c595bp-22, 0x1.41bdac4546258p-22, 0x1.d9ed914e1e695p-23, 0x1.34e5649803e23p-23, 0x1.28909836405fp-24, -0x1.fcfbf05d3a5ddp-29, -0x1.3f8859e443e91p-24, -0x1.33433b9d8367dp-23, -0x1.c26e749781b2bp-23, -0x1.269ab67f0be94p-22, -0x1.69cc4406b7719p-22, -0x1.aad06bd4f4041p-22, -0x1.e9abcabc48433p-22, -0x1.133128c33f8fep-21, -0x1.307bd4f964842p-21, -0x1.4cb7ca503f7f5p-21, -0x1.67e6fe05d7ddfp-21, -0x1.820b692b1f76dp-21, -0x1.9b2702428de28p-21, -0x1.b33be264a22ebp-21, -0x1.ca4c95ccfcb1ep-21, -0x1.e05c85473e05dp-21, -0x1.f57035169b70cp-21, -0x1.04c5cc4388b6p-20, -0x1.0e56f58de9bc6p-20, -0x1.176b98e033eb3p-20, -0x1.2008f02e2d9d1p-20, -0x1.282de7102eb95p-20, -0x1.2fd64bfe627d2p-20, -0x1.37053f4790dcbp-20, -0x1.3dc29804fcfacp-20, -0x1.4412d78ab62eep-20, -0x1.49f278a112d11p-20, -0x1.4f6086d02bbb1p-20, -0x1.545f31506a416p-20, -0x1.58f104725b6eap-20, -0x1.5d182bb58e122p-20, -0x1.60d68a02fd3b6p-20, -0x1.642de28c11b9ep-20, -0x1.671ff24735aecp-20, -0x1.69ae7d8d0911cp-20, }}, 
      {{0x1.d21bb3cc6b955p-1, 0x1.01c86334552efp+0, 0x1.216a4abc2822p+0, 0x1.43053d8477878p+0, 0x1.636d3f476b4d7p+0, 0x1.80b3339996753p+0, 0x1.99c4e80fc8e23p+0, 0x1.ae2887c4c7b9bp+0, 0x1.bdcb0d2a0f70ep+0, 0x1.c8dc5e90bd25bp+0, 0x1.cfb59ff9165cap+0, 0x1.d2c709020d4d6p+0, 0x1.d28b3c60513c9p+0, 0x1.cf7ea6aed7055p+0, 0x1.ca19cc3b29aa9p+0, 0x1.c2cdb4f5112cbp+0, 0x1.ba01db13957a6p+0, 0x1.b013294d93cb1p+0, 0x1.a553b3bc6ae9bp+0, 0x1.9a0aed5f01d1p+0, 0x1.8e762d5bd207dp+0, 0x1.82c963f5b8d32p+0, 0x1.772fe8b0b154bp+0, 0x1.6bcd5220dcb6p+0, 0x1.60be4ce6676f8p+0, 0x1.56196af2580b4p+0, 0x1.4befe6c71d199p+0, 0x1.424e58475f02p+0, 0x1.393d5a0227076p+0, 0x1.30c21edb2610ep+0, 0x1.28def882f573ap+0, 0x1.2193cf854985cp+0, 0x1.1ade8ddc377e1p+0, 0x1.14bb7d096451bp+0, 0x1.0f2598ba8abd1p+0, 0x1.0a16d6fb42232p+0, 0x1.058866ed559e9p+0, 0x1.0172e6f480885p+0, 0x1.fb9d2668fef9dp-1, 0x1.f526da64a7c8fp-1, 0x1.ef72bab05c168p-1, 0x1.ea709e170c565p-1, 0x1.e6108feb5c227p-1, 0x1.e242f62f3a842p-1, 0x1.def8b04ca30c2p-1, 0x1.dc232f49d8e6ep-1, 0x1.d9b4887ef3362p-1, 0x1.d79f833cf39b2p-1, 0x1.d5d7a26eb7fd8p-1, 0x1.d4512a9febf03p-1, 0x1.d30124b3b29aep-1, 0x1.d1dd5ed2b3991p-1, 0x1.d0dc69da29326p-1, 0x1.cff596fade39p-1, 0x1.cf20f185d3e9bp-1, 0x1.ce573a2b0b448p-1, 0x1.cd91dec49fdcp-1, 0x1.cccaf3d7c720ep-1, 0x1.cbfd2b829b566p-1, 0x1.cb23cdf6f1c7p-1, 0x1.ca3ab01eb3da5p-1, 0x1.c93e2ba530f9ep-1, 0x1.c82b15d34a71bp-1, 0x1.c6feb7a6c97abp-1, 0x1.c5b6c55e98f7ep-1, 0x1.c45156cee716dp-1, 0x1.c2ccdfa9f70b9p-1, 0x1.c1282845e7c56p-1, 0x1.bf6246af93c01p-1, 0x1.bd7a9823b710ap-1, 0x1.bb70badaa084fp-1, 0x1.b944881d8f90bp-1, 0x1.b6f60e9fbc27ap-1, 0x1.b4858d21549f2p-1, 0x1.b1f36d6467356p-1, 0x1.af403f79027f5p-1, 0x1.ac6cb55b6e905p-1, 0x1.a9799edbe7d59p-1, 0x1.a667e5c349981p-1, 0x1.a3388a3147451p-1, 0x1.9fec9f324b6ccp-1, 0x1.9c85479541bp-1, 0x1.9903b303be8d4p-1, 0x1.95691b614a9bdp-1, 0x1.91b6c26c92446p-1, 0x1.8dedef9c7a61dp-1, 0x1.8a0fee3046f5p-1, 0x1.861e0b69dde5dp-1, 0x1.821994ef789a2p-1, 0x1.7e03d75094245p-1, 0x1.79de1cb0ed949p-1, 0x1.75a9ab99aaf74p-1, 0x1.7167c5f110aa3p-1, 0x1.6d19a819041f5p-1, 0x1.68c0882f84adbp-1, 0x1.645d956e59e13p-1, 0x1.5ff1f7a4adc7dp-1, 0x1.5b7ecec5668bap-1, 0x1.57053287e5b37p-1, 0x1.52863217f699ap-1, 0x1.4e02d3d38813dp-1, 0x1.497c1516ae33ap-1, 0x1.44f2ea1520467p-1, 0x1.40683dc0b9e94p-1, 0x1.3bdcf1be28101p-1, 0x1.3751de654ae12p-1, 0x1.32c7d2cc52cd7p-1, 0x1.2e3f94ddfe7f3p-1, 0x1.29b9e175fa012p-1, 0x1.25376c84d841p-1, 0x1.20b8e1390525p-1, 0x1.1c3ee22a6c8aep-1, 0x1.17ca098a4f1a3p-1, 0x1.135ae954b16d2p-1, 0x1.0ef20b832d7c2p-1, 0x1.0a8ff242adba4p-1, 0x1.0635182987698p-1, 0x1.01e1f06eaff1dp-1, 0x1.fb2dce47de169p-2, 0x1.f2a8c2ddb22a9p-2, 0x1.ea357b86ad24fp-2, 0x1.e1d4a84022d15p-2, 0x1.d986ec913abaep-2, 0x1.d14ce001997bp-2, 0x1.c9270e90d3762p-2, 0x1.c115f9292a177p-2, 0x1.b91a1611b7797p-2, 0x1.b133d1600415p-2, 0x1.a9638d65a8029p-2, 0x1.a1a9a31a18588p-2, 0x1.9a066283f4ffp-2, 0x1.927a131f488a2p-2, 0x1.8b04f43e056a4p-2, 0x1.83a73d68225a8p-2, 0x1.7c611eb97e244p-2, 0x1.7532c139a37b9p-2, 0x1.6e1c4732cae71p-2, 0x1.671dcc872ef7ap-2, 0x1.60376700aefcfp-2, 0x1.5969269f261cfp-2, 0x1.52b315e562939p-2, 0x1.4c153a210d48p-2, 0x1.458f93b07d387p-2, 0x1.3f221e4784553p-2, 0x1.38ccd13045bb7p-2, 0x1.328f9f88fbc2fp-2, 0x1.2c6a788046043p-2, 0x1.265d478f31f26p-2, 0x1.2067f4b09db7ep-2, 0x1.1a8a6495763b7p-2, 0x1.14c478d6d125fp-2, 0x1.0f161027b0b4dp-2, 0x1.097f0684150dfp-2, 0x1.03ff355b5d597p-2, 0x1.fd2ce7743e665p-3, 0x1.f2892cea7bb1p-3, 0x1.e812e0a1c9c5fp-3, 0x1.ddc9a44533371p-3, 0x1.d3ad15e8e430cp-3, 0x1.c9bcd0535f6e2p-3, 0x1.bff86b3de4bep-3, 0x1.b65f7b8c6f1f4p-3, 0x1.acf19387b8f55p-3, 0x1.a3ae43198141ep-3, 0x1.9a951802e7107p-3, 0x1.91a59e0c0f00dp-3, 0x1.88df5f32a9307p-3, 0x1.8041e3d96d6d7p-3, 0x1.77ccb2f627bcfp-3, 0x1.6f7f523bead64p-3, 0x1.67594640e2e02p-3, 0x1.5f5a12a1fc445p-3, 0x1.57813a27d8c38p-3, 0x1.4fce3eec649fcp-3, 0x1.4840a27bdf2dp-3, 0x1.40d7e5f00a491p-3, 0x1.39938a0b20a6dp-3, 0x1.32730f56956ep-3, 0x1.2b75f641214b5p-3, 0x1.249bbf366c4eep-3, 0x1.1de3eab2959f4p-3, 0x1.174df957f5293p-3, 0x1.10d96c07c4942p-3, 0x1.0a85c3f83ff1ap-3, 0x1.045282c5ac33ep-3, 0x1.fc7e55033a158p-4, 0x1.f0967b8827f7ap-4, 0x1.e4ec7f7a9984fp-4, 0x1.d97f688abd4f8p-4, 0x1.ce4e3fd2c58c5p-4, 0x1.c3580ff01092fp-4, 0x1.b89be51c3a7ecp-4, 0x1.ae18cd442d1efp-4, 0x1.a3cdd81d0cc8dp-4, 0x1.99ba17391e2p-4, 0x1.8fdc9e1cdbe65p-4, 0x1.863482511b51dp-4, 0x1.7cc0db706c5ecp-4, 0x1.7380c333052cap-4, 0x1.6a73557dc0f5cp-4, 0x1.6197b0738fe6ep-4, 0x1.58ecf483d13fap-4, 0x1.507244721bd07p-4, 0x1.4826c55ab6e0bp-4, 0x1.40099eba36847p-4, 0x1.3819fa79f35c8p-4, 0x1.305704fc527c9p-4, 0x1.28bfed2310293p-4, 0x1.2153e44fc4d67p-4, 0x1.1a121e645e314p-4, 0x1.12f9d1c86e78p-4, 0x1.0c0a3771f21f8p-4, 0x1.05428aebd87cfp-4, 0x1.fd4414ad60b4ap-5, 0x1.f04feccb193d3p-5, 0x1.e3a724b898a5cp-5, 0x1.d74848244196dp-5, 0x1.cb31e7ec45c18p-5, 0x1.bf629a22f6a97p-5, 0x1.b3d8fa0a0822dp-5, 0x1.a893a808d3dcp-5, 0x1.9d9149a53ced5p-5, 0x1.92d08982c25a2p-5, 0x1.8850176462803p-5, 0x1.7e0ea82b22f85p-5, 0x1.740af5ce313a5p-5, 0x1.6a43bf4f425dbp-5, 0x1.60b7c8b055838p-5, 0x1.5765daed9c1cfp-5, 0x1.4e4cc3f9d8597p-5, 0x1.456b56b8fdcbp-5, 0x1.3cc06af6ab799p-5, 0x1.344add5972de6p-5, 0x1.2c098f5640a68p-5, 0x1.23fb67266c848p-5, 0x1.1c1f4fc000e1ap-5, 0x1.147438cdcbacap-5, 0x1.0cf916a4edbe7p-5, 0x1.05ace237b7949p-5, 0x1.fd1d320f46e81p-6, 0x1.ef3a7a310dddap-6, 0x1.e1afa9cba5897p-6, 0x1.d47ad6b176ab6p-6, 0x1.c79a1f7ad15b3p-6, 0x1.bb0bab6c517b2p-6, 0x1.aecdaa5a44253p-6, 0x1.a2de548bb307p-6, 0x1.973bea9fd1d57p-6, 0x1.8be4b57663bc8p-6, 0x1.80d706191d6e7p-6, 0x1.761135a3972bep-6, 0x1.6b91a5286c1bbp-6, 0x1.6156bd94698ap-6, 0x1.575eef91635fdp-6, 0x1.4da8b36ac5564p-6, 0x1.443288f4360a1p-6, 0x1.3afaf77181f9fp-6, 0x1.32008d7df58f9p-6, 0x1.2941e0f21f05p-6, 0x1.20bd8ec7eac7cp-6, 0x1.18723afe3a288p-6, 0x1.105e907d2f983p-6, 0x1.088140fc0e1b4p-6, 0x1.00d904e86378cp-6, 0x1.f2c9369b52ac1p-7, 0x1.e44593788bc1dp-7, 0x1.d624b85f09313p-7, 0x1.c86449e54112dp-7, 0x1.bb01f90b868c8p-7, 0x1.adfb8307b66c3p-7, 0x1.a14eb1135bacbp-7, 0x1.94f9583c09bd8p-7, 0x1.88f959348b4eap-7, 0x1.7d4ca0257213ap-7, 0x1.71f1247c27b88p-7, 0x1.66e4e8b86f248p-7, 0x1.5c25fa3951f72p-7, 0x1.51b2710afbdd3p-7, 0x1.47886fb6cf0b1p-7, 0x1.3da6231637464p-7, 0x1.3409c2279d721p-7, 0x1.2ab18de437ca7p-7, 0x1.219bd11536942p-7, 0x1.18c6e0270829cp-7, 0x1.103118faa2f0ep-7, 0x1.07d8e2b55862cp-7, 0x1.ff795b21d593ep-8, 0x1.efb5e55c21908p-8, 0x1.e06467d5332b9p-8, 0x1.d181f777456bp-8, 0x1.c30bba152c6f3p-8, 0x1.b4fee62588b6dp-8, 0x1.a758c279fdc2ap-8, 0x1.9a16a5eeb7858p-8, 0x1.8d35f710de39fp-8, 0x1.80b42bbfb991p-8, 0x1.748ec8ce35d56p-8, 0x1.68c361ac857f3p-8, 0x1.5d4f981f4ff5ap-8, 0x1.52311c05c965fp-8, 0x1.4765ab2ad9653p-8, 0x1.3ceb1118a57f9p-8, 0x1.32bf26e4931cep-8, 0x1.28dfd2eb7c516p-8, 0x1.1f4b087b62553p-8, 0x1.15fec76f04f0cp-8, 0x1.0cf91bc64c2aap-8, 0x1.04381d48ec859p-8, 0x1.f773de7f6e82bp-9, 0x1.e6f9809325aabp-9, 0x1.d6fd9490d6939p-9, 0x1.c77ca4b283effp-9, 0x1.b873518a48bd8p-9, 0x1.a9de51b4b0d13p-9, 0x1.9bba7146c93b1p-9, 0x1.8e0490fb357ep-9, 0x1.80b9a538e8ae3p-9, 0x1.73d6b51fb6e1fp-9, 0x1.6758d9c8d0319p-9, 0x1.5b3d3dde5c5b2p-9, 0x1.4f811d920462dp-9, 0x1.4421c6db2cee8p-9, 0x1.391c99cd1b462p-9, 0x1.2e6f08c76a7e1p-9, 0x1.2416984cb641fp-9, 0x1.1a10de653fd23p-9, 0x1.105b81963e8b6p-9, 0x1.06f4379cd6d49p-9, 0x1.fbb188659b962p-10, 0x1.ea0df04a6c0a4p-10, 0x1.d8f961e4596cdp-10, 0x1.c86fb1f88269ap-10, 0x1.b86cd065f7886p-10, 0x1.a8ecc9d632098p-10, 0x1.99ebc91bc848bp-10, 0x1.8b66179ab8341p-10, 0x1.7d581c59defd2p-10, 0x1.6fbe59c20f2d4p-10, 0x1.62956a712c918p-10, 0x1.55d9fddd5a174p-10, 0x1.4988d5968f32dp-10, 0x1.3d9ec3d69bd3cp-10, 0x1.3218abb260571p-10, 0x1.26f382cd74ab4p-10, 0x1.1c2c53fdb4ca9p-10, 0x1.11c04202e7b28p-10, 0x1.07ac8969441e9p-10, 0x1.fbdd01c20cfb8p-11, 0x1.e9072f7a74d4cp-11, 0x1.d6d2a5a42fbf7p-11, 0x1.c53a90c034254p-11, 0x1.b43a380719b45p-11, 0x1.a3ccf74fc051dp-11, 0x1.93ee3c79890b5p-11, 0x1.849988e9dbe0bp-11, 0x1.75ca76944ff7ep-11, 0x1.677cbf164fdcfp-11, 0x1.59ac42d82ae55p-11, 0x1.4c550e1e64d5ep-11, 0x1.3f735a7c9b0d8p-11, 0x1.33038c0876b3p-11, 0x1.27022ac4518fp-11, 0x1.1b6bd9bb0ef5fp-11, 0x1.103d4de5bd81p-11, 0x1.057346feb98ddp-11, 0x1.f61517d492ff1p-12, 0x1.e1ffd6e148517p-12, 0x1.cea081d83cde8p-12, 0x1.bbf0f7293c9cfp-12, 0x1.a9eb4ce5b5847p-12, 0x1.9889ddcba3d8bp-12, 0x1.87c75003dfe42p-12, 0x1.779e93bb4bd8cp-12, 0x1.680ad9c5d74e1p-12, 0x1.590784692b2b3p-12, 0x1.4a9015d4b7739p-12, 0x1.3ca0204728163p-12, 0x1.2f333b5e52701p-12, 0x1.224500ae7290ep-12, 0x1.15d10feae1a37p-12, 0x1.09d319332c771p-12, 0x1.fc8dd5746db71p-13, 0x1.e650fcb3ee21ep-13, 0x1.d0e8079834783p-13, 0x1.bc4bca3335d14p-13, 0x1.a8758881f69b8p-13, 0x1.955ee5630a7b8p-13, 0x1.8301c96e65899p-13, 0x1.71584796bdc27p-13, 0x1.605c8595e90bfp-13, 0x1.5008acc6bd958p-13, 0x1.4056e5b5e6125p-13, 0x1.31415e3452e2fp-13, 0x1.22c2579df6ff2p-13, 0x1.14d4399ccf6f4p-13, 0x1.0771a52aecdc8p-13, 0x1.f52b072889526p-14, 0x1.dc761beb13544p-14, 0x1.c4bb96b39e1afp-14, 0x1.adf30bbb631adp-14, 0x1.981473929562dp-14, 0x1.8318064fd4d34p-14, 0x1.6ef61ce2433f3p-14, 0x1.5ba71e9b642a8p-14, 0x1.49237c51263fp-14, 0x1.3763b6a0a49b3p-14, 0x1.26606b4543d89p-14, 0x1.161265d1e61f8p-14, 0x1.0672b1655503dp-14, 0x1.eef552927e1b8p-15, 0x1.d2480b8f022b8p-15, 0x1.b6d1c2f7ce49dp-15, 0x1.9c87674608c23p-15, 0x1.835e7d4995d8dp-15, 0x1.6b4cedbe99e2bp-15, 0x1.5448d3698a807p-15, 0x1.3e485b7b50c7ep-15, 0x1.2941c1bfb097fp-15, 0x1.152b64d60e52cp-15, 0x1.01fbe40e5af8ep-15, 0x1.df546dc88670cp-16, 0x1.bc5b6b625c98ap-16, 0x1.9afc2cf7e31e8p-16, 0x1.7b26cebed704p-16, 0x1.5ccc1da7c9b3p-16, 0x1.3fdda5706dc16p-16, 0x1.244dbd79b792fp-16, 0x1.0a0f7f3bf0f6ep-16, 0x1.e22d32b766014p-17, 0x1.b2ae0c5ee3361p-17, 0x1.85898478eccb8p-17, 0x1.5aa750e3a478bp-17, 0x1.31ef171c04a51p-17, 0x1.0b49080796fc9p-17, 0x1.cd3d2d7c27325p-18, 0x1.87b5d3a3cd1cep-18, 0x1.45d5a68f31165p-18, 0x1.0778c553cb14cp-18, 0x1.98f964af3f646p-19, 0x1.297f327a435bcp-19, 0x1.8080e0f8fd131p-20, 0x1.73f251645ef96p-21, -0x1.13cb65521d667p-28, -0x1.623417fcb5daap-21, -0x1.5687f93d57d3fp-20, -0x1.f1c98100ea9cdp-20, -0x1.41a5e33e44d3dp-19, -0x1.85bf791f84bd2p-19, -0x1.c56a4ab6f9878p-19, -0x1.006ebb54afe29p-18, -0x1.1c25d1ab26d9cp-18, -0x1.35f0a032bbe21p-18, -0x1.4de269bb1ed74p-18, -0x1.640c9062da576p-18, -0x1.787ff95ef63d4p-18, -0x1.8b4e07c70a936p-18, -0x1.9c88d2b1f9102p-18, -0x1.ac42b4735c781p-18, -0x1.ba8d9222f990ep-18, -0x1.c77a3da748e2ep-18, -0x1.d31837664c0e6p-18, -0x1.dd75eac2aa615p-18, -0x1.e6a1473088767p-18, -0x1.eea865e3d2243p-18, -0x1.f599e1e3967b4p-18, -0x1.fb84a21b87e0cp-18, -0x1.003b8a9588473p-17, -0x1.023f192d3999bp-17, -0x1.03d2674be8f0fp-17, -0x1.04f9dd90491f1p-17, -0x1.05b954fed9197p-17, -0x1.0614a8f62e576p-17, -0x1.061017e6178e6p-17, -0x1.05b0508258462p-17, -0x1.04fa3e858635dp-17, -0x1.03f2bf5a37946p-17, -0x1.029e63cd2409cp-17, -0x1.0101556df8ffp-17, -0x1.fe3eba10019b4p-18, -0x1.f9f7ed25d2031p-18, -0x1.f534d513ec83p-18, -0x1.effbe59e0d55ap-18, -0x1.ea53c2b2e1681p-18, -0x1.e4434fcfe40f2p-18, -0x1.ddd15704e98bdp-18, -0x1.d703f112791p-18, -0x1.cfe0157160b8ep-18, -0x1.c869a890136c5p-18, -0x1.c0a407ae4359bp-18, -0x1.b892b6e6b65cep-18, -0x1.b039c952018adp-18, -0x1.a79ddbb0f57cap-18, -0x1.9ec3bca4e39d9p-18, -0x1.95b005d941f5p-18, -0x1.8c66f308a3058p-18, -0x1.82ec83f3f642bp-18, -0x1.79449a6782d59p-18, -0x1.6f72d5a064b21p-18, -0x1.657a57749e16fp-18, -0x1.5b5dc85dd1e5dp-18, -0x1.511fa788272ffp-18, -0x1.46c2a0a5ddebap-18, -0x1.3c49a0b137dc6p-18, -0x1.31b7a42bc8daep-18, -0x1.270f68617fe25p-18, -0x1.1c532cf3da027p-18, -0x1.1184af309f765p-18, -0x1.06a56f6bfd1a5p-18, -0x1.f76e254e645f8p-19, -0x1.e17729ba41573p-19, -0x1.cb6a4a238972ep-19, -0x1.b54b9d206fa27p-19, -0x1.9f1e9bbba7649p-19, -0x1.88e68175dfd8p-19, -0x1.72a6d244635e8p-19, -0x1.5c635871872ccp-19, -0x1.461fac0039fbcp-19, -0x1.2fdec5943d5d6p-19, -0x1.19a2f10605c1ep-19, -0x1.036e1b83eec2ap-19, -0x1.da847361b32dbp-20, -0x1.ae42ffbce0f23p-20, -0x1.821cba1d5321bp-20, -0x1.5616a6fbd910ep-20, -0x1.2a35731edbe84p-20, -0x1.fcf9dbae55c4dp-21, -0x1.a5e016c9f8cccp-21, -0x1.4f233e493c3aap-21, -0x1.f194388f9656p-22, -0x1.45b8b74dfcb04p-22, -0x1.3583dbf8d5b4ap-23, 0x1.e8a47a86bb935p-27, 0x1.70a5354fb0691p-23, 0x1.605b7f49f49e8p-22, 0x1.03a9e38bea254p-21, 0x1.5697b880cd2d3p-21, 0x1.a8f1a80c1d102p-21, 0x1.fab2b2d2f6608p-21, 0x1.25eb3f0411c91p-20, 0x1.4e2c9a185b317p-20, 0x1.761b9cff9ae89p-20, 0x1.9db6754d6ca27p-20, 0x1.c4fb4678e488dp-20, 0x1.ebe840ad52a8cp-20, 0x1.093ddb1639034p-19, 0x1.1c5a063a79d24p-19, 0x1.2f47cf796523cp-19, 0x1.420665b13823cp-19, 0x1.54950cd7371dep-19, 0x1.66f321e88f815p-19, 0x1.79200c49550c8p-19, 0x1.8b1b336a7fbaep-19, 0x1.9ce400934949ap-19, 0x1.ae79e1fa7163bp-19, 0x1.bfdc49e3bc053p-19, 0x1.d10aadf96ba21p-19, 0x1.e204899ab9439p-19, 0x1.f2c9628ab84ebp-19, 0x1.01ac667231ce7p-18, 0x1.09d9351fa35fep-18, 0x1.11eaef9f08a88p-18, 0x1.19e1622434efep-18, 0x1.21bc51a028a6cp-18, 0x1.297b855ed91e9p-18, 0x1.311ed79d4895bp-18, 0x1.38a640abb39cfp-18, 0x1.4011bb7430326p-18, 0x1.4761121674c51p-18, 0x1.4e93f5e00a6bbp-18, 0x1.55aa4b52f43cfp-18, 0x1.5ca41fbea5432p-18, 0x1.638162da15f35p-18, 0x1.6a41e9fada214p-18, 0x1.70e59d307314ep-18, 0x1.776c7593fb1cbp-18, 0x1.7dd669ca3fdf1p-18, 0x1.84236a192739p-18, 0x1.8a5363b6541fdp-18, 0x1.906642e33cb9bp-18, 0x1.965bf4540f8b6p-18, 0x1.9c3468b4bcc36p-18, 0x1.a1ef9a8385f98p-18, 0x1.a78d94966c599p-18, 0x1.ad0e6bb5cc113p-18, 0x1.b272248517e7ap-18, 0x1.b7b8a5ddeb2c7p-18, 0x1.bce1d3b58fe9bp-18, 0x1.c1edbcf8f85cbp-18, 0x1.c6dc99a3e83fcp-18, 0x1.cbae6e713733ep-18, 0x1.d063057cc4808p-18, 0x1.d4fa70a2dd2e6p-18, 0x1.d974eb6a9c105p-18, 0x1.ddd26e1567b42p-18, 0x1.e212ecc8ee566p-18, 0x1.e636867f9f8c4p-18, 0x1.ea3d5ca1d2b6cp-18, 0x1.ee2782e6e0787p-18, 0x1.f1f507e066f64p-18, 0x1.f5a5fb6fab928p-18, 0x1.f93a6ff196bd1p-18, 0x1.fcb279295ec17p-18, 0x1.000715340b6d3p-17, 0x1.01a6ca7b92bf4p-17, 0x1.033863fa3b538p-17, 0x1.04bbe9af4a213p-17, 0x1.06316a0d2b728p-17, 0x1.0799029730485p-17, 0x1.08f2d51fd09cp-17, 0x1.0a3ee7a73b4p-17, 0x1.0b7d2c48bda27p-17, 0x1.0cadbc7842b2ap-17, 0x1.0dd0c95370f59p-17, 0x1.0ee650f19c389p-17, 0x1.0fee5f1416aafp-17, 0x1.10e91027cc29dp-17, 0x1.11d664de43b89p-17, 0x1.12b674cd30babp-17, 0x1.138962dafaf37p-17, 0x1.144f465c755d2p-17, 0x1.1508310c84c64p-17, 0x1.15b4355b7e06ap-17, 0x1.16536787d58b1p-17, 0x1.16e5dd066747ap-17, 0x1.176babf274535p-17, 0x1.17e4eae851cbcp-17, 0x1.1851b12a4209fp-17, 0x1.18b216a6d3df7p-17, 0x1.1906338db2e94p-17, 0x1.194e1f74a085ap-17, 0x1.1989f0378f522p-17, 0x1.19b9b94690a78p-17, 0x1.19dd903e98cafp-17, 0x1.19f59854f8b37p-17, 0x1.1a01f33197151p-17, 0x1.1a02a68db1cbcp-17, 0x1.19f7da36761dfp-17, 0x1.19e1c701a4c71p-17, 0x1.19c07f54302ddp-17, 0x1.1993fd8587bb3p-17, 0x1.195c4dc6818a5p-17, 0x1.1919a6e693cedp-17, 0x1.18cc3287f8ba8p-17, 0x1.18740a247ba7dp-17, 0x1.181145ae297fap-17, 0x1.17a3ff6c112ddp-17, 0x1.172c53726344fp-17, 0x1.16aa5ec5c8dfcp-17, 0x1.161e3ed2f9c7fp-17, 0x1.158811250775ep-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.bc4198c334281p-7, 0x1.bbdd269eff718p-6, 0x1.4c68aa2179e91p-5, 0x1.ba4d87bbec0e9p-5, 0x1.13b68e464b6dbp-4, 0x1.49cc5c2fde49fp-4, 0x1.7f51a3e23849cp-4, 0x1.b430c28bc82bbp-4, 0x1.e8551033bab4cp-4, 0x1.0dd578229e68dp-3, 0x1.270fef9c4eb43p-3, 0x1.3fd13ead38242p-3, 0x1.58114b396ea59p-3, 0x1.6fc89308ee03bp-3, 0x1.86f02c3863f6p-3, 0x1.9d81c40a9873fp-3, 0x1.b3779c4c4beb7p-3, 0x1.c8cc878fdbb54p-3, 0x1.dd7be48f8c363p-3, 0x1.f18199048dcc4p-3, 0x1.026d061c2ee7fp-2, 0x1.0bc110c456e0cp-2, 0x1.14bb9982e9d79p-2, 0x1.1d5b86220d0d5p-2, 0x1.259ff2b506069p-2, 0x1.2d882f3d3db62p-2, 0x1.3513bd6886fabp-2, 0x1.3c424e61b41c7p-2, 0x1.4313c0ab8f597p-2, 0x1.49881dfeb48f4p-2, 0x1.4f9f9923ed354p-2, 0x1.555a8bc670765p-2, 0x1.5ab9743b846bap-2, 0x1.5fbcf33efdd81p-2, 0x1.6465c9a60e83bp-2, 0x1.68b4d60b6d8bap-2, 0x1.6cab12792c32fp-2, 0x1.7049921551ddcp-2, 0x1.73917ed6e0033p-2, 0x1.76841748e1f7p-2, 0x1.7922ac60ee68cp-2, 0x1.7b6e9f6e07f47p-2, 0x1.7d696023ff613p-2, 0x1.7f146ac6bbbap-2, 0x1.80714677c72f1p-2, 0x1.818183a7a5f9ep-2, 0x1.8246baab8633fp-2, 0x1.82c28a77015fbp-2, 0x1.82f69778ebb88p-2, 0x1.82e48a997c1dap-2, 0x1.828e105797732p-2, 0x1.81f4d8029f022p-2, 0x1.811a930dd2388p-2, 0x1.8000f47a332adp-2, 0x1.7ea9b053b92c3p-2, 0x1.7d167b3eb8848p-2, 0x1.7b490a126f17bp-2, 0x1.7943117ddd3eap-2, 0x1.770645b448265p-2, 0x1.74945a1f06c8cp-2, 0x1.71ef011282b1dp-2, 0x1.6f17eb84b28e4p-2, 0x1.6c10c8c38b0ep-2, 0x1.68db462a5176dp-2, 0x1.65790ed4e88ffp-2, 0x1.61ebcb50969a1p-2, 0x1.5e352149e9b9fp-2, 0x1.5a56b337b750ep-2, 0x1.565220034e735p-2, 0x1.522902ae36556p-2, 0x1.4ddcf1f5f360ep-2, 0x1.496f7ff664897p-2, 0x1.44e239cb6bdd5p-2, 0x1.4036a732a2865p-2, 0x1.3b6e4a2de2891p-2, 0x1.368a9ea7795e1p-2, 0x1.318d1a18cbf23p-2, 0x1.2c772b343e47cp-2, 0x1.274a39931e7ap-2, 0x1.2207a56844d0ep-2, 0x1.1cb0c738138adp-2, 0x1.1746ef966be45p-2, 0x1.11cb66eb1544ep-2, 0x1.0c3f6d3d0f846p-2, 0x1.06a43a051b0c4p-2, 0x1.00fafc07cad5bp-2, 0x1.f689b26e91763p-3, 0x1.eb05dd39c7b8ap-3, 0x1.df6ca094f9c14p-3, 0x1.d3c012a76fcb6p-3, 0x1.c802379dc96e9p-3, 0x1.bc3501bac7638p-3, 0x1.b05a5176afa0ap-3, 0x1.a473f5aca9f42p-3, 0x1.9883abd56dfbap-3, 0x1.8c8b204e8b843p-3, 0x1.808beead708a4p-3, 0x1.7487a21d5b807p-3, 0x1.687fb5c741d12p-3, 0x1.5c759542bdfd1p-3, 0x1.506a9d0f13721p-3, 0x1.44601b1333e82p-3, 0x1.38574f23e5161p-3, 0x1.2c516b8ef36d3p-3, 0x1.204f95aa837b3p-3, 0x1.1452e6678580dp-3, 0x1.085c6ae6676a6p-3, 0x1.f8da4a1a311c1p-4, 0x1.e10c183aff864p-4, 0x1.c9501a972f822p-4, 0x1.b1a818a4dec2dp-4, 0x1.9a15c80e8fb5cp-4, 0x1.829acdd45ae2ap-4, 0x1.6b38bf66cc0ccp-4, 0x1.53f123ba4faebp-4, 0x1.3cc574521c151p-4, 0x1.25b71e41b0e02p-4, 0x1.0ec783241839fp-4, 0x1.efeff410648c1p-5, 0x1.c293a0a2db07p-5, 0x1.957c9518daf02p-5, 0x1.68ad4a6e5b49p-5, 0x1.3c282af8b3b9ep-5, 0x1.0fef93c3379e7p-5, 0x1.c80baba2db57ep-6, 0x1.70da6e8d9aa53p-6, 0x1.1a4fe8e81496bp-6, 0x1.88e1032860c6bp-7, 0x1.bd023d9968b53p-8, 0x1.ac45aa47cd2eap-10, -0x1.c7ff0d6889a13p-9, -0x1.180fed5eacea8p-7, -0x1.bc9f81779d029p-7, -0x1.2fd326a51dec5p-6, -0x1.808e1923aecafp-6, -0x1.d07c926c3cc8ep-6, -0x1.0fcd4af7300dep-5, -0x1.36f2181c82b0dp-5, -0x1.5daabb814195bp-5, -0x1.83f544a92b0a1p-5, -0x1.a9cfc7e4fad3ap-5, -0x1.cf385e856033dp-5, -0x1.f42d271b3e3f6p-5, -0x1.0c5622e20eb55p-4, -0x1.1e59f240d5d57p-4, -0x1.302119cd8e787p-4, -0x1.41aab503b04b5p-4, -0x1.52f5e2ef7ca54p-4, -0x1.6401c66a422c3p-4, -0x1.74cd865962fa7p-4, -0x1.85584defa6dfp-4, -0x1.95a14cf058f36p-4, -0x1.a5a7b7f3b3cb6p-4, -0x1.b56ac8ac2b7c2p-4, -0x1.c4e9be2c2c9ecp-4, -0x1.d423dd2bde521p-4, -0x1.e318704e7be8dp-4, -0x1.f1c6c8670b57p-4, -0x1.00171e5df0c26p-3, -0x1.072715a46b4fp-3, -0x1.0e12fc7fdce45p-3, -0x1.14da89036356fp-3, -0x1.1b7d74fa72467p-3, -0x1.21fb7e05b2785p-3, -0x1.285465b68b08bp-3, -0x1.2e87f1a935a5fp-3, -0x1.3495eb9d4c418p-3, -0x1.3a7e218cc13f5p-3, -0x1.404065c1219aep-3, -0x1.45dc8ee727284p-3, -0x1.4b5278207c289p-3, -0x1.50a20113b3b68p-3, -0x1.55cb0dfa65739p-3, -0x1.5acd87ad6ff9dp-3, -0x1.5fa95baf5400cp-3, -0x1.645e7c34af3d5p-3, -0x1.68ece02ad379p-3, -0x1.6d54833c79e05p-3, -0x1.719565d497ceep-3, -0x1.75af8d1f589ebp-3, -0x1.79a3030944647p-3, -0x1.7d6fd63c97ffap-3, -0x1.81161a1cd5874p-3, -0x1.8495e6c0a3105p-3, -0x1.87ef58e9ea9dcp-3, -0x1.8b2291fc62cd7p-3, -0x1.8e2fb7f273f25p-3, -0x1.9116f5509a27dp-3, -0x1.93d879173d53fp-3, -0x1.967476b32871p-3, -0x1.98eb25ec920aap-3, -0x1.9b3cc2d4dae07p-3, -0x1.9d698db307146p-3, -0x1.9f71caef0700cp-3, -0x1.a155c2fbdb24ap-3, -0x1.a315c240a844ep-3, -0x1.a4b21900c56c7p-3, -0x1.a62b1b42e377ep-3, -0x1.a78120b7439ddp-3, -0x1.a8b4849d30d99p-3, -0x1.a9c5a5a7a63ap-3, -0x1.aab4e5e1589f5p-3, -0x1.ab82aa900d07ap-3, -0x1.ac2f5c1775785p-3, -0x1.acbb65db777e8p-3, -0x1.ad27362215719p-3, -0x1.ad733df4e8006p-3, -0x1.ad9ff102507eep-3, -0x1.adadc57e606efp-3, -0x1.ad9d34038c43p-3, -0x1.ad6eb77334c8dp-3, -0x1.ad22ccd61d3a8p-3, -0x1.acb9f33cc8ae6p-3, -0x1.ac34ab9fdf71ap-3, -0x1.ab9378c097e77p-3, -0x1.aad6df093e317p-3, -0x1.a9ff646dd4799p-3, -0x1.a90d904ce7212p-3, -0x1.a801eb5093133p-3, -0x1.a6dcff4fcfd2p-3, -0x1.a59f573003678p-3, -0x1.a4497ec6e7423p-3, -0x1.a2dc02bcc96e1p-3, -0x1.a157706f3598dp-3, -0x1.9fbc55d4009a2p-3, -0x1.9e0b415cce3fep-3, -0x1.9c44c1db0ebbp-3, -0x1.9a69666476507p-3, -0x1.9879be3800e53p-3, -0x1.967658a37c1fbp-3, -0x1.945fc4e9a0e8ep-3, -0x1.92369228c3577p-3, -0x1.8ffb4f4218232p-3, -0x1.8dae8ac1994e9p-3, -0x1.8b50d2c684be6p-3, -0x1.88e2b4ec8738dp-3, -0x1.8664be357eaf2p-3, -0x1.83d77af3f1bb4p-3, -0x1.813b76b628f57p-3, -0x1.7e913c31f2efcp-3, -0x1.7bd9553118fdfp-3, -0x1.79144a7e7dc1ep-3, -0x1.7642a3d3eba32p-3, -0x1.7364e7c892523p-3, -0x1.707b9bc03436ep-3, -0x1.6d8743dafcc22p-3, -0x1.6a8862e60cd32p-3, -0x1.677f7a4cb384bp-3, -0x1.646d0a0a4e1a2p-3, -0x1.6151909cdc3e1p-3, -0x1.5e2d8af8399fdp-3, -0x1.5b01747a03f6cp-3, -0x1.57cdc6de2664ep-3, -0x1.5492fa340e9c2p-3, -0x1.515184d483dd8p-3, -0x1.4e09db5820b1bp-3, -0x1.4abc708e6af6fp-3, -0x1.4769b5758f89fp-3, -0x1.44121932af117p-3, -0x1.40b6090ace654p-3, -0x1.3d55f05c51f02p-3, -0x1.39f2389917659p-3, -0x1.368b4941160c2p-3, -0x1.332187dd91ed8p-3, -0x1.2fb557fcd3d7cp-3, -0x1.2c471b2e7281fp-3, -0x1.28d7310013512p-3, -0x1.2565f6fab0d08p-3, -0x1.21f3c8a062775p-3, -0x1.1e80ff6a9c0eep-3, -0x1.1b0df2c8dccebp-3, -0x1.179af81fdc414p-3, -0x1.142862c92279p-3, -0x1.10b684130c75dp-3, -0x1.0d45ab413937bp-3, -0x1.09d6258d605e9p-3, -0x1.06683e2886075p-3, -0x1.02fc3e3c904b7p-3, -0x1.ff24d9dc73fd6p-4, -0x1.f8561ebeb3b9cp-4, -0x1.f18cd163035cdp-4, -0x1.eac97411d92dbp-4, -0x1.e40c851f791b1p-4, -0x1.dd567ef30a7c6p-4, -0x1.d6a7d80e33868p-4, -0x1.d001031545014p-4, -0x1.c9626ed7e66a4p-4, -0x1.c2cc865a3efe5p-4, -0x1.bc3fb0de911cdp-4, -0x1.b5bc51ef4d4b8p-4, -0x1.af42c96989809p-4, -0x1.a8d37387e0383p-4, -0x1.a26ea8eda77ffp-4, -0x1.9c14beb28a868p-4, -0x1.95c6066e6efdap-4, -0x1.8f82ce45af74ep-4, -0x1.894b60f591de4p-4, -0x1.832005e10f2ccp-4, -0x1.7d01011dd22fep-4, -0x1.76ee93817023ap-4, -0x1.70e8faaed7418p-4, -0x1.6af07123e7e55p-4, -0x1.65052e47432bfp-4, -0x1.5f2766763531ap-4, -0x1.59574b12c68abp-4, -0x1.53950a91ed3a1p-4, -0x1.4de0d089d31dap-4, -0x1.483ac5c03691dp-4, -0x1.42a31038d9275p-4, -0x1.3d19d34400ff1p-4, -0x1.379f2f8d0021p-4, -0x1.32334328c5ad8p-4, -0x1.2cd629a47238ap-4, -0x1.2787fc13ecda7p-4, -0x1.2248d12075c8p-4, -0x1.1d18bd1732c47p-4, -0x1.17f7d1f7b320ap-4, -0x1.12e61f8266b58p-4, -0x1.0de3b3470b32p-4, -0x1.08f098b3052d7p-4, -0x1.040cd91fa6678p-4, -0x1.fe70f7c0c2699p-5, -0x1.f4e70ca1c310fp-5, -0x1.eb7bf7c6189cfp-5, -0x1.e22fbc59c9d2dp-5, -0x1.d90259ecab52ep-5, -0x1.cff3cc8da866p-5, -0x1.c7040ce5d64fcp-5, -0x1.be331053327b4p-5, -0x1.b580c90324d7cp-5, -0x1.aced260cb2b0dp-5, -0x1.a478138a60f49p-5, -0x1.9c217ab3c640bp-5, -0x1.93e941f6cd119p-5, -0x1.8bcf4d10952fdp-5, -0x1.83d37d260fcd2p-5, -0x1.7bf5b0dc30abap-5, -0x1.7435c46fcf66ap-5, -0x1.6c9391cd241b2p-5, -0x1.650ef0a6f160dp-5, -0x1.5da7b68d39cdep-5, -0x1.565db703aa2f3p-5, -0x1.4f30c397997e6p-5, -0x1.4820abf59fff1p-5, -0x1.412d3dfed827fp-5, -0x1.3a5645ddae9b2p-5, -0x1.339b8e1a54e13p-5, -0x1.2cfcdfaec8202p-5, -0x1.267a021a7a955p-5, -0x1.2012bb759381cp-5, -0x1.19c6d083c63d3p-5, -0x1.139604c6ca495p-5, -0x1.0d801a9062ce4p-5, -0x1.0784d31407cb8p-5, -0x1.01a3ee78288c7p-5, -0x1.f7ba57ce15c73p-6, -0x1.ec60933e7cc54p-6, -0x1.e13a0a0761251p-6, -0x1.d6463556bc9b4p-6, -0x1.cb848ce13663ap-6, -0x1.c0f486fff3731p-6, -0x1.b69598cda68dcp-6, -0x1.ac673642dc096p-6, -0x1.a268d25176adp-6, -0x1.9899deff83ae6p-6, -0x1.8ef9cd814622p-6, -0x1.85880e527a92fp-6, -0x1.7c44114eed7e3p-6, -0x1.732d45ca5ad9bp-6, -0x1.6a431aa79dae9p-6, -0x1.6184fe6f16728p-6, -0x1.58f25f6476917p-6, -0x1.508aab9bca73ap-6, -0x1.484d510dececep-6, -0x1.4039bdac343b4p-6, -0x1.384f5f7393b11p-6, -0x1.308da47f05b59p-6, -0x1.28f3fb1957711p-6, -0x1.2181d1ce62cf4p-6, -0x1.1a36977b9023ep-6, -0x1.1311bb5fcfff9p-6, -0x1.0c12ad2af5fc2p-6, -0x1.0538dd0c8563bp-6, -0x1.fd077783c610ep-7, -0x1.efe575480000bp-7, -0x1.e30a9768d48b1p-7, -0x1.d675c353c02a3p-7, -0x1.ca25dff8ad21ep-7, -0x1.be19d5e0e74ap-7, -0x1.b2508f4521fffp-7, -0x1.a6c8f8227df41p-7, -0x1.9b81fe4e86604p-7, -0x1.907a918a48d8cp-7, -0x1.85b1a3947569p-7, -0x1.7b26283a95117p-7, -0x1.70d715696789p-7, -0x1.66c3633c4eec9p-7, -0x1.5cea0c0bfc07ep-7, -0x1.534a0c7c32663p-7, -0x1.49e26388c322bp-7, -0x1.40b21291d4d75p-7, -0x1.37b81d672d844p-7, -0x1.2ef38a53024e9p-7, -0x1.26636223e9047p-7, -0x1.1e06b0360c9fdp-7, -0x1.15dc827bcb55cp-7, -0x1.0de3e98590996p-7, -0x1.061bf88928701p-7, -0x1.fd078ad0b365fp-8, -0x1.ee34d16dafb4cp-8, -0x1.dfbdfb7f8aa53p-8, -0x1.d1a14514f5d3fp-8, -0x1.c3dcefbd9c19ep-8, -0x1.b66f4291bf52ep-8, -0x1.a9568a3882f7ap-8, -0x1.9c9118ed774f8p-8, -0x1.901d4684e52a3p-8, -0x1.83f9706f87827p-8, -0x1.7823f9bce5914p-8, -0x1.6c9b4b1d1c33cp-8, -0x1.615dd2e1c1e97p-8, -0x1.566a04fdca66cp-8, -0x1.4bbe5b04d3d85p-8, -0x1.41595429b867ep-8, -0x1.3739753c1e34cp-8, -0x1.2d5d48a59113fp-8, -0x1.23c35e65d2c6fp-8, -0x1.1a6a4c0e9bed6p-8, -0x1.1150acbe9b971p-8, -0x1.0875211bee09dp-8, -0x1.ffac9e9c2269fp-9, -0x1.eee5c5ee30aa8p-9, -0x1.de931a5959dcbp-9, -0x1.ceb208e0a2faap-9, -0x1.bf40094e1f1ap-9, -0x1.b03a9e221979fp-9, -0x1.a19f5480a40cep-9, -0x1.936bc41efcea5p-9, -0x1.859d8f2f7972bp-9, -0x1.7832624d63f0dp-9, -0x1.6b27f467504abp-9, -0x1.5e7c06a9e5cacp-9, -0x1.522c64691d274p-9, -0x1.4636e3092aa99p-9, -0x1.3a9961e6d0556p-9, -0x1.2f51ca3f73444p-9, -0x1.245e0f183eef1p-9, -0x1.19bc2d253ca56p-9, -0x1.0f6a2aafee9b6p-9, -0x1.0566177d04b85p-9, -0x1.f75c19655bca9p-10, -0x1.e480597aab731p-10, -0x1.d235466af2bf3p-10, -0x1.c07749882f22fp-10, -0x1.af42de0e84b7bp-10, -0x1.9e9490ed531f7p-10, -0x1.8e69008eec409p-10, -0x1.7ebcdca10a686p-10, -0x1.6f8ce5dcd1564p-10, -0x1.60d5edcd41d5p-10, -0x1.5294d697580bap-10, -0x1.44c692c05f90cp-10, -0x1.376824f501434p-10, -0x1.2a769fd0361e2p-10, -0x1.1def25a22147p-10, -0x1.11cee83606adcp-10, -0x1.06132899aece1p-10, -0x1.f5726dc77d2c2p-11, -0x1.df7ce3f50ad1fp-11, -0x1.ca408eb6ec15ap-11, -0x1.b5b865c365515p-11, -0x1.a1df7d1a1e6b3p-11, -0x1.8eb10493b36ddp-11, -0x1.7c284770f9ea6p-11, -0x1.6a40abe9635f9p-11, -0x1.58f5b2be5771dp-11, -0x1.4842f6c7f1e93p-11, -0x1.38242c8964257p-11, -0x1.289521c16c85bp-11, -0x1.1991bcfdf3478p-11, -0x1.0b15fd2f79e9bp-11, -0x1.fa3bf27a75c02p-12, -0x1.df4bbf347b327p-12, -0x1.c553ebb5c9939p-12, -0x1.ac4d3097a262p-12, -0x1.943073138f175p-12, -0x1.7cf6c43569e9cp-12, -0x1.6699600b22f0bp-12, -0x1.5111acdddef37p-12, -0x1.3c593a645a3cdp-12, -0x1.2869c1000a3bfp-12, -0x1.153d20f488d3p-12, -0x1.02cd61a77ca2cp-12, -0x1.e22961bc838dap-13, -0x1.c01ac3fee81ffp-13, -0x1.9f63daaa452ap-13, -0x1.7ff9dea7a8b1bp-13, -0x1.61d24fc4d98a4p-13, -0x1.44e2f34a13681p-13, -0x1.2921d28d60432p-13, -0x1.0e853993f8e5fp-13, -0x1.ea076b6781036p-14, -0x1.b928286ea3923p-14, -0x1.8a5ac2183f0c7p-14, -0x1.5d8dcae06e213p-14, -0x1.32b04d50c5ac3p-14, -0x1.09b1c96d3739ap-14, -0x1.c504645b45fd8p-15, -0x1.7a23d61183a8ep-15, -0x1.32a38b00df1d7p-15, -0x1.dccbfae3517dp-16, -0x1.5a9cf458802d2p-16, -0x1.bd046f4c4db55p-17, -0x1.a11631f773149p-18, 0x1.09b77ebd7734cp-21, 0x1.cdab407554b7cp-18, 0x1.b286cd1916ff3p-17, 0x1.3a07c6b91b4b6p-16, 0x1.95e6d18a733cfp-16, 0x1.ed0e09998faa6p-16, 0x1.1fd4cdb84c07p-15, 0x1.46f232c9c0f63p-15, 0x1.6bf40035ae393p-15, 0x1.8eee630981582p-15, 0x1.aff4ecfef28f8p-15, 0x1.cf1a983ddd23ep-15, 0x1.ec71cb0eee542p-15, 0x1.04062dbc1f53fp-14, 0x1.10fdc964b6b1dp-14, 0x1.1d28188c3e5p-14, 0x1.288d385aeca5ep-14, 0x1.333504c08b017p-14, 0x1.3d271a1dd9734p-14, 0x1.466ad6def351bp-14, 0x1.4f075d151959cp-14, 0x1.570394018e3d7p-14, 0x1.5e6629996b03ap-14, 0x1.6535940a79847p-14, 0x1.6b78132c42b9cp-14, 0x1.7133b1f48df71p-14, 0x1.766e47dbb862ap-14, 0x1.7b2d7a3a8c711p-14, 0x1.7f76bda7773fdp-14, 0x1.834f5748093d8p-14, 0x1.86bc5e1861e66p-14, 0x1.89c2bc31d247dp-14, 0x1.8c67300a3be3ep-14, 0x1.8eae4da58f51fp-14, 0x1.909c7fc7c5315p-14, 0x1.923609175d339p-14, 0x1.937f0548f3877p-14, 0x1.947b6a3545652p-14, 0x1.952f08f18336bp-14, 0x1.959d8edc73b91p-14, 0x1.95ca86a86a2p-14, 0x1.95b9595ef49ecp-14, 0x1.956d4f5af0e0cp-14, 0x1.94e99142bcf82p-14, 0x1.943128f8443eap-14, 0x1.9347028814558p-14, 0x1.922ded0cee734p-14, 0x1.90e89b9229df1p-14, 0x1.8f79a5eafe73bp-14, 0x1.8de3898c3061dp-14, 0x1.8c28aa5ca4202p-14, 0x1.8a4b538129eb4p-14, 0x1.884db8235ec94p-14, 0x1.8631f4348f0ddp-14, 0x1.83fa0d29ac408p-14, 0x1.81a7f2b451d48p-14, 0x1.7f3d7f73cd0fep-14, 0x1.7cbc79a805ee9p-14, 0x1.7a2693da6155p-14, 0x1.777d6d8536a57p-14, 0x1.74c293b6995bfp-14, 0x1.71f781ab4928bp-14, 0x1.6f1da16906654p-14, 0x1.6c364c54581b3p-14, 0x1.6942cbc356696p-14, 0x1.66445989e1491p-14, 0x1.633c20844342dp-14, 0x1.602b3d1f957aep-14, 0x1.5d12bdd822cfep-14, 0x1.59f3a3bba6866p-14, 0x1.56cee2e03cc32p-14, 0x1.53a562e0f87e9p-14, 0x1.5077ff4fffabp-14, 0x1.4d478829b64a8p-14, 0x1.4a14c24295496p-14, 0x1.46e067aff6fa7p-14, 0x1.43ab2830386f5p-14, 0x1.4075a991af3cep-14, 0x1.3d40881208098p-14, 0x1.3a0c56bef769cp-14, 0x1.36d99fd1d6d2dp-14, 0x1.33a8e50949afap-14, 0x1.307aa000d07ap-14, 0x1.2d4f4283ab2b7p-14, 0x1.2a2736df16aa6p-14, 0x1.2702e02f962f1p-14, 0x1.23e29aaf82e62p-14, 0x1.20c6bc01404dap-14, 0x1.1daf9375b7c9fp-14, 0x1.1a9d6a53f3611p-14, 0x1.1790841aaca98p-14, 0x1.14891ec224812p-14, 0x1.118772fc40824p-14, 0x1.0e8bb4701bd7bp-14, 0x1.0b9611f5478abp-14, 0x1.08a6b5cdac12fp-14, 0x1.05bdc5dc5eb2dp-14, 0x1.02db63dcb97a9p-14, 0x1.ffff5b25b1a66p-15, 0x1.fa5579ff5688p-15, 0x1.f4b9511f9f285p-15, 0x1.ef2b069522027p-15, 0x1.e9aab9fe19d95p-15, 0x1.e43884db73647p-15, 0x1.ded47ae5be21dp-15, 0x1.d97eaa61203b9p-15, 0x1.d4371c6620a05p-15, 0x1.cefdd52fc97aap-15, 0x1.c9d2d4606a6bbp-15, 0x1.c4b615470fffap-15, 0x1.bfa78f2409049p-15, 0x1.baa7356697678p-15, 0x1.b5b4f7ec974f2p-15, 0x1.b0d0c33eb43a2p-15, 0x1.abfa80c6ca2a3p-15, 0x1.a732170520178p-15, 0x1.a27769c9feec6p-15, 0x1.9dca5a62d1131p-15, 0x1.992ac7cb76e9ap-15, 0x1.94988edcb7e6ap-15, 0x1.90138a7a906eep-15, 0x1.8b9b93bd88924p-15, 0x1.8730821bb283ap-15, 0x1.82d22b8e0785ap-15, 0x1.7e8064b77e31ep-15, 0x1.7a3b0104f0663p-15, 0x1.7601d2d1f0b97p-15, 0x1.71d4ab8a564e9p-15, 0x1.6db35bc46d6dep-15, 0x1.699db36403695p-15, 0x1.659381b3707e2p-15, 0x1.6194957c37127p-15, 0x1.5da0bd25ef97ap-15, 0x1.59b7c6c72ff63p-15, 0x1.55d9803e9ecd8p-15, 0x1.5205b74bc29cp-15, }}, 
      {{0x1.80cb3c95e7728p-7, 0x1.809fb7835e0bcp-6, 0x1.20417da2f7a0cp-5, 0x1.7ff2423d2dcb9p-5, 0x1.df4d07464092cp-5, 0x1.1f1e8952a09d5p-4, 0x1.4e57136c6f5c7p-4, 0x1.7d4649fb5e47p-4, 0x1.abe2a2ec36be8p-4, 0x1.da22e8095db0ep-4, 0x1.03ff1e098c90cp-3, 0x1.1ab60f87db0a7p-3, 0x1.313238ec9a4dp-3, 0x1.476fbc7165cb8p-3, 0x1.5d6aef177f4a1p-3, 0x1.7320593a256ccp-3, 0x1.888cb6bb3dc2ap-3, 0x1.9dacf6d1fe75fp-3, 0x1.b27e3b86ba73bp-3, 0x1.c6fdd8e96ecdfp-3, 0x1.db29541199391p-3, 0x1.eefe61f59d881p-3, 0x1.013d731348309p-2, 0x1.0ace78bdb5988p-2, 0x1.1431605a16f58p-2, 0x1.1d655d8da0178p-2, 0x1.2669b89483925p-2, 0x1.2f3dcd95f3424p-2, 0x1.37e10bfaa6024p-2, 0x1.4052f5c5adcc4p-2, 0x1.48931eef1117ap-2, 0x1.50a12cbf7717dp-2, 0x1.587cd52c25583p-2, 0x1.6025de32b1b2ap-2, 0x1.679c1d33f2c28p-2, 0x1.6edf764dedbc6p-2, 0x1.75efdbb4b71d1p-2, 0x1.7ccd4d0a84a34p-2, 0x1.8377d6b74737fp-2, 0x1.89ef914069c86p-2, 0x1.9034a0a15ed5ep-2, 0x1.964733a5c0708p-2, 0x1.9c278345db718p-2, 0x1.a1d5d2066462ep-2, 0x1.a7526b5c334fp-2, 0x1.ac9da314a7de9p-2, 0x1.b1b7d4c36a897p-2, 0x1.b6a1633602795p-2, 0x1.bb5ab7edbad3dp-2, 0x1.bfe442a019d46p-2, 0x1.c43e78be2434ep-2, 0x1.c869d5027a875p-2, 0x1.cc66d7064ebdbp-2, 0x1.d03602dd14d9bp-2, 0x1.d3d7e0b6b9fd1p-2, 0x1.d74cfc881d3fp-2, 0x1.da95e5b97aaabp-2, 0x1.ddb32eda67a76p-2, 0x1.e0a56d5af9dcfp-2, 0x1.e36d3949b3704p-2, 0x1.e60b2d15bf983p-2, 0x1.e87fe5551a649p-2, 0x1.eacc008e33203p-2, 0x1.ecf01f04a81a9p-2, 0x1.eeece288bb894p-2, 0x1.f0c2ee4922f1bp-2, 0x1.f272e6a6e6562p-2, 0x1.f3fd710b03822p-2, 0x1.f56333bd930bbp-2, 0x1.f6a4d5be3b24bp-2, 0x1.f7c2fe9dbfdaep-2, 0x1.f8be56588a839p-2, 0x1.f997853209194p-2, 0x1.fa4f3390d311bp-2, 0x1.fae609db7e90ep-2, 0x1.fb5cb05620b17p-2, 0x1.fbb3cf00732adp-2, 0x1.fbec0d74a42bfp-2, 0x1.fc0612c6cdc68p-2, 0x1.fc0285652a075p-2, 0x1.fbe20af9049d6p-2, 0x1.fba548487f9b4p-2, 0x1.fb4ce119333f6p-2, 0x1.fad97813c557cp-2, 0x1.fa4baea87bc6ap-2, 0x1.f9a424f4e41b1p-2, 0x1.f8e379aaa0833p-2, 0x1.f80a49f76353cp-2, 0x1.f719316e30e5fp-2, 0x1.f610c9f1ef453p-2, 0x1.f4f1aba1514e5p-2, 0x1.f3bc6cc428b0ep-2, 0x1.f271a1ba24188p-2, 0x1.f111dceb02bbap-2, 0x1.ef9daeb843e76p-2, 0x1.ee15a5704b803p-2, 0x1.ec7a4d430837dp-2, 0x1.eacc303812accp-2, 0x1.e90bd626402cap-2, 0x1.e739c4acad0d9p-2, 0x1.e5567f2d2d091p-2, 0x1.e36286c820444p-2, 0x1.e15e5a59a1273p-2, 0x1.df4a7677fe41ap-2, 0x1.dd275573753e6p-2, 0x1.daf56f5722243p-2, 0x1.d8b539eb0ffbp-2, 0x1.d66728b763cbbp-2, 0x1.d40bad0888087p-2, 0x1.d1a335f44dcddp-2, 0x1.cf2e305ff57b7p-2, 0x1.ccad0707043e6p-2, 0x1.ca202282df159p-2, 0x1.c787e95313ffp-2, 0x1.c4e4bfe642cb9p-2, 0x1.c23708a390ed1p-2, 0x1.bf7f23f49b7dbp-2, 0x1.bcbd704fd497bp-2, 0x1.b9f24a433c97bp-2, 0x1.b71e0c7f65b35p-2, 0x1.b4410fe2b6038p-2, 0x1.b15bab84d518fp-2, 0x1.ae6e34c23bdedp-2, 0x1.ab78ff47d533ep-2, 0x1.a87c5d1ea58ccp-2, 0x1.a5789eb76b1cap-2, 0x1.a26e12f62e288p-2, 0x1.9f5d073db3e2bp-2, 0x1.9c45c77acd362p-2, 0x1.99289e2f7764p-2, 0x1.9605d47dc303bp-2, 0x1.92ddb2327fa32p-2, 0x1.8fb07dcfa2cb2p-2, 0x1.8c7e7c96612bbp-2, 0x1.8947f290f97ebp-2, 0x1.860d229c2bda9p-2, 0x1.82ce4e7054a9bp-2, 0x1.7f8bb6aa2fab1p-2, 0x1.7c459ad3378dep-2, 0x1.78fc3969a9317p-2, 0x1.75afcfe8214c6p-2, 0x1.72609accd6aefp-2, 0x1.6f0ed5a073527p-2, 0x1.6bbabafc852d9p-2, 0x1.686484918f97ap-2, 0x1.650c6b2cb6337p-2, 0x1.61b2a6bd07f8ep-2, 0x1.5e576e58697cep-2, 0x1.5afaf840226cdp-2, 0x1.579d79e50cecp-2, 0x1.543f27eb6ac77p-2, 0x1.50e0362e66aap-2, 0x1.4d80d7c33e3aep-2, 0x1.4a213efc1bc03p-2, 0x1.46c19d6aa25a7p-2, 0x1.436223e22e999p-2, 0x1.40030279d124dp-2, 0x1.3ca4688e05a75p-2, 0x1.394684c226e3bp-2, 0x1.35e98501ab5c6p-2, 0x1.328d96812388cp-2, 0x1.2f32e5bf096bdp-2, 0x1.2bd99e845930bp-2, 0x1.2881ebe4feadap-2, 0x1.252bf840198f7p-2, 0x1.21d7ed401bb24p-2, 0x1.1e85f3dac1a74p-2, 0x1.1b363450eff69p-2, 0x1.17e8d62e70b59p-2, 0x1.149e00499ce32p-2, 0x1.1155d8c2eee46p-2, 0x1.0e10850480566p-2, 0x1.0ace29c17e325p-2, 0x1.078eeaf58d1c7p-2, 0x1.0452ebe4271afp-2, 0x1.011a4f17ef2e1p-2, 0x1.fbca6cc40f198p-3, 0x1.f56785b2c0cd7p-3, 0x1.ef0c29b416193p-3, 0x1.e8b8980922fc1p-3, 0x1.e26d0e7aa1367p-3, 0x1.dc29c957b4823p-3, 0x1.d5ef0374c84d5p-3, 0x1.cfbcf62a7e2acp-3, 0x1.c993d954b403bp-3, 0x1.c373e351ad774p-3, 0x1.bd5d4901587f7p-3, 0x1.b7503dc4b0decp-3, 0x1.b14cf37d522d3p-3, 0x1.ab539a8d23667p-3, 0x1.a56461d632d9fp-3, 0x1.9f7f76babd34p-3, 0x1.99a5051d5897dp-3, 0x1.93d5376150fb5p-3, 0x1.8e10366b33218p-3, 0x1.885629a183901p-3, 0x1.82a736eda5046p-3, 0x1.7d0382bcee687p-3, 0x1.776b3001f2ebp-3, 0x1.71de6035f7d52p-3, 0x1.6c5d335a9ba1bp-3, 0x1.66e7c7fbae56ep-3, 0x1.617e3b3135db2p-3, 0x1.5c20a8a1a8d2dp-3, 0x1.56cf2a844e6f9p-3, 0x1.5189d9a3d92ebp-3, 0x1.4c50cd6124c6fp-3, 0x1.47241bb626393p-3, 0x1.4203d939061a1p-3, 0x1.3cf0191f697a1p-3, 0x1.37e8ed41dfbf2p-3, 0x1.32ee661f7e3b9p-3, 0x1.2e0092e19ef44p-3, 0x1.291f815fc8be6p-3, 0x1.244b3e23c0b46p-3, 0x1.1f83d46db36b1p-3, 0x1.1ac94e389049bp-3, 0x1.161bb43e783c2p-3, 0x1.117b0dfd577f2p-3, 0x1.0ce761bb91e4ap-3, 0x1.0860b48cd8707p-3, 0x1.03e70a570ec98p-3, 0x1.fef4cbaea4304p-4, 0x1.f635914e283f6p-4, 0x1.ed9066829a6cfp-4, 0x1.e5054a0f8a398p-4, 0x1.dc943890e01dp-4, 0x1.d43d2c85ae89dp-4, 0x1.cc001e5b34312p-4, 0x1.c3dd0477efdf1p-4, 0x1.bbd3d346db0b6p-4, 0x1.b3e47d42a9b03p-4, 0x1.ac0ef30139a13p-4, 0x1.a453233ef04b1p-4, 0x1.9cb0faea50be4p-4, 0x1.9528652f7a814p-4, 0x1.8db94b83c34dp-4, 0x1.866395b1574c4p-4, 0x1.7f2729e2d7c5p-4, 0x1.7803ecaefedc1p-4, 0x1.70f9c124413cbp-4, 0x1.6a0888d46d76p-4, 0x1.633023e042e76p-4, 0x1.5c70710304197p-4, 0x1.55c94d9dfcc6cp-4, 0x1.4f3a95c3fa587p-4, 0x1.48c42444b8c71p-4, 0x1.4265d2b83b6cbp-4, 0x1.3c1f798a15a7ep-4, 0x1.35f0f0049ebcfp-4, 0x1.2fda0c5c0e235p-4, 0x1.29daa3b981229p-4, 0x1.23f28a45e691cp-4, 0x1.1e219334cecc6p-4, 0x1.186790cf1f53bp-4, 0x1.12c4547da8e22p-4, 0x1.0d37aed39d206p-4, 0x1.07c16f98e3a1ap-4, 0x1.026165d44e53fp-4, 0x1.fa2ebfab503cp-5, 0x1.efc6567f452f2p-5, 0x1.e5892a2338b21p-5, 0x1.db76d36282f21p-5, 0x1.d18ee9e80c137p-5, 0x1.c7d10450efe62p-5, 0x1.be3cb83ed1bbcp-5, 0x1.b4d19a69dbcc2p-5, 0x1.ab8f3eb2707e4p-5, 0x1.a27538327ecdfp-5, 0x1.9983194e8949dp-5, 0x1.90b873c6513c5p-5, 0x1.8814d8c52d09bp-5, 0x1.7f97d8f205e36p-5, 0x1.7741047efd2bbp-5, 0x1.6f0feb38b7c6fp-5, 0x1.67041c955393p-5, 0x1.5f1d27c300b02p-5, 0x1.575a9bb6416b2p-5, 0x1.4fbc0737d06f9p-5, 0x1.4840f8f22f5dfp-5, 0x1.40e8ff7ed8d8dp-5, 0x1.39b3a9731b504p-5, 0x1.32a0856c9a6ebp-5, 0x1.2baf221d750b7p-5, 0x1.24df0e581a307p-5, 0x1.1e2fd91ab8173p-5, 0x1.17a1119a66899p-5, 0x1.1132474deb39cp-5, 0x1.0ae309f82d2dcp-5, 0x1.04b2e9b2535fap-5, 0x1.fd42edeb1f401p-6, 0x1.f15c854927401p-6, 0x1.e5b1bc2963c6p-6, 0x1.da41b62d5f0d6p-6, 0x1.cf0b97fe86b89p-6, 0x1.c40e875e84a51p-6, 0x1.b949ab37077e6p-6, 0x1.aebc2ba8e26ep-6, 0x1.a465321a8dc32p-6, 0x1.9a43e946229b6p-6, 0x1.90577d46b2955p-6, 0x1.869f1ba50f422p-6, 0x1.7d19f36402098p-6, 0x1.73c7350bf1afbp-6, 0x1.6aa612b60444bp-6, 0x1.61b5c016aa7c8p-6, 0x1.58f57287b1fefp-6, 0x1.50646111c8dd8p-6, 0x1.4801c47583c88p-6, 0x1.3fccd733e160ep-6, 0x1.37c4d5965318dp-6, 0x1.2fe8fdb64dc07p-6, 0x1.28388f845fa08p-6, 0x1.20b2ccced05ddp-6, 0x1.1956f947d0451p-6, 0x1.12245a8b37b3cp-6, 0x1.0b1a3823da234p-6, 0x1.0437db906ef1fp-6, 0x1.faf920901b9c6p-7, 0x1.edcf477c99abfp-7, 0x1.e0f0cacdea522p-7, 0x1.d45c4d72af8edp-7, 0x1.c8107666a3069p-7, 0x1.bc0bf0b7be204p-7, 0x1.b04d6b8ad99fbp-7, 0x1.a4d39a1f7a244p-7, 0x1.999d33d316f4bp-7, 0x1.8ea8f423b0debp-7, 0x1.83f59ab1cb767p-7, 0x1.7981eb41cfbeep-7, 0x1.6f4cadbcd83bbp-7, 0x1.6554ae30f0463p-7, 0x1.5b98bcd0d07fap-7, 0x1.5217adf2ff0b2p-7, 0x1.48d05a1092e51p-7, 0x1.3fc19dc36157ap-7, 0x1.36ea59c3a6702p-7, 0x1.2e4972e55f344p-7, 0x1.25ddd2151251bp-7, 0x1.1da6645448dd3p-7, 0x1.15a21ab589641p-7, 0x1.0dcfea57ff1cbp-7, 0x1.062ecc62b5005p-7, 0x1.fd7b7bfef978ep-8, 0x1.eef780ab0534dp-8, 0x1.e0cfb10711c33p-8, 0x1.d3021f3390e4dp-8, 0x1.c58ce52750dafp-8, 0x1.b86e24a1f5b24p-8, 0x1.aba4071e2ba03p-8, 0x1.9f2cbdc35bd5ep-8, 0x1.93068156a78dep-8, 0x1.872f922bb9b86p-8, 0x1.7ba63814df72bp-8, 0x1.7068c252f4dcbp-8, 0x1.65758784ba805p-8, 0x1.5acae595f0bc4p-8, 0x1.506741adfb46dp-8, 0x1.4649081e5cb83p-8, 0x1.3c6eac50b90c4p-8, 0x1.32d6a8b4afe3dp-8, 0x1.297f7ead587abp-8, 0x1.2067b67e90ddp-8, 0x1.178ddf3a12d7bp-8, 0x1.0ef08eac536f3p-8, 0x1.068e61492e427p-8, 0x1.fccbf430f3234p-9, 0x1.ecec054485762p-9, 0x1.dd7a55b63f182p-9, 0x1.ce745220903d8p-9, 0x1.bfd773a72142p-9, 0x1.b1a13fcea8612p-9, 0x1.a3cf485490247p-9, 0x1.965f2b06b1863p-9, 0x1.894e919a8d295p-9, 0x1.7c9b3184e0541p-9, 0x1.7042cbd0d4969p-9, 0x1.64432cf76d5dp-9, 0x1.589a2cb6e8004p-9, 0x1.4d45adea02805p-9, 0x1.42439e5f79fa8p-9, 0x1.3791f6b163f88p-9, 0x1.2d2eba1ce7722p-9, 0x1.2317f659d889dp-9, 0x1.194bc3727e816p-9, 0x1.0fc8439b943aep-9, 0x1.068ba30c57ec9p-9, 0x1.fb282fade54dbp-10, 0x1.e9bfc3819badp-10, 0x1.d8da9436e2059p-10, 0x1.c875473a69857p-10, 0x1.b88c94753548dp-10, 0x1.a91d45ff09faap-10, 0x1.9a2437d2317b9p-10, 0x1.8b9e577ef8ba4p-10, 0x1.7d88a3e05c69dp-10, 0x1.6fe02cd0dadf9p-10, 0x1.62a212e02f00cp-10, 0x1.55cb87099fcebp-10, 0x1.4959ca6a9c827p-10, 0x1.3d4a2dfac0f22p-10, 0x1.319a12439d2ap-10, 0x1.2646e719d8ecbp-10, 0x1.1b4e2b56df6f3p-10, 0x1.10ad6c9315913p-10, 0x1.066246e0cd3c4p-10, 0x1.f8d4c910a5263p-11, 0x1.e586fb884de6cp-11, 0x1.d2d6b0fd634fap-11, 0x1.c0bf901fbbd28p-11, 0x1.af3d59f89d4bfp-11, 0x1.9e4be969656c9p-11, 0x1.8de732aca4951p-11, 0x1.7e0b42d822a8cp-11, 0x1.6eb43f610a373p-11, 0x1.5fde65a180e3bp-11, 0x1.51860a5f6a9cep-11, 0x1.43a79955972ccp-11, 0x1.363f94bdd5eb2p-11, 0x1.294a94dcb8a7ap-11, 0x1.1cc5478f84939p-11, 0x1.10ac6fdafb574p-11, 0x1.04fce57c7c09p-11, 0x1.f36728f82dc4cp-12, 0x1.dd9af9819232fp-12, 0x1.c88f634c07097p-12, 0x1.b43eb325cd89p-12, 0x1.a0a35b25eef43p-12, 0x1.8db7f1e11ee62p-12, 0x1.7b7731a1b070cp-12, 0x1.69dbf7a2eb78ep-12, 0x1.58e1434ee9b01p-12, 0x1.48823580b6545p-12, 0x1.38ba0fc83e41ep-12, 0x1.298433b1a7eabp-12, 0x1.1adc2210e01d5p-12, 0x1.0cbd7a4e5a648p-12, 0x1.fe47f37134c25p-13, 0x1.e416f5aec1c22p-13, 0x1.cadfe985dd62dp-13, 0x1.b29af4fa23d24p-13, 0x1.9b40749d8991ap-13, 0x1.84c8fa4d7bfe9p-13, 0x1.6f2d4bf8c1f31p-13, 0x1.5a66626986d9fp-13, 0x1.466d68156bcacp-13, 0x1.333bb7f390453p-13, 0x1.20cadc580f0a5p-13, 0x1.0f148dd4bf55ep-13, 0x1.fc25643e2948fp-14, 0x1.db7eb5f8a5bc8p-14, 0x1.bc298a61382eap-14, 0x1.9e1aaeef1955fp-14, 0x1.814742fac729dp-14, 0x1.65a4b5c0281e8p-14, 0x1.4b28c469631ebp-14, 0x1.31c97822960e8p-14, 0x1.197d243973fb1p-14, 0x1.023a6446b3c26p-14, 0x1.d7f034b846ff3p-15, 0x1.ad5ada8574ecfp-15, 0x1.84a38d7ae3fa8p-15, 0x1.5db9a3b01aedcp-15, 0x1.388cf278e672cp-15, 0x1.150dcb2576222p-15, 0x1.e659efa960bf1p-16, 0x1.a5b770a5299dap-16, 0x1.68177e2059119p-16, 0x1.2d5e5c466da19p-16, 0x1.eae2516fc354ap-17, 0x1.806ba9a12d37fp-17, 0x1.1b2640210e598p-17, 0x1.75c24a91db46p-18, 0x1.7db3c07ea86eap-19, 0x1.13767abcc7d8dp-22, -0x1.26fc295d66fccp-19, -0x1.2f9cba731dd59p-18, -0x1.c377f2c4a8346p-18, -0x1.27b03eb7fd1b8p-17, -0x1.69d241d146e5bp-17, -0x1.a847d4fdede8p-17, -0x1.e335913b0dbfdp-17, -0x1.0d5f6f70eb691p-16, -0x1.2782ff1607a56p-16, -0x1.401607bcbce6bp-16, -0x1.57288db2cbd79p-16, -0x1.6cca0d56486f4p-16, -0x1.81097ef63572ap-16, -0x1.93f55a928c027p-16, -0x1.a59b9b8ea5048p-16, -0x1.b609c442011b9p-16, -0x1.c54ce178e65acp-16, -0x1.d3718dde859dep-16, -0x1.e083f5530cbb1p-16, -0x1.ec8fd82758e95p-16, -0x1.f7a08e4af339cp-16, -0x1.00e0852ff9f16p-15, -0x1.057dee5d0847ep-15, -0x1.09ad9b29ed61ap-15, -0x1.0d7475d50cd2ap-15, -0x1.10d73bc216a6p-15, -0x1.13da7ed411e49p-15, -0x1.1682a6c1ed39dp-15, -0x1.18d3f25eceee5p-15, -0x1.1ad278dccf9ecp-15, -0x1.1c822b04d5b99p-15, -0x1.1de6d4673d085p-15, -0x1.1f041c8627207p-15, -0x1.1fdd87f387eabp-15, -0x1.2076796cdb022p-15, -0x1.20d232ea85505p-15, -0x1.20f3d6ac07afep-15, -0x1.20de683a1823p-15, -0x1.2094cd63aab83p-15, -0x1.2019cf3203c2fp-15, -0x1.1f701ad85b2bep-15, -0x1.1e9a429a62876p-15, -0x1.1d9abeaccff33p-15, -0x1.1c73ee13d4724p-15, -0x1.1b28177642a63p-15, -0x1.19b969edd96dfp-15, -0x1.1829fdcf7738dp-15, -0x1.167bd56ef9769p-15, -0x1.14b0ddddd6083p-15, -0x1.12caefa220899p-15, -0x1.10cbcf6c28c2cp-15, -0x1.0eb52ec364b7ap-15, -0x1.0c88acafcc44ap-15, -0x1.0a47d65e419ap-15, -0x1.07f427be6b7ep-15, -0x1.058f0c200ddbp-15, -0x1.0319dec6cfa01p-15, -0x1.0095eb7d5f386p-15, -0x1.fc08de42f0a1bp-16, -0x1.f6cd305cf3852p-16, -0x1.f17b0e827f068p-16, -0x1.ec149f316e8cbp-16, -0x1.e69bef28c363p-16, -0x1.e112f25818d6cp-16, -0x1.db7b84ccbd358p-16, -0x1.d5d76b938372dp-16, -0x1.d028559548ad8p-16, -0x1.ca6fdc6d6996ap-16, -0x1.c4af85396190dp-16, -0x1.bee8c1605b85cp-16, -0x1.b91cef540ce17p-16, -0x1.b34d5b5047f82p-16, -0x1.ad7b400d58c2dp-16, -0x1.a7a7c770eae82p-16, -0x1.a1d40b378fdd4p-16, -0x1.9c01159a5437fp-16, -0x1.962fe1ef43f71p-16, -0x1.90615d43b4e1dp-16, -0x1.8a9666ef2575dp-16, -0x1.84cfd12522843p-16, -0x1.7f0e617f794fap-16, -0x1.7952d1841341cp-16, -0x1.739dcf280e05ep-16, -0x1.6deffd4c5827p-16, -0x1.6849f439883ddp-16, -0x1.62ac4212ce612p-16, -0x1.5d176b480f937p-16, -0x1.578beb017e7f3p-16, -0x1.520a3389af172p-16, -0x1.4c92aeb33418dp-16, -0x1.4725be3bc8f12p-16, -0x1.41c3bc28dfb63p-16, -0x1.3c6cfb236bdb8p-16, -0x1.3721c6d094fb7p-16, -0x1.31e264264380bp-16, -0x1.2caf11ba5718cp-16, -0x1.27880812eef86p-16, -0x1.226d79f20a4aap-16, -0x1.1d5f949dadfe5p-16, -0x1.185e802677c67p-16, -0x1.136a5faaa0da3p-16, -0x1.0e8351970b302p-16, -0x1.09a96fe50f2ddp-16, -0x1.04dcd058df389p-16, -0x1.001d84b6fce32p-16, -0x1.f6d735fc2d0e7p-17, -0x1.ed8e3b37c5efap-17, -0x1.e460273f062f6p-17, -0x1.db4d01d7424a5p-17, -0x1.d254ccc55927fp-17, -0x1.c977842d353ecp-17, -0x1.c0b51ee5b210fp-17, -0x1.b80d8ecdcbaedp-17, -0x1.af80c1191470ap-17, -0x1.a70e9e9e5416dp-17, -0x1.9eb70c1d814ecp-17, -0x1.9679ea8888e91p-17, -0x1.8e571742c1124p-17, -0x1.864e6c60f54f3p-17, -0x1.7e5fc0e670e5fp-17, -0x1.768ae900c0b18p-17, -0x1.6ecfb63fd64c9p-17, -0x1.672df7c78c706p-17, -0x1.5fa57a83ab338p-17, -0x1.5836095816db4p-17, -0x1.50df6d4cc2ee3p-17, -0x1.49a16dbd398fep-17, -0x1.427bd07e3a936p-17, -0x1.3b6e5a0971984p-17, -0x1.3478cd9ff8287p-17, -0x1.2d9aed7041e51p-17, -0x1.26d47ab666656p-17, -0x1.202535db32c99p-17, -0x1.198cde9390e83p-17, -0x1.130b33fc80f7p-17, -0x1.0c9ff4b7ce8ddp-17, -0x1.064adf0655a3dp-17, -0x1.000bb0dccc979p-17, -0x1.f3c44ffdf6dd1p-18, -0x1.e79c042492df5p-18, -0x1.db9df967aa74ap-18, -0x1.cfc9ab14fc293p-18, -0x1.c41e94b10650ap-18, -0x1.b89c321e2c375p-18, -0x1.ad41ffb445a4ep-18, -0x1.a20f7a654bf6dp-18, -0x1.97041fd2a9c05p-18, -0x1.8c1f6e6a0366ap-18, -0x1.8160e57bba951p-18, -0x1.76c8054faaddbp-18, -0x1.6c544f3d662bep-18, -0x1.620545bbd8493p-18, -0x1.57da6c723827fp-18, -0x1.4dd3484b28a22p-18, -0x1.43ef5f7c565a6p-18, -0x1.3a2e399d4d9f2p-18, -0x1.308f5fa8cbefap-18, -0x1.27125c10a99fep-18, -0x1.1db6bac30d79p-18, -0x1.147c0932a3a69p-18, -0x1.0b61d65fa5089p-18, -0x1.0267b2dd4fb66p-18, -0x1.f31a61acf9eap-19, -0x1.e1a3c8289713fp-19, -0x1.d06ac3f9607a2p-19, -0x1.bf6e833cddc5cp-19, -0x1.aeae37556134ap-19, -0x1.9e2914f51d838p-19, -0x1.8dde5424c79bcp-19, -0x1.7dcd303b851d5p-19, -0x1.6df4e7e299bbbp-19, -0x1.5e54bd14311a8p-19, -0x1.4eebf518b1646p-19, -0x1.3fb9d8828cce2p-19, -0x1.30bdb32567857p-19, }}, 
      {{-0x1.979f01bcb1157p-1, -0x1.9792eb100406ep-1, -0x1.977d2d833563fp-1, -0x1.975b83350de1p-1, -0x1.972af03c6b858p-1, -0x1.96e7e8613f1d4p-1, -0x1.968e755a42fddp-1, -0x1.961a5b5f83eep-1, -0x1.95873abda5ff6p-1, -0x1.94d0adaffcfcfp-1, -0x1.93f26231554e6p-1, -0x1.92e82fba199d3p-1, -0x1.91ae2910ad807p-1, -0x1.9040aa6da094ep-1, -0x1.8e9c64461a32dp-1, -0x1.8cbe631723d49p-1, -0x1.8aa4148ee9deap-1, -0x1.884b4a6f85ebp-1, -0x1.85b23b8296bp-1, -0x1.82d782eef88bp-1, -0x1.7fba1e3ae023fp-1, -0x1.7c596a3d127fp-1, -0x1.78b51f3848546p-1, -0x1.74cd4c5446d1fp-1, -0x1.70a252a111026p-1, -0x1.6c34dfc9eb14fp-1, -0x1.6785e897d16d4p-1, -0x1.6296a35d91a8ep-1, -0x1.5d688262dbfc7p-1, -0x1.57fd2e5f6d87ap-1, -0x1.52568113d1dc3p-1, -0x1.4c76800a224a7p-1, -0x1.465f5786975c1p-1, -0x1.401355ad948ccp-1, -0x1.3994e5e312d89p-1, -0x1.32e68c65e79ffp-1, -0x1.2c0ae22835079p-1, -0x1.250490e5762e5p-1, -0x1.1dd64f75db934p-1, -0x1.1682de5e2815p-1, -0x1.0f0d049ad3a4fp-1, -0x1.07778ca4ef543p-1, -0x1.ff8a835e16e6dp-2, -0x1.eff1da3078671p-2, -0x1.e02aa82685235p-2, -0x1.d03a6aff8ebb9p-2, -0x1.c0268fe735981p-2, -0x1.aff46fe3b2ce9p-2, -0x1.9fa94c9bcbf15p-2, -0x1.8f4a4d704792bp-2, -0x1.7edc7ce4c6e9fp-2, -0x1.6e64c65403dc1p-2, -0x1.5de7f3eb7156bp-2, -0x1.4d6aacea60dedp-2, -0x1.3cf17420dc857p-2, -0x1.2c80a6aa72154p-2, -0x1.1c1c7ae156156p-2, -0x1.0bc8ff86445dp-2, -0x1.f714363366e17p-3, -0x1.d6c716c5e9789p-3, -0x1.b6b1ca44093efp-3, -0x1.96db27d1b955fp-3, -0x1.7749b4327a50ep-3, -0x1.5803a207f7543p-3, -0x1.390ed24dff43fp-3, -0x1.1a70d50e77aap-3, -0x1.f85dd48ffbb15p-4, -0x1.bc9c0604b186ap-4, -0x1.81a58517d69c7p-4, -0x1.4782ffb76a447p-4, -0x1.0e3c8e272e10ep-4, -0x1.abb36c7b73804p-5, -0x1.3cc2dda4f8e1p-5, -0x1.9f688d564271ep-6, -0x1.924dbc55e968fp-7, 0x1.253a4f4b8ec1ep-11, 0x1.aeec08e22693fp-7, 0x1.a1ac2721cfa54p-6, 0x1.33de44a79cb4ap-5, 0x1.94cca45ebec5bp-5, 0x1.f39b20e4a5347p-5, 0x1.28223fbf5ef48p-4, 0x1.55622a2d4f39dp-4, 0x1.818b7d35d2c46p-4, 0x1.ac9cc5ad5e7a9p-4, 0x1.d694ebc6aa293p-4, 0x1.ff732f23faba5p-4, 0x1.139b917c2101fp-3, 0x1.26f0551ce3875p-3, 0x1.39b7f9f3e58abp-3, 0x1.4bf2bbb240438p-3, 0x1.5da0f87234ffcp-3, 0x1.6ec32ef9fbec4p-3, 0x1.7f59fd0a1046ap-3, 0x1.8f661db74bc6ep-3, 0x1.9ee867d0fc5a8p-3, 0x1.ade1cc531d886p-3, 0x1.bc5354e4cc5c4p-3, 0x1.ca3e226304cdcp-3, 0x1.d7a36b7794681p-3, 0x1.e4847b3c493b6p-3, 0x1.f0e2afea32df8p-3, 0x1.fcbf7994db24ap-3, 0x1.040e2c78aa11ep-2, 0x1.097d6f1472226p-2, 0x1.0eae53db8b15fp-2, 0x1.13a1b0a984affp-2, 0x1.18586171d4f8p-2, 0x1.1cd347bf518ffp-2, 0x1.21134a38dfd79p-2, 0x1.2519542b37cf5p-2, 0x1.28e655179cb23p-2, 0x1.2c7b40475f4bcp-2, 0x1.2fd90c64074bdp-2, 0x1.3300b31405afep-2, 0x1.35f3309bc132fp-2, 0x1.38b18382dfbcep-2, 0x1.3b3cac3da61d1p-2, 0x1.3d95acda4ae21p-2, 0x1.3fbd88b2198e7p-2, 0x1.41b5441e413a1p-2, 0x1.437de43030b79p-2, 0x1.45186e6d5c9dfp-2, 0x1.4685e88e522fcp-2, 0x1.47c75840effbp-2, 0x1.48ddc2edb0d8p-2, 0x1.49ca2d7fe303bp-2, 0x1.4a8d9c30b395cp-2, 0x1.4b291254eea84p-2, 0x1.4b9d922d5f138p-2, 0x1.4bec1cb9ac52dp-2, 0x1.4c15b18da79c7p-2, 0x1.4c1b4ea8e2cc6p-2, 0x1.4bfdf0508a87p-2, 0x1.4bbe90eb5dc31p-2, 0x1.4b5e28dfb74ap-2, 0x1.4addae73901dap-2, 0x1.4a3e15ae6aee3p-2, 0x1.4980503d1150ep-2, 0x1.48a54d57111fap-2, 0x1.47adf9a5edb1ep-2, 0x1.469b3f2decbd2p-2, 0x1.456e053874c07p-2, 0x1.4427303fe9a09p-2, 0x1.42c7a1dcfce6ap-2, 0x1.415038b55b334p-2, 0x1.3fc1d06bb6757p-2, 0x1.3e1d419112825p-2, 0x1.3c6361974d032p-2, 0x1.3a9502c4db038p-2, 0x1.38b2f429a0696p-2, 0x1.36be0194e9418p-2, 0x1.34b6f38c6aeebp-2, 0x1.329e8f444a96dp-2, 0x1.307596981eb0fp-2, 0x1.2e3cc804dd31p-2, 0x1.2bf4dea3b1eaep-2, 0x1.299e9225b3f08p-2, 0x1.273a96d06c49p-2, 0x1.24c99d7b2ee1bp-2, 0x1.224c538d310d7p-2, 0x1.1fc362fc63ba7p-2, 0x1.1d2f724cfd946p-2, 0x1.1a912491b6d45p-2, 0x1.17e9196ca98dep-2, 0x1.1537ed10d3d51p-2, 0x1.127e3844312f7p-2, 0x1.0fbc906269fep-2, 0x1.0cf387600b3e6p-2, 0x1.0a23abce4a983p-2, 0x1.074d88df44ae3p-2, 0x1.0471a66abd2dap-2, 0x1.019088f34e22cp-2, 0x1.fd55635815108p-3, 0x1.f7813cfd1689bp-3, 0x1.f1a59422c3839p-3, 0x1.ebc3579dd13e6p-3, 0x1.e5db6fd8e8929p-3, 0x1.dfeebee3ad59dp-3, 0x1.d9fe20826dd9cp-3, 0x1.d40a6a3e6c1d2p-3, 0x1.ce146b76c05a2p-3, 0x1.c81ced71b75f2p-3, 0x1.c224b36ec6886p-3, 0x1.bc2c7ab8e5bdfp-3, 0x1.b634fab96ba0cp-3, 0x1.b03ee50b4b5abp-3, 0x1.aa4ae58eb4f26p-3, 0x1.a459a27d17423p-3, 0x1.9e6bbc7d70389p-3, 0x1.9881ceb8efc6cp-3, 0x1.929c6eefdda9ap-3, 0x1.8cbc2d8ec4af5p-3, 0x1.86e195c3d0208p-3, 0x1.810d2d94695fdp-3, 0x1.7b3f75f2f8b7ep-3, 0x1.7578ead4d2253p-3, 0x1.6fba034849b48p-3, 0x1.6a03318adddecp-3, 0x1.6454e31f7fcd9p-3, 0x1.5eaf80e4ee17ep-3, 0x1.59136f2c184afp-3, 0x1.53810dce93297p-3, 0x1.4df8b8450f8ep-3, 0x1.487ac5bdcf8bfp-3, 0x1.4307893319ccfp-3, 0x1.3d9f5181a5048p-3, 0x1.3842697ef8d55p-3, 0x1.32f1180fb8b8bp-3, 0x1.2daba03de61aep-3, 0x1.2872414f056f9p-3, 0x1.234536da239ccp-3, 0x1.1e24b8ddcd526p-3, 0x1.1910fbd5d35d2p-3, 0x1.140a30d0fabeep-3, 0x1.0f10858680cb9p-3, 0x1.0a24246b70a7bp-3, 0x1.054534c7d597ap-3, 0x1.0073dacbbeb07p-3, 0x1.f7606f48147a1p-4, 0x1.edf4d31e0dd5dp-4, 0x1.e4a517e1bb189p-4, 0x1.db716ecf835b8p-4, 0x1.d25a03bfdc8c7p-4, 0x1.c95efd4ec7e6p-4, 0x1.c0807d02df93ap-4, 0x1.b7be9f73dcdf3p-4, 0x1.af197c70adc81p-4, 0x1.a691272504e6bp-4, 0x1.9e25ae3e61da5p-4, 0x1.95d71c109ebefp-4, 0x1.8da576b9ecacep-4, 0x1.8590c0464d837p-4, 0x1.7d98f6d281505p-4, 0x1.75be14ae66732p-4, 0x1.6e00107ecc7d7p-4, 0x1.665edd5eb892fp-4, 0x1.5eda6b001b4b6p-4, 0x1.5772a5cbf1beep-4, 0x1.50277701d9d6dp-4, 0x1.48f8c4d70f258p-4, 0x1.41e67294da4d9p-4, 0x1.3af060b669a56p-4, 0x1.34166d0617a98p-4, 0x1.2d5872ba1e032p-4, 0x1.26b64a90b57bfp-4, 0x1.202fcaeba1ff9p-4, 0x1.19c4c7eb2c111p-4, 0x1.13751388883d6p-4, 0x1.0d407dafa9b8ap-4, 0x1.0726d458867cep-4, 0x1.0127e39fc90aap-4, 0x1.f686ebbde1b2bp-5, 0x1.eaf2a787c9a11p-5, 0x1.df9288cfee282p-5, 0x1.d4661accb33b2p-5, 0x1.c96ce5e40fb63p-5, 0x1.bea66fd646c89p-5, 0x1.b4123be793db4p-5, 0x1.a9afcb08b8112p-5, 0x1.9f7e9bfe8586bp-5, 0x1.957e2b885442p-5, 0x1.8badf48571b8p-5, 0x1.820d701987bb2p-5, 0x1.789c15d002918p-5, 0x1.6f595bbe71f9ep-5, 0x1.6644b6a5ee44fp-5, 0x1.5d5d9a1384ad9p-5, 0x1.54a3787faa963p-5, 0x1.4c15c36cbe5aep-5, 0x1.43b3eb84966b4p-5, 0x1.3b7d60b5266b7p-5, 0x1.3371924c3a5a4p-5, 0x1.2b8fef124a8ebp-5, 0x1.23d7e5646e872p-5, 0x1.1c48e34d73778p-5, 0x1.14e2569e1966dp-5, 0x1.0da3ad0472fdbp-5, 0x1.068c54227a514p-5, 0x1.ff377347a3bc9p-6, 0x1.f1a296a579f04p-6, 0x1.e458ee589c831p-6, 0x1.d75956e7a7dc4p-6, 0x1.caa2ad8b08854p-6, 0x1.be33d050dbb0ep-6, 0x1.b20b9e3f5b827p-6, 0x1.a628f775e8ac6p-6, 0x1.9a8abd4cb21a5p-6, 0x1.8f2fd272fc0f2p-6, 0x1.84171b0c1def6p-6, 0x1.793f7ccb2b76ap-6, 0x1.6ea7df0d6c856p-6, 0x1.644f2af37d899p-6, 0x1.5a344b795b5a1p-6, 0x1.50562d8d22ee4p-6, 0x1.46b3c024c4fafp-6, 0x1.3d4bf452936aap-6, 0x1.341dbd58a7fe1p-6, 0x1.2b2810bb4fb5p-6, 0x1.2269e652647bp-6, 0x1.19e23859a1c2bp-6, 0x1.11900380071p-6, 0x1.097246f634081p-6, 0x1.0188047bec795p-6, 0x1.f3a080d94ac9bp-7, 0x1.e494039665ec8p-7, 0x1.d5e8a49957a3fp-7, 0x1.c79c7cc4bfe65p-7, 0x1.b9adaa8621ad7p-7, 0x1.ac1a51e6c39a7p-7, 0x1.9ee09c9b06897p-7, 0x1.91feba104cd1bp-7, 0x1.8572df796858ap-7, 0x1.793b47d9bf51bp-7, 0x1.6d56340f0042bp-7, 0x1.61c1ead9ad131p-7, 0x1.567cb8e444db4p-7, 0x1.4b84f0c96d8f7p-7, 0x1.40d8eb18c2bf8p-7, 0x1.3677065a98ccp-7, 0x1.2c5da712b58cbp-7, 0x1.228b37c1f2724p-7, 0x1.18fe28e6f6b82p-7, 0x1.0fb4f0fdd6b51p-7, 0x1.06ae0c7ee7cd5p-7, 0x1.fbcffbb9388dap-8, 0x1.eac29b0113caap-8, 0x1.da31138f566c2p-8, 0x1.ca188dfb96b85p-8, 0x1.ba763eb072fdbp-8, 0x1.ab4765df7568ap-8, 0x1.9c894f739969bp-8, 0x1.8e395302a946cp-8, 0x1.8054d3bd19c57p-8, 0x1.72d9405cfb15dp-8, 0x1.65c413139e70dp-8, 0x1.5912d1761159fp-8, 0x1.4cc30c68c9b66p-8, 0x1.40d2600a33e9ap-8, 0x1.353e739c5b8b7p-8, 0x1.2a04f96dbbf15p-8, 0x1.1f23aec15270dp-8, 0x1.14985bb5b34eap-8, 0x1.0a60d32b88166p-8, 0x1.007af2ab6d398p-8, 0x1.edc94496127c4p-9, 0x1.db37a92342146p-9, 0x1.c93d0cb877c11p-9, 0x1.b7d57d81bc0b7p-9, 0x1.a6fd1de38d8b1p-9, 0x1.96b0243fc3aep-9, 0x1.86eadaba04d96p-9, 0x1.77a99efb44d8bp-9, 0x1.68e8e1f4dc46dp-9, 0x1.5aa527a2d30dfp-9, 0x1.4cdb06cd91378p-9, 0x1.3f8728cb420c7p-9, 0x1.32a64940ab99p-9, 0x1.263535e1c963fp-9, 0x1.1a30ce31f7aefp-9, 0x1.0e9603440c233p-9, 0x1.0361d77a09295p-9, 0x1.f122bc892b2a7p-10, 0x1.dc4377c58883cp-10, 0x1.c8204a42a4a3p-10, 0x1.b4b3be345f78fp-10, 0x1.a1f87de819e39p-10, 0x1.8fe953437ebd1p-10, 0x1.7e812743e74bbp-10, 0x1.6dbb017e0e80dp-10, 0x1.5d92079dce5adp-10, 0x1.4e017ce678a61p-10, 0x1.3f04c1b3bebbdp-10, 0x1.309752fb4b24fp-10, 0x1.22b4c9ce7f44ap-10, 0x1.1558dadd591eep-10, 0x1.087f55f9a9104p-10, 0x1.f8484b364f5f1p-11, 0x1.e0869cc9f983ap-11, 0x1.c9b1dd55e2936p-11, 0x1.b3c27bf14999cp-11, 0x1.9eb11932765e5p-11, 0x1.8a76864025272p-11, 0x1.770bc3e4f41d2p-11, 0x1.646a01a4e16a3p-11, 0x1.528a9cd54eeep-11, 0x1.41671fb6e8f63p-11, 0x1.30f940927734fp-11, 0x1.213ae0d6fe96ep-11, 0x1.12260c3b81ef8p-11, 0x1.03b4f7e24a767p-11, 0x1.ebc402fdd7ccep-12, 0x1.d14f5cfdfcc8ap-12, 0x1.b801566ab692ep-12, 0x1.9fcf940fd4a87p-12, 0x1.88b0053fd01b9p-12, 0x1.7298e23ace175p-12, 0x1.5d80aa99782c4p-12, 0x1.495e23be3d466p-12, 0x1.3628574b25928p-12, 0x1.23d6919e91a7fp-12, 0x1.1260605366182p-12, 0x1.01bd90c8e3044p-12, 0x1.e3cc5d5d6102ep-13, 0x1.c5a5052e11c9p-13, 0x1.a8f6211bb13b8p-13, 0x1.8db12d6b5df1dp-13, 0x1.73c817d4777f7p-13, 0x1.5b2d3cd28b78ap-13, 0x1.43d364fe49344p-13, 0x1.2dadc2753e609p-13, 0x1.18afee4a7168bp-13, 0x1.04cde60461cabp-13, 0x1.e3f81243d814ap-14, 0x1.c05e2d5fc4833p-14, 0x1.9eb855c46958p-14, 0x1.7ef1797b2d376p-14, 0x1.60f53796a0cecp-14, 0x1.44afdba99254p-14, 0x1.2a0e595680d8cp-14, 0x1.10fe47f9d44aap-14, 0x1.f2dbbcb98e439p-15, 0x1.c697dd0db0a73p-15, 0x1.9d0fc348b7dd5p-15, 0x1.762367ec7a3b6p-15, 0x1.51b3e1c4a442p-15, 0x1.2fa35e24c3bccp-15, 0x1.0fd5194f0a03p-15, 0x1.e45aadfca55c4p-16, 0x1.ad22b6475d4ccp-16, 0x1.79cec57226264p-16, 0x1.4a2d3983eebd5p-16, 0x1.1e0e46f7d9733p-16, 0x1.ea87d6746f485p-17, 0x1.9f43bf31f1e71p-17, 0x1.59fb18c925d14p-17, 0x1.1a5bf8c99da6cp-17, 0x1.c02f4243a3137p-18, 0x1.55c4d01d7dbd1p-18, 0x1.e9ce82b06f93ep-19, 0x1.3a160f785dbb6p-19, 0x1.36a8cfc10cd47p-20, 0x1.9112661628c38p-24, -0x1.cd0f5c5ef74e7p-21, -0x1.c9fa0645dc76fp-20, -0x1.4985324494ef9p-19, -0x1.a1b50ae0f31d1p-19, -0x1.ee5be67614ac8p-19, -0x1.18200e99bbd4dp-18, -0x1.340fa857930fdp-18, -0x1.4b575a14e59a6p-18, -0x1.5e4da996ee63p-18, -0x1.6d452b1bdaaf4p-18, -0x1.788ca2f6e37p-18, -0x1.806f2661d14b1p-18, -0x1.85343b2d3e83p-18, -0x1.871ff703fb4d5p-18, -0x1.86731dbaff8aep-18, -0x1.836b3e5be0d96p-18, -0x1.7e42d06d901bp-18, -0x1.77314f9df8bdfp-18, -0x1.6e6b57059c533p-18, -0x1.6422bb9897d33p-18, -0x1.5886a5f56894fp-18, -0x1.4bc3ab705fed8p-18, -0x1.3e03e65caa9d5p-18, -0x1.2f6f0de922215p-18, -0x1.202a8d2833a1dp-18, -0x1.1059993557b85p-18, -0x1.001d473f2622fp-18, -0x1.df29431575759p-19, -0x1.bdb9781e85da6p-19, -0x1.9c21907cc8633p-19, -0x1.7a945115c4442p-19, -0x1.59410654d0b86p-19, -0x1.3853a82282547p-19, -0x1.17f4fdd389cc6p-19, -0x1.f09580a6d3f59p-20, -0x1.b2ef769f798ep-20, -0x1.7737dae2eaffep-20, -0x1.3da94f5c2f05cp-20, -0x1.067956f29cf26p-20, -0x1.a3b12056ee30dp-21, -0x1.3fe5dc1cb17f8p-21, -0x1.c3bfbcfcaa063p-22, -0x1.13cb4c83638aap-22, -0x1.c1acc7b72049cp-24, 0x1.2f9972ce20251p-25, 0x1.5de22ea0bc975p-23, 0x1.2a3dbaad2c7f1p-22, 0x1.9795834f61be9p-22, 0x1.f6c1684b3aba1p-22, 0x1.23cb2275138f1p-21, 0x1.44fa1b80a8214p-21, 0x1.5ee301475621p-21, 0x1.71803ca328b8cp-21, 0x1.7cd0f50905b5p-21, 0x1.80d8cb47dd047p-21, 0x1.7d9f94a36e438p-21, 0x1.733119f70e786p-21, 0x1.619cd97476599p-21, 0x1.48f5c9823c96dp-21, 0x1.29521f71816d7p-21, 0x1.02cb169eaaa37p-21, 0x1.aaf97796ada9p-22, 0x1.430b725a81f69p-22, 0x1.9c1c905588f49p-23, 0x1.31226c997aaecp-24, -0x1.07eb54ccac411p-24, -0x1.b8db0931563a2p-23, -0x1.82bd7e8a491abp-22, -0x1.1a4ad704ff08fp-21, -0x1.78cf156d56754p-21, -0x1.dcbe41f2181e3p-21, -0x1.22f5016274cbfp-20, -0x1.5a117f906c009p-20, -0x1.939c7ef1bcbaep-20, -0x1.cf7d82f262646p-20, -0x1.06cddeb16b8bcp-19, -0x1.26ef0e5d618b1p-19, -0x1.4815ac6e3ccfdp-19, -0x1.6a35003319d5fp-19, -0x1.8d4042208c942p-19, -0x1.b12aa1b9986dep-19, -0x1.d5e74ac96f6d9p-19, -0x1.fb696ab755a06p-19, -0x1.10d21abc8f656p-18, -0x1.2445750bcbe9cp-18, -0x1.38086b745b277p-18, -0x1.4c14aeea990f3p-18, -0x1.6063fc1fb1642p-18, -0x1.74f01d55011p-18, -0x1.89b2ec000ef34p-18, -0x1.9ea6527d09267p-18, -0x1.b3c44d865d7a1p-18, -0x1.c906eda3bb0e2p-18, -0x1.de685862080a5p-18, -0x1.f3e2c9a1a8a3cp-18, -0x1.04b84a5dfbc1ap-17, -0x1.0f8612c55e45dp-17, -0x1.1a5800aad3a1bp-17, -0x1.252b63da4276cp-17, -0x1.2ffd99b41a668p-17, -0x1.3acc0d8d2d445p-17, -0x1.459438fba19d2p-17, -0x1.5053a42b63fe9p-17, -0x1.5b07e62358733p-17, -0x1.65aea4fe5e5a5p-17, -0x1.70459624c6f6bp-17, -0x1.7aca7e6d177e8p-17, -0x1.853b32566f9e1p-17, -0x1.8f9596200d289p-17, -0x1.99d79de6c7683p-17, -0x1.a3ff4db4f09b6p-17, -0x1.ae0ab990ae02fp-17, -0x1.b7f8058ccb7c6p-17, -0x1.c1c565c591946p-17, -0x1.cb711e61f42b7p-17, -0x1.d4f9838bd7c2p-17, -0x1.de5cf96b936e7p-17, -0x1.e799f41770d9p-17, -0x1.f0aef78108949p-17, -0x1.f99a97577a6cbp-17, -0x1.012dbb7d3a7ep-16, -0x1.057824ab76444p-16, -0x1.09abe8648207p-16, -0x1.0dc86f7a79809p-16, -0x1.11cd2a51150b1p-16, -0x1.15b990cb3c044p-16, -0x1.198d223419272p-16, -0x1.1d47652732b1fp-16, -0x1.20e7e7786a0c3p-16, -0x1.246e3e1d3146p-16, -0x1.27da05122640cp-16, -0x1.2b2adf4068ab3p-16, -0x1.2e607660b99dbp-16, -0x1.317a7adff7f93p-16, -0x1.3478a3c34fabfp-16, -0x1.375aae8b0b7bap-16, -0x1.3a205f11d2f51p-16, -0x1.3cc97f6f9b327p-16, -0x1.3f55dfdbd7f54p-16, -0x1.41c5568c7dc75p-16, -0x1.4417bf98ecfd2p-16, -0x1.464cfcd58f8bdp-16, -0x1.4864f5b5c7d7dp-16, -0x1.4a5f972c42ap-16, -0x1.4c3cd389aee69p-16, -0x1.4dfca25cb681fp-16, -0x1.4f9f005001e12p-16, -0x1.5123ef094da13p-16, -0x1.528b7509e1f0bp-16, -0x1.53d59d8ca34c3p-16, -0x1.550278647f76ap-16, -0x1.561219dc350a5p-16, -0x1.57049a95a7076p-16, -0x1.57da176b626dap-16, -0x1.5892b14d5c4e2p-16, -0x1.592e8d218dedcp-16, -0x1.59add3a2acae4p-16, -0x1.5a10b142f6cd5p-16, -0x1.5a57560ae9dc5p-16, -0x1.5a81f57abfb56p-16, -0x1.5a90c66bdaddap-16, -0x1.5a8402efff69ap-16, -0x1.5a5be8354b7ecp-16, -0x1.5a18b666e2984p-16, -0x1.59bab08f46faep-16, -0x1.59421c7a604b8p-16, -0x1.58af429914f24p-16, -0x1.58026de58cd43p-16, -0x1.573bebc649bafp-16, -0x1.565c0bf1ed657p-16, -0x1.55632053e5755p-16, -0x1.54517cf110e06p-16, -0x1.532777cd41e13p-16, -0x1.51e568d23dcfp-16, -0x1.508ba9b56a4a9p-16, -0x1.4f1a95ddcd481p-16, -0x1.4d928a4c2f4bfp-16, -0x1.4bf3e581fad5ep-16, -0x1.4a3f076987b03p-16, -0x1.4874513f47c9p-16, -0x1.4694257856a21p-16, -0x1.449ee7ae7775bp-16, -0x1.4294fc8a6f43dp-16, -0x1.4076c9ab94c7ep-16, -0x1.3e44b5953ed4dp-16, -0x1.3bff2798b69edp-16, -0x1.39a687c12042dp-16, -0x1.373b3ebf0eff1p-16, -0x1.34bdb5d6ff9d3p-16, -0x1.322e56ce08939p-16, -0x1.2f8d8bd57bee4p-16, -0x1.2cdbbf7c1409bp-16, -0x1.2a195c9954a19p-16, -0x1.2746ce3e33adbp-16, -0x1.24647fa56d372p-16, -0x1.2172dc20dfb1p-16, -0x1.1e724f0a8136p-16, -0x1.1b6343b854e96p-16, -0x1.1846256918354p-16, -0x1.151b5f37f01cap-16, -0x1.11e35c0ef933dp-16, -0x1.0e9e869989c6p-16, -0x1.0b4d49351680fp-16, -0x1.07f00de6a9572p-16, -0x1.04873e4f3998p-16, -0x1.0113439cbbd79p-16, -0x1.fb290d03b6dfap-17, }}, 
      {{-0x1.97a197061276bp-1, -0x1.979da446c55c9p-1, -0x1.9796bd4fa666ep-1, -0x1.978c6b014c566p-1, -0x1.977e0e58907a4p-1, -0x1.976ae6737dbb7p-1, -0x1.975216e2c3744p-1, -0x1.9732adefa364ap-1, -0x1.970baa9b3ed69p-1, -0x1.96dc02319fef1p-1, -0x1.96a2a55a70831p-1, -0x1.965e849c82709p-1, -0x1.960e945125d74p-1, -0x1.95b1d009c8b6dp-1, -0x1.95473d6e00495p-1, -0x1.94cdee9a8231fp-1, -0x1.9445040af95f1p-1, -0x1.93abae1963912p-1, -0x1.93012e1dd9b1p-1, -0x1.9244d73985accp-1, -0x1.91760ed71f045p-1, -0x1.90944ceac25e2p-1, -0x1.8f9f1bfa3bce3p-1, -0x1.8e9618f62f4adp-1, -0x1.8d78f2ebb73f8p-1, -0x1.8c476a9558043p-1, -0x1.8b0151d161f93p-1, -0x1.89a68b03249fcp-1, -0x1.88370863af029p-1, -0x1.86b2cb4633b8cp-1, -0x1.8519e3539b64ep-1, -0x1.836c6dc04c9edp-1, -0x1.81aa947eb908ap-1, -0x1.7fd48d70d6a13p-1, -0x1.7dea999a57165p-1, -0x1.7bed0455151d6p-1, -0x1.79dc2288f3635p-1, -0x1.77b851e8271a5p-1, -0x1.7581f830b609ap-1, -0x1.73398273c78dap-1, -0x1.70df64633e661p-1, -0x1.6e7417a5f3b8ep-1, -0x1.6bf81b32d30fap-1, -0x1.696bf2b2fe3b5p-1, -0x1.66d025eb10a62p-1, -0x1.6425402b87931p-1, -0x1.616bcfc84bfe3p-1, -0x1.5ea465974c86dp-1, -0x1.5bcf94760fa28p-1, -0x1.58edf0d621f5p-1, -0x1.56001050373b1p-1, -0x1.5306893dda9b4p-1, -0x1.5001f2597f83fp-1, -0x1.4cf2e264c2463p-1, -0x1.49d9efd4aae86p-1, -0x1.46b7b083bdd9ap-1, -0x1.438cb969a5173p-1, -0x1.40599e583fd84p-1, -0x1.3d1ef1bde1c6cp-1, -0x1.39dd446c8c1d4p-1, -0x1.36952565ed6c8p-1, -0x1.334721abeff67p-1, -0x1.2ff3c415a5943p-1, -0x1.2c9b952859f4fp-1, -0x1.293f1af4986a7p-1, -0x1.25ded8f6f589ap-1, -0x1.227b4ffc66886p-1, -0x1.1f14fe09faccdp-1, -0x1.1bac5e47c3201p-1, -0x1.1841e8eebcf55p-1, -0x1.14d61339920bap-1, -0x1.11694f580233fp-1, -0x1.0dfc0c64ca955p-1, -0x1.0a8eb65de6d0fp-1, -0x1.0721b61efcf6bp-1, -0x1.03b5715dd6292p-1, -0x1.004a4aa8b9485p-1, -0x1.f9c142cd0e9fcp-2, -0x1.f2f1a3b0f29a4p-2, -0x1.ec266a3ab74a5p-2, -0x1.e560426c55789p-2, -0x1.de9fd217e9b4ep-2, -0x1.d7e5b8edc260fp-2, -0x1.d132908c8d54p-2, -0x1.ca86ec936bebcp-2, -0x1.c3e35ab5bd988p-2, -0x1.bd4862d07d46cp-2, -0x1.b6b68700f8073p-2, -0x1.b02e43bcc5a71p-2, -0x1.a9b00fead0a41p-2, -0x1.a33c5cfd53194p-2, -0x1.9cd3970c9fbdcp-2, -0x1.967624f2a2b99p-2, -0x1.90246866f24cp-2, -0x1.89debe1b5efcbp-2, -0x1.83a57dd8ded7p-2, -0x1.7d78fa9ccae36p-2, -0x1.775982b64d026p-2, -0x1.71475fe3f166ap-2, -0x1.6b42d77147033p-2, -0x1.654c2a5481bccp-2, -0x1.5f63954c085eap-2, -0x1.598950fbe89dfp-2, -0x1.53bd920b1dcfbp-2, -0x1.4e008940a50abp-2, -0x1.485263a04cadep-2, -0x1.42b34a873ca6dp-2, -0x1.3d2363c82eacep-2, -0x1.37a2d1c7493f9p-2, -0x1.3231b3959c155p-2, -0x1.2cd0250c37d41p-2, -0x1.277e3ee6d9982p-2, -0x1.223c16de28f85p-2, -0x1.1d09bfc17df8fp-2, -0x1.17e7499037b98p-2, -0x1.12d4c1929478dp-2, -0x1.0dd232721116fp-2, -0x1.08dfa4514baffp-2, -0x1.03fd1ce365ca5p-2, -0x1.fe553f05d4fd8p-3, -0x1.f4d05a9068683p-3, -0x1.eb6b8a3e9db4fp-3, -0x1.e226c7babfc57p-3, -0x1.d90208ab164b6p-3, -0x1.cffd3edab243ep-3, -0x1.c71858613d1e7p-3, -0x1.be533fc9d35c9p-3, -0x1.b5addc38dbb49p-3, -0x1.ad281190f1977p-3, -0x1.a4c1c096da4d3p-3, -0x1.9c7ac71482e62p-3, -0x1.9452fffb1dde8p-3, -0x1.8c4a438448b5fp-3, -0x1.8460675258438p-3, -0x1.7c953e8fb86bap-3, -0x1.74e89a0d72937p-3, -0x1.6d5a4860d90ddp-3, -0x1.65ea160057829p-3, -0x1.5e97cd5f7581ep-3, -0x1.5763370a0439dp-3, -0x1.504c19be8804dp-3, -0x1.49523a87d4242p-3, -0x1.42755cd5e87b6p-3, -0x1.3bb542960ce75p-3, -0x1.3511ac4a359f2p-3, -0x1.2e8a591fac3a4p-3, -0x1.281f070507084p-3, -0x1.21cf72bf75c37p-3, -0x1.1b9b57ff5d763p-3, -0x1.158271744f03p-3, -0x1.0f8478e05cb3fp-3, -0x1.09a1272acb4dfp-3, -0x1.03d834722d9b2p-3, -0x1.fc52b03bc17fdp-4, -0x1.f12891ddf25fp-4, -0x1.e6317a213976fp-4, -0x1.db6cd44f9a859p-4, -0x1.d0da0ac55614dp-4, -0x1.c678870e66489p-4, -0x1.bc47b202e071dp-4, -0x1.b246f3e26e697p-4, -0x1.a875b46ebe474p-4, -0x1.9ed35b0501153p-4, -0x1.955f4eb6806a4p-4, -0x1.8c18f6603e9c3p-4, -0x1.82ffb8c1c7001p-4, -0x1.7a12fc931323ap-4, -0x1.715228999f074p-4, -0x1.68bca3bcabff5p-4, -0x1.6051d518b5c13p-4, -0x1.5811241221003p-4, -0x1.4ff9f86729c19p-4, -0x1.480bba4112fdcp-4, -0x1.4045d244a0e1bp-4, -0x1.38a7a9a1debdbp-4, -0x1.3130aa2337acbp-4, -0x1.29e03e3be51cap-4, -0x1.22b5d115b9626p-4, -0x1.1bb0ce9e48facp-4, -0x1.14d0a39378a29p-4, -0x1.0e14bd8f739bdp-4, -0x1.077c8b140d79p-4, -0x1.01077b95950f6p-4, -0x1.f569ff0a39902p-5, -0x1.e90910b47157fp-5, -0x1.dceb1138785e9p-5, -0x1.d10ee7d5ea906p-5, -0x1.c5737e0dd865cp-5, -0x1.ba17bfb2561bfp-5, -0x1.aefa9af51d6fap-5, -0x1.a41b00754febap-5, -0x1.9977e34c5917dp-5, -0x1.8f103919fbca4p-5, -0x1.84e2fa0f8e79fp-5, -0x1.7aef20fa71d4cp-5, -0x1.7133ab4dbec88p-5, -0x1.67af992b3d3c8p-5, -0x1.5e61ed6b9d807p-5, -0x1.5549ada60661dp-5, -0x1.4c65e236f248p-5, -0x1.43b596466967fp-5, -0x1.3b37d7cd9a1f7p-5, -0x1.32ebb79bd5185p-5, -0x1.2ad0495af54b4p-5, -0x1.22e4a39334962p-5, -0x1.1b27dfae75589p-5, -0x1.139919fb049a7p-5, -0x1.0c3771add7e6ep-5, -0x1.050208e450b71p-5, -0x1.fbf0094b0535dp-6, -0x1.ee3119c60d5c2p-6, -0x1.e0c598f2bad04p-6, -0x1.d3abe25fcaedap-6, -0x1.c6e25770cddbdp-6, -0x1.ba675f5c7cd3cp-6, -0x1.ae39672a47231p-6, -0x1.a256e1af2e8fep-6, -0x1.96be4789e88e2p-6, -0x1.8b6e171e61205p-6, -0x1.8064d4908f34bp-6, -0x1.75a109beb1b77p-6, -0x1.6b21463af8debp-6, -0x1.60e41f449f351p-6, -0x1.56e82fc078039p-6, -0x1.4d2c1830ff11dp-6, -0x1.43ae7eadea70ap-6, -0x1.3a6e0edb48287p-6, -0x1.316979e029e89p-6, -0x1.289f765ce50cdp-6, -0x1.200ec060f3a3p-6, -0x1.17b619606a7b2p-6, -0x1.0f94482923ebcp-6, -0x1.07a818d788128p-6, -0x1.ffe0b99610c1bp-7, -0x1.f0d7d534ac65p-7, -0x1.e2333c0e8b4ep-7, -0x1.d3f0afe4f4984p-7, -0x1.c60dfc9d9802cp-7, -0x1.b888f828f2632p-7, -0x1.ab5f82683d47fp-7, -0x1.9e8f8512faaf2p-7, -0x1.9216f39c26a9dp-7, -0x1.85f3cb171e692p-7, -0x1.7a24121c2796dp-7, -0x1.6ea5d8acb9c1ep-7, -0x1.637738178caedp-7, -0x1.589652dc6e5c2p-7, -0x1.4e01548fd4115p-7, -0x1.43b671be5bf1dp-7, -0x1.39b3e7d010a44p-7, -0x1.2ff7fceb98d8fp-7, -0x1.2680ffd93ed82p-7, -0x1.1d4d47e5f835p-7, -0x1.145b34c6438f2p-7, -0x1.0ba92e790c86p-7, -0x1.0335a52a7c1bfp-7, -0x1.f5fe222dab403p-8, -0x1.e607e4da83b92p-8, -0x1.d685a265680b2p-8, -0x1.c7747a49920fdp-8, -0x1.b8d19b398521cp-8, -0x1.aa9a42e5123efp-8, -0x1.9ccbbdbf8935p-8, -0x1.8f6366c62f534p-8, -0x1.825ea746dd84ep-8, -0x1.75baf6a6d54e9p-8, -0x1.6975da29f1465p-8, -0x1.5d8ce4ba17f9bp-8, -0x1.51fdb6aeea7f6p-8, -0x1.46c5fd95e508cp-8, -0x1.3be373facb2a8p-8, -0x1.3153e13075d18p-8, -0x1.27151919fdd28p-8, -0x1.1d24fbf458c15p-8, -0x1.138176205a446p-8, -0x1.0a287fed232efp-8, -0x1.01181d63071b6p-8, -0x1.f09cbc1ddb2e4p-9, -0x1.df92b99c3b675p-9, -0x1.cf0e7f351ce6fp-9, -0x1.bf0c6eaf6a10dp-9, -0x1.af88ff3fbdecdp-9, -0x1.a080bd23fc6c3p-9, -0x1.91f0493ff4644p-9, -0x1.83d458bb453bcp-9, -0x1.7629b4a022656p-9, -0x1.68ed397b47f8dp-9, -0x1.5c1bd6fd04d4cp-9, -0x1.4fb28f9b5d19bp-9, -0x1.43ae783551f1cp-9, -0x1.380cb7b750538p-9, -0x1.2cca86c0b9dp-9, -0x1.21e52f4a8e2a9p-9, -0x1.175a0c4f58138p-9, -0x1.0d2689741c479p-9, -0x1.034822b28900ap-9, -0x1.f378c808ca507p-10, -0x1.e101d21fe0f6p-10, -0x1.cf26b9ab3ce6cp-10, -0x1.bde2f2bdc8f91p-10, -0x1.ad320edca4115p-10, -0x1.9d0fbc616eddcp-10, -0x1.8d77c5def3ed7p-10, -0x1.7e66118827e1cp-10, -0x1.6fd6a0999ba02p-10, -0x1.61c58ec51e167p-10, -0x1.542f119fcfff7p-10, -0x1.470f781258966p-10, -0x1.3a6329cb84698p-10, -0x1.2e26a6b5129e7p-10, -0x1.2256866aea152p-10, -0x1.16ef77b4883edp-10, -0x1.0bee4000a2e85p-10, -0x1.014fbae2f365cp-10, -0x1.ee21b328af316p-11, -0x1.da5d44ea1a0dap-11, -0x1.c74c61225d16ap-11, -0x1.b4e9664ef891bp-11, -0x1.a32eda63e6bc8p-11, -0x1.921769e164e6dp-11, -0x1.819de6ee2599cp-11, -0x1.71bd48753159bp-11, -0x1.6270a948ca41cp-11, -0x1.53b347487e528p-11, -0x1.4580828b9ab3bp-11, -0x1.37d3dc8fc761cp-11, -0x1.2aa8f76b56de5p-11, -0x1.1dfb9503b25e1p-11, -0x1.11c79647e4415p-11, -0x1.0608fa6e8b594p-11, -0x1.f577bc6f116d1p-12, -0x1.dfb8f6639fa0ep-12, -0x1.cace4e097d174p-12, -0x1.b6b0a579af0a7p-12, -0x1.a3591439c6553p-12, -0x1.90c0e5e362dcep-12, -0x1.7ee198d3533cep-12, -0x1.6db4dce0519a7p-12, -0x1.5d34921784c06p-12, -0x1.4d5ac78089abdp-12, -0x1.3e21b9e7fa05ep-12, -0x1.2f83d2b0818f5p-12, -0x1.217ba6a9d926bp-12, -0x1.1403f4ee7a2fp-12, -0x1.0717a5c7b61e8p-12, -0x1.f563932f99c2cp-13, -0x1.dd9b2f9436902p-13, -0x1.c6ccdb939c16cp-13, -0x1.b0ef9bf9de025p-13, -0x1.9bfabd8d87a0ep-13, -0x1.87e5d31deb403p-13, -0x1.74a8b39d5b61ap-13, -0x1.623b7846488f5p-13, -0x1.50967acb5ed73p-13, -0x1.3fb253923ef25p-13, -0x1.2f87d7f76f4edp-13, -0x1.2010189dce74ap-13, -0x1.11445fc7cb9d1p-13, -0x1.031e2fbaa3a44p-13, -0x1.eb2e8255f3c9ap-14, -0x1.d1530367e53fdp-14, -0x1.b89e24ac30fc1p-14, -0x1.a1048c0006ca8p-14, -0x1.8a7b4041bb1fbp-14, -0x1.74f7a6852c5efp-14, -0x1.606f7f5acb3e4p-14, -0x1.4cd8e428a39bdp-14, -0x1.3a2a44924730bp-14, -0x1.285a63f14936ep-14, -0x1.176056de9be4bp-14, -0x1.073380cac12e6p-14, -0x1.ef97234bd1755p-15, -0x1.d241072f50585p-15, -0x1.b655318ae78dcp-15, -0x1.9bc4b24dbfd91p-15, -0x1.828120d0b685p-15, -0x1.6a7c97b6e42e8p-15, -0x1.53a9b0e9c518fp-15, -0x1.3dfb81b324e09p-15, -0x1.296596eb9b10bp-15, -0x1.15dbf147481d8p-15, -0x1.035301bb16f16p-15, -0x1.e37f4beeeec8dp-16, -0x1.c22e49fac8a4dp-16, -0x1.a29e5791d8aafp-16, -0x1.84bb942b58194p-16, -0x1.6872de6d10164p-16, -0x1.4db1ce0d68cbfp-16, -0x1.3466adda5a376p-16, -0x1.1c8075eeff793p-16, -0x1.05eec60b7c20dp-16, -0x1.e143c037a508bp-17, -0x1.b91545bddf48dp-17, -0x1.93350978487cdp-17, -0x1.6f871d6f66612p-17, -0x1.4df0af183efb7p-17, -0x1.2e57fddcfa714p-17, -0x1.10a451d303649p-17, -0x1.e97be59428f1fp-18, -0x1.b51c3f1320dfbp-18, -0x1.83fe0abf6fddp-18, -0x1.55f76fd573f7dp-18, -0x1.2ae05235d38b2p-18, -0x1.029242e8ff5ccp-18, -0x1.b9d0e250a4f14p-19, -0x1.737f375a64f7cp-19, -0x1.31ec054347109p-19, -0x1.e9ad672f5b841p-20, -0x1.7802ed58a7f1bp-20, -0x1.0e626b56c696fp-20, -0x1.58b5c672032bp-21, -0x1.4601685770ec7p-22, 0x1.4a2b526ce0fa3p-27, 0x1.4116bcd939f7p-22, 0x1.2fe36ab96d022p-21, 0x1.b3e43f1b3c30dp-21, 0x1.169c7e2f92864p-20, 0x1.4e4263c0de129p-20, 0x1.81318bcb16b57p-20, 0x1.afb40099272e7p-20, 0x1.da103f6144cfap-20, 0x1.0044adecb66dbp-19, 0x1.11af910f44a2p-19, 0x1.21671bf373ae3p-19, 0x1.2f881e366f441p-19, 0x1.3c2df3a7cefaep-19, 0x1.4772932bd12cap-19, 0x1.516e9d41c65d7p-19, 0x1.5a3969ed3401ep-19, 0x1.61e91621930d8p-19, 0x1.689290e261f78p-19, 0x1.6e49a7ce23e41p-19, 0x1.7321134c562cfp-19, 0x1.772a82573e183p-19, 0x1.7a76a5ba930b6p-19, 0x1.7d153b10f1debp-19, 0x1.7f15175bea281p-19, 0x1.80843114d27b8p-19, 0x1.816faa1a1f11cp-19, 0x1.81e3d9191c9c6p-19, 0x1.81ec52bf9000bp-19, 0x1.8193f285e2507p-19, 0x1.80e4e3317e00dp-19, 0x1.7fe8a6ecabd74p-19, 0x1.7ea81f3f8c872p-19, 0x1.7d2b94a42026p-19, 0x1.7b7abdb9f090cp-19, 0x1.799cc6656dddbp-19, 0x1.77985682aa581p-19, 0x1.75739870b1dfdp-19, 0x1.73343f5ab31bep-19, 0x1.70df8d38967e7p-19, 0x1.6e7a588a84153p-19, 0x1.6c0911f39802cp-19, 0x1.698fc99464a67p-19, 0x1.671234182ae6cp-19, 0x1.6493afa7d9066p-19, 0x1.621748ad7ea79p-19, 0x1.5f9fbe45283bap-19, 0x1.5d2f86b36e0bp-19, 0x1.5ac8d37df75bcp-19, 0x1.586d956c489dp-19, 0x1.561f80569391bp-19, 0x1.53e00ed7396b3p-19, 0x1.51b085cbec35ap-19, 0x1.4f91f79c6ae8ap-19, 0x1.4d85478814c2p-19, 0x1.4b8b2caaffc6cp-19, 0x1.49a434e970e04p-19, 0x1.47d0c7cb9f27ep-19, 0x1.4611291c882c6p-19, 0x1.44657b7d3664ep-19, 0x1.42cdc2cf83f58p-19, 0x1.4149e68d76174p-19, 0x1.3fd9b3fbbb428p-19, 0x1.3e7ce0359d7ebp-19, 0x1.3d330a4165d8fp-19, 0x1.3bfbbcf0d58d1p-19, 0x1.3ad670b1073ddp-19, 0x1.39c28d462bbccp-19, 0x1.38bf6b649cc8p-19, 0x1.37cc5643fc32dp-19, 0x1.36e88d12231f3p-19, 0x1.3613445d58964p-19, 0x1.354ba75dceffcp-19, 0x1.3490d9338e975p-19, 0x1.33e1f61191482p-19, 0x1.333e145f125a7p-19, 0x1.32a445bffb15bp-19, 0x1.3213980eeaa5bp-19, 0x1.318b164c6efd6p-19, 0x1.3109c979ea969p-19, 0x1.308eb96d77187p-19, 0x1.3018ed91a5dbep-19, 0x1.2fa76d9d22de7p-19, 0x1.2f394238695acp-19, 0x1.2ecd75a35099ap-19, 0x1.2e631440b531fp-19, 0x1.2df92d29745b3p-19, 0x1.2d8ed2a499a36p-19, 0x1.2d231a9d9f315p-19, 0x1.2cb51f10540a4p-19, 0x1.2c43fe6c9098ap-19, 0x1.2bcedbef8a4bep-19, 0x1.2b54dff8b1d2bp-19, 0x1.2ad5385018ffap-19, 0x1.2a4f186d6bad1p-19, 0x1.29c1b9b647a16p-19, 0x1.292c5baf8abe7p-19, 0x1.288e443141582p-19, 0x1.27e6bf8f51a95p-19, 0x1.273520bce137p-19, 0x1.2678c16c62bb4p-19, 0x1.25b102297c992p-19, 0x1.24dd4a6dc7cb8p-19, 0x1.23fd08b48e4d1p-19, 0x1.230fb2804a3cdp-19, 0x1.2214c4652baafp-19, 0x1.210bc211da73ep-19, 0x1.1ff4364cfb918p-19, 0x1.1ecdb2f21e3c8p-19, 0x1.1d97d0ef1e13bp-19, 0x1.1c52303aaa83cp-19, 0x1.1afc77c59bb6cp-19, 0x1.1996556dbf5d4p-19, 0x1.181f7defe98b1p-19, 0x1.1697acd673e2dp-19, 0x1.14fea461718c2p-19, 0x1.13542d7065f8cp-19, 0x1.1198176a743dfp-19, 0x1.0fca3825abe2p-19, 0x1.0dea6bc83a4d1p-19, 0x1.0bf894ac63008p-19, 0x1.09f49b46369p-19, 0x1.07de6dff07403p-19, 0x1.05b60116d13abp-19, 0x1.037b4e7ffcffp-19, 0x1.012e55c282e33p-19, 0x1.fd9e37ae60d9fp-20, 0x1.f8bb56039c07dp-20, 0x1.f3b4255ee63f7p-20, 0x1.ee88cea24b39p-20, 0x1.e939846a39bfcp-20, 0x1.e3c682c437e61p-20, 0x1.de300ee7d4399p-20, 0x1.d87676ea70066p-20, 0x1.d29a116f64e3cp-20, 0x1.cc9b3d5ada8b9p-20, 0x1.c67a6189c9676p-20, 0x1.c037ec81a70e1p-20, 0x1.b9d4542df4101p-20, 0x1.b350158c00df8p-20, 0x1.acabb467bb12fp-20, 0x1.a5e7bb0d03507p-20, 0x1.9f04b9fa26e9cp-20, 0x1.9803479802b12p-20, 0x1.90e3fff85027cp-20, 0x1.89a784865c4ebp-20, 0x1.824e7bc483008p-20, 0x1.7ad9910123cfcp-20, 0x1.734974144ca53p-20, 0x1.6b9ed919d58fdp-20, 0x1.63da78317c455p-20, 0x1.5bfd0d3b8c7f6p-20, 0x1.54075797a3ea8p-20, 0x1.4bfa19e894f3ap-20, 0x1.43d619cf40d32p-20, 0x1.3b9c1fa96cc6ep-20, 0x1.334cf65e054edp-20, 0x1.2ae96b227d71bp-20, 0x1.22724d3bdb33ap-20, 0x1.19e86dc65f62ap-20, 0x1.114c9f7e55b02p-20, 0x1.089fb6899ba53p-20, 0x1.ffc51085340adp-21, 0x1.ee2bd60f87eadp-21, 0x1.dc756c13e5587p-21, 0x1.caa3822feb0c3p-21, 0x1.b8b7c8eadd14bp-21, 0x1.a6b3f14765524p-21, 0x1.9499ac6a8b20dp-21, 0x1.826aab47591f9p-21, 0x1.70289e5c24e3fp-21, 0x1.5dd5354f819e7p-21, 0x1.4b721e9c50e03p-21, 0x1.3901074f0eea4p-21, 0x1.26839ab2dec98p-21, 0x1.13fb820c25e47p-21, 0x1.016a6455acb64p-21, 0x1.dda3cc0d5855p-22, 0x1.b867518bbfbd8p-22, 0x1.93229666c20afp-22, 0x1.6dd8d158d49b5p-22, 0x1.488d32091263p-22, 0x1.2342e0a9cd9efp-22, 0x1.fbf9fb362d6dep-23, 0x1.b17d423736d18p-23, 0x1.6715b5771247bp-23, 0x1.1cc9622f8eed7p-23, 0x1.a53c85f33091p-24, 0x1.11347e2dcf1cp-24, 0x1.f6194f9327108p-26, -0x1.5c27b2f4ed8acp-28, -0x1.513535b84131p-25, -0x1.3af6e2378e937p-24, -0x1.cccc54454c67ap-24, -0x1.2f08107d85342p-23, -0x1.775bd33127789p-23, -0x1.bf5c389726a64p-23, -0x1.03820f6066bd2p-22, -0x1.27273dceecaeep-22, -0x1.4a9b2ec7bce16p-22, -0x1.6ddb75d5d2d91p-22, -0x1.90e5b2f5f5672p-22, -0x1.b3b792c895a6bp-22, -0x1.d64ece9cb50f4p-22, -0x1.f8a92c9addb5ap-22, -0x1.0d623fdbf6f73p-21, -0x1.1e4f53ee7486ap-21, -0x1.2f1ac8fff2c13p-21, -0x1.3fc39c1262329p-21, -0x1.5048d0bdcde9cp-21, -0x1.60a9712f20b9ap-21, -0x1.70e48e307ef84p-21, -0x1.80f93f1f48649p-21, -0x1.90e6a1eec7c09p-21, -0x1.a0abdb3540374p-21, -0x1.b048161f9ba8dp-21, -0x1.bfba8470e3c64p-21, -0x1.cf025e8463669p-21, -0x1.de1ee34304045p-21, -0x1.ed0f5823fde86p-21, -0x1.fbd30914d367p-21, -0x1.0534a4424f78p-20, -0x1.0c68b7aa6753ep-20, -0x1.13856e69a5d6ep-20, -0x1.1a8a7b5972fcdp-20, -0x1.2177947e9b523p-20, -0x1.284c7305f9a31p-20, -0x1.2f08d33b2083bp-20, -0x1.35ac748016b42p-20, -0x1.3c37194ef0698p-20, -0x1.42a8872d6deccp-20, -0x1.490086a5bdb49p-20, -0x1.4f3ee342e5848p-20, -0x1.55636b85780d5p-20, -0x1.5b6df0defbcadp-20, -0x1.615e47a36cea1p-20, -0x1.673447044475fp-20, -0x1.6cefc90ae9a2bp-20, }}, 
      {{0x1.ac1c983bf5689p-16, 0x1.af15dc74f0b9ap-14, 0x1.eabeb6453ad3cp-13, 0x1.bb7de49a3a639p-12, 0x1.61b5f675a9513p-11, 0x1.04dd19267baa7p-10, 0x1.6ca3395d1ef04p-10, 0x1.ea05b9418f3d8p-10, 0x1.3f76c5154baa3p-9, 0x1.96a67a108e61fp-9, 0x1.fb8ca52b7fa4p-9, 0x1.37910ab06f0f6p-8, 0x1.792cf519749efp-8, 0x1.c30eb655bcff1p-8, 0x1.0ad1faa237b36p-7, 0x1.38a8bcb703ffp-7, 0x1.6b38d0d969cabp-7, 0x1.a2a9a60a6f82cp-7, 0x1.df1c9b6d5598cp-7, 0x1.10567532dcc0ep-6, 0x1.33b7e0eb874bfp-6, 0x1.59ba43832db25p-6, 0x1.826297cba5565p-6, 0x1.adb3545b19edfp-6, 0x1.dbaca09b08277p-6, 0x1.062643af8e857p-5, 0x1.1fc7922abe311p-5, 0x1.3ab7656b899dcp-5, 0x1.56f212d4e0182p-5, 0x1.7473280c83357p-5, 0x1.933574afd4598p-5, 0x1.b33311db849fap-5, 0x1.d46568441415cp-5, 0x1.f6c5359b426a6p-5, 0x1.0d2548f693f4cp-4, 0x1.1f767ac1c30ffp-4, 0x1.32519fdded263p-4, 0x1.45b1df8c49355p-4, 0x1.59921d595ddd5p-4, 0x1.6decfe88c050ap-4, 0x1.82bcf028df32ep-4, 0x1.97fc2db90eea8p-4, 0x1.ada4c8441e3fbp-4, 0x1.c3b0adcc822f6p-4, 0x1.da19b0e486c47p-4, 0x1.f0d9904c83c9ep-4, 0x1.03f4ff39582a4p-3, 0x1.0fa2545972fe8p-3, 0x1.1b719f1c6ccedp-3, 0x1.275fbb35f9e18p-3, 0x1.33698b6884692p-3, 0x1.3f8bfc29b877dp-3, 0x1.4bc405f612adap-3, 0x1.580eaf511c601p-3, 0x1.64690e723f3dbp-3, 0x1.70d04aa005428p-3, 0x1.7d419d3d2f524p-3, 0x1.89ba528c81c1dp-3, 0x1.9637ca310f30fp-3, 0x1.a2b77771ab45cp-3, 0x1.af36e14694e14p-3, 0x1.bbb3a238bcb93p-3, 0x1.c82b681a0d425p-3, 0x1.d49bf39df0606p-3, 0x1.e10317d90ffabp-3, 0x1.ed5eb9aed8b97p-3, 0x1.f9accf32d2f0cp-3, 0x1.02f5af819999bp-2, 0x1.090c3fd0cbe9p-2, 0x1.0f192b67025edp-2, 0x1.151b8c73e0366p-2, 0x1.1b12842b7c13ap-2, 0x1.20fd3a80b57e9p-2, 0x1.26dadde5f428fp-2, 0x1.2caaa314de2bep-2, 0x1.326bc4dd67c13p-2, 0x1.381d83fc566bep-2, 0x1.3dbf26f92d01p-2, 0x1.434ffa0b405b3p-2, 0x1.48cf4f059e84dp-2, 0x1.4e3c7d4943871p-2, 0x1.5396e1bd15491p-2, 0x1.58dddecaf774p-2, 0x1.5e10dc6154a31p-2, 0x1.632f47f85d1c6p-2, 0x1.6838949a48f5p-2, 0x1.6d2c3aede6aacp-2, 0x1.7209b942beccdp-2, 0x1.76d0939e28a7fp-2, 0x1.7b8053c8a7842p-2, 0x1.8018895aff50bp-2, 0x1.8498c9ca7391ep-2, 0x1.8900b073b6bbep-2, 0x1.8d4fdea41c795p-2, 0x1.9185fba0aefb9p-2, 0x1.95a2b4aad6695p-2, 0x1.99a5bd02577b3p-2, 0x1.9d8ecde46a635p-2, 0x1.a15da687d15dep-2, 0x1.a5120c15cd0d7p-2, 0x1.a8abc99fe567p-2, 0x1.ac2ab012880e9p-2, 0x1.af8e96247fa8dp-2, 0x1.b2d758435cc3dp-2, 0x1.b604d87ce5014p-2, 0x1.b916fe65af37p-2, 0x1.bc0db6fd0f447p-2, 0x1.bee8f48e84a08p-2, 0x1.c1a8ae90d5694p-2, 0x1.c44ce18313f7fp-2, 0x1.c6d58ec7bd268p-2, 0x1.c942bc7e2c6a8p-2, 0x1.cb94755aa274ep-2, 0x1.cdcac87d115c5p-2, 0x1.cfe5c946ee175p-2, 0x1.d1e58f303eaffp-2, 0x1.d3ca359c19f8ep-2, 0x1.d593dbacd1efbp-2, 0x1.d742a417fbd16p-2, 0x1.d8d6b4fa832d4p-2, 0x1.da5037acfe0f8p-2, 0x1.dbaf5898625ep-2, 0x1.dcf4470b512e6p-2, 0x1.de1f351012e92p-2, 0x1.df3057436b5e7p-2, 0x1.e027e4ac61f2ap-2, 0x1.e10616951bcap-2, 0x1.e1cb2864dbbecp-2, 0x1.e277577b3e1ecp-2, 0x1.e30ae30cc3fbp-2, 0x1.e3860c00b908cp-2, 0x1.e3e914d08225bp-2, 0x1.e434416858757p-2, 0x1.e467d7097c87ep-2, 0x1.e4841c2de2d93p-2, 0x1.e489586d58cb2p-2, 0x1.e477d46421a6cp-2, 0x1.e44fd99b0b361p-2, 0x1.e411b270f0484p-2, 0x1.e3bdaa05a67dap-2, 0x1.e3540c264b7acp-2, 0x1.e2d5253aec3bep-2, 0x1.e24142357642fp-2, 0x1.e198b081eb96bp-2, 0x1.e0dbbdf7c94cbp-2, 0x1.e00ab8cc95a08p-2, 0x1.df25ef8787839p-2, 0x1.de2db0f634bep-2, 0x1.dd224c223f253p-2, 0x1.dc041047eb5bfp-2, 0x1.dad34ccd945acp-2, 0x1.d990513bed3c8p-2, 0x1.d83b6d3700294p-2, 0x1.d6d4f077dd9d5p-2, 0x1.d55d2ac6eb56cp-2, 0x1.d3d46bf6c627ap-2, 0x1.d23b03dfa434cp-2, 0x1.d091425b31e93p-2, 0x1.ced77740d4f22p-2, 0x1.cd0df2624b268p-2, 0x1.cb35038899094p-2, 0x1.c94cfa713f1adp-2, 0x1.c75626cba3f0cp-2, 0x1.c550d836b000cp-2, 0x1.c33d5e3e8e5dp-2, 0x1.c11c085a8681fp-2, 0x1.beed25eaec21ap-2, 0x1.bcb10637174aap-2, 0x1.ba67f86b63274p-2, 0x1.b8124b9728c7dp-2, 0x1.b5b04eaab0b08p-2, 0x1.b34250751572fp-2, 0x1.b0c89fa21672bp-2, 0x1.ae438ab7cfd6p-2, 0x1.abb3601458f3bp-2, 0x1.a9186deb44d97p-2, 0x1.a673024301657p-2, 0x1.a3c36af2124ebp-2, 0x1.a109f59c2ba2fp-2, 0x1.9e46efaf20486p-2, 0x1.9b7aa65faea3p-2, 0x1.98a566a623e19p-2, 0x1.95c77d3ad9787p-2, 0x1.92e1369288d45p-2, 0x1.8ff2deda7c4ep-2, 0x1.8cfcc1f498fap-2, 0x1.89ff2b7343f6ep-2, 0x1.86fa669527305p-2, 0x1.83eebe40d1a1p-2, 0x1.80dc7d003c4fcp-2, 0x1.7dc3ecfc2ec14p-2, 0x1.7aa557f78ba9dp-2, 0x1.7781074a825abp-2, 0x1.745743ddadb65p-2, 0x1.712856251af48p-2, 0x1.6df4861b45677p-2, 0x1.6abc1b3bfe76ap-2, 0x1.677f5c7f4f70fp-2, 0x1.643e90544e9e6p-2, 0x1.60f9fc9bf3e06p-2, 0x1.5db1e6a3e5682p-2, 0x1.5a6693214862p-2, 0x1.5718462b92116p-2, 0x1.53c7433760d78p-2, 0x1.5073cd115b622p-2, 0x1.4d1e25d91ded6p-2, 0x1.49c68efc31a32p-2, 0x1.466d493118355p-2, 0x1.43129472682f2p-2, 0x1.3fb6aff9fd1p-2, 0x1.3c59da3c431cap-2, 0x1.38fc50e3984bap-2, 0x1.359e50cbcd4dbp-2, 0x1.324015fdbfa7p-2, 0x1.2ee1dbab199cp-2, 0x1.2b83dc2a2dd27p-2, 0x1.282650f1faf8ep-2, 0x1.24c972964f88fp-2, 0x1.216d78c41913fp-2, 0x1.1e129a3dd810cp-2, 0x1.1ab90cd83c1f6p-2, 0x1.17610576ed298p-2, 0x1.140ab8097d693p-2, 0x1.10b6578886fa7p-2, 0x1.0d6415f2fa3ep-2, 0x1.0a14244b9360ep-2, 0x1.06c6b2968439cp-2, 0x1.037befd7485f8p-2, 0x1.00340a0eaaf1dp-2, 0x1.f9de5c71f35e8p-3, 0x1.f35b1098d2994p-3, 0x1.ecde866f4ff5ep-3, 0x1.e66911c13fbaep-3, 0x1.dffb0446d3c0dp-3, 0x1.d994ada2d9165p-3, 0x1.d3365b615e506p-3, 0x1.cce058f6b0ef6p-3, 0x1.c692efbeb55dbp-3, 0x1.c04e66fc9d0cbp-3, 0x1.ba1303dafd534p-3, 0x1.b3e1096c32d33p-3, 0x1.adb8b8ab2844p-3, 0x1.a79a507c6fec4p-3, 0x1.a1860dafad26cp-3, 0x1.9b7c2b015dc82p-3, 0x1.957ce11ce65dfp-3, 0x1.8f88669efacap-3, 0x1.899ef0184efe2p-3, 0x1.83c0b0108fd92p-3, 0x1.7dedd709b3181p-3, 0x1.782693837cefap-3, 0x1.726b11ff5e7d3p-3, 0x1.6cbb7d04865a4p-3, 0x1.6717fd24421d7p-3, 0x1.6180b8fe903b4p-3, 0x1.5bf5d546faea1p-3, 0x1.567774c9a7cbbp-3, 0x1.5105b8709d3fap-3, 0x1.4ba0bf4942a47p-3, 0x1.4648a68a10f99p-3, 0x1.40fd899873e23p-3, 0x1.3bbf820edccbcp-3, 0x1.368ea7c2fb058p-3, 0x1.316b10cc26dcbp-3, 0x1.2c54d189ee25cp-3, 0x1.274bfcaac3f46p-3, 0x1.2250a332db6ddp-3, 0x1.1d62d48318982p-3, 0x1.18829e6027ddfp-3, 0x1.13b00cf9ac706p-3, 0x1.0eeb2af189ee2p-3, 0x1.0a34016343262p-3, 0x1.058a97eb741f5p-3, 0x1.00eef4af578fep-3, 0x1.f8c238c8c2e05p-4, 0x1.efc224afd4894p-4, 0x1.e6ddb0edc11f8p-4, 0x1.de14deab1b3c1p-4, 0x1.d567ac6ebbad1p-4, 0x1.ccd6162d5e67bp-4, 0x1.c460155954969p-4, 0x1.bc05a0f23869dp-4, 0x1.b3c6ad9499deap-4, 0x1.aba32d89bedfep-4, 0x1.a39b10d75554ap-4, 0x1.9bae454f1c623p-4, 0x1.93dcb69e8bec4p-4, 0x1.8c264e5e65ea8p-4, 0x1.848af42245a14p-4, 0x1.7d0a8d880fe48p-4, 0x1.75a4fe4756dcep-4, 0x1.6e5a2840a1d44p-4, 0x1.6729eb8c9f5e7p-4, 0x1.6014268b35bb7p-4, 0x1.5918b5f27cb4ep-4, 0x1.523774dd8f5f5p-4, 0x1.4b703cdb3cc8ap-4, 0x1.44c2e5fc9b9fcp-4, 0x1.3e2f46e36bb8bp-4, 0x1.37b534d05840bp-4, 0x1.315483b10bda7p-4, 0x1.2b0d062e19a0fp-4, 0x1.24de8db8bcd2ap-4, 0x1.1ec8ea9863015p-4, 0x1.18cbebf811517p-4, 0x1.12e75ff38b445p-4, 0x1.0d1b13a45329bp-4, 0x1.0766d32e74077p-4, 0x1.01ca69cd1308dp-4, 0x1.f88b43bda8237p-5, 0x1.edb089e401d8ap-5, 0x1.e30437a0fe0edp-5, 0x1.d885dd1719d32p-5, 0x1.ce35090e8b85fp-5, 0x1.c411490be55fp-5, 0x1.ba1a296635684p-5, 0x1.b04f355cc3a88p-5, 0x1.a6aff72c53c14p-5, 0x1.9d3bf823f75dp-5, 0x1.93f2c0b970615p-5, 0x1.8ad3d89d15de8p-5, 0x1.81dec6cd4e0a6p-5, 0x1.791311a9914dap-5, 0x1.70703f04f6bfap-5, 0x1.67f5d4385335cp-5, 0x1.5fa35633da5cap-5, 0x1.577849905e01cp-5, 0x1.4f7432a0069b3p-5, 0x1.4796957ea620cp-5, 0x1.3fdef62195bbp-5, 0x1.384cd86723e9ap-5, 0x1.30dfc02592c6ap-5, 0x1.29973139a60cep-5, 0x1.2272af94bd5ccp-5, 0x1.1b71bf4a8cb0fp-5, 0x1.1493e49e61113p-5, 0x1.0dd8a40ff562dp-5, 0x1.073f8267eaaf9p-5, 0x1.00c804c3c7643p-5, 0x1.f4e3614338f8fp-6, 0x1.e87817d67700cp-6, 0x1.dc4d3a0210757p-6, 0x1.d061d588d5792p-6, 0x1.c4b4f943b5463p-6, 0x1.b945b5351770cp-6, 0x1.ae131a9b7aae9p-6, 0x1.a31c3c033b959p-6, 0x1.98602d57d2d76p-6, 0x1.8dde03f42d618p-6, 0x1.8394d6b26628dp-6, 0x1.7983bdfae3098p-6, 0x1.6fa9d3d295655p-6, 0x1.660633e8c26ddp-6, 0x1.5c97fba3fc8bbp-6, 0x1.535e4a2e987b8p-6, 0x1.4a5840826d913p-6, 0x1.41850174093ebp-6, 0x1.38e3b1bd34cb3p-6, 0x1.3073780700996p-6, 0x1.28337cf31bfcap-6, 0x1.2022eb24b6224p-6, 0x1.1840ef48c9cbcp-6, 0x1.108cb81dde698p-6, 0x1.0905767b44e96p-6, 0x1.01aa5d57d30bbp-6, 0x1.f4f543a0401b4p-7, 0x1.e6eaf65882842p-7, 0x1.d93445ca08f62p-7, 0x1.cbcfa95199b9fp-7, 0x1.bebb9cbfdb045p-7, 0x1.b1f6a06125a82p-7, 0x1.a57f390486154p-7, 0x1.9953f001e49b1p-7, 0x1.8d73533f6e43ep-7, 0x1.81dbf53624f3cp-7, 0x1.768c6cf5c53cdp-7, 0x1.6b835627c6cc9p-7, 0x1.60bf5111e267ep-7, 0x1.563f0297c4ccp-7, 0x1.4c01143c09321p-7, 0x1.42043420b7208p-7, 0x1.38471506f32f1p-7, 0x1.2ec86e4e4ff2cp-7, 0x1.2586fbf34e9fbp-7, 0x1.1c817e8d7a31cp-7, 0x1.13b6bb4cee62ep-7, 0x1.0b257bf74636cp-7, 0x1.02cc8ee42f2fp-7, 0x1.f5558df2aa9b7p-8, 0x1.e57df74c112b4p-8, 0x1.d61011bc859ap-8, 0x1.c7099e2ae0e96p-8, 0x1.b868667137f57p-8, 0x1.aa2a3d50e4719p-8, 0x1.9c4cfe653ef15p-8, 0x1.8ece8e1646157p-8, 0x1.81acd989f28bp-8, 0x1.74e5d69563a33p-8, 0x1.687783ad3f908p-8, 0x1.5c5fe7d55fc7fp-8, 0x1.509d129048beap-8, 0x1.452d1bcd8b8f4p-8, 0x1.3a0e23d832511p-8, 0x1.2f3e53448d671p-8, 0x1.24bbdadd3e967p-8, 0x1.1a84f3904cd8p-8, 0x1.1097de5b90f63p-8, 0x1.06f2e438c4b9p-8, 0x1.fb28ac12e3f56p-9, 0x1.e8f519045f208p-9, 0x1.d747d02be72c9p-9, 0x1.c61da1c1d849ap-9, 0x1.b5736d261fe96p-9, 0x1.a54620b52a3ecp-9, 0x1.9592b99c45d17p-9, 0x1.865643adaabecp-9, 0x1.778dd933e0693p-9, 0x1.6936a2c58d8ddp-9, 0x1.5b4dd7182c9fcp-9, 0x1.4dd0bad2fbcf9p-9, 0x1.40bca061c51acp-9, 0x1.340ee7c723c06p-9, 0x1.27c4fe6f10a45p-9, 0x1.1bdc5f0118008p-9, 0x1.10529132617d6p-9, 0x1.05252997edc49p-9, 0x1.f4a392f14bd56p-10, 0x1.dfac3d3f193fdp-10, 0x1.cb5fc65b84ae4p-10, 0x1.b7b9bad98a331p-10, 0x1.a4b5bf41893c7p-10, 0x1.924f8fb5c9dcep-10, 0x1.8082ff97dc7f9p-10, 0x1.6f4bf92de0d8ap-10, 0x1.5ea67d478946dp-10, 0x1.4e8ea2e50ebb3p-10, 0x1.3f0096dcc6791p-10, 0x1.2ff89b82c5a18p-10, 0x1.2173084f960dep-10, 0x1.136c498879bc5p-10, 0x1.05e0dfe7305bap-10, 0x1.f19ac0879e815p-11, 0x1.d85ce67b8b9adp-11, 0x1.c001a9cc49f39p-11, 0x1.a882a8d476d5ep-11, 0x1.91d9a77ee7c58p-11, 0x1.7c008e9e2c98bp-11, 0x1.66f16b46e586p-11, 0x1.52a66e2b47d5ep-11, 0x1.3f19eaf6deb44p-11, 0x1.2c4657adf6549p-11, 0x1.1a264c0bd7ff4p-11, 0x1.08b480e641f04p-11, 0x1.efd79f1e35339p-12, 0x1.cf8e6272dc99p-12, 0x1.b0837cc044ccep-12, 0x1.92ad5c5a409a8p-12, 0x1.7602abc85e067p-12, 0x1.5a7a509cd685cp-12, 0x1.400b6a4d036bap-12, 0x1.26ad511237e7ep-12, 0x1.0e5794c91add9p-12, 0x1.ee03f7b072011p-13, 0x1.c1490430b551dp-13, 0x1.966eaf8399ed9p-13, 0x1.6d65c0b6147b8p-13, 0x1.461f635b49a3fp-13, 0x1.208d2579f1645p-13, 0x1.f941eb0544387p-14, 0x1.b49a40a01111dp-14, 0x1.73089e509e0c9p-14, 0x1.34730b936b1a9p-14, 0x1.f18081f9a7f61p-15, 0x1.7faf48e378144p-15, 0x1.13428ac828574p-15, 0x1.581764d8d210fp-16, 0x1.2775bc2d20dfbp-17, -0x1.37452a9005457p-19, -0x1.b051be6b98e06p-17, -0x1.80592a6505473p-16, -0x1.0fe5481d86c2cp-15, -0x1.5b65eaff2f119p-15, -0x1.a2d4c4ff37618p-15, -0x1.e6570847e5a58p-15, -0x1.13086c2da6e19p-14, -0x1.3112a82558cbbp-14, -0x1.4d5b446cf2725p-14, -0x1.67f2cf48f6eecp-14, -0x1.80e95bcbf444dp-14, -0x1.984e84cb655b7p-14, -0x1.ae316fb01ee03p-14, -0x1.c2a0cf4b1d62bp-14, -0x1.d5aae6904458p-14, -0x1.e75d8b4e17667p-14, -0x1.f7c628d32061dp-14, -0x1.0378e14556aa5p-13, -0x1.0a767b43e4f2ep-13, -0x1.10e20002f050cp-13, -0x1.16c15cee4c38dp-13, -0x1.1c1a507727173p-13, -0x1.20f26b400eb32p-13, -0x1.254f11453e4f3p-13, -0x1.29357b00a7519p-13, -0x1.2caab6845d269p-13, -0x1.2fb3a89379547p-13, -0x1.32550db22724ep-13, -0x1.34937b321fc84p-13, -0x1.3673603a16558p-13, -0x1.37f906c49f25bp-13, -0x1.3928949bfda65p-13, -0x1.3a060c4f6421fp-13, -0x1.3a954e266bc43p-13, -0x1.3ada190b5a232p-13, -0x1.3ad80b72a751ep-13, -0x1.3a92a43b93bb3p-13, -0x1.3a0d438f15beap-13, -0x1.394b2bb520a17p-13, -0x1.384f81e8777f8p-13, -0x1.371d4f27a30cfp-13, -0x1.35b780fd1aa4bp-13, -0x1.3420ea45c99a6p-13, -0x1.325c43f0bca5cp-13, -0x1.306c2dbc681d6p-13, -0x1.2e532eef00482p-13, -0x1.2c13b70a5290dp-13, -0x1.29b01e7bb51f2p-13, -0x1.272aa748514cp-13, -0x1.24857db49de62p-13, -0x1.21c2b8e7c0201p-13, -0x1.1ee45b8b16b54p-13, -0x1.1bec5467a3394p-13, -0x1.18dc7efd2f37fp-13, -0x1.15b6a41837e2dp-13, -0x1.127c7a6124117p-13, -0x1.0f2fa6ebf943p-13, -0x1.0bd1bdc0afcfep-13, -0x1.08644261d890bp-13, -0x1.04e8a850e1a15p-13, -0x1.0160538d12439p-13, -0x1.fb993223134cdp-14, -0x1.f45d7e9b1c3c1p-14, -0x1.ed0ffd35c61a9p-14, -0x1.e5b30363c7825p-14, -0x1.de48cc34946fp-14, -0x1.d6d37930356ap-14, -0x1.cf55132c70c1fp-14, -0x1.c7cf8b1f5ea11p-14, -0x1.c044bae6f0e0ep-14, -0x1.b8b6660e6cd8bp-14, -0x1.b1263a8c1e94bp-14, -0x1.a995d17fe7d3dp-14, -0x1.a206afe665ce5p-14, -0x1.9a7a474adfe0dp-14, -0x1.92f1f6718c72ap-14, -0x1.8b6f09ff810adp-14, -0x1.83f2bd1d4a05ap-14, -0x1.7c7e3a130d77fp-14, -0x1.75129ae447c01p-14, -0x1.6db0e9e2e3334p-14, -0x1.665a22433fbe9p-14, -0x1.5f0f30a77704cp-14, -0x1.57d0f3a86b311p-14, -0x1.50a03c58c778bp-14, -0x1.497dcec818071p-14, -0x1.426a627f4294cp-14, -0x1.3b66a2fa67577p-14, -0x1.3473301f0c0cp-14, -0x1.2d909eaf612b4p-14, -0x1.26bf78b805222p-14, -0x1.20003dfd7a9d9p-14, -0x1.19536461c0785p-14, -0x1.12b9584c9b9bep-14, -0x1.0c327d0ccb02ap-14, -0x1.05bf2d37686f5p-14, -0x1.febf7609a2c0fp-15, -0x1.f228e151b6c82p-15, -0x1.e5bb2153cafa4p-15, -0x1.d976ac6946a5ep-15, -0x1.cd5beadc76e8cp-15, -0x1.c16b37831d83p-15, -0x1.b5a4e058cf62ep-15, -0x1.aa092713c5224p-15, -0x1.9e9841af1ecbep-15, -0x1.93525af8f2f6ep-15, -0x1.8837931168be9p-15, -0x1.7d47fff2c078dp-15, -0x1.7283ade9a79d5p-15, -0x1.67eaa01016452p-15, -0x1.5d7cd0c00528cp-15, -0x1.533a3204290d5p-15, -0x1.4922ae02599e8p-15, -0x1.3f362767bc15cp-15, -0x1.357479ca094p-15, -0x1.2bdd7a0afc8edp-15, -0x1.2270f6b6fe812p-15, -0x1.192eb85e3fe94p-15, -0x1.101681ef0770fp-15, -0x1.0728110596c9ep-15, -0x1.fcc63c8057cffp-16, -0x1.eb8ebb169fa35p-16, -0x1.daa8fcdaca171p-16, -0x1.ca1458a09ba65p-16, -0x1.b9d01d8859e0fp-16, -0x1.a9db938c9727fp-16, -0x1.9a35fbfcd1201p-16, -0x1.8ade91fc57243p-16, -0x1.7bd48af6e421p-16, -0x1.6d1717115a5e4p-16, -0x1.5ea5619a8735cp-16, -0x1.507e91720872dp-16, -0x1.42a1c96e3cb34p-16, -0x1.350e28be7e101p-16, -0x1.27c2cb413bdp-16, -0x1.1abec9e53318fp-16, -0x1.0e013af7c03ep-16, -0x1.018932786183fp-16, -0x1.eaab84cd2bba5p-17, -0x1.d2cbf6125c49bp-17, -0x1.bb71d66e70b9cp-17, -0x1.a49b413cf8ae8p-17, -0x1.8e464fff8721cp-17, -0x1.78711ad829348p-17, -0x1.6319b90328db9p-17, -0x1.4e3e414431593p-17, -0x1.39dcca50b0415p-17, -0x1.25f36b34a093cp-17, -0x1.12803baf7c711p-17, -0x1.ff02a92d338c3p-18, -0x1.d9e9a0474dac4p-18, -0x1.b5b1948a22f69p-18, -0x1.9256c1e856292p-18, -0x1.6fd568e0e69f2p-18, -0x1.4e29cf1d0df64p-18, -0x1.2d503fe8631a5p-18, -0x1.0d450cb3428e1p-18, -0x1.dc091b07d5cfdp-19, -0x1.9f1642a887a22p-19, -0x1.63aa5cff4e27bp-19, -0x1.29be464f7b73dp-19, -0x1.e295d5fcadf1dp-20, -0x1.7492907e9499bp-20, -0x1.0964d97c4b17bp-20, -0x1.41fde3e7bb315p-21, -0x1.da9a007594575p-23, 0x1.3d5d81fe943bep-23, 0x1.101658aaf2e98p-21, 0x1.cbb0b3fc5bf8ap-21, 0x1.412036f2350a4p-20, 0x1.99ef98238cf79p-20, 0x1.f05328f502992p-20, }}, 
      {{-0x1.175806db42964p-6, -0x1.16706fc57fee8p-5, -0x1.9f75bee37ac6ap-5, -0x1.12ff59d3bd378p-4, -0x1.54b6aa218c634p-4, -0x1.94a22b158393p-4, -0x1.d2931fe174404p-4, -0x1.0734c983de788p-3, -0x1.240969501f196p-3, -0x1.3fc3dfb745bb1p-3, -0x1.5a6588ea0c909p-3, -0x1.73f3d57d5ed3cp-3, -0x1.8c777ff8572a5p-3, -0x1.a3fbd34c7adaep-3, -0x1.ba8e043369c12p-3, -0x1.d03c9e1c6cfb1p-3, -0x1.e5170373ac14p-3, -0x1.f92d0078b4e18p-3, -0x1.064737bd8fef6p-2, -0x1.0fa5768d513c5p-2, -0x1.18b8cd84cbeeep-2, -0x1.218877e31bf1ep-2, -0x1.2a1b48e130cfcp-2, -0x1.32779e3fea96cp-2, -0x1.3aa3571df538fp-2, -0x1.42a3ce6ff2194p-2, -0x1.4a7dd883e1f39p-2, -0x1.5235c307d5e6ap-2, -0x1.59cf571b1116p-2, -0x1.614ddcff65baep-2, -0x1.68b4210e9b143p-2, -0x1.700479a49f1b5p-2, -0x1.7740cdbb2348cp-2, -0x1.7e6a9bfe0636bp-2, -0x1.8583022962cf3p-2, -0x1.8c8ac48a92dcbp-2, -0x1.93825584a921ap-2, -0x1.9a69dcff3d1a6p-2, -0x1.a1413fabaa823p-2, -0x1.a80826117fa0fp-2, -0x1.aebe03568a7d4p-2, -0x1.b5621bba23965p-2, -0x1.bbf38abde5d81p-2, -0x1.c27148f82317p-2, -0x1.c8da318e0d3a1p-2, -0x1.cf2d0754f4dc8p-2, -0x1.d568799b0c3d8p-2, -0x1.db8b2898f22ebp-2, -0x1.e193a98df51bcp-2, -0x1.e7808a8976552p-2, -0x1.ed5055e437ddp-2, -0x1.f301956c9d66fp-2, -0x1.f892d5491d235p-2, -0x1.fe02a6942fd62p-2, -0x1.01a7d0da9709fp-1, -0x1.043c343cc1d34p-1, -0x1.06bdd3f8cea48p-1, -0x1.092c0d0a7e9f1p-1, -0x1.0b8643985ef63p-1, -0x1.0dcbe391e65a7p-1, -0x1.0ffc6136035b1p-1, -0x1.12173983a9c2ap-1, -0x1.141bf295d9d34p-1, -0x1.160a1bec9bd6ap-1, -0x1.17e14ea44e86dp-1, -0x1.19a12d9ca6d7ap-1, -0x1.1b496590a7adap-1, -0x1.1cd9ad20d2c9dp-1, -0x1.1e51c4d0bedc9p-1, -0x1.1fb176f9361f4p-1, -0x1.20f897aff24e7p-1, -0x1.222704a5f911cp-1, -0x1.233ca4fd949a7p-1, -0x1.24396918d2e31p-1, -0x1.251d4a6167af9p-1, -0x1.25e84b0ac54a9p-1, -0x1.269a75cf2e9c9p-1, -0x1.2733dda87bfdap-1, -0x1.27b49d853eb8ap-1, -0x1.281cd7fae15bcp-1, -0x1.286cb6f55dabcp-1, -0x1.28a46b651057ep-1, -0x1.28c42ceb29517p-1, -0x1.28cc3985302eep-1, -0x1.28bcd538065fap-1, -0x1.289649bacb408p-1, -0x1.2858e621fa04bp-1, -0x1.2804fe8b13ebap-1, -0x1.279aebc91ee39p-1, -0x1.271b0b1239e8dp-1, -0x1.2685bdae832ap-1, -0x1.25db68a87fe1bp-1, -0x1.251c747f37605p-1, -0x1.24494cda25554p-1, -0x1.2362603f2618p-1, -0x1.22681fca7a665p-1, -0x1.215afee8f7ee9p-1, -0x1.203b73147d4a3p-1, -0x1.1f09f392b4d9ep-1, -0x1.1dc6f9363575ap-1, -0x1.1c72fe220600ep-1, -0x1.1b0e7d8f8b5bdp-1, -0x1.1999f396e07a1p-1, -0x1.1815dcf999478p-1, -0x1.1682b6efecd65p-1, -0x1.14e0fef84270dp-1, -0x1.133132a919336p-1, -0x1.1173cf8544066p-1, -0x1.0fa952d26dep-1, -0x1.0dd23971dade7p-1, -0x1.0beeffbb5c8dbp-1, -0x1.0a00215a686a2p-1, -0x1.0806192d45689p-1, -0x1.060161263f95ap-1, -0x1.03f2722ed50aep-1, -0x1.01d9c40cca318p-1, -0x1.ff6f9a9229396p-2, -0x1.fb1a063124baap-2, -0x1.f6b3b28ce7b98p-2, -0x1.f23d8440a0a8p-2, -0x1.edb85cc7a0665p-2, -0x1.e9251a5bbd0b5p-2, -0x1.e48497d6a139p-2, -0x1.dfd7ac95ea854p-2, -0x1.db1f2c61f358p-2, -0x1.d65be7572f2c4p-2, -0x1.d18ea9d1f6e63p-2, -0x1.ccb83c5ca7c77p-2, -0x1.c7d9639ffa9d4p-2, -0x1.c2f2e0557540bp-2, -0x1.be056f3bdd579p-2, -0x1.b911c90d8d1c5p-2, -0x1.b418a27896d1bp-2, -0x1.af1aac18988b5p-2, -0x1.aa1892722f22bp-2, -0x1.a512fdefe6ec3p-2, -0x1.a00a92e09f9ecp-2, -0x1.9afff1774513bp-2, -0x1.95f3b5cbcc9bp-2, -0x1.90e677dd64da2p-2, -0x1.8bd8cb95bdd33p-2, -0x1.86cb40cd60b7fp-2, -0x1.81be6350fd97ap-2, -0x1.7cb2bae7a68a8p-2, -0x1.77a8cb59e02c1p-2, -0x1.72a114797d45ap-2, -0x1.6d9c122a38e85p-2, -0x1.689a3c6afa4b1p-2, -0x1.639c075fbf57dp-2, -0x1.5ea1e35c15b85p-2, -0x1.59ac3cee2261dp-2, -0x1.54bb7cea22f4p-2, -0x1.4fd0087663345p-2, -0x1.4aea41179eb9bp-2, -0x1.460a84bdbbe08p-2, -0x1.41312dd0e1c88p-2, -0x1.3c5e933edc9cp-2, -0x1.37930888c2eddp-2, -0x1.32ceddd0dd103p-2, -0x1.2e125fe8c213bp-2, -0x1.295dd85fa5978p-2, -0x1.24b18d90cb6c2p-2, -0x1.200dc2b2233c5p-2, -0x1.1b72b7e2fe288p-2, -0x1.16e0aa3adde4bp-2, -0x1.1257d3d85811p-2, -0x1.0dd86bf004916p-2, -0x1.0962a6db7754ep-2, -0x1.04f6b6283fd3bp-2, -0x1.0094c8a6e81dap-2, -0x1.f87a14f3e7d04p-3, -0x1.efdf4a49ada05p-3, -0x1.e7597f35c6458p-3, -0x1.dee8fc9c5362p-3, -0x1.d68e067c9c69ap-3, -0x1.ce48dc0e8a8f9p-3, -0x1.c619b7dfffc1fp-3, -0x1.be00cff1fd44cp-3, -0x1.b5fe55d5990b1p-3, -0x1.ae1276c8b8209p-3, -0x1.a63d5bd2952dep-3, -0x1.9e7f29dfffbd3p-3, -0x1.96d801df5dec1p-3, -0x1.8f4800dc67bf8p-3, -0x1.87cf401b9cfa1p-3, -0x1.806dd53568433p-3, -0x1.7923d230fdb33p-3, -0x1.71f1459ee4ecep-3, -0x1.6ad63ab32fa7fp-3, -0x1.63d2b95f5e6d3p-3, -0x1.5ce6c66bf1c2ep-3, -0x1.561263919c597p-3, -0x1.4f558f9226ef3p-3, -0x1.48b04650ef0cbp-3, -0x1.422280eb12305p-3, -0x1.3bac35cf3757bp-3, -0x1.354d58d4fb4b5p-3, -0x1.2f05db5404f4dp-3, -0x1.28d5ac3aad834p-3, -0x1.22bcb82455e18p-3, -0x1.1cbae96f5541dp-3, -0x1.16d0285283633p-3, -0x1.10fc5af26ae0ap-3, -0x1.0b3f65761111bp-3, -0x1.05992a1b60aep-3, -0x1.0009894b310b3p-3, -0x1.f520c359d933p-4, -0x1.ea5b2073a9b74p-4, -0x1.dfc1e09fc7b5dp-4, -0x1.d554b78897f0ap-4, -0x1.cb1355eb333e4p-4, -0x1.c0fd69badc1b7p-4, -0x1.b7129e43bb84dp-4, -0x1.ad529c4ce193cp-4, -0x1.a3bd0a3973005p-4, -0x1.9a518c293145ap-4, -0x1.910fc418316cap-4, -0x1.87f751fddcc36p-4, -0x1.7f07d3eb3cbaep-4, -0x1.7640e62883d95p-4, -0x1.6da22351e3ef6p-4, -0x1.652b2473aa00bp-4, -0x1.5cdb8125a8d81p-4, -0x1.54b2cfa5ecd3p-4, -0x1.4cb0a4f2c0a2bp-4, -0x1.44d494e3ff508p-4, -0x1.3d1e3243ba61bp-4, -0x1.358d0ee632868p-4, -0x1.2e20bbc12684ep-4, -0x1.26d8c9027a4efp-4, -0x1.1fb4c62635be8p-4, -0x1.18b4420be2defp-4, -0x1.11d6cb0b467fcp-4, -0x1.0b1bef087a72cp-4, -0x1.04833b876b37bp-4, -0x1.fc187b7d70109p-5, -0x1.ef6d0553f6231p-5, -0x1.e3032e36f3b73p-5, -0x1.d6da0f9a85f28p-5, -0x1.caf0c2e36dc5cp-5, -0x1.bf466187044b2p-5, -0x1.b3da052a13e7ep-5, -0x1.a8aac7be9a10fp-5, -0x1.9db7c3a07ad8cp-5, -0x1.930013b11f3b6p-5, -0x1.8882d37215bdep-5, -0x1.7e3f1f1ea8p-5, -0x1.743413c475cb5p-5, -0x1.6a60cf5b14365p-5, -0x1.60c470dab9a87p-5, -0x1.575e1851faf63p-5, -0x1.4e2ce6fa9612cp-5, -0x1.452fff4d62f63p-5, -0x1.3c668515575fdp-5, -0x1.33cf9d81b3f7cp-5, -0x1.2b6a6f3757a71p-5, -0x1.23362261424a3p-5, -0x1.1b31e0c041783p-5, -0x1.135cd5b9e0593p-5, -0x1.0bb62e6683534p-5, -0x1.043d199ed1af1p-5, -0x1.f9e19010af7b4p-6, -0x1.eba0d842f0bbdp-6, -0x1.ddb6749954bb3p-6, -0x1.d020d1b61230fp-6, -0x1.c2de602c6ddc8p-6, -0x1.b5ed94933ddabp-6, -0x1.a94ce79629fdap-6, -0x1.9cfad605acaadp-6, -0x1.90f5e0e5efb1bp-6, -0x1.853c8d7c6c797p-6, -0x1.79cd655c871d5p-6, -0x1.6ea6f672ffep-6, -0x1.63c7d310544b3p-6, -0x1.592e91f226806p-6, -0x1.4ed9ce4b986e7p-6, -0x1.44c827ccbb4b2p-6, -0x1.3af842a901b8dp-6, -0x1.3168c79cd7c74p-6, -0x1.281863f252094p-6, -0x1.1f05c98502852p-6, -0x1.162faec504647p-6, -0x1.0d94ceb9380cdp-6, -0x1.0533e900b10b1p-6, -0x1.fa1783a702e15p-7, -0x1.ea3644055a525p-7, -0x1.dac1adef1a1c5p-7, -0x1.cbb76564f4a3p-7, -0x1.bd151791a20a3p-7, -0x1.aed87ac4ce9c5p-7, -0x1.a0ff4e6cbd0cfp-7, -0x1.93875b0ee896fp-7, -0x1.866e723f7012cp-7, -0x1.79b26e9798d5cp-7, -0x1.6d5133ab38172p-7, -0x1.6148adfd42311p-7, -0x1.5596d2f36937fp-7, -0x1.4a39a0c8d7935p-7, -0x1.3f2f1e801c687p-7, -0x1.34755bd458e5fp-7, -0x1.2a0a7129a44e3p-7, -0x1.1fec7f7cc44e7p-7, -0x1.1619b0522e60bp-7, -0x1.0c9035a46970bp-7, -0x1.034e49d1e8f5cp-7, -0x1.f4a45f1462756p-8, -0x1.e334637547f05p-8, -0x1.d24946f549811p-8, -0x1.c1dfbfeea1429p-8, -0x1.b1f494bda3f8dp-8, -0x1.a2849b9677d14p-8, -0x1.938cba5a25ea5p-8, -0x1.8509e66adcf85p-8, -0x1.76f9247f988a2p-8, -0x1.6957887735189p-8, -0x1.5c22352ae59cbp-8, -0x1.4f565c403696dp-8, -0x1.42f13dfabc5c6p-8, -0x1.36f0290d1ddc4p-8, -0x1.2b507a69e4d6cp-8, -0x1.200f9d13fe25fp-8, -0x1.152b09eee5dc2p-8, -0x1.0aa0478ec15eep-8, -0x1.006cea08034ap-8, -0x1.ed1d257e4d5e3p-9, -0x1.da05e0703f7bcp-9, -0x1.c78f7bcb9b199p-9, -0x1.b5b587f2b56c4p-9, -0x1.a473ae633ebabp-9, -0x1.93c5b154f6158p-9, -0x1.83a76b5870328p-9, -0x1.7414cef60c712p-9, -0x1.6509e64d366f2p-9, -0x1.5682d2b39f2b2p-9, -0x1.487bcc552ecd2p-9, -0x1.3af121d406324p-9, -0x1.2ddf37e8c375fp-9, -0x1.21428903a7a9dp-9, -0x1.1517a4edc61eap-9, -0x1.095b306b0c6a8p-9, -0x1.fc13c9b94901dp-10, -0x1.e6411fc85a8d6p-10, -0x1.d138260e916fbp-10, -0x1.bcf2c6a7e06b5p-10, -0x1.a96b120b36bfap-10, -0x1.969b3e5607fbdp-10, -0x1.847da69941bc6p-10, -0x1.730cca2869198p-10, -0x1.62434be917c99p-10, -0x1.521bf1a57a3ffp-10, -0x1.4291a35fb25bcp-10, -0x1.339f6aa72bbbap-10, -0x1.254071efbc9p-10, -0x1.177003eaa2aecp-10, -0x1.0a298ae1682aep-10, -0x1.fad1202484382p-11, -0x1.e251761d7d008p-11, -0x1.cacba2386062p-11, -0x1.b437692c92d17p-11, -0x1.9e8cc8a6803dp-11, -0x1.89c3f614f0d94p-11, -0x1.75d55d797f1eep-11, -0x1.62b9a03d10d47p-11, -0x1.506994095bb98p-11, -0x1.3ede41a54fb6bp-11, -0x1.2e10e3d679ff1p-11, -0x1.1dfae6462b82ep-11, -0x1.0e95e46a86bc3p-11, -0x1.ffb750e838474p-12, -0x1.e38c547f2d0cfp-12, -0x1.c89f1c965390dp-12, -0x1.aee44960d3981p-12, -0x1.9650d044afef8p-12, -0x1.7ed9f9df91571p-12, -0x1.68756012686c3p-12, -0x1.5318ec167acf1p-12, -0x1.3ebad499cb3cp-12, -0x1.2b519be43352ap-12, -0x1.18d40e0581025p-12, -0x1.07393f08ef4fp-12, -0x1.ecf11266dc31ap-13, -0x1.cd131691967f7p-13, -0x1.aec84db1b3863p-13, -0x1.9200fd2889cd1p-13, -0x1.76ade952911b3p-13, -0x1.5cc052510c67ep-13, -0x1.4429f0e283d2bp-13, -0x1.2cdcf34bb092p-13, -0x1.16cbfa4d14604p-13, -0x1.01ea162a50245p-13, -0x1.dc55877d228dep-14, -0x1.b703d340aff35p-14, -0x1.93c7aaa70e15dp-14, -0x1.728a71152d6dbp-14, -0x1.53364cea3a09ap-14, -0x1.35b62239fb487p-14, -0x1.19f58da3639a2p-14, -0x1.ffc1be82c7888p-15, -0x1.ceca2b7169088p-15, -0x1.a0dfb2ba8c39ep-15, -0x1.75deeeef11555p-15, -0x1.4da5bb39f98b5p-15, -0x1.28132a523ce2bp-15, -0x1.05077d9a7afdbp-15, -0x1.c8c838e0bef2cp-16, -0x1.8c17175f63d2ep-16, -0x1.53c2cacd8b9fap-16, -0x1.1f94a16feecafp-16, -0x1.deafe7d2c99bap-17, -0x1.85b42b5ce61dfp-17, -0x1.33d48bd99ba5cp-17, -0x1.d166831066b46p-18, -0x1.47ec437528abfp-18, -0x1.951a0a81eaabcp-19, -0x1.6288ff1b7cfd3p-20, 0x1.ce8014c148d71p-23, 0x1.ad3d3b91a366bp-20, 0x1.7d06200a3d70bp-19, 0x1.089cad3a239ap-18, 0x1.4a23c4671b897p-18, 0x1.839a575dcf377p-18, 0x1.b57cfa4233c92p-18, 0x1.e043006c4b20dp-18, 0x1.022f54134a255p-17, 0x1.111ea2d40506cp-17, 0x1.1d23b64578d3ep-17, 0x1.26708c3260699p-17, 0x1.2d34ea187c3bap-17, 0x1.319e706ae54f1p-17, 0x1.33d8ad3ac8653p-17, 0x1.340d2e7270293p-17, 0x1.32639391695adp-17, 0x1.2f019ed1c30e6p-17, 0x1.2a0b4602ad24cp-17, 0x1.23a2c2ca98fc3p-17, 0x1.1be8a2834696p-17, 0x1.12fbd59ad859bp-17, 0x1.08f9be8b73547p-17, 0x1.fbfc80db1aaa5p-18, 0x1.e4479a1de308fp-18, 0x1.cb06e58131811p-18, 0x1.b069d331a7a54p-18, 0x1.949d40c77f397p-18, 0x1.77cb926a09459p-18, 0x1.5a1ccb487d245p-18, 0x1.3bb6a5249abdbp-18, 0x1.1cbca752ef8cbp-18, 0x1.faa079ff71309p-19, 0x1.bb21953dc0329p-19, 0x1.7b3785fecc747p-19, 0x1.3b197713336a7p-19, 0x1.f5f5ff97e0eb5p-20, 0x1.761893b8892dcp-20, 0x1.ede8d97bf0dd2p-21, 0x1.e3740c5ba69eap-22, -0x1.f01af0af20d02p-27, -0x1.fbee31a218cc1p-22, -0x1.f0659f85f7869p-21, -0x1.6f4912718cebp-20, -0x1.e4066c805fd3dp-20, -0x1.2b1be0ce90ee9p-19, -0x1.62d7443471149p-19, -0x1.992049ea3cd29p-19, -0x1.cde3ef22a86f6p-19, -0x1.008895a7013f9p-18, -0x1.194c6bc2be167p-18, -0x1.3136cb54a44d3p-18, -0x1.4841df3a8352fp-18, -0x1.5e68a0cb8f8c2p-18, -0x1.73a6cd143cc5fp-18, -0x1.87f8da916899fp-18, -0x1.9b5bef467fd98p-18, -0x1.adcdd7396481ep-18, -0x1.bf4cfb349abd4p-18, -0x1.cfd857f0b376ep-18, -0x1.df6f75a95ae84p-18, -0x1.ee125fc7530d3p-18, -0x1.fbc19d07a2bf8p-18, -0x1.043f13f3e3855p-17, -0x1.0a24b3b324d5cp-17, -0x1.0f9293fffd648p-17, -0x1.1489ca7d298d2p-17, -0x1.190b98f65b6d6p-17, -0x1.1d196a4910fe7p-17, -0x1.20b4cf695e5dep-17, -0x1.23df7c8e36eb4p-17, -0x1.269b4682bf4e5p-17, -0x1.28ea1ff8ffd97p-17, -0x1.2ace171541d81p-17, -0x1.2c4953097082fp-17, -0x1.2d5e11cc5d214p-17, -0x1.2e0ea5eae64d5p-17, -0x1.2e5d74767aaf7p-17, -0x1.2e4cf30655234p-17, -0x1.2ddfa5d44dc99p-17, -0x1.2d181dea714d4p-17, -0x1.2bf8f76c69773p-17, -0x1.2a84d7facd81dp-17, -0x1.28be6d200d512p-17, -0x1.26a86ad3fbeffp-17, -0x1.24458a19a07b6p-17, -0x1.219887a6b7fffp-17, -0x1.1ea422a479ee8p-17, -0x1.1b6b1b79a6e61p-17, -0x1.17f032b0d1489p-17, -0x1.143627e3fe9dap-17, -0x1.103fb8b79f85ep-17, -0x1.0c0f9fe858958p-17, -0x1.07a8946d31a17p-17, -0x1.030d489eba8f5p-17, -0x1.fc80d2db075d4p-18, -0x1.f2893b49df559p-18, -0x1.e8390a7d69447p-18, -0x1.dd95717131055p-18, -0x1.d2a39101d67p-18, -0x1.c76878c5f755ap-18, -0x1.bbe9261da3156p-18, -0x1.b02a832e30a41p-18, -0x1.a4316601b9166p-18, -0x1.98028fc00a841p-18, -0x1.8ba2abf2e82c9p-18, -0x1.7f164fd77ef97p-18, -0x1.7261f9cc04162p-18, -0x1.658a10c073a82p-18, -0x1.5892e3bfc8cabp-18, -0x1.4b80a97c83c98p-18, -0x1.3e577fee78b0bp-18, -0x1.311b6c00ca01ep-18, -0x1.23d05954fc448p-18, -0x1.167a1a00ce791p-18, -0x1.091c665aa4d27p-18, -0x1.f775b9b712c6ep-19, -0x1.dcb203ffd51dcp-19, -0x1.c1f48070e80c3p-19, -0x1.a743cfba59b53p-19, -0x1.8ca65e67533f7p-19, -0x1.722264f4e04f4p-19, -0x1.57bde7df79dcbp-19, -0x1.3d7eb7dc1086cp-19, -0x1.236a720d865e6p-19, -0x1.098680572f442p-19, -0x1.dfb0336eb9f21p-20, -0x1.acc88541542f9p-20, -0x1.7a5f9ada45b89p-20, -0x1.487eb599e8fb6p-20, -0x1.172eb49d208ap-20, -0x1.ccf02b746a71fp-21, -0x1.6cc5ed948b81fp-21, -0x1.0dee2d5f78b84p-21, -0x1.60ef5b3f979cp-22, -0x1.51c1e12e9ae97p-23, 0x1.8687a27b6712ep-27, 0x1.7c6dd82055a36p-23, 0x1.6d0f3b3fe456fp-22, 0x1.0c5352074dee3p-21, 0x1.6073fa4b3de49p-21, 0x1.b2dfa4ae869a4p-21, 0x1.01c681d628932p-20, 0x1.2939b54e4efa2p-20, 0x1.4fc5655a52f44p-20, 0x1.7565d7d338b1bp-20, 0x1.9a179e3c75077p-20, 0x1.bdd7940467f85p-20, 0x1.e0a2dcecaecb4p-20, 0x1.013b71b194408p-19, 0x1.11a8ab6bb402ap-19, 0x1.219814fe95fb4p-19, 0x1.3108c898a11b2p-19, 0x1.3ffa005c52618p-19, 0x1.4e6b1597e89b4p-19, 0x1.5c5b7fdd8c905p-19, 0x1.69cad43acbc28p-19, 0x1.76b8c45e59da6p-19, 0x1.83251dc829c2cp-19, 0x1.8f0fc8f8a02eep-19, 0x1.9a78c89cf7db2p-19, 0x1.a56038bcae66cp-19, 0x1.afc64df017561p-19, 0x1.b9ab549a7cbc9p-19, 0x1.c30fb0103fc7p-19, 0x1.cbf3d9e08a787p-19, 0x1.d458610451305p-19, 0x1.dc3de91d151c5p-19, 0x1.e3a529bca881ap-19, 0x1.ea8eed95be05ap-19, 0x1.f0fc11cf92fbfp-19, 0x1.f6ed8541d6e42p-19, 0x1.fc6447c38f0c2p-19, 0x1.00b0b4bd78bf8p-18, 0x1.02f30513c34b7p-18, 0x1.04f9ac36ce2f2p-18, 0x1.06c5489cf368cp-18, 0x1.08567f8486fc8p-18, 0x1.09adfca6f8506p-18, 0x1.0acc71e49d229p-18, 0x1.0bb296f46affcp-18, 0x1.0c61291a8c0c5p-18, 0x1.0cd8ead61ae32p-18, 0x1.0d1aa397e85e7p-18, 0x1.0d271f7a5e267p-18, 0x1.0cff2ef6a3684p-18, 0x1.0ca3a6a06de43p-18, 0x1.0c155ee17fb05p-18, 0x1.0b5533b67e90bp-18, 0x1.0a64046a0559bp-18, 0x1.0942b35833278p-18, 0x1.07f225ad33a2ep-18, 0x1.067343299add6p-18, 0x1.04c6f5e73fb63p-18, 0x1.02ee2a1c2556p-18, 0x1.00e9cde607656p-18, 0x1.fd75a2232e67cp-19, 0x1.f8c449c6319b4p-19, 0x1.f3c177cc5b10ap-19, 0x1.ee6f136fe0e27p-19, 0x1.e8cf05a97c25fp-19, 0x1.e2e338da7ce7cp-19, 0x1.dcad9869ba826p-19, 0x1.d6301068e9946p-19, 0x1.cf6c8d44c46eap-19, 0x1.c864fb6707d7ap-19, 0x1.c11b46ea0e9d9p-19, 0x1.b9915b4d4d65dp-19, 0x1.b1c92320a4decp-19, 0x1.a9c487bfc999dp-19, 0x1.a185710eb0756p-19, 0x1.990dc52ceece1p-19, 0x1.905f6838cc9eep-19, 0x1.877c3c123af5cp-19, 0x1.7e66201928a01p-19, 0x1.751ef0ef76f1dp-19, 0x1.6ba8884b49f58p-19, 0x1.6204bcb6c1ed6p-19, 0x1.5835615fed13ap-19, 0x1.4e3c45eabf04p-19, 0x1.441b363794d84p-19, 0x1.39d3fa3ea1b3ep-19, 0x1.2f6855e56ceb4p-19, 0x1.24da08cdc61eep-19, 0x1.1a2ace309da16p-19, 0x1.0f5c5cbfa2dbap-19, 0x1.0470667a5f4cdp-19, 0x1.f2d13116e9bc2p-20, 0x1.dc8d3661fb518p-20, 0x1.c6182335b5ea3p-20, 0x1.af75338fc1103p-20, 0x1.98a798e77d034p-20, 0x1.81b279f9b4b11p-20, 0x1.6a98f28a53a6ap-20, 0x1.535e1353b307cp-20, }}, 
      {{-0x1.c38667da85d8cp-1, -0x1.c3839b8dbcd7cp-1, -0x1.c37867a8b3d07p-1, -0x1.c35d9b1ef3caep-1, -0x1.c32bdbc4e3b5ap-1, -0x1.c2dc6f2a25d0cp-1, -0x1.c269ab0defacap-1, -0x1.c1cf29d5052adp-1, -0x1.c109d7542a0abp-1, -0x1.c017e44e2476bp-1, -0x1.bef8aab121ef8p-1, -0x1.bdac8982d76ep-1, -0x1.bc34bd3239c9p-1, -0x1.ba9337725c338p-1, -0x1.b8ca78a56d031p-1, -0x1.b6dd6c16e2252p-1, -0x1.b4cf47b8765b6p-1, -0x1.b2a36fb50fb7fp-1, -0x1.b05d5deac38d2p-1, -0x1.ae008d3128018p-1, -0x1.ab906834b0163p-1, -0x1.a9103b9e9ee5dp-1, -0x1.a6832b37d90bap-1, -0x1.a3ec29b14b6a7p-1, -0x1.a14df2bd04cb5p-1, -0x1.9eab07263cbb3p-1, -0x1.9c05aa9b6f68bp-1, -0x1.995fe2e3b1727p-1, -0x1.96bb783f02de5p-1, -0x1.9419f6b82b86p-1, -0x1.917cb03575cecp-1, -0x1.8ee4bf1c1186bp-1, -0x1.8c5309600987cp-1, -0x1.89c843e058e14p-1, -0x1.8744f5f3c993dp-1, -0x1.84c97d0fe9f48p-1, -0x1.825610776ee62p-1, -0x1.7feac4e0f6706p-1, -0x1.7d87900a309b9p-1, -0x1.7b2c4c2e248b8p-1, -0x1.78d8bb5787165p-1, -0x1.768c8a8a04e26p-1, -0x1.744754bef3306p-1, -0x1.7208a5b333b4ep-1, -0x1.6fcffc851ee67p-1, -0x1.6d9cce222e9a2p-1, -0x1.6b6e8784ca91ap-1, -0x1.69448fc3286e5p-1, -0x1.671e49f09258ep-1, -0x1.64fb16d2bb3dp-1, -0x1.62da566cfd905p-1, -0x1.60bb6963853c6p-1, -0x1.5e9db23882f41p-1, -0x1.5c8096658d628p-1, -0x1.5a637f5358d24p-1, -0x1.5845db31ef031p-1, -0x1.56271db37ea3fp-1, -0x1.5406c0abd4a1ep-1, -0x1.51e4449679492p-1, -0x1.4fbf31055f1fep-1, -0x1.4d9714f9f9309p-1, -0x1.4b6b872a7a065p-1, -0x1.493c2634e7116p-1, -0x1.470898c197ee3p-1, -0x1.44d08d96a2d3bp-1, -0x1.4293bb9da08f6p-1, -0x1.4051e1dd1eaa9p-1, -0x1.3e0ac76706b76p-1, -0x1.3bbe3b3d23dcp-1, -0x1.396c142ce7906p-1, -0x1.371430a37769dp-1, -0x1.34b6767af9271p-1, -0x1.3252d2c2080e7p-1, -0x1.2fe9397e2a77cp-1, -0x1.2d79a56a0e83ep-1, -0x1.2b0417b047635p-1, -0x1.288897a337cb3p-1, -0x1.26073272c62a5p-1, -0x1.237ffae06a701p-1, -0x1.20f308f21c30ap-1, -0x1.1e6079a498c8dp-1, -0x1.1bc86e9d701c3p-1, -0x1.192b0ddd3a022p-1, -0x1.168881725165cp-1, -0x1.13e0f72c61303p-1, -0x1.1134a0510ff27p-1, -0x1.0e83b15204267p-1, -0x1.0bce61847ed07p-1, -0x1.0914eadab6bafp-1, -0x1.0657899f2404p-1, -0x1.03967c31dd30bp-1, -0x1.00d202c821448p-1, -0x1.fc14be5c59f74p-2, -0x1.f67fa916cf643p-2, -0x1.f0e54e51fc5a2p-2, -0x1.eb463875de06ep-2, -0x1.e5a2f357290b1p-2, -0x1.dffc0bd35bccdp-2, -0x1.da520f71cdfbbp-2, -0x1.d4a58c09baa27p-2, -0x1.cef70f6d39c7bp-2, -0x1.c947271918e77p-2, -0x1.c3965fe982e06p-2, -0x1.bde545d35dd2ep-2, -0x1.b83463a2448edp-2, -0x1.b28442bb05918p-2, -0x1.acd56ae27e3ddp-2, -0x1.a7286208be825p-2, -0x1.a17dac1848837p-2, -0x1.9bd5cac94c2d9p-2, -0x1.96313d78bf046p-2, -0x1.9090810323c4fp-2, -0x1.8af40fa2df8bdp-2, -0x1.855c60d1fb829p-2, -0x1.7fc9e92f22b4ap-2, -0x1.7a3d1a65bf74cp-2, -0x1.74b663190efb7p-2, -0x1.6f362ed2080f4p-2, -0x1.69bce5efebd0bp-2, -0x1.644aed9b60fdep-2, -0x1.5ee0a7bbf6808p-2, -0x1.597e72efe933fp-2, -0x1.5424aa8606314p-2, -0x1.4ed3a6799726ep-2, -0x1.498bbb7028ccdp-2, -0x1.444d3ab916c89p-2, -0x1.3f18724ebce6fp-2, -0x1.39edacd92fc24p-2, -0x1.34cd31b263542p-2, -0x1.2fb744eba2db1p-2, -0x1.2aac275442555p-2, -0x1.25ac168170eedp-2, -0x1.20b74cd71351ep-2, -0x1.1bce019194413p-2, -0x1.16f068d090a98p-2, -0x1.121eb3a24e018p-2, -0x1.0d59100fe8f1bp-2, -0x1.089fa92a26b65p-2, -0x1.03f2a716dc7a5p-2, -0x1.fea45e3dae3dep-3, -0x1.f57cc77871c21p-3, -0x1.ec6ec9527a0f3p-3, -0x1.e37a9dde9d63p-3, -0x1.daa079ece2e27p-3, -0x1.d1e08d29c5492p-3, -0x1.c93b023de38c5p-3, -0x1.c0affeedfe045p-3, -0x1.b83fa43b38329p-3, -0x1.afea0e837db62p-3, -0x1.a7af55a2098ebp-3, -0x1.9f8f8d0fef21ep-3, -0x1.978ac404a502cp-3, -0x1.8fa105967c5fap-3, -0x1.87d258daf1bb8p-3, -0x1.801ec106dc3b5p-3, -0x1.78863d8e6040fp-3, -0x1.7108ca44a637p-3, -0x1.69a65f7b41504p-3, -0x1.625ef2214e26bp-3, -0x1.5b3273e22fb82p-3, -0x1.5420d343f1c82p-3, -0x1.4d29fbc53ff33p-3, -0x1.464dd5faf4f5ap-3, -0x1.3f8c47ad387b4p-3, -0x1.38e533f422aa1p-3, -0x1.32587b53ed542p-3, -0x1.2be5fbd8a138ap-3, -0x1.258d913149002p-3, -0x1.1f4f14ca9be2bp-3, -0x1.192a5de929a3bp-3, -0x1.131f41c2f9d12p-3, -0x1.0d2d9398a6305p-3, -0x1.075524cdebf2cp-3, -0x1.0195c501ae6c2p-3, -0x1.f7de844aebad5p-4, -0x1.ecc2d128b8289p-4, -0x1.e1d80652e230ap-4, -0x1.d71db6ab26ebcp-4, -0x1.cc9372697be79p-4, -0x1.c238c74599932p-4, -0x1.b80d409f63734p-4, -0x1.ae1067a64dbcap-4, -0x1.a441c37fb07cdp-4, -0x1.9aa0d96c014a8p-4, -0x1.912d2ceb0e0c3p-4, -0x1.87e63fdf276b1p-4, -0x1.7ecb92af487e6p-4, -0x1.75dca4683992p-4, -0x1.6d18f2dcb403ep-4, -0x1.647ffac487ecap-4, -0x1.5c1137dacbaaep-4, -0x1.53cc24fb12533p-4, -0x1.4bb03c3db2df9p-4, -0x1.43bcf7131f694p-4, -0x1.3bf1ce5e553a1p-4, -0x1.344e3a8e622ecp-4, -0x1.2cd1b3b70c16dp-4, -0x1.257bb1a8965e4p-4, -0x1.1e4bac06b1187p-4, -0x1.17411a5e8e995p-4, -0x1.105b743c291f2p-4, -0x1.099a313eba4d7p-4, -0x1.02fcc92c6966bp-4, -0x1.f905680a66e01p-5, -0x1.ec56d42a25bddp-5, -0x1.dfecc80ad290ep-5, -0x1.d3c635db6381cp-5, -0x1.c7e210c6f7237p-5, -0x1.bc3f4d13705cap-5, -0x1.b0dce03eb32d4p-5, -0x1.a5b9c11a92256p-5, -0x1.9ad4e7e77396fp-5, -0x1.902d4e6db74e1p-5, -0x1.85c1f015deec7p-5, -0x1.7b91c9ff8b33cp-5, -0x1.719bdb1749ab6p-5, -0x1.67df242b4765p-5, -0x1.5e5aa7fee397ap-5, -0x1.550d6b5d356bfp-5, -0x1.4bf6752a8282ep-5, -0x1.4314ce74b5b23p-5, -0x1.3a678282d48e3p-5, -0x1.31ed9ee38666ap-5, -0x1.29a6337aa6079p-5, -0x1.2190528df35a3p-5, -0x1.19ab10d0de36bp-5, -0x1.11f5856f7d668p-5, -0x1.0a6eca18ad9e5p-5, -0x1.0315fb0766832p-5, -0x1.f7d46e1699868p-6, -0x1.e9d53f20f5db8p-6, -0x1.dc2cb14d3c7a9p-6, -0x1.ced9120ea5da6p-6, -0x1.c1d8b437b4f96p-6, -0x1.b529f004570c1p-6, -0x1.a8cb2322ade17p-6, -0x1.9cbab0bab4d79p-6, -0x1.90f70174ad5fdp-6, -0x1.857e837e6dd14p-6, -0x1.7a4faa8f933bfp-6, -0x1.6f68efeca88a6p-6, -0x1.64c8d26948914p-6, -0x1.5a6dd66949d48p-6, -0x1.505685e0f4028p-6, -0x1.4681705451707p-6, -0x1.3ced2ad5a7d9fp-6, -0x1.3398500317b0bp-6, -0x1.2a8180036b215p-6, -0x1.21a7608230f36p-6, -0x1.19089cab0f904p-6, -0x1.10a3e5246d0b8p-6, -0x1.0877f00963b9fp-6, -0x1.008378e3273bfp-6, -0x1.f18a814371ce5p-7, -0x1.e2781b28329bp-7, -0x1.d3cd56bfc4f2ep-7, -0x1.c587d5f0d242bp-7, -0x1.b7a5452aa23bep-7, -0x1.aa235b51720f1p-7, -0x1.9cffd9a9d28afp-7, -0x1.90388bc346d4dp-7, -0x1.83cb4762008ap-7, -0x1.77b5ec67f02e9p-7, -0x1.6bf664bd28806p-7, -0x1.608aa4378da57p-7, -0x1.5570a881e3e97p-7, -0x1.4aa679026de44p-7, -0x1.402a26c0df592p-7, -0x1.35f9cc4be273cp-7, -0x1.2c138d9e2cda5p-7, -0x1.227598032644fp-7, -0x1.191e21fb33e23p-7, -0x1.100b6b1f9ff3cp-7, -0x1.073bbc063b9c2p-7, -0x1.fd5acc496c2b7p-8, -0x1.ecbd8767618f7p-8, -0x1.dc9c6f2349431p-8, -0x1.ccf45a4b11ab5p-8, -0x1.bdc23082b4f38p-8, -0x1.af02ea08edabcp-8, -0x1.a0b38f7bc7176p-8, -0x1.92d1399cfba96p-8, -0x1.8559111628281p-8, -0x1.78484e3cdf924p-8, -0x1.6b9c38d6d420ap-8, -0x1.5f5227ddf27cap-8, -0x1.536781447b46ap-8, -0x1.47d9b9b93fcb7p-8, -0x1.3ca6546bed151p-8, -0x1.31cae2d19186bp-8, -0x1.2745046948796p-8, -0x1.1d1266811b9afp-8, -0x1.1330c3fb16f7dp-8, -0x1.099de512c601dp-8, -0x1.00579f22cb0cfp-8, -0x1.eeb7a8d610a2ep-9, -0x1.dd50e7adfdf27p-9, -0x1.cc76f18901dc4p-9, -0x1.bc25d595cde64p-9, -0x1.ac59bb0545013p-9, -0x1.9d0ee09aa987p-9, -0x1.8e419c3c94c3p-9, -0x1.7fee5a86cf178p-9, -0x1.72119e5d42bdep-9, -0x1.64a8007ffb9cdp-9, -0x1.57ae2f2014b04p-9, -0x1.4b20ed760307dp-9, -0x1.3efd135888888p-9, -0x1.333f8cd510a77p-9, -0x1.27e559c9245efp-9, -0x1.1ceb8d7d075f3p-9, -0x1.124f4e3fa554bp-9, -0x1.080dd50374101p-9, -0x1.fc48d9f96c2d1p-10, -0x1.e920e681c73c9p-10, -0x1.d69eaccec2be9p-10, -0x1.c4bd2c56d6a62p-10, -0x1.b377861f08e82p-10, -0x1.a2c8fc037450ep-10, -0x1.92acf002c5145p-10, -0x1.831ee38c8a73p-10, -0x1.741a76d1962a7p-10, -0x1.659b6817b2744p-10, -0x1.579d930f40a98p-10, -0x1.4a1cf02b7ed0dp-10, -0x1.3d1593fdc0a72p-10, -0x1.3083ae92d83acp-10, -0x1.24638ad34f1a6p-10, -0x1.18b18de6845aep-10, -0x1.0d6a3697d1a83p-10, -0x1.028a1cbe494a6p-10, -0x1.f01be14ecaca5p-11, -0x1.dbe4f507f68f1p-11, -0x1.c86933af5b5cdp-11, -0x1.b5a289d6cb114p-11, -0x1.a38b10838f0cep-11, -0x1.921d0c1beff04p-11, -0x1.8152eb5b3024dp-11, -0x1.71274648f3ec1p-11, -0x1.6194dd367357dp-11, -0x1.529697c05cb1dp-11, -0x1.442783d5c2f82p-11, -0x1.3642d4c2bfaf1p-11, -0x1.28e3e240bacdbp-11, -0x1.1c06278b2edc4p-11, -0x1.0fa54278e4156p-11, -0x1.03bcf299f4bc2p-11, -0x1.f09230b57c017p-12, -0x1.da8b6853c17dep-12, -0x1.c55dcb48463bp-12, -0x1.b101d587e93dfp-12, -0x1.9d703e2ae3896p-12, -0x1.8aa1f5dd30009p-12, -0x1.7890255837562p-12, -0x1.67342be4516fp-12, -0x1.56879de117038p-12, -0x1.4684435789aa4p-12, -0x1.37241693b41ep-12, -0x1.286142c60bb26p-12, -0x1.1a3622ac60155p-12, -0x1.0c9d3f43add48p-12, -0x1.ff229cff98459p-13, -0x1.e61a641523e25p-13, -0x1.ce17ec178bdc6p-13, -0x1.b7119fed87e09p-13, -0x1.a0fe3abfea409p-13, -0x1.8bd4c5b25dcdfp-13, -0x1.778c95a9f5bcep-13, -0x1.641d49204c31cp-13, -0x1.517ec603ca66bp-13, -0x1.3fa937a5c926bp-13, -0x1.2e950cb4f27d6p-13, -0x1.1e3af54434c64p-13, -0x1.0e93e0dee8557p-13, -0x1.ff31f9504e6f9p-14, -0x1.e287630bd91e4p-14, -0x1.c71b44af29b8ap-14, -0x1.ace154702d2aap-14, -0x1.93cdb59a63f3ap-14, -0x1.7bd4f53c28e5fp-14, -0x1.64ec06ef6e619p-14, -0x1.4f0841b731e9ep-14, -0x1.3a1f5cef0aa91p-14, -0x1.26276d4fcbfabp-14, -0x1.1316e20775ad5p-14, -0x1.00e481e723be2p-14, -0x1.df0ed144a32d5p-15, -0x1.bdee08424247fp-15, -0x1.9e5623c9b9d6dp-15, -0x1.803738fec69fcp-15, -0x1.6381f235d134ep-15, -0x1.48278a24b062ap-15, -0x1.2e19c73672768p-15, -0x1.154af70376ac8p-15, -0x1.fb5bd3c9988a7p-16, -0x1.ce6bdd4fe411bp-16, -0x1.a3ad9ccc195fep-16, -0x1.7b0990e68ee17p-16, -0x1.54691cdc65f3dp-16, -0x1.2fb680d1bf24cp-16, -0x1.0cdcd2667ea06p-16, -0x1.d78feaf435c43p-17, -0x1.98c92a4f18dp-17, -0x1.5d4039eb0c2f8p-17, -0x1.24d1647abfe45p-17, -0x1.deb4b6e9d1cd1p-18, -0x1.7974554b76a87p-18, -0x1.19a2581454f9dp-18, -0x1.7e03f09fe1adbp-19, -0x1.a563752acc1ebp-20, -0x1.86f067d5ce601p-22, 0x1.9f8a4eaf04834p-21, 0x1.efee8d1c3de76p-20, 0x1.7fc2f70b29e41p-19, 0x1.ffa483489e717p-19, 0x1.3bfb71360644cp-18, 0x1.7488a4769453dp-18, 0x1.a9a3a5f5fefeap-18, 0x1.db7481cd4fc05p-18, 0x1.0510cb20e210cp-17, 0x1.1ae7d1dc0d447p-17, 0x1.2f50ee339cb81p-17, 0x1.425cf9a93515ep-17, 0x1.541c156a473a7p-17, 0x1.649db16c84024p-17, 0x1.73f093311080ap-17, 0x1.8222dc5b0eaccp-17, 0x1.8f421113e2ba9p-17, 0x1.9b5b1e35586b8p-17, 0x1.a67a5f30a8124p-17, 0x1.b0aba3dc62f02p-17, 0x1.b9fa35fe6cdd5p-17, 0x1.c270dea2c9dffp-17, 0x1.ca19eb58b8e6dp-17, 0x1.d0ff3325ba666p-17, 0x1.d72a1b6033e36p-17, 0x1.dca39c5825eabp-17, 0x1.e17445d1426ap-17, 0x1.e5a4435c4c7fbp-17, 0x1.e93b6082d6516p-17, 0x1.ec410cd764e9cp-17, 0x1.eebc5fd2fc755p-17, 0x1.f0b41c93e5b81p-17, 0x1.f22eb578919bep-17, 0x1.f3324f9fbdd56p-17, 0x1.f3c4c63d9893cp-17, 0x1.f3ebadd4a5ed9p-17, 0x1.f3ac57538d0a4p-17, 0x1.f30bd30a109f3p-17, 0x1.f20ef391d4729p-17, 0x1.f0ba50914ce2cp-17, 0x1.ef1249617f7ffp-17, 0x1.ed1b079b9303bp-17, 0x1.ead8818fc0bcep-17, 0x1.e84e7ca38b003p-17, 0x1.e5808f8f513dap-17, 0x1.e272249279095p-17, 0x1.df267b8d4b86p-17, 0x1.dba0abf3ae7b1p-17, 0x1.d7e3a6cd0110dp-17, 0x1.d3f238818ab59p-17, 0x1.cfcf0aa33f4c6p-17, 0x1.cb7ca59f321b1p-17, 0x1.c6fd725fbe8d1p-17, 0x1.c253bbdb0cc8dp-17, 0x1.bd81b08c96c5ep-17, 0x1.b88963eae4ee9p-17, 0x1.b36ccfc2f0b9cp-17, 0x1.ae2dd582841b6p-17, 0x1.a8ce3f7d724d4p-17, 0x1.a34fc21d4b126p-17, 0x1.9db3fd08dd197p-17, 0x1.97fc7c37dedf3p-17, 0x1.922ab9020dff5p-17, 0x1.8c401b1b71386p-17, 0x1.863df9838f4ap-17, 0x1.80259b73152e9p-17, 0x1.79f8393719881p-17, 0x1.73b6fd0543e01p-17, 0x1.6d6303bf52bdep-17, 0x1.66fd5db49699bp-17, 0x1.60870f571e73dp-17, 0x1.5a0111e893d6fp-17, 0x1.536c541eebbe6p-17, 0x1.4cc9babee1cfap-17, 0x1.461a21334bf4bp-17, 0x1.3f5e5a10b756fp-17, 0x1.38972fa1f1b7bp-17, 0x1.31c5646770de4p-17, 0x1.2ae9b388db74cp-17, 0x1.2404d148b96c6p-17, 0x1.1d176b6e2c63ep-17, 0x1.162229abd8a1ap-17, 0x1.0f25adfdd019dp-17, 0x1.082295022ab48p-17, 0x1.01197651273efp-17, 0x1.f415c999cd32fp-18, 0x1.e5eeddcb7a34ep-18, 0x1.d7bf3dd107b8cp-18, 0x1.c987f67e84c6fp-18, 0x1.bb4a0d5a7daf1p-18, 0x1.ad06811367939p-18, 0x1.9ebe49ec48a98p-18, 0x1.90725a2910578p-18, 0x1.82239e66e3f73p-18, 0x1.73d2fdf49f782p-18, 0x1.65815b2c1e9ebp-18, 0x1.572f93be13596p-18, 0x1.48de80f03fabap-18, 0x1.3a8ef7e857e15p-18, 0x1.2c41c9e8b50edp-18, 0x1.1df7c48689574p-18, 0x1.0fb1b1d978499p-18, 0x1.017058b039ef7p-18, 0x1.e668f97b3e3b3p-19, 0x1.c9fdbd876e099p-19, 0x1.ada07953e7a3ep-19, 0x1.9152a3576bac5p-19, 0x1.7515ace38979cp-19, 0x1.58eb0257e9b78p-19, 0x1.3cd40b515b8bp-19, 0x1.20d22adc426a7p-19, 0x1.04e6bf96725a3p-19, 0x1.d22647915c138p-20, 0x1.9ab15b0778c96p-20, 0x1.63715d7a4abb4p-20, 0x1.2c68eae80995dp-20, 0x1.eb352eb2f0d55p-21, 0x1.7e11de09bf799p-21, 0x1.116cece1e3c17p-21, 0x1.4a96a9ebcc1e1p-22, 0x1.cd90062f7ec77p-24, -0x1.8ad1a2699a0d2p-24, -0x1.37a8fc0824f93p-22, -0x1.05b81f3e95bb1p-21, -0x1.6f006a21d8109p-21, -0x1.d7a8c032905edp-21, -0x1.1fd6492686124p-20, -0x1.5383b05180296p-20, -0x1.86da5d874d5aap-20, -0x1.b9d82099134cfp-20, -0x1.ec7ad14b452ap-20, -0x1.0f6027bc517c2p-19, -0x1.2853418f5c7b2p-19, -0x1.4115ae38be4a4p-19, -0x1.59a66a0202024p-19, -0x1.7204756886edfp-19, -0x1.8a2ed53527aeep-19, -0x1.a224928793064p-19, -0x1.b9e4bae90f7bp-19, -0x1.d16e60471f5f9p-19, -0x1.e8c0991205043p-19, -0x1.ffda804641a62p-19, -0x1.0b5d9abd6e197p-18, -0x1.16b0ee7878061p-18, -0x1.21e6cfd1733dcp-18, -0x1.2cfed5a36d296p-18, -0x1.37f8993293739p-18, -0x1.42d3b63108414p-18, -0x1.4d8fcac361ac7p-18, -0x1.582c778903dc3p-18, -0x1.62a95fa183e97p-18, -0x1.6d0628afe6433p-18, -0x1.77427add8a5a2p-18, -0x1.815e00e17fdfp-18, -0x1.8b586805af24dp-18, -0x1.9531602868e78p-18, -0x1.9ee89bc350e51p-18, -0x1.a87dcfecdb7bdp-18, -0x1.b1f0b45874dd1p-18, -0x1.bb41035de703dp-18, -0x1.c46e79f9ccffp-18, -0x1.cd78d7cea9166p-18, -0x1.d65fdf28575ap-18, -0x1.df2354fdf148dp-18, -0x1.e7c300eff8dd6p-18, -0x1.f03ead48f7a7fp-18, -0x1.f89626ff60babp-18, -0x1.00649edaee3bcp-17, -0x1.046be1dd3dabbp-17, -0x1.0860c702ed6e7p-17, -0x1.0c433a1dadbdp-17, -0x1.10132852389e4p-17, -0x1.13d0801830c16p-17, -0x1.177b313a81c31p-17, -0x1.1b132cd45f9c1p-17, -0x1.1e986550cab13p-17, -0x1.220ace69d2502p-17, -0x1.256a5d25bd0c4p-17, -0x1.28b707d4d720dp-17, -0x1.2bf0c6103a6e9p-17, -0x1.2f1790b7e5a4cp-17, -0x1.322b61f0c2fcdp-17, -0x1.352c3521ecb18p-17, -0x1.381a06f24d1dcp-17, -0x1.3af4d54679154p-17, -0x1.3dbc9f3c2e64dp-17, -0x1.407165297a353p-17, -0x1.431328993b3ddp-17, -0x1.45a1ec47ea4b5p-17, -0x1.481db42007678p-17, -0x1.4a868537f93d3p-17, -0x1.4cdc65cddf2ebp-17, -0x1.4f1f5d433c836p-17, -0x1.514f741aa65ccp-17, -0x1.536cb3f380c2dp-17, -0x1.557727870eef7p-17, -0x1.576edaa40d9f9p-17, -0x1.5953da2a6b38dp-17, -0x1.5b26340861986p-17, -0x1.5ce5f73536eb7p-17, -0x1.5e9333ad41597p-17, -0x1.602dfa6f2369p-17, -0x1.61b65d75e1594p-17, -0x1.632c6fb584c3ep-17, -0x1.6490451656843p-17, -0x1.65e1f2717560ep-17, -0x1.67218d8ad0032p-17, -0x1.684f2d0dbba0cp-17, -0x1.696ae887d3181p-17, -0x1.6a74d86537214p-17, -0x1.6b6d15ebcc88bp-17, -0x1.6c53bb3609ffep-17, -0x1.6d28e32ec0b11p-17, -0x1.6deca98cfec43p-17, -0x1.6e9f2ace38e51p-17, -0x1.6f40843236decp-17, -0x1.6fd0d3b72b72ap-17, -0x1.70503813afc12p-17, -0x1.70bed0b29764dp-17, -0x1.711cbdae45bb9p-17, -0x1.716a1fcc485c5p-17, -0x1.71a718780f4ap-17, -0x1.71d3c9becf789p-17, -0x1.71f0564a0ce1ap-17, -0x1.71fce15b7a27bp-17, -0x1.71f98ec8919a9p-17, -0x1.71e682f5239fdp-17, -0x1.71c3e2ceecd59p-17, -0x1.7191d3c9bdc3fp-17, -0x1.71507bda1079dp-17, -0x1.710001701e6cbp-17, -0x1.70a08b74b7fcp-17, -0x1.703241438acacp-17, -0x1.6fb54aa6c64b6p-17, -0x1.6f29cfd2a4eafp-17, -0x1.6e8ff961109d1p-17, -0x1.6de7f04e07151p-17, -0x1.6d31ddf216e25p-17, -0x1.6c6debfea283ep-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      30, 0x1.2d70a3d70a3d7p+2, 0x1.6ca256235af53p-8, 0x1.59f8cc5fe7245p+1, -0x1.d315f029ea166p+3, 
      {{
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.e4c02b20d4b3bp-5, -0x1.4dfeeb94bebdap-4, 0x1.dbba42aa57p-13, 0x1.060ad70a72decp-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c363737c969cdp-5, -0x1.4ceb92bdda45ep-4, 0x1.49513a8842f56p-8, 0x1.0214e1f4e9b99p-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a23b4c3c2c194p-5, -0x1.49e4e83f9a421p-4, 0x1.3f81f1a3e0eaep-7, 0x1.fc8fbdcc9d50fp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.817943e8ba2afp-5, -0x1.44f25f9792082p-4, 0x1.d8137761434fap-7, 0x1.f807bbed97e94p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.614e397e03891p-5, -0x1.3e19cbaade815p-4, 0x1.37a47e4778719p-6, 0x1.dce3b18c66712p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.41ea336c251f4p-5, -0x1.356a60566b4d6p-4, 0x1.7f2d0c1c87cfp-6, 0x1.ab06eea18b04cp-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.237a9caaaf52ap-5, -0x1.2b0913bf52afcp-4, 0x1.bf3ae31b2976p-6, 0x1.7c92400c20842p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.062881cbbf4cbp-5, -0x1.1f24217838a0fp-4, 0x1.f850d31cfb23bp-6, 0x1.4d33e52e73d3ep-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.d430cffb76ecbp-6, -0x1.11e892a45e9dp-4, 0x1.1525e78b930e7p-5, 0x1.1e14271c95524p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.9ed49a16a6ee3p-6, -0x1.0383c282eff0bp-4, 0x1.2a9a9dadb7db2p-5, 0x1.ddc7444712e31p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.6c734eb7006c7p-6, -0x1.e845eca5a6428p-5, 0x1.3c8549d6c8906p-5, 0x1.7f6f37f719829p-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.3d3acbe307b3p-6, -0x1.c7e6f27030138p-5, 0x1.4ae64256731edp-5, 0x1.2114c2ecd7225p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.114fe0d9d38b1p-6, -0x1.a6452984dbd7p-5, 0x1.55bd700c21969p-5, 0x1.8575e653366e3p-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.d19c9c261a7bfp-7, -0x1.83bb25dbba454p-5, 0x1.5d0ad92a7dcfp-5, 0x1.9183dc12a367p-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.87918a7de1219p-7, -0x1.60a37b32d4699p-5, 0x1.60ce7c0777572p-5, 0x1.81c1c7dc216c5p-13}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.4491d28c9791ap-7, -0x1.3d58bd579fc9cp-5, 0x1.61085918a529p-5, -0x1.614bb58bb9ap-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.089e9c94ff506p-7, -0x1.1a358013e7b82p-5, 0x1.5db87031bc386p-5, -0x1.6d59b760dfc02p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a74de695fdbep-8, -0x1.ef28ae6167a7cp-6, 0x1.56dec18e519ffp-5, -0x1.1506de343f665p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4b0f87a743746p-8, -0x1.ab9facfb897bfp-6, 0x1.4c7b4c6c5c0bfp-5, -0x1.73609613afadbp-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f82f77146176dp-9, -0x1.6a852361757e9p-6, 0x1.3e8e13986bdbep-5, -0x1.d1bb644e5b847p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.73afcc9ae0fap-9, -0x1.2c8e39c1fd112p-6, 0x1.2d170ca2486d6p-5, -0x1.180911e03af18p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.073a61c3ef3acp-9, -0x1.e4e02ae3de0c3p-7, 0x1.18165e7e4401dp-5, -0x1.473c03fcb768fp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.6242246c13eeap-10, -0x1.79bfccd526e0ep-7, 0x1.ff16ef969fb3ep-6, -0x1.7652b3efefd7cp-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.bdb50d710b59p-11, -0x1.192569daa04a4p-7, 0x1.c6f0ee32a21f8p-6, -0x1.a5d2da249d23p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.feff2331fbb8p-12, -0x1.88f875da6ad8fp-8, 0x1.87aae7138a8dap-6, -0x1.d3c9697cc5389p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.ff16e483966fep-13, -0x1.f4ac9a745e357p-9, 0x1.417fe40da02bfp-6, -0x1.03be6f02ca85ep-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.9a3c775fc4b01p-14, -0x1.12a4d29d009e2p-9, 0x1.e7271f1993a1cp-7, -0x1.12e32a542a7afp-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.b4689df78fbffp-16, -0x1.c313a7e4206b2p-11, 0x1.42386c1a46f22p-7, -0x1.49fd6ed94157cp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.55343406ea001p-19, -0x1.77ad646080b5fp-13, 0x1.f0e7d992e54fdp-9, -0x1.9138e1858cb2fp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.2d70a3d70a3d7p+2, 0x1.0dd111e6e8fp-29, 0x1.11966a9005bd8p-16, 0x1.ee0c91878f601p-14, -0x1.088c86ca17c22p+0}, 
      }}, 
      0x1.11ded19a52ad7p+7, -0x1.407b5343ba7fcp+12
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.77d64953efed8p-3, 0x1.735a908a323fp-2, 0x1.11277943f4a1dp-1, 0x1.62c288ce25e74p-1, 0x1.ad436285f4416p-1, 0x1.efd127c65b654p-1, 0x1.14f5454e5868dp+0, 0x1.2dac54532f706p+0, 0x1.4210d48a56822p+0, 0x1.523e1ebc2ff62p+0, 0x1.5e623a1cd00cbp+0, 0x1.66b8fd026fd5p+0, 0x1.6b87e08b3f69ap+0, 0x1.6d1a7bca0167ap+0, 0x1.6bbf9985c924p+0, 0x1.67c6daf9e2c1ap+0, 0x1.617ed9138d34ep+0, 0x1.5933b4da975f6p+0, 0x1.4f2e0798dd641p+0, 0x1.43b223fb9e20bp+0, 0x1.36ff9a8806607p+0, 0x1.2950f50af7161p+0, 0x1.1adb9e31b9871p+0, 0x1.0bcfebce4c563p+0, 0x1.f8b285b606507p-1, 0x1.d93c9df518502p-1, 0x1.b9828f34f741bp-1, 0x1.99c0767f57541p-1, 0x1.7a2ac276587bp-1, 0x1.5aeed505796c9p-1, 0x1.3c33a1ceca30cp-1, 0x1.1e1a47f9c84b1p-1, 0x1.00be9fc7daebdp-1, 0x1.c86f80943ce89p-2, 0x1.9130f2ce54479p-2, 0x1.5bdf88ee82452p-2, 0x1.289256b1a40c3p-2, 0x1.eeb49ec628789p-3, 0x1.9085ed368f9e9p-3, 0x1.36a6077f0e187p-3, 0x1.c233e3218157fp-4, 0x1.1fbeb5c008a39p-4, 0x1.0bb679798f4f4p-5, -0x1.725550d40c068p-9, -0x1.2960b74fe77f4p-5, -0x1.15aaf9551dcc5p-4, -0x1.8eb6225f24cd6p-4, -0x1.0005640c10faap-3, -0x1.34f311656e901p-3, -0x1.6644614883b8dp-3, -0x1.941add5e7bcddp-3, -0x1.be98f2caa92fcp-3, -0x1.e5e19ec42539ep-3, -0x1.050c1268b5432p-2, -0x1.15afe72d0dc9dp-2, -0x1.24edd8f6bff34p-2, -0x1.32d74167a4271p-2, -0x1.3f7d34481e9fep-2, -0x1.4af06d69d05c1p-2, -0x1.554143b241d79p-2, -0x1.5e7f9c2f2929bp-2, -0x1.66bae1bed75edp-2, -0x1.6e01fdccc56d1p-2, -0x1.746351c1b0a9p-2, -0x1.79ecb5b2e96aap-2, -0x1.7eab721d9b299p-2, -0x1.82ac43cbde5a8p-2, -0x1.85fb559bae55cp-2, -0x1.88a44842f829fp-2, -0x1.8ab22c6c232dep-2, -0x1.8c2f8cd70ef5ap-2, -0x1.8d26695ceeb57p-2, -0x1.8da041d130084p-2, -0x1.8da612ceb1cc5p-2, -0x1.8d405f941557cp-2, -0x1.8c7731bf29076p-2, -0x1.8b522089e8b48p-2, -0x1.89d8542630ca5p-2, -0x1.881089d64d864p-2, -0x1.86011a3f06dd3p-2, -0x1.83affb735a7d6p-2, -0x1.8122c8404b619p-2, -0x1.7e5ec2215a30ap-2, -0x1.7b68d7880a031p-2, -0x1.7845a6f6b4e34p-2, -0x1.74f9839bda633p-2, -0x1.7188796424f69p-2, -0x1.6df6507981738p-2, -0x1.6a46917683a14p-2, -0x1.667c887c14a0bp-2, -0x1.629b4901a1a49p-2, -0x1.5ea5b0c035cacp-2, -0x1.5a9e6b0d0d903p-2, -0x1.5687f398db7d4p-2, -0x1.5264995a7b14bp-2, -0x1.4e36812f2cdeap-2, -0x1.49ffa8480a434p-2, -0x1.45c1e6c23d044p-2, -0x1.417ef19d7bf0cp-2, -0x1.3d385d31fe77p-2, -0x1.38ef9efb25edep-2, -0x1.34a60f940898ap-2, -0x1.305cecb12bd35p-2, -0x1.2c155a854c81ap-2, -0x1.27d065bf6d195p-2, -0x1.238f04de2c49fp-2, -0x1.1f521993d280bp-2, -0x1.1b1a7277c34cbp-2, -0x1.16e8cbed77ca2p-2, -0x1.12bdd18fbd9bap-2, -0x1.0e9a1f78fcc9dp-2, -0x1.0a7e42f4564dcp-2, -0x1.066abbd5187ddp-2, -0x1.025ffd67569e1p-2, -0x1.fcbcddfe46c6ep-3, -0x1.f4ccda53ecc66p-3, -0x1.ecf094cca49fp-3, -0x1.e5289f21f6b26p-3, -0x1.dd7579d4b52b9p-3, -0x1.d5d79563bafaep-3, -0x1.ce4f52dcd55cp-3, -0x1.c6dd0586cefdcp-3, -0x1.bf80f40dc86a4p-3, -0x1.b83b58d67571ap-3, -0x1.b10c63346566bp-3, -0x1.a9f438a339aabp-3, -0x1.a2f2f506b6df4p-3, -0x1.9c08ab59f4a8cp-3, -0x1.953566e1d127cp-3, -0x1.8e792b97d9231p-3, -0x1.87d3f6641856p-3, -0x1.8145be0701b8bp-3, -0x1.7ace73cf07bb8p-3, -0x1.746e03af91d38p-3, -0x1.6e2454a843c65p-3, -0x1.67f1498f90ca9p-3, -0x1.61d4c1692cbd7p-3, -0x1.5bce9770dc446p-3, -0x1.55dea38e44e98p-3, -0x1.5004baec2adebp-3, -0x1.4a40b02085a23p-3, -0x1.4492533689555p-3, -0x1.3ef9721574a59p-3, -0x1.3975d8f17fcc1p-3, -0x1.34075260e748p-3, -0x1.2eada7603ae62p-3, -0x1.29689fa29ec9ap-3, -0x1.243801eaf70b2p-3, -0x1.1f1b941bd7594p-3, -0x1.1a131b32ebd05p-3, -0x1.151e5b7f6faa4p-3, -0x1.103d18eba7b03p-3, -0x1.0b6f17100aee8p-3, -0x1.06b419286804ep-3, -0x1.020be22fbadd8p-3, -0x1.faec6a353f6b6p-4, -0x1.f1e5a9e3a00ccp-4, -0x1.e903099172883p-4, -0x1.e0440f8463df5p-4, -0x1.d7a8426e83792p-4, -0x1.cf2f29ae06ebdp-4, -0x1.c6d84d4d001a2p-4, -0x1.bea335f237e19p-4, -0x1.b68f6d002fb2fp-4, -0x1.ae9c7ccdfd585p-4, -0x1.a6c9f0bd76328p-4, -0x1.9f17552ed425cp-4, -0x1.9784377d4e158p-4, -0x1.9010261bf2acbp-4, -0x1.88bab0b531c5dp-4, -0x1.8183682edb3a4p-4, -0x1.7a69de9fd447p-4, -0x1.736da7508e4c1p-4, -0x1.6c8e56cd19b86p-4, -0x1.65cb82f40f037p-4, -0x1.5f24c2f4d1118p-4, -0x1.5899af4897a3cp-4, -0x1.5229e1b20ae5p-4, -0x1.4bd4f5453598bp-4, -0x1.459a866d3373ap-4, -0x1.3f7a32e8a33dbp-4, -0x1.397399c49aacbp-4, -0x1.33865b5b1b452p-4, -0x1.2db2195431fc5p-4, -0x1.27f676a63cb59p-4, -0x1.22531791723d1p-4, -0x1.1cc7a19b01696p-4, -0x1.1753bb8b380dap-4, -0x1.11f70d6bcd47dp-4, -0x1.0cb14084ca624p-4, -0x1.0781ff5748abcp-4, -0x1.0268f597a04a4p-4, -0x1.facba05548fd6p-5, -0x1.f0f07a4859292p-5, -0x1.e73fd7865bc0fp-5, -0x1.ddb918d7a8d02p-5, -0x1.d45ba141ec579p-5, -0x1.cb26d5fe44e67p-5, -0x1.c21a1e754ac62p-5, -0x1.b934e43afaa62p-5, -0x1.b0769304c8987p-5, -0x1.a7de989c6917p-5, -0x1.9f6c64d329f15p-5, -0x1.971f697904045p-5, -0x1.8ef71a588fc08p-5, -0x1.86f2ed32bab59p-5, -0x1.7f1259b5772p-5, -0x1.7754d96f38b9fp-5, -0x1.6fb9e7c32f309p-5, -0x1.684101e088c44p-5, -0x1.60e9a6bd8a8d9p-5, -0x1.59b35713c99f7p-5, -0x1.529d95591c4fap-5, -0x1.4ba7e5b521841p-5, -0x1.44d1cdf675ab8p-5, -0x1.3e1ad589f77a5p-5, -0x1.37828574ea98fp-5, -0x1.31086851198ddp-5, -0x1.2aac0a482f194p-5, -0x1.246cf90c5aca5p-5, -0x1.1e4ac3cf2d3c1p-5, -0x1.1844fb392eccep-5, -0x1.125b3163439a7p-5, -0x1.0c8cf9d21e8dp-5, -0x1.06d9e97291589p-5, -0x1.01419695133c8p-5, -0x1.f78731cef881dp-6, -0x1.ecbf12db8c96fp-6, -0x1.e22a04f6bacdfp-6, -0x1.d7c73f5bad24cp-6, -0x1.cd95fbd1f9d05p-6, -0x1.c39576a6dbf17p-6, -0x1.b9c4eea5b49ffp-6, -0x1.b023a50e73c07p-6, -0x1.a6b0dd8a76c96p-6, -0x1.9d6bde21c6877p-6, -0x1.9453ef321d936p-6, -0x1.8b685b67d01a8p-6, -0x1.82a86fb7c2927p-6, -0x1.7a137b5953c22p-6, -0x1.71a8cfbf51e98p-6, -0x1.6967c08fd5ba2p-6, -0x1.614fa39bbb812p-6, -0x1.595fd0d6cda4bp-6, -0x1.5197a2515602ep-6, -0x1.49f674328dae9p-6, -0x1.427ba4b388851p-6, -0x1.3b269419e878ep-6, -0x1.33f6a4b1f557cp-6, -0x1.2ceb3ac84bb84p-6, -0x1.2603bca33afa4p-6, -0x1.1f3f927cdfddep-6, -0x1.189e267dd9364p-6, -0x1.121ee4b8ca168p-6, -0x1.0bc13b25e46fdp-6, -0x1.0584999e6ca6bp-6, -0x1.fed0e3afe0e8ap-7, -0x1.f2d86ebe78ac9p-7, -0x1.e71ebf266410ap-7, -0x1.dba2c33fc246cp-7, -0x1.d0636cf43022ep-7, -0x1.c55fb1b69cbf2p-7, -0x1.ba968a7b9cc97p-7, -0x1.b006f3b17bac8p-7, -0x1.a5afed382116ep-7, -0x1.9b907a58da5d2p-7, -0x1.91a7a1bdd50b3p-7, -0x1.87f46d69d329dp-7, -0x1.7e75eab036c63p-7, -0x1.752b2a2d7ca7ap-7, -0x1.6c133fc00a0efp-7, -0x1.632d4280e991bp-7, -0x1.5a784cbc5c553p-7, -0x1.51f37beaaa9dcp-7, -0x1.499df0a8d4002p-7, -0x1.4176ceb14dc91p-7, -0x1.397d3cd5156a9p-7, -0x1.31b064f474ccfp-7, -0x1.2a0f73f8063dp-7, -0x1.229999c974cc6p-7, -0x1.1b4e094c3e3e1p-7, -0x1.142bf856a2f87p-7, -0x1.0d329faaf1725p-7, -0x1.06613af14d789p-7, -0x1.ff6e11633bc11p-8, -0x1.f266949a6a875p-8, -0x1.e5aa87f017614p-8, -0x1.d938796252f48p-8, -0x1.cd0efc759d80dp-8, -0x1.c12caa25602bp-8, -0x1.b59020d5b6a46p-8, -0x1.aa380447e67e8p-8, -0x1.9f22fd909141bp-8, -0x1.944fbb0ec408ep-8, -0x1.89bcf0615f367p-8, -0x1.7f6956591a5fep-8, -0x1.7553aae770ff3p-8, -0x1.6b7ab10aaa04ep-8, -0x1.61dd30ba953fp-8, -0x1.5879f6d95a7dbp-8, -0x1.4f4fd5287c834p-8, -0x1.465da2448a7abp-8, -0x1.3da239a25b7edp-8, -0x1.351c7b8aa98bfp-8, -0x1.2ccb4d0f16f8ep-8, -0x1.24ad97f6a9286p-8, -0x1.1cc24aa2fc256p-8, -0x1.150857f327264p-8, -0x1.0d7eb72a9a087p-8, -0x1.062463e283535p-8, -0x1.fdf0bc0fdb8b6p-9, -0x1.eff353c793d57p-9, -0x1.e24ea04d5eb34p-9, -0x1.d500bbdb4b60dp-9, -0x1.c807c97075991p-9, -0x1.bb61f49889a72p-9, -0x1.af0d71156e6c1p-9, -0x1.a3087a7deb035p-9, -0x1.975153edf7b49p-9, -0x1.8be647dd7b52bp-9, -0x1.80c5a82bdce9dp-9, -0x1.75edce57baa57p-9, -0x1.6b5d1bcbb7f7dp-9, -0x1.6111fa1c62f41p-9, -0x1.570adb16920eep-9, -0x1.4d4638881f7f2p-9, -0x1.43c293c71a764p-9, -0x1.3a7e7510156ap-9, -0x1.31786ae829814p-9, -0x1.28af09b12494p-9, -0x1.2020eb93481dbp-9, -0x1.17ccb0c408773p-9, -0x1.0fb100159885ap-9, -0x1.07cc879d86c23p-9, -0x1.001dfd36a21dfp-9, -0x1.f1483d4de4edbp-10, -0x1.e2bb629ec14e6p-10, -0x1.d49302c8c2b8bp-10, -0x1.c6ccc1d5a501ep-10, -0x1.b9664d564af54p-10, -0x1.ac5d5af05eec1p-10, -0x1.9fafa7f071518p-10, -0x1.935afa1501ce1p-10, -0x1.875d215b5e54bp-10, -0x1.7bb3fa4df4cc7p-10, -0x1.705d7021b1767p-10, -0x1.65577df0e0dbap-10, -0x1.5aa02e9b602a8p-10, -0x1.50359b2ea11c7p-10, -0x1.4615e824f2836p-10, -0x1.3c3f422222dc5p-10, -0x1.32afdb07d4331p-10, -0x1.2965e828d560bp-10, -0x1.205fa2213ac16p-10, -0x1.179b466935018p-10, -0x1.0f171a463b79ep-10, -0x1.06d16e561d28fp-10, -0x1.fd91438784adp-11, -0x1.edf6487f76d59p-11, -0x1.deceec39c95bdp-11, -0x1.d0184cd48123cp-11, -0x1.c1cf9ec657a2dp-11, -0x1.b3f2241035a3fp-11, -0x1.a67d23c386e7ep-11, -0x1.996de3f9c947dp-11, -0x1.8cc1a7b549b93p-11, -0x1.8075b13c9cdb9p-11, -0x1.74874875a5fc5p-11, -0x1.68f3c3d36b60fp-11, -0x1.5db89195c5244p-11, -0x1.52d33f4b575a5p-11, -0x1.48417dbe79954p-11, -0x1.3e01200b04b99p-11, -0x1.34101605402a4p-11, -0x1.2a6c631317bd2p-11, -0x1.211413601f606p-11, -0x1.180531cd43d3cp-11, -0x1.0f3dc0c1dadbdp-11, -0x1.06bbb776f2b2dp-11, -0x1.fcfa08a789133p-12, -0x1.ecff27ae8683fp-12, -0x1.dd82b51dd1e1ep-12, -0x1.ce80bfe00dd92p-12, -0x1.bff58f7add9d5p-12, -0x1.b1ddafec9b79p-12, -0x1.a435f413a8f4dp-12, -0x1.96fb6e11e8fecp-12, -0x1.8a2b5f12dd776p-12, -0x1.7dc32190e512p-12, -0x1.71c0125f1f7b2p-12, -0x1.661f7d060cd16p-12, -0x1.5ade8f8a66464p-12, -0x1.4ffa58165519p-12, -0x1.456fccde2b35p-12, -0x1.3b3bdc3b3cd8p-12, -0x1.315b81331c9ebp-12, -0x1.27cbd81294286p-12, -0x1.1e8a2f5111874p-12, -0x1.15941213d983p-12, -0x1.0ce74aed8d3f4p-12, -0x1.0481de5e0f5dp-12, -0x1.f8c3fb49bddcep-13, -0x1.e90be7762adf4p-13, -0x1.d9d81f8776a2bp-13, -0x1.cb2522ef4e552p-13, -0x1.bcef38517ea78p-13, -0x1.af3266c3100c1p-13, -0x1.a1ea82b672b6fp-13, -0x1.951348c5d36f6p-13, -0x1.88a87d3cbfda2p-13, -0x1.7ca6083c4a8ccp-13, -0x1.71080ab35f64fp-13, -0x1.65caecf67d387p-13, -0x1.5aeb69128c986p-13, -0x1.50669066a249ep-13, -0x1.4639c9013799dp-13, -0x1.3c62bd4d780a5p-13, -0x1.32df3f9982bbp-13, -0x1.29ad275e7dce6p-13, -0x1.20ca30a7a9ea5p-13, -0x1.1833ed8bd071fp-13, -0x1.0fe7ca69ced59p-13, -0x1.07e321b13f94ap-13, -0x1.002353d813dep-13, -0x1.f14baf0b2f231p-14, -0x1.e2d077ff9e2e9p-14, -0x1.d4d041f9b65e2p-14, -0x1.c7465c002282cp-14, -0x1.ba2e279134c6ap-14, -0x1.ad83368d18a94p-14, -0x1.a141772726515p-14, -0x1.9565531aa91dap-14, -0x1.89ebaba394b9fp-14, -0x1.7ed1af481a394p-14, -0x1.74149eb296d4ap-14, -0x1.69b1a0bb3eb0dp-14, -0x1.5fa5bb68eafbbp-14, -0x1.55edeff269c5ep-14, -0x1.4c87643b5d9f1p-14, -0x1.436f7fb013e3ap-14, -0x1.3aa3e93371e06p-14, -0x1.322261b446bd4p-14, -0x1.29e886e97d201p-14, -0x1.21f398fe21e31p-14, -0x1.1a4064498a019p-14, -0x1.12cb6525fb306p-14, -0x1.0b912078ad1a8p-14, -0x1.048e8a6197aebp-14, -0x1.fb828affb495bp-15, -0x1.ee4f3666cf5bfp-15, -0x1.e1806b9e78e19p-15, -0x1.d5139b9ab8e0bp-15, -0x1.c905f087a880bp-15, -0x1.bd54534264df9p-15, -0x1.b1fbbe17dbfdbp-15, -0x1.a6f99fefc27f5p-15, -0x1.9c4c0def73c5fp-15, -0x1.91f1950e07265p-15, -0x1.87e8ae7676fc2p-15, -0x1.7e2f12c86ebacp-15, -0x1.74c1402701a39p-15, -0x1.6b9a71c0e89d7p-15, -0x1.62b51b35c9bb7p-15, -0x1.5a0bc764dae26p-15, -0x1.519a0a212d54cp-15, -0x1.495d1a5e29068p-15, -0x1.4153c23f5b068p-15, -0x1.397da75cac4cep-15, -0x1.31da57952dd2bp-15, -0x1.2a68af353a25bp-15, -0x1.2326e7110cfcdp-15, -0x1.1c1323966d066p-15, -0x1.152c14630b0c9p-15, -0x1.0e7130cc4276bp-15, -0x1.07e25bc85e75cp-15, -0x1.017f2b44be266p-15, -0x1.f68cb8659563p-16, -0x1.ea6b8e9ef2338p-16, -0x1.de9560ebe8024p-16, -0x1.d3043d353b9d9p-16, -0x1.c7b249450b452p-16, -0x1.bc9a6dc387a09p-16, -0x1.b1b910fd25555p-16, -0x1.a70c6bddcf077p-16, -0x1.9c9417512bfadp-16, -0x1.92500b84d1bd9p-16, -0x1.883fbf0e8f71p-16, -0x1.7e61ec1d352e7p-16, -0x1.74b4ee31b3102p-16, -0x1.6b375664ec192p-16, -0x1.61e861de7866cp-16, -0x1.58c7f12b0c27cp-16, -0x1.4fd5cd1c1bd0dp-16, -0x1.4710d1cfa6c53p-16, -0x1.3e76d61d14287p-16, -0x1.36053e7902f02p-16, -0x1.2db9857da4119p-16, -0x1.259168dad8e7dp-16, -0x1.1d8af98eb744ap-16, -0x1.15a4cc49bcd01p-16, -0x1.0dde228ac4509p-16, -0x1.0636adaa25277p-16, -0x1.fd5bcb284ddebp-17, -0x1.ee852f7cb748ep-17, -0x1.dfe6a57189463p-17, -0x1.d17e9d26b21a5p-17, -0x1.c34d8d7079199p-17, -0x1.b5549fed47d0fp-17, -0x1.a7939eeb3cad2p-17, -0x1.9a089b4e952bfp-17, -0x1.8cb19b67f5bcdp-17, -0x1.7f8d96a86b4bcp-17, -0x1.729bae6895caep-17, -0x1.65da91b42a6d2p-17, -0x1.5948bb939234bp-17, -0x1.4ce4a7af0340bp-17, -0x1.40acac915736fp-17, -0x1.349f08c2947c6p-17, -0x1.28ba72f21e1f8p-17, -0x1.1cfec41110aacp-17, -0x1.116cdd33e6e4p-17, -0x1.060593e1aeee3p-17, -0x1.f59110b9a24a4p-18, -0x1.df67d767de98dp-18, -0x1.c98b49484dad4p-18, -0x1.b3f9df5ad14b4p-18, -0x1.9eb53692e1bebp-18, -0x1.89bed786b4327p-18, -0x1.75151f9776aeap-18, -0x1.60b48442fa8c9p-18, -0x1.4c9b9e4cf2e51p-18, -0x1.38cbb8e72f27ap-18, -0x1.2545b9dbdaa51p-18, -0x1.120905dca928fp-18, -0x1.fe29512dc4b7ep-19, -0x1.d8cf6ca2cfcdfp-19, -0x1.b4013b0e48ae1p-19, -0x1.8fb9f853434b7p-19, -0x1.6bf670682da69p-19, -0x1.48b841d0dc2c1p-19, -0x1.2603020140b6ap-19, -0x1.03d6dfedf2b58p-19, -0x1.c463bc340b001p-20, -0x1.8229a4891b221p-20, -0x1.410352581919p-20, -0x1.00ed2e933ffd7p-20, -0x1.83b9136893cc4p-21, -0x1.0791bd679d144p-21, -0x1.1ad121e48f721p-22, -0x1.5480537cfdc29p-25, 0x1.83567a00ff23ep-23, 0x1.a9f0480968979p-22, 0x1.4718bc8aa54bfp-21, 0x1.b730bc3699754p-21, 0x1.12a154999a196p-20, 0x1.48a9bd41303b4p-20, 0x1.7db4f21f5c6a6p-20, 0x1.b1c8e6bcc94b1p-20, 0x1.e4e96504bdeeep-20, 0x1.0b896654a7128p-19, 0x1.2421400f2d16ep-19, 0x1.3c3e52a0ee881p-19, 0x1.53e14fb747ccap-19, 0x1.6b08e70da50ddp-19, 0x1.81b5a84d63c1dp-19, 0x1.97e941fa091fep-19, 0x1.ada4baf8007afp-19, 0x1.c2e874b886282p-19, 0x1.d7b4736283c52p-19, 0x1.ec092ad8f8677p-19, 0x1.ffe84a8cf5d97p-19, 0x1.09a95a6976993p-18, 0x1.13242339e207bp-18, 0x1.1c651e1fc8ab5p-18, 0x1.256c6c8d236acp-18, 0x1.2e399d46c218ap-18, 0x1.36cd039ed410bp-18, 0x1.3f2760b080c2bp-18, 0x1.4749b2df8173p-18, 0x1.4f34839cf47b7p-18, 0x1.56e79609107a4p-18, 0x1.5e637b5120189p-18, 0x1.65a8b0989b55cp-18, 0x1.6cb6ffdf0f09fp-18, 0x1.738ee43f4fb6fp-18, 0x1.7a311dc363db4p-18, 0x1.809e2833004dep-18, 0x1.86d66088cb26ep-18, 0x1.8cda26fb6e516p-18, 0x1.92a9e2e693a03p-18, 0x1.984600b567bd6p-18, 0x1.9daef3ca78b61p-18, 0x1.a2e52b00fb779p-18, 0x1.a7e8f0c3504e7p-18, 0x1.acbaa34fd3977p-18, 0x1.b15b0ce1df42ap-18, 0x1.b5cabc40b1731p-18, 0x1.ba0a248048efap-18, 0x1.be19999bc655ap-18, 0x1.c1f92f149f494p-18, 0x1.c5a9ba9cd6344p-18, 0x1.c92c080b7acdep-18, 0x1.cc80935a6dc29p-18, 0x1.cfa7d9673fb5bp-18, 0x1.d2a1f54bb34bdp-18, 0x1.d56f8c3a6817cp-18, 0x1.d8115366081aap-18, 0x1.da87cf4f73dcfp-18, 0x1.dcd37c1f4147ep-18, 0x1.def4dba39f5fp-18, 0x1.e0ec7447a427bp-18, 0x1.e2bacf3e20c19p-18, 0x1.e4607788f1135p-18, 0x1.e5ddf9a7c9c5p-18, 0x1.e733e31372afp-18, 0x1.e862c17580b86p-18, 0x1.e96b22c7d3ee7p-18, 0x1.ea4d9850d15cbp-18, 0x1.eb0ab527a9089p-18, 0x1.eba2f5305d9bep-18, 0x1.ec16bc7ee94aap-18, 0x1.ec66af070343ep-18, 0x1.ec936a3d77184p-18, 0x1.ec9db47fe5ce5p-18, 0x1.ec85fd1068424p-18, 0x1.ec4cd5fdcb106p-18, 0x1.ebf2936ad89ddp-18, 0x1.eb77f2f7022ebp-18, 0x1.eadd9ccfbb7c4p-18, 0x1.ea241d02e483bp-18, 0x1.e94bd9e2722a7p-18, 0x1.e8557e3456459p-18, 0x1.e7418d924d65fp-18, 0x1.e61097fa0898dp-18, 0x1.e4c32d6697097p-18, 0x1.e359dd4532ee2p-18, 0x1.e1d5358079f14p-18, 0x1.e035c78732805p-18, 0x1.de7c0cf8e173fp-18, 0x1.dca8a12ada6ccp-18, 0x1.dabc0cdd0fd61p-18, 0x1.d8b6e19e77c1cp-18, 0x1.d699af654cd8fp-18, 0x1.d46502b43d44fp-18, 0x1.d219684ff3ca1p-18, 0x1.cfb740e5a17dbp-18, 0x1.cd3ed956b1753p-18, 0x1.cab13eed9873ep-18, 0x1.c80ed25fc48a6p-18, 0x1.c557e86c422b2p-18, 0x1.c28d5116c0dc5p-18, 0x1.bfaf410163c6p-18, 0x1.bcbe698177f2p-18, 0x1.b9bb5a0ecaefcp-18, 0x1.b6a683a9af601p-18, 0x1.b3805ed334849p-18, 0x1.b04968dccfb53p-18, 0x1.ad02200426ae4p-18, 0x1.a9ab020ae1838p-18, 0x1.a6448bbfcaafap-18, 0x1.a2cf38c43fa3fp-18, 0x1.9f4b82c19493p-18, 0x1.9bb9dfc57be54p-18, 0x1.981ac702c39a8p-18, 0x1.946eaef160b67p-18, 0x1.90b60fc45f92ap-18, 0x1.8cf160ca59701p-18, 0x1.892113649f68p-18, 0x1.854594fde937p-18, 0x1.815f619f34743p-18, 0x1.7d6ecc82f7c19p-18, 0x1.797406be1812ap-18, 0x1.75703b9b3ffd7p-18, 0x1.716325a1f4702p-18, 0x1.6d4d594e707a7p-18, 0x1.692f73ad6148ap-18, 0x1.6509d2fcf3f26p-18, 0x1.60dca2610b829p-18, 0x1.5ca86dc1e874dp-18, 0x1.586d9348ca407p-18, 0x1.542c5077c2f0ep-18, 0x1.4fe542bf7cdc1p-18, 0x1.4b98ba6704c69p-18, 0x1.47470a542ab8ap-18, 0x1.42f08d7a09bf5p-18, 0x1.3e959f84c2179p-18, 0x1.3a369a5bda8d5p-18, 0x1.35d3d644bbd3bp-18, 0x1.316da975fcbdcp-18, 0x1.2d0468d37c51p-18, 0x1.289869ade94f8p-18, 0x1.242a028207153p-18, 0x1.1fb9876cb3ef8p-18, 0x1.1b47452dfdd28p-18, 0x1.16d3838e85adcp-18, 0x1.125ea13c74db1p-18, 0x1.0de8ee4c4f7a1p-18, 0x1.09727c760bf0dp-18, 0x1.04fbcb4a1db0ep-18, 0x1.0084f51ed249fp-18, 0x1.f81d0d16cccfep-19, 0x1.ef31537a7d0a6p-19, 0x1.e64734fe973f1p-19, 0x1.dd5f378de6c08p-19, 0x1.d479da0ad2551p-19, 0x1.cb97950d7c865p-19, 0x1.c2b8ef2064fa4p-19, 0x1.b9de8e973aaa9p-19, 0x1.b108d87a8f3fbp-19, 0x1.a837f88da7154p-19, 0x1.9f6c61b53aba9p-19, 0x1.96a6e64225c8ap-19, 0x1.8de7edc07edc1p-19, 0x1.852fc5c63ccc9p-19, 0x1.7c7ed2a8277b1p-19, 0x1.73d57ba686637p-19, 0x1.6b3426cd36a2ep-19, 0x1.629b3939929d6p-19, 0x1.5a0b16b1cf038p-19, 0x1.51841f1baa0ecp-19, 0x1.4906a78d2561p-19, 0x1.4092fd0aaa8cbp-19, 0x1.38298c32f2dcap-19, 0x1.2fcae24ed9a29p-19, 0x1.2776df757535bp-19, 0x1.1f2db44d715c5p-19, 0x1.16f032763d308p-19, 0x1.0ebe92dfd6c7fp-19, 0x1.0698fe3f707c6p-19, 0x1.fcff752ccd631p-20, 0x1.ece61f0736177p-20, 0x1.dce67e4993149p-20, 0x1.cd011a7b594bfp-20, 0x1.bd3671a5faacap-20, 0x1.ad86ff87c59e4p-20, 0x1.9df33bff04351p-20, 0x1.8e7b996872895p-20, 0x1.7f20824d4ad0fp-20, 0x1.6fe25be62d87cp-20, 0x1.60c184189cc3ap-20, 0x1.51be87b5e2591p-20, 0x1.42da028be1544p-20, 0x1.34138dd82dc4ap-20, 0x1.256bac65d04dcp-20, 0x1.16e339637be3ep-20, 0x1.087a51a32cd7fp-20, 0x1.f46260dbd5282p-21, 0x1.d81042b13a166p-21, 0x1.bbfecf2194f26p-21, 0x1.a02e778b19031p-21, }}, 
      {{0x1.46255ee6e3315p-3, 0x1.442ea2ff35478p-2, 0x1.e183698a1aeb2p-2, 0x1.3cbe7a1c76f8dp-1, 0x1.856632f6b88dp-1, 0x1.ca346ebd8cfe6p-1, 0x1.0562ed8392824p+0, 0x1.236a9790b28fep+0, 0x1.3f1bc6d2e607ep+0, 0x1.586c660790c56p+0, 0x1.6f5bef502cd0dp+0, 0x1.83f1c3f8dc213p+0, 0x1.963bad1d10236p+0, 0x1.a64c8718d24dbp+0, 0x1.b43b16cd40b39p+0, 0x1.c0210662b2da5p+0, 0x1.ca1a06bd46ef4p+0, 0x1.d24312b44a6d4p+0, 0x1.d8b9d106cc2cbp+0, 0x1.dd9c11f8928d9p+0, 0x1.e1076583e33p+0, 0x1.e318c72334e7cp+0, 0x1.e3ec5c5c5885fp+0, 0x1.e39d436672a32p+0, 0x1.e2456f7c0d52dp+0, 0x1.dffd90a242d2dp+0, 0x1.dcdd04dccd765p+0, 0x1.d8f9d112087f3p+0, 0x1.d4689ffecfcep+0, 0x1.cf3cc5e8d0612p+0, 0x1.c98847e73380fp+0, 0x1.c35be5c561e18p+0, 0x1.bcc725f5a40b9p+0, 0x1.b5d8629a86929p+0, 0x1.ae9cd78d7de5ap+0, 0x1.a720b115bfcap+0, 0x1.9f6f1a84c0089p+0, 0x1.97924cd2ff913p+0, 0x1.8f939d5d7c9c6p+0, 0x1.877b8c35fe025p+0, 0x1.7f51d1c3a526ap+0, 0x1.771d6bf796a9dp+0, 0x1.6ee4ab30470dap+0, 0x1.66ad3e8ffa0fbp+0, 0x1.5e7c3f98cf1ddp+0, 0x1.56563d1e05e8cp+0, 0x1.4e3f45adad94fp+0, 0x1.463af17d7e9cep+0, 0x1.3e4c6bcdfcdcdp+0, 0x1.36767bb704bd2p+0, 0x1.2ebb8c5e220b7p+0, 0x1.271db4a285a92p+0, 0x1.1f9ebe4bbb44ap+0, 0x1.18402cc3b0a43p+0, 0x1.1103436019259p+0, 0x1.09e90b3ce9a74p+0, 0x1.02f258aafcce4p+0, 0x1.f83fa06ec8081p-1, 0x1.eae3d6a101a56p-1, 0x1.ddd1f9235fc8fp-1, 0x1.d10a67711ab7fp-1, 0x1.c48d429a03a49p-1, 0x1.b85a73fd6c0d6p-1, 0x1.ac71b377fb6eap-1, 0x1.a0d28d15d731cp-1, 0x1.957c663e82622p-1, 0x1.8a6e827fa7945p-1, 0x1.7fa807d6f76cp-1, 0x1.752802b399d97p-1, 0x1.6aed697dafc36p-1, 0x1.60f71fea1636ep-1, 0x1.5743f9dcd6fa8p-1, 0x1.4dd2be27a9132p-1, 0x1.44a228e1a7fe5p-1, 0x1.3bb0eda539199p-1, 0x1.32fdb9748b951p-1, 0x1.2a873487cb13bp-1, 0x1.224c03d36178bp-1, 0x1.1a4aca74ec26p-1, 0x1.12822aecb793cp-1, 0x1.0af0c837e518p-1, 0x1.039546c9e0837p-1, 0x1.f8dc9ac61b5d2p-2, 0x1.eaf50ba602191p-2, 0x1.dd713b34e96dcp-2, 0x1.d04e8cfb0cb74p-2, 0x1.c38a6df96f1f1p-2, 0x1.b722557daa3f3p-2, 0x1.ab13c5d24f1ep-2, 0x1.9f5c4cd1ab218p-2, 0x1.93f9846009e12p-2, 0x1.88e912cb62bf8p-2, 0x1.7e28ab18c2129p-2, 0x1.73b60d3c3619cp-2, 0x1.698f06415f385p-2, 0x1.5fb17064a0d01p-2, 0x1.561b331deb3adp-2, 0x1.4cca43220e001p-2, 0x1.43bca2567876bp-2, 0x1.3af05fbf148dcp-2, 0x1.32639761d959bp-2, 0x1.2a147223ff46fp-2, 0x1.220125a2bc5d5p-2, 0x1.1a27f4039eb5ap-2, 0x1.12872bc435402p-2, 0x1.0b1d27837cef2p-2, 0x1.03e84dc834086p-2, 0x1.f9ce218e8c2efp-3, 0x1.ec2fdc48756f2p-3, 0x1.def2dd65d7285p-3, 0x1.d2144c70044ep-3, 0x1.c591664b46abp-3, 0x1.b9677cb6c002ep-3, 0x1.ad93f5c81d979p-3, 0x1.a2144b63ff42bp-3, 0x1.96e60abe1000ep-3, 0x1.8c06d3d4fd325p-3, 0x1.817458ed98fe7p-3, 0x1.772c5e1621639p-3, 0x1.6d2cb8a64aaf1p-3, 0x1.63734ebf6d253p-3, 0x1.59fe16d4afbffp-3, 0x1.50cb17321189bp-3, 0x1.47d86582bb216p-3, 0x1.3f24265f31307p-3, 0x1.36ac8cdcc004cp-3, 0x1.2e6fda1b4e259p-3, 0x1.266c5cd996809p-3, 0x1.1ea0710d64363p-3, 0x1.170a7f7a3c6b1p-3, 0x1.0fa8fd4ba3b03p-3, 0x1.087a6bb541cacp-3, 0x1.017d57934d9c9p-3, 0x1.f560b21784f57p-4, 0x1.e8242669a414cp-4, 0x1.db42677d256b6p-4, 0x1.ceb8e5395c3fbp-4, 0x1.c285236548603p-4, 0x1.b6a4b9090cf6dp-4, 0x1.ab154fd35e6e5p-4, 0x1.9fd4a38027b98p-4, 0x1.94e08144f25acp-4, 0x1.8a36c7448b0e6p-4, 0x1.7fd56405f746dp-4, 0x1.75ba55ed4f267p-4, 0x1.6be3aab9a2097p-4, 0x1.624f7f091137fp-4, 0x1.58fbfde03f76cp-4, 0x1.4fe76033b1929p-4, 0x1.470fec7531f37p-4, 0x1.3e73f626b3369p-4, 0x1.3611dd70c3a2ep-4, 0x1.2de80ebaca8b8p-4, 0x1.25f502464ab17p-4, 0x1.1e373bcecfaf5p-4, 0x1.16ad4a2daf1a5p-4, 0x1.0f55c6ffa9babp-4, 0x1.082f564ca7f6fp-4, 0x1.0138a6331fbcap-4, 0x1.f4e0dd2ea6705p-5, 0x1.e7aae1a99a1cp-5, 0x1.dacceee2f3496p-5, 0x1.ce44aba688f66p-5, 0x1.c20fcff238456p-5, 0x1.b62c246d4a09fp-5, 0x1.aa9781e304092p-5, 0x1.9f4fd0c0ac4cbp-5, 0x1.945308988135fp-5, 0x1.899f2faa1a6b7p-5, 0x1.7f325a6eb0a9dp-5, 0x1.750aab28340afp-5, 0x1.6b265173cb944p-5, 0x1.618389e08d47ep-5, 0x1.58209d8a6971ep-5, 0x1.4efbe1b83991fp-5, 0x1.4613b77c72753p-5, 0x1.3d668b58e5846p-5, 0x1.34f2d4e5e66b6p-5, 0x1.2cb7167cc21afp-5, 0x1.24b1dce4e9ddcp-5, 0x1.1ce1bf0384bf7p-5, 0x1.15455d8da152cp-5, 0x1.0ddb62bd24b1ap-5, 0x1.06a282084cd8p-5, 0x1.ff32efb736258p-6, 0x1.f17e12abb7223p-6, 0x1.e424080cdbf9p-6, 0x1.d7227b5b84236p-6, 0x1.ca7727ffd2897p-6, 0x1.be1fd8d24ff3bp-6, 0x1.b21a67a8d50edp-6, 0x1.a664bce730bedp-6, 0x1.9afccf138e46ap-6, 0x1.8fe0a26e591f2p-6, 0x1.850e488d473a1p-6, 0x1.7a83dff99a96ap-6, 0x1.703f93d197551p-6, 0x1.663f9b6d0ea04p-6, 0x1.5c823a04fe6cp-6, 0x1.5305be5dd9abbp-6, 0x1.49c882745b70cp-6, 0x1.40c8eb2cf8a77p-6, 0x1.38056805ed9fbp-6, 0x1.2f7c72cbe5469p-6, 0x1.272c8f5104945p-6, 0x1.1f144b262e8fcp-6, 0x1.17323d5643ac5p-6, 0x1.0f85062380687p-6, 0x1.080b4ec700171p-6, 0x1.00c3c932523e7p-6, 0x1.f35a5fa6207eep-7, 0x1.e58c8ab0829e9p-7, 0x1.d81ba8f2b704cp-7, 0x1.cb055f7de6fd3p-7, 0x1.be47629a3b4d7p-7, 0x1.b1df755f071dep-7, 0x1.a5cb694e36ddep-7, 0x1.9a091df2c0fd6p-7, 0x1.8e968081d4eeap-7, 0x1.83718b7eb78b6p-7, 0x1.789846612f50dp-7, 0x1.6e08c53ec2974p-7, 0x1.63c12876951bp-7, 0x1.59bf9c5fcce98p-7, 0x1.500258fa5041fp-7, 0x1.4687a1a1bf228p-7, 0x1.3d4dc4c26f5edp-7, 0x1.34531b9093381p-7, 0x1.2b9609c183493p-7, 0x1.2314fd471e1fep-7, 0x1.1ace6e0d2355ep-7, 0x1.12c0ddb876519p-7, 0x1.0aead7681700dp-7, 0x1.034aef77d068cp-7, 0x1.f7bf868914174p-8, 0x1.e94ff1e498a72p-8, 0x1.db447e67cdf5ep-8, 0x1.cd9a9a2863f96p-8, 0x1.c04fc38199cd6p-8, 0x1.b36188ac96366p-8, 0x1.a6cd875b77aa2p-8, 0x1.9a916c5700913p-8, 0x1.8eaaf31eee1cp-8, 0x1.8317e58cd3641p-8, 0x1.77d61b799937p-8, 0x1.6ce37a656d12p-8, 0x1.623df521f5a34p-8, 0x1.57e38b7ec2212p-8, 0x1.4dd249f7d9b7dp-8, 0x1.440849665cfc4p-8, 0x1.3a83aeb336da5p-8, 0x1.3142aa8bd1bcfp-8, 0x1.28437918d498bp-8, 0x1.1f8461b6b9f6ep-8, 0x1.1703b6b03c81ap-8, 0x1.0ebfd4fa81b2p-8, 0x1.06b723f2f7a87p-8, 0x1.fdd02a3da6129p-9, 0x1.eea247d8607fap-9, 0x1.dfe1aae98df64p-9, 0x1.d18b708438f38p-9, 0x1.c39cc826e8804p-9, 0x1.b612f349ac20dp-9, 0x1.a8eb44ef8633bp-9, 0x1.9c23213a54241p-9, 0x1.8fb7fd0155147p-9, 0x1.83a75d6a4b12ap-9, 0x1.77eed785186cep-9, 0x1.6c8c0fe9cd57dp-9, 0x1.617cba592943ep-9, 0x1.56be995f67ebbp-9, 0x1.4c4f7df943958p-9, 0x1.422d473b902d6p-9, 0x1.3855e1fbebe77p-9, 0x1.2ec7487cecb94p-9, 0x1.257f821b34123p-9, 0x1.1c7ca2fce8316p-9, 0x1.13bccbc2f969bp-9, 0x1.0b3e293c51ba3p-9, 0x1.02fef41ae2e85p-9, 0x1.f5fae1550230ap-10, 0x1.e66fdd12f8c3p-10, 0x1.d75990c5f61b6p-10, 0x1.c8b4c755c3b52p-10, 0x1.ba7e60b6a43bcp-10, 0x1.acb351671d063p-10, 0x1.9f50a1f0d2932p-10, 0x1.92536e6c73856p-10, 0x1.85b8e60893bap-10, 0x1.797e4a93b5657p-10, 0x1.6da0f0094129fp-10, 0x1.621e3c212e1a9p-10, 0x1.56f3a5e23b458p-10, 0x1.4c1eb53668931p-10, 0x1.419d02817e916p-10, 0x1.376c3639e8b96p-10, 0x1.2d8a0883ddac5p-10, 0x1.23f440cf9290fp-10, 0x1.1aa8b5780af0dp-10, 0x1.11a54b69c5b12p-10, 0x1.08e7f5c5336f5p-10, 0x1.006eb587dd21fp-10, 0x1.f06f326b456a9p-11, 0x1.e08179060f4a8p-11, 0x1.d1109002804d3p-11, 0x1.c218e19777c24p-11, 0x1.b396f06fd0afbp-11, 0x1.a587570edf59ap-11, 0x1.97e6c73ab0978p-11, 0x1.8ab2096b4d23bp-11, 0x1.7de5fc3df560dp-11, 0x1.717f93eb23571p-11, 0x1.657bd9bd68789p-11, 0x1.59d7eb89563b7p-11, 0x1.4e90fb2650aadp-11, 0x1.43a44de98b96p-11, 0x1.390f3c251359bp-11, 0x1.2ecf30ac7f987p-11, 0x1.24e1a85f7f2c2p-11, 0x1.1b4431ba66be7p-11, 0x1.11f46c6a4213ap-11, 0x1.08f008e299f44p-11, 0x1.0034c7f2c164fp-11, 0x1.ef80f4b2bab6dp-12, 0x1.df2200adb868cp-12, 0x1.cf4892815c4a6p-12, 0x1.bff0a62f30ab6p-12, 0x1.b1165447efe32p-12, 0x1.a2b5d1329feedp-12, 0x1.94cb6c8179558p-12, 0x1.87539050d8407p-12, 0x1.7a4ac0aa2ccb4p-12, 0x1.6dad9ae44923ap-12, 0x1.6178d4fc1cdc5p-12, 0x1.55a93ce5acdp-12, 0x1.4a3bb7d7144b8p-12, 0x1.3f2d419d9baf3p-12, 0x1.347aebdabffp-12, 0x1.2a21dd9318f37p-12, 0x1.201f5281159bap-12, 0x1.16709aaf45c44p-12, 0x1.0d131a0663f11p-12, 0x1.040447e0e09cfp-12, 0x1.f6835d2f78ba7p-13, 0x1.e591d605f5112p-13, 0x1.d52f57d8ed0f2p-13, 0x1.c55762f39809fp-13, 0x1.b605992ac314bp-13, 0x1.a735bcbea7a5dp-13, 0x1.98e3af5ec0175p-13, 0x1.8b0b7156f483fp-13, 0x1.7da920e476dbcp-13, 0x1.70b8f9a71d011p-13, 0x1.6437541d1dd1dp-13, 0x1.5820a514b6ed9p-13, 0x1.4c717d02fcb0ap-13, 0x1.412687391dd21p-13, 0x1.363c88fa3c7aap-13, 0x1.2bb0607ea357ap-13, 0x1.217f03f6cbd7fp-13, 0x1.17a580a4bbfb1p-13, 0x1.0e20fa19a43e1p-13, 0x1.04eea990344f6p-13, 0x1.f817bb0a12ee5p-14, 0x1.e6ebf2b64aec8p-14, 0x1.d654ea22787bp-14, 0x1.c64db9ea7af7p-14, 0x1.b6d1a26dff489p-14, 0x1.a7dc0af4172f6p-14, 0x1.9968803ed4389p-14, 0x1.8b72b3240bb2ep-14, 0x1.7df676f37832cp-14, 0x1.70efbfe88d143p-14, 0x1.645aa1c5743acp-14, 0x1.58334eac995bfp-14, 0x1.4c76163c20745p-14, 0x1.411f64ec358e4p-14, 0x1.362bc390468e9p-14, 0x1.2b97d6fce343fp-14, 0x1.21605fb62105cp-14, 0x1.178239994e34ap-14, 0x1.0dfa5b6a20dabp-14, 0x1.04c5d62d0ecbbp-14, 0x1.f7c3a880efdcdp-15, 0x1.e6973072b7451p-15, 0x1.d600f7413143ap-15, 0x1.c5fbdb690919dp-15, 0x1.b682e4a406423p-15, 0x1.a7914223b929dp-15, 0x1.9922492baa225p-15, 0x1.8b3173ef3e245p-15, 0x1.7dba60af10981p-15, 0x1.70b8d12dc3371p-15, 0x1.6428aa9460799p-15, 0x1.5805f5b247de9p-15, 0x1.4c4cdf4aceafp-15, 0x1.40f9b7fb210c3p-15, 0x1.3608f3576498bp-15, 0x1.2b772634289cdp-15, 0x1.21410465b2776p-15, 0x1.17635e7c8f742p-15, 0x1.0ddb1fd3c9803p-15, 0x1.04a54d23f992fp-15, 0x1.f77e069de9bedp-16, 0x1.e64aec691b098p-16, 0x1.d5abdf0b91755p-16, 0x1.c59b9bd2d411bp-16, 0x1.b61509aaea14ep-16, 0x1.a7133a88efd97p-16, 0x1.98916dd6be0fp-16, 0x1.8a8b127aebcf1p-16, 0x1.7cfbc72909307p-16, 0x1.6fdf588643b19p-16, 0x1.6331bdbb6e559p-16, 0x1.56ef14ae2bbbap-16, 0x1.4b139fa044c79p-16, 0x1.3f9bc1791917fp-16, 0x1.3483fd453c1dp-16, 0x1.29c8f65af4cdfp-16, 0x1.1f6769655b6ccp-16, 0x1.155c2c3148d5dp-16, 0x1.0ba42b5a8f09fp-16, 0x1.023c6a567a5ebp-16, 0x1.f2440a9903f2dp-17, 0x1.e0a466fb7aae8p-17, 0x1.cf949198e0096p-17, 0x1.bf0f6b218866ap-17, 0x1.af100a148ad8dp-17, 0x1.9f91b754527c2p-17, 0x1.908fec588e283p-17, 0x1.8206539035c67p-17, 0x1.73f0c8a949ccdp-17, 0x1.664b560fff29p-17, 0x1.59122ead38d54p-17, 0x1.4c41a5ccfd067p-17, 0x1.3fd628af39526p-17, 0x1.33cc3c5bc1042p-17, 0x1.28207f4c35543p-17, 0x1.1ccfac416fce5p-17, 0x1.11d69bbf2a08dp-17, 0x1.0732435f3d729p-17, 0x1.f9bf67876c07ap-18, 0x1.e5b82aa2c2b5cp-18, 0x1.d2494f3ce254cp-18, 0x1.bf6d862dbd5d7p-18, 0x1.ad1fbd3018287p-18, 0x1.9b5b2c3e07fc6p-18, 0x1.8a1b5bb805c89p-18, 0x1.795c1a16edc37p-18, 0x1.69196ad3a521cp-18, 0x1.594f6d1d30984p-18, 0x1.49fa51d4bb69ap-18, 0x1.3b165e21067d2p-18, 0x1.2c9ff57f4d567p-18, 0x1.1e93a033e372dp-18, 0x1.10ee09a7253a2p-18, 0x1.03abf8b06b9bdp-18, 0x1.ed948f0fb32d8p-19, 0x1.d48bbef17d60bp-19, 0x1.bc3772e0f115ep-19, 0x1.a491c5cca6e7fp-19, 0x1.8d950c04a147ep-19, 0x1.773be7e7edc9bp-19, 0x1.61815dae020a5p-19, 0x1.4c60dc19758c5p-19, 0x1.37d63010d451p-19, 0x1.23dd63d38a9f2p-19, 0x1.10729961cdb24p-19, 0x1.fb23e8b73b59cp-20, 0x1.d66f3a3066beap-20, 0x1.b2bfa7bc11f52p-20, 0x1.900e0354fffcdp-20, 0x1.6e5374436029ep-20, 0x1.4d895f9052a4ap-20, 0x1.2da94babe5cf3p-20, 0x1.0eacd232bf2b6p-20, 0x1.e11b4d0c7dbe9p-21, 0x1.a68b50455b03cp-21, 0x1.6d9ddf6b4ffa2p-21, 0x1.3647a3b35bb25p-21, 0x1.007dc3b0d6fdfp-21, 0x1.986c3ea79c2bep-22, 0x1.32cf05de5425ap-22, 0x1.a0268dacc2e22p-23, 0x1.c0a588aa037f8p-24, 0x1.3019d3be5fcd2p-26, -0x1.1dd10036af2bfp-24, -0x1.3e90daa42646dp-23, -0x1.e914f5a7f322dp-23, -0x1.474933f7af983p-22, -0x1.9792ec4a68592p-22, -0x1.e575b01393ac4p-22, -0x1.187f9a525994dp-21, -0x1.3d1e619a09052p-21, -0x1.609da281578e7p-21, -0x1.8303b219c0dcep-21, -0x1.a456d08c6f97p-21, -0x1.c49d1ce0837b2p-21, -0x1.e3dc6fee52417p-21, -0x1.010d1be8ccb7p-20, -0x1.0fadbc14619ffp-20, -0x1.1dd27acfd9f9ap-20, -0x1.2b7db4f7f7ccp-20, -0x1.38b1cc6e0831dp-20, -0x1.45711fac54a48p-20, -0x1.51bdfacec2008p-20, -0x1.5d9a8fbb42292p-20, -0x1.6908fb5ae249cp-20, -0x1.740b53716c33bp-20, -0x1.7ea3ad7726af7p-20, -0x1.88d414a2541p-20, -0x1.929e8147632f3p-20, -0x1.9c04e5a3dbbbbp-20, -0x1.a5091fac87d6fp-20, -0x1.adad110baa4f5p-20, -0x1.b5f295ae958adp-20, -0x1.bddb8074ed187p-20, -0x1.c569900b2165dp-20, -0x1.cc9e696ecddaep-20, -0x1.d37ba101e1a52p-20, -0x1.da02c8f0014a3p-20, -0x1.e03575c6cfeacp-20, -0x1.e6153adb54ea2p-20, -0x1.eba3aa22897d7p-20, -0x1.f0e255b0f310ep-20, -0x1.f5d2c80d5c8c2p-20, -0x1.fa767740687bdp-20, -0x1.fecec4bf08f38p-20, -0x1.016e868e6eeb2p-19, -0x1.03515935b5d7ep-19, -0x1.05108b660379fp-19, -0x1.06accb8cfc679p-19, -0x1.0826c66de337ep-19, -0x1.097f26db7f49dp-19, -0x1.0ab6948c61cep-19, -0x1.0bcdb40972349p-19, -0x1.0cc527ca92d9ep-19, -0x1.0d9d913022078p-19, -0x1.0e5790446bdfep-19, -0x1.0ef3c1269ac91p-19, -0x1.0f72b9d71ff2p-19, -0x1.0fd50d0fd8d2fp-19, -0x1.101b4ec26df3fp-19, -0x1.1046151976b53p-19, -0x1.1055f77b51dc7p-19, -0x1.104b8d3ab360bp-19, -0x1.10276a53f0ca2p-19, -0x1.0fea1d051712fp-19, -0x1.0f942ced8127p-19, -0x1.0f26204ceb997p-19, -0x1.0ea081431877ep-19, -0x1.0e03dae6e3bbcp-19, -0x1.0d50b454474a3p-19, -0x1.0c879192349bbp-19, -0x1.0ba8f5dbe0b87p-19, -0x1.0ab564824d5fep-19, -0x1.09ad611486f72p-19, -0x1.08916e5c4c657p-19, -0x1.07620bfdf66e2p-19, -0x1.061fb4d494c84p-19, -0x1.04cae227f03cp-19, -0x1.03640efed1a3ep-19, -0x1.01ebb5d5b55cep-19, -0x1.00624eb1033b9p-19, -0x1.fd90a025be9dap-20, -0x1.fa3c5e4cbbb4p-20, -0x1.f6c8c005eaf79p-20, -0x1.f336ac9dbe60ap-20, -0x1.ef87098900bdap-20, -0x1.ebbab8a05bad3p-20, -0x1.e7d29841c9369p-20, -0x1.e3cf82ff991aep-20, -0x1.dfb2517f91d8ap-20, -0x1.db7bdc3668d9dp-20, -0x1.d72cf61ab788ep-20, -0x1.d2c66fb686ccap-20, -0x1.ce4919143111ep-20, -0x1.c9b5c2084ae35p-20, -0x1.c50d36f705ef8p-20, -0x1.c0503ee7cef8fp-20, -0x1.bb7f9cdff6d16p-20, -0x1.b69c147dd568fp-20, -0x1.b1a667ad0cf07p-20, -0x1.ac9f53fe667d4p-20, -0x1.a78794f707cecp-20, -0x1.a25fe3ba5523dp-20, -0x1.9d28f688b6261p-20, -0x1.97e3813259cf9p-20, -0x1.9290354e3f1e7p-20, -0x1.8d2fc213c048ep-20, -0x1.87c2d432c2e9ap-20, -0x1.824a16000422cp-20, -0x1.7cc62f8a18b05p-20, -0x1.7737c5d54ea2cp-20, -0x1.719f7acf4e4b4p-20, -0x1.6bfdeea236eafp-20, -0x1.6653c1e711e99p-20, -0x1.60a19ec7aec36p-20, -0x1.5ae7fce9ac567p-20, -0x1.55277535c3161p-20, -0x1.4f60bac3aa521p-20, -0x1.499450225ec71p-20, -0x1.43c2c2262ebeap-20, -0x1.3dec9e3c9c97bp-20, -0x1.38126e6017899p-20, -0x1.3234babd59488p-20, -0x1.2c54091896581p-20, -0x1.2670dc70f9943p-20, -0x1.208bb54c0ddc4p-20, -0x1.1aa511d3d5e61p-20, -0x1.14bd6ddd06bacp-20, -0x1.0ed542eb55e8bp-20, -0x1.08ed083853e9cp-20, -0x1.030532affc3a9p-20, -0x1.fa3c69cf506c5p-21, -0x1.ee70fe20759edp-21, -0x1.e2a8fde70d0cp-21, -0x1.d6e5403f85435p-21, -0x1.cb2697c756acfp-21, -0x1.bf6dd1ecc591ap-21, -0x1.b3bbb7b1a76c4p-21, -0x1.a8110f2af2b39p-21, -0x1.9c6e99b1387b6p-21, -0x1.90d5141ff4affp-21, -0x1.854535e836a9p-21, -0x1.79bfb2fc15b96p-21, -0x1.6e4539c113f19p-21, -0x1.62d67586cf18ep-21, -0x1.57740daf7cc57p-21, -0x1.4c1e893f74e7ep-21, -0x1.40d6d46892be5p-21, -0x1.359d3b10c1376p-21, -0x1.2a726ccdb5db2p-21, -0x1.1f56fcf323f86p-21, -0x1.144b7930b2326p-21, -0x1.09506bd1610e6p-21, -0x1.fcccb5dc4041cp-22, -0x1.e71b9f7fbdcacp-22, -0x1.d18e6408f3323p-22, -0x1.bc2622bdb77ffp-22, -0x1.a6e3ba768cf54p-22, -0x1.91c81263ba3f5p-22, -0x1.7cd40a28eb4b9p-22, -0x1.680878851c3bap-22, -0x1.53662bd07e9fcp-22, -0x1.3eede9f586469p-22, -0x1.2aa0727af435fp-22, -0x1.167e84f14c864p-22, -0x1.0288d5204cb25p-22, -0x1.dd801fae3e219p-23, -0x1.b649ba0362a78p-23, -0x1.8f6fb12b133e6p-23, -0x1.68f339be0ffd1p-23, -0x1.42d578fcff298p-23, -0x1.1d17852bb005ep-23, -0x1.ef74d11fb7b41p-24, -0x1.a57e434c96b1bp-24, -0x1.5c4d468bce8b9p-24, -0x1.13e3a982b171bp-24, -0x1.9886477390612p-25, -0x1.0adab097a9e89p-25, -0x1.fb1e8e1156848p-27, 0x1.760413378fba1p-30, 0x1.29138e462892dp-26, 0x1.1bc2d0e27c114p-25, 0x1.a158ca817cbf8p-25, 0x1.12a4c73970c3bp-24, 0x1.53c98ef365f49p-24, 0x1.9419c919f785bp-24, 0x1.d39498ece3b2p-24, 0x1.091c9b1ae2911p-23, 0x1.2803754f26ce1p-23, 0x1.467e7d3cba173p-23, 0x1.648d7642195a2p-23, 0x1.823021f44e34fp-23, 0x1.9f66489d0e1ffp-23, 0x1.bc2fbbd95248ep-23, 0x1.d88c5930deba5p-23, 0x1.f47c01619179cp-23, 0x1.07ff50b28a9efp-22, 0x1.158a18ed99778p-22, 0x1.22de555435b92p-22, 0x1.2ffc0830a37bep-22, 0x1.3ce33769214a6p-22, 0x1.4993ec844c76ap-22, 0x1.560e32b01d8e1p-22, 0x1.62521df00d437p-22, 0x1.6e5fc1520416ep-22, 0x1.7a3737f94334ep-22, 0x1.85d89c232b729p-22, 0x1.9144076663918p-22, 0x1.9c799dc6996a3p-22, 0x1.a77982820d0f4p-22, 0x1.b243ddcabd5e2p-22, 0x1.bcd8dbc076644p-22, 0x1.c738a9d426f71p-22, 0x1.d163770bdd35p-22, 0x1.db597746f8af4p-22, 0x1.e51aded778a95p-22, 0x1.eea7e77f4b3cp-22, 0x1.f800c9e7bc45dp-22, 0x1.0092e1d6f30eep-21, 0x1.050b8a20193f4p-21, 0x1.096a7eaa07deep-21, 0x1.0dafe1b8d6d2ep-21, 0x1.11dbd6d6e5c8p-21, 0x1.15ee8227adc0ep-21, 0x1.19e80824bec47p-21, 0x1.1dc88ee68e6fbp-21, 0x1.21903e2786199p-21, 0x1.253f3df342bbfp-21, 0x1.28d5b65925d96p-21, 0x1.2c53d12c797adp-21, 0x1.2fb9b95124ff4p-21, 0x1.33079a505660cp-21, 0x1.363da0643b42p-21, 0x1.395bf880dd6bfp-21, 0x1.3c62d01c4032dp-21, 0x1.3f525560b80cep-21, 0x1.422ab7161e408p-21, 0x1.44ec2519f526p-21, 0x1.4796d01bdc2cep-21, 0x1.4a2ae8b6501bdp-21, 0x1.4ca89f72d0ac5p-21, 0x1.4f1026de58fd4p-21, 0x1.5161b1a066461p-21, 0x1.539d71af39ab7p-21, 0x1.55c39a7b233d2p-21, 0x1.57d45ff7d39bap-21, 0x1.59cff638f0fedp-21, 0x1.5bb69328956a1p-21, 0x1.5d886819277fp-21, 0x1.5f45adc7f6764p-21, 0x1.60ee983d2b326p-21, 0x1.62835d51e7467p-21, 0x1.640432d3c2f2bp-21, 0x1.65715049cebfcp-21, 0x1.66caec825ffc8p-21, 0x1.681142e8ecd9ep-21, 0x1.694473baffc7fp-21, 0x1.6a64c5db59c62p-21, 0x1.6b7293f987d4p-21, 0x1.6c6dd469a4827p-21, 0x1.6d56e498d43b5p-21, 0x1.6e2df6944147cp-21, 0x1.6ef341413af04p-21, 0x1.6fa6fc3c9046ap-21, 0x1.70495f4ba855ep-21, 0x1.70daa266854efp-21, 0x1.715afdabbf63p-21, }}, 
      {{0x1.1330552093597p-2, 0x1.1d4fbdd8a1633p-2, 0x1.2bb98e90bc879p-2, 0x1.3bf3d9c1cb2b8p-2, 0x1.4baaa796a6232p-2, 0x1.58eacabcaa64p-2, 0x1.6237068092342p-2, 0x1.6687fff1d29f4p-2, 0x1.65410bce05a4ap-2, 0x1.5e2013b8ef602p-2, 0x1.512c447f81a5bp-2, 0x1.3ea57dd17a5c4p-2, 0x1.26f574a582717p-2, 0x1.0aa2e2df29094p-2, 0x1.d48d9c66bb71p-3, 0x1.8d0791ca3158ap-3, 0x1.3ffdfa4ad8153p-3, 0x1.dd6b322c8a044p-4, 0x1.34cb2dd7cbcb3p-4, 0x1.10c70f57fba3cp-5, -0x1.2d9416320d77cp-7, -0x1.a721659f374fp-5, -0x1.7f85f15d9d69ep-4, -0x1.140b478bf7082p-3, -0x1.65fd8a0d71b36p-3, -0x1.b50f01153dfbfp-3, -0x1.00663666c7c2dp-2, -0x1.246c2acc2be3fp-2, -0x1.4674989713eb7p-2, -0x1.6663be64df773p-2, -0x1.8425eddffbd5ap-2, -0x1.9faea1af0a108p-2, -0x1.b8f7a0af3cf3dp-2, -0x1.d0002e55f9f55p-2, -0x1.e4cc4bac135ffp-2, -0x1.f76408b4521b7p-2, -0x1.03e972a6a9d0cp-1, -0x1.0b13a0aba1329p-1, -0x1.1138ede41c7aap-1, -0x1.1662af6343f4cp-1, -0x1.1a9afbb933176p-1, -0x1.1dec7c9489d67p-1, -0x1.206245ea8cc1p-1, -0x1.2207b212971e3p-1, -0x1.22e842492cfa9p-1, -0x1.230f834ffe9eep-1, -0x1.2288f5f448d89p-1, -0x1.215ffb2686a54p-1, -0x1.1f9fc3334dcf9p-1, -0x1.1d533fb2879c5p-1, -0x1.1a8517d98ef2p-1, -0x1.173f9ef426629p-1, -0x1.138ccccf98cd5p-1, -0x1.0f7637e6d6173p-1, -0x1.0b05111e507dfp-1, -0x1.064220d013a58p-1, -0x1.0135c50a45e2ap-1, -0x1.f7cfe19dd3bdap-2, -0x1.ecc058438d9fep-2, -0x1.e14b29f130eb4p-2, -0x1.d57dc13f5f745p-2, -0x1.c964bbba253fap-2, -0x1.bd0beeb20a564p-2, -0x1.b07e6d0c8c9a2p-2, -0x1.a3c68d7ee05b2p-2, -0x1.96edf15465d6fp-2, -0x1.89fd8b744d6a6p-2, -0x1.7cfda7c598791p-2, -0x1.6ff5f2729d2f4p-2, -0x1.62ed7fb51a56ap-2, -0x1.55ead2e9563cbp-2, -0x1.48f3e699d5c5fp-2, -0x1.3c0e331a27696p-2, -0x1.2f3eb69df16ap-2, -0x1.2289fb4e82d9fp-2, -0x1.15f41f115fb3ep-2, -0x1.0980d95024197p-2, -0x1.fa6703e933c62p-3, -0x1.e21e2e65ae599p-3, -0x1.ca2c86c7df5e3p-3, -0x1.b296c5d2b9904p-3, -0x1.9b6111f2be2c1p-3, -0x1.848f0a9752028p-3, -0x1.6e23d093325a1p-3, -0x1.582210211231bp-3, -0x1.428c08d1ed269p-3, -0x1.2d6395e7d018ap-3, -0x1.18aa35e49a9bap-3, -0x1.046111969c541p-3, -0x1.e11205e269e94p-4, -0x1.ba45368eaafe8p-4, -0x1.945c527c6a0ebp-4, -0x1.6f577cd56fab8p-4, -0x1.4b3668f130c18p-4, -0x1.27f8644abb86fp-4, -0x1.059c5fa795edap-4, -0x1.c841ef55ff6dep-5, -0x1.8708fa460e133p-5, -0x1.4789f8a534a43p-5, -0x1.09c088b0e5446p-5, -0x1.9b4fb6623b24ap-6, -0x1.26757fcd0a06dp-6, -0x1.69cec5989bdfbp-7, -0x1.1a66f8f002f8ap-8, 0x1.23fc81525f8fep-9, 0x1.18e2346cb4f34p-7, 0x1.e28fa1838e0e6p-7, 0x1.5310f2e08f227p-6, 0x1.b1da01018afffp-6, 0x1.06d857ac116e7p-5, 0x1.33516c9f8f46dp-5, 0x1.5e5f3bde592bp-5, 0x1.8808cb57e18f1p-5, 0x1.b05525c4a3c43p-5, 0x1.d74b57358f96ap-5, 0x1.fcf268e7d2832p-5, 0x1.10a8aee9e038fp-4, 0x1.223798263dbd7p-4, 0x1.332967715a9a6p-4, 0x1.43818ce098bfep-4, 0x1.534370933892cp-4, 0x1.6272719cf5e3ap-4, 0x1.7111e4f3e3f41p-4, 0x1.7f2514fd566bbp-4, 0x1.8caf40e931522p-4, 0x1.99b39bcffdb07p-4, 0x1.a6354c63a5dccp-4, 0x1.b2376cb4ef44p-4, 0x1.bdbd098c7efcdp-4, 0x1.c8c9221a7e5aap-4, 0x1.d35ea807d3888p-4, 0x1.dd807f2463a09p-4, 0x1.e7317d0882113p-4, 0x1.f074693697818p-4, 0x1.f94bfd2de800cp-4, 0x1.00dd7213293b9p-3, 0x1.04e1dd8726994p-3, 0x1.08b48868aaf1fp-3, 0x1.0c56b33048b89p-3, 0x1.0fc9974f9cdap-3, 0x1.130e674b4c1a4p-3, 0x1.16264ede7c2aep-3, 0x1.19127305c6fb4p-3, 0x1.1bd3f20bbe426p-3, 0x1.1e6be3a9d545ap-3, 0x1.20db5929e028ap-3, 0x1.23235d7e4b69ap-3, 0x1.2544f55c31dffp-3, 0x1.27411f5969cc2p-3, 0x1.2918d40cf298ap-3, 0x1.2acd0633fd477p-3, 0x1.2c5ea2d419ebcp-3, 0x1.2dce91537b769p-3, 0x1.2f1db395b05e8p-3, 0x1.304ce629491ccp-3, 0x1.315d0071d17bfp-3, 0x1.324ed4bc19cebp-3, 0x1.33233052499cep-3, 0x1.33dadbaa0308dp-3, 0x1.34769a97caa48p-3, 0x1.34f72c6648a42p-3, 0x1.355d4bdf54e0bp-3, 0x1.35a9af6ebd5ebp-3, 0x1.35dd095b89dfdp-3, 0x1.35f807ec2db0ap-3, 0x1.35fb556b9d7bp-3, 0x1.35e798370bf4p-3, 0x1.35bd72ee72569p-3, 0x1.357d84a8ced9ap-3, 0x1.3528690633089p-3, 0x1.34beb82de8c65p-3, 0x1.344106e3e694ep-3, 0x1.33afe6bc86957p-3, 0x1.330be646c7f7ap-3, 0x1.325591135e927p-3, 0x1.318d6fb131b0dp-3, 0x1.30b407c4971b4p-3, 0x1.2fc9dc3780f97p-3, 0x1.2ecf6d5ce5513p-3, 0x1.2dc538f4060cfp-3, 0x1.2cabba231308dp-3, 0x1.2b83698993e6p-3, 0x1.2a4cbd69efe16p-3, 0x1.290829ca952cep-3, 0x1.27b6207ade616p-3, 0x1.2657110b8faabp-3, 0x1.24eb68d7de654p-3, 0x1.2373932595dc2p-3, 0x1.21eff945f2fdbp-3, 0x1.206102a0c3a71p-3, 0x1.1ec714add4d3ep-3, 0x1.1d2292f3980d9p-3, 0x1.1b73df1990c37p-3, 0x1.19bb5905b25p-3, 0x1.17f95eefbf35ep-3, 0x1.162e4d6197688p-3, 0x1.145a7f303888cp-3, 0x1.127e4d7f47e46p-3, 0x1.109a0fd43b295p-3, 0x1.0eae1c2d13e49p-3, 0x1.0cbac70b7fafp-3, 0x1.0ac0637200bdbp-3, 0x1.08bf42de37f85p-3, 0x1.06b7b54cda49p-3, 0x1.04aa094938718p-3, 0x1.02968bfe98312p-3, 0x1.007d89406c4b1p-3, 0x1.fcbe971003d1cp-4, 0x1.f87837dedad74p-4, 0x1.f42884664199fp-4, 0x1.efd00979382c5p-4, 0x1.eb6f515ffde78p-4, 0x1.e706e3e8476a4p-4, 0x1.e2974664f2f3dp-4, 0x1.de20fba5a6245p-4, 0x1.d9a483f418db7p-4, 0x1.d5225d1f0b2c1p-4, 0x1.d09b028e46729p-4, 0x1.cc0eed53a9f39p-4, 0x1.c77e943113c9ap-4, 0x1.c2ea6b9469d3ap-4, 0x1.be52e5920375fp-4, 0x1.b9b871e643807p-4, 0x1.b51b7e00ba1d8p-4, 0x1.b07c751344dc8p-4, 0x1.abdbc01d2b59bp-4, 0x1.a739c5ee270fp-4, 0x1.a296eb236edd3p-4, 0x1.9df39224a1286p-4, 0x1.99501b2609f8p-4, 0x1.94ace4316ef0cp-4, 0x1.900a49317a727p-4, 0x1.8b68a3fa99b0cp-4, 0x1.86c84c4e97691p-4, 0x1.822997dbe4388p-4, 0x1.7d8cda3c29bfbp-4, 0x1.78f264f5f7015p-4, 0x1.745a8782f8a6ap-4, 0x1.6fc58f58d8dacp-4, 0x1.6b33c7f17750dp-4, 0x1.66a57ad025f7ap-4, 0x1.621aef83ac12ap-4, 0x1.5d946ba6a2965p-4, 0x1.591232e0c6a11p-4, 0x1.549486eb16e6dp-4, 0x1.501ba7968d9d9p-4, 0x1.4ba7d2d3beef3p-4, 0x1.473944b976ed6p-4, 0x1.42d037895d915p-4, 0x1.3e6ce3b2c3f7bp-4, 0x1.3a0f7fd4c7abcp-4, 0x1.35b840c15151fp-4, 0x1.31675981fc63p-4, 0x1.2d1cfb5e8f4cep-4, 0x1.28d955e3e2681p-4, 0x1.249c96ea35168p-4, 0x1.2066ea9a62051p-4, 0x1.1c387b71ffc1ep-4, 0x1.18117246f9afap-4, 0x1.13f1f64b87174p-4, 0x1.0fda2d135b5ep-4, 0x1.0bca3a99bdbep-4, 0x1.07c241483c83ep-4, 0x1.03c261fd0c341p-4, 0x1.ff957821eacb1p-5, 0x1.f7b6dab93f6a1p-5, 0x1.efe9247ace688p-5, 0x1.e82c8b3446d83p-5, 0x1.e08141d0d1461p-5, 0x1.d8e77864ea069p-5, 0x1.d15f5c3b1d655p-5, 0x1.c9e917e0e702ep-5, 0x1.c284d332f717fp-5, 0x1.bb32b369beca4p-5, 0x1.b3f2db24a24b6p-5, 0x1.acc56a75796dp-5, 0x1.a5aa7eebaebf6p-5, 0x1.9ea2339fb2c79p-5, 0x1.97aca13ee9ffep-5, 0x1.90c9de17da2ddp-5, 0x1.89f9fe2661922p-5, 0x1.833d1320076dbp-5, 0x1.7c932c80af0adp-5, 0x1.75fc57976bd92p-5, 0x1.6f789f932fe3fp-5, 0x1.69080d8ec78bfp-5, 0x1.62aaa89c195e5p-5, 0x1.5c6075cecefb5p-5, 0x1.56297846d30fcp-5, 0x1.5005b13b3d152p-5, 0x1.49f520065b1e1p-5, 0x1.43f7c23330f16p-5, 0x1.3e0d938c0aa36p-5, 0x1.38368e28f5801p-5, 0x1.3272aa7ca3fc2p-5, 0x1.2cc1df5eabffbp-5, 0x1.2724221347a67p-5, 0x1.21996651b9ac3p-5, 0x1.1c219e4c25c03p-5, 0x1.16bcbab90da5ep-5, 0x1.116aaae2708b2p-5, 0x1.0c2b5cb754e9p-5, 0x1.06febcde96cabp-5, 0x1.01e4b6c7b3af7p-5, 0x1.f9ba696b79f3bp-6, 0x1.efd03f8749029p-6, 0x1.e60abfc6917b8p-6, 0x1.dc69b7b6ade24p-6, 0x1.d2ecf292af812p-6, 0x1.c994395858f3ap-6, 0x1.c05f52f0d8b01p-6, 0x1.b74e046808717p-6, 0x1.ae6011262a2bdp-6, 0x1.a5953b1ca056ep-6, 0x1.9ced42d8f85f5p-6, 0x1.9467e779f945ap-6, 0x1.8c04e68d91695p-6, 0x1.83c3fbe8dc1afp-6, 0x1.7ba4e19000a41p-6, 0x1.73a74fc0e01abp-6, 0x1.6bcafd284723cp-6, 0x1.640f9f3a7ca5bp-6, 0x1.5c74ea996ff4fp-6, 0x1.54fa936aa1e02p-6, 0x1.4da04d810e834p-6, 0x1.4665cc4b7ba55p-6, 0x1.3f4ac28b25dafp-6, 0x1.384ee1eb2d713p-6, 0x1.3171da9ecb568p-6, 0x1.2ab35b2ed697p-6, 0x1.24131092a8f41p-6, 0x1.1d90a69a030b3p-6, 0x1.172bc89270818p-6, 0x1.10e421fc0be87p-6, 0x1.0ab95f18151ebp-6, 0x1.04ab2d2257b6ep-6, 0x1.fd72743949d0ap-7, 0x1.f1c66873adfddp-7, 0x1.e651920e92bb3p-7, 0x1.db134949b6055p-7, 0x1.d00ae281b782fp-7, 0x1.c537ae269b641p-7, 0x1.ba98f9cbf54a5p-7, 0x1.b02e1221bb4cap-7, 0x1.a5f64559447c9p-7, 0x1.9bf0e54fa9fdap-7, 0x1.921d48db5fef7p-7, 0x1.887acbce723b4p-7, 0x1.7f08cd9652832p-7, 0x1.75c6aec77225ap-7, 0x1.6cb3ce367a69cp-7, 0x1.63cf866c8eccp-7, 0x1.5b192c36b081fp-7, 0x1.52900ecd4f5a6p-7, 0x1.4a3379a80ad39p-7, 0x1.4202b79f844b5p-7, 0x1.39fd16a11661fp-7, 0x1.3221eb073228p-7, 0x1.2a7091b42950ap-7, 0x1.22e870531a4e8p-7, 0x1.1b88f3951b006p-7, 0x1.14518bc407f4ap-7, 0x1.0d41a8773bd73p-7, 0x1.0658b472c25cap-7, 0x1.ff2c257e543a3p-8, 0x1.f1f23b7d7953ep-8, 0x1.e502512298d6dp-8, 0x1.d85b051a7020dp-8, 0x1.cbfaf80d01933p-8, 0x1.bfe0d6f2c4018p-8, 0x1.b40b637fcc0c2p-8, 0x1.a87978a5debc2p-8, 0x1.9d2a0a3b8fa3bp-8, 0x1.921c1f85edffap-8, 0x1.874ec9bbd7a5fp-8, 0x1.7cc1188ef5595p-8, 0x1.72720f3911f1ep-8, 0x1.68609c80ebd41p-8, 0x1.5e8b978bf855fp-8, 0x1.54f1c253a861p-8, 0x1.4b91d15ccb3bep-8, 0x1.426a7727abf57p-8, 0x1.397a70fc17677p-8, 0x1.30c09265cdcf9p-8, 0x1.283bccfab4386p-8, 0x1.1feb32c7a490dp-8, 0x1.17cdf2d19b33bp-8, 0x1.0fe350431168bp-8, 0x1.082a95e9b6304p-8, 0x1.00a30871ac6bbp-8, 0x1.f297b44d2e6f1p-9, 0x1.e44845aa7a108p-9, 0x1.d655bb3978e6fp-9, 0x1.c8bdda609c665p-9, 0x1.bb7e4b1c74b88p-9, 0x1.ae94b201e52bap-9, 0x1.a1fecb78b5fbp-9, 0x1.95ba83362419p-9, 0x1.89c6043ba9c9fp-9, 0x1.7e1fbef926fb2p-9, 0x1.72c664697e259p-9, 0x1.67b8d65f95c51p-9, 0x1.5cf60f078f4f2p-9, 0x1.527d03eb325a6p-9, 0x1.484c8a9a1b0ap-9, 0x1.3e63457df769ap-9, 0x1.34bf9d871641p-9, 0x1.2b5fc98e1b5d2p-9, 0x1.2241e007f96p-9, 0x1.1963ed10fa07p-9, 0x1.10c40734a061fp-9, 0x1.0860601dd8dbp-9, 0x1.0037514b434e1p-9, 0x1.f08ecb5f9fa9bp-10, 0x1.e11ebef2b5e58p-10, 0x1.d21c6dc35849ep-10, 0x1.c3861df5b8023p-10, 0x1.b55a4040cd27ep-10, 0x1.a7973a009ec69p-10, 0x1.9a3b36319077ep-10, 0x1.8d440c8ca4e2bp-10, 0x1.80af46cde16a6p-10, 0x1.747a3d95fc0a7p-10, 0x1.68a23c8ef42f6p-10, 0x1.5d249c368a0d8p-10, 0x1.51fec819acf3fp-10, 0x1.472e35b75045fp-10, 0x1.3cb05ac12608cp-10, 0x1.3282b209cd86cp-10, 0x1.28a2d3f194b7dp-10, 0x1.1f0e97ce92853p-10, 0x1.15c42a29d7f32p-10, 0x1.0cc206f6cf2b8p-10, 0x1.0406d69cdfb9bp-10, 0x1.f7227e3295277p-11, 0x1.e6bf850a1152fp-11, 0x1.d6e1771a397ffp-11, 0x1.c784eb090fb78p-11, 0x1.b8a69d1322db1p-11, 0x1.aa439e4230b94p-11, 0x1.9c59526ecad44p-11, 0x1.8ee535d9b32ddp-11, 0x1.81e47bb3a834ep-11, 0x1.7553af5b50c04p-11, 0x1.692e8f152831ep-11, 0x1.5d7045edd371ap-11, 0x1.5213fba4fd6f3p-11, 0x1.47157c62b3726p-11, 0x1.3c71a28115c18p-11, 0x1.32264a25c5fd6p-11, 0x1.2831e06e0cc82p-11, 0x1.1e92dae98e512p-11, 0x1.15476878694fep-11, 0x1.0c4d78ffab8fap-11, 0x1.03a3041cddd38p-11, 0x1.f68cba1c1b27bp-12, 0x1.e66cbbc921919p-12, 0x1.d6e4834226f7dp-12, 0x1.c7f2586da83c3p-12, 0x1.b993220c4cb38p-12, 0x1.abc18131c892ap-12, 0x1.9e75b1b87e23p-12, 0x1.91a65c6341134p-12, 0x1.854a28c993ed2p-12, 0x1.79597e23ca66dp-12, 0x1.6dcfabcace8bdp-12, 0x1.62aada743d373p-12, 0x1.57eac31ce6b93p-12, 0x1.4d8eef146eeb9p-12, 0x1.4395958905d2cp-12, 0x1.39fbafa8c09fp-12, 0x1.30be02af25aa7p-12, 0x1.27da50462d306p-12, 0x1.1f4fcf9af9e67p-12, 0x1.171e82cf06032p-12, 0x1.0f45d5e8326bap-12, 0x1.07c38cb881dcap-12, 0x1.0093a47279f3dp-12, 0x1.f361c7ce8cc36p-13, 0x1.e62afe027bb96p-13, 0x1.d97745b925937p-13, 0x1.cd3c458edfce3p-13, 0x1.c1727ff2d765ap-13, 0x1.b6161c71f13aap-13, 0x1.ab2614c4b3218p-13, 0x1.a0a22b554e612p-13, 0x1.9689126adee9dp-13, 0x1.8cd7e899e67e1p-13, 0x1.838afa13cc4a3p-13, 0x1.7a9efa30d2b87p-13, 0x1.7211ff07b76a7p-13, 0x1.69e36fe26a3d5p-13, 0x1.62127b6b605c4p-13, 0x1.5a9c5770317e3p-13, 0x1.537c0c5fe7533p-13, 0x1.4caba9015823dp-13, 0x1.46256076266f2p-13, 0x1.3fe3e73204cddp-13, 0x1.39e2943f6964ep-13, 0x1.341dc9c5d6d85p-13, 0x1.2e9351dc418a7p-13, 0x1.2941e1cf8ca55p-13, 0x1.2427b086865f5p-13, 0x1.1f41825b21aa9p-13, 0x1.1a8b93f6af553p-13, 0x1.1603966ec3effp-13, 0x1.11a9744c88da4p-13, 0x1.0d7ddeb96fadfp-13, 0x1.0980065c5a518p-13, 0x1.05ad310e516dcp-13, 0x1.02028f3c2ad1cp-13, 0x1.fcfca86e6454fp-14, 0x1.f63dc8bc55c8cp-14, 0x1.efc44f3eacfedp-14, 0x1.e98ba6c6a0edp-14, 0x1.e38f3cfde6988p-14, 0x1.ddca294c127dp-14, 0x1.d8374a7d1a7b9p-14, 0x1.d2d28e0fdca97p-14, 0x1.cd9a7419496cdp-14, 0x1.c88fdafdcd351p-14, 0x1.c3b391dd484bbp-14, 0x1.bf03a944c2effp-14, 0x1.ba7add562c403p-14, 0x1.b613375eaf849p-14, 0x1.b1c9e72238c91p-14, 0x1.ad9fdaefe2d48p-14, 0x1.a995f187e979p-14, 0x1.a5a95135d417bp-14, 0x1.a1d4e495442d5p-14, 0x1.9e161edd91595p-14, 0x1.9a6da638d0b91p-14, 0x1.96dbb279500d3p-14, 0x1.935ec1b303d98p-14, 0x1.8ff4f3e4124aap-14, 0x1.8c9c7b954d1cdp-14, 0x1.8952cac4486f3p-14, 0x1.86145bdcc67f6p-14, 0x1.82de98b769271p-14, 0x1.7fb1d58e8d8bap-14, 0x1.7c8fa426d17f2p-14, 0x1.797798db0ff53p-14, 0x1.7667fee6fb6bbp-14, 0x1.7360d8da926e6p-14, 0x1.7062d7cbf519p-14, 0x1.6d6c78602f6b6p-14, 0x1.6a7a1e9fb510ep-14, 0x1.6788e06f7f117p-14, 0x1.64990f7e781dbp-14, 0x1.61abf5a79bcd3p-14, 0x1.5ec073a52cbb5p-14, 0x1.5bd52199d444fp-14, 0x1.58ead23bbb937p-14, 0x1.56025becbc4f1p-14, 0x1.531b3a8bdc9b1p-14, 0x1.50349238e868cp-14, 0x1.4d4d4b5b205a8p-14, 0x1.4a6390f6c4569p-14, 0x1.47763f950710ep-14, 0x1.44867241479ecp-14, 0x1.4194f961ba145p-14, 0x1.3ea0aaf0f704ep-14, 0x1.3ba9380c5490dp-14, 0x1.38af83ec87ff4p-14, 0x1.35b35c4b0abfap-14, 0x1.32b3f18340dfcp-14, 0x1.2fb0deccb85f4p-14, 0x1.2caa251b0da63p-14, 0x1.299ffff0ff76fp-14, 0x1.269271224b2a4p-14, 0x1.2380cd98a3bc6p-14, 0x1.206ae4f38acd4p-14, 0x1.1d51215e9cb9p-14, 0x1.1a332a3e720dp-14, 0x1.17113a14ff38fp-14, 0x1.13ec36d4ee3a3p-14, 0x1.10c42baba4ee5p-14, 0x1.0d98ac690f606p-14, 0x1.0a69102d5d806p-14, 0x1.0735395ba8e1p-14, 0x1.03fde6fd4e774p-14, 0x1.00c2faf957bafp-14, 0x1.fb08e959a6ddp-15, 0x1.f4862135305b5p-15, 0x1.edfda28319a3ap-15, 0x1.e76ef3992caf2p-15, 0x1.e0da335016fddp-15, 0x1.da3fc49ede9c5p-15, 0x1.d3a0088f8464p-15, 0x1.ccfb57487166ap-15, 0x1.c65204e3824bep-15, 0x1.bfa45dfb60c18p-15, 0x1.b8f2bc835c8e3p-15, 0x1.b23dc3408b384p-15, 0x1.ab85f5586a086p-15, 0x1.a4cb11c67b5c2p-15, 0x1.9e0d4627df13ep-15, 0x1.974ce9bd9412ap-15, 0x1.908ace1ccecd9p-15, 0x1.89c80dce60f56p-15, 0x1.83043b1362bcap-15, 0x1.7c3f3b3796946p-15, 0x1.75797dfb44b1bp-15, 0x1.6eb3733971adbp-15, 0x1.67ee266d235b9p-15, 0x1.6129bc196aaeep-15, 0x1.5a6648f93a93ap-15, 0x1.53a432359d0b6p-15, 0x1.4ce3e919d4645p-15, 0x1.4625d5fde5764p-15, 0x1.3f6a5ac0cfce7p-15, 0x1.38b1d625a447p-15, 0x1.31fca52e55598p-15, 0x1.2b4b236ce6b1bp-15, 0x1.249dab2dab94bp-15, 0x1.1df495f6c83f8p-15, 0x1.17503c48e08cp-15, 0x1.10b0f273c6ef3p-15, 0x1.0a170ac517cf9p-15, 0x1.0382f31a0237p-15, 0x1.f9ea6be3b749cp-16, 0x1.ecdc2593dc931p-16, 0x1.dfdb926d61ab8p-16, 0x1.d2e8c15a5b698p-16, 0x1.c604b0d6d264dp-16, 0x1.b93006d661e24p-16, 0x1.ac6bd3c0cf6f8p-16, 0x1.9fb846d0e5a5fp-16, 0x1.9315ca39f79e9p-16, 0x1.8685069f6aca3p-16, 0x1.7a06c10a0b3acp-16, 0x1.6d9b6c7766b52p-16, 0x1.61439d6e7a2eap-16, 0x1.54ffd9027346p-16, 0x1.48d09fe63eb35p-16, 0x1.3cb67073df962p-16, 0x1.30b1c76f77722p-16, 0x1.24c32459c206bp-16, 0x1.18eaf4d557effp-16, 0x1.0d29b7d6cf737p-16, 0x1.017fd477ab8f3p-16, 0x1.ebdb5d59e8547p-17, 0x1.d4e75331d03dcp-17, 0x1.be244ee7171adp-17, 0x1.a7930a03dd093p-17, 0x1.9134b1c39e4f1p-17, 0x1.7b0a860975299p-17, 0x1.6513d1043a8ddp-17, 0x1.4f51b12124c77p-17, 0x1.39c5355b1ee5ap-17, 0x1.246e4431ae9e6p-17, 0x1.0f4e317fea8e4p-17, 0x1.f4ca43c0383edp-18, 0x1.cb66f59356315p-18, 0x1.a273bddd585acp-18, 0x1.79f1b04a6258ap-18, 0x1.51e1ba4da4fe9p-18, 0x1.2a44b525087b4p-18, 0x1.031b6c1dee459p-18, 0x1.b8cd3d6894714p-19, 0x1.6c4e03f7d193p-19, 0x1.20ba81e70a8e5p-19, 0x1.ac27e64755305p-20, 0x1.18b7056388768p-20, 0x1.0e48d123c93a7p-21, -0x1.11c3fb243ddf7p-25, -0x1.2cbde4e68d021p-21, -0x1.224c69fb48128p-20, -0x1.ac5508475a5b4p-20, -0x1.1a3c05312d43p-19, -0x1.5d59a8ee408b3p-19, -0x1.9f821e32f9fa8p-19, -0x1.e0b7e021d7d1cp-19, -0x1.107c0b8a5cd7fp-18, -0x1.3021a005ee233p-18, -0x1.4f4ce78d75b8ap-18, -0x1.6dfdc7a7bf77ep-18, -0x1.8c33f0a186004p-18, -0x1.a9efa5c07ab4dp-18, -0x1.c730f4a6b5058p-18, -0x1.e3f7c856e7998p-18, -0x1.00224df0e4e32p-17, -0x1.0e0bc45192342p-17, -0x1.1bb85ae4c856dp-17, -0x1.29282ff3e5079p-17, -0x1.365b6662ed221p-17, -0x1.4352273b446f8p-17, -0x1.500c9c559255p-17, -0x1.5c8af4f67dbe2p-17, -0x1.68cd637f539a4p-17, -0x1.74d41cd64449dp-17, -0x1.809f5cd4a8b3p-17, -0x1.8c2f60967fe9ep-17, -0x1.9784668d7c0cp-17, -0x1.a29eaf463e72bp-17, -0x1.ad7e87f475772p-17, -0x1.b8243a1d16b63p-17, -0x1.c28ffb44b55f3p-17, -0x1.ccc22ff3051ecp-17, -0x1.d6bb17b1cad18p-17, -0x1.e07b2184cc9f6p-17, -0x1.ea0299b7c3a8bp-17, -0x1.f351d635dfaccp-17, -0x1.fc69327d7727bp-17, -0x1.02a485a777b8ap-16, -0x1.06f8df6cb92ecp-16, -0x1.0b31d88dd1374p-16, -0x1.0f4fa7e4127cep-16, -0x1.13527e526fe81p-16, -0x1.173a87a0fc92ep-16, -0x1.1b07f8b5903c2p-16, -0x1.1ebb123942b41p-16, -0x1.22540a1bf213fp-16, -0x1.25d3147d70dddp-16, -0x1.293868fdda3ffp-16, -0x1.2c8440790a2d5p-16, -0x1.2fb6d4aefaf42p-16, -0x1.32d0605163635p-16, -0x1.35d11f0add0dfp-16, -0x1.38b94cf77fde9p-16, -0x1.3b892562448f7p-16, -0x1.3e40e2842c095p-16, -0x1.40e0c49233cb5p-16, -0x1.436914484aa24p-16, -0x1.45d9fc9f588cp-16, -0x1.4833b3241bd47p-16, -0x1.4a769091038f4p-16, -0x1.4ca2d2055cc53p-16, -0x1.4eb8b00c7bbbbp-16, -0x1.50b869ff43119p-16, -0x1.52a240f37e83p-16, -0x1.547673d074138p-16, -0x1.56354517b2689p-16, -0x1.57def52c2c91bp-16, -0x1.5973c56102ec4p-16, -0x1.5af3f6f9c7361p-16, -0x1.5c5fcbdfb6d59p-16, -0x1.5db7846d1e85dp-16, -0x1.5efb61c9245cfp-16, -0x1.602ba0fcfcde5p-16, -0x1.61488d9bb4e5dp-16, -0x1.6252791e9f601p-16, -0x1.63497832899bcp-16, -0x1.642dd91f29397p-16, -0x1.64fff610e233p-16, -0x1.65c00699975d4p-16, -0x1.666e48ca546b2p-16, -0x1.670afe69325fp-16, -0x1.679667d3a1655p-16, -0x1.6810c3071bbf5p-16, }}, 
      {{0x1.10be53d40647dp-2, 0x1.1445a5294ccb2p-2, 0x1.199bdc7428cccp-2, 0x1.20297d4eca95ep-2, 0x1.2753be57eaaddp-2, 0x1.2e8b3ec7d6e3p-2, 0x1.35538d913bdffp-2, 0x1.3b4635da03ed5p-2, 0x1.40131376d9a4dp-2, 0x1.437f0efee6bc2p-2, 0x1.4562010c1edaep-2, 0x1.45a437e8b8b1ap-2, 0x1.443beb05d406dp-2, 0x1.412ac8286677dp-2, 0x1.3c7bb21391882p-2, 0x1.3640bbe179881p-2, 0x1.2e9164951c404p-2, 0x1.258911fdbbeebp-2, 0x1.1b45c77099363p-2, 0x1.0fe71379e55ccp-2, 0x1.038d2efdda8e3p-2, 0x1.ecb0901eca58bp-3, 0x1.d0cfe5be7612ap-3, 0x1.b3b576e20524ep-3, 0x1.959ba65b1dc98p-3, 0x1.76b9abb17e658p-3, 0x1.574343d724c01p-3, 0x1.376881a244586p-3, 0x1.1755b7c934b45p-3, 0x1.ee66ee5bb3a36p-4, 0x1.ae4d39ece0159p-4, 0x1.6ea0d8fb16dddp-4, 0x1.2f9d64ffb9b3fp-4, 0x1.e2efb8b4ee897p-5, 0x1.68bdfb271d5f4p-5, 0x1.e1eea1db6bcd4p-6, 0x1.ef8a05f10a6e1p-7, 0x1.37843fa754701p-10, -0x1.9522925d4ce2fp-7, -0x1.a202a86831387p-6, -0x1.394b61f186bd2p-5, -0x1.9e0b85be537ddp-5, -0x1.ff2d10a36a2a2p-5, -0x1.2e50a5de60488p-4, -0x1.5b2f70e5a46eap-4, -0x1.8630a9977f6afp-4, -0x1.af54397e5183ap-4, -0x1.d69bf62232a39p-4, -0x1.fc0b67d2b9028p-4, -0x1.0fd3ca77487b3p-3, -0x1.20bb68bed0108p-3, -0x1.30c04970cdb7cp-3, -0x1.3fe6a3a6ccc5dp-3, -0x1.4e3318553015dp-3, -0x1.5baaa158e769ep-3, -0x1.6852820d4fe2dp-3, -0x1.74303957bc376p-3, -0x1.7f4975142f7bcp-3, -0x1.89a406cba6c0bp-3, -0x1.9345d999040cap-3, -0x1.9c34e92469595p-3, -0x1.a477399bc97f4p-3, -0x1.ac12d0991682bp-3, -0x1.b30daed6af4e1p-3, -0x1.b96dcaa6975acp-3, -0x1.bf390b26305b7p-3, -0x1.c4754414403e9p-3, -0x1.c9283235a091dp-3, -0x1.cd5778477c0a4p-3, -0x1.d1089c691304dp-3, -0x1.d44105f87982fp-3, -0x1.d705fbcc896fbp-3, -0x1.d95ca2cf9a35cp-3, -0x1.db49fce0987dcp-3, -0x1.dcd2e80607cf6p-3, -0x1.ddfc1dd36182dp-3, -0x1.deca33156ea9ep-3, -0x1.df4197a05d197p-3, -0x1.df6696569b1cap-3, -0x1.df3d554be9a0cp-3, -0x1.dec9d60ed5c63p-3, -0x1.de0ff60c80bb2p-3, -0x1.dd136f0b74012p-3, -0x1.dbd7d7beb196p-3, -0x1.da60a465a15ddp-3, -0x1.d8b1277f42852p-3, -0x1.d6cc928552108p-3, -0x1.d4b5f6b511124p-3, -0x1.d27045dca9f34p-3, -0x1.cffe5330f1d3p-3, -0x1.cd62d4261c9b7p-3, -0x1.caa0614c238b8p-3, -0x1.c7b9772c9707bp-3, -0x1.c4b07728e649dp-3, -0x1.c187a858b8a7fp-3, -0x1.be413865e0e38p-3, -0x1.badf3c67f6c08p-3, -0x1.b763b1bbc848ap-3, -0x1.b3d07ed90b55ap-3, -0x1.b0277422bd79ap-3, -0x1.ac6a4cb5cc18fp-3, -0x1.a89aaf321e5abp-3, -0x1.a4ba2e7f2c01ap-3, -0x1.a0ca4a8cfed5ep-3, -0x1.9ccc710f30bep-3, -0x1.98c1fe33de8bp-3, -0x1.94ac3d5586b4ap-3, -0x1.908c69a71fb34p-3, -0x1.8c63aedc390afp-3, -0x1.883329cb1c8ap-3, -0x1.83fbe909dd39ep-3, -0x1.7fbeed8712018p-3, -0x1.7b7d2b1c7ee36p-3, -0x1.7737891d3b4eap-3, -0x1.72eee2df0e436p-3, -0x1.6ea4083e53011p-3, -0x1.6a57be1d8cebbp-3, -0x1.660abee061a3fp-3, -0x1.61bdbae1aa2a5p-3, -0x1.5d7158e3f931dp-3, -0x1.592636817dd7fp-3, -0x1.54dce89226e8ep-3, -0x1.5095fb921a94ap-3, -0x1.4c51f4025c15dp-3, -0x1.48114ec5b1b0bp-3, -0x1.43d481799aaap-3, -0x1.3f9bfacc1b1f4p-3, -0x1.3b6822cde61f8p-3, -0x1.37395b40aa34dp-3, -0x1.330fffe26b394p-3, -0x1.2eec66b5fa2ddp-3, -0x1.2acee047ebddep-3, -0x1.26b7b7f06c6d7p-3, -0x1.22a73412ea81bp-3, -0x1.1e9d965ac0c25p-3, -0x1.1a9b1bf4ccfa6p-3, -0x1.169ffdc6dd135p-3, -0x1.12ac70a4f64d2p-3, -0x1.0ec0a583db053p-3, -0x1.0adcc9a921b94p-3, -0x1.070106d998a22p-3, -0x1.032d8385a0946p-3, -0x1.fec4c5e61ee03p-4, -0x1.f73f8acaae7c4p-4, -0x1.efcb90882c166p-4, -0x1.e8690c7f9c947p-4, -0x1.e1182ee95027ap-4, -0x1.d9d923178e3d3p-4, -0x1.d2ac0fb663d64p-4, -0x1.cb9117083a901p-4, -0x1.c488571f77afdp-4, -0x1.bd91ea15a5628p-4, -0x1.b6ade63fdc4bfp-4, -0x1.afdc5e60cc66p-4, -0x1.a91d61d835af1p-4, -0x1.a270fcd07d0fcp-4, -0x1.9bd73869bf22ep-4, -0x1.95501ae2ab4b1p-4, -0x1.8edba7bfc50e8p-4, -0x1.8879dff0e93f9p-4, -0x1.822ac1f4a51eep-4, -0x1.7bee49f991c7bp-4, -0x1.75c471fe60d4ap-4, -0x1.6fad31f0d477fp-4, -0x1.69a87fcae345ep-4, -0x1.63b64faddc3d4p-4, -0x1.5dd693fc60a04p-4, -0x1.58093d73ba8bbp-4, -0x1.524e3b440416fp-4, -0x1.4ca57b268487cp-4, -0x1.470ee972961abp-4, -0x1.418a713205913p-4, -0x1.3c17fc34fd773p-4, -0x1.36b77324c05c1p-4, -0x1.3168bd94ce6ccp-4, -0x1.2c2bc21310b78p-4, -0x1.270066379a2e9p-4, -0x1.21e68eb40bf3fp-4, -0x1.1cde1f62c5c06p-4, -0x1.17e6fb542bfe7p-4, -0x1.130104da6e639p-4, -0x1.0e2c1d9604f6ep-4, -0x1.096826821a72dp-4, -0x1.04b4ffffe1bffp-4, -0x1.001289e0cc275p-4, -0x1.f70146e043cb8p-5, -0x1.edfe56f92ba21p-5, -0x1.e51c00c394138p-5, -0x1.dc5a00228a98dp-5, -0x1.d3b8103503f53p-5, -0x1.cb35eb64bceb5p-5, -0x1.c2d34b74ddba2p-5, -0x1.ba8fe9907b78dp-5, -0x1.b26b7e59467b9p-5, -0x1.aa65c1f44b159p-5, -0x1.a27e6c159cc0bp-5, -0x1.9ab5340b9d57bp-5, -0x1.9309d0ca22e46p-5, -0x1.8b7bf8f5b121cp-5, -0x1.840b62ee1feb9p-5, -0x1.7cb7c4d838642p-5, -0x1.7580d4a6768cep-5, -0x1.6e6648217e2b4p-5, -0x1.6767d4f0a307ep-5, -0x1.608530a274b21p-5, -0x1.59be10b4d1eedp-5, -0x1.53122a9c31d86p-5, -0x1.4c8133ca544bp-5, -0x1.460ae1b4ad009p-5, -0x1.3faee9dae4d7fp-5, -0x1.396d01cd5e45ep-5, -0x1.3344df336f2f6p-5, -0x1.2d3637d118ef4p-5, -0x1.2740c18c37238p-5, -0x1.216432716dbdap-5, -0x1.1ba040b9149c5p-5, -0x1.15f4a2cc32faap-5, -0x1.10610f495b8e2p-5, -0x1.0ae53d093ca64p-5, -0x1.0580e322c3ed3p-5, -0x1.0033b8eefa61bp-5, -0x1.f5faec197f319p-6, -0x1.ebbba4c91b963p-6, -0x1.e1a90c587ffcbp-6, -0x1.d7c293d56cd07p-6, -0x1.ce07acf670a31p-6, -0x1.c477ca21209e7p-6, -0x1.bb125e6fec559p-6, -0x1.b1d6ddb7beebdp-6, -0x1.a8c4bc8dba451p-6, -0x1.9fdb704cdfeap-6, -0x1.971a6f1b9338dp-6, -0x1.8e812ff0b58ccp-6, -0x1.860f2a98549f7p-6, -0x1.7dc3d7b7fed7bp-6, -0x1.759eb0d2fef71p-6, -0x1.6d9f304e965f6p-6, -0x1.65c4d1763add1p-6, -0x1.5e0f107fb4c68p-6, -0x1.567d6a8eece3cp-6, -0x1.4f0f5db958856p-6, -0x1.47c46909199c5p-6, -0x1.409c0c804098cp-6, -0x1.3995c91c2df2cp-6, -0x1.32b120d877da6p-6, -0x1.2bed96b1616ccp-6, -0x1.254aaea698478p-6, -0x1.1ec7edbded2f8p-6, -0x1.1864da05c3885p-6, -0x1.1220fa9736347p-6, -0x1.0bfbd798172a2p-6, -0x1.05f4fa3cd666fp-6, -0x1.000becca74d9ep-6, -0x1.f480753091b8p-7, -0x1.e922e023773ecp-7, -0x1.ddfe356f959c7p-7, -0x1.d3119244ea1abp-7, -0x1.c85c1603d55d1p-7, -0x1.bddce23f5124fp-7, -0x1.b3931abf15319p-7, -0x1.a97de5812589dp-7, -0x1.9f9c6abc408b6p-7, -0x1.95edd4e0d2648p-7, -0x1.8c71509aaefe8p-7, -0x1.83260cd217c36p-7, -0x1.7a0b3aac9459fp-7, -0x1.71200d8d9cf0fp-7, -0x1.6863bb170ad5ep-7, -0x1.5fd57b295c02ep-7, -0x1.577487e3e2f8bp-7, -0x1.4f401da4deab3p-7, -0x1.47377b093d253p-7, -0x1.3f59e0ecaf846p-7, -0x1.37a6926863e29p-7, -0x1.301cd4d324b81p-7, -0x1.28bbefc00abf9p-7, -0x1.21832cfd7d198p-7, -0x1.1a71d893fd5d4p-7, -0x1.138740c4d663ep-7, -0x1.0cc2b608b10a3p-7, -0x1.06238b0e0dc88p-7, -0x1.ff52296f513dp-8, -0x1.f2a554355ecb2p-8, -0x1.e63f48f99092bp-8, -0x1.da1ebea3e829ap-8, -0x1.ce42707459e39p-8, -0x1.c2a91dfdb8f77p-8, -0x1.b7518b209983ep-8, -0x1.ac3a80061a15bp-8, -0x1.a162c91ab0d8p-8, -0x1.96c93708f0e2p-8, -0x1.8c6c9eb416199p-8, -0x1.824bd9323d7c2p-8, -0x1.7865c3c62e818p-8, -0x1.6eb93fd865174p-8, -0x1.654532efd7c6p-8, -0x1.5c0886aa9987bp-8, -0x1.530228b72af94p-8, -0x1.4a310acab88bdp-8, -0x1.419422a025ea9p-8, -0x1.392a69ec1667dp-8, -0x1.30f2de589c7bp-8, -0x1.28ec817dddd76p-8, -0x1.211658d92036fp-8, -0x1.196f6dc3ff3e5p-8, -0x1.11f6cd6ae4f14p-8, -0x1.0aab88c3a1662p-8, -0x1.038cb484d4742p-8, -0x1.f932d23c4fe7dp-9, -0x1.eba18562bf489p-9, -0x1.de63c2173d13cp-9, -0x1.d177cf3c7c7fdp-9, -0x1.c4dbfaecc01d3p-9, -0x1.b88e9a660136cp-9, -0x1.ac8e09f386cbap-9, -0x1.a0d8acd6c7448p-9, -0x1.956ced316d345p-9, -0x1.8a493bf1ff127p-9, -0x1.7f6c10c3aa4a5p-9, -0x1.74d3ea00f953p-9, -0x1.6a7f4ca7dafc4p-9, -0x1.606cc44c4a739p-9, -0x1.569ae307f2eafp-9, -0x1.4d0841650143ep-9, -0x1.43b37e45192fp-9, -0x1.3a9b3ec63ad0fp-9, -0x1.31be2e287ee22p-9, -0x1.291afdb750c6p-9, -0x1.20b064b87d03bp-9, -0x1.187d205fcb5c6p-9, -0x1.107ff3c614081p-9, -0x1.08b7a7e02248ap-9, -0x1.01230b71dd58ap-9, -0x1.f381e5f69b333p-10, -0x1.e520713e22b38p-10, -0x1.d71f780698119p-10, -0x1.c97cc473c4d63p-10, -0x1.bc362b17f216dp-10, -0x1.af498b16c7b82p-10, -0x1.a2b4cdc37eaafp-10, -0x1.9675e6b64e4eap-10, -0x1.8a8ad3bdda562p-10, -0x1.7ef19cd6747d6p-10, -0x1.73a8541544e63p-10, -0x1.68ad1581cf983p-10, -0x1.5dfe06dd9dba3p-10, -0x1.5399575f194bep-10, -0x1.497d3f69c5565p-10, -0x1.3fa8004dcafbdp-10, -0x1.3617e418c64f7p-10, -0x1.2ccb3d7b7973cp-10, -0x1.23c067c2e8513p-10, -0x1.1af5c6dd7ba3dp-10, -0x1.1269c76110782p-10, -0x1.0a1ade86a328dp-10, -0x1.02078a12721f4p-10, -0x1.f45ca04a918afp-11, -0x1.e51b7df48068bp-11, -0x1.d648d932bc03ep-11, -0x1.c7e1ed198a854p-11, -0x1.b9e403372f1c6p-11, -0x1.ac4c732d7cb0bp-11, -0x1.9f18a2c3ec41bp-11, -0x1.924605a44232p-11, -0x1.85d21d8c204c3p-11, -0x1.79ba7a6b661fdp-11, -0x1.6dfcba75adcfbp-11, -0x1.629689eba9037p-11, -0x1.5785a3228ab8bp-11, -0x1.4cc7cdd6db2dfp-11, -0x1.425adec6ccae5p-11, -0x1.383cb7152b34cp-11, -0x1.2e6b43bb2a80ap-11, -0x1.24e47d17cd785p-11, -0x1.1ba666a3a29b6p-11, -0x1.12af0ec4bc2cfp-11, -0x1.09fc8ec92abf3p-11, -0x1.018d0aeb1bb82p-11, -0x1.f2bd64c9ad83fp-12, -0x1.e2df7f081d0b6p-12, -0x1.d37cef6daa3c2p-12, -0x1.c492570c2f144p-12, -0x1.b61c6cdfc59c7p-12, -0x1.a817fd302be74p-12, -0x1.9a81e89f9aebcp-12, -0x1.8d572310e7259p-12, -0x1.8094b299c7645p-12, -0x1.7437aea8f1767p-12, -0x1.683d3f65bd99p-12, -0x1.5ca29d3b86c14p-12, -0x1.5165107dfde78p-12, -0x1.4681f12ba88acp-12, -0x1.3bf6a6e64ba3cp-12, -0x1.31c0a940df8b3p-12, -0x1.27dd805a59cc6p-12, -0x1.1e4ac58b2ba51p-12, -0x1.150623cb8e74p-12, -0x1.0c0d5784566b4p-12, -0x1.035e2dbeaeb2fp-12, -0x1.f5ed05ce15acdp-13, -0x1.e5a8831bb4dd4p-13, -0x1.d5eac2af2f2e1p-13, -0x1.c6afcca76690dp-13, -0x1.b7f3c0c957b9cp-13, -0x1.a9b2d53c597b2p-13, -0x1.9be955222c388p-13, -0x1.8e939fa3fc61cp-13, -0x1.81ae282d302e7p-13, -0x1.75357828a7ebfp-13, -0x1.692631af8a854p-13, -0x1.5d7d11fdf0582p-13, -0x1.5236f27c71f28p-13, -0x1.4750c7ea01c05p-13, -0x1.3cc7a01c054f1p-13, -0x1.32989f641b488p-13, -0x1.28c0ffb9bf16p-13, -0x1.1f3e0c31502p-13, -0x1.160d223943822p-13, -0x1.0d2bb520aa699p-13, -0x1.0497432c2379p-13, -0x1.f89ab2006bfabp-14, -0x1.e8971e660e658p-14, -0x1.d91f15072622ap-14, -0x1.ca2dfbcfe691cp-14, -0x1.bbbf5a838b761p-14, -0x1.adcedeafccb7ep-14, -0x1.a0585c7a3bcbap-14, -0x1.9357cc956863ap-14, -0x1.86c94a1ae9449p-14, -0x1.7aa910c21d3b1p-14, -0x1.6ef37e33f960ep-14, -0x1.63a512ee60f33p-14, -0x1.58ba709646f76p-14, -0x1.4e3054f2e9a55p-14, -0x1.440392fd6ebfdp-14, -0x1.3a310d5149d99p-14, -0x1.30b5b47d5fca9p-14, -0x1.278e88f8e6a7bp-14, -0x1.1eb89e56759dp-14, -0x1.16311d6b35e8fp-14, -0x1.0df54446285bp-14, -0x1.0602640b07c4fp-14, -0x1.fcabc012cc4b9p-15, -0x1.edda56c455b91p-15, -0x1.df8b97c08312dp-15, -0x1.d1babfa73cb5bp-15, -0x1.c4634a79c51b9p-15, -0x1.b780fb784fa04p-15, -0x1.ab0fceb54c48cp-15, -0x1.9f0bf2f2fd829p-15, -0x1.9371a5e663c83p-15, -0x1.883d2ff401dd3p-15, -0x1.7d6ae6f307c8dp-15, -0x1.72f7396aa1936p-15, -0x1.68deb5e1dec64p-15, -0x1.5f1e097f92bb8p-15, -0x1.55b1f84763897p-15, -0x1.4c9754ebdd486p-15, -0x1.43cafc737c934p-15, -0x1.3b49d70041e29p-15, -0x1.3310dd538578bp-15, -0x1.2b1d2219d1a78p-15, -0x1.236bddc702f8fp-15, -0x1.1bfa79ef75589p-15, -0x1.14c6965f0a22ap-15, -0x1.0dce0294677d2p-15, -0x1.070eac47072fdp-15, -0x1.00868b88a2b09p-15, -0x1.f4672e71b317cp-16, -0x1.e8278e6246da6p-16, -0x1.dc4a3da9fc137p-16, -0x1.d0cb6caf485eap-16, -0x1.c5a77805fda5dp-16, -0x1.badadc9859a28p-16, -0x1.b062279e305a8p-16, -0x1.a639ee93d3c62p-16, -0x1.9c5ed3215df61p-16, -0x1.92cd8dd686c4p-16, -0x1.8982f608de861p-16, -0x1.807c039cd3cfep-16, -0x1.77b5d09bf7c69p-16, -0x1.6f2dab5b5ed8ep-16, -0x1.66e126804d3f4p-16, -0x1.5ece1986da4abp-16, -0x1.56f2819b745fep-16, -0x1.4f4c58f6bc709p-16, -0x1.47d9876045d53p-16, -0x1.4097f42a48ed3p-16, -0x1.39859f1ca8d88p-16, -0x1.32a0a57dfdb43p-16, -0x1.2be737541e17ap-16, -0x1.255790a92c758p-16, -0x1.1eeffc45e9ad4p-16, -0x1.18aed6e2584c5p-16, -0x1.12928cf707ff3p-16, -0x1.0c99954053bbbp-16, -0x1.06c26d1f26592p-16, -0x1.010b9c57e12b5p-16, -0x1.f6e781e17cdbbp-17, -0x1.ebf336b5d0fcp-17, -0x1.e1381e93f52d9p-17, -0x1.d6b42d065b93p-17, -0x1.cc6560481e96fp-17, -0x1.c249b2a31f942p-17, -0x1.b85f248c52ff8p-17, -0x1.aea3d02762e8ep-17, -0x1.a515f3b21d6aep-17, -0x1.9bb3eab8cf96dp-17, -0x1.927c1c5d01dd3p-17, -0x1.896cf42b9d4c4p-17, -0x1.8084eb01706ap-17, -0x1.77c2975d5c0a8p-17, -0x1.6f249dba6284p-17, -0x1.66a9b9b55d12bp-17, -0x1.5e50a6bb5c738p-17, -0x1.5618289010906p-17, -0x1.4dff10b162678p-17, -0x1.46044dabb628cp-17, -0x1.3e26f2b402c8dp-17, -0x1.36662b8a7f826p-17, -0x1.2ec128c2b148bp-17, -0x1.2737195ed246dp-17, -0x1.1fc72fa6040eep-17, -0x1.1870a154e6e7dp-17, -0x1.1132a54ae333bp-17, -0x1.0a0c7dc66d53cp-17, -0x1.02fd8a0a62584p-17, -0x1.f80a8d296e6b5p-18, -0x1.ea466f9122426p-18, -0x1.dcadb74832296p-18, -0x1.cf3f619b6ae14p-18, -0x1.c1fa7b1ce692ap-18, -0x1.b4de19d2ba46ep-18, -0x1.a7e95e1832adfp-18, -0x1.9b1b7fed96ffcp-18, -0x1.8e73c3f27afc9p-18, -0x1.81f1799d7f0adp-18, -0x1.7593f96daae52p-18, -0x1.695aa14333544p-18, -0x1.5d44e3cfe719fp-18, -0x1.51525537a65e9p-18, -0x1.45829b1e1d077p-18, -0x1.39d55322b423ep-18, -0x1.2e4a0d006db59p-18, -0x1.22e04f54d1514p-18, -0x1.17979fc6ef79cp-18, -0x1.0c6f93e91aae9p-18, -0x1.0167df03e6d87p-18, -0x1.ed00ad0ad92c4p-19, -0x1.d771a962e1f16p-19, -0x1.c2223436fe6eap-19, -0x1.ad11bfc397e79p-19, -0x1.983fe3730a4efp-19, -0x1.83ac50f6966e7p-19, -0x1.6f56bb4e319ccp-19, -0x1.5b3ecc24af3f9p-19, -0x1.476421e3117d5p-19, -0x1.33c65ae7bf5b1p-19, -0x1.20652f96f4733p-19, -0x1.0d4083712ef2p-19, -0x1.f4b08204a9bbbp-20, -0x1.cf586af47677dp-20, -0x1.aa7853dbd59fp-20, -0x1.860fef9c79796p-20, -0x1.621efbc3bbb1ep-20, -0x1.3ea53c511b4efp-20, -0x1.1ba275c1598b6p-20, -0x1.f22cbdb10e984p-21, -0x1.ae01551c859eap-21, -0x1.6ac2344d36ba4p-21, -0x1.286ef796e4be7p-21, -0x1.ce0eb61cce82p-22, -0x1.4d1631bbaf5ap-22, -0x1.9be6eed923598p-23, -0x1.42970f8b79b8fp-24, 0x1.5699278e3fefbp-25, 0x1.48f078e78eddep-23, 0x1.1c4ab767179a2p-22, 0x1.924ba336d68f1p-22, 0x1.033dcf26722dep-21, 0x1.3c6d8a867ddb5p-21, 0x1.74b57c4475704p-21, 0x1.ac162f3ab83d9p-21, 0x1.e2900ef8aa571p-21, 0x1.0c11cb04488ap-20, 0x1.2668a393c5dc1p-20, 0x1.404cd1f6e81a4p-20, 0x1.59be9adbfc769p-20, 0x1.72be48cc56fb6p-20, 0x1.8b4c2acda43c6p-20, 0x1.a36892f77885dp-20, 0x1.bb13d85de3997p-20, 0x1.d24e5856611f3p-20, 0x1.e918713388166p-20, 0x1.ff7283e8ee51cp-20, 0x1.0aae7e9131bfep-19, 0x1.156c0c6c09d95p-19, 0x1.1ff1ab0b4209ap-19, 0x1.2a40b47bfc51fp-19, 0x1.34594367416dp-19, 0x1.3e3a96470daf6p-19, 0x1.47e5691ac370ep-19, 0x1.515a102153b63p-19, 0x1.5a98cc314d0d9p-19, 0x1.63a1ddf997b32p-19, 0x1.6c758cac8b4f4p-19, 0x1.7514225644ab7p-19, 0x1.7d7dea230d21dp-19, 0x1.85b33143cdb5cp-19, 0x1.8db44728fabffp-19, 0x1.95817d68cae0ep-19, 0x1.9d1b279ebc226p-19, 0x1.a4819b614b454p-19, 0x1.abb5303479a32p-19, 0x1.b2b63f78a802ap-19, 0x1.b9852443a2f8dp-19, 0x1.c0223b46705ep-19, 0x1.c68de2d5dddabp-19, 0x1.ccc87b73fafccp-19, 0x1.d2d2669bb49bfp-19, 0x1.d8ac05f36092dp-19, 0x1.de55c04296f35p-19, 0x1.e3cffd3eaf1cfp-19, 0x1.e91b25fc9c797p-19, 0x1.ee37a33b2ba2dp-19, 0x1.f325e03b97259p-19, 0x1.f7e64843be376p-19, 0x1.fc794917ac7ddp-19, 0x1.006fa7073e215p-18, 0x1.028ccb2719c09p-18, 0x1.04931908b9564p-18, 0x1.0683fbe4fe3aap-18, 0x1.085f43c82daf5p-18, 0x1.0a252b7431dcp-18, 0x1.0bd5ee8f7b9aap-18, 0x1.0d71c847bc371p-18, 0x1.0ef8f3b200c75p-18, 0x1.106bd55abab4fp-18, 0x1.11ca309dbe209p-18, 0x1.1314ba035f3f7p-18, 0x1.144b8665cea9cp-18, 0x1.156ed355e1fb8p-18, 0x1.167ede80270bdp-18, 0x1.177be58bb6111p-18, 0x1.186626399251ap-18, 0x1.193dde4b3949bp-18, 0x1.1a034bd156427p-18, 0x1.1ab6ae493ad83p-18, 0x1.1b58444a01094p-18, 0x1.1be84c978c0e2p-18, 0x1.1c6706651a426p-18, 0x1.1cd4b011909aep-18, 0x1.1d3188ddda021p-18, 0x1.1d7dcfe8c3b73p-18, 0x1.1db9c42b948b7p-18, 0x1.1de5a4ad36ef6p-18, 0x1.1e01b079919c7p-18, 0x1.1e0e26952acfap-18, 0x1.1e0b45f1b3d5p-18, 0x1.1df94d676a3c4p-18, 0x1.1dd87c95810f9p-18, 0x1.1da912ee7a9e7p-18, 0x1.1d6b4a1ef6d2ep-18, 0x1.1d1f64d98bbedp-18, 0x1.1cc5a05f52ce6p-18, 0x1.1c5e3ac51a89fp-18, 0x1.1be972379bc71p-18, 0x1.1b678512e1f79p-18, 0x1.1ad8af81f0825p-18, 0x1.1a3d2e59bf2e2p-18, 0x1.19953ed07d026p-18, 0x1.18e11db311c16p-18, 0x1.182107ccd23b3p-18, 0x1.175538cab01b6p-18, 0x1.167dec6e70294p-18, 0x1.159b5e32bf714p-18, 0x1.14adc9391b67ep-18, 0x1.13b56838a0ecbp-18, 0x1.12b275af8d7dap-18, 0x1.11a52b8a0588dp-18, 0x1.108dc3a61ce99p-18, 0x1.0f6c7738b8413p-18, 0x1.0e417f048b4a8p-18, 0x1.0d0d137559774p-18, 0x1.0bcf6c864bba3p-18, 0x1.0a88c0fb5d55fp-18, 0x1.093948f080cbcp-18, 0x1.07e13b4a95277p-18, 0x1.0680d028246bdp-18, 0x1.05183cc672228p-18, 0x1.03a7b286c3ee4p-18, 0x1.022f69a024dd9p-18, 0x1.00af95d83831cp-18, 0x1.fe50d696a53edp-19, 0x1.fb343ad5ae409p-19, 0x1.f809be60e4984p-19, 0x1.f4d1c63aec1c3p-19, 0x1.f18cb647d1526p-19, 0x1.ee3af1894f91p-19, 0x1.eadcd9d41287cp-19, 0x1.e772d02842fe2p-19, 0x1.e3fd34599d38cp-19, 0x1.e07c653803a4fp-19, 0x1.dcf0c0863c706p-19, 0x1.d95aa2ec7e562p-19, 0x1.d5ba67ff1efa6p-19, 0x1.d2106a4e146ccp-19, 0x1.ce5d036c8207ep-19, 0x1.caa08bc538f31p-19, 0x1.c6db5a9a8722ep-19, 0x1.c30dc62d78c99p-19, 0x1.bf3823c6dd10dp-19, 0x1.bb5ac77b26996p-19, 0x1.b77604459f202p-19, 0x1.b38a2c0ecca45p-19, 0x1.af978f824e182p-19, 0x1.ab9e7e767cad9p-19, 0x1.a79f47916ec9bp-19, 0x1.a39a38516367cp-19, 0x1.9f8f9d4c5fb0bp-19, 0x1.9b7fc1c606e4ap-19, 0x1.976aefeb9c74dp-19, 0x1.935170eecbdcdp-19, 0x1.8f338d1896f0bp-19, 0x1.8b118b510e365p-19, 0x1.86ebb1751ae5ep-19, 0x1.82c244985d8bp-19, 0x1.7e95887fe1d93p-19, 0x1.7a65bfcc9e371p-19, 0x1.76332bb15be0cp-19, 0x1.71fe143bdfb66p-19, 0x1.6dc6a58325bcp-19, 0x1.698d315d38ed8p-19, 0x1.6551ede138412p-19, 0x1.611517f9398a5p-19, 0x1.5cd6ea6979d92p-19, 0x1.5897a1f570b3bp-19, 0x1.5457780864d6p-19, 0x1.5016ad92d5a23p-19, 0x1.4bd54dd32b94bp-19, 0x1.4793aef2c8459p-19, 0x1.435248d9b796ep-19, 0x1.3f10d38486008p-19, 0x1.3acfc9826642ep-19, 0x1.368f53e3770cdp-19, 0x1.324fa1fbfe328p-19, 0x1.2e10e3bc65e57p-19, 0x1.29d34878fb786p-19, 0x1.2596fe971f731p-19, 0x1.215c337cda05bp-19, }}, 
      {{-0x1.a727e1ea7bc22p-6, -0x1.98c9dfca6d678p-4, -0x1.b59effb358a51p-3, -0x1.6e0c3a6d0485bp-2, -0x1.0ad11df0e84f5p-1, -0x1.6418a06c63348p-1, -0x1.bed72713482a5p-1, -0x1.0be0cb10c49d7p+0, -0x1.3620b243f3a05p+0, -0x1.5d323b5e78acap+0, -0x1.80645d5a4acc3p+0, -0x1.9f4373a9e502ep+0, -0x1.b98f089200b17p+0, -0x1.cf306c4f46163p+0, -0x1.e032421e647efp+0, -0x1.ecb9105fe953dp+0, -0x1.f4fcd1554871ap+0, -0x1.f943784ea7d6fp+0, -0x1.f9dc596ec674ap+0, -0x1.f71c5f2b5b90ep+0, -0x1.f15af780dcc64p+0, -0x1.e8efa2d76df94p+0, -0x1.de300f1e601b7p+0, -0x1.d16eaadbfb59dp+0, -0x1.c2f99e2d5190fp+0, -0x1.b31a17de07da6p+0, -0x1.a213df1649657p+0, -0x1.90251df763db9p+0, -0x1.7d865675bae7ap+0, -0x1.6a6a7944734f4p+0, -0x1.56ff15af7805bp+0, -0x1.436c9a36eb67cp+0, -0x1.2fd6a12958cbep+0, -0x1.1c5c43795f277p+0, -0x1.09186eba66564p+0, -0x1.ec447691003edp-1, -0x1.c71a8183b0584p-1, -0x1.a2d3cf78eab59p-1, -0x1.7f8b7010907bep-1, -0x1.5d5745e04f65p-1, -0x1.3c4892589e2ecp-1, -0x1.1c6c78ea8793ap-1, -0x1.fb98f271cd2bbp-2, -0x1.c0ddbfb37df3p-2, -0x1.88ae5aa2d3401p-2, -0x1.530ce6ef555a5p-2, -0x1.1ff753ca5a007p-2, -0x1.decfe8875e0ccp-3, -0x1.82ac10d35f832p-3, -0x1.2b6c7091291cep-3, -0x1.b1ec079b17bc2p-4, -0x1.16546da78881bp-4, -0x1.079e545f3cb5p-5, 0x1.7acda4972f825p-10, 0x1.0e4b3f32a790ap-5, 0x1.002d7ff0aef08p-4, 0x1.7151f610118a3p-4, 0x1.dae31696f490cp-4, 0x1.1e98a5c4095a3p-3, 0x1.4c4665f1021bcp-3, 0x1.76a29241d1f28p-3, 0x1.9dd46b54bfbdp-3, 0x1.c20281a2a9e9ap-3, 0x1.e3529329e923p-3, 0x1.00f4b7e5b7fdbp-2, 0x1.0ef570ab4007p-2, 0x1.1bbcce119a0c2p-2, 0x1.275b97609d3dap-2, 0x1.31e1fe1ac884p-2, 0x1.3b5f98c62445ap-2, 0x1.43e3638d7fd4p-2, 0x1.4b7bbd7a3e229p-2, 0x1.52366b527db29p-2, 0x1.5820970efa7adp-2, 0x1.5d46d3c34ac4dp-2, 0x1.61b51f4d5cf3ep-2, 0x1.6576e647e2aa5p-2, 0x1.689707d6f26edp-2, 0x1.6b1fd92b59f8bp-2, 0x1.6d1b2ad9d235p-2, 0x1.6e924c281cdbbp-2, 0x1.6f8e10ed3ca24p-2, 0x1.7016d53d87b34p-2, 0x1.703482eaff42dp-2, 0x1.6fee95dc4dbfap-2, 0x1.6f4c20dfa3cf3p-2, 0x1.6e53d26cd13ccp-2, 0x1.6d0bf8fe826dep-2, 0x1.6b7a87cc9d513p-2, 0x1.69a51ae8683fcp-2, 0x1.6790fbad1dc0cp-2, 0x1.654324aa95158p-2, 0x1.62c045be8a321p-2, 0x1.600cc7c5d175dp-2, 0x1.5d2cd05894422p-2, 0x1.5a244548c1cb2p-2, 0x1.56f6cff2a03e6p-2, 0x1.53a7e0950af57p-2, 0x1.503ab137f91c3p-2, 0x1.4cb248cd3f14p-2, 0x1.49117dda19cb8p-2, 0x1.455af92c55d8ep-2, 0x1.4191387d24f17p-2, 0x1.3db690aacc41p-2, 0x1.39cd303b8d6e3p-2, 0x1.35d7216d6631ap-2, 0x1.31d64c3e84136p-2, 0x1.2dcc78947d8p-2, 0x1.29bb4fdfb5934p-2, 0x1.25a45efb95cedp-2, 0x1.218917eee50b5p-2, 0x1.1d6ad34779554p-2, 0x1.194ad1c79bd25p-2, 0x1.152a3dcef9f4p-2, 0x1.110a2c7f2f674p-2, 0x1.0ceb9f30db609p-2, 0x1.08cf849ba2121p-2, 0x1.04b6b9c8709aap-2, 0x1.00a20b4f75d35p-2, 0x1.f9246ca78f272p-3, 0x1.f10fd28ce980bp-3, 0x1.e90789de446aep-3, 0x1.e10cba97cb838p-3, 0x1.d92074594ecfcp-3, 0x1.d143b00a1bf4bp-3, 0x1.c97751741fdd7p-3, 0x1.c1bc284991613p-3, 0x1.ba12f158b6815p-3, 0x1.b27c57fd0f652p-3, 0x1.aaf8f71aac03p-3, 0x1.a38959f2e3dbfp-3, 0x1.9c2dfd4dae7ep-3, 0x1.94e7507ef0ecap-3, 0x1.8db5b60e3ecaep-3, 0x1.8699847fbf5aap-3, 0x1.7f930749e259p-3, 0x1.78a27f87575bap-3, 0x1.71c82479c0649p-3, 0x1.6b04243b8c389p-3, 0x1.6456a47e543edp-3, 0x1.5dbfc30a73ea7p-3, 0x1.573f962891ed8p-3, 0x1.50d62d3485477p-3, 0x1.4a8391312c388p-3, 0x1.4447c529397dp-3, 0x1.3e22c681b0343p-3, 0x1.38148d6dd1e49p-3, 0x1.321d0d649e7c2p-3, 0x1.2c3c356e0840cp-3, 0x1.2671f060c6a06p-3, 0x1.20be2539c2167p-3, 0x1.1b20b77af14eap-3, 0x1.1599876c59978p-3, 0x1.10287249ecca1p-3, 0x1.0acd528155f0ep-3, 0x1.0587fffd57832p-3, 0x1.0058505f56359p-3, 0x1.f67c2e475a2d1p-4, 0x1.ec724b9467557p-4, 0x1.e292981c8d308p-4, 0x1.d8dcb033d3fe4p-4, 0x1.cf502d4d2e352p-4, 0x1.c5eca62fa8dc1p-4, 0x1.bcb1af40165d6p-4, 0x1.b39edad5737d4p-4, 0x1.aab3b97886329p-4, 0x1.a1efda0e0674fp-4, 0x1.9952ca02a96c4p-4, 0x1.90dc15861f191p-4, 0x1.888b47c4f657bp-4, 0x1.805feb113872cp-4, 0x1.78598900f3cf3p-4, 0x1.7077aa91313e8p-4, 0x1.68b9d850cf2fap-4, 0x1.611f9a875de33p-4, 0x1.59a87950856d3p-4, 0x1.5253fcb2dbc3bp-4, 0x1.4b21acb9d0b1fp-4, 0x1.4411119322bc4p-4, 0x1.3d21b3a913e7dp-4, 0x1.36531bb55c3efp-4, 0x1.2fa4d2d1cf865p-4, 0x1.2916628ac76aap-4, 0x1.22a754f2c6fefp-4, 0x1.1c5734b414ap-4, 0x1.16258d1dbd8fdp-4, 0x1.1011ea2ee926ep-4, 0x1.0a1bd8a38a1bp-4, 0x1.0442e6016d5d3p-4, 0x1.fd0d414798323p-5, 0x1.f1cd2f88111a8p-5, 0x1.e6c4b7014aba9p-5, 0x1.dbf2f9ca5a65cp-5, 0x1.d1571be604785p-5, 0x1.c6f043520da45p-5, 0x1.bcbd981288db3p-5, 0x1.b2be4439bae35p-5, 0x1.a8f173efc32b1p-5, 0x1.9f56557ccf856p-5, 0x1.95ec1953cb654p-5, 0x1.8cb1f219f1d27p-5, 0x1.83a714ab1aae9p-5, 0x1.7acab81c43821p-5, 0x1.721c15beb805cp-5, 0x1.699a69256f616p-5, 0x1.6144f02a9dd7bp-5, 0x1.591aeaf2b3172p-5, 0x1.511b9becabdaap-5, 0x1.494647d14090ap-5, 0x1.419a35a29b1ddp-5, 0x1.3a16aeadaef7ep-5, 0x1.32bafe8c44b05p-5, 0x1.2b8673257681fp-5, 0x1.24785cabf44a4p-5, 0x1.1d900d9b18ec8p-5, 0x1.16ccdab4260ecp-5, 0x1.102e1afc8b97bp-5, 0x1.09b327bd2abe4p-5, 0x1.035b5c8146c3cp-5, 0x1.fa4c2e28000c9p-6, 0x1.ee256ef8d1ca2p-6, 0x1.e2413ff283f6ep-6, 0x1.d69e69fa440a7p-6, 0x1.cb3bba56efd03p-6, 0x1.c01802abfc104p-6, 0x1.b53218f3935f3p-6, 0x1.aa88d776a8af2p-6, 0x1.a01b1cc35a83fp-6, 0x1.95e7cba306a3ap-6, 0x1.8bedcb11178c6p-6, 0x1.822c0632fb941p-6, 0x1.78a16c50aae02p-6, 0x1.6f4cf0ccc484cp-6, 0x1.662d8b1b76048p-6, 0x1.5d4236b83d5f9p-6, 0x1.5489f31b4d8c6p-6, 0x1.4c03c3af62d29p-6, 0x1.43aeafc855259p-6, 0x1.3b89c29a2ec95p-6, 0x1.33940b303e0abp-6, 0x1.2bcc9c638e447p-6, 0x1.24328cd0aedbbp-6, 0x1.1cc4f6ccfb929p-6, 0x1.1582f85bf2edbp-6, 0x1.0e6bb3250872dp-6, 0x1.077e4c69df0d4p-6, 0x1.00b9ecfcc7b3dp-6, 0x1.f43b826e28dbep-7, 0x1.e751f1de2afecp-7, 0x1.dab58edb82dcbp-7, 0x1.ce64c6c82d56dp-7, 0x1.c25e0dc151b41p-7, 0x1.b69fde8aeff8fp-7, 0x1.ab28ba7c2cdf9p-7, 0x1.9ff7296bd7835p-7, 0x1.9509b99cd17e7p-7, 0x1.8a5effaa3ebc6p-7, 0x1.7ff59673380ap-7, 0x1.75cc1f0672642p-7, 0x1.6be1408de3751p-7, 0x1.6233a83ae6246p-7, 0x1.58c20932b7d0fp-7, 0x1.4f8b1c7b48941p-7, 0x1.468da0e7f8184p-7, 0x1.3dc85b065a2dep-7, 0x1.353a150adf825p-7, 0x1.2ce19ebd61347p-7, 0x1.24bdcd65d1d9ap-7, 0x1.1ccd7bb91385ap-7, 0x1.150f89c61d572p-7, 0x1.0d82dce354aadp-7, 0x1.06265f9c09a17p-7, 0x1.fdf2033be8b4bp-8, 0x1.eff36f4dc8p-8, 0x1.e24ef6e502c8fp-8, 0x1.d5029750341fcp-8, 0x1.c80c57916fbc6p-8, 0x1.bb6a483a2cd4dp-8, 0x1.af1a8347ca5ap-8, 0x1.a31b2c0003ba5p-8, 0x1.976a6ecda6a8dp-8, 0x1.8c06811de5acdp-8, 0x1.80eda13e22523p-8, 0x1.761e163a7ea1ap-8, 0x1.6b962fbcc8ac7p-8, 0x1.615445eb3a766p-8, 0x1.5756b94735ef7p-8, 0x1.4d9bf28b57328p-8, 0x1.44226289be7f7p-8, 0x1.3ae8820abcb9bp-8, 0x1.31ecd1ac75107p-8, 0x1.292dd9c436092p-8, 0x1.20aa2a40b5b06p-8, 0x1.18605a8d12432p-8, 0x1.104f09731b9ap-8, 0x1.0874dcfc3b54cp-8, 0x1.00d082514df6p-8, 0x1.f2c15b32e1c13p-9, 0x1.e44833b34fe18p-9, 0x1.d63311addf78ap-9, 0x1.c87f85f4ff5b8p-9, 0x1.bb2b2e73250f1p-9, 0x1.ae33b5fbdffe4p-9, 0x1.a196d41b88574p-9, 0x1.95524ce1282a1p-9, 0x1.8963f0a0ca692p-9, 0x1.7dc99bb00e4d7p-9, 0x1.72813621d98ccp-9, 0x1.6788b386bb557p-9, 0x1.5cde12b870f15p-9, 0x1.527f5db188d37p-9, 0x1.486aa96e4c2bdp-9, 0x1.3e9e15d1122d6p-9, 0x1.3517cd7fabab3p-9, 0x1.2bd605b374793p-9, 0x1.22d6fdf9357dfp-9, 0x1.1a18ffe48b762p-9, 0x1.119a5ebffbaa9p-9, 0x1.095977470a11ap-9, 0x1.0154af72e72f3p-9, 0x1.f314ecbfd5cf1p-10, 0x1.e3f2888d7b72p-10, 0x1.d53f34fc6f9bfp-10, 0x1.c6f806eab502ep-10, 0x1.b91a252f2342fp-10, 0x1.aba2c8231949cp-10, 0x1.9e8f38f496213p-10, 0x1.91dcd0d7f79b2p-10, 0x1.8588f84246dep-10, 0x1.79912654d0068p-10, 0x1.6df2e097e3fdp-10, 0x1.62abbb07a3b36p-10, 0x1.57b9585f59101p-10, 0x1.4d196a74ba7a5p-10, 0x1.42c9b26f03007p-10, 0x1.38c800aab730bp-10, 0x1.2f123436196f1p-10, 0x1.25a639e97aacfp-10, 0x1.1c820b50d192p-10, 0x1.13a3ad956828dp-10, 0x1.0b0930b5eeb7p-10, 0x1.02b0af33bb5ep-10, 0x1.f5309c8fccb99p-11, 0x1.e57c7d077ba2p-11, 0x1.d64179463e498p-11, 0x1.c77c24862b99p-11, 0x1.b9292c64392c3p-11, 0x1.ab455854c6d5ap-11, 0x1.9dcd87dc577ccp-11, 0x1.90beafd901601p-11, 0x1.8415d76e86b09p-11, 0x1.77d01550313ccp-11, 0x1.6bea8e0b8dde5p-11, 0x1.606273bd24e64p-11, 0x1.55350736c1334p-11, 0x1.4a5f9a414ea93p-11, 0x1.3fdf924ea00dfp-11, 0x1.35b26ad2161d4p-11, 0x1.2bd5b6851ca79p-11, 0x1.22471f1a279cdp-11, 0x1.19046349db6d7p-11, 0x1.100b538d105a2p-11, 0x1.0759ce3705b6p-11, 0x1.fddb779383543p-12, 0x1.ed8a18b5afabbp-12, 0x1.ddbb6d3bfb3b7p-12, 0x1.ce6b718bd10fdp-12, 0x1.bf9635fa86186p-12, 0x1.b137e5b013967p-12, 0x1.a34ccdcfbf5a1p-12, 0x1.95d16304a22b7p-12, 0x1.88c243f1b4e22p-12, 0x1.7c1c37dc91d1bp-12, 0x1.6fdc2994c5aeap-12, 0x1.63ff1f924e315p-12, 0x1.588232e443813p-12, 0x1.4d6286d84f7d9p-12, 0x1.429d430cb5e3dp-12, 0x1.382f91272b541p-12, 0x1.2e169e9a2e2dcp-12, 0x1.244fa20053731p-12, 0x1.1ad7e2d12cd1fp-12, 0x1.11acc1b255137p-12, 0x1.08cbbf8bf346fp-12, 0x1.003281cf274afp-12, 0x1.efbda5eeb3055p-13, 0x1.df9d3e3375f22p-13, 0x1.cfffda3147d67p-13, 0x1.c0e1ab77a9394p-13, 0x1.b23ef4c24e8f7p-13, 0x1.a413fa20e3777p-13, 0x1.965cf71692c2bp-13, 0x1.89161c8f1ac3p-13, 0x1.7c3b96dafc7fep-13, 0x1.6fc99a0a657e5p-13, 0x1.63bc71a553405p-13, 0x1.5810905c6aad8p-13, 0x1.4cc29cc448ad7p-13, 0x1.41cf790c8a7a9p-13, 0x1.3734449f343a9p-13, 0x1.2cee57460cbb3p-13, 0x1.22fb364eb7231p-13, 0x1.1958852b76d5dp-13, 0x1.1003f438ec3f5p-13, 0x1.06fb313a8949cp-13, 0x1.fc77ba3dc647bp-14, 0x1.eb87129873229p-14, 0x1.db1f7908a0ba9p-14, 0x1.cb3bfa1af321ap-14, 0x1.bbd7b9370c6a3p-14, 0x1.acee05d095e5ap-14, 0x1.9e7a6b2f507acp-14, 0x1.9078bb632771cp-14, 0x1.82e516cf5c668p-14, 0x1.75bbefb84b83ep-14, 0x1.68fa070b4c9b9p-14, 0x1.5c9c5e714c97ep-14, 0x1.50a02151d2873p-14, 0x1.450289a721929p-14, 0x1.39c0c6fd565fcp-14, 0x1.2ed7f3b07a699p-14, 0x1.24451852cff48p-14, 0x1.1a053a8474c8p-14, 0x1.10156e9a2c46p-14, 0x1.0672e34b36106p-14, 0x1.fa35c697168d5p-15, 0x1.e8159ebb1457ap-15, 0x1.d68030a9739c3p-15, 0x1.c57080ee5adfcp-15, 0x1.b4e1cc8b7cbf1p-15, 0x1.a4cfa748a661ap-15, 0x1.95360f600d944p-15, 0x1.8611672fbd0fp-15, 0x1.775e54251ccd2p-15, 0x1.6919931c13d9fp-15, 0x1.5b3fd93c4d2f5p-15, 0x1.4dcdd00cb5f86p-15, 0x1.40c02a34ba427p-15, 0x1.3413c0ede06a3p-15, 0x1.27c5a79d32b52p-15, 0x1.1bd329302ae84p-15, 0x1.1039acd0d6e64p-15, 0x1.04f68ad00a8abp-15, 0x1.f40dc9c80c34dp-16, 0x1.decf2dbdc2033p-16, 0x1.ca2a9da2159bp-16, 0x1.b6199689fcf5ap-16, 0x1.a296475b60675p-16, 0x1.8f9be5299f985p-16, 0x1.7d2699164a17fp-16, 0x1.6b331c5752cd7p-16, 0x1.59be4833a09f2p-16, 0x1.48c4d3973e3fbp-16, 0x1.384356a927a83p-16, 0x1.283682bc9eef5p-16, 0x1.189b65318a17dp-16, 0x1.096f883d2136ap-16, 0x1.f561a41356a11p-17, 0x1.d8ba489f7e889p-17, 0x1.bce3cb3aa111ap-17, 0x1.a1d75b8ec384p-17, 0x1.878c81414fd37p-17, 0x1.6df9c6cda283fp-17, 0x1.5515ebface359p-17, 0x1.3cd92ff893d72p-17, 0x1.253e210b84f23p-17, 0x1.0e418281dea39p-17, 0x1.efc29d4f48f06p-18, 0x1.c436d440501adp-18, 0x1.99d9a586ff952p-18, 0x1.70a366cdc22ep-18, 0x1.488c4c44c0b74p-18, 0x1.218e17769e72ap-18, 0x1.f7496f140956fp-19, 0x1.ad9a9acd32c0fp-19, 0x1.660871b6b7ba5p-19, 0x1.2087428b9db69p-19, 0x1.ba0d65a05b91bp-20, 0x1.36e6d58c6b03bp-20, 0x1.6ee3b31c492e9p-21, 0x1.dc31c9ddfe354p-23, -0x1.e7ff8f3175fafp-23, -0x1.64789b3d514afp-21, -0x1.24407d44eec98p-20, -0x1.931691ed4b89ap-20, -0x1.fec67831ce182p-20, -0x1.33ad5bf7c0054p-19, -0x1.6670d82fdfa6fp-19, -0x1.97b5ce0e57ebp-19, -0x1.c783b9e2111cep-19, -0x1.f5e03d6e7d0eap-19, -0x1.11679d89469eep-18, -0x1.272a645c5a1b1p-18, -0x1.3c3bb1d14c7f4p-18, -0x1.50a0183d2c14ep-18, -0x1.645cbbc3ecaa3p-18, -0x1.77769ee232d07p-18, -0x1.89f2678512982p-18, -0x1.9bd448a4c7c33p-18, -0x1.ad1fc0573b09dp-18, -0x1.bdd7603d765e3p-18, -0x1.cdfd1f0c06a45p-18, -0x1.dd933ac8752c8p-18, -0x1.ec9cd0c090516p-18, -0x1.fb1d50b9df4b2p-18, -0x1.048ba476341d8p-17, -0x1.0b45f619979dfp-17, -0x1.11bdf86d02039p-17, -0x1.17f478ec3d17bp-17, -0x1.1dead71332bebp-17, -0x1.23a274d5e1651p-17, -0x1.291c6276e5fc4p-17, -0x1.2e599be6ebe91p-17, -0x1.335b49a788a2p-17, -0x1.3822a2e90f8fp-17, -0x1.3cb0e0fd52b3cp-17, -0x1.41074a4129a0ep-17, -0x1.45272ca272ef8p-17, -0x1.4911ab7d77d7dp-17, -0x1.4cc784cb33b6ep-17, -0x1.504919af9dc6ap-17, -0x1.5396cd3c6a7cep-17, -0x1.56b16b54dbad6p-17, -0x1.599a3ddd286ccp-17, -0x1.5c52aa30af73cp-17, -0x1.5edba324778b3p-17, -0x1.61358fe1f2df3p-17, -0x1.6360d4378deb6p-17, -0x1.655e5c83c89c4p-17, -0x1.672f6daa7ec3dp-17, -0x1.68d4ef7a946f9p-17, -0x1.6a4f4c53a07fbp-17, -0x1.6b9efcec291ep-17, -0x1.6cc4bfa1178adp-17, -0x1.6dc164d8b1537p-17, -0x1.6e95bcb03c9aep-17, -0x1.6f42b673d070bp-17, -0x1.6fc967f9f078fp-17, -0x1.702abfc18a6c6p-17, -0x1.706735662e661p-17, -0x1.707f0f5ca18e1p-17, -0x1.7072e5bc9051bp-17, -0x1.704383e69036ap-17, -0x1.6ff16edfedb28p-17, -0x1.6f7d1101b3962p-17, -0x1.6ee730199b9bp-17, -0x1.6e30ea1a55175p-17, -0x1.6d5b4409889aep-17, -0x1.6c66ba0833148p-17, -0x1.6b539a026efffp-17, -0x1.6a229d5275b7cp-17, -0x1.68d48fa3e5de7p-17, -0x1.6769d37715563p-17, -0x1.65e2c367a1a7cp-17, -0x1.643ffad9a6eaap-17, -0x1.62822a8e5496ap-17, -0x1.60aa125e948e4p-17, -0x1.5eb899233008fp-17, -0x1.5cae8214db418p-17, -0x1.5a8c1b870c401p-17, -0x1.5851c1dbd5dc8p-17, -0x1.56003903c1222p-17, -0x1.539818fbd132ep-17, -0x1.5119ba1d5661bp-17, -0x1.4e85ad144505ep-17, -0x1.4bdca340a2faap-17, -0x1.491f3869cebb5p-17, -0x1.464df41734253p-17, -0x1.436950d0b556dp-17, -0x1.4071d3cfe80c3p-17, -0x1.3d682b4dabc9cp-17, -0x1.3a4cea17066a2p-17, -0x1.37207b26807d6p-17, -0x1.33e37da73c017p-17, -0x1.309668955ed11p-17, -0x1.2d397acb20c2fp-17, -0x1.29cd3033aef21p-17, -0x1.26522dc9173d4p-17, -0x1.22c92f6a0248p-17, -0x1.1f32c4781b746p-17, -0x1.1b8f327a7da75p-17, -0x1.17df0706ee143p-17, -0x1.1422c6aeabfd2p-17, -0x1.105ab39e29d4cp-17, -0x1.0c874d7cdfeb6p-17, -0x1.08a92a9942a1cp-17, -0x1.04c0c6d864251p-17, -0x1.00ce917800232p-17, -0x1.f9a5f2c9656d1p-18, -0x1.f19cdca702411p-18, -0x1.e982bf54aa459p-18, -0x1.e1587b584e248p-18, -0x1.d91eea94d1e35p-18, -0x1.d0d6c07620b46p-18, -0x1.c880b6ae05edcp-18, -0x1.c01de96095f3ep-18, -0x1.b7af42c7b4b3dp-18, -0x1.af3595a8ce444p-18, -0x1.a6b175b71daacp-18, -0x1.9e23389d13631p-18, -0x1.958c0f545f51p-18, -0x1.8ced094135f2p-18, -0x1.8446e1244239fp-18, -0x1.7b9a4f0939acbp-18, -0x1.72e79cac833b2p-18, -0x1.6a2fa5b8f6218p-18, -0x1.6173536724b05p-18, -0x1.58b356501d43ep-18, -0x1.4ff05229ce66fp-18, -0x1.472aed01b8cfap-18, -0x1.3e63ce42265cbp-18, -0x1.359b9cc0b3d0dp-18, -0x1.2cd2fdf850a12p-18, -0x1.240a95b6cebabp-18, -0x1.1b4305772fa52p-18, -0x1.127ceb4f80294p-18, -0x1.09b8e21dbb7c2p-18, -0x1.00f785627a39bp-18, -0x1.f072df50bcf19p-19, -0x1.defe391850ff7p-19, -0x1.cd91d1706cd7fp-19, -0x1.bc2ef6b1ad7b1p-19, -0x1.aad6de349a8bep-19, -0x1.998b101ba30e3p-19, -0x1.884c4bdb9a5d9p-19, -0x1.771b9d076bd9p-19, -0x1.65f9744ed7363p-19, -0x1.54e7337f70077p-19, -0x1.43e607a2c4b5fp-19, -0x1.32f6c6c49bfd4p-19, -0x1.221a2b65a4658p-19, -0x1.115128b4c548ap-19, -0x1.009c93bb7261fp-19, -0x1.dffa8f42a37f1p-20, -0x1.bee83658b215p-20, -0x1.9e03bf1f031c2p-20, -0x1.7d4ebe4c5ecc7p-20, -0x1.5cca7eb5b7a15p-20, -0x1.3c792035f2d88p-20, -0x1.1c5b6b4d96c82p-20, -0x1.f8e61bc5d6e01p-21, -0x1.b9830106b609ep-21, -0x1.7a905bd405ecdp-21, -0x1.3c10d8ac39eaep-21, -0x1.fc0e307b01911p-22, -0x1.80e9025f15d63p-22, -0x1.06b3c77c6e3dp-22, -0x1.1af4abc237457p-23, -0x1.53f36b64fc12fp-26, 0x1.87ef7dbed843bp-24, 0x1.b05db7863d8cep-23, 0x1.4d598669e4cb4p-22, 0x1.c17592dad1601p-22, 0x1.1a3f53692e77bp-21, 0x1.5338f3a288c08p-21, 0x1.8ba6127b2b214p-21, 0x1.c38504f0cef9fp-21, 0x1.fad42601bb938p-21, 0x1.18c8ef3c47b83p-20, 0x1.33de53b52b6a1p-20, 0x1.4ea9844c20cc2p-20, 0x1.6929cf20c8534p-20, 0x1.835e97b7ac33fp-20, 0x1.9d47386777dd1p-20, 0x1.b6e3170bf78d9p-20, 0x1.d0319bdf6e3b9p-20, 0x1.e93234a16f89ap-20, 0x1.00f230a1623a3p-19, 0x1.0d23d7c759251p-19, 0x1.192dc78fa7f94p-19, 0x1.250fea456632ap-19, 0x1.30ca54dddaf26p-19, 0x1.3c5bf63ac1d65p-19, 0x1.47c5735d14ec8p-19, 0x1.53067026627f8p-19, 0x1.5e1e884c66c0cp-19, 0x1.690da61f2d63p-19, 0x1.73d3edda5790bp-19, 0x1.7e71172ee8f4fp-19, 0x1.88e50f0c5c056p-19, 0x1.932fe3eaea278p-19, 0x1.9d51453213238p-19, 0x1.a749337c143aep-19, 0x1.b117acf5506f7p-19, 0x1.babca9140bc8dp-19, 0x1.c43820192717cp-19, 0x1.cd8a0d623facp-19, 0x1.d6b26f7a3d78p-19, 0x1.dfb1483135028p-19, 0x1.e8869b7bcf9ccp-19, 0x1.f1326eb41787p-19, 0x1.f9b4c79ea9bd9p-19, 0x1.0106d7afec6a2p-18, 0x1.051e9b2bdbeaep-18, 0x1.0921b91938266p-18, 0x1.0d1033b17fc88p-18, 0x1.10ea139ac86dbp-18, 0x1.14af7b1de0399p-18, 0x1.186060e1e2411p-18, 0x1.1bfce4cec29a5p-18, 0x1.1f84f961c0701p-18, 0x1.22f8b9342df2p-18, 0x1.265838480f33p-18, 0x1.29a3882997155p-18, 0x1.2cdabc09718e7p-18, 0x1.2ffde8805405dp-18, 0x1.330d20092e998p-18, 0x1.36087061a5b8cp-18, 0x1.38eff3a2b75d8p-18, 0x1.3bc3cd235e955p-18, 0x1.3e8413be65352p-18, 0x1.4130d00c5aea1p-18, 0x1.43ca1cecbf93cp-18, 0x1.46501935cafc1p-18, 0x1.48c2e0597bd14p-18, 0x1.4b228db086868p-18, 0x1.4d6f3d201e192p-18, 0x1.4fa90b0c6a182p-18, 0x1.51d0145f5188ep-18, 0x1.53e476d67c5e5p-18, 0x1.55e651e44ac8ep-18, 0x1.57d5c650e1039p-18, 0x1.59b2f117f9575p-18, 0x1.5b7deb430170bp-18, 0x1.5d36e46078af7p-18, 0x1.5ede01ddefee1p-18, 0x1.607354acceb46p-18, 0x1.61f70190c8d58p-18, 0x1.63692f93719e7p-18, 0x1.64ca02233b68ep-18, 0x1.66199cab0bc44p-18, 0x1.67582345948a8p-18, 0x1.6885ba35d6cecp-18, 0x1.69a28652ba292p-18, 0x1.6aaeacc23604dp-18, 0x1.6baa53052e222p-18, 0x1.6c959f0047c15p-18, 0x1.6d70b7191a01dp-18, 0x1.6e3bc1ebeccd7p-18, 0x1.6ef6e72ba4f7ap-18, 0x1.6fa24b9712d47p-18, 0x1.703e1327d6a07p-18, 0x1.70ca6faf6622p-18, 0x1.71478590c1ee4p-18, 0x1.71b57786a70e5p-18, 0x1.72147013cdd03p-18, 0x1.7264984b8b35p-18, 0x1.72a618a887a03p-18, 0x1.72d919f675b43p-18, 0x1.72fdc560f54ddp-18, }}, 
      {{0x1.243bef593007fp-3, 0x1.0956905b69522p-2, 0x1.5a16f7bacc244p-2, 0x1.82c461842f75p-2, 0x1.87038ddcc9d2ep-2, 0x1.6ce7806551f41p-2, 0x1.3b47756a13a78p-2, 0x1.f197be1c3c07cp-3, 0x1.56e10accd6e3p-3, 0x1.613902fcd3227p-4, 0x1.c743b3934762dp-9, -0x1.3e279b6827504p-4, -0x1.3d09605358656p-3, -0x1.cf3d70c0fa208p-3, -0x1.29ac082235ee5p-2, -0x1.63fcea5981928p-2, -0x1.96455c9b76fccp-2, -0x1.c0875128a8c93p-2, -0x1.e2ffe4783a77ep-2, -0x1.fe177277594bp-2, -0x1.092a2cc2924d1p-1, -0x1.102814d881f24p-1, -0x1.14577c26241d5p-1, -0x1.160c47859a5dcp-1, -0x1.159998a32f8a1p-1, -0x1.134fdb320f172p-1, -0x1.0f7b5f17623efp-1, -0x1.0a63662547975p-1, -0x1.04498de1d2eb3p-1, -0x1.fad304574308dp-2, -0x1.ebf1d08de4271p-2, -0x1.dc4ee7e8aaf1ap-2, -0x1.cc3e3719ca323p-2, -0x1.bc08c33d642a4p-2, -0x1.abed595086f75p-2, -0x1.9c214e0db73aep-2, -0x1.8cd145f5bdee1p-2, -0x1.7e21feb5f1086p-2, -0x1.703114c9d3327p-2, -0x1.6315c27ecb904p-2, -0x1.56e19658bd087p-2, -0x1.4ba11edb3781cp-2, -0x1.415c8a6a7dcf2p-2, -0x1.38183aea42c6ap-2, -0x1.2fd54d233414bp-2, -0x1.289213f8ef0fap-2, -0x1.224a879d55ac5p-2, -0x1.1cf8a9465202ap-2, -0x1.1894dc357cfccp-2, -0x1.151634f490b7ap-2, -0x1.1272bf940857cp-2, -0x1.109fbd9ffb7d2p-2, -0x1.0f91dc71fe038p-2, -0x1.0f3d6480faacdp-2, -0x1.0f9662540f766p-2, -0x1.1090c9bae45e8p-2, -0x1.122093d71248dp-2, -0x1.1439d88bcf7c3p-2, -0x1.16d0e3cb99824p-2, -0x1.19da472ae1bd5p-2, -0x1.1d4ae841b9cffp-2, -0x1.21180c09ee784p-2, -0x1.25375fd37703bp-2, -0x1.299effdfc3cb5p-2, -0x1.2e457c2bf687bp-2, -0x1.3321db77c9159p-2, -0x1.382b9cf80dc65p-2, -0x1.3d5ab8b395cf4p-2, -0x1.42a79f010e167p-2, -0x1.480b36ee9b78fp-2, -0x1.4d7edc40d3736p-2, -0x1.52fc5c733ceb9p-2, -0x1.587df3c28f8ep-2, -0x1.5dfe493edf5f7p-2, -0x1.63786b3ca33ebp-2, -0x1.68e7caea6a5ffp-2, -0x1.6e48385749ce7p-2, -0x1.7395ddf5b77ddp-2, -0x1.78cd3c4de431bp-2, -0x1.7deb25b88b6ffp-2, -0x1.82ecb9dfce31ep-2, -0x1.87cf61c551acbp-2, -0x1.8c90cb52741b2p-2, -0x1.912ee59110157p-2, -0x1.95a7dc8e1baa1p-2, -0x1.99fa15b08c1f9p-2, -0x1.9e242c0955377p-2, -0x1.a224ecd5947eep-2, -0x1.a5fb542ddba6fp-2, -0x1.a9a689cfc6f43p-2, -0x1.ad25de172f8bbp-2, -0x1.b078c71c937abp-2, -0x1.b39eddf14713dp-2, -0x1.b697dc0c4687p-2, -0x1.b96398cd9d25cp-2, -0x1.bc02072b175bap-2, -0x1.be73337f23016p-2, -0x1.c0b7416b47a8ap-2, -0x1.c2ce69ed6fe33p-2, -0x1.c4b8f97a04312p-2, -0x1.c6774e46ea556p-2, -0x1.c809d6a7ab3c6p-2, -0x1.c9710f7da334ep-2, -0x1.caad82d584347p-2, -0x1.cbbfc681ec718p-2, -0x1.cca87ae16c919p-2, -0x1.cd6849b7054dcp-2, -0x1.cdffe5075783dp-2, -0x1.ce700623a41cap-2, -0x1.ceb96cb458468p-2, -0x1.cedcddd4a1e98p-2, -0x1.cedb23522dfedp-2, -0x1.ceb50ae5dc963p-2, -0x1.ce6b65829e564p-2, -0x1.cdff06bf646e3p-2, -0x1.cd70c438d880bp-2, -0x1.ccc1750790c9dp-2, -0x1.cbf1f14d298c2p-2, -0x1.cb0311b8f5a52p-2, -0x1.c9f5af1b6923ep-2, -0x1.c8caa21047b8fp-2, -0x1.c782c2a14b7cap-2, -0x1.c61ee7ef29a02p-2, -0x1.c49fe7f2366ep-2, -0x1.c3069737b4842p-2, -0x1.c153c89bced3ap-2, -0x1.bf884d1936692p-2, -0x1.bda4f39dd4b5cp-2, -0x1.bbaa88d51f9edp-2, -0x1.b999d6fffc7e5p-2, -0x1.b773a5db00584p-2, -0x1.b538ba7b00715p-2, -0x1.b2e9d72a46814p-2, -0x1.b087bb5781704p-2, -0x1.ae132384a2ba7p-2, -0x1.ab8cc92cf1584p-2, -0x1.a8f562b53643ap-2, -0x1.a64da3661baaep-2, -0x1.a3963b6004e23p-2, -0x1.a0cfd78d417p-2, -0x1.9dfb219ea0f6p-2, -0x1.9b18c00aba08ap-2, -0x1.98295607fb191p-2, -0x1.952d8389545bdp-2, -0x1.9225e540d91fap-2, -0x1.8f1314a1de154p-2, -0x1.8bf5a7e1d99c3p-2, -0x1.88ce31fc42334p-2, -0x1.859d42b7aca68p-2, -0x1.826366aa0bb1cp-2, -0x1.7f21273f48dacp-2, -0x1.7bd70ac20d99dp-2, -0x1.78859461f002bp-2, -0x1.752d4438b7a5ep-2, -0x1.71ce9754a55bp-2, -0x1.6e6a07c51e5fbp-2, -0x1.6b000ca229029p-2, -0x1.67911a113ac58p-2, -0x1.641da1507bb99p-2, -0x1.60a610c6a3a71p-2, -0x1.5d2ad40d2a181p-2, -0x1.59ac53f463ad9p-2, -0x1.562af68c7ba98p-2, -0x1.52a71f368aab9p-2, -0x1.4f212eb31eff8p-2, -0x1.4b998327c458fp-2, -0x1.48107823f3d25p-2, -0x1.448666af20a68p-2, -0x1.40fba55adeb97p-2, -0x1.3d70884d98c74p-2, -0x1.39e56145f10bcp-2, -0x1.365a7fa20a084p-2, -0x1.32d0306fe5699p-2, -0x1.2f46be7e2b29cp-2, -0x1.2bbe72643991p-2, -0x1.2837928523595p-2, -0x1.24b2631813b05p-2, -0x1.212f2638a0cc5p-2, -0x1.1dae1bf634f8dp-2, -0x1.1a2f825b5133dp-2, -0x1.16b3957081a46p-2, -0x1.133a8f441bce1p-2, -0x1.0fc4a7f91d837p-2, -0x1.0c5215d5f094ep-2, -0x1.08e30d4c4d13dp-2, -0x1.0577c0fc532bcp-2, -0x1.021061ba7b89bp-2, -0x1.fd5a3d37cb5d2p-3, -0x1.f69c4a092d963p-3, -0x1.efe7416200efp-3, -0x1.e93b77742fc05p-3, -0x1.e2993d32aecb3p-3, -0x1.dc00e06304fcfp-3, -0x1.d572abb6a45p-3, -0x1.ceeee6e151ba9p-3, -0x1.c875d6a5e8ee5p-3, -0x1.c207bcdd4b657p-3, -0x1.bba4d880da509p-3, -0x1.b54d65bd3f69bp-3, -0x1.af019e08f3abep-3, -0x1.a8c1b83650501p-3, -0x1.a28de87e099bbp-3, -0x1.9c6660867502ap-3, -0x1.964b4f6e764ffp-3, -0x1.903ce1dec02a2p-3, -0x1.8a3b421d65735p-3, -0x1.8446981ddd253p-3, -0x1.7e5f098b3a463p-3, -0x1.7884b9cfc216ep-3, -0x1.72b7ca1ed3fcp-3, -0x1.6cf859837e8dfp-3, -0x1.674684f18b573p-3, -0x1.61a26754a5065p-3, -0x1.5c0c199b34c17p-3, -0x1.5683b2be67281p-3, -0x1.510947caa10b3p-3, -0x1.4b9cebeb2b75cp-3, -0x1.463eb0789151dp-3, -0x1.40eea506fa6adp-3, -0x1.3bacd771f9c4p-3, -0x1.367953e574a99p-3, -0x1.315424e565ba4p-3, -0x1.2c3d5356e3a36p-3, -0x1.2734e68b7451ep-3, -0x1.223ae44dd5f8ep-3, -0x1.1d4f50ee1ad07p-3, -0x1.18722f4bcb0cap-3, -0x1.13a380de214aap-3, -0x1.0ee345bbab4bcp-3, -0x1.0a317ca2e39f4p-3, -0x1.058e23045f096p-3, -0x1.00f9350dd9561p-3, -0x1.f8e55b69a6ae5p-4, -0x1.eff50d7fb1ea8p-4, -0x1.e721719ce0685p-4, -0x1.de6a76c0c775dp-4, -0x1.d5d009bb11018p-4, -0x1.cd52153cf70e5p-4, -0x1.c4f081ec4938p-4, -0x1.bcab367634a4ap-4, -0x1.b48217a0a352fp-4, -0x1.ac75085997f47p-4, -0x1.a483e9c524a94p-4, -0x1.9cae9b4b3782bp-4, -0x1.94f4faa6661c6p-4, -0x1.8d56e3f3e743fp-4, -0x1.85d431c4076bfp-4, -0x1.7e6cbd2a0958ap-4, -0x1.77205dcae50e8p-4, -0x1.6feee9eabea84p-4, -0x1.68d8367984f7fp-4, -0x1.61dc171f87e39p-4, -0x1.5afa5e4ab1d55p-4, -0x1.5432dd3c5eap-4, -0x1.4d85641754ddbp-4, -0x1.46f1c1ed4da98p-4, -0x1.4077c4cbbe87ap-4, -0x1.3a1739c7c5fddp-4, -0x1.33cfed0973af6p-4, -0x1.2da1a9d6d968dp-4, -0x1.278c3a9f6bafep-4, -0x1.218f6907a1d55p-4, -0x1.1baafdf4bc34p-4, -0x1.15dec1983468ap-4, -0x1.102a7b7ac077fp-4, -0x1.0a8df286c7752p-4, -0x1.0508ed124dd1ep-4, -0x1.ff3661d1174e8p-5, -0x1.f48906a6d8411p-5, -0x1.ea09524a59d4p-5, -0x1.dfb6cd8409ad5p-5, -0x1.d59100534d446p-5, -0x1.cb977200e2bd4p-5, -0x1.c1c9a930de8a7p-5, -0x1.b8272bf3b2111p-5, -0x1.aeaf7fd6ba524p-5, -0x1.a56229f422e1p-5, -0x1.9c3eaf026c4f9p-5, -0x1.93449363d2f23p-5, -0x1.8a735b3578696p-5, -0x1.81ca8a5e44573p-5, -0x1.7949a49d7482p-5, -0x1.70f02d98fd1d9p-5, -0x1.68bda8eb92e09p-5, -0x1.60b19a323bb6ep-5, -0x1.58cb851908d4ap-5, -0x1.510aed671cfdap-5, -0x1.496f570a06c07p-5, -0x1.41f84620c6f38p-5, -0x1.3aa53f06c8c62p-5, -0x1.3375c65f20e32p-5, -0x1.2c6961202700fp-5, -0x1.257f949f37e72p-5, -0x1.1eb7e69c0a623p-5, -0x1.1811dd4ad8cbbp-5, -0x1.118cff5cf7b66p-5, -0x1.0b28d407f09c1p-5, -0x1.04e4e30bcf11ep-5, -0x1.fd816973e055fp-6, -0x1.f177a3f9038e4p-6, -0x1.e5ab88c0be1aep-6, -0x1.da1c2c3f740d8p-6, -0x1.cec8a459fd23ep-6, -0x1.c3b0087893136p-6, -0x1.b8d17193b8a5p-6, -0x1.ae2bfa3a581dcp-6, -0x1.a3bebe92e5de3p-6, -0x1.9988dc5b7145dp-6, -0x1.8f8972edac4e2p-6, -0x1.85bfa34aad369p-6, -0x1.7c2a902f5fd76p-6, -0x1.72c95e2ed49f6p-6, -0x1.699b33cc9a208p-6, -0x1.609f39901434dp-6, -0x1.57d49a0b55955p-6, -0x1.4f3a81d3f11d9p-6, -0x1.46d01f71920c2p-6, -0x1.3e94a34a85e72p-6, -0x1.36873f9825bd5p-6, -0x1.2ea7286b620bep-6, -0x1.26f393c446ca9p-6, -0x1.1f6bb9b8721e7p-6, -0x1.180ed49e32644p-6, -0x1.10dc212e9e066p-6, -0x1.09d2de92c8b4bp-6, -0x1.02f24e55be964p-6, -0x1.f873687c76a7bp-7, -0x1.eb50ac3776f01p-7, -0x1.de7af73076f8ep-7, -0x1.d1f0dc40b356ep-7, -0x1.c5b0f1dab622p-7, -0x1.b9b9d264c4de3p-7, -0x1.ae0a1cc42149bp-7, -0x1.a2a074f0d53aep-7, -0x1.977b8463260d6p-7, -0x1.8c99fa32f1b51p-7, -0x1.81fa8ad64a046p-7, -0x1.779bef8e2610ap-7, -0x1.6d7ce59f701c5p-7, -0x1.639c2d9dcfb3cp-7, -0x1.59f88af6e940ep-7, -0x1.5090c3ee0a70cp-7, -0x1.4763a21047a63p-7, -0x1.3e6ff3083df17p-7, -0x1.35b489994a538p-7, -0x1.2d303e7a26496p-7, -0x1.24e1f0cb2314fp-7, -0x1.1cc885fc9f5b8p-7, -0x1.14e2e9202d2a6p-7, -0x1.0d3009ca43da2p-7, -0x1.05aedacb9b545p-7, -0x1.fcbca232e606ep-8, -0x1.ee7ac66769d6p-8, -0x1.e09612725b65dp-8, -0x1.d30c7b5a82befp-8, -0x1.c5dbfd85a3d52p-8, -0x1.b9029fb5c6757p-8, -0x1.ac7e75a72ff51p-8, -0x1.a04da1977756p-8, -0x1.946e543c800f3p-8, -0x1.88decb143a5a1p-8, -0x1.7d9d4d60d035dp-8, -0x1.72a8287f75fbcp-8, -0x1.67fdac78d4dddp-8, -0x1.5d9c29a140e17p-8, -0x1.5381efe399c84p-8, -0x1.49ad4fedc2dafp-8, -0x1.401c9e0842e36p-8, -0x1.36ce35f42427bp-8, -0x1.2dc07eec7988bp-8, -0x1.24f1eedc326ap-8, -0x1.1c610c096fa2dp-8, -0x1.140c6cac64cb4p-8, -0x1.0bf2b480fe14bp-8, -0x1.041290cab3b38p-8, -0x1.f8d5673b683f2p-9, -0x1.e9f39edd3ad7ep-9, -0x1.db7d27c0f4bd7p-9, -0x1.cd6f590d0d263p-9, -0x1.bfc783cca8077p-9, -0x1.b282f91742dd6p-9, -0x1.a59f1315a09bbp-9, -0x1.99193efdd5ef5p-9, -0x1.8cef05e9e0f44p-9, -0x1.811e12a9b8192p-9, -0x1.75a4335037268p-9, -0x1.6a7f561298125p-9, -0x1.5fad81fd14983p-9, -0x1.552cccd0260cbp-9, -0x1.4afb4ff6395fap-9, -0x1.41171ec3ed409p-9, -0x1.377e400c247fcp-9, -0x1.2e2eac69e3e79p-9, -0x1.2526519870c9dp-9, -0x1.1c631a07bdb99p-9, -0x1.13e2f6f40e227p-9, -0x1.0ba3eae7aaa2cp-9, -0x1.03a412b96c6ecp-9, -0x1.f7c3572bb8effp-10, -0x1.e8b62a4a624d3p-10, -0x1.da1d9eb5e4a2ap-10, -0x1.cbf6e80e97db2p-10, -0x1.be3f5a0371144p-10, -0x1.b0f4514f3d86ep-10, -0x1.a4131e3a27c34p-10, -0x1.9798f5aee04c5p-10, -0x1.8b82ec65c784cp-10, -0x1.7fcdfca75fa01p-10, -0x1.747713eb0011ap-10, -0x1.697b23b0d581fp-10, -0x1.5ed7315c4fb99p-10, -0x1.548862f428bf3p-10, -0x1.4a8c08d82a586p-10, -0x1.40dfa4fa263d4p-10, -0x1.3780eed5efbaap-10, -0x1.2e6dd1c305c4ap-10, -0x1.25a4636b7ffb4p-10, -0x1.1d22d2857a7dap-10, -0x1.14e751cf0b132p-10, -0x1.0cf0062f54f28p-10, -0x1.053afd87fdbfdp-10, -0x1.fb8c61ee78683p-11, -0x1.ed1f1f9869cf8p-11, -0x1.df2a19edd3718p-11, -0x1.d1a950fb038bbp-11, -0x1.c498e386c2eeep-11, -0x1.b7f508b7f49dap-11, -0x1.abba09a4c8adbp-11, -0x1.9fe4458f1e297p-11, -0x1.947043a2f5a3fp-11, -0x1.895aca0778ee6p-11, -0x1.7ea0ebbb95caep-11, -0x1.744001cd3dbb8p-11, -0x1.6a35902127d3ap-11, -0x1.607f22fada13cp-11, -0x1.571a3769e9bc4p-11, -0x1.4e0439bfe21d7p-11, -0x1.453a977c40831p-11, -0x1.3cbad7a7f06dfp-11, -0x1.3482ab0d66efbp-11, -0x1.2c8fead1aa447p-11, -0x1.24e0836412297p-11, -0x1.1d7251f1e8989p-11, -0x1.1643032559e83p-11, -0x1.0f5006c790c7ap-11, -0x1.0896a5289535cp-11, -0x1.0214313b938a2p-11, -0x1.f78c833b84ec7p-12, -0x1.eb55a84a78343p-12, -0x1.df8091c90e444p-12, -0x1.d40a7464d6bdap-12, -0x1.c8f0993a4f21ep-12, -0x1.be30276ca30b7p-12, -0x1.b3c62a9e1bdcp-12, -0x1.a9afc3b12363fp-12, -0x1.9fea61a21e6c3p-12, -0x1.9673ddff04836p-12, -0x1.8d4a61e9c1611p-12, -0x1.846c1328d7ca4p-12, -0x1.7bd6aa94cf5efp-12, -0x1.738725cd1a3b4p-12, -0x1.6b79bce10c17dp-12, -0x1.63aa2b247b82bp-12, -0x1.5c143975c056bp-12, -0x1.54b45781f3c3p-12, -0x1.4d87ffabe6aafp-12, -0x1.468db00309515p-12, -0x1.3fc4787595121p-12, -0x1.392b619e09c8dp-12, -0x1.32c10a1058705p-12, -0x1.2c83ad6f70eaap-12, -0x1.26717eaa90babp-12, -0x1.20890ea52fe38p-12, -0x1.1ac9744f77922p-12, -0x1.153212459ad07p-12, -0x1.0fc21f89cea4ep-12, -0x1.0a784b8b62d49p-12, -0x1.0552b45817912p-12, -0x1.004f1737c6888p-12, -0x1.f6d60ee7563cfp-13, -0x1.ed483a4b51783p-13, -0x1.e3f05e95fb862p-13, -0x1.dacb2d2f8569ep-13, -0x1.d1d69de1fc08cp-13, -0x1.c911a6cdd3dacp-13, -0x1.c07b8bc9808e7p-13, -0x1.b8133e7a970aap-13, -0x1.afd73201b770fp-13, -0x1.a7c59c5de3a33p-13, -0x1.9fdcdf9bb67bp-13, -0x1.981bdd0d39792p-13, -0x1.9081ee459e6dbp-13, -0x1.890e61bfbf619p-13, -0x1.81bfe66604c1dp-13, -0x1.7a947a4d7394ap-13, -0x1.7389d018d7316p-13, -0x1.6c9daccb4019cp-13, -0x1.65ce061636381p-13, -0x1.5f190dbd1eceap-13, -0x1.587d5518fae07p-13, -0x1.51f9ec5b93dc6p-13, -0x1.4b8e38c31ddc1p-13, -0x1.45397b973b91dp-13, -0x1.3efa7fe5f2626p-13, -0x1.38cfe734695a2p-13, -0x1.32b8d1b97724ep-13, -0x1.2cb521075af58p-13, -0x1.26c4fe6d802ffp-13, -0x1.20e8189243cap-13, -0x1.1b1d7e1a40874p-13, -0x1.156439e2b1a16p-13, -0x1.0fbbb257e3e88p-13, -0x1.0a2360d25444dp-13, -0x1.049a992a37a83p-13, -0x1.fe41398f5a3b7p-14, -0x1.f3695c09eadep-14, -0x1.e8ac02dfa9cb1p-14, -0x1.de0787bb82d23p-14, -0x1.d37aa65f80e04p-14, -0x1.c90502c2575c1p-14, -0x1.bea717b34d395p-14, -0x1.b461611e5c12ep-14, -0x1.aa336e26334cdp-14, -0x1.a01baa6ea7118p-14, -0x1.961840528b739p-14, -0x1.8c2868eff435fp-14, -0x1.824caabab7347p-14, -0x1.7885972e22c21p-14, -0x1.6ed27f24c9089p-14, -0x1.6531e3b61bf1fp-14, -0x1.5ba32206d3ddbp-14, -0x1.5226bfd104f77p-14, -0x1.48bd2335525aep-14, -0x1.3f66116a8e527p-14, -0x1.3621279e2055p-14, -0x1.2cee054ee361p-14, -0x1.23cbffa6e91e6p-14, -0x1.1aba0e11d3e79p-14, -0x1.11b783ca436aep-14, -0x1.08c4d1046acdap-14, -0x1.ffc5be9ca0f85p-15, -0x1.ee23acf076796p-15, -0x1.dca2c45c22a79p-15, -0x1.cb43abff154p-15, -0x1.ba078957d67b6p-15, -0x1.a8edc9d849a83p-15, -0x1.97f4326d6a2fp-15, -0x1.87190171320c9p-15, -0x1.765d0805eb1e2p-15, -0x1.65c1f38af6ad5p-15, -0x1.554768c49c794p-15, -0x1.44ecb13b87be1p-15, -0x1.34b30ec4c2c47p-15, -0x1.249be77e81d0dp-15, -0x1.14a76689b5a19p-15, -0x1.04d54b8fdaa83p-15, -0x1.ea4a1386c00dp-16, -0x1.cb2ab0204505fp-16, -0x1.ac4b30c2063e2p-16, -0x1.8daeaeaafeb4p-16, -0x1.6f57ab41fde29p-16, -0x1.5144c80e9c1ddp-16, -0x1.3376437af4d7p-16, -0x1.15eea3185f861p-16, -0x1.f15c98c698f56p-17, -0x1.b768dea89a7a8p-17, -0x1.7e01ff1b2a25ap-17, -0x1.4529409019678p-17, -0x1.0ce0bc752dee3p-17, -0x1.aa536438f64e4p-18, -0x1.3c04c49fe9f73p-18, -0x1.9dabaa83349b6p-19, -0x1.8b31278493b97p-20, 0x1.03394ef7aa022p-23, 0x1.c76361c8f5313p-20, 0x1.b4cb2b2b87d5cp-19, 0x1.41bda04259c2p-18, 0x1.a7e49f12fa0efp-18, 0x1.0670c17134a05p-17, 0x1.385a88155d978p-17, 0x1.69ab18f90e74ep-17, 0x1.9a62f368e9405p-17, 0x1.ca820238a1075p-17, 0x1.fa0402bf55076p-17, 0x1.14747774cf18bp-16, 0x1.2b991e2ac72d4p-16, 0x1.426fde8a00bf1p-16, 0x1.58f84b113b234p-16, 0x1.6f3204b4e0f0dp-16, 0x1.851cc230204e6p-16, 0x1.9ab84604fb4ep-16, 0x1.b004670ea8eddp-16, 0x1.c500f211ccf02p-16, 0x1.d9ad32f90b561p-16, 0x1.ee089a3bdcc1dp-16, 0x1.010a0a31e9541p-15, 0x1.0ae7f32f0811ap-15, 0x1.149e0b978d1dfp-15, 0x1.1e2bcf4783e1cp-15, 0x1.2790654aa92f7p-15, 0x1.30cca2b8a0516p-15, 0x1.39e108562ca6p-15, 0x1.42cd8430d70a5p-15, 0x1.4b92052d05e18p-15, 0x1.542dd363c6aa5p-15, 0x1.5ca13408d2bd2p-15, 0x1.64ec7fd4e1a07p-15, 0x1.6d0fba61c625fp-15, 0x1.750adc07fd98fp-15, 0x1.7cdde88f5c9b9p-15, 0x1.8488ec68da4f9p-15, 0x1.8c0bf902a660ap-15, 0x1.93672351e7cc9p-15, 0x1.9a9a836c39831p-15, 0x1.a1a634143d60fp-15, 0x1.a88a51ca5912ap-15, 0x1.af46fae8160ap-15, 0x1.b5dc539643f6p-15, 0x1.bc4a83401cefap-15, 0x1.c29190ed6d788p-15, 0x1.c8b162ce5ad15p-15, 0x1.ceaa3aa7c9948p-15, 0x1.d47c581e9c49ep-15, 0x1.da28386732dd3p-15, 0x1.dfadd24c18a7cp-15, 0x1.e50d509310cap-15, 0x1.ea469cd53f258p-15, 0x1.ef5a243349de5p-15, 0x1.f44832a414a49p-15, 0x1.f910eb9bc1be7p-15, 0x1.fdb4725f7db79p-15, 0x1.0119803a82b73p-14, 0x1.034665e07ea9fp-14, 0x1.0561077416c3cp-14, 0x1.076983064ed2dp-14, 0x1.095ff72956f4fp-14, 0x1.0b4482ae34848p-14, 0x1.0d17471762835p-14, 0x1.0ed85c80a761ap-14, 0x1.1087eade1715p-14, 0x1.1226121a465cp-14, 0x1.13b2f5e8e24f6p-14, 0x1.152eb9e687451p-14, 0x1.1699819b1deb6p-14, 0x1.17f3718ec448ap-14, 0x1.193ca1ba5c8aap-14, 0x1.1a7527d72978bp-14, 0x1.1b9d4f350686p-14, 0x1.1cb530d06fe01p-14, 0x1.1dbce6af4d7e7p-14, 0x1.1eb4a99eef08p-14, 0x1.1f9c8d81ff9d8p-14, 0x1.2074c41b582fcp-14, 0x1.213d77ae35af7p-14, 0x1.21f6cc8ecffap-14, 0x1.22a0e965d0111p-14, 0x1.233bf667ae87fp-14, 0x1.23c81c6a03836p-14, 0x1.244584964ca4ap-14, 0x1.24b458513b6cap-14, 0x1.2514c121f4d99p-14, 0x1.2566e8b62aebdp-14, 0x1.25aaf92edfd57p-14, 0x1.25e11c6c2308dp-14, 0x1.26097cf131bcfp-14, 0x1.2624458510a11p-14, 0x1.2631a11a73baep-14, 0x1.2631ba5103bb2p-14, 0x1.2624bbdcbcf65p-14, 0x1.260ad1e29f9e7p-14, 0x1.25e42503e7269p-14, 0x1.25b0dc59fb0d9p-14, 0x1.257130a759158p-14, 0x1.2525412c3da23p-14, 0x1.24cd3ca514529p-14, 0x1.2469514d2578p-14, 0x1.23f9a9ccb099cp-14, 0x1.237e6eab53349p-14, 0x1.22f7cd56521b9p-14, 0x1.2265f102d791bp-14, 0x1.21c90382020ap-14, 0x1.212132ea2846bp-14, 0x1.206ea9d55ecap-14, 0x1.1fb193076eae3p-14, 0x1.1eea199d00848p-14, 0x1.1e1868b0fb96cp-14, 0x1.1d3cab4b28d9ap-14, 0x1.1c570c507bf36p-14, 0x1.1b67b68891134p-14, 0x1.1a6ed4a5ddd23p-14, 0x1.196c911f4d716p-14, 0x1.186116812f927p-14, 0x1.174c8f0d2866fp-14, 0x1.162f24c77b3f2p-14, 0x1.1509017c4220dp-14, 0x1.13da4f4711f91p-14, 0x1.12a337bfb4b8p-14, 0x1.1163e3273e0a7p-14, 0x1.101c7bc56ae64p-14, 0x1.0ecd29aeb5437p-14, 0x1.0d76170287a9ap-14, 0x1.0c176bc84c0d9p-14, 0x1.0ab15029f5db8p-14, 0x1.0943ec400a831p-14, 0x1.07cf67dbffcafp-14, 0x1.0653ea8b25cacp-14, 0x1.04d19bc64f879p-14, 0x1.0348a3158c52bp-14, 0x1.01b9271b951fap-14, 0x1.00234dc030ee5p-14, 0x1.fd0e7ac803ddfp-15, 0x1.f9ca39ef95bdep-15, 0x1.f67a24595d7bfp-15, 0x1.f31e847bd6ce9p-15, 0x1.efb7a4add5d35p-15, 0x1.ec45cec3a6aaap-15, 0x1.e8c94c041b25fp-15, 0x1.e542652409dbep-15, 0x1.e1b1624b0013dp-15, 0x1.de168afd9dfc5p-15, 0x1.da7225f71139ep-15, 0x1.d6c4791d8861p-15, 0x1.d30dca6b86beap-15, 0x1.cf4e60435a24p-15, 0x1.cb867c814cf52p-15, 0x1.c7b661ab42167p-15, 0x1.c3de561b6ef8ep-15, 0x1.bffe9bec14c2ap-15, 0x1.bc1773eea8af3p-15, 0x1.b8291f245222ep-15, 0x1.b433de0acb041p-15, 0x1.b037f048dfd86p-15, 0x1.ac3595174260cp-15, 0x1.a82d0ad8efb84p-15, 0x1.a41e8f5018a27p-15, 0x1.a00a5f98627d4p-15, 0x1.9bf0b80d48ee5p-15, 0x1.97d1d45cbcdb8p-15, 0x1.93adefa208144p-15, 0x1.8f85434fe3f96p-15, 0x1.8b580a5762cb8p-15, 0x1.87267fd05ff84p-15, 0x1.82f0d698dbad5p-15, 0x1.7eb7487c09289p-15, 0x1.7a7a0e451f98fp-15, 0x1.76395d5092023p-15, 0x1.71f56aecdf26bp-15, 0x1.6dae6c071148bp-15, 0x1.696494c972bc8p-15, 0x1.6518188c83df5p-15, }}, 
      {{0x1.41016169328d5p-3, 0x1.cbb5f9ee6dc7fp-3, 0x1.28ce40f92d1cbp-2, 0x1.58353655dca22p-2, 0x1.6de551a83c608p-2, 0x1.69d6e1dc87784p-2, 0x1.4f2dac356fc75p-2, 0x1.226c3d2454e64p-2, 0x1.d0cc55cbb8862p-3, 0x1.4b56718c4246p-3, 0x1.78f46eb2493d1p-4, 0x1.5723113223187p-6, -0x1.906d6be417cdep-5, -0x1.d8f7f658d6057p-4, -0x1.6b568e728064dp-3, -0x1.debc1893245cap-3, -0x1.22c58486195dep-2, -0x1.4fa39720ec40cp-2, -0x1.75fad07d12f23p-2, -0x1.95fea461dec58p-2, -0x1.b00609f698ec9p-2, -0x1.c480576bdc268p-2, -0x1.d3ec2d708bdc7p-2, -0x1.ded037f4e8b91p-2, -0x1.e5b586a8be96cp-2, -0x1.e92340bdef6cap-2, -0x1.e99b7ad15adeap-2, -0x1.e798fc2f10777p-2, -0x1.e38dc54207dafp-2, -0x1.dde22fbcb33b2p-2, -0x1.d6f4870b170e1p-2, -0x1.cf18fbfb1da75p-2, -0x1.c699dc78d7d84p-2, -0x1.bdb7fc0dd2f9ap-2, -0x1.b4ab3d8cf9b07p-2, -0x1.aba3317f371d7p-2, -0x1.a2c7c0951fe2bp-2, -0x1.9a39dab43b1c4p-2, -0x1.921424da3b6ffp-2, -0x1.8a6ba2a08731p-2, -0x1.8350592203b57p-2, -0x1.7ccde8f07e46p-2, -0x1.76ec1d801329ep-2, -0x1.71af719c4897bp-2, -0x1.6d1988fb01d24p-2, -0x1.69299ee89bf84p-2, -0x1.65dcea0c20c55p-2, -0x1.632ef5992e40bp-2, -0x1.6119f0a458e9bp-2, -0x1.5f96f473212dcp-2, -0x1.5e9e428e10bbap-2, -0x1.5e277b3b108b6p-2, -0x1.5e29ccf3559acp-2, -0x1.5e9c1d6628ee2p-2, -0x1.5f752ca217b2bp-2, -0x1.60abb2fe80287p-2, -0x1.62367a52a5338p-2, -0x1.640c7307b389p-2, -0x1.6624c577f071bp-2, -0x1.6876e005306ccp-2, -0x1.6afa82537f1d9p-2, -0x1.6da7c5eb6bafdp-2, -0x1.707724b5c498ep-2, -0x1.73617d76568fp-2, -0x1.766016b8dba81p-2, -0x1.796ca035d1dadp-2, -0x1.7c81332f22facp-2, -0x1.7f98519702b08p-2, -0x1.82ace4a907c3ep-2, -0x1.85ba3a7a4fa5fp-2, -0x1.88bc036cb56d2p-2, -0x1.8bae4eabc7392p-2, -0x1.8e8d86ed095f9p-2, -0x1.91566e484169ep-2, -0x1.94061a8d887e5p-2, -0x1.9699f0de8594p-2, -0x1.990fa1bdc2764p-2, -0x1.9b6524c1ead03p-2, -0x1.9d98b4724cb01p-2, -0x1.9fa8ca4bc6865p-2, -0x1.a1941a8cf03d1p-2, -0x1.a35990926be13p-2, -0x1.a4f84acd7b42bp-2, -0x1.a66f975bf38e5p-2, -0x1.a7bef05f91a66p-2, -0x1.a8e5f8bf34eb7p-2, -0x1.a9e478ef30a82p-2, -0x1.aaba5be78f2e3p-2, -0x1.ab67ac4be6326p-2, -0x1.abec91acf11bcp-2, -0x1.ac494dfb47938p-2, -0x1.ac7e3b1c7f21ap-2, -0x1.ac8bc8a185497p-2, -0x1.ac7279a78255fp-2, -0x1.ac32e2d31d589p-2, -0x1.abcda8704667cp-2, -0x1.ab437cb2f28fp-2, -0x1.aa951e0cd9ad7p-2, -0x1.a9c355ad98f2ap-2, -0x1.a8cef60df588bp-2, -0x1.a7b8d9a1cc1fep-2, -0x1.a681e19d85fa5p-2, -0x1.a52af4cd7c35ap-2, -0x1.a3b4fe9243675p-2, -0x1.a220ede021c81p-2, -0x1.a06fb45f30b3p-2, -0x1.9ea2459de00d7p-2, -0x1.9cb9964915a4ap-2, -0x1.9ab69b86b808ep-2, -0x1.989a4a543e8c7p-2, -0x1.966596f1c45b8p-2, -0x1.94197468f3ef1p-2, -0x1.91b6d411dc933p-2, -0x1.8f3ea527297f7p-2, -0x1.8cb1d46fa3e01p-2, -0x1.8a114be39f747p-2, -0x1.875df26053cb4p-2, -0x1.8498ab6d1062ep-2, -0x1.81c256fba317fp-2, -0x1.7edbd132803a4p-2, -0x1.7be5f247e8bd9p-2, -0x1.78e18e58cbf0cp-2, -0x1.75cf754364769p-2, -0x1.72b07292c8cb7p-2, -0x1.6f854d68f37d7p-2, -0x1.6c4ec8660b438p-2, -0x1.690da19e79c1bp-2, -0x1.65c292950e7b9p-2, -0x1.626e502de2aep-2, -0x1.5f118aa9e86a2p-2, -0x1.5bacedac7dbfap-2, -0x1.5841203a9cb5ep-2, -0x1.54cec4b9e7a52p-2, -0x1.515678fb33da8p-2, -0x1.4dd8d6454cf84p-2, -0x1.4a5671598d706p-2, -0x1.46cfda7e7f25ep-2, -0x1.43459d91252dfp-2, -0x1.3fb84212034a8p-2, -0x1.3c284b3056b83p-2, -0x1.389637db92f38p-2, -0x1.350282d6bd009p-2, -0x1.316da2c81a64ep-2, -0x1.2dd80a49aa005p-2, -0x1.2a4227fd36babp-2, -0x1.26ac66a031042p-2, -0x1.23172d1e1f41ep-2, -0x1.1f82dea41a823p-2, -0x1.1befdab50e76dp-2, -0x1.185e7d3d7a549p-2, -0x1.14cf1ea7d31bbp-2, -0x1.114213f17e0c1p-2, -0x1.0db7aebe4b26ap-2, -0x1.0a303d6b5863cp-2, -0x1.06ac0b243037ep-2, -0x1.032b5ff88bb4p-2, -0x1.ff5d01de2de4bp-3, -0x1.f86b602d5361bp-3, -0x1.f18259351ae69p-3, -0x1.eaa265b1444fbp-3, -0x1.e3cbf8e854fdbp-3, -0x1.dcff80ca7f09fp-3, -0x1.d63d661508c55p-3, -0x1.cf860c7d3628bp-3, -0x1.c8d9d2d7bba0bp-3, -0x1.c239133671651p-3, -0x1.bba42304e8f16p-3, -0x1.b51b532d98a19p-3, -0x1.ae9ef0426fe1ep-3, -0x1.a82f429d48742p-3, -0x1.a1cc8e7876c37p-3, -0x1.9b77140ab0518p-3, -0x1.952f0fab4e3b3p-3, -0x1.8ef4b9f661ff6p-3, -0x1.88c847e7acab7p-3, -0x1.82a9eaf013234p-3, -0x1.7c99d10fb9664p-3, -0x1.769824f74c379p-3, -0x1.70a50e27e302ep-3, -0x1.6ac0b10a957fbp-3, -0x1.64eb2f0365f14p-3, -0x1.5f24a68837948p-3, -0x1.596d333df7de4p-3, -0x1.53c4ee1551dbdp-3, -0x1.4e2bed607c332p-3, -0x1.48a244e410fafp-3, -0x1.432805ea060dbp-3, -0x1.3dbd3f5a13242p-3, -0x1.3861fdd385dbcp-3, -0x1.33164bc265f2fp-3, -0x1.2dda316f3c736p-3, -0x1.28adb50e4b7c7p-3, -0x1.2390dad2b452fp-3, -0x1.1e83a504b5f8bp-3, -0x1.1986141659c7fp-3, -0x1.149826b37208bp-3, -0x1.0fb9d9cea32d5p-3, -0x1.0aeb28af9f2ap-3, -0x1.062c0d04a8d33p-3, -0x1.017c7ef56c85cp-3, -0x1.f9b8ea675d4fcp-4, -0x1.f097ca109f3d5p-4, -0x1.e79584bd54dddp-4, -0x1.deb1ffa24e74dp-4, -0x1.d5ed1d7070368p-4, -0x1.cd46be7422b43p-4, -0x1.c4bec0b1475cfp-4, -0x1.bc54fff9b82bap-4, -0x1.b409560113f68p-4, -0x1.abdb9a71e1ca2p-4, -0x1.a3cba30617901p-4, -0x1.9bd943a13fe2dp-4, -0x1.94044e6899f72p-4, -0x1.8c4c93d742ce5p-4, -0x1.84b1e2cf9754dp-4, -0x1.7d3408ac7b961p-4, -0x1.75d2d154cdad8p-4, -0x1.6e8e07509d89cp-4, -0x1.676573de04487p-4, -0x1.6058df038e63ep-4, -0x1.59680f9ff38f4p-4, -0x1.5292cb7886a7cp-4, -0x1.4bd8d74841844p-4, -0x1.4539f6d051546p-4, -0x1.3eb5ece9650bbp-4, -0x1.384c7b942d9dap-4, -0x1.31fd6407facb3p-4, -0x1.2bc866bf95edfp-4, -0x1.25ad43854bc5p-4, -0x1.1fabb97f70b27p-4, -0x1.19c3873dca05dp-4, -0x1.13f46ac75ff32p-4, -0x1.0e3e21a7b351cp-4, -0x1.08a068faabf76p-4, -0x1.031afd773f28p-4, -0x1.fb5b36f2bba9dp-5, -0x1.f0affe17f0a4fp-5, -0x1.e633c7e70f27bp-5, -0x1.dbe60b71cb7c8p-5, -0x1.d1c63f67c007p-5, -0x1.c7d3da2a01fbep-5, -0x1.be0e51dcdb757p-5, -0x1.b4751c7814186p-5, -0x1.ab07afd6acfc3p-5, -0x1.a1c581c6f4893p-5, -0x1.98ae081b22808p-5, -0x1.8fc0b8b9dd25bp-5, -0x1.86fd09ae022b3p-5, -0x1.7e62713542cbfp-5, -0x1.75f065cd84fep-5, -0x1.6da65e414f695p-5, -0x1.6583d1b3de76ap-5, -0x1.5d8837ad6aa05p-5, -0x1.55b308278439fp-5, -0x1.4e03bb994a45fp-5, -0x1.4679cb02fc479p-5, -0x1.3f14aff8d08cbp-5, -0x1.37d3e4acdebb4p-5, -0x1.30b6e3f862302p-5, -0x1.29bd296499da1p-5, -0x1.22e631338e0b4p-5, -0x1.1c317868ee37bp-5, -0x1.159e7cd2a3c24p-5, -0x1.0f2cbd1114eb8p-5, -0x1.08dbb89ed3fa3p-5, -0x1.02aaefd7bd6ep-5, -0x1.f933c7ff2da92p-6, -0x1.ed502e9072505p-6, -0x1.e1aa19aefd54ep-6, -0x1.d640919a3acap-6, -0x1.cb12a090b4841p-6, -0x1.c01f52dae5eb6p-6, -0x1.b565b6d5722f9p-6, -0x1.aae4dcfa83da1p-6, -0x1.a09bd7eaba624p-6, -0x1.9689bc752d6dp-6, -0x1.8cada19ee6d4p-6, -0x1.8306a0a9d2c1cp-6, -0x1.7993d51b47a72p-6, -0x1.70545cc21c32ap-6, -0x1.674757bc5b76dp-6, -0x1.5e6be87ca6081p-6, -0x1.55c133cf417a1p-6, -0x1.4d4660ded41f3p-6, -0x1.44fa9938bcdc8p-6, -0x1.3cdd08d0a1bbbp-6, -0x1.34ecde03353c7p-6, -0x1.2d29499848e8ep-6, -0x1.25917ec469b21p-6, -0x1.1e24b32a62f71p-6, -0x1.16e21edcf2ce3p-6, -0x1.0fc8fc60da7d4p-6, -0x1.08d888af09af3p-6, -0x1.021003368a54ap-6, -0x1.f6dd5bba89effp-7, -0x1.e9e799fee2607p-7, -0x1.dd3d4edb49a65p-7, -0x1.d0dd0cd42b5bap-7, -0x1.c4c56b4bce66p-7, -0x1.b8f506802a759p-7, -0x1.ad6a7f8a6efcp-7, -0x1.a2247c6207d2ap-7, -0x1.9721a7dfb8653p-7, -0x1.8c60b1bdfe35ep-7, -0x1.81e04e948ed17p-7, -0x1.779f37cda676cp-7, -0x1.6d9c2b96f240ep-7, -0x1.63d5ecd160d73p-7, -0x1.5a4b430470cc8p-7, -0x1.50fafa587081dp-7, -0x1.47e3e398992c7p-7, -0x1.3f04d43aaf6ep-7, -0x1.365ca666f3ffbp-7, -0x1.2dea38fa2bdd6p-7, -0x1.25ac6f7ccd6edp-7, -0x1.1da2320df6ca2p-7, -0x1.15ca6d455987fp-7, -0x1.0e2412135b5dfp-7, -0x1.06ae15a7fa5bap-7, -0x1.fecee2cf91eabp-8, -0x1.f09e45e39cb82p-8, -0x1.e2c858650b591p-8, -0x1.d54b26f71b7fbp-8, -0x1.c824c72799523p-8, -0x1.bb53576b7f014p-8, -0x1.aed4feed25676p-8, -0x1.a2a7ed3062dbfp-8, -0x1.96ca59a0ab665p-8, -0x1.8b3a83276a17ap-8, -0x1.7ff6afe83d2d4p-8, -0x1.74fd2d37979e1p-8, -0x1.6a4c4fce22258p-8, -0x1.5fe274268123fp-8, -0x1.55bdfee33db09p-8, -0x1.4bdd5d1532125p-8, -0x1.423f043ffc993p-8, -0x1.38e1720e72e87p-8, -0x1.2fc32bbc3757dp-8, -0x1.26e2bd5ec3cbfp-8, -0x1.1e3eb93009997p-8, -0x1.15d5b718a131fp-8, -0x1.0da65494ac1f6p-8, -0x1.05af34fece3b5p-8, -0x1.fbde045792dcp-9, -0x1.ecc8da4f81102p-9, -0x1.de1c5db21b687p-9, -0x1.cfd610a022175p-9, -0x1.c1f3854052b38p-9, -0x1.b4725c79e8edep-9, -0x1.a75043f7643f8p-9, -0x1.9a8af3e6f323dp-9, -0x1.8e202d0927579p-9, -0x1.820db78f73cbbp-9, -0x1.76516319cee9dp-9, -0x1.6ae907d838018p-9, -0x1.5fd288865bb75p-9, -0x1.550bd4bbb19cdp-9, -0x1.4a92eaed4cd2fp-9, -0x1.4065d98bc51a4p-9, -0x1.3682bedba129bp-9, -0x1.2ce7c7779330fp-9, -0x1.23932bc13354ap-9, -0x1.1a832ccf0fad9p-9, -0x1.11b6118d58034p-9, -0x1.092a24bcb06abp-9, -0x1.00ddb44aed0cfp-9, -0x1.f19e245facc66p-10, -0x1.e1f92d34f55f6p-10, -0x1.d2c945e690622p-10, -0x1.c40b49e1b8b28p-10, -0x1.b5bc32153465ep-10, -0x1.a7d91746dce75p-10, -0x1.9a5f312b400bp-10, -0x1.8d4bd24c18eefp-10, -0x1.809c6184ce682p-10, -0x1.744e526a26edbp-10, -0x1.685f1e354a417p-10, -0x1.5ccc3eb2b5caep-10, -0x1.51932c4b9b1e8p-10, -0x1.46b15f94efa55p-10, -0x1.3c2456102ef46p-10, -0x1.31e999151d8bap-10, -0x1.27fec56385131p-10, -0x1.1e6191b9615f7p-10, -0x1.150fd3001298p-10, -0x1.0c077d25fbddfp-10, -0x1.0346a0642ea8dp-10, -0x1.f596c6c8ea307p-11, -0x1.e527f6aee3c81p-11, -0x1.d53d46f45e5c7p-11, -0x1.c5d32b687dc0fp-11, -0x1.b6e60ba2065f4p-11, -0x1.a87240a3c43ccp-11, -0x1.9a741a1b38828p-11, -0x1.8ce7e9ddc245p-11, -0x1.7fca12f586ae6p-11, -0x1.7317190b7641cp-11, -0x1.66cbad4c4d6b3p-11, -0x1.5ae4b6b5bc82cp-11, -0x1.4f5f548ab3d5cp-11, -0x1.4438da6ebba4dp-11, -0x1.396ec66c0b4c1p-11, -0x1.2efeb238481b8p-11, -0x1.24e642428350fp-11, -0x1.1b23161079d8bp-11, -0x1.11b2bd8ab9c33p-11, -0x1.0892b5b40891dp-11, -0x1.ff80da265544cp-12, -0x1.ee729b7d09e88p-12, -0x1.ddf5932b7d9bp-12, -0x1.ce04cb13496b5p-12, -0x1.be9b84d55d30ep-12, -0x1.afb546b44b399p-12, -0x1.a14de4c6555p-12, -0x1.936185b01b4e9p-12, -0x1.85ec9fbf66c2bp-12, -0x1.78ebeac0daed6p-12, -0x1.6c5c47a4bc8aap-12, -0x1.603aa350b20bp-12, -0x1.5483dc4b6ea71p-12, -0x1.4934b66b6067dp-12, -0x1.3e49ddf4165c6p-12, -0x1.33bff7210f39dp-12, -0x1.2993b126ba8f3p-12, -0x1.1fc1d36a2c144p-12, -0x1.164740597370ap-12, -0x1.0d20f0581848ep-12, -0x1.044bec7add1fbp-12, -0x1.f78aa1c6497f7p-13, -0x1.e714b191a0c28p-13, -0x1.d730dd621eaaep-13, -0x1.c7da6ce0c2333p-13, -0x1.b90d1189d138bp-13, -0x1.aac4c0f815613p-13, -0x1.9cfd847d60b8ep-13, -0x1.8fb3577bfda02p-13, -0x1.82e22462e2acbp-13, -0x1.7685dcf7b00e7p-13, -0x1.6a9a9bd361107p-13, -0x1.5f1cbaa7e3ba8p-13, -0x1.5408cff4904c9p-13, -0x1.495b916c6a394p-13, -0x1.3f11a418a699ep-13, -0x1.35276efea1cafp-13, -0x1.2b990a463d963p-13, -0x1.22625c4f488a4p-13, -0x1.197f5f41c51f9p-13, -0x1.10ec7066ff7bcp-13, -0x1.08a67fdb30ebbp-13, -0x1.00ab085a2f705p-13, -0x1.f1efad5357795p-14, -0x1.e31590ee948f6p-14, -0x1.d4c34e538dc9dp-14, -0x1.c6f457b538fd3p-14, -0x1.b9a440de4dd54p-14, -0x1.accf0be998f06p-14, -0x1.a0714ee7e140dp-14, -0x1.94880e3cf7d08p-14, -0x1.89104c730b9c1p-14, -0x1.7e067d69e7ee9p-14, -0x1.73661ffbf3c54p-14, -0x1.6929b340e2e6ap-14, -0x1.5f4b19e81b258p-14, -0x1.55c452a86ffddp-14, -0x1.4c904256c1de4p-14, -0x1.43ab3576caa24p-14, -0x1.3b12d383115fdp-14, -0x1.32c585d8b610cp-14, -0x1.2ac1ac998d8eap-14, -0x1.23051d85daee8p-14, -0x1.1b8d2efaaf6dap-14, -0x1.14572f65fb10dp-14, -0x1.0d60eb5dfe232p-14, -0x1.06a8e0ad752d1p-14, -0x1.002df0d5ce05cp-14, -0x1.f3dd8a74dbb31p-15, -0x1.e7d2b07aa54a8p-15, -0x1.dc35d439af628p-15, -0x1.d100834fa311dp-15, -0x1.c62be8ac79457p-15, -0x1.bbb14701479a2p-15, -0x1.b18a8e16c61b2p-15, -0x1.a7b3050908d92p-15, -0x1.9e279bc4d26adp-15, -0x1.94e6897f60c65p-15, -0x1.8bee67b29ad5bp-15, -0x1.833d669d4fa57p-15, -0x1.7ad117a143a2ep-15, -0x1.72a6c26d92593p-15, -0x1.6abbea3c50824p-15, -0x1.630eb5e9195acp-15, -0x1.5b9de667a38fep-15, -0x1.546830d1def88p-15, -0x1.4d6b82f277542p-15, -0x1.46a4ed78f8d91p-15, -0x1.401124094b3e1p-15, -0x1.39acf3ca97942p-15, -0x1.33756a39f1b7cp-15, -0x1.2d67e497c8fd9p-15, -0x1.27823d5eda8a9p-15, -0x1.21c2f2f3e3c64p-15, -0x1.1c28f1476fd76p-15, -0x1.16b2f85cf89f3p-15, -0x1.115f34b2c161dp-15, -0x1.0c2b9f6b1e484p-15, -0x1.0716d100be891p-15, -0x1.022054d48adbcp-15, -0x1.fa90221f2882dp-16, -0x1.f11aa7ac808b5p-16, -0x1.e7dd4b0147799p-16, -0x1.ded518c0adbdap-16, -0x1.d60003b7dfcap-16, -0x1.cd5c3b895cecbp-16, -0x1.c4e7838a85f4p-16, -0x1.bc9f7c56f943p-16, -0x1.b481c7ece0fb8p-16, -0x1.ac8be94c3cc1cp-16, -0x1.a4bb54811f894p-16, -0x1.9d0dfb125b4f6p-16, -0x1.9582efe45a067p-16, -0x1.8e1a4fb17321ap-16, -0x1.86d438b40e80ep-16, -0x1.7fafa7fc6055dp-16, -0x1.78aa396c65aa5p-16, -0x1.71c13cb468d9cp-16, -0x1.6af34c202a439p-16, -0x1.644097c8b475cp-16, -0x1.5da960667f09ap-16, -0x1.572c6568b740cp-16, -0x1.50c76c2aa5b9p-16, -0x1.4a7945f7ac869p-16, -0x1.44422d0fec594p-16, -0x1.3e2236a34870fp-16, -0x1.3818b5ad050a4p-16, -0x1.3224cdbad26e7p-16, -0x1.2c45a6534922dp-16, -0x1.267a0fa7a7952p-16, -0x1.20c06cc4fa7e2p-16, -0x1.1b1793181c665p-16, -0x1.157fb005e0384p-16, -0x1.0ff9819ad93efp-16, -0x1.0a84de0ae5594p-16, -0x1.052109833f06ap-16, -0x1.ff9c23b922803p-17, -0x1.f518a0ea3d8f7p-17, -0x1.eab63429ba793p-17, -0x1.e07196917f9abp-17, -0x1.d6481645eb193p-17, -0x1.cc3a10cd781c1p-17, -0x1.c248ea6f1e3e4p-17, -0x1.b873a0fd635fap-17, -0x1.aeb8c8a2728dbp-17, -0x1.a5194d66ff1c4p-17, -0x1.9b9649034ee74p-17, -0x1.922f624a664bfp-17, -0x1.88e3c2c102464p-17, -0x1.7fb23cfa99ce2p-17, -0x1.7698cb461984p-17, -0x1.6d9636f379d9ep-17, -0x1.64abd64fabe5fp-17, -0x1.5bdaa62cb73e5p-17, -0x1.53216276241a1p-17, -0x1.4a7fbbe7061f4p-17, -0x1.41f6b7bc0b40bp-17, -0x1.3986209534316p-17, -0x1.312d115de9429p-17, -0x1.28eb19d2a5089p-17, -0x1.20c031734dee2p-17, -0x1.18ac8e9e7c7f5p-17, -0x1.10b02b6f56fe4p-17, -0x1.08ca28038884ep-17, -0x1.00fa309ae6cbdp-17, -0x1.f2817b3f655fap-18, -0x1.e33a60b07b772p-18, -0x1.d41f6d802dfa6p-18, -0x1.c5333c68f71ccp-18, -0x1.b675dafb21abep-18, -0x1.a7e59e67d026p-18, -0x1.997ff11e34cb2p-18, -0x1.8b440b37b6af7p-18, -0x1.7d33fa0cd1f67p-18, -0x1.6f4eed87b6e15p-18, -0x1.61947023798b3p-18, -0x1.54066f10c99d1p-18, -0x1.46a4726106c99p-18, -0x1.396d31a4b8f96p-18, -0x1.2c60577927639p-18, -0x1.1f7df453946a9p-18, -0x1.12c60c3762463p-18, -0x1.06388ebe5c81cp-18, -0x1.f3aac5347f38dp-19, -0x1.db38b7dc1a548p-19, -0x1.c31abc47b1599p-19, -0x1.ab51c1e7f522bp-19, -0x1.93de6f45f9b32p-19, -0x1.7cbe2105e297ap-19, -0x1.65efb60cc28dfp-19, -0x1.4f72ad6a8781ep-19, -0x1.3948b31f5ead7p-19, -0x1.237521c02e175p-19, -0x1.0df3f816edf48p-19, -0x1.f185066f6ac04p-20, -0x1.c7c16fc40098fp-20, -0x1.9e9d25089719ep-20, -0x1.761de6183c329p-20, -0x1.4e40c13342dbbp-20, -0x1.27022f4e32dbep-20, -0x1.0061a56c996b1p-20, -0x1.b4be0de1e25bbp-21, -0x1.69f3bed4bbd45p-21, -0x1.2062f7af6ae76p-21, -0x1.b0142d2cb903bp-22, -0x1.21ceaef77aa12p-22, -0x1.2be36a296dc81p-23, -0x1.8f2ab3ded34acp-27, 0x1.ea79973aa63ecp-24, 0x1.feb30773c78d9p-23, 0x1.81bca07f2c714p-22, 0x1.00e64ad53f193p-21, 0x1.3fc4ddd3600cbp-21, 0x1.7d77ed3b7ad32p-21, 0x1.ba035b1148423p-21, 0x1.f56adf2bd9bacp-21, 0x1.17db2111e732ep-20, 0x1.34720e63627a9p-20, 0x1.507b366890a27p-20, 0x1.6bf579025e154p-20, 0x1.86e3faac5cf4ep-20, 0x1.a148b5f7e903dp-20, 0x1.bb24763efa234p-20, 0x1.d4774958deaedp-20, 0x1.ed43067d924a7p-20, 0x1.02c44e0a807dfp-19, 0x1.0ea4a59a9b78ap-19, 0x1.1a432b8475119p-19, 0x1.25a0813e1ae37p-19, 0x1.30bd473ec9a8fp-19, 0x1.3b99aa9cd52a9p-19, 0x1.463793ed84d49p-19, 0x1.50965c876979ap-19, 0x1.5ab71fc020184p-19, 0x1.649a90d6d3982p-19, 0x1.6e415ec45b0edp-19, 0x1.77ac351bf76a8p-19, 0x1.80dbc4561d9b6p-19, 0x1.89d0576180c8p-19, 0x1.928a29a85d891p-19, 0x1.9b0b0e6e6d60ep-19, 0x1.a3534d3bdea6dp-19, 0x1.ab633a83aa136p-19, 0x1.b33c0e4b7781dp-19, 0x1.badde735adcbcp-19, 0x1.c249c1b88bfdp-19, 0x1.c9806112701ccp-19, 0x1.d08259f28c8ddp-19, 0x1.d7504fd6ee1ep-19, 0x1.ddeaef60c6b1ap-19, 0x1.e452e79032c2ap-19, 0x1.ea88e77f9a202p-19, 0x1.f08d9dd10a8p-19, 0x1.f661baae64a5ep-19, 0x1.fc05ed8406f91p-19, 0x1.00bd6be0c8a45p-18, 0x1.0360986658751p-18, 0x1.05ecd30722219p-18, 0x1.086272370e172p-18, 0x1.0ac1cc22613d5p-18, 0x1.0d0b361617801p-18, 0x1.0f3f05086f869p-18, 0x1.115d912b1f22fp-18, 0x1.1367288c0b2fcp-18, 0x1.155c17adc0c1bp-18, 0x1.173cce5f88cbap-18, 0x1.190988b647443p-18, 0x1.1ac2a1dc6518cp-18, 0x1.1c686f7415c9ep-18, 0x1.1dfb4228a9e3ap-18, 0x1.1f7b6985fa63dp-18, 0x1.20e938f17156p-18, 0x1.224501639f565p-18, 0x1.238f12037aca3p-18, 0x1.24c7bd3fd00bdp-18, 0x1.25ef51f6f12acp-18, 0x1.27061e9b2e8fbp-18, 0x1.280c715f43fb3p-18, 0x1.29029815cf3d3p-18, 0x1.29e8df9b4f469p-18, 0x1.2abf94d4c2983p-18, 0x1.2b8703c90e82cp-18, 0x1.2c3f7810dad68p-18, 0x1.2ce93b60b0f0cp-18, 0x1.2d8498335bcdfp-18, 0x1.2e11d74c9cffbp-18, 0x1.2e91417ace0d2p-18, 0x1.2f031f5946807p-18, 0x1.2f67b73afacb7p-18, 0x1.2fbf4edeaec8p-18, 0x1.300a3025bf243p-18, 0x1.30489c7ab9294p-18, 0x1.307adc171235p-18, 0x1.30a12ca80276ep-18, 0x1.30bbd3489352bp-18, 0x1.30cb12ed4956p-18, 0x1.30cf2d0c2c96p-18, 0x1.30c862817f841p-18, 0x1.30b6f3844b0c7p-18, 0x1.309b1ed7b758p-18, 0x1.30752127e2e45p-18, 0x1.30453912777ep-18, 0x1.300ba66d4438ep-18, 0x1.2fc8a527f3dc4p-18, 0x1.2f7c6ce2bd41fp-18, 0x1.2f273899111fdp-18, 0x1.2ec943459386cp-18, 0x1.2e62c62322bbcp-18, 0x1.2df3f96b275fdp-18, 0x1.2d7d1498224fep-18, 0x1.2cfe4e513f47ap-18, 0x1.2c77dc6dbbe9dp-18, 0x1.2be9f41edf3fep-18, 0x1.2b54ca0011b11p-18, 0x1.2ab892047c39ap-18, 0x1.2a157e69332p-18, 0x1.296bbff9cc164p-18, 0x1.28bb8b1f2f846p-18, 0x1.280510df30facp-18, 0x1.27487e1199591p-18, 0x1.268602741c0e3p-18, 0x1.25bdcd13130ffp-18, 0x1.24f00b8c4ce99p-18, 0x1.241ceafa2d9cbp-18, 0x1.234496d4c77a2p-18, 0x1.22673b31160cap-18, 0x1.2185027fcbee3p-18, 0x1.209e16ba87531p-18, 0x1.1fb2a131e3055p-18, 0x1.1ec2ca681447dp-18, 0x1.1dceba67a8aeap-18, 0x1.1cd69932e1d59p-18, 0x1.1bda88ab4b673p-18, 0x1.1adab1d4f76e3p-18, 0x1.19d740b13af92p-18, 0x1.18d04c9620279p-18, 0x1.17c600a39a5dp-18, 0x1.16b87f017b2a3p-18, 0x1.15a7e9cf331d5p-18, 0x1.149462b0eafb7p-18, 0x1.137e0ab3ccac9p-18, 0x1.1265023a84cfcp-18, 0x1.114968f3f5f2cp-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.615dea16af9cp-6, -0x1.60466110341b8p-5, -0x1.06da93c1860d1p-4, -0x1.5bfb2ee4c80d4p-4, -0x1.af0b0527bb3d6p-4, -0x1.ff9a5f1bafce2p-4, -0x1.26a2842152da2p-3, -0x1.4bd985714b022p-3, -0x1.6f4c7e2aee49ap-3, -0x1.90dbf6cd16e32p-3, -0x1.b06e89b6b141ap-3, -0x1.cdf09bd887813p-3, -0x1.e95401d128221p-3, -0x1.0147cc0464d4ep-2, -0x1.0ccf699b5fe3dp-2, -0x1.1740a6d2421dbp-2, -0x1.209d2a46635aap-2, -0x1.28e83c118c2dfp-2, -0x1.3026901093a67p-2, -0x1.365e13137d721p-2, -0x1.3b95bb640392dp-2, -0x1.3fd55ce1a4c9ap-2, -0x1.432580cead8d1p-2, -0x1.458f414e468bfp-2, -0x1.471c287f1fd99p-2, -0x1.47d6130f5a818p-2, -0x1.47c7161beacdp-2, -0x1.46f96826d1ce1p-2, -0x1.45774ceb93823p-2, -0x1.434b03d786c9fp-2, -0x1.407eb8eba30a9p-2, -0x1.3d1c77ce9de66p-2, -0x1.392e20d87002cp-2, -0x1.34bd5fe328a85p-2, -0x1.2fd3a4b0513a4p-2, -0x1.2a7a1cb5a1d2p-2, -0x1.24b9ae277034fp-2, -0x1.1e9af41aece4ap-2, -0x1.18263b9dbe67ap-2, -0x1.116381a3fa132p-2, -0x1.0a5a71b09fc89p-2, -0x1.0312651fc1846p-2, -0x1.f724c5f84e353p-3, -0x1.e7c24099a7eb2p-3, -0x1.d80a0191f85d8p-3, -0x1.c8082fc628621p-3, -0x1.b7c8543ac1e96p-3, -0x1.a7555d3833068p-3, -0x1.96b9a1d52ef37p-3, -0x1.85fee5d493bf3p-3, -0x1.752e5dc6a4cf4p-3, -0x1.6450b35f2bd79p-3, -0x1.536e09f404aaep-3, -0x1.428e0318f3b66p-3, -0x1.31b7c34f12437p-3, -0x1.20f1f6bf559e6p-3, -0x1.1042d5f8b012ep-3, -0x1.ff6055569e108p-4, -0x1.de7ea8b685f2ep-4, -0x1.bdea9a0b4b5dp-4, -0x1.9dad5b67f0f72p-4, -0x1.7dcf65f433d5ap-4, -0x1.5e5882b7651ap-4, -0x1.3f4fd32cefe61p-4, -0x1.20bbd99e4b8d7p-4, -0x1.02a2813ebd8ep-4, -0x1.ca124c0c5cdeap-5, -0x1.8fe93891ce686p-5, -0x1.56d270156a737p-5, -0x1.1ed5a818e7ad9p-5, -0x1.cff3624df0c6dp-6, -0x1.648907ab953afp-6, -0x1.f6ed34f75f94bp-7, -0x1.2989eb991ca92p-7, -0x1.83dc628d3a01ep-9, 0x1.8afc0f059a61bp-9, 0x1.218ea53fe5d4ep-7, 0x1.db705beb72cb3p-7, 0x1.482f7362e44acp-6, 0x1.a02b881382aabp-6, 0x1.f5abc5fb9bc77p-6, 0x1.245835ea3368cp-5, 0x1.4c9d46f89d6bdp-5, 0x1.73a603f1c21d2p-5, 0x1.9973b7726a704p-5, 0x1.be08027f1fedbp-5, 0x1.e164d6721b64ep-5, 0x1.01c6379f890dep-4, 0x1.1240a70455e4dp-4, 0x1.22231a01b2ab1p-4, 0x1.316f0ed0ee4f6p-4, 0x1.40261f0344fd3p-4, 0x1.4e49fd5b8f98ep-4, 0x1.5bdc73c6f0421p-4, 0x1.68df6172b97e8p-4, 0x1.7554b8fde3285p-4, 0x1.813e7ec4711d5p-4, 0x1.8c9ec74347c72p-4, 0x1.9777b592fb768p-4, 0x1.a1cb79f83d047p-4, 0x1.ab9c50889bcd2p-4, 0x1.b4ec7fe25f7acp-4, 0x1.bdbe57f65e37fp-4, 0x1.c61430e2ba8f6p-4, 0x1.cdf069dd84149p-4, 0x1.d555682e4fa0cp-4, 0x1.dc459635e5f5bp-4, 0x1.e2c362833af1fp-4, 0x1.e8d13ef4e84f4p-4, 0x1.ee719fe678794p-4, 0x1.f3a6fb68d89a7p-4, 0x1.f873c88563604p-4, 0x1.fcda7e8ad9d17p-4, 0x1.006eca31f216dp-3, 0x1.023fbffb44691p-3, 0x1.03e15ac618ac6p-3, 0x1.0554d3a0e6ad5p-3, 0x1.069b623fe012ep-3, 0x1.07b63cbc92a67p-3, 0x1.08a6975918ffdp-3, 0x1.096da446a7747p-3, 0x1.0a0c936f58411p-3, 0x1.0a84924314a06p-3, 0x1.0ad6cb87741b6p-3, 0x1.0b04672a7eb85p-3, 0x1.0b0e8a182b551p-3, 0x1.0af656128c1a5p-3, 0x1.0abce98c84f6p-3, 0x1.0a635f86fa86dp-3, 0x1.09eacf7067e03p-3, 0x1.09544d06b9ba5p-3, 0x1.08a0e83b69c71p-3, 0x1.07d1ad19b6fc9p-3, 0x1.06e7a3aefbb6bp-3, 0x1.05e3cff4fbdcap-3, 0x1.04c731be2a298p-3, 0x1.0392c4a3c6afbp-3, 0x1.02477ff5d5b5dp-3, 0x1.00e656accd80bp-3, 0x1.fee06eb9f7d61p-4, 0x1.fbcc18570f4b2p-4, 0x1.f891758a1173p-4, 0x1.f53248ab4d6afp-4, 0x1.f1b04b055094fp-4, 0x1.ee0d2ccada9cfp-4, 0x1.ea4a950f96762p-4, 0x1.e66a21c351f01p-4, 0x1.e26d67afd7143p-4, 0x1.de55f2790d928p-4, 0x1.da25449f876d6p-4, 0x1.d5dcd78522afep-4, 0x1.d17e1b73e6e38p-4, 0x1.cd0a77a6cb95ep-4, 0x1.c8834a547b486p-4, 0x1.c3e9e8bbdc40ep-4, 0x1.bf3f9f3266444p-4, 0x1.ba85b1341237bp-4, 0x1.b5bd5974dadbp-4, 0x1.b0e7c9f3b7bf1p-4, 0x1.ac062c0f0b6ep-4, 0x1.a719a09a43aep-4, 0x1.a2233ff4cf0dep-4, 0x1.9d241a2234b7p-4, 0x1.981d36e331ab3p-4, 0x1.930f95cfea8e7p-4, 0x1.8dfc2e72fd36dp-4, 0x1.88e3f06577a3bp-4, 0x1.83c7c36b94568p-4, 0x1.7ea887923450fp-4, 0x1.7987154d00337p-4, 0x1.74643d952592dp-4, 0x1.6f40ca089b3d8p-4, 0x1.6a1d7d09e3761p-4, 0x1.64fb11e03a8bcp-4, 0x1.5fda3cd82445bp-4, 0x1.5abbab644ac1fp-4, 0x1.55a0043ea2a41p-4, 0x1.5087e789c8443p-4, 0x1.4b73eef2887e6p-4, 0x1.4664add18bd03p-4, 0x1.415ab14d18281p-4, 0x1.3c56807add6fbp-4, 0x1.37589c81c67c7p-4, 0x1.326180bbc0257p-4, 0x1.2d71a2d772fb6p-4, 0x1.288972f9e29cdp-4, 0x1.23a95bdfec7e5p-4, 0x1.1ed1c2ff9e971p-4, 0x1.1a0308a95dd97p-4, 0x1.153d8828d7031p-4, 0x1.108197e5b127p-4, 0x1.0bcf8983fe98ap-4, 0x1.0727aa0464a88p-4, 0x1.028a41e3f4901p-4, 0x1.fbef2a7765d4ep-5, 0x1.f2dfc7bf8c51ap-5, 0x1.e9e6d2fc94da1p-5, 0x1.e104bb7b8a53cp-5, 0x1.d839e8b668f92p-5, 0x1.cf86ba8f74259p-5, 0x1.c6eb898bb256ep-5, 0x1.be68a70c97221p-5, 0x1.b5fe5d88c7667p-5, 0x1.adacf0c4019a5p-5, 0x1.a5749e061b0f9p-5, 0x1.9d559c5114a63p-5, 0x1.95501c9643c34p-5, 0x1.8d6449ea87732p-5, 0x1.859249b98fb4p-5, 0x1.7dda3bf82e1b4p-5, 0x1.763c3b55b08aap-5, 0x1.6eb85d6c48c5dp-5, 0x1.674eb2f0792abp-5, 0x1.5fff47df8a6aep-5, 0x1.58ca23ad0b55p-5, 0x1.51af496f56751p-5, 0x1.4aaeb80b20b5bp-5, 0x1.43c86a5e12c5bp-5, 0x1.3cfc57686b7f2p-5, 0x1.364a7275ad11ap-5, 0x1.2fb2ab4458d01p-5, 0x1.2934ee2cb6cf8p-5, 0x1.22d12446b1168p-5, 0x1.1c87338ebbac4p-5, 0x1.1656ff09d6329p-5, 0x1.104066e89ef3p-5, 0x1.0a4348a981edep-5, 0x1.045f7f3a00bf1p-5, 0x1.fd29c62e36e3ep-6, 0x1.f1c694d9a9f8dp-6, 0x1.e6951269beae8p-6, 0x1.db94e2a8da30ap-6, 0x1.d0c5a5725283ap-6, 0x1.c626f6eac1c71p-6, 0x1.bbb86fb6acec6p-6, 0x1.b179a52f9682fp-6, 0x1.a76a29977fb5ep-6, 0x1.9d898c4ad55f6p-6, 0x1.93d759f0da14ap-6, 0x1.8a531caa937fbp-6, 0x1.80fc5c40361b4p-6, 0x1.77d29e4d27ef7p-6, 0x1.6ed5666a91dfep-6, 0x1.6604365891d59p-6, 0x1.5d5e8e2608d7cp-6, 0x1.54e3ec5718c85p-6, 0x1.4c93ce0a51c32p-6, 0x1.446daf1c92a56p-6, 0x1.3c710a4bada02p-6, 0x1.349d5957ce05dp-6, 0x1.2cf21523abfcfp-6, 0x1.256eb5d393056p-6, 0x1.1e12b2eb430d6p-6, 0x1.16dd836ab04f9p-6, 0x1.0fce9de9aa6b5p-6, 0x1.08e578b27491fp-6, 0x1.022189db4e143p-6, 0x1.f7048ebdee8cep-7, 0x1.ea0e4e6870ba6p-7, 0x1.dd5f3ec8de5cep-7, 0x1.d0f64c425ccc6p-7, 0x1.c4d263b1ce49ep-7, 0x1.b8f27295752b5p-7, 0x1.ad556732bf8f9p-7, 0x1.a1fa30ba71149p-7, 0x1.96dfbf6b18449p-7, 0x1.8c0504b1f2e8bp-7, 0x1.8168f34a35ffdp-7, 0x1.770a7f5adc87ap-7, 0x1.6ce89e92f1d6ep-7, 0x1.6302484475159p-7, 0x1.5956757dca91cp-7, 0x1.4fe42121e5296p-7, 0x1.46aa47ff0edf3p-7, 0x1.3da7e8e479fd1p-7, 0x1.34dc04b682f8bp-7, 0x1.2c459e81d67acp-7, 0x1.23e3bb8d5954fp-7, 0x1.1bb5636b05a12p-7, 0x1.13b9a007a0e48p-7, 0x1.0bef7db968582p-7, 0x1.04560b4dbf057p-7, 0x1.f9d8b42bb41cap-8, 0x1.eb62fbe4fe7fcp-8, 0x1.dd491abd9cf7dp-8, 0x1.cf8942f45b80bp-8, 0x1.c221ac22b6ed1p-8, 0x1.b510934d52dcap-8, 0x1.a8543af2df709p-8, 0x1.9beaeb196f05ep-8, 0x1.8fd2f15a3e368p-8, 0x1.840aa0ec3a68dp-8, 0x1.789052acf7d4fp-8, 0x1.6d6265288556cp-8, 0x1.627f3c9fcb939p-8, 0x1.57e5430dc95c9p-8, 0x1.4d92e82babe51p-8, 0x1.4386a173b592dp-8, 0x1.39beea231a3f2p-8, 0x1.303a433ad6d31p-8, 0x1.26f7337f6aa14p-8, 0x1.1df44777c38dp-8, 0x1.1530116b3357cp-8, 0x1.0ca9295e80ef4p-8, 0x1.045e2d102f127p-8, 0x1.f89b7fe7be803p-9, 0x1.e8ed165a1db5ap-9, 0x1.d9ae7b122c0d9p-9, 0x1.cadd16f0c38ep-9, 0x1.bc765e0e503ddp-9, 0x1.ae77cfaac7ad2p-9, 0x1.a0def61c689dep-9, 0x1.93a966bd8a4a7p-9, 0x1.86d4c1d94ed32p-9, 0x1.7a5eb29739f09p-9, 0x1.6e44eee605ffp-9, 0x1.62853765595edp-9, 0x1.571d574ebf3ep-9, 0x1.4c0b245e07d3p-9, 0x1.414c7eb88e8d3p-9, 0x1.36df50d428741p-9, 0x1.2cc18f5d34b86p-9, 0x1.22f1391c262a6p-9, 0x1.196c56da60fc1p-9, 0x1.1030fb46e66ap-9, 0x1.073d42da24d69p-9, 0x1.fd1ea7733d9a5p-10, 0x1.ec4abb3619345p-10, 0x1.dbfb334e26f96p-10, 0x1.cc2c94b770559p-10, 0x1.bcdb76dd5dfcbp-10, 0x1.ae04835e2ba69p-10, 0x1.9fa475ce87b46p-10, 0x1.91b81b7c5e0afp-10, 0x1.843c53315f5e1p-10, 0x1.772e0cf548501p-10, 0x1.6a8a49d0264fep-10, 0x1.5e4e1b8c03584p-10, 0x1.5276a476c218cp-10, 0x1.47011723c413cp-10, 0x1.3beab62d63d36p-10, 0x1.3130d3f683629p-10, 0x1.26d0d26c68764p-10, 0x1.1cc822c851a7bp-10, 0x1.1314455143fa9p-10, 0x1.09b2c91e2a93dp-10, 0x1.00a14bd7e2491p-10, 0x1.efbaf2f726a71p-11, 0x1.deca183a9d20cp-11, 0x1.ce6b975687c13p-11, 0x1.be9b1b6141e11p-11, 0x1.af546a32ce0a8p-11, 0x1.a09363ec7d4c3p-11, 0x1.92540281716c9p-11, 0x1.8492593fea3a2p-11, 0x1.774a945c05ba3p-11, 0x1.6a78f87ad1a29p-11, 0x1.5e19e23e253bap-11, 0x1.5229c5d23c7ecp-11, 0x1.46a52e7b7367fp-11, 0x1.3b88be2594203p-11, 0x1.30d12cf3e24fp-11, 0x1.267b48d2d0025p-11, 0x1.1c83f50a58526p-11, 0x1.12e829d172255p-11, 0x1.09a4f3e32e56ep-11, 0x1.00b774146d327p-11, 0x1.f039bdd6200e6p-12, 0x1.dfa4f86c9495ep-12, 0x1.cfab4d5199ee9p-12, 0x1.c04796e6b8d25p-12, 0x1.b174d3c1e8bep-12, 0x1.a32e25e8f8abp-12, 0x1.956ed20ef60a9p-12, 0x1.88323ed429c8cp-12, 0x1.7b73f40890c4cp-12, 0x1.6f2f99f22c523p-12, 0x1.6360f89496fd3p-12, 0x1.5803f6fbbfe65p-12, 0x1.4d149a894e2a1p-12, 0x1.428f0644babc4p-12, 0x1.386f7a2dd8a9fp-12, 0x1.2eb25291f93ccp-12, 0x1.25540764610cdp-12, 0x1.1c512b992a911p-12, 0x1.13a66c81e7e4fp-12, 0x1.0b50912e1816ep-12, 0x1.034c79cde0868p-12, 0x1.f72e3e2d8d8b3p-13, 0x1.e85b2357eccc1p-13, 0x1.da19f310748e8p-13, 0x1.cc652ad7b7c5cp-13, 0x1.bf377497f8e7dp-13, 0x1.b28ba588a9b65p-13, 0x1.a65cbd1927d04p-13, 0x1.9aa5e3dee0424p-13, 0x1.8f626a886666fp-13, 0x1.848dc8d6acbbdp-13, 0x1.7a239c99bd072p-13, 0x1.701fa8b47ad4bp-13, 0x1.667dd4239e1b4p-13, 0x1.5d3a290856a1ep-13, 0x1.5450d3baea3a4p-13, 0x1.4bbe21dfe5682p-13, 0x1.437e818162acp-13, 0x1.3b8e802f0eae4p-13, 0x1.33eaca2085326p-13, 0x1.2c90295ea00fbp-13, 0x1.257b84efbac47p-13, 0x1.1ea9e0073bb4bp-13, 0x1.1818593c2b5a9p-13, 0x1.11c429c279cfcp-13, 0x1.0baaa4a80902ep-13, 0x1.05c936177fb55p-13, 0x1.001d629dc738p-13, 0x1.f5498ce9f8bebp-14, 0x1.eaba29a4f5cccp-14, 0x1.e0882e7141c36p-14, 0x1.d6af599b059dp-14, 0x1.cd2b93693c4a9p-14, 0x1.c3f8ecd94fecdp-14, 0x1.bb139e62a5477p-14, 0x1.b27806bf1435fp-14, 0x1.aa22a9c052c67p-14, 0x1.a2102f266c34ap-14, 0x1.9a3d61801216cp-14, 0x1.92a72d110286cp-14, 0x1.8b4a9ec149f2p-14, 0x1.8424e30fa82cbp-14, 0x1.7d33450d9dd0bp-14, 0x1.76732d6109a62p-14, 0x1.6fe2214938086p-14, 0x1.697dc1b1b0811p-14, 0x1.6343ca4321dcfp-14, 0x1.5d32107dbf3e6p-14, 0x1.574682d99444ep-14, 0x1.517f27ed26367p-14, 0x1.4bda1d97ca574p-14, 0x1.4655983377b97p-14, 0x1.40efe1cbee8bp-14, 0x1.3ba75958784ccp-14, 0x1.367a72000c674p-14, 0x1.3167b25f25a2ap-14, 0x1.2c6db3d1f3f85p-14, 0x1.278b21c54a032p-14, 0x1.22beb90d2fbabp-14, 0x1.1e07473d46ad6p-14, 0x1.1963aa0858733p-14, 0x1.14d2cea4a68b5p-14, 0x1.1053b1319b4e3p-14, 0x1.0be55c25b5d65p-14, 0x1.0786e7bf15ab6p-14, 0x1.0337797768609p-14, 0x1.fdec86f99cf32p-15, 0x1.f585085e0067ep-15, 0x1.ed370b40470dbp-15, 0x1.e5013a312cc38p-15, 0x1.dce2553f52b2ep-15, 0x1.d4d9311123de6p-15, 0x1.cce4b600ca3afp-15, 0x1.c503df44ba8fcp-15, 0x1.bd35ba1c4d9b3p-15, 0x1.b57965023b952p-15, 0x1.adce0ee781215p-15, 0x1.a632f6748c3a2p-15, 0x1.9ea7694f2b98ap-15, 0x1.972ac3676c2c4p-15, 0x1.8fbc6e49b6157p-15, 0x1.885be078b8255p-15, 0x1.81089ccaf658ap-15, 0x1.79c231ce2b8ebp-15, 0x1.728839301c1f8p-15, 0x1.6b5a572d2bd31p-15, 0x1.64383a02916d1p-15, 0x1.5d21996766fc6p-15, 0x1.561636097b0d9p-15, 0x1.4f15d90f4cd7fp-15, 0x1.4820539cccbep-15, 0x1.41357e5edaf17p-15, 0x1.3a55391b2e834p-15, 0x1.337f6a4244b5dp-15, 0x1.2cb3fe87634edp-15, 0x1.25f2e87b080cdp-15, 0x1.1f3c202ae8b0cp-15, 0x1.188fa2c3b6d45p-15, 0x1.11ed7237bebf1p-15, 0x1.0b5594eb01314p-15, 0x1.04c8155e67adfp-15, 0x1.fc8a03c114dcp-16, 0x1.ef98d88735a25p-16, 0x1.e2bcd326d995cp-16, 0x1.d5f6239f8ad93p-16, 0x1.c944ff53e905bp-16, 0x1.bca9a08aa9801p-16, 0x1.b02445f372fe8p-16, 0x1.a3b53231aba2ap-16, 0x1.975cab6cef6e7p-16, 0x1.8b1afae9dc59ap-16, 0x1.7ef06ca1d98dap-16, 0x1.72dd4ee21e1d8p-16, 0x1.66e1f1f213536p-16, 0x1.5afea7b98deb8p-16, 0x1.4f33c36eb2e1p-16, 0x1.43819945bcda6p-16, 0x1.37e87e28fb1c1p-16, 0x1.2c68c76f2d1a9p-16, 0x1.2102ca985c6b2p-16, 0x1.15b6dd0dee533p-16, 0x1.0a8553e866581p-16, 0x1.fedd076c3d0dbp-17, 0x1.e8e580886c367p-17, 0x1.d324b8dd149f4p-17, 0x1.bd9b53dfffc35p-17, 0x1.a849f268a083dp-17, 0x1.93313262254a6p-17, 0x1.7e51ae7b8d71ap-17, 0x1.69abfde2a9123p-17, 0x1.5540b3fe323a7p-17, 0x1.4110603032b1bp-17, 0x1.2d1b8d9b2a4fep-17, 0x1.1962c2f33a0c7p-17, 0x1.05e682456baadp-17, 0x1.e54e91a5ba8f3p-18, 0x1.bf4b1dc5f6f87p-18, 0x1.99c38f438d6adp-18, 0x1.74b8c1f9e27e5p-18, 0x1.502b8712c18cdp-18, 0x1.2c1ca4ca00aaap-18, 0x1.088cd64af89f9p-18, 0x1.caf997039461p-19, 0x1.85da51f45ac21p-19, 0x1.41bd0f85fd77fp-19, 0x1.fd45d57e5eep-20, 0x1.7919ceb4d9b64p-20, 0x1.edefc6e2ee49ap-21, 0x1.db86f645d2254p-22, -0x1.c9c9fbf5580fcp-26, -0x1.064301f08d869p-21, -0x1.fa186064c8bfp-21, -0x1.74e64706a34bdp-20, -0x1.eaaf055287fb8p-20, -0x1.2f32ec912b01ep-19, -0x1.68052f3f7e542p-19, -0x1.9fce2f8618e6cp-19, -0x1.d68de8c64035cp-19, -0x1.06223664be634p-18, -0x1.2078f1bef9329p-18, -0x1.3a4b455c1dc6ap-18, -0x1.53995afa1e67cp-18, -0x1.6c6366fd3e40dp-18, -0x1.84a9a84b4f3a6p-18, -0x1.9c6c6828bf04bp-18, -0x1.b3abfa0d036d1p-18, -0x1.ca68bb716abb9p-18, -0x1.e0a313a84065ap-18, -0x1.f65b73b0cc255p-18, -0x1.05c92aff2928p-17, -0x1.10241f28162ffp-17, -0x1.1a3edcbbf6afap-17, -0x1.2419ae9730797p-17, -0x1.2db4e3ef244e7p-17, -0x1.3710d038996b5p-17, -0x1.402dcb0866c89p-17, -0x1.490c2ffc362c6p-17, -0x1.51ac5ea09ad54p-17, -0x1.5a0eba5579ab4p-17, -0x1.6233aa306a57fp-17, -0x1.6a1b98e464a1dp-17, -0x1.71c6f4a4ba47p-17, -0x1.79362f07fdaccp-17, -0x1.8069bcef90646p-17, -0x1.8762166789b82p-17, -0x1.8e1fb68fc8dcp-17, -0x1.94a31b7f81585p-17, -0x1.9aecc62a29fb3p-17, -0x1.a0fd3a4108369p-17, -0x1.a6d4fe184036fp-17, -0x1.ac749a8fa7aa8p-17, -0x1.b1dc9af5f5f05p-17, -0x1.b70d8ced0ebebp-17, -0x1.bc08005148998p-17, -0x1.c0cc871f33ef7p-17, -0x1.c55bb556a741ap-17, -0x1.c9b620e5f6685p-17, -0x1.cddc618b9da5cp-17, -0x1.d1cf10bee08b6p-17, -0x1.d58ec9996ad6fp-17, -0x1.d91c28bd488f5p-17, -0x1.dc77cc3c87458p-17, -0x1.dfa2537e51b2dp-17, -0x1.e29c5f2ade03cp-17, -0x1.e5669114dad38p-17, -0x1.e8018c2095ecfp-17, -0x1.ea6df42e88104p-17, -0x1.ecac6e05565dfp-17, -0x1.eebd9f3b9a1d3p-17, -0x1.f0a22e2164c59p-17, -0x1.f25ac1af84e51p-17, -0x1.f3e8016d90f8cp-17, -0x1.f54a955ff7eaep-17, -0x1.f68325f729253p-17, -0x1.f7925bf92593bp-17, -0x1.f878e06f9022p-17, -0x1.f9375c9257c45p-17, -0x1.f9ce79b9004b8p-17, -0x1.fa3ee148960fbp-17, -0x1.fa893ca18a8c9p-17, -0x1.faae350ecf7b4p-17, -0x1.faae73b613991p-17, -0x1.fa8aa1868b9c7p-17, -0x1.fa4367288d926p-17, -0x1.f9d96cf23a643p-17, -0x1.f94d5ad40c19bp-17, -0x1.f89fd84bb3a4bp-17, -0x1.f7d18c58059b4p-17, -0x1.f6e31d69e3ee9p-17, -0x1.f5d53157bd1e5p-17, -0x1.f4a86d4d7e0e9p-17, -0x1.f35d75c28fa96p-17, -0x1.f1f4ee6ee6b69p-17, -0x1.f06f7a3d5e814p-17, -0x1.eecdbb411f27cp-17, -0x1.ed1052aaba6b6p-17, -0x1.eb37e0bd752d5p-17, -0x1.e94504c376748p-17, -0x1.e7385d05c4abp-17, -0x1.e51286c37a8ap-17, -0x1.e2d41e25dd9f8p-17, -0x1.e07dbe38ed1a5p-17, -0x1.de1000e449f03p-17, -0x1.db8b7ee145caep-17, -0x1.d8f0cfb48f2d1p-17, -0x1.d64089a399336p-17, -0x1.d37b41af8637bp-17, -0x1.d0a18b8ffb666p-17, -0x1.cdb3f9aa04f56p-17, -0x1.cab31d0b31c7fp-17, -0x1.c79f8563340c4p-17, -0x1.c479c0fee2ee7p-17, -0x1.c1425cc1242f1p-17, -0x1.bdf9e41ed74ddp-17, -0x1.baa0e11c1923p-17, -0x1.b737dc447da46p-17, -0x1.b3bf5ca7f00e4p-17, -0x1.b037e7d8c1b14p-17, -0x1.aca201e581535p-17, -0x1.a8fe2d5740c0ap-17, -0x1.a54ceb2cde8d6p-17, -0x1.a18ebad7cdbedp-17, -0x1.9dc41a3ba2806p-17, -0x1.99ed85a9f8fb6p-17, -0x1.960b77e10185bp-17, -0x1.921e6a08c88ep-17, -0x1.8e26d3b24a42cp-17, -0x1.8a252ad4f142p-17, -0x1.8619e3cd67f53p-17, -0x1.8205715c5cf42p-17, -0x1.7de844a787deap-17, -0x1.79c2cd34e6254p-17, -0x1.759578eda41ccp-17, -0x1.7160b41cefcadp-17, -0x1.6d24e96e5f9c5p-17, -0x1.68e281f05571fp-17, -0x1.6499e5110fc8ep-17, -0x1.604b78a0d493p-17, -0x1.5bf7a0d263107p-17, -0x1.579ec03b14f56p-17, -0x1.534137d404689p-17, -0x1.4edf66fa7a67dp-17, -0x1.4a79ab719c19bp-17, -0x1.4610616280ffp-17, -0x1.41a3e35e93676p-17, -0x1.3d348a604f3ffp-17, -0x1.38c2adcd4f852p-17, -0x1.344ea377c4623p-17, -0x1.2fd8bf9f5aeddp-17, -0x1.2b6154f58324bp-17, -0x1.26e8b49ca2d61p-17, -0x1.226f2e2c0ae9ep-17, -0x1.1df50fb212148p-17, -0x1.197aa5b47f574p-17, -0x1.15003b3585fefp-17, -0x1.108619b53ae69p-17, -0x1.0c0c8932c5fdp-17, -0x1.0793d0318ba9ap-17, -0x1.031c33ba77f99p-17, -0x1.fd4beebd22bf8p-18, -0x1.f462ba7436db6p-18, -0x1.eb7d4bf07db55p-18, -0x1.e29c21aaf7adcp-18, -0x1.d9bfb744adc25p-18, -0x1.d0e8858db09e9p-18, -0x1.c817028c2fe23p-18, -0x1.bf4ba182f203p-18, -0x1.b686d2f59d983p-18, -0x1.adc904b1ba54dp-18, -0x1.a512a1d5bc32dp-18, -0x1.9c6412d52b4f1p-18, -0x1.93bdbd82913cfp-18, -0x1.8b200515ae53ep-18, -0x1.828b4a30aa6d3p-18, -0x1.79ffeae84caf3p-18, -0x1.717e42cdd0177p-18, -0x1.6906aaf1e7a5fp-18, -0x1.609979edcb729p-18, -0x1.583703eaf5657p-18, -0x1.4fdf9aab90a29p-18, -0x1.47938d8fad2a2p-18, -0x1.3f53299b9f841p-18, -0x1.371eb983c9152p-18, -0x1.2ef685b1ff567p-18, -0x1.26dad44ae45a3p-18, -0x1.1ecbe9382080bp-18, -0x1.16ca062e7bd0cp-18, -0x1.0ed56ab672dbcp-18, -0x1.06ee543431244p-18, -0x1.fe29fbdb4cda1p-19, -0x1.ee934224982dcp-19, -0x1.df18e9887086ep-19, -0x1.cfbb5c3878efep-19, -0x1.c07b006d0d631p-19, -0x1.b158386c23e17p-19, -0x1.a253629a7ee07p-19, -0x1.936cd98ba747ap-19, -0x1.84a4f4131db7ap-19, -0x1.75fc054fdfb66p-19, -0x1.67725cb6a7284p-19, -0x1.5908462b0b09ep-19, -0x1.4abe0a0c67b5fp-19, -0x1.3c93ed3c51e11p-19, -0x1.2e8a313238c3p-19, -0x1.20a1140d1d1aep-19, -0x1.12d8d09a7400ap-19, -0x1.05319e6f89e96p-19, -0x1.ef5763dfd6865p-20, -0x1.d48e78b77905bp-20, -0x1.ba08d7bd9c3efp-20, -0x1.9fc6d74217298p-20, -0x1.85c8c7a214d33p-20, -0x1.6c0ef36ada14bp-20, -0x1.52999f6e19db7p-20, -0x1.39690ae2c0bccp-20, -0x1.207d6f7fa1b6cp-20, -0x1.07d7019971e11p-20, -0x1.deebe066430f1p-21, -0x1.aeb4ca2b18d66p-21, -0x1.7f090a099fd7cp-21, -0x1.4fe8df878e8f1p-21, -0x1.215480593abadp-21, -0x1.e698313e79698p-22, }}, 
      {{-0x1.322ed665183ep-6, -0x1.31b58ef6b0ec7p-5, -0x1.c96303156c462p-5, -0x1.2fd5fbe27e729p-4, -0x1.7a10d8b94cadfp-4, -0x1.c32ddeaf17672p-4, -0x1.057e3779a6db1p-3, -0x1.28a7ec9bf494fp-3, -0x1.4affc863fa1c2p-3, -0x1.6c73a3600c81p-3, -0x1.8cf376cc4a315p-3, -0x1.ac71550a16e5cp-3, -0x1.cae15aaf2a293p-3, -0x1.e83999df8535ap-3, -0x1.023900b755932p-2, -0x1.0fc2208683defp-2, -0x1.1cb5d5c8c6987p-2, -0x1.29128c1faa444p-2, -0x1.34d761de07466p-2, -0x1.400418a343d18p-2, -0x1.4a99064e52385p-2, -0x1.549706727aed1p-2, -0x1.5dff6c6ccd13fp-2, -0x1.66d3f62fabb27p-2, -0x1.6f16bfd25c2e4p-2, -0x1.76ca37ec4950ep-2, -0x1.7df114bed00cap-2, -0x1.848e4a2c7dda9p-2, -0x1.8aa50079c2975p-2, -0x1.90388bd0c211p-2, -0x1.954c64805b88dp-2, -0x1.99e41fed4d134p-2, -0x1.9e036a2ba711cp-2, -0x1.a1ae0036471b1p-2, -0x1.a4e7aab9fc191p-2, -0x1.a7b43969fb8bfp-2, -0x1.aa177ed378c97p-2, -0x1.ac154ca69c916p-2, -0x1.adb1706b60ce2p-2, -0x1.aeefb09970088p-2, -0x1.afd3ca0a89496p-2, -0x1.b0616dbf8543ep-2, -0x1.b09c3ef095aa3p-2, -0x1.b087d161de939p-2, -0x1.b027a7f60e3c3p-2, -0x1.af7f3379144f2p-2, -0x1.ae91d19d926b9p-2, -0x1.ad62cc280c38ap-2, -0x1.abf558434bcp-2, -0x1.aa4c95f9d14a4p-2, -0x1.a86b8fd07deefp-2, -0x1.a6553a7f00704p-2, -0x1.a40c74c2d962cp-2, -0x1.a194074a12e0ap-2, -0x1.9eeea4b3067bcp-2, -0x1.9c1ee99ed12edp-2, -0x1.99275cd441e98p-2, -0x1.960a6f7149d2ep-2, -0x1.92ca7d291d618p-2, -0x1.8f69cc8d64095p-2, -0x1.8bea8f60f5aa1p-2, -0x1.884ee2f2d1c6ap-2, -0x1.8498d0800db46p-2, -0x1.80ca4d9ba129fp-2, -0x1.7ce53c9b10544p-2, -0x1.78eb6d0706d61p-2, -0x1.74de9c0f11e68p-2, -0x1.70c074ffbc729p-2, -0x1.6c9291ba61ba5p-2, -0x1.68567b2e1ced1p-2, -0x1.640da9d14ddcfp-2, -0x1.5fb9861b34916p-2, -0x1.5b5b68fd3bed4p-2, -0x1.56f49c5b90733p-2, -0x1.52865b84add6cp-2, -0x1.4e11d3a799762p-2, -0x1.499824488bba5p-2, -0x1.451a5fb3c9786p-2, -0x1.40998b6e89443p-2, -0x1.3c16a0a5acd93p-2, -0x1.37928c9a3d025p-2, -0x1.330e310b7ea83p-2, -0x1.2e8a649e94468p-2, -0x1.2a07f343971adp-2, -0x1.25879e9818a98p-2, -0x1.210a1e4709f51p-2, -0x1.1c902065fe495p-2, -0x1.181a49cfcaedfp-2, -0x1.13a9367c818b5p-2, -0x1.0f3d79d6ce806p-2, -0x1.0ad79f0eb812fp-2, -0x1.06782969d0143p-2, -0x1.021f9490d9ba9p-2, -0x1.fb9ca9b5e468ap-3, -0x1.f309af2c8d042p-3, -0x1.ea87069cc7938p-3, -0x1.e21570205ea8cp-3, -0x1.d9b59f572c17cp-3, -0x1.d1683be60317p-3, -0x1.c92de1f1428d2p-3, -0x1.c10722932bb09p-3, -0x1.b8f4844e28f4dp-3, -0x1.b0f6837b16dbfp-3, -0x1.a90d92b3ae582p-3, -0x1.a13a1b393f5a7p-3, -0x1.997c7d57c2997p-3, -0x1.91d510c57c9ccp-3, -0x1.8a4424ff304b8p-3, -0x1.82ca01a11f714p-3, -0x1.7b66e6bcd858ap-3, -0x1.741b0d2bfffafp-3, -0x1.6ce6a6e02c1f1p-3, -0x1.65c9df2fe8ab9p-3, -0x1.5ec4db210290bp-3, -0x1.57d7b9b030087p-3, -0x1.510294162d0d3p-3, -0x1.4a457e0a67499p-3, -0x1.43a086034cdd6p-3, -0x1.3d13b57451501p-3, -0x1.369f1109c233bp-3, -0x1.304298e27a6c7p-3, -0x1.29fe48c791239p-3, -0x1.23d2186200e07p-3, -0x1.1dbdfb6e780aep-3, -0x1.17c1e1ef45a46p-3, -0x1.11ddb85c85674p-3, -0x1.0c1167d295da6p-3, -0x1.065cd63ee2e78p-3, -0x1.00bfe68b176ccp-3, -0x1.f674f18d8cffep-4, -0x1.eb98d49f289c6p-4, -0x1.e0eb2befd5d09p-4, -0x1.d66ba85895a2fp-4, -0x1.cc19f62e89038p-4, -0x1.c1f5bd883cc19p-4, -0x1.b7fea28078abap-4, -0x1.ae3445768e536p-4, -0x1.a496434c4e2bdp-4, -0x1.9b2435a1bd623p-4, -0x1.91ddb30e7c455p-4, -0x1.88c24f5914a37p-4, -0x1.7fd19bac2c136p-4, -0x1.770b26c9b1bcep-4, -0x1.6e6e7d3c16387p-4, -0x1.65fb29859c7bdp-4, -0x1.5db0b44dd34e2p-4, -0x1.558ea48d46eb7p-4, -0x1.4d947fb775eddp-4, -0x1.45c1c9e319aa1p-4, -0x1.3e1605f0ce51dp-4, -0x1.3690b5b025ef9p-4, -0x1.2f315a03358aap-4, -0x1.27f77300a599ep-4, -0x1.20e2801452f59p-4, -0x1.19f2001e8b8b9p-4, -0x1.13257191f0291p-4, -0x1.0c7c5290082fdp-4, -0x1.05f62104905fp-4, -0x1.ff24b57f1ba83p-5, -0x1.f2a0fb1c659eep-5, -0x1.e6600ea52fc27p-5, -0x1.da60ec34b792fp-5, -0x1.cea2906854716p-5, -0x1.c323f8887123fp-5, -0x1.b7e422af7c9fcp-5, -0x1.ace20deee6264p-5, -0x1.a21cba722e9p-5, -0x1.979329a028748p-5, -0x1.8d445e3a6d84p-5, -0x1.832f5c7b1e89bp-5, -0x1.79532a30f8ff2p-5, -0x1.6faeced9d36d4p-5, -0x1.664153bb8a766p-5, -0x1.5d09c3fb7187ap-5, -0x1.54072cb450b35p-5, -0x1.4b389d0afd6b7p-5, -0x1.429d26419b228p-5, -0x1.3a33dbc991e43p-5, -0x1.31fbd354424a6p-5, -0x1.29f424e286a36p-5, -0x1.221bead30c316p-5, -0x1.1a7241ef8da97p-5, -0x1.12f64978fa343p-5, -0x1.0ba7233295f47p-5, -0x1.0483f36c1b1dep-5, -0x1.fb17c215cd076p-6, -0x1.ed7c2b24750e4p-6, -0x1.e0337a5540488p-6, -0x1.d33c0d50e4d93p-6, -0x1.c69447232994fp-6, -0x1.ba3a9044d68a6p-6, -0x1.ae2d56a41b7a7p-6, -0x1.a26b0dab918afp-6, -0x1.96f22e47ddd65p-6, -0x1.8bc136ec09f2bp-6, -0x1.80d6ab949e69p-6, -0x1.763115c988f3fp-6, -0x1.6bcf049ee9463p-6, -0x1.61af0cb4c3a2ap-6, -0x1.57cfc835b07f5p-6, -0x1.4e2fd6d491a55p-6, -0x1.44cdddc9575bfp-6, -0x1.3ba887cce7e9dp-6, -0x1.32be85142da6p-6, -0x1.2a0e8b4a5d3p-6, -0x1.2197558a7753ep-6, -0x1.1957a4581d1e3p-6, -0x1.114e3d97adafap-6, -0x1.0979ec85c9f3ep-6, -0x1.01d981ae410ecp-6, -0x1.f4d7a5c4c9926p-7, -0x1.e65f765dc5b3cp-7, -0x1.d84835a229ea9p-7, -0x1.ca8fae57c8ff3p-7, -0x1.bd33b578700d6p-7, -0x1.b0322a1a04e12p-7, -0x1.a388f555d1389p-7, -0x1.97360a2f33364p-7, -0x1.8b37657999ae6p-7, -0x1.7f8b0dbdf24f2p-7, -0x1.742f131f8c742p-7, -0x1.69218f407917dp-7, -0x1.5e60a52586d7ap-7, -0x1.53ea8119bf4eap-7, -0x1.49bd58919f7a4p-7, -0x1.3fd76a0de744ep-7, -0x1.3636fcfe33964p-7, -0x1.2cda61a3496f6p-7, -0x1.23bff0f12fe84p-7, -0x1.1ae60c711dfcbp-7, -0x1.124b1e2338377p-7, -0x1.09ed98603c118p-7, -0x1.01cbf5bb08d6p-7, -0x1.f3c971c43bf0dp-8, -0x1.e46cd9021c50bp-8, -0x1.d57f4643d6ff6p-8, -0x1.c6fdee1d7965cp-8, -0x1.b8e61465e82abp-8, -0x1.ab350bf9f0b39p-8, -0x1.9de8367f7f83ep-8, -0x1.90fd0428ffb5bp-8, -0x1.8470f378fae7p-8, -0x1.78419105fabcap-8, -0x1.6c6c773eb0c39p-8, -0x1.60ef4e2e6bb9fp-8, -0x1.55c7cb41f786p-8, -0x1.4af3b10cc8e4cp-8, -0x1.4070cf0e9acf4p-8, -0x1.363d01797b9fap-8, -0x1.2c5630f8440adp-8, -0x1.22ba52758f95ep-8, -0x1.196766e32438bp-8, -0x1.105b7b01f441dp-8, -0x1.0794a72a8a0e7p-8, -0x1.fe221e2c27486p-9, -0x1.ed9dc34fe0aa3p-9, -0x1.dd98b16faf95bp-9, -0x1.ce0f71b914dcap-9, -0x1.befea26e55f3ap-9, -0x1.b062f67e3c0cdp-9, -0x1.a239351d2f1a5p-9, -0x1.947e395f761c8p-9, -0x1.872ef1d4c0337p-9, -0x1.7a486024f5e38p-9, -0x1.6dc798ae55eep-9, -0x1.61a9c224c739p-9, -0x1.55ec15328e7f9p-9, -0x1.4a8bdc1a4a859p-9, -0x1.3f86725a32dcbp-9, -0x1.34d94450be637p-9, -0x1.2a81cee28474dp-9, -0x1.207d9f2183005p-9, -0x1.16ca51f5ad65ep-9, -0x1.0d6593c6c9b5cp-9, -0x1.044d2027a9d7ep-9, -0x1.f6fd83055d2d8p-10, -0x1.e5f0a18f4540cp-10, -0x1.d56f6a35b814ap-10, -0x1.c575c70b68376p-10, -0x1.b5ffbd5090d52p-10, -0x1.a7096cd9115adp-10, -0x1.988f0f7522812p-10, -0x1.8a8cf85c961cdp-10, -0x1.7cff939c9311p-10, -0x1.6fe365880a305p-10, -0x1.63350a2a6712dp-10, -0x1.56f134bd01bc1p-10, -0x1.4b14af1ee2bb4p-10, -0x1.3f9c594f07ee1p-10, -0x1.348528e90b806p-10, -0x1.29cc28a4482ebp-10, -0x1.1f6e77d553626p-10, -0x1.156949f1cae87p-10, -0x1.0bb9e6168cc61p-10, -0x1.025da69029c5bp-10, -0x1.f2a3f0cb6e334p-11, -0x1.e128b5cbafcc3p-11, -0x1.d044be6beaee9p-11, -0x1.bff34fc77dd0cp-11, -0x1.b02fd0f19fd63p-11, -0x1.a0f5ca210e0abp-11, -0x1.9240e3dfdc6fbp-11, -0x1.840ce63f899c2p-11, -0x1.7655b81120aa4p-11, -0x1.69175e219c1ddp-11, -0x1.5c4dfa7a114a5p-11, -0x1.4ff5cba42cae3p-11, -0x1.440b2bf232596p-11, -0x1.388a90cb17716p-11, -0x1.2d7089fa563e7p-11, -0x1.22b9c10384316p-11, -0x1.1862f879a3cc4p-11, -0x1.0e690b59fa5d7p-11, -0x1.04c8ec6a870bep-11, -0x1.f6ff4b3803849p-12, -0x1.e514aede7270ap-12, -0x1.d3cc70bbe3bf6p-12, -0x1.c321288e5f48dp-12, -0x1.b30d97bd0bb08p-12, -0x1.a38ca83db24bcp-12, -0x1.94996b806e717p-12, -0x1.862f1961a7b9ap-12, -0x1.78490f227f42dp-12, -0x1.6ae2ce66a8f8ep-12, -0x1.5df7fc38a8917p-12, -0x1.51846013ad6eep-12, -0x1.4583e2f325bbp-12, -0x1.39f28e68092dap-12, -0x1.2ecc8bb39f98bp-12, -0x1.240e22e7aa01ap-12, -0x1.19b3ba0bb0219p-12, -0x1.0fb9d447a8cb1p-12, -0x1.061d1113d352dp-12, -0x1.f9b456da7ddb2p-13, -0x1.e7dbf21f843bep-13, -0x1.d6aad3689a73bp-13, -0x1.c61b0ca7decb7p-13, -0x1.b626e0dfb2774p-13, -0x1.a6c8c2bb1a1aep-13, -0x1.97fb532f6ae7bp-13, -0x1.89b960268e635p-13, -0x1.7bfde331fe2a5p-13, -0x1.6ec400458e652p-13, -0x1.6207047aad91ep-13, -0x1.55c264dbf84fp-13, -0x1.49f1bd382b419p-13, -0x1.3e90cefcff9a8p-13, -0x1.339b8019e2035p-13, -0x1.290dd9e8fdf0ap-13, -0x1.1ee40820883e2p-13, -0x1.151a57ca8c1f2p-13, -0x1.0bad3643b2307p-13, -0x1.02993040c46a7p-13, -0x1.f3b5e1b601f0fp-14, -0x1.e2de814557adcp-14, -0x1.d2a6096f6b93p-14, -0x1.c3067bd1cb4e3p-14, -0x1.b3fa0fb194daap-14, -0x1.a57b3051aec8fp-14, -0x1.97847b5404dcp-14, -0x1.8a10bf26663f7p-14, -0x1.7d1af97a0c343p-14, -0x1.709e55c57c18ep-14, -0x1.64962bd1e02c4p-14, -0x1.58fdfe51dfb67p-14, -0x1.4dd17982a0d67p-14, -0x1.430c71d6fcf47p-14, -0x1.38aae2ab9a683p-14, -0x1.2ea8ed048d44fp-14, -0x1.2502d6543065p-14, -0x1.1bb5074aa12f2p-14, -0x1.12bc0aae09ae3p-14, -0x1.0a148c3b41ba6p-14, -0x1.01bb578f27373p-14, -0x1.f35aae2e744p-15, -0x1.e3cf26153c7acp-15, -0x1.d4ce60d4a989ep-15, -0x1.c652e01226432p-15, -0x1.b8575b35b1e0cp-15, -0x1.aad6bd955e4d2p-15, -0x1.9dcc24b055d9bp-15, -0x1.9132de76a1875p-15, -0x1.8506679dcae64p-15, -0x1.79426a02c7704p-15, -0x1.6de2bb176e9bcp-15, -0x1.62e35a5d6954bp-15, -0x1.58406febd968ep-15, -0x1.4df64b016f055p-15, -0x1.440160a0b52b4p-15, -0x1.3a5e4a3876d26p-15, -0x1.3109c455838f7p-15, -0x1.2800ad5f76672p-15, -0x1.1f40045f42d43p-15, -0x1.16c4e7d0527bep-15, -0x1.0e8c947a395cbp-15, -0x1.069464540b709p-15, -0x1.fdb39ae2bddadp-16, -0x1.eeb4c1edde916p-16, -0x1.e027943150c9ep-16, -0x1.d2079a3e6d886p-16, -0x1.c4508ced33dcdp-16, -0x1.b6fe5387f0fa2p-16, -0x1.aa0d020674c34p-16, -0x1.9d78d758201a7p-16, -0x1.913e3bbd6898p-16, -0x1.8559bf2cd9a4cp-16, -0x1.79c817c84d8a4p-16, -0x1.6e86205d4d6e9p-16, -0x1.6390d6f45ba59p-16, -0x1.58e55b6ae1102p-16, -0x1.4e80ee1a89128p-16, -0x1.4460ee8b373a6p-16, -0x1.3a82da32b0a95p-16, -0x1.30e44b3bbb053p-16, -0x1.2782f75bfd63ap-16, -0x1.1e5caeb05e23p-16, -0x1.156f5aa6a58fp-16, -0x1.0cb8fceffce47p-16, -0x1.0437ae7c581ep-16, -0x1.f7d33cfebc83dp-17, -0x1.e79a22ffa2ddcp-17, -0x1.d7c0c0da2c538p-17, -0x1.c843ef7e189a1p-17, -0x1.b920ad3b50decp-17, -0x1.aa541c1ee8491p-17, -0x1.9bdb8062867eap-17, -0x1.8db43ee9b9cbap-17, -0x1.7fdbdbcc2c17dp-17, -0x1.724ff8efbac9cp-17, -0x1.650e54b040fbfp-17, -0x1.5814c892395b9p-17, -0x1.4b6148037cfdep-17, -0x1.3ef1df295b9ep-17, -0x1.32c4b1b737979p-17, -0x1.26d7f9d507d76p-17, -0x1.1b2a070d4fc0ep-17, -0x1.0fb93d478fa93p-17, -0x1.048413cdd69f7p-17, -0x1.f31228b4703fep-18, -0x1.dd8db46081764p-18, -0x1.c878227a21783p-18, -0x1.b3ceea86fb601p-18, -0x1.9f8fa21d2dd43p-18, -0x1.8bb7fb5da23d6p-18, -0x1.7845c37a6c98fp-18, -0x1.6536e14f8f892p-18, -0x1.5289540c50436p-18, -0x1.403b31e765e6fp-18, -0x1.2e4aa6e5446f3p-18, -0x1.1cb5f3a8e2359p-18, -0x1.0b7b6c52ba691p-18, -0x1.f532eeda79585p-19, -0x1.d41d19cca222dp-19, -0x1.b3b26a26241d3p-19, -0x1.93f00f7d67658p-19, -0x1.74d3568dcb1c9p-19, -0x1.5659a781c1affp-19, -0x1.3880844de6804p-19, -0x1.1b45872d6fcbcp-19, -0x1.fd4cc2396d36ep-20, -0x1.c541b0eea212p-20, -0x1.8e658f3e627eap-20, -0x1.58b437749b654p-20, -0x1.2429a6f4b0cbp-20, -0x1.e183f7dd32059p-21, -0x1.7cf2e671f0128p-21, -0x1.1a98cc6efa0ap-21, -0x1.74dd239c119ep-22, -0x1.71b5405bf0ad1p-23, -0x1.1c9d8596a70a1p-30, 0x1.64d40006adf31p-23, 0x1.61c60508f2e4cp-22, 0x1.0681fa75d71e4p-21, 0x1.5a1807c0f557bp-21, 0x1.abab2b27efc36p-21, 0x1.fb4148b107bd4p-21, 0x1.24701502ac8b7p-20, 0x1.4a46c0526730ep-20, 0x1.6f2773f4539bcp-20, 0x1.9314f37ac2e8ap-20, 0x1.b611f94252808p-20, 0x1.d821374935343p-20, 0x1.f94557f597bb8p-20, 0x1.0cc07f69799ccp-19, 0x1.1c6b649ebc713p-19, 0x1.2ba4a7820b2b2p-19, 0x1.3a6d917bb3ad9p-19, 0x1.48c769bd13c1dp-19, 0x1.56b3757fd0a6cp-19, 0x1.6432f83d8f02bp-19, 0x1.714733e7b783ep-19, 0x1.7df16915b9afbp-19, 0x1.8a32d7334cf76p-19, 0x1.960cbca60deb2p-19, 0x1.a18056f3110d3p-19, 0x1.ac8ee2dee40e9p-19, 0x1.b7399c8a04459p-19, 0x1.c181bf882f5a8p-19, 0x1.cb6886f9cdcb2p-19, 0x1.d4ef2d9d46346p-19, 0x1.de16eddeaa10ep-19, 0x1.e6e101e6b7d52p-19, 0x1.ef4ea3a45de7fp-19, 0x1.f7610cd6f2099p-19, 0x1.ff1977130e7b5p-19, 0x1.033c8de383b2p-18, 0x1.06c09a1f7956cp-18, 0x1.0a197cd1f5781p-18, 0x1.0d47d27d6aed6p-18, 0x1.104c37913ed52p-18, 0x1.132748680989p-18, 0x1.15d9a143a6f71p-18, 0x1.1863de4b1b101p-18, 0x1.1ac69b85cd201p-18, 0x1.1d0274d7b1cdbp-18, 0x1.1f1805fc5aa31p-18, 0x1.2107ea808b241p-18, 0x1.22d2bdbd6aa31p-18, 0x1.24791ad1ec173p-18, 0x1.25fb9c9cfe8d4p-18, 0x1.275addb59db57p-18, 0x1.2897786511e53p-18, 0x1.29b2069e93672p-18, 0x1.2aab21f89cfcap-18, 0x1.2b8363a473cc7p-18, 0x1.2c3b6467292f3p-18, 0x1.2cd3bc91b87f9p-18, 0x1.2d4d03f8bbff2p-18, 0x1.2da7d1ec41b9cp-18, 0x1.2de4bd2fbca89p-18, 0x1.2e045bf24d299p-18, 0x1.2e0743c6734d2p-18, 0x1.2dee0999885aap-18, 0x1.2db941ac60a2bp-18, 0x1.2d697f8a870cp-18, 0x1.2cff5602ef532p-18, 0x1.2c7b571f249edp-18, 0x1.2bde141c15facp-18, 0x1.2b281d629ac32p-18, 0x1.2a5a027f5e972p-18, 0x1.2974521b80dcbp-18, 0x1.287799f500629p-18, 0x1.276466d7b1124p-18, 0x1.263b449646f67p-18, 0x1.24fcbe02e8c65p-18, 0x1.23a95ce8f7b62p-18, 0x1.2241aa060a599p-18, 0x1.20c62d03b1dc5p-18, 0x1.1f376c711b338p-18, 0x1.1d95edbc8cdadp-18, 0x1.1be2352e5afbep-18, 0x1.1a1cc5e2ac12cp-18, 0x1.184621c438e98p-18, 0x1.165ec9869f0cap-18, 0x1.14673ca147659p-18, 0x1.125ff94aa1dcep-18, 0x1.10497c739e609p-18, 0x1.0e2441c2835bp-18, 0x1.0bf0c38f33a7fp-18, 0x1.09af7adeaac6ep-18, 0x1.0760df5f4e0d8p-18, 0x1.05056765030e6p-18, 0x1.029d87e5ae9fap-18, 0x1.0029b47606074p-18, 0x1.fb54be8d0cf99p-19, 0x1.f63ff240ad87ap-19, 0x1.f115e2c558fc8p-19, 0x1.ebd76bff5e6f4p-19, 0x1.e68566f65cbddp-19, 0x1.e120a9cf42dbep-19, 0x1.dbaa07c98da91p-19, 0x1.d622513a8f1a1p-19, 0x1.d08a538aff117p-19, 0x1.cae2d934234d8p-19, 0x1.c52ca9bd49c5ap-19, 0x1.bf6889b9c0b29p-19, 0x1.b9973ac7222cdp-19, 0x1.b3b97b8bfb73ap-19, 0x1.add007b6d8816p-19, 0x1.a7db97fd4418ep-19, 0x1.a1dce21adb6c3p-19, 0x1.9bd498d21999fp-19, 0x1.95c36bec97aa4p-19, 0x1.8faa083b6836dp-19, 0x1.898917974e2ebp-19, 0x1.836140e26ae03p-19, 0x1.7d33280970a66p-19, 0x1.76ff6e0545ff4p-19, 0x1.70c6b0dd8d7d1p-19, 0x1.6a898baa43ac2p-19, 0x1.644896969039fp-19, 0x1.5e0466e31a04cp-19, 0x1.57bd8ee9de8cbp-19, 0x1.51749e1fad435p-19, 0x1.4b2a2118f119fp-19, 0x1.44dea18cc238fp-19, 0x1.3e92a65999128p-19, 0x1.3846b388654a2p-19, 0x1.31fb4a512a4c4p-19, 0x1.2bb0e91f2a553p-19, 0x1.25680b95baf3dp-19, 0x1.1f212a953e702p-19, 0x1.18dcbc3fc874ap-19, 0x1.129b33ff2f0acp-19, 0x1.0c5d02892e23fp-19, 0x1.062295e57d31ep-19, 0x1.ffd8b2e71db71p-20, 0x1.f3756bdeb63ccp-20, 0x1.e71c22f06c097p-20, 0x1.dacd9f2c5bdc3p-20, 0x1.ce8aa28233389p-20, 0x1.c253e9cc0f8dap-20, 0x1.b62a2cdb2cd6ep-20, 0x1.aa0e1e85e046ep-20, 0x1.9e006cb320e96p-20, 0x1.9201c0690a59bp-20, 0x1.8612bdd9ee89dp-20, 0x1.7a3404729ed3ep-20, 0x1.6e662ee7b7669p-20, 0x1.62a9d3431d6c4p-20, 0x1.56ff82f2da88p-20, 0x1.4b67cad65f08dp-20, 0x1.3fe3334d4d42fp-20, 0x1.347240456664ap-20, 0x1.2915714973c94p-20, 0x1.1dcd41912ba21p-20, 0x1.129a280cc76dep-20, 0x1.077c97764bf6ap-20, 0x1.f8e9fcbe9e21ep-21, 0x1.e3078e7f2d9a4p-21, 0x1.cd52b1079c32fp-21, 0x1.b7cc293b576c7p-21, 0x1.a274b42434603p-21, 0x1.8d4d070f555b3p-21, 0x1.7855cfad96e76p-21, 0x1.638fb42e0322p-21, 0x1.4efb535de3eaep-21, 0x1.3a9944c6b7e57p-21, 0x1.266a18caba759p-21, 0x1.126e58c2d15f8p-21, 0x1.fd4d0e412882fp-22, 0x1.d6263f092828dp-22, 0x1.af692dc2c4445p-22, 0x1.8916b72fc7cbep-22, 0x1.632fab2736542p-22, 0x1.3db4ccd0e136bp-22, 0x1.18a6d2dfb5c15p-22, 0x1.e80ccfa309c42p-23, 0x1.9fa8543ed3aa4p-23, 0x1.582158fa32e82p-23, 0x1.1178ec24e964bp-23, 0x1.97600ac12382bp-24, 0x1.0d8f0c2d8e3dep-24, 0x1.0b00e7af1fcep-25, -0x1.94a35a074a3b3p-33, -0x1.0aa00335634d9p-25, -0x1.080f821c38bbcp-24, -0x1.8907e1803f7f9p-24, -0x1.041c2aac671f3p-23, -0x1.42d01cce8468cp-23, -0x1.809f87ed3491ep-23, -0x1.bd8a3f35ff774p-23, -0x1.f99027c98e70cp-23, -0x1.1a589c2aed12cp-22, -0x1.3776bc5c532e5p-22, -0x1.542280c90c3a1p-22, -0x1.705bfded9bbfep-22, -0x1.8c235047cc152p-22, -0x1.a7789c2121a8p-22, -0x1.c25c0d5c4562p-22, -0x1.dccdd749144b5p-22, -0x1.f6ce3470167b2p-22, -0x1.082eb33322b3ap-21, -0x1.14bddace71816p-21, -0x1.2114b89b24618p-21, -0x1.2d3377696d0ddp-21, -0x1.391a453471fb1p-21, -0x1.44c9530a2a755p-21, -0x1.5040d4f7b0968p-21, -0x1.5b8101f022bd8p-21, -0x1.668a13ba37a56p-21, -0x1.715c46daa2725p-21, -0x1.7bf7da7cc3674p-21, -0x1.865d1061b061cp-21, -0x1.908c2cc97a0e9p-21, -0x1.9a857660754adp-21, -0x1.a4493629f91fp-21, -0x1.add7b76f4f3fbp-21, -0x1.b73147a9aaceep-21, -0x1.c05636717adc3p-21, -0x1.c946d56af33c9p-21, -0x1.d2037834d7755p-21, -0x1.da8c745487c0bp-21, -0x1.e2e22125b7664p-21, -0x1.eb04d7c9124adp-21, -0x1.f2f4f311e3efep-21, -0x1.fab2cf7670208p-21, -0x1.011f657f7b2d5p-20, -0x1.04cca29abae0dp-20, -0x1.08614f8aa7b38p-20, -0x1.0bdd9d7daa97p-20, -0x1.0f41be4bd7a7p-20, -0x1.128de46e5f7edp-20, -0x1.15c242f8c9ceap-20, -0x1.18df0d918fe9fp-20, -0x1.1be4786a7f13p-20, -0x1.1ed2b839b9fe1p-20, -0x1.21aa02337ade8p-20, -0x1.246a8c024fc3ap-20, -0x1.27148bc14c7b7p-20, -0x1.29a837f48e6a2p-20, -0x1.2c25c783dd1b6p-20, -0x1.2e8d71b37346ep-20, -0x1.30df6e1e1d196p-20, -0x1.331bf4aff2229p-20, -0x1.35433d9f46b4p-20, -0x1.375581678bdb4p-20, -0x1.3952f8c3a876dp-20, -0x1.3b3bdca7d2526p-20, -0x1.3d10663cee19cp-20, -0x1.3ed0ceda7d35ap-20, -0x1.407d5001fdbe9p-20, -0x1.42162359ccc52p-20, -0x1.439b82a80e5d6p-20, -0x1.450da7cd42a81p-20, -0x1.466cccc090f81p-20, -0x1.47b92b8a9fb9bp-20, -0x1.48f2fe40d1cfap-20, -0x1.4a1a7f014b64p-20, -0x1.4b2fe7ee4f8d5p-20, -0x1.4c33732a70ef5p-20, -0x1.4d255ad3a6bd7p-20, -0x1.4e05d9003385p-20, -0x1.4ed527baecdd2p-20, -0x1.4f9380fe31482p-20, -0x1.50411eb13c84fp-20, -0x1.50de3aa464de9p-20, -0x1.516b0e8d2499ep-20, -0x1.51e7d402fd4a6p-20, -0x1.5254c47c1a96ep-20, -0x1.52b2194a60368p-20, -0x1.53000b982cfdcp-20, -0x1.533ed464e693ap-20, -0x1.536eac822fc95p-20, -0x1.538fcc9159be2p-20, -0x1.53a26d0069cacp-20, -0x1.53a6c6072af3ep-20, -0x1.539d0fa4c3f33p-20, -0x1.5385819d4090fp-20, -0x1.53605376e8444p-20, }}, 
      {{0x1.dc62224ee437ap-2, 0x1.dc96c85aad68p-2, 0x1.dcf02d03bec2p-2, 0x1.dd7063d96001bp-2, 0x1.de19ba5c731bap-2, 0x1.deee5ad971147p-2, 0x1.dfeffe0a03f09p-2, 0x1.e11faf6963a04p-2, 0x1.e27da49f7e69cp-2, 0x1.e4092675fd45fp-2, 0x1.e5c088d904e7ap-2, 0x1.e7a12f1110656p-2, 0x1.e9a7996b2c3c9p-2, 0x1.ebcf79bf34fccp-2, 0x1.ee13cc96c9f5dp-2, 0x1.f06ef512c5b23p-2, 0x1.f2dada0712e93p-2, 0x1.f551031816812p-2, 0x1.f7cab4ef0cbecp-2, 0x1.fa410bda8305ep-2, 0x1.fcad1465b5db2p-2, 0x1.ff07e19d77ee7p-2, 0x1.00a5506e2b3fcp-1, 0x1.01b755898ce96p-1, 0x1.02b6c9cbb961fp-1, 0x1.03a09a48eaf6bp-1, 0x1.0471dc9709858p-1, 0x1.0527d2dc88cc9p-1, 0x1.05bfeeecfe66p-1, 0x1.0637d48b6ae26p-1, 0x1.068d5aea1ad06p-1, 0x1.06be8d7f61c4cp-1, 0x1.06c9ac4547b65p-1, 0x1.06ad2b78dd6cdp-1, 0x1.0667b2ec5660dp-1, 0x1.05f81cfd556ccp-1, 0x1.055d753f33eacp-1, 0x1.0496f6e75bd81p-1, 0x1.03a40b084071ep-1, 0x1.028446a5fe61fp-1, 0x1.013768ae55bbbp-1, 0x1.ff7aafb8bc913p-2, 0x1.fc2c411e8072p-2, 0x1.f883e5344b9bcp-2, 0x1.f4823e256ad59p-2, 0x1.f0282c451b814p-2, 0x1.eb76c9bf05afep-2, 0x1.e66f665b74722p-2, 0x1.e113835c5c7fep-2, 0x1.db64cf775756fp-2, 0x1.d56522efcda77p-2, 0x1.cf167bd3dfeaep-2, 0x1.c87afa5de580ap-2, 0x1.c194dd7be45a4p-2, 0x1.ba667f7dd5a4ep-2, 0x1.b2f252eb36193p-2, 0x1.ab3adf8000bbfp-2, 0x1.a342bf50e7a2cp-2, 0x1.9b0c9c16691a7p-2, 0x1.929b2c9e249d5p-2, 0x1.89f13261a69aep-2, 0x1.81117741ca545p-2, 0x1.77fecb65a6669p-2, 0x1.6ebc033bee7e1p-2, 0x1.654bf59d9cef5p-2, 0x1.5bb17a10ac62fp-2, 0x1.51ef6729a166fp-2, 0x1.4808910a9d1f1p-2, 0x1.3dffc7feb1dddp-2, 0x1.33d7d7302f59bp-2, 0x1.29938378a3af1p-2, 0x1.1f358a494834ep-2, 0x1.14c0a0aaa6468p-2, 0x1.0a37725235989p-2, 0x1.ff39419995937p-3, 0x1.e9e585795aa07p-3, 0x1.d478c6547698p-3, 0x1.bef801cc1198bp-3, 0x1.a9681bf6dba16p-3, 0x1.93cdde651974dp-3, 0x1.7e2df741b3267p-3, 0x1.688cf88e7300bp-3, 0x1.52ef5779c5c1ep-3, 0x1.3d596bcc4e0f6p-3, 0x1.27cf6f6cbe6abp-3, 0x1.12557df87e8b4p-3, 0x1.f9df28df7a4ebp-4, 0x1.cf4321e71e689p-4, 0x1.a4de6529cdfd5p-4, 0x1.7ab8326675887p-4, 0x1.50d78ad35db84p-4, 0x1.274331139e806p-4, 0x1.fc03528b419edp-5, 0x1.aa327251d20f6p-5, 0x1.591fd0b2dedd8p-5, 0x1.08d7013de3ea8p-5, 0x1.72c6393af35c6p-6, 0x1.ab3b05f432e5fp-7, 0x1.d24158e1a9e99p-9, -0x1.7c99caabad09ap-8, -0x1.ed37cfb8c0b21p-7, -0x1.8c06b0827259ap-6, -0x1.0fab182bc1c73p-5, -0x1.583d57e1a5c26p-5, -0x1.9fb2ac58e0d33p-5, -0x1.e60419a38d593p-5, -0x1.1595889cf06aap-4, -0x1.3790b81aca89p-4, -0x1.58f0bec008961p-4, -0x1.79b2f3fa48737p-4, -0x1.99d4e23bbb61cp-4, -0x1.b9544601ec993p-4, -0x1.d82f0cd82e4bdp-4, -0x1.f6635456201f9p-4, -0x1.09f7b48d6c9cbp-3, -0x1.1868e2e2807bdp-3, -0x1.268488f43489ep-3, -0x1.344a1080afda1p-3, -0x1.41b8f8b32153ap-3, -0x1.4ed0d59bc6095p-3, -0x1.5b914fa75d8cbp-3, -0x1.67fa231635955p-3, -0x1.740b1f72ed876p-3, -0x1.7fc427091dd3ep-3, -0x1.8b252e5c04a0ap-3, -0x1.962e3b9d51393p-3, -0x1.a0df662435de1p-3, -0x1.ab38d5e4e6a6cp-3, -0x1.b53ac2e88c7ebp-3, -0x1.bee574c5dbbebp-3, -0x1.c839421a637d7p-3, -0x1.d1369004ad57ep-3, -0x1.d9ddd19f48f5ep-3, -0x1.e22f877cd7863p-3, -0x1.ea2c3f2537bd7p-3, -0x1.f1d49293d5dd3p-3, -0x1.f92927b748384p-3, -0x1.001557f920105p-2, -0x1.036cf3cef29d7p-2, -0x1.069bcac6d7b98p-2, -0x1.09a2454a642f6p-2, -0x1.0c80d08688fa5p-2, -0x1.0f37de2febef8p-2, -0x1.11c7e4481a8cep-2, -0x1.14315ce3a964ap-2, -0x1.1674c5f134b71p-2, -0x1.1892a10159faap-2, -0x1.1a8b730fa50a7p-2, -0x1.1c5fc44c7723fp-2, -0x1.1e101fe7f2425p-2, -0x1.1f9d13dde784ap-2, -0x1.210730c2cde76p-2, -0x1.224f0991c5b5cp-2, -0x1.2375337baf4cep-2, -0x1.247a45b74f07cp-2, -0x1.255ed9528c673p-2, -0x1.26238904c2585p-2, -0x1.26c8f1022f8d3p-2, -0x1.274faed07d3b6p-2, -0x1.27b8611c62d84p-2, -0x1.2803a7906825fp-2, -0x1.283222acc20b4p-2, -0x1.284473a051406p-2, -0x1.283b3c22b9948p-2, -0x1.28171e4f99453p-2, -0x1.27d8bc82dea64p-2, -0x1.2780b93635811p-2, -0x1.270fb6df9100ep-2, -0x1.268657d0cf196p-2, -0x1.25e53e1873a46p-2, -0x1.252d0b6376d09p-2, -0x1.245e60e029853p-2, -0x1.2379df222a036p-2, -0x1.228026076701bp-2, -0x1.2171d49e2dbe5p-2, -0x1.204f890c4306ep-2, -0x1.1f19e077010e9p-2, -0x1.1dd176ec761cap-2, -0x1.1c76e74d85d5dp-2, -0x1.1b0acb390535ep-2, -0x1.198dbaf7cbf2ep-2, -0x1.18004d69bbb99p-2, -0x1.166317f3b9bf5p-2, -0x1.14b6ae6e90fc3p-2, -0x1.12fba316bf3fcp-2, -0x1.1132867d23038p-2, -0x1.0f5be7788c9e7p-2, -0x1.0d785318276a6p-2, -0x1.0b885496ba69fp-2, -0x1.098c754ebb999p-2, -0x1.07853caf31149p-2, -0x1.057330315904bp-2, -0x1.0356d34f185c8p-2, -0x1.0130a77a28e26p-2, -0x1.fe025827fd42ep-3, -0x1.f991bcccd24d4p-3, -0x1.f5107339c249dp-3, -0x1.f07f6d7d0885ep-3, -0x1.ebdf9951771c2p-3, -0x1.e731e0150163ep-3, -0x1.e27726c0876f6p-3, -0x1.ddb04de0d80a8p-3, -0x1.d8de3190d41dbp-3, -0x1.d401a974bb5fdp-3, -0x1.cf1b88b68c592p-3, -0x1.ca2c9e0373522p-3, -0x1.c535b38a3afb7p-3, -0x1.c0378efac173bp-3, -0x1.bb32f18655848p-3, -0x1.b62897e106a54p-3, -0x1.b1193a43d0e4bp-3, -0x1.ac058c6fa3d8bp-3, -0x1.a6ee3db13a056p-3, -0x1.a1d3f8e5b70fp-3, -0x1.9cb7648004cbfp-3, -0x1.9799228ee74c2p-3, -0x1.9279d0c3c1ad7p-3, -0x1.8d5a087a02f1ep-3, -0x1.883a5ebf2da4fp-3, -0x1.831b645b7c137p-3, -0x1.7dfda5db113ffp-3, -0x1.78e1ab97b693fp-3, -0x1.73c7f9c319fd8p-3, -0x1.6eb1107182cbdp-3, -0x1.699d6ba4ffef3p-3, -0x1.648d83590269cp-3, -0x1.5f81cb8e5a443p-3, -0x1.5a7ab45797c97p-3, -0x1.5578a9e5c75bdp-3, -0x1.507c14957b929p-3, -0x1.4b8558fc29264p-3, -0x1.4694d7f5cbddep-3, -0x1.41aaeeb2cbb32p-3, -0x1.3cc7f6c61ea7ap-3, -0x1.37ec4633a2042p-3, -0x1.33182f7ea940bp-3, -0x1.2e4c01b8b2be8p-3, -0x1.2988089051493p-3, -0x1.24cc8c602b959p-3, -0x1.2019d23e2273fp-3, -0x1.1b701c0a94eafp-3, -0x1.16cfa87fafc16p-3, -0x1.1238b340daf07p-3, -0x1.0dab74ea2f008p-3, -0x1.0928231ff6b63p-3, -0x1.04aef09e3606ep-3, -0x1.00400d4838f7bp-3, -0x1.f7b74c703523p-4, -0x1.ef03cb9ca2399p-4, -0x1.e665e7825893dp-4, -0x1.ddddea589c254p-4, -0x1.d56c19402cd39p-4, -0x1.cd10b461faa75p-4, -0x1.c4cbf70dbf985p-4, -0x1.bc9e17d8610f8p-4, -0x1.b48748ba35426p-4, -0x1.ac87b72d0cbe3p-4, -0x1.a49f8c49fadc8p-4, -0x1.9cceece70211p-4, -0x1.9515f9b458f41p-4, -0x1.8d74cf598e941p-4, -0x1.85eb869256a3dp-4, -0x1.7e7a344b11675p-4, -0x1.7720e9bd04759p-4, -0x1.6fdfb48a49c55p-4, -0x1.68b69ed964d38p-4, -0x1.61a5af708872fp-4, -0x1.5aace9d082b6bp-4, -0x1.53cc4e4f505eep-4, -0x1.4d03da3254cb2p-4, -0x1.465387c832edbp-4, -0x1.3fbb4e824988p-4, -0x1.393b230dcd983p-4, -0x1.32d2f76c818d1p-4, -0x1.2c82bb0d099d2p-4, -0x1.264a5ae2dc031p-4, -0x1.2029c17dcc9a6p-4, -0x1.1a20d7212e66dp-4, -0x1.142f81da8ff47p-4, -0x1.0e55a59810fa7p-4, -0x1.0893243e4d085p-4, -0x1.02e7ddbdddb36p-4, -0x1.faa76050e9981p-5, -0x1.efacef8b16e14p-5, -0x1.e4e01e4d52a88p-5, -0x1.da409e767de79p-5, -0x1.cfce1ec8321bbp-5, -0x1.c5884b0cd7905p-5, -0x1.bb6ecc3ce12bep-5, -0x1.b18148a339b37p-5, -0x1.a7bf6400e22cdp-5, -0x1.9e28bfafc103ap-5, -0x1.94bcfac499dadp-5, -0x1.8b7bb2304272p-5, -0x1.826480dffe747p-5, -0x1.7976ffdd1da33p-5, -0x1.70b2c66bc95abp-5, -0x1.68176a2903eap-5, -0x1.5fa47f27ec07dp-5, -0x1.5759980e375fdp-5, -0x1.4f36462feb435p-5, -0x1.473a19aa53214p-5, -0x1.3f64a17e3959cp-5, -0x1.37b56ba96597ap-5, -0x1.302c053f5d2afp-5, -0x1.28c7fa816ee45p-5, -0x1.2188d6f60c8e6p-5, -0x1.1a6e257f682ap-5, -0x1.1377707166862p-5, -0x1.0ca441a6e6245p-5, -0x1.05f4229653baap-5, -0x1.fecd38cb3c89ep-6, -0x1.f1f66ffaf8706p-6, -0x1.e562fc38262b9p-6, -0x1.d911eecdf55dbp-6, -0x1.cd0258f946438p-6, -0x1.c1334c0a3c8aep-6, -0x1.b5a3d984acb94p-6, -0x1.aa53133f4a18fp-6, -0x1.9f400b81b9c47p-6, -0x1.9469d5217cbd1p-6, -0x1.89cf839dc6dd3p-6, -0x1.7f702b3a462bp-6, -0x1.754ae118bdb18p-6, -0x1.6b5ebb51b6062p-6, -0x1.61aad10c10cf9p-6, -0x1.582e3a93a27d5p-6, -0x1.4ee8116edcbf3p-6, -0x1.45d7707375526p-6, -0x1.3cfb73da28d13p-6, -0x1.345339518466bp-6, -0x1.2bdde00fd77afp-6, -0x1.239a88e44599p-6, -0x1.1b885646f23a2p-6, -0x1.13a66c686a58fp-6, -0x1.0bf3f14033e02p-6, -0x1.04700c9a85c54p-6, -0x1.fa33d04aad191p-7, -0x1.ebe15ef92420dp-7, -0x1.dde7206b4b65p-7, -0x1.d04373d48acf5p-7, -0x1.c2f4bc852eb9cp-7, -0x1.b5f961fd2e1d7p-7, -0x1.a94fcffdbc8bap-7, -0x1.9cf67699a51dfp-7, -0x1.90ebca4446f79p-7, -0x1.852e43df7f561p-7, -0x1.79bc60c8650c6p-7, -0x1.6e94a2e2af67fp-7, -0x1.63b590a3580dep-7, -0x1.591db519e6d9bp-7, -0x1.4ecb9ff8e0c6fp-7, -0x1.44bde59d1bd58p-7, -0x1.3af31f1434d79p-7, -0x1.3169ea220bdd3p-7, -0x1.2820e9454dd9dp-7, -0x1.1f16c3bb2f8bfp-7, -0x1.164a258248326p-7, -0x1.0db9bf5ca8a1ep-7, -0x1.056446d11c6ebp-7, -0x1.fa90ec5771d44p-8, -0x1.eaca18fb425bdp-8, -0x1.db719b382c96cp-8, -0x1.cc85043def91cp-8, -0x1.be01eebcf2a3ep-8, -0x1.afe5fee0add94p-8, -0x1.a22ee248d29cfp-8, -0x1.94da50012fd83p-8, -0x1.87e60878955d2p-8, -0x1.7b4fd576d1ea7p-8, -0x1.6f158a115f223p-8, -0x1.6335029f50a19p-8, -0x1.57ac24ac4c868p-8, -0x1.4c78deeabe14ap-8, -0x1.41992924f6c27p-8, -0x1.370b042dc0911p-8, -0x1.2ccc79d00a6dp-8, -0x1.22db9cbddf49fp-8, -0x1.1936887ef3688p-8, -0x1.0fdb615e162acp-8, -0x1.06c8545674e65p-8, -0x1.fbf72e00342d6p-9, -0x1.eae6cef7e0dd1p-9, -0x1.da5c18be7528p-9, -0x1.ca53a93d300b6p-9, -0x1.baca2ef13a22cp-9, -0x1.abbc68bff106dp-9, -0x1.9d2725cab7f2bp-9, -0x1.8f07454189386p-9, -0x1.8159b6357370bp-9, -0x1.741b776a1a77bp-9, -0x1.67499726c6b1ep-9, -0x1.5ae13307068b3p-9, -0x1.4edf77cacdeabp-9, -0x1.4341a1263833fp-9, -0x1.3804f990d9b0cp-9, -0x1.2d26da14eb438p-9, -0x1.22a4aa1df49fp-9, -0x1.187bdf47704cbp-9, -0x1.0ea9fd2b066dfp-9, -0x1.052c952ef3f5fp-9, -0x1.f8028ca7b849cp-10, -0x1.e64b7a060332p-10, -0x1.d52f65b84978ap-10, -0x1.c4a9dd070011fp-10, -0x1.b4b686df3e4b2p-10, -0x1.a551236eb0b2p-10, -0x1.96758bbfcc291p-10, -0x1.881fb1565c2e4p-10, -0x1.7a4b9dcb83455p-10, -0x1.6cf5726b15082p-10, -0x1.601967d0613a3p-10, -0x1.53b3cd84455fp-10, -0x1.47c1099ab8549p-10, -0x1.3c3d9851d81d7p-10, -0x1.31260bb0678d1p-10, -0x1.26770b2595d77p-10, -0x1.1c2d53298e8a1p-10, -0x1.1245b4ddcdd88p-10, -0x1.08bd15aeb6eb1p-10, -0x1.ff20ddec7a779p-11, -0x1.ed799b3c4b298p-11, -0x1.dc7ea3880f3acp-11, -0x1.cc2a5cbc1d2a2p-11, -0x1.bc7751bf3174ep-11, -0x1.ad6031bf374abp-11, -0x1.9edfcf7f3c862p-11, -0x1.90f120a7099a8p-11, -0x1.838f3d142939bp-11, -0x1.76b55e2dd9ffdp-11, -0x1.6a5ede396ce1ap-11, -0x1.5e8737b11be93p-11, -0x1.532a049dd99b1p-11, -0x1.4842fdf10b30cp-11, -0x1.3dcdfae18fb32p-11, -0x1.33c6f04a8c5e4p-11, -0x1.2a29f00bf8014p-11, -0x1.20f3286dc9e7cp-11, -0x1.181ee3842c658p-11, -0x1.0fa98696dfe2ep-11, -0x1.078f91890f2dp-11, -0x1.ff9b3c8a79c6p-12, -0x1.f0c0c053c51ccp-12, -0x1.e28946f0f08b8p-12, -0x1.d4ee998cb363cp-12, -0x1.c7eab0e0beff9p-12, -0x1.bb77b420391f6p-12, -0x1.af8ff7e63cb3ap-12, -0x1.a42dfd2a3e749p-12, -0x1.994c703540319p-12, -0x1.8ee6279e838f5p-12, -0x1.84f623498f718p-12, -0x1.7b778b6bf0466p-12, -0x1.7265af9405a35p-12, -0x1.69bc05b43cfc2p-12, -0x1.6176293484d34p-12, -0x1.598fda051dd83p-12, -0x1.5204fbb6d0d3fp-12, -0x1.4ad19499d8008p-12, -0x1.43f1ccda37c13p-12, -0x1.3d61eda64f0b4p-12, -0x1.371e605614beep-12, -0x1.3123ad97caebp-12, -0x1.2b6e7c9fd6dc3p-12, -0x1.25fb925cd0aeep-12, -0x1.20c7d0af6a041p-12, -0x1.1bd035a55fd62p-12, -0x1.1711dab8f6adap-12, -0x1.1289f414f1019p-12, -0x1.0e35cfda732fap-12, -0x1.0a12d56bc1fefp-12, -0x1.061e84b9c0269p-12, -0x1.02567596b59bdp-12, -0x1.fd70ae1528aa5p-13, -0x1.f683dd56723b4p-13, -0x1.efe22ff6e1e33p-13, -0x1.e987878e45f0fp-13, -0x1.e36fef105859bp-13, -0x1.dd979997f3093p-13, -0x1.d7fae13b0f196p-13, -0x1.d29645e4bc8e7p-13, -0x1.cd666c34e92a7p-13, -0x1.c8681c679f7a9p-13, -0x1.c39841406a0b2p-13, -0x1.bef3e6fe23d3ep-13, -0x1.ba783a537eb58p-13, -0x1.b62287698b9c9p-13, -0x1.b1f038df93647p-13, -0x1.added6d89cd4p-13, -0x1.a9ec060aef81cp-13, -0x1.a61586d7312cfp-13, -0x1.a2593462f317dp-13, -0x1.9eb503bafec3fp-13, -0x1.9b2702f977918p-13, -0x1.97ad5871bdf18p-13, -0x1.944641e0028dbp-13, -0x1.90f013a085e79p-13, -0x1.8da937ec5b65bp-13, -0x1.8a702e1750364p-13, -0x1.874389d4f4da5p-13, -0x1.8421f2830fffep-13, -0x1.810a22778c2c2p-13, -0x1.7dfae65356e7ep-13, -0x1.7af31c5a08e78p-13, -0x1.77f1b3ce36bfdp-13, -0x1.74f5ac5216649p-13, -0x1.71fe154a62693p-13, -0x1.6f0a0d474b65p-13, -0x1.6c18c172e1f5ap-13, -0x1.69296d00b4ce4p-13, -0x1.663b58a2dc955p-13, -0x1.634dda028aaep-13, -0x1.6060533ce4afbp-13, -0x1.5d7232621d9f8p-13, -0x1.5a82f0fa42542p-13, -0x1.5792138b0a294p-13, -0x1.549f2925ac6fep-13, -0x1.51a9caf2dfb1dp-13, -0x1.4eb19bc453618p-13, -0x1.4bb647a9c2f88p-13, -0x1.48b78389e4478p-13, -0x1.45b50cbc6a4aep-13, -0x1.42aea8a964b22p-13, -0x1.3fa4246985165p-13, -0x1.3c95546b89f11p-13, -0x1.39821419e16bfp-13, -0x1.366a4584abc87p-13, -0x1.334dd10e73554p-13, -0x1.302ca51c6ae98p-13, -0x1.2d06b5c7a4f9p-13, -0x1.29dbfc90be75ep-13, -0x1.26ac78173b73cp-13, -0x1.23782bd326f45p-13, -0x1.203f1fd033501p-13, -0x1.1d01606bce524p-13, -0x1.19befe154ff78p-13, -0x1.16780d11bd336p-13, -0x1.132ca53e83b46p-13, -0x1.0fdce1d8d0b22p-13, -0x1.0c88e145c3828p-13, -0x1.0930c4ddad1b2p-13, -0x1.05d4b0b94e484p-13, -0x1.0274cb7f45a09p-13, -0x1.fe227c690bc9cp-14, -0x1.f754681e758a4p-14, -0x1.f07fb493cafc1p-14, -0x1.e9a4bff196135p-14, -0x1.e2c3ebc31c1cap-14, -0x1.dbdd9ca75ec6cp-14, -0x1.d4f23a08d58bap-14, -0x1.ce022dd0da6bcp-14, -0x1.c70de424625d1p-14, -0x1.c015cb20a583ap-14, -0x1.b91a529cb6392p-14, -0x1.b21bebec48861p-14, -0x1.ab1b09a497d6dp-14, -0x1.a4181f6571bc8p-14, -0x1.9d13a1a3fffadp-14, -0x1.960e0577f5cfbp-14, -0x1.8f07c069a9663p-14, -0x1.8801484466b1ap-14, -0x1.80fb12ea8da5ap-14, -0x1.79f5962d65f9p-14, -0x1.72f147a284b0ap-14, -0x1.6bee9c7ed4706p-14, -0x1.64ee0971e974cp-14, -0x1.5df002856529cp-14, -0x1.56f4fafbc608fp-14, -0x1.4ffd65316b23cp-14, -0x1.4909b2802b8cp-14, -0x1.421a5324ddab5p-14, -0x1.3b2fb625a4c43p-14, -0x1.344a4938a5d92p-14, -0x1.2d6a78adb048bp-14, -0x1.2690af595cee4p-14, -0x1.1fbd5681b2e94p-14, -0x1.18f0d5cba3aaep-14, -0x1.122b932959f58p-14, -0x1.0b6df2c9bff8fp-14, -0x1.04b8570bac329p-14, -0x1.fc1640ddc2983p-15, -0x1.eecd5b0ee1b1bp-15, -0x1.e196b5e616418p-15, -0x1.d473069af4b2dp-15, -0x1.c762fe530fd4cp-15, -0x1.ba674a0e17c8cp-15, -0x1.ad8092970ea9fp-15, -0x1.a0af7c75e49b4p-15, -0x1.93f4a7e560277p-15, -0x1.8750b0c8b5907p-15, -0x1.7ac42ea3fe8c8p-15, -0x1.6e4fb4935c75ep-15, -0x1.61f3d1473e9bfp-15, -0x1.55b10f000e049p-15, -0x1.4987f38b64693p-15, -0x1.3d79004241edep-15, -0x1.3184b2067c532p-15, -0x1.25ab81465d9efp-15, -0x1.19ede1fe2260dp-15, -0x1.0e4c43bb440c6p-15, -0x1.02c7119eb181ep-15, -0x1.eebd64c496324p-16, -0x1.d82710bd58457p-16, -0x1.c1cbe321643bdp-16, -0x1.abac8f456c18bp-16, -0x1.95c9bfe512392p-16, -0x1.80241737be4f2p-16, -0x1.6abc2f01cd37cp-16, -0x1.559298aba66dp-16, -0x1.40a7dd54bbe8cp-16, -0x1.2bfc7de8f2d8p-16, -0x1.1790f3387fedap-16, -0x1.0365ae1230d7dp-16, -0x1.def62eb970215p-17, -0x1.b7a3206384805p-17, -0x1.90d2e3ef7a89ep-17, -0x1.6a861cfa04f71p-17, -0x1.44bd602a75fecp-17, -0x1.1f79336eb3505p-17, -0x1.f5741c684d80ep-18, -0x1.ad00b34b52bep-18, -0x1.6598e1d42f7bbp-18, -0x1.1f3d42be9f40fp-18, -0x1.b3dcab90355afp-19, -0x1.2b5900314bf39p-19, -0x1.49e03322387d9p-20, -0x1.0512d68ab7795p-22, 0x1.86402bfb11547p-21, 0x1.c34e2fb932a4ap-20, 0x1.5fa2fbb5c2753p-19, 0x1.db84156f21aa1p-19, 0x1.2aa578eb3d045p-18, 0x1.667c2554f7f64p-18, 0x1.a14682b1e6a42p-18, 0x1.db05192e5e2a6p-18, 0x1.09dc42e8cea48p-17, 0x1.25b0bcfcd9e12p-17, 0x1.41005d729f518p-17, 0x1.5bcb908c9a41dp-17, 0x1.7612cbf07376fp-17, 0x1.8fd68e7208a95p-17, 0x1.a9175fc2bda49p-17, 0x1.c1d5d034bacabp-17, 0x1.da12788243e26p-17, 0x1.f1cdf986c0ee1p-17, 0x1.04847dfe1cc2bp-16, 0x1.0fe21821d614cp-16, 0x1.1b00271289ca9p-16, 0x1.25df0a467786bp-16, 0x1.307f24a9b1ef2p-16, 0x1.3ae0dc8028dddp-16, 0x1.45049b4368b03p-16, 0x1.4eeacd8b1dcbp-16, 0x1.5893e2ed391ffp-16, 0x1.62004dde105ffp-16, 0x1.6b308396f6109p-16, 0x1.7424fbfb7d83dp-16, 0x1.7cde31789bf5bp-16, 0x1.855ca0ecd08c3p-16, 0x1.8da0c98ce97d9p-16, 0x1.95ab2cc9784fcp-16, 0x1.9d7c4e32514b1p-16, 0x1.a514b35ec354dp-16, 0x1.ac74e3d5d58dap-16, 0x1.b39d68efd420cp-16, 0x1.ba8ecdc304b79p-16, 0x1.c1499f0a559dap-16, 0x1.c7ce6b09cd26fp-16, 0x1.ce1dc17b2e493p-16, 0x1.d4383377d03c6p-16, 0x1.da1e535ea2d7bp-16, 0x1.dfd0b4bfc7d58p-16, 0x1.e54fec4869571p-16, 0x1.ea9c8fac0a0dp-16, 0x1.efb7358ce4b3ap-16, 0x1.f4a0756e0d134p-16, 0x1.f958e79a9b14bp-16, 0x1.fde125142c5fcp-16, 0x1.011ce3bf58c0ap-15, 0x1.0331b487c08bfp-15, 0x1.052f523cd40fdp-15, 0x1.07160a6dbcb96p-15, 0x1.08e62ad851a18p-15, 0x1.0aa0015eb2d31p-15, 0x1.0c43dbff35993p-15, 0x1.0dd208cd7c90cp-15, 0x1.0f4ad5ea10044p-15, 0x1.10ae9179fb53cp-15, 0x1.11fd89a0c68fdp-15, 0x1.13380c78034ebp-15, 0x1.145e6808b90bdp-15, 0x1.1570ea43849fdp-15, 0x1.166fe0fb792a2p-15, 0x1.175b99df49c95p-15, 0x1.18346271824b8p-15, 0x1.18fa8804bd491p-15, 0x1.19ae57b36ef1bp-15, 0x1.1a501e5b8cd6dp-15, 0x1.1ae028984932bp-15, 0x1.1b5ec2bd2a391p-15, 0x1.1bcc38d0f120bp-15, 0x1.1c28d68706834p-15, 0x1.1c74e73cadc05p-15, 0x1.1cb0b5f2d0d74p-15, 0x1.1cdc8d497b84cp-15, 0x1.1cf8b77ca8af8p-15, 0x1.1d057e5f6de6ap-15, 0x1.1d032b56b0b25p-15, 0x1.1cf20756dfa23p-15, 0x1.1cd25adec2474p-15, 0x1.1ca46df599a96p-15, 0x1.1c688825bf419p-15, 0x1.1c1ef07a6ccdbp-15, 0x1.1bc7ed7caa2a5p-15, 0x1.1b63c52ec13b9p-15, 0x1.1af2bd0aecb28p-15, 0x1.1a751a000f239p-15, 0x1.19eb206e9b1cbp-15, 0x1.1955142685d8dp-15, 0x1.18b3386495a85p-15, 0x1.1805cfd0974b9p-15, 0x1.174d1c7a26b0fp-15, 0x1.16895fd6f934cp-15, 0x1.15badac1b182ap-15, 0x1.14e1cd78447ecp-15, 0x1.13fe779862e64p-15, 0x1.1311181f1ae9cp-15, 0x1.1219ed6789789p-15, 0x1.111935291b7e8p-15, 0x1.100f2c767ddfbp-15, 0x1.0efc0fbbb209bp-15, 0x1.0de01abe42e9dp-15, 0x1.0cbb889adb64ap-15, 0x1.0b8e93c4a93ffp-15, 0x1.0a59760570f3bp-15, 0x1.091c687c1c5e6p-15, 0x1.07d7a39bb6484p-15, 0x1.068b5f2b8453dp-15, 0x1.0537d246f441fp-15, 0x1.03dd335c507abp-15, 0x1.027bb82bd0d24p-15, 0x1.011395c834bcfp-15, 0x1.ff4a012f4bdcp-16, 0x1.fc6058a45ffafp-16, 0x1.f96a9802c06aep-16, 0x1.f6692401ec397p-16, 0x1.f35c5ffebeceap-16, 0x1.f044adfb0d345p-16, 0x1.ed226e9ca41f7p-16, 0x1.e9f6013008a8dp-16, }}, 
      {{0x1.dc568c05ba42cp-2, 0x1.dc68021d04883p-2, 0x1.dc857381ac9b7p-2, 0x1.dcaf539617411p-2, 0x1.dce62b2bce77fp-2, 0x1.dd2a8864221bbp-2, 0x1.dd7cf00ed3689p-2, 0x1.ddddd15c54039p-2, 0x1.de4d7c33f6972p-2, 0x1.decc1a2ca389ep-2, 0x1.df59a9f71af09p-2, 0x1.dff5fceff2a4p-2, 0x1.e0a0b68529f96p-2, 0x1.e1594d1a1e1e7p-2, 0x1.e21f0c1908176p-2, 0x1.e2f116e88ec39p-2, 0x1.e3ce6c84ea3eap-2, 0x1.e4b5eb8541a12p-2, 0x1.e5a6565f01d42p-2, 0x1.e69e57c1502bdp-2, 0x1.e79c86ea5a07p-2, 0x1.e89f6bdef2d9p-2, 0x1.e9a58372bfad2p-2, 0x1.eaad43141bae1p-2, 0x1.ebb51c52f9b8ep-2, 0x1.ecbb801d65eaap-2, 0x1.edbee1af08036p-2, 0x1.eebdb93327849p-2, 0x1.efb6861a6486dp-2, 0x1.f0a7d126986fbp-2, 0x1.f1902e3038976p-2, 0x1.f26e3da93c7d5p-2, 0x1.f340ade1f47c8p-2, 0x1.f4063c1465836p-2, 0x1.f4bdb53af007ap-2, 0x1.f565f6b6e1b99p-2, 0x1.f5fdeecb8ap-2, 0x1.f6849cf2340fap-2, 0x1.f6f9120b2ef17p-2, 0x1.f75a706fd623bp-2, 0x1.f7a7ebe940fb4p-2, 0x1.f7e0c98efeb35p-2, 0x1.f8045f910474dp-2, 0x1.f81214efa454p-2, 0x1.f8096124313f9p-2, 0x1.f7e9cbbca7c57p-2, 0x1.f7b2ebec8564dp-2, 0x1.f7646814ba90dp-2, 0x1.f6fdf5446d704p-2, 0x1.f67f56b41fc58p-2, 0x1.f5e85d3c8fec5p-2, 0x1.f538e6ca92e85p-2, 0x1.f470ddd0f6dfdp-2, 0x1.f39038b96139p-2, 0x1.f296f954fbe67p-2, 0x1.f1852c4dac5b6p-2, 0x1.f05ae898727ddp-2, 0x1.ef184ee978ccfp-2, 0x1.edbd892a4cedcp-2, 0x1.ec4ac9f2a7856p-2, 0x1.eac04c0410cb6p-2, 0x1.e91e51c8aec9fp-2, 0x1.e76524d56e1d5p-2, 0x1.e595156fbe603p-2, 0x1.e3ae7a16f8b25p-2, 0x1.e1b1af1195bb8p-2, 0x1.df9f15fe3db9ap-2, 0x1.dd771568c4a1ap-2, 0x1.db3a18631415ap-2, 0x1.d8e88e2204f2ap-2, 0x1.d682e99e24812p-2, 0x1.d409a1385a48ap-2, 0x1.d17d2e62654adp-2, 0x1.cede0d4b23e4ap-2, 0x1.cc2cbc8e8d442p-2, 0x1.c969bce95335fp-2, 0x1.c69590f00d82p-2, 0x1.c3b0bcc9dfe2cp-2, 0x1.c0bbc5ee7e713p-2, 0x1.bdb732e779a7dp-2, 0x1.baa38b14b726fp-2, 0x1.b7815674021fep-2, 0x1.b4511d6b92d9dp-2, 0x1.b113689778a5ep-2, 0x1.adc8c099c8c97p-2, 0x1.aa71aded7e255p-2, 0x1.a70eb8bbe668cp-2, 0x1.a3a068b48ebf3p-2, 0x1.a02744e78da9p-2, 0x1.9ca3d3a21868fp-2, 0x1.99169a4d4a13p-2, 0x1.95801d4f00f7ep-2, 0x1.91e0dfecc53bep-2, 0x1.8e396430972bcp-2, 0x1.8a8a2acf9ac1fp-2, 0x1.86d3b31284a6ep-2, 0x1.83167abfb4e15p-2, 0x1.7f52fe06f3c82p-2, 0x1.7b89b76eb3bd8p-2, 0x1.77bb1fc2cbd3bp-2, 0x1.73e7ae049bf6fp-2, 0x1.700fd75c85f05p-2, 0x1.6c340f0cab6cfp-2, 0x1.6854c664e447ep-2, 0x1.64726cb7df749p-2, 0x1.608d6f515a4fp-2, 0x1.5ca6396d6747bp-2, 0x1.58bd3430b6494p-2, 0x1.54d2c6a1cbeedp-2, 0x1.50e755a325576p-2, 0x1.4cfb43ee368eap-2, 0x1.490ef20f39ddfp-2, 0x1.4522be61c88bbp-2, 0x1.4137050e2e852p-2, 0x1.3d4c2007748d2p-2, 0x1.3962670a11fcp-2, 0x1.357a2f9b452eap-2, 0x1.3193cd09002c6p-2, 0x1.2daf906a6bb72p-2, 0x1.29cdc8a0f2414p-2, 0x1.25eec259ce64p-2, 0x1.2212c81015cd9p-2, 0x1.1e3a220f36f7cp-2, 0x1.1a651675e9aa4p-2, 0x1.1693e93983c21p-2, 0x1.12c6dc29b4e3bp-2, 0x1.0efe2ef49be5ep-2, 0x1.0b3a1f2b35833p-2, 0x1.077ae8461d4b1p-2, 0x1.03c0c3aa9bf9ep-2, 0x1.000be8afff43dp-2, 0x1.f8b9194a664f6p-3, 0x1.f165c5ad3edaap-3, 0x1.ea1e392874b5cp-3, 0x1.e2e2d26fb3bcfp-3, 0x1.dbb3ec5764087p-3, 0x1.d491dde20dc32p-3, 0x1.cd7cfa4e12531p-3, 0x1.c6759123b3cb8p-3, 0x1.bf7bee436d4b7p-3, 0x1.b89059f489cf8p-3, 0x1.b1b318f3fa597p-3, 0x1.aae46c836543dp-3, 0x1.a424927863533p-3, 0x1.9d73c54bf0ad1p-3, 0x1.96d23c29fc97dp-3, 0x1.90402b011fef3p-3, 0x1.89bdc29273423p-3, 0x1.834b308174c78p-3, 0x1.7ce89f640c39p-3, 0x1.769636d295b9p-3, 0x1.70541b780011fp-3, 0x1.6a226f21ecb7dp-3, 0x1.640150d0d0aacp-3, 0x1.5df0dcc820c9cp-3, 0x1.57f12c9e6c8cdp-3, 0x1.5202574d7c445p-3, 0x1.4c2471425f832p-3, 0x1.46578c6d6e571p-3, 0x1.409bb8523e308p-3, 0x1.3af102177d482p-3, 0x1.35577496bd4e2p-3, 0x1.2fcf186c2497p-3, 0x1.2a57f40604046p-3, 0x1.24f20bb44d425p-3, 0x1.1f9d61b7ebfedp-3, 0x1.1a59f6520219ap-3, 0x1.1527c7d2f4549p-3, 0x1.1006d2a95e62cp-3, 0x1.0af71170dafd2p-3, 0x1.05f87d009c76cp-3, 0x1.010b0c79ea0cdp-3, 0x1.f85d6aacc48f7p-4, 0x1.eec6d6ec30d4ap-4, 0x1.e552425b06858p-4, 0x1.dbff8ea6702b6p-4, 0x1.d2ce9a9af6a1dp-4, 0x1.c9bf423f30221p-4, 0x1.c0d15eee1596ep-4, 0x1.b804c770ec9f9p-4, 0x1.af595018c9c85p-4, 0x1.a6cecad7a934cp-4, 0x1.9e6507591a384p-4, 0x1.961bd31a7fcb5p-4, 0x1.8df2f982e60adp-4, 0x1.85ea43fa67a7dp-4, 0x1.7e017a012319ep-4, 0x1.76386145c346ap-4, 0x1.6e8ebdbb98461p-4, 0x1.670451b03d73ap-4, 0x1.5f98dde0d23fcp-4, 0x1.584c218ec04e4p-4, 0x1.511dda94112a3p-4, 0x1.4a0dc57754f87p-4, 0x1.431b9d7f17df2p-4, 0x1.3c471cc4e67b8p-4, 0x1.358ffc47e5191p-4, 0x1.2ef5f3fef515dp-4, 0x1.2878baea6cda6p-4, 0x1.2218072560769p-4, 0x1.1bd38df67d2b6p-4, 0x1.15ab03e0791d9p-4, 0x1.0f9e1cb21515cp-4, 0x1.09ac8b95b3767p-4, 0x1.03d6032085ff6p-4, 0x1.fc346ac2a29dep-5, 0x1.f0f1a7dd8cf74p-5, 0x1.e5e31feaef0c9p-5, 0x1.db08348ac85b3p-5, 0x1.d06046be43e8ep-5, 0x1.c5eab70140d11p-5, 0x1.bba6e56312f9ap-5, 0x1.b194319e867c7p-5, 0x1.a7b1fb3119d05p-5, 0x1.9dffa17181b04p-5, 0x1.947c83a56ce7ap-5, 0x1.8b28011693f93p-5, 0x1.820179270f00ap-5, 0x1.79084b64fc5b7p-5, 0x1.703bd79d73e2p-5, 0x1.679b7deecfd51p-5, 0x1.5f269eda49be9p-5, 0x1.56dc9b54f19a2p-5, 0x1.4ebcd4d801083p-5, 0x1.46c6ad7089237p-5, 0x1.3ef987ce89653p-5, 0x1.3754c75363a23p-5, 0x1.2fd7d01fbf6c9p-5, 0x1.28820720cdb84p-5, 0x1.2152d21d08e8fp-5, 0x1.1a4997c056e5cp-5, 0x1.1365bfa7aa0c5p-5, 0x1.0ca6b26c12f09p-5, 0x1.060bd9ad4f39ap-5, 0x1.ff294037a7b46p-6, 0x1.f280e304afd3ap-6, 0x1.e61d759dc25e8p-6, 0x1.d9fdd436af433p-6, 0x1.ce20dd6b477f2p-6, 0x1.c285724ea6539p-6, 0x1.b72a7679a3264p-6, 0x1.ac0ed0186017ep-6, 0x1.a13167f702adep-6, 0x1.9691298d9c32ap-6, 0x1.8c2d030b41ca6p-6, 0x1.8203e56065214p-6, 0x1.7814c448648c4p-6, 0x1.6e5e965263805p-6, 0x1.64e054e96c14bp-6, 0x1.5b98fc5be0985p-6, 0x1.52878be23ea49p-6, 0x1.49ab05a5394c5p-6, 0x1.41026ec3403a2p-6, 0x1.388ccf5551402p-6, 0x1.3049327349224p-6, 0x1.2836a63791d32p-6, 0x1.20543bc24e824p-6, 0x1.18a1073bf3e3bp-6, 0x1.111c1fd761ce3p-6, 0x1.09c49fd377da2p-6, 0x1.0299a47c35303p-6, 0x1.f7349c56b4c53p-7, 0x1.e98b809128b3ap-7, 0x1.dc3642928ae2cp-7, 0x1.cf33355fb0b9p-7, 0x1.c280b21555ca8p-7, 0x1.b61d17e53d33p-7, 0x1.aa06cc128de6fp-7, 0x1.9e3c39ed69fcep-7, 0x1.92bbd2cde6ed9p-7, 0x1.87840e0e5cf24p-7, 0x1.7c9369050aaf5p-7, 0x1.71e866fd2951ep-7, 0x1.6781912f65dd3p-7, 0x1.5d5d76b9d35d5p-7, 0x1.537aac975494ep-7, 0x1.49d7cd9681605p-7, 0x1.40737a501e2eap-7, 0x1.374c591d14f3ep-7, 0x1.2e61160c00e5ep-7, 0x1.25b062d654538p-7, 0x1.1d38f6d5251e1p-7, 0x1.14f98ef58dd09p-7, 0x1.0cf0edacb3845p-7, 0x1.051ddaeb90f18p-7, 0x1.fafe4824b2fd5p-8, 0x1.ec2737c746a03p-8, 0x1.ddb434ee8d80dp-8, 0x1.cfa2fa59fc77bp-8, 0x1.c1f14d3d98cf9p-8, 0x1.b49cfd265956dp-8, 0x1.a7a3e3de1bea9p-8, 0x1.9b03e54f3b4e4p-8, 0x1.8ebaef67e1756p-8, 0x1.82c6f9fceff7dp-8, 0x1.772606acaf19fp-8, 0x1.6bd620c155b4fp-8, 0x1.60d55d13298a7p-8, 0x1.5621d9ea8cbb5p-8, 0x1.4bb9bee1d21b7p-8, 0x1.419b3cc7017a4p-8, 0x1.37c48d7d6627ep-8, 0x1.2e33f3df09c67p-8, 0x1.24e7bb9e172e9p-8, 0x1.1bde39263c7b8p-8, 0x1.1315c97df9ab7p-8, 0x1.0a8cd227eabefp-8, 0x1.0241c10417795p-8, 0x1.f46618628010ep-9, 0x1.e4be63dc68be1p-9, 0x1.d58970f67f14fp-9, 0x1.c6c45bf747d96p-9, 0x1.b86c50ae5923cp-9, 0x1.aa7e8a3798a28p-9, 0x1.9cf852becb7cap-9, 0x1.8fd703435d5e9p-9, 0x1.8318035c71d78p-9, 0x1.76b8c8fd5cba8p-9, 0x1.6ab6d83a3466p-9, 0x1.5f0fc30cdda3ap-9, 0x1.53c1291a815d8p-9, 0x1.48c8b77934fe9p-9, 0x1.3e2428766a1b3p-9, 0x1.33d1435d5e19bp-9, 0x1.29cddc3e385efp-9, 0x1.2017d3b589dedp-9, 0x1.16ad16b445b52p-9, 0x1.0d8b9e483a191p-9, 0x1.04b16f6521dfdp-9, 0x1.f839355c2384p-10, 0x1.e796787ecd16ap-10, 0x1.d776f6f2b97a2p-10, 0x1.c7d715965a176p-10, 0x1.b8b34efd2323bp-10, 0x1.aa08330859834p-10, 0x1.9bd2668043bfdp-10, 0x1.8e0ea2aedaeep-10, 0x1.80b9b4fbc7b6bp-10, 0x1.73d07e893aecdp-10, 0x1.674ff3d23e311p-10, 0x1.5b351c4a1e0dep-10, 0x1.4f7d11fd14f67p-10, 0x1.44250131fffb1p-10, 0x1.392a280d60c24p-10, 0x1.2e89d635b0266p-10, 0x1.24416c78dfb1bp-10, 0x1.1a4e5c730456ap-10, 0x1.10ae2836943b2p-10, 0x1.075e61f52a7f1p-10, 0x1.fcb957546f686p-11, 0x1.eb4d6d8d33a56p-11, 0x1.da7487baf0322p-11, 0x1.ca2a44a5068a9p-11, 0x1.ba6a60128a113p-11, 0x1.ab30b22ba0005p-11, 0x1.9c792edcd5f58p-11, 0x1.8e3fe53d4ce47p-11, 0x1.8080fef73db82p-11, 0x1.7338bfb30c8cfp-11, 0x1.6663848482425p-11, 0x1.59fdc35ad4d21p-11, 0x1.4e040a726d832p-11, 0x1.4272ffc973874p-11, 0x1.37476096dea94p-11, 0x1.2c7e00c3663dcp-11, 0x1.2213ca651a985p-11, 0x1.1805bd3d83a5p-11, 0x1.0e50ee3963b17p-11, 0x1.04f286f32568p-11, 0x1.f7cf8a6f347bbp-12, 0x1.e65bf5193bd5cp-12, 0x1.d58517744464dp-12, 0x1.c545e0ab22674p-12, 0x1.b599649e918fap-12, 0x1.a67adb03d7343p-12, 0x1.97e59e884063dp-12, 0x1.89d52bf8658cdp-12, 0x1.7c45216bb6c4cp-12, 0x1.6f313d74b7d1cp-12, 0x1.62955e542d351p-12, 0x1.566d81313b2b4p-12, 0x1.4ab5c155175b5p-12, 0x1.3f6a576a86658p-12, 0x1.348798c15f6c3p-12, 0x1.2a09f6958c391p-12, 0x1.1fedfd5a58512p-12, 0x1.16305408cc0eap-12, 0x1.0ccdbb7294cfdp-12, 0x1.03c30d9785e0ep-12, 0x1.f61a79ff17d0bp-13, 0x1.e552a82df79ebp-13, 0x1.d528e91f657e5p-13, 0x1.c597ad8883c84p-13, 0x1.b699923f68a8ep-13, 0x1.a8295f0f943c8p-13, 0x1.9a4205954b2e4p-13, 0x1.8cdea02019671p-13, 0x1.7ffa709a0bb41p-13, 0x1.7390df76db402p-13, 0x1.679d7aa74ab5cp-13, 0x1.5c1bf4945b15ap-13, 0x1.5108231f44205p-13, 0x1.465dfea7894cap-13, 0x1.3c19a116bb9aap-13, 0x1.323744f287b0ap-13, 0x1.28b34472305e7p-13, 0x1.1f8a189c4ceb9p-13, 0x1.16b85866c4408p-13, 0x1.0e3ab7df2fe27p-13, 0x1.060e07555c43bp-13, 0x1.fc5e651aafa6fp-14, 0x1.ed367fe8c214cp-14, 0x1.de9e9fb9b6675p-14, 0x1.d0913778f3887p-14, 0x1.c308eae2d10bbp-14, 0x1.b6008d146a0bcp-14, 0x1.a9731f26bef25p-14, 0x1.9d5bced2301d8p-14, 0x1.91b5f51a37732p-14, 0x1.867d1500eb9b1p-14, 0x1.7bacda45a34d1p-14, 0x1.71411827e40a1p-14, 0x1.6735c8358348bp-14, 0x1.5d87091e08684p-14, 0x1.54311d8f9aa72p-14, 0x1.4b306b1a3bedap-14, 0x1.4281791bd2752p-14, 0x1.3a20efb17478ep-14, 0x1.320b96b10bafep-14, 0x1.2a3e54aa83619p-14, 0x1.22b62dedbda7bp-14, 0x1.1b7043983bd2ep-14, 0x1.1469d2a9d631dp-14, 0x1.0da0331e0f3f6p-14, 0x1.0710d70d6b323p-14, 0x1.00b949d432d64p-14, 0x1.f52e5e7b82191p-15, 0x1.e9508571882abp-15, 0x1.ddd4ad1bc9eebp-15, 0x1.d2b6a63c5b20bp-15, 0x1.c7f26c49f3594p-15, 0x1.bd84240205b47p-15, 0x1.b3681a01b8d61p-15, 0x1.a99ac16d4b853p-15, 0x1.a018b29c21d5dp-15, 0x1.96dea9d16c568p-15, 0x1.8de98600411b4p-15, 0x1.853647949c62cp-15, 0x1.7cc20f4887991p-15, 0x1.748a1cff5dce4p-15, 0x1.6c8bceab52501p-15, 0x1.64c49f39f418bp-15, 0x1.5d32258c4c884p-15, 0x1.55d213721eae7p-15, 0x1.4ea234af2dfd1p-15, 0x1.47a06e09c6f4p-15, 0x1.40cabc5e19ca1p-15, 0x1.3a1f33b9513a2p-15, 0x1.339bfe7d6880cp-15, 0x1.2d3f5c877b752p-15, 0x1.2707a2616b504p-15, 0x1.20f33877b859dp-15, 0x1.1b009a566aca2p-15, 0x1.152e55eb18f52p-15, 0x1.0f7b0acdb0a43p-15, 0x1.09e56990fbdccp-15, 0x1.046c33146a447p-15, 0x1.fe1c6fbeca8d6p-16, 0x1.f394aeff7f7c2p-16, 0x1.e93effdb1af6bp-16, 0x1.df1959eb0459bp-16, 0x1.d521cf4dbd708p-16, 0x1.cb568b8db53fp-16, 0x1.c1b5d290cd5f6p-16, 0x1.b83dff90a3f7ep-16, 0x1.aeed8420ef214p-16, 0x1.a5c2e7357ef2cp-16, 0x1.9cbcc437121c5p-16, 0x1.93d9ca1d395ffp-16, 0x1.8b18ba90d3af3p-16, 0x1.82786919ca6d1p-16, 0x1.79f7ba4e67b17p-16, 0x1.7195a30dee223p-16, 0x1.695127c007779p-16, 0x1.61295b9d8fa39p-16, 0x1.591d5ffefe3e3p-16, 0x1.512c63b149448p-16, 0x1.4955a24ea026dp-16, 0x1.419863a020c12p-16, 0x1.39f3fb0496282p-16, 0x1.3267c6dd674a7p-16, 0x1.2af330005b83bp-16, 0x1.2395a92ef35f6p-16, 0x1.1c4eae930645ap-16, 0x1.151dc540c91b3p-16, 0x1.0e027abdea3d4p-16, 0x1.06fc648bff0c5p-16, 0x1.000b1fba79ba4p-16, 0x1.f25ca0f0b2657p-17, 0x1.e4cb435d34031p-17, 0x1.d76189399899fp-17, 0x1.ca1ee0f506bb7p-17, 0x1.bd02c4365a7dp-17, 0x1.b00cb7303e743p-17, 0x1.a33c47f86ea0ep-17, 0x1.96910de97f694p-17, 0x1.8a0aa90851a8bp-17, 0x1.7da8c170e0e35p-17, 0x1.716b06cc70fe4p-17, 0x1.65512fc89705ep-17, 0x1.595af999c23a5p-17, 0x1.4d882780121b3p-17, 0x1.41d88252e60d8p-17, 0x1.364bd81105fdep-17, 0x1.2ae1fb7879529p-17, 0x1.1f9ac39eee68bp-17, 0x1.14760b9452fcep-17, 0x1.0973b2080765dp-17, 0x1.fd2731dc29ab5p-18, 0x1.e7ab4a6025b91p-18, 0x1.d2737cbb24d7cp-18, 0x1.bd7f9cc3a4c24p-18, 0x1.a8cf8279fd62dp-18, 0x1.9463098586fadp-18, 0x1.803a10b6d434ep-18, 0x1.6c54798c2f8ffp-18, 0x1.58b227c42193fp-18, 0x1.455300f2b11f5p-18, 0x1.3236ec1eae887p-18, 0x1.1f5dd16335e1bp-18, 0x1.0cc7999524105p-18, 0x1.f4e85be950305p-19, 0x1.d0c6efb84711p-19, 0x1.ad2ac0ee7b075p-19, 0x1.8a13a102e5981p-19, 0x1.6781600d37406p-19, 0x1.4573cc55b8534p-19, 0x1.23eab1dbd0609p-19, 0x1.02e5d9fb9cbaep-19, 0x1.c4ca161b6887cp-20, 0x1.84d0101d7a88dp-20, 0x1.45dd20a9b58c1p-20, 0x1.07f0be939aea7p-20, 0x1.9614b0acc545p-21, 0x1.1e52a72182377p-21, 0x1.5134329550533p-22, 0x1.a74d65b2f1a19p-24, -0x1.e600670af7c98p-24, -0x1.58c92c72885f9p-22, -0x1.1a0586f1ebccp-21, -0x1.85a48c0c2a4c4p-21, -0x1.ef43683e4b8b9p-21, -0x1.2b71fa27e99d1p-20, -0x1.5e440fa40f38dp-20, -0x1.9018f743af98fp-20, -0x1.c0f1bef738fbcp-20, -0x1.f0cf7ffe5c578p-20, -0x1.0fd9af70c6446p-19, -0x1.26cf45b86135ep-19, -0x1.3d49205c20bcdp-19, -0x1.5347e278635c7p-19, -0x1.68cc34b606064p-19, -0x1.7dd6c53de021ep-19, -0x1.926847a8e5cf2p-19, -0x1.a68174f2d8705p-19, -0x1.ba230b6b7e333p-19, -0x1.cd4dce9849ae5p-19, -0x1.e002871f84773p-19, -0x1.f24202b3d686fp-19, -0x1.020689ffa2807p-18, -0x1.0ab24940c2533p-18, -0x1.1324ad3afa211p-18, -0x1.1b5e265c8a1c3p-18, -0x1.235f2754d22f3p-18, -0x1.2b2825047dc1cp-18, -0x1.32b9966f3dd3ap-18, -0x1.3a13f4ab49d57p-18, -0x1.4137bad0c23e6p-18, -0x1.482565ec76fe8p-18, -0x1.4edd74e90cfe9p-18, -0x1.5560687f5ae4dp-18, -0x1.5baec32535359p-18, -0x1.61c9090030293p-18, -0x1.67afbfd060798p-18, -0x1.6d636edcd52e6p-18, -0x1.72e49ee53b866p-18, -0x1.7833da0dc3751p-18, -0x1.7d51abceb8fc4p-18, -0x1.823ea0e1be81dp-18, -0x1.86fb4732d9665p-18, -0x1.8b882dcbe1c79p-18, -0x1.8fe5e4c5f3658p-18, -0x1.9414fd35fb9b3p-18, -0x1.9816091919cd7p-18, -0x1.9be99b43f5e5bp-18, -0x1.9f90475446d46p-18, -0x1.a30aa1a0ed548p-18, -0x1.a6593f25003dbp-18, -0x1.a97cb570ea666p-18, -0x1.ac759a9a6ce72p-18, -0x1.af44852aa2e9ap-18, -0x1.b1ea0c1076892p-18, -0x1.b466c68e5d6fep-18, -0x1.b6bb4c2f7076ep-18, -0x1.b8e834b4174fp-18, -0x1.baee1805b4183p-18, -0x1.bccd8e25d0edap-18, -0x1.be872f1e7653bp-18, -0x1.c01b92f54992cp-18, -0x1.c18b519d8bb52p-18, -0x1.c2d702ecf7cacp-18, -0x1.c3ff3e8b795f5p-18, -0x1.c5049be5d3379p-18, -0x1.c5e7b2226c006p-18, -0x1.c6a91812c3869p-18, -0x1.c7496429700e7p-18, -0x1.c7c92c6bff57dp-18, -0x1.c829066a595dcp-18, -0x1.c86987331722fp-18, -0x1.c88b4346561c1p-18, -0x1.c88ece8d1576p-18, -0x1.c874bc4c14bdfp-18, -0x1.c83d9f1b3b879p-18, -0x1.c7ea08daefe26p-18, -0x1.c77a8aac77e57p-18, -0x1.c6efb4e8aeeb4p-18, -0x1.c64a1715294cap-18, -0x1.c58a3fdbea232p-18, -0x1.c4b0bd04ac47bp-18, -0x1.c3be1b6a4123cp-18, -0x1.c2b2e6f57f142p-18, -0x1.c18faa92d41cp-18, -0x1.c054f030011bfp-18, -0x1.bf0340b148374p-18, -0x1.bd9b23ebb8a6ap-18, -0x1.bc1d209ec53fdp-18, -0x1.ba89bc6d32f29p-18, -0x1.b8e17bd86ceadp-18, -0x1.b724e239d308ep-18, -0x1.b55471be7c67dp-18, -0x1.b370ab63c63e7p-18, -0x1.b17a0eee9f46dp-18, -0x1.af711ae91a9afp-18, -0x1.ad564c9ec3c98p-18, -0x1.ab2a2016a49f2p-18, -0x1.a8ed10110a29ep-18, -0x1.a69f96027ce96p-18, -0x1.a4422a12dbf4p-18, -0x1.a1d543194588ap-18, -0x1.9f5956971c812p-18, -0x1.9cced8b808e59p-18, -0x1.9a363c4d15945p-18, -0x1.978ff2cb2e9b8p-18, -0x1.94dc6c4951bedp-18, -0x1.921c177e24cadp-18, -0x1.8f4f61bfaaa3cp-18, -0x1.8c76b7007c354p-18, -0x1.899281ce0a443p-18, -0x1.86a32b50307b1p-18, -0x1.83a91b48736f8p-18, -0x1.80a4b80ff860bp-18, -0x1.7d966697ee21dp-18, -0x1.7a7e8a68a83f2p-18, -0x1.775d85a2edeaap-18, -0x1.7433b8fd9534dp-18, -0x1.710183c60ace6p-18, -0x1.6dc743e145962p-18, -0x1.6a8555cac5355p-18, -0x1.673c14951ec7bp-18, -0x1.63ebd9ebcbc15p-18, -0x1.6094fe122bb66p-18, -0x1.5d37d7e5a3621p-18, -0x1.59d4bcdea17fap-18, -0x1.566c010fed878p-18, -0x1.52fdf7299cdd8p-18, -0x1.4f8af079907c1p-18, -0x1.4c133cecd1b69p-18, -0x1.48972b1089867p-18, -0x1.45170814b606bp-18, -0x1.41931fcde3282p-18, -0x1.3e0bbcb5fed49p-18, -0x1.3a8127ee68f8bp-18, -0x1.36f3a9427e0d2p-18, -0x1.33638728b18dep-18, -0x1.2fd106c4ecfd5p-18, -0x1.2c3c6beadc75ap-18, -0x1.28a5f9212b9bep-18, -0x1.250defa1365cap-18, -0x1.21748f5c5db16p-18, -0x1.1dda16fd73a96p-18, -0x1.1a3ec3e9eaa1cp-18, -0x1.16a2d2468045fp-18, -0x1.13067cf8a0a9ap-18, -0x1.0f69fda932d2fp-18, -0x1.0bcd8cc73726fp-18, -0x1.0831618b4d931p-18, -0x1.0495b1fabd777p-18, -0x1.00fab2e8aa58ep-18, -0x1.fac12ff429a6bp-19, -0x1.f38f2752d51fap-19, -0x1.ec5fae902aeeep-19, -0x1.e5332604fb068p-19, -0x1.de09ebc56e99ap-19, -0x1.d6e45ba88ea48p-19, -0x1.cfc2cf4bb4c1ap-19, -0x1.c8a59e1a7fcc4p-19, -0x1.c18d1d5601a28p-19, -0x1.ba79a01997b04p-19, -0x1.b36b776146488p-19, -0x1.ac62f2127b142p-19, -0x1.a5605cff031d6p-19, -0x1.9e6402edc52ccp-19, -0x1.976e2ca07ce0ap-19, -0x1.907f20db5e083p-19, -0x1.8997246affp-19, -0x1.82b67a287c3b2p-19, -0x1.7bdd630319354p-19, -0x1.750c1e0666c33p-19, -0x1.6e42e85f70eefp-19, -0x1.6781fd64be8e7p-19, -0x1.60c9969c0a0cdp-19, -0x1.5a19ebc1cf714p-19, -0x1.537332ce5307cp-19, -0x1.4cd59ffbbb034p-19, -0x1.464165cf19faep-19, -0x1.3fb6b51cba397p-19, -0x1.3935bd102e0bfp-19, -0x1.32beab320b6cbp-19, -0x1.2c51ab6e5095cp-19, -0x1.25eee81a2fd08p-19, -0x1.1f9689fcd9628p-19, -0x1.1948b852604e4p-19, -0x1.130598d62bf2ep-19, -0x1.0ccd4fc4b19e4p-19, -0x1.069fffe3cea46p-19, -0x1.007dca89d2f73p-19, -0x1.f4cd9f47a43f6p-20, -0x1.e8b65b752ee9p-20, -0x1.dcb603f4088fcp-20, -0x1.d0ccd06c79394p-20, -0x1.c4faf5e4b316p-20, -0x1.b940a6c9d8f62p-20, -0x1.ad9e12fdbf4e9p-20, -0x1.a21367e4af8dbp-20, -0x1.96a0d06cd5459p-20, -0x1.8b467521971fep-20, -0x1.80047c2f6e4ebp-20, -0x1.74db097273a3ap-20, -0x1.69ca3e806bbaap-20, -0x1.5ed23ab88c823p-20, }}, 
      {{0x1.062a195afbecfp-11, 0x1.03cc1bd46709cp-9, 0x1.1ffaeed4f283dp-8, 0x1.f5bf9c50049ecp-8, 0x1.7e4217a7a8b7bp-7, 0x1.0b27e8a148b36p-6, 0x1.5f763a6d2732p-6, 0x1.b9f068a43352ap-6, 0x1.0c4014ce53e7ep-5, 0x1.3c91951933dffp-5, 0x1.6cfb03ea61294p-5, 0x1.9c9e077f980a5p-5, 0x1.cab21e725c66bp-5, 0x1.f68600f6c69f8p-5, 0x1.0fc00e50590ffp-4, 0x1.228f2f0338312p-4, 0x1.337aba0fb6543p-4, 0x1.4257d8f6b7c95p-4, 0x1.4f05d628624bdp-4, 0x1.596d5607831bcp-4, 0x1.617f838e2617ep-4, 0x1.67353808b3c3cp-4, 0x1.6a8e23a7e377ap-4, 0x1.6b8ffb44895f8p-4, 0x1.6a45ae8dae44ap-4, 0x1.66bea8edceafcp-4, 0x1.610e1eb5e5a92p-4, 0x1.594a6783f3ba4p-4, 0x1.4f8c666095835p-4, 0x1.43eeffaea7ef3p-4, 0x1.368e9cbcbca73p-4, 0x1.2788bc8e9a4bap-4, 0x1.16fb914a610e8p-4, 0x1.0505a9968c90ep-4, 0x1.e38b4a43e99bep-5, 0x1.bab3e7062ce9p-5, 0x1.8fc1392dde8c5p-5, 0x1.62ee231012b8dp-5, 0x1.34740b55b88e6p-5, 0x1.048a9cc8b3e75p-5, 0x1.a6cf2565e50a4p-6, 0x1.427d20c8af82bp-6, 0x1.b9040a3578ae3p-7, 0x1.d4f049b42ef88p-8, 0x1.a09a4db6cab76p-11, -0x1.6f3bded0bed46p-8, -0x1.89dea8865ed71p-7, -0x1.2e111281f0a33p-6, -0x1.96edbc262396p-6, -0x1.ff43821e4dd65p-6, -0x1.336a91e5324c2p-5, -0x1.66b4e8d5d319dp-5, -0x1.99668637fd867p-5, -0x1.cb6740900dfd9p-5, -0x1.fca0f18ed0a9bp-5, -0x1.167fb121af0c8p-4, -0x1.2e381b6031992p-4, -0x1.45716cb60c3b5p-4, -0x1.5c2433151c919p-4, -0x1.7249cac401595p-4, -0x1.87dc54060c8fep-4, -0x1.9cd6a8e3550b2p-4, -0x1.b134531cb1a78p-4, -0x1.c4f1825552962p-4, -0x1.d80b0279e06d5p-4, -0x1.ea7e326b6c6b8p-4, -0x1.fc48faf3370a9p-4, -0x1.06b4e301884a5p-3, -0x1.0eefbb2287f3bp-3, -0x1.16d4af7e524d5p-3, -0x1.1e639e1d00ef1p-3, -0x1.259c95b0481c9p-3, -0x1.2c7fd2001d17cp-3, -0x1.330db880935d1p-3, -0x1.3946d510713f4p-3, -0x1.3f2bd6dff0052p-3, -0x1.44bd8d7ecf299p-3, -0x1.49fce610e6becp-3, -0x1.4eeae8a8438d9p-3, -0x1.5388b5c3b0d2ep-3, -0x1.57d783f0a6d7bp-3, -0x1.5bd89d8f645f6p-3, -0x1.5f8d5eb80ee34p-3, -0x1.62f7333f9f97ap-3, -0x1.661794db59871p-3, -0x1.68f009619e93ap-3, -0x1.6b822126d8a3ep-3, -0x1.6dcf7575415a7p-3, -0x1.6fd9a71e58017p-3, -0x1.71a25d24d1cbap-3, -0x1.732b437dd3325p-3, -0x1.747609e855723p-3, -0x1.758462d998841p-3, -0x1.7658027d8819p-3, -0x1.76f29dca0c986p-3, -0x1.7755e9a4411f9p-3, -0x1.77839a168b068p-3, -0x1.777d6196b621bp-3, -0x1.7744f05b1163ap-3, -0x1.76dbf3bdc513bp-3, -0x1.764415ad7de74p-3, -0x1.757efc2aa7137p-3, -0x1.748e48d06c8d4p-3, -0x1.73739868d2e87p-3, -0x1.7230828b26d5ap-3, -0x1.70c699442c148p-3, -0x1.6f3768c76215cp-3, -0x1.6d847728c45e5p-3, -0x1.6baf441e847d5p-3, -0x1.69b948ca29cebp-3, -0x1.67a3f7889be51p-3, -0x1.6570bbc89f18fp-3, -0x1.6320f9e7554aap-3, -0x1.60b60f124973p-3, -0x1.5e31512eb5f87p-3, -0x1.5b940ec596f2bp-3, -0x1.58df8ef4322afp-3, -0x1.56151160c76f3p-3, -0x1.5335ce3315a95p-3, -0x1.5042f6106ad6fp-3, -0x1.4d3db21af8833p-3, -0x1.4a2723f4371b1p-3, -0x1.470065c2072edp-3, -0x1.43ca8a3669edap-3, -0x1.40869c9999704p-3, -0x1.3d35a0d6409d1p-3, -0x1.39d89387ba044p-3, -0x1.36706a0a17407p-3, -0x1.32fe128bd2f3bp-3, -0x1.2f827421078dbp-3, -0x1.2bfe6ed7ffc24p-3, -0x1.2872dbcf08ef4p-3, -0x1.24e08d4b6280ep-3, -0x1.21484ed12f1p-3, -0x1.1daae53c4f79dp-3, -0x1.1a090eda07667p-3, -0x1.166383835c48fp-3, -0x1.12baf4b813957p-3, -0x1.0f100dba41389p-3, -0x1.0b6373aa45c4bp-3, -0x1.07b5c5a3419c2p-3, -0x1.04079cd7d11d8p-3, -0x1.00598caf1f036p-3, -0x1.f95845c440376p-4, -0x1.f1ffcf32159e5p-4, -0x1.eaaabb11bebe9p-4, -0x1.e35a04221a567p-4, -0x1.dc0e9ab238b51p-4, -0x1.d4c964dcad4dap-4, -0x1.cd8b3ec2cb2e3p-4, -0x1.c654fac7b73e1p-4, -0x1.bf2761cb42307p-4, -0x1.b80333647f9d4p-4, -0x1.b0e9261c01ap-4, -0x1.a9d9e7a5b1f16p-4, -0x1.a2d61d1a43368p-4, -0x1.9bde63301e5ebp-4, -0x1.94f34e73cf685p-4, -0x1.8e156b7fe892fp-4, -0x1.87453f34465c8p-4, -0x1.808346ecb7fa3p-4, -0x1.79cff8b70273dp-4, -0x1.732bc388342d1p-4, -0x1.6c970f7144a3fp-4, -0x1.66123dd2fba4cp-4, -0x1.5f9da991199d9p-4, -0x1.5939a744bc7fp-4, -0x1.52e6856dfda56p-4, -0x1.4ca48ca4c5722p-4, -0x1.4673ffc8cf4fp-4, -0x1.40551c30de1acp-4, -0x1.3a4819d91da7ap-4, -0x1.344d2b90ace5dp-4, -0x1.2e647f2653302p-4, -0x1.288e3d945c28dp-4, -0x1.22ca8b2b9ad92p-4, -0x1.1d1987bd919eep-4, -0x1.177b4ec5c1301p-4, -0x1.11eff7921b039p-4, -0x1.0c77956a9afd8p-4, -0x1.071237b8058e9p-4, -0x1.01bfea29cc63p-4, -0x1.f90169b633421p-5, -0x1.eea938ee085a5p-5, -0x1.e47744b7d718fp-5, -0x1.da6b897bfee07p-5, -0x1.d085fd91e46e2p-5, -0x1.c6c69181b2c21p-5, -0x1.bd2d30447b186p-5, -0x1.b3b9bf82b55afp-5, -0x1.aa6c1fd129241p-5, -0x1.a1442cec40b9ep-5, -0x1.9841bdf1cbfep-5, -0x1.8f64a599356dep-5, -0x1.86acb26a341b9p-5, -0x1.7e19aef1f8295p-5, -0x1.75ab61f6db46dp-5, -0x1.6d618eaa9ceefp-5, -0x1.653bf4db28fc6p-5, -0x1.5d3a5121f432cp-5, -0x1.555c5d11f34e3p-5, -0x1.4da1cf64301eap-5, -0x1.460a5c2303b84p-5, -0x1.3e95b4d3fe2a6p-5, -0x1.374388a07ccb7p-5, -0x1.3013847cfb10ap-5, -0x1.2905534f1e4abp-5, -0x1.22189e1286224p-5, -0x1.1b4d0bfc6883p-5, -0x1.14a2429dfa044p-5, -0x1.0e17e605b0871p-5, -0x1.07ad98df5ea2p-5, -0x1.0162fc9335396p-5, -0x1.f66f62c753b68p-6, -0x1.ea56ad149e7d8p-6, -0x1.de7b14a7429bap-6, -0x1.d2dbd47396d3ap-6, -0x1.c77825fce1503p-6, -0x1.bc4f4186f69aep-6, -0x1.b1605e45f0ebep-6, -0x1.a6aab28c0d304p-6, -0x1.9c2d73f5b7a15p-6, -0x1.91e7d793daecdp-6, -0x1.87d912146e695p-6, -0x1.7e0057e960e4ep-6, -0x1.745cdd6ddbd49p-6, -0x1.6aedd709ef155p-6, -0x1.61b27954b83cdp-6, -0x1.58a9f93501422p-6, -0x1.4fd38c006b9a4p-6, -0x1.472e6799303adp-6, -0x1.3eb9c28a7cf37p-6, -0x1.3674d42378453p-6, -0x1.2e5ed490f9c97p-6, -0x1.2676fcf5fccbp-6, -0x1.1ebc8782d851ep-6, -0x1.172eaf8b467d5p-6, -0x1.0fccb19b42e93p-6, -0x1.0895cb8acb604p-6, -0x1.01893c9089e62p-6, -0x1.f54c8aa6dfaadp-7, -0x1.e7d84ff695086p-7, -0x1.dab45080c4a49p-7, -0x1.cddf16f43e68ap-7, -0x1.c157315980345p-7, -0x1.b51b312c60e67p-7, -0x1.a929ab7402e34p-7, -0x1.9d8138d9168a6p-7, -0x1.922075ba81b8ep-7, -0x1.870602407bd22p-7, -0x1.7c30826e23f0fp-7, -0x1.719e9e31abfedp-7, -0x1.674f01731b80cp-7, -0x1.5d405c21b28c9p-7, -0x1.5371624012e61p-7, -0x1.49e0cbef1756dp-7, -0x1.408d55778505bp-7, -0x1.3775bf528c88ap-7, -0x1.2e98ce3137898p-7, -0x1.25f54b02bd15dp-7, -0x1.1d8a02f9db46ep-7, -0x1.1555c79126a39p-7, -0x1.0d576e8e75837p-7, -0x1.058dd2055e055p-7, -0x1.fbefa0b1b6db2p-8, -0x1.ed289878346f4p-8, -0x1.dec45964fa067p-8, -0x1.d0c0ba1dba125p-8, -0x1.c31b99e42ecebp-8, -0x1.b5d2e091cc005p-8, -0x1.a8e47e921994ep-8, -0x1.9c4e6cdbd6abdp-8, -0x1.900eace8ece86p-8, -0x1.842348ad39f73p-8, -0x1.788a528c4f5d4p-8, -0x1.6d41e54e15b4dp-8, -0x1.624824129a467p-8, -0x1.579b3a44cc728p-8, -0x1.4d395b8c822cap-8, -0x1.4320c3bf8ca64p-8, -0x1.394fb6d20d01fp-8, -0x1.2fc480c61a82cp-8, -0x1.267d759ab17e7p-8, -0x1.1d78f139ff0dep-8, -0x1.14b55767142ebp-8, -0x1.0c3113aaf79b7p-8, -0x1.03ea994153ffbp-8, -0x1.f7c0c60918f9ap-9, -0x1.e821e6b2d5725p-9, -0x1.d8f5a834c2d43p-9, -0x1.ca392d04b1da4p-9, -0x1.bbe9a62e8bad4p-9, -0x1.ae04532897106p-9, -0x1.a08681a75d4b9p-9, -0x1.936d8d70d42e8p-9, -0x1.86b6e02f2bc15p-9, -0x1.7a5ff14330ff4p-9, -0x1.6e6645964d7cfp-9, -0x1.62c76f6c2d8cap-9, -0x1.57810e3435682p-9, -0x1.4c90ce5a89248p-9, -0x1.41f469191da78p-9, -0x1.37a9a4488b20bp-9, -0x1.2dae5230ba5a3p-9, -0x1.24005159a37dap-9, -0x1.1a9d8c5bc1694p-9, -0x1.1183f9b0c4126p-9, -0x1.08b19b844016bp-9, -0x1.00247f8446195p-9, -0x1.efb57d64a2c1bp-10, -0x1.dfa4fa684c45bp-10, -0x1.d013d449a44cp-10, -0x1.c0fe7ecbfe09ep-10, -0x1.b26182e2cd906p-10, -0x1.a4397e54f1d42p-10, -0x1.96832360a3168p-10, -0x1.893b385fab9e5p-10, -0x1.7c5e976c5a36p-10, -0x1.6fea2e074735bp-10, -0x1.63dafcbd44551p-10, -0x1.582e16ce75bb1p-10, -0x1.4ce0a1d5d6025p-10, -0x1.41efd5718dea2p-10, -0x1.3758faebe525ep-10, -0x1.2d196ce57d103p-10, -0x1.232e96ffc5ea3p-10, -0x1.1995f588b73cfp-10, -0x1.104d152737de5p-10, -0x1.0751928857619p-10, -0x1.fd42341b03dbp-11, -0x1.ec72cef7a0472p-11, -0x1.dc308b57c8e1ap-11, -0x1.cc771c763b7c1p-11, -0x1.bd42527ae4aafp-11, -0x1.ae8e19e0b6f4bp-11, -0x1.a0567add8e719p-11, -0x1.929798cc218a8p-11, -0x1.854db197c3641p-11, -0x1.78751d2a35a8cp-11, -0x1.6c0a4cdba8c4fp-11, -0x1.6009cae45a782p-11, -0x1.547039d08839bp-11, -0x1.493a53f6b3306p-11, -0x1.3e64eaef661f6p-11, -0x1.33ece70f59829p-11, -0x1.29cf46e3b00bcp-11, -0x1.20091eb003725p-11, -0x1.169797ee9a4cfp-11, -0x1.0d77f0d2a39c8p-11, -0x1.04a77bccdeb58p-11, -0x1.f8473e23446f1p-12, -0x1.e7d3a843024fep-12, -0x1.d7ef4ea734ap-12, -0x1.c8956ec403201p-12, -0x1.b9c169f04165bp-12, -0x1.ab6ec486c1a4dp-12, -0x1.9d99250b09842p-12, -0x1.903c5351e054ap-12, -0x1.835437ae847cap-12, -0x1.76dcda22c8e1ep-12, -0x1.6ad26193b1e55p-12, -0x1.5f31130198e46p-12, -0x1.53f550c481632p-12, -0x1.491b99cbef53cp-12, -0x1.3ea088e225b79p-12, -0x1.3480d3f3d6683p-12, -0x1.2ab94b5ab0dddp-12, -0x1.2146d92bc47ddp-12, -0x1.18268089a46e2p-12, -0x1.0f555cfa6699p-12, -0x1.06d0a1c079924p-12, -0x1.fd2b326e0bec4p-13, -0x1.ed4348644c095p-13, -0x1.dde472c480752p-13, -0x1.cf09c974d5929p-13, -0x1.c0ae8db4bb5f5p-13, -0x1.b2ce28f7e17fap-13, -0x1.a5642bc6b2361p-13, -0x1.986c4ca571eacp-13, -0x1.8be267014d502p-13, -0x1.7fc27a23f92bdp-13, -0x1.7408a82cf0936p-13, -0x1.68b13510bf7ecp-13, -0x1.5db8859e8b3bfp-13, -0x1.531b1e8b57f56p-13, -0x1.48d5a38213985p-13, -0x1.3ee4d63a60506p-13, -0x1.3545959466242p-13, -0x1.2bf4dcb983298p-13, -0x1.22efc24341b72p-13, -0x1.1a337766a8c5dp-13, -0x1.11bd4725da68fp-13, -0x1.098a9585aecb8p-13, -0x1.0198dec849b15p-13, -0x1.f3cb6d5ada174p-14, -0x1.e4dd8f6ddbcbep-14, -0x1.d663a4e33978bp-14, -0x1.c85959874ead9p-14, -0x1.baba827d2f5ccp-14, -0x1.ad831cedac81p-14, -0x1.a0af4cbda422fp-14, -0x1.943b5b4bc9c7p-14, -0x1.8823b6398bb0ap-14, -0x1.7c64ee3ab2af8p-14, -0x1.70fbb5ec2e214p-14, -0x1.65e4e0b4d35dfp-14, -0x1.5b1d61ac00688p-14, -0x1.50a24a8960b5bp-14, -0x1.4670ca9be27afp-14, -0x1.3c862dc622729p-14, -0x1.32dfdb844ebdep-14, -0x1.297b55f813f43p-14, -0x1.205638faa1854p-14, -0x1.176e3936ecdb6p-14, -0x1.0ec123493d8ccp-14, -0x1.064cdae5b9436p-14, -0x1.fc1eb40a44589p-15, -0x1.ec0d602f1446ep-15, -0x1.dc62027a36ccfp-15, -0x1.cd190b091cff9p-15, -0x1.be2f105f4aa74p-15, -0x1.afa0cdfa1fafcp-15, -0x1.a16b22ee492b6p-15, -0x1.938b10945426dp-15, -0x1.85fdb939bdcecp-15, -0x1.78c05edfb24ddp-15, -0x1.6bd06202e09a7p-15, -0x1.5f2b406de4b74p-15, -0x1.52ce9412cae2p-15, -0x1.46b811f08d2b9p-15, -0x1.3ae588fff9fb1p-15, -0x1.2f54e127eafa8p-15, -0x1.24041a3fac14fp-15, -0x1.18f14b12c8effp-15, -0x1.0e1aa070d80d2p-15, -0x1.037e5c444096bp-15, -0x1.f235a962da6d2p-16, -0x1.dddce6784503cp-16, -0x1.c9ef67eaef83ap-16, -0x1.b66a4961505abp-16, -0x1.a34ac87a0b7eap-16, -0x1.908e4353defe2p-16, -0x1.7e32371f16b98p-16, -0x1.6c343eba3345fp-16, -0x1.5a92115c9c7e7p-16, -0x1.4949814fbcb52p-16, -0x1.38587aaecedcbp-16, -0x1.27bd02366c51fp-16, -0x1.1775341f4d182p-16, -0x1.077f42ff28c76p-16, -0x1.efb2ed714308cp-17, -0x1.d10456e86bb68p-17, -0x1.b2efa1451463cp-17, -0x1.9571d011918aep-17, -0x1.788809aa3863ap-17, -0x1.5c2f957cd5ab9p-17, -0x1.4065da544239p-17, -0x1.25285cb805836p-17, -0x1.0a74bd6272d6p-17, -0x1.e0916f72d1ef6p-18, -0x1.ad4440c095cf2p-18, -0x1.7afdc7ada5806p-18, -0x1.49ba0a4ddaf9bp-18, -0x1.1975393d0558bp-18, -0x1.d4575a6641f52p-19, -0x1.77b3c9621ca42p-19, -0x1.1cf903857c3e5p-19, -0x1.88411f7390152p-20, -0x1.b490cee3eddbfp-21, -0x1.7fdf01dbc7a7ep-23, 0x1.dac01ace0cd43p-22, 0x1.19c676a791656p-20, 0x1.b9523864120cp-20, 0x1.2aaedd5eb1615p-19, 0x1.76f98c565a64ep-19, 0x1.c18e0f8bfafaap-19, 0x1.0538949e73225p-18, 0x1.28d3bd0cba116p-18, 0x1.4b9ac1dfe95a3p-18, 0x1.6d8fd58ef37d6p-18, 0x1.8eb51d5ea5b6dp-18, 0x1.af0cb272c1ba7p-18, 0x1.ce98a2cdf9c33p-18, 0x1.ed5af24c63676p-18, 0x1.05aacdc5fadd1p-17, 0x1.144548641f244p-17, 0x1.227dde5015d72p-17, 0x1.305581722f9d5p-17, 0x1.3dcd20a4fc3f3p-17, 0x1.4ae5a809634c5p-17, 0x1.57a0015a3c588p-17, 0x1.63fd1437381adp-17, 0x1.6ffdc669d11p-17, 0x1.7ba2fc26b8f9ep-17, 0x1.86ed984d56547p-17, 0x1.91de7ca0a72c5p-17, 0x1.9c7689fb84c68p-17, 0x1.a6b6a07fd1ebap-17, 0x1.b09f9fc535e83p-17, 0x1.ba32670241edbp-17, 0x1.c36fd531cc8eap-17, 0x1.cc58c9371e95fp-17, 0x1.d4ee21fcf2028p-17, 0x1.dd30be90afc2fp-17, 0x1.e5217e3b2c218p-17, 0x1.ecc14099ab3eep-17, 0x1.f410e5b1686dp-17, 0x1.fb114e021b931p-17, 0x1.00e1ad49ecceep-16, 0x1.0413f6820cf1p-16, 0x1.071ff3c8f1a96p-16, 0x1.0a061692f0ffcp-16, 0x1.0cc6d0ad1c6bap-16, 0x1.0f6294408288bp-16, 0x1.11d9d3d2aea22p-16, 0x1.142d024778069p-16, 0x1.165c92e089b26p-16, 0x1.1868f93dde402p-16, 0x1.1a52a95c0cae1p-16, 0x1.1c1a179363f1dp-16, 0x1.1dbfb8942d53ap-16, 0x1.1f4401650e19p-16, 0x1.20a7675e85286p-16, 0x1.21ea60285cc06p-16, 0x1.230d61b49239ep-16, 0x1.2410e23b1c723p-16, 0x1.24f55833f7c6bp-16, 0x1.25bb3a53038e1p-16, 0x1.2662ff811ed85p-16, 0x1.26ed1ed675446p-16, 0x1.275a0f94e39cfp-16, 0x1.27aa4920f9ef5p-16, 0x1.27de42fad03cbp-16, 0x1.27f674b7e8aacp-16, 0x1.27f355fb6213bp-16, 0x1.27d55e6fcbcd1p-16, 0x1.279d05beb55e7p-16, 0x1.274ac389deb67p-16, 0x1.26df0f62ebe86p-16, 0x1.265a60c4f2557p-16, 0x1.25bd2f0bff057p-16, 0x1.2507f16d534d6p-16, 0x1.243b1ef03980fp-16, 0x1.23572e6600bf3p-16, 0x1.225c9661d3472p-16, 0x1.214bcd31c2a5p-16, 0x1.202548d670a13p-16, 0x1.1ee97efc355ecp-16, 0x1.1d98e4f30e2f5p-16, 0x1.1c33efa6ddd4bp-16, 0x1.1abb1397d2f25p-16, 0x1.192ec4d3c889bp-16, 0x1.178f76ee81e8bp-16, 0x1.15dd9cfa7a4f7p-16, 0x1.1419a9820321cp-16, 0x1.12440e802b549p-16, 0x1.105d3d59a56aap-16, 0x1.0e65a6d64f923p-16, 0x1.0c5dbb1a464ecp-16, 0x1.0a45e99fe434ap-16, 0x1.081ea13169028p-16, 0x1.05e84fe28f707p-16, 0x1.03a3630a2809bp-16, 0x1.0150473c25282p-16, 0x1.fdded08978b74p-17, 0x1.f9026243ac0fdp-17, 0x1.f40c17fc830ffp-17, 0x1.eefcc458408e8p-17, 0x1.e9d5383fcee8ep-17, 0x1.e49642d5d70edp-17, 0x1.df40b16e89deap-17, 0x1.d9d54f84c59acp-17, 0x1.d454e6b27dccbp-17, 0x1.cec03ea80a214p-17, 0x1.c9181d236c9fcp-17, 0x1.c35d45e82f33p-17, 0x1.bd907ab6f07e3p-17, 0x1.b7b27b48303cbp-17, 0x1.b1c405436308cp-17, 0x1.abc5d4395f9dap-17, 0x1.a5b8a19e0ddecp-17, 0x1.9f9d24c1e4df1p-17, 0x1.997412cc53d09p-17, 0x1.933e1eb6c809fp-17, 0x1.8cfbf946ec2b1p-17, 0x1.86ae510a3fb12p-17, 0x1.8055d2529dc5ap-17, 0x1.79f327309ef99p-17, 0x1.7386f77158cf3p-17, 0x1.6d11e898fbfc9p-17, 0x1.66949de0f4842p-17, 0x1.600fb834f519cp-17, 0x1.5983d62fa1f9ap-17, 0x1.52f19418fd621p-17, 0x1.4c598be425196p-17, 0x1.45bc552d2a77ap-17, 0x1.3f1a8537d85ffp-17, 0x1.3874aeee9a5ebp-17, 0x1.31cb62e1243a8p-17, 0x1.2b1f2f43a044p-17, 0x1.24709fef20c1p-17, 0x1.1dc03e603228ep-17, 0x1.170e91b7b8ef9p-17, 0x1.105c1eba7e3afp-17, 0x1.09a967d21ffb2p-17, 0x1.02f6ed0de0964p-17, 0x1.f88a5845f8726p-18, 0x1.eb2940dc38748p-18, 0x1.ddcb85ea9cfc1p-18, 0x1.d07214d071d4dp-18, 0x1.c31dd645cabaep-18, 0x1.b5cfae5f2c1a2p-18, 0x1.a8887c9076703p-18, 0x1.9b491bb2c896ep-18, 0x1.8e12620975ffcp-18, 0x1.80e52146724b4p-18, 0x1.73c2269091d45p-18, 0x1.66aa3a8992e41p-18, 0x1.599e215341776p-18, 0x1.4c9e9a98959fcp-18, 0x1.3fac6191e1227p-18, 0x1.32c82d0d078dep-18, 0x1.25f2af7572dc2p-18, 0x1.192c96db22a71p-18, 0x1.0c768cfa758fap-18, 0x1.ffa26e8a7c362p-19, 0x1.e67a6dd3b1114p-19, 0x1.cd7651ba52e1p-19, 0x1.b4974bc561548p-19, 0x1.9bde852c4c6bdp-19, 0x1.834d1ee6c3397p-19, 0x1.6ae431c3a040cp-19, 0x1.52a4ce799ecd3p-19, 0x1.3a8ffdba4cb57p-19, 0x1.22a6c049e7b08p-19, 0x1.0aea0f0eab89cp-19, 0x1.e6b5b64f9784p-20, 0x1.b7f41c05cdd9dp-20, 0x1.899112df2df7p-20, 0x1.5b8e4f6bf60ffp-20, 0x1.2ded77578ba31p-20, 0x1.00b0219269bfcp-20, 0x1.a7afad002da2fp-21, 0x1.4ecc2048fe02ap-21, 0x1.ed70e93753fdfp-22, 0x1.3eeecb06ee095p-22, 0x1.242e4b5470209p-23, -0x1.910fdddc56fbap-26, -0x1.85099922ece07p-23, -0x1.6a3fa8b685de9p-22, -0x1.081e948f56471p-21, -0x1.5a3c8c3652596p-21, -0x1.ab77ba33e8e51p-21, -0x1.fbce369714133p-21, -0x1.259f19217e22cp-20, -0x1.4ce2fb4599221p-20, -0x1.73b1f26f5658ap-20, -0x1.9a0b3b33c8bddp-20, -0x1.bfee1dd5f87bdp-20, -0x1.e559ee15b2ba4p-20, -0x1.05270582ae41p-19, -0x1.1764ef6e24a25p-19, -0x1.29666f6140372p-19, -0x1.3b2b45521d893p-19, -0x1.4cb33681cffbp-19, -0x1.5dfe0d65e1c8cp-19, -0x1.6f0b9990c6d44p-19, -0x1.7fdbaf9ace436p-19, -0x1.906e290c0077bp-19, -0x1.a0c2e443ca65cp-19, -0x1.b0d9c463fd829p-19, -0x1.c0b2b1372c2e8p-19, -0x1.d04d971bd0422p-19, -0x1.dfaa66f1925c3p-19, -0x1.eec915fcf31fbp-19, -0x1.fda99dd36a34bp-19, -0x1.0625fe22c7e25p-18, -0x1.0d5819a5ba465p-18, -0x1.146b24761223ep-18, -0x1.1b5f2394066c8p-18, -0x1.22341df19dfa1p-18, -0x1.28ea1c68aeeb7p-18, -0x1.2f8129af9803bp-18, -0x1.35f95250bb0cep-18, -0x1.3c52a49d6ccbp-18, -0x1.428d30a545004p-18, -0x1.48a9082b74982p-18, -0x1.4ea63e9ccba53p-18, -0x1.5484e904975b9p-18, -0x1.5a451e036ca11p-18, -0x1.5fe6f5c75c585p-18, -0x1.656a89fef0e02p-18, -0x1.6acff5d028c65p-18, -0x1.701755d06d1a8p-18, -0x1.7540c7fa8e7c3p-18, -0x1.7a4c6ba54f64bp-18, -0x1.7f3a617997af2p-18, -0x1.840acb68cb941p-18, -0x1.88bdcca536b8p-18, -0x1.8d53899823be2p-18, -0x1.91cc27d9ae938p-18, -0x1.9627ce27fed51p-18, -0x1.9a66a45da6495p-18, -0x1.9e88d36a5a9f3p-18, -0x1.a28e8549c8ed9p-18, -0x1.a677e4fb2287dp-18, -0x1.aa451e7857f77p-18, -0x1.adf65eb0048a1p-18, -0x1.b18bd37d45836p-18, -0x1.b505ab9c55cc6p-18, -0x1.b86416a6307b8p-18, -0x1.bba74508a802ep-18, -0x1.becf67fdd2735p-18, -0x1.c1dcb185ceb4dp-18, -0x1.c4cf545d618c9p-18, -0x1.c7a783f75d72dp-18, -0x1.ca657476df1f2p-18, -0x1.cd095aa77c597p-18, -0x1.cf936bf618d07p-18, -0x1.d203de6acfed4p-18, -0x1.d45ae8a158197p-18, -0x1.d698c1c321082p-18, -0x1.d8bda1807eba7p-18, -0x1.dac9c00a17f64p-18, -0x1.dcbd560a42de7p-18, -0x1.de989ca027374p-18, -0x1.e05bcd5a6393ap-18, -0x1.e207222d6caccp-18, -0x1.e39ad57059144p-18, -0x1.e51721d77d721p-18, -0x1.e67c426e0edccp-18, -0x1.e7ca7290b5ddfp-18, -0x1.e901ede834c71p-18, -0x1.ea22f06213e34p-18, -0x1.eb2db62e475a7p-18, -0x1.ec227bb8b6286p-18, -0x1.ed017da4afad3p-18, -0x1.edcaf8c75f47cp-18, -0x1.ee7f2a235af9bp-18, -0x1.ef1e4ee3af7bp-18, -0x1.efa8a45760becp-18, -0x1.f01e67ec634a3p-18, -0x1.f07fd72b520c3p-18, -0x1.f0cd2fb2ca478p-18, -0x1.f106af3441ef1p-18, -0x1.f12c93702d092p-18, -0x1.f13f1a2e2f626p-18, -0x1.f13e813cecb5p-18, -0x1.f12b066cdaccbp-18, -0x1.f104e78cb9a2ep-18, }}, 
      {{0x1.599700903ae0fp-7, 0x1.5ab6beca04681p-6, 0x1.0552f1348101ap-5, 0x1.5e934416b16eap-5, 0x1.b9368b4761c0bp-5, 0x1.0a97a7c79cf3bp-4, 0x1.3928117c2ea3ep-4, 0x1.682a065f17593p-4, 0x1.977346329795dp-4, 0x1.c6d551907b6bp-4, 0x1.f62054f38703p-4, 0x1.1292bb5490658p-3, 0x1.29dc490e076cap-3, 0x1.40d8b8d4f98cfp-3, 0x1.57764d57618ap-3, 0x1.6da5dfb912823p-3, 0x1.835af4a5eb49ep-3, 0x1.988bb5aad9432p-3, 0x1.ad30d5e384b7fp-3, 0x1.c14567ed3ced6p-3, 0x1.d4c6aa03c5d35p-3, 0x1.e7b3cc3af899cp-3, 0x1.fa0db3f3d885dp-3, 0x1.05eb5f7ac2f74p-2, 0x1.0e8943fc60396p-2, 0x1.16e2d6fab10e8p-2, 0x1.1efacf8c915fap-2, 0x1.26d433fdd7308p-2, 0x1.2e7243b109831p-2, 0x1.35d8635850032p-2, 0x1.3d0a0b81dfc87p-2, 0x1.440ab965e78dbp-2, 0x1.4adde1d9f775bp-2, 0x1.5186e6471ac63p-2, 0x1.58090b7baf74ap-2, 0x1.5e67722feb50bp-2, 0x1.64a511136a5f1p-2, 0x1.6ac4b03ab4dc7p-2, 0x1.70c8e5c50cfc2p-2, 0x1.76b41394da1a8p-2, 0x1.7c8865f755c58p-2, 0x1.8247d31ac2157p-2, 0x1.87f41b350ff63p-2, 0x1.8d8ec93fa085dp-2, 0x1.9319342f5ea24p-2, 0x1.989480930c001p-2, 0x1.9e01a283f6ce9p-2, 0x1.a3615fd79ce53p-2, 0x1.a8b45282d5308p-2, 0x1.adfaeb210c23fp-2, 0x1.b3357393d9854p-2, 0x1.b86411b0e5cbp-2, 0x1.bd86c9f56fd6fp-2, 0x1.c29d82382732cp-2, 0x1.c7a804532b841p-2, 0x1.cca600c10d50ep-2, 0x1.d19711289fd79p-2, 0x1.d67abad42f71cp-2, 0x1.db5071116ca73p-2, 0x1.e0179777f9fabp-2, 0x1.e4cf841513404p-2, 0x1.e977817b40e3ep-2, 0x1.ee0ed0b568868p-2, 0x1.f294ab1cef4afp-2, 0x1.f7084412e1f42p-2, 0x1.fb68ca9c5d523p-2, 0x1.ffb56ae2a4f1bp-2, 0x1.01f6a7cbbe5aep-1, 0x1.0407d19f4093ap-1, 0x1.060dc8ae2cc02p-1, 0x1.080823c65483bp-1, 0x1.09f67b3fe3cep-1, 0x1.0bd869709f2c2p-1, 0x1.0dad8b1413f5p-1, 0x1.0f757fa93fcbdp-1, 0x1.112fe9c63dc05p-1, 0x1.12dc6f6284774p-1, 0x1.147aba183dea4p-1, 0x1.160a775d4381bp-1, 0x1.178b58b43ebbfp-1, 0x1.18fd13d6721b3p-1, 0x1.1a5f62d6a8224p-1, 0x1.1bb2043dbd95dp-1, 0x1.1cf4bb213e6a2p-1, 0x1.1e274f3481ff5p-1, 0x1.1f498cd4b1c2cp-1, 0x1.205b45101fcfdp-1, 0x1.215c4da94be46p-1, 0x1.224c8115f33edp-1, 0x1.232bbe7a82b2p-1, 0x1.23f9e9a2381eap-1, 0x1.24b6eaf445208p-1, 0x1.2562af6637521p-1, 0x1.25fd286beac3ep-1, 0x1.26864be547be1p-1, 0x1.26fe140a04f92p-1, 0x1.27647f53a5b7fp-1, 0x1.27b99065e9dc4p-1, 0x1.27fd4df5dc60ap-1, 0x1.282fc2afb1094p-1, 0x1.2850fd1b96e6ep-1, 0x1.28610f81a8cap-1, 0x1.28600fcd1ed66p-1, 0x1.284e176edfff5p-1, 0x1.282b433f954b4p-1, 0x1.27f7b36157b6cp-1, 0x1.27b38b21146d2p-1, 0x1.275ef0d7be6cdp-1, 0x1.26fa0dcb61d37p-1, 0x1.26850e102fe7fp-1, 0x1.26002069922ep-1, 0x1.256b762b58f68p-1, 0x1.24c7431b1114cp-1, 0x1.2413bd518fabcp-1, 0x1.23511d1cc2dp-1, 0x1.227f9ce1cdcf4p-1, 0x1.219f78ff7ebf2p-1, 0x1.20b0efb125773p-1, 0x1.1fb440f1d3a7cp-1, 0x1.1ea9ae600df81p-1, 0x1.1d917b21f3e47p-1, 0x1.1c6bebc9e60d4p-1, 0x1.1b39463bad9b9p-1, 0x1.19f9d1922b53ap-1, 0x1.18add6058f36cp-1, 0x1.17559cd221b82p-1, 0x1.15f1701f99e6dp-1, 0x1.14819ae909c9cp-1, 0x1.130668e55dd83p-1, 0x1.1180267075804p-1, 0x1.0fef2074d1a64p-1, 0x1.0e53a455dcda6p-1, 0x1.0cadffdacece8p-1, 0x1.0afe811a26a68p-1, 0x1.09457665c32c5p-1, 0x1.07832e379135bp-1, 0x1.05b7f71ed77c8p-1, 0x1.03e41fae179p-1, 0x1.0207f6698b1f1p-1, 0x1.0023c9b635ea4p-1, 0x1.fc6fcf931fc3ap-2, 0x1.f8893d338451ap-2, 0x1.f494779cf8186p-2, 0x1.f0921964acf19p-2, 0x1.ec82bc49958e5p-2, 0x1.e866f91970ee4p-2, 0x1.e43f6796ee6fp-2, 0x1.e00c9e60eed9ep-2, 0x1.dbcf32dad3ec7p-2, 0x1.d787b915e1706p-2, 0x1.d336c3bbaccd9p-2, 0x1.cedce3f98f37cp-2, 0x1.ca7aa96d209ecp-2, 0x1.c610a211abfdep-2, 0x1.c19f5a2ea3316p-2, 0x1.bd275c4705926p-2, 0x1.b8a93109b9579p-2, 0x1.b4255f42cfd1fp-2, 0x1.af9c6bcdb2c16p-2, 0x1.ab0ed988357b5p-2, 0x1.a67d294681f83p-2, 0x1.a1e7d9c7e238fp-2, 0x1.9d4f67ac59422p-2, 0x1.98b44d6b1165ep-2, 0x1.9417034990775p-2, 0x1.8f77ff53b48a9p-2, 0x1.8ad7b5546dd2ep-2, 0x1.863696cf38b26p-2, 0x1.819512fa49785p-2, 0x1.7cf396b96e337p-2, 0x1.78528c9998f64p-2, 0x1.73b25ccd16124p-2, 0x1.6f136d286118p-2, 0x1.6a76211f9acefp-2, 0x1.65dad9c496e93p-2, 0x1.6141f5c57c2b3p-2, 0x1.5cabd16bf8cafp-2, 0x1.5818c69cfabf8p-2, 0x1.53892cd8f30b9p-2, 0x1.4efd593c99e45p-2, 0x1.4a759e822a08ap-2, 0x1.45f24d031c139p-2, 0x1.4173b2ba4bcdbp-2, 0x1.3cfa1b4696e04p-2, 0x1.3885cfeddb6a2p-2, 0x1.341717a064873p-2, 0x1.2fae36fcb3a4cp-2, 0x1.2b4b7053aa277p-2, 0x1.26ef03ad0a252p-2, 0x1.22992ecc4d533p-2, 0x1.1e4a2d35cdc22p-2, 0x1.1a02383438ed2p-2, 0x1.15c186de4f502p-2, 0x1.11884e1ce666fp-2, 0x1.0d56c0b12d15ap-2, 0x1.092d0f3b2ef53p-2, 0x1.050b684090cccp-2, 0x1.00f1f83382b31p-2, 0x1.f9c1d2f3cc2aap-3, 0x1.f1b0c8e94bc3p-3, 0x1.e9b11f0e6c8b5p-3, 0x1.e1c31e3e8377cp-3, 0x1.d9e70b78f44dbp-3, 0x1.d21d27f11bfd4p-3, 0x1.ca65b11e76cb6p-3, 0x1.c2c0e0cd06b1cp-3, 0x1.bb2eed2de69afp-3, 0x1.b3b008e815ea8p-3, 0x1.ac44632962cd9p-3, 0x1.a4ec27b7832adp-3, 0x1.9da77f01438f5p-3, 0x1.96768e2fd6a77p-3, 0x1.8f5977383b96p-3, 0x1.885058ecaa747p-3, 0x1.815b4f0e1cf7dp-3, 0x1.7a7a725dd554p-3, 0x1.73add8aee7c27p-3, 0x1.6cf594f7ce96dp-3, 0x1.6651b763ee7ebp-3, 0x1.5fc24d651f26dp-3, 0x1.594761c51c20dp-3, 0x1.52e0fcb6f4e79p-3, 0x1.4c8f23e863617p-3, 0x1.4651da930c64cp-3, 0x1.4029218db229fp-3, 0x1.3a14f75d40094p-3, 0x1.34155845c1fd7p-3, 0x1.2e2a3e5b38f75p-3, 0x1.2853a1924ea5dp-3, 0x1.229177d0e0c77p-3, 0x1.1ce3b4fe6b0f1p-3, 0x1.174a4b14442c9p-3, 0x1.11c52a2db4218p-3, 0x1.0c544097d7913p-3, 0x1.06f77ae157f77p-3, 0x1.01aec3e9f8c4dp-3, 0x1.f8f409e3d318ap-4, 0x1.eeb24b51d162ap-4, 0x1.e498187a6d2acp-4, 0x1.daa53ad499ecdp-4, 0x1.d0d9790ebdc3fp-4, 0x1.c734972b4b48fp-4, 0x1.bdb6569ce5924p-4, 0x1.b45e76620c93ap-4, 0x1.ab2cb32057243p-4, 0x1.a220c73f38e8ep-4, 0x1.993a6b024b2a6p-4, 0x1.907954a32621fp-4, 0x1.87dd386ab249bp-4, 0x1.7f65c8ca0ad8p-4, 0x1.7712b672e0561p-4, 0x1.6ee3b06f5d13p-4, 0x1.66d864399332bp-4, 0x1.5ef07dd267249p-4, 0x1.572ba7d803022p-4, 0x1.4f898b9bc89f1p-4, 0x1.4809d137cb457p-4, 0x1.40ac1fa3c6e8dp-4, 0x1.39701cc9a17b6p-4, 0x1.32556d996a6e6p-4, 0x1.2b5bb61ce3196p-4, 0x1.2482998a89b2bp-4, 0x1.1dc9ba58286e9p-4, 0x1.1730ba4ceec05p-4, 0x1.10b73a930ffcep-4, 0x1.0a5cdbc8e8418p-4, 0x1.04213e11ab7bp-4, 0x1.fc08024b404a7p-5, 0x1.f00988c3c3c55p-5, 0x1.e4464daf6482fp-5, 0x1.d8bd8eb6a8adbp-5, 0x1.cd6e8924f473ap-5, 0x1.c2587a0481b15p-5, 0x1.b77a9e39739e3p-5, 0x1.acd4329c19d41p-5, 0x1.a264741250c0cp-5, 0x1.982a9fa817138p-5, 0x1.8e25f2a7468f8p-5, 0x1.8455aaae83f7bp-5, 0x1.7ab905c75f638p-5, 0x1.714f427bacbb3p-5, 0x1.68179fea1400cp-5, 0x1.5f115dd9e502ap-5, 0x1.563bbcce1d3a3p-5, 0x1.4d95fe17c6e3fp-5, 0x1.451f63e783947p-5, 0x1.3cd7315e7dbfcp-5, 0x1.34bcaa9e92684p-5, 0x1.2ccf14d9d5c94p-5, 0x1.250db6616761fp-5, 0x1.1d77d6b3a2649p-5, 0x1.160cbe89a7055p-5, 0x1.0ecbb7e441968p-5, 0x1.07b40e1835122p-5, 0x1.00c50dd9e7a99p-5, 0x1.f3fc0a90f9edfp-6, 0x1.e6bc87f0b3e46p-6, 0x1.d9ca35fa32b04p-6, 0x1.cd23b9e5d94c6p-6, 0x1.c0c7bc0ef9521p-6, 0x1.b4b4e8047e22bp-6, 0x1.a8e9ec9892ff2p-6, 0x1.9d657bef4793p-6, 0x1.92264b8c33a6cp-6, 0x1.872b145f437e9p-6, 0x1.7c7292d06cdb2p-6, 0x1.71fb86caaa351p-6, 0x1.67c4b3c5f9587p-6, 0x1.5dcce0d0857cep-6, 0x1.5412d897054bbp-6, 0x1.4a95696c45cb1p-6, 0x1.4153654ff0f51p-6, 0x1.384ba1f491628p-6, 0x1.2f7cf8c4d8ab5p-6, 0x1.26e646e832565p-6, 0x1.1e866d46a2a3ap-6, 0x1.165c508bfe918p-6, 0x1.0e66d92a87a8ep-6, 0x1.06a4f35cd4596p-6, 0x1.fe2b1e4e54602p-7, 0x1.ef6f40b082ef1p-7, 0x1.e1143d12f12ccp-7, 0x1.d3180a3d06454p-7, 0x1.c578a689078d8p-7, 0x1.b83417e16f57bp-7, 0x1.ab486bbd2345p-7, 0x1.9eb3b71ae6f73p-7, 0x1.9274167bc62bep-7, 0x1.8687addcbb381p-7, 0x1.7aeca8af7b5efp-7, 0x1.6fa139d266332p-7, 0x1.64a39b87c674fp-7, 0x1.59f20f6c646c3p-7, 0x1.4f8ade6d387cbp-7, 0x1.456c58bcb0a84p-7, 0x1.3b94d5c730c04p-7, 0x1.3202b426e57c1p-7, 0x1.28b459973da0ap-7, 0x1.1fa832e79c27dp-7, 0x1.16dcb3edb1e13p-7, 0x1.0e5057774154bp-7, 0x1.06019f3b7f002p-7, 0x1.fbde2797d53cp-8, 0x1.ec2e89098bcefp-8, 0x1.dcf18efa6af9fp-8, 0x1.ce2472edf7d43p-8, 0x1.bfc47b9b9cf8cp-8, 0x1.b1cefccd0fce6p-8, 0x1.a441573b7f9ffp-8, 0x1.9718f86ccdfe6p-8, 0x1.8a535a9000b27p-8, 0x1.7dee04592b726p-8, 0x1.71e688dd1bf2ep-8, 0x1.663a876c74bacp-8, 0x1.5ae7ab6e99cc7p-8, 0x1.4febac3c0c5adp-8, 0x1.45444cf8b4c13p-8, 0x1.3aef5c6dc64fbp-8, 0x1.30eab4e39593bp-8, 0x1.27343bfb03ab3p-8, 0x1.1dc9e286fa7b6p-8, 0x1.14a9a46596261p-8, 0x1.0bd188593f944p-8, 0x1.033f9fe1d3ab7p-8, 0x1.f5e40e2b1adc5p-9, 0x1.e5cdc8f41f462p-9, 0x1.d638d1bac0d25p-9, 0x1.c7219e5d9b6ecp-9, 0x1.b884b8b010ee3p-9, 0x1.aa5ebe2c91d19p-9, 0x1.9cac5fa6c95b8p-9, 0x1.8f6a60fe3498fp-9, 0x1.829598d10209ap-9, 0x1.762af02f40a81p-9, 0x1.6a27624e1ac45p-9, 0x1.5e87fc3bbb71ap-9, 0x1.5349dc934717bp-9, 0x1.486a333182882p-9, 0x1.3de640e9fafddp-9, 0x1.33bb573c21ba1p-9, 0x1.29e6d8097d2a8p-9, 0x1.2066354c05677p-9, 0x1.1736f0cd45bb7p-9, 0x1.0e569bddca294p-9, 0x1.05c2d70d4f2acp-9, 0x1.faf2a3c7205e3p-10, 0x1.eaef953321a65p-10, 0x1.db781ba7acf47p-10, 0x1.cc87ecb9a2621p-10, 0x1.be1ad9c0e37bdp-10, 0x1.b02ccf5010a07p-10, 0x1.a2b9d4ae3fe68p-10, 0x1.95be0b519ad17p-10, 0x1.8935ae5c18758p-10, 0x1.7d1d1218ee00bp-10, 0x1.7170a37c34776p-10, 0x1.662ce7a37d222p-10, 0x1.5b4e7b583a5abp-10, 0x1.50d21293b80bap-10, 0x1.46b478044aeeap-10, 0x1.3cf28c94b98p-10, 0x1.338946f43e115p-10, 0x1.2a75b32118224p-10, 0x1.21b4f1f44154bp-10, 0x1.194438ae9caefp-10, 0x1.1120d087ecba1p-10, 0x1.0948163f6c771p-10, 0x1.01b779adc4ad6p-10, 0x1.f4d8fab27857ep-11, 0x1.e6c96c1512888p-11, 0x1.d93b94c85b2f2p-11, 0x1.cc2ae4f5a27d5p-11, 0x1.bf92eedf30126p-11, 0x1.b36f66178a7c6p-11, 0x1.a7bc1ebca7e01p-11, 0x1.9c750cb55a953p-11, 0x1.919642f279337p-11, 0x1.871bf2b3b947dp-11, 0x1.7d026ace8811ap-11, 0x1.734616f8828aap-11, 0x1.69e37f15c131p-11, 0x1.60d74688c5139p-11, 0x1.581e2b86cd77fp-11, 0x1.4fb5066eefe4ep-11, 0x1.4798c9234a5a2p-11, 0x1.3fc67e6652068p-11, 0x1.383b493aa1ba5p-11, 0x1.30f46446094aap-11, 0x1.29ef2136fcb74p-11, 0x1.2328e82d8a499p-11, 0x1.1c9f3726cffc5p-11, 0x1.164fa16b18422p-11, 0x1.1037ceffd7635p-11, 0x1.0a557c1b1c683p-11, 0x1.04a6789a4ca29p-11, 0x1.fe514ef81755cp-12, 0x1.f3b3fcb830c61p-12, 0x1.e97109e542d29p-12, 0x1.df84a92af2592p-12, 0x1.d5eb2f7922805p-12, 0x1.cca113101f06p-12, 0x1.c3a2ea94b9485p-12, 0x1.baed6c272dc65p-12, 0x1.b27d6c7fcc8ecp-12, 0x1.aa4fde0fe881fp-12, 0x1.a261d028b6fep-12, 0x1.9ab06e25f1f69p-12, 0x1.9338fe9db32a4p-12, 0x1.8bf8e2957a816p-12, 0x1.84ed94b9c2cb9p-12, 0x1.7e14a89c5d46dp-12, 0x1.776bc9f5353e3p-12, 0x1.70f0bbe9fa6cp-12, 0x1.6aa1585799e09p-12, 0x1.647b8f20cc735p-12, 0x1.5e7d658183cdp-12, 0x1.58a4f564e884bp-12, 0x1.52f06cc0d4027p-12, 0x1.4d5e0cf5ae7bap-12, 0x1.47ec2a2f47c86p-12, 0x1.42992accaf4e6p-12, 0x1.3d6386c9e4cc2p-12, 0x1.3849c72e2a0ap-12, 0x1.334a857dc1652p-12, 0x1.2e646b2f0e64fp-12, 0x1.29963123232abp-12, 0x1.24de9f21f293p-12, 0x1.203c8b59a5553p-12, 0x1.1baed9e1b5286p-12, 0x1.17347c410fe0dp-12, 0x1.12cc70f70138bp-12, 0x1.0e75c30765ddfp-12, 0x1.0a2f898a82bf4p-12, 0x1.05f8e73f30a02p-12, 0x1.01d10a1fd7cc8p-12, 0x1.fb6e55f8187dcp-13, 0x1.f3551a24164e6p-13, 0x1.eb54fb5ac397ep-13, 0x1.e36ca78e0353bp-13, 0x1.db9adf51bd667p-13, 0x1.d3de7527849edp-13, 0x1.cc364ccef4931p-13, 0x1.c4a15a9b6160ap-13, 0x1.bd1ea2ce5067dp-13, 0x1.b5ad38f67a0d5p-13, 0x1.ae4c3f5469effp-13, 0x1.a6fae644126dcp-13, 0x1.9fb86ba773c85p-13, 0x1.98841a59fd11ep-13, 0x1.915d49a4c8e16p-13, 0x1.8a435cb9d8a7ap-13, 0x1.8335c230dff05p-13, 0x1.7c33f38a40e6fp-13, 0x1.753d74b45c3cap-13, 0x1.6e51d395139c6p-13, 0x1.6770a796cf0acp-13, 0x1.60999139a91eep-13, 0x1.59cc39a8bd946p-13, 0x1.53085251c06dfp-13, 0x1.4c4d947f74fbap-13, 0x1.459bc0f93e061p-13, 0x1.3ef29fa48b5a8p-13, 0x1.3851ff299d39ep-13, 0x1.31b9b49be04fep-13, 0x1.2b299b2528a7ep-13, 0x1.24a193b378c04p-13, 0x1.1e2184a8f1a85p-13, 0x1.17a9598f7de27p-13, 0x1.113902cf9a4eep-13, 0x1.0ad07568c83b1p-13, 0x1.046faaad00a7bp-13, 0x1.fc2d3ffc04793p-14, 0x1.ef8aad1c294a5p-14, 0x1.e2f7a6436fd39p-14, 0x1.d6743baa93fe7p-14, 0x1.ca0083c685832p-14, 0x1.bd9c9adcd8e65p-14, 0x1.b148a29973b7ap-14, 0x1.a504c1a7413bfp-14, 0x1.98d1235185ac8p-14, 0x1.8cadf724c27ecp-14, 0x1.809b709536f59p-14, 0x1.7499c6a97f428p-14, 0x1.68a933a73b5e3p-14, 0x1.5cc9f4c46460bp-14, 0x1.50fc49da7b725p-14, 0x1.4540751e8fc4ap-14, 0x1.3996badaec6c9p-14, 0x1.2dff612e62e23p-14, 0x1.227aafcb84bfbp-14, 0x1.1708efbc059cdp-14, 0x1.0baa6b276b692p-14, 0x1.005f6d1ae7a73p-14, 0x1.ea5082abb54c4p-15, 0x1.d40a682ccef7ep-15, 0x1.bded23d697acdp-15, 0x1.a7f94f0d807eep-15, 0x1.922f83238b184p-15, 0x1.7c90590982f77p-15, 0x1.671c68ffa9714p-15, 0x1.51d44a4d3292fp-15, 0x1.3cb892fcd7bc8p-15, 0x1.27c9d79a046f6p-15, 0x1.1308aaf44664cp-15, 0x1.fceb3bc8288d2p-16, 0x1.d4227e2a683c5p-16, 0x1.abb835a49b0bp-16, 0x1.83ad75aea3877p-16, 0x1.5c034c44758bp-16, 0x1.34bac19997db4p-16, 0x1.0dd4d7c471504p-16, 0x1.cea514f2bc7edp-17, 0x1.82699d8caa982p-17, 0x1.36f925aa32b6ep-17, 0x1.d8aaf6d648b6bp-18, 0x1.4500bca1bd994p-18, 0x1.65edfb8869cecp-19, 0x1.1487e5064ce5p-21, -0x1.b0b88e6e60e6dp-20, -0x1.f286bf26e881fp-19, -0x1.84abd42a65cefp-18, -0x1.07325f7a2cf3cp-17, -0x1.4b35bf4229b6fp-17, -0x1.8e5ec96401c69p-17, -0x1.d0ac4ea27da9dp-17, -0x1.090e985672bc7p-16, -0x1.29583114a19c1p-16, -0x1.493273662a3f3p-16, -0x1.689ce9acd73e6p-16, -0x1.879726d90260bp-16, -0x1.a620c66317ae2p-16, -0x1.c4396c4cccb9bp-16, -0x1.e1e0c51a9f613p-16, -0x1.ff1685cdb96e3p-16, -0x1.0ded35ece1da4p-15, -0x1.1c161e8cd634dp-15, -0x1.2a05e3e0bef6dp-15, -0x1.37bc7127eb96dp-15, -0x1.4539b5bffbdf9p-15, -0x1.527da51948f73p-15, -0x1.5f8836afcd855p-15, -0x1.6c5965ff21336p-15, -0x1.78f13277619aap-15, -0x1.854f9f72b3f5dp-15, -0x1.9174b4267dbeep-15, -0x1.9d607b990ac3cp-15, -0x1.a91304924695ap-15, -0x1.b48c618ff1528p-15, -0x1.bfcca8b5e28b4p-15, -0x1.cad3f3c095fe3p-15, -0x1.d5a25ff466c24p-15, -0x1.e0380e108c0ddp-15, -0x1.ea95223d0ab86p-15, -0x1.f4b9c3fcbe171p-15, -0x1.fea61e1c16db6p-15, -0x1.042d2f5061b4ap-14, -0x1.08eb5b5d2a8c8p-14, -0x1.0d8dad57f3ee7p-14, -0x1.121440e7cfdbdp-14, -0x1.167f332f17f62p-14, -0x1.1acea2c2577a7p-14, -0x1.1f02afa00d68ap-14, -0x1.231b7b27ed80ep-14, -0x1.271928124d07ap-14, -0x1.2afbda670f465p-14, -0x1.2ec3b7756164ap-14, -0x1.3270e5ca5916fp-14, -0x1.36038d28d7eabp-14, -0x1.397bd68079c2ep-14, -0x1.3cd9ebe4d011bp-14, -0x1.401df8850f483p-14, -0x1.434828a348717p-14, -0x1.4658a98b8a7b4p-14, -0x1.494fa98bc7ac7p-14, -0x1.4c2d57eae0c59p-14, -0x1.4ef1e4e041afbp-14, -0x1.519d818bcc5a7p-14, -0x1.54305fed38875p-14, -0x1.56aab2dbcc64ep-14, -0x1.590cadfe87bc4p-14, -0x1.5b5685c39d514p-14, -0x1.5d886f585d63dp-14, -0x1.5fa2a0a1b2a6ap-14, -0x1.61a55033bc0c2p-14, -0x1.6390b54a3a111p-14, -0x1.656507c11005bp-14, -0x1.6722800c57a1ep-14, -0x1.68c95730ea3bbp-14, -0x1.6a59c6bd781fep-14, -0x1.6bd408c2893c2p-14, -0x1.6d3857cb9ac55p-14, -0x1.6e86eed7fe8a3p-14, -0x1.6fc00953e3e2bp-14, -0x1.70e3e3115ca87p-14, -0x1.71f2b841cc1c6p-14, -0x1.72ecc56f062cbp-14, -0x1.73d24774aae54p-14, -0x1.74a37b7a357b9p-14, -0x1.75609eec06803p-14, -0x1.7609ef7553928p-14, -0x1.769faafa6fe2ap-14, -0x1.77220f9271acep-14, -0x1.77915b810209ap-14, -0x1.77edcd31855bbp-14, -0x1.7837a330bf2b8p-14, -0x1.786f1c274a395p-14, -0x1.789476d47efbap-14, -0x1.78a7f208e339dp-14, -0x1.78a9cca0de48p-14, -0x1.789a4580135bdp-14, -0x1.78799b8c2b94ep-14, -0x1.78480da7a9356p-14, -0x1.7805daadbe70fp-14, -0x1.77b3416d48a39p-14, -0x1.775080a449173p-14, -0x1.76ddd6fb976f7p-14, -0x1.765b8302c514bp-14, -0x1.75c9c32b663cep-14, -0x1.7528d5c5474e5p-14, -0x1.7478f8faa2cc1p-14, -0x1.73ba6acbfefd6p-14, -0x1.72ed690c86711p-14, -0x1.7212315e2d855p-14, -0x1.7129012e6fcc8p-14, -0x1.703215b241574p-14, -0x1.6f2dabe384becp-14, -0x1.6e1c007d50bddp-14, -0x1.6cfd4ff89bedep-14, -0x1.6bd1d6898cceap-14, -0x1.6a99d01c57f42p-14, -0x1.695578524747p-14, -0x1.68050a7f0a68ap-14, -0x1.66a8c1a6177bbp-14, -0x1.6540d8780008cp-14, -0x1.63cd894f98da6p-14, -0x1.624f0e3037445p-14, -0x1.60c5a0c2e796fp-14, -0x1.5f317a5441326p-14, -0x1.5d92d3d25bbf8p-14, -0x1.5be9e5ca7d12ap-14, -0x1.5a36e867449d4p-14, -0x1.587a136e9df39p-14, -0x1.56b39e4044835p-14, -0x1.54e3bfd39e52p-14, -0x1.530aaeb606f4ep-14, -0x1.5128a10997eb3p-14, -0x1.4f3dcc83468d4p-14, -0x1.4d4a666969ed1p-14, -0x1.4b4ea3928d18ep-14, -0x1.494ab86408703p-14, -0x1.473ed8d0ade3ap-14, -0x1.452b38578b008p-14, -0x1.43100a02eb1e4p-14, -0x1.40ed806762033p-14, -0x1.3ec3cda27a1f8p-14, -0x1.3c93235a2cb9p-14, -0x1.3a5bb2bb85572p-14, -0x1.381dac7a401f9p-14, -0x1.35d940cfb3559p-14, -0x1.338e9f7a5732p-14, -0x1.313df7bd400a9p-14, -0x1.2ee7785f207fp-14, -0x1.2c8b4faa0f49ap-14, -0x1.2a29ab6af2fcep-14, -0x1.27c2b8f10d198p-14, -0x1.2556a50d8dca7p-14, -0x1.22e59c13714e8p-14, -0x1.206fc9d6f966bp-14, -0x1.1df559ad9af6ap-14, -0x1.1b76766d96f99p-14, -0x1.18f34a6e197e7p-14, -0x1.166bff86e9ac2p-14, -0x1.13e0bf106d5bcp-14, -0x1.1151b1e398299p-14, -0x1.0ebf0059e6c6p-14, -0x1.0c28d24d7a296p-14, -0x1.098f4f191e0ffp-14, -0x1.06f29d9871debp-14, -0x1.0452e4282781cp-14, -0x1.01b048a613a35p-14, -0x1.fe15e0e2f193dp-15, -0x1.f8c600d65eadcp-15, -0x1.f37139ec2a6ccp-15, -0x1.ee17d3ee54ac1p-15, -0x1.e8ba15ac504a9p-15, -0x1.e35844fb618fbp-15, -0x1.ddf2a6b7bec2cp-15, -0x1.d8897ec50b06ep-15, -0x1.d31d100f72fb2p-15, -0x1.cdad9c8ce68abp-15, -0x1.c83b653db0f71p-15, -0x1.c2c6aa2d9296ep-15, -0x1.bd4faa7522476p-15, -0x1.b7d6a43aad297p-15, -0x1.b25bd4b36883fp-15, -0x1.acdf7824c7adbp-15, -0x1.a761c9e5c8f54p-15, -0x1.a1e3046052071p-15, -0x1.9c6361125c0c1p-15, -0x1.96e3188f506cp-15, -0x1.91626281b4d31p-15, -0x1.8be175ac1f782p-15, -0x1.866087eb1bb38p-15, -0x1.80dfce366768ap-15, -0x1.7b5f7ca2c427cp-15, -0x1.75dfc66356d21p-15, -0x1.7060ddcb34475p-15, -0x1.6ae2f44ee6ddep-15, -0x1.65663a86666e6p-15, -0x1.5feae02e54a85p-15, }}, 
      {{0x1.1b7bd4a92ab4ep-1, 0x1.1b95c393d0f6dp-1, 0x1.1bc54e625acf9p-1, 0x1.1c0db39acd3a5p-1, 0x1.1c70b41f9acdp-1, 0x1.1cee4b6f395b4p-1, 0x1.1d84ce785f7ddp-1, 0x1.1e313a8972b9cp-1, 0x1.1eef94a6ec56cp-1, 0x1.1fbb479dcb53p-1, 0x1.208f77bb0be1p-1, 0x1.21674839e19c7p-1, 0x1.223e117ee30d6p-1, 0x1.230f88e495142p-1, 0x1.23d7dbb822a7ap-1, 0x1.2493bf5e6083ep-1, 0x1.254078a63fb4bp-1, 0x1.25dbdc2fda63p-1, 0x1.2664499b67476p-1, 0x1.26d8a2f691412p-1, 0x1.273841a0ca67cp-1, 0x1.2782e9a4b537dp-1, 0x1.27b8bc4fff278p-1, 0x1.27da2aa5082dbp-1, 0x1.27e7e81a9c8bdp-1, 0x1.27e2ddfd8896cp-1, 0x1.27cc1fad53147p-1, 0x1.27a4dfd83c31ap-1, 0x1.276e66ca030b1p-1, 0x1.272a09d431c7fp-1, 0x1.26d923cd27599p-1, 0x1.267d0e9c2280cp-1, 0x1.26171dc3bfda2p-1, 0x1.25a899d93964fp-1, 0x1.2532bcd4d3487p-1, 0x1.24b6af2714e26p-1, 0x1.2435857e4601ep-1, 0x1.23b03f2829bafp-1, 0x1.2327c4fcbd2fdp-1, 0x1.229ce8bfe32b5p-1, 0x1.221064e9255d4p-1, 0x1.2182dcc2113d6p-1, 0x1.20f4dccd1b498p-1, 0x1.2066db6852476p-1, 0x1.1fd939a07ff6bp-1, 0x1.1f4c442a9f56ep-1, 0x1.1ec0347abfe6bp-1, 0x1.1e3531f087d52p-1, 0x1.1dab5312955cdp-1, 0x1.1d229ed2e2e6bp-1, 0x1.1c9b0dd7391c6p-1, 0x1.1c148bc17029dp-1, 0x1.1b8ef873fbacbp-1, 0x1.1b0a294fd099p-1, 0x1.1a85ea6945ebbp-1, 0x1.1a01ffb203971p-1, 0x1.197e261685dd6p-1, 0x1.18fa148e0ff95p-1, 0x1.18757d1c403f5p-1, 0x1.17f00dc3bb2fp-1, 0x1.176971699c86ep-1, 0x1.16e150a99316dp-1, 0x1.1657529ab5637p-1, 0x1.15cb1d853df1ep-1, 0x1.153c578981798p-1, 0x1.14aaa7388261bp-1, 0x1.1415b41e9c4p-1, 0x1.137d2740cecbdp-1, 0x1.12e0ab8d3c473p-1, 0x1.123fee3f75123p-1, 0x1.119a9f39327a4p-1, 0x1.10f0715022671p-1, 0x1.10411a916a936p-1, 0x1.0f8c547b844bp-1, 0x1.0ed1dc2f15297p-1, 0x1.0e11729760c37p-1, 0x1.0d4adc8af0adap-1, 0x1.0c7de2e5058dbp-1, 0x1.0baa5298648bap-1, 0x1.0acffcbc0898ap-1, 0x1.09eeb6923f396p-1, 0x1.0906598aaca2bp-1, 0x1.0816c33faf008p-1, 0x1.071fd56f94216p-1, 0x1.062175f209c46p-1, 0x1.051b8eaa2dadep-1, 0x1.040e0d759dd7ep-1, 0x1.02f8e418dc4b2p-1, 0x1.01dc08295d471p-1, 0x1.00b772f588f1dp-1, 0x1.ff1642d5f244fp-2, 0x1.fcae27f66766p-2, 0x1.fa369cfe3ddadp-2, 0x1.f7afb032ce8b1p-2, 0x1.f519763012c87p-2, 0x1.f27409aa6077fp-2, 0x1.efbf8b2f232ecp-2, 0x1.ecfc20e4e08dcp-2, 0x1.ea29f64acf194p-2, 0x1.e7493bf840351p-2, 0x1.e45a275c18a3cp-2, 0x1.e15cf27c8779dp-2, 0x1.de51dbb7327e7p-2, 0x1.db392581f9666p-2, 0x1.d813162c7d362p-2, 0x1.d4dff7a2854dbp-2, 0x1.d1a0172f662d7p-2, 0x1.ce53c5427f827p-2, 0x1.cafb5534e9389p-2, 0x1.c7971d1060ba6p-2, 0x1.c42775578a9a2p-2, 0x1.c0acb8cf916e3p-2, 0x1.bd27444b32995p-2, 0x1.b99776773d637p-2, 0x1.b5fdafa88d2e7p-2, 0x1.b25a51ab88755p-2, 0x1.aeadbf9521f1p-2, 0x1.aaf85d9562ec5p-2, 0x1.a73a90cb7e576p-2, 0x1.a374bf1b6b47bp-2, 0x1.9fa74f050c9d1p-2, 0x1.9bd2a77cd8295p-2, 0x1.97f72fc606963p-2, 0x1.94154f4e409b8p-2, 0x1.902d6d8ac7c1ep-2, 0x1.8c3ff1d719d1fp-2, 0x1.884d4354fea96p-2, 0x1.8455c8ce0be58p-2, 0x1.8059e8968551bp-2, 0x1.7c5a0871a2e5bp-2, 0x1.78568d772f217p-2, 0x1.744fdbfa72c8dp-2, 0x1.7046577272d43p-2, 0x1.6c3a62636a99fp-2, 0x1.682c5e4988581p-2, 0x1.641cab84da162p-2, 0x1.600ba946698dbp-2, 0x1.5bf9b57e7c8b4p-2, 0x1.57e72ccbf4801p-2, 0x1.53d46a6cc2b7ap-2, 0x1.4fc1c82f69b5ap-2, 0x1.4baf9e6588a96p-2, 0x1.479e43d762725p-2, 0x1.438e0db85d92dp-2, 0x1.3f7f4f9c73d3fp-2, 0x1.3b725b6e89b1p-2, 0x1.37678167a7d19p-2, 0x1.335f10070a42ap-2, 0x1.2f59540b08f3p-2, 0x1.2b56986ac3761p-2, 0x1.2757265096343p-2, 0x1.235b45154a15ap-2, 0x1.1f633a3bfc74cp-2, 0x1.1b6f496eb3773p-2, 0x1.177fb47b9c9b9p-2, 0x1.1394bb52f0343p-2, 0x1.0fae9c056bbcdp-2, 0x1.0bcd92c364cc3p-2, 0x1.07f1d9dc6b666p-2, 0x1.041ba9bf7517p-2, 0x1.004b38fb8958p-2, 0x1.f9017881df6efp-3, 0x1.f178ccc5a34f3p-3, 0x1.e9fcd0b2a37a5p-3, 0x1.e28de28818f5bp-3, 0x1.db2c5cda08dap-3, 0x1.d3d89697d9a7dp-3, 0x1.cc92e313a77ccp-3, 0x1.c55b920a49155p-3, 0x1.be32efabf7898p-3, 0x1.b71944a5961fap-3, 0x1.b00ed62a8ec74p-3, 0x1.a913e5ff3a6efp-3, 0x1.a228b283c6426p-3, 0x1.9b4d76bf9b166p-3, 0x1.94826a6d31069p-3, 0x1.8dc7c2064f442p-3, 0x1.871daed0abc4dp-3, 0x1.80845eeae9f19p-3, 0x1.79fbfd59e419fp-3, 0x1.7384b2164e9f2p-3, 0x1.6d1ea21a92898p-3, 0x1.66c9ef70ed9bep-3, 0x1.6086b941ce369p-3, 0x1.5a551be2550cfp-3, 0x1.543530e3154fap-3, 0x1.4e270f1ee82f8p-3, 0x1.482acac9ee1f5p-3, 0x1.42407580a8b53p-3, 0x1.3c681e5726249p-3, 0x1.36a1d1e84558bp-3, 0x1.30ed9a6500378p-3, 0x1.2b4b7fa3c072ep-3, 0x1.25bb872fbd257p-3, 0x1.203db4584c1eep-3, 0x1.1ad208403bfc1p-3, 0x1.157881ed1ae54p-3, 0x1.10311e5678e6bp-3, 0x1.0afbd87516ee6p-3, 0x1.05d8a95203522p-3, 0x1.00c78815a0576p-3, 0x1.f790d42d2b3e1p-4, 0x1.edb685d1393f1p-4, 0x1.e40008d6738a9p-4, 0x1.da6d3db096b3dp-4, 0x1.d0fe01a4f508p-4, 0x1.c7b22ee705de2p-4, 0x1.be899cb4a9415p-4, 0x1.b5841f721aafp-4, 0x1.aca188c58313p-4, 0x1.a3e1a7b234901p-4, 0x1.9b4448b39014cp-4, 0x1.92c935d778971p-4, 0x1.8a7036d87454fp-4, 0x1.823911375ada9p-4, 0x1.7a2388549eeefp-4, 0x1.722f5d892fd44p-4, 0x1.6a5c503ee77a6p-4, 0x1.62aa1e08916dcp-4, 0x1.5b1882b97b8d6p-4, 0x1.53a7387c98fb2p-4, 0x1.4c55f7eb311c9p-4, 0x1.452478231b62p-4, 0x1.3e126edc85e2bp-4, 0x1.371f907f48653p-4, 0x1.304b9037bff3cp-4, 0x1.2996200b3546ep-4, 0x1.22fef0ebce603p-4, 0x1.1c85b2cc052cbp-4, 0x1.162a14b1ae719p-4, 0x1.0febc4c883a46p-4, 0x1.09ca70743c2bep-4, 0x1.03c5c4622e1f7p-4, 0x1.fbbad934f3051p-5, 0x1.f022292183013p-5, 0x1.e4c0ce68dd1f4p-5, 0x1.d9961e00fd816p-5, 0x1.cea16c15c8d5cp-5, 0x1.c3e20c26e3ebep-5, 0x1.b9575124ab29fp-5, 0x1.af008d8c4cb2cp-5, 0x1.a4dd1382fff57p-5, 0x1.9aec34f06c3e7p-5, 0x1.912d43983144dp-5, 0x1.879f91329755ap-5, 0x1.7e426f847589bp-5, 0x1.75153076431dep-5, 0x1.6c17262a57ccep-5, 0x1.6347a3126cc16p-5, 0x1.5aa5fa044c89cp-5, 0x1.52317e4dc566fp-5, 0x1.49e983c7d30e3p-5, 0x1.41cd5ee918d8fp-5, 0x1.39dc64d791a55p-5, 0x1.3215eb7994037p-5, 0x1.2a7949861b8e8p-5, 0x1.2305d6946a71bp-5, 0x1.1bbaeb2af28fp-5, 0x1.1497e0cd9ee9dp-5, 0x1.0d9c120b72c65p-5, 0x1.06c6da8b86efep-5, 0x1.001797196742dp-5, 0x1.f31b4b61a52bbp-6, 0x1.e650cb11d1f39p-6, 0x1.d9ce6e3d7cea8p-6, 0x1.cd92f87eb8e1ep-6, 0x1.c19d302275f3ap-6, 0x1.b5ebde3a59d8cp-6, 0x1.aa7dcead7e12ap-6, 0x1.9f51d04839e5ep-6, 0x1.9466b4cade1e5p-6, 0x1.89bb50f781917p-6, 0x1.7f4e7c9eccc91p-6, 0x1.751f12abe803ep-6, 0x1.6b2bf12f77d93p-6, 0x1.6173f969bd9b3p-6, 0x1.57f60fd3e3362p-6, 0x1.4eb11c286f06dp-6, 0x1.45a4096aec53ep-6, 0x1.3ccdc5eecd567p-6, 0x1.342d435d8b0abp-6, 0x1.2bc176bc14609p-6, 0x1.2389586f7f6dcp-6, 0x1.1b83e44105122p-6, 0x1.13b019616d0fp-6, 0x1.0c0cfa6bbcd3cp-6, 0x1.04998d67598d9p-6, 0x1.faa9b7931bfe1p-7, 0x1.ec7be4ece9a8cp-7, 0x1.dea7c382cb6bp-7, 0x1.d12b7ad9a2c5ap-7, 0x1.c405395337464p-7, 0x1.b733342be49e2p-7, 0x1.aab3a7777e0ebp-7, 0x1.9e84d61d0bb2cp-7, 0x1.92a509d1e04cep-7, 0x1.87129313d220ep-7, 0x1.7bcbc9227ab2p-7, 0x1.70cf09f7eb2cdp-7, 0x1.661aba407899cp-7, 0x1.5bad4552025bdp-7, 0x1.51851d2270d7p-7, 0x1.47a0ba3d90448p-7, 0x1.3dfe9bba57555p-7, 0x1.349d472faa857p-7, 0x1.2b7b48a877f51p-7, 0x1.22973297738e1p-7, 0x1.19ef9dca3324cp-7, 0x1.1183295be3ffdp-7, 0x1.09507aa792519p-7, 0x1.01563d3a07b39p-7, 0x1.f32645869c98p-8, 0x1.e40bc60f97e2cp-8, 0x1.d55a77a214d2bp-8, 0x1.c70fe1bc62874p-8, 0x1.b92997a86962ep-8, 0x1.aba5385b7e3dbp-8, 0x1.9e806e55de563p-8, 0x1.91b8ef816dd35p-8, 0x1.854c7d1029b6dp-8, 0x1.7938e35a53712p-8, 0x1.6d7bf9bc12413p-8, 0x1.6213a273129b6p-8, 0x1.56fdca7b92a32p-8, 0x1.4c38696d4e453p-8, 0x1.41c1815838a81p-8, 0x1.37971ea101d17p-8, 0x1.2db757dd752bep-8, 0x1.24204db0de85cp-8, 0x1.1ad02aa82310ap-8, 0x1.11c52315d15ebp-8, 0x1.08fd74ee404bap-8, 0x1.007767a39d498p-8, 0x1.f0629803d274ep-9, 0x1.e052f81677e1fp-9, 0x1.d0bcb5a7a589dp-9, 0x1.c19ca8bc60189p-9, 0x1.b2efbaef204b1p-9, 0x1.a4b2e72866519p-9, 0x1.96e33957fa05dp-9, 0x1.897dce2e5048dp-9, 0x1.7c7fd2d657f57p-9, 0x1.6fe684af5f087p-9, 0x1.63af310793281p-9, 0x1.57d734d6e2ff3p-9, 0x1.4c5bfc7a55413p-9, 0x1.413b036fc7424p-9, 0x1.3671d4127a2a9p-9, 0x1.2bfe075768fdfp-9, 0x1.21dd448aefd86p-9, 0x1.180d410e8a3f9p-9, 0x1.0e8bc0174a19fp-9, 0x1.0556926cebb62p-9, 0x1.f8d72c5317e67p-10, 0x1.e7916cf402356p-10, 0x1.d6d7d6bd26db9p-10, 0x1.c6a672d96cce7p-10, 0x1.b6f963226768fp-10, 0x1.a7cce1a658354p-10, 0x1.991d402f46cf7p-10, 0x1.8ae6e7cbff2bfp-10, 0x1.7d265859c8835p-10, 0x1.6fd8280fc5d5ap-10, 0x1.62f9030c2d0d9p-10, 0x1.5685aae25890ep-10, 0x1.4a7af62ad7f8dp-10, 0x1.3ed5d014d16fcp-10, 0x1.339337f8b7147p-10, 0x1.28b040ec8e4f7p-10, 0x1.1e2a1159dd5eap-10, 0x1.13fde294d0c12p-10, 0x1.0a2900750fdafp-10, 0x1.00a8c8f01ff0cp-10, 0x1.eef5576ac05bbp-11, 0x1.dd38539699061p-11, 0x1.cc15aa5c9ffc5p-11, 0x1.bb88a0e233fa2p-11, 0x1.ab8c9cbcea396p-11, 0x1.9c1d2339de4e3p-11, 0x1.8d35d8a6ac0d9p-11, 0x1.7ed27f9eaaa5bp-11, 0x1.70eef85ab2b5fp-11, 0x1.63874003a8968p-11, 0x1.56977007fa8f1p-11, 0x1.4a1bbd7419bc2p-11, 0x1.3e10784e025bp-11, 0x1.32720af37f7efp-11, 0x1.273cf97b918ap-11, 0x1.1c6de11a22d89p-11, 0x1.120177874ea82p-11, 0x1.07f48a68adaddp-11, 0x1.fc87fd7bcee47p-12, 0x1.e9d9a09f3876ap-12, 0x1.d7d82243588c5p-12, 0x1.c67dd1cf30918p-12, 0x1.b5c528f79d58fp-12, 0x1.a5a8cab3997a7p-12, 0x1.96238234e0a27p-12, 0x1.873041e66111fp-12, 0x1.78ca226f1c072p-12, 0x1.6aec61bb472cdp-12, 0x1.5d926208e218dp-12, 0x1.50b7a8faa356ap-12, 0x1.4457deaef7209p-12, 0x1.386eccdc7d78fp-12, 0x1.2cf85df21670dp-12, 0x1.21f09c3cc446cp-12, 0x1.1753b1111fc08p-12, 0x1.0d1de3faea6bap-12, 0x1.034b99ef3a7ffp-12, 0x1.f3b2a90920d59p-13, 0x1.e187625c7d43fp-13, 0x1.d00ed0fb020dap-13, 0x1.bf429ac9a3309p-13, 0x1.af1c99032fb07p-13, 0x1.9f96d6cf4803bp-13, 0x1.90ab8fe4be704p-13, 0x1.82552f33c7e81p-13, 0x1.748e4d965e294p-13, 0x1.6751b088742c6p-13, 0x1.5a9a48ea5ea8p-13, 0x1.4e6331c694441p-13, 0x1.42a7af220a5f6p-13, 0x1.37632cd2c880ap-13, 0x1.2c913d5bb559dp-13, 0x1.222d98d1daba8p-13, 0x1.18341bc7c8c37p-13, 0x1.0ea0c63f03a39p-13, 0x1.056fba9fd5092p-13, 0x1.f93a797301c9ep-14, 0x1.e84b618bd28e8p-14, 0x1.d80b34e9f5425p-14, 0x1.c87337fe6ff6bp-14, 0x1.b97cea76c89fep-14, 0x1.ab2205792037bp-14, 0x1.9d5c79e9f7f91p-14, 0x1.90266ebb9d48ap-14, 0x1.837a3f4ca427ap-14, 0x1.775279cd31fc2p-14, 0x1.6ba9ddb15e4eep-14, 0x1.607b5a2a875b2p-14, 0x1.55c20caf71116p-14, 0x1.4b793f8b6b8efp-14, 0x1.419c68780f7dbp-14, 0x1.3827273f24a99p-14, 0x1.2f1544678a947p-14, 0x1.2662afeb34b6cp-14, 0x1.1e0b7ff4daca5p-14, 0x1.160befa8c0541p-14, 0x1.0e605df19e2a9p-14, 0x1.07054c59f52fbp-14, 0x1.ffeebbd6cb9fp-15, 0x1.f266ac30e3419p-15, 0x1.e56c2f56091edp-15, 0x1.d8f947771307p-15, 0x1.cd083162c5082p-15, 0x1.c193628f289dbp-15, 0x1.b6958734197b5p-15, 0x1.ac098079d93c4p-15, 0x1.a1ea62a61a5cfp-15, 0x1.98337364eb6d5p-15, 0x1.8ee028167d9e1p-15, 0x1.85ec242cf29f7p-15, 0x1.7d5337954ffb4p-15, 0x1.75115d2c09679p-15, 0x1.6d22b93f9669cp-15, 0x1.658398199ae11p-15, 0x1.5e306c9785b0fp-15, 0x1.5725cecd981c3p-15, 0x1.50607ab33539p-15, 0x1.49dd4ed9f1469p-15, 0x1.43994b2d1b627p-15, 0x1.3d918fbf16635p-15, 0x1.37c35b9be5af9p-15, 0x1.322c0ba6bdb13p-15, 0x1.2cc91984ef6bdp-15, 0x1.27981a8874982p-15, 0x1.2296beaacebb4p-15, 0x1.1dc2cf8b96318p-15, 0x1.191a2f7bf225bp-15, 0x1.149ad88e4ecccp-15, 0x1.1042dbae47bffp-15, 0x1.0c105fc12d801p-15, 0x1.0801a0cc173a4p-15, 0x1.0414ef23281c8p-15, 0x1.0048ae9d62eb1p-15, 0x1.f936aba9d5da7p-16, 0x1.f216dac979644p-16, 0x1.eb2f1e654883ap-16, 0x1.e47ccb7e384fap-16, 0x1.ddfd56f4b1199p-16, 0x1.d7ae543d078c7p-16, 0x1.d18d742120a83p-16, 0x1.cb98838cf327fp-16, 0x1.c5cd6a64a948p-16, 0x1.c02a2a62fd81ep-16, 0x1.baacde04dfaefp-16, 0x1.b553b78506765p-16, 0x1.b01cffd34e5b1p-16, 0x1.ab07159cc6eb4p-16, 0x1.a6106c5e75baap-16, 0x1.a1378b7dbed63p-16, 0x1.9c7b0d68a4beap-16, 0x1.97d99ec0331adp-16, 0x1.9351fd8b24612p-16, 0x1.8ee2f86f07505p-16, 0x1.8a8b6ded36f2fp-16, 0x1.864a4bab9f4a5p-16, 0x1.821e8dc7da178p-16, 0x1.7e073e28625e8p-16, 0x1.7a0373d9f0151p-16, 0x1.7612527119a61p-16, 0x1.72330974ea553p-16, 0x1.6e64d3ca1da52p-16, 0x1.6aa6f72905b9ap-16, 0x1.66f8c3942e83ep-16, 0x1.635992dd6d29fp-16, 0x1.5fc8c824bcb95p-16, 0x1.5c45cf610e157p-16, 0x1.58d01cf1b9e82p-16, 0x1.55672d2f51e18p-16, 0x1.520a8401d8c15p-16, 0x1.4eb9ac7dee328p-16, 0x1.4b743884ccab3p-16, 0x1.4839c06866f1dp-16, 0x1.4509e291cd4c3p-16, 0x1.41e4432b57898p-16, 0x1.3ec88bd2499dp-16, 0x1.3bb66b499ef12p-16, 0x1.38ad952ef451cp-16, 0x1.35adc1b5082edp-16, 0x1.32b6ad60bf106p-16, 0x1.2fc818c6f1cep-16, 0x1.2ce1c85098fefp-16, 0x1.2a0383ff40788p-16, 0x1.272d1736efffep-16, 0x1.245e5089c7351p-16, 0x1.21970182df965p-16, 0x1.1ed6fe761fd77p-16, 0x1.1c1e1e52f56b4p-16, 0x1.196c3a7891b85p-16, 0x1.16c12e8d2d33ap-16, 0x1.141cd8579f1e3p-16, 0x1.117f1798d928fp-16, 0x1.0ee7cde7d827ep-16, 0x1.0c56de9166988p-16, 0x1.09cc2e76cb2c7p-16, 0x1.0747a3f16c437p-16, 0x1.04c926b5a044ap-16, 0x1.02509fba027dfp-16, 0x1.ffbbf2334fb01p-17, 0x1.fae23bfd6f28p-17, 0x1.f613f51618b47p-17, 0x1.f150f7860bc98p-17, 0x1.ec991ef59b216p-17, 0x1.e7ec488759e5cp-17, 0x1.e34a52b0d7a73p-17, 0x1.deb31d1c1ec3p-17, 0x1.da26888a1229dp-17, 0x1.d5a476b1e3845p-17, 0x1.d12cca28de3fp-17, 0x1.ccbf66494d718p-17, 0x1.c85c2f1be7692p-17, 0x1.c403093e334c7p-17, 0x1.bfb3d9d055dd8p-17, 0x1.bb6e86628aa47p-17, 0x1.b732f4e3cbbfcp-17, 0x1.b3010b93af284p-17, 0x1.aed8b0f33ac9fp-17, 0x1.aab9cbb3f6f8cp-17, 0x1.a6a442b0a2b4bp-17, 0x1.a297fce1303f3p-17, 0x1.9e94e14e4e65p-17, 0x1.9a9ad70a61ef8p-17, 0x1.96a9c529f4bc6p-17, 0x1.92c192bba320cp-17, 0x1.8ee226c014d44p-17, 0x1.8b0b6826ac1a5p-17, 0x1.873d3dc76739ep-17, 0x1.83778e60cb439p-17, 0x1.7fba4092f14bep-17, 0x1.7c053ade02bfdp-17, 0x1.7858639da169dp-17, 0x1.74b3a1072d03p-17, 0x1.7116d92d95bdbp-17, 0x1.6d81f1facd548p-17, 0x1.69f4d132d9e89p-17, 0x1.666f5c72cfb79p-17, 0x1.62f179323230ep-17, 0x1.5f7b0cc1749c7p-17, 0x1.5c0bfc4c4bdc7p-17, 0x1.58a42cdbac97fp-17, 0x1.554383584103ap-17, 0x1.51e9e48bb8ab6p-17, 0x1.4e97352354db5p-17, 0x1.4b4b59b28c3c8p-17, 0x1.480636b2ac00cp-17, 0x1.44c7b0892643dp-17, 0x1.418fab8a79889p-17, 0x1.3e5e0bfb92f58p-17, 0x1.3b32b615c1962p-17, 0x1.380d8e0a54df4p-17, 0x1.34ee7806ac0afp-17, 0x1.31d55834481cp-17, 0x1.2ec212be9310ep-17, 0x1.2bb48bd67acd9p-17, 0x1.28aca7b6aab11p-17, 0x1.25aa4aa6c1794p-17, 0x1.22ad58fe0d841p-17, 0x1.1fb5b728b42f6p-17, 0x1.1cc349a989d36p-17, 0x1.19d5f51d5557p-17, 0x1.16ed9e41c606dp-17, 0x1.140a29f50a17p-17, 0x1.112b7d3bfb954p-17, 0x1.0e517d43bbdb3p-17, 0x1.0b7c0f679fcb4p-17, 0x1.08ab1931f2a85p-17, 0x1.05de805f62731p-17, 0x1.03162ae2feb35p-17, 0x1.0051fee9df0dep-17, 0x1.fb23c5bc5e276p-18, 0x1.f5ab7ad2e989dp-18, 0x1.f03aeaeed3de2p-18, 0x1.ead1e4749a808p-18, 0x1.e5703656b53a5p-18, 0x1.e015b01d79067p-18, 0x1.dac221eeafe42p-18, 0x1.d5755c8cbe5cep-18, 0x1.d02f315fdf4b6p-18, 0x1.caef7278114e7p-18, 0x1.c5b5f295b409cp-18, 0x1.c0828528e7e3cp-18, 0x1.bb54fe57bc1ebp-18, 0x1.b62d33016eaddp-18, 0x1.b10af8c1e720bp-18, 0x1.abee25f72e491p-18, 0x1.a6d691c20de89p-18, 0x1.a1c41408eb5aep-18, 0x1.9cb6857e48b11p-18, 0x1.97adbf9f8632ep-18, 0x1.92a99cb7f5d0fp-18, 0x1.8da9f7e702e5fp-18, 0x1.88aead1bde8b6p-18, 0x1.83b7991b8d6a4p-18, 0x1.7ec499809ff5fp-18, 0x1.79d58cbdbdd2cp-18, 0x1.74ea522184c5bp-18, 0x1.7002c9d2d01a7p-18, 0x1.6b1ed4d5509e3p-18, 0x1.663e55083c8cp-18, 0x1.61612d279e2fap-18, 0x1.5c8740cda5fd7p-18, 0x1.57b07470e5797p-18, 0x1.52dcad668a335p-18, 0x1.4e0bd1e29036ep-18, 0x1.493dc8f660f76p-18, 0x1.44727a8ff2c73p-18, 0x1.3fa9cf7cf02d4p-18, 0x1.3ae3b164aeb11p-18, 0x1.36200acae32efp-18, 0x1.315ec70df2a6cp-18, 0x1.2c9fd2642ae1dp-18, 0x1.27e319e1785a1p-18, 0x1.23288b6f04109p-18, 0x1.1e7015cc3f9b5p-18, 0x1.19b9a88dc6eebp-18, 0x1.1505341ae112p-18, 0x1.1052a9ac8d252p-18, 0x1.0ba1fb4a50f47p-18, 0x1.06f31bca5f4ebp-18, 0x1.0245fed14d5e2p-18, 0x1.fb353194b6412p-19, 0x1.f1e1bdd53bd07p-19, 0x1.e8918e57f365dp-19, 0x1.df44909a065fep-19, 0x1.d5fab393d21b1p-19, 0x1.ccb3e7c05ee8dp-19, 0x1.c3701f0adfdc9p-19, 0x1.ba2f4cd55acfcp-19, 0x1.b0f165f65fda5p-19, 0x1.a7b660a501b4p-19, 0x1.9e7e347d3af5p-19, 0x1.9548da76e7a16p-19, 0x1.8c164ce12e558p-19, 0x1.82e6875958624p-19, 0x1.79b986c88132fp-19, 0x1.708f495feeb4ep-19, 0x1.6767ce9338d96p-19, 0x1.5e431708bd1fcp-19, 0x1.5521249da82dp-19, 0x1.4c01fa5af9d29p-19, 0x1.42e59c72fa3bp-19, 0x1.39cc10329a60fp-19, 0x1.30b55c02bca3ep-19, 0x1.27a1875f00368p-19, 0x1.1e909acc9d435p-19, 0x1.15829fe2bafbdp-19, 0x1.0c77a1335112dp-19, 0x1.036faa482ece5p-19, 0x1.f4d58f3fd98c8p-20, 0x1.e2d20d48aca48p-20, 0x1.d0d4eb47adb2ap-20, 0x1.bede479aa7f55p-20, 0x1.acee424e1802ap-20, 0x1.9b04fd249c687p-20, 0x1.89229b6e3cf57p-20, 0x1.77474203aa63cp-20, 0x1.6573173f4351ep-20, 0x1.53a642f1ec791p-20, 0x1.41e0ee4f97724p-20, 0x1.302343de7e61fp-20, 0x1.1e6d6f7310938p-20, 0x1.0cbf9e1e568dp-20, 0x1.f633fc4dd776bp-21, 0x1.d2f97e0c5b82cp-21, 0x1.afd02295d0224p-21, 0x1.8cb84d1ab0749p-21, 0x1.69b262d08c82cp-21, 0x1.46becad77e9fp-21, 0x1.23ddee1ff477dp-21, 0x1.0110375c214fcp-21, 0x1.bcac25b88d434p-22, 0x1.775fdd3e0c2aep-22, 0x1.323c741244356p-22, 0x1.da85977f071c3p-23, 0x1.50e7909fa9c06p-23, 0x1.8f4141c86a543p-24, 0x1.f594cfa6e8254p-26, -0x1.2782b9834f44fp-25, -0x1.a42ebd4c2b17ap-24, -0x1.59ef99a47e32ap-23, -0x1.e1677f41c3c5p-23, -0x1.343e95f8be58cp-22, -0x1.77975cd34ff52p-22, -0x1.babd201515d3ep-22, -0x1.fdaeeab626fd7p-22, -0x1.2035e36b3b0aep-21, -0x1.41795ef44fd31p-21, -0x1.62a16c65f0eep-21, -0x1.83ad900521322p-21, -0x1.a49d4ddfe6bfep-21, -0x1.c57029ef87494p-21, -0x1.e625a834d2f3dp-21, -0x1.035ea662dc33fp-20, -0x1.139b4def427b6p-20, -0x1.23c88ce93047bp-20, -0x1.33e6259ff6d0bp-20, -0x1.43f3da8d5621dp-20, -0x1.53f16e5b22dd9p-20, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      40, 0x1.4p+2, 0x1.953a29c39aa7cp+1, 0x1.bde4df4749c94p+2, -0x1.e654978dfeccp-9, 
      {{
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.36f2f71a75bdp-4, -0x1.0221cca2c0dc6p-2, 0x1.989a1e827d72cp-2, -0x1.58dd1b3b15038p-2}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.073c7be85e5cep-4, -0x1.b7b77393f9969p-3, 0x1.64df5a6cd3e5ap-2, -0x1.3ae40d7b01d4fp-2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.bd5a0d80b73cp-5, -0x1.7510c2f9a78dep-3, 0x1.35a38b9a606bcp-2, -0x1.2168734307f78p-2}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.78a45ce58471dp-5, -0x1.3b7a944db4642p-3, 0x1.0a3a471d1f3ap-2, -0x1.06b8d719f9923p-2}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.3e9bacfcad48dp-5, -0x1.0a2c938c1c20bp-3, 0x1.c5a380e5a6c7ep-3, -0x1.d8b79e5a499ffp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.0dac5e209a2fcp-5, -0x1.c0b6161729eccp-4, 0x1.7ebb2924e889bp-3, -0x1.a3d0f080fc737p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c8d6d4112625cp-6, -0x1.7a7659263267dp-4, 0x1.3fc23844c2abep-3, -0x1.6ef7922dc8aa8p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.832cc7917ebbep-6, -0x1.4003db9bb10a4p-4, 0x1.08b6af244af84p-3, -0x1.3a1593c1da509p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.4826efa44bf7bp-6, -0x1.0fc89acbd21f1p-4, 0x1.b333b1f4d4729p-4, -0x1.0548c632ad68ap-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.15e2d7e55aad5p-6, -0x1.d05d889646a25p-5, 0x1.64d11018d39f6p-4, -0x1.a05faa928dedp-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.d59e7d546d5e1p-7, -0x1.8f3f655dbfb83p-5, 0x1.265c501c7188ep-4, -0x1.386481d7f2a08p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.8b582a045598ap-7, -0x1.590fb89256e48p-5, 0x1.ef00dfab4d7b9p-5, -0x1.904d76e223495p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.4b14fd6c81a56p-7, -0x1.2a9036efb4872p-5, 0x1.b2f5410961c9ep-5, -0x1.1e196bc304fd5p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.13936b399e21fp-7, -0x1.0136998f96f27p-5, 0x1.880b0a78edd74p-5, -0x1.1a2cdca0769bbp-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.c7d338c233a06p-8, -0x1.b84024fa0a58p-6, 0x1.5db782fa75a61p-5, -0x1.05bb233b7424dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.7681f09e9d861p-8, -0x1.763bb06df5d65p-6, 0x1.36750a7e576d8p-5, -0x1.eb6d3ac1517e8p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.319fd71d3abcbp-8, -0x1.3bd3d1f8b3af1p-6, 0x1.1199a6163e1dbp-5, -0x1.c904e73ee6401p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ef679f1db1638p-9, -0x1.0888f79bc3ddbp-6, 0x1.dea5c3164017bp-6, -0x1.a73f4bdb61a43p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8ebd8f00a2f2ap-9, -0x1.b7b07393cf945p-7, 0x1.9f29114ef1728p-6, -0x1.854e17c91a30ap-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.3eb76d751793ap-9, -0x1.6a7f2b5a3d1efp-7, 0x1.64c3c0f0c71e3p-6, -0x1.63688e52ef79p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.f9fe7d09ec047p-10, -0x1.287996425e02cp-7, 0x1.2f7411fdefff6p-6, -0x1.417ff31b19858p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8ee635647c81bp-10, -0x1.e136aa0e0d6ep-8, 0x1.fe74f4a6f1f09p-7, -0x1.1f97f44dd8b1p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.384a5dee13384p-10, -0x1.83bffde4c2438p-8, 0x1.a82dc4f5fdbbfp-7, -0x1.fb612b2fc5706p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.e56ef3162aac3p-11, -0x1.3686601bf508cp-8, 0x1.5c1264e206837p-7, -0x1.b78c34346cce5p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.76446820353f4p-11, -0x1.ef01eb59f4f82p-9, 0x1.1a23c373c2fe7p-7, -0x1.73cee3482511cp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1dcec483dad4p-11, -0x1.894e4cf2efc3dp-9, 0x1.c4bca91eae11ap-8, -0x1.2fb933af10957p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.af3007562a791p-12, -0x1.37dec3b72c2b7p-9, 0x1.699eb336f5e52p-8, -0x1.d9dab17431c3ep-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3ff4e5c086e5p-12, -0x1.ed4ed98c7c98cp-10, 0x1.228ab23254d4dp-8, -0x1.4aa513c2d9683p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d082c538a6775p-13, -0x1.8302b94351d2p-10, 0x1.e1e3de770208dp-9, -0x1.f7437a648d323p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.47f9c3c518febp-13, -0x1.2a2e7b67e8031p-10, 0x1.96668c1b200e5p-9, -0x1.d9a1603d8951cp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.c00607b3dfc63p-14, -0x1.c00306c6cf00ep-11, 0x1.4f5b2411e50f3p-9, -0x1.a8c3685f4f88cp-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.25f2c0cdd9596p-14, -0x1.469cc0998ccebp-11, 0x1.0fa43ad065ee1p-9, -0x1.7d0cf6f9b3c85p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.6f05597573bdep-15, -0x1.cac6423f3423fp-12, 0x1.acf7c522af871p-10, -0x1.4ff44968d6ee6p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.ae482580d24e4p-16, -0x1.3358353cbd609p-12, 0x1.482e7be9a23e1p-10, -0x1.233d060c5f00ap-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.d082c538a67d7p-17, -0x1.8317abe9045d3p-13, 0x1.e19ec0ff0b7c3p-11, -0x1.ecc4ac132c413p-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.c00607b3dfd04p-18, -0x1.c005616eb2ef8p-14, 0x1.4dca26f94b02dp-11, -0x1.9367dcd755fap-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.6f05597573c7p-19, -0x1.cacbc3bfa654ep-15, 0x1.a9892fd7c8d7p-12, -0x1.38efa3c13379ap-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.d082c538a69p-21, -0x1.82f19e07e6983p-16, 0x1.db8c67faed83ep-13, -0x1.c51902950d533p-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.6f05597575401p-23, -0x1.ccfe758bb9526p-18, 0x1.97613342fe34cp-14, -0x1.f3c1b8c14e25cp-12}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.6f05597594002p-27, -0x1.888ec2f4d035p-21, 0x1.ae1a44d5a3affp-16, -0x1.4e68afd6d2191p-11}, 
      }}, 
      0x1.3aab3639f7c76p-7, -0x1.e4ff9bde91581p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.85e3e173a691cp-4, 0x1.7a0a9cf4a42bep-4, 0x1.66ffc8e231ad9p-4, 0x1.4dbf64ce53c64p-4, 0x1.2f66a6893fc3ep-4, 0x1.0d217137ef98fp-4, 0x1.d03d2ab05f2abp-5, 0x1.82fd7348d6bf7p-5, 0x1.348abeb58943bp-5, 0x1.cd4831c7c461bp-6, 0x1.35821664089abp-6, 0x1.485f58535ec13p-7, 0x1.b4677580d417dp-10, -0x1.8ecf1536fd66dp-8, -0x1.af47c263f1acep-7, -0x1.3fd2c5b647baap-6, -0x1.9be38d9ba5a9bp-6, -0x1.ebc6906f11b29p-6, -0x1.17d55e4fae723p-5, -0x1.33f790a7df547p-5, -0x1.4a8afff5c862bp-5, -0x1.5bdd063747b99p-5, -0x1.6842f984a4a9fp-5, -0x1.7016eb4be037ap-5, -0x1.73b52b1c4427p-5, -0x1.737a5747bd95p-5, -0x1.6fc1d3caba5ep-5, -0x1.68e490accc8b4p-5, -0x1.5f38164abddf3p-5, -0x1.530dd58f53e6ep-5, -0x1.44b2bd693693p-5, -0x1.346f0b4ea92bbp-5, -0x1.228659ba00278p-5, -0x1.0f37d1ae6043dp-5, -0x1.f57cfab5dd35ep-6, -0x1.caa34ab116c6dp-6, -0x1.9e4a5a511aa23p-6, -0x1.70d3c9358e16ap-6, -0x1.429b8f4c4aebep-6, -0x1.13f852b197f52p-6, -0x1.ca7727c169504p-7, -0x1.6d636b698c6f2p-7, -0x1.1143d526154b5p-7, -0x1.6d3846ba76c8ep-8, -0x1.7794785cee682p-9, -0x1.e313e33bb89c7p-13, 0x1.3030bcce0747dp-9, 0x1.391b84e442a8p-8, 0x1.d35a6c3bd94d6p-8, 0x1.332a7e23542a9p-7, 0x1.78d04d83c3294p-7, 0x1.ba738ce9fb7c1p-7, 0x1.f7f2b5c651bdcp-7, 0x1.189a8d5584cbbp-6, 0x1.33151232c05bep-6, 0x1.4b6445afc139dp-6, 0x1.6186ca25ed807p-6, 0x1.757e2a47c3865p-6, 0x1.874e815bf5b82p-6, 0x1.96fe2a913f8d9p-6, 0x1.a49578063a32ap-6, 0x1.b01e71af9ce74p-6, 0x1.b9a49ba629c8ep-6, 0x1.c134c35034855p-6, 0x1.c6dcd2b836cf3p-6, 0x1.caaba8be48d72p-6, 0x1.ccb0f617b657fp-6, 0x1.ccfd1ce70ab43p-6, 0x1.cba11427c3c3cp-6, 0x1.c8ae4bb6dd08dp-6, 0x1.c436937001dbfp-6, 0x1.be4c029cd196cp-6, 0x1.b700e04f999cbp-6, 0x1.ae678edd1febdp-6, 0x1.a49274b0c9d5cp-6, 0x1.9993ea8a014dep-6, 0x1.8d7e28a5772f4p-6, 0x1.806332afecb71p-6, 0x1.7254ce7e65509p-6, 0x1.63646da7c1491p-6, 0x1.53a32800ea925p-6, 0x1.4321b07d9ef98p-6, 0x1.31f0459cb2f7bp-6, 0x1.201eb81abae23p-6, 0x1.0dbc5986980ap-6, 0x1.f5affd25e0855p-7, 0x1.cf00054437e9bp-7, 0x1.a784753d15dc5p-7, 0x1.7f580615fe752p-7, 0x1.56947339ce53fp-7, 0x1.2d5280619f53dp-7, 0x1.03aa08874453fp-7, 0x1.b363f12b3b7cfp-8, 0x1.5f00c0a6d1ec7p-8, 0x1.0a54e9b97a8c2p-8, 0x1.6b12647979f7ep-9, 0x1.83132ce3bdc19p-10, 0x1.85ab27b623bd2p-13, -0x1.2063f0e73044bp-10, -0x1.37d710a3f7183p-9, -0x1.de52190111677p-9, -0x1.41b1b63cbd8dap-8, -0x1.93671d0daeaa7p-8, -0x1.e42c3a211c7e1p-8, -0x1.19f2b6508599p-7, -0x1.413c3aae73486p-7, -0x1.67e6397a2b616p-7, -0x1.8de4f34b0b50cp-7, -0x1.b32d571a5cd0dp-7, -0x1.d7b5012495611p-7, -0x1.fb723cb01e846p-7, -0x1.0f2e003deaa73p-6, -0x1.2034f6af7f295p-6, -0x1.30ca279540315p-6, -0x1.40ea0c38722cdp-6, -0x1.50916ff603a37p-6, -0x1.5fbd701aad637p-6, -0x1.6e6b798252d97p-6, -0x1.7c99463bb499cp-6, -0x1.8a44dcb7ffc26p-6, -0x1.976c8d3d46e1fp-6, -0x1.a40eee71b29c7p-6, -0x1.b02adba8f46c3p-6, -0x1.bbbf725b6c82ap-6, -0x1.c6cc0e13e3b02p-6, -0x1.d15045969938ap-6, -0x1.db4be872e6d8p-6, -0x1.e4befb3179fc3p-6, -0x1.eda9b36c1893ep-6, -0x1.f60c7522a48a9p-6, -0x1.fde7cfda3ce25p-6, -0x1.029e3d3cfa3e5p-5, -0x1.0605a7ffbad31p-5, -0x1.092aa6a7f5703p-5, -0x1.0c0dc6fe92bd4p-5, -0x1.0eafa45df4635p-5, -0x1.1110e687e45a1p-5, -0x1.133240928233p-5, -0x1.15146f915acb4p-5, -0x1.16b8394e883fbp-5, -0x1.181e6b4b08a8dp-5, -0x1.1947da011d85dp-5, -0x1.1a3560025b179p-5, -0x1.1ae7dce6ddbb5p-5, -0x1.1b6034a5d32adp-5, -0x1.1b9f4f46f65b5p-5, -0x1.1ba6183af4266p-5, -0x1.1b757d9fe3f88p-5, -0x1.1b0e6ffe5d9a6p-5, -0x1.1a71e22362e58p-5, -0x1.19a0c8c25f105p-5, -0x1.189c1a28c118bp-5, -0x1.1764ce1c0776cp-5, -0x1.15fbddbfe2c49p-5, -0x1.1462439a79dd9p-5, -0x1.1298fb92b1b61p-5, -0x1.10a102c59affep-5, -0x1.0e7b577d01594p-5, -0x1.0c28f97469db6p-5, -0x1.09aae9f82b90dp-5, -0x1.07022bb7ba8b9p-5, -0x1.042fc2c8ca734p-5, -0x1.0134b4f0956b5p-5, -0x1.fc241386f0f61p-6, -0x1.f591950f267d6p-6, -0x1.eeb40479f3318p-6, -0x1.e78d7b8f1aac1p-6, -0x1.e02017db0243ap-6, -0x1.d86dfa8d383e4p-6, -0x1.d079489930085p-6, -0x1.c8442ac978fabp-6, -0x1.bfd0cd6a7ee5dp-6, -0x1.b7215ffd7f1dap-6, -0x1.ae3815575e70fp-6, -0x1.a517239c9e09dp-6, -0x1.9bc0c3b6b4ba8p-6, -0x1.923730cb01d6dp-6, -0x1.887ca820f68a5p-6, -0x1.7e93690e02d13p-6, -0x1.747db464818c6p-6, -0x1.6a3dcbc05f038p-6, -0x1.5fd5f13c45d12p-6, -0x1.5548673e83399p-6, -0x1.4a976fd8b3e51p-6, -0x1.3fc54bfdd211ap-6, -0x1.34d43b1d8a6d9p-6, -0x1.29c67b01ef7b3p-6, -0x1.1e9e47420abc3p-6, -0x1.135dd83f0b985p-6, -0x1.0807627754c25p-6, -0x1.f93a2d0513727p-7, -0x1.e24241ee1a3f3p-7, -0x1.cb2b531cc46fdp-7, -0x1.b3f9a40061ea9p-7, -0x1.9cb16b1d34397p-7, -0x1.8556d2a07583dp-7, -0x1.6dedf858343bfp-7, -0x1.567aebbdd4fap-7, -0x1.3f01ab8a58ea5p-7, -0x1.2786251babf5dp-7, -0x1.100c3595e635dp-7, -0x1.f12f54bcd1f9fp-8, -0x1.c2587ec0e3e7cp-8, -0x1.939b38e6aeeefp-8, -0x1.64fea9101e37fp-8, -0x1.3689ce499c3cbp-8, -0x1.084383b01a5d2p-8, -0x1.b464fd6448195p-9, -0x1.58ba9391509f6p-9, -0x1.fb2904bc5943ap-10, -0x1.45fe541a40a2p-10, -0x1.241a70fd80e9cp-11, 0x1.04960be1835d8p-13, 0x1.a395651661948p-11, 0x1.81846d3da213cp-10, 0x1.17d540e90598bp-9, 0x1.6e14164dead15p-9, 0x1.c374a095d6b9dp-9, 0x1.0bf689d6bb614p-8, 0x1.35b9fb183b91p-8, 0x1.5f001554ecd75p-8, 0x1.87c477a69eb2bp-8, 0x1.b002e9c3c7d9bp-8, 0x1.d7b756741e146p-8, 0x1.feddca9a92356p-8, 0x1.12b93c9b21fd5p-7, 0x1.25b8dffff143cp-7, 0x1.386c13de39327p-7, 0x1.4ad12fb5c753ap-7, 0x1.5ce69b1f6fe71p-7, 0x1.6eaacca0f5a68p-7, 0x1.801c4b0fdd201p-7, 0x1.9139aff9bd919p-7, 0x1.a201a8aea1dap-7, 0x1.b272f4c3799f2p-7, 0x1.c28c631af7f0cp-7, 0x1.d24ccfbbb94d5p-7, 0x1.e1b323f19f956p-7, 0x1.f0be584c9d77bp-7, 0x1.ff6d769d8194bp-7, 0x1.06dfcd0edc507p-6, 0x1.0dd9f6ba41f96p-6, 0x1.14a4d402dca56p-6, 0x1.1b40063984cdep-6, 0x1.21ab3497a2e68p-6, 0x1.27e60d3989cfp-6, 0x1.2df045f66449fp-6, 0x1.33c99c63e7722p-6, 0x1.3971d4f4defd6p-6, 0x1.3ee8b9d3d0e5ap-6, 0x1.442e1a337d141p-6, 0x1.4941ca842cb16p-6, 0x1.4e23a54435c46p-6, 0x1.52d38bd175ce7p-6, 0x1.5751669f53d8cp-6, 0x1.5b9d24a70af89p-6, 0x1.5fb6ba7263935p-6, 0x1.639e215ee26p-6, 0x1.67535784ea24bp-6, 0x1.6ad6603ea0785p-6, 0x1.6e2744ea5baf6p-6, 0x1.7146156671a5p-6, 0x1.7432e7f4209b1p-6, 0x1.76edd8949d575p-6, 0x1.7977084706521p-6, 0x1.7bce9c97f2ad2p-6, 0x1.7df4bfb692bdep-6, 0x1.7fe9a0f447d0fp-6, 0x1.81ad755ab32a9p-6, 0x1.834077fcaf403p-6, 0x1.84a2e9cf6d5b4p-6, 0x1.85d51123ec528p-6, 0x1.86d7390eb479bp-6, 0x1.87a9b10c9319p-6, 0x1.884ccd0852cccp-6, 0x1.88c0e5b0d8a3ep-6, 0x1.890658e88d484p-6, 0x1.891d8a0bc80ecp-6, 0x1.8906e1e29b03cp-6, 0x1.88c2ce439a0fcp-6, 0x1.8851c197cabcdp-6, 0x1.87b43279f83acp-6, 0x1.86ea9b9434cc5p-6, 0x1.85f57bbd9e025p-6, 0x1.84d5563e27c6ep-6, 0x1.838ab30ddace1p-6, 0x1.82161ee688552p-6, 0x1.80782b149015p-6, 0x1.7eb16d20999ebp-6, 0x1.7cc27e69f670ap-6, 0x1.7aabfbdcf01a5p-6, 0x1.786e85dec5646p-6, 0x1.760ac05285066p-6, 0x1.738152bcf5ec1p-6, 0x1.70d2e8613d0ap-6, 0x1.6e00303d6c59p-6, 0x1.6b09dcdf1b9cdp-6, 0x1.67f0a41663c5dp-6, 0x1.64b53ea5f8dbbp-6, 0x1.615868020f275p-6, 0x1.5ddade28855bep-6, 0x1.5a3d6191b56bap-6, 0x1.5680b531ea308p-6, 0x1.52a59e7df03fp-6, 0x1.4eace5616bbc1p-6, 0x1.4a97541c0a45fp-6, 0x1.4665b707637bap-6, 0x1.4218dc540491ap-6, 0x1.3db193cd346afp-6, 0x1.3930aeaa38e91p-6, 0x1.3496ff6d4427dp-6, 0x1.2fe559cc231bdp-6, 0x1.2b1c929e95158p-6, 0x1.263d7fca726d6p-6, 0x1.2148f825db9e5p-6, 0x1.1c3fd34b346bcp-6, 0x1.1722e963f43bap-6, 0x1.11f312f50d2bcp-6, 0x1.0cb128b5bcb86p-6, 0x1.075e037075bbfp-6, 0x1.01fa7be95f9f4p-6, 0x1.f90ed586d916ep-7, 0x1.ee0b50c16a89ep-7, 0x1.e2ec19775504cp-7, 0x1.d7b2de70dbe22p-7, 0x1.cc614ce09c841p-7, 0x1.c0f90ffd353b1p-7, 0x1.b57bd0b1e43p-7, 0x1.a9eb35759272dp-7, 0x1.9e48e2442fde9p-7, 0x1.929678a458794p-7, 0x1.86d5979d6282ep-7, 0x1.7b07dbb1b9157p-7, 0x1.6f2eddb099449p-7, 0x1.634c33c98dab4p-7, 0x1.57616f469074ep-7, 0x1.4b701cba60b86p-7, 0x1.3f79c36297344p-7, 0x1.337fe502511aap-7, 0x1.2783fe174349fp-7, 0x1.1b8786537975cp-7, 0x1.0f8bf126dde32p-7, 0x1.0392ae1b3f08ap-7, 0x1.ef3a51a4125e8p-8, 0x1.d7599115356a8p-8, 0x1.bf85de719d82p-8, 0x1.a7c1f0aa2f5d6p-8, 0x1.90106f5860b8p-8, 0x1.7873f10260bfap-8, 0x1.60eefa91565c2p-8, 0x1.4984004227d4p-8, 0x1.323567ece2d43p-8, 0x1.1b058c0ff0afdp-8, 0x1.03f6beba4876ep-8, 0x1.da1696c600f81p-9, 0x1.ac8aedddd3b41p-9, 0x1.7f4efb3ef1726p-9, 0x1.52671e6425d15p-9, 0x1.25d79403163fep-9, 0x1.f348d99d3ce44p-10, 0x1.9ba30e71481d1p-10, 0x1.44c51c9cc23b8p-10, 0x1.dd6bfa5547fe3p-11, 0x1.32f8c1020b73fp-11, 0x1.147b24690e37cp-12, -0x1.cb8b428870a85p-15, -0x1.83ba6ae9a00adp-12, -0x1.65230b7d2fa34p-11, -0x1.033eae1d4de13p-10, -0x1.52efc6f56d38fp-10, -0x1.a19ec78161fa2p-10, -0x1.ef4610ba8955ap-10, -0x1.1df04590e11c9p-9, -0x1.43b4da26dd2fep-9, -0x1.68eecb94c9fb1p-9, -0x1.8d9c57596bf3p-9, -0x1.b1bbdc37cecbfp-9, -0x1.d54bc02cf9f2fp-9, -0x1.f84a593c3f841p-9, -0x1.0d5aef7a0ec91p-8, -0x1.1e46346d160c5p-8, -0x1.2ee5fd8c89741p-8, -0x1.3f394fb5ee628p-8, -0x1.4f3f42a09c814p-8, -0x1.5ef710ff787aep-8, -0x1.6e6024ca68d6bp-8, -0x1.7d7a1cbe95b68p-8, -0x1.8c44c96a3a652p-8, -0x1.9ac02108b2273p-8, -0x1.a8ec2d66f9d52p-8, -0x1.b6c8f6f2ef374p-8, -0x1.c4567136003ebp-8, -0x1.d1946ddbbfc0dp-8, -0x1.de8299143f487p-8, -0x1.eb20808331f5dp-8, -0x1.f76da3a6062d6p-8, -0x1.01b4c537a828cp-7, -0x1.0789eeb44660fp-7, -0x1.0d363d20c01dep-7, -0x1.12b9c0297279p-7, -0x1.1814a910dc56ap-7, -0x1.1d47458f0f6c4p-7, -0x1.2251f59f6c52bp-7, -0x1.27351e2be18d6p-7, -0x1.2bf11b46b6262p-7, -0x1.308634dbcf633p-7, -0x1.34f4984bb2fbp-7, -0x1.393c585ba01bap-7, -0x1.3d5d7341d2e28p-7, -0x1.4157ddf89f585p-7, -0x1.452b919321ceap-7, -0x1.48d89889f7abfp-7, -0x1.4c5f19243239cp-7, -0x1.4fbf5b2791644p-7, -0x1.52f9c7ea0e60cp-7, -0x1.560ee4ccaa24dp-7, -0x1.58ff4916ea051p-7, -0x1.5bcb910285eb5p-7, -0x1.5e74506ebe095p-7, -0x1.60fa07f9f6fc1p-7, -0x1.635d1eea8a935p-7, -0x1.659de347021eap-7, -0x1.67bc8fecdc185p-7, -0x1.69b956d8f2de6p-7, -0x1.6b946cc2b5578p-7, -0x1.6d4e1310b89ccp-7, -0x1.6ee69e07096dfp-7, -0x1.705e7674acc34p-7, -0x1.71b61775e7916p-7, -0x1.72ee099f78792p-7, -0x1.7406dcf5a007cp-7, -0x1.750122b2e1668p-7, -0x1.75dd678acda36p-7, -0x1.769c2f1765ba4p-7, -0x1.773df16b42303p-7, -0x1.77c31befd034p-7, -0x1.782c163df8221p-7, -0x1.78794a5ad4854p-7, -0x1.78ab2e1e8838fp-7, -0x1.78c24a6a1d6a7p-7, -0x1.78bf3cf9eddfep-7, -0x1.78a2b339ae81ep-7, -0x1.786d5ef77a19bp-7, -0x1.781fe80db98cbp-7, -0x1.77badf4363cf7p-7, -0x1.773eb645353d7p-7, -0x1.76abbeeb5fa97p-7, -0x1.760231bf981d8p-7, -0x1.754239b702481p-7, -0x1.746c021658686p-7, -0x1.737fc3b6021adp-7, -0x1.727dcfecbf25ap-7, -0x1.7166987bd7406p-7, -0x1.703ab449afa8p-7, -0x1.6efae0810bddcp-7, -0x1.6da7fd4dfda13p-7, -0x1.6c43057d0e126p-7, -0x1.6acd00ce77aa5p-7, -0x1.6946f1a0c8f58p-7, -0x1.67b1bf7881773p-7, -0x1.660e21009f91cp-7, -0x1.645c8985399d5p-7, -0x1.629d1f28b179fp-7, -0x1.60cfbf0fe5b8cp-7, -0x1.5ef41263528a7p-7, -0x1.5d09b2330e46ep-7, -0x1.5b10527f8d7p-7, -0x1.5907e889afa1dp-7, -0x1.56f0c088d2d66p-7, -0x1.54cb7bf8e313cp-7, -0x1.5298fa5600794p-7, -0x1.505a36da15487p-7, -0x1.4e102a65c45b1p-7, -0x1.4bbbbe4102d45p-7, -0x1.495dd30a37a0dp-7, -0x1.46f752e6e6152p-7, -0x1.44893d53583a5p-7, -0x1.42149c458f419p-7, -0x1.3f9a5c86a7384p-7, -0x1.3d1b12f43db83p-7, -0x1.3a96c8344fdd5p-7, -0x1.380ce85d52fefp-7, -0x1.357c69d53d0d1p-7, -0x1.32e4289ad624p-7, -0x1.3043583620fcbp-7, -0x1.2d99dd903866fp-7, -0x1.2ae8663af2b4bp-7, -0x1.28302d9c670f7p-7, -0x1.2572871cc9a33p-7, -0x1.22b063d51dadap-7, -0x1.1fea10a75fe21p-7, -0x1.1d1f5146ed0ecp-7, -0x1.1a4fcf2845961p-7, -0x1.177ba6d5ecf9fp-7, -0x1.14a3cd154119p-7, -0x1.11ca13e243824p-7, -0x1.0ef0c15a967e3p-7, -0x1.0c19dcdd415a8p-7, -0x1.0946790875e7bp-7, -0x1.067649996818ep-7, -0x1.03a7bb25e60fcp-7, -0x1.00d88f099dc5cp-7, -0x1.fc0d872546026p-8, -0x1.f662d2cae097dp-8, -0x1.f0b20e1f57277p-8, -0x1.eafead72f3d7bp-8, -0x1.e54ce2d4fcd42p-8, -0x1.df9f84b3c3424p-8, -0x1.d9f68189edd4fp-8, -0x1.d44eb02970039p-8, -0x1.cea33114f45edp-8, -0x1.c8efd350df92fp-8, -0x1.c33369fa0783ap-8, -0x1.bd70fdc59860cp-8, -0x1.b7af4638e68aap-8, -0x1.b1f69ae2e8bb4p-8, -0x1.ac4e3b8f9d01dp-8, -0x1.a6ba155d845d5p-8, -0x1.a139e34aa09bp-8, -0x1.9bc9dbd500a6dp-8, -0x1.966474d208b34p-8, -0x1.91047ba137554p-8, -0x1.8ba6d3acd47b4p-8, -0x1.864b636e9759ep-8, -0x1.80f4e8b43479cp-8, -0x1.7ba7a5c69c2d9p-8, -0x1.7667378294bcep-8, -0x1.71345d0a46794p-8, -0x1.6c0bc460f2dcfp-8, -0x1.66e6b1f1a245fp-8, -0x1.61bd843008cb5p-8, -0x1.5c8b130ffc14bp-8, -0x1.574f5997cd8cbp-8, -0x1.52100d3c71065p-8, -0x1.4cd6b309691a5p-8, -0x1.47ad0cbed5d1ep-8, -0x1.4299b608044bdp-8, -0x1.3d9eb0058b653p-8, -0x1.38ba48dc16afdp-8, -0x1.33e9481df8954p-8, -0x1.2f28c94ba38ap-8, -0x1.2a76e1d1aaa7cp-8, -0x1.25d2458487187p-8, -0x1.2139c2acb996dp-8, -0x1.1cac554669a2bp-8, -0x1.1829ce8dd5e1fp-8, -0x1.13b332d7598dfp-8, -0x1.0f49e410da351p-8, -0x1.0aedc24d334e1p-8, -0x1.069ba7109f26p-8, -0x1.024db028a3e1ap-8, -0x1.fbfb2a3982813p-9, -0x1.f34fc0b875d6p-9, -0x1.ea9c8853df9d9p-9, -0x1.e1eefb7c5e075p-9, -0x1.d958d54df7701p-9, -0x1.d0e7da2cd745cp-9, -0x1.c8a0b5fca4993p-9, -0x1.c07ff1fb50495p-9, -0x1.b87f4433aa70dp-9, -0x1.b09b31a0365cp-9, -0x1.a8d5c74150639p-9, -0x1.a134f7d4b9951p-9, -0x1.99bda89d3cd73p-9, -0x1.926f1ae8a798fp-9, -0x1.8b4248a3378c3p-9, -0x1.842d6d1d3dd01p-9, -0x1.7d28ec1ea5ff5p-9, -0x1.76327944c38b1p-9, -0x1.6f4cbdea2d14bp-9, -0x1.687bc15d210b3p-9, -0x1.61c08194aa1ep-9, -0x1.5b16bb4b5667fp-9, -0x1.54766e02a374cp-9, -0x1.4dd8e406d601p-9, -0x1.473eaa51050c4p-9, -0x1.40b13bd2e16e7p-9, -0x1.3a3d7067f4c97p-9, -0x1.33eb3c00c850dp-9, -0x1.2db9eee5be707p-9, -0x1.27a2daca94cc9p-9, -0x1.219f73b76193ap-9, -0x1.1baeb9ffb095ep-9, -0x1.15d5cc51519e4p-9, -0x1.101b49643c682p-9, -0x1.0a82967a60111p-9, -0x1.050b2ac5d896fp-9, -0x1.ff64f2a5da05bp-10, -0x1.f4ea791667865p-10, -0x1.ea9e6747b1593p-10, -0x1.e075495e51018p-10, -0x1.d663ac0a6bafep-10, -0x1.cc661c039ffddp-10, -0x1.c286b59110d9bp-10, -0x1.b8d6bd23cc612p-10, -0x1.af5e02bc5f82cp-10, -0x1.a60ee2c970a8ap-10, -0x1.9ccf06f9bb4edp-10, -0x1.9391c8ec25e21p-10, -0x1.8a67402cf8df7p-10, -0x1.816c6ef40f45p-10, -0x1.78afa02ca9e2cp-10, -0x1.702690baed84bp-10, -0x1.67bd5bc07ad5ap-10, -0x1.5f6cd7c0d5bfcp-10, -0x1.573ed2cd0dbfap-10, -0x1.4f3da916ed6f8p-10, -0x1.4767b078fba29p-10, -0x1.3fb3940c9432ep-10, -0x1.381ab18b643f4p-10, -0x1.309e146252caap-10, -0x1.2944c54181255p-10, -0x1.221700e0c9129p-10, -0x1.1b19b8f02ac58p-10, -0x1.144b3d47ddee7p-10, -0x1.0da0e5f523fbcp-10, -0x1.070b549d70f01p-10, -0x1.00863f5e2c6dfp-10, -0x1.f4459963068aep-11, -0x1.e7ea714b9458p-11, -0x1.dbea186f020dfp-11, -0x1.cffbecc39897p-11, -0x1.c3f81eccfb118p-11, -0x1.b80fd2deea933p-11, -0x1.ac8b1b3e9ca92p-11, -0x1.a1702d826170fp-11, -0x1.968e481f5cb8ep-11, -0x1.8bcacef138b46p-11, -0x1.813a36351a9d2p-11, -0x1.76f1a6708dd43p-11, -0x1.6cea50e1172e9p-11, -0x1.6311aefc70e34p-11, -0x1.595be51697bb5p-11, -0x1.4fc5fd93ed728p-11, -0x1.4651b8d26207cp-11, -0x1.3d0316c4589f8p-11, -0x1.33e0171adfd05p-11, -0x1.2af037a1054eep-11, -0x1.223aa6e4b0fdp-11, -0x1.19c573ab5c6afp-11, -0x1.119630ac4aa63p-11, -0x1.09ab8b36aeb81p-11, -0x1.01f244734512bp-11, -0x1.f4afffc7db6bp-12, -0x1.e5dd2f9405416p-12, -0x1.d7938756cf95p-12, -0x1.c98059c513823p-12, -0x1.bb44dbdbfad0ap-12, -0x1.ad2f4ad70efe3p-12, -0x1.9fb5fcd96417fp-12, -0x1.92b5ef8ad35fdp-12, -0x1.85e3fc2e8aa28p-12, -0x1.7956d3d8a6901p-12, -0x1.6d3445de61c4cp-12, -0x1.616b0d35e08bbp-12, -0x1.55dc8f3459f1dp-12, -0x1.4a7d4dbe5f0f6p-12, -0x1.3f4fe47dfc544p-12, -0x1.345a13fd41073p-12, -0x1.299fd85ccc087p-12, -0x1.1f22a136c2d5ep-12, -0x1.14e1b9f19a33ep-12, -0x1.0adb859f6fe4cp-12, -0x1.010e8f79621b3p-12, -0x1.eef5b6a791c46p-13, -0x1.dc4440591352dp-13, -0x1.ca0e6cbba3e8ap-13, -0x1.b8604b5e940d5p-13, -0x1.a7571dbb2d9e1p-13, -0x1.970bfc6d6798ap-13, -0x1.8759905bc6613p-13, -0x1.78100d9be7b2p-13, -0x1.6931aa0945fbep-13, -0x1.5a76ae6342124p-13, -0x1.4bbd808a789c5p-13, -0x1.3d6d62ff1e463p-13, -0x1.2f90604d60eddp-13, -0x1.221d96b4e7a19p-13, -0x1.15416b86ec88cp-13, -0x1.08dcb407e1601p-13, -0x1.f975c065caba4p-14, -0x1.e19ed6dedd4d5p-14, -0x1.ca47b21cf9975p-14, -0x1.b38481ebdcc01p-14, -0x1.9d5f3c44b9b8fp-14, -0x1.87d99a3394efbp-14, -0x1.72f11ee627ca1p-14, -0x1.5ea21bb6e304cp-14, -0x1.4ae95b1d05a24p-14, -0x1.37c448f034c92p-14, -0x1.252fe28f9e08ap-14, -0x1.13273e7522d84p-14, -0x1.01a336a78a7dbp-14, -0x1.e138e2ccc0209p-15, -0x1.c01cd29f18c6dp-15, -0x1.9fec148cb49f2p-15, -0x1.8097e6c424633p-15, -0x1.622e0c8be18aap-15, -0x1.4551b087f7079p-15, -0x1.2ac28ef886529p-15, -0x1.117a0b93e93f5p-15, -0x1.f0472c543a82cp-16, -0x1.bd6b9669ff159p-16, -0x1.8a53de667937cp-16, -0x1.5a190a67ddb81p-16, -0x1.2dd39af13dda7p-16, -0x1.0354aed9df5f9p-16, -0x1.b3215738d4d21p-17, -0x1.61613aa042b5ep-17, -0x1.12067e84df689p-17, -0x1.8ac79bf3a93f4p-18, -0x1.ee42cafa811bp-19, -0x1.a437375f1865ap-20, 0x1.f99e1001eb8c3p-22, 0x1.460ca63e8d17fp-19, 0x1.216936ac6e60dp-18, 0x1.9aeecd829fcb2p-18, 0x1.07dc902b0dbd4p-17, 0x1.3fef3570b697ep-17, 0x1.75b6c6138beb9p-17, 0x1.a93cd160aa878p-17, 0x1.da9441d942fbep-17, 0x1.04ee50399221ep-16, 0x1.1b9dcf986e9cbp-16, 0x1.3167923852395p-16, 0x1.4656150568ecap-16, 0x1.5a7b818b05e2ep-16, 0x1.6ddc3c7954e44p-16, 0x1.80022fbb3cd5bp-16, 0x1.90572795e9557p-16, 0x1.9f74cb2d89165p-16, 0x1.ae87b3c44eecp-16, 0x1.bdc456ecb1ffcp-16, 0x1.cbfe0a2a4b6aep-16, 0x1.d8c8d6b48bce9p-16, 0x1.e4ba5361a2b1ep-16, 0x1.f039d68aae2f9p-16, 0x1.fb37dc3b77b92p-16, 0x1.02cd321300411p-15, 0x1.07ac35ad8832fp-15, 0x1.0c396c422ed92p-15, 0x1.10771100ca0cdp-15, 0x1.1467d9445a819p-15, 0x1.180e89c0c677ep-15, 0x1.1b6d850d50629p-15, 0x1.1e8860c2a4e7fp-15, 0x1.21609413554f6p-15, 0x1.23f8af9b91ae8p-15, 0x1.2652afc314cbp-15, 0x1.287056a261b9p-15, 0x1.2a53505f247d1p-15, 0x1.2bfd713771009p-15, 0x1.2d70ebe51ec1dp-15, 0x1.2eb04e23868c6p-15, 0x1.2fbe20c887696p-15, 0x1.309c66271b14ep-15, 0x1.314cf6b27b786p-15, 0x1.31d319347cbfbp-15, 0x1.3230e1c946bddp-15, 0x1.32587a332a4abp-15, 0x1.3245abc919dc8p-15, 0x1.3225e2c37d45dp-15, 0x1.31e89b9cd3346p-15, 0x1.31632a5fa4356p-15, 0x1.30c2d6bc6a001p-15, 0x1.30156c870007p-15, 0x1.2f3caf918959ap-15, 0x1.2e423d2b0afaep-15, 0x1.2d2e2241f0e53p-15, 0x1.2bff4bab89f9cp-15, 0x1.2ab53127c4ca8p-15, 0x1.295092ca96072p-15, 0x1.27d29996fb31ep-15, 0x1.263c777815ac4p-15, 0x1.248f5290c2591p-15, 0x1.22cc46559deadp-15, 0x1.20f45f68d73dap-15, 0x1.1f08a35c6bea1p-15, 0x1.1d0a0bb16e414p-15, 0x1.1af98954b9c29p-15, 0x1.18d8048ac9438p-15, 0x1.16a65d94c18b8p-15, 0x1.14656ed821da4p-15, 0x1.12160f3ce234bp-15, 0x1.0fb913262a34ap-15, 0x1.0d4f4b13b5bc1p-15, 0x1.0ad97fa7eceafp-15, 0x1.08586ad723ebdp-15, 0x1.05ccb60df51d8p-15, 0x1.03371339d47cbp-15, 0x1.00986a4b7f041p-15, 0x1.fbe2f99a7d9p-16, 0x1.f683aaa913438p-16, 0x1.f1160954bc15ep-16, 0x1.eb9b7a7b69e2ap-16, 0x1.e6138ddb8fa56p-16, 0x1.e0817b3a3446p-16, 0x1.dae57594aed6cp-16, 0x1.d53ff632515fap-16, 0x1.cf92ac3ea8299p-16, }}, 
      {{0x1.869dc6d6e9036p-4, 0x1.7cdbc75de6fa2p-4, 0x1.6cf9b6272cc96p-4, 0x1.578c6d6ff1546p-4, 0x1.3d4671c1692b7p-4, 0x1.1ee807023814bp-4, 0x1.fa70834b68d86p-5, 0x1.b1fc69daf82b4p-5, 0x1.65f2b069f06a7p-5, 0x1.17b6ced26fb79p-5, 0x1.9113f44cf45a9p-6, 0x1.e6242ef41b3d1p-7, 0x1.5d6823df24e08p-8, -0x1.019c82bcdc12fp-8, -0x1.a58ca836e7ae7p-7, -0x1.5e97a8d64d19cp-6, -0x1.e2eb1ddd934aep-6, -0x1.2f84478cd84cp-5, -0x1.693565ed6ab8bp-5, -0x1.9e5d00c448cfap-5, -0x1.cee2ea316878ap-5, -0x1.fabfc1cfcf19fp-5, -0x1.10fd18ad37138p-4, -0x1.2252357746e9dp-4, -0x1.316cf926706eap-4, -0x1.3e5ed83cab52p-4, -0x1.493c2594c42c3p-4, -0x1.521b5c46b3027p-4, -0x1.591483beb33eap-4, -0x1.5e40ab04cc44ap-4, -0x1.61b9796f6f1d6p-4, -0x1.6398d2b2322f4p-4, -0x1.63f88c8aee77p-4, -0x1.62f2348256ff2p-4, -0x1.609ee44ba8d11p-4, -0x1.5d172229f16f5p-4, -0x1.5872cb05e8bc8p-4, -0x1.52c9044132414p-4, -0x1.4c303371cdd8p-4, -0x1.44bdf9f49523ap-4, -0x1.3c8732b75e773p-4, -0x1.339ff11080ee2p-4, -0x1.2a1b7ff680bd4p-4, -0x1.200c612d86b88p-4, -0x1.15844c3ba33b8p-4, -0x1.0a942d19d377dp-4, -0x1.fe98456aedb78p-5, -0x1.e776fb199c3dbp-5, -0x1.cfe17d4c442ecp-5, -0x1.b7f32e2e9cc5ap-5, -0x1.9fc5d0d7a1378p-5, -0x1.87718bf78425p-5, -0x1.6f0cee999286cp-5, -0x1.56acf6eedf93bp-5, -0x1.3e651b136ba36p-5, -0x1.264753b03150fp-5, -0x1.0e642815161ep-5, -0x1.ed957765d3ecbp-6, -0x1.bf11b908cb061p-6, -0x1.91562460729a8p-6, -0x1.64795b3179fb4p-6, -0x1.388fb1204deep-6, -0x1.0dab4b173a325p-6, -0x1.c7b87c817d07ep-7, -0x1.76615c98dcc84p-7, -0x1.2769d5a6e6597p-7, -0x1.b5ce2eb705ceap-8, -0x1.21d6307bca9cbp-8, -0x1.261326f7b9626p-9, -0x1.30128671d9e33p-13, 0x1.eac75dc1bdd0cp-10, 0x1.f2ff4898a56efp-9, 0x1.72df59ed67bd7p-8, 0x1.e6cbbeea2c581p-8, 0x1.2aa1c49fb0b94p-7, 0x1.5f248966352fp-7, 0x1.90f1089e48d9ep-7, 0x1.c00ba84fbaf8ap-7, 0x1.ec7a38257eaddp-7, 0x1.0b21e892dc12dp-6, 0x1.1eb85b4a95393p-6, 0x1.31051c83289d9p-6, 0x1.420d4d8c94399p-6, 0x1.51d67c1f36954p-6, 0x1.606696d2c181cp-6, 0x1.6dc3e1f51c399p-6, 0x1.79f4ed348110ep-6, 0x1.850089c3786ep-6, 0x1.8eedc0b0d8564p-6, 0x1.97c3ca5a4c7e3p-6, 0x1.9f8a0613b6be5p-6, 0x1.a647f2efe7c7cp-6, 0x1.ac052939a710cp-6, 0x1.b0c9549641f87p-6, 0x1.b49c2ef713112p-6, 0x1.b7857bdc2301cp-6, 0x1.b98d042056a0dp-6, 0x1.baba91fb607bbp-6, 0x1.bb15ed46b6445p-6, 0x1.baa6d80772808p-6, 0x1.b9750b179e8f9p-6, 0x1.b788333b173b2p-6, 0x1.b4e7ee4cdabbdp-6, 0x1.b19bc8c37bbdcp-6, 0x1.adab3b8727bacp-6, 0x1.a91da9e178bb9p-6, 0x1.a3fa5fbced24ap-6, 0x1.9e4890117ff3ap-6, 0x1.980f535feead3p-6, 0x1.9155a658b6bcap-6, 0x1.8a226899148ccp-6, 0x1.827c5b67bc41ep-6, 0x1.7a6a20908761ep-6, 0x1.71f2394e3bb2p-6, 0x1.691b053653128p-6, 0x1.5feac14445b83p-6, 0x1.566786fc2c1cep-6, 0x1.4c974b981cd62p-6, 0x1.427fdf56b3b4ep-6, 0x1.3826eced4afb5p-6, 0x1.2d91f908badacp-6, 0x1.22c661ed01357p-6, 0x1.17c95f3723b04p-6, 0x1.0ca001b4cc6bap-6, 0x1.014f3357dec0ep-6, 0x1.ebb76e752ac32p-7, 0x1.d494537c7f5c5p-7, 0x1.bd3e0189070ap-7, 0x1.a5bd17d5a9aa9p-7, 0x1.8e19e9c25579ep-7, 0x1.765c7fa6d9861p-7, 0x1.5e8c97a4c9da2p-7, 0x1.46b1a6a8bd845p-7, 0x1.2ed2d98ccb6ebp-7, 0x1.16f7163450f35p-7, 0x1.fe49f98d2db44p-8, 0x1.cec5d2136c473p-8, 0x1.9f6de780dc1b6p-8, 0x1.704de8370e018p-8, 0x1.4171026aacde9p-8, 0x1.12e1e724af17p-8, 0x1.c9559b0047721p-9, 0x1.6daaebb7c037cp-9, 0x1.12d659ca69cafp-9, 0x1.71d33b8a154bp-10, 0x1.7fd658b441a98p-11, 0x1.0149b2734a51cp-14, -0x1.3b23fcff48661p-11, -0x1.48ebb567e2adfp-10, -0x1.f1dd208ebc63cp-10, -0x1.4c2626e4fb6ffp-9, -0x1.9e105adb1bf52p-9, -0x1.eea19814b5f46p-9, -0x1.1ee77a7755fcdp-8, -0x1.45c7166e43727p-8, -0x1.6beacd803253p-8, -0x1.914e1ac5bb6ap-8, -0x1.b5ecc4a7c2b4ep-8, -0x1.d9c2da69a4544p-8, -0x1.fcccb1e8d4444p-8, -0x1.0f8372e4d1353p-7, -0x1.203729c3386f5p-7, -0x1.30800ca4f7631p-7, -0x1.405cca0d33b61p-7, -0x1.4fcc2f2bb57e8p-7, -0x1.5ecd2702d9491p-7, -0x1.6d5eb97ccb479p-7, -0x1.7b800aacc2b4p-7, -0x1.89305a26c4e83p-7, -0x1.966f023bed698p-7, -0x1.a33b773137fd7p-7, -0x1.af95469ec6a68p-7, -0x1.bb7c16dc90373p-7, -0x1.c6efa64dde931p-7, -0x1.d1efcaa945667p-7, -0x1.dc7c7068ea8e9p-7, -0x1.e6959a48ee0cfp-7, -0x1.f03b60a58e194p-7, -0x1.f96df0caa0524p-7, -0x1.0116c6328c1b9p-6, -0x1.053d44856a27ap-6, -0x1.092aa7d481374p-6, -0x1.0cdf2deceea7cp-6, -0x1.105b1da7f3192p-6, -0x1.139ec6af81307p-6, -0x1.16aa813d664f3p-6, -0x1.197eadca6d7fcp-6, -0x1.1c1bb4be4d0b2p-6, -0x1.1e82063027fecp-6, -0x1.20b219ac1dc7cp-6, -0x1.22ac6dea7dbd3p-6, -0x1.2471887ca1fd3p-6, -0x1.2601f58404b57p-6, -0x1.275e4777d613p-6, -0x1.288716e9e5cb9p-6, -0x1.297d023aab4ep-6, -0x1.2a40ad46fb77dp-6, -0x1.2ad2c122e1eb1p-6, -0x1.2b33ebe35c279p-6, -0x1.2b64e064d4e21p-6, -0x1.2b6656019e7cdp-6, -0x1.2b390842199d8p-6, -0x1.2addb6994ec2p-6, -0x1.2a552431d34c3p-6, -0x1.29a017ba4666fp-6, -0x1.28bf5b241198fp-6, -0x1.27b3bb56d9a9fp-6, -0x1.267e07ee0feb5p-6, -0x1.251f1307bc19fp-6, -0x1.2397b1193c8d2p-6, -0x1.21e8b8bae40a6p-6, -0x1.20130264cfdf4p-6, -0x1.1e17682ca79b6p-6, -0x1.1bf6c59259fedp-6, -0x1.19b1f75b97c97p-6, -0x1.1749db6f1f643p-6, -0x1.14bf50a22ea8cp-6, -0x1.1213367bf992cp-6, -0x1.0f466cfe6da65p-6, -0x1.0c59d47febcb4p-6, -0x1.094e4d9153616p-6, -0x1.0624b8e0bcaf2p-6, -0x1.02ddf70d84eb6p-6, -0x1.fef5d0ed3453ep-7, -0x1.f7f8da0ff66cp-7, -0x1.f0c6c8466b461p-7, -0x1.e961591564a8cp-7, -0x1.e1ca489e330ccp-7, -0x1.da03515c5fb56p-7, -0x1.d20e2bd095579p-7, -0x1.c9ec8e3255ac7p-7, -0x1.c1a02c3e50a09p-7, -0x1.b92ab7233a37bp-7, -0x1.b08ddd6b8db84p-7, -0x1.a7cb4ad76d85fp-7, -0x1.9ee4a819e2c98p-7, -0x1.95db9a97f4907p-7, -0x1.8cb1c4366c9ep-7, -0x1.8368c348e1aaap-7, -0x1.7a02328ba2d59p-7, -0x1.707fa9158464fp-7, -0x1.66e2ba3280706p-7, -0x1.5d2cf52e26d3p-7, -0x1.535fe5224b9c3p-7, -0x1.497d10dbe5aa8p-7, -0x1.3f85fad657008p-7, -0x1.357c213e6c59dp-7, -0x1.2b60fdec5c089p-7, -0x1.21360635abdaap-7, -0x1.16fcaaee5298bp-7, -0x1.0cb65809516d3p-7, -0x1.026474b400c63p-7, -0x1.f010c684e9ddp-8, -0x1.db470275d7203p-8, -0x1.c66e4ea7df759p-8, -0x1.b18952c4dd1b7p-8, -0x1.9c9aac7651351p-8, -0x1.87a4ef2982f2ap-8, -0x1.72aaa3ec3798bp-8, -0x1.5dae496ab3e82p-8, -0x1.48b253fecd2bp-8, -0x1.33b92dbbed724p-8, -0x1.1ec53661b719dp-8, -0x1.09d8c3399cde1p-8, -0x1.e9ec3dc9162eep-9, -0x1.c03f126b1e4bbp-9, -0x1.96ae6e3fede0ep-9, -0x1.6d3ea597959c4p-9, -0x1.43f3f727d2c5p-9, -0x1.1ad28c4073842p-9, -0x1.e3bcf143601cep-10, -0x1.923774883237dp-10, -0x1.411c7237da7b6p-10, -0x1.e0e71b93c3bbcp-11, -0x1.40887c50fee45p-11, -0x1.4257375a40be7p-12, -0x1.6f5b2b0d40af6p-18, 0x1.34a09def1df69p-12, 0x1.3653e78eca3e3p-11, 0x1.d11edf44d6c89p-11, 0x1.35522d90ba41bp-10, 0x1.816becef0f07bp-10, 0x1.ccd69a06f7b0fp-10, 0x1.0bc626f72b281p-9, 0x1.30c3a724b01p-9, 0x1.556106847a7ap-9, 0x1.799b941a28de2p-9, 0x1.9d70b538c1381p-9, 0x1.c0dde4e8497f5p-9, 0x1.e3e0b48571c2cp-9, 0x1.033b661414e31p-8, 0x1.144ef4b5098cbp-8, 0x1.2529f01b87a2cp-8, 0x1.35cb4d28e0d3cp-8, 0x1.46320b95eed08p-8, 0x1.565d35ff9eedap-8, 0x1.664be1a95687ep-8, 0x1.75fd2ead43077p-8, 0x1.857047dc84e4p-8, 0x1.94a462ba8168p-8, 0x1.a398bf6cd4df6p-8, 0x1.b24ca8a4ee5acp-8, 0x1.c0bf73869d3abp-8, 0x1.cef07f8ddfe34p-8, 0x1.dcdf3677b716bp-8, 0x1.ea8b0c2eaba07p-8, 0x1.f7f37eb977799p-8, 0x1.028c0b16c7237p-7, 0x1.08fc324bf6cd4p-7, 0x1.0f4a02f49c892p-7, 0x1.15754fe9c0b75p-7, 0x1.1b7df0d759938p-7, 0x1.2163c229b32ecp-7, 0x1.2726a4fc99e9ep-7, 0x1.2cc67f0c0351bp-7, 0x1.32433aa661fbp-7, 0x1.379cc6a019752p-7, 0x1.3cd316476a499p-7, 0x1.41e621545a74cp-7, 0x1.46d5e3dbdcc97p-7, 0x1.4ba25e393a514p-7, 0x1.504b94fadaf65p-7, 0x1.54d190cb8d40ep-7, 0x1.59345e5c79149p-7, 0x1.5d740e506f2c6p-7, 0x1.6190b529bdbb2p-7, 0x1.658a6b3a585d3p-7, 0x1.69614c952bd06p-7, 0x1.6d1578ff8dd0cp-7, 0x1.70a713e19a85ap-7, 0x1.74164432ff23cp-7, 0x1.77633460edc87p-7, 0x1.7a8e11b6fe26p-7, 0x1.7d970eb69939fp-7, 0x1.807e5e18f644fp-7, 0x1.834437941e297p-7, 0x1.85e8d5580a688p-7, 0x1.886c747dd3e1dp-7, 0x1.8acf54f94e51cp-7, 0x1.8d11b98acb37bp-7, 0x1.8f33e7af5b1cfp-7, 0x1.9136278e3fb12p-7, 0x1.9318c3e24f41ap-7, 0x1.94dc09de22006p-7, 0x1.9680490b79b01p-7, 0x1.9805d329b46fp-7, 0x1.996cfc0e7f1f7p-7, 0x1.9ab6198d4107dp-7, 0x1.9be18364e969ap-7, 0x1.9cef9334b70dfp-7, 0x1.9de0a47477dfp-7, 0x1.9eb5146ca3ebp-7, 0x1.9f6d422a3b504p-7, 0x1.a0098e6b9d89ep-7, 0x1.a08a5b84d2dcp-7, 0x1.a0f00d3fdc37ep-7, 0x1.a13b08b6ff752p-7, 0x1.a16bb42e9a81dp-7, 0x1.a18276fef067fp-7, 0x1.a17fb978fe0e2p-7, 0x1.a163e4e0cf36ap-7, 0x1.a12f6369838f1p-7, 0x1.a0e2a032cfbd9p-7, 0x1.a07e074493415p-7, 0x1.a0020582023abp-7, 0x1.9f6f089245423p-7, 0x1.9ec57ebf501fep-7, 0x1.9e05d6cfbed57p-7, 0x1.9d307fe117fd7p-7, 0x1.9c45e949e77d2p-7, 0x1.9b468287f879cp-7, 0x1.9a32bb3c99bcdp-7, 0x1.990b0333bad89p-7, 0x1.97cfca6f817f2p-7, 0x1.9681812ff4cbfp-7, 0x1.952097ee44547p-7, 0x1.93ad7f46c236ap-7, 0x1.9228a7d0ea12dp-7, 0x1.909281ead82c5p-7, 0x1.8eeb7d81b0a0ep-7, 0x1.8d3409e31492ap-7, 0x1.8b6c95a31d0d9p-7, 0x1.89958e9c431a2p-7, 0x1.87af620f4283dp-7, 0x1.85ba7cd774474p-7, 0x1.83b74b7f02acbp-7, 0x1.81a63a6db372fp-7, 0x1.7f87b643230d8p-7, 0x1.7d5c2b4912f6dp-7, 0x1.7b24056f2f6a8p-7, 0x1.78dfb014a262dp-7, 0x1.768f9555218acp-7, 0x1.74341dc78dbdep-7, 0x1.71cdb04c54111p-7, 0x1.6f5cb1fbf52fp-7, 0x1.6ce18650139f4p-7, 0x1.6a5c8f7e2add9p-7, 0x1.67ce2eefdcfp-7, 0x1.6536c5bcb3882p-7, 0x1.6296b506d32b3p-7, 0x1.5fee5e207ae6p-7, 0x1.5d3e226b2b3cap-7, 0x1.5a8662f0f467p-7, 0x1.57c77fc8c6ddap-7, 0x1.5501d7647797p-7, 0x1.5235c5ede55cep-7, 0x1.4f63a4d700cafp-7, 0x1.4c8bcac0a6fap-7, 0x1.49ae8b7e77d8dp-7, 0x1.46cc38f0972a5p-7, 0x1.43e52373e22b8p-7, 0x1.40f99ac0029fcp-7, 0x1.3e09ee9ecf129p-7, 0x1.3b166f5eea9b9p-7, 0x1.381f6df1276dfp-7, 0x1.35253ba3176b1p-7, 0x1.3228297e6687ep-7, 0x1.2f2887687ae76p-7, 0x1.2c26a32d7aaeep-7, 0x1.2922c7a948befp-7, 0x1.261d3c3db8917p-7, 0x1.231644b5888d7p-7, 0x1.200e219ab8499p-7, 0x1.1d0510ebe7d07p-7, 0x1.19fb4f0750853p-7, 0x1.16f1179960059p-7, 0x1.13e6a661ebd3dp-7, 0x1.10dc37b26de75p-7, 0x1.0dd20898538c7p-7, 0x1.0ac856b4974c8p-7, 0x1.07bf5fc887c25p-7, 0x1.04b76103bcc7fp-7, 0x1.01b0962565199p-7, 0x1.fd56711e65663p-8, 0x1.f74efced6b1f4p-8, 0x1.f14b34d4dab4bp-8, 0x1.eb4b76aab752cp-8, 0x1.e5501a19f7cd1p-8, 0x1.df59728fdba7bp-8, 0x1.d967d16c01998p-8, 0x1.d37b87cd646f9p-8, 0x1.cd94e777ca26fp-8, 0x1.c7b442cf32f5bp-8, 0x1.c1d9ec25e208bp-8, 0x1.bc0634e631911p-8, 0x1.b6396d106811dp-8, 0x1.b073e311f8593p-8, 0x1.aab5e3b6b8827p-8, 0x1.a4ffb9bb4d999p-8, 0x1.9f51acb9532a8p-8, 0x1.99abff9f4bc01p-8, 0x1.940eef612c007p-8, 0x1.8e7ab2b514e94p-8, 0x1.88ef7b52ec6c9p-8, 0x1.836d78749f226p-8, 0x1.7df4d996f6f94p-8, 0x1.7885d03abe148p-8, 0x1.73208fc1965adp-8, 0x1.6dc54b6d1a552p-8, 0x1.6874337815eabp-8, 0x1.632d72c3d6b2fp-8, 0x1.5df12e548d269p-8, 0x1.58bf86ed0846fp-8, 0x1.53989bf63d215p-8, 0x1.4e7c8e1e6f5adp-8, 0x1.496b803612fafp-8, 0x1.446595b9609e9p-8, 0x1.3f6aefd59da7cp-8, 0x1.3a7baa9dda035p-8, 0x1.3597dc33f8fcep-8, 0x1.30bf969e5316ap-8, 0x1.2bf2eb8705038p-8, 0x1.2731eff3467f9p-8, 0x1.227cbdda33542p-8, 0x1.1dd37296737ep-8, 0x1.19362a96052d2p-8, 0x1.14a4fb9e2a41p-8, 0x1.101ff13911ea1p-8, 0x1.0ba70d1950dc5p-8, 0x1.073a4a10c6ff6p-8, 0x1.02d9a18f4510cp-8, 0x1.fd0a2200b1da7p-9, 0x1.f4793776479b9p-9, 0x1.ec0092e6d5fd7p-9, 0x1.e3a044b0e862ep-9, 0x1.db58561dc2a88p-9, 0x1.d328c58f95727p-9, 0x1.cb1189015a88dp-9, 0x1.c312956e322a3p-9, 0x1.bb2be738b4ec8p-9, 0x1.b35d87f48e15dp-9, 0x1.aba78d34b95c1p-9, 0x1.a40a0efd27257p-9, 0x1.9c851fd6082d9p-9, 0x1.9518c203ef1fap-9, 0x1.8dc4e14caff38p-9, 0x1.8689583602a68p-9, 0x1.7f65f75392203p-9, 0x1.785a8e80532cap-9, 0x1.7166f34a0c36ep-9, 0x1.6a8b015edb925p-9, 0x1.63c69633f06f4p-9, 0x1.5d198ba572d91p-9, 0x1.5683b58ee78ffp-9, 0x1.5004e4648ced7p-9, 0x1.499cebb47b5a1p-9, 0x1.434ba8d49a9fcp-9, 0x1.3d1105a06a62p-9, 0x1.36ecf599d4204p-9, 0x1.30df6f6c2a482p-9, 0x1.2ae866dc495bdp-9, 0x1.2507ca0eae44ep-9, 0x1.1f3d820d08789p-9, 0x1.198974591c979p-9, 0x1.13eb838501748p-9, 0x1.0e638e4f778eep-9, 0x1.08f16dfedd0c2p-9, 0x1.0394f4cd4b836p-9, 0x1.fc9bd8f579c2fp-10, 0x1.f23829060520ep-10, 0x1.e7fe4088c555fp-10, 0x1.dded6ed129cf4p-10, 0x1.d404f79471e9bp-10, 0x1.ca442ba56ee49p-10, 0x1.c0aa85b7d486ep-10, 0x1.b737ba1154155p-10, 0x1.adebab92b2bcp-10, 0x1.a4c64840af35ap-10, 0x1.9bc76164e2636p-10, 0x1.92ee98b9f699dp-10, 0x1.8a3b6ec5cce98p-10, 0x1.81ad67e52c20dp-10, 0x1.79442eec479c9p-10, 0x1.70ff9f7b84514p-10, 0x1.68dfb2d984e74p-10, 0x1.60e45c5475c7cp-10, 0x1.590d6b1a5ccc7p-10, 0x1.515a814e5748dp-10, 0x1.49cb1e3de3e28p-10, 0x1.425eaa9933cadp-10, 0x1.3b1478b7c4885p-10, 0x1.33ebbe32149e8p-10, 0x1.2ce39ad83a8c9p-10, 0x1.25fb39602eebdp-10, 0x1.1f31fd058a89ep-10, 0x1.18879c397d752p-10, 0x1.11fc0ef2d91f4p-10, 0x1.0b8f550074393p-10, 0x1.054137b2c394ap-10, 0x1.fe22625e0b38p-11, 0x1.f1fd156a7a522p-11, 0x1.e6113798c0891p-11, 0x1.da5dfc10ca343p-11, 0x1.cee32a1ef3484p-11, 0x1.c3a0d738f05d8p-11, 0x1.b89703256911cp-11, 0x1.adc558891a455p-11, 0x1.a32b3053e463bp-11, 0x1.98c7bea3e11d4p-11, 0x1.8e9a331ecdae2p-11, 0x1.84a1b06694ae4p-11, 0x1.7add2d83bcf2p-11, 0x1.714b64e0bfe68p-11, 0x1.67eae43c4e502p-11, 0x1.5eba3ecb71729p-11, 0x1.55b852ab030e2p-11, 0x1.4ce47b6b36bfdp-11, 0x1.443e831d070ddp-11, 0x1.3bc6483ce442fp-11, 0x1.337b4def6e6e8p-11, 0x1.2b5c8aad880d8p-11, 0x1.2368a35c49795p-11, 0x1.1b9e6b2d8d99p-11, 0x1.13fd42d615b95p-11, 0x1.0c850c9a89a1ap-11, 0x1.0535c853e94a5p-11, 0x1.fc1e5c4d8dfcp-12, 0x1.ee212974d2541p-12, 0x1.e0725ac7bc8a7p-12, 0x1.d310ab0676a17p-12, 0x1.c5fb5444d4395p-12, 0x1.b931a18cb73eep-12, 0x1.acb26c9c8b866p-12, 0x1.a07bfd6dbaea9p-12, 0x1.948c510496cb7p-12, 0x1.88e18e6bb90b1p-12, 0x1.7d7a34ea7abe5p-12, 0x1.725525245a08ep-12, 0x1.67716ee4602d2p-12, 0x1.5cce179d96c1ep-12, 0x1.526a0c55ee234p-12, 0x1.4843f09681301p-12, 0x1.3e5a0eaf0f7d6p-12, 0x1.34aa94088e791p-12, 0x1.2b340e820c66bp-12, 0x1.21f5bf1df41b9p-12, 0x1.18ef5a6063e27p-12, 0x1.102067434453bp-12, 0x1.0787e0e003b96p-12, 0x1.fe48d0030a05dp-13, 0x1.ede97775eb052p-13, 0x1.ddf003fff30fap-13, 0x1.ce5b4699e246bp-13, 0x1.bf29f16735b71p-13, 0x1.b05a61f39350ap-13, 0x1.a1eab810252fap-13, 0x1.93d8bbacba705p-13, 0x1.862203fad0219p-13, 0x1.78c406c2ec279p-13, 0x1.6bbceb5d5d3dep-13, 0x1.5f0bb1b12184cp-13, 0x1.52afd729bf69fp-13, 0x1.46a88a583afd9p-13, 0x1.3af3f670fd9p-13, 0x1.2f8f51f3f76fbp-13, 0x1.247784bda7b8dp-13, 0x1.19a9ceff6b299p-13, 0x1.0f244c50b5a23p-13, 0x1.04e6333ec2604p-13, 0x1.f5de7380dd954p-14, 0x1.e27c76e116928p-14, 0x1.cfa147cd3169ap-14, 0x1.bd47691456bdfp-14, 0x1.ab6c5100f3082p-14, 0x1.9a0fe8813319bp-14, 0x1.893145292a47dp-14, 0x1.78cd3bf6de69fp-14, 0x1.68e004927e58ap-14, 0x1.5966bcf30cbb3p-14, 0x1.4a5efedfdf9c8p-14, 0x1.3bc642dccf6dfp-14, 0x1.2d9a027d89599p-14, 0x1.1fd7dcdd40005p-14, 0x1.127d7b572ad36p-14, 0x1.05888f64c0ed5p-14, 0x1.f1ee298b632bap-15, 0x1.d98f2a373be15p-15, 0x1.c1f1e9137de1ap-15, 0x1.ab13520f2c233p-15, 0x1.94ee20d53541fp-15, 0x1.7f7b9b6b35744p-15, 0x1.6ab571ea58b2ep-15, 0x1.56962afe21429p-15, 0x1.431939cef563bp-15, 0x1.303bdd3125baep-15, 0x1.1dfac36e2b396p-15, 0x1.0c4eaf3a05698p-15, 0x1.f6618f676ca2ap-16, 0x1.d5419f3d84abcp-16, 0x1.b540913250336p-16, 0x1.96566b3958968p-16, 0x1.7876724b08d2ap-16, 0x1.5b99558fb2e5dp-16, 0x1.3fba531ace152p-16, 0x1.24d31fdcb5061p-16, 0x1.0add1e22bde43p-16, 0x1.e3a4e4d8b358cp-17, 0x1.b35b3e990f8e3p-17, 0x1.84d2518523fbap-17, 0x1.57ffd8719158p-17, 0x1.2cd2dc2303e69p-17, 0x1.0348ee0420a2p-17, 0x1.b69c75089d4edp-18, 0x1.69bbad5d64cdcp-18, 0x1.1fdd02b9270d4p-18, 0x1.b1e573276af9cp-19, 0x1.29dc2969ac083p-19, 0x1.4eed00f45e35cp-20, 0x1.541e356a40c2ap-22, -0x1.34c9b08dcdb44p-21, -0x1.7fd74621ce994p-20, -0x1.2ddcfdde0221cp-19, -0x1.9720eda5b19f8p-19, -0x1.fbd8f5d7575bcp-19, -0x1.2e11684deff34p-18, -0x1.5c06146808c85p-18, -0x1.87df9c717dc3bp-18, -0x1.b1b385886c305p-18, -0x1.d98cb8878890ap-18, -0x1.ff7a1dbc46fbdp-18, -0x1.11c5b86c6f6dp-17, -0x1.22e64a9597534p-17, -0x1.3324b164a90b4p-17, -0x1.4286a7b2c4e35p-17, -0x1.51124d41f1553p-17, -0x1.5ecf5bbceb8c8p-17, -0x1.6bc53f8f9236bp-17, -0x1.77fba9c5c87a9p-17, -0x1.83781f3a1db41p-17, -0x1.8e3ff50d507f5p-17, -0x1.985810e956951p-17, -0x1.a1c568bba9c1ep-17, -0x1.aa8d5e473e3d9p-17, -0x1.b2b57e7efc8bap-17, -0x1.ba42d1349eb34p-17, -0x1.c139bef9bb83ep-17, -0x1.c79f7622ed038p-17, -0x1.cd7ac138882b9p-17, -0x1.d2d0bcb37272ap-17, -0x1.d7a3274749748p-17, -0x1.dbf77646b72efp-17, -0x1.dfd580c94a635p-17, -0x1.e3434ec19e9a1p-17, -0x1.e64700c82c88p-17, -0x1.e8dfc40e92a39p-17, -0x1.eb0f45b0ed873p-17, -0x1.ecdc5c3067d86p-17, -0x1.ee4bd3c0480ccp-17, -0x1.ef60793cea1ffp-17, -0x1.f01ce2f4fc24fp-17, -0x1.f083eb3405282p-17, -0x1.f098a99e299dp-17, -0x1.f05e655bc6f2cp-17, -0x1.efd88a88b8123p-17, -0x1.ef0a978264547p-17, -0x1.edf7fd771f855p-17, -0x1.eca3f9890c3abp-17, -0x1.eb117204ea7dfp-17, -0x1.e942e76cbfef8p-17, -0x1.e73a8a25a8272p-17, -0x1.e4fa78ab8e9e2p-17, -0x1.e2850f6918854p-17, -0x1.dfdd143c52666p-17, -0x1.dd058a28696bdp-17, -0x1.da0134475498fp-17, -0x1.d6d23ab5103a8p-17, -0x1.d37a783a22f66p-17, -0x1.cffbcb376747ep-17, -0x1.cc574bfd87b38p-17, -0x1.c88dcfc41390ep-17, -0x1.c4a2861fd2f01p-17, -0x1.c099fa4ec108p-17, -0x1.bc76c443e3d96p-17, -0x1.b8388e46cff37p-17, -0x1.b3dfecf0a0a48p-17, -0x1.af6f500cf01f2p-17, -0x1.aae8d6202ce21p-17, -0x1.a64dd9176214p-17, -0x1.a19f8aef3c13ap-17, -0x1.9cdf514117906p-17, -0x1.980e7486e24acp-17, -0x1.932e47d3de28fp-17, -0x1.8e401ddd0ebe6p-17, -0x1.894542db60e66p-17, -0x1.8442e678bfb0ap-17, -0x1.7f2e6c0f6ee22p-17, -0x1.7a14dc5b6ed1dp-17, -0x1.74f360432a0dbp-17, -0x1.6fcafe9ba4eaep-17, -0x1.6a9caba672de4p-17, -0x1.65694e4109474p-17, -0x1.6031ca10a7ea2p-17, -0x1.5af7086d6e2bdp-17, -0x1.55b9f93abcap-17, -0x1.507b886ab0b3bp-17, -0x1.4b3c8cfe8b926p-17, -0x1.45fdc31320f21p-17, -0x1.40bfdbdfd62ccp-17, -0x1.3b83813e99aa1p-17, -0x1.3649294a0afecp-17, -0x1.31116f2e92a37p-17, -0x1.2bdd93743b6dfp-17, -0x1.26adfe81dedaap-17, -0x1.2182b9f832e4bp-17, -0x1.1c5cf30fd9723p-17, -0x1.173b590de0702p-17, -0x1.1226548fd2c6ep-17, -0x1.0d1073265b7cap-17, -0x1.08054de4f0ce4p-17, -0x1.030157bfb6136p-17, -0x1.fc0a6d8410bdap-18, -0x1.f223850861e4ap-18, -0x1.e84d9dd82df36p-18, -0x1.de8b11eb9e5d5p-18, -0x1.d4dc32c8236adp-18, -0x1.cb3fe1f203861p-18, -0x1.c1b6170cd241cp-18, -0x1.b842d1a9d0395p-18, -0x1.aee4f52efd831p-18, -0x1.a59c9be928bf5p-18, -0x1.9c6a6ea1a4443p-18, -0x1.934ee965251bcp-18, -0x1.8a4a7525bfe74p-18, -0x1.815d720665ed3p-18, -0x1.78883a08654c3p-18, -0x1.6fcb1ffe7c009p-18, -0x1.672671135c4f6p-18, -0x1.5e9a719587f8p-18, -0x1.56275de74674ep-18, -0x1.4dcd6c6565067p-18, -0x1.458cd1c020eaap-18, -0x1.3d65bec3b997fp-18, -0x1.355855fa1ab5fp-18, -0x1.2d64c0546ae2ep-18, -0x1.258b1c015a17ep-18, -0x1.1dcb7e9ed456p-18, -0x1.162607098c74dp-18, -0x1.0e9ac4ebc658p-18, -0x1.0729c3f8d77f3p-18, -0x1.ffa61ff2d59b3p-19, }}, 
      {{0x1.88cddced5bc7fp-4, 0x1.85892df3a6a8fp-4, 0x1.8028e9b089583p-4, 0x1.78cb815f2cabp-4, 0x1.6f9834b70f7c4p-4, 0x1.64bb242e62928p-4, 0x1.5863440f14e0bp-4, 0x1.4ac1091aaa7cep-4, 0x1.3c0525abdb5d5p-4, 0x1.2c5f53e095d7fp-4, 0x1.1bfd5915f1956p-4, 0x1.0b0a59d46a7dep-4, 0x1.f35cee48d80fdp-5, 0x1.d01d405c798bp-5, 0x1.ac99061cfc869p-5, 0x1.890d1de5f485bp-5, 0x1.65b001d61f88p-5, 0x1.42b1f2ae040eap-5, 0x1.203d333414a91p-5, 0x1.fceca6642ccefp-6, 0x1.baf90ff67cb7p-6, 0x1.7ad41de3e451dp-6, 0x1.3ca92c49a192ep-6, 0x1.009b4e1a0b542p-6, 0x1.8d8c40068b8cfp-7, 0x1.1e7d27677b029p-7, 0x1.684ebf217a3b8p-8, 0x1.3a7a1785daa69p-9, -0x1.212ed24d328b9p-11, -0x1.b7a9dec7be07bp-9, -0x1.89d8f4f78e5ccp-8, -0x1.17233f3347cc9p-7, -0x1.649e18e5cadfdp-7, -0x1.ad709c2b0af86p-7, -0x1.f1b1ed4cc750ep-7, -0x1.18be11ee5501p-6, -0x1.3675e14d7d5bfp-6, -0x1.520fa077aa6ffp-6, -0x1.6b9b521254c2bp-6, -0x1.83299356684ccp-6, -0x1.98cb75dc477b5p-6, -0x1.ac925ed193e2dp-6, -0x1.be8feabe02d16p-6, -0x1.ced5d5007721fp-6, -0x1.dd75e26d51e0fp-6, -0x1.ea81ce92c242fp-6, -0x1.f60b3b3ab31a7p-6, -0x1.0011d0f411182p-5, -0x1.046e238301a73p-5, -0x1.0823174705ae6p-5, -0x1.0b390901b804cp-5, -0x1.0db82bd1868c2p-5, -0x1.0fa8855aa9f86p-5, -0x1.1111ea78ff76bp-5, -0x1.11fbfc71cb055p-5, -0x1.126e26a100cd7p-5, -0x1.126f9c967b961p-5, -0x1.120758a131448p-5, -0x1.113c1abc63016p-5, -0x1.101467d957b4dp-5, -0x1.0e96897c8ad08p-5, -0x1.0cc88da45fec3p-5, -0x1.0ab046f388ccfp-5, -0x1.08534d15074d6p-5, -0x1.05b6fd524bd95p-5, -0x1.02e07b56e3e1cp-5, -0x1.ffa96437d7b7ep-6, -0x1.f930a9ea5c407p-6, -0x1.f25fc174bd7f2p-6, -0x1.eb3f3a0854af5p-6, -0x1.e3d73aef27304p-6, -0x1.dc2f863496c0dp-6, -0x1.d44f7b63e7d29p-6, -0x1.cc3e1a5cb25d5p-6, -0x1.c402063f9c7a5p-6, -0x1.bba1886e1ca0dp-6, -0x1.b322939067a99p-6, -0x1.aa8ac68da1169p-6, -0x1.a1df6f755c41cp-6, -0x1.99258e5079b11p-6, -0x1.9061d7ea6ef0ep-6, -0x1.8798b895702adp-6, -0x1.7ece56f99f858p-6, -0x1.760696e99531p-6, -0x1.6d451c34622a3p-6, -0x1.648d4d69dfd1bp-6, -0x1.5be256856123fp-6, -0x1.53472b6b84f38p-6, -0x1.4abe8a59eab35p-6, -0x1.424afe289e914p-6, -0x1.39eee08edd3f8p-6, -0x1.31ac5c504165ep-6, -0x1.29856f6b42d94p-6, -0x1.217bed41a798fp-6, -0x1.199180b721d1cp-6, -0x1.11c7ae3fc2ca6p-6, -0x1.0a1fd5d9c214cp-6, -0x1.029b34ed35161p-6, -0x1.f675d01fc043fp-7, -0x1.e7ffd963da2ddp-7, -0x1.d9d64571db0f1p-7, -0x1.cbfa9bda775b6p-7, -0x1.be6e2efdf5b5fp-7, -0x1.b1321ebe873a7p-7, -0x1.a4475b297f88bp-7, -0x1.97aea72eb0945p-7, -0x1.8b689b199eacbp-7, -0x1.7f75a70966f95p-7, -0x1.73d615514a05ap-7, -0x1.688a0cbff202p-7, -0x1.5d9192cc012cep-7, -0x1.52ec8da5a90fcp-7, -0x1.489ac62deaffdp-7, -0x1.3e9be9d3a84fap-7, -0x1.34ef8c577dd4p-7, -0x1.2b952979ed344p-7, -0x1.228c26939d8f5p-7, -0x1.19d3d41b82c49p-7, -0x1.116b6f1c6e439p-7, -0x1.0952229944c6ep-7, -0x1.018708e417784p-7, -0x1.f41259c6d084cp-8, -0x1.e5af16c3051dfp-8, -0x1.d7e2287158d66p-8, -0x1.caa956a4c9f37p-8, -0x1.be0253cf03d5ap-8, -0x1.b1eabf3291598p-8, -0x1.a660267b1acfep-8, -0x1.9b6007d245266p-8, -0x1.90e7d3cfea604p-8, -0x1.86f4ef0d4eafp-8, -0x1.7d84b3ba167edp-8, -0x1.749473239d518p-8, -0x1.6c2177216f0a2p-8, -0x1.6429036a553dep-8, -0x1.5ca856d48d292p-8, -0x1.559cac821108ep-8, -0x1.4f033cf98b276p-8, -0x1.48d93f2ef9825p-8, -0x1.431be97a63fdbp-8, -0x1.3dc8727ed61f2p-8, -0x1.38dc120333535p-8, -0x1.345401bc756fdp-8, -0x1.302d7e09a3f98p-8, -0x1.2c65c6a3e30a1p-8, -0x1.28fa1f425f931p-8, -0x1.25e7d0314f2b4p-8, -0x1.232c26dee32dbp-8, -0x1.20c4765e1c4eep-8, -0x1.1eae17de16ed6p-8, -0x1.1ce66b1859c46p-8, -0x1.1b6ad6b61cdc2p-8, -0x1.1a38c8ada5dcfp-8, -0x1.194db69538472p-8, -0x1.18a71df022ef7p-8, -0x1.18428474033bp-8, -0x1.181d784668e4p-8, -0x1.18359034556dp-8, -0x1.18886be4723fp-8, -0x1.1913b4014874bp-8, -0x1.19d51a6124c43p-8, -0x1.1aca5a26432c1p-8, -0x1.1bf137dd7f32ep-8, -0x1.1d4781990e474p-8, -0x1.1ecb0f05057acp-8, -0x1.2079c1796ab49p-8, -0x1.2251840a70ab8p-8, -0x1.24504b93f20fap-8, -0x1.267416c285adcp-8, -0x1.28baee1bf8e39p-8, -0x1.2b22e4082fb07p-8, -0x1.2daa14d689101p-8, -0x1.304ea6bda816fp-8, -0x1.330ec9d30869bp-8, -0x1.35e8b800d9a14p-8, -0x1.38dab50146a43p-8, -0x1.3be30e60e2953p-8, -0x1.3f001b800d745p-8, -0x1.42303d8c5afd6p-8, -0x1.4571df6f4244dp-8, -0x1.48c375b931881p-8, -0x1.4c237e9060697p-8, -0x1.4f9081a6ed7a7p-8, -0x1.530910315397ep-8, -0x1.568bc4d98bd01p-8, -0x1.5a1743add21bfp-8, -0x1.5daa3a0d5032bp-8, -0x1.61435e940e96bp-8, -0x1.64e171054c176p-8, -0x1.68833a368db03p-8, -0x1.6c278bfa8af0dp-8, -0x1.6fcd410c198ccp-8, -0x1.73733cf72505p-8, -0x1.77186bff48ddap-8, -0x1.7abbc30771291p-8, -0x1.7e5c3f790b54bp-8, -0x1.81f8e72ad0c82p-8, -0x1.8590c845e00c5p-8, -0x1.8922f929fa655p-8, -0x1.8cae9851a9375p-8, -0x1.9032cc373d903p-8, -0x1.93aec3391cacap-8, -0x1.9721b37cb94f8p-8, -0x1.9a8adad0bda71p-8, -0x1.9de97e8f05106p-8, -0x1.a13ceb7fec207p-8, -0x1.a48475bbe091dp-8, -0x1.a7bf788d57a76p-8, -0x1.aaed5651b45f1p-8, -0x1.ae0d785900bf3p-8, -0x1.b11f4ec75dadap-8, -0x1.b4225075b6786p-8, -0x1.b715fad2e1dc3p-8, -0x1.b9f9d1c37a488p-8, -0x1.bccd5f81ce581p-8, -0x1.bf90347d50a72p-8, -0x1.c241e73b7354p-8, -0x1.c4e2143858276p-8, -0x1.c7705dc7802b8p-8, -0x1.c9ec6bf4062c3p-8, -0x1.cc55ec6088262p-8, -0x1.ceac9227671f7p-8, -0x1.d0f015bb39632p-8, -0x1.d32034cba1ca3p-8, -0x1.d53cb22052a26p-8, -0x1.d7455581b12e3p-8, -0x1.d939eb952a50bp-8, -0x1.db1a45bfe0759p-8, -0x1.dce63a0904c01p-8, -0x1.de9da2fd0504fp-8, -0x1.e0405f90c627ep-8, -0x1.e1ce530340fb6p-8, -0x1.e34764c34e244p-8, -0x1.e4ab804f5ae63p-8, -0x1.e5fa951c3f4d8p-8, -0x1.e734967647491p-8, -0x1.e8597b6c84676p-8, -0x1.e9693eae2c383p-8, -0x1.ea63de76a18efp-8, -0x1.eb495c6eadbe8p-8, -0x1.ec19bd92f0064p-8, -0x1.ecd50a1a79cp-8, -0x1.ed7b4d5e357f8p-8, -0x1.ee0c95c0e7097p-8, -0x1.ee88f496ed5d7p-8, -0x1.eef07e0df22c9p-8, -0x1.ef434914ea601p-8, -0x1.ef816f4758a35p-8, -0x1.efab0cc637cc4p-8, -0x1.efc0404d7f9a8p-8, -0x1.efc12ae3cf07bp-8, -0x1.efadeff316e32p-8, -0x1.ef86b51f42ec7p-8, -0x1.ef4ba234ea912p-8, -0x1.eefce1142e213p-8, -0x1.ee9a9d9cd575dp-8, -0x1.ee25059b32381p-8, -0x1.ed9c48b509c12p-8, -0x1.ed009856f923ap-8, -0x1.ec5227a1495f2p-8, -0x1.eb912b5552497p-8, -0x1.eabdd9c2ef33p-8, -0x1.e9d86ab67fb85p-8, -0x1.e8e1176961e4ep-8, -0x1.e7d81a7090a48p-8, -0x1.e6bdafabbd7e7p-8, -0x1.e59214325c3c3p-8, -0x1.e455864e740a2p-8, -0x1.e308455becaeep-8, -0x1.e1aa91c92e239p-8, -0x1.e03cacfe9df08p-8, -0x1.debed950b1731p-8, -0x1.dd3159f4c9663p-8, -0x1.db9472f247ad5p-8, -0x1.d9e86914598bdp-8, -0x1.d82d81dc48203p-8, -0x1.d664037370c52p-8, -0x1.d48c349e86c61p-8, -0x1.d2a65cb041958p-8, -0x1.d0b2c37d5de89p-8, -0x1.ceb1b15034fd1p-8, -0x1.cca36edd1bb84p-8, -0x1.ca88453689c28p-8, -0x1.c8607dc15cc84p-8, -0x1.c62c6229571f7p-8, -0x1.c3ec3c5604e1dp-8, -0x1.c1a056637eb1bp-8, -0x1.bf48fa7c0c807p-8, -0x1.bce67314b84b7p-8, -0x1.ba790aa722602p-8, -0x1.b8010b7ccbbb6p-8, -0x1.b57ec02466928p-8, -0x1.b2f273026c2f1p-8, -0x1.b05c6e6b64bf8p-8, -0x1.adbcfc97b2f81p-8, -0x1.ab14679225d99p-8, -0x1.a862f94090fb8p-8, -0x1.a5a8fb4a3f11ep-8, -0x1.a2e6b7188d94ep-8, -0x1.a01c75cd46cf6p-8, -0x1.9d4a803ae569ep-8, -0x1.9a711edceda1bp-8, -0x1.979099d0927f9p-8, -0x1.94a938cd8ff98p-8, -0x1.91bb431f54bc5p-8, -0x1.8ec6ff9e79edcp-8, -0x1.8bccb4aae028p-8, -0x1.88cca82411b2cp-8, -0x1.85c71f655bd6ep-8, -0x1.82bc5f3d7e5aep-8, -0x1.7facabeb4650fp-8, -0x1.7c98491532e18p-8, -0x1.797f79c4f33eep-8, -0x1.76628061fe11fp-8, -0x1.73419eac6f456p-8, -0x1.701d15b869d3ap-8, -0x1.6cf525ea03395p-8, -0x1.69ca0eef955bap-8, -0x1.669c0fc372417p-8, -0x1.636b669db824fp-8, -0x1.603850fa993cep-8, -0x1.5d030b909ddep-8, -0x1.59cbd24daba75p-8, -0x1.5692e0535e734p-8, -0x1.53586ff34401ap-8, -0x1.501cbaaba33fap-8, -0x1.4cdff925230c3p-8, -0x1.49a263316236bp-8, -0x1.46642fca15788p-8, -0x1.4325950e22e5cp-8, -0x1.3fe6c842f0093p-8, -0x1.3ca7fddcf7ee9p-8, -0x1.396969f929778p-8, -0x1.362b3db1bc8a9p-8, -0x1.32edac3be1d67p-8, -0x1.2fb0e5d5869e8p-8, -0x1.2c751a5ecee56p-8, -0x1.293a78da3d7c9p-8, -0x1.26012f6e22c72p-8, -0x1.22c96b592cd2fp-8, -0x1.1f9358e2a02e1p-8, -0x1.1c5f2357a1809p-8, -0x1.192cf517f9314p-8, -0x1.15fcf7a23b1a7p-8, -0x1.12cf5393d4e4cp-8, -0x1.0fa430a0c955fp-8, -0x1.0c7bb58d1a002p-8, -0x1.0956082a54f97p-8, -0x1.06334d58dd9f4p-8, -0x1.0313a90ada6fdp-8, -0x1.ffee7c8f915abp-9, -0x1.f9bc5e5ff6eadp-9, -0x1.f39139fedc996p-9, -0x1.ed6d501f86debp-9, -0x1.e750dfb28f3c7p-9, -0x1.e13c25ddb851ap-9, -0x1.db2f5dfbee6abp-9, -0x1.d52ac1a3f76fdp-9, -0x1.cf2e88912c119p-9, -0x1.c93ae8bdb3372p-9, -0x1.c35016588e14ep-9, -0x1.bd6e43cf32934p-9, -0x1.b795a1dcb3b91p-9, -0x1.b1c65f923f381p-9, -0x1.ac00aa5e90b32p-9, -0x1.a644ae125714bp-9, -0x1.a09294e08f311p-9, -0x1.9aea875bfc624p-9, -0x1.954cac73a6ap-9, -0x1.8fb929700ddd5p-9, -0x1.8a3021f40aa63p-9, -0x1.84b1b802b3f4ep-9, -0x1.7f3e0c09e9f9ep-9, -0x1.79d53cf058a9cp-9, -0x1.74776824a6589p-9, -0x1.6f24a9aa80d57p-9, -0x1.69dd1c2314c6p-9, -0x1.64a0d8cf74f45p-9, -0x1.5f6ff78d0c94bp-9, -0x1.5a4a8ecee2f5p-9, -0x1.5530b3966e049p-9, -0x1.50227970a74b5p-9, -0x1.4b1ff275ebd33p-9, -0x1.46292f1f24c44p-9, -0x1.413e3dffc9423p-9, -0x1.3c5f2d921be85p-9, -0x1.378c0c083a0eep-9, -0x1.32c4e314e0e77p-9, -0x1.2e09be641ba83p-9, -0x1.295aa872302f3p-9, -0x1.24b7a8362f141p-9, -0x1.2020c5618db1fp-9, -0x1.1b9606b9e4811p-9, -0x1.1717715512436p-9, -0x1.12a508dd6c882p-9, -0x1.0e3ecfb1aff53p-9, -0x1.09e4c6f86bafep-9, -0x1.0596eebd71937p-9, -0x1.01554617c994ap-9, -0x1.fa3f96a31cb37p-10, -0x1.f1ecf812402b8p-10, -0x1.e9b2aa8966d19p-10, -0x1.e190a6e883cb4p-10, -0x1.d986e4c2b6a43p-10, -0x1.d1955a220057cp-10, -0x1.c9bbfb3d21261p-10, -0x1.c1faba310542fp-10, -0x1.ba518668e3021p-10, -0x1.b2c04e898b5fp-10, -0x1.ab46fcfc98f1p-10, -0x1.a3e57b26edd65p-10, -0x1.9c9bb0f70d533p-10, -0x1.9569851c93ab5p-10, -0x1.8e4edd8c59cb6p-10, -0x1.874b9fca40c2ap-10, -0x1.805fb10873885p-10, -0x1.798af616f77e6p-10, -0x1.72cd5327a1a8bp-10, -0x1.6c26ab73e9397p-10, -0x1.6596e0d87f456p-10, -0x1.5f1dd37d6ac82p-10, -0x1.58bb619f3bedcp-10, -0x1.526f6785e3f32p-10, -0x1.4c39bfad334ecp-10, -0x1.461a4317c0e7cp-10, -0x1.4010c9bd5cceep-10, -0x1.3a1d2b0194ff2p-10, -0x1.343f3e1e2664ep-10, -0x1.2e76da701a65ap-10, -0x1.28c3d79bfd88cp-10, -0x1.23260d83e4ccep-10, -0x1.1d9d54116cbaep-10, -0x1.182982ddace22p-10, -0x1.12ca70c75ecfap-10, -0x1.0d7ff38d0d79p-10, -0x1.0849df81f5bd9p-10, -0x1.0328076fee8a7p-10, -0x1.fc34795f591d8p-11, -0x1.f2409ee7f36b8p-11, -0x1.e8741e677cf8fp-11, -0x1.dece962ae2da6p-11, -0x1.d54fa4d1c3fd2p-11, -0x1.cbf6e9bf818fbp-11, -0x1.c2c4056aa8ee9p-11, -0x1.b9b69971ed0edp-11, -0x1.b0ce48442949ep-11, -0x1.a80ab4d21f1a7p-11, -0x1.9f6b820eadfd2p-11, -0x1.96f0525452cd5p-11, -0x1.8e98c6c446202p-11, -0x1.86647eb932487p-11, -0x1.7e5317733f7c7p-11, -0x1.76642c210b8b7p-11, -0x1.6e975658ee87ap-11, -0x1.66ec2ef012b5cp-11, -0x1.5f624ee859d43p-11, -0x1.57f95059b0924p-11, -0x1.50b0cef0511fcp-11, -0x1.49886803222d7p-11, -0x1.427fba4b65fabp-11, -0x1.3b96656ec82cep-11, -0x1.34cc09921826ap-11, -0x1.2e2047142007cp-11, -0x1.2792be6bb3a7ep-11, -0x1.21231011914ffp-11, -0x1.1ad0dc40274f2p-11, -0x1.149bc2b32ab9fp-11, -0x1.0e83623dc522ep-11, -0x1.088758ae2ee5p-11, -0x1.02a742f0a6f16p-11, -0x1.f9c57b44b60a7p-12, -0x1.ee72cbc67e195p-12, -0x1.e355b3d4cf882p-12, -0x1.d86d724b6417fp-12, -0x1.cdb94c796b26ap-12, -0x1.c338929dbf86ap-12, -0x1.b8ea8e70bdfb8p-12, -0x1.aece84ac68b6cp-12, -0x1.a4e3c83a4a949p-12, -0x1.9b29a5afef10fp-12, -0x1.919f62606948bp-12, -0x1.88444c7d8278p-12, -0x1.7f17b5294bafp-12, -0x1.7618ecb21d9ecp-12, -0x1.6d4742f307fb1p-12, -0x1.64a2076530557p-12, -0x1.5c288954fbfd8p-12, -0x1.53da185767ea1p-12, -0x1.4bb602e455ef2p-12, -0x1.43bb94994707ep-12, -0x1.3bea2cdf7eb9cp-12, -0x1.34413d759a521p-12, -0x1.2cc00b63ef62cp-12, -0x1.256601a2a11f9p-12, -0x1.1e32907707ca3p-12, -0x1.1724fecebd25fp-12, -0x1.103cb2dc3ebbap-12, -0x1.097916fc3561ep-12, -0x1.02d9907cd61fp-12, -0x1.f8bb0c04932eep-13, -0x1.ec08c11e78ad5p-13, -0x1.df9b14babfb12p-13, -0x1.d370db6e3e574p-13, -0x1.c788e94d1bce2p-13, -0x1.bbe21374e9131p-13, -0x1.b07b332fb8f8ap-13, -0x1.a55329377578dp-13, -0x1.9a68df7626a1ep-13, -0x1.8fbb4854e48f1p-13, -0x1.85495be3329dep-13, -0x1.7b1214300fa0fp-13, -0x1.71146a7d18b17p-13, -0x1.674f566b87356p-13, -0x1.5dc1cf453e00cp-13, -0x1.546ace9f2150ap-13, -0x1.4b495317836b5p-13, -0x1.425c6206333bcp-13, -0x1.39a3076d858e2p-13, -0x1.311c540c4344cp-13, -0x1.28c75a76ca0a8p-13, -0x1.20a32c5a6cdd8p-13, -0x1.18aed8eed4ffp-13, -0x1.10e96e466fe32p-13, -0x1.0951fce66e89dp-13, -0x1.01e79c5b673bap-13, -0x1.f552de2b92945p-14, -0x1.e72d4624bae21p-14, -0x1.d95cddd7a4c35p-14, -0x1.cbe0191449876p-14, -0x1.beb56809568bp-14, -0x1.b1db32089684cp-14, -0x1.a54fd7307bfe5p-14, -0x1.9911b76c7ef95p-14, -0x1.8d1f3ae38413ep-14, -0x1.8176d7e43ca04p-14, -0x1.7617143e7575cp-14, -0x1.6afe826ddced8p-14, -0x1.602bbc9d7d68cp-14, -0x1.559d5f8e8b552p-14, -0x1.4b520684ce0f9p-14, -0x1.414848e72c65dp-14, -0x1.377eba8336728p-14, -0x1.2df3ef755c78dp-14, -0x1.24a6836bd2739p-14, -0x1.1b9521c1ba87cp-14, -0x1.12be8a6fc80b5p-14, -0x1.0a2190c1a5b66p-14, -0x1.01bd13f044e17p-14, -0x1.f31fea69d67dap-15, -0x1.e3322091f15efp-15, -0x1.d3ae7342fcb4bp-15, -0x1.c4928498af982p-15, -0x1.b5dbfcdba3915p-15, -0x1.a788959ad3155p-15, -0x1.99961eb6e2c7dp-15, -0x1.8c027d921f478p-15, -0x1.7ecba8ee40022p-15, -0x1.71efa3c422e6p-15, -0x1.656c779d20d02p-15, -0x1.59402e8cfac63p-15, -0x1.4d68ce5ab5048p-15, -0x1.41e457a8bfc96p-15, -0x1.36b0cad4b31e5p-15, -0x1.2bcc30c6698d3p-15, -0x1.2134a5062d09dp-15, -0x1.16e85d13c3fdp-15, -0x1.0ce5a9c3c0615p-15, -0x1.032af08e92c0ap-15, -0x1.f36d3da5fee29p-16, -0x1.e10e3b3c0b38bp-16, -0x1.cf359a7171d59p-16, -0x1.bde01620ff424p-16, -0x1.ad0a7aa6e096cp-16, -0x1.9cb1b783e9354p-16, -0x1.8cd2df2c75761p-16, -0x1.7d6b1832373ecp-16, -0x1.6e778ea17c7ddp-16, -0x1.5ff57273ee1f7p-16, -0x1.51e2029da5e2ep-16, -0x1.443a980766e32p-16, -0x1.36fca3fff2d1p-16, -0x1.2a25a28e5f37p-16, -0x1.1db3090dd064ap-16, -0x1.11a22115549dcp-16, -0x1.05f00cea820acp-16, -0x1.f535cee5c9729p-17, -0x1.df4005902a7f4p-17, -0x1.c9fa466f55f0fp-17, -0x1.b560c5e90790bp-17, -0x1.a16e30b385efep-17, -0x1.8e1edf14477dep-17, -0x1.7b6ec16f51e24p-17, -0x1.695981e3dac91p-17, -0x1.57dad95b20f2ap-17, -0x1.46eeb41ac2913p-17, -0x1.369145cd0f726p-17, -0x1.26befcaa99ae4p-17, -0x1.17745cc9dc382p-17, -0x1.08addff4c44b3p-17, -0x1.f4cfe60e3033bp-18, -0x1.d93e1b7c150f1p-18, -0x1.be9f96e0ae804p-18, -0x1.a4eddecff77a5p-18, -0x1.8c22aeaab1ab3p-18, -0x1.7437d943f6b2bp-18, -0x1.5d2732c716452p-18, -0x1.46e93bb86817ep-18, -0x1.317bfd8e74b35p-18, -0x1.1cd5df626d68bp-18, -0x1.08f1bb658fc0ep-18, -0x1.eb9547342a36dp-19, -0x1.c6b65348e92e1p-19, -0x1.a33cc8b4f0e8ap-19, -0x1.811e6cd088633p-19, -0x1.6050ea68628e9p-19, -0x1.40ca11f3a2192p-19, -0x1.228025512b78p-19, -0x1.0569b2314e132p-19, -0x1.d2fa7eb51a4b4p-20, -0x1.9d643e1431091p-20, -0x1.6a0193ca88046p-20, -0x1.38c22d0cc8d58p-20, -0x1.099388da4fd24p-20, -0x1.b8ca06746b272p-21, -0x1.625132f12e391p-21, -0x1.0f9fc42e485c3p-21, -0x1.812ee0bb7a15ep-22, -0x1.d469c9a9ef05p-23, -0x1.6861fa2fc6d78p-24, 0x1.7ae6d86804265p-25, 0x1.64bf2ce443432p-23, 0x1.2f22e4157bde4p-22, 0x1.a5d99caf2b278p-22, 0x1.0b5b4c433f067p-21, 0x1.40f6095222cc2p-21, 0x1.73d5328f1ebe8p-21, 0x1.a40f9767352ebp-21, 0x1.d1baeda8087f4p-21, 0x1.fcec9d98baacp-21, 0x1.12dd268357dc3p-20, 0x1.261cc77364ac6p-20, 0x1.383f8ac685943p-20, 0x1.494f2fbb81154p-20, 0x1.595509525adap-20, 0x1.685a369591252p-20, 0x1.7667c9f2562a7p-20, 0x1.8386cbfc279ffp-20, 0x1.8fc000232f9a4p-20, 0x1.9b1b987f0437p-20, 0x1.a5a16920cda26p-20, 0x1.af59373cdc10ep-20, 0x1.b84aaba826e64p-20, 0x1.c07d2075a8346p-20, 0x1.c7f79e21df66fp-20, 0x1.cec0f359216e3p-20, 0x1.d4dfc72d45cbap-20, 0x1.da5aa724e9fa9p-20, 0x1.df380a9a2150ep-20, 0x1.e37d442a7348fp-20, 0x1.e728a43aba59ap-20, 0x1.ea6454ebfefaap-20, 0x1.ecf82fea8241ap-20, 0x1.ef24ff915ae9ap-20, 0x1.f0cf54d543f22p-20, 0x1.f2043ff27d84fp-20, 0x1.f2c90afd35b76p-20, 0x1.f322793199311p-20, 0x1.f31543f6a47d9p-20, 0x1.f2a61c413a247p-20, 0x1.f1d99b374934dp-20, 0x1.f0b432615f221p-20, 0x1.ef3a1aa6461cbp-20, 0x1.ed6f51fadd2fcp-20, 0x1.eb57aef667292p-20, 0x1.e8f6f1999a12ep-20, 0x1.e650ce770c468p-20, 0x1.e368ef24afbdfp-20, 0x1.e042d23fecdaap-20, 0x1.dce1badebf4fap-20, 0x1.d948ac151602dp-20, 0x1.d57a3f849be78p-20, 0x1.d178eab98d47ap-20, 0x1.cd4babae4ddf6p-20, 0x1.c8f376ab20135p-20, 0x1.c46de78b97746p-20, 0x1.bfc06d64f3eap-20, 0x1.baed866a5f86ap-20, 0x1.b5fcf7f95e92fp-20, 0x1.b0ec4ed5cc834p-20, 0x1.abbdf23b4ba35p-20, 0x1.a6746bcafc34ap-20, 0x1.a111e7612686bp-20, 0x1.9b986b0efb55fp-20, 0x1.9609ebe64ceb2p-20, 0x1.90684f1e4e76ap-20, 0x1.8ab56895c1129p-20, 0x1.84f2ff2ab4cffp-20, 0x1.7f22d38af42c9p-20, 0x1.7946918d0221ap-20, 0x1.735fbb8581e8p-20, 0x1.6d6fba3d8e4c4p-20, 0x1.6777f6e3bce2bp-20, 0x1.6179ddd68e09bp-20, 0x1.5b76d0c15e95p-20, 0x1.557013ef24139p-20, 0x1.4f66da77e137ep-20, 0x1.495c4cca38b27p-20, 0x1.4351826856b7p-20, 0x1.3d4782b774269p-20, 0x1.373f47e3bae17p-20, 0x1.3139c11b65853p-20, 0x1.2b37d4e028f8dp-20, 0x1.253a631ddcf6p-20, 0x1.1f42460e61529p-20, 0x1.19505151ba129p-20, 0x1.13654f6996091p-20, 0x1.0d81feb7bb9e2p-20, 0x1.07a70f2695c42p-20, 0x1.01d52184997ecp-20, 0x1.f81994b71daacp-21, 0x1.ec9d2a9b0c325p-21, 0x1.e136162d2ea74p-21, 0x1.d5e5689f61523p-21, 0x1.caac2f177d096p-21, 0x1.bf8b6e8df1e73p-21, 0x1.b4840fea018bbp-21, 0x1.a996e38850cd1p-21, 0x1.9ec4a484ee747p-21, 0x1.940e034c518fap-21, 0x1.8973a303ccc18p-21, 0x1.7ef62578a78afp-21, 0x1.74962a94a48b5p-21, 0x1.6a544799090a2p-21, 0x1.60310bb36369p-21, 0x1.562c815a1f0c4p-21, 0x1.4c47c863dc7cdp-21, 0x1.4282a2329e84p-21, 0x1.38ddc29b3fb04p-21, 0x1.2f5901464b5f1p-21, 0x1.25f591e58ac4p-21, 0x1.1cb30bd71aae1p-21, 0x1.13919549d6e5dp-21, 0x1.0a9182387dfa3p-21, 0x1.01b30da60d8f3p-21, 0x1.f22eabd4832e1p-22, 0x1.e0b5c33f9fa1ep-22, 0x1.cfc2f91330fbep-22, 0x1.bf13f767ce869p-22, 0x1.aea8b6f0966dp-22, 0x1.9e8130c185456p-22, 0x1.8e9d530268832p-22, 0x1.7efd0315d8438p-22, 0x1.6fa01fee5bee9p-22, 0x1.608682dd2e3a2p-22, 0x1.51affe603739p-22, 0x1.431c5bbb592dbp-22, 0x1.34cb59bbd69e7p-22, 0x1.26bcaddfe41c5p-22, 0x1.18f0060573332p-22, 0x1.0b650909f261cp-22, 0x1.fc36b3d74beb6p-23, 0x1.e225383d32e12p-23, 0x1.c894e8392d7bdp-23, 0x1.af854b05bae4ep-23, 0x1.96f6161a4ce95p-23, 0x1.7ea61125b2523p-23, 0x1.67a400fe6785ap-23, 0x1.50292839c726fp-23, 0x1.399a67252f91ap-23, 0x1.23755816eee97p-23, 0x1.0dbc8b791be4ap-23, 0x1.f113f8f5628e7p-24, 0x1.c77f40329af0bp-24, 0x1.9f047a57b2353p-24, 0x1.7795256fa8ae1p-24, 0x1.50d8638f64b36p-24, 0x1.2ab6983a4d5a5p-24, 0x1.05c28f39b1c14p-24, 0x1.c364c8aa2977p-25, 0x1.7ce50ff3a9441p-25, 0x1.3811c84b4a056p-25, 0x1.e9d4f9299e64fp-26, 0x1.66d571b96a43ap-26, 0x1.ce34c08d59046p-27, 0x1.aa638544944bep-28, -0x1.d749b570d4d9ep-31, -0x1.09d45e4a88d94p-27, -0x1.f00463a77eb5p-27, -0x1.680dce70b2735p-26, -0x1.d5189de226179p-26, -0x1.1f9722b62f067p-25, -0x1.532d3004c6af2p-25, -0x1.855433534d826p-25, -0x1.b611cb1b42bdp-25, -0x1.e56b730abe3bdp-25, -0x1.09b341d0dd833p-24, -0x1.20041d87df36ap-24, -0x1.35aae798e7ddp-24, -0x1.4aaa3e5a67e76p-24, -0x1.5f04c885764d2p-24, }}, 
      {{0x1.cb494afbc9d83p-10, 0x1.101fadc6fcab3p-8, 0x1.f8da2fad0d441p-8, 0x1.9e7dedf4f5f59p-7, 0x1.360695c98be53p-6, 0x1.ad4306029cd65p-6, 0x1.16a84a1edbf9fp-5, 0x1.56f561add3761p-5, 0x1.93a80efce9ec1p-5, 0x1.c969e2d789b6bp-5, 0x1.f5867ccd7f66cp-5, 0x1.0af4ccf1b9d9fp-4, 0x1.148969644f27ep-4, 0x1.170368c223812p-4, 0x1.122068d3002c6p-4, 0x1.05d27dc7dd6b7p-4, 0x1.e4736727294dcp-5, 0x1.af3b600ccbb97p-5, 0x1.6cceac2d203e3p-5, 0x1.1e34c4b8ffb83p-5, 0x1.893c4a53450abp-6, 0x1.855fd1d94bb4ep-7, -0x1.47f3f3ffb3ba7p-10, -0x1.f30fec3431539p-7, -0x1.e9a6a5b46c3ccp-6, -0x1.71165ea5d76a9p-5, -0x1.f0466512f63cap-5, -0x1.3898d522ca176p-4, -0x1.795f2f3597927p-4, -0x1.b9f61d8054727p-4, -0x1.f9ea851ebde2ep-4, -0x1.1c6b13d8664d3p-3, -0x1.3b2f94b88a50dp-3, -0x1.591baf2873b99p-3, -0x1.760dbcf0d23e5p-3, -0x1.91e91851c51f1p-3, -0x1.ac95ac53be433p-3, -0x1.c5ff89818227bp-3, -0x1.de1681fecfa8fp-3, -0x1.f4cdce3a3fc1cp-3, -0x1.050ddd39eddfdp-2, -0x1.0efcae57431p-2, -0x1.1831292941ccfp-2, -0x1.20aa42456d685p-2, -0x1.2867f924a1f82p-2, -0x1.2f6b3f6f995fp-2, -0x1.35b5e21f85803p-2, -0x1.3b4a740ca052dp-2, -0x1.402c39ad33037p-2, -0x1.445f15cc071d6p-2, -0x1.47e7771252c63p-2, -0x1.4aca46545e31p-2, -0x1.4d0cd5951cbfbp-2, -0x1.4eb4cfc09cc9cp-2, -0x1.4fc8292349703p-2, -0x1.504d10a758ca2p-2, -0x1.5049e1e5150dp-2, -0x1.4fc51810f948cp-2, -0x1.4ec541d2b27f3p-2, -0x1.4d50f60c8be09p-2, -0x1.4b6ec998ea0cdp-2, -0x1.492545ff7173bp-2, -0x1.467ae121cdb4fp-2, -0x1.4375f5da373c8p-2, -0x1.401cbd8d90545p-2, -0x1.3c754a9a95278p-2, -0x1.388583b2d1c04p-2, -0x1.34531ff77afc8p-2, -0x1.2fe3a3dee3805p-2, -0x1.2b3c5edbf35aep-2, -0x1.2662697b6df4cp-2, -0x1.215aa47cbf59bp-2, -0x1.1c29b7d836c86p-2, -0x1.16d413095dec9p-2, -0x1.115ded0abafe4p-2, -0x1.0bcb45047f36cp-2, -0x1.061fe3d0c3a15p-2, -0x1.005f5c03d329ap-2, -0x1.f51a1a2a1f951p-3, -0x1.e9584672b7422p-3, -0x1.dd7f3442eba36p-3, -0x1.d1947e7ef02f7p-3, -0x1.c59d634d31087p-3, -0x1.b99ecde409d9dp-3, -0x1.ad9d556c2e7a9p-3, -0x1.a19d42828274ap-3, -0x1.95a29579f1ff6p-3, -0x1.89b10502560a1p-3, -0x1.7dcc065eea86ep-3, -0x1.71f6ce63620a7p-3, -0x1.6634544ea2f23p-3, -0x1.5a8756bea1f25p-3, -0x1.4ef25c81201bdp-3, -0x1.4377b8b5810ecp-3, -0x1.38198ce81df8ep-3, -0x1.2cd9cb6b34da5p-3, -0x1.21ba3a01340f2p-3, -0x1.16bc73a6dd047p-3, -0x1.0be1eaecf8854p-3, -0x1.012beb9734842p-3, -0x1.ed37393e8480bp-4, -0x1.d86403c46643ep-4, -0x1.c3dffb48efeecp-4, -0x1.afaca4f5e593cp-4, -0x1.9bcb4944359ccp-4, -0x1.883cf74371e27p-4, -0x1.75028809fc9cdp-4, -0x1.621ca143daebfp-4, -0x1.4f8bb88553bcap-4, -0x1.3d501674eee15p-4, -0x1.2b69d93a6c0adp-4, -0x1.19d8f7b097bd9p-4, -0x1.089d444a0e1ccp-4, -0x1.ef6cde9adc063p-5, -0x1.ce48137f8d9d4p-5, -0x1.adcb101c3e1edp-5, -0x1.8df4881c14ce3p-5, -0x1.6ec2ff0413696p-5, -0x1.5034cd395f49ep-5, -0x1.32482387f838ap-5, -0x1.14fb0f409bf45p-5, -0x1.f096fdd14b001p-6, -0x1.b86e8ae038088p-6, -0x1.81783abaf531ep-6, -0x1.4baf59af6e9afp-6, -0x1.170f119d673bcp-6, -0x1.c724dd83ab917p-7, -0x1.6268cb68439fcp-7, -0x1.ffbf667731395p-8, -0x1.3efe819275e13p-8, -0x1.04f432ac88aa6p-9, 0x1.af159338b1c02p-11, 0x1.d459842c51236p-9, 0x1.9a78ed1abd4dfp-8, 0x1.236dfa469ee03p-7, 0x1.77b539b8d2f2fp-7, 0x1.ca1c6a957e332p-7, 0x1.0d56d39bb28c1p-6, 0x1.34b974e74275bp-6, 0x1.5b3b03b248d5fp-6, 0x1.80e0563425a49p-6, 0x1.a5ae2d6d74ddfp-6, 0x1.c9a933d73b77cp-6, 0x1.ecd5fb71f034cp-6, 0x1.079c7e6456677p-5, 0x1.186b4b76f71a4p-5, 0x1.28d9875248b32p-5, 0x1.38e9468ad8f31p-5, 0x1.489c8fc6f6cbdp-5, 0x1.57f55bdb54afcp-5, 0x1.66f595a5caa96p-5, 0x1.759f19d53e34cp-5, 0x1.83f3b6e06ce51p-5, 0x1.91f52d2033a57p-5, 0x1.9fa52f08e8cefp-5, 0x1.ad056145f14f4p-5, 0x1.ba175aaad8363p-5, 0x1.c6dca4521a1e3p-5, 0x1.d356ba12f5921p-5, 0x1.df870ad45bc37p-5, 0x1.eb6ef88de9ff8p-5, 0x1.f70fd8730c4cep-5, 0x1.013579b615907p-4, 0x1.06c0c340afbb8p-4, 0x1.0c2a61856737dp-4, 0x1.1172e77898034p-4, 0x1.169ae28976a28p-4, 0x1.1ba2dace95ee5p-4, 0x1.208b53321950bp-4, 0x1.2554c9a4dceb4p-4, 0x1.29ffb74c272a1p-4, 0x1.2e8c90a23769dp-4, 0x1.32fbc59ee91b8p-4, 0x1.374dc1f74c47ep-4, 0x1.3b82ed542a51cp-4, 0x1.3f9bab6eec014p-4, 0x1.43985c31e1446p-4, 0x1.47795bef0e99cp-4, 0x1.4b3f039b676b1p-4, 0x1.4ee9a8f481d41p-4, 0x1.52799e9d131f6p-4, 0x1.55ef344b1a353p-4, 0x1.594ab6fc405e9p-4, 0x1.5c8c711ae456fp-4, 0x1.5fb4aa9c6b441p-4, 0x1.62c3a92b5d611p-4, 0x1.65b9b05a29b14p-4, 0x1.689701c7a2ecep-4, 0x1.6b5bdd3204aaep-4, 0x1.6e08809575415p-4, 0x1.709d28614811p-4, 0x1.731a0fa759b46p-4, 0x1.757f702f87dd2p-4, 0x1.77cd827fe84cap-4, 0x1.7a047dfb10a5fp-4, 0x1.7c24991767159p-4, 0x1.7e2e098b77364p-4, 0x1.80210456b2149p-4, 0x1.81fdbdbf38f22p-4, 0x1.83c4696b35186p-4, 0x1.85753a9545a05p-4, 0x1.87106436e57ap-4, 0x1.8896190edb757p-4, 0x1.8a068b958de03p-4, 0x1.8b61ee0867a84p-4, 0x1.8ca872971c823p-4, 0x1.8dda4b908e3ccp-4, 0x1.8ef7ab6d1cd04p-4, 0x1.9000c4bd0cd58p-4, 0x1.90f5ca216e6dp-4, 0x1.91d6ee67fd574p-4, 0x1.92a464b90f92ap-4, 0x1.935e60aff8a5ep-4, 0x1.9405164df2234p-4, 0x1.9498b9e09da96p-4, 0x1.951980021bc1dp-4, 0x1.95879dbab211cp-4, 0x1.95e348a6c6e75p-4, 0x1.962cb6ffad60ep-4, 0x1.96641f8353b9bp-4, 0x1.9689b9579c945p-4, 0x1.969dbc09eb932p-4, 0x1.96a05fad9b41bp-4, 0x1.9691dcfbf3bc1p-4, 0x1.96726d57a316cp-4, 0x1.96424ab1461fdp-4, 0x1.9601af6709926p-4, 0x1.95b0d63c47505p-4, 0x1.954ffa6eb0c6fp-4, 0x1.94df57d2a4e55p-4, 0x1.945f2ada58b04p-4, 0x1.93cfb07f3247fp-4, 0x1.9331261e8c298p-4, 0x1.9283c964f3d09p-4, 0x1.91c7d854e5391p-4, 0x1.90fd915d979b4p-4, 0x1.90253369b1182p-4, 0x1.8f3efdd4847ddp-4, 0x1.8e4b304c170a2p-4, 0x1.8d4a0ab1b3558p-4, 0x1.8c3bcd0db5a7fp-4, 0x1.8b20b7998330fp-4, 0x1.89f90ad11b1eap-4, 0x1.88c5077889da7p-4, 0x1.8784ee8c4b8fep-4, 0x1.86390123b446bp-4, 0x1.84e18055d2022p-4, 0x1.837ead2eb4e6ep-4, 0x1.8210c8b709cdfp-4, 0x1.809813fff2487p-4, 0x1.7f14d0283231ap-4, 0x1.7d873e4de1577p-4, 0x1.7bef9f75d4d1bp-4, 0x1.7a4e347289552p-4, 0x1.78a33dd6f85c9p-4, 0x1.76eefbf8450e8p-4, 0x1.7531aef71c2abp-4, 0x1.736b96c527732p-4, 0x1.719cf31eb9f5fp-4, 0x1.6fc60378ff47p-4, 0x1.6de706ec26a39p-4, 0x1.6c003c22eb549p-4, 0x1.6a11e1553f001p-4, 0x1.681c344ce5ecp-4, 0x1.661f726be3559p-4, 0x1.641bd8ada292dp-4, 0x1.6211a39eb0455p-4, 0x1.60010f4d7233cp-4, 0x1.5dea5739d57edp-4, 0x1.5bcdb64a3063fp-4, 0x1.59ab66c894d92p-4, 0x1.5783a266a2ad2p-4, 0x1.5556a242661c4p-4, 0x1.53249ee6e9a78p-4, 0x1.50edd046629d4p-4, 0x1.4eb26daf885fep-4, 0x1.4c72adc1e641p-4, 0x1.4a2ec66584debp-4, 0x1.47e6ecc86b5ddp-4, 0x1.459b55611aaafp-4, 0x1.434c33f2ac212p-4, 0x1.40f9bb8ec30bcp-4, 0x1.3ea41e9370ec1p-4, 0x1.3c4b8ea56d9e9p-4, 0x1.39f03ca89e071p-4, 0x1.379258b9bf4cap-4, 0x1.3532122b3b51fp-4, 0x1.32cf978701699p-4, 0x1.306b168f58628p-4, 0x1.2e04bc440adf6p-4, 0x1.2b9cb4e4f7b3bp-4, 0x1.29332bec41106p-4, 0x1.26c84c0e91a67p-4, 0x1.245c3f361f493p-4, 0x1.21ef2e8014685p-4, 0x1.1f81423c37ecep-4, 0x1.1d12a1ee60c57p-4, 0x1.1aa37451d3ea8p-4, 0x1.1833df5bce934p-4, 0x1.15c4083cfc0b6p-4, 0x1.13541361847ap-4, 0x1.10e4247042382p-4, 0x1.0e745e49df0d3p-4, 0x1.0c04e3087b2b1p-4, 0x1.0995d4008941fp-4, 0x1.072751c2f0361p-4, 0x1.04b97c1fe2085p-4, 0x1.024c72298dcdap-4, 0x1.ffc0a46ba9b24p-5, 0x1.faea73be62bd7p-5, 0x1.f6168c0a421d1p-5, 0x1.f1452599c2495p-5, 0x1.ec76774564365p-5, 0x1.e7aab677d7a85p-5, 0x1.e2e21733c6ed2p-5, 0x1.de1ccc1a8acd2p-5, 0x1.d95b067290069p-5, 0x1.d49cf62bb1972p-5, 0x1.cfe2c9e18aa61p-5, 0x1.cb2caedb3bc1ap-5, 0x1.c67ad10c3dfa8p-5, 0x1.c1cd5b160d532p-5, 0x1.bd24764cd2e7ep-5, 0x1.b8804abed3004p-5, 0x1.b3e0ff3e09269p-5, 0x1.af46b96a812f7p-5, 0x1.aab19dbb56bfap-5, 0x1.a621cf8467562p-5, 0x1.a19770f76de24p-5, 0x1.9d12a3213e268p-5, 0x1.989385e562b13p-5, 0x1.941a37fb40528p-5, 0x1.8fa6d6e485a17p-5, 0x1.8b397f2b7ca22p-5, 0x1.86d24c0212caap-5, 0x1.827157c0a4b48p-5, 0x1.7e16bbc017abbp-5, 0x1.79c29072567b2p-5, 0x1.7574ed6879af3p-5, 0x1.712de9502b152p-5, 0x1.6ced99e905463p-5, 0x1.68b413f622214p-5, 0x1.64816b314ae78p-5, 0x1.6055b245a74e2p-5, 0x1.5c30fad610ad8p-5, 0x1.5813558fb2312p-5, 0x1.53fcd2463a35ep-5, 0x1.4fed80139b49dp-5, 0x1.4be56d737e7dbp-5, 0x1.47e4a852d3521p-5, 0x1.43eb3e0e84478p-5, 0x1.3ff93b60cb12cp-5, 0x1.3c0eac41cc25fp-5, 0x1.382b9bc48cc9dp-5, 0x1.345013fb4392dp-5, 0x1.307c1ded26c1bp-5, 0x1.2cafc1a38baaap-5, 0x1.28eb064e7bbb6p-5, 0x1.252df27a45978p-5, 0x1.21788c4989909p-5, 0x1.1dcad9a5be162p-5, 0x1.1a24e0584be47p-5, 0x1.1686a60408856p-5, 0x1.12f02ffe5dcd3p-5, 0x1.0f6183106bd1ep-5, 0x1.0bdaa32fa0865p-5, 0x1.085b9340e5f0bp-5, 0x1.04e454f8a2303p-5, 0x1.0174e8e35ad38p-5, 0x1.fc1a9d32ddad1p-6, 0x1.f55b0a2a6b062p-6, 0x1.eeab16329e315p-6, 0x1.e80abf1e6b83ap-6, 0x1.e17a038cc3f77p-6, 0x1.daf8e304250bep-6, 0x1.d4875d9dfc90ep-6, 0x1.ce25734f54ec7p-6, 0x1.c7d322f5d2351p-6, 0x1.c1906961b2644p-6, 0x1.bb5d409a0000cp-6, 0x1.b5399f8d754b1p-6, 0x1.af257a4bdae5ep-6, 0x1.a920c2c43c32p-6, 0x1.a32b69e84bcd6p-6, 0x1.9d4560f81bdf4p-6, 0x1.976e9a83f832dp-6, 0x1.91a70b2e00549p-6, 0x1.8beeaa2251443p-6, 0x1.8645701c3f591p-6, 0x1.80ab5691498e4p-6, 0x1.7b205672afc37p-6, 0x1.75a466663a781p-6, 0x1.703779b979dd7p-6, 0x1.6ad97fd4a8a32p-6, 0x1.658a6451fd582p-6, 0x1.604a0fcf9923ep-6, 0x1.5b1869521599dp-6, 0x1.55f557eee2636p-6, 0x1.50e0c4678068dp-6, 0x1.4bda9a60c5f9cp-6, 0x1.46e2c8f41cf14p-6, 0x1.41f9427901fecp-6, 0x1.3d1dfb8d351d8p-6, 0x1.3850e98bae047p-6, 0x1.339200c35585p-6, 0x1.2ee132cf02f11p-6, 0x1.2a3e6d6a04e0bp-6, 0x1.25a99a04bef0dp-6, 0x1.21229e0980e97p-6, 0x1.1ca95c1c7f7a4p-6, 0x1.183db57dbf814p-6, 0x1.13df8bc076f64p-6, 0x1.0f8ec24fb4b0fp-6, 0x1.0b4b3f820c857p-6, 0x1.0714ed16527d6p-6, 0x1.02ebb80563bf9p-6, 0x1.fd9f1f6334ff5p-7, 0x1.f580c933f4387p-7, 0x1.ed7c4da5cd3ddp-7, 0x1.e5918930c82b3p-7, 0x1.ddc0529abf96dp-7, 0x1.d6087a429873ep-7, 0x1.ce69cace5c3a3p-7, 0x1.c6e40aeb789e1p-7, 0x1.bf76ff87f187bp-7, 0x1.b8226ddfcd859p-7, 0x1.b0e61ce90d0d8p-7, 0x1.a9c1d5f982c3dp-7, 0x1.a2b564c8ba6f4p-7, 0x1.9bc0970f4ae04p-7, 0x1.94e33bfa33e2cp-7, 0x1.8e1d2386602dcp-7, 0x1.876e1dc522a53p-7, 0x1.80d5fa174054cp-7, 0x1.7a5486938d457p-7, 0x1.73e98fef75d04p-7, 0x1.6d94e22e475c1p-7, 0x1.67564a1200ec7p-7, 0x1.612d96d95774fp-7, 0x1.5b1a9b88d2583p-7, 0x1.551d2efeba8c4p-7, 0x1.4f352a76c868cp-7, 0x1.496266bd62561p-7, 0x1.43a4b8daadf7dp-7, 0x1.3dfbef3ee4859p-7, 0x1.3867d053d2992p-7, 0x1.32e81adfd7a02p-7, 0x1.2d7c88163b3b3p-7, 0x1.2824ceb914f66p-7, 0x1.22e0a684e452ap-7, 0x1.1dafcb41bc4dcp-7, 0x1.1891ff2774923p-7, 0x1.13870c8bee38ep-7, 0x1.0e8ec6e57e25ap-7, 0x1.09a90b117fa3ep-7, 0x1.04d5bea5bc24ep-7, 0x1.0014ce126fe28p-7, 0x1.f6cc52ef71194p-8, 0x1.ed9380a28ddc3p-8, 0x1.e47ef8af840a6p-8, 0x1.db8e787aaf4dap-8, 0x1.d2c19e747453p-8, 0x1.ca17e54496101p-8, 0x1.c190a56e3ae42p-8, 0x1.b92b1ebd9a10cp-8, 0x1.b0e68896a4ebdp-8, 0x1.a8c225a9717a5p-8, 0x1.a0bd5593cc5b3p-8, 0x1.98d79f1c6afdp-8, 0x1.9110aff01c12p-8, 0x1.896852ce71c3ap-8, 0x1.81de60fcf5b3ap-8, 0x1.7a72b5d2f6a21p-8, 0x1.732529e8df1c7p-8, 0x1.6bf597122156p-8, 0x1.64e3e0d8205b3p-8, 0x1.5deff9942120ep-8, 0x1.5719dc5ea0718p-8, 0x1.5061794df7ed4p-8, 0x1.49c699687292bp-8, 0x1.4348c573396a6p-8, 0x1.3ce73d2b2077dp-8, 0x1.36a108182531bp-8, 0x1.30751e5aa70a5p-8, 0x1.2a629be9f5b8dp-8, 0x1.2468e94aa3c1bp-8, 0x1.1e87c6cf96b91p-8, 0x1.18bf33a98a0e1p-8, 0x1.130f3b4cf6efep-8, 0x1.0d77c14c9082dp-8, 0x1.07f86578e169ep-8, 0x1.0290919d44c6fp-8, 0x1.fa7f5b2576f71p-9, 0x1.f00ab45f9c9c4p-9, 0x1.e5c33a8aa7648p-9, 0x1.dba9c5c21e97cp-9, 0x1.d1bf93bb029c4p-9, 0x1.c805a8d0aae19p-9, 0x1.be7c2f94e4626p-9, 0x1.b5221bdae8795p-9, 0x1.abf54049a8627p-9, 0x1.a2f2d65f259c2p-9, 0x1.9a184710f75a8p-9, 0x1.9163e221bdb2ep-9, 0x1.88d533bad4cbap-9, 0x1.806ccd4099de2p-9, 0x1.782b92f07905ap-9, 0x1.7011db5a8e3d4p-9, 0x1.681ecb8665d57p-9, 0x1.605046c37fa24p-9, 0x1.58a38708159b3p-9, 0x1.511620689c9c8p-9, 0x1.49a6fa584dc84p-9, 0x1.4256c9f665ae8p-9, 0x1.3b27d1194d3a5p-9, 0x1.341cfa082fafep-9, 0x1.2d38b0d888c7ap-9, 0x1.267bf6a8f8dfcp-9, 0x1.1fe609c614622p-9, 0x1.1974b3566c979p-9, 0x1.1325054f20cb8p-9, 0x1.0cf436fc61c79p-9, 0x1.06e059c39a67fp-9, 0x1.00e8b82c71b0dp-9, 0x1.f61b88aa54p-10, 0x1.eaa1210ddfe92p-10, 0x1.df63e2522362p-10, 0x1.d46330f1cfc3p-10, 0x1.c99b379d48688p-10, 0x1.bf05736848f2p-10, 0x1.b49ac0de14096p-10, 0x1.aa561576f6b11p-10, 0x1.a0369c605bd33p-10, 0x1.96401f5cc8627p-10, 0x1.8c796a68819eap-10, 0x1.82e96402199bcp-10, 0x1.799459bbe6cb7p-10, 0x1.707ae288bd561p-10, 0x1.679aa5167247ap-10, 0x1.5ef01b2e01e7fp-10, 0x1.56780b8774462p-10, 0x1.4e300904489f9p-10, 0x1.4616258ebb6dap-10, 0x1.3e2889083960bp-10, 0x1.366583b5248afp-10, 0x1.2ecc158e5aeeap-10, 0x1.275c37f6fa881p-10, 0x1.201633a89cc87p-10, 0x1.18f928a4fe77bp-10, 0x1.1201e319d5017p-10, 0x1.0b2b1debd9158p-10, 0x1.046f58a5e6523p-10, 0x1.fb96a667a7d01p-11, 0x1.ee7f9a55e1f47p-11, 0x1.e1a2bd8945e13p-11, 0x1.d50c630b90597p-11, 0x1.c8c5b7e2e5062p-11, 0x1.bcd0e952ef87bp-11, 0x1.b129f3c233f0bp-11, 0x1.a5cab6d8ee5f7p-11, 0x1.9aaf39f71c6fcp-11, 0x1.8fd7b2c317e99p-11, 0x1.854743ed77dfcp-11, 0x1.7b004bdfd8e0fp-11, 0x1.7101084e8aa6cp-11, 0x1.67432e7f047abp-11, 0x1.5dbe8fdf7cfaap-11, 0x1.546cad9f2b05ep-11, 0x1.4b4af3836a17p-11, 0x1.425a5f3ad511dp-11, 0x1.399cd714c5718p-11, 0x1.3111fea3f58eap-11, 0x1.28b5b0b0e7bd5p-11, 0x1.20812cedbdff9p-11, 0x1.186ec369b6944p-11, 0x1.107e1e77e8404p-11, 0x1.08b56620f8c27p-11, 0x1.011d25fc7b193p-11, 0x1.f37497c505e28p-12, 0x1.e516f2c9e4bd1p-12, 0x1.d715fd5813e21p-12, 0x1.c966a22d4f2c2p-12, 0x1.bc05ce87498ffp-12, 0x1.aef91eded89f2p-12, 0x1.a2484010c5635p-12, 0x1.95f6570b3d733p-12, 0x1.8a012b910066p-12, 0x1.7e63e2d067ff5p-12, 0x1.7318c62b2cbf6p-12, 0x1.6818db659b394p-12, 0x1.5d5b25fda9d5p-12, 0x1.52d6a490d46bbp-12, 0x1.4887c4e55c022p-12, 0x1.3e7432bdac248p-12, 0x1.34a6792406ddcp-12, 0x1.2b22a4c29d022p-12, 0x1.21de15179ccdp-12, 0x1.18c59a2083969p-12, 0x1.0fcfa816b8b28p-12, 0x1.070690c6ea872p-12, 0x1.fcfac5282eb7p-13, 0x1.ec79b1308e017p-13, 0x1.dc79a360f86bfp-13, 0x1.ccdd842717b2p-13, 0x1.bd99c49d48beap-13, 0x1.aeb9acd3639a7p-13, 0x1.a04927b64f56p-13, 0x1.92440732df71bp-13, 0x1.849c5c880d19dp-13, 0x1.7747ed77f7a69p-13, 0x1.6a46b722e8c17p-13, 0x1.5da092703ef43p-13, 0x1.515edd203fe07p-13, 0x1.4586a2c18b499p-13, 0x1.3a14599301099p-13, 0x1.2ef8ea7b36e62p-13, 0x1.241f26845038bp-13, 0x1.19801b868b365p-13, 0x1.0f30723394c0ap-13, 0x1.0548bb6eb13e1p-13, 0x1.f778ee47129dep-14, 0x1.e4b6ffd05fa8bp-14, 0x1.d216da93d75b9p-14, 0x1.bfd69b9708a43p-14, 0x1.ae50ce05f9ddbp-14, 0x1.9d8a9d8153ac4p-14, 0x1.8d436bbb334f4p-14, 0x1.7d577f6277175p-14, 0x1.6dde845c0fec3p-14, 0x1.5ef0a09170cffp-14, 0x1.50832ad33e26fp-14, 0x1.427d74a7dcf5p-14, 0x1.34cf771693d5dp-14, 0x1.2774394e59cd4p-14, 0x1.1a6c740fa54efp-14, 0x1.0dbb80b25d9fap-14, 0x1.01671305becc6p-14, 0x1.eaed544557389p-15, 0x1.d3e2da759912cp-15, 0x1.bdba664e193ep-15, 0x1.a87e904c61b02p-15, 0x1.942977a7491dap-15, 0x1.808a3d74094edp-15, 0x1.6d71fe2f62322p-15, 0x1.5b085b3743f54p-15, 0x1.49792d24969b7p-15, 0x1.385ecbcd0bcf6p-15, 0x1.2746a381d96fdp-15, 0x1.168ca0fe6a85fp-15, 0x1.06bada73a066p-15, 0x1.ef4b050ef11cap-16, 0x1.d1e4ebdacfcc5p-16, 0x1.b573ac2b6b45dp-16, 0x1.9a48dd4d21c66p-16, 0x1.8037993d7397p-16, 0x1.66f69ae660c79p-16, 0x1.4e6962b824721p-16, 0x1.36935bc055f52p-16, 0x1.1f7e908a7867cp-16, 0x1.09308f7b3551ep-16, 0x1.e75521eaadf2fp-17, 0x1.bdcbcba28f0f7p-17, 0x1.95bbb9bc238fep-17, 0x1.6f16570c016a4p-17, 0x1.49d64b681befdp-17, 0x1.25fd83afa15bap-17, 0x1.03932e1595d6fp-17, 0x1.c558563fbe9b3p-18, 0x1.8703d74f4679bp-18, 0x1.4c8a21c5130bfp-18, 0x1.1542a6367e002p-18, 0x1.c0af26e555474p-19, 0x1.5b86f00b054cfp-19, 0x1.f115cb40aa58p-20, 0x1.2d1da285c37b5p-20, 0x1.c7c1f1216f4cbp-22, -0x1.fe1e8ff9d069ap-23, -0x1.d14bc347782d8p-21, -0x1.86188b4b92327p-20, -0x1.0d31ca5c93643p-19, -0x1.54810d888e5c6p-19, -0x1.9964a724cd6efp-19, -0x1.db956722b3bfp-19, -0x1.0d65ee13f08ccp-18, -0x1.2b76234311a15p-18, -0x1.47fe0c01862ccp-18, -0x1.6308b87c6fa6cp-18, -0x1.7ca320a87ca2p-18, -0x1.94d944aaa24abp-18, -0x1.abb580467057cp-18, -0x1.c142d72dece2ep-18, -0x1.d58fdd339fcf4p-18, -0x1.e8af4c5e389a7p-18, -0x1.fab40052093b8p-18, -0x1.05d588242f3e7p-17, -0x1.0dcf33a0fd2e5p-17, -0x1.154fe852d9625p-17, -0x1.1c53539a674dfp-17, -0x1.228fc5dd5dfb1p-17, -0x1.27aee656b6d34p-17, -0x1.2c2da575988d8p-17, -0x1.30ab1e348d659p-17, -0x1.352b1fb5eca7bp-17, -0x1.39aefdcd32cefp-17, -0x1.3d849911cbbb9p-17, -0x1.407374eb9693ep-17, -0x1.42fae3f3ef16cp-17, -0x1.4555a4d87a839p-17, -0x1.477ae7aa8f8bp-17, -0x1.495aa4314b329p-17, -0x1.4aed5dfff5218p-17, -0x1.4c3207351d07ep-17, -0x1.4d2aad13d100ap-17, -0x1.4dda9ec507fddp-17, -0x1.4e458e3cff70ap-17, -0x1.4e6f1d0303469p-17, -0x1.4e5a92d2065ddp-17, -0x1.4e0aaf4c3653dp-17, -0x1.4d81a59657acbp-17, -0x1.4cc15b752709ap-17, -0x1.4bcbee84bcd82p-17, -0x1.4aa4463d8ee7ap-17, -0x1.494e3d333aaccp-17, -0x1.47cdf92ac3ac4p-17, -0x1.4626c93f1f421p-17, -0x1.445b4a68a5eedp-17, -0x1.426f6dd0d7b81p-17, -0x1.40642b237af6ap-17, -0x1.3e25de89de4c9p-17, -0x1.3b9f29765fb15p-17, -0x1.38ecead94ebd5p-17, -0x1.363cf0703bc23p-17, -0x1.339574bb34278p-17, -0x1.30caa61d32705p-17, -0x1.2dcd5d382a98cp-17, -0x1.2ab3c181c5272p-17, -0x1.278e1772448e8p-17, -0x1.245ac5aa23d98p-17, -0x1.2116a3a41b8c1p-17, -0x1.1dc0e75135ea1p-17, -0x1.1a5a5979ab13fp-17, -0x1.16e436403b6ep-17, -0x1.135fc8b6d0d6ap-17, -0x1.0fce56cb971ecp-17, -0x1.0c2fb3ef33b19p-17, -0x1.08892987594acp-17, -0x1.04d79959185a6p-17, -0x1.011d617022588p-17, -0x1.fab6de9eec8cbp-18, -0x1.f32553575818p-18, -0x1.eb87f1a04f05p-18, -0x1.e3e09449fc7b9p-18, -0x1.dc3112dd0741p-18, -0x1.d47b20affe898p-18, -0x1.ccc02bb8668edp-18, -0x1.c50164fcc3e11p-18, -0x1.bd4021f29e33p-18, -0x1.b57e3cfd9b97p-18, -0x1.adbcf73d95908p-18, -0x1.a5fa9eb93273dp-18, -0x1.9e392ff20a1c6p-18, -0x1.967e821d7212ep-18, -0x1.8ec7ee9875e13p-18, -0x1.8717380b01f38p-18, -0x1.7f6deedae329ap-18, -0x1.77cc8021fa059p-18, -0x1.70309a1f2e4f2p-18, -0x1.68a13e63ba43bp-18, -0x1.611a6c2c8617dp-18, -0x1.599eb3272670dp-18, -0x1.522ea77451464p-18, -0x1.4acb0c1605ff7p-18, -0x1.437484730e498p-18, -0x1.3c2ba9a1b7e31p-18, -0x1.34f118079ce38p-18, -0x1.2dc5594890193p-18, -0x1.26a8fb3bc73e4p-18, -0x1.1f9c613c869a7p-18, -0x1.18a007ba2029bp-18, -0x1.11b45d5412435p-18, -0x1.0ad9c957ce16cp-18, -0x1.0410b1e82b3f8p-18, -0x1.fab2f4103545cp-19, -0x1.ed68f9f55c94ep-19, -0x1.e04411fc949ap-19, -0x1.d344b9f9f4076p-19, -0x1.c66b5682555b5p-19, -0x1.b9b84e454004dp-19, -0x1.ad2c2f7edb9cfp-19, -0x1.a0c78a1442873p-19, -0x1.948a2f814767p-19, -0x1.8873c10db1d5dp-19, -0x1.7c88302c67028p-19, -0x1.70c4c9aa6e154p-19, -0x1.6528e35d5ecebp-19, -0x1.59b8fd9a804bdp-19, -0x1.4e6f8222283dbp-19, -0x1.434ecd7332b88p-19, -0x1.3858c44664f56p-19, -0x1.2d8b4ed8f32b2p-19, }}, 
      {{0x1.80e391768a90ap-10, 0x1.a67c55403e9f6p-9, 0x1.68f48dc09c84dp-8, 0x1.1618200f0e51dp-7, 0x1.908c803cd4568p-7, 0x1.114e067c60c67p-6, 0x1.643c25e7cf462p-6, 0x1.be5d7b8bd18bbp-6, 0x1.0e51f8fb63afp-5, 0x1.3dfc7f0801cd3p-5, 0x1.6cb8d7eb6cd7cp-5, 0x1.9935be2e4f9dcp-5, 0x1.c24ccffddf304p-5, 0x1.e704a39e05dc4p-5, 0x1.034826983ccdcp-4, 0x1.1026c566ba58p-4, 0x1.19e11e032f373p-4, 0x1.204cbb91e9cb1p-4, 0x1.235031a0f4d21p-4, 0x1.22e17542280fep-4, 0x1.1f04286845b8ep-4, 0x1.17c7dd8359b0bp-4, 0x1.0d465aa3a61d5p-4, 0x1.ff43c90c792bfp-5, 0x1.de073487ffcf3p-5, 0x1.b733d3ad451e8p-5, 0x1.8b2e47f612b33p-5, 0x1.5a6069c1c1efdp-5, 0x1.253709102315ap-5, 0x1.d83ffe599e821p-6, 0x1.5f1123492a697p-6, 0x1.bf7087c1c75d6p-7, 0x1.6c1911b89e5f1p-8, -0x1.71db71acfdda7p-9, -0x1.76981229ccfd9p-7, -0x1.4b7431f064253p-6, -0x1.de0684274db68p-6, -0x1.392fec7f22389p-5, -0x1.83f3af7c1d17p-5, -0x1.cf0745d342279p-5, -0x1.0d143ca3eb102p-4, -0x1.328d024112261p-4, -0x1.57d1b70f32462p-4, -0x1.7cc86f5ebdebp-4, -0x1.a15979de6412fp-4, -0x1.c56f47f6bfb1dp-4, -0x1.e8f655a4f415ap-4, -0x1.05ee8899e3522p-3, -0x1.1709e17f560f7p-3, -0x1.27c63aadbe932p-3, -0x1.381d6e605f215p-3, -0x1.480a201c0df24p-3, -0x1.5787b11586cb1p-3, -0x1.669234cd5a02ep-3, -0x1.752665e81effcp-3, -0x1.83419b47f1096p-3, -0x1.90e1bd6ced3c9p-3, -0x1.9e053c20a7cedp-3, -0x1.aaab047203c84p-3, -0x1.b6d2770541f6bp-3, -0x1.c27b5ebc8489cp-3, -0x1.cda5e7bca163ep-3, -0x1.d85296d103b02p-3, -0x1.e2824131420a4p-3, -0x1.ec3604ab1e5a6p-3, -0x1.f56f403383fa9p-3, -0x1.fe2f8ce0e233dp-3, -0x1.033c5ba7ff972p-2, -0x1.07265cb8a3e6bp-2, -0x1.0ad6da5deadfp-2, -0x1.0e4ef66097421p-2, -0x1.118fe11088727p-2, -0x1.149ad6ee16c28p-2, -0x1.17711e83e1d15p-2, -0x1.1a1406710c8e1p-2, -0x1.1c84e3a0039c1p-2, -0x1.1ec50fa80dedap-2, -0x1.20d5e751939f7p-2, -0x1.22b8c93af634bp-2, -0x1.246f149e9340ap-2, -0x1.25fa2833b09adp-2, -0x1.275b6135149c5p-2, -0x1.28941a848dfdfp-2, -0x1.29a5abea0e947p-2, -0x1.2a916973ec141p-2, -0x1.2b58a2e06f404p-2, -0x1.2bfca3208491cp-2, -0x1.2c7eafe5d60b4p-2, -0x1.2ce00938f5f0ap-2, -0x1.2d21e926d68f2p-2, -0x1.2d4583738fb43p-2, -0x1.2d4c0560cd42fp-2, -0x1.2d36958130995p-2, -0x1.2d0653951e489p-2, -0x1.2cbc5874e97cap-2, -0x1.2c59b5fef3606p-2, -0x1.2bdf770d8844dp-2, -0x1.2b4e9f700cb9bp-2, -0x1.2aa82be773fe8p-2, -0x1.29ed122747037p-2, -0x1.291e40d8f45b2p-2, -0x1.283c9fa313b88p-2, -0x1.27490f3587655p-2, -0x1.26446957a601dp-2, -0x1.252f80fb51a0ap-2, -0x1.240b2252b5812p-2, -0x1.22d812e83ab27p-2, -0x1.219711b9a11d3p-2, -0x1.2048d753be5bcp-2, -0x1.1eee15f027655p-2, -0x1.1d8779941c99p-2, -0x1.1c15a82f5e79cp-2, -0x1.1a9941bc49a14p-2, -0x1.1912e060a623ep-2, -0x1.1783188e44d09p-2, -0x1.15ea7924a4c42p-2, -0x1.14498b9346b56p-2, -0x1.12a0d3fbf30f1p-2, -0x1.10f0d155a5685p-2, -0x1.0f39fd904d4acp-2, -0x1.0d7ccdb86845p-2, -0x1.0bb9b21aa0d39p-2, -0x1.09f116689e83p-2, -0x1.082361dd18841p-2, -0x1.0650f75f0e8bcp-2, -0x1.047a35a65fc8bp-2, -0x1.029f775fb10bfp-2, -0x1.00c1134eaa173p-2, -0x1.fdbeb8e14704ep-3, -0x1.f9f5443e44fc9p-3, -0x1.f62660623440bp-3, -0x1.f2529e362c94ap-3, -0x1.ee7a881e53beep-3, -0x1.ea9ea238e0b0fp-3, -0x1.e6bf6a9a5efeap-3, -0x1.e2dd5988b228dp-3, -0x1.def8e1b52eed1p-3, -0x1.db127074e7ac5p-3, -0x1.d72a6df79ababp-3, -0x1.d3413d7cfa79dp-3, -0x1.cf573d8850fe8p-3, -0x1.cb6cc813a0a71p-3, -0x1.c78232c0f19eep-3, -0x1.c397cf0905848p-3, -0x1.bfadea69bf6abp-3, -0x1.bbc4ce93bee62p-3, -0x1.b7dcc194eb603p-3, -0x1.b3f606019969p-3, -0x1.b010db1d96878p-3, -0x1.ac2d7d02f4039p-3, -0x1.a84c24c6a403dp-3, -0x1.a46d089c9801ap-3, -0x1.a0905bfa6b29dp-3, -0x1.9cb64fb7c1298p-3, -0x1.98df122e11344p-3, -0x1.950acf57838bdp-3, -0x1.9139b0eb6044cp-3, -0x1.8d6bde793a585p-3, -0x1.89a17d844f7d6p-3, -0x1.85dab19d50bf3p-3, -0x1.82179c79b7091p-3, -0x1.7e585e0aa0f3ap-3, -0x1.7a9d1493ef052p-3, -0x1.76e5dcc1a742cp-3, -0x1.7332d1bb465aap-3, -0x1.6f840d36ff361p-3, -0x1.6bd9a78cdd84cp-3, -0x1.6833b7c835c14p-3, -0x1.649253b7c28f4p-3, -0x1.60f58ffdcd88ap-3, -0x1.5d5d801fdb23cp-3, -0x1.59ca3694ce4aep-3, -0x1.563bc4d207969p-3, -0x1.52b23b58a18fp-3, -0x1.4f2da9c23b74fp-3, -0x1.4bae1ecc4ab0bp-3, -0x1.4833a862a3b4p-3, -0x1.44be53aa36c14p-3, -0x1.414e2d0b9d335p-3, -0x1.3de3403c4d15cp-3, -0x1.3a7d9846a44ebp-3, -0x1.371d3f9213741p-3, -0x1.33c23feb8d3c4p-3, -0x1.306ca28d29dd5p-3, -0x1.2d1c7024b5584p-3, -0x1.29d1b0d9e790bp-3, -0x1.268c6c54dad8dp-3, -0x1.234ca9c438997p-3, -0x1.20126fe26a69p-3, -0x1.1cddc4fa383dap-3, -0x1.19aeaeeb9eea6p-3, -0x1.16853330cc6f8p-3, -0x1.136156e27d15p-3, -0x1.10431ebb7d7f4p-3, -0x1.0d2a8f1bf71cp-3, -0x1.0a17ac0d13a3fp-3, -0x1.070a7944b77abp-3, -0x1.0402fa28940e2p-3, -0x1.010131d07fbadp-3, -0x1.fc0a461164d8dp-4, -0x1.f61da0a8cd082p-4, -0x1.f03c77e136587p-4, -0x1.ea66cfacb0042p-4, -0x1.e49cab7861fcp-4, -0x1.dede0e2f5ff0fp-4, -0x1.d92afa3e2a87dp-4, -0x1.d3837196d4286p-4, -0x1.cde775b45635ep-4, -0x1.c857079cd91e8p-4, -0x1.c2d227e33ca9cp-4, -0x1.bd58d6a922754p-4, -0x1.b7eb13a1bbb7bp-4, -0x1.b288de14ade27p-4, -0x1.ad3234dfe695p-4, -0x1.a7e716789c75fp-4, -0x1.a2a780ec2794fp-4, -0x1.9d7371e1b5b4p-4, -0x1.984ae69c7252bp-4, -0x1.932ddbfd9076bp-4, -0x1.8e1c4e85591p-4, -0x1.89163a538d7d8p-4, -0x1.841b9b27fc8ep-4, -0x1.7f2c6c63e5dd5p-4, -0x1.7a48a90ba5d88p-4, -0x1.75704bc8c419fp-4, -0x1.70a34eea3dd33p-4, -0x1.6be1ac651587ap-4, -0x1.672b5dd494d7dp-4, -0x1.62805c7b7765dp-4, -0x1.5de0a1459c209p-4, -0x1.594c24c99fb11p-4, -0x1.54c2df49ab2fbp-4, -0x1.5044c8b412a59p-4, -0x1.4bd1d8a360d5dp-4, -0x1.476a065f74694p-4, -0x1.430d48dece016p-4, -0x1.3ebb96c8967ccp-4, -0x1.3a74e67591e98p-4, -0x1.36392df12d629p-4, -0x1.320862f9c4bap-4, -0x1.2de27b0161e01p-4, -0x1.29c76b2f04fb7p-4, -0x1.25b728605eadcp-4, -0x1.21b1a72b87002p-4, -0x1.1db6dbe0473e3p-4, -0x1.19c6ba88f6909p-4, -0x1.15e136eb2fe49p-4, -0x1.12064488b2c03p-4, -0x1.0e35d6a1b4d12p-4, -0x1.0a6fe034a3a69p-4, -0x1.06b45402bfe52p-4, -0x1.0303248f5f483p-4, -0x1.feb88843e9504p-5, -0x1.f77f498daab98p-5, -0x1.f05a70a0d4edap-5, -0x1.e949e0b17384ep-5, -0x1.e24d7c8685672p-5, -0x1.db65267daff6p-5, -0x1.d490c08e9c5d1p-5, -0x1.cdd02c4d9ea08p-5, -0x1.c7234aee186a7p-5, -0x1.c089fd44b57ddp-5, -0x1.ba0423cb84353p-5, -0x1.b3919ea2b218fp-5, -0x1.ad324d983bbc6p-5, -0x1.a6e6102861333p-5, -0x1.a0acc581c9d28p-5, -0x1.9a864c89472fdp-5, -0x1.947283da8ccaap-5, -0x1.8e7149ccbec34p-5, -0x1.88827c7480ea7p-5, -0x1.82a5f9a783919p-5, -0x1.7cdb9f0075552p-5, -0x1.772349e259bd9p-5, -0x1.717cd77b9386bp-5, -0x1.6be824c8b8b7ap-5, -0x1.66650e971e406p-5, -0x1.60f37187a6caap-5, -0x1.5b932a11aebf2p-5, -0x1.564414864bad7p-5, -0x1.51060d138e85p-5, -0x1.4bd8efc7c3b11p-5, -0x1.46bc98945e0fep-5, -0x1.41b0e350a99dap-5, -0x1.3cb5abbc5062ap-5, -0x1.37cacd81e2e6p-5, -0x1.32f024393baeep-5, -0x1.2e258b6c09c1ep-5, -0x1.296ade9453efbp-5, -0x1.24bff92312bc9p-5, -0x1.2024b68573962p-5, -0x1.1b98f21f96abcp-5, -0x1.171c87551c74cp-5, -0x1.12af51892f303p-5, -0x1.0e512c20c9323p-5, -0x1.0a01f2862eb3dp-5, -0x1.05c18029061a2p-5, -0x1.018fb0830bf8ap-5, -0x1.fad8be328c73cp-6, -0x1.f2aecefceccfdp-6, -0x1.eaa14aaa46e9ap-6, -0x1.e2afe8a3118c4p-6, -0x1.dada6076dc0e9p-6, -0x1.d32069e000c91p-6, -0x1.cb81bcc76bf3bp-6, -0x1.c3fe114872b2cp-6, -0x1.bc951fb4d2f4dp-6, -0x1.b546a09805804p-6, -0x1.ae124cbb61003p-6, -0x1.a6f7dd28b02ffp-6, -0x1.9ff70b2de9f1bp-6, -0x1.990f905f3d8ep-6, -0x1.9241269a2dde4p-6, -0x1.8b8b880853195p-6, -0x1.84ee6f221e07fp-6, -0x1.7e6996b1c626ap-6, -0x1.77fcb9d59adadp-6, -0x1.71a79407e653cp-6, -0x1.6b69e11067f64p-6, -0x1.65435d24c32b4p-6, -0x1.5f33c4ccb5cc9p-6, -0x1.593ad4f3cc97dp-6, -0x1.53584ae79eb65p-6, -0x1.4d8be459143fcp-6, -0x1.47d55f5e6c24p-6, -0x1.42347a7521b6ap-6, -0x1.3ca8f484194cbp-6, -0x1.37328cddc4691p-6, -0x1.31d103423b5a3p-6, -0x1.2c8417e08c2efp-6, -0x1.274b8b586ac6ap-6, -0x1.22271ebd36dfcp-6, -0x1.1d16937ee9573p-6, -0x1.1819abd97be7cp-6, -0x1.133029f12653fp-6, -0x1.0e59d0ba7422ap-6, -0x1.099663899f82bp-6, -0x1.04e5a62a9ddacp-6, -0x1.00475ce30824ep-6, -0x1.f77698e592e59p-7, -0x1.ee827427b3ee4p-7, -0x1.e5b1d6f5934cap-7, -0x1.dd044db0af4b4p-7, -0x1.d47965b55c802p-7, -0x1.cc10ad59e49e2p-7, -0x1.c3c9b3ec5219fp-7, -0x1.bba409b0dad7p-7, -0x1.b39f3fe1e8992p-7, -0x1.abbae8b1b8319p-7, -0x1.a3f6974cfd094p-7, -0x1.9c51dfde06256p-7, -0x1.94cc578f29664p-7, -0x1.8d65948c7ed9fp-7, -0x1.861d2e03eecf3p-7, -0x1.7ef2bc2433195p-7, -0x1.77e5d8189e32cp-7, -0x1.70f61c06fbfe8p-7, -0x1.6a23230f87ed9p-7, -0x1.636c8946352f2p-7, -0x1.5cd1ebb9218acp-7, -0x1.5652e86eafd47p-7, -0x1.4fef1e687a478p-7, -0x1.49a62da74d76ap-7, -0x1.4377b72c3226bp-7, -0x1.3d635cf806d97p-7, -0x1.3768c208fd7a4p-7, -0x1.31878a5664313p-7, -0x1.2bbf5acbb620ap-7, -0x1.260fd94429889p-7, -0x1.2078ac881441ap-7, -0x1.1af97c4ce6406p-7, -0x1.1591f137b0d56p-7, -0x1.1041b4e17ea53p-7, -0x1.0b0871dbfc43cp-7, -0x1.05e5d3b4b83f5p-7, -0x1.00d986f56fd3bp-7, -0x1.f7c6724107293p-8, -0x1.ee053153c37dbp-8, -0x1.e46ea9db04636p-8, -0x1.db023c4b6e1eep-8, -0x1.d1bf4ac6ccdcep-8, -0x1.c8a539149989ep-8, -0x1.bfb36ca73243bp-8, -0x1.b6e94cacf6aa1p-8, -0x1.ae46422a2edbp-8, -0x1.a5c9b7f3a5685p-8, -0x1.9d731ac721d1bp-8, -0x1.9541d99498566p-8, -0x1.8d35650e021a4p-8, -0x1.854d2fc445f83p-8, -0x1.7d88ae26600ddp-8, -0x1.75e756178dc4p-8, -0x1.6e689ee55cfe1p-8, -0x1.670c013b42cfep-8, -0x1.5fd0f718e2f8ap-8, -0x1.58b6fbe029852p-8, -0x1.51bd8c75d9499p-8, -0x1.4ae4276cfe15p-8, -0x1.442a4d32e528cp-8, -0x1.3d8f802ffe72bp-8, -0x1.371344d59b44fp-8, -0x1.30b52191f2d2dp-8, -0x1.2a749eabd4727p-8, -0x1.2451460b518adp-8, -0x1.1e4aa2fa3683bp-8, -0x1.186041e9625d3p-8, -0x1.1291b04757ddap-8, -0x1.0cde7c786d1fcp-8, -0x1.074635bfc18c5p-8, -0x1.01c86cabcd008p-8, -0x1.f8c966331727cp-9, -0x1.ee35390b6bbddp-9, -0x1.e3d37c94bd1cep-9, -0x1.d9a35f8530be2p-9, -0x1.cfa414a7484bdp-9, -0x1.c5d4d2abdde7p-9, -0x1.bc34d3bff85e4p-9, -0x1.b2c354f8ab6e6p-9, -0x1.a97f95afe22dcp-9, -0x1.a068d6f25349dp-9, -0x1.977e5b1d5ae22p-9, -0x1.8ebf65c108d7ap-9, -0x1.862b3bcb4b821p-9, -0x1.7dc123ef84517p-9, -0x1.75806730c2d6dp-9, -0x1.6d68516edba3p-9, -0x1.657831da515dap-9, -0x1.5daf5b3cf7926p-9, -0x1.560d24101c19cp-9, -0x1.4e90e66181014p-9, -0x1.4739ff8c2a7a7p-9, -0x1.4007cfcb615d9p-9, -0x1.38f9b9b1c8c5fp-9, -0x1.320f219506977p-9, -0x1.2b476d0869a58p-9, -0x1.24a202876e253p-9, -0x1.1e1e496a03774p-9, -0x1.17bbaa2c2bffap-9, -0x1.11798ef5b42a6p-9, -0x1.0b576433bf875p-9, -0x1.0554991340085p-9, -0x1.fee13f8cb3c94p-10, -0x1.f355dad3337adp-10, -0x1.e805f394885fep-10, -0x1.dcf07e502cd1bp-10, -0x1.d21474043ebap-10, -0x1.c770d224eaf1p-10, -0x1.bd049a99f35cp-10, -0x1.b2ced37f4eb59p-10, -0x1.a8ce867e9f3a1p-10, -0x1.9f02bfdd39e4fp-10, -0x1.956a8da3f1336p-10, -0x1.8c04ff5fa0a85p-10, -0x1.82d126c22c9ep-10, -0x1.79ce18f8d150ap-10, -0x1.70faf02cb80f1p-10, -0x1.6856cc63291bp-10, -0x1.5fe0d34edb1abp-10, -0x1.57982f0c2eda3p-10, -0x1.4f7c0c62036b4p-10, -0x1.478b996095649p-10, -0x1.3fc60511064a1p-10, -0x1.382a805e88631p-10, -0x1.30b83fc02f3afp-10, -0x1.296e7c876610cp-10, -0x1.224c75ac7d723p-10, -0x1.1b516e75ea30cp-10, -0x1.147cad4b32c6fp-10, -0x1.0dcd79c606f4bp-10, -0x1.07431c5c199e4p-10, -0x1.00dcdf4e8af65p-10, -0x1.f534214348733p-11, -0x1.e8f407f18e55dp-11, -0x1.dcf8266fd7fc2p-11, -0x1.d13f3bda5eecp-11, -0x1.c5c80ecf53a81p-11, -0x1.ba9163a58e7d1p-11, -0x1.af99f91a08a69p-11, -0x1.a4e08ce91c045p-11, -0x1.9a63daa1308cp-11, -0x1.9022a1272856fp-11, -0x1.861bab9c6ee89p-11, -0x1.7c4dd205b612cp-11, -0x1.72b7f6d73cbe5p-11, -0x1.6959030ff0de8p-11, -0x1.602fe2285924dp-11, -0x1.573b802eaa76ap-11, -0x1.4e7acb268351ep-11, -0x1.45ecb6c557666p-11, -0x1.3d9040828192ep-11, -0x1.3564733427eafp-11, -0x1.2d686611f4b6ap-11, -0x1.259b34b28f9aep-11, -0x1.1dfbfe6ef62b8p-11, -0x1.1689df71bd3eep-11, -0x1.0f43eb522c3ap-11, -0x1.08293312a059ap-11, -0x1.0138c7843ca7bp-11, -0x1.f4e37abe41d3fp-12, -0x1.e7a66171944b8p-12, -0x1.dab88a862c96fp-12, -0x1.ce18482523c9bp-12, -0x1.c1c3f1c6fbdf2p-12, -0x1.b5b9e1d29602ap-12, -0x1.a9f8785890763p-12, -0x1.9e7e21bef2166p-12, -0x1.93495d74aeec5p-12, -0x1.8858c06ec6fe5p-12, -0x1.7daaf1c9af1d1p-12, -0x1.733ea3bc1c83ep-12, -0x1.69128d1bce7fbp-12, -0x1.5f25667099557p-12, -0x1.5575ea6615df3p-12, -0x1.4c02d73a18ee3p-12, -0x1.42caef07d86b4p-12, -0x1.39ccf68584922p-12, -0x1.3107b3278f994p-12, -0x1.2879e9a66aa5ap-12, -0x1.20225cdce213bp-12, -0x1.17ffcc7160fcdp-12, -0x1.1010f35510d07p-12, -0x1.0854876230f25p-12, -0x1.00c9402822aafp-12, -0x1.f2dbc1229676p-13, -0x1.e4828c1e68371p-13, -0x1.d684de4ee7ed5p-13, -0x1.c8e0ec9a02c41p-13, -0x1.bb95019e3efbap-13, -0x1.ae9f57b2b6698p-13, -0x1.a1fe071dbafbcp-13, -0x1.95af13c5096f7p-13, -0x1.89b08fe25e3bep-13, -0x1.7e00bb9de07eep-13, -0x1.729e0d3b57b06p-13, -0x1.67871de1c08aep-13, -0x1.5cba88053aa67p-13, -0x1.5236cc157fafdp-13, -0x1.47fa497aedef2p-13, -0x1.3e0349111adfep-13, -0x1.345008dc98c7dp-13, -0x1.2adebc3bb7174p-13, -0x1.21ad85a957ce2p-13, -0x1.18ba7c795cbf6p-13, -0x1.1003c9c63d75bp-13, -0x1.0787d1053c2fcp-13, -0x1.fe8a8f0e1c8cap-14, -0x1.ee76484804d34p-14, -0x1.ded0d66cd9e75p-14, -0x1.cf97edc64b5b3p-14, -0x1.c0c8c353b27f4p-14, -0x1.b26044785f6dbp-14, -0x1.a45b88100bee5p-14, -0x1.96b828a1b94e1p-14, -0x1.89744ed6c79cap-14, -0x1.7c8e701c7dee2p-14, -0x1.7004f59b499cdp-14, -0x1.63d606245d06bp-14, -0x1.57ff8be1ef0ffp-14, -0x1.4c7f5d37fbd2dp-14, -0x1.41535912805f8p-14, -0x1.36795ef72203ap-14, -0x1.2bef34602f8d7p-14, -0x1.21b276101e841p-14, -0x1.17c0a5a2c75a2p-14, -0x1.0e17537699aa4p-14, -0x1.04b458aa7df7ep-14, -0x1.f72c021ab6ddep-15, -0x1.e575fbcc53e5bp-15, -0x1.d44432e545b1cp-15, -0x1.c393b0e92935ep-15, -0x1.b360a248e3247p-15, -0x1.a3a6bbdb23662p-15, -0x1.946214ba91f0bp-15, -0x1.858fc43a1a6aap-15, -0x1.772dc91220145p-15, -0x1.693a5d4a744ccp-15, -0x1.5bb34c3a97028p-15, -0x1.4e95ca682eb3cp-15, -0x1.41dedc367f00dp-15, -0x1.358bdcd21172dp-15, -0x1.299a9d5e7fc28p-15, -0x1.1e090a226c86ep-15, -0x1.12d4c03e438b4p-15, -0x1.07faeb4c318ccp-15, -0x1.faf0f9ca4ab04p-16, -0x1.e6959df59a65dp-16, -0x1.d2dea30c18586p-16, -0x1.bfc7c0a9d3446p-16, -0x1.ad4d299a8d9f2p-16, -0x1.9b6aa80ba2a99p-16, -0x1.8a1c603b9a5eap-16, -0x1.795dffc97ce9ep-16, -0x1.692aab87adabdp-16, -0x1.597d6d569cea3p-16, -0x1.4a51fadff9a57p-16, -0x1.3ba538d8d037fp-16, -0x1.2d74d302abef4p-16, -0x1.1fbe3b0ab18eep-16, -0x1.127e14dd9c47bp-16, -0x1.05b0889cf91dfp-16, -0x1.f2a40022fdedcp-17, -0x1.dabf260c2c5e1p-17, -0x1.c3ad94be15466p-17, -0x1.ad6a4449faecfp-17, -0x1.97efc780290ddp-17, -0x1.833871dbbdc5ap-17, -0x1.6f3e095f4b4c9p-17, -0x1.5bfac0c0f527ep-17, -0x1.4967b5df67c2bp-17, -0x1.37805312517a4p-17, -0x1.263f6d04bbe6p-17, -0x1.15a3662403be3p-17, -0x1.05a7fe162315bp-17, -0x1.ec90d7cfea1e4p-18, -0x1.cefcffce72c5cp-18, -0x1.b2875240e087ap-18, -0x1.9723e65f03f52p-18, -0x1.7cc965665f13cp-18, -0x1.6371a78b878b2p-18, -0x1.4b183d36b12a5p-18, -0x1.33b6b5f799aecp-18, -0x1.1d4256af39e1cp-18, -0x1.07afb7b3619d3p-18, -0x1.e5f05f7c40615p-19, -0x1.be321ca68c95p-19, -0x1.981c89e8acd66p-19, -0x1.73a0d1391d684p-19, -0x1.50aeb1965da77p-19, -0x1.2f38ec674b4afp-19, -0x1.0f33f173f3f53p-19, -0x1.e12815f3927a7p-20, -0x1.a69b67f517c16p-20, -0x1.6eabe1011571ep-20, -0x1.3943f1ac0e6a3p-20, -0x1.064e771689798p-20, -0x1.ab709f06d959p-21, -0x1.4ee3ce4979adep-21, -0x1.edb83c38e5768p-22, -0x1.467633a9309ep-22, -0x1.4f5b24418102dp-23, -0x1.0fb5f97739245p-26, 0x1.f7f8024304256p-24, 0x1.059290b78460fp-22, 0x1.860b96d6deb4dp-22, 0x1.ff9d0c256b071p-22, 0x1.393f809ed2f3dp-21, 0x1.6f8980f93d6abp-21, 0x1.a2da8aa66438dp-21, 0x1.d33c63499242bp-21, 0x1.0057b3af93eb8p-20, 0x1.15a8c67398e69p-20, 0x1.29a66ae36832ep-20, 0x1.3c5dfed104b56p-20, 0x1.4dd9444e4154ap-20, 0x1.5e23dde49443cp-20, 0x1.6d49af43b45d6p-20, 0x1.7b557b96b4376p-20, 0x1.88516ffa6e6f6p-20, 0x1.944730616c136p-20, 0x1.9f3d0c5f5699p-20, 0x1.a94ed752b40abp-20, 0x1.b26803eb8f024p-20, 0x1.baaf17c7deedbp-20, 0x1.c21c5336fe4cep-20, 0x1.c8badf2a3247ep-20, 0x1.ce913dba6bf45p-20, 0x1.d3a5f56ff7eabp-20, 0x1.d8010bd6528b3p-20, 0x1.dbabe6caae5p-20, 0x1.deb0c192c273bp-20, 0x1.e11b118ebc27dp-20, 0x1.e2f466c031fa1p-20, 0x1.e44206766d0c8p-20, 0x1.e50a48ef3aa6p-20, 0x1.e552f5941a8b4p-20, 0x1.e51f49db6179ep-20, 0x1.e476aa73bd40ap-20, 0x1.e3607d03b5902p-20, 0x1.e1e0ed3a5adc1p-20, 0x1.dffd3b6651842p-20, 0x1.ddbaa082a8c22p-20, 0x1.db1d1a9a8f33fp-20, 0x1.d82b74be13b54p-20, 0x1.d4e89423e939ap-20, 0x1.d155795cc08d8p-20, 0x1.cd78e155b92e3p-20, 0x1.c9577cbdf9cd3p-20, 0x1.c4f9659109e4p-20, 0x1.c05f24a805874p-20, 0x1.bb8c364660741p-20, 0x1.b683f6b767426p-20, 0x1.b1499601d6f56p-20, 0x1.abe067b1494adp-20, 0x1.a64bc87e20eb3p-20, 0x1.a08ebe4ad0237p-20, 0x1.9aabe93aba0fdp-20, 0x1.94a6459bb3778p-20, 0x1.8e81a09a2137dp-20, 0x1.8840d178e838ap-20, 0x1.81e4d87a84cb1p-20, 0x1.7b70b6add49bbp-20, 0x1.74e8aace79f84p-20, 0x1.6e4fded045e7ep-20, 0x1.67a96c8863781p-20, 0x1.60f4cc12a55e5p-20, 0x1.5a32d7412820ap-20, 0x1.536701f520e83p-20, 0x1.4c93a39d3bb7ep-20, 0x1.45ba0eb4ab381p-20, 0x1.3edb7ab5181fdp-20, 0x1.37f93e1e015a7p-20, 0x1.3114c76379f4ap-20, 0x1.2a2f92c9167a8p-20, 0x1.234b22ce657c9p-20, 0x1.1c68f67963e07p-20, 0x1.158a7be92a39p-20, 0x1.0eb1019bf756p-20, 0x1.07ddab349c56ep-20, 0x1.01116f8e81adcp-20, 0x1.f49a460e5f618p-21, 0x1.e7232a065a9d3p-21, 0x1.d9bf57060b83fp-21, 0x1.cc70dc340015cp-21, 0x1.bf39e08981c95p-21, 0x1.b21c472cdda14p-21, 0x1.a519708925204p-21, 0x1.98328494b06e6p-21, 0x1.8b68a4733028ap-21, 0x1.7ebc5515103a8p-21, 0x1.722dfea58a31ep-21, 0x1.65bfc3c1fda23p-21, 0x1.59747f740ca8ap-21, 0x1.4d4d60a28a137p-21, 0x1.4148d8a3835ccp-21, 0x1.356c0a5df3585p-21, 0x1.29af173fd6728p-21, 0x1.1e1c223fab25dp-21, 0x1.12ae568071df4p-21, 0x1.076b9665608ddp-21, 0x1.f8951362fbd7dp-22, 0x1.e2a34d9c0c21dp-22, 0x1.cd06721c355dfp-22, 0x1.b7bb05e682b27p-22, 0x1.a2c1ff404aaffp-22, 0x1.8e4a11417f8eep-22, 0x1.79c90bd3ecf8p-22, 0x1.65ca22036bac5p-22, 0x1.521f62b69dfb5p-22, 0x1.3ec8fc1a2630ep-22, 0x1.2bc7155399815p-22, 0x1.1919cd05f892fp-22, 0x1.06c13c58c65b4p-22, 0x1.e97ae4e62751bp-23, 0x1.c61cd47b8636bp-23, 0x1.a368034cdf0bbp-23, 0x1.815bf47aeb95ep-23, 0x1.5ff8126c54055p-23, 0x1.3f3bd617c633fp-23, 0x1.1f26ba58130bbp-23, 0x1.ff6ffb33dce7ap-24, 0x1.c1dddbf40834bp-24, 0x1.8595db03fa2a8p-24, 0x1.4a95a87cd0ba3p-24, 0x1.10dbe2db76784p-24, 0x1.b0ceb6252a57cp-25, 0x1.41a687bc2f467p-25, 0x1.aef7a34c1c588p-26, 0x1.b3650de8b942fp-27, 0x1.817f61492156ap-31, -0x1.7a4dfacd24cb1p-27, -0x1.81e5286cf9828p-26, -0x1.20bbca79f8a2cp-25, -0x1.7e5a60eb68346p-25, -0x1.d953b86bd226bp-25, -0x1.18e054fcd9727p-24, -0x1.441e5cbae5f56p-24, -0x1.6e77621bcccb7p-24, -0x1.9772292138e91p-24, -0x1.bf4da127e94f5p-24, -0x1.e61b634273e8p-24, -0x1.05ebe6e1f5cd9p-23, -0x1.184229f57eecfp-23, -0x1.2a120731b5d72p-23, -0x1.3b5d39f08c844p-23, -0x1.4c2594d39a406p-23, -0x1.5c6cdb7934a53p-23, -0x1.6c35026f20f0bp-23, -0x1.7b7fe3c3e9fd1p-23, -0x1.8a4f6121337e5p-23, -0x1.98a5566f2274ap-23, -0x1.a683ab53ac47ap-23, -0x1.b3ec54e55934cp-23, -0x1.c0e123889cf97p-23, -0x1.cd6408a1e5c3ap-23, -0x1.d976d9b4499bfp-23, -0x1.e51b46d9200efp-23, -0x1.f0534ecf2c8a2p-23, -0x1.fb20a8093f55p-23, -0x1.02c283d047389p-22, -0x1.07c122f7eea2ap-22, }}, 
      {{0x1.aca5cd308f6afp-1, 0x1.dd9303dd95a67p-1, 0x1.106f455befad3p+0, 0x1.35051ad5bd1cap+0, 0x1.577b770e3a399p+0, 0x1.744dc23a3a30bp+0, 0x1.896cda8c47e82p+0, 0x1.95fc4c5eec94p+0, 0x1.9a050eedfcaa7p+0, 0x1.962dc8d4b591ap+0, 0x1.8b7ecc9e8c059p+0, 0x1.7b32f4830767ep+0, 0x1.66948b619dd6dp+0, 0x1.4ee4998222365p+0, 0x1.354aa9710dcb3p+0, 0x1.1acb310bdebdap+0, 0x1.004303a1887f9p+0, 0x1.cccccbf631f14p-1, 0x1.9b8540acdc119p-1, 0x1.6d824642b6359p-1, 0x1.435718d979de3p-1, 0x1.1d6015d48ead2p-1, 0x1.f7971239bab54p-2, 0x1.bd441cf475ab4p-2, 0x1.8b9c878e4ec8dp-2, 0x1.6247530501dc8p-2, 0x1.40c94836a9479p-2, 0x1.268f3b3650726p-2, 0x1.12f6a1ae24606p-2, 0x1.05549be9983fdp-2, 0x1.f9f73113088fap-3, 0x1.f27f7e5fb7f58p-3, 0x1.f2f49bf97648fp-3, 0x1.fa1828ec5edcdp-3, 0x1.035f325efd43ep-2, 0x1.0be83d52e370cp-2, 0x1.1626eb480ed6fp-2, 0x1.21a65c0a5f6fdp-2, 0x1.2dfd17cc9c3f6p-2, 0x1.3accd51cb1f61p-2, 0x1.47c21520cbcc9p-2, 0x1.5493a23a75685p-2, 0x1.6101fad6d77d2p-2, 0x1.6cd6b02c82d67p-2, 0x1.77e3bee4394e1p-2, 0x1.8202e633594bbp-2, 0x1.8b1500c41ee03p-2, 0x1.930161d7d9eep-2, 0x1.99b538607af7bp-2, 0x1.9f22f937f4937p-2, 0x1.a341d12e4c7e3p-2, 0x1.a60d1f5a02e78p-2, 0x1.a783f7d7ae57fp-2, 0x1.a7a8aefca6abfp-2, 0x1.a6806ce515b64p-2, 0x1.a412c92eb9e3bp-2, 0x1.a0696ea3460edp-2, 0x1.9b8fc689e2b7dp-2, 0x1.9592ab4ec5489p-2, 0x1.8e802227f742dp-2, 0x1.86671b5ddd1dbp-2, 0x1.7d5738d8fa49ep-2, 0x1.73609a96d0961p-2, 0x1.6893b0a8e0486p-2, 0x1.5d011262e2dc5p-2, 0x1.50b95a55e8a8fp-2, 0x1.43cd06c6b579dp-2, 0x1.364c5e464e641p-2, 0x1.2847580d9fe53p-2, 0x1.19cd87fcb09abp-2, 0x1.0aee0d9b8622p-2, 0x1.f76f0cc831796p-3, 0x1.d870049456841p-3, 0x1.b8f9f62395425p-3, 0x1.99269b1f238d7p-3, 0x1.790e6923f950cp-3, 0x1.58c88d13a0f93p-3, 0x1.386ae5974fedap-3, 0x1.180a05ea437d1p-3, 0x1.ef726a8fe54cbp-4, 0x1.af14e870ebe0dp-4, 0x1.6f1d084d0dcc7p-4, 0x1.2fa9d3ebe0603p-4, 0x1.e1aff1ec5e8ecp-5, 0x1.6583a3d9721ccp-5, 0x1.d5fdf12d2ac4cp-6, 0x1.c937a99df7d01p-7, -0x1.19ee0bd790d2dp-11, -0x1.e3f81f5cb411fp-7, -0x1.d6a9bcf0e9d3fp-6, -0x1.5b4fab00a7873p-5, -0x1.c8d537bb60f2fp-5, -0x1.19e7c339cb102p-4, -0x1.4e15ce67aea1fp-4, -0x1.80ecacf828246p-4, -0x1.b265a64072e45p-4, -0x1.e27b43666167p-4, -0x1.08949df85bd5p-3, -0x1.1f3630a84f4e2p-3, -0x1.3521463384a54p-3, -0x1.4a5545567d155p-3, -0x1.5ed206526c4b8p-3, -0x1.7297caa42c4d4p-3, -0x1.85a7349ba148p-3, -0x1.98013ff4540bdp-3, -0x1.a9a73a6972bb5p-3, -0x1.ba9abc89d81e7p-3, -0x1.cadda35ac59ddp-3, -0x1.da7209d81287bp-3, -0x1.e95a42d0c0e7ap-3, -0x1.f798d36e3120cp-3, -0x1.029836c8daf8bp-2, -0x1.0911f54ac595p-2, -0x1.0f3b235334ffap-2, -0x1.15154dff09ec8p-2, -0x1.1aa20f3b92e3cp-2, -0x1.1fe30bd8e8fcdp-2, -0x1.24d9f19a9af39p-2, -0x1.29887561fe865p-2, -0x1.2df051a29866fp-2, -0x1.321344e1b9e5dp-2, -0x1.35f3103b5e371p-2, -0x1.3991762ad269p-2, -0x1.3cf0396b6b7f8p-2, -0x1.40111bd58f60cp-2, -0x1.42f5dd678a93fp-2, -0x1.45a03b73287ffp-2, -0x1.4811efcf65eacp-2, -0x1.4a4cb014c41afp-2, -0x1.4c522cffe2d1bp-2, -0x1.4e2411ec5da19p-2, -0x1.4fc40444f2a5ep-2, -0x1.5133a309fdcf3p-2, -0x1.5274867e3b78bp-2, -0x1.53883fcd78b93p-2, -0x1.547058b5e1864p-2, -0x1.552e534f69facp-2, -0x1.55c3a9dcbde3dp-2, -0x1.5631ce9e4cd34p-2, -0x1.567a2baf07928p-2, -0x1.569e22e94bef7p-2, -0x1.569f0ddc05a67p-2, -0x1.567e3dc560b5bp-2, -0x1.563cfb85514b1p-2, -0x1.55dc879e78777p-2, -0x1.555e1a4a66ccp-2, -0x1.54c2e38375507p-2, -0x1.540c0b0b6646fp-2, -0x1.533ab0855db3p-2, -0x1.524feb93248bp-2, -0x1.514ccbeab36dep-2, -0x1.50325972e6743p-2, -0x1.4f0194658151ep-2, -0x1.4dbb756d2c20ap-2, -0x1.4c60edca2d14p-2, -0x1.4af2e77bb875p-2, -0x1.497245605ade2p-2, -0x1.47dfe35705504p-2, -0x1.463c966de1649p-2, -0x1.44892d0ea2803p-2, -0x1.42c66f1defa81p-2, -0x1.40f51e20af38ep-2, -0x1.3f15f56cafee4p-2, -0x1.3d29aa52c39ep-2, -0x1.3b30ec3fb9454p-2, -0x1.392c64e4a27ep-2, -0x1.371cb864b8e13p-2, -0x1.3502857ab6f03p-2, -0x1.32de659ac4e79p-2, -0x1.30b0ed1c11bc4p-2, -0x1.2e7aab631f197p-2, -0x1.2c3c2b029a005p-2, -0x1.29f5f1db0efp-2, -0x1.27a881435fbc4p-2, -0x1.2554563077e0cp-2, -0x1.22f9e952c408cp-2, -0x1.2099af326ababp-2, -0x1.1e341853cf835p-2, -0x1.1bc9915cbb0e3p-2, -0x1.195a832fbafe3p-2, -0x1.16e753044d1ap-2, -0x1.14706286ee0cfp-2, -0x1.11f60ffba5dfdp-2, -0x1.0f78b65789c09p-2, -0x1.0cf8ad5489326p-2, -0x1.0a76498bd417bp-2, -0x1.07f1dc96b2e14p-2, -0x1.056bb528b9237p-2, -0x1.02e41f1f6368bp-2, -0x1.005b6393ce76p-2, -0x1.fba391eedf02bp-3, -0x1.f68f2663d490dp-3, -0x1.f17a076588be1p-3, -0x1.ec64b2f563b2p-3, -0x1.e74fa2589cb1ap-3, -0x1.e23b4a51a0e09p-3, -0x1.dd281b557da8cp-3, -0x1.d81681a413d12p-3, -0x1.d306e5510e645p-3, -0x1.cdf9aa5fc91dep-3, -0x1.c8ef30f963b5p-3, -0x1.c3e7d59f9b331p-3, -0x1.bee3f14166ba2p-3, -0x1.b9e3d93bf85dep-3, -0x1.b4e7df6b2e117p-3, -0x1.aff052580193p-3, -0x1.aafd7d6cb002dp-3, -0x1.a60fa90e37b55p-3, -0x1.a1271a9a2d2acp-3, -0x1.9c441467e7e29p-3, -0x1.9766d5e72f825p-3, -0x1.928f9bd30fe52p-3, -0x1.8dbea057c1d6ap-3, -0x1.88f41b18b8108p-3, -0x1.84304126a93e1p-3, -0x1.7f7345065bda3p-3, -0x1.7abd56d58626bp-3, -0x1.760ea479d7255p-3, -0x1.716759bb91684p-3, -0x1.6cc7a04285e4ep-3, -0x1.682f9f89ecc64p-3, -0x1.639f7ce8392dp-3, -0x1.5f175bb2a0587p-3, -0x1.5a975d67d1d54p-3, -0x1.561fa1c6e43e5p-3, -0x1.51b046cad3308p-3, -0x1.4d49689cc45f9p-3, -0x1.48eb2196d558fp-3, -0x1.44958a60d268fp-3, -0x1.4048ba178636dp-3, -0x1.3c04c66637971p-3, -0x1.37c9c3871a228p-3, -0x1.3397c4358e04p-3, -0x1.2f6ed9a860624p-3, -0x1.2b4f13a280091p-3, -0x1.273880945604cp-3, -0x1.232b2db9e9915p-3, -0x1.1f272725d7d0ap-3, -0x1.1b2c77b938cafp-3, -0x1.173b291795486p-3, -0x1.135343a846a8dp-3, -0x1.0f74ceab02f42p-3, -0x1.0b9fd0559d63ap-3, -0x1.07d44dea5bd81p-3, -0x1.04124bbd1577ep-3, -0x1.0059cd2a7413cp-3, -0x1.f955a91cf9a86p-4, -0x1.f20ac68e5b36ap-4, -0x1.ead2f38d03613p-4, -0x1.e3ae2f56204f3p-4, -0x1.dc9c77a6a6b97p-4, -0x1.d59dc8c57a0a8p-4, -0x1.ceb21d7763fa8p-4, -0x1.c7d96eee8da35p-4, -0x1.c113b4ca47352p-4, -0x1.ba60e52f33225p-4, -0x1.b3c0f4ee9f68bp-4, -0x1.ad33d7aa4506p-4, -0x1.a6b97fe593ebep-4, -0x1.a051df02b5bd6p-4, -0x1.99fce535a27a3p-4, -0x1.93ba817cc6a8bp-4, -0x1.8d8aa1aaa53b2p-4, -0x1.876d327f6618fp-4, -0x1.81621fc91fa16p-4, -0x1.7b69547b5db55p-4, -0x1.7582bab8554f3p-4, -0x1.6fae3bcc98ffdp-4, -0x1.69ebc026071d8p-4, -0x1.643b2f50f3625p-4, -0x1.5e9c7001c3e4ep-4, -0x1.590f6829d40ffp-4, -0x1.5393fd0f8f458p-4, -0x1.4e2a1360d023fp-4, -0x1.48d18f3ad2881p-4, -0x1.438a5428aa5ep-4, -0x1.3e54451da4698p-4, -0x1.392f4472bbe3bp-4, -0x1.341b33ec3dbedp-4, -0x1.2f17f4c7e1af5p-4, -0x1.2a2567cea5da9p-4, -0x1.25436d6471968p-4, -0x1.2071e59172e0bp-4, -0x1.1bb0b00488615p-4, -0x1.16ffac1106babp-4, -0x1.125eb8ac0692p-4, -0x1.0dcdb46d780dap-4, -0x1.094c7d9767bcp-4, -0x1.04daf2213e10cp-4, -0x1.0078efc4d5791p-4, -0x1.f84ca811f7b4ap-5, -0x1.efc5f88d2f0a3p-5, -0x1.e75d8b5644932p-5, -0x1.df131a6f2271cp-5, -0x1.d6e65f7ec3bf1p-5, -0x1.ced713d386ce8p-5, -0x1.c6e4f06eda177p-5, -0x1.bf0fae1446c9p-5, -0x1.b757055b98ff4p-5, -0x1.afbaaebf75e14p-5, -0x1.a83a62a731c64p-5, -0x1.a0d5d96bb46bep-5, -0x1.998ccb588bc09p-5, -0x1.925ef0ab9e7b8p-5, -0x1.8b4c019692a3fp-5, -0x1.8453b6445d7aep-5, -0x1.7d75c6e2fa4fap-5, -0x1.76b1ebaeee99p-5, -0x1.7007dcfe0a6ecp-5, -0x1.6977534799e09p-5, -0x1.6300072a2b688p-5, -0x1.5ca1b16ecc28bp-5, -0x1.565c0b0ac33ddp-5, -0x1.502ecd20c9d51p-5, -0x1.4a19b10351d37p-5, -0x1.441c703911bbcp-5, -0x1.3e36c4836addep-5, -0x1.386867e5c8fbp-5, -0x1.32b114a9e069fp-5, -0x1.2d108566f357dp-5, -0x1.278675027f3dbp-5, -0x1.22129eb4a9d05p-5, -0x1.1cb4be0a95602p-5, -0x1.176c8ee8d80e9p-5, -0x1.1239cd8e57a39p-5, -0x1.0d1c3697b003ep-5, -0x1.081387030442fp-5, -0x1.031f7c336e98ep-5, -0x1.fc7fa7e5f1274p-6, -0x1.f2e898e70534fp-6, -0x1.e979489e58266p-6, -0x1.e031351348324p-6, -0x1.d70fdd2f71f6p-6, -0x1.ce14c09539562p-6, -0x1.c53f600bc8ab2p-6, -0x1.bc8f3d264d47fp-6, -0x1.b403da7d0e5c6p-6, -0x1.ab9cbba816655p-6, -0x1.a359653ee895ep-6, -0x1.9b395cd31d9cdp-6, -0x1.933c28e7ba52dp-6, -0x1.8b6150e937bd8p-6, -0x1.83a85d2a1d4dp-6, -0x1.7c10d6e7070eep-6, -0x1.749a48524c9ccp-6, -0x1.6d443ca4f7905p-6, -0x1.660e403110aa9p-6, -0x1.5ef7e07079d94p-6, -0x1.5800ac0c2348dp-6, -0x1.512832d8cc55fp-6, -0x1.4a6e05c8e299ep-6, -0x1.43d1b6d6a901bp-6, -0x1.3d52d8ec78a6bp-6, -0x1.36f0ffd2b1943p-6, -0x1.30abc029a909cp-6, -0x1.2a82af72a3052p-6, -0x1.247564274a57ep-6, -0x1.1e8375da6a0d4p-6, -0x1.18ac7d58da2eep-6, -0x1.12f014c38f6e2p-6, -0x1.0d4dd798f7e63p-6, -0x1.07c562aadc222p-6, -0x1.02565400e4c4cp-6, -0x1.fa00955b38512p-7, -0x1.ef85cd4064b39p-7, -0x1.e53b90fe84b0dp-7, -0x1.db21232e70c45p-7, -0x1.d135c7c554af5p-7, -0x1.c778c458d3e25p-7, -0x1.bde96088bfe64p-7, -0x1.b486e6758e79fp-7, -0x1.ab50a3264bedep-7, -0x1.a245e6c2998a6p-7, -0x1.9966048e88664p-7, -0x1.90b052a3fe7c6p-7, -0x1.88242975c3dadp-7, -0x1.7fc0e3360bc42p-7, -0x1.7785db43eb1b6p-7, -0x1.6f726dc350a31p-7, -0x1.6785f77ae6d1ep-7, -0x1.5fbfd603e7fcp-7, -0x1.581f68446d9ap-7, -0x1.50a40f1b3b578p-7, -0x1.494d2e1638a97p-7, -0x1.421a2c099a686p-7, -0x1.3b0a735f3ef96p-7, -0x1.341d720dadba6p-7, -0x1.2d5299360304dp-7, -0x1.26a95c662b915p-7, -0x1.202130c12722dp-7, -0x1.19b98c2cfa23cp-7, -0x1.1371e4add8bf9p-7, -0x1.0d49b02543381p-7, -0x1.0740647c874bbp-7, -0x1.01557833cbae9p-7, -0x1.f710c67383f1bp-8, -0x1.ebb13fbbe13c4p-8, -0x1.e08b5753d36efp-8, -0x1.d59e0fdf937f4p-8, -0x1.cae873e8d572ap-8, -0x1.c06995414eaddp-8, -0x1.b6208ba0b17d3p-8, -0x1.ac0c72b4f0bcep-8, -0x1.a22c680cc1f02p-8, -0x1.987f8947eba82p-8, -0x1.8f04f2ee6a5e3p-8, -0x1.85bbc02c92b11p-8, -0x1.7ca30b7ec1fep-8, -0x1.73b9f036eafe2p-8, -0x1.6aff8c537a788p-8, -0x1.6273028fbb68p-8, -0x1.5a137c0026208p-8, -0x1.51e029098cbabp-8, -0x1.49d84186d1f2ep-8, -0x1.41fb0419a1d47p-8, -0x1.3a47b4cb6d664p-8, -0x1.32bd9b40a4ab7p-8, -0x1.2b5c00d33d94ep-8, -0x1.24222eef7d32ep-8, -0x1.1d0f6e05262a9p-8, -0x1.162305439672ap-8, -0x1.0f5c3b2c064fap-8, -0x1.08ba56d3f2148p-8, -0x1.023ca186af3c1p-8, -0x1.f7c4d0c27398p-9, -0x1.eb55fb17931d6p-9, -0x1.df2b71ad64292p-9, -0x1.d343ef5a454c1p-9, -0x1.c79e38f23cdcbp-9, -0x1.bc391b572e453p-9, -0x1.b113694119e75p-9, -0x1.a62bf91e161bfp-9, -0x1.9b81a353d266fp-9, -0x1.9113411cf9b0cp-9, -0x1.86dfac336f399p-9, -0x1.7ce5bf666f318p-9, -0x1.73245811e304fp-9, -0x1.699a582d89699p-9, -0x1.6046a86b5698fp-9, -0x1.572839c0735a3p-9, -0x1.4e3e05d2a1842p-9, -0x1.45870e1c61f12p-9, -0x1.3d0259f64e85cp-9, -0x1.34aef4212c1bdp-9, -0x1.2c8be881afa97p-9, -0x1.249842a915204p-9, -0x1.1cd30d8acfa8fp-9, -0x1.153b545923a69p-9, -0x1.0dd02439d7914p-9, -0x1.06908e5a1a4bcp-9, -0x1.fef753da10f2ap-10, -0x1.f1212b8456f51p-10, -0x1.e39cf2967bba5p-10, -0x1.d66909fd692bp-10, -0x1.c983e418ea8d7p-10, -0x1.bcec02be9e1cbp-10, -0x1.b09ff3eb35c6ap-10, -0x1.a49e4d5b666e7p-10, -0x1.98e5a76e4293ap-10, -0x1.8d7497cf7f7f3p-10, -0x1.8249ac98885f7p-10, -0x1.776368de2a7ebp-10, -0x1.6cc043ddaa7b3p-10, -0x1.625eabda55a03p-10, -0x1.583d0cfa68832p-10, -0x1.4e59db3d56171p-10, -0x1.44b39d257e56ep-10, -0x1.3b48f42ea6504p-10, -0x1.3218a038f82d6p-10, -0x1.29217cd5e62b8p-10, -0x1.206279658ad04p-10, -0x1.17da8efbb194dp-10, -0x1.0f88b7cf4022bp-10, -0x1.076beb1494b9dp-10, -0x1.ff063b74178e4p-11, -0x1.ef9a8bed7d5cdp-11, -0x1.e092bcb0e6ac9p-11, -0x1.d1ecc859c083bp-11, -0x1.c3a6a0cbc81f4p-11, -0x1.b5be1d35e349dp-11, -0x1.a830ebe9a2087p-11, -0x1.9afc92b3b1cd1p-11, -0x1.8e1e84de2b0d6p-11, -0x1.81944a1f3e5e4p-11, -0x1.755ba91ef6b8p-11, -0x1.6972c3e7133acp-11, -0x1.5dd8181a39736p-11, -0x1.528a60515ca4ap-11, -0x1.478862491c9d1p-11, -0x1.3cd0bf71dac8ep-11, -0x1.3261dd9aefbf7p-11, -0x1.2839f1b342689p-11, -0x1.1e57261a1d72bp-11, -0x1.14b7cae2960cbp-11, -0x1.0b5a752868b6dp-11, -0x1.023dfe2b118c2p-11, -0x1.f2c2c46434f58p-12, -0x1.e18714e406be5p-12, -0x1.d0c635121f258p-12, -0x1.c07cb1fe0c761p-12, -0x1.b0a6806298005p-12, -0x1.a13f69236b0f4p-12, -0x1.924397d1aed07p-12, -0x1.83b00f572188cp-12, -0x1.7582cf5fb24e1p-12, -0x1.67ba94dda94dcp-12, -0x1.5a564c9f4324bp-12, -0x1.4d5474b86224fp-12, -0x1.40b2b52b8e173p-12, -0x1.346de1447e635p-12, -0x1.288262cd39738p-12, -0x1.1cecde70bc735p-12, -0x1.11aac68346f1p-12, -0x1.06ba9ae42398ap-12, -0x1.f837760ab6dcap-13, -0x1.e39bbef19c8e4p-13, -0x1.cfa0ebee970dp-13, -0x1.bc444aa600e1p-13, -0x1.a98151e9334e3p-13, -0x1.975212d168a2ap-13, -0x1.85b0226fc9522p-13, -0x1.74959a8f2ff6cp-13, -0x1.63fddcf1c6695p-13, -0x1.53e5df3628f37p-13, -0x1.444beac8a0f91p-13, -0x1.352edde1822cfp-13, -0x1.268d2b3c10c03p-13, -0x1.1863fb6a350a9p-13, -0x1.0aaed81adbb78p-13, -0x1.fad03286aea3ep-14, -0x1.e113e7acc39fap-14, -0x1.c81f6f8ae3807p-14, -0x1.afed5b1b2e71bp-14, -0x1.987c51a1ad48bp-14, -0x1.81cd7e1566f21p-14, -0x1.6be20031641fp-14, -0x1.56b8b1aa3bd91p-14, -0x1.424d5bb32de23p-14, -0x1.2e9981156338bp-14, -0x1.1b95e70308b3fp-14, -0x1.093bd0324a61bp-14, -0x1.ef0acf0d7af87p-15, -0x1.ccdb0c28f052ap-15, -0x1.abdeb096a3bfep-15, -0x1.8c0c9dfbb10e8p-15, -0x1.6d5cbb2a77d61p-15, -0x1.4fc82c076db51p-15, -0x1.3348670b100f3p-15, -0x1.17d569d11f7b5p-15, -0x1.fac8e48ae4116p-16, -0x1.c7d10a0b1e078p-16, -0x1.96a9901b0df2ep-16, -0x1.673eff84e3c77p-16, -0x1.39880673821a1p-16, -0x1.0d8491c643a12p-16, -0x1.c66faca4dee5dp-17, -0x1.75419774415bfp-17, -0x1.276c60f0f9c99p-17, -0x1.b9a0f53e6ccd5p-18, -0x1.2a97101f4e25ap-18, -0x1.43075b11d7f9ap-19, -0x1.e43e4e0aedeap-22, 0x1.7cf9e3b87f30ep-20, 0x1.ae3d17b0c3f4p-19, 0x1.498b26bbd475bp-18, 0x1.b6c7814a12e94p-18, 0x1.0f8f2e48c3589p-17, 0x1.4168b1d7fe81p-17, 0x1.71075735c59c7p-17, 0x1.9e78c9e2d5657p-17, 0x1.c9c6d162c8a34p-17, 0x1.f2fe1dbbb2f5ep-17, 0x1.0d18f30d412bap-16, 0x1.1fbd0f66486acp-16, 0x1.31768d4121887p-16, 0x1.424c72aa47fffp-16, 0x1.524145c614ce4p-16, 0x1.615666044bd62p-16, 0x1.6f8fe6ec2dec2p-16, 0x1.7cf59b840da58p-16, 0x1.89915353ba5adp-16, 0x1.956c0bfc420c8p-16, 0x1.a08bc5d24ca1fp-16, 0x1.aaf3926efa17ep-16, 0x1.b4a5f989c7e88p-16, 0x1.bda7807d3d3eap-16, 0x1.c5fecefdb0e3cp-16, 0x1.cdb3d91e16fffp-16, 0x1.d4cef00afb676p-16, 0x1.db584bd464e11p-16, 0x1.e1580b46ba306p-16, 0x1.e6d51b49be011p-16, 0x1.ebd3dd5d70773p-16, 0x1.f0561c34fcde6p-16, 0x1.f45d2137614fbp-16, 0x1.f7ec32fd5b1eep-16, 0x1.fb0903c663a18p-16, 0x1.fdb9b54b5bebcp-16, 0x1.000162a6dc80fp-15, 0x1.00f393e921691p-15, 0x1.01b4e868d3688p-15, 0x1.024741709756bp-15, 0x1.02acbd57c244fp-15, 0x1.02e75b1bf3d8ap-15, 0x1.02f8b15e97603p-15, 0x1.02e1fdda149b3p-15, 0x1.02a4858d7bb97p-15, 0x1.0241e49eb4367p-15, 0x1.01bbbb818f2e7p-15, 0x1.0113b300cc8a6p-15, 0x1.004b4bebbea2fp-15, 0x1.fec8608e4be5ep-16, 0x1.fcc004a765759p-16, 0x1.fa80e5e58455ap-16, 0x1.f80e3a665af88p-16, 0x1.f56aaf180bd22p-16, 0x1.f297f86558e42p-16, 0x1.ef9768f9366b4p-16, 0x1.ec6b9c4f7ebfbp-16, 0x1.e9184e22896f4p-16, 0x1.e59f1940a035dp-16, 0x1.e1fe010f738d9p-16, 0x1.de342052595f8p-16, 0x1.da465b290a15ap-16, 0x1.d63bd3de85c3p-16, 0x1.d2175343de126p-16, 0x1.cdd75eda2ba6ep-16, 0x1.c97b828bf87ffp-16, 0x1.c50654f144f8dp-16, 0x1.c07aa0aef1bc8p-16, 0x1.bbd9893eddb29p-16, 0x1.b7237e001b9cfp-16, 0x1.b2594c05532e6p-16, 0x1.ad7c30ca05ccep-16, 0x1.a88d94b56a143p-16, 0x1.a38ef6e3db0b2p-16, 0x1.9e820c0b2c75cp-16, 0x1.9968ce0a6eef5p-16, 0x1.944550e1e61afp-16, 0x1.8f1999cb88031p-16, 0x1.89e7afe53b515p-16, 0x1.84b0f98c181e2p-16, 0x1.7f74ade9252bbp-16, 0x1.7a317ffafe33bp-16, 0x1.74ea493adddeap-16, 0x1.6fa26eff9250bp-16, 0x1.6a551d466a0c3p-16, 0x1.64fc2934cc602p-16, 0x1.5f9dd62402301p-16, 0x1.5a44032807797p-16, 0x1.54ed6d34846ap-16, 0x1.4f95531690193p-16, 0x1.4a3dbcd1dfe43p-16, 0x1.44e9d764a7297p-16, 0x1.3f990b7854984p-16, 0x1.3a49edc264de7p-16, 0x1.34fc6ecb4765dp-16, 0x1.2fb16d1f003cbp-16, 0x1.2a69ebb6f2ea6p-16, 0x1.2526b5151ff8bp-16, 0x1.1fe8a8d7c1f7fp-16, 0x1.1aafd2ebe7b06p-16, 0x1.157ceb4f1ddcbp-16, 0x1.105018f4c5e74p-16, 0x1.0b29de679da1fp-16, 0x1.060ae45c90cbep-16, 0x1.00f3f4618ca19p-16, 0x1.f7cc2f0efc803p-17, 0x1.edc6309316a6fp-17, 0x1.e3d96e7b00e5ep-17, 0x1.da03c19091f7p-17, 0x1.d0416cab3ded7p-17, 0x1.c692bfcc81873p-17, 0x1.bcf02ee3c1a4dp-17, 0x1.b35643f622766p-17, 0x1.a9d0ae76aa1a7p-17, 0x1.a06228f5f62f4p-17, 0x1.970abc39a7f4ep-17, 0x1.8dcefe73ce265p-17, 0x1.84ab83d6bf746p-17, 0x1.7b9b336d07915p-17, 0x1.729d71d2c6ecdp-17, 0x1.69b3c647dc3b2p-17, 0x1.60dfd0d4feae8p-17, 0x1.5822a3b9771cp-17, 0x1.4f7c9671ed27p-17, 0x1.46edd299029a6p-17, 0x1.3e76493a544ecp-17, 0x1.3616407760e4fp-17, 0x1.2dcde8297d1d3p-17, 0x1.259d669bfefd4p-17, 0x1.1d84bce2f5265p-17, 0x1.1583b9f59a98cp-17, 0x1.0d9a1d14c49ddp-17, 0x1.05c7d2918e2ccp-17, 0x1.fc19c8aa155e2p-18, 0x1.ecd20b10b462ep-18, 0x1.ddb96681c840ap-18, 0x1.cedb15656b424p-18, 0x1.c0456cf9ca94fp-18, 0x1.b1e774e900dfap-18, 0x1.a3a95a00a1065p-18, 0x1.958a38dc69f16p-18, 0x1.8789b356f59f4p-18, 0x1.79c445f171ca5p-18, 0x1.6c439ea34ff81p-18, 0x1.5ef42261273fp-18, 0x1.51ccd1a19a852p-18, 0x1.44cf6025986c9p-18, 0x1.37feb4650ea14p-18, 0x1.2b5c5a6222145p-18, 0x1.1ee8cfbc92cabp-18, 0x1.12a407544d4fp-18, 0x1.068db442f0e43p-18, 0x1.f54ade10d41dap-19, 0x1.ddd59617ac8ecp-19, 0x1.c6bacc94860b9p-19, 0x1.aff9e91539ab7p-19, 0x1.999283dbb645dp-19, 0x1.83844e11173fcp-19, 0x1.6dced8e47dea4p-19, 0x1.587154346d49cp-19, 0x1.436a6ee7c5f9cp-19, 0x1.2eb89906ea312p-19, 0x1.1a5abbdd68eb3p-19, 0x1.064fe58f70923p-19, 0x1.e52d18ed825cbp-20, 0x1.be5caa7694288p-20, 0x1.983ff984464a8p-20, 0x1.72e975340fa11p-20, 0x1.4e402359a6919p-20, 0x1.2a1d1fcfc932p-20, 0x1.0679eafb2a95dp-20, 0x1.c6f76fbfb6ef8p-21, 0x1.826296ff0920fp-21, 0x1.3f1002df21378p-21, 0x1.f9becebbd56cfp-22, 0x1.77a5273716092p-22, 0x1.efb587856228cp-23, 0x1.e9a02a7d6c651p-24, -0x1.75eb936dfcbddp-31, -0x1.e656459c15eaep-24, -0x1.e05a0383cf8fp-23, -0x1.64881a85b305fp-22, -0x1.d6c15860a31eap-22, -0x1.2351aff6bb7a9p-21, -0x1.5a3834f2b8b6dp-21, -0x1.900d507342358p-21, -0x1.c4d4051d48e14p-21, -0x1.f88f5f07d819p-21, -0x1.15a1439e3aff3p-20, -0x1.2e78663d97c93p-20, -0x1.46cec7912d998p-20, -0x1.5ea608efca3bdp-20, -0x1.75ffa5015238cp-20, -0x1.8cdcf50451e7ep-20, -0x1.a33f73f3c9d57p-20, -0x1.b9290166a15e3p-20, -0x1.ce9b1c6337675p-20, -0x1.e3954434261fap-20, -0x1.f81988abe6763p-20, -0x1.061653486f3b2p-19, -0x1.0fe6c28d8a0f9p-19, -0x1.197f0f22ca38fp-19, -0x1.22e025dcf079ep-19, -0x1.2c0b1bdfb6eb7p-19, -0x1.34fd56968fd1p-19, -0x1.3dbd5088ac2c7p-19, -0x1.46474d27a07f9p-19, -0x1.4e9d883b06139p-19, -0x1.56c07a5828874p-19, -0x1.5eb1015b243cep-19, -0x1.666f8b2d7e4f9p-19, -0x1.6dfd75991c95bp-19, -0x1.755b3165835p-19, -0x1.7c88d694ac90ep-19, -0x1.8386a3c050793p-19, -0x1.8a56d0d8a74c8p-19, -0x1.90f9428bcdd3ap-19, -0x1.976e701a2418ap-19, -0x1.9db7170a05066p-19, -0x1.a3d3e5fe4af7ap-19, -0x1.a9c586fe2c16dp-19, -0x1.af8c9f70ba05dp-19, -0x1.b529cbf424bddp-19, -0x1.ba9da038b4f7dp-19, -0x1.bfe8a956e14dcp-19, -0x1.c50b7d56dfb8ap-19, -0x1.ca06ca9df7418p-19, -0x1.cedb40a2d4321p-19, -0x1.d38929b2c34a3p-19, -0x1.d810b34f2b9b5p-19, -0x1.dc74451aabdfdp-19, -0x1.e0b2eae2bc8bdp-19, -0x1.e4ccde4e02be9p-19, -0x1.e8c508c570f09p-19, -0x1.ec98d39ba804dp-19, -0x1.f049c3644cc36p-19, -0x1.f3d9c10a53c66p-19, -0x1.f74780869c0cdp-19, }}, 
      {{0x1.a08bfd5a0da9cp-1, 0x1.b1cd8bb96c138p-1, 0x1.cb4c40a7a3ae5p-1, 0x1.e9d9293531e4bp-1, 0x1.05441e0340c71p+0, 0x1.1578d806c8615p+0, 0x1.24a1843c15fa4p+0, 0x1.321ba0fc0667fp+0, 0x1.3d81e08c4235cp+0, 0x1.46a0d142e75bdp+0, 0x1.4d6bb57e9d2cp+0, 0x1.51f27b3a9c8f5p+0, 0x1.54592d90e596cp+0, 0x1.54d0ef2cd0316p+0, 0x1.5392681b99431p+0, 0x1.50d97e8806d92p+0, 0x1.4ce22a3441883p+0, 0x1.47e6320a580c7p+0, 0x1.421ba6479c771p+0, 0x1.3bb3eeafb3369p+0, 0x1.34db49ddb3f58p+0, 0x1.2db8a0a055237p+0, 0x1.266d95dfd1e0ap+0, 0x1.1f16c07424cdfp+0, 0x1.17cc0069b10eap+0, 0x1.10a0e49c624eep+0, 0x1.09a51857c05b3p+0, 0x1.02e4d2f2dd5dcp+0, 0x1.f8d28a37e2bb2p-1, 0x1.ec7201d2a675fp-1, 0x1.e0b0b5ad28adp-1, 0x1.d5938530c493fp-1, 0x1.cb1c26a01366cp-1, 0x1.c149b62a69fe9p-1, 0x1.b8193424b92a1p-1, 0x1.af85f351072cap-1, 0x1.a789f8641486dp-1, 0x1.a01e4c0fd91ccp-1, 0x1.993b40dcd6bd9p-1, 0x1.92d8ae20e894p-1, 0x1.8cee215bf37f2p-1, 0x1.8773072ca3c5fp-1, 0x1.825eccf179d51p-1, 0x1.7da8fc0f15b91p-1, 0x1.79494fbcdd984p-1, 0x1.7537c62352453p-1, 0x1.716cad80c0d58p-1, 0x1.6de0adf1b06ffp-1, 0x1.6a8cd0654d739p-1, 0x1.676a8333258b7p-1, 0x1.64739cb74ebf3p-1, 0x1.61a25c4c8430dp-1, 0x1.5ef169ef9c08cp-1, 0x1.5c5bd4cd1a19bp-1, 0x1.59dd10f02c8c7p-1, 0x1.5770f442210bp-1, 0x1.5513b3023b157p-1, 0x1.52c1dbd78998bp-1, 0x1.507853993f377p-1, 0x1.4e3450e5872f8p-1, 0x1.4bf3579ad585ep-1, 0x1.49b334444eb9cp-1, 0x1.4771f786dac59p-1, 0x1.452df19a16f48p-1, 0x1.42e5add698982p-1, 0x1.4097ee617479ap-1, 0x1.3e43a7fb6ffa6p-1, 0x1.3be7fdf8b818bp-1, 0x1.39843e63c486ep-1, 0x1.3717de4cda06ap-1, 0x1.34a27646a6bcbp-1, 0x1.3223bf111938ep-1, 0x1.2f9b8e73e60d2p-1, 0x1.2d09d44a9d89p-1, 0x1.2a6e97c2e91e1p-1, 0x1.27c9f4cb7daa4p-1, 0x1.251c19b0a898ap-1, 0x1.226544e262dd8p-1, 0x1.1fa5c2e09576dp-1, 0x1.1cddec4d2fc93p-1, 0x1.1a0e24230a29p-1, 0x1.1736d614854b4p-1, 0x1.14587510a198ap-1, 0x1.117379ebd0ae2p-1, 0x1.0e88622c7368ap-1, 0x1.0b97aef0bd228p-1, 0x1.08a1e3ef2d931p-1, 0x1.05a7868d306cbp-1, 0x1.02a91d077752fp-1, 0x1.ff4e5b668251cp-2, 0x1.f9447ca209b67p-2, 0x1.f335a6ec8a58p-2, 0x1.ed22e01741e7cp-2, 0x1.e70d29b90953ap-2, 0x1.e0f580717273cp-2, 0x1.dadcdb4553b4ap-2, 0x1.d4c42b1412b46p-2, 0x1.ceac5a1fed5a1p-2, 0x1.c8964ba73447fp-2, 0x1.c282db8db5249p-2, 0x1.bc72de140a783p-2, 0x1.b6671f9efd793p-2, 0x1.b060648bdfee1p-2, 0x1.aa5f69133a788p-2, 0x1.a464e13915409p-2, 0x1.9e7178c7f9713p-2, 0x1.9885d3573a068p-2, 0x1.92a28c5a65356p-2, 0x1.8cc8373784c4ap-2, 0x1.86f75f63dd4dfp-2, 0x1.81308885b9a2dp-2, 0x1.7b742e99814ep-2, 0x1.75c2c61a477b7p-2, 0x1.701cbc2d05c6bp-2, 0x1.6a8276cd933c3p-2, 0x1.64f454fdd163p-2, 0x1.5f72aef6bdefap-2, 0x1.59fdd65ace522p-2, 0x1.54961669c34c4p-2, 0x1.4f3bb4360fd4cp-2, 0x1.49eeeedaf4bdp-2, 0x1.44afffb35822fp-2, 0x1.3f7f1a9127dcep-2, 0x1.3a5c6df50406bp-2, 0x1.354823460a8acp-2, 0x1.30425f088d26bp-2, 0x1.2b4b411474c1ap-2, 0x1.2662e4cb79a7fp-2, 0x1.2189614d4a415p-2, 0x1.1cbec9aac2f5fp-2, 0x1.18032d1850553p-2, 0x1.1356971e5f607p-2, 0x1.0eb90fc889b32p-2, 0x1.0a2a9bd38b9aap-2, 0x1.05ab3cd959796p-2, 0x1.013af17bf1782p-2, 0x1.f9b36b1dcf839p-3, 0x1.f10f047e92eb5p-3, 0x1.e8889c74abb34p-3, 0x1.e0201ba5af691p-3, 0x1.d7d56649cb481p-3, 0x1.cfa85c7169e71p-3, 0x1.c798da4831d8p-3, 0x1.bfa6b8548e82ap-3, 0x1.b7d1cbb55617fp-3, 0x1.b019e65d8d7edp-3, 0x1.a87ed74c853a2p-3, 0x1.a1006ac3a6551p-3, 0x1.999e6a7ade95ep-3, 0x1.92589dd1feb82p-3, 0x1.8b2ec9ff3e93p-3, 0x1.8420b23c7cacdp-3, 0x1.7d2e17f242fp-3, 0x1.7656badfc00b5p-3, 0x1.6f9a59414cbe7p-3, 0x1.68f8aff5a90eap-3, 0x1.62717aa04cef6p-3, 0x1.5c0473c9a21d1p-3, 0x1.55b154feb3df5p-3, 0x1.4f77d6ef0e5b2p-3, 0x1.4957b187c838bp-3, 0x1.43509c0d8e134p-3, 0x1.3d624d3633a5ap-3, 0x1.378c7b402f09ep-3, 0x1.31cedc07effabp-3, 0x1.2c29251cb7889p-3, 0x1.269b0bd4d7a3ep-3, 0x1.2124456001ab8p-3, 0x1.1bc486d7f24a5p-3, 0x1.167b8550e3469p-3, 0x1.1148f5e95efcap-3, 0x1.0c2c8dd83b80cp-3, 0x1.072602796c713p-3, 0x1.0235095ad1443p-3, 0x1.fab2b09135d29p-4, 0x1.f1254aafce47fp-4, 0x1.e7c14de076c68p-4, 0x1.de8627aa128c5p-4, 0x1.d573465dd5ffp-4, 0x1.cc881927a6e3dp-4, 0x1.c3c4101c2f409p-4, 0x1.bb269c46b46cap-4, 0x1.b2af2fb6e8dbp-4, 0x1.aa5d3d8ce66bap-4, 0x1.a2303a02f78bcp-4, 0x1.9a279a76dc66p-4, 0x1.9242d5739c1a1p-4, 0x1.8a8162ba9fb43p-4, 0x1.82e2bb4ab3dfcp-4, 0x1.7b665965ca6cfp-4, 0x1.740bb8970cfp-4, 0x1.6cd255b938bc2p-4, 0x1.65b9aefbdf489p-4, 0x1.5ec143e6d7e92p-4, 0x1.57e8955d292fbp-4, 0x1.512f25a09075p-4, 0x1.4a9478553610cp-4, 0x1.4418128431ed8p-4, 0x1.3db97a9c9a1ap-4, 0x1.3778387442033p-4, 0x1.3153d5492e2d8p-4, 0x1.2b4bdbc349322p-4, 0x1.255fd7f525f6dp-4, 0x1.1f8f575b7296ep-4, 0x1.19d9e8dc0a5dcp-4, 0x1.143f1cc5b7acfp-4, 0x1.0ebe84d061b9bp-4, 0x1.0957b41ca7382p-4, 0x1.040a3f32a834ap-4, 0x1.fdab77ffa4d99p-5, 0x1.f37383a9a5331p-5, 0x1.e96bd2c9ffe96p-5, 0x1.df93998a75a98p-5, 0x1.d5ea0ed400305p-5, 0x1.cc6e6c499c19ap-5, 0x1.c31fee4279fbdp-5, 0x1.b9fdd3c56c867p-5, 0x1.b1075e859b618p-5, 0x1.a83bd2dee35d5p-5, 0x1.9f9a77d07cb88p-5, 0x1.972296f62567ep-5, 0x1.8ed37c8168925p-5, 0x1.86ac773442061p-5, 0x1.7eacd85cf85b6p-5, 0x1.76d3f3d151b96p-5, 0x1.6f211fe8a5a17p-5, 0x1.6793b57445b3bp-5, 0x1.602b0fb832ccdp-5, 0x1.58e68c6500602p-5, 0x1.51c58b92e6c11p-5, 0x1.4ac76fbcc64c7p-5, 0x1.43eb9db9ff255p-5, 0x1.3d317cb6c9167p-5, 0x1.3698762c9985dp-5, 0x1.301ff5db3b71p-5, 0x1.29c769c33f298p-5, 0x1.238e42211b65fp-5, 0x1.1d73f166c6b8ap-5, 0x1.1777ec35445bbp-5, 0x1.1199a9549baa3p-5, 0x1.0bd8a1ac8a6ddp-5, 0x1.0634503e32bd8p-5, 0x1.00ac321eb16e3p-5, 0x1.f67f8ce374483p-6, 0x1.ebdd1cc6d4fb8p-6, 0x1.e1701a4260e75p-6, 0x1.d7378fa49e856p-6, 0x1.cd328b21ea978p-6, 0x1.c3601ec772c9ap-6, 0x1.b9bf60728babfp-6, 0x1.b04f69c2ef729p-6, 0x1.a70f5810f36c5p-6, 0x1.9dfe4c5f129dap-6, 0x1.951b6b4bfe0e8p-6, 0x1.8c65dd053e0e2p-6, 0x1.83dccd3b356afp-6, 0x1.7b7f6b1666407p-6, 0x1.734ce92cf8eadp-6, 0x1.6b447d77822adp-6, 0x1.63656144ac4b4p-6, 0x1.5baed12c35fc1p-6, 0x1.54200d024f781p-6, 0x1.4cb857cab4d1dp-6, 0x1.4576f7b088389p-6, 0x1.3e5b35f899dd9p-6, 0x1.37645ef9f87acp-6, 0x1.3091c211f48aep-6, 0x1.29e2b19824358p-6, 0x1.235682d32f145p-6, 0x1.1cec8dec84034p-6, 0x1.16a42de5f6989p-6, 0x1.107cc08fc359fp-6, 0x1.0a75a67ed4aecp-6, 0x1.048e430310f81p-6, 0x1.fd8bf83a6649ep-7, 0x1.f23874e83b267p-7, 0x1.e720d2943f22dp-7, 0x1.dc43ece4ab3c9p-7, 0x1.d1a0a48d9657dp-7, 0x1.c735df3e1b5bep-7, 0x1.bd02878e786adp-7, 0x1.b3058cee02782p-7, 0x1.a93de390becc9p-7, 0x1.9faa845c37826p-7, 0x1.964a6cd43272ep-7, 0x1.8d1c9f078cbbcp-7, 0x1.8420217e5b5efp-7, 0x1.7b53ff2605f88p-7, 0x1.72b747468482fp-7, 0x1.6a490d6cb7b0ep-7, 0x1.62086955604f8p-7, 0x1.59f476e83c1e4p-7, 0x1.520c561d8913bp-7, 0x1.4a4f2af0755ecp-7, 0x1.42bc1d4da242fp-7, 0x1.3b52590466c82p-7, 0x1.34110db3e4ab9p-7, 0x1.2cf76ebef5c78p-7, 0x1.2604b33b9fe08p-7, 0x1.1f3815e492956p-7, 0x1.1890d50a2f5f3p-7, 0x1.120e32837bc09p-7, 0x1.0baf739f1b56ep-7, 0x1.0573e1146c1e5p-7, 0x1.feb58dea21d0fp-8, 0x1.f2c6e93dc9a0ap-8, 0x1.e71a795c94526p-8, 0x1.dbaee9e24770dp-8, 0x1.d082ecb263259p-8, 0x1.c59539dea5a2ap-8, 0x1.bae48f8bad80ap-8, 0x1.b06fb1d79d86ap-8, 0x1.a6356abfac50ep-8, 0x1.9c348a0681726p-8, 0x1.926be51b61781p-8, 0x1.88da5701e931bp-8, 0x1.7f7ec03bbce0fp-8, 0x1.765806a6d3e3cp-8, 0x1.6d65158978711p-8, 0x1.64a4dd3db9e3bp-8, 0x1.5c1653576847dp-8, 0x1.53b8726cc62a4p-8, 0x1.4b8a3a072b435p-8, 0x1.438aae8da3bf5p-8, 0x1.3bb8d92efce07p-8, 0x1.3413c7ccc7a3bp-8, 0x1.2c9a8ce7442c8p-8, 0x1.254c3f889f86p-8, 0x1.1e27fb32096b9p-8, 0x1.172cdfc6db3d7p-8, 0x1.105a11783ebe4p-8, 0x1.09aeb8af8e4eap-8, 0x1.032a01d3ce038p-8, 0x1.f9963c1732284p-9, 0x1.ed22831aa18dep-9, 0x1.e0f74a4de7ddep-9, 0x1.d5130ab17747cp-9, 0x1.c97444d555f77p-9, 0x1.be1980b7dc073p-9, 0x1.b3014daebdbcfp-9, 0x1.a82a425229345p-9, 0x1.9d92fc5e20892p-9, 0x1.933a208815db5p-9, 0x1.891e5a542f801p-9, 0x1.7f3e5bf3577p-9, 0x1.7598de2778998p-9, 0x1.6c2ca027b690ep-9, 0x1.62f86783cb64ep-9, 0x1.59fb000697687p-9, 0x1.51333b99bcf39p-9, 0x1.489ff22a37c7cp-9, 0x1.4040018d608a3p-9, 0x1.38124d662408fp-9, 0x1.3015bf09c8c8ap-9, 0x1.284945642f26bp-9, 0x1.20abd4de60952p-9, 0x1.193c67423a8e2p-9, 0x1.11f9fb9c692fbp-9, 0x1.0ae3962a154bfp-9, 0x1.03f8403828565p-9, 0x1.fa6e10224177dp-10, 0x1.ed3e01cc7f303p-10, 0x1.e05e856fe2c14p-10, 0x1.d3cdd480ecefdp-10, 0x1.c78a31bb978f4p-10, 0x1.bb91e8f61e215p-10, 0x1.afe34ef364818p-10, 0x1.a47cc13570b46p-10, 0x1.995ca5d0c7054p-10, 0x1.8e816b41ffd8ap-10, 0x1.83e988454f23ep-10, 0x1.79937bb03a582p-10, 0x1.6f7dcc4cfea49p-10, 0x1.65a708b6dbc86p-10, 0x1.5c0dc735967bp-10, 0x1.52b0a5985e54fp-10, 0x1.498e490ee198ep-10, 0x1.40a55e01a9773p-10, 0x1.37f497ea6d4fcp-10, 0x1.2f7ab12d95f21p-10, 0x1.27366af70f8a5p-10, 0x1.1f268d1b69d02p-10, 0x1.1749e5f8fdd68p-10, 0x1.0f9f4a4ee4466p-10, 0x1.082595077a6cfp-10, 0x1.00dba7a7004e2p-10, 0x1.f380d43a5d5dbp-11, 0x1.e5a5928851439p-11, 0x1.d8237191dfff3p-11, 0x1.caf8640a124b1p-11, 0x1.be22661c7178cp-11, 0x1.b19f7ffe47f3p-11, 0x1.a56dc4a887d0fp-11, 0x1.998b5127d6f5cp-11, 0x1.8df64ca6d6f78p-11, 0x1.82ace864d7d84p-11, 0x1.77ad5fa42a218p-11, 0x1.6cf5f77aa16c9p-11, 0x1.6284fefef7e59p-11, 0x1.5858ceaa29f5ep-11, 0x1.4e6fc8996d69ap-11, 0x1.44c857fdf4df9p-11, 0x1.3b60f0e72b6f3p-11, 0x1.32380feb79c91p-11, 0x1.294c39d842f13p-11, 0x1.209bfb6f07ddbp-11, 0x1.1825e9353ea24p-11, 0x1.0fe89f91a28fep-11, 0x1.07e2c1aa47c23p-11, 0x1.0012fb6177fe2p-11, 0x1.f0efff7070afcp-12, 0x1.e22112876fb37p-12, 0x1.d3b6b47b1bd49p-12, 0x1.c5ae78a529a2ap-12, 0x1.b80600dd8270dp-12, 0x1.aabafcef41cafp-12, 0x1.9dcb29f5e8b25p-12, 0x1.913451b48978cp-12, 0x1.84f449faa535bp-12, 0x1.7908f42947e0dp-12, 0x1.6d703ce5a9f0dp-12, 0x1.62281bfbdbf46p-12, 0x1.572e946a70e8bp-12, 0x1.4c81b485702c8p-12, 0x1.421f961c11b9p-12, 0x1.38065e8bf903fp-12, 0x1.2e343eb5b2beep-12, 0x1.24a772cc329cfp-12, 0x1.1b5e420397f42p-12, 0x1.1256fe2574659p-12, 0x1.0990031597ce6p-12, 0x1.0107b65028599p-12, 0x1.f1790cd71b4d1p-13, 0x1.e159d54e895c8p-13, 0x1.d1aec5224c7e9p-13, 0x1.c274eb980966dp-13, 0x1.b3a967fd9d921p-13, 0x1.a54969d7b4ce5p-13, 0x1.9752313cb2083p-13, 0x1.89c10f440946bp-13, 0x1.7c936644475c7p-13, 0x1.6fc6a9516d141p-13, 0x1.63585bdf2f818p-13, 0x1.574610de812b4p-13, 0x1.4b8d69e3c861p-13, 0x1.402c16dd2e8dep-13, 0x1.351fd5a4f4c7bp-13, 0x1.2a6671c04c473p-13, 0x1.1ffdc406f36b9p-13, 0x1.15e3b21aee249p-13, 0x1.0c162dc2c254fp-13, 0x1.0293345c1630bp-13, 0x1.f2b19d3aaef7bp-14, 0x1.e0ca217286052p-14, 0x1.cf6c35b1e18a7p-14, 0x1.be9432c6ff45ap-14, 0x1.ae3e8a5210deep-14, 0x1.9e67c5a26dc8ep-14, 0x1.8f0c83e3a8ad3p-14, 0x1.8029780236435p-14, 0x1.71bb67259b501p-14, 0x1.63bf284d76d12p-14, 0x1.5631a5158f5d6p-14, 0x1.490fdafb804d8p-14, 0x1.3c56dcdac4465p-14, 0x1.3003d1d8a322cp-14, 0x1.2413f58093e0fp-14, 0x1.1884941a2681ep-14, 0x1.0d5309c4cbbd5p-14, 0x1.027cc122431dep-14, 0x1.effe67cf502adp-15, 0x1.dbafd8c8689b4p-15, 0x1.c8090f629e592p-15, 0x1.b5056e93e1e52p-15, 0x1.a2a073b81ec63p-15, 0x1.90d5a17bbaf7fp-15, 0x1.7fa0ab2bc6864p-15, 0x1.6efd68b8c2dd9p-15, 0x1.5ee79aad436c9p-15, 0x1.4f5b2be970911p-15, 0x1.40543b1dad70dp-15, 0x1.31ceefae87455p-15, 0x1.23c78d0bb1b93p-15, 0x1.163a7a5a574ebp-15, 0x1.09243a9442566p-15, 0x1.f902ccad9bc62p-16, 0x1.e09d52579b717p-16, 0x1.c911821c415e1p-16, 0x1.b258f94c4f675p-16, 0x1.9c6d738521162p-16, 0x1.874907e4c4472p-16, 0x1.72e6214f8ce95p-16, 0x1.5f3ed69df9fa1p-16, 0x1.4c4dbfe598015p-16, 0x1.3a0d9aae146f5p-16, 0x1.2878d3dcae269p-16, 0x1.178a40ab87f5ep-16, 0x1.073cdbab8d2edp-16, 0x1.ef1764b897e7bp-17, 0x1.d0e3efd0f8ae8p-17, 0x1.b3d6104a4720fp-17, 0x1.97e4c72bc9155p-17, 0x1.7d075586c9915p-17, 0x1.633536e544fbep-17, 0x1.4a6620c817005p-17, 0x1.3292057ac9373p-17, 0x1.1bb1169a622b5p-17, 0x1.05bbc42953832p-17, 0x1.e1556f9e654dcp-18, 0x1.b8ed9d7b5eb2bp-18, 0x1.92322b09b58fdp-18, 0x1.6d158e18a787p-18, 0x1.498a9a4fa1aecp-18, 0x1.278480a363ad6p-18, 0x1.06f6cae7b97d6p-18, 0x1.cfaaa90b8f93cp-19, 0x1.942885cdacd29p-19, 0x1.5b4ffe5c00c8ep-19, 0x1.250a66f28f5fdp-19, 0x1.e2831e8a1346ep-20, 0x1.7fbf78baacd55p-20, 0x1.219f97e6dd00cp-20, 0x1.8ff45c72caa1ap-21, 0x1.ca9f16507c752p-22, 0x1.0c14429a1434bp-23, -0x1.5ccc130c0ce1dp-23, -0x1.d33b89a58f0aap-22, -0x1.747e77710532dp-21, -0x1.f8178d5f529a3p-21, -0x1.3a556a988502dp-20, -0x1.753c681745a7dp-20, -0x1.acdfce1aec44ap-20, -0x1.e15d15d26bb43p-20, -0x1.096811ab66248p-19, -0x1.20a9d5443cabfp-19, -0x1.3680dfd85d6d5p-19, -0x1.4afa2232e6972p-19, -0x1.5e227fb0dc3b2p-19, -0x1.7006b66620b35p-19, -0x1.80b34374f0652p-19, -0x1.90345be239d55p-19, -0x1.9e95f1f5bced1p-19, -0x1.abe3a969dd4e6p-19, -0x1.b828ac17d55a1p-19, -0x1.c36f768fee1b2p-19, -0x1.cdc1c8279e7e5p-19, -0x1.d728cf48fa0e1p-19, -0x1.dfad7dc43b882p-19, -0x1.e758d16665df4p-19, -0x1.ee33e1dc94dadp-19, -0x1.f447ad5d7cc44p-19, -0x1.f99cc9e569b9dp-19, -0x1.fe3b2fbe74c73p-19, -0x1.01151de08b0cp-18, -0x1.02b8710fa786ep-18, -0x1.040af7c18c23ap-18, -0x1.0510192b6b1a6p-18, -0x1.05cb3ce3b1a2fp-18, -0x1.063fbc4f8ab8cp-18, -0x1.0670d64e44a3fp-18, -0x1.0661aee34de72p-18, -0x1.0615571ca4dc1p-18, -0x1.058ed239cb368p-18, -0x1.04d11422212e5p-18, -0x1.03def5ad2deb8p-18, -0x1.02bb2607924c1p-18, -0x1.0168223c97bf8p-18, -0x1.ffd07929c235ep-19, -0x1.fc7b631871d14p-19, -0x1.f8d5789cd9b54p-19, -0x1.f4e3381a85d71p-19, -0x1.f0a90b48fabc1p-19, -0x1.ec2b237a40edcp-19, -0x1.e76d5fc6d272p-19, -0x1.e27357b0343b6p-19, -0x1.dd407a9d90a19p-19, -0x1.d7d82ccbb245bp-19, -0x1.d23dcfa6de2dbp-19, -0x1.cc74b2fb5e48p-19, -0x1.c68000e31c2bep-19, -0x1.c062bc737fc08p-19, -0x1.ba1fd626e027bp-19, -0x1.b3ba347a62fffp-19, -0x1.ad34460458bc1p-19, -0x1.a68fdefbe646cp-19, -0x1.9fd19032530bcp-19, -0x1.98fad7014a301p-19, -0x1.920e0f6bc6f21p-19, -0x1.8b0e3b81075b1p-19, -0x1.83fbab99ed777p-19, -0x1.7cd9487f11671p-19, -0x1.75a957cc6f56fp-19, -0x1.6e6dab67ba933p-19, -0x1.6727ff8381422p-19, -0x1.5fd9fc2156cdp-19, -0x1.588539d5d9bb8p-19, -0x1.512b466919f43p-19, -0x1.49cda737991f3p-19, -0x1.426dd4b0456eap-19, -0x1.3b0d363f1cf02p-19, -0x1.33ad2041b0d66p-19, -0x1.2c4ecf641826ep-19, -0x1.24f3623f91943p-19, -0x1.1d9bf71ad2391p-19, -0x1.1649d5d61178cp-19, -0x1.0efe06e8df921p-19, -0x1.07b8c5b40ae5fp-19, -0x1.007d5ea2d1f4p-19, -0x1.f294930facdaap-20, -0x1.e443d3678f255p-20, -0x1.d6053c348d02dp-20, -0x1.c7e05d7288c72p-20, -0x1.b9d38c9d90a75p-20, -0x1.abe0a81efd879p-20, -0x1.9e09204e5c098p-20, -0x1.904e26f8696d3p-20, -0x1.82b0ddb7f1db7p-20, -0x1.75323facfa724p-20, -0x1.67d315139083p-20, -0x1.5a9445035dc89p-20, -0x1.4d770782af9p-20, -0x1.407c3787396dap-20, -0x1.33a435ea07095p-20, -0x1.26efa9463015fp-20, -0x1.1a5f942a9864dp-20, -0x1.0df4b741346d3p-20, -0x1.01af8319b5be8p-20, -0x1.eb20b42974c14p-21, -0x1.d32f582235eep-21, -0x1.bb8be1ab45968p-21, -0x1.a43739f3a1c7bp-21, -0x1.8d323214d1cb1p-21, -0x1.767d6f3afd6ebp-21, -0x1.601960af517d4p-21, -0x1.4a06517a9b376p-21, -0x1.344490c7dd9a2p-21, -0x1.1ed490f4c23e5p-21, -0x1.09b6dc95b36f3p-21, -0x1.e9d7caa77b17dp-22, -0x1.c0e7b2ce40fbbp-22, -0x1.989d5621bc25ap-22, -0x1.70f8705615f15p-22, -0x1.49f8ac27fd31fp-22, -0x1.239dad56cede8p-22, -0x1.fbcea9ab74638p-23, -0x1.b1aaf013e7bb3p-23, -0x1.68ce40592c255p-23, -0x1.213686e7d4c3cp-23, -0x1.b5c78e3280a79p-24, -0x1.2bad30f8fb36ap-24, -0x1.48357312104c7p-25, -0x1.f0ae3b1382122p-28, 0x1.8e166d9fb3552p-26, 0x1.c7325a1ef193ep-25, 0x1.6132fe3d0c197p-24, 0x1.dc56a4cff0ebp-24, 0x1.2a83e36896b3cp-23, 0x1.65a5267b294a2p-23, 0x1.9f92e4433de22p-23, 0x1.d85b255b54702p-23, 0x1.07e5c94ce9a0ap-22, 0x1.231eec202ea3cp-22, 0x1.3db341c34aad4p-22, 0x1.57b7c95c71c48p-22, 0x1.7129d55033e32p-22, 0x1.8a09fcfd54861p-22, 0x1.a25961cd78d9fp-22, 0x1.ba1962311850fp-22, 0x1.d14b9a89e45b1p-22, 0x1.e7f1d72382f76p-22, 0x1.fe0e0f8e5adc9p-22, 0x1.09d102fd76e9fp-21, 0x1.1457838d9c6ecp-21, 0x1.1e9b44d9dee62p-21, 0x1.289d05ee1292bp-21, 0x1.325d66ea358f1p-21, 0x1.3bdd434c233ffp-21, 0x1.451d7795b7bc3p-21, 0x1.4e1eb28640f34p-21, 0x1.56e1a302ed97ep-21, 0x1.5f66bd6452b8cp-21, 0x1.67ae5e96545cfp-21, 0x1.6fbcd4de7f554p-21, 0x1.779150892f189p-21, 0x1.7f28366a1d857p-21, 0x1.8684b409a2ec2p-21, 0x1.8da782793426ap-21, 0x1.9495f33e86acap-21, 0x1.9b4cab094985dp-21, 0x1.a1cc8d2c76073p-21, 0x1.a816af9fae3e3p-21, 0x1.ae2bec34eccb7p-21, 0x1.b40d0e2ad73fep-21, 0x1.b9badf92d82cap-21, 0x1.bf3624f442ac7p-21, 0x1.c47f9bc6740cbp-21, 0x1.c99809d4a073p-21, 0x1.ce80499596462p-21, 0x1.d339232523ec7p-21, 0x1.d7c3331aeccb1p-21, 0x1.dc1f408f44c9bp-21, 0x1.e04e341afd8f5p-21, 0x1.e450e2d9c0cb6p-21, 0x1.e8282181ec346p-21, 0x1.ebd46f7ec83b2p-21, 0x1.ef566b9082d2fp-21, 0x1.f2aef1b784f55p-21, 0x1.f5dec46300e39p-21, 0x1.f8e68df1816ddp-21, 0x1.fbc6f6003e343p-21, 0x1.fe80a6f49d3bdp-21, 0x1.008a26caab558p-20, 0x1.01c14c21d7427p-20, 0x1.02e61b2094cd5p-20, 0x1.03f8eb413738ep-20, 0x1.04fa12ff56012p-20, 0x1.05e9e6db7317p-20, 0x1.06c8b89948fdep-20, 0x1.0796d6fcbd85ep-20, 0x1.08548d2cdd88ap-20, 0x1.090223a5f348fp-20, 0x1.099fe2ef23008p-20, 0x1.0a2e35b86c831p-20, 0x1.0aadae0f35cf5p-20, 0x1.0b1e2b7df9fd5p-20, 0x1.0b7fec91f89fep-20, 0x1.0bd336db1b8dp-20, 0x1.0c18ce7c5f20ap-20, 0x1.0c50c8eb0a3dfp-20, 0x1.0c7b4280dac86p-20, 0x1.0c988f42f52c7p-20, 0x1.0ca909493240ap-20, 0x1.0cacf795d9b2cp-20, 0x1.0ca47d872c3e8p-20, 0x1.0c905071857a2p-20, 0x1.0c6fe13c14ae7p-20, 0x1.0c4449f7fa47dp-20, 0x1.0c0d4a59e8f95p-20, 0x1.0bcc3b5066617p-20, 0x1.0b7f0916ade0dp-20, 0x1.0b275d80200cep-20, 0x1.0ac5e72f35994p-20, 0x1.0a5a625c3936fp-20, 0x1.09e5114f844cfp-20, 0x1.096b670960665p-20, 0x1.08dde41a5d6a9p-20, 0x1.084c81a20f9c4p-20, 0x1.07b2387eeb6a8p-20, 0x1.070f3e48484ccp-20, 0x1.0663c904bf0a4p-20, 0x1.05b00e4131714p-20, 0x1.04f44310820dbp-20, 0x1.04309be873242p-20, 0x1.03654c5c860a8p-20, 0x1.029286e1d395ep-20, 0x1.01b87cd03f5bp-20, 0x1.00d75ec466ff4p-20, 0x1.ffdeba32ae018p-21, 0x1.fe014f77ecceap-21, 0x1.fc16dabaff9edp-21, 0x1.fa1fb8aac7629p-21, 0x1.f81c45066807dp-21, 0x1.f60cd5993f918p-21, 0x1.f3f1bc9bff7f6p-21, 0x1.f1cb4a249eb8ap-21, 0x1.ef9d446fcac24p-21, 0x1.ed59cddcc1501p-21, 0x1.eb188b66083dcp-21, 0x1.e8c7e7f744adp-21, 0x1.e66e1b21e0233p-21, 0x1.e40a30ab3b82bp-21, 0x1.e19da6b6146d1p-21, 0x1.df27153c6f54dp-21, 0x1.dcaa90837ec2cp-21, 0x1.da27242e4aba3p-21, 0x1.d799b8c691438p-21, 0x1.d5007e1bbac08p-21, 0x1.d264358f7b842p-21, 0x1.cfc11358c6463p-21, 0x1.cd1668d980e36p-21, 0x1.ca64f99cccb41p-21, 0x1.c7ad2b3ce02aep-21, 0x1.c4ef445dde84dp-21, 0x1.c22b84457728p-21, 0x1.bf62271de169fp-21, 0x1.bc93693c7b3a7p-21, 0x1.b9bf829ed57fp-21, 0x1.b6e6ac48f8afep-21, 0x1.b4091d9eba7ddp-21, 0x1.b1270d248251cp-21, 0x1.ae40af2be8d3p-21, 0x1.ab5635d86c7a2p-21, 0x1.a867d52a4a67ap-21, 0x1.a575be54b67d7p-21, 0x1.a28024b66341dp-21, 0x1.9f873e1140f72p-21, 0x1.9c8b3891dd28ap-21, 0x1.998c4626a0214p-21, 0x1.968a987976d91p-21, 0x1.93865c4001382p-21, }}, 
      {{-0x1.29a31cf2dc7fdp-13, -0x1.237ee8fbac3c4p-11, -0x1.65e6942931b69p-10, -0x1.71114a87b1054p-9, -0x1.4b8b62741576fp-8, -0x1.06f299230220ep-7, -0x1.76bda44236f4ap-7, -0x1.e847a05402edfp-7, -0x1.26f7e8213eb84p-6, -0x1.4dbb83707988dp-6, -0x1.638a538eaa1a3p-6, -0x1.64e2631f78635p-6, -0x1.4f92e0822aba9p-6, -0x1.2292c3bd0d731p-6, -0x1.bba30a8624b33p-7, -0x1.0413fed578961p-7, -0x1.09a09ce6ecca3p-10, 0x1.d284e8ca802e6p-8, 0x1.0b6b09ffdabb5p-6, 0x1.b1434ff376c77p-6, 0x1.31bff9f25deafp-5, 0x1.8fb1a7e0b066bp-5, 0x1.f117e27f3fb7ep-5, 0x1.2a4e1812e425cp-4, 0x1.5c7b9f802927dp-4, 0x1.8e7b1ce6b6d6bp-4, 0x1.bfbf56a0626a8p-4, 0x1.efc88d039b5afp-4, 0x1.0f1295fbcd4acp-3, 0x1.2538fd5cf2f0ap-3, 0x1.3a2cf0e0cacb3p-3, 0x1.4dcaaf5cf74d6p-3, 0x1.5ff4dd58f6af3p-3, 0x1.70940cf2cd62bp-3, 0x1.7f963ad621485p-3, 0x1.8cee47abda427p-3, 0x1.989373488d052p-3, 0x1.a280de03037bbp-3, 0x1.aab5132e30d92p-3, 0x1.b1319e166db81p-3, 0x1.b5faa9b290346p-3, 0x1.b916aab611697p-3, 0x1.ba8e1366df959p-3, 0x1.ba6b10536882fp-3, 0x1.b8b94cc3ba1a3p-3, 0x1.b585bda4f0caep-3, 0x1.b0de71bb55403p-3, 0x1.aad2662351672p-3, 0x1.a3715e4b1800bp-3, 0x1.9acbbed236b9p-3, 0x1.90f26ae05dbfep-3, 0x1.85f6a39fef17fp-3, 0x1.79e9e9aaa04dcp-3, 0x1.6cdde04c7f934p-3, 0x1.5ee432968bfbep-3, 0x1.500e7a4661fc5p-3, 0x1.406e289142f33p-3, 0x1.301470e4b3d2dp-3, 0x1.1f1235ad1dbp-3, 0x1.0d77f72d976dep-3, 0x1.f6ab88e0791efp-4, 0x1.d1765c937b961p-4, 0x1.ab6e78d688554p-4, 0x1.84b0c8d67c6dcp-4, 0x1.5d59057d8ce52p-4, 0x1.3581aadf1c3fbp-4, 0x1.0d43f1245fb32p-4, 0x1.c96f90e7596e1p-5, 0x1.77e7af1c4a238p-5, 0x1.261afab104652p-5, 0x1.a8634e363d075p-6, 0x1.04a2d4a0912dep-6, 0x1.84ec3de7f81c8p-8, -0x1.0648df8f8203p-8, -0x1.c70fa75c9ac61p-7, -0x1.846d0930819a8p-6, -0x1.1206ad93d341p-5, -0x1.611c37419ceaep-5, -0x1.af60e0e6bfb6ap-5, -0x1.fcc04b143030cp-5, -0x1.2493ec9eb9ddap-4, -0x1.4a434b01d4cdbp-4, -0x1.6f6695684afe7p-4, -0x1.93f6d9f0e6197p-4, -0x1.b7edddabd0f6ep-4, -0x1.db460f414501dp-4, -0x1.fdfa7828aa65fp-4, -0x1.10035dc71119p-3, -0x1.20b3828c5f1c1p-3, -0x1.310c01fb56c44p-3, -0x1.410b71b04b45bp-3, -0x1.50b09fbbc87f1p-3, -0x1.5ffa90b1ba974p-3, -0x1.6ee87b16c16cap-3, -0x1.7d79c47a4fbd7p-3, -0x1.8badfe8908278p-3, -0x1.9984e3df3cdc5p-3, -0x1.a6fe55ac765c5p-3, -0x1.b41a58f0f85bap-3, -0x1.c0d9145d41314p-3, -0x1.cd3acdf9c455dp-3, -0x1.d93fe9161da36p-3, -0x1.e4e8e46f972bfp-3, -0x1.f0365814d6439p-3, -0x1.fb28f3c2f50dap-3, -0x1.02e0be8f0ca7fp-2, -0x1.080066f00db86p-2, -0x1.0cf3e9350cb4ap-2, -0x1.11bbc40eb31e6p-2, -0x1.16587de38ce63p-2, -0x1.1acaa42fcfcc6p-2, -0x1.1f12cac73bf58p-2, -0x1.23318b2604c83p-2, -0x1.272783e7454a1p-2, -0x1.2af5582028dd8p-2, -0x1.2e9baec6dd805p-2, -0x1.321b323dacd92p-2, -0x1.35748fca4f8ebp-2, -0x1.38a8770cba7b5p-2, -0x1.3bb7999c26d8fp-2, -0x1.3ea2aa9b285dfp-2, -0x1.416a5e3d863f3p-2, -0x1.440f6971525ap-2, -0x1.4692818ddebcbp-2, -0x1.48f45beea8dd9p-2, -0x1.4b35ada133773p-2, -0x1.4d572b282f4aap-2, -0x1.4f5988329787bp-2, -0x1.513d774e3b028p-2, -0x1.5303a9b2d940ep-2, -0x1.54accf157399bp-2, -0x1.56399569550bap-2, -0x1.57aaa8aaf1b86p-2, -0x1.5900b2c26853dp-2, -0x1.5a3c5b5d2e19p-2, -0x1.5b5e47bed8851p-2, -0x1.5c671aa327258p-2, -0x1.5d57742a3120cp-2, -0x1.5e2ff1bd6f5bcp-2, -0x1.5ef12df270ed7p-2, -0x1.5f9bc077d052dp-2, -0x1.60303e0ce48a5p-2, -0x1.60af3874d38bep-2, -0x1.61193e62e533dp-2, -0x1.616edb7204ddcp-2, -0x1.61b09828387afp-2, -0x1.61def9f250a91p-2, -0x1.61fa831a1817ep-2, -0x1.6203b2c7747cbp-2, -0x1.61fb05092df94p-2, -0x1.61e0f2d96315p-2, -0x1.61b5f21ece31cp-2, -0x1.617a75b24b139p-2, -0x1.612eed69ab68cp-2, -0x1.60d3c62598d8cp-2, -0x1.606969dc0afd3p-2, -0x1.5ff03f9feac0dp-2, -0x1.5f68abad6acf1p-2, -0x1.5ed30f7dac4e1p-2, -0x1.5e2fc9d80ec81p-2, -0x1.5d7f36dd4a2fdp-2, -0x1.5cc1b01561363p-2, -0x1.5bf78c83ddbfcp-2, -0x1.5b2120bc856b3p-2, -0x1.5a3ebef3b806dp-2, -0x1.5950b70e98ce9p-2, -0x1.585756b5e07b7p-2, -0x1.5752e969396bfp-2, -0x1.5643b8932abcbp-2, -0x1.552a0b9cae0e1p-2, -0x1.540627ff3c1acp-2, -0x1.52d85155bcc06p-2, -0x1.51a0c96ef76c2p-2, -0x1.505fd062ca404p-2, -0x1.4f15a4a57829ep-2, -0x1.4dc28317416d1p-2, -0x1.4c66a71451831p-2, -0x1.4b024a872ea58p-2, -0x1.4995a5fbc4296p-2, -0x1.4820f0af9f17p-2, -0x1.46a460a01d30cp-2, -0x1.45202a9a1daffp-2, -0x1.4394824a35f1ap-2, -0x1.42019a4b413fdp-2, -0x1.4067a433f8fddp-2, -0x1.3ec6d0a4cd7bcp-2, -0x1.3d1f4f55f2af5p-2, -0x1.3b714f23d76ccp-2, -0x1.39bcfe199f54dp-2, -0x1.3802897c6e1b3p-2, -0x1.36421dd87366ep-2, -0x1.347be70c99eefp-2, -0x1.32b010531bdcap-2, -0x1.30dec448c1737p-2, -0x1.2f082cf5d0ee8p-2, -0x1.2d2c73d908da3p-2, -0x1.2b4bc1f13b77cp-2, -0x1.29663fc2f7e52p-2, -0x1.277c155cb4a3bp-2, -0x1.258d6a5d32c9cp-2, -0x1.239a65fc029p-2, -0x1.21a32f10ed839p-2, -0x1.1fa7ec17ec466p-2, -0x1.1da8c332ea3c8p-2, -0x1.1ba5da2d0061dp-2, -0x1.199f56807353cp-2, -0x1.17955d5c816acp-2, -0x1.158813a80877bp-2, -0x1.13779e019ca23p-2, -0x1.116420c00b083p-2, -0x1.0f4dbff54f867p-2, -0x1.0d349f72dd97bp-2, -0x1.0b18e2cc1eedcp-2, -0x1.08faad55b33f3p-2, -0x1.06da2223809fp-2, -0x1.04b76408927fbp-2, -0x1.029295995eaf3p-2, -0x1.006bd92e3106p-2, -0x1.fc86a1c675976p-3, -0x1.f8323d2c06cfep-3, -0x1.f3dac7c4a8827p-3, -0x1.ef80844256469p-3, -0x1.eb23b4d3f072fp-3, -0x1.e6c49b27bab69p-3, -0x1.e26378695ecd5p-3, -0x1.de008d3b32397p-3, -0x1.d99c19aeaaa48p-3, -0x1.d5365d402312fp-3, -0x1.d0cf96d6f3a3ap-3, -0x1.cc6804c69131cp-3, -0x1.c7ffe4ccaa6d5p-3, -0x1.c397740adb87ep-3, -0x1.bf2eeefe836p-3, -0x1.bac6917a96d8bp-3, -0x1.b65e96a55a8c3p-3, -0x1.b1f738f86109bp-3, -0x1.ad90b23fb6d92p-3, -0x1.a92b3b953473cp-3, -0x1.a4c70d59bdd59p-3, -0x1.a0645f2dda0d6p-3, -0x1.9c0367ed231dcp-3, -0x1.97a45dacce652p-3, -0x1.934775bb52e56p-3, -0x1.8eece49e9efd2p-3, -0x1.8a94de0f90338p-3, -0x1.863f94f3aecf8p-3, -0x1.81ed3b575844cp-3, -0x1.7d9e026a20f8ap-3, -0x1.79521a7dcfe56p-3, -0x1.7509b30614b6bp-3, -0x1.70c4fa9775599p-3, -0x1.6c841ee3dc9e2p-3, -0x1.68474cb5ed11bp-3, -0x1.640eafec648fp-3, -0x1.5fda737743ed5p-3, -0x1.5baac15702eedp-3, -0x1.577fc29cebbbp-3, -0x1.53599f6b0dad6p-3, -0x1.4f387ef2d9172p-3, -0x1.4b1c8772533fp-3, -0x1.4705de31023fep-3, -0x1.42f4a77dadc4ep-3, -0x1.3ee906add8754p-3, -0x1.3ae31e1e62ae6p-3, -0x1.36e30f34dd29fp-3, -0x1.32e8fa5fd909cp-3, -0x1.2ef4ff166aefcp-3, -0x1.2b073bd6d9391p-3, -0x1.271fce2570ecep-3, -0x1.233ed28c35b1p-3, -0x1.1f64649bcf487p-3, -0x1.1b909eed4bef8p-3, -0x1.17c39b2410757p-3, -0x1.13fd71ef2f489p-3, -0x1.103e3b0a19436p-3, -0x1.0c860d3ce40b2p-3, -0x1.08d4fe5cb39d2p-3, -0x1.052b234cdad22p-3, -0x1.01889000c7f2ep-3, -0x1.fbdaaefd29d0dp-4, -0x1.f4b317c35ad3ep-4, -0x1.ed9a7cba44f7p-4, -0x1.e690fe7b13a29p-4, -0x1.df96bbd52157bp-4, -0x1.d8abd1d14eab8p-4, -0x1.d1d05bb63528dp-4, -0x1.cb04730d5ccd3p-4, -0x1.c4482fa9c50d1p-4, -0x1.bd9ba7adbfae9p-4, -0x1.b6feef91b0571p-4, -0x1.b0721a2a1360bp-4, -0x1.a9f538ab51bcep-4, -0x1.a3885aafeaf95p-4, -0x1.9d2b8e3d99254p-4, -0x1.96dedfcb9d7e5p-4, -0x1.90a25a49b51eep-4, -0x1.8a7607274fa51p-4, -0x1.8459ee5ae069ep-4, -0x1.7e4e16689db4dp-4, -0x1.78528468d9b9p-4, -0x1.72673c0e22668p-4, -0x1.6c8c3fab92229p-4, -0x1.66c1903b9550dp-4, -0x1.61072d672c3c2p-4, -0x1.5b5d158d9fb34p-4, -0x1.55c345cc3d904p-4, -0x1.5039ba05f4b3fp-4, -0x1.4ac06cea6a3ffp-4, -0x1.455757fca2186p-4, -0x1.3ffe7399664e8p-4, -0x1.3ab5b6fdd80f6p-4, -0x1.357d184e65badp-4, -0x1.30548c9e43557p-4, -0x1.2b3c07f7503a9p-4, -0x1.26337d6213253p-4, -0x1.213adeed8df04p-4, -0x1.1c521db6a0656p-4, -0x1.177929eed5dd4p-4, -0x1.12aff2e2520c1p-4, -0x1.0df666fe57bc2p-4, -0x1.094c73d6d1db3p-4, -0x1.04b2062d32851p-4, -0x1.002709f78fa14p-4, -0x1.f756d4d092255p-5, -0x1.ee7e23ec0e149p-5, -0x1.e5c3d4c712687p-5, -0x1.dd27b98e1c8d4p-5, -0x1.d4a9a321a9826p-5, -0x1.cc4961219231cp-5, -0x1.c406c1f6f548ep-5, -0x1.bbe192dd777b5p-5, -0x1.b3d99fed178cp-5, -0x1.abeeb422b7f3cp-5, -0x1.a420997ad5513p-5, -0x1.9c6f18e5688dap-5, -0x1.94d9fa70ccf63p-5, -0x1.8d61054bf54bcp-5, -0x1.8603ffd7a45cbp-5, -0x1.7ec2afb26e5fdp-5, -0x1.779cd9c1eacap-5, -0x1.70924239201ecp-5, -0x1.69a2ac9d1ef71p-5, -0x1.62cddbc980e32p-5, -0x1.5c1391f6dbf86p-5, -0x1.557390c46f71fp-5, -0x1.4eed9945c0b4p-5, -0x1.48816c133a7e5p-5, -0x1.422ec95c4e18p-5, -0x1.3bf570f888ba4p-5, -0x1.35d52275617b8p-5, -0x1.2fcd9d1f1112bp-5, -0x1.29dea0039de0bp-5, -0x1.2407e9f17c189p-5, -0x1.1e493973dbfdep-5, -0x1.18a24cd00768ap-5, -0x1.1312e206e7433p-5, -0x1.0d9ab6dcfe58p-5, -0x1.083988e9765c4p-5, -0x1.02ef15aac1765p-5, -0x1.fb76353bf580dp-6, -0x1.f13aaaa920cadp-6, -0x1.e72b070846d89p-6, -0x1.dd46c61b625a8p-6, -0x1.d38d63f5ace52p-6, -0x1.c9fe5ce5befe8p-6, -0x1.c0992d56be60ap-6, -0x1.b75d51b348f57p-6, -0x1.ae4a4654bd037p-6, -0x1.a55f878797568p-6, -0x1.9c9c91a800734p-6, -0x1.9400e1540441cp-6, -0x1.8b8bf3ab0057dp-6, -0x1.833d468df155ap-6, -0x1.7b1458d2a2429p-6, -0x1.7310aa5eaa0f1p-6, -0x1.6b31bc23b64e9p-6, -0x1.63770ffdfc998p-6, -0x1.5be0287d5535ep-6, -0x1.546c88a6a09c1p-6, -0x1.4d1bb3bdd37cap-6, -0x1.45ed2d283f2f8p-6, -0x1.3ee07870994f7p-6, -0x1.37f5196fef42dp-6, -0x1.312a9495eae15p-6, -0x1.2a806f42ccf51p-6, -0x1.23f63014fb10dp-6, -0x1.1d8b5f2de9b65p-6, -0x1.173f866b69674p-6, -0x1.11123138db128p-6, -0x1.0b02ec6e63adcp-6, -0x1.0511460cadc31p-6, -0x1.fe79998d76344p-7, -0x1.f30a1f6c90c7fp-7, -0x1.e7d33c508e9f6p-7, -0x1.dcd40f1a6f7ep-7, -0x1.d20bb732dfc1fp-7, -0x1.c779551c8b14cp-7, -0x1.bd1c0b3c8916p-7, -0x1.b2f2feb0329bfp-7, -0x1.a8fd5806a6f9cp-7, -0x1.9f3a43b866d83p-7, -0x1.95a8f243f5d1bp-7, -0x1.8c4897e954ecdp-7, -0x1.83186c117124bp-7, -0x1.7a17a881cf82p-7, -0x1.714588880dd7fp-7, -0x1.68a1484a46fdcp-7, -0x1.602a24624696bp-7, -0x1.57df59c397ab3p-7, -0x1.4fc0261e3b7b9p-7, -0x1.47cbc85a762cdp-7, -0x1.4001815357036p-7, -0x1.38609491b83ecp-7, -0x1.30e848e9ee8cep-7, -0x1.2997e8e61d802p-7, -0x1.226ec2eac69a4p-7, -0x1.1b6c290f2e25bp-7, -0x1.148f70b06b173p-7, -0x1.0dd7f1d53a117p-7, -0x1.07450684a1cd4p-7, -0x1.00d60a366139ep-7, -0x1.f514b2f698336p-8, -0x1.e8c2a3d5b1b11p-8, -0x1.dcb4a498f091ep-8, -0x1.d0e975c6972c6p-8, -0x1.c55fdb7de2994p-8, -0x1.ba169df8a5485p-8, -0x1.af0c89e116b79p-8, -0x1.a4407088bfafbp-8, -0x1.99b12812839e8p-8, -0x1.8f5d8b9809c64p-8, -0x1.85447b3f2d70dp-8, -0x1.7b64dc2d604a9p-8, -0x1.71bd98523c1bfp-8, -0x1.684d9e1af2468p-8, -0x1.5f13e039b290bp-8, -0x1.560f55a75d2e3p-8, -0x1.4d3ef9ecd9f9ep-8, -0x1.44a1cd8cbae3p-8, -0x1.3c36d64442a37p-8, -0x1.33fd1ed8f535cp-8, -0x1.2bf3b652f61cfp-8, -0x1.2419aebe6539dp-8, -0x1.1c6e1bcf4f12dp-8, -0x1.14f011d1a7a37p-8, -0x1.0d9ea53d2703dp-8, -0x1.0678eb0f4e9bdp-8, -0x1.fefbf39d4e9dcp-9, -0x1.f159d5d868dc1p-9, -0x1.e409b8586d826p-9, -0x1.d709e1abd09a4p-9, -0x1.ca58a51de5769p-9, -0x1.bdf463d33ed35p-9, -0x1.b1db8d61b391p-9, -0x1.a60c9fe13ad76p-9, -0x1.9a86273fa725ep-9, -0x1.8f46bbaea7b29p-9, -0x1.844cff01da44ap-9, -0x1.7997991c37317p-9, -0x1.6f2533b4d316cp-9, -0x1.64f475f60e94ap-9, -0x1.5b0400b618972p-9, -0x1.51526c435fc63p-9, -0x1.47de48bdb6d2fp-9, -0x1.3ea6218571c94p-9, -0x1.35a8838e88fc2p-9, -0x1.2ce40503e8ec4p-9, -0x1.24574c61041ecp-9, -0x1.1c01148b9e5acp-9, -0x1.13e02cec97ec8p-9, -0x1.0bf375c59a566p-9, -0x1.0439dabb1202p-9, -0x1.f9649c88a7d5ep-10, -0x1.eab7904d2b284p-10, -0x1.dc6a8e9a8c3cfp-10, -0x1.ce7baa737e308p-10, -0x1.c0e90ffe29aa5p-10, -0x1.b3b0fed5c5a4dp-10, -0x1.a6d1b8d675467p-10, -0x1.9a496aaff47cfp-10, -0x1.8e16167255653p-10, -0x1.82358b0163582p-10, -0x1.76a5704eab3ecp-10, -0x1.6b6366b7aeab9p-10, -0x1.606d2edadeefcp-10, -0x1.55c0c98a9725ap-10, -0x1.4b5c8132342f5p-10, -0x1.413ed7966b321p-10, -0x1.3766603840b73p-10, -0x1.2dd199dcfe7d7p-10, -0x1.247eda698b577p-10, -0x1.1b6c5ab3fd1fcp-10, -0x1.12985fe657512p-10, -0x1.0a0166a3d1ae4p-10, -0x1.01a643967cef2p-10, -0x1.f30c45ec8f395p-11, -0x1.e340bbeaccc9ap-11, -0x1.d3e87a6511fddp-11, -0x1.c50176b3d0f92p-11, -0x1.b688c3dd64e9p-11, -0x1.a87aa3493a7bbp-11, -0x1.9ad2eab15fc15p-11, -0x1.8d8d98ee77f6ap-11, -0x1.80a75cdd9e591p-11, -0x1.741dd40e6d967p-11, -0x1.67ef63182cb1dp-11, -0x1.5c1ab5769eaf7p-11, -0x1.509e1d5abbc59p-11, -0x1.4577208f5117p-11, -0x1.3aa27078e22cbp-11, -0x1.301c5ae1763bfp-11, -0x1.25e185960298dp-11, -0x1.1bef9f1f8ee8p-11, -0x1.1245b0beb8ef6p-11, -0x1.08e3e84fe852bp-11, -0x1.ff95dd00cb6d7p-12, -0x1.edf6233eee90cp-12, -0x1.dce73d42fe63ap-12, -0x1.cc654ec4c52dbp-12, -0x1.bc6a7ccf623b9p-12, -0x1.aceffe2fadc44p-12, -0x1.9def4e95c5d6dp-12, -0x1.8f6325443b306p-12, -0x1.8147f24eed077p-12, -0x1.739bc569ed9cfp-12, -0x1.665d960f835ecp-12, -0x1.598c1878812dap-12, -0x1.4d248af0883e4p-12, -0x1.412213b24d96bp-12, -0x1.357e25ea50ca6p-12, -0x1.2a31eae16049bp-12, -0x1.1f381a3942c02p-12, -0x1.148e5eb91b9acp-12, -0x1.0a358cf6c4625p-12, -0x1.00307d22a21a5p-12, -0x1.ed041cce76b06p-13, -0x1.da56b3649aeedp-13, -0x1.c855fa6805aa8p-13, -0x1.b6fb598b05aa6p-13, -0x1.a63ecc26cc04fp-13, -0x1.9618d9cc3d6aep-13, -0x1.868337dde8f9ap-13, -0x1.777859583247fp-13, -0x1.68f2dd2c284a6p-13, -0x1.5aeda5440c536p-13, -0x1.4d648a45827e1p-13, -0x1.4054be472b05fp-13, -0x1.33bbf18889c85p-13, -0x1.27966f636552ap-13, -0x1.1bdda5115702ep-13, -0x1.108882792b937p-13, -0x1.058dd9b460ac4p-13, -0x1.f5cf02c3b24c3p-14, -0x1.e128eb245ea2fp-14, -0x1.cd3116aa0f367p-14, -0x1.b9f301c2956cdp-14, -0x1.a776179a1685cp-14, -0x1.95b8f9e7c8469p-14, -0x1.84b2a23d50f1cp-14, -0x1.745789cb4f644p-14, -0x1.649ef83775839p-14, -0x1.55857a4f09644p-14, -0x1.470b4caa1552ap-14, -0x1.392fddb41bcf8p-14, -0x1.2bedcff51b236p-14, -0x1.1f3a94111b7cep-14, -0x1.1309983f4239bp-14, -0x1.0750789f1cc53p-14, -0x1.f81308bea000cp-15, -0x1.e26673c911dc7p-15, -0x1.cd9a3ac9a9fd4p-15, -0x1.b9a82030dc5d5p-15, -0x1.a6814715a1fc3p-15, -0x1.94111e8798f46p-15, -0x1.8245f8e86da28p-15, -0x1.711af1124ed2ap-15, -0x1.609a63d018218p-15, -0x1.50d4359ebd98ap-15, -0x1.41cfc2d0f8b81p-15, -0x1.3385b4893112ap-15, -0x1.25e4ce520cb5ap-15, -0x1.18dc686bf0206p-15, -0x1.0c65302e763aap-15, -0x1.0081a6c544b62p-15, -0x1.ea6d262dc114cp-16, -0x1.d507a069e6832p-16, -0x1.c0c75b37e3096p-16, -0x1.ad9bfdd0d2eb1p-16, -0x1.9b73fbfa04036p-16, -0x1.8a3b983cabb71p-16, -0x1.79db123207b9ep-16, -0x1.6a3ab77c86025p-16, -0x1.5b4e264fbd9cdp-16, -0x1.4d1c24285ebddp-16, -0x1.3fb56c2f7e5e3p-16, -0x1.331cf96a47a71p-16, -0x1.273739accac61p-16, -0x1.1bd77fe8dbeeap-16, -0x1.10e68eca1e166p-16, -0x1.06776d888e0bfp-16, -0x1.f95dba67669a1p-17, -0x1.e73608c5f9b29p-17, -0x1.d64d7e8cb9625p-17, -0x1.c660cbc5e04d9p-17, -0x1.b751b42a1905dp-17, -0x1.a92ff825aad5bp-17, -0x1.9c0c48ea25977p-17, -0x1.8fd7da0c95979p-17, -0x1.84727ce80a09bp-17, -0x1.79c3d8643985ap-17, -0x1.6fc72f6eb0e76p-17, -0x1.6686b59348d26p-17, -0x1.5e0f427b6814p-17, -0x1.5665f62ba6061p-17, -0x1.4f8096c480eecp-17, -0x1.494021642b87ep-17, -0x1.437a5aab55bdp-17, -0x1.3e1e6deca5ad9p-17, -0x1.394d2de5d4054p-17, -0x1.352e1109c2fa7p-17, -0x1.31a543366ae42p-17, -0x1.2e57e2f38c16bp-17, -0x1.2b153c1974d7dp-17, -0x1.281510625ad3bp-17, -0x1.25a6056bb0fbap-17, -0x1.23c8569ff1e0bp-17, -0x1.223faadab56a5p-17, -0x1.20eacd579bd3dp-17, -0x1.1fdb80aef1277p-17, -0x1.1f22eff776829p-17, -0x1.1eb5757c39f54p-17, -0x1.1e7d1a71ea172p-17, -0x1.1e6be0a844e73p-17, -0x1.1e7ce817124dp-17, -0x1.1eafa5f77b218p-17, -0x1.1f054cf7015eap-17, -0x1.1f809b7609f57p-17, -0x1.202597160d291p-17, -0x1.20f82973ed1afp-17, -0x1.21fb8b4d8e6bcp-17, -0x1.2332c982e7f06p-17, -0x1.249add7cc262fp-17, -0x1.2620b4779d033p-17, -0x1.27b1b826a83d3p-17, -0x1.295adf440d0cep-17, -0x1.2b2a6f70c4a39p-17, -0x1.2cfa20671d5adp-17, -0x1.2ea0b837dd25bp-17, -0x1.303fd79ff50bep-17, -0x1.3207d38230232p-17, -0x1.33e8588c77984p-17, -0x1.35c232f2a66d8p-17, -0x1.379cbce25dd6fp-17, -0x1.3983a9384266ep-17, -0x1.3b6e8a883dfa7p-17, -0x1.3d51cb0de3a9fp-17, -0x1.3f2976d4230ddp-17, -0x1.40f661d8b1667p-17, -0x1.42ba110c979dep-17, -0x1.4475189048f21p-17, -0x1.46280314e0408p-17, -0x1.47d0d5ea171d6p-17, -0x1.496fa5dc68c77p-17, -0x1.4b02ce60d3ccdp-17, -0x1.4c89ddc46d951p-17, -0x1.4e04cc31e2077p-17, -0x1.4f7401e17d4f2p-17, -0x1.50d8c2ed2c428p-17, -0x1.5236682c3edaap-17, -0x1.538fd4b1f47d6p-17, -0x1.54e07e329199cp-17, -0x1.562260c5d5047p-17, -0x1.57546a061e38fp-17, -0x1.586c96de4c9e8p-17, -0x1.596704ab425e3p-17, -0x1.5a507b8e7f75fp-17, -0x1.5b2bcff7ab68fp-17, -0x1.5bf8b34317c4dp-17, -0x1.5cb9b6cec6667p-17, -0x1.5d6a0326870bbp-17, -0x1.5e04da47643b9p-17, -0x1.5e8a05fb55587p-17, -0x1.5efaff853df72p-17, -0x1.5f58e1387d208p-17, -0x1.5fa4266599e88p-17, -0x1.5fdcf91e4eadcp-17, -0x1.60035cbcbd6cep-17, -0x1.6017599023f94p-17, -0x1.6018f30e130b3p-17, -0x1.60083ac58fd33p-17, -0x1.5fe540a3f13e1p-17, -0x1.5fb00ae9723f6p-17, -0x1.5f6899566d2d7p-17, -0x1.5f0ef3d94c0b9p-17, -0x1.5ea339ee62fefp-17, -0x1.5e259d699f9b1p-17, -0x1.5d964b860c8fcp-17, -0x1.5cf599a22857fp-17, -0x1.5c448660a7899p-17, -0x1.5b83dffd63da6p-17, -0x1.5ab238a90afdfp-17, -0x1.59ce8ce1d5329p-17, -0x1.58d9f06e7c5b8p-17, -0x1.57d5e89bdf791p-17, -0x1.56c2ea0271fd2p-17, -0x1.559f485a7f673p-17, -0x1.546b6d5ef656ep-17, -0x1.5328bacae4b1p-17, -0x1.51d7c56b83f3p-17, -0x1.5078a80b64eb6p-17, -0x1.4f0b71a06f94p-17, -0x1.4d9044f2b2ba1p-17, -0x1.4c075a07273dcp-17, -0x1.4a70fa6272cp-17, -0x1.48cd7cb3b2218p-17, -0x1.471d3efccecd3p-17, -0x1.45609ea42fa7dp-17, -0x1.4397ef6373c6bp-17, -0x1.41c374732ef46p-17, -0x1.3fe3618a9d1d5p-17, -0x1.3df7e8dea9b9dp-17, -0x1.3c01537aa5fddp-17, -0x1.3a00150bb6caep-17, -0x1.37f4c3f982d09p-17, -0x1.35dfee159e336p-17, -0x1.33c1fe0c78fd5p-17, -0x1.319b7dd6241afp-17, -0x1.2f6ce7f852eecp-17, -0x1.2d3436a12d272p-17, -0x1.2aed75d0fb453p-17, -0x1.289b2e7746d1cp-17, -0x1.264593c7d0dp-17, -0x1.23ef088292658p-17, -0x1.218f88375e076p-17, -0x1.1f2423b498a44p-17, -0x1.1cb177058b294p-17, -0x1.1a3a33137af8ap-17, -0x1.17be2187b6c2p-17, -0x1.153c986ab8fd5p-17, -0x1.12b599617056ep-17, -0x1.102935a3019d9p-17, -0x1.0d97a6db6e595p-17, -0x1.0b013c776b142p-17, -0x1.08664206e994ap-17, -0x1.05c75b708020cp-17, -0x1.0323d003fce9p-17, -0x1.007cf1e419274p-17, -0x1.fba560ed246ddp-18, -0x1.f64a9546d9d48p-18, -0x1.f0e9ec742230ep-18, -0x1.eb83c5f2ff57ap-18, -0x1.e61886835e519p-18, -0x1.e0a8add97e45ap-18, -0x1.db34e07a63ab4p-18, -0x1.d5bdd4b102508p-18, -0x1.d044272089ec9p-18, -0x1.cac856b212cd6p-18, -0x1.c54b228e72328p-18, -0x1.bfcd1b6e2ef95p-18, -0x1.ba4aead74be6p-18, -0x1.b4c2f3669fa4fp-18, -0x1.af41765f309aep-18, -0x1.a9c292beaaa35p-18, -0x1.a438fcb88dbfap-18, -0x1.9eb244520eacbp-18, -0x1.9932c2d861707p-18, -0x1.93b21d40fe727p-18, -0x1.8e316f36e6158p-18, -0x1.88b485c25545bp-18, -0x1.833a7da77f536p-18, -0x1.7dc32f10a8b4bp-18, -0x1.784ec48dd3b39p-18, -0x1.72dd9299c0b46p-18, -0x1.6d6ff02ad7322p-18, -0x1.68062cbbd4819p-18, -0x1.62a0997be0623p-18, -0x1.5d3f7deee4c69p-18, -0x1.57e32c1ccdd95p-18, -0x1.528be73e91ae3p-18, -0x1.4d39f2764f4eap-18, -0x1.47ed8e95e88d5p-18, -0x1.42a6f848cf418p-18, -0x1.3d666979d4e3cp-18, -0x1.382c1b9ac2729p-18, -0x1.32f849b0b9bap-18, -0x1.2dcb308b53eecp-18, -0x1.28a50ce69d26ep-18, -0x1.238614c44ed0fp-18, -0x1.1e6e711e82f9ap-18, -0x1.195e4bb0de311p-18, -0x1.1455fb6aaa54bp-18, -0x1.0f55d180bb886p-18, -0x1.0a5d1042a9301p-18, -0x1.056ca3752fe29p-18, -0x1.0084dec6640efp-18, -0x1.f749fa85356cdp-19, -0x1.ed9cbb216d5b7p-19, -0x1.e4014e277f293p-19, -0x1.da773b350d074p-19, -0x1.d0ffa66a5ebf1p-19, }}, 
      {{-0x1.0ab9c0322df26p-5, -0x1.978daee06162fp-4, -0x1.9aac13d964385p-3, -0x1.4832dc016a34cp-2, -0x1.c4b011d5941ep-2, -0x1.1a0797bed9e67p-1, -0x1.46218b223940fp-1, -0x1.63ecdc47504a6p-1, -0x1.729805f9d2b78p-1, -0x1.72ba72cbeff7ep-1, -0x1.65dc88edffa26p-1, -0x1.4e12bff971925p-1, -0x1.2daef9e117662p-1, -0x1.07071309da9f6p-1, -0x1.b89b836218e5bp-2, -0x1.5ef48b1c8750ap-2, -0x1.047714ecc2366p-2, -0x1.57ceb82a4c15ep-3, -0x1.5dcb291857a1fp-4, -0x1.174b034cb6583p-7, 0x1.f8f5161cc5bdbp-5, 0x1.fd861e4070101p-4, 0x1.6f6629ef09168p-3, 0x1.d005553197455p-3, 0x1.107ad058577b9p-2, 0x1.317359a1fcc56p-2, 0x1.4b654a264cc1bp-2, 0x1.5ee08149713c4p-2, 0x1.6c831b2d054ep-2, 0x1.74f2677ebffa2p-2, 0x1.78d54d334b4a9p-2, 0x1.78cfee0913465p-2, 0x1.75805c67f15eap-2, 0x1.6f7c3888cdcd1p-2, 0x1.674f0cba4a229p-2, 0x1.5d794539c73bap-2, 0x1.526fa49aca4f7p-2, 0x1.469b19df07df4p-2, 0x1.3a58e156fce08p-2, 0x1.2dfadd5f4b645p-2, 0x1.21c8179ef99edp-2, 0x1.15fd5e4fdf279p-2, 0x1.0acdf376aaf6ep-2, 0x1.006446016f796p-2, 0x1.edc55d3c1290ap-3, 0x1.dcc857570454ap-3, 0x1.cdfa31d402127p-3, 0x1.c177c0f9dd5eep-3, 0x1.b753472586b09p-3, 0x1.af95b32d331edp-3, 0x1.aa3fca874cd5cp-3, 0x1.a74b3e9b51596p-3, 0x1.a6abad2858c67p-3, 0x1.a84f8c0b74d4ap-3, 0x1.ac2100f0d2354p-3, 0x1.b206a5aa418fbp-3, 0x1.b9e43a0397947p-3, 0x1.c39b44005ca74p-3, 0x1.cf0b9f7bbf577p-3, 0x1.dc13fe2f5d753p-3, 0x1.ea925920facf1p-3, 0x1.fa64547d81eaap-3, 0x1.05b3cb6fa0e1ep-2, 0x1.0ebd0a7b19b24p-2, 0x1.183d294155b7cp-2, 0x1.2223ccc857e7dp-2, 0x1.2c61146792fd3p-2, 0x1.36e5ace5b0c46p-2, 0x1.41a2e0028506p-2, 0x1.4c8aa08e901ap-2, 0x1.578f93cc30a17p-2, 0x1.62a517d014fbap-2, 0x1.6dbf47f8331c1p-2, 0x1.78d2fef95923bp-2, 0x1.83d5d74b336a8p-2, 0x1.8ebe2a685ed75p-2, 0x1.99830d9f63599p-2, 0x1.a41c4fa819b09p-2, 0x1.ae8272ab8dfbp-2, 0x1.b8aea8064387ep-2, 0x1.c29ac9d96da64p-2, 0x1.cc4153a0a6d0ep-2, 0x1.d59d5d745565dp-2, 0x1.deaa923806124p-2, 0x1.e7652a628ba47p-2, 0x1.efc9e44214e5cp-2, 0x1.f7d5faf46412ep-2, 0x1.ff8721969dc46p-2, 0x1.036dbccd11b05p-1, 0x1.06e8c63da23ffp-1, 0x1.0a34228f3971dp-1, 0x1.0d4f73ee59152p-1, 0x1.103a86860e264p-1, 0x1.12f54d0a4d551p-1, 0x1.157fddca70585p-1, 0x1.17da6fe292529p-1, 0x1.1a055860c5b2cp-1, 0x1.1c0107bfd0a7dp-1, 0x1.1dce07568503cp-1, 0x1.1f6cf7089fcf1p-1, 0x1.20de8aff7987fp-1, 0x1.2223898d0968cp-1, 0x1.233cc9370e799p-1, 0x1.242b2ec701451p-1, 0x1.24efab94dca3cp-1, 0x1.258b3bde296a9p-1, 0x1.25fee530b0cd5p-1, 0x1.264bb50582e7p-1, 0x1.2672bf5ffc75fp-1, 0x1.26751d8412691p-1, 0x1.2653ecd4f0bcbp-1, 0x1.26104db442e3fp-1, 0x1.25ab6278ae6f4p-1, 0x1.25264e87abbd3p-1, 0x1.248235703aca7p-1, 0x1.23c03a1980e74p-1, 0x1.22e17e117f4bcp-1, 0x1.21e720e03ebe8p-1, 0x1.20d23f66cbfdap-1, 0x1.1fa3f35cd6bfbp-1, 0x1.1e5d52d69b348p-1, 0x1.1cff6fce50765p-1, 0x1.1b8b57c80e2bcp-1, 0x1.1a021381f3f33p-1, 0x1.1864a6a4382d1p-1, 0x1.16b40f818aad2p-1, 0x1.14f146e73673fp-1, 0x1.131d3feff7a83p-1, 0x1.1138e7daa25f4p-1, 0x1.0f4525ef7a29dp-1, 0x1.0d42db6f4b804p-1, 0x1.0b32e37f0e88ep-1, 0x1.0916131b11181p-1, 0x1.06ed3918257e4p-1, 0x1.04b91e23a563fp-1, 0x1.027a84c35aeafp-1, 0x1.0032295f7672cp-1, 0x1.fbc184a1dff6ap-2, 0x1.f70dffdfeda4fp-2, 0x1.f24b19490a81dp-2, 0x1.ed7a19f46b49fp-2, 0x1.e89c3f72c6f0ep-2, 0x1.e3b2bc0260c0ap-2, 0x1.debeb6bcfee21p-2, 0x1.d9c14bce4c612p-2, 0x1.d4bb8cb5e88b4p-2, 0x1.cfae80827f55ap-2, 0x1.ca9b2408a7d8bp-2, 0x1.c5826a23f96e6p-2, 0x1.c0653bfad1fd7p-2, 0x1.bb44793c9c038p-2, 0x1.b620f8610b59cp-2, 0x1.b0fb86e988f81p-2, 0x1.abd4e9a0da28bp-2, 0x1.a6addcdd16d4cp-2, 0x1.a18714c1ade41p-2, 0x1.9c613d7ba9254p-2, 0x1.973cfb7db2c27p-2, 0x1.921aebc23788bp-2, 0x1.8cfba40afeb75p-2, 0x1.87dfb318a2695p-2, 0x1.82c7a0e3838c5p-2, 0x1.7db3eed9824c9p-2, 0x1.78a5181811ad6p-2, 0x1.739b91a068cd6p-2, 0x1.6e97ca8d291e6p-2, 0x1.699a2c49aec98p-2, 0x1.64a31ac4f8893p-2, 0x1.5fb2f4a2131d9p-2, 0x1.5aca136a528cp-2, 0x1.55e8cbbe69faep-2, 0x1.510f6d8297f36p-2, 0x1.4c3e44098544p-2, 0x1.47759642033ep-2, 0x1.42b5a6e33f002p-2, 0x1.3dfeb4935a8e8p-2, 0x1.3950fa0c9b836p-2, 0x1.34acae4551f67p-2, 0x1.301204974752fp-2, 0x1.2b812ce231be7p-2, 0x1.26fa53abad4dbp-2, 0x1.227da2419d62ep-2, 0x1.1e0b3edcec2b6p-2, 0x1.19a34cbffc667p-2, 0x1.1545ec520c52bp-2, 0x1.10f33b3c4488fp-2, 0x1.0cab548897b7p-2, 0x1.086e50bd85ddfp-2, 0x1.043c45f51c6cfp-2, 0x1.001547f412f23p-2, 0x1.f7f2d088e8decp-3, 0x1.efd16ca042307p-3, 0x1.e7c67eec739d8p-3, 0x1.dfd21e39962d4p-3, 0x1.d7f45d892f43fp-3, 0x1.d02d4c41ab137p-3, 0x1.c87cf65b9df0fp-3, 0x1.c0e3648373244p-3, 0x1.b9609c346ce02p-3, 0x1.b1f49fd94eb44p-3, 0x1.aa9f6ef58f306p-3, 0x1.a361064cd6ffap-3, 0x1.9c395fff5002ep-3, 0x1.9528739e0ff3fp-3, 0x1.8e2e3643c0795p-3, 0x1.874a9ab6d56bp-3, 0x1.807d918d445c8p-3, 0x1.79c70946c3f2fp-3, 0x1.7326ee5d30824p-3, 0x1.6c9d2b5503245p-3, 0x1.6629a8d6ba6e3p-3, 0x1.5fcc4dce75163p-3, 0x1.5984ff8701c11p-3, 0x1.5353a1ba285b4p-3, 0x1.4d38169b3841bp-3, 0x1.47323ee631f95p-3, 0x1.4141f9f7de1f7p-3, 0x1.3b6725e8b9276p-3, 0x1.35a19fa13e535p-3, 0x1.2ff142e49749bp-3, 0x1.2a55ea57fad8ep-3, 0x1.24cf6f8f8cdbep-3, 0x1.1f5dab2343226p-3, 0x1.1a0074c5a2b1ap-3, 0x1.14b7a35457667p-3, 0x1.0f830ce04466ep-3, 0x1.0a6286b27502bp-3, 0x1.0555e555753d7p-3, 0x1.005cfca5d6f75p-3, 0x1.f6ef3fcb127ebp-4, 0x1.ed4b439605d85p-4, 0x1.e3cda9120b4a7p-4, 0x1.da7613a3f60c5p-4, 0x1.d14425ba88fep-4, 0x1.c83780e4ff22cp-4, 0x1.bf4fc5f251d51p-4, 0x1.b68c950e5d9f7p-4, 0x1.aded8dd42f08ep-4, 0x1.a5724f554b5a5p-4, 0x1.9d1a781e72001p-4, 0x1.94e5a642e41e4p-4, 0x1.8cd377719929ep-4, 0x1.84e3890eed1bep-4, 0x1.7d15784a11bb5p-4, 0x1.7568e22912f5ep-4, 0x1.6ddd638d46192p-4, 0x1.66729936e07cap-4, 0x1.5f281fce668fdp-4, 0x1.57fd93f5a0e67p-4, 0x1.50f2925ba1b45p-4, 0x1.4a06b7cdca35dp-4, 0x1.4339a141547bap-4, 0x1.3c8aebd705864p-4, 0x1.35fa34dd68d7ep-4, 0x1.2f8719d6c8835p-4, 0x1.29313884d9e82p-4, 0x1.22f82ef7dbfb1p-4, 0x1.1cdb9b9c8da6fp-4, 0x1.16db1d456bc61p-4, 0x1.10f6532eca81dp-4, 0x1.0b2cdd0057d2bp-4, 0x1.057e5acfbad2p-4, 0x1.ffd4da4d470f9p-5, 0x1.f4e16a1af34p-5, 0x1.ea21a82ae8b5bp-5, 0x1.df94d8c4cf188p-5, 0x1.d53a415f9cb2p-5, 0x1.cb1128a5d4379p-5, 0x1.c118d6776021cp-5, 0x1.b75093ed9f345p-5, 0x1.adb7ab64f4f91p-5, 0x1.a44d688aeeed1p-5, 0x1.9b11186d57863p-5, 0x1.9202098660b83p-5, 0x1.891f8bc3d6eap-5, 0x1.8068f089d8e83p-5, 0x1.77dd8ab3a28e3p-5, 0x1.6f7cae955ef7ep-5, 0x1.6745b20151adep-5, 0x1.5f37ec503e2bcp-5, 0x1.5752b66b0b00cp-5, 0x1.4f956ad31385cp-5, 0x1.47ff65a78792ap-5, 0x1.409004a79dbd6p-5, 0x1.3946a732c27fap-5, 0x1.3222ae4861538p-5, 0x1.2b237c89204e6p-5, 0x1.2448763a609fdp-5, 0x1.1d91014afe8aep-5, 0x1.16fc8558846c6p-5, 0x1.108a6bb32d689p-5, 0x1.0a3a1f5f42cd4p-5, 0x1.040b0d159b153p-5, 0x1.fbf94684e9a4fp-6, 0x1.f01ca408951e2p-6, 0x1.e47f1656b387dp-6, 0x1.d91f84759904p-6, 0x1.cdfcd8d45e356p-6, 0x1.c316014e9eabbp-6, 0x1.b869ef2e6b198p-6, 0x1.adf7972c1fcffp-6, 0x1.a3bdf16c41466p-6, 0x1.99bbf97bdec13p-6, 0x1.8ff0ae4c51032p-6, 0x1.865b122f9535fp-6, 0x1.7cfa2ad59f867p-6, 0x1.73cd014af7c7dp-6, 0x1.6ad2a1f794b78p-6, 0x1.620a1c9ccad12p-6, 0x1.59728452712ccp-6, 0x1.510aef82b1c7bp-6, 0x1.48d277e5579e9p-6, 0x1.40c83a7a6e439p-6, 0x1.38eb5784d1f9ep-6, 0x1.313af284ffd9ap-6, 0x1.29b6323458a82p-6, 0x1.225c4081009b3p-6, 0x1.1b2c4a86beb05p-6, 0x1.14258091705ccp-6, 0x1.0d471609081dcp-6, 0x1.06904178d1511p-6, 0x1.00003c81acd8p-6, 0x1.f32c87ab0629cp-7, 0x1.e6a32e62b1c2p-7, 0x1.da62f2aef06d6p-7, 0x1.ce6a60130615cp-7, 0x1.c2b80804fa019p-7, 0x1.b74a81df74776p-7, 0x1.ac206ad2dfcb1p-7, 0x1.a13865d3c9bacp-7, 0x1.96911b89966cbp-7, 0x1.8c293a3dd3ddcp-7, 0x1.81ff75d2dd1f1p-7, 0x1.7812879fba799p-7, 0x1.6e612e960c189p-7, 0x1.64ea2f06e4171p-7, 0x1.5bac52af81fadp-7, 0x1.52a668a6f341fp-7, 0x1.49d7454d16994p-7, 0x1.413dc236c4c8dp-7, 0x1.38d8be17b3d18p-7, 0x1.30a71cac313adp-7, 0x1.28a7c6a4ccc14p-7, 0x1.20d9a99637f2p-7, 0x1.193bb7ee4211bp-7, 0x1.11cce8ecca2aep-7, 0x1.0a8c389e488bfp-7, 0x1.0378a7d566e7ap-7, 0x1.f9227840b0d54p-8, 0x1.eba9ff7110ba1p-8, 0x1.de8602d7d18b4p-8, 0x1.d1b4a9027643fp-8, 0x1.c53421353d005p-8, 0x1.b902a33459989p-8, 0x1.ad1e6f194d868p-8, 0x1.a185cd38d8603p-8, 0x1.96370e194bfdcp-8, 0x1.8b308a74cbceep-8, 0x1.8070a34192641p-8, 0x1.75f5c1b1b141bp-8, 0x1.6bbe5726745b2p-8, 0x1.61c8dd0e0011fp-8, 0x1.5813d4ab80b22p-8, 0x1.4e9dc6cf89c23p-8, 0x1.4565438a17ddep-8, 0x1.3c68e1e30efc5p-8, 0x1.33a73fa4db148p-8, 0x1.2b1f014109c1cp-8, 0x1.22ced1d0c2bcep-8, 0x1.1ab5632b62b3cp-8, 0x1.12d16e07b13d2p-8, 0x1.0b21b21921c51p-8, 0x1.03a4f61a63661p-8, 0x1.f8b40f74ca7d8p-9, 0x1.ea7f76cfab776p-9, 0x1.dca9d7fede0fap-9, 0x1.cf30f4d0a5e1dp-9, 0x1.c2129a5f9fdb3p-9, 0x1.b54ca06c75b37p-9, 0x1.a8dce8f70701ep-9, 0x1.9cc16027b1f78p-9, 0x1.90f7fc84f648cp-9, 0x1.857ebf60e611dp-9, 0x1.7a53b55be648p-9, 0x1.6f74f6d4997fdp-9, 0x1.64e0a819c3025p-9, 0x1.5a94f94ccd04fp-9, 0x1.509025f315331p-9, 0x1.46d0742454cb1p-9, 0x1.3d54339d4cce9p-9, 0x1.3419bcccaeb56p-9, 0x1.2b1f6ffeaca57p-9, 0x1.2263b4e15bc7ep-9, 0x1.19e4fa6a6a379p-9, 0x1.11a1b71c38051p-9, 0x1.099869958f5e4p-9, 0x1.01c79944cf782p-9, 0x1.f45bae107856bp-10, 0x1.e5937b5fd0f41p-10, 0x1.d733e3ed28b3ap-10, 0x1.c93a44a5a85cp-10, 0x1.bba40c6e3e42cp-10, 0x1.ae6eba5039896p-10, 0x1.a197db609f4e1p-10, 0x1.951d08d299addp-10, 0x1.88fbe68ce9155p-10, 0x1.7d32227e25dccp-10, 0x1.71bd74c089ba2p-10, 0x1.669ba0851e20ap-10, 0x1.5bca754b7feb6p-10, 0x1.5147d0659e13bp-10, 0x1.47119e24d54e2p-10, 0x1.3d25da8c65adcp-10, 0x1.3382915f3fb7ep-10, 0x1.2a25dd800306p-10, 0x1.210de7bc10d02p-10, 0x1.1838e532308a1p-10, 0x1.0fa51596b3d13p-10, 0x1.0750c19e6b8bdp-10, 0x1.fe7473ad61a14p-11, 0x1.eebfac37883abp-11, 0x1.df7feb78c096p-11, 0x1.d0b20060b8e5ep-11, 0x1.c252cc44a6e1p-11, 0x1.b45f44f6f0f69p-11, 0x1.a6d4764e6520dp-11, 0x1.99af82c131546p-11, 0x1.8ceda3037ee5fp-11, 0x1.808c24d8f9392p-11, 0x1.74886969cd41dp-11, 0x1.68dfe36d942f2p-11, 0x1.5d90156a87a3cp-11, 0x1.52969035773a9p-11, 0x1.47f0f1d792e8ap-11, 0x1.3d9ce4fcda2d6p-11, 0x1.3398210a665bfp-11, 0x1.29e06adbec487p-11, 0x1.207395f692099p-11, 0x1.174f85c5d5773p-11, 0x1.0e722e66e8331p-11, 0x1.05d9948e00d34p-11, 0x1.fb0798bc980fep-12, 0x1.eaddef001e583p-12, 0x1.db3285ab5f49bp-12, 0x1.cc01c8ebf63edp-12, 0x1.bd4834e2f7cf7p-12, 0x1.af02551ffb293p-12, 0x1.a12cc60662908p-12, 0x1.93c4377c23dabp-12, 0x1.86c5700e2035cp-12, 0x1.7a2d4fc8d2dbbp-12, 0x1.6df8d24a5f6d9p-12, 0x1.62250fdc0ce5cp-12, 0x1.56af3d7f5b5f1p-12, 0x1.4b94abf04b5d6p-12, 0x1.40d2c58dea31p-12, 0x1.36670b475ee4dp-12, 0x1.2c4f10aafbd94p-12, 0x1.2288776b37919p-12, 0x1.1910eab532329p-12, 0x1.0fe61ae203d5ap-12, 0x1.0705ba428ccf1p-12, 0x1.fcdaf7fa2d3c2p-13, 0x1.ec362bafd9522p-13, 0x1.dc188ad617ba8p-13, 0x1.cc7daed2218ccp-13, 0x1.bd6160a67fe54p-13, 0x1.aebfa51d0af6cp-13, 0x1.a094c291fecd8p-13, 0x1.92dd3c134c82bp-13, 0x1.8595c4ad3d41bp-13, 0x1.78bb2f5383963p-13, 0x1.6c4a617eeb0cp-13, 0x1.60404cfed513dp-13, 0x1.5499f1134d87fp-13, 0x1.49545f9d8799ep-13, 0x1.3e6cc2f6043f8p-13, 0x1.33e05a2930138p-13, 0x1.29ac6a827facfp-13, 0x1.1fce318529e4bp-13, 0x1.1642d839e8629p-13, 0x1.0d0770a8cc98cp-13, 0x1.041906a2de6ccp-13, 0x1.f6e97bcd6a7f1p-14, 0x1.e62fe5de7be32p-14, 0x1.d600a1fe8ce21p-14, 0x1.c657a4dea6e72p-14, 0x1.b73152a6c43efp-14, 0x1.a88a3341b0d3ap-14, 0x1.9a5eab049d8e3p-14, 0x1.8caad911394d9p-14, 0x1.7f6aa98ca5fd5p-14, 0x1.729a106fe8a95p-14, 0x1.663553548e5f3p-14, 0x1.5a39369b0927dp-14, 0x1.4ea2f80b08972p-14, 0x1.4370197e2c25p-14, 0x1.389e0b8885d97p-14, 0x1.2e29df4d0649fp-14, 0x1.241022aeec334p-14, 0x1.1a4cf9e7ada05p-14, 0x1.10dc70a18902ap-14, 0x1.07bae37b7fa78p-14, 0x1.fdcaab0ef6e05p-15, 0x1.ecb3163fb0db2p-15, 0x1.dc2bb68019239p-15, 0x1.cc3191f2a19c7p-15, 0x1.bcc12319635d6p-15, 0x1.add5c6ff36d9dp-15, 0x1.9f69c38a2f0bep-15, 0x1.9176e5a7a07ebp-15, 0x1.83f76ee730cd6p-15, 0x1.76e6e55c507fdp-15, 0x1.6a42681b2bf7fp-15, 0x1.5e086417a5d67p-15, 0x1.5237cbe56b15fp-15, 0x1.46cf2a1897f2bp-15, 0x1.3bcbf2512d38dp-15, 0x1.312a52a2a1ee3p-15, 0x1.26e588aef85e3p-15, 0x1.1cf8881600fddp-15, 0x1.135eae8cf798bp-15, 0x1.0a1443a879918p-15, 0x1.0116aff382ed9p-15, 0x1.f0c8941c52684p-16, 0x1.dff7ae5e9a5c7p-16, 0x1.cfb7ba35fa8dbp-16, 0x1.c004194021ce9p-16, 0x1.b0d61444c4c59p-16, 0x1.a225740f46494p-16, 0x1.93e9f41c8d733p-16, 0x1.861cf02a77d4p-16, 0x1.78ba8725d52c2p-16, 0x1.6bc1a5ab65784p-16, 0x1.5f32e85f50756p-16, 0x1.530edc4556744p-16, 0x1.4754827a29a7p-16, 0x1.3c00d258acf75p-16, 0x1.310f4ae950c3cp-16, 0x1.267afe87473fep-16, 0x1.1c3f642aa8f46p-16, 0x1.125899969d724p-16, 0x1.08c3375cd72c1p-16, 0x1.fef822e6be46cp-17, 0x1.ed005a7df7e1cp-17, 0x1.db99d8c94ae52p-17, 0x1.cac041c940be2p-17, 0x1.ba6f837e58312p-17, 0x1.aaa2ad44cb78ap-17, 0x1.9b531fab9d2f8p-17, 0x1.8c78e6f3c3b5bp-17, 0x1.7e0c3e5dec91ap-17, 0x1.700771cd53cedp-17, 0x1.62680d6e0e8fep-17, 0x1.552e851fe1d8ep-17, 0x1.485c4a3b7f84ep-17, 0x1.3bf170306c697p-17, 0x1.2feb75d41009cp-17, 0x1.2445d6e66f387p-17, 0x1.18fba93d51abp-17, 0x1.0e091449a41cbp-17, 0x1.036bda46c4fffp-17, 0x1.f24577a4fc425p-18, 0x1.de583ee65a14p-18, 0x1.cb09f34c8ca8fp-18, 0x1.b8518c5d07bfdp-18, 0x1.a62500464f438p-18, 0x1.947bb34134f1dp-18, 0x1.834ff4a743c9ep-18, 0x1.729ed1fbfe887p-18, 0x1.626675239e60dp-18, 0x1.52a42ca56d1a3p-18, 0x1.435361c3632c9p-18, 0x1.346e2787c3b63p-18, 0x1.25ef17017001fp-18, 0x1.17d33ac30a513p-18, 0x1.0a1a3dec0ed56p-18, 0x1.f988e4999d33ap-19, 0x1.dfa11ecec7227p-19, 0x1.c6763501c5d74p-19, 0x1.adfee8dd3d738p-19, 0x1.9632f9d58aa2cp-19, 0x1.7f0d93e8f412p-19, 0x1.688d338dae819p-19, 0x1.52b0efc172ac9p-19, 0x1.3d753f6be9b08p-19, 0x1.28d4c5fe83732p-19, 0x1.14c8b447c2027p-19, 0x1.0149cf89507ap-19, 0x1.dca2c1ea0ff98p-20, 0x1.b7b0cb5d666ffp-20, 0x1.93b255e0572a9p-20, 0x1.70a160567010fp-20, 0x1.4e7d4875b1513p-20, 0x1.2d466b1457ee5p-20, 0x1.0cf8e58de5d9cp-20, 0x1.db176e67af52fp-21, 0x1.9de9f1ce10787p-21, 0x1.625c81db7324cp-21, 0x1.2868be6d60b46p-21, 0x1.e0102f851188cp-22, 0x1.7260c6589ad9p-22, 0x1.07aad951cc83dp-22, 0x1.3fb02e4a697aap-23, 0x1.d6c4a29848f09p-25, -0x1.3af041c61b16p-25, -0x1.0dad54284b7b1p-23, -0x1.c746930fe482ep-23, -0x1.3dd28e3d602c6p-22, -0x1.957e8a08b3d86p-22, -0x1.eaa4abea3234ep-22, -0x1.1eb5b0d498a06p-21, -0x1.46ecb3e8584f7p-21, -0x1.6e0185599574dp-21, -0x1.93fd49d500745p-21, -0x1.b8e7121603184p-21, -0x1.dcc26d9e3ba1cp-21, -0x1.ff9164cae29c1p-21, -0x1.10ad44eeccef9p-20, -0x1.2114397222906p-20, -0x1.30ff28f52a44bp-20, -0x1.406948a5c4cb2p-20, -0x1.4f4ffe1032dcp-20, -0x1.5dbb457f5bae8p-20, -0x1.6bb6faad43402p-20, -0x1.7946f890d02f8p-20, -0x1.8667a10039867p-20, -0x1.9317513befd9ap-20, -0x1.9f59aa2d96c3cp-20, -0x1.ab329b7f7d632p-20, -0x1.b6a3672d99b19p-20, -0x1.c1ac4f6b90a4ep-20, -0x1.cc4e4b6dd37b2p-20, -0x1.d68b0fd16d02dp-20, -0x1.e06493e479ddcp-20, -0x1.e9dcee9855cb5p-20, -0x1.f2f686664c38bp-20, -0x1.fbb42cb49ac61p-20, -0x1.020c725a68222p-19, -0x1.0613d66a77a51p-19, -0x1.09f1c9bd361ccp-19, -0x1.0da75bce2b957p-19, -0x1.1133f867ca154p-19, -0x1.1496a3141d80fp-19, -0x1.17d1664e50edbp-19, -0x1.1ae6ad62e82d6p-19, -0x1.1dd2f52f50e98p-19, -0x1.2091fa578c612p-19, -0x1.23287aed16ccdp-19, -0x1.259d946300759p-19, -0x1.27f07b60380fbp-19, -0x1.2a1e18f5706e2p-19, -0x1.2c27e6b9c22fap-19, -0x1.2e0ffda0fe2eap-19, -0x1.2fd61580793efp-19, -0x1.31798ce3d05a9p-19, -0x1.32fab0d48e416p-19, -0x1.345a5cd2dffbfp-19, -0x1.359975df30dadp-19, -0x1.36b8a58841d79p-19, -0x1.37b916b6e777p-19, -0x1.389a9c2ce5e74p-19, -0x1.395e37185241dp-19, -0x1.3a044e88e6f08p-19, -0x1.3a8d59c814d24p-19, -0x1.3afa0c020bd1cp-19, -0x1.3b4b247abd7b3p-19, -0x1.3b81802f7d782p-19, -0x1.3b9e51a9807ep-19, -0x1.3ba2c87ea0f56p-19, -0x1.3b8ed32a87419p-19, -0x1.3b61f8b86efb2p-19, -0x1.3b1c75587d4ap-19, -0x1.3abcbcdaaf4f2p-19, -0x1.3a42727a4b2a2p-19, -0x1.39b0ace880f02p-19, -0x1.3908b980385f5p-19, -0x1.384b218495ee8p-19, -0x1.3778d21f94433p-19, -0x1.3691348af7992p-19, -0x1.3593cb7c27ef9p-19, -0x1.34810f485a3f3p-19, -0x1.3359926eb30ebp-19, -0x1.321e1ee498437p-19, -0x1.30cf84a935027p-19, -0x1.2f6e181808699p-19, -0x1.2dfa494da38dep-19, -0x1.2c744225d3b9p-19, -0x1.2adcadaf37bb8p-19, -0x1.2933f6d529127p-19, -0x1.277a821e494eep-19, -0x1.25b0b2421a7a3p-19, -0x1.23d6e6b3214eep-19, -0x1.21ed7f4f79d2cp-19, -0x1.1ff4e0fd026bap-19, -0x1.1ded74259facp-19, -0x1.1bd79daf6e3bdp-19, -0x1.19b3cc8037888p-19, -0x1.1782a12a8c3a5p-19, -0x1.1544ac62070ap-19, -0x1.12f9cf198a10dp-19, -0x1.10a2086e5d827p-19, -0x1.0e3df93a91cf3p-19, -0x1.0bce640834e62p-19, -0x1.0953b77de8361p-19, -0x1.06cdba6c3e2fap-19, -0x1.043cd4450468bp-19, -0x1.01a1b647b7746p-19, -0x1.fdf9a2b348d84p-20, -0x1.f89cde6db2619p-20, -0x1.f32da86dae16bp-20, -0x1.edac92ecb55fcp-20, -0x1.e81a3bf09e374p-20, -0x1.e2774c597cf3bp-20, -0x1.dcc475cfb08bcp-20, -0x1.d7026e8372368p-20, -0x1.d131ea7c0f894p-20, -0x1.cb53933241f9ap-20, -0x1.c56800a4945dep-20, -0x1.bf6fba453fa13p-20, -0x1.b96b41ed40a3p-20, -0x1.b35b2a3434502p-20, -0x1.ad4021230da68p-20, -0x1.a71ae9df2acf4p-20, -0x1.a0ec705a4c1e6p-20, -0x1.9ab566da1804ep-20, -0x1.947693401cd65p-20, -0x1.8e308672d2f77p-20, -0x1.87e1d215b5232p-20, -0x1.8187647d769a7p-20, -0x1.7b23ae39aeb01p-20, -0x1.74bdf04e9a7e1p-20, -0x1.6e58b3a87bcb1p-20, -0x1.67ed76eb8df92p-20, -0x1.61792a7290d8ep-20, -0x1.5b00cbb735a39p-20, -0x1.54865ed72d687p-20, -0x1.4e0a7b6dbe4bbp-20, -0x1.478b9b24a3592p-20, -0x1.410c573698579p-20, -0x1.3a8b73b628453p-20, -0x1.3408e3c872067p-20, -0x1.2d85a36d0522dp-20, -0x1.27022472b3fcfp-20, -0x1.207da4da57a0fp-20, -0x1.19fc4a6b70daap-20, -0x1.137adb130d4c8p-20, -0x1.0cfb0154ba73bp-20, -0x1.067d22ceaf7a5p-20, -0x1.000197bb52eecp-20, -0x1.f3115e209be6ap-21, -0x1.e62573e2a37f1p-21, -0x1.d940345c1dc33p-21, -0x1.cc629251096c3p-21, -0x1.bf8d97a6aeddcp-21, -0x1.b2c22d0be8fd8p-21, -0x1.a6011772856c1p-21, -0x1.994b7a0e29fe8p-21, -0x1.8ca23712b0e96p-21, -0x1.8000c082eea92p-21, -0x1.7364d5372e7d2p-21, -0x1.66df6345a1231p-21, -0x1.5a6b4f276220ep-21, -0x1.4df612513d2a2p-21, -0x1.41927d9ef379p-21, -0x1.3546c87661d28p-21, -0x1.2908a5ea2b9efp-21, -0x1.1cd5f00b36d46p-21, -0x1.10b77da05566cp-21, -0x1.04ab28c85b0dbp-21, -0x1.f161c19b9853ep-22, -0x1.d99104d4f6933p-22, -0x1.c1e5fae6bed7ep-22, -0x1.aa5f73f6a8c62p-22, -0x1.92ff128fb7096p-22, -0x1.7bc7abe255872p-22, -0x1.64bb43ba58a71p-22, -0x1.4dd5fc467f96ap-22, -0x1.371aec4ddf588p-22, -0x1.208b5f0ee2e7fp-22, -0x1.0a27c10846d24p-22, -0x1.e7e1402009425p-23, -0x1.bbcd219a83bd3p-23, -0x1.901464f4dea04p-23, -0x1.64b8777cd92b2p-23, -0x1.39bae1a8ea834p-23, -0x1.0f1d36837ce77p-23, -0x1.c9c1199f487bp-24, -0x1.760a6ee945778p-24, -0x1.23177c66c27a3p-24, -0x1.a1df3d3a8984cp-25, -0x1.fe67db83190d1p-26, -0x1.77d7d45bd3622p-27, 0x1.069504c7e961p-27, 0x1.bf24ad072384fp-26, 0x1.7c0e5bc6ed3p-25, 0x1.0b607ba8350c7p-24, 0x1.57e164a90e627p-24, 0x1.a39a88b9281cfp-24, 0x1.ee72d29e88ef6p-24, }}, 
      {{0x1.c9806e5538978p+0, 0x1.0a415f3ec09dep+1, 0x1.2b3d2912b5bfep+1, 0x1.40c4e934ccdd8p+1, 0x1.4a57b58db1485p+1, 0x1.4a180296f2915p+1, 0x1.42e63cf57a85p+1, 0x1.377d2e8c248b9p+1, 0x1.2a16ce825502fp+1, 0x1.1c569b29eda2cp+1, 0x1.0f54bcfe09664p+1, 0x1.03b636db8a6cap+1, 0x1.f38ff38bbd07fp+0, 0x1.e3300542c80f6p+0, 0x1.d61518a4ec619p+0, 0x1.cbd5b327f1c21p+0, 0x1.c3efa402d720ep+0, 0x1.bdda0256692b2p+0, 0x1.b91142d188186p+0, 0x1.b51eb20baf0fep+0, 0x1.b19c7d3c6a72ep+0, 0x1.ae37437117a3bp+0, 0x1.aaadf85c8dbp+0, 0x1.a6d0b3bc0b762p+0, 0x1.a27ee02e6496fp+0, 0x1.9da51bb0bf68ap+0, 0x1.983b02acd7abfp+0, 0x1.92410bb87a0d9p+0, 0x1.8bbe8c0687199p+0, 0x1.84bff22749433p+0, 0x1.7d553d31a6bfp+0, 0x1.7590b112e5b6ap+0, 0x1.6d85c5595d2c1p+0, 0x1.654849c25ff9p+0, 0x1.5cebbaa8be091p+0, 0x1.5482bf12496a7p+0, 0x1.4c1eca349dfc4p+0, 0x1.43cfda9804aa8p+0, 0x1.3ba451781c6bp+0, 0x1.33a8dda192887p+0, 0x1.2be875b4763f6p+0, 0x1.246c5e4ad34cp+0, 0x1.1d3c390a9fa3cp+0, 0x1.165e1a27fbc02p+0, 0x1.0fd6a252b8c85p+0, 0x1.09a91b72e7441p+0, 0x1.03d796f00ed59p+0, 0x1.fcc6190ca665dp-1, 0x1.f296f1cdf014bp-1, 0x1.e91ff7245a7d5p-1, 0x1.e05de6fea3b94p-1, 0x1.d84c3491d4127p-1, 0x1.d0e53b560a911p-1, 0x1.ca226e6c706a1p-1, 0x1.c3fc845095d9bp-1, 0x1.be6b9ecec2c06p-1, 0x1.b9676f49cc053p-1, 0x1.b4e7576876d5ep-1, 0x1.b0e2864c4d58bp-1, 0x1.ad50127bb09bep-1, 0x1.aa2710acf4108p-1, 0x1.a75ea7a45915ap-1, 0x1.a4ee21581a1d4p-1, 0x1.a2ccf98dd18b9p-1, 0x1.a0f2ea25d803ap-1, 0x1.9f57f5481b40bp-1, 0x1.9df46da588cb4p-1, 0x1.9cc0fcf9bc54dp-1, 0x1.9bb6a90313c1p-1, 0x1.9aced70500d1cp-1, 0x1.9a034e1cf38p-1, 0x1.994e38602dd2bp-1, 0x1.98aa23204b3c9p-1, 0x1.9811fe4850703p-1, 0x1.97811b05a789ep-1, 0x1.96f32a05562dap-1, 0x1.966438c71b34fp-1, 0x1.95d0af2471fap-1, 0x1.95354ba8926f3p-1, 0x1.948f206385095p-1, 0x1.93db8f1c14116p-1, 0x1.9318452276eecp-1, 0x1.9243381f7c321p-1, 0x1.915aa14088585p-1, 0x1.905cf9f3e9281p-1, 0x1.8f48f7e5e91f3p-1, 0x1.8e1d888fa34b9p-1, 0x1.8cd9ce4437ff8p-1, 0x1.8b7d1ba650ce1p-1, 0x1.8a06f05081fe1p-1, 0x1.8876f576803fp-1, 0x1.86ccfa243449p-1, 0x1.8508f06b90ff8p-1, 0x1.832aea2846aafp-1, 0x1.8133162fc8897p-1, 0x1.7f21bda8fd3f4p-1, 0x1.7cf741675c064p-1, 0x1.7ab4178dd8622p-1, 0x1.7858c9363eb8ep-1, 0x1.75e5f04eb4b4cp-1, 0x1.735c358aa1761p-1, 0x1.70bc4e7a0f31bp-1, 0x1.6e06fbc871f91p-1, 0x1.6b3d078c0d9dcp-1, 0x1.685f43c5d7c0ap-1, 0x1.656e88f61c412p-1, 0x1.626bb4c89fc92p-1, 0x1.5f57a8e7b9fecp-1, 0x1.5c3349dc86cd8p-1, 0x1.58ff7e05370ccp-1, 0x1.55bd2caaa1a31p-1, 0x1.526d3d1e690b4p-1, 0x1.4f1095ed020d3p-1, 0x1.4ba81c2a34f3ap-1, 0x1.4834b2c50dca9p-1, 0x1.44b739ecf8e7ep-1, 0x1.41308e8e390dep-1, 0x1.3da189d7469aep-1, 0x1.3a0b00ca06f3ap-1, 0x1.366dc3e296c6ep-1, 0x1.32ca9ec7e6054p-1, 0x1.2f225802c208ep-1, 0x1.2b75b0c71dce8p-1, 0x1.27c564c772b13p-1, 0x1.24122a0be614bp-1, 0x1.205cb0d507f69p-1, 0x1.1ca5a388e59a1p-1, 0x1.18eda6a48090ap-1, 0x1.153558b146108p-1, 0x1.117d52435991cp-1, 0x1.0dc625fef8e9bp-1, 0x1.0a10609d4444fp-1, 0x1.065c88f5f22bbp-1, 0x1.02ab20116bb4fp-1, 0x1.fdf9427564d27p-2, 0x1.f6a30424b6713p-2, 0x1.ef54654ef573cp-2, 0x1.e80e3b24e9131p-2, 0x1.e0d1502168647p-2, 0x1.d99e644496d02p-2, 0x1.d2762d50ff0a9p-2, 0x1.cb59570e8876bp-2, 0x1.c448838fae70bp-2, 0x1.bd444b724a372p-2, 0x1.b64d3e24568a6p-2, 0x1.af63e22f1ed84p-2, 0x1.a888b57d6b0dep-2, 0x1.a1bc2d9efce16p-2, 0x1.9afeb811bc6b1p-2, 0x1.9450ba8a50881p-2, 0x1.8db293385e17cp-2, 0x1.8724990c27f27p-2, 0x1.80a71bfc438b6p-2, 0x1.7a3a6547a76e3p-2, 0x1.73deb7b8af958p-2, 0x1.6d944fe88608cp-2, 0x1.675b647d57bfp-2, 0x1.61342666bf3afp-2, 0x1.5b1ec11d90b0ap-2, 0x1.551b5ae1538cbp-2, 0x1.4f2a14ef5e11cp-2, 0x1.494b0bba4ce0dp-2, 0x1.437e5723ec59p-2, 0x1.3dc40ab342359p-2, 0x1.381c35c5dbf25p-2, 0x1.3286e3c236a9dp-2, 0x1.2d041c4aa59e3p-2, 0x1.2793e36bbff1p-2, 0x1.223639c82c942p-2, 0x1.1ceb1cc5d0459p-2, 0x1.17b286b9f4192p-2, 0x1.128c6f10e0ba9p-2, 0x1.0d78ca73c4f5p-2, 0x1.08778af059c08p-2, 0x1.0388a01f34fb2p-2, 0x1.fd57ee8b1e2d8p-3, 0x1.f3c2f6eaf826p-3, 0x1.ea522b5f88297p-3, 0x1.e1055a0a03e7ap-3, 0x1.d7dc4d6533cb8p-3, 0x1.ced6cc7b4d198p-3, 0x1.c5f49b1ef0035p-3, 0x1.bd357a24312c1p-3, 0x1.b49927923d5f3p-3, 0x1.ac1f5ecfa49bcp-3, 0x1.a3c7d8d0f5facp-3, 0x1.9b924c49fd5dbp-3, 0x1.937e6dd9bf4f3p-3, 0x1.8b8bf02e97771p-3, 0x1.83ba8429df6e1p-3, 0x1.7c09d908c241ep-3, 0x1.74799c8cc373bp-3, 0x1.6d097b1c47fccp-3, 0x1.65b91fdcdd8f7p-3, 0x1.5e8834d04c157p-3, 0x1.577662f758b21p-3, 0x1.50835272c4a52p-3, 0x1.49aeaa9b69835p-3, 0x1.42f81214ef902p-3, 0x1.3c5f2ee46369ep-3, 0x1.35e3a68d059p-3, 0x1.2f851e2bc0395p-3, 0x1.29433a89fffc4p-3, 0x1.231da02a6fa3fp-3, 0x1.1d13f3589d0cap-3, 0x1.1725d83f8dee5p-3, 0x1.1152f30176ed7p-3, 0x1.0b9ae7c84529bp-3, 0x1.05fd5ace7ac15p-3, 0x1.0079f067f6382p-3, 0x1.f6209a22742d7p-4, 0x1.eb802b06a5776p-4, 0x1.e111dd889ae4bp-4, 0x1.d6d4fc5f3aaa4p-4, 0x1.ccc8d2f3e1e54p-4, 0x1.c2ecad7080483p-4, 0x1.b93fd8daffde4p-4, 0x1.afc1a33508272p-4, 0x1.a6715b91e133ap-4, 0x1.9d4e521dce028p-4, 0x1.9457d8200e5fp-4, 0x1.8b8d4004d9f76p-4, 0x1.82eddd73315aep-4, 0x1.7a790565b28f2p-4, 0x1.722e0e3a4def3p-4, 0x1.6a0c4fb52d705p-4, 0x1.621322fe9833ap-4, 0x1.5a41e2a73867ep-4, 0x1.5297eab70e1d6p-4, 0x1.4b1498c0d2349p-4, 0x1.43b74bef3082dp-4, 0x1.3c7f6506f2541p-4, 0x1.356c466268234p-4, 0x1.2e7d53ef9005ap-4, 0x1.27b1f3371ab58p-4, 0x1.21098b6a2406bp-4, 0x1.1a83856e871d8p-4, 0x1.141f4be2fd15ap-4, 0x1.0ddc4b1b26774p-4, 0x1.07b9f11964e45p-4, 0x1.01b7ad8db1152p-4, 0x1.f7a9e3b7bc658p-5, 0x1.ec22624ad23f8p-5, 0x1.e0d7c0a07335bp-5, 0x1.d5c8ec0cc2a9dp-5, 0x1.caf4d56050ea1p-5, 0x1.c05a70dae5452p-5, 0x1.b5f8b6271e795p-5, 0x1.abcea0618ecacp-5, 0x1.a1db2e24c467cp-5, 0x1.981d6190ea7eap-5, 0x1.8e9440488812dp-5, 0x1.853ed364757c7p-5, 0x1.7c1c2765b4c4fp-5, 0x1.732b4c2d0eb38p-5, 0x1.6a6b54fb6a0fp-5, 0x1.61db5877953b6p-5, 0x1.597a70b28c1b2p-5, 0x1.5147bb24e72b1p-5, 0x1.494258a4b524cp-5, 0x1.41696d579ac78p-5, 0x1.39bc20a6b3ef8p-5, 0x1.32399d384228dp-5, 0x1.2ae110ef2dabbp-5, 0x1.23b1acec3289cp-5, 0x1.1caaa58c7b8f5p-5, 0x1.15cb3262cb22bp-5, 0x1.0f128e2bef6dcp-5, 0x1.087ff6c1a2f66p-5, 0x1.0212ad0f50a5fp-5, 0x1.f793ea164c49p-6, 0x1.eb4a2b65b09eap-6, 0x1.df46b212c6827p-6, 0x1.d3881825ac107p-6, 0x1.c80cfd993e887p-6, 0x1.bcd4084557eap-6, 0x1.b1dbe3c67f8b6p-6, 0x1.a723416791d2ep-6, 0x1.9ca8d810c859ep-6, 0x1.926b643c2dbc5p-6, 0x1.8869a7ec6bc2dp-6, 0x1.7ea26aa226b53p-6, 0x1.7514794d57673p-6, 0x1.6bbea63a50424p-6, 0x1.629fc8fc01371p-6, 0x1.59b6be560363ap-6, 0x1.510268293326cp-6, 0x1.4881ad6424126p-6, 0x1.403379f602ebbp-6, 0x1.3816bec2bcc74p-6, 0x1.302a719584265p-6, 0x1.286d8d103765dp-6, 0x1.20df10995670ep-6, 0x1.197e004809c32p-6, 0x1.124964d059f8p-6, 0x1.0b404b712415cp-6, 0x1.0461c5e43dfacp-6, 0x1.fb59d4a11cd1ep-7, 0x1.ee41a678eeccep-7, 0x1.e1793eff367ffp-7, 0x1.d4fee466b8e23p-7, 0x1.c8d0e54436844p-7, 0x1.bced986b398d3p-7, 0x1.b1535cca829a8p-7, 0x1.a6009949e65c8p-7, 0x1.9af3bcaaa8bcap-7, 0x1.902b3d6a9d551p-7, 0x1.85a599a877e68p-7, 0x1.7b615707dc108p-7, 0x1.715d02948eacfp-7, 0x1.679730a479fdp-7, 0x1.5e0e7cb8f3d7fp-7, 0x1.54c1895f7f8e8p-7, 0x1.4baf0012c3e1p-7, 0x1.42d5911c886b7p-7, 0x1.3a33f3791d9bap-7, 0x1.31c8e4bc3b4cp-7, 0x1.299328f611c1p-7, 0x1.21918a995c32dp-7, 0x1.19c2da5e872e1p-7, 0x1.1225ef29f5a44p-7, 0x1.0ab9a5efe71fap-7, 0x1.037ce199c8157p-7, 0x1.f8dd15d707885p-8, 0x1.eb1b20d314fe7p-8, 0x1.ddb1cc7eaf406p-8, 0x1.d09f0c4d39ac6p-8, 0x1.c3e0de9d289a9p-8, 0x1.b7754c85c7058p-8, 0x1.ab5a69a519c1bp-8, 0x1.9f8e53edab576p-8, 0x1.940f3375bd567p-8, 0x1.88db3a46cb922p-8, 0x1.7df0a43bc0ffp-8, 0x1.734db6c0df1dbp-8, 0x1.68f0c0be03789p-8, 0x1.5ed81a61b5365p-8, 0x1.550224f83a4a8p-8, 0x1.4b6d4abe98f12p-8, 0x1.4217feb43c69dp-8, 0x1.3900bc6be1e69p-8, 0x1.302607dda44c1p-8, 0x1.27866d3baaed2p-8, 0x1.1f2080cab3676p-8, 0x1.16f2debeb99fep-8, 0x1.0efc2b1a6c1aap-8, 0x1.073b118fab27ep-8, 0x1.ff5c8abeae9cbp-9, 0x1.f0a9026c57537p-9, 0x1.e2590e0c1be0cp-9, 0x1.d46a3fb6e1863p-9, 0x1.c6da376084084p-9, 0x1.b9a6a27dd8a4fp-9, 0x1.accd3bb0a582p-9, 0x1.a04bca7ef39d8p-9, 0x1.94202317be5b3p-9, 0x1.88482623f6f74p-9, 0x1.7cc1c09f5d33p-9, 0x1.718aebb3cd636p-9, 0x1.66a1ac8d6c48ap-9, 0x1.5c041424b4c49p-9, 0x1.51b03ef9770c5p-9, 0x1.47a454c022fbcp-9, 0x1.3dde8806a64fdp-9, 0x1.345d15d86ec3dp-9, 0x1.2b1e456af3dddp-9, 0x1.222067da96521p-9, 0x1.1961d7fbedc55p-9, 0x1.10e0fa411c375p-9, 0x1.089c3cad6edaep-9, 0x1.009216cdb9d5cp-9, 0x1.f1821355be1d2p-10, 0x1.e24f3f5937c75p-10, 0x1.d388d8ccdb4bfp-10, 0x1.c52c189b47912p-10, 0x1.b73648bb8483p-10, 0x1.a9a4c36901a7bp-10, 0x1.9c74f2650cc21p-10, 0x1.8fa44e59be4e5p-10, 0x1.83305e704901bp-10, 0x1.7716b82267a2dp-10, 0x1.6b54ff3f4d6cdp-10, 0x1.5fe8e6120a09ep-10, 0x1.54d02d8f4db0cp-10, 0x1.4a08a56e6f839p-10, 0x1.3f902c0399b24p-10, 0x1.3564adebd64d5p-10, 0x1.2b84259aee2b8p-10, 0x1.21ec9a6a44f24p-10, 0x1.189c1fd8bb86fp-10, 0x1.0f90d4cd4a4d7p-10, 0x1.06c8e2d1f3365p-10, 0x1.fc84fb6f86d22p-11, 0x1.ebf7c6f88ca38p-11, 0x1.dbe6b8d1e2cb5p-11, 0x1.cc4e76c18acafp-11, 0x1.bd2bbc796e32p-11, 0x1.ae7b5c31b6466p-11, 0x1.a03a3ecf47a3fp-11, 0x1.926563b0d73e3p-11, 0x1.84f9dfbbcbfafp-11, 0x1.77f4dc1a60635p-11, 0x1.6b539498f7b8fp-11, 0x1.5f1355fbdb84cp-11, 0x1.53317c887239fp-11, 0x1.47ab72fbab4b8p-11, 0x1.3c7eb20e4ed07p-11, 0x1.31a8c08dd1386p-11, 0x1.272733db5cb02p-11, 0x1.1cf7b0ce9367ap-11, 0x1.1317ec71ac1c8p-11, 0x1.0985ac9ad042p-11, 0x1.003ec81c6fd7ap-11, 0x1.ee824cf2aa003p-12, 0x1.dd157e45e7a62p-12, 0x1.cc3330b2d7eb9p-12, 0x1.bbd78baaafedbp-12, 0x1.abfeced93820ep-12, 0x1.9ca54fc8bf5dfp-12, 0x1.8dc778396ca37p-12, 0x1.7f61c561529dp-12, 0x1.7170c819c2b67p-12, 0x1.63f125c9d4654p-12, 0x1.56df99af1429fp-12, 0x1.4a38f615a6073p-12, 0x1.3dfa251d7e76dp-12, 0x1.322028d3100f9p-12, 0x1.26a81a941ff89p-12, 0x1.1b8f29e3ea818p-12, 0x1.10d29ae908d52p-12, 0x1.066fc4d1b4ed6p-12, 0x1.f8c8209f9c935p-13, 0x1.e559eca1c38d6p-13, 0x1.d28ffe1bd71fcp-13, 0x1.c065831001326p-13, 0x1.aed5c6fcf96cap-13, 0x1.9ddc33a9d61dp-13, 0x1.8d74527fe396p-13, 0x1.7d99cde379f0bp-13, 0x1.6e4871ef0d9ffp-13, 0x1.5f7c2c0a22a52p-13, 0x1.5131093b2aa69p-13, 0x1.43633386163ep-13, 0x1.360eeed6d3868p-13, 0x1.293096360d75cp-13, 0x1.1cc499e3002eap-13, 0x1.10c77e93a6a79p-13, 0x1.0535ddd648ed7p-13, 0x1.f418ce78f13bdp-14, 0x1.de8fc3aa1515ap-14, 0x1.c9ca5b07dcf7dp-14, 0x1.b5c287d46fb7fp-14, 0x1.a2727179d7213p-14, 0x1.8fd472f6347d9p-14, 0x1.7de3190998befp-14, 0x1.6c991f1d4bcaap-14, 0x1.5bf16b1f730d2p-14, 0x1.4be7087e211e8p-14, 0x1.3c7522b1322dfp-14, 0x1.2d96ffbd33576p-14, 0x1.1f47fb48e6134p-14, 0x1.118383125028ap-14, 0x1.044515c5c7d0ap-14, 0x1.ef108a1579961p-15, 0x1.d69176a0737abp-15, 0x1.bf04868a5d679p-15, 0x1.a861a26169ed6p-15, 0x1.92a110c44ebabp-15, 0x1.7dbb7b49ce8d4p-15, 0x1.69a9e6f5e699bp-15, 0x1.5665a4ad2e9b8p-15, 0x1.43e83e4216bc4p-15, 0x1.322b66ab0aca1p-15, 0x1.2128f2224c717p-15, 0x1.10dad6a5f2596p-15, 0x1.013b312af4f8dp-15, 0x1.e48894036370ap-16, 0x1.c7e1228a0a254p-16, 0x1.ac75244112b5dp-16, 0x1.9239c774ebef7p-16, 0x1.79243add22dbfp-16, 0x1.6129adaf7b258p-16, 0x1.4a3f72a9e7c2p-16, 0x1.345b3cd3c87ffp-16, 0x1.1f735ff6c553bp-16, 0x1.0b7ef90d74528p-16, 0x1.f0ebd30189d5p-17, 0x1.cca145f153209p-17, 0x1.aa0fafee31ba7p-17, 0x1.89286576c5747p-17, 0x1.69dc5a29ae121p-17, 0x1.4c1c44cca22dfp-17, 0x1.2fd9325d7eb2cp-17, 0x1.1504ebb5c527fp-17, 0x1.f724b8dc9b20ep-18, 0x1.c6eb3d66f7548p-18, 0x1.9946def8135c4p-18, 0x1.6e213385d647ep-18, 0x1.4562d210e2a24p-18, 0x1.1ef2cda7f3a06p-18, 0x1.f56e4165c442fp-19, 0x1.b12bd497fef45p-19, 0x1.70ee0136b43e8p-19, 0x1.348a5863c762fp-19, 0x1.f7b9ebaa27a76p-20, 0x1.8d8de05c2a128p-20, 0x1.2a565476e11f4p-20, 0x1.9bab8e464d5dp-21, 0x1.df1cad720b4ccp-22, 0x1.3ef1a9921c1a4p-23, -0x1.119f5cf98f975p-23, -0x1.9ae6719606c43p-22, -0x1.4be5c91d22f6ap-21, -0x1.c02638dbfb4a6p-21, -0x1.15432fa10db2cp-20, -0x1.45a7626d6542fp-20, -0x1.7166112a432d3p-20, -0x1.98ac955c2b84bp-20, -0x1.bbb07e01511e2p-20, -0x1.daad0c8d9ac1ap-20, -0x1.f5de6c4fdb326p-20, -0x1.06be4bc4e715p-19, -0x1.10dbe5b730ba8p-19, -0x1.195b9436c8a1ep-19, -0x1.204d2f5c503cap-19, -0x1.25bebe56ba99bp-19, -0x1.29bef38c26802p-19, -0x1.2c5f394d7b459p-19, -0x1.2db4602a3277cp-19, -0x1.2dd57c0c046fap-19, -0x1.2cd9541cc3ec8p-19, -0x1.2ad3814d32f48p-19, -0x1.27d28a7bda775p-19, -0x1.23dfe57572295p-19, -0x1.1f01ec3d9cf29p-19, -0x1.193edae92fa91p-19, -0x1.129f4f91686adp-19, -0x1.0b2f158dfb2a1p-19, -0x1.02fc286982187p-19, -0x1.f429def810de4p-20, -0x1.e10dc0bbdb282p-20, -0x1.ccbc23a6d959ep-20, -0x1.b74b0c1429b4ap-20, -0x1.a0cf2f1e930d5p-20, -0x1.895c261534942p-20, -0x1.7103fa89893f2p-20, -0x1.57d6f662783a9p-20, -0x1.3de4995a7610cp-20, -0x1.233d67fca4069p-20, -0x1.07f4255c9ea27p-20, -0x1.d83a7221424dbp-21, -0x1.9f989ffc07539p-21, -0x1.6622ee93c8dep-21, -0x1.2beeac3f57b78p-21, -0x1.e20f36bba338cp-22, -0x1.6aec060872655p-22, -0x1.e517d4e910bfep-23, -0x1.e457229049e76p-24, 0x1.4492b796cec05p-30, 0x1.f141ceccaddc6p-24, 0x1.efc60dfccaf8ep-23, 0x1.73dc4931dd9f5p-22, 0x1.f0230721ee123p-22, 0x1.364e4a15d6f9cp-21, 0x1.74931c5aaf4eep-21, 0x1.b2ca9778a2ca8p-21, 0x1.f0de4f2d0e2d2p-21, 0x1.175d40fb193b5p-20, 0x1.36282c19e9096p-20, 0x1.54cacf6230209p-20, 0x1.734129867f8dep-20, 0x1.9186d7081edap-20, 0x1.af96483411812p-20, 0x1.cd692230c5f3fp-20, 0x1.eaf98bc77540cp-20, 0x1.0421bae37ea0fp-19, 0x1.12a25329f8da7p-19, 0x1.20fdaf595e72fp-19, 0x1.2f327975e5af9p-19, 0x1.3d3ec27753fcdp-19, 0x1.4b205f1245692p-19, 0x1.58d56854a8803p-19, 0x1.665c95de06b39p-19, 0x1.73b5318874ae7p-19, 0x1.80dea5191e35p-19, 0x1.8dd80170989f3p-19, 0x1.9aa0058cb9516p-19, 0x1.a7353fdf4bb6ep-19, 0x1.b3963cc8677c6p-19, 0x1.bfc1a6497783dp-19, 0x1.cbb63f6ba52a3p-19, 0x1.d7731b8ba75dcp-19, 0x1.e2f7cda6a6cep-19, 0x1.ee4454fc9a54cp-19, 0x1.f958bb7138cdep-19, 0x1.021a6091b0ed8p-18, 0x1.076bf6af58786p-18, 0x1.0ca0f000039f4p-18, 0x1.11b9364e9ad6fp-18, 0x1.16b4b1e2a4e1fp-18, 0x1.1b9339c4438cfp-18, 0x1.2054aa561df7fp-18, 0x1.24f8fcb95d988p-18, 0x1.2980424890f34p-18, 0x1.2dea9204ef2aap-18, 0x1.3237fbd8a9dacp-18, 0x1.3668927b16ac8p-18, 0x1.3a7c5d6b23a47p-18, 0x1.3e7382289d374p-18, 0x1.424e11163ea9p-18, 0x1.460c3070b9214p-18, 0x1.49add9b5371ep-18, 0x1.4d33215024323p-18, 0x1.509c14f4b40a9p-18, 0x1.53e8d0f5879dep-18, 0x1.57198ac115d6fp-18, 0x1.5a2e94f2d699fp-18, 0x1.5d283eca5259cp-18, 0x1.6006a242dfa6cp-18, 0x1.62c9bd44f4dc6p-18, 0x1.6571dff3200cp-18, 0x1.67ffcdb488f5dp-18, 0x1.6a741b1e09653p-18, 0x1.6ccea1ef9abf8p-18, 0x1.6f0effde98d76p-18, 0x1.71356120be1bfp-18, 0x1.73426f3130486p-18, 0x1.7536aca3a73e1p-18, 0x1.771240751e6eap-18, 0x1.78d54edd4962p-18, 0x1.7a802d1490e4ap-18, 0x1.7c1342b0b3269p-18, 0x1.7d8eeacc38bf2p-18, 0x1.7ef372e230ae9p-18, 0x1.80412318d5594p-18, 0x1.8178413aee97bp-18, 0x1.82990e9d49f4p-18, 0x1.83a3c730a0919p-18, 0x1.8498a522c8d2fp-18, 0x1.8577e3ba19f45p-18, 0x1.8641bdee5f615p-18, 0x1.86f67d21cc773p-18, 0x1.87969973d32eap-18, 0x1.8822933137cf4p-18, 0x1.889a9274a1551p-18, 0x1.88feb63729343p-18, 0x1.894fc2a4be59bp-18, 0x1.898e8d7652655p-18, 0x1.89baf4eb0e308p-18, 0x1.89d49a30f8595p-18, 0x1.89dbf67332319p-18, 0x1.89d1bdefa6c94p-18, 0x1.89b626a842933p-18, 0x1.898955c2491fcp-18, 0x1.894bb1868a089p-18, 0x1.88fda9a476cf1p-18, 0x1.889f93f273955p-18, 0x1.8831b6707f693p-18, 0x1.87b453c45ad3p-18, 0x1.8727a989cb03bp-18, 0x1.868c27feee541p-18, 0x1.85e1dac8be2ccp-18, 0x1.8529453df1eafp-18, 0x1.846298cd3726ep-18, 0x1.838e21dd834bcp-18, 0x1.82ac27e968464p-18, 0x1.81bcee74ab0e4p-18, 0x1.80c0b50f2b498p-18, 0x1.7fb7b22781fdap-18, 0x1.7ea21c4671386p-18, 0x1.7d8048e4f81c6p-18, 0x1.7c5295dd9be87p-18, 0x1.7b194d78f5228p-18, 0x1.79d4e429882d9p-18, 0x1.7885b0e1476ap-18, 0x1.772bb796d3695p-18, 0x1.75c7280ca48bfp-18, 0x1.745842e6e710ep-18, 0x1.72df3d274ffc2p-18, 0x1.715c6f3a78266p-18, 0x1.6fd02f2a627acp-18, 0x1.6e3abb9550184p-18, 0x1.6c9c4c5fa6807p-18, 0x1.6af517f1e6d1bp-18, 0x1.694555be2d271p-18, 0x1.678d41f0aaf81p-18, 0x1.65cd1776dca6bp-18, 0x1.640512f7564ecp-18, 0x1.62356bc658c04p-18, 0x1.605e5a9ff2dcfp-18, 0x1.5e8017cd9c4d9p-18, 0x1.5c9adb1a8e9c6p-18, 0x1.5aaedbd5b4f69p-18, 0x1.58bc5077108bep-18, 0x1.56c36e3a131e3p-18, 0x1.54c4693d1f1d7p-18, 0x1.52bf75180e0a4p-18, 0x1.50b4c3bdf35cap-18, 0x1.4ea48231cecffp-18, 0x1.4c8eddfb3e33fp-18, 0x1.4a7412710c1a7p-18, 0x1.4854579c9815p-18, 0x1.462fd74db3808p-18, 0x1.4406b7bd614aep-18, 0x1.41d9255747d13p-18, 0x1.3fa759aeb41cbp-18, 0x1.3d718035f59e3p-18, 0x1.3b37bd767e415p-18, 0x1.38fa3a8974069p-18, 0x1.36b922fff12efp-18, 0x1.3474a21706776p-18, 0x1.322ce1e3b2b02p-18, 0x1.2fe20b40e3a9fp-18, 0x1.2d9445df6a257p-18, 0x1.2b43b85fff1e2p-18, 0x1.28f0887f3c0cfp-18, 0x1.269adb59abe03p-18, 0x1.2442d5bb84496p-18, 0x1.21e89c63b473dp-18, 0x1.1f8c53fdd1703p-18, 0x1.1d2e20c580722p-18, 0x1.1ace25aa6d5f8p-18, 0x1.186c830edba33p-18, 0x1.160956e4915f6p-18, 0x1.13a4c1a3e758ap-18, 0x1.113ee2a1952eap-18, 0x1.0ed7d78d59748p-18, 0x1.0c6fbbfb5b2dfp-18, 0x1.0a06c1fc863c2p-18, 0x1.079d2a4d64bfep-18, 0x1.05330013e5f22p-18, 0x1.02c82053a988ap-18, 0x1.005c946497f11p-18, 0x1.fbe16f5054959p-19, 0x1.f709a2ca1f66cp-19, 0x1.f2317865c1b35p-19, 0x1.ed59340b4a924p-19, 0x1.e880eea552c98p-19, 0x1.e3a8f8a61daf7p-19, 0x1.ded178e903406p-19, 0x1.d9faac1e2b481p-19, 0x1.d524c4b8c86bap-19, 0x1.d04fecad96877p-19, 0x1.cb7c509b8167dp-19, 0x1.c6aa3dadba6dep-19, 0x1.c1d977f068e91p-19, 0x1.bd0a8e877f967p-19, 0x1.b83d8808eea94p-19, 0x1.b3728cac92197p-19, 0x1.aea9c47a2dd28p-19, 0x1.a9e35708f47ap-19, 0x1.a51f6acbd798ep-19, 0x1.a05e242cef9e4p-19, 0x1.9b9fa52371c23p-19, 0x1.96e40df9694fdp-19, 0x1.922b7f145b8bcp-19, 0x1.8d76191e65e03p-19, 0x1.88c3f922a993ep-19, 0x1.84153d3d62d13p-19, 0x1.7f6a2c47383e4p-19, 0x1.7ac2fa3ec5478p-19, 0x1.761f46efed233p-19, 0x1.717f5b83c3869p-19, 0x1.6ce3e6285003dp-19, 0x1.684c763647815p-19, 0x1.63b8e0026e345p-19, 0x1.5f2a07bc2fcc9p-19, 0x1.5a9f4edfd3d94p-19, 0x1.561930ab82606p-19, 0x1.51979fb3fd603p-19, 0x1.4d1ab90b46a25p-19, 0x1.48a2a3adf0f7ap-19, 0x1.442f68c289a63p-19, 0x1.3fc1259ddfc08p-19, 0x1.3b57f0a51474cp-19, 0x1.36f3cefc96362p-19, 0x1.3294d735dd49cp-19, 0x1.2e3b2663558abp-19, 0x1.29e6c9816794bp-19, 0x1.2597d0c587c64p-19, 0x1.214e4db9f4a37p-19, 0x1.1d0a51248cb31p-19, 0x1.18cbeb2ee2eb7p-19, 0x1.14932b53fd547p-19, 0x1.1060203a2a986p-19, 0x1.0c32d7d86ac26p-19, 0x1.080b5f6db72fcp-19, 0x1.03e9c44bbb985p-19, 0x1.ff9c28509f1e8p-20, 0x1.f770b7f008e79p-20, 0x1.ef51488e0756p-20, 0x1.e73deaa058bccp-20, 0x1.df36d8f2e0fc1p-20, 0x1.d73c0950f4e0fp-20, 0x1.cf4d8a36ac2cdp-20, 0x1.c76b96497969ap-20, 0x1.bf960b6c303e5p-20, 0x1.b7cd0d2b5e965p-20, 0x1.b010c070050d6p-20, 0x1.a8611ae8b5e2p-20, }}, 
      {{0x1.eb13dd1fabed7p-1, 0x1.eaec28669f5b2p-1, 0x1.eaa9b776d0472p-1, 0x1.ea4c27ade04d9p-1, 0x1.e9d2f619f897ep-1, 0x1.e93d8746fa776p-1, 0x1.e88b2f7b198d3p-1, 0x1.e7bb39e988245p-1, 0x1.e6ccee81c70e6p-1, 0x1.e5bf96b1b2b1fp-1, 0x1.e4928190c43f7p-1, 0x1.e34507c3b3705p-1, 0x1.e1d68f348bab6p-1, 0x1.e0468e94d10d5p-1, 0x1.de949088e3f79p-1, 0x1.dcc03652f5ed5p-1, 0x1.dac939d5d29edp-1, 0x1.d8af6ed2789e6p-1, 0x1.d672c35423974p-1, 0x1.d4133f5191b22p-1, 0x1.d191039c36c7ep-1, 0x1.ceec4843b8075p-1, 0x1.cc255a9bb07bp-1, 0x1.c93c9b130a418p-1, 0x1.c6327b0800931p-1, 0x1.c3077abbc3aep-1, 0x1.bfbc277e79369p-1, 0x1.bc511a21bbc14p-1, 0x1.b8c6f5b6091ap-1, 0x1.b51e668faa9e2p-1, 0x1.b1582189ea39p-1, 0x1.ad74e37beb88bp-1, 0x1.a97570d0f909cp-1, 0x1.a55a95363b351p-1, 0x1.a125235115cffp-1, 0x1.9cd5f47378fdp-1, 0x1.986de845e887dp-1, 0x1.93ede4618e48ap-1, 0x1.8f56d3d713c77p-1, 0x1.8aa9a6a138274p-1, 0x1.85e75103e5d89p-1, 0x1.8110cad9ffa49p-1, 0x1.7c270ed531b51p-1, 0x1.772b19b3c4458p-1, 0x1.721de970d651ep-1, 0x1.6d007c737985bp-1, 0x1.67d3d0c10e0eap-1, 0x1.6298e336ef1f8p-1, 0x1.5d50aecf07544p-1, 0x1.57fc2bf25bd1bp-1, 0x1.529c4fdc07aa3p-1, 0x1.4d320c0e715e8p-1, 0x1.47be4ddbf1322p-1, 0x1.4241fe0379774p-1, 0x1.3cbe0061484bbp-1, 0x1.373333b324c59p-1, 0x1.31a2716f3b639p-1, 0x1.2c0c8dac53a2bp-1, 0x1.26725719ceb91p-1, 0x1.20d49705a1e33p-1, 0x1.1b34116e72263p-1, 0x1.1591851fcd6cap-1, 0x1.0fedabd68ee83p-1, 0x1.0a493a6b841e8p-1, 0x1.04a4e1027d947p-1, 0x1.fe0296783de1dp-2, 0x1.f2be40d1cd72fp-2, 0x1.e77e07782daaep-2, 0x1.dc4328faabb35p-2, 0x1.d10edc7026879p-2, 0x1.c5e251cfd961p-2, 0x1.babeb242fde9cp-2, 0x1.afa5206e746bbp-2, 0x1.a496b8b3f1906p-2, 0x1.9994916a83f3ap-2, 0x1.8e9fbb0e6e048p-2, 0x1.83b940689e887p-2, 0x1.78e226ae27a0dp-2, 0x1.6e1b6d984eb25p-2, 0x1.63660f75cab7p-2, 0x1.58c30135fc9b1p-2, 0x1.4e33326ed5f7ep-2, 0x1.43b78d5e3e32bp-2, 0x1.3950f6e7b9b7p-2, 0x1.2f004e8f129c2p-2, 0x1.24c66e70bc4f9p-2, 0x1.1aa42b389a456p-2, 0x1.109a5417c4eecp-2, 0x1.06a9b2b9de198p-2, 0x1.f9a61674d6f03p-3, 0x1.e62e383549a9p-3, 0x1.d2ed3c701925p-3, 0x1.bfe48988489efp-3, 0x1.ad157a7adce08p-3, 0x1.9a815ed3e56d6p-3, 0x1.88297aa6c3267p-3, 0x1.760f0689c7aaap-3, 0x1.64332f9560794p-3, 0x1.52971766aaa6ep-3, 0x1.413bd42579b37p-3, 0x1.3022708daacc2p-3, 0x1.1f4bebfba06adp-3, 0x1.0eb93a7bb8939p-3, 0x1.fcd689b905858p-4, 0x1.dcc5d18708917p-4, 0x1.bd41f1888cef3p-4, 0x1.9e4c78f2e2208p-4, 0x1.7fe6e13f67989p-4, 0x1.62128e6475b4ap-4, 0x1.44d0cf10f5ad2p-4, 0x1.2822dcea17045p-4, 0x1.0c09dccabfc06p-4, 0x1.e10dbe08a2755p-5, 0x1.ab35bf40a5bbfp-5, 0x1.768d8d45463c9p-5, 0x1.4316d097d63bep-5, 0x1.10d30ab7e54f9p-5, 0x1.bf872d4e8b8c1p-6, 0x1.5fd352d9b990ep-6, 0x1.028ca52ba9708p-6, 0x1.4f69f2d3af0f5p-7, 0x1.3d376efbe0055p-8, -0x1.a9dbebf5af7adp-12, -0x1.68a7af4c9349dp-8, -0x1.5671c38de71fap-7, -0x1.f3a7bfdbddba1p-7, -0x1.45fab912b1a8bp-6, -0x1.8fad838e882cdp-6, -0x1.d6ec9875efc22p-6, -0x1.0ddc496547b1fp-5, -0x1.2f0927591aebap-5, -0x1.4efd74597130dp-5, -0x1.6db9de79935dfp-5, -0x1.8b3f333f4ea57p-5, -0x1.a78e5f4702eb8p-5, -0x1.c2a86de9288cbp-5, -0x1.dc8e88e11bf35p-5, -0x1.f541f7f4e2a1ep-5, -0x1.0662104ecdcb3p-4, -0x1.118b42d8220fap-4, -0x1.1c1d63834317cp-4, -0x1.261950939e3b5p-4, -0x1.2f7ff67736ap-4, -0x1.38524f9a242c2p-4, -0x1.409164397d1dfp-4, -0x1.483e4a3575267p-4, -0x1.4f5a24e29eaddp-4, -0x1.55e624da11bdp-4, -0x1.5be387c86b5afp-4, -0x1.6153983b83f0ap-4, -0x1.6637ad6ea05bep-4, -0x1.6a912b152fd0fp-4, -0x1.6e618123de3e4p-4, -0x1.71aa2b97e1563p-4, -0x1.746cb23c860ddp-4, -0x1.76aaa86eceb5dp-4, -0x1.7865acdf2a7a2p-4, -0x1.799f695130a43p-4, -0x1.7a5992594f175p-4, -0x1.7a95e7187ed98p-4, -0x1.7a5630f5d821p-4, -0x1.799c43562cc9dp-4, -0x1.7869fb5190626p-4, -0x1.76c13f66de5afp-4, -0x1.74a3ff2d46c83p-4, -0x1.72143303ee36dp-4, -0x1.6f13dbbfa604fp-4, -0x1.6ba50256e4213p-4, -0x1.67c9b78beab4dp-4, -0x1.63841395588c2p-4, -0x1.5ed635c51c408p-4, -0x1.59c2442df8971p-4, -0x1.544a6b47a2846p-4, -0x1.4e70dd91ab53dp-4, -0x1.4837d3353b577p-4, -0x1.41a189a5d3a9fp-4, -0x1.3ab043411a878p-4, -0x1.336646edfb6c6p-4, -0x1.2bc5dfbb1395bp-4, -0x1.23d15c7ca6b4cp-4, -0x1.1b8b0f6a3935ep-4, -0x1.12f54dbbe9c9ep-4, -0x1.0a126f47b35cdp-4, -0x1.00e4ce1ec69fap-4, -0x1.eedd8c5606781p-5, -0x1.db6569999a6f5p-5, -0x1.c765f0f29d699p-5, -0x1.b2e3e0b29a3fap-5, -0x1.9de3f7d172617p-5, -0x1.886af52e14eep-5, -0x1.727d96d1285cp-5, -0x1.5c209931ddef2p-5, -0x1.4558b67d09b86p-5, -0x1.2e2aa5dee14b6p-5, -0x1.169b1acf8457cp-5, -0x1.fd5d88c4dad0ep-6, -0x1.ccd49932484fdp-6, -0x1.9ba4af728093fp-6, -0x1.69d7074bd8817p-6, -0x1.3774ce7a4010fp-6, -0x1.048723713e992p-6, -0x1.a22e284ba9958p-7, -0x1.3a5b39c142394p-7, -0x1.a34e9c616220fp-8, -0x1.a09042a585c47p-9, 0x1.0e7ee5a8281a6p-14, 0x1.b42a21049bff5p-9, 0x1.b126cfd9ebb88p-8, 0x1.44a6a6174b97dp-7, 0x1.b1337dfbe2aep-7, 0x1.0f14af4b3bbe4p-6, 0x1.45bbf62e68aebp-6, 0x1.7c8781732784ep-6, 0x1.b36f5b3fe0abep-6, 0x1.ea6baad68023fp-6, 0x1.10ba5aa5d3073p-5, 0x1.2c416f1a2e748p-5, 0x1.47c7542542a92p-5, 0x1.63485b03eac85p-5, 0x1.7ec0e51bc85fcp-5, 0x1.9a2d643f8a4bcp-5, 0x1.b58a5aeeabeedp-5, 0x1.d0d45c90b3107p-5, 0x1.ec080dabec648p-5, 0x1.0391120bf95cfp-4, 0x1.110fb395d4f49p-4, 0x1.1e7e57f393cccp-4, 0x1.2bdb748cb6dbbp-4, 0x1.392587c0f8502p-4, 0x1.465b18f71e33dp-4, 0x1.537ab8a9d6cc4p-4, 0x1.608300728e302p-4, 0x1.6d72931290749p-4, 0x1.7a481c7a2c736p-4, 0x1.870251ce24098p-4, 0x1.939ff16b59ccdp-4, 0x1.a01fc2e8c58bbp-4, 0x1.ac809717d45a7p-4, 0x1.b8c1480318369p-4, 0x1.c4e0b8eb7d14ap-4, 0x1.d0ddd643f0855p-4, 0x1.dcb795ab9bf78p-4, 0x1.e86cf5e6a6805p-4, 0x1.f3fcfed5abe8ap-4, 0x1.ff66c16bd21f2p-4, 0x1.0554abd1d1014p-3, 0x1.0ae1f23950dffp-3, 0x1.105ac9ddde8b6p-3, 0x1.15becd204d967p-3, 0x1.1b0d9ac8dbdcbp-3, 0x1.2046d5fecbbe9p-3, 0x1.256a263f7444p-3, 0x1.2a773754cf11p-3, 0x1.2f6db94b9b09ap-3, 0x1.344d606908371p-3, 0x1.3915e51ff69a5p-3, 0x1.3dc70405cfd74p-3, 0x1.42607dc6ff3c6p-3, 0x1.46e2171b0827fp-3, 0x1.4b4b98b848dcdp-3, 0x1.4f9ccf476642dp-3, 0x1.53d58b566253ep-3, 0x1.57f5a14b74164p-3, 0x1.5bfce9578a43ep-3, 0x1.5feb3f6897687p-3, 0x1.63c0831b941cbp-3, 0x1.677c97ae4d5bbp-3, 0x1.6b1f63f0f8cadp-3, 0x1.6ea8d23799814p-3, 0x1.7218d04b28ffcp-3, 0x1.756f4f5aa6a67p-3, 0x1.78ac43ebed1bcp-3, 0x1.7bcfa5cc6f138p-3, 0x1.7ed97001c739p-3, 0x1.81c9a0ba321bep-3, 0x1.84a0393ce9539p-3, 0x1.875d3dda643fcp-3, 0x1.8a00b5dc848cfp-3, 0x1.8c8aab76acbc7p-3, 0x1.8efb2bb5d1644p-3, 0x1.915246706ba6dp-3, 0x1.93900e3670f0ap-3, 0x1.95b49841375cfp-3, 0x1.97bffc635cbd2p-3, 0x1.99b254f8a3f3fp-3, 0x1.9b8bbed5d7971p-3, 0x1.9d4c5938a587cp-3, 0x1.9ef445b7897f3p-3, 0x1.a083a831afb08p-3, 0x1.a1faa6beed681p-3, 0x1.a359699fb9aafp-3, 0x1.a4a01b2d33e9p-3, 0x1.a5cee7c93d286p-3, 0x1.a6e5fdce99fbap-3, 0x1.a7e58d812b581p-3, 0x1.a8cdc8fe3ac49p-3, 0x1.a99ee42cd65e9p-3, 0x1.aa5914ae47426p-3, 0x1.aafc91cea418cp-3, 0x1.ab899475761d9p-3, 0x1.ac0057167cf02p-3, 0x1.ac6115a2904adp-3, 0x1.acac0d789ec26p-3, 0x1.ace17d56cdf1cp-3, 0x1.ad01a54bba505p-3, 0x1.ad0cc6a7d32e1p-3, 0x1.ad0323eeed38dp-3, 0x1.ace500c9ddcd7p-3, 0x1.acb2a1f85a036p-3, 0x1.ac6c4d42e2099p-3, 0x1.ac12496cea152p-3, 0x1.aba4de271f765p-3, 0x1.ab245401d704cp-3, 0x1.aa90f45fb5997p-3, 0x1.a9eb09686f67cp-3, 0x1.a932ddfbc5cap-3, 0x1.a868bda4a9ff6p-3, 0x1.a78cf48c904b5p-3, 0x1.a69fcf6ef1b2cp-3, 0x1.a5a19b8d019fap-3, 0x1.a492a6a188758p-3, 0x1.a3733ed507283p-3, 0x1.a243b2b1e8e5ap-3, 0x1.a10451191039cp-3, 0x1.9fb5693674087p-3, 0x1.9e574a7604a79p-3, 0x1.9cea4478bcf45p-3, 0x1.9b6ea709ebb44p-3, 0x1.99e4c214ac759p-3, 0x1.984ce599999c5p-3, 0x1.96a761a4b336ap-3, 0x1.94f486437a97ap-3, 0x1.9334a37b40151p-3, 0x1.9168093fb1dd3p-3, 0x1.8f8f076995e5ep-3, 0x1.8da9edadb7c15p-3, 0x1.8bb90b9420562p-3, 0x1.89bcb06f6a9e1p-3, 0x1.87b52b546329bp-3, 0x1.85a2cb11d1dbap-3, 0x1.8385de287f751p-3, 0x1.815eb2c36fe86p-3, 0x1.7f2d96b0579b5p-3, 0x1.7cf2d7583ca3dp-3, 0x1.7aaec1b85ca0dp-3, 0x1.7861a25b35c2dp-3, 0x1.760bc551de1cap-3, 0x1.73ad762d75587p-3, 0x1.7146fff8df6dep-3, 0x1.6ed8ad32aed8ap-3, 0x1.6c62c7c73e4e4p-3, 0x1.69e5990b06446p-3, 0x1.676169b522d7dp-3, 0x1.64d681da0af5fp-3, 0x1.624528e680b23p-3, 0x1.5fada59aaf59cp-3, 0x1.5d103e057d6c1p-3, 0x1.5a6d3780151dp-3, 0x1.57c4d6a990063p-3, 0x1.55175f62e9367p-3, 0x1.526514cb0a861p-3, 0x1.4fae393b185eep-3, 0x1.4cf30e42e7bc9p-3, 0x1.4a33d4a5a109fp-3, 0x1.4770cc568fd98p-3, 0x1.44aa34762bcb6p-3, 0x1.41e04b4f3cb75p-3, 0x1.3f134e5438e53p-3, 0x1.3c437a1cc9178p-3, 0x1.39710a637972ap-3, 0x1.369c3a0393bb5p-3, 0x1.33c542f71da58p-3, 0x1.30ec5e5512127p-3, 0x1.2e11c44fa8614p-3, 0x1.2b35ac32ddb89p-3, 0x1.28584c630b813p-3, 0x1.2579da5bbef8dp-3, 0x1.229a8aae9d14ap-3, 0x1.1fba91027c0c6p-3, 0x1.1cda201294a4cp-3, 0x1.19f969ade8415p-3, 0x1.17189eb6b183bp-3, 0x1.1437ef220c55fp-3, 0x1.115789f7ace89p-3, 0x1.0e779d51c7f26p-3, 0x1.0b98565d0c88bp-3, 0x1.08b9e158c4aa7p-3, 0x1.05dc69970e6d5p-3, 0x1.0300197d35b62p-3, 0x1.00251a842a166p-3, 0x1.fa972a721e1d3p-4, 0x1.f4e7627bcd65p-4, 0x1.ef3b2a94af26p-4, 0x1.e992ce5914ceap-4, 0x1.e3ee97944ec1bp-4, 0x1.de4ece42b510fp-4, 0x1.d8b3b894082dcp-4, 0x1.d31d9aede16ebp-4, 0x1.cd8cb7ee54d77p-4, 0x1.c801506ec7a79p-4, 0x1.c27ba386ddc7bp-4, 0x1.bcfbee8f9f82bp-4, 0x1.b7826d26b61cbp-4, 0x1.b20f5931d0e18p-4, 0x1.aca2eae239b19p-4, 0x1.a73d58b875e0ap-4, 0x1.a1ded7880f897p-4, 0x1.9c879a7b8addbp-4, 0x1.9737d3185e9f9p-4, 0x1.91efb1431ccfdp-4, 0x1.8caf6343b0d1ep-4, 0x1.877715c9b3069p-4, 0x1.8246f3f0d8b99p-4, 0x1.7d1f27457768bp-4, 0x1.77ffd7c92241cp-4, 0x1.72e92bf754d1ep-4, 0x1.6ddb48ca38ccap-4, 0x1.68d651bf7d6a8p-4, 0x1.63da68dd33008p-4, 0x1.5ee7aeb6c6f62p-4, 0x1.59fe42720779p-4, 0x1.551e41cc31ebep-4, 0x1.5047c91f0f954p-4, 0x1.4b7af3662331bp-4, 0x1.46b7da43d7ee6p-4, 0x1.41fe9606c038dp-4, 0x1.3d4f3daed9a89p-4, 0x1.38a9e6f2dba46p-4, 0x1.340ea64587427p-4, 0x1.2f7d8edb05687p-4, 0x1.2af6b2ae3f1d8p-4, 0x1.267a228642e12p-4, 0x1.2207edfba59b8p-4, 0x1.1da0237deb4c5p-4, 0x1.1942d058f120ep-4, 0x1.14f000ba4f737p-4, 0x1.10a7bfb6c982dp-4, 0x1.0c6a174fb0acap-4, 0x1.083710784c3a5p-4, 0x1.040eb31b3aac5p-4, 0x1.ffe20c3fa4466p-5, 0x1.f7bc1edf02a1ap-5, 0x1.efaba7f646c87p-5, 0x1.e7b0af80ac7e5p-5, 0x1.dfcb3b9d89109p-5, 0x1.d7fb509ae3b31p-5, 0x1.d040f0fff5963p-5, 0x1.c89c1d9799cdfp-5, 0x1.c10cd57ab5209p-5, 0x1.b993161a8913bp-5, 0x1.b22edb4afc109p-5, 0x1.aae01f4cb96cdp-5, 0x1.a3a6dad75e771p-5, 0x1.9c83052383fb3p-5, 0x1.957493f4a2d3ep-5, 0x1.8e7b7ba302b1bp-5, 0x1.8797af2577447p-5, 0x1.80c9201b165c7p-5, 0x1.7a0fbed4d45bbp-5, 0x1.736b7a5efa4dap-5, 0x1.6cdc408a9879bp-5, 0x1.6661fdf6cf181p-5, 0x1.5ffc9e1a018f5p-5, 0x1.59ac0b4af4961p-5, 0x1.53702ec9ccaap-5, 0x1.4d48f0c8e51f3p-5, 0x1.47363875a6d4dp-5, 0x1.4137ec012cf41p-5, 0x1.3b4df0a8cd891p-5, 0x1.35782abe8d59ap-5, 0x1.2fb67db177966p-5, 0x1.2a08cc15cc613p-5, 0x1.246ef7ad20e6ep-5, 0x1.1ee8e16e50ad2p-5, 0x1.1976698d536f2p-5, 0x1.14176f8313adep-5, 0x1.0ecbd214ecf0fp-5, 0x1.09936f5c3fd75p-5, 0x1.046e24cdcb0c5p-5, 0x1.feb79e81d02d1p-6, 0x1.f4b895ed6f3bbp-6, 0x1.eadee7423559p-6, 0x1.e12a48d33c6f6p-6, 0x1.d79a6ff06f04bp-6, 0x1.ce2f10f3d3f6bp-6, 0x1.c4e7df4eb21b6p-6, 0x1.bbc48d9642963p-6, 0x1.b2c4cd90383fdp-6, 0x1.a9e8503f3c80dp-6, 0x1.a12ec5eecd231p-6, 0x1.9897de3f45c42p-6, 0x1.902348313e48cp-6, 0x1.87d0b2312033fp-6, 0x1.7f9fca220f963p-6, 0x1.77903d68f3a76p-6, 0x1.6fa1b8f704efcp-6, 0x1.67d3e95443843p-6, 0x1.60267aa98e424p-6, 0x1.589918caaa92p-6, 0x1.512b6f3ffb3acp-6, 0x1.49dd294fe867ap-6, 0x1.42adf20838e56p-6, 0x1.3b9d74470dc91p-6, 0x1.34ab5ac3c6297p-6, 0x1.2dd750176867ap-6, 0x1.2720fec53cb9fp-6, 0x1.20881142e41f6p-6, 0x1.1a0c32002a5d9p-6, 0x1.13ad0b6eea49ep-6, 0x1.0d6a480a82e42p-6, 0x1.0743925f2ee34p-6, 0x1.013895111b84ap-6, 0x1.f691f5c6b41f4p-7, 0x1.eae8dd7d0eecdp-7, 0x1.df75376ee954fp-7, 0x1.d4365a2a8e439p-7, 0x1.c92b9caf7be6p-7, 0x1.be54567a4aa2cp-7, 0x1.b3afdf8fcc37fp-7, 0x1.a93d9088c87ap-7, 0x1.9efcc29c4686bp-7, 0x1.94eccfaa34431p-7, 0x1.8b0d124578ab1p-7, 0x1.815ce5bd79643p-7, 0x1.77dba627bb0ddp-7, 0x1.6e88b068c4fbp-7, 0x1.6563623ce0543p-7, 0x1.5c6b1a408b3a6p-7, 0x1.539f37f87881cp-7, 0x1.4aff1bd94a769p-7, 0x1.428a274f0eb98p-7, 0x1.3a3fbcc479cap-7, 0x1.321f3fa997a93p-7, 0x1.2a28147a59dcfp-7, 0x1.2259a0c5016bep-7, 0x1.1ab34b2feacdp-7, 0x1.13347b7f8fbeap-7, 0x1.0bdc9a9b5ebf8p-7, 0x1.04ab1293c21bp-7, 0x1.fb3e9d4c78206p-8, 0x1.ed717684e6fc9p-8, 0x1.dfed8c1d4a1afp-8, 0x1.d2b1bbd734ed2p-8, 0x1.c5bce5f16754dp-8, 0x1.b90ded2f316fp-8, 0x1.aca3b6df4d2a7p-8, 0x1.a07d2ae26bdf6p-8, 0x1.949933b127f68p-8, 0x1.88f6be618eb35p-8, 0x1.7d94baacd1ae2p-8, 0x1.72721af30d6a2p-8, 0x1.678dd440d70ffp-8, 0x1.5ce6de5275b6cp-8, 0x1.527c3397e57e6p-8, 0x1.484cd137a431fp-8, 0x1.3e57b7124b647p-8, 0x1.349be7c465f1p-8, 0x1.2b1868a90c337p-8, 0x1.21cc41dba2739p-8, 0x1.18b67e39815c4p-8, 0x1.0fd62b6304c2cp-8, 0x1.072a59bca7f0cp-8, 0x1.fd6438df1bc0cp-9, 0x1.ecd912d377901p-9, 0x1.dcb172bd36daap-9, 0x1.cceb8f8bf720fp-9, 0x1.bd85a5b94374ap-9, 0x1.ae7df744de362p-9, 0x1.9fd2cbb4eb4d4p-9, 0x1.91827011ce60ap-9, 0x1.838b36e4840f6p-9, 0x1.75eb78326c748p-9, 0x1.68a1917a153edp-9, 0x1.5babe5ae939d6p-9, 0x1.4f08dd336c092p-9, 0x1.42b6e5d6d858ap-9, 0x1.36b472cd62fa4p-9, 0x1.2afffcab27d2cp-9, 0x1.1f98015e959a4p-9, 0x1.147b042948d65p-9, 0x1.09a78d99fd7c9p-9, 0x1.fe38570915fdbp-10, 0x1.e9aee1f7d7c51p-10, 0x1.d5afec918c813p-10, 0x1.c238b1c6c3d28p-10, 0x1.af4676d3b7c5ap-10, 0x1.9cd68b3172a94p-10, 0x1.8ae64883e3034p-10, 0x1.7973128773accp-10, 0x1.687a56ff27a8ep-10, 0x1.57f98da22edfdp-10, 0x1.47ee38082253cp-10, 0x1.3855e195f8fb3p-10, 0x1.292e1f6a1b6d5p-10, 0x1.1a7490480c989p-10, 0x1.0c26dc83d90d7p-10, 0x1.fc856bdc367cp-11, 0x1.e18baf7ae5e37p-11, 0x1.c75c0cf39608bp-11, 0x1.adf21fcedc564p-11, 0x1.954995e034daep-11, 0x1.7d5e2f1a4eac1p-11, 0x1.662bbd642b0c5p-11, 0x1.4fae246919beep-11, 0x1.39e1596e8b33p-11, 0x1.24c1632452a57p-11, 0x1.104a5977b287bp-11, 0x1.f8f0caca64c1ap-12, 0x1.d28f819570055p-12, 0x1.ad696c6cd0467p-12, 0x1.897741763b822p-12, 0x1.66b1d7802df35p-12, 0x1.451225a15ab6cp-12, 0x1.249142e04f90dp-12, 0x1.052865ce9221fp-12, 0x1.cda1c85de033ap-13, 0x1.93086525106fp-13, 0x1.5a77c7fd6fb66p-13, 0x1.23e35311bdbaap-13, 0x1.de7d47f010ad5p-14, 0x1.78fb25e40a53cp-14, 0x1.172864569202cp-14, 0x1.71db3418fe703p-15, 0x1.78cf3ab7fb4c7p-16, 0x1.b91e547dac933p-20, -0x1.345a03d8b5a08p-16, -0x1.3ba59d21ea489p-15, -0x1.d6cb65b307db8p-15, -0x1.35e4078d10fb7p-14, -0x1.7d623e3d36d6ep-14, -0x1.c1f461cbcc5d2p-14, -0x1.01d70be2abc95p-13, -0x1.215150efc55c7p-13, -0x1.3f726faf62259p-13, -0x1.5c43a73ead5b6p-13, -0x1.77ce06e7123fap-13, -0x1.921a6ed64ffccp-13, -0x1.ab3190cfd5233p-13, -0x1.c31bf0d77216ep-13, -0x1.d9e1e5e7619bp-13, -0x1.ef8b9a9856cedp-13, -0x1.021086e92beeap-12, -0x1.0bd509bb9587ep-12, -0x1.15172a859c3aap-12, -0x1.1ddaa92fe3292p-12, -0x1.2623311e420e9p-12, -0x1.2df45980a0b18p-12, -0x1.3551a5a87cb02p-12, -0x1.3c3e8555dc3efp-12, -0x1.42be550dc233p-12, -0x1.48d45e66da7fp-12, -0x1.4e83d85b5bc12p-12, -0x1.53cfe79569e41p-12, -0x1.58bb9ebe9823fp-12, -0x1.5d49fecc8060bp-12, -0x1.617df74da9b3ap-12, -0x1.655a66b690cc5p-12, -0x1.68e21aaa22c51p-12, -0x1.6c17d0455cc2bp-12, -0x1.6efe34689d9b5p-12, -0x1.7197e4009b2abp-12, -0x1.73e76c4bb774dp-12, -0x1.75ef4b2523f94p-12, -0x1.77b1ef4847e3dp-12, -0x1.7931b895c9f9ep-12, -0x1.7a70f85a1f308p-12, -0x1.7b71f1900c14fp-12, -0x1.7c36d9230ba2fp-12, -0x1.7cc1d63321186p-12, -0x1.7d150254f8edep-12, -0x1.7d3269d32e8bdp-12, -0x1.7d1c0becd7091p-12, -0x1.7cd3db16381cap-12, -0x1.7c5bbd34f1861p-12, -0x1.7bb58bdeea6e1p-12, -0x1.7ae31495344c8p-12, -0x1.79e6190132c55p-12, -0x1.78c04f2ea1e1cp-12, -0x1.777361c5f9f6p-12, -0x1.7600f0464cde8p-12, -0x1.746a8f3c56b7dp-12, -0x1.72b1c87b13b26p-12, -0x1.70d81b52fb1fcp-12, -0x1.6edefcc7333bbp-12, -0x1.6cc7d7c3c283p-12, -0x1.6a940d51f2852p-12, -0x1.6844f4cc0de0ap-12, -0x1.65dbdc0feeb58p-12, -0x1.635a07b1b7df7p-12, -0x1.60c0b32d8defp-12, -0x1.5e1111181ecb6p-12, -0x1.5b4c4b4ea55e8p-12, -0x1.58738325d8bcep-12, -0x1.5587d199a2cecp-12, -0x1.528a4779b5c98p-12, -0x1.4f7bed96f3868p-12, -0x1.4c5dc4effe7b3p-12, -0x1.4930c6dccfd79p-12, -0x1.45f5e539c76f5p-12, -0x1.42ae0a918e588p-12, -0x1.3f5a1a473ad81p-12, -0x1.3bfaf0bebda72p-12, -0x1.389163854ec57p-12, -0x1.351e41786c9a7p-12, -0x1.31a252ed89d3fp-12, -0x1.2e1e59d7b4739p-12, -0x1.2a9311ed1c701p-12, -0x1.270130cc2b18cp-12, -0x1.236966200f5p-12, -0x1.1fcc5bc3693cfp-12, -0x1.1c2ab5e3c527bp-12, -0x1.1885132418c79p-12, -0x1.14dc0cbeb1ce9p-12, -0x1.113036a5e67fdp-12, -0x1.0d821fa4b18fp-12, -0x1.09d2517f098b2p-12, -0x1.06215110cc657p-12, -0x1.026f9e6ca4aa3p-12, -0x1.fd7b69f48c943p-13, -0x1.f6181727d712cp-13, -0x1.eeb62947f4eep-13, -0x1.e7567c81bd25cp-13, -0x1.dff9e493753fdp-13, -0x1.d8a12d029361fp-13, -0x1.d14d1951b10e9p-13, -0x1.c9fe6535678fap-13, -0x1.c2b5c4c9252c2p-13, -0x1.bb73e4c09b5f6p-13, -0x1.b4396a9a15723p-13, -0x1.ad06f4cfe7988p-13, -0x1.a5dd1b07279a5p-13, -0x1.9ebc6e3ebdc1ep-13, -0x1.97a578fe443fap-13, -0x1.9098bf80e5899p-13, -0x1.8996bfe34325dp-13, -0x1.829ff24e9b31dp-13, -0x1.7bb4c922a8c11p-13, -0x1.74d5b11dd2fc2p-13, -0x1.6e03118758417p-13, -0x1.673d4c5709137p-13, -0x1.6084be5a9e891p-13, -0x1.59d9bf5b99a72p-13, -0x1.533ca246931ecp-13, -0x1.4cadb54e79d05p-13, -0x1.462d420f1427cp-13, -0x1.3fbb8db1ad372p-13, -0x1.3958d90e070e4p-13, -0x1.330560cbba0eap-13, -0x1.2cc15d8295583p-13, -0x1.268d03dab7277p-13, -0x1.206884ac670cep-13, -0x1.1a540d1d464cap-13, -0x1.144fc6be890d6p-13, -0x1.0e5bd7aa4557bp-13, -0x1.087862a01ff43p-13, -0x1.02a5871fae044p-13, -0x1.f9c6c30884ff6p-14, -0x1.ee64163faf9f3p-14, -0x1.e32334a95db3p-14, -0x1.d804455cbbd96p-14, -0x1.cd0769f4537afp-14, -0x1.c22cbebe9feedp-14, -0x1.b7745aee4b58ep-14, -0x1.acde50c5cbfd3p-14, -0x1.a26aadc47e37bp-14, -0x1.98197ad2cb144p-14, -0x1.8deabc6cb655cp-14, -0x1.83de72caa2be1p-14, -0x1.79f49a0aeff35p-14, -0x1.702d2a57e5049p-14, -0x1.6688180fb871dp-14, -0x1.5d0553e83fa2p-14, -0x1.53a4cb1493b0ap-14, -0x1.4a666766f1333p-14, -0x1.414a0f75b3827p-14, -0x1.384fa6bbfcd9fp-14, -0x1.2f770db9d984cp-14, -0x1.26c022157901p-14, -0x1.1e2abeb90615ep-14, -0x1.15b6bbf28b21fp-14, -0x1.0d63ef8f33433p-14, -0x1.05322cf863d5ap-14, -0x1.fa428aa423d59p-15, -0x1.ea620f266b802p-15, -0x1.dac2814210997p-15, -0x1.cb6376d25c8afp-15, -0x1.bc4481f389107p-15, -0x1.ad65313421484p-15, -0x1.9ec50fc2f8b4cp-15, -0x1.9063a59fba403p-15, -0x1.824077c2504d3p-15, -0x1.745b08498a18bp-15, -0x1.66b2d6a59bb45p-15, -0x1.59475fbe14cabp-15, -0x1.4c181e1a0ae1bp-15, -0x1.3f248a08b910cp-15, -0x1.326c19c25dcefp-15, -0x1.25ee418ec6e07p-15, -0x1.19aa73e7775d4p-15, -0x1.0da0219974026p-15, }}, 
      {{0x1.eb16445fc6de2p-1, 0x1.eaf5ce8388d57p-1, 0x1.eabf8ef367a34p-1, 0x1.ea734e2448ce6p-1, 0x1.ea10c11574746p-1, 0x1.e9978c918ec5bp-1, 0x1.e907490165e26p-1, 0x1.e85f8625c250cp-1, 0x1.e79fce5c9555dp-1, 0x1.e6c7a96562682p-1, 0x1.e5d69ec0cd05cp-1, 0x1.e4cc37cde9a6fp-1, 0x1.e3a801be6dfccp-1, 0x1.e2698f6dacf27p-1, 0x1.e1107b1b11396p-1, 0x1.df9c68011ebedp-1, 0x1.de0d03bdf509fp-1, 0x1.dc62078165d3p-1, 0x1.da9b38f68403dp-1, 0x1.d8b86ae2462e1p-1, 0x1.d6b97d75a6bf3p-1, 0x1.d49e5e56ab649p-1, 0x1.d26708682a054p-1, 0x1.d013835b5f645p-1, 0x1.cda3e31853e83p-1, 0x1.cb18470a80e0fp-1, 0x1.c870d95e68e5ap-1, 0x1.c5adce3b3725ap-1, 0x1.c2cf63014311bp-1, 0x1.bfd5dd93ef215p-1, 0x1.bcc18bb2f5419p-1, 0x1.b992c2651d599p-1, 0x1.b649dd748eb3fp-1, 0x1.b2e73efb9b22bp-1, 0x1.af6b4efff64c1p-1, 0x1.abd67b19bfebep-1, 0x1.a8293623929dep-1, 0x1.a463f7f0cf257p-1, 0x1.a0873d079c5e7p-1, 0x1.9c93865c68724p-1, 0x1.9889590d2a47ep-1, 0x1.94693e1b11d98p-1, 0x1.9033c221c9564p-1, 0x1.8be9750bd5d02p-1, 0x1.878ae9c3fdbb1p-1, 0x1.8318b5e3f379bp-1, 0x1.7e937160b99c2p-1, 0x1.79fbb6356d398p-1, 0x1.7552200d3e802p-1, 0x1.70974bed755d2p-1, 0x1.6bcbd7e06841fp-1, 0x1.66f062a24205fp-1, 0x1.62058b506df6fp-1, 0x1.5d0bf11c68f6ap-1, 0x1.58043302a1da9p-1, 0x1.52eeef85f0f4bp-1, 0x1.4dccc4701d12cp-1, 0x1.489e4e97b6f6fp-1, 0x1.436429ab812a1p-1, 0x1.3e1ef00379b3ap-1, 0x1.38cf3a777f582p-1, 0x1.3375a03b7788bp-1, 0x1.2e12b6c0c3facp-1, 0x1.28a7119cc2db4p-1, 0x1.233342740ae36p-1, 0x1.1db7d8ea0926p-1, 0x1.18356294993b9p-1, 0x1.12ac6af335479p-1, 0x1.0d1d7b6951df5p-1, 0x1.07891b3b7bd3ep-1, 0x1.01efcf8ed4b14p-1, 0x1.f8a436d517c14p-2, 0x1.ed60ff75e7558p-2, 0x1.e216f6abc5e12p-2, 0x1.d6c71600247aap-2, 0x1.cb7252e65c87ap-2, 0x1.c0199ec8c7eddp-2, 0x1.b4bde7165be2fp-2, 0x1.a96015507109fp-2, 0x1.9e010f18677f6p-2, 0x1.92a1b63ced383p-2, 0x1.8742e8c6b5e18p-2, 0x1.7be581047d1ccp-2, 0x1.708a55963d1a4p-2, 0x1.653239778a2ebp-2, 0x1.59ddfc090782p-2, 0x1.4e8e6918fb016p-2, 0x1.434448eaff42p-2, 0x1.3800603ee166dp-2, 0x1.2cc37056b83cap-2, 0x1.218e36fc43eefp-2, 0x1.16616e85aa228p-2, 0x1.0b3dcdd99eb97p-2, 0x1.002408731101dp-2, 0x1.ea299cc8e3135p-3, 0x1.d42198b53ff9bp-3, 0x1.be31573f2c52bp-3, 0x1.a85a2439d0b49p-3, 0x1.929d44bc35324p-3, 0x1.7cfbf725e5b58p-3, 0x1.6777732376aeap-3, 0x1.5210e9b32dd48p-3, 0x1.3cc98529c7eb7p-3, 0x1.27a269377a5cdp-3, 0x1.129cb2ed41548p-3, 0x1.fb72f184f68dbp-4, 0x1.d1f39535d6c0dp-4, 0x1.a8bd639a2d1e8p-4, 0x1.7fd262522d891p-4, 0x1.573489ffa87dbp-4, 0x1.2ee5c65560c6bp-4, 0x1.06e7f62735842p-4, 0x1.be79d6f65fb2dp-5, 0x1.6fccd736aaeaep-5, 0x1.21cc5e50a0a63p-5, 0x1.a8f788b318e13p-6, 0x1.0fbc90c5bfd95p-6, 0x1.dfb8851d01a76p-8, -0x1.e6daab9d79f1ap-10, -0x1.66a1d26e6ccfep-7, -0x1.46b5e0d931933p-6, -0x1.d897089bc7071p-6, -0x1.347783b8f3efap-5, -0x1.7bdc59f3d0449p-5, -0x1.c27789e18db84p-5, -0x1.042356e92f0ap-4, -0x1.26a3bba9a499p-4, -0x1.48bbd77ed22a7p-4, -0x1.6a6a9a2334096p-4, -0x1.8baefea6ae30cp-4, -0x1.ac880b56235fap-4, -0x1.ccf4d1a310edep-4, -0x1.ecf46e0b34a73p-4, -0x1.06430400221f2p-3, -0x1.15d468e7e018cp-3, -0x1.252e044566f2fp-3, -0x1.344f79f72506ep-3, -0x1.433873256e68ep-3, -0x1.51e89e36a322ap-3, -0x1.605faec35ab49p-3, -0x1.6e9d5d8aa675dp-3, -0x1.7ca168665f637p-3, -0x1.8a6b923f7cbbep-3, -0x1.97fba30281788p-3, -0x1.a5516793e39f4p-3, -0x1.b26cb1c48b542p-3, -0x1.bf4d58464ca37p-3, -0x1.cbf336a063efcp-3, -0x1.d85e2d23f7a6cp-3, -0x1.e48e20e08f684p-3, -0x1.f082fb988a4b8p-3, -0x1.fc3cabb5838dap-3, -0x1.03dd921e57aa4p-2, -0x1.097f2e61927dp-2, -0x1.0f0328b107e9fp-2, -0x1.1469815568138p-2, -0x1.19b23acd78809p-2, -0x1.1edd59c80a325p-2, -0x1.23eae51dd1d2ap-2, -0x1.28dae5cb37f75p-2, -0x1.2dad66ea0b7d6p-2, -0x1.326275ab247fep-2, -0x1.36fa214feb28ep-2, -0x1.3b747b23c8f53p-2, -0x1.3fd196757b9fep-2, -0x1.4411889050be3p-2, -0x1.483468b54221dp-2, -0x1.4c3a5013f6152p-2, -0x1.502359c3a2201p-2, -0x1.53efa2bbce932p-2, -0x1.579f49ccf8a58p-2, -0x1.5b326f9918ddfp-2, -0x1.5ea9368c06bd5p-2, -0x1.6203c2d3bd2ebp-2, -0x1.65423a587f4d9p-2, -0x1.6864c4b4dca04p-2, -0x1.6b6b8b2d95a78p-2, -0x1.6e56b8a962865p-2, -0x1.712679a8998e8p-2, -0x1.73dafc3cb7046p-2, -0x1.76746fffca0d8p-2, -0x1.78f3060bc1858p-2, -0x1.7b56f0f1a1f38p-2, -0x1.7da064b09b64ap-2, -0x1.7fcf96ad0c5d2p-2, -0x1.81e4bda7651f4p-2, -0x1.83e011b2faabep-2, -0x1.85c1cc2cc3557p-2, -0x1.878a27b1f95fep-2, -0x1.89396016b5456p-2, -0x1.8acfb25c6ee95p-2, -0x1.8c4d5ca8727b3p-2, -0x1.8db29e3a49e9ap-2, -0x1.8effb76217d25p-2, -0x1.9034e976e9a5dp-2, -0x1.915276cd0332fp-2, -0x1.9258a2ac20144p-2, -0x1.9347b145b3cb9p-2, -0x1.941fe7ab296ddp-2, -0x1.94e18bc41af24p-2, -0x1.958ce44492303p-2, -0x1.962238a345e62p-2, -0x1.96a1d10fe06eap-2, -0x1.970bf6694bbc1p-2, -0x1.9760f234022acp-2, -0x1.97a10e906e476p-2, -0x1.97cc963153d17p-2, -0x1.97e3d4524741ap-2, -0x1.97e714ae32819p-2, -0x1.97d6a375ecfd8p-2, -0x1.97b2cd46e5be8p-2, -0x1.977bdf21de3abp-2, -0x1.97322661bf18bp-2, -0x1.96d5f0b27fdbdp-2, -0x1.96678c0829d5dp-2, -0x1.95e74695f266ap-2, -0x1.95556ec570f2ap-2, -0x1.94b2532df08dp-2, -0x1.93fe428bdea9ap-2, -0x1.93398bb859792p-2, -0x1.92647da0db4c3p-2, -0x1.917f673f07639p-2, -0x1.908a9790989d1p-2, -0x1.8f865d8f718e7p-2, -0x1.8e730829cf5d9p-2, -0x1.8d50e63aa039cp-2, -0x1.8c20468200172p-2, -0x1.8ae1779dd5f68p-2, -0x1.8994c8029c471p-2, -0x1.883a85f44c06p-2, -0x1.86d2ff7f6f73ep-2, -0x1.855e82725a2cp-2, -0x1.83dd5c568da73p-2, -0x1.824fda6a3d695p-2, -0x1.80b6499a04e1p-2, -0x1.7f10f67abc81fp-2, -0x1.7d602d437dedep-2, -0x1.7ba439c7cbbd4p-2, -0x1.79dd6771e8c7ep-2, -0x1.780c013d4e37p-2, -0x1.763051b153498p-2, -0x1.744aa2dbfc3d5p-2, -0x1.725b3e4ceaa4ep-2, -0x1.70626d1080c1ep-2, -0x1.6e6077ab279ep-2, -0x1.6c55a614bbd7cp-2, -0x1.6a423fb427bcp-2, -0x1.68268b5b20ffdp-2, -0x1.6602cf4210b1fp-2, -0x1.63d751041ecdp-2, -0x1.61a4559b6b161p-2, -0x1.5f6a215d67d8ap-2, -0x1.5d28f7f759943p-2, -0x1.5ae11c6b03158p-2, -0x1.5892d10b713a4p-2, -0x1.563e5779f00c1p-2, -0x1.53e3f0a31f15bp-2, -0x1.5183dcbc32238p-2, -0x1.4f1e5b404db94p-2, -0x1.4cb3aaee0e312p-2, -0x1.4a4409c52a8ffp-2, -0x1.47cfb5043fcf9p-2, -0x1.4556e926bb633p-2, -0x1.42d9e1e2e8ebp-2, -0x1.4058da281c0d5p-2, -0x1.3dd40c1d01041p-2, -0x1.3b4bb11e09c02p-2, -0x1.38c001bbf9658p-2, -0x1.363135ba9134ep-2, -0x1.339f840f5aebep-2, -0x1.310b22e08d189p-2, -0x1.2e744784129c4p-2, -0x1.2bdb267eab3fbp-2, -0x1.293ff383278cp-2, -0x1.26a2e171c21bp-2, -0x1.24042257934aep-2, -0x1.2163e76e1c418p-2, -0x1.1ec2611af2ebbp-2, -0x1.1c1fbeef7c7fdp-2, -0x1.197c2fa8cc11p-2, -0x1.16d7e12f8f358p-2, -0x1.143300981904ep-2, -0x1.118dba2280713p-2, -0x1.0ee8393ad6cfep-2, -0x1.0c42a87971bd2p-2, -0x1.099d31a34d9fcp-2, -0x1.06f7fdaa82a64p-2, -0x1.045334aecd1dcp-2, -0x1.01aefdfe2bc67p-2, -0x1.fe17002b21413p-3, -0x1.f8d1c14345c19p-3, -0x1.f38e88ff287c5p-3, -0x1.ee4d9f7c0c2b8p-3, -0x1.e90f4b3c0591ep-3, -0x1.e3d3d12807ba6p-3, -0x1.de9b749217cc7p-3, -0x1.d9667737951b3p-3, -0x1.d4351943a9abdp-3, -0x1.cf079951d5ff6p-3, -0x1.c9de34708f566p-3, -0x1.c4b92624090d6p-3, -0x1.bf98a86905039p-3, -0x1.ba7cf3b7cf1b2p-3, -0x1.b5663f0746cc1p-3, -0x1.b054bfcffeb5p-3, -0x1.ab48aa0f7bd62p-3, -0x1.a642304b7d983p-3, -0x1.a141839568216p-3, -0x1.9c46d38db694dp-3, -0x1.97524e6786d43p-3, -0x1.926420ec35f84p-3, -0x1.8d7c767f0bbcbp-3, -0x1.889b7920f9465p-3, -0x1.83c1517468a01p-3, -0x1.7eee26c113407p-3, -0x1.7a221ef7f1312p-3, -0x1.755d5eb72ad95p-3, -0x1.70a0094e21a71p-3, -0x1.6bea40c17d1e8p-3, -0x1.673c25cf42773p-3, -0x1.6295d7f2fdd12p-3, -0x1.5df77569ec4abp-3, -0x1.59611b373267bp-3, -0x1.54d2e5281fa94p-3, -0x1.504cedd86dc0ap-3, -0x1.4bcf4eb694ddbp-3, -0x1.475a200818f4ap-3, -0x1.42ed78ede5f7p-3, -0x1.3e896f68ac0d5p-3, -0x1.3a2e185d41f8ap-3, -0x1.35db87990a17cp-3, -0x1.3191cfd65bd25p-3, -0x1.2d5102c0eec65p-3, -0x1.291930fa47b7ep-3, -0x1.24ea6a1e2581p-3, -0x1.20c4bcc6f2675p-3, -0x1.1ca836923572p-3, -0x1.1894e424fbd48p-3, -0x1.148ad130506cdp-3, -0x1.108a0875a0c88p-3, -0x1.0c9293cb303dp-3, -0x1.08a47c207dcdap-3, -0x1.04bfc982abd4ap-3, -0x1.00e48320e96e3p-3, -0x1.fa255ea192d59p-4, -0x1.f294a725522d1p-4, -0x1.eb16e92c0ad2dp-4, -0x1.e3ac2c7b9b272p-4, -0x1.dc5477496b136p-4, -0x1.d50fce42fa445p-4, -0x1.cdde3496691d1p-4, -0x1.c6bfabfafaa0dp-4, -0x1.bfb434b976b1fp-4, -0x1.b8bbcdb496df6p-4, -0x1.b1d6747155499p-4, -0x1.ab04251f347e9p-4, -0x1.a444daa06b2fep-4, -0x1.9d988e92136d1p-4, -0x1.96ff39543abb5p-4, -0x1.9078d211e3389p-4, -0x1.8a054ec8fab7bp-4, -0x1.83a4a452393bfp-4, -0x1.7d56c668e91c4p-4, -0x1.771ba7b2aa672p-4, -0x1.70f339c713712p-4, -0x1.6add6d37475c3p-4, -0x1.64da31957674cp-4, -0x1.5ee9757c44df5p-4, -0x1.590b269623064p-4, -0x1.533f31a49334bp-4, -0x1.4d8582874d3d9p-4, -0x1.47de044358fc9p-4, -0x1.4248a10a0b494p-4, -0x1.3cc5423ff699bp-4, -0x1.3753d083b32e9p-4, -0x1.31f433b4a38d9p-4, -0x1.2ca652f996db4p-4, -0x1.276a14c757262p-4, -0x1.223f5ee71ff24p-4, -0x1.1d26167d00e3ep-4, -0x1.181e200e21465p-4, -0x1.13275f86f2afep-4, -0x1.0e41b84148bacp-4, -0x1.096d0d0a5aedbp-4, -0x1.04a94028ab607p-4, -0x1.ffec66c3b2a28p-5, -0x1.f6a79000ab4c6p-5, -0x1.ed83bdb20f30bp-5, -0x1.e480b0a1a4d2cp-5, -0x1.db9e28c40fd77p-5, -0x1.d2dbe5437558ap-5, -0x1.ca39a48a04c72p-5, -0x1.c1b7244c41d19p-5, -0x1.b954219327975p-5, -0x1.b11058c610bf8p-5, -0x1.a8eb85b478821p-5, -0x1.a0e5639f8b7c9p-5, -0x1.98fdad4381fe5p-5, -0x1.91341ce0d4544p-5, -0x1.89886c452e582p-5, -0x1.81fa54d455468p-5, -0x1.7a898f90afa36p-5, -0x1.7335d523c8e68p-5, -0x1.6bfedde6962c5p-5, -0x1.64e461e984b7fp-5, -0x1.5de618fc60592p-5, -0x1.5703bab6153a8p-5, -0x1.503cfe7c3e514p-5, -0x1.49919b8a7c35dp-5, -0x1.430148f9b35b2p-5, -0x1.3c8bbdc70e1bep-5, -0x1.3630b0dad542bp-5, -0x1.2fefd90f2aab1p-5, -0x1.29c8ed3687035p-5, -0x1.23bba42215133p-5, -0x1.1dc7b4a7e48cfp-5, -0x1.17ecd5a8f1f11p-5, -0x1.122abe16fc22p-5, -0x1.0c8124fa45e98p-5, -0x1.06efc17714fe9p-5, -0x1.01764ad31f19cp-5, -0x1.f828f0f5831cdp-6, -0x1.ed94040c397c6p-6, -0x1.e32d3e7bebb1ap-6, -0x1.d8f410412979cp-6, -0x1.cee7e9cca1d8bp-6, -0x1.c5083c0c48f85p-6, -0x1.bb547873e2838p-6, -0x1.b1cc1105968ffp-6, -0x1.a86e7859ef3cap-6, -0x1.9f3b21a7d7b8bp-6, -0x1.963180cc1d545p-6, -0x1.8d510a50cecb5p-6, -0x1.8499337455308p-6, -0x1.7c097230315eep-6, -0x1.73a13d3fa39a4p-6, -0x1.6b600c25d973p-6, -0x1.63455734317ap-6, -0x1.5b50978fcf08ep-6, -0x1.538147376e135p-6, -0x1.4bd6e10890e65p-6, -0x1.4450e0c4b43c9p-6, -0x1.3ceec3163b8c9p-6, -0x1.35b005950f3a8p-6, -0x1.2e9426cb2661bp-6, -0x1.279aa638b0eb1p-6, -0x1.20c30458300b9p-6, -0x1.1a0cc2a263219p-6, -0x1.13776391be5acp-6, -0x1.0d026aa5f891dp-6, -0x1.06ad5c67559fp-6, -0x1.0077be6997fe7p-6, -0x1.f4c22e9e081b8p-7, -0x1.e8d1dd95fa823p-7, -0x1.dd1d9b4920b05p-7, -0x1.d1a47b71b1f78p-7, -0x1.c66593fa3f293p-7, -0x1.bb5ffd01d9286p-7, -0x1.b092d0dfc84bdp-7, -0x1.a5fd2c26d5fabp-7, -0x1.9b9e2da890a76p-7, -0x1.9174f677f933fp-7, -0x1.8780a9ec0ff75p-7, -0x1.7dc06da20be9dp-7, -0x1.7433697f527c1p-7, -0x1.6ad8c7b31afcbp-7, -0x1.61afb4b7d9b2bp-7, -0x1.58b75f547b1e2p-7, -0x1.4feef89d21f6bp-7, -0x1.4755b3f40a9a7p-7, -0x1.3eeac709bac3ap-7, -0x1.36ad69dd64308p-7, -0x1.2e9cd6bcc99e6p-7, -0x1.26b84a4405815p-7, -0x1.1eff035d0866p-7, -0x1.1770433f1ad7dp-7, -0x1.100b4d6dbd6ddp-7, -0x1.08cf67b7e8f7cp-7, -0x1.01bbda36a7303p-7, -0x1.f59fde974efcfp-8, -0x1.e815e73f95fd1p-8, -0x1.dad86c425cfc4p-8, -0x1.cde6100310b6ap-8, -0x1.c13d7967aa1d1p-8, -0x1.b4dd53d46915ep-8, -0x1.a8c44f273d0bfp-8, -0x1.9cf11fb2a4224p-8, -0x1.91627e383054ep-8, -0x1.861727e34d9f1p-8, -0x1.7b0dde4348727p-8, -0x1.704567452ebe7p-8, -0x1.65bc8d2da1341p-8, -0x1.5b721e9289cd3p-8, -0x1.5164ee53e6ba7p-8, -0x1.4793d39550382p-8, -0x1.3dfda9b69e555p-8, -0x1.34a1504ca8e7cp-8, -0x1.2b7dab19e841ep-8, -0x1.2291a206a791fp-8, -0x1.19dc2119620a1p-8, -0x1.115c186e79ae7p-8, -0x1.09107c30935cbp-8, -0x1.00f8448fe4e4bp-8, -0x1.f224db746e8bfp-9, -0x1.e2bbefa404cbbp-9, -0x1.d3b3cdcc1e127p-9, -0x1.c50a85d1b5c3p-9, -0x1.b6be2f4ebf136p-9, -0x1.a8cce980e4b4cp-9, -0x1.9b34db377ef2cp-9, -0x1.8df432c10b28bp-9, -0x1.810925d919fefp-9, -0x1.7471f195cda1ap-9, -0x1.682cda54f2a27p-9, -0x1.5c382ba9e0b35p-9, -0x1.50923849d661ap-9, -0x1.453959f996d32p-9, -0x1.3a2bf17a6b032p-9, -0x1.2f6866767aadp-9, -0x1.24ed276e5bf62p-9, -0x1.1ab8a9a56a185p-9, -0x1.10c9690e73dd9p-9, -0x1.071de838cb806p-9, -0x1.fb696078e75a4p-10, -0x1.e918a14e7e4a8p-10, -0x1.d746bed299225p-10, -0x1.c5f0f182c5969p-10, -0x1.b5147e53fe1fep-10, -0x1.a4aeb68bbb82ep-10, -0x1.94bcf798d5ef5p-10, -0x1.853caaed1b64p-10, -0x1.762b45d75b2a6p-10, -0x1.6786495cb8acep-10, -0x1.594b42118032fp-10, -0x1.4b77c7f430d14p-10, -0x1.3e097e45c7c98p-10, -0x1.30fe1365f4d7cp-10, -0x1.245340aab28dbp-10, -0x1.1806ca3cf3186p-10, -0x1.0c167ef1250c1p-10, -0x1.0080382303b68p-10, -0x1.ea83b3207125bp-11, -0x1.d4b2a2661c62fp-11, -0x1.bf892e3b66b41p-11, -0x1.ab035aabe6179p-11, -0x1.971d3f609f4e9p-11, -0x1.83d30758f02b6p-11, -0x1.7120f0a2361p-11, -0x1.5f034c101ca33p-11, -0x1.4d767cf63fdd7p-11, -0x1.3c76f8e17be59p-11, -0x1.2c014752698abp-11, -0x1.1c12017777703p-11, -0x1.0ca5d1e971d94p-11, -0x1.fb72e8c9deafdp-12, -0x1.de936b13a3dc2p-12, -0x1.c2a6e52a42cc1p-12, -0x1.a7a732412342cp-12, -0x1.8d8e4dbed42fep-12, -0x1.745652bc3be1p-12, -0x1.5bf97b81fa216p-12, -0x1.44722106ec61cp-12, -0x1.2dbaba739820cp-12, -0x1.17cddca260c56p-12, -0x1.02a639a4c33fep-12, -0x1.dc7d408c24513p-13, -0x1.b523f7261704ep-13, -0x1.8f36a4bf2d07ep-13, -0x1.6aab8da0f3ac5p-13, -0x1.47792bc8360f6p-13, -0x1.25962dfc245b2p-13, -0x1.04f976e7920ecp-13, -0x1.cb34386664907p-14, -0x1.8edecb472a3e4p-14, -0x1.54e198766178ap-14, -0x1.1d2bf2b6650c9p-14, -0x1.cf5b17aaf63bbp-15, -0x1.68ace5f9f2b9dp-15, -0x1.062e26110ec18p-15, -0x1.4f80c383dd834p-16, -0x1.35174ed48c3d7p-17, 0x1.2bd378c7f5117p-20, 0x1.712567753e3fdp-17, 0x1.572c58d4a3a81p-16, 0x1.eec069f8a65ep-16, 0x1.3fc1f3ec8b3b7p-15, 0x1.84d54b5789bbep-15, 0x1.c6b3820fd454ap-15, 0x1.02baa34da0d0ap-14, 0x1.20995901d8567p-14, 0x1.3d01a55a3d118p-14, 0x1.57ff03a4ef6bbp-14, 0x1.719ca8aa25155p-14, 0x1.89e58408561a2p-14, 0x1.a0e4418b0a05fp-14, 0x1.b6a34a813105ep-14, 0x1.cb2cc706559abp-14, 0x1.de8a9f50e5d18p-14, 0x1.f0c67cf111596p-14, 0x1.00f4e60964596p-13, 0x1.08fede5bb42f1p-13, 0x1.1085a1f651d6ap-13, 0x1.178d8e7daeaa2p-13, 0x1.1e1ae54c5e6b7p-13, 0x1.2431cc029ba17p-13, 0x1.29d64d1d03568p-13, 0x1.2f0c5880607fap-13, 0x1.33d7c4067397ap-13, 0x1.383c4c09630d9p-13, 0x1.3c3d93ee97149p-13, 0x1.3fdf26a88365ep-13, 0x1.4324773dfd71bp-13, 0x1.4610e14b6a4dfp-13, 0x1.48a7a981b0afbp-13, 0x1.4aebfe24fec25p-13, 0x1.4ce0f786b6cd1p-13, 0x1.4e8998815b74fp-13, 0x1.4fe8ceecce9f2p-13, 0x1.51017416e6ea7p-13, 0x1.51d64d33e818fp-13, 0x1.526a0bd17a15fp-13, 0x1.52bf4e46a5136p-13, 0x1.52d8a01e3ae8fp-13, 0x1.52b87a8626418p-13, 0x1.526144b6cd5cp-13, 0x1.51d5545ac6c39p-13, 0x1.5116edf571679p-13, 0x1.50284546b403fp-13, 0x1.4f0b7dacb5ba3p-13, 0x1.4dc2aa845099ep-13, 0x1.4c4fcf88d9ed1p-13, 0x1.4ab4e12fdeb0dp-13, 0x1.48f3c504cd23bp-13, 0x1.470e52027f311p-13, 0x1.450650eaf97f8p-13, 0x1.42dd7c9c0e41ep-13, 0x1.40958266eba1cp-13, 0x1.3e3002608a347p-13, 0x1.3bae8fb3729dp-13, 0x1.3912b0f0a766fp-13, 0x1.365de05c6abc1p-13, 0x1.33918c3b879b2p-13, 0x1.30af171e7a1fp-13, 0x1.2db7d82b2cc88p-13, 0x1.2aad1b65584d7p-13, 0x1.279021f515561p-13, 0x1.2462226bcfe55p-13, 0x1.2124490a1a22bp-13, 0x1.1dd7b7ff525fep-13, 0x1.1a7d87acee445p-13, 0x1.1716c6e7059b8p-13, 0x1.13a47b316eefcp-13, 0x1.1027a0fdfe2d2p-13, 0x1.0ca12be7774aap-13, 0x1.091206edcc6aep-13, 0x1.057b14aeeeaf1p-13, 0x1.01dd2f9fd6e2ep-13, 0x1.fc725485d53acp-14, 0x1.f51f9ebc27d89p-14, 0x1.edc3c46121e0ap-14, 0x1.e6603d4bc3916p-14, 0x1.def6731070cadp-14, 0x1.d787c16542618p-14, 0x1.d01576833ed06p-14, 0x1.c8a0d383510aep-14, 0x1.c12b0cbd715c3p-14, 0x1.b9b54a2144bc6p-14, 0x1.b240a78ea4bacp-14, 0x1.aace352fc2228p-14, 0x1.a35ef7c90943dp-14, 0x1.9bf3e90f49861p-14, 0x1.948df7f832a1dp-14, 0x1.8d2e0909ba18ap-14, 0x1.85d4f6a4fdc4cp-14, 0x1.7e839155041f4p-14, 0x1.773aa016fbfe4p-14, 0x1.6ffae0a32ed91p-14, 0x1.68c507b28eef4p-14, 0x1.6199c143d5ecep-14, 0x1.5a79b0df84c55p-14, 0x1.536571d885345p-14, 0x1.4c5d978c57f47p-14, 0x1.4562ada20052p-14, 0x1.3e753846f21d7p-14, 0x1.3795b46aca4f7p-14, 0x1.30c497f9362e7p-14, 0x1.2a02521365b8fp-14, 0x1.234f4b4531336p-14, 0x1.1cabe5be5a647p-14, 0x1.16187d846d302p-14, 0x1.0f9568a798399p-14, 0x1.0922f7748a407p-14, 0x1.02c174a49faf5p-14, 0x1.f8e24b1d60a17p-15, 0x1.ec6494a8d32d4p-15, 0x1.e00a3c1f39a07p-15, 0x1.d3d3adfcf325fp-15, 0x1.c7c14d5e47555p-15, 0x1.bbd37451188e2p-15, 0x1.b00a74275f018p-15, 0x1.a46695c690dcdp-15, 0x1.98e819f52ae9ap-15, 0x1.8d8f39a4440cap-15, 0x1.825c263b2f81cp-15, 0x1.774f09dd11db8p-15, 0x1.6c6807aebd58dp-15, 0x1.61a73c1b7dd9fp-15, 0x1.570cbd149bf39p-15, 0x1.4c989a52fbb89p-15, 0x1.424add949506p-15, 0x1.38238ad9128e8p-15, 0x1.2e22a09bfc8dfp-15, 0x1.2448180ed45bp-15, 0x1.1a93e5503de46p-15, 0x1.1105f7a2ca6b7p-15, 0x1.079e39a035296p-15, 0x1.fcb922d85b7bap-16, 0x1.ea81c1ce500a6p-16, 0x1.d8960bba9a48p-16, 0x1.c6f5b46be0e02p-16, 0x1.b5a068421da88p-16, 0x1.a495cc843c1b4p-16, 0x1.93d57fb6593a6p-16, 0x1.835f19f011dcap-16, 0x1.73322d2833af1p-16, 0x1.634e458308bfbp-16, 0x1.53b2e9a0ed3fbp-16, 0x1.445f9ae5e533bp-16, 0x1.3553d5c092e41p-16, 0x1.268f11efaeadcp-16, 0x1.1810c2c3b9f85p-16, 0x1.09d8575f06274p-16, 0x1.f7ca75ef0a36fp-17, 0x1.dc6daa1c73542p-17, 0x1.c199135c80604p-17, 0x1.a74b73455b5a6p-17, 0x1.8d8385603da3ap-17, 0x1.743fff8d35885p-17, 0x1.5b7f926f0fb08p-17, 0x1.4340e9ca833d2p-17, 0x1.2b82ace9e79bbp-17, 0x1.14437ef40743cp-17, 0x1.fb03fe91a97f8p-18, 0x1.ce7993b50be52p-18, 0x1.a2e4eef9ef4bfp-18, 0x1.78433c6cb842cp-18, 0x1.4e91a319dabaep-18, 0x1.25cd45a5e868cp-18, 0x1.fbe685b2f8094p-19, 0x1.ae016c5819594p-19, 0x1.61e5709aba9eap-19, 0x1.178cbf45f4815p-19, 0x1.9de30310c5a24p-20, 0x1.101bbbc183bafp-20, 0x1.0b6fe440a3accp-21, -0x1.54124b0a7a6c9p-28, -0x1.0a28144c08cbbp-21, -0x1.0593acbe754fcp-20, -0x1.82deae76a951p-20, -0x1.fd00bf52f94a9p-20, -0x1.3a02c4d54356p-19, -0x1.73fc585e90b99p-19, -0x1.ac72e7af558d4p-19, -0x1.e36c3b7a48b92p-19, -0x1.0c770b82890ddp-18, -0x1.267f1bd60f178p-18, -0x1.3fd12a2ec047dp-18, -0x1.58700e837b26ep-18, -0x1.705e9d10d4392p-18, -0x1.879fa62147488p-18, -0x1.9e35f5d28e033p-18, -0x1.b42453de86da7p-18, -0x1.c96d8369374bp-18, -0x1.de1442d7a7a36p-18, -0x1.f21b4b996f9ddp-18, -0x1.02c2a901e55dp-17, -0x1.0c2a82923ep-17, -0x1.1546874f170d4p-17, -0x1.1e180942ea8f4p-17, -0x1.26a0579d95682p-17, -0x1.2ee0bea8daef5p-17, -0x1.36da87b7fe94bp-17, -0x1.3e8ef9176dccbp-17, -0x1.45ff5603c4459p-17, -0x1.4d2cde9a9478ap-17, -0x1.5418cfcfca15dp-17, -0x1.5ac463669efd3p-17, -0x1.6130cfe400b3ap-17, -0x1.675f4889684adp-17, -0x1.6d50fd4a61428p-17, -0x1.73071ac828515p-17, -0x1.7882ca49f392ep-17, -0x1.7dc531b6f6965p-17, -0x1.82cf73905691dp-17, -0x1.87a2aeef6ba13p-17, -0x1.8c3fff80b40fp-17, -0x1.90a87d81b2227p-17, -0x1.94dd3dbcd8ba5p-17, -0x1.98df5188e7029p-17, -0x1.9cafc6c6fa239p-17, }}, 
      {{0x1.eb1d7898e2031p-1, 0x1.eb12a88c078bbp-1, 0x1.eb009b8b3ce9dp-1, 0x1.eae7465dbf4a9p-1, 0x1.eac699ab55784p-1, 0x1.ea9e826facbc8p-1, 0x1.ea6eea8e7f359p-1, 0x1.ea37b972da58ep-1, 0x1.e9f8d4a820642p-1, 0x1.e9b2206464789p-1, 0x1.e9638002db0b7p-1, 0x1.e90cd670b5addp-1, 0x1.e8ae068fb5b89p-1, 0x1.e846f39122a2dp-1, 0x1.e7d7814ad883cp-1, 0x1.e75f948709c8dp-1, 0x1.e6df134e7b2b4p-1, 0x1.e655e52c78617p-1, 0x1.e5c3f36b72a0bp-1, 0x1.e529294945735p-1, 0x1.e485742243c96p-1, 0x1.e3d8c39295db9p-1, 0x1.e323098dd28b5p-1, 0x1.e2643a6d2e69ep-1, 0x1.e19c4cf4faa7ep-1, 0x1.e0cb3a527768fp-1, 0x1.dff0fe132c3ffp-1, 0x1.df0d96170f938p-1, 0x1.de21027ec53cfp-1, 0x1.dd2b459722f5cp-1, 0x1.dc2c63c30ad23p-1, 0x1.db2463647971cp-1, 0x1.da134cc5817e1p-1, 0x1.d8f92a01b4adcp-1, 0x1.d7d606f0591p-1, 0x1.d6a9f10f9d6f9p-1, 0x1.d574f770e80fap-1, 0x1.d4372aa63ce85p-1, 0x1.d2f09cb0a921p-1, 0x1.d1a160ef98144p-1, 0x1.d0498c10ee3dap-1, 0x1.cee93401c047fp-1, 0x1.cd806fdf83fp-1, 0x1.cc0f57e995903p-1, 0x1.ca960572f5f82p-1, 0x1.c91492d426641p-1, 0x1.c78b1b5d12175p-1, 0x1.c5f9bb46f66cp-1, 0x1.c4608fa64796fp-1, 0x1.c2bfb65c8b859p-1, 0x1.c1174e0a33328p-1, 0x1.bf67760075f46p-1, 0x1.bdb04e333b501p-1, 0x1.bbf1f72b1f9f5p-1, 0x1.ba2c91f7a0bc7p-1, 0x1.b860402181e0bp-1, 0x1.b68d239d7537ep-1, 0x1.b4b35ebf1c17ep-1, 0x1.b2d3142c66e14p-1, 0x1.b0ec66d1653dcp-1, 0x1.aeff79d48ee13p-1, 0x1.ad0c708b90ab4p-1, 0x1.ab136e70a2c9dp-1, 0x1.a91497186eab7p-1, 0x1.a7100e288a0a7p-1, 0x1.a505f74e85bep-1, 0x1.a2f6763794b73p-1, 0x1.a0e1ae88c53abp-1, 0x1.9ec7c3d7cf31fp-1, 0x1.9ca8d9a46f398p-1, 0x1.9a8513524b57dp-1, 0x1.985c94235d2f3p-1, 0x1.962f7f32d7c5cp-1, 0x1.93fdf770863efp-1, 0x1.91c81f9c98fa1p-1, 0x1.8f8e1a43daebdp-1, 0x1.8d5009bc47ba5p-1, 0x1.8b0e1021fb587p-1, 0x1.88c84f5473376p-1, 0x1.867ee8f419cb7p-1, 0x1.8431fe601755bp-1, 0x1.81e1b0b45d2c8p-1, 0x1.7f8e20c7eb824p-1, 0x1.7d376f2b45924p-1, 0x1.7addbc2714dcep-1, 0x1.788127baf0ac8p-1, 0x1.7621d19c49e2ep-1, 0x1.73bfd93575c83p-1, 0x1.715b5da4d3058p-1, 0x1.6ef47dbc0696ap-1, 0x1.6c8b57ff4da0fp-1, 0x1.6a200aa4e2a38p-1, 0x1.67b2b39470ba3p-1, 0x1.654370669726fp-1, 0x1.62d25e6478ba7p-1, 0x1.605f9a8755cb9p-1, 0x1.5deb4178312cfp-1, 0x1.5b756f8f7d45fp-1, 0x1.58fe40d4d186bp-1, 0x1.5685d0fea78e3p-1, 0x1.540c3b721f5a4p-1, 0x1.51919b42c8f69p-1, 0x1.4f160b32756dap-1, 0x1.4c99a5b10c1f7p-1, 0x1.4a1c84dc675a2p-1, 0x1.479ec28034065p-1, 0x1.45207815d9771p-1, 0x1.42a1bec462fb8p-1, 0x1.4022af6071cbfp-1, 0x1.3da3626c31627p-1, 0x1.3b23f01750a97p-1, 0x1.38a4703f0386p-1, 0x1.3624fa6e03f13p-1, 0x1.33a5a5dc9bdd5p-1, 0x1.31268970b14e5p-1, 0x1.2ea7bbbdd8d24p-1, 0x1.2c2953056b0eap-1, 0x1.29ab65369f5bbp-1, 0x1.272e07eeaac64p-1, 0x1.24b15078e295ep-1, 0x1.223553cee41a6p-1, 0x1.1fba2698bf551p-1, 0x1.1d3fdd2d264p-1, 0x1.1ac68b919f9a5p-1, 0x1.184e457abc902p-1, 0x1.15d71e4c53a98p-1, 0x1.13612919bd0b9p-1, 0x1.10ec78a614001p-1, 0x1.0e791f64780cep-1, 0x1.0c072f7856669p-1, 0x1.0996bab5afdep-1, 0x1.0727d2a166f16p-1, 0x1.04ba88718be21p-1, 0x1.024eed0daef2ep-1, 0x1.ffca221e62a9bp-2, 0x1.fafa098335d46p-2, 0x1.f62db045dfa1fp-2, 0x1.f16535c813c68p-2, 0x1.eca0b8d1e31c9p-2, 0x1.e7e05792730aep-2, 0x1.e3242fa0b86f5p-2, 0x1.de6c5dfc34bc9p-2, 0x1.d9b8ff0db317cp-2, 0x1.d50a2ea80a4cap-2, 0x1.d0600808e408fp-2, 0x1.cbbaa5d97c9dap-2, 0x1.c71a222f70d2dp-2, 0x1.c27e968d83d17p-2, 0x1.bde81be46ba5ap-2, 0x1.b956ca939e317p-2, 0x1.b4caba6a20c39p-2, 0x1.b04402a7573d1p-2, 0x1.abc2b9fbd6bc1p-2, 0x1.a746f68a38465p-2, 0x1.a2d0cde7ee174p-2, 0x1.9e60551e1ab0cp-2, 0x1.99f5a0aa685bfp-2, 0x1.9590c47fe1fc3p-2, 0x1.9131d407cef63p-2, 0x1.8cd8e22290d93p-2, 0x1.8886012880273p-2, 0x1.843942eacdf39p-2, 0x1.7ff2b8b464a0cp-2, 0x1.7bb2734acec5bp-2, 0x1.777882ef18cccp-2, 0x1.7344f75ebd208p-2, 0x1.6f17dfd48bf27p-2, 0x1.6af14b0997d8bp-2, 0x1.66d1473625effp-2, 0x1.62b7e2129cabdp-2, 0x1.5ea528d87a218p-2, 0x1.5a99284346cd2p-2, 0x1.5693ec919193ep-2, 0x1.52958185e8b23p-2, 0x1.4e9df267d9b2dp-2, 0x1.4aad4a04f0851p-2, 0x1.46c392b1be0d5p-2, 0x1.42e0d64add632p-2, 0x1.3f051e35fc947p-2, 0x1.3b307362edc45p-2, 0x1.3762de4cb3726p-2, 0x1.339c66fa958edp-2, 0x1.2fdd150137df9p-2, 0x1.2c24ef83b3ebp-2, 0x1.2873fd34b6662p-2, 0x1.24ca44579e668p-2, 0x1.2127cac1a24acp-2, 0x1.1d8c95daf5f57p-2, 0x1.19f8aa9ff48c8p-2, 0x1.166c0da24f0f1p-2, 0x1.12e6c30a3bccbp-2, 0x1.0f68ce97a960fp-2, 0x1.0bf233a377d7dp-2, 0x1.0882f520b0f03p-2, 0x1.051b159dc4c51p-2, 0x1.01ba9745cb4c9p-2, 0x1.fcc2f7c38bae9p-3, 0x1.f61f89b3c8289p-3, 0x1.ef8ae66d9d99ap-3, 0x1.e9050f45e1bb4p-3, 0x1.e28e04d7884afp-3, 0x1.dc25c70649386p-3, 0x1.d5cc55013ee82p-3, 0x1.cf81ad45936b5p-3, 0x1.c945cda12b12cp-3, 0x1.c318b33559914p-3, 0x1.bcfa5a7993987p-3, 0x1.b6eabf3e2860ap-3, 0x1.b0e9dcaf0158ap-3, 0x1.aaf7ad565c8eep-3, 0x1.a5142b1f90c72p-3, 0x1.9f3f4f59d271cp-3, 0x1.997912baf8a27p-3, 0x1.93c16d62474ecp-3, 0x1.8e1856db36073p-3, 0x1.887dc62042205p-3, 0x1.82f1b19db3a96p-3, 0x1.7d740f346f957p-3, 0x1.7804d43cc57e4p-3, 0x1.72a3f5893ac34p-3, 0x1.6d5167695af04p-3, 0x1.680d1dac86616p-3, 0x1.62d70ba4bc815p-3, 0x1.5daf2429698bfp-3, 0x1.5895599a30ccdp-3, 0x1.53899de1b9808p-3, 0x1.4e8be2786f65fp-3, 0x1.499c186750815p-3, 0x1.44ba304aaccc1p-3, 0x1.3fe61a54e4225p-3, 0x1.3b1fc6512b3a2p-3, 0x1.366723a641a67p-3, 0x1.31bc21592a7dap-3, 0x1.2d1eae0fe25c8p-3, 0x1.288eb8140f41p-3, 0x1.240c2d55abff4p-3, 0x1.1f96fb6db1128p-3, 0x1.1b2f0fa0b9eap-3, 0x1.16d456e1a32c2p-3, 0x1.1286bdd423b26p-3, 0x1.0e4630cf66668p-3, 0x1.0a129be092886p-3, 0x1.05ebeacd6044p-3, 0x1.01d2091696693p-3, 0x1.fb89c3f519114p-4, 0x1.f388c0ef4a4dep-4, 0x1.eba0de9d7c84bp-4, 0x1.e3d1f20b43b0fp-4, 0x1.dc1bcfd2d5f98p-4, 0x1.d47e4c21cd122p-4, 0x1.ccf93abdd7c72p-4, 0x1.c58c6f0962bdap-4, 0x1.be37bc0828925p-4, 0x1.b6faf463c9022p-4, 0x1.afd5ea703b212p-4, 0x1.a8c8703036c57p-4, 0x1.a1d257599fb4ep-4, 0x1.9af37159cbe0bp-4, 0x1.942b8f59c8935p-4, 0x1.8d7a824288bf8p-4, 0x1.86e01ac10b0a7p-4, 0x1.805c294a6d305p-4, 0x1.79ee7e1fec68ep-4, 0x1.7396e952de68ap-4, 0x1.6d553ac89247fp-4, 0x1.6729423e29528p-4, 0x1.6112cf4c5708ep-4, 0x1.5b11b16b1c61dp-4, 0x1.5525b7f5692f9p-4, 0x1.4f4eb22cb45fp-4, 0x1.498c6f3c7f47fp-4, 0x1.43debe3dce147p-4, 0x1.3e456e3a89fe8p-4, 0x1.38c04e30da0d3p-4, 0x1.334f2d166877fp-4, 0x1.2df1d9db95641p-4, 0x1.28a8236ea2c62p-4, 0x1.2371d8bec0c54p-4, 0x1.1e4ec8bf1e84ep-4, 0x1.193ec269d7ec5p-4, 0x1.144194c2e0f77p-4, 0x1.0f570edad7857p-4, 0x1.0a7effd1d0679p-4, 0x1.05b936da084a2p-4, 0x1.0105833a90bebp-4, 0x1.f8c768a3c895cp-5, 0x1.efa73330e4c05p-5, 0x1.e6aa05462d217p-5, 0x1.ddcf7e4b08aacp-5, 0x1.d5173de942778p-5, 0x1.cc80e411a74a8p-5, 0x1.c40c110079e13p-5, 0x1.bbb86541d6099p-5, 0x1.b38581b5e9d98p-5, 0x1.ab730795201ecp-5, 0x1.a3809874203cbp-5, 0x1.9badd647bc71fp-5, 0x1.93fa6368be57ap-5, 0x1.8c65e29792a77p-5, 0x1.84eff6ffe63b1p-5, 0x1.7d98443c1ba35p-5, 0x1.765e6e58aa3adp-5, 0x1.6f4219d764976p-5, 0x1.6842ebb2a05f7p-5, 0x1.61608960419f9p-5, 0x1.5a9a98d4b9752p-5, 0x1.53f0c085d2693p-5, 0x1.4d62a76d864aap-5, 0x1.46eff50c923d8p-5, 0x1.4098516d1828ep-5, 0x1.3a5b6525088cep-5, 0x1.3438d9588cb39p-5, 0x1.2e3057bc49d34p-5, 0x1.28418a9790d71p-5, 0x1.226c1cc6790b4p-5, 0x1.1cafb9bbe3367p-5, 0x1.170c0d83646c2p-5, 0x1.1180c4c31ab4ap-5, 0x1.0c0d8cbd70775p-5, 0x1.06b21352c1fd1p-5, 0x1.016e0702fbe8dp-5, 0x1.f8822dde210c6p-6, 0x1.ee55e5b4db97ap-6, 0x1.e45696589a087p-6, 0x1.da83a1e1ffff8p-6, 0x1.d0dc6bb634c75p-6, 0x1.c7605889272a9p-6, 0x1.be0ece5fa4419p-6, 0x1.b4e7349140826p-6, 0x1.abe8f3ca3155bp-6, 0x1.a313760ce756bp-6, 0x1.9a6626b3a23ep-6, 0x1.91e07271d0b93p-6, 0x1.8981c755541d9p-6, 0x1.814994c79a955p-6, 0x1.79374b8eb460dp-6, 0x1.714a5dce1e7fap-6, 0x1.69823f079463cp-6, 0x1.61de641bb332dp-6, 0x1.5a5e434a82fe3p-6, 0x1.53015433daaf9p-6, 0x1.4bc70fd7b74a9p-6, 0x1.44aef09663552p-6, 0x1.3db872309b6eap-6, 0x1.36e311c77e20ep-6, 0x1.302e4ddc7d19p-6, 0x1.2999a65119998p-6, 0x1.23249c66a0ec8p-6, 0x1.1cceb2bdbf519p-6, 0x1.16976d560207cp-6, 0x1.107e518d4928ap-6, 0x1.0a82e61f1653dp-6, 0x1.04a4b323ca779p-6, 0x1.fdc6841faddc2p-7, 0x1.f27c3b65a0b28p-7, 0x1.e769a46ce1351p-7, 0x1.dc8dda3b0a2e1p-7, 0x1.d1e7fa858fbe1p-7, 0x1.c77725af5f601p-7, 0x1.bd3a7ec640978p-7, 0x1.b3312b802ffe5p-7, 0x1.a95a543887a7cp-7, 0x1.9fb523ecfeb34p-7, 0x1.9640c83aabafap-7, 0x1.8cfc715abc677p-7, 0x1.83e7521f34b63p-7, 0x1.7b009fef8054ep-7, 0x1.724792c4f25a8p-7, 0x1.69bb65270f418p-7, 0x1.615b5427f47bcp-7, 0x1.59269f606a2c5p-7, 0x1.511c88ec05c56p-7, 0x1.493c55651e33ep-7, 0x1.41854be0d1136p-7, 0x1.39f6b5eab177cp-7, 0x1.328fdf80ac7a3p-7, 0x1.2b50170ea32e9p-7, 0x1.2436ad6a0c56ep-7, 0x1.1d42f5cd78642p-7, 0x1.167445d41ca5p-7, 0x1.0fc9f5752cea5p-7, 0x1.09435eff39ac5p-7, 0x1.02dfdf13876ecp-7, 0x1.f93da9428512fp-8, 0x1.ecff41c173acdp-8, 0x1.e1034e9d02562p-8, 0x1.d5489b4d1556fp-8, 0x1.c9cdf7be803b3p-8, 0x1.be923849089f8p-8, 0x1.b39435a56e9edp-8, 0x1.a8d2cce336c3ep-8, 0x1.9e4cdf5eb1e6dp-8, 0x1.940152b6a797cp-8, 0x1.89ef10c226417p-8, 0x1.801507862b533p-8, 0x1.7672292b5e8f4p-8, 0x1.6d056bf39284dp-8, 0x1.63cdca2f77244p-8, 0x1.5aca42341de2p-8, 0x1.51f9d650694d7p-8, 0x1.495b8cc2c6f65p-8, 0x1.40ee6fae6bc94p-8, 0x1.38b18d10ff9a7p-8, 0x1.30a3f6b807ab6p-8, 0x1.28c4c2365b0a6p-8, 0x1.211308d98bf7fp-8, 0x1.198de79f6fb28p-8, 0x1.12347f2b9bd7bp-8, 0x1.0b05f3bcc7e82p-8, 0x1.04016d226f408p-8, 0x1.fa4c2d6456978p-9, 0x1.ece63e7a9743cp-9, 0x1.dfcf720cd73d1p-9, 0x1.d306336ddb941p-9, 0x1.c688f4a94c87dp-9, 0x1.ba562e6edf029p-9, 0x1.ae6c5ffdb5419p-9, 0x1.a2ca0f0f98a48p-9, 0x1.976dc7c4af572p-9, 0x1.8c561c8ed5a71p-9, 0x1.8181a61d3db8fp-9, 0x1.76ef03483a958p-9, 0x1.6c9cd8fd0355ep-9, 0x1.6289d2297fe15p-9, 0x1.58b49fa88a32cp-9, 0x1.4f1bf82dab53cp-9, 0x1.45be9831a9c1fp-9, 0x1.3c9b41de9bfafp-9, 0x1.33b0bcfc8bb68p-9, 0x1.2afdd6ddcb7p-9, 0x1.2281624bdd2e7p-9, 0x1.1a3a3774140d7p-9, 0x1.122733d4a26d5p-9, 0x1.0a473a29a040cp-9, 0x1.0299325a28ffep-9, 0x1.f63812cbaf3ccp-10, 0x1.e79d62a4158c5p-10, 0x1.d960422fa74ap-10, 0x1.cb7ea92281d13p-10, 0x1.bdf698cf8ae98p-10, 0x1.b0c61c03d1687p-10, 0x1.a3eb46e33455bp-10, 0x1.976436c515523p-10, 0x1.8b2f1211458aap-10, 0x1.7f4a081d916adp-10, 0x1.73b3510ae81c5p-10, 0x1.68692da39fdf8p-10, 0x1.5d69e739db0b6p-10, 0x1.52b3cf85941adp-10, 0x1.48454083e19a1p-10, 0x1.3e1c9c5625cfdp-10, 0x1.34384d216ff0bp-10, 0x1.2a96c4ee71f0ap-10, 0x1.21367d89b2011p-10, 0x1.1815f863db954p-10, 0x1.0f33be72de709p-10, 0x1.068e6012d449cp-10, 0x1.fc48e9cf61ba3p-11, 0x1.ebe9377e0a7fdp-11, 0x1.dbfaf4e42815ap-11, 0x1.cc7b7b90e902cp-11, 0x1.bd6832b58c19ap-11, 0x1.aebe8eebdb467p-11, 0x1.a07c11fcface8p-11, 0x1.929e4aa91eb22p-11, 0x1.8522d46ff960ep-11, 0x1.7807575977716p-11, 0x1.6b4987bf8582p-11, 0x1.5ee726183f7cdp-11, 0x1.52ddfec121af6p-11, 0x1.472be9ca3a901p-11, 0x1.3bcecac2d0492p-11, 0x1.30c49085f8136p-11, 0x1.260b35087f907p-11, 0x1.1ba0bd26d1a3ap-11, 0x1.118338740908ap-11, 0x1.07b0c1091ff67p-11, 0x1.fc4ef6ab1bce5p-12, 0x1.e9cb2bdf8b3eep-12, 0x1.d7d292cd0f8f6p-12, 0x1.c661b026670cbp-12, 0x1.b5751bd81d8a1p-12, 0x1.a50980b03e9p-12, 0x1.951b9c054bbd5p-12, 0x1.85a83d5f52bf2p-12, 0x1.76ac4622b486ap-12, 0x1.6824a93b77a93p-12, 0x1.5a0e6ac9afb84p-12, 0x1.4c669fcfb4059p-12, 0x1.3f2a6de1530dep-12, 0x1.32570ad37e95fp-12, 0x1.25e9bc6e7917ep-12, 0x1.19dfd8206ac58p-12, 0x1.0e36c2b09d2c7p-12, 0x1.02ebeff4b2dc8p-12, 0x1.eff9c50d8a5f5p-13, 0x1.dace56f897aacp-13, 0x1.c650d43e028b9p-13, 0x1.b27c974b25ee4p-13, 0x1.9f4d15dd57697p-13, 0x1.8cbde077d530ap-13, 0x1.7acaa1ded0c68p-13, 0x1.696f1e90d2579p-13, 0x1.58a73446548eep-13, 0x1.486ed96f998dp-13, 0x1.38c21cb72cedfp-13, 0x1.299d2486170dbp-13, 0x1.1afc2e8880e43p-13, 0x1.0cdb8f361c8dp-13, 0x1.fe6f62b82970fp-14, 0x1.e41a2b4fd59b3p-14, 0x1.cab0a46b5ede3p-14, 0x1.b22c243fd14a1p-14, 0x1.9a862a1fb3dd7p-14, 0x1.83b85da3c8d1ap-14, 0x1.6dbc8dd39dfbbp-14, 0x1.588cb0547ac25p-14, 0x1.4422e09b103dbp-14, 0x1.30795f1f78efep-14, 0x1.1d8a909737501p-14, 0x1.0b50fd307c8edp-14, 0x1.f38e9fa1bd46ep-15, 0x1.d1d0aab3f8d64p-15, 0x1.b15df7dc2df38p-15, 0x1.922ca475a14fp-15, 0x1.74330d8bf6cc6p-15, 0x1.5767ce77d3b7cp-15, 0x1.3bc1bf89d6df2p-15, 0x1.2137f4b4b4897p-15, 0x1.07c1bc3fca473p-15, 0x1.dead3affe87dep-16, 0x1.afdcaf2ffba81p-16, 0x1.8301c07bf2607p-16, 0x1.580cc5058401bp-16, 0x1.2eee7b4b430dfp-16, 0x1.079807cc9ffebp-16, 0x1.c3f5e59c1c5c7p-17, 0x1.7c124c1e3d094p-17, 0x1.3769d540be487p-17, 0x1.ebc39acf7afeap-18, 0x1.6ec06e1d0f3f4p-18, 0x1.ef2f1a65a9294p-19, 0x1.0c2f791b0c34dp-19, 0x1.a111458f7f132p-22, -0x1.32ac1d4d9356p-20, -0x1.5c93dc5f79f9dp-19, -0x1.0af7bb3deb664p-18, -0x1.62df5429fdb16p-18, -0x1.b62a708808c69p-18, -0x1.0280d0756ccf9p-17, -0x1.27c62ae8e7aefp-17, -0x1.4af873397d7dfp-17, -0x1.6c2a4bbc1c36cp-17, -0x1.8b6dd0b428106p-17, -0x1.a8d49b9984485p-17, -0x1.c46fc62676728p-17, -0x1.de4fed7ca6ba4p-17, -0x1.f685351965aaap-17, -0x1.068fa4e8e4bfp-16, -0x1.1116b255c6e85p-16, -0x1.1adf26dbc08afp-16, -0x1.23f02f6c50baap-16, -0x1.2c50c338736ap-16, -0x1.3407a506e8e49p-16, -0x1.3b1b647e4037bp-16, -0x1.41925f6b9adc2p-16, -0x1.4772c30201546p-16, -0x1.4cc28d0effd79p-16, -0x1.51878d2f05bc4p-16, -0x1.55c765f5e9d2bp-16, -0x1.59878e12e24b5p-16, -0x1.5ccd516dda37dp-16, -0x1.5f9dd2402da03p-16, -0x1.61fe0a24457c8p-16, -0x1.63f2cb217a5c1p-16, -0x1.6580c0b16c6e8p-16, -0x1.66ac70c1fd05p-16, -0x1.677a3cabaddd3p-16, -0x1.67ee62291e7dp-16, -0x1.680cfc443f222p-16, -0x1.67da044198427p-16, -0x1.675952834b8e1p-16, -0x1.668e9f676af2fp-16, -0x1.657d84250429cp-16, -0x1.64297ba007d3cp-16, -0x1.6295e339d382fp-16, -0x1.60c5fb9d512c3p-16, -0x1.5ebce983d4f49p-16, -0x1.5c7db67be4fc8p-16, -0x1.5a0b51a246eb2p-16, -0x1.5768905db66b8p-16, -0x1.54982f149b653p-16, -0x1.519cd1dcd41d4p-16, -0x1.4e790529add97p-16, -0x1.4b2f3e72ea692p-16, -0x1.47c1dcdbbf324p-16, -0x1.443329d1f7ac6p-16, -0x1.408559ac646f8p-16, -0x1.3cba8c416db19p-16, -0x1.38d4cd7f9866fp-16, -0x1.34d615fd3b43cp-16, -0x1.30c04b882100ep-16, -0x1.2c9541b0a5625p-16, -0x1.2856ba51a3fd3p-16, -0x1.24066611ef1bep-16, -0x1.1fa5e4e9e9e0dp-16, -0x1.1b36c69e9a04bp-16, -0x1.16ba8b3b8302ap-16, -0x1.1232a38baf94ep-16, -0x1.0da0718f034f9p-16, -0x1.090548eaa444dp-16, -0x1.04626f58d48b9p-16, -0x1.ff723a29cb8dfp-17, -0x1.f614fa895b0d8p-17, -0x1.ecaf5cbe93038p-17, -0x1.e34385207ec63p-17, -0x1.d9d38037093cbp-17, -0x1.d06143721373ap-17, -0x1.c6eeade8dea97p-17, -0x1.bd7d8909ba54fp-17, -0x1.b40f894d8627dp-17, -0x1.aaa64ee19976bp-17, -0x1.a143664bba35fp-17, -0x1.97e8491198afdp-17, -0x1.8e965e52c4236p-17, -0x1.854efb62cef25p-17, -0x1.7c13646090f0bp-17, -0x1.72e4ccc724427p-17, -0x1.69c457fa7127ep-17, -0x1.60b319d22c07bp-17, -0x1.57b21720c5d84p-17, -0x1.4ec246356e15bp-17, -0x1.45e48f5aacf73p-17, -0x1.3d19cd525b0a6p-17, -0x1.3462cdcdf68a7p-17, -0x1.2bc051e1eaff4p-17, -0x1.23330e7a5cf5fp-17, -0x1.1abbacc59de5dp-17, -0x1.125acaa0fc11fp-17, -0x1.0a10fb030874ap-17, -0x1.01dec65e75448p-17, -0x1.f389560ab2fdep-18, -0x1.e3863b1145d61p-18, -0x1.d3b5122b46e5ep-18, -0x1.c4169fa1850f3p-18, -0x1.b4ab96566babcp-18, -0x1.a57498714469p-18, -0x1.96723807e305cp-18, -0x1.87a4f7b864e86p-18, -0x1.790d4b4661408p-18, -0x1.6aab98387fc4cp-18, -0x1.5c8036624e261p-18, -0x1.4e8b70784e5b1p-18, -0x1.40cd8494bb9dcp-18, -0x1.3346a4c278e54p-18, -0x1.25f6f77b102ebp-18, -0x1.18de98270b05bp-18, -0x1.0bfd97944afd3p-18, -0x1.fea7f8dbd573ep-19, -0x1.e5c38761568bfp-19, -0x1.cd4dc22de63f2p-19, -0x1.b5467f08e3d2fp-19, -0x1.9dad82dc79957p-19, -0x1.86828282e5557p-19, -0x1.6fc523838c105p-19, -0x1.5974fcd4c4287p-19, -0x1.4391978e380a3p-19, -0x1.2e1a6f988613p-19, -0x1.190ef46115e0dp-19, -0x1.046e897046cacp-19, -0x1.e0710e298eb64p-20, -0x1.b8d875f9d91d7p-20, -0x1.9211d192cecdep-20, -0x1.6c1b95314423bp-20, -0x1.46f42335daacdp-20, -0x1.2299cd27f99b2p-20, -0x1.fe15a97accc1fp-21, -0x1.b88ad9a0169cfp-21, -0x1.748f74a304363p-21, -0x1.321faa6e46a16p-21, -0x1.e26f25646fa93p-22, -0x1.63a65d269dcabp-22, -0x1.cfb9a934e090ap-23, -0x1.bc28f67016c23p-24, 0x1.b67667a5cda4ep-28, 0x1.e7600e38d6dc9p-24, 0x1.d3f1e114403bep-23, 0x1.57456c33b30adp-22, 0x1.c1c65a9aac7f4p-22, 0x1.14c25b062dea2p-21, 0x1.4744c6373427cp-21, 0x1.786efe8268edap-21, 0x1.a8459b200d6bap-21, 0x1.d6cd39c5bcep-21, 0x1.02053ed443be8p-20, 0x1.18010740d2947p-20, 0x1.2d5c4bccfcff5p-20, 0x1.4219637030874p-20, 0x1.563aa60bd99fbp-20, 0x1.69c26bfb3f551p-20, 0x1.7cb30db37a668p-20, 0x1.8f0ee35e50f6cp-20, 0x1.a0d844849aa8fp-20, 0x1.b21187ad5937dp-20, 0x1.c2bd020fdcc02p-20, 0x1.d2dd0741fbda6p-20, 0x1.e273e8e8515cfp-20, 0x1.f183f6717f51fp-20, 0x1.0007be685b935p-19, 0x1.070c631c026p-19, 0x1.0dd10cee1c1ap-19, 0x1.1456ddddb337ap-19, 0x1.1a9ef6316b24fp-19, 0x1.20aa745c6285dp-19, 0x1.267a74e3e592dp-19, 0x1.2c10124a410fbp-19, 0x1.316c64f839132p-19, 0x1.36908325c509p-19, 0x1.3b7d80c7e689fp-19, 0x1.40346f7cc4542p-19, 0x1.44b65e7a7e339p-19, 0x1.49045a800ea75p-19, 0x1.4d1f6dc63b824p-19, 0x1.51089fedca269p-19, 0x1.54c0f5f623c04p-19, 0x1.58497230a7382p-19, 0x1.5ba314340ec08p-19, 0x1.5eced8d2141dp-19, 0x1.61cdba0ed8dc5p-19, 0x1.64a0af184431ap-19, 0x1.6748ac3dfc733p-19, 0x1.69c6a2eaeae54p-19, 0x1.6c1b819ccf2fdp-19, 0x1.6e4833e210c7bp-19, 0x1.704da251f0ebp-19, 0x1.722cb28ac8fd7p-19, 0x1.73e6472c49ad1p-19, 0x1.757b3fd5b1dp-19, 0x1.76ec7922cbaa2p-19, 0x1.783accabdf172p-19, 0x1.79671101b7832p-19, 0x1.7a7219aeeac4fp-19, 0x1.7b5cb73839f6bp-19, 0x1.7c27b71a7429ap-19, 0x1.7cd3e3cc2da9cp-19, 0x1.7d6204bfc7f53p-19, 0x1.7dd2de646ecd8p-19, 0x1.7e2732272a091p-19, 0x1.7e5fbe76880d9p-19, 0x1.7e7d3ec466f21p-19, 0x1.7e806b8950939p-19, 0x1.7e69fa47cd6fep-19, 0x1.7e3a9d8f93c35p-19, 0x1.7df3050231626p-19, 0x1.7d93dd5659f85p-19, 0x1.7d1dd05d826a3p-19, 0x1.7c918507ad543p-19, 0x1.7bef9f6932cffp-19, 0x1.7b38c0bf5b514p-19, 0x1.7a6d877589795p-19, 0x1.798e8f2b8ba2ep-19, 0x1.789c70baa164ap-19, 0x1.7797c23ba1e13p-19, 0x1.7681170e75a0fp-19, 0x1.7558ffdde30f3p-19, 0x1.74200aa73cc8fp-19, 0x1.72d6c2c1a2f83p-19, 0x1.717db0e35bd86p-19, 0x1.70155b294987p-19, 0x1.6e9e451dec895p-19, 0x1.6d18efc016313p-19, 0x1.6b85d989bd98bp-19, 0x1.69e57e775b817p-19, 0x1.6838580f8bf51p-19, 0x1.667edd69b1acep-19, 0x1.64b98335da90fp-19, 0x1.62e8bbc38522ap-19, 0x1.610cf7096a772p-19, 0x1.5f26a2acf810dp-19, 0x1.5d362a0943fbep-19, 0x1.5b3bf63782914p-19, 0x1.59386e160c722p-19, 0x1.572bf64fead3cp-19, 0x1.5516f164bd253p-19, 0x1.52f9bfafd45ebp-19, 0x1.50d4bf6f9941ep-19, 0x1.4ea84cce0d10fp-19, 0x1.4c74c1e76e1dap-19, 0x1.4a3a76d27a3ebp-19, 0x1.47f9c1a790768p-19, 0x1.45b2f6884302cp-19, 0x1.436667a6d947fp-19, 0x1.4114654db7cc2p-19, 0x1.3ebd3de69d892p-19, 0x1.3c613e0246b3fp-19, 0x1.3a00b06019e44p-19, 0x1.379bddf51015cp-19, 0x1.35330df3303c5p-19, 0x1.32c685d0abbabp-19, 0x1.3056894f20514p-19, }}, 
      {{0x1.2d7406ce0d4f3p-7, 0x1.2d753e6dc624fp-6, 0x1.c432d07d2e967p-6, 0x1.2d7b2ecbbf92p-5, 0x1.78e459b98a3f8p-5, 0x1.c45c16a84b55cp-5, 0x1.07f5bb9444fb8p-4, 0x1.2dce096225ff8p-4, 0x1.53bb6074f3d96p-4, 0x1.79c15d6045862p-4, 0x1.9fe298f5732fcp-4, 0x1.c6209fb44ced6p-4, 0x1.ec7bffb667ec6p-4, 0x1.097a2d015dd22p-3, 0x1.1cc435ac01376p-3, 0x1.301b041e15c93p-3, 0x1.437d07145b1b6p-3, 0x1.56e8279306dfp-3, 0x1.6a59bf1af7ed7p-3, 0x1.7dce91190cd3dp-3, 0x1.9142c98287c7cp-3, 0x1.a4b2018662367p-3, 0x1.b8174a432fb6ep-3, 0x1.cb6d3cb0a57c2p-3, 0x1.deae0d70c1a2dp-3, 0x1.f1d3a305d5ecp-3, 0x1.026bd67661fb9p-2, 0x1.0bd9dd2310212p-2, 0x1.1530a77ebeb91p-2, 0x1.1e6cfb56cf8fcp-2, 0x1.278baa67996e4p-2, 0x1.308999034bc03p-2, 0x1.3963c34f6ab81p-2, 0x1.421741356fbdcp-2, 0x1.4aa1493100d8p-2, 0x1.52ff322d7a185p-2, 0x1.5b2e74a6233bap-2, 0x1.632cab39c829ap-2, 0x1.6af792dce17dfp-2, 0x1.728d0ace18e1p-2, 0x1.79eb1468f3e7ap-2, 0x1.810fd2ea79b43p-2, 0x1.87f98b344b72ep-2, 0x1.8ea6a394822c3p-2, 0x1.9515a39386ac5p-2, 0x1.9b4533c5760d3p-2, 0x1.a1341d9a2a5dep-2, 0x1.a6e14b25b1125p-2, 0x1.ac4bc6da92dbbp-2, 0x1.b172bb2fb4d3ep-2, 0x1.b655722c920dbp-2, 0x1.baf354d7d1324p-2, 0x1.bf4bea85bbf8dp-2, 0x1.c35ed805b89bcp-2, 0x1.c72bdeaf54ac5p-2, 0x1.cab2db50ddae5p-2, 0x1.cdf3c5029cef1p-2, 0x1.d0eeabe2badabp-2, 0x1.d3a3b7be81142p-2, 0x1.d61326ae05413p-2, 0x1.d83d4ba78e2e1p-2, 0x1.da228d0fe37dcp-2, 0x1.dbc3634c8b411p-2, 0x1.dd20575c9aaf6p-2, 0x1.de3a017c38a88p-2, 0x1.df1107d66af21p-2, 0x1.dfa61d482004ap-2, 0x1.dffa0036c724dp-2, 0x1.e00d797c25ca4p-2, 0x1.dfe15b6875bb3p-2, 0x1.df7680db4d2abp-2, 0x1.decdcc7342553p-2, 0x1.dde827d3cd44p-2, 0x1.dcc683007aa93p-2, 0x1.db69d3cc3bf74p-2, 0x1.d9d3155b4d471p-2, 0x1.d80347b609f52p-2, 0x1.d5fb6f6ad3a65p-2, 0x1.d3bc953d2d333p-2, 0x1.d147c5e01ab18p-2, 0x1.ce9e11b9e1f1ap-2, 0x1.cbc08caf570c1p-2, 0x1.c8b04df4f383cp-2, 0x1.c56e6fe4220ccp-2, 0x1.c1fc0fd3394c6p-2, 0x1.be5a4deede5bdp-2, 0x1.ba8a4d13a23a4p-2, 0x1.b68d32a6d873bp-2, 0x1.b264266ddfc28p-2, 0x1.ae1052632858ap-2, 0x1.a992e28885073p-2, 0x1.a4ed04b665a11p-2, 0x1.a01fe867ccdbfp-2, 0x1.9b2cbe82e6da3p-2, 0x1.9614b91e51869p-2, 0x1.90d90b433518fp-2, 0x1.8b7ae8ac68245p-2, 0x1.85fb8582e9f28p-2, 0x1.805c16181854ep-2, 0x1.7a9dce9df6adbp-2, 0x1.74c1e2de0f69p-2, 0x1.6ec985ef542d5p-2, 0x1.68b5e9eb80b3ap-2, 0x1.62883fa479aa3p-2, 0x1.5c41b65a24fa2p-2, 0x1.55e37b712dc95p-2, 0x1.4f6eba2b2e7c8p-2, 0x1.48e49b60a41f3p-2, 0x1.4246453d1994ep-2, 0x1.3b94dafddd42fp-2, 0x1.34d17cb3a265ep-2, 0x1.2dfd470749e17p-2, 0x1.271953021b1d2p-2, 0x1.2026b5d9a2256p-2, 0x1.192680bf613dep-2, 0x1.1219c0b46e873p-2, 0x1.0b017e6125bd3p-2, 0x1.03debdf0ed9dp-2, 0x1.f964fde4497c6p-3, 0x1.eafb787454dd9p-3, 0x1.dc82d79af8312p-3, 0x1.cdfcfd97b69f8p-3, 0x1.bf6bc2c0bb837p-3, 0x1.b0d0f56a9a21bp-3, 0x1.a22e59d761956p-3, 0x1.9385aa2cc2f93p-3, 0x1.84d89670df5e1p-3, 0x1.7628c48d748d4p-3, 0x1.6777d058ed714p-3, 0x1.58c74ba5099e6p-3, 0x1.4a18be529648p-3, 0x1.3b6da669e511bp-3, 0x1.2cc778377a29p-3, 0x1.1e279e6c98cefp-3, 0x1.0f8f7a433793ap-3, 0x1.010063a4e9e97p-3, 0x1.e4f752a8caafep-4, 0x1.c8052232571e2p-4, 0x1.ab2cafda0f19cp-4, 0x1.8e706455c99aap-4, 0x1.71d2977d8f074p-4, 0x1.555590acd626ap-4, 0x1.38fb8724a868p-4, 0x1.1cc6a26dedbfbp-4, 0x1.00b8fabb61f64p-4, 0x1.c9a9329557349p-5, 0x1.9236f1883c5edp-5, 0x1.5b1f0b3178efp-5, 0x1.24653cbc2832bp-5, 0x1.dc1a509e6b6f4p-6, 0x1.7034ab75149d2p-6, 0x1.0520663c44135p-6, 0x1.35c8562a66adep-7, 0x1.8c3399ad98637p-9, -0x1.b793bf9792e56p-9, -0x1.3d00f74baa44bp-7, -0x1.051daacd7c0a4p-6, -0x1.6ac4450636396p-6, -0x1.cf6eb5b5d7f01p-6, -0x1.198bc9997276bp-5, -0x1.4adccefd76d3fp-5, -0x1.7ba7dffbfb175p-5, -0x1.abea85ea3dfa9p-5, -0x1.dba25e2ef1d2ap-5, -0x1.05668cfd2a66bp-4, -0x1.1cb43f0282f5ep-4, -0x1.33b9312a92e41p-4, -0x1.4a745904cf485p-4, -0x1.60e4b5958c62ap-4, -0x1.77094f412fcp-4, -0x1.8ce137b9e8b5p-4, -0x1.a26b89efbd655p-4, -0x1.b7a76a02bf7c4p-4, -0x1.cc94053730a4ap-4, -0x1.e13091eb6d689p-4, -0x1.f57c4f8f6ef97p-4, -0x1.04bb434ed8f55p-3, -0x1.0e8f444a9dd5cp-3, -0x1.1839d7fa62e6ap-3, -0x1.21bab01b4914dp-3, -0x1.2b1182e68750cp-3, -0x1.343e0b0febecep-3, -0x1.3d4007c48bb9fp-3, -0x1.46173ca989c4p-3, -0x1.4ec371dad643cp-3, -0x1.574473e9e05ep-3, -0x1.5f9a13dc2676cp-3, -0x1.67c427298c75bp-3, -0x1.6fc287ba763b3p-3, -0x1.779513e5869ap-3, -0x1.7f3bae6d073c8p-3, -0x1.86b63e7bdc6e1p-3, -0x1.8e04afa2076bfp-3, -0x1.9526f1d0a3039p-3, -0x1.9c1cf95556167p-3, -0x1.a2e6bed5333a1p-3, -0x1.a9843f47002b3p-3, -0x1.aff57becd620cp-3, -0x1.b63a7a4d1f64fp-3, -0x1.bc53442aec0b4p-3, -0x1.c23fe77d95d9fp-3, -0x1.c8007667b6091p-3, -0x1.cd95072d67919p-3, -0x1.d2fdb429d52ap-3, -0x1.d83a9bc41919bp-3, -0x1.dd4be06364545p-3, -0x1.e231a86275a94p-3, -0x1.e6ec1e0263aa7p-3, -0x1.eb7b6f5cbb0d7p-3, -0x1.efdfce54eee29p-3, -0x1.f41970892530cp-3, -0x1.f8288f42653cbp-3, -0x1.fc0d67642153ep-3, -0x1.ffc8395b2b0e5p-3, -0x1.01aca4860e4b5p-2, -0x1.03606ee094018p-2, -0x1.04ffa10bb4022p-2, -0x1.068a61f5d9d7p-2, -0x1.0800da2376b5ep-2, -0x1.096333a4f3c3fp-2, -0x1.0ab19a0c6e40cp-2, -0x1.0bec3a633d981p-2, -0x1.0d13431f4ecb4p-2, -0x1.0e26e41852fdfp-2, -0x1.0f274e7cc6de7p-2, -0x1.1014b4c6d6debp-2, -0x1.10ef4ab12200bp-2, -0x1.11b7452b623f5p-2, -0x1.126cda4efc563p-2, -0x1.1310415378aadp-2, -0x1.13a1b282ed41cp-2, -0x1.1421672e5af28p-2, -0x1.148f99a1fcf94p-2, -0x1.14ec851997a78p-2, -0x1.153865b4bf29cp-2, -0x1.1573786b2242fp-2, -0x1.159dfb00d5e8ap-2, -0x1.15b82bfaa93aep-2, -0x1.15c24a9284eaep-2, -0x1.15bc96abd5a0dp-2, -0x1.15a750c807889p-2, -0x1.1582b9fb15a91p-2, -0x1.154f13e02d765p-2, -0x1.150ca08e6a241p-2, -0x1.14bba28daec12p-2, -0x1.145c5ccb9812dp-2, -0x1.13ef129093d29p-2, -0x1.1374077513a0bp-2, -0x1.12eb7f56eb10cp-2, -0x1.1255be4ecdd15p-2, -0x1.11b308a5f87cdp-2, -0x1.1103a2cc03327p-2, -0x1.1047d14cded81p-2, -0x1.0f7fd8c6fe57dp-2, -0x1.0eabfde1b03d8p-2, -0x1.0dcc8543a8b6p-2, -0x1.0ce1b389b7891p-2, -0x1.0bebcd3db5ee1p-2, -0x1.0aeb16cda5326p-2, -0x1.09dfd48303e8ep-2, -0x1.08ca4a7a51478p-2, -0x1.07aabc9acf68ep-2, -0x1.06816e8e75ef4p-2, -0x1.054ea3ba1eb4cp-2, -0x1.04129f35e5f15p-2, -0x1.02cda3c5c8637p-2, -0x1.017ff3d2747d6p-2, -0x1.0029d1625762ap-2, -0x1.fd96fc25c1be1p-3, -0x1.faca762402d89p-3, -0x1.f7ee922fc1e57p-3, -0x1.f503d0c19746cp-3, -0x1.f20ab14eb9a9cp-3, -0x1.ef03b23db8e89p-3, -0x1.ebef50dbb24ebp-3, -0x1.e8ce0951f2d0ep-3, -0x1.e5a0569c0657dp-3, -0x1.e266b27e37a0fp-3, -0x1.df21957c7c515p-3, -0x1.dbd176d1d0bdep-3, -0x1.d876cc67fe229p-3, -0x1.d5120acfc8a4bp-3, -0x1.d1a3a53988a52p-3, -0x1.ce2c0d6e2f62cp-3, -0x1.caabb3c8aa9c3p-3, -0x1.c723072fb4627p-3, -0x1.c392751003addp-3, -0x1.bffa6956e057ap-3, -0x1.bc5b4e6d128f4p-3, -0x1.b8b58d323afaep-3, -0x1.b5098cf87e69p-3, -0x1.b157b38093248p-3, -0x1.ada064f621d8fp-3, -0x1.a9e403ec8738ep-3, -0x1.a622f15be067dp-3, -0x1.a25d8c9e76647p-3, -0x1.9e94336e75f91p-3, -0x1.9ac741e3f3515p-3, -0x1.96f712734acd7p-3, -0x1.9323fdebbbe35p-3, -0x1.8f4e5b765f79cp-3, -0x1.8b768095568ffp-3, -0x1.879cc12350da8p-3, -0x1.83c16f5348278p-3, -0x1.7fe4dbb088491p-3, -0x1.7c07551ef654ep-3, -0x1.782928db93b41p-3, -0x1.744aa27d3c222p-3, -0x1.706c0bf5aa0a1p-3, -0x1.6c8dad92a51c6p-3, -0x1.68afcdff72dd8p-3, -0x1.64d2b24674f1bp-3, -0x1.60f69dd303389p-3, -0x1.5d1bd2736d7eep-3, -0x1.5942905b365bcp-3, -0x1.556b162573008p-3, -0x1.5195a0d75fce5p-3, -0x1.4dc26be31578ap-3, -0x1.49f1b12a712aep-3, -0x1.4623a90219b61p-3, -0x1.42588a34b0b8cp-3, -0x1.3e908a0624532p-3, -0x1.3acbdc3721664p-3, -0x1.370ab308a9e42p-3, -0x1.334d3f3fc2df8p-3, -0x1.2f93b0294a30bp-3, -0x1.2bde339dd86adp-3, -0x1.282cf605cd0ap-3, -0x1.2480225d6610bp-3, -0x1.20d7e238f66e3p-3, -0x1.1d345dc92d1bfp-3, -0x1.1995bbdf73191p-3, -0x1.15fc21f25afdfp-3, -0x1.1267b42223e94p-3, -0x1.0ed8953d47ddp-3, -0x1.0b4ee6c51e55ep-3, -0x1.07cac8f289719p-3, -0x1.044c5abab1276p-3, -0x1.00d3b9d3c58abp-3, -0x1.fac20573a8ce1p-4, -0x1.f3e8a16734eccp-4, -0x1.ed1b7baed1a5bp-4, -0x1.e65ac6201854cp-4, -0x1.dfa6b0436d2c1p-4, -0x1.d8ff675de9c1dp-4, -0x1.d265167b4418bp-4, -0x1.cbd7e677c57dep-4, -0x1.c557fe0a389b3p-4, -0x1.bee581cde921p-4, -0x1.b880944c98e18p-4, -0x1.b229560874ec8p-4, -0x1.abdfe58611b48p-4, -0x1.a5a45f5653d99p-4, -0x1.9f76de2065451p-4, -0x1.99577aab8dc55p-4, -0x1.93464be91d413p-4, -0x1.8d4366fe347e3p-4, -0x1.874edf4d913fp-4, -0x1.8168c68149242p-4, -0x1.7b912c9479fe4p-4, -0x1.75c81fdce82f3p-4, -0x1.700dad14927c8p-4, -0x1.6a61df632fe4cp-4, -0x1.64c4c067a2325p-4, -0x1.5f36584150ce7p-4, -0x1.59b6ad9976628p-4, -0x1.5445c5ac54ca4p-4, -0x1.4ee3a452557e8p-4, -0x1.49904c09180f1p-4, -0x1.444bbdfc6908bp-4, -0x1.3f15fa0f1e78dp-4, -0x1.39eefee3e1437p-4, -0x1.34d6c9e5dc163p-4, -0x1.2fcd575154308p-4, -0x1.2ad2a23c24f7fp-4, -0x1.25e6a49e269d7p-4, -0x1.2109575976dap-4, -0x1.1c3ab242a7cf7p-4, -0x1.177aac28da26ep-4, -0x1.12c93addb0d52p-4, -0x1.0e26533d32edcp-4, -0x1.0991e9358c62fp-4, -0x1.050befceb570ap-4, -0x1.00945931fc4c4p-4, -0x1.f8562d62e72p-5, -0x1.efa0319e84c82p-5, -0x1.e7069e89ab622p-5, -0x1.de895213f9d5dp-5, -0x1.d62828b7bc6f8p-5, -0x1.cde2fd87ae213p-5, -0x1.c5b9aa3c7255cp-5, -0x1.bdac0741d8f06p-5, -0x1.b5b9ebc3e9a56p-5, -0x1.ade32dbbb383ap-5, -0x1.a627a1fbde90cp-5, -0x1.9e871c3d013b2p-5, -0x1.97016f29c9d1p-5, -0x1.8f966c6ad70b3p-5, -0x1.8845e4b26b4b8p-5, -0x1.810fa7c7d6531p-5, -0x1.79f38492b0865p-5, -0x1.72f14925d2498p-5, -0x1.6c08c2ca1c37ap-5, -0x1.6539be0901124p-5, -0x1.5e8406b6d5a3cp-5, -0x1.57e767fcec8eep-5, -0x1.5163ac6373d78p-5, -0x1.4af89ddb26703p-5, -0x1.44a605c6bc56ep-5, -0x1.3e6bad0421b17p-5, -0x1.38495bf58844bp-5, -0x1.323eda8a2e54p-5, -0x1.2c4bf047008fcp-5, -0x1.2670644effd91p-5, -0x1.20abfd6b7298ep-5, -0x1.1afe8213e7a5bp-5, -0x1.1567b875fd591p-5, -0x1.0fe7667d03591p-5, -0x1.0a7d51d95a3cfp-5, -0x1.05294007ade55p-5, -0x1.ffd5ecaffff6cp-6, -0x1.f58473e8ebd6p-6, -0x1.eb5d9fd00a2cep-6, -0x1.e160fa49d04d3p-6, -0x1.d78e0d15d4f99p-6, -0x1.cde461db008b9p-6, -0x1.c4638233749fcp-6, -0x1.bb0af7b80762bp-6, -0x1.b1da4c0b75afbp-6, -0x1.a8d108e53b1cap-6, -0x1.9feeb81c1b36p-6, -0x1.9732e3b042958p-6, -0x1.8e9d15d52d906p-6, -0x1.862cd8fb37a49p-6, -0x1.7de1b7d8d01eep-6, -0x1.75bb3d73702p-6, -0x1.6db8f52837442p-6, -0x1.65da6ab44e95ep-6, -0x1.5e1f2a3ce08bcp-6, -0x1.5686c056f4e01p-6, -0x1.4f10ba0ed413bp-6, -0x1.47bca4ef5688fp-6, -0x1.408a0f08c5d82p-6, -0x1.397886f78e4ap-6, -0x1.32879beaab5c6p-6, -0x1.2bb6dda9ce9c3p-6, -0x1.2505dc9b4ee8ap-6, -0x1.1e7429c9d860dp-6, -0x1.180156e9d1ba7p-6, -0x1.11acf65e90569p-6, -0x1.0b769b3f63858p-6, -0x1.055dd95c3150cp-6, -0x1.fec48a843fddcp-7, -0x1.f306e87fab54fp-7, -0x1.e781f8d31ff02p-7, -0x1.dc34e93a27b14p-7, -0x1.d11ee90aaa19dp-7, -0x1.c63f293c03ae6p-7, -0x1.bb94dc6d9bff7p-7, -0x1.b11f36ed10bcap-7, -0x1.a6dd6ebc3d989p-7, -0x1.9ccebb96a7f4dp-7, -0x1.92f256f6ab38fp-7, -0x1.89477c1a5929dp-7, -0x1.7fcd680807381p-7, -0x1.7683599258ebep-7, -0x1.6d68915c46179p-7, -0x1.647c51dca0f86p-7, -0x1.5bbddf61467d6p-7, -0x1.532c801236a1bp-7, -0x1.4ac77bf43525fp-7, -0x1.428e1ceb355f6p-7, -0x1.3a7faebc8eb71p-7, -0x1.329b7f10df40ep-7, -0x1.2ae0dd7589456p-7, -0x1.234f1b5e7d37dp-7, -0x1.1be58c26e6f51p-7, -0x1.14a385127f896p-7, -0x1.0d885d4e156bap-7, -0x1.06936df005869p-7, -0x1.ff8823f143eb3p-8, -0x1.f2334ca45b4ffp-8, -0x1.e52713a1a6bdcp-8, -0x1.d8623a6481419p-8, -0x1.cbe3863a5a39ap-8, -0x1.bfa9c04194d27p-8, -0x1.b3b3b567a1eb1p-8, -0x1.a8003666d5dc2p-8, -0x1.9c8e17c494a7bp-8, -0x1.915c31ce1e99ep-8, -0x1.8669609613de6p-8, -0x1.7bb483f0c8a8ap-8, -0x1.713c7f7136b31p-8, -0x1.67003a64c6eafp-8, -0x1.5cfe9fcfa507dp-8, -0x1.53369e683ca73p-8, -0x1.49a72892d43e2p-8, -0x1.404f345cb3839p-8, -0x1.372dbb774e5bp-8, -0x1.2e41bb32ffb87p-8, -0x1.258a34799f149p-8, -0x1.1d062bc92ab5bp-8, -0x1.14b4a92dbdd2fp-8, -0x1.0c94b83bf9d7fp-8, -0x1.04a5680a7a358p-8, -0x1.f9cb96581f877p-9, -0x1.eaa9ef526da6cp-9, -0x1.dbe40df2a1761p-9, -0x1.cd782bf88ba31p-9, -0x1.bf6489e736777p-9, -0x1.b1a76ef720a7ep-9, -0x1.a43f2908066b2p-9, -0x1.972a0c92c5974p-9, -0x1.8a66749aa53e5p-9, -0x1.7df2c29f381b3p-9, -0x1.71cd5e8cb9fe7p-9, -0x1.65f4b6ada1ba9p-9, -0x1.5a673f9b8f3e8p-9, -0x1.4f23742f29c8bp-9, -0x1.4427d571db7bap-9, -0x1.3972ea8d54ee8p-9, -0x1.2f0340bc6a641p-9, -0x1.24d76b3b2658ap-9, -0x1.1aee0336c85b8p-9, -0x1.1145a7be239c5p-9, -0x1.07dcfdb18aa0ep-9, -0x1.fd655f6531476p-10, -0x1.eb8adc28c3ef9p-10, -0x1.da27dd961b1bap-10, -0x1.c939dab75209ap-10, -0x1.b8be5597fcd6dp-10, -0x1.a8b2db252cf4cp-10, -0x1.9915030c61c53p-10, -0x1.89e26f9afcf14p-10, -0x1.7b18cd9e46de9p-10, -0x1.6cb5d4425bea6p-10, -0x1.5eb744f2c8dd9p-10, -0x1.511aeb382e44bp-10, -0x1.43de9c9a9f3ffp-10, -0x1.3700387ee527cp-10, -0x1.2a7da807a9dd4p-10, -0x1.1e54ddf54e161p-10, -0x1.1283d6854f1p-10, -0x1.07089752c92p-10, -0x1.f7c25e6d80c2ap-11, -0x1.e2176c50a5875p-11, -0x1.cd0c9a3ab526dp-11, -0x1.b89e3bd6056aep-11, -0x1.a4c8b64ccd6a3p-11, -0x1.9188800cbbf28p-11, -0x1.7eda2085fe9d5p-11, -0x1.6cba2ff173356p-11, -0x1.5b2557115eb06p-11, -0x1.4a184ef5eadbbp-11, -0x1.398fe0bf8c548p-11, -0x1.2988e5656a324p-11, -0x1.1a004577ea0d3p-11, -0x1.0af2f8e6b94efp-11, -0x1.f8bc0d8be45cp-12, -0x1.dc7d0a28de9aep-12, -0x1.c1233102eab4p-12, -0x1.a6a8e8684695p-12, -0x1.8d08b324fffe8p-12, -0x1.743d3011d0f74p-12, -0x1.5c4119a76058dp-12, -0x1.450f458b9fe77p-12, -0x1.2ea2a429230e6p-12, -0x1.18f6403da29a7p-12, -0x1.04053e735144ep-12, -0x1.df95b9e4c3fdap-13, -0x1.b884e5f626a98p-13, -0x1.92cee0f540a6ep-13, -0x1.6e6abb4ca3281p-13, -0x1.4b4fb5279755cp-13, -0x1.29753daa04909p-13, -0x1.08d2f2258b86fp-13, -0x1.d2c13aaf567b5p-14, -0x1.962c6d4445cbcp-14, -0x1.5bd7c298a609ep-14, -0x1.23b3d782e9e87p-14, -0x1.db633b59a2c38p-15, -0x1.7384b429ef9aep-15, -0x1.0faf4756f86b6p-15, -0x1.5f8d8747f6d16p-16, -0x1.4ebe5830a86b4p-17, 0x1.2c4e499a06a63p-21, 0x1.65d82419cbddap-17, 0x1.5571457bed1edp-16, 0x1.f12478898fa28p-16, 0x1.431b7affa5575p-15, 0x1.8a6c76594c645p-15, 0x1.ce9cba600334ap-15, 0x1.07e1a5252bb2fp-14, 0x1.26fb517e57076p-14, 0x1.44a65ec10d3c7p-14, 0x1.60ed88c0f42cp-14, 0x1.7bdb4bcfd0f59p-14, 0x1.9579e5f40e4aap-14, 0x1.add3581228a14p-14, 0x1.c4f1671105948p-14, 0x1.dadd9d01aae17p-14, 0x1.efa14a3febf36p-14, 0x1.01a2c343e42cp-13, 0x1.0ae9990aca5acp-13, 0x1.13a97b586a7f7p-13, 0x1.1be6a460823dcp-13, 0x1.23a5342b6f21bp-13, 0x1.2ae931191e035p-13, 0x1.31b6886292218p-13, 0x1.38110e9c23fb6p-13, 0x1.3dfc802f82adbp-13, 0x1.437c81d9b006ap-13, 0x1.4894a12509fecp-13, 0x1.4d4854df1d21p-13, 0x1.519afd9184c69p-13, 0x1.558fe5f38756p-13, 0x1.592a435ee0c28p-13, 0x1.5c6d363d55aaap-13, 0x1.5f5bca7a598p-13, 0x1.61f8f7edf0992p-13, 0x1.6447a2c82fe38p-13, 0x1.664a9bfbbafacp-13, 0x1.6804a1a2e58dp-13, 0x1.69785f680780dp-13, 0x1.6aa86ee91ea4bp-13, 0x1.6b975819ac355p-13, 0x1.6c4791a3452p-13, 0x1.6cbb8145cd998p-13, 0x1.6cf57c33c1336p-13, 0x1.6cf7c76e32e22p-13, 0x1.6cc498219c2e1p-13, 0x1.6c5e13fa7d50ap-13, 0x1.6bc6517fe687ep-13, 0x1.6aff5867fefb8p-13, 0x1.6a0b21eb93efbp-13, 0x1.68eb9918c4fc3p-13, 0x1.67a29b250a882p-13, 0x1.6631f7bcb6752p-13, 0x1.649b71505ea96p-13, 0x1.62e0bd62925c9p-13, 0x1.610384d23a69bp-13, 0x1.5f056425f5d3cp-13, 0x1.5ce7ebd37b947p-13, 0x1.5aaca087a5c01p-13, 0x1.5854fb6c1745ep-13, 0x1.55e26a6c4890fp-13, 0x1.5356507847fd7p-13, 0x1.50b205c7d460ap-13, 0x1.4df6d818c8b4dp-13, 0x1.4b260af19c9b1p-13, 0x1.4840d7de28b11p-13, 0x1.45486ead45c62p-13, 0x1.423df5ac77441p-13, 0x1.3f2289e290623p-13, 0x1.3bf73f4972c2fp-13, 0x1.38bd2106dac63p-13, 0x1.357531a422254p-13, 0x1.32206b431274fp-13, 0x1.2ebfbfd486a02p-13, 0x1.2b54194ba649bp-13, 0x1.27de59d15e6e4p-13, 0x1.245f5bf607734p-13, 0x1.20d7f2e2e8154p-13, 0x1.1d48ea8a4b8b6p-13, 0x1.19b307d588bfap-13, 0x1.161708d471cfcp-13, 0x1.1275a4e96f7acp-13, 0x1.0ecf8cf5a3c1bp-13, 0x1.0b256b84dcccdp-13, 0x1.0777e4f73d71p-13, 0x1.03c797ab427cdp-13, 0x1.00151c255436fp-13, 0x1.f8c20a719d213p-14, 0x1.f157c05b8023ap-14, 0x1.e9ec69ce99688p-14, 0x1.e2810c119ac43p-14, 0x1.db16a234d0b2cp-14, 0x1.d3ae1d5880bdep-14, 0x1.cc4864f37dee2p-14, 0x1.c4e65716cfd5dp-14, 0x1.bd88c8afea1d7p-14, 0x1.b63085c96d5d4p-14, 0x1.aede51cc2e387p-14, 0x1.a792e7bc49dc4p-14, 0x1.a04efa76083d3p-14, 0x1.991334ea7e04p-14, 0x1.91e03a585a50ep-14, 0x1.8ab6a684c22ffp-14, 0x1.83970df375066p-14, 0x1.7c81fe1c6e6d4p-14, 0x1.7577fda12cb6ep-14, 0x1.6e798c810fc9bp-14, 0x1.67872449b7af3p-14, 0x1.60a1384afcee3p-14, 0x1.59c835c5b5d05p-14, 0x1.52fc841acee0bp-14, 0x1.4c3e84f8d09ep-14, 0x1.458e948a28a12p-14, 0x1.3eed099fbeaa8p-14, 0x1.385a35db7d9ep-14, 0x1.31d665db5fa39p-14, 0x1.2b61e160bcff5p-14, 0x1.24fceb780f76cp-14, 0x1.1ea7c2a09b3afp-14, 0x1.1862a0f11eb73p-14, 0x1.122dbc3d48881p-14, 0x1.0c0946397ba8ep-14, 0x1.05f56c9dd5945p-14, 0x1.ffe4b290b47a2p-15, 0x1.f40064bc30f39p-15, 0x1.e83e34d66d5b1p-15, 0x1.dc9e61066e90ap-15, 0x1.d12120bef57bp-15, 0x1.c5c6a4fb72619p-15, 0x1.ba8f1878bb165p-15, 0x1.af7a9feede1cdp-15, 0x1.a4895a491c65ep-15, 0x1.99bb60db970ddp-15, 0x1.8f10c7960fb4fp-15, 0x1.84899d39fa667p-15, 0x1.7a25eb8b5225ep-15, 0x1.6fe5b780661d7p-15, 0x1.65c901717064bp-15, 0x1.5bcfc5479a24fp-15, 0x1.51f9faa73a5c6p-15, 0x1.4847951c69fd6p-15, 0x1.3eb88446ff4a9p-15, 0x1.354cb4015421ep-15, 0x1.2c040c886db92p-15, 0x1.22de72a4c3f63p-15, 0x1.19dbc7cdfb57bp-15, 0x1.10fbea4ffa2fbp-15, 0x1.083eb56fe3909p-15, 0x1.ff4803178b7d1p-16, 0x1.ee57487dcd773p-16, 0x1.ddaae1038c9e5p-16, 0x1.cd426d94b2ad7p-16, 0x1.bd1d8a506e321p-16, 0x1.ad3bceca67693p-16, 0x1.9d9cce44109d5p-16, 0x1.8e4017e32bb4ap-16, 0x1.7f2536e603c22p-16, 0x1.704bb2dc4454cp-16, 0x1.61b30fdb78ee2p-16, 0x1.535aceab7d762p-16, 0x1.45426cfb07c7ap-16, 0x1.3769658bfeec8p-16, 0x1.29cf3061fea1ap-16, 0x1.1c7342ec0cd5cp-16, 0x1.0f551030c719cp-16, 0x1.027408f8fd43fp-16, 0x1.eb9f37e719b57p-17, 0x1.d2ce6bba7ea3p-17, 0x1.ba74834fabb9fp-17, 0x1.a290513ad79eap-17, 0x1.8b20a501ca242p-17, 0x1.74244b5f06ae5p-17, 0x1.5d9a0e88194c8p-17, 0x1.4780b66a1baf3p-17, 0x1.31d708e627866p-17, 0x1.1c9bca0a09a48p-17, 0x1.07cdbc47fbd05p-17, 0x1.e6d74164afca8p-18, 0x1.bee86e51ed946p-18, 0x1.97cc7d249ec21p-18, 0x1.7180ea0a8b0ecp-18, 0x1.4c032ff91789dp-18, 0x1.2750c90631df5p-18, 0x1.03672ec12b7bdp-18, 0x1.c087b50015cffp-19, 0x1.7bc88b69a2f8fp-19, 0x1.388bd4710fe95p-19, 0x1.ed990a61f9fa4p-20, 0x1.6d0b294d2410bp-20, 0x1.dec7f150a475cp-21, 0x1.d265c5c288a33p-22, -0x1.af3638d35267dp-27, -0x1.e2366492c77cap-22, -0x1.d5fc0817f100ep-21, -0x1.5ab992d023298p-20, -0x1.c7ca20b357fb1p-20, -0x1.191cbee327e3dp-19, -0x1.4d08b6fb2280fp-19, -0x1.7fadd446483d9p-19, -0x1.b110ebb0ec697p-19, -0x1.e136cb1cf6f79p-19, -0x1.08121c8e969bdp-18, -0x1.1eeefa50d221p-18, -0x1.35345a5bc62c1p-18, -0x1.4ae4941936ee1p-18, -0x1.6001fac527b0ap-18, -0x1.748edd4812fa3p-18, -0x1.888d8616cba17p-18, -0x1.9c003b1973228p-18, -0x1.aee93d984ff0bp-18, -0x1.c14aca1a8e04ep-18, -0x1.d327185b42506p-18, -0x1.e4805b2b98613p-18, -0x1.f558c06314a27p-18, -0x1.02d93865e6138p-17, }}, 
      {{0x1.0510b9a1a5548p-7, 0x1.05114adb2197fp-6, 0x1.879b352bc232ap-6, 0x1.051382b51c5f8p-5, 0x1.465b82d1db29ap-5, 0x1.87a7ab2723703p-5, 0x1.c8fae7408ba0bp-5, 0x1.052c5c4203f2p-4, 0x1.25e26e0d2b2dep-4, 0x1.46a17b65c0415p-4, 0x1.676b2a930a904p-4, 0x1.8840e19d65046p-4, 0x1.a923bc0fc647dp-4, 0x1.ca14873606a71p-4, 0x1.eb13c1715b60ep-4, 0x1.0610cd0901eb4p-3, 0x1.169ef8207a4f5p-3, 0x1.27342843d176ap-3, 0x1.37cff8a068bbfp-3, 0x1.4871d75381b4ep-3, 0x1.591903ab3743dp-3, 0x1.69c48d01fff91p-3, 0x1.7a73527bc029ep-3, 0x1.8b2403cb3bcedp-3, 0x1.9bd5230721fb4p-3, 0x1.ac85077b6d13bp-3, 0x1.bd31e15081c15p-3, 0x1.cdd9bdd5dd0dfp-3, 0x1.de7a8c3993bafp-3, 0x1.ef122276fad6cp-3, 0x1.ff9e424c20973p-3, 0x1.080e4f06cc837p-2, 0x1.10456e9c99408p-2, 0x1.18735058bfaeap-2, 0x1.2096c34a5835bp-2, 0x1.28ae96d45d246p-2, 0x1.30b99c2e706adp-2, 0x1.38b6a7b29ff8ap-2, 0x1.40a491fc0ea99p-2, 0x1.488238db57cdap-2, 0x1.504e8025e72efp-2, 0x1.58085265786efp-2, 0x1.5faea16ca8e47p-2, 0x1.674066d4f58fap-2, 0x1.6ebca469dea3bp-2, 0x1.7622648446f9fp-2, 0x1.7d70ba586c9acp-2, 0x1.84a6c23849e97p-2, 0x1.8bc3a1cba5591p-2, 0x1.92c6883ea2c45p-2, 0x1.99aeae67663afp-2, 0x1.a07b56e2fd7a3p-2, 0x1.a72bce29c70c1p-2, 0x1.adbf6a9b569adp-2, 0x1.b4358c81ea44cp-2, 0x1.ba8d9e0d82873p-2, 0x1.c0c71346c2232p-2, 0x1.c6e169f9d46eap-2, 0x1.ccdc2999a9aedp-2, 0x1.d2b6e31bfa817p-2, 0x1.d87130ce96b76p-2, 0x1.de0ab626967b1p-2, 0x1.e3831f8a1b7bap-2, 0x1.e8da221553cafp-2, 0x1.ee0f7b5b82254p-2, 0x1.f322f124c45a1p-2, 0x1.f81451295ff37p-2, 0x1.fce370cb47392p-2, 0x1.00c816674733fp-1, 0x1.030d3488b7f07p-1, 0x1.054108223fb3fp-1, 0x1.076389d1c6a72p-1, 0x1.0974b557da573p-1, 0x1.0b7489757dd15p-1, 0x1.0d6307caec134p-1, 0x1.0f4034b770002p-1, 0x1.110c173a6c758p-1, 0x1.12c6b8d5a3ac2p-1, 0x1.14702570ce2bbp-1, 0x1.16086b3e7fc5fp-1, 0x1.178f9aa26052p-1, 0x1.1905c618add16p-1, 0x1.1a6b021efe19ep-1, 0x1.1bbf651e34ccbp-1, 0x1.1d0307559ce4ep-1, 0x1.1e3602c710181p-1, 0x1.1f5873241bc29p-1, 0x1.206a75bc0eed2p-1, 0x1.216c296ad8c95p-1, 0x1.225dae88a484dp-1, 0x1.233f26da1f50ap-1, 0x1.2410b58152d71p-1, 0x1.24d27eef00572p-1, 0x1.2584a8d46da7ep-1, 0x1.26275a1592fe3p-1, 0x1.26bababb98f5dp-1, 0x1.273ef3e79cc0cp-1, 0x1.27b42fc5adbb8p-1, 0x1.281a997ffab98p-1, 0x1.28725d322838p-1, 0x1.28bba7dcc63c1p-1, 0x1.28f6a758e56ap-1, 0x1.29238a4bc28adp-1, 0x1.2942801a8b947p-1, 0x1.2953b8de38435p-1, 0x1.295765577993ep-1, 0x1.294db6e2c051ap-1, 0x1.2936df6c5c101p-1, 0x1.29131164b44e4p-1, 0x1.28e27fb4a17dp-1, 0x1.28a55db1e658ep-1, 0x1.285bdf13cff7bp-1, 0x1.280637e7fe144p-1, 0x1.27a49c875c2b8p-1, 0x1.2737418b49a8cp-1, 0x1.26be5bc2fc581p-1, 0x1.263a20291b95p-1, 0x1.25aac3d99c1fdp-1, 0x1.25107c07de5bap-1, 0x1.246b7df514adfp-1, 0x1.23bbfee6f2df7p-1, 0x1.2302341eacdf9p-1, 0x1.223e52d042f01p-1, 0x1.2170901a24748p-1, 0x1.209920fd2294fp-1, 0x1.1fb83a54be233p-1, 0x1.1ece10cfc8d7cp-1, 0x1.1ddad8e962095p-1, 0x1.1cdec6e249984p-1, 0x1.1bda0eba8e1c3p-1, 0x1.1acce42b92974p-1, 0x1.19b77aa26c1fp-1, 0x1.189a053a97ec7p-1, 0x1.1774b6b905a48p-1, 0x1.1647c187780c9p-1, 0x1.151357b0371c9p-1, 0x1.13d7aada13a61p-1, 0x1.1294ec44b9445p-1, 0x1.114b4cc54cd37p-1, 0x1.0ffafcc354216p-1, 0x1.0ea42c35e4deap-1, 0x1.0d470aa117f2dp-1, 0x1.0be3c713bde86p-1, 0x1.0a7a902551231p-1, 0x1.090b93f424c85p-1, 0x1.07970023c9bfdp-1, 0x1.061d01dbab56cp-1, 0x1.049dc5c5db2a6p-1, 0x1.0319780e0de49p-1, 0x1.01904460c3ba5p-1, 0x1.000255ea99291p-1, 0x1.fcdfaeaf7b0b9p-2, 0x1.f9b1e5a719e96p-2, 0x1.f67ba4109647cp-2, 0x1.f33d3c3df539ep-2, 0x1.eff6ff7e9f97p-2, 0x1.eca93e1f77879p-2, 0x1.e954476b192b9p-2, 0x1.e5f869aa47ad2p-2, 0x1.e295f2247526dp-2, 0x1.df2d2d2071ae4p-2, 0x1.dbbe65e52e9a6p-2, 0x1.d849e6ba9bbbfp-2, 0x1.d4cff8ea9b048p-2, 0x1.d150e4c1fdda2p-2, 0x1.cdccf19197f85p-2, 0x1.ca4465af55d56p-2, 0x1.c6b7867762dd2p-2, 0x1.c326984d4d08p-2, 0x1.bf91de9d33e1cp-2, 0x1.bbf99bdcf8005p-2, 0x1.b85e118d6615p-2, 0x1.b4bf803b68264p-2, 0x1.b11e27812f4ebp-2, 0x1.ad7a46075c9b9p-2, 0x1.a9d4198625149p-2, 0x1.a62bdec6700bbp-2, 0x1.a281d1a2f2596p-2, 0x1.9ed62d093e999p-2, 0x1.9b292afad4f89p-2, 0x1.977b048e271f7p-2, 0x1.93cbf1ef99edep-2, 0x1.901c2a627bc4ap-2, 0x1.8c6be441f97ep-2, 0x1.88bb55020786dp-2, 0x1.850ab13049a4ep-2, 0x1.815a2c74f2d3dp-2, 0x1.7da9f9939e882p-2, 0x1.79fa4a6c28308p-2, 0x1.764b4ffb7bad5p-2, 0x1.729d3a5c6324fp-2, 0x1.6ef038c851c39p-2, 0x1.6b4479982b671p-2, 0x1.679a2a450bda5p-2, 0x1.63f177690a1b3p-2, 0x1.604a8cbffd62ep-2, 0x1.5ca59528414cep-2, 0x1.5902baa37ca1bp-2, 0x1.55622657657e4p-2, 0x1.51c4008e8c138p-2, 0x1.4e2870b925d74p-2, 0x1.4a8f9d6ddca9fp-2, 0x1.46f9ac6aa2d31p-2, 0x1.4366c2958af2cp-2, 0x1.3fd703fda3e9p-2, 0x1.3c4a93dbdfbb2p-2, 0x1.38c19493f927fp-2, 0x1.353c27b5682fdp-2, 0x1.31ba6dfc585edp-2, 0x1.2e3c8752a8c45p-2, 0x1.2ac292d0f6789p-2, 0x1.274caebfab87dp-2, 0x1.23daf8981a9f5p-2, 0x1.206d8d05a3f5dp-2, 0x1.1d0487e6dfec7p-2, 0x1.19a0044ed913dp-2, 0x1.16401c864d3adp-2, 0x1.12e4ea0cf9ecap-2, 0x1.0f8e859af1ba8p-2, 0x1.0c3d0721ff27ep-2, 0x1.08f085cf1143ap-2, 0x1.05a9180bb10ccp-2, 0x1.0266d37f8479bp-2, 0x1.fe539a23b73a4p-3, 0x1.f7e431d690b1ap-3, 0x1.f17f94ee813d5p-3, 0x1.eb25e8cb968p-3, 0x1.e4d7515a73dd3p-3, 0x1.de93f117d3acbp-3, 0x1.d85be9142493dp-3, 0x1.d22f58f73410cp-3, 0x1.cc0e5f03f52b2p-3, 0x1.c5f9181c51b2fp-3, 0x1.bfef9fc517a58p-3, 0x1.b9f21029f3c3ap-3, 0x1.b40082217cde9p-3, 0x1.ae1b0d3156e4ap-3, 0x1.a841c792623ebp-3, 0x1.a274c634f85ebp-3, 0x1.9cb41cc542b22p-3, 0x1.96ffddaf96dbap-3, 0x1.91581a24e1e02p-3, 0x1.8bbce21f278fbp-3, 0x1.862e446608f75p-3, 0x1.80ac4e9358e61p-3, 0x1.7b370d17b93dbp-3, 0x1.75ce8b3f4abc1p-3, 0x1.7072d3365cc4dp-3, 0x1.6b23ee0e2b3d9p-3, 0x1.65e1e3c1a8bafp-3, 0x1.60acbb3a4609ep-3, 0x1.5b847a54ca6f5p-3, 0x1.566925e62daa7p-3, 0x1.515ac1c0765cbp-3, 0x1.4c5950b79e9a2p-3, 0x1.4764d4a67bfe2p-3, 0x1.427d4e73ac26dp-3, 0x1.3da2be16812f8p-3, 0x1.38d5229bed4aap-3, 0x1.34147a2b78089p-3, 0x1.2f60c20c29f12p-3, 0x1.2ab9f6a97d648p-3, 0x1.262013984a352p-3, 0x1.2193139bb5a71p-3, 0x1.1d12f0aa161f2p-3, 0x1.189fa3f1dcfa9p-3, 0x1.143925de75d7ep-3, 0x1.0fdf6e1d25e06p-3, 0x1.0b9273a1e1643p-3, 0x1.07522cac1ed2fp-3, 0x1.031e8ecba2ab3p-3, 0x1.fdef1dca8c44ep-4, 0x1.f5ba426f5db2dp-4, 0x1.ed9e72c017ae2p-4, 0x1.e59b94bd7588p-4, 0x1.ddb18d37e3178p-4, 0x1.d5e03fd8ab0a5p-4, 0x1.ce278f2b18e52p-4, 0x1.c6875ca582634p-4, 0x1.beff88b246477p-4, 0x1.b78ff2b8a0f4bp-4, 0x1.b03879257f444p-4, 0x1.a8f8f97428e5dp-4, 0x1.a1d15036de6e9p-4, 0x1.9ac1591f52775p-4, 0x1.93c8ef07125ddp-4, 0x1.8ce7ebf7d448cp-4, 0x1.861e2933a256cp-4, 0x1.7f6b7f3cf2735p-4, 0x1.78cfc5de9cebdp-4, 0x1.724ad433bbcbep-4, 0x1.6bdc80af6846p-4, 0x1.6584a1245ef3ap-4, 0x1.5f430acc816d6p-4, 0x1.59179250426dp-4, 0x1.53020bcde9a59p-4, 0x1.4d024ae0c172p-4, 0x1.471822a82451p-4, 0x1.414365ce6434fp-4, 0x1.3b83e68f9ed3bp-4, 0x1.35d976c068f89p-4, 0x1.3043e7d45eec9p-4, 0x1.2ac30ae4969bep-4, 0x1.2556b0b5ee052p-4, 0x1.1ffea9bf3cfcp-4, 0x1.1abac62f695d8p-4, 0x1.158ad5f35517cp-4, 0x1.106ea8bbb76f2p-4, 0x1.0b660e02c8e09p-4, 0x1.0670d511ddc61p-4, 0x1.018ecd06d6954p-4, 0x1.f97f89b2eefbap-5, 0x1.f00716c13e9c1p-5, 0x1.e6b3deaeb97cfp-5, 0x1.dd857ec3d3c16p-5, 0x1.d47b942506fbfp-5, 0x1.cb95bbdc4e416p-5, 0x1.c2d392e25ceb6p-5, 0x1.ba34b6279f2bfp-5, 0x1.b1b8c29cfe76ap-5, 0x1.a95f553c68b18p-5, 0x1.a1280b11191ecp-5, 0x1.9912813fb6002p-5, 0x1.911e550e1da76p-5, 0x1.894b23eb13828p-5, 0x1.81988b759dfd6p-5, 0x1.7a0629843e641p-5, 0x1.72939c2be9cap-5, 0x1.6b4081c6c6d4fp-5, 0x1.640c78fac3c65p-5, 0x1.5cf720bfe409p-5, 0x1.560018666cacfp-5, 0x1.4f26ff9cd45ep-5, 0x1.486b7675767cdp-5, 0x1.41cd1d6c28a8dp-5, 0x1.3b4b956b92047p-5, 0x1.34e67fd24b959p-5, 0x1.2e9d7e77dfedp-5, 0x1.287033b190c0ep-5, 0x1.225e4256f35c2p-5, 0x1.1c674dc659af3p-5, 0x1.168af9e9139f3p-5, 0x1.10c8eb378020fp-5, 0x1.0b20c6bcf6ebdp-5, 0x1.0592321b80909p-5, 0x1.001cd38f71022p-5, 0x1.f580a3e58b33fp-6, 0x1.eaf8a980e309fp-6, 0x1.e0a1082ee0446p-6, 0x1.d679117b6e066p-6, 0x1.cc8018461138p-6, 0x1.c2b570c72890ep-6, 0x1.b9187094f9453p-6, 0x1.afa86ea8668c3p-6, 0x1.a664c3617244bp-6, 0x1.9d4cc88b6a8f4p-6, 0x1.945fd960d7609p-6, 0x1.8b9d528f28bdcp-6, 0x1.8304923a2eca5p-6, 0x1.7a94f7ff3e18bp-6, 0x1.724de4f8290ep-6, 0x1.6a2ebbbdf9f1p-6, 0x1.6236e06b669a4p-6, 0x1.5a65b89f1e251p-6, 0x1.52baab7dd52eap-6, 0x1.4b3521b417ad5p-6, 0x1.43d48577f798ep-6, 0x1.3c98428a70472p-6, 0x1.357fc638aad23p-6, 0x1.2e8a7f5d113d2p-6, 0x1.27b7de60272ffp-6, 0x1.210755393e1c8p-6, 0x1.1a78576ef3348p-6, 0x1.140a5a179d2fcp-6, 0x1.0dbcd3d96168ap-6, 0x1.078f3cea5656fp-6, 0x1.01810f104ec94p-6, 0x1.f7238b413d91cp-7, 0x1.eb81baff5a3e2p-7, 0x1.e01baa40d70acp-7, 0x1.d4f059073856fp-7, 0x1.c9feca6e0170ap-7, 0x1.bf4604a8d77adp-7, 0x1.b4c5110159bccp-7, 0x1.aa7afbd4bd6c8p-7, 0x1.a066d49135671p-7, 0x1.9687adb3138a2p-7, 0x1.8cdc9cc1cf505p-7, 0x1.8364ba4cbf057p-7, 0x1.7a1f21e7b2049p-7, 0x1.710af22737edp-7, 0x1.68274c9cec107p-7, 0x1.5f7355d368367p-7, 0x1.56ee354a31bf2p-7, 0x1.4e97157157f5ep-7, 0x1.466d23a508ad7p-7, 0x1.3e6f9028f2328p-7, 0x1.369d8e2383e2ap-7, 0x1.2ef65399156e9p-7, 0x1.27791966cf9fap-7, 0x1.20251b3db142ap-7, 0x1.18f9979d24e47p-7, 0x1.11f5cfcdc32b4p-7, 0x1.0b1907dbe45a3p-7, 0x1.046286920122dp-7, 0x1.fba32ae61d5b6p-8, 0x1.eecb01699a884p-8, 0x1.e23b2e73f32p-8, 0x1.d5f25518c3fbbp-8, 0x1.c9ef1dade5621p-8, 0x1.be3035bf63f96p-8, 0x1.b2b4500343ae8p-8, 0x1.a77a244d4b556p-8, 0x1.9c806f828c2c3p-8, 0x1.91c5f38ce56cdp-8, 0x1.8749774e7edd7p-8, 0x1.7d09c694ff8a6p-8, 0x1.7305b20ce05e4p-8, 0x1.693c0f34a8357p-8, 0x1.5fabb84ff4fe8p-8, 0x1.56538c5aa6a2bp-8, 0x1.4d326efbdc53bp-8, 0x1.4447487901e61p-8, 0x1.3b9105a8ad08bp-8, 0x1.330e97e5b8f9dp-8, 0x1.2abef50208291p-8, 0x1.22a117399e83fp-8, 0x1.1ab3fd2557d61p-8, 0x1.12f6a9adff8c9p-8, 0x1.0b6823ff15b99p-8, 0x1.04077779de1ep-8, 0x1.f9a767506a6fbp-9, 0x1.eb97d85f32366p-9, 0x1.ddde71884bd0dp-9, 0x1.d0796a3708ef4p-9, 0x1.c36701c039245p-9, 0x1.b6a57f4808ec1p-9, 0x1.aa3331a8a64c1p-9, 0x1.9e0e6f5820faap-9, 0x1.9235964f62ep-9, 0x1.86a70bf05dedbp-9, 0x1.7b613cecefcb3p-9, 0x1.70629d2da9ecfp-9, 0x1.65a9a7b8a7be4p-9, 0x1.5b34de98d201cp-9, 0x1.5102cac4cee02p-9, 0x1.4711fc0682a58p-9, 0x1.3d6108e2bbd69p-9, 0x1.33ee8e808804ep-9, 0x1.2ab930912f445p-9, 0x1.21bf99384aa7p-9, 0x1.190078f3adaf1p-9, 0x1.107a868401159p-9, 0x1.082c7ed511913p-9, 0x1.001524e68e141p-9, 0x1.f0668369f2884p-10, 0x1.e10b48453827p-10, 0x1.d21641c1bc7bbp-10, 0x1.c38524b37a57dp-10, 0x1.b555b1329210ep-10, 0x1.a785b26f70472p-10, 0x1.9a12fe869a9abp-10, 0x1.8cfb765541687p-10, 0x1.803d054e2297ap-10, 0x1.73d5a14efa445p-10, 0x1.67c34a763037p-10, 0x1.5c040af8fdd3dp-10, 0x1.5095f6fa32cbp-10, 0x1.45772c60f5483p-10, 0x1.3aa5d2b0a6ddap-10, 0x1.30201ae04253ap-10, 0x1.25e43f3319e05p-10, 0x1.1bf083117158p-10, 0x1.124332e1c9216p-10, 0x1.08daa3e246703p-10, 0x1.ff6a68069edd5p-11, 0x1.eda2938297edbp-11, 0x1.dc5aa800b0906p-11, 0x1.cb8f93cea0dc7p-11, 0x1.bb3e557715761p-11, 0x1.ab63fb7af5828p-11, 0x1.9bfda40a10d68p-11, 0x1.8d087cbe5d319p-11, 0x1.7e81c25640473p-11, 0x1.7066c070f17bdp-11, 0x1.62b4d14bbf10fp-11, 0x1.55695d7fa100cp-11, 0x1.4881dbbf960fdp-11, 0x1.3bfbd098cae34p-11, 0x1.2fd4ce32a156ap-11, 0x1.240a740fd26b8p-11, 0x1.189a6ed0d9e31p-11, 0x1.0d8277f71bd77p-11, 0x1.02c055a7dd854p-11, 0x1.f0a3b4e3995d1p-12, 0x1.dc69ca24052acp-12, 0x1.c8cec074a3f5cp-12, 0x1.b5ce84b187f71p-12, 0x1.a3651abe4ddf4p-12, 0x1.918e9d17eba3fp-12, 0x1.80473c6758603p-12, 0x1.6f8b3f17a8b6cp-12, 0x1.5f5700eab3274p-12, 0x1.4fa6f29296967p-12, 0x1.4077994989492p-12, 0x1.31c58e6de3e3cp-12, 0x1.238d7f1f33df8p-12, 0x1.15cc2bdababaep-12, 0x1.087e681c522a4p-12, 0x1.f74233feac466p-13, 0x1.de6273c1fafecp-13, 0x1.c657a408abd1bp-13, 0x1.af1bfc708d2dp-13, 0x1.98a9d6fb66051p-13, 0x1.82fbaf62020aep-13, 0x1.6e0c22654cafdp-13, 0x1.59d5ed26a63dp-13, 0x1.4653ec81463c1p-13, 0x1.33811c63ce83p-13, 0x1.21589731d7481p-13, 0x1.0fd595237c80bp-13, 0x1.fde6d752ea5bdp-14, 0x1.dd5b19a93e54bp-14, 0x1.bdff0d7b39f8fp-14, 0x1.9fca05e50cf6p-14, 0x1.82b38bc8e8aa9p-14, 0x1.66b35cae69a9cp-14, 0x1.4bc169ac5a9ep-14, 0x1.31d5d652e3fb6p-14, 0x1.18e8f79a48aefp-14, 0x1.00f352d8b11c7p-14, 0x1.d3db397bab8a4p-15, 0x1.a7a170a1754f2p-15, 0x1.7d2b6bdfea3efp-15, 0x1.546ba4b8a7f3fp-15, 0x1.2d54eb8232483p-15, 0x1.07da6593c0887p-15, 0x1.c7df16c0a930cp-16, 0x1.83104d6d318aep-16, 0x1.4130a1df9df4ep-16, 0x1.0228e274d389bp-16, 0x1.8bc4eb89fe357p-17, 0x1.188eae8abbdep-17, 0x1.55085000ef1e2p-18, 0x1.05ee3ae960bb9p-19, -0x1.159e80dbf5181p-20, -0x1.04632e53b2364p-18, -0x1.ba48be0981e26p-18, -0x1.33b1bc29d4387p-17, -0x1.85fe44ddc23b9p-17, -0x1.d42d96f137042p-17, -0x1.0f312eb0a293cp-16, -0x1.325f2af3604d3p-16, -0x1.53b12b2a7ca33p-16, -0x1.73372903a4296p-16, -0x1.9100af7aa1bb6p-16, -0x1.ad1cdd7499926p-16, -0x1.c79a683d75752p-16, -0x1.e0879dfe2faf9p-16, -0x1.f7f268234250dp-16, -0x1.06f426ddb0044p-15, -0x1.113b3ae4cffbfp-15, -0x1.1ad4d4c2415b1p-15, -0x1.23c72b49cfcf3p-15, -0x1.2c18489a10d6cp-15, -0x1.33ce0b319107ap-15, -0x1.3aee26f78bb42p-15, -0x1.417e264371665p-15, -0x1.47836adba6e14p-15, -0x1.4d032ef30cd84p-15, -0x1.5202861c31556p-15, -0x1.56865e3b4e297p-15, -0x1.5a938071f82f4p-15, -0x1.5e2e9204ba1dep-15, -0x1.615c153db5b4dp-15, -0x1.64206a4ada523p-15, -0x1.667fd0151e59p-15, -0x1.687e651501981p-15, -0x1.6a202821d3c7ep-15, -0x1.6b68f93c309cep-15, -0x1.6c5c9a55873f1p-15, -0x1.6cfeb01110a6cp-15, -0x1.6d52c28014c66p-15, -0x1.6d5c3de0702a1p-15, -0x1.6d1e734ea2e1bp-15, -0x1.6c9c997a06a7ep-15, -0x1.6bd9cd51adc6fp-15, -0x1.6ad912adca3ccp-15, -0x1.699d54f81ca28p-15, -0x1.682967cd27eb2p-15, -0x1.6680079a3852cp-15, -0x1.64a3da3a690efp-15, -0x1.62976f8e5bb6p-15, -0x1.605d4210c6154p-15, -0x1.5df7b766f8e21p-15, -0x1.5b6920f048b5dp-15, -0x1.58b3bc4f92833p-15, -0x1.55d9b3f39a0cbp-15, -0x1.52dd1f9a3d61p-15, -0x1.4fc004d2ac8p-15, -0x1.4c84577aa2b28p-15, -0x1.492bfa3b94b6bp-15, -0x1.45b8bf020ddacp-15, -0x1.422c6774b69f1p-15, -0x1.3e88a56541dcp-15, -0x1.3acf1b43b3f1cp-15, -0x1.37015c8a2831dp-15, -0x1.3320ee2779a7ap-15, -0x1.2f2f46e8395f8p-15, -0x1.2b2dcfdde7006p-15, -0x1.271de4c06a573p-15, -0x1.2300d45162571p-15, -0x1.1ed7e0b9c25f9p-15, -0x1.1aa43fe70e983p-15, -0x1.16671be5ca9a5p-15, -0x1.12219338c3f19p-15, -0x1.0dd4b9307c50ap-15, -0x1.0981963d6a98fp-15, -0x1.0529284326126p-15, -0x1.00cc62e6be35bp-15, -0x1.f8d85fbc59dcp-16, -0x1.f012de77411f7p-16, -0x1.e749ef6d0ab3bp-16, -0x1.de7f2deb57e8p-16, -0x1.d5b423a9023a8p-16, -0x1.ccea494e90251p-16, -0x1.c42306fd8ebafp-16, -0x1.bb5fb4d1f2362p-16, -0x1.b2a19b603640bp-16, -0x1.a9e9f430ec5cp-16, -0x1.a139ea3cc4c67p-16, -0x1.98929a5d7cb61p-16, -0x1.8ff513c35ca03p-16, -0x1.87625863dd584p-16, -0x1.7edb5d659dc05p-16, -0x1.76610b89d7e23p-16, -0x1.6df43f95229c8p-16, -0x1.6595cab129de5p-16, -0x1.5d4672cf2971fp-16, -0x1.5506f30790b77p-16, -0x1.4cd7fbf54528p-16, -0x1.44ba3410de5cfp-16, -0x1.3cae3806694a8p-16, -0x1.34b49b0c8a65cp-16, -0x1.2ccde736b157bp-16, -0x1.24fa9dc523495p-16, -0x1.1d3b3773374c7p-16, -0x1.159024c535cfbp-16, -0x1.0df9ce4f8dbfcp-16, -0x1.06789500a8841p-16, -0x1.fe19a4d0049acp-17, -0x1.ef6db1f0bc0fap-17, -0x1.e0ede896a208ap-17, -0x1.d29ad2c0e93ddp-17, -0x1.c474edb8fd59ep-17, -0x1.b67caa8dab0ebp-17, -0x1.a8b26e8796a1ep-17, -0x1.9b169399f2ab6p-17, -0x1.8da968d4de86p-17, -0x1.806b32d04c586p-17, -0x1.735c2c137dc68p-17, -0x1.667c857e1fb13p-17, -0x1.59cc66a6feb57p-17, -0x1.4d4bee40d54dcp-17, -0x1.40fb3273a3e92p-17, -0x1.34da413a22bddp-17, -0x1.28e920b6345cdp-17, -0x1.1d27cf8708e74p-17, -0x1.1196451e49d1bp-17, -0x1.0634720b3b816p-17, -0x1.f604809550a44p-18, -0x1.dfff272552761p-18, -0x1.ca5893382e25dp-18, -0x1.b51074ca7d8b2p-18, -0x1.a02670f2e6898p-18, -0x1.8b9a22658b5d3p-18, -0x1.776b19f4ad816p-18, -0x1.6398df0a4c0bp-18, -0x1.5022f0223a7f9p-18, -0x1.3d08c33de6fc3p-18, -0x1.2a49c6551b9dbp-18, -0x1.17e55fbf91ddbp-18, -0x1.05daeea269c55p-18, -0x1.e85396ab015acp-19, -0x1.c5a28f85a1537p-19, -0x1.a3a15f93a0a69p-19, -0x1.824e933255fddp-19, -0x1.61a8ac099326bp-19, -0x1.41ae21c4a4346p-19, -0x1.225d62a8f707dp-19, -0x1.03b4d43f54e99p-19, -0x1.cb65a7dcdd89cp-20, -0x1.90ab6f1159d97p-20, -0x1.57379bc37cf4bp-20, -0x1.1f06beb3762a8p-20, -0x1.d02ab97761dd2p-21, -0x1.64bfdfa5fcecp-21, -0x1.f78ba04ebfddcp-22, -0x1.2a6ab267a3035p-22, -0x1.8839c6e407b61p-24, 0x1.865f098d5bb3fp-24, 0x1.2096a412b6a4ap-22, 0x1.dafd03ec5a43ep-22, 0x1.486ce2ca490b5p-21, 0x1.a11dee941ad3cp-21, 0x1.f7992615be894p-21, 0x1.25f307b146b81p-20, 0x1.4f061a5212d6ep-20, 0x1.77099168fa975p-20, 0x1.9e01343d66a74p-20, 0x1.c3f0ca4ef5517p-20, 0x1.e8dc1acb2433bp-20, 0x1.06637602cc7a1p-19, 0x1.17da8178d2ef3p-19, 0x1.28d51153bfbd9p-19, 0x1.395505fab5e3cp-19, 0x1.495c3e76f023bp-19, 0x1.58ec98384afd1p-19, 0x1.6807eeea4777p-19, 0x1.76b01c3ba5aa5p-19, 0x1.84e6f7b22392bp-19, 0x1.92ae5680303dfp-19, 0x1.a0080b5c83358p-19, 0x1.acf5e650b45e4p-19, 0x1.b979b49ddac8fp-19, 0x1.c5954096689a5p-19, 0x1.d14a51774012ep-19, 0x1.dc9aab4bc6dep-19, 0x1.e7880ecf6bacbp-19, 0x1.f214394f24515p-19, 0x1.fc40e4900ec48p-19, 0x1.0307e35be5dd3p-18, 0x1.07c1491784fa1p-18, 0x1.0c4d7ac98053dp-18, 0x1.10ad4dcd5de97p-18, 0x1.14e19584441dap-18, 0x1.18eb234961cdep-18, 0x1.1ccac66c2f7b8p-18, 0x1.20814c26d904p-18, 0x1.240f7f98d668cp-18, 0x1.277629be73bdep-18, 0x1.2ab6116d37b0ep-18, 0x1.2dcffb4e3b2d9p-18, 0x1.30c4a9d73419fp-18, 0x1.3394dd4798f2p-18, 0x1.364153a54b544p-18, 0x1.38cac8b921fc9p-18, 0x1.3b31f60aa5d09p-18, 0x1.3d7792df9e012p-18, 0x1.3f9c5438bc9bdp-18, 0x1.41a0eccfe7913p-18, 0x1.43860d17c76e9p-18, 0x1.454c633a7f129p-18, 0x1.46f49b18d8677p-18, 0x1.487f5e49cb9e4p-18, 0x1.49ed541c24dd1p-18, 0x1.4b3f219613d66p-18, 0x1.4c7569759be7dp-18, 0x1.4d90cc31a2c07p-18, 0x1.4e91e7fb6028cp-18, 0x1.4f7958c09f563p-18, 0x1.5047b82cb75f4p-18, 0x1.50fd9daa4fc13p-18, 0x1.519b9e67b377dp-18, 0x1.52224d563fb8ep-18, 0x1.52923b2efba5p-18, 0x1.52ebf676063aep-18, 0x1.53300b7bd9bc6p-18, 0x1.535f04618a98fp-18, 0x1.5379691c89d4cp-18, 0x1.537fbf7a18bf2p-18, 0x1.53728b21f2098p-18, 0x1.53524d9af8d0fp-18, 0x1.531f864ff5344p-18, 0x1.52dab292a295ap-18, 0x1.52844da03efp-18, 0x1.521cd0a5f0aafp-18, 0x1.51a4b2c51a8fcp-18, 0x1.511c6917e02aep-18, 0x1.508466b53b356p-18, 0x1.4fdd1cb70edf1p-18, 0x1.4f26fa3e7e5c4p-18, 0x1.4e626c7827c6fp-18, 0x1.4d8fdea1f5fc1p-18, 0x1.4cafba0f08c41p-18, 0x1.4bc2662d27486p-18, 0x1.4ac8488ac461p-18, 0x1.49c1c4db1d372p-18, 0x1.48af3cfc29af5p-18, 0x1.479110fad546dp-18, 0x1.46679f195ebf5p-18, 0x1.453343d442d33p-18, 0x1.43f459e72a5e1p-18, 0x1.42ab3a51d22f4p-18, 0x1.41583c5e54cd9p-18, 0x1.3ffbb5a6772adp-18, 0x1.3e95fa1931011p-18, 0x1.3d275bff62c73p-18, 0x1.3bb02c0158944p-18, 0x1.3a30b92c417b1p-18, }}, 
      {{-0x1.e5adfc7c6c86dp-1, -0x1.e5725e6d7a2f3p-1, -0x1.e506f713c1ef8p-1, -0x1.e4620d7fdc57fp-1, -0x1.e37947809d998p-1, -0x1.e2433659b7e99p-1, -0x1.e0b86068c4639p-1, -0x1.ded3cffba8b9p-1, -0x1.dc933f97f4eeap-1, -0x1.d9f6ff859b655p-1, -0x1.d701add1e86c2p-1, -0x1.d3b7d502db6c5p-1, -0x1.d01f806e8c796p-1, -0x1.cc3fd0916891fp-1, -0x1.c820961ad566ap-1, -0x1.c3c9f7b16d76p-1, -0x1.bf44247e62d22p-1, -0x1.ba97143567d75p-1, -0x1.b5ca54649eef1p-1, -0x1.b0e4e23faa184p-1, -0x1.abed0fbb9e505p-1, -0x1.a6e8729ec3714p-1, -0x1.a1dbdc12e3801p-1, -0x1.9ccb574a93f05p-1, -0x1.97ba2ddac43dap-1, -0x1.92aaf084cb2c1p-1, -0x1.8d9f834e3d948p-1, -0x1.88992be7fcecbp-1, -0x1.8398a18ad2134p-1, -0x1.7e9e1d93da46fp-1, -0x1.79a96c4cddf62p-1, -0x1.74b9fd6b84a27p-1, -0x1.6fcef3ede0b87p-1, -0x1.6ae73512b7001p-1, -0x1.66017640505ddp-1, -0x1.611c49bd9efa6p-1, -0x1.5c362a2f55378p-1, -0x1.574d84d591f5dp-1, -0x1.5260c28f4531ap-1, -0x1.4d6e4faec74afp-1, -0x1.4874a2afa18e3p-1, -0x1.437241e091774p-1, -0x1.3e65c816939e5p-1, -0x1.394de87e9e431p-1, -0x1.342971a3c2d09p-1, -0x1.2ef74fbef87e3p-1, -0x1.29b68e64f05b2p-1, -0x1.246659a52bf67p-1, -0x1.1f05feac3fd1ep-1, -0x1.1994ebf9c5e8dp-1, -0x1.1412b1390e845p-1, -0x1.0e7efeca3d175p-1, -0x1.08d9a5081db11p-1, -0x1.03229355b513ap-1, -0x1.fab3adfac14cdp-2, -0x1.eeff33d46eebep-2, -0x1.e3284286cddfp-2, -0x1.d72f97e09c644p-2, -0x1.cb162216ad508p-2, -0x1.bedcfc917bb88p-2, -0x1.b2856cabcfd21p-2, -0x1.a610de6a60fd6p-2, -0x1.9980e13367887p-2, -0x1.8cd7248c136bp-2, -0x1.801574e1174efp-2, -0x1.733db85ea9d6fp-2, -0x1.6651ebdbcb4dfp-2, -0x1.59541fdbf344ap-2, -0x1.4c4675a9d669cp-2, -0x1.3f2b1c8d6f33dp-2, -0x1.32044f1f108fdp-2, -0x1.24d450b8e6d1fp-2, -0x1.179d6b07f9597p-2, -0x1.0a61ebbd659efp-2, -0x1.fa4844c0bd4ep-3, -0x1.dfccbc8238c9cp-3, -0x1.c555d919abbfdp-3, -0x1.aae82d051579cp-3, -0x1.90883f90a3ae3p-3, -0x1.763a89c14e6cap-3, -0x1.5c03737e442c1p-3, -0x1.41e750f79daecp-3, -0x1.27ea6048bc504p-3, -0x1.0e10c75468ccfp-3, -0x1.e8bd23b199ed8p-4, -0x1.b5af5f722582ap-4, -0x1.82ffe6f528159p-4, -0x1.50b621e66cf6p-4, -0x1.1ed9384d7c1fep-4, -0x1.dae021429a6ffp-5, -0x1.79029c60b7f51p-5, -0x1.18269fb0b4e22p-5, -0x1.70b0bc23178ffp-6, -0x1.668df85d67dfep-7, 0x1.f6736ff238084p-12, 0x1.81391475ece01p-7, 0x1.76ed3d23baf17p-6, 0x1.155c826bd7a02p-5, 0x1.6df70c4f77acfp-5, 0x1.c53de334a3fep-5, 0x1.0d949bfaa27eep-4, 0x1.37d8e1c929972p-4, 0x1.6168629b84407p-4, 0x1.8a400000760b2p-4, 0x1.b25cdc499ef2bp-4, 0x1.d9bc593de86eap-4, 0x1.002e0b5bd3982p-3, 0x1.131cf8988085p-3, 0x1.25aa0020af094p-3, 0x1.37d44a870f80cp-3, 0x1.499b1c58752a9p-3, 0x1.5afdd54adb719p-3, 0x1.6bfbef692cda6p-3, 0x1.7c94fe3ccc71p-3, 0x1.8cc8adf59ed2p-3, 0x1.9c96c2915ee1fp-3, 0x1.abff1702f6eb4p-3, 0x1.bb019c5a6d816p-3, 0x1.c99e58ee0fefp-3, 0x1.d7d567854e49p-3, 0x1.e5a6f685c6f09p-3, 0x1.f3134722edb48p-3, 0x1.000d564853b4dp-2, 0x1.065ec59c9c0cp-2, 0x1.0c7e2bfb5e75p-2, 0x1.126bcba83fa26p-2, 0x1.1827ee5e26f36p-2, 0x1.1db2e4f208dap-2, 0x1.230d06f7db685p-2, 0x1.2836b269ca21ap-2, 0x1.2d304b51b1db5p-2, 0x1.31fa3b74ef3afp-2, 0x1.3694f20281242p-2, 0x1.3b00e34389a3dp-2, 0x1.3f3e884e28f3ap-2, 0x1.434e5ebaaff0ap-2, 0x1.4730e85b3181p-2, 0x1.4ae6aaf55dcb6p-2, 0x1.4e702ffeb400ep-2, 0x1.51ce045af1384p-2, 0x1.5500b81cc3631p-2, 0x1.5808de48ad031p-2, 0x1.5ae70c9a12261p-2, 0x1.5d9bdb4a64193p-2, 0x1.6027e4da63ea9p-2, 0x1.628bc5dd64d8cp-2, 0x1.64c81cc69073ep-2, 0x1.66dd89b812ed9p-2, 0x1.68ccae542c838p-2, 0x1.6a962d90143a7p-2, 0x1.6c3aab88a008fp-2, 0x1.6dbacd58ab69cp-2, 0x1.6f1738f123b38p-2, 0x1.705094f2b954bp-2, 0x1.716788891f874p-2, 0x1.725cbb47d4c1cp-2, 0x1.7330d50860ff1p-2, 0x1.73e47dca0575p-2, 0x1.74785d92c6dc2p-2, 0x1.74ed1c51d2b92p-2, 0x1.754361c32bdd2p-2, 0x1.757bd554938e5p-2, 0x1.75971e0baa83cp-2, 0x1.7595e26d3577ap-2, 0x1.7578c8658550dp-2, 0x1.75407531f14c7p-2, 0x1.74ed8d4b5ddf3p-2, 0x1.7480b451c46fdp-2, 0x1.73fa8cf8b4e09p-2, 0x1.735bb8f4c6c9cp-2, 0x1.72a4d8e9f3cdep-2, 0x1.71d68c5ad1587p-2, 0x1.70f17198a3308p-2, 0x1.6ff625b43d30cp-2, 0x1.6ee5446fb181bp-2, 0x1.6dbf6830c057dp-2, 0x1.6c8529f401bb4p-2, 0x1.6b372140ca39fp-2, 0x1.69d5e41dbb204p-2, 0x1.68620705fc75p-2, 0x1.66dc1cdf1f67bp-2, 0x1.6544b6ef9b1dbp-2, 0x1.639c64d5e3de6p-2, 0x1.61e3b48018a9ap-2, 0x1.601b32243fbd4p-2, 0x1.5e4368390b71fp-2, 0x1.5c5cdf6f29a1bp-2, 0x1.5a681eab130a3p-2, 0x1.5865aaff56b59p-2, 0x1.565607a7639bfp-2, 0x1.5439b602c5f12p-2, 0x1.52113590d578ep-2, 0x1.4fdd03ecd4026p-2, 0x1.4d9d9cca76c2dp-2, 0x1.4b5379f2d70a9p-2, 0x1.48ff1341c9034p-2, 0x1.46a0dea38f3a5p-2, 0x1.44395012efcedp-2, 0x1.41c8d997a5fa8p-2, 0x1.3f4feb4524f8dp-2, 0x1.3ccef339b89b1p-2, 0x1.3a465d9df181fp-2, 0x1.37b694a463256p-2, 0x1.35200089b257cp-2, 0x1.32830794e7f51p-2, 0x1.2fe00e180e55dp-2, 0x1.2d3776711835p-2, 0x1.2a89a10b01a3dp-2, 0x1.27d6ec5f3b50bp-2, 0x1.251fb4f74c57fp-2, 0x1.2264556eb60ccp-2, 0x1.1fa526750d6a3p-2, 0x1.1ce27ed04db0ep-2, 0x1.1a1cb35f62df6p-2, 0x1.1754171ce2c9ap-2, 0x1.1488fb21fd9a4p-2, 0x1.11bbaea997ab7p-2, 0x1.0eec7f1396d52p-2, 0x1.0c1bb7e855fdfp-2, 0x1.0949a2dc474b8p-2, 0x1.067687d3b9f18p-2, 0x1.03a2ace6c8078p-2, 0x1.00ce56656aa14p-2, 0x1.fbf38db756bdfp-3, 0x1.f64a7e2bf881cp-3, 0x1.f0a1fc4b557e5p-3, 0x1.eafa82cae5fa8p-3, 0x1.e55488fc5ba1bp-3, 0x1.dfb082d72d11ep-3, 0x1.da0ee10260becp-3, 0x1.d47010de75bc9p-3, 0x1.ced47c8f83144p-3, 0x1.c93c8b077f8e6p-3, 0x1.c3a8a010a8468p-3, 0x1.be191c581096ap-3, 0x1.b88e5d784f097p-3, 0x1.b308be044bb93p-3, 0x1.ad88959224ac7p-3, 0x1.a80e38c62f396p-3, 0x1.a299f95e0cc35p-3, 0x1.9d2c263bd575bp-3, 0x1.97c50b7151f2fp-3, 0x1.9264f24b44d8ep-3, 0x1.8d0c215cc338dp-3, 0x1.87badc8a94197p-3, 0x1.827165169eecbp-3, 0x1.7d2ff9ab54be4p-3, 0x1.77f6d6672cbc5p-3, 0x1.72c634e817f4ap-3, 0x1.6d9e4c56fb395p-3, 0x1.687f51732743fp-3, 0x1.6369769dcf15dp-3, 0x1.5e5cebe572e91p-3, 0x1.5959df115068cp-3, 0x1.54607bacc3f5p-3, 0x1.4f70eb12a03a4p-3, 0x1.4a8b54787dddap-3, 0x1.45afdcf9fed8cp-3, 0x1.40dea7a40200dp-3, 0x1.3c17d57fcbff1p-3, 0x1.375b859e1b2cep-3, 0x1.32a9d5222e3e6p-3, 0x1.2e02df4cb5d11p-3, 0x1.2966bd86b461bp-3, 0x1.24d5876c47652p-3, 0x1.204f52d75ec7ep-3, 0x1.1bd433ea57681p-3, 0x1.17643d1a877bep-3, 0x1.12ff7f3aa5253p-3, 0x1.0ea60985251acp-3, 0x1.0a57e9a66f191p-3, 0x1.06152bc6fef89p-3, 0x1.01ddda956d236p-3, 0x1.fb63fea0acfe5p-4, 0x1.f32343a04ea02p-4, 0x1.eaf991219770ap-4, 0x1.e2e6f1767d959p-4, 0x1.daeb6c5e057e5p-4, 0x1.d3070716ddda9p-4, 0x1.cb39c471d31aep-4, 0x1.c383a4e3f3c6cp-4, 0x1.bbe4a69881cecp-4, 0x1.b45cc5829676ap-4, 0x1.acebfb6e9178p-4, 0x1.a59240133c80cp-4, 0x1.9e4f8922b2e02p-4, 0x1.9723ca5b04114p-4, 0x1.900ef59692037p-4, 0x1.8910fadc32844p-4, 0x1.8229c86f05b7fp-4, 0x1.7b594ade0c5c2p-4, 0x1.749f6d137b8a7p-4, 0x1.6dfc1863c90fp-4, 0x1.676f349c7a2bcp-4, 0x1.60f8a812a62fep-4, 0x1.5a9857b13ce44p-4, 0x1.544e2707069a1p-4, 0x1.4e19f8545c9f3p-4, 0x1.47fbac98a6c44p-4, 0x1.41f3239f8df07p-4, 0x1.3c003c0df25efp-4, 0x1.3622d36e98259p-4, 0x1.305ac63e98f98p-4, 0x1.2aa7eff98f3cp-4, 0x1.250a2b2580a36p-4, 0x1.1f81515e87ap-4, 0x1.1a0d3b623f886p-4, 0x1.14adc11aea947p-4, 0x1.0f62b9aa5bdbp-4, 0x1.0a2bfb74a362fp-4, 0x1.05095c2a7895bp-4, 0x1.fff561a6d10efp-5, 0x1.f5ff9baf89d5ap-5, 0x1.ec310e14b5165p-5, 0x1.e2895f63c9dcp-5, 0x1.d90835249ab49p-5, 0x1.cfad33eb50826p-5, 0x1.c677ff69fc74bp-5, 0x1.bd683a81b25fbp-5, 0x1.b47d87532b19ap-5, 0x1.abb7874f01298p-5, 0x1.a315db4576891p-5, 0x1.9a982375d56c7p-5, 0x1.923dff9d56f2bp-5, 0x1.8a070f05aeb5bp-5, 0x1.81f2f0932400bp-5, 0x1.7a0142d245b1ep-5, 0x1.7231a4053a3p-5, 0x1.6a83b230a6dfep-5, 0x1.62f70b283a03dp-5, 0x1.5b8b4c9acddcbp-5, 0x1.5440141e2e8f2p-5, 0x1.4d14ff3a86a9ap-5, 0x1.4609ab75621d9p-5, 0x1.3f1db65c65386p-5, 0x1.3850bd8fa00a3p-5, 0x1.31a25ecb8c4dcp-5, 0x1.2b1237f2b7ec3p-5, 0x1.249fe717183fdp-5, 0x1.1e4b0a83088b3p-5, 0x1.181340c1f837cp-5, 0x1.11f828a8cc06cp-5, 0x1.0bf9615def09ep-5, 0x1.06168a610dc24p-5, 0x1.004f439296d72p-5, 0x1.f5465a75c862dp-6, 0x1.ea23d0223e406p-6, 0x1.df362a83c4b11p-6, 0x1.d47caceb182cep-6, 0x1.c9f69bacb585ep-6, 0x1.bfa33c2c715b7p-6, 0x1.b581d4e8a5fffp-6, 0x1.ab91ad84cb7b9p-6, 0x1.a1d20ed3a1c8ep-6, 0x1.984242e0e6f57p-6, 0x1.8ee194fa840a5p-6, 0x1.85af51b953ec1p-6, 0x1.7caac709734ep-6, 0x1.73d3443229e89p-6, 0x1.6b2819dd5d77cp-6, 0x1.62a89a1ea0184p-6, 0x1.5a541879e1c29p-6, 0x1.5229e9e9a6a01p-6, 0x1.4a2964e4f64e2p-6, 0x1.4251e164dd5a3p-6, 0x1.3aa2b8e996145p-6, 0x1.331b467f5a1f8p-6, 0x1.2bbae6c2d2e64p-6, 0x1.2480f7e5402bcp-6, 0x1.1d6cd9b04fcd9p-6, 0x1.167ded8991984p-6, 0x1.0fb39675b2d08p-6, 0x1.090d391b5b71bp-6, 0x1.028a3bc5d5f06p-6, 0x1.f8540cceb1653p-7, 0x1.ebd8053646647p-7, 0x1.df9f374e79a92p-7, 0x1.d3a87cfc1041dp-7, 0x1.c7f2b37f30147p-7, 0x1.bc7cbb7560277p-7, 0x1.b14578db43f42p-7, 0x1.a64bd30dd1064p-7, 0x1.9b8eb4cb14043p-7, 0x1.910d0c329603ep-7, 0x1.86c5cac54a3eep-7, 0x1.7cb7e5652a261p-7, 0x1.72e254545703ep-7, 0x1.694413340bc57p-7, 0x1.5fdc2102ff358p-7, 0x1.56a9801b97c68p-7, 0x1.4dab3631bfa8cp-7, 0x1.44e04c505bd9cp-7, 0x1.3c47ced6937d5p-7, 0x1.33e0cd74b61bbp-7, 0x1.2baa5b28dc585p-7, 0x1.23a38e3b4ae12p-7, 0x1.1bcb803aa095fp-7, 0x1.14214df7a73dbp-7, 0x1.0ca417810b75ep-7, 0x1.0553001eb8737p-7, 0x1.fc5a5c9a48918p-8, 0x1.ee6397707545fp-8, 0x1.e0c00a6c8385bp-8, 0x1.d36e1584f5d66p-8, 0x1.c66c1eef18f89p-8, 0x1.b9b89313b0b6ap-8, 0x1.ad51e4831ddfdp-8, 0x1.a1368be9812aep-8, 0x1.956508025504cp-8, 0x1.89dbdd8bbd579p-8, 0x1.7e999739e48dp-8, 0x1.739cc5a9c1694p-8, 0x1.68e3ff53dfb6fp-8, 0x1.5e6de07ed4c98p-8, 0x1.54390b31998a2p-8, 0x1.4a442725a13f7p-8, 0x1.408de1b8c543ap-8, 0x1.3714eddf2dea9p-8, 0x1.2dd80414d9bbfp-8, 0x1.24d5e24f2d1e7p-8, 0x1.1c0d4bee75a16p-8, 0x1.137d09af0e221p-8, 0x1.0b23e99aaa11ap-8, 0x1.0300bef96f309p-8, 0x1.f624c485ff9ep-9, 0x1.e6af621ecefe4p-9, 0x1.d79f1c1032762p-9, 0x1.c8f1c1b17e329p-9, 0x1.baa52c401522p-9, 0x1.acb73ec125136p-9, 0x1.9f25e5e31d065p-9, 0x1.91ef17df252bep-9, 0x1.8510d45abedf6p-9, 0x1.7889244939d6ep-9, 0x1.6c5619cd39161p-9, 0x1.6075d01a47153p-9, 0x1.54e66b5670189p-9, 0x1.49a6187bfedf6p-9, 0x1.3eb30d3b0978cp-9, 0x1.340b87db84a44p-9, 0x1.29adcf1ee96bfp-9, 0x1.1f9832226eccap-9, 0x1.15c9084112f48p-9, 0x1.0c3eb0f5de7d4p-9, 0x1.02f793be49fdap-9, 0x1.f3e43ff9779f1p-10, 0x1.e25999b691a81p-10, 0x1.d14c325d1e399p-10, 0x1.c0b916b15cd6cp-10, 0x1.b09d6258d151cp-10, 0x1.a0f63fa18e714p-10, 0x1.91c0e74887c3p-10, 0x1.82faa041d754fp-10, 0x1.74a0bf806a4e9p-10, 0x1.66b0a7be26033p-10, 0x1.5927c9451fbc9p-10, 0x1.4c03a1b86aaf5p-10, 0x1.3f41bbde170e7p-10, 0x1.32dfaf6959a6bp-10, 0x1.26db20c4d420dp-10, 0x1.1b31c0de1764p-10, 0x1.0fe14cf104316p-10, 0x1.04e78e53d3bb9p-10, 0x1.f484b48774fb9p-11, 0x1.dfdf23644ce56p-11, 0x1.cbda4223f362p-11, 0x1.b872004bec4c9p-11, 0x1.a5a2639eabd02p-11, 0x1.936787b99178fp-11, 0x1.81bd9db48f911p-11, 0x1.70a0ebc2a3011p-11, 0x1.600dccd2f97aap-11, 0x1.5000b03420ee3p-11, 0x1.407619375038bp-11, 0x1.316a9ed4ab919p-11, 0x1.22daeb52b7393p-11, 0x1.14c3bbeb4709fp-11, 0x1.0721e075200cp-11, 0x1.f3e47618a8672p-12, 0x1.da637f78cbc48p-12, 0x1.c1bae8584a6d3p-12, 0x1.a9e4de936eeddp-12, 0x1.92dbb1f0c9cc9p-12, 0x1.7c99d37dc558cp-12, 0x1.6719d4ee2754p-12, 0x1.525667fe9612ap-12, 0x1.3e4a5dd78bf31p-12, 0x1.2af0a6729b0dfp-12, 0x1.184450046f856p-12, 0x1.0640866525fcfp-12, 0x1.e9c124fcb8e06p-13, 0x1.c83fb36ff65a9p-13, 0x1.a7f3bad5379ddp-13, 0x1.88d474a15f1ccp-13, 0x1.6ad94ff983c2fp-13, 0x1.4df9f09f1d04ap-13, 0x1.322e2de2bec62p-13, 0x1.176e1199ce5eep-13, 0x1.fb63ae32eb5efp-14, 0x1.c9e3d4691ea63p-14, 0x1.9a4dcc7b774b9p-14, 0x1.6c932a1d75f5cp-14, 0x1.40a5dc2328baep-14, 0x1.16782aa14fb35p-14, 0x1.dbf96a181d9fep-15, 0x1.8e4ce0d16eb71p-15, 0x1.43d14b00703b8p-15, 0x1.f8dbbc5db104bp-16, 0x1.7014e0d850fadp-16, 0x1.da3dd37a278bep-17, 0x1.bf2fc34599aafp-18, -0x1.021869b13908fp-21, -0x1.ea8b168cb9491p-18, -0x1.d029127632bc4p-17, -0x1.508f67624c183p-16, -0x1.b43ba5e37880bp-16, -0x1.09a03e8292d2bp-15, -0x1.36e20ebd8ea1ep-15, -0x1.61f5db27d78d6p-15, -0x1.8aedbd4259e24p-15, -0x1.b1db53661a8fdp-15, -0x1.d6cfc382740b3p-15, -0x1.f9dbbdd3861f3p-15, -0x1.0d87bfc81ede2p-14, -0x1.1d3d6ac2085adp-14, -0x1.2c168f505d878p-14, -0x1.3a1aa7427e801p-14, -0x1.4750f7f8c40abp-14, -0x1.53c0939c57d75p-14, -0x1.5f705a4fb801fp-14, -0x1.6a66fb593b366p-14, -0x1.74aaf6462e9dep-14, -0x1.7e429c0c2644dp-14, -0x1.873410220cc61p-14, -0x1.8f854993dc35fp-14, -0x1.973c141228fe6p-14, -0x1.9e5e10f9a7a23p-14, -0x1.a4f0b85b4ab82p-14, -0x1.aaf959f4f4dd7p-14, -0x1.b07d1e318e597p-14, -0x1.b581071a337bdp-14, -0x1.ba09f146786f7p-14, -0x1.be1c94c88322cp-14, -0x1.c1bd86123fc8p-14, -0x1.c4f136d6d6f6fp-14, -0x1.c7bbf6e8025ccp-14, -0x1.ca21f50da372dp-14, -0x1.cc273fd9de7eap-14, -0x1.cdcfc6783bf35p-14, -0x1.cf1f59770672bp-14, -0x1.d019ab91e40e7p-14, -0x1.d0c2526f99b56p-14, -0x1.d11cc7632f52dp-14, -0x1.d12c682493c8ap-14, -0x1.d0f477884851dp-14, -0x1.d0781e2fabfaap-14, -0x1.cfba6b38d769ep-14, -0x1.cebe54e88bd8fp-14, -0x1.cd86b950b859dp-14, -0x1.cc165ef3a93aep-14, -0x1.ca6ff564122c8p-14, -0x1.c89615e06e0bcp-14, -0x1.c68b43eb88b22p-14, -0x1.c451ede2125d6p-14, -0x1.c1ec6d8ab9923p-14, -0x1.bf5d08a6cc1a5p-14, -0x1.bca5f17b04cf9p-14, -0x1.b9c94759f0869p-14, -0x1.b6c9172676c44p-14, -0x1.b3a75bd753d84p-14, -0x1.b065fef4637fap-14, -0x1.ad06d9142ffc7p-14, -0x1.a98bb25358ea4p-14, -0x1.a5f642cbaadp-14, -0x1.a2483306a8426p-14, -0x1.9e831c6ef0d07p-14, -0x1.9aa889bd35c9ep-14, -0x1.96b9f764ae093p-14, -0x1.92b8d3faf9df1p-14, -0x1.8ea6809ec6df3p-14, -0x1.8a84515af4e72p-14, -0x1.86538d88e5acbp-14, -0x1.8215702de81ep-14, -0x1.7dcb285a0b80cp-14, -0x1.7975d9801ecfcp-14, -0x1.75169bcfb51c2p-14, -0x1.70ae7c89d04bbp-14, -0x1.6c3e7e5508561p-14, -0x1.67c7998faf79ep-14, -0x1.634abc9f106e8p-14, -0x1.5ec8cc3cf95b7p-14, -0x1.5a42a3c3cfee8p-14, -0x1.55b91577ba075p-14, -0x1.512ceaceedda1p-14, -0x1.4c9ee4b7b7b4p-14, -0x1.480fbbdca4e43p-14, -0x1.438020e69fb7cp-14, -0x1.3ef0bcbe0d1ap-14, -0x1.3a6230c9cab51p-14, -0x1.35d5172c30878p-14, -0x1.314a02ff4c228p-14, -0x1.2cc1808efddaep-14, -0x1.283c159139db5p-14, -0x1.23ba415d9c45dp-14, -0x1.1f3c7d229739bp-14, -0x1.1ac33c1a0c964p-14, -0x1.164eebbc0bcdep-14, -0x1.11dff3effcbcfp-14, -0x1.0d76b73cd49b8p-14, -0x1.091392f7fb24ep-14, -0x1.04b6df723e02ep-14, -0x1.0060f0247b151p-14, -0x1.f82427b54a5ddp-15, -0x1.ef9529ba3cddfp-15, -0x1.e715723381f73p-15, -0x1.dea584959eeadp-15, -0x1.d645dc3b8435fp-15, -0x1.cdf6ecb04bfp-15, -0x1.c5b921f8462ddp-15, -0x1.bd8ce0d705427p-15, -0x1.b57287135ff11p-15, -0x1.ad6a6bb9cd00dp-15, -0x1.a574df5c86485p-15, -0x1.9d922c522a928p-15, -0x1.95c296f2b8899p-15, -0x1.8e065dd1e4a6fp-15, -0x1.865db9f846421p-15, -0x1.7ec8df1aa0097p-15, -0x1.7747fbcf87a0cp-15, -0x1.6fdb39c37734p-15, -0x1.6882bdebe447bp-15, -0x1.613ea8b732bbcp-15, -0x1.5a0f163d068fdp-15, -0x1.52f41e6bbbb5fp-15, -0x1.4bedd534c3ca8p-15, -0x1.44fc4ab838f49p-15, -0x1.3e1f8b6e729adp-15, -0x1.3757a050fed05p-15, -0x1.30a48f01317ffp-15, -0x1.2a0659ee87ffap-15, -0x1.237d007ad24d5p-15, -0x1.1d087f1e6157dp-15, -0x1.16a8cf89edf8ap-15, -0x1.105de8c85117dp-15, -0x1.0a27bf5e4c0dfp-15, -0x1.04064569e5a8ap-15, -0x1.fbf2d580b2433p-16, -0x1.f0023a1614a5bp-16, -0x1.e43a8fc6ffc2p-16, -0x1.d89ba9de50253p-16, -0x1.cd2557f1c985ap-16, -0x1.c1d7661578dfbp-16, -0x1.b6b19d0c2e384p-16, -0x1.abb3c2767cca2p-16, -0x1.a0dd98ffdf9e7p-16, -0x1.962ee08b25ae6p-16, -0x1.8ba7565d4ed0cp-16, -0x1.8146b5451f06bp-16, -0x1.770cb5c34919ep-16, -0x1.6cf90e3009817p-16, -0x1.630b72df34f61p-16, -0x1.59439643b9cap-16, -0x1.4fa129116843cp-16, -0x1.4623da5dee53p-16, -0x1.3ccb57bf1b32fp-16, -0x1.33974d69f1da2p-16, -0x1.2a87664f104fap-16, -0x1.219b4c36811e7p-16, -0x1.18d2a7da47166p-16, -0x1.102d2100a4977p-16, -0x1.07aa5e945b559p-16, -0x1.fe940d783928cp-17, -0x1.ee177de326234p-17, -0x1.ddde582d95ff8p-17, -0x1.cde7e515868b8p-17, -0x1.be336c7b46765p-17, -0x1.aec035878c25fp-17, -0x1.9f8d86d05de8p-17, -0x1.909aa67b46626p-17, -0x1.81e6da5f018b6p-17, -0x1.7371682343f78p-17, -0x1.6539955e1c384p-17, -0x1.573ea7b225331p-17, -0x1.497fe4ea83f81p-17, -0x1.3bfc9313c125bp-17, -0x1.2eb3f89618da4p-17, -0x1.21a55c4c439ecp-17, -0x1.14d0059b01282p-17, -0x1.08333c84e11fap-17, -0x1.f79c93819c753p-18, -0x1.df40ed97f694p-18, -0x1.c7521bf95c295p-18, -0x1.afceb526f31bbp-18, -0x1.98b551985e894p-18, -0x1.82048bd681ba4p-18, -0x1.6bbb009c8cd7fp-18, -0x1.55d74ef07193ap-18, -0x1.4058183f3706fp-18, -0x1.2b3c007267e11p-18, -0x1.1681ae0894e36p-18, -0x1.0227ca2901fefp-18, -0x1.dc5a0170aeda8p-19, -0x1.b52000d0735bfp-19, -0x1.8e9ef596f4b97p-19, -0x1.68d448c5c218cp-19, -0x1.43bd695d27368p-19, -0x1.1f57cc703aefdp-19, -0x1.f741da8262cf1p-20, -0x1.b12c9aacd19p-20, -0x1.6c6ae918836c5p-20, -0x1.28f7e24ddbf14p-20, -0x1.cd9d5f986a1b2p-21, -0x1.4bd5103eaadc1p-21, -0x1.991abbee24e3cp-22, -0x1.3ef3aa8637265p-23, 0x1.552c69f5defccp-24, 0x1.454664e127a04p-22, 0x1.184512e4e0d11p-21, 0x1.8b9421aaa1cd3p-21, 0x1.fc9936d9fb009p-21, 0x1.35ae87c7dc55cp-20, 0x1.6bf426f3ec2c7p-20, 0x1.a121bc846a503p-20, 0x1.d53b7e8c7572p-20, 0x1.0422cad5ee1c1p-19, 0x1.1d220e8a02632p-19, 0x1.359d9148c8927p-19, 0x1.4d975349adb83p-19, 0x1.65114e1add3a1p-19, 0x1.7c0d74ada2372p-19, 0x1.928db3592f75cp-19, 0x1.a893efe42d4f9p-19, 0x1.be220990b631fp-19, 0x1.d339d9238b4a6p-19, 0x1.e7dd30f082035p-19, 0x1.fc0ddce252077p-19, 0x1.07e6d1457ef67p-18, 0x1.118f2096047e2p-18, 0x1.1b00b8e1ea878p-18, 0x1.243c738e6717p-18, 0x1.2d4326ed41a16p-18, 0x1.3615a641e6ad6p-18, 0x1.3eb4c1cb2a7f4p-18, 0x1.472146c8d2091p-18, 0x1.4f5bff8351f19p-18, 0x1.5765b353e6f41p-18, 0x1.5f3f26ab9c6fbp-18, 0x1.66e91b1b9097p-18, 0x1.6e644f5cf3733p-18, 0x1.75b17f58f656ap-18, 0x1.7cd16430c51c8p-18, 0x1.83c4b4453d1cdp-18, 0x1.8a8c233f81339p-18, 0x1.91286219a6478p-18, 0x1.979a1f26db3b3p-18, 0x1.9de2061aff99p-18, 0x1.a400c014ce01dp-18, 0x1.a9f6f3a447f42p-18, 0x1.afc544d464ddep-18, 0x1.b56c5532d44e7p-18, 0x1.baecc3d97fc7fp-18, 0x1.c0472d75ba3b8p-18, 0x1.c57c2c50fa1c9p-18, 0x1.ca8c5859e957bp-18, 0x1.cf78472cc655bp-18, 0x1.d4408c1b20b39p-18, 0x1.d8e5b833c1804p-18, 0x1.dd685a4cd561dp-18, 0x1.e1c8ff0a4b63dp-18, 0x1.e60830e6ffbd4p-18, 0x1.ea26783d0a605p-18, 0x1.ee245b4ca4f7dp-18, 0x1.f2025e4697569p-18, 0x1.f5c10351d2daap-18, 0x1.f960ca954d98bp-18, 0x1.fce2323e2f973p-18, 0x1.0022db445f3a5p-17, 0x1.01c5e8e3f8bddp-17, 0x1.035a7e3680fcp-17, 0x1.04e0d687b7901p-17, 0x1.06592c39d6386p-17, 0x1.07c3b8c9c6635p-17, 0x1.0920b4d297c7ap-17, 0x1.0a70581120353p-17, 0x1.0bb2d967bcd41p-17, 0x1.0ce86ee1e1ac5p-17, 0x1.0e114db76a326p-17, 0x1.0f2daa5055ea7p-17, 0x1.103db84805807p-17, 0x1.1141aa7157b01p-17, 0x1.1239b2d8cea26p-17, 0x1.132602c89f94p-17, 0x1.1406cacc161dap-17, 0x1.14dc3ab28dda4p-17, 0x1.15a68192876f3p-17, 0x1.1665cdcd204bdp-17, 0x1.171a4d10cc52dp-17, 0x1.17c42c5cc25cdp-17, 0x1.18639803b8544p-17, 0x1.18f8bbaef7859p-17, }}, 
      {{-0x1.e5baabc803498p-1, -0x1.e5a73d291c8f4p-1, -0x1.e5852b644132ep-1, -0x1.e5524fad6ea6ap-1, -0x1.e50c325069824p-1, -0x1.e4b0560b3b631p-1, -0x1.e43c7232cef16p-1, -0x1.e3ae9a906ff2fp-1, -0x1.e30556cf548bap-1, -0x1.e23fac85aabdp-1, -0x1.e15d1f1e5ce31p-1, -0x1.e05da8a114d0cp-1, -0x1.df41add89e145p-1, -0x1.de09efd0061dap-1, -0x1.dcb77c221acb2p-1, -0x1.db4b9d2dc2116p-1, -0x1.d9c7caed43ca7p-1, -0x1.d82d9ced3f0bcp-1, -0x1.d67ebdae76e4p-1, -0x1.d4bcdf98d669bp-1, -0x1.d2e9b38b44596p-1, -0x1.d106e100ca093p-1, -0x1.cf15ffb678637p-1, -0x1.cd1892b4e95e3p-1, -0x1.cb10049b21f17p-1, -0x1.c8fda50628b3p-1, -0x1.c6e2a6f018493p-1, -0x1.c4c01fe25d557p-1, -0x1.c29707d8ad18ap-1, -0x1.c06839b4cd6c8p-1, -0x1.be3474262fb5ap-1, -0x1.bbfc5aeb8234p-1, -0x1.b9c078577e9efp-1, -0x1.b7813f054f583p-1, -0x1.b53f0babd2cf3p-1, -0x1.b2fa2701b337ep-1, -0x1.b0b2c7a6c7c1cp-1, -0x1.ae6914095f121p-1, -0x1.ac1d24400f306p-1, -0x1.a9cf03d25106cp-1, -0x1.a77eb36ba647dp-1, -0x1.a52c2a764099ap-1, -0x1.a2d7589b2b668p-1, -0x1.a0802726cf775p-1, -0x1.9e267a515c728p-1, -0x1.9bca326b27dd9p-1, -0x1.996b2ced8d0b9p-1, -0x1.970945711d1efp-1, -0x1.94a4568a3acaap-1, -0x1.923c3a8d5dd2ep-1, -0x1.8fd0cc3c5f072p-1, -0x1.8d61e75e3b477p-1, -0x1.8aef6942c13ap-1, -0x1.88793133a3095p-1, -0x1.85ff20d459ddep-1, -0x1.83811c7240337p-1, -0x1.80ff0b463e7adp-1, -0x1.7e78d7a94f0c8p-1, -0x1.7bee6f3d13e2bp-1, -0x1.795fc309a3ab2p-1, -0x1.76ccc791a0dacp-1, -0x1.743574dd9f57cp-1, -0x1.7199c67fc6386p-1, -0x1.6ef9bb9090c0bp-1, -0x1.6c5556a57762cp-1, -0x1.69ac9dc2478d2p-1, -0x1.66ff9a45d2109p-1, -0x1.644e58d297751p-1, -0x1.6198e9340604cp-1, -0x1.5edf5e40cdee2p-1, -0x1.5c21cdbacb08dp-1, -0x1.5960502cf5b52p-1, -0x1.569b00c7bd925p-1, -0x1.53d1fd3c3139dp-1, -0x1.51056596410e8p-1, -0x1.4e355c167008ap-1, -0x1.4b62050b3081p-1, -0x1.488b86aa2f647p-1, -0x1.45b208e9c02b5p-1, -0x1.42d5b55aa01dep-1, -0x1.3ff6b70232c3ap-1, -0x1.3d153a3567a5ap-1, -0x1.3a316c746204bp-1, -0x1.374b7c47014d7p-1, -0x1.3463991a65ff1p-1, -0x1.3179f31f81173p-1, -0x1.2e8ebb2ac51aap-1, -0x1.2ba2229501beap-1, -0x1.28b45b1d7845ap-1, -0x1.25c596cd307ap-1, -0x1.22d607db9122ep-1, -0x1.1fe5e094452f2p-1, -0x1.1cf5533e68c08p-1, -0x1.1a049205043e6p-1, -0x1.1713cee0d0d3p-1, -0x1.14233b8341b3fp-1, -0x1.11330942d2a6fp-1, -0x1.0e43690892167p-1, -0x1.0b548b3ee4115p-1, -0x1.08669fc173a8cp-1, -0x1.0579d5ce4d9cbp-1, -0x1.028e5bf81bfbcp-1, -0x1.ff48c032ee8fep-2, -0x1.f9781e928faffp-2, -0x1.f3ab2ba054186p-2, -0x1.ede23e3d9dec2p-2, -0x1.e81dab8a99d2fp-2, -0x1.e25dc6d6aec87p-2, -0x1.dca2e192a93e8p-2, -0x1.d6ed4b448b237p-2, -0x1.d13d517cec21dp-2, -0x1.cb933fcddce71p-2, -0x1.c5ef5fc32dc6cp-2, -0x1.c051f8dc15a6bp-2, -0x1.babb508614b29p-2, -0x1.b52baa1911f5cp-2, -0x1.afa346d4903c6p-2, -0x1.aa2265ddf9c9ap-2, -0x1.a4a9443fe5dddp-2, -0x1.9f381cea4c2b6p-2, -0x1.99cf28b396d68p-2, -0x1.946e9e5a839a7p-2, -0x1.8f16b288c20cdp-2, -0x1.89c797d646a3p-2, -0x1.84817ecd4234bp-2, -0x1.7f4495eead445p-2, -0x1.7a1109b763187p-2, -0x1.74e704a5b7194p-2, -0x1.6fc6af3f85535p-2, -0x1.6ab03018a50dbp-2, -0x1.65a3abd9bfa6dp-2, -0x1.60a145477c53p-2, -0x1.5ba91d49f8d26p-2, -0x1.56bb52f485e18p-2, -0x1.51d8038da28eap-2, -0x1.4cff4a9727efbp-2, -0x1.483141d6a7dcap-2, -0x1.436e015df02abp-2, -0x1.3eb59f93ad92ap-2, -0x1.3a08313c2d5fcp-2, -0x1.3565c9823197ap-2, -0x1.30ce79ffd6498p-2, -0x1.2c4252c785d1p-2, -0x1.27c1626ceedbap-2, -0x1.234bb60e02c96p-2, -0x1.1ee1595bf2bb8p-2, -0x1.1a8256a426ebep-2, -0x1.162eb6d92fdb9p-2, -0x1.11e6819baf26cp-2, -0x1.0da9bd433326cp-2, -0x1.09786ee6ffaa7p-2, -0x1.05529a66cc20fp-2, -0x1.013842736841bp-2, -0x1.fa52d12e9d592p-3, -0x1.f24c1a7e41569p-3, -0x1.ea5c5f840c7b2p-3, -0x1.e2839cd3f3d46p-3, -0x1.dac1ccf7e6468p-3, -0x1.d316e87ff63bp-3, -0x1.cb82e6123b2e7p-3, -0x1.c405ba7a87434p-3, -0x1.bc9f58b9d12f8p-3, -0x1.b54fb21567a0cp-3, -0x1.ae16b625e70dcp-3, -0x1.a6f452e5e7678p-3, -0x1.9fe874c07340ep-3, -0x1.98f3069f318e8p-3, -0x1.9213f1f857fc3p-3, -0x1.8b4b1edc58a6bp-3, -0x1.8498740347b42p-3, -0x1.7dfbd6da051cfp-3, -0x1.77752b8f247b6p-3, -0x1.7104551f8bd9fp-3, -0x1.6aa93562d7926p-3, -0x1.6463ad177c33ep-3, -0x1.5e339beea12a6p-3, -0x1.5818e097c0764p-3, -0x1.521358cc038aap-3, -0x1.4c22e1596298cp-3, -0x1.4647562d7f3fep-3, -0x1.4080926048b37p-3, -0x1.3ace703e58a1cp-3, -0x1.3530c9531a736p-3, -0x1.2fa77672b090dp-3, -0x1.2a324fc3a4017p-3, -0x1.24d12cc84e8c3p-3, -0x1.1f83e46815595p-3, -0x1.1a4a4cf8627c6p-3, -0x1.15243c456b79fp-3, -0x1.1011879ab6b5cp-3, -0x1.0b1203cb73241p-3, -0x1.0625853a96cdbp-3, -0x1.014bdfe2c1843p-3, -0x1.f909cebbe5733p-4, -0x1.efa0ddda0fdc1p-4, -0x1.e65c92fe0e6f9p-4, -0x1.dd3c93707111cp-4, -0x1.d44083f217e14p-4, -0x1.cb6808c9a27d1p-4, -0x1.c2b2c5d07b038p-4, -0x1.ba205e7f83d4bp-4, -0x1.b1b075fb70e2fp-4, -0x1.a962af20b06d2p-4, -0x1.a136ac8f1463p-4, -0x1.992c10b51269ep-4, -0x1.91427ddab2f44p-4, -0x1.8979962c2aacep-4, -0x1.81d0fbc4226e7p-4, -0x1.7a4850b5aa6fep-4, -0x1.72df3715dfdb4p-4, -0x1.6b955105430e7p-4, -0x1.646a40b8bd753p-4, -0x1.5d5da882629b2p-4, -0x1.566f2ad9de60fp-4, -0x1.4f9e6a64a0dfep-4, -0x1.48eb09fdbf5bp-4, -0x1.4254acbd91494p-4, -0x1.3bdaf601061fbp-4, -0x1.357d8970bb3f8p-4, -0x1.2f3c0b07cc3ap-4, -0x1.29161f1a6608fp-4, -0x1.230b6a5c17f48p-4, -0x1.1d1b91e5e8a8ep-4, -0x1.17463b3c2e6d3p-4, -0x1.118b0c542b30ap-4, -0x1.0be9ab996e896p-4, -0x1.0661bff2ffeedp-4, -0x1.00f2f0c851b74p-4, -0x1.f739cc0bf5764p-5, -0x1.ecbe90447cb8bp-5, -0x1.e2738042be25fp-5, -0x1.d857ef337d521p-5, -0x1.ce6b316f96e4dp-5, -0x1.c4ac9c8380424p-5, -0x1.bb1b87366076bp-5, -0x1.b1b74990d50afp-5, -0x1.a87f3ce356177p-5, -0x1.9f72bbcc45317p-5, -0x1.9691223da94f3p-5, -0x1.8dd9cd828f8bfp-5, -0x1.854c1c4422086p-5, -0x1.7ce76e8e683d7p-5, -0x1.74ab25d4c1ff4p-5, -0x1.6c96a4f60f1c7p-5, -0x1.64a95040909fap-5, -0x1.5ce28d7582fdep-5, -0x1.5541c3cc72418p-5, -0x1.4dc65bf648898p-5, -0x1.466fc0201c273p-5, -0x1.3f3d5bf5be65bp-5, -0x1.382e9ca40b574p-5, -0x1.3142f0daf66e9p-5, -0x1.2a79c8cf6b772p-5, -0x1.23d2963ce49c5p-5, -0x1.1d4ccc66d6ebfp-5, -0x1.16e7e019de75fp-5, -0x1.10a347acc0e6cp-5, -0x1.0a7e7b013182p-5, -0x1.0478f3846e683p-5, -0x1.fd24585f4df43p-6, -0x1.f1934310743e3p-6, -0x1.e63da33f87fc7p-6, -0x1.db227827fca74p-6, -0x1.d040c41cfeb29p-6, -0x1.c5978c88947c3p-6, -0x1.bb25d9ea6f01ep-6, -0x1.b0eab7d67925ep-6, -0x1.a6e534f3198b7p-6, -0x1.9d1462f72cad3p-6, -0x1.937756a7bee9bp-6, -0x1.8a0d27d585d38p-6, -0x1.80d4f15a180fp-6, -0x1.77cdd114ef021p-6, -0x1.6ef6e7e82440fp-6, -0x1.664f59b506df8p-6, -0x1.5dd64d586bccp-6, -0x1.558aeca6d7763p-6, -0x1.4d6c646871472p-6, -0x1.4579e454c68b4p-6, -0x1.3db29f0e6810bp-6, -0x1.3615ca1e524a9p-6, -0x1.2ea29def394eep-6, -0x1.275855c8a5ae3p-6, -0x1.20362fc9ea97dp-6, -0x1.193b6ce5062dbp-6, -0x1.126750d94ba88p-6, -0x1.0bb9222e03a27p-6, -0x1.05302a2cdf585p-6, -0x1.fd9769b8b1d68p-7, -0x1.f11621f3dcac5p-7, -0x1.e4db1fe8a5135p-7, -0x1.d8e50bcaf548dp-7, -0x1.cd3293192eef5p-7, -0x1.c1c2688fff207p-7, -0x1.b693441e08471p-7, -0x1.aba3e2d75ab71p-7, -0x1.a0f306e8df31ep-7, -0x1.967f778ba10dp-7, -0x1.8c4800f7e9e67p-7, -0x1.824b74585920ep-7, -0x1.7888a7bcdf398p-7, -0x1.6efe760d9a27bp-7, -0x1.65abbefdac1bfp-7, -0x1.5c8f66fdfa515p-7, -0x1.53a8572fe4d5cp-7, -0x1.4af57d57e22cbp-7, -0x1.4275cbd028982p-7, -0x1.3a28397b3f994p-7, -0x1.320bc1b6862e9p-7, -0x1.2a1f644cc4302p-7, -0x1.22622568af49bp-7, -0x1.1ad30d876d23ap-7, -0x1.1371296b1be1ep-7, -0x1.0c3b8a0d5789bp-7, -0x1.05314491c7fd5p-7, -0x1.fca2e47156566p-8, -0x1.ef3660a2dc073p-8, -0x1.e21b405a98182p-8, -0x1.d54fce23e2669p-8, -0x1.c8d25c5859586p-8, -0x1.bca1450557e5ep-8, -0x1.b0bae9d17c874p-8, -0x1.a51db3e27006bp-8, -0x1.99c813c2845afp-8, -0x1.8eb88146bfdf5p-8, -0x1.83ed7b74ceef2p-8, -0x1.79658869399e9p-8, -0x1.6f1f353db1a8cp-8, -0x1.651915ef826cfp-8, -0x1.5b51c5463b2f2p-8, -0x1.51c7e4ba67241p-8, -0x1.487a1c5c88325p-8, -0x1.3f671abc3f056p-8, -0x1.368d94cf7c21dp-8, -0x1.2dec45da17b6ep-8, -0x1.2581ef557109cp-8, -0x1.1d4d58d841f2fp-8, -0x1.154d4ffebafb5p-8, -0x1.0d80a852bd065p-8, -0x1.05e63b34532a2p-8, -0x1.fcf9cf84ae0fcp-9, -0x1.ee872586b163fp-9, -0x1.e0724d1d67376p-9, -0x1.d2b925eba6c4ep-9, -0x1.c5599a5b877cep-9, -0x1.b8519f71e3fb2p-9, -0x1.ab9f34a227db7p-9, -0x1.9f4063a2d1b3cp-9, -0x1.9333404236eb4p-9, -0x1.8775e83bd0edcp-9, -0x1.7c06830e0758fp-9, -0x1.70e341d0579cp-9, -0x1.660a5f0a07146p-9, -0x1.5b7a1e893b0fp-9, -0x1.5130cd3aadd9ap-9, -0x1.472cc101b1841p-9, -0x1.3d6c5890b53c6p-9, -0x1.33edfb424cb58p-9, -0x1.2ab018f2bb48ap-9, -0x1.21b129d9d8997p-9, -0x1.18efae657ce57p-9, -0x1.106a2f147a10bp-9, -0x1.081f3c51e0b1ap-9, -0x1.000d6e50e6ae3p-9, -0x1.f066c9d2761eep-10, -0x1.e11f8ee779d1bp-10, -0x1.d242894f9b404p-10, -0x1.c3cd24f1e4098p-10, -0x1.b5bcdbea16cd2p-10, -0x1.a80f3645fbc5ep-10, -0x1.9ac1c9c386b03p-10, -0x1.8dd2398ff7c3dp-10, -0x1.813e3607d0597p-10, -0x1.75037c77fd2f3p-10, -0x1.691fd6df551e6p-10, -0x1.5d911bb1ae44dp-10, -0x1.52552d9b37dbcp-10, -0x1.4769fb452934bp-10, -0x1.3ccd7f1b283c3p-10, -0x1.327dbf1178651p-10, -0x1.2878cc6c322a2p-10, -0x1.1ebcc3873575ep-10, -0x1.1547cb9f14dd8p-10, -0x1.0c18169ad3669p-10, -0x1.032be0d659427p-10, -0x1.f502e1dbddbe1p-11, -0x1.e42e2f14c0218p-11, -0x1.d3d65e5c4b23dp-11, -0x1.c3f83806372a9p-11, -0x1.b4909752a36bbp-11, -0x1.a59c6a0ca88a5p-11, -0x1.9718b02b29dd8p-11, -0x1.89027b72a937ep-11, -0x1.7b56ef1921b9ap-11, -0x1.6e133f6ae4b15p-11, -0x1.6134b17179b24p-11, -0x1.54b89a9bba25ap-11, -0x1.489c60676f43fp-11, -0x1.3cdd780c89e26p-11, -0x1.317966297b61ep-11, -0x1.266dbe719487ep-11, -0x1.1bb8235c0c534p-11, -0x1.115645d505c05p-11, -0x1.0745e4efe9923p-11, -0x1.fb099b356dd04p-12, -0x1.e821b4a608caap-12, -0x1.d5cfe5b8a63b3p-12, -0x1.c41017ef5163ep-12, -0x1.b2de4e38c9ce1p-12, -0x1.a236a464ab47p-12, -0x1.92154e9aa1e25p-12, -0x1.827698d37d2b1p-12, -0x1.7356e6554164ep-12, -0x1.64b2b13134cefp-12, -0x1.568689c4ab03p-12, -0x1.48cf163c19cc3p-12, -0x1.3b891218394fep-12, -0x1.2eb14db5f77cep-12, -0x1.2244add83f682p-12, -0x1.16402b340ea11p-12, -0x1.0aa0d1ff18e69p-12, -0x1.fec783002749bp-13, -0x1.e90c57432b5cap-13, -0x1.d40aa90d4afedp-13, -0x1.bfbd2443b6931p-13, -0x1.ac1e979bfffe1p-13, -0x1.9929f3d2b9f24p-13, -0x1.86da4ae453301p-13, -0x1.752acf4ba9725p-13, -0x1.6416d342ec1fbp-13, -0x1.5399c809789b6p-13, -0x1.43af3d2c855b4p-13, -0x1.3452dfd407a87p-13, -0x1.25807a130faf6p-13, -0x1.1733f23b7088ep-13, -0x1.09694a3551dcdp-13, -0x1.f8393db35c0ap-14, -0x1.de944ea220825p-14, -0x1.c5dc68e841fa9p-14, -0x1.ae0a6062b17dbp-14, -0x1.971739e84b9e1p-14, -0x1.80fc2a20e26f5p-14, -0x1.6bb2946189e6p-14, -0x1.5734098ebfea4p-14, -0x1.437a47052c5cfp-14, -0x1.307f358783fc5p-14, -0x1.1e3ce832dd388p-14, -0x1.0cad9b78f00b3p-14, -0x1.f797683d3916bp-15, -0x1.d7237c82111ap-15, -0x1.b7f4d8c0c51a8p-15, -0x1.9a012cdc85d53p-15, -0x1.7d3e71c72bd55p-15, -0x1.61a2e7b2d448dp-15, -0x1.47251450006dap-15, -0x1.2dbbc115a38cfp-15, -0x1.155df990f4ab8p-15, -0x1.fc06138152e23p-16, -0x1.cf44f8f1d8945p-16, -0x1.a468339d10949p-16, -0x1.7b5fcb1de3767p-16, -0x1.541c3b7b0778cp-16, -0x1.2e8e723547943p-16, -0x1.0aa7cb66e350ep-16, -0x1.d0b41de8fc923p-17, -0x1.8f2edb960331ap-17, -0x1.50a4fe605bdbp-17, -0x1.14fc7c47272dep-17, -0x1.b8381b2a9917bp-18, -0x1.4bd64fc654d05p-18, -0x1.c947e4a57fc79p-19, -0x1.04e58be993908p-19, -0x1.28af5d3da3101p-21, 0x1.9cf137418ede4p-21, 0x1.0fa7609f7a12ap-19, 0x1.af67581db1d3ap-19, 0x1.2365db2bdef09p-18, 0x1.6b10cc7206368p-18, 0x1.aed9e499ee13p-18, 0x1.eee5663c49a2ap-18, 0x1.15ab3cc2d4f6p-17, 0x1.322799e83c069p-17, 0x1.4cf84f7e281efp-17, 0x1.662d6056be4d9p-17, 0x1.7dd650a7d20acp-17, 0x1.94022978eb5fap-17, 0x1.a8bf7bfd7873bp-17, 0x1.bc1c64dbfe59p-17, 0x1.ce268f59845b4p-17, 0x1.deeb38798ee35p-17, 0x1.ee773206fcfbcp-17, 0x1.fcd6e58a3988ap-17, 0x1.050b2b951278ap-16, 0x1.0b20944190f22p-16, 0x1.10b14db038bc7p-16, 0x1.15c2ca36ef59ap-16, 0x1.1a5a4eea2288cp-16, 0x1.1e7cf4e27db7ap-16, 0x1.222faa7b74dedp-16, 0x1.257734893ea6ep-16, 0x1.28582f87e58a3p-16, 0x1.2ad710c01b823p-16, 0x1.2cf8276836d72p-16, 0x1.2ebf9dba65b06p-16, 0x1.30317a07c84a9p-16, 0x1.31519fc08a718p-16, 0x1.3223d076b24cap-16, 0x1.32abacdc76e41p-16, 0x1.32ecb5b854deep-16, 0x1.32ea4cd4fc67dp-16, 0x1.32a7b5eabd18ep-16, 0x1.32281782f3ccap-16, 0x1.316e7bd5318cp-16, 0x1.307dd19f3b1d3p-16, 0x1.2f58ecf59a3fbp-16, 0x1.2e0288121785bp-16, 0x1.2c7d4418e0e88p-16, 0x1.2acba9da2d15bp-16, 0x1.28f02a909addcp-16, 0x1.26ed2096b443ep-16, 0x1.24c4d01a9d2d1p-16, 0x1.227967cbe461ep-16, 0x1.200d018412868p-16, 0x1.1d81a2ec550bp-16, 0x1.1ad93e1c658ffp-16, 0x1.1815b236a170dp-16, 0x1.1538cc0049b76p-16, 0x1.12444674188aep-16, 0x1.0f39cb51b9a9fp-16, 0x1.0c1af3a9fcdccp-16, 0x1.08e94865fe92cp-16, 0x1.05a642ca3f44bp-16, 0x1.02534cf738ce3p-16, 0x1.fde384cd1934cp-17, 0x1.f705e0c67e15p-17, 0x1.f0102d00bd3dp-17, 0x1.e904ce1433a1ap-17, 0x1.e1e60eed564eap-17, 0x1.dab621a109352p-17, 0x1.d377204177aeap-17, 0x1.cc2b0da809dp-17, 0x1.c4d3d63bdac7cp-17, 0x1.bd7350b333d0dp-17, 0x1.b60b3ecd1ce35p-17, 0x1.ae9d4e077fbb7p-17, 0x1.a72b184f8ce74p-17, 0x1.9fb624ac2d87fp-17, 0x1.983fe7e4492e9p-17, 0x1.90c9c51fab6bep-17, 0x1.89550e83eb994p-17, 0x1.81e305cc5aa78p-17, 0x1.7a74dcdcff986p-17, 0x1.730bb651a32ap-17, 0x1.6ba8a6086d527p-17, 0x1.644cb1a924ec7p-17, 0x1.5cf8d126b5bccp-17, 0x1.55adef3dc4bf6p-17, 0x1.4e6ce9f01cd4ep-17, 0x1.473692fb147dap-17, 0x1.400bb04b40b0fp-17, 0x1.38ecfc6c2acb5p-17, 0x1.31db26f51c8b9p-17, 0x1.2ad6d4f170c33p-17, 0x1.23e0a147076fdp-17, 0x1.1cf91d17e7c5ap-17, 0x1.1620d02300d4dp-17, 0x1.0f58391fbce5bp-17, 0x1.089fce18a9ed7p-17, 0x1.01f7fcc101fbap-17, 0x1.f6c25593b57ap-18, 0x1.e9b76c65748ccp-18, 0x1.dccfeb31c03cbp-18, 0x1.d00c710633fap-18, 0x1.c36d8f57249dp-18, 0x1.b6f3ca8e84de4p-18, 0x1.aa9f9a963d11bp-18, 0x1.9e716b5cb1e28p-18, 0x1.92699d57b2588p-18, 0x1.868885ffe4862p-18, 0x1.7ace704a0d21bp-18, 0x1.6f3b9d1be6a0fp-18, 0x1.63d043bc3b2b4p-18, 0x1.588c924056e5dp-18, 0x1.4d70adf5da264p-18, 0x1.427cb3c7bc529p-18, 0x1.37b0b8a10fbcep-18, 0x1.2d0cc9cb5f172p-18, 0x1.2290ed4abe0cp-18, 0x1.183d2235f56eap-18, 0x1.0e11610c41fd2p-18, 0x1.040d9c06b517fp-18, 0x1.f4637ed149057p-19, 0x1.e0fb639735552p-19, 0x1.cde2a8d3e59f9p-19, 0x1.bb1906cab08edp-19, 0x1.a89e2c17fdc53p-19, 0x1.9671be34a9c5dp-19, 0x1.849359f598c34p-19, 0x1.730294073fd63p-19, 0x1.61bef963328cp-19, 0x1.50c80fc262ca7p-19, 0x1.401d560ad4d36p-19, 0x1.2fbe44b8d665ep-19, 0x1.1faa4e438c98ep-19, 0x1.0fe0df7fda036p-19, 0x1.00615ffd8c1adp-19, 0x1.e25664c40cc8fp-20, 0x1.c47b697c44bb1p-20, 0x1.a73081c25b099p-20, 0x1.8a74595503f8ep-20, 0x1.6e4594a7754cep-20, 0x1.52a2d178bf5d9p-20, 0x1.378aa75fcba7cp-20, 0x1.1cfba852db98ep-20, 0x1.02f461284aedfp-20, 0x1.d2e6b4283cecfp-21, 0x1.a0ee2e3a9ac4p-21, 0x1.6ffc3126313dcp-21, 0x1.400db6ed91fa1p-21, 0x1.111fb3d034fe4p-21, 0x1.c65e2e188ae95p-22, 0x1.6c71973a123e1p-22, 0x1.147371eb1967fp-22, 0x1.7cbb0ea24457cp-23, 0x1.a8a670b23cff8p-24, 0x1.7d17208df75aap-26, -0x1.c589bc7b189ebp-25, -0x1.0ec943e88f9e7p-23, -0x1.a89e1c9bda644p-23, -0x1.1f76bc8fc6f27p-22, -0x1.68e1ea80a7df3p-22, -0x1.b096d2d2be152p-22, -0x1.f69bac3eb04bep-22, -0x1.1d7b545a88953p-21, -0x1.3ed6fa4ccb882p-21, -0x1.5f63dafe148b2p-21, -0x1.7f2505f4624c2p-21, -0x1.9e1d86dfa9caap-21, -0x1.bc506549133bp-21, -0x1.d9c0a44539c22p-21, -0x1.f67142347d9c3p-21, -0x1.09329c3c12655p-20, -0x1.16cfbd9c50ed5p-20, -0x1.24117c949212dp-20, -0x1.30f94da8e7b39p-20, -0x1.3d88a26d9b695p-20, -0x1.49c0e97013219p-20, -0x1.55a38e20c58ffp-20, -0x1.6131f8be019dcp-20, -0x1.6c6d8e3eed301p-20, -0x1.7757b046a9902p-20, -0x1.81f1bd0ff5e8fp-20, -0x1.8c3d0f605bc1dp-20, -0x1.963afe7a9f8c1p-20, -0x1.9fecde140f99fp-20, -0x1.a953fe46884c2p-20, -0x1.b271ab88dc3edp-20, -0x1.bb472ea55963p-20, -0x1.c3d5ccb1753e3p-20, -0x1.cc1ec7078248ap-20, -0x1.d4235b41d7624p-20, -0x1.dbe4c335582d5p-20, -0x1.e36434edc96c5p-20, -0x1.eaa2e2a9c1133p-20, -0x1.f1a1fad9e36fp-20, -0x1.f862a81e9e135p-20, -0x1.fee61147dbc2bp-20, -0x1.0296aca9da774p-19, -0x1.059ccfb85252ap-19, -0x1.0885ff7e8cf28p-19, -0x1.0b52c7c4b7b6fp-19, -0x1.0e03b26d5d044p-19, -0x1.10994776e9f27p-19, -0x1.13140cfceff7fp-19, -0x1.1574873a9255fp-19, -0x1.17bb388c6897fp-19, -0x1.19e8a172c96a3p-19, -0x1.1bfd409448bdcp-19, -0x1.1df992c0aa5fp-19, -0x1.1fde12f377bc8p-19, -0x1.21ab3a5755108p-19, -0x1.23618048f2cfdp-19, -0x1.25015a5aa927cp-19, -0x1.268b3c57cdbadp-19, -0x1.27ff9848882fep-19, -0x1.295ede7520713p-19, -0x1.2aa97d6ab40d3p-19, -0x1.2bdfe1fe59ccap-19, -0x1.2d027751fa3dcp-19, -0x1.2e11a6d78a596p-19, -0x1.2f0dd855f39e8p-19, -0x1.2ff771ed162bfp-19, -0x1.30ced819c88bap-19, -0x1.31946dba890afp-19, -0x1.3248941474d2ep-19, -0x1.32ebaad75e2f2p-19, -0x1.337e10221ec86p-19, -0x1.34002087a12f4p-19, -0x1.3472371356409p-19, -0x1.34d4ad4dd250ap-19, -0x1.3527db4188e3ap-19, -0x1.356c177f49905p-19, -0x1.35a1b72377158p-19, -0x1.35c90dda29282p-19, -0x1.35e26de3f3b35p-19, -0x1.35ee281ac9c3dp-19, -0x1.35ec8bf6edb57p-19, -0x1.35dde7934b8p-19, -0x1.35c287b2399f6p-19, -0x1.359ab7c286a7ep-19, -0x1.3566c1e3e8533p-19, -0x1.3526eeeb98ab6p-19, -0x1.34db8669230eap-19, -0x1.3484ceaade304p-19, -0x1.34230cc2d279ap-19, -0x1.33b6848a9617bp-19, -0x1.333f78a887862p-19, -0x1.32be2a9437ffap-19, -0x1.3232da9ad39ffp-19, -0x1.319dc7e3b67d3p-19, -0x1.30ff3074927fp-19, -0x1.305751362304cp-19, -0x1.2fa665f885779p-19, -0x1.2eeca9775c3f6p-19, -0x1.2e2a555e380c8p-19, -0x1.2d5fa24cfb5d3p-19, -0x1.2c8cc7dbb3162p-19, -0x1.2bb1fc9f0abf4p-19, -0x1.2acf762be51ffp-19, -0x1.29e5691c2a696p-19, -0x1.28f409127593p-19, -0x1.27fb88be1a7d2p-19, -0x1.26fc19df13dd8p-19, -0x1.25f5ed49f93ep-19, -0x1.24e932ebec555p-19, -0x1.23d619ce1e095p-19, -0x1.22bcd019e2675p-19, -0x1.219d831c3e4bep-19, -0x1.20785f499fb2fp-19, -0x1.1f4d90415cf62p-19, -0x1.1e1d40d16bf5cp-19, -0x1.1ce79af9a0338p-19, -0x1.1bacc7ef9deefp-19, -0x1.1a6cf02201c4ap-19, -0x1.19283b3bbfa46p-19, -0x1.17ded0278b00cp-19, -0x1.1690d51312079p-19, -0x1.153e6f72535eep-19, -0x1.13e7c402c0007p-19, -0x1.128cf6ce7ba27p-19, -0x1.112e2b2f4a1dap-19, -0x1.0fcb83d1cc60cp-19, -0x1.0e6522b8367f8p-19, -0x1.0cfb293d6eac1p-19, -0x1.0b8db81813fa7p-19, -0x1.0a1cef5d2d84ap-19, -0x1.08a8ee835209dp-19, -0x1.0731d4651fbb6p-19, -0x1.05b7bf440c3cap-19, -0x1.043acccb22308p-19, -0x1.02bb1a11aa065p-19, -0x1.0138c39db9695p-19, -0x1.ff67cacda10c2p-20, -0x1.fc5935b0b996dp-20, -0x1.f945fda873e18p-20, -0x1.f62e576a17926p-20, -0x1.f31276a10c6fep-20, -0x1.eff28df41988p-20, -0x1.eccecf09dce32p-20, -0x1.e9a76a8d74c9fp-20, -0x1.e67c9032d6091p-20, -0x1.e34e6ebaf6649p-20, -0x1.e01d33f8c8e1p-20, -0x1.dce90cd4b334ep-20, -0x1.d9b22551869bep-20, -0x1.d678a88fed367p-20, -0x1.d33cc0d2e8a7ap-20, -0x1.cffe97838252cp-20, -0x1.ccbe5534cfc3cp-20, -0x1.c97c21a7b9fc3p-20, -0x1.c63823ce7af6ap-20, -0x1.c2f281d0b7f6bp-20, -0x1.bfab610f14f46p-20, -0x1.bc62e626b346bp-20, -0x1.b91934f47ebb6p-20, -0x1.b5ce7098d5c2bp-20, -0x1.b282bb7ad7ae2p-20, -0x1.af36374bad2b6p-20, -0x1.abe90509a3c7fp-20, -0x1.a89b4503cbbd7p-20, -0x1.a54d16dc9f036p-20, -0x1.a1fe998d5fb1cp-20, -0x1.9eafeb68cce94p-20, -0x1.9b612a1e4b05bp-20, -0x1.981272bccc679p-20, -0x1.94c3e1b5a8f26p-20, -0x1.917592df58b88p-20, -0x1.8e27a17862882p-20, -0x1.8ada2829daa37p-20, -0x1.878d410a1fba7p-20, }}, 
      {{-0x1.07bb9570847a4p-19, -0x1.22bcdbcebc26p-17, -0x1.6533b7cac57b6p-16, -0x1.5233fdc7d2321p-15, -0x1.1484d023b4a4bp-14, -0x1.9ebd99277c7abp-14, -0x1.279e0315f5a26p-13, -0x1.9899c3ad2a5a7p-13, -0x1.1460518462707p-12, -0x1.6f0dec989a9eep-12, -0x1.dea4a7ed66d2cp-12, -0x1.32351a158c1cep-11, -0x1.803aed50df2edp-11, -0x1.d8d6d92e565dfp-11, -0x1.1d75e5bf49b78p-10, -0x1.526c7e1dfabdbp-10, -0x1.8a434aafcc4ebp-10, -0x1.c3b88b36235dcp-10, -0x1.fd59ba9333862p-10, -0x1.1ac4314f47e3cp-9, -0x1.353f96f426ac6p-9, -0x1.4d2bca4ad77a7p-9, -0x1.6188266afec6ep-9, -0x1.714a3859d6375p-9, -0x1.7b618fccbc1dfp-9, -0x1.7ebba3e13913cp-9, -0x1.7a479dc15b50ap-9, -0x1.6cf9de789d409p-9, -0x1.55cf1dbcf4215p-9, -0x1.33cf0ab2544d5p-9, -0x1.060e639ed17d9p-9, -0x1.97610905e4904p-10, -0x1.07d0eb17f3a3cp-10, -0x1.6fcc46d34de11p-12, 0x1.b64327e388143p-12, 0x1.55f1e979f6841p-10, 0x1.2f23801cb2c56p-9, 0x1.c3c3768133f0ep-9, 0x1.34a265948cc87p-8, 0x1.90023432f613fp-8, 0x1.f4284f8a0a188p-8, 0x1.309a633524122p-7, 0x1.6ba05d9fbc48cp-7, 0x1.ab2f45abc23b6p-7, 0x1.ef4cf88a7d2a4p-7, 0x1.1bfe08a32c202p-6, 0x1.429dfb9ab6afp-6, 0x1.6b84764702b1dp-6, 0x1.96ae0f097f143p-6, 0x1.c415da5961a2cp-6, 0x1.f3b574e5938cep-6, 0x1.12c287a523e75p-5, 0x1.2cbdbdc0e2ad4p-5, 0x1.47c71e0f4b13p-5, 0x1.63d8caa2f3937p-5, 0x1.80ec4fa5f88d4p-5, 0x1.9efaad61ac6bep-5, 0x1.bdfc62e1767dcp-5, 0x1.dde9790dea437p-5, 0x1.feb98e1a6f67dp-5, 0x1.1031f08f55dc3p-4, 0x1.216faedac28f6p-4, 0x1.331153beae079p-4, 0x1.451212ac0249p-4, 0x1.576d06265bf5p-4, 0x1.6a1d34f932b28p-4, 0x1.7d1d9726b2523p-4, 0x1.90691a88140a2p-4, 0x1.a3faa71994238p-4, 0x1.b7cd22ee56641p-4, 0x1.cbdb75ca92fcap-4, 0x1.e0208c6441d31p-4, 0x1.f4975b4c0f20dp-4, 0x1.049d70c0eb9dp-3, 0x1.0f03155c73ba1p-3, 0x1.197a28a8aca9bp-3, 0x1.240040061b6efp-3, 0x1.2e92f9c068b85p-3, 0x1.392ffdace3e38p-3, 0x1.43d4fdb012488p-3, 0x1.4e7fb62da2a7dp-3, 0x1.592dee65bd986p-3, 0x1.63dd78c2b8228p-3, 0x1.6e8c3319d5bedp-3, 0x1.793806e193ecbp-3, 0x1.83dee95fb799p-3, 0x1.8e7edbd101e2ap-3, 0x1.9915eb8c3fa27p-3, 0x1.a3a23222057ddp-3, 0x1.ae21d57a45565p-3, 0x1.b89307f084c29p-3, 0x1.c2f4086f647c2p-3, 0x1.cd43228bd8a33p-3, 0x1.d77eaea04b056p-3, 0x1.e1a511e7b578cp-3, 0x1.ebb4be9892e0dp-3, 0x1.f5ac33ff81e8fp-3, 0x1.ff89fe99344f8p-3, 0x1.04a65c15a9d54p-2, 0x1.097983edf4364p-2, 0x1.0e3dd1236320fp-2, 0x1.12f2a4c84231bp-2, 0x1.179766bb3e158p-2, 0x1.1c2b85adac067p-2, 0x1.20ae7727de1a6p-2, 0x1.251fb78b4cf9dp-2, 0x1.297eca1268d0bp-2, 0x1.2dcb38cde3bcp-2, 0x1.3204949f53662p-2, 0x1.362a7531104fap-2, 0x1.3a3c78eb369e7p-2, 0x1.3e3a44e5c5d1p-2, 0x1.422384d7cd4b4p-2, 0x1.45f7eb03b2f19p-2, 0x1.49b73020944p-2, 0x1.4d611340d5a9dp-2, 0x1.50f559b5f47bap-2, 0x1.5473cef1b6f67p-2, 0x1.57dc4464d9dbbp-2, 0x1.5b2e915b621ffp-2, 0x1.5e6a92d6bcfbfp-2, 0x1.61902b65d6d28p-2, 0x1.649f42fb5befcp-2, 0x1.6797c6c254d46p-2, 0x1.6a79a8f14bca2p-2, 0x1.6d44e09c3791bp-2, 0x1.6ff969855b8bcp-2, 0x1.729743ed52223p-2, 0x1.751e746275c9ep-2, 0x1.778f038fe0057p-2, 0x1.79e8fe0c29f4ep-2, 0x1.7c2c742825db4p-2, 0x1.7e5979bdbe06cp-2, 0x1.807025ff2434cp-2, 0x1.827093467ddd4p-2, 0x1.845adee6380f8p-2, 0x1.862f28fa21378p-2, 0x1.87ed943975a9cp-2, 0x1.899645c9f24e6p-2, 0x1.8b296514141fap-2, 0x1.8ca71b989edffp-2, 0x1.8e0f94c775944p-2, 0x1.8f62fdd7ea971p-2, 0x1.90a185a287428p-2, 0x1.91cb5c7c6839fp-2, 0x1.92e0b4142f331p-2, 0x1.93e1bf509933p-2, 0x1.94ceb230bc543p-2, 0x1.95a7c1adf33bcp-2, 0x1.966d239f76b0bp-2, 0x1.971f0e9fa715ep-2, 0x1.97bdb9f2febe7p-2, 0x1.98495d70adfcfp-2, 0x1.98c2316cd5efp-2, 0x1.99286ea45e809p-2, 0x1.997c4e2a5d893p-2, 0x1.99be0956ff9f3p-2, 0x1.99edd9b7ef8b2p-2, 0x1.9a0bf90227b1ep-2, 0x1.9a18a10525f99p-2, 0x1.9a140b9f6f411p-2, 0x1.99fe72b45537ap-2, 0x1.99d81022f244bp-2, 0x1.99a11dbe418cap-2, 0x1.9959d54653f42p-2, 0x1.990270627e112p-2, 0x1.989b289c7cd7p-2, 0x1.9824375c7cc27p-2, 0x1.979dd5e5ee691p-2, 0x1.97083d551e4e9p-2, 0x1.9663a69d7ca67p-2, 0x1.95b04a88875efp-2, 0x1.94ee61b543fd1p-2, 0x1.941e24983d69ep-2, 0x1.933fcb7bf4189p-2, 0x1.92538e81b5f88p-2, 0x1.9159a5a2cecd5p-2, 0x1.905248b201f9bp-2, 0x1.8f3daf5d439f4p-2, 0x1.8e1c112fa8b7fp-2, 0x1.8ceda59376dap-2, 0x1.8bb2a3d4595e5p-2, 0x1.8a6b4321a57a6p-2, 0x1.8917ba90a8e8ap-2, 0x1.87b8411ef9e2ep-2, 0x1.864d0db4be506p-2, 0x1.84d65726e866p-2, 0x1.8354543958727p-2, 0x1.81c73ba0e75b5p-2, 0x1.802f44054f3c6p-2, 0x1.7e8ca402e95ddp-2, 0x1.7cdf922c488aep-2, 0x1.7b28450b9cdfp-2, 0x1.7966f323e8841p-2, 0x1.779bd2f201dcdp-2, 0x1.75c71aed57abap-2, 0x1.73e9018881c52p-2, 0x1.7201bd3190aaap-2, 0x1.7011845225baap-2, 0x1.6e188d4f49d98p-2, 0x1.6c170e8907d9p-2, 0x1.6a0d3e59cc61cp-2, 0x1.67fb531583731p-2, 0x1.65e183087d276p-2, 0x1.63c004761474dp-2, 0x1.61970d971da2bp-2, 0x1.5f66d498187ddp-2, 0x1.5d2f8f972d55ep-2, 0x1.5af174a1f3e1fp-2, 0x1.58acb9b30790fp-2, 0x1.566194af68d62p-2, 0x1.54103b63aef59p-2, 0x1.51b8e3811008cp-2, 0x1.4f5bc29a3bb61p-2, 0x1.4cf90e200fa56p-2, 0x1.4a90fb5e2a87bp-2, 0x1.4823bf7755566p-2, 0x1.45b18f61d705ep-2, 0x1.433a9fe3a5ea7p-2, 0x1.40bf258e807b9p-2, 0x1.3e3f54bbf1dc5p-2, 0x1.3bbb618941478p-2, 0x1.39337fd34e924p-2, 0x1.36a7e33268163p-2, 0x1.3418bef60c5fdp-2, 0x1.31864620aa8bap-2, 0x1.2ef0ab6359d74p-2, 0x1.2c5821198fe0cp-2, 0x1.29bcd944d3d22p-2, 0x1.271f05887662bp-2, 0x1.247ed7254f203p-2, 0x1.21dc7ef57daccp-2, 0x1.1f382d68366c8p-2, 0x1.1c92127d9b12dp-2, 0x1.19ea5dc29e9f4p-2, 0x1.17413e4cfbd2fp-2, 0x1.1496e2b73a9a1p-2, 0x1.11eb791cca217p-2, 0x1.0f3f2f162f26cp-2, 0x1.0c9231b54a799p-2, 0x1.09e4ad81b65aep-2, 0x1.0736ce753e4p-2, 0x1.0488bff870f91p-2, 0x1.01daacdf4f6dcp-2, 0x1.fe597ecc32844p-3, 0x1.f8fe425c6b421p-3, 0x1.f3a3f6767e6c8p-3, 0x1.ee4aebe057ba8p-3, 0x1.e8f3721930c13p-3, 0x1.e39dd7546c2d6p-3, 0x1.de4a6874b0526p-3, 0x1.d8f971074abap-3, 0x1.d3ab3b3fda13dp-3, 0x1.ce600ff43bdebp-3, 0x1.c9183698c5b81p-3, 0x1.c3d3f53cc3471p-3, 0x1.be9390873b678p-3, 0x1.b9574bb400fa1p-3, 0x1.b41f68910bd56p-3, 0x1.aeec277c102adp-3, 0x1.a9bdc7606de15p-3, 0x1.a49485b554b73p-3, 0x1.9f709e7c3db6p-3, 0x1.9a524c3fa2394p-3, 0x1.9539c811f7915p-3, 0x1.9027498cf64b7p-3, 0x1.8b1b06d11aa6cp-3, 0x1.8615348570ae9p-3, 0x1.811605d798a05p-3, 0x1.7c1dac7c1534ap-3, 0x1.772c58aecf903p-3, 0x1.72423933db6b2p-3, 0x1.6d5f7b5879abap-3, 0x1.68844af455effp-3, 0x1.63b0d26af479bp-3, 0x1.5ee53aad66767p-3, 0x1.5a21ab3c26bfdp-3, 0x1.55664a29326b2p-3, 0x1.50b33c1a529bp-3, 0x1.4c08a44b9793cp-3, 0x1.4766a4920511p-3, 0x1.42cd5d5e66312p-3, 0x1.3e3cedc057e94p-3, 0x1.39b5736973244p-3, 0x1.35370ab0aac72p-3, 0x1.30c1ce95c2562p-3, 0x1.2c55d8c4fc04dp-3, 0x1.27f3419adbe23p-3, 0x1.239a202811b86p-3, 0x1.1f4a8a35861c1p-3, 0x1.1b04944883a15p-3, 0x1.16c851a6fc368p-3, 0x1.1295d45be8e24p-3, 0x1.0e6d2d3bc92bfp-3, 0x1.0a4e6be9341c4p-3, 0x1.06399ed9801b9p-3, 0x1.022ed35980cedp-3, 0x1.fc5c2b24c0703p-4, 0x1.f46ee11ceded1p-4, 0x1.ec95dc7c92ef8p-4, 0x1.e4d12efb050afp-4, 0x1.dd20e83013f25p-4, 0x1.d585159e351cdp-4, 0x1.cdfdc2bcd7e0dp-4, 0x1.c68af902c0987p-4, 0x1.bf2cbff071d8ep-4, 0x1.b7e31d1aae4aap-4, 0x1.b0ae1434fa822p-4, 0x1.a98da71c2ceadp-4, 0x1.a281d5e0fa2dcp-4, 0x1.9b8a9ed294f22p-4, 0x1.94a7fe893e4f9p-4, 0x1.8dd9eff0e047cp-4, 0x1.87206c539db16p-4, 0x1.807b6b6465a86p-4, 0x1.79eae34974b21p-4, 0x1.736ec8a6d82aep-4, 0x1.6d070ea8dd1ecp-4, 0x1.66b3a70e78f99p-4, 0x1.60748233a4ab8p-4, 0x1.5a498f1ba094ap-4, 0x1.5432bb7b2d019p-4, 0x1.4e2ff3c2b16ap-4, 0x1.48412328491f6p-4, 0x1.426633b1c1bb3p-4, 0x1.3c9f0e3e78d4ep-4, 0x1.36eb9a912fb0ap-4, 0x1.314bbf59b677ap-4, 0x1.2bbf623e88a9dp-4, 0x1.264667e6487c4p-4, 0x1.20e0b4011e996p-4, 0x1.1b8e2951fef67p-4, 0x1.164ea9b7ce858p-4, 0x1.11221636655eap-4, 0x1.0c084eff7b452p-4, 0x1.0701337b6d1efp-4, 0x1.020ca251de5bep-4, 0x1.fa54f2e486a1fp-5, 0x1.f0b52c387dc92p-5, 0x1.e739a9cfcafa5p-5, 0x1.dde2239bb386bp-5, 0x1.d4ae505e89988p-5, 0x1.cb9de5bb5b166p-5, 0x1.c2b0984554e1dp-5, 0x1.b9e61b8edfb63p-5, 0x1.b13e223875f68p-5, 0x1.a8b85dff2238p-5, 0x1.a0547fcad3953p-5, 0x1.981237bc46b06p-5, 0x1.8ff1353aafbb5p-5, 0x1.87f127012f5e2p-5, 0x1.8011bb2bd8c98p-5, 0x1.78529f44927d7p-5, 0x1.70b3804f8bbf9p-5, 0x1.69340ad7888d7p-5, 0x1.61d3eaf9cb0a8p-5, 0x1.5a92cc71c2e01p-5, 0x1.53705aa4693a7p-5, 0x1.4c6c40ab6203ep-5, 0x1.4586295fc5ddbp-5, 0x1.3ebdbf64b0fd5p-5, 0x1.3812ad3183ed7p-5, 0x1.31849d1bdf58dp-5, 0x1.2b1339615ca1bp-5, 0x1.24be2c30ffc03p-5, 0x1.1e851fb463774p-5, 0x1.1867be18a57f9p-5, 0x1.1265b19705ff7p-5, 0x1.0c7ea47d51e1dp-5, 0x1.06b2413602ef8p-5, 0x1.01003250230a9p-5, 0x1.f6d0450dd2ca3p-6, 0x1.ebd379923d71p-6, 0x1.e109588087d4p-6, 0x1.d67138aee609ap-6, 0x1.cc0a718422d27p-6, 0x1.c1d45b046168bp-6, 0x1.b7ce4ddd9ddfap-6, 0x1.adf7a37398539p-6, 0x1.a44fb5eb4e1b2p-6, 0x1.9ad5e0361999ap-6, 0x1.91897e1c41d07p-6, 0x1.8869ec4745ae7p-6, 0x1.7f76884b9e269p-6, 0x1.76aeb0b224ccfp-6, 0x1.6e11c501173a8p-6, 0x1.659f25c4a5a15p-6, 0x1.5d563497399a5p-6, 0x1.553654293d94bp-6, 0x1.4d3ee848acadep-6, 0x1.456f55e8102bcp-6, 0x1.3dc703255be41p-6, 0x1.3645575048756p-6, 0x1.2ee9baf073cb8p-6, 0x1.27b397cb09505p-6, 0x1.20a258e846388p-6, 0x1.19b56a987fdaep-6, 0x1.12ec3a78f540ap-6, 0x1.0c46377856d2bp-6, 0x1.05c2d1dae3c57p-6, 0x1.fec2f67ce0963p-7, 0x1.f2434d3bd1c88p-7, 0x1.e60590a9828eap-7, 0x1.da08ac441f16bp-7, 0x1.ce4b8e56a45aap-7, 0x1.c2cd27fe24643p-7, 0x1.b78c6d2e6b883p-7, 0x1.ac8854b637db7p-7, 0x1.a1bfd84302e0ep-7, 0x1.9731f46425267p-7, 0x1.8cdda88de7958p-7, 0x1.82c1f71bce52fp-7, 0x1.78dde552a71aep-7, 0x1.6f307b622ca69p-7, 0x1.65b8c4664625ap-7, 0x1.5c75ce67e9d49p-7, 0x1.5366aa5d87f28p-7, 0x1.4a8a6c2b4fb76p-7, 0x1.41e02aa2ed0a6p-7, 0x1.3966ff8304ebp-7, 0x1.311e077676e21p-7, 0x1.2904621322bd7p-7, 0x1.211931d88d80dp-7, 0x1.195b9c2e1fe23p-7, 0x1.11cac96130d6cp-7, 0x1.0a65e4a2c5d17p-7, 0x1.032c1c0515ec6p-7, 0x1.f83940f188e7dp-8, 0x1.ea6d4b93d4eeap-8, 0x1.dcf2c539c95afp-8, 0x1.cfc820d5dbadap-8, 0x1.c2ebd6fce8e2cp-8, 0x1.b65c65de9c73ep-8, 0x1.aa18513d76cdfp-8, 0x1.9e1e22664241fp-8, 0x1.926c68279848fp-8, 0x1.8701b6c897e52p-8, 0x1.7bdca7ffbab2p-8, 0x1.70fbdae8f77f8p-8, 0x1.665df3fbff62ap-8, 0x1.5c019d01d4242p-8, 0x1.51e5850a8adffp-8, 0x1.4808606264ea8p-8, 0x1.3e68e886f0debp-8, 0x1.3505dc1be8674p-8, 0x1.2bddfedfc9a13p-8, 0x1.22f019a04e6fcp-8, 0x1.1a3afa2ec2999p-8, 0x1.11bd735415377p-8, 0x1.09765cc4c2bb5p-8, 0x1.01649314d57c1p-8, 0x1.f30def56856e6p-9, 0x1.e3b8e16bb8f31p-9, 0x1.d4c7d23907216p-9, 0x1.c638a0e93111ap-9, 0x1.b80935e89809p-9, 0x1.aa3782cb531b5p-9, 0x1.9cc18233c257dp-9, 0x1.8fa537b877622p-9, 0x1.82e0afca0666dp-9, 0x1.7671ff995138fp-9, 0x1.6a5744fd05854p-9, 0x1.5e8ea65777e93p-9, 0x1.5316527c450d1p-9, 0x1.47ec809620588p-9, 0x1.3d0f700c3e718p-9, 0x1.327d68683323fp-9, 0x1.2834b93b7e37dp-9, 0x1.1e33ba051ba88p-9, 0x1.1478ca1763cc8p-9, 0x1.0b02507d9cacap-9, 0x1.01cebbe1c8b82p-9, 0x1.f1b904e5191afp-10, 0x1.e05443925e708p-10, 0x1.cf6c3d9e5dd32p-10, 0x1.befe0b4a632e6p-10, 0x1.af06d31051195p-10, 0x1.9f83c970fa8d9p-10, 0x1.907230c014c0ap-10, 0x1.81cf58f157db5p-10, 0x1.73989f6640b1cp-10, 0x1.65cb6ebb7aa99p-10, 0x1.58653e970a27cp-10, 0x1.4b639376270d9p-10, 0x1.3ec3fe7beae16p-10, 0x1.32841d40bafd7p-10, 0x1.26a199a0f7d8fp-10, 0x1.1b1a298c7a5aep-10, 0x1.0feb8ed777361p-10, 0x1.05139709b9b21p-10, 0x1.f52036607dffcp-11, 0x1.e0bdff5b5f0dfp-11, 0x1.ccfc6818f18fp-11, 0x1.b9d765a05177ap-11, 0x1.a74b0290b5ab8p-11, 0x1.95535ec631d89p-11, 0x1.83ecaf00570d2p-11, 0x1.73133c899a041p-11, 0x1.62c364df74568p-11, 0x1.52f9995adacc3p-11, 0x1.43b25edaa878cp-11, 0x1.34ea4d6eeffaep-11, 0x1.269e10039041fp-11, 0x1.18ca640e4e45cp-11, 0x1.0b6c193a7cf7bp-11, 0x1.fd0022325d5c2p-12, 0x1.e4067da065084p-12, 0x1.cbe54d9346624p-12, 0x1.b496bccc7fd61p-12, 0x1.9e15175e3f1c1p-12, 0x1.885aca12db037p-12, 0x1.736261d341b92p-12, 0x1.5f268b1274f14p-12, 0x1.4ba211390937ap-12, 0x1.38cfde141b1bdp-12, 0x1.26aaf94339bffp-12, 0x1.152e87abb71cbp-12, 0x1.0455caecfe603p-12, 0x1.e83841a5bb45p-13, 0x1.c8fa05a159ed8p-13, 0x1.aae80aef6bedbp-13, 0x1.8df9afe7ffd6p-13, 0x1.72268711003bfp-13, 0x1.5766561b7214ep-13, 0x1.3db114e6758b6p-13, 0x1.24feec83e2756p-13, 0x1.0d48363fd5cb4p-13, 0x1.ed0af55cf495ap-14, 0x1.c15ee17518e9ep-14, 0x1.977df97210dfep-14, 0x1.6f5a5f01238ddp-14, 0x1.48e68b0add465p-14, 0x1.24154bebe1472p-14, 0x1.00d9c3b9d247fp-14, 0x1.be4ecd18b163fp-15, 0x1.7de3f19cfc38dp-15, 0x1.405b1b333dc3bp-15, 0x1.059d0a17eff2ep-15, 0x1.9b262aeb00c03p-16, 0x1.304e5047c4885p-16, 0x1.950ef67a9673ap-17, 0x1.a69ef7999541p-18, 0x1.b0c7eeda246d5p-21, -0x1.281326a0580fbp-18, -0x1.3a403b407fb75p-17, -0x1.d7e2f1c6ca1b8p-17, -0x1.369d99ce133abp-16, -0x1.7d4846252f182p-16, -0x1.c01450838d40fp-16, -0x1.ff239d9e804dap-16, -0x1.1d4b94d0e7419p-15, -0x1.39478698a73b1p-15, -0x1.53954145b1486p-15, -0x1.6c43f537518e5p-15, -0x1.83626885378b9p-15, -0x1.98fef9587c27bp-15, -0x1.ad27a04ae9f56p-15, -0x1.bfe9f2b54fa04p-15, -0x1.d15324ee4e2e2p-15, -0x1.e1700c8664b94p-15, -0x1.f04d2276f558p-15, -0x1.fdf68542955dfp-15, -0x1.053bfd8764fe7p-14, -0x1.0aee79db48791p-14, -0x1.1018456348a1fp-14, -0x1.14bec4c192781p-14, -0x1.18e7346753f3fp-14, -0x1.1c96a98eba29ep-14, -0x1.1fd213248c3a5p-14, -0x1.229e3ab83fc35p-14, -0x1.24ffc55c2da23p-14, -0x1.26fb348bc107ep-14, -0x1.2894e70539637p-14, -0x1.29d119a332d55p-14, -0x1.2ab3e83114978p-14, -0x1.2b414e3b59cf3p-14, -0x1.2b7d27da64732p-14, -0x1.2b6b327b68e8p-14, -0x1.2b0f0da3ac64cp-14, -0x1.2a6c3bafca6c3p-14, -0x1.2986228e99c86p-14, -0x1.28600c7b52c04p-14, -0x1.26fd28ac92b3dp-14, -0x1.25608c0b6f16fp-14, -0x1.238d31d8c621p-14, -0x1.2185fc5c46039p-14, -0x1.1f4db5866ebeap-14, -0x1.1ce70f92bb3a1p-14, -0x1.1a54a5a6906a2p-14, -0x1.1798fc6c20fb2p-14, -0x1.14b682a83abb2p-14, -0x1.11af91d13e54cp-14, -0x1.0e866e9e36541p-14, -0x1.0b3d499561d61p-14, -0x1.07d63f972c731p-14, -0x1.04535a6606802p-14, -0x1.00b6912ac3392p-14, -0x1.fa0391ed47cdep-15, -0x1.f26daa84831f6p-15, -0x1.eaaef0d10a3fdp-15, -0x1.e2cac840dc77dp-15, -0x1.dac473e999886p-15, -0x1.d29f176a7b4e5p-15, -0x1.ca5db7d543f07p-15, -0x1.c2033c85eff7fp-15, -0x1.b9926ffecdf2ap-15, -0x1.b10e00b8fb261p-15, -0x1.a87881f22fc02p-15, -0x1.9fd46c75ec904p-15, -0x1.97241f643d6b2p-15, -0x1.8e69e0ee3ed25p-15, -0x1.85a7df1468d98p-15, -0x1.7ce0305b37286p-15, -0x1.7414d47efc0d1p-15, -0x1.6b47b522d60bfp-15, -0x1.627aa678664eep-15, -0x1.59af67e89ab44p-15, -0x1.50e7a4b1a3ceep-15, -0x1.4824f488ce604p-15, -0x1.3f68dc316b394p-15, -0x1.36b4ce15182fdp-15, -0x1.2e0a2ad56ef81p-15, -0x1.256a41d9df49fp-15, -0x1.1cd651dd6bd6dp-15, -0x1.144f897534bcfp-15, -0x1.0bd707950cd12p-15, -0x1.036ddc0f49e47p-15, -0x1.f62a1028e42ebp-16, -0x1.e59afd570a9b9p-16, -0x1.d5304a52e5929p-16, -0x1.c4eba7540dcfp-16, -0x1.b4ceaaf2e8189p-16, -0x1.a4dad3129c414p-16, -0x1.951185b25a86dp-16, -0x1.857411bd93752p-16, -0x1.7603afdb1df6ep-16, -0x1.66c1833016f84p-16, -0x1.57ae9a21dd556p-16, -0x1.48cbef13b0e42p-16, -0x1.3a1a691a204ap-16, -0x1.2b9adcae5d993p-16, -0x1.1d4e0c5d81b1ep-16, -0x1.0f34a96af6368p-16, -0x1.014f547a6ccd6p-16, -0x1.e73d3c5746295p-17, -0x1.cc460f6b4f86cp-17, -0x1.b1ba06fb09dd4p-17, -0x1.9799eb4efcf34p-17, -0x1.7de66945b0e4p-17, -0x1.64a01371539c8p-17, -0x1.4bc7631e23247p-17, -0x1.335cb95515811p-17, -0x1.1b605fddf3cabp-17, -0x1.03d28a2fad3c5p-17, -0x1.d966acbe2a509p-18, -0x1.ac059c1777161p-18, -0x1.7f81ce7a8e456p-18, -0x1.53db0a6cf9c5bp-18, -0x1.2910f2aaad782p-18, -0x1.fe460f507c0ap-19, -0x1.ac2152503bc75p-19, -0x1.5bb22f91dd428p-19, -0x1.0cf6ecc7dad37p-19, -0x1.7fdb2e30e1966p-20, -0x1.d25016f519c05p-21, -0x1.573ee647415edp-22, 0x1.d197061fe83bdp-23, 0x1.8dca722d8147cp-21, 0x1.504d1c62dfcc2p-20, 0x1.d670aa84db51cp-20, 0x1.2cab28ce09b8bp-19, 0x1.6c8264e8b2a29p-19, 0x1.aac1886a79955p-19, 0x1.e76c3303b44dcp-19, 0x1.114311a14afdep-18, 0x1.2e099a4a7b3ccp-18, 0x1.4a0baebd844a8p-18, 0x1.654b56e250d6bp-18, 0x1.7fcaa662ed909p-18, 0x1.998bbbe0b59a7p-18, 0x1.b290c0229010bp-18, 0x1.cadbe553b231fp-18, 0x1.e26f663bee414p-18, 0x1.f94d8588e0f69p-18, 0x1.07bc4692b8e6bp-17, 0x1.127966c055557p-17, 0x1.1cdf4e79768bcp-17, 0x1.26ef2b8e0bd7fp-17, 0x1.30aa2e23d9ac8p-17, 0x1.3a11886fbb88fp-17, 0x1.43266e6de5ca9p-17, 0x1.4bea15996a8e7p-17, 0x1.545db4b47885fp-17, 0x1.5c828380df13p-17, 0x1.6459ba862b0f7p-17, 0x1.6be492d947aebp-17, 0x1.732445e6636ffp-17, 0x1.7a1a0d35c70d3p-17, 0x1.80c7223e2236p-17, 0x1.872cbe33fc2f3p-17, 0x1.8d4c19d57e94dp-17, 0x1.93266d43b1949p-17, 0x1.98bcefd769accp-17, 0x1.9e10d7f2c1fedp-17, 0x1.a3235ae1ddea9p-17, 0x1.a7f5acb17e8p-17, 0x1.ac89000b7b63ep-17, 0x1.b0de86154f7cp-17, 0x1.b4f76e52cd2e7p-17, 0x1.b8d4e68387f1bp-17, 0x1.bc781a8a5fef5p-17, 0x1.bfe2344e61e32p-17, 0x1.c3145ba351d36p-17, 0x1.c60fb62deff3dp-17, 0x1.c8d567508295ap-17, 0x1.cb669014ceed2p-17, 0x1.cdc44f1499b3dp-17, 0x1.cfefc066b2cc7p-17, 0x1.d1e9fd918aff5p-17, 0x1.d3b41d73839c3p-17, 0x1.d54f3436f525ep-17, 0x1.d6bc534217115p-17, 0x1.d7fc892ae6bccp-17, 0x1.d910e1a5a855cp-17, 0x1.d9fa657f80c8fp-17, 0x1.daba1a906451bp-17, 0x1.db5103ae54d39p-17, 0x1.dbc020a88623ap-17, 0x1.dc086e3e98b7dp-17, 0x1.dc2ae615c4e05p-17, 0x1.dc287eb50e006p-17, 0x1.dc022b7eeeb3bp-17, 0x1.dbb8dca98fb16p-17, 0x1.db4d7f3ecc1ebp-17, 0x1.dac0fd148263p-17, 0x1.da143cca356e3p-17, 0x1.d94821c579971p-17, 0x1.d85d8c3341833p-17, 0x1.d7555902ee432p-17, 0x1.d63061e5ed52ap-17, 0x1.d4ef7d4f580a7p-17, 0x1.d3937e761b95dp-17, 0x1.d21d3553ece52p-17, 0x1.d08d6ea44deacp-17, 0x1.cee4f3e933ffcp-17, 0x1.cd248b6a46c62p-17, 0x1.cb4cf839d00d1p-17, 0x1.c95efa3489601p-17, 0x1.c75b4e07825abp-17, 0x1.c542ad3115a78p-17, 0x1.c315ce0483567p-17, 0x1.c0d563b07e5dp-17, 0x1.be821e419c9bp-17, 0x1.bc1caaa5e1569p-17, 0x1.b9a5b2b328263p-17, 0x1.b71ddd2c853d2p-17, 0x1.b485cdc8105dbp-17, 0x1.b1de253201ce2p-17, 0x1.af2781143c0c6p-17, 0x1.ac627c1befd6fp-17, 0x1.a98fae00129e2p-17, 0x1.a6afab887f037p-17, 0x1.a3c3069282be1p-17, 0x1.a0ca4e1a08ccdp-17, 0x1.9dc60e3dab6ap-17, 0x1.9ab6d0481500fp-17, 0x1.979d1ab68dae6p-17, 0x1.9479713fd974bp-17, 0x1.914c54db52f7fp-17, 0x1.8e1643c98cc7p-17, 0x1.8ad7b99b05c4fp-17, 0x1.87912f37806c2p-17, 0x1.84431ae664ae7p-17, 0x1.80edf0578b095p-17, 0x1.7d9220a932b3dp-17, 0x1.7a301a707ee0ap-17, 0x1.76c849c2e78dbp-17, 0x1.735b183cbe5ebp-17, 0x1.6fe8ed08c0f6cp-17, 0x1.6c722ce9432a5p-17, 0x1.68f73a4093c0ep-17, 0x1.6578751962a81p-17, 0x1.61f63b2d612fdp-17, 0x1.5e70e7eef0d29p-17, 0x1.5ae8d49001699p-17, 0x1.575e580abb1bep-17, 0x1.53d1c72a80362p-17, 0x1.504374939521dp-17, 0x1.4cb3b0cb61d88p-17, 0x1.4922ca3f33d91p-17, 0x1.45910d4ebc2cbp-17, 0x1.41fec45325612p-17, 0x1.3e6c37a65aa7cp-17, 0x1.3ad9adaaf5439p-17, 0x1.37476ad5da4fep-17, 0x1.33b5b1b4dd012p-17, 0x1.3024c2f8110cp-17, 0x1.2c94dd784801fp-17, 0x1.29063e3ef2a3cp-17, 0x1.2579208e1b924p-17, }}, 
      {{-0x1.f04002ade813dp-9, -0x1.f192478b3b57ep-8, -0x1.77679908a7d0ap-7, -0x1.f9babd7c55eep-7, -0x1.40ed1fb8f3201p-6, -0x1.88e88bc13df88p-6, -0x1.d5ac98ff93acfp-6, -0x1.13ebf2e74ecfap-5, -0x1.3fe0626432bd7p-5, -0x1.6eba650d76ce9p-5, -0x1.a05f81fa81bap-5, -0x1.d499206aaed18p-5, -0x1.058d521773327p-4, -0x1.21c3ded743131p-4, -0x1.3ebd34584ff59p-4, -0x1.5c4424a0c636fp-4, -0x1.7a239e822b9f5p-4, -0x1.982889504115bp-4, -0x1.b6233590e08cbp-4, -0x1.d3e86a2d759ecp-4, -0x1.f15218d3ab3b6p-4, -0x1.071fe2d1f8a46p-3, -0x1.154b574d9955dp-3, -0x1.2320df5cfa064p-3, -0x1.3098ac07663cbp-3, -0x1.3dad7f5755ccfp-3, -0x1.4a5c76b6946c2p-3, -0x1.56a4cdf4249b7p-3, -0x1.62879e22d86f4p-3, -0x1.6e079aee0d9afp-3, -0x1.7928d07cd62bap-3, -0x1.83f06384a152ap-3, -0x1.8e6454c3cb345p-3, -0x1.988b48c25b6aep-3, -0x1.a26c546b0511ap-3, -0x1.ac0ececf6ad39p-3, -0x1.b57a283747cbfp-3, -0x1.beb5c671c3e36p-3, -0x1.c7c8e640d0127p-3, -0x1.d0ba819f859ebp-3, -0x1.d9913a940c52p-3, -0x1.e2534a331fd0dp-3, -0x1.eb0673755533ap-3, -0x1.f3aff97c0f141p-3, -0x1.fc5498e4c3724p-3, -0x1.027c41e608e59p-2, -0x1.06cfb013523e4p-2, -0x1.0b26240db5a7dp-2, -0x1.0f80e60875b5cp-2, -0x1.13e0fb130d2bdp-2, -0x1.1847276ae4718p-2, -0x1.1cb3f1453d788p-2, -0x1.2127a3f75c3e6p-2, -0x1.25a2536616776p-2, -0x1.2a23dfa8bf2ebp-2, -0x1.2eabf8ce08e6bp-2, -0x1.333a22b3e2afp-2, -0x1.37cdb8e585d86p-2, -0x1.3c65f274da785p-2, -0x1.4101e5c620905p-2, -0x1.45a08c465b065p-2, -0x1.4a40c6065268cp-2, -0x1.4ee15d3543745p-2, -0x1.538109775765ep-2, -0x1.581e7314ea985p-2, -0x1.5cb836007c8e1p-2, -0x1.614ce4b1be03cp-2, -0x1.65db0ad4e7bep-2, -0x1.6a612fcddaf81p-2, -0x1.6eddd90f25657p-2, -0x1.734f8c453006bp-2, -0x1.77b4d15657b18p-2, -0x1.7c0c3438cb323p-2, -0x1.8054469f4f1a4p-2, -0x1.848ba17e3348bp-2, -0x1.88b0e669dbc66p-2, -0x1.8cc2c0d06696dp-2, -0x1.90bfe70ffc837p-2, -0x1.94a71b6b793f9p-2, -0x1.98772cdf134e6p-2, -0x1.9c2ef7d6b6329p-2, -0x1.9fcd66c7c796p-2, -0x1.a35172b00438dp-2, -0x1.a6ba237b248bep-2, -0x1.aa069050f4733p-2, -0x1.ad35dfcd7aba7p-2, -0x1.b0474824c2368p-2, -0x1.b33a0f33d9a35p-2, -0x1.b60d8a807accep-2, -0x1.b8c11f28d48fdp-2, -0x1.bb5441c4d719fp-2, -0x1.bdc6763a511acp-2, -0x1.c0174f852f394p-2, -0x1.c2466f75055abp-2, -0x1.c453866116eap-2, -0x1.c63e52d3e9f66p-2, -0x1.c806a12f74f63p-2, -0x1.c9ac4b4ade591p-2, -0x1.cb2f380ab29d4p-2, -0x1.cc8f5af477cc5p-2, -0x1.cdccb3be5d40bp-2, -0x1.cee74ddbd3c53p-2, -0x1.cfdf4007b67fep-2, -0x1.d0b4abccabca4p-2, -0x1.d167bd0c553f6p-2, -0x1.d1f8a985dd10ap-2, -0x1.d267b05c5991cp-2, -0x1.d2b5199d81b1fp-2, -0x1.d2e135c918dacp-2, -0x1.d2ec5d5970c3bp-2, -0x1.d2d6f04d5b64p-2, -0x1.d2a155b3d20ecp-2, -0x1.d24bfb399f91bp-2, -0x1.d1d754b940cbfp-2, -0x1.d143dbcd32b6fp-2, -0x1.d0920f64e0037p-2, -0x1.cfc2735c4ae25p-2, -0x1.ced590169e831p-2, -0x1.cdcbf21bbac06p-2, -0x1.cca629b8d45f2p-2, -0x1.cb64caa4354dep-2, -0x1.ca086ba43191ep-2, -0x1.c891a6394e3d4p-2, -0x1.c701164ba6beep-2, -0x1.c55759db8fab6p-2, -0x1.c39510b56f848p-2, -0x1.c1badc28d336fp-2, -0x1.bfc95ec2a7e0ap-2, -0x1.bdc13c0aa158fp-2, -0x1.bba31843b2a76p-2, -0x1.b96f982f94032p-2, -0x1.b72760d543e17p-2, -0x1.b4cb174a742p-2, -0x1.b25b607fd3055p-2, -0x1.afd8e11018568p-2, -0x1.ad443d11cd46cp-2, -0x1.aa9e17ebaeb4bp-2, -0x1.a7e7142ba54f9p-2, -0x1.a51fd3602dd1fp-2, -0x1.a248f5f42c09fp-2, -0x1.9f631b0d0a575p-2, -0x1.9c6ee06b11d48p-2, -0x1.996ce24bec36p-2, -0x1.965dbb4f32ca6p-2, -0x1.9342045cf9e4bp-2, -0x1.901a548e4718ep-2, -0x1.8ce741175706p-2, -0x1.89a95d33a57cfp-2, -0x1.86613a13a3c81p-2, -0x1.830f66cc0401cp-2, -0x1.7fb4704691908p-2, -0x1.7c50e1347a30ep-2, -0x1.78e54201fe51ap-2, -0x1.757218cb71728p-2, -0x1.71f7e9537ea61p-2, -0x1.6e7734fa9f2e1p-2, -0x1.6af07ab7b3cd8p-2, -0x1.67643711b16cap-2, -0x1.63d2e41a53dbfp-2, -0x1.603cf969c752cp-2, -0x1.5ca2ec1b3f6bap-2, -0x1.59052eca67655p-2, -0x1.55643191a5ee2p-2, -0x1.51c0620925888p-2, -0x1.4e1a2b4697686p-2, -0x1.4a71f5dda5cd2p-2, -0x1.46c827e107525p-2, -0x1.431d24e434fbfp-2, -0x1.3f714dfda7b75p-2, -0x1.3bc501c9a5ad9p-2, -0x1.38189c6d8b2bbp-2, -0x1.346c779b8d5ddp-2, -0x1.30c0ea96e85bp-2, -0x1.2d164a387b23fp-2, -0x1.296ce8f3bdcbp-2, -0x1.25c516dc170bfp-2, -0x1.221f21aa81ef7p-2, -0x1.1e7b54c382987p-2, -0x1.1ad9f93d62514p-2, -0x1.173b55e6acb01p-2, -0x1.139faf4cec101p-2, -0x1.100747c3989efp-2, -0x1.0c725f6b4177bp-2, -0x1.08e13438df155p-2, -0x1.055401fd514fcp-2, -0x1.01cb026d05cfp-2, -0x1.fc8cda4f79ae5p-3, -0x1.f58cef80e3687p-3, -0x1.ee96ab8ab5cafp-3, -0x1.e7aa71900796fp-3, -0x1.e0c8a0caf7c54p-3, -0x1.d9f1949d2f2b3p-3, -0x1.d325a4a081c9bp-3, -0x1.cc6524b7a99e8p-3, -0x1.c5b0651f14cfbp-3, -0x1.bf07b27dc56e3p-3, -0x1.b86b55f63f4cp-3, -0x1.b1db953775d1ap-3, -0x1.ab58b28dc8c7fp-3, -0x1.a4e2ecf3f4d1bp-3, -0x1.9e7a80240a0cep-3, -0x1.981fa4a853c05p-3, -0x1.91d28fec3f28p-3, -0x1.8b93744d2c43ep-3, -0x1.8562812b3418ap-3, -0x1.7f3fe2f9d8f2bp-3, -0x1.792bc350a7b55p-3, -0x1.732648fbb89e6p-3, -0x1.6d2f980c1e71cp-3, -0x1.6747d1e837bd7p-3, -0x1.616f155bdf915p-3, -0x1.5ba57ea882f3p-3, -0x1.55eb2795115f6p-3, -0x1.5040277dce839p-3, -0x1.4aa49363fb7fp-3, -0x1.45187dfd5c15ap-3, -0x1.3f9bf7c3952ddp-3, -0x1.3a2f0f0362d85p-3, -0x1.34d1cfeba41f2p-3, -0x1.2f84449c3bbb1p-3, -0x1.2a467534c5af3p-3, -0x1.251867e32007fp-3, -0x1.1ffa20f1c6be9p-3, -0x1.1aeba2d5fe5a2p-3, -0x1.15ecee3dd61ap-3, -0x1.10fe021def32p-3, -0x1.0c1edbbf1f144p-3, -0x1.074f76cbdcf4cp-3, -0x1.028fcd5d753ebp-3, -0x1.fbbfb01233b5ep-4, -0x1.f27f1bd969c7p-4, -0x1.e95dc97715ecfp-4, -0x1.e05ba1955c121p-4, -0x1.d7788a3a7363p-4, -0x1.ceb466e0b716ep-4, -0x1.c60f188e4f6ccp-4, -0x1.bd887dec79e77p-4, -0x1.b520735e5d6dp-4, -0x1.acd6d3178129ap-4, -0x1.a4ab7531d2db1p-4, -0x1.9c9e2fc34e1d6p-4, -0x1.94aed6f32cca6p-4, -0x1.8cdd3d0ebced1p-4, -0x1.8529329dca573p-4, -0x1.7d9286769babp-4, -0x1.761905d18fb1bp-4, -0x1.6ebc7c5c4c648p-4, -0x1.677cb44c8bf83p-4, -0x1.6059767282d21p-4, -0x1.59528a4add845p-4, -0x1.5267b6105e08ap-4, -0x1.4b98becd0cf6dp-4, -0x1.44e5686b118a1p-4, -0x1.3e4d75c51c0dp-4, -0x1.37d0a8b674ca7p-4, -0x1.316ec22aa49c1p-4, -0x1.2b27822cc284bp-4, -0x1.24faa7f6597fdp-4, -0x1.1ee7f1fdf6e21p-4, -0x1.18ef1e0554cd1p-4, -0x1.130fe9272bf98p-4, -0x1.0d4a0fe4a5736p-4, -0x1.079d4e3271bc9p-4, -0x1.02095f8588539p-4, -0x1.f91bfdbf1941ep-5, -0x1.ee55cdb5b0957p-5, -0x1.e3bfa36c64fecp-5, -0x1.d958f2c05de09p-5, -0x1.cf212f0471c46p-5, -0x1.c517cb1693f3p-5, -0x1.bb3c39749e176p-5, -0x1.b18dec5079169p-5, -0x1.a80c55a3a1982p-5, -0x1.9eb6e7421273p-5, -0x1.958d12ec92e22p-5, -0x1.8c8e4a6268dbep-5, -0x1.83b9ff727accfp-5, -0x1.7b0fa40bd8fafp-5, -0x1.728eaa4db759p-5, -0x1.6a368496d6671p-5, -0x1.6206a59461caep-5, -0x1.59fe805044fc6p-5, -0x1.521d883ef8d6ep-5, -0x1.4a63314cc73dfp-5, -0x1.42ceefea977bbp-5, -0x1.3b60391a2c1fep-5, -0x1.34168279f0488p-5, -0x1.2cf1425044234p-5, -0x1.25efef9653375p-5, -0x1.1f12020271a67p-5, -0x1.1856f21208d67p-5, -0x1.11be391315faep-5, -0x1.0b47512d31b1cp-5, -0x1.04f1b56a37932p-5, -0x1.fd79c37cee5cp-6, -0x1.f150a621147d9p-6, -0x1.e5670e817a3f2p-6, -0x1.d9bbfa6034a9cp-6, -0x1.ce4e698e26797p-6, -0x1.c31d5df797003p-6, -0x1.b827dbb01869bp-6, -0x1.ad6ce8fdb4ec8p-6, -0x1.a2eb8e6371b0bp-6, -0x1.98a2d6ab26037p-6, -0x1.8e91ceeeb7068p-6, -0x1.84b786a0a373fp-6, -0x1.7b130f940575bp-6, -0x1.71a37e03f2a39p-6, -0x1.6867e89a461f3p-6, -0x1.5f5f6875e448p-6, -0x1.568919307266bp-6, -0x1.4de418e37f7fap-6, -0x1.456f882d31ffdp-6, -0x1.3d2a8a3473ef7p-6, -0x1.351444aca784p-6, -0x1.2d2bdfd8dba04p-6, -0x1.2570868e96122p-6, -0x1.1de166382b1dep-6, -0x1.167daed6aa124p-6, -0x1.0f4493035aaefp-6, -0x1.083547f0e1e08p-6, -0x1.014f056bf530ep-6, -0x1.f5220bb78b7a7p-7, -0x1.e7f50c83e7174p-7, -0x1.db158c748e58fp-7, -0x1.ce820ff3ff642p-7, -0x1.c239209dbb9d2p-7, -0x1.b6394d3bb500fp-7, -0x1.aa8129c324e81p-7, -0x1.9f0f4f50d8dc6p-7, -0x1.93e25c24efe22p-7, -0x1.88f8f39e0dd46p-7, -0x1.7e51be3425343p-7, -0x1.73eb6972a1efp-7, -0x1.69c4a7f24554ep-7, -0x1.5fdc31527822ep-7, -0x1.5630c2323cd93p-7, -0x1.4cc11c28bb552p-7, -0x1.438c05bd6c4aap-7, -0x1.3a904a5fe40e4p-7, -0x1.31ccba5f43053p-7, -0x1.29402ae1645afp-7, -0x1.20e975d9ad041p-7, -0x1.18c779ff888ffp-7, -0x1.10d91ac4ba354p-7, -0x1.091d404b5991fp-7, -0x1.0192d75b87a3dp-7, -0x1.f471a2b20cf66p-8, -0x1.e61c4870e4fdbp-8, -0x1.d82394e8df717p-8, -0x1.ca85860510ee4p-8, -0x1.bd40228fe3c88p-8, -0x1.b0517a1c31c4fp-8, -0x1.a3b7a4ee196b3p-8, -0x1.9770c3e3ada08p-8, -0x1.8b7b005d2f9a6p-8, -0x1.7fd48c252a232p-8, -0x1.747ba158529a6p-8, -0x1.696e824d4affp-8, -0x1.5eab797c12e91p-8, -0x1.5430d96577f2ep-8, -0x1.49fcfc7a55b8fp-8, -0x1.400e4502a7f7ep-8, -0x1.36631d04af3e7p-8, -0x1.2cf9f62be2652p-8, -0x1.23d149afd62b7p-8, -0x1.1ae7983b23b56p-8, -0x1.123b69d235b33p-8, -0x1.09cb4dba26fd6p-8, -0x1.0195da5fa3708p-8, -0x1.f3335a7b66c9dp-9, -0x1.e3aad5894578ap-9, -0x1.d48f7c81ddf0bp-9, -0x1.c5deb3849cbd3p-9, -0x1.b795ec0541cp-9, -0x1.a9b2a49a65d1fp-9, -0x1.9c3268cba1cf7p-9, -0x1.8f12d0e05586bp-9, -0x1.825181ae9a8dbp-9, -0x1.75ec2c6a10d16p-9, -0x1.69e08e736339fp-9, -0x1.5e2c7127cbbf6p-9, -0x1.52cda9b0fe828p-9, -0x1.47c218d559049p-9, -0x1.3d07aac858dd6p-9, -0x1.329c56fb7855bp-9, -0x1.287e1fef3a4c2p-9, -0x1.1eab1304eebf4p-9, -0x1.152148505470cp-9, -0x1.0bdee26a05322p-9, -0x1.02e20e420eaa3p-9, -0x1.f45205e5f6442p-10, -0x1.e364032aaa15p-10, -0x1.d2f6aa270da9ap-10, -0x1.c306a3fc22fa6p-10, -0x1.b390acc0a0c3ep-10, -0x1.a491932b6b26dp-10, -0x1.9606383e91233p-10, -0x1.87eb8ef3b01c6p-10, -0x1.7a3e9be8a3ed8p-10, -0x1.6cfc750dd1f11p-10, -0x1.60224154ac54ep-10, -0x1.53ad385fd0616p-10, -0x1.479aa233b9604p-10, -0x1.3be7d6e8472d6p-10, -0x1.30923e5b9b0e4p-10, -0x1.25974fe577249p-10, -0x1.1af4920c212f3p-10, -0x1.10a79a39cfc82p-10, -0x1.06ae0c72fb10ap-10, -0x1.fa0b361c59b2p-11, -0x1.e7580cd86d1fcp-11, -0x1.d53e39637d6a2p-11, -0x1.c3b973033a403p-11, -0x1.b2c58b709c194p-11, -0x1.a25e6e506aa93p-11, -0x1.928020adcfc6cp-11, -0x1.8326c0773f0bcp-11, -0x1.744e83fc880c1p-11, -0x1.65f3b96f75584p-11, -0x1.5812c66666d58p-11, -0x1.4aa827600601cp-11, -0x1.3db06f49c8c4bp-11, -0x1.31284707e0d2p-11, -0x1.250c6cff3add8p-11, -0x1.1959b4a11b3e2p-11, -0x1.0e0d05f8eedd3p-11, -0x1.03235d3bb2264p-11, -0x1.f13394b257c64p-12, -0x1.dcdae11e9041ap-12, -0x1.c9370bfddb377p-12, -0x1.b642a6856f10ap-12, -0x1.a3f8660f0043p-12, -0x1.9253234d54648p-12, -0x1.814dd9843fd83p-12, -0x1.70e3a5c41ebe4p-12, -0x1.610fc629033fcp-12, -0x1.51cd991d0d99dp-12, -0x1.43189c9da9739p-12, -0x1.34ec6d854c204p-12, -0x1.2744c6d70ca86p-12, -0x1.1a1d810ed5f71p-12, -0x1.0d729173fc9eap-12, -0x1.0140096f60165p-12, -0x1.eb042bc8a4604p-13, -0x1.d469fd19d5033p-13, -0x1.beaa4ab32c05fp-13, -0x1.a9be0ba6a3c15p-13, -0x1.959e69024c3a5p-13, -0x1.8244bca0a61a3p-13, -0x1.6faa90003eefep-13, -0x1.5dc99b1e04cbdp-13, -0x1.4c9bc3596576ep-13, -0x1.3c1b1a5b1300cp-13, -0x1.2c41dd01d0238p-13, -0x1.1d0a725663d17p-13, -0x1.0e6f6a823c023p-13, -0x1.006b7dcdbec5fp-13, -0x1.e5f3174614813p-14, -0x1.cc29332972884p-14, -0x1.b36fa4d7fda3fp-14, -0x1.9bbd0a7459802p-14, -0x1.850848de7a29bp-14, -0x1.6f4889eb8ca2ap-14, -0x1.5a753aa7c21ebp-14, -0x1.4686099ecbe25p-14, -0x1.3372e5312c97fp-14, -0x1.2133f9f1459cp-14, -0x1.0fc1b10867f1dp-14, -0x1.fe295d4b17cacp-15, -0x1.de4ba0ea300f3p-15, -0x1.bfdc58406923dp-15, -0x1.a2ce1babff4d7p-15, -0x1.8713edb6fce55p-15, -0x1.6ca13847197a3p-15, -0x1.5369c9e5e88fap-15, -0x1.3b61d30893fcep-15, -0x1.247de377b3597p-15, -0x1.0eb2e7bb637b2p-15, -0x1.f3ec4d32cca59p-16, -0x1.cc7a7d4a8daa7p-16, -0x1.a6fc47b434c0cp-16, -0x1.835e3a8968e86p-16, -0x1.618d85743ca85p-16, -0x1.4177f5383b26ep-16, -0x1.230bef5dc6858p-16, -0x1.06386dea2a317p-16, -0x1.d5d9f66e462adp-17, -0x1.a2335bdcb0378p-17, -0x1.715e4a12c128bp-17, -0x1.433d07f6884b6p-17, -0x1.17b2ddc781052p-17, -0x1.dd481ba6a3707p-18, -0x1.8feb9a67adb94p-18, -0x1.471c79bac5881p-18, -0x1.02a8c584c9403p-18, -0x1.84c08ca0814dep-19, -0x1.0c28e87af7d38p-19, -0x1.3661a99ec98dcp-20, -0x1.8c0da7b72bcfep-22, 0x1.89bff5c6fd68ap-22, 0x1.1a99a0ca1eddcp-20, 0x1.c614c7327b863p-20, 0x1.32bb8b9a499fdp-19, 0x1.7ca86151f5fe1p-19, 0x1.c1165859ef841p-19, 0x1.002429d8d58b9p-18, 0x1.1d3f5d0152f97p-18, 0x1.37fbc48bb219dp-18, 0x1.507734803af33p-18, 0x1.66ce5f5573e0cp-18, 0x1.7b1cdf095ac5ep-18, 0x1.8d7d3de79fa52p-18, 0x1.9e08ff2bc3aa8p-18, 0x1.acd8a7495db2p-18, 0x1.ba03c42549f64p-18, 0x1.c5a0f4ef2f631p-18, 0x1.cfc5f1d0ab1e8p-18, 0x1.d8879382bcd22p-18, 0x1.dff9da784f394p-18, 0x1.e62ff610c16dep-18, 0x1.eb3c4b6e3a6d4p-18, 0x1.ef307c2763af4p-18, 0x1.f21d6cd6809f3p-18, 0x1.f4134b63716acp-18, 0x1.f52195302e1c1p-18, 0x1.f5571d182d891p-18, 0x1.f4c2113e246fcp-18, 0x1.f37000b0dadb2p-18, 0x1.f16de0ec50a13p-18, 0x1.eec8133035152p-18, 0x1.eb8a69a12f025p-18, 0x1.e7c02c5c096acp-18, 0x1.e3741e51c038ep-18, 0x1.deb0820666a8ep-18, 0x1.d97f1e2ea397dp-18, 0x1.d3e9421aff65dp-18, 0x1.cdf7ca2073fffp-18, 0x1.c7b323b255b8cp-18, 0x1.c123518d132f8p-18, 0x1.ba4fef9dd93f6p-18, 0x1.b34036d8a5f63p-18, 0x1.abfb00f725187p-18, 0x1.a486cc0ac8525p-18, 0x1.9ce9be030a1adp-18, 0x1.9529a80c483d6p-18, 0x1.8d4c09d7d732bp-18, 0x1.855614c8a0674p-18, 0x1.7d4caf0997444p-18, 0x1.75347681d0da7p-18, 0x1.6d11c3c7a1f1fp-18, 0x1.64e8acdb05c82p-18, 0x1.5cbd07e388f33p-18, 0x1.54926dcd51a2cp-18, 0x1.4c6c3cd0b7f93p-18, 0x1.444d9ae717493p-18, 0x1.3c397823b4f1ap-18, 0x1.343291090adep-18, 0x1.2c3b70b745e5fp-18, 0x1.2456731471789p-18, 0x1.1c85c6e02a63ep-18, 0x1.14cb6fb14d434p-18, 0x1.0d2947e52d2b7p-18, 0x1.05a10280495b2p-18, 0x1.fc6859e795e5bp-19, 0x1.edc861ce3965ep-19, 0x1.df64abb101059p-19, 0x1.d13f85953344bp-19, 0x1.c35aff8cfdb91p-19, 0x1.b5b8eed48ae72p-19, 0x1.a85af0a1d80bp-19, 0x1.9b426d0b4922ap-19, 0x1.8e7099a820dc4p-19, 0x1.81e67c370a159p-19, 0x1.75a4ed1659ee5p-19, 0x1.69ac99b6653p-19, 0x1.5dfe06e50cc01p-19, 0x1.529993150a49dp-19, 0x1.477f787a95966p-19, 0x1.3cafcf20407e6p-19, 0x1.322a8ee73b1f7p-19, 0x1.27ef916ef62a5p-19, 0x1.1dfe93e56b4b2p-19, 0x1.145738da182b6p-19, 0x1.0af909e1ba271p-19, 0x1.01e3793d7f736p-19, 0x1.f22bc6ce465b2p-20, 0x1.e11f2125db5cfp-20, 0x1.d09f6c38ed125p-20, 0x1.c0aaefd475398p-20, 0x1.b13fd375b8796p-20, 0x1.a25c20d864281p-20, 0x1.93fdc64a833eap-20, 0x1.8622991e427bcp-20, 0x1.78c857c0c1473p-20, 0x1.6becabe854b0bp-20, 0x1.5f8d2c8b7a411p-20, 0x1.53a75fcf8e18ap-20, 0x1.4838bce41a45dp-20, 0x1.3d3eadbbebe66p-20, 0x1.32b690b64f282p-20, 0x1.289dba3fc031ap-20, 0x1.1ef176492adbfp-20, 0x1.15af09b3a1ca9p-20, 0x1.0cd3b3b7ffd04p-20, 0x1.045caf283e094p-20, 0x1.f88e675b89637p-21, 0x1.e920ede8c4eaap-21, 0x1.da6b5b80f2cbbp-21, 0x1.cc6819f3c785fp-21, 0x1.bf1195461f7c6p-21, 0x1.b2623d94d75cdp-21, 0x1.a65488e73e832p-21, 0x1.9ae2f4a3e7a89p-21, 0x1.9008074a14432p-21, 0x1.85be51c4a650bp-21, 0x1.7c0070d25f393p-21, 0x1.72c90e568d73bp-21, 0x1.6a12e26484c35p-21, 0x1.61d8b49379d2ep-21, 0x1.5a155cce2f1b3p-21, 0x1.52c3c45efd3ddp-21, 0x1.4bdee6d71e11cp-21, 0x1.4561d2c220df5p-21, 0x1.3f47aa8e17661p-21, 0x1.398ba50c551efp-21, 0x1.34290e3d191d1p-21, 0x1.2f1b47bb10d36p-21, 0x1.2a5dc9554fb35p-21, 0x1.25ec217482b45p-21, 0x1.21c1f5960099ap-21, 0x1.1ddb028de537ep-21, 0x1.1a331ced1c1fep-21, 0x1.16c6313ce17a5p-21, 0x1.1390442658ac3p-21, 0x1.108d72c14a04cp-21, 0x1.0db9f29d7848cp-21, 0x1.0b1211fee3b61p-21, 0x1.089237d0ef932p-21, 0x1.0636e3c8ea532p-21, 0x1.03fcae55fb805p-21, 0x1.01e048b10ed9cp-21, 0x1.ffbcf978ae4c7p-22, 0x1.fbe85a090b72bp-22, 0x1.f83ca933c092dp-22, 0x1.f4b40de9db665p-22, 0x1.f148dfb7a4e36p-22, 0x1.edf5a64a9d5e3p-22, 0x1.eab5193afaf49p-22, 0x1.e7821f9c49587p-22, 0x1.e457cf8228a7cp-22, 0x1.e1316d8c17e61p-22, 0x1.de0a6c73e9fdbp-22, 0x1.dade6c7542c0fp-22, 0x1.d7a93abc5e44bp-22, 0x1.d466d0da1e12ap-22, 0x1.d113543334203p-22, 0x1.cdab155975a53p-22, 0x1.ca2a8f773a645p-22, 0x1.c68e678bc6abfp-22, 0x1.c2d36bd6297e5p-22, 0x1.bef693151340ap-22, 0x1.baf4fbdd0c213p-22, 0x1.b6cbebf4f9f63p-22, 0x1.b278cf710b46cp-22, 0x1.adf9381c367fcp-22, 0x1.a94adca439539p-22, 0x1.a46b97f2160acp-22, 0x1.9f59685332dd2p-22, 0x1.9a126ec997917p-22, 0x1.9494ee48d13ddp-22, 0x1.8edf4aed07af4p-22, 0x1.88f009298d076p-22, 0x1.82c5cd2701bccp-22, 0x1.7c5f59e28d5e9p-22, 0x1.75bb907635fb7p-22, 0x1.6ed96f4bdeae5p-22, 0x1.67b811640b094p-22, 0x1.6056ad953aa28p-22, 0x1.58b495bfae65cp-22, 0x1.50d13623e1621p-22, 0x1.48ac148bd72d3p-22, 0x1.4044cf9a3349bp-22, 0x1.379b1e071ebf9p-22, 0x1.2eaecde1e6e36p-22, 0x1.257fc3f6f944cp-22, 0x1.1c0dfae5ffdaap-22, 0x1.125982979b8e7p-22, 0x1.08627f5ff1b36p-22, 0x1.fc5252eeea578p-23, 0x1.e75b98628889ep-23, 0x1.d1e18ab7d1e73p-23, 0x1.bbe50923e55e4p-23, 0x1.a567152aa6a59p-23, 0x1.8e68d11bf3cc8p-23, 0x1.76eb7f14d0527p-23, 0x1.5ef07f919bf17p-23, 0x1.467950490fb38p-23, 0x1.2d878ac5ebd2ep-23, 0x1.141ce36c35fa7p-23, 0x1.f476503981a3bp-24, 0x1.bfc87e4eb8004p-24, 0x1.8a344c16ba2b5p-24, 0x1.53bde112522f2p-24, 0x1.1c698ea6ff7b6p-24, 0x1.c8779cab51b2bp-25, 0x1.56727e342cc06p-25, 0x1.c59a8fa9207ffp-26, 0x1.b6470b007c1fbp-27, -0x1.26c10a8521e5cp-30, -0x1.02ffab3188da9p-26, -0x1.f68252629fc9ap-26, -0x1.766f5392f4abap-25, -0x1.f2ff74d947d58p-25, -0x1.3873400c674ccp-24, -0x1.780c9f84fdd7bp-24, -0x1.b8462aafa2122p-24, -0x1.f91a2233996e3p-24, -0x1.1d415b847cde7p-23, -0x1.3e3d05fba396cp-23, -0x1.5f7d1b88eb988p-23, -0x1.80fea1a9a1b1p-23, -0x1.a2be991513b95p-23, -0x1.c4b9fe4be7c5ep-23, -0x1.e6edca6aa2283p-23, -0x1.04ab79e3ea531p-22, -0x1.15f9374768e53p-22, -0x1.275e96ae87ac9p-22, -0x1.38da10f1268fep-22, -0x1.4a6a1ec43aa13p-22, -0x1.5c0d38fe94265p-22, -0x1.6dc1d8dd8ca69p-22, -0x1.7f8678440a222p-22, -0x1.915992037e158p-22, -0x1.a339a221aeaefp-22, -0x1.b5252605985d1p-22, -0x1.c71a9cc6ec41p-22, -0x1.d9188759ec411p-22, -0x1.eb1d68c79f7ebp-22, -0x1.fd27c665bc8c7p-22, -0x1.079b140600162p-21, -0x1.10a38c1d05ff3p-21, -0x1.19ac922efca01p-21, -0x1.22b56e76a972ap-21, -0x1.2bbd6acad1bc6p-21, -0x1.34c3d2b457a2p-21, -0x1.3dc7f37ff6204p-21, -0x1.46c91c55aa2a5p-21, -0x1.4fc69e45f63fp-21, -0x1.58bfcc5fe5a9p-21, -0x1.61b3fbbfdcea3p-21, -0x1.6aa2839a6e477p-21, -0x1.738abd4ef744cp-21, -0x1.7c6c04768f812p-21, -0x1.8545b6f148251p-21, -0x1.8e1734f03721fp-21, -0x1.96dfe106ae95p-21, -0x1.9f9f202ec4638p-21, -0x1.a85459d6587a2p-21, -0x1.b0fef7e8d51b7p-21, -0x1.b99e66dae8d9fp-21, -0x1.c23215adb2f13p-21, -0x1.cab975f987adap-21, -0x1.d333fbf64fb45p-21, -0x1.dba11e80a3a7dp-21, -0x1.e400571d2364dp-21, -0x1.ec5121fe5c91p-21, -0x1.f492fe0eca8d7p-21, -0x1.fcc56cf00e15ep-21, -0x1.0273f9809d8e6p-20, -0x1.067d0bb0ce58p-20, -0x1.0a7db1f70adfp-20, -0x1.0e75b2a6d84a8p-20, -0x1.1264d5749d095p-20, -0x1.164ae37a6c90cp-20, -0x1.1a27a735ff653p-20, -0x1.1dfaec889f805p-20, -0x1.21c480b87ebc4p-20, -0x1.2584327045d6ep-20, -0x1.2939d1bdfb21dp-20, -0x1.2ce5301173996p-20, -0x1.3086203f057dep-20, -0x1.341c767bc47c6p-20, -0x1.37a8085d5142p-20, -0x1.3b28acd805666p-20, -0x1.3e9e3c3daf72bp-20, -0x1.4208903cba22p-20, -0x1.456783dd3b85dp-20, -0x1.48baf37f9c4cap-20, -0x1.4c02bcdbf9cecp-20, -0x1.4f3ebefddc799p-20, -0x1.526eda42b0f86p-20, -0x1.5592f05731463p-20, -0x1.58aae4353d955p-20, -0x1.5bb69a219e276p-20, -0x1.5eb5f7a8d5573p-20, -0x1.61a8e39c1d71cp-20, -0x1.648f460e7d9e9p-20, -0x1.67690852186cfp-20, -0x1.6a3614f570019p-20, }}, 
      {{-0x1.ef8647a36730bp-1, -0x1.ef5a8c0198b21p-1, -0x1.eefeb77ba9b9p-1, -0x1.ee66479a6e4f8p-1, -0x1.ed8b3d7518679p-1, -0x1.ec6db98330eacp-1, -0x1.eb125e80c844ep-1, -0x1.e9807fc74f66dp-1, -0x1.e7c08de3e1fbbp-1, -0x1.e5dae957ea7ffp-1, -0x1.e3d71d76458acp-1, -0x1.e1bb740bb87a5p-1, -0x1.df8cccd6142f5p-1, -0x1.dd4ea42eb330ap-1, -0x1.db03376440f71p-1, -0x1.d8abb927a2fc2p-1, -0x1.d6488c2f9efadp-1, -0x1.d3d97d6399b82p-1, -0x1.d15df95b991b6p-1, -0x1.ced53add25837p-1, -0x1.cc3e714c223c2p-1, -0x1.c998dee97491fp-1, -0x1.c6e3ef4a8749bp-1, -0x1.c41f46ca7fea5p-1, -0x1.c14acbe1fa756p-1, -0x1.be66ab61705dap-1, -0x1.bb735886d901ap-1, -0x1.b87189d7850ebp-1, -0x1.b5623390c25edp-1, -0x1.b2468067e9e84p-1, -0x1.af1fc9377d51cp-1, -0x1.abef8c1c9506p-1, -0x1.a8b7636eff0aap-1, -0x1.a578fce7db64fp-1, -0x1.a236113655fdep-1, -0x1.9ef05c30b7a11p-1, -0x1.9ba995c11bc3cp-1, -0x1.98636ba0c2862p-1, -0x1.951f7beadc534p-1, -0x1.91df50879f25bp-1, -0x1.8ea45b6a470efp-1, -0x1.8b6ff397fd472p-1, -0x1.884352ea5387cp-1, -0x1.851f947dd6a16p-1, -0x1.8205b3bbf3cefp-1, -0x1.7ef68beee65b4p-1, -0x1.7bf2d84e6b1b7p-1, -0x1.78fb34747494ap-1, -0x1.76101d29e1e3bp-1, -0x1.7331f17c45dedp-1, -0x1.7060f40eeedd4p-1, -0x1.6d9d4c9a9ff0ep-1, -0x1.6ae70990b2484p-1, -0x1.683e21d7947fcp-1, -0x1.65a27697d381cp-1, -0x1.6313d51206bbbp-1, -0x1.6091f877057bap-1, -0x1.5e1c8bbcd08ap-1, -0x1.5bb32b6b806eap-1, -0x1.5955675e5dac5p-1, -0x1.5702c475fe8d5p-1, -0x1.54babe38f4ebp-1, -0x1.527cc8611f241p-1, -0x1.5048505438037p-1, -0x1.4e1cbe86a762cp-1, -0x1.4bf977c7fab37p-1, -0x1.49ddde78b7ce3p-1, -0x1.47c953a9864cp-1, -0x1.45bb3823dd25cp-1, -0x1.43b2ed5c97576p-1, -0x1.41afd650f5392p-1, -0x1.3fb1584eb096ep-1, -0x1.3db6dba7e0698p-1, -0x1.3bbfcc537b919p-1, -0x1.39cb9a7b5bf8dp-1, -0x1.37d9baf8a3ba5p-1, -0x1.35e9a7bf7981p-1, -0x1.33fae03b04c4ep-1, -0x1.320ce99aa427bp-1, -0x1.301f4f1147b16p-1, -0x1.2e31a207e0607p-1, -0x1.2c437a43cbf4bp-1, -0x1.2a5476022287dp-1, -0x1.28643a08c0888p-1, -0x1.267271ade5b41p-1, -0x1.247eced73394dp-1, -0x1.228909f0d5d54p-1, -0x1.2090e1dd8d589p-1, -0x1.1e961be0557d3p-1, -0x1.1c9883804dbfbp-1, -0x1.1a97ea678c707p-1, -0x1.1894283d70e89p-1, -0x1.168d1a7d0ac47p-1, -0x1.1482a4481a86cp-1, -0x1.1274ae372f5c3p-1, -0x1.1063262754215p-1, -0x1.0e4dff05c1f8ep-1, -0x1.0c353099f9a4dp-1, -0x1.0a18b74ea65fap-1, -0x1.07f893f9a2626p-1, -0x1.05d4cba36d5d2p-1, -0x1.03ad674e61669p-1, -0x1.018273bde5492p-1, -0x1.fea8027bc432cp-2, -0x1.fa4446d55419ap-2, -0x1.f5d9e1f3161e5p-2, -0x1.f16907046803fp-2, -0x1.ecf1ee923062ep-2, -0x1.e874d615e1512p-2, -0x1.e3f1ff92faf58p-2, -0x1.df69b1333ca33p-2, -0x1.dadc34e5b38e1p-2, -0x1.d649d800ce3b2p-2, -0x1.d1b2eae79295fp-2, -0x1.cd17c0b20df9ep-2, -0x1.c878aed912fa1p-2, -0x1.c3d60ce5567fcp-2, -0x1.bf303421ec3ddp-2, -0x1.ba877f5233326p-2, -0x1.b5dc4a6b2420ap-2, -0x1.b12ef2500d74ap-2, -0x1.ac7fd492ab68ep-2, -0x1.a7cf4f3697971p-2, -0x1.a31dc07804f66p-2, -0x1.9e6b8695b4ebcp-2, -0x1.99b8ff9e1df39p-2, -0x1.9506893fa66c2p-2, -0x1.9054809bec07fp-2, -0x1.8ba3421df98ep-2, -0x1.86f3295359512p-2, -0x1.824490c7ee61p-2, -0x1.7d97d1e47bd31p-2, -0x1.78ed44cfc031bp-2, -0x1.744540521145bp-2, -0x1.6fa019bb5b347p-2, -0x1.6afe24cb6f979p-2, -0x1.665fb39c8322cp-2, -0x1.61c5168fced73p-2, -0x1.5d2e9c3c2cc07p-2, -0x1.589c915ea45a1p-2, -0x1.540f40cccb599p-2, -0x1.4f86f368df981p-2, -0x1.4b03f01789659p-2, -0x1.46867bb72b71p-2, -0x1.420ed918ad5d1p-2, -0x1.3d9d48f9a9b1p-2, -0x1.393209ffee701p-2, -0x1.34cd58b633508p-2, -0x1.306f6f8a020c9p-2, -0x1.2c1886caaa8bap-2, -0x1.27c8d4a942e1dp-2, -0x1.23808d3997e2fp-2, -0x1.1f3fe273fc3fcp-2, -0x1.1b070437f1573p-2, -0x1.16d6204f8bd39p-2, -0x1.12ad6273901e8p-2, -0x1.0e8cf45036d61p-2, -0x1.0a74fd8a87ac1p-2, -0x1.0665a3c64171ep-2, -0x1.025f0aac4372dp-2, -0x1.fcc2a7e2d5d3p-3, -0x1.f4d93ebbb86c2p-3, -0x1.ed0215a951c15p-3, -0x1.e53d64b7a06bdp-3, -0x1.dd8b60490acp-3, -0x1.d5ec39278792ap-3, -0x1.ce601c962a62dp-3, -0x1.c6e7346322becp-3, -0x1.bf81a6fa17235p-3, -0x1.b82f9776c1d3fp-3, -0x1.b0f125b7d5d35p-3, -0x1.a9c66e72151e2p-3, -0x1.a2af8b438a153p-3, -0x1.9bac92c6e091fp-3, -0x1.94bd98a6d79bcp-3, -0x1.8de2adb1b23c8p-3, -0x1.871bdfecb5865p-3, -0x1.80693aa799684p-3, -0x1.79cac68fec50bp-3, -0x1.734089c46619bp-3, -0x1.6cca87e81c2bbp-3, -0x1.6668c2359899cp-3, -0x1.601b3791c8c73p-3, -0x1.59e1e49ec63a5p-3, -0x1.53bcc3ce68054p-3, -0x1.4dabcd74a9f61p-3, -0x1.47aef7d9d7f62p-3, -0x1.41c6374c82e0fp-3, -0x1.3bf17e33319fdp-3, -0x1.3630bd1ddadb4p-3, -0x1.3083e2d7192f2p-3, -0x1.2aeadc75165cfp-3, -0x1.2565956a380a2p-3, -0x1.1ff3f7957ff81p-3, -0x1.1a95eb52a4fcp-3, -0x1.154b5789dccd8p-3, -0x1.101421bf64bc9p-3, -0x1.0af02e22aeee4p-3, -0x1.05df5f9d51244p-3, -0x1.00e197e19f144p-3, -0x1.f7ed6ef1e5e1fp-4, -0x1.ee3d3ba362aeap-4, -0x1.e4b25299efd1ep-4, -0x1.db4c6e97f97ap-4, -0x1.d20b487a50a64p-4, -0x1.c8ee9751ab9d2p-4, -0x1.bff6107b9b678p-4, -0x1.b72167bae83edp-4, -0x1.ae704f4f3c4cap-4, -0x1.a5e2780c5f95dp-4, -0x1.9d779170aedd3p-4, -0x1.952f49bb1f78dp-4, -0x1.8d094e009b529p-4, -0x1.85054a40d167cp-4, -0x1.7d22e97a73901p-4, -0x1.7561d5bee1e75p-4, -0x1.6dc1b8454c4ap-4, -0x1.6642397d449f8p-4, -0x1.5ee30120c7ebdp-4, -0x1.57a3b645bf0ap-4, -0x1.5083ff6ef95ap-4, -0x1.4983829ca1066p-4, -0x1.42a1e55c30cd3p-4, -0x1.3bdeccd7e6054p-4, -0x1.3539dde5b750dp-4, -0x1.2eb2bd15cd5adp-4, -0x1.28490ec0828abp-4, -0x1.21fc7713ecae3p-4, -0x1.1bcc9a20edc61p-4, -0x1.15b91be7d5ff7p-4, -0x1.0fc1a0648ffaep-4, -0x1.09e5cb9a6359dp-4, -0x1.0425419f462d1p-4, -0x1.fcff4d4d8c237p-5, -0x1.f1e93e19146c8p-5, -0x1.e7079ebcd7fefp-5, -0x1.dc59b8cc5dd73p-5, -0x1.d1ded665a911ep-5, -0x1.c796424325505p-5, -0x1.bd7f47ccd62d2p-5, -0x1.b3993328cf067p-5, -0x1.a9e3514af7581p-5, -0x1.a05cf00426e6fp-5, -0x1.97055e1092009p-5, -0x1.8ddbeb258bc9cp-5, -0x1.84dfe7feb1f66p-5, -0x1.7c10a66a6eeafp-5, -0x1.736d7955e708fp-5, -0x1.6af5b4d84f65p-5, -0x1.62a8ae3db0027p-5, -0x1.5a85bc1119ac2p-5, -0x1.528c36264a7d4p-5, -0x1.4abb75a2d7fap-5, -0x1.4312d506c560bp-5, -0x1.3b91b034a5864p-5, -0x1.343764793a834p-5, -0x1.2d035092a145cp-5, -0x1.25f4d4b6fdc49p-5, -0x1.1f0b529ac0cffp-5, -0x1.18462d76758dbp-5, -0x1.11a4ca0c2945fp-5, -0x1.0b268eac66d27p-5, -0x1.04cae33acaf68p-5, -0x1.fd2262647b2b9p-6, -0x1.f0f1c7518d4afp-6, -0x1.e502cea608eedp-6, -0x1.d954550e9bdc8p-6, -0x1.cde53a80f9775p-6, -0x1.c2b46240c005p-6, -0x1.b7c0b2e3ca2bep-6, -0x1.ad091655d4bdfp-6, -0x1.a28c79db9b4bep-6, -0x1.9849ce155b509p-6, -0x1.8e400700c937cp-6, -0x1.846e1bfa83eap-6, -0x1.7ad307beffd4bp-6, -0x1.716dc86af7813p-6, -0x1.683d5f7b626efp-6, -0x1.5f40d1ccf6699p-6, -0x1.5677279b3847bp-6, -0x1.4ddf6c7f1d7bcp-6, -0x1.4578af6d5174dp-6, -0x1.3d4202b40d3ap-6, -0x1.353a7bf88c812p-6, -0x1.2d61343438e25p-6, -0x1.25b547b166914p-6, -0x1.1e35d607d059p-6, -0x1.16e20218bc55ep-6, -0x1.0fb8f20ad0771p-6, -0x1.08b9cf45a913bp-6, -0x1.01e3c66d1a5a1p-6, -0x1.f66c0eb883cafp-7, -0x1.e95f8a40946fcp-7, -0x1.dca06be5fb4b9p-7, -0x1.d02d266a2fa0ep-7, -0x1.c40432d0d15dcp-7, -0x1.b8241053859fbp-7, -0x1.ac8b44556c7b3p-7, -0x1.a1385a56495a9p-7, -0x1.9629e3e54a41cp-7, -0x1.8b5e78938cebep-7, -0x1.80d4b5e64b3f8p-7, -0x1.768b3f48cf763p-7, -0x1.6c80bdfe19754p-7, -0x1.62b3e1125e25bp-7, -0x1.59235d4c2cba4p-7, -0x1.4fcded1d847a2p-7, -0x1.46b25094a93e4p-7, -0x1.3dcf4d4cc61cbp-7, -0x1.3523ae5e7b1b6p-7, -0x1.2cae44503c4d7p-7, -0x1.246de5068f71dp-7, -0x1.1c616bb431c8dp-7, -0x1.1487b8ca271d2p-7, -0x1.0cdfb1e7ae9f7p-7, -0x1.056841ca249e2p-7, -0x1.fc40b079ab7bep-8, -0x1.ee0dd4119a8bap-8, -0x1.e035e1c925564p-8, -0x1.d2b6d6c7b49ecp-8, -0x1.c58eb9ce82282p-8, -0x1.b8bb9b17ed865p-8, -0x1.ac3b9436fb6f7p-8, -0x1.a00cc7f69d09cp-8, -0x1.942d623944e9fp-8, -0x1.889b97d85c8a3p-8, -0x1.7d55a683e129bp-8, -0x1.7259d4a212682p-8, -0x1.67a6712f3be5fp-8, -0x1.5d39d39d9f43ep-8, -0x1.53125bb57c886p-8, -0x1.492e71753c943p-8, -0x1.3f8c84f1da5b6p-8, -0x1.362b0e374996ap-8, -0x1.2d088d293ff7cp-8, -0x1.242389640be19p-8, -0x1.1b7a921da24b2p-8, -0x1.130c3e06f859ep-8, -0x1.0ad72b2d7801fp-8, -0x1.02d9fedcc255dp-8, -0x1.f626cb0140006p-9, -0x1.e704250e862adp-9, -0x1.d849808770ef4p-9, -0x1.c9f45fa126fccp-9, -0x1.bc0251e5ed027p-9, -0x1.ae70f3fba24adp-9, -0x1.a13def6aad5e6p-9, -0x1.9466fa65bf216p-9, -0x1.87e9d791c92ccp-9, -0x1.7bc455cee367ap-9, -0x1.6ff450018a032p-9, -0x1.6477acdc88494p-9, -0x1.594c5eab7389bp-9, -0x1.4e70631dbaa49p-9, -0x1.43e1c312785d4p-9, -0x1.399e9264ac227p-9, -0x1.2fa4efb82a5b1p-9, -0x1.25f3044726f37p-9, -0x1.1c8703b075bf6p-9, -0x1.135f2bc63b734p-9, -0x1.0a79c45d6a66dp-9, -0x1.01d51f1dcb84bp-9, -0x1.f2df2ea53e724p-10, -0x1.e28f23780250dp-10, -0x1.d2b6f8c19cfffp-10, -0x1.c3539cc269344p-10, -0x1.b4620f93db2aap-10, -0x1.a5df62d0080dbp-10, -0x1.97c8b93aa6892p-10, -0x1.8a1b466b44fb9p-10, -0x1.7cd44e7895c22p-10, -0x1.6ff125a5218c9p-10, -0x1.636f300d33d23p-10, -0x1.574be15605e7bp-10, -0x1.4b84bc5df06aep-10, -0x1.401752ee4524cp-10, -0x1.3501456dcd4e1p-10, -0x1.2a404295036dep-10, -0x1.1fd20723538e2p-10, -0x1.15b45d9546c06p-10, -0x1.0be51ddc4bd6ep-10, -0x1.02622d17612f4p-10, -0x1.f252fa9a2912bp-11, -0x1.e0721a4d258afp-11, -0x1.cf1dcf57bf45ep-11, -0x1.be52480282674p-11, -0x1.ae0bca4b44373p-11, -0x1.9e46b364d04d6p-11, -0x1.8eff7737e5eddp-11, -0x1.80329fe728dfcp-11, -0x1.71dccd54cbd8dp-11, -0x1.63fab4aa8fa2ap-11, -0x1.56891fe3de3bp-11, -0x1.4984ed5a0c11cp-11, -0x1.3ceb0f525d36dp-11, -0x1.30b88b8e829bap-11, -0x1.24ea7adef6116p-11, -0x1.197e08b7336e7p-11, -0x1.0e7072c43cbf5p-11, -0x1.03bf08849b3f6p-11, -0x1.f2ce55c5d8e09p-12, -0x1.decc97a3467abp-12, -0x1.cb73dbd2a3476p-12, -0x1.b8bf481108993p-12, -0x1.a6aa21ea79dfbp-12, -0x1.952fce01547d8p-12, -0x1.844bcf58847bcp-12, -0x1.73f9c6a1fdd1p-12, -0x1.643571903b5f7p-12, -0x1.54faaa2acbc66p-12, -0x1.464566273d592p-12, -0x1.3811b64467d14p-12, -0x1.2a5bc5a98014cp-12, -0x1.1d1fd94831b35p-12, -0x1.105a4f42182eep-12, -0x1.04079e510e3e7p-12, -0x1.f048aa653f372p-13, -0x1.d95a342dd1219p-13, -0x1.c33d54237ee5p-13, -0x1.adebb11ea533bp-13, -0x1.995f1d977b5cdp-13, -0x1.859196999c90bp-13, -0x1.727d42be8d136p-13, -0x1.601c712cfcb49p-13, -0x1.4e69989db36f5p-13, -0x1.3d5f56659c97p-13, -0x1.2cf86d854b88ap-13, -0x1.1d2fc5bd5d281p-13, -0x1.0e006aa7e164bp-13, -0x1.fecb15ae5c195p-14, -0x1.e2b4edf215d53p-14, -0x1.c7b541fd8760ap-14, -0x1.adc3369438295p-14, -0x1.94d62fbd65857p-14, -0x1.7ce5cf2fcf466p-14, -0x1.65e9f2c6b04bp-14, -0x1.4fdab2ff5603cp-14, -0x1.3ab0617f7d46ap-14, -0x1.266387a31af06p-14, -0x1.12ece5141ec8p-14, -0x1.00456e6857144p-14, -0x1.dccc979253684p-15, -0x1.ba91af4380d51p-15, -0x1.99cd3aab30996p-15, -0x1.7a72affbe1506p-15, -0x1.5c75e25e0a01cp-15, -0x1.3fcaff8939666p-15, -0x1.24668d6ab7effp-15, -0x1.0a3d67da7aaabp-15, -0x1.e2897cb93f21p-16, -0x1.b2e423e63afdfp-16, -0x1.857665ee643e5p-16, -0x1.5a2c7e0c50a38p-16, -0x1.30f33deb92317p-16, -0x1.09b809acc11f3p-16, -0x1.c8d1a80b11e77p-17, -0x1.81e834e1e3d5bp-17, -0x1.3e91c2fbc0968p-17, -0x1.fd5ac4c2df2f8p-18, -0x1.843645e4a46f4p-18, -0x1.11781b0e991e8p-18, -0x1.49c874d7c55b2p-19, -0x1.f2038bf55b3bap-21, 0x1.155d3d61cec23p-21, 0x1.f85aebdc51298p-20, 0x1.a86b80df1332dp-19, 0x1.253c0a29d4a5p-18, 0x1.715b4fda7b509p-18, 0x1.b8c3ba2b77365p-18, 0x1.fba3edc303983p-18, 0x1.1d148b02ed798p-17, 0x1.3a3f77cd13b22p-17, 0x1.5567e94e3dd84p-17, 0x1.6ea25e4eede56p-17, 0x1.8602ad3289b88p-17, 0x1.9b9c08aa1a567p-17, 0x1.af810461961d5p-17, 0x1.c1c399761799bp-17, 0x1.d2752adf4e632p-17, 0x1.e1a689b769e97p-17, 0x1.ef67f962bb3fep-17, 0x1.fbc933a206b5cp-17, 0x1.036cb6437e38ap-16, 0x1.0853ab2886d2ep-16, 0x1.0ca09297c3992p-16, 0x1.105a49735670bp-16, 0x1.13877131f0accp-16, 0x1.162e719be5f71p-16, 0x1.18557a78f1732p-16, 0x1.1a028538c5d0ap-16, 0x1.1b3b568adc7fbp-16, 0x1.1c057ff0d9c93p-16, 0x1.1c6661408962fp-16, 0x1.1c632a21539bdp-16, 0x1.1c00db7a7c89ap-16, 0x1.1b4448db2ce76p-16, 0x1.1a3219d759134p-16, 0x1.18cecb5c09a46p-16, 0x1.171eb0f9405c5p-16, 0x1.1525f62444422p-16, 0x1.12e89f70c5b56p-16, 0x1.106a8bc1113bap-16, 0x1.0daf756e9269ap-16, 0x1.0abaf3697056ap-16, 0x1.07907a52779d1p-16, 0x1.04335d89ed4a1p-16, 0x1.00a6d03962c6fp-16, 0x1.f9dbccaca5d97p-17, 0x1.f2172b36cd8f5p-17, 0x1.ea056cfa03e63p-17, 0x1.e1ac0a2b64841p-17, 0x1.d910441a50178p-17, 0x1.d03726ef0a20bp-17, 0x1.c7258b5ebd09fp-17, 0x1.bde0185065148p-17, 0x1.b46b447aea09dp-17, 0x1.aacb57f1fd8e9p-17, 0x1.a1046da987354p-17, 0x1.971a74f1ed2f9p-17, 0x1.8d1132e16e67p-17, 0x1.82ec43bbd9366p-17, 0x1.78af1c49f48f5p-17, 0x1.6e5d0b288d037p-17, 0x1.63f93a0f94a9ap-17, 0x1.5986af0d2b6abp-17, 0x1.4f084db8e215bp-17, 0x1.4480d85e3643cp-17, 0x1.39f2f11d373eap-17, 0x1.2f611b03817f2p-17, 0x1.24cdbb1dae4e1p-17, 0x1.1a3b197f24c16p-17, 0x1.0fab6241a1ecep-17, 0x1.0520a68005355p-17, 0x1.f539ba8d063p-18, 0x1.e043c8fb7c87bp-18, 0x1.cb63039bec01ap-18, 0x1.b69ac6f52e4a5p-18, 0x1.a1ee4273dd5e3p-18, 0x1.8d607a0231955p-18, 0x1.78f447a113ce2p-18, 0x1.64ac5ce940ae3p-18, 0x1.508b448603914p-18, 0x1.3c9363a3e037ap-18, 0x1.28c6fb51fc8fp-18, 0x1.152829db1df2p-18, 0x1.01b8ec120021dp-18, 0x1.dcf63d28a21e8p-19, 0x1.b6e0fe0661456p-19, 0x1.91355a632f558p-19, 0x1.6bf658908ff56p-19, 0x1.4726c7cb65e1ap-19, 0x1.22c94258a3cc9p-19, 0x1.fdc05f3cdf2c2p-20, 0x1.b6db8c4aa366cp-20, 0x1.70e81b18ff8cfp-20, 0x1.2be9c0d5ffaaep-20, 0x1.cfc7b8886404bp-21, 0x1.49b2f28f0d6bp-21, 0x1.8b35511ca5671p-22, 0x1.0e0eebfcb41a1p-23, -0x1.e46c3cb120376p-24, -0x1.752ab8e4a3ccfp-22, -0x1.369086a6d3343p-21, -0x1.b07c4949a44b6p-21, -0x1.142b30f84f00ep-20, -0x1.4f0e819c85d1ep-20, -0x1.88e767d362b75p-20, -0x1.c1b56a42745b3p-20, -0x1.f97842926a447p-20, -0x1.1817ed85003dcp-19, -0x1.32ee262ada7e5p-19, -0x1.4d3eeda5ffd39p-19, -0x1.670a7b6c06fa4p-19, -0x1.80511af5e65d2p-19, -0x1.99132ac6cb46dp-19, -0x1.b1511b76eb1adp-19, -0x1.c90b6ecb16c94p-19, -0x1.e042b6d0af791p-19, -0x1.f6f7950536475p-19, -0x1.06955cc24000ap-18, -0x1.116e711eed0cbp-18, -0x1.1c076d186e182p-18, -0x1.2660bc5975aa5p-18, -0x1.307ad05b87388p-18, -0x1.3a56201190023p-18, -0x1.43f32792f0a09p-18, -0x1.4d5267cb979eap-18, -0x1.5674662daebadp-18, -0x1.5f59ac6746cbap-18, -0x1.6802c819d11a1p-18, -0x1.70704a95c04dbp-18, -0x1.78a2c89722609p-18, -0x1.809ada078c2cep-18, -0x1.885919be97cacp-18, -0x1.8fde25485c914p-18, -0x1.972a9cac7af42p-18, -0x1.9e3f2237f6f08p-18, -0x1.a51c5a490849p-18, -0x1.abc2eb1d272e3p-18, -0x1.b2337ca11e912p-18, -0x1.b86eb842df854p-18, -0x1.be7548c5e1c48p-18, -0x1.c447da18a82cdp-18, -0x1.c9e7192cea4b8p-18, -0x1.cf53b3d0d4a0cp-18, -0x1.d48e5889a6392p-18, -0x1.d997b6710659cp-18, -0x1.de707d12852p-18, -0x1.e3195c4c2984ap-18, -0x1.e793042f08051p-18, -0x1.ebde24e296da1p-18, -0x1.effb6e8841e13p-18, -0x1.f3eb912036641p-18, -0x1.f7af3c7100e39p-18, -0x1.fb471feebf611p-18, -0x1.feb3eaa492f5cp-18, -0x1.00fb258f34a9fp-17, -0x1.028777aa10f1p-17, -0x1.03ff424b0bb0fp-17, -0x1.0562dbbd0ad64p-17, -0x1.06b299e50256ep-17, -0x1.07eed2398e6dbp-17, -0x1.0917d9badc61dp-17, -0x1.0a2e04eb8161p-17, -0x1.0b31a7c9133dap-17, -0x1.0c2315c5d72bcp-17, -0x1.0d02a1c20c30cp-17, -0x1.0dd09e06809afp-17, -0x1.0e8d5c3ec67cp-17, -0x1.0f392d741f2a5p-17, -0x1.0fd46208a18e5p-17, -0x1.105f49b2c2b9ep-17, -0x1.10da3378f389dp-17, -0x1.11456dadfccc6p-17, -0x1.11a145ed6b426p-17, -0x1.11ee0917e549bp-17, -0x1.122c035070eap-17, -0x1.125b7ff951662p-17, -0x1.127cc9b1a50c8p-17, -0x1.12902a52ed6aap-17, -0x1.1295eaef344bep-17, -0x1.128e53cec9d2ap-17, -0x1.1279ac6ed927ep-17, -0x1.12583b7fb3aaep-17, -0x1.122a46e3a8c94p-17, -0x1.11f013adcd1f1p-17, -0x1.11a9e62107a17p-17, -0x1.115801af5790fp-17, -0x1.10faa8f910309p-17, -0x1.10921dcc5882fp-17, -0x1.101ea124f9db4p-17, -0x1.0fa0732c1e018p-17, -0x1.0f17d337fbc0cp-17, -0x1.0e84ffcc35bb5p-17, -0x1.0de8369a029fep-17, -0x1.0d41b4804789p-17, -0x1.0c91b58bfe998p-17, -0x1.0bd874f8d0c18p-17, -0x1.0b162d317c5adp-17, -0x1.0a4b17d0a0cb5p-17, -0x1.09776da188b6ap-17, -0x1.089b66a0f658fp-17, -0x1.07b739fe18175p-17, -0x1.06cb1e1b5c595p-17, -0x1.05d7488fcb8dep-17, -0x1.04dbee27dfc44p-17, -0x1.03d942e6f8a21p-17, -0x1.02cf7a0888e06p-17, -0x1.01bec60133a4fp-17, -0x1.00a7588065133p-17, -0x1.ff12c4e328ca2p-18, -0x1.fcca27fb96abcp-18, -0x1.fa75391a4001fp-18, -0x1.f814559067e15p-18, -0x1.f5a7d933c5c19p-18, -0x1.f3301e6170df3p-18, -0x1.f0ad7e0177affp-18, -0x1.ee204f89e9d1bp-18, -0x1.eb88e9025da08p-18, -0x1.e8e79f076b21cp-18, -0x1.e63cc4cddc491p-18, -0x1.e388ac2697b91p-18, -0x1.e0cba5822e218p-18, -0x1.de05fff3d24f5p-18, -0x1.db380935d2507p-18, -0x1.d8620dac76ba2p-18, -0x1.d584586a5329p-18, -0x1.d29f333382a09p-18, -0x1.cfb2e681a4be7p-18, -0x1.ccbfb98764c12p-18, -0x1.c9c5f23451d69p-18, -0x1.c6c5d53867499p-18, -0x1.c3bfa607fb4c1p-18, -0x1.c0b3a6df49293p-18, -0x1.bda218c6910fp-18, -0x1.ba8b3b957019dp-18, -0x1.b76f4df6d4e1ep-18, -0x1.b44e8d6c78187p-18, -0x1.b1293653025f4p-18, -0x1.adff83e562058p-18, -0x1.aad1b040b6a5dp-18, -0x1.a79ff467e03f6p-18, -0x1.a46a88474716p-18, -0x1.a131a2b856547p-18, -0x1.9df5798568879p-18, -0x1.9ab6416d10ad3p-18, -0x1.97742e260f54dp-18, -0x1.942f7262a735fp-18, -0x1.90e83fd445a58p-18, -0x1.8d9ec72f07989p-18, -0x1.8a53382d61cfcp-18, -0x1.8705c1935c5a2p-18, -0x1.83b691324c9ffp-18, -0x1.8065d3ec23575p-18, -0x1.7d13b5b6c600bp-18, -0x1.79c0619f9dff2p-18, -0x1.766c01cedb4ffp-18, -0x1.7316bf8acb247p-18, -0x1.6fc0c33b42f3bp-18, -0x1.6c6a346cbbb48p-18, -0x1.691339d39e17bp-18, -0x1.65bbf94f86f99p-18, -0x1.626497ee86105p-18, -0x1.5f0d39f00d56ap-18, -0x1.5bb602c84916bp-18, -0x1.585f152319ff7p-18, -0x1.550892e74116p-18, -0x1.51b29d3927ed9p-18, -0x1.4e5d547e0d2cfp-18, -0x1.4b08d85f1b75ep-18, -0x1.47b547cc17f58p-18, -0x1.4462c0fe6971fp-18, -0x1.4111617bdd9f8p-18, -0x1.3dc14619a4a7p-18, -0x1.3a728aff13056p-18, -0x1.37254ba840d64p-18, -0x1.33d9a2e8faf8bp-18, -0x1.308faaef563e7p-18, -0x1.2d477d4665312p-18, -0x1.2a0132d8d14e3p-18, -0x1.26bce3f38f5bdp-18, -0x1.237aa848422b2p-18, -0x1.203a96f00a049p-18, -0x1.1cfcc66dcc08dp-18, -0x1.19c14cb0c0c2dp-18, -0x1.16883f16f4e48p-18, -0x1.1351b26fa319ep-18, -0x1.101dbafd97a8dp-18, -0x1.0cec6c79863b9p-18, -0x1.09bdda1472fa7p-18, -0x1.06921679e5bf9p-18, -0x1.036933d22e96p-18, -0x1.004343c4aa826p-18, -0x1.fa40aef3eb1f1p-19, -0x1.f400ff3c1a01bp-19, -0x1.edc798c4e7122p-19, -0x1.e7949b00ca232p-19, -0x1.e1682475a5c1dp-19, -0x1.db4252c0e749p-19, -0x1.d523429b9d27ep-19, -0x1.cf0b0fde85aa7p-19, -0x1.c8f9d585eb9abp-19, -0x1.c2efadb576c6ep-19, -0x1.bcecb1bc23278p-19, -0x1.b6f0fa17f92f1p-19, -0x1.b0fc9e79bbba3p-19, -0x1.ab0fb5c8792ccp-19, -0x1.a52a562581706p-19, -0x1.9f4c94ef820c1p-19, -0x1.997686c658653p-19, -0x1.93a83f8e7ba9dp-19, -0x1.8de1d2742a333p-19, -0x1.882351ef06be3p-19, -0x1.826ccfc54cb9p-19, -0x1.7cbe5d0f21f7p-19, -0x1.77180a39a6adap-19, -0x1.7179e70a2ef1fp-19, -0x1.6be402a16527dp-19, -0x1.66566b7e6ebfp-19, -0x1.60d12f81de35fp-19, -0x1.5b545bf093d16p-19, -0x1.55dffd76bfc2ep-19, -0x1.5074202acdd49p-19, -0x1.4b10cf9033ae1p-19, -0x1.45b6169a44dd8p-19, -0x1.4063ffaeec5bdp-19, -0x1.3b1a94a95f268p-19, -0x1.35d9dedcd094p-19, -0x1.30a1e717081a6p-19, -0x1.2b72b5a31bfb1p-19, -0x1.264c524bba5e8p-19, -0x1.212ec45dd8781p-19, -0x1.1c1a12ab3b0b2p-19, -0x1.170e438cd6018p-19, -0x1.120b5ce513ccdp-19, -0x1.0d116422594e4p-19, -0x1.08205e413f61bp-19, -0x1.03384fcee250bp-19, -0x1.fcb279d657031p-20, -0x1.f306529605e08p-20, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      30, 0x1.5cccccccccccdp+2, 0x1.09ca8d0c74a59p-2, -0x1.9576120c0be61p-3, -0x1.eb1363aafa905p-3, 
      {{
        {0x1.feb851eb851ecp+1, 0x1p+2, 0x1.a57b0eaef11d1p-5, -0x1.35a10ab5d93dap-4, 0x1.4178afc174e6p-7, 0x1.695ee9e2c8181p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.9f4bdc3597fefp-5, -0x1.34cc5c9f1514bp-4, 0x1.572757638b245p-7, 0x1.64f615601629p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.80a73d6f66d74p-5, -0x1.2fd6edba9e2e2p-4, 0x1.c23df766c4fd1p-7, 0x1.6043807d07a5ep-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.62929f3fb956ap-5, -0x1.298d114689f19p-4, 0x1.15f5e892f070ep-6, 0x1.5b3178116266dp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.452fd15b07e5bp-5, -0x1.21f3778e5a4ebp-4, 0x1.4a0a20fbf2676p-6, 0x1.57f7e736f9eb4p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.28a02fef87aa6p-5, -0x1.190e1be5defaap-4, 0x1.7da283aa97e43p-6, 0x1.3db03fa5f9355p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0d0461ec24783p-5, -0x1.0eeb27d8d0a27p-4, 0x1.ad49c069e3abep-6, 0x1.183a325d9a3f3p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e4f5720f0de9dp-6, -0x1.03a933e6f3c61p-4, 0x1.d7527b2b21354p-6, 0x1.e9d1bc724cc4bp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.b23c49ce5ad8ep-6, -0x1.eed65e40a757fp-5, 0x1.fc0f02e6e6f71p-6, 0x1.a20904d52d5c2p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.820c4c2e2d131p-6, -0x1.d4a68f89d4304p-5, 0x1.0db4a4d50b95ap-5, 0x1.5a8f184122186p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.548d9c1382af2p-6, -0x1.b907bf7d5cb9fp-5, 0x1.1ab39c2449a9bp-5, 0x1.13000edd01d21p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.29e17e305a803p-6, -0x1.9c3e963f66284p-5, 0x1.25039cb2f9bb3p-5, 0x1.96ed5b600f945p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.02225903b4184p-6, -0x1.7e8fc35f405ecp-5, 0x1.2ca4dccffa05ep-5, 0x1.07d790ed378c6p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.bac769b31f905p-7, -0x1.603ff46f59f4ep-5, 0x1.31974dee0643bp-5, 0x1.e30a59bece405p-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.77647795dd3ep-7, -0x1.4193d78a7bf59p-5, 0x1.33daf3f351a1ap-5, -0x1.6529bca641b6dp-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.3a27737ba4d88p-7, -0x1.22d01aa6e6ee4p-5, 0x1.336fcdd452f45p-5, -0x1.4acf7e0ecb4a9p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.030e38ca7b77ap-7, -0x1.04396bc4a2f8ap-5, 0x1.3055dbd8fc3fbp-5, -0x1.347ce67c4b629p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a411cd04cf642p-8, -0x1.cc28f1c244ea3p-6, 0x1.2a8d1ded0e091p-5, -0x1.c3920c0e73072p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4df3be7ae3384p-8, -0x1.914bdff4ce2a2p-6, 0x1.22159419957a8p-5, -0x1.29539a79ffa6fp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.036b925f458c6p-8, -0x1.5864fe1d96061p-6, 0x1.16ef3e4e9be41p-5, -0x1.70de293743496p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.880e389c1900cp-9, -0x1.21fda8356e757p-6, 0x1.091a1cc2efc49p-5, -0x1.b868cd20ece18p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.1e716e2ea2534p-9, -0x1.dd3e748803e8bp-7, 0x1.f12c5d569a92p-6, -0x1.fff3220e72d55p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.915d12fcbe67ap-10, -0x1.7da62032f67f4p-7, 0x1.cac6edfbeb8efp-6, -0x1.23bf4ee00b039p-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.0a78b9f71b7bp-10, -0x1.26450caa56e98p-7, 0x1.9f03d55a504e9p-6, -0x1.4782e6aed3aeap-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.496b25f9c7e5p-11, -0x1.b05bda452885ep-8, 0x1.6de365f34a26dp-6, -0x1.6b4e83438af12p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7095f23aaf601p-12, -0x1.28e716b53a8d7p-8, 0x1.37646bdc5bb6p-6, -0x1.8efc32ca9c62cp-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.63638fe898d7fp-13, -0x1.70a173c653d7cp-9, 0x1.f716c87beee88p-7, -0x1.b31991c25cdb2p-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.0c08b68c596p-14, -0x1.83008bda6e95fp-10, 0x1.748f1cc19fda9p-7, -0x1.d59620051522ep-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.f4fee13d828p-17, -0x1.229c4d8a86534p-11, 0x1.cf5dbfe6996dep-8, -0x1.fe2641ab169cdp-6}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.0c6b2bdc68dbp-20, -0x1.52d3e0ce9c7d6p-14, 0x1.3a8d97664ae2bp-9, -0x1.ed46e0186e8ap-6}, 
      }}, 
      0x1.c0cc064767821p-4, 0x1.833a8ba1b28p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.0430a292f3bb4p-2, -0x1.e99766dc0d089p-3, -0x1.b99d8e56a8a89p-3, -0x1.7c1b1d13bb645p-3, -0x1.34de066264c62p-3, -0x1.cf09c10227121p-4, -0x1.2e9c07f1aba57p-4, -0x1.1bfd423434f38p-5, 0x1.c85571e93febdp-9, 0x1.452a6d067c258p-5, 0x1.2c4b5f0063f1cp-4, 0x1.a9818b4808b1cp-4, 0x1.0c8055fa71657p-3, 0x1.3d1093ebc382fp-3, 0x1.6658012b55e9cp-3, 0x1.886b6a5b278edp-3, 0x1.a3839a6882fc2p-3, 0x1.b7f4970aa0d6ep-3, 0x1.c6264ff2ee037p-3, 0x1.ce8e87d86e3d1p-3, 0x1.d1abc9dddc46dp-3, 0x1.d001449c7b0c8p-3, 0x1.ca136c21f6b14p-3, 0x1.c065480b77fc6p-3, 0x1.b37654bbdb63bp-3, 0x1.a3c0e1389d055p-3, 0x1.91b8d6b259216p-3, 0x1.7dcad9d2900fep-3, 0x1.685bb81287982p-3, 0x1.51c8150339781p-3, 0x1.3a644c9dbc2a8p-3, 0x1.227c80df80f4ep-3, 0x1.0a54c9f68150cp-3, 0x1.e453029c7fb33p-4, 0x1.b45f41641f529p-4, 0x1.852a5f5647631p-4, 0x1.57037422bad8fp-4, 0x1.2a2d97490aacfp-4, 0x1.fdc1b50c2e352p-5, 0x1.aa9684169e494p-5, 0x1.5b236cbd7da2cp-5, 0x1.0fa1d9d8040c7p-5, 0x1.907914cdf71abp-6, 0x1.0a2264ecb20ap-6, 0x1.18c80344a6bb6p-7, 0x1.74e112402bfdfp-10, -0x1.54838e8eae2bap-8, -0x1.71f31f94116d2p-7, -0x1.1459b8a818554p-6, -0x1.676a4181ba614p-6, -0x1.b25d699cbc7c1p-6, -0x1.f56d3945f0b4cp-6, -0x1.186d0d059f00bp-5, -0x1.3274cb3b90aa6p-5, -0x1.48f29ee1525c1p-5, -0x1.5c0cd419ebc52p-5, -0x1.6beacc870a67ep-5, -0x1.78b49da1f083bp-5, -0x1.8292bb33d6784p-5, -0x1.89adaccf91bb8p-5, -0x1.8e2dcd41d092ep-5, -0x1.903b12f401bf6p-5, -0x1.8ffce043384d9p-5, -0x1.8d99dada5816bp-5, -0x1.8937c94f0c132p-5, -0x1.82fb76814c858p-5, -0x1.7b089a286e967p-5, -0x1.7181c62c67182p-5, -0x1.6688582526bb4p-5, -0x1.5a3c6e36bd47ep-5, -0x1.4cbcdf1633aacp-5, -0x1.3e27344afe6f2p-5, -0x1.2e97a717e3cc1p-5, -0x1.1e291f8e57e49p-5, -0x1.0cf535f2771eap-5, -0x1.f6286c491c878p-6, -0x1.d13a48f0f93bdp-6, -0x1.ab4b87d0f7027p-6, -0x1.8485399964102p-6, -0x1.5d0e08ce0c8cdp-6, -0x1.350a4979ac181p-6, -0x1.0c9c0a8dccbb1p-6, -0x1.c7c650743dab7p-7, -0x1.75fabfc7b5e89p-7, -0x1.240cc9c154d21p-7, -0x1.a45fd7f53a31fp-8, -0x1.0127cc4968f21p-8, -0x1.7b2725cef3586p-10, 0x1.09a2a9049c416p-10, 0x1.c449145562ee6p-9, 0x1.802503dd41e12p-8, 0x1.0e1594e6e01a7p-7, 0x1.5afed397fb3a4p-7, 0x1.a6b43a5cc219ep-7, 0x1.f11e474aeb4b3p-7, 0x1.1d13eae6b41b9p-6, 0x1.40defd7d6b02fp-6, 0x1.63e7f1955f937p-6, 0x1.8627585582339p-6, 0x1.a796adefeeb87p-6, 0x1.c8304a84a98bfp-6, 0x1.e7ef53ac6b924p-6, 0x1.0367d767440f3p-5, 0x1.1266fa1962697p-5, 0x1.20f3b15a68d0dp-5, 0x1.2f0cea10cc1dap-5, 0x1.3cb1d91c42a25p-5, 0x1.49e1f61cb0a72p-5, 0x1.569cf67f9b0e9p-5, 0x1.62e2c8dcde8fbp-5, 0x1.6eb3908c2ac98p-5, 0x1.7a0fa187ef61dp-5, 0x1.84f77c864da6fp-5, 0x1.8f6bcb62f396p-5, 0x1.996d5dafefc2ap-5, 0x1.a2fd258dfaa7ep-5, 0x1.ac1c34bdf9561p-5, 0x1.b4cbb9d378829p-5, 0x1.bd0cfda867047p-5, 0x1.c4e160ecf018ep-5, 0x1.cc4a59ec4b99bp-5, 0x1.d3497268a7a37p-5, 0x1.d9e04595c82eap-5, 0x1.e0107e521ce6bp-5, 0x1.e5dbd54b8f328p-5, 0x1.eb440f5ac7cdcp-5, 0x1.f04afc09d1c2ap-5, 0x1.f4f273fd6d43p-5, 0x1.f93c57a5ebf9bp-5, 0x1.fd2a8df359c7fp-5, 0x1.005f8181e98d1p-4, 0x1.01fdd391a0c45p-4, 0x1.037136cfee159p-4, 0x1.04baa5d7a0924p-4, 0x1.05db1bdc5a34cp-4, 0x1.06d394293ff53p-4, 0x1.07a509a4d79cfp-4, 0x1.0850769301c5bp-4, 0x1.08d6d42fcd941p-4, 0x1.09391a419756ap-4, 0x1.09783eecc9cbbp-4, 0x1.0995366b0500fp-4, 0x1.0990f2ab12c8dp-4, 0x1.096c633270d0cp-4, 0x1.092874f038a34p-4, 0x1.08c611e47880dp-4, 0x1.08462106b85ecp-4, 0x1.07a9862add145p-4, 0x1.06f122124bac2p-4, 0x1.061dd15cdc006p-4, 0x1.05306dfd38ebp-4, 0x1.0429cda1e5e43p-4, 0x1.030ac2708e62p-4, 0x1.01d41aaadf922p-4, 0x1.0086a0dd9016fp-4, 0x1.fe46373e35f1ep-5, 0x1.fb549acba605p-5, 0x1.f839e998be98dp-5, 0x1.f4f79912616acp-5, 0x1.f18f165e47e7ap-5, 0x1.ee01c65eed92bp-5, 0x1.ea51063712e4bp-5, 0x1.e67e2b45938f7p-5, 0x1.e28a829d2c181p-5, 0x1.de77511f53759p-5, 0x1.da45d427d31b3p-5, 0x1.d5f7418bd0adep-5, 0x1.d18cc6ff5f18ep-5, 0x1.cd078a2d37606p-5, 0x1.c868a987f5abbp-5, 0x1.c3b13c707cf82p-5, 0x1.bee2528620ea9p-5, 0x1.b9fcf3812ee6cp-5, 0x1.b502201ac201p-5, 0x1.aff2d29fa0a91p-5, 0x1.aacffe50420e8p-5, 0x1.a59a8ebfcd0a9p-5, 0x1.a0536877c6f4bp-5, 0x1.9afb6a173b65bp-5, 0x1.95936c507f6adp-5, 0x1.901c40eafe9e3p-5, 0x1.8a96b2845cc41p-5, 0x1.850385b005592p-5, 0x1.7f6379fd91edep-5, 0x1.79b7498fd215fp-5, 0x1.73ffa808bcc7ep-5, 0x1.6e3d42898687ap-5, 0x1.6870c0f9fcf22p-5, 0x1.629ac6fa2b8cdp-5, 0x1.5cbbf360526e4p-5, 0x1.56d4df230eec5p-5, 0x1.50e61d5220357p-5, 0x1.4af03c4d391fcp-5, 0x1.44f3c6c2ff7c2p-5, 0x1.3ef1435bc8c24p-5, 0x1.38e933ad5e21dp-5, 0x1.32dc13f4cf5edp-5, 0x1.2cca5c0e517b3p-5, 0x1.26b48092bb571p-5, 0x1.209af2e6d9cdcp-5, 0x1.1a7e205b27637p-5, 0x1.145e719050e4ep-5, 0x1.0e3c4af95bf2cp-5, 0x1.08180dfafac05p-5, 0x1.01f2197b72776p-5, 0x1.f79592dc72e2fp-6, 0x1.eb44ec0f431e3p-6, 0x1.def2e73758ef8p-6, 0x1.d2a026cca80ebp-6, 0x1.c64d48ee1627ep-6, 0x1.b9fae7c9028afp-6, 0x1.ada9987986c2ap-6, 0x1.a159e9ce29f88p-6, 0x1.950c64665954fp-6, 0x1.88c18c31b935cp-6, 0x1.7c79e1eb52a43p-6, 0x1.7035e352f3665p-6, 0x1.63f60a354250ap-6, 0x1.57bacb620ef4cp-6, 0x1.4b8496b445661p-6, 0x1.3f53d840dc19ap-6, 0x1.3328f9a401da6p-6, 0x1.27046265a4574p-6, 0x1.1ae677599314cp-6, 0x1.0ecf99b4b8137p-6, 0x1.02c026c4e088bp-6, 0x1.ed70f14c2372dp-7, 0x1.d571ceca19ff2p-7, 0x1.bd83935c162dbp-7, 0x1.a5a6e95036f46p-7, 0x1.8ddc769078acfp-7, 0x1.7624db8606fdap-7, 0x1.5e80b35405e7dp-7, 0x1.46f0955d8c746p-7, 0x1.2f7516ef2c28cp-7, 0x1.180ecbf44b173p-7, 0x1.00be46830ba1p-7, 0x1.d3082ba320a58p-8, 0x1.a4c18affa86d9p-8, 0x1.76a9bbd009342p-8, 0x1.48c1ca9feb80bp-8, 0x1.1b0ac242bc16dp-8, 0x1.db0b59c333023p-9, 0x1.806726d554cf4p-9, 0x1.262af82ead673p-9, 0x1.98b1a4e4c8863p-10, 0x1.cbcacaf2b021p-11, 0x1.9fa91b019678fp-13, -0x1.f46cc6e3dc171p-12, -0x1.2d47a77c6929cp-10, -0x1.dc8c491ff2aa8p-10, -0x1.457291722cdc8p-9, -0x1.9c27232c25913p-9, -0x1.f261e61af521dp-9, -0x1.241074851b575p-8, -0x1.4eb11d6091f8fp-8, -0x1.7911f3f3e821cp-8, -0x1.a331fd1dc2968p-8, -0x1.cd103c8afa4ap-8, -0x1.f6abb56a25496p-8, -0x1.1001b59564116p-7, -0x1.248b30e40d3d2p-7, -0x1.38f1ceb17ecc3p-7, -0x1.4d3510bedb95p-7, -0x1.6154783091e97p-7, -0x1.754f857655a48p-7, -0x1.8925b866011a6p-7, -0x1.9cd6907c527b9p-7, -0x1.b0618d2ab4c75p-7, -0x1.c3c62e07f68b6p-7, -0x1.d703f2c6a6c32p-7, -0x1.ea1a5b01a6d9cp-7, -0x1.fd08e60dac7ecp-7, -0x1.07e78975abca8p-6, -0x1.1136302c810cp-6, -0x1.1a70267edd7bap-6, -0x1.23952bd2cc9adp-6, -0x1.2ca4ffbdd56a8p-6, -0x1.359f621399545p-6, -0x1.3e8412e1daa31p-6, -0x1.4752d26596636p-6, -0x1.500b610729d1dp-6, -0x1.58ad7f60bd779p-6, -0x1.6138ee4b90e64p-6, -0x1.69ad6ef2b659ap-6, -0x1.720ac2eab9f28p-6, -0x1.7a50ac49c2ae7p-6, -0x1.827eedb7ef752p-6, -0x1.8a954a747d1a1p-6, -0x1.92938656022c9p-6, -0x1.9a7965ce162b4p-6, -0x1.a246adf23c475p-6, -0x1.a9fb24874d1a1p-6, -0x1.b196900fb5273p-6, -0x1.b918b7ddd66b8p-6, -0x1.c081642a111f6p-6, -0x1.c7d05e26a6e42p-6, -0x1.cf05700c2606dp-6, -0x1.d620651e946ebp-6, -0x1.dd2109b18a386p-6, -0x1.e4072b2f5042dp-6, -0x1.ead29822b546p-6, -0x1.f18320428bf16p-6, -0x1.f818947f7551dp-6, -0x1.fe92c714c5aeep-6, -0x1.0278c5cd4c58ep-5, -0x1.059a5b8a7d779p-5, -0x1.08ae0ffe54dfp-5, -0x1.0bb3cf216d0aap-5, -0x1.0eab85aa7ac7cp-5, -0x1.11952111b18f2p-5, -0x1.14708f957a581p-5, -0x1.173dc03fc04ep-5, -0x1.19fca2eb80b9cp-5, -0x1.1cad284a93366p-5, -0x1.1f4f41eb38e69p-5, -0x1.21e2e23cb2e8dp-5, -0x1.2467fc91d0112p-5, -0x1.26de85220e7a7p-5, -0x1.2946710acb2aap-5, -0x1.2b9fb6520a344p-5, -0x1.2dea4bea8c648p-5, -0x1.302629b81470dp-5, -0x1.32534892b9052p-5, -0x1.3471a248f8662p-5, -0x1.368131a0cae1fp-5, -0x1.3881f2586c10dp-5, -0x1.3a73e1273a416p-5, -0x1.3c56fbbed9179p-5, -0x1.3e2b40ccc1f2fp-5, -0x1.3ff0affcaaf45p-5, -0x1.41a749fbd7497p-5, -0x1.434f107be5fe1p-5, -0x1.44e8062816c9cp-5, -0x1.46722eb5595b2p-5, -0x1.47ed8ed8a1116p-5, -0x1.495a2c3c453b7p-5, -0x1.4ab80d8783919p-5, -0x1.4c073a5e36524p-5, -0x1.4d47bb62f651dp-5, -0x1.4e799a392d34fp-5, -0x1.4f9ce18574ca4p-5, -0x1.50b19cebda4f3p-5, -0x1.51b7d90c11f14p-5, -0x1.52afa37c4da15p-5, -0x1.53990ac4176c7p-5, -0x1.54741e5876e99p-5, -0x1.5540ee9a41dd9p-5, -0x1.55ff8cd691653p-5, -0x1.56b00b4847ccap-5, -0x1.57527d1915a13p-5, -0x1.57e6f6605879ep-5, -0x1.586d8c1f21155p-5, -0x1.58e65439c3aa8p-5, -0x1.595165705bc4cp-5, -0x1.59aed757fd3b2p-5, -0x1.59fec255c07efp-5, -0x1.5a413f9c223c1p-5, -0x1.5a76692a3b807p-5, -0x1.5a9e59cbb72d9p-5, -0x1.5ab92d18269f7p-5, -0x1.5ac6ff70825ffp-5, -0x1.5ac7edfa6a881p-5, -0x1.5abc16996a02dp-5, -0x1.5aa397e714ba9p-5, -0x1.5a7e912b4cd41p-5, -0x1.5a4d2255d1f0fp-5, -0x1.5a0f6bf9c849dp-5, -0x1.59c58f4b14158p-5, -0x1.596fae1cb0823p-5, -0x1.590deadee37f3p-5, -0x1.58a0689c5f16dp-5, -0x1.58274af5ad704p-5, -0x1.57a2b61afe596p-5, -0x1.5712cec4e2057p-5, -0x1.5677ba2ccf05dp-5, -0x1.55d19e063dcaap-5, -0x1.5520a078dbdb6p-5, -0x1.5464e81beb881p-5, -0x1.539e9bf297c96p-5, -0x1.52cde368a4a8cp-5, -0x1.51f2e64efd885p-5, -0x1.510dccd788963p-5, -0x1.501ebf901f67p-5, -0x1.4f25e75cae79ep-5, -0x1.4e236d70ebe3ap-5, -0x1.4d177b49fb53p-5, -0x1.4c023aa87a95ap-5, -0x1.4ae3d58b22f02p-5, -0x1.49bc762a09d9ep-5, -0x1.488c46f240037p-5, -0x1.475372819987cp-5, -0x1.461223a24913dp-5, -0x1.44c885462b305p-5, -0x1.4376c281b8e0cp-5, -0x1.421d0686d00aap-5, -0x1.40bb7c9f725bap-5, -0x1.3f525028b5cd2p-5, -0x1.3de1ac8e03f6ap-5, -0x1.3c69bd44a1dc4p-5, -0x1.3aeaadc783079p-5, -0x1.3964a993218e2p-5, -0x1.37d7dc2153472p-5, -0x1.364470e4e65b6p-5, -0x1.34aa93450eb02p-5, -0x1.330a6e98b45aep-5, -0x1.31642e21b1324p-5, -0x1.2fb7fd0842715p-5, -0x1.2e060656b7935p-5, -0x1.2c4e74f58e9c4p-5, -0x1.2a9173a7eb275p-5, -0x1.28cf2d0859cf9p-5, -0x1.2707cb85be2b3p-5, -0x1.253b79602e20bp-5, -0x1.236a60a5a033p-5, -0x1.2194ab2e5a1ecp-5, -0x1.1fba829923a7p-5, -0x1.1ddc10474e757p-5, -0x1.1bf97d58c9f0dp-5, -0x1.1a12f2a85a42ap-5, -0x1.182898c81e874p-5, -0x1.163a97fe81f3ap-5, -0x1.144918438d62dp-5, -0x1.1254413e94b84p-5, -0x1.105c3a4424ff7p-5, -0x1.0e612a5405316p-5, -0x1.0c63381725624p-5, -0x1.0a6289dd70071p-5, -0x1.085f459b59701p-5, -0x1.065990e742399p-5, -0x1.045190f6bc2eep-5, -0x1.02476a9bce1f2p-5, -0x1.003b424256a86p-5, -0x1.fc5a77db59de9p-6, -0x1.f83af66d19f87p-6, -0x1.f4184692b985cp-6, -0x1.eff2adc97f3efp-6, -0x1.ebca70b0dd94cp-6, -0x1.e79fd3086f96dp-6, -0x1.e37317ae18554p-6, -0x1.df44809c14e39p-6, -0x1.db144ee6cf06cp-6, -0x1.d6e2c2ba63e3bp-6, -0x1.d2b01b57fa1f6p-6, -0x1.ce7c9712e5555p-6, -0x1.ca48734dc2842p-6, -0x1.c613ec77d5eb7p-6, -0x1.c1df3e0ab2cd7p-6, -0x1.bdaaa28839093p-6, -0x1.b976537935f7p-6, -0x1.b542896c638ffp-6, -0x1.b10f7bf5dfe9ap-6, -0x1.acdd61aefa8c6p-6, -0x1.a8ac703633be5p-6, -0x1.a47cdc2f4cb37p-6, -0x1.a04ed94351673p-6, -0x1.9c229a207789bp-6, -0x1.97f85079ce479p-6, -0x1.93d02d06c979dp-6, -0x1.8faa5f82affc4p-6, -0x1.8b8716ac1058ap-6, -0x1.876680444cab4p-6, -0x1.8348c90f6a14ep-6, -0x1.7f2e1cd42a0fcp-6, -0x1.7b16a65c669efp-6, -0x1.77028f75e6d12p-6, -0x1.72f200f367577p-6, -0x1.6ee522adf78c5p-6, -0x1.6adc1b8676dap-6, -0x1.66d7116746e6fp-6, -0x1.62d62945c4c35p-6, -0x1.5ed98723fa619p-6, -0x1.5ae14e11eb6e9p-6, -0x1.56eda02ee4462p-6, -0x1.52fe9eaaa0cb3p-6, -0x1.4f1469c665e1dp-6, -0x1.4b2f20d62359fp-6, -0x1.474ee241bb26fp-6, -0x1.4373cb8672cecp-6, -0x1.3f9df938aa83dp-6, -0x1.3bcd8705d2ep-6, -0x1.38028fb695fd6p-6, -0x1.343d2d314b272p-6, -0x1.307d787c6ec24p-6, -0x1.2cc389c130bc2p-6, -0x1.290f784dfd56ap-6, -0x1.25615a98e64aep-6, -0x1.21b94641e5ebap-6, -0x1.1e1750150a5aap-6, -0x1.1a7b8c0c79568p-6, -0x1.16e60d5275706p-6, -0x1.1356e643758d8p-6, -0x1.0fce28706fc74p-6, -0x1.0c4be4a14c67cp-6, -0x1.08d02ad7c1bfp-6, -0x1.055b0a5258c9bp-6, -0x1.01ec918fb3481p-6, -0x1.fd099ca3ad85bp-7, -0x1.f6479b42ab915p-7, -0x1.ef9337a0a386ep-7, -0x1.e8ec88f9fc488p-7, -0x1.e253a527ccac7p-7, -0x1.dbc8a0a3673edp-7, -0x1.d54b8e89a5464p-7, -0x1.cedc809dfae52p-7, -0x1.c87b874e10ee1p-7, -0x1.c228b1b642b74p-7, -0x1.bbe40da73837fp-7, -0x1.b5ada7ad4119cp-7, -0x1.af858b18f7b5p-7, -0x1.a96bc208feef1p-7, -0x1.a36055746a636p-7, -0x1.9d634d34d383bp-7, -0x1.9774b00f45c39p-7, -0x1.919483bb5ff57p-7, -0x1.8bc2cce7e46a3p-7, -0x1.85ff8f3c9772ap-7, -0x1.804acd59bc7cep-7, -0x1.7aa488d5aad5cp-7, -0x1.750cc239e5282p-7, -0x1.6f837900bdb9dp-7, -0x1.6a08ab9527f9cp-7, -0x1.649c5755e325ep-7, -0x1.5f3e789ccb82ap-7, -0x1.59ef0acaa3c43p-7, -0x1.54ae0856bd42bp-7, -0x1.4f7b6ae15ba56p-7, -0x1.4a572b47336fdp-7, -0x1.454141b3c14abp-7, -0x1.4039a5b044b06p-7, -0x1.3b404e2d9503ep-7, -0x1.365531877acc7p-7, -0x1.3178458106d19p-7, -0x1.2ca97f3a8013dp-7, -0x1.27e8d322c64bp-7, -0x1.233634e62957ap-7, -0x1.1e91975e7f9d1p-7, -0x1.19faec86ce976p-7, -0x1.1572257687a5bp-7, -0x1.10f732656d2a3p-7, -0x1.0c8a02ba17d6ep-7, -0x1.082a85220bd3p-7, -0x1.03d8a7b1c0a8cp-7, -0x1.ff28b012cfcfep-8, -0x1.f6bb06f4a9d9fp-8, -0x1.ee682e509c449p-8, -0x1.e6300044ede2ep-8, -0x1.de1256e024467p-8, -0x1.d60f0c1d8f12dp-8, -0x1.ce25f9c439b98p-8, -0x1.c656f92a740b2p-8, -0x1.bea1e2e595dc3p-8, -0x1.b7068e6f3e5b7p-8, -0x1.af84d1cd272f3p-8, -0x1.a81c814754c3p-8, -0x1.a0cd6f39eb6d1p-8, -0x1.99976c0aba52dp-8, -0x1.927a46483a786p-8, -0x1.8b75caf24db3p-8, -0x1.8489c5e865f35p-8, -0x1.7db602724b598p-8, -0x1.76fa4bd6554a5p-8, -0x1.70566decfc992p-8, -0x1.69ca35a045b1dp-8, -0x1.63557147a015bp-8, -0x1.5cf7f0d313509p-8, -0x1.56b185be992aap-8, -0x1.508202caf6913p-8, -0x1.4a693b81dc0e1p-8, -0x1.4467038febb97p-8, -0x1.3e7b2e06700a9p-8, -0x1.38a58c9948217p-8, -0x1.32e5eeefb0c51p-8, -0x1.2d3c221db4eacp-8, -0x1.27a7f057f6fe1p-8, -0x1.222920eda50c4p-8, -0x1.1cbf788d4c892p-8, -0x1.176ab9d08a947p-8, -0x1.122aa60317f45p-8, -0x1.0cfefe12b25bep-8, -0x1.07e78390aa3e8p-8, -0x1.02e3f9ab144dp-8, -0x1.fbe84c07db556p-9, -0x1.f22fa29b9cabbp-9, -0x1.e89d8f398404bp-9, -0x1.df31b0bd850f6p-9, -0x1.d5ebabf3b786p-9, -0x1.cccb2a2d87315p-9, -0x1.c3cfd7507f3c6p-9, -0x1.baf95f91cf2dfp-9, -0x1.b2476d1ae0e0cp-9, -0x1.a9b9a5da477fp-9, -0x1.a14fa9c07dac9p-9, -0x1.9909119d8e1ebp-9, -0x1.90e56ec329247p-9, -0x1.88e44b794c053p-9, -0x1.81052c3d92f72p-9, -0x1.794791ad21ed6p-9, -0x1.71aafaeb0ccfbp-9, -0x1.6a2ee8452205ap-9, -0x1.62d2ddd4dea8bp-9, -0x1.5b9665d93647p-9, -0x1.5479128bf09cep-9, -0x1.4d7a7f3f5428ap-9, -0x1.469a50a2dc19ep-9, -0x1.3fd8341e3e1f7p-9, -0x1.3933de4c7f13ap-9, -0x1.32ad08b4bcc64p-9, -0x1.2c436ef5c673ep-9, -0x1.25f6cba9a70d5p-9, -0x1.1fc6d5521d143p-9, -0x1.19b33b9eba7efp-9, -0x1.13bba55869c4cp-9, -0x1.0ddfaf2e9df63p-9, -0x1.081eeb8a45957p-9, -0x1.0278e3728ae4ap-9, -0x1.f9da30df1c37dp-10, -0x1.eef60e8052bb4p-10, -0x1.e444563da6478p-10, -0x1.d9c40290ecb86p-10, -0x1.cf7418e0de72bp-10, -0x1.c553afa85054cp-10, -0x1.bb61f358838bdp-10, -0x1.b19e298f4ccd6p-10, -0x1.a807b26660b2dp-10, -0x1.9e9e07c2e8805p-10, -0x1.9560bab66fd5p-10, -0x1.8c4f6f26cebe5p-10, -0x1.8369d6133bf02p-10, -0x1.7aafa6e673086p-10, -0x1.72209856c2bap-10, -0x1.69bc595f72677p-10, -0x1.61828adbea568p-10, -0x1.5972ba49e3823p-10, -0x1.518c5e27abbddp-10, -0x1.49ced44cb8917p-10, -0x1.4239627197aa5p-10, -0x1.3acb38e965b16p-10, -0x1.338377472fe89p-10, -0x1.2c613265e474dp-10, -0x1.25637b1738111p-10, -0x1.1e8964a9c469ep-10, -0x1.17d20a9286d3fp-10, -0x1.113c94c700a39p-10, -0x1.0ac83aa822c1bp-10, -0x1.047444aafb20dp-10, -0x1.fc801a2f73002p-11, -0x1.f056006de621ep-11, -0x1.e469384a29137p-11, -0x1.d8b8e0925e0c2p-11, -0x1.cd4438837b521p-11, -0x1.c20a9c0610837p-11, -0x1.b70b7ddba180dp-11, -0x1.ac465fa9d5766p-11, -0x1.a1bac84b433a8p-11, -0x1.97683957d09c3p-11, -0x1.8d4e2533d49e8p-11, -0x1.836be723f1a7fp-11, -0x1.79c0beb74968ap-11, -0x1.704bcf6379367p-11, -0x1.670c247025374p-11, -0x1.5e00b8694c57cp-11, -0x1.55287e7193842p-11, -0x1.4c826b41f99abp-11, -0x1.440d7b8d8d699p-11, -0x1.3bc8b61780362p-11, -0x1.33b328fd7813cp-11, -0x1.2bcbe338127cfp-11, -0x1.2411ecb43026ep-11, -0x1.1c844024d56d5p-11, -0x1.1521c9545acc9p-11, -0x1.0de96978fbd4fp-11, -0x1.06da011ac8e09p-11, -0x1.ffe4fa7472003p-12, -0x1.f263c851cdb63p-12, -0x1.e52ebce0bcedfp-12, -0x1.d8447250196c5p-12, -0x1.cba3c20c4a56ep-12, -0x1.bf4baf36aa4a5p-12, -0x1.b33b4bb7e0355p-12, -0x1.a7719f80a49c9p-12, -0x1.9bed985db1a2dp-12, -0x1.90ae05a726034p-12, -0x1.85b19f4a76064p-12, -0x1.7af71490dcf2fp-12, -0x1.707d1d9be3132p-12, -0x1.66428ace289d5p-12, -0x1.5c464ead1f39ap-12, -0x1.5287802db6cf7p-12, -0x1.4905548383e2ap-12, -0x1.3fbf10587ce8ep-12, -0x1.36b3f1a72b4f7p-12, -0x1.2de3156e9b3f9p-12, -0x1.254b5ed49dd77p-12, -0x1.1ceb66e10aa56p-12, -0x1.14c17b6a3a148p-12, -0x1.0ccbb0975fee2p-12, -0x1.0508032967619p-12, -0x1.fae908987fc97p-13, -0x1.ec1f0825a915bp-13, -0x1.ddaf5e91ae1ccp-13, -0x1.cf983067fcd18p-13, -0x1.c1d84f0a0c8f3p-13, -0x1.b46ef366f9912p-13, -0x1.a75b666972c5p-13, -0x1.9a9cb234cc0dcp-13, -0x1.8e3173c73e22p-13, -0x1.8217d851af43dp-13, -0x1.764dc19e91d59p-13, -0x1.6ad100949b85dp-13, -0x1.5f9f90e8af1f1p-13, -0x1.54b7c571c6626p-13, -0x1.4a185cfb494c2p-13, -0x1.3fc07f2226b12p-13, -0x1.35afa56e218c5p-13, -0x1.2be57715156f5p-13, -0x1.22619f1482d0fp-13, -0x1.1923a3a497bf5p-13, -0x1.102ac3df4f52p-13, -0x1.0775dc9f88d48p-13, -0x1.fe06a844dd2dp-14, -0x1.eda21c2c1140fp-14, -0x1.ddb8dc4c235c6p-14, -0x1.ce44e1c7f19eap-14, -0x1.bf3fbbec2978dp-14, -0x1.b0a3188d0b8b2p-14, -0x1.a2694f9f7f314p-14, -0x1.948dcdbcc2c4cp-14, -0x1.870d459bfc006p-14, -0x1.79e5a240cc544p-14, -0x1.6d15c20d37b85p-14, -0x1.609d0ddb81c53p-14, -0x1.547b08fa56c61p-14, -0x1.48aef9e8ae9dcp-14, -0x1.3d37c021d638ap-14, -0x1.3213d644c82ap-14, -0x1.2741702d1a043p-14, -0x1.1cbea50403a6ep-14, -0x1.12899de78c806p-14, -0x1.08a0c2fd8b81dp-14, -0x1.fe05ae41df988p-15, -0x1.eb5ddacddf2b7p-15, -0x1.d94865c58dc95p-15, -0x1.c7c3489c8ba3fp-15, -0x1.b6cbb278d2bdap-15, -0x1.a65e08c60a937p-15, -0x1.96765267b9ec3p-15, -0x1.8710d1bf5afefp-15, -0x1.782a7b73795d5p-15, -0x1.69c10d7a621dp-15, -0x1.5bd2bb930fc7dp-15, -0x1.4e5d9c10d74bbp-15, -0x1.415f1f9fb9ed7p-15, -0x1.34d3d49c473cbp-15, -0x1.28b782cca851bp-15, -0x1.1d0570b8d2bb4p-15, -0x1.11b8957b1675ep-15, -0x1.06cbae108cd43p-15, -0x1.f872d8540ea1ap-16, -0x1.e3f9d91190d7cp-16, -0x1.d0249e9d4fdc3p-16, -0x1.bcee194182a42p-16, -0x1.aa537a3fa56dp-16, -0x1.9852cba1cbe5cp-16, -0x1.86e93b55e7e6p-16, -0x1.7611f9174231dp-16, -0x1.65c65fae81efcp-16, -0x1.55ff84c48b9d6p-16, -0x1.46b8598e47168p-16, -0x1.37eef5a9099bep-16, -0x1.29a4259843407p-16, -0x1.1bd99b6848193p-16, -0x1.0e8fff03f04ebp-16, -0x1.01c5df99adbd2p-16, -0x1.eaef546988949p-17, -0x1.d3406bea3ebc8p-17, -0x1.bc72f02204fefp-17, -0x1.a67a6f1341477p-17, -0x1.914b815f4a38p-17, -0x1.7cdd1c4e29d8cp-17, -0x1.69297fb712c46p-17, -0x1.562e5a079e404p-17, -0x1.43ebec8caedb8p-17, -0x1.3263664cfb672p-17, -0x1.21952054f1574p-17, -0x1.117f7c5e239cap-17, -0x1.021e881da8dd5p-17, -0x1.e6d740c54f0d5p-18, -0x1.cab8dfe49a9acp-18, -0x1.afc4b796086e6p-18, -0x1.95d96ebf2e6f1p-18, -0x1.7cdc603f56b67p-18, -0x1.64c3cfa809e42p-18, -0x1.4d974bb0bc6d4p-18, -0x1.3764bc76c56fcp-18, -0x1.22321fffb8c6bp-18, -0x1.0df6571135755p-18, -0x1.f53b52814efbap-19, -0x1.d02b314025706p-19, -0x1.acabcefd6079ep-19, -0x1.8abf5f1c666fp-19, -0x1.6a69f36ec797bp-19, -0x1.4ba2ab649c4p-19, -0x1.2e51635abe421p-19, -0x1.1255efe4f1d25p-19, -0x1.ef219c1edd849p-20, -0x1.bbd121eb13fd8p-20, -0x1.8a97508aba9c1p-20, -0x1.5b5f7a623483ap-20, -0x1.2e1f7858c6928p-20, -0x1.02d2a006dace5p-20, -0x1.b2ea20fc983d9p-21, -0x1.640177af58dep-21, -0x1.18d9b27b32cdap-21, -0x1.a2bc8df9d078fp-22, -0x1.1af460ae79cd7p-22, -0x1.345bcf4ddb112p-23, -0x1.018a4646a62bfp-25, 0x1.4d180aafef0e2p-24, 0x1.80f14f4316085p-23, 0x1.278ccad13d9a4p-22, 0x1.8899eeb7deac4p-22, 0x1.e3eb5f7357fa2p-22, 0x1.1d1c4e25671dap-21, 0x1.4634e175603e8p-21, 0x1.6d7c926ce88f2p-21, 0x1.92d3e0a0eed7ep-21, 0x1.b5fa982370177p-21, 0x1.d6ed6078a30a2p-21, 0x1.f5fed7ea466c9p-21, 0x1.09cb2d27e3864p-20, 0x1.17ef28a2425e7p-20, 0x1.255c80a1dc0a2p-20, 0x1.31fdaf3c3d85dp-20, 0x1.3dd02daa88c8cp-20, 0x1.48e43aaaeaacbp-20, 0x1.534f3993dc23p-20, 0x1.5d2207e8c1664p-20, 0x1.666719de9b58p-20, 0x1.6f2471466d4cdp-20, 0x1.775e0ac66cb71p-20, 0x1.7f179b65db85fp-20, 0x1.8655b95d8d959p-20, 0x1.8d1ebcc226791p-20, 0x1.937b6524474e9p-20, 0x1.99770e24df02fp-20, 0x1.9f1f1b0b45aacp-20, 0x1.a48164c421543p-20, 0x1.a9a9dbaace1e5p-20, 0x1.aea01f2b75861p-20, 0x1.b366340b359d2p-20, 0x1.b7f954836f0f4p-20, 0x1.bc54ff79d1477p-20, 0x1.c0773536885dbp-20, 0x1.c4638a698ba46p-20, 0x1.c82256aadd5bcp-20, 0x1.cbbb9da00d1e7p-20, 0x1.cf3246ddb22b7p-20, 0x1.d2864d31ef78ep-20, 0x1.d5bc95f874654p-20, 0x1.d8deddc28a6acp-20, 0x1.dbefc04057511p-20, 0x1.dee8a814af33ap-20, 0x1.e1c9f1fba375p-20, 0x1.e4a29009f1caap-20, 0x1.e7806ecc842c9p-20, 0x1.ea617f460a994p-20, 0x1.ed3be89c855b6p-20, 0x1.f00d0d6d4df46p-20, 0x1.f2da5d94b4943p-20, 0x1.f5aa4f0d04b6dp-20, 0x1.f880c0c06c59bp-20, 0x1.fb5f573cb876fp-20, 0x1.fe46c160a2ed2p-20, 0x1.009bc1919433ep-19, 0x1.02191ecb7067ep-19, 0x1.039bdb61bf481p-19, 0x1.052466c13c65dp-19, 0x1.06b335685228fp-19, 0x1.0848ba54ab28ep-19, 0x1.09e560b925dafp-19, 0x1.0b89859db534cp-19, 0x1.0d357270e79ep-19, 0x1.0ee95a4a968b1p-19, 0x1.10a55cbeb6eecp-19, 0x1.12698ebde6a3ep-19, 0x1.143608ca4c75ep-19, 0x1.160af8636b3bfp-19, 0x1.17e8b0e5d991ap-19, 0x1.19cfb23294e43p-19, 0x1.1bc0902f24ea8p-19, 0x1.1dbbaba644294p-19, 0x1.1fc0e0cd05524p-19, 0x1.21cf8d11a0bcbp-19, 0x1.23e7202012723p-19, 0x1.2607c5b6374ccp-19, 0x1.2832475ddde67p-19, 0x1.2a66d52939a86p-19, 0x1.2ca446ef1ba97p-19, 0x1.2ee99dbb223bp-19, 0x1.31372ce6b8507p-19, 0x1.338d501fba503p-19, 0x1.35ebfdc1b06c1p-19, 0x1.3853864587263p-19, 0x1.3ac3f3c9598ebp-19, 0x1.3d3c8a229cdb7p-19, 0x1.3fbc719c0f7aep-19, 0x1.424329687129p-19, 0x1.44d07202dcc8ep-19, 0x1.47642078ec306p-19, 0x1.49fe074d7c1f3p-19, 0x1.4c9deffab2bd6p-19, 0x1.4f439b0a52894p-19, 0x1.51eec21a0fa3bp-19, 0x1.549f19f3e3811p-19, 0x1.57545469cb816p-19, 0x1.5a0e21eb4560dp-19, 0x1.5ccc32fc69793p-19, 0x1.5f8e394831fbbp-19, 0x1.6253e7f2ea043p-19, 0x1.651cf2b0bbe97p-19, 0x1.67e90b71600e7p-19, 0x1.6ab7df3ce1df8p-19, 0x1.6d89137599446p-19, 0x1.705c446c1da31p-19, 0x1.733105ceaed94p-19, 0x1.7606e56ecd469p-19, 0x1.78dd71173f676p-19, 0x1.7bb4408ab8502p-19, 0x1.7e8b02b934217p-19, 0x1.816186ea4a4d4p-19, 0x1.8437b22aa5c65p-19, 0x1.870d5aea80e1fp-19, 0x1.89e22cd424dc2p-19, 0x1.8cb5c614491eap-19, 0x1.8f87fb5444952p-19, 0x1.925907f9afc28p-19, 0x1.95293a6bd6701p-19, 0x1.97f731ec8c215p-19, 0x1.9ac0440de235fp-19, 0x1.9d843dfe77905p-19, 0x1.a042dc00067b6p-19, 0x1.a2fc0ea61fd3p-19, 0x1.a5b1a93d764bap-19, 0x1.a864476ab0cb5p-19, 0x1.ab132a62b744dp-19, 0x1.adbd2d3e1d78fp-19, 0x1.b061556e84ec2p-19, 0x1.b2ff123996205p-19, 0x1.b59620d09181cp-19, 0x1.b8265d191b1b2p-19, 0x1.baafa30563011p-19, 0x1.bd31c6aaae5e7p-19, 0x1.bfac93cec2d35p-19, 0x1.c21fd087f4522p-19, 0x1.c48b3fc6f6707p-19, 0x1.c6eea33f56e0fp-19, 0x1.c949bc9c8a62bp-19, 0x1.cb9c4e67ae322p-19, 0x1.cde61cb1c9a85p-19, 0x1.d026eda28ca77p-19, 0x1.d25e89ca21e1ap-19, 0x1.d48cbc26153a4p-19, 0x1.d6b15190132bep-19, 0x1.d8cc17d5469f5p-19, 0x1.dadcdc6e29ccfp-19, 0x1.dce36c3bca3f2p-19, 0x1.dedf938bd4b8cp-19, 0x1.e0d11ec144755p-19, 0x1.e2b7db3abdf14p-19, 0x1.e49398060dc0ep-19, 0x1.e66427197017p-19, 0x1.e8295fbd95e17p-19, 0x1.e9e3217772e4cp-19, 0x1.eb915358beb06p-19, 0x1.ed33db9474363p-19, 0x1.eeca93f02b208p-19, 0x1.f055445fc169ep-19, 0x1.f1d3a763bc5c9p-19, 0x1.f34596d3e1fbp-19, 0x1.f4ab7cc2ab18p-19, 0x1.f605d2c0db001p-19, 0x1.f7537b2925e0dp-19, 0x1.f893afc8e5e5ap-19, 0x1.f9c78002b6d6p-19, 0x1.faefa58de1bb2p-19, 0x1.fc0af30ea3e52p-19, 0x1.fd18a8a553ca5p-19, 0x1.fe18a34fbdd2ap-19, 0x1.ff0af99ac402ep-19, 0x1.fff07138176edp-19, 0x1.0064b4048a2a8p-18, 0x1.00cab50fa62dcp-18, 0x1.012a02f9ebc67p-18, 0x1.01828ce8db78dp-18, 0x1.01d455534c75ep-18, 0x1.021f610d65364p-18, 0x1.0263b28db5b9ap-18, 0x1.02a14a2930b17p-18, 0x1.02d8272142cd5p-18, }}, 
      {{-0x1.07bca42eecf11p-2, -0x1.027f9bc90342p-2, -0x1.f443d4bc31369p-3, -0x1.de1eb05fcf4b7p-3, -0x1.c37c492e3567cp-3, -0x1.a54afd973147ap-3, -0x1.846eefd1f7694p-3, -0x1.61ba92e776433p-3, -0x1.3dea8374f04dbp-3, -0x1.19a3bac66d171p-3, -0x1.eae6cbd3a0d35p-4, -0x1.a39fa900b0777p-4, -0x1.5e34291ecfe3ep-4, -0x1.1b3fd80e54b56p-4, -0x1.b677de04d5cf9p-5, -0x1.3d071e756a4b5p-5, -0x1.955f29ad1eec9p-6, -0x1.7f1af6780466cp-7, 0x1.c1e3ea91ddf44p-12, 0x1.7c8087f68d106p-7, 0x1.6631a762be257p-6, 0x1.ff1becb00ab9p-6, 0x1.44b10b4160332p-5, 0x1.82c156af3fbb7p-5, 0x1.ba08b76681fc2p-5, 0x1.ead8ee64a0547p-5, 0x1.0ac4a58e57502p-4, 0x1.1d3a58aebeae3p-4, 0x1.2cfbf76af2837p-4, 0x1.3a382b846081p-4, 0x1.451d4eaaf2ddcp-4, 0x1.4dd8f2be83f19p-4, 0x1.549781d97225dp-4, 0x1.5983f303447a5p-4, 0x1.5cc790b8d01c9p-4, 0x1.5e89cebe1c182p-4, 0x1.5ef02cf06ea66p-4, 0x1.5e1e250d6dceep-4, 0x1.5c3521a0ae698p-4, 0x1.59547c81781dbp-4, 0x1.5599837d61d61p-4, 0x1.511f81f9fa715p-4, 0x1.4bffce8178a51p-4, 0x1.4651db54c1125p-4, 0x1.402b49401983p-4, 0x1.399ffc0e1cd72p-4, 0x1.32c2300f2cc1cp-4, 0x1.2ba29041da93fp-4, 0x1.24504cbd35b4cp-4, 0x1.1cd9310f1187dp-4, 0x1.1549ba4f9fd59p-4, 0x1.0dad2cb824865p-4, 0x1.060da89700d56p-4, 0x1.fce87d0a47336p-5, 0x1.edd20596480e5p-5, 0x1.dee63fcd3a521p-5, 0x1.d031d04cf724ap-5, 0x1.c1bfccb02d2f4p-5, 0x1.b399db0e42481p-5, 0x1.a5c84faf82e2dp-5, 0x1.9852490658296p-5, 0x1.8b3dc9f4e244ep-5, 0x1.7e8fd25cdfaf6p-5, 0x1.724c75fcec897p-5, 0x1.6676f1aef1df7p-5, 0x1.5b11bf2f3b016p-5, 0x1.501ea796dbea1p-5, 0x1.459ed4a90030fp-5, 0x1.3b92e0ea7f2f9p-5, 0x1.31fae6855b919p-5, 0x1.28d68ce017e51p-5, 0x1.20251503a6ca7p-5, 0x1.17e564f582c74p-5, 0x1.1016123c5b753p-5, 0x1.08b56bb61f504p-5, 0x1.01c182ceb0fb6p-5, 0x1.f67068148f148p-6, 0x1.ea2e5d9c4b18ep-6, 0x1.deb7f8b4f7adbp-6, 0x1.d4080bf537e08p-6, 0x1.ca1934ff0ad5fp-6, 0x1.c0e5e674d0275p-6, 0x1.b868710c38113p-6, 0x1.b09b0c0dd36ecp-6, 0x1.a977dd4188776p-6, 0x1.a2f9003fccd8cp-6, 0x1.9d188d117720ap-6, 0x1.97d09e0a39b93p-6, 0x1.931b54d862d67p-6, 0x1.8ef2ded3067f4p-6, 0x1.8b51789f1d376p-6, 0x1.88317149e78eep-6, 0x1.858d2cf8d7a7ep-6, 0x1.835f274912789p-6, 0x1.81a1f56f8918p-6, 0x1.8050482148b48p-6, 0x1.7f64ed44289c2p-6, 0x1.7edad16dc7b63p-6, 0x1.7ead01140ac94p-6, 0x1.7ed6a98b7ffp-6, 0x1.7f5319c75821ap-6, 0x1.801dc2d359954p-6, 0x1.8132381efc046p-6, 0x1.828c2f97fc9f4p-6, 0x1.8427819d4d6c3p-6, 0x1.860028d24e366p-6, 0x1.881241d913859p-6, 0x1.8a5a0afa168cp-6, 0x1.8cd3e3bd078ap-6, 0x1.8f7c4c765bc71p-6, 0x1.924fe5cb6de4fp-6, 0x1.954b702df42dap-6, 0x1.986bcb4f86a07p-6, 0x1.9badf58ce6a44p-6, 0x1.9f0f0b527e05ep-6, 0x1.a28c4678da027p-6, 0x1.a622fd9b4efc5p-6, 0x1.a9d0a36971f53p-6, 0x1.ad92c5f2c9791p-6, 0x1.b1670df10fea7p-6, 0x1.b54b3e0dfe50ap-6, 0x1.b93d3228fc684p-6, 0x1.bd3ade9ce2ffcp-6, 0x1.c1424f834d741p-6, 0x1.c551a7fcd55e7p-6, 0x1.c96721787c8fap-6, 0x1.cd810afc5738cp-6, 0x1.d19dc875257abp-6, 0x1.d5bbd20434746p-6, 0x1.d9d9b35225fcfp-6, 0x1.ddf60ae841bcdp-6, 0x1.e20f89875296p-6, 0x1.e624f1865a431p-6, 0x1.ea35163712725p-6, 0x1.ee3edb469f44dp-6, 0x1.f2413426889bcp-6, 0x1.f63b237b9dbb5p-6, 0x1.fa2bba898a643p-6, 0x1.fe1218a66fe11p-6, 0x1.00f6b55a3651ap-5, 0x1.02de754b33011p-5, 0x1.04bfef566339fp-5, 0x1.069accad5c616p-5, 0x1.086ebc433c2e4p-5, 0x1.0a3b728f458fdp-5, 0x1.0c00a954f2bfcp-5, 0x1.0dbe1f6ac9f7dp-5, 0x1.0f7398810c816p-5, 0x1.1120dceedef47p-5, 0x1.12c5b97ff2968p-5, 0x1.1461ff416031bp-5, 0x1.15f5834fb8e52p-5, 0x1.17801ead9884fp-5, 0x1.1901ae14d3b17p-5, 0x1.1a7a11c976b82p-5, 0x1.1be92d711321ap-5, 0x1.1d4ee7ec6ea4dp-5, 0x1.1eab2b2f48556p-5, 0x1.1ffde41713d41p-5, 0x1.21470249bd061p-5, 0x1.22867814386d1p-5, 0x1.23bc3a44ae4ep-5, 0x1.24e840088e7c2p-5, 0x1.260a82d062d8bp-5, 0x1.2722fe3286975p-5, 0x1.2831afcb35bedp-5, 0x1.2936971fc47f8p-5, 0x1.2a31b5871fba5p-5, 0x1.2b230e1258703p-5, 0x1.2c0aa5729a6e3p-5, 0x1.2ce881e063db8p-5, 0x1.2dbcab07bff39p-5, 0x1.2e8729f60fb03p-5, 0x1.2f48090508e9p-5, 0x1.2fff53c4f3f01p-5, 0x1.30ad16ea96022p-5, 0x1.3151604039b33p-5, 0x1.31ec3e94db4eap-5, 0x1.327dc1a8941fbp-5, 0x1.3305fa1ad628dp-5, 0x1.3384f95d07123p-5, 0x1.33fad1a5bf0d5p-5, 0x1.346795e09e727p-5, 0x1.34cb599ceaedfp-5, 0x1.352630fffecd8p-5, 0x1.357830bc1b096p-5, 0x1.35c16e064579fp-5, 0x1.3601fe8877c17p-5, 0x1.3639f853a782ap-5, 0x1.366971d68a574p-5, 0x1.369081d852f3ep-5, 0x1.36af3f71ef7e9p-5, 0x1.36c5c2035bbb3p-5, 0x1.36d421289e6cdp-5, 0x1.36da74b348c2dp-5, 0x1.36d8d4a7b64f6p-5, 0x1.36cf5939191ffp-5, 0x1.36be1ac13dd8p-5, 0x1.36a531b6f15c6p-5, 0x1.3684b6a7ba4e1p-5, 0x1.365cc23599c6fp-5, 0x1.362d6d14d91a6p-5, 0x1.35f6d006327f9p-5, 0x1.35b903ce443f5p-5, 0x1.3574212e78d6ep-5, 0x1.352840e1e577bp-5, 0x1.34d57b9c37f16p-5, 0x1.347bea06d8657p-5, 0x1.341ba4bad9a5ep-5, 0x1.33b4c43a23d72p-5, 0x1.334760eb2f9cap-5, 0x1.32d393181e954p-5, 0x1.325972ee9fe9bp-5, 0x1.31d9187de7922p-5, 0x1.31529bb236d81p-5, 0x1.30c6145069c55p-5, 0x1.303399f3ef1dep-5, 0x1.2f9b440f5a638p-5, 0x1.2efd29ed699b7p-5, 0x1.2e5962b05d79fp-5, 0x1.2db0054f4cb26p-5, 0x1.2d0128935471dp-5, 0x1.2c4ce3167b06cp-5, 0x1.2b934b44a51d4p-5, 0x1.2ad4775d20dddp-5, 0x1.2a107d730bf63p-5, 0x1.2947736bf7fa5p-5, 0x1.28796efdd9ec3p-5, 0x1.27a685ade8aa8p-5, 0x1.26ceccd10a5d4p-5, 0x1.25f2598d355bcp-5, 0x1.251140da7e64p-5, 0x1.242b9782dee6dp-5, 0x1.23417220e9f22p-5, 0x1.2252e51e8cb7cp-5, 0x1.216004b4ce841p-5, 0x1.2068e4eca270fp-5, 0x1.1f6d99a03aed5p-5, 0x1.1e6e367bd7375p-5, 0x1.1d6acefdb495p-5, 0x1.1c6376755b3ddp-5, 0x1.1b58400312521p-5, 0x1.1a493e9824d0dp-5, 0x1.193684f7e1625p-5, 0x1.182025b8e8989p-5, 0x1.17063346455a7p-5, 0x1.15e8bfdfd1845p-5, 0x1.14c7dd9a33179p-5, 0x1.13a39e5ed5e57p-5, 0x1.127c13ec6a389p-5, 0x1.11514fd7e7ca4p-5, 0x1.1023638dd5538p-5, 0x1.0ef2605385359p-5, 0x1.0dbe5747f0531p-5, 0x1.0c8759642a858p-5, 0x1.0b4d777baabe4p-5, 0x1.0a10c23cc8a22p-5, 0x1.08d14a318624bp-5, 0x1.078f1fc09c573p-5, 0x1.064a532e9a295p-5, 0x1.0502f49ee7b85p-5, 0x1.03b91414806eep-5, 0x1.026cc1726d1c3p-5, 0x1.011e0c7c27e08p-5, 0x1.ff9a09ac42589p-6, 0x1.fcf3740ce0c09p-6, 0x1.fa4876eb428f3p-6, 0x1.f79930df2219ep-6, 0x1.f4e5c04865d1dp-6, 0x1.f22e4350552eep-6, 0x1.ef72d7ea5f209p-6, 0x1.ecb39bd4cb621p-6, 0x1.e9f0ac9969b24p-6, 0x1.e72a278e8fdb7p-6, 0x1.e46029d82736ep-6, 0x1.e192d068c2a14p-6, 0x1.dec23802b0eb2p-6, 0x1.dbee7d38c4b1ap-6, 0x1.d917bc6efea98p-6, 0x1.d63e11daf45cp-6, 0x1.d36199843bd0cp-6, 0x1.d0826f44dc254p-6, 0x1.cda0aec9e2baep-6, 0x1.cabc7393e12dp-6, 0x1.c7d5d8f773b86p-6, 0x1.c4ecfa1db1d24p-6, 0x1.c201f20492c8bp-6, 0x1.bf14db7f3150dp-6, 0x1.bc25d135fc147p-6, 0x1.b934eda6be23ep-6, 0x1.b6424b24e98d2p-6, 0x1.b34e03d94ee15p-6, 0x1.b05831c296f13p-6, 0x1.ad60eeb52106ap-6, 0x1.aa68545b2e855p-6, 0x1.a76e7c34ff106p-6, 0x1.a4737f98dde99p-6, 0x1.a17777b2fe0d8p-6, 0x1.9e7a7d854404cp-6, 0x1.9b7ca9e7068edp-6, 0x1.987e1584d169ap-6, 0x1.957ed8e032a76p-6, 0x1.927f0c4f96169p-6, 0x1.8f7ec7fe12981p-6, 0x1.8c7e23eb3774ap-6, 0x1.897d37eac81adp-6, 0x1.867c1ba451dd6p-6, 0x1.837ae692b1821p-6, 0x1.8079b0038b721p-6, 0x1.7d788f16d635dp-6, 0x1.7a779abe67c15p-6, 0x1.7776e9bd8be71p-6, 0x1.747692a897f96p-6, 0x1.7176abe4586cbp-6, 0x1.6e774ba57c5d2p-6, 0x1.6b7887eff4698p-6, 0x1.687a769644e3dp-6, 0x1.657d2d38de56ep-6, 0x1.6280c14587a3ep-6, 0x1.5f8547f6bb74bp-6, 0x1.5c8ad65326c1ep-6, 0x1.5991812cf99a8p-6, 0x1.56995d2146b37p-6, 0x1.53a27e973cf6bp-6, 0x1.50acf9bf6dbd7p-6, 0x1.4db8e2930d68fp-6, 0x1.4ac64cd34a7fbp-6, 0x1.47d54c08b7cb3p-6, 0x1.44e5f382c487dp-6, 0x1.41f856572465cp-6, 0x1.3f0c8761378a2p-6, 0x1.3c2299416969bp-6, 0x1.393a9e5c6ff9cp-6, 0x1.3654a8daa2cd4p-6, 0x1.3370caa734a47p-6, 0x1.308f156fa763fp-6, 0x1.2daf9aa34228fp-6, 0x1.2ad26b72a165ep-6, 0x1.27f798cf4f718p-6, 0x1.251f336b511f4p-6, 0x1.22494bb8a0bfep-6, 0x1.1f75f1e88ae06p-6, 0x1.1ca535eb0f40fp-6, 0x1.19d7276e48225p-6, 0x1.170bd5dddfa4ep-6, 0x1.14435062a14e7p-6, 0x1.117da5e22f72dp-6, 0x1.0ebae4febd897p-6, 0x1.0bfb1c16cbebap-6, 0x1.093e5944dc893p-6, 0x1.0684aa5f07f24p-6, 0x1.03ce1cf690453p-6, 0x1.011abe575525ep-6, 0x1.fcd5370ef4bf3p-7, 0x1.f77b828e03b78p-7, 0x1.f228781f3e9a5p-7, 0x1.ecdc30294a603p-7, 0x1.e796c285e7cd6p-7, 0x1.e2584681f0a19p-7, 0x1.dd20d2dd19abp-7, 0x1.d7f07dc99e557p-7, 0x1.d2c75cebbdc72p-7, 0x1.cda585593acebp-7, 0x1.c88b0b98fd98p-7, 0x1.c37803a2db605p-7, 0x1.be6c80dfa1b8dp-7, 0x1.b96896295e4d6p-7, 0x1.b46c55cbdc25ep-7, 0x1.af77d184fc50cp-7, 0x1.aa8b1a8525115p-7, 0x1.a5a6416f71b9ep-7, 0x1.a0c95659d5dacp-7, 0x1.9bf468cd14d0bp-7, 0x1.972787c4e4f4p-7, 0x1.9262c1b01868cp-7, 0x1.8da624711a60bp-7, 0x1.88f1bd5e82e13p-7, 0x1.84459943f959fp-7, 0x1.7fa1c46300b65p-7, 0x1.7b064a7402c47p-7, 0x1.767336a702f19p-7, 0x1.71e893a464baap-7, 0x1.6d666b8d867c2p-7, 0x1.68ecc7fd4e2edp-7, 0x1.647bb208cb40bp-7, 0x1.6013323fe951ep-7, 0x1.5bb350ae4ffa1p-7, 0x1.575c14dc6cc72p-7, 0x1.530d85d09f028p-7, 0x1.4ec7aa1083d4fp-7, 0x1.4a8a87a22be63p-7, 0x1.4656240d75ff9p-7, 0x1.422a845d2b564p-7, 0x1.3e07ad201b8dbp-7, 0x1.39eda26a2ebb2p-7, 0x1.35dc67d5793e9p-7, 0x1.31d400833f235p-7, 0x1.2dd46f1d3d4ffp-7, 0x1.29ddb5d6e285ep-7, 0x1.25efd66eb83b5p-7, 0x1.220ad22fefa0ap-7, 0x1.1e2ea9f3dd9ep-7, 0x1.1a5b5e23a205ep-7, 0x1.1690eeb9a1e2dp-7, 0x1.12cf5b43159c5p-7, 0x1.0f16a2e174a1ep-7, 0x1.0b66c44be2e95p-7, 0x1.07bfbdd09be54p-7, 0x1.04218d56552d9p-7, 0x1.008c305dc4e76p-7, 0x1.f9ff48062939ep-8, 0x1.f2f7c9ff11b86p-8, 0x1.ec01df5659d4ep-8, 0x1.e51d7ffd03209p-8, 0x1.de4aa3288eaf4p-8, 0x1.d7893f565dc7fp-8, 0x1.d0d94a4f37756p-8, 0x1.ca3ab92a7a358p-8, 0x1.c3ad8051a33a2p-8, 0x1.bd3193834dfdfp-8, 0x1.b6c6e5d675271p-8, 0x1.b06d69bdb3217p-8, 0x1.aa25110a65732p-8, 0x1.a3edccf00cdcfp-8, 0x1.9dc78e07b82ddp-8, 0x1.97b244535d12p-8, 0x1.91addf4173dfcp-8, 0x1.8bba4db08040fp-8, 0x1.85d77df291fa4p-8, 0x1.80055dd0c1c1fp-8, 0x1.7a43da8eab8ep-8, 0x1.7492e0edb9088p-8, 0x1.6ef25d308829ep-8, 0x1.69623b1e15de8p-8, 0x1.63e26604fd393p-8, 0x1.5e72c8beaf0b4p-8, 0x1.59134db2a8152p-8, 0x1.53c3ded9c98d6p-8, 0x1.4e8465c16ef26p-8, 0x1.4954cb8f0285ep-8, 0x1.4434f9031ef1p-8, 0x1.3f24d67cf8f7p-8, 0x1.3a244bfd9fc7bp-8, 0x1.3533412b48dbcp-8, 0x1.30519d548c9eep-8, 0x1.2b7f4773688ccp-8, 0x1.26bc263070e0bp-8, 0x1.22081fe5d65bfp-8, 0x1.1d631aa244a3fp-8, 0x1.18ccfc2bf272ap-8, 0x1.1445aa0383e5bp-8, 0x1.0fcd0966fa083p-8, 0x1.0b62ff549ac31p-8, 0x1.0707708dead0ap-8, 0x1.02ba419a80d8cp-8, 0x1.fcf6ad960d6cep-9, 0x1.f4952877ff418p-9, 0x1.ec4fbbb167882p-9, 0x1.e4262ebbc20ddp-9, 0x1.dc1848b91a9b7p-9, 0x1.d425d0793c658p-9, 0x1.cc4e8c7ef37f4p-9, 0x1.c492430534f8ep-9, 0x1.bcf0ba041f957p-9, 0x1.b569b735e05b6p-9, 0x1.adfd001bb7cb6p-9, 0x1.a6aa5a02b317cp-9, 0x1.9f718a0892651p-9, 0x1.9852552092551p-9, 0x1.914c8017daeecp-9, 0x1.8a5fcf9ab80fcp-9, 0x1.838c08387ef8bp-9, 0x1.7cd0ee686d3c2p-9, 0x1.762e468df8b09p-9, 0x1.6fa3d4fcfd0b3p-9, 0x1.69315dfde8eabp-9, 0x1.62d6a5d1dbaeep-9, 0x1.5c9370b6a3c9dp-9, 0x1.566782eab9b06p-9, 0x1.5052a0b10b811p-9, 0x1.4a548e54e9518p-9, 0x1.446d102db26efp-9, 0x1.3e9beaa28cc0fp-9, 0x1.38e0e22e0bd8fp-9, 0x1.333bbb61796ddp-9, 0x1.2dac3ae85233p-9, 0x1.2832258b78efbp-9, 0x1.22cd40343add3p-9, 0x1.1d7d4fef6a896p-9, 0x1.184219f0414dbp-9, 0x1.131b639343067p-9, 0x1.0e08f26143913p-9, 0x1.090a8c125385ap-9, 0x1.041ff690a74e2p-9, 0x1.fe91eff728677p-10, 0x1.f50aad551bf68p-10, 0x1.eba9b25fdced7p-10, 0x1.e26e8cb788d0bp-10, 0x1.d958ca7c45375p-10, 0x1.d067fa53380f1p-10, 0x1.c79bab6a05939p-10, 0x1.bef36d7ace9f3p-10, 0x1.b66ed0cef29bcp-10, 0x1.ae0d66426a924p-10, 0x1.a5cebf4674967p-10, 0x1.9db26de4f5987p-10, 0x1.95b804c414a14p-10, 0x1.8ddf172a079ap-10, 0x1.86273901bde06p-10, 0x1.7e8ffedfa5e07p-10, 0x1.7718fe0679702p-10, 0x1.6fc1cc6c30725p-10, 0x1.688a00be744p-10, 0x1.617132661b5ecp-10, 0x1.5a76f98a0676dp-10, 0x1.539aef10d52c3p-10, 0x1.4cdcaca1b0c86p-10, 0x1.463bcca4565c6p-10, 0x1.3fb7ea4098a6dp-10, 0x1.3950a15e1143ep-10, 0x1.33058ea3e6217p-10, 0x1.2cd64f797c835p-10, 0x1.26c282086aa9ap-10, 0x1.20c9c53f27bd2p-10, 0x1.1aebb8d522e5bp-10, 0x1.1527fd4f6efecp-10, 0x1.0f7e3405b0b9ep-10, 0x1.09edff2726a61p-10, 0x1.047701be7d9ebp-10, 0x1.fe31bf697d10fp-11, 0x1.f3a67ba4c6938p-11, 0x1.e94b837dda23ep-11, 0x1.df2023fd936fcp-11, 0x1.d523abdfe0378p-11, 0x1.cb556b8c081fcp-11, 0x1.c1b4b50c701bfp-11, 0x1.b840dc08e288fp-11, 0x1.aef935c225391p-11, 0x1.a5dd19121c5b4p-11, 0x1.9cebde6eb1cdp-11, 0x1.9424dff1486p-11, 0x1.8b87795fd6b17p-11, 0x1.831308380dfe6p-11, 0x1.7ac6ebb99dfd8p-11, 0x1.72a284ef4e95dp-11, 0x1.6aa536b48fae5p-11, 0x1.62ce65b7157c3p-11, 0x1.5b1d787408d5ep-11, 0x1.5391d73094269p-11, 0x1.4c2aebefd2ebcp-11, 0x1.44e822660af7cp-11, 0x1.3dc8e7ec88f66p-11, 0x1.36ccab75e56c6p-11, 0x1.2ff2dd86b2febp-11, 0x1.293af030a9155p-11, 0x1.22a457161d512p-11, 0x1.1c2e876812931p-11, 0x1.15d8f7f5901fcp-11, 0x1.0fa32134c1a3cp-11, 0x1.098c7d4b10e27p-11, 0x1.03948815c118bp-11, 0x1.fb757e637c45bp-12, 0x1.effd43f7dce78p-12, 0x1.e4bf631a80f2cp-12, 0x1.d9bae16562b5ep-12, 0x1.ceeec7c2bff72p-12, 0x1.c45a225038651p-12, 0x1.b9fc004198434p-12, 0x1.afd373c4caf98p-12, 0x1.a5df91ec28c9cp-12, 0x1.9c1f72a031f18p-12, 0x1.9292309ade00dp-12, 0x1.8936e96bc240bp-12, 0x1.800cbd8534fcdp-12, 0x1.7712d04eb2ed5p-12, 0x1.6e48483a5681ep-12, 0x1.65ac4ed82e3d1p-12, 0x1.5d3e10e62b29cp-12, 0x1.54fcbe5651392p-12, 0x1.4ce78a4c60bb9p-12, 0x1.44fdab104c67cp-12, 0x1.3d3e59f808841p-12, 0x1.35a8d34b52398p-12, 0x1.2e3c5623f2a23p-12, 0x1.26f8244f7156p-12, 0x1.1fdb823584afap-12, 0x1.18e5b6c48fc1ep-12, 0x1.12160b67486cfp-12, 0x1.0b6bcc0072cb1p-12, 0x1.04e646ef757acp-12, 0x1.fd099a30406aap-13, 0x1.f08d63dc6ff25p-13, 0x1.e456970583e9ep-13, 0x1.d863e51cbe7fbp-13, 0x1.ccb404f8e58ffp-13, 0x1.c145b2e0adac9p-13, 0x1.b617b0897fc39p-13, 0x1.ab28c50b3d514p-13, 0x1.a077bcc488811p-13, 0x1.9603692e29c09p-13, 0x1.8bcaa0a4550c9p-13, 0x1.81cc3e276f1aap-13, 0x1.7807211db1e35p-13, 0x1.6e7a2d1c758a4p-13, 0x1.652449c2f88cdp-13, 0x1.5c0462a60431ap-13, 0x1.53196754496d4p-13, 0x1.4a624b6aa5edep-13, 0x1.41de06b32aa85p-13, 0x1.398b9545d0087p-13, 0x1.3169f7a157d5ep-13, 0x1.297832b6420b3p-13, 0x1.21b54fe14fb69p-13, 0x1.1a205cd94b0c1p-13, 0x1.12b86b959d7f9p-13, 0x1.0b7c923860adfp-13, 0x1.046beaff4e61dp-13, 0x1.fb0b2888354bcp-14, 0x1.ed916107c093bp-14, 0x1.e068ccdb3de68p-14, 0x1.d38fc1ce8f4b7p-14, 0x1.c7049e0a4166ep-14, 0x1.bac5c7d9bca5cp-14, 0x1.aed1ad41fc196p-14, 0x1.a326c38035bd5p-14, 0x1.97c3867e4406ap-14, 0x1.8ca6785abe417p-14, 0x1.81ce211b7a356p-14, 0x1.77390e943c308p-14, 0x1.6ce5d47d8cb2fp-14, 0x1.62d30ca4365a2p-14, 0x1.58ff57142411bp-14, 0x1.4f695a1dbcdf4p-14, 0x1.460fc21f0b768p-14, 0x1.3cf14111393bp-14, 0x1.340c8df27ac36p-14, 0x1.2b606433956fep-14, 0x1.22eb835f51eacp-14, 0x1.1aacaf1e58f77p-14, 0x1.12a2afaa2c17bp-14, 0x1.0acc52a0fbe94p-14, 0x1.03286c0c3353fp-14, 0x1.f76baebb01959p-15, 0x1.e8e6f04e9ad81p-15, 0x1.dac074c73e2d3p-15, 0x1.ccf62477901p-15, 0x1.bf85f6bf0b7ddp-15, 0x1.b26df028bc726p-15, 0x1.a5ac206b384bcp-15, 0x1.993ea0b0f207p-15, 0x1.8d239272b71d3p-15, 0x1.81591f16b2fcfp-15, 0x1.75dd782439ff9p-15, 0x1.6aaed7d948ffep-15, 0x1.5fcb81aa35ebbp-15, 0x1.5531c25d2bd41p-15, 0x1.4adfef6d563c7p-15, 0x1.40d465c2bc5cap-15, 0x1.370d87f50f3c2p-15, 0x1.2d89bc8cf5926p-15, 0x1.24476ccf71461p-15, 0x1.1b45047dbffcp-15, 0x1.1280f2b34322cp-15, 0x1.09f9abc298d98p-15, 0x1.01adab9b46767p-15, 0x1.f336f0387fb6ap-16, 0x1.e383458682658p-16, 0x1.d43d92b440163p-16, 0x1.c5632b2c58f8ep-16, 0x1.b6f177f891415p-16, 0x1.a8e5f4d049353p-16, 0x1.9b3e2d76a2921p-16, 0x1.8df7bbe3dd5fbp-16, 0x1.8110476c14d7ap-16, 0x1.7485848fe0d27p-16, 0x1.6855351676e35p-16, 0x1.5c7d27f700fc6p-16, 0x1.50fb38d7888a8p-16, 0x1.45cd4f1a42cc4p-16, 0x1.3af15cb07bb18p-16, 0x1.30655cf22b723p-16, 0x1.262753e40d3c8p-16, 0x1.1c354d56ae61p-16, 0x1.128d5cce7d1b1p-16, 0x1.092d9d3dade66p-16, 0x1.001430dc4d68p-16, 0x1.ee7e8284f412fp-17, 0x1.dd59ffef0d665p-17, 0x1.ccb74f069b351p-17, 0x1.bc92f9ecf2f91p-17, 0x1.ace9a28b519c4p-17, 0x1.9db803d6efb3ap-17, 0x1.8efaf0a503f46p-17, 0x1.80af504ce168fp-17, 0x1.72d21abc24714p-17, 0x1.6560562e22fdap-17, 0x1.5857185c0ec9fp-17, 0x1.4bb38b6b43b75p-17, 0x1.3f72f4e4846f4p-17, 0x1.3392bb8dc546ap-17, 0x1.2810691408113p-17, 0x1.1ce9a5b96b36bp-17, 0x1.121c2ea66c147p-17, 0x1.07a5c98fa2013p-17, 0x1.fb08735675928p-18, 0x1.e76a73317706p-18, 0x1.d46cf84f3881p-18, 0x1.c20b66ebf2e3p-18, 0x1.b041370d6e621p-18, 0x1.9f0a08d05658ap-18, 0x1.8e61b0d554c81p-18, 0x1.7e443959b37b2p-18, 0x1.6eadd92cc133ep-18, 0x1.5f9ae4e7f80bdp-18, 0x1.5107be7b1662cp-18, 0x1.42f0ce0100b8bp-18, 0x1.35527b19ddd4bp-18, 0x1.282932a965165p-18, 0x1.1b7169378e6e5p-18, 0x1.0f27a07498279p-18, 0x1.0348672b9e141p-18, 0x1.efa0ae44df8cep-19, 0x1.d9782973d5a53p-19, 0x1.c410aa69a22edp-19, 0x1.af63daea7c94fp-19, 0x1.9b6bcb6557421p-19, 0x1.882313b1441e6p-19, 0x1.7584db998dd12p-19, 0x1.638cc26f7f365p-19, 0x1.5236ab5908023p-19, 0x1.417e8078c1ac5p-19, 0x1.3160026edb929p-19, 0x1.21d6b3b68d481p-19, 0x1.12dde40e0064ep-19, 0x1.0470d2ee3c3d1p-19, 0x1.ed15b33f1c788p-20, 0x1.d24f196186c97p-20, 0x1.b885985838412p-20, 0x1.9fb185133d7bep-20, 0x1.87cbb13bb3019p-20, 0x1.70cd49c3c073cp-20, 0x1.5aafb384d3634p-20, 0x1.456c67dfda0bcp-20, 0x1.30fcd581a2a11p-20, 0x1.1d5a4c1fef546p-20, 0x1.0a7dfb1cc1cefp-20, 0x1.f0c20ac1e4095p-21, 0x1.cdf945dd75687p-21, 0x1.ac94817e9716ep-21, 0x1.8c872009f2dc3p-21, 0x1.6dc4fef978c3p-21, 0x1.50424faffed43p-21, 0x1.33f37d10d3045p-21, 0x1.18cd3d76657f5p-21, 0x1.fd89a216eap-22, 0x1.cba08b02a6a25p-22, 0x1.9bcd0e82235ddp-22, 0x1.6dfe4b20aebafp-22, 0x1.4223c48df4bf7p-22, 0x1.182c99810794fp-22, 0x1.e00e82fda809p-23, 0x1.9343db4b8ed0ap-23, 0x1.49d69057a6357p-23, 0x1.03a63c3d19992p-23, 0x1.812a55547fffdp-24, 0x1.010f8fcf3e5d4p-24, 0x1.0d8e905dd346bp-25, 0x1.21d9af45ebee2p-28, -0x1.74813e65a6e3ep-26, -0x1.8e46af76b1251p-25, -0x1.2c19a41bcf2ddp-24, -0x1.8c2ea7d379894p-24, -0x1.e78bec1f2f951p-24, -0x1.1f2d1dc2adcebp-23, -0x1.48616862534p-23, -0x1.6f7815fd78d14p-23, -0x1.9487204e3f7f2p-23, -0x1.b7a4dd7c20214p-23, -0x1.d8e73c500b71p-23, -0x1.f862d8c67cdf6p-23, -0x1.0b152583dc975p-22, -0x1.19270189f3754p-22, -0x1.266e66b99f384p-22, -0x1.32f266a4d3638p-22, -0x1.3eba3b42ce942p-22, -0x1.49cd8169829fdp-22, -0x1.543414f2fbaf9p-22, -0x1.5df5bde7ba0d2p-22, -0x1.671a0186daa3bp-22, -0x1.6fa837160c541p-22, -0x1.77a79fe5f439ap-22, -0x1.7f1f3189b7be7p-22, -0x1.86151da05934dp-22, -0x1.8c8e83216e58fp-22, -0x1.928fa49245764p-22, -0x1.981c8d4424f43p-22, -0x1.9d39afab547dcp-22, -0x1.a1ec11967e379p-22, -0x1.a6390087d28ffp-22, -0x1.aa25a4d215cebp-22, -0x1.adb6ca7337f58p-22, -0x1.b0f0ebfa8a30ep-22, -0x1.b3d8516cb18b5p-22, -0x1.b6711a0d63638p-22, -0x1.b8bf2fdaee92dp-22, -0x1.bac63765ef6edp-22, -0x1.bc898a2ac603p-22, -0x1.be0c4104d9422p-22, -0x1.bf514b400dc93p-22, -0x1.c05b8a721e6dfp-22, -0x1.c12de574a948dp-22, -0x1.c1cb46dba5bc8p-22, -0x1.c23682c837d73p-22, -0x1.c2722f12d8135p-22, -0x1.c28082b300152p-22, -0x1.c2635504a8097p-22, -0x1.c21c49fd436dp-22, -0x1.c1ad1f4bf2883p-22, -0x1.c117eeef93929p-22, -0x1.c05f3445aa11p-22, -0x1.bf858c388a98bp-22, -0x1.be8d6a6fc6933p-22, -0x1.bd7904c503ddbp-22, -0x1.bc4a64a2afd1cp-22, -0x1.bb03540ef61fap-22, -0x1.b9a51fbeb956cp-22, -0x1.b8308cc6861ccp-22, -0x1.b6a638d7f2f38p-22, -0x1.b50713784abfap-22, -0x1.b3547d9cb35bcp-22, -0x1.b190012ea94a4p-22, -0x1.afbaf3fa04456p-22, -0x1.add65c55c70aep-22, -0x1.abe316731708cp-22, -0x1.a9e203ae2a087p-22, -0x1.a7d40cc2d01f3p-22, -0x1.a5ba12e42b0f5p-22, -0x1.a394ebd3678cfp-22, -0x1.a16557b47a088p-22, -0x1.9f2c0a861465bp-22, -0x1.9ce9ad8da9dc1p-22, -0x1.9a9ee10f542fep-22, -0x1.984c3edf7eabp-22, -0x1.95f25cc81a0f8p-22, -0x1.9391ce01e483fp-22, -0x1.912b21de974bbp-22, -0x1.8ebede7ea5bedp-22, -0x1.8c4d79692f31p-22, -0x1.89d751ec34b48p-22, -0x1.875cb0e051f07p-22, -0x1.84ddcdae3f80fp-22, -0x1.825ad6460ce69p-22, -0x1.7fd3f85fe7b8cp-22, -0x1.7d496bea72018p-22, -0x1.7abb7aac8ea36p-22, -0x1.782a7c15e5082p-22, -0x1.7596c27646b5p-22, -0x1.730088763158cp-22, -0x1.7067f05a0453ap-22, -0x1.6dcd1170402edp-22, -0x1.6b2ffe4f52de8p-22, -0x1.6890be80ffdf2p-22, -0x1.65ef559b1df9ep-22, -0x1.634bdafce55dp-22, -0x1.60a67ce3a223ap-22, -0x1.5dff61d871c97p-22, -0x1.5b569081bf646p-22, -0x1.58abfcf653279p-22, -0x1.55ffa31a153c9p-22, -0x1.53518810bebbbp-22, -0x1.50a1af7be2f1cp-22, -0x1.4df019654cc84p-22, -0x1.4b3cbed41105cp-22, -0x1.4887984599037p-22, -0x1.45d09c1b0cb7cp-22, -0x1.4317bfb9128e6p-22, -0x1.405cf7fdf688bp-22, -0x1.3da0395d88faep-22, -0x1.3ae177f7c6344p-22, -0x1.3820a79ed96a5p-22, -0x1.355dbb9e46648p-22, -0x1.3298a65bb7f3ap-22, -0x1.2fd158ee57e4dp-22, -0x1.2d07c2d8de98bp-22, -0x1.2a3bd22c29735p-22, -0x1.276d740d5ab4fp-22, -0x1.249c956fa9a27p-22, -0x1.21c923ccb2866p-22, -0x1.1ef30d7f017c9p-22, -0x1.1c1a41b8ed8dfp-22, -0x1.193eafba636f6p-22, -0x1.16604537d17f5p-22, -0x1.137eecbbf7e2fp-22, -0x1.109a8de7f7adfp-22, -0x1.0db310e2e75fcp-22, -0x1.0ac8628251689p-22, -0x1.07da749fa7b2p-22, -0x1.04e939106c089p-22, -0x1.01f49d2795439p-22, -0x1.fdf91a1026876p-23, -0x1.f801eee1f528dp-23, -0x1.f20396746d9e3p-23, -0x1.ebfdeefc52e36p-23, -0x1.e5f0dccbfe84bp-23, -0x1.dfdc45b25c89p-23, -0x1.d9c00ca91a2cfp-23, -0x1.d39c14ee487b4p-23, -0x1.cd70443afc459p-23, -0x1.c73c8200966d8p-23, -0x1.c100b64696dadp-23, -0x1.babcc95814812p-23, -0x1.b470a41d5f478p-23, -0x1.ae1c30a0e90d6p-23, -0x1.a7bf5a8294256p-23, -0x1.a15a0f3a455bcp-23, -0x1.9aec3e4cc2568p-23, -0x1.9475d97ce5056p-23, -0x1.8df6d4ff9f69dp-23, -0x1.876f27a9c67f5p-23, -0x1.80decae343526p-23, -0x1.7a45ba400914bp-23, -0x1.73a3f2b5848cap-23, -0x1.6cf97193852d1p-23, -0x1.664633c2de528p-23, -0x1.5f8a356a67cafp-23, -0x1.58c57230d58bfp-23, -0x1.51f7e61e256a3p-23, -0x1.4b218ee5830fbp-23, -0x1.44426d8a5d389p-23, -0x1.3d5a8835c155bp-23, -0x1.3669eb3010e55p-23, -0x1.2f70a7144c59p-23, -0x1.286ecb6ceda01p-23, -0x1.216461f4c2905p-23, -0x1.1a517105cd526p-23, -0x1.133602b81449bp-23, -0x1.0c12288b8535fp-23, -0x1.04e5f7d4f4c16p-23, -0x1.fb62fab67e202p-24, -0x1.ece97e14faf1fp-24, -0x1.de5fa75c21f62p-24, -0x1.cfc5a968e4e08p-24, -0x1.c11bbb5b1c3p-24, -0x1.b26224fe6cc47p-24, -0x1.a3991c53f8cf2p-24, -0x1.94c0cf19823c3p-24, -0x1.85d9705887d11p-24, -0x1.76e339b31da2fp-24, -0x1.67de65e873a3fp-24, -0x1.58cb43d9bec92p-24, -0x1.49aa059097bc9p-24, -0x1.3a7afb31cdbfbp-24, -0x1.2b3e6a5e4f572p-24, -0x1.1bf49b2226b04p-24, -0x1.0c9dd77d4d7acp-24, -0x1.fa74d6941a7f7p-25, -0x1.db95485b08ee9p-25, -0x1.bc9da312516b2p-25, -0x1.9d8e8916d9f1ap-25, -0x1.7e68a0eba864fp-25, -0x1.5f2c9505a4abp-25, -0x1.3fdb147d88539p-25, -0x1.2074d24017685p-25, -0x1.00fa8478f164fp-25, -0x1.c2d9d0c8f4cf7p-26, -0x1.83995d7746b1ap-26, -0x1.44352934c5217p-26, -0x1.04aeac4581f67p-26, -0x1.8a0eac5cbceb4p-27, -0x1.0a81415bcb1ap-27, -0x1.15702ca154bddp-28, -0x1.56c6e37272255p-32, 0x1.d604f8a53b738p-29, 0x1.ebd62776720a8p-28, 0x1.7683fde7f1d9fp-27, 0x1.f748aa6c7c22fp-27, 0x1.3c1aea37f0072p-26, 0x1.7ca423c51a1e1p-26, 0x1.bd3e6c9a340cp-26, 0x1.fde82afd9d0f4p-26, 0x1.1f4fd372ad7f6p-25, 0x1.3fb1907e2fca9p-25, 0x1.601893cff32c8p-25, 0x1.80841cb3bc659p-25, 0x1.a0f33addc01f2p-25, 0x1.c164fe595d4c6p-25, 0x1.e1d8a1488e173p-25, 0x1.0126accdc6776p-24, 0x1.116128cc65028p-24, 0x1.219b57e330ae4p-24, 0x1.31d4c823448a4p-24, 0x1.420d09f608e45p-24, 0x1.5243b36b188fcp-24, 0x1.62785a86580aap-24, 0x1.72aa935daf17bp-24, 0x1.82d9f16d6b792p-24, 0x1.9306086782634p-24, 0x1.a32e6c71d1bc1p-24, 0x1.b352b222f61c8p-24, 0x1.c3726e713b2d5p-24, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.472cf99f85561p-4, 0x1.3693eb5b7beabp-3, 0x1.b0ce13c49fb95p-3, 0x1.07cff797985dap-2, 0x1.29cab7061c25p-2, 0x1.3f870e7ebcc21p-2, 0x1.4aaea311732p-2, 0x1.4d1a5a0dd7722p-2, 0x1.48a136ab92fb7p-2, 0x1.3ef9d03647532p-2, 0x1.31a967661619ap-2, 0x1.21fca8ce7c7b4p-2, 0x1.1106e85757b59p-2, 0x1.ff4aba3a28194p-3, 0x1.dd0916cd03edp-3, 0x1.bc4d2cdefe00dp-3, 0x1.9dd362dddfb2cp-3, 0x1.821c61bde0a5ap-3, 0x1.6978035be392ep-3, 0x1.540ee151ebb35p-3, 0x1.41ea8888eeb95p-3, 0x1.32fc6ac6f4ca9p-3, 0x1.2723af2c8907dp-3, 0x1.1e32055079d35p-3, 0x1.17ef9f18fce57p-3, 0x1.141e730a53a3ap-3, 0x1.127ce4159e1b7p-3, 0x1.12c7e6e754ddcp-3, 0x1.14bcb88903502p-3, 0x1.181a36ec902c8p-3, 0x1.1ca1e98569ce2p-3, 0x1.2218c61294867p-3, 0x1.2847bc2a676aep-3, 0x1.2efc10bc3ea46p-3, 0x1.360791a880c6ep-3, 0x1.3d40a893d2327p-3, 0x1.4482534644679p-3, 0x1.4bac071d714d7p-3, 0x1.52a184666dd7cp-3, 0x1.594a9dcd6e3dap-3, 0x1.5f92f77050af9p-3, 0x1.6569c08ac0352p-3, 0x1.6ac16a2d0be36p-3, 0x1.6f8f5cf8e5138p-3, 0x1.73cbaf7afb47dp-3, 0x1.7770de642fef1p-3, 0x1.7a7b879c7f6b7p-3, 0x1.7cea28ea84d5fp-3, 0x1.7ebce2b1a4d3p-3, 0x1.7ff53f1699ec6p-3, 0x1.8095fdae337ccp-3, 0x1.80a2e3b6d930dp-3, 0x1.802090c343b45p-3, 0x1.7f1457ab7f56ep-3, 0x1.7d841b8cc90bfp-3, 0x1.7b7630996951cp-3, 0x1.78f14073464fcp-3, 0x1.75fc31cbe2fa6p-3, 0x1.729e130735483p-3, 0x1.6ede07a281931p-3, 0x1.6ac338212c86p-3, 0x1.6654c43fb9a53p-3, 0x1.6199b72c89c38p-3, 0x1.5c98fd894c7f4p-3, 0x1.57595d02ee2aep-3, 0x1.51e16d5cadfcp-3, 0x1.4c3792c85f8b3p-3, 0x1.4661f96d9790dp-3, 0x1.406691f50d71p-3, 0x1.3a4b0ee570016p-3, 0x1.3414e2bca5718p-3, 0x1.2dc93e94495dcp-3, 0x1.276d115f15047p-3, 0x1.210507a5ff6fbp-3, 0x1.1a958bca5a056p-3, 0x1.1422c6b620cd1p-3, 0x1.0db0a0df6bf98p-3, 0x1.0742c38df3751p-3, 0x1.00dc9a4093fcbp-3, 0x1.f502a86db7a1ep-4, 0x1.e867cc1f29de2p-4, 0x1.dbee17189c162p-4, 0x1.cf9a92e66c2e4p-4, 0x1.c371df2b4d011p-4, 0x1.b77835db7c7b7p-4, 0x1.abb16f970eaafp-4, 0x1.a021080a9b1c8p-4, 0x1.94ca223c76963p-4, 0x1.89af8cc7f394dp-4, 0x1.7ed3c5f2a3e38p-4, 0x1.7438ffafa7202p-4, 0x1.69e12388e47b5p-4, 0x1.5fcdd67bbe4cbp-4, 0x1.56007cca23d1ep-4, 0x1.4c7a3dbe8001bp-4, 0x1.433c075fe86bbp-4, 0x1.3a469213655bfp-4, 0x1.319a641e21b58p-4, 0x1.2937d50b7d7c4p-4, 0x1.211f10ee6396p-4, 0x1.19501b7a42129p-4, 0x1.11cad2fa504c8p-4, 0x1.0a8ef3210f08bp-4, 0x1.039c17b328207p-4, 0x1.f9e37e22e5a1cp-5, 0x1.ed1e994256a79p-5, 0x1.e0e8162776436p-5, 0x1.d53e5d21b8ed3p-5, 0x1.ca1fad87c020dp-5, 0x1.bf8a219241bb9p-5, 0x1.b57bb204dfcb6p-5, 0x1.abf23998f1eb8p-5, 0x1.a2eb7838563a4p-5, 0x1.9a6515fa7c56fp-5, 0x1.925ca5f86652cp-5, 0x1.8acfa8eb86a52p-5, 0x1.83bb8f9b901fbp-5, 0x1.7d1dbd2c33f59p-5, 0x1.76f38936e7d8dp-5, 0x1.713a41cc4b16ep-5, 0x1.6bef2d4699c7dp-5, 0x1.670f8c05463cdp-5, 0x1.62989a105d0e7p-5, 0x1.5e879087e387ep-5, 0x1.5ad9a718da63ep-5, 0x1.578c1549ff08ep-5, 0x1.549c13a54caefp-5, 0x1.5206dcec78c05p-5, 0x1.4fc9af1813f3cp-5, 0x1.4de1cc50ff577p-5, 0x1.4c4c7be836ecap-5, 0x1.4b070b102f854p-5, 0x1.4a0ecdaef4a28p-5, 0x1.49611f23d3acbp-5, 0x1.48fb62c369036p-5, 0x1.48db047f2bd9bp-5, 0x1.48fd7985389e5p-5, 0x1.4960408cb9bbfp-5, 0x1.4a00e24e1f5eap-5, 0x1.4adcf202cbf95p-5, 0x1.4bf20d8f2b7c9p-5, 0x1.4d3dddce82bp-5, 0x1.4ebe16f87a1cbp-5, 0x1.507078afd80f1p-5, 0x1.5252ce21b7a99p-5, 0x1.5462ee5b31e82p-5, 0x1.569ebc4d77e09p-5, 0x1.590426ca6bf2dp-5, 0x1.5b9128689e815p-5, 0x1.5e43c8748e7a5p-5, 0x1.611a1962b44a3p-5, 0x1.64123a3b6a557p-5, 0x1.672a55d4213dcp-5, 0x1.6a60a2fddb966p-5, 0x1.6db3642ac1be2p-5, 0x1.7120e794f087fp-5, 0x1.74a7874752665p-5, 0x1.7845a8a4bb3f2p-5, 0x1.7bf9bc43a072bp-5, 0x1.7fc23e118c514p-5, 0x1.839db529ccfa8p-5, 0x1.878ab35b3d5d9p-5, 0x1.8b87d4fd1daf1p-5, 0x1.8f93c11598e26p-5, 0x1.93ad292477cffp-5, 0x1.97d2c897ff034p-5, 0x1.9c0364a1f656p-5, 0x1.a03dcc66cbc52p-5, 0x1.a480d8caace85p-5, 0x1.a8cb6bd9c6799p-5, 0x1.ad1c708ca5b3bp-5, 0x1.b172db0639668p-5, 0x1.b5cda87fb4bbp-5, 0x1.ba2bdea690161p-5, 0x1.be8c8b2cc30d1p-5, 0x1.c2eec3fff8e83p-5, 0x1.c751a77ec318ap-5, 0x1.cbb45bf7ec344p-5, 0x1.d0160eeb637bp-5, 0x1.d475f4f17a5f6p-5, 0x1.d8d34a296f515p-5, 0x1.dd2d52398a3dap-5, 0x1.e183578f4ce4fp-5, 0x1.e5d4aab30701dp-5, 0x1.ea20a2694866dp-5, 0x1.ee669c31fce87p-5, 0x1.f2a5fc2eb1d9dp-5, 0x1.f6de2c5616de9p-5, 0x1.fb0e9bd86ed65p-5, 0x1.ff36bf5115d92p-5, 0x1.01ab08a569d64p-4, 0x1.03b60919ab0ecp-4, 0x1.05bc23d163a87p-4, 0x1.07bd1ddfc950dp-4, 0x1.09b8beac20fcdp-4, 0x1.0baed030fffd4p-4, 0x1.0d9f1f08e30f3p-4, 0x1.0f897a2704f29p-4, 0x1.116db284b43eep-4, 0x1.134b9b13ee24bp-4, 0x1.152308f0ef51dp-4, 0x1.16f3d383ec6dcp-4, 0x1.18bdd45a7c709p-4, 0x1.1a80e6d8107eep-4, 0x1.1c3ce80975ad4p-4, 0x1.1df1b6b9d5593p-4, 0x1.1f9f339ef0e66p-4, 0x1.2145415bf9885p-4, 0x1.22e3c44acfdc9p-4, 0x1.247aa23c0aa57p-4, 0x1.2609c263be41bp-4, 0x1.27910d76782d1p-4, 0x1.29106dca82261p-4, 0x1.2a87cf4fde93ep-4, 0x1.2bf71f5df42f4p-4, 0x1.2d5e4c81a933fp-4, 0x1.2ebd4671f166p-4, 0x1.3013fe28eea73p-4, 0x1.316265ff80d6dp-4, 0x1.32a871a8d28c4p-4, 0x1.33e6160b58ff6p-4, 0x1.351b49164e841p-4, 0x1.364801b24d02bp-4, 0x1.376c37d02acedp-4, 0x1.3887e4808f0f1p-4, 0x1.399b01f8cb388p-4, 0x1.3aa58b7aa0c12p-4, 0x1.3ba77d2f820e6p-4, 0x1.3ca0d4110218bp-4, 0x1.3d918de93f075p-4, 0x1.3e79a962ad66bp-4, 0x1.3f592614714c1p-4, 0x1.4030047b7165p-4, 0x1.40fe45e0d924ep-4, 0x1.41c3ec3ea1864p-4, 0x1.4280fa31b42bdp-4, 0x1.433572fc9620ep-4, 0x1.43e15a9274525p-4, 0x1.4484b59d982aap-4, 0x1.451f89777f96dp-4, 0x1.45b1dc14a7ddfp-4, 0x1.463bb3f0048e3p-4, 0x1.46bd1800399p-4, 0x1.47360fb829a4ep-4, 0x1.47a6a30deb9ccp-4, 0x1.480eda7fe78c7p-4, 0x1.486ebf10c476bp-4, 0x1.48c65a39e3bd8p-4, 0x1.4915b5dbc75aep-4, 0x1.495cdc33e74a2p-4, 0x1.499bd7da2a50bp-4, 0x1.49d2b3c400478p-4, 0x1.4a017b48cbb32p-4, 0x1.4a283a224a9d3p-4, 0x1.4a46fc660fd9cp-4, 0x1.4a5dce7aae258p-4, 0x1.4a6cbd0e1da42p-4, 0x1.4a73d51086094p-4, 0x1.4a7323b36f5bdp-4, 0x1.4a6ab66bdc75bp-4, 0x1.4a5a9af4bb2fp-4, 0x1.4a42df4e682afp-4, 0x1.4a2391b9b098p-4, 0x1.49fcc0b06aa16p-4, 0x1.49ce7adf1aaf1p-4, 0x1.4998cf215a723p-4, 0x1.495bcc80dc459p-4, 0x1.491782366b7efp-4, 0x1.48cbffab9c7fbp-4, 0x1.4879547b0b824p-4, 0x1.481f906da55c5p-4, 0x1.47bec375d864bp-4, 0x1.4756fdab099b3p-4, 0x1.46e84f46c2ad5p-4, 0x1.4672c8a3882p-4, 0x1.45f67a3cf2a4fp-4, 0x1.457374b09ff0dp-4, 0x1.44e9c8bef57a2p-4, 0x1.4459874a80e99p-4, 0x1.43c2c1558d357p-4, 0x1.432587ff274e6p-4, 0x1.4281ec80e5b81p-4, 0x1.41d8002db8e52p-4, 0x1.4127d4715ac8ap-4, 0x1.40717ad03553dp-4, 0x1.3fb504e7bba74p-4, 0x1.3ef2846edee2ep-4, 0x1.3e2a0b35dd6afp-4, 0x1.3d5bab251aa79p-4, 0x1.3c87763b83b63p-4, 0x1.3bad7e8d36f59p-4, 0x1.3acdd642a033cp-4, 0x1.39e88f97bc72p-4, 0x1.38fdbcdbb219p-4, 0x1.380d7070e4da6p-4, 0x1.3717bccd7c9f2p-4, 0x1.361cb47bc61c8p-4, 0x1.351c6a19d9cf9p-4, 0x1.3416f0587af33p-4, 0x1.330c59f9cc104p-4, 0x1.31fcb9d044a54p-4, 0x1.30e822bdfb98dp-4, 0x1.2fcea7b43a27bp-4, 0x1.2eb05bb35cc15p-4, 0x1.2d8d51cb014c2p-4, 0x1.2c659d1a4620cp-4, 0x1.2b3950cfa2749p-4, 0x1.2a0880281c0a7p-4, 0x1.28d33e6e02457p-4, 0x1.27999ef7bfec9p-4, 0x1.265bb52712f85p-4, 0x1.251994689d907p-4, 0x1.23d350339ef9dp-4, 0x1.2288fc09a7c3bp-4, 0x1.213aab7641d1dp-4, 0x1.1fe8720e74bp-4, 0x1.1e92637013e3fp-4, 0x1.1d389340c003ep-4, 0x1.1bdb152cc4f88p-4, 0x1.1a79fce61bf4dp-4, 0x1.19155e23ce02ep-4, 0x1.17ad4ca18d74p-4, 0x1.1641dc1f4faadp-4, 0x1.14d320609d892p-4, 0x1.13612d2b9a283p-4, 0x1.11ec1647d84e6p-4, 0x1.1073ef7d34783p-4, 0x1.0ef8cc92d23d6p-4, 0x1.0d7ac14e48db7p-4, 0x1.0bf9e172fc6fcp-4, 0x1.0a7640c19e6c6p-4, 0x1.08eff2f7c8434p-4, 0x1.07670bcf60f0cp-4, 0x1.05db9efbe3fadp-4, 0x1.044dc02b8ac03p-4, 0x1.02bd8304b2f4bp-4, 0x1.012afb233bcbbp-4, 0x1.ff2c783191a2ep-5, 0x1.fbfeb2d809f5p-5, 0x1.f8cccd30adfcap-5, 0x1.f596ee1b1647p-5, 0x1.f25d3c5e3949p-5, 0x1.ef1fdea613d49p-5, 0x1.ebdefb8086e48p-5, 0x1.e89ab959bc057p-5, 0x1.e5533e78c1b06p-5, 0x1.e208b0fce1113p-5, 0x1.debb36dbf884p-5, 0x1.db6af5e1c7caep-5, 0x1.d81813af9b9c3p-5, 0x1.d4c2b5bbc4c4dp-5, 0x1.d16b01501f55p-5, 0x1.ce111b8780537p-5, 0x1.cab5294a456d8p-5, 0x1.c7574f4a93604p-5, 0x1.c3f7b2010552ep-5, 0x1.c09675aa3d5f1p-5, 0x1.bd33be45791cbp-5, 0x1.b9cfaf93f2f35p-5, 0x1.b66a6d1889702p-5, 0x1.b3041a1721a57p-5, 0x1.af9cd9934eb69p-5, 0x1.ac34ce4e1d22p-5, 0x1.a8cc1ac3341b3p-5, 0x1.a562e1259e943p-5, 0x1.a1f9435cd233fp-5, 0x1.9e8f630256bd2p-5, 0x1.9b2561603ba3ep-5, 0x1.97bb5f7047c2fp-5, 0x1.94517ddb886a8p-5, 0x1.90e7dcf9c9907p-5, 0x1.8d7e9cd0a6358p-5, 0x1.8a15dd11ffbcap-5, 0x1.86adbd19f36e4p-5, 0x1.83465bec86184p-5, 0x1.7fdfd8336307fp-5, 0x1.7c7a503bee0ccp-5, 0x1.7915e1f5cbb39p-5, 0x1.75b2aaf1dacdp-5, 0x1.7250c86188601p-5, 0x1.6ef057162cc2fp-5, 0x1.6b91738057d04p-5, 0x1.683439aeded56p-5, 0x1.64d8c54da7a73p-5, 0x1.617f31a44d035p-5, 0x1.5e279994c12e3p-5, 0x1.5ad2179a15836p-5, 0x1.577ec5c77bb95p-5, 0x1.542dbdc790545p-5, 0x1.50df18dbca0bp-5, 0x1.4d92efdbf73d4p-5, 0x1.4a495b35bbc5fp-5, 0x1.470272ebdf4c9p-5, 0x1.43be4e9582416p-5, 0x1.407d055d435fp-5, 0x1.3d3eae0076693p-5, 0x1.3a035ece7cb26p-5, 0x1.36cb2da862f1dp-5, 0x1.33963000ba8f8p-5, 0x1.30647adb9d291p-5, 0x1.2d3622ceccf02p-5, 0x1.2a0b3c01bbb42p-5, 0x1.26e3da2d772dcp-5, 0x1.23c0109c6193p-5, 0x1.209ff229be2eep-5, 0x1.1d83914130417p-5, 0x1.1a6affde408eap-5, 0x1.17564f8c12c6fp-5, 0x1.1445916554fe1p-5, 0x1.1138d61482deap-5, 0x1.0e302dd4688d1p-5, 0x1.0b2ba870d5642p-5, 0x1.082b55475f3adp-5, 0x1.052f43480dbd6p-5, 0x1.023780f5d9177p-5, 0x1.fe8838cde4dd3p-6, 0x1.f8aa4689b2b2p-6, 0x1.f2d54598953f7p-6, 0x1.ed094f9a81e5cp-6, 0x1.e7467d55ea879p-6, 0x1.e18ce6b8515p-6, 0x1.dbdca2d752b13p-6, 0x1.d635c7f23d87cp-6, 0x1.d0986b7410931p-6, 0x1.cb04a1f5db25cp-6, 0x1.c57a7f410e5b2p-6, 0x1.bffa1651c0eddp-6, 0x1.ba837958940eep-6, 0x1.b516b9bc44801p-6, 0x1.afb3e81acf4f8p-6, 0x1.aa5b144a6d0f5p-6, 0x1.a50c4d5a68756p-6, 0x1.9fc7a1941a46dp-6, 0x1.9a8d1e7c1d8f5p-6, 0x1.955cd0d3e7104p-6, 0x1.9036c49bc9c27p-6, 0x1.8b1b051551e5bp-6, 0x1.86099cc5fe5b4p-6, 0x1.8102957a0b982p-6, 0x1.7c05f8475d8ep-6, 0x1.7713cd903093dp-6, 0x1.722c1d0595882p-6, 0x1.6d4eeda9a13f9p-6, 0x1.687c45d15a81ep-6, 0x1.63b42b26782d4p-6, 0x1.5ef6a2a8f6894p-6, 0x1.5a43b0b0ce608p-6, 0x1.559b58efd1667p-6, 0x1.50fd9e739f3dcp-6, 0x1.4c6a83a80bc9cp-6, 0x1.47e20a59b121ap-6, 0x1.436433b8bd52ap-6, 0x1.3ef1005bf4362p-6, 0x1.3a887043b9046p-6, 0x1.362a82dd09d4fp-6, 0x1.31d737046fdc8p-6, 0x1.2d8e8b08a73p-6, 0x1.29507cad1fd3bp-6, 0x1.251d092c42464p-6, 0x1.20f42d399514cp-6, 0x1.1cd5e503ca82ap-6, 0x1.18c22c36d6a2cp-6, 0x1.14b8fdfe17087p-6, 0x1.10ba55069da76p-6, 0x1.0cc62b81a31bep-6, 0x1.08dc7b27308a7p-6, 0x1.04fd3d38d792p-6, 0x1.01286a84a28a2p-6, 0x1.fabbf6cffa05ep-7, 0x1.f33bcfa53b5c3p-7, 0x1.ebd04e92ebd0fp-7, 0x1.e47961d2a64fbp-7, 0x1.dd36f6d30672bp-7, 0x1.d608fa3c768ecp-7, 0x1.ceef57f5aeee8p-7, 0x1.c7e9fb28215ap-7, 0x1.c0f8ce441e401p-7, 0x1.ba1bbb053ed54p-7, 0x1.b352aa76be4fcp-7, 0x1.ac9d84f812781p-7, 0x1.a5fc3241c7c7dp-7, 0x1.9f6e996a6e6b7p-7, 0x1.98f4a0ebd77cdp-7, 0x1.928e2ea83bb8fp-7, 0x1.8c3b27ef67d73p-7, 0x1.85fb7183e06e4p-7, 0x1.7fceef9fc51c6p-7, 0x1.79b585f96918p-7, 0x1.73af17c7d974ap-7, 0x1.6dbb87c6f9da8p-7, 0x1.67dab83b98cc2p-7, 0x1.620c8af767c63p-7, 0x1.5c50e15d0cb4ap-7, 0x1.56a79c642af62p-7, 0x1.51109c9dcc12ep-7, 0x1.4b8bc238c16a4p-7, 0x1.4618ed0636da5p-7, 0x1.40b7fc7e46cf9p-7, 0x1.3b68cfc4523c7p-7, 0x1.362b45ab42548p-7, 0x1.30ff3cb93dd27p-7, 0x1.2be4932b4c5edp-7, 0x1.26db26f857211p-7, 0x1.21e2d5d43ed98p-7, 0x1.1cfb7d3296381p-7, 0x1.1824fa49b7d1ep-7, 0x1.135f2a160f517p-7, 0x1.0ea9e95db7a83p-7, 0x1.0a0514b4c26a7p-7, 0x1.05708881e143ep-7, 0x1.00ec2103543dap-7, 0x1.f8ef74a812d54p-8, 0x1.f02660e0eef3fp-8, 0x1.e77cbe75c94dfp-8, 0x1.def244fde2251p-8, 0x1.d686abe7ea667p-8, 0x1.ce39aa7cdcf8p-8, 0x1.c60af7e0e0be7p-8, 0x1.bdfa4b12a9dcep-8, 0x1.b6075aeaea6f9p-8, 0x1.ae31de1bffcaep-8, 0x1.a6798b33a4cc5p-8, 0x1.9ede189f46dd1p-8, 0x1.975f3cb36fa6ep-8, 0x1.8ffcadb6a0142p-8, 0x1.88b621eecffb5p-8, 0x1.818b4fb098391p-8, 0x1.7a7bed6f03b4fp-8, 0x1.7387b1c9b00d3p-8, 0x1.6cae539832cbdp-8, 0x1.65ef89f107d1ap-8, 0x1.5f4b0c2b7baa8p-8, 0x1.58c091dc1681dp-8, 0x1.524fd2cc31297p-8, 0x1.4bf886ee8ec4ap-8, 0x1.45ba66523b206p-8, 0x1.3f9529171019ap-8, 0x1.398887651060fp-8, 0x1.3394396a483b2p-8, 0x1.2db7f75f089ebp-8, 0x1.27f3799289ea3p-8, 0x1.2246787e58fd2p-8, 0x1.1cb0acdf5f8fep-8, 0x1.1731cfd1d1f21p-8, 0x1.11c99aecf2916p-8, 0x1.0c77c85ac52a8p-8, 0x1.073c12e8e5dbbp-8, 0x1.0216360f9c6fp-8, 0x1.fa0bdbdb6831ap-9, 0x1.f015ee72d1745p-9, 0x1.e64a1e4e3c288p-9, 0x1.dca7e69323ad3p-9, 0x1.d32ec2dd73dd6p-9, 0x1.c9de2efd5333fp-9, 0x1.c0b5a6c1202e6p-9, 0x1.b7b4a5d6d4797p-9, 0x1.aedaa7c5bed86p-9, 0x1.a627280c10a0fp-9, 0x1.9d99a258497b5p-9, 0x1.953192dcfd862p-9, 0x1.8cee76b722554p-9, 0x1.84cfcc5ce42f6p-9, 0x1.7cd51406eb082p-9, 0x1.74fdd008a1904p-9, 0x1.6d49850c4b40ep-9, 0x1.65b7ba299eebdp-9, 0x1.5e47f8d2b6849p-9, 0x1.56f9cc963e9adp-9, 0x1.4fccc2bc1193dp-9, 0x1.48c069c511c1cp-9, 0x1.41d450dbb70ap-9, 0x1.3b080744e2e95p-9, 0x1.345b1be174761p-9, 0x1.2dcd1cd01308ep-9, 0x1.275d973b7560bp-9, 0x1.210c175cb5cc7p-9, 0x1.1ad828b3ec801p-9, 0x1.14c1567330b98p-9, 0x1.0ec72c1239d5dp-9, 0x1.08e935fcdc451p-9, 0x1.0327024abb90ap-9, 0x1.fb0042dab8b25p-10, 0x1.efe84d852e3bap-10, 0x1.e50551f3b047dp-10, 0x1.da568482dbd81p-10, 0x1.cfdb206669bb3p-10, 0x1.c592670263ecfp-10, 0x1.bb7b9ecfb5d72p-10, 0x1.b19611e57a265p-10, 0x1.a7e10c4e936a8p-10, 0x1.9e5bda564e21ap-10, 0x1.9505c6fce58cp-10, 0x1.8bde1ac078a73p-10, 0x1.82e41adda8a51p-10, 0x1.7a1709206da58p-10, 0x1.7176244ad05adp-10, 0x1.6900a9093786dp-10, 0x1.60b5d35bcfadfp-10, 0x1.5894e05145cdcp-10, 0x1.509d0fe5a8f9cp-10, 0x1.48cda6d5f7a63p-10, 0x1.4125f0394bc14p-10, 0x1.39a53eb5a541fp-10, 0x1.324aed2d3cbfp-10, 0x1.2b165ed0c98c2p-10, 0x1.2406fe8bbffe3p-10, 0x1.1d1c3dd59f5bcp-10, 0x1.165592febb4fcp-10, 0x1.0fb2771fefb0ap-10, 0x1.093263df4d999p-10, 0x1.02d4d1437410dp-10, 0x1.f932679b23741p-11, 0x1.ecfdf61d17756p-11, 0x1.e10b21bfdbd8p-11, 0x1.d558b2aed27dep-11, 0x1.c9e566f5aa7bfp-11, 0x1.beaff5476ea4fp-11, 0x1.b3b710e5092p-11, 0x1.a8f96e3d5df12p-11, 0x1.9e75c7dc7c1e6p-11, 0x1.942ae32f65854p-11, 0x1.8a1794b393079p-11, 0x1.803ac3393a12bp-11, 0x1.769369f221ec2p-11, 0x1.6d20992b62b93p-11, 0x1.63e175a28595bp-11, 0x1.5ad536872e4d7p-11, 0x1.51fb225062208p-11, 0x1.49528aa3dca2ep-11, 0x1.40dac79deb427p-11, 0x1.389332d3895ffp-11, 0x1.307b226f7721p-11, 0x1.2891e4c7f9ff6p-11, 0x1.20d6bcc8eff68p-11, 0x1.1948df81097ddp-11, 0x1.11e7731247e7dp-11, 0x1.0ab18f253748dp-11, 0x1.03a63edeb6694p-11, 0x1.f98908449ee34p-12, 0x1.ec16b77f0e38cp-12, 0x1.def3840db999dp-12, 0x1.d21d6e7045c77p-12, 0x1.c59286a1bb2e1p-12, 0x1.b950f1e1e1c11p-12, 0x1.ad56ee881b91ep-12, 0x1.a1a2d623f956dp-12, 0x1.96331e687a5b3p-12, 0x1.8b065955f39ecp-12, 0x1.801b34ec1cd5fp-12, 0x1.75707a570c2f8p-12, 0x1.6b050c5728e32p-12, 0x1.60d7e4872404p-12, 0x1.56e80f34d939p-12, 0x1.4d34a5c9572f4p-12, 0x1.43bcc80cf5033p-12, 0x1.3a7f94f4c8cadp-12, 0x1.317c23dd03dadp-12, 0x1.28b17f33316cp-12, 0x1.201ea16d30eabp-12, 0x1.17c274d7cd9a7p-12, 0x1.0f9bd64803df1p-12, 0x1.07a99a1e66fd8p-12, 0x1.ffd524f404ea5p-13, 0x1.f0bb2a474a9a8p-13, 0x1.e202ff5a8b28ep-13, 0x1.d3aa715ee6c45p-13, 0x1.c5af5bc0170ap-13, 0x1.b80f9f77f72ep-13, 0x1.aac918c34c2d1p-13, 0x1.9dd997617f302p-13, 0x1.913edceeb751ep-13, 0x1.84f6a332f5e5cp-13, 0x1.78fea99a33b43p-13, 0x1.6d54c6a170c7dp-13, 0x1.61f6f872bf28ap-13, 0x1.56e36ff59b4dp-13, 0x1.4c1893067ed59p-13, 0x1.4194f52331dbcp-13, 0x1.375748a34d15dp-13, 0x1.2d5e4cbb5e83fp-13, 0x1.23a8bd4838744p-13, 0x1.1a354876add5dp-13, 0x1.11028c3e5331dp-13, 0x1.080f1b36cc8a9p-13, 0x1.feb30c8753834p-14, 0x1.edc0cf9aca19bp-14, 0x1.dd44dae0932aep-14, 0x1.cd3cbbfa6404dp-14, 0x1.bda635118d8bp-14, 0x1.ae7f34153f85p-14, 0x1.9fc5bf0dea87cp-14, 0x1.9177d73be048ap-14, 0x1.839357443cc0fp-14, 0x1.7615d3b3f158ap-14, 0x1.68fc871a80803p-14, 0x1.5c4452101d4d2p-14, 0x1.4fe9d332e3581p-14, 0x1.43e9945de8b1p-14, 0x1.38404363185cfp-14, 0x1.2ceae820489cp-14, 0x1.21e7097287918p-14, 0x1.1732b69be601ap-14, 0x1.0ccc7219d7599p-14, 0x1.02b303e69e7c4p-14, 0x1.f1ca81b6c7c5p-15, 0x1.dec3b143764cep-15, 0x1.cc4e71f4d4b47p-15, 0x1.ba671a375cebp-15, 0x1.a909ab54bcbacp-15, 0x1.98321c68f3207p-15, 0x1.87dca59469ff2p-15, 0x1.7805f6c1dc757p-15, 0x1.68ab50407fe25p-15, 0x1.59ca7d3371ecfp-15, 0x1.4b61b54cabc96p-15, 0x1.3d6f6f3a58011p-15, 0x1.2ff22baa96857p-15, 0x1.22e8438cc5bb8p-15, 0x1.164fbd2f27628p-15, 0x1.0a262adf9354ap-15, 0x1.fcd1229d0f46ap-16, 0x1.e626b10d09a48p-16, 0x1.d0449ea5e465bp-16, 0x1.bb21964049ac9p-16, 0x1.a6b3cf4a0eeb2p-16, 0x1.92f1b971f6247p-16, 0x1.7fd2aac3a0a9p-16, 0x1.6d4f62bf1de18p-16, 0x1.5b624532a96d4p-16, 0x1.4a0746051e77cp-16, 0x1.393b90f6455bap-16, 0x1.28fd05b2f0327p-16, 0x1.1949ac4f4b548p-16, 0x1.0a1f49a04eeebp-16, 0x1.f6f6583136a4bp-17, 0x1.dab45f688f44ep-17, 0x1.bf71c84e1268dp-17, 0x1.a5278283976a9p-17, 0x1.8bcec04925441p-17, 0x1.736162b7d5e3p-17, 0x1.5bda39207a5bep-17, 0x1.4534e24dc305fp-17, 0x1.2f6d448d74bc1p-17, 0x1.1a7ed898a8b72p-17, 0x1.06642ce7b000cp-17, 0x1.e62dd893048e9p-18, 0x1.c120ca798f948p-18, 0x1.9d948ddf9ddd2p-18, 0x1.7b7e5ec7b5c55p-18, 0x1.5ad584901160cp-18, 0x1.3b927b3843e4ap-18, 0x1.1dad854f5eacp-18, 0x1.011d5eb98ddb3p-18, 0x1.cbad595c1fcfap-19, 0x1.97988cc98686cp-19, 0x1.65dfc387c3f6bp-19, 0x1.36651e1a9a829p-19, 0x1.0909e0b111156p-19, 0x1.bb5ec2248a65dp-20, 0x1.6872976ed4bd7p-20, 0x1.1920fe3011b64p-20, 0x1.9a923d009d2b8p-21, 0x1.09aa7822c60fap-21, 0x1.fd9e3edd3eec3p-23, -0x1.186bcdc6709c7p-27, -0x1.03de5b6fa254ap-22, -0x1.f31f4ebf9a4d1p-22, -0x1.6b938938441b7p-21, -0x1.d838bcbf6b21fp-21, -0x1.1fcf555352d76p-20, -0x1.50e5612189a88p-20, -0x1.7f5ce13044d22p-20, -0x1.ab38fad4aa67bp-20, -0x1.d486814ea9256p-20, -0x1.fb5c128e7b472p-20, -0x1.0febbf59c6836p-19, -0x1.210d3db646c11p-19, -0x1.3123ac1441eebp-19, -0x1.403ed8421cf37p-19, -0x1.4e6ba8b614854p-19, -0x1.5bb307deeb335p-19, -0x1.6819c0cd25659p-19, -0x1.73a18a2014544p-19, -0x1.7e4afb2d2a176p-19, -0x1.88179f117b27cp-19, -0x1.910b43956d027p-19, -0x1.992c6092be023p-19, -0x1.a08482e96defbp-19, -0x1.a721780d611cap-19, -0x1.ad15f1e8a245ep-19, -0x1.b276e3657c82ap-19, -0x1.b755248b0538ep-19, -0x1.bbb78e30aa03p-19, -0x1.bf9ae0b856441p-19, -0x1.c2f839cf3fdddp-19, -0x1.c5cd5a85898d7p-19, -0x1.c820bb5bf814p-19, -0x1.c9fed6034d655p-19, -0x1.cb7349c754785p-19, -0x1.cc83b59dd9147p-19, -0x1.cd305189b10a2p-19, -0x1.cd78cb7abcb6bp-19, -0x1.cd60818be5e4ep-19, -0x1.ccef214f748d9p-19, -0x1.cc2e909238b54p-19, -0x1.cb28729e50c2dp-19, -0x1.c9e49fa7ff213p-19, -0x1.c868a733f8e83p-19, -0x1.c6b80102c3b95p-19, -0x1.c4d49d117558ap-19, -0x1.c2bf9b019bb48p-19, -0x1.c079f4886a416p-19, -0x1.be04e8724f55cp-19, -0x1.bb620e95e1601p-19, -0x1.b8932b555811p-19, -0x1.b59a045a9edbp-19, -0x1.b278752df3651p-19, -0x1.af30b96c26374p-19, -0x1.abc57c10baeap-19, -0x1.a8393e1c14a71p-19, -0x1.a48d86b56906ap-19, -0x1.a0c35198a1879p-19, -0x1.9cdd6d857d3f2p-19, -0x1.98e279677dd7ep-19, -0x1.94dabfafe40aap-19, -0x1.90ca988729fc1p-19, -0x1.8cafc86075185p-19, -0x1.8885c8ade2a0bp-19, -0x1.844c624b16839p-19, -0x1.800967d6daeb2p-19, -0x1.7bc415a3172edp-19, -0x1.777f552fde07ap-19, -0x1.7338fbf48743dp-19, -0x1.6eedf0e1bba47p-19, -0x1.6a9dc388aad9dp-19, -0x1.664aa084a1ca2p-19, -0x1.61f767a2b0978p-19, -0x1.5da65289c7f23p-19, -0x1.5958b28ac460cp-19, -0x1.550f3744eb2fap-19, -0x1.50ca460994a9ep-19, -0x1.4c8a3813f5f2dp-19, -0x1.484f840d6466p-19, -0x1.441add8397994p-19, -0x1.3fed4c15e3ff6p-19, -0x1.3bc832cb09996p-19, -0x1.37ad3b2e6abaap-19, -0x1.339e1cfbe0755p-19, -0x1.2f9c4964b571ap-19, -0x1.2ba8952266b84p-19, -0x1.27c30accd094fp-19, -0x1.23eb0869afaf6p-19, -0x1.201fad449c191p-19, -0x1.1c6071cfbc4e2p-19, -0x1.18ad95cb586b6p-19, -0x1.1508030300f5bp-19, -0x1.1170971ca134ap-19, -0x1.0de7785da4f6p-19, -0x1.0a6c637b65791p-19, -0x1.06ffc375a38a4p-19, -0x1.03a2aea62187bp-19, -0x1.00553b6463579p-19, -0x1.fa2c6e362498p-20, -0x1.f3cad094aed74p-20, -0x1.ed89421c6ecaap-20, -0x1.e76b215db4989p-20, -0x1.e16f51de560ep-20, -0x1.db92821f64c84p-20, -0x1.d5d364f7432f4p-20, -0x1.d032f211dd831p-20, -0x1.cab26e1c33456p-20, -0x1.c55265f751845p-20, -0x1.c012c56e19f9ap-20, -0x1.baf333a896707p-20, -0x1.b5f34b66043ffp-20, -0x1.b112afe0503aep-20, -0x1.ac510f694f5dp-20, -0x1.a7ae203dc72adp-20, -0x1.a3299c8e28d5cp-20, -0x1.9ec33ee5d9f66p-20, -0x1.9a7abea60457bp-20, -0x1.964fcc67c90bep-20, -0x1.92420ed874251p-20, -0x1.8e5121220abf4p-20, -0x1.8a7c948f93f0fp-20, -0x1.86c3f5b8b9096p-20, -0x1.8326d4d1ebb42p-20, -0x1.7fa4cfcc6b06fp-20, -0x1.7c3d9c2415701p-20, -0x1.78f10acfe0a92p-20, -0x1.75befa1fedc0fp-20, -0x1.72a72c6a2cbabp-20, -0x1.6fa9185bfd613p-20, -0x1.6cc3ebb9b124cp-20, -0x1.69f6df881323p-20, -0x1.67419bdd42592p-20, -0x1.64a42852ed264p-20, -0x1.621e37b9d5af6p-20, -0x1.5faeb59dbc4a4p-20, -0x1.5d54a3b25cb08p-20, -0x1.5b0fca2e7f8bdp-20, -0x1.58dff7c8e8a7bp-20, -0x1.56c4c05afb24p-20, -0x1.54bdf2af98e5dp-20, -0x1.52cb3aaca458fp-20, -0x1.50ebcec128ap-20, -0x1.4f1ed32dc8a1fp-20, -0x1.4d63a0b108d54p-20, -0x1.4bb9b919872f5p-20, -0x1.4a20ac85950dfp-20, -0x1.48980b3377c95p-20, -0x1.471f6169ab47bp-20, -0x1.45b6378b6464dp-20, -0x1.445c135e5c70ap-20, -0x1.4310796659d4cp-20, -0x1.41d2ee190dcb5p-20, -0x1.40a2f6e5cf744p-20, -0x1.3f801b36b81f5p-20, -0x1.3e69e53a8c39dp-20, -0x1.3d5fe246ed9c1p-20, -0x1.3c61a2689d3fp-20, -0x1.3b6eb6e595cc7p-20, -0x1.3a86aff6f920ep-20, -0x1.39a91a78686fbp-20, -0x1.38d57e4c88216p-20, -0x1.380b5e03af166p-20, -0x1.374a38446c53p-20, -0x1.36918bb3a8e38p-20, -0x1.35e0de45d30abp-20, -0x1.3537c77e72fc9p-20, -0x1.3495f8b3cbe29p-20, -0x1.33fb37a5538eep-20, -0x1.336744dba9f69p-20, -0x1.32d9c4448c9eep-20, -0x1.32524dae0b6e5p-20, -0x1.31d09b2aba909p-20, -0x1.3154ac034733p-20, -0x1.30de952d43675p-20, -0x1.306d486beaeap-20, -0x1.2ffeba458f04dp-20, -0x1.2f9295b09e747p-20, -0x1.2f28717baabbcp-20, -0x1.2ec02206d8eb1p-20, -0x1.2e5b20592c361p-20, -0x1.2df9e13231252p-20, -0x1.2d9ba9098d17ap-20, -0x1.2d3f73c66be2cp-20, -0x1.2ce46ca3af126p-20, -0x1.2c8a164645d64p-20, -0x1.2c3030300bc7cp-20, -0x1.2bd690b46bff3p-20, -0x1.2b7d0dfaf2f91p-20, -0x1.2b2377e8bcbc5p-20, -0x1.2ac99832e29b9p-20, -0x1.2a6f34962fe15p-20, -0x1.2a1410eb8b0a6p-20, -0x1.29b7f0a539ccfp-20, -0x1.295a97c492baep-20, -0x1.28fbcb91ea91ep-20, -0x1.289b5345c5302p-20, -0x1.2838f8abdc2f5p-20, -0x1.27d488d26eab1p-20, -0x1.276dd445ce55cp-20, -0x1.2704aea222421p-20, -0x1.2698ed552d73fp-20, -0x1.262a65353e2f6p-20, -0x1.25b8e994ad732p-20, -0x1.25444b70b825p-20, -0x1.24cc5a1122adap-20, -0x1.2450e48b0a8dp-20, -0x1.23d1baf39e12fp-20, -0x1.234eb00c9e8b7p-20, -0x1.22c79ca572058p-20, -0x1.223c64a30849p-20, -0x1.21acf889dda31p-20, -0x1.21194bc82fcd7p-20, -0x1.20814335d8d7fp-20, -0x1.1fe4a949c5849p-20, -0x1.1f432db238e31p-20, -0x1.1e9c9c6acb243p-20, -0x1.1df18c79693d3p-20, -0x1.1d42d9bd011b1p-20, -0x1.1c8f0d1cea948p-20, -0x1.1bd4e86fc84e5p-20, -0x1.1b1616d51fbffp-20, -0x1.1a5400788847fp-20, -0x1.198cc8b8a4013p-20, -0x1.18bf23929a588p-20, -0x1.17ead9e1a6e56p-20, -0x1.17102308dde2cp-20, -0x1.163068007236cp-20, -0x1.154c5b338ab32p-20, -0x1.146340278f5fap-20, -0x1.13745cb9753f6p-20, -0x1.127f7ffbc532ap-20, -0x1.1184bad4140c4p-20, -0x1.108425301ea3ep-20, -0x1.0f7dcda731879p-20, -0x1.0e71ba52fa152p-20, -0x1.0d5fec81dddfcp-20, }}, 
      {{-0x1.725b4ca6b1443p-3, -0x1.151b6bbdaa58ep-3, -0x1.4712952440c2fp-4, -0x1.864eea0c819c4p-6, 0x1.c3d50d0bf700ep-6, 0x1.2620acc976b97p-4, 0x1.ba4fc0044220cp-4, 0x1.16f7eff5bd10ap-3, 0x1.41d9003a668a6p-3, 0x1.5fb33bf4e5e6ap-3, 0x1.72a2f024ad4fbp-3, 0x1.7cc0cf88e3c78p-3, 0x1.8001986fcdc07p-3, 0x1.7e24e5f5e1633p-3, 0x1.78adc2013aca9p-3, 0x1.70e1618fb1413p-3, 0x1.67c9ac389e926p-3, 0x1.5e39f5f64ea5bp-3, 0x1.54d4dd6258752p-3, 0x1.4c129bcfd3512p-3, 0x1.4447542daa025p-3, 0x1.3da9178875b12p-3, 0x1.38557225598dfp-3, 0x1.34566838b6cbep-3, 0x1.31a6d80e2f6a8p-3, 0x1.303641cfbd15ap-3, 0x1.2febfb8bff529p-3, 0x1.30a9dbe07aab7p-3, 0x1.324e67de8ae13p-3, 0x1.34b691de34b3p-3, 0x1.37bf174cee44bp-3, 0x1.3b458b35cfd9fp-3, 0x1.3f291a897fd89p-3, 0x1.434b161b6cbdep-3, 0x1.478f4d1bc3427p-3, 0x1.4bdc4188752d6p-3, 0x1.501b3ecb47987p-3, 0x1.5438597aad7a2p-3, 0x1.58225e0f4189cp-3, 0x1.5bcab3561b67cp-3, 0x1.5f25347ac627ap-3, 0x1.622805b335a57p-3, 0x1.64cb65e9d9519p-3, 0x1.67097f3167a0ep-3, 0x1.68de375a69022p-3, 0x1.6a4701a73c40ep-3, 0x1.6b42b2535c18dp-3, 0x1.6bd154699d2f5p-3, 0x1.6bf40237abb76p-3, 0x1.6bacc0885dc5cp-3, 0x1.6afe5cb1c84fap-3, 0x1.69ec4d6e9e959p-3, 0x1.687a966cdcb9ep-3, 0x1.66adae73960dap-3, 0x1.648a67fd652aap-3, 0x1.6215dc20feb57p-3, 0x1.5f5557a00d128p-3, 0x1.5c4e49f662a56p-3, 0x1.5906364840df4p-3, 0x1.5582a612a6204p-3, 0x1.51c91d7fef15fp-3, 0x1.4ddf113eb41ap-3, 0x1.49c9ddb5814c4p-3, 0x1.458ebf709d9aep-3, 0x1.4132ccb0fa30fp-3, 0x1.3cbaf00f43b23p-3, 0x1.382be42390f33p-3, 0x1.338a3022213p-3, 0x1.2eda254b56e23p-3, 0x1.2a1fdd0a567dp-3, 0x1.255f37a89ade4p-3, 0x1.209bdb7a8cb3dp-3, 0x1.1bd9348e51514p-3, 0x1.171a74d53c885p-3, 0x1.126294cb811cfp-3, 0x1.0db4548c1965cp-3, 0x1.09123d341f9c8p-3, 0x1.047ea27da5a1ap-3, 0x1.fff748e4a0418p-4, 0x1.f716626599de3p-4, 0x1.ee5e0d949c943p-4, 0x1.e5d16a3bb0903p-4, 0x1.dd733feb158a3p-4, 0x1.d546024bd2b51p-4, 0x1.cd4bd59cffbdap-4, 0x1.c586934300de5p-4, 0x1.bdf7ce4ed6917p-4, 0x1.b6a0d7dd90098p-4, 0x1.af82c34b12bdep-4, 0x1.a89e6a286c5c4p-4, 0x1.a1f470043459cp-4, 0x1.9b8546067ca6ap-4, 0x1.95512e6df7525p-4, 0x1.8f583ff4ce88ep-4, 0x1.899a691f95c1fp-4, 0x1.84177374d4724p-4, 0x1.7ecf0699ff993p-4, 0x1.79c0ab4e18f93p-4, 0x1.74ebce3d3a83fp-4, 0x1.704fc2aa8d9fep-4, 0x1.6bebc4ed8427ap-4, 0x1.67befcc318e0bp-4, 0x1.63c87f754d865p-4, 0x1.600751dba6fa2p-4, 0x1.5c7a6a3714c8dp-4, 0x1.5920b1ee52cb8p-4, 0x1.55f9072cdc0d3p-4, 0x1.53023e65f95fap-4, 0x1.503b23c158b2ep-4, 0x1.4da27c6ef3e83p-4, 0x1.4b3707e51974ap-4, 0x1.48f781086ee5fp-4, 0x1.46e29f413cdf9p-4, 0x1.44f71777566dap-4, 0x1.43339cfe66912p-4, 0x1.4196e26dfcd99p-4, 0x1.401f9a64a8401p-4, 0x1.3ecc783dcf119p-4, 0x1.3d9c30b4e4e6ep-4, 0x1.3c8d7a7c6aa88p-4, 0x1.3b9f0ec3225efp-4, 0x1.3acfa9b0f6943p-4, 0x1.3a1e0ad989e8cp-4, 0x1.3988f59b4c27p-4, 0x1.390f31800bdcp-4, 0x1.38af8a8ff114ap-4, 0x1.3868d196abf29p-4, 0x1.3839dc6bd0b7ep-4, 0x1.3821862a81723p-4, 0x1.381eaf660845cp-4, 0x1.38303e5d2863cp-4, 0x1.38551f19a4fc4p-4, 0x1.388c4397cf7b2p-4, 0x1.38d4a3e9e44b2p-4, 0x1.392d3e42dfb77p-4, 0x1.3995170f806bbp-4, 0x1.3a0b390de2049p-4, 0x1.3a8eb54983871p-4, 0x1.3b1ea3249d1a2p-4, 0x1.3bba20652ff25p-4, 0x1.3c6051270d204p-4, 0x1.3d105fd7fd751p-4, 0x1.3dc97d3c8cbd6p-4, 0x1.3e8ae059d8b63p-4, 0x1.3f53c6654b925p-4, 0x1.402372c64f08ap-4, 0x1.40f92efd9005p-4, 0x1.41d44a84f6f0fp-4, 0x1.42b41aca73cbcp-4, 0x1.4397fb25bce2ap-4, 0x1.447f4ca417eb3p-4, 0x1.456975fbc8c1cp-4, 0x1.4655e382a33bcp-4, 0x1.4744070b8017bp-4, 0x1.483357b8d141fp-4, 0x1.492351f241c3p-4, 0x1.4a13775651c5p-4, 0x1.4b034e88d7cddp-4, 0x1.4bf2630d894fbp-4, 0x1.4ce04540a04c1p-4, 0x1.4dcc8a3dd0079p-4, 0x1.4eb6cbac37228p-4, 0x1.4f9ea79ffc282p-4, 0x1.5083c093e136dp-4, 0x1.5165bd4a4bbb4p-4, 0x1.524448991fa9dp-4, 0x1.531f115206521p-4, 0x1.53f5ca40e1505p-4, 0x1.54c82a0bf3be1p-4, 0x1.5595eafb3d219p-4, 0x1.565ecae1475d5p-4, 0x1.57228b24a01eap-4, 0x1.57e0f0ab2836ap-4, 0x1.5899c3994dbbbp-4, 0x1.594ccf28c8fc7p-4, 0x1.59f9e1b7bc02ep-4, 0x1.5aa0ccd181e5dp-4, 0x1.5b4164f84a64bp-4, 0x1.5bdb815bff295p-4, 0x1.5c6efbccf50dcp-4, 0x1.5cfbb0dea381ep-4, 0x1.5d817fe330922p-4, 0x1.5e004aa21eebcp-4, 0x1.5e77f51434e2ep-4, 0x1.5ee8656869ce9p-4, 0x1.5f51842d7de19p-4, 0x1.5fb33c48a98b5p-4, 0x1.600d7aab2acc6p-4, 0x1.60602e13a89e7p-4, 0x1.60ab47166d44dp-4, 0x1.60eeb847f820ap-4, 0x1.612a763a50204p-4, 0x1.615e773cf5b78p-4, 0x1.618ab31ffc53cp-4, 0x1.61af23330cdb2p-4, 0x1.61cbc26b44602p-4, 0x1.61e08d6c7e112p-4, 0x1.61ed825a34423p-4, 0x1.61f2a09b68964p-4, 0x1.61efe8c920fafp-4, 0x1.61e55cc8b37bdp-4, 0x1.61d2ffe06b7b1p-4, 0x1.61b8d69eb70afp-4, 0x1.6196e6a40671cp-4, 0x1.616d368002789p-4, 0x1.613bcdb8e4abdp-4, 0x1.6102b4e48929ap-4, 0x1.60c1f5a96ec64p-4, 0x1.60799a9aba8bep-4, 0x1.6029af0c352a7p-4, 0x1.5fd23f016f9abp-4, 0x1.5f73573c48b2bp-4, 0x1.5f0d054ffc575p-4, 0x1.5e9f579b286fep-4, 0x1.5e2a5d2693c81p-4, 0x1.5dae258305835p-4, 0x1.5d2ac0bed157bp-4, 0x1.5ca03f731c9aap-4, 0x1.5c0eb2d3b7e47p-4, 0x1.5b762cab76a1bp-4, 0x1.5ad6bf4283b06p-4, 0x1.5a307d41d7de5p-4, 0x1.598379a763a82p-4, 0x1.58cfc7cd9aab2p-4, 0x1.58157b791ccc7p-4, 0x1.5754a8db1b7bfp-4, 0x1.568d648185b28p-4, 0x1.55bfc33f0c458p-4, 0x1.54ebda1b278bp-4, 0x1.5411be513d353p-4, 0x1.53318559d281dp-4, 0x1.524b44f1ea497p-4, 0x1.515f131688ee4p-4, 0x1.506d05f489cc5p-4, 0x1.4f7533d70acadp-4, 0x1.4e77b31e5de2bp-4, 0x1.4d749a416fffdp-4, 0x1.4c6bffd4adad5p-4, 0x1.4b5dfa8e3245bp-4, 0x1.4a4aa14115dfcp-4, 0x1.49320ad0fee1bp-4, 0x1.48144e25708cdp-4, 0x1.46f18223400a4p-4, 0x1.45c9bdad2fee8p-4, 0x1.449d17a8a9dcfp-4, 0x1.436ba70161286p-4, 0x1.423582a74287dp-4, 0x1.40fac1867ee9dp-4, 0x1.3fbb7a7e3fef7p-4, 0x1.3e77c45ad2b2ap-4, 0x1.3d2fb5d49b7ebp-4, 0x1.3be365929cad2p-4, 0x1.3a92ea2dcf366p-4, 0x1.393e5a31fc221p-4, 0x1.37e5cc1a482b1p-4, 0x1.3689564b0e209p-4, 0x1.35290f0c8694p-4, 0x1.33c50c88347e6p-4, 0x1.325d64c912492p-4, 0x1.30f22dbd8ebf7p-4, 0x1.2f837d39b8712p-4, 0x1.2e1168f7981e9p-4, 0x1.2c9c0694ba656p-4, 0x1.2b236b8e43c35p-4, 0x1.29a7ad3dab60bp-4, 0x1.2828e0d732c17p-4, 0x1.26a71b69f540bp-4, 0x1.252271e132453p-4, 0x1.239af905f7b0ap-4, 0x1.2210c57fe741fp-4, 0x1.2083ebd42803fp-4, 0x1.1ef480630b983p-4, 0x1.1d629765db707p-4, 0x1.1bce44edb49a7p-4, 0x1.1a379ce365cb6p-4, 0x1.189eb3080f76fp-4, 0x1.17039af6439e6p-4, 0x1.15666823026fbp-4, 0x1.13c72ddde1272p-4, 0x1.1225ff5009ea7p-4, 0x1.1082ef7ae2192p-4, 0x1.0ede11371e909p-4, 0x1.0d3777347ee27p-4, 0x1.0b8f33f9e83f9p-4, 0x1.09e559e5c8563p-4, 0x1.0839fb2eb865fp-4, 0x1.068d29e42bf12p-4, 0x1.04def7eeb1a69p-4, 0x1.032f770f96abdp-4, 0x1.017eb8e041996p-4, 0x1.ff999da373984p-5, 0x1.fc339458f45d9p-5, 0x1.f8cb7820c0534p-5, 0x1.f5616ae9817dbp-5, 0x1.f1f58e5192985p-5, 0x1.ee8803a826fc7p-5, 0x1.eb18ebee53eb7p-5, 0x1.e7a867d732affp-5, 0x1.e43697c71cfd5p-5, 0x1.e0c39bd2c7894p-5, 0x1.dd4f93be9b456p-5, 0x1.d9da9efe7934fp-5, 0x1.d664dcb5b9b8cp-5, 0x1.d2ee6bb77f982p-5, 0x1.cf776a876846fp-5, 0x1.cbfff75a6f303p-5, 0x1.c88830175a142p-5, 0x1.c510325675d48p-5, 0x1.c1981b60a7e7dp-5, 0x1.be20082e97053p-5, 0x1.baa8156834922p-5, 0x1.b7305f64b3d6ap-5, 0x1.b3b9022abca7cp-5, 0x1.b0421970a8ap-5, 0x1.accbc09cd1957p-5, 0x1.a95612c5b84d7p-5, 0x1.a5e12ab1e5e0dp-5, 0x1.a26d22d75f58ap-5, 0x1.9efa155ad9429p-5, 0x1.9b881c0f179a5p-5, 0x1.98175074cfe15p-5, 0x1.94a7cbbae5fd1p-5, 0x1.9139a6beccf94p-5, 0x1.8dccfa0c8ca8ap-5, 0x1.8a61ddde71c6dp-5, 0x1.86f86a1c67e63p-5, 0x1.8390b65b5304p-5, 0x1.802ad9dc8bf15p-5, 0x1.7cc6eb8daad82p-5, 0x1.796502089f826p-5, 0x1.760533940de2bp-5, 0x1.72a79623c5b51p-5, 0x1.6f4c3f58e6623p-5, 0x1.6bf344814f71ep-5, 0x1.689cba96ecc0bp-5, 0x1.6548b63e8ef2dp-5, 0x1.61f74bc6f2b3fp-5, 0x1.5ea88f28bbc98p-5, 0x1.5b5c9406f633bp-5, 0x1.58136db00351bp-5, 0x1.54cd2f1e6cfcep-5, 0x1.5189eaf9361b5p-5, 0x1.4e49b3938141bp-5, 0x1.4b0c9aeba7131p-5, 0x1.47d2b2a9f7221p-5, 0x1.449c0c1fad981p-5, 0x1.4168b846764dbp-5, 0x1.3e38c7c0b7081p-5, 0x1.3b0c4ada86776p-5, 0x1.37e3518ae55adp-5, 0x1.34bdeb74cc03ep-5, 0x1.319c27e780e3fp-5, 0x1.2e7e15de2b1ffp-5, 0x1.2b63c3fec4b34p-5, 0x1.284d4098e5de5p-5, 0x1.253a99a4e8319p-5, 0x1.222bdcc3b9de5p-5, 0x1.1f21173f73997p-5, 0x1.1c1a560c81ea2p-5, 0x1.1917a5caf1a7ep-5, 0x1.161912c7853b5p-5, 0x1.131ea8fc34b07p-5, 0x1.1028741007b6cp-5, 0x1.0d367f56790f5p-5, 0x1.0a48d5cea2091p-5, 0x1.075f82229e491p-5, 0x1.047a8ea774ebep-5, 0x1.019a055d983d6p-5, 0x1.fd7bdfe3dbea4p-6, 0x1.f7ccaf7e31c74p-6, 0x1.f2268b9d4e5ccp-6, 0x1.ec8985b3c69cdp-6, 0x1.e6f5ae945c45cp-6, 0x1.e16b1671ec4a5p-6, 0x1.dbe9ccded4b64p-6, 0x1.d671e0cc91763p-6, 0x1.d103608bc2ac7p-6, 0x1.cb9e59cd06d64p-6, 0x1.c642d9a279999p-6, 0x1.c0f0ec81c70e4p-6, 0x1.bba89e4648e05p-6, 0x1.b669fa32ff8fap-6, 0x1.b1350af41bcc7p-6, 0x1.ac09daa006591p-6, 0x1.a6e872b808eccp-6, 0x1.a1d0dc28daf05p-6, 0x1.9cc31f4b4573bp-6, 0x1.97bf43e52081ep-6, 0x1.92c5512ab1907p-6, 0x1.8dd54dc05dacap-6, 0x1.88ef3fbc81a7bp-6, 0x1.84132ca95eacp-6, 0x1.7f411986cbb56p-6, 0x1.7a790acbb67c2p-6, 0x1.75bb04677485ep-6, 0x1.710709c2ff1a5p-6, 0x1.6c5d1dc232084p-6, 0x1.67bd42c53990cp-6, 0x1.63277aaa3c22p-6, 0x1.5e9bc6cf2308ep-6, 0x1.5a1a28139ef28p-6, 0x1.55a29edb13191p-6, 0x1.51352b0e7fbbdp-6, 0x1.4cd1cc1e37d0dp-6, 0x1.487881036d31ep-6, 0x1.442948419d1f5p-6, 0x1.3fe41fe7f8898p-6, 0x1.3ba90592ddf27p-6, 0x1.3777f66d789a5p-6, 0x1.3350ef339ac8ep-6, 0x1.2f33ec33c3b75p-6, 0x1.2b20e95156081p-6, 0x1.2717e206d32bfp-6, 0x1.2318d168052f2p-6, 0x1.1f23b224011efp-6, 0x1.1b387e86fd195p-6, 0x1.1757307bea8d6p-6, 0x1.137fc18dfb5edp-6, 0x1.0fb22aea1b13p-6, 0x1.0bee6560674ap-6, 0x1.08346965db966p-6, 0x1.04842f161db31p-6, 0x1.00ddae3584d5bp-6, 0x1.fa81bc6674ac7p-7, 0x1.f35b6c57091dap-7, 0x1.ec4859d3f5067p-7, 0x1.e54871d771e0fp-7, 0x1.de5ba0c2bf89fp-7, 0x1.d781d261e2ad8p-7, 0x1.d0baf1eef404p-7, 0x1.ca06ea1546bf4p-7, 0x1.c365a4f45c4d1p-7, 0x1.bcd70c22f878ap-7, 0x1.b65b08b23dfd8p-7, 0x1.aff183311178cp-7, 0x1.a99a63afd66d2p-7, 0x1.a35591c44163p-7, 0x1.9d22f48d89bc2p-7, 0x1.970272b86fe65p-7, 0x1.90f3f28389ecfp-7, 0x1.8af759c31ca23p-7, 0x1.850c8de4de442p-7, 0x1.7f3373f36d225p-7, 0x1.796bf0997d14p-7, 0x1.73b5e824dc1e5p-7, 0x1.6e113e893a95ep-7, 0x1.687dd76316701p-7, 0x1.62fb95faa52b3p-7, 0x1.5d8a5d46c6291p-7, 0x1.582a0ff043d98p-7, 0x1.52da90552a011p-7, 0x1.4d9bc08c40976p-7, 0x1.486d82689ffa9p-7, 0x1.434fb77d41e5fp-7, 0x1.3e4241207cbccp-7, 0x1.3945006f68bbap-7, 0x1.3457d650ff805p-7, 0x1.2f7aa379178ap-7, 0x1.2aad486b1d4bep-7, 0x1.25efa57ca85c4p-7, 0x1.21419ad7f7df1p-7, 0x1.1ca3087e62b18p-7, 0x1.1813ce4acd36dp-7, 0x1.1393cbf42f787p-7, 0x1.0f22e11030cecp-7, 0x1.0ac0ed15e574ap-7, 0x1.066dcf608f0fap-7, 0x1.022967327ce25p-7, 0x1.fbe7276fbd416p-8, 0x1.f39868133f6abp-8, 0x1.eb664e601597dp-8, 0x1.e350984ae2983p-8, 0x1.db5703b112bb4p-8, 0x1.d3794e5d68d6fp-8, 0x1.cbb7360c1b8f2p-8, 0x1.c410786ee6cacp-8, 0x1.bc84d330b3e37p-8, 0x1.b51403f98d8c6p-8, 0x1.adbdc8725975bp-8, 0x1.a681de48b9576p-8, 0x1.9f6003332a79ap-8, 0x1.9857f4f50d4f7p-8, 0x1.91697162f00fdp-8, 0x1.8a943666b2be6p-8, 0x1.83d80203a1a2bp-8, 0x1.7d34925a8704dp-8, 0x1.76a9a5ad744c4p-8, 0x1.7036fa6330c34p-8, 0x1.69dc4f0aa6629p-8, 0x1.6399625dd03acp-8, 0x1.5d6df344a0241p-8, 0x1.5759c0d7c8006p-8, 0x1.515c8a6387c6p-8, 0x1.4b760f6a5bbc5p-8, 0x1.45a60fa80c64p-8, 0x1.3fec4b14a47a2p-8, 0x1.3a4881e783f94p-8, 0x1.34ba749a7cac7p-8, 0x1.2f41e3eca1a26p-8, 0x1.29de90e50ba68p-8, 0x1.24903cd51656p-8, 0x1.1f56a95a94337p-8, 0x1.1a31986154c6ap-8, 0x1.1520cc24d41cap-8, 0x1.102407316f474p-8, 0x1.0b3b0c65fd586p-8, 0x1.06659ef58002dp-8, 0x1.01a3826905c4ap-8, 0x1.f9e8f5445b467p-9, 0x1.f0b097bbdbc8cp-9, 0x1.e79d756f28f79p-9, 0x1.deaf1857dc101p-9, 0x1.d5e50b387c2c6p-9, 0x1.cd3ed9a150401p-9, 0x1.c4bc0ff41d3c4p-9, 0x1.bc5c3b65bad25p-9, 0x1.b41ee9fe30ba1p-9, 0x1.ac03aa970c8a6p-9, 0x1.a40a0cd854594p-9, 0x1.9c31a135a4b52p-9, 0x1.9479f8eb474bfp-9, 0x1.8ce2a5fcfb9bep-9, 0x1.856b3b36f8379p-9, 0x1.7e134c31586ap-9, 0x1.76da6d568f583p-9, 0x1.6fc033ebf9d24p-9, 0x1.68c4361bd50d1p-9, 0x1.61e60affe8f11p-9, 0x1.5b254aaaba5bfp-9, 0x1.54818e2e88bfp-9, 0x1.4dfa6fa0a80e5p-9, 0x1.478f8a18b9785p-9, 0x1.414079ab494bbp-9, 0x1.3b0cdb6055c72p-9, 0x1.34f44d27779cep-9, 0x1.2ef66dca60dfcp-9, 0x1.2912dce0d75d2p-9, 0x1.23493ac6b2a0cp-9, 0x1.1d9928977baf8p-9, 0x1.1802482eea913p-9, 0x1.12843c308cd14p-9, 0x1.0d1ea814e37dbp-9, 0x1.07d1303b28ea5p-9, 0x1.029b79fd92058p-9, 0x1.fafa578b07b5cp-10, 0x1.f0ebda390fd69p-10, 0x1.e70acd6f8a2cp-10, 0x1.dd5684f7324ap-10, 0x1.d3ce56ec21f6ep-10, 0x1.ca719ba12e6f3p-10, 0x1.c13fad7282dbcp-10, 0x1.b837e88ddf495p-10, 0x1.af59aab51a537p-10, 0x1.a6a453041222fp-10, 0x1.9e1741bff5f6dp-10, 0x1.95b1d83938ddbp-10, 0x1.8d7378c2f532cp-10, 0x1.855b86c39a079p-10, 0x1.7d6966ddf96a6p-10, 0x1.759c7f304e8bap-10, 0x1.6df437a118d79p-10, 0x1.666ffa3258be9p-10, 0x1.5f0f33518912p-10, 0x1.57d15219b70acp-10, 0x1.50b5c87f527fdp-10, 0x1.49bc0b5e15feep-10, 0x1.42e392660ecaep-10, 0x1.3c2bd7e693a19p-10, 0x1.3594587b8f0f7p-10, 0x1.2f1c92a3f9b8p-10, 0x1.28c4064c46871p-10, 0x1.228a3459138fdp-10, 0x1.1c6e9e3f2203bp-10, 0x1.1670c5b4e0243p-10, 0x1.10902c8719666p-10, 0x1.0acc5496c5bffp-10, 0x1.0524c001c25c7p-10, 0x1.ff31e2e6787cep-11, 0x1.f450d9282a5d4p-11, 0x1.e9a56d20d9841p-11, 0x1.df2ead48b5cb3p-11, 0x1.d4ebad42217d7p-11, 0x1.cadb86b8c6226p-11, 0x1.c0fd59f93130dp-11, 0x1.b7504e31718dbp-11, 0x1.add3914c13865p-11, 0x1.a486576715c55p-11, 0x1.9b67d9efc090ap-11, 0x1.92775676f2e9bp-11, 0x1.89b40d5d58a6ep-11, 0x1.811d4078930eep-11, 0x1.78b231d777c32p-11, 0x1.707222c855p-11, 0x1.685c533cfcfa6p-11, 0x1.6070019f015ddp-11, 0x1.58ac6b1916bddp-11, 0x1.5110cc4f73a8fp-11, 0x1.499c6272bfd0cp-11, 0x1.424e6c92fc154p-11, 0x1.3b262d0e43503p-11, 0x1.3422eaf6cd831p-11, 0x1.2d43f34b69e6dp-11, 0x1.268899e23051dp-11, 0x1.1ff039e9f0adp-11, 0x1.197a35f3c14f7p-11, 0x1.1325f77bb1d48p-11, 0x1.0cf2edf9ebe25p-11, 0x1.06e08d8d2759fp-11, 0x1.00ee4d5d193ecp-11, 0x1.f6374bb6c050ep-12, 0x1.ead01e1f8674p-12, 0x1.dfa5fe3557542p-12, 0x1.d4b7d22db01cap-12, 0x1.ca0478f356c39p-12, 0x1.bf8aca07e88f1p-12, 0x1.b54996904f036p-12, 0x1.ab3fab717f14ep-12, 0x1.a16bd44d525b1p-12, 0x1.97ccdf0f632e9p-12, 0x1.8e619fb824b5dp-12, 0x1.8528f405c94cbp-12, 0x1.7c21c6aa20553p-12, 0x1.734b11c81241ep-12, 0x1.6aa3e081ef088p-12, 0x1.622b4f7fc56bfp-12, 0x1.59e08c61d284fp-12, 0x1.51c2d42d393d8p-12, 0x1.49d170d1d5da9p-12, 0x1.420bb5f9a7b32p-12, 0x1.3a70fd5e25452p-12, 0x1.3300a2e7bca19p-12, 0x1.2bba00e20413p-12, 0x1.249c6c8b00287p-12, 0x1.1da733446eff7p-12, 0x1.16d998a3e04c7p-12, 0x1.1032d5944649fp-12, 0x1.09b218a2a2362p-12, 0x1.03568777ceac9p-12, 0x1.fa3e82ada41e7p-13, 0x1.ee16c4a9e062fp-13, 0x1.e2340dcb7063bp-13, 0x1.d6949e96d1bcfp-13, 0x1.cb36c518a18dfp-13, 0x1.c018e163c29c2p-13, 0x1.b539688604bfdp-13, 0x1.aa96e626afb62p-13, 0x1.a02ffd309c6f3p-13, 0x1.960367e3874cbp-13, 0x1.8c0ff7890760dp-13, 0x1.825493c4627c2p-13, 0x1.78d0394db802dp-13, 0x1.6f81f7d141295p-13, 0x1.6668eeb5e074dp-13, 0x1.5d8448c610ca9p-13, 0x1.54d336f2b31b8p-13, 0x1.4c54eab357e7ap-13, 0x1.440890b26b7b7p-13, 0x1.3bed4c8f14663p-13, 0x1.34023662c70ffp-13, 0x1.2c465a7c237afp-13, 0x1.24b8bb5d25416p-13, 0x1.1d58559139089p-13, 0x1.1624247b84898p-13, 0x1.0f1b26f81e2ep-13, 0x1.083c629df67fp-13, 0x1.0186e4c2a466ep-13, 0x1.f5f3820b022f7p-14, 0x1.e9281bdf76f2ap-14, 0x1.dca9c1d85d873p-14, 0x1.d0769674d2976p-14, 0x1.c48cb28835075p-14, 0x1.b8ea2a23baad6p-14, 0x1.ad8d1720cc72p-14, 0x1.a273a6c8a821bp-14, 0x1.979c26d655814p-14, 0x1.8d050e1a849bp-14, 0x1.82acfe27b03aap-14, 0x1.7892bd7b90d13p-14, 0x1.6eb52bcccad6p-14, 0x1.651333d64bb44p-14, 0x1.5babbe8e8c94ep-14, 0x1.527daafc73278p-14, 0x1.4987cc3b53268p-14, 0x1.40c8ed3e7b84ap-14, 0x1.383fd86369786p-14, 0x1.2feb6039e37b2p-14, 0x1.27ca6716e0d59p-14, 0x1.1fdbe3c803f97p-14, 0x1.181ee2685f61bp-14, 0x1.109280ed489efp-14, 0x1.0935e75a159ddp-14, 0x1.02083c3c885f9p-14, 0x1.f6112e3a2f6c1p-15, 0x1.e86be79a30986p-15, 0x1.db1e54a8772ecp-15, 0x1.ce25ddcb4b413p-15, 0x1.c17fb7160b8fap-15, 0x1.b52904e11d30dp-15, 0x1.a91f09c372842p-15, 0x1.9d5f526369bbfp-15, 0x1.91e7d34cad5eep-15, 0x1.86b6f04c1e1e8p-15, 0x1.7bcb6ae60599p-15, 0x1.71243cd4e2661p-15, 0x1.66c069d0af7ebp-15, 0x1.5c9ed6dd919e1p-15, 0x1.52be332bfee2dp-15, 0x1.491cf7fc261e3p-15, 0x1.3fb97c9184cbep-15, 0x1.3692150d7d1f7p-15, 0x1.2da53132d360dp-15, 0x1.24f172a1b8a4ep-15, 0x1.1c75b6a01956cp-15, 0x1.1431138c7841cp-15, 0x1.0c22cc68e971ep-15, 0x1.044a3e210080fp-15, 0x1.f94d947176743p-16, 0x1.ea6f8508de5e1p-16, 0x1.dbf8af826a7aep-16, 0x1.cde716ea6b8aap-16, 0x1.c038494e556c6p-16, 0x1.b2e951638f5ep-16, 0x1.a5f6b7a40bfa6p-16, 0x1.995c9bf8231d5p-16, 0x1.8d16eb0caff8p-16, 0x1.8121a726654aep-16, 0x1.757932594ddd1p-16, 0x1.6a1a867e60accp-16, 0x1.5f034e397e7f7p-16, 0x1.5431dc2596d78p-16, 0x1.49a50503dd5b6p-16, 0x1.3f5be78a61cdap-16, 0x1.3555b15de45c3p-16, 0x1.2b91720f0471ep-16, 0x1.220e0677ff672p-16, 0x1.18ca1b9e0f9fep-16, 0x1.0fc43ff2901eap-16, 0x1.06fafa35dfbbbp-16, 0x1.fcd9c3baacba6p-17, 0x1.ec316b44b381bp-17, 0x1.dbfad01808227p-17, 0x1.cc342f3dfb08ap-17, 0x1.bcdbe128a9546p-17, 0x1.adf00a8647536p-17, 0x1.9f6e669349ad5p-17, 0x1.91544b5bae836p-17, 0x1.839ee6af81b82p-17, 0x1.764b92a7b2b81p-17, 0x1.695815121d2c6p-17, 0x1.5cc2a92e1779ap-17, 0x1.5089ce8b293fp-17, 0x1.44abf586bbdbcp-17, 0x1.39273340d105bp-17, 0x1.2df920c2aaf89p-17, 0x1.231eeba2eb47fp-17, 0x1.18957d4e555fep-17, 0x1.0e5996b8a3315p-17, 0x1.0467dc17f764fp-17, 0x1.f579de7a9271ap-18, 0x1.e2ab63769768ap-18, 0x1.d05f31e825e0fp-18, 0x1.be91b68089b1dp-18, 0x1.ad409dade28b4p-18, 0x1.9c6a0943bec7fp-18, 0x1.8c0b9f8c48519p-18, 0x1.7c21ef359620ap-18, 0x1.6ca88b80ea687p-18, 0x1.5d9aec2885261p-18, 0x1.4ef5991c5b01ep-18, 0x1.40b6ddee2b744p-18, 0x1.32de89bca6865p-18, 0x1.256cf1c95e595p-18, 0x1.1861e3934ffbap-18, 0x1.0bbc102d130dep-18, 0x1.fef2057be2a3bp-19, 0x1.e72acd6f0dfecp-19, 0x1.d01acae38d3b6p-19, 0x1.b9ba116c0479bp-19, 0x1.a401463b1e571p-19, 0x1.8eea6c5ba2798p-19, 0x1.7a7177f518941p-19, 0x1.669467b92721ep-19, 0x1.5352c2eeb684ep-19, 0x1.40ac9ddb18a5ep-19, 0x1.2ea18d5a839e6p-19, 0x1.1d2ffdfb99dc9p-19, 0x1.0c54ffbc6b064p-19, 0x1.f81816764a0f3p-20, 0x1.d89cbd07be165p-20, 0x1.ba253eb9e59e9p-20, 0x1.9c9c6b6bf05b1p-20, 0x1.7ff13771fec3bp-20, 0x1.641ce7aafd70dp-20, 0x1.49233568f942ap-20, 0x1.2f0b98290a69ep-20, 0x1.15d8a67bbcbd4p-20, 0x1.fb07ab16759a7p-21, 0x1.cc009ebe40de6p-21, 0x1.9e843c7057457p-21, 0x1.72871de86ea47p-21, 0x1.48092285175cap-21, 0x1.1f0b4194fb712p-21, 0x1.ef0d53e456866p-22, 0x1.a2d6cae99d8afp-22, 0x1.594951aac7c0dp-22, 0x1.123bf576aa42cp-22, 0x1.9b19af8255f1cp-23, 0x1.1646af1a275cep-23, 0x1.2bbdb3c0faf3bp-24, 0x1.9ceef0bebcea8p-27, -0x1.77d4fa254cd58p-25, -0x1.a2f049bdfd944p-24, -0x1.40c5d2c4fd85dp-23, -0x1.abec6c743605cp-23, -0x1.097d594e48469p-22, -0x1.3aff7e47ab4dbp-22, -0x1.6a8472699abb8p-22, -0x1.98167ec3303d3p-22, -0x1.c3c2df71750d9p-22, -0x1.ed9686fdfb93fp-22, -0x1.0accc3a913844p-21, -0x1.1de878be7c535p-21, -0x1.302587e6f454bp-21, -0x1.4194f8abb8083p-21, -0x1.524c3cc85f895p-21, -0x1.625698e95d22fp-21, -0x1.71ae50fbb34b6p-21, -0x1.8047e69367aa9p-21, -0x1.8e236006aaf6ap-21, -0x1.9b50bdde5bcadp-21, -0x1.a7e3c4bac3bd9p-21, -0x1.b3e4e34b7a68cp-21, -0x1.bf4f3418a9844p-21, -0x1.ca1b6145cb1c4p-21, -0x1.d44914d859a14p-21, -0x1.ddded952b66a1p-21, -0x1.e6e5136539d1cp-21, -0x1.ef6275501fd15p-21, -0x1.f75b4b8ffdbdp-21, -0x1.fed236ecb59c2p-21, -0x1.02e48765b4184p-20, -0x1.0620c4979cf51p-20, -0x1.091eda13da3a6p-20, -0x1.0be02f1316ebdp-20, -0x1.0e66b6c344173p-20, -0x1.10b504308849p-20, -0x1.12ce2fb0328fcp-20, -0x1.14b57fb9e76d1p-20, -0x1.166ddea1f06a7p-20, -0x1.17f946de7c8fdp-20, -0x1.195868b539093p-20, -0x1.1a8ac9c7985e3p-20, -0x1.1b8f76a755066p-20, -0x1.1c661276c2856p-20, -0x1.1d0fabadc6facp-20, -0x1.1d8e8c5f77f5bp-20, -0x1.1de4dcb44425cp-20, -0x1.1e135d9b27fd7p-20, -0x1.1e1a20f1b1524p-20, -0x1.1dface5f7facbp-20, -0x1.1db868a96dcc8p-20, -0x1.1d538c6d81025p-20, -0x1.1cc9f5b9fdb0ep-20, -0x1.1c1bb6a6a6094p-20, -0x1.1b4da69418dbep-20, -0x1.1a646dfae9006p-20, -0x1.195fb9b7282f8p-20, -0x1.183cb91113454p-20, -0x1.16fad52ef4ae6p-20, -0x1.159bfbbd1a9e9p-20, -0x1.14226f2c28b01p-20, -0x1.128fa65db9bc5p-20, -0x1.10e4681c718a9p-20, -0x1.0f21331a3cd51p-20, -0x1.0d467bd5c03c9p-20, -0x1.0b54c21ca17fdp-20, -0x1.094c91b7ab411p-20, -0x1.072e7cce95841p-20, -0x1.04fb1679d2072p-20, -0x1.02b2ef94e248p-20, -0x1.005695d07564bp-20, -0x1.fbcd27a0301a3p-21, -0x1.f6c6e09d85d33p-21, -0x1.f19b5551028dfp-21, -0x1.ec4b6b581d5cbp-21, -0x1.e6d7e8bef9374p-21, -0x1.e1417a757e31ap-21, -0x1.db88cca17e7aep-21, -0x1.d5aeb6dd4ff07p-21, -0x1.cfb47e6a886adp-21, -0x1.c99c1f188a9c2p-21, -0x1.c36858af8ff47p-21, -0x1.bd1c1c452e2c2p-21, -0x1.b6b94c7facdd3p-21, -0x1.b03f875da8864p-21, -0x1.a9ac1c276ab0fp-21, -0x1.a2fc2ba4f73d1p-21, -0x1.9c30c5e60ac92p-21, -0x1.954fdacf7c36fp-21, -0x1.8e5d12c833423p-21, -0x1.875667604c3d5p-21, -0x1.803b350d7a2d6p-21, -0x1.790d342e6e84p-21, -0x1.71cb6a08499ap-21, -0x1.6a74b83e9bb6ep-21, -0x1.630b0aa333041p-21, -0x1.5b91035c2d795p-21, -0x1.5408137fa9d3p-21, -0x1.4c70bf4f2721bp-21, -0x1.44cb4564dfeb8p-21, -0x1.3d17edd90fe0ap-21, -0x1.35571a86aa8e3p-21, -0x1.2d8941c5b5505p-21, -0x1.25aee611d816bp-21, -0x1.1dc88f9556dbdp-21, -0x1.15d6c803f0d08p-21, -0x1.0dda180f4c236p-21, -0x1.05d305df21385p-21, -0x1.fb84283e9c80fp-22, -0x1.eb4f832369861p-22, -0x1.db09128e4879ap-22, -0x1.cab1c71e27cfcp-22, -0x1.ba4a8edd14c05p-22, -0x1.a9d45872b8276p-22, -0x1.99501548b0dbcp-22, -0x1.88beba019cc86p-22, -0x1.78213c65b568cp-22, -0x1.67788db83b9bcp-22, -0x1.56c5909c0d54cp-22, -0x1.46090bb31619bp-22, -0x1.35439fff024ccp-22, -0x1.2475d1177a7aep-22, -0x1.13a026017624ep-22, -0x1.02c346690705bp-22, -0x1.e3bfd819fabf4p-23, -0x1.c1ed7b33ece7ep-23, -0x1.a0106a52bf89dp-23, -0x1.7e2970c51c761p-23, -0x1.5c3bae740be73p-23, -0x1.3a4c5020dcbf1p-23, -0x1.185c7c9db010dp-23, -0x1.ecdb78e13fe7p-24, -0x1.a90137e5d5931p-24, -0x1.65232ba64f9b8p-24, -0x1.2140cc87765c8p-24, -0x1.babfabd7590d7p-25, -0x1.330c8ee7a7ab6p-25, -0x1.56e18874a3b23p-26, -0x1.1f8c27d68cd7fp-28, 0x1.8db64993184ecp-27, 0x1.d552844eaf8d7p-26, 0x1.71be118ece5c6p-25, 0x1.f8a8486661434p-25, 0x1.3fb200e86bf92p-24, 0x1.82f6a2642ab65p-24, 0x1.c6200acdbc371p-24, 0x1.04962012ac4b3p-23, 0x1.260ca7c1142cap-23, 0x1.4772a72904c67p-23, 0x1.68c72d8642af6p-23, 0x1.8a094ea1b16ebp-23, 0x1.ab382312c7956p-23, 0x1.cc52c7d9a4979p-23, 0x1.ed585e5e81d5ep-23, 0x1.07240607d3fcep-22, 0x1.17907cc3ca755p-22, 0x1.27f1296cb349fp-22, 0x1.3845a39bfeb93p-22, 0x1.488d848d0b32fp-22, 0x1.58c8675b5bcd9p-22, 0x1.68f5e913f5f0ap-22, 0x1.7915a8c95c26cp-22, 0x1.892747c8334e8p-22, 0x1.992a69d72d53dp-22, 0x1.a91eb53fdd5fdp-22, 0x1.b903d1f001928p-22, 0x1.c8d96816a7b6dp-22, 0x1.d89f1f3ca2cc7p-22, 0x1.e8549e513a1e7p-22, 0x1.f7f9908c7c8ddp-22, 0x1.03c6da83ccfb2p-21, 0x1.0b886a1e0f88cp-21, 0x1.1341435f581dcp-21, 0x1.1af134ceef806p-21, 0x1.229827ac8145ap-21, 0x1.2a35fe9d5de89p-21, 0x1.31ca8142a9427p-21, 0x1.395585c831528p-21, 0x1.40d6f115d8ca1p-21, 0x1.484eab66e004ap-21, 0x1.4fbc941342472p-21, 0x1.572080d58f5aep-21, 0x1.5e7a4fd36af43p-21, 0x1.65c9e7289cdcp-21, 0x1.6d0f2c408d391p-21, 0x1.744a022533dbfp-21, 0x1.7b7a4b20b20c4p-21, 0x1.829fe9ee4cfe1p-21, 0x1.89bac2246f0eap-21, 0x1.90cab83dfe3bfp-21, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.45aa92ac0eeadp-1, -0x1.45bda3a7154cap-1, -0x1.45dc1b5ed6244p-1, -0x1.4604283510dc6p-1, -0x1.463378750c981p-1, -0x1.466760b4666aep-1, -0x1.469d0099dc02ep-1, -0x1.46d16406c2b28p-1, -0x1.47019f4ec0aa5p-1, -0x1.472ae5df0adf3p-1, -0x1.474a9b592ebcdp-1, -0x1.475e5f9c5a7adp-1, -0x1.4764167b923bp-1, -0x1.4759ebf5aa6ecp-1, -0x1.473e55ba1987bp-1, -0x1.471012a992b11p-1, -0x1.46ce28de238c6p-1, -0x1.4677e2a43b9cfp-1, -0x1.460ccab0d4e0fp-1, -0x1.458ca7cad70b9p-1, -0x1.44f7780e7b8aap-1, -0x1.444d6be804b6cp-1, -0x1.438ee0dddf1dcp-1, -0x1.42bc5c3fd69ffp-1, -0x1.41d685d00a389p-1, -0x1.40de2279c5939p-1, -0x1.3fd40f29c0705p-1, -0x1.3eb93bda0f149p-1, -0x1.3d8ea6e235666p-1, -0x1.3c55589968f54p-1, -0x1.3b0e5f561b87p-1, -0x1.39bacbd2c5f7bp-1, -0x1.385badfca9274p-1, -0x1.36f2122e16ef7p-1, -0x1.357efed2fd74cp-1, -0x1.34037273e129ap-1, -0x1.3280622173028p-1, -0x1.30f6b83946314p-1, -0x1.2f67537b1ab16p-1, -0x1.2dd30665788f6p-1, -0x1.2c3a96d01a0abp-1, -0x1.2a9ebdbab4476p-1, -0x1.2900274709c2fp-1, -0x1.275f72d5c93eap-1, -0x1.25bd333e7bcf4p-1, -0x1.2419ef1ba0356p-1, -0x1.22762124f575bp-1, -0x1.20d23892ee099p-1, -0x1.1f2e998721939p-1, -0x1.1d8b9d7675f0fp-1, -0x1.1be993927f4dap-1, -0x1.1a48c1304a17ep-1, -0x1.18a9622b662ep-1, -0x1.170ba944882ffp-1, -0x1.156fc07b8db92p-1, -0x1.13d5c964ff551p-1, -0x1.123ddd7b77fb6p-1, -0x1.10a80e6d836d9p-1, -0x1.0f146668a4b3dp-1, -0x1.0d82e86244ecp-1, -0x1.0bf3905f5285cp-1, -0x1.0a6653bb4e7b3p-1, -0x1.08db216f75af4p-1, -0x1.0751e25aa5df7p-1, -0x1.05ca798a7d0bbp-1, -0x1.0444c4862147ap-1, -0x1.02c09b9af590dp-1, -0x1.013dd22b70395p-1, -0x1.ff786e004abd3p-2, -0x1.fc772935f9b3bp-2, -0x1.f9776318ed44bp-2, -0x1.f678a19597dedp-2, -0x1.f37a64154c254p-2, -0x1.f07c2432270ap-2, -0x1.ed7d566cbe069p-2, -0x1.ea7d6ae2b359p-2, -0x1.e77bce0555b0fp-2, -0x1.e477e94f57a41p-2, -0x1.e17123f8c5a8fp-2, -0x1.de66e3a83db26p-2, -0x1.db588d2094e17p-2, -0x1.d84584ea0da42p-2, -0x1.d52d2ff6506c7p-2, -0x1.d20ef43e71ccap-2, -0x1.ceea395a536a1p-2, -0x1.cbbe6910cf132p-2, -0x1.c88aefe021e02p-2, -0x1.c54f3d7e2ceffp-2, -0x1.c20ac550293c1p-2, -0x1.bebcfed994064p-2, -0x1.bb6566221337cp-2, -0x1.b8037c123ad56p-2, -0x1.b496c6c725e4p-2, -0x1.b11ed1dce8066p-2, -0x1.ad9b2eafe96a6p-2, -0x1.aa0b7495549c4p-2, -0x1.a66f410ac9b36p-2, -0x1.a2c637dd90067p-2, -0x1.9f1003499671ep-2, -0x1.9b4c54108f27ap-2, -0x1.977ae18985275p-2, -0x1.939b69a94d70fp-2, -0x1.8fadb104391bcp-2, -0x1.8bb182c974805p-2, -0x1.87a6b0b8847f7p-2, -0x1.838d13114cc37p-2, -0x1.7f64887f13898p-2, -0x1.7b2cf5fef69dep-2, -0x1.76e646c238749p-2, -0x1.72906c0ce0f4dp-2, -0x1.6e2b5d110ec38p-2, -0x1.69b716c76fcc3p-2, -0x1.65339bc53ba1fp-2, -0x1.60a0f41017f3dp-2, -0x1.5bff2cf0405cfp-2, -0x1.574e58c148a53p-2, -0x1.528e8ec1d2b97p-2, -0x1.4dbfeae27cf85p-2, -0x1.48e28d945e25bp-2, -0x1.43f69b9741982p-2, -0x1.3efc3dc7f6503p-2, -0x1.39f3a0eed73c3p-2, -0x1.34dcf58ecf11dp-2, -0x1.2fb86fb4fbcdcp-2, -0x1.2a8646c921598p-2, -0x1.2546b55f10b92p-2, -0x1.1ff9f9092056fp-2, -0x1.1aa0522bd3568p-2, -0x1.153a03d2c81ep-2, -0x1.0fc7538700fffp-2, -0x1.0a488926982c8p-2, -0x1.04bdeebde5125p-2, -0x1.fe4fa0c453398p-3, -0x1.f30cf81b727abp-3, -0x1.e7b482fb66841p-3, -0x1.dc46e4227bff2p-3, -0x1.d0c4c1549819ap-3, -0x1.c52ec31fc5854p-3, -0x1.b98594a3bc16cp-3, -0x1.adc9e35c4de7bp-3, -0x1.a1fc5eeeb3d2ap-3, -0x1.961db8f99377p-3, -0x1.8a2ea4e7b436ap-3, -0x1.7e2fd7c541bffp-3, -0x1.722208178ef32p-3, -0x1.6605edb7253dp-3, -0x1.59dc41ac1b1fbp-3, -0x1.4da5be0c8a551p-3, -0x1.41631ddd025aep-3, -0x1.35151cf2dfa91p-3, -0x1.28bc77d86c4e1p-3, -0x1.1c59ebb2a33cp-3, -0x1.0fee3628769dfp-3, -0x1.037a154b8f86cp-3, -0x1.edfc8f049816ep-4, -0x1.d4f716e5fb15ap-4, -0x1.bbe53fe0683c8p-4, -0x1.a2c887cc15c65p-4, -0x1.89a26c90b8f79p-4, -0x1.70746c0373089p-4, -0x1.574003c644c89p-4, -0x1.3e06b1289ee51p-4, -0x1.24c9f1092cea8p-4, -0x1.0b8b3fb86efa3p-4, -0x1.e49831b86d3bep-5, -0x1.b21beea782776p-5, -0x1.7fa4aa38d132p-5, -0x1.4d35566d64bbdp-5, -0x1.1ad0e31792fecp-5, -0x1.d0f47b4c878a7p-6, -0x1.6c68a1e152976p-6, -0x1.08040a041a743p-6, -0x1.4798fb96cc09p-7, -0x1.fe3e072a0737cp-9, 0x1.20237e8b817a5p-9, 0x1.0f24bd6c93a2cp-7, 0x1.d5b8bb96624edp-7, 0x1.4ddcc72116a8cp-6, 0x1.b08dfd436e87ap-6, 0x1.097535d22e4f8p-5, 0x1.3a76438524c19p-5, 0x1.6b4766fee072p-5, 0x1.9be5e49c5e39fp-5, 0x1.cc4f060b55573p-5, 0x1.fc801a828b633p-5, 0x1.163b3b7d56a45p-4, 0x1.2e17bb33b93b2p-4, 0x1.45d43cf881a3p-4, 0x1.5d6f7496d7469p-4, 0x1.74e8192de6489p-4, 0x1.8c3ce54dd5bdep-4, 0x1.a36c9714db1b4p-4, 0x1.ba75f04c309cbp-4, 0x1.d157b68519387p-4, 0x1.e810b335c1e94p-4, 0x1.fe9fb3d60ca22p-4, 0x1.0a81c4fe1272ap-3, 0x1.159d85bc77b49p-3, 0x1.20a2893a1b729p-3, 0x1.2b903ec44a207p-3, 0x1.366617ef7a1fdp-3, 0x1.412388a4e9a4cp-3, 0x1.4bc807300a767p-3, 0x1.56530c4ba752p-3, 0x1.60c4132edc70dp-3, 0x1.6b1a9999c003ap-3, 0x1.75561fe1cb589p-3, 0x1.7f7628fdf85bep-3, 0x1.897a3a928803ap-3, 0x1.9361dcfc7d15fp-3, 0x1.9d2c9b5cb54c9p-3, 0x1.a6da03a2afc93p-3, 0x1.b069a696e839dp-3, 0x1.b9db17e4d4c04p-3, 0x1.c32dee247eb1cp-3, 0x1.cc61c2e3a5789p-3, 0x1.d57632ae83576p-3, 0x1.de6add1813829p-3, 0x1.e73f64c1ece9ap-3, 0x1.eff36f63aaa76p-3, 0x1.f886a5d1d4059p-3, 0x1.007c5a0225ff8p-2, 0x1.04a4a48e2885ep-2, 0x1.08bc0bb4fb2cap-2, 0x1.0cc26a388dd9ep-2, 0x1.10b79c76f91b7p-2, 0x1.149b806c7b71bp-2, 0x1.186df5b539086p-2, 0x1.1c2edd8eb8958p-2, 0x1.1fde1ad923163p-2, 0x1.237b92183c4c1p-2, 0x1.270729742440dp-2, 0x1.2a80c8b9ccb3dp-2, 0x1.2de8595b37fe8p-2, 0x1.313dc66f71299p-2, 0x1.3480fcb247c1ap-2, 0x1.37b1ea83cb052p-2, 0x1.3ad07fe783fadp-2, 0x1.3ddcae8378feep-2, 0x1.40d6699ee7dep-2, 0x1.43bda620ceaep-2, 0x1.46925a8e31cd1p-2, 0x1.49547f0826103p-2, 0x1.4c040d49a7edfp-2, 0x1.4ea100a5303f8p-2, 0x1.512b560216dedp-2, 0x1.53a30bd9bb36dp-2, 0x1.56082234787d3p-2, 0x1.585a9aa663635p-2, 0x1.5a9a784bd5a3ap-2, 0x1.5cc7bfc5c68afp-2, 0x1.5ee27735f1cebp-2, 0x1.60eaa63acd91fp-2, 0x1.62e055eb55c1p-2, 0x1.64c390d2a4d97p-2, 0x1.669462eb67c03p-2, 0x1.6852d99b1f74bp-2, 0x1.69ff03ad3eb3ap-2, 0x1.6b98f14e21c6ap-2, 0x1.6d20b405dac9fp-2, 0x1.6e965eb2ddd6dp-2, 0x1.6ffa0584898e4p-2, 0x1.714bbdf58b931p-2, 0x1.728b9ec62aa0fp-2, 0x1.73b9bff6689d8p-2, 0x1.74d63ac01382ap-2, 0x1.75e12990b2a8ap-2, 0x1.76daa8035a8e8p-2, 0x1.77c2d2da6e298p-2, 0x1.7899c7f9432d4p-2, 0x1.795fa65db289ep-2, 0x1.7a148e1996e1ap-2, 0x1.7ab8a04c3652dp-2, 0x1.7b4bff1b9e9fbp-2, 0x1.7bcecdadec396p-2, 0x1.7c41302288f0bp-2, 0x1.7ca34b8b5ad06p-2, 0x1.7cf545e5ea2cbp-2, 0x1.7d374614799f7p-2, 0x1.7d6973d71d231p-2, 0x1.7d8bf7c4c0775p-2, 0x1.7d9efb4430295p-2, 0x1.7da2a885195fap-2, 0x1.7d972a790a164p-2, 0x1.7d7caccc6a51ep-2, 0x1.7d535bdf7c5c1p-2, 0x1.7d1b64bf5585bp-2, 0x1.7cd4f51edf448p-2, 0x1.7c803b4fd68e5p-2, 0x1.7c1d663bd4e11p-2, 0x1.7baca55d58daap-2, 0x1.7b2e28b8d79cp-2, 0x1.7aa220d5d7693p-2, 0x1.7a08beb810e1dp-2, 0x1.796233d899059p-2, 0x1.78aeb21f18dacp-2, 0x1.77ee6bdb0bae2p-2, 0x1.772193bd0f5a8p-2, 0x1.76485cd03f1e9p-2, 0x1.7562fa739ac3ap-2, 0x1.7471a053811dap-2, 0x1.73748263366bcp-2, 0x1.726bd4d67cc0dp-2, 0x1.7157cc1b3fc5dp-2, 0x1.70389cd34effcp-2, 0x1.6f0e7bce2e133p-2, 0x1.6dd99e02f5be2p-2, 0x1.6c9a388a4b3fdp-2, 0x1.6b5080986b8b5p-2, 0x1.69fcab774b25fp-2, 0x1.689eee80cc029p-2, 0x1.67377f190b8e5p-2, 0x1.65c692a8c4162p-2, 0x1.644c5e97c9e2cp-2, 0x1.62c918479bad4p-2, 0x1.613cf50e0d786p-2, 0x1.5fa82a300dcc2p-2, 0x1.5e0aecdc7ebcap-2, 0x1.5c6572272d496p-2, 0x1.5ab7ef03deba3p-2, 0x1.590298417b02bp-2, 0x1.5745a2854e759p-2, 0x1.5581424666bc4p-2, 0x1.53b5abc909508p-2, 0x1.51e3131a484f3p-2, 0x1.5009ac0badb8cp-2, 0x1.4e29aa2f03485p-2, 0x1.4c4340d236e0ep-2, 0x1.4a56a2fb56babp-2, 0x1.48640364ae1bfp-2, 0x1.466b9478f79e9p-2, 0x1.446d884fae3f6p-2, 0x1.426a10a978d07p-2, 0x1.40615eecb201ep-2, 0x1.3e53a422097c7p-2, 0x1.3c4110f141217p-2, 0x1.3a29d59e08337p-2, 0x1.380e2204eab95p-2, 0x1.35ee259864f26p-2, 0x1.33ca0f5e0be66p-2, 0x1.31a20debcf78p-2, 0x1.2f764f655c922p-2, 0x1.2d47017994e28p-2, 0x1.2b145160255cfp-2, 0x1.28de6bd730195p-2, 0x1.26a57d21180e8p-2, 0x1.2469b10261087p-2, 0x1.222b32bfaae31p-2, 0x1.1fea2d1bc5d69p-2, 0x1.1da6ca55dfd57p-2, 0x1.1b613427cafc4p-2, 0x1.191993c459fe9p-2, 0x1.16d011d5d8497p-2, 0x1.1484d67c9893dp-2, 0x1.1238094d9a4d8p-2, 0x1.0fe9d151450bep-2, 0x1.0d9a55023e59dp-2, 0x1.0b49ba4c55f5dp-2, 0x1.08f8268b81e53p-2, 0x1.06a5be8af9c17p-2, 0x1.0452a6846088cp-2, 0x1.01ff021f070ffp-2, 0x1.ff55e8de839bap-3, 0x1.faad3febaa2a9p-3, 0x1.f6044d3ee3296p-3, 0x1.f15b53889671dp-3, 0x1.ecb2944f753cfp-3, 0x1.e80a4feff38eap-3, 0x1.e362c59bdc046p-3, 0x1.debc335a0f9f6p-3, 0x1.da16d6065ff15p-3, 0x1.d572e95198c9dp-3, 0x1.d0d0a7c19e1e7p-3, 0x1.cc304ab1b9725p-3, 0x1.c7920a52fa984p-3, 0x1.c2f61dacc0ea7p-3, 0x1.be5cba9d642d6p-3, 0x1.b9c615daf1ad7p-3, 0x1.b53262f413951p-3, 0x1.b0a1d4510b9d3p-3, 0x1.ac149b34d00bbp-3, 0x1.a78ae7be3dcd9p-3, 0x1.a304e8e967993p-3, 0x1.9e82cc9102162p-3, 0x1.9a04bf6fe4413p-3, 0x1.958aed229dcdbp-3, 0x1.911580292d309p-3, 0x1.8ca4a1e8c4a0bp-3, 0x1.88387aada4326p-3, 0x1.83d131ad12bcfp-3, 0x1.7f6eed075dc97p-3, 0x1.7b11d1c9f5a73p-3, 0x1.76ba03f19bf8dp-3, 0x1.7267a66c9e926p-3, 0x1.6e1adb1d2a17p-3, 0x1.69d3c2dba9c8p-3, 0x1.65927d793729ap-3, 0x1.615729c21c20ap-3, 0x1.5d21e5805ebc5p-3, 0x1.58f2cd7e5b13fp-3, 0x1.54c9fd8973219p-3, 0x1.50a79074bf7dcp-3, 0x1.4c8ba01bd1b33p-3, 0x1.4876456583c42p-3, 0x1.44679846ccf63p-3, 0x1.405fafc5a4b22p-3, 0x1.3c5ea1fbeb8aep-3, 0x1.3864841a641a5p-3, 0x1.34716a6baa1bbp-3, 0x1.3085685735d66p-3, 0x1.2ca090646cba8p-3, 0x1.28c2f43daaf3ep-3, 0x1.24eca4b361388p-3, 0x1.211db1bf2d4f6p-3, 0x1.1d562a86fb63fp-3, 0x1.19961d6031058p-3, 0x1.15dd97d2d1ff4p-3, 0x1.122ca69cadfbcp-3, 0x1.0e8355b4928ep-3, 0x1.0ae1b04d7fdedp-3, 0x1.0747c0d9d64ffp-3, 0x1.03b5910e93f5p-3, 0x1.002b29e6877ddp-3, 0x1.f951274b14555p-4, 0x1.f25babb76ffbbp-4, 0x1.eb75eed14c55dp-4, 0x1.e49ffcfd36909p-4, 0x1.ddd9e14b8f02p-4, 0x1.d723a57ef2832p-4, 0x1.d07d5212993b9p-4, 0x1.c9e6ee40ca89cp-4, 0x1.c36080092f7dcp-4, 0x1.bcea0c3728d97p-4, 0x1.b68396683160dp-4, 0x1.b02d21121b38ep-4, 0x1.a9e6ad895eddep-4, 0x1.a3b03c07533b6p-4, 0x1.9d89cbb067864p-4, 0x1.97735a9a46bf2p-4, 0x1.916ce5d209a21p-4, 0x1.8b7669623f119p-4, 0x1.858fe05905ebep-4, 0x1.7fb944ce0b9c7p-4, 0x1.79f28fe885926p-4, 0x1.743bb9e51fcf9p-4, 0x1.6e94ba1bd70efp-4, 0x1.68fd8705d182fp-4, 0x1.637616432953cp-4, 0x1.5dfe5ca09c8d3p-4, 0x1.58964e1d3e1adp-4, 0x1.533dddf016c1ep-4, 0x1.4df4fe8dac3edp-4, 0x1.48bba1ad8d22cp-4, 0x1.4391b84fbb173p-4, 0x1.3e7732c20e454p-4, 0x1.396c00a58e5bap-4, 0x1.347010f3afc97p-4, 0x1.2f8352038e54ap-4, 0x1.2aa5b18f0e893p-4, 0x1.25d71cb7ef251p-4, 0x1.2117800cd34eep-4, 0x1.1c66c78e30786p-4, 0x1.17c4deb3320e1p-4, 0x1.1331b06e8be8ap-4, 0x1.0ead27333bdb1p-4, 0x1.0a372cf936d89p-4, 0x1.05cfab42099d1p-4, 0x1.01768b1d6682ap-4, 0x1.fa576a5b3ab35p-5, 0x1.f1de23581a8b2p-5, 0x1.e98110daeb0dfp-5, 0x1.e14001cc87442p-5, 0x1.d91ac45d8c276p-5, 0x1.d111260ea895cp-5, 0x1.c922f3b8b4459p-5, 0x1.c14ff994ced0fp-5, 0x1.b99803441b2eap-5, 0x1.b1fadbd79da62p-5, 0x1.aa784dd7c5acbp-5, 0x1.a310234bdf21p-5, 0x1.9bc225c17790cp-5, 0x1.948e1e537cc55p-5, 0x1.8d73d5b15d6d5p-5, 0x1.86731425e7465p-5, 0x1.7f8ba19e0f1cp-5, 0x1.78bd45afaa006p-5, 0x1.7207c79fe2f6p-5, 0x1.6b6aee6996917p-5, 0x1.64e680c3acd76p-5, 0x1.5e7a452722e35p-5, 0x1.582601d5148dap-5, 0x1.51e97cdc903cfp-5, 0x1.4bc47c2068f4dp-5, 0x1.45b6c55cb1231p-5, 0x1.3fc01e2c52fa8p-5, 0x1.39e04c0e59a42p-5, 0x1.3417146b330c6p-5, 0x1.2e643c99ccbeep-5, 0x1.28c789e48faf9p-5, 0x1.2340c18e3ba53p-5, 0x1.1dcfa8d69e0bfp-5, 0x1.187404ff47ba8p-5, 0x1.132d9b4ff49acp-5, 0x1.0dfc311b097ccp-5, 0x1.08df8bc1bcc4ep-5, 0x1.03d770b859d72p-5, 0x1.fdc74b1494e89p-6, 0x1.f407dfbbe6d14p-6, 0x1.ea702af138f87p-6, 0x1.e0ffb884451d3p-6, 0x1.d7b61491238bp-6, 0x1.ce92cb874e34fp-6, 0x1.c5956a3078e45p-6, 0x1.bcbd7db714419p-6, 0x1.b40a93acdc1ffp-6, 0x1.ab7c3a10d14e6p-6, 0x1.a311ff555c38cp-6, 0x1.9acb72662877p-6, 0x1.92a822ad7ee13p-6, 0x1.8aa7a01a05acep-6, 0x1.82c97b23bfbafp-6, 0x1.7b0d44d12c43bp-6, 0x1.73728ebc3108ap-6, 0x1.6bf8eb16ab277p-6, 0x1.649fecaf15097p-6, 0x1.5d6726f4d5c58p-6, 0x1.564e2dfc599e7p-6, 0x1.4f54968336782p-6, 0x1.4879f5f3f2b52p-6, 0x1.41bde269a6c92p-6, 0x1.3b1ff2b395a53p-6, 0x1.349fbe58981adp-6, 0x1.2e3cdd9a4836p-6, 0x1.27f6e978047b1p-6, 0x1.21cd7bb200831p-6, 0x1.1bc02ecbe230fp-6, 0x1.15ce9e0fa7613p-6, 0x1.0ff8658fcd9aap-6, 0x1.0a3d222a1d00cp-6, 0x1.049c71898080ap-6, 0x1.fe2be450bab5ep-7, 0x1.f35286a5175fep-7, 0x1.e8ac0a4e3fc8fp-7, 0x1.de37b1344ebabp-7, 0x1.d3f4beecb990cp-7, 0x1.c9e278bd293e3p-7, 0x1.c000259e5bc46p-7, 0x1.b64d0e3eae67cp-7, 0x1.acc87d045be5dp-7, 0x1.a371be0fe0a9fp-7, 0x1.9a481f3d7dd4cp-7, 0x1.914af0275f84dp-7, 0x1.88798226d97f3p-7, 0x1.7fd32855fdeafp-7, 0x1.77573790587f2p-7, 0x1.6f0506747e34ep-7, 0x1.66dbed644159ep-7, 0x1.5edb4685b1b4cp-7, 0x1.57026dc36013p-7, 0x1.4f50c0ccc93eep-7, 0x1.47c59f1655ff5p-7, 0x1.406069d952161p-7, 0x1.39208413da181p-7, 0x1.3205528861448p-7, 0x1.2b0e3bbd729bbp-7, 0x1.243aa7fcc6d38p-7, 0x1.1d8a0152d81cep-7, 0x1.16fbb38db201fp-7, 0x1.108f2c3c3877fp-7, 0x1.0a43daaccdcc7p-7, 0x1.04192fec41319p-7, 0x1.fc1d3d88ad196p-8, 0x1.f0473774c7e48p-8, 0x1.e4af3a1b53358p-8, 0x1.d954356b7d58cp-8, 0x1.ce351cc15566ap-8, 0x1.c350e6e245b35p-8, 0x1.b8a68df8fbe05p-8, 0x1.ae350f9162f18p-8, 0x1.a3fb6c943d1f1p-8, 0x1.99f8a942df6d9p-8, 0x1.902bcd3240735p-8, 0x1.8693e346cdd63p-8, 0x1.7d2ff9aeaeb6cp-8, 0x1.73ff21dd8802ap-8, 0x1.6b0070868ba54p-8, 0x1.6232fd97acbccp-8, 0x1.5995e43423527p-8, 0x1.512842ae70018p-8, 0x1.48e93a83164abp-8, 0x1.40d7f052bea0ep-8, 0x1.38f38bdc33067p-8, 0x1.313b37f66a04dp-8, 0x1.29ae228a8b737p-8, 0x1.224b7c8dae4fdp-8, 0x1.1b1279fa85fa6p-8, 0x1.140251cb5150ap-8, 0x1.0d1a3df306ffbp-8, 0x1.06597b572ea9dp-8, 0x1.ff7e9392ab1ffp-9, 0x1.f295d8008facep-9, 0x1.e5f74f22ead66p-9, 0x1.d9a189d4ebc3dp-9, 0x1.cd931e936c393p-9, 0x1.c1caa970cecbcp-9, 0x1.b646cc0600206p-9, 0x1.ab062d65585c3p-9, 0x1.a0077a0cdb04cp-9, 0x1.954963d840442p-9, 0x1.8acaa1f2515a7p-9, 0x1.8089f0c7f8c8p-9, 0x1.768611f99d9e7p-9, 0x1.6cbdcc4d028c6p-9, 0x1.632feb9f7ddbep-9, 0x1.59db40d79850ep-9, 0x1.50bea1d735f48p-9, 0x1.47d8e96cd4afep-9, 0x1.3f28f746693c6p-9, 0x1.36adafe1dca6bp-9, 0x1.2e65fc802cccep-9, 0x1.2650cb169fb73p-9, 0x1.1e6d0e4068a7cp-9, 0x1.16b9bd318d7cap-9, 0x1.0f35d3a7940ccp-9, 0x1.07e051dc3e717p-9, 0x1.00b83c772d45bp-9, 0x1.f37939005a11bp-10, 0x1.e5d8fea1d943ep-10, 0x1.d88ded0edeb3dp-10, 0x1.cb962ff0137b3p-10, 0x1.beeffb3eb3fd7p-10, 0x1.b2998b29cbadfp-10, 0x1.a69123fa4d3a1p-10, 0x1.9ad511f814e3bp-10, 0x1.8f63a94e74a2ap-10, 0x1.843b45f280631p-10, 0x1.795a4b8610162p-10, 0x1.6ebf253e81083p-10, 0x1.646845c9faa83p-10, 0x1.5a54273490687p-10, 0x1.50814ace873b1p-10, 0x1.46ee39121ab3bp-10, 0x1.3d998189434a1p-10, 0x1.3481bab478cfcp-10, 0x1.2ba581f0f24b4p-10, 0x1.23037b5ef1158p-10, 0x1.1a9a51c970e07p-10, 0x1.1268b68bab8b9p-10, 0x1.0a6d617a6adfep-10, 0x1.02a710c9bc04cp-10, 0x1.f62911e9c04dep-11, 0x1.e769294c75bd7p-11, 0x1.d90c093ee561fp-11, 0x1.cb0f5f43cf9cp-11, 0x1.bd70e4acdd94cp-11, 0x1.b02e5e6cf6928p-11, 0x1.a3459ce8b85efp-11, 0x1.96b47bc9e0ae3p-11, 0x1.8a78e1d1b4039p-11, 0x1.7e90c0aadd41dp-11, 0x1.72fa14bd743e6p-11, 0x1.67b2e504693ebp-11, 0x1.5cb942de9d053p-11, 0x1.520b49e602f4dp-11, 0x1.47a71fc47ca9fp-11, 0x1.3d8af40890df2p-11, 0x1.33b4fffc19987p-11, 0x1.2a23867bd871ap-11, 0x1.20d4d3cc06546p-11, 0x1.17c73d7218b23p-11, 0x1.0ef9220b39a58p-11, 0x1.0668e9258d7e3p-11, 0x1.fc2a062f810fep-12, 0x1.ebf7d1b884954p-12, 0x1.dc3837d1dd1f5p-12, 0x1.cce84c15cb9ebp-12, 0x1.be05327f97124p-12, 0x1.af8c1f236984cp-12, 0x1.a17a55e5c65b6p-12, 0x1.93cd2a309c271p-12, 0x1.8681feb032387p-12, 0x1.7996450a3bd9cp-12, 0x1.6d077d98f603dp-12, 0x1.60d33727f7ab6p-12, 0x1.54f70eae24decp-12, 0x1.4970af0def14bp-12, 0x1.3e3dd0d056f44p-12, 0x1.335c39e833421p-12, 0x1.28c9bd6de9811p-12, 0x1.1e843b633a2e2p-12, 0x1.1489a0732f16fp-12, 0x1.0ad7e5b5ad09ap-12, 0x1.016d1073066a7p-12, 0x1.f08e63cd82a63p-13, 0x1.dec8ce0c17b2cp-13, 0x1.cd85b08d04993p-13, 0x1.bcc172c559c46p-13, 0x1.ac789247a8735p-13, 0x1.9ca7a2514472p-13, 0x1.8d4b4b60008ebp-13, 0x1.7e604ac3fec0dp-13, 0x1.6fe372370af32p-13, 0x1.61d1a7716b7b5p-13, 0x1.5427e3c8c8d5dp-13, 0x1.46e333c297d3p-13, 0x1.3a00b6b748997p-13, 0x1.2d7d9e6aa5be7p-13, 0x1.21572eafb2059p-13, 0x1.158abd04321f1p-13, 0x1.0a15b03869322p-13, 0x1.fdeb001d5776fp-14, 0x1.e84f69c6ad475p-14, 0x1.d353cea0c9df9p-14, 0x1.bef37fb10b8fbp-14, 0x1.ab29ed1e88618p-14, 0x1.97f2a5855ec2bp-14, 0x1.854955561a89bp-14, 0x1.7329c62ca89bdp-14, 0x1.618fde2d8b567p-14, 0x1.50779f6c46da5p-14, 0x1.3fdd27468b383p-14, 0x1.2fbcadd51edcap-14, 0x1.20128548f0ecep-14, 0x1.10db196274048p-14, 0x1.0212eed7174f4p-14, 0x1.e76d458fc2d84p-15, 0x1.cb85d460c87f2p-15, 0x1.b06922bdc5111p-15, 0x1.9610f6d66433bp-15, 0x1.7c77436300951p-15, 0x1.6396269fbed0fp-15, 0x1.4b67e94e03c27p-15, 0x1.33e6fdaf14ea1p-15, 0x1.1d0dfe9a22844p-15, 0x1.06d7ae7c7d8eep-15, 0x1.e27decdcdf42ap-16, 0x1.b87dca90c91a5p-16, 0x1.8fa55d829200fp-16, 0x1.67eb550e45c9p-16, 0x1.4146a6c273c9ep-16, 0x1.1bae8cb5bb4bdp-16, 0x1.ee3507d63df35p-17, 0x1.a704950ca80a3p-17, 0x1.61bbbca99de63p-17, 0x1.1e4af6625646ap-17, 0x1.b94665d891fbdp-18, 0x1.396bb1f49a295p-18, 0x1.79d3094a72d57p-19, 0x1.0e91c6fcc1af7p-20, -0x1.93f0c2396dcdap-21, -0x1.4b2fabfaba4efp-19, -0x1.15c1b454ba013p-18, -0x1.8313d619a2bbdp-18, -0x1.eda598fcad27dp-18, -0x1.2ac6cd85ebde9p-17, -0x1.5d70dfa182b72p-17, -0x1.8edb99669677ep-17, -0x1.bf1138da84d4ap-17, -0x1.ee1ba5e21e369p-17, -0x1.0e023a3b4354ep-16, -0x1.246a7379974a3p-16, -0x1.3a4af827a8fb3p-16, -0x1.4fa81b2730196p-16, -0x1.648609ca235e6p-16, -0x1.78e8ccd36d127p-16, -0x1.8cd4498e0309p-16, -0x1.a04c42bbf74ddp-16, -0x1.b35459978f63cp-16, -0x1.c5f00ec05eb3fp-16, -0x1.d822c329313c7p-16, -0x1.e9efb9092818ep-16, -0x1.fb5a14b02bb34p-16, -0x1.06326eb8456c8p-15, -0x1.0e897f3667102p-15, -0x1.16b3a3bc096cep-15, -0x1.1eb236ee71b79p-15, -0x1.268686954efcap-15, -0x1.2e31d3fee824dp-15, -0x1.35b5545bc18cfp-15, -0x1.3d1231250a0f5p-15, -0x1.4449886e6359ap-15, -0x1.4b5c6d4620378p-15, -0x1.524be80d2bccbp-15, -0x1.5918f6ca4fd24p-15, -0x1.5fc48d7f1364ep-15, -0x1.664f967903734p-15, -0x1.6cbaf2a113584p-15, -0x1.730779c9c6e39p-15, -0x1.7935fafa0d58ap-15, -0x1.7f473cb798ecbp-15, -0x1.853bfd4ca2f8ap-15, -0x1.8b14f310db894p-15, -0x1.90d2ccaf3f951p-15, -0x1.9676316424a41p-15, -0x1.9bffc14195143p-15, -0x1.a170156e10fabp-15, -0x1.a6c7c06100826p-15, -0x1.ac074e1f31d19p-15, -0x1.b12f447633d2cp-15, -0x1.b6402333a07acp-15, -0x1.bb3a645edc1e8p-15, -0x1.c01e7c6b7de28p-15, -0x1.c4ecda733937fp-15, -0x1.c9a5e8639689ap-15, -0x1.ce4a0b33b01c6p-15, -0x1.d2d9a312435cdp-15, -0x1.d7550b93d884ep-15, -0x1.dbbc9be2b7c7bp-15, -0x1.e010a6ea1d705p-15, -0x1.e4517b8254964p-15, -0x1.e87f6499c7f51p-15, -0x1.ec9aa95f196a8p-15, -0x1.f0a38d6599bebp-15, -0x1.f49a50d01eb9cp-15, -0x1.f87f3074082fcp-15, -0x1.fc5265fc249fp-15, -0x1.000a1406face9p-14, -0x1.01e255352c858p-14, -0x1.03b20f085408ap-14, -0x1.057958ae4cbdap-14, -0x1.07384814108ffp-14, -0x1.08eef1f34583ap-14, -0x1.0a9d69e1f8a5bp-14, -0x1.0c43c260243bep-14, -0x1.0de20ce579548p-14, -0x1.0f7859eeabf4ap-14, -0x1.1106b90a9351dp-14, -0x1.128d38e6581d3p-14, -0x1.140be759af984p-14, -0x1.1582d172acbdbp-14, -0x1.16f20380310cfp-14, -0x1.1859891dd26a3p-14, -0x1.19b96d3e0b9a7p-14, -0x1.1b11ba3396329p-14, -0x1.1c6279bbb89eap-14, -0x1.1dabb50837068p-14, -0x1.1eed74c80b783p-14, -0x1.2027c13083d9ep-14, -0x1.215aa205461cdp-14, -0x1.22861ea075686p-14, -0x1.23aa3dfacbbd2p-14, -0x1.24c706b3bc0f6p-14, -0x1.25dc7f17a63f8p-14, -0x1.26eaad276cb14p-14, -0x1.27f1969ed6ec5p-14, -0x1.28f140fbd05f5p-14, -0x1.29e9b183fc324p-14, -0x1.2adaed4accc82p-14, -0x1.2bc4f9377f263p-14, -0x1.2ca7da0a7f93dp-14, -0x1.2d8394626d4fp-14, -0x1.2e582cc17e459p-14, -0x1.2f25a791d85f5p-14, -0x1.2fec092aa2875p-14, -0x1.30ab55d4400efp-14, -0x1.316391cc70808p-14, -0x1.3214c14aa9741p-14, -0x1.32bee883513d7p-14, -0x1.33620babe7ef4p-14, -0x1.33fe2efe98ddap-14, -0x1.349356bd0e9d9p-14, -0x1.352187339a9bp-14, -0x1.35a8c4bc03df2p-14, -0x1.362913c0fa4f2p-14, -0x1.36a278c035a0dp-14, -0x1.3714f84d51d14p-14, -0x1.37809713dd86bp-14, -0x1.37e559d9cddd8p-14, -0x1.384345815d0cdp-14, -0x1.389a5f0b2a9d9p-14, -0x1.38eaab97a7aadp-14, -0x1.393430696be0dp-14, -0x1.3976f2e5fc8c7p-14, -0x1.39b2f897efb3dp-14, -0x1.39e847303d515p-14, -0x1.3a16e4871f6ccp-14, -0x1.3a3ed69d6d3ebp-14, -0x1.3a60239db4c0fp-14, -0x1.3a7ad1dd284bp-14, -0x1.3a8ee7dc757b2p-14, -0x1.3a9c6c483d305p-14, -0x1.3aa365fa2e2fbp-14, -0x1.3aa3dbf97168cp-14, -0x1.3a9dd57b3b83ap-14, -0x1.3a9159e33bd95p-14, -0x1.3a7e70c39e127p-14, -0x1.3a6521ddec987p-14, -0x1.3a457522e5595p-14, -0x1.3a1f72b2b33efp-14, -0x1.39f322dd4b7fcp-14, -0x1.39c08e22040e1p-14, -0x1.3987bd2f8fcfbp-14, -0x1.3948b8e461561p-14, -0x1.39038a4dffbbp-14, -0x1.38b83aa913c7ap-14, -0x1.3866d3615255dp-14, -0x1.380f5e10e9ad8p-14, -0x1.37b1e4804dff4p-14, -0x1.374e70a601b9bp-14, -0x1.36e50ca619c7dp-14, -0x1.3675c2d176afap-14, -0x1.36009da56292ap-14, -0x1.3585a7cb34f1fp-14, -0x1.3504ec17b39d4p-14, -0x1.347e758ac08d8p-14, -0x1.33f24f4e22107p-14, -0x1.336084b532147p-14, -0x1.32c9213c68e26p-14, -0x1.322c30884ffbp-14, -0x1.3189be64c1b24p-14, -0x1.30e1d6c4981e6p-14, -0x1.303485c03469fp-14, -0x1.2f81d7956fdfep-14, -0x1.2ec9d8a650ff1p-14, -0x1.2e0c95784edd9p-14, -0x1.2d4a1ab3ba05p-14, -0x1.2c827522676f2p-14, -0x1.2bb5b1af8549cp-14, -0x1.2ae3dd661c84dp-14, -0x1.2a0d057072a79p-14, -0x1.29313716f09c6p-14, -0x1.28507fbf5d9cbp-14, -0x1.276aecebcc78ep-14, -0x1.26808c3a12536p-14, -0x1.25916b627760dp-14, -0x1.249d9836cfc88p-14, -0x1.23a520a1987adp-14, -0x1.22a812a51ae04p-14, -0x1.21a67c5a8af32p-14, -0x1.20a06bf0cff57p-14, -0x1.1f95efabb14ffp-14, -0x1.1e8715e2ffa8bp-14, -0x1.1d73ed0154f3bp-14, -0x1.1c5c83839b923p-14, -0x1.1b40e7f78821fp-14, -0x1.1a2128faf3ef5p-14, -0x1.18fd553b230d3p-14, -0x1.17d57b7350274p-14, -0x1.16a9aa6c31782p-14, -0x1.1579f0fab8abfp-14, -0x1.14465dff6450ep-14, -0x1.130f00652813ep-14, -0x1.11d3e7206a10ap-14, -0x1.1095212e9717dp-14, -0x1.0f52bd948e14ap-14, -0x1.0e0ccb5e244a8p-14, -0x1.0cc3599d2ac08p-14, -0x1.0b76776899252p-14, -0x1.0a2633db6b69dp-14, -0x1.08d29e143d0ffp-14, -0x1.077bc534076bap-14, -0x1.0621b85d9a2c5p-14, -0x1.04c486b467509p-14, -0x1.03643f5bf789dp-14, -0x1.0200f1769399ep-14, -0x1.009aac256d098p-14, -0x1.fe62fd0df8721p-15, -0x1.fb8aef6d185ecp-15, -0x1.f8ad4d965586cp-15, -0x1.f5ca35af09855p-15, -0x1.f2e1c5d09b79bp-15, -0x1.eff41c0866727p-15, -0x1.ed015655b6efcp-15, -0x1.ea0992a8531b9p-15, -0x1.e70ceedeb3627p-15, -0x1.e40b88c5563b6p-15, -0x1.e1057e14eeaa4p-15, -0x1.ddfaec71400e1p-15, -0x1.daebf1678b53bp-15, -0x1.d7d8aa6d32ec1p-15, -0x1.d4c134df44438p-15, -0x1.d1a5ae000d804p-15, -0x1.ce8632f69d3f9p-15, -0x1.cb62e0cd0f5b7p-15, -0x1.c83bd46fd3ba2p-15, -0x1.c5112aac83fdp-15, -0x1.c1e3003041912p-15, -0x1.beb171874e488p-15, -0x1.bb7c9b1b270bp-15, -0x1.b844993249787p-15, -0x1.b50987ee5dbbdp-15, -0x1.b1cb834c0af3p-15, -0x1.ae8aa720f6da3p-15, -0x1.ab470f1bb0e67p-15, -0x1.a800d6c24b6dp-15, -0x1.a4b81972144cep-15, -0x1.a16cf25d9eb11p-15, -0x1.9e1f7c8cefbdcp-15, -0x1.9acfd2db6fd22p-15, -0x1.977e0ff8552e1p-15, -0x1.942a4e65662bcp-15, -0x1.90d4a87644be8p-15, -0x1.8d7d384f2ae93p-15, -0x1.8a2417e48f96cp-15, -0x1.86c960fac949ep-15, -0x1.836d2d24bb714p-15, -0x1.800f95c3a5c4p-15, -0x1.7cb0b40636778p-15, -0x1.7950a0e884d7dp-15, -0x1.75ef75323f6d6p-15, }}, 
      {{-0x1.45a63ff700b2dp-1, -0x1.45acac4baf515p-1, -0x1.45b71cacd71b4p-1, -0x1.45c5309da2de2p-1, -0x1.45d66a3f6efe7p-1, -0x1.45ea34a8f4dc1p-1, -0x1.45ffea3399843p-1, -0x1.4616da723ff59p-1, -0x1.462e4f997ccb3p-1, -0x1.464593350249ep-1, -0x1.465bf219a14f7p-1, -0x1.4670bf93f8dep-1, -0x1.468357e03da18p-1, -0x1.469321ff0eddcp-1, -0x1.469f90fea8b31p-1, -0x1.46a824cffbf29p-1, -0x1.46ac6abd66d15p-1, -0x1.46abfd95ea6fap-1, -0x1.46a6859c88701p-1, -0x1.469bb8486c442p-1, -0x1.468b57dfdda4bp-1, -0x1.467532f5e5836p-1, -0x1.465923d0ef23dp-1, -0x1.46370fbf897b1p-1, -0x1.460ee65fa3bcp-1, -0x1.45e0a0dc0c6b1p-1, -0x1.45ac41239990dp-1, -0x1.4571d11d19638p-1, -0x1.453161dae1f71p-1, -0x1.44eb0ad0995f3p-1, -0x1.449ee90d8e99ap-1, -0x1.444d1e7daf7f5p-1, -0x1.43f5d132d8293p-1, -0x1.43992ab7ec8f2p-1, -0x1.4337576ed4c06p-1, -0x1.42d085fa247c7p-1, -0x1.4264e6b2ed458p-1, -0x1.41f4ab2aed806p-1, -0x1.418005bb124d6p-1, -0x1.4107291e0ac89p-1, -0x1.408a48167d6ddp-1, -0x1.400995204854fp-1, -0x1.3f85422c22114p-1, -0x1.3efd8064d004dp-1, -0x1.3e727ffd2c051p-1, -0x1.3de470061dda7p-1, -0x1.3d537e4bbba81p-1, -0x1.3cbfd738c215ep-1, -0x1.3c29a5bfa0866p-1, -0x1.3b91134863ec9p-1, -0x1.3af647a2d44bbp-1, -0x1.3a5968fc2e3e7p-1, -0x1.39ba9bd7ef4ep-1, -0x1.391a030b37bfdp-1, -0x1.3877bfba5dccdp-1, -0x1.37d3f1585299dp-1, -0x1.372eb5a78e2bap-1, -0x1.368828bc448d6p-1, -0x1.35e064ffa9011p-1, -0x1.353783341cb38p-1, -0x1.348d9a7a21278p-1, -0x1.33e2c055f707fp-1, -0x1.333708b5d444fp-1, -0x1.328a85f8a3d98p-1, -0x1.31dd48f542409p-1, -0x1.312f6102318abp-1, -0x1.3080dbfdbd295p-1, -0x1.2fd1c6568b3d1p-1, -0x1.2f222b1497e21p-1, -0x1.2e7213e296859p-1, -0x1.2dc18917ba5d9p-1, -0x1.2d1091c1dda78p-1, -0x1.2c5f33b00ac27p-1, -0x1.2bad737d5dafep-1, -0x1.2afb549c3c70fp-1, -0x1.2a48d961df36ap-1, -0x1.299603122194p-1, -0x1.28e2d1eb97334p-1, -0x1.282f4533d9ef3p-1, -0x1.277b5b4409d86p-1, -0x1.26c7119575e81p-1, -0x1.261264ce61829p-1, -0x1.255d50cee2296p-1, -0x1.24a7d0bdc2e59p-1, -0x1.23f1df156b366p-1, -0x1.233b75b0bb016p-1, -0x1.22848dd7cfdc6p-1, -0x1.21cd204caf121p-1, -0x1.21152557c48ddp-1, -0x1.205c94d432b79p-1, -0x1.1fa3663be6f05p-1, -0x1.1ee990b36cbf3p-1, -0x1.1e2f0b157558dp-1, -0x1.1d73cbfe10ddbp-1, -0x1.1cb7c9d58da8p-1, -0x1.1bfafadafd703p-1, -0x1.1b3d552e55f37p-1, -0x1.1a7eceda2dfb9p-1, -0x1.19bf5ddd0dfe1p-1, -0x1.18fef83257d6ap-1, -0x1.183d93dabb465p-1, -0x1.177b26e43e425p-1, -0x1.16b7a771d0ee8p-1, -0x1.15f30bc26fe72p-1, -0x1.152d4a37d7ee8p-1, -0x1.1466595cc3f4bp-1, -0x1.139e2feabf5ebp-1, -0x1.12d4c4cf87461p-1, -0x1.120a0f3200688p-1, -0x1.113e0676c3c1fp-1, -0x1.1070a24441999p-1, -0x1.0fa1da86835bep-1, -0x1.0ed1a772899f4p-1, -0x1.0e0001894cb2ep-1, -0x1.0d2ce19a648ebp-1, -0x1.0c5840c658cdep-1, -0x1.0b8218809e6a6p-1, -0x1.0aaa629146164p-1, -0x1.09d119166203dp-1, -0x1.08f636852191ep-1, -0x1.0819b5aaac8a2p-1, -0x1.073b91acbfb3p-1, -0x1.065bc60a0ce8bp-1, -0x1.057a4e9a6555bp-1, -0x1.0497278eb0df7p-1, -0x1.03b24d70b4c12p-1, -0x1.02cbbd22b0269p-1, -0x1.01e373decf6f3p-1, -0x1.00f96f367a7fep-1, -0x1.000dad1182508p-1, -0x1.fe40575a5d2e1p-2, -0x1.fc61d33666836p-2, -0x1.fa7fcb8110f46p-2, -0x1.f89a3ea86373ap-2, -0x1.f6b12bbbdb8d7p-2, -0x1.f4c49269b28e3p-2, -0x1.f2d472fbff79ep-2, -0x1.f0e0ce55c4c8p-2, -0x1.eee9a5efe57f1p-2, -0x1.eceefbd60eep-2, -0x1.eaf0d2a38d665p-2, -0x1.e8ef2d801d628p-2, -0x1.e6ea101cb1e6dp-2, -0x1.e4e17eb0351bfp-2, -0x1.e2d57df44a578p-2, -0x1.e0c613220cae1p-2, -0x1.deb343eed109dp-2, -0x1.dc9d1688eb558p-2, -0x1.da839194795e9p-2, -0x1.d866bc2835a2cp-2, -0x1.d6469dca4ef36p-2, -0x1.d4233e6d4c697p-2, -0x1.d1fca66cf8d4p-2, -0x1.cfd2de8b5b57ap-2, -0x1.cda5efedb94b3p-2, -0x1.cb75e419a4d4ap-2, -0x1.c942c4f219291p-2, -0x1.c70c9cb49f274p-2, -0x1.c4d375f6846b9p-2, -0x1.c2975ba21b9fbp-2, -0x1.c05858f4098bfp-2, -0x1.be167978a2deep-2, -0x1.bbd1c90950fdfp-2, -0x1.b98a53ca086e8p-2, -0x1.b7402626c95bbp-2, -0x1.b4f34cd12cddap-2, -0x1.b2a3d4bdfe918p-2, -0x1.b051cb22e12fdp-2, -0x1.adfd3d73fd40cp-2, -0x1.aba63961bfa53p-2, -0x1.a94cccd69ba51p-2, -0x1.a6f105f4dc61ep-2, -0x1.a492f3147ea4cp-2, -0x1.a232a2c113782p-2, -0x1.9fd023b7ab1c9p-2, -0x1.9d6b84e4cbdddp-2, -0x1.9b04d5626c6c3p-2, -0x1.989c2475fa86ep-2, -0x1.9631818e652a9p-2, -0x1.93c4fc42314e8p-2, -0x1.9156a44d92265p-2, -0x1.8ee689908b107p-2, -0x1.8c74bc0d13b7fp-2, -0x1.8a014be54653bp-2, -0x1.878c49598ec6bp-2, -0x1.8515c4c6e36d7p-2, -0x1.829dcea4ffadbp-2, -0x1.80247784a43ddp-2, -0x1.7da9d00ddb619p-2, -0x1.7b2de8fe426dap-2, -0x1.78b0d3275892ep-2, -0x1.76329f6ccb75ep-2, -0x1.73b35ec2d0883p-2, -0x1.7133222c7adc8p-2, -0x1.6eb1faba18048p-2, -0x1.6c2ff9878eb0ep-2, -0x1.69ad2fbac227dp-2, -0x1.6729ae81f9409p-2, -0x1.64a58712455eap-2, -0x1.6220caa5ef953p-2, -0x1.5f9b8a7aeb11fp-2, -0x1.5d15d7d144739p-2, -0x1.5a8fc3e99a5cap-2, -0x1.5809600396067p-2, -0x1.5582bd5c6758cp-2, -0x1.52fbed2d47299p-2, -0x1.507500a9f74a3p-2, -0x1.4dee08ff4c411p-2, -0x1.4b671751b6931p-2, -0x1.48e03cbbd072ep-2, -0x1.46598a4cefd6p-2, -0x1.43d31107bb9ep-2, -0x1.414ce1e0c4468p-2, -0x1.3ec70dbd22bb7p-2, -0x1.3c41a571172f7p-2, -0x1.39bcb9beb12e1p-2, -0x1.37385b54773e6p-2, -0x1.34b49acc16dfap-2, -0x1.323188a915d8bp-2, -0x1.2faf355789af4p-2, -0x1.2d2db12ad4d69p-2, -0x1.2aad0c5c66f2cp-2, -0x1.282d570a84254p-2, -0x1.25aea1370d3a6p-2, -0x1.2330fac653b72p-2, -0x1.20b4737ded05bp-2, -0x1.1e391b0390a04p-2, -0x1.1bbf00dbf47a6p-2, -0x1.19463469b9af4p-2, -0x1.16cec4ec52979p-2, -0x1.1458c17efa06ap-2, -0x1.11e43917aa163p-2, -0x1.0f713a86191b4p-2, -0x1.0cffd472c1993p-2, -0x1.0a90155de953cp-2, -0x1.08220b9eb6743p-2, -0x1.05b5c56245ffcp-2, -0x1.034b50aac958p-2, -0x1.00e2bb4eac86cp-2, -0x1.fcf825ef82c0ep-3, -0x1.f82eca44e4414p-3, -0x1.f3697e39f45d9p-3, -0x1.eea85c0d4f5d8p-3, -0x1.e9eb7d9e420d5p-3, -0x1.e532fc6b6660ep-3, -0x1.e07ef1914d492p-3, -0x1.dbcf75c934d8fp-3, -0x1.d724a167d3878p-3, -0x1.d27e8c5c2372p-3, -0x1.cddd4e2e4c666p-3, -0x1.c940fdfe8def2p-3, -0x1.c4a9b2843f5b5p-3, -0x1.c017820cdebb8p-3, -0x1.bb8a827b2525ap-3, -0x1.b702c946347adp-3, -0x1.b2806b78cb55bp-3, -0x1.ae037db088cdcp-3, -0x1.a98c141d3f2f3p-3, -0x1.a51a428056876p-3, -0x1.a0ae1c2c3397ap-3, -0x1.9c47b403bbcfp-3, -0x1.97e71c79d7816p-3, -0x1.938c67910cbfap-3, -0x1.8f37a6db2058bp-3, -0x1.8ae8eb78c9524p-3, -0x1.86a046196d2e6p-3, -0x1.825dc6faece6ep-3, -0x1.7e217de97b95fp-3, -0x1.79eb7a3f86b62p-3, -0x1.75bbcae5a1062p-3, -0x1.71927e5286eecp-3, -0x1.6d6fa28b274e9p-3, -0x1.69534522b511ap-3, -0x1.653d733acec67p-3, -0x1.612e3983a7f5bp-3, -0x1.5d25a43c4795ap-3, -0x1.5923bf32c67e3p-3, -0x1.552895c4a2f8ep-3, -0x1.513432df1a794p-3, -0x1.4d46a0ff8de37p-3, -0x1.495fea33f3e57p-3, -0x1.4580181b4df4p-3, -0x1.41a733e632644p-3, -0x1.3dd5465753e0fp-3, -0x1.3a0a57c421818p-3, -0x1.364670155d33bp-3, -0x1.328996c7cf2c6p-3, -0x1.2ed3d2ecf16dap-3, -0x1.2b252b2bb14a5p-3, -0x1.277da5c12f272p-3, -0x1.23dd48818c4f3p-3, -0x1.204418d8c274ap-3, -0x1.1cb21bcb788e7p-3, -0x1.192755f7edb36p-3, -0x1.15a3cb96deae2p-3, -0x1.1227807c78c2dp-3, -0x1.0eb278195702cp-3, -0x1.0b44b57b7b3acp-3, -0x1.07de3b4f54f37p-3, -0x1.047f0be0cf7bfp-3, -0x1.0127291c60d52p-3, -0x1.fbad292042d19p-4, -0x1.f51a9ed9ce8b5p-4, -0x1.ee96b50ed28c2p-4, -0x1.e8216cb2cb762p-4, -0x1.e1bac605922fep-4, -0x1.db62c095c5603p-4, -0x1.d5195b432a1f4p-4, -0x1.cede94411c7cp-4, -0x1.c8b269190386dp-4, -0x1.c294d6acd6f3ap-4, -0x1.bc85d939986b5p-4, -0x1.b6856c59e3bc6p-4, -0x1.b0938b087f0aap-4, -0x1.aab02fa2ee84cp-4, -0x1.a4db53ec10e4ap-4, -0x1.9f14f10eb86bdp-4, -0x1.995cffa05658p-4, -0x1.93b377a3970ap-4, -0x1.8e18508b12c19p-4, -0x1.888b813bfb88ap-4, -0x1.830d0010c4157p-4, -0x1.7d9cc2dbd8f83p-4, -0x1.783abeea4cf0dp-4, -0x1.72e6e90693851p-4, -0x1.6da1357b2fcd3p-4, -0x1.686998156eaf9p-4, -0x1.634004281ba89p-4, -0x1.5e246c8e35bf5p-4, -0x1.5916c3ada82c5p-4, -0x1.5416fb79fa8e2p-4, -0x1.4f2505770a172p-4, -0x1.4a40d2bbb9ef5p-4, -0x1.456a53f4a52bap-4, -0x1.40a17966cac99p-4, -0x1.3be632f242a45p-4, -0x1.37387014dee27p-4, -0x1.32981fecd8a5ep-4, -0x1.2e05313b752b8p-4, -0x1.297f9267a70c3p-4, -0x1.25073180ac528p-4, -0x1.209bfc40a8df2p-4, -0x1.1c3de00f3a4b5p-4, -0x1.17ecca0410b73p-4, -0x1.13a8a6e97601fp-4, -0x1.0f71633edaceep-4, -0x1.0b46eb3b59844p-4, -0x1.07292ad036d33p-4, -0x1.03180dab5b90ap-4, -0x1.fe26fe738eae7p-5, -0x1.f636d55408ca1p-5, -0x1.ee5f75dd1accp-5, -0x1.e6a0b58061362p-5, -0x1.defa6940e0614p-5, -0x1.d76c65b7b2de5p-5, -0x1.cff67f18a699fp-5, -0x1.c8988936d6219p-5, -0x1.c15257892ccbbp-5, -0x1.ba23bd2ee599bp-5, -0x1.b30c8cf3f3eeap-5, -0x1.ac0c99556596dp-5, -0x1.a523b485b1cf6p-5, -0x1.9e51b070fa959p-5, -0x1.97965ec146378p-5, -0x1.90f190e29c664p-5, -0x1.8a631807201cp-5, -0x1.83eac52b1a086p-5, -0x1.7d886918f109dp-5, -0x1.773bd46d0c238p-5, -0x1.7104d799b68eap-5, -0x1.6ae342eae36e3p-5, -0x1.64d6e689eceeap-5, -0x1.5edf928139032p-5, -0x1.58fd16bfe098cp-5, -0x1.532f431d2f61ep-5, -0x1.4d75e75c2b04cp-5, -0x1.47d0d32ef937ep-5, -0x1.423fd63a3f889p-5, -0x1.3cc2c0186a266p-5, -0x1.3759605cf3bd5p-5, -0x1.3203869789c65p-5, -0x1.2cc102572c44cp-5, -0x1.2791a32d3ebdp-5, -0x1.227538b080304p-5, -0x1.1d6b927ffdd0bp-5, -0x1.18748045ed6efp-5, -0x1.138fd1ba7db39p-5, -0x1.0ebd56a6940cap-5, -0x1.09fcdee67c886p-5, -0x1.054e3a6c8b433p-5, -0x1.00b13943a317dp-5, -0x1.f84b5723881a4p-6, -0x1.ef56c334e1e7fp-6, -0x1.e68457822d8dcp-6, -0x1.ddd3b516b9a29p-6, -0x1.d5447d46ddb6ep-6, -0x1.ccd651b44a6aep-6, -0x1.c488d4526f54bp-6, -0x1.bc5ba76a9ca4dp-6, -0x1.b44e6da00a0d2p-6, -0x1.ac60c9f3e6195p-6, -0x1.a4925fc90efa4p-6, -0x1.9ce2d2e7e06cdp-6, -0x1.9551c781ce431p-6, -0x1.8ddee234e5977p-6, -0x1.8689c80f2ad17p-6, -0x1.7f521e91ef381p-6, -0x1.78378bb502a16p-6, -0x1.7139b5e9bae8dp-6, -0x1.6a58441e03d8p-6, -0x1.6392ddbf27483p-6, -0x1.5ce92abca356cp-6, -0x1.565ad38ad87ep-6, -0x1.4fe781258f90fp-6, -0x1.498edd1282883p-6, -0x1.43509163b8458p-6, -0x1.3d2c48b9cf73ep-6, -0x1.3721ae4629091p-6, -0x1.31306dcd12c6ep-6, -0x1.2b5833a7bcf6p-6, -0x1.2598acc627aecp-6, -0x1.1ff186b0fdd68p-6, -0x1.1a626f8b51da9p-6, -0x1.14eb16144115dp-6, -0x1.0f8b29a897ebp-6, -0x1.0a425a4438a6p-6, -0x1.051058839d1abp-6, -0x1.ffe9ab4a3616bp-7, -0x1.f5df07146369ep-7, -0x1.ec002971560cap-7, -0x1.e24c78b78388ap-7, -0x1.d8c35c8a3c52fp-7, -0x1.cf643ddba7dc2p-7, -0x1.c62e86ee841bcp-7, -0x1.bd21a357afa0ep-7, -0x1.b43cffffccf81p-7, -0x1.ab800b24757ap-7, -0x1.a2ea3459a02d2p-7, -0x1.9a7aec8a7a81bp-7, -0x1.9231a5faa22a6p-7, -0x1.8a0dd446d2373p-7, -0x1.820eec65a54ddp-7, -0x1.7a3464a83078ap-7, -0x1.727db4ba7f00bp-7, -0x1.6aea55a3fd631p-7, -0x1.6379c1c7a389fp-7, -0x1.5c2b74e424a61p-7, -0x1.54feec1417ff4p-7, -0x1.4df3a5cdb6cecp-7, -0x1.470921e2d7528p-7, -0x1.403ee180a9cf1p-7, -0x1.3994672f5142bp-7, -0x1.330936d17d386p-7, -0x1.2c9cd5a3de076p-7, -0x1.264eca3c7a641p-7, -0x1.201e9c8a0ecb5p-7, -0x1.1a0bd5d32d509p-7, -0x1.141600b570fbfp-7, -0x1.0e3ca9247e35ep-7, -0x1.087f5c68fd25cp-7, -0x1.02dda91f8470fp-7, -0x1.faae3e6ed231ap-8, -0x1.efd69fe302cb6p-8, -0x1.e5339bbda56b9p-8, -0x1.dac459be5e81p-8, -0x1.d088043fa573ep-8, -0x1.c67dc8339fe91p-8, -0x1.bca4d52116123p-8, -0x1.b2fc5d2030638p-8, -0x1.a98394d72fa78p-8, -0x1.a039b376dcbc9p-8, -0x1.971df2b710cf3p-8, -0x1.8e2f8ed2fe3f8p-8, -0x1.856dc6858afap-8, -0x1.7cd7db055a082p-8, -0x1.746d1000fd191p-8, -0x1.6c2cab9ac6e65p-8, -0x1.6415f664eb498p-8, -0x1.5c283b5d34eafp-8, -0x1.5462c7e8be52p-8, -0x1.4cc4ebcfbc208p-8, -0x1.454df93900179p-8, -0x1.3dfd44a5ad168p-8, -0x1.36d224ec99c14p-8, -0x1.2fcbf335c0f14p-8, -0x1.28ea0af5b1deap-8, -0x1.222bc9e8f15e5p-8, -0x1.1b90900f1e0b3p-8, -0x1.1517bfa64fd41p-8, -0x1.0ec0bd263c6dp-8, -0x1.088aef3b561fep-8, -0x1.0275bec20361ap-8, -0x1.f9012d835cdfbp-9, -0x1.ed55c8cf86f49p-9, -0x1.e1e82e058741bp-9, -0x1.d6b73ffa7ca8bp-9, -0x1.cbc1e5b187ebfp-9, -0x1.c1070a51fa1bep-9, -0x1.b6859d1ccd2fbp-9, -0x1.ac3c9162ca916p-9, -0x1.a22ade79fab48p-9, -0x1.984f7fb3e7c7bp-9, -0x1.8ea97452c77d6p-9, -0x1.8537bf7fc7df4p-9, -0x1.7bf96840469ap-9, -0x1.72ed796bc68ebp-9, -0x1.6a1301a1a928fp-9, -0x1.6169133eb0895p-9, -0x1.58eec452ca4e5p-9, -0x1.50a32e96ca0adp-9, -0x1.48856f61eff0ep-9, -0x1.4094a79fc86fdp-9, -0x1.38cffbc5dd17ep-9, -0x1.313693c9540acp-9, -0x1.29c79b14d92b1p-9, -0x1.2282407e336bp-9, -0x1.1b65b63c35dcdp-9, -0x1.147131dc90ae2p-9, -0x1.0da3ec398c2d8p-9, -0x1.06fd217019f23p-9, -0x1.007c10d5a0c6p-9, -0x1.f43ff9dbdfeccp-10, -0x1.e7d056c2a2197p-10, -0x1.dba7c9e4fd008p-10, -0x1.cfc4eae988222p-10, -0x1.c426578467ee5p-10, -0x1.b8cab3632023ap-10, -0x1.adb0a819c696dp-10, -0x1.a2d6e50efab8ep-10, -0x1.983c1f68c2cd3p-10, -0x1.8ddf11f934343p-10, -0x1.83be7d2b87cbfp-10, -0x1.79d926f136335p-10, -0x1.702ddaae8aafbp-10, -0x1.66bb692876f5bp-10, -0x1.5d80a8715c1a5p-10, -0x1.547c73d74950ep-10, -0x1.4badabd0d800ap-10, -0x1.431335eb8b293p-10, -0x1.3aabfcb919cedp-10, -0x1.3276efbdfc881p-10, -0x1.2a73035f56aabp-10, -0x1.229f30d16332ep-10, -0x1.1afa7605951aep-10, -0x1.1383d599b1a62p-10, -0x1.0c3a56c6085dbp-10, -0x1.051d054cb58dp-10, -0x1.fc55e2d12c504p-11, -0x1.eec65f787e5f1p-11, -0x1.e189b2833ffa5p-11, -0x1.d49e1672770b7p-11, -0x1.c801ce34044fp-11, -0x1.bbb32501b3779p-11, -0x1.afb06e420183ap-11, -0x1.a3f80566e2575p-11, -0x1.98884dd033d0fp-11, -0x1.8d5fb2aa8241fp-11, -0x1.827ca6d1e7269p-11, -0x1.77dda4b233a83p-11, -0x1.6d812e29d241ep-11, -0x1.6365cc6b183f9p-11, -0x1.598a0fdeb043cp-11, -0x1.4fec9006c6ae2p-11, -0x1.468beb61d6889p-11, -0x1.3d66c74e14145p-11, -0x1.347bcfed38d7cp-11, -0x1.2bc9b8082436bp-11, -0x1.234f38f3cd95fp-11, -0x1.1b0b12751fb94p-11, -0x1.12fc0aa6af424p-11, -0x1.0b20eddd6d8dbp-11, -0x1.03788e8eaa2e8p-11, -0x1.f8038a6b84e39p-12, -0x1.e976e074de606p-12, -0x1.db48e7ae96484p-12, -0x1.cd7774019cb05p-12, -0x1.c00064980c824p-12, -0x1.b2e1a3ad6fde7p-12, -0x1.a619265d16e5dp-12, -0x1.99a4ec7320775p-12, -0x1.8d83003cd43p-12, -0x1.81b1765a0bfc5p-12, -0x1.762e6d9007c04p-12, -0x1.6af80e9acf409p-12, -0x1.600c8c0151b59p-12, -0x1.556a21e8a261dp-12, -0x1.4b0f15e8ab69cp-12, -0x1.40f9b6e1de37bp-12, -0x1.37285cd10b73p-12, -0x1.2d9968a782b11p-12, -0x1.244b4420bfb29p-12, -0x1.1b3c619a07edp-12, -0x1.126b3bea2b34ap-12, -0x1.09d6563a3c8dp-12, -0x1.017c3bde9cefep-12, -0x1.f2b70060431b6p-13, -0x1.e2e57ccddce77p-13, -0x1.d38132e89e478p-13, -0x1.c48777bdf5bc6p-13, -0x1.b5f5af3c5829p-13, -0x1.a7c94bec65399p-13, -0x1.99ffceaa4ad6fp-13, -0x1.8c96c6618415ep-13, -0x1.7f8bcfc66b813p-13, -0x1.72dc95167673cp-13, -0x1.6686cdd29dc18p-13, -0x1.5a883e80529e4p-13, -0x1.4edeb8698b212p-13, -0x1.4388195ce1b2ep-13, -0x1.38824b6f0d755p-13, -0x1.2dcb44bf15a0ep-13, -0x1.236107391bb14p-13, -0x1.1941a05b67d5dp-13, -0x1.0f6b28fbfb965p-13, -0x1.05dbc50f93f67p-13, -0x1.f92346e31427fp-14, -0x1.e715fb5570ee4p-14, -0x1.d58c2f7b7dc6ap-14, -0x1.c4827fdbd4b71p-14, -0x1.b3f59d1ae0e7p-14, -0x1.a3e24b8f589fp-14, -0x1.944562dbfb1efp-14, -0x1.851bcd8ee5845p-14, -0x1.766288b940a01p-14, -0x1.6816a392f96bap-14, -0x1.5a353f18b059ap-14, -0x1.4cbb8daf1985cp-14, -0x1.3fa6d2c5fdf56p-14, -0x1.32f4627e70517p-14, -0x1.26a1a1518c56bp-14, -0x1.1aac03b8b092fp-14, -0x1.0f110dd7209a7p-14, -0x1.03ce53264ebdfp-14, -0x1.f1c2ec4628871p-15, -0x1.dc904ff513363p-15, -0x1.c800507af7daap-15, -0x1.b40e891a95cbcp-15, -0x1.a0b6b0a49a32fp-15, -0x1.8df498dd32ba4p-15, -0x1.7bc42de6d20d8p-15, -0x1.6a2175afcbc7bp-15, -0x1.59088f65b0dedp-15, -0x1.4875b2e4ca641p-15, -0x1.3865302f73b6dp-15, -0x1.28d36ee67d2b4p-15, -0x1.19bcedc39cb65p-15, -0x1.0b1e42184dde5p-15, -0x1.f9e82e92c319ap-16, -0x1.de765cadae62ep-16, -0x1.c3e0babc464dcp-16, -0x1.aa211e3944425p-16, -0x1.913184feb6436p-16, -0x1.790c14541c3d5p-16, -0x1.61ab1812dbd1dp-16, -0x1.4b0901b9abef8p-16, -0x1.3520679c1b5d4p-16, -0x1.1fec04034ecdep-16, -0x1.0b66b45df2107p-16, -0x1.ef16f0e6bd6abp-17, -0x1.c8aae32445967p-17, -0x1.a37fc3997e7aap-17, -0x1.7f8c56736c9f1p-17, -0x1.5cc79e5a03974p-17, -0x1.3b28db027e266p-17, -0x1.1aa787bf8bd5bp-17, -0x1.f676b42952f35p-18, -0x1.b9b880b0f0749p-18, -0x1.7f04c0c525b7cp-18, -0x1.464c2c48b0977p-18, -0x1.0f7fe4eed337dp-18, -0x1.b522e71709e93p-19, -0x1.4ee58b44bddap-19, -0x1.d858abd43158p-20, -0x1.19b94cd264053p-20, -0x1.86e4b8feb2afcp-22, 0x1.3f6838481eb44p-22, 0x1.f662c49f164f3p-21, 0x1.a07c6d4865105p-20, 0x1.1ff4bd7afa4d6p-19, 0x1.6cd2c6905b231p-19, 0x1.b6ee31a62716p-19, 0x1.fe5c4174b5065p-19, 0x1.2198cfcb7fba5p-18, 0x1.42c1302997539p-18, 0x1.62b103434d528p-18, 0x1.8171c38e0d5e8p-18, 0x1.9f0ca6711c3d6p-18, 0x1.bb8a9de642ae8p-18, 0x1.d6f45a5607f33p-18, 0x1.f1524c29298d4p-18, 0x1.055652c01b8b2p-17, 0x1.1185ade67a453p-17, 0x1.1d3b14aec6b9ep-17, 0x1.287a4779fba7dp-17, 0x1.3346ea9d307f8p-17, 0x1.3da4871e60afap-17, 0x1.47968b710ce5dp-17, 0x1.51204c2699e9ep-17, 0x1.5a45049db3452p-17, 0x1.6307d7af18dbbp-17, 0x1.6b6bd054f62cp-17, 0x1.7373e24f6c4bap-17, 0x1.7b22eac45b8eep-17, 0x1.827bb0d83f21bp-17, 0x1.8980e64d8a99p-17, 0x1.9035281265d48p-17, 0x1.969afed92979dp-17, 0x1.9cb4dfa106ea5p-17, 0x1.a2852c4400ac6p-17, 0x1.a80e33fd3adc9p-17, 0x1.ad5233ecf419fp-17, 0x1.b2535798f2859p-17, 0x1.b713b96cbe515p-17, 0x1.bb95633174aacp-17, 0x1.bfda4e89cdbfap-17, 0x1.c3e4656403911p-17, 0x1.c7b5826b20044p-17, 0x1.cb4f71780736ap-17, 0x1.ceb3efff11472p-17, 0x1.d1e4ad778b5afp-17, 0x1.d4e34bc602012p-17, 0x1.d7b15f9bbb221p-17, 0x1.da5070def8215p-17, 0x1.dcc1fb06c59d1p-17, 0x1.df076d79d3f47p-17, 0x1.e1222be80ae3dp-17, 0x1.e3138ea3d511ap-17, 0x1.e4dce2fa23065p-17, 0x1.e67f6b844cba7p-17, 0x1.e7fc607b1a93ep-17, 0x1.e954f00672054p-17, 0x1.ea8a3e8977b17p-17, 0x1.eb9d66f272ce6p-17, 0x1.ec8f7afed1243p-17, 0x1.ed618387ed7b4p-17, 0x1.ee1480c67c495p-17, 0x1.eea96a976da06p-17, 0x1.ef2130be1cceap-17, 0x1.ef7cbb25c1c1ep-17, 0x1.efbcea1d42b6p-17, 0x1.efe29697e75d7p-17, 0x1.efee9264ac851p-17, 0x1.efe1a86c604eep-17, 0x1.efbc9ce7a49b5p-17, 0x1.ef802d94baaecp-17, 0x1.ef2d11eebfc6cp-17, 0x1.eec3fb6033709p-17, 0x1.ee459575937dbp-17, 0x1.edb2860da7a86p-17, 0x1.ed0b6d893021cp-17, 0x1.ec50e6f978386p-17, 0x1.eb83884c7617cp-17, 0x1.eaa3e279edf03p-17, 0x1.e9b281ab8e2bfp-17, 0x1.e8afed68d2a75p-17, 0x1.e79ca8bb21ae2p-17, 0x1.e6793257e93d8p-17, 0x1.e54604c45b729p-17, 0x1.e403967b5e765p-17, 0x1.e2b25a0f3523dp-17, 0x1.e152be4d5849p-17, 0x1.dfe52e5f276bcp-17, 0x1.de6a11eb53776p-17, 0x1.dce1cd3425406p-17, 0x1.db4cc135e52dcp-17, 0x1.d9ab4bc502082p-17, 0x1.d7fdc7aa76257p-17, 0x1.d6448cc032583p-17, 0x1.d47ff00ae669p-17, 0x1.d2b043d43fbd7p-17, 0x1.d0d5d7c52dc1bp-17, 0x1.cef0f8fd5a128p-17, 0x1.cd01f22b61c3ap-17, 0x1.cb090ba2931abp-17, 0x1.c9068b73802fbp-17, 0x1.c6fab57edc39cp-17, 0x1.c4e5cb8c77c88p-17, 0x1.c2c80d5e28273p-17, 0x1.c0a1b8c3b2286p-17, 0x1.be7309ae58b5ap-17, 0x1.bc3c3a40fad44p-17, 0x1.b9fd82e383f14p-17, 0x1.b7b71a53ab4eep-17, 0x1.b56935b467fa6p-17, 0x1.b314089eca2aap-17, 0x1.b0b7c531cb72p-17, 0x1.ae549c1fc489ap-17, 0x1.abeabcbe34ddcp-17, 0x1.a97a55123d96bp-17, 0x1.a70391de42a01p-17, 0x1.a4869eaf0e4e8p-17, 0x1.a203a5e89a3b4p-17, 0x1.9f7ad0d1e1af1p-17, 0x1.9cec479fe0341p-17, 0x1.9a5831815879ep-17, 0x1.97beb4a8ef332p-17, 0x1.951ff657f4554p-17, 0x1.927c1ae80d8d4p-17, 0x1.8fd345d4dc628p-17, 0x1.8d2599c502effp-17, 0x1.8a73389308e9ap-17, 0x1.87bc4355e184p-17, 0x1.8500da69badabp-17, 0x1.82411d7760bbap-17, 0x1.7f7d2b7b89d31p-17, 0x1.7cb522ce476eep-17, 0x1.79e9212a1a769p-17, 0x1.771943b2c6184p-17, 0x1.7445a6fba6856p-17, 0x1.716e670dafc68p-17, 0x1.6e939f6d0078ap-17, 0x1.6bb56b1f31556p-17, 0x1.68d3e4b03de2p-17, 0x1.65ef2638311ep-17, 0x1.6307495fe748fp-17, 0x1.601c67654df43p-17, 0x1.5d2e9920739bbp-17, 0x1.5a3df707b7dd2p-17, 0x1.574a99334a6cfp-17, 0x1.5454976247a6ap-17, 0x1.515c08fe79ccdp-17, 0x1.4e61051f0bec7p-17, 0x1.4b63a28c38a9fp-17, 0x1.4863f7c2924d6p-17, 0x1.45621af632988p-17, 0x1.425e2215a089ap-17, 0x1.3f5822cc2ff27p-17, 0x1.3c5032852d8eep-17, 0x1.3946666ebedf3p-17, 0x1.363ad37b02d1cp-17, 0x1.332d8e63412a4p-17, 0x1.301eabaa1432cp-17, 0x1.2d0e3f9d260c1p-17, 0x1.29fc5e569bd9dp-17, 0x1.26e91bbf063c7p-17, 0x1.23d48b90a0929p-17, 0x1.20bec156f3279p-17, 0x1.1da7d0713664cp-17, 0x1.1a8fcc13b1298p-17, 0x1.1776c7486e175p-17, 0x1.145cd4f0de831p-17, 0x1.114207c72bd49p-17, 0x1.0e26725f59eb6p-17, 0x1.0b0a272787d37p-17, 0x1.07ed386908133p-17, 0x1.04cfb8497d962p-17, 0x1.01b1b8cbe342bp-17, 0x1.fd2697a244de5p-18, 0x1.f6e906302c1bp-18, 0x1.f0aae07d42c65p-18, 0x1.ea6c4984f9a58p-18, 0x1.e42d640290096p-18, 0x1.ddee5272c0fb1p-18, 0x1.d7af3713f032fp-18, 0x1.d17033e602e56p-18, 0x1.cb316aabeef5cp-18, 0x1.c4f2fcec1c62ap-18, 0x1.beb50bf169d5p-18, 0x1.b877b8ca3a834p-18, 0x1.b23b2449f059ap-18, 0x1.abff6f0919ceap-18, 0x1.a5c4b96477fd6p-18, 0x1.9f8b237dabdfcp-18, 0x1.9952cd3b290c2p-18, 0x1.931bd649e1279p-18, 0x1.8ce65e1b2e182p-18, 0x1.86b283e58df25p-18, 0x1.808066a4328fcp-18, 0x1.7a50251832cbep-18, 0x1.7421ddc604974p-18, 0x1.6df5aef70b96fp-18, 0x1.67cbb6b82475ep-18, 0x1.61a412d9cef9fp-18, 0x1.5b7ee0f0b299dp-18, 0x1.555c3e540b8adp-18, 0x1.4f3c481d9c0ddp-18, 0x1.491f1b29b3104p-18, 0x1.4304d416f7b71p-18, 0x1.3ced8f45300ffp-18, 0x1.36d968d53a70ap-18, 0x1.30c87ca8318b3p-18, 0x1.2abae66001bbbp-18, 0x1.24b0c15e7af43p-18, 0x1.1eaa28c5073d2p-18, 0x1.18a73773a4214p-18, 0x1.12a80808cf5dfp-18, 0x1.0cacb4e078d1p-18, 0x1.06b55813ce4cdp-18, 0x1.00c20b7945659p-18, 0x1.f5a5d14810e31p-19, 0x1.e9d011c54ea5dp-19, 0x1.de030a7f62c45p-19, 0x1.d23eed0124a24p-19, 0x1.c683ea49711bap-19, 0x1.bad232cc2cc5fp-19, 0x1.af29f670a4e3p-19, 0x1.a38b649046cbdp-19, 0x1.97f6abf5d190dp-19, 0x1.8c6bfadd49df4p-19, 0x1.80eb7ef4200ccp-19, 0x1.7575655695b3dp-19, 0x1.6a09da8e2061ap-19, 0x1.5ea90a90b2d8ap-19, 0x1.535320c263092p-19, 0x1.480847f367ddp-19, 0x1.3cc8aa5eefc3cp-19, 0x1.319471aaea823p-19, 0x1.266bc6e833db8p-19, 0x1.1b4ed29031ab8p-19, 0x1.103dbc8597e5fp-19, 0x1.0538ac132c1c7p-19, 0x1.f47f8fd67897dp-20, 0x1.dea66c517d07bp-20, 0x1.c8e638998414cp-20, 0x1.b33f3e7d22be6p-20, 0x1.9db1c6989e0f1p-20, 0x1.883e1854af361p-20, 0x1.72e479e504c23p-20, 0x1.5da53047666cbp-20, 0x1.48807f425fd54p-20, 0x1.3376a9654ae2ap-20, 0x1.1e87f00a1e148p-20, 0x1.09b4935167a62p-20, 0x1.e9f9a451c88e5p-21, 0x1.c0c1d48277338p-21, 0x1.97c2302b83faep-21, 0x1.6efb2dcdb41dfp-21, 0x1.466d4182c3a67p-21, 0x1.1e18dceee87b8p-21, 0x1.ebfcde8c169edp-22, 0x1.9c3ccaa3c9a8p-22, 0x1.4cf252d365055p-22, 0x1.fc3c8df0f05ccp-23, 0x1.5f82e41c192b7p-23, 0x1.877269077f2c5p-24, 0x1.47080dbb5fabap-26, -0x1.c410ed3670e59p-25, -0x1.09f513329ac8ep-23, -0x1.a1f02040b0fddp-23, -0x1.1c7a032be8684p-22, -0x1.677fb96e38b1cp-22, -0x1.b2088e6580579p-22, -0x1.fc13e253b6365p-22, -0x1.22d08d1826c15p-21, -0x1.4757cfd2a4318p-21, -0x1.6b9f7090c0a12p-21, -0x1.8fa728dbdf7a5p-21, -0x1.b36eb497289a2p-21, -0x1.d6f5d1f510b1ep-21, -0x1.fa3c417705ce4p-21, -0x1.0ea0e2f794cd2p-20, -0x1.2003123b2d17fp-20, -0x1.3144923718305p-20, -0x1.426547bf9f08bp-20, -0x1.536518c9fbb7p-20, -0x1.6443ec6a4f2e6p-20, -0x1.7501aacf6a1cep-20, -0x1.859e3d48ece47p-20, -0x1.96198e3f16713p-20, -0x1.a6738930da3b2p-20, -0x1.b6ac1ab58c026p-20, -0x1.c6c330788ab2cp-20, -0x1.d6b8b93751c95p-20, -0x1.e68ca4c1bb0bcp-20, -0x1.f63ee3f775704p-20, -0x1.02e7b46261c6bp-19, -0x1.0a9f130f7a6ebp-19, -0x1.12458802479fcp-19, -0x1.19db0dbedc84ep-19, -0x1.215f9f4a60be9p-19, -0x1.28d3382bb0113p-19, -0x1.3035d468e1707p-19, -0x1.3787708932249p-19, -0x1.3ec80990bcc9p-19, -0x1.45f79d0044d75p-19, -0x1.4d1628d4a5625p-19, -0x1.5423ab85e0b3fp-19, -0x1.5b202404c42bap-19, -0x1.620b91ba59db9p-19, -0x1.68e5f48677997p-19, -0x1.6faf4cbff24c6p-19, -0x1.76679b314df3fp-19, -0x1.7d0ee118dcc8ap-19, -0x1.83a52028862aap-19, -0x1.8a2a5a80df196p-19, -0x1.909e92b386e89p-19, -0x1.9701cbbf8b2f9p-19, -0x1.9d54091314abdp-19, -0x1.a3954e87016d9p-19, -0x1.a9c5a0608759fp-19, -0x1.afe5034bda7f9p-19, -0x1.b5f37c5e48145p-19, -0x1.bbf11115e3725p-19, -0x1.c1ddc7550e657p-19, -0x1.c7b9a562646acp-19, -0x1.cd84b1e7566f9p-19, -0x1.d33ef3f0c4283p-19, -0x1.d8e872eacfe17p-19, -0x1.de8136a032242p-19, -0x1.e409473bb2b62p-19, }}, 
      std::vector<double>(1000, 0.0), 
      {{-0x1.31c7dbaa4e49fp-7, -0x1.311ebab97e19bp-6, -0x1.c81b25a22ee55p-6, -0x1.2eb0264873765p-5, -0x1.7849e011ba004p-5, -0x1.c0bc57b27b1f9p-5, -0x1.03fb507d573c4p-4, -0x1.26f9ad1fdd068p-4, -0x1.495b31c29721cp-4, -0x1.6b2542117f073p-4, -0x1.8c5f9b9cec05fp-4, -0x1.ad1361cd6e98dp-4, -0x1.cd4a5806b7746p-4, -0x1.ed0e4a904f623p-4, -0x1.063450d95c7d3p-3, -0x1.15b10bedc5e49p-3, -0x1.2501457a102c6p-3, -0x1.342870d93427ep-3, -0x1.43297f772119ap-3, -0x1.5206df3d85ab2p-3, -0x1.60c27c30f7aadp-3, -0x1.6f5dc43be40afp-3, -0x1.7dd9ac8dc06e7p-3, -0x1.8c36b839e3a48p-3, -0x1.9a74ffe81e5f3p-3, -0x1.a8943a79f6572p-3, -0x1.b693c6894f1bdp-3, -0x1.c472b49f6acf6p-3, -0x1.d22fd1fa54ee2p-3, -0x1.dfc9b3ae4e629p-3, -0x1.ed3ec1eaecbd2p-3, -0x1.fa8d43296c561p-3, -0x1.03d9b38558c85p-2, -0x1.0a57a8581ef1bp-2, -0x1.10bf9031117f3p-2, -0x1.17107e2e7aa63p-2, -0x1.1d498c56231c8p-2, -0x1.2369df000a64bp-2, -0x1.2970a7ba87eccp-2, -0x1.2f5d27a80a37dp-2, -0x1.352eb15a598bdp-2, -0x1.3ae4aa32558c7p-2, -0x1.407e8b4d6b074p-2, -0x1.45fbe20bbd9e2p-2, -0x1.4b5c503aefcb1p-2, -0x1.509f8bf200771p-2, -0x1.55c55f2aa7498p-2, -0x1.5acda724310bbp-2, -0x1.5fb8539b35794p-2, -0x1.648565e086e94p-2, -0x1.6934efd8ba11fp-2, -0x1.6dc712ec719b5p-2, -0x1.723bfef07996fp-2, -0x1.7693f10b9d8bp-2, -0x1.7acf329ef7cf6p-2, -0x1.7eee18348f706p-2, -0x1.82f1007724624p-2, -0x1.86d8533530fe6p-2, -0x1.8aa480708b2fp-2, -0x1.8e55ff7b6187p-2, -0x1.91ed4e22eaeap-2, -0x1.956aefe7a4b39p-2, -0x1.98cf6d42c6f79p-2, -0x1.9c1b52f84fa67p-2, -0x1.9f4f3174e7766p-2, -0x1.a26b9c36c43bap-2, -0x1.a5712940b2ef6p-2, -0x1.a860709663d2cp-2, -0x1.ab3a0bc11fd9dp-2, -0x1.adfe955c241ap-2, -0x1.b0aea8a7ea11ep-2, -0x1.b34ae123b53afp-2, -0x1.b5d3da2ce659ep-2, -0x1.b84a2ea391ed8p-2, -0x1.baae7893fe425p-2, -0x1.bd0150e4bfb87p-2, -0x1.bf434f0936187p-2, -0x1.c17508b842f34p-2, -0x1.c39711a71ab35p-2, -0x1.c5a9fb4826414p-2, -0x1.c7ae548deb901p-2, -0x1.c9a4a9b1fc2edp-2, -0x1.cb8d83fff23b2p-2, -0x1.cd6969a4832efp-2, -0x1.cf38dd80b387ep-2, -0x1.d0fc5f012bb91p-2, -0x1.d2b469f9c545cp-2, -0x1.d461768546c8fp-2, -0x1.d603f8e94fca2p-2, -0x1.d79c617e7bdafp-2, -0x1.d92b1c9ca68d6p-2, -0x1.dab0928b4cbfep-2, -0x1.dc2d2775eb232p-2, -0x1.dda13b6450bd2p-2, -0x1.df0d2a36bc838p-2, -0x1.e0714ba5a3be2p-2, -0x1.e1cdf34501177p-2, -0x1.e323708af7936p-2, -0x1.e4720ed9a32a7p-2, -0x1.e5ba158bd9e56p-2, -0x1.e6fbc804b96a8p-2, -0x1.e83765c1b404cp-2, -0x1.e96d2a6efc286p-2, -0x1.ea9d4dfdfeda4p-2, -0x1.ebc804bdc797fp-2, -0x1.eced7f75028bdp-2, -0x1.ee0deb7d72633p-2, -0x1.ef2972e0959cp-2, -0x1.f0403c754bc99p-2, -0x1.f1526bfe42f6p-2, -0x1.f2602248fa8c1p-2, -0x1.f3697d4d2c4a2p-2, -0x1.f46e984c6524fp-2, -0x1.f56f8bf1aee1ap-2, -0x1.f66c6e7118b28p-2, -0x1.f76553a6f8951p-2, -0x1.f85a4d36c8d9cp-2, -0x1.f94b6aa97d54ap-2, -0x1.fa38b98b31deep-2, -0x1.fb2245881e5dcp-2, -0x1.fc081888b9006p-2, -0x1.fcea3accea1d9p-2, -0x1.fdc8b3064dbcbp-2, -0x1.fea386716fe01p-2, -0x1.ff7ab8edf3bbap-2, -0x1.0027268ad3cd2p-1, -0x1.008f222939444p-1, -0x1.00f54f7994ebap-1, -0x1.0159ae1f9b233p-1, -0x1.01bc3d449083ap-1, -0x1.021cfb9ffc293p-1, -0x1.027be77fcb7ecp-1, -0x1.02d8fecfed7a1p-1, -0x1.03343f21618bep-1, -0x1.038da5b0c3b85p-1, -0x1.03e52f6c5aae4p-1, -0x1.043ad8f9a8869p-1, -0x1.048e9eba8767ep-1, -0x1.04e07cd1d71cbp-1, -0x1.05306f27c03bap-1, -0x1.057e716d94926p-1, -0x1.05ca7f21521bdp-1, -0x1.06149390cf51ap-1, -0x1.065ca9dc97ab1p-1, -0x1.06a2bcfa7f198p-1, -0x1.06e6c7b7ee7dep-1, -0x1.0728c4bbf80bp-1, -0x1.0768ae8931615p-1, -0x1.07a67f7f5cd9ap-1, -0x1.07e231dce93ffp-1, -0x1.081bbfc04aa1ap-1, -0x1.0853232932587p-1, -0x1.088855f9af1ccp-1, -0x1.08bb51f7327c6p-1, -0x1.08ec10cb883e6p-1, -0x1.091a8c05c024bp-1, -0x1.0946bd1b0bcdap-1, -0x1.09709d679bed1p-1, -0x1.0998262f760abp-1, -0x1.09bd509f5112p-1, -0x1.09e015cd72532p-1, -0x1.0a006eba92a5cp-1, -0x1.0a1e5452cd71ep-1, -0x1.0a39bf6e9965ep-1, -0x1.0a52a8d3cfaefp-1, -0x1.0a690936c1ee8p-1, -0x1.0a7cd93b5eea9p-1, -0x1.0a8e1176690e5p-1, -0x1.0a9caa6ebf9bfp-1, -0x1.0aa89c9eb85bep-1, -0x1.0ab1e0758ed9fp-1, -0x1.0ab86e58e4583p-1, -0x1.0abc3ea655872p-1, -0x1.0abd49b520135p-1, -0x1.0abb87d7df118p-1, -0x1.0ab6f15e56269p-1, -0x1.0aaf7e97515b6p-1, -0x1.0aa527d293abdp-1, -0x1.0a97e562d8801p-1, -0x1.0a87af9fe28f3p-1, -0x1.0a747ee89a971p-1, -0x1.0a5e4ba53a9dap-1, -0x1.0a450e49862aap-1, -0x1.0a28bf570db95p-1, -0x1.0a09575f7af5ap-1, -0x1.09e6cf06e6de1p-1, -0x1.09c11f06367f8p-1, -0x1.0998402d7e48fp-1, -0x1.096c2b66683b9p-1, -0x1.093cd9b69f99fp-1, -0x1.090a44423d78ap-1, -0x1.08d4644e34ddfp-1, -0x1.089b3342bea99p-1, -0x1.085eaaadc4d36p-1, -0x1.081ec44546a07p-1, -0x1.07db79e9bc2fcp-1, -0x1.0794c5a86f784p-1, -0x1.074aa1bdd26b2p-1, -0x1.06fd0897c81d1p-1, -0x1.06abf4d7e7fefp-1, -0x1.06576155b374dp-1, -0x1.05ff4920c0de7p-1, -0x1.05a3a782d9a66p-1, -0x1.054478020a05dp-1, -0x1.04e1b662a0f3dp-1, -0x1.047b5ea92238ep-1, -0x1.04116d1c26ebfp-1, -0x1.03a3de462be69p-1, -0x1.0332aef74e697p-1, -0x1.02bddc46f7d23p-1, -0x1.0245639571c98p-1, -0x1.01c9428d6beep-1, -0x1.014977256753cp-1, -0x1.00c5ffa110dccp-1, -0x1.003eda92855c2p-1, -0x1.ff680db6fe246p-2, -0x1.fe4b075cdba9p-2, -0x1.fd26a11ef18f3p-2, -0x1.fbfadaaad2e43p-2, -0x1.fac7b45500c48p-2, -0x1.f98d2f1a66598p-2, -0x1.f84b4ca1a4055p-2, -0x1.f7020f3c3289fp-2, -0x1.f5b179e75249ep-2, -0x1.f459904cd131bp-2, -0x1.f2fa56c3a040ap-2, -0x1.f193d250402a6p-2, -0x1.f02608a4f931dp-2, -0x1.eeb10021f045bp-2, -0x1.ed34bfd507c64p-2, -0x1.ebb14f799a088p-2, -0x1.ea26b778076d1p-2, -0x1.e89500e5179b5p-2, -0x1.e6fc3581371cap-2, -0x1.e55c5fb78577dp-2, -0x1.e3b58a9cc0fecp-2, -0x1.e207c1ee06301p-2, -0x1.e053120f6e8d7p-2, -0x1.de97880a83e7ap-2, -0x1.dcd5318c95514p-2, -0x1.db0c1ce4e47d3p-2, -0x1.d93c5902b22p-2, -0x1.d765f5732955ap-2, -0x1.d589025f29298p-2, -0x1.d3a59088f2697p-2, -0x1.d1bbb149b2b9dp-2, -0x1.cfcb768ef5b76p-2, -0x1.cdd4f2d7fb445p-2, -0x1.cbd83932efee4p-2, -0x1.c9d55d3a0e03bp-2, -0x1.c7cc7310a5288p-2, -0x1.c5bd8f600e1efp-2, -0x1.c3a8c75482dbfp-2, -0x1.c18e3099e5e4dp-2, -0x1.bf6de15876535p-2, -0x1.bd47f0316e4c2p-2, -0x1.bb1c743b94446p-2, -0x1.b8eb84ffb72a6p-2, -0x1.b6b53a7521c2cp-2, -0x1.b479acfdfaab9p-2, -0x1.b238f5639ab28p-2, -0x1.aff32cd2d74adp-2, -0x1.ada86cd84194ap-2, -0x1.ab58cf5c5ecaap-2, -0x1.a9046e9fd37e6p-2, -0x1.a6ab65378d833p-2, -0x1.a44dce08e2d98p-2, -0x1.a1ebc445af495p-2, -0x1.9f8563686cb4dp-2, -0x1.9d1ac73047059p-2, -0x1.9aac0b9d2ec7cp-2, -0x1.98394cebee692p-2, -0x1.95c2a792363b5p-2, -0x1.9348383ab5376p-2, -0x1.90ca1bc128f57p-2, -0x1.8e486f2e76e13p-2, -0x1.8bc34fb4c56d8p-2, -0x1.893adaab993e4p-2, -0x1.86af2d8bfcdfep-2, -0x1.842065eca4fa2p-2, -0x1.818ea17e23e79p-2, -0x1.7ef9fe071e2e8p-2, -0x1.7c6299608bba9p-2, -0x1.79c89171fded3p-2, -0x1.772c042df11d3p-2, -0x1.748d0f8e2834p-2, -0x1.71ebd1901116ap-2, -0x1.6f48683135cfep-2, -0x1.6ca2f16bb929ep-2, -0x1.69fb8b32dd64dp-2, -0x1.6752536f9cf69p-2, -0x1.64a767fd47af9p-2, -0x1.61fae6a6379fcp-2, -0x1.5f4ced208bb39p-2, -0x1.5c9d990af5aa1p-2, -0x1.59ed07e994cd3p-2, -0x1.573b5722e00dap-2, -0x1.5488a3fca1b73p-2, -0x1.51d50b98fe235p-2, -0x1.4f20aaf3914aap-2, -0x1.4c6b9ede96031p-2, -0x1.49b6040023acbp-2, -0x1.46fff6cf782e8p-2, -0x1.44499392562e7p-2, -0x1.4192f65a723dep-2, -0x1.3edc3b02f35fap-2, -0x1.3c257d2e04446p-2, -0x1.396ed842753dfp-2, -0x1.36b8676972ddep-2, -0x1.3402458c4b881p-2, -0x1.314c8d52477eap-2, -0x1.2e97591e94473p-2, -0x1.2be2c30e42896p-2, -0x1.292ee4f651ffdp-2, -0x1.267bd861d5292p-2, -0x1.23c9b690222bp-2, -0x1.211898731a22bp-2, -0x1.1e6896ad7da7ap-2, -0x1.1bb9c99155892p-2, -0x1.190c491e7037fp-2, -0x1.16602d00ecd18p-2, -0x1.13b58c8fd7533p-2, -0x1.110c7ecbdbab4p-2, -0x1.0e651a5e051adp-2, -0x1.0bbf759690f21p-2, -0x1.091ba66bd1916p-2, -0x1.0679c2792536p-2, -0x1.03d9defdf8a6p-2, -0x1.013c10dcdfda1p-2, -0x1.fd40d93575eeep-3, -0x1.f80e0cbbdc67cp-3, -0x1.f2dfe3db4f974p-3, -0x1.edb6856272a48p-3, -0x1.e892175ef55f4p-3, -0x1.e372bf1c86363p-3, -0x1.de58a123dccd7p-3, -0x1.d943e139dc552p-3, -0x1.d434a25ee0191p-3, -0x1.cf2b06ce19a73p-3, -0x1.ca272ffd13e83p-3, -0x1.c5293e9b4d16bp-3, -0x1.c0315291ebfaep-3, -0x1.bb3f8b03906adp-3, -0x1.b654064c45379p-3, -0x1.b16ee2017f4bdp-3, -0x1.ac903af23f191p-3, -0x1.a7b82d274801dp-3, -0x1.a2e6d3e372271p-3, -0x1.9e1c49a40dce2p-3, -0x1.9958a82163cc8p-3, -0x1.949c084f4cd2fp-3, -0x1.8fe6825dd509p-3, -0x1.8b382dba02d7cp-3, -0x1.8691210ea68p-3, -0x1.81f17245487a7p-3, -0x1.7d5936871dff7p-3, -0x1.78c8823e1e1a9p-3, -0x1.743f69161f8aap-3, -0x1.6fbdfdfe0f41bp-3, -0x1.6b44532932552p-3, -0x1.66d27a107b479p-3, -0x1.62688373ee469p-3, -0x1.5e067f5c1b663p-3, -0x1.59ac7d1b9b7fdp-3, -0x1.555a8b50a4d1p-3, -0x1.5110b7e6abeaep-3, -0x1.4ccf101810109p-3, -0x1.4895a06fd5a8cp-3, -0x1.446474cb6a5c9p-3, -0x1.403b985c79ec1p-3, -0x1.3c1b15aac92b7p-3, -0x1.3802f6961ff4bp-3, -0x1.33f3445835bcp-3, -0x1.2fec0786b25fcp-3, -0x1.2bed48152ef8ap-3, -0x1.27f70d57459d7p-3, -0x1.24095e02a4abcp-3, -0x1.202440312adcbp-3, -0x1.1c47b9630b43dp-3, -0x1.1873ce80fafb4p-3, -0x1.14a883de5deedp-3, -0x1.10e5dd3b7c728p-3, -0x1.0d2bddc7c529dp-3, -0x1.097a882408c6dp-3, -0x1.05d1de64bdb3cp-3, -0x1.0231e2144d696p-3, -0x1.fd35286ac0072p-4, -0x1.f617ea8a54f1bp-4, -0x1.ef0c0a7b82704p-4, -0x1.e8118730e7243p-4, -0x1.e1285ea02e9b3p-4, -0x1.da508dc6d9b97p-4, -0x1.d38a10aee3f54p-4, -0x1.ccd4e27384b7fp-4, -0x1.c630fd45df277p-4, -0x1.bf9e5a71c1c51p-4, -0x1.b91cf26250efcp-4, -0x1.b2acbca6d2d38p-4, -0x1.ac4daff7512p-4, -0x1.a5ffc2395c2bep-4, -0x1.9fc2e884b739ap-4, -0x1.999717280354p-4, -0x1.937c41ad6e90ap-4, -0x1.8d725adf5e381p-4, -0x1.877954cd0bbc9p-4, -0x1.819120cf1f675p-4, -0x1.7bb9af8c4f115p-4, -0x1.75f2f0fdeb17ep-4, -0x1.703cd47469bb7p-4, -0x1.6a97489beac17p-4, -0x1.65023b80b2a38p-4, -0x1.5f7d9a93a0789p-4, -0x1.5a0952ae9ab77p-4, -0x1.54a55018ef7c1p-4, -0x1.4f517e8bb2b04p-4, -0x1.4a0dc9360fe42p-4, -0x1.44da1ac18c50ep-4, -0x1.3fb65d564a446p-4, -0x1.3aa27a9f3bd5ep-4, -0x1.359e5bce48f07p-4, -0x1.30a9e9a070432p-4, -0x1.2bc50c61d9c45p-4, -0x1.26efabf1e11d7p-4, -0x1.2229afc70a19p-4, -0x1.1d72fef2fa2afp-4, -0x1.18cb802657ef7p-4, -0x1.143319b4a8e77p-4, -0x1.0fa9b19814d19p-4, -0x1.0b2f2d752ea4dp-4, -0x1.06c3729ea164bp-4, -0x1.02666618db339p-4, -0x1.fc2fd93b43cp-5, -0x1.f3afd53f4781bp-5, -0x1.eb4c889bea6d8p-5, -0x1.e305bb2efdc03p-5, -0x1.dadb345cd5d6ap-5, -0x1.d2ccbb16e1f99p-5, -0x1.cada15e259f8ep-5, -0x1.c3030ade99cd4p-5, -0x1.bb475fcb979c1p-5, -0x1.b3a6da1016887p-5, -0x1.ac213ebfd27a5p-5, -0x1.a4b652a189c4cp-5, -0x1.9d65da34e93e2p-5, -0x1.962f99b86d703p-5, -0x1.8f13552f07438p-5, -0x1.8810d065c2c7cp-5, -0x1.8127cef953f23p-5, -0x1.7a58145b667dfp-5, -0x1.73a163d7f52fep-5, -0x1.6d03809a7d911p-5, -0x1.667e2db307ae1p-5, -0x1.60112e1b2c147p-5, -0x1.59bc44bae7d96p-5, -0x1.537f346d6341ep-5, -0x1.4d59c0059d538p-5, -0x1.474baa52f327ap-5, -0x1.4154b6259a39bp-5, -0x1.3b74a652f4b65p-5, -0x1.35ab3db9ceeb6p-5, -0x1.2ff83f468b203p-5, -0x1.2a5b6df726605p-5, -0x1.24d48cdf2cbcap-5, -0x1.1f635f2b8d2dbp-5, -0x1.1a07a8265d472p-5, -0x1.14c12b3a811efp-5, -0x1.0f8fabf72f51dp-5, -0x1.0a72ee136f66p-5, -0x1.056ab5716e4fdp-5, -0x1.0076c621cbecbp-5, -0x1.f72dc8cd7c8adp-6, -0x1.ed95a96e55ed3p-6, -0x1.e424b783499a7p-6, -0x1.dada7cdeac12dp-6, -0x1.d1b683cd89f6cp-6, -0x1.c8b8571d47c58p-6, -0x1.bfdf8220a8e88p-6, -0x1.b72b90b52b2fep-6, -0x1.ae9c0f47d4de5p-6, -0x1.a6308ad9f3edap-6, -0x1.9de89105d0a8cp-6, -0x1.95c3b0030a6c7p-6, -0x1.8dc176aaf8a07p-6, -0x1.85e1747caf821p-6, -0x1.7e2339a10b443p-6, -0x1.768656ee7c8ddp-6, -0x1.6f0a5decc0914p-6, -0x1.67aee0d84565ap-6, -0x1.607372a5b2441p-6, -0x1.5957a705041a6p-6, -0x1.525b1264b560cp-6, -0x1.4b7d49f4b073ap-6, -0x1.44bde3a91f738p-6, -0x1.3e1c763d13539p-6, -0x1.3798993523df3p-6, -0x1.3131e4e1c4744p-6, -0x1.2ae7f2619808dp-6, -0x1.24ba5ba3b399bp-6, -0x1.1ea8bb698a0bp-6, -0x1.18b2ad48eff5dp-6, -0x1.12d7cdadd4de3p-6, -0x1.0d17b9dc204dp-6, -0x1.07720ff1103fbp-6, -0x1.01e66ee4ee258p-6, -0x1.f8e8ed1864664p-7, -0x1.ee378f31e29b7p-7, -0x1.e3b80737f84bp-7, -0x1.d9699a0bbeb47p-7, -0x1.cf4b8e4fce488p-7, -0x1.c55d2c69f5c34p-7, -0x1.bb9dbe84b4c12p-7, -0x1.b20c90909fd05p-7, -0x1.a8a8f0458acd4p-7, -0x1.9f722d237f2d8p-7, -0x1.96679873b249ep-7, -0x1.8d888548ec1b8p-7, -0x1.84d448803f999p-7, -0x1.7c4a38c15117cp-7, -0x1.73e9ae7e62f0bp-7, -0x1.6bb203f48f39fp-7, -0x1.63a2952b859e8p-7, -0x1.5bbabff55b84ap-7, -0x1.53f9e3ee18a6cp-7, -0x1.4c5f627b2bbe9p-7, -0x1.44ea9ecabef62p-7, -0x1.3d9afdd30a845p-7, -0x1.366fe6512a2bbp-7, -0x1.2f68c0c864b8fp-7, -0x1.2884f780bb231p-7, -0x1.21c3f685c418p-7, -0x1.1b252ba538dc3p-7, -0x1.14a8066d96031p-7, -0x1.0e4bf82c7f5aap-7, -0x1.081073ece0253p-7, -0x1.01f4ee755fa08p-7, -0x1.f7f1bc8c9b7a2p-8, -0x1.ec37772fcc365p-8, -0x1.e0ba00afdd03fp-8, -0x1.d578504ff3b93p-8, -0x1.ca7160b592197p-8, -0x1.bfa42fe48cd1ep-8, -0x1.b50fbf3a22683p-8, -0x1.aab3136814fa3p-8, -0x1.a08d346f764cfp-8, -0x1.969d2d9bf436ap-8, -0x1.8ce20d7e0ea77p-8, -0x1.835ae5e613dabp-8, -0x1.7a06cbde708d2p-8, -0x1.70e4d7a5ef976p-8, -0x1.67f424aa61666p-8, -0x1.5f33d182392c6p-8, -0x1.56a2ffe71ef4dp-8, -0x1.4e40d4af9b78dp-8, -0x1.460c77c9405d1p-8, -0x1.3e051431f4e2dp-8, -0x1.3629d7f286932p-8, -0x1.2e79f4175c40cp-8, -0x1.26f49caad8899p-8, -0x1.1f9908ae5bf0cp-8, -0x1.186672141e4c4p-8, -0x1.115c15b84a34p-8, -0x1.0a79335a7162dp-8, -0x1.03bd0d96eb236p-8, -0x1.fa4dd3c00805cp-9, -0x1.ed6c20eea1f78p-9, -0x1.e0d398cd84556p-9, -0x1.d482d6f3ae956p-9, -0x1.c8787c6d80fa1p-9, -0x1.bcb32faec0366p-9, -0x1.b1319c8510f92p-9, -0x1.a5f27409ab104p-9, -0x1.9af46c9399485p-9, -0x1.903641a9dff74p-9, -0x1.85b6b3f53ec23p-9, -0x1.7b74893253371p-9, -0x1.716e8c23867bcp-9, -0x1.67a38c82fdcd8p-9, -0x1.5e125ef4acc74p-9, -0x1.54b9dcf81c38bp-9, -0x1.4b98e4da6e59ap-9, -0x1.42ae59a892d78p-9, -0x1.39f92320d0dfcp-9, -0x1.31782da57af75p-9, -0x1.292a6a2e25b42p-9, -0x1.210ece3a8fef5p-9, -0x1.192453c3e430dp-9, -0x1.1169f92f827b4p-9, -0x1.09dec1412e283p-9, -0x1.0281b30ca0f44p-9, -0x1.f6a3b3d1148c9p-10, -0x1.e89c8ac11dc33p-10, -0x1.daec124f713fbp-10, -0x1.cd907a1576c33p-10, -0x1.c087f9c59f7b9p-10, -0x1.b3d0d10feda46p-10, -0x1.a769478744913p-10, -0x1.9b4fac875d192p-10, -0x1.8f8257195639bp-10, -0x1.83ffa5da2d3dap-10, -0x1.78c5fee09181fp-10, -0x1.6dd3cfa2672a2p-10, -0x1.63278cdb2b03p-10, -0x1.58bfb272f0a48p-10, -0x1.4e9ac3633e842p-10, -0x1.44b7499fb5ae4p-10, -0x1.3b13d5fb6530ap-10, -0x1.31af0010735fdp-10, -0x1.288766279110cp-10, -0x1.1f9bad1f1aa29p-10, -0x1.16ea805244499p-10, -0x1.0e729181c649ap-10, -0x1.063298bb4a8f1p-10, -0x1.fc52a8835c588p-11, -0x1.ecab10eac2428p-11, -0x1.dd6bff7a58f5ap-11, -0x1.ce9314de02ae1p-11, -0x1.c01dfd70e810dp-11, -0x1.b20a7112492f9p-11, -0x1.a45632f4e169ap-11, -0x1.96ff117581197p-11, -0x1.8a02e5ed1860cp-11, -0x1.7d5f94845d223p-11, -0x1.71130c0a9fe7bp-11, -0x1.651b45c80511ep-11, -0x1.5976455508b5ap-11, -0x1.4e22186f02293p-11, -0x1.431cd6cfbb798p-11, -0x1.3864a2030ee43p-11, -0x1.2df7a53f0d837p-11, -0x1.23d4153b1d63cp-11, -0x1.19f830081be88p-11, -0x1.10623ce8e4651p-11, -0x1.07108c2b6ae1p-11, -0x1.fc02ee0493673p-12, -0x1.ea66bebbc76d5p-12, -0x1.d9495f914e6c8p-12, -0x1.c8a7b67e1d906p-12, -0x1.b87eba19856c4p-12, -0x1.a8cb714f6e63ap-12, -0x1.998af318760e1p-12, -0x1.8aba6632ca357p-12, -0x1.7c5700dd1d8efp-12, -0x1.6e5e088fa0726p-12, -0x1.60ccd1b9302e9p-12, -0x1.53a0bf7bb3987p-12, -0x1.46d743686afe5p-12, -0x1.3a6ddd403410dp-12, -0x1.2e621aaf9a557p-12, -0x1.22b19712fd74fp-12, -0x1.1759fb343bf4ep-12, -0x1.0c58fd0cc7e63p-12, -0x1.01ac5f88b49fdp-12, -0x1.eea3e4943a63dp-13, -0x1.da8f22dc65466p-13, -0x1.c7164aa0af435p-13, -0x1.b43544a35c855p-13, -0x1.a1e8113ca0448p-13, -0x1.902ac7eb5ce9ap-13, -0x1.7ef996e6afc0ap-13, -0x1.6e50c2ad0aac3p-13, -0x1.5e2ca599adf2fp-13, -0x1.4e89af7d0a0c1p-13, -0x1.3f64652cc29b9p-13, -0x1.30b96021ef8bbp-13, -0x1.22854e112ce23p-13, -0x1.14c4f085962e7p-13, -0x1.07751c7da20cfp-13, -0x1.f52574197d14ep-14, -0x1.dc3587ecb7c3ap-14, -0x1.c4148ea711faep-14, -0x1.acbcc6671c7e5p-14, -0x1.962890843d9bdp-14, -0x1.805270d534d67p-14, -0x1.6b350d05e74b6p-14, -0x1.56cb2be162ad4p-14, -0x1.430fb4ac64689p-14, -0x1.2ffdae764f2efp-14, -0x1.1d903f76537c3p-14, -0x1.0bc2ac69accf3p-14, -0x1.f520afd5da723p-15, -0x1.d3e983babd8d1p-15, -0x1.b3d70d95d3c7ap-15, -0x1.94e0be97d273ep-15, -0x1.76fe3ee7f35fp-15, -0x1.5a276c6d772a8p-15, -0x1.3e5459beae013p-15, -0x1.237d4cf0344ffp-15, -0x1.099abe8f39d19p-15, -0x1.e14ab0f79ad8dp-16, -0x1.b12be9c7f310bp-16, -0x1.82cb3a65235bdp-16, -0x1.561b1218d5ddcp-16, -0x1.2b0e3a9de44cdp-16, -0x1.0197d61b43fb2p-16, -0x1.b356ba79fa9d1p-17, -0x1.66793aa67c4a2p-17, -0x1.1c7f6cb7cfdbfp-17, -0x1.aaa4650c09253p-18, -0x1.21b617ff83ef9p-18, -0x1.3c104ef98fa87p-19, -0x1.f6ff6e7f4c07ep-22, 0x1.68efbb88562acp-20, 0x1.9e47bcef0279cp-19, 0x1.3f6f11ffa8641p-18, 0x1.ab43b04c164fep-18, 0x1.09636953a02cp-17, 0x1.3b0e45b7992dap-17, 0x1.6ab3f5f1e8a58p-17, 0x1.9865853b91ffbp-17, 0x1.c433842968dbap-17, 0x1.ee2e0bb25b186p-17, 0x1.0b325ff51786bp-16, 0x1.1e73697086c81p-16, 0x1.30e183a0a71a2p-16, 0x1.4283d9823e265p-16, 0x1.536161102a6aep-16, 0x1.6380dc7b37848p-16, 0x1.72e8db74c43bfp-16, 0x1.819fbc6d65e23p-16, 0x1.8fabadbd40b5ep-16, 0x1.9d12aee3f544dp-16, 0x1.a9da919b5fd75p-16, 0x1.b608fb13e4ff3p-16, 0x1.c1a364f3fdf63p-16, 0x1.ccaf1e8700405p-16, 0x1.d7314dbeccf4dp-16, 0x1.e12ef046df6cep-16, 0x1.eaacdc865a394p-16, 0x1.f3afc2a422d65p-16, 0x1.fc3c2d7dec75cp-16, 0x1.022b41cffdap-15, 0x1.060184191b6b8p-15, 0x1.09a2edf4478f7p-15, 0x1.0d117ef0fb6a8p-15, 0x1.104f2648925a2p-15, 0x1.135dc34ba6a03p-15, 0x1.163f25ccf2044p-15, 0x1.18f50e8ab3124p-15, 0x1.1b812f9748967p-15, 0x1.1de52cbe0616p-15, 0x1.20229be4adb6fp-15, 0x1.223b0568b3d03p-15, 0x1.242fe48775e03p-15, 0x1.2602a7b11f835p-15, 0x1.27b4b0e6fb82bp-15, 0x1.294756136ba0fp-15, 0x1.2abbe160689fp-15, 0x1.2c139189e9d11p-15, 0x1.2d4f9a317704fp-15, 0x1.2e71242e3abb1p-15, 0x1.2f794ddc2e82fp-15, 0x1.30692b67dcecp-15, 0x1.3141c71bd4878p-15, 0x1.320421a5b3a29p-15, 0x1.32b1326327fdcp-15, 0x1.3349e7a191386p-15, 0x1.33cf26e65dbdap-15, 0x1.3441cd2fccb32p-15, 0x1.34a2af380657p-15, 0x1.34f299b189531p-15, 0x1.35325186ae2c2p-15, 0x1.35629415d0d97p-15, 0x1.3584176ccff1p-15, 0x1.35978a82453e3p-15, 0x1.359d956a56a4dp-15, 0x1.3596d9927ecd6p-15, 0x1.3583f1f3b8b0ap-15, 0x1.35657347f4c56p-15, 0x1.353bec3af298cp-15, 0x1.3507e59ca03bap-15, 0x1.34c9e292b5b0cp-15, 0x1.348260c465582p-15, 0x1.3431d88a8f6fbp-15, 0x1.33d8bd1a7421cp-15, 0x1.33777cb31e5f5p-15, 0x1.330e80c5f07e1p-15, 0x1.329e2e208496bp-15, 0x1.3226e5152f68ap-15, 0x1.31a901a05b1d4p-15, 0x1.3124db913285ep-15, 0x1.309ac6aa91a6p-15, 0x1.300b12ca4c9dcp-15, 0x1.2f760c0b1c0bbp-15, 0x1.2edbfae680c8dp-15, 0x1.2e3d245613906p-15, 0x1.2d99c9f34adc5p-15, 0x1.2cf22a1765257p-15, 0x1.2c467ff9a4f48p-15, 0x1.2b9703cce39d1p-15, 0x1.2ae3eadb72e83p-15, 0x1.2a2d67a38d6adp-15, 0x1.2973a9f2f588ep-15, 0x1.28b6df01c157ap-15, 0x1.27f7318a203cdp-15, 0x1.2734c9e31c025p-15, 0x1.266fce17de325p-15, 0x1.25a861ff1ff7ap-15, 0x1.24dea75173a2ep-15, 0x1.2412bdc056817p-15, 0x1.2344c30a9fe33p-15, 0x1.2274d3121c3e3p-15, 0x1.21a307ee5930ap-15, 0x1.20cf7a0268466p-15, 0x1.1ffa400d44bp-15, 0x1.1f236f3e700a2p-15, 0x1.1e4b1b4608747p-15, 0x1.1d7156661afedp-15, 0x1.1c96318460024p-15, 0x1.1bb9bc3963ca7p-15, 0x1.1adc04e095788p-15, 0x1.19fd18a74079cp-15, 0x1.191d039b5fcddp-15, 0x1.183bd0b8fc0a5p-15, 0x1.175989f92af1cp-15, 0x1.1676385e225cap-15, 0x1.1591e40040d9cp-15, 0x1.14ac941aa0224p-15, 0x1.13c64f1664039p-15, 0x1.12df1a975181fp-15, 0x1.11f6fb85fef8cp-15, 0x1.110df61b45f6fp-15, 0x1.10240de9c4fdbp-15, 0x1.0f3945e89154cp-15, 0x1.0e4da07c50a96p-15, 0x1.0d611f80a3be3p-15, 0x1.0c73c45100fdep-15, 0x1.0b858fd16b61dp-15, 0x1.0a96827673c3fp-15, 0x1.09a69c4dce44p-15, 0x1.08b5dd05983f7p-15, 0x1.07c443f313371p-15, 0x1.06d1d01ac9132p-15, 0x1.05de8036d811p-15, 0x1.04ea52bd0db0ep-15, 0x1.03f545e572695p-15, 0x1.02ff57b06bc9p-15, 0x1.020885ec705aap-15, 0x1.0110ce3ba41cp-15, 0x1.00182e18cd6dcp-15, 0x1.fe3d45b9018b9p-16, 0x1.fc4853838edf3p-16, 0x1.fa517fd64f284p-16, 0x1.f858c4cd13b98p-16, 0x1.f65e1c6333e43p-16, 0x1.f461807acde52p-16, 0x1.f262eae5e6ff8p-16, 0x1.f062556cb4894p-16, 0x1.ee5fb9d423a73p-16, 0x1.ec5b11e51a39ap-16, 0x1.ea5457725b06fp-16, 0x1.e84b845e474f3p-16, 0x1.e64092a0e41c2p-16, 0x1.e4337c4c3a07cp-16, 0x1.e2243b91af0c8p-16, 0x1.e012cac6e2f51p-16, 0x1.ddff2469f0262p-16, 0x1.dbe94325955a2p-16, 0x1.d9d121d4e08a3p-16, 0x1.d7b6bb86ff4f8p-16, 0x1.d59a0b82e126cp-16, 0x1.d37b0d49bff4ep-16, 0x1.d159bc9a75306p-16, 0x1.cf361573780cbp-16, 0x1.cd1014169331ap-16, 0x1.cae7b50a2282p-16, 0x1.c8bcf51bc1189p-16, 0x1.c68fd16265b66p-16, 0x1.c460473fc1aeap-16, 0x1.c22e5461944acp-16, 0x1.bff9f6c39b449p-16, 0x1.bdc32cb01baeep-16, 0x1.bb89f4c1c34e1p-16, 0x1.b94e4de3c3f97p-16, 0x1.b7103753523bdp-16, 0x1.b4cfb0a066709p-16, 0x1.b28cb9adb083cp-16, 0x1.b04752b137e9fp-16, 0x1.adff7c34903a2p-16, 0x1.abb5371545444p-16, 0x1.a9688484f6728p-16, 0x1.a7196608cf51ap-16, 0x1.a4c7dd7a0c273p-16, 0x1.a273ed05255f2p-16, 0x1.a01d9729cd62fp-16, 0x1.9dc4debaafbf3p-16, 0x1.9b69c6dc10c71p-16, 0x1.990c530467102p-16, 0x1.96ac86fb454d8p-16, 0x1.944a66d8224dep-16, 0x1.91e5f7028f063p-16, 0x1.8f7f3c307e4c4p-16, 0x1.8d163b651f90ap-16, 0x1.8aaaf9f13f6cdp-16, 0x1.883d7d70e3265p-16, 0x1.85cdcbca9b05fp-16, 0x1.835beb2f261bep-16, 0x1.80e7e2174032fp-16, 0x1.7e71b742c551fp-16, 0x1.7bf971b83b8eap-16, 0x1.797f18c25bd48p-16, 0x1.7702b3ef3be1ap-16, 0x1.74844b0ee8df5p-16, 0x1.7203e63226012p-16, 0x1.6f818da8d33b9p-16, 0x1.6cfd4a013b48ep-16, 0x1.6a77240584a79p-16, 0x1.67ef24bac3d0bp-16, 0x1.6565555ff65e7p-16, 0x1.62d9bf6b849dep-16, 0x1.604c6c8a5e93ep-16, 0x1.5dbd669ee2f6ap-16, 0x1.5b2cb7be05f4dp-16, 0x1.589a6a2f488fdp-16, 0x1.5606886a26b92p-16, 0x1.53711d14b35b3p-16, 0x1.50da330269b53p-16, 0x1.4e41d53205651p-16, 0x1.4ba80ecd02245p-16, 0x1.490ceb24d269p-16, 0x1.467075b2212abp-16, 0x1.43d2ba12bca82p-16, 0x1.4133c4082ed68p-16, 0x1.3e939f765fe62p-16, 0x1.3bf258620657bp-16, 0x1.394ffaeef479cp-16, 0x1.36ac935ebdd05p-16, 0x1.34082e0ee7c02p-16, 0x1.3162d7775a5bbp-16, 0x1.2ebc9c2994771p-16, 0x1.2c1588ce6d5b3p-16, 0x1.296daa24ec9dfp-16, 0x1.26c50d0112d7fp-16, 0x1.241bbe4987e3cp-16, 0x1.2171caf742f47p-16, 0x1.1ec7401321c5cp-16, 0x1.1c1c2ab509f39p-16, 0x1.19709802d66fcp-16, 0x1.16c4952e159b5p-16, 0x1.14182f7389036p-16, 0x1.116b7418fb414p-16, 0x1.0ebe706ca0bbbp-16, 0x1.0c1131c378994p-16, 0x1.0963c577effe4p-16, 0x1.06b638e926b32p-16, 0x1.04089978a779dp-16, 0x1.015af48a3c195p-16, 0x1.fd5aaf042f19ep-17, 0x1.f7ff9f8784122p-17, 0x1.f2a4d5618c9f6p-17, 0x1.ed4a6b50080f5p-17, 0x1.e7f07c08d9d68p-17, 0x1.e297223752eddp-17, 0x1.dd3e7879d8dcbp-17, 0x1.d7e699605c498p-17, 0x1.d28f9f691c50ap-17, 0x1.cd39a500f0038p-17, 0x1.c7e4c47ed5578p-17, 0x1.c291182376a63p-17, 0x1.bd3eba162bfbfp-17, 0x1.b7edc464722f5p-17, 0x1.b29e50fe1ca9p-17, 0x1.ad5079b51ea04p-17, 0x1.a804583ba851bp-17, 0x1.a2ba06221d4cep-17, 0x1.9d719cd4d8514p-17, 0x1.982b359b6d12cp-17, 0x1.92e6e996779dep-17, 0x1.8da4d1be7c1dp-17, 0x1.886506e216cb5p-17, 0x1.8327a1a466fdep-17, 0x1.7decba7cb0065p-17, 0x1.78b469b344e3p-17, 0x1.737ec761a0bf3p-17, 0x1.6e4beb6fde6e7p-17, 0x1.691bed940ced1p-17, 0x1.63eee55180ff4p-17, 0x1.5ec4e9f70c588p-17, 0x1.599e129e089cfp-17, 0x1.547a762869107p-17, 0x1.4f5a2b4149fbcp-17, 0x1.4a3d485a2f3aep-17, 0x1.4523e3ab3a91ep-17, 0x1.400e133173d5fp-17, 0x1.3afbecae9cd3fp-17, 0x1.35ed85a778529p-17, 0x1.30e2f363eccd6p-17, 0x1.2bdc4aece32p-17, 0x1.26d9a10d2a14fp-17, 0x1.21db0a4ea5d22p-17, 0x1.1ce09afb57ddcp-17, 0x1.17ea671c35cfp-17, 0x1.12f882782d1a8p-17, 0x1.0e0b009411a23p-17, 0x1.0921f4b121636p-17, 0x1.043d71cd93dbcp-17, 0x1.febb1545da4cep-18, 0x1.f504a34d341f4p-18, 0x1.eb57b2118655bp-18, 0x1.e1b465694a0bdp-18, 0x1.d81ae09e2dbb8p-18, }}, 
      {{-0x1.617eb20b8629p-1, -0x1.618bd4f3faa8ep-1, -0x1.619ea20d793f2p-1, -0x1.61b3e5b549ae5p-1, -0x1.61c891ebf0ccdp-1, -0x1.61da0f5deb227p-1, -0x1.61e65a3cb6081p-1, -0x1.61ec0217020a5p-1, -0x1.61ea1b9993a3cp-1, -0x1.61e02cc9a7341p-1, -0x1.61ce1824798c4p-1, -0x1.61b408a95d791p-1, -0x1.61925f982e944p-1, -0x1.6169a4218440bp-1, -0x1.613a751378042p-1, -0x1.61057c817b90dp-1, -0x1.60cb6564203e8p-1, -0x1.608cd32b0169ap-1, -0x1.604a5b33fc996p-1, -0x1.6004801059dc8p-1, -0x1.5fbbae74d4d44p-1, -0x1.5f703ba6d08bcp-1, -0x1.5f226530e7351p-1, -0x1.5ed251a46c6fdp-1, -0x1.5e80122c591c5p-1, -0x1.5e2ba4b82da9fp-1, -0x1.5dd4f689ef9fdp-1, -0x1.5d7be6f8cd9ffp-1, -0x1.5d204a4159d31p-1, -0x1.5cc1ec441258ep-1, -0x1.5c60931a8a8fdp-1, -0x1.5bfc01728f0f4p-1, -0x1.5b93f8a4d60e5p-1, -0x1.5b283a82137b9p-1, -0x1.5ab88ad57a0ap-1, -0x1.5a44b09f05b6ep-1, -0x1.59cc770a38f8bp-1, -0x1.594fae27928ap-1, -0x1.58ce2b6fdcc7bp-1, -0x1.5847ca18d93e8p-1, -0x1.57bc6b42b37bp-1, -0x1.572bf6054b95ep-1, -0x1.56965763cd7e8p-1, -0x1.55fb822c5704ep-1, -0x1.555b6ec8a811dp-1, -0x1.54b61b040e9ddp-1, -0x1.540b89ca014e7p-1, -0x1.535bc2e027c2bp-1, -0x1.52a6d29df21ffp-1, -0x1.51ecc9a354488p-1, -0x1.512dbc8fc737dp-1, -0x1.5069c3ba52788p-1, -0x1.4fa0faeb158e5p-1, -0x1.4ed381168d936p-1, -0x1.4e01781aabb55p-1, -0x1.4d2b047db7127p-1, -0x1.4c504d2edb9e9p-1, -0x1.4b717b484e4fbp-1, -0x1.4a8eb9d2da267p-1, -0x1.49a8358ac0bep-1, -0x1.48be1ca5d2e72p-1, -0x1.47d09e9ab1e87p-1, -0x1.46dfebe9399d6p-1, -0x1.45ec35e414548p-1, -0x1.44f5ae7b8b8eep-1, -0x1.43fc8809a9db9p-1, -0x1.4300f51fce5b4p-1, -0x1.42032855d2771p-1, -0x1.4103541aece51p-1, -0x1.4001aa8875d25p-1, -0x1.3efe5d36b8d5bp-1, -0x1.3df99d13fb98bp-1, -0x1.3cf39a3dddb6dp-1, -0x1.3bec83dd35028p-1, -0x1.3ae4880483df9p-1, -0x1.39dbd39121e38p-1, -0x1.38d2920f281bbp-1, -0x1.37c8eda032c8p-1, -0x1.36bf0ee4f9dcep-1, -0x1.35b51ce9c55bp-1, -0x1.34ab3d15b94f2p-1, -0x1.33a1931cea85fp-1, -0x1.329840f532b78p-1, -0x1.318f66cdaa707p-1, -0x1.30872308b362bp-1, -0x1.2f7f923874ff9p-1, -0x1.2e78cf1dab3dbp-1, -0x1.2d72f2a8a506fp-1, -0x1.2c6e13fc4f8d5p-1, -0x1.2b6a4873221d6p-1, -0x1.2a67a3a5c9707p-1, -0x1.2966377364515p-1, -0x1.2866140b2c697p-1, -0x1.276747f75e225p-1, -0x1.2669e0293d4cap-1, -0x1.256de80609b17p-1, -0x1.24736974bf7cbp-1, -0x1.237a6cec8019ep-1, -0x1.2282f9837ccebp-1, -0x1.218d14fe460c6p-1, -0x1.2098c3df5d2aep-1, -0x1.1fa60976ebbdfp-1, -0x1.1eb4e7f286921p-1, -0x1.1dc5606ce3afbp-1, -0x1.1cd772fd69e38p-1, -0x1.1beb1ec789f5p-1, -0x1.1b006209cca8bp-1, -0x1.1a173a2c849ecp-1, -0x1.192fa3d0197f8p-1, -0x1.18499adadf0c8p-1, -0x1.17651a866c6e4p-1, -0x1.16821d6c6f582p-1, -0x1.15a09d92f1c75p-1, -0x1.14c094780fb7fp-1, -0x1.13e1fb1d18a3fp-1, -0x1.1304ca111a975p-1, -0x1.1228f97ad865cp-1, -0x1.114e81222ac76p-1, -0x1.10755878cbb4ep-1, -0x1.0f9d76a293ed9p-1, -0x1.0ec6d27d28e49p-1, -0x1.0df162a722c7ap-1, -0x1.0d1d1d86ae24dp-1, -0x1.0c49f94faee59p-1, -0x1.0b77ec096895dp-1, -0x1.0aa6eb93b64c1p-1, -0x1.09d6edabd3f4dp-1, -0x1.0907e7f0c2067p-1, -0x1.0839cfe7498bfp-1, -0x1.076c9afda7914p-1, -0x1.06a03e8ee5e0bp-1, -0x1.05d4afe5e8c36p-1, -0x1.0509e4403663ep-1, -0x1.043fd0d080d5fp-1, -0x1.03766ac0f5d87p-1, -0x1.02ada7355c3bcp-1, -0x1.01e57b4d05853p-1, -0x1.011ddc2494e93p-1, -0x1.0056bed7a62b2p-1, -0x1.ff203104aaf4bp-2, -0x1.fd93bc855b9c4p-2, -0x1.fc080a74075d3p-2, -0x1.fa7d051c78671p-2, -0x1.f8f296d6135a4p-2, -0x1.f768aa0635c55p-2, -0x1.f5df29228a859p-2, -0x1.f455feb35327cp-2, -0x1.f2cd1555ace3dp-2, -0x1.f14457bdd4466p-2, -0x1.efbbb0b96fe3cp-2, -0x1.ee330b31dccd6p-2, -0x1.ecaa522e8839p-2, -0x1.eb2170d751126p-2, -0x1.e9985276fa433p-2, -0x1.e80ee27da6a8ap-2, -0x1.e6850c8369434p-2, -0x1.e4fabc4ae1b7ep-2, -0x1.e36fddc3e8353p-2, -0x1.e1e45d0e4d94p-2, -0x1.e058267ca3d37p-2, -0x1.decb26971c213p-2, -0x1.dd3d4a1e6c5cbp-2, -0x1.dbae7e0ec864p-2, -0x1.da1eafa2dd23bp-2, -0x1.d88dcc56df70cp-2, -0x1.d6fbc1eb9ae34p-2, -0x1.d5687e698c8ffp-2, -0x1.d3d3f02400d6dp-2, -0x1.d23e05bc30501p-2, -0x1.d0a6ae246584dp-2, -0x1.cf0dd8a317a9ap-2, -0x1.cd7374d60b807p-2, -0x1.cbd772b567eaap-2, -0x1.ca39c296c6f63p-2, -0x1.c89a55303ccd1p-2, -0x1.c6f91b9b52c52p-2, -0x1.c5560757f7002p-2, -0x1.c3b10a4f5a74ap-2, -0x1.c20a16d6c0e3cp-2, -0x1.c0611fb23bb2ap-2, -0x1.beb61817516ap-2, -0x1.bd08f3af916bp-2, -0x1.bb59a69b0b0e4p-2, -0x1.b9a82572b1d89p-2, -0x1.b7f4654aa276cp-2, -0x1.b63e5bb44e36ap-2, -0x1.b485fec08acaep-2, -0x1.b2cb45018183ap-2, -0x1.b10e258c8342p-2, -0x1.af4e97fbb77a6p-2, -0x1.ad8c946fb1b48p-2, -0x1.abc81390ddb3ap-2, -0x1.aa010e90d13c2p-2, -0x1.a8377f2b78055p-2, -0x1.a66b5fa81a4a4p-2, -0x1.a49caada45716p-2, -0x1.a2cb5c228ee21p-2, -0x1.a0f76f6f32c9ap-2, -0x1.9f20e13c8fb12p-2, -0x1.9d47ae957ee3dp-2, -0x1.9b6bd51388c59p-2, -0x1.998d52def6dadp-2, -0x1.97ac26aec14ffp-2, -0x1.95c84fc85aa32p-2, -0x1.93e1cdff588f4p-2, -0x1.91f8a1b4f9c83p-2, -0x1.900ccbd78ced4p-2, -0x1.8e1e4de1b2fb3p-2, -0x1.8c2d29d984b6ap-2, -0x1.8a39624f96399p-2, -0x1.8842fa5ddad65p-2, -0x1.8649f5a66b82dp-2, -0x1.844e585231ff4p-2, -0x1.8250270f71aeep-2, -0x1.804f671039219p-2, -0x1.7e4c1e08b6963p-2, -0x1.7c46522d736bbp-2, -0x1.7a3e0a3172fb7p-2, -0x1.78334d443e8a9p-2, -0x1.7626230fd2e26p-2, -0x1.741693b67e843p-2, -0x1.7204a7d0a427dp-2, -0x1.6ff0686a6e469p-2, -0x1.6dd9df016842p-2, -0x1.6bc115820d6ddp-2, -0x1.69a616453e972p-2, -0x1.6788ec0dac1c9p-2, -0x1.6569a2052edf7p-2, -0x1.634843ba12b13p-2, -0x1.6124dd1c52adfp-2, -0x1.5eff7a7ac9b7dp-2, -0x1.5cd8288058d36p-2, -0x1.5aaef430ff023p-2, -0x1.5883eae6ecb5fp-2, -0x1.56571a4f88509p-2, -0x1.5428906873f5ep-2, -0x1.51f85b7c8235ep-2, -0x1.4fc68a20ac79bp-2, -0x1.4d932b3101157p-2, -0x1.4b5e4dcd9007fp-2, -0x1.492801575040ap-2, -0x1.46f0556d06a8p-2, -0x1.44b759e82af4bp-2, -0x1.427d1ed9c88b8p-2, -0x1.4041b4876587bp-2, -0x1.3e052b67e39bp-2, -0x1.3bc7942068d81p-2, -0x1.3988ff81479c4p-2, -0x1.37497e82e91c2p-2, -0x1.35092242be899p-2, -0x1.32c7fc00346c8p-2, -0x1.30861d19a9f0ep-2, -0x1.2e4397097333bp-2, -0x1.2c007b62db1fp-2, -0x1.29bcdbcf3196dp-2, -0x1.2778ca0adc493p-2, -0x1.253457e276027p-2, -0x1.22ef972feee19p-2, -0x1.20aa99d7bc62dp-2, -0x1.1e6571c60c0d1p-2, -0x1.1c2030ec07471p-2, -0x1.19dae93d1c72ap-2, -0x1.1795acac53e8ep-2, -0x1.15508d29aff48p-2, -0x1.130b9c9f991cep-2, -0x1.10c6ecf056c16p-2, -0x1.0e828ff38f9fep-2, -0x1.0c3e9773dcd36p-2, -0x1.09fb152c64bddp-2, -0x1.07b81ac684044p-2, -0x1.0575b9d7850eep-2, -0x1.033403de64babp-2, -0x1.00f30a41a0477p-2, -0x1.fd65bc9a2f014p-3, -0x1.f8e7225ff127ap-3, -0x1.f46a67f575b57p-3, -0x1.efefaf3a4dae1p-3, -0x1.eb7719c8dc073p-3, -0x1.e700c8f2a4144p-3, -0x1.e28cddbca7c75p-3, -0x1.de1b78dbf4901p-3, -0x1.d9acbab241d32p-3, -0x1.d540c34aab867p-3, -0x1.d0d7b25692a0bp-3, -0x1.cc71a72a92a52p-3, -0x1.c80ec0bb95176p-3, -0x1.c3af1d9c03b86p-3, -0x1.bf52dbf91b4f9p-3, -0x1.bafa199850ebfp-3, -0x1.b6a4f3d4dcf8ep-3, -0x1.b253879d5e121p-3, -0x1.ae05f1719c635p-3, -0x1.a9bc4d6063e6fp-3, -0x1.a576b70579e96p-3, -0x1.a1354987b5bacp-3, -0x1.9cf81f972d9cfp-3, -0x1.98bf536b8198bp-3, -0x1.948afec23ef47p-3, -0x1.905b3add6193p-3, -0x1.8c302081ed12p-3, -0x1.8809c7f69e899p-3, -0x1.83e84902ba71cp-3, -0x1.7fcbbaecf5cc6p-3, -0x1.7bb4347a6f246p-3, -0x1.77a1cbedc9dacp-3, -0x1.739497065beccp-3, -0x1.6f8caaff7379ap-3, -0x1.6b8a1c8fb6ac1p-3, -0x1.678cffe897de2p-3, -0x1.639568b5ddf96p-3, -0x1.5fa36a1d48fbap-3, -0x1.5bb716be4651cp-3, -0x1.57d080b1ba4e8p-3, -0x1.53efb989e4048p-3, -0x1.5014d2524c905p-3, -0x1.4c3fdb8fd3688p-3, -0x1.4870e540c45b4p-3, -0x1.44a7fedd08d0bp-3, -0x1.40e53756647bep-3, -0x1.3d289d18c80a2p-3, -0x1.39723e0ab5694p-3, -0x1.35c2278db05edp-3, -0x1.3218667ec43b6p-3, -0x1.2e75073715de3p-3, -0x1.2ad8158c8c982p-3, -0x1.27419cd27b0dfp-3, -0x1.23b1a7da66e45p-3, -0x1.202840f4d7751p-3, -0x1.1ca571f22aacap-3, -0x1.192944238a736p-3, -0x1.15b3c05bd4e53p-3, -0x1.1244eef0a97a4p-3, -0x1.0edcd7bb70085p-3, -0x1.0b7b821a74df6p-3, -0x1.0820f4f20b0f6p-3, -0x1.04cd36adbcc05p-3, -0x1.01804d417f0f6p-3, -0x1.fc747c55ef06cp-4, -0x1.f5f61ce58a0c4p-4, -0x1.ef85855ba515cp-4, -0x1.e922bdfd6884ep-4, -0x1.e2cdce2e126bep-4, -0x1.dc86bc71cb594p-4, -0x1.d64d8e708cbc1p-4, -0x1.d02248f90c8ebp-4, -0x1.ca04f003be1e6p-4, -0x1.c3f586b5d9dbcp-4, -0x1.bdf40f646a72cp-4, -0x1.b8008b9776081p-4, -0x1.b21afc0d15df7p-4, -0x1.ac4360bcb4b54p-4, -0x1.a679b8da3d436p-4, -0x1.a0be02d955163p-4, -0x1.9b103c70aabbdp-4, -0x1.9570629d4041bp-4, -0x1.8fde71a5b60b9p-4, -0x1.8a5a651da2562p-4, -0x1.84e437e8ea4dcp-4, -0x1.7f7be43f20f4bp-4, -0x1.7a2163aee3bebp-4, -0x1.74d4af213cfb7p-4, -0x1.6f95bedd096bbp-4, -0x1.6a648a8a59f6ep-4, -0x1.65410935db302p-4, -0x1.602b31543a639p-4, -0x1.5b22f8c588e1fp-4, -0x1.562854d8a4391p-4, -0x1.513b3a4e95cdap-4, -0x1.4c5b9d5df4374p-4, -0x1.478971b645236p-4, -0x1.42c4aa83566dp-4, -0x1.3e0d3a7099d79p-4, -0x1.396313ac75e14p-4, -0x1.34c627eba0f74p-4, -0x1.3036686c63813p-4, -0x1.2bb3c5f9eb2a5p-4, -0x1.273e30ef885a4p-4, -0x1.22d5993bef8cap-4, -0x1.1e79ee6470fb7p-4, -0x1.1a2b1f882e872p-4, -0x1.15e91b63465cfp-4, -0x1.11b3d051f7fb1p-4, -0x1.0d8b2c53c8547p-4, -0x1.096f1d0e96794p-4, -0x1.055f8fd1aed6cp-4, -0x1.015c7198d4167p-4, -0x1.facb5e1e80d87p-5, -0x1.f2f6692542e21p-5, -0x1.eb39dc6c100cdp-5, -0x1.e3958f89aad3cp-5, -0x1.dc09598b29287p-5, -0x1.d49510f9b5f85p-5, -0x1.cd388be0227e7p-5, -0x1.c5f39fd07c821p-5, -0x1.bec621e97d874p-5, -0x1.b7afe6dbfeecep-5, -0x1.b0b0c2f04268dp-5, -0x1.a9c88a0b3a2b2p-5, -0x1.a2f70fb3b7ab3p-5, -0x1.9c3c27177c8d3p-5, -0x1.9597a31053f95p-5, -0x1.8f095628efc86p-5, -0x1.889112a1d4d1bp-5, -0x1.822eaa7627e8cp-5, -0x1.7be1ef605d4c6p-5, -0x1.75aab2dedab79p-5, -0x1.6f88c6388942ep-5, -0x1.697bfa81511b3p-5, -0x1.6384209e7a21p-5, -0x1.5da1094afd66bp-5, -0x1.57d2851bc354cp-5, -0x1.52186483c7c4bp-5, -0x1.4c7277d832d99p-5, -0x1.46e08f5450c6p-5, -0x1.41627b1d7fb7dp-5, -0x1.3bf80b4707f39p-5, -0x1.36a10fd5d5ad8p-5, -0x1.315d58c42acb5p-5, -0x1.2c2cb60538b8ap-5, -0x1.270ef7889f7e3p-5, -0x1.2203ed3de359p-5, -0x1.1d0b6717c4c39p-5, -0x1.1825350f8ea51p-5, -0x1.13512728409dp-5, -0x1.0e8f0d71bb6b9p-5, -0x1.09deb80bc3d55p-5, -0x1.053ff72907fd6p-5, -0x1.00b29b11f8c4dp-5, -0x1.f86ce84f50e1ap-6, -0x1.ef96a5cd08bf3p-6, -0x1.e6e20fd20f66fp-6, -0x1.de4ec7d4a2493p-6, -0x1.d5dc6f9164459p-6, -0x1.cd8aa910401efp-6, -0x1.c55916a9324e8p-6, -0x1.bd475b08f764ap-6, -0x1.b55519357c7dcp-6, -0x1.ad81f49258dc5p-6, -0x1.a5cd90e4e44b8p-6, -0x1.9e3792587921bp-6, -0x1.96bf9d824f86dp-6, -0x1.8f6557656077cp-6, -0x1.882865761b0ccp-6, -0x1.81086d9df473ep-6, -0x1.7a05163eeb412p-6, -0x1.731e0636c7e4ap-6, -0x1.6c52e4e25ff1bp-6, -0x1.65a35a20bb23ap-6, -0x1.5f0f0e55f09b7p-6, -0x1.5895aa6e15b5bp-6, -0x1.5236d7dffe6eap-6, -0x1.4bf240afd1714p-6, -0x1.45c78f719ef6cp-6, -0x1.3fb66f4bbea6dp-6, -0x1.39be8bf91dfc1p-6, -0x1.33df91cb7ba95p-6, -0x1.2e192dad76a92p-6, -0x1.286b0d2494dc2p-6, -0x1.22d4de53272bfp-6, -0x1.1d564ffa0d4fcp-6, -0x1.17ef117a7557dp-6, -0x1.129ed2d771004p-6, -0x1.0d6544b778046p-6, -0x1.08421865d6bd9p-6, -0x1.0334ffd402b8ep-6, -0x1.fc7b5b35b899fp-7, -0x1.f2b7a9f7aae4bp-7, -0x1.e91e53c40f70ap-7, -0x1.dfaec1c66060fp-7, -0x1.d6685e8143009p-7, -0x1.cd4a95d0214dcp-7, -0x1.c454d4e8bc7ccp-7, -0x1.bb868a5c89ffp-7, -0x1.b2df2619f464dp-7, -0x1.aa5e196d55e0cp-7, -0x1.a202d702213c2p-7, -0x1.99ccd2e3678adp-7, -0x1.91bb827cc8d3fp-7, -0x1.89ce5c9adf084p-7, -0x1.8204d96ba085ep-7, -0x1.7a5e727ec6d5dp-7, -0x1.72daa2c5e3c7ap-7, -0x1.6b78e6948e7b5p-7, -0x1.6438bba0321ecp-7, -0x1.5d19a0fffa39ep-7, -0x1.561b172c897fbp-7, -0x1.4f3c9fffa28c5p-7, -0x1.487dbeb3914e5p-7, -0x1.41ddf7e2b7c31p-7, -0x1.3b5cd186cc971p-7, -0x1.34f9d2f821a84p-7, -0x1.2eb484ecc343ap-7, -0x1.288c7177958f5p-7, -0x1.22812407305e6p-7, -0x1.1c922964e4d2p-7, -0x1.16bf0fb3720d5p-7, -0x1.1107666dc9d11p-7, -0x1.0b6abe65c944cp-7, -0x1.05e8a9c2b89bbp-7, -0x1.0080bbffe043p-7, -0x1.f66513d5cca8p-8, -0x1.ebfb5344b6ap-8, -0x1.e1c36527b46cbp-8, -0x1.d7bc7af508299p-8, -0x1.cde5c8b9f79cp-8, -0x1.c43e85176d322p-8, -0x1.bac5e93e2a1c3p-8, -0x1.b17b30eaa55bcp-8, -0x1.a85d9a6142edep-8, -0x1.9f6c666a2e117p-8, -0x1.96a6d84d2262dp-8, -0x1.8e0c35cd2f0dbp-8, -0x1.859bc724640a9p-8, -0x1.7d54d6ff520b1p-8, -0x1.7536b278b8d7dp-8, -0x1.6d40a914b0d2dp-8, -0x1.65720cbc43a91p-8, -0x1.5dca31b8b5132p-8, -0x1.56486eae8c89cp-8, -0x1.4eec1c9912a92p-8, -0x1.47b496c53beeep-8, -0x1.40a13accd6758p-8, -0x1.39b1689193f05p-8, -0x1.32e48237f589dp-8, -0x1.2c39ec22578fbp-8, -0x1.25b10cebe45abp-8, -0x1.1f494d634990fp-8, -0x1.19021885d786fp-8, -0x1.12dadb7a1d74ep-8, -0x1.0cd3058ac3513p-8, -0x1.06ea08214ae56p-8, -0x1.011f56c0ee71ep-8, -0x1.f6e4ce02a7efap-9, -0x1.ebc5611234783p-9, -0x1.e0df5a11900b7p-9, -0x1.d631b06a946aep-9, -0x1.cbbb5f85c8d96p-9, -0x1.c17b66bf00471p-9, -0x1.b770c95b95d1bp-9, -0x1.ad9a8e7ee7793p-9, -0x1.a3f7c1203d0efp-9, -0x1.9a876ffff9df8p-9, -0x1.9148ad9cdfd05p-9, -0x1.883a9029566dep-9, -0x1.7f5c3181174fp-9, -0x1.76acaf1e2d143p-9, -0x1.6e2b2a0ea68c6p-9, -0x1.65d6c6e9dee35p-9, -0x1.5daeadc5dce4ep-9, -0x1.55b20a2d13a46p-9, -0x1.4de00b1369edap-9, -0x1.4637e2cc40bbp-9, -0x1.3eb8c6ffade09p-9, -0x1.3761f0a0614b4p-9, -0x1.30329be0d199cp-9, -0x1.292a0829a7e68p-9, -0x1.2247780eb8962p-9, -0x1.1b8a3145646fcp-9, -0x1.14f17c9a0b94p-9, -0x1.0e7ca5e640fbcp-9, -0x1.082afc067bec7p-9, -0x1.01fbd0d02a3fcp-9, -0x1.f7dcf20fa05d5p-10, -0x1.ec0498ae1ead3p-10, -0x1.e06d4a85fdap-10, -0x1.d515c24467c84p-10, -0x1.c9fcc02672335p-10, -0x1.bf2109e5a52dcp-10, -0x1.b4816aa4f47e6p-10, -0x1.aa1cb2ddd186fp-10, -0x1.9ff1b84d3582ap-10, -0x1.95ff55e0f3d4p-10, -0x1.8c446ba54fe04p-10, -0x1.82bfdeb265e17p-10, -0x1.7970991a08d08p-10, -0x1.705589d5866a6p-10, -0x1.676da4b3cae84p-10, -0x1.5eb7e2478397fp-10, -0x1.56333fd57d2p-10, -0x1.4ddebf4306458p-10, -0x1.45b96704d9cc9p-10, -0x1.3dc2420d91015p-10, -0x1.35f85fbd3c1c7p-10, -0x1.2e5ad3cfafa4p-10, -0x1.26e8b64ca2cbcp-10, -0x1.1fa1237668ec2p-10, -0x1.18833bba14636p-10, -0x1.118e239f46256p-10, -0x1.0ac103b799174p-10, -0x1.041b088f4f4fep-10, -0x1.fb36c53ad36d1p-11, -0x1.ee828c682fce3p-11, -0x1.e217d6e26e582p-11, -0x1.d5f51c5eb897cp-11, -0x1.ca18dbed29e13p-11, -0x1.be819bdafccf8p-11, -0x1.b32de995a126dp-11, -0x1.a81c598ccefb4p-11, -0x1.9d4b871662484p-11, -0x1.92ba1451e5047p-11, -0x1.8866aa0c2390bp-11, -0x1.7e4ff7a36af08p-11, -0x1.7474b2ecaf2bfp-11, -0x1.6ad3981733c91p-11, -0x1.616b699330fc1p-11, -0x1.583aeff63419bp-11, -0x1.4f40f9e17630dp-11, -0x1.467c5be846e7ep-11, -0x1.3debf07654739p-11, -0x1.358e97b6175a7p-11, -0x1.2d633778cbe47p-11, -0x1.2568bb1d573e4p-11, -0x1.1d9e13782c6a5p-11, -0x1.160236bb744cfp-11, -0x1.0e94205f76588p-11, -0x1.0752d10b80006p-11, -0x1.003d4e7e6d5efp-11, -0x1.f2a546f1efa48p-12, -0x1.e523bf4c319a7p-12, -0x1.d7f42f0c5758bp-12, -0x1.cb14c8b13aaffp-12, -0x1.be83c80c9d638p-12, -0x1.b23f721aa404dp-12, -0x1.a64614d60716ap-12, -0x1.9a9607106cd69p-12, -0x1.8f2da849260b5p-12, -0x1.840b608607b5ap-12, -0x1.792da02b4a5a1p-12, -0x1.6e92dfd57a04p-12, -0x1.6439a032f865ap-12, -0x1.5a2069de06865p-12, -0x1.5045cd381edcdp-12, -0x1.46a8624538712p-12, -0x1.3d46c887e9d2cp-12, -0x1.341fa6dd97514p-12, -0x1.2b31ab5ccd668p-12, -0x1.227b8b30f0d57p-12, -0x1.19fc0279b70f1p-12, -0x1.11b1d4299de27p-12, -0x1.099bc9e4da128p-12, -0x1.01b8b3e127194p-12, -0x1.f40ed18c6ae4cp-13, -0x1.e50d8b1bb497dp-13, -0x1.d66b5acb50ce5p-13, -0x1.c8261321205d4p-13, -0x1.ba3b92916f47cp-13, -0x1.aca9c345a06a8p-13, -0x1.9f6e9ae022b2ap-13, -0x1.92881a46ce8aap-13, -0x1.85f44d6867626p-13, -0x1.79b14b06153a2p-13, -0x1.6dbd347d8b1ep-13, -0x1.621635941603cp-13, -0x1.56ba8442ab76fp-13, -0x1.4ba8608146d3ap-13, -0x1.40de1415600a3p-13, -0x1.3659f25f33be5p-13, -0x1.2c1a5829a254cp-13, -0x1.221dab7a41711p-13, -0x1.18625b6130341p-13, -0x1.0ee6dfcb418e4p-13, -0x1.05a9b95557eap-13, -0x1.f952e23a43995p-14, -0x1.e7c9312debd53p-14, -0x1.d6b392c41c647p-14, -0x1.c60f4a3b42a3cp-14, -0x1.b5d9aa7e2fee7p-14, -0x1.a61015d3cf314p-14, -0x1.96affd8b6bbe2p-14, -0x1.87b6e1b001915p-14, -0x1.792250b8dce55p-14, -0x1.6aefe73e36a72p-14, -0x1.5d1d4fac770a5p-14, -0x1.4fa841fd26c67p-14, -0x1.428e836bc4a68p-14, -0x1.35cde63122d4bp-14, -0x1.2964493b4221bp-14, -0x1.1d4f97ea5cf53p-14, -0x1.118dc9ce281b4p-14, -0x1.061ce261270e8p-14, -0x1.f5f5e196b867fp-15, -0x1.e04c1f418e817p-15, -0x1.cb38c9456ee1ap-15, -0x1.b6b84108d87bp-15, -0x1.a2c6fd5836c1bp-15, -0x1.8f6189f68a35p-15, -0x1.7c8487237795p-15, -0x1.6a2ca9309e052p-15, -0x1.5856b80c9ecb2p-15, -0x1.46ff8ed944695p-15, -0x1.36241b7ead8cep-15, -0x1.25c15e43683c7p-15, -0x1.15d46965906edp-15, -0x1.065a60b423f48p-15, -0x1.eea0f25c1bbcap-16, -0x1.d167f1443d33dp-16, -0x1.b5046a9819228p-16, -0x1.99712af6a418fp-16, -0x1.7ea91e6904d94p-16, -0x1.64a74fb44483ep-16, -0x1.4b66e7a6914c9p-16, -0x1.32e32c6c6b71bp-16, -0x1.1b1780e5b3f06p-16, -0x1.03ff640866562p-16, -0x1.db2ce064db5a1p-17, -0x1.afb0b52bd0abp-17, -0x1.8581e52b9daf1p-17, -0x1.5c984267135f6p-17, -0x1.34ebd0e72ad11p-17, -0x1.0e74c5a630da3p-17, -0x1.d2570aca4e51dp-18, -0x1.8a114735e4039p-18, -0x1.4409c2b359662p-18, -0x1.00325895707f5p-18, -0x1.7cfa7690e69f2p-19, -0x1.fb73c8ff8bf74p-20, -0x1.051160640def8p-20, -0x1.69a62733bb03ep-24, 0x1.a046893b4026cp-21, 0x1.af5872aa3ff88p-20, 0x1.439a6ba15aa89p-19, 0x1.abf37d2398038p-19, 0x1.086710d810f1ap-18, 0x1.3920400e3383bp-18, 0x1.68301ae61fd2p-18, 0x1.95a12ce33a0d7p-18, 0x1.c17dc00050483p-18, 0x1.ebcfde3532d14p-18, 0x1.0a50a981bdbc8p-17, 0x1.1dfdd676e2e6p-17, 0x1.30f41f7700a67p-17, 0x1.433810efa4772p-17, 0x1.54ce1af321598p-17, 0x1.65ba91e321bc2p-17, 0x1.7601af1fcf0b6p-17, 0x1.85a791ad0f3fdp-17, 0x1.94b03ed43edb1p-17, 0x1.a31fa2c375f91p-17, 0x1.b0f9912bec908p-17, 0x1.be41c5d745cb5p-17, 0x1.cafbe53d72b24p-17, 0x1.d72b7d10e780fp-17, 0x1.e2d404d990cb5p-17, 0x1.edf8de73e0d92p-17, 0x1.f89d569c7aa05p-17, 0x1.016252bb146e2p-16, 0x1.0638f785bc207p-16, 0x1.0ad421e539ff7p-16, 0x1.0f355080cd82p-16, 0x1.135df8acd1536p-16, 0x1.174f86a58d33ap-16, 0x1.1b0b5dc85dfb6p-16, 0x1.1e92d8ce21298p-16, 0x1.21e749ff0f566p-16, 0x1.2509fb6bf077ap-16, 0x1.27fc2f1ea9cf9p-16, 0x1.2abf1f4fa9bc9p-16, 0x1.2d53fe97e6981p-16, 0x1.2fbbf8224e2fep-16, 0x1.31f82fd94ff91p-16, 0x1.3409c296ac0b9p-16, 0x1.35f1c6513c055p-16, 0x1.37b14a49402f7p-16, 0x1.394957337782ep-16, 0x1.3abaef6155cdep-16, 0x1.3c070eed1c3f8p-16, 0x1.3d2eabe0e1a0fp-16, 0x1.3e32b65e91p-16, 0x1.3f1418c45bb32p-16, 0x1.3fd3b7d3632e6p-16, 0x1.407272d51c6c3p-16, 0x1.40f123bc88e3p-16, 0x1.41509f49c86fdp-16, 0x1.4191b52c09529p-16, 0x1.41b530232f628p-16, 0x1.41bbd61eca643p-16, 0x1.41a6685e2113p-16, 0x1.4175a38eeba7cp-16, 0x1.412a3fea25d35p-16, 0x1.40c4f153785eep-16, 0x1.4046677222fd8p-16, 0x1.3faf4dceaa0cap-16, 0x1.3f004bed9e238p-16, 0x1.3e3a05698c2e8p-16, 0x1.3d5d1a0cb9a9p-16, 0x1.3c6a25e9a5f2dp-16, 0x1.3b61c1741b0b1p-16, 0x1.3a4481987400fp-16, 0x1.3912f7d263daap-16, 0x1.37cdb2434b5a8p-16, 0x1.36753bc81da27p-16, 0x1.350a1c0f4c0ccp-16, 0x1.338cd7ae12c4fp-16, 0x1.31fdf032e5abbp-16, 0x1.305de43aaf3f4p-16, 0x1.2ead2f8363afep-16, 0x1.2cec4afee78adp-16, 0x1.2b1bace498ea5p-16, 0x1.293bc8c3b18aap-16, 0x1.274d0f944cd52p-16, 0x1.254fefc85be79p-16, 0x1.2344d55b54a0ap-16, 0x1.212c29e3ba17ep-16, 0x1.1f0654a0828e6p-16, 0x1.1cd3ba8a2790bp-16, 0x1.1a94be601ea3fp-16, 0x1.1849c0b70335dp-16, 0x1.15f320076eedfp-16, 0x1.139138bb0e323p-16, 0x1.1124653997d82p-16, 0x1.0eacfdf5a803ap-16, 0x1.0c2b59797eebdp-16, 0x1.099fcc72cc112p-16, 0x1.070aa9bf2664bp-16, 0x1.046c427702ec8p-16, 0x1.01c4e5f857199p-16, 0x1.fe29c3e4c7fd4p-17, 0x1.f8b904dfac72cp-17, 0x1.f33823c275c63p-17, 0x1.eda7b24dbd3fcp-17, 0x1.e8083f36092ep-17, 0x1.e25a563565f08p-17, 0x1.dc9e801f08b46p-17, 0x1.d6d542f044347p-17, 0x1.d0ff21e173626p-17, 0x1.cb1c9d77b225bp-17, 0x1.c52e3395aca37p-17, 0x1.bf345f8adf52cp-17, 0x1.b92f9a23d626dp-17, 0x1.b32059b8c858fp-17, 0x1.ad07123c28ab3p-17, 0x1.a6e435497513fp-17, 0x1.a0b832336c358p-17, 0x1.9a83760ffc9c4p-17, 0x1.94466bc5c32f5p-17, 0x1.8e017c1b2b90bp-17, 0x1.87b50dc0588acp-17, 0x1.8161855c7e799p-17, 0x1.7b074599482f4p-17, 0x1.74a6af2d89243p-17, 0x1.6e4020e86feaap-17, 0x1.67d3f7bdc9029p-17, 0x1.61628ecf165p-17, 0x1.5aec3f75afbc4p-17, 0x1.5471614cae85dp-17, 0x1.4df24a3b12597p-17, 0x1.476f4e7d05752p-17, 0x1.40e8c0acacecbp-17, 0x1.3a5ef1cb5d60bp-17, 0x1.33d23149a1369p-17, 0x1.2d42cd1018b6fp-17, 0x1.26b11187ba103p-17, 0x1.201d49a130f4dp-17, 0x1.1987bedc6f15dp-17, 0x1.12f0b950458b4p-17, 0x1.0c587fb1c5513p-17, 0x1.05bf575ad84ecp-17, 0x1.fe4b08a4eba26p-18, 0x1.f11692a3072eep-18, 0x1.e3e1cf95e8368p-18, 0x1.d6ad3fe18eed1p-18, 0x1.c979617460859p-18, 0x1.bc46afd48d6d1p-18, 0x1.af15a42a6c6f8p-18, 0x1.a1e6b54d4a337p-18, 0x1.94ba57cd67d9ap-18, 0x1.8790fdfe27b97p-18, 0x1.7a6b1801a4ffdp-18, 0x1.6d4913d2effc9p-18, 0x1.602b5d4d4319p-18, 0x1.53125e3923082p-18, 0x1.45fe7e523feaap-18, 0x1.38f02351ccb4p-18, 0x1.2be7b0f940a1ap-18, 0x1.1ee58919172bcp-18, 0x1.11ea0b98f7f62p-18, 0x1.04f59680173f5p-18, 0x1.f0110bfba1a54p-19, 0x1.d64668e30b373p-19, 0x1.bc8bf4e244773p-19, 0x1.a2e25da055915p-19, 0x1.894a4d50d5p-19, 0x1.6fc46ac09ed1ep-19, 0x1.565159646536ap-19, 0x1.3cf1b962e348fp-19, 0x1.23a627a54b7dfp-19, 0x1.0a6f3de254e9fp-19, 0x1.e29b254fc19edp-20, 0x1.b08372db2986cp-20, 0x1.7e988535fc37ep-20, 0x1.4cdb7726d68cep-20, 0x1.1b4d5d8c37e95p-20, 0x1.d3de8ecb7c946p-21, 0x1.71847be214fe4p-21, 0x1.0f8e897ac608dp-21, 0x1.5bfd66f0868ebp-22, 0x1.335baaeb8b2fp-23, -0x1.3e6eac7797b92p-25, -0x1.d0e3c75f1c69p-23, -0x1.a83ab39956d16p-22, -0x1.33925c7932676p-21, -0x1.92963e0206aefp-21, -0x1.f1274cbac7ad6p-21, -0x1.27a1f082650bbp-20, -0x1.56752e922d923p-20, -0x1.850c969083ce2p-20, -0x1.b3676357be75cp-20, -0x1.e184d484f58f2p-20, -0x1.07b217344761dp-19, -0x1.1e825cfc49b49p-19, -0x1.3532e25f76b19p-19, -0x1.4bc35065bdb9dp-19, -0x1.6233525315a8fp-19, -0x1.788295a11d726p-19, -0x1.8eb0c9f602a76p-19, -0x1.a4bda11f24e95p-19, -0x1.baa8cf097aa0cp-19, -0x1.d07209baf0778p-19, -0x1.e619094a546dbp-19, -0x1.fb9d87dd5f2d1p-19, -0x1.087fa0cf788a1p-18, -0x1.131efa5c5bb82p-18, -0x1.1dacb0a6d4a87p-18, -0x1.2828a4b8f94e4p-18, -0x1.3292b894b0d9p-18, -0x1.3ceacf2e5726ap-18, -0x1.4730cc6bfff96p-18, -0x1.5164952060744p-18, -0x1.5b860f099ebc1p-18, -0x1.659520cd98362p-18, -0x1.6f91b1f6452ddp-18, -0x1.797baaf1b155ap-18, -0x1.8352f50c0dab9p-18, -0x1.8d177a6f6f552p-18, -0x1.96c9262009794p-18, -0x1.a067e3fa4591p-18, -0x1.a9f3a0af2e414p-18, -0x1.b36c49c17c7a9p-18, -0x1.bcd1cd84973cbp-18, -0x1.c6241b1929f61p-18, -0x1.cf63226afbb09p-18, -0x1.d88ed42ed2593p-18, -0x1.e1a721deac99dp-18, -0x1.eaabfdb815d3dp-18, -0x1.f39d5ab9abbadp-18, -0x1.fc7b2ca19e688p-18, -0x1.02a2b3f4d43f9p-17, -0x1.06fe00e3474e5p-17, -0x1.0b4f781212a98p-17, -0x1.0f9714d1ddaa2p-17, -0x1.13d4d2ccfd10ep-17, -0x1.1808ae062ee8ep-17, -0x1.1c32a2d78d08cp-17, -0x1.2052adf1a000ap-17, -0x1.2468cc59f00adp-17, -0x1.2874fb6a107b6p-17, -0x1.2c7738ce034acp-17, -0x1.306f828494e35p-17, -0x1.345dd6dcdb64ap-17, -0x1.38423475a155dp-17, -0x1.3c1c9a3ce35e2p-17, -0x1.3fed076db6243p-17, -0x1.43b37b8fa758fp-17, -0x1.476ff6766258cp-17, -0x1.4b22783fcc855p-17, -0x1.4ecb01538aeabp-17, -0x1.526992614076fp-17, -0x1.55fe2c60a406cp-17, -0x1.5988d08fd5184p-17, -0x1.5d0980723154ap-17, -0x1.60803dd0364c9p-17, -0x1.63ed0ab4f04dbp-17, -0x1.674fe96ef9785p-17, -0x1.6aa8dc8e47b2bp-17, -0x1.6df7e6e35d228p-17, -0x1.713d0b7ea3e2p-17, -0x1.74784daefd111p-17, -0x1.77a9b1017191ap-17, -0x1.7ad1394001f24p-17, -0x1.7deeea7027159p-17, -0x1.8102c8d2bb239p-17, -0x1.840cd8e31d0a1p-17, -0x1.870d1f5571bb6p-17, -0x1.8a03a1167a62dp-17, -0x1.8cf0634a0af5bp-17, -0x1.8fd36b4ae34a1p-17, -0x1.92acbea8e9203p-17, -0x1.957c63299438ap-17, -0x1.98425ec5e1bffp-17, -0x1.9afeb7aa2631p-17, -0x1.9db1743431cp-17, -0x1.a05a9af3b81e5p-17, -0x1.a2fa32a8f80a9p-17, -0x1.a590424367347p-17, -0x1.a81cd0e207439p-17, -0x1.aa9fe5d0da70ep-17, -0x1.ad198889e29c7p-17, -0x1.af89c0b31d5e6p-17, -0x1.b1f0961deb44p-17, -0x1.b44e10c6d79b6p-17, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      29, 0x1.f851eb851eb85p+2, 0x1.10571b73d2b2ap+1, 0x1.252fd379f5939p+3, -0x1.481c4523262acp-9, 
      {{
        {0x1.9e147ae147ae1p+2, 0x1.ap+2, 0x1.ec29cd5ef3be4p-8, -0x1.5d0d5c2872c33p-6, 0x1.7354f6e3a0afcp-6, -0x1.5ccf3f05e737cp-7}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.c398510a0d3a4p-8, -0x1.473e402e85fd7p-6, 0x1.63a2ada733b89p-6, -0x1.51b124b781a0fp-7}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.859e47ea0d9a7p-8, -0x1.24f22acb4a95ap-6, 0x1.4a4efe1970665p-6, -0x1.44ed13a6583ffp-7}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.4e403dfccec3ep-8, -0x1.0522326af8a2bp-6, 0x1.31f0696cf694cp-6, -0x1.388ef46ca30cdp-7}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.1d0167337be05p-8, -0x1.cf6c6c76b97e9p-7, 0x1.1a7f4a4b3726ap-6, -0x1.2c15844daab5fp-7}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.e2d37f1f063b9p-9, -0x1.992cba1e06253p-7, 0x1.03fdad2bca591p-6, -0x1.1fa365ec50da5p-7}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.960c16452b50bp-9, -0x1.6755750c2886p-7, 0x1.dcd60b0dbbc4fp-7, -0x1.132f5179bb5dp-7}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.52cfac1d4f5dp-9, -0x1.39b6cecb0ed5p-7, 0x1.b38ef20846107p-7, -0x1.06bbc38e74ba2p-7}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.184ae90be0c09p-9, -0x1.1020f622fa9f3p-7, 0x1.8c25fb194e27fp-7, -0x1.f490232e62fbbp-8}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.cb680b2ba7b9p-10, -0x1.d4c835328659ap-8, 0x1.669b2ba906bb2p-7, -0x1.dba8d2911feb6p-8}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.749594c146305p-10, -0x1.90a0d7012b012p-8, 0x1.42ee82448abcap-7, -0x1.c2c17cc6cb5b4p-8}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.2ab120649db3ap-10, -0x1.536c307263fbbp-8, 0x1.211fff4f3b7c5p-7, -0x1.a9da285f78d0bp-8}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.d8c0ffc5762efp-11, -0x1.1ccaa03f6b8d9p-8, 0x1.012fa2ae78d33p-7, -0x1.90f2d3992f068p-8}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.70b94a936e69ep-11, -0x1.d8b90a46de85fp-9, 0x1.c63ad8d2c4327p-8, -0x1.780b7eebb7cfap-8}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.1ae345d16dd62p-11, -0x1.83847bb22bf4bp-9, 0x1.8dd2b8fc356cp-8, -0x1.5f242a3a00435p-8}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.a9faad3fac7c3p-12, -0x1.393852365c28p-9, 0x1.5926e5d9e8956p-8, -0x1.463cd580681ebp-8}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.39d8454242e52p-12, -0x1.f22a9691ba908p-10, 0x1.28375f6d0c2a7p-8, -0x1.2d5580ea951abp-8}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.c2ea3fe785459p-13, -0x1.84b848bf11369p-10, 0x1.f6084b608533cp-9, -0x1.146e2bcd8b6e3p-8}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.3a671542ff101p-13, -0x1.289b35dd7313bp-10, 0x1.a31a716fa82cap-9, -0x1.f70db15372f64p-9}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a7094e73f5b41p-14, -0x1.b8a9b1c161344p-11, 0x1.57a5306ff0867p-9, -0x1.c53efc4ffd3d7p-9}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.107328efc14fp-14, -0x1.3ccd59265d12ap-11, 0x1.13a88a972423fp-9, -0x1.93707e4994f4cp-9}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.4c55f6c1e2a41p-15, -0x1.b548b16796d02p-12, 0x1.ae48ef4b68655p-10, -0x1.61a1330b5d3a3p-9}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.7a082cff57cp-16, -0x1.1e634563b535dp-12, 0x1.44322cc7ffa1p-10, -0x1.2fd4e5ae3240ap-9}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.87dd10ac029fdp-17, -0x1.5de0e8ea6682bp-13, 0x1.d217cfc1144f4p-11, -0x1.fbfadc0b5bcd1p-10}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.64d0d7bc19p-18, -0x1.83d71d12bd88ap-14, 0x1.39b2f424125c3p-11, -0x1.989f4351f0a42p-10}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.0bb3e3a5657ffp-19, -0x1.73d4d828643fep-15, 0x1.7e398cb09456ep-12, -0x1.340ca4d0b86a9p-10}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.23565a8794p-21, -0x1.17f784b92970dp-16, 0x1.8aca5399e4fcp-13, -0x1.a8058db0b76dap-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.4e403dfd60001p-24, -0x1.0799666ea211bp-18, 0x1.18c1305fbaa9cp-14, -0x1.8c33b207cde1cp-12}, 
        {0x1.f666666666666p+2, 0x1.f851eb851eb85p+2, 0x1.a7094eap-30, -0x1.2465dcb3ff8ap-24, 0x1.584492d85f8p-17, -0x1.2b6771a899431p-10}, 
      }}, 
      0x1.5c6443265cf6cp-5, -0x1.0405601c2ad19p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.f838afdc0103bp-4, 0x1.f2c776112e92cp-3, 0x1.6f8fd392464dcp-2, 0x1.de8edd81b5106p-2, 0x1.226aae6a18c74p-1, 0x1.50a5f7f3e43dp-1, 0x1.79a1dd1da5f9ap-1, 0x1.9d33ce3106b16p-1, 0x1.bb566b49e7558p-1, 0x1.d4223e206be1ep-1, 0x1.e7c728b7deb8ap-1, 0x1.f686a2f35af5p-1, 0x1.0057632b76c2bp+0, 0x1.034b0dac56ed5p+0, 0x1.044c0b24ca97p+0, 0x1.03891a283777cp+0, 0x1.0130d518dee6bp+0, 0x1.fae196292ad7ap-1, 0x1.f0e9a47fa6e8ap-1, 0x1.e4cd15f157cf3p-1, 0x1.d6da178b3669p-1, 0x1.c7595d2b51f99p-1, 0x1.b68df1941ea24p-1, 0x1.a4b53076dee54p-1, 0x1.9206e0d9ee508p-1, 0x1.7eb56773fbbc2p-1, 0x1.6aee095b4683fp-1, 0x1.56d93a85d7e7dp-1, 0x1.429af13d03a51p-1, 0x1.2e52fd24ec00dp-1, 0x1.1a1d5c769b4efp-1, 0x1.06128f734ce8ap-1, 0x1.e48fcdc3891e3p-2, 0x1.bd9f9bb5ea63bp-2, 0x1.97741c31dc562p-2, 0x1.72281df1cda07p-2, 0x1.4dd21e6853809p-2, 0x1.2a84b44bd827cp-2, 0x1.084ef26628dcap-2, 0x1.ce798596c8dd8p-3, 0x1.8eae759f78f63p-3, 0x1.5149d198186edp-3, 0x1.1654388caa979p-3, 0x1.bba4a023d3e4p-4, 0x1.4f8a768a13d0fp-4, 0x1.d0ac1542c38b9p-5, 0x1.0bfc05f447e56p-5, 0x1.43a22a42bb18ep-7, -0x1.82cb509770b42p-7, -0x1.0901ae3c1b08ep-5, -0x1.a835b620794bbp-5, -0x1.1f42e54b18b87p-4, -0x1.66168ec13f47ap-4, -0x1.a8b5368304757p-4, -0x1.e73fa6aa16034p-4, -0x1.10ebe0b0a262fp-3, -0x1.2c501b2074c79p-3, -0x1.45de1f7a94366p-3, -0x1.5da7b22ead43ap-3, -0x1.73bea4a412a4cp-3, -0x1.8834be54a33e3p-3, -0x1.9b1ba85b70cfdp-3, -0x1.ac84db50315c3p-3, -0x1.bc819095561e4p-3, -0x1.cb22b3649c589p-3, -0x1.d878d7a57a48dp-3, -0x1.e4942d11b84b3p-3, -0x1.ef847b1c1c92p-3, -0x1.f95915d216b7ep-3, -0x1.01106eb660dd4p-2, -0x1.04f51afda4e4fp-2, -0x1.086183b85b842p-2, -0x1.0b5c5daf5818bp-2, -0x1.0dec1c14970ep-2, -0x1.1016f4d9ece3dp-2, -0x1.11e2d96618aa6p-2, -0x1.13558130c69ddp-2, -0x1.14745eb08e708p-2, -0x1.1544abe9b83a2p-2, -0x1.15cb626e47db7p-2, -0x1.160d41182a98dp-2, -0x1.160ecf1c75ddbp-2, -0x1.15d4561a315efp-2, -0x1.1561ef093726ep-2, -0x1.14bb785322f5dp-2, -0x1.13e49fe2109bcp-2, -0x1.12e0e277f9a07p-2, -0x1.11b38a037aa43p-2, -0x1.105fb6dfbda4cp-2, -0x1.0ee859dd6efcep-2, -0x1.0d503b462f12dp-2, -0x1.0b99fba510de9p-2, -0x1.09c8133776b52p-2, -0x1.07dcd7716787dp-2, -0x1.05da79c3c5032p-2, -0x1.03c30a5ffc497p-2, -0x1.01987a7ef01b7p-2, -0x1.feb93949b06a3p-3, -0x1.fa224e514b897p-3, -0x1.f56f6af9032c6p-3, -0x1.f0a39252212ap-3, -0x1.ebc19775cc7fdp-3, -0x1.e6cc1f9728b86p-3, -0x1.e1c5a424ce889p-3, -0x1.dcb07606a54aep-3, -0x1.d78ebf1bfe964p-3, -0x1.d262847df51e6p-3, -0x1.cd2da91f8d798p-3, -0x1.c7f1eed84718bp-3, -0x1.c2b0f8c3d1426p-3, -0x1.bd6c4d37110fap-3, -0x1.b8255693e6621p-3, -0x1.b2dd659ddf7afp-3, -0x1.ad95b2e81161ap-3, -0x1.a84f5f893f904p-3, -0x1.a30b7746132cbp-3, -0x1.9dcaf1b00268bp-3, -0x1.988eb2b1887bdp-3, -0x1.93578c7d1a3dp-3, -0x1.8e264093e87f4p-3, -0x1.88fb801c2d373p-3, -0x1.83d7ed81edee9p-3, -0x1.7ebc1d924b127p-3, -0x1.79a897a1f2c73p-3, -0x1.749dd6be2c9f3p-3, -0x1.6f9c4af0a3967p-3, -0x1.6aa4596238e9bp-3, -0x1.65b65cfade269p-3, -0x1.60d2a7ae4f046p-3, -0x1.5bf982e31332cp-3, -0x1.572b2f8f73b28p-3, -0x1.5267e73643b0ep-3, -0x1.4dafdcb6978d1p-3, -0x1.49033c4a1f82ap-3, -0x1.44622be2b1449p-3, -0x1.3fcccc1a86457p-3, -0x1.3b433890cf07ap-3, -0x1.36c587d6f1539p-3, -0x1.3253cbf107d93p-3, -0x1.2dee131066046p-3, -0x1.299467b187254p-3, -0x1.2546d0913acap-3, -0x1.2105512a3b584p-3, -0x1.1ccfea3f26c34p-3, -0x1.18a699e268499p-3, -0x1.14895b6e7ff98p-3, -0x1.107827eb7a6efp-3, -0x1.0c72f67a46101p-3, -0x1.0879bc5cd7b99p-3, -0x1.048c6cea3afb5p-3, -0x1.00aaf9d255c07p-3, -0x1.f9aaa6ee0830cp-4, -0x1.f216d20047b67p-4, -0x1.ea9a509744cabp-4, -0x1.e334fc1aad23dp-4, -0x1.dbe6ac2ca20a7p-4, -0x1.d4af36f1a6178p-4, -0x1.cd8e70fc5e8b7p-4, -0x1.c6842d4f6ac74p-4, -0x1.bf903db847b8bp-4, -0x1.b8b2732b8f9afp-4, -0x1.b1ea9dd2f2741p-4, -0x1.ab388cf31acfcp-4, -0x1.a49c0f056f4c6p-4, -0x1.9e14f208a8f61p-4, -0x1.97a303b3920d2p-4, -0x1.9146116ad249bp-4, -0x1.8afde82da027dp-4, -0x1.84ca54b6c9d2ap-4, -0x1.7eab23b9576dep-4, -0x1.78a021f9156e9p-4, -0x1.72a91c3a2cd2cp-4, -0x1.6cc5df35240ffp-4, -0x1.66f637b3bcd95p-4, -0x1.6139f2ba05bdep-4, -0x1.5b90dd914f958p-4, -0x1.55fac5bb0d657p-4, -0x1.507778e8172d8p-4, -0x1.4b06c50cc0476p-4, -0x1.45a8787a2eb1dp-4, -0x1.405c61e38a387p-4, -0x1.3b22505564e67p-4, -0x1.35fa13314b198p-4, -0x1.30e37a36d308fp-4, -0x1.2bde55919029dp-4, -0x1.26ea75dba1c9cp-4, -0x1.2207ac18bb24ap-4, -0x1.1d35c9b4d49d5p-4, -0x1.1874a087b3a05p-4, -0x1.13c402d9d93b4p-4, -0x1.0f23c364a1404p-4, -0x1.0a93b54e3e2fap-4, -0x1.0613ac29db2bcp-4, -0x1.01a37bfb443a8p-4, -0x1.fa85f26f4cc1ep-5, -0x1.f1e3f184fe66cp-5, -0x1.e9609fd17198fp-5, -0x1.e0fba8bdb153ep-5, -0x1.d8b4b88a164dp-5, -0x1.d08b7c54bb8fcp-5, -0x1.c87fa212a86b9p-5, -0x1.c090d8821696ep-5, -0x1.b8becf207d137p-5, -0x1.b109362b27d39p-5, -0x1.a96fbea8985b2p-5, -0x1.a1f21a6cd5d5ap-5, -0x1.9a8ffc0faafedp-5, -0x1.934916dd2fe52p-5, -0x1.8c1d1ecc99d6p-5, -0x1.850bc88165bb5p-5, -0x1.7e14c953328a8p-5, -0x1.7737d751e39d3p-5, -0x1.7074a93e1c1b6p-5, -0x1.69caf67aefeffp-5, -0x1.633a7703ef073p-5, -0x1.5cc2e36c788d5p-5, -0x1.5663f4e548618p-5, -0x1.501d654106807p-5, -0x1.49eeeef160a0fp-5, -0x1.43d84cfcafc32p-5, -0x1.3dd93af34d2dep-5, -0x1.37f174eb93456p-5, -0x1.3220b78466b21p-5, -0x1.2c66bfe9964bap-5, -0x1.26c34bd4cap-5, -0x1.21361988c8d5bp-5, -0x1.1bbee7c921efp-5, -0x1.165d75d35d817p-5, -0x1.1111835d6ee62p-5, -0x1.0bdad0985283p-5, -0x1.06b91e32d6a08p-5, -0x1.01ac2d5967574p-5, -0x1.f9677f648f63ap-6, -0x1.ef9f2eafcd585p-6, -0x1.e5feeda8a802dp-6, -0x1.dc86424034c3ap-6, -0x1.d334b348196e3p-6, -0x1.ca09c876b1724p-6, -0x1.c1050a6754ee2p-6, -0x1.b8260295e61dcp-6, -0x1.af6c3b57ce3fbp-6, -0x1.a6d73fd5b4f3ap-6, -0x1.9e669c08d7c33p-6, -0x1.9619dcbc7fcabp-6, -0x1.8df08f916f384p-6, -0x1.85ea42ff731a6p-6, -0x1.7e0686540eca2p-6, -0x1.7644e9aec3201p-6, -0x1.6ea4fdfcde08fp-6, -0x1.672654f6e7dfp-6, -0x1.5fc88120446a5p-6, -0x1.588b15c92e3cdp-6, -0x1.516da710dc46ap-6, -0x1.4a6fc9e68bd48p-6, -0x1.439114088e7e4p-6, -0x1.3cd11c022a33bp-6, -0x1.362f79297b657p-6, -0x1.2fabc39e6dd74p-6, -0x1.2945944b07373p-6, -0x1.22fc84e4e31b8p-6, -0x1.1cd02feed7d09p-6, -0x1.16c030b9f0284p-6, -0x1.10cc23656740bp-6, -0x1.0af3a4ddcb8f7p-6, -0x1.053652dbedd96p-6, -0x1.ff2797c8ec799p-7, -0x1.f4175e904b461p-7, -0x1.e93b3a49a4bfdp-7, -0x1.de926ccd3d0acp-7, -0x1.d41c3991e4cd6p-7, -0x1.c9d7e5ae2bffcp-7, -0x1.bfc4b7d8445d5p-7, -0x1.b5e1f86540955p-7, -0x1.ac2ef14873da6p-7, -0x1.a2aaee14709e4p-7, -0x1.99553bf7f1a01p-7, -0x1.902d29c6fcfafp-7, -0x1.873207f479be3p-7, -0x1.7e6328982df6bp-7, -0x1.75bfdf6e53b97p-7, -0x1.6d4781d7eac4p-7, -0x1.64f966da4c1e9p-7, -0x1.5cd4e71e9ec72p-7, -0x1.54d95cf179668p-7, -0x1.4d062443230d7p-7, -0x1.455a9aa84097fp-7, -0x1.3dd61f5afe328p-7, -0x1.3678133c36c23p-7, -0x1.2f3fd8d45bb06p-7, -0x1.282cd453aba9ap-7, -0x1.213e6b914e575p-7, -0x1.1a740609bbabbp-7, -0x1.13cd0cdce932cp-7, -0x1.0d48eacd0d691p-7, -0x1.06e70c3e86d2dp-7, -0x1.00a6df38f5e1bp-7, -0x1.f50fa6d2c439ep-8, -0x1.e912b447ddf5dp-8, -0x1.dd55ccc90746dp-8, -0x1.d1d7d99a53044p-8, -0x1.c697c7441451cp-8, -0x1.bb948588e67cep-8, -0x1.b0cd075c2649cp-8, -0x1.a64042dd8e95dp-8, -0x1.9bed315b97339p-8, -0x1.91d2cf5c5ae4cp-8, -0x1.87f01ca8eb1bdp-8, -0x1.7e441c55c5efp-8, -0x1.74cdd4c2a3fe1p-8, -0x1.6b8c4f8eeea5fp-8, -0x1.627e9984780e1p-8, -0x1.59a3c27df46f3p-8, -0x1.50fadd5300cdp-8, -0x1.4882ffd077acbp-8, -0x1.403b42c2c8a29p-8, -0x1.3822c20dfc03dp-8, -0x1.30389ccc0011fp-8, -0x1.287bf56288ec8p-8, -0x1.20ebf1867fe5p-8, -0x1.1987ba2547281p-8, -0x1.124e7b386adc7p-8, -0x1.0b3f638f08372p-8, -0x1.0459a49fb57cdp-8, -0x1.fb38e4e765103p-9, -0x1.ee0e076b614ecp-9, -0x1.e13123c284037p-9, -0x1.d4a0b3085bf9fp-9, -0x1.c85b34f212a5fp-9, -0x1.bc5f300668d7ap-9, -0x1.b0ab31773f9dp-9, -0x1.a53dcc9be8d74p-9, -0x1.9a159a2c5e86ep-9, -0x1.8f313779e2f02p-9, -0x1.848f45e700672p-9, -0x1.7a2e6ad2f149p-9, -0x1.700d5006e6183p-9, -0x1.662aa48a621fbp-9, -0x1.5c851d98f0aa2p-9, -0x1.531b77661a9a3p-9, -0x1.49ec75618e7c9p-9, -0x1.40f6e1d552353p-9, -0x1.38398cea20a1bp-9, -0x1.2fb34b5663e44p-9, -0x1.2762f51b29c9ap-9, -0x1.1f4764b8fb177p-9, -0x1.175f772561a7ap-9, -0x1.0faa0c8f0a79dp-9, -0x1.082609bd310b9p-9, -0x1.00d2599f397cp-9, -0x1.f35bdd16f90d3p-10, -0x1.e56f857548e3p-10, -0x1.d7ddaf8db6e32p-10, -0x1.caa46a7e65209p-10, -0x1.bdc1cd5df131bp-10, -0x1.b133f35533ee7p-10, -0x1.a4f8f8fb86ccep-10, -0x1.990efbd464d3dp-10, -0x1.8d741c34a7246p-10, -0x1.82268118eede5p-10, -0x1.77245cd4834e6p-10, -0x1.6c6bf13129d8fp-10, -0x1.61fb91a9d35f2p-10, -0x1.57d1a2ee873adp-10, -0x1.4dec979a87fd5p-10, -0x1.444aeae57503cp-10, -0x1.3aeb1abb01471p-10, -0x1.31cba2e98ffdbp-10, -0x1.28eafae127c87p-10, -0x1.204796c9f0eebp-10, -0x1.17dfebd354b58p-10, -0x1.0fb2769ffe22cp-10, -0x1.07bdc2137dbaep-10, -0x1.00006c8fa7849p-10, -0x1.f0f253ff23847p-11, -0x1.e24d83eeaf168p-11, -0x1.d410145cf19edp-11, -0x1.c637bd60ac441p-11, -0x1.b8c2337399b39p-11, -0x1.abad1ac1c0d9ep-11, -0x1.9ef6018088fdap-11, -0x1.929a62f22544p-11, -0x1.8697b27ea5caep-11, -0x1.7aeb6d4c35feap-11, -0x1.6f932c8957e2p-11, -0x1.648cb505069b4p-11, -0x1.59d5feaf6d028p-11, -0x1.4f6d321a8ce38p-11, -0x1.45509c95fa9c6p-11, -0x1.3b7e9e37391c2p-11, -0x1.31f5967e19bd9p-11, -0x1.28b3d3f9de7b5p-11, -0x1.1fb78a1a4b77ep-11, -0x1.16fecec7c1ffp-11, -0x1.0e87a0442a3fbp-11, -0x1.064ff2c4483b5p-11, -0x1.fcab873ff73bbp-12, -0x1.ed2e5b9955642p-12, -0x1.de24f3ae3532ep-12, -0x1.cf8c47a69f934p-12, -0x1.c161aa94ab437p-12, -0x1.b3a2abd9264dp-12, -0x1.a64cf30cb8753p-12, -0x1.995e22ef1afep-12, -0x1.8cd3c87da2061p-12, -0x1.80ab53842f97dp-12, -0x1.74e2132631ea4p-12, -0x1.697534d5c5a26p-12, -0x1.5e61ca9e8d13bp-12, -0x1.53a4df1e9c6ecp-12, -0x1.493b96fc42b14p-12, -0x1.3f2354716f932p-12, -0x1.3559ca9fd5231p-12, -0x1.2bdcf3493e992p-12, -0x1.22aae9b553f4bp-12, -0x1.19c1bf44612f8p-12, -0x1.111f643db4e8fp-12, -0x1.08c1b2bfa7ba8p-12, -0x1.00a69180e1221p-12, -0x1.f19825eea0ea6p-13, -0x1.e260f09b9c808p-13, -0x1.d3a42dbd850bbp-13, -0x1.c55e705385531p-13, -0x1.b78c217d0be5bp-13, -0x1.aa29b1b54cc51p-13, -0x1.9d33ea82fd0dep-13, -0x1.90a81f0272d6ep-13, -0x1.84840967644a3p-13, -0x1.78c555c7b26ccp-13, -0x1.6d69132c6b8c5p-13, -0x1.626b62fdc43e4p-13, -0x1.57c7a98e5dc79p-13, -0x1.4d7939917fa31p-13, -0x1.437c21fddace1p-13, -0x1.39cda4e73ebe5p-13, -0x1.306c0ffada591p-13, -0x1.27561a13caf77p-13, -0x1.1e8a404af9aabp-13, -0x1.16069595db066p-13, -0x1.0dc9155b98edcp-13, -0x1.05d023451162p-13, -0x1.fc3594b0e0c77p-14, -0x1.ed5104307d314p-14, -0x1.def1192994b82p-14, -0x1.d11279bb35691p-14, -0x1.c3af122270972p-14, -0x1.b6be58ec182cap-14, -0x1.aa36ba54a490dp-14, -0x1.9e0fa4b9afaa7p-14, -0x1.924345ef54dc2p-14, -0x1.86cf0d88e901dp-14, -0x1.7bb2aac8af10ep-14, -0x1.70ee23db4fd2cp-14, -0x1.668061ff21a4dp-14, -0x1.5c670ee93f33bp-14, -0x1.529f9abdd631cp-14, -0x1.49287246750c5p-14, -0x1.40017de1e4482p-14, -0x1.372b77a987863p-14, -0x1.2ea66e812b498p-14, -0x1.26707f724240ap-14, -0x1.1e858fd5de13fp-14, -0x1.16dfdd1b01069p-14, -0x1.0f78d270594e6p-14, -0x1.0849f8d857951p-14, -0x1.014e0874a6125p-14, -0x1.f5039a8e87c03p-15, -0x1.e7c8b8fd01f7bp-15, -0x1.daecafd7ede1ep-15, -0x1.ce711902d8cc3p-15, -0x1.c25585c29f617p-15, -0x1.b697066d9d506p-15, -0x1.ab31dddbf287ap-15, -0x1.a02435be54c07p-15, -0x1.956f30e17c4bdp-15, -0x1.8b14a0c31f11cp-15, -0x1.8113a3e3f13bep-15, -0x1.7767d6c6f59f1p-15, -0x1.6e0b553be7d0bp-15, -0x1.64f8de5b1982ep-15, -0x1.5c2c259a1b1fcp-15, -0x1.53a0bc11818d4p-15, -0x1.4b51392bd774bp-15, -0x1.433798006745dp-15, -0x1.3b4e93327a817p-15, -0x1.33939f158dd66p-15, -0x1.2c07fda618a8cp-15, -0x1.24aeba1486d88p-15, -0x1.1d88b11b56ebap-15, -0x1.16931a951d60dp-15, -0x1.0fcaccd3a7d83p-15, -0x1.092fe16940a13p-15, -0x1.02c44b111701fp-15, -0x1.f90f9bcc65a44p-16, -0x1.ecedf862c797p-16, -0x1.e11ab2288e6ebp-16, -0x1.d58f2f40ee1fcp-16, -0x1.ca48fe897ccd9p-16, -0x1.bf490f4d3710ap-16, -0x1.b491052eb66aap-16, -0x1.aa20088b0d1aap-16, -0x1.9ff0ef26733a8p-16, -0x1.95fa10b651ba8p-16, -0x1.8c302127a5a7ep-16, -0x1.828e720c8d5cep-16, -0x1.791b6db492245p-16, -0x1.6fdea3e0da101p-16, -0x1.66d5cc5d0db75p-16, -0x1.5dfa4f5a8b09ap-16, -0x1.554c619ec61b1p-16, -0x1.4cd03627e305fp-16, -0x1.4485336097d67p-16, -0x1.3c65b86da9cfbp-16, -0x1.346bf66136ae8p-16, -0x1.2c948bfa826dfp-16, -0x1.24de353579e77p-16, -0x1.1d48f6a5f28f7p-16, -0x1.15d5f43fc4bdbp-16, -0x1.0e874313a5596p-16, -0x1.075ec39c21c49p-16, -0x1.005ca6e0cfebdp-16, -0x1.f2fcc7280fe36p-17, -0x1.e579c8a3e9853p-17, -0x1.d81e52b1a505bp-17, -0x1.caeac7ae23e73p-17, -0x1.bdef6f0bff86fp-17, -0x1.b12d8621a46cap-17, -0x1.a49a5df0baf7ap-17, -0x1.98387a27f1252p-17, -0x1.8c0fe08c2f5ecp-17, -0x1.801e07f05f8fep-17, -0x1.745a50aa0c21fp-17, -0x1.68bed9dc3f416p-17, -0x1.5d4a11aa586abp-17, -0x1.51fc5eeec457p-17, -0x1.46d6288ed3145p-17, -0x1.3bd73bcfe7aeap-17, -0x1.30ff48c82baf5p-17, -0x1.264ed1eeb6ffep-17, -0x1.1bc7758676b8cp-17, -0x1.116ade16994e7p-17, -0x1.073a0baa9924dp-17, -0x1.fa6908621b2cep-18, -0x1.e6a453d706493p-18, -0x1.d3117a66b707bp-18, -0x1.bfbd39c7e9986p-18, -0x1.acb11a4a8e50bp-18, -0x1.99dfab02e1e66p-18, -0x1.87514cbbcd791p-18, -0x1.7511b393b6357p-18, -0x1.63191c6787be6p-18, -0x1.515ce83f59be2p-18, -0x1.3fd9cb17ad458p-18, -0x1.2e90b25f89db9p-18, -0x1.1d830ed3faf2bp-18, -0x1.0cb1af6628473p-18, -0x1.f83965267c251p-19, -0x1.d78734baa57b1p-19, -0x1.b74ae70cc125bp-19, -0x1.9782a7751739bp-19, -0x1.782e641dd1697p-19, -0x1.59501397af72ap-19, -0x1.3ae933136e267p-19, -0x1.1cfdc15be3499p-19, -0x1.ff2dde1ee38a7p-20, -0x1.c5489da640bb1p-20, -0x1.8c21df02620e9p-20, -0x1.53d165482515bp-20, -0x1.1c4371afa426cp-20, -0x1.cb3af196d0554p-21, -0x1.5fee10170671ap-21, -0x1.ecbbe0c064d12p-22, -0x1.1cce679aeab0ap-22, -0x1.407086ae69fa8p-24, 0x1.e51fbffcc56ffp-24, 0x1.3f54c3cece248p-22, 0x1.0104735cc20ap-21, 0x1.60b2fd3f7ecafp-21, 0x1.beb72d465fb86p-21, 0x1.0d89434693e37p-20, 0x1.3ae3cb87a17d3p-20, 0x1.676d36693878p-20, 0x1.9327b55f6d66ep-20, 0x1.be14384972f43p-20, 0x1.e832b1162bddcp-20, 0x1.08c23ffc81d86p-19, 0x1.1d01cf3f7ca5p-19, 0x1.30cdd8d9beef6p-19, 0x1.44309441f3408p-19, 0x1.57387bc558295p-19, 0x1.69e6b45b3d6acp-19, 0x1.7c2a7440c2c5ep-19, 0x1.8e002c29acd28p-19, 0x1.9f748f1308ba7p-19, 0x1.b089778b0e8d7p-19, 0x1.c13d2b8c9ddap-19, 0x1.d18ee631dac6cp-19, 0x1.e17ec09ff87dbp-19, 0x1.f10d2f798c838p-19, 0x1.001d62f400837p-18, 0x1.07840cdf3bd5ep-18, 0x1.0ebadb6cb90dfp-18, 0x1.15c20e0aa968p-18, 0x1.1c99e57481bdep-18, 0x1.2342b23456e97p-18, 0x1.29bcdee4876f8p-18, 0x1.3008e5d0a3337p-18, 0x1.362729ba0c9a2p-18, 0x1.3c17efa4d161cp-18, 0x1.41dba65a7e704p-18, 0x1.4771c79680185p-18, 0x1.4cd7eab874d1dp-18, 0x1.521128c522877p-18, 0x1.5722e214f0f44p-18, 0x1.5c07ef3dc3ccp-18, 0x1.60bec24a7f0f5p-18, 0x1.654b9009b391dp-18, 0x1.69ae78e55638cp-18, 0x1.6de732df485b2p-18, 0x1.71f5e7fbb7c6fp-18, 0x1.75daf10f44aa5p-18, 0x1.7996b2ad58941p-18, 0x1.7d29941d4a7e5p-18, 0x1.8093fd91c99b3p-18, 0x1.83d657fcaf2cp-18, 0x1.86f10be3dc046p-18, 0x1.89e47f726df43p-18, 0x1.8cb116740c219p-18, 0x1.8f5735a402611p-18, 0x1.91d748e14526dp-18, 0x1.9431c82b89c82p-18, 0x1.966734f31c543p-18, 0x1.9878065902316p-18, 0x1.9a649c260fd7bp-18, 0x1.9c2d66484aa0dp-18, 0x1.9dd2988ed7e8ep-18, 0x1.9f53f634f5d9fp-18, 0x1.a0b33629c7306p-18, 0x1.a1f1127a087d8p-18, 0x1.a30c15883aebap-18, 0x1.a4062ebe9d871p-18, 0x1.a4dff51bcfcefp-18, 0x1.a5997bce4fffp-18, 0x1.a633209fd0058p-18, 0x1.a6ad58cf3ba19p-18, 0x1.a7089c9cdb09p-18, 0x1.a74563d7cf4a5p-18, 0x1.a76425dc37025p-18, 0x1.a7655a033a782p-18, 0x1.a74977e28e67p-18, 0x1.a710f747531a8p-18, 0x1.a6bc4faa766c9p-18, 0x1.a64bf76428f55p-18, 0x1.a5c0636b83a94p-18, 0x1.a51a08837af64p-18, 0x1.a4595dd1fd3bcp-18, 0x1.a37edeaed862fp-18, 0x1.a28b09515e973p-18, 0x1.a17e57f4ea14dp-18, 0x1.a05937dc41e93p-18, 0x1.9f1c1f2ada8a4p-18, 0x1.9dc78782863efp-18, 0x1.9c5ba54041a6bp-18, 0x1.9ad9932dcd7c3p-18, 0x1.9940e673ce5dcp-18, 0x1.97928e0ab0614p-18, 0x1.95cf1ed2c3f65p-18, 0x1.93f708a4d1dc9p-18, 0x1.920a9f56a2abp-18, 0x1.900a531fecfc6p-18, 0x1.8df6988d72fcdp-18, 0x1.8bcfe2f88c228p-18, 0x1.8996a4e8e8ccap-18, 0x1.874b4f9ac37bcp-18, 0x1.84ee53b92ad75p-18, 0x1.828021444675ep-18, 0x1.800127a2cde5p-18, 0x1.7d71d59d99524p-18, 0x1.7ad29932e9085p-18, 0x1.7823df48dde42p-18, 0x1.7566136afde75p-18, 0x1.7299a00c3ae9bp-18, 0x1.6fbeefab638edp-18, 0x1.6cd66d8c86223p-18, 0x1.69e083ef84f29p-18, 0x1.66dd98b3029c6p-18, 0x1.63ce1bba552afp-18, 0x1.60b268a746093p-18, 0x1.5d8af6d26faf2p-18, 0x1.5a581cb430ccp-18, 0x1.571a1b8caab72p-18, 0x1.53d183cf1eee6p-18, 0x1.507ebbe7c301ep-18, 0x1.4d21f3d70006ep-18, 0x1.49bbc4a225c2fp-18, 0x1.464c7ad92c6cp-18, 0x1.42d46c27da0b6p-18, 0x1.3f53f61174538p-18, 0x1.3bcb752b73d3bp-18, 0x1.383b449578cdcp-18, 0x1.34a3be24cf50bp-18, 0x1.31053a8c52125p-18, 0x1.2d60116e432c5p-18, 0x1.29b499617bb35p-18, 0x1.260327f02807fp-18, 0x1.224c119371937p-18, 0x1.1e8fa9aaea2d3p-18, 0x1.1ace426728e14p-18, 0x1.17082cb9470a3p-18, 0x1.133db842db16ap-18, 0x1.0f6f338eef431p-18, 0x1.0b9cec8bff5d1p-18, 0x1.07c7309d2e131p-18, 0x1.03ee4c1416d03p-18, 0x1.00128887ca838p-18, 0x1.f86857f0eaf6ep-19, 0x1.f0a702c2395f4p-19, 0x1.e8e1cd31dfd76p-19, 0x1.e118f6e235493p-19, 0x1.d94ce66a59755p-19, 0x1.d17e9d6794d1cp-19, 0x1.c9ae90298530ep-19, 0x1.c1dce7648baafp-19, 0x1.ba0a53a65d3fbp-19, 0x1.b2376b0c60fa9p-19, 0x1.aa6494870c89bp-19, 0x1.a292497891709p-19, 0x1.9ac1037181fcp-19, 0x1.92f137a5a1d8p-19, 0x1.8b2359f948d34p-19, 0x1.8357dbc1555a7p-19, 0x1.7b8f2a6c911dep-19, 0x1.73c9b7e5d5b54p-19, 0x1.6c07eb3404a07p-19, 0x1.644a2d602cff4p-19, 0x1.5c90e5063b95fp-19, 0x1.54dc771d853e6p-19, 0x1.4d2d45bb8681p-19, 0x1.4583b0f1ad819p-19, 0x1.3de016bfa5a83p-19, 0x1.3642d35e2ad84p-19, 0x1.2eac40d57bd75p-19, 0x1.271cb754076d9p-19, 0x1.1f948d2a871f3p-19, 0x1.1814156c47764p-19, 0x1.109b9f9136a4dp-19, 0x1.092b7dcd3f25bp-19, 0x1.01c4132b430b6p-19, 0x1.f4cb0530d6f61p-20, 0x1.e6203fab80307p-20, 0x1.d7889a3feb45ap-20, 0x1.c904811af0baap-20, 0x1.ba948467e225cp-20, 0x1.ac39308bf216bp-20, 0x1.9df2d4a58335cp-20, 0x1.8fc2281e2d4f8p-20, 0x1.81a79315fe3dp-20, 0x1.73a389014d385p-20, 0x1.65b67d70b5378p-20, 0x1.57e0e01bcda88p-20, 0x1.4a231d0e02148p-20, 0x1.3c7d9ce0da14ep-20, 0x1.2ef0c4ba2664ap-20, 0x1.217cf66708b5fp-20, 0x1.142290a70121fp-20, 0x1.06e1eea4c6861p-20, 0x1.f376d04a53653p-21, 0x1.d95e8ca0b1dccp-21, 0x1.bf7bfba4caaaep-21, 0x1.a5cf7d4e8a9c5p-21, 0x1.8c59b270fc43bp-21, 0x1.731b320369d2cp-21, 0x1.5a14869c99f18p-21, 0x1.4146358a15e35p-21, 0x1.28b0be2cbe282p-21, 0x1.1054997048836p-21, 0x1.f06472c790259p-22, 0x1.c0941cc30e571p-22, 0x1.91390b9edba1dp-22, 0x1.6253fbad6b4f9p-22, 0x1.33e587503c295p-22, 0x1.05ee9a3ffec42p-22, 0x1.b0df8179ccdefp-23, 0x1.56d330f4cd0c6p-23, 0x1.fb72e6df8a399p-24, 0x1.4b29178b9d278p-24, 0x1.39f2bf919f573p-25, -0x1.f63a31f0c0469p-29, -0x1.7480a0b6bc4bep-25, -0x1.62dded963dc3dp-24, -0x1.04c5c4b80763fp-23, -0x1.572414db9a06cp-23, -0x1.a8895678e2fefp-23, -0x1.f8f50c8e6cef2p-23, -0x1.24336635ff3dcp-22, -0x1.4b6f1b71491acp-22, -0x1.722d7f7a353d6p-22, -0x1.986e73de1988cp-22, -0x1.be31e20bdf7c6p-22, -0x1.e377bb28e1858p-22, -0x1.041ffbfd588c8p-21, }}, 
      {{0x1.b5788152f1771p-4, 0x1.b316a12fa3cdp-3, 0x1.436cacb8c6b16p-2, 0x1.aa0a48ec7f3c1p-2, 0x1.064a4995ecfd4p-1, 0x1.35328b17c7d51p-1, 0x1.617e4853c1072p-1, 0x1.8affcb157e258p-1, 0x1.b1993f43d7e77p-1, 0x1.d53a9260b38bcp-1, 0x1.f5df616b50876p-1, 0x1.09c6844a233c7p+0, 0x1.17286fefc1f5ep+0, 0x1.231f5439615dfp+0, 0x1.2db79536ac393p+0, 0x1.36ff804f16fdcp+0, 0x1.3f06c7035e5cfp+0, 0x1.45de0ce9ef86bp+0, 0x1.4b968748286efp+0, 0x1.5041acafe689dp+0, 0x1.53f0f317be73ap+0, 0x1.56b59ab9b1d1p+0, 0x1.58a084256ad2fp+0, 0x1.59c20ff2a0bc2p+0, 0x1.5a2a06ae430acp+0, 0x1.59e787adf2ca5p+0, 0x1.5908fda039b0bp+0, 0x1.579c17cee855dp+0, 0x1.55adc72597e3ep+0, 0x1.534a3e3a7ebp+0, 0x1.507cf3a2f418fp+0, 0x1.4d50a60703777p+0, 0x1.49cf619e1ab19p+0, 0x1.46028670d9174p+0, 0x1.41f2cf52cbbb9p+0, 0x1.3da8596fef993p+0, 0x1.392aabd48510ap+0, 0x1.3480bf036b0b4p+0, 0x1.2fb104c6a3b51p+0, 0x1.2ac16fd47da47p+0, 0x1.25b77b0b2d35bp+0, 0x1.20983079a72c4p+0, 0x1.1b6830565d95ep+0, 0x1.162bb7b78794fp+0, 0x1.10e6a6e285fe7p+0, 0x1.0b9c873b201a5p+0, 0x1.065090f18ee68p+0, 0x1.0105b07afef13p+0, 0x1.f77d1793cde31p-1, 0x1.ecfb0e7128447p-1, 0x1.e2899446b4d5p-1, 0x1.d82c8674c78e7p-1, 0x1.cde7592a75f79p-1, 0x1.c3bd1f1cd0d7cp-1, 0x1.b9b090d1cae99p-1, 0x1.afc4137df2687p-1, 0x1.a5f9bf74a1fdfp-1, 0x1.9c53662d9e2edp-1, 0x1.92d297e59ee02p-1, 0x1.8978a8e0d25ap-1, 0x1.8046b6564bb0ep-1, 0x1.773dab09d04eep-1, 0x1.6e5e4398f0351p-1, 0x1.65a9127eebb3fp-1, 0x1.5d1e83d3093a9p-1, 0x1.54bee0c4d4861p-1, 0x1.4c8a52d928857p-1, 0x1.4480e6ec79e71p-1, 0x1.3ca28ffc8ce7p-1, 0x1.34ef29be3af05p-1, 0x1.2d667b023fd57p-1, 0x1.260837ea7fd63p-1, 0x1.1ed403f83b643p-1, 0x1.17c973ea5dcedp-1, 0x1.10e80f82c38adp-1, 0x1.0a2f53159849p-1, 0x1.039eb110459cp-1, 0x1.fa6b2688df77fp-2, 0x1.ede6b8680f9ccp-2, 0x1.e1aed050b5d0cp-2, 0x1.d5c21c7faf679p-2, 0x1.ca1f42c639a88p-2, 0x1.bec4e2283fc6fp-2, 0x1.b3b1948f670e5p-2, 0x1.a8e3f00af8aa6p-2, 0x1.9e5a8835b890dp-2, 0x1.9413ef4be2bbcp-2, 0x1.8a0eb72cdc8b1p-2, 0x1.8049725f1c2bfp-2, 0x1.76c2b4c3e9ccdp-2, 0x1.6d79146f836fbp-2, 0x1.646b2a40d6434p-2, 0x1.5b9792752372cp-2, 0x1.52fced351b80ep-2, 0x1.4a99def64f1ebp-2, 0x1.426d10ea16521p-2, 0x1.3a75314bceec4p-2, 0x1.32b0f3a8620b8p-2, 0x1.2b1f111e8cb7cp-2, 0x1.23be488d11ca6p-2, 0x1.1c8d5ebe2eca9p-2, 0x1.158b1e8771f1fp-2, 0x1.0eb658e3129dp-2, 0x1.080de5021e6d3p-2, 0x1.0190a0598d13bp-2, 0x1.f67add521cc55p-3, 0x1.ea2673f95678cp-3, 0x1.de21e558ecd22p-3, 0x1.d26b1ea96d47fp-3, 0x1.c700199b1c125p-3, 0x1.bbdedc3f45dep-3, 0x1.b10578e5bec31p-3, 0x1.a6720dfdfdb39p-3, 0x1.9c22c5f069716p-3, 0x1.9215d6efe8a2fp-3, 0x1.884982d11b805p-3, 0x1.7ebc16d911d43p-3, 0x1.756beb8783572p-3, 0x1.6c57646751b9bp-3, 0x1.637cefd77ff08p-3, 0x1.5adb06d0e6c12p-3, 0x1.52702cb2876ecp-3, 0x1.4a3aef087c0e7p-3, 0x1.4239e54f5f9dfp-3, 0x1.3a6bb0bdf53c5p-3, 0x1.32cefc0ce0296p-3, 0x1.2b627b39aea02p-3, 0x1.2424eb4ee6477p-3, 0x1.1d15122d92c9ap-3, 0x1.1631be529ee6p-3, 0x1.0f79c69ddf287p-3, 0x1.08ec0a1d568bep-3, 0x1.02876fd6bb652p-3, 0x1.f895cd1f025f9p-4, 0x1.ec6ac9314cd3bp-4, 0x1.e08bcf390bc3p-4, 0x1.d4f6e8d56e127p-4, 0x1.c9aa2d88f7d26p-4, 0x1.bea3c259dd70cp-4, 0x1.b3e1d9740ded5p-4, 0x1.a962b1c86d88dp-4, 0x1.9f2496af12fd6p-4, 0x1.9525df8ff8f96p-4, 0x1.8b64ef8c7a70ap-4, 0x1.81e03527ab9a5p-4, 0x1.789629f0c4fb9p-4, 0x1.6f855234b571bp-4, 0x1.66ac3caf7eedbp-4, 0x1.5e09823d20a9ep-4, 0x1.559bc58d26abcp-4, 0x1.4d61b2db0b8a8p-4, 0x1.4559ffa8414d4p-4, 0x1.3d836a75c7efbp-4, 0x1.35dcba7f7721dp-4, 0x1.2e64bf7b7a359p-4, 0x1.271a515be2accp-4, 0x1.1ffc5010b835bp-4, 0x1.1909a34acd82ep-4, 0x1.12413a4157fe1p-4, 0x1.0ba20b7a6fa07p-4, 0x1.052b1494b7939p-4, 0x1.fdb6b42315855p-5, 0x1.f163ce411d332p-5, 0x1.e55b9adbad4fdp-5, 0x1.d99c49e44099fp-5, 0x1.ce241787c51a2p-5, 0x1.c2f14bd201f63p-5, 0x1.b8023a53e024p-5, 0x1.ad5541ce32573p-5, 0x1.a2e8cbdfcea39p-5, 0x1.98bb4cb4f1181p-5, 0x1.8ecb42b7d7d84p-5, 0x1.851736441e319p-5, 0x1.7b9db95dfab45p-5, 0x1.725d676c1c9dbp-5, 0x1.6954e4f27cbc1p-5, 0x1.6082df4fa1a91p-5, 0x1.57e60c792e1dp-5, 0x1.4f7d2abf72034p-5, 0x1.47470090e2ed9p-5, 0x1.3f425c3f0ec2dp-5, 0x1.376e13c4f9883p-5, 0x1.2fc9048f5bc88p-5, 0x1.28521347577c9p-5, 0x1.21082b9f2524ep-5, 0x1.19ea401fd623ep-5, 0x1.12f749f83ce28p-5, 0x1.0c2e48cd70426p-5, 0x1.058e428d21f68p-5, 0x1.fe2c86832e651p-6, 0x1.f18ab9cd9e78ep-6, 0x1.e5354e816b7d9p-6, 0x1.d92a7f65687d9p-6, 0x1.cd6892315920bp-6, 0x1.c1edd74258dc5p-6, 0x1.b6b8a95177e71p-6, 0x1.abc76d2c6e462p-6, 0x1.a11891706f81fp-6, 0x1.96aa8e47a4b55p-6, 0x1.8c7be528851f1p-6, 0x1.828b2096e3b0cp-6, 0x1.78d6d3e6b0e65p-6, 0x1.6f5d9b00c6c18p-6, 0x1.661e1a29baae1p-6, 0x1.5d16fdcab2809p-6, 0x1.5446fa3bba5eep-6, 0x1.4baccb8f1e52bp-6, 0x1.4347355e5224bp-6, 0x1.3b150298b1653p-6, 0x1.33150553ee1c4p-6, 0x1.2b46169e2177ap-6, 0x1.23a71651083dcp-6, 0x1.1c36eae617fdap-6, 0x1.14f4814bb846p-6, 0x1.0ddeccbbf88e6p-6, 0x1.06f4c694cd608p-6, 0x1.00356e319dde6p-6, 0x1.f33f918ba87a9p-7, 0x1.e665c27052de8p-7, 0x1.d9db8ffd8396p-7, 0x1.cd9f25f8d035dp-7, 0x1.c1aebabe09407p-7, 0x1.b6088efe7fb7bp-7, 0x1.aaaaed8212ab5p-7, 0x1.9f942ae9ad837p-7, 0x1.94c2a573045b8p-7, 0x1.8a34c4bdcdc3ep-7, 0x1.7fe8f992d2934p-7, 0x1.75ddbdacf6f75p-7, 0x1.6c11938403118p-7, 0x1.62830618b64efp-7, 0x1.5930a8c20abedp-7, 0x1.501916fb86a01p-7, 0x1.473af434cd682p-7, 0x1.3e94eba29ddcfp-7, 0x1.3625b0115b172p-7, 0x1.2debfbb8e3a11p-7, 0x1.25e6901189a8cp-7, 0x1.1e1435a9f2916p-7, 0x1.1673bbfde7517p-7, 0x1.0f03f94e20e19p-7, 0x1.07c3ca792b9b5p-7, 0x1.00b212d57170ep-7, 0x1.f39b7818a740ep-8, 0x1.e62b6bec787b6p-8, 0x1.d911eceeed314p-8, 0x1.cc4cf2bb93278p-8, 0x1.bfda807db9472p-8, 0x1.b3b8a4aee37c5p-8, 0x1.a7e578d6f3fdcp-8, 0x1.9c5f214e0f0fdp-8, 0x1.9123cd001dabcp-8, 0x1.8631b531b6786p-8, 0x1.7b871d463f32ep-8, 0x1.712252877b728p-8, 0x1.6701abee2be34p-8, 0x1.5d2389ec1e855p-8, 0x1.538656379380bp-8, 0x1.4a288397ed8e2p-8, 0x1.41088db39c374p-8, 0x1.3824f8df377d8p-8, 0x1.2f7c51ed940c4p-8, 0x1.270d2e00f2941p-8, 0x1.1ed62a5d1e2p-8, 0x1.16d5ec3aa6b3ep-8, 0x1.0f0b209b1e504p-8, 0x1.07747c1e6114bp-8, 0x1.0010bad8d94ddp-8, 0x1.f1bd40555da62p-9, 0x1.e3b9ed2fbb88dp-9, 0x1.d6151f423b244p-9, 0x1.c8cc873b35b04p-9, 0x1.bbdde32b04b78p-9, 0x1.af46fe3aabb62p-9, 0x1.a305b06564dfap-9, 0x1.9717de2e03aa1p-9, 0x1.8b7b786334e49p-9, 0x1.802e7bd36544fp-9, 0x1.752ef110607d1p-9, 0x1.6a7aec2da93bdp-9, 0x1.60108c8191fddp-9, 0x1.55edfc678dbe9p-9, 0x1.4c117103dff12p-9, 0x1.42792a0883385p-9, 0x1.3923717b7b396p-9, 0x1.300e9b7e4cdbp-9, 0x1.27390616beb72p-9, 0x1.1ea118f8c7dafp-9, 0x1.1645455166761p-9, 0x1.0e2405929123ep-9, 0x1.063bdd4016555p-9, 0x1.fd16b17b09c2p-10, 0x1.ee221a3a6abcep-10, 0x1.df972fe0e898ep-10, 0x1.d1733e31c28dp-10, 0x1.c3b3a1356231dp-10, 0x1.b655c4e032231p-10, 0x1.a95724ba94dcp-10, 0x1.9cb54b8a6123ep-10, 0x1.906dd2fd8c37ep-10, 0x1.847e635680ecep-10, 0x1.78e4b31a3ece9p-10, 0x1.6d9e86c0b1d2dp-10, 0x1.62a9b06763484p-10, 0x1.58040f865a572p-10, 0x1.4dab90a6b81dp-10, 0x1.439e2d1a74036p-10, 0x1.39d9eab4ab94dp-10, 0x1.305cdb8260a81p-10, 0x1.27251d83cb09fp-10, 0x1.1e30da66e9e84p-10, 0x1.157e47443aad4p-10, 0x1.0d0ba45e00419p-10, 0x1.04d73ce28008cp-10, 0x1.f9becd60f4c0ap-11, 0x1.ea450439cd664p-11, 0x1.db3df371cf791p-11, 0x1.cca6842e49f65p-11, 0x1.be7bb3207bc9bp-11, 0x1.b0ba900e989b2p-11, 0x1.a3603d5ee58adp-11, 0x1.9669efa82b309p-11, 0x1.89d4ed493a0e7p-11, 0x1.7d9e8e0770582p-11, 0x1.71c43ab2a7af3p-11, 0x1.66436ccaee044p-11, 0x1.5b19ae2468bd6p-11, 0x1.504498874b567p-11, 0x1.45c1d54b6f4f1p-11, 0x1.3b8f1cf2444eep-11, 0x1.31aa36c2d5bd4p-11, 0x1.2810f86c547b6p-11, 0x1.1ec145b1f8b45p-11, 0x1.15b9101fd30e2p-11, 0x1.0cf656c613cd3p-11, 0x1.047725f57fb56p-11, 0x1.f8732deff7fd1p-12, 0x1.e8779f83cfb93p-12, 0x1.d8f80538c476ep-12, 0x1.c9f0db96fa3e2p-12, 0x1.bb5eb66c00115p-12, 0x1.ad3e402d50197p-12, 0x1.9f8c396fd1922p-12, 0x1.92457878ad30bp-12, 0x1.8566e8dfde12ep-12, 0x1.78ed8b34cbbe3p-12, 0x1.6cd6749760117p-12, 0x1.611ece3b04b06p-12, 0x1.55c3d4d0c298cp-12, 0x1.4ac2d7e1422b6p-12, 0x1.4019392677e36p-12, 0x1.35c46bf5a4654p-12, 0x1.2bc1f4ca322d9p-12, 0x1.220f68f3a446p-12, 0x1.18aa6e60c99e2p-12, 0x1.0f90bb76a8b08p-12, 0x1.06c016deb32bap-12, 0x1.fc6cae73a1e57p-13, 0x1.ebe2c55c91d8ap-13, 0x1.dbde5ca686f25p-13, 0x1.cc5b7b0ffea2ep-13, 0x1.bd56429b5cd8bp-13, 0x1.aecaef770efp-13, 0x1.a0b5d73fa6f19p-13, 0x1.931368a539ed9p-13, 0x1.85e02b5f6421bp-13, 0x1.7918c0415b943p-13, 0x1.6cb9e135117bap-13, 0x1.60c060eef00a6p-13, 0x1.55292a4394fe5p-13, 0x1.49f13f2a74c8fp-13, 0x1.3f15b78aa6e74p-13, 0x1.3493bfebc61bfp-13, 0x1.2a68985d27621p-13, 0x1.2091938cf9134p-13, 0x1.170c1647d5ba2p-13, 0x1.0dd5975ebabe8p-13, 0x1.04eb9fe5cd3d3p-13, 0x1.f89796ed4563ep-14, 0x1.e7e790ffe9f2ap-14, 0x1.d7c2afc26a224p-14, 0x1.c8249945cb787p-14, 0x1.b9091506c11a2p-14, 0x1.aa6c0b0a4d787p-14, 0x1.9c49819226b3dp-14, 0x1.8e9d9bcb92b9bp-14, 0x1.816498895d55bp-14, 0x1.749ad11e92aabp-14, 0x1.683cb8800b2e5p-14, 0x1.5c46daf3dc988p-14, 0x1.50b5de6419ecp-14, 0x1.4586830379bb2p-14, 0x1.3ab5a39c305ecp-14, 0x1.304034f780fe2p-14, 0x1.26234457c1f0bp-14, 0x1.1c5bf5a6222aap-14, 0x1.12e7822ac9ab4p-14, 0x1.09c33838dcf1bp-14, 0x1.00ec7b7cad253p-14, 0x1.f0c18a3c9c522p-15, 0x1.e03b463642624p-15, 0x1.d0416dba1dd52p-15, 0x1.c0cf6776a6c09p-15, 0x1.b1e0bc53a5f7p-15, 0x1.a371179389027p-15, 0x1.957c479872bedp-15, 0x1.87fe3d88341edp-15, 0x1.7af30ad2b1161p-15, 0x1.6e56dd6bd588p-15, 0x1.6225fcd6ee944p-15, 0x1.565cc9daa31c4p-15, 0x1.4af7c0f373651p-15, 0x1.3ff37db9cea4ap-15, 0x1.354cbcd8c1f1bp-15, 0x1.2b005b87ec46dp-15, 0x1.210b5497b72f6p-15, 0x1.176abe820ccbfp-15, 0x1.0e1bc915cac21p-15, 0x1.051bbc8194779p-15, 0x1.f8cff058089d3p-16, 0x1.e7fbe2d5471f8p-16, 0x1.d7b65d86888ebp-16, 0x1.c7fa8a82e0418p-16, 0x1.b8c3aef225872p-16, 0x1.aa0d2bde4a537p-16, 0x1.9bd2818c481bap-16, 0x1.8e0f53cd79491p-16, 0x1.80bf6da085b2ap-16, 0x1.73dec2f5999f1p-16, 0x1.6769712569294p-16, 0x1.5b5bc07000bdap-16, 0x1.4fb227c386d5dp-16, 0x1.44694fbe0d2bp-16, 0x1.397e0f1c252b8p-16, 0x1.2eed5e0b22e4cp-16, 0x1.24b445933b70ep-16, 0x1.1acfd5256b7b5p-16, 0x1.113d243006eap-16, 0x1.07f95b6ca51efp-16, 0x1.fe03774117574p-17, 0x1.eca737c225a7ap-17, 0x1.dbd8c5b8eb3e3p-17, 0x1.cb930532a0a5p-17, 0x1.bbd0f3ea1f4d9p-17, 0x1.ac8db3bd031b5p-17, 0x1.9dc498be33aedp-17, 0x1.8f713c91609aep-17, 0x1.818f946ee66bep-17, 0x1.741bfa1f17864p-17, 0x1.671315e47a588p-17, 0x1.5a71ad49c06d2p-17, 0x1.4e347647b4947p-17, 0x1.42580f5b80a34p-17, 0x1.36d91ac7fdc4dp-17, 0x1.2bb46691331eep-17, 0x1.20e6f48f5a0f2p-17, 0x1.166de7be47709p-17, 0x1.0c466873a60e4p-17, 0x1.026d946980b4ap-17, 0x1.f1c108135eb81p-18, 0x1.df38b8fc0278cp-18, 0x1.cd3cc03537221p-18, 0x1.bbc7f2747d407p-18, 0x1.aad58fa57bbcfp-18, 0x1.9a61632f120b1p-18, 0x1.8a67c1e28e757p-18, 0x1.7ae549a4d3399p-18, 0x1.6bd689ca96d07p-18, 0x1.5d37dcd3b9877p-18, 0x1.4f058d42f2886p-18, 0x1.413c1059392ffp-18, 0x1.33d8200b713dbp-18, 0x1.26d6aa85fd487p-18, 0x1.1a34b5f16ab46p-18, 0x1.0def45eb42547p-18, 0x1.02034c4a6e1cbp-18, 0x1.ecdb630b029d7p-19, 0x1.d656e45e825bbp-19, 0x1.c07372be6900bp-19, 0x1.ab2bc40504c0fp-19, 0x1.967ad894e8583p-19, 0x1.825be56a3d6b4p-19, 0x1.6eca9ca15ad57p-19, 0x1.5bc3230a8b97fp-19, 0x1.4941bb0d17618p-19, 0x1.3742aac6379c5p-19, 0x1.25c24cdad3544p-19, 0x1.14bd2da0180e4p-19, 0x1.042ff6be129ffp-19, 0x1.e82eac9519d0ap-20, 0x1.c8e010a257f37p-20, 0x1.aa6dc03d635efp-20, 0x1.8cd185963997ep-20, 0x1.7005471dfe9cdp-20, 0x1.540310f169da5p-20, 0x1.38c52da723469p-20, 0x1.1e46519045d1p-20, 0x1.0481aabf7989ap-20, 0x1.d6e53534ddebap-21, 0x1.a6288dafea967p-21, 0x1.76c32548caaffp-21, 0x1.48ab1a0deb64bp-21, 0x1.1bd771f692f81p-21, 0x1.e0808adc6193bp-22, 0x1.8bbdf115b1346p-22, 0x1.395b473b7cd35p-22, 0x1.d2975f483e541p-23, 0x1.3701c29977b61p-23, 0x1.3fb270a57180bp-24, 0x1.a03fcc3c5e2abp-28, -0x1.033d53f1ac6dfp-24, -0x1.0c22dcc54fac8p-23, -0x1.92a17ff052233p-23, -0x1.0a986dccaaefcp-22, -0x1.49f3193fa1ef2p-22, -0x1.876add85496c3p-22, -0x1.c3097534b0f7dp-22, -0x1.fcd7ae4cb14afp-22, -0x1.1a6f52bbdd7b1p-21, -0x1.35948cf052ec6p-21, -0x1.4fe16afa8358fp-21, -0x1.695b8a6193bbbp-21, -0x1.8207bd1849dd6p-21, -0x1.99e97a9992d0cp-21, -0x1.b10365987b631p-21, -0x1.c758d80e8fecap-21, -0x1.dcedeea9ad6p-21, -0x1.f1c692edb7a54p-21, -0x1.02f34293a1e8p-20, -0x1.0ca8d17004f64p-20, -0x1.1605d45ed4a97p-20, -0x1.1f0bfd40a05ccp-20, -0x1.27bcd573a3165p-20, -0x1.3019d200df8fap-20, -0x1.382468b393b52p-20, -0x1.3fde18c46a3fep-20, -0x1.47485db51e88cp-20, -0x1.4e64996bb7581p-20, -0x1.5534159eb5e51p-20, -0x1.5bb8317a75498p-20, -0x1.61f288d14b645p-20, -0x1.67e4cc7dfa475p-20, -0x1.6d908bfdc7778p-20, -0x1.72f710583c04ep-20, -0x1.7819452610287p-20, -0x1.7cf839140f11cp-20, -0x1.819545d9a7d08p-20, -0x1.85f19f40021acp-20, -0x1.8a0e6c9a8d777p-20, -0x1.8dececa7f85e6p-20, -0x1.918e52b577d11p-20, -0x1.94f3c20eb62c6p-20, -0x1.981e4facfc679p-20, -0x1.9b0f0a210b9b5p-20, -0x1.9dc6fa020e135p-20, -0x1.a04724dfe86efp-20, -0x1.a290926407672p-20, -0x1.a4a44e49597c6p-20, -0x1.a683631d25597p-20, -0x1.a82ecea9b4cd2p-20, -0x1.a9a77fccc1fcp-20, -0x1.aaee715deba66p-20, -0x1.ac04b87e7f9fep-20, -0x1.aceb5c942d89bp-20, -0x1.ada356c5ef957p-20, -0x1.ae2d959b03337p-20, -0x1.ae8af2c2c61f9p-20, -0x1.aebc69d1f36dep-20, -0x1.aec2d5968e002p-20, -0x1.ae9f11e095d3dp-20, -0x1.ae520e75788f1p-20, -0x1.addcaffed540ep-20, -0x1.ad3fd1f9e5346p-20, -0x1.ac7c4e49de941p-20, -0x1.ab92fe1594d5cp-20, -0x1.aa84b8967f307p-20, -0x1.a95251b00f32bp-20, -0x1.a7fc99a1302fap-20, -0x1.a6845de9ed04cp-20, -0x1.a4ea6e1fed9e4p-20, -0x1.a32f98de7b8acp-20, -0x1.a154adf4e66a1p-20, -0x1.9f5a75de96da4p-20, -0x1.9d41b190d3ef5p-20, -0x1.9b0b263d6a12bp-20, -0x1.98b79bef00306p-20, -0x1.9647ca72ddfffp-20, -0x1.93bc75e561a56p-20, -0x1.91166bc7927bbp-20, -0x1.8e566c3b14596p-20, -0x1.8b7d1df36fd8fp-20, -0x1.888b2baee14c3p-20, -0x1.858169f37c8edp-20, -0x1.82607d24be04bp-20, -0x1.7f29104022c7dp-20, -0x1.7bdbd637a25e8p-20, -0x1.78797d7aa959dp-20, -0x1.7502b38e9de16p-20, -0x1.7178200fabdfdp-20, -0x1.6dda6bf66e7bp-20, -0x1.6a2a3ce3578d3p-20, -0x1.666835a580596p-20, -0x1.6294f7071131ap-20, -0x1.5eb1210dcdcdfp-20, -0x1.5abd53a81915ap-20, -0x1.56ba2ddb9b90ep-20, -0x1.52a84b1c2a7a6p-20, -0x1.4e88419602036p-20, -0x1.4a5aa5ba8fa97p-20, -0x1.46200ae53f122p-20, -0x1.41d8ff808c847p-20, -0x1.3d861ba8eb642p-20, -0x1.3927fb65eb0d7p-20, -0x1.34bf2087dab1cp-20, -0x1.304c11562d452p-20, -0x1.2bcf5dd2d7efap-20, -0x1.27498be1c3c62p-20, -0x1.22bb1f87f0315p-20, -0x1.1e249ba3db9bp-20, -0x1.1986821acd353p-20, -0x1.14e152e29213dp-20, -0x1.10358b9044ba2p-20, -0x1.0b83a84c9955p-20, -0x1.06cc2343ffe2p-20, -0x1.020f74a093335p-20, -0x1.fa9c2496a1f56p-21, -0x1.f110dfd1f98bbp-21, -0x1.e77dfe72a297ap-21, -0x1.dde4614225627p-21, -0x1.d444e6b28e4a7p-21, -0x1.caa06a4c95523p-21, -0x1.c0f7c3dfbb0a3p-21, -0x1.b74bc154f48a7p-21, -0x1.ad9d2d0507f88p-21, -0x1.a3ecd019d8a9cp-21, -0x1.9a3b727feb929p-21, -0x1.9089dd425c0b7p-21, -0x1.86d8d9bb26272p-21, -0x1.7d290387233e8p-21, -0x1.737b2ddacaa5ap-21, -0x1.69d005c268afcp-21, -0x1.60283a8a89392p-21, -0x1.5684786fff1a6p-21, -0x1.4ce568bf7eab2p-21, -0x1.434bb165dda08p-21, -0x1.39b7f4b170729p-21, -0x1.302ad14f6649dp-21, -0x1.26a4e2957cc9cp-21, -0x1.1d26c05fea4b5p-21, -0x1.13b0ff2275e46p-21, -0x1.0a442fc4d6698p-21, -0x1.00e0dfa3fbb48p-21, -0x1.ef0f30224d22fp-22, -0x1.dc71bec8bca3cp-22, -0x1.c9ea71975e8a6p-22, -0x1.b77a49bb7a7cdp-22, -0x1.a52242858e43p-22, -0x1.92e34ff5c398cp-22, -0x1.80be5ce401129p-22, -0x1.6eb4526b97a02p-22, -0x1.5cc5f9bdda86p-22, -0x1.4af4297682fbdp-22, -0x1.393ff262dc524p-22, -0x1.27a9febd419ffp-22, -0x1.1632fa83e9d34p-22, -0x1.04dbbc85dd9aep-22, -0x1.e749ff718e2fcp-23, -0x1.c51eeead702cdp-23, -0x1.a337a00d1c3f3p-23, -0x1.819567afd2bd7p-23, -0x1.6039a179571c1p-23, -0x1.3f256ad597d6ep-23, -0x1.1e59fe20c7a0dp-23, -0x1.fbb10072676bep-24, -0x1.bb441ae47c08ep-24, -0x1.7b6f702734386p-24, -0x1.3c3505f32b067p-24, -0x1.fb2d9a1af3da6p-25, -0x1.7f2d49b688bb3p-25, -0x1.046cbbc98c5d2p-25, -0x1.15de771d39339p-26, -0x1.2b8299d1a63dfp-29, 0x1.90d5a926b954fp-27, 0x1.b3ac85869de26p-26, 0x1.4e26d2fb9f107p-25, 0x1.c126e3f16c578p-25, 0x1.1969462c4bbf7p-24, 0x1.519351c6b043ep-24, 0x1.8910c86a33a4cp-24, 0x1.bfe0a7ce35c35p-24, 0x1.f601e6955e6e9p-24, 0x1.15b9d01ec79e2p-23, 0x1.301a7fb17fafbp-23, 0x1.4a22992d570eep-23, 0x1.63d1c18b7f579p-23, 0x1.7d27a4fab6001p-23, 0x1.9623f727cbeb6p-23, 0x1.aec6743589e63p-23, 0x1.c70edf88d78ccp-23, 0x1.defd03121740cp-23, 0x1.f690b081f586fp-23, 0x1.06e4e096049b3p-22, 0x1.12540ab5aec5bp-22, 0x1.1d95ca3796a56p-22, 0x1.28aa16151254bp-22, 0x1.3390e89c6b6bfp-22, 0x1.3e4a3f6d168dbp-22, 0x1.48d61b6bbdb39p-22, 0x1.533480b8a9d79p-22, 0x1.5d6576835f4c6p-22, 0x1.676906d5ab883p-22, 0x1.713f3e7ea79bcp-22, 0x1.7ae82d2d2d60ep-22, 0x1.8463e5a67708bp-22, 0x1.8db27e8304532p-22, 0x1.96d40e8ec6218p-22, 0x1.9fc8b04f81586p-22, 0x1.a890827f5fdcap-22, 0x1.b12ba5e9ce731p-22, 0x1.b99a3a5054781p-22, 0x1.c1dc64c2b842bp-22, 0x1.c9f24dd6d42fdp-22, 0x1.d1dc1d953b76ap-22, 0x1.d999fe11edfe1p-22, 0x1.e12c245aeb0e2p-22, 0x1.e892d1ea39f39p-22, 0x1.efcded1c18008p-22, 0x1.f6ddfa1377501p-22, 0x1.fdc314e754b58p-22, 0x1.023eb9392ab3p-21, 0x1.0586a332a9a28p-21, 0x1.08b96e1801395p-21, 0x1.0bd7321b3dd2ap-21, 0x1.0ee0091a3cdfbp-21, 0x1.11d4263445ecp-21, 0x1.14b398375b365p-21, 0x1.177e86d516bd6p-21, 0x1.1a3513dc881ecp-21, 0x1.1cd762f13b65dp-21, 0x1.1f6598aa035cap-21, 0x1.21dfd8ea029dep-21, 0x1.2446482181f0dp-21, 0x1.26990c1bf224ep-21, 0x1.28d84b4ae151p-21, 0x1.2b042ca1a50e4p-21, 0x1.2d1cd777cd755p-21, 0x1.2f22737f303d8p-21, 0x1.311529649635ep-21, 0x1.32f5220295287p-21, 0x1.34c28683df0a5p-21, 0x1.367d80c0a4f68p-21, 0x1.38263adea6f4p-21, 0x1.39bcdf6c6d5f2p-21, 0x1.3b41999bd1a9cp-21, 0x1.3cb49479b7b5p-21, 0x1.3e15fbc39bf8bp-21, 0x1.3f65fb770cd8ap-21, 0x1.40a4bfda81995p-21, 0x1.41d2757bf4469p-21, 0x1.42ef491f69c04p-21, 0x1.43fb67f47234p-21, 0x1.44f6ff1a6f981p-21, 0x1.45e23c37b768cp-21, 0x1.46bd4d2cd291cp-21, 0x1.47885fcd652e5p-21, 0x1.4843a1e84ea31p-21, 0x1.48ef3dcf91e0bp-21, 0x1.498b6d5cd7485p-21, 0x1.4a185580e9178p-21, 0x1.4a96252a13126p-21, 0x1.4b050d50e438dp-21, 0x1.4b653c0de7a81p-21, 0x1.4bb6e03c3e138p-21, 0x1.4bfa28ac0e0d5p-21, 0x1.4c2f44350ed5p-21, 0x1.4c5661ecf0183p-21, 0x1.4c6fb05511bcdp-21, 0x1.4c7b5fdafab0ep-21, 0x1.4c799d8936595p-21, 0x1.4c6a98e64426bp-21, 0x1.4c4e80cb8201cp-21, 0x1.4c2583f8ca104p-21, 0x1.4befd1ed32f98p-21, 0x1.4bada9faa5a1p-21, 0x1.4b5f34989118ap-21, 0x1.4b07bfd1ff01bp-21, 0x1.4a9dc8e82380ep-21, 0x1.4a2b13fc65663p-21, 0x1.49ace8c1c9f41p-21, 0x1.4923514413751p-21, 0x1.488e784db832bp-21, 0x1.47ee88b53112cp-21, 0x1.4743b04145372p-21, 0x1.468e1e3048ba4p-21, 0x1.45cdfea622e57p-21, 0x1.45037ec4403p-21, 0x1.442ecb686109dp-21, 0x1.4350113ff9b98p-21, 0x1.42677cc49d541p-21, 0x1.41753a3a60c28p-21, }}, 
      {{0x1.7b917d2843db3p-3, 0x1.8675ed24a831fp-3, 0x1.95ce636d8c3ebp-3, 0x1.a6c23a2870a5cp-3, 0x1.b6a078a7c721dp-3, 0x1.c324971bb4b7bp-3, 0x1.ca907ef547f6bp-3, 0x1.cbae192e232e1p-3, 0x1.c5c3b42cd5f85p-3, 0x1.b8824cce8b275p-3, 0x1.a3f20c14968cfp-3, 0x1.885f4a4008902p-3, 0x1.66494759f322ep-3, 0x1.3e5328ceb865ep-3, 0x1.11373ef955b6bp-3, 0x1.bf791d0ca4e53p-4, 0x1.555cc6515ec23p-4, 0x1.cb56eccadb67cp-5, 0x1.c7a26c836631bp-6, -0x1.1f89e57374cecp-10, -0x1.f0d7a05e59744p-6, -0x1.e81319ec98adfp-5, -0x1.6ae3632a23765p-4, -0x1.dfcd8a8836cdp-4, -0x1.28f8be621a283p-3, -0x1.604b75e253f22p-3, -0x1.959114fa88fa7p-3, -0x1.c88920de05f08p-3, -0x1.f8ff7020019cfp-3, -0x1.13658a7431dep-2, -0x1.28e6a377d6b67p-2, -0x1.3cf829a0fb869p-2, -0x1.4f934c5f599bcp-2, -0x1.60b4c9502e117p-2, -0x1.705c7a5c5a909p-2, -0x1.7e8ced141b84p-2, -0x1.8b4b02ad94591p-2, -0x1.969d98a69caccp-2, -0x1.a08d3a40e920fp-2, -0x1.a923d996eeb42p-2, -0x1.b06c8f5a80bdbp-2, -0x1.b673613e9f654p-2, -0x1.bb450ee75acccp-2, -0x1.beeee49e81d3p-2, -0x1.c17e93094557ep-2, -0x1.c3020b87f30adp-2, -0x1.c387612271aa2p-2, -0x1.c31cadb0bdad7p-2, -0x1.c1cffab9f1e46p-2, -0x1.bfaf2d7e822adp-2, -0x1.bcc7f5c5b791ep-2, -0x1.b927bf2bb1c87p-2, -0x1.b4dba4bde5c6p-2, -0x1.aff066b6a1784p-2, -0x1.aa72621cabfeep-2, -0x1.a46d8a0e33dfep-2, -0x1.9ded6286b62e8p-2, -0x1.96fcfc69c05bcp-2, -0x1.8fa6f2befc311p-2, -0x1.87f568e8794ccp-2, -0x1.7ff209d453c18p-2, -0x1.77a607f03877cp-2, -0x1.6f1a1de0f1e7fp-2, -0x1.66568fcf43d11p-2, -0x1.5d632d42d0a8fp-2, -0x1.5447536a107d9p-2, -0x1.4b09efce1d7e3p-2, -0x1.41b1833d9518cp-2, -0x1.38442529e799p-2, -0x1.2ec786e56a5f6p-2, -0x1.2540f788ce756p-2, -0x1.1bb5674f73ba9p-2, -0x1.12296bca9446cp-2, -0x1.08a1436d1c95ap-2, -0x1.fe41b30c134d5p-3, -0x1.eb5794dd7f488p-3, -0x1.d88acd1d9b263p-3, -0x1.c5e16f2da4797p-3, -0x1.b36104c518fb9p-3, -0x1.a10e99291592p-3, -0x1.8eeebd67ea886p-3, -0x1.7d05901e386d7p-3, -0x1.6b56c648747f2p-3, -0x1.59e5acfe9ec5cp-3, -0x1.48b536002cefcp-3, -0x1.37c7f813071edp-3, -0x1.272037d1930a7p-3, -0x1.16bfedf791e29p-3, -0x1.06a8c8901622cp-3, -0x1.edb86afff081cp-4, -0x1.ceb6c5a080c11p-4, -0x1.b04e899aa8159p-4, -0x1.9281379fe7e97p-4, -0x1.754fe9c01dabfp-4, -0x1.58bb619a137eap-4, -0x1.3cc40c171a27bp-4, -0x1.216a0790cde1ep-4, -0x1.06ad2d4328fd4p-4, -0x1.d91a276f9ed7fp-5, -0x1.a6122cde6b6cbp-5, -0x1.7440b58fb103bp-5, -0x1.43a3a7acbefd7p-5, -0x1.143890ab3bd3bp-5, -0x1.cbf9574be9034p-6, -0x1.71d9d486232eep-6, -0x1.1a0bf8bea2eeap-6, -0x1.8911581b11d2bp-7, -0x1.c521ba22ecd35p-8, -0x1.021b149f69b41p-9, 0x1.74753a27dc042p-9, 0x1.ecd890aede4b9p-8, 0x1.8b778e28b6685p-7, 0x1.0e2875ec34317p-6, 0x1.5485404488aadp-6, 0x1.98db590005764p-6, 0x1.db340cfd8ea68p-6, 0x1.0dcc5dded4b16p-5, 0x1.2d09694a1ca9ap-5, 0x1.4b55e278c0403p-5, 0x1.68b6832e2759fp-5, 0x1.85300397fd5ebp-5, 0x1.a0c7174cbb67ap-5, 0x1.bb806ab643e6fp-5, 0x1.d560a21d3ed2dp-5, 0x1.ee6c579898b7fp-5, 0x1.03540c6161ae5p-4, 0x1.0f0c3316331e7p-4, 0x1.1a60d924b7af6p-4, 0x1.25542fc2f5588p-4, 0x1.2fe85fddbf70cp-4, 0x1.3a1f89fc8efcbp-4, 0x1.43fbc59c025d9p-4, 0x1.4d7f20d1456ddp-4, 0x1.56aba05e54089p-4, 0x1.5f833f7771307p-4, 0x1.6807ef68377f4p-4, 0x1.703b979831e38p-4, 0x1.7820159caeb09p-4, 0x1.7fb73d161f9e6p-4, 0x1.8702d79e1abf5p-4, 0x1.8e04a4df56b34p-4, 0x1.94be5aae35e13p-4, 0x1.9b31a51369bcbp-4, 0x1.a16026558feb5p-4, 0x1.a74b7710366b5p-4, 0x1.acf526672a41p-4, 0x1.b25eba2b3e197p-4, 0x1.b789aeea696abp-4, 0x1.bc77780c803a2p-4, 0x1.c1298015c82e2p-4, 0x1.c5a128dd8a82ap-4, 0x1.c9dfcba1306cp-4, 0x1.cde6b9258cbfp-4, 0x1.d1b739feb10dp-4, 0x1.d5528ecca99dep-4, 0x1.d8b9f05a4f881p-4, 0x1.dbee8fc12b545p-4, 0x1.def196a8b1525p-4, 0x1.e1c42784a3c83p-4, 0x1.e4675dc06c193p-4, 0x1.e6dc4dea3d634p-4, 0x1.e92405e63a5c2p-4, 0x1.eb3f8d2105a63p-4, 0x1.ed2fe4c387c4p-4, 0x1.eef607eb3c5fep-4, 0x1.f092ebda9331cp-4, 0x1.f2078018c12ep-4, 0x1.f354ae9a5d80ap-4, 0x1.f47b5c04012d6p-4, 0x1.f57c67e9b4a5dp-4, 0x1.f658ace941987p-4, 0x1.f71100b620f11p-4, 0x1.f7a6344bb87f1p-4, 0x1.f819143f4152dp-4, 0x1.f86a68f363799p-4, 0x1.f89af6985e736p-4, 0x1.f8ab7d2e13b01p-4, 0x1.f89cb8c69d637p-4, 0x1.f86f61d966fdap-4, 0x1.f8242d683ae08p-4, 0x1.f7bbcceca82a9p-4, 0x1.f736ee56e3f71p-4, 0x1.f6963c4f844a6p-4, 0x1.f5da5e8d9e997p-4, 0x1.f503f9f3b7db7p-4, 0x1.f413b073158f3p-4, 0x1.f30a21000b8acp-4, 0x1.f1e7e7ca163e1p-4, 0x1.f0ad9e906d66ep-4, 0x1.ef5bdcc50e524p-4, 0x1.edf3376ff9885p-4, 0x1.ec7441134392bp-4, 0x1.eadf89cbfc206p-4, 0x1.e9359f9fb3c4p-4, 0x1.e7770eaf93beap-4, 0x1.e5a4612a8369dp-4, 0x1.e3be1f24a21afp-4, 0x1.e1c4ce9642c5ep-4, 0x1.dfb8f3937279cp-4, 0x1.dd9b108c47252p-4, 0x1.db6ba65d5327fp-4, 0x1.d92b342e7d18bp-4, 0x1.d6da3752a8e27p-4, 0x1.d4792b5694f55p-4, 0x1.d2088a3850edfp-4, 0x1.cf88cc956b884p-4, 0x1.ccfa69ab07bbcp-4, 0x1.ca5dd732818ddp-4, 0x1.c7b38947234c1p-4, 0x1.c4fbf275b2a95p-4, 0x1.c23783eab20a3p-4, 0x1.bf66ad96c71a2p-4, 0x1.bc89de2ca23b6p-4, 0x1.b9a183020cc42p-4, 0x1.b6ae07f615d9dp-4, 0x1.b3afd77720505p-4, 0x1.b0a75aa53cff4p-4, 0x1.ad94f972cd498p-4, 0x1.aa791aa95d1f6p-4, 0x1.a75423d34d88dp-4, 0x1.a4267920e9c91p-4, 0x1.a0f07d6164f8p-4, 0x1.9db292158b15p-4, 0x1.9a6d178c59228p-4, 0x1.97206cf1d45bdp-4, 0x1.93ccf04624b8fp-4, 0x1.9072fe46e6fb7p-4, 0x1.8d12f25d91094p-4, 0x1.89ad26a03da46p-4, 0x1.8641f3e343232p-4, 0x1.82d1b1ccdf60cp-4, 0x1.7f5cb6dbd0c3ap-4, 0x1.7be3585d23bcap-4, 0x1.7865ea5a21433p-4, 0x1.74e4bf8b90303p-4, 0x1.7160295a88b2cp-4, 0x1.6dd877ecf77ffp-4, 0x1.6a4dfa33b8cbcp-4, 0x1.66c0fdefef5f6p-4, 0x1.6331cfac84bb3p-4, 0x1.5fa0bab10e6f3p-4, 0x1.5c0e08f6f500ap-4, 0x1.587a0327574ebp-4, 0x1.54e4f0a20d807p-4, 0x1.514f1788207c3p-4, 0x1.4db8bcc26943bp-4, 0x1.4a222400671d9p-4, 0x1.468b8fb0a1ab1p-4, 0x1.42f540f7b9eb7p-4, 0x1.3f5f77ab903a4p-4, 0x1.3bca7254fe66bp-4, 0x1.38366e367303bp-4, 0x1.34a3a75313d37p-4, 0x1.311258725525dp-4, 0x1.2d82bb1e6a266p-4, 0x1.29f5079f4a7bap-4, 0x1.266974f584b4ep-4, 0x1.22e038d81f0b1p-4, 0x1.1f5987b6cbbc2p-4, 0x1.1bd594bf158f2p-4, 0x1.185491e1e09c8p-4, 0x1.14d6afd6cfe2fp-4, 0x1.115c1e1c97422p-4, 0x1.0de50af6f6cc4p-4, 0x1.0a71a36c3ce12p-4, 0x1.0702134459eb3p-4, 0x1.0396850aa997bp-4, 0x1.002f2211f990fp-4, 0x1.f99824f2a6482p-5, 0x1.f2dafa600c0cdp-5, 0x1.ec270ff03487ep-5, 0x1.e57caece25a1ep-5, 0x1.dedc1dcb7b609p-5, 0x1.d845a1608c7ep-5, 0x1.d1b97baeb002p-5, 0x1.cb37ec88a19d7p-5, 0x1.c4c13176ae912p-5, 0x1.be5585c4032c6p-5, 0x1.b7f522840dadap-5, 0x1.b1a03e994f0ccp-5, 0x1.ab570eb984b7ep-5, 0x1.a519c5708b17ep-5, 0x1.9ee893237158p-5, 0x1.98c3a6150fd9dp-5, 0x1.92ab2a6cd63p-5, 0x1.8c9f4a3f58a42p-5, 0x1.86a02d97ae616p-5, 0x1.80adfa80a729p-5, 0x1.7ac8d50d0a626p-5, 0x1.74f0df5e2cc9cp-5, 0x1.6f2639a8cc8efp-5, 0x1.69690238f3a49p-5, 0x1.63b955764c0f3p-5, 0x1.5e174dea6122bp-5, 0x1.5883044959033p-5, 0x1.52fc8f7cfe4d9p-5, 0x1.4d8404b0a92b1p-5, 0x1.4819775cad4p-5, 0x1.42bcf94f6d3f6p-5, 0x1.3d6e9ab2f88cdp-5, 0x1.382e6a0f534c5p-5, 0x1.32fc744b5fa7bp-5, 0x1.2dd8c4af6b2e9p-5, 0x1.28c364ec3467fp-5, 0x1.23bc5d27a7017p-5, 0x1.1ec3b40e3a691p-5, 0x1.19d96ee5ba731p-5, 0x1.14fd919d05b8dp-5, 0x1.10301ed4d7a2fp-5, 0x1.0b7117dfc64d3p-5, 0x1.06c07cbb2e875p-5, 0x1.021e4c0612e34p-5, 0x1.fb1505f9ec634p-6, 0x1.f20a3b03095e9p-6, 0x1.e91c2c5dd3186p-6, 0x1.e04accf370c28p-6, 0x1.d7960da3bbeffp-6, 0x1.cefddd7b0569bp-6, 0x1.c68229c69d05fp-6, 0x1.be22de00d95e3p-6, 0x1.b5dfe39bedca4p-6, 0x1.adb921c164049p-6, 0x1.a5ae7d23bda93p-6, 0x1.9dbfd7fd43836p-6, 0x1.95ed124960b23p-6, 0x1.8e360a30e6174p-6, 0x1.869a9c8d2786dp-6, 0x1.7f1aa5592cedp-6, 0x1.77b5ffe971c9dp-6, 0x1.706c86d32530bp-6, 0x1.693e1386522a1p-6, 0x1.622a7dbb534ebp-6, 0x1.5b319ae83973ep-6, 0x1.54533df60cffdp-6, 0x1.4d8f375d99beap-6, 0x1.46e555b2a2515p-6, 0x1.4055667df98e6p-6, 0x1.39df3727bf3b7p-6, 0x1.338295a618899p-6, 0x1.2d3f50b1d9536p-6, 0x1.27153765d8218p-6, 0x1.2104185dd5e7bp-6, 0x1.1b0bc098b2eeap-6, 0x1.152bfa7c509d7p-6, 0x1.0f648d5769098p-6, 0x1.09b53d9be3e9fp-6, 0x1.041dcdd3f3cfp-6, 0x1.fd3c002d1a60ep-7, 0x1.f26b2f2139d4bp-7, 0x1.e7c8b350c024dp-7, 0x1.dd541cabc0bd8p-7, 0x1.d30cff08f2193p-7, 0x1.c8f2ef378539dp-7, 0x1.bf057f2f84785p-7, 0x1.b5443a88e9637p-7, 0x1.abaea46568b9ap-7, 0x1.a244379be2143p-7, 0x1.9904694ee847fp-7, 0x1.8feead5a763e1p-7, 0x1.87027b6888e3dp-7, 0x1.7e3f533269d51p-7, 0x1.75a4be978103p-7, 0x1.6d3250be34fc8p-7, 0x1.64e7a245f42c7p-7, 0x1.5cc44b71c73ddp-7, 0x1.54c7dddf3855p-7, 0x1.4cf1df9ecac8bp-7, 0x1.4541c93d12df6p-7, 0x1.3db7078e0d53fp-7, 0x1.3651010424789p-7, 0x1.2f0f1d5469bc5p-7, 0x1.27f0cd6af52b8p-7, 0x1.20f5917acd02ep-7, 0x1.1a1cfb54f3f2bp-7, 0x1.1366ac2c40046p-7, 0x1.0cd24e20b64adp-7, 0x1.065f8b1bf42eep-7, 0x1.000e034bc708bp-7, 0x1.f3ba8b6b4ec73p-8, 0x1.e79999b420772p-8, 0x1.dbb80118ff1aap-8, 0x1.d0147984c51eap-8, 0x1.c4adb84336af6p-8, 0x1.b98287320365dp-8, 0x1.ae91d86b537cbp-8, 0x1.a3dad0a443f69p-8, 0x1.995cc5481bcb6p-8, 0x1.8f172ece83c5bp-8, 0x1.8509931eeac4ap-8, 0x1.7b336d9f13be1p-8, 0x1.71941a642f706p-8, 0x1.682ac88b8a77fp-8, 0x1.5ef6760b53d72p-8, 0x1.55f5f5f5d5412p-8, 0x1.4d2800e435acdp-8, 0x1.448b4d3b12fdep-8, 0x1.3c1eaa214cd72p-8, 0x1.33e1156afb615p-8, 0x1.2bd1c53768d4cp-8, 0x1.23f02212bba2ep-8, 0x1.1c3bb4eb5162bp-8, 0x1.14b410c4ed9cdp-8, 0x1.0d58c00df193ap-8, 0x1.0629391fd520fp-8, 0x1.fe49b073f77abp-9, 0x1.f095b73446a32p-9, 0x1.e334c240a057ap-9, 0x1.d624d26148e21p-9, 0x1.c963c7168e5c4p-9, 0x1.bcef8c5e3fa1fp-9, 0x1.b0c64cf7cac3bp-9, 0x1.a4e68f826d046p-9, 0x1.994f2b10b0f32p-9, 0x1.8dff163af133cp-9, 0x1.82f52d002fde7p-9, 0x1.783012c183eebp-9, 0x1.6dae439c319e9p-9, 0x1.636e46d8d919bp-9, 0x1.596eda4d027ap-9, 0x1.4faef437acea9p-9, 0x1.462d9a63d1237p-9, 0x1.3ce9b19bd397cp-9, 0x1.33e1f03e78289p-9, 0x1.2b15036ff22c8p-9, 0x1.2281ccdfd1842p-9, 0x1.1a278819b77b2p-9, 0x1.1205b162a0a46p-9, 0x1.0a1bad56f8dfp-9, 0x1.02685bd321e41p-9, 0x1.f5d3b384c20afp-10, 0x1.e73b4d33ba0b4p-10, 0x1.d90254abe1d2fp-10, 0x1.cb24aec9f7bdep-10, 0x1.bda0117a82a4fp-10, 0x1.b073c595cef96p-10, 0x1.a39fa58004fa9p-10, 0x1.97231b3d4f0a3p-10, 0x1.8afcd5ffb2d62p-10, 0x1.7f2b51b291834p-10, 0x1.73ada70435bafp-10, 0x1.6883f2f39c583p-10, 0x1.5daef7ed81dc2p-10, 0x1.532f14d493043p-10, 0x1.49031041a8ce6p-10, 0x1.3f275a1ffd538p-10, 0x1.359639c11325cp-10, 0x1.2c48f7dc0139dp-10, 0x1.233999b5961b1p-10, 0x1.1a6463f1c9666p-10, 0x1.11c855e03ebd8p-10, 0x1.09664ea669dbcp-10, 0x1.013f71306c95dp-10, 0x1.f2a7be4754bffp-11, 0x1.e3453bc521b61p-11, 0x1.d454f429655e5p-11, 0x1.c5d631d36990ep-11, 0x1.b7cad175f289bp-11, 0x1.aa36185a48f25p-11, 0x1.9d1a133718e94p-11, 0x1.90754d3c1613ep-11, 0x1.844243ea8cf21p-11, 0x1.787850c75e77ap-11, 0x1.6d0d164a945a1p-11, 0x1.61f6301e7784fp-11, 0x1.572b35738fc3bp-11, 0x1.4ca7756967fe5p-11, 0x1.426a6fe584b57p-11, 0x1.3876857ea0b66p-11, 0x1.2ece66f2656a4p-11, 0x1.2572d662be69cp-11, 0x1.1c622f8491253p-11, 0x1.139a0133b3dep-11, 0x1.0b19a170ef639p-11, 0x1.02e336d26fac4p-11, 0x1.f5f316458c908p-12, 0x1.e6b9941fb7826p-12, 0x1.d8135e3283d9ep-12, 0x1.c9f6d960eee9cp-12, 0x1.bc5b7eae1fefcp-12, 0x1.af3a79e7ad7e1p-12, 0x1.a28c7bd345368p-12, 0x1.96480f9539891p-12, 0x1.8a624ae2218bcp-12, 0x1.7ed197ef7640bp-12, 0x1.7391d6a4a8ff1p-12, 0x1.68a6a3815f201p-12, 0x1.5e1746bc1c758p-12, 0x1.53e68f6121fbap-12, 0x1.4a0fc69790844p-12, 0x1.408d59fc5b101p-12, 0x1.37605ea775a4p-12, 0x1.2e8db9e03a08ep-12, 0x1.2615d08e8afd4p-12, 0x1.1df24e6865467p-12, 0x1.161a789417a3dp-12, 0x1.0e87e8f6406ddp-12, 0x1.0738932d19e54p-12, 0x1.002e0bf2e3dd1p-12, 0x1.f2d55bcf0931dp-13, 0x1.e5dc33acef6c2p-13, 0x1.d96650f953a3p-13, 0x1.cd5f5f91a8fc7p-13, 0x1.c1af35543615p-13, 0x1.b64c06dbc610bp-13, 0x1.ab4475ca28755p-13, 0x1.a0a9c0d5f07p-13, 0x1.967772124bc95p-13, 0x1.8c9f6d01d5c4ep-13, 0x1.8322782ef6d65p-13, 0x1.7a0a355cfbfb6p-13, 0x1.7155b06a226a8p-13, 0x1.68f8a42ec8201p-13, 0x1.60e62a37e80d9p-13, 0x1.5916a5f0ae09fp-13, 0x1.518731795e21dp-13, 0x1.4a37d55f8a0d4p-13, 0x1.432b3899c015ep-13, 0x1.3c663b3359eecp-13, 0x1.35ed421bd291ep-13, 0x1.2fc0bbe629bccp-13, 0x1.29dab4741b7a6p-13, 0x1.242a89896ac1fp-13, 0x1.1e9af9bfbc8a8p-13, 0x1.192c35f1ba2e3p-13, 0x1.13f122cd889bfp-13, 0x1.0eeb13496325ap-13, 0x1.0a0d475067986p-13, 0x1.055a6487424e4p-13, 0x1.00db95ab9ceb7p-13, 0x1.f91b434d6f563p-14, 0x1.f0cc195dde016p-14, 0x1.e8bb0ed9dfd72p-14, 0x1.e0e3b7f7b7eaep-14, 0x1.d9465e6d00d7fp-14, 0x1.d1e34afb0fd7dp-14, 0x1.cab950c2b7357p-14, 0x1.c3c6f99d101c3p-14, 0x1.bd0ccc0491b9p-14, 0x1.b68dfdcd1461dp-14, 0x1.b04ddbc2ddd92p-14, 0x1.aa4e04d395ad9p-14, 0x1.a48c807dfef73p-14, 0x1.9ef5017e5ff11p-14, 0x1.996e2cac74e3ep-14, 0x1.9406ac6c1f6a7p-14, 0x1.8ec940ee9ec46p-14, 0x1.89a4fbce82d3bp-14, 0x1.84a337222ca3ap-14, 0x1.7fd14429bcd85p-14, 0x1.7b250c337e3dap-14, 0x1.769124811a1aap-14, 0x1.7210fbe42aebbp-14, 0x1.6da50e4fc5ee1p-14, 0x1.694e6ea6fe473p-14, 0x1.650d6ced4bd01p-14, 0x1.60e18a5f493a4p-14, 0x1.5cc994b74d42p-14, 0x1.58c3d62797388p-14, 0x1.54cea9bec8a12p-14, 0x1.50e97808aab3ep-14, 0x1.4d14dd3e18d3p-14, 0x1.4951305167398p-14, 0x1.45a030bfacb79p-14, 0x1.420689b4c9bd3p-14, 0x1.3e7a492f6af35p-14, 0x1.3aef1db22a4fap-14, 0x1.376b6588a8ep-14, 0x1.33e922e91b7eep-14, 0x1.3072b4d2ae73ep-14, 0x1.2d0e3893ba055p-14, 0x1.29b1e8aedfaf7p-14, 0x1.2658a39644498p-14, 0x1.2302d28bc64c7p-14, 0x1.1fb18b8c7125p-14, 0x1.1c652f0d71c3p-14, 0x1.191d9a342c11dp-14, 0x1.15da79c3633c5p-14, 0x1.129b74f172e95p-14, 0x1.0f60302909a67p-14, 0x1.0c2836c5b6e4fp-14, 0x1.08f2ea4df8ab3p-14, 0x1.05bfa86abcfaap-14, 0x1.028e22e2a3bbp-14, 0x1.febca0784370dp-15, 0x1.f85fb8d59da71p-15, 0x1.f2088adfd8b1dp-15, 0x1.ebc08df95e9cap-15, 0x1.e57dc1d4367b1p-15, 0x1.df32c6b71fe55p-15, 0x1.d8defe00a1c8fp-15, 0x1.d292440784485p-15, 0x1.cc4f9d17f5129p-15, 0x1.c60bad1e5ef25p-15, 0x1.bfc5457545705p-15, 0x1.b97e4ed40b8d3p-15, 0x1.b337c77423eefp-15, 0x1.acf1edb51dab2p-15, 0x1.a6acb96dfe149p-15, 0x1.a06811088b221p-15, 0x1.9a23e1c0600e2p-15, 0x1.93e02893415d9p-15, 0x1.8d9cf3ec8ada2p-15, 0x1.875a57b946c8dp-15, 0x1.811858307438dp-15, 0x1.7ad6dbe58e435p-15, 0x1.7495bbe7934c4p-15, 0x1.6e54f8a055bd6p-15, 0x1.6814bec0c64c4p-15, 0x1.61d5134bc978ap-15, 0x1.5b974d2860b6p-15, 0x1.555ed50849deap-15, 0x1.4f2821b439f5fp-15, 0x1.48ed84ab2532ep-15, 0x1.42b5e1c6b0032p-15, 0x1.3c837965bbb42p-15, 0x1.365202a2b4861p-15, 0x1.30220a49f2402p-15, 0x1.29f486c0ac512p-15, 0x1.23c9e7a976b11p-15, 0x1.1da26bac54cep-15, 0x1.177e47dc44709p-15, 0x1.115db15dc2d75p-15, 0x1.0b40df26056bfp-15, 0x1.052809dcd3ac9p-15, 0x1.fe26d9069d78fp-16, 0x1.f2068ab26f16cp-16, 0x1.e5efaaee66d5ap-16, 0x1.d9e2bbe6da69ap-16, 0x1.cde036fbb215cp-16, 0x1.c1e8872765b2ap-16, 0x1.b5fc0fac867a2p-16, 0x1.aa1b44b2cc149p-16, 0x1.9e46b4a55713bp-16, 0x1.927ed6b9d1483p-16, 0x1.86c4834424d2fp-16, 0x1.7b18fc47d05f4p-16, 0x1.6f7b17c27dedep-16, 0x1.63eb347000aa9p-16, 0x1.586bb1ee69addp-16, 0x1.4cfb8e8671449p-16, 0x1.419b137c8ae2dp-16, 0x1.364b1c2875ca5p-16, 0x1.2b0c318c27341p-16, 0x1.1fdec360baf1cp-16, 0x1.14c33d79d59dcp-16, 0x1.09ba0addc968fp-16, 0x1.fd872ae933631p-17, 0x1.e7c08b6cb8f16p-17, 0x1.d2210464c3cbdp-17, 0x1.bca95f2669df4p-17, 0x1.a75a616474fbep-17, 0x1.9234cdaefedccp-17, 0x1.7d3962eaa0d78p-17, 0x1.6868db786e8a2p-17, 0x1.53c3ea734169bp-17, 0x1.3f4b3af988c2dp-17, 0x1.2aff7211044dbp-17, 0x1.16e13450fb759p-17, 0x1.02f129d14bb61p-17, 0x1.de5fd8f0d71dp-18, 0x1.b73c108cb6d2p-18, 0x1.9078a314410a7p-18, 0x1.6a15a8becf1ebp-18, 0x1.441574d876d56p-18, 0x1.1e7849bd59e81p-18, 0x1.f27e1037c094cp-19, 0x1.a8d546863dec1p-19, 0x1.5ff8577e2dbd2p-19, 0x1.17e8feccd4e48p-19, 0x1.a151b7a7d06dep-20, 0x1.147315f4d4cb6p-20, 0x1.1271af15fade1p-21, -0x1.68a0480c5939dp-30, -0x1.10868d0f03b94p-21, -0x1.0e8007e18f0f3p-20, -0x1.930e17aaebb28p-20, -0x1.0af5a678fbae1p-19, -0x1.4b8ad2e752cfbp-19, -0x1.8b45a24b6f5b2p-19, -0x1.ca25355c945ecp-19, -0x1.04146463b102fp-18, -0x1.22a7cffa6e2a1p-18, -0x1.40cc8ed015703p-18, -0x1.5e82574d0cfd7p-18, -0x1.7bc8e227fea21p-18, -0x1.98a017bf86239p-18, -0x1.b507b45dda314p-18, -0x1.d0ff99e89ba64p-18, -0x1.ec87a927d0411p-18, -0x1.03cfda39279e4p-17, -0x1.1123ea2238346p-17, -0x1.1e4005d8bf4bep-17, -0x1.2b241b4f631a7p-17, -0x1.37d04ab75e2d7p-17, -0x1.444496d45207fp-17, -0x1.50810adda5c7bp-17, -0x1.5c85b9d3d94d9p-17, -0x1.6852ba92710f8p-17, -0x1.73e827607dfe2p-17, -0x1.7f461de616fecp-17, -0x1.8a6cbf4ed6dbfp-17, -0x1.955c304a6980bp-17, -0x1.a01498f156e25p-17, -0x1.aa9624b827692p-17, -0x1.b4e1025614856p-17, -0x1.bef563b415602p-17, -0x1.c8d37dbd00bep-17, -0x1.d27b882aa61a1p-17, -0x1.dbedbd5252504p-17, -0x1.e52a5a59b1cbap-17, -0x1.ee319fc50b3a4p-17, -0x1.f703d1a752fd2p-17, -0x1.ffa13701c8bd1p-17, -0x1.04050bd5165e8p-16, -0x1.081f5d5262fe8p-16, -0x1.0c1fb7731cca5p-16, -0x1.100650482d6bp-16, -0x1.13d33ae163adfp-16, -0x1.1786930281b0ap-16, -0x1.1b20ad31db236p-16, -0x1.1ea1b1e9bea1p-16, -0x1.2209ac589b613p-16, -0x1.2558dc7baad63p-16, -0x1.288f7a2f42582p-16, -0x1.2badae454a45ap-16, -0x1.2eb3ab69ef29ap-16, -0x1.31a19b222afc5p-16, -0x1.3477b92a810f8p-16, -0x1.373635ed3b5dcp-16, -0x1.39dd4521a96dp-16, -0x1.3c6d1a0ea36e3p-16, -0x1.3ee5ee204ec5bp-16, -0x1.4147f45d7f957p-16, -0x1.43936092d36d6p-16, -0x1.45c873a3a498cp-16, -0x1.47e75c561e118p-16, -0x1.49f0561b9d399p-16, -0x1.4be3997768c52p-16, -0x1.4dc15fbe851f9p-16, -0x1.4f89e2c1dfe61p-16, -0x1.513d5ca63e817p-16, -0x1.52dc0831e33c7p-16, -0x1.546620c8694c4p-16, -0x1.55dbe104ccd94p-16, -0x1.573d8204f345p-16, -0x1.588b41417c5a2p-16, -0x1.59c56efe4bf2p-16, -0x1.5aec21d8c2a4bp-16, -0x1.5bff9c9311ad8p-16, -0x1.5d00378787043p-16, -0x1.5dee1f37dc113p-16, -0x1.5ec994e99ddb6p-16, -0x1.5f92da0dd4263p-16, -0x1.604a0df3d8492p-16, -0x1.60ef90582e5cp-16, -0x1.618393f172cf2p-16, -0x1.6206546434da5p-16, -0x1.62780f862791p-16, -0x1.62d902fb32513p-16, -0x1.63296c39cac6p-16, -0x1.636988c19ae32p-16, -0x1.639995d2a7aadp-16, -0x1.63b9d0c4c913ep-16, -0x1.63ca76d7fb7b1p-16, -0x1.63cbc5227dd17p-16, -0x1.63bdf887cd9b3p-16, -0x1.63a14bd322125p-16, -0x1.637601babc7bap-16, -0x1.633c51a03cad5p-16, -0x1.62f477f41582dp-16, -0x1.629eb1fb810f4p-16, -0x1.623b3b65c9604p-16, -0x1.61ca50114d969p-16, -0x1.614c2b9b8fdf2p-16, -0x1.60c108e989716p-16, -0x1.6029219179594p-16, -0x1.5f84afcd9aab5p-16, -0x1.5ed3f7921de35p-16, -0x1.5e172a3556522p-16, -0x1.5d4e73e5f68c3p-16, -0x1.5c7a27c386711p-16, -0x1.5b9a72fb5b7c6p-16, -0x1.5aaf8e19eae6fp-16, -0x1.59b9b65b8b2fcp-16, -0x1.58b921c6c53c5p-16, -0x1.57aecdb49f752p-16, -0x1.569894b271488p-16, -0x1.5578f9c12f79bp-16, -0x1.544f8b948c08bp-16, -0x1.531c7220b78fdp-16, -0x1.51dfe2bf4cee6p-16, -0x1.509a115293fa4p-16, -0x1.4f4b3300f9577p-16, -0x1.4df37d627388fp-16, -0x1.4c9323d83e25ep-16, -0x1.4b2a5a07952a5p-16, -0x1.49b95316b4e7ep-16, -0x1.484041bb7b935p-16, -0x1.46bf58386640cp-16, -0x1.4536c8599c488p-16, }}, 
      {{0x1.78ecc3d900137p-3, 0x1.7cbb56fb29f8p-3, 0x1.8274b9d414dbap-3, 0x1.896b5076a7082p-3, 0x1.90ece7d9f81cep-3, 0x1.9853aeea12f7bp-3, 0x1.9f0f194f50d6bp-3, 0x1.a4a7a6d6a2eacp-3, 0x1.a8bf85ecf49d4p-3, 0x1.ab1150a313169p-3, 0x1.ab6dcc378490ep-3, 0x1.a9b9215fba87ep-3, 0x1.a5e7fb25fbff4p-3, 0x1.9ffcb7ea688c3p-3, 0x1.9804cab694933p-3, 0x1.8e166316b9ba3p-3, 0x1.824e56f431ea3p-3, 0x1.74ce55e6c5fd8p-3, 0x1.65bb614c13d5fp-3, 0x1.553c809555b5cp-3, 0x1.4379b2087d5e7p-3, 0x1.309b0ca62a518p-3, 0x1.1cc810aa554b3p-3, 0x1.08271d3291f0bp-3, 0x1.e5ba1166b5843p-4, 0x1.ba19a99c630e2p-4, 0x1.8daef3321c727p-4, 0x1.60b788c7545fp-4, 0x1.336c8c6bc4007p-4, 0x1.06029d1323f51p-4, 0x1.b153c08a46a98p-5, 0x1.571c35da6a8fap-5, 0x1.fb5b57668058fp-6, 0x1.4a9e28de2b77p-6, 0x1.38fe9f37069d7p-7, -0x1.d22bbb46ae5d3p-11, -0x1.6c63833cc0505p-7, -0x1.5a0c9350096e1p-6, -0x1.f9d879d3a32f8p-6, -0x1.4aab946c4c0f6p-5, -0x1.962a44942c757p-5, -0x1.df52f4a2f245cp-5, -0x1.130a4ce183fb8p-4, -0x1.35310b37b8526p-4, -0x1.5618f00f7192cp-4, -0x1.75bed575bf516p-4, -0x1.94210d3a1d445p-4, -0x1.b13f3b7943daap-4, -0x1.cd1a3368b4a7ap-4, -0x1.e7b3d69e23d4fp-4, -0x1.00877b70dfaa8p-3, -0x1.0c979d3325ca4p-3, -0x1.180c811330b3p-3, -0x1.22e8a918bb225p-3, -0x1.2d2edde4dbf31p-3, -0x1.36e224a04c432p-3, -0x1.4005b5bd26e9dp-3, -0x1.489cf490f274ap-3, -0x1.50ab67acfbd23p-3, -0x1.5834b1ee0f191p-3, -0x1.5f3c8c3371ee1p-3, -0x1.65c6bfaf13b15p-3, -0x1.6bd720c2fe691p-3, -0x1.71718a61d2361p-3, -0x1.7699d9e894aacp-3, -0x1.7b53eb6a147f4p-3, -0x1.7fa39662d3de5p-3, -0x1.838caace3bf39p-3, -0x1.8712ee9556b3p-3, -0x1.8a3a1b4fd0a08p-3, -0x1.8d05dc504ba16p-3, -0x1.8f79ccf52aa8p-3, -0x1.91997738afb1dp-3, -0x1.9368527843044p-3, -0x1.94e9c2733d61fp-3, -0x1.96211672c437cp-3, -0x1.971188a5093a2p-3, -0x1.97be3d9387568p-3, -0x1.982a43ca2016ep-3, -0x1.9858938ed9726p-3, -0x1.984c0ec01ac3p-3, -0x1.980780c8948cp-3, -0x1.978d9ea0b48dp-3, -0x1.96e106f632f0ep-3, -0x1.96044249a7bd3p-3, -0x1.94f9c336c516dp-3, -0x1.93c3e6b4042d2p-3, -0x1.9264f46576734p-3, -0x1.90df1f012bcf1p-3, -0x1.8f3484a8f3c0ap-3, -0x1.8d672f5fe1c8p-3, -0x1.8b791577bcf3ap-3, -0x1.896c1a0694fc7p-3, -0x1.87420d67545f7p-3, -0x1.84fcadadb8f0dp-3, -0x1.829da72d3166fp-3, -0x1.802694f4b8a1ap-3, -0x1.7d99014e8e7fep-3, -0x1.7af66644255aep-3, -0x1.78402e193d8b6p-3, -0x1.7577b3cdcccd2p-3, -0x1.729e439aa83b5p-3, -0x1.6fb51b6c6cd15p-3, -0x1.6cbd6b600f037p-3, -0x1.69b8563970b3fp-3, -0x1.66a6f1dab98cp-3, -0x1.638a47b91d62fp-3, -0x1.6063554f41f48p-3, -0x1.5d330c89e8858p-3, -0x1.59fa543910c95p-3, -0x1.56ba0877c33d9p-3, -0x1.5372fb14f5e07p-3, -0x1.5025f3f7c746p-3, -0x1.4cd3b181ff3cp-3, -0x1.497ce8efac8e3p-3, -0x1.462246b338cbcp-3, -0x1.42c46ecf4f412p-3, -0x1.3f63fd2dfa95bp-3, -0x1.3c0185f4d79ecp-3, -0x1.389d95d6227a9p-3, -0x1.3538b2602fedp-3, -0x1.31d35a4955b3cp-3, -0x1.2e6e05b92aea9p-3, -0x1.2b09269052995p-3, -0x1.27a528acbfc88p-3, -0x1.2442722bdbbdap-3, -0x1.20e163aa374cep-3, -0x1.1d825881d62a3p-3, -0x1.1a25a7045c748p-3, -0x1.16cba0b488d0bp-3, -0x1.1374927d8c474p-3, -0x1.1020c4e731db9p-3, -0x1.0cd07c484f35ep-3, -0x1.0983f8f85b28bp-3, -0x1.063b777dc0956p-3, -0x1.02f730ba59d85p-3, -0x1.ff6eb42ddbff5p-4, -0x1.f8f84b593e3f9p-4, -0x1.f28b84d7f534dp-4, -0x1.ec28b885dfd85p-4, -0x1.e5d03883040b5p-4, -0x1.df825179441aap-4, -0x1.d93f4add6f067p-4, -0x1.d307672dffef6p-4, -0x1.ccdae434caf0ap-4, -0x1.c6b9fb3a34949p-4, -0x1.c0a4e14326f28p-4, -0x1.ba9bc742985ecp-4, -0x1.b49eda4d2e2f3p-4, -0x1.aeae43c99a1d2p-4, -0x1.a8ca299f0cd3fp-4, -0x1.a2f2ae6159673p-4, -0x1.9d27f17b26ecfp-4, -0x1.976a0f54b4c52p-4, -0x1.91b9217d95fbep-4, -0x1.8c153ecdee194p-4, -0x1.867e7b8ab1897p-4, -0x1.80f4e986a3448p-4, -0x1.7b7898424033dp-4, -0x1.76099509ceb83p-4, -0x1.70a7eb11d938p-4, -0x1.6b53a3929fe9cp-4, -0x1.660cc5e24a9dfp-4, -0x1.60d3578dafc93p-4, -0x1.5ba75c6fc8067p-4, -0x1.5688d6c81f85bp-4, -0x1.5177c75040d3fp-4, -0x1.4c742d4ff89d8p-4, -0x1.477e06b097e3dp-4, -0x1.4295500f685f4p-4, -0x1.3dba04cf1cdd7p-4, -0x1.38ec1f283f5f2p-4, -0x1.342b9838df475p-4, -0x1.2f786813ca068p-4, -0x1.2ad285cea424ap-4, -0x1.2639e78e15882p-4, -0x1.21ae8299458cep-4, -0x1.1d304b58e1623p-4, -0x1.18bf356e83969p-4, -0x1.145b33bc2e1f5p-4, -0x1.1004386d7038p-4, -0x1.0bba3501a046fp-4, -0x1.077d1a5572266p-4, -0x1.034cd8ac6307dp-4, -0x1.fe52bf728fb77p-5, -0x1.f6253d4bb23a8p-5, -0x1.ee110833d1e49p-5, -0x1.e615fc85b579p-5, -0x1.de33f5b63b504p-5, -0x1.d66ace61c1ee4p-5, -0x1.ceba6057a18d4p-5, -0x1.c72284a4eeb3fp-5, -0x1.bfa3139fdc2d3p-5, -0x1.b83be4f3c8b3bp-5, -0x1.b0eccfabad704p-5, -0x1.a9b5aa3b3b0d6p-5, -0x1.a2964a879f2e7p-5, -0x1.9b8e85ee9d01bp-5, -0x1.949e3150b998dp-5, -0x1.8dc52119d9f8bp-5, -0x1.87032948f4b8p-5, -0x1.80581d7620ecfp-5, -0x1.79c3d0d8c5d3p-5, -0x1.7346164e33a4dp-5, -0x1.6cdec060d6eaep-5, -0x1.668da14f77c1ap-5, -0x1.60528b11f4e5p-5, -0x1.5a2d4f5debbc5p-5, -0x1.541dbfabdda81p-5, -0x1.4e23ad3c14ebdp-5, -0x1.483ee91c7e7b4p-5, -0x1.426f442ddb3dcp-5, -0x1.3cb48f27eeb7ap-5, -0x1.370e9a9cf4fb3p-5, -0x1.317d36fd3736cp-5, -0x1.2c00349b35704p-5, -0x1.269763b0391adp-5, -0x1.214294609010bp-5, -0x1.1c0196bf022ap-5, -0x1.16d43acf9c899p-5, -0x1.11ba508a8eda6p-5, -0x1.0cb3a7df3ebd6p-5, -0x1.07c010b7f38f2p-5, -0x1.02df5afd67171p-5, -0x1.fc22ad33b83dap-6, -0x1.f2aba6f746c12p-6, -0x1.e959432eac6f2p-6, -0x1.e02b21d48d97fp-6, -0x1.d720e2fa7c00bp-6, -0x1.ce3a26ceef4c8p-6, -0x1.c5768da2f1652p-6, -0x1.bcd5b7eef444ap-6, -0x1.b4574656e586bp-6, -0x1.abfad9ae0b173p-6, -0x1.a3c012fb1dccbp-6, -0x1.9ba6937cfa9abp-6, -0x1.93adfcaf7c938p-6, -0x1.8bd5f0502a958p-6, -0x1.841e10625299fp-6, -0x1.7c85ff3291f25p-6, -0x1.750d5f5a29727p-6, -0x1.6db3d3c27bd3bp-6, -0x1.6678ffa8dfd5p-6, -0x1.5f5c86a29eb02p-6, -0x1.585e0ca0ea1dp-6, -0x1.517d35f46d00bp-6, -0x1.4ab9a75081558p-6, -0x1.441305ce1ac7ap-6, -0x1.3d88f6eea9947p-6, -0x1.371b209f317c7p-6, -0x1.30c9293b84982p-6, -0x1.2a92b79193fdep-6, -0x1.247772e498ffap-6, -0x1.1e7702efab56p-6, -0x1.18910fe8c2f63p-6, -0x1.12c54282f5931p-6, -0x1.0d1343f0eb01fp-6, -0x1.077abde7698bdp-6, -0x1.01fb5a9fee35bp-6, -0x1.f92989b68fb0ep-7, -0x1.ee8d4fc826875p-7, -0x1.e4215f220f0b2p-7, -0x1.d9e5108e2e8d9p-7, -0x1.cfd7bdf6cfda8p-7, -0x1.c5f8c26a7f328p-7, -0x1.bc477a1ff5c07p-7, -0x1.b2c3427a09475p-7, -0x1.a96b7a0ba0098p-7, -0x1.a03f809b80184p-7, -0x1.973eb727d6dcbp-7, -0x1.8e687fe98df64p-7, -0x1.85bc3e573c2c9p-7, -0x1.7d395727e3b77p-7, -0x1.74df3054e5dcfp-7, -0x1.6cad312c0b22p-7, -0x1.64a2c21515b5cp-7, -0x1.5cbf4d0907d97p-7, -0x1.55023d1a9010dp-7, -0x1.4d6afebe71aadp-7, -0x1.45f8ffbad3435p-7, -0x1.3eabaf29d6c2fp-7, -0x1.37827d7b9be84p-7, -0x1.307cdc77e94fp-7, -0x1.299a3f3fb3f7bp-7, -0x1.22da1a4ec3625p-7, -0x1.1c3be37d2a2a9p-7, -0x1.15bf1200b0b6dp-7, -0x1.0f631e6e18a1cp-7, -0x1.092782ba21fp-7, -0x1.030bba3a4fd09p-7, -0x1.fa1e834aee5b3p-8, -0x1.ee632e2852255p-8, -0x1.e2e47402487fp-8, -0x1.d7a1569371096p-8, -0x1.cc98da5d48019p-8, -0x1.c1ca06a80aaafp-8, -0x1.b733e5849dfaep-8, -0x1.acd583cc525c5p-8, -0x1.a2adf120932f6p-8, -0x1.98bc3fe99fb64p-8, -0x1.8eff85550c472p-8, -0x1.8576d953e5326p-8, -0x1.7c2156993b36ap-8, -0x1.72fe1a99a446bp-8, -0x1.6a0c458b6b636p-8, -0x1.614afa668d3acp-8, -0x1.58b95ee3e7958p-8, -0x1.50569b7b73522p-8, -0x1.4821db61060acp-8, -0x1.401a4c80235a7p-8, -0x1.383f1f776a7d6p-8, -0x1.308f87948493ep-8, -0x1.290abad161d9ap-8, -0x1.21aff1d2ee5a4p-8, -0x1.1a7e67e8cdd2fp-8, -0x1.13755b0d15e45p-8, -0x1.0c940be2d8462p-8, -0x1.05d9bdb292845p-8, -0x1.fe8b6cc8d3e28p-9, -0x1.f1ae7cf1633bap-9, -0x1.e51b4200ae89bp-9, -0x1.d8d0572cec25p-9, -0x1.cccc5cb8f3a39p-9, -0x1.c10df7f163b3dp-9, -0x1.b593d32d59a26p-9, -0x1.aa5c9dceee535p-9, -0x1.9f670c3fde031p-9, -0x1.94b1d7e7af62bp-9, -0x1.8a3bbf1b426a8p-9, -0x1.800385080488ep-9, -0x1.7607f19f2b921p-9, -0x1.6c47d18596c41p-9, -0x1.62c1f60b576aep-9, -0x1.5975352a654cbp-9, -0x1.50606989dac38p-9, -0x1.4782728009da1p-9, -0x1.3eda340e6a46bp-9, -0x1.366696d3940cep-9, -0x1.2e2687f47cf4ep-9, -0x1.2618f9006afe9p-9, -0x1.1e3cdfd5cb62bp-9, -0x1.16913691be049p-9, -0x1.0f14fb8981aa2p-9, -0x1.07c7314fb83f4p-9, -0x1.00a6dec0a0d68p-9, -0x1.f3661e16a3992p-10, -0x1.e5d5a35fbfce3p-10, -0x1.d89a74dad4d16p-10, -0x1.cbb2c23fbcfecp-10, -0x1.bf1cc32868007p-10, -0x1.b2d6b6bca533ep-10, -0x1.a6dee37717547p-10, -0x1.9b339715cfd58p-10, -0x1.8fd326b6966b7p-10, -0x1.84bbef12f6156p-10, -0x1.79ec54c1ddcacp-10, -0x1.6f62c4611ad82p-10, -0x1.651db28f2f7c3p-10, -0x1.5b1b9baa43782p-10, -0x1.515b035c487a9p-10, -0x1.47da740e3c335p-10, -0x1.3e987e64537a2p-10, -0x1.3593b8e61e341p-10, -0x1.2ccabfed6b93ap-10, -0x1.243c35ddadaep-10, -0x1.1be6c3904c653p-10, -0x1.13c918d00526bp-10, -0x1.0be1ecb6a4f8ep-10, -0x1.042ffdc90ed3dp-10, -0x1.f964238e2393p-11, -0x1.eacdea55e573fp-11, -0x1.dc9af4f0f268bp-11, -0x1.cec8f37722771p-11, -0x1.c1559f87167afp-11, -0x1.b43ebbd1c7804p-11, -0x1.a78214109f022p-11, -0x1.9b1d7da2e4f4cp-11, -0x1.8f0ed8affedcp-11, -0x1.83541135396c3p-11, -0x1.77eb202c3b899p-11, -0x1.6cd20c38e11b6p-11, -0x1.6206e59e71f01p-11, -0x1.5787cc3581bb3p-11, -0x1.4d52e728b693ep-11, -0x1.436667b9f7309p-11, -0x1.39c087aea1ce9p-11, -0x1.305f88cccfebap-11, -0x1.2741b4898e29fp-11, -0x1.1e655bfb44284p-11, -0x1.15c8d83b36d53p-11, -0x1.0d6a8b389fcddp-11, -0x1.0548e0b1ddf3bp-11, -0x1.fac49d937c983p-12, -0x1.eb6aab9c25e8p-12, -0x1.dc80fe68b19d4p-12, -0x1.ce04b8b114687p-12, -0x1.bff30b6b8d435p-12, -0x1.b24935e60ad65p-12, -0x1.a50487072572bp-12, -0x1.98225e607af5cp-12, -0x1.8ba02c08802c1p-12, -0x1.7f7b6f45f9172p-12, -0x1.73b1b50c65393p-12, -0x1.6840976898d29p-12, -0x1.5d25be283ba71p-12, -0x1.525edfdb1ab1ep-12, -0x1.47e9c1c40ce7ap-12, -0x1.3dc435f839d99p-12, -0x1.33ec186d683dap-12, -0x1.2a5f4ccb606eap-12, -0x1.211bbe9e7d1e2p-12, -0x1.181f64074f953p-12, -0x1.0f684160f82f6p-12, -0x1.06f46bc7ea7e5p-12, -0x1.fd8412ecac7ddp-13, -0x1.ed9e9fe5118d9p-13, -0x1.de35056f48f37p-13, -0x1.cf43e2d5ecfa2p-13, -0x1.c0c7f08d8d8b7p-13, -0x1.b2bdfda5db99fp-13, -0x1.a522e816faffap-13, -0x1.97f39be7e15cp-13, -0x1.8b2d0de23e1aap-13, -0x1.7ecc38bdfab41p-13, -0x1.72ce1ea8763bdp-13, -0x1.672fcd1162098p-13, -0x1.5bee6186a5bdep-13, -0x1.51070e30e1a9bp-13, -0x1.46771ca2454ap-13, -0x1.3c3bef72fcc56p-13, -0x1.32530490e3e41p-13, -0x1.28b9f937aa7b7p-13, -0x1.1f6e8ccb95a6fp-13, -0x1.166e9d52ca93p-13, -0x1.0db81b8a6d6eap-13, -0x1.0548fbc1d72b8p-13, -0x1.fa3e59b8662ep-14, -0x1.ea71356d453a3p-14, -0x1.db266f303a9d9p-14, -0x1.cc5a05c5e3958p-14, -0x1.be080f2045d65p-14, -0x1.b02cabfa743bap-14, -0x1.a2c400819fa4bp-14, -0x1.95ca384effe5p-14, -0x1.893b91d7c1869p-14, -0x1.7d146dba9ace3p-14, -0x1.7151635f979e3p-14, -0x1.65ef5798b8b37p-14, -0x1.5aeb85ae074a4p-14, -0x1.504368b93417ap-14, -0x1.45f48a32024ddp-14, -0x1.3bfc557b5539dp-14, -0x1.325811b4897d1p-14, -0x1.2904fd6567d0fp-14, -0x1.20007abcfc781p-14, -0x1.174816dc25782p-14, -0x1.0ed976f38c817p-14, -0x1.06b23b9fae718p-14, -0x1.fd9fdf20078e9p-15, -0x1.ee601a18b4105p-15, -0x1.dfa0236f37a9fp-15, -0x1.d15b2247548c1p-15, -0x1.c38c83111b65ep-15, -0x1.b6301632a1016p-15, -0x1.a942334e5b9cbp-15, -0x1.9cbfb6fba2149p-15, -0x1.90a5bd66f057ep-15, -0x1.84f144404b9f2p-15, -0x1.799f0186a42dbp-15, -0x1.6eab8e0513e35p-15, -0x1.6413a586dbed2p-15, -0x1.59d4443acfc73p-15, -0x1.4fea9968ae33cp-15, -0x1.4653e65b0465ep-15, -0x1.3d0d5f296c23dp-15, -0x1.3414181925e5ap-15, -0x1.2b650eb11182ep-15, -0x1.22fd4d526e71fp-15, -0x1.1ada0bf265f3cp-15, -0x1.12f8b2880ed4fp-15, -0x1.0b56ccdb863e8p-15, -0x1.03f1fc6746895p-15, -0x1.f99048343cabp-16, -0x1.ebaec6dc14dbcp-16, -0x1.de3bc9c47a8d9p-16, -0x1.d133a17a16fbcp-16, -0x1.c492ac576d2e1p-16, -0x1.b855777a07b53p-16, -0x1.ac78a803914a5p-16, -0x1.a0f8e0c47c63fp-16, -0x1.95d2cf2b65914p-16, -0x1.8b03351466c62p-16, -0x1.8086e129d3378p-16, -0x1.765aa90ec59d9p-16, -0x1.6c7b700b53b9fp-16, -0x1.62e638c1bffb7p-16, -0x1.599842d074bd4p-16, -0x1.508f15d49b154p-16, -0x1.47c853fcbf202p-16, -0x1.3f417246e20a2p-16, -0x1.36f7b3facaf0cp-16, -0x1.2ee872a209466p-16, -0x1.27114e67d5644p-16, -0x1.1f703cc20e0efp-16, -0x1.180399e2cdde6p-16, -0x1.10c9f79f247f7p-16, -0x1.09c1b980d539fp-16, -0x1.02e906b7341ap-16, -0x1.f87c096d79eacp-17, -0x1.eb7dda13cb326p-17, -0x1.ded3dda24e15p-17, -0x1.d27adeb338657p-17, -0x1.c66fd96075e8p-17, -0x1.bab02ec1f6be2p-17, -0x1.af39455645efep-17, -0x1.a408814ea42f2p-17, -0x1.991b9e250548p-17, -0x1.8e709865c477fp-17, -0x1.84054afa73913p-17, -0x1.79d700db5b5bdp-17, -0x1.6fe2a95557f43p-17, -0x1.662563db23aebp-17, -0x1.5c9cd90621afbp-17, -0x1.53479b344b2cep-17, -0x1.4a24cce32a8acp-17, -0x1.4133157699a63p-17, -0x1.387098b8a09c1p-17, -0x1.2fdb9bef3bbe3p-17, -0x1.27727f68b28ccp-17, -0x1.1f338fb2dde06p-17, -0x1.171d305752058p-17, -0x1.0f2e02907e74p-17, -0x1.0764e036f6cecp-17, -0x1.ff8180402256ap-18, -0x1.f08131632122fp-18, -0x1.e1c6a7d00bac7p-18, -0x1.d34fc1cefbdfep-18, -0x1.c51aa6bf1baffp-18, -0x1.b725c444af1e2p-18, -0x1.a96f4e71f446ep-18, -0x1.9bf4d1c89abe7p-18, -0x1.8eb3a12a9f5b8p-18, -0x1.81a96e337341dp-18, -0x1.74d4b12cab62bp-18, -0x1.6834e74a19f93p-18, -0x1.5bc92d54464acp-18, -0x1.4f8fcfd755abep-18, -0x1.438786f9252b1p-18, -0x1.37af31422bff9p-18, -0x1.2c0575286ef5fp-18, -0x1.208907c8f9b3p-18, -0x1.1538e13ae19abp-18, -0x1.0a141231dd768p-18, -0x1.fe338559c0135p-19, -0x1.e89256fa6d9c1p-19, -0x1.d3431a61522acp-19, -0x1.be4448262a33bp-19, -0x1.a99446fa82c2bp-19, -0x1.9531863afa352p-19, -0x1.811abbbde0c88p-19, -0x1.6d4eec571aedcp-19, -0x1.59ccdc8ca8827p-19, -0x1.4692c4987cbe6p-19, -0x1.339f274a9ff68p-19, -0x1.20f0d5cc5ca16p-19, -0x1.0e86d81d373dep-19, -0x1.f8c13aa2f1a73p-20, -0x1.d4f9c14d920f2p-20, -0x1.b1b6184537af1p-20, -0x1.8ef504795b3ccp-20, -0x1.6cb47992cdde7p-20, -0x1.4af2ded7301b7p-20, -0x1.29aef4c2803a7p-20, -0x1.08e78306a036dp-20, -0x1.d1369ae0e01b7p-21, -0x1.9192468ab0586p-21, -0x1.52dfd69bd123p-21, -0x1.151d51599008bp-21, -0x1.b091c8f7dc61ap-22, -0x1.38c1353523199p-22, -0x1.8589bca067ee9p-23, -0x1.3a6219a5d0578p-24, 0x1.1e39af55940ffp-25, 0x1.28b9a90e854b2p-23, 0x1.032b8aba24b71p-22, 0x1.70370e919fb5p-22, 0x1.db8107a19697ap-22, 0x1.2286825543cadp-21, 0x1.566fff7d78b38p-21, 0x1.897e9d600f0bcp-21, 0x1.bbb292fc7bf8ep-21, 0x1.ed0d3261c7f5dp-21, 0x1.0ec799c4fc805p-20, 0x1.269d3de8953d6p-20, 0x1.3e081b55b786cp-20, 0x1.5508a228139fap-20, 0x1.6b9f58ff7c435p-20, 0x1.81ccbdc5dbc66p-20, 0x1.979185999522cp-20, 0x1.acee33db32852p-20, 0x1.c1e3502345f8ep-20, 0x1.d6715c26ffcafp-20, 0x1.ea98d8574019p-20, 0x1.fe5a4cc59d15fp-20, 0x1.08db2696271fdp-19, 0x1.1256b93db5af2p-19, 0x1.1ba0255cb08e6p-19, 0x1.24b7a84d2331fp-19, 0x1.2d9d80a8d6724p-19, 0x1.3651efcd6867cp-19, 0x1.3ed5308bde205p-19, 0x1.4727a03a99d97p-19, 0x1.4f49aa356b3dfp-19, 0x1.573b763e9811ap-19, 0x1.5efd3e5f7e116p-19, 0x1.668f5e988a264p-19, 0x1.6df21ff2be116p-19, 0x1.7525c9d16ca7ap-19, 0x1.7c2aa86fa0e74p-19, 0x1.83010910e8587p-19, 0x1.89a938552a3a2p-19, 0x1.90238885d3f53p-19, 0x1.96704979ac429p-19, 0x1.9c8fcd27a153bp-19, 0x1.a282664cdf3a1p-19, 0x1.a848680a73856p-19, 0x1.ade225f97120fp-19, 0x1.b34ff4c8ca39fp-19, 0x1.b8922b2d64c35p-19, 0x1.bda921c7ee41fp-19, 0x1.c295367a5e05dp-19, 0x1.c756baed43b02p-19, 0x1.cbee1079c8116p-19, 0x1.d05b8cf511aa3p-19, 0x1.d49f8c37435a9p-19, 0x1.d8ba6d1b10e1p-19, 0x1.dcac91df50526p-19, 0x1.e076b14951c9ap-19, 0x1.e418282c21b4ep-19, 0x1.e79258e9bb4bdp-19, 0x1.eae54fe0b0261p-19, 0x1.ee116f593ecc6p-19, 0x1.f1171b92a8bc5p-19, 0x1.f3f6b94cbc713p-19, 0x1.f6b0add76395p-19, 0x1.f9455f677d322p-19, 0x1.fbb534abc81bfp-19, 0x1.fe0095714f855p-19, 0x1.0013f4f25dp-18, 0x1.0115cd717bbfep-18, 0x1.020608f34cb01p-18, 0x1.02e4dc36b0a0dp-18, 0x1.03b27cc84ba34p-18, 0x1.046f1fc48180ep-18, 0x1.051afafeff9cbp-18, 0x1.05b6447521a35p-18, 0x1.0641325930f77p-18, 0x1.06bbfaea3f8cep-18, 0x1.0726d44636f51p-18, 0x1.0781fb1f77a99p-18, 0x1.07cd90c9f85cbp-18, 0x1.0809f36732de8p-18, 0x1.08372af2f927dp-18, 0x1.0855902b30e51p-18, 0x1.0865513737773p-18, 0x1.0866a333c4879p-18, 0x1.0859bddd9c2c1p-18, 0x1.083ed89c5c312p-18, 0x1.08162c29db149p-18, 0x1.07dfef147895dp-18, 0x1.079c5155c199ep-18, 0x1.074b94699a734p-18, 0x1.06edebcc89dcp-18, 0x1.06838e8a378bep-18, 0x1.060cb34550573p-18, 0x1.05899076b3f13p-18, 0x1.04fa5d3e7eed2p-18, 0x1.045f509307a85p-18, 0x1.03b8a0ff5e7c3p-18, 0x1.030683ec2b0ecp-18, 0x1.024932067c73bp-18, 0x1.0180df4375358p-18, 0x1.00adc2e2f6096p-18, 0x1.ffa01745264a6p-19, 0x1.fdcfb77e56dd1p-19, 0x1.fbeb54335ab78p-19, 0x1.f9f30a2e76c03p-19, 0x1.f7e719df50b04p-19, 0x1.f5c80ebb7b98ap-19, 0x1.f396555370589p-19, 0x1.f15251e4fc08dp-19, 0x1.eefc6d5f32016p-19, 0x1.ec950cf5a08d7p-19, 0x1.ea1c969adbb63p-19, 0x1.e7936f74cd005p-19, 0x1.e4f9fc02d2534p-19, 0x1.e250a03898d88p-19, 0x1.df97bfa0e46aep-19, 0x1.dccfbce02c868p-19, 0x1.d9f8f97e3d0ffp-19, 0x1.d713d66fa7301p-19, 0x1.d420b4180cbdbp-19, 0x1.d11ff2167bb0fp-19, 0x1.ce11ef3ab9a45p-19, 0x1.caf7098485998p-19, 0x1.c7cf9e2972c58p-19, 0x1.c49c09897fa38p-19, 0x1.c15ca72d752dp-19, 0x1.be11d1c1b3cd5p-19, 0x1.babbe318fec51p-19, 0x1.b75b34302737fp-19, 0x1.b3f01d2deabdap-19, 0x1.b07af554dabcdp-19, 0x1.acfc12f596354p-19, 0x1.a973cc50373c1p-19, 0x1.a5e27434e97c3p-19, 0x1.a2485f8a64ea6p-19, 0x1.9ea5e0f9eb602p-19, 0x1.9afb49b0c3d82p-19, 0x1.9748eb51cef6fp-19, 0x1.938f1595d627bp-19, 0x1.8fce170e12e6dp-19, 0x1.8c063db08f521p-19, 0x1.8837d6122a93fp-19, 0x1.846330b707f4dp-19, 0x1.8088a39116db5p-19, 0x1.7ca84a6a5e67ap-19, 0x1.78c29ffcfd457p-19, 0x1.74d7dcaf9b33p-19, 0x1.70e845fedbfb4p-19, 0x1.6cf411c9f6ca1p-19, 0x1.68fbb41c22df5p-19, 0x1.64ff4d2862e85p-19, 0x1.60ff13a8f5d3ap-19, 0x1.5cfb7ac20a01cp-19, 0x1.58f498c85a43dp-19, 0x1.54eabcfd5a7b6p-19, 0x1.50de25cbd5583p-19, 0x1.4ccf13046e604p-19, 0x1.48bdc3eb75cb8p-19, 0x1.44aa74300ebe8p-19, 0x1.40955e82bf5f6p-19, 0x1.3c7ebe1359bb5p-19, 0x1.3866cd154c6c4p-19, 0x1.344dc47fe9557p-19, 0x1.3033dc61e5f4dp-19, 0x1.2c194c064709bp-19, 0x1.27fe494240ce1p-19, 0x1.23e30944c4814p-19, 0x1.1fc7c0858ccfp-19, 0x1.1baca24702dbp-19, 0x1.1791e102ead3bp-19, 0x1.1377ae4432047p-19, 0x1.0f5e3a50b46c7p-19, 0x1.0b45b536e2c46p-19, 0x1.072e4da30e661p-19, 0x1.03183173dc791p-19, 0x1.fe071b53e8acfp-20, 0x1.f5e11cc1c188p-20, 0x1.edbebdb96a9c6p-20, 0x1.e5a0527b80aa8p-20, 0x1.dd862e44404afp-20, 0x1.d570a27d703dep-20, 0x1.cd5fff2f4a505p-20, 0x1.c55491d5f0318p-20, 0x1.bd4ea3d5b3b1ep-20, 0x1.b54e29f95fc05p-20, 0x1.ad546bd374efcp-20, 0x1.a560d3d5599ep-20, 0x1.9d73c668e4bb9p-20, 0x1.958da2c40cd42p-20, 0x1.8daea7223a20cp-20, 0x1.85d714d7f38ddp-20, 0x1.7e072b16c641p-20, 0x1.763f276be899bp-20, 0x1.6e7f4664a6336p-20, 0x1.66c7c97ce4d15p-20, 0x1.5f18d60700819p-20, 0x1.5772b6b8c0a43p-20, 0x1.4fd59b27cd2aap-20, 0x1.4841b8b180c2fp-20, 0x1.40b74291dc89p-20, 0x1.39366dff5b262p-20, 0x1.31bf9be128f92p-20, 0x1.2a534473ef8ecp-20, 0x1.2300ff211519bp-20, 0x1.1b97fdcc146f2p-20, 0x1.14490821efd42p-20, 0x1.0d058cc5fcb14p-20, 0x1.05ccff1abe8f5p-20, 0x1.fd3eeb893e023p-21, 0x1.eefa130ca8213p-21, 0x1.e0cbbf1ac0b92p-21, 0x1.d2b4461a46beep-21, 0x1.c4b3e252acf53p-21, 0x1.b6cad600d180ep-21, 0x1.a8f96041d3e0ep-21, 0x1.9b3fbdee8f682p-21, 0x1.8d9e298c5a11p-21, 0x1.8014db58ee322p-21, }}, 
      {{-0x1.425331399bc51p-6, -0x1.383439c45079ap-4, -0x1.4f75c713b764ap-3, -0x1.19d8820bd4cd4p-2, -0x1.9cf39c3f001b5p-2, -0x1.15149d918e94dp-1, -0x1.5dbca17090b4bp-1, -0x1.a5f165dec81ffp-1, -0x1.ebb0772212109p-1, -0x1.16b5eb7d8e348p+0, -0x1.34fe772c349c2p+0, -0x1.504b40ff0a26dp+0, -0x1.685b7da7df32ep+0, -0x1.7d0dcc4cd17bep+0, -0x1.8e5a5fb03e97dp+0, -0x1.9c4dc5536333ap+0, -0x1.a7044f8d7668ap+0, -0x1.aea6202e57b8dp+0, -0x1.b363cb6c3502fp+0, -0x1.b573875892f91p+0, -0x1.b50eda77a5b73p+0, -0x1.b270bb777dfb8p+0, -0x1.add414058169fp+0, -0x1.a772998825aa7p+0, -0x1.9f83eef9d4c8ap+0, -0x1.963d043b2b8a8p+0, -0x1.8bcfa8d92b6bap+0, -0x1.806a47ef54bdep+0, -0x1.7437c619b35d4p+0, -0x1.675f7911254cbp+0, -0x1.5a0533c2a5a6cp+0, -0x1.4c4960fda4408p+0, -0x1.3e4928ccf334fp+0, -0x1.301e9cb52365bp+0, -0x1.21e0e83bdfa53p+0, -0x1.13a483771d119p+0, -0x1.057b660d99a75p+0, -0x1.eeea733eb9842p-1, -0x1.d33f15c164108p-1, -0x1.b80bf1a72c6ccp-1, -0x1.9d64c38b9c4e5p-1, -0x1.835a1beb07e0bp-1, -0x1.69f9af87bf2aap-1, -0x1.514ea28551cc9p-1, -0x1.3961cdda5b202p-1, -0x1.2239ff0bd219p-1, -0x1.0bdc3273e61d2p-1, -0x1.ec9790e020d23p-2, -0x1.c3156b8fd3e45p-2, -0x1.9b335f301e393p-2, -0x1.74f0a62c64f4cp-2, -0x1.504a93211aceep-2, -0x1.2d3cd21871271p-2, -0x1.0bc1a3b215f92p-2, -0x1.d7a4257ae0e91p-3, -0x1.9acc49568bcc7p-3, -0x1.60ea0a63f2372p-3, -0x1.29ea5ae55e09fp-3, -0x1.eb721bc16043ap-4, -0x1.88822b13c0122p-4, -0x1.2ad974ff4a01fp-4, -0x1.a497341c9ddd2p-5, -0x1.faae814e27898p-6, -0x1.7e62000fc7bb7p-7, 0x1.a7fda23754f64p-8, 0x1.819749faea8a4p-6, 0x1.4424d889b1e6cp-5, 0x1.bf63bcc3c1cc9p-5, 0x1.196fae6f764bfp-4, 0x1.4f769193b5e3dp-4, 0x1.81f0530842b78p-4, 0x1.b105bd37189p-4, 0x1.dcde8b83e4cb4p-4, 0x1.02d0aba7023a4p-3, 0x1.15b9cacbfed61p-3, 0x1.273cc23c2828ep-3, 0x1.376b19a669e3dp-3, 0x1.4655b8e6fe354p-3, 0x1.540cedd55d241p-3, 0x1.60a0688e94dd7p-3, 0x1.6c1f3d42e9375p-3, 0x1.7697e94127bbfp-3, 0x1.80184e71a1c99p-3, 0x1.88adbead2aa34p-3, 0x1.9064f6f2428acp-3, 0x1.974a2790d74d5p-3, 0x1.9d68f7b33e673p-3, 0x1.a2cc852114c34p-3, 0x1.a77f6ec8b8ba3p-3, 0x1.ab8bd2cde4f2ep-3, 0x1.aefb5649c57fep-3, 0x1.b1d729806ca2fp-3, 0x1.b42809ba201a5p-3, 0x1.b5f648c5096abp-3, 0x1.b749cefefd94ap-3, 0x1.b82a20167039ap-3, 0x1.b89e60022e5c8p-3, 0x1.b8ad55e25aa95p-3, 0x1.b85d70b2603a2p-3, 0x1.b7b4cb3a6fcd5p-3, 0x1.b6b92f3fa0177p-3, 0x1.b57019bfb25f1p-3, 0x1.b3debe4d26c44p-3, 0x1.b20a0a2b84d4ep-3, 0x1.aff6a827649d2p-3, 0x1.ada903536197ap-3, 0x1.ab254a1bfc9bfp-3, 0x1.a86f7196c7755p-3, 0x1.a58b37c5a16c3p-3, 0x1.a27c2696e1209p-3, 0x1.9f45969d31a77p-3, 0x1.9beab1045148ap-3, 0x1.986e725f7d3ebp-3, 0x1.94d3ace1aa38fp-3, 0x1.911d0a143fe94p-3, 0x1.8d4d0d605f81fp-3, 0x1.896615ecde28dp-3, 0x1.856a6014b7076p-3, 0x1.815c07a3da143p-3, 0x1.7d3d097f3589dp-3, 0x1.790f44d68786ap-3, 0x1.74d47d0d8179p-3, 0x1.708e5b4bdcf3p-3, 0x1.6c3e6f728bb4ap-3, 0x1.67e631a252897p-3, 0x1.638703c2ed5dcp-3, 0x1.5f22325955712p-3, 0x1.5ab8f59da6608p-3, 0x1.564c72ea95b9ep-3, 0x1.51ddbda0e0531p-3, 0x1.4d6dd7d9e29f2p-3, 0x1.48fdb39089652p-3, 0x1.448e33a89c74p-3, 0x1.40202c7ac0f47p-3, 0x1.3bb4648edcb1fp-3, 0x1.374b95a09a155p-3, 0x1.32e66d4cbdcafp-3, 0x1.2e858d7ba9c52p-3, 0x1.2a298d162c091p-3, 0x1.25d2f8d4ee74bp-3, 0x1.218253b657803p-3, 0x1.1d381758bbfccp-3, 0x1.18f4b4992958p-3, 0x1.14b8943571be5p-3, 0x1.108417243736dp-3, 0x1.0c5796e006233p-3, 0x1.083365e848fc9p-3, 0x1.0417d0430ac56p-3, 0x1.00051bc677a3ap-3, 0x1.f7f710a7880a8p-4, 0x1.eff6a0719d72bp-4, 0x1.e80951355b3eap-4, 0x1.e02f8372b8646p-4, 0x1.d8698e3ade6efp-4, 0x1.d0b7bfb75e1fp-4, 0x1.c91a5dd64ccdfp-4, 0x1.c191a6cdf0d17p-4, 0x1.ba1dd16c3ad88p-4, 0x1.b2bf0d6bfa787p-4, 0x1.ab7583f3962a9p-4, 0x1.a441581220988p-4, 0x1.9d22a71177457p-4, 0x1.961988aef0c44p-4, 0x1.8f260f69d5962p-4, 0x1.884848ebd2b47p-4, 0x1.81803e60fb59cp-4, 0x1.7acdf4ad558bp-4, 0x1.74316c98fa8fap-4, 0x1.6daaa3142232fp-4, 0x1.67399188bf6c2p-4, 0x1.60de2e1835457p-4, 0x1.5a986bc0559d3p-4, 0x1.54683a7f20f43p-4, 0x1.4e4d878a482a5p-4, 0x1.48483d8cc86aep-4, 0x1.425844d30f837p-4, 0x1.3c7d8366848d9p-4, 0x1.36b7dd2b316c2p-4, 0x1.31073409a9a18p-4, 0x1.2b6b681cb4ab6p-4, 0x1.25e457d2008c9p-4, 0x1.2071e00096936p-4, 0x1.1b13dc00628ffp-4, 0x1.15ca25c9143adp-4, 0x1.10949613146b6p-4, 0x1.0b7304705e406p-4, 0x1.0665475ed0528p-4, 0x1.016b345b7eec4p-4, 0x1.f9093ff285b3ap-5, 0x1.ef62bbeff7527p-5, 0x1.e5e282aeee8d7p-5, 0x1.dc8838cb94b6p-5, 0x1.d353819d41c76p-5, 0x1.ca43ff59fac35p-5, 0x1.c159533841679p-5, 0x1.b8931d8adc591p-5, 0x1.aff0fdd66b16p-5, 0x1.a77292e70fb8dp-5, 0x1.9f177aebeac9dp-5, 0x1.96df53937a00ep-5, 0x1.8ec9ba214ad4ap-5, 0x1.86d64b7db6bc2p-5, 0x1.7f04a443927dfp-5, 0x1.775460d1eb6f6p-5, 0x1.6fc51d62a3a2cp-5, 0x1.6856761fba344p-5, 0x1.6108073142b95p-5, 0x1.59d96cc615f64p-5, 0x1.52ca431cfdb85p-5, 0x1.4bda26921716ep-5, 0x1.4508b3b005c65p-5, 0x1.3e5587402a175p-5, 0x1.37c03e54be2ebp-5, 0x1.3148764df3952p-5, 0x1.2aedccdf40a11p-5, 0x1.24afe018491d6p-5, 0x1.1e8e4e7120bb7p-5, 0x1.1888b6d6a356p-5, 0x1.129eb8b30e133p-5, 0x1.0ccff3f1ff9c7p-5, 0x1.071c0902eb74bp-5, 0x1.018298ddcc926p-5, 0x1.f8068a15c69e5p-6, 0x1.ed3b5f576e134p-6, 0x1.e2a2f70521c1fp-6, 0x1.d83c97ed96e1dp-6, 0x1.ce078a2cfe06ap-6, 0x1.c40317301ce2ep-6, 0x1.ba2e89bb7f204p-6, 0x1.b0892df6ad6b7p-6, 0x1.a712517809dd2p-6, 0x1.9dc9434daa8ddp-6, 0x1.94ad5401fed17p-6, 0x1.8bbdd59d550ebp-6, 0x1.82fa1ba76367cp-6, 0x1.7a617b2b77715p-6, 0x1.71f34abf6a871p-6, 0x1.69aee28b0602ap-6, 0x1.61939c4d829bdp-6, 0x1.59a0d36033b05p-6, 0x1.51d5e4b71bbdep-6, 0x1.4a322ee11533p-6, 0x1.42b5120948172p-6, 0x1.3b5deffa620f7p-6, 0x1.342c2c22d1584p-6, 0x1.2d1f2b980f15ap-6, 0x1.263655184bdedp-6, 0x1.1f71110a6fbe4p-6, 0x1.18cec97d503c9p-6, 0x1.124eea274786ap-6, 0x1.0bf0e066985a8p-6, 0x1.05b41b42cddfp-6, 0x1.ff3016dc58bedp-7, 0x1.f338468df9767p-7, 0x1.e77fadadc7073p-7, 0x1.dc0537a35116cp-7, 0x1.d0c7d32794c92p-7, 0x1.c5c672424c8bcp-7, 0x1.bb000a485d933p-7, 0x1.b07393db31c91p-7, 0x1.a6200ae844649p-7, 0x1.9c046ea7b567cp-7, 0x1.921fc199cc154p-7, 0x1.8871098321ff4p-7, 0x1.7ef74f683a50fp-7, 0x1.75b19f894ffa8p-7, 0x1.6c9f095e89323p-7, 0x1.63be9f94ddb1fp-7, 0x1.5b0f780b03fe7p-7, 0x1.5290abce24fa4p-7, 0x1.4a415715f1d8dp-7, 0x1.4220993ffba69p-7, 0x1.3a2d94ca6139fp-7, 0x1.32676f4e6c659p-7, 0x1.2acd517abe4afp-7, 0x1.235e67101388fp-7, 0x1.1c19ded90e2ddp-7, 0x1.14feeaa90450cp-7, 0x1.0e0cbf55019b5p-7, 0x1.074294aeff272p-7, 0x1.009fa58023a8ep-7, 0x1.f4465f052a881p-8, 0x1.e798e6b61db6cp-8, 0x1.db356924fb143p-8, 0x1.cf1a731fb8a4ap-8, 0x1.c34697248ccccp-8, 0x1.b7b86d56960fcp-8, 0x1.ac6e93725f557p-8, 0x1.a167acc21f3b1p-8, 0x1.96a2621117558p-8, 0x1.8c1d619db4428p-8, 0x1.81d75f0afafd9p-8, 0x1.77cf135185e56p-8, 0x1.6e033cb14c6b1p-8, 0x1.64729ea49205dp-8, 0x1.5b1c01d3feab1p-8, 0x1.51fe340bfa213p-8, 0x1.491808314bdbap-8, 0x1.40685634ace79p-8, 0x1.37edfb03ff7e1p-8, 0x1.2fa7d87910ec4p-8, 0x1.2794d5479d7dbp-8, 0x1.1fb3dceba91f9p-8, 0x1.1803df9aa45e6p-8, 0x1.1083d2382236dp-8, 0x1.0932ae4dbf056p-8, 0x1.020f7204369c3p-8, 0x1.f6324035af06bp-9, 0x1.e89d7fb4cba3cp-9, 0x1.db5eba0502eeep-9, 0x1.ce740f649fdbap-9, 0x1.c1dba89ecd4e5p-9, 0x1.b593b6e027d87p-9, 0x1.a99a7398364a2p-9, 0x1.9dee206cc93c5p-9, 0x1.928d073b00d68p-9, 0x1.87757a1d53da8p-9, 0x1.7ca5d3688484cp-9, 0x1.721c7595edec3p-9, 0x1.67d7cb13e0d29p-9, 0x1.5dd6460204ee9p-9, 0x1.54165fe52bc58p-9, 0x1.4a96996577223p-9, 0x1.41557a26845e5p-9, 0x1.385190c33656p-9, 0x1.2f8972e844b7p-9, 0x1.26fbbd7ec3746p-9, 0x1.1ea714cde91fcp-9, 0x1.168a247d69d4bp-9, 0x1.0ea39f69985ebp-9, 0x1.06f23f4ad3b98p-9, 0x1.fee98881b9c4ap-10, 0x1.f053e8c178fd1p-10, 0x1.e22136c84ebb9p-10, 0x1.d44f1524b2dabp-10, 0x1.c6db31cdc711cp-10, 0x1.b9c346cf762cap-10, 0x1.ad051b0e47ddap-10, 0x1.a09e82d3f0804p-10, 0x1.948d5fdc4ba11p-10, 0x1.88cfa0c382e5ep-10, 0x1.7d633fe69dbd7p-10, 0x1.724641fd52f53p-10, 0x1.6776b4cc70175p-10, 0x1.5cf2ae549cbap-10, 0x1.52b84cbd2328dp-10, 0x1.48c5b7009a18ap-10, 0x1.3f191e2421369p-10, 0x1.35b0be8f58a9cp-10, 0x1.2c8ae10ae3c6fp-10, 0x1.23a5dafcd14c8p-10, 0x1.1b000db5827d5p-10, 0x1.1297e4e4b4cfbp-10, 0x1.0a6bd49872f33p-10, 0x1.027a575234a59p-10, 0x1.f583d98776b04p-11, 0x1.e682332a56f97p-11, 0x1.d7ecd0991d89ap-11, 0x1.c9c0d62bb58dfp-11, 0x1.bbfb7bc00f1f4p-11, 0x1.ae9a1048d9e1dp-11, 0x1.a199fb7762221p-11, 0x1.94f8bcd03d4ep-11, 0x1.88b3e825b4fb2p-11, 0x1.7cc92047c95fep-11, 0x1.7136114acc7c5p-11, 0x1.65f86bf9606b7p-11, 0x1.5b0de3c915b1ep-11, 0x1.50742ff8c168p-11, 0x1.46290fa7bc3bcp-11, 0x1.3c2a4fca6d48cp-11, 0x1.3275d155cca98p-11, 0x1.29098dd0ed78bp-11, 0x1.1fe398d943dd2p-11, 0x1.17021dfa06d06p-11, 0x1.0e635b2fa3e0ep-11, 0x1.06059968d8bcp-11, 0x1.fbce49b8f702bp-12, 0x1.ec0c8e4ec5aecp-12, 0x1.dcc28975e33d1p-12, 0x1.cdecbc93e4f23p-12, 0x1.bf87ac4c4f3d6p-12, 0x1.b18fefc3c37d6p-12, 0x1.a40241ff44141p-12, 0x1.96db8f45e799ep-12, 0x1.8a18fb83cf747p-12, 0x1.7db7df6b7fb72p-12, 0x1.71b5bd1ebd1cdp-12, 0x1.66102f7b27c55p-12, 0x1.5ac4d85227221p-12, 0x1.4fd1517d1083ap-12, 0x1.4533239e7c8afp-12, 0x1.3ae7c3f2ab356p-12, 0x1.30ec9997abeeep-12, 0x1.273f09b44ed0fp-12, 0x1.1ddc88743ac5p-12, 0x1.14c2ab8855dbcp-12, 0x1.0bef37c6e7531p-12, 0x1.0360260411021p-12, 0x1.f6273a10801a5p-13, 0x1.e60fc81fc694dp-13, 0x1.d676a5e5757dep-13, 0x1.c75889f2b4228p-13, 0x1.b8b222c542e3cp-13, 0x1.aa800feef9d33p-13, 0x1.9cbede8564b57p-13, 0x1.8f6b07c0b7df4p-13, 0x1.8280f646bfd93p-13, 0x1.75fd1798fd96bp-13, 0x1.69dbf92d4fdefp-13, 0x1.5e1a66f5e1751p-13, 0x1.52b57b62d1231p-13, 0x1.47aa95935a5ebp-13, 0x1.3cf738aea7f8dp-13, 0x1.3298e68264c3dp-13, 0x1.288d0c48eae61p-13, 0x1.1ed10cde3f1bp-13, 0x1.15625ee59fa17p-13, 0x1.0c3ea6af0b3b9p-13, 0x1.0363b7876aab3p-13, 0x1.f59ef8744de7ep-14, 0x1.e4ffb5a903eeap-14, 0x1.d4e55a59d1621p-14, 0x1.c54bac9522a83p-14, 0x1.b62eca0896ea2p-14, 0x1.a78b4fc7304fp-14, 0x1.995e3af8d024dp-14, 0x1.8ba48412e68c2p-14, 0x1.7e5aa609f4f6p-14, 0x1.717c5c3fc16bcp-14, 0x1.6504ce79e3172p-14, 0x1.58ef239ab5658p-14, 0x1.4d372ec96399ap-14, 0x1.41d9d0a531ca9p-14, 0x1.36d4d25bd4351p-14, 0x1.2c265ae7ef84p-14, 0x1.21cc665f3ca93p-14, 0x1.17c49ec19c0edp-14, 0x1.0e0ca1ed9dd8ap-14, 0x1.04a26bcb7575p-14, 0x1.f7091290240bap-15, 0x1.e563cb632ee35p-15, 0x1.d452872279d17p-15, 0x1.c3d14723356bcp-15, 0x1.b3d9d6aa7006ep-15, 0x1.a46407d2cdec8p-15, 0x1.9566e33e7c8e2p-15, 0x1.86da58ae2b9b9p-15, 0x1.78b8ab10a59ddp-15, 0x1.6afed78258c3ap-15, 0x1.5dabb89b433cfp-15, 0x1.50be771bd960fp-15, 0x1.443557257fecfp-15, 0x1.380d9fbbcf917p-15, 0x1.2c4471368ad1dp-15, 0x1.20d7c1064acf5p-15, 0x1.15c6be33e3d12p-15, 0x1.0b1144f590679p-15, 0x1.00b6a9e60ae61p-15, 0x1.ed6968b27a437p-16, 0x1.da0ed23175b1fp-16, 0x1.c7530030e1cf4p-16, 0x1.b52a222b71707p-16, 0x1.a388a9f542a65p-16, 0x1.9265028cbaf62p-16, 0x1.81b8fcce5f00dp-16, 0x1.718220cb5bd6dp-16, 0x1.61c07b321c371p-16, 0x1.527463ad71124p-16, 0x1.439c961332959p-16, 0x1.3535d42fca378p-16, 0x1.273c44462e2dbp-16, 0x1.19ad97f37f16fp-16, 0x1.0c89e1116435ep-16, 0x1.ffa379d308867p-17, 0x1.e7075309a1bc1p-17, 0x1.cf36cf96557f5p-17, 0x1.b82727bf5df58p-17, 0x1.a1cea8cf5878ap-17, 0x1.8c252f90347cp-17, 0x1.77226d55ec6e2p-17, 0x1.62bc9a228dd79p-17, 0x1.4ee90513c73f5p-17, 0x1.3b9e3af980478p-17, 0x1.28d723b152488p-17, 0x1.1694a5ac70fe2p-17, 0x1.04da6f5aca2d4p-17, 0x1.e751841a5c0fdp-18, 0x1.c5f4709d572dfp-18, 0x1.a591c6c9d9ed2p-18, 0x1.8627d7321ebd3p-18, 0x1.67baab51c1a49p-18, 0x1.4a47928c5ec6fp-18, 0x1.2dc20e3e2d939p-18, 0x1.121a6ceed9c8p-18, 0x1.ee896fac3c5ebp-19, 0x1.ba76e1d41900dp-19, 0x1.87fcaf5ab87ffp-19, 0x1.571c8831685c5p-19, 0x1.27d07f367d3e4p-19, 0x1.f40ae7b9c0401p-20, 0x1.9b3548e697c32p-20, 0x1.44d5040ca8e35p-20, 0x1.e18fbde43b86p-21, 0x1.3e5edad214b6bp-21, 0x1.40cfd9584e0cdp-22, 0x1.e0e4602bb9f2fp-27, -0x1.1952f01710f9ap-22, -0x1.1c27b16b79fa6p-21, -0x1.a6cf562119f2bp-21, -0x1.165940536af02p-20, -0x1.570ffb719261p-20, -0x1.95b42ad75f46p-20, -0x1.d25f64c01a0f4p-20, -0x1.068f2c3069349p-19, -0x1.22fae852d164cp-19, -0x1.3e71e76e94e42p-19, -0x1.58f04ff1f45dbp-19, -0x1.7272eb0e51485p-19, -0x1.8afb96d2ce5c7p-19, -0x1.a2945c2aec983p-19, -0x1.b954da996601cp-19, -0x1.cf5a5505bba4bp-19, -0x1.e4a66a582eec9p-19, -0x1.f922f30af4b22p-19, -0x1.066826e297965p-18, -0x1.0fe05087e3924p-18, -0x1.18f92fea891cfp-18, -0x1.21ade39acd908p-18, -0x1.2a0164e5b42afp-18, -0x1.31fb32d9a47dep-18, -0x1.39a0bdbec806p-18, -0x1.40f43c74a67e6p-18, -0x1.47f66ad6cd9a1p-18, -0x1.4ea802b7ada2ap-18, -0x1.550a2edaac07bp-18, -0x1.5b1e2df11f25dp-18, -0x1.60e49fdd72946p-18, -0x1.665d4fa14ed4dp-18, -0x1.6b87ff2aff28p-18, -0x1.7064f0880ff3bp-18, -0x1.74f57e672b0fp-18, -0x1.7940aae9540a6p-18, -0x1.7d4f05ec40f73p-18, -0x1.811cc5b7046d8p-18, -0x1.84a7528892aeep-18, -0x1.87f49ad2620dep-18, -0x1.8b02748159589p-18, -0x1.8dcd76b319d1ep-18, -0x1.90596efa07fe8p-18, -0x1.92ab38c87d888p-18, -0x1.94c4f6725678bp-18, -0x1.96a7371f309a2p-18, -0x1.9852578df6885p-18, -0x1.99c6eecc33636p-18, -0x1.9b05d2b08f317p-18, -0x1.9c1011975e75fp-18, -0x1.9ce6e47df1ee3p-18, -0x1.9d8b7f8d3c3e1p-18, -0x1.9dfec0efb8a1bp-18, -0x1.9e4122d2596d4p-18, -0x1.9e5335122b97cp-18, -0x1.9e3511530423fp-18, -0x1.9de5d72f92bfp-18, -0x1.9d6967a1ca40ep-18, -0x1.9cc47a1260e09p-18, -0x1.9bf5a558be22bp-18, -0x1.9aff93cba8e87p-18, -0x1.99df8b7d6e832p-18, -0x1.98941d054f1d4p-18, -0x1.97212d1eb34fcp-18, -0x1.95892a3b0439ap-18, -0x1.93cca482f4277p-18, -0x1.91ebeabc651e9p-18, -0x1.8fe785df4a685p-18, -0x1.8dc02a9fba03p-18, -0x1.8b769e056c991p-18, -0x1.890ba6fd9bce4p-18, -0x1.86800e02f3763p-18, -0x1.83d4a662b9d1fp-18, -0x1.810a5458d0201p-18, -0x1.7e21ff23247b1p-18, -0x1.7b1c6cfdf26c4p-18, -0x1.77fa487c49c9fp-18, -0x1.74bc5d3bcba9bp-18, -0x1.7162be0bba4fcp-18, -0x1.6dec15a131087p-18, -0x1.6a5b007d6bb7bp-18, -0x1.66b2f488c1a72p-18, -0x1.62f4d1b06f1bp-18, -0x1.5f1de70ea908ep-18, -0x1.5b2e17cdb65f7p-18, -0x1.57287fe7e9f65p-18, -0x1.530e120bbcb6fp-18, -0x1.4edf0a27d9bfap-18, -0x1.4a9bd3016b37fp-18, -0x1.464500d7233e4p-18, -0x1.41db37fb87283p-18, -0x1.3d5f2033c63ebp-18, -0x1.38d15feab535dp-18, -0x1.343298e598f87p-18, -0x1.2f83677cc3f08p-18, -0x1.2ac465f211923p-18, -0x1.25f63303d468ap-18, -0x1.211976d6e618ap-18, -0x1.1c2edeb5f592dp-18, -0x1.17370bcc93fcep-18, -0x1.12328f5ac5458p-18, -0x1.0d2208d765ca8p-18, -0x1.0805ab859975cp-18, -0x1.02dcdafa397fdp-18, -0x1.fb52ad8a2977p-19, -0x1.f0dbbabc86fd4p-19, -0x1.e651310de8c8cp-19, -0x1.dbb26e42d2e55p-19, -0x1.d103e5eef4685p-19, -0x1.c6467291413dbp-19, -0x1.bb7a89187e4f8p-19, -0x1.b0a0ffef2a981p-19, -0x1.a5bad2a5d4fcep-19, -0x1.9ac902b6d0f9dp-19, -0x1.8fcc8fe3fc038p-19, -0x1.84c67654614b1p-19, -0x1.79b7aea3007a7p-19, -0x1.6ea12c798e352p-19, -0x1.6383dc7a58ca5p-19, -0x1.5860a3f2dc55ap-19, -0x1.4d386473332a3p-19, -0x1.420c02bd9599p-19, -0x1.36dc6bd9aebf2p-19, -0x1.2baa9368418c5p-19, -0x1.20775e234e3c7p-19, -0x1.15439393736e2p-19, -0x1.0a1005af94d0cp-19, -0x1.fdba84af83cb9p-20, -0x1.e756c7547cdefp-20, -0x1.d0f912592415ep-20, -0x1.baa36fc8a88d5p-20, -0x1.a4539cd6dd89dp-20, -0x1.8e0df31eb63d8p-20, -0x1.77d45283aad6ap-20, -0x1.61a75d2685ebdp-20, -0x1.4b8848e36656ep-20, -0x1.357877ad086bap-20, -0x1.1f794b2887954p-20, -0x1.098c1c9c00806p-20, -0x1.e7647a20fdbdp-21, -0x1.bbd9ed007fae9p-21, -0x1.907b190a6242cp-21, -0x1.654a78af6bd4bp-21, -0x1.3a4a76cffc42bp-21, -0x1.0f7d6be14dbb4p-21, -0x1.c9cb328eedd02p-22, -0x1.750a6a2d294bp-22, -0x1.20bce6603720bp-22, -0x1.99ce454891de5p-23, -0x1.e636802de7eafp-24, -0x1.35a4f34cd799ap-25, 0x1.5d01f78388ab6p-25, 0x1.f5b1f5c6ae371p-24, 0x1.9d5c546e7e0c3p-23, 0x1.1f619cb16b451p-22, 0x1.6f7e057d157bap-22, 0x1.bf08777e63a67p-22, 0x1.06fc62c1ef8bcp-21, 0x1.2e2522e7d8df8p-21, 0x1.54fcec7ab222bp-21, 0x1.7b82d1da746c6p-21, 0x1.a1b55c156af68p-21, 0x1.c79305e6efeep-21, 0x1.ed1a57ca471fp-21, 0x1.0924f513a537ap-20, 0x1.1b9030d27fe22p-20, 0x1.2dce378c1455ep-20, 0x1.3fde67374595fp-20, 0x1.51c02326cfaep-20, 0x1.6372d40aab7cfp-20, 0x1.74f5e84ddce8ap-20, 0x1.8648d4bdfcb33p-20, 0x1.976b15221acf2p-20, 0x1.a85c2b6572db6p-20, 0x1.b91b9c91a2ee5p-20, 0x1.c9a8ee9cd9c73p-20, 0x1.da03ab14e6697p-20, 0x1.ea2b66433408p-20, 0x1.fa1fb5c7cca55p-20, 0x1.04f02465e28f9p-19, 0x1.0cb6469afebe6p-19, 0x1.14622a3cec31p-19, 0x1.1bf3d2c316a0bp-19, 0x1.236adce2d6091p-19, 0x1.2ac71d724e99p-19, 0x1.3208b06c75eedp-19, 0x1.392f2b4eb78adp-19, 0x1.403a87b80567ep-19, 0x1.472ab3e435dc5p-19, 0x1.4dff94e1ad6cap-19, 0x1.54b911cad5f2cp-19, 0x1.5b57146bd6186p-19, 0x1.61d988fad87cap-19, 0x1.68405dd78afc8p-19, 0x1.6e8b836a3492p-19, 0x1.74baec134b822p-19, 0x1.7ace8c23ea37bp-19, 0x1.80c659d66f5aap-19, 0x1.86a24d52a9ffp-19, 0x1.8c6260aa850eap-19, 0x1.92068ffb50875p-19, 0x1.978ed96e2b8cdp-19, 0x1.9cfb3cdeeb95cp-19, 0x1.a24bbb62466fdp-19, 0x1.a7805727dd972p-19, 0x1.ac99140474cbfp-19, 0x1.b195f93ed1b83p-19, 0x1.b6771278c420cp-19, 0x1.bb3c662dbd95dp-19, 0x1.bfe5e69b02dbp-19, 0x1.c473ca1379a0bp-19, 0x1.c8e631c37dcecp-19, 0x1.cd3cead03c06bp-19, 0x1.d178101b2151cp-19, 0x1.d597e43d74a08p-19, 0x1.d99c61429b6ebp-19, 0x1.dd859094cb593p-19, 0x1.e15393c445cf2p-19, 0x1.e50682d3782dap-19, 0x1.e89e76c64d87bp-19, 0x1.ec1b896e0bdabp-19, 0x1.ef7dd669892ecp-19, 0x1.f2c57a883a014p-19, 0x1.f5f2942485fddp-19, 0x1.f90541089df5ep-19, 0x1.fbfda2556a838p-19, 0x1.fedbd945af2d1p-19, 0x1.00d003e78adb7p-18, 0x1.022528b444b4dp-18, 0x1.036d6d2b5173cp-18, 0x1.04a8e3f84db3p-18, 0x1.05d7a03bdfe36p-18, 0x1.06f9b57d1d5f2p-18, 0x1.080f37bbb706fp-18, 0x1.09183b5a450aep-18, 0x1.0a14d51efe844p-18, 0x1.0b051a74e4cfdp-18, 0x1.0be92183bdb4cp-18, 0x1.0cc0ffdb91e1dp-18, 0x1.0d8cc783d2c91p-18, 0x1.0e4c97b9855dfp-18, 0x1.0f008593c37c1p-18, 0x1.0fa8a31aed86ep-18, 0x1.10450b66f333fp-18, 0x1.10d5d5ca01b7bp-18, 0x1.115b19ef5b59cp-18, 0x1.11d4f55c7df7ap-18, 0x1.12437b5b74cc4p-18, 0x1.12a6c6dfa8c84p-18, 0x1.12fef1a2d596cp-18, 0x1.134c1544be46cp-18, 0x1.138e4ba9d7b41p-18, 0x1.13c5aef48647ep-18, 0x1.13f2597e31118p-18, 0x1.141465d416b17p-18, 0x1.142beeb5b98ap-18, 0x1.14390f06a8d6bp-18, 0x1.143be1e24c0d1p-18, 0x1.143482826d657p-18, 0x1.14230b59e10a6p-18, 0x1.14079ac74afa2p-18, 0x1.13e249f86a09ep-18, 0x1.13b335453e564p-18, 0x1.137a78b69592p-18, 0x1.1338305fbb74cp-18, 0x1.12ec786250e28p-18, 0x1.12976cf936e39p-18, 0x1.12392a7be9484p-18, 0x1.11d1cd608e1efp-18, 0x1.116171fafff6dp-18, 0x1.10e834cf0e8b1p-18, 0x1.10663278b9114p-18, 0x1.0fdb884a08b25p-18, 0x1.0f4851cc311ddp-18, 0x1.0eacac327c7ep-18, 0x1.0e08b44ac495dp-18, 0x1.0d5c865d4bc22p-18, 0x1.0ca83f2b49404p-18, 0x1.0bebeafcd3d91p-18, 0x1.0b27d9d2c040cp-18, 0x1.0a5bf5d992c42p-18, 0x1.09886ad309c51p-18, 0x1.08ad56490253fp-18, 0x1.07cad4f30b3d6p-18, 0x1.06e1037c9155ep-18, 0x1.05effe7987d73p-18, 0x1.04f7e25a168fbp-18, 0x1.03f8cbab74878p-18, 0x1.02f2d6d237fbdp-18, 0x1.01e62029facbfp-18, 0x1.00d2c3fc4678dp-18, 0x1.ff71bcffe4e5ap-19, 0x1.fd3117af6f8d6p-19, }}, 
      {{0x1.80afbba57fabp-4, 0x1.5b41376ba919cp-3, 0x1.c055ba9389b81p-3, 0x1.ed028e8eede58p-3, 0x1.e6199a94ceb73p-3, 0x1.b3efe1aff33d7p-3, 0x1.600dd9ffbd2dcp-3, 0x1.e7b1097a4e47ep-4, 0x1.df68181994a19p-5, -0x1.9246647192c6ep-8, -0x1.26af95ddceba9p-4, -0x1.17a0243728cb8p-3, -0x1.95b76c8dcf279p-3, -0x1.0574d3bc3dba6p-2, -0x1.3aaeadad58442p-2, -0x1.69f78425226f5p-2, -0x1.93079b4d3ba9ap-2, -0x1.b5d1fe804009bp-2, -0x1.d2772ae192004p-2, -0x1.e939a250bf75fp-2, -0x1.fa744d18ae205p-2, -0x1.034942d668973p-1, -0x1.0704d089306bcp-1, -0x1.08a9e307b50b6p-1, -0x1.0875f24aaece1p-1, -0x1.06a5510d26fdcp-1, -0x1.0372099f84618p-1, -0x1.fe261e070164bp-2, -0x1.f37765dc96858p-2, -0x1.e736a5264b11p-2, -0x1.d9ba5d675bfabp-2, -0x1.cb50c9b20ee4cp-2, -0x1.bc4003248ab79p-2, -0x1.acc649c1ca939p-2, -0x1.9d1a66ba475e1p-2, -0x1.8d6c1f279ca4ep-2, -0x1.7de4b0e2791adp-2, -0x1.6ea7540bc3c8ap-2, -0x1.5fd1bd2280adep-2, -0x1.517c9d0b439ap-2, -0x1.43bc1d47e00ddp-2, -0x1.36a056b0b98cap-2, -0x1.2a35c16e4c638p-2, -0x1.1e859db7cfdcdp-2, -0x1.13965532980c5p-2, -0x1.096bd4cbb0242p-2, -0x1.0007def126be6p-2, -0x1.eed4aca781aabp-3, -0x1.df230334f9e6fp-3, -0x1.d0f4911d1c1dp-3, -0x1.c440d67ba6f5bp-3, -0x1.b8fd6702e9e1cp-3, -0x1.af1e4296993e1p-3, -0x1.a69624367ap-3, -0x1.9f56c80364b0fp-3, -0x1.99512923e59c3p-3, -0x1.9475b843e2b6fp-3, -0x1.90b48b5c5f55ep-3, -0x1.8dfd875e65a9dp-3, -0x1.8c4084535e7fbp-3, -0x1.8b6d6c70480a2p-3, -0x1.8b7456a5b1f2dp-3, -0x1.8c459d0e92444p-3, -0x1.8dd1efc55bb2dp-3, -0x1.900a6465a04fcp-3, -0x1.92e082bc7f1fap-3, -0x1.96464ed0a205cp-3, -0x1.9a2e50c4daf4p-3, -0x1.9e8b9a95be7dep-3, -0x1.a351cc4a51f3fp-3, -0x1.a8751660002d4p-3, -0x1.adea3b2811b5ep-3, -0x1.b3a68ec0589a3p-3, -0x1.b99ff632e543fp-3, -0x1.bfcce5dcaf1a4p-3, -0x1.c6245e9a9c27ap-3, -0x1.cc9deb7273db9p-3, -0x1.d3319d17b8481p-3, -0x1.d9d807285a8e8p-3, -0x1.e08a3af07227cp-3, -0x1.e741c38ce8584p-3, -0x1.edf8a18788f2fp-3, -0x1.f4a944e969643p-3, -0x1.fb4e8a6e58d03p-3, -0x1.00f1da310adb9p-2, -0x1.043233d040abbp-2, -0x1.0766530fb06a6p-2, -0x1.0a8c64b718268p-2, -0x1.0da2bffe6cc9p-2, -0x1.10a7e32fa5c2bp-2, -0x1.139a723bb57dp-2, -0x1.167934754101ep-2, -0x1.194312084a812p-2, -0x1.1bf712c9c6919p-2, -0x1.1e945ba2f46fp-2, -0x1.211a2d0878da5p-2, -0x1.2387e163210b9p-2, -0x1.25dceaffd623ap-2, -0x1.2818d2e09e96p-2, -0x1.2a3b37020f99cp-2, -0x1.2c43c8eef678ap-2, -0x1.2e324c8665566p-2, -0x1.30069686a4edfp-2, -0x1.31c08b76658d2p-2, -0x1.33601e6e4a6bep-2, -0x1.34e54ffed230bp-2, -0x1.36502d390c93ap-2, -0x1.37a0ce9f75c31p-2, -0x1.38d7574c45dc6p-2, -0x1.39f3f40ff6523p-2, -0x1.3af6da9383e59p-2, -0x1.3be048a6f1fdap-2, -0x1.3cb0837a4900dp-2, -0x1.3d67d6e9d6731p-2, -0x1.3e0694eaadf92p-2, -0x1.3e8d14e04d6fbp-2, -0x1.3efbb308c97dp-2, -0x1.3f52d0046dc64p-2, -0x1.3f92d04738f07p-2, -0x1.3fbc1b9d00791p-2, -0x1.3fcf1cca8ebccp-2, -0x1.3fcc411a10deap-2, -0x1.3fb3f7f148885p-2, -0x1.3f86b288b584p-2, -0x1.3f44e39304ed6p-2, -0x1.3eeefee1ecad8p-2, -0x1.3e85792cb15ffp-2, -0x1.3e08c7d26ec7ep-2, -0x1.3d79608db99e2p-2, -0x1.3cd7b942d3637p-2, -0x1.3c2447d8324ep-2, -0x1.3b5f81fd27babp-2, -0x1.3a89dcfb04f15p-2, -0x1.39a3cd9a1d5f7p-2, -0x1.38adc7fdffa9dp-2, -0x1.37a83f7cbcfbcp-2, -0x1.3693a686187d7p-2, -0x1.35706e8fb157ep-2, -0x1.343f07f9be90ep-2, -0x1.32ffe1f6d78f1p-2, -0x1.31b36a7cb06f5p-2, -0x1.305a0e3612931p-2, -0x1.2ef43872690ebp-2, -0x1.2d825316e2271p-2, -0x1.2c04c69445df8p-2, -0x1.2a7bf9df786dfp-2, -0x1.28e852699ccd6p-2, -0x1.274a3415f8eedp-2, -0x1.25a20133bb6e5p-2, -0x1.23f01a7ca1e34p-2, -0x1.2234df120317fp-2, -0x1.2070ac76944e2p-2, -0x1.1ea3de8b7a7ffp-2, -0x1.1ccecf926dee9p-2, -0x1.1af1d82e4830ap-2, -0x1.190d4f604807p-2, -0x1.17218a87cc502p-2, -0x1.152edd65eb394p-2, -0x1.13359a200fa03p-2, -0x1.113611406bdd7p-2, -0x1.0f3091b835f3cp-2, -0x1.0d2568e3e48f9p-2, -0x1.0b14e28e29358p-2, -0x1.08ff48f25f05ep-2, -0x1.06e4e4c14fa26p-2, -0x1.04c5fd26cb9fcp-2, -0x1.02a2d7cc582d7p-2, -0x1.007bb8db286bdp-2, -0x1.fca1c60455b4dp-3, -0x1.f8452efca5ec3p-3, -0x1.f3e22c3d7425dp-3, -0x1.ef793a896c756p-3, -0x1.eb0ad3cf4621ap-3, -0x1.e6976f3dcf489p-3, -0x1.e21f8154dab4ep-3, -0x1.dda37be79deb4p-3, -0x1.d923ce1b4a48dp-3, -0x1.d4a0e472a3ef5p-3, -0x1.d01b28e702af9p-3, -0x1.cb9302f724ac5p-3, -0x1.c708d7a53abb9p-3, -0x1.c27d097471b8fp-3, -0x1.bdeff877ba999p-3, -0x1.b962026b7de6cp-3, -0x1.b4d382c40d9e4p-3, -0x1.b044d2aa4ff9ep-3, -0x1.abb648f7a7d22p-3, -0x1.a7283a431ca46p-3, -0x1.a29af8fadb089p-3, -0x1.9e0ed574decc3p-3, -0x1.99841ded379f8p-3, -0x1.94fb1e7fa09d3p-3, -0x1.9074212f2e37p-3, -0x1.8bef6dfd24f9cp-3, -0x1.876d4afd778a5p-3, -0x1.82edfc5a8c756p-3, -0x1.7e71c44e410f4p-3, -0x1.79f8e321dee5fp-3, -0x1.7583973dfd4edp-3, -0x1.71121d40c9aadp-3, -0x1.6ca4b00a74116p-3, -0x1.683b88ba93b0ap-3, -0x1.63d6deaad449ep-3, -0x1.5f76e773c301dp-3, -0x1.5b1bd6fe813e9p-3, -0x1.56c5df9775bb1p-3, -0x1.527531f61152bp-3, -0x1.4e29fd398b608p-3, -0x1.49e46ee51db1ep-3, -0x1.45a4b2e62be7dp-3, -0x1.416af3a4420bfp-3, -0x1.3d375a1129228p-3, -0x1.390a0dafec356p-3, -0x1.34e33492de8d7p-3, -0x1.30c2f358b62fdp-3, -0x1.2ca96d3106e0cp-3, -0x1.2896c3e929f36p-3, -0x1.248b17fac9acap-3, -0x1.2086889446263p-3, -0x1.1c89339970a97p-3, -0x1.189335a14562bp-3, -0x1.14a4a9f7baeebp-3, -0x1.10bdaaa66a173p-3, -0x1.0cde508129fd8p-3, -0x1.0906b33058c62p-3, -0x1.0536e93531a9cp-3, -0x1.016f07e98afdp-3, -0x1.fb5e46ff7ea35p-4, -0x1.f3ee9e0d831e8p-4, -0x1.ec8f38e629759p-4, -0x1.e54039527f78dp-4, -0x1.de01bf0b5213ap-4, -0x1.d6d3e7bff7688p-4, -0x1.cfb6cf1786328p-4, -0x1.c8aa8eb328631p-4, -0x1.c1af3e36c03acp-4, -0x1.bac4f358344e9p-4, -0x1.b3ebc1f0e9397p-4, -0x1.ad23bc0bb4d2bp-4, -0x1.a66cf1eca056bp-4, -0x1.9fc772145802cp-4, -0x1.993349437e5e2p-4, -0x1.92b08281d771fp-4, -0x1.8c3f272a51872p-4, -0x1.85df3ef9916adp-4, -0x1.7f90d01b4533ep-4, -0x1.7953df33afa42p-4, -0x1.73286f656818ap-4, -0x1.6d0e825598536p-4, -0x1.6706183195e53p-4, -0x1.610f2fb79b541p-4, -0x1.5b29c6424d9d3p-4, -0x1.5555d7d5079fbp-4, -0x1.4f935f26448f3p-4, -0x1.49e255a7f44d6p-4, -0x1.4442b38d5c6cap-4, -0x1.3eb46fd037829p-4, -0x1.39378036f5846p-4, -0x1.33cbd95d0e03dp-4, -0x1.2e716ebcee9b4p-4, -0x1.292832ba4e81cp-4, -0x1.23f016ab94fa7p-4, -0x1.1ec90ae19c5dfp-4, -0x1.19b2feadfef4ap-4, -0x1.14ade068b4988p-4, -0x1.0fb99d761d0fep-4, -0x1.0ad6224e33897p-4, -0x1.06035a84e80f8p-4, -0x1.014130d2e695p-4, -0x1.f91f1e3c180eep-5, -0x1.efdcbd0205a2ep-5, -0x1.e6bb0ea3b221fp-5, -0x1.ddb9e24fa9851p-5, -0x1.d4d905c2253d3p-5, -0x1.cc1845517829fp-5, -0x1.c3776bfaa035ep-5, -0x1.baf64371eeaf4p-5, -0x1.b294942fd7d0cp-5, -0x1.aa5225806faf1p-5, -0x1.a22ebd904d75ep-5, -0x1.9a2a21787a76cp-5, -0x1.92441549405b8p-5, -0x1.8a7c5c14990cbp-5, -0x1.82d2b7f8fb7b6p-5, -0x1.7b46ea2d20779p-5, -0x1.73d8b30c711d7p-5, -0x1.6c87d223dc59ap-5, -0x1.6554063e55858p-5, -0x1.5e3d0d70a5e8bp-5, -0x1.5742a5241e6abp-5, -0x1.50648a2019474p-5, -0x1.49a278929f81p-5, -0x1.42fc2c18faa0ap-5, -0x1.3c715fc91555ep-5, -0x1.3601ce3be562fp-5, -0x1.2fad3198fd14bp-5, -0x1.297343a22fba5p-5, -0x1.2353bdbecdf81p-5, -0x1.1d4e590559cb2p-5, -0x1.1762ce43441fbp-5, -0x1.1190d602b7219p-5, -0x1.0bd8288f8777bp-5, -0x1.06387dfcd8ef4p-5, -0x1.00b18e2ce7adep-5, -0x1.f68621b72ed12p-6, -0x1.ebd97b56278ep-6, -0x1.e15c9861a8b33p-6, -0x1.d70ee8016a10ep-6, -0x1.ccefd9687b959p-6, -0x1.c2fedbdaa9f07p-6, -0x1.b93b5eaabb812p-6, -0x1.afa4d136d4669p-6, -0x1.a63aa2ea19e4fp-6, -0x1.9cfc4349d8d69p-6, -0x1.93e9220f6b1cp-6, -0x1.8b00af4c5a497p-6, -0x1.82425b8fb7f25p-6, -0x1.79ad980309dccp-6, -0x1.7141d675ea9a6p-6, -0x1.68fe89557af44p-6, -0x1.60e32393f877fp-6, -0x1.58ef188bb46adp-6, -0x1.5121dbec284edp-6, -0x1.497ae1bdb502fp-6, -0x1.41f99e81f07fp-6, -0x1.3a9d876b8c042p-6, -0x1.3366129f54e96p-6, -0x1.2c52b76a3a2dap-6, -0x1.2562ee59985c5p-6, -0x1.1e96312bd432dp-6, -0x1.17ebfa9c717d6p-6, -0x1.1163c61cb2704p-6, -0x1.0afd0f92c4984p-6, -0x1.04b7533a01436p-6, -0x1.fd241b6c147c5p-7, -0x1.f11978b3f6a9ep-7, -0x1.e54dbb2534f4p-7, -0x1.d9bfe2a882d62p-7, -0x1.ce6ef2d09ec3bp-7, -0x1.c359f2fb2597bp-7, -0x1.b87fede2493bbp-7, -0x1.addff0b8da72ep-7, -0x1.a3790a154e7d7p-7, -0x1.994a49075068dp-7, -0x1.8f52bcad76dffp-7, -0x1.8591747d962f9p-7, -0x1.7c05813af85f9p-7, -0x1.72adf65bc6dccp-7, -0x1.6989eb74b0193p-7, -0x1.60987d370e7d3p-7, -0x1.57d8cda67e15fp-7, -0x1.4f4a036352405p-7, -0x1.46eb482f9dadep-7, -0x1.3ebbc716f9414p-7, -0x1.36baaac8076f7p-7, -0x1.2ee71caaae069p-7, -0x1.2740450ded4adp-7, -0x1.1fc54c7761a93p-7, -0x1.18755dc57afe8p-7, -0x1.114fa88ed1cd1p-7, -0x1.0a53630ba7e4ep-7, -0x1.037fcaec4d7a7p-7, -0x1.f9a8498b37062p-8, -0x1.ec9f74433b5d4p-8, -0x1.dfe3ad54a75bfp-8, -0x1.d3738a62baap-8, -0x1.c74d9ae081b86p-8, -0x1.bb70666ceaa17p-8, -0x1.afda6ebb63676p-8, -0x1.a48a34c02f70dp-8, -0x1.997e3fe4b1bd6p-8, -0x1.8eb5255ee0fe5p-8, -0x1.842d8d9e1962dp-8, -0x1.79e636298c7d6p-8, -0x1.6fddef361e90dp-8, -0x1.66139560514f6p-8, -0x1.5c8609070b36fp-8, -0x1.53342570c6fdbp-8, -0x1.4a1cba01201bfp-8, -0x1.413e87476c7bap-8, -0x1.389840da249edp-8, -0x1.302893d023e12p-8, -0x1.27ee3064e789fp-8, -0x1.1fe7d4ac7e567p-8, -0x1.1814555a2a4b4p-8, -0x1.1072a242f5a37p-8, -0x1.0901c53d23f53p-8, -0x1.01c0dbae64a6dp-8, -0x1.f55e19277257ep-9, -0x1.e796fb286110dp-9, -0x1.da2a93278edaep-9, -0x1.cd16f52039adcp-9, -0x1.c05a0f94fff52p-9, -0x1.b3f1b153c33e5p-9, -0x1.a7db985cf9c3bp-9, -0x1.9c1587cd2394cp-9, -0x1.909d5f864d5b5p-9, -0x1.85712fb73461dp-9, -0x1.7a8f410aac135p-9, -0x1.6ff60f4d56fa5p-9, -0x1.65a438f3dc6acp-9, -0x1.5b986b2ac8b08p-9, -0x1.51d151af19d23p-9, -0x1.484d8c9b1a99cp-9, -0x1.3f0baae11cc75p-9, -0x1.360a269317f1bp-9, -0x1.2d47629ad3709p-9, -0x1.24c1ad39855cep-9, -0x1.1c774b616cc8p-9, -0x1.14668cc4e6336p-9, -0x1.0c8de1988d7cp-9, -0x1.04ebe6d5ef13ap-9, -0x1.fafec19608e68p-10, -0x1.ec8e4b4bfa608p-10, -0x1.de84090b00adfp-10, -0x1.d0dd7223391ffp-10, -0x1.c397e72e035efp-10, -0x1.b6b0ddac0f894p-10, -0x1.aa26044e5abd8p-10, -0x1.9df542d623cc7p-10, -0x1.921c95c148e04p-10, -0x1.8699e43659c31p-10, -0x1.7b6af51e867b2p-10, -0x1.708d8f8f9c2fbp-10, -0x1.65ffaf5d4ff9ap-10, -0x1.5bbfa3e4b7b78p-10, -0x1.51cbf95a555f4p-10, -0x1.48232cee35249p-10, -0x1.3ec350b1c2255p-10, -0x1.35a9d8a5150e3p-10, -0x1.2cd3bcb17d34fp-10, -0x1.243deb55eadc5p-10, -0x1.1be5d1daf59b1p-10, -0x1.13c9a957f565fp-10, -0x1.0be859c55f62p-10, -0x1.04410c37d5f0ap-10, -0x1.f9a57dbfceb84p-11, -0x1.eb384e2b37e6bp-11, -0x1.dd37d5a5a5b67p-11, -0x1.cfa1ee438c277p-11, -0x1.c27553efefb5ep-11, -0x1.b5b152eee74c7p-11, -0x1.a954eae229a4ep-11, -0x1.9d5dd01b55713p-11, -0x1.91c7d11ce9114p-11, -0x1.868d00897287fp-11, -0x1.7ba6ae48e0c72p-11, -0x1.710ed62e18cfap-11, -0x1.66c15c0776ea3p-11, -0x1.5cbc6b75fa324p-11, -0x1.52ffc10b51594p-11, -0x1.498b549439e1cp-11, -0x1.405e519ab23a6p-11, -0x1.377702d2280a8p-11, -0x1.2ed38cc968d59p-11, -0x1.2672cb7763701p-11, -0x1.1e54ab6e1bf97p-11, -0x1.1679aed8300e2p-11, -0x1.0ee1dca5ceb07p-11, -0x1.078bd63a2966bp-11, -0x1.0074a1a3bbcc2p-11, -0x1.f3301304750edp-12, -0x1.e5e26160ff393p-12, -0x1.d8f6814138eeep-12, -0x1.cc646ff9b7319p-12, -0x1.c02737c08ce65p-12, -0x1.b43d4cad27a1bp-12, -0x1.a8a77b512ee9dp-12, -0x1.9d66d7d72f965p-12, -0x1.927af133f4f44p-12, -0x1.87e1732dca32fp-12, -0x1.7d977013d5901p-12, -0x1.739b6de4cefc9p-12, -0x1.69ee3467e3301p-12, -0x1.60910f7f4e464p-12, -0x1.57833dddd6f8bp-12, -0x1.4ec15075f6659p-12, -0x1.4646ae3697364p-12, -0x1.3e0f363da7d34p-12, -0x1.36177be3e10ap-12, -0x1.2e5be9e3729bcp-12, -0x1.26d81abde773bp-12, -0x1.1f87202437ae2p-12, -0x1.18649cb48e5f1p-12, -0x1.116e6249717ecp-12, -0x1.0aa5519ac6077p-12, -0x1.040bbb03b6e8bp-12, -0x1.fb445ddae7477p-13, -0x1.eecca989b7c42p-13, -0x1.e2ab0f94f413ep-13, -0x1.d6df7b01bd8d5p-13, -0x1.cb6ccdf258209p-13, -0x1.c05275be7b601p-13, -0x1.b58ab9e30fcc1p-13, -0x1.ab0e1412747e4p-13, -0x1.a0d6d67955a4ap-13, -0x1.96e2b951ecc7fp-13, -0x1.8d3249052bfc7p-13, -0x1.83c6aebcc930dp-13, -0x1.7a9eff177756ep-13, -0x1.71b6aadf775b4p-13, -0x1.690558b72a2dfp-13, -0x1.608149ec4bd71p-13, -0x1.5826500b5b078p-13, -0x1.4ff9934f64f93p-13, -0x1.480133180600bp-13, -0x1.403b0d77af4e9p-13, -0x1.38a161e789c4bp-13, -0x1.31341bcab8293p-13, -0x1.29f681ae9b63p-13, -0x1.22e7de7e6223bp-13, -0x1.1c033b9b1037fp-13, -0x1.15436d2b2a894p-13, -0x1.0ea54b2f16719p-13, -0x1.08277b874130fp-13, -0x1.01c9c55135faep-13, -0x1.f719e098c52f6p-14, -0x1.eae53a1101a8bp-14, -0x1.def87bb778227p-14, -0x1.d35390c07419ep-14, -0x1.c7f19faa3a34dp-14, -0x1.bcc5d773ea75fp-14, -0x1.b1c002ce5f8a7p-14, -0x1.a6e00edd4de79p-14, -0x1.9c33e7e2f2b67p-14, -0x1.91bc5462cc80ap-14, -0x1.876f9e77a5cbbp-14, -0x1.7d4f90416445fp-14, -0x1.7362d1a186059p-14, -0x1.69a6d4ade9034p-14, -0x1.6013a83bac424p-14, -0x1.56a3bd9fcab6bp-14, -0x1.4d5558733a427p-14, -0x1.44288227c96abp-14, -0x1.3b1d472f2cd42p-14, -0x1.32332b7dd6918p-14, -0x1.29699aa61f38bp-14, -0x1.20c0c0c9392p-14, -0x1.1839cc44398ccp-14, -0x1.0fd5f4494283p-14, -0x1.0795cec5f8936p-14, -0x1.fef13908e52dap-15, -0x1.eeedab52eb986p-15, -0x1.df0e368be9834p-15, -0x1.cf5dd8253af7cp-15, -0x1.bfe4a46c94aa4p-15, -0x1.b0962222c979fp-15, -0x1.a179583a82b38p-15, -0x1.9298448fbc0e6p-15, -0x1.83eb8aee4420dp-15, -0x1.756958c4cad7ap-15, -0x1.670e6deccb9ccp-15, -0x1.58db4bd96f9cap-15, -0x1.4ad0e5bd4715bp-15, -0x1.3cefa00a0c875p-15, -0x1.2f3747e32f9e8p-15, -0x1.21a725c49d85dp-15, -0x1.143e1ff1a3feep-15, -0x1.06fb2927a864cp-15, -0x1.f3bbfc407bd0bp-16, -0x1.d9ce8785eb0b1p-16, -0x1.c02ed32a5adbp-16, -0x1.a6dfc91cdbb9cp-16, -0x1.8de8af9d1a2efp-16, -0x1.753b1068ee3dep-16, -0x1.5cc4e71042e58p-16, -0x1.44900d6706f6ep-16, -0x1.2c93cc5906204p-16, -0x1.14e01020e5fbap-16, -0x1.fafccd80193eep-17, -0x1.ccc0e20496434p-17, -0x1.9efd913864e3dp-17, -0x1.71b4b742a6b71p-17, -0x1.44ea31b58b6c1p-17, -0x1.189fb53ec80f6p-17, -0x1.d9aacaf7898f9p-18, -0x1.8315a11bac6c2p-18, -0x1.2d7ee41a9f233p-18, -0x1.b1cae95b39e2ap-19, -0x1.0a8f1f740748p-19, -0x1.9512ac2c75254p-21, 0x1.f0d4a998fd89dp-22, 0x1.bf21a8e8dc855p-20, 0x1.7f1cf0408f524p-19, 0x1.0e60baa6388c4p-18, 0x1.5c3548c18473bp-18, 0x1.a8ee0b1b2496ap-18, 0x1.f4a95d2c939c7p-18, 0x1.1fc84a48c75e7p-17, 0x1.44d2d03cc991cp-17, 0x1.695b175d65abdp-17, 0x1.8d5c177f17213p-17, 0x1.b0e7aa7abf72p-17, 0x1.d3ff8e8e8244ep-17, 0x1.f6a0a84ced4bep-17, 0x1.0c64acdf1eb3ap-16, 0x1.1d3c9dd9494f9p-16, 0x1.2dd8302271de3p-16, 0x1.3e377c8f244c7p-16, 0x1.4e5a9c27292cp-16, 0x1.5e419dd077d7dp-16, 0x1.6dec84b2caf22p-16, 0x1.7d5b52687aec5p-16, 0x1.8c8e1a14aac5cp-16, 0x1.9b850d8b80febp-16, 0x1.aa406fdfed439p-16, 0x1.b8c066bb192ffp-16, 0x1.c704f348a9ad3p-16, 0x1.d50e38e5f28a2p-16, 0x1.e2db3a510abccp-16, 0x1.f0693ba35030ap-16, 0x1.fdbb7e8589991p-16, 0x1.056b97217cd83p-15, 0x1.0bdb476dcbfcbp-15, 0x1.122becefd3522p-15, 0x1.185f8c02b7bc2p-15, 0x1.1e760b57c61bfp-15, 0x1.246f2285e34fbp-15, 0x1.2a4ac5daf5622p-15, 0x1.300900f360d75p-15, 0x1.35a9e50f5c8cbp-15, 0x1.3b2d84fadffd4p-15, 0x1.4093f40205c7dp-15, 0x1.45dd4606e8654p-15, 0x1.4b098f0bacfb8p-15, 0x1.5018e29cff73fp-15, 0x1.550b53e849fcdp-15, 0x1.59e0f7309020bp-15, 0x1.5e99e41ccf9dbp-15, 0x1.6336377d5cae7p-15, 0x1.67b610fe78b71p-15, 0x1.6c198d3a9e3f5p-15, 0x1.7060c2a24e171p-15, 0x1.748bcdffa3a3ap-15, 0x1.789ab34ee7196p-15, 0x1.7c8d5d723eabfp-15, 0x1.806459cb4cc2fp-15, 0x1.841fd07db17a2p-15, 0x1.87bf5d302033p-15, 0x1.8b4388be41a25p-15, 0x1.8eac81837cf38p-15, 0x1.91fa5035b30ecp-15, 0x1.952d12fdd8fa7p-15, 0x1.9844efb403f62p-15, 0x1.9b420de9206afp-15, 0x1.9e2495c208445p-15, 0x1.a0ecb014565aap-15, 0x1.a39a867359d24p-15, 0x1.a62e434d1d684p-15, 0x1.a8a811dd48d75p-15, 0x1.ab081e111f1d1p-15, 0x1.ad4e94c9a17d2p-15, 0x1.af7ba2c40b6e8p-15, 0x1.b18f767f28461p-15, 0x1.b38a3f0f26794p-15, 0x1.b56c2cffb0998p-15, 0x1.b73571cd8d09p-15, 0x1.b8e63efbf38fbp-15, 0x1.ba7ec5702d863p-15, 0x1.bbff36174518bp-15, 0x1.bd67cce2cf562p-15, 0x1.beb8a89f150c4p-15, 0x1.bff21b9462e7bp-15, 0x1.c1143d3d36585p-15, 0x1.c21f52ac1a906p-15, 0x1.c3139509e3a8fp-15, 0x1.c3f13b249fd5ap-15, 0x1.c4b878f43157ep-15, 0x1.c569860575267p-15, 0x1.c6049b0c96b91p-15, 0x1.c689f1848ced2p-15, 0x1.c6f9c250319e8p-15, 0x1.c754477c64859p-15, 0x1.c799bb463a4c1p-15, 0x1.c7ca584a0b806p-15, 0x1.c7e659827a8b4p-15, 0x1.c7edfa44c1ee3p-15, 0x1.c7e17638bbf3fp-15, 0x1.c7c1094d8166ap-15, 0x1.c78cefaf5d776p-15, 0x1.c74565d130dcfp-15, 0x1.c6eaa866c74efp-15, 0x1.c67cf481ed3bdp-15, 0x1.c5fc875eaa3b7p-15, 0x1.c5699e258b269p-15, 0x1.c4c477462e51cp-15, 0x1.c40d4f82a29d2p-15, 0x1.c34465b1eba3ep-15, 0x1.c269f712522c4p-15, 0x1.c17e3f77e91ccp-15, 0x1.c0817fe7b0846p-15, 0x1.bf73f704771c8p-15, 0x1.be55dfaf4c26cp-15, 0x1.bd277c457894fp-15, 0x1.bbe909be3e86p-15, 0x1.ba9ac5d618b13p-15, 0x1.b93ceee90871dp-15, 0x1.b7cfc351da02dp-15, 0x1.b653815388d4p-15, 0x1.b4c86715b50e2p-15, 0x1.b32eb2adca2a8p-15, 0x1.b186a21d872b7p-15, 0x1.afd0734d3fe9ep-15, 0x1.ae0c640876a0dp-15, 0x1.ac3ab1f9801dcp-15, 0x1.aa5b9aa6c41bbp-15, 0x1.a86f5b6ba1cf7p-15, 0x1.a676316f99a7cp-15, 0x1.a470599f4f642p-15, 0x1.a25e10b34fc9bp-15, 0x1.a03f9343de3fdp-15, 0x1.9e151dce42bdp-15, 0x1.9bdeec9db05ecp-15, 0x1.999d3b791f677p-15, 0x1.9750455b6db23p-15, 0x1.94f8460c21d1dp-15, 0x1.92957cbfb2807p-15, 0x1.90281dd7d4696p-15, 0x1.8db060103181ep-15, 0x1.8b2e88f03d069p-15, 0x1.88a2d13c6af76p-15, 0x1.860d69776ae68p-15, 0x1.836e8fb454bfp-15, 0x1.80c67f17c5f12p-15, 0x1.7e156df562d78p-15, 0x1.7b5b9415b2754p-15, 0x1.78992add08c86p-15, 0x1.75ce684f1917dp-15, 0x1.72fb84048bedp-15, 0x1.7020b493032d7p-15, 0x1.6d3e3022f029cp-15, 0x1.6a542d2000983p-15, 0x1.6762e098d3ec1p-15, 0x1.646a803852224p-15, 0x1.616b3f23be3a9p-15, 0x1.5e655328bf585p-15, 0x1.5b58ef8c7848bp-15, 0x1.584647a726654p-15, 0x1.552d8e62a6014p-15, 0x1.520ef641571a4p-15, 0x1.4eeab14db2397p-15, 0x1.4bc0f12b314ffp-15, 0x1.4891e716615e4p-15, 0x1.455dc39a52659p-15, 0x1.4224b66bfed6ap-15, 0x1.3ee6efa0f1361p-15, 0x1.3ba4a2aa5ac58p-15, 0x1.385df68b027cp-15, 0x1.35131ae17c163p-15, 0x1.31c4433f0211dp-15, 0x1.2e71999f0e49fp-15, 0x1.2b1b4bbd56c27p-15, 0x1.27c186ccfd59bp-15, 0x1.246470e84a88fp-15, 0x1.21043c339c25fp-15, 0x1.1da1118685705p-15, 0x1.1a3b1afec8849p-15, 0x1.16d282a563cebp-15, 0x1.136771fb27e7cp-15, 0x1.0ffa11faf867ep-15, 0x1.0c8a8b23f924ap-15, 0x1.0919056e972f9p-15, 0x1.05a5a85cc4668p-15, 0x1.02309af1dfcb4p-15, 0x1.fd74075cf16p-16, 0x1.f6841128f5f0fp-16, 0x1.ef919ef6f17e2p-16, 0x1.e89cf8da8d5bep-16, 0x1.e1a669ae865dbp-16, 0x1.daae38df2f9a5p-16, 0x1.d3b4adacdeff9p-16, 0x1.ccba0e127d17fp-16, 0x1.c5be9f38fc824p-16, 0x1.bec2a54b40aep-16, 0x1.b7c66355359acp-16, 0x1.b0ca1b21063ecp-16, 0x1.a9ce0db069073p-16, 0x1.a2d27e692aa95p-16, 0x1.9bd7a9997e08dp-16, 0x1.94ddc98223cd4p-16, 0x1.8de5232a2fe4ap-16, 0x1.86edef2c21c38p-16, 0x1.7ff869ec28002p-16, 0x1.7904cbb8c78d6p-16, 0x1.721352a369128p-16, 0x1.6b24443942d1p-16, 0x1.6437a63389b54p-16, 0x1.5d4ddf5f95f43p-16, 0x1.566719c468877p-16, 0x1.4f838805d4071p-16, 0x1.48a35dbd2c65ep-16, 0x1.41c6ce8de1e5ap-16, 0x1.3aee0ca90de28p-16, 0x1.341948182e745p-16, 0x1.2d48b2676120bp-16, 0x1.267c7a955f69cp-16, 0x1.1fb4cf3e4ca57p-16, 0x1.18f1de123dc85p-16, 0x1.1233d3e1a493dp-16, 0x1.0b7adc9edd585p-16, }}, 
      {{-0x1.356a79991e775p-6, 0x1.b9e374b9a6b7ep-6, 0x1.22384d5129bfap-4, 0x1.9e78ab8d4415bp-4, 0x1.d1f56130c74ffp-4, 0x1.bc6d42075ecc3p-4, 0x1.66888c5dbc0a5p-4, 0x1.b9cac9b672209p-5, 0x1.693e09c1e2117p-7, -0x1.375a96990eb36p-5, -0x1.721048af18d1ep-4, -0x1.26262c8cbf7fp-3, -0x1.9148ff01633b9p-3, -0x1.f76f0dfba4ea2p-3, -0x1.2b32d655a30b7p-2, -0x1.56568905addfcp-2, -0x1.7cadb5cce7cfep-2, -0x1.9e009576d849ap-2, -0x1.ba47ddcfe6277p-2, -0x1.d1a197158a3ebp-2, -0x1.e4477fc70eb59p-2, -0x1.f286f5d2aaaa8p-2, -0x1.fcba49fe39879p-2, -0x1.01a1acffe4f15p-1, -0x1.0343a4b8ab1e3p-1, -0x1.037598e0717d2p-1, -0x1.0268d1952a31ep-1, -0x1.004c69a18b6f4p-1, -0x1.fa995a0113fc6p-2, -0x1.f325614fd5005p-2, -0x1.ea882f9a967f5p-2, -0x1.e105f8ee528ffp-2, -0x1.d6dbe5d14de7cp-2, -0x1.cc4041f5b95b9p-2, -0x1.c162c752c46e1p-2, -0x1.b66cfc5cbe60bp-2, -0x1.ab829ea902391p-2, -0x1.a0c2144ab9f0cp-2, -0x1.9644df5142482p-2, -0x1.8c201099fb57dp-2, -0x1.8264b80f27dbfp-2, -0x1.792050672f911p-2, -0x1.705d24ebfd4cap-2, -0x1.6822b0bbafc5cp-2, -0x1.6075f7689e5ffp-2, -0x1.5959d6cddd315p-2, -0x1.52cf51e502a8bp-2, -0x1.4cd5d4a3ee5fdp-2, -0x1.476b713bbeecbp-2, -0x1.428d173b91852p-2, -0x1.3e36c5136485p-2, -0x1.3a63b45c495fep-2, -0x1.370e813b72108p-2, -0x1.34314d355fbadp-2, -0x1.31c5ddcef93cap-2, -0x1.2fc5b75c9c6ebp-2, -0x1.2e2a345dc9a5ap-2, -0x1.2cec99be2328cp-2, -0x1.2c0628482255dp-2, -0x1.2b702b912e36cp-2, -0x1.2b24069bfa9d1p-2, -0x1.2b1b3e6fb12b7p-2, -0x1.2b4f82d67d6fcp-2, -0x1.2bbab57e3e3e3p-2, -0x1.2c56efa2ff0acp-2, -0x1.2d1e867b85366p-2, -0x1.2e0c0e808ed3dp-2, -0x1.2f1a5dc8a61dep-2, -0x1.30448d7cc62c3p-2, -0x1.3185faa75ef8cp-2, -0x1.32da464cf355cp-2, -0x1.343d551139058p-2, -0x1.35ab4e5d63cd8p-2, -0x1.37209b1a47515p-2, -0x1.3899e44c71945p-2, -0x1.3a14110432a68p-2, -0x1.3b8c44c875831p-2, -0x1.3cffdce811b48p-2, -0x1.3e6c6ec5a29acp-2, -0x1.3fcfc501a2852p-2, -0x1.4127dd4a56dc6p-2, -0x1.4272e6157013ap-2, -0x1.43af3b90a39dcp-2, -0x1.44db662458e31p-2, -0x1.45f6170107a85p-2, -0x1.46fe268845c54p-2, -0x1.47f291bd07778p-2, -0x1.48d2779ea2674p-2, -0x1.499d17d380be7p-2, -0x1.4a51cf9b2583bp-2, -0x1.4af0186a71c64p-2, -0x1.4b7785e290c93p-2, -0x1.4be7c38ba198ep-2, -0x1.4c4093b50e27p-2, -0x1.4c81cd3c669b4p-2, -0x1.4cab5a2985f31p-2, -0x1.4cbd364d24133p-2, -0x1.4cb76d7fcaf59p-2, -0x1.4c9a1a9589edap-2, -0x1.4c6565eeb6d16p-2, -0x1.4c19844298f28p-2, -0x1.4bb6b59a143b9p-2, -0x1.4b3d441f2e2bfp-2, -0x1.4aad8336055ap-2, -0x1.4a07ce851b566p-2, -0x1.494c891202997p-2, -0x1.487c1c7d8376dp-2, -0x1.4796f830f7aa3p-2, -0x1.469d90b341975p-2, -0x1.45905efdf3e9fp-2, -0x1.446fdfd55349ep-2, -0x1.433c93428122p-2, -0x1.41f6fc02703d1p-2, -0x1.409f9f022f263p-2, -0x1.3f3702f4f79bp-2, -0x1.3dbdafdcf1063p-2, -0x1.3c342ea36d9dcp-2, -0x1.3a9b08c70242cp-2, -0x1.38f2c7fc5d491p-2, -0x1.373bf5db9aa04p-2, -0x1.35771ba3bb4fbp-2, -0x1.33a4c1f1cbfc2p-2, -0x1.31c5707e28414p-2, -0x1.2fd9adf19aed9p-2, -0x1.2de1ffb1b9ec4p-2, -0x1.2bdee9aae491dp-2, -0x1.29d0ee3198a88p-2, -0x1.27b88de2866d8p-2, -0x1.25964778f32d7p-2, -0x1.236a97b63774bp-2, -0x1.2135f9519e9c9p-2, -0x1.1ef8e4dd00ca6p-2, -0x1.1cb3d0af61912p-2, -0x1.1a6730dd25de5p-2, -0x1.1813772bb6432p-2, -0x1.15b913014f1dep-2, -0x1.1358715ea633cp-2, -0x1.10f1fcdcd8ba4p-2, -0x1.0e861da6d521p-2, -0x1.0c153973d0b32p-2, -0x1.099fb3879a46p-2, -0x1.0725ecb48c85dp-2, -0x1.04a8435ba312p-2, -0x1.0227136cf36f3p-2, -0x1.ff456cd63866p-3, -0x1.fa3706e333638p-3, -0x1.f5239e72ef153p-3, -0x1.f00bd839bc571p-3, -0x1.eaf05439d1ab1p-3, -0x1.e5d1add5a618dp-3, -0x1.e0b07bdfc3c73p-3, -0x1.db8d50a5965b8p-3, -0x1.d668b9fe52b84p-3, -0x1.d14341605ef44p-3, -0x1.cc1d6bf4b43b4p-3, -0x1.c6f7baa51da9ap-3, -0x1.c1d2aa2d29a77p-3, -0x1.bcaeb32ffe107p-3, -0x1.b78c4a4d2d465p-3, -0x1.b26be032068afp-3, -0x1.ad4de1ac2f535p-3, -0x1.a832b7bec3ff6p-3, -0x1.a31ac7b66b68ap-3, -0x1.9e06733c34d14p-3, -0x1.98f61869f7f9dp-3, -0x1.93ea11df76b9cp-3, -0x1.8ee2b6d4b53b6p-3, -0x1.89e05b2b78f47p-3, -0x1.84e34f8436596p-3, -0x1.7febe154bba5ap-3, -0x1.7afa5afa972a6p-3, -0x1.760f03c96c286p-3, -0x1.712a201ca9329p-3, -0x1.6c4bf16edf5dep-3, -0x1.6774b66f6d123p-3, -0x1.62a4ab109e1dp-3, -0x1.5ddc089315c1ap-3, -0x1.591b05995bb31p-3, -0x1.5461d63f0667ap-3, -0x1.4fb0ac2c41095p-3, -0x1.4b07b6a09d5ap-3, -0x1.4667227d376d1p-3, -0x1.41cf1a56effb9p-3, -0x1.3d3fc68db2dd5p-3, -0x1.38b94d5e15abbp-3, -0x1.343bd2ea46bddp-3, -0x1.2fc77942428b8p-3, -0x1.2b5c6073df737p-3, -0x1.26faa6a08861fp-3, -0x1.22a2680ea78ddp-3, -0x1.1e53bf3241e45p-3, -0x1.1a0ec4b313dc8p-3, -0x1.15d38f78d5abbp-3, -0x1.11a234be48b46p-3, -0x1.0d7ac82322afdp-3, -0x1.095d5bb637909p-3, -0x1.0549fffa68a0dp-3, -0x1.0140c3ee686d4p-3, -0x1.fa836a36d0eb8p-4, -0x1.f299bf4d06136p-4, -0x1.eac49cbb2a0a2p-4, -0x1.e304157b5fecp-4, -0x1.db5839eeb9a86p-4, -0x1.d3c117ef2cd7ap-4, -0x1.cc3ebaebf44e8p-4, -0x1.c4d12c06afaf1p-4, -0x1.bd787227057f8p-4, -0x1.b63492044759p-4, -0x1.af058e2e1a852p-4, -0x1.a7eb671d3e3eep-4, -0x1.a0e61b4c4c66ep-4, -0x1.99f5a7506c257p-4, -0x1.931a05ea244e7p-4, -0x1.8c53300e610fp-4, -0x1.85a11cee46454p-4, -0x1.7f03c204b32e2p-4, -0x1.787b132a85cep-4, -0x1.720702abf886ap-4, -0x1.6ba78158d518ap-4, -0x1.655c7e8e02a85p-4, -0x1.5f25e83c81752p-4, -0x1.5903aaf32d783p-4, -0x1.52f5b1ede51dbp-4, -0x1.4cfbe72792dddp-4, -0x1.4716336a3605cp-4, -0x1.41447e59ef8a7p-4, -0x1.3b86ae7c2fe37p-4, -0x1.35dca93ec31f7p-4, -0x1.30465301e1f83p-4, -0x1.2ac38f25de511p-4, -0x1.25544019d0bacp-4, -0x1.1ff847680a0bp-4, -0x1.1aaf85bee119p-4, -0x1.1579daf722f36p-4, -0x1.1057261ab594p-4, -0x1.0b47456d76255p-4, -0x1.064a167872575p-4, -0x1.015f7615c5504p-4, -0x1.f90e80f5f0e34p-5, -0x1.ef82a281c2f3ep-5, -0x1.e61b06d355deap-5, -0x1.dcd762cd56eb5p-5, -0x1.d3b76a3f047e1p-5, -0x1.cabacff5a76ebp-5, -0x1.c1e145cfa0a4dp-5, -0x1.b92a7cce47c3fp-5, -0x1.b0962524ab27dp-5, -0x1.a823ee433ddc9p-5, -0x1.9fd386e21b8a2p-5, -0x1.97a49d0c0b6d4p-5, -0x1.8f96de2b7ce99p-5, -0x1.87a9f71915363p-5, -0x1.7fdd942a97764p-5, -0x1.783161410ba85p-5, -0x1.70a509d3c57e3p-5, -0x1.693838f9f6f3fp-5, -0x1.61ea9973c8d0bp-5, -0x1.5abbd5b3c3b96p-5, -0x1.53ab97e9704b7p-5, -0x1.4cb98a0cec195p-5, -0x1.45e555ea88275p-5, -0x1.3f2ea52d84779p-5, -0x1.3895216979d14p-5, -0x1.32187422851c9p-5, -0x1.2bb846d4bfa7bp-5, -0x1.257442fbd3384p-5, -0x1.1f4c121b2e32ap-5, -0x1.193f5dc6cbe23p-5, -0x1.134dcfac1832dp-5, -0x1.0d77119a6f7e3p-5, -0x1.07bacd8ae1686p-5, -0x1.0218ada70e557p-5, -0x1.f920b89eb1a3p-6, -0x1.ee430841a0827p-6, -0x1.e3979ff58b6f6p-6, -0x1.d91dd60dd6045p-6, -0x1.ced501790b7ecp-6, -0x1.c4bc79d4f6b42p-6, -0x1.bad39776e6c2bp-6, -0x1.b119b3781b083p-6, -0x1.a78e27bfe7bd5p-6, -0x1.9e304f0ce4467p-6, -0x1.94ff84fd7d4cbp-6, -0x1.8bfb26187e652p-6, -0x1.83228fd61bca2p-6, -0x1.7a7520a93243ep-6, -0x1.71f23808a1ce9p-6, -0x1.6999367850fe2p-6, -0x1.61697d9173cc3p-6, -0x1.59627009d72dep-6, -0x1.518371ba00e4ep-6, -0x1.49cbe7a273c32p-6, -0x1.423b37f0a7ef3p-6, -0x1.3ad0ca046f86dp-6, -0x1.338c06762f10ap-6, -0x1.2c6c571da57bap-6, -0x1.2571271926d18p-6, -0x1.1e99e2d4161a2p-6, -0x1.17e5f80c19701p-6, -0x1.1154d5d45dfb7p-6, -0x1.0ae5ec972587bp-6, -0x1.0498ae165fea7p-6, -0x1.fcd91ad97db8ep-7, -0x1.f0c1fe211c947p-7, -0x1.e4eaf1b1f5694p-7, -0x1.d952e40a4bc73p-7, -0x1.cdf8c6873f0b2p-7, -0x1.c2db8d7054734p-7, -0x1.b7fa2ffc05d63p-7, -0x1.ad53a84becb1bp-7, -0x1.a2e6f36252f88p-7, -0x1.98b31115d74bp-7, -0x1.8eb70409960c3p-7, -0x1.84f1d1af2f4c2p-7, -0x1.7b62825483cf4p-7, -0x1.7208213a654aep-7, -0x1.68e1bcacee409p-7, -0x1.5fee661477be1p-7, -0x1.572d31f758e95p-7, -0x1.4e9d37e98235ap-7, -0x1.463d926de2d06p-7, -0x1.3e0d5ed2fe9a3p-7, -0x1.360bbd183aac3p-7, -0x1.2e37cfe6bd3eep-7, -0x1.2690bca36cd8bp-7, -0x1.1f15ab961d8a3p-7, -0x1.17c5c81958b4fp-7, -0x1.10a040c139ebp-7, -0x1.09a4476917b2cp-7, -0x1.02d1111e98e2dp-7, -0x1.f84babd95dda3p-8, -0x1.eb43a129c9ff4p-8, -0x1.de887c9a866b1p-8, -0x1.d218bd3382777p-8, -0x1.c5f2e6a297577p-8, -0x1.ba15819f4780ap-8, -0x1.ae7f1c8cc3219p-8, -0x1.a32e4c253d408p-8, -0x1.9821abf0ec54fp-8, -0x1.8d57de579cd01p-8, -0x1.82cf8c392895ap-8, -0x1.788764216389ep-8, -0x1.6e7e194ef046p-8, -0x1.64b262d9d92c3p-8, -0x1.5b22fb423455ap-8, -0x1.51cea09247eefp-8, -0x1.48b4151216cd4p-8, -0x1.3fd2205adf5d2p-8, -0x1.3727907460995p-8, -0x1.2eb33a9d2ad78p-8, -0x1.2673fb71dc37dp-8, -0x1.1e68b6553ff0fp-8, -0x1.16905435972b1p-8, -0x1.0ee9c201e6851p-8, -0x1.0773ef4257c6fp-8, -0x1.002dcd43e24f4p-8, -0x1.f22c9e43eb0bp-9, -0x1.e458d570d646ap-9, -0x1.d6de348143274p-9, -0x1.c9babc47ab2d9p-9, -0x1.bcec7ce9728a5p-9, -0x1.b071972716c52p-9, -0x1.a4483b70580aep-9, -0x1.986ea6d56a40fp-9, -0x1.8ce31e8b3c7e2p-9, -0x1.81a3eb337fafp-9, -0x1.76af553ea84dp-9, -0x1.6c03a3825be3p-9, -0x1.619f1c8ca2f48p-9, -0x1.57800a7c8c068p-9, -0x1.4da4c06c11d33p-9, -0x1.440b9ff5f9a5ep-9, -0x1.3ab31d440088ep-9, -0x1.3199c0637b176p-9, -0x1.28be23556fc5fp-9, -0x1.201eed2fda687p-9, -0x1.17bacb772f376p-9, -0x1.0f906b5947329p-9, -0x1.079e747ff8aebp-9, -0x1.ffc70db39d243p-10, -0x1.f0bc77ee5b2afp-10, -0x1.e21a57f943bd7p-10, -0x1.d3dde95812796p-10, -0x1.c60482fd6c1acp-10, -0x1.b88ba4008a1bep-10, -0x1.ab70fa0a19467p-10, -0x1.9eb25f3589886p-10, -0x1.924dd00003c6ap-10, -0x1.86415c0d1d429p-10, -0x1.7a8b15adf923bp-10, -0x1.6f2903e0402aap-10, -0x1.6419196424e37p-10, -0x1.5959324ce5521p-10, -0x1.4ee71886f18cp-10, -0x1.44c08efaf575ep-10, -0x1.3ae361a9050d4p-10, -0x1.314d772c2fb0fp-10, -0x1.27fcdeb04aa19p-10, -0x1.1eefd592d4552p-10, -0x1.1624c2d140208p-10, -0x1.0d9a2a8c85ecep-10, -0x1.054e9f053a191p-10, -0x1.fa8168959dffbp-11, -0x1.eaddf187b94dfp-11, -0x1.dbafe2d0cff74p-11, -0x1.ccf42edb2a4b2p-11, -0x1.bea7ade7560abp-11, -0x1.b0c7220615847p-11, -0x1.a34f478d8d2f8p-11, -0x1.963cf1ec222c4p-11, -0x1.898d2ad7b5e1ep-11, -0x1.7d3d43bc670a5p-11, -0x1.714acd8ea9e08p-11, -0x1.65b37963b49b9p-11, -0x1.5a74f3de903cp-11, -0x1.4f8cd28e173afp-11, -0x1.44f89ef38a7bep-11, -0x1.3ab5f579dbeaap-11, -0x1.30c29f90a88bdp-11, -0x1.271c93fb5853dp-11, -0x1.1dc1dd48e1f6ap-11, -0x1.14b07bc1c4c65p-11, -0x1.0be65d6624e28p-11, -0x1.0361749673bf6p-11, -0x1.f63fba11e855dp-12, -0x1.e63fe2e6eb3acp-12, -0x1.d6c077345a77cp-12, -0x1.c7be7e3bd63a3p-12, -0x1.b93672159dfb5p-12, -0x1.ab23f8a14a64p-12, -0x1.9d82131bb2998p-12, -0x1.904bbdf8b969p-12, -0x1.837cae2f8b875p-12, -0x1.7711bb8bc28dap-12, -0x1.6b08b74dd17a7p-12, -0x1.5f5fd28ccbe77p-12, -0x1.5415078d7f5b1p-12, -0x1.4925eff3a0d33p-12, -0x1.3e90144ecca7fp-12, -0x1.3451636541c86p-12, -0x1.2a686b5f2feedp-12, -0x1.20d42106af06p-12, -0x1.179347fd21664p-12, -0x1.0ea3c5603d3ap-12, -0x1.06023864573d2p-12, -0x1.fb5433004a3c8p-13, -0x1.eb2ccbca76292p-13, -0x1.db8531ca8df2fp-13, -0x1.cc5701b6e39e3p-13, -0x1.bd9efa654b128p-13, -0x1.af5bfe7ba3a68p-13, -0x1.a18d429173562p-13, -0x1.9430e8f773b42p-13, -0x1.8743e879b4ebep-13, -0x1.7ac30affdbd5fp-13, -0x1.6eac1709cb465p-13, -0x1.62fe44f7d58d7p-13, -0x1.57b9976f0e828p-13, -0x1.4cdd6d119fba9p-13, -0x1.4267491dacd38p-13, -0x1.3852902d43afbp-13, -0x1.2e990d81dd58cp-13, -0x1.2533bb986de31p-13, -0x1.1c1bad1ed6f45p-13, -0x1.134b1d5a9b23p-13, -0x1.0abe561e52f1fp-13, -0x1.0273e633ca6cfp-13, -0x1.f4d7cd773f93dp-14, -0x1.e54d3a5fd8143p-14, -0x1.d6469fb3f9d88p-14, -0x1.c7c0189828055p-14, -0x1.b9b5019196787p-14, -0x1.ac22a46c4f389p-14, -0x1.9f0941025469bp-14, -0x1.9269c4646abefp-14, -0x1.8642702820e24p-14, -0x1.7a8e0dcd0633bp-14, -0x1.6f45ec6d79e4cp-14, -0x1.6464025c67decp-14, -0x1.59e33b04254b1p-14, -0x1.4fbe59796123fp-14, -0x1.45ef2139ada77p-14, -0x1.3c6eb4bdbc763p-14, -0x1.3336fcde4cf4ep-14, -0x1.2a44b37595c5dp-14, -0x1.21987b0091fb5p-14, -0x1.1934cb8fe0d5ep-14, -0x1.1119e48cd99eep-14, -0x1.094452dba4b36p-14, -0x1.01b04577328fbp-14, -0x1.f4ba7e2e61d74p-15, -0x1.e6994d361ca55p-15, -0x1.d8fb6157b5ae9p-15, -0x1.cbd8a2ffc2c1bp-15, -0x1.bf26c2db9aee7p-15, -0x1.b2ddd81a1e091p-15, -0x1.a6fa4d941a84fp-15, -0x1.9b7c21cdb2561p-15, -0x1.906419bb88ca9p-15, -0x1.85b05fa19aaap-15, -0x1.7b5a938cc4249p-15, -0x1.7157a4cbea9ebp-15, -0x1.679ad4da663aap-15, -0x1.5e1e6236a2f2ap-15, -0x1.54e83623db197p-15, -0x1.4bff6f808a549p-15, -0x1.4360e3637a4ap-15, -0x1.3b04e68cf511ap-15, -0x1.32eae167d1e86p-15, -0x1.2b1668b2cbfbp-15, -0x1.23861d6fd8d4dp-15, -0x1.1c3360d7acc98p-15, -0x1.15176188ae919p-15, -0x1.0e2dd67772489p-15, -0x1.0774b47860a98p-15, -0x1.00eb54c1b173ep-15, -0x1.f524957a3f21ap-16, -0x1.e8d66819402d1p-16, -0x1.dceeeb1882054p-16, -0x1.d16d4070304bdp-16, -0x1.c64ab64e125dbp-16, -0x1.bb76f4f5cd458p-16, -0x1.b0dda19f394e7p-16, -0x1.a67e17bfecf2bp-16, -0x1.9c68b5eb2e23ep-16, -0x1.929dd3f00f8fap-16, -0x1.89110e7a1007fp-16, -0x1.7fc4037facf93p-16, -0x1.76be33a6b9254p-16, -0x1.6dfbf1bf0270ap-16, -0x1.65731b52ca2f6p-16, -0x1.5d1c8181899d1p-16, -0x1.54f59840a6b73p-16, -0x1.4cfdf6889aeffp-16, -0x1.453537118dedep-16, -0x1.3d9a51f73e7fep-16, -0x1.362c243cf0635p-16, -0x1.2eea73f47679ep-16, -0x1.27d63dde0438ep-16, -0x1.20f088ca1181fp-16, -0x1.1a3996a5f59cap-16, -0x1.13b010d741459p-16, -0x1.0d4a9e8a4836cp-16, -0x1.06fdcc8ad0375p-16, -0x1.00cfcc4b3c99p-16, -0x1.f58a12c012b13p-17, -0x1.e9ab8dd2247c8p-17, -0x1.de0bb44f5e915p-17, -0x1.d2b5a20f98589p-17, -0x1.c79ff26e29ca8p-17, -0x1.bcbe7385a962dp-17, -0x1.b20cbf065e8fbp-17, -0x1.a78ad9afb7c5bp-17, -0x1.9d394c58b1356p-17, -0x1.9317f94b36b61p-17, -0x1.8926156c9f4e8p-17, -0x1.7f623e55bc70dp-17, -0x1.75caa286b6bbp-17, -0x1.6c5d82cc86fa2p-17, -0x1.631a0e4a96f04p-17, -0x1.5a0085475a909p-17, -0x1.5110eb46c629p-17, -0x1.484c70149e0b6p-17, -0x1.3fb6c60d7a6ffp-17, -0x1.374719c3ad785p-17, -0x1.2ef29a0193ef5p-17, -0x1.26be87ad1e75cp-17, -0x1.1ea570cc56b33p-17, -0x1.16b01c262aea1p-17, -0x1.0ee398ad43cdcp-17, -0x1.073738a4c5f08p-17, -0x1.ff4cbcbbcc16dp-18, -0x1.f0626bc06e8a5p-18, -0x1.e1b0fa7ff829ap-18, -0x1.d338a9b156418p-18, -0x1.c4f8d83fce6dp-18, -0x1.b6f0943bc8e5bp-18, -0x1.a91ee6062495p-18, -0x1.9b82d54e6530ep-18, -0x1.8e1b3c79c239ap-18, -0x1.80e6aeb4de71dp-18, -0x1.73e3b1eeabd3cp-18, -0x1.67115f4d31f02p-18, -0x1.5a6f4cdfce6dep-18, -0x1.4dfc9127a42ffp-18, -0x1.41bb69ff07af9p-18, -0x1.35b3b7deb8db2p-18, -0x1.29dc6ab4c5e4p-18, -0x1.1e2972e91c1dap-18, -0x1.1299d03324242p-18, -0x1.073b1ca4ba325p-18, -0x1.f81f4e17b57dep-19, -0x1.e21a0802b186dp-19, -0x1.cc63a4e2495e7p-19, -0x1.b6fec5f809566p-19, -0x1.a1ec63e8ae4ap-19, -0x1.8d2c243170301p-19, -0x1.78bd2beacbbbbp-19, -0x1.649e851f2c416p-19, -0x1.50cf3ec52cb27p-19, -0x1.3d4e84d2454b9p-19, -0x1.2a1ba35a6556p-19, -0x1.1735eff625673p-19, -0x1.049c9fc6f8471p-19, -0x1.e49d560cabcfcp-20, -0x1.c095d584ffde6p-20, -0x1.9d20fc389a57cp-20, -0x1.7a3db20f65bbdp-20, -0x1.57ea5ad6dd39cp-20, -0x1.362a43da0ade9p-20, -0x1.15081b92db849p-20, -0x1.e8e9d42bbceafp-21, -0x1.a8b3b981bb442p-21, -0x1.699d38ba0b941p-21, -0x1.2bb3ad83112eep-21, -0x1.dda6a73b85f15p-22, -0x1.65f8f89efacd8p-22, -0x1.e0ca6377e3541p-23, -0x1.f3a92f58d2de5p-24, -0x1.7089a3c7bd54dp-27, 0x1.8f4549b6d447dp-24, 0x1.a2366397943fcp-23, 0x1.3c5dd4d8f24d7p-22, 0x1.a59daf6ddf1c7p-22, 0x1.066f8af23e86ap-21, 0x1.391315b8612aap-21, 0x1.6abb7368d4af5p-21, 0x1.9b6aa11b37003p-21, 0x1.cb22c4eca7a09p-21, 0x1.f9e63890ac656p-21, 0x1.13dbc22e53c2ap-20, 0x1.2a4c6e403d2ddp-20, 0x1.40460c35e9d36p-20, 0x1.55c9afb6cfb7ep-20, 0x1.6ad79eeaf5a76p-20, 0x1.7f6f6b8312891p-20, 0x1.9395732f763d6p-20, 0x1.a74ac5e51f1b7p-20, 0x1.ba8d10a3a22c1p-20, 0x1.cd5feb1232e03p-20, 0x1.dfc4db04cc272p-20, 0x1.f1bc30556f5fp-20, 0x1.01a365ef27503p-19, 0x1.0a32e14e501dcp-19, 0x1.128d18a1fbea5p-19, 0x1.1ab2992ccb8a3p-19, 0x1.22a3ef85cf45fp-19, 0x1.2a61a890540e2p-19, 0x1.31ec513151fb7p-19, 0x1.3944767df1fcdp-19, 0x1.406aa55c3bae5p-19, 0x1.475f6cd1dbdcbp-19, 0x1.4e2356ee02fc6p-19, 0x1.54b6f49c3d5d9p-19, 0x1.5b1ad418acd57p-19, 0x1.614f85cc6f5dfp-19, 0x1.675599dfc442cp-19, 0x1.6d2d9eaf33772p-19, 0x1.72d821a3eb64dp-19, 0x1.7855eae67a5ep-19, 0x1.7da6d988b24a8p-19, 0x1.82cc4bbfbb8ecp-19, 0x1.87c6726018604p-19, 0x1.8c95ea210826bp-19, 0x1.913b3efbe90b5p-19, 0x1.95b70741417d1p-19, 0x1.9a09d53e0c31dp-19, 0x1.9e34373486eedp-19, 0x1.a236bcfcbb779p-19, 0x1.a611f7659b543p-19, 0x1.a9c6791fc7589p-19, 0x1.ad54cf2c6cf05p-19, 0x1.b0bd8ab51a6b7p-19, 0x1.b4013b7980484p-19, 0x1.b72070dde18f5p-19, 0x1.ba1bb9e8f9698p-19, 0x1.bcf3a54b2a9c9p-19, 0x1.bfa8c15ab9f8ap-19, 0x1.c23b9c1f0645ap-19, 0x1.c4acc36203e79p-19, 0x1.c6fcc4c4a8caap-19, 0x1.c92c2d06ef824p-19, 0x1.cb3b87f6ee10cp-19, 0x1.cd2b5e5fbb7f2p-19, 0x1.cefc3547c964ap-19, 0x1.d0aeaa895855ep-19, 0x1.d2433e782bf4bp-19, 0x1.d3ba6db9feaedp-19, 0x1.d514c9fa643ffp-19, 0x1.d652e63d80af1p-19, 0x1.d7753ac183cc6p-19, 0x1.d87c4c880eb5ep-19, 0x1.d968af26314f2p-19, 0x1.da3ad57758861p-19, 0x1.daf3487e4e259p-19, 0x1.db928d22a3569p-19, 0x1.dc1924c674749p-19, 0x1.dc878ffc0fc04p-19, 0x1.dcde4e69dd731p-19, 0x1.dd1dde94d9465p-19, 0x1.dd46be1a333bdp-19, 0x1.dd5969b063bdbp-19, 0x1.dd565d05899ap-19, 0x1.dd3e12b39f15dp-19, 0x1.dd110439d8d39p-19, 0x1.dccfaa09187fap-19, 0x1.dc7a7b7d9cff1p-19, 0x1.dc11eed9a82fcp-19, 0x1.db967936c1659p-19, 0x1.db088e7fd8e37p-19, 0x1.da68a16b00af2p-19, 0x1.d9b723849ebaap-19, 0x1.d8f4853802f04p-19, 0x1.d82135b645512p-19, 0x1.d73da29d9579dp-19, 0x1.d64a38f8b74b8p-19, 0x1.d54764ca90fb7p-19, 0x1.d43590c0dc99dp-19, 0x1.d315254dff706p-19, 0x1.d1e68970b4c8fp-19, 0x1.d0aa2512bdb64p-19, 0x1.cf605c705d98p-19, 0x1.ce09940cc36fap-19, 0x1.cca62f00b4584p-19, 0x1.cb368da35adf7p-19, 0x1.c9bb0df00e783p-19, 0x1.c83417cdc0c8fp-19, 0x1.c6a1ffd772486p-19, 0x1.c505257807cb6p-19, 0x1.c35de3292c6b9p-19, 0x1.c1ac90dac32b2p-19, 0x1.bff18cd8d059p-19, 0x1.be2d298d50fd5p-19, 0x1.bc5fbfd58722ep-19, 0x1.ba899d1f8c8bbp-19, 0x1.b8ab1c64440b3p-19, 0x1.b6c48cf595224p-19, 0x1.b4d63f67e92e6p-19, 0x1.b2e083399b99bp-19, 0x1.b0e3a6e0e9927p-19, 0x1.aedff6fe4a753p-19, 0x1.acd5befc21d21p-19, 0x1.aac5495d3b637p-19, 0x1.a8aedf13bd434p-19, 0x1.a692c7219531cp-19, 0x1.a4714880a53d9p-19, 0x1.a24aaee57c6dbp-19, 0x1.a01f32a0068ddp-19, 0x1.9def17e265f58p-19, 0x1.9bbaa99f70c0bp-19, 0x1.998222c884458p-19, 0x1.9745c3f1ba8fbp-19, 0x1.9505cc64ae86p-19, 0x1.92c26ec919539p-19, 0x1.907bf24e44f26p-19, 0x1.8e328dafaf198p-19, 0x1.8be6798a41599p-19, 0x1.8997ee0992e01p-19, 0x1.8747221da9115p-19, 0x1.84f44b8becdb9p-19, 0x1.829f9ecf2a0e5p-19, 0x1.80494f6ebe2efp-19, 0x1.7df18fc810e5cp-19, 0x1.7b989139c2345p-19, 0x1.793e83eaf0d5dp-19, 0x1.76e397131b735p-19, 0x1.74880013485c4p-19, 0x1.722bd5ce99c2bp-19, 0x1.6fcf57f70733ep-19, 0x1.6d72acbc05b16p-19, 0x1.6b15fda40980cp-19, 0x1.68b972f96bebbp-19, 0x1.665d34963b4ap-19, 0x1.6401694ad5ec7p-19, 0x1.61a636c1d7f3ap-19, 0x1.5f4bc17ec4e57p-19, 0x1.5cf22eb6c4b14p-19, 0x1.5a99a03ed3823p-19, 0x1.5842394ed0e17p-19, 0x1.55ec14f161f57p-19, 0x1.53975b95740f2p-19, 0x1.514427fbcaa78p-19, 0x1.4ef29b8ef787dp-19, 0x1.4ca2cdfb72d0dp-19, 0x1.4a54e97b2135ap-19, 0x1.4809633f53c55p-19, 0x1.45bf1e3a11fe6p-19, 0x1.43776a8e3c67bp-19, 0x1.413206bbb4f45p-19, 0x1.3eef04e6a0f1dp-19, 0x1.3cae7b8ffe1aep-19, 0x1.3a7082d2788d9p-19, 0x1.383530d62c892p-19, 0x1.35fc98252682dp-19, 0x1.33c6d02195bep-19, 0x1.3193eb8acee6dp-19, 0x1.2f63fd95ea67ap-19, 0x1.2d3718a705134p-19, 0x1.2b0d4e6c9c24p-19, 0x1.28e6afe50d874p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.1e1dbe967909dp-6, -0x1.1d5dc8f4e7fdfp-5, -0x1.aa30b67f5a82cp-5, -0x1.1a699050ff486p-4, -0x1.5e4d7c672a16ap-4, -0x1.a0757c42f2044p-4, -0x1.e09a2428689acp-4, -0x1.0f3de2f9ad8b7p-3, -0x1.2cf159be71649p-3, -0x1.494fa415063dap-3, -0x1.6444e23d3f827p-3, -0x1.7dc102dfe8ac3p-3, -0x1.95b7918b83bbbp-3, -0x1.ac1f7bc28a547p-3, -0x1.c0f2cfec04267p-3, -0x1.d42e78dfadda6p-3, -0x1.e5d1f83d7d15bp-3, -0x1.f5df21479d054p-3, -0x1.022ceac732e12p-2, -0x1.08a3e2336ec12p-2, -0x1.0e5816ede64bap-2, -0x1.134dd4c73d597p-2, -0x1.1789f8e611774p-2, -0x1.1b11d97b99c4ep-2, -0x1.1deb2fa2b0a13p-2, -0x1.201c035e56054p-2, -0x1.21aa99a418bcep-2, -0x1.229d64589fa9fp-2, -0x1.22faf42054143p-2, -0x1.22c9ebe3884b6p-2, -0x1.2210f5e435439p-2, -0x1.20d6ba430de6ep-2, -0x1.1f21d6d23e251p-2, -0x1.1cf8d815387f9p-2, -0x1.1a62334e9b085p-2, -0x1.1764417ef7258p-2, -0x1.14053b397437ap-2, -0x1.104b35354d885p-2, -0x1.0c3c1d8570742p-2, -0x1.07ddb9619af4cp-2, -0x1.0335a36e660e1p-2, -0x1.fc9294e75fd81p-3, -0x1.f23be0e536d3ep-3, -0x1.e771541c378bap-3, -0x1.dc3cbc751b8a1p-3, -0x1.d0a78c54808ep-3, -0x1.c4badadc3c8d8p-3, -0x1.b87f648580fbap-3, -0x1.abfd8c066fa39p-3, -0x1.9f3d5b776e063p-3, -0x1.924685ae25f99p-3, -0x1.852067c55fd2fp-3, -0x1.77d20aca28b91p-3, -0x1.6a622587a1b7cp-3, -0x1.5cd71e6bb71cfp-3, -0x1.4f370d7fcc9b5p-3, -0x1.4187be7102d9bp-3, -0x1.33ceb2a4428d8p-3, -0x1.26112352c97e7p-3, -0x1.185403ac40974p-3, -0x1.0a9c02fbe1b21p-3, -0x1.f9db1d9cb17f8p-4, -0x1.de99aa2cee759p-4, -0x1.c37b8c9de6462p-4, -0x1.a8882f2f607cfp-4, -0x1.8dc6899a63522p-4, -0x1.733d25322a9d9p-4, -0x1.58f220f4fa08ep-4, -0x1.3eeb358b26381p-4, -0x1.252db932b2ecfp-4, -0x1.0bbea3963ca36p-4, -0x1.e545231c1b562p-5, -0x1.b3bb9194ec5b3p-5, -0x1.82e876cd4489ap-5, -0x1.52d316c6b787dp-5, -0x1.23821c1288979p-5, -0x1.e9f73cc8ea722p-6, -0x1.8e8a51e6f0aefp-6, -0x1.34c78150be957p-6, -0x1.b96fa8692c4a9p-7, -0x1.0cc6bd655cb4bp-7, -0x1.8e8a587d1b2acp-9, 0x1.07c0dbd644578p-9, 0x1.c7cd7934fd075p-8, 0x1.8237a2a224933p-7, 0x1.0e6d8943547c9p-6, 0x1.59e5525ac84e9p-6, 0x1.a380a74682a42p-6, 0x1.eb3da883034f8p-6, 0x1.188d8a01b191ap-5, 0x1.3a8c1e9617b1dp-5, 0x1.5b9a828ebb947p-5, 0x1.7bb8e9a4c692ep-5, 0x1.9ae7c72af9d09p-5, 0x1.b927caa1f8c7cp-5, 0x1.d679dc6f27dfdp-5, 0x1.f2df1ab4dcc34p-5, 0x1.072c6b25572cdp-4, 0x1.147447ea55a16p-4, 0x1.2147fa7c25867p-4, 0x1.2da86ed6fc777p-4, 0x1.3996a4d7091e6p-4, 0x1.4513aefc25e37p-4, 0x1.5020b13a387d7p-4, 0x1.5abedfd5bc61fp-4, 0x1.64ef7e4bfaa5cp-4, 0x1.6eb3de467c13bp-4, 0x1.780d5e993f415p-4, 0x1.80fd6a4b46ca3p-4, 0x1.898577a914e9cp-4, 0x1.91a70760b464dp-4, 0x1.9963a3a6e9c94p-4, 0x1.a0bcdf653729ap-4, 0x1.a7b455705ab91p-4, 0x1.ae4ba7c6edadcp-4, 0x1.b4847ed7e821p-4, 0x1.ba6088d0a7ef9p-4, 0x1.bfe178f246884p-4, 0x1.c50906eded9c8p-4, 0x1.c9d8ee47fb33fp-4, 0x1.ce52edc1a0b15p-4, 0x1.d278c6c8d7d72p-4, 0x1.d64c3cee703a4p-4, 0x1.d9cf1561fb12cp-4, 0x1.dd03167369727p-4, 0x1.dfea071a34687p-4, 0x1.e285ae81d343ap-4, 0x1.e4d7d39b577b9p-4, 0x1.e6e23cb413dfp-4, 0x1.e8a6af1111729p-4, 0x1.ea26ee8f43ef5p-4, 0x1.eb64bd48420f5p-4, 0x1.ec61db3b6e4eap-4, 0x1.ed2005fb6263bp-4, 0x1.eda0f85f911e6p-4, 0x1.ede66a39e9e6cp-4, 0x1.edf210105ff3dp-4, 0x1.edc59ada4e303p-4, 0x1.ed62b7c1868b3p-4, 0x1.eccb0fe6eece6p-4, 0x1.ec00482a9ce37p-4, 0x1.eb0400f75f326p-4, 0x1.e9d7d6116e3c9p-4, 0x1.e87d5e686c671p-4, 0x1.e6f62bec5f832p-4, 0x1.e543cb65b0648p-4, 0x1.e367c45017e5ep-4, 0x1.e16398b846557p-4, 0x1.df38c51c535dcp-4, 0x1.dce8c04ec5282p-4, 0x1.da74fb5c20a5ap-4, 0x1.d7dee172fbf6p-4, 0x1.d527d7ce5e24dp-4, 0x1.d2513da27c123p-4, 0x1.cf5c6c0ba3085p-4, 0x1.cc4ab5ff44abfp-4, 0x1.c91d683f22866p-4, 0x1.c5d5c94e5d588p-4, 0x1.c2751968861eap-4, 0x1.befc927a787a7p-4, 0x1.bb6d681cfcbf7p-4, 0x1.b7c8c7911ac4ep-4, 0x1.b40fd7be19f6ap-4, 0x1.b043b930ff269p-4, 0x1.ac65861d9b784p-4, 0x1.a8765260fce68p-4, 0x1.a4772b854226p-4, 0x1.a06918c6c3d17p-4, 0x1.9c4d1b1a71732p-4, 0x1.98242d3562c53p-4, 0x1.93ef4395937c2p-4, 0x1.8faf4c8ba0cafp-4, 0x1.8b653045992a9p-4, 0x1.8711d0dabd517p-4, 0x1.82b60a582b254p-4, 0x1.7e52b2ce651a5p-4, 0x1.79e89a5fa8fcep-4, 0x1.75788b4f091efp-4, 0x1.71034a103d5cdp-4, 0x1.6c8995581ef35p-4, 0x1.680c262dc2d81p-4, 0x1.638baffc2b5bep-4, 0x1.5f08e0a480bc7p-4, 0x1.5a846090c9c8p-4, 0x1.55fed2c71c214p-4, 0x1.5178d4fd355d5p-4, 0x1.4cf2ffac77b33p-4, 0x1.486de6263f835p-4, 0x1.43ea16a888e9cp-4, 0x1.3f681a72dcbdap-4, 0x1.3ae875db7d6bfp-4, 0x1.366ba864cc4bbp-4, 0x1.31f22cd2dd35ep-4, 0x1.2d7c794135378p-4, 0x1.290aff38a8941p-4, 0x1.249e2bc5551afp-4, 0x1.2036678cb1119p-4, 0x1.1bd416e3a88bp-4, 0x1.177799e4c27ccp-4, 0x1.13214c8649dfdp-4, 0x1.0ed186b072c59p-4, 0x1.0a889c5379716p-4, 0x1.0646dd7db2ab7p-4, 0x1.020c96718cc58p-4, 0x1.fbb41f76f3271p-5, 0x1.f35f1c8f7e1f1p-5, 0x1.eb1aa6f054846p-5, 0x1.e2e73a733df86p-5, 0x1.dac54c330866fp-5, 0x1.d2b54ab60d03dp-5, 0x1.cab79e185cf77p-5, 0x1.c2cca83592379p-5, 0x1.baf4c4d23bbfp-5, 0x1.b33049c4e2545p-5, 0x1.ab7f871e9d6d3p-5, 0x1.a3e2c753393dfp-5, 0x1.9c5a4f60e3bf9p-5, 0x1.94e65ef760ad5p-5, 0x1.8d87309ebed81p-5, 0x1.863cf9dd8dc23p-5, 0x1.7f07eb5e8cd34p-5, 0x1.77e83115d47e9p-5, 0x1.70ddf265768bcp-5, 0x1.69e9524190ee6p-5, 0x1.630a6f53d2d27p-5, 0x1.5c41641e71c19p-5, 0x1.558e471e8f94ep-5, 0x1.4ef12aee0975cp-5, 0x1.486a1e64b7519p-5, 0x1.41f92cb91131dp-5, 0x1.3b9e5da046c8cp-5, 0x1.3559b56db525ep-5, 0x1.2f2b3531d0baap-5, 0x1.2912dad873284p-5, 0x1.2310a1468e976p-5, 0x1.1d24807750ce3p-5, 0x1.174e6d98aa0edp-5, 0x1.118e5b273f7b1p-5, 0x1.0be43909c5798p-5, 0x1.064ff4abc707dp-5, 0x1.00d17917d23e3p-5, 0x1.f6d15e222f766p-6, 0x1.ec2afa58e36d9p-6, 0x1.e1af8fd1adea5p-6, 0x1.d75ee38e84c9ap-6, 0x1.cd38b6c407978p-6, 0x1.c33cc7070ba92p-6, 0x1.b96ace79037a7p-6, 0x1.afc283f35720fp-6, 0x1.a6439b319da35p-6, 0x1.9cedc4fac5fd6p-6, 0x1.93c0af493084cp-6, 0x1.8abc0571bb7e1p-6, 0x1.81df7049c17b5p-6, 0x1.792a964c17959p-6, 0x1.709d1bbd03c49p-6, 0x1.6836a2cd352edp-6, 0x1.5ff6cbbbbfd94p-6, 0x1.57dd34f71ff0ep-6, 0x1.4fe97b3d499a3p-6, 0x1.481b39bac817p-6, 0x1.40720a28e9733p-6, 0x1.38ed84eb0c87bp-6, 0x1.318d412afc379p-6, 0x1.2a50d4f47359bp-6, 0x1.2337d54fbf73bp-6, 0x1.1c41d65b868p-6, 0x1.156e6b65bb01p-6, 0x1.0ebd2703bb90ap-6, 0x1.082d9b29a65e4p-6, 0x1.01bf5940e09abp-6, 0x1.f6e3e47bb04fdp-7, 0x1.ea89ed6a0621fp-7, 0x1.de6fedde44d69p-7, 0x1.d29505f994133p-7, 0x1.c6f8559255c8bp-7, 0x1.bb98fc5874811p-7, 0x1.b07619f82a6dp-7, 0x1.a58ece3b9e149p-7, 0x1.9ae2392b0e4cap-7, 0x1.906f7b2bc5bbcp-7, 0x1.8635b51dd1b7p-7, 0x1.7c340878756cp-7, 0x1.726997657f58dp-7, 0x1.68d584db59a93p-7, 0x1.5f76f4b614ce4p-7, 0x1.564d0bcf44e88p-7, 0x1.4d56f014ce2a4p-7, 0x1.4493c89eac042p-7, 0x1.3c02bdc3a7b63p-7, 0x1.33a2f92d12d17p-7, 0x1.2b73a5e98e633p-7, 0x1.2373f07ed418ep-7, 0x1.1ba306faa5873p-7, 0x1.14001902c135cp-7, 0x1.0c8a57e406642p-7, 0x1.0540f6a0be86ap-7, 0x1.fc4653fc1bc36p-8, 0x1.ee6051213f5c4p-8, 0x1.e0ce559113a79p-8, 0x1.d38ed5f8c84cfp-8, 0x1.c6a04ae768b7bp-8, 0x1.ba0130e13d5e1p-8, 0x1.adb00871ca6p-8, 0x1.a1ab563c7e109p-8, 0x1.95f1a30c02789p-8, 0x1.8a817be070066p-8, 0x1.7f5971fc33893p-8, 0x1.74781aefc747ap-8, 0x1.69dc10a45d05fp-8, 0x1.5f83f16561a05p-8, 0x1.556e5fe8e9b4ap-8, 0x1.4b9a03572e7a2p-8, 0x1.42058751075cfp-8, 0x1.38af9bf562e4ap-8, 0x1.2f96f5e5ef501p-8, 0x1.26ba4e4ac27d4p-8, 0x1.1e1862d538d76p-8, 0x1.15aff5c20fcd4p-8, 0x1.0d7fcdda9467p-8, 0x1.0586b67537e4bp-8, 0x1.fb86feea96bp-9, 0x1.ec69fa94323bp-9, 0x1.ddb411da7b0b7p-9, 0x1.cf62ffc1074a8p-9, 0x1.c1748855f2e76p-9, 0x1.b3e678ab16e44p-9, 0x1.a6b6a6ce07a28p-9, 0x1.99e2f1bee8423p-9, 0x1.8d69416657c2ap-9, 0x1.8147868a7512dp-9, 0x1.757bbac2b5647p-9, 0x1.6a03e06b17cd6p-9, 0x1.5ede029655643p-9, 0x1.540834ff48f3cp-9, 0x1.498093f996274p-9, 0x1.3f454461b9477p-9, 0x1.3554738c31488p-9, 0x1.2bac57342d6eep-9, 0x1.224b2d698d006p-9, 0x1.192f3c7e46f61p-9, 0x1.1056d2f34611cp-9, 0x1.07c04764e7803p-9, 0x1.fed3f0edb4554p-10, 0x1.eea4997f2084dp-10, 0x1.deef6566d05ap-10, 0x1.cfb1411e87454p-10, 0x1.c0e72885c7618p-10, 0x1.b28e26b5b14cbp-10, 0x1.a4a355d4d8be1p-10, 0x1.9723dee9afb2bp-10, 0x1.8a0cf9ad39a87p-10, 0x1.7d5bec5ce6adp-10, 0x1.710e0b8c01365p-10, 0x1.6520b9f4cd2b1p-10, 0x1.59916849a92bbp-10, 0x1.4e5d95059a1c5p-10, 0x1.4382cc3c75db6p-10, 0x1.38fea76b62695p-10, 0x1.2ececd48a8cd1p-10, 0x1.24f0f193b3e17p-10, 0x1.1b62d4e4c292ep-10, 0x1.1222447cf42fdp-10, 0x1.092d1a15f504fp-10, 0x1.00813bb1c05edp-10, 0x1.f03936d532847p-11, 0x1.dffa6e85a3e3ep-11, 0x1.d04231e9b61ebp-11, 0x1.c10cab867ebb4p-11, 0x1.b2561c92b3b67p-11, 0x1.a41adc96faa25p-11, 0x1.9657590f566c4p-11, 0x1.8908150d2eef9p-11, 0x1.7c29a8d956f46p-11, 0x1.6fb8c196e9746p-11, 0x1.63b220e64786p-11, 0x1.58129c89b37c3p-11, 0x1.4cd71e097cc94p-11, 0x1.41fca2593811fp-11, 0x1.3780397dbe164p-11, 0x1.2d5f0633c9cd7p-11, 0x1.23963d97398aap-11, 0x1.1a2326caff518p-11, 0x1.11031aa26b7e9p-11, 0x1.0833834b001f4p-11, 0x1.ff63b7ed278c5p-12, 0x1.eef7610dea6a8p-12, 0x1.df1d3a74d0a8p-12, 0x1.cfd09cb0e1384p-12, 0x1.c10cffc052d53p-12, 0x1.b2cdfa6ddfa9ap-12, 0x1.a50f41b1a80f6p-12, 0x1.97cca812c9e5ap-12, 0x1.8b021d0a3d0fep-12, 0x1.7eabac69414a3p-12, 0x1.72c57dc090cb1p-12, 0x1.674bd3c9c5d94p-12, 0x1.5c3b0bd2fa161p-12, 0x1.518f9d2bda39cp-12, 0x1.4746189601bc9p-12, 0x1.3d5b27b6315fp-12, 0x1.33cb8c86cca8ap-12, 0x1.2a9420ceaf575p-12, 0x1.21b1d598377f1p-12, 0x1.1921b2aa49dfp-12, 0x1.10e0d6049c543p-12, 0x1.08ec735c723e6p-12, 0x1.0141d39d980fp-12, 0x1.f3bca8d6c8809p-13, 0x1.e57ecf4733771p-13, 0x1.d7c525ca7e36ep-13, 0x1.ca8ade2fcc241p-13, 0x1.bdcb4fe9d01e1p-13, 0x1.b181f7272d346p-13, 0x1.a5aa73eca821p-13, 0x1.9a40893614bd4p-13, 0x1.8f401c18d9afep-13, 0x1.84a532e9f285bp-13, 0x1.7a6bf46a0f3d7p-13, 0x1.7090a6f3f9b13p-13, 0x1.670fafaef04f5p-13, 0x1.5de591c580d85p-13, 0x1.550eed9deda13p-13, 0x1.4c88801ad3056p-13, 0x1.444f21db301f4p-13, 0x1.3c5fc67fb8629p-13, 0x1.34b77bf30e1bap-13, 0x1.2d5369b7a54a4p-13, 0x1.2630d0364b51bp-13, 0x1.1f4d0812312f7p-13, 0x1.18a5818062ff3p-13, 0x1.1237c39ff0098p-13, 0x1.0c016bdb40ccbp-13, 0x1.06002d472f435p-13, 0x1.0031d00757d68p-13, 0x1.f528616c468b4p-14, 0x1.ea4a7fa0f803cp-14, 0x1.dfc60245cea52p-14, 0x1.d597167691a87p-14, 0x1.cbba0dbc044efp-14, 0x1.c22b5cf6f9d26p-14, 0x1.b8e79b5a88a07p-14, 0x1.afeb8165a4765p-14, 0x1.a733e7e1e8267p-14, 0x1.9ebdc6eb775dbp-14, 0x1.968634ff2b13ap-14, 0x1.8e8a660a40bfep-14, 0x1.86c7aa82d83dep-14, 0x1.7f3b6e868c9e9p-14, 0x1.77e338f97b0b5p-14, 0x1.70bcaab179ef9p-14, 0x1.69c57da2c8fe2p-14, 0x1.62fb8410947a5p-14, 0x1.5c5ca7c40bf3p-14, 0x1.55e6e949c17efp-14, 0x1.4f985f3237f21p-14, 0x1.496f35566eab2p-14, 0x1.4369ac232422dp-14, 0x1.3d8617e890645p-14, 0x1.37c2e02bda519p-14, 0x1.321e7f018929ap-14, 0x1.2c97806943dd7p-14, 0x1.272c81ac9af9bp-14, 0x1.21dc30c54e379p-14, 0x1.1ca54bc6a17f7p-14, 0x1.1786a04936d64p-14, 0x1.127f0adca4d31p-14, 0x1.0d8d767bd9e03p-14, 0x1.08b0dc05fec8ap-14, 0x1.03e841bb03768p-14, 0x1.fe6575781c88cp-15, 0x1.f51ecd1d17361p-15, 0x1.ebfae145eb3d2p-15, 0x1.e2f81fbf82882p-15, 0x1.da150c5f0f0d6p-15, 0x1.d1504023bccd6p-15, 0x1.c8a86860dcc02p-15, 0x1.c01c45eb67151p-15, 0x1.b7aaac4f2f253p-15, 0x1.af52810ccfbcbp-15, 0x1.a712bad968e31p-15, 0x1.9eea60e729cbfp-15, 0x1.96d88a2eba292p-15, 0x1.8edc5cc52b7dp-15, 0x1.86f50d3161e17p-15, 0x1.7f21ddc8f536p-15, 0x1.77621e150f4ep-15, 0x1.6fb52a370f075p-15, 0x1.681a6a537696cp-15, 0x1.609152058c68ep-15, 0x1.59195fd451904p-15, 0x1.51b21cabe54ecp-15, 0x1.4a5b1b5bb4d7cp-15, 0x1.4313f819ce7b9p-15, 0x1.3bdc580a943cdp-15, 0x1.34b3e8ca90989p-15, 0x1.2d9a5ffd97119p-15, 0x1.268f7ae4c4bd8p-15, 0x1.1f92fdf2c495dp-15, 0x1.18a4b46647eefp-15, 0x1.11c46fea71833p-15, 0x1.0af208379f9b6p-15, 0x1.042d5ab951b36p-15, 0x1.faec94697847ep-16, 0x1.ed997ceee6e8bp-16, 0x1.e061480ac4e41p-16, 0x1.d343d7948949ep-16, 0x1.c641159d91954p-16, 0x1.b958f3e4ed10cp-16, 0x1.ac8b6b4ad83f2p-16, 0x1.9fd87b49a35f3p-16, 0x1.9340297a262ecp-16, 0x1.86c2811a41b25p-16, 0x1.7a5f929407b87p-16, 0x1.6e17730fe76b4p-16, 0x1.61ea3c071b744p-16, 0x1.55d80ae153396p-16, 0x1.49e1008e588f7p-16, 0x1.3e05412957f4cp-16, 0x1.3244f39dd6421p-16, 0x1.26a04156b15f8p-16, 0x1.1b1755e5c1c96p-16, 0x1.0faa5ebac35e2p-16, 0x1.04598ad7c581cp-16, 0x1.f24a151644efp-17, 0x1.dc1a1e578f887p-17, 0x1.c62395b07d22ap-17, 0x1.b066e07781288p-17, 0x1.9ae464ac1ccf9p-17, 0x1.859c88862f8e5p-17, 0x1.708fb210a2602p-17, 0x1.5bbe46c69b8e9p-17, 0x1.4728ab3f1bae4p-17, 0x1.32cf42cdef0dp-17, 0x1.1eb26f378d247p-17, 0x1.0ad290647bf7p-17, 0x1.ee600833942b1p-18, 0x1.c7964b6fcf309p-18, 0x1.a1489bf1e8e8bp-18, 0x1.7b77a5709fda9p-18, 0x1.56240d79bf0d8p-18, 0x1.314e73144778fp-18, 0x1.0cf76e5a4f38p-18, 0x1.d23f204a6106ap-19, 0x1.8b8ec398a915dp-19, 0x1.45dec99ff044p-19, 0x1.01302537f03d9p-19, 0x1.7b07714c708adp-20, 0x1.eb69546f9849p-21, 0x1.c9a5d3f6c09f1p-22, -0x1.db1a40e1d3eb3p-25, -0x1.1c21e4e107c67p-21, -0x1.0b3dd860c0849p-20, -0x1.865e94b4c7e0dp-20, -0x1.ff725d796e315p-20, -0x1.3b3c47245e7b7p-19, -0x1.75b85422db9d7p-19, -0x1.af2d2933debbcp-19, -0x1.e79aacb92a2d8p-19, -0x1.0f806c06f7b05p-18, -0x1.2aafdbbd599c4p-18, -0x1.455bb51b84f6fp-18, -0x1.5f8411196c5c6p-18, -0x1.792912122d23fp-18, -0x1.924ae3ae5360cp-18, -0x1.aae9badbf7b12p-18, -0x1.c305d5aba438ep-18, -0x1.da9f7b47b357ep-18, -0x1.f1b6fbda6654cp-18, -0x1.0426583663887p-17, -0x1.0f307d69febbp-17, -0x1.19fa22c3ce6d2p-17, -0x1.248381c7709b4p-17, -0x1.2eccd82d52808p-17, -0x1.38d667d44e4c8p-17, -0x1.42a076a85b6efp-17, -0x1.4c2b4e93d721ap-17, -0x1.55773d6d9408cp-17, -0x1.5e8494e69afe4p-17, -0x1.6753aa70f7084p-17, -0x1.6fe4d72da4b13p-17, -0x1.783877da07bd7p-17, -0x1.804eecb3e51dep-17, -0x1.8828996b5a24ap-17, -0x1.8fc5e505c4a63p-17, -0x1.972739c9acf16p-17, -0x1.9e4d052ace0b9p-17, -0x1.a537b7b38cc21p-17, -0x1.abe7c4eb5a6ccp-17, -0x1.b25da33c53b0fp-17, -0x1.b899cbe1ad3adp-17, -0x1.be9cbacf5f14cp-17, -0x1.c466ee9b2fa32p-17, -0x1.c9f8e862f6b1cp-17, -0x1.cf532bb77147fp-17, -0x1.d4763e85101ccp-17, -0x1.d962a8f94716bp-17, -0x1.de18f572ee198p-17, -0x1.e299b06262a9cp-17, -0x1.e6e5683617a0ap-17, -0x1.eafcad477cc9p-17, -0x1.eee011c1c3a0fp-17, -0x1.f290298a84036p-17, -0x1.f60d8a285ce22p-17, -0x1.f958cab21dc9ep-17, -0x1.fc7283b6f6cfcp-17, -0x1.ff5b4f2a5fa79p-17, -0x1.0109e425fb6e8p-16, -0x1.024e45c9b52d8p-16, -0x1.037b1b4e0f8c9p-16, -0x1.0490b406974c4p-16, -0x1.058f5fc5e2eep-16, -0x1.06776ed06ce4dp-16, -0x1.074931d2c17e9p-16, -0x1.0804f9d9ba198p-16, -0x1.08ab18483aa4ap-16, -0x1.093bdecddda2ap-16, -0x1.09b79f5ad4a49p-16, -0x1.0a1eac199a32cp-16, -0x1.0a715765ae627p-16, -0x1.0aaff3c26beb6p-16, -0x1.0adad3d2bbe5dp-16, -0x1.0af24a4fea279p-16, -0x1.0af6aa01d88cap-16, -0x1.0ae845b5b963cp-16, -0x1.0ac77036f9bd6p-16, -0x1.0a947c48e4335p-16, -0x1.0a4fbc9c039d8p-16, -0x1.09f983c8076c1p-16, -0x1.0992244595fd2p-16, -0x1.0919f0665561ep-16, -0x1.08913a4e48f8fp-16, -0x1.07f853eabfbc3p-16, -0x1.074f8eedd9d12p-16, -0x1.06973cc8b5a9bp-16, -0x1.05cfaea3e5981p-16, -0x1.04f9355a413ap-16, -0x1.0414217221ed8p-16, -0x1.0320c31896f4ap-16, -0x1.021f6a1a0d79ap-16, -0x1.011065ddebbd6p-16, -0x1.ffe80ac639e38p-17, -0x1.fd952e704b0cep-17, -0x1.fb28d2ed614c6p-17, -0x1.f8a3938212463p-17, -0x1.f6060a76e85e3p-17, -0x1.f350d11242be5p-17, -0x1.f0847f8c19b7ap-17, -0x1.eda1ad062fe12p-17, -0x1.eaa8ef87cf246p-17, -0x1.e79adbf36a234p-17, -0x1.e4780600a60a2p-17, -0x1.e14100343afaap-17, -0x1.ddf65bda17ce6p-17, -0x1.da98a8fe0db62p-17, -0x1.d728766488d09p-17, -0x1.d3a651861c37p-17, -0x1.d012c68d48bc2p-17, -0x1.cc6e60494689ep-17, -0x1.c8b9a82e99916p-17, -0x1.c4f52652781fap-17, -0x1.c12161638efcp-17, -0x1.bd3edea90f4aep-17, -0x1.b94e21f93adc9p-17, -0x1.b54fadb944783p-17, -0x1.b14402d9a88d4p-17, -0x1.ad2ba0d2634e6p-17, -0x1.a90705a04b59fp-17, -0x1.a4d6adc142112p-17, -0x1.a09b1432a8b7cp-17, -0x1.9c54b26d93ad5p-17, -0x1.98040064d93a5p-17, -0x1.93a9748294933p-17, -0x1.8f4583a97883dp-17, -0x1.8ad8a12faa395p-17, -0x1.86633edc823cbp-17, -0x1.81e5ccebebb34p-17, -0x1.7d60ba09b5544p-17, -0x1.78d4735222f7dp-17, -0x1.744164516ec46p-17, -0x1.6fa7f6ff5f51cp-17, -0x1.6b0893c488418p-17, -0x1.6663a17766ef6p-17, -0x1.61b9855ba2c4bp-17, -0x1.5d0aa324916a8p-17, -0x1.58575cf3d4438p-17, -0x1.53a0135987fbp-17, -0x1.4ee525552e45ep-17, -0x1.4a26f056640c5p-17, -0x1.4565d03da4f9ep-17, -0x1.40a21f5eded1ap-17, -0x1.3bdc367f713e5p-17, -0x1.37146cd8fd63dp-17, -0x1.324b181c15032p-17, -0x1.2d808c6f61022p-17, -0x1.28b51c72e6dfap-17, -0x1.23e919419dcf3p-17, -0x1.1f1cd26ffef07p-17, -0x1.1a509612751fcp-17, -0x1.1584b0bd787c9p-17, -0x1.10b96d869a52ap-17, -0x1.0bef1607c8ae1p-17, -0x1.0725f262cfe87p-17, -0x1.025e49411274ep-17, -0x1.fb30bfae2dedp-18, -0x1.f1a8f3cddf89p-18, -0x1.e825b3867ab59p-18, -0x1.dea780a406c9fp-18, -0x1.d52eda1cb029bp-18, -0x1.cbbc3c1624d1bp-18, -0x1.c2501fef2167ap-18, -0x1.b8eafc4089f61p-18, -0x1.af8d44e6603d1p-18, -0x1.a6376b056ceaep-18, -0x1.9ce9dd0eedd5dp-18, -0x1.93a506c943604p-18, -0x1.8a6951561353cp-18, -0x1.8137233750678p-18, -0x1.780ee05858a0fp-18, -0x1.6ef0ea0f6720bp-18, -0x1.65dd9f2ba4218p-18, -0x1.5cd55bf5e8f7bp-18, -0x1.53d87a38e9294p-18, -0x1.4ae75147fb4dbp-18, -0x1.42023607b1684p-18, -0x1.39297af45643fp-18, -0x1.305d702651d66p-18, -0x1.279e635a5ddf7p-18, -0x1.1eec9ffcd8a4ep-18, -0x1.16486f2a12c49p-18, -0x1.0db217b872b8ap-18, -0x1.0529de42bcabep-18, -0x1.f9600a50dbb16p-19, -0x1.e8899935b3aecp-19, -0x1.d7d0e546a70dfp-19, -0x1.c736664f19136p-19, -0x1.b6ba8fe588babp-19, -0x1.a65dd17c0fddap-19, -0x1.9620966a30892p-19, -0x1.86034600d7ff7p-19, -0x1.7606439343296p-19, -0x1.6629ee884f922p-19, -0x1.566ea26964265p-19, -0x1.46d4b6f2436adp-19, -0x1.375c801b4efe8p-19, -0x1.28064e26e60cfp-19, -0x1.18d26db81ef2fp-19, -0x1.09c127dd368fdp-19, -0x1.f5a5842f2eb5cp-20, -0x1.d80efce036755p-20, -0x1.babf370eff6f4p-20, -0x1.9db6a9362696cp-20, -0x1.80f5c33f6dbe5p-20, -0x1.647cee9017351p-20, -0x1.484c8e23d0ca6p-20, -0x1.2c64feaa1200fp-20, -0x1.10c696a3fed86p-20, -0x1.eae34d09b56f3p-21, -0x1.b4ccf18636fd7p-21, -0x1.7f4aa3eeda03cp-21, -0x1.4a5ce1f3bbc88p-21, -0x1.16041dfbcce92p-21, -0x1.c4817eac2879cp-22, -0x1.5e2644e510c7ep-22, -0x1.f1ee63debcbe1p-23, -0x1.29e9a8764472fp-23, -0x1.90fd2efb33d42p-25, 0x1.7c3f9b3691acfp-25, 0x1.20034b3f18f8ap-23, 0x1.de9a64508490cp-23, 0x1.4d6a6d5ec6adfp-22, 0x1.aa593e3c77816p-22, 0x1.030ccee00c63fp-21, 0x1.3055cb6bd154bp-21, 0x1.5d07a2f1ee2e1p-21, 0x1.89226c2e5ff09p-21, 0x1.b4a646396eb83p-21, 0x1.df9358497ccffp-21, 0x1.04f4e8cb2937ap-20, 0x1.19d4f497b4d64p-20, 0x1.2e69eedddc2e7p-20, 0x1.42b3faa911726p-20, 0x1.56b33ea93814p-20, 0x1.6a67e51706224p-20, 0x1.7dd21bac5b2a1p-20, 0x1.90f213911b24dp-20, 0x1.a3c8011681921p-20, 0x1.b6541bdb178b4p-20, 0x1.c8969ea256216p-20, 0x1.da8fc73870764p-20, 0x1.ec3fd66c5af67p-20, 0x1.fda70ff363dfap-20, 0x1.0762dd23570ddp-19, 0x1.0fce0f51e82d7p-19, 0x1.1815447c756e4p-19, 0x1.2038a3e61f4c5p-19, 0x1.283856151e019p-19, 0x1.301484c94e1dfp-19, 0x1.37cd5af238896p-19, 0x1.3f6304a7565f8p-19, }}, 
      {{-0x1.efc8fa4937d7ep-7, -0x1.ef22724625311p-6, -0x1.728ad0fa3bb9fp-5, -0x1.ec8f1c589faf3p-5, -0x1.32a8a9809dc5p-4, -0x1.6e4448d374ca6p-4, -0x1.a8f839923156ep-4, -0x1.e2a4c0a593e18p-4, -0x1.0d96602f0dba9p-3, -0x1.293ae7054fb0fp-3, -0x1.44341cc3794c9p-3, -0x1.5e77848659389p-3, -0x1.77fbf5b860df2p-3, -0x1.90b9916423b68p-3, -0x1.a8a9b49c02324p-3, -0x1.bfc6e8bb4d4d9p-3, -0x1.d60cd228bab88p-3, -0x1.eb781e2743b01p-3, -0x1.0003381534679p-2, -0x1.09db27868b0b5p-2, -0x1.1343893bd3d7ep-2, -0x1.1c3c68588aa51p-2, -0x1.24c62684b976dp-2, -0x1.2ce1738006ab7p-2, -0x1.348f451ec7f34p-2, -0x1.3bd0cfb92bd44p-2, -0x1.42a77f1131de5p-2, -0x1.4914efb1594ecp-2, -0x1.4f1ae8c3c81fbp-2, -0x1.54bb565fe38b7p-2, -0x1.59f8444b00648p-2, -0x1.5ed3d927cb14cp-2, -0x1.6350520f51e11p-2, -0x1.676ffe8e1a52p-2, -0x1.6b353cff5d396p-2, -0x1.6ea2774068a86p-2, -0x1.71ba1fb618333p-2, -0x1.747eae9e72abbp-2, -0x1.76f29fa8a16abp-2, -0x1.79186fcdaeep-2, -0x1.7af29b64bd69dp-2, -0x1.7c839c6dadd1ap-2, -0x1.7dcde90d7f0e4p-2, -0x1.7ed3f237ff2ffp-2, -0x1.7f982282ae604p-2, -0x1.801cdd1d16101p-2, -0x1.80647ceb05efp-2, -0x1.807153bd8f305p-2, -0x1.8045a9a7c37f1p-2, -0x1.7fe3bc6c8f4p-2, -0x1.7f4dbf0335d06p-2, -0x1.7e85d9303b7bep-2, -0x1.7d8e2730ae48p-2, -0x1.7c68b975fe762p-2, -0x1.7b179470b89cbp-2, -0x1.799cb0689979p-2, -0x1.77f9f960a38c7p-2, -0x1.76314f05f1f1cp-2, -0x1.744484a82cbdap-2, -0x1.7235613a94d67p-2, -0x1.70059f5cbe28dp-2, -0x1.6db6ed6a1d356p-2, -0x1.6b4aed8faad7fp-2, -0x1.68c335e6e3cf3p-2, -0x1.662150958af78p-2, -0x1.6366bbf19c344p-2, -0x1.6094eaa8e037ap-2, -0x1.5dad43ebb95cdp-2, -0x1.5ab1239aaa0a7p-2, -0x1.57a1da763f49ep-2, -0x1.5480ae50f8392p-2, -0x1.514eda42e155ep-2, -0x1.4e0d8ede9324dp-2, -0x1.4abdf267500a2p-2, -0x1.476121080512fp-2, -0x1.43f82d0af482p-2, -0x1.40841f11d78cap-2, -0x1.3d05f64e46051p-2, -0x1.397ea8ba41a4ep-2, -0x1.35ef2350b88bep-2, -0x1.32584a45dca43p-2, -0x1.2ebaf93f3c94p-2, -0x1.2b18038b72af9p-2, -0x1.2770345962748p-2, -0x1.23c44eeee2ae2p-2, -0x1.20150edec9463p-2, -0x1.1c63283e45d7cp-2, -0x1.18af47d97c0fep-2, -0x1.14fa1367526dap-2, -0x1.114429bc6c949p-2, -0x1.0d8e22fd44e26p-2, -0x1.09d890cf61512p-2, -0x1.0623fe899c9dbp-2, -0x1.0270f1637ca85p-2, -0x1.fd7fd1472de1ap-3, -0x1.f622bb99fd8ffp-3, -0x1.eecb89976eff3p-3, -0x1.e77b18406505p-3, -0x1.e0323a13a1f41p-3, -0x1.d8f1b760dbaf3p-3, -0x1.d1ba4e99e245ep-3, -0x1.ca8cb4a1dadd8p-3, -0x1.c369951a934dp-3, -0x1.bc5192aff573dp-3, -0x1.b54547619dd1dp-3, -0x1.ae4544ca9fed5p-3, -0x1.a752146779696p-3, -0x1.a06c37da3d787p-3, -0x1.9994292d04fc9p-3, -0x1.92ca5b12a89bep-3, -0x1.8c0f3925c4c96p-3, -0x1.856328261cdebp-3, -0x1.7ec68634644f7p-3, -0x1.7839ab0c67cefp-3, -0x1.71bce83db5311p-3, -0x1.6b508962b5b55p-3, -0x1.64f4d45656e2dp-3, -0x1.5eaa096834c2ap-3, -0x1.5870638f67c71p-3, -0x1.5248189be2249p-3, -0x1.4c31596680ac2p-3, -0x1.462c51ffc2d7fp-3, -0x1.403929dd381b8p-3, -0x1.3a580405b24e2p-3, -0x1.3488ff3c39a99p-3, -0x1.2ecc3629d070dp-3, -0x1.2921bf860800ep-3, -0x1.2389ae3e79c47p-3, -0x1.1e04119d1c1f8p-3, -0x1.1890f56d85ccap-3, -0x1.13306221232f7p-3, -0x1.0de25cf25f5f2p-3, -0x1.08a6e806d1a02p-3, -0x1.037e029068424p-3, -0x1.fccf51db4c00ep-4, -0x1.f2c7a991c960cp-4, -0x1.e8e4fa6d7f1fp-4, -0x1.df272da705c02p-4, -0x1.d58e27bfab38fp-4, -0x1.cc19c8b8eb58p-4, -0x1.c2c9ec4a55534p-4, -0x1.b99e6a15d227dp-4, -0x1.b09715da4f522p-4, -0x1.a7b3bfa4ebc61p-4, -0x1.9ef43400958ebp-4, -0x1.96583c243c54ap-4, -0x1.8ddf9e1f90578p-4, -0x1.858a1d065cd01p-4, -0x1.7d57791a851dap-4, -0x1.75476ff4ade4dp-4, -0x1.6d59bcab99b08p-4, -0x1.658e17fa41594p-4, -0x1.5de43864b0784p-4, -0x1.565bd25bab2c5p-4, -0x1.4ef4985f29558p-4, -0x1.47ae3b1fa9622p-4, -0x1.4088699e661e8p-4, -0x1.3982d14c730a3p-4, -0x1.329d1e28c9c24p-4, -0x1.2bd6fadd4af6ap-4, -0x1.253010dabe2cdp-4, -0x1.1ea80873d2c62p-4, -0x1.183e88f72a34ep-4, -0x1.11f338c8734a7p-4, -0x1.0bc5bd7899152p-4, -0x1.05b5bbdd0f546p-4, -0x1.ff85b04c7b7ecp-5, -0x1.f3d96bea29b06p-5, -0x1.e865f0df9cd23p-5, -0x1.dd2a84abc0007p-5, -0x1.d2266c264bd98p-5, -0x1.c758eba494dd8p-5, -0x1.bcc1471ce0a17p-5, -0x1.b25ec24845594p-5, -0x1.a830a0c32821fp-5, -0x1.9e36262c573aep-5, -0x1.946e9642d70cap-5, -0x1.8ad935025dc51p-5, -0x1.817546be9466fp-5, -0x1.7842103d1b30bp-5, -0x1.6f3ed6ce6189cp-5, -0x1.666ae06556098p-5, -0x1.5dc573adf8173p-5, -0x1.554dd822d7ce4p-5, -0x1.4d03562182644p-5, -0x1.44e536fdef1e4p-5, -0x1.3cf2c514ebc7ep-5, -0x1.352b4bdd94fc7p-5, -0x1.2d8e17f9de20fp-5, -0x1.261a774635b95p-5, -0x1.1ecfb8e847819p-5, -0x1.17ad2d5ce7e6dp-5, -0x1.10b226852d198p-5, -0x1.09ddf7b2be2a1p-5, -0x1.032ff5b35c693p-5, -0x1.f94eedb763343p-6, -0x1.ec87a622c8082p-6, -0x1.e008c7a8f8b61p-6, -0x1.d3d108903afc3p-6, -0x1.c7df227531e98p-6, -0x1.bc31d259c97b9p-6, -0x1.b0c7d8b2e6fb4p-6, -0x1.a59ff974f98b3p-6, -0x1.9ab8fc1f68165p-6, -0x1.9011abc6e9498p-6, -0x1.85a8d71ed7e4cp-6, -0x1.7b7d508184164p-6, -0x1.718dedf78ff4ap-6, -0x1.67d9893e59e65p-6, -0x1.5e5effcd911e9p-6, -0x1.551d32dbe12d7p-6, -0x1.4c130762d2334p-6, -0x1.433f6621e40b1p-6, -0x1.3aa13ba0e0345p-6, -0x1.32377831762f3p-6, -0x1.2a010ff02b717p-6, -0x1.21fcfac4989f9p-6, -0x1.1a2a34610bf4dp-6, -0x1.1287bc418d587p-6, -0x1.0b1495aa4f5f7p-6, -0x1.03cfc7a590c1ep-6, -0x1.f970ba01f3099p-7, -0x1.eb9ac894eebb3p-7, -0x1.de1bdf993b109p-7, -0x1.d0f22b1523d43p-7, -0x1.c41bde771a434p-7, -0x1.b797348bd9a1bp-7, -0x1.ab626f73d09f5p-7, -0x1.9f7bd897c2e48p-7, -0x1.93e1c09cc5f4dp-7, -0x1.88927f5782e38p-7, -0x1.7d8c73beecb38p-7, -0x1.72ce03de53762p-7, -0x1.68559cc6f04ddp-7, -0x1.5e21b280f15edp-7, -0x1.5430bffbfd3c5p-7, -0x1.4a8146ff51p-7, -0x1.4111d0196992bp-7, -0x1.37e0ea8f4dd0bp-7, -0x1.2eed2c4b791f1p-7, -0x1.263531cc6e2ebp-7, -0x1.1db79e12fdc01p-7, -0x1.15731a9046302p-7, -0x1.0d6657136baafp-7, -0x1.059009b713fd9p-7, -0x1.fbdddd9d66cd1p-8, -0x1.ed0391a73e453p-8, -0x1.de8ec0a3ee999p-8, -0x1.d07d07aaddef6p-8, -0x1.c2cc0fabd5ccep-8, -0x1.b5798d4814a22p-8, -0x1.a88340ab1e941p-8, -0x1.9be6f5637fed7p-8, -0x1.8fa2823b5352dp-8, -0x1.83b3c910c68e9p-8, -0x1.7818b6ae81ceap-8, -0x1.6ccf42a413637p-8, -0x1.61d56f1e48eaep-8, -0x1.572948bfa4a0ep-8, -0x1.4cc8e678c695ep-8, -0x1.42b26960fddd2p-8, -0x1.38e3fc8ee1e4fp-8, -0x1.2f5bd4f10cbd7p-8, -0x1.26183126fe77ep-8, -0x1.1d17595a25f58p-8, -0x1.14579f170d75fp-8, -0x1.0bd75d26c559fp-8, -0x1.0394f7687cc7ep-8, -0x1.f71db556a5378p-9, -0x1.e786f910d338fp-9, -0x1.d862b67a6f0bbp-9, -0x1.c9adfb0c3b125p-9, -0x1.bb65e4f28d386p-9, -0x1.ad87a2c399fd8p-9, -0x1.a010733665029p-9, -0x1.92fda4da4bd5ep-9, -0x1.864c95cf39129p-9, -0x1.79fab37e7e217p-9, -0x1.6e057a545ede7p-9, -0x1.626a757a4c524p-9, -0x1.57273e91d660ap-9, -0x1.4c397d705a0e1p-9, -0x1.419ee7db6a1b3p-9, -0x1.37554145ee055p-9, -0x1.2d5a5a8e1ed51p-9, -0x1.23ac11bc1d9b8p-9, -0x1.1a4851c17780bp-9, -0x1.112d123961574p-9, -0x1.08585729bd49ap-9, -0x1.ff906189d661ap-10, -0x1.eef57658d6eb3p-10, -0x1.dedc3c689db93p-10, -0x1.cf411a4edb34ep-10, -0x1.c0208d18f3ea3p-10, -0x1.b17727d7aebadp-10, -0x1.a341932c9369bp-10, -0x1.957c8cd8ef5cbp-10, -0x1.8824e74e5c8dap-10, -0x1.7b3789410d17fp-10, -0x1.6eb16d3ba9d85p-10, -0x1.628fa134d2c25p-10, -0x1.56cf462636c94p-10, -0x1.4b6d8fa557a09p-10, -0x1.4067c37dd8acdp-10, -0x1.35bb394d82cecp-10, -0x1.2b655a21bbb98p-10, -0x1.2163a016c9c7dp-10, -0x1.17b395f871778p-10, -0x1.0e52d6e451e06p-10, -0x1.053f0dedba3c1p-10, -0x1.f8ebeb8637029p-11, -0x1.e7eab0a9f8973p-11, -0x1.d7761cfce6ac6p-11, -0x1.c789ff5e5a152p-11, -0x1.b822432de2a86p-11, -0x1.a93aefa5391a3p-11, -0x1.9ad0273542422p-11, -0x1.8cde26e612b25p-11, -0x1.7f6145b99cd34p-11, -0x1.7255f411723b3p-11, -0x1.65b8bb173ff9cp-11, -0x1.59863c2829e18p-11, -0x1.4dbb30431490ap-11, -0x1.4254677951f0dp-11, -0x1.374ec86268993p-11, -0x1.2ca74f924fe47p-11, -0x1.225b0f126448bp-11, -0x1.18672ddd0d68fp-11, -0x1.0ec8e75be7b74p-11, -0x1.057d8ae892149p-11, -0x1.f904f69fcf2a9p-12, -0x1.e7aa5caf79ae2p-12, -0x1.d6e6588e7931fp-12, -0x1.c6b41ee2cb6d5p-12, -0x1.b70f07849a35bp-12, -0x1.a7f28c9ce5c9bp-12, -0x1.995a49c8e59fbp-12, -0x1.8b41fb4246737p-12, -0x1.7da57d0bb24dcp-12, -0x1.7080ca21dfc64p-12, -0x1.63cffbb100dd9p-12, -0x1.578f484eace83p-12, -0x1.4bbb0337b413cp-12, -0x1.404f9b923a32p-12, -0x1.35499bb440e02p-12, -0x1.2aa5a86dda6dp-12, -0x1.206080577fff3p-12, -0x1.1676fb248f073p-12, -0x1.0ce608f90bea3p-12, -0x1.03aab1c3c7df6p-12, -0x1.f5842937d549ap-13, -0x1.e452ce4477d91p-13, -0x1.d3bbe9cbf42p-13, -0x1.c3ba3d9abcef4p-13, -0x1.b448b5031cd1cp-13, -0x1.a56263bb845f5p-13, -0x1.970284c3f31d9p-13, -0x1.89247951b5ac6p-13, -0x1.7bc3c7c1f670ep-13, -0x1.6edc1a92527cbp-13, -0x1.62693f5fcf752p-13, -0x1.566725ebe7ba8p-13, -0x1.4ad1df272b192p-13, -0x1.3fa59c426d85ap-13, -0x1.34deadc54d23cp-13, -0x1.2a7982aa59742p-13, -0x1.2072a78135bbbp-13, -0x1.16c6c5959668ep-13, -0x1.0d72a21bd952p-13, -0x1.04731d62dc064p-13, -0x1.f78a641595ac1p-14, -0x1.e6cbe8821ccf9p-14, -0x1.d6a52202185f4p-14, -0x1.c7109ab41eb74p-14, -0x1.b8090b7299c85p-14, -0x1.a9895a72408e3p-14, -0x1.9b8c99e85b705p-14, -0x1.8e0e06baa9e8p-14, -0x1.810907384b40dp-14, -0x1.747929d9ef7a7p-14, -0x1.685a240b88788p-14, -0x1.5ca7d0fd75c43p-14, -0x1.515e307db3103p-14, -0x1.467965d8f6c2fp-14, -0x1.3bf5b6c2c1158p-14, -0x1.31cf8a45e8fe1p-14, -0x1.280367bb68c8cp-14, -0x1.1e8df5c94707p-14, -0x1.156bf9675ad5ap-14, -0x1.0c9a54ebfe5c2p-14, -0x1.0416071e45fcp-14, -0x1.f7b8549e731c9p-15, -0x1.e7d3e6f2a6809p-15, -0x1.d87962ccf603dp-15, -0x1.c9a397b6fb44ap-15, -0x1.bb4d859358ba9p-15, -0x1.ad725b0d799d5p-15, -0x1.a00d7412c6929p-15, -0x1.931a58581994fp-15, -0x1.8694b9e8dbf46p-15, -0x1.7a7873c1e6e76p-15, -0x1.6ec18875be397p-15, -0x1.636c20db041abp-15, -0x1.58748ac494277p-15, -0x1.4dd737c3eefcp-15, -0x1.4390bbf30d9ecp-15, -0x1.399dccc901671p-15, -0x1.2ffb3ff635bc8p-15, -0x1.26a60a4a2e2c6p-15, -0x1.1d9b3ea0de6a2p-15, -0x1.14d80cd8fb821p-15, -0x1.0c59c0d1229a8p-15, -0x1.041dc16ecd797p-15, -0x1.f8431f53a9248p-16, -0x1.e8c58b44cee99p-16, -0x1.d9be2b76cabdfp-16, -0x1.cb28937b20c2p-16, -0x1.bd008402b53bap-16, -0x1.af41e93d2a606p-16, -0x1.a1e8d9457a45fp-16, -0x1.94f1929de73d7p-16, -0x1.88587ab38fd32p-16, -0x1.7c1a1c717df9dp-16, -0x1.703326ddad0c1p-16, -0x1.64a06bc0f3b6ap-16, -0x1.595ede5b534d1p-16, -0x1.4e6b9222dd34ap-16, -0x1.43c3b98b05b6cp-16, -0x1.3964a4d84f455p-16, -0x1.2f4bc0fdb0c76p-16, -0x1.25769681624a7p-16, -0x1.1be2c86cd9458p-16, -0x1.128e134563433p-16, -0x1.09764c0c3783ep-16, -0x1.00995f49e36d7p-16, -0x1.efeaa03e7af01p-17, -0x1.df106ebeb557bp-17, -0x1.cea085656828bp-17, -0x1.be97677ed0174p-17, -0x1.aef1beb627efap-17, -0x1.9fac59834d22dp-17, -0x1.90c429aa34222p-17, -0x1.823642c4b13dbp-17, -0x1.73ffd8dd19706p-17, -0x1.661e3f11afb0cp-17, -0x1.588ee6460f85ap-17, -0x1.4b4f5be2b2b2p-17, -0x1.3e5d489c29cd2p-17, -0x1.31b66f482b7dfp-17, -0x1.2558abbc7539cp-17, -0x1.1941f1b7c346cp-17, -0x1.0d704bd5cda7cp-17, -0x1.01e1da8e59f08p-17, -0x1.ed29a6785bfaep-18, -0x1.d70efe59f8e4dp-18, -0x1.c1707579cba0ep-18, -0x1.ac4ae8f1aa511p-18, -0x1.979b588f3e1a6p-18, -0x1.835ee54228895p-18, -0x1.6f92cf8978d9bp-18, -0x1.5c3475fe4d01ap-18, -0x1.494153e67bd66p-18, -0x1.36b6ffda456bp-18, -0x1.24932a7260697p-18, -0x1.12d39d06aa05ep-18, -0x1.0176387d6381fp-18, -0x1.e0f1e83d67968p-19, -0x1.bfb3b8f310fdbp-19, -0x1.9f2e24ad452e6p-19, -0x1.7f5d935bc2848p-19, -0x1.603e916180c3ep-19, -0x1.41cdcdb1120acp-19, -0x1.24081809111cp-19, -0x1.06ea5f3621402p-19, -0x1.d4e35ee400828p-20, -0x1.9d3661b33c478p-20, -0x1.66c84bcb4dd02p-20, -0x1.3193d3faaaa67p-20, -0x1.fb27c070163c5p-21, -0x1.958705fc7978fp-21, -0x1.323bf1a86b629p-21, -0x1.a27a97a852394p-22, -0x1.ca089eebc88e4p-23, -0x1.601df1295e754p-25, 0x1.112fc81cd6d6dp-23, 0x1.38dee1dedaa3bp-22, 0x1.e4e1106357509p-22, 0x1.4656eb1e764bfp-21, 0x1.982a19237ef43p-21, 0x1.e7f160f0a5ab7p-21, 0x1.1ad9f1c7490d6p-20, 0x1.40bc4b95a2c91p-20, 0x1.65a324efae3ebp-20, 0x1.8991d21802adbp-20, 0x1.ac8b95c57978ep-20, 0x1.ce93a2452d122p-20, 0x1.efad1a91b46adp-20, 0x1.07ed89aaa27a4p-19, 0x1.179049f5069dp-19, 0x1.26c04b9e39849p-19, 0x1.357f065311edcp-19, 0x1.43cdec5ff72f2p-19, 0x1.51ae6b0f27541p-19, 0x1.5f21eb04f0102p-19, 0x1.6c29d092eb0a5p-19, 0x1.78c77c06f2e28p-19, 0x1.84fc49f621a43p-19, 0x1.90c9938106592p-19, 0x1.9c30ae9431489p-19, 0x1.a732ee235821bp-19, 0x1.b1d1a26292766p-19, 0x1.bc0e18f4b1de7p-19, 0x1.c5e99d1f9408ep-19, 0x1.cf6577f359382p-19, 0x1.d882f0745a9b2p-19, 0x1.e1434bbf605ddp-19, 0x1.e9a7cd28099c6p-19, 0x1.f1b1b6584ecd5p-19, 0x1.f962476af4dd6p-19, 0x1.005d5f839495cp-18, 0x1.03de2d385fc6p-18, 0x1.07342ad02a651p-18, 0x1.0a5ff5a805d8dp-18, 0x1.0d622a87085c4p-18, 0x1.103b65a29a52fp-18, 0x1.12ec42a54ab19p-18, 0x1.15755cb2a9504p-18, 0x1.17d74e6afc0f9p-18, 0x1.1a12b1ed1d4eap-18, 0x1.1c2820d899cadp-18, 0x1.1e18345002aa9p-18, 0x1.1fe384f959939p-18, 0x1.218aaafc588ap-18, 0x1.230e3e03f911ap-18, 0x1.246ed53b7eff1p-18, 0x1.25ad074edff1bp-18, 0x1.26c96a66254bp-18, 0x1.27c494249932cp-18, 0x1.289f19a5a62c3p-18, 0x1.29598f79643cfp-18, 0x1.29f489a0c5ce5p-18, 0x1.2a709b896c12ap-18, 0x1.2ace580a6eae4p-18, 0x1.2b0e51602169ap-18, 0x1.2b311925bdbe3p-18, 0x1.2b3740529850dp-18, 0x1.2b215733eb108p-18, 0x1.2aefed68c016ep-18, 0x1.2aa391dc0701ep-18, 0x1.2a3cd2bed61c8p-18, 0x1.29bc3d8428488p-18, 0x1.29225edaf9d6ap-18, 0x1.286fc2a8d40c4p-18, 0x1.27a4f403d0e8p-18, 0x1.26c27d2d63792p-18, 0x1.25c8e78d6bba8p-18, 0x1.24b8bbac282ebp-18, 0x1.2392812c1553p-18, 0x1.2256bec5be8f7p-18, 0x1.2105fa4147c52p-18, 0x1.1fa0b87223261p-18, 0x1.1e277d30abc56p-18, 0x1.1c9acb556182fp-18, 0x1.1afb24b40a28fp-18, 0x1.19490a16ada4ap-18, 0x1.1784fb3859776p-18, 0x1.15af76c096912p-18, 0x1.13c8fa3de341dp-18, 0x1.11d20222eb4bap-18, 0x1.0fcb09c02631fp-18, 0x1.0db48b40ea1d9p-18, 0x1.0b8effa62254ap-18, 0x1.095adec2d8ebep-18, 0x1.07189f388765ep-18, 0x1.04c8b672ab651p-18, 0x1.026b98a39992cp-18, 0x1.0001b8c0d572dp-18, 0x1.fb1710ffea057p-19, 0x1.f612f0a66fec4p-19, 0x1.f0f7eecd85e9cp-19, 0x1.ebc6e739b5cc3p-19, 0x1.e680b318b5da5p-19, 0x1.e12628fb74aa6p-19, 0x1.dbb81cd132c0ap-19, 0x1.d6375fe2b4652p-19, 0x1.d0a4c0cda50bcp-19, 0x1.cb010b81dca8dp-19, 0x1.c54d093ce6d75p-19, 0x1.bf8980874c35fp-19, 0x1.b9b735316222dp-19, 0x1.b3d6e850bd99ep-19, 0x1.ade9583d310e3p-19, 0x1.a7ef409065cdbp-19, 0x1.a1e95a217190fp-19, 0x1.9bd85b04f2b9ep-19, 0x1.95bcf68bcea9ep-19, 0x1.8f97dd428034bp-19, 0x1.8969bceffe509p-19, 0x1.833340956ffe7p-19, 0x1.7cf5106d23b18p-19, 0x1.76afd1ec1ecbcp-19, 0x1.706427c1f9e0cp-19, 0x1.6a12b1d90ffa7p-19, 0x1.63bc0d591e2ccp-19, 0x1.5d60d4a65d93fp-19, 0x1.57019f63ecb7ep-19, 0x1.509f0275dcb43p-19, 0x1.4a399001b8bp-19, 0x1.43d1d771492f5p-19, 0x1.3d68657512cacp-19, 0x1.36fdc40734055p-19, 0x1.30927a6d9913ep-19, 0x1.2a270d3d0333bp-19, 0x1.23bbfe5bee929p-19, 0x1.1d51cd05dff99p-19, 0x1.16e8f5cf69351p-19, 0x1.1081f2a92eb0cp-19, 0x1.0a1d3ae4ee212p-19, 0x1.03bb4338c2616p-19, 0x1.fab8fb85b1c38p-20, 0x1.ee02b41d7f97dp-20, 0x1.e1548a32c94dep-20, 0x1.d4af52aaffde6p-20, 0x1.c813dd60cd6cdp-20, 0x1.bb82f52f34ff1p-20, 0x1.aefd5ffbef5c6p-20, 0x1.a283debf762bdp-20, 0x1.96172d91f7c18p-20, 0x1.89b803b4c9f2fp-20, 0x1.7d67139d99f26p-20, 0x1.71250b01e0302p-20, 0x1.64f292e2cafb9p-20, 0x1.58d04f99e511fp-20, 0x1.4cbee0e2e011dp-20, 0x1.40bee1e913c91p-20, 0x1.34d0e952656e8p-20, 0x1.28f5894c8f989p-20, 0x1.1d2d4f998150dp-20, 0x1.1178c59b5563ep-20, 0x1.05d87061693b6p-20, 0x1.f499a16f8355dp-21, 0x1.ddacc65df2ed3p-21, 0x1.c6eb405b90115p-21, 0x1.b055f7f8309p-21, 0x1.99edcda0e7734p-21, 0x1.83b399ba811a8p-21, 0x1.6da82cbcc6186p-21, 0x1.57cc4f5118c1ep-21, 0x1.4220c268c2ae1p-21, 0x1.2ca63f588c33p-21, 0x1.175d77f69dcd1p-21, 0x1.024716b29a18cp-21, 0x1.dac77d645e11p-22, 0x1.b16817dadbd7dp-22, 0x1.8871269248836p-22, 0x1.5fe3c5672a1a8p-22, 0x1.37c1027f0492fp-22, 0x1.1009de7bfcc17p-22, 0x1.d17e996da9cfcp-23, 0x1.83c466ea428b6p-23, 0x1.36e6d841d691bp-23, 0x1.d5cf0de285019p-24, 0x1.3f8fe73fca059p-24, 0x1.56261a1d40858p-25, 0x1.85b1fadc5ec7p-28, -0x1.e255bef910874p-26, -0x1.07bc5e5c73f81p-24, -0x1.951796ecf3e87p-24, -0x1.10529871f1563p-23, -0x1.5531b7c2eee07p-23, -0x1.99286096c1f8p-23, -0x1.dc35df2e0d913p-23, -0x1.0f2cca4045c3p-22, -0x1.2fc97ae8325ebp-22, -0x1.4ff0c6239ff95p-22, -0x1.6fa27a4361875p-22, -0x1.8ede6f260a75ap-22, -0x1.ada48601a5589p-22, -0x1.cbf4a93781264p-22, -0x1.e9cecc1733e3bp-22, -0x1.0399755b26ebbp-21, -0x1.121084dee0cedp-21, -0x1.204c9b1a22f7cp-21, -0x1.2e4dc2ab76186p-21, -0x1.3c140a310ba32p-21, -0x1.499f843398226p-21, -0x1.56f0470bbb736p-21, -0x1.64066cce580a5p-21, -0x1.70e21331337d8p-21, -0x1.7d835b77fe2f6p-21, -0x1.89ea6a5c72843p-21, -0x1.961767f8b02c5p-21, -0x1.a20a7faf2b28ep-21, -0x1.adc3e016ba6dcp-21, -0x1.b943bae512fdep-21, -0x1.c48a44d80c339p-21, -0x1.cf97b5a129ccap-21, -0x1.da6c47d0ef157p-21, -0x1.e50838c21206bp-21, -0x1.ef6bc884fcc95p-21, -0x1.f99739cbf83f5p-21, -0x1.01c568ec417fdp-20, -0x1.06a36c32ab8a5p-20, -0x1.0b65cbca9030bp-20, -0x1.100cadef954c5p-20, -0x1.149839fd0b1d3p-20, -0x1.19089865e10ddp-20, -0x1.1d5df2abc8c08p-20, -0x1.2198735560a7ap-20, -0x1.25b845e59fb5p-20, -0x1.29bd96d2b0ebap-20, -0x1.2da8937e4eddcp-20, -0x1.31796a2c39c96p-20, -0x1.353049fa0795cp-20, -0x1.38cd62d7e5ed2p-20, -0x1.3c50e57f0284p-20, -0x1.3fbb036a51cfcp-20, -0x1.430beecf152d3p-20, -0x1.4643da944fc8ep-20, -0x1.4962fa4bfc045p-20, -0x1.4c69822acfeb3p-20, -0x1.4f57a70156ed2p-20, -0x1.522d9e352d064p-20, -0x1.54eb9db8b6863p-20, -0x1.5791dc047a59dp-20, -0x1.5a2090113f2cep-20, -0x1.5c97f150fdf05p-20, -0x1.5ef837a723fb3p-20, -0x1.61419b63550a7p-20, -0x1.6374553a84fa4p-20, -0x1.65909e4140b76p-20, -0x1.6796afe43fed2p-20, -0x1.6986c3e3ffc5p-20, -0x1.6b61144e8bde8p-20, -0x1.6d25db7856515p-20, -0x1.6ed553f801b1dp-20, -0x1.706fb8a0cdcp-20, -0x1.71f5447c5bc2fp-20, -0x1.736632c5aa2dbp-20, -0x1.74c2bee3d4514p-20, -0x1.760b2465dfd66p-20, -0x1.773f9efcb9975p-20, -0x1.78606a7622481p-20, -0x1.796dc2b84ef9bp-20, -0x1.7a67e3bdf5fdap-20, -0x1.7b4f0991055e4p-20, -0x1.7c237045cca1bp-20, -0x1.7ce553f71e6e1p-20, -0x1.7d94f0c268f41p-20, -0x1.7e3282c2ea128p-20, -0x1.7ebe460da08ep-20, -0x1.7f3876addc635p-20, -0x1.7fa150a154e3ap-20, -0x1.7ff90fd3f755dp-20, -0x1.803ff01c19e5bp-20, -0x1.80762d37d6e06p-20, -0x1.809c02c8a2d7p-20, -0x1.80b1ac501c5a3p-20, -0x1.80b7652c8d4f3p-20, -0x1.80ad689696e0ap-20, -0x1.8093f19d74917p-20, -0x1.806b3b23baad2p-20, -0x1.80337fdc6ea55p-20, -0x1.7fecfa48624dfp-20, -0x1.7f97e4b3690d9p-20, -0x1.7f347931c7da2p-20, -0x1.7ec2f19cdee87p-20, -0x1.7e4387910bccap-20, -0x1.7db6746bc2f1dp-20, -0x1.7d1bf147fb074p-20, -0x1.7c7436fc64724p-20, -0x1.7bbf7e19c1072p-20, -0x1.7afdfee80a3d2p-20, -0x1.7a2ff164b54e3p-20, -0x1.79558d3fa2134p-20, -0x1.786f09dabb531p-20, -0x1.777c9e46f24dp-20, -0x1.767e8142697bfp-20, -0x1.7574e93739d6ep-20, -0x1.74600c3981e81p-20, -0x1.73402005e9566p-20, -0x1.72155a001eaa8p-20, -0x1.70dfef3069e2bp-20, -0x1.6fa01443a0eabp-20, -0x1.6e55fd887502ap-20, -0x1.6d01deeee864fp-20, -0x1.6ba3ec073744dp-20, -0x1.6a3c57ffa77c2p-20, -0x1.68cb55a42fc53p-20, -0x1.6751175d05a43p-20, -0x1.65cdcf2dad987p-20, -0x1.6441aeb370cfdp-20, -0x1.62ace725caadep-20, -0x1.610fa9544aec1p-20, -0x1.5f6a25a606a3cp-20, -0x1.5dbc8c18749dap-20, -0x1.5c070c3f5c066p-20, -0x1.5a49d543873d3p-20, -0x1.588515e227075p-20, -0x1.56b8fc6caed2fp-20, }}, 
      {{0x1.2f5734e8ea555p-1, 0x1.2f5fcc08a6567p-1, 0x1.2f6e8c7db76d5p-1, 0x1.2f84010e3a5bap-1, 0x1.2fa0c07e0c07ep-1, 0x1.2fc553176968p-1, 0x1.2ff21c3336615p-1, 0x1.302748ecf2732p-1, 0x1.3064c43274982p-1, 0x1.30aa2fd200424p-1, 0x1.30f6e1e1ad582p-1, 0x1.3149e5beeb40ep-1, 0x1.31a1ffe2a8e0fp-1, 0x1.31fdb3d339831p-1, 0x1.325b4b9125f2p-1, 0x1.32b8dff3536b2p-1, 0x1.3314617e87667p-1, 0x1.336ba15ac2c61p-1, 0x1.33bc5a1d4cabbp-1, 0x1.34043830476fep-1, 0x1.3440e1b004fbbp-1, 0x1.346ffda34bcccp-1, 0x1.348f3a7e507d3p-1, 0x1.349c53e8b0637p-1, 0x1.349517c5709cfp-1, 0x1.34776a8113dc6p-1, 0x1.34414aada0e23p-1, 0x1.33f0d3f71acf5p-1, 0x1.3384417c9e275p-1, 0x1.32f9ef9b5cc8bp-1, 0x1.32505d391bce4p-1, 0x1.31862c9bcf7bcp-1, 0x1.309a23db9b5b9p-1, 0x1.2f8b2cfbe3a7ap-1, 0x1.2e5855b75b93p-1, 0x1.2d00cf0a272b9p-1, 0x1.2b83ec84384bbp-1, 0x1.29e1236d25a2fp-1, 0x1.281809c1ce783p-1, 0x1.262855133cd0ep-1, 0x1.2411d94d5c34fp-1, 0x1.21d4876b51649p-1, 0x1.1f706c1e8acedp-1, 0x1.1ce5ae6ce9bdfp-1, 0x1.1a348e49d265ap-1, 0x1.175d632d5e88p-1, 0x1.14609aac74ce3p-1, 0x1.113eb7140f155p-1, 0x1.0df84e09a1fe3p-1, 0x1.0a8e073237102p-1, 0x1.07009ae182316p-1, 0x1.0350d0d1fba8ap-1, 0x1.fefefdcd925c8p-2, 0x1.f71b0ff026236p-2, 0x1.eef7b55469dd9p-2, 0x1.e696e0a033ffap-2, 0x1.ddfa97b1e0babp-2, 0x1.d524f1928e5edp-2, 0x1.cc18147f35c7bp-2, 0x1.c2d634086cb04p-2, 0x1.b9618f4893093p-2, 0x1.afbc6f30120acp-2, 0x1.a5e924e732bd3p-2, 0x1.9bea08451457fp-2, 0x1.91c1765b3468ap-2, 0x1.8771d014eca0ap-2, 0x1.7cfd78ea55971p-2, 0x1.7266d5a5e055dp-2, 0x1.67b04b3c0d32ap-2, 0x1.5cdc3db495512p-2, 0x1.51ed0f2460fdbp-2, 0x1.46e51eb7a6657p-2, 0x1.3bc6c7cb91e61p-2, 0x1.30946116cff42p-2, 0x1.25503be05dc82p-2, 0x1.19fca3440c9bfp-2, 0x1.0e9bdb84128a2p-2, 0x1.0330216727c3ep-2, 0x1.ef77534526302p-3, 0x1.d881409f49e3p-3, 0x1.c18250d82e42cp-3, 0x1.aa7eb6c9a59acp-3, 0x1.937a91553f329p-3, 0x1.7c79eaa081ce2p-3, 0x1.6580b7632c9c2p-3, 0x1.4e92d6469032ep-3, 0x1.37b40f552f23ep-3, 0x1.20e81379e5838p-3, 0x1.0a327c0dc60c9p-3, 0x1.e72d94e7ea11p-4, 0x1.ba30cf85a92a9p-4, 0x1.8d7548f399d19p-4, 0x1.610170862eae7p-4, 0x1.34db8381c5ed6p-4, 0x1.09098cca8ee9dp-4, 0x1.bb22c951c474p-5, 0x1.64f1614201119p-5, 0x1.0f89c6ba5f4c1p-5, 0x1.75ecf2a4e6d75p-6, 0x1.9d064bf3599c5p-7, 0x1.474c83e35a9f4p-9, -0x1.eb34bbf0b27aep-8, -0x1.1c8f42eb57818p-6, -0x1.bc4b9e08e694fp-6, -0x1.2cf8fd0124d5cp-5, -0x1.7ab96b026ed08p-5, -0x1.c75fba8e14a6fp-5, -0x1.09727719a6b57p-4, -0x1.2ea13448d440cp-4, -0x1.5338f5a6d0789p-4, -0x1.7736cafa044f4p-4, -0x1.9a97f266adb96p-4, -0x1.bd59d7d10315ep-4, -0x1.df7a14385cfa8p-4, -0x1.007b3685e3d7p-3, -0x1.10e669bc453a6p-3, -0x1.20fdb1d98a1cdp-3, -0x1.30c0321d54152p-3, -0x1.402d228c22b79p-3, -0x1.4f43cf8c98e43p-3, -0x1.5e039982b6b7p-3, -0x1.6c6bf4694af41p-3, -0x1.7a7c6769b6525p-3, -0x1.88348c7239d24p-3, -0x1.95940fcaf0ab9p-3, -0x1.a29aafa9a633fp-3, -0x1.af483bc4a3014p-3, -0x1.bb9c94e4ab581p-3, -0x1.c797ac7637af6p-3, -0x1.d339841a25bf2p-3, -0x1.de822d35ebc66p-3, -0x1.e971c883802bp-3, -0x1.f40885a10ef74p-3, -0x1.fe46a2a095d42p-3, -0x1.041635cbc62a9p-2, -0x1.08dd1d1754a52p-2, -0x1.0d783a98f9dbdp-2, -0x1.11e7c8108f49p-2, -0x1.162c056030b0fp-2, -0x1.1a453854e8393p-2, -0x1.1e33ac6fafd29p-2, -0x1.21f7b2aec865cp-2, -0x1.2591a1577b6f2p-2, -0x1.2901d3c048cb7p-2, -0x1.2c48aa1b8e58p-2, -0x1.2f668942b383fp-2, -0x1.325bda81dda8fp-2, -0x1.35290b64390b1p-2, -0x1.37ce8d80dbc7dp-2, -0x1.3a4cd6484c5fcp-2, -0x1.3ca45ed2b2751p-2, -0x1.3ed5a3aeb29fap-2, -0x1.40e124b1083f8p-2, -0x1.42c764c4d5645p-2, -0x1.4488e9bcb66a8p-2, -0x1.46263c249cd44p-2, -0x1.479fe71473204p-2, -0x1.48f67803950ccp-2, -0x1.4a2a7e9d14ce2p-2, -0x1.4b3c8c94dd0d8p-2, -0x1.4c2d357dac2a7p-2, -0x1.4cfd0e9fea835p-2, -0x1.4dacaed1656f6p-2, -0x1.4e3cae4dea15ep-2, -0x1.4eada690c3a64p-2, -0x1.4f00322f22a86p-2, -0x1.4f34ecb36cf59p-2, -0x1.4f4c727971f37p-2, -0x1.4f47608b8e807p-2, -0x1.4f265480b603dp-2, -0x1.4ee9ec5b6c808p-2, -0x1.4e92c669a4eafp-2, -0x1.4e2181259011p-2, -0x1.4d96bb17542a2p-2, -0x1.4cf312b7ad0fdp-2, -0x1.4c37265376e06p-2, -0x1.4b6393f021ba9p-2, -0x1.4a78f9310c5e7p-2, -0x1.4977f33dc2a0bp-2, -0x1.48611ea921713p-2, -0x1.473517595e42fp-2, -0x1.45f47870ec1d5p-2, -0x1.449fdc38424bcp-2, -0x1.4337dc087d32ap-2, -0x1.41bd1036da294p-2, -0x1.403010010831dp-2, -0x1.3e91717a51846p-2, -0x1.3ce1c97995206p-2, -0x1.3b21ab880c707p-2, -0x1.3951a9d0e408fp-2, -0x1.3772551195097p-2, -0x1.35843c8b0e84ap-2, -0x1.3387edf3964eep-2, -0x1.317df569748c5p-2, -0x1.2f66dd6650edbp-2, -0x1.2d432eb351703p-2, -0x1.2b13705de828dp-2, -0x1.28d827ad55d1dp-2, -0x1.2691d818d8bf5p-2, -0x1.2441033e8608cp-2, -0x1.21e628dacc755p-2, -0x1.1f81c6c094dc7p-2, -0x1.1d1458d206212p-2, -0x1.1a9e58f9e46dbp-2, -0x1.18203f2583c57p-2, -0x1.159a813f54849p-2, -0x1.130d9329fb4aep-2, -0x1.1079e6bbf7d6fp-2, -0x1.0ddfebbbd2752p-2, -0x1.0b400fdccf92cp-2, -0x1.089abebc242e6p-2, -0x1.05f061dea64e3p-2, -0x1.034160aef89b8p-2, -0x1.008e207c29393p-2, -0x1.fbae08f18b2d9p-3, -0x1.f638db74b4089p-3, -0x1.f0bd7672baedcp-3, -0x1.eb3c93a30950fp-3, -0x1.e5b6e884edb4bp-3, -0x1.e02d2661c7939p-3, -0x1.da9ffa4fece33p-3, -0x1.d5100d3641454p-3, -0x1.cf7e03d07539fp-3, -0x1.c9ea7eb3ee35p-3, -0x1.c4561a5549825p-3, -0x1.bec16f0e7756ep-3, -0x1.b92d11256622fp-3, -0x1.b39990d339c03p-3, -0x1.ae077a4c030bfp-3, -0x1.a87755c6fb724p-3, -0x1.a2e9a787302f2p-3, -0x1.9d5eefe4aa77p-3, -0x1.97d7ab55f69f3p-3, -0x1.9254527a1e801p-3, -0x1.8cd55a22fe71cp-3, -0x1.875b335ff23dfp-3, -0x1.81e64b88e111cp-3, -0x1.7c770c4994338p-3, -0x1.770ddbad5c01fp-3, -0x1.71ab1c2af7cc8p-3, -0x1.6c4f2cb0c6ae4p-3, -0x1.66fa68b12fd2ap-3, -0x1.61ad282f44c8p-3, -0x1.5c67bfcb9a5c3p-3, -0x1.572a80d14d72ep-3, -0x1.51f5b94334b9p-3, -0x1.4cc9b3e93e52cp-3, -0x1.47a6b85de62bp-3, -0x1.428d0b1bd91e3p-3, -0x1.3d7ced8ba6391p-3, -0x1.38769e1191635p-3, -0x1.337a581b7a462p-3, -0x1.2e88542ecbfdep-3, -0x1.29a0c7f681e8ap-3, -0x1.24c3e65137e3fp-3, -0x1.1ff1df5f37057p-3, -0x1.1b2ae09095adfp-3, -0x1.166f14b34b4bfp-3, -0x1.11bea4014dcabp-3, -0x1.0d19b42ea00ddp-3, -0x1.0880687764d26p-3, -0x1.03f2e1addf171p-3, -0x1.fee27c90d6f74p-4, -0x1.f5f734ded7195p-4, -0x1.ed24201640b2dp-4, -0x1.e4696da2e19cap-4, -0x1.dbc748a743f92p-4, -0x1.d33dd817e2f39p-4, -0x1.cacd3ed63708ep-4, -0x1.c2759bcb9492cp-4, -0x1.ba370a03c93c5p-4, -0x1.b211a0c786717p-4, -0x1.aa0573b68e3bfp-4, -0x1.a21292e19d47p-4, -0x1.9a390ae4158dcp-4, -0x1.9278e4fd646d7p-4, -0x1.8ad2272a20c47p-4, -0x1.8344d43ce068cp-4, -0x1.7bd0ebf6bf291p-4, -0x1.74766b1f9e8ddp-4, -0x1.6d354b9e12917p-4, -0x1.660d848efb7c9p-4, -0x1.5eff0a5cd25a9p-4, -0x1.5809ced69f943p-4, -0x1.512dc1469cbf5p-4, -0x1.4a6ace887dc43p-4, -0x1.43c0e11f66188p-4, -0x1.3d2fe14b85d7ep-4, -0x1.36b7b51f5c421p-4, -0x1.305840949e921p-4, -0x1.2a1165a0c81a4p-4, -0x1.23e304494e318p-4, -0x1.1dccfab7762f5p-4, -0x1.17cf254bd4da1p-4, -0x1.11e95eb16934ep-4, -0x1.0c1b7ff0649e3p-4, -0x1.06656080911efp-4, -0x1.00c6d65b58e68p-4, -0x1.f67f6c1aec571p-5, -0x1.eb9fa5908981dp-5, -0x1.e0edfce56fac8p-5, -0x1.d66a1373e3341p-5, -0x1.cc13884300de5p-5, -0x1.c1e9f826847a9p-5, -0x1.b7ecfdddd507bp-5, -0x1.ae1c32325c019p-5, -0x1.a4772c152e84ep-5, -0x1.9afd80bbf981fp-5, -0x1.91aec3bd44591p-5, -0x1.888a872c00063p-5, -0x1.7f905bb2687cdp-5, -0x1.76bfd0ac36182p-5, -0x1.6e187440240c2p-5, -0x1.6599d378cfb63p-5, -0x1.5d437a5ce96a8p-5, -0x1.5514f406c368p-5, -0x1.4d0dcabb35cd4p-5, -0x1.452d87ffe9808p-5, -0x1.3d73b4b0f763cp-5, -0x1.35dfd915ec063p-5, -0x1.2e717cf62e683p-5, -0x1.272827acc9d46p-5, -0x1.2003603ba71c4p-5, -0x1.1902ad5e1c98bp-5, -0x1.1225959afdbdfp-5, -0x1.0b6b9f560a3ecp-5, -0x1.04d450e0cdfc9p-5, -0x1.fcbe6115fac0bp-6, -0x1.f01789646e7bbp-6, -0x1.e3b327a29182fp-6, -0x1.d790491dc9f61p-6, -0x1.cbadfb97a0c02p-6, -0x1.c00b4d6135516p-6, -0x1.b4a74d758eba2p-6, -0x1.a9810b9305f5bp-6, -0x1.9e979853b179dp-6, -0x1.93ea0544d912ep-6, -0x1.897764fd8020ep-6, -0x1.7f3ecb340c897p-6, -0x1.753f4cd300856p-6, -0x1.6b78000cd06fep-6, -0x1.61e7fc6ef4413p-6, -0x1.588e5af404277p-6, -0x1.4f6a36150c924p-6, -0x1.467aa9da27c45p-6, -0x1.3dbed3ea35828p-6, -0x1.3535d399d62cfp-6, -0x1.2cdec9f9b5374p-6, -0x1.24b8d9e3f7606p-6, -0x1.1cc32809174p-6, -0x1.14fcdafbf0d59p-6, -0x1.0d651b3d32fbdp-6, -0x1.05fb13461a9acp-6, -0x1.fd7bdf251ad24p-7, -0x1.ef59bd553523cp-7, -0x1.e18e22569de5ep-7, -0x1.d417739df0cbbp-7, -0x1.c6f41ae9a37b6p-7, -0x1.ba2286504b19cp-7, -0x1.ada1284db6109p-7, -0x1.a16e77cf05b03p-7, -0x1.9588f03da5e64p-7, -0x1.89ef11894d415p-7, -0x1.7e9f603111eccp-7, -0x1.7398654b70752p-7, -0x1.68d8ae8d79d02p-7, -0x1.5e5ece5125d82p-7, -0x1.54295b9aa70acp-7, -0x1.4a36f21cf66f6p-7, -0x1.4086323dafd92p-7, -0x1.3715c117ed74cp-7, -0x1.2de4487e8622p-7, -0x1.24f076fd88753p-7, -0x1.1c38ffdb0c6a4p-7, -0x1.13bc9b17328c4p-7, -0x1.0b7a056baa80fp-7, -0x1.0370004a69911p-7, -0x1.f73aa3b7b15a2p-8, -0x1.e80189f910d9ap-8, -0x1.d93252742aa97p-8, -0x1.cacaa59f78e58p-8, -0x1.bcc835448e314p-8, -0x1.af28bc770975bp-8, -0x1.a1e9ff8a8f649p-8, -0x1.9509cc07c3463p-8, -0x1.8885f8a07f88fp-8, -0x1.7c5c65230601cp-8, -0x1.708afa6cc1d6dp-8, -0x1.650faa5bc0ee7p-8, -0x1.59e86fbfeb38dp-8, -0x1.4f134e4b2ffafp-8, -0x1.448e52812b6e6p-8, -0x1.3a5791a63779ep-8, -0x1.306d29add1d7ap-8, -0x1.26cd412872f5bp-8, -0x1.1d760730d4b9bp-8, -0x1.1465b358e3b22p-8, -0x1.0b9a8595f3698p-8, -0x1.0312c62cb82dap-8, -0x1.f5998b393cdadp-9, -0x1.e58db9160f424p-9, -0x1.d5fed75ba85d1p-9, -0x1.c6e9b76bd3d77p-9, -0x1.b84b3a725aab1p-9, -0x1.aa205138a35a8p-9, -0x1.9c65fbf89a176p-9, -0x1.8f194a2f1d9eep-9, -0x1.82375a6e345b4p-9, -0x1.75bd5a2eb6788p-9, -0x1.69a885a14cd66p-9, -0x1.5df6277fd03dfp-9, -0x1.52a398dd927e2p-9, -0x1.47ae40f837a5fp-9, -0x1.3d1395077fe7p-9, -0x1.32d1180dbe4b9p-9, -0x1.28e45aa76c8e4p-9, -0x1.1f4afadb039f4p-9, -0x1.1602a3e8ef2fep-9, -0x1.0d090e1aee4f7p-9, -0x1.045bfe93c3689p-9, -0x1.f7f28e3e8002cp-10, -0x1.e7bd8c02f1bebp-10, -0x1.d814cb8d8f4aep-10, -0x1.c8f43a27825f9p-10, -0x1.ba57dce9d423cp-10, -0x1.ac3bd05dd25d5p-10, -0x1.9e9c481dd7b55p-10, -0x1.91758e75ddf17p-10, -0x1.84c40404b7ef8p-10, -0x1.78841f5e699b8p-10, -0x1.6cb26cadbbfep-10, -0x1.614b8d570027cp-10, -0x1.564c379bc42f7p-10, -0x1.4bb1363e1437bp-10, -0x1.417768253ec3cp-10, -0x1.379bc002dedb2p-10, -0x1.2e1b43f8806c9p-10, -0x1.24f30d3e618afp-10, -0x1.1c2047ca3dccep-10, -0x1.13a031f7b25f7p-10, -0x1.0b701c3031821p-10, -0x1.038d68951a192p-10, -0x1.f7eb1553422d3p-11, -0x1.e94c0dfc104eep-11, -0x1.db38e5b6c35b4p-11, -0x1.cdace7e0dad42p-11, -0x1.c0a37ffecd896p-11, -0x1.b41839189ec2ap-11, -0x1.a806bd19713eep-11, -0x1.9c6ad42f3aa1dp-11, -0x1.9140642e1e0c6p-11, -0x1.86836ff3aa56dp-11, -0x1.7c3016ce7e305p-11, -0x1.724293e5ccf2ap-11, -0x1.68b73da2f1b3cp-11, -0x1.5f8a851e833cdp-11, -0x1.56b8f58d5faafp-11, -0x1.4e3f33b071acfp-11, -0x1.4619fd4827f4cp-11, -0x1.3e462885c68c1p-11, -0x1.36c0a382b569p-11, -0x1.2f8673b79f7f4p-11, -0x1.2894b5766792cp-11, -0x1.21e89b6590232p-11, -0x1.1b7f6dfdf67d6p-11, -0x1.15568b0ac7bc3p-11, -0x1.0f6b652a6b007p-11, -0x1.09bb835232c88p-11, -0x1.044480546781dp-11, -0x1.fe0814cd9033dp-12, -0x1.f3efc55916e62p-12, -0x1.ea3bb9823ca5ep-12, -0x1.e0e7bc8c9f09fp-12, -0x1.d7efbce53452ap-12, -0x1.cf4fcb43e8f59p-12, -0x1.c70419d5bf1a7p-12, -0x1.bf08fb61b9075p-12, -0x1.b75ae278ead49p-12, -0x1.aff660a6f9915p-12, -0x1.a8d825a6ee4a8p-12, -0x1.a1fcfe9c6582ep-12, -0x1.9b61d54f5031cp-12, -0x1.9503af6cc6b1fp-12, -0x1.8edfadc947945p-12, -0x1.88f30ba84e30ep-12, -0x1.833b1e071f201p-12, -0x1.7db552ec57d3cp-12, -0x1.785f30b6a3c3ap-12, -0x1.7336557372bcbp-12, -0x1.6e387636d4606p-12, -0x1.69635e7798362p-12, -0x1.64b4ef6db7347p-12, -0x1.602b1f7567a56p-12, -0x1.5bc3f9746d732p-12, -0x1.577d9c430eb2fp-12, -0x1.53563a1751a86p-12, -0x1.4f4c17f4819b9p-12, -0x1.4b5d8d1e9039cp-12, -0x1.4789028d88f98p-12, -0x1.43ccf2665421cp-12, -0x1.4027e7762d923p-12, -0x1.3c987cb096197p-12, -0x1.391d5cb053126p-12, -0x1.35b5413b56e65p-12, -0x1.325ef2c96c2ccp-12, -0x1.2f19480e7138ep-12, -0x1.2be325855ec41p-12, -0x1.28bb7cff23ed7p-12, -0x1.25a14d3544a58p-12, -0x1.2293a15d23afap-12, -0x1.1f9190be92c2p-12, -0x1.1c9a3e4d80b02p-12, -0x1.19acd845839bfp-12, -0x1.16c897c79f905p-12, -0x1.13ecc07b4cebcp-12, -0x1.1118a03037e3cp-12, -0x1.0e4b8e85b24dp-12, -0x1.0b84ec90bd18fp-12, -0x1.08c424859a26dp-12, -0x1.0608a963bf6a5p-12, -0x1.0351f6a4e7a91p-12, -0x1.009f8fec20842p-12, -0x1.fbe20172385b8p-13, -0x1.f68bb8371da97p-13, -0x1.f13b78d5f16edp-13, -0x1.ebf085fb62865p-13, -0x1.e6aa2fc703755p-13, -0x1.e167d34386579p-13, -0x1.dc28d9e4f4eabp-13, -0x1.d6ecb90721589p-13, -0x1.d1b2f16ff3186p-13, -0x1.cc7b0ed6c225bp-13, -0x1.c744a77044405p-13, -0x1.c20f5b7a44211p-13, -0x1.bcdad4cd8826p-13, -0x1.b7a6c67104757p-13, -0x1.b272ec3479a5cp-13, -0x1.ad3f0a4767f22p-13, -0x1.a80aecd8309b8p-13, -0x1.a2d667b35e049p-13, -0x1.9da155e886a6fp-13, -0x1.986b997165afp-13, -0x1.93351ad892508p-13, -0x1.8dfdc8e59b02cp-13, -0x1.88c5984db579p-13, -0x1.838c8362bf29ap-13, -0x1.7e5289c6c98f7p-13, -0x1.7917b02289e99p-13, -0x1.73dbffddbce0bp-13, -0x1.6e9f86dc69ac8p-13, -0x1.6962573842d34p-13, -0x1.64248701eb3a6p-13, -0x1.5ee63001fb43bp-13, -0x1.59a76f7e0a894p-13, -0x1.546865fdc9d0ap-13, -0x1.4f2937120d496p-13, -0x1.49ea091ff4a37p-13, -0x1.44ab052d2d127p-13, -0x1.3f6c56acd73f8p-13, -0x1.3a2e2b4edab9bp-13, -0x1.34f0b2d13e6a4p-13, -0x1.2fb41ed427472p-13, -0x1.2a78a2afe088fp-13, -0x1.253e7348fc979p-13, -0x1.2005c6e9d38f8p-13, -0x1.1aced51b65f45p-13, -0x1.1599d68245cf2p-13, -0x1.106704ba5944cp-13, -0x1.0b369a3466bbbp-13, -0x1.0608d216d75e9p-13, -0x1.00dde81ef6d12p-13, -0x1.f76c3106b8449p-14, -0x1.ed233fad135f9p-14, -0x1.e2e175d8204e5p-14, -0x1.d8a74d7e9881fp-14, -0x1.ce7540b5c3459p-14, -0x1.c44bc982b6c75p-14, -0x1.ba2b61abdd95ep-14, -0x1.b014828ef06d6p-14, -0x1.a607a4fa30489p-14, -0x1.9c0541056c33dp-14, -0x1.920dcdebad661p-14, -0x1.8821c1ea9d00cp-14, -0x1.7e41922068d7bp-14, -0x1.746db26fbded9p-14, -0x1.6aa6956182a8cp-14, -0x1.60ecac082ca8dp-14, -0x1.574065e618016p-14, -0x1.4da230d6b63d5p-14, -0x1.441278f756e0dp-14, -0x1.3a91a8926ff91p-14, -0x1.3120280ae36e2p-14, -0x1.27be5dca282dfp-14, -0x1.1e6cae30288ddp-14, -0x1.152b7b8382d8ep-14, -0x1.0bfb25e1c0531p-14, -0x1.02dc0b31e168bp-14, -0x1.f39d0e32b7bd9p-15, -0x1.e1a5e5e21cc46p-15, -0x1.cfd34b79b28p-15, -0x1.be25e83ef96dfp-15, -0x1.ac9e60a8aef9p-15, -0x1.9b3d5451390e5p-15, -0x1.8a035de8c15a1p-15, -0x1.78f1132dd6cf7p-15, -0x1.680704e1b7b46p-15, -0x1.5745bec2624b6p-15, -0x1.46adc7856ee4ep-15, -0x1.363fa0d736faap-15, -0x1.25fbc75384689p-15, -0x1.15e2b285dff7fp-15, -0x1.05f4d4e91f855p-15, -0x1.ec6537d1910d9p-16, -0x1.cd38dfcecc1fdp-16, -0x1.ae65687e2aaap-16, -0x1.8feb8e8bd388cp-16, -0x1.71cc04a8d32f1p-16, -0x1.5407739804ee4p-16, -0x1.369e7a400278cp-16, -0x1.1991adbaae2edp-16, -0x1.f9c332cdf5fe3p-17, -0x1.c11d7dfbeedb2p-17, -0x1.89332d540854ap-17, -0x1.52051e48e6d1cp-17, -0x1.1b941b8592685p-17, -0x1.cbc1ba5ef0bc9p-18, -0x1.61d8122df9668p-18, -0x1.f2d8cbc631522p-19, -0x1.24ff72636e5cp-19, -0x1.6897649bb5457p-21, 0x1.b6ca127e4c8b7p-21, 0x1.3288701499acdp-19, 0x1.f45af60a3dafap-19, 0x1.5994b2cc05b08p-18, 0x1.b779a7a8870edp-18, 0x1.09ee2104ca9d8p-17, 0x1.375e44f925cdap-17, 0x1.640d533cb3733p-17, 0x1.8ffb6e8dbc3a8p-17, 0x1.bb28c8966b4p-17, 0x1.e595a1b532a75p-17, 0x1.07a1244d54b94p-16, 0x1.1c178d0449963p-16, 0x1.302e4043b7c76p-16, 0x1.43e57a0b875e8p-16, 0x1.573d7ced7c14bp-16, 0x1.6a3691ed79845p-16, 0x1.7cd108585a2ddp-16, 0x1.8f0d359bcb558p-16, 0x1.a0eb751f2e72fp-16, 0x1.b26c2820d0508p-16, 0x1.c38fb58951adfp-16, 0x1.d45689cc30a7ap-16, 0x1.e4c116bf577a2p-16, 0x1.f4cfd36fc7f68p-16, 0x1.02419dfff0c8cp-15, 0x1.09ede8c20150bp-15, 0x1.116d0ceb3e66p-15, 0x1.18bf4fbbd7022p-15, 0x1.1fe4f8b259c3cp-15, 0x1.26de517b935p-15, 0x1.2daba5dd25fb3p-15, 0x1.344d43a5c4099p-15, 0x1.3ac37a9c2d3e8p-15, 0x1.410e9c69d99dfp-15, 0x1.472efc8b2e456p-15, 0x1.4d24f03ed05eap-15, 0x1.52f0ce722abd1p-15, 0x1.5892efb11e20ep-15, 0x1.5e0bae1776b84p-15, 0x1.635b653d0320dp-15, 0x1.688272260342bp-15, 0x1.6d813333cc218p-15, 0x1.725808141f7ep-15, 0x1.770751afae2d8p-15, 0x1.7b8f721dce112p-15, 0x1.7ff0cc91e30a5p-15, 0x1.842bc54e74421p-15, 0x1.8840c1943c17ep-15, 0x1.8c302795f46f6p-15, 0x1.8ffa5e681bd96p-15, 0x1.939fcdf28f783p-15, 0x1.9720dee3ee75bp-15, 0x1.9a7dfaa22f6aep-15, 0x1.9db78b3d9ccaep-15, 0x1.a0cdfb640d1c4p-15, 0x1.a3c1b65423d88p-15, 0x1.a69327cfbdb92p-15, 0x1.a942bc10866cp-15, 0x1.abd0dfba4640dp-15, 0x1.ae3dffcff7683p-15, 0x1.b08a89a69a606p-15, 0x1.b2b6eadba8afp-15, 0x1.b4c39148b310fp-15, 0x1.b6b0eaf765fc4p-15, 0x1.b87f6619437e5p-15, 0x1.ba2f70fa8cea5p-15, 0x1.bbc179f97aa6ep-15, 0x1.bd35ef7b9ee34p-15, 0x1.be8d3fe4665e7p-15, 0x1.bfc7d98b3675cp-15, 0x1.c0e62ab0eed64p-15, 0x1.c1e8a1791ebcep-15, 0x1.c2cfabdf63b5p-15, 0x1.c39bb7ae62b5bp-15, 0x1.c44d327a3cf4bp-15, 0x1.c4e48996004ccp-15, 0x1.c5622a0abc189p-15, 0x1.c5c68091f88bdp-15, 0x1.c611f98cdb0bfp-15, 0x1.c64500fe3b2dbp-15, 0x1.c66002815cc4ap-15, 0x1.c6636944abb13p-15, 0x1.c64fa003a545p-15, 0x1.c62510fda84d9p-15, 0x1.c5e425f23bc1bp-15, 0x1.c58d481af42fcp-15, 0x1.c520e0240ec9ep-15, 0x1.c49f5627770f5p-15, 0x1.c40911a7a4d3dp-15, 0x1.c35e798a71a1dp-15, 0x1.c29ff4132908bp-15, 0x1.c1cde6dd2f847p-15, 0x1.c0e8b6d9d467bp-15, 0x1.bff0c84afdceep-15, 0x1.bee67ebc54824p-15, 0x1.bdca3d00a1dc9p-15, 0x1.bc9c652f19e0ep-15, 0x1.bb5d589e38e6p-15, 0x1.ba0d77e051f69p-15, 0x1.b8ad22bf335d7p-15, 0x1.b73cb83b5c869p-15, 0x1.b5bc9685c7531p-15, 0x1.b42d1afdcd781p-15, 0x1.b28ea22fece1ap-15, 0x1.b0e187d1bf1dp-15, 0x1.af2626be93407p-15, 0x1.ad5cd8f5f9611p-15, 0x1.ab85f79ab3a3ap-15, 0x1.a9a1daef0365ep-15, 0x1.a7b0da51069f1p-15, 0x1.a5b34c3b58ec7p-15, 0x1.a3a986443d32p-15, 0x1.a193dd1a4d206p-15, 0x1.9f72a481871f4p-15, 0x1.9d462f53a12b8p-15, 0x1.9b0ecf7fa3f5ap-15, 0x1.98ccd608248eep-15, 0x1.9680930052545p-15, 0x1.942a558ddbe14p-15, 0x1.91ca6be6ade0cp-15, 0x1.8f61235017a3ap-15, 0x1.8ceec81e6b49ep-15, 0x1.8a73a5b4d6d9ap-15, 0x1.87f00685132eap-15, 0x1.8564340e09051p-15, 0x1.82d076dc62e44p-15, 0x1.8035168b126cfp-15, 0x1.7d9259c3251d9p-15, 0x1.7ae88639b8d29p-15, 0x1.7837e0b14d01p-15, 0x1.7580acfb5f9a7p-15, 0x1.72c32df87d43bp-15, 0x1.6fffa5969bcafp-15, 0x1.6d3654d2df0a1p-15, 0x1.6a677bb93f8c2p-15, 0x1.679359675166fp-15, 0x1.64ba2c0b429fbp-15, 0x1.61dc30e36a09ap-15, 0x1.5ef9a442450d1p-15, 0x1.5c12c18c8bdbfp-15, 0x1.5927c33ac2727p-15, 0x1.5638e2daf1f0fp-15, 0x1.53465910a55ep-15, 0x1.50505d977cfa3p-15, 0x1.4d57274236bb8p-15, 0x1.4a5aebfd6b6bdp-15, 0x1.475be0d105005p-15, 0x1.445a39e0a9f6cp-15, 0x1.41562a6cc4582p-15, 0x1.3e4fe4d412b8ep-15, 0x1.3b479a9588201p-15, 0x1.383d7c529d105p-15, 0x1.3531b9ce52f7dp-15, 0x1.322481f1191afp-15, 0x1.2f1602c881a3dp-15, 0x1.2c066989fe08bp-15, 0x1.28f5e29498c23p-15, 0x1.25e49971cd77fp-15, 0x1.22d2b8d800f22p-15, 0x1.1fc06aab38209p-15, 0x1.1cadd8001279p-15, 0x1.199b291c5a14dp-15, 0x1.1688857956e2ep-15, 0x1.137613c578841p-15, 0x1.1063f9e6cd284p-15, 0x1.0d525cfba1e2ap-15, 0x1.0a41615daac98p-15, 0x1.07312aa3a5faap-15, 0x1.0421dba221c35p-15, }}, 
      {{0x1.2f5553dd1e90bp-1, 0x1.2f582aea61b0cp-1, 0x1.2f5cfdc12f81ep-1, 0x1.2f63eaadf10cdp-1, 0x1.2f6d152a9c86dp-1, 0x1.2f78a14e8b16ep-1, 0x1.2f86afa32a371p-1, 0x1.2f97599b5e261p-1, 0x1.2faaaec687cedp-1, 0x1.2fc0b2c12dddfp-1, 0x1.2fd95bd7aa657p-1, 0x1.2ff49247d6018p-1, 0x1.3012300b4cbbcp-1, 0x1.303201131c6b9p-1, 0x1.3053c3de85209p-1, 0x1.30772a582016fp-1, 0x1.309bdae70409dp-1, 0x1.30c171a3d289bp-1, 0x1.30e781a404933p-1, 0x1.310d9650104b6p-1, 0x1.313334bb18237p-1, 0x1.3157dcf4b76fdp-1, 0x1.317b0b4f2529ap-1, 0x1.319c399556208p-1, 0x1.31bae02e01b04p-1, 0x1.31d677296f88fp-1, 0x1.31ee7738cd41fp-1, 0x1.32025a8e7f34fp-1, 0x1.32119da7655d4p-1, 0x1.321bbffd8187ep-1, 0x1.322044a4bc28cp-1, 0x1.321eb2d2c2f71p-1, 0x1.321696532a9f7p-1, 0x1.32077fe91499cp-1, 0x1.31f1059faf4ecp-1, 0x1.31d2c30ae95b8p-1, 0x1.31ac5979afdffp-1, 0x1.317d701b0c08dp-1, 0x1.3145b41763176p-1, 0x1.3104d89f10f07p-1, 0x1.30ba96ef83debp-1, 0x1.3066ae4fee638p-1, 0x1.3008e4068ca2bp-1, 0x1.2fa103476ea42p-1, 0x1.2f2edd1da1903p-1, 0x1.2eb2484f7e099p-1, 0x1.2e2b213ed4cb4p-1, 0x1.2d9949c59cb73p-1, 0x1.2cfca90fba487p-1, 0x1.2c552b7264219p-1, 0x1.2ba2c2419fdd9p-1, 0x1.2ae563a441c87p-1, 0x1.2a1d0a66ce80fp-1, 0x1.2949b5cd9597p-1, 0x1.286b69664e28cp-1, 0x1.27822cd979726p-1, 0x1.268e0bbbc2494p-1, 0x1.258f155f9044ap-1, 0x1.24855ca6f547dp-1, 0x1.2370f7d6204e8p-1, 0x1.225200667088cp-1, 0x1.212892da49192p-1, 0x1.1ff4ce91b978p-1, 0x1.1eb6d5a00fd1p-1, 0x1.1d6ecca262535p-1, 0x1.1c1cda9722272p-1, 0x1.1ac128b6ba00fp-1, 0x1.195be24d489adp-1, 0x1.17ed349576a14p-1, 0x1.16754e946f8e6p-1, 0x1.14f460f6fd3b7p-1, 0x1.136a9defca1d2p-1, 0x1.11d83916c6a72p-1, 0x1.103d6749b1d56p-1, 0x1.0e9a5e8dc4a48p-1, 0x1.0cef55f278c57p-1, 0x1.0b3c85756ba71p-1, 0x1.098225e755417p-1, 0x1.07c070d211c1dp-1, 0x1.05f7a05fb69d7p-1, 0x1.0427ef42acaa7p-1, 0x1.0251989ecc2b1p-1, 0x1.0074d7f373503p-1, 0x1.fd23d20d20569p-2, 0x1.f9520fa132dfcp-2, 0x1.f574e0d2e02c9p-2, 0x1.f18cbdec4061fp-2, 0x1.ed9a1f2efd85cp-2, 0x1.e99d7cb335d24p-2, 0x1.e5974e47ff691p-2, 0x1.e1880b5575a6ap-2, 0x1.dd702ac04fa4ep-2, 0x1.d95022ceec939p-2, 0x1.d528690fca768p-2, 0x1.d0f972415e0dcp-2, 0x1.ccc3b23b3eb5dp-2, 0x1.c8879bd8990e4p-2, 0x1.c445a0e3e1cdcp-2, 0x1.bffe3203b95f1p-2, 0x1.bbb1bea8f77afp-2, 0x1.b760b4fdd4a1cp-2, 0x1.b30b81d62838p-2, 0x1.aeb290a0aef58p-2, 0x1.aa564b59514c2p-2, 0x1.a5f71a7c616a4p-2, 0x1.a19564fac64bcp-2, 0x1.9d31902f0db04p-2, 0x1.98cbffd357c5ep-2, 0x1.946515f81902ep-2, 0x1.8ffd32fba7a0ep-2, 0x1.8b94b5828e90ap-2, 0x1.872bfa709a06ep-2, 0x1.82c35ce2a045fp-2, 0x1.7e5b3628efc4fp-2, 0x1.79f3ddc26f053p-2, 0x1.758da95855755p-2, 0x1.7128ecba83193p-2, 0x1.6cc5f9dc6b876p-2, 0x1.686520d29047p-2, 0x1.6406afd080e13p-2, 0x1.5faaf32760a58p-2, 0x1.5b523544e9c6bp-2, 0x1.56fcbeb2e5e51p-2, 0x1.52aad6171b252p-2, 0x1.4e5cc033a81adp-2, 0x1.4a12bfe7c62e4p-2, 0x1.45cd1630f27a2p-2, 0x1.418c022c7619dp-2, 0x1.3d4fc11947bf9p-2, 0x1.39188e5a4702cp-2, 0x1.34e6a378ca5d5p-2, 0x1.30ba382777ed3p-2, 0x1.2c9382457003fp-2, 0x1.2872b5e1b93dcp-2, 0x1.2458053ef286bp-2, 0x1.2043a0d74555dp-2, 0x1.1c35b76091f65p-2, 0x1.182e75d0d8f28p-2, 0x1.142e0762d7838p-2, 0x1.1034959ad775ap-2, 0x1.0c42484bae1c6p-2, 0x1.0857459bea54ep-2, 0x1.0473b20b2a1ep-2, 0x1.0097b07797c58p-2, 0x1.f986c4471ab05p-3, 0x1.f1edcd76abf4ap-3, 0x1.ea64b8b627829p-3, 0x1.e2ebbf297b7acp-3, 0x1.db8316ec77d78p-3, 0x1.d42af31f2fa87p-3, 0x1.cce383f28e338p-3, 0x1.c5acf6b510268p-3, 0x1.be8775df9c732p-3, 0x1.b7732922821c5p-3, 0x1.b070357291485p-3, 0x1.a97ebd1647acep-3, 0x1.a29edfb314bb3p-3, 0x1.9bd0ba5ab1258p-3, 0x1.951467987bac6p-3, 0x1.8e69ff7ee783p-3, 0x1.87d197b4ef19bp-3, 0x1.814b438388aadp-3, 0x1.7ad713e320efcp-3, 0x1.747517890c28fp-3, 0x1.6e255af4ff10cp-3, 0x1.67e7e87e6f2cfp-3, 0x1.61bcc861fdaeap-3, 0x1.5ba400cec54b2p-3, 0x1.559d95f3a3af1p-3, 0x1.4fa98a0c71598p-3, 0x1.49c7dd6f237ap-3, 0x1.43f88e98dd182p-3, 0x1.3e3b9a3ae5d77p-3, 0x1.3890fb4790e66p-3, 0x1.32f8aafefefb6p-3, 0x1.2d72a0fbcc173p-3, 0x1.27fed33fa2027p-3, 0x1.229d363fa4f84p-3, 0x1.1d4dbcf0c6cefp-3, 0x1.181058d3f36cep-3, 0x1.12e4fa02249bbp-3, 0x1.0dcb8f38473dcp-3, 0x1.08c405e300d8cp-3, 0x1.03ce4a2a51f0dp-3, 0x1.fdd48dfa1a94ep-4, 0x1.f42fcc385474cp-4, 0x1.eaae204bdb3c6p-4, 0x1.e14f5941d67fcp-4, 0x1.d813440dba00fp-4, 0x1.cef9ab9e9f951p-4, 0x1.c60258f4458d7p-4, 0x1.bd2d1333c17c4p-4, 0x1.b4799fbbceb1ep-4, 0x1.abe7c238d2d7ap-4, 0x1.a3773cb878fcdp-4, 0x1.9b27cfbcff3bap-4, 0x1.92f93a5026c76p-4, 0x1.8aeb3a15c1fd3p-4, 0x1.82fd8b5df3d23p-4, 0x1.7b2fe93709bf2p-4, 0x1.73820d7efe981p-4, 0x1.6bf3b0f4a0805p-4, 0x1.64848b485beb4p-4, 0x1.5d34532ca9e7p-4, 0x1.5602be6624277p-4, 0x1.4eef81db3d96fp-4, 0x1.47fa51a39e5dcp-4, 0x1.4122e11727127p-4, 0x1.3a68e2dc989c8p-4, 0x1.33cc08f7e2e5fp-4, 0x1.2d4c04d8197a5p-4, 0x1.26e887650ef42p-4, 0x1.20a1410c9b18bp-4, 0x1.1a75e1cf85d24p-4, 0x1.1466194e1c518p-4, 0x1.0e7196d47136p-4, 0x1.0898096647378p-4, 0x1.02d91fcaa4e77p-4, 0x1.fa69112e32361p-5, 0x1.ef53e4754fcdp-5, 0x1.e4721610d2453p-5, 0x1.d9c30283a8df6p-5, 0x1.cf4606417a5bdp-5, 0x1.c4fa7dc202cebp-5, 0x1.badfc593cee72p-5, 0x1.b0f53a6e647ecp-5, 0x1.a73a3943cd2dfp-5, 0x1.9dae1f5193ca7p-5, 0x1.94504a3123364p-5, 0x1.8b2017e79e6e2p-5, 0x1.821ce6f524d0ep-5, 0x1.794616638b6ccp-5, 0x1.709b05d48bac6p-5, 0x1.681b158f6a8ddp-5, 0x1.5fc5a68e18be2p-5, 0x1.579a1a89d3b12p-5, 0x1.4f97d407415f4p-5, 0x1.47be36620ec29p-5, 0x1.400ca5d81766ap-5, 0x1.388287940acabp-5, 0x1.311f41b7a185ep-5, 0x1.29e23b6559bd8p-5, 0x1.22cadcc9c5d46p-5, 0x1.1bd88f2465969p-5, 0x1.150abcd013608p-5, 0x1.0e60d14b09d57p-5, 0x1.07da393e7c29p-5, 0x1.01766285c96eap-5, 0x1.f669786a96902p-6, 0x1.ea296d418d456p-6, 0x1.de2b86c2ee403p-6, 0x1.d26eaab77bebcp-6, 0x1.c6f1c188fcf0dp-6, 0x1.bbb3b64c2885ap-6, 0x1.b0b376c9fd8edp-6, 0x1.a5eff38861638p-6, 0x1.9b681fd228adbp-6, 0x1.911af1be732fdp-6, 0x1.8707623773c44p-6, 0x1.7d2c6d00a2797p-6, 0x1.738910bc56af8p-6, 0x1.6a1c4ef0da1a4p-6, 0x1.60e52c0ce30f5p-6, 0x1.57e2af6b9b6d7p-6, 0x1.4f13e358195e2p-6, 0x1.4677d510569d3p-6, 0x1.3e0d94c7b674bp-6, 0x1.35d435a91418dp-6, 0x1.2dcacdd85259ap-6, 0x1.25f0767388d0ap-6, 0x1.1e444b93c4b04p-6, 0x1.16c56c4d58484p-6, 0x1.0f72faafccf28p-6, 0x1.084c1bc57498dp-6, 0x1.014ff7929ad23p-6, 0x1.f4fb7228b7dcfp-7, 0x1.e7a91c7e497e9p-7, 0x1.daa74ff9cb5c3p-7, 0x1.cdf47455cda4ap-7, 0x1.c18ef72eb9652p-7, 0x1.b5754bfd5291dp-7, 0x1.a9a5ec10be347p-7, 0x1.9e1f5687ec63bp-7, 0x1.92e0104a7c86cp-7, 0x1.87e6a401407cdp-7, 0x1.7d31a20e2a96ep-7, 0x1.72bfa083d09a9p-7, 0x1.688f3b1c8c41bp-7, 0x1.5e9f13311fep-7, 0x1.54edcfaf0c39p-7, 0x1.4b7a1d0e72edep-7, 0x1.4242ad47b43dfp-7, 0x1.394637c8a0d46p-7, 0x1.3083796971e26p-7, 0x1.27f9346164327p-7, 0x1.1fa6303b0be1p-7, 0x1.178939c87305dp-7, 0x1.0fa12316e86dap-7, 0x1.07ecc36298243p-7, 0x1.006af709eb6b1p-7, 0x1.f2353f0177de6p-8, 0x1.e3f5468693d37p-8, 0x1.d613db921f8c5p-8, 0x1.c88edeeec0e28p-8, 0x1.bb643b27dcdfp-8, 0x1.ae91e46e4ea4cp-8, 0x1.a215d87cd604ap-8, 0x1.95ee1e7c65fadp-8, 0x1.8a18c6e82774cp-8, 0x1.7e93eb715737ap-8, 0x1.735daee3016f3p-8, 0x1.68743d0590c49p-8, 0x1.5dd5ca8249cp-8, 0x1.538094c6a103bp-8, 0x1.4972e1e7871c3p-8, 0x1.3fab00849f7c6p-8, 0x1.362747ab70288p-8, 0x1.2ce616ba92c9p-8, 0x1.23e5d544d5b1fp-8, 0x1.1b24f2f45ceb4p-8, 0x1.12a1e76ddfeddp-8, 0x1.0a5b3233ca636p-8, 0x1.024f5a89a6a51p-8, 0x1.f4f9deaea3ce8p-9, 0x1.e5c50e18f207cp-9, 0x1.d6fd7f0824586p-9, 0x1.c8a07bcff3942p-9, 0x1.baab5d2955ecbp-9, 0x1.ad1b89fa40f05p-9, 0x1.9fee771da072p-9, 0x1.9321a72b7a7bdp-9, 0x1.86b2aa4198ac5p-9, 0x1.7a9f1dcc7d92ep-9, 0x1.6ee4ac507121ep-9, 0x1.63810d33639b9p-9, 0x1.58720486b57a8p-9, 0x1.4db562d19d897p-9, 0x1.434904dc0da5ep-9, 0x1.392ad379c99c4p-9, 0x1.2f58c35618d42p-9, 0x1.25d0d4bfdd513p-9, 0x1.1c91137627ad9p-9, 0x1.139796753339ap-9, 0x1.0ae27fc3d342ep-9, 0x1.026ffc4172b8ep-9, 0x1.f47c86e9327a9p-10, 0x1.e4972eb3912c3p-10, 0x1.d52c88665835ep-10, 0x1.c63940b0b68c5p-10, 0x1.b7ba180df7875p-10, 0x1.a9abe26784263p-10, 0x1.9c0b86b80d90ep-10, 0x1.8ed5feafdb351p-10, 0x1.8208565a08b4p-10, 0x1.759fabc30ff45p-10, 0x1.69992ea025bf4p-10, 0x1.5df21ff7c53b9p-10, 0x1.52a7d1cb842b8p-10, 0x1.47b7a6c2f682fp-10, 0x1.3d1f11d77c2cfp-10, 0x1.32db9601801ccp-10, 0x1.28eac5e684497p-10, 0x1.1f4a43885ec7p-10, 0x1.15f7bff5d6283p-10, 0x1.0cf0fafc02e83p-10, 0x1.0433c2d8fa9b1p-10, 0x1.f77be7dfa014fp-11, 0x1.e71af0fa89132p-11, 0x1.d740909babf4bp-11, 0x1.c7e8d0e9de287p-11, 0x1.b90fd60a0b241p-11, 0x1.aab1dd91d576dp-11, 0x1.9ccb3dfca5cedp-11, 0x1.8f586622d8ad7p-11, 0x1.8255dcb2a00e3p-11, 0x1.75c03fabb39a9p-11, 0x1.699443dc6fe8ep-11, 0x1.5dceb461a1d3cp-11, 0x1.526c72289dc3dp-11, 0x1.476a7372b967dp-11, 0x1.3cc5c35b7b34ep-11, 0x1.327b8160bbff9p-11, 0x1.2888e0ec9c0e1p-11, 0x1.1eeb28e1c2c2cp-11, 0x1.159fb3295272dp-11, 0x1.0ca3ec4364886p-11, 0x1.03f552d8cd80dp-11, 0x1.f722ee9f6bffcp-12, 0x1.e6ebf6c2ee092p-12, 0x1.d7412365a41a1p-12, 0x1.c81dfadab60bap-12, 0x1.b97e23b7ce87bp-12, 0x1.ab5d640f5110dp-12, 0x1.9db7a0b036246p-12, 0x1.9088dc687ebf2p-12, 0x1.83cd374b663e5p-12, 0x1.7780edfbe162fp-12, 0x1.6ba058f9345bdp-12, 0x1.6027ebf0b6382p-12, 0x1.551435113c97cp-12, 0x1.4a61dc636bceap-12, 0x1.400da324bac91p-12, 0x1.36146325ad4b7p-12, 0x1.2c730e2babaf5p-12, 0x1.2326ad5642f95p-12, 0x1.1a2c60864c395p-12, 0x1.11815dca30a9bp-12, 0x1.0922f0cae75a5p-12, 0x1.010e7a3e7e654p-12, 0x1.f282deb6cb954p-13, 0x1.e372b2a10ea95p-13, 0x1.d4e7a97d7e3bap-13, 0x1.c6dd226d77946p-13, 0x1.b94ea1701c97fp-13, 0x1.ac37ce68a3497p-13, 0x1.9f947428034a6p-13, 0x1.93607f7da4af8p-13, 0x1.8797fe4cd8b76p-13, 0x1.7c371ea74068ep-13, 0x1.713a2dec06156p-13, 0x1.669d97ee0d612p-13, 0x1.5c5de61c4b6f3p-13, 0x1.5277beb13a82cp-13, 0x1.48e7e3e51a98ap-13, 0x1.3fab3326f195dp-13, 0x1.36bea4585fa3fp-13, 0x1.2e1f490fc371ap-13, 0x1.25ca4bdcdb423p-13, 0x1.1dbcef9360502p-13, 0x1.15f48e99e40e4p-13, 0x1.0e6e9a3b9d833p-13, 0x1.072899ff0987ap-13, 0x1.00202b011b405p-13, 0x1.f2a5fea6a1f9bp-14, 0x1.e57dbabda4082p-14, 0x1.d8c33e9637d01p-14, 0x1.cc7264ce6988bp-14, 0x1.c0872d32ad9ecp-14, 0x1.b4fdbb9e6114bp-14, 0x1.a9d256e7c407ap-14, 0x1.9f0167cf6caddp-14, 0x1.948777f985eefp-14, 0x1.8a6130eb2b1c2p-14, 0x1.808b5b11c184fp-14, 0x1.7702dccc89246p-14, 0x1.6dc4b97edd006p-14, 0x1.64ce10aa58c0ap-14, 0x1.5c1c1d0b525d9p-14, 0x1.53ac33bddafa8p-14, 0x1.4b7bc366b4b1cp-14, 0x1.438853631a847p-14, 0x1.3bcf82fcc4c15p-14, 0x1.344f08a699b1fp-14, 0x1.2d04b13aa962cp-14, 0x1.25ee5f3ee7bcep-14, 0x1.1f0a0a30e8adfp-14, 0x1.1855bdd41d155p-14, 0x1.11cf9985811b6p-14, 0x1.0b75cf950f2cdp-14, 0x1.0546a4a0f27p-14, 0x1.fe80ddf13ce37p-15, 0x1.f2c32c05d4c05p-15, 0x1.e75123516198ep-15, 0x1.dc27d3859c9f4p-15, 0x1.d1446b1ab0a1ap-15, 0x1.c6a43640791e3p-15, 0x1.bc449dd06c7b2p-15, 0x1.b223264cba1ap-15, 0x1.a83d6ee4eb4f4p-15, 0x1.9e9130809a3c1p-15, 0x1.951c3cd476531p-15, 0x1.8bdc7d7cec89fp-15, 0x1.82cff31eb696bp-15, 0x1.79f4b48ea3897p-15, 0x1.7148edffb6697p-15, 0x1.68cae03c25212p-15, 0x1.6078dfdbbd3dbp-15, 0x1.585154868f1cbp-15, 0x1.5052b83b92329p-15, 0x1.487b969b6fcd5p-15, 0x1.40ca8c3e430b4p-15, 0x1.393e46081f02cp-15, 0x1.31d58087b3055p-15, 0x1.2a8f075719bb2p-15, 0x1.2369b483b99c4p-15, 0x1.1c646ffc3ee6cp-15, 0x1.157e2effeac61p-15, 0x1.0eb5f392e34d6p-15, 0x1.080acbf96822bp-15, 0x1.017bd235434dp-15, 0x1.f6105712cde86p-16, 0x1.e95e100059bb9p-16, 0x1.dcdf43ed38489p-16, 0x1.d0927b556dfb6p-16, 0x1.c476519d1d362p-16, 0x1.b889743fdf76ap-16, 0x1.accaa20270f57p-16, 0x1.a138aa2fa5c78p-16, 0x1.95d26bd6ec096p-16, 0x1.8a96d5179856ap-16, 0x1.7f84e26f4dc4ep-16, 0x1.749b9e106678p-16, 0x1.69da1f3bd1cd2p-16, 0x1.5f3f89a4593e8p-16, 0x1.54cb0cd48a9e9p-16, 0x1.4a7be39dd472ep-16, 0x1.4051538b22b3cp-16, 0x1.364aac5687eeap-16, 0x1.2c674766f05f7p-16, 0x1.22a687510ed13p-16, 0x1.1907d75e5603bp-16, 0x1.0f8aab1942838p-16, 0x1.062e7ddb76b82p-16, 0x1.f9e5a4c4c7751p-17, 0x1.e7ae64d16ac3cp-17, 0x1.d5b65c826161ep-17, 0x1.c3fcb8f1b7ab7p-17, 0x1.b280b2faa86e2p-17, 0x1.a1418e82f3db1p-17, 0x1.903e99d4098cfp-17, 0x1.7f772cfb2942p-17, 0x1.6eeaa92e145dp-17, 0x1.5e9878374637p-17, 0x1.4e800be804131p-17, 0x1.3ea0dd9349b9fp-17, 0x1.2efa6d8806203p-17, 0x1.1f8c42997322fp-17, 0x1.1055e9a5bbc66p-17, 0x1.0156f52a6c1ecp-17, 0x1.e51df9aee5c47p-18, 0x1.c7fb3a4724f2fp-18, 0x1.ab44eddf1072dp-18, 0x1.8efa5e509dce7p-18, 0x1.731adcd98346ap-18, 0x1.57a5c1772e197p-18, 0x1.3c9a6a4472edap-18, 0x1.21f83ae9525bep-18, 0x1.07be9bfd5a691p-18, 0x1.dbd9f518b5fb4p-19, 0x1.a9058f1ebc487p-19, 0x1.76feeee8b134cp-19, 0x1.45c5035be5845p-19, 0x1.1556c07e6faeap-19, 0x1.cb663d6ec1f5p-20, 0x1.6db2340cb20d8p-20, 0x1.118f62a02f559p-20, 0x1.6df796ce85f16p-21, 0x1.77d5cf69aa1dcp-22, 0x1.9e98dedb045bcp-26, -0x1.3ddd750469f9bp-22, -0x1.47c38be67c72dp-21, -0x1.ed8d9e694657ep-21, -0x1.4828738b92686p-20, -0x1.9808b02a5a10cp-20, -0x1.e66985ba54c52p-20, -0x1.19a67c8935e45p-19, -0x1.3f5a89ea4eb73p-19, -0x1.6451f27c2ad95p-19, -0x1.888dc0b33286bp-19, -0x1.ac0f023299b16p-19, -0x1.ced6c806aee1ap-19, -0x1.f0e626d606ce9p-19, -0x1.091f1b87b8ad8p-18, -0x1.19700a84bb67ep-18, -0x1.29667095ac9a7p-18, -0x1.3902e0084f034p-18, -0x1.4845ed48bac6fp-18, -0x1.57302eef85a6ap-18, -0x1.65c23dcaf58d7p-18, -0x1.73fcb4e550625p-18, -0x1.81e03185c29dap-18, -0x1.8f6d533565151p-18, -0x1.9ca4bbbf4838ep-18, -0x1.a9870f30ee005p-18, -0x1.b614f3d60258dp-18, -0x1.c24f12394dd72p-18, -0x1.ce3615194705ep-18, -0x1.d9caa967adce6p-18, -0x1.e50d7e43d906p-18, -0x1.efff44ec711cep-18, -0x1.faa0b0b75977ap-18, -0x1.02793b843dc9ep-17, -0x1.077aa7a61c983p-17, -0x1.0c54f9726102ap-17, -0x1.11088e8f4060bp-17, -0x1.1595c591ed8c4p-17, -0x1.19fcfdf78433p-17, -0x1.1e3e981dd609cp-17, -0x1.225af53bf117ap-17, -0x1.2652775bddba3p-17, -0x1.2a25814f403d2p-17, -0x1.2dd476abab7e6p-17, -0x1.315fbbbfe4388p-17, -0x1.34c7b58a03f7bp-17, -0x1.380cc9af219a4p-17, -0x1.3b2f5e74a3ad3p-17, -0x1.3e2fdab849e9bp-17, -0x1.410ea5e39ad3cp-17, -0x1.43cc27e55b6a4p-17, -0x1.4668c92792d62p-17, -0x1.48e4f2860ea6dp-17, -0x1.4b410d46953d7p-17, -0x1.4d7d830ed2924p-17, -0x1.4f9abddd82a59p-17, -0x1.519927fddb5f1p-17, -0x1.53792c027b15ep-17, -0x1.553b34b9be35dp-17, -0x1.56dfad2425817p-17, -0x1.5867006c0f943p-17, -0x1.59d199dd63fa8p-17, -0x1.5b1fe4dea976p-17, -0x1.5c524ce57e829p-17, -0x1.5d693d6efe578p-17, -0x1.5e6521f71e2d9p-17, -0x1.5f4665efedb1cp-17, -0x1.600d74b9ed9d5p-17, -0x1.60bab99b5028cp-17, -0x1.614e9fb9f8c75p-17, -0x1.61c992119dd01p-17, -0x1.622bfb6cac513p-17, -0x1.6276465d42f24p-17, -0x1.62a8dd3381bb2p-17, -0x1.62c429f7bf222p-17, -0x1.62c89661977f6p-17, -0x1.62b68bd414be4p-17, -0x1.628e7354f7762p-17, -0x1.6250b585823dfp-17, -0x1.61fdba9c0d514p-17, -0x1.6195ea5e07bcep-17, -0x1.6119ac184c852p-17, -0x1.6089669ab7588p-17, -0x1.5fe580308b011p-17, -0x1.5f2e5e9ddd58bp-17, -0x1.5e64671687079p-17, -0x1.5d87fe3a44014p-17, -0x1.5c99880ea9296p-17, -0x1.5b9967f979165p-17, -0x1.5a8800bc94ff3p-17, -0x1.5965b46f7c33dp-17, -0x1.5832e47cb981ep-17, -0x1.56eff19d9d5eep-17, -0x1.559d3bd33bacap-17, -0x1.543b2263ea69p-17, -0x1.52ca03d70a41cp-17, -0x1.514a3df06764ep-17, -0x1.4fbc2dacceb98p-17, -0x1.4e202f3e5a50bp-17, -0x1.4c769e0acaff1p-17, -0x1.4abfd4a6b46dep-17, -0x1.48fc2cd191c6fp-17, -0x1.472bff748813p-17, -0x1.454fa49d5c1bap-17, -0x1.4367737d3b8f7p-17, -0x1.4173c2654c9c6p-17, -0x1.3f74e6c46fc79p-17, -0x1.3d6b352691fb2p-17, -0x1.3b570130db914p-17, -0x1.39389d9f52c17p-17, -0x1.37105c4409a72p-17, -0x1.34de8e04bd14bp-17, -0x1.32a382d9171d8p-17, -0x1.305f89c929418p-17, -0x1.2e12f0ec631bdp-17, -0x1.2bbe0569fd9bcp-17, -0x1.2961137508a09p-17, -0x1.26fc664c9558p-17, -0x1.2490483b13f87p-17, -0x1.221d029475ddep-17, -0x1.1fa2ddb5ee45cp-17, -0x1.1d222105c8a8ep-17, -0x1.1a9b12f20dfd7p-17, -0x1.180df8f1fb6a5p-17, -0x1.157b178452a6ep-17, -0x1.12e2b22ec317ap-17, -0x1.10450b7ee3fd5p-17, -0x1.0da26509a3552p-17, -0x1.0afaff6b705c3p-17, -0x1.084f1a48053bp-17, -0x1.059ef44b3c2aap-17, -0x1.02eacb2a5e3c4p-17, -0x1.0032dba37d543p-17, -0x1.faeec2fb6288fp-18, -0x1.f5712f15793b8p-18, -0x1.efed6f4cb645cp-18, -0x1.ea63f56f738f3p-18, -0x1.e4d5316409002p-18, -0x1.df41912c35d7fp-18, -0x1.d9a980e411bd5p-18, -0x1.d40d6ac8bdb24p-18, -0x1.ce6db73723473p-18, -0x1.c8caccada53d7p-18, -0x1.c3250fd0f9ccap-18, -0x1.bd7ce36d6f2f5p-18, -0x1.b7d2a879252dap-18, -0x1.b226be16a5c65p-18, -0x1.ac79819999b26p-18, -0x1.a6cb4e895de27p-18, -0x1.a11c7ea2c0855p-18, -0x1.9b6d69db542d8p-18, -0x1.95be66668576dp-18, -0x1.900fc8b5c2836p-18, -0x1.8a61e37dad743p-18, -0x1.84b507b93fb59p-18, -0x1.7f0984ae2d84ap-18, -0x1.795fa7ee1493cp-18, -0x1.73b7bd5ddf688p-18, -0x1.6e120f372bebp-18, -0x1.686ee60bdd162p-18, -0x1.62ce88ca0ea86p-18, -0x1.5d313cc1fa501p-18, -0x1.579745a6ec608p-18, -0x1.5200e594d5fc3p-18, -0x1.4c6e5d1425f6ap-18, -0x1.46dfeb1ed6fc3p-18, -0x1.4155cd23d290ep-18, -0x1.3bd03f09bd079p-18, -0x1.364f7b357dd2p-18, -0x1.30d3ba8da5ab6p-18, -0x1.2b5d347d1cdf7p-18, -0x1.25ec1ef94f14dp-18, -0x1.2080ae85627c9p-18, -0x1.1b1b1637eb21bp-18, -0x1.15bb87bd28337p-18, -0x1.1062335d9903dp-18, -0x1.0b0f48016e26bp-18, -0x1.05c2f3340b47fp-18, -0x1.007d6129a3ff9p-18, -0x1.f67d798774dfp-19, -0x1.ec0e5f294e4eap-19, -0x1.e1adc3c7c5725p-19, -0x1.d75bf5680db77p-19, -0x1.cd193f8b3b195p-19, -0x1.c2e5eb39be147p-19, -0x1.b8c23f0962304p-19, -0x1.aeae7f27292aap-19, -0x1.a4aaed6204a63p-19, -0x1.9ab7c931a9fedp-19, -0x1.90d54fbec5c1fp-19, -0x1.8703bbee2b89dp-19, -0x1.7d434667b1507p-19, -0x1.7394259f10fefp-19, -0x1.69f68ddd3b8d8p-19, -0x1.606ab14970c2ep-19, -0x1.56f0bff0f5956p-19, -0x1.4d88e7cd69c02p-19, -0x1.443354d3f07fp-19, -0x1.3af030f8080d3p-19, -0x1.31bfa4353a278p-19, -0x1.28a1d496e3253p-19, -0x1.1f96e6450455cp-19, -0x1.169efb85bd95fp-19, -0x1.0dba34cc577e6p-19, -0x1.04e8b0bbb7276p-19, -0x1.f8551861ecd0dp-20, -0x1.e6ffc4980f72ep-20, -0x1.d5d198f001746p-20, -0x1.c4cac4e40da01p-20, -0x1.b3eb74a45cceep-20, -0x1.a333d1253caa6p-20, -0x1.92a4002ef8ceep-20, -0x1.823c246dbf73cp-20, -0x1.71fc5d812b003p-20, -0x1.61e4c80b7aeaep-20, -0x1.51f57dbe078ep-20, -0x1.422e956c04124p-20, -0x1.3290231b96ec5p-20, -0x1.231a380f19f6dp-20, -0x1.13cce2d2f15f6p-20, -0x1.04a82f50a3b1ap-20, -0x1.eb584dbdf736p-21, -0x1.cdb1a0902c097p-21, -0x1.b05c5fbe1f903p-21, -0x1.93588f0a8c34bp-21, -0x1.76a62d7ca3e4ep-21, -0x1.5a45357baac99p-21, -0x1.3e359ce7520b4p-21, -0x1.22775534fdcfdp-21, -0x1.070a4b851e894p-21, -0x1.d7dcd18494b0ap-22, -0x1.a2472365dbe8bp-22, -0x1.6d534e32b5de4p-22, -0x1.39010b8e58d58p-22, -0x1.05500d753827dp-22, -0x1.a47ffcd86f9c1p-23, -0x1.3fa10356170bfp-23, -0x1.b804cd7133943p-24, -0x1.e68d460107a37p-25, -0x1.882e0a043e99ep-27, 0x1.1d7f704b5ce55p-25, 0x1.4c0bc2ca7f72ap-24, 0x1.0370389901819p-23, 0x1.5f9ff6f2dbe3bp-23, 0x1.ba963d9688e53p-23, 0x1.0a2a1c8f45e7bp-22, 0x1.366d908e6288cp-22, 0x1.62161bf3868ecp-22, 0x1.8d24651ae1e59p-22, 0x1.b799176dc7e5ep-22, 0x1.e174e33debcd9p-22, 0x1.055c3ecdcc6edp-21, }}, 
      {{0x1.e2f0f033b5e39p-12, 0x1.df4dba7b80229p-10, 0x1.0a4d3b85e8153p-8, 0x1.d1869ffa55bb6p-8, 0x1.642299aca2262p-7, 0x1.f43ea87dc0842p-7, 0x1.4ae7eddd659d8p-6, 0x1.a2b76a86af621p-6, 0x1.ffd886756ede8p-6, 0x1.304ff6cadb9d3p-5, 0x1.61ba9271156f6p-5, 0x1.936c8f941e783p-5, 0x1.c4b567aa62f0ep-5, 0x1.f4f50607e605dp-5, 0x1.11ce44f81a4d1p-4, 0x1.28173e4b113fdp-4, 0x1.3d1f4d0819091p-4, 0x1.50b8a3cb15879p-4, 0x1.62bd667b49c48p-4, 0x1.730f31a2c85b9p-4, 0x1.819693b04d054p-4, 0x1.8e427dffc1e47p-4, 0x1.9907b24fe42efp-4, 0x1.a1e0304982328p-4, 0x1.a8caa5e7036afp-4, 0x1.adc9e4da383dp-4, 0x1.b0e45e7cb9503p-4, 0x1.b223a75f95c7ap-4, 0x1.b194032d61e5ap-4, 0x1.af43f942598b9p-4, 0x1.ab43f21ed83a3p-4, 0x1.a5a5dda63de88p-4, 0x1.9e7ce1f51e6bdp-4, 0x1.95dd127c89f25p-4, 0x1.8bdb2efa7f454p-4, 0x1.808c69d93bec1p-4, 0x1.74063575c3d49p-4, 0x1.665e17c973559p-4, 0x1.57a983f15bf2ep-4, 0x1.47fdb91006eb9p-4, 0x1.376fa60a20058p-4, 0x1.2613d1a430c32p-4, 0x1.13fe468e2c81fp-4, 0x1.014282f107553p-4, 0x1.dbe6d63498672p-5, 0x1.b4467dd345d7fp-5, 0x1.8bc723581b8d6p-5, 0x1.628a8830a404fp-5, 0x1.38b1004e9f80dp-5, 0x1.0e596d14048e7p-5, 0x1.c7427615398eap-6, 0x1.7148c4073eecbp-6, 0x1.1aface8d2adeep-6, 0x1.89158603aafdcp-7, 0x1.b89ff185042a4p-8, 0x1.7ff1099959d51p-10, -0x1.ee3100a297ad4p-9, -0x1.2600b4071e4f2p-7, -0x1.cf15e7785ca71p-7, -0x1.3b43c26f4af2ap-6, -0x1.8e0b059db8abep-6, -0x1.dfc352209d89dp-6, -0x1.1828be6219ac5p-5, -0x1.3fce424f39b0bp-5, -0x1.66c6bea2fa3dep-5, -0x1.8d07bc8424e0ap-5, -0x1.b287b99d6ac58p-5, -0x1.d73e1d5e9ec11p-5, -0x1.fb232e609c02cp-5, -0x1.0f1803fa26775p-4, -0x1.202f47f1ebd7fp-4, -0x1.30d4b635f5de8p-4, -0x1.4105fd390907ap-4, -0x1.50c121fdff129p-4, -0x1.60047b758a296p-4, -0x1.6eceadff5066cp-4, -0x1.7d1ea70f4d376p-4, -0x1.8af398f820f2fp-4, -0x1.984cf6dab3a79p-4, -0x1.a52a70bb5ecf8p-4, -0x1.b18befbca176ap-4, -0x1.bd71927f24674p-4, -0x1.c8dba9a6daa5cp-4, -0x1.d3cab484adccep-4, -0x1.de3f5de448b0cp-4, -0x1.e83a78fd40b49p-4, -0x1.f1bcfe86f8752p-4, -0x1.fac809ee68ad8p-4, -0x1.01ae6b567efep-3, -0x1.05be5edfcd428p-3, -0x1.0994999e70a74p-3, -0x1.0d31e204e0d87p-3, -0x1.109709d5b1b78p-3, -0x1.13c4ed1aac1e8p-3, -0x1.16bc712999a3ap-3, -0x1.197e83b63cc89p-3, -0x1.1c0c19f0efe32p-3, -0x1.1e662fb17e8cdp-3, -0x1.208dc6adadbeep-3, -0x1.2283e5baf936ep-3, -0x1.2449981b201c4p-3, -0x1.25dfecd2eee16p-3, -0x1.2747f60ae8432p-3, -0x1.2882c8795beebp-3, -0x1.29917ad571698p-3, -0x1.2a752552cap-3, -0x1.2b2ee12552cfcp-3, -0x1.2bbfc80cdabc9p-3, -0x1.2c28f3e819a14p-3, -0x1.2c6b7e4ec1d29p-3, -0x1.2c8880324e8bap-3, -0x1.2c81118531262p-3, -0x1.2c5648e8133b8p-3, -0x1.2c093b5cd6995p-3, -0x1.2b9afbff181a9p-3, -0x1.2b0c9bc1dacc4p-3, -0x1.2a5f293224d3ep-3, -0x1.2993b03e4de18p-3, -0x1.28ab3a01b0e51p-3, -0x1.27a6cc949b33cp-3, -0x1.26876ae030fc5p-3, -0x1.254e14761bf14p-3, -0x1.23fbc56bc3f27p-3, -0x1.22917638ee86ap-3, -0x1.21101b998f7d3p-3, -0x1.1f78a6729f9edp-3, -0x1.1dcc03b9d0f56p-3, -0x1.1c0b1c5ff3d07p-3, -0x1.1a36d53dedbc2p-3, -0x1.18500f041c98p-3, -0x1.1657a62bfab3bp-3, -0x1.144e72ebf0983p-3, -0x1.1235492d2ce77p-3, -0x1.100cf883662dep-3, -0x1.0dd64c266d229p-3, -0x1.0b920aed724f7p-3, -0x1.0940f74be4bebp-3, -0x1.06e3cf4fd8146p-3, -0x1.047b4ca1cfc8p-3, -0x1.02082485e24b1p-3, -0x1.ff160fbc450a8p-4, -0x1.fa09465c5e35ep-4, -0x1.f4eb3d3fc0e8fp-4, -0x1.efbd3c11f4827p-4, -0x1.ea8081e3bba6cp-4, -0x1.e536453a30c5bp-4, -0x1.dfdfb41fa4fc3p-4, -0x1.da7df435fe781p-4, -0x1.d51222ca9d68bp-4, -0x1.cf9d54eb96389p-4, -0x1.ca20977e1c1f8p-4, -0x1.c49cef5639f58p-4, -0x1.bf13594f6fb7cp-4, -0x1.b984ca667253bp-4, -0x1.b3f22fd3b7838p-4, -0x1.ae5c6f26e49bp-4, -0x1.a8c46662f0c55p-4, -0x1.a32aec1afe383p-4, -0x1.9d90cf8fc56abp-4, -0x1.97f6d8cd91422p-4, -0x1.925dc8cab8da4p-4, -0x1.8cc659867e487p-4, -0x1.87313e284fb5cp-4, -0x1.819f231f59bf8p-4, -0x1.7c10ae4259e1ap-4, -0x1.76867eefabcf2p-4, -0x1.71012e2d7e607p-4, -0x1.6b814eca2d45cp-4, -0x1.66076d7cac7e6p-4, -0x1.60941105034b3p-4, -0x1.5b27ba4cc66c8p-4, -0x1.55c2e4878f08ep-4, -0x1.506605535fcf1p-4, -0x1.4b118cd8f5828p-4, -0x1.45c5e5ebf7ddbp-4, -0x1.4083762b05558p-4, -0x1.3b4a9e1f92013p-4, -0x1.361bb95d94e52p-4, -0x1.30f71ea2fc119p-4, -0x1.2bdd1ff6e301ap-4, -0x1.26ce0ac885c6ap-4, -0x1.21ca280dec3f5p-4, -0x1.1cd1bc6248149p-4, -0x1.17e5082402aaep-4, -0x1.1304479275ee2p-4, -0x1.0e2fb2eb4cfa7p-4, -0x1.09677e8789772p-4, -0x1.04abdaf828b79p-4, -0x1.fff9ea44d3b7cp-5, -0x1.f6b5ecb7595c4p-5, -0x1.ed8c0909da331p-5, -0x1.e47c844ba8c13p-5, -0x1.db879d0ebeb9bp-5, -0x1.d2ad8b9c3662bp-5, -0x1.c9ee8227e2718p-5, -0x1.c14aad030d2b3p-5, -0x1.b8c232ce53dffp-5, -0x1.b05534aaa5176p-5, -0x1.a803ce6954c34p-5, -0x1.9fce16bb53d66p-5, -0x1.97b41f5f7bc5ep-5, -0x1.8fb5f54ff6bfbp-5, -0x1.87d3a0eec2d4p-5, -0x1.800d26314a712p-5, -0x1.786284cb193a3p-5, -0x1.70d3b857abd18p-5, -0x1.6960b883581f6p-5, -0x1.620979334f23bp-5, -0x1.5acdeaacc069fp-5, -0x1.53adf9bb16ae5p-5, -0x1.4ca98fd552a02p-5, -0x1.45c093428a721p-5, -0x1.3ef2e73d86792p-5, -0x1.38406c1784b5ep-5, -0x1.31a8ff5a20d07p-5, -0x1.2b2c7be8640c5p-5, -0x1.24caba1efef68p-5, -0x1.1e838ff3ae35dp-5, -0x1.1856d113d12d2p-5, -0x1.12444f022e36dp-5, -0x1.0c4bd933ec364p-5, -0x1.066d3d2cc071fp-5, -0x1.00a8469a59dcp-5, -0x1.f5f97ede0360fp-6, -0x1.ead4dff701cc8p-6, -0x1.dfe23e1082966p-6, -0x1.d52123db6ea1dp-6, -0x1.ca9119582156cp-6, -0x1.c031a4045ce0bp-6, -0x1.b6024707d6d8ap-6, -0x1.ac02835f6732cp-6, -0x1.a231d806de5e2p-6, -0x1.988fc2218565ep-6, -0x1.8f1bbd2154bfcp-6, -0x1.85d542ece27a5p-6, -0x1.7cbbcc040f8aep-6, -0x1.73cecfa37f7aap-6, -0x1.6b0dc3e6d36c5p-6, -0x1.62781de9c1191p-6, -0x1.5a0d51e7fca04p-6, -0x1.51ccd35bffb7bp-6, -0x1.49b6151cbb9b2p-6, -0x1.41c8897a3019cp-6, -0x1.3a03a258f7f14p-6, -0x1.3266d14cc859dp-6, -0x1.2af187b1f06ddp-6, -0x1.23a336c5de0e1p-6, -0x1.1c7b4fbea1edap-6, -0x1.157943e18f9fp-6, -0x1.0e9c8498e80bp-6, -0x1.07e48388a2b97p-6, -0x1.0150b2a25483cp-6, -0x1.f5c1087087c0fp-7, -0x1.e926d61f325f4p-7, -0x1.dcd1b4e39c70cp-7, -0x1.d0c08c7a9ab73p-7, -0x1.c4f245ea9a4ccp-7, -0x1.b965cba1d1f21p-7, -0x1.ae1a099309a97p-7, -0x1.a30ded50f4677p-7, -0x1.9840662829ebdp-7, -0x1.8db06537c392ap-7, -0x1.835cdd88b40abp-7, -0x1.7944c423db5abp-7, -0x1.6f671026dfa48p-7, -0x1.65c2bad7d483p-7, -0x1.5c56bfb7bc439p-7, -0x1.53221c93ea043p-7, -0x1.4a23d1964ff9ep-7, -0x1.415ae154bfa39p-7, -0x1.38c650df211e7p-7, -0x1.306527ccb6291p-7, -0x1.2836704862367p-7, -0x1.2039371c09b9ap-7, -0x1.186c8bbb0c2ebp-7, -0x1.10cf804bdbb14p-7, -0x1.096129b0cac14p-7, -0x1.02209f8ffd135p-7, -0x1.f619f8b542d5fp-8, -0x1.e84abaa6ba8e6p-8, -0x1.dad1c52807fb4p-8, -0x1.cdad5e253d843p-8, -0x1.c0dbd14b8b7d1p-8, -0x1.b45b7010a3a8dp-8, -0x1.a82a91b8e5b4bp-8, -0x1.9c47935c4801ap-8, -0x1.90b0d7ea30cdcp-8, -0x1.8564c82c23509p-8, -0x1.7a61d2c76290bp-8, -0x1.6fa66c3d8f4c1p-8, -0x1.65310eec3e226p-8, -0x1.5b003b0bb6b35p-8, -0x1.511276acb370fp-8, -0x1.47664db56011dp-8, -0x1.3dfa51dd65aa5p-8, -0x1.34cd1aa94528fp-8, -0x1.2bdd4564e9fa5p-8, -0x1.2329751d8918p-8, -0x1.1ab0529acbf2ap-8, -0x1.12708c575fb4p-8, -0x1.0a68d678d20d3p-8, -0x1.0297eac6eda9dp-8, -0x1.f5f91145064a9p-9, -0x1.e72ae9f74184fp-9, -0x1.d8c2f48ec1bb7p-9, -0x1.cabed0ea345d4p-9, -0x1.bd1c29c68ae4bp-9, -0x1.afd8b4a7d0b9dp-9, -0x1.a2f231c11fe6fp-9, -0x1.96666bdc0f41ep-9, -0x1.8a33383f42c74p-9, -0x1.7e56769454c42p-9, -0x1.72ce10cd4716bp-9, -0x1.6797fb0955aedp-9, -0x1.5cb233793860dp-9, -0x1.521ac2430233fp-9, -0x1.47cfb9657244p-9, -0x1.3dcf349aea908p-9, -0x1.3417593c2b1f2p-9, -0x1.2aa65622748fep-9, -0x1.217a6389a23e7p-9, -0x1.1891c2f1d3cdap-9, -0x1.0feabf00ee297p-9, -0x1.0783ab63c6f85p-9, -0x1.feb5c95edbc5p-10, -0x1.eedda083f1be8p-10, -0x1.df7bb846e5b3bp-10, -0x1.d08cfdcd1e73bp-10, -0x1.c20e6f12936f6p-10, -0x1.b3fd1aab02404p-10, -0x1.a6561f835258fp-10, -0x1.9916aca2803cdp-10, -0x1.8c3c00eb0a321p-10, -0x1.7fc36adc1184bp-10, -0x1.73aa4852c2b7ap-10, -0x1.67ee064bce99cp-10, -0x1.5c8c20a54aef6p-10, -0x1.518221e082392p-10, -0x1.46cda2e42e702p-10, -0x1.3c6c4abef2cf5p-10, -0x1.325bce6a0cc8p-10, -0x1.2899f08c5ba82p-10, -0x1.1f24813e0a61bp-10, -0x1.15f95dcc3b92ep-10, -0x1.0d16707d532e1p-10, -0x1.0479b055b7b4p-10, -0x1.f84241b9a2b62p-11, -0x1.e815a3c54f3f7p-11, -0x1.d869be8bc7351p-11, -0x1.c93ae17544931p-11, -0x1.ba857322955c2p-11, -0x1.ac45f0fcc3634p-11, -0x1.9e78eec5532d9p-11, -0x1.911b1627a4a34p-11, -0x1.8429264b8e1a2p-11, -0x1.779ff3697b95bp-11, -0x1.6b7c665f5f72ep-11, -0x1.5fbb7c46b1bd8p-11, -0x1.545a460c4d5b1p-11, -0x1.4955e808d7789p-11, -0x1.3eab999ad3b5cp-11, -0x1.3458a4c1bf8d4p-11, -0x1.2a5a65bae309p-11, -0x1.20ae4a9f12db7p-11, -0x1.1751d301b9a85p-11, -0x1.0e428f9187f77p-11, -0x1.057e21ba0af65p-11, -0x1.fa04768d8bb9p-12, -0x1.e9993c0f1ce2fp-12, -0x1.d9b636ed767eap-12, -0x1.ca5728bfea0c6p-12, -0x1.bb77f1114815dp-12, -0x1.ad148cb3c89d9p-12, -0x1.9f2915172b037p-12, -0x1.91b1bfa177a59p-12, -0x1.84aadd0a6f67ap-12, -0x1.7810d8ba655f9p-12, -0x1.6be0382adbc5ep-12, -0x1.60159a4a078a2p-12, -0x1.54adb6e109e8cp-12, -0x1.49a55dfccca47p-12, -0x1.3ef9775941635p-12, -0x1.34a701cf3e47bp-12, -0x1.2aab12c56bf6ep-12, -0x1.2102d5a38f1b2p-12, -0x1.17ab8b47b4aefp-12, -0x1.0ea2897eb08fdp-12, -0x1.05e53a7f03423p-12, -0x1.fae238cb2d91ap-13, -0x1.ea87816b75b37p-13, -0x1.dab597b5bb28ap-13, -0x1.cb67e95b51057p-13, -0x1.bc9a07f57d479p-13, -0x1.ae47a8174b806p-13, -0x1.a06ca065b3e4ap-13, -0x1.9304e8b339912p-13, -0x1.860c992012bep-13, -0x1.797fe93fa5883p-13, -0x1.6d5b2f4184f32p-13, -0x1.619adf2060217p-13, -0x1.563b89d428cffp-13, -0x1.4b39dc87ad6bbp-13, -0x1.40929fd4e19f9p-13, -0x1.3642b703b94f4p-13, -0x1.2c471f4cbf3bbp-13, -0x1.229cef2166ee1p-13, -0x1.19415576af4e8p-13, -0x1.10319915b8594p-13, -0x1.076b17eeefc1fp-13, -0x1.fdd68ce0ae3eap-14, -0x1.ed5f5dc388d4p-14, -0x1.dd6be186e9e96p-14, -0x1.cdf7806026323p-14, -0x1.befdca872dc64p-14, -0x1.b07a770902a22p-14, -0x1.a26962a3b876fp-14, -0x1.94c68ea7ae0cp-14, -0x1.878e1fdf3a01dp-14, -0x1.7abc5d7e98214p-14, -0x1.6e4db01963d2dp-14, -0x1.623ea09eb97c6p-14, -0x1.568bd75c324b7p-14, -0x1.4b321b052630ap-14, -0x1.402e4fc48c977p-14, -0x1.357d7650450afp-14, -0x1.2b1cab044e6ffp-14, -0x1.2109250343b4ep-14, -0x1.1740355e0459fp-14, -0x1.0dbf463e770dp-14, -0x1.0483da19ed35dp-14, -0x1.f71715d0c1352p-15, -0x1.e5a812bd6757fp-15, -0x1.d4b638677568bp-15, -0x1.c43d3ec8dcf36p-15, -0x1.b43906ff59707p-15, -0x1.a4a599ed6e496p-15, -0x1.957f26e61e429p-15, -0x1.86c2025eac875p-15, -0x1.786aa4ac60c57p-15, -0x1.6a75a8cb80a54p-15, -0x1.5cdfcb2a4bb82p-15, -0x1.4fa5e884a473dp-15, -0x1.42c4fcc28e70dp-15, -0x1.363a21de3bc38p-15, -0x1.2a028ed4794c1p-15, -0x1.1e1b969e5b8e7p-15, -0x1.1282a72e0b618p-15, -0x1.07354876dbc42p-15, -0x1.f86236f9ed763p-16, -0x1.e2e7b2cf76d33p-16, -0x1.cdf6a541ab0e8p-16, -0x1.b98adbeed7aa5p-16, -0x1.a5a04f9261279p-16, -0x1.9233226604523p-16, -0x1.7f3f9e907d7dep-16, -0x1.6cc234a05c41p-16, -0x1.5ab77a100ce8cp-16, -0x1.491c27d9270dp-16, -0x1.37ed191555f74p-16, -0x1.272749a277ef2p-16, -0x1.16c7d4da718ecp-16, -0x1.06cbf4515e509p-16, -0x1.ee61fd3a4b592p-17, -0x1.cfe8cc539b124p-17, -0x1.b227702fb976bp-17, -0x1.9519364440a33p-17, -0x1.78b99d1c3c062p-17, -0x1.5d045249f5069p-17, -0x1.41f5306ffd2ccp-17, -0x1.27883d5566b57p-17, -0x1.0db9a80cfdc02p-17, -0x1.e90b8e58e7fa4p-18, -0x1.b7d22e2b9ade6p-18, -0x1.87c070965d081p-18, -0x1.58cfdbaef8d81p-18, -0x1.2afa3788f371cp-18, -0x1.fc731674b09f9p-19, -0x1.a51033f270177p-19, -0x1.4fc0c0b8b14cfp-19, -0x1.f8f446e1e9069p-20, -0x1.566456281d439p-20, -0x1.6f7c281c173d3p-21, -0x1.ceea2ae076079p-24, 0x1.e8709e6ad1f2ap-22, 0x1.0d73c8ffa1ccp-20, 0x1.9d291cb4646e3p-20, 0x1.14a63164a0647p-19, 0x1.58f6a41573a16p-19, 0x1.9b8d7707dd207p-19, 0x1.dc71f87bb2147p-19, 0x1.0dd59be7ca7b9p-18, 0x1.2ca00465092c6p-18, 0x1.4a9b835e2faebp-18, 0x1.67cb4bc0413d2p-18, 0x1.84327730b8089p-18, 0x1.9fd40771d7372p-18, 0x1.bab2e7b3b6628p-18, 0x1.d4d1edcdfb421p-18, 0x1.ee33db7db8e26p-18, 0x1.036dafc5ae63fp-17, 0x1.0f658b6f57b7ep-17, 0x1.1b02c6c7c87ap-17, 0x1.26469ff1f7b86p-17, 0x1.31324da26d345p-17, 0x1.3bc6ff8fb3f66p-17, 0x1.4605dee371bfdp-17, 0x1.4ff00ea3376aap-17, 0x1.5986ac14c9975p-17, 0x1.62cacf1917f61p-17, 0x1.6bbd8a86cbeefp-17, 0x1.745fec81c99bep-17, 0x1.7cb2fec815eb4p-17, 0x1.84b7c6fe60867p-17, 0x1.8c6f46fa770d8p-17, 0x1.93da7d037dc0cp-17, 0x1.9afa64147708ap-17, 0x1.a1cff4142a199p-17, 0x1.a85c2212164d8p-17, 0x1.ae9fe078e6bebp-17, 0x1.b49c1f433632p-17, 0x1.ba51cc245c8f5p-17, 0x1.bfc1d2ba076d7p-17, 0x1.c4ed1cb073e25p-17, 0x1.c9d491eaf27b4p-17, 0x1.ce7918a59153ap-17, 0x1.d2db959686c24p-17, 0x1.d6fcec0be1fcp-17, 0x1.daddfe084c7bp-17, 0x1.de7fac5a80b78p-17, 0x1.e1e2d6b5d422dp-17, 0x1.e5085bc908249p-17, 0x1.e7f1195118fdep-17, 0x1.ea9dec27f9484p-17, 0x1.ed0fb058e4842p-17, 0x1.ef47412b5dab2p-17, 0x1.f14579324e1efp-17, 0x1.f30b325501bd3p-17, 0x1.f49945d98579fp-17, 0x1.f5f08c6cd6ce8p-17, 0x1.f711de2b4fb09p-17, 0x1.f7fe12a52d416p-17, 0x1.f8b600e23fc24p-17, 0x1.f93a7f67f09cfp-17, 0x1.f98c643b43707p-17, 0x1.f9ac84dfa0381p-17, 0x1.f99bb65b66f33p-17, 0x1.f95acd35925dp-17, 0x1.f8ea9d75e4993p-17, 0x1.f84bfaa411e9dp-17, 0x1.f77fb7c223dbp-17, 0x1.f686a74b71881p-17, 0x1.f5619b31b2352p-17, 0x1.f41164d8eb5b8p-17, 0x1.f296d51102ddcp-17, 0x1.f0f2bc12066e1p-17, 0x1.ef25e97728edep-17, 0x1.ed312c36eae7cp-17, 0x1.eb15529decb35p-17, 0x1.e8d32a4785e6ep-17, 0x1.e66b801846c71p-17, 0x1.e3df20368712dp-17, 0x1.e12ed6034e296p-17, 0x1.de5b6c0f9552ep-17, 0x1.db65ac16e1af5p-17, 0x1.d84e5ef7efd5cp-17, 0x1.d5164cabf7291p-17, 0x1.d1be3c3db94b8p-17, 0x1.ce46f3c220c52p-17, 0x1.cab138507c399p-17, 0x1.c6fdcdf7ab122p-17, 0x1.c32d77b8ad571p-17, 0x1.bf40f77b1ac39p-17, 0x1.bb390e0790088p-17, 0x1.b7167afed0fcp-17, 0x1.b2d9fcd1ce7c8p-17, 0x1.ae8450b740a24p-17, 0x1.aa1632a3e3661p-17, 0x1.a5905d44a027ap-17, 0x1.a0f389f5171a5p-17, 0x1.9c4070b79c829p-17, 0x1.9777c82df881fp-17, 0x1.929a45922e178p-17, 0x1.8da89cad5f577p-17, 0x1.88a37fd2b24abp-17, 0x1.838b9fd5cbf2ap-17, 0x1.7e61ac04ba65fp-17, 0x1.79265222861adp-17, 0x1.73da3e5f49152p-17, 0x1.6e7e1b527f56ap-17, 0x1.691291f20395bp-17, 0x1.6398498ece416p-17, 0x1.5e0fe7ce7abd3p-17, 0x1.587a10a54ce04p-17, 0x1.52d7665075dd9p-17, 0x1.4d28895151ea9p-17, 0x1.476e1867fd233p-17, 0x1.41a8b08dcb769p-17, 0x1.3bd8ecf2942dbp-17, 0x1.35ff66f5d3dbdp-17, 0x1.301cb62318845p-17, 0x1.2a31702fc6551p-17, 0x1.243e28f5a42e7p-17, 0x1.1e43726fac614p-17, 0x1.1841dcb56e376p-17, 0x1.1239f5f986644p-17, 0x1.0c2c4a864991cp-17, 0x1.061964baef9e9p-17, 0x1.0001cd08abfc3p-17, 0x1.f3cc13e24e8c2p-18, 0x1.e78d4006c6e7fp-18, 0x1.db4823b3ea9fcp-18, 0x1.cefdc035ad43ep-18, 0x1.c2af12e7cbdf6p-18, 0x1.b65d15343928dp-18, 0x1.aa08bc93082e1p-18, 0x1.9db2fa8728bf8p-18, 0x1.915cbc9dc80c4p-18, 0x1.8506ec6a8ba32p-18, 0x1.78b26f888da64p-18, 0x1.6c60279c67a4ap-18, 0x1.6010f2512a661p-18, 0x1.53c5a95a6ff91p-18, 0x1.477f2274d0b87p-18, 0x1.3b3e2f66dc09ap-18, 0x1.2f039e01acccep-18, 0x1.22d038242e18dp-18, 0x1.16a4c3bd6378ap-18, 0x1.0a8202cd72621p-18, 0x1.fcd166d1b235dp-19, 0x1.e4b31f7a104a4p-19, 0x1.ccaa9c238f4dp-19, 0x1.b4b9419e25912p-19, 0x1.9ce06cfb3aeb6p-19, 0x1.85217399804dcp-19, 0x1.6d7da332e8245p-19, 0x1.55f641ded3c5p-19, 0x1.3e8c8e2057e47p-19, 0x1.2741bef00e87bp-19, 0x1.101703c6a2955p-19, 0x1.f21b094d528b9p-20, 0x1.c44cc454abcd9p-20, 0x1.96c56b23364c1p-20, 0x1.698721968916fp-20, 0x1.3c93fd06e362dp-20, 0x1.0fee04675fec6p-20, 0x1.c72e60b5e27aep-21, 0x1.6f22d6ac9744dp-21, 0x1.17bd2373fd622p-21, 0x1.8201c7b4cbf0ep-22, 0x1.abc66421c0102p-23, 0x1.592a8b6eba5bcp-25, -0x1.f8c51463c4034p-24, -0x1.261a324ec86bcp-22, -0x1.cc8f4c4999fffp-22, -0x1.38c54efa3e925p-21, -0x1.8a83334302ed8p-21, -0x1.db7e8c7befae3p-21, -0x1.15da56d811ffp-20, -0x1.3d9181a5eebb7p-20, -0x1.64e3895eb52c5p-20, -0x1.8bcf3d195e15fp-20, -0x1.b253782eeb7edp-20, -0x1.d86f22097b587p-20, -0x1.fe212e0ae22c6p-20, -0x1.11b44db09ebe8p-19, -0x1.24223a7114c74p-19, -0x1.3659e8727b9e2p-19, -0x1.485ae88dce57ep-19, -0x1.5a24d137bb4e2p-19, -0x1.6bb73e6aea6e6p-19, -0x1.7d11d1979648ep-19, -0x1.8e34318d3627p-19, -0x1.9f1e0a68cf189p-19, -0x1.afcf0d8216f14p-19, -0x1.c046f1559b75cp-19, -0x1.d0857173b96f1p-19, -0x1.e08a4e6963a05p-19, -0x1.f0554db197fdfp-19, -0x1.ffe6399e130a5p-19, -0x1.079e70a1b4897p-18, -0x1.0f2c8c343ee83p-18, -0x1.169d5bb7a769p-18, -0x1.1df0cda12b857p-18, -0x1.2526d2a2a3309p-18, -0x1.2c3f5d9d3d7ccp-18, -0x1.333a6399fc17bp-18, -0x1.3a17dbbf9feafp-18, -0x1.40d7bf490da3ap-18, -0x1.477a097a9c5f7p-18, -0x1.4dfeb799231bap-18, -0x1.5465c8e1a7d67p-18, -0x1.5aaf3e7e23986p-18, -0x1.60db1b7be5d54p-18, -0x1.66e964c2f11ep-18, -0x1.6cda210d27674p-18, -0x1.72ad58dbf81dap-18, -0x1.7863166eb6d7bp-18, -0x1.7dfb65ba3727ap-18, -0x1.8376545f0553ap-18, -0x1.88d3f1a03a1fp-18, -0x1.8e144e5b6cca6p-18, -0x1.93377cff30aecp-18, -0x1.983d9180adb45p-18, -0x1.9d26a1550f12ap-18, -0x1.a1f2c36774d7cp-18, -0x1.a6a210102c92dp-18, -0x1.ab34a10b51cfdp-18, -0x1.afaa9171f6cd9p-18, -0x1.b403fdb1eaf83p-18, -0x1.b84103821c5f4p-18, -0x1.bc61c1dc73fd7p-18, -0x1.c06658f673cbap-18, -0x1.c44eea3757d6p-18, -0x1.c81b98311ca61p-18, -0x1.cbcc86973434ep-18, -0x1.cf61da3684998p-18, -0x1.d2dbb8eed0729p-18, -0x1.d63a49aa95028p-18, -0x1.d97db45679e85p-18, -0x1.dca621db5a13ap-18, -0x1.dfb3bc1467292p-18, -0x1.e2a6adc99e42fp-18, -0x1.e57f22a7bd669p-18, -0x1.e83d4738e1e0fp-18, -0x1.eae148dc963c5p-18, -0x1.ed6b55c216de2p-18, -0x1.efdb9ce270e41p-18, -0x1.f2324df5fa9bbp-18, -0x1.f46f996f1538ep-18, -0x1.f693b07522b73p-18, -0x1.f89ec4dca6416p-18, -0x1.fa9109201a2f3p-18, -0x1.fc6ab05b0dad2p-18, -0x1.fe2bee40ae72fp-18, -0x1.ffd4f71859f32p-18, -0x1.00b2ffdb6984cp-17, -0x1.016f9ebc2406fp-17, -0x1.0220731cc3894p-17, -0x1.02c598296a51cp-17, -0x1.035f2948bc412p-17, -0x1.03ed4219601a7p-17, -0x1.046ffe6ec7768p-17, -0x1.04e77a4e7923p-17, -0x1.0553d1ed295bcp-17, -0x1.05b521acc872ep-17, -0x1.060b861a0d772p-17, -0x1.06571be7bfabap-17, -0x1.0697ffee1d55fp-17, -0x1.06ce4f281ec44p-17, -0x1.06fa26b0c7e1bp-17, -0x1.071ba3c0944fp-17, -0x1.0732e3ab834e4p-17, -0x1.074003dd65ee9p-17, -0x1.074321d928749p-17, -0x1.073c5b35f17d7p-17, -0x1.072bcd9d2eed4p-17, -0x1.071196c8260eap-17, -0x1.06edd47dbdc74p-17, -0x1.06c0a490b934dp-17, -0x1.068a24dd7e6bap-17, -0x1.064a73481b08ep-17, -0x1.0601adb9f9a5fp-17, -0x1.05aff2206d73cp-17, -0x1.05555e6a59b37p-17, -0x1.04f2108798f39p-17, -0x1.04862665dc369p-17, -0x1.0411bdee45bd5p-17, -0x1.0394f505894f4p-17, -0x1.030fe989664d7p-17, -0x1.0282b94f0fb58p-17, -0x1.01ed82218852bp-17, -0x1.015061bfd64b1p-17, -0x1.00ab75db1518fp-17, -0x1.fffdb82be5f24p-18, -0x1.fe956405b4302p-18, -0x1.fd1e2a44dcf7ep-18, -0x1.fb9845c463acbp-18, -0x1.fa03f135f3026p-18, -0x1.f861671f8a5f2p-18, -0x1.f6b0e1d915e8ep-18, -0x1.f4f29b895faf8p-18, -0x1.f326ce23599ep-18, -0x1.f14db364dc1a1p-18, -0x1.ef6784d2a1525p-18, -0x1.ed747bb83e535p-18, -0x1.eb74d125f18eap-18, -0x1.e968bde9d966fp-18, -0x1.e7507a931295fp-18, -0x1.e52c3f6dec8c8p-18, -0x1.e2fc4482440dfp-18, -0x1.e0c0c19152de5p-18, -0x1.de79ee13e49bdp-18, -0x1.dc2801371aa87p-18, -0x1.d9cb31dc9d2a4p-18, -0x1.d763b6988382dp-18, -0x1.d4f1c5afd25e9p-18, -0x1.d2759516695cep-18, -0x1.cfef5a6dbecd7p-18, -0x1.cd5f4b03743b3p-18, -0x1.cac59bcf86154p-18, }}, 
      {{0x1.783b6a511831ap-7, 0x1.78f3b3e4485c2p-6, 0x1.1b88646dcb043p-5, 0x1.7b639424fd5fdp-5, 0x1.dc150feaea8dcp-5, 0x1.1ec528929e714p-4, 0x1.4fccf699b79aap-4, 0x1.8104bb74af81bp-4, 0x1.b24995812b1d7p-4, 0x1.e3757ea4186e7p-4, 0x1.0a30b631df253p-3, 0x1.2273825842134p-3, 0x1.3a70f6519d57fp-3, 0x1.52185dd460ccep-3, 0x1.695acfe07cf37p-3, 0x1.802b5feda2106p-3, 0x1.967f345ed04e8p-3, 0x1.ac4d87df8a705p-3, 0x1.c18f9a9f6b325p-3, 0x1.d64097aaa52ddp-3, 0x1.ea5d71ede33b2p-3, 0x1.fde4bbd1c6525p-3, 0x1.086b3de488555p-2, 0x1.1199ffd6d4efp-2, 0x1.1a7fd82deca0dp-2, 0x1.231e734fbfb49p-2, 0x1.2b77e11d67cb1p-2, 0x1.338e81c7f7723p-2, 0x1.3b64f4224d2acp-2, 0x1.42fe0587accddp-2, 0x1.4a5ca35f679e5p-2, 0x1.5183ce3a1a9efp-2, 0x1.58768e7c5e312p-2, 0x1.5f37ea8474cffp-2, 0x1.65cade34672ep-2, 0x1.6c3253c73a8f8p-2, 0x1.72711dd6a1472p-2, 0x1.7889f275fce7ep-2, 0x1.7e7f6747e4575p-2, 0x1.8453ee7413cafp-2, 0x1.8a09d464f0009p-2, 0x1.8fa33e351d0a6p-2, 0x1.952228b749f89p-2, 0x1.9a886803ede18p-2, 0x1.9fd7a77a69464p-2, 0x1.a5116a24a1f1fp-2, 0x1.aa370b6dc5d5cp-2, 0x1.af49c01e74ae8p-2, 0x1.b44a9791fb18ap-2, 0x1.b93a7d19a3669p-2, 0x1.be1a39846ece7p-2, 0x1.c2ea74c29c63fp-2, 0x1.c7abb79d875bbp-2, 0x1.cc5e6d7d53941p-2, 0x1.d102e636bad4cp-2, 0x1.d59957dc1daffp-2, 0x1.da21e08db101dp-2, 0x1.de9c88453d2fp-2, 0x1.e309429a75d3cp-2, 0x1.e767f07d764acp-2, 0x1.ebb861e55ba1fp-2, 0x1.effa5771586b5p-2, 0x1.f42d83fafd65p-2, 0x1.f8518e18b29bep-2, 0x1.fc66118fb0abep-2, 0x1.0035505a7791bp-1, 0x1.022f62de63798p-1, 0x1.042101fc8d5d6p-1, 0x1.0609ec830789ep-1, 0x1.07e9def2b8cecp-1, 0x1.09c094048551p-1, 0x1.0b8dc526151cfp-1, 0x1.0d512aee6a9cep-1, 0x1.0f0a7d8a8258ap-1, 0x1.10b9752239c97p-1, 0x1.125dca35bf39cp-1, 0x1.13f735f3d6579p-1, 0x1.1585728932575p-1, 0x1.17083b69388f4p-1, 0x1.187f4d906e9dp-1, 0x1.19ea67c0e68b9p-1, 0x1.1b494ab8ed5e7p-1, 0x1.1c9bb9644bd3dp-1, 0x1.1de179085d19cp-1, 0x1.1f1a516b46e28p-1, 0x1.20460cf694d17p-1, 0x1.216478d57eb7fp-1, 0x1.2275650f16fc6p-1, 0x1.2378a49ca2ebfp-1, 0x1.246e0d7c5a898p-1, 0x1.255578c0c70bbp-1, 0x1.262ec29cfc127p-1, 0x1.26f9ca6dded1bp-1, 0x1.27b672c0aedcfp-1, 0x1.2864a15702806p-1, 0x1.29043f2863bacp-1, 0x1.29953861bc76fp-1, 0x1.2a177c62b8b9dp-1, 0x1.2a8afdb9496c4p-1, 0x1.2aefb21b6cb41p-1, 0x1.2b45925f5f0a7p-1, 0x1.2b8c9a72575e5p-1, 0x1.2bc4c94dec628p-1, 0x1.2bee20ec45fecp-1, 0x1.2c08a63b2eaf4p-1, 0x1.2c14610e2918fp-1, 0x1.2c115c0f9ba53p-1, 0x1.2bffa4b12c15ep-1, 0x1.2bdf4b1b62294p-1, 0x1.2bb0621ca4e05p-1, 0x1.2b72ff17a588cp-1, 0x1.2b2739f14be4ep-1, 0x1.2acd2cfe33ef3p-1, 0x1.2a64f4efcb855p-1, 0x1.29eeb0c1231b9p-1, 0x1.296a81a37b265p-1, 0x1.28d88aea9c138p-1, 0x1.2838f1f908e2p-1, 0x1.278bde2c10f58p-1, 0x1.26d178c7d2146p-1, 0x1.2609ece330812p-1, 0x1.25356753cff4p-1, 0x1.2454169a167bp-1, 0x1.23662acd3d6bep-1, 0x1.226bd5877f95fp-1, 0x1.216549d261662p-1, 0x1.2052bc13229b7p-1, 0x1.1f3461f759fb5p-1, 0x1.1e0a7261c12eap-1, 0x1.1cd525573798cp-1, 0x1.1b94b3ebff743p-1, 0x1.1a4958313a0cbp-1, 0x1.18f34d22a50fdp-1, 0x1.1792ce94a150ep-1, 0x1.162819227f419p-1, 0x1.14b36a1d1c1f7p-1, 0x1.1334ff79ca564p-1, 0x1.11ad17c18fa4ep-1, 0x1.101bf200b3f6fp-1, 0x1.0e81cdb6a86ccp-1, 0x1.0cdeeac64577ap-1, 0x1.0b338966623e8p-1, 0x1.097fea12c69bdp-1, 0x1.07c44d7d7a909p-1, 0x1.0600f4806fe0cp-1, 0x1.0436200f8d52bp-1, 0x1.0264112b14877p-1, 0x1.008b08d26a58p-1, 0x1.fd568fee79bf7p-2, 0x1.f98a1ee215728p-2, 0x1.f5b13fe210436p-2, 0x1.f1cc73eccd3eap-2, 0x1.eddc3b85f8321p-2, 0x1.e9e116a08fa69p-2, 0x1.e5db8489b5343p-2, 0x1.e1cc03d434cc3p-2, 0x1.ddb31244cfb91p-2, 0x1.d9912cbf3e94p-2, 0x1.d566cf33f36ccp-2, 0x1.d134748e9275cp-2, 0x1.ccfa96a524b9fp-2, 0x1.c8b9ae27fe438p-2, 0x1.c47232925c19p-2, 0x1.c0249a1bb53acp-2, 0x1.bbd159a9b8078p-2, 0x1.b778e4c2f9cp-2, 0x1.b31bad825271cp-2, 0x1.aeba248ade3fcp-2, 0x1.aa54b8fcab127p-2, 0x1.a5ebd86a07b05p-2, 0x1.a17feecd75907p-2, 0x1.9d11668039e32p-2, 0x1.98a0a8318b9cap-2, 0x1.942e1ade5a8dbp-2, 0x1.8fba23c9ab93cp-2, 0x1.8b4526758dd68p-2, 0x1.86cf849c98cd1p-2, 0x1.82599e2bfe7a1p-2, 0x1.7de3d13e25fe4p-2, 0x1.796e7a15cbdecp-2, 0x1.74f9f319aa31dp-2, 0x1.708694d09e22fp-2, 0x1.6c14b5de4c92bp-2, 0x1.67a4ab0044eeap-2, 0x1.6336c70b9511bp-2, 0x1.5ecb5aead6873p-2, 0x1.5a62b59cab836p-2, 0x1.55fd2432a80d9p-2, 0x1.519af1d0a609ap-2, 0x1.4d3c67ac85015p-2, 0x1.48e1cd0e44f8dp-2, 0x1.448b67508c925p-2, 0x1.403979e18565fp-2, 0x1.3bec464414442p-2, 0x1.37a40c116cf3ep-2, 0x1.336108faf4a96p-2, 0x1.2f2378cc78eefp-2, 0x1.2aeb956eb2a35p-2, 0x1.26b996ea16d0cp-2, 0x1.228db369ed016p-2, 0x1.1e681f3fab104p-2, 0x1.1a490ce692f3cp-2, 0x1.1630ad0790bd3p-2, 0x1.121f2e7d54698p-2, 0x1.0e14be58a46d7p-2, 0x1.0a1187e4e65abp-2, 0x1.0615b4acdfd04p-2, 0x1.02216c7fa1331p-2, 0x1.fc69aaeb4cfe2p-3, 0x1.f4a027ec3f5b2p-3, 0x1.ece69578c6a7dp-3, 0x1.e53d35bb12907p-3, 0x1.dda4479c50e9ep-3, 0x1.d61c06d06ed6cp-3, 0x1.cea4abe21be47p-3, 0x1.c73e6c3f010dep-3, 0x1.bfe97a4435511p-3, 0x1.b8a6054ae1c44p-3, 0x1.b17439b513686p-3, 0x1.aa5440fab3afap-3, 0x1.a34641b6acfe9p-3, 0x1.9c4a5fb426edcp-3, 0x1.9560bbfbef671p-3, 0x1.8e8974e1e9eb7p-3, 0x1.87c4a612a74edp-3, 0x1.811268a107215p-3, 0x1.7a72d313e72acp-3, 0x1.73e5f973e2bc3p-3, 0x1.6d6bed591c8eep-3, 0x1.6704bdf908a3ap-3, 0x1.60b0783439a6bp-3, 0x1.5a6f26a438011p-3, 0x1.5440d1a944addp-3, 0x1.4e257f78277fap-3, 0x1.481d3427e7686p-3, 0x1.4227f1bf83a1dp-3, 0x1.3c45b8439435ap-3, 0x1.367685c3e61f2p-3, 0x1.30ba5668fc28cp-3, 0x1.2b11248182978p-3, 0x1.257ae88fabf82p-3, 0x1.1ff799566f228p-3, 0x1.1a872be6b6498p-3, 0x1.152993ac6e5fdp-3, 0x1.0fdec27b742f5p-3, 0x1.0aa6a89c69bp-3, 0x1.058134d96911ap-3, 0x1.006e548a96578p-3, 0x1.f6dbe74516454p-4, 0x1.ecfff9754926p-4, 0x1.e348b23e4a5c3p-4, 0x1.d9b5e1b6656a2p-4, 0x1.d047558961974p-4, 0x1.c6fcd90fd2f7cp-4, 0x1.bdd635663165ap-4, 0x1.b4d3318382682p-4, 0x1.abf3924fbcbc7p-4, 0x1.a3371ab9d2262p-4, 0x1.9a9d8bcd5dc4bp-4, 0x1.9226a4c7f288dp-4, 0x1.89d2232e21b58p-4, 0x1.819fc2e010f7bp-4, 0x1.798f3e2dbc931p-4, 0x1.71a04deade14dp-4, 0x1.69d2a98272441p-4, 0x1.62260709e121ap-4, 0x1.5a9a1b53c38fep-4, 0x1.532e9a0251b99p-4, 0x1.4be3359969d9ep-4, 0x1.44b79f903b5dp-4, 0x1.3dab8862908abp-4, 0x1.36be9fa1bac6cp-4, 0x1.2ff094051db57p-4, 0x1.2941137a59177p-4, 0x1.22afcb3516493p-4, 0x1.1c3c67be75b59p-4, 0x1.15e695041e292p-4, 0x1.0fadfe66ec72ep-4, 0x1.09924ec9475cap-4, 0x1.0393309d14a3fp-4, 0x1.fb609be2a81bfp-5, 0x1.efd2a0feb5353p-5, 0x1.e47bc36f717ddp-5, 0x1.d95b559d79673p-5, 0x1.ce70a991523b7p-5, 0x1.c3bb110b01dcep-5, 0x1.b939dd991b8cp-5, 0x1.aeec60af063bbp-5, 0x1.a4d1ebba9fa4fp-5, 0x1.9ae9d039318a9p-5, 0x1.91335fcbc57ep-5, 0x1.87adec4acd4bp-5, 0x1.7e58c7d9287bfp-5, 0x1.753344f68a219p-5, 0x1.6c3cb6913bb36p-5, 0x1.637470174688cp-5, 0x1.5ad9c58702dbdp-5, 0x1.526c0b7f0bfdbp-5, 0x1.4a2a974d9a145p-5, 0x1.4214beff53aeap-5, 0x1.3a29d96d86a5cp-5, 0x1.32693e4bd1163p-5, 0x1.2ad2463543982p-5, 0x1.23644ab8f1cd7p-5, 0x1.1c1ea6660770ap-5, 0x1.1500b4d749434p-5, 0x1.0e09d2be23a34p-5, 0x1.07395ded30423p-5, 0x1.008eb5623c24p-5, 0x1.f412729fb7f24p-6, 0x1.e750964d05b8dp-6, 0x1.dad69b3a47ce7p-6, 0x1.cea34972c5a8ep-6, 0x1.c2b56baea1c3ep-6, 0x1.b70bcf6180fc4p-6, 0x1.aba544c84bd0dp-6, 0x1.a0809ef62d6afp-6, 0x1.959cb3e0c6958p-6, 0x1.8af85c6b87f7bp-6, 0x1.80927472555a4p-6, 0x1.7669dad36ba1cp-6, 0x1.6c7d717881c11p-6, 0x1.62cc1d5f4f8fap-6, 0x1.5954c6a13c985p-6, 0x1.5016587a8e213p-6, 0x1.470fc150cca6cp-6, 0x1.3e3ff2b899c97p-6, 0x1.35a5e17ae67eep-6, 0x1.2d4085998aee3p-6, 0x1.250eda5354609p-6, 0x1.1d0fde2774291p-6, 0x1.154292d86c5ddp-6, 0x1.0da5fd6e7b16bp-6, 0x1.063926396adc6p-6, 0x1.fdf631a410a17p-7, 0x1.efd5c83602812p-7, 0x1.e20f34829558ep-7, 0x1.d4a0a17858161p-7, 0x1.c788409986df6p-7, 0x1.bac449fa56cbcp-7, 0x1.ae52fc3e714e8p-7, 0x1.a2329c95a3916p-7, 0x1.966176b7c8c71p-7, 0x1.8adddcdff94e9p-7, 0x1.7fa627c71d9f2p-7, 0x1.74b8b69dc0647p-7, 0x1.6a13ef053920ep-7, 0x1.5fb63d086bd98p-7, 0x1.559e1313910f9p-7, 0x1.4bc9e9ebcc781p-7, 0x1.423840a609c9p-7, 0x1.38e79c9d55178p-7, 0x1.2fd68968c6b42p-7, 0x1.270398d0e4f69p-7, 0x1.1e6d62c4acab3p-7, 0x1.1612854e06b69p-7, 0x1.0df1a485f3f9dp-7, 0x1.06096a8842fecp-7, 0x1.fcb10ece093e1p-8, 0x1.edbb623b0a332p-8, 0x1.df2f470625d3cp-8, 0x1.d10a407ab5e38p-8, 0x1.c349dd65058a6p-8, 0x1.b5ebb7f621705p-8, 0x1.a8ed75a6f323bp-8, 0x1.9c4cc71b014d6p-8, 0x1.90076802cad7dp-8, 0x1.841b1efd803d2p-8, 0x1.7885bd7a9ddeep-8, 0x1.6d451f9b1c883p-8, 0x1.62572c1232c12p-8, 0x1.57b9d405e4dfdp-8, 0x1.4d6b12ef56e53p-8, 0x1.4368ee7aee7f9p-8, 0x1.39b176680aa7dp-8, 0x1.3042c468d5b38p-8, 0x1.271afc01a1777p-8, 0x1.1e384a685ddf2p-8, 0x1.1598e663f8fffp-8, 0x1.0d3b102b5c5ffp-8, 0x1.051d1144b1736p-8, 0x1.fa7a78c8c3f83p-9, 0x1.eb33da9866ddp-9, 0x1.dc63115492032p-9, 0x1.ce04f7f04ffdep-9, 0x1.c0167ab3bbb4ap-9, 0x1.b29496fa0d842p-9, 0x1.a57c5af058942p-9, 0x1.98cae553b1de3p-9, 0x1.8c7d653040445p-9, 0x1.8091199fed83ap-9, 0x1.75035189beea1p-9, 0x1.69d16b612bcb3p-9, 0x1.5ef8d4e615861p-9, 0x1.54770ae4a2d55p-9, 0x1.4a4998f5d8d64p-9, 0x1.406e194063e93p-9, 0x1.36e23439bc555p-9, 0x1.2da3a067da792p-9, 0x1.24b022230de2cp-9, 0x1.1c058b58c8b9dp-9, 0x1.13a1bb4e3abf5p-9, 0x1.0b829e6402f6ep-9, 0x1.03a62dda175b1p-9, 0x1.f814df2851f4fp-10, 0x1.e95aebbd3cc96p-10, 0x1.db1abe683fc8p-10, 0x1.cd50ac0733ep-10, 0x1.bff920ee27b6cp-10, 0x1.b310a07524a8p-10, 0x1.a693c4886b67ep-10, 0x1.9a7f3d38c8494p-10, 0x1.8ecfd04df30f5p-10, 0x1.838258d962b72p-10, 0x1.7893c6cb302cap-10, 0x1.6e011e8774d95p-10, 0x1.63c7787d3a049p-10, 0x1.59e400bf188d1p-10, 0x1.5053f69c643dep-10, 0x1.4714ac3bf458fp-10, 0x1.3e238638badfap-10, 0x1.357dfb3e9c08fp-10, 0x1.2d2193a97c0b1p-10, 0x1.250be925689f8p-10, 0x1.1d3aa64f9f33cp-10, 0x1.15ab865969bbp-10, 0x1.0e5c54ac2dbdfp-10, 0x1.074aec8ebfad2p-10, 0x1.007538cbeacf3p-10, 0x1.f3b266b56b9abp-11, 0x1.e6e9ca0f031f8p-11, 0x1.da8cca3d1057p-11, 0x1.ce97b23077cbbp-11, 0x1.c306e88c52c56p-11, 0x1.b7d6ef0339b75p-11, 0x1.ad0461b750661p-11, 0x1.a28bf69c3d646p-11, 0x1.986a7cdc9ea0ep-11, 0x1.8e9cdc411e4f2p-11, 0x1.8520149b16719p-11, 0x1.7bf13d303f736p-11, 0x1.730d842ae1ef3p-11, 0x1.6a722e0af51f6p-11, 0x1.621c951a853a8p-11, 0x1.5a0a28e41189cp-11, 0x1.52386dabe9b01p-11, 0x1.4aa4fbebbd708p-11, 0x1.434d7fd07d94bp-11, 0x1.3c2fb8bb328eap-11, 0x1.354978c2fd3d3p-11, 0x1.2e98a43ad5621p-11, 0x1.281b313839087p-11, 0x1.21cf271df8dd6p-11, 0x1.1bb29e279c868p-11, 0x1.15c3bef79b272p-11, 0x1.1000c2286ff47p-11, 0x1.0a67efdeb8f37p-11, 0x1.04f79f5e6c18bp-11, 0x1.ff5c6d4574282p-12, 0x1.f51453ebd52a4p-12, 0x1.eb13f71b4e7bbp-12, 0x1.e1587650132dep-12, 0x1.d7df0b5688e63p-12, 0x1.cea5098e564e5p-12, 0x1.c5a7dd3171a34p-12, 0x1.bce50a9f5690bp-12, 0x1.b45a2dabacf44p-12, 0x1.ac04f8f10402cp-12, 0x1.a3e33527f9a26p-12, 0x1.9bf2c08110912p-12, 0x1.94318e02df623p-12, 0x1.8c9da4eb4e353p-12, 0x1.85352015a6dd1p-12, 0x1.7df62d62a42fdp-12, 0x1.76df0d2434712p-12, 0x1.6fee118f526fbp-12, 0x1.69219e2ca4bb9p-12, 0x1.6278274fe48c9p-12, 0x1.5bf0319109454p-12, 0x1.5588514939152p-12, 0x1.4f3f2a12f2a9cp-12, 0x1.49136e4cbbca9p-12, 0x1.4303de9f6ba4ap-12, 0x1.3d0f4986f0ff3p-12, 0x1.37348ade1a1ap-12, 0x1.31728b6e0ab3bp-12, 0x1.2bc84080709ebp-12, 0x1.2634ab726b228p-12, 0x1.20b6d94d058c9p-12, 0x1.1b4de25e67b4p-12, 0x1.15f8e9d6fc3f9p-12, 0x1.10b71d67f058cp-12, 0x1.0b87b4e58b688p-12, 0x1.0669f1eafa5f7p-12, 0x1.015d1f80f3ad4p-12, 0x1.f8c1238cde2fap-13, 0x1.eee74b382727cp-13, 0x1.e52b80a5186aap-13, 0x1.db8c9eb391531p-13, 0x1.d2098fe5a5a55p-13, 0x1.c8a14dc9392fap-13, 0x1.bf52e06423ef9p-13, 0x1.b61d5da510c8ap-13, 0x1.acffe8d8917ep-13, 0x1.a3f9b2225985p-13, 0x1.9b09f5fa7729ap-13, 0x1.922ffcaca586bp-13, 0x1.896b19dcd475ap-13, 0x1.80baac1059f24p-13, 0x1.781e1c38c73b4p-13, 0x1.6f94dd42fa69ap-13, 0x1.671e6ba9953a4p-13, 0x1.5eba4d0b2e9aep-13, 0x1.56680fc270e8ap-13, 0x1.4e274a835def5p-13, 0x1.45f79bf963e05p-13, 0x1.3dd8aa6bb110ap-13, 0x1.35ca2361b3d9bp-13, 0x1.2dcbbb4a0f2dbp-13, 0x1.25dd2d273306bp-13, 0x1.1dfe3a3cdf05ep-13, 0x1.162ea9c020149p-13, 0x1.0e6e488b7b2c7p-13, 0x1.06bce8d39e55ap-13, 0x1.fe34c3c1a506ap-14, 0x1.ef0d1f908d6bep-14, 0x1.e002a653bbabep-14, 0x1.d11521dd8ca36p-14, 0x1.c2446419a5358p-14, 0x1.b39046920df35p-14, 0x1.a4f8a9fafe213p-14, 0x1.967d75c3b655ap-14, 0x1.881e97aa9de03p-14, 0x1.79dc03557c3c5p-14, 0x1.6bb5b1ec8b03bp-14, 0x1.5daba1bb10b62p-14, 0x1.4fbdd5d4c085bp-14, 0x1.41ec55b9151fp-14, 0x1.34372d000985ap-14, 0x1.269e6b062eba3p-14, 0x1.1922229ec87dep-14, 0x1.0bc269c95f21bp-14, 0x1.fcfeb2cd8048p-15, 0x1.e2b219e8e79bcp-15, 0x1.c89f449439412p-15, 0x1.aec672b28827ap-15, 0x1.9527e7de44de8p-15, 0x1.7bc3eaf738213p-15, 0x1.629ac5afea08dp-15, 0x1.49acc428891ecp-15, 0x1.30fa3481dc021p-15, 0x1.1883667f26074p-15, 0x1.0048ab2819e54p-15, 0x1.d094a8e3ad167p-16, 0x1.a11169d703cf3p-16, 0x1.72083ed84a1ddp-16, 0x1.4379cd93308ffp-16, 0x1.1566bb1e16965p-16, 0x1.cf9f56e853886p-17, 0x1.756a81dee785dp-17, 0x1.1c3037a33764fp-17, 0x1.87e36742448f3p-18, 0x1.b2c0ad831938ep-19, 0x1.66ccda9276514p-21, -0x1.f6b9f1b6a37e4p-20, -0x1.2635b2506a9bdp-18, -0x1.ccb9d9c0b55f2p-18, -0x1.389c6c8eec907p-17, -0x1.89d8556841997p-17, -0x1.da0faf3581f2ep-17, -0x1.14a0c6622866bp-16, -0x1.3bb686329316p-16, -0x1.6248ac2c16605p-16, -0x1.8856d39895058p-16, -0x1.ade09e17244aep-16, -0x1.d2e5b3c4d8baep-16, -0x1.f765c36015c51p-16, -0x1.0db0413669e6fp-15, -0x1.1f6ad6a9d897p-15, -0x1.30e283baae5d7p-15, -0x1.42172da3970d6p-15, -0x1.5308bd32c2d88p-15, -0x1.63b71ed176db2p-15, -0x1.7422428c5fda5p-15, -0x1.844a1c154dc7bp-15, -0x1.942ea2ca1028ep-15, -0x1.a3cfd1b61ba0dp-15, -0x1.b32da795b09f3p-15, -0x1.c24826d405336p-15, -0x1.d11f558bec951p-15, -0x1.dfb33d83b94cbp-15, -0x1.ee03ec2d74534p-15, -0x1.fc1172a01bb04p-15, -0x1.04edf2ca1f176p-14, -0x1.0bb1aeae8d234p-14, -0x1.1253faf191651p-14, -0x1.18d4e74ed18f5p-14, -0x1.1f348544617eep-14, -0x1.2572e80e98c6dp-14, -0x1.2b9024a32c873p-14, -0x1.318c51ac9abp-14, -0x1.37678784b921dp-14, -0x1.3d21e02f13ce3p-14, -0x1.42bb7753551d4p-14, -0x1.48346a3680f18p-14, -0x1.4d8cd7b57f75p-14, -0x1.52c4e03de3341p-14, -0x1.57dca5c79fe29p-14, -0x1.5cd44bcd75214p-14, -0x1.61abf7466b9e4p-14, -0x1.6663ce9ed24eap-14, -0x1.6afbf9b0c3241p-14, -0x1.6f74a1bc746b3p-14, -0x1.73cdf16085d6ep-14, -0x1.780814926075fp-14, -0x1.7c23389688f81p-14, -0x1.801f8bf8edfbep-14, -0x1.83fd3e84caffep-14, -0x1.87bc813c73e76p-14, -0x1.8b5d8651cdcccp-14, -0x1.8ee0811ded4f6p-14, -0x1.9245a618dfc16p-14, -0x1.958d2ad1d9ef9p-14, -0x1.98b745e635351p-14, -0x1.9bc42efa41789p-14, -0x1.9eb41eb0cc0fcp-14, -0x1.a1874ea2e2709p-14, -0x1.a43df957ab95cp-14, -0x1.a6d85a3ca55e3p-14, -0x1.a956ad9cb967bp-14, -0x1.abb93098fdefbp-14, -0x1.ae00212023abdp-14, -0x1.b02bbde71079ap-14, -0x1.b23c46602595dp-14, -0x1.b431fab4178b5p-14, -0x1.b60d1bb9c4883p-14, -0x1.b7cdeaee52c04p-14, -0x1.b974aa6e1dfb5p-14, -0x1.bb019cec1c6b5p-14, -0x1.bc7505aa8993p-14, -0x1.bdcf28746056ap-14, -0x1.bf104994e5a72p-14, -0x1.c038add0639f3p-14, -0x1.c1489a5dd26a1p-14, -0x1.c24054def4d9cp-14, -0x1.c320235908b4dp-14, -0x1.c3e84c2ea775ap-14, -0x1.c4991618562b2p-14, -0x1.c532c81dae792p-14, -0x1.c5b5a98f077f3p-14, -0x1.c62201fedfb2fp-14, -0x1.c678193aca6d9p-14, -0x1.c6b83745f2cc6p-14, -0x1.c6e2a45266eafp-14, -0x1.c6f7a8ba91f41p-14, -0x1.c6f78cfb9cc7ep-14, -0x1.c6e299afbe6bbp-14, -0x1.c6b9178792135p-14, -0x1.c67b4f44e944fp-14, -0x1.c62989b52717ep-14, -0x1.c5c40fabba137p-14, -0x1.c54b29fc793a9p-14, -0x1.c4bf21767462cp-14, -0x1.c4203edf206a5p-14, -0x1.c36ecaec5697cp-14, -0x1.c2ab0e40452b2p-14, -0x1.c1d551644febcp-14, -0x1.c0eddcc3eb4d6p-14, -0x1.bff4f8a84df5bp-14, -0x1.beeaed3427a81p-14, -0x1.bdd0025ea2402p-14, -0x1.bca47fef55ddcp-14, -0x1.bb68ad7a3075p-14, -0x1.ba1cd25b408b1p-14, -0x1.b8c135b23617fp-14, -0x1.b7561e5f78ba4p-14, -0x1.b5dbd2ff8d931p-14, -0x1.b45299e7c1641p-14, -0x1.b2bab9227a688p-14, -0x1.b114766bc3d31p-14, -0x1.af60172de5e87p-14, -0x1.ad9de07df6e52p-14, -0x1.abce17191e3adp-14, -0x1.a9f0ff60ffa18p-14, -0x1.a806dd58c1151p-14, -0x1.a60ff4a297eefp-14, -0x1.a40c887ca00d1p-14, -0x1.a1fcdbbe1f0f7p-14, -0x1.9fe130d52f58dp-14, -0x1.9db9c9c40b95bp-14, -0x1.9b86e81e9d462p-14, -0x1.9948cd07fbf88p-14, -0x1.96ffb9308404p-14, -0x1.94abecd39c328p-14, -0x1.924da7b53aecdp-14, -0x1.8fe529209981p-14, -0x1.8d72afe57e662p-14, -0x1.8af67a5704dddp-14, -0x1.8870c64974176p-14, -0x1.85e1d110db957p-14, -0x1.8349d77f822d7p-14, -0x1.80a915e3ed72bp-14, -0x1.7dffc807f5008p-14, -0x1.7b4e292f25686p-14, -0x1.789474154a658p-14, -0x1.75d2e2ed96b0ap-14, -0x1.7309af6160d21p-14, -0x1.7039128eba201p-14, -0x1.6d614507c5967p-14, -0x1.6a827ed1825a5p-14, -0x1.679cf7633c54ep-14, -0x1.64b0e5a554e98p-14, -0x1.61be7ff0bd791p-14, -0x1.5ec5fc0e52e96p-14, -0x1.5bc78f35df763p-14, -0x1.58c36e0dd5e0bp-14, -0x1.55b9ccaac6b94p-14, -0x1.52aade8ec0c44p-14, -0x1.4f96d6a904985p-14, -0x1.4c7de7559f8ecp-14, -0x1.4960425d2ae98p-14, -0x1.463e18f460476p-14, -0x1.43179bbbea436p-14, -0x1.3fecfac06021fp-14, -0x1.3cbe657a48e0bp-14, -0x1.398c0acd98118p-14, -0x1.36561909f840dp-14, -0x1.331cbdeac58e3p-14, -0x1.2fe026971b5dp-14, -0x1.2ca07fa209d52p-14, -0x1.295df50a78e25p-14, -0x1.2618b23ba7befp-14, -0x1.22d0e20d2e92dp-14, -0x1.1f86aec340ec7p-14, -0x1.1c3a420f23074p-14, -0x1.18ebc50f72647p-14, -0x1.159b60506c3abp-14, -0x1.12493bcc76312p-14, -0x1.0ef57eec9fb6ep-14, -0x1.0ba05088ee93p-14, -0x1.0849d6e8d1d2ep-14, -0x1.04f237c3b5541p-14, -0x1.01999841db332p-14, -0x1.fc8039f94cc0cp-15, -0x1.f5cbd3fe64f7dp-15, -0x1.ef16458e2bb3cp-15, -0x1.e85fd48a2d77dp-15, -0x1.e1a8c5bb90cdbp-15, -0x1.daf15cd468395p-15, -0x1.d439dc7166878p-15, -0x1.cd82861b4b6a9p-15, -0x1.c6cb9a488b897p-15, -0x1.c015585e9127ap-15, -0x1.b95ffeb39d7d9p-15, -0x1.b2abca909e2dp-15, -0x1.abf8f8328abbep-15, -0x1.a547c2cc77a4cp-15, -0x1.9e9864895741fp-15, -0x1.97eb168db5ad9p-15, -0x1.914010f94beb1p-15, -0x1.8a978ae90ea4ep-15, -0x1.83f1ba7943c29p-15, -0x1.7d4ed4c769e12p-15, -0x1.76af0df3d02b6p-15, -0x1.70129923fb9p-15, -0x1.6979a88436507p-15, -0x1.62e46d4a05c9ep-15, -0x1.5c5317b6043bfp-15, -0x1.55c5d715bf9c1p-15, -0x1.4f3cd9c63072p-15, -0x1.48b84d358a41dp-15, -0x1.42385de56b122p-15, -0x1.3bbd376caeb7cp-15, -0x1.35470479eb1a6p-15, -0x1.2ed5eed5b1bfp-15, -0x1.286a1f645b261p-15, -0x1.2203be2868c34p-15, -0x1.1ba2f244db113p-15, -0x1.1547e1feec5dp-15, -0x1.0ef2b2c0b4ac8p-15, -0x1.08a3891ae5421p-15, -0x1.025a88c75f2e7p-15, -0x1.f82fa956d07e2p-16, -0x1.ebb71db3265dep-16, -0x1.df4bb128dd708p-16, -0x1.d2eda4a075f03p-16, -0x1.c69d376b0cf92p-16, -0x1.ba5aa746a1a66p-16, -0x1.ae2630625d111p-16, -0x1.a2000d62f216bp-16, -0x1.95e877677caa5p-16, -0x1.89dfa60dffde8p-16, -0x1.7de5cf76d670bp-16, -0x1.71fb284a16b01p-16, -0x1.661fe3bb8e1b5p-16, -0x1.5a54338feae9bp-16, -0x1.4e9848209006fp-16, -0x1.42ec505ff64a5p-16, -0x1.375079de69ea1p-16, -0x1.2bc4f0cdddbe7p-16, }}, 
      {{0x1.667a22d324edep-1, 0x1.66853bf5e1c58p-1, 0x1.669aa2e76257ep-1, 0x1.66bc7c95f0474p-1, 0x1.66ebdf51a6138p-1, 0x1.6728a043d3db6p-1, 0x1.677168226765ap-1, 0x1.67c3e9f822f15p-1, 0x1.681d26240cf49p-1, 0x1.6879ad304f2ffp-1, 0x1.68d5dbfb2e2b3p-1, 0x1.692e0e3cc00a5p-1, 0x1.697ec6920b32fp-1, 0x1.69c4cc6b16ccfp-1, 0x1.69fd40dc6e96dp-1, 0x1.6a25ab9d4a919p-1, 0x1.6a3c018dbb3adp-1, 0x1.6a3ea612cedcep-1, 0x1.6a2c687839151p-1, 0x1.6a047e60d0a68p-1, 0x1.69c67c26e7e57p-1, 0x1.69724be67895p-1, 0x1.690823c72ea85p-1, 0x1.68887bfc8b0e4p-1, 0x1.67f404d6c6ce6p-1, 0x1.674b9d27ed5fp-1, 0x1.6690492d56cf2p-1, 0x1.65c32a1e08cf6p-1, 0x1.64e57671f20c4p-1, 0x1.63f872ec25904p-1, 0x1.62fd6c6aa5eb9p-1, 0x1.61f5b278a4c04p-1, 0x1.60e2929bfcdfep-1, 0x1.5fc55453c4225p-1, 0x1.5e9f35bbfb4dap-1, 0x1.5d7168c938a6p-1, 0x1.5c3d110eb6f4bp-1, 0x1.5b0342011a6afp-1, 0x1.59c4fda890564p-1, 0x1.588333b56b835p-1, 0x1.573ec0eb1a168p-1, 0x1.55f86ed617c4ap-1, 0x1.54b0f3c25c54cp-1, 0x1.5368f2e8a89dap-1, 0x1.5220fcc9f2b9ap-1, 0x1.50d98fb10fd84p-1, 0x1.4f93185389a72p-1, 0x1.4e4df28b58485p-1, 0x1.4d0a6a23ec912p-1, 0x1.4bc8bbb5ac61dp-1, 0x1.4a89158b9836cp-1, 0x1.494b988f6a214p-1, 0x1.48105938fb047p-1, 0x1.46d7607e37a37p-1, 0x1.45a0acc154a53p-1, 0x1.446c32bb572b9p-1, 0x1.4339de6152618p-1, 0x1.420993c310ccfp-1, 0x1.40db2fe21aeb4p-1, 0x1.3fae8980486c5p-1, 0x1.3e8371e54024p-1, 0x1.3d59b59a7062bp-1, 0x1.3c311d1d38054p-1, 0x1.3b096d870f6a5p-1, 0x1.39e2692ba6f7ap-1, 0x1.38bbd02cffcd6p-1, 0x1.379561059e51ep-1, 0x1.366ed9090106ap-1, 0x1.3547f4da97772p-1, 0x1.342070db80109p-1, 0x1.32f8098f59d8cp-1, 0x1.31ce7bf87f903p-1, 0x1.30a385ec07813p-1, 0x1.2f76e65de3e74p-1, 0x1.2e485da5878c2p-1, 0x1.2d17adbb6a4ebp-1, 0x1.2be49a6fd443ap-1, 0x1.2aaee99b4caedp-1, 0x1.297663490d5d6p-1, 0x1.283ad1dbd80f8p-1, 0x1.26fc022d89a37p-1, 0x1.25b9c3a9c0feap-1, 0x1.2473e863f414ep-1, 0x1.232a452941c86p-1, 0x1.21dcb18e50accp-1, 0x1.208b07f988867p-1, 0x1.1f3525a9ec73cp-1, 0x1.1ddaeabadc8f4p-1, 0x1.1c7c3a24ffe94p-1, 0x1.1b18f9bc9434p-1, 0x1.19b1122d5f2a6p-1, 0x1.18446ef47872fp-1, 0x1.16d2fe581f032p-1, 0x1.155cb15dcdb0ep-1, 0x1.13e17bbeb8f25p-1, 0x1.126153dae5bbap-1, 0x1.10dc32aafc029p-1, 0x1.0f5213b10070bp-1, 0x1.0dc2f4e812f4cp-1, 0x1.0c2ed6b3567c3p-1, 0x1.0a95bbcc1d18cp-1, 0x1.08f7a92f783ccp-1, 0x1.0754a60b42638p-1, 0x1.05acbbaabe828p-1, 0x1.03fff562e0661p-1, 0x1.024e607e549fep-1, 0x1.00980c2956fa7p-1, 0x1.fdba12badd14p-2, 0x1.fa3ad59a343f5p-2, 0x1.f6b2899ef9ebp-2, 0x1.f3215a98334acp-2, 0x1.ef87774d4e25cp-2, 0x1.ebe5115612cabp-2, 0x1.e83a5cf2f3b21p-2, 0x1.e48790e5c9c1fp-2, 0x1.e0cce64b1411ep-2, 0x1.dd0a9873bdd35p-2, 0x1.d940e4bf86129p-2, 0x1.d5700a78063d6p-2, 0x1.d1984aac6cfaap-2, 0x1.cdb9e80deea68p-2, 0x1.c9d526ccf8a34p-2, 0x1.c5ea4c772a944p-2, 0x1.c1f99fd61b397p-2, 0x1.be0368cef30a2p-2, 0x1.ba07f042d9097p-2, 0x1.b6077ff03a301p-2, 0x1.b2026254eef02p-2, 0x1.adf8e2913bbeap-2, 0x1.a9eb4c4bb33bap-2, 0x1.a5d9eb95f836dp-2, 0x1.a1c50cd25eaf4p-2, 0x1.9dacfc9a71859p-2, 0x1.999207a655d81p-2, 0x1.95747ab50ce8cp-2, 0x1.9154a2759650cp-2, 0x1.8d32cb70ee8bp-2, 0x1.890f41f4e8146p-2, 0x1.84ea51ffdc7d5p-2, 0x1.80c4472d35dep-2, 0x1.7c9d6ca2ca139p-2, 0x1.78760cff0adb3p-2, 0x1.744e7247fe096p-2, 0x1.7026e5db09bep-2, 0x1.6bffb05d7e96dp-2, 0x1.67d919adf026ep-2, 0x1.63b368d648588p-2, 0x1.5f8ee3fe9a207p-2, 0x1.5b6bd060af1bp-2, 0x1.574a723c4c1f1p-2, 0x1.532b0ccc246b9p-2, 0x1.4f0de23b81262p-2, 0x1.4af3339c8dc7dp-2, 0x1.46db40df500f2p-2, 0x1.42c648c940eadp-2, 0x1.3eb488ed81853p-2, 0x1.3aa63da5aff69p-2, 0x1.369ba20b502dbp-2, 0x1.3294eff1c51a3p-2, 0x1.2e925fe0de0dep-2, 0x1.2a94290fe80e9p-2, 0x1.269a81614d37p-2, 0x1.22a59d5ead09cp-2, 0x1.1eb5b0357d8bap-2, 0x1.1acaebb41f98cp-2, 0x1.16e580476c2bbp-2, 0x1.13059cf8b31d1p-2, 0x1.0f2b6f6c2cad2p-2, 0x1.0b5723dfcee2ep-2, 0x1.0788e52a91c02p-2, 0x1.03c0dcbc10429p-2, 0x1.fffe65391992p-3, 0x1.f8881ada9ca1bp-3, 0x1.f11f24d2b5e05p-3, 0x1.e9c3cacd0131bp-3, 0x1.e27651ad665c7p-3, 0x1.db36fb9370053p-3, 0x1.d40607de31286p-3, 0x1.cce3b330c01d4p-3, 0x1.c5d0377732048p-3, 0x1.becbcbec1bebp-3, 0x1.b7d6a51e88077p-3, 0x1.b0f0f4f869a2cp-3, 0x1.aa1aeac570e07p-3, 0x1.a354b33a50e0bp-3, 0x1.9c9e787c6400cp-3, 0x1.95f86229ae395p-3, 0x1.8f629561322cp-3, 0x1.88dd34cb9c649p-3, 0x1.826860a43a3f7p-3, 0x1.7c0436c231063p-3, 0x1.75b0d2a1fe0eap-3, 0x1.6f6e4d6f32a93p-3, 0x1.693cbe0e63f5fp-3, 0x1.631c392750609p-3, 0x1.5d0cd12f365f7p-3, 0x1.570e967351046p-3, 0x1.512197237de6p-3, 0x1.4b45df5d0555fp-3, 0x1.457b79357c1a4p-3, 0x1.3fc26cc5c6931p-3, 0x1.3a1ac0352bb5cp-3, 0x1.348477c47d244p-3, 0x1.2eff95d950dc1p-3, 0x1.298c1b0945737p-3, 0x1.242a062549db6p-3, 0x1.1ed95444f4f69p-3, 0x1.199a00d1d627p-3, 0x1.146c0592cc045p-3, 0x1.0f4f5ab752456p-3, 0x1.0a43f6e2d24e6p-3, 0x1.0549cf37e0647p-3, 0x1.0060d76379c27p-3, 0x1.f7120350579e8p-4, 0x1.ed847dd265109p-4, 0x1.e418fd6b05614p-4, 0x1.dacf5ea5830f1p-4, 0x1.d1a77b904d033p-4, 0x1.c8a12bd2918cdp-4, 0x1.bfbc44c19bca8p-4, 0x1.b6f899760c21ap-4, 0x1.ae55fae0c6d3p-4, 0x1.a5d437dfba18bp-4, 0x1.9d731d525de65p-4, 0x1.9532762debe19p-4, 0x1.8d120b9165ec8p-4, 0x1.8511a4d94ab4cp-4, 0x1.7d3107b30c28dp-4, 0x1.756ff830347a1p-4, 0x1.6dce38d94b155p-4, 0x1.664b8ac06638bp-4, 0x1.5ee7ad937278ep-4, 0x1.57a25fae2b498p-4, 0x1.507b5e2bc2f33p-4, 0x1.497264f83b04fp-4, 0x1.42872ee168dbbp-4, 0x1.3bb975a7a9c42p-4, 0x1.3508f20e4116p-4, 0x1.2e755beb65905p-4, 0x1.27fe6a37f7cdp-4, 0x1.21a3d31ee416cp-4, 0x1.1b654c0c2ebf7p-4, 0x1.154289bbad6d3p-4, 0x1.0f3b40476871ap-4, 0x1.094f2335a566ap-4, 0x1.037de586a056ep-4, 0x1.fb8e7383d9877p-5, 0x1.f055a406ff2cep-5, 0x1.e550c010d2bf2p-5, 0x1.da7f2a766f7f4p-5, 0x1.cfe04580094f9p-5, 0x1.c57373005bfd2p-5, 0x1.bb38146b86c32p-5, 0x1.b12d8aed2add9p-5, 0x1.a753377df9261p-5, 0x1.9da87af8901f2p-5, 0x1.942cb62dc7471p-5, 0x1.8adf49f84a251p-5, 0x1.81bf974fa2ba7p-5, 0x1.78ccff5aa21b1p-5, 0x1.7006e38131ba9p-5, 0x1.676ca57d898fdp-5, 0x1.5efda76ccddf8p-5, 0x1.56b94bdf22c04p-5, 0x1.4e9ef5e7214a1p-5, 0x1.46ae0928c225dp-5, 0x1.3ee5e9e7bbb9fp-5, 0x1.3745fd1552e61p-5, 0x1.2fcda85d9df36p-5, 0x1.287c5234460b6p-5, 0x1.215161e0c4624p-5, 0x1.1a4c3f8a15d09p-5, 0x1.136c5441f3a06p-5, 0x1.0cb10a0f8d57ap-5, 0x1.0619cbf9c7026p-5, 0x1.ff4c0c21f7482p-6, 0x1.f2aa4af098829p-6, 0x1.e64d30dcf64f1p-6, 0x1.da339caca4167p-6, 0x1.ce5c6f7d32a1cp-6, 0x1.c2c68cd3453cbp-6, 0x1.b770daa8dce1cp-6, 0x1.ac5a417ac1855p-6, 0x1.a181ac5520022p-6, 0x1.96e608df7982bp-6, 0x1.8c864767b2708p-6, 0x1.82615aec7934ap-6, 0x1.78763926ecddbp-6, 0x1.6ec3da938ccfap-6, 0x1.65493a7a83ca2p-6, 0x1.5c0556f73e165p-6, 0x1.52f730ff62135p-6, 0x1.4a1dcc691dc52p-6, 0x1.41782ff0eb2a3p-6, 0x1.3905653e9fb89p-6, 0x1.30c478ea043aap-6, 0x1.28b47a7ed073dp-6, 0x1.20d47c8017378p-6, 0x1.1923946b36a74p-6, 0x1.11a0daba3affcp-6, 0x1.0a4b6ae5d236ep-6, 0x1.03226366b932bp-6, 0x1.f849cb6d69c82p-7, 0x1.eaa42ca22ff4bp-7, 0x1.dd523965c683bp-7, 0x1.d05246b4df948p-7, 0x1.c3a2af8d7c8d1p-7, 0x1.b741d4ecb6edep-7, 0x1.ab2e1dcbc8566p-7, 0x1.9f65f71c683eap-7, 0x1.93e7d3c46d1a7p-7, 0x1.88b22c98db1e5p-7, 0x1.7dc3805830cd3p-7, 0x1.731a53a42f3a3p-7, 0x1.68b530fafda1fp-7, 0x1.5e92a8afca1f9p-7, 0x1.54b150e2d8056p-7, 0x1.4b0fc579233e6p-7, 0x1.41aca81367545p-7, 0x1.3886a004b49aap-7, 0x1.2f9c5a48ae5f1p-7, 0x1.26ec897936bcfp-7, 0x1.1e75e5c3e975bp-7, 0x1.16372cdf012fbp-7, 0x1.0e2f21fdf96e5p-7, 0x1.065c8dc5d9fd3p-7, 0x1.fd7c7c8257524p-8, 0x1.eea60da73ce24p-8, 0x1.e033805afc12cp-8, 0x1.d222907d8d0dp-8, 0x1.c4710453f7a06p-8, 0x1.b71cac6dad6eep-8, 0x1.aa2363896d08ap-8, 0x1.9d830e7994a25p-8, 0x1.91399c087cacdp-8, 0x1.854504dc13de8p-8, 0x1.79a34b5946e0cp-8, 0x1.6e527b87571b3p-8, 0x1.6350aaf29f205p-8, 0x1.589bf88f5fd3bp-8, 0x1.4e328c9c4221ap-8, 0x1.44129884bb27ap-8, 0x1.3a3a56c3233e1p-8, 0x1.30a80ac2c5afep-8, 0x1.275a00c1d644fp-8, 0x1.1e4e8db35630fp-8, 0x1.15840f20d5d38p-8, 0x1.0cf8eb0c66097p-8, 0x1.04ab8fd21105fp-8, 0x1.f934e8138ae5p-9, 0x1.e9882cd1f6f29p-9, 0x1.da4dfb49089ecp-9, 0x1.cb8370a4bb61p-9, 0x1.bd25b9972a3b2p-9, 0x1.af32121c9ed5ap-9, 0x1.a1a5c53f6c40fp-9, 0x1.947e2cdc58b4ap-9, 0x1.87b8b1672133p-9, 0x1.7b52c9af6703p-9, 0x1.6f49faa5a23afp-9, 0x1.639bd720d9539p-9, 0x1.5845ffa423402p-9, 0x1.4d462224b1326p-9, 0x1.4299f9d07b9f8p-9, 0x1.383f4ed4f7b7ap-9, 0x1.2e33f6266d4d4p-9, 0x1.2475d147c4a5cp-9, 0x1.1b02ce12a67aap-9, 0x1.11d8e68005402p-9, 0x1.08f6207149ad8p-9, 0x1.00588d79d205ep-9, 0x1.effc955201ddep-10, 0x1.dfcb00a9c9acap-10, 0x1.d018c3cac2c42p-10, 0x1.c0e25b3f9e32p-10, 0x1.b22458e65bf29p-10, 0x1.a3db63898ccacp-10, 0x1.9604367af7eb7p-10, 0x1.889ba12fb780ep-10, 0x1.7b9e86dc956fbp-10, 0x1.6f09de14673a2p-10, 0x1.62dab0676bba7p-10, 0x1.570e1a037a47ap-10, 0x1.4ba14955a8c79p-10, 0x1.40917eacf6f5dp-10, 0x1.35dc0bde7cfa5p-10, 0x1.2b7e53ea6c8aap-10, 0x1.2175caa2c4a4dp-10, 0x1.17bff452cdb28p-10, 0x1.0e5a656831c0bp-10, 0x1.0542c21ccd23dp-10, 0x1.f8ed7c44632fap-11, 0x1.e7e8389befba7p-11, 0x1.d7715c8fa43f3p-11, 0x1.c784a870bdc5dp-11, 0x1.b81df8f2ba7f3p-11, 0x1.a939468ef4185p-11, 0x1.9ad2a4e935206p-11, 0x1.8ce642380b73p-11, 0x1.7f7066ae44189p-11, 0x1.726d73e8242adp-11, 0x1.65d9e45a0b5c9p-11, 0x1.59b24ac200875p-11, 0x1.4df3519b6dcb3p-11, 0x1.4299ba959f124p-11, 0x1.37a25e0bae0c3p-11, 0x1.2d0a2a7fb27abp-11, 0x1.22ce2417452ap-11, 0x1.18eb641ba79b8p-11, 0x1.0f5f187ac7036p-11, 0x1.0626834ba1179p-11, 0x1.fa7df4a82083bp-12, 0x1.e94bcd23c87d5p-12, 0x1.d8b18789544c7p-12, 0x1.c8aa3ff679778p-12, 0x1.b93136438f28cp-12, 0x1.aa41cd268a1b3p-12, 0x1.9bd78959c8e97p-12, 0x1.8dee10c5f4f0bp-12, 0x1.808129b055438p-12, 0x1.738cb9ef2a58p-12, 0x1.670cc61eaf724p-12, 0x1.5afd70dcea7f6p-12, 0x1.4f5afa080ac3cp-12, 0x1.4421be0077f1p-12, 0x1.394e34ef95f24p-12, 0x1.2edcf2127ae06p-12, 0x1.24caa3072ed5ep-12, 0x1.1b140f1e5aa98p-12, 0x1.11b616b1b8703p-12, 0x1.08adb27bb3892p-12, 0x1.ffefe5e7f627p-13, 0x1.ef23ff6013678p-13, 0x1.def22d8ae4d13p-13, 0x1.cf551862dc4cdp-13, 0x1.c04792858ba97p-13, 0x1.b1c4980d0506cp-13, 0x1.a3c74d7358d17p-13, 0x1.964afe787da44p-13, 0x1.894b1d1155067p-13, 0x1.7cc340599d902p-13, 0x1.70af238f7283ap-13, 0x1.650aa51272589p-13, 0x1.59d1c56a9f429p-13, 0x1.4f00a652a884p-13, 0x1.449389c95bd15p-13, 0x1.3a86d129dc96ep-13, 0x1.30d6fc4689986p-13, 0x1.2780a88c200c5p-13, 0x1.1e809026fb268p-13, 0x1.15d3892fd05d7p-13, 0x1.0d7684dc57172p-13, 0x1.05668eb704953p-13, 0x1.fb4197b219af5p-14, 0x1.ec44f453879a9p-14, 0x1.ddd1df4a06e57p-14, 0x1.cfe33346a3353p-14, 0x1.c273f84e6e57dp-14, 0x1.b57f626428376p-14, 0x1.a900d02e4e44ap-14, 0x1.9cf3c9b16914dp-14, 0x1.9153ff0ce113cp-14, 0x1.861d474273be6p-14, 0x1.7b4b9f03a7b11p-14, 0x1.70db2788490a1p-14, 0x1.66c8256f78193p-14, 0x1.5d0effa1b5b48p-14, 0x1.53ac3e3f172d4p-14, 0x1.4a9c89956e137p-14, 0x1.41dca9193e074p-14, 0x1.39698269fc977p-14, 0x1.31401859bc42fp-14, 0x1.295d89ff7b41fp-14, 0x1.21bf11cb3c3bep-14, 0x1.1a6204a2edd9cp-14, 0x1.1343d109e10c7p-14, 0x1.0c61fe44ce3c9p-14, 0x1.05ba2b8ad67f9p-14, 0x1.fe941e746af21p-15, 0x1.f21eec2608269p-15, 0x1.e61084efd7fdfp-15, 0x1.da64d76538e3ap-15, 0x1.cf17fa8081828p-15, 0x1.c4262c400c8a7p-15, 0x1.b98bd051d2eafp-15, 0x1.af456ec897a6ep-15, 0x1.a54fb2dc7c272p-15, 0x1.9ba769ac46e44p-15, 0x1.92498110a4062p-15, 0x1.8933067642c6dp-15, 0x1.806125bfa1494p-15, 0x1.77d1282f5440cp-15, 0x1.6f80735b4c797p-15, 0x1.676c88298c1cbp-15, 0x1.5f9301d1d9e55p-15, 0x1.57f194e8980a9p-15, 0x1.50860e7080f02p-15, 0x1.494e52f8b56fep-15, 0x1.42485db8b0262p-15, 0x1.3b723fb94554ep-15, 0x1.34ca1f04cb33cp-15, 0x1.2e4e35db5f5fp-15, 0x1.27fcd1ee0513dp-15, 0x1.21d453a1413c9p-15, 0x1.1bd32d55ed28cp-15, 0x1.15f7e2b79920fp-15, 0x1.1041080e947c2p-15, 0x1.0aad4198cf3aap-15, 0x1.053b42ebed076p-15, 0x1.ffd39caee1739p-16, 0x1.f56f689b175adp-16, 0x1.eb47a5a604dd7p-16, 0x1.e15a29e51d1d8p-16, 0x1.d7a4e4670175ep-16, 0x1.ce25dc2f81281p-16, 0x1.c4db2f35e225ep-16, 0x1.bbc311790691bp-16, 0x1.b2dbcc0d372f2p-16, 0x1.aa23bc3625d8ep-16, 0x1.a199528d44cebp-16, 0x1.993b12304b489p-16, 0x1.91078fef1507ep-16, 0x1.88fd718a09d8ep-16, 0x1.811b6cf30159bp-16, 0x1.79604798975e5p-16, 0x1.71cad5b0e7923p-16, 0x1.6a59f9900475ap-16, 0x1.630ca30553c4dp-16, 0x1.5be1cec0db9cep-16, 0x1.54d885b8484bap-16, 0x1.4defdc941c822p-16, 0x1.4726f324b4039p-16, 0x1.407cf3dc7711p-16, 0x1.39f1134a1a15dp-16, 0x1.33828f9ea2c67p-16, 0x1.2d30b035017ddp-16, 0x1.26fac522bb941p-16, 0x1.20e026c31da14p-16, 0x1.1ae0354f80d32p-16, 0x1.14fa5878d3ccfp-16, 0x1.0f2dff06c1cc3p-16, 0x1.097a9e7bc10bcp-16, 0x1.03dfb2b930489p-16, 0x1.fcb97b52c39e7p-17, 0x1.f1e28dddc42bap-17, 0x1.e739b7273a624p-17, 0x1.dcbe1b7aaf3bp-17, 0x1.d26ee8cf84d69p-17, 0x1.c84b563a9c155p-17, 0x1.be52a373f081cp-17, 0x1.b484184a0831dp-17, 0x1.aadf04329cac9p-17, 0x1.a162bdd2631dfp-17, 0x1.980ea294ee3bep-17, 0x1.8ee21643e1caep-17, 0x1.85dc82a193cb7p-17, 0x1.7cfd57088acf4p-17, 0x1.74440815e9956p-17, 0x1.6bb00f508cb15p-17, 0x1.6340ead6e3d01p-17, 0x1.5af61d12c12bfp-17, 0x1.52cf2c6fc722p-17, 0x1.4acba31918de8p-17, 0x1.42eb0eb034e64p-17, 0x1.3b2d0011ce545p-17, 0x1.33910b175abaep-17, 0x1.2c16c6649b5d3p-17, 0x1.24bdcb319bed6p-17, 0x1.1d85b514fe3fcp-17, 0x1.166e21d474ce9p-17, 0x1.0f76b13cd2c3dp-17, 0x1.089f04f71bbacp-17, 0x1.01e6c05e3af8bp-17, 0x1.f69b10b835f8dp-18, 0x1.e9a6068d5332bp-18, 0x1.dcedb17f3a74dp-18, 0x1.d071632a36816p-18, 0x1.c4306f4b98a9dp-18, 0x1.b82a2b87cccc4p-18, 0x1.ac5def44bdda9p-18, 0x1.a0cb13787a692p-18, 0x1.9570f27c12645p-18, 0x1.8a4ee7defffcep-18, 0x1.7f6450473286bp-18, 0x1.74b0895aad50bp-18, 0x1.6a32f194971d9p-18, 0x1.5feae82f3f4e1p-18, 0x1.55d7cd08337edp-18, 0x1.4bf9008b0d4eep-18, 0x1.424de3970f1e3p-18, 0x1.38d5d7739a449p-18, 0x1.2f903dba24189p-18, 0x1.267c784a92356p-18, 0x1.1d99e94361cdcp-18, 0x1.14e7f2f4bfafap-18, 0x1.0c65f7d282118p-18, 0x1.04135a660d0bfp-18, 0x1.f7defaa978b7ep-19, 0x1.e7f386ad5abf5p-19, 0x1.d8631e694428dp-19, 0x1.c92c87846cdccp-19, 0x1.ba4e87bb38124p-19, 0x1.abc7e4e3b9d78p-19, 0x1.9d9764d6c865p-19, 0x1.8fbbcd8cd64e4p-19, 0x1.8233e5140aa82p-19, 0x1.74fe719d5893dp-19, 0x1.681a39893966bp-19, 0x1.5b86036d5a8p-19, 0x1.4f40961c9030cp-19, 0x1.4348b8a56e05bp-19, 0x1.379d326ae81b3p-19, 0x1.2c3ccb35e6f74p-19, 0x1.21264b3c36763p-19, 0x1.16587b3724ea3p-19, 0x1.0bd22468fec9fp-19, 0x1.019210b8155f5p-19, 0x1.ef2e155f00f05p-20, 0x1.dbbfbb30aa0fbp-20, 0x1.c8d6ab16cbf0cp-20, 0x1.b6707f0516b25p-20, 0x1.a48ad2e028f66p-20, 0x1.9323449904176p-20, 0x1.8237745eeb9c8p-20, 0x1.71c504ad1f542p-20, 0x1.61c99a7130ff2p-20, 0x1.5242dd43a3ff1p-20, 0x1.432e778537f09p-20, 0x1.348a167dd2527p-20, 0x1.26536a9243406p-20, 0x1.1888275490b81p-20, 0x1.0b2603c12e08p-20, 0x1.fc557470effbep-21, 0x1.e328119a73f35p-21, 0x1.cabf629737286p-21, 0x1.b316f2d5708p-21, 0x1.9c2a55e51e4d3p-21, 0x1.85f527a199a01p-21, 0x1.70730c887ee44p-21, 0x1.5b9fb1f6db65p-21, 0x1.4776ce385c7ddp-21, 0x1.33f4210284c5p-21, 0x1.211373a61dbd3p-21, 0x1.0ed0991e41ab5p-21, 0x1.fa4edce8f45fep-22, 0x1.d827b5cfc7407p-22, 0x1.b723a0404082dp-22, 0x1.973a94afbf1b4p-22, 0x1.7864a11344f1bp-22, 0x1.5a99e97bd4c78p-22, 0x1.3dd2a81c357e7p-22, 0x1.22072de9f30a9p-22, 0x1.072fe2cd7292ep-22, 0x1.da8a8bc6c879bp-23, 0x1.a87fdbe8bec54p-23, 0x1.783112ec5fff4p-23, 0x1.498fbdff45373p-23, 0x1.1c8d9af649067p-23, 0x1.e23931f5531cbp-24, 0x1.8e5db102b5ab3p-24, 0x1.3d6d57fdf37dep-24, 0x1.de9a61a9b5f6ep-25, 0x1.47c55446d9532p-25, 0x1.6c4e6333ed715p-26, 0x1.4c6380e575f9cp-28, -0x1.78f6ad5c807fep-27, -0x1.c2d21aa6af932p-26, -0x1.6026d259fff23p-25, -0x1.daa74624b96c8p-25, -0x1.288cf24867f46p-24, -0x1.61d6ab3e50a98p-24, -0x1.9947b9c0ae9c1p-24, -0x1.cef6a11842891p-24, -0x1.017cbd4562607p-23, -0x1.1ab2fb4f021dp-23, -0x1.3328ae24a0aedp-23, -0x1.4ae845114b8c5p-23, -0x1.61fbfa62407dfp-23, -0x1.786dd46afafe3p-23, -0x1.8e47a5261de75p-23, -0x1.a39309e35ceaep-23, -0x1.b8596c583f08p-23, -0x1.cca40232f3ba1p-23, -0x1.e07bcd3ca34f8p-23, -0x1.f3e99bd4801b9p-23, -0x1.037b04983ce5ap-22, -0x1.0cd4bebb1f354p-22, -0x1.160616cdb4277p-22, -0x1.1f130e2892b3ap-22, -0x1.27ff8d26b52dcp-22, -0x1.30cf62f27e33ep-22, -0x1.39864602d79bbp-22, -0x1.4227d41b09dcep-22, -0x1.4ab792b022537p-22, -0x1.5338eec7c5724p-22, -0x1.5baf3d6a87e5fp-22, -0x1.641dbbe6f20e4p-22, -0x1.6c878f793c1cep-22, -0x1.74efc6148627fp-22, -0x1.7d59568c34226p-22, -0x1.85c7207439c0cp-22, -0x1.8e3beca3a5844p-22, -0x1.96ba6d7a6a66fp-22, -0x1.9f453ef94191cp-22, -0x1.a7dee6ee99c0ap-22, -0x1.b089d53c684fp-22, -0x1.b948644db828dp-22, -0x1.c21cd93ddaf9ap-22, -0x1.cb0963e5166bp-22, -0x1.d4101f58a5dc2p-22, -0x1.dd331219279efp-22, -0x1.e6742e6743481p-22, -0x1.efd5526d84791p-22, -0x1.f95848accap-22, -0x1.017f640fca9a7p-21, -0x1.06653a26c2c1cp-21, -0x1.0b5e6efacb1e2p-21, -0x1.106bc1a1a785cp-21, -0x1.158de7f43ef5fp-21, -0x1.1ac58ec52924dp-21, -0x1.20135a090ac2p-21, -0x1.2577e4f2e1099p-21, -0x1.2af3c20d56f36p-21, -0x1.30877b5bdc675p-21, -0x1.3633929e3b366p-21, -0x1.3bf88166e8fb5p-21, -0x1.41d6b945edd58p-21, -0x1.47cea3c80696dp-21, -0x1.4de0a2d3a9e56p-21, -0x1.540d10a9cf751p-21, -0x1.5a544023a4abp-21, -0x1.60b67cc10fca5p-21, -0x1.67340ae25e928p-21, -0x1.6dcd27bef3ee2p-21, -0x1.748209b0a9517p-21, -0x1.7b52e05d2f8a9p-21, -0x1.823fd4d465868p-21, -0x1.894909aadd698p-21, -0x1.906e9b2cc5699p-21, -0x1.97b09f76be2b8p-21, -0x1.9f0f269c507adp-21, -0x1.a68a3abadb047p-21, -0x1.ae21e02d1be93p-21, -0x1.b5d615b58c33p-21, -0x1.bda6d4968cb6dp-21, -0x1.c59410caf6c64p-21, -0x1.cd9db8f100e76p-21, -0x1.d5c3b6a5b45c7p-21, -0x1.de05ee8dde9cap-21, -0x1.e664408ae8536p-21, -0x1.eede87c02e5afp-21, -0x1.f7749ad6cbbd9p-21, -0x1.001325eb886d2p-20, -0x1.0479b4471badfp-20, -0x1.08eddd4c9d1cep-20, -0x1.0d6f83c8e1845p-20, -0x1.11fe888d6acdep-20, -0x1.169aca889eceap-20, -0x1.1b4426cc9da49p-20, -0x1.1ffa78a3ab8f8p-20, -0x1.24bd99999bb39p-20, -0x1.298d618672253p-20, -0x1.2e69a6ad9759dp-20, -0x1.33523dc188661p-20, -0x1.3846f9f81d71bp-20, -0x1.3d47ad14ec5a9p-20, -0x1.4254276be5665p-20, -0x1.476c38021a393p-20, -0x1.4c8fac94db733p-20, -0x1.51be51a89b187p-20, -0x1.56f7f2932b766p-20, -0x1.5c3c598ac2facp-20, -0x1.618b4f9a35505p-20, -0x1.66e49cd30b506p-20, -0x1.6c4808488b572p-20, -0x1.71b55823f7a55p-20, -0x1.772c51a7b0cf2p-20, -0x1.7cacb9419c929p-20, -0x1.823652929e89fp-20, -0x1.87c8e07be834ep-20, -0x1.8d6425242237fp-20, -0x1.9307e201e3c06p-20, -0x1.98b3d7ef9382fp-20, -0x1.9e67c7375cbd7p-20, -0x1.a4236f97ffb04p-20, -0x1.a9e690527f09fp-20, -0x1.afb0e8260a349p-20, -0x1.b582356978907p-20, -0x1.bb5a361540de3p-20, -0x1.c138a7c7f3401p-20, -0x1.c71d47d11aaf3p-20, -0x1.cd07d343a7474p-20, -0x1.d2f806db95af8p-20, -0x1.d8ed9f2305695p-20, -0x1.dee8587eca9e8p-20, -0x1.e4e7ef2f6cecap-20, -0x1.eaec1f5b2ca54p-20, -0x1.f0f4a5128f416p-20, -0x1.f7013c59c586fp-20, -0x1.fd11a1314b612p-20, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      14, 0x1.0cccccccccccdp+2, 0x1.6571c1bb67876p+1, 0x1.907a47a00240cp+2, -0x1.8643d85d5f17cp-7, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.23921c82ff785p-6, -0x1.53c8aaf4d231ap-4, 0x1.da6dd31de510fp-4, -0x1.1da4612c4d37dp-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c892deb3e00c1p-7, -0x1.25698072f52d8p-4, 0x1.c5017f075f468p-4, -0x1.1cf46a9c0609dp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5c20628bd979fp-7, -0x1.f25c37a6e424cp-5, 0x1.afa25d6eded26p-4, -0x1.1fc85a1a68ee5p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.00f178fbc78c7p-7, -0x1.9e311647f487p-5, 0x1.9a0cf0467d5a1p-4, -0x1.153e7b511a882p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6c55a7473e4d8p-8, -0x1.4e42ced4b49d4p-5, 0x1.8541da3a01c32p-4, -0x1.6475683d18808p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.ebb0245356317p-9, -0x1.03153ced6701bp-5, 0x1.6a85d8cf06532p-4, -0x1.07ed91da9574fp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.385e282f57aaap-9, -0x1.7d131ab4f3cf2p-6, 0x1.42ef02ee3cb4fp-4, -0x1.534c843091dp-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.70d4b54bb7631p-10, -0x1.061483e6797fap-6, 0x1.1009ef1a26d57p-4, -0x1.adca792b54ef4p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8e8263262816fp-11, -0x1.4c51125959071p-7, 0x1.9f23ed0db4305p-5, -0x1.af013f8a70be3p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.805d5d426e907p-12, -0x1.803ddf51f1fd3p-8, 0x1.1dd6c0642bf69p-5, -0x1.57e013f2c0f0bp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.3adf1eeebdb4fp-13, -0x1.89abd7481dddep-9, 0x1.6d5a419d175d7p-6, -0x1.0d10351146f5dp-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8e826326281f8p-15, -0x1.4bedc574386a5p-10, 0x1.97d4438bd9953p-7, -0x1.84680bbe4d6d9p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.3adf1eeebdd7p-17, -0x1.8b88347621d01p-12, 0x1.5d921299bca9p-8, -0x1.acdf2ce5a7cbep-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3adf1eeebf6p-21, -0x1.509ed2a64ce1p-15, 0x1.70fd783fc6441p-10, -0x1.1f446104402dfp-5}, 
      }}, 
      0x1.0e94b9d86f88cp-1, -0x1.a140fa9a3fb78p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{0x1.8bb70abece04bp-4, 0x1.9afc79bc6cb5cp-4, 0x1.a9002c66be8cdp-4, 0x1.ae43443abd1bp-4, 0x1.a70d9f5c06361p-4, 0x1.931b37fbc99acp-4, 0x1.74a6c9f5df05bp-4, 0x1.4f664fee86e1dp-4, 0x1.27b2765295d71p-4, 0x1.01e756ddcadcp-4, 0x1.c3f59f3c624e9p-5, 0x1.967d5c0f02de4p-5, 0x1.808831b5a4714p-5, 0x1.85acae75f9ab9p-5, 0x1.a809a281b6ba9p-5, 0x1.e86c452793a6p-5, 0x1.233fd7341907p-4, 0x1.607fc3a9f2ad1p-4, 0x1.aaf5080f12fdp-4, 0x1.00abb8834d08p-3, 0x1.3116568f65258p-3, 0x1.65ed69adf2c16p-3, 0x1.9e5c22aaac504p-3, 0x1.d98c738a1dfc6p-3, 0x1.0b56330bde538p-2, 0x1.2a792b216b341p-2, 0x1.49d00e5104b7dp-2, 0x1.6902ad2d2fa9fp-2, 0x1.87c07ecc02511p-2, 0x1.a5c1125fd00cdp-2, 0x1.c2c43bdc11c68p-2, 0x1.de920b9e45a4dp-2, 0x1.f8fa9a0807f45p-2, 0x1.08eada99a315fp-1, 0x1.14813a4d713a9p-1, 0x1.1f33601de0c4ap-1, 0x1.28f764d5d3b84p-1, 0x1.31c64302e15c3p-1, 0x1.399b90ec1c9fap-1, 0x1.40753cf15d419p-1, 0x1.46534e1d88277p-1, 0x1.4b37a3ea79b57p-1, 0x1.4f25bc14fac05p-1, 0x1.52227ec61cc51p-1, 0x1.54340b1e6121p-1, 0x1.55618656b4a7p-1, 0x1.55b2f3a92b569p-1, 0x1.55310f93009ep-1, 0x1.53e52b0ab266fp-1, 0x1.51d908c0f0594p-1, 0x1.4f16c0386f2c8p-1, 0x1.4ba8a63e0cf04p-1, 0x1.4799352bcdc52p-1, 0x1.42f2f7080d296p-1, 0x1.3dc0706f7b58fp-1, 0x1.380c10392c2fap-1, 0x1.31e0222b7a38cp-1, 0x1.2b46c376d3696p-1, 0x1.2449d86247352p-1, 0x1.1cf302b1ba96p-1, 0x1.154b995554b9bp-1, 0x1.0d5ca18c21cfap-1, 0x1.052eca5451ebbp-1, 0x1.f994d15b4821bp-2, 0x1.e86ee9354833fp-2, 0x1.d6fb0ffa6b4a5p-2, 0x1.c547b95387d43p-2, 0x1.b362979dd3382p-2, 0x1.a1589be05096ep-2, 0x1.8f35f6e847a5ep-2, 0x1.7d061aaa8dac7p-2, 0x1.6ad3be75db279p-2, 0x1.58a8e2c48b2b9p-2, 0x1.468ed57004ca1p-2, 0x1.348e37261223cp-2, 0x1.22af01ace0764p-2, 0x1.10f88c4e0de63p-2, 0x1.fee327994852dp-3, 0x1.dc407e210e3c4p-3, 0x1.ba144ac60e428p-3, 0x1.9868af336b344p-3, 0x1.7746c661b95d1p-3, 0x1.56b6b5d0d7018p-3, 0x1.36bfbc0f24448p-3, 0x1.1768362e2e426p-3, 0x1.f16b6e8f7cb0bp-4, 0x1.b55a1625bac24p-4, 0x1.7aa4904d1e3d6p-4, 0x1.4151b39f1b7fdp-4, 0x1.096710fa6761cp-4, 0x1.a5d229ef163fcp-5, 0x1.3bb624a8b80abp-5, 0x1.a8fd5a7b7fa9ap-6, 0x1.c0ba32db77b2ep-7, 0x1.d8d8ec4132835p-10, -0x1.3ee4e9fdc339bp-7, -0x1.56a6f8b779c63p-6, -0x1.040b696cb5c04p-5, -0x1.59e5a1681b316p-5, -0x1.ace7e61fe9d67p-5, -0x1.fd190a5428eb5p-5, -0x1.254062c79121p-4, -0x1.4a93d6b47e7b6p-4, -0x1.6e8b8cdb22cd8p-4, -0x1.912c8965d70b1p-4, -0x1.b27c1ed13bedp-4, -0x1.d27fe2ae87085p-4, -0x1.f13da98ac2d3p-4, -0x1.075dbe1a9dc3p-3, -0x1.157fc80584c55p-3, -0x1.2308218c5068fp-3, -0x1.2ffa086c6c87ap-3, -0x1.3c58c8389e244p-3, -0x1.4827b6d01050fp-3, -0x1.536a30f10124fp-3, -0x1.5e2398cb3a424p-3, -0x1.68575377b3709p-3, -0x1.7208c6122dd4bp-3, -0x1.7b3b556c0ef34p-3, -0x1.83f262a91fc8fp-3, -0x1.8c314a092b0b4p-3, -0x1.93fb62514193dp-3, -0x1.9b53fa632e29bp-3, -0x1.a23e581f7abe6p-3, -0x1.a8bdb7d55841p-3, -0x1.aed54b8cdecdep-3, -0x1.b4883833431a6p-3, -0x1.b9d997c0a6e5ep-3, -0x1.becc7679e3394p-3, -0x1.c363d25f7f364p-3, -0x1.c7a29bf928ccp-3, -0x1.cb8bb5709da4cp-3, -0x1.cf21f0fb02bfap-3, -0x1.d26811e5d99dfp-3, -0x1.d560cd0aca376p-3, -0x1.d80ec65d6ff0ep-3, -0x1.da7492415c298p-3, -0x1.dc94b5d57f039p-3, -0x1.de71a6a240256p-3, -0x1.e00dc939c4a34p-3, -0x1.e16b7344b3f7bp-3, -0x1.e28ceb0dc60dfp-3, -0x1.e37466d49dfc2p-3, -0x1.e4240d006b0eap-3, -0x1.e49df5bf848ffp-3, -0x1.e4e429d4c50d5p-3, -0x1.e4f8a3496750bp-3, -0x1.e4dd4cc36dbdcp-3, -0x1.e494038ddc725p-3, -0x1.e41e96e6c9d3cp-3, -0x1.e37ec775a44cap-3, -0x1.e2b6486ae1592p-3, -0x1.e1c6c029096ccp-3, -0x1.e0b1c80743414p-3, -0x1.df78ec7b82cd5p-3, -0x1.de1dacf222d27p-3, -0x1.dca17de161779p-3, -0x1.db05c78bec4dfp-3, -0x1.d94be6693cb07p-3, -0x1.d7752b77b2073p-3, -0x1.d582dd7206084p-3, -0x1.d37638730dd8cp-3, -0x1.d1506e24810d2p-3, -0x1.cf12a5b2f68bdp-3, -0x1.ccbdfcb001e19p-3, -0x1.ca5387dce8af8p-3, -0x1.c7d45280ff7a7p-3, -0x1.c5415ed08bceep-3, -0x1.c29ba62c8ff5fp-3, -0x1.bfe419f6f6d4fp-3, -0x1.bd1ba39dca17fp-3, -0x1.ba432498cc39fp-3, -0x1.b75b767c6b908p-3, -0x1.b4656b9f1d7e5p-3, -0x1.b161cf520c7c8p-3, -0x1.ae51666d34cf5p-3, -0x1.ab34ee95238b6p-3, -0x1.a80d1f0ea2ea4p-3, -0x1.a4daa8dbaec22p-3, -0x1.a19e375f0e3d7p-3, -0x1.9e586ff857398p-3, -0x1.9b09f23abdcd8p-3, -0x1.97b358808615dp-3, -0x1.9455378275b17p-3, -0x1.90f01f7ac58d9p-3, -0x1.8d849b8ddc386p-3, -0x1.8a1331fe06a2bp-3, -0x1.869c6468e86bcp-3, -0x1.8320b00d4bc79p-3, -0x1.7fa08dfce07b3p-3, -0x1.7c1c735bcd832p-3, -0x1.7894d0fba2e32p-3, -0x1.750a13cf90accp-3, -0x1.717ca517fa33bp-3, -0x1.6decea903b546p-3, -0x1.6a5b46a11bc1cp-3, -0x1.66c818114cdc6p-3, -0x1.6333ba6d9af84p-3, -0x1.5f9e86183258ap-3, -0x1.5c08d05f59cdap-3, -0x1.5872ebc3759f7p-3, -0x1.54dd27defeb06p-3, -0x1.5147d179249c2p-3, -0x1.4db332a5fde58p-3, -0x1.4a1f92da75b28p-3, -0x1.468d36f7c3efp-3, -0x1.42fc61b17e186p-3, -0x1.3f6d532f272d3p-3, -0x1.3be0496c1e5eep-3, -0x1.38557ff95baadp-3, -0x1.34cd30457e23ep-3, -0x1.314791bda6c5bp-3, -0x1.2dc4d9d592928p-3, -0x1.2a453c134cc44p-3, -0x1.26c8e9e672269p-3, -0x1.235012f4c5d22p-3, -0x1.1fdae51d0c217p-3, -0x1.1c698c4fcd8d3p-3, -0x1.18fc331c76dddp-3, -0x1.1593023ce10d8p-3, -0x1.122e20e98881cp-3, -0x1.0ecdb4aa9af11p-3, -0x1.0b71e16c46c1ep-3, -0x1.081ac9ddb533ep-3, -0x1.04c88eefaa71bp-3, -0x1.017b509e5e374p-3, -0x1.fc665a62cc47dp-4, -0x1.f5e0837ca8274p-4, -0x1.ef6553d433c26p-4, -0x1.e8f500b349ab7p-4, -0x1.e28fbbfd76753p-4, -0x1.dc35b678b65dcp-4, -0x1.d5e71d756d60cp-4, -0x1.cfa41cf3c62fdp-4, -0x1.c96cde1629293p-4, -0x1.c34187ffc51e7p-4, -0x1.bd223fbe81ff5p-4, -0x1.b70f285f549e7p-4, -0x1.b10862972ba25p-4, -0x1.ab0e0df79a57cp-4, -0x1.a520477957a54p-4, -0x1.9f3f2aab79528p-4, -0x1.996ad0e2e906cp-4, -0x1.93a351e503ec6p-4, -0x1.8de8c3ba79e6ep-4, -0x1.883b3ab5f5e7ap-4, -0x1.829ac9e90ee77p-4, -0x1.7d0782165646ap-4, -0x1.778173677f671p-4, -0x1.7208abaa2a6f4p-4, -0x1.6c9d3796b5357p-4, -0x1.673f225846db4p-4, -0x1.61ee75d6bee27p-4, -0x1.5cab3a3b49c92p-4, -0x1.577577561793fp-4, -0x1.524d3252296cdp-4, -0x1.4d3270620a5abp-4, -0x1.4825347ba349ep-4, -0x1.4325810f507f5p-4, -0x1.3e33570baeccep-4, -0x1.394eb643ace3ep-4, -0x1.34779db239e05p-4, -0x1.2fae0af22bc8cp-4, -0x1.2af1fad9ba679p-4, -0x1.264369174189bp-4, -0x1.21a2504c1b23fp-4, -0x1.1d0eaa993ff99p-4, -0x1.188870679effcp-4, -0x1.140f99df97502p-4, -0x1.0fa41e18f5d76p-4, -0x1.0b45f332830e6p-4, -0x1.06f50ec465dffp-4, -0x1.02b165849e358p-4, -0x1.fcf5d622c487ep-5, -0x1.f4a325ec5c684p-5, -0x1.ec6a9e168c973p-5, -0x1.e44c236278c52p-5, -0x1.dc47969757744p-5, -0x1.d45cd9c1940f5p-5, -0x1.cc8bcb2fd9f2cp-5, -0x1.c4d44a4e6c32fp-5, -0x1.bd3633a0a568bp-5, -0x1.b5b16389f92dbp-5, -0x1.ae45b4e1b460ep-5, -0x1.a6f301dfdb4d6p-5, -0x1.9fb92345cf468p-5, -0x1.9897f09ee532dp-5, -0x1.918f41db63222p-5, -0x1.8a9eec367aafep-5, -0x1.83c6c5e9ec33bp-5, -0x1.7d06a2cd7cbd3p-5, -0x1.765e575903e51p-5, -0x1.6fcdb5c83e182p-5, -0x1.695491770de8fp-5, -0x1.62f2baed47f4fp-5, -0x1.5ca804381dd2fp-5, -0x1.56743cb9ac4f3p-5, -0x1.505735382b9f1p-5, -0x1.4a50bcad09ad4p-5, -0x1.4460a1fbe2df7p-5, -0x1.3e86b392d09ep-5, -0x1.38c2bf3ff2c38p-5, -0x1.331492e569324p-5, -0x1.2d7bfba1b09a9p-5, -0x1.27f8c5c143407p-5, -0x1.228abdd969453p-5, -0x1.1d31b09b77379p-5, -0x1.17ed68bb6c96ap-5, -0x1.12bdb32cf7e69p-5, -0x1.0da259ae950c3p-5, -0x1.089b29e47fafbp-5, -0x1.03a7ece17a98ap-5, -0x1.fd90dcea71b5dp-6, -0x1.f3f8f2a64af64p-6, -0x1.ea87b0963f6dp-6, -0x1.e13cab448cd06p-6, -0x1.d81777931a229p-6, -0x1.cf17a9da2019bp-6, -0x1.c63cd758f6deap-6, -0x1.bd869362438ddp-6, -0x1.b4f47584f31bep-6, -0x1.ac86102c2c336p-6, -0x1.a43afaea7a8a9p-6, -0x1.9c12cbfad7f3p-6, -0x1.940d17d6f04f2p-6, -0x1.8c29759655c3bp-6, -0x1.84677a28b850dp-6, -0x1.7cc6bb43b9335p-6, -0x1.7546cdabfb446p-6, -0x1.6de747f144634p-6, -0x1.66a7c020d48a8p-6, -0x1.5f87cdc978503p-6, -0x1.58870991cb731p-6, -0x1.51a50d573bdb5p-6, -0x1.4ae1734f1f5dcp-6, -0x1.443bd7dab0a1bp-6, -0x1.3db3d3e96dabbp-6, -0x1.374903f85d874p-6, -0x1.30fb00dc8c0bcp-6, -0x1.2ac96553da063p-6, -0x1.24b3c9d53890ap-6, -0x1.1eb9c9bb3e64fp-6, -0x1.18db007a393bep-6, -0x1.13170c0628f28p-6, -0x1.0d6d8c616648ap-6, -0x1.07de243614d2bp-6, -0x1.026876cd1b052p-6, -0x1.fa1850a948fc1p-7, -0x1.ef91ba492daa5p-7, -0x1.e53c7117feb27p-7, -0x1.db17b7e9f436p-7, -0x1.d122d251956f4p-7, -0x1.c75d010194b07p-7, -0x1.bdc584f7158f3p-7, -0x1.b45ba6452f6abp-7, -0x1.ab1eadcbef624p-7, -0x1.a20dee7c5c26cp-7, -0x1.9928be0b36d12p-7, -0x1.906e783757549p-7, -0x1.87de7c1fab328p-7, -0x1.7f78272a24c0dp-7, -0x1.773ad9d94d8c3p-7, -0x1.6f25ee68a34ddp-7, -0x1.6738c0044e655p-7, -0x1.5f72a76e31987p-7, -0x1.57d2f9f25d5c1p-7, -0x1.5059122296c0fp-7, -0x1.49044b199a2e1p-7, -0x1.41d3fdb395be6p-7, -0x1.3ac7955160e3dp-7, -0x1.33de73072422cp-7, -0x1.2d180533ff6c2p-7, -0x1.2673b9a1e30a3p-7, -0x1.1ff1074f1fadap-7, -0x1.198f6497d3f74p-7, -0x1.134e4d9d159d5p-7, -0x1.0d2d3eca715ebp-7, -0x1.072bb659f7f9ap-7, -0x1.01492f5328465p-7, -0x1.f70a42fe3e18bp-8, -0x1.ebbdfe9fc782dp-8, -0x1.e0ac6f7964944p-8, -0x1.d5d46712eabap-8, -0x1.cb34b8bcc80e7p-8, -0x1.c0cc48786093ep-8, -0x1.b699ead06ce3ap-8, -0x1.ac9caa7ec99ddp-8, -0x1.a2d3a0bf3ace4p-8, -0x1.993e04f6b30fcp-8, -0x1.8fdb267cf7628p-8, -0x1.86aa643ddcdb6p-8, -0x1.7dab1b71cf57bp-8, -0x1.74dc976acc4a4p-8, -0x1.6c3e05f2bc05cp-8, -0x1.63ce71dd990a4p-8, -0x1.5b8cc588b733dp-8, -0x1.5377d66796bd3p-8, -0x1.4b8e735f6407bp-8, -0x1.43cf77bc6bea9p-8, -0x1.3c39db22e4485p-8, -0x1.34ccbabb92408p-8, -0x1.2d8762de1e608p-8, -0x1.26694ba4c5ed6p-8, -0x1.1f7216ef139f4p-8, -0x1.18a16e0bd74e3p-8, -0x1.11f7025d6465dp-8, -0x1.0b7261cd12ee6p-8, -0x1.0512f6f9817c3p-8, -0x1.fdafe2c0378d2p-9, -0x1.f180baa3d74c7p-9, -0x1.e5965ed63015p-9, -0x1.d9eebb0974da1p-9, -0x1.ce87e29c1aeebp-9, -0x1.c3601eda0c13dp-9, -0x1.b875fa9e478d4p-9, -0x1.adc8300e065c9p-9, -0x1.a355b74df79dep-9, -0x1.991db413ec16dp-9, -0x1.8f1f802e04dffp-9, -0x1.855a929024bbdp-9, -0x1.7bce5df8fd63fp-9, -0x1.727a1c029a13ap-9, -0x1.695cc61aade96p-9, -0x1.607503ef80628p-9, -0x1.57c15c9124486p-9, -0x1.4f40452404bp-9, -0x1.46f09066395a8p-9, -0x1.3ed1353d80d16p-9, -0x1.36e167729a346p-9, -0x1.2f2052d36bf3fp-9, -0x1.278cf56f5128fp-9, -0x1.20260afca6795p-9, -0x1.18ea38a3abf26p-9, -0x1.11d826ffb712dp-9, -0x1.0aeedc6bf133ap-9, -0x1.042d9fe5b5f7cp-9, -0x1.fb27f06a99803p-10, -0x1.ee42ce35df7eap-10, -0x1.e1aa7b0c065aep-10, -0x1.d55d40b290277p-10, -0x1.c95980f2500c1p-10, -0x1.bd9e038548b1cp-10, -0x1.b22a1cc9011e8p-10, -0x1.a6fd70a3de1cbp-10, -0x1.9c17976709db7p-10, -0x1.91776c7354649p-10, -0x1.871ac973f40f5p-10, -0x1.7cfe9b4e44503p-10, -0x1.731f4ebcd9a6dp-10, -0x1.697989276cfdp-10, -0x1.600ad89131ad1p-10, -0x1.56d1ab48b3ef9p-10, -0x1.4dcdd166decep-10, -0x1.44ff2e0cd860ep-10, -0x1.3c659b9fb7986p-10, -0x1.34009dbc2252ep-10, -0x1.2bcfa1032c709p-10, -0x1.23d24bb163e05p-10, -0x1.1c088f4a284adp-10, -0x1.14725ebd5acep-10, -0x1.0d0f3a01e3b9bp-10, -0x1.05ddd9d6fa74dp-10, -0x1.fdb8567c4b78ep-11, -0x1.f00f3c4db3173p-11, -0x1.e2bb2d16c7371p-11, -0x1.d5b78c5f595dfp-11, -0x1.c900a16cb1e79p-11, -0x1.bc93b611e364ap-11, -0x1.b06f0279ff84dp-11, -0x1.a4917edee650bp-11, -0x1.98faa123c34a4p-11, -0x1.8daab0cec5bbep-11, -0x1.82a25ea5ac39p-11, -0x1.77e29404e55a2p-11, -0x1.6d6be53f64edbp-11, -0x1.633def9987f98p-11, -0x1.59573d97e15efp-11, -0x1.4fb58a4d65bc6p-11, -0x1.4655ba026656ep-11, -0x1.3d3406b074f06p-11, -0x1.344b6749ffd09p-11, -0x1.2b988f89b85f7p-11, -0x1.231996ca3c6a4p-11, -0x1.1ace5070f0d26p-11, -0x1.12b7ba0a4b387p-11, -0x1.0ad518627da04p-11, -0x1.0324bf912920dp-11, -0x1.f7482530f17bp-12, -0x1.e8a2259c4856bp-12, -0x1.da56df8bdcd9bp-12, -0x1.cc699542b460ap-12, -0x1.bede6e900512dp-12, -0x1.b1b6c846bca66p-12, -0x1.a4ef1a982f7fep-12, -0x1.9881bb1b2a02fp-12, -0x1.8c6a5caa01d3ep-12, -0x1.80a6375130a48p-12, -0x1.7530c8195f13dp-12, -0x1.6a03090b2ae86p-12, -0x1.5f168873bd7e3p-12, -0x1.5468cc6f65d24p-12, -0x1.49fb4dd8820efp-12, -0x1.3fd1d5902585ep-12, -0x1.35ee8d433a734p-12, -0x1.2c50f21d20714p-12, -0x1.22f67fce3e8b5p-12, -0x1.19dc21b59c5e5p-12, -0x1.10fe26c8f1852p-12, -0x1.08596fd94d59p-12, -0x1.ffdb89872401ep-13, -0x1.ef7ba4a183fd5p-13, -0x1.df9431f918369p-13, -0x1.d01f6100db315p-13, -0x1.c114e32fd5979p-13, -0x1.b273170cffc6p-13, -0x1.a43cd265fac75p-13, -0x1.966cd1785d629p-13, -0x1.88f741f6ccbabp-13, -0x1.7bd1d9b5d7396p-13, -0x1.6ef85a14dcec9p-13, -0x1.626c1531a2287p-13, -0x1.56303f96659eap-13, -0x1.4a48ed00ed841p-13, -0x1.3eb633fbba14p-13, -0x1.337946dd518a9p-13, -0x1.2892ac3642b39p-13, -0x1.1e02aed7594f5p-13, -0x1.13c2f4b0a3216p-13, -0x1.09c5434469b7ap-13, -0x1.0001ead184b13p-13, -0x1.ecff17b65fc49p-14, -0x1.da88088475f72p-14, -0x1.c88e5d43f03c7p-14, -0x1.b70f6c5eb1ae9p-14, -0x1.a614f269e5743p-14, -0x1.95a6b17518b8p-14, -0x1.85bab10eef488p-14, -0x1.763f1c01a0a44p-14, -0x1.67246034d2482p-14, -0x1.5862696b051dap-14, -0x1.49fa57b4da02ap-14, -0x1.3bf2ca8aa5cd7p-14, -0x1.2e4f7a9aef5d6p-14, -0x1.210d76daa08f6p-14, -0x1.142c021fd26fbp-14, -0x1.07b25559d5b3bp-14, -0x1.f744c32e6d0cep-15, -0x1.dfef8f8f1d7c8p-15, -0x1.c94d6c9abaf2fp-15, -0x1.b33b69a6849c5p-15, -0x1.9da926f53f3dcp-15, -0x1.88a7884b8ef1p-15, -0x1.744a9ab752682p-15, -0x1.6073b4b468aa5p-15, -0x1.4d2941f44fcb3p-15, -0x1.3a848ba14ae8fp-15, -0x1.288456d7d3138p-15, -0x1.171c0e3ca0552p-15, -0x1.063f0bf75ad37p-15, -0x1.ebb4bae159615p-16, -0x1.cbb3408602acap-16, -0x1.ac769caf003cap-16, -0x1.8e2477af1a8f4p-16, -0x1.70c9a2a2a95f7p-16, -0x1.5445eae4029aap-16, -0x1.38969391f9b56p-16, -0x1.1dd6b124dca0fp-16, -0x1.0406dffa5f165p-16, -0x1.d60a030a46847p-17, -0x1.a5794b6198f28p-17, -0x1.768169a8d357dp-17, -0x1.4908c00b8e6fp-17, -0x1.1ccf0bde27abfp-17, -0x1.e3d26ffb84df8p-18, -0x1.909240d08d968p-18, -0x1.3f8afd33ea7d9p-18, -0x1.e2b33c3492744p-19, -0x1.4c190f439611ap-19, -0x1.751c5d01f1525p-20, -0x1.6fc2fe0f88685p-22, 0x1.65b51d77aa4b8p-21, 0x1.b77fe9418fcbdp-20, 0x1.5a7e11c28d61ep-19, 0x1.d5b04c75e46ap-19, 0x1.2666061e225c2p-18, 0x1.5fbf801bcc46cp-18, 0x1.974aeae5944b1p-18, 0x1.ccebabb4fd02p-18, 0x1.002c8f20bff6dp-17, 0x1.18e8b90319252p-17, 0x1.30c7afb984addp-17, 0x1.47e67e1d579acp-17, 0x1.5e39c234828dp-17, 0x1.73aefc14eee26p-17, 0x1.8823da520244cp-17, 0x1.9bd574124b143p-17, 0x1.aee388502811ap-17, 0x1.c14e47fc29929p-17, 0x1.d2fd48f76afc8p-17, 0x1.e3d40b63d78c6p-17, 0x1.f3fc534f65f02p-17, 0x1.01c223646596cp-16, 0x1.0933b3c3485fp-16, 0x1.1051b2778246bp-16, 0x1.1716634c7393p-16, 0x1.1d84166c2a248p-16, 0x1.23a9cfe292ccfp-16, 0x1.298f38457c5dfp-16, 0x1.2f2d1c8986a92p-16, 0x1.348bece7b25dap-16, 0x1.39a6206096419p-16, 0x1.3e74c396da316p-16, 0x1.42ffd16476c87p-16, 0x1.4749de8cf57cdp-16, 0x1.4b600f50d7423p-16, 0x1.4f3c7036d1d0bp-16, 0x1.52e17aca0f6cep-16, 0x1.564d6172f5b08p-16, 0x1.5975955b2185ep-16, 0x1.5c64093f87db7p-16, 0x1.5f2a577dcdcefp-16, 0x1.61c4190c8d4b3p-16, 0x1.6420f054c8deep-16, 0x1.664f42efc5a05p-16, 0x1.684e1aeeb6098p-16, 0x1.6a2219bc51e77p-16, 0x1.6bca003204487p-16, 0x1.6d45f3efb1ecdp-16, 0x1.6e983d7b60a21p-16, 0x1.6fbc7fdbfbb7ep-16, 0x1.70bd71e924e64p-16, 0x1.718cc5f78d6f1p-16, 0x1.723901db39843p-16, 0x1.72c47be914153p-16, 0x1.7332fdadc046cp-16, 0x1.7378638814afap-16, 0x1.7395475853cdfp-16, 0x1.73959c3dcc66dp-16, 0x1.7377ea44c7a32p-16, 0x1.733a45827414dp-16, 0x1.72de5f0133841p-16, 0x1.72656241e0c45p-16, 0x1.71d05549048c1p-16, 0x1.711de587edec4p-16, 0x1.704d10f5f7815p-16, 0x1.6f65e02d2f5cdp-16, 0x1.6e6599d9c6dc7p-16, 0x1.6d47f8475d436p-16, 0x1.6c14ece96b91ep-16, 0x1.6ac9fc4453362p-16, 0x1.6969835e2f822p-16, 0x1.67f2ff6982e72p-16, 0x1.66663d0606146p-16, 0x1.64c4a71bc0d94p-16, 0x1.630f6206aeb38p-16, 0x1.61476c590716bp-16, 0x1.5f6dbfd0b9b3cp-16, 0x1.5d7d97e3cba1ep-16, 0x1.5b7a45120b8f1p-16, 0x1.5967de558543fp-16, 0x1.574383103742p-16, 0x1.551575756e10ap-16, 0x1.52d24626ee657p-16, 0x1.5081abe1e6c9ap-16, 0x1.4e22fd74fcfdep-16, 0x1.4bb5a72859653p-16, 0x1.493b6337e64f1p-16, 0x1.46b3adc5cd688p-16, 0x1.4416d6d7a6b35p-16, 0x1.417ed27eeb9f8p-16, 0x1.3ed26bafc9cbdp-16, 0x1.3c1abe8bd55d4p-16, 0x1.3958673b3b93ep-16, 0x1.368a163b7b4cbp-16, 0x1.33ae7d375197dp-16, 0x1.30d6388ac2aa8p-16, 0x1.2decfdff4e146p-16, 0x1.2afbb8b4be70ap-16, 0x1.28015448b3739p-16, 0x1.24fdc311ec3e3p-16, 0x1.21f37765f228ap-16, 0x1.1ee2e724a2c1cp-16, 0x1.1bccc483cc11ap-16, 0x1.18ad05414007fp-16, 0x1.1588577bde71cp-16, 0x1.125dac2de26dfp-16, 0x1.0f2bbc87362b4p-16, 0x1.0bf66f7e21b9ap-16, 0x1.08bbbc978df25p-16, 0x1.057b9306e2b4cp-16, 0x1.0238186247c1ap-16, 0x1.fddfaba8e53f9p-17, 0x1.f749c015ec7f4p-17, 0x1.f0aa13e88a136p-17, 0x1.ea055b5a47ee2p-17, 0x1.e359ea2f5deb1p-17, 0x1.dcaa4ded318e5p-17, 0x1.d5f5fa2ffa4cep-17, 0x1.cf3b858b872e9p-17, 0x1.c87d426c4c81cp-17, 0x1.c1bba6ee88e89p-17, 0x1.baf79f720202ap-17, 0x1.b431440439a6cp-17, 0x1.ad68d06388f78p-17, 0x1.a69d07de42bc7p-17, 0x1.9fd24d5a5a05bp-17, 0x1.9905de637ad2dp-17, 0x1.92391bc70fb06p-17, 0x1.8b6bcfc07dc5dp-17, 0x1.84a14e03223f7p-17, 0x1.7dd4ce62896adp-17, 0x1.770a29a6a2c24p-17, 0x1.7040e46f92f04p-17, 0x1.6983a285e49e6p-17, 0x1.62b7f7eabf6fep-17, 0x1.5bf808f0b475fp-17, 0x1.552a6f034736ep-17, 0x1.4e77bdab56541p-17, 0x1.47c9ee1dd968p-17, 0x1.412103805f15ep-17, 0x1.3a67d61fcf936p-17, 0x1.33b3ed1334af7p-17, 0x1.2d0de3d4103c6p-17, 0x1.266b9d5c1cfe2p-17, 0x1.1fd1b154de4d8p-17, 0x1.193ae7b3913a8p-17, 0x1.12a7a06e08a55p-17, 0x1.0c21de70041bap-17, 0x1.05a0534e840bfp-17, 0x1.fe46c13d52de6p-18, 0x1.f15c135b9094p-18, 0x1.e47d43098c913p-18, 0x1.d7a7a79435e62p-18, 0x1.caea1d347bb22p-18, 0x1.be3d96fbfc3ccp-18, 0x1.b1a1445029b47p-18, 0x1.a51571ea256f6p-18, 0x1.98956c7ef0466p-18, 0x1.8c2b11f1357c7p-18, 0x1.7fd1020c5e85cp-18, 0x1.738a252068453p-18, 0x1.6752dedf4d42bp-18, 0x1.5b2ee831f4d29p-18, 0x1.4f21db4de37afp-18, 0x1.43260c93d3e56p-18, 0x1.373de53339e67p-18, 0x1.2b69c1a0268b7p-18, 0x1.1faa05b2e258bp-18, 0x1.13fdcafda0071p-18, 0x1.0858744004eb1p-18, 0x1.f9d1dd1ddeadcp-19, 0x1.e2f7067e07dc2p-19, 0x1.cc4db69a861f9p-19, 0x1.b5ce7bc5da3d7p-19, 0x1.9f7b0a22d956cp-19, 0x1.896e3244890cap-19, 0x1.73613cc43f87ep-19, 0x1.5d9380dc65ccp-19, 0x1.47f82ea226ff9p-19, 0x1.32838dc659c06p-19, 0x1.1d45071b8f7e6p-19, 0x1.083ae4946115bp-19, 0x1.e714dd2704cf9p-20, 0x1.bd4f04dc4f754p-20, 0x1.943189d546b02p-20, 0x1.6ba16a791104ep-20, 0x1.435ed81658a3p-20, 0x1.1b76aa866c8b8p-20, 0x1.e80903846322ap-21, 0x1.99b245d3a7c46p-21, 0x1.4c5acb64653abp-21, 0x1.0084918c8fea2p-21, 0x1.681be9b5b93f8p-22, 0x1.a348671fb81c4p-23, 0x1.e6a519e2c7aecp-25, -0x1.58a8d6547786dp-24, -0x1.cf5fac96ec781p-23, -0x1.774ec779efd46p-22, -0x1.02bb3e51b98cep-21, -0x1.49218ed182635p-21, -0x1.8e93c2e5dbe11p-21, -0x1.d367cbc50d157p-21, -0x1.0b79ab7026c19p-20, -0x1.2d388a64a839ap-20, -0x1.4e5dfb9944a06p-20, -0x1.6f22fcb183bd2p-20, -0x1.8f81c199707e4p-20, -0x1.af7af7d7ea0cbp-20, -0x1.cf13139a7c7a5p-20, -0x1.ee3de2131407fp-20, -0x1.068ae3df20352p-19, -0x1.15aa2aa6b2648p-19, -0x1.24a0965085602p-19, -0x1.3373d3bbdec16p-19, -0x1.42077f68ab039p-19, -0x1.506a6ccb5c93ep-19, -0x1.5e98fe3cd83b6p-19, -0x1.6c951ee8dcb1fp-19, -0x1.7a5f792c0fa14p-19, -0x1.87fa30100e63bp-19, -0x1.95565ddecf71ap-19, -0x1.a2c7bacc3ecbfp-19, -0x1.af8be140da904p-19, -0x1.bc5deda7b17efp-19, -0x1.c8fd046d4663bp-19, -0x1.d56569bc12f1ap-19, -0x1.e191148fdaff8p-19, -0x1.ed9a39edf5c22p-19, -0x1.f96911e345c31p-19, -0x1.028bb43fbdcdap-18, -0x1.082d56569ab01p-18, -0x1.0de341d4a0839p-18, -0x1.1368f821e5494p-18, -0x1.18f0ed5a2e331p-18, -0x1.1e329dbbd3b3ap-18, -0x1.2376ee6547fd9p-18, -0x1.289b9ea0c20c4p-18, -0x1.2daa3297f0577p-18, -0x1.32a48ff59e18bp-18, -0x1.378c2a8f1255ap-18, -0x1.3c4b7635c592fp-18, -0x1.40fca82460757p-18, -0x1.4595ac46cd6eep-18, -0x1.4a188baa44a31p-18, -0x1.4e8a29de5aa7ap-18, -0x1.52ddef601d6a7p-18, -0x1.571c6265d4d8fp-18, -0x1.5b382416e1d1cp-18, -0x1.5f53c0fbfbaddp-18, -0x1.634e5884e280dp-18, -0x1.673418856b951p-18, -0x1.6afe919fdde2bp-18, -0x1.6ebc4efe76c1fp-18, -0x1.7258958a0890ep-18, -0x1.75e994cc10521p-18, -0x1.795d9e3e3fe68p-18, -0x1.7cc9f168aae7bp-18, -0x1.800d016330815p-18, -0x1.834b95f567ca3p-18, -0x1.866d6f3dd7044p-18, -0x1.897e56694fd37p-18, -0x1.8c8a05e69de8ap-18, -0x1.8f56428512b62p-18, -0x1.9227ffa60ea18p-18, -0x1.94e5680e54a14p-18, -0x1.979683b6a6076p-18, -0x1.9a293002343c7p-18, -0x1.9ca60ad275924p-18, -0x1.9f17ff68b0849p-18, -0x1.a174c15bb1d44p-18, -0x1.a39ec4c7ee413p-18, -0x1.a5ed3029fa285p-18, -0x1.a80aaeb8b3055p-18, -0x1.aa1e8d3638626p-18, -0x1.ac1e0f5b24bacp-18, -0x1.ae1632075b7b4p-18, -0x1.afe018dc40bb2p-18, -0x1.b1a5a0e8ae50cp-18, -0x1.b353ec4574a84p-18, -0x1.b4f8ce29736a3p-18, -0x1.b688882a65c93p-18, -0x1.b80bf8c7f4b2cp-18, -0x1.b97e1491deb7bp-18, -0x1.badba731a2c6dp-18, -0x1.bc2692f972f8bp-18, -0x1.bd64c6055cc1ep-18, -0x1.be86ef1acff32p-18, -0x1.bfa9dc895cb7dp-18, -0x1.c0b39e5aaf3bap-18, -0x1.c1b29a685dbddp-18, -0x1.c29629adcf3bp-18, -0x1.c3789250eb8afp-18, -0x1.c446c1b8f1755p-18, -0x1.c505e9abff3e8p-18, -0x1.c5afab326e06fp-18, -0x1.c654eb341402cp-18, -0x1.c6e080a06227bp-18, -0x1.c763db3169446p-18, -0x1.c7dd1b958198p-18, -0x1.c84147544bd9p-18, -0x1.c89661a2b3dd1p-18, -0x1.c8dfca1c53ae9p-18, -0x1.c919b4917d303p-18, -0x1.c94e83b6090e1p-18, -0x1.c96e77f525c5bp-18, -0x1.c974b1014fd1ap-18, -0x1.c985617912bdep-18, -0x1.c9933481bcd96p-18, -0x1.c96b639927b17p-18, -0x1.c9523794afddfp-18, -0x1.c925baad80115p-18, -0x1.c8ec3d1de99d6p-18, -0x1.c8a4049962c3ep-18, -0x1.c85a62c8f1ef4p-18, -0x1.c7f884e55d078p-18, -0x1.c7978161664e4p-18, -0x1.c724f24bae431p-18, -0x1.c6a1d81f58aep-18, -0x1.c5f9dfa821b62p-18, -0x1.c5843af36bc52p-18, }}, 
      {{0x1.87330821cc617p-4, 0x1.8d2079b585bd6p-4, 0x1.943c35e7115edp-4, 0x1.9a50335fec9efp-4, 0x1.9dcac61cc97cbp-4, 0x1.9dd3d852f7a42p-4, 0x1.9a35ef9216556p-4, 0x1.9337e7e1efeb2p-4, 0x1.8975746cbeae8p-4, 0x1.7dbc86f661031p-4, 0x1.70f1a384ea95ep-4, 0x1.63fb22803e922p-4, 0x1.57b297c4f8636p-4, 0x1.4cdb51259a7e9p-4, 0x1.441cd4a8d3bb8p-4, 0x1.3e005dbee4d86p-4, 0x1.3af0854ffbc54p-4, 0x1.3b3a65a4856c3p-4, 0x1.3f0fba5b5943cp-4, 0x1.46898fe9701f5p-4, 0x1.51ab44bf42d2ap-4, 0x1.60659bf66cfe5p-4, 0x1.7299c366a84acp-4, 0x1.881c380f60ac2p-4, 0x1.a0b7692214409p-4, 0x1.bc2e29fd97715p-4, 0x1.da3dd399c6d92p-4, 0x1.faa02a76e3eecp-4, 0x1.0e867ee2d677ep-3, 0x1.209dc3a949c0ap-3, 0x1.3371ca617a9e3p-3, 0x1.46df3c79ce903p-3, 0x1.5ac3e50612aa1p-3, 0x1.6efefecc58126p-3, 0x1.83716c40755cdp-3, 0x1.97fde1a2b04e3p-3, 0x1.ac89004c510b2p-3, 0x1.c0f966cdabbb2p-3, 0x1.d537b8aa4ca6ep-3, 0x1.e92e9d996d84dp-3, 0x1.fccab72740db1p-3, 0x1.07fd4c4ef924ap-2, 0x1.11575bce5acaep-2, 0x1.1a6ca8a49ce71p-2, 0x1.23372dde3b17dp-2, 0x1.2bb1b7f22fa3bp-2, 0x1.33d7d8a8caaffp-2, 0x1.3ba5d7bcf31a1p-2, 0x1.4318a85de2a3dp-2, 0x1.4a2de022021b5p-2, 0x1.50e3aa434e3a4p-2, 0x1.5738bab5a44b8p-2, 0x1.5d2c40d6b4212p-2, 0x1.62bddedfa9c7ap-2, 0x1.67eda09e9da66p-2, 0x1.6cbbf27ade089p-2, 0x1.71299764c2d8cp-2, 0x1.75379e6915a0cp-2, 0x1.78e75a82df95bp-2, 0x1.7c3a5a28c5624p-2, 0x1.7f32620d24295p-2, 0x1.81d1659a22d9ap-2, 0x1.8419817a1e7b5p-2, 0x1.860cf4f64c82ep-2, 0x1.87ae1bf10f513p-2, 0x1.88ff69f08d2f4p-2, 0x1.8a03653df8bb8p-2, 0x1.8abca2a6277bap-2, 0x1.8b2dc2014558cp-2, 0x1.8b596a9c07d19p-2, 0x1.8b42486352434p-2, 0x1.8aeb07cb3ae9p-2, 0x1.8a5655dea053ap-2, 0x1.8986da4b0d281p-2, 0x1.887f37d7f8484p-2, 0x1.8742098475e5cp-2, 0x1.85d1e0b69d5fbp-2, 0x1.8431446c93c18p-2, 0x1.8262af7ebbc5dp-2, 0x1.80688fb0d3002p-2, 0x1.7e4545105c09ap-2, 0x1.7bfb20eed18d5p-2, 0x1.798c65340c765p-2, 0x1.76fb4442066d5p-2, 0x1.7449e038f4699p-2, 0x1.717a4a78a20dp-2, 0x1.6e8e83e771e36p-2, 0x1.6b887d4af226cp-2, 0x1.686a14f041e36p-2, 0x1.653519e395c44p-2, 0x1.61eb495725944p-2, 0x1.5e8e5056f668bp-2, 0x1.5b1fcb60644f5p-2, 0x1.57a146d36c57dp-2, 0x1.54143ec33304p-2, 0x1.507a1f3a608c3p-2, 0x1.4cd4456895d5ap-2, 0x1.4923ff25a179bp-2, 0x1.456a8bdd1cc8cp-2, 0x1.41a91c2086cdcp-2, 0x1.3de0d250c4502p-2, 0x1.3a12c38055588p-2, 0x1.363ff756ff7dbp-2, 0x1.326968b995378p-2, 0x1.2e9005acac84fp-2, 0x1.2ab4b069c516fp-2, 0x1.26d83f8aaa428p-2, 0x1.22fb7e118929fp-2, 0x1.1f1f2c1a5220fp-2, 0x1.1b43ff9e8a0c1p-2, 0x1.176aa356ef4c9p-2, 0x1.1393b9e5bde6p-2, 0x1.0fbfdae5fda3dp-2, 0x1.0bef95a5b1d45p-2, 0x1.08237097c9d68p-2, 0x1.045be9fa2dfbp-2, 0x1.009977d94ad51p-2, 0x1.f9b91153bad7ep-3, 0x1.f24b06d50bc88p-3, 0x1.eae9906a4a434p-3, 0x1.e3956082c8564p-3, 0x1.dc4f1cd4a5b5cp-3, 0x1.d5175ec8d6a6fp-3, 0x1.cdeeb3b9bbd78p-3, 0x1.c6d59ec7f90e4p-3, 0x1.bfcc9720d961fp-3, 0x1.b8d40a8f66d3ap-3, 0x1.b1ec5d02dd3fbp-3, 0x1.ab15e8e2e982p-3, 0x1.a45100a27993ap-3, 0x1.9d9dedc6bb418p-3, 0x1.96fcf1f880edap-3, 0x1.906e478970f8fp-3, 0x1.89f221ed8a06fp-3, 0x1.8388ad3b5c146p-3, 0x1.7d320ff65564cp-3, 0x1.76ee69f483e1fp-3, 0x1.70bdd5fcd9d82p-3, 0x1.6aa0698246467p-3, 0x1.649633bb0cc44p-3, 0x1.5e9f40fa282bfp-3, 0x1.58bb96e58a135p-3, 0x1.52eb38f3ede39p-3, 0x1.4d2e25b83e7c3p-3, 0x1.478457ae8bc5dp-3, 0x1.41edc6a24eadbp-3, 0x1.3c6a66aa36f95p-3, 0x1.36fa2904bf8dap-3, 0x1.319cfbf6ad5dp-3, 0x1.2c52cad7c97a1p-3, 0x1.271b7ee85f9d8p-3, 0x1.21f6feb5693abp-3, 0x1.1ce52effe597dp-3, 0x1.17e5f288f6d2bp-3, 0x1.12f929d80c4bap-3, 0x1.0e1eb43a6427p-3, 0x1.09566ef5ee254p-3, 0x1.04a0362c1f0b2p-3, 0x1.fff7c9216e8ebp-4, 0x1.f6d2a74451b57p-4, 0x1.edd0b760952a2p-4, 0x1.e4f1a80fda182p-4, 0x1.dc35261d972e1p-4, 0x1.d39adcbed21e7p-4, 0x1.cb2275dd9ca41p-4, 0x1.c2cb99be49b5fp-4, 0x1.ba95efbb98742p-4, 0x1.b2811df4a5532p-4, 0x1.aa8cc95a88e17p-4, 0x1.a2b8971ec3133p-4, 0x1.9b042a9e1cd67p-4, 0x1.936f274a7bc54p-4, 0x1.8bf92ff21f9e7p-4, 0x1.84a1e7b6be30cp-4, 0x1.7d68f0048c49cp-4, 0x1.764deaf740fb8p-4, 0x1.6f507bb7c4dcap-4, 0x1.68704375857f3p-4, 0x1.61ace44d3d173p-4, 0x1.5b0602e465ef3p-4, 0x1.547b3e1078349p-4, 0x1.4e0c390293a38p-4, 0x1.47b899deb7515p-4, 0x1.4180020664973p-4, 0x1.3b62155882d7p-4, 0x1.355e780a3dcc7p-4, 0x1.2f74cf3edba98p-4, 0x1.29a4c0153d40ep-4, 0x1.23edf09440ae1p-4, 0x1.1e50071fae17dp-4, 0x1.18caaa30d3b1p-4, 0x1.135d822f8138cp-4, 0x1.0e08374fc20f6p-4, 0x1.08ca731806f5ep-4, 0x1.03a3dee0e53c3p-4, 0x1.fd284a554c278p-5, 0x1.f335e3c84ac2dp-5, 0x1.e96fe10d03a39p-5, 0x1.dfd59aa952c93p-5, 0x1.d6666d7d81084p-5, 0x1.cd21b6aec918cp-5, 0x1.c406d2064138ap-5, 0x1.bb15216734ec7p-5, 0x1.b24c076e1d62ap-5, 0x1.a9aae713bc55cp-5, 0x1.a13124d4aa47dp-5, 0x1.98de2752a1d53p-5, 0x1.90b1571d25e76p-5, 0x1.88aa1e4b61f59p-5, 0x1.80c7e88e945f2p-5, 0x1.790a23712cd8p-5, 0x1.71703ecae884ap-5, 0x1.69f9aacb8bc68p-5, 0x1.62a5d9675babfp-5, 0x1.5b74408213dbap-5, 0x1.546452666660fp-5, 0x1.4d758bdfb8393p-5, 0x1.46a7631d090fap-5, 0x1.3ff9537bc8ce5p-5, 0x1.396ad9803ce31p-5, 0x1.32fb73c3c8cd3p-5, 0x1.2caaa1e69836ep-5, 0x1.2677e58307e38p-5, 0x1.2062c16e2f645p-5, 0x1.1a6abb1addc16p-5, 0x1.148f58ba50c5ep-5, 0x1.0ed022127ad81p-5, 0x1.092ca0990d25cp-5, 0x1.03a45f9325a36p-5, 0x1.fc6dd7cff5c84p-6, 0x1.f1c7a65dc448ep-6, 0x1.e7554bfcc8bc1p-6, 0x1.dd15ea6f4d758p-6, 0x1.d308a6ee63478p-6, 0x1.c92caa8ac1918p-6, 0x1.bf81211268a92p-6, 0x1.b6053852cde71p-6, 0x1.acb821f3b7107p-6, 0x1.a39911e205a9dp-6, 0x1.9aa742a449ffcp-6, 0x1.91e1ea1c38089p-6, 0x1.8948459792865p-6, 0x1.80d99619a6055p-6, 0x1.78951ddd0c608p-6, 0x1.707a2173c587fp-6, 0x1.6887e6a8e1ca9p-6, 0x1.60bdbf859225ap-6, 0x1.591aee00a9a18p-6, 0x1.519ecbb9f4681p-6, 0x1.4a48a560b7fp-6, 0x1.4317d0959924cp-6, 0x1.3c0ba566e4c9p-6, 0x1.35237e0538cc5p-6, 0x1.2e5eb638437cep-6, 0x1.27bcac962adf5p-6, 0x1.213cc3cb1326cp-6, 0x1.1ade5e022ff48p-6, 0x1.14a0e1e502a03p-6, 0x1.0e83b691c25f3p-6, 0x1.08864b7055678p-6, 0x1.02a8053a6f8e2p-6, 0x1.f9d0b29e86f69p-7, 0x1.ee8d6f6b32775p-7, 0x1.e38527a680651p-7, 0x1.d8b6c564014c2p-7, 0x1.ce213bcf25ba2p-7, 0x1.c3c37dc47ea15p-7, 0x1.b99c85aaebd45p-7, 0x1.afab4b1d9fad6p-7, 0x1.a5eecf76cf8b6p-7, 0x1.9c661d24b203cp-7, 0x1.9310367bfce6ep-7, 0x1.89ec2b9485078p-7, 0x1.80f90ca8b66c1p-7, 0x1.7835ef2ea7d9p-7, 0x1.6fa1e9d182b03p-7, 0x1.673c18bbfebd9p-7, 0x1.5f039d304992p-7, 0x1.56f798a79b61dp-7, 0x1.4f1732f148699p-7, 0x1.476196529bb46p-7, 0x1.3fd5f1cdd2c54p-7, 0x1.387376282a874p-7, 0x1.313958b598dffp-7, 0x1.2a26d1c5463e6p-7, 0x1.233b1dbba02e5p-7, 0x1.1c757b63080f5p-7, 0x1.15d52c7c42c28p-7, 0x1.0f59773cd5b31p-7, 0x1.0901a2fedf6f3p-7, 0x1.02ccfd6955b7ep-7, 0x1.f975a8cf0179cp-8, 0x1.ed94f5ca171d3p-8, 0x1.e1f689ef6885dp-8, 0x1.d6991539b5bcp-8, 0x1.cb7b4b9c5a436p-8, 0x1.c09beb4a0c16cp-8, 0x1.b5f9b18b267dp-8, 0x1.ab9372595c12fp-8, 0x1.a167e72dfeedcp-8, 0x1.9775ee327d7f3p-8, 0x1.8dbc473351da3p-8, 0x1.8439f225b069p-8, 0x1.7aedbf1f28cd6p-8, 0x1.71d68f85c6a52p-8, 0x1.68f34f457c948p-8, 0x1.6043027f14878p-8, 0x1.57c474ae900dcp-8, 0x1.4f76df80c67b3p-8, 0x1.4758f04171e4ep-8, 0x1.3f69fd975cc1dp-8, 0x1.37a8e00df47fp-8, 0x1.3014a9b2375abp-8, 0x1.28ac7302b018ep-8, 0x1.216f4b595a1bcp-8, 0x1.1a5c4f5452d3bp-8, 0x1.1372a03970918p-8, 0x1.0cb15eacbb3a2p-8, 0x1.0617aec16e888p-8, 0x1.ff497c857e76ap-9, 0x1.f2af716d6bfdp-9, 0x1.e65fac420fc1cp-9, 0x1.da58928fc9d4ep-9, 0x1.ce98966c82eeap-9, 0x1.c31e3b51a3df6p-9, 0x1.b7e7fd89951dbp-9, 0x1.acf46c5591df3p-9, 0x1.a24218c7743adp-9, 0x1.97cf9c8fefc5bp-9, 0x1.8d9b95c1d6bf1p-9, 0x1.83a4ac52ba5a9p-9, 0x1.79e98dc40681cp-9, 0x1.7068eded588b1p-9, 0x1.6721884e8f361p-9, 0x1.5e1221db6f982p-9, 0x1.553979267f66ep-9, 0x1.4c96621ba353ep-9, 0x1.4427aeb7aa13ap-9, 0x1.3bec366baacddp-9, 0x1.33e2d565d0a1p-9, 0x1.2c0a79872d32fp-9, 0x1.2462068bc5242p-9, 0x1.1ce86f4d815bap-9, 0x1.159ca82a3d41cp-9, 0x1.0e7dabf99b539p-9, 0x1.078a7ff2fd565p-9, 0x1.00c228c5a163dp-9, 0x1.f447640691b2p-10, 0x1.e75c465677c92p-10, 0x1.dac1238985fedp-10, 0x1.ce7448e739431p-10, 0x1.c273d50882426p-10, 0x1.b6be14c4cf1efp-10, 0x1.ab51593c8bd0ep-10, 0x1.a02c08c243349p-10, 0x1.954c55b7b3ac8p-10, 0x1.8ab0e389bc7d3p-10, 0x1.805805a7d74f3p-10, 0x1.76403ef5d4069p-10, 0x1.6c68073e40ca6p-10, 0x1.62cdf78b59dffp-10, 0x1.597095b14ffep-10, 0x1.504e7c5b61ddap-10, 0x1.47664c69c2174p-10, 0x1.3eb6a97a59b83p-10, 0x1.363e500381beep-10, 0x1.2dfbef1670a29p-10, 0x1.25ee71cfe9dafp-10, 0x1.1e140c3a8a39cp-10, 0x1.166c5d07c9ccap-10, 0x1.0ef5ad52dd8d6p-10, 0x1.07aef1c83eea6p-10, 0x1.009714e8bd48cp-10, 0x1.f359d29c2d059p-11, 0x1.e5decdf5a6a3p-11, 0x1.d8bae0c0982b8p-11, 0x1.cbec3d5e0de39p-11, 0x1.bf70a92070e29p-11, 0x1.b3463b2830348p-11, 0x1.a76b0f9a751ecp-11, 0x1.9bdd3b305e863p-11, 0x1.909ad531224c5p-11, 0x1.85a21a0af4b73p-11, 0x1.7af10ed366621p-11, 0x1.7086fd75e1f5ep-11, 0x1.66608f0d48239p-11, 0x1.5c7d4016ba9e2p-11, 0x1.52db33cb4b5cap-11, 0x1.4978ca2381666p-11, 0x1.4054793257e4p-11, 0x1.376cbd6d7765cp-11, 0x1.2ec01c312b7a3p-11, 0x1.264d4c44d2dd1p-11, 0x1.1e12c9ed6ebd3p-11, 0x1.160f2119b9fcep-11, 0x1.0e410ba9b8747p-11, 0x1.06a73dbd486fep-11, 0x1.fe80c00afb14fp-12, 0x1.f01676041740dp-12, 0x1.e20cd509c02cfp-12, 0x1.d461cf63fb2e7p-12, 0x1.c712e02589354p-12, 0x1.ba1de06a77343p-12, 0x1.ad8130a4c7cdfp-12, 0x1.a1399668c3d2ep-12, 0x1.95459569dc6fep-12, 0x1.89a2bfe242134p-12, 0x1.7e4f8826232fdp-12, 0x1.7349e1cf04694p-12, 0x1.688f6c4af667p-12, 0x1.5e1e5f14aa6ebp-12, 0x1.53f4d587e3367p-12, 0x1.4a11271bf161ap-12, 0x1.40715f64063d1p-12, 0x1.3713bfa7c1c58p-12, 0x1.2df6fb8a31034p-12, 0x1.25190d76f06dap-12, 0x1.1c7884a9867c2p-12, 0x1.1413ddac8278fp-12, 0x1.0be9ad3b671a5p-12, 0x1.03f85cd9a829ep-12, 0x1.f87d3bdf0ce2fp-13, 0x1.e975bcb1a191dp-13, 0x1.dad77744a8735p-13, 0x1.cca08efe62fd9p-13, 0x1.becbd90eb99a9p-13, 0x1.b159c51bac4cep-13, 0x1.a445d7d5cd2dcp-13, 0x1.978e56cb0e30ep-13, 0x1.8b30764a2d03ap-13, 0x1.7f29f69e25a9dp-13, 0x1.737833278b248p-13, 0x1.681a0c1b38008p-13, 0x1.5d0be1434ed06p-13, 0x1.524d4253b662p-13, 0x1.47db28a43ca21p-13, 0x1.3db41cd8ccdf4p-13, 0x1.33d5d95206f41p-13, 0x1.2a3ebd9ffeafp-13, 0x1.20ec7e4f93c82p-13, 0x1.17ddf2ea82d56p-13, 0x1.0f10cf38c65eep-13, 0x1.06835ead0ef4fp-13, 0x1.fc682d4ebe1c5p-14, 0x1.ec42319e7ea45p-14, 0x1.dc91765fdf7f3p-14, 0x1.cd5295840e297p-14, 0x1.be827cc87292cp-14, 0x1.b01e41c7bd391p-14, 0x1.a222f6d14a2p-14, 0x1.948ff2cfcc78fp-14, 0x1.875ccac2c70d4p-14, 0x1.7a8da89a8ca53p-14, 0x1.6e1d1b316a8c5p-14, 0x1.62092546159c6p-14, 0x1.564f314711a1cp-14, 0x1.4aec7ee6b2808p-14, 0x1.3fde9d2703141p-14, 0x1.3523c1e9dbe5ap-14, 0x1.2ab949c4fa66cp-14, 0x1.209c9d2a8554dp-14, 0x1.16cbdfbadef0fp-14, 0x1.0d44ffb00d80ep-14, 0x1.0405d3ae0320ep-14, 0x1.f6185ba299644p-15, 0x1.e4ac512891c74p-15, 0x1.d3c411ea56375p-15, 0x1.c35af7ec5f59p-15, 0x1.b36e7f9f0d4c6p-15, 0x1.a3fe264a84db8p-15, 0x1.95023a28de2bcp-15, 0x1.867bcd0622cf5p-15, 0x1.786689d2e3719p-15, 0x1.6abdf22cfb2d5p-15, 0x1.5d7f14880a32ep-15, 0x1.50a721646844fp-15, 0x1.44332e693a11cp-15, 0x1.38205c5211039p-15, 0x1.2c6ac4f169338p-15, 0x1.2115d3f1b35fap-15, 0x1.1612706aa9134p-15, 0x1.0b691f660b7e3p-15, 0x1.011523cbe4993p-15, 0x1.ee1b1011e20bcp-16, 0x1.dab832369afd3p-16, 0x1.c7eadb2c63abp-16, 0x1.b5b4f9e876a0ap-16, 0x1.a40f4ba10d15dp-16, 0x1.92f7f7c8caf13p-16, 0x1.826cc684bd2eep-16, 0x1.726b17766bcf1p-16, 0x1.62ead36760ed4p-16, 0x1.53e7a06a09fccp-16, 0x1.4563f77935cccp-16, 0x1.3753a3f3675c9p-16, 0x1.29b911a9f26fap-16, 0x1.1c8e581408157p-16, 0x1.0fcfef2567aa9p-16, 0x1.037ca7e282965p-16, 0x1.ef1dde833e6e2p-17, 0x1.d80fd1c3a09d6p-17, 0x1.c1c15a4658b96p-17, 0x1.ac347b1026449p-17, 0x1.975b61e1702f1p-17, 0x1.8338ee160009p-17, 0x1.6fbfe7564b3f5p-17, 0x1.5cf347e557f9ep-17, 0x1.4ac9d5510140ap-17, 0x1.3945f24c9dd88p-17, 0x1.2856e66567859p-17, 0x1.17fb02dcceb22p-17, 0x1.082224b91dc8fp-17, 0x1.f1d1e67cd3f16p-18, 0x1.d489edeb77149p-18, 0x1.b82c52359a33cp-18, 0x1.9cd628c099eafp-18, 0x1.827cf3ecc81dfp-18, 0x1.690e5d63007f8p-18, 0x1.508ba65a0532bp-18, 0x1.38f41d001f6fp-18, 0x1.2232e44618374p-18, 0x1.0c3c979bb51dcp-18, 0x1.ee70ad2c1d2ecp-19, 0x1.c5c7fad6196b3p-19, 0x1.9ec5a9f588b1dp-19, 0x1.7934ccf864d9bp-19, 0x1.552700c5ed43ap-19, 0x1.327e4435b4788p-19, 0x1.112561e514df5p-19, 0x1.e23315f18bb19p-20, 0x1.a4c0c9b65d33fp-20, 0x1.6a3812167d11p-20, 0x1.3120ce823f17dp-20, 0x1.f60d8f58685f3p-21, 0x1.8e159cfba00dcp-21, 0x1.2a92f580723a9p-21, 0x1.969dd378afcb5p-22, 0x1.c0226e659466fp-23, 0x1.8b44554f2815bp-25, -0x1.d5d5c99b7ab04p-24, -0x1.149f744a4e875p-22, -0x1.ac83013534934p-22, -0x1.1eb47f3922a4dp-21, -0x1.63b99bf22c90ep-21, -0x1.a58887db2163fp-21, -0x1.e3ce306912fb1p-21, -0x1.0fb7834e5055fp-20, -0x1.2bedeaf3a39d2p-20, -0x1.46b0eb939062ap-20, -0x1.600086c50f8e1p-20, -0x1.779d4e3d54c83p-20, -0x1.8ed3c77c95fb6p-20, -0x1.a42da360737afp-20, -0x1.b8576fcd9bef7p-20, -0x1.cb46d675916e3p-20, -0x1.dd1837ddaaf7dp-20, -0x1.edd5111ce11ffp-20, -0x1.fd68d16157ee1p-20, -0x1.05fe428b0b0e9p-19, -0x1.0ccd14dc97d77p-19, -0x1.130cc2cdc587cp-19, -0x1.18df7261c5e98p-19, -0x1.1e44192c96f39p-19, -0x1.23332a3b72626p-19, -0x1.27bab0151eabdp-19, -0x1.2bd06e9724fb9p-19, -0x1.2f7e292ce3468p-19, -0x1.32c958480a95dp-19, -0x1.35c67abd7c8a1p-19, -0x1.387c42d930b37p-19, -0x1.3a90a84164a84p-19, -0x1.3c7bd04b9c31fp-19, -0x1.3e18c288ca1dp-19, -0x1.3f5d14e137568p-19, -0x1.404dd78a524f6p-19, -0x1.40ff678b9cecfp-19, -0x1.416d33346071dp-19, -0x1.41954007776b5p-19, -0x1.417beae4c2369p-19, -0x1.4126c28a7653fp-19, -0x1.407c9938df6bbp-19, -0x1.3f89f54b67a4ep-19, -0x1.3eaf7f281bddp-19, -0x1.3d680be8bced1p-19, -0x1.3bf86492c3f47p-19, -0x1.3a4fe799b5659p-19, -0x1.387d200bff4e6p-19, -0x1.36829dc8ee94fp-19, -0x1.344f37144b3d6p-19, -0x1.31f2e6fd26e2ep-19, -0x1.2f668328ccbfdp-19, -0x1.2cd397768b30fp-19, -0x1.29fd87947a145p-19, -0x1.27175167ba26dp-19, -0x1.240cd05787539p-19, -0x1.20dd8a9964283p-19, -0x1.1d9d5f35afa45p-19, -0x1.1a1fa55a47855p-19, -0x1.1694ff74eb8c7p-19, -0x1.12f234f1e7e62p-19, -0x1.0f3d1cef114bep-19, -0x1.0b6c17815d85bp-19, -0x1.077dcc40a3e8bp-19, -0x1.03824a0832869p-19, -0x1.fec8d8a99a309p-20, -0x1.f67f1fa14ae2p-20, -0x1.ee0cc1a71c933p-20, -0x1.e5724cb9d3f7bp-20, -0x1.dcde7b0d3b2e7p-20, -0x1.d405e01b83088p-20, -0x1.cb19b8dd9646dp-20, -0x1.c24b64d67e563p-20, -0x1.b947d67fde42ep-20, -0x1.afc924cf98fe7p-20, -0x1.a6846cf64bc49p-20, -0x1.9d2d8aafe4acfp-20, -0x1.93c3cc2f147dbp-20, -0x1.8a4a7f5c16d63p-20, -0x1.80c4efff524c9p-20, -0x1.7732655219d3bp-20, -0x1.6d9244560b3b2p-20, -0x1.63e4b180b3fa1p-20, -0x1.5a20ef3982889p-20, -0x1.508e144f50174p-20, -0x1.46c1f2f5a1771p-20, -0x1.3d1072be52a87p-20, -0x1.334f2d995cc8fp-20, -0x1.297b02f216027p-20, -0x1.1fad15c13b659p-20, -0x1.15b0ccd8eaefcp-20, -0x1.0c2b003850ec4p-20, -0x1.0262de9dc3b73p-20, -0x1.f115105943bf5p-21, -0x1.dda3373c4e8c5p-21, -0x1.ca45899980c16p-21, -0x1.b7060532d5344p-21, -0x1.a38ba4019f13bp-21, -0x1.904972449b292p-21, -0x1.7d24c00648cp-21, -0x1.69e0bbf99156bp-21, -0x1.56b2c14b38057p-21, -0x1.43ae165736273p-21, -0x1.30c3eb166492ap-21, -0x1.1df821e2f9bdep-21, -0x1.0b579503bcea1p-21, -0x1.f15ce18e98ecdp-22, -0x1.cc45aa49dd3edp-22, -0x1.a7350190821fep-22, -0x1.82a50f8c3985dp-22, -0x1.5e44f7cebc909p-22, -0x1.3a289b825396ep-22, -0x1.16626849c6c0ap-22, -0x1.e5c87bbd0d8b7p-23, -0x1.9e842c3b43bf6p-23, -0x1.586946061736ep-23, -0x1.12fc0d973a75fp-23, -0x1.9cecdf45d15cdp-24, -0x1.122ed8073fcedp-24, -0x1.155005f73620dp-25, -0x1.d6a74bdcf6c3ep-31, 0x1.09e62caa71d5ap-25, 0x1.0563482c5cbb3p-24, 0x1.881cc52a9c464p-24, 0x1.048c4e49eb334p-23, 0x1.448e8cdc978fap-23, 0x1.84615ef6e5c11p-23, 0x1.c33a95b545ce9p-23, 0x1.00aa34d3ebd02p-22, 0x1.210505c77c0c4p-22, 0x1.3df2a30fe2dadp-22, 0x1.5c30806d9d82p-22, 0x1.79d1484fe1561p-22, 0x1.974168c95e93p-22, 0x1.b4556e5040bcfp-22, 0x1.d1978f6153971p-22, 0x1.eced161eb84fp-22, 0x1.04807e665d8ddp-21, 0x1.1244e92661c99p-21, 0x1.1fdf6e949c999p-21, 0x1.2d73d919d2a1bp-21, 0x1.3abf6d5da7caep-21, 0x1.47ba2a2d1c38cp-21, 0x1.545cab24368bp-21, 0x1.6148823f0bce5p-21, 0x1.6dc6ebf9710ap-21, 0x1.7a21880a0384p-21, 0x1.8654c275a4a11p-21, 0x1.923f8a2c6c538p-21, 0x1.9e0d8e4d69effp-21, 0x1.a9b98458a8d0bp-21, 0x1.b51e121a755c1p-21, 0x1.c058c780e12b7p-21, 0x1.cb4246039206p-21, 0x1.d63c17e8d33bep-21, 0x1.e0d558a96eba5p-21, 0x1.eb6abb291dc9ep-21, 0x1.f5b3af69c2fb3p-21, 0x1.ffc6f48424ba1p-21, 0x1.04e59a032cb24p-20, 0x1.09ca8ea342319p-20, 0x1.0e942b358f16cp-20, 0x1.1344e22bd6497p-20, 0x1.17dea5f136d73p-20, 0x1.1c63122bc0401p-20, 0x1.20d5cba5f331fp-20, 0x1.252ab4370852dp-20, 0x1.296909867115fp-20, 0x1.2d90d0131607dp-20, 0x1.31aa98c3b73b9p-20, 0x1.359205a3233c5p-20, 0x1.39881464e857cp-20, 0x1.3d604ba3ce552p-20, 0x1.411dab01e151bp-20, 0x1.449f444922ec4p-20, 0x1.483e85abe56dbp-20, 0x1.4bb05d62f5191p-20, 0x1.4f4ea9f588e31p-20, 0x1.52820e873fc19p-20, 0x1.5589748d6cbf8p-20, 0x1.58792def848a3p-20, 0x1.5ba89111c3d4fp-20, 0x1.5ec26c145af69p-20, 0x1.61a63158d0339p-20, 0x1.64783db469944p-20, 0x1.6726b774bb8b8p-20, 0x1.69cc85493a734p-20, 0x1.6c70cd09f470cp-20, 0x1.6ed560f293e93p-20, 0x1.7135d9802390cp-20, 0x1.738f685880891p-20, 0x1.75d08982e1ffdp-20, 0x1.7802ef2f71bf2p-20, 0x1.7a2c98caa7f29p-20, 0x1.7c3124c57f4d3p-20, 0x1.7e2280701ab7ep-20, 0x1.7ff0356a22fe1p-20, 0x1.81b846a86824ap-20, 0x1.837cc4660cffep-20, 0x1.851a284a01866p-20, 0x1.86aec02174b43p-20, 0x1.882eb7bfc44a1p-20, 0x1.89a89dc3de1a3p-20, 0x1.8b0680edf467ep-20, 0x1.8c512cb63bfe7p-20, 0x1.8d8c0e94d0e3dp-20, 0x1.8eb6cecfaf553p-20, 0x1.8fd2157b0c0e5p-20, 0x1.90ddbfbe9ad2dp-20, 0x1.91db198e9b97ap-20, 0x1.92dc764dd5884p-20, 0x1.9394fdd67884cp-20, 0x1.9468599d16509p-20, 0x1.9518620d04663p-20, 0x1.95c0e172bf18bp-20, 0x1.9658604952e51p-20, 0x1.96d0965cb6323p-20, 0x1.975568e5678c5p-20, 0x1.97be8eb6f6be1p-20, 0x1.98118663b3fcap-20, 0x1.986cad9d4c90ap-20, 0x1.98a8cef14c409p-20, 0x1.98cbc6869d1b9p-20, 0x1.98c3e2787da8ep-20, 0x1.98fee9efa8a5ep-20, 0x1.99166a15c15d6p-20, 0x1.990fb35d8f92p-20, 0x1.98e9cc19c72fcp-20, 0x1.98d440653f32p-20, 0x1.989e14b524e6ap-20, 0x1.986a07258d855p-20, 0x1.981dd01c45cd9p-20, 0x1.9799e9bb801e6p-20, 0x1.975330e3e7866p-20, 0x1.96ea82567b0f4p-20, 0x1.967805eb10b27p-20, 0x1.95f210a98512p-20, 0x1.9561dc5d3da73p-20, 0x1.94bb3b556dbb9p-20, 0x1.940e924975581p-20, 0x1.93629763b1533p-20, 0x1.929871aaab6cp-20, 0x1.91d950780f65dp-20, 0x1.90ed77511a1e4p-20, 0x1.901a8e27c9da3p-20, 0x1.8f2ade4bfb131p-20, 0x1.8e36ddd11b989p-20, 0x1.8d3adac346bfdp-20, 0x1.8c35398daf07ap-20, 0x1.8b25cf3cb1385p-20, 0x1.8a0954bdecbc7p-20, 0x1.88eb3d2f426d6p-20, 0x1.87ab3d6762397p-20, 0x1.867d5a2e81c56p-20, 0x1.853fd3a04b6a3p-20, 0x1.83f801eced1bcp-20, 0x1.82a868312b562p-20, 0x1.814e056626dc6p-20, 0x1.7fe91d372099fp-20, 0x1.7e7e31e77c744p-20, 0x1.7d150e5fdb2fap-20, 0x1.7b93df41abda9p-20, 0x1.7a3aba405127p-20, 0x1.789209c73ea43p-20, 0x1.770a4b41f5c9p-20, 0x1.75743bc17452ap-20, 0x1.73d7c40021ef8p-20, 0x1.722d0882fc1acp-20, 0x1.7080d511be031p-20, 0x1.6ecd001fb7044p-20, 0x1.6d1cfe2d8d5bep-20, 0x1.6b49da6384807p-20, 0x1.6997c388a60bap-20, 0x1.67cd10a37cf5bp-20, 0x1.6612898ed19bcp-20, 0x1.6427165a4b6d7p-20, 0x1.625ceded12059p-20, 0x1.607ad0785e9ecp-20, 0x1.5e90b97a2eb5bp-20, 0x1.5ca9dcf1e1b26p-20, 0x1.5ac208c06441fp-20, 0x1.58bef4afb25c9p-20, 0x1.56c4d865e6ea2p-20, 0x1.54c3eebf75d6ep-20, 0x1.52cbd5d83a68fp-20, 0x1.50ce882ca5d1dp-20, 0x1.4eb75e53090e4p-20, 0x1.4cb6c0ffd7ed2p-20, 0x1.4a94b2556966dp-20, 0x1.488bc03ebb6bfp-20, 0x1.4671790f240a2p-20, 0x1.4458112cf9374p-20, 0x1.422999af6fd8p-20, 0x1.401371fd782bfp-20, 0x1.3ddea5861ee21p-20, 0x1.3bbcdc84bb617p-20, 0x1.398a23fb8a68ap-20, 0x1.37604e5c33796p-20, 0x1.35294b118d805p-20, 0x1.32fb83128b1cbp-20, 0x1.30c1d5ed8ea22p-20, 0x1.2e8d5a47f05p-20, 0x1.2c574df7f4c07p-20, 0x1.2a0928ea2beddp-20, 0x1.27ca68d7f2a2fp-20, 0x1.258448ed9c8ccp-20, 0x1.23528ecf5b3fap-20, 0x1.210854ef37266p-20, 0x1.1eaeaf2aeea28p-20, 0x1.1c6e6b3185625p-20, 0x1.1a2628e36ee41p-20, 0x1.17bea40fd491ap-20, 0x1.1585d028aefa8p-20, 0x1.133202af7c69fp-20, 0x1.10e8a81daeeabp-20, 0x1.0e9be9e2a3f55p-20, 0x1.0c51e5617817ap-20, 0x1.09f63e6e2fc68p-20, 0x1.079f08a5528b5p-20, 0x1.0543f927019e6p-20, 0x1.02f10bcefc23p-20, 0x1.009b3b92be43bp-20, 0x1.fc9553fded1f3p-21, 0x1.f7f706dbbdf73p-21, 0x1.f33bde7dead05p-21, 0x1.ee920a078a518p-21, 0x1.e9def694272ebp-21, 0x1.e52383436c483p-21, 0x1.e0809efae9421p-21, 0x1.dbc7250fb8366p-21, 0x1.d723f7800863fp-21, 0x1.d275fe660edc2p-21, 0x1.cdc42c180bfccp-21, 0x1.c9202c722d4a3p-21, 0x1.c478af516c7c9p-21, 0x1.bfbb5f1e83c47p-21, 0x1.bb28f50644e2cp-21, 0x1.b67734a6e6082p-21, 0x1.b1d793b021f9dp-21, 0x1.ad3f280d43b25p-21, 0x1.a89a4b9d63ccbp-21, 0x1.a3f0905318f09p-21, 0x1.9f4f0d0e880ap-21, 0x1.9ab44982b2db6p-21, 0x1.961d75e76a37fp-21, 0x1.9183a319c14e9p-21, 0x1.8cca7c17ffef1p-21, 0x1.885f5fbfe9b97p-21, 0x1.83dce15bf573cp-21, 0x1.7f3a91b4244aap-21, 0x1.7ac0f195d2efdp-21, 0x1.763491c200356p-21, 0x1.71a3c963c2864p-21, 0x1.6d1baa402b8d1p-21, 0x1.68a23aba655eep-21, 0x1.6426ad2398403p-21, 0x1.5fb7565b2a6c4p-21, 0x1.5b42c1f9813d2p-21, 0x1.56cc6e9e7e7e9p-21, 0x1.524b73b23a616p-21, 0x1.4df4be9222c73p-21, }}, 
      std::vector<double>(900, 0.0), 
      {{-0x1.73a80fbe9c623p-8, -0x1.a0c3053ecc9b5p-7, -0x1.475413faac889p-6, -0x1.a918324f722c8p-6, -0x1.e67616f90e42ap-6, -0x1.fbdc9ae73af93p-6, -0x1.ef059c8113f4ap-6, -0x1.cb7a6ba520e7fp-6, -0x1.9f632a1c5a97dp-6, -0x1.7919e47ad6107p-6, -0x1.658ce6dc0b236p-6, -0x1.6f510e92207f7p-6, -0x1.9e39c1ff38fa8p-6, -0x1.f74d8ce1be3dfp-6, -0x1.3e7ac45a3bf25p-5, -0x1.97a72208b2a4ap-5, -0x1.032216479012ep-4, -0x1.445332ed4ba3p-4, -0x1.8e476d0568601p-4, -0x1.dfabb09786ce3p-4, -0x1.1b866e5451f12p-3, -0x1.49743b23bd27cp-3, -0x1.78dd458d488afp-3, -0x1.a9046dbe3a8bcp-3, -0x1.d935c22e13c82p-3, -0x1.0464dd3013fe4p-2, -0x1.1b93bac7356bdp-2, -0x1.31e31380c0e5dp-2, -0x1.4716e8809b98ep-2, -0x1.5afbb90acd157p-2, -0x1.6d665f7ed72f9p-2, -0x1.7e33c37052848p-2, -0x1.8d486ad699448p-2, -0x1.9a8ff60ff7608p-2, -0x1.a5fc8c1873b82p-2, -0x1.af86418ad9235p-2, -0x1.b72a7a22645a6p-2, -0x1.bceb50965cf23p-2, -0x1.c0cefe8e8e471p-2, -0x1.c2df4ee27541cp-2, -0x1.c3291badae4d7p-2, -0x1.c1bbcd859f7e3p-2, -0x1.bea8eb37c9c08p-2, -0x1.ba03b8d90c3b3p-2, -0x1.b3e0d6dbdf194p-2, -0x1.ac55e8be0c9e9p-2, -0x1.a37950cbdc616p-2, -0x1.9961f353d6bffp-2, -0x1.8e26f72767c2ep-2, -0x1.81df8b136a7ebp-2, -0x1.74a2ba8a11483p-2, -0x1.66874d1b25eb6p-2, -0x1.57a3a5b1f4c08p-2, -0x1.480da1748fd7bp-2, -0x1.37da7a0e04edfp-2, -0x1.271eb10e6b47cp-2, -0x1.15ee02ebc93f9p-2, -0x1.045b5d8bd7d27p-2, -0x1.e4f1ae93f493ep-3, -0x1.c0af4c444c479p-3, -0x1.9c1031bdd07bbp-3, -0x1.773326269cbb5p-3, -0x1.523519c8963c9p-3, -0x1.2d312aa51b0c8p-3, -0x1.0840ab67db3a8p-3, -0x1.c6f65a7e4d555p-4, -0x1.7ded1125bbfc8p-4, -0x1.358dce7a8e2c3p-4, -0x1.dbfb3ffa9cd3p-5, -0x1.4ebccd0edb824p-5, -0x1.873bc987f2a85p-6, -0x1.d6b23cbedec01p-8, 0x1.2d9fa28da61f8p-7, 0x1.9ddfc6425a5a1p-6, 0x1.4f99f69dea13bp-5, 0x1.cd433b9f50325p-5, 0x1.23e6ae7a9f67p-4, 0x1.5f8f24b97df09p-4, 0x1.998ffc1967ceep-4, 0x1.d1e01857c23d3p-4, 0x1.043c0d8100c94p-3, 0x1.1ea929e9e8b98p-3, 0x1.38354b7dc0156p-3, 0x1.50df11e29895fp-3, 0x1.68a5c8c1e6b29p-3, 0x1.7f8951b77e727p-3, 0x1.958a2127e29cap-3, 0x1.aaa92c02ed805p-3, 0x1.bee7dcd1f54f2p-3, 0x1.d2480dc769cb8p-3, 0x1.e4cbf781d997ep-3, 0x1.f6762c54aceeap-3, 0x1.03a4c7aa54418p-2, 0x1.0ba4a3eb37403p-2, 0x1.133c5f120320cp-2, 0x1.1a6dc9298aaedp-2, 0x1.213ac9e605db7p-2, 0x1.27a55f1f3fdd3p-2, 0x1.2daf9874eaf7cp-2, 0x1.335b9508ed452p-2, 0x1.38ab8170be1c4p-2, 0x1.3da1945f5357bp-2, 0x1.42400d38e5e8fp-2, 0x1.468931d2a6b1fp-2, 0x1.4a7f4c8764a15p-2, 0x1.4e24aab868c88p-2, 0x1.517b9ad0d2463p-2, 0x1.54866b47f1f4fp-2, 0x1.5747691e1c85fp-2, 0x1.59c0de7640428p-2, 0x1.5bf511f457934p-2, 0x1.5de64519417f5p-2, 0x1.5f96b3d119f47p-2, 0x1.6108939cf78aap-2, 0x1.623e126aac0aap-2, 0x1.6339565dc1014p-2, 0x1.63fc7d0956659p-2, 0x1.64899ab0e9b33p-2, 0x1.64e2ba5ddfbf5p-2, 0x1.6509dcfb67758p-2, 0x1.6500f907e3dbep-2, 0x1.64c9fab9a1d1fp-2, 0x1.6466c353ef6b5p-2, 0x1.63d928f7b0726p-2, 0x1.6322f6d948ccap-2, 0x1.6245ecf4cbe5bp-2, 0x1.6143bf9ffff4p-2, 0x1.601e1844a9f2ap-2, 0x1.5ed694d654446p-2, 0x1.5d6ec7ae75bd2p-2, 0x1.5be83839d1d65p-2, 0x1.5a4462bdf9c6cp-2, 0x1.5884b81337ff4p-2, 0x1.56aa9e41117dep-2, 0x1.54b770becaabp-2, 0x1.52ac7ff22a29fp-2, 0x1.508b11b309875p-2, 0x1.4e5461c2b349ep-2, 0x1.4c09a1b1fff8bp-2, 0x1.49abf8b3444e1p-2, 0x1.473c846850df4p-2, 0x1.44bc58fcbb902p-2, 0x1.422c810946259p-2, 0x1.3f8dfdcc442dbp-2, 0x1.3ce1c7cb9a60fp-2, 0x1.3a28ced761bbbp-2, 0x1.3763fa0402865p-2, 0x1.349427f1695a9p-2, 0x1.31ba2f6c23244p-2, 0x1.2ed6df5bf5e85p-2, 0x1.2beafeb375ffp-2, 0x1.28f74cf63abccp-2, 0x1.25fc8298c84cbp-2, 0x1.22fb50fa6c44bp-2, 0x1.1ff4627868fc9p-2, 0x1.1ce85ab23308dp-2, 0x1.19d7d7216fa0ap-2, 0x1.16c36ef0eb71p-2, 0x1.13abb3108c4e5p-2, 0x1.10912e86f7cc7p-2, 0x1.0d7466d4a7389p-2, 0x1.0a55dc0731b9p-2, 0x1.073608bb24a76p-2, 0x1.04156249785afp-2, 0x1.00f4591a2d7c2p-2, 0x1.fba6b1dae447bp-3, 0x1.f565919014a6cp-3, 0x1.ef261621bcb53p-3, 0x1.e8e8fb981869cp-3, 0x1.e2aef5c383eb4p-3, 0x1.dc78b071e89bfp-3, 0x1.d646cf707081cp-3, 0x1.d019eec636004p-3, 0x1.c9f2a33d19682p-3, 0x1.c3d17a9ead51dp-3, 0x1.bdb6fc0ecbc0ep-3, 0x1.b7a3a7d822df4p-3, 0x1.b197f7dc16d3dp-3, 0x1.ab945fdb9a5bp-3, 0x1.a5994e063c6e3p-3, 0x1.9fa72a6bbd56ep-3, 0x1.99be57bad7ddfp-3, 0x1.93df33781d239p-3, 0x1.8e0a15afa6535p-3, 0x1.883f51ce1b674p-3, 0x1.827f3673844b4p-3, 0x1.7cca0d90437dp-3, 0x1.77201c9c75d48p-3, 0x1.7181a4d18d2a8p-3, 0x1.6beee351c6a89p-3, 0x1.6668116b8320bp-3, 0x1.60ed6478b6feap-3, 0x1.5b7f0e12fb004p-3, 0x1.561d3c5a72f24p-3, 0x1.50c819fbc9f7ep-3, 0x1.4b7fce7c3a897p-3, 0x1.46447e2164299p-3, 0x1.41164a0c36411p-3, 0x1.3bf5507032e0dp-3, 0x1.36e1acc1d09ap-3, 0x1.31db77bc717ecp-3, 0x1.2ce2c761c3ecbp-3, 0x1.27f7af50d3d94p-3, 0x1.231a40b034e78p-3, 0x1.1e4a8a3c10019p-3, 0x1.1988986d1f654p-3, 0x1.14d475ae5b045p-3, 0x1.102e2a4afbc34p-3, 0x1.0b95bc990c12fp-3, 0x1.070b30f0158f6p-3, 0x1.028e89d125ceep-3, 0x1.fc3f8ffa59476p-4, 0x1.f37dd50781579p-4, 0x1.ead7ddb6d44ep-4, 0x1.e24da1bc41c53p-4, 0x1.d9df15ad9a2cbp-4, 0x1.d18c2b88f3d31p-4, 0x1.c954d22877521p-4, 0x1.c138f6166d86p-4, 0x1.b9388124fe733p-4, 0x1.b1535addd3c7p-4, 0x1.a989685e6cbep-4, 0x1.a1da8c7567ed5p-4, 0x1.9a46a80b13889p-4, 0x1.92cd99b4acddcp-4, 0x1.8b6f3e7ac526bp-4, 0x1.842b7144e42e4p-4, 0x1.7d020b5b7c04bp-4, 0x1.75f2e43e2693fp-4, 0x1.6efdd20ba1109p-4, 0x1.6822a8f728f8dp-4, 0x1.61613c4fe9f72p-4, 0x1.5ab95d8c546c9p-4, 0x1.542add3fd32eap-4, 0x1.4db58a7fb35efp-4, 0x1.47593356cee1fp-4, 0x1.4115a4b4d9ffap-4, 0x1.3aeaaa8c7e592p-4, 0x1.34d80fb05c16fp-4, 0x1.2edd9e629585cp-4, 0x1.28fb1fc3779d6p-4, 0x1.23305c5f9c72fp-4, 0x1.1d7d1bd656edap-4, 0x1.17e12532af12ep-4, 0x1.125c3edfc5a61p-4, 0x1.0cee2e9cb5c6dp-4, 0x1.0796b9f45461bp-4, 0x1.0255a55d06a6dp-4, 0x1.fa556b396839p-5, 0x1.f02b5cea340dcp-5, 0x1.e62ca72639cc9p-5, 0x1.dc58d091223e1p-5, 0x1.d2af5f4ebd5p-5, 0x1.c92fd8bd1f888p-5, 0x1.bfd9c2b1474cep-5, 0x1.b6aca161ecdddp-5, 0x1.ada7fa010df63p-5, 0x1.a4cb50a8044a7p-5, 0x1.9c1629d84fec7p-5, 0x1.938809da4bf9p-5, 0x1.8b2074b3a2af4p-5, 0x1.82deeef2699c7p-5, 0x1.7ac2fcd4ad634p-5, 0x1.72cc2303740dfp-5, 0x1.6af9e64176c7p-5, 0x1.634bcb77e6d3ep-5, 0x1.5bc158586dc1p-5, 0x1.545a122b759dcp-5, 0x1.4d157f39b3f0ap-5, 0x1.45f32604cdba6p-5, 0x1.3ef28d6dbb292p-5, 0x1.38133d2291932p-5, 0x1.3154bd3caf947p-5, 0x1.2ab6963330ef5p-5, 0x1.243851a405277p-5, 0x1.1dd9790292e4ap-5, 0x1.17999788496f6p-5, 0x1.117837f88d9d5p-5, 0x1.0b74e6f9287c5p-5, 0x1.058f30d4ffad5p-5, 0x1.ff8d475b5cbb9p-6, 0x1.f4359b6c53844p-6, 0x1.e9167cc66128ap-6, 0x1.de2f0baa5173dp-6, 0x1.d37e6a91263c7p-6, 0x1.c903bd345cf89p-6, 0x1.bebe29140ba6ap-6, 0x1.b4acd6ac55ef5p-6, 0x1.aaceeec1ed4ffp-6, 0x1.a1239db07e2b2p-6, 0x1.97aa105fce6e3p-6, 0x1.8e61770487bb2p-6, 0x1.854902793efaep-6, 0x1.7c5fe7469824fp-6, 0x1.73a55a255e62fp-6, 0x1.6b1893cad49c4p-6, 0x1.62b8cd1bc040fp-6, 0x1.5a8542de5d78p-6, 0x1.527d337944a63p-6, 0x1.4a9fde825c77bp-6, 0x1.42ec871ad2313p-6, 0x1.3b6270c49597dp-6, 0x1.3400e415c1315p-6, 0x1.2cc7294a52874p-6, 0x1.25b48b41292e8p-6, 0x1.1ec857860c6c3p-6, 0x1.1801de6937b37p-6, 0x1.1160702673bc4p-6, 0x1.0ae3631a09f7p-6, 0x1.048a0a750f1cp-6, 0x1.fca784d61aee9p-7, 0x1.f07fc5afb7007p-7, 0x1.e49b9336102e2p-7, 0x1.d8f9aba272c37p-7, 0x1.cd98d18d0c34bp-7, 0x1.c277cb56bddc7p-7, 0x1.b795645ac59e1p-7, 0x1.acf06ba21f7edp-7, 0x1.a287b5475b64ep-7, 0x1.985a183fa51d1p-7, 0x1.8e66737d972abp-7, 0x1.84aba513673f3p-7, 0x1.7b28942d48e43p-7, 0x1.71dc2ad3f81ebp-7, 0x1.68c5555a5fb4ap-7, 0x1.5fe306c597c33p-7, 0x1.573433f760075p-7, 0x1.4eb7d69d309bep-7, 0x1.466ceb601a2dfp-7, 0x1.3e527444edbcep-7, 0x1.3667766bc5627p-7, 0x1.2eaafbfa4df47p-7, 0x1.271c1336a0adcp-7, 0x1.1fb9cf0af4489p-7, 0x1.1883460446326p-7, 0x1.11779427904e1p-7, 0x1.0a95d5b2a30fdp-7, 0x1.03dd2dd0cf1a4p-7, 0x1.fa997fcfa158bp-8, 0x1.edc76907cfc56p-8, 0x1.e1426a8f09f39p-8, 0x1.d508e37b5b4b2p-8, 0x1.c91938305488bp-8, 0x1.bd71d71596567p-8, 0x1.b211370604594p-8, 0x1.a6f5d8dd8ca51p-8, 0x1.9c1e4380b5a23p-8, 0x1.918905364ee89p-8, 0x1.8734b2c018aa3p-8, 0x1.7d1fe5053e5f7p-8, 0x1.734937bc2c547p-8, 0x1.69af4da01d4cbp-8, 0x1.6050cc9dbdfe8p-8, 0x1.572c5f5808a45p-8, 0x1.4e40bbc37a504p-8, 0x1.458c9b5a1a149p-8, 0x1.3d0ec4ca0851fp-8, 0x1.34c603dae7017p-8, 0x1.2cb12d7dd4381p-8, 0x1.24cf1df3854fap-8, 0x1.1d1eb3fe1e38dp-8, 0x1.159ed6a57a0dap-8, 0x1.0e4e6c6e7b739p-8, 0x1.072c61fbd54bbp-8, 0x1.0037a6adc42aap-8, 0x1.f2de56856b295p-9, 0x1.e5a3d242ee7dfp-9, 0x1.d8bdbb8c2b4cap-9, 0x1.cc2a0a5366b87p-9, 0x1.bfe6e66bd448ep-9, 0x1.b3f2610104c3bp-9, 0x1.a84aad1cdec3ap-9, 0x1.9cedffd1b13f4p-9, 0x1.91daa48a1e04p-9, 0x1.870eeaf501ecp-9, 0x1.7c8931b05ee75p-9, 0x1.7247de792145p-9, 0x1.684960275c215p-9, 0x1.5e8c27695cffcp-9, 0x1.550ea7c4f7307p-9, 0x1.4bcf54623c147p-9, 0x1.42cca3a722fcp-9, 0x1.3a0509010f274p-9, 0x1.3176fed3ea81ap-9, 0x1.29211a7943a4cp-9, 0x1.2101d68dd20b8p-9, 0x1.1917eb5f9f6e3p-9, 0x1.1162124d7f762p-9, 0x1.09df1db40a613p-9, 0x1.028df1d367e95p-9, 0x1.f6db00fc50a64p-10, 0x1.e8f97d6038922p-10, 0x1.db753640f1e38p-10, 0x1.ce4bf3ba1cd46p-10, 0x1.c17b5fb87cf65p-10, 0x1.b5010a8f2dc0ap-10, 0x1.a8da7800488b2p-10, 0x1.9d052fcb2523cp-10, 0x1.917ed26df70dcp-10, 0x1.8645284a0683bp-10, 0x1.7b562a88bac27p-10, 0x1.70b00df2b2dcbp-10, 0x1.66513bcca4bf3p-10, 0x1.5c3852ffeb7efp-10, 0x1.5263f86b11a46p-10, 0x1.48d2e5b0ac75fp-10, 0x1.3f83adaade378p-10, 0x1.3674d31460a4fp-10, 0x1.2da49180f4cb6p-10, 0x1.251111d341dd1p-10, 0x1.1cb8668c0c80ap-10, 0x1.1498ae54185f7p-10, 0x1.0cb026393cc36p-10, 0x1.04fd2a608929cp-10, 0x1.fafc8c223ad91p-11, 0x1.ec6434a50053fp-11, 0x1.de2ee4a8747e7p-11, 0x1.d05a5d55154f2p-11, 0x1.c2e4a37a8605ap-11, 0x1.b5cbe0dffa57fp-11, 0x1.a90e46ddf2892p-11, 0x1.9ca9cdc6f090bp-11, 0x1.909c42826669fp-11, 0x1.84e3225db6b43p-11, 0x1.797bde4435d12p-11, 0x1.6e63c34d1c61bp-11, 0x1.6398b5275208ep-11, 0x1.5918a12278efp-11, 0x1.4ee1c764f0a7dp-11, 0x1.44f264de47c44p-11, 0x1.3b48925ae1746p-11, 0x1.31e2263cd8e1ep-11, 0x1.28bd028a6c65p-11, 0x1.1fd6e52bc191dp-11, 0x1.172e245c38e65p-11, 0x1.0ec12af124f4bp-11, 0x1.068ec4b994e7dp-11, 0x1.fd2b7b9fdd9d3p-12, 0x1.eda96e4f9900cp-12, 0x1.de9443a96c017p-12, 0x1.cfe9193bcf44p-12, 0x1.c1a56d0921c35p-12, 0x1.b3c757690a5fcp-12, 0x1.a64d2d9fe124fp-12, 0x1.99355ebf3117cp-12, 0x1.8c7da43e5eb37p-12, 0x1.8022d275c2e3fp-12, 0x1.7420f174e382dp-12, 0x1.68739baee13b7p-12, 0x1.5d16b030e9af2p-12, 0x1.520702e50a052p-12, 0x1.4741ed018de14p-12, 0x1.3cc6ab8e86ed9p-12, 0x1.329415b0e16bep-12, 0x1.28a936be4f6f4p-12, 0x1.1f04c6d3ee66dp-12, 0x1.15a567c39c37cp-12, 0x1.0c89f4e7d6c72p-12, 0x1.03b193536df02p-12, 0x1.f636d516b9c23p-13, 0x1.e58c84d0f5a39p-13, 0x1.d56073753105bp-13, 0x1.c5ad7d5c2a0c9p-13, 0x1.b66db8b5069ep-13, 0x1.a79b3e0d2310bp-13, 0x1.9930c61aa11cp-13, 0x1.8b29dbd0db008p-13, 0x1.7d8304b66be4ap-13, 0x1.703997ad1d9e7p-13, 0x1.634bc38ff9218p-13, 0x1.56b7c7a6f5792p-13, 0x1.4a7d1ce3f9431p-13, 0x1.3e9b564ebb988p-13, 0x1.33124785f77c8p-13, 0x1.27e17e73d15fcp-13, 0x1.1d07aee17db2bp-13, 0x1.1282a614ed4ccp-13, 0x1.084f8bf6ab78p-13, 0x1.fcd5a4e33be4dp-14, 0x1.e9a15ffa5fe1bp-14, 0x1.d6f72d3f30bcap-14, 0x1.c4d0dd47bce94p-14, 0x1.b329b3fdc0e7ap-14, 0x1.a1ff75c068f81p-14, 0x1.9153c3fc19e5bp-14, 0x1.8123333ef881p-14, 0x1.716a022e29061p-14, 0x1.6222909ebabfep-14, 0x1.534894c95ece2p-14, 0x1.44da6134d90d8p-14, 0x1.36d98ea28a70dp-14, 0x1.29487266be188p-14, 0x1.1c272fa5d187dp-14, 0x1.0f71b8f23d06ep-14, 0x1.0322861a5522ep-14, 0x1.ee69f46f76878p-15, 0x1.d74beb3026ae4p-15, 0x1.c0e1cccbd4c65p-15, 0x1.ab1e4ecb29249p-15, 0x1.95f57cacd22dfp-15, 0x1.816215bb1209ep-15, 0x1.6d649bd7c6ddbp-15, 0x1.5a022002903bfp-15, 0x1.473c2e51b4a4fp-15, 0x1.35110664932f6p-15, 0x1.237adf49c4484p-15, 0x1.1273fc0e5056fp-15, 0x1.01f51e354f971p-15, 0x1.e3f0bae2f3ab2p-16, 0x1.c4f7145d5b1e6p-16, 0x1.a703cc05c0d4ep-16, 0x1.8a1531fb6a7d6p-16, 0x1.6e22f92ad2fdap-16, 0x1.531d97b448a5cp-16, 0x1.38fe0e379f9aep-16, 0x1.1fc7ecf3bf7p-16, 0x1.07711004b51a2p-16, 0x1.dfca1d8f45908p-17, 0x1.b22407ceb4a6p-17, 0x1.85dfe54d209c8p-17, 0x1.5afe9239b997ep-17, 0x1.31846a1db8a52p-17, 0x1.0981efd087e5fp-17, 0x1.c5d6a7ee6947fp-18, 0x1.7b8b3a6d5fbbdp-18, 0x1.341cf911cd8b7p-18, 0x1.df0e7c1a11cf5p-19, 0x1.5b3cd92ff2b7ep-19, 0x1.b81da1a59ae1dp-20, 0x1.847826653697bp-21, -0x1.54f9d97ef889ep-23, -0x1.0de76d05026fdp-20, -0x1.e8b42317c3c25p-20, -0x1.5d797198db1c6p-19, -0x1.c22ed1a59c7d1p-19, -0x1.112a6ec05d00cp-18, -0x1.3f1865dab497fp-18, -0x1.6b1b01deaa285p-18, -0x1.95646ca57beddp-18, -0x1.be10539c43923p-18, -0x1.e51e697db7ad6p-18, -0x1.053f8c4bdd4b7p-17, -0x1.1715ff5197ca8p-17, -0x1.2818cf33b258p-17, -0x1.384b0d3e783e5p-17, -0x1.47a39682108c2p-17, -0x1.562437ec1df6fp-17, -0x1.63d2b3caf9fc1p-17, -0x1.70c23377c2e49p-17, -0x1.7d0cb5d80be68p-17, -0x1.88bc46c4b5825p-17, -0x1.93d160cd632b4p-17, -0x1.9e335403f5a21p-17, -0x1.a7fed998e9638p-17, -0x1.b1304306a71d3p-17, -0x1.b9b79a3fcc931p-17, -0x1.c197679a3fd2p-17, -0x1.c8d9da545d63ep-17, -0x1.cf892e8a2fc25p-17, -0x1.d5b47343ccc1ep-17, -0x1.db6aecf02fa5cp-17, -0x1.e0ae8aa35797p-17, -0x1.e573df04bd393p-17, -0x1.e9b7c56b9c45bp-17, -0x1.ed8749c72af06p-17, -0x1.f0e3f9e612276p-17, -0x1.f3c66dfec8ab5p-17, -0x1.f62fed67ecf34p-17, -0x1.f82e144b2d371p-17, -0x1.f9c7f47d82012p-17, -0x1.faf511ff07952p-17, -0x1.fbc09ca426afep-17, -0x1.fc33bc36b75e4p-17, -0x1.fc4c63affde51p-17, -0x1.fc0e1603ac222p-17, -0x1.fb80e4590069dp-17, -0x1.fa991ae02e58dp-17, -0x1.f956a63a68e35p-17, -0x1.f7c24dae79731p-17, -0x1.f5de6d3ba33fdp-17, -0x1.f3a82337433p-17, -0x1.f121dd3a4ca79p-17, -0x1.ee630943b7d4bp-17, -0x1.eb63329cfddccp-17, -0x1.e822b56152ee4p-17, -0x1.e49e297644803p-17, -0x1.e0df08f7bb55cp-17, -0x1.dce4097950019p-17, -0x1.d8a85ef4e4f9bp-17, -0x1.d432137d8392dp-17, -0x1.cf85b80c9531bp-17, -0x1.caac17b7397e6p-17, -0x1.c59f96fd8386p-17, -0x1.c061e69fde7dep-17, -0x1.baecd37ab7299p-17, -0x1.b54c12e3b8e5bp-17, -0x1.af84cf1dadd45p-17, -0x1.a995856f5fb15p-17, -0x1.a37ebaae767abp-17, -0x1.9d3bd5a45e824p-17, -0x1.96d3f7ad9803ep-17, -0x1.904a14db3386p-17, -0x1.899e3d463a2e1p-17, -0x1.82d122db02435p-17, -0x1.7be101f829965p-17, -0x1.74d0d108e0d77p-17, -0x1.6da4b3ca8363fp-17, -0x1.66605d0b48f11p-17, -0x1.5f0296c382259p-17, -0x1.578d1af46da19p-17, -0x1.50002ae536c0ap-17, -0x1.485c9547be445p-17, -0x1.40a27097b8f37p-17, -0x1.38cfb5d38aa6ap-17, -0x1.30f01e739d9aap-17, -0x1.28ff5dfd08d98p-17, -0x1.20ff465b55703p-17, -0x1.18ef9cab15513p-17, -0x1.10ce91afb6e94p-17, -0x1.089f40adf316ap-17, -0x1.0066f4e07b60bp-17, -0x1.f04a60c40d975p-18, -0x1.dfaafcd9a91edp-18, -0x1.cefeb0be86321p-18, -0x1.be3f32feeb48cp-18, -0x1.ad73965e3e9bfp-18, -0x1.9c9adb822cf4fp-18, -0x1.8bb6885289e63p-18, -0x1.7ac98b41cf179p-18, -0x1.69ceae6a7ce9fp-18, -0x1.58d9549deda09p-18, -0x1.47d48b619e848p-18, -0x1.36ce9b370e91ap-18, -0x1.25cacee4523b1p-18, -0x1.14cba73677174p-18, -0x1.03cb2fe8a6da2p-18, -0x1.e5920f88429dfp-19, -0x1.c39f1a8c39e9bp-19, -0x1.a1b9d1c3e0b29p-19, -0x1.7fe21440636ecp-19, -0x1.5e1c594d1877dp-19, -0x1.3c6bbe254598ep-19, -0x1.1ad2a8a832a33p-19, -0x1.f2a376688d705p-20, -0x1.afd3baf930181p-20, -0x1.6d465bc9c8fe4p-20, -0x1.2afa6f88f787bp-20, -0x1.d1c8c9aa46bf1p-21, -0x1.4e591bbb3b6dap-21, -0x1.96e7103065c3fp-22, -0x1.24d1c57069026p-23, 0x1.c2e45ba239555p-24, 0x1.726d7267e6a5fp-22, 0x1.39696f939d3fdp-21, 0x1.b8c5d0f572f7ap-21, 0x1.1ba9efd83abb6p-20, 0x1.5a819ba0a6c79p-20, 0x1.9907e0a0e72e3p-20, 0x1.d7125ee8a7df8p-20, 0x1.0a55845af3beep-19, 0x1.28f1a49437461p-19, 0x1.4736f2ebd6c2fp-19, 0x1.654e6a7c6def8p-19, 0x1.8324399aca13bp-19, 0x1.a0b94d8e93024p-19, 0x1.be0dc234cb6bap-19, 0x1.db1dd3b3a3423p-19, 0x1.f7e99a7bf2a3ep-19, 0x1.0a44901b0a2eap-18, 0x1.185826f55951fp-18, 0x1.265456c75c145p-18, 0x1.342ba9673ad51p-18, 0x1.41de3313d9fb4p-18, 0x1.4f6c0bc541154p-18, 0x1.5cd91b41c1f7ap-18, 0x1.6a0f9c71c48c8p-18, 0x1.7728586325e61p-18, 0x1.84192da5070b4p-18, 0x1.90e247c8966ap-18, 0x1.9d8569e08acb5p-18, 0x1.a9ff07e31330fp-18, 0x1.b64d266f62435p-18, 0x1.c270702029c2dp-18, 0x1.ce7086159d524p-18, 0x1.da42c64ecf06dp-18, 0x1.e5eb77c7ad9ccp-18, 0x1.f16a3a122a39dp-18, 0x1.fcbd50efbd194p-18, 0x1.03f2dd5272482p-17, 0x1.0972347d5f34ap-17, 0x1.0edb0b3a8b28cp-17, 0x1.142dc566d04c6p-17, 0x1.196a60ee6007fp-17, 0x1.1e922b4a3e63bp-17, 0x1.23a2be16ef1dp-17, 0x1.289e4d8b711e3p-17, 0x1.2d82ee2dd586ep-17, 0x1.325104214f214p-17, 0x1.37099d7cce839p-17, 0x1.3baba8a3125e5p-17, 0x1.4037324b90a67p-17, 0x1.44ac37de95965p-17, 0x1.490ac43bba5cap-17, 0x1.4d52e73dec9cep-17, 0x1.5185115ab2372p-17, 0x1.55a020cb2dd14p-17, 0x1.59a4ef748d699p-17, 0x1.5d93459280547p-17, 0x1.616b742e23037p-17, 0x1.652bec073325dp-17, 0x1.68d79c1f4cd3cp-17, 0x1.6c6cc0567f54dp-17, 0x1.6feb174d3f1d4p-17, 0x1.735016c9186b4p-17, 0x1.76a39cd7a2f3ap-17, 0x1.79de61f4fef75p-17, 0x1.7d0881f0cc94bp-17, 0x1.80150c02264bp-17, 0x1.830aaeff6b29ep-17, 0x1.85ea3b92b0dc7p-17, 0x1.88ba66844d103p-17, 0x1.8b748e37e5dc3p-17, 0x1.8e160d585c89bp-17, 0x1.90a1eff1bf82fp-17, 0x1.9317a733e1895p-17, 0x1.9578682c424ap-17, 0x1.97c4a3830e44p-17, 0x1.99f96a3607f64p-17, 0x1.9c1978b93d5aep-17, 0x1.9e2527483431ap-17, 0x1.a01bb36c3657ap-17, 0x1.a1fd64cf22487p-17, 0x1.a3cabc8e17583p-17, 0x1.a582b33126427p-17, 0x1.a72620693b7c4p-17, 0x1.a8b47a3aee32dp-17, 0x1.aa2ede98a2cbbp-17, 0x1.ab960a9478716p-17, 0x1.ace8175b1c1acp-17, 0x1.ae26bc5247d27p-17, 0x1.af51257557da8p-17, 0x1.b068b2d5724e7p-17, 0x1.b16c2d171a768p-17, 0x1.b25c056e432dep-17, 0x1.b338eb1490ed6p-17, 0x1.b402c1aba513ap-17, 0x1.b4b9adde5e3e2p-17, 0x1.b55dd4ca2bec3p-17, 0x1.b5ef8c929096dp-17, 0x1.b67109ab33db7p-17, 0x1.b6daf84dcf562p-17, 0x1.b736437441502p-17, 0x1.b77e605521f23p-17, 0x1.b7b53d2ca4b87p-17, 0x1.b7da773fddaf6p-17, 0x1.b7ec504d4e432p-17, 0x1.b7f018528846ep-17, 0x1.b7e15cddc27dcp-17, 0x1.b7c107d346196p-17, 0x1.b791513e1de04p-17, 0x1.b74feef50d0aap-17, 0x1.b6fd6355dc606p-17, 0x1.b6971bc7be3f2p-17, 0x1.b628bcbd780b1p-17, 0x1.b5a812c03ab63p-17, 0x1.b516039aac5acp-17, 0x1.b4736a0904159p-17, 0x1.b3c341391f262p-17, 0x1.b302c319a0e92p-17, 0x1.b233cd72a7f58p-17, 0x1.b1558495cbf2p-17, 0x1.b065447892c53p-17, 0x1.af6cb4ac78fb3p-17, 0x1.ae63a19c17c71p-17, 0x1.ad4c95a1a3036p-17, 0x1.ac2639f01030ap-17, 0x1.aaf2d205d474bp-17, 0x1.a9b1524e75d12p-17, 0x1.a862a7db1c97cp-17, 0x1.a707714c75eedp-17, 0x1.a59de17bd2102p-17, 0x1.a428ef2e3792bp-17, 0x1.a2a4712c55844p-17, 0x1.a1174552ae75ep-17, 0x1.9f7bc283b7724p-17, 0x1.9dd4832997747p-17, 0x1.9c2163ee2996ap-17, 0x1.9a627ed6acd6ap-17, 0x1.989818ee75345p-17, 0x1.96c225aa5eeb4p-17, 0x1.94e1da4d5630ap-17, 0x1.92f446ecc4da2p-17, 0x1.90fd612e8c66p-17, 0x1.8efc4311363b2p-17, 0x1.8cf012e9046ddp-17, 0x1.8ad9b872922f4p-17, 0x1.88b92480fa597p-17, 0x1.868e77e761741p-17, 0x1.845a289880318p-17, 0x1.821cf220150efp-17, 0x1.7fd53b661181p-17, 0x1.7d895b069d30ap-17, 0x1.7b2b8883f3e87p-17, 0x1.78c9c0e79fe72p-17, 0x1.765ed2a58b744p-17, 0x1.73eb5ab961bap-17, 0x1.716f17a9f59c4p-17, 0x1.6eeb07f87e475p-17, 0x1.6c5f08fb5c5fcp-17, 0x1.69cbbd524c75bp-17, 0x1.672ce9a33f223p-17, 0x1.648d18478552bp-17, 0x1.61e2e759c21a2p-17, 0x1.5f34bc8d68944p-17, 0x1.5c794c7ad3624p-17, 0x1.59baa9a4735cbp-17, 0x1.56f4e9ac9558ap-17, 0x1.5428810b412ffp-17, 0x1.51563d10f379bp-17, 0x1.4e7ec836814a1p-17, 0x1.4b9eb19ad5992p-17, 0x1.48ba1fe447e5dp-17, 0x1.45cf9724d7e32p-17, 0x1.42e0d20ef72f8p-17, 0x1.3fec50027558bp-17, 0x1.3cf154f562967p-17, 0x1.39f2f372a7cb4p-17, 0x1.36ece0d46d3f1p-17, 0x1.33e5a276c9129p-17, 0x1.30d844ef5cca5p-17, 0x1.2dc6cd89d69c4p-17, 0x1.2aaf857d5c34dp-17, 0x1.2796a064eea84p-17, 0x1.24777d2632512p-17, 0x1.21563a91f0a67p-17, 0x1.1e301340ec574p-17, 0x1.1b07f7f9d21bap-17, 0x1.17da16b72592bp-17, 0x1.14ab370114e6cp-17, 0x1.1177e6606f84bp-17, 0x1.0e4247489ef89p-17, 0x1.0b0bcd3cac348p-17, 0x1.07cd3445a48aep-17, 0x1.048f1f4a6e0efp-17, 0x1.014e6620ec6f4p-17, 0x1.fc1a53c2d265fp-18, 0x1.f58fede7f8dbfp-18, 0x1.eeff0ce679f95p-18, 0x1.e86e7c24d3785p-18, 0x1.e1d98236960e7p-18, 0x1.db393edd7ff88p-18, 0x1.d4a3a0e034466p-18, 0x1.ce04019f78ad8p-18, 0x1.c7633ef70fd59p-18, 0x1.c0c01909090aep-18, 0x1.ba1ded1692f39p-18, 0x1.b3726c500aa3bp-18, 0x1.acc8461a49f5p-18, 0x1.a61c7c67cc85cp-18, 0x1.9f708c4ecf133p-18, 0x1.98c35dc502532p-18, 0x1.921639688a606p-18, 0x1.8b688b3a3d603p-18, 0x1.84b91d258d366p-18, 0x1.7e0a7c503bf61p-18, 0x1.775b8b190dbc7p-18, 0x1.70ab58a2c6bd5p-18, 0x1.69feaa5f363ecp-18, 0x1.6350cba2260adp-18, 0x1.5ca572ded0967p-18, 0x1.55f82e4526eb5p-18, 0x1.4f4f1dddc1efcp-18, 0x1.48a76e23af7f2p-18, 0x1.42015a0534039p-18, 0x1.3b5aa85b81256p-18, 0x1.34ba94ff99c96p-18, 0x1.2e1823759655p-18, 0x1.277a34602fa11p-18, 0x1.20df81462f23ep-18, 0x1.1a467ce6151b3p-18, 0x1.13b010ffdc71cp-18, 0x1.0d1d399f9cb02p-18, 0x1.068d51c4d76eep-18, 0x1.0002b423ccbe8p-18, 0x1.f2f38efaa389p-19, 0x1.e5e2091f6ae2ap-19, 0x1.d8e8de69368fdp-19, 0x1.cbf72dc9cf3ffp-19, 0x1.befc5b43b5f81p-19, 0x1.b2165e2e18e17p-19, 0x1.a536950f32dedp-19, 0x1.985fa7b6c7c62p-19, 0x1.8b91eec388187p-19, 0x1.7ed1f3e867fbp-19, 0x1.72170e2b5e077p-19, 0x1.656adb5e35927p-19, 0x1.58c74a4e62c8cp-19, 0x1.4c2dafe31e7c5p-19, 0x1.3f9083b5d5155p-19, 0x1.331df33b5d90bp-19, }}, 
      {{0x1.f984763cb10d5p-2, 0x1.0cf9f1c073a0cp-1, 0x1.0d1c46867bd0cp-1, 0x1.fc4f4f9ffa86ep-2, 0x1.ccb1b2b010064p-2, 0x1.98829a0cd0b35p-2, 0x1.6a02446c37c4ap-2, 0x1.47c8b9581819fp-2, 0x1.3526619e3ba34p-2, 0x1.32e48dba8edep-2, 0x1.400dc14ab2ddep-2, 0x1.5a99edf42320cp-2, 0x1.7ff37c22586bdp-2, 0x1.ad56c060fda47p-2, 0x1.e01219615e51dp-2, 0x1.0ad6e5b9a3b85p-1, 0x1.260107f31b3e5p-1, 0x1.40a0531ed1168p-1, 0x1.59fafe68462a6p-1, 0x1.718278cf433eap-1, 0x1.86cfaaf20e1cbp-1, 0x1.999e5b3baf876p-1, 0x1.a9c83b9a805b2p-1, 0x1.b73ffab7ff5fap-1, 0x1.c20c92ab5c381p-1, 0x1.ca44fa20c8159p-1, 0x1.d00c49c55f282p-1, 0x1.d38e5f5b4399ep-1, 0x1.d4fcfd762c896p-1, 0x1.d48d6320dfd5p-1, 0x1.d276524ab7eecp-1, 0x1.ceee7ac2cbfa9p-1, 0x1.ca2b3d8392a37p-1, 0x1.c45fbdc3f3adcp-1, 0x1.bdbc32cbee5d2p-1, 0x1.b66d71f34e27ap-1, 0x1.ae9ca503cb607p-1, 0x1.a66f25f3651c4p-1, 0x1.9e0677bc58c51p-1, 0x1.9580559e9c84ap-1, 0x1.8cf6d270cc474p-1, 0x1.8480865c08febp-1, 0x1.7c30c3b5ac516p-1, 0x1.7417cef1b2828p-1, 0x1.6c431d26b6aefp-1, 0x1.64bd93820fa31p-1, 0x1.5d8fc33957811p-1, 0x1.56c02333b34c2p-1, 0x1.50534b359d437p-1, 0x1.4a4c2cfc32176p-1, 0x1.44ac4713f5ba8p-1, 0x1.3f73d2e0f835bp-1, 0x1.3aa1f05b55c3ep-1, 0x1.3634d0aeb1939p-1, 0x1.3229dd1b3048ep-1, 0x1.2e7dd96a935c2p-1, 0x1.2b2d017ab6f6ap-1, 0x1.283323674db93p-1, 0x1.258bb811cb235p-1, 0x1.2331f9189f0c3p-1, 0x1.2120f5468e5ecp-1, 0x1.1f53a1ceb70f1p-1, 0x1.1dc4e92d2b40cp-1, 0x1.1c6fb78020b4dp-1, 0x1.1b4f052d2e067p-1, 0x1.1a5ddfef10cc9p-1, 0x1.199772dcb196ep-1, 0x1.18f70d19d6336p-1, 0x1.1878278a3674p-1, 0x1.1816693651384p-1, 0x1.17cdaaea660a5p-1, 0x1.1799f958c5e73p-1, 0x1.1777973cc0d04p-1, 0x1.1762fdd314c29p-1, 0x1.1758dda012cdbp-1, 0x1.17561e25e7f09p-1, 0x1.1757dd98a9feap-1, 0x1.175b6ff73e6c5p-1, 0x1.175e5dfb210fcp-1, 0x1.175e63e26bef8p-1, 0x1.17596fad4b63ap-1, 0x1.174d9facec9cbp-1, 0x1.1739405eae0b1p-1, 0x1.171aca73cf5ffp-1, 0x1.16f0e130e72d7p-1, 0x1.16ba4f91dc56p-1, 0x1.167606d7716f3p-1, 0x1.16231c4c490a6p-1, 0x1.15c0c6767a656p-1, 0x1.154e5c3f08a8ap-1, 0x1.14cb51b4884e7p-1, 0x1.143736c69e31dp-1, 0x1.1391b5552846p-1, 0x1.12da8edf2f7b1p-1, 0x1.12119b390bb5ep-1, 0x1.1136c696b528ap-1, 0x1.104a0fe672a14p-1, 0x1.0f4b87627660fp-1, 0x1.0e3b4d16014f2p-1, 0x1.0d198f2dc9b63p-1, 0x1.0be688f855407p-1, 0x1.0aa28173286f4p-1, 0x1.094dca233978dp-1, 0x1.07e8be03f157fp-1, 0x1.0673c0628d693p-1, 0x1.04ef3bf6cbf0bp-1, 0x1.035ba1ddf8a25p-1, 0x1.01b968d5ef17dp-1, 0x1.00090c5eb3ae9p-1, 0x1.fc96180719a87p-2, 0x1.f8ffd507d13fcp-2, 0x1.f5505b0f9795cp-2, 0x1.f188b8caac431p-2, 0x1.edaa00a023b41p-2, 0x1.e9b54671f70ccp-2, 0x1.e5ab9f3ff30fap-2, 0x1.e18e203b141a9p-2, 0x1.dd5dddb3ba7c2p-2, 0x1.d91beac1e2314p-2, 0x1.d4c9584e0ff36p-2, 0x1.d0673478ca0bp-2, 0x1.cbf68a5b27a54p-2, 0x1.c778612ba925ep-2, 0x1.c2edbbefd59ffp-2, 0x1.be5799461e4f6p-2, 0x1.b9b6f2eaa67c9p-2, 0x1.b50cbd338ac91p-2, 0x1.b059e761af657p-2, 0x1.ab9f5ac03447ep-2, 0x1.a6ddfaecf55e7p-2, 0x1.a216a58ab05eep-2, 0x1.9d4a3235a382cp-2, 0x1.98797222de33ap-2, 0x1.93a53070fcc8dp-2, 0x1.8ece31fd89dadp-2, 0x1.89f53537bc0c6p-2, 0x1.851af23284d43p-2, 0x1.80401abfbe326p-2, 0x1.7b655aaa2e73dp-2, 0x1.768b56f34a1fcp-2, 0x1.71b2aee8d9acfp-2, 0x1.6cdbfb8501899p-2, 0x1.6807cfcea558ap-2, 0x1.6336b8ad18f14p-2, 0x1.5e693d56d0fc3p-2, 0x1.599fdf539b2dcp-2, 0x1.54db1a4b00466p-2, 0x1.501b646fcfd83p-2, 0x1.4b612eb3b1e49p-2, 0x1.46ace48c8c3e7p-2, 0x1.41feec4590158p-2, 0x1.3d57a71fa583ep-2, 0x1.38b7718e6c238p-2, 0x1.341ea32785f48p-2, 0x1.2f8d8ec40acdp-2, 0x1.2b0482bc9be03p-2, 0x1.2683c90ce28c8p-2, 0x1.220ba76ee3028p-2, 0x1.1d9c5f6d435a1p-2, 0x1.19362e7696234p-2, 0x1.14d94e32e0c12p-2, 0x1.1085f48904cc6p-2, 0x1.0c3c53b0e8cfap-2, 0x1.07fc9a4662f77p-2, 0x1.03c6f393cec09p-2, 0x1.ff370f4195dccp-3, 0x1.f6f4f68f1e134p-3, 0x1.eec7e091bbe52p-3, 0x1.e6b00ad658d5ap-3, 0x1.deadad35a7cdfp-3, 0x1.d6c0fa8138cb1p-3, 0x1.ceea1fcb6e5aap-3, 0x1.c72945477c36ep-3, 0x1.bf7e8e425267p-3, 0x1.b7ea195000013p-3, 0x1.b06c00aca8dccp-3, 0x1.a9045a59356dbp-3, 0x1.a1b337ea029dbp-3, 0x1.9a78a71c2e949p-3, 0x1.9354b22c5adacp-3, 0x1.8c475f3ae49f8p-3, 0x1.8550b13425087p-3, 0x1.7e70a7e88ac5ep-3, 0x1.77a73f88993e5p-3, 0x1.70f47179f9215p-3, 0x1.6a583445516d4p-3, 0x1.63d27baeb2d1ep-3, 0x1.5d6338c45ee3p-3, 0x1.570a5a0a97fecp-3, 0x1.50c7cbc5e9938p-3, 0x1.4a9b77e827e28p-3, 0x1.448546318ccb6p-3, 0x1.3e851c5e6a99fp-3, 0x1.389ade35a6b2ap-3, 0x1.32c66da265222p-3, 0x1.2d07aad459571p-3, 0x1.275e746dbf4e1p-3, 0x1.21caa74b20c3cp-3, 0x1.1c4c1f114b245p-3, 0x1.16e2b5afbffbdp-3, 0x1.118e441233d19p-3, 0x1.0c4ea1baadbdbp-3, 0x1.0723a527c34e4p-3, 0x1.020d23bb3d031p-3, 0x1.fa15e3849ca82p-4, 0x1.f039c52ab6e1ap-4, 0x1.e685917ee62a4p-4, 0x1.dcf8ebe8f9398p-4, 0x1.d39376569dc5ep-4, 0x1.ca54d13b2f42fp-4, 0x1.c13c9bc3697b2p-4, 0x1.b84a73ed75d3dp-4, 0x1.af7df6e09e72fp-4, 0x1.a6d6c06e78598p-4, 0x1.9e546bc54c388p-4, 0x1.95f692d2e8e3fp-4, 0x1.8dbccfecf760fp-4, 0x1.85a6bb7bf1a1cp-4, 0x1.7db3ee290c615p-4, 0x1.75e3ffec83b98p-4, 0x1.6e36886874e33p-4, 0x1.66ab1ef0e0eebp-4, 0x1.5f415a88342eep-4, 0x1.57f8d20ff12fap-4, 0x1.50d11c4f75307p-4, 0x1.49c9cffd3893ap-4, 0x1.42e283d3914b2p-4, 0x1.3c1ace9d02a94p-4, 0x1.357247365d26ep-4, 0x1.2ee884cfed1b1p-4, 0x1.287d1e0bb4214p-4, 0x1.222fab5e98226p-4, 0x1.1bffc3f91d0cep-4, 0x1.15ed002f249f3p-4, 0x1.0ff6f895a5ccfp-4, 0x1.0a1d4619de1bfp-4, 0x1.045f8226bc68cp-4, 0x1.fd7a8d3c59ebep-5, 0x1.f26c5c1fafc4dp-5, 0x1.e793a68853013p-5, 0x1.dcefa4137c438p-5, 0x1.d27f8cc29867p-5, 0x1.c8429ab4bd0dep-5, 0x1.be3808ad54662p-5, 0x1.b45f1327d5f07p-5, 0x1.aab6f7a68fc55p-5, 0x1.a13ef65f14b6cp-5, 0x1.97f64ee69b851p-5, 0x1.8edc44a58d2a5p-5, 0x1.85f01b059652ap-5, 0x1.7d3117b543997p-5, 0x1.749e81e93eaeap-5, 0x1.6c37a2a580211p-5, 0x1.63fbc45d8d5c5p-5, 0x1.5bea335e6cfeep-5, 0x1.54023df3ecda9p-5, 0x1.4c4333c8da02fp-5, 0x1.44ac66b085e32p-5, 0x1.3d3d29d2e92e4p-5, 0x1.35f4d363abc67p-5, 0x1.2ed2b9044a456p-5, 0x1.27d634d46b71dp-5, 0x1.20fea1508cc3cp-5, 0x1.1a4b5b55b6f38p-5, 0x1.13bbc1260142bp-5, 0x1.0d4f33ea5f2edp-5, 0x1.070515dc85b4fp-5, 0x1.00dccacb690d7p-5, 0x1.f5ab72d1ddd76p-6, 0x1.e9de9386e63bfp-6, 0x1.de51cba34bf8p-6, 0x1.d303f319b2914p-6, 0x1.c7f3e5c199523p-6, 0x1.bd2083112013ap-6, 0x1.b288aea8074d4p-6, 0x1.a82b4f8d62884p-6, 0x1.9e0750d86d8e9p-6, 0x1.941ba14695f8dp-6, 0x1.8a67332913fdfp-6, 0x1.80e8fd52f5148p-6, 0x1.779ff98efea63p-6, 0x1.6e8b25de73498p-6, 0x1.65a98387c2bd7p-6, 0x1.5cfa1827dbaa9p-6, 0x1.547bec8936dfbp-6, 0x1.4c2e0d2672535p-6, 0x1.440f8a69bc9dep-6, 0x1.3c1f77fb7f485p-6, 0x1.345ced8b53fabp-6, 0x1.2cc7060545343p-6, 0x1.255ce0052aa5ap-6, 0x1.1e1d9d8d9cb3p-6, 0x1.17086476e1c24p-6, 0x1.101c5d565ef72p-6, 0x1.0958b50b8f388p-6, 0x1.02bc9b2f00572p-6, 0x1.f88e868de8bfep-7, 0x1.ebefc740180c2p-7, 0x1.df9b6d32f9c97p-7, 0x1.d38ff19e78d8ep-7, 0x1.c7cbd677d33e1p-7, 0x1.bc4da1f580c3dp-7, 0x1.b113e2be12f21p-7, 0x1.a61d2e410e00ep-7, 0x1.9b681aba83c2ep-7, 0x1.90f34b038ef07p-7, 0x1.86bd67e1db81ep-7, 0x1.7cc517d8cfe4ep-7, 0x1.730914c40e446p-7, 0x1.69880f5557a29p-7, 0x1.6040cc931ccfp-7, 0x1.57320de92c802p-7, 0x1.4e5a9c5457e4p-7, 0x1.45b94845d0501p-7, 0x1.3d4ce5e3f4d93p-7, 0x1.35144fb1ee4aap-7, 0x1.2d0e65818d63ep-7, 0x1.253a0c3cfec4ep-7, 0x1.1d962da65e52fp-7, 0x1.1621b9fc000c5p-7, 0x1.0edba5141a7c1p-7, 0x1.07c2e9bc7a9c3p-7, 0x1.00d6864133d63p-7, 0x1.f42afd2404711p-8, 0x1.e6fdb6ca67835p-8, 0x1.da235410f208dp-8, 0x1.cd99f814c5694p-8, 0x1.c15fcf99df776p-8, 0x1.b573113c83a5cp-8, 0x1.a9d1f9c1351dp-8, 0x1.9e7ad1acd113bp-8, 0x1.936bea0dd7bf3p-8, 0x1.88a39c7c2a2e7p-8, 0x1.7e204bb3c32ap-8, 0x1.73e0637313c27p-8, 0x1.69e25608510dp-8, 0x1.6024a118d615fp-8, 0x1.56a5c4b7f6655p-8, 0x1.4d644bee352f2p-8, 0x1.445ec61bdd53dp-8, 0x1.3b93cc477a2f6p-8, 0x1.3301fd6823de6p-8, 0x1.2aa800ed62176p-8, 0x1.22848760db9ffp-8, 0x1.1a964234efacp-8, 0x1.12dbf859400bap-8, 0x1.0b546bd2af3fbp-8, 0x1.03fe6a80868bap-8, 0x1.f9b18f433c414p-9, 0x1.ebc4b59ff10b9p-9, 0x1.de34075c823a4p-9, 0x1.d0fd43d913cd5p-9, 0x1.c41e3f500fef5p-9, 0x1.b794d572a8f47p-9, 0x1.ab5ef2bc0e4fcp-9, 0x1.9f7a84b75ef8fp-9, 0x1.93e59cbc2d76ep-9, 0x1.889e44e47cac5p-9, 0x1.7da29de638975p-9, 0x1.72f0d51cff912p-9, 0x1.68871de753246p-9, 0x1.5e63b44287081p-9, 0x1.5484e0da5185bp-9, 0x1.4ae8ee739bf2p-9, 0x1.418e31e422a3bp-9, 0x1.38730b1c7f32bp-9, 0x1.2f95dd340558cp-9, 0x1.26f51d566c091p-9, 0x1.1e8f35e607f1cp-9, 0x1.1662c221ad0e5p-9, 0x1.0e6e4052d7084p-9, 0x1.06b04d339563ep-9, 0x1.fe4f1b222597p-10, 0x1.efa5543ae751p-10, 0x1.e160aff0b49fp-10, 0x1.d37ea4289867dp-10, 0x1.c5fccb70c86b6p-10, 0x1.b8d8b0e5a926bp-10, 0x1.ac0ff9de07f57p-10, 0x1.9fa051fc653a9p-10, 0x1.93876a2cbdaa7p-10, 0x1.87c2f6ec647b9p-10, 0x1.7c50bdcfa7742p-10, 0x1.712e8126a582p-10, 0x1.665a31e4f131p-10, 0x1.5bd1a1ddde808p-10, 0x1.5192d9616a4b6p-10, 0x1.479c0290d1b3fp-10, 0x1.3deb4f270cfcdp-10, 0x1.347f081ada49bp-10, 0x1.2b558957bcb16p-10, 0x1.226d3c15d3cd8p-10, 0x1.19c481edf6143p-10, 0x1.1159b8f4366c6p-10, 0x1.092b33e093137p-10, 0x1.013740da6ed95p-10, 0x1.f2f85878a7647p-11, 0x1.e3f08f0d1b48cp-11, 0x1.d553f0c46d945p-11, 0x1.c71f5930dcf78p-11, 0x1.b94ff89f354cep-11, 0x1.abe32e1615473p-11, 0x1.9ed68c8a5a60bp-11, 0x1.9227fdad8c6fdp-11, 0x1.85d53095af9f5p-11, 0x1.79dc3ae67a8dfp-11, 0x1.6e3af096f43fap-11, 0x1.62ef182a15ea2p-11, 0x1.57f64f3012741p-11, 0x1.4d4e1efddfd0ap-11, 0x1.42f3ff1a147cdp-11, 0x1.38e57d276fb6ap-11, 0x1.2f204a66901d5p-11, 0x1.25a239457963ep-11, 0x1.1c693a04f43a7p-11, 0x1.1373768d8bc9bp-11, 0x1.0abf24caa1bc4p-11, 0x1.024aa8ef7f4c5p-11, 0x1.f428fd2db7e1bp-12, 0x1.e43674e21e879p-12, 0x1.d4bae02a9a979p-12, 0x1.c5b368bb1ba81p-12, 0x1.b71cdbde5d56bp-12, 0x1.a8f404726e677p-12, 0x1.9b35841cf0e23p-12, 0x1.8dddc2392a777p-12, 0x1.80ea2cab5b444p-12, 0x1.7457bb9fb30d5p-12, 0x1.68241a497aad7p-12, 0x1.5c4c86e13cf16p-12, 0x1.50ceab99390f3p-12, 0x1.45a7b1239677bp-12, 0x1.3ad4d4a35c95ap-12, 0x1.30535a3c39e15p-12, 0x1.2620e9c852c66p-12, 0x1.1c3b7727fb58dp-12, 0x1.12a1255807e29p-12, 0x1.095026177017ap-12, 0x1.0046904daf832p-12, 0x1.ef049c3feeb27p-13, 0x1.de02f9d200ed3p-13, 0x1.cd849b7733c45p-13, 0x1.bd8691371ab35p-13, 0x1.ae064cf67bc62p-13, 0x1.9f00fdd78d0bbp-13, 0x1.9073827ee38dp-13, 0x1.8259fe7a30e7ep-13, 0x1.74afd6a98839p-13, 0x1.677034736586ep-13, 0x1.5a9677037535bp-13, 0x1.4e1ef2c03a435p-13, 0x1.42067469c4ad9p-13, 0x1.364af7d812a1p-13, 0x1.2aeaf6dc49daep-13, 0x1.1fe484958b0f3p-13, 0x1.1535a644a84c9p-13, 0x1.0adc3d21fc43ep-13, 0x1.00d67511aaba7p-13, 0x1.ee45ced17daeap-14, 0x1.db7f9e7675fb3p-14, 0x1.c95699cdacb1p-14, 0x1.b7c6960d72e57p-14, 0x1.a6c953f16da27p-14, 0x1.96588008247c2p-14, 0x1.866dc5b64184ap-14, 0x1.770313d156015p-14, 0x1.6813a64b08b6dp-14, 0x1.599b32f0d20c8p-14, 0x1.4b96373151804p-14, 0x1.3e01b45fb8dd5p-14, 0x1.30db8d35db00cp-14, 0x1.2421b35866dbap-14, 0x1.17d2d56792a72p-14, 0x1.0bed84872ae48p-14, 0x1.00704af5ee5d9p-14, 0x1.eab216441828p-15, 0x1.d549de4379bcfp-15, 0x1.c0a12fc346baep-15, 0x1.acb019cf0513bp-15, 0x1.996f54d611386p-15, 0x1.86d26a40ba252p-15, 0x1.74d3d67ce02cbp-15, 0x1.636d9f5ba377p-15, 0x1.529c7409a98fbp-15, 0x1.425f87f8f4f35p-15, 0x1.32b2ac1776198p-15, 0x1.239128c18e4aep-15, 0x1.14f55d73a47b8p-15, 0x1.06d9c145159f8p-15, 0x1.f277b0461a2bap-16, 0x1.d837016c5cbadp-16, 0x1.bef2499ab2bb7p-16, 0x1.a6a64f75fc2d9p-16, 0x1.8f4ba6a2b5f1ep-16, 0x1.78d49b2a4878fp-16, 0x1.633929b71414cp-16, 0x1.4e711403f5515p-16, 0x1.3a730171af84ap-16, 0x1.2731f72a5d583p-16, 0x1.14a256bd9789fp-16, 0x1.02bfa0c3762a7p-16, 0x1.e30b67d4d0b8p-17, 0x1.c1ef2516b0bbcp-17, 0x1.a22a67b514047p-17, 0x1.83b3c7cd4f1b6p-17, 0x1.667d539f689b2p-17, 0x1.4a7fa736dbbap-17, 0x1.2fa7324ec2ad6p-17, 0x1.15e9e1d559cp-17, 0x1.fa7f417b0010bp-18, 0x1.cb541dc9e511cp-18, 0x1.9e49576e4cf4fp-18, 0x1.734fbc9a1ac68p-18, 0x1.4a41102a4dfe9p-18, 0x1.23195b5883d0fp-18, 0x1.fb9adce6ed319p-19, 0x1.b496502b537fbp-19, 0x1.70dca750224eap-19, 0x1.302f7c95fba3p-19, 0x1.e4ca873298cb1p-20, 0x1.6efb5fdd656c2p-20, 0x1.fdd7c6feef06ep-21, 0x1.294344b58f5f1p-21, 0x1.805a87eb1e06cp-23, -0x1.7764a8f943696p-23, -0x1.10ba4c29e3615p-21, -0x1.b8a9c03f5b3bcp-21, -0x1.2b32861e926cfp-20, -0x1.758e4a2ae0236p-20, -0x1.bbc088370146dp-20, -0x1.fd9ed6a0cf8fbp-20, -0x1.1d7cc3925ca23p-19, -0x1.3a3a9503830d6p-19, -0x1.54f2159f5e4ep-19, -0x1.6da74bec294dp-19, -0x1.8451c3b4ce75p-19, -0x1.9911569ede14fp-19, -0x1.ac1760580c014p-19, -0x1.bd8f91b8948dbp-19, -0x1.cd8f2aa48e60fp-19, -0x1.dc21259fef3cp-19, -0x1.e93f5aa60baf5p-19, -0x1.f4e5505481b19p-19, -0x1.ff24295adb1dcp-19, -0x1.04015ba8bfbf4p-18, -0x1.07ba6d216f71cp-18, -0x1.0ac8675050698p-18, -0x1.0d2a2cd9a457cp-18, -0x1.0eef8c2bb2016p-18, -0x1.1032acb1d9e78p-18, -0x1.10fe361113491p-18, -0x1.114b120976d79p-18, -0x1.11113c261f0eep-18, -0x1.1064868847928p-18, -0x1.0f43f5ba86b9p-18, -0x1.0da4fc5a90a9ep-18, -0x1.0b8c8ff778ce8p-18, -0x1.0901c1c7fa10fp-18, -0x1.060d8e3ed0fc5p-18, -0x1.02bf0fbe933a7p-18, -0x1.fe41af6f6cc0cp-19, -0x1.f669f8bc462fdp-19, -0x1.edebe19177c98p-19, -0x1.e4c687bc08663p-19, -0x1.db078a97c1a35p-19, -0x1.d0b9ca968708cp-19, -0x1.c5d222337cd69p-19, -0x1.ba55959b4704cp-19, -0x1.ae5748f6434e3p-19, -0x1.a1e883ba84475p-19, -0x1.94f7f1d0f4239p-19, -0x1.879fb2b86b964p-19, -0x1.79e753fa76647p-19, -0x1.6bd1042332913p-19, -0x1.5d62072fc7524p-19, -0x1.4ea9133620013p-19, -0x1.3f953d7511b39p-19, -0x1.302728608e8abp-19, -0x1.206d20f5ff14p-19, -0x1.106c5124b6594p-19, -0x1.001ee126abbd5p-19, -0x1.df0a46b4ae37ep-20, -0x1.bdb38044cad36p-20, -0x1.9bef83fa15638p-20, -0x1.79d21abb3943fp-20, -0x1.5752a763f61dcp-20, -0x1.3490101b41a59p-20, -0x1.118581451413bp-20, -0x1.dc4b1dc3249cep-21, -0x1.95080d027da05p-21, -0x1.4d468ae598649p-21, -0x1.058abafbb71bfp-21, -0x1.7ac0126c54d8ep-22, -0x1.d3d3c0430619ap-23, -0x1.615654ac2a1d5p-24, 0x1.cdf8c2225fb36p-25, 0x1.9805031f6a403p-23, 0x1.5d9343158939p-22, 0x1.efafbcad84bb2p-22, 0x1.410367946cb76p-21, 0x1.8a1fd63191638p-21, 0x1.d323d3a98e03p-21, 0x1.0e05d2d8e3c14p-20, 0x1.3268ab001d25p-20, 0x1.56c1e8e9ecca1p-20, 0x1.7b0951f3903ebp-20, 0x1.9f2ee94b0dacbp-20, 0x1.c32a964809466p-20, 0x1.e7010bbb98097p-20, 0x1.055493909ed42p-19, 0x1.17113b7a674a1p-19, 0x1.28b875aac95fdp-19, 0x1.3a4ef22784a29p-19, 0x1.4bca6479fb8f4p-19, 0x1.5d20cecc984cep-19, 0x1.6e5b5cf4d342bp-19, 0x1.7f76800d3216ep-19, 0x1.906fa0910109bp-19, 0x1.a14d35ba38d74p-19, 0x1.b20acaa72ee8ap-19, 0x1.c29df67ae65b9p-19, 0x1.d30a916e70d38p-19, 0x1.e358cc3e54d6dp-19, 0x1.f3799c78c30c7p-19, 0x1.01b9656add5e8p-18, 0x1.09a218558d3c9p-18, 0x1.1175865f73f13p-18, 0x1.19334c7806c46p-18, 0x1.20db924b3700cp-18, 0x1.28712a06d76edp-18, 0x1.2fe80145a53a5p-18, 0x1.375041363c2cp-18, 0x1.3ea078fb487ap-18, 0x1.45d6816a4d879p-18, 0x1.4cf240da1cefep-18, 0x1.53f3c0268afc9p-18, 0x1.5ae657e6ca928p-18, 0x1.61bc4ac572fabp-18, 0x1.6877e66035836p-18, 0x1.6f1b265607461p-18, 0x1.75a52be757001p-18, 0x1.7c1560e6bc741p-18, 0x1.826b7ca14f6e7p-18, 0x1.88a7906f1e015p-18, 0x1.8ec97716ebfb1p-18, 0x1.94d296f9c3fd6p-18, 0x1.9abfde6fcfe1dp-18, 0x1.a09338edaca55p-18, 0x1.a64f6fc19d948p-18, 0x1.abedf2859038fp-18, 0x1.b17141f327ea4p-18, 0x1.b6d9e2a905adbp-18, 0x1.bc27444ea457p-18, 0x1.c15baac2c1115p-18, 0x1.c673ed62fd399p-18, 0x1.cb709d711a59p-18, 0x1.d051c5a11ac77p-18, 0x1.d51be565b397dp-18, 0x1.d9c889c61b86dp-18, 0x1.de5aab67015dp-18, 0x1.e2d14c0c065a5p-18, 0x1.e72cacafdc17bp-18, 0x1.eb6da8c25db77p-18, 0x1.ef937a90a52a7p-18, 0x1.f39eae36bd3b6p-18, 0x1.f78f6bcc69e06p-18, 0x1.fb6522f6f26fdp-18, 0x1.ff1f539ce87f2p-18, 0x1.016255b5e6217p-17, 0x1.03236a1104234p-17, 0x1.04d95077f4991p-17, 0x1.06826ad365007p-17, 0x1.081e182f6764cp-17, 0x1.09aeec449fa5fp-17, 0x1.0b31ec4ef2241p-17, 0x1.0ca32315577dbp-17, 0x1.0e0ae59e3b69dp-17, 0x1.0f65f54ca1d6p-17, 0x1.10b4328959262p-17, 0x1.11f6245e9844ep-17, 0x1.132b5385e4a8fp-17, 0x1.1453d60a5f85p-17, 0x1.156f61e92212bp-17, 0x1.167fc5920a029p-17, 0x1.17834a244ba43p-17, 0x1.187ac143ec9bap-17, 0x1.1965f7fb3bee9p-17, 0x1.1a451e918d9b6p-17, 0x1.1b186b51b5498p-17, 0x1.1be0ce55720ccp-17, 0x1.1c9c730d168f4p-17, 0x1.1d4bd1a9540b6p-17, 0x1.1defd4db10617p-17, 0x1.1e88c3811fe1bp-17, 0x1.1f15fdf060a72p-17, 0x1.1f98f55020e47p-17, 0x1.2010f1010c7afp-17, 0x1.207c42f74aa39p-17, 0x1.20ddb5e384f1bp-17, 0x1.2134456c25a87p-17, 0x1.217fcf20b5704p-17, 0x1.21c083679ab78p-17, 0x1.21f6b249539abp-17, 0x1.222297dcfa4afp-17, 0x1.2243f7e6447c4p-17, 0x1.225b7eb96501fp-17, 0x1.2268baffa506bp-17, 0x1.226bd6db0f833p-17, 0x1.22651513a0a4dp-17, 0x1.2253f61ce75d5p-17, 0x1.223ad9c36e584p-17, 0x1.221730338d46ap-17, 0x1.21ea2b24a61c1p-17, 0x1.21b15377c6bfdp-17, 0x1.21741ce9365adp-17, 0x1.212bc9c251198p-17, 0x1.20db1f0eea02dp-17, 0x1.207ea7bbd6551p-17, 0x1.201a893a9cddep-17, 0x1.1fada7b80987cp-17, 0x1.1f399d23e00f7p-17, 0x1.1ebd56ef26addp-17, 0x1.1e383755550eap-17, 0x1.1daa972e36748p-17, 0x1.1d14a5a4280bfp-17, 0x1.1c77f66f7e6afp-17, 0x1.1bd32f573098cp-17, 0x1.1b24ed46ff6bp-17, 0x1.1a6ffd63da0dp-17, 0x1.19b409e299308p-17, 0x1.18f0c1d7a989cp-17, 0x1.18262e6a70413p-17, 0x1.1754b8ee44767p-17, 0x1.167bb5f2fb7fcp-17, 0x1.159bd44ab47e8p-17, 0x1.14b4db4210d7p-17, 0x1.13c79c277cbe1p-17, 0x1.12d3a9123bb43p-17, 0x1.11d920be21ae4p-17, 0x1.10d87547b5472p-17, 0x1.0fd17a0e5393ep-17, 0x1.0ec4c96c98c78p-17, 0x1.0db352699eea6p-17, 0x1.0c98a6099e2acp-17, 0x1.0b79d8c8660d8p-17, 0x1.0a5576c4fc42dp-17, 0x1.092b8488cb652p-17, 0x1.07fbced01efe9p-17, 0x1.06c81f7f530bbp-17, 0x1.058f851f0b9b8p-17, 0x1.044e27a236cbdp-17, 0x1.030a5066bbcebp-17, 0x1.01c161a6927bdp-17, 0x1.007382918f0a7p-17, 0x1.fe41ebd4553fbp-18, 0x1.fb91f7a07f83ap-18, 0x1.f8dc6b72d39eep-18, 0x1.f61c409914926p-18, 0x1.f352739ea6f5p-18, 0x1.f08394aba6248p-18, 0x1.edaab0d39b26ep-18, 0x1.eac7f9c553bdap-18, 0x1.e7dc07e089104p-18, 0x1.e4ef7bf932204p-18, 0x1.e1f7c5661d831p-18, 0x1.def8fc23fab5bp-18, 0x1.dbf2d3a478eb7p-18, 0x1.d8e58964fbb97p-18, 0x1.d5d29b6eefe5p-18, 0x1.d2b9c5f88d6e9p-18, 0x1.cf99966e0694bp-18, 0x1.cc74275ef951ep-18, 0x1.c9487abad8d31p-18, 0x1.c61924ef923d4p-18, 0x1.c2df2a61371a5p-18, 0x1.bfa5b13a662b9p-18, 0x1.bc62a7caecb7dp-18, 0x1.b91c723efbc83p-18, 0x1.b5d1791ca727bp-18, 0x1.b28214cdc9441p-18, 0x1.af2e224fd2499p-18, 0x1.abd61a58aec18p-18, 0x1.a876aae2cbae1p-18, 0x1.a51a3d185eccbp-18, 0x1.a1b56423054dcp-18, 0x1.9e4e2cdfdf78p-18, 0x1.9ae3b01798cc2p-18, 0x1.9775a53a8b05dp-18, 0x1.940449428769ep-18, 0x1.908ffe762c968p-18, 0x1.8d18ab80f6363p-18, 0x1.899efe19414a4p-18, 0x1.8622d27def4acp-18, 0x1.82a536ab40e16p-18, 0x1.7f2466e4905fp-18, 0x1.7ba21483c5fa7p-18, 0x1.781d0e5169756p-18, 0x1.74968353c58aap-18, 0x1.710ee9dbeea5bp-18, 0x1.6d86187c3bap-18, 0x1.69fa8e6ce1866p-18, 0x1.6672adf040c64p-18, 0x1.62e13d5683addp-18, 0x1.5f54de00888fcp-18, 0x1.5bc666f9bc68bp-18, 0x1.5836f5e4e722fp-18, 0x1.54a69b9ffcce8p-18, 0x1.5116748e760bfp-18, 0x1.4d8585f5d8a92p-18, 0x1.49f513d5a82d9p-18, 0x1.4662ddeacbd05p-18, 0x1.42d3601691231p-18, 0x1.3f42df7d1d38bp-18, 0x1.3bb71d859ca7bp-18, 0x1.382332188a354p-18, 0x1.34945d8c52b4p-18, 0x1.3104efefe6824p-18, 0x1.2d76abda263d5p-18, 0x1.29e9991243676p-18, 0x1.265d6d7ecf72ep-18, 0x1.22d204a959c87p-18, 0x1.1f47c78ea8efep-18, 0x1.1bbe589d54317p-18, 0x1.18392bb407545p-18, 0x1.14b32ccedf658p-18, 0x1.112de73024493p-18, 0x1.0dab78488365ep-18, 0x1.0a29fbe779262p-18, 0x1.06ab5ce4edc23p-18, 0x1.032dd38caf33bp-18, 0x1.ff655f6b833d6p-19, 0x1.f871edbec5511p-19, 0x1.f185536000028p-19, 0x1.ea99b46fa4b98p-19, 0x1.e3b74cd57e8e7p-19, 0x1.dcd779fa93cdp-19, 0x1.d5f95029740ep-19, 0x1.cf240c118c3a4p-19, 0x1.c854d00a93216p-19, 0x1.c18882bd0e052p-19, 0x1.bac47ff132e09p-19, 0x1.b40d650016dd5p-19, 0x1.ad47bb1adeac5p-19, 0x1.a694d1d66ee54p-19, 0x1.9fe6bb8b2126cp-19, 0x1.994183f4e3ad8p-19, 0x1.92a00b734e705p-19, 0x1.8c0364e2b45ap-19, 0x1.85704f8d36066p-19, 0x1.7ee357f8fa6c1p-19, 0x1.78578e47ac23bp-19, 0x1.71dced955c1d6p-19, 0x1.6b62dc93fc305p-19, 0x1.64f496eaed954p-19, 0x1.5e8b0d8cee894p-19, 0x1.582a445bca4d3p-19, 0x1.51cc97ba8a95ep-19, 0x1.4b77f2586c899p-19, 0x1.452bbb3a23e82p-19, 0x1.3ee7a6661bfdap-19, 0x1.38ac60809053bp-19, 0x1.32798ccc57f28p-19, 0x1.2c4d29fa7f6aep-19, 0x1.262a4af61cfb4p-19, 0x1.200c9772924cfp-19, 0x1.19fac5f87f6f9p-19, 0x1.13ed6984cb787p-19, 0x1.0decd5332f1b4p-19, 0x1.07f1ceaa97bdp-19, 0x1.0202cfb39b46dp-19, 0x1.f82e5dd748cd8p-20, 0x1.ec704639aafap-20, 0x1.e0c38501477a3p-20, 0x1.d5293bb613cb3p-20, 0x1.c99be239253e4p-20, 0x1.be2440a7424dbp-20, 0x1.b2bf3aa6d0ecap-20, 0x1.a76a9276b3d71p-20, 0x1.9c2a1af59e465p-20, 0x1.90fb7a2bcbf24p-20, 0x1.85dc5923f13b4p-20, 0x1.7ad1734ef7e6ap-20, 0x1.6fd898c6d3bc7p-20, 0x1.64f2aba20ae3p-20, 0x1.5a21b48baaafap-20, 0x1.4f5b25d7d932cp-20, 0x1.44b8575bc6187p-20, 0x1.3a2d08a675839p-20, 0x1.2f95decd0479dp-20, 0x1.25251d2377544p-20, 0x1.1ac5984a9db3ap-20, 0x1.1077acd5b3708p-20, 0x1.063c8077c272p-20, 0x1.f82bc75b11f17p-21, 0x1.e40a96a924a49p-21, 0x1.d00fa30ecada9p-21, 0x1.bc364128c76b3p-21, 0x1.a885a12957bfdp-21, 0x1.94ede6a4d9af1p-21, 0x1.818f730f68febp-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.374daf3180b2cp-1, -0x1.374cf23796c66p-1, -0x1.374b76f07b728p-1, -0x1.374912d785bf8p-1, -0x1.3745c974a9b0ep-1, -0x1.3741db5e3e823p-1, -0x1.373dc4ad65ef9p-1, -0x1.373a2f95e5e9cp-1, -0x1.3737e02829e63p-1, -0x1.37379d6a75bdap-1, -0x1.373a1ad60bb69p-1, -0x1.373fe43ceadf5p-1, -0x1.37494d4735031p-1, -0x1.375665152a819p-1, -0x1.3766ee1d4674ep-1, -0x1.377a5a0d8a0a5p-1, -0x1.378fc9440f97p-1, -0x1.37a60d56d0418p-1, -0x1.37bbae177458cp-1, -0x1.37cef080f265p-1, -0x1.37dddf05da6adp-1, -0x1.37e652c41269fp-1, -0x1.37e5fd333dc9fp-1, -0x1.37da71f449edfp-1, -0x1.37c1307965aefp-1, -0x1.3797ad4d5bc3p-1, -0x1.375b5acf5703dp-1, -0x1.3709b144644e9p-1, -0x1.36a0362a79ee3p-1, -0x1.361c82c17f029p-1, -0x1.357c49c5de7afp-1, -0x1.34bd5c5dcfd3fp-1, -0x1.33ddae3ed3df5p-1, -0x1.32db59142744cp-1, -0x1.31b49f3136ad8p-1, -0x1.3067ed9cbae26p-1, -0x1.2ef3dd820c761p-1, -0x1.2d573516b3c97p-1, -0x1.2b90e8024a7e3p-1, -0x1.29a01756828cep-1, -0x1.27841124af938p-1, -0x1.253c4fbd8f827p-1, -0x1.22c878a750465p-1, -0x1.20285b55018fep-1, -0x1.1d5befa9c62afp-1, -0x1.1a6354513ce11p-1, -0x1.173eccf5bddep-1, -0x1.13eec05c300efp-1, -0x1.1073b66c7284bp-1, -0x1.0cce562c8d892p-1, -0x1.08ff63b426d4p-1, -0x1.0507be1d0eb25p-1, -0x1.00e85d75149ddp-1, -0x1.f944a1698a745p-2, -0x1.f06d777c5a39bp-2, -0x1.e74daacc7cd24p-2, -0x1.dde7cb161daf8p-2, -0x1.d43e867170e0ep-2, -0x1.ca54a5bcb1e6fp-2, -0x1.c02d0928a4711p-2, -0x1.b5caa4e95c053p-2, -0x1.ab307e0c90773p-2, -0x1.a061a776540d1p-2, -0x1.95613f04a7c77p-2, -0x1.8a326ada11dd9p-2, -0x1.7ed856cf17a57p-2, -0x1.7356320a3c575p-2, -0x1.67af2cbdf157fp-2, -0x1.5be6760bc3b7dp-2, -0x1.4fff3a0bd9d83p-2, -0x1.43fc9ff7d115cp-2, -0x1.37e1c877de07ep-2, -0x1.2bb1cc110758fp-2, -0x1.1f6fb9b34c308p-2, -0x1.131e95666f694p-2, -0x1.06c157142a089p-2, -0x1.f4b5d2dce11e1p-3, -0x1.dbdc51e11a4f4p-3, -0x1.c2fbc5f3757a5p-3, -0x1.aa19aa000516p-3, -0x1.913b57b42f2bap-3, -0x1.7866063dea4abp-3, -0x1.5f9ec93419a75p-3, -0x1.46ea8fa5b07d3p-3, -0x1.2e4e234d4f62p-3, -0x1.15ce27e73a2a1p-3, -0x1.fade354ecc779p-4, -0x1.ca6aa39b74073p-4, -0x1.9a49f8acc82e1p-4, -0x1.6a844388f46cap-4, -0x1.3b21440a17e91p-4, -0x1.0c286ad1d599fp-4, -0x1.bb41b2ce17537p-5, -0x1.5f22c4f515306p-5, -0x1.0401149f9a839p-5, -0x1.53d21d1b6dacep-6, -0x1.439a142571b1p-7, 0x1.bed3a442d0d98p-11, 0x1.76c7285be2919p-7, 0x1.6665c14b37451p-6, 0x1.0775188d92f3cp-5, 0x1.5a6f89186e29cp-5, 0x1.ac19d82be8cc4p-5, 0x1.fc6c37ce65cf2p-5, 0x1.25afb1c805dbep-4, 0x1.4c764eedd3ee5p-4, 0x1.7286d6992dd26p-4, 0x1.97de6caa64197p-4, 0x1.bc7a742e2c9bep-4, 0x1.e0588de38d6e5p-4, 0x1.01bb4b5e18454p-3, 0x1.12e9532c15f5ep-3, 0x1.23b586bf163f9p-3, 0x1.341f2a488a4abp-3, 0x1.44259d01d6dfep-3, 0x1.53c85865b4d4bp-3, 0x1.6306ef696ba62p-3, 0x1.71e10db6364acp-3, 0x1.805676e333005p-3, 0x1.8e6705b013bb3p-3, 0x1.9c12ab40e64cfp-3, 0x1.a9596e5b211f1p-3, 0x1.b63b6aa43bbf9p-3, 0x1.c2b8cfe2001dep-3, 0x1.ced1e13cc4d6ep-3, 0x1.da86f483c4778p-3, 0x1.e5d87173a973ep-3, 0x1.f0c6d0ff8801cp-3, 0x1.fb529c9c4f816p-3, 0x1.02be36c775e0bp-2, 0x1.07a2761e8b0ecp-2, 0x1.0c5667c07fe7ep-2, 0x1.10da6dfff2337p-2, 0x1.152ef1c1cbdf1p-2, 0x1.1954622b91678p-2, 0x1.1d4b34533c14p-2, 0x1.2113e2f0a69e6p-2, 0x1.24aeee1095f31p-2, 0x1.281cdac95d99ep-2, 0x1.2b5e32f121f9ep-2, 0x1.2e7384d5c2257p-2, 0x1.315d62f6661a2p-2, 0x1.341c63beb255dp-2, 0x1.36b12143a4b6ep-2, 0x1.391c39021b169p-2, 0x1.3b5e4b9efd068p-2, 0x1.3d77fca9125ccp-2, 0x1.3f69f25c7b205p-2, 0x1.4134d567cf6e2p-2, 0x1.42d950b2dd39p-2, 0x1.445811270a7e5p-2, 0x1.45b1c579515fap-2, 0x1.46e71df5d623p-2, 0x1.47f8cc4d14e5dp-2, 0x1.48e78362a22bdp-2, 0x1.49b3f71d7974fp-2, 0x1.4a5edc39d490fp-2, 0x1.4ae8e81c8de58p-2, 0x1.4b52d0a800747p-2, 0x1.4b9d4c1263df3p-2, 0x1.4bc910bda4d96p-2, 0x1.4bd6d510a9c31p-2, 0x1.4bc74f520ae62p-2, 0x1.4b9b35842e80dp-2, 0x1.4b533d42c5897p-2, 0x1.4af01ba1abce9p-2, 0x1.4a72850d15e76p-2, 0x1.49db2d2b17f28p-2, 0x1.492ac6be71c91p-2, 0x1.4862038aa1f8ap-2, 0x1.4781943937988p-2, 0x1.468a28405db41p-2, 0x1.457c6dca954a8p-2, 0x1.4459119f9fa75p-2, 0x1.4320bf0e8da35p-2, 0x1.41d41fd8ea92bp-2, 0x1.4073dc1f0663fp-2, 0x1.3f009a4d4c773p-2, 0x1.3d7aff0aadc76p-2, 0x1.3be3ad280a999p-2, 0x1.3a3b45909fa91p-2, 0x1.3882673b6cb14p-2, 0x1.36b9af1d8c6c1p-2, 0x1.34e1b81d7c419p-2, 0x1.32fb1b074839dp-2, 0x1.31066e8197ac9p-2, 0x1.2f04470395d72p-2, 0x1.2cf536cbae6fbp-2, 0x1.2ad9cdd715686p-2, 0x1.28b299da1ac44p-2, 0x1.268026393dbd5p-2, 0x1.2442fc02fde92p-2, 0x1.21fba1ea611f9p-2, 0x1.1faa9c422a2f8p-2, 0x1.1d506cf8bcdb7p-2, 0x1.1aed9394a10bbp-2, 0x1.18828d31ae024p-2, 0x1.160fd47ec721bp-2, 0x1.1395e1bc31c15p-2, 0x1.11152aba7c249p-2, 0x1.0e8e22d9e7f2p-2, 0x1.0c013b0a60868p-2, 0x1.096ee1cbeaab3p-2, 0x1.06d7832f9527fp-2, 0x1.043b88d8d90c5p-2, 0x1.019b59ff6da2dp-2, 0x1.fdeeb6e315928p-3, 0x1.f89fdf2d1c79dp-3, 0x1.f34aece40a5bep-3, 0x1.edf09b4e2eea7p-3, 0x1.e891a0f88d96ap-3, 0x1.e32eafbf13d4dp-3, 0x1.ddc874d5686e3p-3, 0x1.d85f98d05bca5p-3, 0x1.d2f4bfafe879cp-3, 0x1.cd8888e9bcf94p-3, 0x1.c81b8f744cea9p-3, 0x1.c2ae69d25ace9p-3, 0x1.bd41aa1ef6bccp-3, 0x1.b7d5de19edb1ap-3, 0x1.b26b8f3498bd7p-3, 0x1.ad03429f1079ep-3, 0x1.a79d7955bdbccp-3, 0x1.a23ab02f326adp-3, 0x1.9cdb5fea5a41cp-3, 0x1.977ffd3ce933ap-3, 0x1.9228f8e212c4ep-3, 0x1.8cd6bfa9754fcp-3, 0x1.8789ba8642da8p-3, 0x1.82424e9e9345p-3, 0x1.7d00dd5ae4333p-3, 0x1.77c5c475c3313p-3, 0x1.72915e0b931afp-3, 0x1.6d6400aa75952p-3, 0x1.683dff6248c04p-3, 0x1.631fa9d4b5a36p-3, 0x1.5e094c455abb6p-3, 0x1.58fb2fa9f68afp-3, 0x1.53f599baa03d6p-3, 0x1.4ef8cd02020b8p-3, 0x1.4a0508ed9c6c8p-3, 0x1.451a89ddf890ap-3, 0x1.40398936e80cep-3, 0x1.3b623d6fa7809p-3, 0x1.3694da230924ep-3, 0x1.31d1901f8093ap-3, 0x1.2d188d7727844p-3, 0x1.2869fd8faac8cp-3, 0x1.23c6093223103p-3, 0x1.1f2cd69ad0a19p-3, 0x1.1a9e8988c0386p-3, 0x1.161b434d52dap-3, 0x1.11a322dba35d5p-3, 0x1.0d3644d7ceeb5p-3, 0x1.08d4c3a615093p-3, 0x1.047eb779dc5e2p-3, 0x1.003436648637p-3, 0x1.f7eaa8c846815p-4, 0x1.ef8446e3f3471p-4, 0x1.e7356721cc5c3p-4, 0x1.defe25b71879cp-4, 0x1.d6de9b24ba58dp-4, 0x1.ced6dc52db4f7p-4, 0x1.c6e6faac45018p-4, 0x1.bf0f04395346p-4, 0x1.b74f03ba81c61p-4, 0x1.afa700c2a1a5dp-4, 0x1.a816ffd0a761ep-4, 0x1.a09f026908166p-4, 0x1.993f072ecc00bp-4, 0x1.91f709fc17f76p-4, 0x1.8ac703fa6c1cbp-4, 0x1.83aeebba6af12p-4, 0x1.7caeb54b3a8a6p-4, 0x1.75c652517cf06p-4, 0x1.6ef5b21dde65ap-4, 0x1.683cc1c33bb7bp-4, 0x1.619b6c2c59069p-4, 0x1.5b119a3131fcp-4, 0x1.549f32abe1298p-4, 0x1.4e441a8d1a53fp-4, 0x1.480034f039427p-4, 0x1.41d3632eeb65p-4, 0x1.3bbd84f46cc39p-4, 0x1.35be78505e5c5p-4, 0x1.2fd619c92f709p-4, 0x1.2a04446e236b9p-4, 0x1.2448d1e8ef773p-4, 0x1.1ea39a8ef126bp-4, 0x1.19147571fc48p-4, 0x1.139b3870c799p-4, 0x1.0e37b846f455p-4, 0x1.08e9c89caed8bp-4, 0x1.03b13c15f2e99p-4, 0x1.fd1bc8c2ccdffp-5, 0x1.f2ff248db6008p-5, 0x1.e90c2b6ada727p-5, 0x1.df427ba28397ep-5, 0x1.d5a1b201d3b25p-5, 0x1.cc2969f4d531cp-5, 0x1.c2d93d9fd03dap-5, 0x1.b9b0c5f7ed818p-5, 0x1.b0af9adb2696bp-5, 0x1.a7d55327889efp-5, 0x1.9f2184d1cd482p-5, 0x1.9693c4fb40b9p-5, 0x1.8e2ba8070e175p-5, 0x1.85e8c1aed7341p-5, 0x1.7dcaa516b4ed8p-5, 0x1.75d0e4e0944f5p-5, 0x1.6dfb133ef8892p-5, 0x1.6648c2071f44ep-5, 0x1.5eb982c28e0c4p-5, 0x1.574ce6c00daa3p-5, 0x1.50027f241112p-5, 0x1.48d9dcf88af6ep-5, 0x1.41d2913c364c6p-5, 0x1.3aec2cf15cf27p-5, 0x1.3426412c0a9b3p-5, 0x1.2d805f1fc1baep-5, 0x1.26fa182cab78ap-5, 0x1.2092fdec48f54p-5, 0x1.1a4aa23dae5a1p-5, 0x1.1420975133471p-5, 0x1.0e146fb3bcde5p-5, 0x1.0825be5989d95p-5, 0x1.025416a88866ep-5, 0x1.f93e1904919f6p-6, 0x1.ee0c689aed71bp-6, 0x1.e31245fddda75p-6, 0x1.d84edc44d1c6dp-6, 0x1.cdc157c57287fp-6, 0x1.c368e6236deadp-6, 0x1.b944b65f719ccp-6, 0x1.af53f8e575709p-6, 0x1.a595df9a47247p-6, 0x1.9c099de85af8dp-6, 0x1.92ae68cbf9bacp-6, 0x1.898376dec31aap-6, 0x1.80880062817f4p-6, 0x1.77bb3f4b62554p-6, 0x1.6f1c6f499cb4ap-6, 0x1.66aacdd265fdep-6, 0x1.5e659a28600f7p-6, 0x1.564c15638498cp-6, 0x1.4e5d82786b0f1p-6, 0x1.4699263f164dep-6, 0x1.3efe477947c62p-6, 0x1.378c2ed82eb84p-6, 0x1.30422701cc222p-6, 0x1.291f7c95b4208p-6, 0x1.22237e317759ep-6, 0x1.1b4d7c7488d2fp-6, 0x1.149cca03c62b3p-6, 0x1.0e10bb8c8ff77p-6, 0x1.07a8a7c775bd9p-6, 0x1.0163e77a8aaebp-6, 0x1.f683aaf69a9dbp-7, 0x1.ea839d60890b5p-7, 0x1.dec664246d4bdp-7, 0x1.d34ac15a2bbbdp-7, 0x1.c80f7b411b50cp-7, 0x1.bd135c4084433p-7, 0x1.b25532e7a8801p-7, 0x1.a7d3d1ed087abp-7, 0x1.9d8e102d3e70ep-7, 0x1.9382c8a94a216p-7, 0x1.89b0da844cf59p-7, 0x1.80172900ca515p-7, 0x1.76b49b7d8dd07p-7, 0x1.6d881d71efab9p-7, 0x1.64909e69c8e3bp-7, 0x1.5bcd1200fb107p-7, 0x1.533c6fde9e1b4p-7, 0x1.4addb3afa40eep-7, 0x1.42afdd215a6b6p-7, 0x1.3ab1efdb62ae3p-7, 0x1.32e2f3796a897p-7, 0x1.2b41f384b0bc5p-7, 0x1.23cdff6d05c48p-7, 0x1.1c862a81bb402p-7, 0x1.15698bea30839p-7, 0x1.0e773e9e2c188p-7, 0x1.07ae615df750bp-7, 0x1.010e16aa39637p-7, 0x1.f52b0977517c6p-8, 0x1.e887aaf4f5803p-8, 0x1.dc306ceb93c71p-8, 0x1.d023b1b5330edp-8, 0x1.c45fe2d5c6dccp-8, 0x1.b8e370e8bc9fbp-8, 0x1.adacd38e53566p-8, 0x1.a2ba8958c7956p-8, 0x1.980b17b93224dp-8, 0x1.8d9d0aec33ac2p-8, 0x1.836ef5e665896p-8, 0x1.797f7240c78ffp-8, 0x1.6fcd2024cd3cp-8, 0x1.6656a6386f66p-8, 0x1.5d1ab189fb417p-8, 0x1.5417f57bfd38ap-8, 0x1.4b4d2bb0d1fe9p-8, 0x1.42b913f6692aap-8, 0x1.3a5a7431c1bep-8, 0x1.3230184a835f2p-8, 0x1.2a38d2166d145p-8, 0x1.22737944cc27fp-8, 0x1.1adeeb49ff6fap-8, 0x1.137a0b4af5c9bp-8, 0x1.0c43c2088ec54p-8, 0x1.053afdcb48f99p-8, 0x1.fcbd649d55afap-9, 0x1.ef5bb15a141f6p-9, 0x1.e24ede960e797p-9, 0x1.d594f386f5757p-9, 0x1.c92c01a63c68ep-9, 0x1.bd122488f7714p-9, 0x1.b14581b8059cfp-9, 0x1.a5c448880d7bap-9, 0x1.9a8cb1f1e263ap-9, 0x1.8f9d006b82d69p-9, 0x1.84f37fc08e1a8p-9, 0x1.7a8e84eb9a706p-9, 0x1.706c6defc1e6p-9, 0x1.668ba1b211522p-9, 0x1.5cea8fd39df1fp-9, 0x1.5387b08beca84p-9, 0x1.4a6184836fc04p-9, 0x1.417694ae69757p-9, 0x1.38c57228709d1p-9, 0x1.304cb60fc604ep-9, 0x1.280b01614b64p-9, 0x1.1ffefcd4fd75fp-9, 0x1.182758ba57916p-9, 0x1.1082ccd57bb6fp-9, 0x1.0910183c949bdp-9, 0x1.01ce01358294p-9, 0x1.f576aa283fd64p-10, 0x1.e7add0314aa85p-10, 0x1.da3f2a9d885c3p-10, 0x1.cd287cd93982ep-10, 0x1.c067976575a68p-10, 0x1.b3fa5798084adp-10, 0x1.a7dea75c86ed9p-10, 0x1.9c127cf5ed028p-10, 0x1.9093dac14bc7ap-10, 0x1.8560cef942827p-10, 0x1.7a77737a00199p-10, 0x1.6fd5ed868fb1dp-10, 0x1.657a6d8e42916p-10, 0x1.5b632ef393301p-10, 0x1.518e77d33430cp-10, 0x1.47fa98ccd4341p-10, 0x1.3ea5eccbe3eb7p-10, 0x1.358ed8d14d1ddp-10, 0x1.2cb3cbbe87d36p-10, 0x1.24133e20b5234p-10, 0x1.1babb1fcda3b7p-10, 0x1.137bb29dbbfe7p-10, 0x1.0b81d4609704fp-10, 0x1.03bcb48481eb8p-10, 0x1.f855f1f33f8bap-11, 0x1.e996a062fd067p-11, 0x1.db38e1dff9c36p-11, 0x1.cd3a343a44e52p-11, 0x1.bf98252fb07a4p-11, 0x1.b2505211ff76p-11, 0x1.a560676f04db5p-11, 0x1.98c620bb0a92fp-11, 0x1.8c7f47faf84dap-11, 0x1.8089b571a6663p-11, 0x1.74e34f4d5e403p-11, 0x1.698a09584ecdfp-11, 0x1.5e7be4a8b941bp-11, 0x1.53b6ef5330b82p-11, 0x1.493944201a267p-11, 0x1.3f010a3f08df6p-11, 0x1.350c74fe3fb1p-11, 0x1.2b59c382775d3p-11, 0x1.21e740801f99dp-11, 0x1.18b341f640df3p-11, 0x1.0fbc28ea4a6d8p-11, 0x1.07006125b271cp-11, 0x1.fcfcc1e849dc5p-12, 0x1.ec6951c6c3422p-12, 0x1.dc4387097a6a1p-12, 0x1.cc888a5fb8aeep-12, 0x1.bd35978a814b3p-12, 0x1.ae47fce7763d4p-12, 0x1.9fbd1afc84392p-12, 0x1.919264067780cp-12, 0x1.83c55b8941872p-12, 0x1.765395e3693a1p-12, 0x1.693ab7e351787p-12, 0x1.5c78765e7f97bp-12, 0x1.500a95cae3c5ep-12, 0x1.43eee9dae408dp-12, 0x1.3823551c76ddep-12, 0x1.2ca5c897a6877p-12, 0x1.21744370d738fp-12, 0x1.168cd28d809cfp-12, 0x1.0bed9039de9aap-12, 0x1.0194a3d130078p-12, 0x1.ef0082cf1f3ffp-13, 0x1.db5d52ec53abdp-13, 0x1.c83c5112ef439p-13, 0x1.b59a2ddfddbf8p-13, 0x1.a373b0d72e214p-13, 0x1.91c5b7cc07e48p-13, 0x1.808d364985de9p-13, 0x1.6fc734ffbb91ap-13, 0x1.5f70d1354721fp-13, 0x1.4f873c3af96bp-13, 0x1.4007bae2f8e4fp-13, 0x1.30efa4fbae9d1p-13, 0x1.223c64cb9c77ep-13, 0x1.13eb7695e3534p-13, 0x1.05fa681bb33b1p-13, 0x1.f0cdb044cf89bp-14, 0x1.d65cebfa4eae4p-14, 0x1.bc9e02366f35p-14, 0x1.a38c9129fcb07p-14, 0x1.8b24557fcf563p-14, 0x1.7361298251127p-14, 0x1.5c3f044f5e9ffp-14, 0x1.45b9f90743b91p-14, 0x1.2fce3606d5058p-14, 0x1.1a780424fcbbcp-14, 0x1.05b3c5f95d1a2p-14, 0x1.e2fbee41b7b03p-15, 0x1.bba657116e9fep-15, 0x1.95601d7e9a66cp-15, 0x1.7022c69978663p-15, 0x1.4be80411d2a11p-15, 0x1.28a9b2f57fe8ep-15, 0x1.0661da71a23ebp-15, 0x1.ca155553784c6p-16, 0x1.893cf7009f503p-16, 0x1.4a2f96f00033ep-16, 0x1.0ce27d27fa789p-16, 0x1.a296752300fap-17, 0x1.2ebf4dc4d247cp-17, 0x1.7c577a0bd5047p-18, 0x1.4322048386e9dp-19, -0x1.97d260022ce64p-21, -0x1.016ef54ed88ap-18, -0x1.c9f08a011a846p-18, -0x1.4650d6a11289bp-17, -0x1.a4d20e0254d6bp-17, -0x1.00462cdf1173dp-16, -0x1.2cc7de05f6511p-16, -0x1.57f5e6eb6e029p-16, -0x1.81d7e0ef8b983p-16, -0x1.aa7533d52bd4fp-16, -0x1.d1d5173e2e05ep-16, -0x1.f7fe941d034e4p-16, -0x1.0e7c43076794p-15, -0x1.2064ce571b8f2p-15, -0x1.31bc2e7427d69p-15, -0x1.42859121317ffp-15, -0x1.52c4100a4073ap-15, -0x1.627ab15b44956p-15, -0x1.71ac684f52136p-15, -0x1.805c15c9b2adap-15, -0x1.8e8c88dc66129p-15, -0x1.9c407f52f9b87p-15, -0x1.a97aa6312e194p-15, -0x1.b63d9a34abeaep-15, -0x1.c28be85473d67p-15, -0x1.ce680e33e8686p-15, -0x1.d9d47a977937bp-15, -0x1.e4d38dd4e6592p-15, -0x1.ef679a441560fp-15, -0x1.f992e4a8b1b87p-15, -0x1.01abd24bc86bcp-14, -0x1.065c026c72ae6p-14, -0x1.0adb11e48f8e8p-14, -0x1.0f2a09dc40f3p-14, -0x1.1349eda3069b8p-14, -0x1.173bbada161bfp-14, -0x1.1b00699ecbb51p-14, -0x1.1e98ecb649182p-14, -0x1.220631b36a022p-14, -0x1.2549211e5fa36p-14, -0x1.28629e979de39p-14, -0x1.2b5388fd9b35p-14, -0x1.2e1cba905d74p-14, -0x1.30bf09134b154p-14, -0x1.333b45ed88823p-14, -0x1.35923e49431a1p-14, -0x1.37c4bb32700bap-14, -0x1.39d381b52877p-14, -0x1.3bbf52fa684f8p-14, -0x1.3d88ec62227e3p-14, -0x1.3f31079eda4fbp-14, -0x1.40b85ad09c5fp-14, -0x1.421f989ddc553p-14, -0x1.4367704b3974ap-14, -0x1.44908dd2bd4adp-14, -0x1.459b99f8c591ep-14, -0x1.46893a652bf9ep-14, -0x1.475a11b6b5eaap-14, -0x1.480ebf973fcd1p-14, -0x1.48a7e0d0fab0ep-14, -0x1.49260f5f409f4p-14, -0x1.4989e28295327p-14, -0x1.49d3eed28bba8p-14, -0x1.4a04c64db751ep-14, -0x1.4a1cf8699ac41p-14, -0x1.4a1d122499532p-14, -0x1.4a059e14c6bf4p-14, -0x1.49d724771fcaep-14, -0x1.49922b3d5f7fap-14, -0x1.4937361b2a09p-14, -0x1.48c6c6940d35ep-14, -0x1.48415c091cfecp-14, -0x1.47a773c4bfd0fp-14, -0x1.46f98906fb4b8p-14, -0x1.46381511188c4p-14, -0x1.45638f307165bp-14, -0x1.447c6cca021e6p-14, -0x1.43832164daf52p-14, -0x1.42781eb35212p-14, -0x1.415bd49c29effp-14, -0x1.402eb145e976dp-14, -0x1.3ef1211ee4af2p-14, -0x1.3da38ee614cf5p-14, -0x1.3c4663b41678bp-14, -0x1.3ada07024612cp-14, -0x1.395edeb2a3ed4p-14, -0x1.37d54f18847d8p-14, -0x1.363dbafed4e8ep-14, -0x1.349883b092df4p-14, -0x1.32e608fd84d4dp-14, -0x1.3126a942bf5f1p-14, -0x1.2f5ac16febbefp-14, -0x1.2d82ad0e49eecp-14, -0x1.2b9ec6465225p-14, -0x1.29af65e4b913bp-14, -0x1.27b4e35fedee9p-14, -0x1.25af94dfa2ad8p-14, -0x1.239fcf3f52685p-14, -0x1.2185e614fe377p-14, -0x1.1f622bb57a9a6p-14, -0x1.1d34f13974133p-14, -0x1.1afe8680e48ebp-14, -0x1.18bf3a38fcc87p-14, -0x1.167759e03ee3dp-14, -0x1.142731c9a630ap-14, -0x1.11cf0d212a6e1p-14, -0x1.0f6f35f000c34p-14, -0x1.0d07f51f89ddep-14, -0x1.0a99927e5cdbcp-14, -0x1.082454c334decp-14, -0x1.05a8818f77c49p-14, -0x1.03265d739b82bp-14, -0x1.009e2bf2c9227p-14, -0x1.fc205f09d6fccp-15, -0x1.f6f9533514e5fp-15, -0x1.f1c7b53f4d96ap-15, -0x1.ec8c03fe3ee6p-15, -0x1.e746bc48ab795p-15, -0x1.e1f858fee83c6p-15, -0x1.dca1531014544p-15, -0x1.d742217d65ff3p-15, -0x1.d1db39604e847p-15, -0x1.cc6d0df10e309p-15, -0x1.c6f810892b8efp-15, -0x1.c17cb0a95c9f9p-15, -0x1.bbfb5c00fee31p-15, -0x1.b6747e6f50ce7p-15, -0x1.b0e882090fb38p-15, -0x1.ab57cf1e5627ap-15, -0x1.a5c2cc3de3202p-15, -0x1.a029de38c30e1p-15, -0x1.9a8d6828e6bcap-15, -0x1.94edcb73521f8p-15, -0x1.8f4b67cdfe541p-15, -0x1.89a69b41e3536p-15, -0x1.83ffc232962fep-15, -0x1.7e57375f0359cp-15, -0x1.78ad53e6b2d1bp-15, -0x1.73026f4e147abp-15, -0x1.6d56df8150514p-15, -0x1.67aaf8d8cd775p-15, -0x1.61ff0e1ca5a11p-15, -0x1.5c53708991029p-15, -0x1.56a86fd34b295p-15, -0x1.50fe5a29dcf24p-15, -0x1.4b557c3b52a66p-15, -0x1.45ae21391f29p-15, -0x1.400892d9d3856p-15, -0x1.3a65195eee32ep-15, -0x1.34c3fb974dfc6p-15, -0x1.2f257ee201dabp-15, -0x1.2989e733adf09p-15, -0x1.23f17718a120ep-15, -0x1.1e5c6fb8ce82cp-15, -0x1.18cb10db91defp-15, -0x1.133d98eac9c35p-15, -0x1.0db444f6653c9p-15, -0x1.082f50b696f8p-15, -0x1.02aef691c045fp-15, -0x1.fa66df3b1a042p-16, -0x1.ef79e745d674ap-16, -0x1.e497724674f79p-16, -0x1.d9bfeab43c127p-16, -0x1.cef3b87f0af1ap-16, -0x1.c433411b36a27p-16, -0x1.b97ee7843dd3ep-16, -0x1.aed70c474fcb2p-16, -0x1.a43c0d850bdd8p-16, -0x1.99ae46fc0bff3p-16, -0x1.8f2e12101ae0ep-16, -0x1.84bbc5cb059f9p-16, -0x1.7a57b6e8f4ef7p-16, -0x1.700237de5e3eap-16, -0x1.65bb98dbf5f47p-16, -0x1.5b8427d60ea19p-16, -0x1.515c308bf1b44p-16, -0x1.4743fc8e99a56p-16, -0x1.3d3bd34514a0ep-16, -0x1.3343f9f352273p-16, -0x1.295cb3c36acaep-16, -0x1.1f8641cc434e8p-16, -0x1.15c0e3125d9c4p-16, -0x1.0c0cd4919820ep-16, -0x1.026a5145b1898p-16, -0x1.f1b3245c801c6p-17, -0x1.deb59caa34653p-17, -0x1.cbdc75a738d26p-17, -0x1.b92815baf47fap-17, -0x1.a698df82eaccap-17, -0x1.942f31e1923d8p-17, -0x1.81eb681253739p-17, -0x1.6fcdd9b02dbc4p-17, -0x1.5dd6dac019fe5p-17, -0x1.4c06bbbf94113p-17, -0x1.3a5dc9b630e5cp-17, -0x1.28dc4e3c478cfp-17, -0x1.17828f8101a0dp-17, -0x1.0650d05f6e12ep-17, -0x1.ea8ea0dd40669p-18, -0x1.c8cc980dc1273p-18, -0x1.a75bf89256f9bp-18, -0x1.863d2e614b07ep-18, -0x1.65709f44997f4p-18, -0x1.44f6aaebbfa46p-18, -0x1.24cfaaf5d2a7dp-18, -0x1.04fbf31f7b442p-18, -0x1.caf7a299a4b3ep-19, -0x1.8c9f1b4131127p-19, -0x1.4eeed52bbe808p-19, -0x1.11e74a2f59698p-19, -0x1.ab11d26ad582ep-20, -0x1.33a82cae6757cp-20, -0x1.7b24ac5587716p-21, -0x1.2343b476eb745p-22, 0x1.54dc2510e0026p-23, 0x1.39651325be66dp-21, 0x1.0d73c007de399p-20, 0x1.7cded9acae557p-20, 0x1.eaf39b308cc6ep-20, 0x1.2bd8ee159de01p-19, 0x1.618cc34f987fap-19, 0x1.96954b5f33a1fp-19, 0x1.caf28d2cf6545p-19, 0x1.fea4985c3a745p-19, 0x1.18d5c299798ffp-18, 0x1.3203ba1ffaf75p-18, 0x1.4adc472e4c22ap-18, 0x1.635f823ce2c6dp-18, 0x1.7b8d87b546bfdp-18, 0x1.936677e7529d7p-18, 0x1.aaea76e77e4fap-18, 0x1.c219ac8c49a94p-18, 0x1.d8f4444e50776p-18, 0x1.ef7a6d330d9ep-18, 0x1.02d62ce062c23p-17, 0x1.0dc51ff626d2fp-17, 0x1.188a2c82e29a2p-17, 0x1.232570d02a042p-17, 0x1.2d970cbd98369p-17, 0x1.37df21c01bdap-17, 0x1.41fdd2cfe2691p-17, 0x1.4bf3446653d31p-17, 0x1.55bf9c70c6a07p-17, 0x1.5f6302477f1d9p-17, 0x1.68dd9ea7a9088p-17, 0x1.722f9ba796ba8p-17, 0x1.7b5924b1357abp-17, 0x1.845a6675e60b6p-17, 0x1.8d338eea5adbep-17, 0x1.95e4cd3bb367bp-17, 0x1.9e6e51c7db736p-17, 0x1.a6d04e1329911p-17, 0x1.af0af4c4c7abbp-17, 0x1.b71e7999b086bp-17, 0x1.bf0b115dda2edp-17, 0x1.c6d0f1e8918d8p-17, 0x1.ce70521198a9ap-17, 0x1.d5e969aae417fp-17, 0x1.dd3c7175545a8p-17, 0x1.e469a31d12e4ap-17, 0x1.eb7139323dba1p-17, 0x1.f2536f1f2e8fep-17, 0x1.f9108122facb8p-17, 0x1.ffa8ac49d9f49p-17, 0x1.030e1734082c4p-16, 0x1.0635a307847c8p-16, 0x1.094b1944274c5p-16, 0x1.0c4e99e96edf2p-16, 0x1.0f40454a88317p-16, 0x1.12203c0d5b6abp-16, 0x1.14ee9f287a3dcp-16, 0x1.17ab8fddad989p-16, 0x1.1a572fb78efd3p-16, 0x1.1cf1a085f1c5fp-16, 0x1.1f7b045baa9c9p-16, 0x1.21f37d8af2faap-16, 0x1.245b2ea266dd7p-16, 0x1.26b23a6b948fbp-16, 0x1.28f8c3e6cd2ap-16, 0x1.2b2eee48603fap-16, 0x1.2d54dcf550131p-16, 0x1.2f6ab3823e534p-16, 0x1.317095ae8c125p-16, 0x1.3366a7647698p-16, 0x1.354d0cb2fd2c8p-16, 0x1.3723e9ce31cc8p-16, 0x1.38eb630c7928dp-16, 0x1.3aa39ce1fd7a4p-16, 0x1.3c4cbbdf56126p-16, 0x1.3de6e4b068916p-16, 0x1.3f723c184b6aap-16, 0x1.40eee6ef03fep-16, 0x1.425d0a21226e9p-16, 0x1.43bccaaca33d1p-16, 0x1.450e4d9d325acp-16, 0x1.4651b80b34015p-16, 0x1.47872f1942aa5p-16, 0x1.48aed7f29736bp-16, 0x1.49c8d7c8f74efp-16, 0x1.4ad553d22f083p-16, 0x1.4bd471473d0a7p-16, 0x1.4cc6556142943p-16, 0x1.4dab2557b9312p-16, 0x1.4e83065fbc6bcp-16, 0x1.4f4e1da7b646fp-16, 0x1.500c90586f9edp-16, 0x1.50be8391bc701p-16, 0x1.51641c68fea8ap-16, 0x1.51fd7fe7c0c01p-16, 0x1.528ad30a23a26p-16, 0x1.530c3abcb3d87p-16, 0x1.5381dbdb105ffp-16, 0x1.53ebdb2e7d565p-16, 0x1.544a5d6c4fba9p-16, 0x1.549d87349fccfp-16, 0x1.54e57d114940fp-16, 0x1.552263749d9cap-16, 0x1.55545eb638225p-16, 0x1.557b9312bc3dap-16, 0x1.559824aaf9bd1p-16, 0x1.55aa378204fdbp-16, 0x1.55b1ef7c8b6b9p-16, 0x1.55af705ebb663p-16, 0x1.55a2ddccc765ap-16, 0x1.558c5b4780f69p-16, 0x1.556c0c2d7eb94p-16, 0x1.554213b8aa331p-16, 0x1.550e94fc57fa4p-16, 0x1.54d1b2e650296p-16, 0x1.548b903c9465bp-16, 0x1.543c4f9c0deb9p-16, 0x1.53e413788fb87p-16, 0x1.5382fe1ba89e6p-16, 0x1.531931a3ddd49p-16, 0x1.52a6d003028b8p-16, 0x1.522bfafd7ebdp-16, 0x1.51a8d429f51a2p-16, 0x1.511d7cf109652p-16, 0x1.508a168ae42d4p-16, 0x1.4feec2011d84fp-16, 0x1.4f4ba02c2b1edp-16, 0x1.4ea0d1b1ca9ecp-16, 0x1.4dee7705faebap-16, 0x1.4d34b069a6a19p-16, 0x1.4c739dea6bddap-16, 0x1.4bab5f61b20ddp-16, 0x1.4adc1473b09f7p-16, 0x1.4a05dc9038096p-16, 0x1.4928d6f038696p-16, 0x1.48452297ed144p-16, 0x1.475ade541f774p-16, 0x1.466a28b918283p-16, 0x1.45732024ab79cp-16, 0x1.4475e2bcaa48ap-16, 0x1.43728e6d3a489p-16, 0x1.426940ea1d287p-16, }}, 
      {{-0x1.374dd3b672bf8p-1, -0x1.374d98eb22f16p-1, -0x1.374d282efae4ep-1, -0x1.374c74649d005p-1, -0x1.374b769eeb481p-1, -0x1.374a3226a912ep-1, -0x1.3748b5f81fe1bp-1, -0x1.37471c256f3e4p-1, -0x1.374587b843133p-1, -0x1.374421a8f6351p-1, -0x1.37431568288e5p-1, -0x1.37428d5a3884ep-1, -0x1.3742af887ebe2p-1, -0x1.37439ab4fae8fp-1, -0x1.374563ea8592cp-1, -0x1.374814955fb33p-1, -0x1.374ba925683f2p-1, -0x1.37501033d0616p-1, -0x1.37552a213b96cp-1, -0x1.375ac91e43ca9p-1, -0x1.3760b18eeef31p-1, -0x1.37669ab950c55p-1, -0x1.376c2fb011199p-1, -0x1.3771106a8e06fp-1, -0x1.3774d2fda399ep-1, -0x1.377704e9a79dp-1, -0x1.37772c73adcc5p-1, -0x1.3774ca01b26c4p-1, -0x1.376f5972b6481p-1, -0x1.3766536d3333ep-1, -0x1.37592e9f76342p-1, -0x1.374760ee884ebp-1, -0x1.373060912f57dp-1, -0x1.3713a51561656p-1, -0x1.36f0a84f2bd2bp-1, -0x1.36c6e7309ad2cp-1, -0x1.3695e28aa69e9p-1, -0x1.365d1fb783b66p-1, -0x1.361c292efcac4p-1, -0x1.35d28f05b9119p-1, -0x1.357fe75875e48p-1, -0x1.3523cea45a8f3p-1, -0x1.34bde80d9e8d1p-1, -0x1.344ddd95c807bp-1, -0x1.33d36042c71ccp-1, -0x1.334e2838353c7p-1, -0x1.32bdf4c3f85d8p-1, -0x1.32228c5f7d026p-1, -0x1.317bbca6b3ab4p-1, -0x1.30c95a45ecb7bp-1, -0x1.300b40df9e1fep-1, -0x1.2f4152eb10905p-1, -0x1.2e6b798ce0868p-1, -0x1.2d89a46a2f1c2p-1, -0x1.2c9bc9774c28bp-1, -0x1.2ba1e4c298983p-1, -0x1.2a9bf83c4931bp-1, -0x1.298a0b7ba9731p-1, -0x1.286c2b826d725p-1, -0x1.27426a7e91a66p-1, -0x1.260cdf8b3f569p-1, -0x1.24cba6711f3ebp-1, -0x1.237edf667501p-1, -0x1.2226aecf59291p-1, -0x1.20c33cfe58c7p-1, -0x1.1f54b5f5c058bp-1, -0x1.1ddb4929c2614p-1, -0x1.1c572943b2a44p-1, -0x1.1ac88be67b2d2p-1, -0x1.192fa9746fa53p-1, -0x1.178cbcd69ff37p-1, -0x1.15e00345bd809p-1, -0x1.1429bc14ad4a6p-1, -0x1.126a287cd1fd4p-1, -0x1.10a18b6c1de95p-1, -0x1.0ed02954f1a97p-1, -0x1.0cf647ffd1298p-1, -0x1.0b142e5eef7cp-1, -0x1.092a246392d13p-1, -0x1.073872d54e94ap-1, -0x1.053f632b126p-1, -0x1.033f3f6605ap-1, -0x1.013851ee2b84cp-1, -0x1.fe55cae1922d9p-2, -0x1.fa2e8981000aap-2, -0x1.f5fb756e35546p-2, -0x1.f1bd2431f42c5p-2, -0x1.ed742af4406c5p-2, -0x1.e9211e4988129p-2, -0x1.e4c49202d935dp-2, -0x1.e05f1900ffaf1p-2, -0x1.dbf1450a79526p-2, -0x1.d77ba6a42733cp-2, -0x1.d2fecceca3c83p-2, -0x1.ce7b457a1ffa9p-2, -0x1.c9f19c3aba029p-2, -0x1.c5625b5729edep-2, -0x1.c0ce0b17b242ep-2, -0x1.bc3531cb3c8dap-2, -0x1.b79853b089a5fp-2, -0x1.b2f7f2e15c9d3p-2, -0x1.ae548f3f90ef1p-2, -0x1.a9aea663fbda4p-2, -0x1.a506b38f0fa4ep-2, -0x1.a05d2f9b1fdp-2, -0x1.9bb290f03c1d1p-2, -0x1.97074b7988017p-2, -0x1.925bd09c01c7ap-2, -0x1.8db08f2e9da8p-2, -0x1.8905f373b0036p-2, -0x1.845c671389b86p-2, -0x1.7fb451183c75bp-2, -0x1.7b0e15ea75e21p-2, -0x1.766a174f6003ap-2, -0x1.71c8b4677da82p-2, -0x1.6d2a49ae6d437p-2, -0x1.688f30fb8905ep-2, -0x1.63f7c183599e1p-2, -0x1.5f644fd9c6176p-2, -0x1.5ad52df4fff62p-2, -0x1.564aab311672dp-2, -0x1.51c514542dc26p-2, -0x1.4d44b393462ebp-2, -0x1.48c9d09795335p-2, -0x1.4454b0845c62dp-2, -0x1.3fe595fd385d5p-2, -0x1.3b7cc12ce290cp-2, -0x1.371a6fcc56cf8p-2, -0x1.32bedd2a5c4bcp-2, -0x1.2e6a42335f0f8p-2, -0x1.2a1cd579a39cep-2, -0x1.25d6cb3dba549p-2, -0x1.219855773a8bdp-2, -0x1.1d61a3ddbac54p-2, -0x1.1932e3f1fc5ddp-2, -0x1.150c410748ecep-2, -0x1.10ede44cfb9f8p-2, -0x1.0cd7f4d831b7dp-2, -0x1.08ca97ad98138p-2, -0x1.04c5efcb59aeap-2, -0x1.00ca1e332656cp-2, -0x1.f9ae83e89347ap-3, -0x1.f1daf06ba9b5bp-3, -0x1.ea19b881adc5fp-3, -0x1.e26b0f1531415p-3, -0x1.dacf237dc5fbcp-3, -0x1.d346219489e46p-3, -0x1.cbd031c8b5b97p-3, -0x1.c46d79341f6b8p-3, -0x1.bd1e19afb739dp-3, -0x1.b5e231e7f0936p-3, -0x1.aeb9dd711338p-3, -0x1.a7a534db781eap-3, -0x1.a0a44dc7a0888p-3, -0x1.99b73afa33928p-3, -0x1.92de0c6fcfcaep-3, -0x1.8c18cf70b532fp-3, -0x1.85678ea447aa3p-3, -0x1.7eca522459f0cp-3, -0x1.78411f904d8e5p-3, -0x1.71cbfa1ffed51p-3, -0x1.6b6ae2b6726f8p-3, -0x1.651dd7f4536f6p-3, -0x1.5ee4d64a33c9ap-3, -0x1.58bfd80a89179p-3, -0x1.52aed57b77352p-3, -0x1.4cb1c4e850fb4p-3, -0x1.46c89ab2d9a6p-3, -0x1.40f349644d0dap-3, -0x1.3b31c1be136ebp-3, -0x1.3583f2ca406acp-3, -0x1.2fe9c9ebc2dfap-3, -0x1.2a6332ee52c59p-3, -0x1.24f01816152acp-3, -0x1.1f90622efe35bp-3, -0x1.1a43f89be3fe3p-3, -0x1.150ac1654daafp-3, -0x1.0fe4a147f98d2p-3, -0x1.0ad17bc31b1bbp-3, -0x1.05d1332649c4p-3, -0x1.00e3a89f32285p-3, -0x1.f811788de79afp-4, -0x1.ee809a5e7b644p-4, -0x1.e51472de35b4p-4, -0x1.dbccbc5efb83ep-4, -0x1.d2a92f6efcd8ap-4, -0x1.c9a982f0a5dffp-4, -0x1.c0cd6c320351fp-4, -0x1.b8149f039149cp-4, -0x1.af7ecdce862d6p-4, -0x1.a70ba9aa880cap-4, -0x1.9ebae272e1941p-4, -0x1.968c26db24cf2p-4, -0x1.8e7f24834646dp-4, -0x1.8693880b38966p-4, -0x1.7ec8fd25f952bp-4, -0x1.771f2eac1fa2ap-4, -0x1.6f95c6ade49c7p-4, -0x1.682c6e84ac186p-4, -0x1.60e2cee40df8p-4, -0x1.59b88fea60f0bp-4, -0x1.52ad5930c922bp-4, -0x1.4bc0d1dacd4d7p-4, -0x1.44f2a0a57165ep-4, -0x1.3e426bf5dba81p-4, -0x1.37afd9e784acep-4, -0x1.313a9059f1cep-4, -0x1.2ae234fe01964p-4, -0x1.24a66d62c49dcp-4, -0x1.1e86df01ecd86p-4, -0x1.18832f4bcd2ep-4, -0x1.129b03b2f11aep-4, -0x1.0cce01b74d65bp-4, -0x1.071bcef107fc9p-4, -0x1.0184111add2p-4, -0x1.f80cdc3843bbdp-5, -0x1.ed451824cebdbp-5, -0x1.e2b022b57ae4cp-5, -0x1.d84d493536c5ap-5, -0x1.ce1bd990d7cb4p-5, -0x1.c41b226782e11p-5, -0x1.ba4a731a66f24p-5, -0x1.b0a91bdbce879p-5, -0x1.a7366dbd8bac9p-5, -0x1.9df1babebd68ep-5, -0x1.94da55d8fdeebp-5, -0x1.8bef930cee961p-5, -0x1.8330c76e33968p-5, -0x1.7a9d492ed4f11p-5, -0x1.72346faa16224p-5, -0x1.69f5936ebc2a2p-5, -0x1.61e00e48cfa3ap-5, -0x1.59f33b4ad4ef5p-5, -0x1.522e76d685b47p-5, -0x1.4a911ea509417p-5, -0x1.431a91ceb4f25p-5, -0x1.3bca30d2527f4p-5, -0x1.349f5d9bf121ep-5, -0x1.2d997b8b478bcp-5, -0x1.26b7ef79a8ca2p-5, -0x1.1ffa1fbf89475p-5, -0x1.195f7439a0391p-5, -0x1.12e7564da4c95p-5, -0x1.0c9130eea69d5p-5, -0x1.065c70a1086c8p-5, -0x1.0048837e1fdp-5, -0x1.f4a9b26ef8d0ep-6, -0x1.e901c633a92e5p-6, -0x1.dd98281f48eb2p-6, -0x1.d26bc146f43aep-6, -0x1.c77b7e03e58ep-6, -0x1.bcc64df6d2e2ap-6, -0x1.b24b240acdd28p-6, -0x1.a808f6777e443p-6, -0x1.9dfebec2e6e3cp-6, -0x1.942b79c299594p-6, -0x1.8a8e279c7d6e3p-6, -0x1.8125cbc708a46p-6, -0x1.77f16d0914b1bp-6, -0x1.6ef01579396dfp-6, -0x1.6620d27cbd338p-6, -0x1.5d82b4c622071p-6, -0x1.5514d05342dd7p-6, -0x1.4cd63c6b20a7bp-6, -0x1.44c6139b47ef6p-6, -0x1.3ce373b4dfe41p-6, -0x1.352d7dc969e53p-6, -0x1.2da3562730d36p-6, -0x1.264424555f033p-6, -0x1.1f0f130fda7c8p-6, -0x1.18035042d539ep-6, -0x1.11200d06170a1p-6, -0x1.0a647d980a386p-6, -0x1.03cfd9588dcdbp-6, -0x1.fac2b5871c3a8p-7, -0x1.ee307ed6c46aep-7, -0x1.e1e78fe5f5be5p-7, -0x1.d5e6700fc386dp-7, -0x1.ca2bacb80d354p-7, -0x1.beb5d93ec5aecp-7, -0x1.b3838ef2e4c8fp-7, -0x1.a8936d05207a7p-7, -0x1.9de4187a44efap-7, -0x1.93743c1d4be1fp-7, -0x1.8942887156617p-7, -0x1.7f4db3a341496p-7, -0x1.7594797b1d8eep-7, -0x1.6c159b4d78b68p-7, -0x1.62cfdfec6cfd6p-7, -0x1.59c213988cebap-7, -0x1.50eb07f1ae87ap-7, -0x1.484993e789806p-7, -0x1.3fdc93aa427bdp-7, -0x1.37a2e89ada87bp-7, -0x1.2f9b793b7edfap-7, -0x1.27c5311fc61f7p-7, -0x1.201f00dce9a91p-7, -0x1.18a7ddf9de876p-7, -0x1.115ec2df6d31p-7, -0x1.0a42aec83c7c5p-7, -0x1.0352a5b0de201p-7, -0x1.f91b608f9a89ep-8, -0x1.ebe5b7bae768ep-8, -0x1.df0274a851655p-8, -0x1.d26fc4207a251p-8, -0x1.c62bdbd0108dp-8, -0x1.ba34fa27f15b7p-8, -0x1.ae89663d6e526p-8, -0x1.a3276faa9c237p-8, -0x1.980d6e6ebf51ap-8, -0x1.8d39c2cee033bp-8, -0x1.82aad536760aep-8, -0x1.785f16183f6afp-8, -0x1.6e54fdcf3a288p-8, -0x1.648b0c7fca49ap-8, -0x1.5affc9f90e46cp-8, -0x1.51b1c59661be1p-8, -0x1.489f96211d3a7p-8, -0x1.3fc7d9b27bfbp-8, -0x1.37293595b6a51p-8, -0x1.2ec2562a6de66p-8, -0x1.2691eec72c2c4p-8, -0x1.1e96b99c57f1dp-8, -0x1.16cf77972d179p-8, -0x1.0f3af0451a6f6p-8, -0x1.07d7f1b75282fp-8, -0x1.00a55066a2b92p-8, -0x1.f343ce2f1ee11p-9, -0x1.e5992d7d7c25fp-9, -0x1.d8488ccb38795p-9, -0x1.cb4fc61e8a316p-9, -0x1.beacbf3b858fep-9, -0x1.b25d696f354f3p-9, -0x1.a65fc15b0c215p-9, -0x1.9ab1cec158036p-9, -0x1.8f51a451d7e8cp-9, -0x1.843d5f7731736p-9, -0x1.79732824fcfb9p-9, -0x1.6ef130a648ef3p-9, -0x1.64b5b56cddb99p-9, -0x1.5abefce10ef72p-9, -0x1.510b5732358c1p-9, -0x1.47991e27b3a7ap-9, -0x1.3e66b4f295d6cp-9, -0x1.357287ffe05a7p-9, -0x1.2cbb0ccb7e9f6p-9, -0x1.243ec1b3b8206p-9, -0x1.1bfc2dcd7bc56p-9, -0x1.13f1e0b8efefep-9, -0x1.0c1e7276e6864p-9, -0x1.0480833ed1599p-9, -0x1.fa2d76aaaf17fp-10, -0x1.ebbf95c72b147p-10, -0x1.ddb4d39dc05fdp-10, -0x1.d00aaf2283639p-10, -0x1.c2beb624d3df5p-10, -0x1.b5ce85028bf13p-10, -0x1.a937c65c89e4dp-10, -0x1.9cf832cc483a1p-10, -0x1.910d909a9ca7ap-10, -0x1.8575b377cb23bp-10, -0x1.7a2e7c34831cp-10, -0x1.6f35d87c190f7p-10, -0x1.6489c29019cd3p-10, -0x1.5a284104af1ffp-10, -0x1.500f667e4c1b4p-10, -0x1.463d5170ac4ebp-10, -0x1.3cb02bde8eff7p-10, -0x1.33662b1ab7c45p-10, -0x1.2a5d8f8a107cfp-10, -0x1.2194a466bc3aap-10, -0x1.1909bf844a63ap-10, -0x1.10bb41150e92dp-10, -0x1.08a79370846e1p-10, -0x1.00cd2ada8847ep-10, -0x1.f2550a979b6bp-11, -0x1.e37c54762d593p-11, -0x1.d50d54cf3eb2dp-11, -0x1.c7053f493a7abp-11, -0x1.b961594ac644fp-11, -0x1.ac1ef995838cbp-11, -0x1.9f3b87e2a2086p-11, -0x1.92b47c8113b41p-11, -0x1.86875ff5d39bp-11, -0x1.7ab1ca9db799p-11, -0x1.6f31645187f8dp-11, -0x1.6403e40b450a3p-11, -0x1.59270f8dde7e1p-11, -0x1.4e98bb0e287dap-11, -0x1.4456c8ddc6016p-11, -0x1.3a5f29173530cp-11, -0x1.30afd94c747c1p-11, -0x1.2746e43643175p-11, -0x1.1e226165d9c27p-11, -0x1.154074f7c4065p-11, -0x1.0c9f4f4849972p-11, -0x1.043d2ca9ca42dp-11, -0x1.f830aa37c6d2p-12, -0x1.e85e3809c0889p-12, -0x1.d8ffbfd7a713bp-12, -0x1.ca121469925fdp-12, -0x1.bb921dbc41156p-12, -0x1.ad7cd87e6f761p-12, -0x1.9fcf5591491d1p-12, -0x1.9286b98bcd196p-12, -0x1.85a03c3f8c5bbp-12, -0x1.79192841e48fcp-12, -0x1.6ceeda75a4579p-12, -0x1.611ec1997fb64p-12, -0x1.55a65dd6fe137p-12, -0x1.4a8340556128ep-12, -0x1.3fb30acdc6495p-12, -0x1.35336f22d96fcp-12, -0x1.2b022ef966c89p-12, -0x1.211d1b5472c07p-12, -0x1.178214327d1cfp-12, -0x1.0e2f082dcb274p-12, -0x1.0521f41e9178cp-12, -0x1.f8b1c57e28c3ap-13, -0x1.e7a3d8a384232p-13, -0x1.d7166c945dc33p-13, -0x1.c705e5ed84583p-13, -0x1.b76ec25aebd2fp-13, -0x1.a84d97f2dc0d9p-13, -0x1.999f14970fe2fp-13, -0x1.8b5ffd57d2fb1p-13, -0x1.7d8d2ddc2b39fp-13, -0x1.702397cbfd48bp-13, -0x1.6320423ef765fp-13, -0x1.5680492ef19ecp-13, -0x1.4a40dcec650e4p-13, -0x1.3e5f4196ddd44p-13, -0x1.32d8ce990db07p-13, -0x1.27aaee26ef564p-13, -0x1.1cd31cc01a82fp-13, -0x1.124ee8b4e258dp-13, -0x1.081bf1ad1a2a8p-13, -0x1.fc6fd068d66dbp-14, -0x1.e9411a8d73687p-14, -0x1.d6a763c26307p-14, -0x1.c49e6d293e803p-14, -0x1.b322163724fa1p-14, -0x1.a22e5be43c7f3p-14, -0x1.91bf57e334458p-14, -0x1.81d13fda14393p-14, -0x1.726064a1fbd99p-14, -0x1.6369318d3660fp-14, -0x1.54e82baec2629p-14, -0x1.46d9f128947b3p-14, -0x1.393b387cfe2c5p-14, -0x1.2c08cfe51c8ffp-14, -0x1.1f3f9caaa2569p-14, -0x1.12dc9a8882acep-14, -0x1.06dcdb0c5ebp-14, -0x1.f67b09fa4dbb5p-15, -0x1.dff7a78ea729ap-15, -0x1.ca2a2dd5d12fap-15, -0x1.b50d62dafd9a4p-15, -0x1.a09c32a2874f2p-15, -0x1.8cd1ae18b0111p-15, -0x1.79a90a0e2eda7p-15, -0x1.671d9e38e11adp-15, -0x1.552ae43b69a71p-15, -0x1.43cc76b15a4f7p-15, -0x1.32fe10443ff5dp-15, -0x1.22bb8ac9406e3p-15, -0x1.1300de5db0485p-15, -0x1.03ca208f03675p-15, -0x1.ea27070df1f66p-16, -0x1.cdb2aa767e766p-16, -0x1.b22ffd4ce7847p-16, -0x1.97980608e9848p-16, -0x1.7de3fe27b49fbp-16, -0x1.650d50b8f52ebp-16, -0x1.4d0d98f5eda39p-16, -0x1.35dea0ea6494fp-16, -0x1.1f7a6016dda71p-16, -0x1.09dafa2896ab4p-16, -0x1.e9f57b6b86c15p-17, -0x1.c1a845ff9febcp-17, -0x1.9ac395913e34fp-17, -0x1.753cfa47270d3p-17, -0x1.510a50afc9752p-17, -0x1.2e21bf89b56a4p-17, -0x1.0c79b5a46d77p-17, -0x1.d811cfa5cf45dp-18, -0x1.998c9dc521367p-18, -0x1.5d524b40bdff6p-18, -0x1.2351cde7a9ab7p-18, -0x1.d6f53006df2ep-19, -0x1.6b792985a7462p-19, -0x1.0410496c2a7d8p-19, -0x1.41386993c226dp-20, -0x1.03fdb80ed4038p-21, 0x1.ae2b19dcb4dcap-23, 0x1.cc980078da324p-21, 0x1.8fcb11da5f1bcp-20, 0x1.193b92bf13a9dp-19, 0x1.6741a5688385ep-19, 0x1.b2108f5806fa9p-19, 0x1.f9c06b0a8df37p-19, 0x1.1f34521f9fc48p-18, 0x1.400ffe92f6d9dp-18, 0x1.5f7e49a13fcc3p-18, 0x1.7d89f223a784bp-18, 0x1.9a3d695b71bbp-18, 0x1.b5a2d5343f403p-18, 0x1.cfc4127f4a8f1p-18, 0x1.e8aab71452bp-18, 0x1.003009f47499dp-17, 0x1.0b769b894a945p-17, 0x1.162d76dbf7b9ap-17, 0x1.2058e2ff331d9p-17, 0x1.29fd086eec616p-17, 0x1.331df1f5323bfp-17, 0x1.3bbf8d8a9db5p-17, 0x1.43e5ad2b38ecep-17, 0x1.4b9407a5685bbp-17, 0x1.52ce39699271fp-17, 0x1.5997c55056d73p-17, 0x1.5ff4155724dbep-17, 0x1.65e67b5a00e89p-17, 0x1.6b7231c925879p-17, 0x1.709a5c568dc81p-17, 0x1.7562089e1f557p-17, 0x1.79cc2ecd4a33bp-17, 0x1.7ddbb2409eea2p-17, 0x1.8193621e2dc75p-17, 0x1.84f5f9ea9a05ep-17, 0x1.88062218d549bp-17, 0x1.8ac6709da502bp-17, 0x1.8d3969741185ep-17, 0x1.8f617f21ab5b1p-17, 0x1.9141133ab247bp-17, 0x1.92da76db5364dp-17, 0x1.942feb22978e9p-17, 0x1.9543a1a4cbeb8p-17, 0x1.9617bce2dd3a2p-17, 0x1.96ae50b300451p-17, 0x1.970962aeb9336p-17, 0x1.972aea98b7bcap-17, 0x1.9714d2c16955fp-17, 0x1.96c8f86a65618p-17, 0x1.96492c2407369p-17, 0x1.95973228121ep-17, 0x1.94b4c2b41ba97p-17, 0x1.93a38a5e57c56p-17, 0x1.92652a69574c9p-17, 0x1.90fb391528787p-17, 0x1.8f6741ed8faf7p-17, 0x1.8daac615d8f3fp-17, 0x1.8bc73c9268dd3p-17, 0x1.89be12919f2f5p-17, 0x1.8790abae997a3p-17, 0x1.85406236b0ad5p-17, 0x1.82ce876903602p-17, 0x1.803c63b805798p-17, 0x1.7d8b37022ad22p-17, 0x1.7abc38d1f1c01p-17, 0x1.77d098943d68ap-17, 0x1.74c97dd187db2p-17, 0x1.71a8086390e3ap-17, 0x1.6e6d50aa3ec88p-17, 0x1.6b1a67bc6ba2dp-17, 0x1.67b0579b736fep-17, 0x1.6430236333544p-17, 0x1.609ac776def11p-17, 0x1.5cf139ad32dfap-17, 0x1.5934697f08c8dp-17, 0x1.5565402f1d22p-17, 0x1.5184a0f3f5ab4p-17, 0x1.4d93691f06325p-17, 0x1.49927043a32e9p-17, 0x1.4582885c6aa42p-17, 0x1.41647def55749p-17, 0x1.3d391832102bp-17, 0x1.3901192a0d3a2p-17, 0x1.34bd3dcf27d11p-17, 0x1.306e3e2d4d147p-17, 0x1.2c14cd80f3bc8p-17, 0x1.27b19a552fb93p-17, 0x1.23454ea254f21p-17, 0x1.1ed08fec92627p-17, 0x1.1a53ff5cf0ab7p-17, 0x1.15d039dc3f403p-17, 0x1.1145d82e1f8c9p-17, 0x1.0cb56f09d115ep-17, 0x1.081f8f32dc771p-17, 0x1.0384c591fb9c1p-17, 0x1.fdcb36995b2d9p-18, 0x1.f4852bb394105p-18, 0x1.eb386e34595f2p-18, 0x1.e1e5fada943f6p-18, 0x1.d88ec78702cb5p-18, 0x1.cf33c366bdf47p-18, 0x1.c5d5d71e0d827p-18, 0x1.bc75e4efccf78p-18, 0x1.b314c8dc46ce7p-18, 0x1.a9b358c9799d4p-18, 0x1.a05264a465effp-18, 0x1.96f2b682c9f42p-18, 0x1.8d9512c6ee0bdp-18, 0x1.843a383d7c0f6p-18, 0x1.7ae2e0434b323p-18, 0x1.718fbedb730e6p-18, 0x1.684182d5448p-18, 0x1.5ef8d5e53f234p-18, 0x1.55b65cbf0e42fp-18, 0x1.4c7ab7339b7aep-18, 0x1.4346804c90799p-18, 0x1.3a1a4e69f60d8p-18, 0x1.30f6b356d68b7p-18, 0x1.27dc3c63c10dbp-18, 0x1.1ecb727fed59ep-18, 0x1.15c4da4f23b02p-18, 0x1.0cc8f442cd173p-18, 0x1.03d83cafd3634p-18, 0x1.f5e657cf1dd73p-19, 0x1.e4346c9798dc9p-19, 0x1.d29b98c68c7c8p-19, 0x1.c11cb5dfc88bbp-19, 0x1.afb895ff7b7dap-19, 0x1.9e700405ef916p-19, 0x1.8d43c3b8dcb57p-19, 0x1.7c3491f3e4e1ep-19, 0x1.6b4324c81e94bp-19, 0x1.5a702b9e05d02p-19, 0x1.49bc4f59d2739p-19, 0x1.3928327f015bdp-19, 0x1.28b4714f151cep-19, 0x1.1861a1ee631aep-19, 0x1.08305480b415fp-19, 0x1.f04226a8704ddp-20, 0x1.d068c5e90a644p-20, 0x1.b0d5849e411c2p-20, 0x1.9189559a012b4p-20, 0x1.728520e28bc63p-20, 0x1.53c9c3ee21aefp-20, 0x1.355811d19da35p-20, 0x1.1730d385e41bbp-20, 0x1.f2a9904302d88p-21, 0x1.b78949ef3139ap-21, 0x1.7d022bb970665p-21, 0x1.43157aabadf33p-21, 0x1.09c4698d00e14p-21, 0x1.a22032940f4bfp-22, 0x1.31f3329f5fadbp-22, 0x1.8607a02eec55p-23, 0x1.554f99791318bp-24, -0x1.71ad0037dbd4cp-26, -0x1.048d70f4a1122p-23, -0x1.d85cafe0d4ea5p-23, -0x1.54d051ee0f921p-22, -0x1.bc2b681759d0ep-22, -0x1.111f3cbae2e22p-21, -0x1.438440d1d1499p-21, -0x1.75444c3088474p-21, -0x1.a65ef87d4ae2ap-21, -0x1.d6d3ecc69dc1bp-21, -0x1.03516e9f37ea9p-20, -0x1.1ae5c578ebdc3p-20, -0x1.3226e1bf8ce6fp-20, -0x1.4914b062db7bfp-20, -0x1.5faf24436c2fap-20, -0x1.75f63622075edp-20, -0x1.8be9e476ebdaap-20, -0x1.a18a334c116d4p-20, -0x1.b6d72c245967ep-20, -0x1.cbd0ddd543583p-20, -0x1.e0775c64172f6p-20, -0x1.f4cac0ec86d9fp-20, -0x1.046594b9a4665p-19, -0x1.0e3c5c68fa13bp-19, -0x1.17e9cb4d5de8cp-19, -0x1.216df7790c678p-19, -0x1.2ac8f93b497f2p-19, -0x1.33faeb114760ap-19, -0x1.3d03e99948993p-19, -0x1.45e413832cf95p-19, -0x1.4e9b897d11b6cp-19, -0x1.572a6e2bcb778p-19, -0x1.5f90e61d69525p-19, -0x1.67cf17b8b2c59p-19, -0x1.6fe52b348be88p-19, -0x1.77d34a8878854p-19, -0x1.7f99a1623445bp-19, -0x1.87385d14726f7p-19, -0x1.8eafac918bb6bp-19, -0x1.95ffc0568b6d6p-19, -0x1.9d28ca6552692p-19, -0x1.a42afe3a04871p-19, -0x1.ab0690bb3f1b1p-19, -0x1.b1bbb8314005cp-19, -0x1.b84aac3b3d50dp-19, -0x1.beb3a5c51f5edp-19, -0x1.c4f6def952f1dp-19, -0x1.cb14933619497p-19, -0x1.d10cff0630e01p-19, -0x1.d6e06015e58bap-19, -0x1.dc8ef525b20b9p-19, -0x1.e218fe0679e29p-19, -0x1.e77ebb8c03b11p-19, -0x1.ecc06f838130dp-19, -0x1.f1de5ca9b939dp-19, -0x1.f6d8c6a568563p-19, -0x1.fbaff1f7890ffp-19, -0x1.003211fb2c1dep-18, -0x1.027ad16289d59p-18, -0x1.04b25aa5a688ep-18, -0x1.06d8d1943d66fp-18, -0x1.08ee5a5895af4p-18, -0x1.0af319721e5bap-18, -0x1.0ce733b12800dp-18, -0x1.0ecace3247ed9p-18, -0x1.109e0e5b3b352p-18, -0x1.126119d82844ep-18, -0x1.14141695c1c97p-18, -0x1.15b72abe671e8p-18, -0x1.174a7cb7c9e7ep-18, -0x1.18ce331ddf0cdp-18, -0x1.1a4274c009d18p-18, -0x1.1ba7689ce1893p-18, -0x1.1cfd35e05fce5p-18, -0x1.1e4403dead2cap-18, -0x1.1f7bfa11c4ff6p-18, -0x1.20a54016f9e54p-18, -0x1.21bffdaae17e4p-18, -0x1.22cc5aa5f8572p-18, -0x1.23ca7efaae689p-18, -0x1.24ba92b2b47dep-18, -0x1.259cbdea43143p-18, -0x1.267128ced53b4p-18, -0x1.2737fb9b6ba82p-18, -0x1.27f15e9717bd5p-18, -0x1.289d7a11a7882p-18, -0x1.293c76606f6eap-18, -0x1.29ce7bdc9788cp-18, -0x1.2a53b2e0d0807p-18, -0x1.2acc43c5c3519p-18, -0x1.2b3856e0ab04fp-18, -0x1.2b981480ea6f3p-18, -0x1.2beba4ed81f14p-18, -0x1.2c3330626c25ap-18, -0x1.2c6edf0f0b81bp-18, -0x1.2c9ed915375b5p-18, -0x1.2cc34683c0cddp-18, -0x1.2cdc4f576366p-18, -0x1.2cea1b77fae65p-18, -0x1.2cecd2b7247fbp-18, -0x1.2ce49ccbfb949p-18, -0x1.2cd1a1549cd03p-18, -0x1.2cb407d14b4dbp-18, -0x1.2c8bf7a533261p-18, -0x1.2c599813c948fp-18, -0x1.2c1d103eb7201p-18, -0x1.2bd687243aee9p-18, -0x1.2b86239e038cbp-18, -0x1.2b2c0c5f4abd3p-18, -0x1.2ac867f3b8675p-18, -0x1.2a5b5cbdcd56ap-18, -0x1.29e510f579ca2p-18, -0x1.2965aaa6a55p-18, -0x1.28dd4fafd8114p-18, -0x1.284c25c1cfe26p-18, -0x1.27b2525cde181p-18, -0x1.270ffacf92d67p-18, -0x1.26654436c0871p-18, -0x1.25b2537c86d98p-18, -0x1.24f74d5618a52p-18, -0x1.2434564238872p-18, -0x1.2369928a0ec08p-18, -0x1.2297263e6225cp-18, -0x1.21bd3538baa7ep-18, -0x1.20dbe318ef951p-18, -0x1.1ff35344104d1p-18, -0x1.1f03a8e3fd117p-18, -0x1.1e0d06e627f35p-18, -0x1.1d0f8ffb6ec7ap-18, -0x1.1c0b66969eb02p-18, -0x1.1b00acecbb96cp-18, -0x1.19ef84f373dc9p-18, -0x1.18d81060ed0b5p-18, -0x1.17ba70aae4bebp-18, -0x1.1696c70612672p-18, -0x1.156d3465b167p-18, -0x1.143dd97a0b3ccp-18, -0x1.1308d6b0e06d8p-18, -0x1.11ce4c353ab0fp-18, -0x1.108e59ee84571p-18, -0x1.0f491f7f1913cp-18, -0x1.0dfebc44e2cadp-18, -0x1.0caf4f5840d37p-18, -0x1.0b5af78d6bef3p-18, -0x1.0a01d37345eacp-18, -0x1.08a401518e77ap-18, -0x1.07419f29d6264p-18, -0x1.05dacab6ab206p-18, -0x1.046fa16b8b9ccp-18, -0x1.03004074b08cep-18, -0x1.018cc4b6beed1p-18, -0x1.00154ace9e8ccp-18, -0x1.fd33de243f00bp-19, -0x1.fa359b1dace1cp-19, -0x1.f730041492919p-19, -0x1.f4235002aa003p-19, -0x1.f10fb5512ec81p-19, -0x1.edf569d7d3db3p-19, -0x1.ead4a2dd22a0dp-19, -0x1.e7ad95176beb1p-19, -0x1.e48074abf05eap-19, -0x1.e14d752db9e01p-19, -0x1.de14c99d9e764p-19, -0x1.dad6a46ab8312p-19, -0x1.d7933774af6cdp-19, -0x1.d44ab40c8b7f6p-19, -0x1.d0fd4af014666p-19, -0x1.cdab2c4b8e139p-19, -0x1.ca5487bb78559p-19, -0x1.c6f98c4afa2b1p-19, -0x1.c39a6874a1b92p-19, -0x1.c0374a23d8afbp-19, -0x1.bcd05eb4139bep-19, -0x1.b965d2f097af2p-19, -0x1.b5f7d3195d16ep-19, -0x1.b2868add53e54p-19, -0x1.af12255e58e7fp-19, -0x1.ab9acd2efa63p-19, -0x1.a820ac55a5734p-19, -0x1.a4a3ec4ab243ep-19, -0x1.a124b5fb4fb9cp-19, -0x1.9da331c90534ep-19, -0x1.9a1f878a27021p-19, -0x1.9699de899785cp-19, -0x1.93125d87293b3p-19, -0x1.8f892ab87b7d7p-19, -0x1.8bfe6bcb88dp-19, -0x1.887245e9b6475p-19, -0x1.84e4ddb15f667p-19, -0x1.8156573a0d40ep-19, -0x1.7dc6d613d19cfp-19, -0x1.7a367d4a639eap-19, -0x1.76a56f62e35adp-19, -0x1.7313ce5f3027cp-19, -0x1.6f81bbbd2658ep-19, -0x1.6bef58771ea46p-19, -0x1.685cc5072b16bp-19, -0x1.64ca2167350c4p-19, -0x1.61378d0efb916p-19, -0x1.5da526f651897p-19, -0x1.5a130d96db49fp-19, -0x1.56815eeb12b0ap-19, -0x1.52f038707d38fp-19, -0x1.4f5fb7293f81dp-19, -0x1.4bcff79c5b8ffp-19, -0x1.484115d5108bdp-19, -0x1.44b32d6476ed6p-19, -0x1.412659623f4afp-19, -0x1.3d9ab46db52dep-19, -0x1.3a1058afb52b6p-19, -0x1.36875fdeb7108p-19, -0x1.32ffe338e9dc4p-19, -0x1.2f79fb876f8c2p-19, -0x1.2bf5c11f9d9f2p-19, -0x1.28734be4a9f8bp-19, -0x1.24f2b347a23b4p-19, -0x1.21740e4943e71p-19, -0x1.1df77379e269ap-19, -0x1.1a7cf8fac507p-19, -0x1.1704b47f6d209p-19, -0x1.138ebb515ea95p-19, -0x1.101b224bf6d93p-19, -0x1.0ca9fddec445bp-19, -0x1.093b620fff424p-19, -0x1.05cf627c9ce67p-19, -0x1.02661258ac70bp-19, -0x1.fdff08e34560dp-20, -0x1.f737965fea14p-20, -0x1.f075f12c0aae2p-20, -0x1.e9ba3c8307b18p-20, -0x1.e3049ad8d3f4dp-20, -0x1.dc552ddc6b494p-20, -0x1.d5ac1679582a4p-20, -0x1.cf0974dc50553p-20, -0x1.c86d6879ddf4dp-20, -0x1.c1d81003c6ceap-20, -0x1.bb49896f6f1a5p-20, -0x1.b4c1f1faab22p-20, -0x1.ae41662c0ff6dp-20, -0x1.a7c801d4b3ed5p-20, -0x1.a155e0131e51ep-20, -0x1.9aeb1b53553e8p-20, -0x1.9487cd53e7b95p-20, -0x1.8e2c0f238aa84p-20, -0x1.87d7f92bd5618p-20, -0x1.818ba32a92bc3p-20, -0x1.7b47243367086p-20, -0x1.750a92b684c27p-20, -0x1.6ed604802dc0bp-20, -0x1.68a98eb9670e5p-20, -0x1.628545eccbb33p-20, }}, 
      std::vector<double>(900, 0.0), 
      {{0x1.15825cfa1165bp-9, 0x1.154258025b64ap-8, 0x1.9f3a89760bd06p-8, 0x1.1430f1fd3ad42p-7, 0x1.583f5c50cc2b9p-7, 0x1.9bb6832fd6b63p-7, 0x1.de8f949f2da7dp-7, 0x1.10664bfc858d4p-6, 0x1.313a3fae42f67p-6, 0x1.51c74dc10f869p-6, 0x1.720f16e82b546p-6, 0x1.920f48b32d076p-6, 0x1.b1c01e1b09d7p-6, 0x1.d11358390e79cp-6, 0x1.eff3ad7dd59bdp-6, 0x1.072252916f01cp-5, 0x1.15f167e163a65p-5, 0x1.245225f06593cp-5, 0x1.322cc269b93afp-5, 0x1.3f670daf4474p-5, 0x1.4be4f46b7ede4p-5, 0x1.578907ce72732p-5, 0x1.623506e82fed6p-5, 0x1.6bca649e8b914p-5, 0x1.742ac6b94518p-5, 0x1.7b387b66676d8p-5, 0x1.80d6e36447c5cp-5, 0x1.84eacfad8b1dbp-5, 0x1.875ad215b5bcap-5, 0x1.880f80bc085e1p-5, 0x1.86f3ac9882b98p-5, 0x1.83f48baefa5fep-5, 0x1.7f01d7a8c14c1p-5, 0x1.780de1b99db7ep-5, 0x1.6f0d9ccb2f85ep-5, 0x1.63f89ef52615bp-5, 0x1.56c91b4aea056p-5, 0x1.477bd502b1692p-5, 0x1.36100cf0117dcp-5, 0x1.22876a3e6a845p-5, 0x1.0ce5df4756359p-5, 0x1.ea63169ed284dp-6, 0x1.b6e533c20e88dp-6, 0x1.7f6640d48d1d5p-6, 0x1.43fdf560f870ep-6, 0x1.04c74d3492c3ap-6, 0x1.83c07f00d9d4p-7, 0x1.eda5d9219bd06p-8, 0x1.8c30361d8f2e1p-9, -0x1.ba4d4c7f31b1cp-10, -0x1.afc004fc92c1dp-8, -0x1.7e65894439621p-7, -0x1.1543056dd7296p-6, -0x1.6df5873570911p-6, -0x1.c91e244aeb4d3p-6, -0x1.1348022db8669p-5, -0x1.430ee7f712712p-5, -0x1.73ccf05f1bf6bp-5, -0x1.a56b377877c5dp-5, -0x1.d7d2dd977527ep-5, -0x1.05768d6b740e8p-4, -0x1.1f51a88ef158dp-4, -0x1.396f8e58895c1p-4, -0x1.53c531addab4dp-4, -0x1.6e47b11eb3b3bp-4, -0x1.88ec5d2568502p-4, -0x1.a3a8bdc7dcb72p-4, -0x1.be7297a0c4d32p-4, -0x1.d93ff058a24f4p-4, -0x1.f407129626381p-4, -0x1.075f48b6b2689p-3, -0x1.14aea5aab751bp-3, -0x1.21ed3655c027fp-3, -0x1.2f16b8e57a03p-3, -0x1.3c2714607b80cp-3, -0x1.491a59514368ap-3, -0x1.55ecc245b8551p-3, -0x1.629ab42630532p-3, -0x1.6f20be66fdbb2p-3, -0x1.7b7b9b176eaf6p-3, -0x1.87a82ed0eb96ap-3, -0x1.93a38888caebcp-3, -0x1.9f6ae147654adp-3, -0x1.aafb9bc6b38e4p-3, -0x1.b65343faaf358p-3, -0x1.c16f8e859ad7cp-3, -0x1.cc4e581a247dap-3, -0x1.d6eda4cd44c9cp-3, -0x1.e14b9f599b8b2p-3, -0x1.eb669855efedep-3, -0x1.f53d056067288p-3, -0x1.fecd803fdeadfp-3, -0x1.040b62fe61cabp-2, -0x1.088bdaf95e406p-2, -0x1.0ce7a86e1a76fp-2, -0x1.111e5bec85804p-2, -0x1.152f95b89f283p-2, -0x1.191b054a5753p-2, -0x1.1ce068cc5dffep-2, -0x1.207f8c9a4c9bcp-2, -0x1.23f84abe8a478p-2, -0x1.274a8a703ea1fp-2, -0x1.2a763f91a7f66p-2, -0x1.2d7b6a2f188c4p-2, -0x1.305a15fee5dabp-2, -0x1.331259e27d867p-2, -0x1.35a45768ddbc6p-2, -0x1.38103a529ff7ep-2, -0x1.3a563817c381ep-2, -0x1.3c768f6f5fae2p-2, -0x1.3e7187d95fb47p-2, -0x1.4047712a6a02ap-2, -0x1.41f8a31a0c8a3p-2, -0x1.43857cd34639bp-2, -0x1.44ee648784f15p-2, -0x1.4633c704221p-2, -0x1.4756174a763a5p-2, -0x1.4855ce2a876f3p-2, -0x1.493369e05e2b7p-2, -0x1.49ef6db40bba4p-2, -0x1.4a8a619c5f0dep-2, -0x1.4b04d1e45553fp-2, -0x1.4b5f4ed33b44bp-2, -0x1.4b9a6c578bf04p-2, -0x1.4bb6c1b47f65dp-2, -0x1.4bb4e9324fceep-2, -0x1.4b957fd1275bdp-2, -0x1.4b5924feb9a4dp-2, -0x1.4b007a4e7ca06p-2, -0x1.4a8c23347be74p-2, -0x1.49fcc4c2bd7a6p-2, -0x1.495305692d0c5p-2, -0x1.488f8cb809d8cp-2, -0x1.47b30324c5014p-2, -0x1.46be11d14b9ap-2, -0x1.45b16255ae526p-2, -0x1.448d9e8c1dee9p-2, -0x1.4353705f2a895p-2, -0x1.4203819a42198p-2, -0x1.409e7bbc5a009p-2, -0x1.3f2507ccbd789p-2, -0x1.3d97ce31ed188p-2, -0x1.3bf7768a89463p-2, -0x1.3a44a7883911fp-2, -0x1.388006cc7b74p-2, -0x1.36aa38c75c535p-2, -0x1.34c3e097ffb29p-2, -0x1.32cd9feeefaa8p-2, -0x1.30c816f22a8cep-2, -0x1.2eb3e422dac2cp-2, -0x1.2c91a444b1cd8p-2, -0x1.2a61f246d7046p-2, -0x1.2825672e6063dp-2, -0x1.25dc9a0245978p-2, -0x1.23881fb8c2b1cp-2, -0x1.21288b2620024p-2, -0x1.1ebe6cecd087dp-2, -0x1.1c4a536ede32bp-2, -0x1.19cccac095729p-2, -0x1.17465c9c68976p-2, -0x1.14b79057fa4d7p-2, -0x1.1220eada49efp-2, -0x1.0f82ee92f78c9p-2, -0x1.0cde1b728b717p-2, -0x1.0a32eee3c4a94p-2, -0x1.0781e3c5da4b2p-2, -0x1.04cb7267a8f12p-2, -0x1.02101083c5542p-2, -0x1.fea0627acb0cfp-3, -0x1.f9188a3c38d35p-3, -0x1.f3897428b2949p-3, -0x1.edf3f6e556666p-3, -0x1.e858e3df64d3fp-3, -0x1.e2b9074d8e3cep-3, -0x1.dd15283281437p-3, -0x1.d76e0860b6c43p-3, -0x1.d1c4647f663bcp-3, -0x1.cc18f4109f151p-3, -0x1.c66c697861ef6p-3, -0x1.c0bf7204c9b08p-3, -0x1.bb12b5f717881p-3, -0x1.b566d88dab8f5p-3, -0x1.afbc780ed2478p-3, -0x1.aa142dd45e292p-3, -0x1.a46e8e57fd704p-3, -0x1.9ecc2940443a6p-3, -0x1.992d896e5b215p-3, -0x1.9393350c4ecddp-3, -0x1.8dfdad9be9a31p-3, -0x1.886d70061946cp-3, -0x1.82e2f4aad10fcp-3, -0x1.7d5eaf715b49ep-3, -0x1.77e10fd914e89p-3, -0x1.726a810a90234p-3, -0x1.6cfb69e901d66p-3, -0x1.67942d240c213p-3, -0x1.62352949c6968p-3, -0x1.5cdeb8d90946bp-3, -0x1.57913253ef346p-3, -0x1.524ce8528848ap-3, -0x1.4d122995b6613p-3, -0x1.47e1411a2cac7p-3, -0x1.42ba762b8a4a3p-3, -0x1.3d9e0c778d8d6p-3, -0x1.388c44215550cp-3, -0x1.338559d4b13f7p-3, -0x1.2e8986d9713c8p-3, -0x1.29990126bcb51p-3, -0x1.24b3fb765e83p-3, -0x1.1fdaa5580c6ap-3, -0x1.1b0d2b44a243ap-3, -0x1.164bb6b141e77p-3, -0x1.11966e226dcb8p-3, -0x1.0ced753ef7a9fp-3, -0x1.0850ece2e032ep-3, -0x1.03c0f33210eb3p-3, -0x1.fe7b4755e2338p-4, -0x1.f58e2e71a63fcp-4, -0x1.ecbac88c828b8p-4, -0x1.e4013d9e1f2fep-4, -0x1.db61b0e49a72ep-4, -0x1.d2dc4107f58c7p-4, -0x1.ca71083d25f1bp-4, -0x1.c2201c68b4467p-4, -0x1.b9e98f40f3834p-4, -0x1.b1cd6e6fc3fffp-4, -0x1.a9cbc3b3deddep-4, -0x1.a1e49501ad55fp-4, -0x1.9a17e4a3a15cfp-4, -0x1.9265b15a13aap-4, -0x1.8acdf67aa399ep-4, -0x1.8350ac0f12403p-4, -0x1.7bedc6f39c2b7p-4, -0x1.74a538f4cdcf5p-4, -0x1.6d76f0ecd3a44p-4, -0x1.6662dae0402dap-4, -0x1.5f68e01a4c1f8p-4, -0x1.5888e7488c3e5p-4, -0x1.51c2d4961e8d1p-4, -0x1.4b1689c64d632p-4, -0x1.4483e64ea6787p-4, -0x1.3e0ac770888d2p-4, -0x1.37ab085228ba4p-4, -0x1.3164821709f76p-4, -0x1.2b370bf7e9d2cp-4, -0x1.25227b5a290b6p-4, -0x1.1f26a3e6a4cb1p-4, -0x1.194357a008f19p-4, -0x1.137866f89d066p-4, -0x1.0dc5a0e786b7ap-4, -0x1.082ad2fd880d8p-4, -0x1.02a7c9793492bp-4, -0x1.fa789eb555a1p-5, -0x1.efd05ced81c32p-5, -0x1.e5565f136aaf4p-5, -0x1.db0a3492b8615p-5, -0x1.d0eb6aeda41ep-5, -0x1.c6f98ddf51602p-5, -0x1.bd34277d3ff65p-5, -0x1.b39ac057bfbfp-5, -0x1.aa2cdf9973bb2p-5, -0x1.a0ea0b25e4775p-5, -0x1.97d1c7b727c7ap-5, -0x1.8ee398faa3cfcp-5, -0x1.861f01ace75dfp-5, -0x1.7d8383b4a009p-5, -0x1.7510a03cbc7f5p-5, -0x1.6cc5d7cda9c91p-5, -0x1.64a2aa65baf85p-5, -0x1.5ca69790c46dep-5, -0x1.54d11e7ee4026p-5, -0x1.4d21be1a7d781p-5, -0x1.4597f51d6cf74p-5, -0x1.3e3342257c3fbp-5, -0x1.36f323c8132cp-5, -0x1.2fd718a529822p-5, -0x1.28de9f7984f9p-5, -0x1.22093730420a8p-5, -0x1.1b565ef3ab184p-5, -0x1.14c5963d5e95p-5, -0x1.0e565ce5cfd12p-5, -0x1.0808333325ed1p-5, -0x1.01da99e7729e9p-5, -0x1.f79a249c90533p-6, -0x1.ebbe3c937ee62p-6, -0x1.e02080bdc51ep-6, -0x1.d4bff782f8feap-6, -0x1.c99ba8beccd36p-6, -0x1.beb29dd67e8a4p-6, -0x1.b403e1cd4581cp-6, -0x1.a98e8157a5753p-6, -0x1.9f518aedd00b9p-6, -0x1.954c0edcf6c6bp-6, -0x1.8b7d1f57c652ap-6, -0x1.81e3d085d019p-6, -0x1.787f3892265a3p-6, -0x1.6f4e6fb90ea6ep-6, -0x1.66509054d1c35p-6, -0x1.5d84b6e9c735ep-6, -0x1.54ea0231832d1p-6, -0x1.4c7f932549368p-6, -0x1.44448d07b7d1ap-6, -0x1.3c38156db49afp-6, -0x1.34595446a7236p-6, -0x1.2ca773e40326ep-6, -0x1.2521a100265c5p-6, -0x1.1dc70ac497f0ap-6, -0x1.1696e2cf9d035p-6, -0x1.0f905d393b78cp-6, -0x1.08b2b097a4cd9p-6, -0x1.01fd160313791p-6, -0x1.f6dd92323b5f2p-7, -0x1.ea0e0ffeff406p-7, -0x1.dd8a26cccf7afp-7, -0x1.d1505d1481aep-7, -0x1.c55f3e6a1e41bp-7, -0x1.b9b55b7e9d222p-7, -0x1.ae514a20e5e3cp-7, -0x1.a331a53ddf3ecp-7, -0x1.98550cdfa735cp-7, -0x1.8dba262c37771p-7, -0x1.835f9b6317abcp-7, -0x1.79441bda9826bp-7, -0x1.6f665bfc2ccdap-7, -0x1.65c515402a61cp-7, -0x1.5c5f06290c286p-7, -0x1.5332f23df75b7p-7, -0x1.4a3fa204bff01p-7, -0x1.4183e2fb816b3p-7, -0x1.38fe87918d479p-7, -0x1.30ae671fe3fb1p-7, -0x1.28925de14e01p-7, -0x1.20a94ce9fbb76p-7, -0x1.18f21a1ea7fa8p-7, -0x1.116bb02b8ed7ap-7, -0x1.0a14fe7ac70b9p-7, -0x1.02ecf92a5efc9p-7, -0x1.f7e532046c95fp-8, -0x1.ea49b6d2c3ba4p-8, -0x1.dd0584b6d618dp-8, -0x1.d016a8ba7a1a1p-8, -0x1.c37b38e3b96e7p-8, -0x1.b731541d996e1p-8, -0x1.ab37222093883p-8, -0x1.9f8ad35aa3dd3p-8, -0x1.942aa0d709e06p-8, -0x1.8914cc259a131p-8, -0x1.7e479f41fce43p-8, -0x1.73c16c7a36e1ep-8, -0x1.69808e55619dbp-8, -0x1.5f836779d2326p-8, -0x1.55c862935a876p-8, -0x1.4c4df2392cd92p-8, -0x1.431290d3af7e1p-8, -0x1.3a14c0823e17ep-8, -0x1.31530b009893bp-8, -0x1.28cc018c642eap-8, -0x1.207e3ccaa2576p-8, -0x1.18685cad17852p-8, -0x1.1089085791afdp-8, -0x1.08deee05756e7p-8, -0x1.0168c2eefa956p-8, -0x1.f44a865cfa311p-9, -0x1.e626634c22f6bp-9, -0x1.d862afc9dab04p-9, -0x1.cafd0c19fef11p-9, -0x1.bdf3257138f5dp-9, -0x1.b142b5c0ae302p-9, -0x1.a4e983818188dp-9, -0x1.98e56180eb812p-9, -0x1.8d342eac7029cp-9, -0x1.81d3d5de6bcbfp-9, -0x1.76c24dab00664p-9, -0x1.6bfd982d4ce84p-9, -0x1.6183c2d51e076p-9, -0x1.5752e634c8bc2p-9, -0x1.4d6925cf541f8p-9, -0x1.43c4afe736c7p-9, -0x1.3a63bd4dc062fp-9, -0x1.314491325263ep-9, -0x1.286578f27ffebp-9, -0x1.1fc4cbeaca20bp-9, -0x1.1760eb473fcep-9, -0x1.0f3841d4f97d4p-9, -0x1.074943d3e973dp-9, -0x1.ff24dd92b1ec7p-10, -0x1.f02492a545a95p-10, -0x1.e18ec5f174a2ap-10, -0x1.d360a8083458ap-10, -0x1.c5977aa268133p-10, -0x1.b830904a96b9fp-10, -0x1.ab294c0801144p-10, -0x1.9e7f210a6b0e4p-10, -0x1.922f92579c172p-10, -0x1.86383279621abp-10, -0x1.7a96a32caa939p-10, -0x1.6f489512ba4c4p-10, -0x1.644bc761df254p-10, -0x1.599e0798a15dcp-10, -0x1.4f3d3130d7962p-10, -0x1.45272d54dbc24p-10, -0x1.3b59f29582e3ep-10, -0x1.31d384a0f832dp-10, -0x1.2891f3faff6f3p-10, -0x1.1f935db67ed6cp-10, -0x1.16d5eb2f82b2bp-10, -0x1.0e57d1c6e95c8p-10, -0x1.0617529e774bbp-10, -0x1.fc2574ae08d46p-11, -0x1.ec90c19dd3a08p-11, -0x1.dd6d51c3d0aep-11, -0x1.ceb80053f2b4fp-11, -0x1.c06dbd834d3e8p-11, -0x1.b28b8e0d2d5fp-11, -0x1.a50e8abc3a705p-11, -0x1.97f3dff33871fp-11, -0x1.8b38cd3a4c3bdp-11, -0x1.7edaa4cd8e896p-11, -0x1.72d6cb2ce83a4p-11, -0x1.672ab6ae83079p-11, -0x1.5bd3ef146097bp-11, -0x1.50d00d218495p-11, -0x1.461cba3346f89p-11, -0x1.3bb7afdb29d58p-11, -0x1.319eb77b0aa04p-11, -0x1.27cfa9e38ebddp-11, -0x1.1e486ef4b1025p-11, -0x1.1506fd3f08bc7p-11, -0x1.0c0959a7e273ep-11, -0x1.034d970fb0fc9p-11, -0x1.f5a3abf14ccbp-12, -0x1.e52888601fef6p-12, -0x1.d52638f3304b8p-12, -0x1.c5994c76cd04dp-12, -0x1.b67e6a5aa90a3p-12, -0x1.a7d25211a5b2cp-12, -0x1.9991da7491836p-12, -0x1.8bb9f12aec16ap-12, -0x1.7e479a13a1e96p-12, -0x1.7137eeb3a8cddp-12, -0x1.64881da4faf2fp-12, -0x1.58356a0ae768bp-12, -0x1.4c3d2b0829f56p-12, -0x1.409ccb39d2a67p-12, -0x1.3551c832a613fp-12, -0x1.2a59b1fabccf6p-12, -0x1.1fb22a934b788p-12, -0x1.1558e57a64119p-12, -0x1.0b4ba7342849bp-12, -0x1.018844d4b553ap-12, -0x1.f019471a79464p-13, -0x1.ddad70782289cp-13, -0x1.cbc90e0076913p-13, -0x1.ba68459c56ccbp-13, -0x1.a9875a0d2827ep-13, -0x1.9922aa24451a9p-13, -0x1.8936affac1afdp-13, -0x1.79c0002d8e3f4p-13, -0x1.6abb4924abd06p-13, -0x1.5c2552543bd5bp-13, -0x1.4dfafb8b50d2p-13, -0x1.40393c42e5b89p-13, -0x1.32dd22f3a518dp-13, -0x1.25e3d46c72d7cp-13, -0x1.194a8b2f7f73dp-13, -0x1.0d0e96d5e4d17p-13, -0x1.012d5b70d7562p-13, -0x1.eb48a1e5a9192p-14, -0x1.d4e2053d7b63ap-14, -0x1.bf221ce807ebfp-14, -0x1.aa04494a5f1c9p-14, -0x1.95840e1b5f24fp-14, -0x1.819d115ed3042p-14, -0x1.6e4b1a5cf4b6cp-14, -0x1.5b8a10a6fb725p-14, -0x1.4955fb28bcc53p-14, -0x1.37aaff30bf2dfp-14, -0x1.26855f89f1445p-14, -0x1.15e17b9b10724p-14, -0x1.05bbce86fa67dp-14, -0x1.ec21dcb09dd2cp-15, -0x1.cdbb165c29542p-15, -0x1.b03cdce91fbaep-15, -0x1.93a0f4388593dp-15, -0x1.77e14fb464fdp-15, -0x1.5cf810dfd2f35p-15, -0x1.42df85e96f752p-15, -0x1.299228446dbcep-15, -0x1.110a9b56583f3p-15, -0x1.f2875651dff52p-16, -0x1.c4709647d5058p-16, -0x1.97c729a594522p-16, -0x1.6c818d62d68e8p-16, -0x1.4296861126303p-16, -0x1.19fd1d8e47fe6p-16, -0x1.e55941b55ea6fp-17, -0x1.99393beac95e8p-17, -0x1.4f89c3a3d678ap-17, -0x1.083aec9e9e916p-17, -0x1.867a8124536b2p-18, -0x1.010376de775b4p-18, -0x1.ffce3d6f3ebdp-20, -0x1.973ac082b5c3cp-25, 0x1.d59d72cb843e9p-20, 0x1.d3d1498ebaf14p-19, 0x1.5a6f5e4c6f555p-18, 0x1.c714c91db8c98p-18, 0x1.17f8b7c8b8f33p-17, 0x1.4a8e9621b7b4ap-17, 0x1.7b5797e3e6ceap-17, 0x1.aa5f032c1dc1fp-17, 0x1.d7afce83f1ef8p-17, 0x1.01aa51c36015ap-16, 0x1.16abf0b2d6619p-16, 0x1.2ae1cfa93f61ap-16, 0x1.3e50d771d4ff9p-16, 0x1.50fdcf2474f9cp-16, 0x1.62ed5d45ac4eap-16, 0x1.742408da3148bp-16, 0x1.84a63a7577045p-16, 0x1.94783d297805ep-16, 0x1.a39e3f8da10fcp-16, 0x1.b21c54a7b36cep-16, 0x1.bff674d4df704p-16, 0x1.cd307ea598b73p-16, 0x1.d9ce37bcd30a4p-16, 0x1.e5d34d9ea3d7ep-16, 0x1.f1435679c7d72p-16, 0x1.fc21d1e62e6adp-16, 0x1.033914d23ad88p-15, 0x1.081bd92d09c97p-15, 0x1.0cbad61f2637fp-15, 0x1.1117a1dd0144ep-15, 0x1.1533c90e851e9p-15, 0x1.1910cf17c4cbcp-15, 0x1.1cb02e684b1e5p-15, 0x1.201358c1372a7p-15, 0x1.233bb780cf05p-15, 0x1.262aabe4bc5b4p-15, 0x1.28e18f4ce39bp-15, 0x1.2b61b37a4822ep-15, 0x1.2dac62cb0a411p-15, 0x1.2fc2e0790dc7bp-15, 0x1.31a668d295314p-15, 0x1.3358316cebfe7p-15, 0x1.34d9695f63d28p-15, 0x1.362b397355831p-15, 0x1.374ec4545a005p-15, 0x1.384526c26bca4p-15, 0x1.390f77bb05793p-15, 0x1.39aec8aa4364ep-15, 0x1.3a2425913a9bcp-15, 0x1.3a7095321e09cp-15, 0x1.3a9519332cd17p-15, 0x1.3a92ae46718cap-15, 0x1.3a6a4c4ed27b8p-15, 0x1.3a1ce6828f187p-15, 0x1.39ab6b8a20173p-15, 0x1.3916c5a459114p-15, 0x1.385fdac254a2fp-15, 0x1.37878ca69d32p-15, 0x1.368eb901d7a23p-15, 0x1.3576398c66b2cp-15, 0x1.343ee4233b2bdp-15, 0x1.32e98adfa0564p-15, 0x1.3176fc31e150ep-15, 0x1.2fe802f540d45p-15, 0x1.2e3d66873d1eep-15, 0x1.2c77eae051c7ap-15, 0x1.2a9850a5a8909p-15, 0x1.289f553dd6f6cp-15, 0x1.268db2e3cb597p-15, 0x1.246420b92272bp-15, 0x1.222352d7b0e3fp-15, 0x1.1fcbfa6382929p-15, 0x1.1d5ec599e7375p-15, 0x1.1adc5fe18e957p-15, 0x1.184571d91c57dp-15, 0x1.159aa16793e7fp-15, 0x1.12dc91c712e75p-15, 0x1.100be39238358p-15, 0x1.0d2934d30c1bbp-15, 0x1.0a35210fae7e3p-15, 0x1.0730415437b92p-15, 0x1.041b2c3df69bap-15, 0x1.00f67606d603ep-15, 0x1.fb85611e905e3p-16, 0x1.f500d6d1ae169p-16, 0x1.ee6067c001828p-16, 0x1.e7a52a0c65036p-16, 0x1.e0d02f71698ep-16, 0x1.d9e28555ca5efp-16, 0x1.d2dd34ddc97dbp-16, 0x1.cbc142f4d3b58p-16, 0x1.c48fb06010c87p-16, 0x1.bd4979d03a71cp-16, 0x1.b5ef97f06706ap-16, 0x1.ae82ff6eb6466p-16, 0x1.a704a10d835a5p-16, 0x1.9f7569ac033d3p-16, 0x1.97d642553080ap-16, 0x1.9028104c057c5p-16, 0x1.886bb5159449ap-16, 0x1.80a20e8a7f617p-16, 0x1.78cbf6d92ffb7p-16, 0x1.70ea449588b4ep-16, 0x1.68fdcac297f34p-16, 0x1.610758d8c86fep-16, 0x1.5907bad0e4d5p-16, 0x1.50ffb92f87715p-16, 0x1.48f0191128719p-16, 0x1.40d99c2cc2801p-16, 0x1.38bd00e05b7d7p-16, 0x1.309b02374c1c4p-16, 0x1.287457f1de79ep-16, 0x1.2049b68eea2a7p-16, 0x1.181bcf531d12bp-16, 0x1.0feb50545353ap-16, 0x1.07b8e47db4c61p-16, 0x1.ff0a672ece10ep-17, 0x1.eea1c49de7638p-17, 0x1.de3924798ae22p-17, 0x1.cdd1c3d755193p-17, 0x1.bd6cd9bc224e7p-17, 0x1.ad0b9735c43e9p-17, 0x1.9caf276266586p-17, 0x1.8c58af783b788p-17, 0x1.7c094edce919fp-17, 0x1.6bc21f2a010dcp-17, 0x1.5b84343b793d7p-17, 0x1.4b509c3e326aap-17, 0x1.3b285fbc20a3ap-17, 0x1.2b0c81b2a7a9cp-17, 0x1.1afdff90c6db6p-17, 0x1.0afdd14db3b6fp-17, 0x1.f619d2dc470fcp-18, 0x1.d6586a288ff75p-18, 0x1.b6b93816c64c5p-18, 0x1.973e01a2e719ap-18, 0x1.77e881534c2b3p-18, 0x1.58ba675457078p-18, 0x1.39b5597ad3b1ep-18, 0x1.1adaf36f8896cp-18, 0x1.f8598d8436196p-19, 0x1.bb58b5f8a2725p-19, 0x1.7eb65b7794cc5p-19, 0x1.42756592379a4p-19, 0x1.0698a887cf623p-19, 0x1.9645caa08489ep-20, 0x1.202d939463bfbp-20, 0x1.55dbc3f5dd35bp-21, 0x1.b45e337d9d42ap-23, -0x1.e79e9b5f08c4ap-23, -0x1.5f1849331b989p-21, -0x1.21388a6206646p-20, -0x1.91f485b787196p-20, -0x1.00dddd90dc8abp-19, -0x1.3844f921eec0ep-19, -0x1.6f2d8ab75ac6ap-19, -0x1.a59598a4ef42bp-19, -0x1.db7b3a3a9aa17p-19, -0x1.086e4bcf3231cp-18, -0x1.22dbf4c4f43b9p-18, -0x1.3d05bc841e9b8p-18, -0x1.56eacfb102de7p-18, -0x1.708a62f6546dap-18, -0x1.89e3b2e65bbaap-18, -0x1.a2f603e904243p-18, -0x1.bbc0a221925c8p-18, -0x1.d442e1513cb23p-18, -0x1.ec7c1cc9c0cccp-18, -0x1.0235db9fb6c45p-17, -0x1.0e088d61910f9p-17, -0x1.19b5dc55a862fp-17, -0x1.253d84b7d3e14p-17, -0x1.309f464c4fc31p-17, -0x1.3bdae451eb997p-17, -0x1.46f02579a6442p-17, -0x1.51ded3d74cdcep-17, -0x1.5ca6bcd1b2721p-17, -0x1.6747b11b4753ap-17, -0x1.71c184a3a0299p-17, -0x1.7c140e8d595a9p-17, -0x1.863f2924f12d3p-17, -0x1.9042b1ceafeb3p-17, -0x1.9a1e88fe741f2p-17, -0x1.a3d29229e6514p-17, -0x1.ad5eb3c08d53ep-17, -0x1.b6c2d715e6bdfp-17, -0x1.bffee85e42c14p-17, -0x1.c912d6a41a9ffp-17, -0x1.d1fe93b697565p-17, -0x1.dac2141fdb9eap-17, -0x1.e35d4f19c484ap-17, -0x1.ebd03e852f9d1p-17, -0x1.f41adeda27f14p-17, -0x1.fc3d2f1a47d9fp-17, -0x1.021b98659320dp-16, -0x1.060473f31e796p-16, -0x1.09d92d66bef7fp-16, -0x1.0d99c9237d70fp-16, -0x1.11464cb58d86dp-16, -0x1.14debecc45788p-16, -0x1.18632735ede99p-16, -0x1.1bd38edbb66aap-16, -0x1.1f2fffb803cfap-16, -0x1.227884d3a27e1p-16, -0x1.25ad2a3f81b4p-16, -0x1.28cdfd11fc2d3p-16, -0x1.2bdb0b5cc984bp-16, -0x1.2ed4642aade4cp-16, -0x1.31ba1779f8949p-16, -0x1.348c36370ec59p-16, -0x1.374ad23614d72p-16, -0x1.39f5fe2e3a416p-16, -0x1.3c8dcdb5c473ep-16, -0x1.3f12553af07f7p-16, -0x1.4183a9ffc8a27p-16, -0x1.43e1e2168710bp-16, -0x1.462d145b184d3p-16, -0x1.4865586da1a56p-16, -0x1.4a8ac6adc3051p-16, -0x1.4c9d78382bfd5p-16, -0x1.4e9d86de531c7p-16, -0x1.508b0d2396391p-16, -0x1.526626376ec73p-16, -0x1.542eedf1ffdc9p-16, -0x1.55e580cf9bc0bp-16, -0x1.5789fbe966e6p-16, -0x1.591c7cf489d46p-16, -0x1.5a9d223b384afp-16, -0x1.5c0c0a9846ab1p-16, -0x1.5d6955742077bp-16, -0x1.5eb522bf75b98p-16, -0x1.5fef92ef044b3p-16, -0x1.6118c6f704e9dp-16, -0x1.6230e0477bf9p-16, -0x1.633800c852126p-16, -0x1.642e4ad417c09p-16, -0x1.6513e1344721p-16, -0x1.65e8e71e447a8p-16, -0x1.66ad802e55d92p-16, -0x1.6761d063d083bp-16, -0x1.6805fc1d52b0dp-16, -0x1.689a2815903b6p-16, -0x1.691e795d3cc02p-16, -0x1.6993155b2b51ep-16, -0x1.69f821c4ebaf5p-16, -0x1.6a4dc49dc05e6p-16, -0x1.6a94243079a7ap-16, -0x1.6acb670e04a76p-16, -0x1.6af3b4090cf7bp-16, -0x1.6b0d3233f527dp-16, -0x1.6b1808db1e861p-16, -0x1.6b145f834c3cp-16, -0x1.6b025de514b1ep-16, -0x1.6ae22beaeeeadp-16, -0x1.6ab3f1ac4f999p-16, -0x1.6a77d76c38e9bp-16, -0x1.6a2e05959d472p-16, -0x1.69d6a4b7e9c7fp-16, -0x1.6971dd84836b3p-16, -0x1.68ffd8cb213b4p-16, -0x1.6880bf781e1ecp-16, -0x1.67f4ba904395ap-16, -0x1.675bf32d7f5ecp-16, -0x1.66b6927f1477fp-16, -0x1.6604c1c47f44fp-16, -0x1.6546aa4aea29bp-16, -0x1.647c7569b6823p-16, -0x1.63a64c822ed06p-16, -0x1.62c458fbb2c05p-16, -0x1.61d6c442f270ap-16, -0x1.60ddb7c4720b7p-16, -0x1.5fd95cec71467p-16, -0x1.5ec9dd235c941p-16, -0x1.5daf61cbfba58p-16, -0x1.5c8a1440eea9dp-16, -0x1.5b5a1dd22a1bfp-16, -0x1.5a1fa7c4fd3fp-16, -0x1.58dadb4f5d50cp-16, -0x1.578be196f142fp-16, -0x1.5632e3aeea7dfp-16, -0x1.54d00a95d0aa9p-16, -0x1.53637f341233dp-16, -0x1.51ed6a58349ddp-16, -0x1.506df4b82cf57p-16, -0x1.4ee546ee087d5p-16, -0x1.4d538975aa0e7p-16, -0x1.4bb8e4a9b2e72p-16, -0x1.4a1580c4ac43dp-16, -0x1.486985dd28947p-16, -0x1.46b51be71f867p-16, -0x1.44f86ab06b755p-16, -0x1.433399ddd7b24p-16, -0x1.4166d0ebaf305p-16, -0x1.3f92372afb13p-16, -0x1.3db5f3c08fd89p-16, -0x1.3bd22da3e479bp-16, -0x1.39e70b9d12cd3p-16, -0x1.37f4b444cc01p-16, -0x1.35fb4e02c514p-16, -0x1.33faff0b2382bp-16, -0x1.31f3ed5ee3993p-16, -0x1.2fe63ec921187p-16, -0x1.2dd218def1bdbp-16, -0x1.2bb7a0fd3d4cap-16, -0x1.2996fc49ddca5p-16, -0x1.27704fb159435p-16, -0x1.2543bfe556ebbp-16, -0x1.2311715b27b39p-16, -0x1.20d9884bc13b9p-16, -0x1.1e9c28b23e7c8p-16, -0x1.1c59764d27a3bp-16, -0x1.1a11949cd8112p-16, -0x1.17c4a6e0b2cf9p-16, -0x1.1572d016cc1cp-16, -0x1.131c32fca34e8p-16, -0x1.10c0f20cb4465p-16, -0x1.0e612f7ea416fp-16, -0x1.0bfd0d4707627p-16, -0x1.0994ad1602b5bp-16, -0x1.07283056f862dp-16, -0x1.04b7b8311f1b2p-16, -0x1.024365846e57fp-16, -0x1.ff96b1d70529dp-17, -0x1.fa9f657167082p-17, -0x1.f5a125eef45cap-17, -0x1.f09c32d3fefb2p-17, -0x1.eb90cb1906d3cp-17, -0x1.e67f2d23eb98bp-17, -0x1.e16796c67a5ep-17, -0x1.dc4a453f6b3e2p-17, -0x1.d72775398087fp-17, -0x1.d1ff62c8a6513p-17, -0x1.ccd2496f55a4fp-17, -0x1.c7a0641de05efp-17, -0x1.c269ed2a89cb2p-17, -0x1.bd2f1e559cebfp-17, -0x1.b7f030c707fd6p-17, -0x1.b2ad5d10ddc4fp-17, -0x1.ad66db2c35ba9p-17, -0x1.a81ce27ae5071p-17, -0x1.a2cfa9c63a417p-17, -0x1.9d7f673f65326p-17, -0x1.982c507f6f9f6p-17, -0x1.92d69a8767165p-17, -0x1.8d7e79beae054p-17, -0x1.882421f302efcp-17, -0x1.82c7c65a3f304p-17, -0x1.7d69998f2a29p-17, -0x1.7809cd92cd609p-17, -0x1.72a893d1fd28fp-17, -0x1.6d461d1f149fp-17, -0x1.67e299b1fe501p-17, -0x1.627e392a23fb8p-17, -0x1.5d192a8db0574p-17, -0x1.57b39c4a24f16p-17, -0x1.524dbc366c879p-17, -0x1.4ce7b795c1a7cp-17, -0x1.4781bb10c2ca7p-17, -0x1.421bf2b7e1308p-17, -0x1.3cb68a050e599p-17, -0x1.3751abdba1ee8p-17, -0x1.31ed8289509fdp-17, -0x1.2c8a37c61f9c1p-17, -0x1.2727f4b453d81p-17, -0x1.21c6e1e226956p-17, -0x1.1c67274946214p-17, -0x1.1708ec51e3393p-17, -0x1.11ac57cfad983p-17, -0x1.0c51900261c5cp-17, -0x1.06f8ba996570ep-17, -0x1.01a1fcb1e9433p-17, -0x1.f89af5acf2abep-18, -0x1.edf6b20468c1ep-18, -0x1.e35775490a1aep-18, -0x1.d8bd85368ce28p-18, -0x1.ce29266aff793p-18, -0x1.c39a9c6880016p-18, -0x1.b912299622ab8p-18, -0x1.ae900f446763bp-18, -0x1.a4148dad0d6f4p-18, -0x1.999fe3fce02ep-18, -0x1.8f325046c8338p-18, -0x1.84cc0f8891a96p-18, -0x1.7a6d5db2bb7a4p-18, -0x1.701675a52cd1ep-18, -0x1.65c791337eb26p-18, -0x1.5b80e9248d8f9p-18, -0x1.5142b53579716p-18, -0x1.470d2c1d84e35p-18, -0x1.3ce08389f8a07p-18, -0x1.32bcf0294a7f4p-18, -0x1.28a2a5a4ff7dp-18, -0x1.1e91d6a1fb94cp-18, -0x1.148ab4c9e0669p-18, -0x1.0a8d70c85524p-18, -0x1.009a3a4a1c3b4p-18, -0x1.ed62800560565p-19, }}, 
      {{-0x1.713e24ba9f011p-1, -0x1.71405ea8292b4p-1, -0x1.714245ef1edabp-1, -0x1.7144a8f0c66ebp-1, -0x1.714a1ff9b0182p-1, -0x1.715612a0ad30dp-1, -0x1.716bc7a606f1ap-1, -0x1.718db9adefeaap-1, -0x1.71bd392d9e2bfp-1, -0x1.71fa4e9319ec9p-1, -0x1.7243c9d541ap-1, -0x1.72976df16c4c6p-1, -0x1.72f22aa51695p-1, -0x1.73505aaaad75bp-1, -0x1.73ae00147fe2fp-1, -0x1.7406fae691c6dp-1, -0x1.745737de8f0b1p-1, -0x1.749ad6976c279p-1, -0x1.74ce470921b8ep-1, -0x1.74ee5ee9fd4d2p-1, -0x1.74f867c496b92p-1, -0x1.74ea26bc3a9e2p-1, -0x1.74c1df05a6069p-1, -0x1.747e5014304d4p-1, -0x1.741eb06a8c12ep-1, -0x1.73a2a5e6c1c6ep-1, -0x1.730a3c464b24fp-1, -0x1.7255da83b58afp-1, -0x1.7186379461e2ep-1, -0x1.709c4ef3f0092p-1, -0x1.6f995554334cfp-1, -0x1.6e7eadb47c88bp-1, -0x1.6d4ddf11a7373p-1, -0x1.6c088ad19f8eap-1, -0x1.6ab06400c806ap-1, -0x1.6947276da7a63p-1, -0x1.67ce94a731ad4p-1, -0x1.664867dbbbc58p-1, -0x1.64b65491dccdfp-1, -0x1.631a0130edc79p-1, -0x1.6175034c6842ap-1, -0x1.5fc8dca3c0797p-1, -0x1.5e16f8c76728bp-1, -0x1.5c60ab534dd87p-1, -0x1.5aa72eaf4685ep-1, -0x1.58eba3460a695p-1, -0x1.572f0f244a342p-1, -0x1.55725df1fa2adp-1, -0x1.53b66138f2f45p-1, -0x1.51fbd0ecfdf38p-1, -0x1.50434c2a5c0ddp-1, -0x1.4e8d5a20e127ap-1, -0x1.4cda6b22b604p-1, -0x1.4b2ad9cec1e5p-1, -0x1.497eec4fac1d5p-1, -0x1.47d6d5a93a64ep-1, -0x1.4632b70e9a357p-1, -0x1.4492a13ce217p-1, -0x1.42f695d5c0e22p-1, -0x1.415e88b6e999cp-1, -0x1.3fca614b5eb47p-1, -0x1.3e39fbd4366dbp-1, -0x1.3cad2aa6e4f0cp-1, -0x1.3b23b75f82853p-1, -0x1.399d6405d29e7p-1, -0x1.3819ec24278bep-1, -0x1.369905cf7da44p-1, -0x1.351a62a0622b4p-1, -0x1.339db09c73968p-1, -0x1.32229b106a0abp-1, -0x1.30a8cb5ac54f7p-1, -0x1.2f2fe9a75490ep-1, -0x1.2db79d9bec98ap-1, -0x1.2c3f8ef6ad3eep-1, -0x1.2ac7661e51729p-1, -0x1.294ecca50b24ap-1, -0x1.27d56dbe7996dp-1, -0x1.265af6a94c817p-1, -0x1.24df170d329d8p-1, -0x1.2361814dad815p-1, -0x1.21e1ead265d79p-1, -0x1.20600c45a5bfep-1, -0x1.1edba1c98c044p-1, -0x1.1d546b2498ac7p-1, -0x1.1bca2be626b46p-1, -0x1.1a3cab83627e4p-1, -0x1.18abb56d50ffbp-1, -0x1.17171920684d7p-1, -0x1.157eaa2e42f6dp-1, -0x1.13e24041e83c7p-1, -0x1.1241b71f22848p-1, -0x1.109cee9d55153p-1, -0x1.0ef3ca9e3ecf9p-1, -0x1.0d4633010dc18p-1, -0x1.0b94139228452p-1, -0x1.09dd5bf8021a9p-1, -0x1.0821ff9d568a9p-1, -0x1.0661f5991613cp-1, -0x1.049d389454d25p-1, -0x1.02d3c6ae7a808p-1, -0x1.0105a15ffc698p-1, -0x1.fe659ab7b1e24p-2, -0x1.fab6a4e018a6p-2, -0x1.f6fe76ca6f1b7p-2, -0x1.f33d2bbb46f41p-2, -0x1.ef72e4679ffd6p-2, -0x1.eb9fc6b16c299p-2, -0x1.e7c3fd63c4de4p-2, -0x1.e3dfb7ef13f35p-2, -0x1.dff32a256df2fp-2, -0x1.dbfe8bf757aaap-2, -0x1.d802193123062p-2, -0x1.d3fe11391a2ffp-2, -0x1.cff2b6ce98a07p-2, -0x1.cbe04fca377edp-2, -0x1.c7c724df35c8fp-2, -0x1.c3a7815e2ac71p-2, -0x1.bf81b2f927bbcp-2, -0x1.bb56098953cf2p-2, -0x1.b724d6d61e5bap-2, -0x1.b2ee6e5e0aafbp-2, -0x1.aeb32521316acp-2, -0x1.aa73516d6ea93p-2, -0x1.a62f4aac59259p-2, -0x1.a1e76932f51cfp-2, -0x1.9d9c061336c13p-2, -0x1.994d7aef4afcep-2, -0x1.94fc21ceaee36p-2, -0x1.90a854f50fa5cp-2, -0x1.8c526ebaf37cap-2, -0x1.87fac9682a355p-2, -0x1.83a1bf0ffc961p-2, -0x1.7f47a96f18d7ap-2, -0x1.7aece1cb32872p-2, -0x1.7691c0d455cf8p-2, -0x1.72369e87dfa7dp-2, -0x1.6ddbd21512fcp-2, -0x1.6981b1c3489bbp-2, -0x1.652892d9ac4edp-2, -0x1.60d0c98879dcap-2, -0x1.5c7aa8d3ba768p-2, -0x1.5826827f6ebc1p-2, -0x1.53d4a6fd1ebf5p-2, -0x1.4f85655ac9e0ep-2, -0x1.4b390b332249p-2, -0x1.46efe49f146e3p-2, -0x1.42aa3c28858ccp-2, -0x1.3e685abe4a613p-2, -0x1.3a2a87a93b52p-2, -0x1.35f108826ed37p-2, -0x1.31bc212a7cff9p-2, -0x1.2d8c13c1cfe6bp-2, -0x1.296120a1ef008p-2, -0x1.253b8657ba4fp-2, -0x1.211b819e94518p-2, -0x1.1d014d5c6308ap-2, -0x1.18ed229e6ce0ap-2, -0x1.14df3896fbf66p-2, -0x1.10d7c49bc5f3dp-2, -0x1.0cd6fa2509901p-2, -0x1.08dd0acd5f805p-2, -0x1.04ea265230c67p-2, -0x1.00fe7a94c9217p-2, -0x1.fa34673805f63p-3, -0x1.f27af72cfca1bp-3, -0x1.ead0f5babd426p-3, -0x1.e336afef10c8ep-3, -0x1.dbac6f3aa4614p-3, -0x1.d43279794dca3p-3, -0x1.ccc910fb256a7p-3, -0x1.c570748e575c8p-3, -0x1.be28df89b8a07p-3, -0x1.b6f289d7fc654p-3, -0x1.afcda8038887bp-3, -0x1.a8ba6b42dcf5ap-3, -0x1.a1b9018580c59p-3, -0x1.9ac9958167ceep-3, -0x1.93ec4ec0c8da2p-3, -0x1.8d2151b05f208p-3, -0x1.8668bfadfd994p-3, -0x1.7fc2b71783092p-3, -0x1.792f535a073e7p-3, -0x1.72aead015afb9p-3, -0x1.6c40d9c7b139cp-3, -0x1.65e5eca585fdcp-3, -0x1.5f9df5e1a4d78p-3, -0x1.5969032157d79p-3, -0x1.53471f78b0e89p-3, -0x1.4d38537ae3de5p-3, -0x1.473ca54ab4c0fp-3, -0x1.415418aae99bep-3, -0x1.3b7eaf0ec5fa7p-3, -0x1.35bc67aa7a13dp-3, -0x1.300d3f83949ap-3, -0x1.2a713181612fbp-3, -0x1.24e8367d3a8dp-3, -0x1.1f724552c5c5bp-3, -0x1.1a0f52f0124acp-3, -0x1.14bf5265a22c7p-3, -0x1.0f8234f6500dcp-3, -0x1.0a57ea270bc0fp-3, -0x1.05405fce78fbcp-3, -0x1.003b8224604ep-3, -0x1.f69277a1e4b68p-4, -0x1.ecd2ebf7b7293p-4, -0x1.e33830b659b0fp-4, -0x1.d9c212841409ap-4, -0x1.d0705b5e47848p-4, -0x1.c742d2b601dd2p-4, -0x1.be393d8c0c1ccp-4, -0x1.b5535e8c8e2e8p-4, -0x1.ac90f62a40198p-4, -0x1.a3f1c2b9174a3p-4, -0x1.9b7580887dfdep-4, -0x1.931be9fd0dc61p-4, -0x1.8ae4b7a9c4591p-4, -0x1.82cfa068c175fp-4, -0x1.7adc597379a11p-4, -0x1.730a967a6cad1p-4, -0x1.6b5a09bc54ce7p-4, -0x1.63ca641cd3806p-4, -0x1.5c5b553a982ecp-4, -0x1.550c8b8504851p-4, -0x1.4dddb45149743p-4, -0x1.46ce7bef01dccp-4, -0x1.3fde8dbc464aep-4, -0x1.390d94393e28fp-4, -0x1.325b391b2fa52p-4, -0x1.2bc7255f065f1p-4, -0x1.2551015b6058p-4, -0x1.1ef874d211d89p-4, -0x1.18bd27012fc64p-4, -0x1.129ebeb396e92p-4, -0x1.0c9ce250f50efp-4, -0x1.06b737ed59d96p-4, -0x1.00ed65584612p-4, -0x1.f67e20568d106p-5, -0x1.eb57bbb025d1bp-5, -0x1.e066e76c70407p-5, -0x1.d5aaee2099613p-5, -0x1.cb231a616126p-5, -0x1.c0ceb6dbb5d7bp-5, -0x1.b6ad0e6c76c27p-5, -0x1.acbd6c3750c6fp-5, -0x1.a2ff1bbcc3f26p-5, -0x1.997168ef5a336p-5, -0x1.9013a04804f8ep-5, -0x1.86e50ed9acfccp-5, -0x1.7de502640030ep-5, -0x1.7512c9657015ap-5, -0x1.6c6db32c753c2p-5, -0x1.63f50fe809877p-5, -0x1.5ba830b77c019p-5, -0x1.538667b976dc9p-5, -0x1.4b8f081a64a86p-5, -0x1.43c166221c1cep-5, -0x1.3c1cd740ecdbfp-5, -0x1.34a0b21bf5f11p-5, -0x1.2d4c4e98e9f43p-5, -0x1.261f05e92886dp-5, -0x1.1f18329445cdbp-5, -0x1.18373081f3961p-5, -0x1.117b5d035a92fp-5, -0x1.0ae416dbe7ecap-5, -0x1.0470be498c50ap-5, -0x1.fc416a18db20dp-6, -0x1.efe6bcdc435ccp-6, -0x1.e3d03e90bffcbp-6, -0x1.d7fcbc166a08ep-6, -0x1.cc6b058587f54p-6, -0x1.c119ee391c7e3p-6, -0x1.b6084cd899f93p-6, -0x1.ab34fb60ab508p-6, -0x1.a09ed72b34728p-6, -0x1.9644c0f681c23p-6, -0x1.8c259ceba6889p-6, -0x1.824052a420ec3p-6, -0x1.7893cd2ec63f1p-6, -0x1.6f1efb13f0998p-6, -0x1.65e0ce59000ddp-6, -0x1.5cd83c833731dp-6, -0x1.54043e99f7386p-6, -0x1.4b63d12858c8cp-6, -0x1.42f5f43e289e6p-6, -0x1.3ab9ab7061f9ep-6, -0x1.32adfdd9154c1p-6, -0x1.2ad1f616c4401p-6, -0x1.2324a24b44092p-6, -0x1.1ba5141a1d817p-6, -0x1.145260a67d662p-6, -0x1.0d2ba090ac3ebp-6, -0x1.062feff31e1efp-6, -0x1.febcdcbe250cep-7, -0x1.f16c7db1bf9c6p-7, -0x1.e46d0fa7965e1p-7, -0x1.d7bce65b2c613p-7, -0x1.cb5a5c5369ad3p-7, -0x1.bf43d2d846cc6p-7, -0x1.b377b1e7fde5dp-7, -0x1.a7f4682b8beb5p-7, -0x1.9cb86aeac400ap-7, -0x1.91c235ffc3da8p-7, -0x1.87104bc9f34d8p-7, -0x1.7ca13520896bdp-7, -0x1.72738144af1f5p-7, -0x1.6885c5d324814p-7, -0x1.5ed69eb59e6c1p-7, -0x1.5564ae13b0a4ep-7, -0x1.4c2e9c436664ep-7, -0x1.433317b9918f4p-7, -0x1.3a70d4f9d0943p-7, -0x1.31e68e864daddp-7, -0x1.299304cf3baf1p-7, -0x1.2174fe221c138p-7, -0x1.198b4698c9cf2p-7, -0x1.11d4b0085dfa5p-7, -0x1.0a5011efe022fp-7, -0x1.02fc4966e499fp-7, -0x1.f7b07217dc79p-8, -0x1.e9c591e562459p-8, -0x1.dc35cd24b42f6p-8, -0x1.ceff09672fb7dp-8, -0x1.c21f36bd847ep-8, -0x1.b5944f939029fp-8, -0x1.a95c588c3f1ffp-8, -0x1.9d75605d6d7d1p-8, -0x1.91dd7fabab14ap-8, -0x1.8692d8e6011efp-8, -0x1.7b939821e0279p-8, -0x1.70ddf2f6e3c36p-8, -0x1.6670285aa9faap-8, -0x1.5c48807cdc3cdp-8, -0x1.52654ca3419eep-8, -0x1.48c4e705d7927p-8, -0x1.3f65b2ab554bp-8, -0x1.36461b45872acp-8, -0x1.2d64950de2335p-8, -0x1.24bf9ca27849cp-8, -0x1.1c55b6e2d9e6fp-8, -0x1.142570cd62765p-8, -0x1.0c2d5f5caf7c2p-8, -0x1.046c1f655c6b6p-8, -0x1.f9c0aae7b2ff7p-9, -0x1.eb115b5547f8ep-9, -0x1.dcc7b741766e7p-9, -0x1.cee13480c856ap-9, -0x1.c15b574c55f26p-9, -0x1.b433b200b6ed2p-9, -0x1.a767e4dcdea8fp-9, -0x1.9af59dc2441e3p-9, -0x1.8eda97f547a7dp-9, -0x1.83149bde706bfp-9, -0x1.77a17ecc46d4cp-9, -0x1.6c7f22b5e7aeap-9, -0x1.61ab75fe519cdp-9, -0x1.572473381b43bp-9, -0x1.4ce820ea21b51p-9, -0x1.42f49154dbcf3p-9, -0x1.3947e23870f32p-9, -0x1.2fe03c9b672a2p-9, -0x1.26bbd4925e627p-9, -0x1.1dd8e9081efc9p-9, -0x1.1535c3867c94dp-9, -0x1.0cd0b80034ff7p-9, -0x1.04a8249b472e3p-9, -0x1.f974e2f85f889p-10, -0x1.ea0c2123d2051p-10, -0x1.db12fac548f36p-10, -0x1.cc8679b2493a6p-10, -0x1.be63ba25ea875p-10, -0x1.b0a7ea5eac178p-10, -0x1.a3504a3dc4effp-10, -0x1.965a2ae80f08ap-10, -0x1.89c2ee6871469p-10, -0x1.7d880753bf41cp-10, -0x1.71a6f86dee31cp-10, -0x1.661d5450ab61cp-10, -0x1.5ae8bd139b1cp-10, -0x1.5006e3f64fcf5p-10, -0x1.4575890afafa4p-10, -0x1.3b327ae32d029p-10, -0x1.313b963e01d6bp-10, -0x1.278ec5b744229p-10, -0x1.1e2a017840dbfp-10, -0x1.150b4ee9d8504p-10, -0x1.0c30c06832085p-10, -0x1.039874f7878dep-10, -0x1.f6812ff51ca1cp-11, -0x1.e64ec1d41e591p-11, -0x1.d696261bf2ef2p-11, -0x1.c753fa6eee04cp-11, -0x1.b884f2f933d21p-11, -0x1.aa25d9ea1586cp-11, -0x1.9c338ef0dbde3p-11, -0x1.8eab06bb468c5p-11, -0x1.81894a76bef8ap-11, -0x1.74cb7754c11adp-11, -0x1.686ebe106ce6fp-11, -0x1.5c70627781331p-11, -0x1.50cdbaf4c7755p-11, -0x1.4584301dd971p-11, -0x1.3a913c428ca72p-11, -0x1.2ff26afedf8a4p-11, -0x1.25a558cf243afp-11, -0x1.1ba7b2a6b1fb6p-11, -0x1.11f7358801674p-11, -0x1.0891ae1fae2fep-11, -0x1.fee9f0c17f2a2p-12, -0x1.ed3dfe486c9eap-12, -0x1.dc1b77932e429p-12, -0x1.cb7e6bb438a8p-12, -0x1.bb63055b14f85p-12, -0x1.abc58a2358545p-12, -0x1.9ca259e51b5d1p-12, -0x1.8df5ee0bf4f79p-12, -0x1.7fbcd8ee9eda5p-12, -0x1.71f3c52cd4607p-12, -0x1.6497751053e7ep-12, -0x1.57a4c1f0801f5p-12, -0x1.4b189b99d1422p-12, -0x1.3ef007ba4ac18p-12, -0x1.3328214e8a0d2p-12, -0x1.27be18147d441p-12, -0x1.1caf300025aa2p-12, -0x1.11f8c0b35b548p-12, -0x1.079834f9a5ac6p-12, -0x1.fb16148e309ddp-13, -0x1.e79da0725d46bp-13, -0x1.d4c25036c8e86p-13, -0x1.c27f88df154cap-13, -0x1.b0d0d0ee0509dp-13, -0x1.9fb1cf7fecf19p-13, -0x1.8f1e4b6b42f19p-13, -0x1.7f122a63dfcf7p-13, -0x1.6f897026db26ep-13, -0x1.60803da9b27a7p-13, -0x1.51f2d04dca75dp-13, -0x1.43dd811bd2b2cp-13, -0x1.363cc400e58c7p-13, -0x1.290d2712c9b56p-13, -0x1.1c4b51d630b52p-13, -0x1.0ff4048c3de37p-13, -0x1.04041782d7a95p-13, -0x1.f0f0f4d5bcb97p-14, -0x1.da9c676180ca7p-14, -0x1.c504bfb4fa2ddp-14, -0x1.b02461d52aeb6p-14, -0x1.9bf5db89d211bp-14, -0x1.8873e333a7106p-14, -0x1.759956a582a6ap-14, -0x1.63613a07b9ec6p-14, -0x1.51c6b6c252e1cp-14, -0x1.40c51a708f80ep-14, -0x1.3057d5d84afe2p-14, -0x1.207a7be893a26p-14, -0x1.1128c0c2befd5p-14, -0x1.025e78c5a91d9p-14, -0x1.e82f2f3fd04bfp-15, -0x1.cca05edc5808bp-15, -0x1.b208dfa97b27ep-15, -0x1.98614a522b49dp-15, -0x1.7fa26f384ba1cp-15, -0x1.67c554da02c4cp-15, -0x1.50c3363ce7fddp-15, -0x1.3a95816755e25p-15, -0x1.2535d5e8ea9bbp-15, -0x1.109e0361e2eacp-15, -0x1.f9901039b94efp-16, -0x1.d35c1f69280b7p-16, -0x1.ae94e3745f0e6p-16, -0x1.8b2f60db87b4ep-16, -0x1.6920eef2ee9b4p-16, -0x1.485f357abe8e5p-16, -0x1.28e02a360022fp-16, -0x1.0a9a0e9c4f91ap-16, -0x1.db06db5211ad6p-17, -0x1.a3263339dae97p-17, -0x1.6d8053cb72d4cp-17, -0x1.3a03f21e7d2cap-17, -0x1.08a045864acf7p-17, -0x1.b28a07630517ap-18, -0x1.57c4b9bae9c68p-18, -0x1.00d1f06d7372p-18, -0x1.5b27c0fae117dp-19, -0x1.77b67ad8cc9ffp-20, -0x1.1c318f89bef1fp-22, 0x1.b83781b979e0ep-21, 0x1.f22bc0a2d01a2p-20, 0x1.7dc52831bc99p-19, 0x1.fc4d9239066b3p-19, 0x1.3a6fc1f378b07p-18, 0x1.73d4fca3ebefdp-18, 0x1.aa6d47f3c4008p-18, 0x1.de4ec8a1496dap-18, 0x1.07c77f48e42e2p-17, 0x1.1f2164e6f1646p-17, 0x1.353f37abe3cecp-17, 0x1.4a2acedf96734p-17, 0x1.5dedb8e70d05bp-17, 0x1.70913d74c510fp-17, 0x1.821e5fa64b1e1p-17, 0x1.929de01a81623p-17, 0x1.a2183ef5b50e8p-17, 0x1.b095bdd373b22p-17, 0x1.be1e61a6af12ap-17, 0x1.cab9f48e932e7p-17, 0x1.d67007a1c5f7dp-17, 0x1.e147f4a94830bp-17, 0x1.eb48dfc1416bap-17, 0x1.f479b8fd9bb54p-17, 0x1.fce13dfe44b26p-17, 0x1.0242fdb6b5eb2p-16, 0x1.05b7273cecf09p-16, 0x1.08d03323569eep-16, 0x1.0b9122a5bf304p-16, 0x1.0dfce1585f4adp-16, 0x1.101645c677bbcp-16, 0x1.11e01218acf2ap-16, 0x1.135cf4b0eb61dp-16, 0x1.148f88c18173ap-16, 0x1.157a56db265cap-16, 0x1.161fd5801e36ep-16, 0x1.168269aa3795bp-16, 0x1.16a4674fd4d2ap-16, 0x1.168811e2eaffap-16, 0x1.162f9cd08bebp-16, 0x1.159d2bfa7fb9ap-16, 0x1.14d2d4293a239p-16, 0x1.13d29b7c2b983p-16, 0x1.129e79d8eaf34p-16, 0x1.113859560c632p-16, 0x1.0fa216a0ff0ddp-16, 0x1.0ddd815fbca73p-16, 0x1.0bec5c9524db5p-16, 0x1.09d05efac1317p-16, 0x1.078b335c0be26p-16, 0x1.051e78eb08c16p-16, 0x1.028bc398da7aap-16, 0x1.ffa938ce25269p-17, 0x1.f9f5036c99de5p-17, 0x1.f3fdcf24e7a49p-17, 0x1.edc66ff88d86ap-17, 0x1.e751a664ae28bp-17, 0x1.e0a21feedafafp-17, 0x1.d9ba77a7a4dcbp-17, 0x1.d29d36b1cbeep-17, 0x1.cb4cd4bfac6d9p-17, 0x1.c3cbb88aab50cp-17, 0x1.bc1c384caf709p-17, 0x1.b4409a2bcd027p-17, 0x1.ac3b14b5c7065p-17, 0x1.a40dcf42fca38p-17, 0x1.9bbae263cc2e5p-17, 0x1.934458403e174p-17, 0x1.8aac2cfb79bffp-17, 0x1.81f44f12a6a74p-17, 0x1.791e9fbba81dbp-17, 0x1.702cf338c358dp-17, 0x1.6721113240075p-17, 0x1.5dfcb509220b3p-17, 0x1.54c18e2774a02p-17, 0x1.4b71404e92dedp-17, 0x1.420d63e0f3a77p-17, 0x1.3897863105b86p-17, 0x1.2f1129c50b094p-17, 0x1.257bc69e33fbap-17, 0x1.1bd8ca78f9bd1p-17, 0x1.1229990d14805p-17, 0x1.086f8c50dff3ap-17, 0x1.fd57e96ac9b2bp-18, 0x1.e9c032bf2de75p-18, 0x1.d61a70c346724p-18, 0x1.c2690dea20e3dp-18, 0x1.aeae635e52698p-18, 0x1.9aecb96cb532ap-18, 0x1.872647e9dd748p-18, 0x1.735d36984eadep-18, 0x1.5f939d84ef674p-18, 0x1.4bcb8569f9274p-18, 0x1.3806e801e3767p-18, 0x1.2447b060867eap-18, 0x1.108fbb4cefcaap-18, 0x1.f9c1af316f74ap-19, 0x1.d2798cd9e6ecfp-19, 0x1.ab4a77242c49ap-19, 0x1.8437bb8ad2adcp-19, 0x1.5d448dfe911f7p-19, 0x1.36740979275f1p-19, 0x1.0fc9308d3f708p-19, 0x1.d28ddbed4eaedp-20, 0x1.85e02a2bc3983p-20, 0x1.398ec4ef7705cp-20, 0x1.db3df154293cep-21, 0x1.442bcc07400e8p-21, 0x1.5be20b6e6b712p-22, 0x1.89736798fdb14p-25, -0x1.ef616d4829e3cp-23, -0x1.0f54b99013becp-21, -0x1.a1d53c970477p-21, -0x1.19a8c4cd34918p-20, -0x1.61e0c877de2dfp-20, -0x1.a98ec6447a8b8p-20, -0x1.f0aeff382ba29p-20, -0x1.1b9eebbc7326ep-19, -0x1.3e9beae0bb976p-19, -0x1.614cd1481d359p-19, -0x1.83b003bce303fp-19, -0x1.a5c3f742bb771p-19, -0x1.c78730bad4401p-19, -0x1.e8f8448f5a9bap-19, -0x1.050aeb2afe55fp-18, -0x1.156f4c44efe7bp-18, -0x1.25a8a61f9e636p-18, -0x1.35b660674a3fcp-18, -0x1.4597e9c8890eep-18, -0x1.554cb7c6e5069p-18, -0x1.64d4469cda9cdp-18, -0x1.742e191081adap-18, -0x1.8359b8549a50dp-18, -0x1.9256b3e6bc23fp-18, -0x1.a124a16d372e6p-18, -0x1.afc31c977d938p-18, -0x1.be31c6fc7495dp-18, -0x1.cc7047fc6ce88p-18, -0x1.da7e4c9e1b8d5p-18, -0x1.e85b876f6d046p-18, -0x1.f607b06c1753fp-18, -0x1.01c1426e65a4dp-17, -0x1.0865e39d62525p-17, -0x1.0ef19f8a7d84p-17, -0x1.15645c78db245p-17, -0x1.1bbe031b01808p-17, -0x1.21fe7e818c0bfp-17, -0x1.2825bc122aafep-17, -0x1.2e33ab776e725p-17, -0x1.34283e95fb06ap-17, -0x1.3a03697f89a26p-17, -0x1.3fc52265ca871p-17, -0x1.456d618eacad1p-17, -0x1.4afc21486167ep-17, -0x1.50715ddb72293p-17, -0x1.55cd15820a2d6p-17, -0x1.5b0f485b80ec7p-17, -0x1.6037f85fc1ab4p-17, -0x1.65472955abb0dp-17, -0x1.6a3ce0c7abf09p-17, -0x1.6f1925f9263c4p-17, -0x1.73dc01dabcc97p-17, -0x1.78857f005678cp-17, -0x1.7d15a998030d7p-17, -0x1.818c8f5e27511p-17, -0x1.85ea3f94e5e0ep-17, -0x1.8a2ecaf9bc411p-17, -0x1.8e5a43bb5de7fp-17, -0x1.926cbd716dbfbp-17, -0x1.96664d11263adp-17, -0x1.9a4708e5d110ep-17, -0x1.9e0f0886c08dep-17, -0x1.a1be64cf8f1aap-17, -0x1.a55537d55d324p-17, -0x1.a8d39cdf5bdb9p-17, -0x1.ac39b05ece399p-17, -0x1.af878fe46a171p-17, -0x1.b2bd5a1a56318p-17, -0x1.b5db2eba6d075p-17, -0x1.b8e12e8727ep-17, -0x1.bbcf7b430d5d4p-17, -0x1.bea637a972b7cp-17, -0x1.c1658766a438cp-17, -0x1.c40d8f0f2fc3fp-17, -0x1.c69e741a9a28bp-17, -0x1.c9185cda54a46p-17, -0x1.cb7b70720db6cp-17, -0x1.cdc7d6d2e3d4p-17, -0x1.cffdb8b221422p-17, -0x1.d21d3f84254bdp-17, -0x1.d426957313256p-17, -0x1.d619e55b758e3p-17, -0x1.d7f75ac271c58p-17, -0x1.d9bf21d08f97ap-17, -0x1.db71674d89264p-17, -0x1.dd0e58962bb7dp-17, -0x1.de9623989dac7p-17, -0x1.e008f6ce472a5p-17, -0x1.e1670134dcda5p-17, -0x1.e2b07248a9232p-17, -0x1.e3e579ff14cd6p-17, -0x1.e50648c23a44dp-17, -0x1.e6130f694082dp-17, -0x1.e70bff32f66ebp-17, -0x1.e7f149c269874p-17, -0x1.e8c32117f3811p-17, -0x1.e981b78cfba58p-17, -0x1.ea2d3fcd34003p-17, -0x1.eac5ecd3c4787p-17, -0x1.eb4bf1e4dd06p-17, -0x1.ebbf8287f7b71p-17, -0x1.ec20d287896d1p-17, -0x1.ec7015e7a2583p-17, -0x1.ecad80e236ce2p-17, -0x1.ecd947e4dd636p-17, -0x1.ecf39f8a6b361p-17, -0x1.ecfcbc964c18cp-17, -0x1.ecf4d3f18f68bp-17, -0x1.ecdc1aa6bf0adp-17, -0x1.ecb2c5ddea4abp-17, -0x1.ec790ad72d0d9p-17, -0x1.ec2f1ee73983ap-17, -0x1.ebd537750f0c4p-17, -0x1.eb6b89f4f1d28p-17, -0x1.eaf24be4d1e77p-17, -0x1.ea69b2c8648a8p-17, -0x1.e9d1f42639a4ep-17, -0x1.e92b45834f0b4p-17, -0x1.e875dc60e4344p-17, -0x1.e7b1ee3a482c9p-17, -0x1.e6dfb07ee3684p-17, -0x1.e5ff588faf3e7p-17, -0x1.e5111bbd4beb7p-17, -0x1.e4152f4416f6dp-17, -0x1.e30bc848eba83p-17, -0x1.e1f51bd6d4279p-17, -0x1.e0d15edca0adcp-17, -0x1.dfa0c62a71bb5p-17, -0x1.de63866d80acbp-17, -0x1.dd19d42dfef89p-17, -0x1.dbc3e3cc4e423p-17, -0x1.da61e980f642cp-17, -0x1.d8f41956c1579p-17, -0x1.d77aa72a85be8p-17, -0x1.d5f5c6a7547c2p-17, -0x1.d465ab45507b3p-17, -0x1.d2ca8846dc881p-17, -0x1.d12490b8c7fep-17, -0x1.cf73f76dddb54p-17, -0x1.cdb8eefcd31c3p-17, -0x1.cbf3a9bec038dp-17, -0x1.ca2459cd991b8p-17, -0x1.c84b3101b252dp-17, -0x1.c66860f072925p-17, -0x1.c47c1aea81351p-17, -0x1.c2868ffae84d2p-17, -0x1.c087f0e4b026ap-17, -0x1.be806e20dcc9dp-17, -0x1.bc7037dd607c6p-17, -0x1.ba577dfa7669dp-17, -0x1.b836700cc4d62p-17, -0x1.b60d3d58408c8p-17, -0x1.b3dc14d056aacp-17, -0x1.b1a32515b7b2cp-17, -0x1.af629c765d4e2p-17, -0x1.ad1aa8eaf4d14p-17, -0x1.aacb78196c128p-17, -0x1.a875374fbdcacp-17, -0x1.a61813845505cp-17, -0x1.a3b4395463fe3p-17, -0x1.a149d503e870cp-17, -0x1.9ed9127bc02d1p-17, -0x1.9c621d49cd1d4p-17, -0x1.99e5209f70299p-17, -0x1.976247516c658p-17, -0x1.94d9bbd7822e6p-17, -0x1.924ba84a1edb4p-17, -0x1.8fb83662aa8f5p-17, -0x1.8d1f8f7a2724dp-17, -0x1.8a81dc8924a5ap-17, -0x1.87df4628d76fcp-17, -0x1.8537f48fc75e6p-17, -0x1.828c0f924bbabp-17, -0x1.7fdbbea1f3e96p-17, -0x1.7d2728cd43aefp-17, -0x1.7a6e74bf5b468p-17, -0x1.77b1c8c227fd7p-17, -0x1.74f14ab9ac842p-17, -0x1.722d2025ff18dp-17, -0x1.6f656e21f6dbdp-17, -0x1.6c9a5963f7038p-17, -0x1.69cc063cf6fb6p-17, -0x1.66fa9898c4af2p-17, -0x1.642633fdbb0afp-17, -0x1.614efb8d228a2p-17, -0x1.5e75120300377p-17, -0x1.5b9899b58fa5fp-17, -0x1.58b9b494a74c1p-17, -0x1.55d8842a5cce8p-17, -0x1.52f5299a76534p-17, -0x1.500fc5a4bf24cp-17, -0x1.4d2878a29fe43p-17, -0x1.4a3f62875b10ap-17, -0x1.4754a2e0af71fp-17, -0x1.446858d6d6831p-17, -0x1.417aa32b937c1p-17, -0x1.3e8ba03e6be57p-17, -0x1.3b9b6e096146dp-17, -0x1.38aa2a20d633dp-17, -0x1.35b7f1b4c4001p-17, -0x1.32c4e190a2ae2p-17, -0x1.2fd1161c054cfp-17, -0x1.2cdcab5ac9f53p-17, -0x1.29e7bced1f436p-17, -0x1.26f2660fd710cp-17, -0x1.23fcc19e17f2cp-17, -0x1.2106ea1014374p-17, -0x1.1e10f97c76376p-17, -0x1.1b1b0996f4e2p-17, -0x1.182533b274335p-17, -0x1.152f90c023aadp-17, -0x1.123a39525f712p-17, -0x1.0f45459ad6349p-17, -0x1.0c50cd6b2d73cp-17, -0x1.095ce835ff224p-17, -0x1.0669ad0ed85c4p-17, -0x1.037732aa28407p-17, -0x1.00858f6089dbcp-17, -0x1.fb29b25bc61b5p-18, -0x1.f54a4b60a56d6p-18, -0x1.ef6d145360ff2p-18, -0x1.e992370020908p-18, -0x1.e3b9dc7d60c19p-18, -0x1.dde42d2c363b3p-18, -0x1.d81150ba56839p-18, -0x1.d2416e21818a2p-18, -0x1.cc74abaaef502p-18, -0x1.c6ab2ef06204cp-18, -0x1.c0e51cdc13924p-18, -0x1.bb2299aa5417dp-18, -0x1.b563c8e946c14p-18, -0x1.afa8cd7d3b36p-18, -0x1.a9f1c99d958a8p-18, -0x1.a43ededca2074p-18, -0x1.9e902e235a911p-18, -0x1.98e5d7b48fb8ep-18, -0x1.933ffb2da1c74p-18, -0x1.8d9eb7879807bp-18, -0x1.88022b1806cadp-18, -0x1.826a73962197p-18, -0x1.7cd7ae1a35211p-18, -0x1.7749f71cf16d2p-18, -0x1.71c16a79b5381p-18, -0x1.6c3e236f79bdap-18, -0x1.66c03ca3f5271p-18, -0x1.6147d023a04f2p-18, -0x1.5bd4f764160f1p-18, -0x1.5667cb4364001p-18, -0x1.5100640c2f756p-18, -0x1.4b9ed975bf48ep-18, -0x1.464342a66c737p-18, -0x1.40edb63394375p-18, -0x1.3b9e4a224ad3fp-18, -0x1.365513ebc07c6p-18, -0x1.3112287ba1234p-18, -0x1.2bd59c32e0715p-18, -0x1.269f82ea2f445p-18, -0x1.216feff23ace5p-18, -0x1.1c46f61556e0ap-18, -0x1.1724a797d1cbfp-18, -0x1.12091639af18fp-18, -0x1.0cf453396156ap-18, -0x1.07e66f55ace39p-18, -0x1.02df7ace2ac92p-18, -0x1.fbbf0ac91f2cp-19, -0x1.f1cd3cb99ecabp-19, -0x1.e7e9a8fffe545p-19, -0x1.de146c3c0aa29p-19, -0x1.d44da21c8ba8fp-19, -0x1.ca9565635b4e8p-19, -0x1.c0ebcfe5a31cdp-19, -0x1.b750fa9267718p-19, -0x1.adc4fd71fbfd9p-19, -0x1.a447efadb6b07p-19, -0x1.9ad9e78dd5e1fp-19, -0x1.917afa7b3fa72p-19, -0x1.882b3d07cfcf9p-19, -0x1.7eeac2ece1c56p-19, -0x1.75b99f0ec4d81p-19, -0x1.6c97e38076da8p-19, -0x1.6385a186d4685p-19, -0x1.5a82e99b14bb4p-19, -0x1.518fcb6bc0f9p-19, -0x1.48ac55df647ep-19, -0x1.3fd8971832bb9p-19, -0x1.37149c7944a48p-19, -0x1.2e6072a521f9ap-19, -0x1.25bc2584b3acp-19, -0x1.1d27c045fb474p-19, -0x1.14a34d5e62f85p-19, -0x1.0c2ed691197a4p-19, -0x1.03ca64eebb0a7p-19, -0x1.f6ec01b2fa079p-20, -0x1.e663640c97961p-20, -0x1.d5fafefe89d5p-20, -0x1.c5b2df52620b6p-20, -0x1.b58b1084be03ap-20, -0x1.a5839cd10dc8p-20, -0x1.959c8d31cc215p-20, -0x1.85d5e9632232fp-20, -0x1.762fb7ef26469p-20, -0x1.66a9fe2f4de25p-20, -0x1.5744c04c3e83ep-20, -0x1.4800014b0a101p-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      36, 0x1.5ae147ae147aep+2, 0x1.90346624eee5bp+1, 0x1.05e85d12fb3bap+3, 0x1.2c37e36df79cp-9, 
      {{
        {0x1.d5c28f5c28f5cp+1, 0x1.d99999999999ap+1, 0x1.43f22aefd9ac3p-5, -0x1.dd176520bcafp-4, 0x1.74eb1a8fec227p-3, -0x1.230071d8c773fp-3}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.28a1ae130971ep-5, -0x1.b1e99f95e91a2p-4, 0x1.5aba6c79da2edp-3, -0x1.188cff3a4aec9p-3}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.00913b3ba29d9p-5, -0x1.70c6741e6a1c7p-4, 0x1.30a546311bbecp-3, -0x1.0c8eda7ff504ep-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.bd3434e85051cp-6, -0x1.37dfdc8ed509cp-4, 0x1.085ca56ab6fe1p-3, -0x1.00e9b38343b6fp-3}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.83dbff61765bdp-6, -0x1.06db13ed60d07p-4, 0x1.c3a661c7a6782p-4, -0x1.ea8886fe0986ap-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.538f37b293812p-6, -0x1.babd53c36fd6cp-5, 0x1.7a11e7218b71p-4, -0x1.d28df3b6b5d87p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.2ad539931dd9p-6, -0x1.761fb745de5b5p-5, 0x1.341635c6235cfp-4, -0x1.bd52bf79d252fp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.08475aa2256ddp-6, -0x1.3f2fb711fcfffp-5, 0x1.e2939881546e6p-5, -0x1.9b4e1912fc4afp-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.d52277875856bp-7, -0x1.15192ac180057p-5, 0x1.672f5dc86f253p-5, -0x1.388a1e11695bcp-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a0fe897c3b639p-7, -0x1.ebbc5d41d5ef7p-6, 0x1.096c54c335f07p-5, -0x1.a9fe933cbf99ep-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.72430e8066f2cp-7, -0x1.bd0a8445f1dcp-6, 0x1.930c4a2765972p-6, -0x1.b8a2fdf779d55p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.47a9b4a74d834p-7, -0x1.980a829a42dacp-6, 0x1.50f3d74246843p-6, -0x1.808e875b6e07ep-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.2085003ebf0fbp-7, -0x1.77111d02af5eap-6, 0x1.428818953f30dp-6, -0x1.631806891ea2bp-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.f934e5af6418p-8, -0x1.577abfaf37ab2p-6, 0x1.353731f01ad78p-6, -0x1.6a1fec7eacf7cp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.b78ec05caf49bp-8, -0x1.393ca62c90824p-6, 0x1.27a2cc44f45b2p-6, -0x1.6a1fe80793cfp-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.7bd242f705394p-8, -0x1.1c5a306c154f1p-6, 0x1.1a0e66c4ab9cap-6, -0x1.6c022cc563f71p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.45b9d6e91b151p-8, -0x1.00d445e8c94b9p-6, 0x1.0c67eb7d44a9dp-6, -0x1.6d63371c1d2ffp-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.14ff9c96b5aedp-8, -0x1.cd58ef2add49ep-7, 0x1.fd68660ba0bd3p-7, -0x1.6ee6e1da5f583p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.d2bad6b952ff3p-9, -0x1.9bc851f847d01p-7, 0x1.e1e3e1e80cc9dp-7, -0x1.706145618c25ep-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8519a321b54dfp-9, -0x1.6cf993a3ae6b8p-7, 0x1.c642fcb3ef13bp-7, -0x1.71de255d7acf1p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.408e290479d52p-9, -0x1.40ef8d11b7ee3p-7, 0x1.aa8586b352aa6p-7, -0x1.735a5abd92b97p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.048a60f1a76fep-9, -0x1.17ad18e641d09p-7, 0x1.8eab8cb1e7a93p-7, -0x1.74d6be18225e2p-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.a0ff62d6c886ap-10, -0x1.e26a229b08c1ap-8, 0x1.72b50b3ce515bp-7, -0x1.76531424c8befp-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.47bdddcbeb836p-10, -0x1.9b14a1262bce5p-8, 0x1.56a20353bc6d9p-7, -0x1.77cf716e83cf2p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.f8616f1f02abcp-11, -0x1.595f61f973e8fp-8, 0x1.3a72746b728bp-7, -0x1.794bbf11e1ddap-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.7a6ea1a5242dp-11, -0x1.1d50199041e46p-8, 0x1.1e265fb0819ap-7, -0x1.7ac84411a269ap-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.135fcc54c8f44p-11, -0x1.cdd8f9646ab37p-9, 0x1.01bdc0fbfbd23p-7, -0x1.7c43fb462d322p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.81de4041f7308p-12, -0x1.6c747e0c322cp-9, 0x1.ca714f7a3da9dp-8, -0x1.7dc2b24b29e03p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.01a90b8a87cf4p-12, -0x1.167e30d398636p-9, 0x1.912db4bbc42eep-8, -0x1.7f3637d9a2483p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.431677169b8a5p-13, -0x1.9802c3fec5e5p-10, 0x1.57b25f8e523dfp-8, -0x1.80d38371b6e9dp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.73ae037535dacp-14, -0x1.1a13ae8422cc4p-10, 0x1.1df90bd6dd338p-8, -0x1.81d4e859d8237p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.795fdd542da2ap-15, -0x1.66868038cfaf7p-11, 0x1.c832385f9329bp-9, -0x1.851c21f81b176p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.3aa3badefbab1p-16, -0x1.8ec97b42ef74ap-12, 0x1.5376949524a31p-9, -0x1.7fe7ef6df2688p-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.6fd00cdfc8fep-18, -0x1.5a9204d0595b2p-13, 0x1.c095331b84a21p-10, -0x1.9a5b98cf4119ep-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.7ef03043e2bp-21, -0x1.58c291c4c84efp-15, 0x1.94bc7ba4bb26cp-11, -0x1.31eb79f687d83p-8}, 
        {0x1.599999999999ap+2, 0x1.5ae147ae147aep+2, 0x1.48d666bb1bea3p-28, 0x1.245178d84037ep-20, 0x1.2d0f4a4d8db9ap-14, -0x1.0f03ae08d5db9p-5}, 
      }}, 
      0x1.09b7c7d350d3ep+1, -0x1.32e6ea87c1477p+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.6df3f961804dap-6, -0x1.0ae18ac9f2fdcp-2, -0x1.46c743201040cp-1, -0x1.771001d5c3159p-8, 0x1.2308bb906466bp-2, 0x1.2308bb906466bp-2, 0x1.2308bb906466bp-2, 0, 5, 2}, 
    {{
      {{-0x1.c7d8104e86cbp-1, -0x1.9f8108f138ba8p-1, -0x1.66c168bb7597ep-1, -0x1.27efb1d554039p-1, -0x1.d76f982e44006p-2, -0x1.6fe83eec424abp-2, -0x1.1f439192023ffp-2, -0x1.cd9480676e3d6p-3, -0x1.88fdb1374f5cp-3, -0x1.68faccbb12d03p-3, -0x1.64320073c998bp-3, -0x1.714c06e247bfep-3, -0x1.87ed3007d279p-3, -0x1.a133447e7d763p-3, -0x1.b7dd9f7d99889p-3, -0x1.c83f0dfa1f071p-3, -0x1.d011f676f4358p-3, -0x1.ce3eb34932a87p-3, -0x1.c29e1a5b5cfdp-3, -0x1.adbe5aeca3ad5p-3, -0x1.90ada8b152ba9p-3, -0x1.6ccc659fa5dep-3, -0x1.43a73bca59a4ep-3, -0x1.16d8dfa41c3efp-3, -0x1.cfe592b7ecc58p-4, -0x1.70d828cc88943p-4, -0x1.132b4f759601ap-4, -0x1.724b4ac198224p-5, -0x1.92ac3da8efbfcp-6, -0x1.73b07f07081dp-8, 0x1.70651751a7249p-7, 0x1.a9a72e1c8be84p-6, 0x1.3adb1ab1baa87p-5, 0x1.8de4e47f58478p-5, 0x1.ce23c9e28d7e4p-5, 0x1.fc32c35908495p-5, 0x1.0c80032e8996bp-4, 0x1.12dcb1683a07ap-4, 0x1.11dd2df5ada99p-4, 0x1.0a3e2b80f3bcap-4, 0x1.f988ed4fab775p-5, 0x1.d46e62de4445fp-5, 0x1.a6b626ab8cd45p-5, 0x1.71dd99e982932p-5, 0x1.37503373fe3e2p-5, 0x1.f0c68718c0ba5p-6, 0x1.6ca64513a33f8p-6, 0x1.c904df5c70f86p-7, 0x1.6998e855d56eap-8, -0x1.7eda751885a3dp-9, -0x1.714d086bd9c7ep-7, -0x1.3e958aa48c098p-6, -0x1.c075fcd5a4709p-6, -0x1.1ea306deec6bp-5, -0x1.5a18a18c48d53p-5, -0x1.924676ae8d24dp-5, -0x1.c6ea3f3d7cff7p-5, -0x1.f7d2ee090da8bp-5, -0x1.126f7073c6011p-4, -0x1.26fd10c22cbc2p-4, -0x1.398e5e4ec352ep-4, -0x1.4a249a0481946p-4, -0x1.58c5867d86e83p-4, -0x1.657abd6fe5647p-4, -0x1.7051139115f33p-4, -0x1.79580af9d0c16p-4, -0x1.80a153a6759e9p-4, -0x1.864059a08957ap-4, -0x1.8a49dfc21d1ap-4, -0x1.8cd3a62b74bfap-4, -0x1.8df41b0b62d41p-4, -0x1.8dc21571ae3dep-4, -0x1.8c54994a093a1p-4, -0x1.89c2a37fd87a3p-4, -0x1.8622fdc27d2bbp-4, -0x1.818c191a8bf61p-4, -0x1.7c13ee3221a09p-4, -0x1.75cfe34bc5f4dp-4, -0x1.6ed4b67b3e7cbp-4, -0x1.67366c4af596bp-4, -0x1.5f0841ad7007p-4, -0x1.565ca0ffd6871p-4, -0x1.4d4519b5ef525p-4, -0x1.43d25b38fa848p-4, -0x1.3a14339e89a46p-4, -0x1.30198e0989391p-4, -0x1.25f06fa363b2cp-4, -0x1.1ba5f7eaee0a9p-4, -0x1.11466684d8e1cp-4, -0x1.06dd206d17536p-4, -0x1.f8e964a247061p-5, -0x1.e42da7a08ae5ep-5, -0x1.cf98dc1df1471p-5, -0x1.bb3b470825648p-5, -0x1.a723ae9921f7ap-5, -0x1.935f671ec6d92p-5, -0x1.7ffa633627adcp-5, -0x1.6cff41931bb74p-5, -0x1.5a775d6d68578p-5, -0x1.486ade8a5af55p-5, -0x1.36e0ca583ee9ap-5, -0x1.25df12339fe25p-5, -0x1.156aa4a37339bp-5, -0x1.05877e79c5228p-5, -0x1.ec71714612712p-6, -0x1.cf0131b1da519p-6, -0x1.b2c13db0e9111p-6, -0x1.97b32c7c9188cp-6, -0x1.7dd74638b8cc2p-6, -0x1.652c9bb0396f4p-6, -0x1.4db127cf86e5ap-6, -0x1.3761e2837909ep-6, -0x1.223ade619b469p-6, -0x1.0e375f4b18607p-6, -0x1.f6a3d21a97e0fp-7, -0x1.d308be3a157abp-7, -0x1.b190243f8547bp-7, -0x1.922b9ee602957p-7, -0x1.74cbfbe3ce87ap-7, -0x1.596145a1140c8p-7, -0x1.3fdae437c88d4p-7, -0x1.2827d143628acp-7, -0x1.1236956a67a9dp-7, -0x1.fbeacda7dfa16p-8, -0x1.d6a4b29d11569p-8, -0x1.b476a566209b4p-8, -0x1.953c42dbd1be2p-8, -0x1.78d15c54ffe8cp-8, -0x1.5f11d74611d18p-8, -0x1.47d9ba7b2c618p-8, -0x1.330598c16eb5p-8, -0x1.20727c40a8ecp-8, -0x1.0ffdc5f3c75f6p-8, -0x1.01859212edfc5p-8, -0x1.e9d198a1b85afp-9, -0x1.d40dcd5598418p-9, -0x1.c18022ce8cddcp-9, -0x1.b1eb123b8c096p-9, -0x1.a512a8bbaf9ccp-9, -0x1.9abc5518ae21fp-9, -0x1.92afa91123c7ep-9, -0x1.8cb662f3d3459p-9, -0x1.889bbdf307961p-9, -0x1.862cac1cb70cbp-9, -0x1.853880f3846d8p-9, -0x1.85909b3ae2b21p-9, -0x1.8707d8ad2e028p-9, -0x1.8973057e4b178p-9, -0x1.8ca954b6fe21ap-9, -0x1.9083de788a888p-9, -0x1.94dd2ea1a47d4p-9, -0x1.9991bb0b63274p-9, -0x1.9e804577571b9p-9, -0x1.a3895dd4878a4p-9, -0x1.a88ef4e9b17dep-9, -0x1.ad74bc8fcf647p-9, -0x1.b2208af0420b4p-9, -0x1.b679f8dac1026p-9, -0x1.ba69e7147e625p-9, -0x1.bddab1cb9a8fdp-9, -0x1.c0b89ce947adap-9, -0x1.c2f1a89480027p-9, -0x1.c4750e8f85011p-9, -0x1.c533374c3d116p-9, -0x1.c51e1aa653b4bp-9, -0x1.c429598da73e8p-9, -0x1.c249d537df3c2p-9, -0x1.bf75651a5b2c1p-9, -0x1.bba30501745c8p-9, -0x1.b6cb1dd2611efp-9, -0x1.b0e766beb35dep-9, -0x1.a9f2821718b6dp-9, -0x1.a1e7de6581108p-9, -0x1.98c3ec19d92a8p-9, -0x1.8e844b2a46416p-9, -0x1.83279ced4fd3fp-9, -0x1.76ad350700a46p-9, -0x1.691509e7fcce6p-9, -0x1.5a5fe094ce061p-9, -0x1.4a8f6d4c3505p-9, -0x1.39a62b9135961p-9, -0x1.27a71e2b6ebd8p-9, -0x1.1495c0bc99a6ep-9, -0x1.0076278bb76b7p-9, -0x1.d69a3466d392dp-10, -0x1.aa3fe684039bp-10, -0x1.7be8dcc83df16p-10, -0x1.4ba1476dfebfp-10, -0x1.197620a121fdbp-10, -0x1.caea54d25bdffp-11, -0x1.5f59efa5e4f5ep-11, -0x1.e0b3bc1dec3a7p-12, -0x1.f8283f491262ep-13, -0x1.1160c30656ca6p-16, 0x1.c008032a8a01p-13, 0x1.d6f532a56acc2p-12, 0x1.69bb4da5ebbd5p-11, 0x1.eaa0226d35111p-11, 0x1.3702705bffd1p-10, 0x1.79e287955ad1fp-10, 0x1.bdddd9a613ccfp-10, 0x1.0170c9341a558p-9, 0x1.246d53bd4bdfep-9, 0x1.47db069ac8074p-9, 0x1.6bb0672da092fp-9, 0x1.8fe404cbae6efp-9, 0x1.b46c6d577eae4p-9, 0x1.d94023606ffc8p-9, 0x1.fe55a9145d015p-9, 0x1.11d1ca415a6dfp-8, 0x1.24904c8401715p-8, 0x1.3761c3e73af7fp-8, 0x1.4a41a4a1a8b6ep-8, 0x1.5d2b698b52b35p-8, 0x1.701a956427899p-8, 0x1.830aba7e8e572p-8, 0x1.95f77fb46c6bcp-8, 0x1.a8dca177c6b2ap-8, 0x1.bbb5f0f41a734p-8, 0x1.ce7f507ec7c35p-8, 0x1.e134b0db9165ep-8, 0x1.f3d214bf2194fp-8, 0x1.0329cb1dd10d4p-7, 0x1.0c5ab45aee14cp-7, 0x1.1579ec85d79abp-7, 0x1.1e85a64f14d05p-7, 0x1.277c1f279dcbdp-7, 0x1.305b9e5e33fffp-7, 0x1.392276a00777fp-7, 0x1.41cf07cef2ef7p-7, 0x1.4a5fbf75173a3p-7, 0x1.52d318b93ca3p-7, 0x1.5b279c0f24265p-7, 0x1.635bde1a36608p-7, 0x1.6b6e7eac9e79bp-7, 0x1.735e29839624dp-7, 0x1.7b2997a5ebd87p-7, 0x1.82cf8fbd04358p-7, 0x1.8a4ee5eec3bbbp-7, 0x1.91a67bbe1c9abp-7, 0x1.98d53f7c0705cp-7, 0x1.9fda2b3fd780ep-7, 0x1.a6b444aa68ddfp-7, 0x1.ad629dc965566p-7, 0x1.b3e455a23cc24p-7, 0x1.ba38980759968p-7, 0x1.c05e9d64fd7e5p-7, 0x1.c655aa963704cp-7, 0x1.cc1d105569518p-7, 0x1.d1b42a6d1b03ap-7, 0x1.d71a5fa01326dp-7, 0x1.dc4f223d5d5c5p-7, 0x1.e151f04eb5ba8p-7, 0x1.e622535179131p-7, 0x1.eabfdffbf6a09p-7, 0x1.ef2a36165125bp-7, 0x1.f361001571f8p-7, 0x1.f763f271e012fp-7, 0x1.fb32cb5fb0394p-7, 0x1.fecd5317a1a2ap-7, 0x1.0119adfb0f15cp-6, 0x1.02b2611bf1b31p-6, 0x1.0430b5d7b00a3p-6, 0x1.0594a3ccbf187p-6, 0x1.06de27342c9fcp-6, 0x1.080d40a7f2619p-6, 0x1.0921f4e6564b6p-6, 0x1.0a1c4cc9dd5cbp-6, 0x1.0afc555a6c54ap-6, 0x1.0bc21fbc5d338p-6, 0x1.0c6dc1091ccbep-6, 0x1.0cff522eaffd4p-6, 0x1.0d76efda44597p-6, 0x1.0dd4ba5e40d9cp-6, 0x1.0e18d58302ab9p-6, 0x1.0e4368566e373p-6, 0x1.0e549d1f96dd4p-6, 0x1.0e4ca16153b9fp-6, 0x1.0e2ba5c56dea7p-6, 0x1.0df1ddf8c70efp-6, 0x1.0d9f808ba38dep-6, 0x1.0d34c6dac9155p-6, 0x1.0cb1ecfa938bp-6, 0x1.0c173196b3471p-6, 0x1.0b64d5c80282fp-6, 0x1.0a9b1cfb3fa5dp-6, 0x1.09ba4cebd9e42p-6, 0x1.08c2ad963ca9ap-6, 0x1.07b4891b17791p-6, 0x1.06902ba03f7ap-6, 0x1.0555e3369fdp-6, 0x1.0405ffc4facd7p-6, 0x1.02a0d2f29a435p-6, 0x1.0126b00acef85p-6, 0x1.ff2fd7bfff116p-7, 0x1.fbe9b97feb032p-7, 0x1.f87bb4eb9c5dp-7, 0x1.f4e67c81079bcp-7, 0x1.f12ac567009d1p-7, 0x1.ed494711d39cp-7, 0x1.e942baec1439bp-7, 0x1.e517dc2b3d4d7p-7, 0x1.e0c967d5e198ap-7, 0x1.dc581cd14166ap-7, 0x1.d7c4bbc5b8907p-7, 0x1.d31006d6d1cd4p-7, 0x1.ce3ac14f4ba36p-7, 0x1.c945af5fe7c18p-7, 0x1.c431960ab83a8p-7, 0x1.beff3b346415ep-7, 0x1.b9af65b3821c5p-7, 0x1.b442dd3fc7ae7p-7, 0x1.aeba6a4334bffp-7, 0x1.a916d5a06b4bbp-7, 0x1.a358e87ba0775p-7, 0x1.9d816c0d7fa83p-7, 0x1.97912988470b4p-7, 0x1.9188ea07dbd2cp-7, 0x1.8b69767f570fdp-7, 0x1.853397a28988ep-7, 0x1.7ee815cb3b704p-7, 0x1.7887b8dcc1abap-7, 0x1.7213482bcec94p-7, 0x1.6b8b8a6a0f0c1p-7, 0x1.64f145925404ap-7, 0x1.5e453ed29879ep-7, 0x1.57883a737fbd8p-7, 0x1.50bafbc1a6d7ap-7, 0x1.49de44fcf2549p-7, 0x1.42f2d749dd57p-7, 0x1.3bf9729e60a7cp-7, 0x1.34f2d5abbfdfp-7, 0x1.2ddfbdca20ef5p-7, 0x1.26c0e6e44ee53p-7, 0x1.1f970b6703e84p-7, 0x1.1862e433004a2p-7, 0x1.112528929d288p-7, 0x1.09de8e30e86b5p-7, 0x1.028fc9106f227p-7, 0x1.f6731708969bcp-8, 0x1.e7b90c562b916p-8, 0x1.d8f2cfca3db24p-8, 0x1.ca21bb859f62ep-8, 0x1.bb4725d658513p-8, 0x1.ac6460fc82e33p-8, 0x1.9d7abaf25efcfp-8, 0x1.8e8b7d4090fd1p-8, 0x1.7f97ecf3b8737p-8, 0x1.70a14ab30a20ap-8, 0x1.61a8d2f96c9e1p-8, 0x1.52afbe6298257p-8, 0x1.43b741f5abdbcp-8, 0x1.34c08f562f286p-8, 0x1.25ccd4b4c19aap-8, 0x1.16dd3c78026fbp-8, 0x1.07f2ec91d9ec8p-8, 0x1.f21e0b5cf5c4cp-9, 0x1.d46544d3f598cp-9, 0x1.b6bdad778b651p-9, 0x1.99295fa771fb8p-9, 0x1.7baa693ea7e13p-9, 0x1.5e42cdfc4d77p-9, 0x1.40f48ad02214fp-9, 0x1.23c19933ac4d6p-9, 0x1.06abf1b888deep-9, 0x1.d36b19e9bbcb2p-10, 0x1.99c0c42274febp-10, 0x1.605cc574c019dp-10, 0x1.2742e9fad5447p-10, 0x1.dcedb124266bap-11, 0x1.6bf80d45d3fabp-11, 0x1.f756c59475601p-12, 0x1.181b7eb7bcd2bp-12, 0x1.d24db7211e05cp-15, -0x1.4426f07f56c26p-13, -0x1.7cf0e36b90fa4p-12, -0x1.2b2172e379c6ep-11, -0x1.96fe8aa520251p-11, -0x1.01048b31a6188p-10, -0x1.361d0f07e6ebcp-10, -0x1.6ac548128763cp-10, -0x1.9ef9cccbb35afp-10, -0x1.d2b7847dfff24p-10, -0x1.02fde98e2d34fp-9, -0x1.1c6259bffb6cap-9, -0x1.35885b17d3fa5p-9, -0x1.4e6f6ffadedffp-9, -0x1.671735425fac8p-9, -0x1.7f7f38892c3ffp-9, -0x1.97a6cca841b01p-9, -0x1.af8ce6621029ep-9, -0x1.c7300af0c3606p-9, -0x1.de8e57ab6ac3ap-9, -0x1.f5a5a4e139e5cp-9, -0x1.0639e02a0866bp-8, -0x1.117b5ae316356p-8, -0x1.1c968b7f02ed2p-8, -0x1.278b196b375d7p-8, -0x1.3259164e2929fp-8, -0x1.3d00f51c24dc3p-8, -0x1.47836b9409ce4p-8, -0x1.51e1416fbab2fp-8, -0x1.5c1b15222e15dp-8, -0x1.663121f0a734ep-8, -0x1.70231489e3c6p-8, -0x1.79eff902c8ab8p-8, -0x1.839648a7c4d11p-8, -0x1.8d1418bbd67e7p-8, -0x1.966764f694a3ap-8, -0x1.9f8e69cf315f7p-8, -0x1.a887fd823b282p-8, -0x1.b153d52d88744p-8, -0x1.b9f2a5aa14b41p-8, -0x1.c2661585af87p-8, -0x1.cab07de5a0f1ap-8, -0x1.d2d481d7857b8p-8, -0x1.dad48ccc4be1cp-8, -0x1.e2b24f98a9b63p-8, -0x1.ea6e55b37e81fp-8, -0x1.f207c9a62de6fp-8, -0x1.f97c78067d04p-8, -0x1.00648aa083b9dp-7, -0x1.03f4df0fe7788p-7, -0x1.076d4fa6a94fap-7, -0x1.0acc5463d503ap-7, -0x1.0e1115e01a088p-7, -0x1.113ba3ba496a3p-7, -0x1.144d051be3ea7p-7, -0x1.17471ea003efcp-7, -0x1.1a2c6e57d1b5fp-7, -0x1.1cffa7881fcefp-7, -0x1.1fc33e6c2edbp-7, -0x1.2278f894041cdp-7, -0x1.252196bcdf4fap-7, -0x1.27bca8e424892p-7, -0x1.2a4895a5edbeep-7, -0x1.2cc2d48478d7bp-7, -0x1.2f2851bb22938p-7, -0x1.3175eb869cb4bp-7, -0x1.33a8f53bdaaa1p-7, -0x1.35bfac1055155p-7, -0x1.37b98b8e4d141p-7, -0x1.399773c839689p-7, -0x1.3b5b992b2c1a9p-7, -0x1.3d093d3caf3d6p-7, -0x1.3ea4385704932p-7, -0x1.4030658fddcf9p-7, -0x1.41b10963d2ae3p-7, -0x1.43284eed6bd09p-7, -0x1.4496f44ac3364p-7, -0x1.45fc3554cf6dap-7, -0x1.4755f66cf99e8p-7, -0x1.48a1241593618p-7, -0x1.49da332550e0ap-7, -0x1.4afdaa62a69cap-7, -0x1.4c08a0aee47bap-7, -0x1.4cf920356b8e1p-7, -0x1.4dce655f46dd8p-7, -0x1.4e88f5bdfb74ep-7, -0x1.4f2a8ec959417p-7, -0x1.4fb5eead6768ap-7, -0x1.502e7b8157a2ep-7, -0x1.5097d0fc9308dp-7, -0x1.50f542afe444fp-7, -0x1.5149670c719f1p-7, -0x1.5195c21e01c2ep-7, -0x1.51daa281f85dfp-7, -0x1.521737f2d67f5p-7, -0x1.5249dc9f96a09p-7, -0x1.52707e7d6b95cp-7, -0x1.52890f0366127p-7, -0x1.5291df1d584b9p-7, -0x1.5289d28f63526p-7, -0x1.5270617bae7a9p-7, -0x1.52456ed7393bep-7, -0x1.52090a9df6446p-7, -0x1.51bb3ef16cc11p-7, -0x1.515c01d2432b5p-7, -0x1.50eb524be4cfbp-7, -0x1.50697067e7ce6p-7, -0x1.4fd70fa5d730cp-7, -0x1.4f3564a212d47p-7, -0x1.4e85ffc676712p-7, -0x1.4dca8055e2258p-7, -0x1.4d0441e00f69p-7, -0x1.4c342fae5713p-7, -0x1.4b5ade4e1ebf6p-7, -0x1.4a78ea4a67c9dp-7, -0x1.498f707a4ffd1p-7, -0x1.48a0577a331cap-7, -0x1.47ae28b11800ap-7, -0x1.46bb64b1b0c98p-7, -0x1.45c97ec20a938p-7, -0x1.44d7deda8f494p-7, -0x1.43e358307c048p-7, -0x1.42e664d9f5b64p-7, -0x1.41da363338fe1p-7, -0x1.40b859fc4d17p-7, -0x1.3f7c70c6ba008p-7, -0x1.3e25570f41219p-7, -0x1.3cb54522625a9p-7, -0x1.3b30cdf5ab086p-7, -0x1.399d2affeefecp-7, -0x1.37fea800e073fp-7, -0x1.3657fed82f7bfp-7, -0x1.34aaf38a532d8p-7, -0x1.32f9c2e49175p-7, -0x1.3148721ef39a9p-7, -0x1.2f9d1aa99330ap-7, -0x1.2dfedd71800b2p-7, -0x1.2c73da5195968p-7, -0x1.2afef4456917cp-7, -0x1.299e2b30fe9cdp-7, -0x1.284a0efbf2c15p-7, -0x1.26f68792065efp-7, -0x1.2594f62b82a43p-7, -0x1.24177af1875dcp-7, -0x1.227488c0efd39p-7, -0x1.20a996ecf8727p-7, -0x1.1ebb7d9ba458p-7, -0x1.1cb416617237cp-7, -0x1.1a9df36cb954cp-7, -0x1.18807811002b6p-7, -0x1.165e5ee91bf68p-7, -0x1.143751571b7e8p-7, -0x1.120b504937d5bp-7, -0x1.0fddbc9f5fb1cp-7, -0x1.0db64282b1127p-7, -0x1.0b9f459e55777p-7, -0x1.09a2bd14892cbp-7, -0x1.07c71e072be39p-7, -0x1.060d94961d66bp-7, -0x1.0471afb9f55e3p-7, -0x1.02e9c8508819dp-7, -0x1.0167aa9438db8p-7, -0x1.ffb40db82355ep-8, -0x1.fc5f2fa32a11p-8, -0x1.f8b7c7c0fde66p-8, -0x1.f4b74fc7b7bfep-8, -0x1.f06c18304c945p-8, -0x1.ebf2318e8257ap-8, -0x1.e765f5e833fe7p-8, -0x1.e2d83d5bdbe5ep-8, -0x1.de4b2ff826413p-8, -0x1.d9b83f5292915p-8, -0x1.d51a0a7048329p-8, -0x1.d0741ca8519b2p-8, -0x1.cbd504c687e69p-8, -0x1.c7521026619f1p-8, -0x1.c2fef0def6386p-8, -0x1.bee66a535ef64p-8, -0x1.bb08931760597p-8, -0x1.b75e948450cc4p-8, -0x1.b3df6c0a59d38p-8, -0x1.b08119cb4b908p-8, -0x1.ad3588a27ce5dp-8, -0x1.a9e70bb749aedp-8, -0x1.a679cc0c91392p-8, -0x1.a2d4155acccb8p-8, -0x1.9ee96402e09c7p-8, -0x1.9ac087d0408d4p-8, -0x1.966f96abd3e43p-8, -0x1.920fbd0d96ab8p-8, -0x1.8db17caee5813p-8, -0x1.8958d05fd64fep-8, -0x1.850120de86e98p-8, -0x1.80a49a163b0fdp-8, -0x1.7c43e329a7197p-8, -0x1.77ea9dc29cca7p-8, -0x1.73ab4f496af2p-8, -0x1.6f9410552bbd5p-8, -0x1.6ba6563f19684p-8, -0x1.67d8c6681ac66p-8, -0x1.641f49d9552e8p-8, -0x1.6072148a09b36p-8, -0x1.5cd06a29c4874p-8, -0x1.593f567050c09p-8, -0x1.55c5105ad5e68p-8, -0x1.5262b09b2b146p-8, -0x1.4f0fef347d581p-8, -0x1.4bbc04d6afb88p-8, -0x1.4852e75657dfap-8, -0x1.44c445cac6a1bp-8, -0x1.410aa92c92b49p-8, -0x1.3d2f6f13206dep-8, -0x1.39470b9bbcc83p-8, -0x1.3565ac4753b29p-8, -0x1.3192b6011d2dp-8, -0x1.2dc6ad88e8e03p-8, -0x1.29fa599fcdad3p-8, -0x1.2637565ccfdd9p-8, -0x1.2292066fbed87p-8, -0x1.1f13f0add9c78p-8, -0x1.1bb324a6cc779p-8, -0x1.185cfe98eabebp-8, -0x1.15037235ba7fdp-8, -0x1.11a1310c75b58p-8, -0x1.0e36cdd3e08f6p-8, -0x1.0ac79f9278ca1p-8, -0x1.0759e8da381a5p-8, -0x1.03f8aa132fad5p-8, -0x1.00b2ebe7207ecp-8, -0x1.fb2d12cd9ea44p-9, -0x1.f551bbb35148bp-9, -0x1.efbfe4feedp-9, -0x1.ea3bc8942df76p-9, -0x1.e470e25c12108p-9, -0x1.de2bd60f43698p-9, -0x1.d7904f5b2fd82p-9, -0x1.d0fca971b2b7p-9, -0x1.caa9bc1c77a7bp-9, -0x1.c479d838e1963p-9, -0x1.be3cbe5e32935p-9, -0x1.b8064a685634fp-9, -0x1.b213699b27206p-9, -0x1.ac76668801016p-9, -0x1.a709c1b47c7b7p-9, -0x1.a19defc98ed8ep-9, -0x1.9c19a4e1f908dp-9, -0x1.967adc7b1e1a9p-9, -0x1.90caa95392846p-9, -0x1.8b11f399d32b2p-9, -0x1.8553eabf79e3dp-9, -0x1.7f8fb36e360a3p-9, -0x1.79c8e7b5a8a8bp-9, -0x1.74119c1cf47a2p-9, -0x1.6e8bff6e7f6a7p-9, -0x1.695e2334e2f87p-9, -0x1.649fa4603712fp-9, -0x1.6047a4ab96dp-9, -0x1.5c142a54b9bf1p-9, -0x1.5790f291632d5p-9, -0x1.5281860c0038dp-9, -0x1.4d3d0f0ee1a2ep-9, -0x1.4840000420c34p-9, -0x1.43811be8b67ccp-9, -0x1.3ea49200c46e5p-9, -0x1.39af82c86d8c3p-9, -0x1.34fa101792c85p-9, -0x1.309f9c0bf4d82p-9, -0x1.2c7136a42aec4p-9, -0x1.283ea269df20dp-9, -0x1.23f6125f71338p-9, -0x1.1f9a88dd4f285p-9, -0x1.1b355a2115ff5p-9, -0x1.16cf072ab8fd1p-9, -0x1.126d28082d415p-9, -0x1.0e11c64e7cea5p-9, -0x1.09bb01dd21a5p-9, -0x1.056460cd2c679p-9, -0x1.010bb403f1aecp-9, -0x1.f970885c28fc1p-10, -0x1.f0fb61d37a095p-10, -0x1.e8e85094e8e49p-10, -0x1.e159cc5b1d9a1p-10, -0x1.da634c4540ca8p-10, -0x1.d3eff61b8a9f6p-10, -0x1.cd6937e39bc3ap-10, -0x1.c626612a57e94p-10, -0x1.be9bf35c352b4p-10, -0x1.b79128c1678ap-10, -0x1.b08dc68401abp-10, -0x1.a90ad4580bc0fp-10, -0x1.a1bc0d38ba3d5p-10, -0x1.9b2b0a0a2367p-10, -0x1.950055f401b64p-10, -0x1.8ecf0aa18c023p-10, -0x1.88785ce722784p-10, -0x1.820a0cf5a5e1p-10, -0x1.7b9842724e2efp-10, -0x1.753031bab84a2p-10, -0x1.6ed7a7725bdffp-10, -0x1.68902586f854p-10, -0x1.6259e2d66343bp-10, -0x1.5c35244c86053p-10, -0x1.5621a1d3479b9p-10, -0x1.501cf8f6686afp-10, -0x1.4a22ca2760eb4p-10, -0x1.4430845c214cep-10, -0x1.3e4b1c931a34cp-10, -0x1.387f39b0395b2p-10, -0x1.32d62ad22ad34p-10, -0x1.2d522c78c0983p-10, -0x1.28162ea594414p-10, -0x1.23634c71627e3p-10, -0x1.1eed1f9abfb61p-10, -0x1.1a228b34a67a1p-10, -0x1.154fb7afb4647p-10, -0x1.105243fdf6e42p-10, -0x1.0ae1850d0cceap-10, -0x1.05d7990a33b9bp-10, -0x1.0173f8b141914p-10, -0x1.fa67d5543b3edp-11, -0x1.f1a6aa7e3d6d4p-11, -0x1.e8b019a8b4cccp-11, -0x1.dfaf29d6b3492p-11, -0x1.d6c1eaf58ba62p-11, -0x1.cdf6a738b1fe6p-11, -0x1.c551538d281d7p-11, -0x1.bcd03dfbbb348p-11, -0x1.b46f6d37326e3p-11, -0x1.ac2b4967975aap-11, -0x1.a40295842547ap-11, -0x1.9bf718b53e8a7p-11, -0x1.940c37c67114bp-11, -0x1.8c43a9331ac07p-11, -0x1.849a1fdc5990ep-11, -0x1.7d06fd95ebca2p-11, -0x1.75815a5564751p-11, -0x1.6e06b97ff24p-11, -0x1.6694ec80be39dp-11, -0x1.5f19a6226a047p-11, -0x1.57a810be4ee8dp-11, -0x1.50feaa4db9cffp-11, -0x1.4b90ad2d070bap-11, -0x1.46020c249e9dap-11, -0x1.3fb7ae06a120ap-11, -0x1.388ec92b1e94fp-11, -0x1.31984b0892fd2p-11, -0x1.2bd124cf532acp-11, -0x1.2655cedc69a0bp-11, -0x1.20a1f46d19378p-11, -0x1.1ac80b7ef1a62p-11, -0x1.14ecaf3dfde35p-11, -0x1.0f23fa228b482p-11, -0x1.0975e43595bf2p-11, -0x1.03e4a5cfc2b29p-11, -0x1.fcdfd2788c54cp-12, -0x1.f22c27f7e1cbdp-12, -0x1.e7a9c88c774f1p-12, -0x1.dd53ef2ba9107p-12, -0x1.d326ced84cab9p-12, -0x1.c920e6b1a1b4p-12, -0x1.bf43fb1c0a3a9p-12, -0x1.b594c422cd12cp-12, -0x1.ac185770e8b84p-12, -0x1.a2cf9175200e4p-12, -0x1.99b30d44389aap-12, -0x1.90b3cf46b32b8p-12, -0x1.87c35c6b85cc9p-12, -0x1.7ede1b909caebp-12, -0x1.7604d8c346c37p-12, -0x1.6d2116720de47p-12, -0x1.64313bf113c2fp-12, -0x1.5c251b3714303p-12, -0x1.55df1a0586a6ep-12, -0x1.4f13e130482b9p-12, -0x1.46778fa9c9724p-12, -0x1.3e1d1fd3690a5p-12, -0x1.375a096dc2abp-12, -0x1.30b41863d1edp-12, -0x1.29bdb61cbd5d1p-12, -0x1.22b21ebb7fd5dp-12, -0x1.1bba8b9e9f9cp-12, -0x1.14e51b6854383p-12, -0x1.0e34acbd12c44p-12, -0x1.07a8cc8b82eebp-12, -0x1.0140518d94c8ap-12, -0x1.f5f3e7fc49c89p-13, -0x1.e9a89eb5e901p-13, -0x1.dd9baaf96a177p-13, -0x1.d1c9bb0f87937p-13, -0x1.c62fa53466f8cp-13, -0x1.bacaf888348abp-13, -0x1.af9ab79524deep-13, -0x1.a4a00a3dbe24ap-13, -0x1.99de4024076b7p-13, -0x1.8f593456b7d31p-13, -0x1.8511fc2f65db4p-13, -0x1.7b03ac468b0f1p-13, -0x1.7122ec5af6ff6p-13, -0x1.6762405e0dbd9p-13, -0x1.5dbba61e2305p-13, -0x1.5439acbc2f336p-13, -0x1.4aea98b7fff8ap-13, -0x1.41b15f39bdcd3p-13, -0x1.385d95cbc30dp-13, -0x1.2feb9bff977b1p-13, -0x1.28b0dc585de5fp-13, -0x1.1fcbb65ec2668p-13, -0x1.176f2d377de46p-13, -0x1.103e8ce10a55p-13, -0x1.08c53b34255d8p-13, -0x1.01203b73d132cp-13, -0x1.f3253c2e0092ap-14, -0x1.e4618df0c25cp-14, -0x1.d5f9637c5acb2p-14, -0x1.c7e8b2614469dp-14, -0x1.ba2b1dd16ebb7p-14, -0x1.acbd4c65adb7bp-14, -0x1.9f9cc1ba408acp-14, -0x1.92c77817b782bp-14, -0x1.863b8831b0b28p-14, -0x1.79f6f79b95d6ap-14, -0x1.6df7b1612d89ep-14, -0x1.623b9c22ccac2p-14, -0x1.56c0bfb3f9659p-14, -0x1.4b857bc5c5eep-14, -0x1.4088dc1eea88p-14, -0x1.35cafe26ff8a8p-14, -0x1.2b4d243762c78p-14, -0x1.2110576c943p-14, -0x1.171447c216e3cp-14, -0x1.0d55b79c7cb3ap-14, -0x1.03cebfbf21217p-14, -0x1.f4ef841b9eb52p-15, -0x1.e297e22be6feap-15, -0x1.d0a2e1864928dp-15, -0x1.bf390b932a42dp-15, -0x1.ae687443698cfp-15, -0x1.9db58ae56ec17p-15, -0x1.8c8f7c9a817aap-15, -0x1.7cb2b5be19302p-15, -0x1.6d45974ef7c84p-15, -0x1.5f30515ac8dbp-15, -0x1.515a00336b15fp-15, -0x1.430c8aaab2543p-15, -0x1.34ef636a57c97p-15, -0x1.2736c81879eb7p-15, -0x1.19e2fff5d32d1p-15, -0x1.0cedd172f8c4p-15, -0x1.0052953cecda7p-15, -0x1.e81b52fbcfd13p-16, -0x1.d0382d97dedbep-16, -0x1.b8f71f86649bfp-16, -0x1.a2546be37cb5cp-16, -0x1.8c4cd73f464fep-16, -0x1.76dd4719125bp-16, -0x1.620271641ac97p-16, -0x1.4db8bfb16811bp-16, -0x1.3a0602b653bd7p-16, -0x1.26c273e2c4e24p-16, -0x1.1425603ae3931p-16, -0x1.0200246019e68p-16, -0x1.e0bca8d35e9e3p-17, -0x1.be799011d3e23p-17, -0x1.9d3562977e103p-17, -0x1.7cee7d67fa612p-17, -0x1.5da0c1d44039cp-17, -0x1.3f441d66b65cbp-17, -0x1.21cd575171252p-17, -0x1.052f5fbbcc023p-17, -0x1.d2bc07fc8228p-18, -0x1.9cb3f221ac55fp-18, -0x1.68853ad0257d2p-18, -0x1.367de1edc3a55p-18, -0x1.06501e2777813p-18, -0x1.ac7011855f501p-19, -0x1.497695c971cd3p-19, -0x1.e1dca9b2328ebp-20, -0x1.45c80015770f5p-20, -0x1.477837a30c0ap-21, -0x1.1838790d761c9p-27, 0x1.332ddb25a6683p-21, 0x1.2f57dc36426cbp-20, 0x1.bf7636f91ca7p-20, 0x1.251f84bd74489p-19, 0x1.67f3d596cb3a3p-19, 0x1.a84b7ecca912p-19, 0x1.e632b1574de7ep-19, 0x1.10d7b8de4051bp-18, 0x1.2d6f3c447667dp-18, 0x1.48f1cedb34a21p-18, 0x1.635fa7de7b551p-18, 0x1.7cb5fd4e3c74cp-18, 0x1.94fba7e2c2055p-18, 0x1.ac394af5bea5ap-18, 0x1.c2763714eaa22p-18, 0x1.d7b94344b567bp-18, 0x1.ec090e0e51379p-18, 0x1.ff6bbb97cce4p-18, 0x1.08f3795b56431p-17, 0x1.11c004f5878d4p-17, 0x1.1a1df91c05d91p-17, 0x1.220f7ba239a4fp-17, 0x1.29968853b4bcap-17, 0x1.30b59075538a2p-17, 0x1.376f81c433d8fp-17, 0x1.3dc5d384c0c28p-17, 0x1.43cbcde0ea243p-17, 0x1.496ac554b55ep-17, 0x1.4ea8d16582a2ap-17, 0x1.539e00e2c0894p-17, 0x1.5831dd51d1855p-17, 0x1.5c649fa3c04ep-17, 0x1.6044f8e5a85ep-17, 0x1.640ac3a5c3fb6p-17, 0x1.67ba54567ddf2p-17, 0x1.6a5ebc276deap-17, 0x1.6d0c7e90321b9p-17, 0x1.6f91b96b3852bp-17, 0x1.71ccde672b64p-17, 0x1.73c15e6e28ab8p-17, 0x1.75733de3ec14ep-17, 0x1.76e54e2b37c11p-17, 0x1.7819dcab238cbp-17, 0x1.7912e69dc0b8p-17, 0x1.79d12a2783334p-17, 0x1.7a51def0f5cf7p-17, 0x1.7a994f6748f2ap-17, 0x1.7ab3eabaa8dbp-17, 0x1.7a9f8e45465cfp-17, 0x1.7a562ef197e2ap-17, 0x1.79da0e21d7dfp-17, 0x1.792e721007f18p-17, 0x1.7855471be35fdp-17, 0x1.77503ae09590dp-17, 0x1.7620ff13155cfp-17, 0x1.74c911586e5bbp-17, 0x1.73498b5914c5ep-17, 0x1.71a3855725bf6p-17, 0x1.6fd871597b305p-17, 0x1.6de9da57762c9p-17, 0x1.6bd9345df8d8ep-17, 0x1.69a7c9e5a07e7p-17, 0x1.675662ab9ef06p-17, 0x1.64e566bafda24p-17, 0x1.6254a099a9246p-17, 0x1.5faad3251028cp-17, 0x1.5ce025ef72125p-17, 0x1.5a01c797fc9e1p-17, 0x1.5707741e4d00ap-17, 0x1.53f61017367b4p-17, 0x1.50cf1431d7d74p-17, 0x1.4d8c30f784b02p-17, 0x1.4a3171cfc480bp-17, 0x1.46c491a2151f3p-17, 0x1.43457c7816328p-17, 0x1.3fd4a43b70bd4p-17, 0x1.3c0faa6372d86p-17, 0x1.38630630d5241p-17, 0x1.34a066d416351p-17, 0x1.30c325cd1c6cdp-17, 0x1.2cdd37e4ad5ebp-17, 0x1.28f26629569p-17, 0x1.24fa9d0ace99bp-17, 0x1.20f159d294315p-17, 0x1.1cdbdabdafe46p-17, 0x1.18bc098418df6p-17, 0x1.14920f233ea24p-17, 0x1.105df9e2ca2fep-17, 0x1.0c206edf067dp-17, 0x1.07da7f18138fbp-17, 0x1.038d5f1e25828p-17, 0x1.fe74b835424abp-18, 0x1.f5c251114e813p-18, 0x1.ed0118bab6641p-18, 0x1.e4349459e745ep-18, 0x1.db5fe0b18c487p-18, 0x1.d28361e259342p-18, 0x1.c99fbaad49c0bp-18, 0x1.c0b5f12fd09afp-18, 0x1.b7c6dfa87446bp-18, 0x1.aed330ad48321p-18, 0x1.a5db8b2df2bd5p-18, 0x1.9ce13e67501f6p-18, 0x1.93e8c3f8ab5b2p-18, 0x1.8af7fbf5b3527p-18, 0x1.8204b2a97d9a1p-18, 0x1.790bf453edb93p-18, 0x1.7012838eb4f39p-18, 0x1.66fef147eeacbp-18, 0x1.5e07bfde81374p-18, 0x1.551aec4b7e5d3p-18, 0x1.4c37eca16ab48p-18, 0x1.4358cd8a6517ap-18, 0x1.3a82add53b712p-18, 0x1.31a277f3778b2p-18, 0x1.28c50a1b5813p-18, 0x1.1ff32d3b0ef04p-18, 0x1.1744a6c484f58p-18, 0x1.0e57588999902p-18, 0x1.05ddfa5c985c9p-18, 0x1.fa3a9d98799dbp-19, 0x1.e8f895e70cf49p-19, 0x1.d7d00afccef5cp-19, 0x1.c6bce84abf3fap-19, 0x1.b5bfd18b31537p-19, 0x1.a4da0aa6f9bebp-19, 0x1.940d391b421b6p-19, 0x1.8358e9a995e44p-19, 0x1.72c08698b317bp-19, 0x1.62466b5e54b93p-19, 0x1.51ee1128fc011p-19, 0x1.41ba2563ddbf7p-19, 0x1.316b49a106d41p-19, 0x1.214faffd0db27p-19, 0x1.11517bcd946c2p-19, 0x1.01b33753d29afp-19, 0x1.e42108fb613ffp-20, 0x1.c5114368f5c42p-20, 0x1.a640762d5c42fp-20, 0x1.87ae3beaeaa03p-20, 0x1.695f0accb8c64p-20, 0x1.4b5630a488192p-20, 0x1.2d94f255c7778p-20, 0x1.101b844ffced9p-20, 0x1.e5d3b93e0d869p-21, 0x1.abffb381a0f26p-21, 0x1.72b8e0ddb4131p-21, 0x1.39eeb4b58932fp-21, 0x1.03a7a6e9b647dp-21, 0x1.9574c3bfaf496p-22, 0x1.26532d4a06cb6p-22, 0x1.744c70286f465p-23, 0x1.2de68dab3ded3p-24, -0x1.acc20b8457d51p-26, -0x1.0fa8f521f6e9bp-23, -0x1.dc76ff4fa38a4p-23, -0x1.55541b1fe1fcbp-22, -0x1.bb4201f36bf64p-22, -0x1.100eeaefe811dp-21, -0x1.41fb4ff158463p-21, -0x1.72c8027af41e5p-21, -0x1.a3add8ea91c64p-21, -0x1.d3d4ec29c6864p-21, -0x1.01b84e31e3b73p-20, -0x1.1917d252d921ap-20, -0x1.2fc2f367b0cfbp-20, -0x1.46106e875ab21p-20, -0x1.5d5fbe1d2c109p-20, -0x1.71e0cc1aeaf4dp-20, -0x1.89c621730e2e1p-20, -0x1.9e59da03e1f84p-20, -0x1.b37d7c3bbbdebp-20, -0x1.c85cfbf42fa96p-20, -0x1.dcec7c61b6203p-20, -0x1.f131e54e328b7p-20, -0x1.029558dfb0638p-19, -0x1.0c5c065bc5decp-19, -0x1.1600592e897e9p-19, -0x1.2056e4661bfdfp-19, -0x1.289ecaa16c427p-19, -0x1.323bb0cc43496p-19, -0x1.3b2f30781a4b2p-19, -0x1.4445bf0e98b6p-19, -0x1.4d1d1baf78fe4p-19, -0x1.55a49ee251056p-19, -0x1.5e568ed744bd6p-19, -0x1.66adbb99ad7cap-19, -0x1.6ed4830058f42p-19, -0x1.76fbed3fb7b6p-19, -0x1.7efd951368eebp-19, -0x1.86d135c86328p-19, -0x1.8e80aa12940e5p-19, -0x1.95f3e4c810272p-19, -0x1.9d2f5b687f196p-19, -0x1.a456c2a4bb195p-19, -0x1.ab65a16a4b8dfp-19, -0x1.b25513d62754cp-19, -0x1.b91f36c2bbdcdp-19, -0x1.bfc1d3feb1402p-19, -0x1.c641261b6c2c9p-19, -0x1.cca252b007dfp-19, -0x1.d2e5b8fbf6f08p-19, -0x1.d91bd4518ee3dp-19, -0x1.df3bd57c465a4p-19, -0x1.e4fcabd5da337p-19, -0x1.eab0b706afe0fp-19, -0x1.f0390763914c4p-19, -0x1.f594691e6b2e3p-19, -0x1.fadced2400c15p-19, -0x1.ffed66d5ab573p-19, -0x1.024575e6cbd71p-18, -0x1.052bef6856e68p-18, -0x1.07a58ee9684c8p-18, -0x1.0a080c8e93388p-18, -0x1.0c4d3da0c8d28p-18, -0x1.0e713135b23acp-18, -0x1.108feb7b8aadap-18, -0x1.12b022d0bec74p-18, -0x1.14c0ac99e4e8ap-18, -0x1.16bf4be5fee67p-18, -0x1.18af4b2ae631dp-18, -0x1.1a92704e79eep-18, -0x1.1c6803cc741c7p-18, -0x1.1e2dc8595c16bp-18, -0x1.1fe3c17579abbp-18, -0x1.218b39520fd4cp-18, -0x1.2325c58f1f67ap-18, -0x1.24b4db7a3490ap-18, -0x1.263997499f4e7p-18, -0x1.27b44614f3758p-18, -0x1.292385b91ddp-18, -0x1.2a8520cd2e9cap-18, -0x1.2bcc9c533759p-18, -0x1.2cfc354cdb63p-18, -0x1.2e115e7d69fa6p-18, -0x1.2f21071d6d8f7p-18, -0x1.302fb4f3eb52fp-18, -0x1.3135a43f367c9p-18, -0x1.324422544dfbp-18, -0x1.333f3e37f3fefp-18, -0x1.342f5e330f1a4p-18, -0x1.351335a3a8db3p-18, -0x1.35e19b6cd2dd2p-18, -0x1.36a79e00999d5p-18, -0x1.378451999212ap-18, -0x1.3838deaf8ebbbp-18, -0x1.38cda72a83237p-18, -0x1.395e8fb19eb6cp-18, -0x1.39ad64de6b5dbp-18, -0x1.3a104ed5695b9p-18, -0x1.3a88607bc1ed1p-18, -0x1.3afb20673cfabp-18, -0x1.3b64dd4e06c27p-18, -0x1.3bcd8a85b8b1bp-18, -0x1.3c364ed2aedbbp-18, -0x1.3c92ad78f2d67p-18, -0x1.3cd25bfa48b43p-18, -0x1.3cefe0a8532b1p-18, -0x1.3cef024710f2fp-18, -0x1.3d06054bcca8bp-18, -0x1.3d25e0fb0c397p-18, -0x1.3d1d118d12c83p-18, -0x1.3c99933097c2cp-18, -0x1.3d04a001b800ep-18, -0x1.3cf71379fba6dp-18, -0x1.3cfb4889c3a58p-18, -0x1.3cefcc4dfbff7p-18, -0x1.3cc0cda4a573dp-18, -0x1.3c7cb83266cd7p-18, -0x1.3c3a769ee3c76p-18, -0x1.3bfad671b1d05p-18, -0x1.3bbe928ae32e6p-18, -0x1.3b6ed102526dcp-18, -0x1.3b1270bed345ap-18, -0x1.3aac90c63b1fdp-18, -0x1.3a3f7dbc8be1ep-18, -0x1.39cc4b760cdcbp-18, -0x1.3952a90b1a22p-18, -0x1.38d254dd98a0dp-18, -0x1.384b85863ea06p-18, -0x1.37bef9a0c52ccp-18, -0x1.3724016cb72f4p-18, -0x1.368aabaa40158p-18, -0x1.35f256c2f9fc7p-18, -0x1.354db244a0138p-18, -0x1.34a62771a3a6fp-18, -0x1.33f4d8a9a1a65p-18, -0x1.333dcea780952p-18, -0x1.327d0abd5ac7dp-18, -0x1.31b45c988e9c5p-18, -0x1.30ea31d8ca51p-18, -0x1.301e25909ad83p-18, -0x1.2f3e1353ec06ep-18, -0x1.2e713e7778f6bp-18, -0x1.2d8b9816b07b1p-18, -0x1.2c9ba4e71fbep-18, -0x1.2ba2afeeb6ff9p-18, }}, 
      {{-0x1.ca6e19f0a3719p-1, -0x1.a8346a61a44d3p-1, -0x1.7579ad6f4525fp-1, -0x1.391615bc304b7p-1, -0x1.f315c5dd91759p-2, -0x1.783e97adfafa3p-2, -0x1.091f0b82022f1p-2, -0x1.545f194134103p-3, -0x1.757b218d64232p-4, -0x1.15641d3374b09p-5, 0x1.cee8b7dccebd5p-8, 0x1.13dbabc267582p-5, 0x1.8cbcf1d079a7ep-5, 0x1.b94f9077e3581p-5, 0x1.ad690083491fp-5, 0x1.7ae5c8f31f19dp-5, 0x1.3123993575d7ep-5, 0x1.b9a366195c7d8p-6, 0x1.0ff6c1540ad45p-6, 0x1.d1b704dd5e7dcp-8, -0x1.c5b7069b578p-11, -0x1.c367435e0b8afp-8, -0x1.5f7b28db40c03p-7, -0x1.931fde3b8bb84p-7, -0x1.7e13bb3856783p-7, -0x1.24cf4e768f1b2p-7, -0x1.1be940a46b62ap-8, 0x1.f3648ac92361cp-10, 0x1.3773ad5137009p-7, 0x1.29f6e09cdcee2p-6, 0x1.c55cd8f5981e5p-6, 0x1.34c539c3c4fdp-5, 0x1.8934b08103d29p-5, 0x1.de20bed434fep-5, 0x1.18f133cfb5fb2p-4, 0x1.41854d8425286p-4, 0x1.68316384b3548p-4, 0x1.8c75c6c963553p-4, 0x1.aded0e6b1338bp-4, 0x1.cc4a4898e6572p-4, 0x1.e756dbd60396p-4, 0x1.fef03b9a82e29p-4, 0x1.0982c4c5552bbp-3, 0x1.11ca9f757ebdcp-3, 0x1.1855752503dd6p-3, 0x1.1d2e8815255fep-3, 0x1.2065977bc9d2cp-3, 0x1.220df6371d57dp-3, 0x1.223dba00ad592p-3, 0x1.210d034a7b91bp-3, 0x1.1e955b29c290dp-3, 0x1.1af1255e531fap-3, 0x1.163b25cffe1c7p-3, 0x1.108e1919c004ap-3, 0x1.0a045ee0dc34fp-3, 0x1.02b7b4129d9ddp-3, 0x1.f581f59c065cfp-4, 0x1.e4701c6b75808p-4, 0x1.d26741807cd3cp-4, 0x1.bf9247eb1f8cdp-4, 0x1.ac1970d7a7622p-4, 0x1.982249a7d0201p-4, 0x1.83cfa591e4781p-4, 0x1.6f41a0bb57377p-4, 0x1.5a95aac1b2d38p-4, 0x1.45e69776e606dp-4, 0x1.314cb4428ff4fp-4, 0x1.1cdde16c4a3e3p-4, 0x1.08adae1b1a5acp-4, 0x1.e99aece2316fdp-5, 0x1.c29905ea42537p-5, 0x1.9c7051492436bp-5, 0x1.7737d2171faebp-5, 0x1.530324465f746p-5, 0x1.2fe2bb0c3c399p-5, 0x1.0de41dcf13f45p-5, 0x1.da2445cfdffd5p-6, 0x1.9aea50d69e1acp-6, 0x1.5e2695007a7a8p-6, 0x1.23e12ea15fa3ep-6, 0x1.d83d017986e1ep-7, 0x1.6dbf244d7521dp-7, 0x1.0844caf77b05dp-7, 0x1.4f892c3f843b9p-8, 0x1.30c16ed96d8cap-9, -0x1.514943f29a604p-12, -0x1.7205dc78e91aep-9, -0x1.539d00f7c2f12p-8, -0x1.e51b02e14b253p-8, -0x1.36dcf0ca90d23p-7, -0x1.76dd4024a24fp-7, -0x1.b2b080e583b0ap-7, -0x1.ea7a1137ffee8p-7, -0x1.0f2f28afc3d53p-6, -0x1.27412f0709f5cp-6, -0x1.3d85e923ebc28p-6, -0x1.521048a50c238p-6, -0x1.64f3474a2877fp-6, -0x1.7641d1ce0dd6ep-6, -0x1.860eb3d13679ep-6, -0x1.946c850c886f7p-6, -0x1.a16d97f2e6b07p-6, -0x1.ad23ed5f86a28p-6, -0x1.b7a129d910b9dp-6, -0x1.c0f688fb4f63ap-6, -0x1.c934d27ed1bfep-6, -0x1.d06c5655c9c6cp-6, -0x1.d6ace89b98bc6p-6, -0x1.dc05d79e49e88p-6, -0x1.e085e9568a2ap-6, -0x1.e43b5837b832ap-6, -0x1.e733d44b2c71cp-6, -0x1.e97c817c1c242p-6, -0x1.eb21f4f025c14p-6, -0x1.ec3035369ebd2p-6, -0x1.ecb2bc125dc02p-6, -0x1.ecb4790cc11f8p-6, -0x1.ec3fd398a4p-6, -0x1.eb5eac179c15ep-6, -0x1.ea1a5e33b7f95p-6, -0x1.e87bc412b71e4p-6, -0x1.e68b395b77c59p-6, -0x1.e450a0061cff1p-6, -0x1.e1d362e602f7p-6, -0x1.df1a7893787p-6, -0x1.dc2c695c8bb13p-6, -0x1.d90f520aab2d5p-6, -0x1.d5c8e7019a992p-6, -0x1.d25e78c5f5245p-6, -0x1.ced4f893bc86p-6, -0x1.cb30fb8888a4p-6, -0x1.c776bee103a1bp-6, -0x1.c3aa2cd40a692p-6, -0x1.bfcedfc69fd12p-6, -0x1.bbe825b000a07p-6, -0x1.b7f904489a087p-6, -0x1.b4043c693be87p-6, -0x1.b00c4cf811562p-6, -0x1.ac1377494d482p-6, -0x1.a81bc2efbbbbbp-6, -0x1.a427004f1b126p-6, -0x1.a036cb9d1dc7ap-6, -0x1.9c4c90ebb2e9fp-6, -0x1.98698ecd9d23bp-6, -0x1.948ed8119f717p-6, -0x1.90bd56e4cf887p-6, -0x1.8cf5d069c2b2ap-6, -0x1.8938e6e432981p-6, -0x1.85871b63d288dp-6, -0x1.81e0d08fe9417p-6, -0x1.7e464db455bddp-6, -0x1.7ab7c07776433p-6, -0x1.77353e8cda35ep-6, -0x1.73bec77e7d782p-6, -0x1.7054475a7305fp-6, -0x1.6cf59747a17c7p-6, -0x1.69a27f9dff266p-6, -0x1.665ab9e0289fcp-6, -0x1.631df26b95d57p-6, -0x1.5febc991218bap-6, -0x1.5cc3d46c4904fp-6, -0x1.59a59e9323157p-6, -0x1.5690abee974ddp-6, -0x1.538479a2643d8p-6, -0x1.50807e6cf9bb1p-6, -0x1.4d842b96e411dp-6, -0x1.4a8eee75553cdp-6, -0x1.47a03184e44dcp-6, -0x1.44b75cd9b2773p-6, -0x1.41d3d692af7a7p-6, -0x1.3ef503cc8d11cp-6, -0x1.3c1a499e5f553p-6, -0x1.39430d94c2a15p-6, -0x1.366eb5ed4b6cap-6, -0x1.339caa1fcb05ep-6, -0x1.30cc53c3d141dp-6, -0x1.2dfd1f3debca6p-6, -0x1.2b2e7be152fe8p-6, -0x1.285fdbd96bacp-6, -0x1.2590b4573ec1p-6, -0x1.22c07e2f4c375p-6, -0x1.1feeb6979da85p-6, -0x1.1d1adf6d5b724p-6, -0x1.1a447eff90675p-6, -0x1.176b20303bdep-6, -0x1.148e5296fc993p-6, -0x1.11adaaaaea6c4p-6, -0x1.0ec8c22041c98p-6, -0x1.0bdf37cff2921p-6, -0x1.08f0af8f0b8c2p-6, -0x1.05fcd25f79946p-6, -0x1.03034eca611ebp-6, -0x1.0003d905e7cd6p-6, -0x1.f9fc55a30bc0cp-7, -0x1.f3e406752e273p-7, -0x1.edbe4cedff053p-7, -0x1.e78abbcdb1d02p-7, -0x1.e148f041b6202p-7, -0x1.daf891d562845p-7, -0x1.d499524eb19c4p-7, -0x1.ce2aed8c89416p-7, -0x1.c7ad2974161e7p-7, -0x1.c11fd5eef59f5p-7, -0x1.ba82cccc31885p-7, -0x1.b3d5f16d5e60dp-7, -0x1.ad193064ee9edp-7, -0x1.a64c7f177c65cp-7, -0x1.9f6fdb70b66ap-7, -0x1.98834bbf8943cp-7, -0x1.9186de9bbc088p-7, -0x1.8a7aaab7faa3cp-7, -0x1.835ecea669866p-7, -0x1.7c337091a296fp-7, -0x1.74f8bdf08cd42p-7, -0x1.6daeeb4c7fb67p-7, -0x1.665634111ecdcp-7, -0x1.5eeeda472e2aap-7, -0x1.5779264028206p-7, -0x1.4ff5663ded32fp-7, -0x1.4863ee1899bcp-7, -0x1.40c516f24c1a3p-7, -0x1.39193f0a0d674p-7, -0x1.3160c995006a7p-7, -0x1.299c1e885b772p-7, -0x1.21cbaa588e775p-7, -0x1.19efddb022056p-7, -0x1.12092d1f6ae1dp-7, -0x1.0a1810d794f72p-7, -0x1.021d048035175p-7, -0x1.f4310e22801edp-8, -0x1.e416353787d86p-8, -0x1.d3ea880c3e5eep-8, -0x1.c3af1582f9f1ap-8, -0x1.b364f0f89f8a2p-8, -0x1.a30d31bf4f348p-8, -0x1.92a8f2ca9d5b2p-8, -0x1.8239527262214p-8, -0x1.71bf72275defdp-8, -0x1.613c761e59479p-8, -0x1.50b184ecb8a8fp-8, -0x1.401fc70f41fe4p-8, -0x1.2f88666b63358p-8, -0x1.1eec8ded964f6p-8, -0x1.0e4d694c598a8p-8, -0x1.fb5849a49c8abp-9, -0x1.da13da4075bdp-9, -0x1.b8cfddcfcfaf3p-9, -0x1.978ead31867d4p-9, -0x1.76529ff74f58p-9, -0x1.551e0b9b75829p-9, -0x1.33f342e9af73ep-9, -0x1.12d49598b5b28p-9, -0x1.e3889fd98a05ep-10, -0x1.a18974a74d675p-10, -0x1.5fb032185bc1p-10, -0x1.1e0157aa84e46p-10, -0x1.b902b6176d8ebp-11, -0x1.36694dfffc55cp-11, -0x1.687e69552c612p-12, -0x1.94686ffea4b98p-14, 0x1.3a927519d6cc7p-13, 0x1.9e9ac16f8376bp-12, 0x1.4f64ecf569834p-11, 0x1.cee31038e7dffp-11, 0x1.26dfdb7e7d32ep-10, 0x1.65f9768862da7p-10, 0x1.a4ba6f744d64p-10, 0x1.e31eed6e4c136p-10, 0x1.1091949086489p-9, 0x1.2f61b6a1018bfp-9, 0x1.4dfe0b8963467p-9, 0x1.6c64cb5092fe2p-9, 0x1.8a943775b812ep-9, 0x1.a88a9b008d157p-9, 0x1.c6464a94143b4p-9, 0x1.e3c5a489d0207p-9, 0x1.008388859925fp-8, 0x1.0f0481185d4ebp-8, 0x1.1d64fa169dac1p-8, 0x1.2ba436bc696efp-8, 0x1.39c17f79db56ap-8, 0x1.47bc21fddba47p-8, 0x1.5593713796c05p-8, 0x1.6346c553f1538p-8, 0x1.70d57bba1eddbp-8, 0x1.7e3ef7006af1dp-8, 0x1.8b829ee3778b3p-8, 0x1.989fe04b28a77p-8, 0x1.a5962d4c2f2fp-8, 0x1.b264fd2c31c76p-8, 0x1.bf0bcc73be36bp-8, 0x1.cb8a1cec0d26dp-8, 0x1.d7df759d16b0cp-8, 0x1.e40b62d490d2cp-8, 0x1.f00d76181be4ap-8, 0x1.fbe546096723ep-8, 0x1.03c9372217336p-7, 0x1.098a47a0ccd05p-7, 0x1.0f35a72ab88bap-7, 0x1.14cb2ae2661b9p-7, 0x1.1a4aaa70c4454p-7, 0x1.1fb400063d11cp-7, 0x1.2507084aeb1edp-7, 0x1.2a43a248c2f75p-7, 0x1.2f69af5e9bebcp-7, 0x1.34791342d54d2p-7, 0x1.3971b40eeb7b3p-7, 0x1.3e537a451ed11p-7, 0x1.431e50c479896p-7, 0x1.47d224ae7a472p-7, 0x1.4c6ee54be9aecp-7, 0x1.50f483fc580d2p-7, 0x1.5562f4319a075p-7, 0x1.59ba2b72e7fe3p-7, 0x1.5dfa21631fa5ep-7, 0x1.6222cfb9cfb1ep-7, 0x1.663432358a485p-7, 0x1.6a2e469ff0d5dp-7, 0x1.6e110cc9904dp-7, 0x1.71dc867185123p-7, 0x1.7590b737cd6fp-7, 0x1.792da49db4885p-7, 0x1.7cb355f8fd8e1p-7, 0x1.8021d46550c8p-7, 0x1.83792abaff319p-7, 0x1.86b96587a8d13p-7, 0x1.89e293075c17fp-7, 0x1.8cf4c31d8dd92p-7, 0x1.8ff0074ce57cdp-7, 0x1.92d472afd10aep-7, 0x1.95a219f1041a1p-7, 0x1.98591341abdecp-7, 0x1.9af97651155d9p-7, 0x1.9d835c428fd99p-7, 0x1.9ff6dfa2d6397p-7, 0x1.a2541c5dd6b84p-7, 0x1.a49b2fb4d611p-7, 0x1.a6cc383501d87p-7, 0x1.a8e755aec3a6fp-7, 0x1.aaeca92da69fdp-7, 0x1.acdc54f0e5db9p-7, 0x1.aeb67c64b05fp-7, 0x1.b07b441b5d974p-7, 0x1.b22ad1c63578p-7, 0x1.b3c54c2afd0f9p-7, 0x1.b54adb169662cp-7, 0x1.b6bba757664efp-7, 0x1.b817daa85025ap-7, 0x1.b95f9fa9484f1p-7, 0x1.ba9321d7721d5p-7, 0x1.bbb28d884d87fp-7, 0x1.bcbe0fe7a5ffap-7, 0x1.bdb5d6f996ef9p-7, 0x1.be9a11960b1a2p-7, 0x1.bf6aef6f908e2p-7, 0x1.c028a10ce7358p-7, 0x1.c0d357b1f3b5dp-7, 0x1.c16b4540a049fp-7, 0x1.c1f09c2781ad2p-7, 0x1.c2638f5b6b4aap-7, 0x1.c2c452509f80bp-7, 0x1.c31318ec8b7dap-7, 0x1.c350177f39a82p-7, 0x1.c37b82d80cd59p-7, 0x1.c395905f833f5p-7, 0x1.c39e761ce01b3p-7, 0x1.c3966aad4c1bp-7, 0x1.c37da53408a08p-7, 0x1.c3545d42bdf49p-7, 0x1.c31acabb48916p-7, 0x1.c2d125b142de7p-7, 0x1.c277a652bfc6p-7, 0x1.c20e84de55f36p-7, 0x1.c195f9aa077c9p-7, 0x1.c10e3d38bde7bp-7, 0x1.c077885783c5fp-7, 0x1.bfd214395e765p-7, 0x1.bf1e1a8655e8fp-7, 0x1.be5bd55603521p-7, 0x1.bd8b7f18b27cp-7, 0x1.bcad52536a671p-7, 0x1.bbc189808bfdap-7, 0x1.bac85ede5213ap-7, 0x1.b9c20c3699954p-7, 0x1.b8aecaf474117p-7, 0x1.b78ed4407ebep-7, 0x1.b662613d7925ap-7, 0x1.b529ab506cf33p-7, 0x1.b3e4ec5fdfb84p-7, 0x1.b2945ef642b8bp-7, 0x1.b1383e3604e9fp-7, 0x1.afd0c59bbe343p-7, 0x1.ae5e30a832b22p-7, 0x1.ace0ba6c5e573p-7, 0x1.ab589d1a82b3fp-7, 0x1.a9c611ca3389dp-7, 0x1.a82950688e386p-7, 0x1.a6828fde4d37cp-7, 0x1.a4d20674268a3p-7, 0x1.a317ea7011ea1p-7, 0x1.a15472c472919p-7, 0x1.9f87d78ef3cf8p-7, 0x1.9db252306671cp-7, 0x1.9bd41d048815ep-7, 0x1.99ed72e51b9aap-7, 0x1.97fe8e80a8463p-7, 0x1.9607a97d480bap-7, 0x1.9408fb9dfd34fp-7, 0x1.9202ba4baf891p-7, 0x1.8ff518b58dbbfp-7, 0x1.8de048739eea3p-7, 0x1.8bc47a77c0489p-7, 0x1.89a1e01708c16p-7, 0x1.8778abf32f0e5p-7, 0x1.8549128be4b63p-7, 0x1.83134a4f9652cp-7, 0x1.80d78b1d93588p-7, 0x1.7e960d4d6c26dp-7, 0x1.7c4f0873a7adp-7, 0x1.7a02b229aef6bp-7, 0x1.77b13d21b5753p-7, 0x1.755ad8bc0db3ep-7, 0x1.72ffb144fcaecp-7, 0x1.709ff09783998p-7, 0x1.6e3bbff4bac9fp-7, 0x1.6bd348c6134f1p-7, 0x1.6966b7350de7dp-7, 0x1.66f63a86eb35ap-7, 0x1.648205d1f5549p-7, 0x1.620a4f4697164p-7, 0x1.5f8f4e940b089p-7, 0x1.5d113aa495b43p-7, 0x1.5a9047394c1fbp-7, 0x1.580ca2fff8569p-7, 0x1.5586769ee3014p-7, 0x1.52fde4edc22b6p-7, 0x1.50730c3f10df2p-7, 0x1.4de60858fb7ddp-7, 0x1.4b56f4ae0a9bap-7, 0x1.48c5ee9194fep-7, 0x1.4633174c5a5e6p-7, 0x1.439e95e056a13p-7, 0x1.4108981cbbea6p-7, 0x1.3e71528ca5e2ap-7, 0x1.3bd8fee0687cdp-7, 0x1.393fd8bf4c2d3p-7, 0x1.36a6196fb0b47p-7, 0x1.340bf34b86f4cp-7, 0x1.31718e4a7f55p-7, 0x1.2ed706c284b41p-7, 0x1.2c3c6eca5e14ep-7, 0x1.29a1d1b46cd0ep-7, 0x1.2707386936112p-7, 0x1.246cad486b0a9p-7, 0x1.21d23ea86b48ep-7, 0x1.1f380026c5648p-7, 0x1.1c9e0b465148bp-7, 0x1.1a04802654148p-7, 0x1.176b86b0914d5p-7, 0x1.14d34f6e45475p-7, 0x1.123c12dd0b46cp-7, 0x1.0fa60e2f89c9ep-7, 0x1.0d117d6aad5dfp-7, 0x1.0a7e943a95479p-7, 0x1.07ed77e6ac80fp-7, 0x1.055e3cc7af836p-7, 0x1.02d0e8612641p-7, 0x1.0045774c00ca3p-7, 0x1.fb77c8f342822p-8, 0x1.f6685dc767e12p-8, 0x1.f15cb781ad8bcp-8, 0x1.ec54ea90372c6p-8, 0x1.e7510fc2f9afep-8, 0x1.e25140bb4d432p-8, 0x1.dd559a14ae651p-8, 0x1.d85e432e97c7cp-8, 0x1.d36b7781e2571p-8, 0x1.ce7d8b7877b21p-8, 0x1.c994e82b35cd4p-8, 0x1.c4b1fdb659796p-8, 0x1.bfd530cdeb9a9p-8, 0x1.bafecb182e4eap-8, 0x1.b62ef4dc4b8f9p-8, 0x1.b165ba31926e3p-8, 0x1.aca3186c13e91p-8, 0x1.a7e70ce5c4db4p-8, 0x1.a3319e51a917bp-8, 0x1.9e82dc930a611p-8, 0x1.99dad8554439cp-8, 0x1.953997419f055p-8, 0x1.909f0c417a1dp-8, 0x1.8c0b19927a34p-8, 0x1.877d9daf9e2ccp-8, 0x1.82f685e21a6a4p-8, 0x1.7e75dd6aad463p-8, 0x1.79fbd18240303p-8, 0x1.7588a84db2f7cp-8, 0x1.711cafe7dd342p-8, 0x1.6cb82efc93ca3p-8, 0x1.685b5ea5e4a52p-8, 0x1.64066e14a3285p-8, 0x1.5fb98a4ca12e7p-8, 0x1.5b74e31ff1895p-8, 0x1.5738a9d04c64ap-8, 0x1.53050a8a809c6p-8, 0x1.4eda24738a2d4p-8, 0x1.4ab802957607fp-8, 0x1.469e95e8cff51p-8, 0x1.428db1ce18291p-8, 0x1.3e850f5281f19p-8, 0x1.3a845b4af984cp-8, 0x1.368b4cdeb7f02p-8, 0x1.3299b9cc7dec7p-8, 0x1.2eaf9bd90b5p-8, 0x1.2acd039858ec6p-8, 0x1.26f1feb30f39bp-8, 0x1.231e926ee994dp-8, 0x1.1f52ba8e4fa4cp-8, 0x1.1b8e8a720a2eap-8, 0x1.17d23bbaca924p-8, 0x1.141e3dbdc3e67p-8, 0x1.1073123f2f976p-8, 0x1.0cd12ae8ca236p-8, 0x1.0938cc02dc558p-8, 0x1.05aa070fef779p-8, 0x1.0224c76d34603p-8, 0x1.fd51c5055ac0dp-9, 0x1.f66c3b70c58f8p-9, 0x1.ef98634654863p-9, 0x1.e8d59c90affap-9, 0x1.e22354fd3560ap-9, 0x1.db812ba695ef7p-9, 0x1.d4eefbd27518ep-9, 0x1.ce6cb955fc853p-9, 0x1.c7fa2d97f9f24p-9, 0x1.c196c945a7636p-9, 0x1.bb41bf76cc026p-9, 0x1.b4fa6e278256cp-9, 0x1.aec0d64c48476p-9, 0x1.a895cc0f6fac3p-9, 0x1.a27ab38d001f6p-9, 0x1.9c70f1c5b4069p-9, 0x1.96796f6a0dep-9, 0x1.9094740705a98p-9, 0x1.8ac1d379fcf4bp-9, 0x1.85012f1d82ebep-9, 0x1.7f521a599221p-9, 0x1.79b420ef7d00bp-9, 0x1.7426cdb6b17bfp-9, 0x1.6ea9bc6ef1a7fp-9, 0x1.693cad60168e3p-9, 0x1.63df8c4c182c4p-9, 0x1.5e92633d56621p-9, 0x1.59553673e7134p-9, 0x1.5427cc2c59b3ep-9, 0x1.4f09760fb507dp-9, 0x1.49f90cafa0323p-9, 0x1.44f548f8ce524p-9, 0x1.3ffd65eb5a16fp-9, 0x1.3b11a052b8951p-9, 0x1.3633241f3968p-9, 0x1.31636417bc05fp-9, 0x1.2ca35b16977a3p-9, 0x1.27f3474710f5fp-9, 0x1.2352f7153fc47p-9, 0x1.1ec2381dc1fcep-9, 0x1.1a40f36edbb49p-9, 0x1.15cef9cc8f271p-9, 0x1.116bdbb23dc9dp-9, 0x1.0d170655a7f8bp-9, 0x1.08d00b2b9500ep-9, 0x1.0496d6f9019fbp-9, 0x1.006bb010a6963p-9, 0x1.f89df93f5a962p-10, 0x1.f081ebadfe7dap-10, 0x1.e882ecad29dbfp-10, 0x1.e09fe93d6c86ep-10, 0x1.d8d72def05efep-10, 0x1.d126a89a103efp-10, 0x1.c98c6edc3aea5p-10, 0x1.c20795dc3496cp-10, 0x1.ba98c6dbf2bb6p-10, 0x1.b341c778d2b9dp-10, 0x1.ac0419d183d8dp-10, 0x1.a4dff3895199fp-10, 0x1.9dd49090af69ep-10, 0x1.96e16ae0e109dp-10, 0x1.9006df3d2164ap-10, 0x1.894597e7bf455p-10, 0x1.829da3a8da35dp-10, 0x1.7c0e3e18b6379p-10, 0x1.759637d771d64p-10, 0x1.6f347fc4de37ap-10, 0x1.68e89a39f563p-10, 0x1.62b2de97927ap-10, 0x1.5c94429d129a8p-10, 0x1.568db93a0b3b3p-10, 0x1.509f827ca20b3p-10, 0x1.4ac8e201bb2b8p-10, 0x1.45087616b5666p-10, 0x1.3f5cef23e7a89p-10, 0x1.39c5905a73466p-10, 0x1.344227d78a064p-10, 0x1.2ed2c211642c8p-10, 0x1.29777c148939ap-10, 0x1.243052d0cf79fp-10, 0x1.1efcb8c9aac7dp-10, 0x1.19db888ae3f64p-10, 0x1.14cbe999bd22p-10, 0x1.0fce4644d04ffp-10, 0x1.0ae3e12fa3cb4p-10, 0x1.060d6cf181cfbp-10, 0x1.014a84fa028e8p-10, 0x1.f934bee9f668ap-11, 0x1.eff8a93d7c5e9p-11, 0x1.e6df9f86a1137p-11, 0x1.dde8aaa37d3e3p-11, 0x1.d513794d75993p-11, 0x1.cc609082794e5p-11, 0x1.c3d0fdff6212bp-11, 0x1.bb65b51f3e143p-11, 0x1.b31ed423aa5e4p-11, 0x1.aafb2e9b84265p-11, 0x1.a2f8937a391edp-11, 0x1.9b14fd466a5ffp-11, 0x1.93500baa6ff08p-11, 0x1.8bab6c845ea87p-11, 0x1.84295cec002e6p-11, 0x1.7cca608e0f1fep-11, 0x1.758c69c2f0c55p-11, 0x1.6e6bbb6e5a4fep-11, 0x1.676451a370963p-11, 0x1.60743a52146c5p-11, 0x1.599da2f5abf34p-11, 0x1.52e498c3c1af7p-11, 0x1.4c4a454c2faf6p-11, 0x1.45cc6ba384126p-11, 0x1.3f69062020d15p-11, 0x1.391fb227ff85dp-11, 0x1.32f04b18c9698p-11, 0x1.2cda6a6a4cfbbp-11, 0x1.26dddf4daa121p-11, 0x1.20fac17e93275p-11, 0x1.1b312ec76cd54p-11, 0x1.15811fd6e7f37p-11, 0x1.0fea66a5f2f6bp-11, 0x1.0a6cb5b3bf4abp-11, 0x1.05078fdb3268dp-11, 0x1.ff744f3efd0e4p-12, 0x1.f506e2036882dp-12, 0x1.eac55cee43214p-12, 0x1.e0b08a163a28dp-12, 0x1.d6cbe47c8c98cp-12, 0x1.cd1b1b429bcp-12, 0x1.c39dfb4f4dc75p-12, 0x1.ba4f3ba372c43p-12, 0x1.b127a7e2da6a5p-12, 0x1.a821980703127p-12, 0x1.9f3c5e3122db1p-12, 0x1.967e4b7578d9bp-12, 0x1.8deceb6c7e29cp-12, 0x1.8584fe816c8c9p-12, 0x1.7d40f40dda976p-12, 0x1.752071a23005fp-12, 0x1.6d245fad4654p-12, 0x1.654bdcc1eeef2p-12, 0x1.5d963d29a0829p-12, 0x1.5603dcd7a44cbp-12, 0x1.4e955741d73f6p-12, 0x1.474acf1641958p-12, 0x1.4023c90f554e4p-12, 0x1.391f3c2e9ca32p-12, 0x1.323be8de5a8cfp-12, 0x1.2b78cf8166102p-12, 0x1.24d552b22cb32p-12, 0x1.1e5121e11caabp-12, 0x1.17ebf168c23ffp-12, 0x1.11a567254621ep-12, 0x1.0b7d681d7b4fbp-12, 0x1.05746a320214bp-12, 0x1.ff17bf1567adap-13, 0x1.f388cdcbb8e4bp-13, 0x1.e8366d61b9d35p-13, 0x1.dd1824b859b45p-13, 0x1.d22e4ad766371p-13, 0x1.c7768dd92c71cp-13, 0x1.bcf32465cb67fp-13, 0x1.b2a7cd6dbada9p-13, 0x1.a88fcc400c8a6p-13, 0x1.9ea49ef08914dp-13, 0x1.94e9c6f8daa6bp-13, 0x1.8b606571e47cfp-13, 0x1.82052c38b6d15p-13, 0x1.78d6b6d77905fp-13, 0x1.6fd59adf21ce3p-13, 0x1.6702b6d573ebbp-13, 0x1.5e5e72423323ep-13, 0x1.55e886aac7138p-13, 0x1.4d9ff763a54c3p-13, 0x1.458332c5ed96cp-13, 0x1.3d906302cb519p-13, 0x1.35c5dfff3a1d5p-13, 0x1.2e229bc3329c3p-13, 0x1.26a654fae6f65p-13, 0x1.1f516514da88dp-13, 0x1.18243170c7f17p-13, 0x1.111e8d972a0c3p-13, 0x1.0a3f7dfa773cfp-13, 0x1.0385aa4ecec3p-13, 0x1.f9e08e775c23ap-14, 0x1.ecfe620a3517fp-14, 0x1.e062b1ffa2817p-14, 0x1.d409b42d10a2cp-14, 0x1.c7f686fd71fb5p-14, 0x1.bc2ed1261740bp-14, 0x1.b0a9fe0732d63p-14, 0x1.a5601c6b8019fp-14, 0x1.9a4bcac25dd36p-14, 0x1.8f71ec9d2cb7dp-14, 0x1.84d857964227ep-14, 0x1.7a78c7151896cp-14, 0x1.704fceb874885p-14, 0x1.665dce8db6108p-14, 0x1.5ca34ec0e7b78p-14, 0x1.53205a0656324p-14, 0x1.49d4ad118a568p-14, 0x1.40bfbc9c45b45p-14, 0x1.37e09bf5585f8p-14, 0x1.2f35ecfe761bfp-14, 0x1.26bdf32b5de17p-14, 0x1.1e76ccef73118p-14, 0x1.165ec525292a6p-14, 0x1.0e74a6b99e36cp-14, 0x1.06b7f6ccc0aa6p-14, 0x1.fe51d877d280ap-15, 0x1.ef8ffdd6697b8p-15, 0x1.e12a428525a4cp-15, 0x1.d31e28266167cp-15, 0x1.c566df320d6a5p-15, 0x1.b7ff569561dc5p-15, 0x1.aae530a67639ap-15, 0x1.9e19660276ac7p-15, 0x1.919cdc45ae80ep-15, 0x1.856f80249b7f2p-15, 0x1.7996cca3386edp-15, 0x1.6e1595b8bd8abp-15, 0x1.62d69dc7d9021p-15, 0x1.57cd58af5d319p-15, 0x1.4d07317c1798ap-15, 0x1.428d38a576072p-15, 0x1.3854c0b0746f3p-15, 0x1.2e5a06c55fdd2p-15, 0x1.249d93cfff0a3p-15, 0x1.1b1f5c19b3d7p-15, 0x1.11dea26e6b267p-15, 0x1.08da73c8ce389p-15, 0x1.0011dafe90bc9p-15, 0x1.ef07c5e37502p-16, 0x1.de5f07bb10fdap-16, 0x1.ce270b96e2db2p-16, 0x1.be5cbc7aa04d1p-16, 0x1.aefc7b4ba15dep-16, 0x1.a002fb572397ep-16, 0x1.916df818e681ap-16, 0x1.833bc6fc503b9p-16, 0x1.756ac79afccf1p-16, 0x1.67f9be93c7cb6p-16, 0x1.5ae80e3e68b47p-16, 0x1.4e34fc9669c1p-16, 0x1.41deb0bad3934p-16, 0x1.35e0c95e9a9cfp-16, 0x1.2a3404c4cd92dp-16, 0x1.1ed461996fdcap-16, 0x1.13c4dced49c76p-16, 0x1.090aa5ec0c287p-16, 0x1.fd4956c1bce35p-17, 0x1.e9174a2a8f40ep-17, 0x1.d58241145a91dp-17, 0x1.c28cc5adfb431p-17, 0x1.b00dac048ef9ep-17, 0x1.9e1c781304568p-17, 0x1.8cb9e81cf980dp-17, 0x1.7bd1b8f32337cp-17, 0x1.6b69ce986f94dp-17, 0x1.5b85ad0e9c84p-17, 0x1.4c21d51bf9d2ap-17, 0x1.3d3958ae1e0bap-17, 0x1.2ec8500e00cd3p-17, 0x1.20cbcf5906448p-17, 0x1.134166cb65243p-17, 0x1.0626ca430be81p-17, 0x1.f2f33b5150963p-18, 0x1.da6eb35d8d4ccp-18, 0x1.c2ba90ed8fdb2p-18, 0x1.abd12ce121836p-18, 0x1.95acd9d640cd8p-18, 0x1.80481d8053acbp-18, 0x1.6b9de9dc3924bp-18, 0x1.57a9cb56d082ep-18, 0x1.4467963aca834p-18, 0x1.31d252c50f4e3p-18, 0x1.1feb490fb26fap-18, 0x1.0eaf8acc1d03fp-18, 0x1.fc339188d5c06p-19, 0x1.dc3d80c24c036p-19, 0x1.bd7265f29c01fp-19, 0x1.9fc8516030555p-19, 0x1.833b731288f5cp-19, 0x1.67d1a232d8027p-19, 0x1.4d8eed9aaeccfp-19, 0x1.34625118d3641p-19, 0x1.1c30a35e524dfp-19, 0x1.050440e1e47d8p-19, 0x1.dd9686353e2a9p-20, 0x1.b31e683b6fdc3p-20, 0x1.8a7bf2fa6a88p-20, 0x1.639b841c915dcp-20, 0x1.3e9653a9e04ddp-20, 0x1.1b52f316191eap-20, 0x1.f31df7671bb43p-21, 0x1.b289d031039d2p-21, 0x1.75214c7ddd15dp-21, 0x1.3ae03b9379e78p-21, 0x1.039e6a86cf2fep-21, 0x1.9e7b65778fbacp-22, 0x1.3b4d6eb7cb766p-22, 0x1.bb0bedc2c4278p-23, 0x1.09f602546c68cp-23, 0x1.8c824a67da46bp-25, -0x1.cbaa75eb18333p-26, -0x1.acec42431978bp-24, -0x1.4acba0bf3ff4ap-23, -0x1.d951789e00d06p-23, -0x1.282ab6b1425bp-22, -0x1.6021fb169436bp-22, -0x1.93dcaeb115b5fp-22, -0x1.c38f43e74cd87p-22, -0x1.ef5e347485e3ep-22, -0x1.0bb68b6219f4cp-21, -0x1.1df1c8900a0e8p-21, -0x1.2e751d14d9255p-21, -0x1.3d4d27cf18b22p-21, -0x1.4a8227d382e53p-21, -0x1.562ae24d4940cp-21, -0x1.604a0177b5727p-21, -0x1.68cc7dc07c0eap-21, -0x1.6fbaff4e227cap-21, -0x1.75482cfc156fcp-21, -0x1.79a146f7e7af1p-21, -0x1.7ca8b9ceb66dp-21, -0x1.7e66862aaa3bfp-21, -0x1.7f119e0b0e736p-21, -0x1.7ea78a22859d5p-21, -0x1.7d273b2ae008ap-21, -0x1.7a97fa9c00f7dp-21, -0x1.77039979b4cb6p-21, -0x1.7275a9050a904p-21, -0x1.6cf9eee3d0338p-21, -0x1.6696ee8e37857p-21, -0x1.5f3cc3be57de3p-21, -0x1.56c19f4ff3fd9p-21, -0x1.4d6a7671736b3p-21, -0x1.43a5c8fe5d68bp-21, -0x1.3949be59926adp-21, -0x1.2e1b2621e6861p-21, -0x1.22347ad85cbcp-21, -0x1.15b6c0c95183p-21, -0x1.08af1c7694263p-21, -0x1.f63ad1a7a1f74p-22, -0x1.d9f9ec6698797p-22, -0x1.bc9f809c80ed9p-22, -0x1.9e42193d646c4p-22, -0x1.7efffe5205617p-22, -0x1.5ef71823dd7ccp-22, -0x1.3e44f91408865p-22, -0x1.1d044ec96b3ap-22, -0x1.f658c4314906dp-23, -0x1.b08789a8ac6a3p-23, -0x1.67478d25c7be2p-23, -0x1.1a3b713d30357p-23, -0x1.a2f1282d94d24p-24, -0x1.13f2e532e35bp-24, -0x1.e066f0c75e6e1p-26, 0x1.191fcccdb4f9bp-27, 0x1.6f75f99c52ab4p-25, 0x1.4e9987f3768fap-24, 0x1.ebe70aeea3febp-24, 0x1.4626bc924e42ap-23, 0x1.96d5e9b6d61b6p-23, 0x1.e77fa86751b8cp-23, 0x1.1c20d07efefc8p-22, 0x1.449aa466775c3p-22, 0x1.6d2dd5bc7c6cep-22, 0x1.95d586dd39c23p-22, 0x1.be8a06c3b6b15p-22, 0x1.e741d0137ba1cp-22, 0x1.07fa9061827d8p-21, 0x1.1c5bb8906d75dp-21, 0x1.30f734e896d9ep-21, 0x1.45aabe8f65559p-21, 0x1.59f4090ab5968p-21, 0x1.6dfde210932b2p-21, 0x1.821fbdf6b8558p-21, 0x1.964ddf0e15bbp-21, 0x1.aa6ff8b37c121p-21, 0x1.be7e3a131a994p-21, 0x1.d275390d6a801p-21, 0x1.e651a1d99f36dp-21, 0x1.fa104943a68acp-21, 0x1.06d7875e2d5b5p-20, 0x1.1095d7771f181p-20, 0x1.1a4158b752dd7p-20, 0x1.23d858df2d7b5p-20, 0x1.2d59ac07420afp-20, 0x1.36c4c9f9947p-20, 0x1.401a0533d5273p-20, 0x1.495a14bd43a44p-20, 0x1.527192f6a0303p-20, 0x1.5b9360d537d75p-20, 0x1.644eb58eccc1cp-20, 0x1.6d3f157830449p-20, 0x1.75f77604a35d2p-20, 0x1.7e99b44fe63a1p-20, 0x1.872fe1e45b5cfp-20, 0x1.8fc31780d0792p-20, 0x1.985a1fa8a325bp-20, 0x1.a2fc7579e0c84p-20, 0x1.a871ad5618432p-20, 0x1.b0d982a6273f3p-20, 0x1.b8db42a7dcf59p-20, 0x1.c0ab5e90ff0b6p-20, 0x1.c86c9b65ad416p-20, 0x1.d03b9721a4443p-20, 0x1.d7d58b939baa3p-20, 0x1.df288b5959417p-20, 0x1.e6549a09c5a29p-20, 0x1.ed74c977bfb73p-20, 0x1.f4803a168782cp-20, 0x1.fb71bd97ce7e3p-20, 0x1.0120faf7fa783p-19, 0x1.047594c4cc95dp-19, 0x1.07b7894880b36p-19, 0x1.0aea179fdfa0fp-19, 0x1.0e0f54cab1bcfp-19, 0x1.112713dd973c1p-19, 0x1.1430988574f7p-19, 0x1.172b3eeea1165p-19, 0x1.1a15aba267deep-19, 0x1.1cef3b78a919cp-19, 0x1.1fb7dd17ab42ep-19, 0x1.226f2ea2f943cp-19, 0x1.2514d08421873p-19, 0x1.27a8a33628915p-19, 0x1.2a2ab41599d49p-19, 0x1.2c9b8b9478242p-19, 0x1.2efd080d57629p-19, 0x1.3152772b07109p-19, 0x1.339cfc2c99f98p-19, 0x1.35d69602e0cbep-19, 0x1.37f43cc1434f9p-19, 0x1.39f5f1eb59fa6p-19, 0x1.3bf1970d22bdap-19, 0x1.3de155069ee54p-19, 0x1.3ffb4f83fbcb2p-19, 0x1.41e7f99ab7ab4p-19, 0x1.4389f0ca7ff32p-19, 0x1.456cb12215f95p-19, 0x1.47290388ddab9p-19, 0x1.4878fc47462d2p-19, 0x1.49e21d1907195p-19, 0x1.4b6d9ef277071p-19, 0x1.4cf19c24f3737p-19, 0x1.4e5f7eaf358bbp-19, 0x1.4fb8e26af283fp-19, 0x1.50ff7c7a8b234p-19, 0x1.523563974c2b9p-19, 0x1.535be0e83be6ep-19, 0x1.5473f8983db72p-19, 0x1.557e29b7936eap-19, 0x1.567aa0eac68b4p-19, 0x1.5769f42f0fe51p-19, 0x1.584b8c8ebda7cp-19, 0x1.591f1ac4db8c4p-19, 0x1.59e3912d3111p-19, 0x1.5a96df51683a8p-19, 0x1.5b4991b5cea56p-19, 0x1.5be9db2f827cbp-19, 0x1.5c7b267715429p-19, 0x1.5cf35a40bb972p-19, 0x1.5d668941eee73p-19, 0x1.5dcf01978d14p-19, 0x1.5e2b566090edfp-19, 0x1.5e7b0060b4628p-19, 0x1.5ebd128c8c86p-19, 0x1.5ef155a731daap-19, 0x1.5f193ef6a9273p-19, 0x1.5f376eac2aba9p-19, 0x1.5f4eb88bf8c88p-19, 0x1.5f6126f3cdc06p-19, 0x1.5f6dad3277a75p-19, 0x1.5f7744211506fp-19, 0x1.5e36411998f18p-19, 0x1.5edcef5e83c41p-19, 0x1.5f1c8d47b7999p-19, 0x1.5edf3ee0525e6p-19, 0x1.5ea8c2df1a3d2p-19, 0x1.5e4f7e31e6f61p-19, 0x1.5e072da056c0bp-19, 0x1.5da1f559be28p-19, 0x1.5d39b8e2c01abp-19, 0x1.5cc89080f50f3p-19, 0x1.5c4e93805fe05p-19, 0x1.5bcc3106df7aap-19, 0x1.5b40d3d8e61b6p-19, 0x1.5aae3466f646fp-19, 0x1.5a143c2d5266bp-19, 0x1.5967a1102d80cp-19, 0x1.58aac0a7d2e13p-19, 0x1.58005632564bap-19, 0x1.57369454269d8p-19, 0x1.566c8f36d30cap-19, 0x1.558aff7da4647p-19, 0x1.54bbefd6b2cefp-19, 0x1.53d1c6fa4d5b8p-19, 0x1.52e6a26790934p-19, 0x1.51f444552f15bp-19, 0x1.50faca780e1d6p-19, 0x1.4ffbf4f0bb62dp-19, 0x1.4ef481a0e1c6ap-19, 0x1.4df973b7f3409p-19, 0x1.4cca99e354836p-19, 0x1.4bad82d967b9dp-19, 0x1.4a73ce87c2d7cp-19, 0x1.4932d85b8fa13p-19, 0x1.47fb09708da86p-19, 0x1.470300fbfd269p-19, 0x1.45f006f7caf5ap-19, 0x1.44718b0f1c698p-19, 0x1.4365a726da95bp-19, 0x1.41e85fb8b5de4p-19, 0x1.406252c62a3bp-19, 0x1.3f183b89d8921p-19, 0x1.3dcf2039ea73ep-19, 0x1.3c73ebd19f1fdp-19, 0x1.3b098fe8a63f4p-19, 0x1.3992b7b990516p-19, 0x1.381684bb9e369p-19, 0x1.36a097c3fe039p-19, 0x1.352f1dfdca74fp-19, 0x1.33b2cec2a9999p-19, 0x1.32241a3595826p-19, 0x1.3088504a9994dp-19, 0x1.2eed5e394f827p-19, 0x1.2d56cbb8d0c7dp-19, 0x1.2bbd9baf0af31p-19, 0x1.2a1f7ef5a054fp-19, 0x1.288326e14637ep-19, 0x1.26ed8d51be1e7p-19, 0x1.255258d3fefb7p-19, 0x1.23a7a0ef21be4p-19, 0x1.21fc1fd84060cp-19, 0x1.204e23d4d307dp-19, 0x1.1e9eb31d4539p-19, 0x1.1c04210b0a7aep-19, 0x1.1b1a35a767fcp-19, 0x1.1970be3246afep-19, 0x1.17b371b04c2b7p-19, 0x1.15e8aa8a6b75dp-19, 0x1.141d33ccd65c3p-19, 0x1.125a5adbfe1f8p-19, 0x1.109a8929be34fp-19, 0x1.0ed7c010c004bp-19, 0x1.0d10d94122eecp-19, 0x1.0b462525b50c9p-19, 0x1.09780ae80966p-19, 0x1.07a6b391e3e41p-19, 0x1.05d231904d499p-19, 0x1.03fb0098a1232p-19, 0x1.0221d88d583acp-19, 0x1.004774e79cf6cp-19, 0x1.fcd8d0301478cp-20, 0x1.f922121911a8p-20, 0x1.f56afdc55169fp-20, 0x1.f1b3694ccb1f6p-20, 0x1.edf849a4d5006p-20, 0x1.ea336f0712b04p-20, 0x1.e678029134cdep-20, 0x1.e2959be40730fp-20, 0x1.deca21e141f75p-20, 0x1.db0ee61baa76p-20, 0x1.d73f838a319acp-20, 0x1.d37631933b18ap-20, 0x1.cfad76e597045p-20, 0x1.cbdf87d61267cp-20, 0x1.c801b908c32e6p-20, 0x1.c40780df24f5p-20, 0x1.c021bc5c8d6fdp-20, 0x1.bcdb36ec9b5bfp-20, 0x1.b913d136542bbp-20, 0x1.b517a8ecec581p-20, 0x1.b18837c0ba00cp-20, 0x1.ad2611555c855p-20, 0x1.a93330f031d71p-20, 0x1.a58ce950e70bap-20, 0x1.a1d7152f760c5p-20, 0x1.9e11160b5337bp-20, 0x1.9a462dcea465dp-20, 0x1.967b6effdaf7fp-20, 0x1.92b0e8b4181c9p-20, 0x1.8ee5fe2e4c93ap-20, 0x1.8b1f4d1c3d1p-20, 0x1.8708819dff67bp-20, 0x1.83662032a4132p-20, 0x1.7fb5b949d54c7p-20, 0x1.7bb74d19212d3p-20, 0x1.76f0d5f4dc983p-20, 0x1.74354ca05fcd2p-20, 0x1.7079bb54ef02fp-20, 0x1.6cd68b585d358p-20, 0x1.691c2862382e4p-20, 0x1.654215dad5df4p-20, 0x1.6167afdd47c92p-20, 0x1.5dab99998a27ep-20, 0x1.59fdced60cb81p-20, 0x1.565ad37a439ebp-20, 0x1.52b01d1e9ab78p-20, 0x1.4f066b208c3ebp-20, 0x1.4b5edb199919fp-20, 0x1.47b986ec7233p-20, 0x1.441547897d50ep-20, 0x1.406ea846e98dfp-20, 0x1.3cc3629a776d4p-20, 0x1.39181c6edb684p-20, 0x1.357a594fab549p-20, 0x1.317d46c194504p-20, 0x1.2df39b0c995a4p-20, 0x1.2ac9b28737307p-20, 0x1.274845428e535p-20, 0x1.23e6dcebef25bp-20, 0x1.206eaf39b0673p-20, 0x1.1ce93629173e1p-20, 0x1.195c08d2c115cp-20, 0x1.15b71215c982bp-20, 0x1.123290b8d82a7p-20, 0x1.0ed35021b524cp-20, 0x1.0b4cf0cef4a5cp-20, 0x1.0801e5d57f67bp-20, 0x1.0489741df41d1p-20, 0x1.01056f84ae658p-20, 0x1.faf503663a027p-21, }}, 
      {{-0x1.d280ce58959fp-1, -0x1.c6babc98847d9p-1, -0x1.b4761dd6da8c7p-1, -0x1.9d4ad3cf1ec4dp-1, -0x1.82e58813a08bdp-1, -0x1.66d283f44a086p-1, -0x1.4a60bc8c5a42ep-1, -0x1.2e96c08d8a378p-1, -0x1.1433461678bb2p-1, -0x1.f768d34a09a8bp-2, -0x1.cac43a3b73636p-2, -0x1.a2b2e77c4c3b4p-2, -0x1.7f2ebd1099761p-2, -0x1.60042e94bf44p-2, -0x1.44e1dc30a8768p-2, -0x1.2d64ed939602ap-2, -0x1.192278fbd31e2p-2, -0x1.07ae6521cf5bcp-2, -0x1.f1407546a4814p-3, -0x1.d72ca7a4c927p-3, -0x1.c06f92b87da8ep-3, -0x1.ac6ae07aa7222p-3, -0x1.9a9445311cfb6p-3, -0x1.8a752943a0166p-3, -0x1.7ba9a0293065bp-3, -0x1.6ddefaf5c8cbfp-3, -0x1.60d21cd70669dp-3, -0x1.544dc03c48bc2p-3, -0x1.4828a5ec48e03p-3, -0x1.3c43e8fce1833p-3, -0x1.308961d3c1535p-3, -0x1.24ea220d7c4dfp-3, -0x1.195d2d7938ce5p-3, -0x1.0dde484f8082ep-3, -0x1.026ce1366549bp-3, -0x1.ee16730fa32f7p-4, -0x1.d77b3b8608c1dp-4, -0x1.c11385d61651dp-4, -0x1.aaec85e382c65p-4, -0x1.9514504dafc15p-4, -0x1.7f992b93efe0bp-4, -0x1.6a891a27f4e1ap-4, -0x1.55f173af8874ap-4, -0x1.41de8131e633bp-4, -0x1.2e5b53b38bd91p-4, -0x1.1b71ab40b0514p-4, -0x1.0929e058571d9p-4, -0x1.ef15b9a0e6866p-5, -0x1.cd343ff3cbc3bp-5, -0x1.acb796238e6c8p-5, -0x1.8da5661f815bbp-5, -0x1.7000eb30a5278p-5, -0x1.53cb20115ef3dp-5, -0x1.3902f04ba5667p-5, -0x1.1fa56be1c2bf5p-5, -0x1.07adfba337251p-5, -0x1.e22d2952a61cfp-6, -0x1.b7afd30ac8247p-6, -0x1.8fd32fe167ad3p-6, -0x1.6a84a517fd58bp-6, -0x1.47b01134ef373p-6, -0x1.27401a797a194p-6, -0x1.091e7831ec3bp-6, -0x1.da6865020b144p-7, -0x1.a6d3b39935562p-7, -0x1.774f6bb1f51c9p-7, -0x1.4babdfd5817aap-7, -0x1.23b9742f90db9p-7, -0x1.fe91cdec39f28p-8, -0x1.bc571c9690341p-8, -0x1.806717835b107p-8, -0x1.4a67ee5b9de31p-8, -0x1.1a0205855d026p-8, -0x1.ddc0618deb27ap-9, -0x1.915fc698636acp-9, -0x1.4e42a9c136341p-9, -0x1.13cf3e2b1827ap-9, -0x1.c2e34695f0b92p-10, -0x1.6d37fea53a313p-10, -0x1.258d19267cc5bp-10, -0x1.d5be6eed4809bp-11, -0x1.786e32c8c2e38p-11, -0x1.3153013adc9f3p-11, -0x1.fd5c22dfbddf4p-12, -0x1.bdafc6516be32p-12, -0x1.a07f74c57dfd6p-12, -0x1.a2d61493dbe89p-12, -0x1.c1e9aa47e4b2p-12, -0x1.fb19f936f9a62p-12, -0x1.25f78670be07bp-11, -0x1.590be64209dfcp-11, -0x1.95b43b4dc3b2fp-11, -0x1.daec9377b82cdp-11, -0x1.13e116451479ap-10, -0x1.3da9591c8269ep-10, -0x1.6a65bf3789cbp-10, -0x1.99b472a6c647cp-10, -0x1.cb3aadc20b50fp-10, -0x1.fea46daedf60ep-10, -0x1.19d2082616b88p-9, -0x1.34f8feb2bc11ep-9, -0x1.50a62778619eep-9, -0x1.6cbb40a67e035p-9, -0x1.891c92e6fde67p-9, -0x1.a5b0c903221b7p-9, -0x1.c260c8db897f9p-9, -0x1.df1794c5e292bp-9, -0x1.fbc22e045fd6bp-9, -0x1.0c27b24c6898p-8, -0x1.1a57e2c1495a1p-8, -0x1.286abaffd9903p-8, -0x1.365a0db5aaf11p-8, -0x1.442060132ba0cp-8, -0x1.51b8db7260f5dp-8, -0x1.5f1f40d3a219p-8, -0x1.6c4fde5542ef9p-8, -0x1.794785401f937p-8, -0x1.86037fd668bap-8, -0x1.92818722a624dp-8, -0x1.9ebfb9662b733p-8, -0x1.aabc911395526p-8, -0x1.b676dceee3321p-8, -0x1.c1edbc7da4118p-8, -0x1.cd20942cc970cp-8, -0x1.d80f05e31cab5p-8, -0x1.e2b8f1a4bf6cbp-8, -0x1.ed1e6a5d8132bp-8, -0x1.f73fb0c582dc6p-8, -0x1.008e979f7e1d1p-7, -0x1.055bba9e00703p-7, -0x1.0a079991315c2p-7, -0x1.0e929b471b6aap-7, -0x1.12fd33442fabbp-7, -0x1.1747e02a5d968p-7, -0x1.1b732a3a0b6ddp-7, -0x1.1f7fa14768a51p-7, -0x1.236ddb5dc5e19p-7, -0x1.273e73e7d7155p-7, -0x1.2af20abadbaa1p-7, -0x1.2e8942d416a27p-7, -0x1.3204c1ba614b5p-7, -0x1.35652eadf4519p-7, -0x1.38ab31c83064cp-7, -0x1.3bd7732e67723p-7, -0x1.3eea9a53c5fb9p-7, -0x1.41e54d3fdc501p-7, -0x1.44c8303664ff3p-7, -0x1.4793e5eef2e13p-7, -0x1.4a490ee1751d9p-7, -0x1.4ce847eeb1ccbp-7, -0x1.4f722ad5557bfp-7, -0x1.51e74ed25756fp-7, -0x1.544848640e2ccp-7, -0x1.5695a7994fbdp-7, -0x1.58cff8886b205p-7, -0x1.5af7c27b4e2edp-7, -0x1.5d0d894c3879cp-7, -0x1.5f11ccf15389fp-7, -0x1.610508dd98098p-7, -0x1.62e7b4422facep-7, -0x1.64ba42274ff09p-7, -0x1.667d216cc134ep-7, -0x1.6830bcc965b54p-7, -0x1.69d57acf86193p-7, -0x1.6b6bbdf1ded51p-7, -0x1.6cf3e4871dd92p-7, -0x1.6e6e48d2d2f58p-7, -0x1.6fdb411c14d45p-7, -0x1.713b1fccb3d42p-7, -0x1.728e338cd30d8p-7, -0x1.73d4c757bcdep-7, -0x1.750f2291af261p-7, -0x1.763d89268e111p-7, -0x1.77603bafdb69fp-7, -0x1.7877779a949acp-7, -0x1.798377469560fp-7, -0x1.7a84721df95dbp-7, -0x1.7b7a9ca32d8efp-7, -0x1.7c66287178d3ap-7, -0x1.7d4744354f395p-7, -0x1.7e1e1bd6c1832p-7, -0x1.7eead9162b591p-7, -0x1.7fada3c399659p-7, -0x1.8066a1344abf7p-7, -0x1.8115f47f1d5e6p-7, -0x1.81bbbe645ad7bp-7, -0x1.82581d5ebf022p-7, -0x1.82eb2eaf9cab7p-7, -0x1.83750e53ea1aep-7, -0x1.83f5d69d8c7d5p-7, -0x1.846da0462957p-7, -0x1.84dc82a16b8cap-7, -0x1.854293b839e4fp-7, -0x1.859fe8500de11p-7, -0x1.85f493ece48a5p-7, -0x1.8640a8d88fa92p-7, -0x1.8684383635bb1p-7, -0x1.86bf52226b9bbp-7, -0x1.86f205dc7b17p-7, -0x1.871c61f32e33bp-7, -0x1.873e746edc35ep-7, -0x1.87584af11b234p-7, -0x1.8769f2c46c2ffp-7, -0x1.877378da73c17p-7, -0x1.8774e9bf82e9ap-7, -0x1.876e518d76973p-7, -0x1.875fbbe78188dp-7, -0x1.8749340145394p-7, -0x1.872ac4af4fff2p-7, -0x1.8704787dbc65cp-7, -0x1.86d659c82c259p-7, -0x1.86a072cf6a291p-7, -0x1.8662cdcbd5419p-7, -0x1.861d74fcb823p-7, -0x1.85d072b384a81p-7, -0x1.857bd15a86013p-7, -0x1.851f9b77cd6d9p-7, -0x1.84bbdbad5131ap-7, -0x1.84509cb8d77a8p-7, -0x1.83dde9759f655p-7, -0x1.8363cce11b567p-7, -0x1.82e252221f02p-7, -0x1.825984914ced1p-7, -0x1.81c96fc0fa02ep-7, -0x1.81321f8431647p-7, -0x1.80939ff514f67p-7, -0x1.7fedfd7b05a4p-7, -0x1.7f4144cf24023p-7, -0x1.7e8d82fc8b6c5p-7, -0x1.7dd2c55a2c91fp-7, -0x1.7d11198153269p-7, -0x1.7c488d4892df8p-7, -0x1.7b792ec880639p-7, -0x1.7aa30c6662a3p-7, -0x1.79c634dcd73c2p-7, -0x1.78e2b73f1c17dp-7, -0x1.77f8a2f947b4bp-7, -0x1.770807cf82b6bp-7, -0x1.7610f5dcb8f27p-7, -0x1.75137d8fb7f69p-7, -0x1.740fafa6041cbp-7, -0x1.73059d26b775p-7, -0x1.71f5575ffe9aap-7, -0x1.70deefe90c519p-7, -0x1.6fc278a75288cp-7, -0x1.6ea003d366eap-7, -0x1.6d77a3fa1f244p-7, -0x1.6c496bf8f175ep-7, -0x1.6b156ef712a3fp-7, -0x1.69dbc05dd75b5p-7, -0x1.689c73d35ad07p-7, -0x1.67579d38cd467p-7, -0x1.660d50ab61e81p-7, -0x1.64bda2861afd9p-7, -0x1.6368a76394bacp-7, -0x1.620e741f6d88ep-7, -0x1.60af1dd50efe7p-7, -0x1.5f4ab9d99d8a4p-7, -0x1.5de15db303d5dp-7, -0x1.5c731f0f25909p-7, -0x1.5b0013bee9fbdp-7, -0x1.598851b5f6f53p-7, -0x1.580bef0dde6c6p-7, -0x1.568b020a205dap-7, -0x1.5505a11abc1p-7, -0x1.537be2db09f13p-7, -0x1.51edde0c9647ep-7, -0x1.505ba98f5c952p-7, -0x1.4ec55c599c383p-7, -0x1.4d2b0d717ab12p-7, -0x1.4b8cd3e90ce93p-7, -0x1.49eac6dd9d6cdp-7, -0x1.4844fd7922c83p-7, -0x1.469b8ef462b73p-7, -0x1.44ee92988d85cp-7, -0x1.433e1fbebb98ep-7, -0x1.418a4dccbae76p-7, -0x1.3fd3342fc2f84p-7, -0x1.3e18ea5600c4dp-7, -0x1.3c5b87a855f9p-7, -0x1.3a9b2384b6645p-7, -0x1.38d7d53a4f604p-7, -0x1.3711b408662d2p-7, -0x1.3548d71fb7ee1p-7, -0x1.337d55a53ed62p-7, -0x1.31af46b5a7ad7p-7, -0x1.2fdec166e01abp-7, -0x1.2e0bdcc649b9p-7, -0x1.2c36afd63f81ep-7, -0x1.2a5f518b5959ep-7, -0x1.2885d8c9666e6p-7, -0x1.26aa5c641d8dep-7, -0x1.24ccf3203003cp-7, -0x1.22edb3b01e62bp-7, -0x1.210cb4a91fbb4p-7, -0x1.1f2a0c695c661p-7, -0x1.1d45d0f3863cbp-7, -0x1.1b6017d7c7416p-7, -0x1.1978f64a4b27dp-7, -0x1.1790816c1a491p-7, -0x1.15a6ce96e8eacp-7, -0x1.13bbf3682ccbap-7, -0x1.11d00577d9c2p-7, -0x1.0fe319f29d64fp-7, -0x1.0df5456d65aadp-7, -0x1.0c069c1ad14c4p-7, -0x1.0a1732389c4c2p-7, -0x1.08271c58bf2ddp-7, -0x1.06366f4850cd3p-7, -0x1.04453fabfd014p-7, -0x1.0253a1a4406ccp-7, -0x1.0061a8b3982a7p-7, -0x1.fcdecfc0ddb3cp-8, -0x1.f8f9e3cef5fbdp-8, -0x1.f514b2ba02edfp-8, -0x1.f12f6172dbe55p-8, -0x1.ed4a14ae535d5p-8, -0x1.e964f0c876ef8p-8, -0x1.e58019ae2f979p-8, -0x1.e19bb2dbd3385p-8, -0x1.ddb7df5abd4ep-8, -0x1.d9d4c1b9ab3ddp-8, -0x1.d5f27c0f39087p-8, -0x1.d2112ffd2bbe4p-8, -0x1.ce30feaf6107cp-8, -0x1.ca5208d90d34dp-8, -0x1.c6746eb1b065dp-8, -0x1.c2984ff2f282fp-8, -0x1.bebdcbd86ee1fp-8, -0x1.bae5011fe14efp-8, -0x1.b70e0e09992c6p-8, -0x1.b33910593801bp-8, -0x1.af662554d8bf4p-8, -0x1.ab9569c3627e2p-8, -0x1.a7c6f9e9e1058p-8, -0x1.a3faf1888c86fp-8, -0x1.a0316bd97b81cp-8, -0x1.9c6a83920013p-8, -0x1.98a652e74085cp-8, -0x1.94e4f39492403p-8, -0x1.91267ee156defp-8, -0x1.8d6b0da4264a5p-8, -0x1.89b2b84202a53p-8, -0x1.85fd96a99bfc7p-8, -0x1.824bc04d729bdp-8, -0x1.7e9d4c1e1f62cp-8, -0x1.7af250816c619p-8, -0x1.774ae3551bdafp-8, -0x1.73a719ee33d78p-8, -0x1.7007091d3cebap-8, -0x1.6c6ac5348ad8ep-8, -0x1.68d2620efbaf5p-8, -0x1.653df314d825p-8, -0x1.61ad8b3f6a51dp-8, -0x1.5e213d13963ccp-8, -0x1.5a991a9dcdbf6p-8, -0x1.5715357a7866ap-8, -0x1.53959ee13d59dp-8, -0x1.501a6798e8e0cp-8, -0x1.4ca39fdb6ca14p-8, -0x1.4931574c1b8f3p-8, -0x1.45c39d105a2a3p-8, -0x1.425a7fee0dff9p-8, -0x1.3ef60e4b0cfccp-8, -0x1.3b96561e12037p-8, -0x1.383b64ec338c7p-8, -0x1.34e547cc07445p-8, -0x1.31940b64b3127p-8, -0x1.2e47bbea4e7b6p-8, -0x1.2b00651b1cbf8p-8, -0x1.27be123f9dbedp-8, -0x1.2480ce2e2664cp-8, -0x1.2148a351acbcbp-8, -0x1.1e159bb20cebp-8, -0x1.1ae7c0fbd90ep-8, -0x1.17bf1c8563ce6p-8, -0x1.149bb74fb7819p-8, -0x1.117d9a036e9c7p-8, -0x1.0e64ccea30866p-8, -0x1.0b5157e42c2a1p-8, -0x1.0843426937a05p-8, -0x1.053a9378f0d09p-8, -0x1.023751998789cp-8, -0x1.fe7305cff6597p-9, -0x1.f8825a315d755p-9, -0x1.f29cab0e9e7bfp-9, -0x1.ecc2028a72d8dp-9, -0x1.e6f26a4b73216p-9, -0x1.e12deb8a39b99p-9, -0x1.db748f11497e6p-9, -0x1.d5c65d344439fp-9, -0x1.d0235dc53361cp-9, -0x1.ca8b97ef7791cp-9, -0x1.c4ff12384465p-9, -0x1.bf7dd2956c006p-9, -0x1.ba07de57e27c9p-9, -0x1.b49d39df740a4p-9, -0x1.af3de7ef6be28p-9, -0x1.a9e9e900f7f0dp-9, -0x1.a4a13ba15f4a6p-9, -0x1.9f63de436b285p-9, -0x1.9a31d0dae3cadp-9, -0x1.950b1480a018ap-9, -0x1.8fefaa562d60ep-9, -0x1.8adf93eacfa5ap-9, -0x1.85dad442d13ccp-9, -0x1.80e16edbab879p-9, -0x1.7bf364ed3675p-9, -0x1.7710b3c0a219cp-9, -0x1.72395554fd7a9p-9, -0x1.6d6d420889834p-9, -0x1.68ac71e250878p-9, -0x1.63f6dd34f9e37p-9, -0x1.5f4c7ce804c8p-9, -0x1.5aad4aa4efd8p-9, -0x1.561940f053cb1p-9, -0x1.51905b1df56cdp-9, -0x1.4d1295109d8c5p-9, -0x1.489feac774b6dp-9, -0x1.443857d38260fp-9, -0x1.3fdbd6d105c92p-9, -0x1.3b8a60f6a6a2cp-9, -0x1.3743edb9b8808p-9, -0x1.33087300bdcacp-9, -0x1.2ed7e494238e7p-9, -0x1.2ab235d6a5c9fp-9, -0x1.269758dfe63bfp-9, -0x1.22874055252d4p-9, -0x1.1e81df7e5791ap-9, -0x1.1a872acbcce02p-9, -0x1.169717f5fb54fp-9, -0x1.12b19dcb9109bp-9, -0x1.0ed6b3b4c9333p-9, -0x1.0b065104bec3dp-9, -0x1.07406c465d17bp-9, -0x1.0384fabe9d69ap-9, -0x1.ffa7e08320f09p-10, -0x1.f85a7e516437ap-10, -0x1.f121b04c9f0adp-10, -0x1.e9fd546f78d9cp-10, -0x1.e2ed4684364a3p-10, -0x1.dbf16262ec759p-10, -0x1.d50985bdf19f7p-10, -0x1.ce3590ecdb1e9p-10, -0x1.c775671b86dcbp-10, -0x1.c0c8ee1137d2ap-10, -0x1.ba300d70b0c4bp-10, -0x1.b3aaad809a404p-10, -0x1.ad38b5c5e68fep-10, -0x1.a6da0bc23f4eap-10, -0x1.a08e921ca3d68p-10, -0x1.9a5628592b37ep-10, -0x1.9430ab1177267p-10, -0x1.8e1df481cbf83p-10, -0x1.881ddd6cdb814p-10, -0x1.82303dd830e1cp-10, -0x1.7c54ee02a7f3fp-10, -0x1.768bc780bbf8fp-10, -0x1.70d4a60f88e54p-10, -0x1.6b2f6848ecdc5p-10, -0x1.659befcbb789ap-10, -0x1.601a20afb6ddbp-10, -0x1.5aa9e04659d55p-10, -0x1.554b1369e9ac4p-10, -0x1.4ffd9ccf18eap-10, -0x1.4ac15bd5b712bp-10, -0x1.45962c2b1f217p-10, -0x1.407be645d6547p-10, -0x1.3b7260766b81bp-10, -0x1.367970227becbp-10, -0x1.3190eacbc97b2p-10, -0x1.2cb8a6ba9e52p-10, -0x1.27f07b5ef3f6dp-10, -0x1.2338419e70e4bp-10, -0x1.1e8fd43ea388fp-10, -0x1.19f7107234272p-10, -0x1.156dd64e6583dp-10, -0x1.10f408bd272b5p-10, -0x1.0c898c9b0ab0dp-10, -0x1.082e4710f906ap-10, -0x1.03e21b9df539ap-10, -0x1.ff49d4dd701d7p-11, -0x1.f6ed1f0b33ea2p-11, -0x1.eeadc5d1f2c32p-11, -0x1.e68b7361e1b0dp-11, -0x1.de85cf1da1412p-11, -0x1.d69c806c8db38p-11, -0x1.cecf30f12804dp-11, -0x1.c71d8d85066f7p-11, -0x1.bf8746e61211p-11, -0x1.b80c126cf5eb6p-11, -0x1.b0abab05d19b2p-11, -0x1.a965d14519165p-11, -0x1.a23a48ddef128p-11, -0x1.9b28d4814d4bfp-11, -0x1.9431351fe24b3p-11, -0x1.8d532d965435bp-11, -0x1.868e84231f87cp-11, -0x1.7fe3007ec3631p-11, -0x1.79506aabc9363p-11, -0x1.72d686ad09f94p-11, -0x1.6c750d3be56fep-11, -0x1.662bab5966473p-11, -0x1.5ffa09b27d169p-11, -0x1.59dfd32d715abp-11, -0x1.53dcb6865988p-11, -0x1.4df06526aef6ep-11, -0x1.481a920f02188p-11, -0x1.425af2033a24bp-11, -0x1.3cb13d022cba3p-11, -0x1.371d307d2e5a8p-11, -0x1.319e9147ef92bp-11, -0x1.2c352bdc32703p-11, -0x1.26e0d169b10f8p-11, -0x1.21a1504fe1995p-11, -0x1.1c768c1386a7ep-11, -0x1.176033e4fd3a3p-11, -0x1.125e1439f9bc9p-11, -0x1.0d6fd588a289fp-11, -0x1.0895587477ce9p-11, -0x1.03ce41c864c4p-11, -0x1.fe34b48a14159p-12, -0x1.f4f2cd3699093p-12, -0x1.ebd64e5ac3bfap-12, -0x1.e2deb12c1ced5p-12, -0x1.da0b6c1b882d6p-12, -0x1.d15bea1712c99p-12, -0x1.c8cf9d59576dfp-12, -0x1.c065f90f20ee6p-12, -0x1.b81e7ff65cb06p-12, -0x1.aff8c35e2fe76p-12, -0x1.a7f4651eb9f53p-12, -0x1.a01114d2e28c2p-12, -0x1.984e86d2eebep-12, -0x1.90ac6841a0979p-12, -0x1.892a55ca9cebap-12, -0x1.81c7da2cbb368p-12, -0x1.7a8475d0bf13dp-12, -0x1.735fab760480dp-12, -0x1.6c590aef3871p-12, -0x1.6570344a075e6p-12, -0x1.5ea4d28c5fdf9p-12, -0x1.57f691d539191p-12, -0x1.516516549bacfp-12, -0x1.4aeff7474e2fdp-12, -0x1.4496bfc47d978p-12, -0x1.3e58f08d365cep-12, -0x1.383609a46ead6p-12, -0x1.322d90bc7af4p-12, -0x1.2c3f180649d73p-12, -0x1.266a4165e2c21p-12, -0x1.20aebd4003335p-12, -0x1.1b0c455dde4d6p-12, -0x1.158295767fcb9p-12, -0x1.1011635f7ef93p-12, -0x1.0ab85946e0655p-12, -0x1.0577149956099p-12, -0x1.004d2b42afa1ap-12, -0x1.f6746b6f50941p-13, -0x1.ec7bb0b307ef7p-13, -0x1.e2af8c6bcf121p-13, -0x1.d90f77a2fb65p-13, -0x1.cf9aed3cc3961p-13, -0x1.c6515e49b5e1fp-13, -0x1.bd322fac9e948p-13, -0x1.b43cbbb149905p-13, -0x1.ab7051ac8b2b9p-13, -0x1.a2cc34eb8963p-13, -0x1.9a4fa12ccc72fp-13, -0x1.91f9d668829d6p-13, -0x1.89ca284505a07p-13, -0x1.81c005e3a262bp-13, -0x1.79daf731e770cp-13, -0x1.721a8e7f4114bp-13, -0x1.6a7e56f1826ap-13, -0x1.6305c8a709df9p-13, -0x1.5bb04761e7136p-13, -0x1.547d29eafac6p-13, -0x1.4d6bc5858c19dp-13, -0x1.467b7a867c30ap-13, -0x1.3fabbf64e3f77p-13, -0x1.38fc2456f2fe5p-13, -0x1.326c4a739284ap-13, -0x1.2bfbd2d55ad7cp-13, -0x1.25aa50fd9dbf6p-13, -0x1.1f7744c90993cp-13, -0x1.196219784c207p-13, -0x1.136a2ffdc90e9p-13, -0x1.0d8ef6989f636p-13, -0x1.07cff9146a599p-13, -0x1.022cdb8bc7e46p-13, -0x1.f94a8261eda36p-14, -0x1.ee716a8803012p-14, -0x1.e3cd6ba65c245p-14, -0x1.d95d9c3052fcfp-14, -0x1.cf213276204cfp-14, -0x1.c51764b233942p-14, -0x1.bb3f5bf674781p-14, -0x1.b1982ce48d395p-14, -0x1.a820d69f45856p-14, -0x1.9ed85c38a60edp-14, -0x1.95bdd5fc3395ep-14, -0x1.8cd07c62ccbdap-14, -0x1.840fab38edcd3p-14, -0x1.7b7ad4b8039bfp-14, -0x1.731169a019963p-14, -0x1.6ad2c10c57d27p-14, -0x1.62be0ff2e4fb1p-14, -0x1.5ad27aa5fb908p-14, -0x1.530f31d827b86p-14, -0x1.4b737e1db5002p-14, -0x1.43feb396b6fefp-14, -0x1.3cb02420c3a0bp-14, -0x1.35871f378d7c8p-14, -0x1.2e82f8214c7c1p-14, -0x1.27a309398a25ep-14, -0x1.20e6b4d6c45c9p-14, -0x1.1a4d664cf955p-14, -0x1.13d6920518e7ap-14, -0x1.0d81b1d6d7dbap-14, -0x1.074e3c62689b7p-14, -0x1.013b99fed5236p-14, -0x1.f6923b3755a93p-15, -0x1.eaec12110dba6p-15, -0x1.df833e6a6820fp-15, -0x1.d45677eff4fcap-15, -0x1.c964bfd6d00dep-15, -0x1.bead486eadc6bp-15, -0x1.b42f3e702fbd4p-15, -0x1.a9e9a558fe95p-15, -0x1.9fdb5d5f5b57ap-15, -0x1.96033cbb75847p-15, -0x1.8c602b5bd214p-15, -0x1.82f13797f8fa9p-15, -0x1.79b587db07bc4p-15, -0x1.70ac3101fa60ap-15, -0x1.67d429217f629p-15, -0x1.5f2c6405760ebp-15, -0x1.56b3ef177c634p-15, -0x1.4e69f5977e0a9p-15, -0x1.464db78c207eep-15, -0x1.3e5e7db5d3601p-15, -0x1.369b8e7f1884dp-15, -0x1.2f0426b40acd1p-15, -0x1.27977703afd91p-15, -0x1.2054a579a913fp-15, -0x1.193ad0c896115p-15, -0x1.1249128b23a02p-15, -0x1.0b7e8013a8088p-15, -0x1.04da2f3f50573p-15, -0x1.fcb68baf7d3eap-16, -0x1.f0021c71d1038p-16, -0x1.e395f8db12d91p-16, -0x1.d7712749063eap-16, -0x1.cb92774441714p-16, -0x1.bff861e29a8ddp-16, -0x1.b4a144a98d748p-16, -0x1.a98bb4dc8e836p-16, -0x1.9eb6a2294d201p-16, -0x1.9421139c55ac2p-16, -0x1.89c98d9eb0ed2p-16, -0x1.7fae2b48b3925p-16, -0x1.75cd6472b713fp-16, -0x1.6c26337628ff8p-16, -0x1.62b7c77a2816ap-16, -0x1.59812a9d93625p-16, -0x1.50814ea85c93cp-16, -0x1.47b72de13a1c6p-16, -0x1.3f21cc8458ceap-16, -0x1.36c0637dfe8e6p-16, -0x1.2e91967e56d4ep-16, -0x1.269443c8063ep-16, -0x1.1ec7af2705f23p-16, -0x1.172aaa26a5058p-16, -0x1.0fbc3a3510fbap-16, -0x1.087b004e45979p-16, -0x1.0165790cb699bp-16, -0x1.f4f56bafcee9fp-17, -0x1.e7747dc5b9cedp-17, -0x1.da42f7fd72fd2p-17, -0x1.cd6b3c6334d52p-17, -0x1.c0f48c2b009d2p-17, -0x1.b4c2dd6ca1502p-17, -0x1.a8bcfbd957cc2p-17, -0x1.9d25b789b6c22p-17, -0x1.91ce98ad2e3a1p-17, -0x1.86bcf74c6d08bp-17, -0x1.7bf1afe3ca4e4p-17, -0x1.716b4cef2f2p-17, -0x1.672802f1cdbd5p-17, -0x1.5d2637691d46cp-17, -0x1.536471ae5f622p-17, -0x1.49e150905b2f8p-17, -0x1.409b9389c6dbcp-17, -0x1.3792156f6c869p-17, -0x1.2ec3be5e6ec29p-17, -0x1.262f74613ab64p-17, -0x1.1dd40c263242dp-17, -0x1.15b03fc4bd323p-17, -0x1.0dc2b01cb7928p-17, -0x1.0609f1c44494fp-17, -0x1.fd09424df2b0fp-18, -0x1.ee62ebea94cd3p-18, -0x1.e01e9ab3e1e7bp-18, -0x1.d23a4b08c929dp-18, -0x1.c4b4186e3c1fep-18, -0x1.b78a142662709p-18, -0x1.aaba2d255c3bap-18, -0x1.9e42380ab5a28p-18, -0x1.922012b8eef33p-18, -0x1.8651bcdb9f357p-18, -0x1.7ad53e245414ep-18, -0x1.6fa897b4d35efp-18, -0x1.64ca0c3d7132p-18, -0x1.5a38308c9e926p-18, -0x1.4ff18e1371719p-18, -0x1.45f4b9c0dfc92p-18, -0x1.3c3ffbfe68d71p-18, -0x1.32d003137e973p-18, -0x1.29a0f6d83e154p-18, -0x1.20b1535a74c1p-18, -0x1.18015615bb52cp-18, -0x1.0f90cec8590a5p-18, -0x1.075e58bccbd78p-18, -0x1.fed09b8cea567p-19, -0x1.ef5a84d60773fp-19, -0x1.e057ebeb3226ap-19, -0x1.d1c6559e91a9cp-19, -0x1.c3a315b221af6p-19, -0x1.b5eb3ec03ec5p-19, -0x1.a89bb74fc78b2p-19, -0x1.9bb16612fe74dp-19, -0x1.8f296116e361dp-19, -0x1.83010ce068e87p-19, -0x1.77361f56d697dp-19, -0x1.6bc681081da6dp-19, -0x1.60b016b3375b6p-19, -0x1.55f090868bf2ep-19, -0x1.4b855fd56a003p-19, -0x1.416be16b265ccp-19, -0x1.37a1babcc1711p-19, -0x1.2e2534b771b03p-19, -0x1.24f4ce078f4f8p-19, -0x1.1c0e87cf0a311p-19, -0x1.137063fd5d8d9p-19, -0x1.0b189103bfc0ep-19, -0x1.0305046e9aa74p-19, -0x1.f667a5abc871dp-20, -0x1.e746c8e6f2263p-20, -0x1.d8a442db801a3p-20, -0x1.ca7c8845c1c96p-20, -0x1.bccc2d669cb5fp-20, -0x1.af8fddafaba6fp-20, -0x1.a2c443ac537fep-20, -0x1.9666046705a62p-20, -0x1.8a71c7bb6aa6fp-20, -0x1.7ee4651c4c025p-20, -0x1.73bb56837c95bp-20, -0x1.68f535935c3d3p-20, -0x1.5e90f1e9f363cp-20, -0x1.548ad2cde3818p-20, -0x1.4adbe4997267ep-20, -0x1.41810f741a4c1p-20, -0x1.387fc4b508e3ap-20, -0x1.2fdd05f7c1114p-20, -0x1.2793c61de6832p-20, -0x1.1f994f602d19cp-20, -0x1.17e5eaa6b0df4p-20, -0x1.1077333f53062p-20, -0x1.094e4d25ded57p-20, -0x1.026a2851bdf23p-20, -0x1.f78596b2fc9f8p-21, -0x1.eab0961db1f33p-21, -0x1.de71571942756p-21, -0x1.d2d76dde0fc8ep-21, -0x1.c7b9be3edcb4dp-21, -0x1.bcd99afc1b385p-21, -0x1.b23b7b1a0bf67p-21, -0x1.a82264404d86bp-21, -0x1.9ea92c64abe1ap-21, -0x1.9596fc54afabbp-21, -0x1.8cabc03fc5264p-21, -0x1.83f4b82833433p-21, -0x1.7ba966009d0c2p-21, -0x1.73ddcf8d08f48p-21, -0x1.6c80a5db6bdbap-21, -0x1.657cd42e71228p-21, -0x1.5ec706bb5d311p-21, -0x1.585b2df882fb9p-21, -0x1.52380888fedf9p-21, -0x1.4c5cc03cd39aap-21, -0x1.46c8173dcf0dp-21, -0x1.41784961e5e9dp-21, -0x1.3c6b317d0d424p-21, -0x1.379e802b83956p-21, -0x1.330fec9726061p-21, -0x1.2ebd591f5ba22p-21, -0x1.2aa4e0bf33d3dp-21, -0x1.26c47f7f101d6p-21, -0x1.2317650a69958p-21, -0x1.1f911701fc4dep-21, -0x1.1c4142cd827dfp-21, -0x1.192823aa76166p-21, -0x1.164345474dba9p-21, -0x1.137c27c4a33a7p-21, -0x1.10d9848a1a3d3p-21, -0x1.0e5d67b961226p-21, -0x1.0c070405292bcp-21, -0x1.09d57a24192f3p-21, -0x1.07c7ba9e6e1f5p-21, -0x1.05dc4e2f641c5p-21, -0x1.0411306d66abcp-21, -0x1.02648d835ea3cp-21, -0x1.00d4f901c438cp-21, -0x1.fec362911c55ap-22, -0x1.fc15d8f35a341p-22, -0x1.f9a72722ec83dp-22, -0x1.f782203c9a5d4p-22, -0x1.f598d75699504p-22, -0x1.f3c53e2be4c6p-22, -0x1.f2055c476c842p-22, -0x1.f06bb866edc5fp-22, -0x1.eefb1aaf8a593p-22, -0x1.edae98c832368p-22, -0x1.ec84e19d3a81fp-22, -0x1.eb7c78281bb5fp-22, -0x1.ea902413bc372p-22, -0x1.e9bab79018693p-22, -0x1.e8fe472055cb4p-22, -0x1.e869504883128p-22, -0x1.e60f16a2b6713p-22, -0x1.e9a0486fd4afcp-22, -0x1.e6c22be3bbc6dp-22, -0x1.e6b454bd863p-22, -0x1.e67756a529734p-22, -0x1.e655b52d0a013p-22, -0x1.e6447caaae63ep-22, -0x1.e63e762d03985p-22, -0x1.e63fdb0bcdcc5p-22, -0x1.e6457ca139aefp-22, -0x1.e64de1f162d7ap-22, -0x1.e65d4cf08182ep-22, -0x1.e67895abbfb1bp-22, -0x1.e6973b78a0361p-22, -0x1.e6bbef18e69d8p-22, -0x1.e6fbf6f7a6dd8p-22, -0x1.e75f4fb524309p-22, -0x1.e7d2c5adb675bp-22, -0x1.e84000faf4e71p-22, -0x1.e89ee1fccea06p-22, -0x1.e8f14c9b079cbp-22, -0x1.e93b4a54b3fafp-22, -0x1.e980125427ab1p-22, -0x1.e9c1e1e8f106dp-22, -0x1.ea02263d3b391p-22, -0x1.ea415d541046cp-22, -0x1.ea7f200d3b942p-22, -0x1.eabaa2c12ef2fp-22, -0x1.eaf460b1b2be4p-22, -0x1.eb32e09278a5bp-22, -0x1.eb84367128594p-22, -0x1.ebddb39442d0ep-22, -0x1.ec28930658f6ap-22, -0x1.ec6afe6b4137fp-22, -0x1.ecab42bd8b849p-22, -0x1.ecdeb079ba749p-22, -0x1.ecfd7d51a9ee2p-22, -0x1.ed07b948f28c5p-22, -0x1.ed04b3e1481dbp-22, -0x1.ecfe4796026ccp-22, -0x1.ecf8441da8b43p-22, -0x1.eceea898c2a85p-22, -0x1.ecda5b62bd63p-22, -0x1.ecb499ba06489p-22, -0x1.ec770243b4b47p-22, -0x1.ec1c69c6dd835p-22, -0x1.ebab8b6fb4fb5p-22, -0x1.eb4cd4a0b60e8p-22, -0x1.eb2aee1033a87p-22, -0x1.ebc1ec528e853p-22, -0x1.eb2dc407e6f28p-22, -0x1.e9f9e1d068627p-22, -0x1.e9f11a96bae56p-22, -0x1.e996e99829272p-22, -0x1.e88055ceb26e1p-22, -0x1.e7717fcd01f6ap-22, -0x1.e6c637ea30369p-22, -0x1.e63b93d46eeb6p-22, -0x1.e59fa4057f733p-22, -0x1.e4e9757b6825p-22, -0x1.e41d88f33d1cep-22, -0x1.e340bb32a5787p-22, -0x1.e255e34656dd3p-22, -0x1.e15e4a0377022p-22, -0x1.e05a62b7d26d9p-22, -0x1.df4a312dc6a9bp-22, -0x1.de2dc139bd7a6p-22, -0x1.dd07616175092p-22, -0x1.dbe04947c8061p-22, -0x1.dab3377419528p-22, -0x1.d96ac94717b14p-22, -0x1.d80ee4d3543dcp-22, -0x1.d6aed3af006fep-22, -0x1.d5491c3507d6dp-22, -0x1.d3da26e7dcc37p-22, -0x1.d2611e68de461p-22, -0x1.d0dde980082f3p-22, -0x1.cf506ae34291dp-22, -0x1.cdb86f6006874p-22, -0x1.cc15c461e8156p-22, -0x1.ca682bc06da9ep-22, -0x1.c8af51917312p-22, -0x1.c6eaebc84e839p-22, -0x1.c51ad29e21716p-22, -0x1.c33f167c89d31p-22, -0x1.c1583746b47bdp-22, -0x1.bf66d4959db43p-22, -0x1.bd4fa2b1e11dap-22, -0x1.bb5ec178f18d5p-22, -0x1.b8f6b1ca8e897p-22, -0x1.b6f232b1e9c9cp-22, -0x1.b4b8b63b958f1p-22, -0x1.b27dcaf0fd07ap-22, -0x1.b050c8b27bad1p-22, -0x1.ae3c4432ab47dp-22, -0x1.ac41c7c3bb78cp-22, -0x1.ac224de8d8e7ep-22, -0x1.a7800e23159f4p-22, -0x1.a58a7d0d68c7bp-22, -0x1.a34dc16b2af58p-22, -0x1.a0f3ccf285a23p-22, -0x1.9e9b4fed01f88p-22, -0x1.9c4b900cabea5p-22, -0x1.99eee888af1c3p-22, -0x1.9778e878a3553p-22, -0x1.94f037510c998p-22, -0x1.9264e03f5c475p-22, -0x1.8fdee9936ad0bp-22, -0x1.8d5c5d42a062cp-22, -0x1.8ad057ec6b9c8p-22, -0x1.88303e7ccafep-22, -0x1.857f24126a90dp-22, -0x1.82c8a6bb1c4f9p-22, -0x1.8014434c5fed8p-22, -0x1.7d61cf3d9afdfp-22, -0x1.7aadfffe06a11p-22, -0x1.77f61a63c92eap-22, -0x1.7538ace8831dcp-22, -0x1.727548c9aa757p-22, -0x1.6fabcb12aec7p-22, -0x1.6cdbe97387f5ep-22, -0x1.6a0541a691841p-22, -0x1.6727649755d45p-22, -0x1.64420a5ffdb65p-22, -0x1.61563e8889f82p-22, -0x1.5e68ee1d7ed19p-22, -0x1.5b83d28c15e62p-22, -0x1.58abcc14fe006p-22, -0x1.55d01972acf93p-22, -0x1.52d6b67bebc0ep-22, -0x1.4fbd7a9b92fa4p-22, -0x1.4c973e438f325p-22, -0x1.49896812ed3f7p-22, -0x1.46e6fae3085c2p-22, -0x1.441351c5ca8d6p-22, -0x1.40ce8d7f088dfp-22, -0x1.3e1816d0bd77fp-22, -0x1.3b3273c642ba9p-22, -0x1.37a15c41c9771p-22, -0x1.34559ec9f763p-22, -0x1.31627b82eac16p-22, -0x1.2e7c22cdf7a58p-22, -0x1.2b88b5963e66fp-22, -0x1.2887a51117423p-22, -0x1.257d3221ab7p-22, -0x1.226d2144621c5p-22, -0x1.1f5a0b599426ap-22, -0x1.1c44705b25b81p-22, -0x1.192d90cd0b5fdp-22, -0x1.16173051c6c89p-22, -0x1.12feed9e0e6d2p-22, -0x1.0fe61ad4fad18p-22, -0x1.0ccc8fe9c4d6ap-22, -0x1.09b18418dd9aep-22, -0x1.069327cce3536p-22, -0x1.037944bffe05ep-22, -0x1.005d8d3a9e41ap-22, -0x1.fa81657538d36p-23, -0x1.f443b228ed0abp-23, -0x1.ee0d7b70fef21p-23, -0x1.e7dcbf84f0a26p-23, -0x1.e1af3cd5849cbp-23, -0x1.db815e5f02e82p-23, -0x1.d54ea7fa3e155p-23, -0x1.cf160af921739p-23, -0x1.c8debbcfe1a34p-23, -0x1.c2b5b63ed6735p-23, -0x1.bca8c3454615cp-23, -0x1.b6c101289ba61p-23, -0x1.b0f49e44e855cp-23, -0x1.ab3b5137505e3p-23, -0x1.a2a0305b40d05p-23, -0x1.9e71e684e0bf1p-23, -0x1.996e5eff90d17p-23, -0x1.936809f1b0d58p-23, -0x1.8d70d02fed4c6p-23, -0x1.87767d9e872aep-23, -0x1.8186a3289e4cdp-23, -0x1.7b956df901171p-23, -0x1.75aa7515e7e62p-23, -0x1.6fc4b4a5ea001p-23, -0x1.69e49260d4c44p-23, -0x1.640a7e5e17692p-23, -0x1.5e36d30c547d7p-23, -0x1.586a8d246b067p-23, -0x1.52a946d35bb63p-23, -0x1.4cd5b0001efe7p-23, -0x1.46f7c9e43f016p-23, -0x1.416a8b5182608p-23, -0x1.3baaff8c9a0ddp-23, -0x1.35f70d4e4768cp-23, -0x1.3048fae3193e5p-23, -0x1.2aa5e5cbf14dp-23, -0x1.250785e7a0c5ep-23, -0x1.1f71c7850500cp-23, -0x1.19e4114b663a5p-23, -0x1.145f34931a25bp-23, -0x1.0ee6d558f8d1bp-23, -0x1.09708804a3564p-23, -0x1.043fa489197e1p-23, -0x1.fd19672705698p-24, -0x1.f23b7601d0037p-24, -0x1.e729f83e15b92p-24, -0x1.dc03e772d6722p-24, -0x1.d146ccee0242bp-24, -0x1.c7d8fdb1f4ebcp-24, -0x1.be65e363c8ddep-24, -0x1.b29cd59f9c197p-24, -0x1.a9850a77fdc13p-24, -0x1.9e48d5a3bc1b8p-24, -0x1.92f8933369a3ep-24, -0x1.88f986f023f6dp-24, -0x1.7f286684cff6fp-24, -0x1.752cd8e96c74ep-24, -0x1.6b174d2df0bedp-24, -0x1.60fad74555b5dp-24, -0x1.56f78c9570082p-24, -0x1.4d3ccea08f898p-24, -0x1.43bb87289f04dp-24, -0x1.3a1c1cbef125ap-24, -0x1.3036a1f2207bep-24, -0x1.262d2d1b33f5ap-24, -0x1.1c5053b9a43bcp-24, -0x1.12b3c1efbb411p-24, -0x1.093064bf59ba1p-24, -0x1.ff74a7f262d63p-25, -0x1.ecfd67f032b8ap-25, -0x1.db48f10d45a9cp-25, -0x1.c9974ab87f715p-25, -0x1.b76f6b9af23bbp-25, -0x1.a597a135ce04p-25, -0x1.93f73c452149bp-25, -0x1.825749c8e9762p-25, -0x1.6b13d27ae8983p-25, -0x1.5e5e4e64e266cp-25, -0x1.4dad42797b376p-25, -0x1.3ca50a831791ap-25, -0x1.2b2b072d7089p-25, -0x1.1a16ed6d659f9p-25, -0x1.09ddd25675838p-25, -0x1.f411a2997a128p-26, -0x1.d4538991c0016p-26, -0x1.b45936dfe4eb4p-26, -0x1.944993cfb3efdp-26, -0x1.744d413cd4471p-26, -0x1.547ce491f108cp-26, -0x1.34e57cc5dca7fp-26, -0x1.158ee23b255dp-26, -0x1.ecfe1db351a1p-27, -0x1.af75e44ede41ap-27, -0x1.728b27e37e002p-27, -0x1.363f39cf6d682p-27, -0x1.f522f36e4c7cfp-28, -0x1.7f03333767f0fp-28, -0x1.09fb72e7d3627p-28, -0x1.2ba1c2869972p-29, -0x1.1ed6d0267102ep-31, 0x1.4177962a1e114p-30, 0x1.8205bd8ae9b5cp-29, 0x1.2f06158e87a71p-28, 0x1.9e389c4bb6d2p-28, 0x1.05f51f3b899d8p-27, 0x1.3c48986e08846p-27, 0x1.724f731378f54p-27, 0x1.a893cdcf4d563p-27, 0x1.dfbea1a3a18ep-27, 0x1.0a952c2d652a6p-26, 0x1.209d1b8f2292cp-26, 0x1.39e9a9b38ddaep-26, 0x1.5456835f74c5p-26, 0x1.6b6f6792ca396p-26, 0x1.87f9af0c82c17p-26, 0x1.a13d91cc5bcaep-26, 0x1.b83c5245e5e2p-26, 0x1.cf70c7beceefap-26, 0x1.e6da889ab5641p-26, 0x1.fe32a3c866642p-26, 0x1.0aabcedd13288p-25, 0x1.161f0b6269cdap-25, 0x1.216f20f8474fap-25, 0x1.2c8a0f6e8f02ap-25, 0x1.38b45a39745f5p-25, 0x1.4314b988c0dcp-25, 0x1.4da0aa49e793dp-25, 0x1.58ecf512d7705p-25, 0x1.65b532bb9fb35p-25, 0x1.6e45f17b62145p-25, 0x1.788a63050aa5dp-25, 0x1.8264f11f52a9p-25, 0x1.8c7fb452e8d43p-25, 0x1.96f37ab7b85bfp-25, 0x1.a14773b01994dp-25, 0x1.ab0243bd534dp-25, 0x1.b45b85748e33fp-25, 0x1.bd849f8afa964p-25, 0x1.c69be61bd48b1p-25, 0x1.cf959651b3b34p-25, 0x1.d86e3d7f59602p-25, 0x1.e128133d983cfp-25, 0x1.e9d4553f5cf1fp-25, 0x1.f286d84d41dfep-25, 0x1.fb4fd1486c40fp-25, 0x1.02086b09d1cefp-24, 0x1.0639a91ac8e6dp-24, 0x1.0b1e25a035e43p-24, 0x1.0ef7a05243844p-24, 0x1.12008277ecf18p-24, 0x1.15c9ca8ec5ccdp-24, 0x1.195207bf7945p-24, 0x1.1d090efab9fe7p-24, 0x1.20d47049e74e7p-24, 0x1.24a00bd95498bp-24, 0x1.28a08b63eb2b7p-24, 0x1.2c56b03b97713p-24, 0x1.2fa9cf0e5d1b6p-24, 0x1.3334e2b3cd358p-24, 0x1.3678cce62737bp-24, 0x1.39e723ad1e7f1p-24, 0x1.3d5c4514455f1p-24, 0x1.40d09ad76b369p-24, }}, 
      {{0x1.a18b9881ac5a3p-4, 0x1.2123fa1fbebb2p-3, 0x1.9b5e3639d1be5p-4, -0x1.3e250155931a9p-10, -0x1.0c4178b7d774ep-3, -0x1.083fce6afa755p-2, -0x1.714b3e242e375p-2, -0x1.b5a74d1ef1021p-2, -0x1.d2d85f9587c4ap-2, -0x1.cccbb5ff3a448p-2, -0x1.ab16cbddb47fep-2, -0x1.76b4f57073644p-2, -0x1.386e599be71b5p-2, -0x1.efbf99687c0d6p-3, -0x1.76070b3a44458p-3, -0x1.0c29d8983f02dp-3, -0x1.6eb5e46fd6722p-4, -0x1.e803098a08afep-5, -0x1.5116ec84096d2p-5, -0x1.12aaed365e0fcp-5, -0x1.22364f6331fa3p-5, -0x1.72728c461668ep-5, -0x1.f4d4035126ce4p-5, -0x1.4d57123df0ab5p-4, -0x1.ab054b4d716fbp-4, -0x1.068f6b3843761p-3, -0x1.3710d47926ec2p-3, -0x1.64bbce6b05ba7p-3, -0x1.8dbe94c41882bp-3, -0x1.b0bd8e60c5c9ep-3, -0x1.cccb8b6a6e373p-3, -0x1.e15ef0d432ab1p-3, -0x1.ee450dcdf3ad7p-3, -0x1.f3949979158a8p-3, -0x1.f1a01d9c743dep-3, -0x1.e8e8e1ed2638fp-3, -0x1.da12c5f118b48p-3, -0x1.c5d94ecf7f8bap-3, -0x1.ad06126b5e7ep-3, -0x1.90688fdef1ffp-3, -0x1.70cf718d52557p-3, -0x1.4f03284f2d854p-3, -0x1.2bc1bb04ba4dbp-3, -0x1.07bbc3207616ap-3, -0x1.c724943a23c8ep-4, -0x1.7faafd2642317p-4, -0x1.3a083d96e8734p-4, -0x1.ee2d6f60f4163p-5, -0x1.6f1ce77f29aa9p-5, -0x1.f019be780c5f7p-6, -0x1.13d9d45b371a9p-6, -0x1.2b94677fc414bp-8, 0x1.a70f8fe72a184p-8, 0x1.0980ec3a0b958p-6, 0x1.9407be468e0bdp-6, 0x1.04ace2adb2328p-5, 0x1.34dd087e1a92cp-5, 0x1.5ad1deb502414p-5, 0x1.76e0763e0031bp-5, 0x1.8971333b57926p-5, 0x1.92fbf8950c897p-5, 0x1.9404b13f5df54p-5, 0x1.8d1836ed54e76p-5, 0x1.7ec992d36bbfp-5, 0x1.69af942a44555p-5, 0x1.4e62b72bb3011p-5, 0x1.2d7b56d7b7372p-5, 0x1.07902380ebf1ep-5, 0x1.ba69b00e90ecbp-6, 0x1.5df2512fb3026p-6, 0x1.f59f8e2e4a9b7p-7, 0x1.2419027faf5bfp-7, 0x1.25357e60bc891p-9, -0x1.31c21d9fb06a2p-8, -0x1.80ab2d4eb101fp-7, -0x1.3632e00a0a71bp-6, -0x1.ad40e108161f6p-6, -0x1.12631a99a6dcap-5, -0x1.4e0bbd2f76192p-5, -0x1.894b8bb148fdbp-5, -0x1.c3da77176836cp-5, -0x1.fd76fd4aa76bfp-5, -0x1.1af2f8c630d81p-4, -0x1.36791f79d5d01p-4, -0x1.51365292aafedp-4, -0x1.6b15b9fa939fbp-4, -0x1.8405229eb0b7ap-4, -0x1.9bf4dae7d1b03p-4, -0x1.b2d78d4077f19p-4, -0x1.c8a21b820d48ep-4, -0x1.dd4b7b4b45d39p-4, -0x1.f0cc9311b361dp-4, -0x1.01900b78074a4p-3, -0x1.0a21334d22689p-3, -0x1.1218b5da3d7acp-3, -0x1.19763d5c8b8p-3, -0x1.203a199608dc7p-3, -0x1.26653188f2e92p-3, -0x1.2bf8f4d259a76p-3, -0x1.30f74e8d1da19p-3, -0x1.356297f6e3927p-3, -0x1.393d8cc53efb8p-3, -0x1.3c8b3f4bb417cp-3, -0x1.3f4f0d6e5d944p-3, -0x1.418c9710d2015p-3, -0x1.4347b3a86ed49p-3, -0x1.44846a5e79f62p-3, -0x1.4546e8b8ef409p-3, -0x1.45937b5f1a61bp-3, -0x1.456e878d4fc7bp-3, -0x1.44dc833c79539p-3, -0x1.43e1f098ac549p-3, -0x1.42835779db40bp-3, -0x1.40c5405ab73fcp-3, -0x1.3eac313e534b7p-3, -0x1.3c3ca7a35156dp-3, -0x1.397b160397fddp-3, -0x1.366be12de9d23p-3, -0x1.33135b49e1bb1p-3, -0x1.2f75c35ce9e83p-3, -0x1.2b9742f14664ap-3, -0x1.277bea117d4p-3, -0x1.2327b03797825p-3, -0x1.1e9e72779a901p-3, -0x1.19e3f0157e078p-3, -0x1.14fbcc7167b38p-3, -0x1.0fe98e196fd5cp-3, -0x1.0ab09b78096fcp-3, -0x1.05543d2d191cdp-3, -0x1.ffaf3d3160599p-4, -0x1.f47b94c2391c1p-4, -0x1.e913589c48e38p-4, -0x1.dd7c277c4f477p-4, -0x1.d1bb6111598dbp-4, -0x1.c5d6264297d8p-4, -0x1.b9d1613f617cap-4, -0x1.adb1c2fa0381fp-4, -0x1.a17bbec9f9a3bp-4, -0x1.953391cc595b2p-4, -0x1.88dd46e92f458p-4, -0x1.7c7cb0f1057bp-4, -0x1.70156bfa2c3d5p-4, -0x1.63aae60130629p-4, -0x1.57405e473ebbbp-4, -0x1.4ad8e0664f968p-4, -0x1.3e77497663bedp-4, -0x1.321e4f153911cp-4, -0x1.25d07c8ca9ce6p-4, -0x1.19902fab0f3cp-4, -0x1.0d5f9f1a92169p-4, -0x1.0140dff45bc36p-4, -0x1.ea6bc516842e4p-5, -0x1.d280e03b9886ep-5, -0x1.bac461b599e8fp-5, -0x1.a33961f6d958dp-5, -0x1.8be2bc641be03p-5, -0x1.74c30a6afc2e2p-5, -0x1.5ddcad005bfd5p-5, -0x1.4731d74339c41p-5, -0x1.30c48c369c343p-5, -0x1.1a9698da6d012p-5, -0x1.04a99962807e4p-5, -0x1.ddfe0821b30a2p-6, -0x1.b330561dc7debp-6, -0x1.88ec6ddb6e0f4p-6, -0x1.5f344d2ee905cp-6, -0x1.3609b02e7125ep-6, -0x1.0d6e1d3c6e286p-6, -0x1.cac5c09779968p-7, -0x1.7bd206cefa7bep-7, -0x1.2e02ab627bf67p-7, -0x1.c2b1ea6254a0dp-8, -0x1.2babbbb198d6p-8, -0x1.2de81712e487ap-9, -0x1.22d6263228061p-14, 0x1.171cff4534c87p-9, 0x1.195a12cd52646p-8, 0x1.a4d85fde83521p-8, 0x1.1705717957682p-7, 0x1.5a79d02025d96p-7, 0x1.9cca84bd875d4p-7, 0x1.ddf8ecddaf59dp-7, 0x1.0f03432464d5ep-6, 0x1.2e7a7b0c94fbdp-6, 0x1.4d63073c1d017p-6, 0x1.6bbde32d6cd01p-6, 0x1.898c158c481bp-6, 0x1.a6ceada1730fp-6, 0x1.c386c4dcfe0fbp-6, 0x1.dfb5812e6c9cap-6, 0x1.fb5c148e55048p-6, 0x1.0b3ddc6f4ac8ap-5, 0x1.188ad5f58b62ap-5, 0x1.2595971c9330ap-5, 0x1.325ec281f494ep-5, 0x1.3ee6fe38bb3e1p-5, 0x1.4b2ef2db5cf37p-5, 0x1.573749804fe19p-5, 0x1.6300aac26dbc2p-5, 0x1.6e8bbef8a68f6p-5, 0x1.79d92f2b282bdp-5, 0x1.84e9a5b53b7cbp-5, 0x1.8fbdcd4e95828p-5, 0x1.9a564f97d79d6p-5, 0x1.a4b3d492498acp-5, 0x1.aed702d453242p-5, 0x1.b8c0804986166p-5, 0x1.c270f2d126b3ep-5, 0x1.cbe8ffa6c4dap-5, 0x1.d5294a503d6ecp-5, 0x1.de32743566fa1p-5, 0x1.e7051cb7a36a8p-5, 0x1.efa1e1adac0dbp-5, 0x1.f809600d3bf7dp-5, 0x1.001e19eb52dd3p-4, 0x1.041d7ba5ee0c7p-4, 0x1.080321405d62bp-4, 0x1.0bcf55ae0c3b5p-4, 0x1.0f8262e7461d3p-4, 0x1.131c922b07d2cp-4, 0x1.169e2c3150f05p-4, 0x1.1a077900c5b82p-4, 0x1.1d58bfac0fd47p-4, 0x1.209246437732p-4, 0x1.23b451df49483p-4, 0x1.26bf26b9e9492p-4, 0x1.29b30866d6b8ep-4, 0x1.2c9039f47b067p-4, 0x1.2f56fdc7cfa16p-4, 0x1.3207957172c6bp-4, 0x1.34a241aba9ae8p-4, 0x1.37274264daa6fp-4, 0x1.3996d6d0f36b8p-4, 0x1.3bf13d9180401p-4, 0x1.3e36b4d7f8335p-4, 0x1.40677a54677e1p-4, 0x1.4283cb13f0605p-4, 0x1.448be37dd5c97p-4, 0x1.467fff5d647d6p-4, 0x1.486059ea68adap-4, 0x1.4a2d2dde5e865p-4, 0x1.4be6b595dbad4p-4, 0x1.4d8d2b18a2ddfp-4, 0x1.4f20c8018298p-4, 0x1.50a1c571b6d7ap-4, 0x1.52105c183bb59p-4, 0x1.536cc438c897cp-4, 0x1.54b735b1c4bb1p-4, 0x1.55efe80dbe9b7p-4, 0x1.5717129aba84bp-4, 0x1.582cec6b1a6fdp-4, 0x1.5931ac43d148dp-4, 0x1.5a258896fa9a3p-4, 0x1.5b08b78afdda3p-4, 0x1.5bdb6eff2592ep-4, 0x1.5c9de48df22d2p-4, 0x1.5d504d96a84fp-4, 0x1.5df2df4dde77p-4, 0x1.5e85cec1a3333p-4, 0x1.5f0950cd71ecap-4, 0x1.5f7d9a13ded68p-4, 0x1.5fe2df02f4ea3p-4, 0x1.603953d86b99cp-4, 0x1.60812ca1e4e95p-4, 0x1.60ba9d3ea131cp-4, 0x1.60e5d9684a0bcp-4, 0x1.610314bb7e9aep-4, 0x1.611282b3d247dp-4, 0x1.611456a2c988fp-4, 0x1.6108c3aef85abp-4, 0x1.60effcd7b4e1ap-4, 0x1.60ca34f674188p-4, 0x1.60979ebd831fbp-4, 0x1.60586cb81e768p-4, 0x1.600cd14f61cd8p-4, 0x1.5fb4fececa3fcp-4, 0x1.5f512760169ddp-4, 0x1.5ee17d046943ep-4, 0x1.5e6631931f253p-4, 0x1.5ddf76bbc4a57p-4, 0x1.5d4d7e06a823bp-4, 0x1.5cb078d3428b3p-4, 0x1.5c0898566cb24p-4, 0x1.5b560d9b64c61p-4, 0x1.5a990986b5bc8p-4, 0x1.59d1bcd4b9944p-4, 0x1.59005813c0697p-4, 0x1.58250ba0bd866p-4, 0x1.574007a755a3dp-4, 0x1.56517c22351c3p-4, 0x1.555998da19ce9p-4, 0x1.54588d6395431p-4, 0x1.534e891d30cc7p-4, 0x1.523bbb2fd95f6p-4, 0x1.5120528fc2afcp-4, 0x1.4ffc7dfa0c214p-4, 0x1.4ed06bf025664p-4, 0x1.4d9c4ab522568p-4, 0x1.4c60484d06708p-4, 0x1.4b1c927befa1bp-4, 0x1.49d156c49c382p-4, 0x1.487ec26662281p-4, 0x1.4725025b7331fp-4, 0x1.45c4435869a7ep-4, 0x1.445cb1cc8a393p-4, 0x1.42ee79e019dd2p-4, 0x1.4179c77058816p-4, 0x1.3ffec60c5177p-4, 0x1.3e7da0f3b0075p-4, 0x1.3cf683167b31fp-4, 0x1.3b69971473798p-4, 0x1.39d7073b9713p-4, 0x1.383efd8609affp-4, 0x1.36a1a3981f1e2p-4, 0x1.34ff22bf5f889p-4, 0x1.3357a3f207bffp-4, 0x1.31ab4fcd81ap-4, 0x1.2ffa4e9409e1bp-4, 0x1.2e44c82afa695p-4, 0x1.2c8ae419a36e8p-4, 0x1.2accc98870d01p-4, 0x1.290a9f400f95cp-4, 0x1.27448ba827131p-4, 0x1.257ab4c5d0f32p-4, 0x1.23ad403a32de5p-4, 0x1.21dc534190cecp-4, 0x1.200812b2cf1a8p-4, 0x1.1e30a2feb690fp-4, 0x1.1c56282e76baep-4, 0x1.1a78c5e2351f2p-4, 0x1.18989f503adb2p-4, 0x1.16b5d7447707ap-4, 0x1.14d0901ff9b94p-4, 0x1.12e8ebd86c03cp-4, 0x1.10ff0bf753bd7p-4, 0x1.0f1311993c582p-4, 0x1.0d251d6ccd9bbp-4, 0x1.0b354fb20426cp-4, 0x1.0943c839988eep-4, 0x1.0750a6642e076p-4, 0x1.055c092131b18p-4, 0x1.03660eee2f433p-4, 0x1.016ed5d6db0e5p-4, 0x1.feecf6eb6596ap-5, 0x1.fafa39e9e49d1p-5, 0x1.f705ae1ee85e2p-5, 0x1.f30f8c2225c54p-5, 0x1.ef180bacbb3e4p-5, 0x1.eb1f63968080ep-5, 0x1.e725c9d1c3d93p-5, 0x1.e32b73664fc73p-5, 0x1.df30946ceb0ecp-5, 0x1.db35600c22cfep-5, 0x1.d73a0878c6b9bp-5, 0x1.d33ebefa89b3p-5, 0x1.cf43b3f5470a2p-5, 0x1.cb4916f462aa4p-5, 0x1.c74f16b5ab5c2p-5, 0x1.c355e130e9e99p-5, 0x1.bf5da398ffde6p-5, 0x1.bb668a546c727p-5, 0x1.b770c0ed29303p-5, 0x1.b37c71fb4744ep-5, 0x1.af89c70ff54f3p-5, 0x1.ab98e8a69f5e7p-5, 0x1.a7a9fe217ce01p-5, 0x1.a3bd2dd5b30cfp-5, 0x1.9fd29d2831479p-5, 0x1.9bea70b72ff97p-5, 0x1.9804cc87c5d2bp-5, 0x1.9421d42c5286ap-5, 0x1.9041aad83a914p-5, 0x1.8c64735809433p-5, 0x1.888a4feacd05dp-5, 0x1.84b36200f84bfp-5, 0x1.80dfc9ed072b4p-5, 0x1.7d0fa697fba8cp-5, 0x1.7943154e82ccdp-5, 0x1.757a31b8c61cep-5, 0x1.71b516076394ap-5, 0x1.6df3db555758fp-5, 0x1.6a369a2eb0a02p-5, 0x1.667d6b23b6c98p-5, 0x1.62c86746ca612p-5, 0x1.5f17a870b9bd1p-5, 0x1.5b6b4933ad324p-5, 0x1.57c3647176a69p-5, 0x1.5420149fd24e5p-5, 0x1.508172da869dcp-5, 0x1.4ce795f3e6767p-5, 0x1.495291bc8e854p-5, 0x1.45c276b63c66ap-5, 0x1.42375254c5f3ep-5, 0x1.3eb12fd3ea4acp-5, 0x1.3b301987cf59ap-5, 0x1.37b41a6e33848p-5, 0x1.343d3fafb2d44p-5, 0x1.30cb99b9370e4p-5, 0x1.2d5f3ca110faap-5, 0x1.29f83fa88cbfep-5, 0x1.2696bbd7d1e69p-5, 0x1.233ac9e5ec42bp-5, 0x1.1fe47fccb9c97p-5, 0x1.1c93ee8344e5bp-5, 0x1.1949205e1d6d7p-5, 0x1.16041882681d6p-5, 0x1.12c4d3ab1b562p-5, 0x1.0f8b4a3cf9da8p-5, 0x1.0c57735ded7f9p-5, 0x1.092948887325dp-5, 0x1.0600c8ef24d01p-5, 0x1.02ddfbfceacc1p-5, 0x1.ff81e4b3eb145p-6, 0x1.f9538a36d5cf4p-6, 0x1.f331263485167p-6, 0x1.ed1af99b0d0edp-6, 0x1.e7113eb3040acp-6, 0x1.e1141f79bf983p-6, 0x1.db23ae21714e1p-6, 0x1.d53fe1552cf94p-6, 0x1.cf68953cb9258p-6, 0x1.c99d915f3f507p-6, 0x1.c3de929ad9c76p-6, 0x1.be2b579d4681ep-6, 0x1.b883adbcf50bp-6, 0x1.b2e77bef0e59ap-6, 0x1.ad56c9b87439dp-6, 0x1.a7d1c0a372e7cp-6, 0x1.a258a790af3aap-6, 0x1.9cebd85a570a7p-6, 0x1.978bb15233b7p-6, 0x1.923885081c6eep-6, 0x1.8cf28b409466bp-6, 0x1.87b9d5eaee9adp-6, 0x1.828e4c368c1bap-6, 0x1.7d6facc46206ep-6, 0x1.785d96a13f86fp-6, 0x1.73579785bc767p-6, 0x1.6e5d3d03468cap-6, 0x1.696e25e4c60bbp-6, 0x1.648a1115f0251p-6, 0x1.5fb0e7cb7c1bdp-6, 0x1.5ae2c14b5c061p-6, 0x1.561fdf88bb15p-6, 0x1.5168a4c5e9949p-6, 0x1.4cbd838d6a151p-6, 0x1.481eeb6be6ae9p-6, 0x1.438d35a790194p-6, 0x1.3f0895704e1afp-6, 0x1.3a910e782240ep-6, 0x1.36267395dd9b4p-6, 0x1.31c86d5daf024p-6, 0x1.2d76870349802p-6, 0x1.29303ed4f2e99p-6, 0x1.24f5175cf9966p-6, 0x1.20c4a696662aep-6, 0x1.1c9ea1645198cp-6, 0x1.1882e24bfd153p-6, 0x1.14716b247f488p-6, 0x1.106a61ed62d59p-6, 0x1.0c6e094546baap-6, 0x1.087cb537120dep-6, 0x1.0496bd78ddb61p-6, 0x1.00bc6ed44f1bap-6, 0x1.f9dbfc1d6ab81p-7, 0x1.f256fdadf1c17p-7, 0x1.eae9c1503240ap-7, 0x1.e393e479bdf81p-7, 0x1.dc54d5382ba5ap-7, 0x1.d52beaf1788fbp-7, 0x1.ce187fecb92e8p-7, 0x1.c71a05ce218e3p-7, 0x1.c03010904ce97p-7, 0x1.b95a562e96c26p-7, 0x1.b298a4cddef9bp-7, 0x1.abead4a60d5d9p-7, 0x1.a550bc952a26bp-7, 0x1.9eca2edc8a773p-7, 0x1.9856ff49079ebp-7, 0x1.91f70ef41456ep-7, 0x1.8baa5698c9dbp-7, 0x1.8570e8e96caacp-7, 0x1.7f4aea2c2905ap-7, 0x1.79387fd46575bp-7, 0x1.7339bf6c3fe09p-7, 0x1.6d4ea5cec7422p-7, 0x1.67771cfaebbe7p-7, 0x1.61b30fd2fa46fp-7, 0x1.5c02827822749p-7, 0x1.5665a09447a19p-7, 0x1.50dcb4cbef928p-7, 0x1.4b68061a9808dp-7, 0x1.4607a4a4e149ap-7, 0x1.40bb39528afa5p-7, 0x1.3b81ed9dea8acp-7, 0x1.365a7a5c415a1p-7, 0x1.31435f115500dp-7, 0x1.2c3b34017183fp-7, 0x1.2740fce22c03cp-7, 0x1.22545e0a630e4p-7, 0x1.1d759e0c3681ap-7, 0x1.18a57159bbf8p-7, 0x1.13e4a674cc344p-7, 0x1.0f33dac9d6ae9p-7, 0x1.0a935e108fb88p-7, 0x1.060351045b5afp-7, 0x1.0183e950b5f05p-7, 0x1.fa2b5b65a6aadp-8, 0x1.f17302fcdadp-8, 0x1.e8e0e42f59087p-8, 0x1.e076b2160e5e9p-8, 0x1.d834efbd5682cp-8, 0x1.d01a62da0bcc7p-8, 0x1.c823ee22030dfp-8, 0x1.c04ce46805dfbp-8, 0x1.b88fd15c067f5p-8, 0x1.b0e79f1587b6fp-8, 0x1.a950cd63b0a35p-8, 0x1.a1ca4fe67b129p-8, 0x1.9a559c501d95bp-8, 0x1.92f5cbd21a4ffp-8, 0x1.8bae22e1f0354p-8, 0x1.8480c4c5ca234p-8, 0x1.7d6e3f582a899p-8, 0x1.76761c07ba0f7p-8, 0x1.6f9803ed2e4bp-8, 0x1.68d4bb22ac628p-8, 0x1.622e6560c58c5p-8, 0x1.5ba7fa69de688p-8, 0x1.55443e6efedc8p-8, 0x1.4f04c6beef3e3p-8, 0x1.48e97050ad93bp-8, 0x1.42f05054f910dp-8, 0x1.3d15e15fbcfb5p-8, 0x1.375544fec70cep-8, 0x1.31a8c0f88c2a5p-8, 0x1.2c0abe1a36e9bp-8, 0x1.26773b5bc5cd6p-8, 0x1.20ed1a17a61a9p-8, 0x1.1b6e675197637p-8, 0x1.15ff3560a73e8p-8, 0x1.10a38b1d5a4bep-8, 0x1.0b5da336a8892p-8, 0x1.062d7fc638694p-8, 0x1.0111da6a490f8p-8, 0x1.f813402de3a91p-9, 0x1.ee2a22a32b9aap-9, 0x1.e46c0e6d31116p-9, 0x1.dade94ccd19c1p-9, 0x1.d186b09f7c98dp-9, 0x1.c866af7784f82p-9, 0x1.bf7dc35c02683p-9, 0x1.b6c927b205102p-9, 0x1.ae45871fa2349p-9, 0x1.a5ef56f46b8ebp-9, 0x1.9dc1fea0eba75p-9, 0x1.95b6e6a295ccdp-9, 0x1.8dc5e81b3bf8dp-9, 0x1.85e798c973fffp-9, 0x1.7e184623ad1cep-9, 0x1.765987f204e45p-9, 0x1.6eb10b1266f49p-9, 0x1.672536aa38002p-9, 0x1.5fba04a3e5b3cp-9, 0x1.58700778eb1ccp-9, 0x1.5145887ba36d9p-9, 0x1.4a388478c4d26p-9, 0x1.4348b591e616bp-9, 0x1.3c78b5528322ap-9, 0x1.35ccd932cc9b9p-9, 0x1.2f48395aba2f4p-9, 0x1.28ea9af9b23edp-9, 0x1.22b0fd092daa4p-9, 0x1.1c97b99955545p-9, 0x1.169c53c00616dp-9, 0x1.10be244bdb61dp-9, 0x1.0afdfc1b3f204p-9, 0x1.055cf42ef46bbp-9, 0x1.ffb5b9a7eb297p-10, 0x1.f4ea6f8dbe60ep-10, 0x1.ea4ef569723edp-10, 0x1.dfd8c08d82cbdp-10, 0x1.d57f40be4141bp-10, 0x1.cb3f4f692b4eap-10, 0x1.c11cfccf7d06ep-10, 0x1.b72192d8d170dp-10, 0x1.ad560344579bap-10, 0x1.a3bcff5352575p-10, 0x1.9a522ce66f458p-10, 0x1.91116cd1b5f2dp-10, 0x1.87fe8bb0b4fe2p-10, 0x1.7f223e4ef5588p-10, 0x1.76800d8f99958p-10, 0x1.6e12849b14f14p-10, 0x1.65d04caae214dp-10, 0x1.5db24aa5a78a7p-10, 0x1.55b57582d5ca5p-10, 0x1.4dd97be7cd233p-10, 0x1.461f5335a3e8ap-10, 0x1.3e893cb404408p-10, 0x1.371b81ff4902ap-10, 0x1.2fdc12088df7cp-10, 0x1.28d0314af74bcp-10, 0x1.21f955ad25795p-10, 0x1.1b5251b4ebcd3p-10, 0x1.14cd8a8a059dbp-10, 0x1.0e586deb853cap-10, 0x1.07e7db017049fp-10, 0x1.01834348d4ca2p-10, 0x1.f67c62dd711bfp-11, 0x1.ea47d3c8deb3bp-11, 0x1.de5b08517d43p-11, 0x1.d2a0e3655c0f6p-11, 0x1.c720b9bbb8bb9p-11, 0x1.bbf27e4210f97p-11, 0x1.b11c4c85073a2p-11, 0x1.a68d8a97ffe6ep-11, 0x1.9c31e206b749ep-11, 0x1.91fe44fd2bf91p-11, 0x1.87f11e611a9cp-11, 0x1.7e0d465c3d1f7p-11, 0x1.74557d407fc85p-11, 0x1.6aca43c75a041p-11, 0x1.616a8f0828e69p-11, 0x1.583711efacee9p-11, 0x1.4f35fe698e232p-11, 0x1.46737a69de21p-11, 0x1.3dfcdd8c66497p-11, 0x1.35d9caeb0461cp-11, 0x1.2e05924d7bdd8p-11, 0x1.26663bc961b33p-11, 0x1.1ecf97a44a953p-11, 0x1.172b09d42d2c7p-11, 0x1.0f98cf751a619p-11, 0x1.0846157250c94p-11, 0x1.012e54e822483p-11, 0x1.f45e781dc2b45p-12, 0x1.e6947b6c5ce64p-12, 0x1.d93d1f316e826p-12, 0x1.cc69ff275202ap-12, 0x1.bff771718a137p-12, 0x1.b3c19732073d8p-12, 0x1.a7babb2e25d18p-12, 0x1.9be4057872d25p-12, 0x1.9043023e73347p-12, 0x1.84dc8fcb7209fp-12, 0x1.79b371def86a5p-12, 0x1.6ec7ef7c36ebfp-12, 0x1.6417a8a01f18fp-12, 0x1.599e8b57862c8p-12, 0x1.4f5a20dc74aabp-12, 0x1.454e40a0300a5p-12, 0x1.3b86c96d5ec5ep-12, 0x1.32125942fd138p-12, 0x1.28faceb68b23dp-12, 0x1.20451949ac4ap-12, 0x1.17e8f5a82c87dp-12, 0x1.0fb4217e909c1p-12, 0x1.076f6482b29c8p-12, 0x1.fe7ff81cc9617p-13, 0x1.eec98bcd0ad3bp-13, 0x1.df6c638f572bdp-13, 0x1.d011f6dddedbap-13, 0x1.c12ad566ad535p-13, 0x1.b30ab14a99851p-13, 0x1.a577bdf0810acp-13, 0x1.982c25747c61p-13, 0x1.8b137b8737f6p-13, 0x1.7e34f81b99c4dp-13, 0x1.719b94953a23p-13, 0x1.654defb857a23p-13, 0x1.594e157bece7ap-13, 0x1.4d9b728ef77f9p-13, 0x1.4234b4d10ea52p-13, 0x1.37188b2a746e5p-13, 0x1.2c4551a48cdbep-13, 0x1.21b83185068e8p-13, 0x1.176d3c2687d47p-13, 0x1.0d619ed7b8c4bp-13, 0x1.0396e47fa88cep-13, 0x1.f4256eb665205p-14, 0x1.e1b19ab313229p-14, 0x1.cfd2c06b5c245p-14, 0x1.beae415eaabap-14, 0x1.ae87eaf2c5ee2p-14, 0x1.9f071dabcf7cp-14, 0x1.8f882bacc6ef8p-14, 0x1.805dc778d02acp-14, 0x1.7160fb12b51fbp-14, 0x1.62425cf354ecep-14, 0x1.53ece56938493p-14, 0x1.46a09f35d22a5p-14, 0x1.39cd8f9f0508cp-14, 0x1.2d29304380fdcp-14, 0x1.20b85fa98f635p-14, 0x1.14904478c1b3fp-14, 0x1.08bed1f8725a9p-14, 0x1.fa9319b08b139p-15, 0x1.e4612c83468ep-15, 0x1.cee26c38df4e7p-15, 0x1.ba0f412b9af0dp-15, 0x1.a5e0987143ca1p-15, 0x1.9251c77c66abfp-15, 0x1.7f61189600cc4p-15, 0x1.6d0e585e3edd7p-15, 0x1.5b57a40151439p-15, 0x1.4a365038f2299p-15, 0x1.399ed06bcccb5p-15, 0x1.2985a6c392e11p-15, 0x1.19e5abb952afp-15, 0x1.0ab9ff1f7c164p-15, 0x1.f7dd7822daa94p-16, 0x1.db28002c3aa5cp-16, 0x1.c0b2ea69fab8bp-16, 0x1.a947da52c595fp-16, 0x1.925436de98bdcp-16, 0x1.7ab8d7af8efb1p-16, 0x1.62395a928fb08p-16, 0x1.4ac7e206cd02bp-16, 0x1.3625a2d99d502p-16, 0x1.22ad1dd863972p-16, 0x1.0f6c898611c7bp-16, 0x1.f904de59e38b4p-17, 0x1.d458e2e1d9124p-17, 0x1.b113bc4965eb2p-17, 0x1.8f4859c3f59a9p-17, 0x1.6ef564efa8d65p-17, 0x1.5010e60367188p-17, 0x1.328cf620099dcp-17, 0x1.1659f15e45c07p-17, 0x1.f6d06ac6cc83ap-18, 0x1.c35419571a1abp-18, 0x1.922b5c41a0523p-18, 0x1.634d33e4b85b7p-18, 0x1.36b9cacd930f9p-18, 0x1.0c7219f6d2f5dp-18, 0x1.c8d385d014fa6p-19, 0x1.7cf6822b4764ep-19, 0x1.34d5ebb26b78ap-19, 0x1.e00275bf0d06bp-20, 0x1.5c998e4350873p-20, 0x1.be9981c0ba996p-21, 0x1.9b65eb042749fp-22, -0x1.9f0b3ddd65124p-25, -0x1.c3d9ec9e12ef1p-22, -0x1.75c3fff402dc6p-21, -0x1.06a4f74024728p-20, -0x1.638ae169a0ec6p-20, -0x1.b8e2c739e806ep-20, -0x1.f75a6d0731bb9p-20, -0x1.184816f6c49ccp-19, -0x1.34c9321903c55p-19, -0x1.4fe3c754c6182p-19, -0x1.68badfbeed555p-19, -0x1.7f103617135b2p-19, -0x1.92e6315b7a719p-19, -0x1.a451b6cf91e1dp-19, -0x1.b36b20412cc46p-19, -0x1.c04ac5713494fp-19, -0x1.cb08d0ba1ac9cp-19, -0x1.d3bd673cb7aadp-19, -0x1.da80612c782b3p-19, -0x1.df68a2d2f54ecp-19, -0x1.e28af1b7097e7p-19, -0x1.e3f817533740dp-19, -0x1.e3bb2a42ebf37p-19, -0x1.e1d9e9f2d5b9p-19, -0x1.de59031296d39p-19, -0x1.d943f2b1b7432p-19, -0x1.d2b432ccd0379p-19, -0x1.cad1097e3e0e4p-19, -0x1.c1c42f7866f53p-19, -0x1.b7a50b52ac19fp-19, -0x1.ac661b423553dp-19, -0x1.9ff39567f4c64p-19, -0x1.929da23813248p-19, -0x1.84db466236d93p-19, -0x1.7472a885f9fddp-19, -0x1.60b8e8bef9e13p-19, -0x1.50324dc071a26p-19, -0x1.3df0e9e735751p-19, -0x1.28a143d08c452p-19, -0x1.138142489aac7p-19, -0x1.fca895499e507p-20, -0x1.d11f98c226fb1p-20, -0x1.a42099eeffeeep-20, -0x1.75b3eb874ed49p-20, -0x1.45f260174ffc6p-20, -0x1.14f4dd06cadc9p-20, -0x1.c5a330d07c741p-21, -0x1.5f38e20ab05d1p-21, -0x1.ed9ef587bf8f6p-22, -0x1.1913e55c79908p-22, -0x1.0452c91858f41p-24, 0x1.3437e98c50dbp-23, 0x1.783d5949c023fp-22, 0x1.2c88cbe5493d3p-21, 0x1.9e2f5eb9da9aep-21, 0x1.087c3029dbc02p-20, 0x1.4267632abeb1dp-20, 0x1.7cd22f9d13663p-20, 0x1.b7afc583c87d4p-20, 0x1.f2f46744ed95p-20, 0x1.1748731238bccp-19, 0x1.353b6f206677p-19, 0x1.53483b4dba914p-19, 0x1.7166e8ebc8b9fp-19, 0x1.8f9816cf9a889p-19, 0x1.ade62d6285d91p-19, 0x1.cc50be063f4b5p-19, 0x1.eaa5eac316379p-19, 0x1.045827df11523p-18, 0x1.13871b5a08ba6p-18, 0x1.22b6103e5229bp-18, 0x1.320a839d5ed3p-18, 0x1.415159e1b8a7dp-18, 0x1.506b590721757p-18, 0x1.5f739046263d6p-18, 0x1.6e7140e5e58fap-18, 0x1.7d63b60d02fc6p-18, 0x1.8c48964a0af6cp-18, 0x1.9b1d3a65c56abp-18, 0x1.a9df8c5473b9p-18, 0x1.b88dee6209389p-18, 0x1.c726da3faaf46p-18, 0x1.d5a9014accfcfp-18, 0x1.e4131bce4d5b8p-18, 0x1.f263e70cdd263p-18, 0x1.004d0e14acb0ap-17, 0x1.075a19b79993p-17, 0x1.0e5e8870436c8p-17, 0x1.1541b4c817f0cp-17, 0x1.1c2a1590e4dc9p-17, 0x1.22f9cfe5e1445p-17, 0x1.29b9fc3e93b67p-17, 0x1.306930fec129p-17, 0x1.37072261ef012p-17, 0x1.3d93751ddc028p-17, 0x1.440dc86da703bp-17, 0x1.4a75bab319509p-17, 0x1.50caee1a4541p-17, 0x1.570cfff7444e6p-17, 0x1.5d3b8d12e3133p-17, 0x1.6356678e6db4ap-17, 0x1.695d87c8e7c9ap-17, 0x1.6f50d367a64a7p-17, 0x1.752fbbd7d9f77p-17, 0x1.7af8c9c47b2a1p-17, 0x1.80ab271d2722dp-17, 0x1.864b43ab1d26cp-17, 0x1.8bd82bbfdbd8ap-17, 0x1.914dc337d9aep-17, 0x1.96ad27f725e05p-17, 0x1.9bf6eb0a6a2e3p-17, 0x1.a12aeccad04f1p-17, 0x1.a649037b55c98p-17, 0x1.ab5110c844c34p-17, 0x1.b042fcdafa4ddp-17, 0x1.b51eade33da0fp-17, 0x1.b9e3fe2b329c6p-17, 0x1.be92b42432517p-17, 0x1.c32ae0cd94dc8p-17, 0x1.c7acdd7e66298p-17, 0x1.cc18905cfe118p-17, 0x1.d06da46e4a487p-17, 0x1.d4ac10d44c404p-17, 0x1.d8d3e65e1eda4p-17, 0x1.dce52bd8f4ec6p-17, 0x1.e0dfe2ef32308p-17, 0x1.e4c40e0b3a4d5p-17, 0x1.e891b3c25f394p-17, 0x1.ec48ded15c819p-17, 0x1.efe99baabef76p-17, 0x1.f373f59aafd2dp-17, 0x1.f6e7f49180337p-17, 0x1.fa459f6003093p-17, 0x1.fd8d0f686e1edp-17, 0x1.005f669b4d4b8p-16, 0x1.01ee229ace9aep-16, 0x1.036f52be06ff4p-16, 0x1.04e7267fd27c9p-16, 0x1.0655c660b3d3fp-16, 0x1.07b76befa01bbp-16, 0x1.090ed348e9ac7p-16, 0x1.0a5b39e679e1ap-16, 0x1.0b9cfd41078c8p-16, 0x1.0cd4dbd99832p-16, 0x1.0e02df7c3b3f8p-16, 0x1.0f244f7bad1c1p-16, 0x1.103c32fb29abbp-16, 0x1.114a18c3224cp-16, 0x1.124dab9542878p-16, 0x1.134701b1badadp-16, 0x1.1436345f29426p-16, 0x1.151b59eb7aa3dp-16, 0x1.15f687b5460adp-16, 0x1.16c7d3302373p-16, 0x1.178f4eabe6c8p-16, 0x1.184cfa4c7fa1cp-16, 0x1.1900e8e5a8d49p-16, 0x1.19ab6b4a47162p-16, 0x1.1a4c97630bc89p-16, 0x1.1ae4513fb98b9p-16, 0x1.1b72aae4dc7d1p-16, 0x1.1bf7c62fc0a48p-16, 0x1.1c73be3624ad4p-16, 0x1.1ce6ae8889bdp-16, 0x1.1d50b57e61e26p-16, 0x1.1db1ebb8faf49p-16, 0x1.1e0a597e0dcap-16, 0x1.1e5a05ecbb067p-16, 0x1.1ea1095f6ef6p-16, 0x1.1edf834ce6ad8p-16, 0x1.1f15907c75a45p-16, 0x1.1f434a8ce7526p-16, 0x1.1f68c4531b19fp-16, 0x1.1f860a477a092p-16, 0x1.1f9b7b861ddfdp-16, 0x1.1fa86550acba1p-16, 0x1.1fae9284f97fp-16, 0x1.1fabcf14dc88fp-16, 0x1.1fa1e4b00285cp-16, 0x1.1f90774fbfe0cp-16, 0x1.1f779d7fd88d6p-16, 0x1.1f571c2ab7b3cp-16, 0x1.1f2f080a66102p-16, 0x1.1efb9360f4f57p-16, 0x1.1ecb33ee93c87p-16, 0x1.1e8ef651433a9p-16, 0x1.1e49a8653807ap-16, 0x1.1dff4afd2490bp-16, 0x1.1dadeabf9b245p-16, 0x1.1d55ab5c30f55p-16, 0x1.1cf6ea6bce0eep-16, 0x1.1c91f68b56dbfp-16, 0x1.1c26d0be3232ep-16, 0x1.1bb55454eff77p-16, 0x1.1b3d95ef237bdp-16, 0x1.1abfb69ce8f47p-16, 0x1.1a3be420a3f62p-16, 0x1.19b246a16cb8dp-16, 0x1.1922ef780f4p-16, 0x1.188de5a8f814fp-16, 0x1.17f3487179fd7p-16, 0x1.175359c53bc92p-16, 0x1.16ae1999b8ad1p-16, 0x1.16033fb1049afp-16, 0x1.155301d1ede9p-16, 0x1.149dad5a919eep-16, 0x1.13e354cc1425ep-16, 0x1.1323fe5d910e9p-16, 0x1.125fb8502c378p-16, 0x1.119696cee4dacp-16, 0x1.10c8af64beddbp-16, 0x1.0ff615ead2e15p-16, 0x1.0f1ee3ba1e152p-16, 0x1.0e436abb2f1dep-16, 0x1.0d642538ab658p-16, 0x1.0c803f6faf1d1p-16, 0x1.0b976409cc3cep-16, 0x1.0aaa6a0a0ced9p-16, 0x1.09b95e7353b18p-16, 0x1.08c4c3fda4d17p-16, 0x1.07cd1f5842326p-16, 0x1.06d14fa44a0a5p-16, 0x1.05d1638442b44p-16, 0x1.04cf787d398ccp-16, 0x1.03c85db057c78p-16, 0x1.02bbff3357cf2p-16, 0x1.01ad396e33979p-16, 0x1.009dff1e0cae4p-16, 0x1.ff0af17455187p-17, 0x1.fce5f47a219dep-17, 0x1.faac44f1877aep-17, 0x1.f87065ed10ff1p-17, 0x1.f62f062c27f5ep-17, 0x1.f3e7cc140482cp-17, 0x1.f19ae31133807p-17, 0x1.ef4880ca347fcp-17, 0x1.ecf0dcfdd82bp-17, 0x1.ea940b043b772p-17, 0x1.e8323cc4d7a57p-17, 0x1.e5cb92edb0d83p-17, 0x1.e3602c3fefc99p-17, 0x1.e0f02c810662fp-17, 0x1.de7b4adc61331p-17, 0x1.dc01cfc23b23p-17, 0x1.d983e19e49da6p-17, 0x1.d70222ccb4e21p-17, 0x1.d47c2ca8a8b5fp-17, 0x1.d1f25cf21d886p-17, 0x1.cf64d4ff57306p-17, 0x1.ccd3a3e0a055cp-17, 0x1.ca3ee6a7636fdp-17, 0x1.c7a6bfadef769p-17, 0x1.c50b53eaf8c96p-17, 0x1.c26cc9cbb2f79p-17, 0x1.bfcb473e70e25p-17, 0x1.bd26edeef244bp-17, 0x1.ba7fcd4c1ae45p-17, 0x1.b7d5bb910539ep-17, 0x1.b531da1870c7dp-17, 0x1.b27d77216bb3ep-17, 0x1.afc8cec5100c3p-17, 0x1.ad156034d470ep-17, 0x1.aa5f7bdae4e58p-17, 0x1.a7a824fa6b3d1p-17, 0x1.a4edba7147f88p-17, 0x1.a23266acf6455p-17, 0x1.9f7507818a864p-17, 0x1.9cb621db3b6b4p-17, 0x1.99f5d27019d97p-17, 0x1.9734234da813p-17, 0x1.9471a9684f712p-17, 0x1.91ad4e60f5a4cp-17, 0x1.8ee7d7a32f5cap-17, 0x1.8c214a846356ap-17, 0x1.8959e2a859e9bp-17, 0x1.86910136aa882p-17, 0x1.83c7ea43893f1p-17, 0x1.80fcc8ec8c667p-17, 0x1.7e3249a9f4b9bp-17, 0x1.7b658b59de248p-17, 0x1.789a5c9ae242p-17, 0x1.75ce337789307p-17, 0x1.730181d4929bbp-17, 0x1.70346f4abdc44p-17, 0x1.6d6716655099ap-17, 0x1.6a99b47bedc02p-17, 0x1.67cb8ef8f5e37p-17, 0x1.64ff492214717p-17, 0x1.6231bc3298432p-17, 0x1.5f65832a3033dp-17, 0x1.5c977f6249721p-17, 0x1.59cb79888eb64p-17, 0x1.57039b7a52293p-17, 0x1.54382c7ac001ap-17, 0x1.516dc0eba611p-17, 0x1.4ea5b0c8b60bcp-17, 0x1.4bdb5d1e46635p-17, 0x1.491179dfd472ap-17, 0x1.464b3bc64c3aep-17, 0x1.438624e3e8742p-17, 0x1.40c13b8faaa83p-17, 0x1.3dfc7a7ff74fep-17, 0x1.3b3820bcf57abp-17, 0x1.3874c94071d17p-17, 0x1.35b319f3a136ap-17, 0x1.32f33f4aa31b3p-17, 0x1.3034b53265edcp-17, 0x1.2d77132ef9c8bp-17, 0x1.2aba6e9e48c79p-17, 0x1.27ff642f6a611p-17, 0x1.25465f8b72594p-17, 0x1.228f529df2e1p-17, 0x1.1fda0ee7e0132p-17, 0x1.1d2679bbc5e72p-17, 0x1.1a74aa85799dfp-17, 0x1.17c3fc244a93ep-17, 0x1.15140052c4f2ap-17, 0x1.12657a40c9f38p-17, 0x1.0fb96201f58ccp-17, 0x1.0d102a3c59de2p-17, 0x1.0a705c24e49c4p-17, 0x1.07c606874f6ccp-17, 0x1.0523284c4fc1dp-17, 0x1.0282dfbb81008p-17, 0x1.ffc5e7ae60cb5p-18, 0x1.fa86d9ba83b31p-18, 0x1.f54ed896764b5p-18, 0x1.f01ee5708d16ap-18, 0x1.eaf2f7dbb1bfp-18, 0x1.e5ca7639ff83bp-18, 0x1.e0a6c07122c5ep-18, 0x1.db883c558a7a3p-18, 0x1.d66e8f82f1589p-18, 0x1.d159798ab1511p-18, 0x1.cc490bca4c123p-18, 0x1.c73d8929ef721p-18, 0x1.c23741d16c1fp-18, 0x1.bd367fc9505d7p-18, 0x1.b83b7c3944156p-18, 0x1.b3464b80ae54ap-18, 0x1.ae56ad892b6c5p-18, 0x1.a96beb9947798p-18, 0x1.a484f70c9772p-18, 0x1.9fa0850d9ac15p-18, 0x1.9ac1100922cdbp-18, 0x1.95e6f6c1d4b76p-18, 0x1.91137cbfffeb8p-18, 0x1.8c47ec6a3077ap-18, 0x1.87836535b91bfp-18, 0x1.82c573f3c4cf3p-18, 0x1.7e0d412f30b84p-18, 0x1.7959760de8ec4p-18, 0x1.74a9437205adbp-18, 0x1.7000094cc7ddap-18, 0x1.6b668827fd718p-18, 0x1.66cab1b08c192p-18, 0x1.622ffb3be4426p-18, 0x1.5d9f32e0930d4p-18, 0x1.5905ec83400c8p-18, 0x1.547aa0615b12fp-18, 0x1.4ffc853e024a4p-18, 0x1.4b84e814fcf1cp-18, 0x1.471327794ed6fp-18, 0x1.42a8db098732dp-18, 0x1.3e464d7c9568fp-18, 0x1.39e96f87b81ep-18, 0x1.358f85f8f563cp-18, 0x1.313771f10b801p-18, 0x1.2ce5f00b1609p-18, 0x1.289aa7708fb9p-18, 0x1.2458ce544d3ccp-18, 0x1.201e3cf647c8ep-18, 0x1.1bee096dc93cbp-18, 0x1.17b15b682a4fep-18, 0x1.138a81b058492p-18, 0x1.0f6e020261295p-18, 0x1.0b558ad02844bp-18, 0x1.073e0a2bfa2f7p-18, 0x1.032aa8f400061p-18, 0x1.fe40bd102bbafp-19, 0x1.f63ed7cc253fp-19, 0x1.ee496bbea94eap-19, 0x1.e65f56491f2bdp-19, 0x1.de7fc72366f13p-19, 0x1.d6ac66e04db6cp-19, 0x1.cee5f62fb8146p-19, 0x1.c72c9e355da8ep-19, 0x1.bf803812f5091p-19, 0x1.b7e08a6baa0b6p-19, 0x1.b04db2986a1afp-19, 0x1.a8c7fc0c27e8ap-19, 0x1.a154d30482715p-19, 0x1.99e9677bd6246p-19, 0x1.92851117d7eeap-19, 0x1.8b3502f2a81b1p-19, 0x1.83f5109ec7806p-19, 0x1.7cbf385d4fd7p-19, 0x1.7594167c84323p-19, 0x1.6e74b3568cd07p-19, 0x1.675ee4d6055f9p-19, 0x1.6059008ac1077p-19, 0x1.5962e439d1816p-19, 0x1.527b00ae040fbp-19, 0x1.4b9bb29d9170cp-19, 0x1.44c9abeb384c5p-19, 0x1.3e00743d755edp-19, 0x1.3741bb6be303p-19, }}, 
      {{0x1.801b34f75199cp-4, 0x1.4375a6f54f8bep-3, 0x1.6dd7d520d8df7p-3, 0x1.41b1b415198bep-3, 0x1.a63968d3f15cp-4, 0x1.e1169d8d4012dp-6, -0x1.aa590700770f4p-5, -0x1.0d6848eb59952p-3, -0x1.9ec6623f08793p-3, -0x1.0b7255a732be8p-2, -0x1.39573689cbca6p-2, -0x1.5942fb666e12bp-2, -0x1.6c8a354942978p-2, -0x1.752595946933cp-2, -0x1.7550b9f8e0de6p-2, -0x1.6f45c57db1804p-2, -0x1.6511656805bfap-2, -0x1.5879edb69b864p-2, -0x1.4af472fdc6ac8p-2, -0x1.3da3878d28bbdp-2, -0x1.315c2823cb651p-2, -0x1.26ae4097d7facp-2, -0x1.1deeeaa7cc6ebp-2, -0x1.1743213cd3365p-2, -0x1.12aa129464c0ap-2, -0x1.100692c6b17bdp-2, -0x1.0f276aae64cedp-2, -0x1.0fce697e6127dp-2, -0x1.11b638dd24395p-2, -0x1.1497070dc007dp-2, -0x1.182a21a85ac39p-2, -0x1.1c2ca1c24a368p-2, -0x1.20614c93e807ap-2, -0x1.2491c8d1d18afp-2, -0x1.288f4877c7a9ap-2, -0x1.2c32c494892dep-2, -0x1.2f5ce2be5d235p-2, -0x1.31f59bdb84338p-2, -0x1.33ebb690c846ep-2, -0x1.3534234154a71p-2, -0x1.35c948c7d5366p-2, -0x1.35aa4c0a02457p-2, -0x1.34da56ea9a8a6p-2, -0x1.335fe59013913p-2, -0x1.314420d0b989p-2, -0x1.2e92469552a7dp-2, -0x1.2b571f6ab913ap-2, -0x1.27a08358912d5p-2, -0x1.237cef4df0576p-2, -0x1.1efb2a7f20eb7p-2, -0x1.1a29f9c0515e8p-2, -0x1.1517df607f953p-2, -0x1.0fd2e6c6aa531p-2, -0x1.0a687b2cf1f0fp-2, -0x1.04e548688d7b4p-2, -0x1.feaa48aa52664p-3, -0x1.f385fee7d3ce3p-3, -0x1.e871b7311d836p-3, -0x1.dd7f8f89e2c97p-3, -0x1.d2bfc0f4a6742p-3, -0x1.c840a78967ee4p-3, -0x1.be0ed0812cb46p-3, -0x1.b4350cba5b50ap-3, -0x1.aabc86793721cp-3, -0x1.a1acd96158cc5p-3, -0x1.990c2bf748145p-3, -0x1.90df4a0e1f5bbp-3, -0x1.8929bfb4dba62p-3, -0x1.81edf424e3fe7p-3, -0x1.7b2d44536d4a7p-3, -0x1.74e81ccac204p-3, -0x1.6f1e1289d2945p-3, -0x1.69cdfab5b1f3fp-3, -0x1.64f60107d1878p-3, -0x1.6093bce436fcp-3, -0x1.5ca44519e37bap-3, -0x1.592442468a5f9p-3, -0x1.560fffebde263p-3, -0x1.53637c346d95cp-3, -0x1.511a7673e9f0cp-3, -0x1.4f307c67a8537p-3, -0x1.4da0f644d2c73p-3, -0x1.4c6731a0f88fdp-3, -0x1.4b7e6b40c33e5p-3, -0x1.4ae1d7e3a204ap-3, -0x1.4a8cac162e42fp-3, -0x1.4a7a23241d5cbp-3, -0x1.4aa5852f88389p-3, -0x1.4b0a2c89e91a9p-3, -0x1.4ba38a521eeb4p-3, -0x1.4c6d2a6ec6f1p-3, -0x1.4d62b6f05ef76p-3, -0x1.4e7ffaed9c5b7p-3, -0x1.4fc0e4d661ac6p-3, -0x1.512188602aff7p-3, -0x1.529e1ffa9289ep-3, -0x1.54330deaf4609p-3, -0x1.55dcdd196cd6dp-3, -0x1.57984184d7393p-3, -0x1.5962186e1d479p-3, -0x1.5b37685682eb6p-3, -0x1.5d1560c3f767bp-3, -0x1.5ef959c7b7c9dp-3, -0x1.60e0d360cf613p-3, -0x1.62c974c4a3a6p-3, -0x1.64b10b976f12p-3, -0x1.66958ad87f33bp-3, -0x1.687509cfe8979p-3, -0x1.6a4dc31091fa5p-3, -0x1.6c1e133d0cc28p-3, -0x1.6de477dc5530bp-3, -0x1.6f9f8e00e96e6p-3, -0x1.714e110ae0955p-3, -0x1.72eed972758ep-3, -0x1.7480db77bdf02p-3, -0x1.760325dc96358p-3, -0x1.7774e096b4042p-3, -0x1.78d54b84ce5c7p-3, -0x1.7a23bd4343658p-3, -0x1.7b5fa1f29d459p-3, -0x1.7c8879ffc0b59p-3, -0x1.7d9dd907940e8p-3, -0x1.7e9f64a4a0ec8p-3, -0x1.7f8cd35946e42p-3, -0x1.8065eb938bb46p-3, -0x1.812a828f97432p-3, -0x1.81da7b5d68792p-3, -0x1.8275c603537c7p-3, -0x1.82fc5e8aecd93p-3, -0x1.836e4c1358c64p-3, -0x1.83cba011beaf8p-3, -0x1.841475822de14p-3, -0x1.8448f00ff2375p-3, -0x1.84693b6eb6c43p-3, -0x1.84758ab5674ffp-3, -0x1.846e17a369a9dp-3, -0x1.84532208be0b9p-3, -0x1.8424ef45304e6p-3, -0x1.83e3c9a965314p-3, -0x1.838fffe56b1f6p-3, -0x1.8329e4a110609p-3, -0x1.82b1ce0a989edp-3, -0x1.82281550e65b5p-3, -0x1.818d1641e6e8cp-3, -0x1.80e12f01842ap-3, -0x1.8024bfa550dc2p-3, -0x1.7f5829cc7a7ffp-3, -0x1.7e7bd05d35292p-3, -0x1.7d90174c0e56dp-3, -0x1.7c95634a6c9e2p-3, -0x1.7b8c197868129p-3, -0x1.7a749f37fc2afp-3, -0x1.794f5a012ff0ep-3, -0x1.781caf284855dp-3, -0x1.76dd03a2a45d6p-3, -0x1.7590bbeff62f2p-3, -0x1.74383bf705d0dp-3, -0x1.72d3e6d7a11b5p-3, -0x1.71641ec2a098cp-3, -0x1.6fe944e69d63bp-3, -0x1.6e63b961ab419p-3, -0x1.6cd3db220fcb5p-3, -0x1.6b3a07c5089a8p-3, -0x1.69969b89630d2p-3, -0x1.67e9f14c611b4p-3, -0x1.6634627b75333p-3, -0x1.647646fc6c609p-3, -0x1.62aff5203ad64p-3, -0x1.60e1c1a39880dp-3, -0x1.5f0bffadd979ep-3, -0x1.5d2f00c4cec52p-3, -0x1.5b4b14c0821bep-3, -0x1.596089caa3e92p-3, -0x1.576fac643866cp-3, -0x1.5578c765d6f2ep-3, -0x1.537c23f8a09ecp-3, -0x1.517a0992905d2p-3, -0x1.4f72bdfbeef26p-3, -0x1.4d6685580701ep-3, -0x1.4b55a2292b138p-3, -0x1.4940554ed54f4p-3, -0x1.4726de0469126p-3, -0x1.450979e7e9b1p-3, -0x1.42e86505fa0e5p-3, -0x1.40c3d9df6a0fdp-3, -0x1.3e9c116cbb558p-3, -0x1.3c714321f7bfbp-3, -0x1.3a43a4f295271p-3, -0x1.38136b5b98357p-3, -0x1.35e0c96db49b1p-3, -0x1.33abf0d28d1a1p-3, -0x1.317511d059abp-3, -0x1.2f3c5b503c9cp-3, -0x1.2d01fae7326ddp-3, -0x1.2ac61cdf42c83p-3, -0x1.2888ec3f4708p-3, -0x1.264a92d0db17dp-3, -0x1.240b392661a1dp-3, -0x1.21cb06a27ef8ap-3, -0x1.1f8a218032548p-3, -0x1.1d48aedaa52dap-3, -0x1.1b06d2b41dcdcp-3, -0x1.18c4affbe4b93p-3, -0x1.1682689457d51p-3, -0x1.14401d5a10dedp-3, -0x1.11fdee2b2f12ep-3, -0x1.0fbbf9eea5395p-3, -0x1.0d7a5e9b011e1p-3, -0x1.0b39393c225b3p-3, -0x1.08f8a5f8b8d77p-3, -0x1.06b8c0184c7d9p-3, -0x1.0479a2096d691p-3, -0x1.023b6567ef82dp-3, -0x1.fffc46064dfd9p-4, -0x1.fb83e5c687573p-4, -0x1.f70dd89c47d65p-4, -0x1.f29a4b98e8644p-4, -0x1.ee296a5e0da55p-4, -0x1.e9bb5f2850855p-4, -0x1.e55052da066e2p-4, -0x1.e0e86d056cecbp-4, -0x1.dc83d3f5086b5p-4, -0x1.d822acb39ce34p-4, -0x1.d3c51b149aa9ep-4, -0x1.cf6b41bcc389dp-4, -0x1.cb15422aa7654p-4, -0x1.c6c33cbf7549dp-4, -0x1.c27550c713ccap-4, -0x1.be2b9c7ef3f1ep-4, -0x1.b9e63d1cc2a72p-4, -0x1.b5a54ed5a1b3fp-4, -0x1.b168ece544845p-4, -0x1.ad313194ba443p-4, -0x1.a8fe36414d17bp-4, -0x1.a4d01362fb4a1p-4, -0x1.a0a6e091e3538p-4, -0x1.9c82b48b724dp-4, -0x1.9863a537e6a79p-4, -0x1.9449c7afcb53ap-4, -0x1.903530415b552p-4, -0x1.8c25f276034p-4, -0x1.881c2117ed42dp-4, -0x1.8417ce36caf97p-4, -0x1.80190b2be498bp-4, -0x1.7c1fe89e3a0bep-4, -0x1.782c7686d553ep-4, -0x1.743ec434f4434p-4, -0x1.7056e0522e2ebp-4, -0x1.6c74d8e6c510ep-4, -0x1.6898bb5de4633p-4, -0x1.64c294894390ap-4, -0x1.60f270a45ad05p-4, -0x1.5d285b57a9f0ap-4, -0x1.59645fbc20bdp-4, -0x1.55a6885e52f6bp-4, -0x1.51eedf4192171p-4, -0x1.4e3d6de322b0cp-4, -0x1.4a923d3d89bdap-4, -0x1.46ed55cb8ac26p-4, -0x1.434ebf8acad2p-4, -0x1.3fb681fe78aaap-4, -0x1.3c24a43201234p-4, -0x1.38992cbba8dc1p-4, -0x1.351421beef389p-4, -0x1.319588eef88fap-4, -0x1.2e1d67911aaa7p-4, -0x1.2aabc27f5a21cp-4, -0x1.27409e2aa04eap-4, -0x1.23dbfe9cd3534p-4, -0x1.207de77b0e281p-4, -0x1.1d265c07d8d6p-4, -0x1.19d55f25361e3p-4, -0x1.168af35697f94p-4, -0x1.13471ac2cd0d4p-4, -0x1.1009d7360150ap-4, -0x1.0cd32a23b2b6cp-4, -0x1.09a314a86ecbfp-4, -0x1.0679978b8a295p-4, -0x1.0356b340f70c5p-4, -0x1.003a67eb1b0cdp-4, -0x1.fa496ab92189ap-5, -0x1.f42b3633a7aaap-5, -0x1.ee1a30b5c0807p-5, -0x1.e8165819ba634p-5, -0x1.e21fa9a7817f9p-5, -0x1.dc362217a0433p-5, -0x1.d659bd9606cb1p-5, -0x1.d08a77c4ffb4p-5, -0x1.cac84bc04f7e2p-5, -0x1.c5133420560d4p-5, -0x1.bf6b2afd118c1p-5, -0x1.b9d029f10ce84p-5, -0x1.b4422a1c34f87p-5, -0x1.aec124268a199p-5, -0x1.a94d10428d89ep-5, -0x1.a3e5e62f599ebp-5, -0x1.9e8b9d3abc16ap-5, -0x1.993e2c43c8c03p-5, -0x1.93fd89be22bc1p-5, -0x1.8ec9abb5ae3e9p-5, -0x1.89a287d2170a6p-5, -0x1.84881359490dcp-5, -0x1.7f7a43308e156p-5, -0x1.7a790bdd4bcadp-5, -0x1.75846186cf36fp-5, -0x1.709c37f9dcbc2p-5, -0x1.6bc082ad34f34p-5, -0x1.66f134c5601c6p-5, -0x1.622e411676d05p-5, -0x1.5d779a244c38fp-5, -0x1.58cd3222a8798p-5, -0x1.542efaf6cb018p-5, -0x1.4f9ce63a31a03p-5, -0x1.4b16e53dccaa6p-5, -0x1.469ce90cf58dbp-5, -0x1.422ee26ff580fp-5, -0x1.3dccc1ee3600bp-5, -0x1.397677d00a8efp-5, -0x1.352bf4206c601p-5, -0x1.30ed26af09c47p-5, -0x1.2cb9ff1229f1cp-5, -0x1.28926ca8706d2p-5, -0x1.24765e9ab8bc9p-5, -0x1.2065c3ddfa8ap-5, -0x1.1c608b352067bp-5, -0x1.1866a332f1942p-5, -0x1.1477fa3bf8941p-5, -0x1.10947e8863767p-5, -0x1.0cbc1e25de1d9p-5, -0x1.08eec6f95cb2fp-5, -0x1.052c66c0e566cp-5, -0x1.0174eb154fa1ap-5, -0x1.fb9082d7df03dp-6, -0x1.f44cae305d66dp-6, -0x1.ed1e329a3138dp-6, -0x1.e604ea3dbd9a8p-6, -0x1.df00af08bfcc4p-6, -0x1.d8115ab182464p-6, -0x1.d136c6ba351b3p-6, -0x1.ca70cc74519e3p-6, -0x1.c3bf4503f7b3p-6, -0x1.bd22096336019p-6, -0x1.b698f2651bfb6p-6, -0x1.b023d8b89b51ep-6, -0x1.a9c294eae3ba7p-6, -0x1.a374ff697b23bp-6, -0x1.9d3af084f38bdp-6, -0x1.9714407268665p-6, -0x1.9100c74e3fb48p-6, -0x1.8b005d1f0a14p-6, -0x1.8512d9d8c76dep-6, -0x1.7f3815605f048p-6, -0x1.796fe78f5f47ep-6, -0x1.73ba2836cf1d4p-6, -0x1.6e16af2202ab4p-6, -0x1.68855418234e7p-6, -0x1.6305eedd9896cp-6, -0x1.5d985735551ffp-6, -0x1.583c64e1dc56fp-6, -0x1.52f1efa66248ep-6, -0x1.4db8cf48b07a3p-6, -0x1.4890db93e91b6p-6, -0x1.4379ec5bdd4fdp-6, -0x1.3e73d9806eb6dp-6, -0x1.397e7af125075p-6, -0x1.3499a8b0ccd1bp-6, -0x1.2fc53ad819a1ap-6, -0x1.2b010996b59d7p-6, -0x1.264ced330399fp-6, -0x1.21a8be09254acp-6, -0x1.1d14548a211e1p-6, -0x1.188f893bd9caap-6, -0x1.141a34ba7b86ep-6, -0x1.0fb42fbb8216cp-6, -0x1.0b5d531225bc2p-6, -0x1.071577b462f5bp-6, -0x1.02dc76bfb206ap-6, -0x1.fd6452f8df115p-7, -0x1.f52cd2be67a53p-7, -0x1.ed122010e6896p-7, -0x1.e513ee802df3ep-7, -0x1.dd31f1e84c2bdp-7, -0x1.d56bde6b9fcbcp-7, -0x1.cdc1686c2c9bdp-7, -0x1.c63244920a331p-7, -0x1.bebe27d314e21p-7, -0x1.b764c7800bb22p-7, -0x1.b025d95393efdp-7, -0x1.a901137fb2a4ap-7, -0x1.a1f62cb68bb93p-7, -0x1.9b04dc2b5b104p-7, -0x1.942cd98b62a45p-7, -0x1.8d6ddcf43c24ap-7, -0x1.86c79ee464d3ap-7, -0x1.8039d82c1f3eep-7, -0x1.79c441e6ecb19p-7, -0x1.7366957a3fa8p-7, -0x1.6d208c9ac2e41p-7, -0x1.66f1e1593c508p-7, -0x1.60da4e3a71741p-7, -0x1.5ad98e57f26f6p-7, -0x1.54ef5d790e103p-7, -0x1.4f1b78142ed8bp-7, -0x1.495d9b3f3b3cfp-7, -0x1.43b584a0e6f62p-7, -0x1.3e22f260f4b58p-7, -0x1.38a5a30a8140bp-7, -0x1.333d5567f1841p-7, -0x1.2de9c87202075p-7, -0x1.28aabb5d1ad4p-7, -0x1.237fedbb1a073p-7, -0x1.1e691fa2d049dp-7, -0x1.196611d3cb87dp-7, -0x1.147685d04d1fcp-7, -0x1.0f9a3de7ec741p-7, -0x1.0ad0fd2fc384ep-7, -0x1.061a8768d9946p-7, -0x1.0176a0da353f7p-7, -0x1.f9ca1c4f32e1bp-8, -0x1.f0cb285b6ce23p-8, -0x1.e7efefd8fa5ebp-8, -0x1.df37fd0b88acdp-8, -0x1.d6a2daa97a92ap-8, -0x1.ce30141989cb2p-8, -0x1.c5df3614104ecp-8, -0x1.bdafceb864d24p-8, -0x1.b5a16e55daa72p-8, -0x1.adb3a74d25788p-8, -0x1.a5e60e28debf9p-8, -0x1.9e383942ec399p-8, -0x1.96a9c034d4fa9p-8, -0x1.8f3a3b2872366p-8, -0x1.87e942338c7dap-8, -0x1.80b66ce95e527p-8, -0x1.79a1523e99769p-8, -0x1.72a988c40bf3ap-8, -0x1.6bcea7252a7efp-8, -0x1.651044ce3dc2ap-8, -0x1.5e6dfa9e35983p-8, -0x1.57e763897b894p-8, -0x1.517c1d16ec1a1p-8, -0x1.4b2bc7ad5f46ap-8, -0x1.44f606ac85392p-8, -0x1.3eda803e4c40dp-8, -0x1.38d8dcc790cf3p-8, -0x1.32f0c5f36f272p-8, -0x1.2d21e57ca426p-8, -0x1.276be3feb0b39p-8, -0x1.21ce6828276b1p-8, -0x1.1c491693cebf6p-8, -0x1.16db92595ab01p-8, -0x1.11857e2475817p-8, -0x1.0c467d75d5777p-8, -0x1.071e35af0611p-8, -0x1.020c4eab1f36fp-8, -0x1.fa20e5fb803efp-9, -0x1.f0549ff1644a6p-9, -0x1.e6b32b68daba7p-9, -0x1.dd3bee7708a3ap-9, -0x1.d3ee5541a8e92p-9, -0x1.cac9d17557bf7p-9, -0x1.c1cdd882aae9bp-9, -0x1.b8f9e0a67c96cp-9, -0x1.b04d5d74cc155p-9, -0x1.a7c7bd19233c2p-9, -0x1.9f68676d51ceep-9, -0x1.972ebf5aa795p-9, -0x1.8f1a2600b26bfp-9, -0x1.8729fe5650b14p-9, -0x1.7f5dafd55b05dp-9, -0x1.77b4a7533ee03p-9, -0x1.702e56255f0bfp-9, -0x1.68ca308fc14c6p-9, -0x1.6187acc973507p-9, -0x1.5a6643718953cp-9, -0x1.5365715deb704p-9, -0x1.4c84b9bd2ebeep-9, -0x1.45c3a7214d8abp-9, -0x1.3f21ca6dff924p-9, -0x1.389eb7ab5d7acp-9, -0x1.323a01ddd8784p-9, -0x1.2bf3379f26917p-9, -0x1.25c9e1e917cd2p-9, -0x1.1fbd8576489ccp-9, -0x1.19cda5e1402f9p-9, -0x1.13f9c8e65272dp-9, -0x1.0e41784b26a28p-9, -0x1.08a44190b022ep-9, -0x1.0321b3e2ac3bbp-9, -0x1.fb72babba4a0dp-10, -0x1.f0d592b9ae9cdp-10, -0x1.e66b020318d7fp-10, -0x1.dc321c310b4p-10, -0x1.d229fe3be7cddp-10, -0x1.c851d4e0d5565p-10, -0x1.bea8de5bc73c3p-10, -0x1.b52e66d3cb731p-10, -0x1.abe1c16efd284p-10, -0x1.a2c241f895323p-10, -0x1.99cf3a643107ep-10, -0x1.9107fc12d902p-10, -0x1.886bda6aa505dp-10, -0x1.7ffa2c7680572p-10, -0x1.77b24c4d8a9e4p-10, -0x1.6f93947e6a184p-10, -0x1.679d5cdb64d3ap-10, -0x1.5fcef79aed74p-10, -0x1.5827aeeb281cep-10, -0x1.50a6c38094beep-10, -0x1.494b6de0e2694p-10, -0x1.4214e4043b52ep-10, -0x1.3b02624e7183bp-10, -0x1.3413339f7ee26p-10, -0x1.2d46b3ad2b2f7p-10, -0x1.269c4a82c9002p-10, -0x1.20135e903f7afp-10, -0x1.19ab5d4f03a66p-10, -0x1.1363aed8eef0ap-10, -0x1.0d3bcc4c6b331p-10, -0x1.07333802ff8eap-10, -0x1.01499361cb238p-10, -0x1.f6fd064a82245p-11, -0x1.eba34f431f63bp-11, -0x1.e08523cd3a309p-11, -0x1.d5a184707e856p-11, -0x1.caf759e107661p-11, -0x1.c085831d36b89p-11, -0x1.b64ad71ef4c4ep-11, -0x1.ac46288e80d6dp-11, -0x1.a27646a0fb1a4p-11, -0x1.98da08a98d876p-11, -0x1.8f705ac08f896p-11, -0x1.863841a85328p-11, -0x1.7d30cec312a3cp-11, -0x1.74590994d0f64p-11, -0x1.6bafe0f6ba42dp-11, -0x1.633435ad458c3p-11, -0x1.5ae4fe9ebc12p-11, -0x1.52c170949cbcep-11, -0x1.4ac90bdac29e2p-11, -0x1.42fb825b3abd4p-11, -0x1.3b5885903a459p-11, -0x1.33df9ce83b1cap-11, -0x1.2c901ba71d33fp-11, -0x1.25693299416b1p-11, -0x1.1e6a06f952f82p-11, -0x1.1791bf0bdc6b8p-11, -0x1.10df82932e134p-11, -0x1.0a527c2423688p-11, -0x1.03e9ddef21503p-11, -0x1.fb49cf29368b2p-12, -0x1.ef05d0a8f77b7p-12, -0x1.e30676582c767p-12, -0x1.d74a77f2d3724p-12, -0x1.cbd06cf517baap-12, -0x1.c096ac25ba056p-12, -0x1.b59b4ac97c89dp-12, -0x1.aadc55cf99fecp-12, -0x1.a0583586cd68ep-12, -0x1.960df8f82d35p-12, -0x1.8bfd451264d3bp-12, -0x1.8225e958ba568p-12, -0x1.78876af1a4bd4p-12, -0x1.6f20ddddcbfcfp-12, -0x1.65f11784667e1p-12, -0x1.5cf6f3ef73688p-12, -0x1.543166f641d32p-12, -0x1.4b9f5ca407e65p-12, -0x1.433fa0c135dfp-12, -0x1.3b10ef723fccep-12, -0x1.33121dbb36b5bp-12, -0x1.2b42388ec3123p-12, -0x1.23a0828e6dcecp-12, -0x1.1c2c530c55271p-12, -0x1.14e4eb4e381ddp-12, -0x1.0dc95c21886ebp-12, -0x1.06d8841a340adp-12, -0x1.00111b3bf4c91p-12, -0x1.f2e38a40d953cp-13, -0x1.e5f26bf036e74p-13, -0x1.d94cdb2a0075ap-13, -0x1.ccf1bdb5388f3p-13, -0x1.c0e099da6f02bp-13, -0x1.b518d4604b403p-13, -0x1.a99922798797cp-13, -0x1.9e5fb9bc34254p-13, -0x1.936af84c05426p-13, -0x1.88b9bb2b703aap-13, -0x1.7e4b0e91656a9p-13, -0x1.741db4fea08dcp-13, -0x1.6a300c14ffa01p-13, -0x1.608041550661p-13, -0x1.570c94f48ca1fp-13, -0x1.4dd39627dc85ap-13, -0x1.44d444d53b869p-13, -0x1.3c0df8c241816p-13, -0x1.3380100706e49p-13, -0x1.2b299429356a1p-13, -0x1.230915c9e9f41p-13, -0x1.1b1cdb351e588p-13, -0x1.13633baf2bd9bp-13, -0x1.0bdaddb01d8a7p-13, -0x1.0482afd9e5a14p-13, -0x1.fab381623a11p-14, -0x1.ecbe51ac6a5b1p-14, -0x1.df23eba3679ap-14, -0x1.d1e1f27f19da3p-14, -0x1.c4f589e4b87eap-14, -0x1.b85c33eceb64fp-14, -0x1.ac14b5a4dd7b4p-14, -0x1.a01ea5588671bp-14, -0x1.94790ec5ae2c9p-14, -0x1.8921f8fbaed42p-14, -0x1.7e17155e0d5c6p-14, -0x1.73563f9e75281p-14, -0x1.68dd6d9b3b2d8p-14, -0x1.5eaab4642b31ap-14, -0x1.54bc7d853f58ep-14, -0x1.4b119c1e32b5p-14, -0x1.41a9286611feep-14, -0x1.38823619c86b8p-14, -0x1.2f9b829170739p-14, -0x1.26f3432038f48p-14, -0x1.1e8746253f15cp-14, -0x1.1655781ebc72p-14, -0x1.0e5c83e16336bp-14, -0x1.069bf883a52dp-14, -0x1.fe273bdca435bp-15, -0x1.ef84f66b76b3ep-15, -0x1.e14d0763f88a7p-15, -0x1.d37a01f9f404p-15, -0x1.c60661aba9bd9p-15, -0x1.b8ee8795ebf28p-15, -0x1.ac32671e85a02p-15, -0x1.9fd385aa039f3p-15, -0x1.93d0f25d37a7cp-15, -0x1.8826ead66e09cp-15, -0x1.7cd1ecab515efp-15, -0x1.71cfdc794bc9ap-15, -0x1.671ed5c12c4f8p-15, -0x1.5cbcc384b44b5p-15, -0x1.52a7c6cd079a7p-15, -0x1.48de47637d40dp-15, -0x1.3f5ebde6fa56bp-15, -0x1.362791146a4fep-15, -0x1.2d371474e15ebp-15, -0x1.248b8dc0c27d2p-15, -0x1.1c2327e76ab6bp-15, -0x1.13fbd9f43fa12p-15, -0x1.0c13756ae2205p-15, -0x1.046811775e6fep-15, -0x1.f9f150bf25aa1p-16, -0x1.eb8a730e8df92p-16, -0x1.dd9ba985bb1e9p-16, -0x1.d0222b30122a3p-16, -0x1.c31779a9ab4ccp-16, -0x1.b673d015fde9dp-16, -0x1.aa30b1960b74p-16, -0x1.9e4b65dc293e1p-16, -0x1.92c66c939c911p-16, -0x1.87a3c4ffd131ap-16, -0x1.7cdf0f1eb5362p-16, -0x1.727240fb488dbp-16, -0x1.685b183abd44ep-16, -0x1.5e9835d4858d3p-16, -0x1.552700c91ba8bp-16, -0x1.4c051c84806b9p-16, -0x1.4330f5effaf8ep-16, -0x1.3aa92e220ae6ep-16, -0x1.326bf790f1349p-16, -0x1.2a77747a404c3p-16, -0x1.22c94d7eb9c9dp-16, -0x1.1b5eec59c84f4p-16, -0x1.143644384b2b8p-16, -0x1.0d4d67ae37a2fp-16, -0x1.06a2932785372p-16, -0x1.0034054052593p-16, -0x1.f4002fa7757ddp-17, -0x1.e80b33878d73dp-17, -0x1.dc88cb78dfe2bp-17, -0x1.d174b4009563ap-17, -0x1.c6c9c11db222p-17, -0x1.bc88fba6d30eep-17, -0x1.b2b18bd58ed4ap-17, -0x1.a92c7550d27b3p-17, -0x1.a003c9e75bd8ap-17, -0x1.9734c74f63266p-17, -0x1.8ebef4f938bc3p-17, -0x1.869d2ccbc248fp-17, -0x1.7ec9619321f74p-17, -0x1.7743d939f7112p-17, -0x1.700b57cf5c9d1p-17, -0x1.691be9488d8d6p-17, -0x1.6272d54234367p-17, -0x1.5c0ea1d28cf2cp-17, -0x1.55ee0713e3896p-17, -0x1.500f7ebaec1ddp-17, -0x1.4a7128668e56ap-17, -0x1.4510c9e75b586p-17, -0x1.3febe57bdcbaep-17, -0x1.3affe8847b8cap-17, -0x1.364a6a0d65161p-17, -0x1.31c963f5e6166p-17, -0x1.2d7b4ab2817d6p-17, -0x1.295eedfe1cf64p-17, -0x1.257328e95f676p-17, -0x1.21b68d392165ap-17, -0x1.1e27464bed707p-17, -0x1.1ac35b823f076p-17, -0x1.17892f2e9eee9p-17, -0x1.147787b006457p-17, -0x1.118cb293258a9p-17, -0x1.0ec694e841d58p-17, -0x1.0c24f8243630bp-17, -0x1.09a84a9211d5bp-17, -0x1.074d29156c2b8p-17, -0x1.05106cc997fe8p-17, -0x1.02efb2f17ce0dp-17, -0x1.00eb88a3b1f38p-17, -0x1.fe09b00f14bacp-18, -0x1.fa72593e11ce2p-18, -0x1.f70d45018ef42p-18, -0x1.f3d8bceac56e6p-18, -0x1.f0d3798777544p-18, -0x1.edfc18daedbbfp-18, -0x1.eb5114727ff69p-18, -0x1.e8d0c59375533p-18, -0x1.e6795f0c8c6d2p-18, -0x1.e448e813ab75dp-18, -0x1.e23d45ae970cap-18, -0x1.e05455abed597p-18, -0x1.de8c14c983987p-18, -0x1.dce2c56832924p-18, -0x1.db5708c8d6631p-18, -0x1.d9e7d8e0e9cefp-18, -0x1.d8945398b495ep-18, -0x1.d75b6269bbd71p-18, -0x1.d63b71940bcf8p-18, -0x1.d53279c70e915p-18, -0x1.d43e77d441d95p-18, -0x1.d35e0c89f57e9p-18, -0x1.d2908ec620eb7p-18, -0x1.d1d55062f4ec9p-18, -0x1.d12b8683ff478p-18, -0x1.d093a816416e4p-18, -0x1.d00d8f48d68d6p-18, -0x1.cf93ec708647p-18, -0x1.cf23722cb4597p-18, -0x1.cebe6824bfb7cp-18, -0x1.ce66196bdede7p-18, -0x1.ce17aa2e3e115p-18, -0x1.cdd1c200b27edp-18, -0x1.cd93f389a217fp-18, -0x1.cd5db4d470a96p-18, -0x1.cd2e599ce5cbap-18, -0x1.cd052d09cb1afp-18, -0x1.cce17e9b672p-18, -0x1.ccc2aa9d06596p-18, -0x1.cca8206650123p-18, -0x1.cc91534154baep-18, -0x1.cc7d884297af1p-18, -0x1.cc6bceb66ada9p-18, -0x1.cc5b7a7a8f79cp-18, -0x1.cc4c78c63f7d6p-18, -0x1.cc3ec180bb6bap-18, -0x1.cc31ba3f4f1a8p-18, -0x1.cc247cec84f84p-18, -0x1.cc165712370ddp-18, -0x1.cc06c84458986p-18, -0x1.cbf53f7696079p-18, -0x1.cbe11fe126b68p-18, -0x1.cbca36f1280b6p-18, -0x1.cbb0db64e05b2p-18, -0x1.cb95b51f1a3d1p-18, -0x1.cb78e7ae061f1p-18, -0x1.cb588eed021dcp-18, -0x1.cb31ba7578f55p-18, -0x1.cb04e4bfdf6f2p-18, -0x1.cad4f88345881p-18, -0x1.caa171490798bp-18, -0x1.ca68f531a79e9p-18, -0x1.ca28f0d17cc1ep-18, -0x1.c9e12d01da56fp-18, -0x1.c9943699d4e73p-18, -0x1.c9430e300df33p-18, -0x1.c8ece8cc0647dp-18, -0x1.c890c79e9c509p-18, -0x1.c82e1da67313p-18, -0x1.c7c4b4ed7bc5p-18, -0x1.c7547afbfd782p-18, -0x1.c6dd64e842aeap-18, -0x1.c65f652b7bcbp-18, -0x1.c5da68efa449ap-18, -0x1.c54e5821bf82ap-18, -0x1.c4bb17c918f92p-18, -0x1.c4208e0f049f8p-18, -0x1.c37ea4e646455p-18, -0x1.c2d549c6ba4c5p-18, -0x1.c2246de37c627p-18, -0x1.c16c1755d79c2p-18, -0x1.c0ac86bb5b27ep-18, -0x1.bfe52a6701338p-18, -0x1.bf15d89bf15a9p-18, -0x1.be3e79b679f3fp-18, -0x1.bd5fa2c4f44f7p-18, -0x1.bc79081f5db9dp-18, -0x1.bb8a8dd9bdcaep-18, -0x1.ba9442d83e8dap-18, -0x1.b99649516cc78p-18, -0x1.b890bd9337cd9p-18, -0x1.b7839689d0859p-18, -0x1.b66ebc4ae1b39p-18, -0x1.b552568c9b3dep-18, -0x1.b42e5e6ff4bdp-18, -0x1.b302fb7d3e6e9p-18, -0x1.b1d02aaeb16b9p-18, -0x1.b095edc390a4dp-18, -0x1.af54505d9f309p-18, -0x1.ae0b681559c63p-18, -0x1.acbb7b437c9dep-18, -0x1.ab6483547e4ffp-18, -0x1.aa062c8cef268p-18, -0x1.a8a05d6b34e64p-18, -0x1.a7334a0382aa5p-18, -0x1.a5bf2fcf2201dp-18, -0x1.a4442fee65a5ap-18, -0x1.a2c248eaf6bffp-18, -0x1.a1396d7a2533ap-18, -0x1.9fa99dcbd0d8cp-18, -0x1.9e12e00b73f96p-18, -0x1.9c7c6a0aef8d7p-18, -0x1.9aca5c2563c8fp-18, -0x1.992ab32228a1fp-18, -0x1.977a86fc860d9p-18, -0x1.95c55568e4ca7p-18, -0x1.9409e5fec1c94p-18, -0x1.924862806df16p-18, -0x1.9080e1299616ap-18, -0x1.8eb372d7e10ap-18, -0x1.8ce02c12eb6bcp-18, -0x1.8b0730aedd29ep-18, -0x1.8928a84ad6ebap-18, -0x1.8744a0ca6b9b9p-18, -0x1.855b2ec8082e3p-18, -0x1.836c92286f20ap-18, -0x1.81794aa563a43p-18, -0x1.7f81996de7f1dp-18, -0x1.7d8539e959c72p-18, -0x1.7b83d8593d7abp-18, -0x1.797d6d4dfb4ep-18, -0x1.77721fec0caacp-18, -0x1.756221da03c81p-18, -0x1.734da69c8865ep-18, -0x1.7134da2c1f985p-18, -0x1.6f17e1836bf52p-18, -0x1.6cf6ddb2fe6c6p-18, -0x1.6ad1ee03326c8p-18, -0x1.68a930361a59p-18, -0x1.667cc14c4cc51p-18, -0x1.644cbf2c87bep-18, -0x1.621945e14fa68p-18, -0x1.5fe2a4a029b5ap-18, -0x1.5da94a365d261p-18, -0x1.5b6d172fdee8fp-18, -0x1.592d8eb6e97c7p-18, -0x1.56ea83bab8a9fp-18, -0x1.54a40a0d7e823p-18, -0x1.525a4f1a1dc4dp-18, -0x1.500da7080099fp-18, -0x1.4dbe757a44219p-18, -0x1.4b6cf164b9a9bp-18, -0x1.4919185ff148dp-18, -0x1.46c2d0d637da4p-18, -0x1.446a02333c8d5p-18, -0x1.420e9468fd47fp-18, -0x1.3fb0775d01b02p-18, -0x1.3d4fff4b03e4dp-18, -0x1.3aeee2c3d797dp-18, -0x1.388fefbffdc1dp-18, -0x1.362e4b86c9a86p-18, -0x1.33c70fdbda20dp-18, -0x1.315e56a3cd57fp-18, -0x1.2ef720e9ff6dbp-18, -0x1.2c8e23880bd79p-18, -0x1.2a1ed138e8d7cp-18, -0x1.27aee8a110e1bp-18, -0x1.25413f6bc4c05p-18, -0x1.22d3e7537b894p-18, -0x1.206574d7346e1p-18, -0x1.1df5c145f41dap-18, -0x1.1b8501a3d1375p-18, -0x1.19136d7973f02p-18, -0x1.16a12f2a962e4p-18, -0x1.142e66383db8dp-18, -0x1.11bb2c6035e08p-18, -0x1.0f4798eb33d55p-18, -0x1.0cd3c27d77413p-18, -0x1.0a5fbca8dab49p-18, -0x1.07eb876181ad8p-18, -0x1.05772f42f493p-18, -0x1.0303072f74e83p-18, -0x1.008f29b56907p-18, -0x1.fc36e7379f74ap-19, -0x1.f74fe4cfedf17p-19, -0x1.f2698e75c9854p-19, -0x1.ed8413c8f797cp-19, -0x1.e89f9c4a560bap-19, -0x1.e3bc4d2abe9edp-19, -0x1.deda41e880f36p-19, -0x1.d9f9822c22dc5p-19, -0x1.d51a13917d173p-19, -0x1.d03c0edc327d5p-19, -0x1.cb5f9628ff926p-19, -0x1.c684c9ddd68e6p-19, -0x1.c1abc6872594p-19, -0x1.bcd4a01cd8701p-19, -0x1.b7ff5dd48b975p-19, -0x1.b32c8cdfc3ebp-19, -0x1.ae5aac369a57dp-19, -0x1.a98d554fb84e5p-19, -0x1.a4bff70e1e50ep-19, -0x1.9ff681c5da41ap-19, -0x1.9b30517d1d9dep-19, -0x1.966df8db99408p-19, -0x1.91afbd84fb0e2p-19, -0x1.8cf4d022b1cep-19, -0x1.882ecd8fdaafap-19, -0x1.838d5a14ffe41p-19, -0x1.7eda88618f82p-19, -0x1.7a2d07a383ea1p-19, -0x1.7583af39b210bp-19, -0x1.70de3df06d998p-19, -0x1.6c3cca2395de5p-19, -0x1.679f324b3ae27p-19, -0x1.6305024f183b3p-19, -0x1.5e6e090ebcdddp-19, -0x1.59daf6a4f189bp-19, -0x1.554cef346b751p-19, -0x1.50c403ba56735p-19, -0x1.4c3f3acf379b1p-19, -0x1.47bdc294b29ffp-19, -0x1.433fe8b3342cdp-19, -0x1.3ec6b18b1a95p-19, -0x1.3a52d15950621p-19, -0x1.35e462432e4e5p-19, -0x1.317b1de6dd802p-19, -0x1.2d16af267e2e3p-19, -0x1.28b7126058624p-19, -0x1.245c5b691b73fp-19, -0x1.2006880127e0dp-19, -0x1.1bb5924ec615bp-19, -0x1.176979b0f117dp-19, -0x1.132240ff8cb04p-19, -0x1.0edff127dd8f4p-19, -0x1.0aa2ae74f6d12p-19, -0x1.066aec1af954fp-19, -0x1.023989958cfa7p-19, -0x1.fc1e159c921fbp-20, -0x1.f3d3f1ca580aap-20, -0x1.eb90738de8b9bp-20, -0x1.e3537f65c31fp-20, -0x1.db1f01f196466p-20, -0x1.d2fb40b5df252p-20, -0x1.caf501d1aef55p-20, -0x1.c2f3103a3d842p-20, -0x1.baea7126e13fp-20, -0x1.b30472bed098cp-20, -0x1.ab22bdb61ecdp-20, -0x1.a331cc6f6c395p-20, -0x1.9b581155cfb17p-20, -0x1.9398a3d70f4d6p-20, -0x1.8be73e3bff03dp-20, -0x1.8440427f7d7f8p-20, -0x1.7ca31812d4975p-20, -0x1.7510c026bbda3p-20, -0x1.6d89ce9222f42p-20, -0x1.660ea89313098p-20, -0x1.5e9faacf57235p-20, -0x1.573cee88cc309p-20, -0x1.4fe66534fc9dep-20, -0x1.489c64105c8abp-20, -0x1.415ec6948ea4ap-20, -0x1.3a2d850d83e33p-20, -0x1.33089144fe54ep-20, -0x1.2beff50358429p-20, -0x1.24e33edb6179p-20, -0x1.1de2ad2cc7d27p-20, -0x1.16ee678f28063p-20, -0x1.10071dc02ab72p-20, -0x1.092c614ed4defp-20, -0x1.025e6babb87bdp-20, -0x1.f73a8c3bab063p-21, -0x1.e9d17bb939365p-21, -0x1.dc811fabb6eb7p-21, -0x1.cf495220f1fc5p-21, -0x1.c22ad88740298p-21, -0x1.b5271ee767f4dp-21, -0x1.a83fa7a037e34p-21, -0x1.9b75629c9fd3bp-21, -0x1.8ec6cecbc29d6p-21, -0x1.823001d8b0f51p-21, -0x1.75dc6744aaf76p-21, -0x1.695bf01f6c8eap-21, -0x1.5cfbff49911dcp-21, -0x1.50c68aac9e126p-21, -0x1.44a8c77297a69p-21, -0x1.38a457c8e66eep-21, -0x1.2cb7f5523536ep-21, -0x1.20e599d331161p-21, -0x1.152c356302854p-21, -0x1.098c38afa6aa6p-21, -0x1.fc0b7f3c20789p-22, -0x1.e531988aabf81p-22, -0x1.ce8ac5f59362fp-22, -0x1.b81623450e85ap-22, -0x1.a1d2ee2cd4cc7p-22, -0x1.8bc26aff31313p-22, -0x1.75e4224ed1bcbp-22, -0x1.602e53cecada8p-22, -0x1.4aaf2469863f8p-22, -0x1.3560ba9e9f8d7p-22, -0x1.2044cc2d2b552p-22, -0x1.0b593f1b39972p-22, -0x1.ed421774371afp-23, -0x1.c43346bbdf542p-23, -0x1.9b867695b341cp-23, -0x1.733b55c2676abp-23, -0x1.4b5169e4b3003p-23, -0x1.23c8ad2fe59adp-23, -0x1.f9352d32a7cf1p-24, -0x1.aba8dd1e7416ap-24, -0x1.5ebfef73936dfp-24, -0x1.127387457ba09p-24, -0x1.8d7d8fa26ba06p-25, -0x1.f0406803e31a3p-26, -0x1.9b45f6b84a832p-27, 0x1.543e2236a0cbep-28, 0x1.790e731b86883p-26, 0x1.49f39e3b37411p-25, 0x1.d90d7869f695fp-25, 0x1.3388e4a270b81p-24, 0x1.78bcbf5eb1089p-24, 0x1.bd1da1fdc36ccp-24, 0x1.007d79202dfedp-23, 0x1.222537b509c83p-23, 0x1.437e1191f8627p-23, 0x1.647912fd48855p-23, 0x1.8500dcda68bbep-23, 0x1.a51af971d9479p-23, 0x1.c4ecd7dcf404bp-23, 0x1.e488a8879c8cdp-23, 0x1.01f0c7ab45c04p-22, 0x1.116b4116b19dp-22, 0x1.20af9d2fd14f3p-22, 0x1.2fc5d0e0e1ab7p-22, 0x1.3eb04f2c5db19p-22, 0x1.4d662ef99e504p-22, 0x1.5be0573613baap-22, 0x1.6a34bd38b9376p-22, 0x1.787056103332dp-22, 0x1.867c3a37a33dap-22, 0x1.945a46da866b3p-22, 0x1.a216ba56f1d3cp-22, 0x1.af81443cddef1p-22, 0x1.bd1506e7b496bp-22, 0x1.ca3ec87f1e7dfp-22, 0x1.d7428552fe55bp-22, 0x1.e438785ee1099p-22, 0x1.f1049e2c7adebp-22, 0x1.fd9569c777e81p-22, 0x1.04fa910b8a1a5p-21, 0x1.0b174517c1902p-21, 0x1.1122161fa5f23p-21, 0x1.171a96526d2fp-21, 0x1.1d0061444283ap-21, 0x1.22d3595909b28p-21, 0x1.28936c19719f4p-21, 0x1.2e40761571973p-21, 0x1.33da491723fa5p-21, 0x1.3960bbb000238p-21, 0x1.3ed3b990fc816p-21, 0x1.44334b18ca005p-21, 0x1.497f926b6608fp-21, 0x1.4eb8d8606f141p-21, 0x1.53df917063546p-21, 0x1.58f43c98a98efp-21, 0x1.5df850da00d5cp-21, 0x1.62e9964753546p-21, 0x1.67c94b16a82ecp-21, 0x1.6c9741cfe9b8ap-21, 0x1.7151a0eaea464p-21, 0x1.75f9f1a23e1cp-21, 0x1.7a9098abf683cp-21, 0x1.7f16d314ea086p-21, 0x1.838f5ca56f793p-21, 0x1.87fd510816bf5p-21, 0x1.8c54d3d3f8b1cp-21, 0x1.90742d86b6c24p-21, 0x1.94a22e0a5db4fp-21, 0x1.98cc0c53edc28p-21, 0x1.9ccabc03c48d5p-21, 0x1.a0eb8de6d434ap-21, 0x1.a4e11c901b82fp-21, 0x1.a8b4372381deap-21, 0x1.ac7b0c3191f5ap-21, 0x1.b035d4a211ab3p-21, 0x1.b3e20fece9a2cp-21, 0x1.b77eb42fbbdf9p-21, 0x1.bb0bda112f422p-21, 0x1.be89ec4607fc6p-21, 0x1.c1f924eb7557p-21, 0x1.c559d0d170816p-21, 0x1.c8ab0c06db4fcp-21, 0x1.cbee83779b792p-21, 0x1.cf22ad745c62ep-21, 0x1.d23f9cff7db84p-21, 0x1.d566a4344065ep-21, 0x1.d86910eb123b8p-21, 0x1.db58e4df14589p-21, 0x1.de41a23e9081fp-21, 0x1.e1251a6fb314dp-21, 0x1.e3fad8df2c05ap-21, 0x1.e6ba20710bbf7p-21, 0x1.e96698518fd3fp-21, 0x1.ec059b0b2cb69p-21, 0x1.ee9761295f50bp-21, 0x1.f11bde2b3dfa8p-21, 0x1.f392de4c8208ap-21, 0x1.f5fc95e4dd6bep-21, 0x1.f85981b8a436p-21, 0x1.faaaca5b17ba3p-21, 0x1.fcf134fc39fbp-21, 0x1.ff2ba99e7bb77p-21, 0x1.00ab8160a2a8bp-20, 0x1.01bef935d1e02p-20, 0x1.02c5ea62370e4p-20, 0x1.03c36efc3db3ap-20, 0x1.04bd7e5dc52b2p-20, 0x1.05ad037915c42p-20, 0x1.069accfc7d1e1p-20, 0x1.07856e6ad72ebp-20, 0x1.086c16ea1f2c6p-20, 0x1.0950806ad11e4p-20, 0x1.0a2a4bdcb949cp-20, 0x1.0afb770d48f6ep-20, 0x1.0bc5819e8650cp-20, 0x1.0c8c19ba50174p-20, 0x1.0d4e192d82cdap-20, 0x1.0e0d1d533b55ep-20, 0x1.0ec80d4622a2fp-20, }}, 
      {{-0x1.7cffbaee34298p+1, -0x1.2d77e04ee7463p+1, -0x1.bbd5f60bcb56cp+0, -0x1.488a1f4f4cb57p+0, -0x1.0885eac9afc1fp+0, -0x1.e1169d685e20ap-1, -0x1.dff49c8eaed66p-1, -0x1.f013d74d18a87p-1, -0x1.fd0981c8355ccp-1, -0x1.fbede7d17e449p-1, -0x1.e96eb53c00dc2p-1, -0x1.c7437730717cp-1, -0x1.99da576895a2bp-1, -0x1.669130b4b5b81p-1, -0x1.3287b6b6e2faap-1, -0x1.01f54db0a6846p-1, -0x1.afc2ef9dfd11p-2, -0x1.6c3c642d5550ap-2, -0x1.3ad2d60596c97p-2, -0x1.1b43894c798cep-2, -0x1.0c025d7a43eb6p-2, -0x1.0aa9e3d6d7dap-2, -0x1.145d115218507p-2, -0x1.26168ad3d0e2bp-2, -0x1.3ce4ede74322cp-2, -0x1.561572147aac4p-2, -0x1.6f4f3e9457071p-2, -0x1.86a2301392649p-2, -0x1.9a8bc8f5d605p-2, -0x1.a9f4d0400f41ap-2, -0x1.b429cdd32ca1dp-2, -0x1.b8d0333419a4dp-2, -0x1.b7d9a2fa9fc8cp-2, -0x1.b176762bc8232p-2, -0x1.a60858640a387p-2, -0x1.9615987c4e27cp-2, -0x1.823d991afe5c7p-2, -0x1.6b2ea0b2f5872p-2, -0x1.519d292fc3655p-2, -0x1.363cb69a74bf8p-2, -0x1.19ba241a5549p-2, -0x1.f96e9a61cec56p-3, -0x1.bf8fda66a6a8dp-3, -0x1.86df33f6e090ap-3, -0x1.50412df6911e4p-3, -0x1.1c76d388bee2dp-3, -0x1.d83c360ac1df4p-4, -0x1.7f663ccb5dc39p-4, -0x1.2f24239176f1dp-4, -0x1.cfe68b20d0e2dp-5, -0x1.5436bc4041b6ap-5, -0x1.d6d13a6331dcp-6, -0x1.2ab01aef73001p-6, -0x1.466304c81bc9ap-7, -0x1.f819e0e3801c4p-9, 0x1.c87233f931b54p-13, 0x1.3485f3d5fd5a9p-9, 0x1.61f9d7a8f9a63p-9, 0x1.70b67ec48f382p-10, -0x1.67e92d9e6a98bp-10, -0x1.670aa7ef578b8p-8, -0x1.6040c295a1ca6p-7, -0x1.16fc959616f02p-6, -0x1.8bc9bbf7e5498p-6, -0x1.0607595908f07p-5, -0x1.4ab62179241b8p-5, -0x1.92d0b86f5336p-5, -0x1.dd475e3d2a39ep-5, -0x1.148e1cf2643fap-4, -0x1.3ab20d69a1ee5p-4, -0x1.60a371a89b582p-4, -0x1.85ffd37639a84p-4, -0x1.aa6e45a69d64cp-4, -0x1.cd9f39dddee9bp-4, -0x1.ef4c41194eea7p-4, -0x1.079bdd3217d7cp-3, -0x1.16963a09a2749p-3, -0x1.247ea0fb93d9cp-3, -0x1.3142464ed9358p-3, -0x1.3cd1ed6ef04dcp-3, -0x1.4721acad391a5p-3, -0x1.5028b04a8a44p-3, -0x1.57e0fdec21078p-3, -0x1.5e47390d6aaa7p-3, -0x1.635a6878da303p-3, -0x1.671bbe1b15f74p-3, -0x1.698e6056afb14p-3, -0x1.6ab73641f47acp-3, -0x1.6a9cb5966fdfdp-3, -0x1.6946b3bb0f7b2p-3, -0x1.66be39161965bp-3, -0x1.630d5766185f5p-3, -0x1.5e3f022e6a647p-3, -0x1.585eea7548324p-3, -0x1.51795c17dd044p-3, -0x1.499b1f064d572p-3, -0x1.40d1595638a4dp-3, -0x1.37297585a742ep-3, -0x1.2cb1092a831d3p-3, -0x1.2175bfbbd9b57p-3, -0x1.158545954829dp-3, -0x1.08ed36bac2e91p-3, -0x1.f7761c902d08dp-4, -0x1.dbf82faee5a5ep-4, -0x1.bf7ac7bbe895ap-4, -0x1.a21775f72ad4dp-4, -0x1.83e72c89e76b4p-4, -0x1.65022aea9b19fp-4, -0x1.457ff144c1c3cp-4, -0x1.25773696d27a3p-4, -0x1.04fddb5eafa32p-4, -0x1.c851ce29ed297p-5, -0x1.8618ff03be6ccp-5, -0x1.4377c916545d2p-5, -0x1.0092e487eeb13p-5, -0x1.7b1a6896fb216p-6, -0x1.ea1f35d2cfffdp-7, -0x1.bd0feedbc7614p-8, 0x1.60d775d7eaecep-10, 0x1.355a7523542fep-7, 0x1.1e6734e5548c8p-6, 0x1.a10abe3fae504p-6, 0x1.113537386e6c3p-5, 0x1.512e057b5b9fep-5, 0x1.905c44857435p-5, 0x1.ceadeae98a32ap-5, 0x1.06092f6778595p-4, 0x1.243d3bfbe1321p-4, 0x1.41ec31d8bc95cp-4, 0x1.5f0fc947386f4p-4, 0x1.7ba25e5cbc063p-4, 0x1.979ee568395bp-4, 0x1.b300ddd471424p-4, 0x1.cdc45406c8562p-4, 0x1.e7e5db4f9dbcap-4, 0x1.00b13ef9c0ffap-3, 0x1.0d1bdd7b1805bp-3, 0x1.1931c358a8589p-3, 0x1.24f21e7590327p-3, 0x1.305c4ba1edab2p-3, 0x1.3b6fd81af79a9p-3, 0x1.462c7ec2443d5p-3, 0x1.50922104b2dcep-3, 0x1.5aa0c571cf0e6p-3, 0x1.64589902c7703p-3, 0x1.6db9ea86c2035p-3, 0x1.76c5250fad405p-3, 0x1.7f7ad03b225d2p-3, 0x1.87db90baee55fp-3, 0x1.8fe82385f2653p-3, 0x1.97a1599856beep-3, 0x1.9f0818b816dbp-3, 0x1.a61d5bc2169d6p-3, 0x1.ace22e71c48a6p-3, 0x1.b357a9c9de242p-3, 0x1.b97ef4b3df8cp-3, 0x1.bf594497cc406p-3, 0x1.c4e7da2b5997ap-3, 0x1.ca2bfe100e915p-3, 0x1.cf2700e396dc3p-3, 0x1.d3da3c400337fp-3, 0x1.d84710e91b2a2p-3, 0x1.dc6ee3a2fa771p-3, 0x1.e0531c61496ebp-3, 0x1.e3f5274d4af77p-3, 0x1.e7567472d931fp-3, 0x1.ea787552b8e1ap-3, 0x1.ed5c9b35098cdp-3, 0x1.f004578718fa7p-3, 0x1.f2711c888877ap-3, 0x1.f4a45c48c8cc3p-3, 0x1.f69f86bfd38e8p-3, 0x1.f864092140ccfp-3, 0x1.f9f34e7311968p-3, 0x1.fb4ebfe5017d9p-3, 0x1.fc77c3cf9022p-3, 0x1.fd6fbc63f685dp-3, 0x1.fe3807655c75bp-3, 0x1.fed1feaffe359p-3, 0x1.ff3ef87f83ddp-3, 0x1.ff8046b8b4ca3p-3, 0x1.ff9735fc5d5p-3, 0x1.ff850d75a6992p-3, 0x1.ff4b0f409d516p-3, 0x1.feea78c16c49dp-3, 0x1.fe64824a77413p-3, 0x1.fdba5e7146433p-3, 0x1.fced39d76c3e5p-3, 0x1.fbfe3b68a3b69p-3, 0x1.faee84b7de1bep-3, 0x1.f9bf32040c34bp-3, 0x1.f87159d1ad722p-3, 0x1.f7060ca20569dp-3, 0x1.f57e550286a4dp-3, 0x1.f3db37d8f25dcp-3, 0x1.f21db4a9d14a8p-3, 0x1.f046c58245bb5p-3, 0x1.ee575eb2ccd68p-3, 0x1.ec506ebef620ep-3, 0x1.ea32de8324a2ep-3, 0x1.e7ff9179c15cdp-3, 0x1.e5b765f0c2b53p-3, 0x1.e35b34f91cc1bp-3, 0x1.e0ebd24234df5p-3, 0x1.de6a0c1ebc962p-3, 0x1.dbd6aba8fb269p-3, 0x1.d93274fcd8c75p-3, 0x1.d67e276b6543dp-3, 0x1.d3ba7d7b89ab3p-3, 0x1.d0e82cd760e9ap-3, 0x1.ce07e6556b60bp-3, 0x1.cb1a5615f4d71p-3, 0x1.c82023af5170fp-3, 0x1.c519f2603e84bp-3, 0x1.c20861247e80bp-3, 0x1.beec0aadcbf5ep-3, 0x1.bbc5856a894fcp-3, 0x1.b895639d59fcfp-3, 0x1.b55c337c1ebffp-3, 0x1.b21a7f593e309p-3, 0x1.aed0cdc7b9835p-3, 0x1.ab7fa1a41f098p-3, 0x1.a8277a1668b3bp-3, 0x1.a4c8d2a28e6c4p-3, 0x1.a164233fd8007p-3, 0x1.9df9e073ce24p-3, 0x1.9a8a7b7463852p-3, 0x1.97166243c8c0dp-3, 0x1.939dffb9125cdp-3, 0x1.9021bb86ded34p-3, 0x1.8ca1fa4cadf58p-3, 0x1.891f1dab29421p-3, 0x1.859984598d9dfp-3, 0x1.82118a403f1bep-3, 0x1.7e8788915a315p-3, 0x1.7afbd5d408a9bp-3, 0x1.776ec5eb905e8p-3, 0x1.73e0aa25c5f8dp-3, 0x1.7051d14c58044p-3, 0x1.6cc287b54fb26p-3, 0x1.6933175617407p-3, 0x1.65a3c7d8df4adp-3, 0x1.6214deabc5e1p-3, 0x1.5e869f083fd6ap-3, 0x1.5af949fcfc478p-3, 0x1.576d1e7c28bb1p-3, 0x1.53e2596953a48p-3, 0x1.505935a6afad6p-3, 0x1.4cd1ec247da36p-3, 0x1.494cb3f14de68p-3, 0x1.45c9c245314c6p-3, 0x1.42494a88af36ep-3, 0x1.3ecb7e5e341b3p-3, 0x1.3b508dae04c9cp-3, 0x1.37d8a6b1621fcp-3, 0x1.3463f5fcf6a49p-3, 0x1.30f2a68c5da03p-3, 0x1.2d84e1ced7061p-3, 0x1.2a1acfb13acep-3, 0x1.26b496a492af1p-3, 0x1.23525ba5a9437p-3, 0x1.1ff4424692f31p-3, 0x1.1c9a6cb7fa2c7p-3, 0x1.1944fbd181a3dp-3, 0x1.15f40f1a2af88p-3, 0x1.12a7c4d1d8958p-3, 0x1.0f6039fa8e7b7p-3, 0x1.0c1d8a5f3c5c4p-3, 0x1.08dfd0997e122p-3, 0x1.05a72618b4e5dp-3, 0x1.0273a329da6d3p-3, 0x1.fe8abdfd6dafdp-4, 0x1.f838df691f8dap-4, 0x1.f1f1d4b5b1ca2p-4, 0x1.ebb5c5f52c601p-4, 0x1.e584d93b08627p-4, 0x1.df5f32a758f51p-4, 0x1.d944f470d1ffbp-4, 0x1.d3363ef07de35p-4, 0x1.cd3330ae4f16ep-4, 0x1.c73be66cf201fp-4, 0x1.c1507b34cd7f7p-4, 0x1.bb71085ea29ddp-4, 0x1.b59da59edfd07p-4, 0x1.afd66911450d6p-4, 0x1.aa1b6742fc181p-4, 0x1.a46cb33b2a405p-4, 0x1.9eca5e8420757p-4, 0x1.9934793550e93p-4, 0x1.93ab11fd431cdp-4, 0x1.8e2e362aec6acp-4, 0x1.88bdf1b68a6d9p-4, 0x1.835a4f4a5d34bp-4, 0x1.7e03584bed558p-4, 0x1.78b914e52e45cp-4, 0x1.737b8c0c8ef9fp-4, 0x1.6e4ac38c44132p-4, 0x1.6926c009f4371p-4, 0x1.640f850ee398ep-4, 0x1.5f05150ff62acp-4, 0x1.5a0771756fd6fp-4, 0x1.55169aa24d479p-4, 0x1.50328ffb6ae52p-4, 0x1.4b5b4feecfb8dp-4, 0x1.4690d7fb18acdp-4, 0x1.41d324b67335fp-4, 0x1.3d2231d4f3dadp-4, 0x1.387dfa2ef63aap-4, 0x1.33e677c7a779ep-4, 0x1.2f5ba3d392172p-4, 0x1.2add76beecb47p-4, 0x1.266be833b4472p-4, 0x1.2206ef1f9edf6p-4, 0x1.1dae81ba06dfp-4, 0x1.19629589e57efp-4, 0x1.15231f6bc34d3p-4, 0x1.10f0139745188p-4, 0x1.0cc965a4757b8p-4, 0x1.08af08911b3f4p-4, 0x1.04a0eec5fead2p-4, 0x1.009f0a1c30d09p-4, 0x1.f95297c47f171p-5, 0x1.f17f49c260fcap-5, 0x1.e9c40ac291d62p-5, 0x1.e220ba5da482dp-5, 0x1.da95373da459ap-5, 0x1.d3215f278b407p-5, 0x1.cbc50f046a01fp-5, 0x1.c48022ea17f48p-5, 0x1.bd527623ba852p-5, 0x1.b63be33a6346bp-5, 0x1.af3c43fda3735p-5, 0x1.a853718bf5e8dp-5, 0x1.a181445af8f22p-5, 0x1.9ac5943f5127cp-5, 0x1.9420387454b9ep-5, 0x1.8d9107a35bf38p-5, 0x1.8717d7eadf132p-5, 0x1.80b47ee570f43p-5, 0x1.7a66d1b077396p-5, 0x1.742ea4f2b404dp-5, 0x1.6e0bcce316c32p-5, 0x1.67fe1d4fd192cp-5, 0x1.620569a5bcc66p-5, 0x1.5c2184f7d1477p-5, 0x1.565242065f0f3p-5, 0x1.509773459685ap-5, 0x1.4af0eae352d28p-5, 0x1.455e7acbae356p-5, 0x1.3fdff4acbf095p-5, 0x1.3a7529f9c6fdcp-5, 0x1.351debee8bd3cp-5, 0x1.2fda0b93508c4p-5, 0x1.2aa959c273642p-5, 0x1.258ba72fb2bb2p-5, 0x1.2080c47120a29p-5, 0x1.1b888208c21f9p-5, 0x1.16a2b06daf0eep-5, 0x1.11cf20135fd77p-5, 0x1.0d0da16dd99d2p-5, 0x1.085e04f20d99ep-5, 0x1.03c01b129a6a3p-5, 0x1.fe676874b6339p-6, 0x1.f571418e9f1dep-6, 0x1.ec9d62106c71ap-6, 0x1.e3eb6a7e4f044p-6, 0x1.db5afb555e0bp-6, 0x1.d2ebb52ac88d6p-6, 0x1.ca9d38d429e53p-6, 0x1.c26f2791bcc1ap-6, 0x1.ba61233122346p-6, 0x1.b272ce1fe507ap-6, 0x1.aaa3cb6747364p-6, 0x1.a2f3be8fb9a52p-6, 0x1.9b624b706a59ap-6, 0x1.93ef15f56c137p-6, 0x1.8c99c1eada641p-6, 0x1.8561f2dcfea5bp-6, 0x1.7e474c1a7b314p-6, 0x1.774970def6012p-6, 0x1.706804a4cfe9ap-6, 0x1.69a2ab8f3e3a7p-6, 0x1.62f90ada0c912p-6, 0x1.5c6ac9357ce51p-6, 0x1.55f78ef3ce009p-6, 0x1.4f9f05f93b56cp-6, 0x1.4960d9689cc3dp-6, 0x1.433cb51768746p-6, 0x1.3d3244e263afep-6, 0x1.37413407864f8p-6, 0x1.31692cad40161p-6, 0x1.2ba9d7ba43da2p-6, 0x1.2602dd12ac58ap-6, 0x1.2073e43b72637p-6, 0x1.1afc954d6ad97p-6, 0x1.159c9a0bcd303p-6, 0x1.10539ee55e56cp-6, 0x1.0b2153a4d184ap-6, 0x1.06056ba0392aep-6, 0x1.00ff9d4ddae22p-6, 0x1.f81f4287f2d3ep-7, 0x1.ee6a6193c807fp-7, 0x1.e4e0087a7f2c5p-7, 0x1.db7fa33dd3a68p-7, 0x1.d248973615779p-7, 0x1.c93a429a80505p-7, 0x1.c053fdbf7c7fdp-7, 0x1.b7951df48b7f5p-7, 0x1.aefcf993be2aep-7, 0x1.a68aec8c5194ep-7, 0x1.9e3e5c88637b5p-7, 0x1.9616bbcec06f9p-7, 0x1.8e138a31125a6p-7, 0x1.863453ac17f9p-7, 0x1.7e78accef0c17p-7, 0x1.76e02d721d429p-7, 0x1.6f6a6aa7fb34fp-7, 0x1.6816f108a1873p-7, 0x1.60e5407b037d1p-7, 0x1.59d4ca631254ap-7, 0x1.52e4f2b0bf3a7p-7, 0x1.4c1513c3a65b8p-7, 0x1.4564848ef6a49p-7, 0x1.3ed29ffd420d9p-7, 0x1.385ecc4270c67p-7, 0x1.320880e3ba5e3p-7, 0x1.2bcf4a2ac0218p-7, 0x1.25b2c96e56775p-7, 0x1.1fb2b1d5ccafp-7, 0x1.19cec20da94c7p-7, 0x1.1406bbe3dd4acp-7, 0x1.0e5a5b3ac66dp-7, 0x1.08c94df3ca343p-7, 0x1.03532e5192c77p-7, 0x1.fbef01c13e391p-8, 0x1.f16b6c9649218p-8, 0x1.e71a61867ae57p-8, 0x1.dcfa981f8e6bdp-8, 0x1.d30acdc301c82p-8, 0x1.c949d7e480d62p-8, 0x1.bfb6b30e61bd3p-8, 0x1.b6508c6c08009p-8, 0x1.ad16c460fef55p-8, 0x1.a408e9a1d640bp-8, 0x1.9b26ad4fcad4dp-8, 0x1.926fd1b783fa3p-8, 0x1.89e4165cd31dfp-8, 0x1.818324b0a83bcp-8, 0x1.794c80e57bd1dp-8, 0x1.713f81a425daep-8, 0x1.695b4ffa69f39p-8, 0x1.619eef1e701d9p-8, 0x1.5a094a1919e7p-8, 0x1.5299447fd03ap-8, 0x1.4b4dcb46f15dbp-8, 0x1.4425e329da1ecp-8, 0x1.3d20b303f6d9cp-8, 0x1.363d894b6ba42p-8, 0x1.2f7bdc90ebacdp-8, 0x1.28db476cf8d76p-8, 0x1.225b807e0dfeap-8, 0x1.1bfc4f4dde691p-8, 0x1.15bd7f426da68p-8, 0x1.0f9ed23cbdc0dp-8, 0x1.099ff5016aaf8p-8, 0x1.03c0779c01a6p-8, 0x1.fbff96a51a58bp-9, 0x1.f0ba8d0934cbdp-9, 0x1.e5b05ad05900fp-9, 0x1.dadf7af859315p-9, 0x1.d046720436b5ap-9, 0x1.c5e3dfd54eb1ep-9, 0x1.bbb688a004b2ap-9, 0x1.b1bd53ab3f082p-9, 0x1.a7f741c329911p-9, 0x1.9e6360417de6ap-9, 0x1.9500bed04ee65p-9, 0x1.8bce6c9c7d8f9p-9, 0x1.82cb7dceeb18bp-9, 0x1.79f715bd4bfcep-9, 0x1.71506fa409422p-9, 0x1.68d6e0518a272p-9, 0x1.6089cea57d217p-9, 0x1.5868a57184ed9p-9, 0x1.5072c5145e44fp-9, 0x1.48a77c517d6ecp-9, 0x1.41060d58794cfp-9, 0x1.398dbe145d71dp-9, 0x1.323debc3ea764p-9, 0x1.2b1615f2f4f1p-9, 0x1.2415d6df1aa4bp-9, 0x1.1d3cc7586e282p-9, 0x1.168a5665097abp-9, 0x1.0ffda44e439adp-9, 0x1.099571c6e2aacp-9, 0x1.03502df5a30f2p-9, 0x1.fa5846eabe435p-10, 0x1.ee4f70dc97aa2p-10, 0x1.e2835a0b2a849p-10, 0x1.d6f2829b77e8bp-10, 0x1.cb9c65f578003p-10, 0x1.c081255c4cbe4p-10, 0x1.b5a1069991d5dp-10, 0x1.aafc03f19a17cp-10, 0x1.a091a451f3756p-10, 0x1.96612b9db6cd3p-10, 0x1.8c69ff7bff2fbp-10, 0x1.82abfd92958eep-10, 0x1.792788f521144p-10, 0x1.6fdd3e32242b3p-10, 0x1.66cd6bd436b09p-10, 0x1.5df7862f9d7aap-10, 0x1.5559c95d4ff83p-10, 0x1.4cf127297fffep-10, 0x1.44b98a151cce6p-10, 0x1.3cae68e7920c4p-10, 0x1.34cb92072ad44p-10, 0x1.2d0e00c4dff7p-10, 0x1.257469e0f5c5ap-10, 0x1.1dff3b9eee069p-10, 0x1.16aff86cc75bp-10, 0x1.0f8837115632ap-10, 0x1.0888c47bd3d26p-10, 0x1.01b15ce9dbe19p-10, 0x1.f60225a6a916p-11, 0x1.e8ee2542bbf77p-11, 0x1.dc268a6f5f884p-11, 0x1.cfacef454a3e4p-11, 0x1.c383f519c721fp-11, 0x1.b7adebcd4926bp-11, 0x1.ac2b92832ef8ep-11, 0x1.a0fb7324b2aa6p-11, 0x1.9619ddc6c8957p-11, 0x1.8b8131571b7fcp-11, 0x1.812a3c2e20306p-11, 0x1.770ce32c60dc6p-11, 0x1.6d2161fcac443p-11, 0x1.63620e8051572p-11, 0x1.59ccde2467debp-11, 0x1.5063a5c0f77cbp-11, 0x1.472a9d7360fe4p-11, 0x1.3e25d7f889b56p-11, 0x1.35572dc7565d8p-11, 0x1.2cbdcbbed474dp-11, 0x1.245760038d7cfp-11, 0x1.1c21e19dab48ap-11, 0x1.141cdeeacd7ccp-11, 0x1.0c49c385d369ap-11, 0x1.04ab079f7bbfcp-11, 0x1.fa857bfffd8a3p-12, 0x1.ec22c7ad41763p-12, 0x1.de2b591f82f3ep-12, 0x1.d09a68b843646p-12, 0x1.c36aa45f67aeap-12, 0x1.b6969c078c92ep-12, 0x1.aa17d2f6f15d9p-12, 0x1.9de5bb250a6f1p-12, 0x1.91f63a4e0df8ap-12, 0x1.8640334200158p-12, 0x1.7abebbf0ed2a9p-12, 0x1.6f72b854753d5p-12, 0x1.64616d4081302p-12, 0x1.5990d03d83bap-12, 0x1.4f042610e81c7p-12, 0x1.44bb06b0903f9p-12, 0x1.3ab29f6bff1a4p-12, 0x1.30e7d9030ae6ap-12, 0x1.27597e42b66f6p-12, 0x1.1e095f9b6b68ep-12, 0x1.14fb0f92d1d6ap-12, 0x1.0c30c3a80f783p-12, 0x1.03a938154b8e2p-12, 0x1.f6c0ae937f911p-13, 0x1.e6a2f09740dacp-13, 0x1.d6f26f1794d32p-13, 0x1.c7ac3aef98f1cp-13, 0x1.b8d068c1f6d36p-13, 0x1.aa5fa00da5a78p-13, 0x1.9c57fd1797cep-13, 0x1.8eb319c03bc41p-13, 0x1.8166a4aff8d89p-13, 0x1.746704d06d2c7p-13, 0x1.67aaba6de986p-13, 0x1.5b2dae3035715p-13, 0x1.4ef2d2b42d5b8p-13, 0x1.43020e7bed06fp-13, 0x1.3762c71577a31p-13, 0x1.2c164b27f098fp-13, 0x1.21174272f4e15p-13, 0x1.1660ad05e50bfp-13, 0x1.0bf505c570f17p-13, 0x1.01db432c78b22p-13, 0x1.f02ae5c219e9fp-14, 0x1.dd3ab47a739b3p-14, 0x1.cad2a1de66ffp-14, 0x1.b8e3c21335aebp-14, 0x1.a766c8ce840f5p-14, 0x1.965974edfb7e3p-14, 0x1.85bbe2589fab9p-14, 0x1.75907e42d8a64p-14, 0x1.65dd38335f92cp-14, 0x1.56aab6b3f290ep-14, 0x1.48003fa5e04fp-14, 0x1.39de5412dc843p-14, 0x1.2c39fd3b203cdp-14, 0x1.1efa09c90a6a7p-14, 0x1.11fd5ad5f1695p-14, 0x1.05302956a184ap-14, 0x1.f13cd1a7cc56cp-15, 0x1.d8d00c39f9a52p-15, 0x1.c13cc3556b929p-15, 0x1.aa68aadee5ff5p-15, 0x1.942e17ea8f76ep-15, 0x1.7e96f35095054p-15, 0x1.69c80fd3cbee1p-15, 0x1.55c86e2d84b5ap-15, 0x1.427a2813ab0d3p-15, 0x1.2fb9e8c0cbd6dp-15, 0x1.1d73e43adcca5p-15, 0x1.0ba3bfda4a9dap-15, 0x1.f4986f7b8d7e6p-16, 0x1.d2dfb8b3f80aep-16, 0x1.b21b74e8d7396p-16, 0x1.92450e17e49c6p-16, 0x1.735b6b45184dp-16, 0x1.556e3448d82c2p-16, 0x1.389ebd09380b1p-16, 0x1.1d113569f35e8p-16, 0x1.02d7e776ee513p-16, 0x1.d3bf946a0973dp-17, 0x1.a3acfaccdeef1p-17, 0x1.7469ddeda93fbp-17, 0x1.456d7624b4cffp-17, 0x1.1775189b87b02p-17, 0x1.d70b680521993p-18, 0x1.82f945d43c817p-18, 0x1.3116e89c4365cp-18, 0x1.c2dbfd9c20821p-19, 0x1.2abb4f1da779ap-19, 0x1.34f305ef3a33dp-20, 0x1.062322c412adfp-23, -0x1.d4e13fe00ffb5p-21, -0x1.ee028df4e2736p-20, -0x1.74fa01756281p-19, -0x1.eef2ed5532b71p-19, -0x1.326287977a7d5p-18, -0x1.6b30bd84c0082p-18, -0x1.a1ea6904ac1d3p-18, -0x1.d6a41ac8accedp-18, -0x1.04bd8c9618af1p-17, -0x1.1d41c93d6a9d7p-17, -0x1.34d7ff36915p-17, -0x1.4b6474a89c017p-17, -0x1.60c4cb40ffacep-17, -0x1.74e38965e8885p-17, -0x1.87b81ed6f2b3dp-17, -0x1.995c705a40b9cp-17, -0x1.aa570e687ea72p-17, -0x1.bb390b32fbeefp-17, -0x1.cba3ac5421658p-17, -0x1.daf8b144999f6p-17, -0x1.e9a082e7a743fp-17, -0x1.f80a6ce29928ap-17, -0x1.02d4eef4f3cd7p-16, -0x1.090cd00965fabp-16, -0x1.0ed321ce2a785p-16, -0x1.1454c1467f635p-16, -0x1.199f45a4bddb9p-16, -0x1.1eaf205301ab4p-16, -0x1.237e7f1b90279p-16, -0x1.280a6eefaba58p-16, -0x1.2c52b5b6f708bp-16, -0x1.305899cfca61ap-16, -0x1.341decd6b68cap-16, -0x1.37a4710794b9dp-16, -0x1.3aee18caed8dbp-16, -0x1.3dfd83ad046bap-16, -0x1.40d5e21cdaebdp-16, -0x1.4379ac86906e2p-16, -0x1.45e8ce484aae3p-16, -0x1.4821066e957d5p-16, -0x1.4a213d17cc042p-16, -0x1.4be9f6bd15f72p-16, -0x1.4d713d8f54d2fp-16, -0x1.4ea5ba594d25p-16, -0x1.4fa0fe1d0cb94p-16, -0x1.50913a4cc57p-16, -0x1.51600b4e30f11p-16, -0x1.52188260fefa6p-16, -0x1.52d0581c8af18p-16, -0x1.53484e8657d8fp-16, -0x1.5370603d19af3p-16, -0x1.53703256d0992p-16, -0x1.535c25e8ad256p-16, -0x1.53334b91ea32p-16, -0x1.52f07aca5217ap-16, -0x1.529088ebac8dap-16, -0x1.52128a4b7f879p-16, -0x1.5176f924a3d7ap-16, -0x1.50bf05a7baedfp-16, -0x1.4fec1f1418a11p-16, -0x1.4eff9dc5b8d45p-16, -0x1.4dfa89607f4fbp-16, -0x1.4cdd8aab9c5cp-16, -0x1.4ba91b3c42e68p-16, -0x1.4a5de89edd571p-16, -0x1.48fd30961de21p-16, -0x1.4788be7dece91p-16, -0x1.4602506e9253dp-16, -0x1.446adb0c990a9p-16, -0x1.42c348fa5c93cp-16, -0x1.410e433e47b6p-16, -0x1.3f4a200a9eb35p-16, -0x1.3d62a22cc089cp-16, -0x1.3b4ccca2f8fe6p-16, -0x1.392f8d1bcb8c1p-16, -0x1.371b8579df768p-16, -0x1.3513fb299a74p-16, -0x1.32fc76cd191e3p-16, -0x1.30bbfa8899bbap-16, -0x1.2e6ae571eb01ap-16, -0x1.2c170dee67e47p-16, -0x1.29beea0008f94p-16, -0x1.275f3a785eb4ap-16, -0x1.24f678d1ab303p-16, -0x1.228458bdcea4fp-16, -0x1.20091d24ddfa8p-16, -0x1.1d85430b927b4p-16, -0x1.1af95f403b109p-16, -0x1.18660ed498883p-16, -0x1.15cbeb847c143p-16, -0x1.132b7f9f0af16p-16, -0x1.108539e8e01d4p-16, -0x1.0dd96600a2aaap-16, -0x1.0b2832073a667p-16, -0x1.0871c9a481436p-16, -0x1.05b681bd875e9p-16, -0x1.02f6fb0ca13d8p-16, -0x1.003415c7e81d6p-16, -0x1.fadd43368fa19p-17, -0x1.f54e01729ba95p-17, -0x1.efbae04dd8e25p-17, -0x1.ea261038e8ee1p-17, -0x1.e49017eabc304p-17, -0x1.dee837b651a5fp-17, -0x1.d91f9658a30f1p-17, -0x1.d3609c7046eefp-17, -0x1.cdc1cf7950916p-17, -0x1.c81e6856fcea3p-17, -0x1.c260659d1a1f5p-17, -0x1.bca2006c36e04p-17, -0x1.b6eaa454a0517p-17, -0x1.b136a243bd279p-17, -0x1.ab83a4ee27d1bp-17, -0x1.a5d126e8cd444p-17, -0x1.a01f5bb1a9c57p-17, -0x1.9a6ea8e1ec2a2p-17, -0x1.94bf7a60e18d7p-17, -0x1.8f1238129486ep-17, -0x1.89674637f128dp-17, -0x1.83bf093baea2p-17, -0x1.7e19e5e2164c2p-17, -0x1.787837f7fc9e5p-17, -0x1.72da4a568c573p-17, -0x1.6d405cbf1a7edp-17, -0x1.67aaaaed43d17p-17, -0x1.621968d4562ffp-17, -0x1.5c8cc53fa1123p-17, -0x1.57050116824e1p-17, -0x1.5182885e2a11cp-17, -0x1.4c05d4bb1d3dep-17, -0x1.468f1ec739b94p-17, -0x1.411e7b88e3506p-17, -0x1.3bb3ed7677237p-17, -0x1.364f8519b7645p-17, -0x1.30f23b8c0aa48p-17, -0x1.2b9d56d0a3fc2p-17, -0x1.264bb787a34ebp-17, -0x1.20fbbc205f3b6p-17, -0x1.1bbbfa14c6d72p-17, -0x1.1681915cea16ep-17, -0x1.1149f83919dcbp-17, -0x1.0c1c4dc060b27p-17, -0x1.06f7d0bc19b9bp-17, -0x1.01db444af84d4p-17, -0x1.f98ce77933b7cp-18, -0x1.ef73062494b1ap-18, -0x1.e5693a7f440fep-18, -0x1.db6fca39e743ap-18, -0x1.d186ee219ec14p-18, -0x1.c7aed7edab757p-18, -0x1.bde7b5b9980c1p-18, -0x1.b431b3458a30fp-18, -0x1.aa8cf99bb5ec5p-18, -0x1.a0f9aea7e677fp-18, -0x1.9777f5dcc831ep-18, -0x1.8e07f0d92b5abp-18, -0x1.84a9bf04aef57p-18, -0x1.7b5d7c0d37d56p-18, -0x1.7223381fe64ecp-18, -0x1.68fae92fe1067p-18, -0x1.5fe4d70f0f5d4p-18, -0x1.56e121b53148bp-18, -0x1.4defe54cc2e4fp-18, -0x1.4510fd4ad3379p-18, -0x1.3c449f2dc0b6p-18, -0x1.338ae802d49d1p-18, -0x1.2ae3d10fd4c56p-18, -0x1.224f379d0ea86p-18, -0x1.19cd1927d4eabp-18, -0x1.115e00ec56121p-18, -0x1.0902730223998p-18, -0x1.00b893d8a578ap-18, -0x1.f10299da904d7p-19, -0x1.e0b79b0d6604bp-19, -0x1.d092673100009p-19, -0x1.c0946bf56aaa7p-19, -0x1.b0bcebfedbedep-19, -0x1.a10b1b226d941p-19, -0x1.917d682be92cdp-19, -0x1.8213f6f0e7df5p-19, -0x1.72d010175dce6p-19, -0x1.63b215f6c8266p-19, -0x1.54b9a9dec650ep-19, -0x1.45e67aaad57c7p-19, -0x1.37386a834d07fp-19, -0x1.28af6c9b9bd3cp-19, -0x1.1a4b77bb8ad7dp-19, -0x1.0c0c857adf748p-19, -0x1.fbe539225b38bp-20, -0x1.dfebb9281a4a7p-20, -0x1.c46a0eeea6a12p-20, -0x1.a8fb71437192ap-20, -0x1.8debf344634f5p-20, -0x1.73227f59f2ebcp-20, -0x1.58a18dbdb15fp-20, -0x1.3e68a450aabf5p-20, -0x1.2477736d463adp-20, -0x1.0acdb51ff32c5p-20, -0x1.e2d63c8c278ebp-21, -0x1.b09ea5a4a2ba5p-21, -0x1.7ef40afbcba7cp-21, -0x1.4dd61bf99b4b5p-21, -0x1.1d4409be6183ep-21, -0x1.da79bc187e987p-22, -0x1.7b7f02526f2f1p-22, -0x1.1d9657ec9e553p-22, -0x1.817f35e215c47p-23, -0x1.93eaae83f0468p-24, -0x1.48b975f12496cp-27, 0x1.3d81f0ea2e796p-24, 0x1.4ff39965fb4edp-23, 0x1.ff1125b88717dp-23, 0x1.560e91e43c182p-22, 0x1.ab8cfd50e7cbdp-22, 0x1.00027f252af19p-21, 0x1.29bbf9e9935d2p-21, 0x1.52f3c11436791p-21, 0x1.7baaa244f2d52p-21, 0x1.a3e04eaf3e0eep-21, 0x1.cb92a2d9d741ap-21, 0x1.f2c672990880ep-21, 0x1.0cc2109e219cep-20, 0x1.1fe471531d33fp-20, 0x1.32c76254ad6a7p-20, 0x1.456b2753e8344p-20, 0x1.57d0d8d62ab56p-20, 0x1.69f92fc1d43dfp-20, 0x1.7be4d27d3a06fp-20, 0x1.8d946a4ad6957p-20, 0x1.9f0879c2b653ap-20, 0x1.b0415332b241ep-20, 0x1.c13f3588d8b05p-20, 0x1.d2025faff9d4bp-20, 0x1.e28b0f9666322p-20, 0x1.f2d989ebb9189p-20, 0x1.01773b1434777p-19, 0x1.096608171e769p-19, 0x1.113b4034b2781p-19, 0x1.18f10a28aa3cp-19, 0x1.208b4c42b7415p-19, 0x1.280c16a2d283bp-19, 0x1.2f6feff032031p-19, 0x1.36b9275baedb6p-19, 0x1.3de51b03d07cdp-19, 0x1.44f67c2007422p-19, 0x1.4beecba68bdffp-19, 0x1.52cd69ff4287p-19, 0x1.5992613eb0dcap-19, 0x1.603d3574f7fefp-19, 0x1.66ce27d9915b3p-19, 0x1.6d4582a094ca7p-19, 0x1.73a382ccc58fp-19, 0x1.79e86666ce7e2p-19, 0x1.80146c4349046p-19, 0x1.8627d50c41f0ep-19, 0x1.8c22de0566285p-19, 0x1.92058463bec42p-19, 0x1.97cee68a2f3a7p-19, 0x1.9d7faa2830b2p-19, 0x1.a31ac082445e7p-19, 0x1.a89fb23cebe4ap-19, 0x1.ae0caceb1292fp-19, 0x1.b362009135dd4p-19, 0x1.b8a0677a0fb84p-19, 0x1.bdc83b2d04acdp-19, 0x1.c2d9aa64822fp-19, 0x1.c7d4cf3e55d48p-19, 0x1.ccb9c9568698fp-19, 0x1.d188e29862d1p-19, 0x1.d6426f2bebad2p-19, 0x1.dae69877f9ab5p-19, 0x1.df75778769192p-19, 0x1.e3ef32a4bbfe2p-19, 0x1.e853f7830906ep-19, 0x1.eca3ef92475cp-19, 0x1.f0df3c5edc5ebp-19, 0x1.f506c4f47797ep-19, 0x1.f91881ba56616p-19, 0x1.fd19877720a75p-19, 0x1.0081c4cdfe46ep-18, 0x1.026dc500737c9p-18, 0x1.04501cb3709b4p-18, 0x1.0628dc5f5a747p-18, 0x1.07f82d21371f5p-18, 0x1.09bdde6c70d83p-18, 0x1.0b7248fe25edap-18, 0x1.0d2fec7201d11p-18, 0x1.0ed8731981098p-18, 0x1.1079d74b54406p-18, 0x1.1212530ebc23cp-18, 0x1.13a1ec87f7f98p-18, 0x1.1527ce30492c3p-18, 0x1.16a57a56adc4dp-18, 0x1.181b62735c9a6p-18, 0x1.1988c293d5ab4p-18, 0x1.1aed22b9aa7ccp-18, 0x1.1c492ce9a0eaap-18, 0x1.1d9d1c57aed4ep-18, 0x1.1ee8e08c5e5b8p-18, 0x1.202c6afe500f9p-18, 0x1.2167dc8c98943p-18, 0x1.229b6f83e9899p-18, 0x1.23c7369854ba5p-18, 0x1.24eb038bca0c2p-18, 0x1.2606fb12a1dbep-18, 0x1.271bc782b1747p-18, 0x1.28296fdb02c3ep-18, 0x1.292fa80714a26p-18, 0x1.2a2e5e0d4a86fp-18, 0x1.2b25a4d992c8fp-18, 0x1.2c15991fd2983p-18, 0x1.2cfe576d6b5b8p-18, 0x1.2ddffd3f139b5p-18, 0x1.2ebaae43eacc7p-18, 0x1.2f8e92794588bp-18, 0x1.305b951c129afp-18, 0x1.31214b1966ab1p-18, 0x1.31e0c78a4bc03p-18, 0x1.329a7e41bd6fcp-18, 0x1.334d20cc6d128p-18, 0x1.33f78eea1124ep-18, 0x1.349d01b9a3aa1p-18, 0x1.353e285095a26p-18, 0x1.35d8f4afa6cfp-18, 0x1.366ad1cb8ead7p-18, 0x1.36f726862093cp-18, 0x1.377eac39a4d97p-18, 0x1.37ff2b1c172cdp-18, 0x1.3879eea1c82e9p-18, 0x1.38ed1c66c0ce3p-18, 0x1.39631eb9c806ap-18, 0x1.39c65e26895aep-18, 0x1.3a2dfc8a36721p-18, 0x1.3a8d044612fa9p-18, 0x1.3ae61faeacde1p-18, 0x1.3b39da48231d5p-18, 0x1.3b884afb56776p-18, 0x1.3bd1804ebf02ap-18, 0x1.3c1587986c902p-18, 0x1.3c5478b42fea6p-18, 0x1.3c8e65e1567cdp-18, 0x1.3cc361bbf34dfp-18, 0x1.3cf383343f3d6p-18, 0x1.3d1ee2956f721p-18, 0x1.3d4440a983f36p-18, 0x1.3d64fe47aedfcp-18, 0x1.3d80cdebb593fp-18, 0x1.3d993e26f33bp-18, 0x1.3dac75d035557p-18, 0x1.3dbb22c36c94ep-18, 0x1.3dc5536c8d3c4p-18, 0x1.3dcb037682cbp-18, 0x1.3dcc4b173dbcp-18, 0x1.3dc9433b4ae99p-18, 0x1.3dc20342653fcp-18, 0x1.3db6a33f3d4edp-18, 0x1.3da73b3568772p-18, 0x1.3d93dd68445d2p-18, 0x1.3d7c800ef3dcdp-18, 0x1.3d60c8eb05eecp-18, 0x1.3d4c00b958726p-18, 0x1.3d219b35f82a8p-18, 0x1.3cf665f152c84p-18, 0x1.3ccbe141be8f2p-18, 0x1.3c9bb8b737cebp-18, 0x1.3c6ba9cdc14fp-18, 0x1.3c335d4b421b8p-18, 0x1.3bfaa7ace69f8p-18, 0x1.3bbd557d92505p-18, 0x1.3b7ca1a18b931p-18, 0x1.3b387e234a36fp-18, 0x1.3af0e3986989bp-18, 0x1.3aa73e26ba171p-18, 0x1.3a58a51960231p-18, 0x1.3a070cc2aee04p-18, 0x1.39b24fc432f25p-18, 0x1.395b0f7d98cc4p-18, 0x1.3900fe380942cp-18, 0x1.38a4a6e6916e2p-18, 0x1.384140f0693c2p-18, 0x1.37e094990d1d3p-18, 0x1.377533a9a4d7p-18, 0x1.370defe8d49f2p-18, 0x1.36a1e343e3173p-18, 0x1.3632bd8a405aap-18, 0x1.35c0b1ccd818ep-18, 0x1.354bc659e3f99p-18, 0x1.34d43fcf32aa6p-18, 0x1.345929b506d01p-18, 0x1.33ddeae35a505p-18, 0x1.335b92d232069p-18, 0x1.32de22ce5431cp-18, 0x1.32577ce8cc5acp-18, 0x1.31d172d64a2e6p-18, 0x1.314b81ec3382ep-18, 0x1.30bf28c8ce69bp-18, 0x1.30330347eb348p-18, 0x1.2fa3cbfe55448p-18, 0x1.2f1103a407e1ap-18, 0x1.2e7bd04ffc822p-18, 0x1.2de6290f805fep-18, 0x1.2d4e989405eafp-18, 0x1.2cb481ca7bf84p-18, 0x1.2c17cbda6a8ddp-18, 0x1.2b78e9af384dp-18, 0x1.2ad83d3d608efp-18, 0x1.2a35de88248a1p-18, 0x1.2991ea7602372p-18, 0x1.28ebef724231cp-18, 0x1.2843a6d38e21fp-18, 0x1.279938c5eb8b4p-18, 0x1.26ed2b49a37e1p-18, 0x1.263fc5410d235p-18, 0x1.2590f288805eep-18, 0x1.24e06bf903cbbp-18, 0x1.242e56b278f26p-18, 0x1.237b94bf501bcp-18, 0x1.22c6788f4ee6ep-18, 0x1.220ee93076e16p-18, 0x1.2155d92a01d23p-18, 0x1.209babc56637bp-18, 0x1.1fe0aa40ee9d7p-18, 0x1.1f2d4b941eb63p-18, 0x1.1e65fced9589ap-18, 0x1.1da6b548e42fcp-18, 0x1.1ce6b46c6902p-18, 0x1.1c23dc2130145p-18, 0x1.1b5eff45f5327p-18, 0x1.1a99eda5a2785p-18, 0x1.19d495a0d8737p-18, 0x1.190dd6a1a028bp-18, 0x1.1845829afd2a4p-18, 0x1.177c00b4b9f15p-18, 0x1.16b172799acd6p-18, 0x1.15e5c7fd60fa8p-18, 0x1.1518ffa9028fap-18, 0x1.144b227f55de1p-18, 0x1.137c40ac0d2cbp-18, 0x1.12ac6c6bbe1cfp-18, 0x1.11dbb6a26fbfap-18, 0x1.110a2cdb83e98p-18, 0x1.1037d5e8d263ap-18, 0x1.0f64a8436b149p-18, 0x1.0e907c5c536bbp-18, 0x1.0dbb4c0b2a54cp-18, 0x1.0ce48bdf203f9p-18, 0x1.0c0d92909f4a1p-18, 0x1.0b35494367799p-18, 0x1.0a5c141a84f8ap-18, 0x1.0983198a15f68p-18, 0x1.08a95074ac64cp-18, 0x1.07cf41b837fcdp-18, 0x1.06f47fe4d8e9ap-18, 0x1.0618a8352e6c2p-18, 0x1.053baa8fa598bp-18, 0x1.045e6b7c4cc4fp-18, 0x1.03834c1a9b4dfp-18, 0x1.02a5608965412p-18, 0x1.01c5c6bc6b32cp-18, 0x1.00e706d4f6781p-18, 0x1.0004080cc517ap-18, 0x1.fe452f37155c2p-19, 0x1.fc84af3a3e9f2p-19, 0x1.fac334fafb1d9p-19, 0x1.f90097bf43fbap-19, 0x1.f73d818dc2284p-19, 0x1.f57a1f96c2e54p-19, 0x1.f3b5cba3dd366p-19, 0x1.f1ef987e7c964p-19, 0x1.f026e1ea530bfp-19, 0x1.ee626c1699968p-19, 0x1.ec965f1e43da7p-19, 0x1.eacb77e56ef67p-19, 0x1.e9045b8be01fp-19, 0x1.e74867a3ca8f3p-19, 0x1.e56a42e2840ep-19, 0x1.e3a086f1fd0afp-19, 0x1.e1d7b155b7a65p-19, 0x1.e00d153bd5285p-19, 0x1.de3fb51d75d74p-19, 0x1.dc713bb9b1631p-19, 0x1.daa4043dd2113p-19, 0x1.d8d8118ba78d7p-19, 0x1.d70b40cd0aecap-19, 0x1.d53e405f41e66p-19, 0x1.d370c0ae2b43ep-19, 0x1.d1a2ed06fc1ep-19, 0x1.cfd4fb8225cd2p-19, 0x1.ce06f554bea5p-19, 0x1.cc38c9e7546f8p-19, 0x1.ca6a6ba7ff563p-19, 0x1.c89be9295967dp-19, 0x1.c6cd351722e05p-19, 0x1.c509f2735ec64p-19, 0x1.c33bdfac9c5d7p-19, 0x1.c162b187f22efp-19, 0x1.bf95c1e5a842dp-19, 0x1.bdca1acc523c7p-19, 0x1.bbfd521812a6fp-19, 0x1.ba2fb9bf0cc9cp-19, 0x1.b861de4ecba6fp-19, 0x1.b692dc0682c49p-19, 0x1.b4c563df01f6bp-19, 0x1.b2f9045351097p-19, 0x1.b12fb6a75d798p-19, 0x1.af61a20af9905p-19, 0x1.ad965d50f5a4ap-19, 0x1.abca1b3f5dfa7p-19, 0x1.a9fd8ee5338e2p-19, }}, 
      {{-0x1.94e7438793087p+1, -0x1.75d3cbbc9bde8p+1, -0x1.50069f3ea8577p+1, -0x1.2bbe192c774p+1, -0x1.0d0c5e378d3d1p+1, -0x1.ea0ecebc3fedp+0, -0x1.c6304d4e3bfdep+0, -0x1.abe34c6b1fcf4p+0, -0x1.984fa6696ed82p+0, -0x1.88f94417229f1p+0, -0x1.7bfaf9fde223dp+0, -0x1.700b0b28bd1c1p+0, -0x1.64652acde0a86p+0, -0x1.58ab0b793b0eap+0, -0x1.4cc4ec8f275d1p+0, -0x1.40c6a73e19c7fp+0, -0x1.34dac5a05bc17p+0, -0x1.2933916170f8ep+0, -0x1.1e014568b8c9p+0, -0x1.136c4d75907e9p+0, -0x1.0992832fabeep+0, -0x1.00867c83fdd4ep+0, -0x1.f0a05b077c963p-1, -0x1.e1dc9cd47645ep-1, -0x1.d4b03c61a54d4p-1, -0x1.c8fe7713f686cp-1, -0x1.bea2ce55043abp-1, -0x1.b5742a9d6a46fp-1, -0x1.ad478290304cfp-1, -0x1.a5f1ff64aaecdp-1, -0x1.9f4aa1da62d4ap-1, -0x1.992b72c1cecfcp-1, -0x1.93724e72fc1b2p-1, -0x1.8e015a46e7138p-1, -0x1.88bf345a29f9bp-1, -0x1.8396ed58d536bp-1, -0x1.7e77d8ad60869p-1, -0x1.79553fe9c16efp-1, -0x1.7426032efe4bdp-1, -0x1.6ee42dbdc3a6ap-1, -0x1.698c86c3696a5p-1, -0x1.641e238750f27p-1, -0x1.5e99fcdf6e157p-1, -0x1.59028b2f353a8p-1, -0x1.535b6c61008dfp-1, -0x1.4da913a24d6e3p-1, -0x1.47f0823894f18p-1, -0x1.42370a3359aadp-1, -0x1.3c821b298269ap-1, -0x1.36d7183678fb9p-1, -0x1.313b35f9723fdp-1, -0x1.2bb35fb2176cap-1, -0x1.264422e84993dp-1, -0x1.20f1a0feb21c2p-1, -0x1.1bbf85d807225p-1, -0x1.16b102a3400ccp-1, -0x1.11c8cc03c5c6p-1, -0x1.0d091affea7b2p-1, -0x1.0873b04145ddp-1, -0x1.0409d939030cfp-1, -0x1.ff98ed6a7f25cp-2, -0x1.f77808ea07aa3p-2, -0x1.efb142a42fe42p-2, -0x1.e8442f63a804bp-2, -0x1.e12fcc14b4aabp-2, -0x1.da728eb82507ap-2, -0x1.d40a770d9a346p-2, -0x1.cdf51ec7abcb6p-2, -0x1.c82fc913b5f2ap-2, -0x1.c2b771465f2bep-2, -0x1.bd88d889d86adp-2, -0x1.b8a0927bbcc77p-2, -0x1.b3fb10b2b522ap-2, -0x1.af94ad30d4926p-2, -0x1.ab69b3cbcd642p-2, -0x1.a7766a99f01f7p-2, -0x1.a3b719719826ap-2, -0x1.a028108a6ccd5p-2, -0x1.9cc5ae4a85f3dp-2, -0x1.998c644cf4945p-2, -0x1.9678bbab230f6p-2, -0x1.93875897b9979p-2, -0x1.90b4fd573dbe7p-2, -0x1.8dfe8ca458dfep-2, -0x1.8b610b8f68f67p-2, -0x1.88d9a2e3ccfacp-2, -0x1.8665a023de284p-2, -0x1.8402762207dc7p-2, -0x1.81adbd492b329p-2, -0x1.7f653397c6c42p-2, -0x1.7d26bc5e96c5cp-2, -0x1.7af05fc497e3p-2, -0x1.78c04a1fd7a79p-2, -0x1.7694cb20e92f3p-2, -0x1.746c54e240642p-2, -0x1.72457ad43593dp-2, -0x1.701ef098c4f22p-2, -0x1.6df788c69e8e4p-2, -0x1.6bce33a3a56afp-2, -0x1.69a1fdceb667cp-2, -0x1.67720ee9401c5p-2, -0x1.653da839013adp-2, -0x1.63042349499b9p-2, -0x1.60c4f08fa60cep-2, -0x1.5e7f960fbe4f8p-2, -0x1.5c33ae0d062edp-2, -0x1.59e0e5b708ba8p-2, -0x1.5786fbe604c52p-2, -0x1.5525bfe163387p-2, -0x1.52bd10291faeap-2, -0x1.504cd953158a3p-2, -0x1.4dd514e8d3327p-2, -0x1.4b55c85851674p-2, -0x1.48cf03f1ec8d6p-2, -0x1.4640e1eadac0dp-2, -0x1.43ab857382705p-2, -0x1.410f19d56b1c3p-2, -0x1.3e6bd19a5cd67p-2, -0x1.3bc1e5c8b4b5ep-2, -0x1.39119523b3df7p-2, -0x1.365b2375f0f81p-2, -0x1.339ed8eff2b1ep-2, -0x1.30dd0186e4bd1p-2, -0x1.2e15ec6053c26p-2, -0x1.2b49eb512ea7ep-2, -0x1.2879525956063p-2, -0x1.25a4772ba65c5p-2, -0x1.22cbb0c97002ap-2, -0x1.1fef571aabee5p-2, -0x1.1d0fc28c229e8p-2, -0x1.1a2d4bc32d943p-2, -0x1.17484b4f79bd3p-2, -0x1.1461195c7810cp-2, -0x1.11780d77f65e8p-2, -0x1.0e8d7e5bdc134p-2, -0x1.0ba1c1b14bf2p-2, -0x1.08b52be3aca14p-2, -0x1.05c80ffea79d7p-2, -0x1.02dabf82f817dp-2, -0x1.ffdb1481f8fffp-3, -0x1.fa017c883e083p-3, -0x1.f4294f77326aap-3, -0x1.ee5321ba17c9cp-3, -0x1.e87f83a8b5792p-3, -0x1.e2af01792a579p-3, -0x1.dce223211ab6ep-3, -0x1.d7196c3632bd4p-3, -0x1.d1555be8e81c6p-3, -0x1.cb966d056e99fp-3, -0x1.c5dd15e474d5bp-3, -0x1.c029c86036402p-3, -0x1.ba7cf1df702dap-3, -0x1.b4d6fb60b88c1p-3, -0x1.af3849795f223p-3, -0x1.a9a13c57d2a66p-3, -0x1.a4122fd96cfc1p-3, -0x1.9e8b7b9d0f2abp-3, -0x1.990d730b38d8ap-3, -0x1.93986561208d2p-3, -0x1.8e2c9dc945c6ap-3, -0x1.88ca637615783p-3, -0x1.8371f9b2157a5p-3, -0x1.7e239fee6aa71p-3, -0x1.78df91dc04de8p-3, -0x1.73a60789bccdp-3, -0x1.6e77357b84675p-3, -0x1.69534cbbdb546p-3, -0x1.643a7af2b2e31p-3, -0x1.5f2cea832404ap-3, -0x1.5a2ac2a7409e9p-3, -0x1.553427851ba0fp-3, -0x1.50493a430b338p-3, -0x1.4b6a19216c055p-3, -0x1.4696df9729936p-3, -0x1.41cfa66ad18bfp-3, -0x1.3d1483c73ea84p-3, -0x1.38658b50f5346p-3, -0x1.33c2ce3f1dd1dp-3, -0x1.2f2c5b7523d55p-3, -0x1.2aa23f996fe48p-3, -0x1.26248529149a7p-3, -0x1.21b3348bca566p-3, -0x1.1d4e542a9f4b3p-3, -0x1.18f5e887a23f3p-3, -0x1.14a9f4524e109p-3, -0x1.106a7879e8faep-3, -0x1.0c37743f9836dp-3, -0x1.0810e548c2c48p-3, -0x1.03f6c7b2f57a2p-3, -0x1.ffd22c4df602bp-4, -0x1.f7cf93d38fd51p-4, -0x1.efe5b5d883aeap-4, -0x1.e8147fb6fe4d5p-4, -0x1.e05bdc6268bdp-4, -0x1.d8bbb48730b9ep-4, -0x1.d133eea85554bp-4, -0x1.c9c46f3aee608p-4, -0x1.c26d18c0f5e21p-4, -0x1.bb2dcbe49732p-4, -0x1.b4066793408dp-4, -0x1.acf6c9179b29ep-4, -0x1.a5fecc31f5baap-4, -0x1.9f1e4b2ed7751p-4, -0x1.98551efc9fa12p-4, -0x1.91a31f4111faep-4, -0x1.8b08226e31bfep-4, -0x1.8483fdd68c4e1p-4, -0x1.7e1685c09bb84p-4, -0x1.77bf8d78cb71ep-4, -0x1.717ee762d3be2p-4, -0x1.6b54650aed302p-4, -0x1.653fd7367ce24p-4, -0x1.5f410df435dfdp-4, -0x1.5957d8ab98023p-4, -0x1.5384062b3e74dp-4, -0x1.4dc564b62e157p-4, -0x1.481bc210d070dp-4, -0x1.4286eb8d8cc3p-4, -0x1.3d06ae18e766dp-4, -0x1.379ad6454ca81p-4, -0x1.324330564ed8p-4, -0x1.2cff884afe747p-4, -0x1.27cfa9e7c6a26p-4, -0x1.22b360c015958p-4, -0x1.1daa783fa7345p-4, -0x1.18b4bbb366e22p-4, -0x1.13d1f65203b49p-4, -0x1.0f01f343ffd6bp-4, -0x1.0a447dab01936p-4, -0x1.059960a8beb07p-4, -0x1.01006765b6b59p-4, -0x1.f8f2ba2f388b4p-5, -0x1.f0081a0f18ab4p-5, -0x1.e74085304b712p-5, -0x1.de9b92968466ep-5, -0x1.d618d98e4dbfcp-5, -0x1.cdb7f1b6bcb6dp-5, -0x1.c578730af6c78p-5, -0x1.bd59f5eb3a58dp-5, -0x1.b55c132556cd3p-5, -0x1.ad7e63fca96c8p-5, -0x1.a5c08231b8d8fp-5, -0x1.9e2208092df5fp-5, -0x1.96a290524f33fp-5, -0x1.8f41b66d6448dp-5, -0x1.87ff1651f2daep-5, -0x1.80da4c946ec88p-5, -0x1.79d2f66b6fff7p-5, -0x1.72e8b1b487919p-5, -0x1.6c1b1cf8c5fa2p-5, -0x1.6569d770c85ap-5, -0x1.5ed4810882dap-5, -0x1.585aba6300257p-5, -0x1.51fc24de06db1p-5, -0x1.4bb8629577915p-5, -0x1.458f16666ad1dp-5, -0x1.3f7fe3f20fbf8p-5, -0x1.398a6fa02b098p-5, -0x1.33ae5ea120b3cp-5, -0x1.2deb56efada79p-5, -0x1.2840ff52a46e7p-5, -0x1.22aeff5ebeaf5p-5, -0x1.1d34ff78598f9p-5, -0x1.17d2a8d515942p-5, -0x1.1287a57d3d28dp-5, -0x1.0d53a04cfd6a3p-5, -0x1.083644f54a249p-5, -0x1.032f3ffc6e6f3p-5, -0x1.fc7c7d7cd26adp-6, -0x1.f2c5deda9bf0cp-6, -0x1.e93a02234f5aep-6, -0x1.dfd847159d2efp-6, -0x1.d6a00f1e70fefp-6, -0x1.cd90bd5972e36p-6, -0x1.c4a9b6916512ap-6, -0x1.bbea6140205cp-6, -0x1.b352258e0dc06p-6, -0x1.aae06d5145443p-6, -0x1.a294a40c8829ap-6, -0x1.9a6e36ee1a188p-6, -0x1.926c94ce84758p-6, -0x1.8a8f2e2f4a3dfp-6, -0x1.82d57539a6724p-6, -0x1.7b3eddbd55c28p-6, -0x1.73cadd2f78277p-6, -0x1.6c78eaa932732p-6, -0x1.65487ee615794p-6, -0x1.5e3914423d70bp-6, -0x1.574a26b8471c7p-6, -0x1.507b33df0ec5cp-6, -0x1.49cbbae74f8b8p-6, -0x1.433b3c9950c47p-6, -0x1.3cc93b528d0c7p-6, -0x1.36753b035b6dcp-6, -0x1.303ec12c7c64bp-6, -0x1.2a2554dc4243p-6, -0x1.24287eab63b95p-6, -0x1.1e47c8b9db0bp-6, -0x1.1882beac9c96dp-6, -0x1.12d8edac53d89p-6, -0x1.0d49e46437a3ep-6, -0x1.07d532ff73f87p-6, -0x1.027a6b24d4ff9p-6, -0x1.fa723fe382d15p-7, -0x1.f021cbeca7c26p-7, -0x1.e602a666bf718p-7, -0x1.dc13fe330d1a4p-7, -0x1.d255050f56d26p-7, -0x1.c8c4ef8ee5f2fp-7, -0x1.bf62f510cedb4p-7, -0x1.b62e4fb66f971p-7, -0x1.ad263c5c6c0f2p-7, -0x1.a449fa95e706ep-7, -0x1.9b98cca8125cp-7, -0x1.9311f784ec2aep-7, -0x1.8ab4c2c50e1a7p-7, -0x1.828078a0fdfddp-7, -0x1.7a7465e9d8647p-7, -0x1.728fda023be6dp-7, -0x1.6ad226d81f7bep-7, -0x1.633aa0de93b2p-7, -0x1.5bc89f073d891p-7, -0x1.547b7abc32695p-7, -0x1.4d528fd9a2d72p-7, -0x1.464d3ca760d83p-7, -0x1.3f6ae1d22d346p-7, -0x1.38aae2651185dp-7, -0x1.320ca3c2bc40bp-7, -0x1.2b8f8d9f01e34p-7, -0x1.253309f86fbd2p-7, -0x1.1ef68511deb6bp-7, -0x1.18d96d6c18ac2p-7, -0x1.12db33bf59c16p-7, -0x1.0cfb4af4af5ebp-7, -0x1.0739281f5e373p-7, -0x1.0194427645a21p-7, -0x1.f818269abb643p-8, -0x1.ed402c1f1d55cp-8, -0x1.e29f907184e44p-8, -0x1.d83552a05787fp-8, -0x1.ce0075c5164d9p-8, -0x1.c40000f8a27fep-8, -0x1.ba32ff46df578p-8, -0x1.b0987fa1c5ce7p-8, -0x1.a72f94d3edae7p-8, -0x1.9df75572f0e81p-8, -0x1.94eedbd26cd22p-8, -0x1.8c1545f6ddf93p-8, -0x1.8369b589c8132p-8, -0x1.7aeb4fce7a72fp-8, -0x1.72993d9787c8cp-8, -0x1.6a72ab3c6c9c1p-8, -0x1.6276c88f5fb5dp-8, -0x1.5aa4c8d23c4cp-8, -0x1.52fbe2ab01371p-8, -0x1.4b7b501766877p-8, -0x1.44224e61165cbp-8, -0x1.3cf01e11c4cdbp-8, -0x1.35e402e5de1f5p-8, -0x1.2efd43be8cefdp-8, -0x1.283b2a95b641ep-8, -0x1.219d0475498d5p-8, -0x1.1b22216ff6013p-8, -0x1.14c9d4984d43ap-8, -0x1.0e9373f6aa608p-8, -0x1.087e587f40691p-8, -0x1.0289de07c68ebp-8, -0x1.f96ac677caa92p-9, -0x1.ee009321b0804p-9, -0x1.e2d3ea719eb79p-9, -0x1.d7e39a2d9ad7p-9, -0x1.cd2e75676baf1p-9, -0x1.c2b35469aae9p-9, -0x1.b87114a7ecf8cp-9, -0x1.ae6698b0a92b2p-9, -0x1.a492c8201f972p-9, -0x1.9af48f91d636p-9, -0x1.918ae08fedba1p-9, -0x1.8854b17f3daccp-9, -0x1.7f50fd89066e8p-9, -0x1.767ec47fe0fcep-9, -0x1.6ddd0ac900eb7p-9, -0x1.656ad9444dafap-9, -0x1.5d273d354335cp-9, -0x1.5511483482acdp-9, -0x1.4d281022fc961p-9, -0x1.456aaf209e6cdp-9, -0x1.3dd84384394e3p-9, -0x1.366fefd235421p-9, -0x1.2f30dab05c4b8p-9, -0x1.281a2ed4a282dp-9, -0x1.212b1aef79a69p-9, -0x1.1a62d194ed5c3p-9, -0x1.13c08922d8594p-9, -0x1.0d437ba78a235p-9, -0x1.06eae6cdb594bp-9, -0x1.00b60bca11fa4p-9, -0x1.f5485e9515856p-10, -0x1.e96932d1dc89cp-10, -0x1.ddcd2b52e8054p-10, -0x1.d272e60f60de4p-10, -0x1.c75907fb5d65cp-10, -0x1.bc7e3ce2e4861p-10, -0x1.b1e1372a1ab35p-10, -0x1.a780afa580e95p-10, -0x1.9d5b657e0cd5bp-10, -0x1.93701defc4f6cp-10, -0x1.89bda3ecb090bp-10, -0x1.8042c7e3b2dc4p-10, -0x1.76fe5fc55d034p-10, -0x1.6def4728ae25ap-10, -0x1.65145f6b2c2abp-10, -0x1.5c6c8fbe17b4dp-10, -0x1.53f6c51e96e7p-10, -0x1.4bb1f238fc246p-10, -0x1.439d0f37e16efp-10, -0x1.3bb719826a744p-10, -0x1.33ff1371b1cadp-10, -0x1.2c740409c98b4p-10, -0x1.2514f6c35bd03p-10, -0x1.1de0fb6fda857p-10, -0x1.16d726393759p-10, -0x1.0ff68fbb3b2abp-10, -0x1.093e551afdd96p-10, -0x1.02ad9857415a9p-10, -0x1.f887005fb3642p-11, -0x1.ebfe71031f64ep-11, -0x1.dfbfe406f8ad6p-11, -0x1.d3c9c45ca3c18p-11, -0x1.c81a85be6ffb7p-11, -0x1.bcb0a3c84cb1fp-11, -0x1.b18aa10103338p-11, -0x1.a6a70608fac37p-11, -0x1.9c04611d4267bp-11, -0x1.91a1460618295p-11, -0x1.877c4e66d18dfp-11, -0x1.7d941a4cbf2e4p-11, -0x1.73e750dfe397ep-11, -0x1.6a74a11e4327ep-11, -0x1.613ac27ac5ap-11, -0x1.5838752dfd1adp-11, -0x1.4f6c823461e2ap-11, -0x1.46d5bb1166ed3p-11, -0x1.3e72f9554647cp-11, -0x1.36431dc7cd4a5p-11, -0x1.2e450f2d7b8ffp-11, -0x1.2677b8d10f9f7p-11, -0x1.1eda092b2d755p-11, -0x1.176af10c15be9p-11, -0x1.102963894e9eap-11, -0x1.091456b315229p-11, -0x1.022ac4d02c12cp-11, -0x1.f6d75b69a3b2ep-12, -0x1.e9ac2f96095dcp-12, -0x1.dcd221156a6fcp-12, -0x1.d04759165a10ep-12, -0x1.c40a0e9cbaeabp-12, -0x1.b818861ad432bp-12, -0x1.ac7111604948p-12, -0x1.a1120f61ba5d8p-12, -0x1.95f9eb55c7e18p-12, -0x1.8b271aa8a956fp-12, -0x1.809819d702554p-12, -0x1.764b68f143b0ap-12, -0x1.6c3f88fa07a38p-12, -0x1.6272fb2fc45b3p-12, -0x1.58e4429a120e3p-12, -0x1.4f91e73985ecp-12, -0x1.467a79812568cp-12, -0x1.3d9c94b235093p-12, -0x1.34f6df541703cp-12, -0x1.2c880a02ac773p-12, -0x1.244ecd9e35a6cp-12, -0x1.1c49ea2162d04p-12, -0x1.147826e6c0bacp-12, -0x1.0cd8543d137f9p-12, -0x1.05694d4830549p-12, -0x1.fc53f1aa19ad5p-13, -0x1.ee32905f0b21bp-13, -0x1.e06c681a15dbbp-13, -0x1.d2ff71548b36dp-13, -0x1.c5e9a56e20994p-13, -0x1.b928fcaa04e4bp-13, -0x1.acbb70d05d91p-13, -0x1.a09f02c169169p-13, -0x1.94d1bffedc0b2p-13, -0x1.8951c5942a865p-13, -0x1.7e1d3ede66909p-13, -0x1.73326174018d1p-13, -0x1.688f680e94122p-13, -0x1.5e328f83e5574p-13, -0x1.541a17ca3dac4p-13, -0x1.4a4448fcd9fe2p-13, -0x1.40af79f45ceb7p-13, -0x1.375a153a1c2d6p-13, -0x1.2e429a636b0d6p-13, -0x1.25679b86795dbp-13, -0x1.1cc7b7c0c4647p-13, -0x1.146195e2a9139p-13, -0x1.0c33e2482af1ep-13, -0x1.043d4f34fc3cdp-13, -0x1.f8f92b570e6a3p-14, -0x1.e9e0ec2a2c744p-14, -0x1.db2f7011f5b73p-14, -0x1.cce251280ad1cp-14, -0x1.bef72f5590f4p-14, -0x1.b16bab5b11941p-14, -0x1.a43d62895458p-14, -0x1.9769ec26c5f37p-14, -0x1.8aeedb4fbd531p-14, -0x1.7ec9c7d5c2edep-14, -0x1.72f85c701d34cp-14, -0x1.67786371c7b88p-14, -0x1.5c47caae1c1dfp-14, -0x1.51649d8545d09p-14, -0x1.46cce4fd8c0fp-14, -0x1.3c7ecea762ad7p-14, -0x1.32787c088463cp-14, -0x1.28b83ccd4de7cp-14, -0x1.1f3c62dc6dc55p-14, -0x1.16038b67affe2p-14, -0x1.0d0c52491fe17p-14, -0x1.0455535722564p-14, -0x1.f7ba336e603d8p-15, -0x1.e7443b2c69873p-15, -0x1.d74595cb173c5p-15, -0x1.c7bb1dcc21cc7p-15, -0x1.b8a1ab3212bf3p-15, -0x1.a9f61dfb82413p-15, -0x1.9bb559e8c4b8fp-15, -0x1.8ddc598d6c721p-15, -0x1.80683feb707cbp-15, -0x1.73565d59385a8p-15, -0x1.66a41e996875dp-15, -0x1.5a4eee24ea0d6p-15, -0x1.4e5421003cb47p-15, -0x1.42b106d0f2d26p-15, -0x1.37631be8e9201p-15, -0x1.2c683db89209cp-15, -0x1.21beb9566ef1ep-15, -0x1.176523fed18dbp-15, -0x1.0d5a14fbfad36p-15, -0x1.039bee5e375dfp-15, -0x1.f451a4c645eb5p-16, -0x1.e1fd7cdfa60ebp-16, -0x1.d03754da8e0b4p-16, -0x1.befb35f5c0017p-16, -0x1.ae453bf605668p-16, -0x1.9e11979d57ebdp-16, -0x1.8e5c986a1d427p-16, -0x1.7f22bad5b4c3dp-16, -0x1.7060ae04f1dccp-16, -0x1.62134a523292bp-16, -0x1.5437769b7411fp-16, -0x1.46c9fed13adbap-16, -0x1.39c76d585eb4ep-16, -0x1.2d2c0c68249b1p-16, -0x1.20f42e8a843d3p-16, -0x1.151ca8d91c83dp-16, -0x1.09a32b30aea12p-16, -0x1.fd0c493fe72bap-17, -0x1.e78875515651dp-17, -0x1.d2b773f047dd6p-17, -0x1.be94d6429dc95p-17, -0x1.ab1ba97fffd3bp-17, -0x1.98472333129bbp-17, -0x1.8612ca1aa23e3p-17, -0x1.747a2830a960bp-17, -0x1.63788e15bb95p-17, -0x1.53093a181dad8p-17, -0x1.4327b1fe445fp-17, -0x1.33d00b52cb8cfp-17, -0x1.24fee16061ab8p-17, -0x1.16b109f50ac5ep-17, -0x1.08e335a16f35dp-17, -0x1.f7236e622ae8fp-18, -0x1.dd71054172904p-18, -0x1.c4a6908c2d3f3p-18, -0x1.acbb391b20e0bp-18, -0x1.95a6916cbfa1ap-18, -0x1.7f61972a3dc15p-18, -0x1.69e75afd6efc1p-18, -0x1.553460bf76e73p-18, -0x1.4144f518b8c3p-18, -0x1.2e13fbfde6003p-18, -0x1.1b9b580e24c66p-18, -0x1.09d549caaff39p-18, -0x1.f17a4956c305cp-19, -0x1.d09d72addae24p-19, -0x1.b10adb19ab0cbp-19, -0x1.92b80a524f7cfp-19, -0x1.7599e7a19641fp-19, -0x1.59a58724e6f04p-19, -0x1.3ed12010bfb0ep-19, -0x1.2514d07f6afeep-19, -0x1.0c6a6e2a645d4p-19, -0x1.e998843560913p-20, -0x1.bc66bc0912fcfp-20, -0x1.912dd993fb63ep-20, -0x1.67da0747c32d9p-20, -0x1.40582af8bd954p-20, -0x1.1a97f71206e98p-20, -0x1.ed1757e65cd67p-21, -0x1.a84d50925f657p-21, -0x1.66b959be8d27fp-21, -0x1.28428d1911c93p-21, -0x1.d999b24002f45p-22, -0x1.6871f4e9d82f5p-22, -0x1.f9acf3ca96694p-23, -0x1.2d48620708b79p-23, -0x1.ae264d7b7f0d6p-25, 0x1.2f3281253658cp-25, 0x1.f22b29ac540ccp-24, 0x1.9cb548d8ba456p-23, 0x1.1b84a62940c3bp-22, 0x1.64358111432c7p-22, 0x1.a8979888a0a38p-22, 0x1.e8cfed9c6c3e2p-22, 0x1.127e76d9cf79cp-21, 0x1.2e9c43f224392p-21, 0x1.48ce23f92410cp-21, 0x1.6122ea6e52634p-21, 0x1.77accdbd92e3bp-21, 0x1.8c807a4817e8fp-21, 0x1.9fb17ae3ca853p-21, 0x1.b14e02e0b269fp-21, 0x1.c15e201dc957cp-21, 0x1.cfe884bfe7ac1p-21, 0x1.dcf92ced0e23dp-21, 0x1.e8a34994b1fe1p-21, 0x1.f2fe1816de6e3p-21, 0x1.fc2085aaa245ap-21, 0x1.020d3a321c83fp-20, 0x1.0577aad65468bp-20, 0x1.084eab347171dp-20, 0x1.0a9589446f3ep-20, 0x1.0c5445969d2e2p-20, 0x1.0d925c87eb04fp-20, 0x1.0e54e53ad848p-20, 0x1.0ea094a003043p-20, 0x1.0e7a62737a7dep-20, 0x1.0de6d9861d3a4p-20, 0x1.0ce9fb2dd76e4p-20, 0x1.0b87981cfe7a2p-20, 0x1.09c3896fd10e1p-20, 0x1.07a1b3acfecc2p-20, 0x1.0525ff4041a1cp-20, 0x1.02546d8655ac9p-20, 0x1.fe627f131f976p-21, 0x1.f781be49db77dp-21, 0x1.f00e782c46dep-21, 0x1.e80dc4742ad3ap-21, 0x1.df819fcc75cfep-21, 0x1.d66bdb1a27a1bp-21, 0x1.ccd29f9db2a85p-21, 0x1.c2c17f080ccfap-21, 0x1.b845bf838d10cp-21, 0x1.ad6aa6e223c3ap-21, 0x1.a235e55f00fddp-21, 0x1.96a534138c247p-21, 0x1.8ab628b040258p-21, 0x1.7e6f3ea8c727p-21, 0x1.71da2f282a8abp-21, 0x1.64fc06a8be3c6p-21, 0x1.57d8c20514021p-21, 0x1.4a758564e8fbap-21, 0x1.3cd68cc1f716cp-21, 0x1.2efec097437ep-21, 0x1.20f0d86ba23b7p-21, 0x1.12b2026895157p-21, 0x1.04438537c0958p-21, 0x1.eb52a8e9fa155p-22, 0x1.cdd37cd07be35p-22, 0x1.b00cc521074aep-22, 0x1.92055a9dcd878p-22, 0x1.73c46c18f212p-22, 0x1.55516bd476a73p-22, 0x1.36b1cf3f4f674p-22, 0x1.17e5f6df777e2p-22, 0x1.f1c3b592e8654p-23, 0x1.b38b689c9d088p-23, 0x1.7563b87a4fc4p-23, 0x1.36e0ca0651991p-23, 0x1.ef3b82657f314p-24, 0x1.721b44fbb91f3p-24, 0x1.e926364544b3dp-25, 0x1.dbae1192b9761p-26, -0x1.b0f8714a3e404p-30, -0x1.08bb21ce7700ep-25, -0x1.01c243431a709p-24, -0x1.7ef29d9203d7p-24, -0x1.fbe770758d083p-24, -0x1.3c460ceee2713p-23, -0x1.7a6919e9053ffp-23, -0x1.b858d2dbd5ac7p-23, -0x1.f6119e416c186p-23, -0x1.19c7b3e327b99p-22, -0x1.3866ae9d7eb62p-22, -0x1.56e2feaf9a482p-22, -0x1.7539a85c8211bp-22, -0x1.9367aa5a736a2p-22, -0x1.b16a423d94bf9p-22, -0x1.cf3f287b3c89p-22, -0x1.ece4a62a12fcp-22, -0x1.052cb7485fd77p-21, -0x1.13ce22f6a6d8ap-21, -0x1.2255d37acf8a4p-21, -0x1.30c2d40966774p-21, -0x1.3f142446744ecp-21, -0x1.4d48fd6aa260bp-21, -0x1.5b60d4542edcfp-21, -0x1.695adfbac29b1p-21, -0x1.773621d2ed577p-21, -0x1.84f29f89246f8p-21, -0x1.9290a12bd0fddp-21, -0x1.a00e3dae1de6ap-21, -0x1.ad697b460d651p-21, -0x1.baa0eae9bddf9p-21, -0x1.c7b5ddfc1feb8p-21, -0x1.d4aa817f9bc3bp-21, -0x1.e17de132c175bp-21, -0x1.ee2e218abcc51p-21, -0x1.faba2a4847b3bp-21, -0x1.0390f4fec8c75p-20, -0x1.09b2cca328f53p-20, -0x1.0fc2aa9fac09ep-20, -0x1.15c08d3ef165ap-20, -0x1.1bac65f8606bep-20, -0x1.21861a2cdfba4p-20, -0x1.274d854d37598p-20, -0x1.2d027df76474ep-20, -0x1.32a4dd517fff9p-20, -0x1.383485fb1169cp-20, -0x1.3db16866747e1p-20, -0x1.431b823f7bcb3p-20, -0x1.4872d7aa85883p-20, -0x1.4db768669e46p-20, -0x1.52e9275f621a5p-20, -0x1.5807fc87553bdp-20, -0x1.5d13d32d881fp-20, -0x1.620ca8ad18f7fp-20, -0x1.66f2858b7f5a7p-20, -0x1.6bc570e6dfdb8p-20, -0x1.708581f0949dfp-20, -0x1.7532f75fd3aabp-20, -0x1.79cdf5e10e47cp-20, -0x1.7e5611ddfd903p-20, -0x1.82cb1b18dd517p-20, -0x1.872d7a5da5ddbp-20, -0x1.8b7d7b2e3fe7p-20, -0x1.8fbaf8b30aca1p-20, -0x1.93e5f72d2188ep-20, -0x1.97fe92105d88ep-20, -0x1.9c04e00157844p-20, -0x1.9ff8f25782c56p-20, -0x1.a3dad88ea1413p-20, -0x1.a7aaa44c1ec9ep-20, -0x1.ab686fc6a10c6p-20, -0x1.af14640174edp-20, -0x1.b2aeaeb4dc12bp-20, -0x1.b6375bb3e5749p-20, -0x1.b9ae4cd530aeep-20, -0x1.bd139529df846p-20, -0x1.c067b68c39b82p-20, -0x1.c3ab2e92a0142p-20, -0x1.c6ddfa4d8b202p-20, -0x1.c9ffcf0c4b703p-20, -0x1.cd10813ecdeafp-20, -0x1.d01001711b295p-20, -0x1.d2fe27d331921p-20, -0x1.d5db080b86533p-20, -0x1.d8a7aafc12e63p-20, -0x1.db651ed7580c7p-20, -0x1.de13b5d0550e6p-20, -0x1.e0b32d99fb06ap-20, -0x1.e3425def40cdep-20, -0x1.e5bfc54fc5831p-20, -0x1.e82bfdd192f71p-20, -0x1.ea897ee78177dp-20, -0x1.ecd9446938832p-20, -0x1.ef19cfb1fdb19p-20, -0x1.f14958e2be058p-20, -0x1.f3687c283ad5fp-20, -0x1.f5793ad97ff23p-20, -0x1.f77c73c3b58dcp-20, -0x1.f971d4f95d69bp-20, -0x1.fb58ef0c68ff3p-20, -0x1.fd31a27eb2f4ep-20, -0x1.fefc0a9f054c1p-20, -0x1.005c2c4ca1513p-19, -0x1.01335fbb4092dp-19, -0x1.0203b680af793p-19, -0x1.02cd447fef12fp-19, -0x1.03901ba7428c5p-19, -0x1.044c4d23cce98p-19, -0x1.0501e9dbd9ba6p-19, -0x1.05b102584c638p-19, -0x1.0659a66021405p-19, -0x1.06fbe5d0e7b16p-19, -0x1.0797e0be9be9ep-19, -0x1.082de9e3698f4p-19, -0x1.08bd9092b91e7p-19, -0x1.0946c834d830dp-19, -0x1.09c998bb13cf9p-19, -0x1.0a46a65980241p-19, -0x1.0abdc7e297a67p-19, -0x1.0b2ef9ce23f27p-19, -0x1.0b9a5251fc897p-19, -0x1.0bffeacd302abp-19, -0x1.0c5fd9592919ep-19, -0x1.0cba349f15bdep-19, -0x1.0d0f10ce12f11p-19, -0x1.0d5e83aef9c6dp-19, -0x1.0da89f05c2557p-19, -0x1.0ded746e7a5b6p-19, -0x1.0e2d12c611733p-19, -0x1.0e677bcfd143dp-19, -0x1.0e9c9c55b7eb4p-19, -0x1.0ecca7487c8e5p-19, -0x1.0ef81f0149ec9p-19, -0x1.0f1ef8fe3e8fap-19, -0x1.0f40d092bb6e5p-19, -0x1.0f5d9323b586ep-19, -0x1.0f75730a718c5p-19, -0x1.0f889b55b9199p-19, -0x1.0f972c82d03a8p-19, -0x1.0fa126710f19ap-19, -0x1.0fa68134cc22ep-19, -0x1.0fa743f94d42fp-19, -0x1.0fa36b5288c3p-19, -0x1.0fa0d87a5932bp-19, -0x1.0f88b0ed19552p-19, -0x1.0f8053ff358ddp-19, -0x1.0f6b8898e067ep-19, -0x1.0f5389ac59222p-19, -0x1.0f3762e2d1685p-19, -0x1.0f1735866a856p-19, -0x1.0ef312eb2dd99p-19, -0x1.0ecb083576fe2p-19, -0x1.0e9f23c85b885p-19, -0x1.0e6f7a2aee084p-19, -0x1.0e3c1d157f652p-19, -0x1.0e0510ab1f7d2p-19, -0x1.0dca65db88ab5p-19, -0x1.0d8c3a15e3c07p-19, -0x1.0d4abcbe6c84ep-19, -0x1.0d0608276b8cbp-19, -0x1.0cbe081f11f78p-19, -0x1.0c72a27d7956p-19, -0x1.0c23d689d0108p-19, -0x1.0bd1b7b5a1a84p-19, -0x1.0b7c60844f445p-19, -0x1.0b23ea3b27cfcp-19, -0x1.0ac868befd8d4p-19, -0x1.0a69eb5e7b64ep-19, -0x1.0a0880080e38p-19, -0x1.09a434f254d0bp-19, -0x1.093d18dd57561p-19, -0x1.08d339392442fp-19, -0x1.0866947755d94p-19, -0x1.07f712bc6ee4cp-19, -0x1.078505b4da80ap-19, -0x1.0710eae7ee218p-19, -0x1.069a89552ad04p-19, -0x1.062170333b17ep-19, -0x1.05a595addc5c8p-19, -0x1.0527143960fa3p-19, -0x1.04a60446133fbp-19, -0x1.042287a761028p-19, -0x1.039cc48461b72p-19, -0x1.0314d01271fd9p-19, -0x1.028aaa81bbc13p-19, -0x1.01fe4c08c2f35p-19, -0x1.016fae02babcap-19, -0x1.00decabd6bdp-19, -0x1.004b9f8070c5ap-19, -0x1.ff6c9c4172346p-20, -0x1.fe3f47950d6eep-20, -0x1.fd12f02d2d3ep-20, -0x1.fbd8b3be2f4e5p-20, -0x1.fa9ece6630d4dp-20, -0x1.f967a3a47d3b9p-20, -0x1.f825a96a31d75p-20, -0x1.f6e23dddfc9afp-20, -0x1.f598a6b47e068p-20, -0x1.f44c04ce9c97ep-20, -0x1.f2fe16427437cp-20, -0x1.f1adbd1db2157p-20, -0x1.f05a28ca82f0dp-20, -0x1.ef033d9831f6dp-20, -0x1.eda919f4715d1p-20, -0x1.ec4be076fd17ap-20, -0x1.eaebae77ee6e6p-20, -0x1.e9889cba0d2ccp-20, -0x1.e822c14b0fb8ap-20, -0x1.e6ba3185515eap-20, -0x1.e54f0114e6256p-20, -0x1.e3e12db9d375cp-20, -0x1.e27069e9bd8c6p-20, -0x1.e0fced21ce5ccp-20, -0x1.df87b458f641bp-20, -0x1.de1094dc370c6p-20, -0x1.dc96f0005ca25p-20, -0x1.db1adf2749383p-20, -0x1.d99c9eaa64734p-20, -0x1.d81c4a66812b7p-20, -0x1.d699f132302cap-20, -0x1.d5159cd83dc8ep-20, -0x1.d38f569edcda9p-20, -0x1.d2072cb2191c5p-20, -0x1.d07d2e2758e97p-20, -0x1.cef1644c72774p-20, -0x1.cd63d6c45c50ap-20, -0x1.cbd48f1233baap-20, -0x1.ca43955d7893dp-20, -0x1.c8b0e99008406p-20, -0x1.c71c81ce6eed2p-20, -0x1.c58774b935218p-20, -0x1.c3ee8b734088bp-20, -0x1.c258a2c86dd59p-20, -0x1.c0bc950393189p-20, -0x1.bf215f5b6ffdfp-20, -0x1.bd8511afa7587p-20, -0x1.bbe7ce0768f0ep-20, -0x1.ba49a5d34bad6p-20, -0x1.b8aa1b4c1190fp-20, -0x1.b6fba00df54cdp-20, -0x1.b56cf91125624p-20, -0x1.b3c8ef34f33a7p-20, -0x1.b225a74de077fp-20, -0x1.b0826265d588fp-20, -0x1.aede54262f0a2p-20, -0x1.ad39334a3afb9p-20, -0x1.ab938405a5a6ep-20, -0x1.a9ed119f4b582p-20, -0x1.a8456b67d0a78p-20, -0x1.a69cd11ffd179p-20, -0x1.a4f416806ba02p-20, -0x1.a34b4c3766a91p-20, -0x1.a1a1d8517f6e1p-20, -0x1.9ff73a0bc8bd8p-20, -0x1.9e4b9f275c94ep-20, -0x1.9c9fa061b3e5ep-20, -0x1.9af39d2e04f7dp-20, -0x1.99478ef4b347ep-20, -0x1.979b54541ec08p-20, -0x1.95eee7c15ec78p-20, -0x1.9442436d90904p-20, -0x1.92955d036487cp-20, -0x1.90e8318c96703p-20, -0x1.8f3ac538a311p-20, -0x1.8d8d1e400efcep-20, -0x1.8bdf4197ff8d9p-20, -0x1.8a31354622011p-20, -0x1.88830b167f4fbp-20, -0x1.86d4f5cc146dep-20, -0x1.85274cd5efe4ep-20, -0x1.837a3b037e482p-20, -0x1.81cd5201a034cp-20, -0x1.801fd8ac65ebp-20, -0x1.7e71ad4403be7p-20, -0x1.7cc2da430a39cp-20, -0x1.7b152fe142325p-20, -0x1.796a47ee2e756p-20, -0x1.77bec88f162f3p-20, -0x1.7611082668209p-20, -0x1.7466c709dea6ep-20, -0x1.72bbd16925148p-20, -0x1.710d6a15b79ap-20, -0x1.6f60dfc2eceb7p-20, -0x1.6db6b78b84923p-20, -0x1.6c0d600491d9dp-20, -0x1.6a6426ad52391p-20, -0x1.68bb1fc844237p-20, -0x1.671259994647fp-20, -0x1.6569f47a59526p-20, -0x1.63c207c53192dp-20, -0x1.621a9704b088ap-20, -0x1.6073b127b677fp-20, -0x1.5ecd6bbde495fp-20, -0x1.5d27b077b5ff8p-20, -0x1.5b829515517d6p-20, -0x1.59de1ebab88f4p-20, -0x1.583a5933f5ebep-20, -0x1.569755405a066p-20, -0x1.54f48ffdabd68p-20, -0x1.53527ad5b51acp-20, -0x1.51b12571267adp-20, -0x1.5010c3c9df17p-20, -0x1.4e7108fcf27cbp-20, -0x1.4cd2296512751p-20, -0x1.4b342682877cap-20, -0x1.4996f6e05e3e9p-20, -0x1.47fa93e21873dp-20, -0x1.465efe392737ep-20, -0x1.44c447248729bp-20, -0x1.432a8bb9d0601p-20, -0x1.4191ea5e6714p-20, -0x1.3ffa75711e909p-20, -0x1.3e640a54bb2a1p-20, -0x1.3cce26391e97p-20, -0x1.3b45b6e3f72a5p-20, -0x1.39aa1156b5bfbp-20, -0x1.38126f8081c89p-20, -0x1.36807bf3f947fp-20, -0x1.34eef9f806f1p-20, -0x1.335ee4cce0f72p-20, -0x1.31cf2ced5e5bdp-20, -0x1.3040e2fa61046p-20, -0x1.2eb377a35a83dp-20, -0x1.2d2716f29152ep-20, -0x1.2b9bc6d8fd8d7p-20, -0x1.2a1189436b54cp-20, -0x1.2888684821f1ep-20, -0x1.27004ba22e39ep-20, -0x1.25792a3abf359p-20, -0x1.23f38f57e2552p-20, -0x1.226f6004c332ap-20, -0x1.20eaa0c6d988fp-20, -0x1.1f6838ff9c9fep-20, -0x1.1de6bb91af48fp-20, -0x1.1c66b6d0d9eaap-20, -0x1.1ae7535041513p-20, -0x1.19698a79d42a3p-20, -0x1.17ecc48fa80bap-20, -0x1.1671224c8a866p-20, -0x1.14f6a0ea3e1e1p-20, -0x1.137d27bdfe67ep-20, -0x1.1204f3e6244b3p-20, -0x1.108c2de34b6adp-20, -0x1.0f1855eb4eb16p-20, -0x1.0da3919d327aap-20, -0x1.0c305f10f06e2p-20, -0x1.0abcb5a1cf4c6p-20, -0x1.094b7da2edb61p-20, -0x1.07dffb644caa4p-20, -0x1.066f1a4ca3e32p-20, -0x1.050436f01ac06p-20, -0x1.0398ec52106cp-20, -0x1.022d4c7b1a6fbp-20, -0x1.00c2390110a22p-20, -0x1.feb514f8786c4p-21, -0x1.fbe89b770d5eep-21, -0x1.f91dde6811da5p-21, -0x1.f6550fe756d6fp-21, -0x1.f38e7d5b342e7p-21, -0x1.f0caaa1748c83p-21, -0x1.ee0a4a8024764p-21, -0x1.eb4d23c708da9p-21, -0x1.e891d056419dfp-21, -0x1.e5d7aa7b78929p-21, -0x1.e31f381b1a3c4p-21, -0x1.e069c01c63a66p-21, -0x1.ddb7a5a95a6b2p-21, -0x1.db0873b3623dcp-21, -0x1.d85c1b7d714fbp-21, -0x1.d5b35840ac365p-21, -0x1.d30ea20ec6151p-21, -0x1.d06bdd8e51c83p-21, -0x1.cdca09bccecd5p-21, -0x1.cb2b72ac1e5e1p-21, -0x1.c89023902894fp-21, -0x1.c5f6674554575p-21, -0x1.c36dea8ffb8f3p-21, -0x1.c0cb0594bdc7cp-21, -0x1.be3b66a5df3d3p-21, -0x1.bbaec1612a81fp-21, -0x1.b921702620752p-21, -0x1.b696bbd6113dbp-21, -0x1.b410ad6ae73bp-21, -0x1.b18e315714b46p-21, -0x1.af0e2c227b8f7p-21, -0x1.ac905f4d62729p-21, -0x1.aa14ebfe7a51dp-21, -0x1.a79bf3c4f6d39p-21, -0x1.a525899d10f2p-21, -0x1.a2b1bb7fdab7bp-21, -0x1.a04094c46641fp-21, -0x1.9dd21f5b118ecp-21, -0x1.9b66635655f54p-21, -0x1.98fd65af1c6bdp-21, -0x1.969727a71a47ep-21, -0x1.9433a702a5ad1p-21, -0x1.91d2dc11d56a3p-21, -0x1.8f74c221ec6f6p-21, -0x1.8d195bed8375cp-21, -0x1.8ac0080e21e0ap-21, -0x1.886aafb5a6e24p-21, -0x1.8616fb394f444p-21, -0x1.83c53f1e9f3f3p-21, -0x1.8177507f07a01p-21, -0x1.7f2be37897fe4p-21, -0x1.7ce31433922b4p-21, -0x1.7a9cc6b8662edp-21, -0x1.7858ae0cd724bp-21, -0x1.76166e950bdfdp-21, -0x1.73d780d4b9b0bp-21, -0x1.719ffb0db38b4p-21, -0x1.6f67455128666p-21, -0x1.6d2fb273cd32dp-21, -0x1.6afdfa3d3eeb7p-21, -0x1.68c8d83ac81ecp-21, -0x1.66999384bca85p-21, -0x1.646f18d55b606p-21, -0x1.6246c704cf064p-21, -0x1.60209c6dd47a1p-21, -0x1.5dfce624c6a5fp-21, -0x1.5bdbc4e2c2fd3p-21, -0x1.59bd36b7a65dp-21, -0x1.57a1242e74855p-21, -0x1.558734676253p-21, -0x1.5374ea0908a75p-21, -0x1.515dc2f13f0d1p-21, -0x1.4f49f701154fcp-21, -0x1.4d3bdc7284ac1p-21, -0x1.4b365d18fb478p-21, -0x1.4922a8308ac2ep-21, -0x1.471be2eeb2994p-21, -0x1.451812c5a52ep-21, -0x1.4315cb157ccbp-21, -0x1.4114dcbe9f06fp-21, -0x1.3f167812955f2p-21, -0x1.3d1bd9957237dp-21, -0x1.3b248edd5fda9p-21, -0x1.392fa63bcd5d4p-21, -0x1.373d5e0eba54fp-21, -0x1.354d9799e8ac5p-21, -0x1.33605dddffc8cp-21, -0x1.3175acfebd914p-21, -0x1.2f8d657ec75b9p-21, -0x1.2da7646b72cb4p-21, -0x1.2bc38c54f0b1bp-21, -0x1.29e1f9f242565p-21, -0x1.2802c92192d43p-21, -0x1.26328f5a90316p-21, -0x1.2459369d892b3p-21, -0x1.22764baf49e04p-21, -0x1.20a29dbdd20a9p-21, -0x1.1ed26bdf0dcd1p-21, -0x1.1d032d808c17dp-21, -0x1.1b3580a59fcbcp-21, -0x1.1969dabf503c1p-21, -0x1.179ef4767f7d1p-21, -0x1.15d7dd6909cc8p-21, -0x1.1414c2dd11186p-21, -0x1.125510cbe7d0cp-21, -0x1.1094edc7da9c6p-21, -0x1.0ed87407bc73bp-21, -0x1.0d1d8210e3ff9p-21, -0x1.0b647eefa0052p-21, }}, 
      {{-0x1.c9ca0918e9aeap-8, 0x1.3a89e1520e3cfp-11, 0x1.a458db03185e2p-5, 0x1.237ab2cb6f792p-3, 0x1.02901df8060cap-2, 0x1.6e7cac68f4b59p-2, 0x1.c2d7b42c31de3p-2, 0x1.f591dd181c7c1p-2, 0x1.02458d2e43405p-1, 0x1.f36d01c5cdb9ap-2, 0x1.c93ee157ae95ep-2, 0x1.8e525ba386258p-2, 0x1.4ac4332aa2b48p-2, 0x1.05926e412a2ccp-2, 0x1.885a0c08ff84bp-3, 0x1.14bbdb629881ap-3, 0x1.699f448ccd006p-4, 0x1.aa0f25cb2ad21p-5, 0x1.adeeaac479e65p-6, 0x1.4e81c5c27eb88p-7, 0x1.5c84836ceb491p-9, 0x1.0f2fd7660d49fp-9, 0x1.be2e3d1092b12p-8, 0x1.f43656f1394b7p-7, 0x1.a8f515c993efep-6, 0x1.331ba57ef7a2cp-5, 0x1.8fa659dc23dd4p-5, 0x1.e2953beba2b05p-5, 0x1.1313d9de2408ep-4, 0x1.2b25a566af308p-4, 0x1.383ae47531047p-4, 0x1.39baf7bb5db4cp-4, 0x1.2f9faee759d82p-4, 0x1.1a5a9941872a7p-4, 0x1.f57612261b8c4p-5, 0x1.a3ab79f69e482p-5, 0x1.41ddb9dfd350dp-5, 0x1.a59aa7c467c33p-6, 0x1.6548785144381p-7, -0x1.3dfe9dd3cbd2p-8, -0x1.5b5b8886e9cbfp-6, -0x1.35e6c44addc5ep-5, -0x1.be0faba1339fep-5, -0x1.22056f4d28f18p-4, -0x1.62fe7f8f877a6p-4, -0x1.a12760ed67936p-4, -0x1.dbd635d080824p-4, -0x1.0940f43082a05p-3, -0x1.2260386e30833p-3, -0x1.39225e0180764p-3, -0x1.4d6e1dbf9234cp-3, -0x1.5f36243124681p-3, -0x1.6e77b79b4ebefp-3, -0x1.7b395e38a93a9p-3, -0x1.85898d0f46384p-3, -0x1.8d7d6556139aap-3, -0x1.932f849a35e99p-3, -0x1.96beeab71d122p-3, -0x1.984df7d9b743cp-3, -0x1.9801840ddbb6dp-3, -0x1.960010d7aeed5p-3, -0x1.9271146305497p-3, -0x1.8d7c5d195cb5fp-3, -0x1.87498bd865cf1p-3, -0x1.7fffa30721266p-3, -0x1.77c4a8a8df49dp-3, -0x1.6ebd59b4cf06p-3, -0x1.650cecf75cb45p-3, -0x1.5ad4e3c8bdd6bp-3, -0x1.5034e716d2271p-3, -0x1.454aaee6cbc77p-3, -0x1.3a31f32e583bap-3, -0x1.2f04645f8e03bp-3, -0x1.23d9aaa9729eep-3, -0x1.18c76aad42897p-3, -0x1.0de14ee28ff29p-3, -0x1.03391498e7a65p-3, -0x1.f1bd38495aa5bp-4, -0x1.ddbff67328288p-4, -0x1.ca93227b2908fp-4, -0x1.b84c39776140dp-4, -0x1.a6fda3a74cb6fp-4, -0x1.96b6e237cd25bp-4, -0x1.8784bd53898dap-4, -0x1.7971724cfd442p-4, -0x1.6c84e0e6713dcp-4, -0x1.60c4b86501295p-4, -0x1.5634a2e784399p-4, -0x1.4cd66fd2a59bbp-4, -0x1.44aa3c6a42acbp-4, -0x1.3dae9b3db72c8p-4, -0x1.37e0b9b1893bap-4, -0x1.333c84044a36cp-4, -0x1.2fbcc70f2e935p-4, -0x1.2d5b51094a568p-4, -0x1.2c110f7954e15p-4, -0x1.2bd62c9c9c2b2p-4, -0x1.2ca229a7f3204p-4, -0x1.2e6bf8c0e2cffp-4, -0x1.312a13ad3d4a4p-4, -0x1.34d2927677e49p-4, -0x1.395b3ef512a2ap-4, -0x1.3eb9a7d7225c9p-4, -0x1.44e331de2295fp-4, -0x1.4bcd26c940bf2p-4, -0x1.536cc515121abp-4, -0x1.5bb74b3c484f7p-4, -0x1.64a204d846d96p-4, -0x1.6e22549ec110dp-4, -0x1.782dbd2d094efp-4, -0x1.82b9eb23118d2p-4, -0x1.8dbcba3f9c087p-4, -0x1.992c3d5be309dp-4, -0x1.a4fec41d4a64bp-4, -0x1.b12addc2c8426p-4, -0x1.bda75fe0490e8p-4, -0x1.ca6b67fa1641p-4, -0x1.d76e5d65209e3p-4, -0x1.e4a7f64fab718p-4, -0x1.f210366f562e3p-4, -0x1.ff9f704ba6d9ap-4, -0x1.06a7245eeee41p-3, -0x1.0d8ad9cce04fp-3, -0x1.14777a1d54e5p-3, -0x1.1b69d0168be9bp-3, -0x1.225ecd4259324p-3, -0x1.2953899cd6f3cp-3, -0x1.304544e23590bp-3, -0x1.373163f797e1cp-3, -0x1.3e156fa908f2dp-3, -0x1.44ef162541781p-3, -0x1.4bbc28c9505fbp-3, -0x1.527a99a0a878p-3, -0x1.59287cbce8dcbp-3, -0x1.5fc407410786ap-3, -0x1.664b8bdd0a76ap-3, -0x1.6cbd7b019f0b3p-3, -0x1.7318639d350efp-3, -0x1.795aefdb21d2fp-3, -0x1.7f83e333bef83p-3, -0x1.85921bd735bddp-3, -0x1.8b84918587386p-3, -0x1.915a520f7f5f2p-3, -0x1.9712812001ab6p-3, -0x1.9cac595f44c75p-3, -0x1.a2272a1fbb808p-3, -0x1.a7825495f71cfp-3, -0x1.acbd4c7ad247p-3, -0x1.b1d798a266afap-3, -0x1.b6d0d05c7c89fp-3, -0x1.bba8994a88faap-3, -0x1.c05ea836258bdp-3, -0x1.c4f2c1724c3d7p-3, -0x1.c964b67018d09p-3, -0x1.cdb463d3cc204p-3, -0x1.d1e1b22851147p-3, -0x1.d5ec96640ecf4p-3, -0x1.d9d50ffbe42cep-3, -0x1.dd9b26f1a0566p-3, -0x1.e13eec20817f6p-3, -0x1.e4c07a05bd89dp-3, -0x1.e81ff398a039cp-3, -0x1.eb5d8252e5329p-3, -0x1.ee7955d9f6b5ep-3, -0x1.f173a4d1e1405p-3, -0x1.f44caca85fe0cp-3, -0x1.f704aff24874dp-3, -0x1.f99bf563fefc8p-3, -0x1.fc12c835cdb6dp-3, -0x1.fe6978a680d69p-3, -0x1.00502d9d7f133p-2, -0x1.015be3b3f7e64p-2, -0x1.02580b9652b2p-2, -0x1.0344d3c8d6988p-2, -0x1.04226c718bd5p-2, -0x1.04f106f24ccdep-2, -0x1.05b0d56c5ef25p-2, -0x1.06620aabf36afp-2, -0x1.0704da5d3fb47p-2, -0x1.079979201bc03p-2, -0x1.08201c37eea93p-2, -0x1.0898f92c99b6fp-2, -0x1.090445b8b5395p-2, -0x1.096237f1140a8p-2, -0x1.09b3065ef14d7p-2, -0x1.09f6e7cf9c488p-2, -0x1.0a2e130752877p-2, -0x1.0a58bea6c91b7p-2, -0x1.0a772140b3cbdp-2, -0x1.0a89717935f4p-2, -0x1.0a8fe5fc00c15p-2, -0x1.0a8ab544c6ff4p-2, -0x1.0a7a15784b998p-2, -0x1.0a5e3c653e63ep-2, -0x1.0a375f9d707a4p-2, -0x1.0a05b48907826p-2, -0x1.09c9704f011ap-2, -0x1.0982c7aaee533p-2, -0x1.0931eedc8255ep-2, -0x1.08d719afa6c64p-2, -0x1.08727b924802dp-2, -0x1.080447a112bb9p-2, -0x1.078cb09247cb1p-2, -0x1.070be898b9abcp-2, -0x1.0682215b72239p-2, -0x1.05ef8bfc5fc92p-2, -0x1.05545929b0ebcp-2, -0x1.04b0b92af9d77p-2, -0x1.0404dbd42ab6bp-2, -0x1.0350f06feae9dp-2, -0x1.029525b8f0585p-2, -0x1.01d1a9dd9b077p-2, -0x1.0106aa8bae54ep-2, -0x1.003454ff15f66p-2, -0x1.feb5abff90464p-3, -0x1.fcf4b3a26914dp-3, -0x1.fb26185453897p-3, -0x1.f94a306c09957p-3, -0x1.f7615134859c1p-3, -0x1.f56bcf04f00cp-3, -0x1.f369fd518e164p-3, -0x1.f15c2e9c8f2adp-3, -0x1.ef42b46055d7cp-3, -0x1.ed1ddf0c35ea1p-3, -0x1.eaedfe0908f2ep-3, -0x1.e8b35fc336bccp-3, -0x1.e66e51be6b9dap-3, -0x1.e41f20a083dc6p-3, -0x1.e1c618240ad3cp-3, -0x1.df638309fa53cp-3, -0x1.dcf7ab19dc0e6p-3, -0x1.da82d925b377cp-3, -0x1.d805551069c37p-3, -0x1.d57f65dc32937p-3, -0x1.d2f151b5c3039p-3, -0x1.d05b5ded17d8p-3, -0x1.cdbdcee9b458ap-3, -0x1.cb18e82a19f9ep-3, -0x1.c86cec4742875p-3, -0x1.c5ba1cf78f52fp-3, -0x1.c300bb166bb34p-3, -0x1.c04106afddc74p-3, -0x1.bd7b3f02381bcp-3, -0x1.baafa274e6f5p-3, -0x1.b7de6e943663p-3, -0x1.b507e0140bc96p-3, -0x1.b22c32d234173p-3, -0x1.af4ba1d86c814p-3, -0x1.ac666762c938cp-3, -0x1.a97cbce7bc2f7p-3, -0x1.a68edb178e833p-3, -0x1.a39cf9d5a9bc6p-3, -0x1.a0a75036fd06ap-3, -0x1.9dae1484b4f67p-3, -0x1.9ab17c3dd48dap-3, -0x1.97b1bc18247c9p-3, -0x1.94af080407045p-3, -0x1.91a9933291457p-3, -0x1.8ea19016b48eap-3, -0x1.8b973060b7eacp-3, -0x1.888aa4fc5e04dp-3, -0x1.857c1e12fbf57p-3, -0x1.826bcb0d43898p-3, -0x1.7f59da93b3d96p-3, -0x1.7c467a8fc61c4p-3, -0x1.7931d82fdb0d1p-3, -0x1.761c1feab7b81p-3, -0x1.73057d7e3abf1p-3, -0x1.6fee1bec9a063p-3, -0x1.6cd6257ce785cp-3, -0x1.69bdc3bd2e402p-3, -0x1.66a51f839ff67p-3, -0x1.638c60eede2a6p-3, -0x1.6073af6704a3fp-3, -0x1.5d5b31a095fd9p-3, -0x1.5a430d9f0bd42p-3, -0x1.572b68b40c77fp-3, -0x1.5414677de37f5p-3, -0x1.50fe2de8515d6p-3, -0x1.4de8df2e70edp-3, -0x1.4ad49ddc05b1bp-3, -0x1.47c18bce0ddaep-3, -0x1.44afca3365e01p-3, -0x1.419f798eae0bap-3, -0x1.3e90b9b8c2eb6p-3, -0x1.3b83a9e17a6e7p-3, -0x1.3878688ec8df3p-3, -0x1.356f139d11d02p-3, -0x1.3267c840c9ebdp-3, -0x1.2f62a3081b699p-3, -0x1.2c5fbfdc06901p-3, -0x1.295f3a0115262p-3, -0x1.26612c1865d99p-3, -0x1.2365b02196305p-3, -0x1.206cdf7ced90fp-3, -0x1.1d76d2ec32208p-3, -0x1.1a83a292cdb3cp-3, -0x1.179365f6bd102p-3, -0x1.14a6340217594p-3, -0x1.11bc23045ef44p-3, -0x1.0ed548b37fbd5p-3, -0x1.0bf1ba2cdd11ap-3, -0x1.09118bf6d93c8p-3, -0x1.0634d202fcfb7p-3, -0x1.035b9fb03a462p-3, -0x1.008607cbfb3a8p-3, -0x1.fb68392455cfap-4, -0x1.f5cbdf5b9af6dp-4, -0x1.f03724756ad5ap-4, -0x1.eaaa298f9a8b5p-4, -0x1.e5250eb270607p-4, -0x1.dfa7f2d3b2a0bp-4, -0x1.da32f3d8f32f6p-4, -0x1.d4c62e99d5d46p-4, -0x1.cf61bee350588p-4, -0x1.ca05bf7b4d261p-4, -0x1.c4b24a23aa4d6p-4, -0x1.bf67779c67318p-4, -0x1.ba255fa685a47p-4, -0x1.b4ec19078958cp-4, -0x1.afbbb98d0c6fp-4, -0x1.aa94561022c12p-4, -0x1.a576027878921p-4, -0x1.a060d1bf5354bp-4, -0x1.9b54d5f295f86p-4, -0x1.965220382f1c2p-4, -0x1.9158c0d1ef3afp-4, -0x1.8c68c720f002fp-4, -0x1.878241a8710c4p-4, -0x1.82a53e10be6a2p-4, -0x1.7dd1c92a93151p-4, -0x1.7907eef2afc1dp-4, -0x1.7447ba9558ea7p-4, -0x1.6f913671bafacp-4, -0x1.6ae46c1d2e1eap-4, -0x1.66416466638b2p-4, -0x1.61a82758972ep-4, -0x1.5d18bc3ef4344p-4, -0x1.589329a819958p-4, -0x1.541775695ca6dp-4, -0x1.4fa5a4a1b65adp-4, -0x1.4b3dbbbcd8715p-4, -0x1.46dfbe76a2b47p-4, -0x1.428bafdedc4aap-4, -0x1.3e41925cebfa7p-4, -0x1.3a0167b382e2ep-4, -0x1.35cb31041e08cp-4, -0x1.319eeed225334p-4, -0x1.2d7ca105ba442p-4, -0x1.296446ee4a1c2p-4, -0x1.2555df4512f15p-4, -0x1.2151682f9c923p-4, -0x1.1d56df425f47fp-4, -0x1.19664183cb79dp-4, -0x1.157f8b703143fp-4, -0x1.11a2b8fe68b01p-4, -0x1.0dcfc5a4d7dfcp-4, -0x1.0a06ac5e500c4p-4, -0x1.064767ae41a3bp-4, -0x1.0291f1a3c8ac8p-4, -0x1.fdcc87b67a573p-5, -0x1.f688aefca543ap-5, -0x1.ef584a86cd6eep-5, -0x1.e83b4ad9b5a0bp-5, -0x1.e1319f92e7d9p-5, -0x1.da3b376d20237p-5, -0x1.d3580049e3678p-5, -0x1.cc87e7406f3f2p-5, -0x1.c5cad8b0c8faep-5, -0x1.bf20c057e18cfp-5, -0x1.b889896110a2fp-5, -0x1.b2051e710af3fp-5, -0x1.ab9369a7bdf1dp-5, -0x1.a5345497f1692p-5, -0x1.9ee7c83687ef8p-5, -0x1.98adacc55208bp-5, -0x1.9285e9bf9be9bp-5, -0x1.8c7065cf0fc2dp-5, -0x1.866d06ce84906p-5, -0x1.807bb1dde5dbcp-5, -0x1.7a9c4b862d978p-5, -0x1.74ceb7e9698b2p-5, -0x1.6f12daf581223p-5, -0x1.6968988eb46edp-5, -0x1.63cfd4a83575ep-5, -0x1.5e487341fc455p-5, -0x1.58d258499365fp-5, -0x1.536d6761b8482p-5, -0x1.4e19839b1f8efp-5, -0x1.48d68f2e29a9dp-5, -0x1.43a46b46ab955p-5, -0x1.3e82f7f224f18p-5, -0x1.3972143a60469p-5, -0x1.34719e6d595f1p-5, -0x1.2f81748979537p-5, -0x1.2aa174bc56f96p-5, -0x1.25d17dda82ffp-5, -0x1.21116fb641f5cp-5, -0x1.1c612b3db6f0ap-5, -0x1.17c09252462e9p-5, -0x1.132f8759aed58p-5, -0x1.0eadec9aa27ccp-5, -0x1.0a3ba384d7b0bp-5, -0x1.05d88c0842d5dp-5, -0x1.0184841f4ee96p-5, -0x1.fa7ecf58deefdp-6, -0x1.f212217e88edep-6, -0x1.e9c2b07c01889p-6, -0x1.e1902db004df7p-6, -0x1.d97a4c2d50909p-6, -0x1.d180c2b569a62p-6, -0x1.c9a34d25e59cbp-6, -0x1.c1e1ad0293d45p-6, -0x1.ba3ba8eb4fe68p-6, -0x1.b2b10b0007162p-6, -0x1.ab419e6dabd5bp-6, -0x1.a3ed2c8f6fcb1p-6, -0x1.9cb37a2d17c2fp-6, -0x1.95944563f8c87p-6, -0x1.8e8f44ae319dcp-6, -0x1.87a4274bc169p-6, -0x1.80d2970f384f9p-6, -0x1.7a1a3b4e3d288p-6, -0x1.737abc7a37be7p-6, -0x1.6cf3c7ccc4e9ap-6, -0x1.6685124d71e96p-6, -0x1.602e5abaf1c17p-6, -0x1.59ef69cdaf211p-6, -0x1.53c810c9fb8d1p-6, -0x1.4db8267b8e92bp-6, -0x1.47bf831533d88p-6, -0x1.41ddfba6aad82p-6, -0x1.3c135df9bca6fp-6, -0x1.365f6d9ca28dbp-6, -0x1.30c1e2aa8994ap-6, -0x1.2b3a6a9051a54p-6, -0x1.25c8aaad18bf2p-6, -0x1.206c445bd8724p-6, -0x1.1b24d9ba3a60ap-6, -0x1.15f2126aa4558p-6, -0x1.10d39f960962ep-6, -0x1.0bc93e92542a3p-6, -0x1.06d2b9c21c767p-6, -0x1.01efe77ed36f2p-6, -0x1.fa414e4984a76p-7, -0x1.f0c9b949d5589p-7, -0x1.e778d693d1fa4p-7, -0x1.de4e61233372p-7, -0x1.d54a0011f2d4ep-7, -0x1.cc6b41da5d8c6p-7, -0x1.c3b19bf1c4d37p-7, -0x1.bb1c6e9c8bd73p-7, -0x1.b2ab0c082e5ddp-7, -0x1.aa5cc1319c8e5p-7, -0x1.a230df01d982ap-7, -0x1.9a26c248736b1p-7, -0x1.923dd99f4d3a8p-7, -0x1.8a75a8b9aef8ep-7, -0x1.82cdc9039a4dp-7, -0x1.7b45e7b3e11cfp-7, -0x1.73ddc19f0252ep-7, -0x1.6c951d35c6e29p-7, -0x1.656bc34cb6cbep-7, -0x1.5e617794bc94ep-7, -0x1.5775f1f8ae39bp-7, -0x1.50a8da23bb35cp-7, -0x1.49f9c621a401p-7, -0x1.43683c5a45ddfp-7, -0x1.3cf3b85c547bp-7, -0x1.369bb147425c9p-7, -0x1.305fa0531651bp-7, -0x1.2a3f05fe19b14p-7, -0x1.24396cc5b55dp-7, -0x1.1e4e68fedc5fbp-7, -0x1.187d964a5f1dbp-7, -0x1.12c693fd7a7f3p-7, -0x1.0d290239b4a11p-7, -0x1.07a4811148bb5p-7, -0x1.0238b2007193dp-7, -0x1.f9ca7587bb667p-8, -0x1.ef538f9d0770ap-8, -0x1.e50c1989226edp-8, -0x1.daf384b2f6baep-8, -0x1.d1094489bc4dp-8, -0x1.c74cc63c40dd5p-8, -0x1.bdbd6c97c9764p-8, -0x1.b45a93079e3a1p-8, -0x1.ab23973b4f5efp-8, -0x1.a217e4e631ffbp-8, -0x1.9936fc7de9ca6p-8, -0x1.90806ef4543a9p-8, -0x1.87f3cd0c9193dp-8, -0x1.7f908f0b4990fp-8, -0x1.7755fe1151d2bp-8, -0x1.6f43293e04ec2p-8, -0x1.6756ed55f1d96p-8, -0x1.5f900f57db4fbp-8, -0x1.57ed63398f7fep-8, -0x1.506df25af5804p-8, -0x1.4911139caf0dcp-8, -0x1.41d66b2425af8p-8, -0x1.3abdd12b94cdap-8, -0x1.33c72aa8291c5p-8, -0x1.2cf246823021p-8, -0x1.263ed0ba83bd3p-8, -0x1.1fac60fdb8fbp-8, -0x1.193a9a0399f1cp-8, -0x1.12e944e4daec8p-8, -0x1.0cb855e31773ep-8, -0x1.06a7d4e8e3cb1p-8, -0x1.00b7b2ae8ae53p-8, -0x1.f5cf37442eb63p-9, -0x1.ea6db1a393c07p-9, -0x1.df48916d51befp-9, -0x1.d45ce6b0935e3p-9, -0x1.c9a76fd1a2bdap-9, -0x1.bf252050641a6p-9, -0x1.b4d3a78bd48d8p-9, -0x1.aab1d327c60f7p-9, -0x1.a0bf8e4741689p-9, -0x1.96fd7fee8e3ddp-9, -0x1.8d6c5fc89c684p-9, -0x1.840c65a59d5c9p-9, -0x1.7add18599732ap-9, -0x1.71dd8f5486227p-9, -0x1.690cf319c7f72p-9, -0x1.606aea57ca6c9p-9, -0x1.57f7b5af54225p-9, -0x1.4fb3f1bb12e15p-9, -0x1.47a023d658f55p-9, -0x1.3fbc4e2458957p-9, -0x1.3807b5f3d8fa3p-9, -0x1.3080df681673cp-9, -0x1.2925a3685e236p-9, -0x1.21f34e3531715p-9, -0x1.1ae6d6d84a53cp-9, -0x1.13fd4c425e39ep-9, -0x1.0d347170f37cbp-9, -0x1.068b4696b0312p-9, -0x1.0002238eacbbep-9, -0x1.f334708b752f8p-10, -0x1.e6a95ac1328a2p-10, -0x1.da63d35a0bcb6p-10, -0x1.ce62cf3a6bd4p-10, -0x1.c2a437772d31fp-10, -0x1.b726269cff694p-10, -0x1.abe7d60062fa9p-10, -0x1.a0e9d2bcb8697p-10, -0x1.962d6e869b18ep-10, -0x1.8bb3bb0bdfbe9p-10, -0x1.817cafd38ecdp-10, -0x1.7787009d326d7p-10, -0x1.6dd09886d5f28p-10, -0x1.64572e06ab208p-10, -0x1.5b18692d7322dp-10, -0x1.52118d39bf5d7p-10, -0x1.493f194481bccp-10, -0x1.409cf71c8bab5p-10, -0x1.38276756ea722p-10, -0x1.2fdc2fc6c2b31p-10, -0x1.27bb36d0a2162p-10, -0x1.1fc602c757532p-10, -0x1.17fe61b75b14dp-10, -0x1.106529d5eb02ap-10, -0x1.08f9d96f4c605p-10, -0x1.01bb0b138d068p-10, -0x1.f54e7fa500687p-11, -0x1.e77b58232e8c4p-11, -0x1.d9fd4d47d18aap-11, -0x1.ccd666f459e07p-11, -0x1.c007b2e359984p-11, -0x1.b38fa9c1f1d55p-11, -0x1.a76aa3e27894dp-11, -0x1.9b9484f1134c1p-11, -0x1.900a21ad1ea17p-11, -0x1.84c9c22591925p-11, -0x1.79d2d5818acf7p-11, -0x1.6f250635d5c9ep-11, -0x1.64bf0830688a9p-11, -0x1.5a9dd4c8520a9p-11, -0x1.50bce164d6b0dp-11, -0x1.471721be7832ep-11, -0x1.3da855a592002p-11, -0x1.346e5278c44a5p-11, -0x1.2b69a9ef51eep-11, -0x1.229ce1d624bf3p-11, -0x1.1a0a590e00dabp-11, -0x1.11b2167e42b4cp-11, -0x1.0991872125f4fp-11, -0x1.01a6370d12ad4p-11, -0x1.f3e14b4ac6088p-12, -0x1.e4e640b5725edp-12, -0x1.d65c1795342bdp-12, -0x1.c83d07c4298e2p-12, -0x1.ba80838138eb2p-12, -0x1.ad1fb2322fab8p-12, -0x1.a016c2b35e28cp-12, -0x1.9363ea9ef6d78p-12, -0x1.87065736e85e2p-12, -0x1.7afe2c24c36f1p-12, -0x1.6f4d038769e9cp-12, -0x1.63f59f86a403dp-12, -0x1.58fa40bd1f512p-12, -0x1.4e5a6e329e8c7p-12, -0x1.4410fe7662aa7p-12, -0x1.3a12e5a7afc3p-12, -0x1.3051bc7358943p-12, -0x1.26c483f8ef98cp-12, -0x1.1d6f5a6415104p-12, -0x1.145ec2c3830c6p-12, -0x1.0b9957cde5de1p-12, -0x1.0319052f406a1p-12, -0x1.f5aa8d604979bp-13, -0x1.e59f0f61c9a41p-13, -0x1.d61dd751d17d6p-13, -0x1.c728c4eedc391p-13, -0x1.b8b223e2cb039p-13, -0x1.aaa9d81354978p-13, -0x1.9d064694a2bep-13, -0x1.8fc461cec68cp-13, -0x1.82e429dcaa839p-13, -0x1.766596800872ep-13, -0x1.6a472535278dp-13, -0x1.5e865644ada4ap-13, -0x1.5321df132d895p-13, -0x1.481c21509f0dcp-13, -0x1.3d7b694806ad9p-13, -0x1.3346bc285aecap-13, -0x1.29814cfca2c65p-13, -0x1.20262e526de08p-13, -0x1.1722863a8c492p-13, -0x1.0e57bfbcedad6p-13, -0x1.05b5bd013dd08p-13, -0x1.faa0a407e7dafp-14, -0x1.ea86fdeaafc77p-14, -0x1.db1578f4dd50dp-14, -0x1.cc1cb18412336p-14, -0x1.bd9bfe839e885p-14, -0x1.afb8ffd1a6532p-14, -0x1.a27c290df6a8dp-14, -0x1.95cbc50bede53p-14, -0x1.898e4a809ba24p-14, -0x1.7db89766770bdp-14, -0x1.72491e1491fb7p-14, -0x1.6741238cdeadcp-14, -0x1.5ca18218923c6p-14, -0x1.5269c4dcf7364p-14, -0x1.4897ef99e0ba5p-14, -0x1.3f286b5c28d1ep-14, -0x1.3616a4fba4064p-14, -0x1.2d5f18b51ac1p-14, -0x1.25022e8fa1829p-14, -0x1.1d05384f1b37cp-14, -0x1.156f293ce5ba8p-14, -0x1.0e440a4b0bbf4p-14, -0x1.0784ede68be62p-14, -0x1.012ae3d6a56abp-14, -0x1.f62b1e7dc53p-15, -0x1.ea43d579cf735p-15, -0x1.deca1a265ebe6p-15, -0x1.d4066e9fdbe4p-15, -0x1.c9c5fa04ddf6ep-15, -0x1.bfd237364f1d7p-15, -0x1.b66bb52ffd991p-15, -0x1.adc109dd1a508p-15, -0x1.a5ac93af3f1fep-15, -0x1.9e021646ed415p-15, -0x1.96b2eeae4b497p-15, -0x1.8fc0e040d275ep-15, -0x1.892fda2851271p-15, -0x1.830158b15124dp-15, -0x1.7d342a9b62385p-15, -0x1.77c59710bc741p-15, -0x1.72b29a8f34d09p-15, -0x1.6df832b9cebe6p-15, -0x1.69933db7eacbep-15, -0x1.657ffbe33b1cep-15, -0x1.61ba1ef415ed5p-15, -0x1.5e3e0db5b758bp-15, -0x1.5b0ad78820a3ep-15, -0x1.5821461f25998p-15, -0x1.558123b43e812p-15, -0x1.5329a9920080ap-15, -0x1.5124584c8684dp-15, -0x1.4f7f938203538p-15, -0x1.4e2275b89e3acp-15, -0x1.4cde01f0dcb98p-15, -0x1.4bc77093157a8p-15, -0x1.4ad2c44046df7p-15, -0x1.49e9439a742cp-15, -0x1.494957f89f713p-15, -0x1.49027ff7c590dp-15, -0x1.48ec4b0dc4d61p-15, -0x1.48f16e88022a1p-15, -0x1.49120d9d04943p-15, -0x1.49529d99f3724p-15, -0x1.49b5a0add3032p-15, -0x1.4a3b5db766cdp-15, -0x1.4ae2b7bb39762p-15, -0x1.4ba9de0a5a988p-15, -0x1.4c8ec414e41bdp-15, -0x1.4d8f78a8f0d6bp-15, -0x1.4eaa612476ddfp-15, -0x1.4fde48502fba6p-15, -0x1.512a2dd4f3c5ap-15, -0x1.528ce071cb511p-15, -0x1.54049e9d135bap-15, -0x1.558f1862a39b8p-15, -0x1.572a0e8699587p-15, -0x1.58d41507bf304p-15, -0x1.5a8bcd2bfd623p-15, -0x1.5c4e0be7d1007p-15, -0x1.5e1c28c2b2163p-15, -0x1.600addbe72a9cp-15, -0x1.62255a55489cep-15, -0x1.6442bcdc261b6p-15, -0x1.66514d852532ep-15, -0x1.684d3e3a560bbp-15, -0x1.6a53f9a4ba989p-15, -0x1.6c7f686e666ap-15, -0x1.6eb5c1f9a813ap-15, -0x1.70e8451f779dbp-15, -0x1.73185532eb0e3p-15, -0x1.75491dbabb74ap-15, -0x1.777bfc5d535c8p-15, -0x1.79b1087a04d9cp-15, -0x1.7be7c69dd951cp-15, -0x1.7e1f818e87277p-15, -0x1.80576e47c5998p-15, -0x1.828ebc566238p-15, -0x1.84c4a1d18e8a2p-15, -0x1.86f867ab7c2afp-15, -0x1.892975f7850a1p-15, -0x1.8b575b7d1158fp-15, -0x1.8d81c78a04922p-15, -0x1.8fa86d945ae09p-15, -0x1.91cad79dabbdp-15, -0x1.93e842594846fp-15, -0x1.95ffaa8dd698dp-15, -0x1.98102124f26cap-15, -0x1.9a192bf39ab34p-15, -0x1.9c1a77e4d277dp-15, -0x1.9e12cacc78a2ep-15, -0x1.a001cfec02887p-15, -0x1.a1f05a4b09425p-15, -0x1.a3e6359a27e88p-15, -0x1.a5cce68eea6ecp-15, -0x1.a798880463035p-15, -0x1.a95c86c259166p-15, -0x1.ab24749c51a2cp-15, -0x1.ace2763fe4dfdp-15, -0x1.ae92a2fb72fc5p-15, -0x1.b036ece012d71p-15, -0x1.b1d08fe35af8fp-15, -0x1.b35fd4b3ecbdap-15, -0x1.b4e4a3d81d79ep-15, -0x1.b65ecc630b5bbp-15, -0x1.b7ce1aa1eea18p-15, -0x1.b9325d55ef623p-15, -0x1.ba8b6661eefd6p-15, -0x1.bbd90b74f07f1p-15, -0x1.bd1b266409e82p-15, -0x1.be5193a56f089p-15, -0x1.bf7c320da0d42p-15, -0x1.c09ae734adaa3p-15, -0x1.c1ada3a2ca3a8p-15, -0x1.c2b46077fcb8ep-15, -0x1.c3af17b24db1cp-15, -0x1.c49dbad63b69cp-15, -0x1.c5802c62ab51cp-15, -0x1.c6564492656bep-15, -0x1.c71fe2aa6ccfep-15, -0x1.c7dcf9d104001p-15, -0x1.c88d9c234171cp-15, -0x1.c931dea490601p-15, -0x1.c9c97517198cp-15, -0x1.ca53fbecaa37dp-15, -0x1.cad3dce92108fp-15, -0x1.cb49b08d3e9b1p-15, -0x1.cbaeea93f0bafp-15, -0x1.cc08aa9c78f1ep-15, -0x1.cc58374d8508cp-15, -0x1.cc9a7ef335049p-15, -0x1.cccfd2c91274fp-15, -0x1.ccf8c71f485f7p-15, -0x1.cd1591cde078p-15, -0x1.cd2645653f3c5p-15, -0x1.cd2aecc3455e3p-15, -0x1.cd2392bd9f14cp-15, -0x1.cd1043dbb055ep-15, -0x1.ccf10e7b29712p-15, -0x1.ccc6029e2221ep-15, -0x1.cc8f31b11286bp-15, -0x1.cc4cae551135fp-15, -0x1.cbfe8c38ded4dp-15, -0x1.cba4e0081cef8p-15, -0x1.cb3fbf539a5d4p-15, -0x1.cacf406b9cf9ap-15, -0x1.ca537a78593f8p-15, -0x1.c9cc87a594567p-15, -0x1.c93a896ee547fp-15, -0x1.c89d8776f1a0dp-15, -0x1.c7f597da26f2dp-15, -0x1.c742d4584a41fp-15, -0x1.c6856b88e68d2p-15, -0x1.c5bd7253fe177p-15, -0x1.c4eb03247d3c1p-15, -0x1.c40e3a35a5c97p-15, -0x1.c3272f9d1252fp-15, -0x1.c235f99c19b01p-15, -0x1.c13abbab8efep-15, -0x1.c035a93a9d663p-15, -0x1.bf26bef600681p-15, -0x1.be0e2929b31b2p-15, -0x1.bcebe0262bb59p-15, -0x1.bbc0224671889p-15, -0x1.ba8b31bd04c4ep-15, -0x1.b94d124a6ab69p-15, -0x1.b805dba56e0fcp-15, -0x1.b6b5b722a4482p-15, -0x1.b55cc5a6af901p-15, -0x1.b3fb203391da2p-15, -0x1.b290e4af59868p-15, -0x1.b11e34c1ac13p-15, -0x1.afa331240aa9cp-15, -0x1.ae1ffb1f2db85p-15, -0x1.ac94b3d8c61b1p-15, -0x1.ab017c1ffdd0fp-15, -0x1.a966736654386p-15, -0x1.a7c3b4f915feap-15, -0x1.a61a25c7459eap-15, -0x1.a466d64b336a7p-15, -0x1.a2aed9fc300c9p-15, -0x1.a0ee981481fccp-15, -0x1.9f2766baecc93p-15, -0x1.9d594659ed462p-15, -0x1.9b845a267ba41p-15, -0x1.99a8c2cb2dffcp-15, -0x1.97c6a0c7e80bp-15, -0x1.95de15867f6acp-15, -0x1.93ef437143906p-15, -0x1.91fa4c56bcbb6p-15, -0x1.8fff50d46b133p-15, -0x1.8dfe719e1cf38p-15, -0x1.8bf7c6bdd53e9p-15, -0x1.89eb6392de617p-15, -0x1.87d96e66492a9p-15, -0x1.85c23d05169cfp-15, -0x1.83a621782704ap-15, -0x1.81846b9d0cd68p-15, -0x1.7f5d2e3c0dcc2p-15, -0x1.7d31632ddc1a5p-15, -0x1.7b00f765839dap-15, -0x1.78cbdc63d52bdp-15, -0x1.76922cc1df017p-15, -0x1.745408da29547p-15, -0x1.7211907f828b4p-15, -0x1.6fcae2a281147p-15, -0x1.6d801cf33d832p-15, -0x1.6b315a64e012bp-15, -0x1.68deb2873e539p-15, -0x1.66884872c2f0cp-15, -0x1.642e460651f65p-15, -0x1.61d0c34d7a3b5p-15, -0x1.5f6fd2ff1bf47p-15, -0x1.5d0b91f65b179p-15, -0x1.5aa41ee59e08p-15, -0x1.583996542c40ep-15, -0x1.55cc1363ef7a4p-15, -0x1.535bb0a996866p-15, -0x1.50e888e6c317fp-15, -0x1.4e72b727dc42cp-15, -0x1.4bfa56598a72fp-15, -0x1.497f80db5e7d9p-15, -0x1.4702505133cf6p-15, -0x1.4482ddd35583dp-15, -0x1.4201433a33636p-15, -0x1.3f7da2f54c2c6p-15, -0x1.3cf835e597aa4p-15, -0x1.3a70596993566p-15, -0x1.37e71d6e99184p-15, -0x1.355c970224964p-15, -0x1.32cff6fe39e09p-15, -0x1.3041fa2534736p-15, -0x1.2db2952c396f5p-15, -0x1.2b21e239a5c1ep-15, -0x1.28901811bc041p-15, -0x1.25fd4f8bc4e55p-15, -0x1.23690a77ea623p-15, -0x1.20d402b16e1d8p-15, -0x1.1e3e303da0b9ep-15, -0x1.1ba792da8846cp-15, -0x1.191040b159c02p-15, -0x1.1678502c2d357p-15, -0x1.13dfd6cb21eb1p-15, -0x1.1146e9905b9b7p-15, -0x1.0ead9d10a7f3fp-15, -0x1.0c1403fcc0b3dp-15, -0x1.097a2aef5f73dp-15, -0x1.06e027efe0fb6p-15, -0x1.04462090c8c8cp-15, -0x1.01ac23d83612fp-15, -0x1.fe246d54509e3p-16, -0x1.f8f0d7ae74f59p-16, -0x1.f3bdb1c56b8f4p-16, -0x1.ee8b2189806cp-16, -0x1.e9594ba3f0f2cp-16, -0x1.e42854bbd6e72p-16, -0x1.def85fa1082eap-16, -0x1.d9c98ae7c2901p-16, -0x1.d49bf46865b37p-16, -0x1.cf6fbd6075696p-16, -0x1.ca450817bbfeap-16, -0x1.c51bf5996f21cp-16, -0x1.bff4a56a1ea75p-16, -0x1.bacf34433f071p-16, -0x1.b5abbc4e65e19p-16, -0x1.b08a7b536d0e7p-16, -0x1.ab6b30c1c99a9p-16, -0x1.a64ebf36389b5p-16, -0x1.a13438adbee7cp-16, -0x1.9c1c7d935e678p-16, -0x1.9707715117bb1p-16, -0x1.91f52e0d73685p-16, -0x1.8ce5b7b76950dp-16, -0x1.87d9234445ea9p-16, -0x1.82cdfcca7e9ep-16, -0x1.7dc9fd6fc2a04p-16, -0x1.78c72cedefa9ap-16, -0x1.73c7392d9d4a5p-16, -0x1.6ecb3d094e1d7p-16, -0x1.69d2b56e3e7cp-16, -0x1.64ddae9acde61p-16, -0x1.5fec6ef5af5acp-16, -0x1.5aff2146260bbp-16, -0x1.5615c689c5f05p-16, -0x1.5130599c49394p-16, -0x1.4c4ef32d620bdp-16, -0x1.4771ac029022p-16, -0x1.42989fdd8794p-16, -0x1.3dc3e82a2fd67p-16, -0x1.38f395e426fadp-16, -0x1.3427b570c1468p-16, -0x1.2f6059018cd9dp-16, -0x1.2a9d9baf3e6bdp-16, -0x1.25df8aa6202bp-16, -0x1.2126237e63351p-16, -0x1.1c717ecd2d366p-16, -0x1.17c1b8cec47a4p-16, -0x1.1316e05a30fb7p-16, -0x1.0e7101c1c381cp-16, -0x1.09d02ab68b146p-16, -0x1.0534698ea8e78p-16, -0x1.009dcc7eff767p-16, -0x1.f818c1f0b04dcp-17, -0x1.ef006a0bde2ecp-17, -0x1.e5f2c499119f8p-17, -0x1.dcf01651eca1p-17, -0x1.d3f817a6feedp-17, -0x1.cb0ab8a88a377p-17, -0x1.c2285a1f096c8p-17, -0x1.b950e0f50819p-17, -0x1.b084f9586870ap-17, -0x1.a7c4d8e1f7b1bp-17, -0x1.9f0fed25313dbp-17, -0x1.9666210057722p-17, -0x1.8dc899a4be92cp-17, -0x1.8535f79e08989p-17, -0x1.7cae322bb5275p-17, -0x1.7432a4872d011p-17, -0x1.6bc42e17f598fp-17, -0x1.635f0905f765bp-17, -0x1.5b09bfd9946a1p-17, -0x1.52bd65327257cp-17, -0x1.4a7deeeba7dep-17, -0x1.424ab0567132dp-17, -0x1.3a239cca711e1p-17, -0x1.3208c59b07aa2p-17, -0x1.29fa39d0717efp-17, -0x1.21f8063fef6e7p-17, -0x1.1a023a3c6fe8p-17, -0x1.1218e289d04fbp-17, -0x1.0a3c0b61f31dcp-17, -0x1.026bc076df0a3p-17, -0x1.f55019e13e9bcp-18, -0x1.e5e1702b432afp-18, -0x1.d68c16e26b602p-18, -0x1.c74fff4f00864p-18, -0x1.b82dd06105cd1p-18, -0x1.a924c790105bdp-18, -0x1.9a353b29b58dp-18, -0x1.8b5f40c33c594p-18, -0x1.7ca2dbd0b7475p-18, -0x1.6e001710b23b8p-18, -0x1.5f76ff8e922a2p-18, -0x1.5107a5153d087p-18, -0x1.42b21940829ccp-18, -0x1.34766d19d7e61p-18, -0x1.2654ad33c16efp-18, -0x1.184cd43ab5c8cp-18, -0x1.0a5eb6ddfad88p-18, -0x1.f91ed0da75a39p-19, -0x1.dda436128331ep-19, -0x1.c25ff2c5b8cdfp-19, -0x1.a7538af5f4e8cp-19, -0x1.8c79748c95703p-19, -0x1.71d641f63ed0fp-19, -0x1.57634c0e7a34ep-19, -0x1.3d26e7fe46af3p-19, -0x1.231d7ffd3502ep-19, -0x1.094809ebd6e72p-19, -0x1.df4d004308445p-20, -0x1.ac7196d3342cdp-20, -0x1.79ff2b5cbb5c9p-20, -0x1.47f2916c9e1bcp-20, -0x1.164d9bfdaf02p-20, -0x1.ca208638ee522p-21, -0x1.6875cefa22c45p-21, -0x1.0797503d2c81cp-21, -0x1.4f155b77e32b9p-22, -0x1.21050db4577f1p-23, 0x1.629ac7202fb34p-25, 0x1.cf80fcb0e49fbp-23, 0x1.a167623714ef7p-22, 0x1.2cc0f05a828e1p-21, 0x1.8802acf2aff9cp-21, 0x1.e278d41efe5a9p-21, 0x1.1e1205833e141p-20, 0x1.4a81e42794937p-20, 0x1.768e6d54f981fp-20, 0x1.a230530568e19p-20, 0x1.cd755eecbebdp-20, 0x1.f84a414264732p-20, 0x1.11633abb393f5p-19, 0x1.266c389c572edp-19, 0x1.3b3f1de51dafap-19, 0x1.4fe5a9e6ddd74p-19, 0x1.64584ba9f46e3p-19, 0x1.7898f4e8fbfbp-19, 0x1.8caaf6e44662cp-19, 0x1.a08bcf6449b6ap-19, 0x1.b4389ed0a0ab9p-19, 0x1.c7b40b5724968p-19, 0x1.daff3c68f1044p-19, 0x1.ee1a7e6d5c824p-19, 0x1.0082b07e68e26p-18, 0x1.09dfcab3bb254p-18, 0x1.13249c8792011p-18, 0x1.1c512910ff94ep-18, 0x1.2565c8b8f8963p-18, 0x1.2e62bf594bfa3p-18, 0x1.374812282e7efp-18, 0x1.40158f572b13fp-18, 0x1.48cb29cc1e1aap-18, 0x1.51690dae29f76p-18, 0x1.59ef8d4af4a65p-18, 0x1.625eb99b7ca55p-18, 0x1.6ab61922069d1p-18, 0x1.72f6ae06e64ffp-18, 0x1.7b2090460285fp-18, 0x1.833383b31d629p-18, 0x1.8b2f6e40908ep-18, 0x1.9313e4c242b41p-18, 0x1.9ae027bf50d3ap-18, 0x1.a2993ceb82b3cp-18, 0x1.aa3a3cfd89d8bp-18, 0x1.b1c49826c9e62p-18, 0x1.b9390890c400ap-18, 0x1.c097a3458eef9p-18, 0x1.c7dfa1779dd85p-18, 0x1.cf1112304e314p-18, 0x1.d62cc1104f07fp-18, 0x1.dd32e8f49e74fp-18, 0x1.e423588074dfap-18, 0x1.eafe1ba12c944p-18, 0x1.f1c3639ee1d64p-18, 0x1.f8734fd1dbf19p-18, 0x1.ff0df9df82918p-18, 0x1.02c9bb657c9f4p-17, 0x1.0601ece13b817p-17, 0x1.092f9b6e15f09p-17, 0x1.0c52d2613a721p-17, 0x1.0f6b9f2927df3p-17, 0x1.127a148790765p-17, 0x1.157e5ae446a7ap-17, 0x1.187885b2572cbp-17, 0x1.1b6899d291ee8p-17, 0x1.1e4ea70634bb6p-17, 0x1.212ab4d58bab9p-17, 0x1.23fcbd2467a29p-17, 0x1.26c4a73a5dfe1p-17, 0x1.2982c6e74bd12p-17, 0x1.2c36da04ff7dfp-17, 0x1.2ee1330ef064bp-17, 0x1.3182123df14c7p-17, 0x1.34198abef9be8p-17, 0x1.36a73fcb866eap-17, 0x1.392a12e53a4f4p-17, 0x1.3ba48976c97fcp-17, 0x1.3e161de973a29p-17, 0x1.407d9266a3362p-17, 0x1.42dd9395b5f6p-17, 0x1.453358e354bc4p-17, 0x1.477f2d8536acp-17, 0x1.49c1f4acff08ap-17, 0x1.4bfbbe68807afp-17, 0x1.4e2c7e9352648p-17, 0x1.50543a5473607p-17, 0x1.52731b695e197p-17, 0x1.548957f0f3493p-17, 0x1.56971151dfbbfp-17, 0x1.589bdfa416c05p-17, 0x1.5a9847e1251d1p-17, 0x1.5c8be1cc0c966p-17, 0x1.5e76e561f6985p-17, 0x1.605966b6eca01p-17, 0x1.62340ad1f6428p-17, 0x1.6405a73ac79afp-17, 0x1.65ce9698cf2c5p-17, 0x1.678f864e4d245p-17, 0x1.6948bc4006009p-17, 0x1.6af9f075b177ap-17, 0x1.6ca2cb5146033p-17, 0x1.6e436b95e4c4ap-17, 0x1.6fdc0964bff81p-17, 0x1.716cf6bd965d3p-17, 0x1.72f5ee8e07a1ap-17, 0x1.74773b70ac1cdp-17, 0x1.75f0cacf498fep-17, 0x1.7762ad6236d7ap-17, 0x1.78ccf99534cb2p-17, 0x1.7a2fc35ab13a7p-17, 0x1.7b8b12b1060fap-17, 0x1.7cdee66c1eb0dp-17, 0x1.7e2ac4dd4d899p-17, 0x1.7f6fc11400955p-17, 0x1.80adfaa30c41fp-17, 0x1.81e4628c46ad4p-17, 0x1.831377b45edbep-17, 0x1.843ba72fc4016p-17, 0x1.855ce37206807p-17, 0x1.86773e5f7c31ap-17, 0x1.878ad76bcdda7p-17, 0x1.88975af130222p-17, 0x1.899ce4d22f879p-17, 0x1.8a9b9e13be9d4p-17, 0x1.8b93c4a31ef6bp-17, 0x1.8c855491b435cp-17, 0x1.8d708c796f435p-17, 0x1.8e555e9791b76p-17, }}, 
      {{0x1.737b80e4dec15p-2, 0x1.33e5293893ec7p-2, 0x1.3d5e9dc3a5ac9p-6, -0x1.06fb7a6bc3058p-2, -0x1.b561155f913afp-2, -0x1.eea179393bc8ap-2, -0x1.d5d737246e9b7p-2, -0x1.970dd32ccdd1cp-2, -0x1.55e36565f924ep-2, -0x1.28212cddc1ba8p-2, -0x1.16b227ebac8b3p-2, -0x1.211f556c4cb01p-2, -0x1.4167cdd2c4893p-2, -0x1.6f34573852655p-2, -0x1.a216a02f2ff62p-2, -0x1.d2dfa213c3be1p-2, -0x1.fc3e65a00b8b6p-2, -0x1.0d6fed0fc1811p-1, -0x1.16a0adcfae108p-1, -0x1.19add34086564p-1, -0x1.17201fcb2f7d4p-1, -0x1.0fdcd7ea24578p-1, -0x1.04fbd651b0a28p-1, -0x1.ef4b2df25dfdp-2, -0x1.d1f32e5881959p-2, -0x1.b3f8ec482b3d8p-2, -0x1.97198e895d53fp-2, -0x1.7cbab3bbbb63cp-2, -0x1.65e775f0c1b34p-2, -0x1.53539fe0702eap-2, -0x1.45631ffc665dfp-2, -0x1.3c341e6842a6fp-2, -0x1.37aa70f741857p-2, -0x1.377b742b3a0e2p-2, -0x1.3b3991d15541cp-2, -0x1.425ef443da15ap-2, -0x1.4c5711fe4c1b1p-2, -0x1.5886e548d3ba4p-2, -0x1.6653bdfe802a9p-2, -0x1.7528b05bea029p-2, -0x1.847ab909f6bf7p-2, -0x1.93cbb446d2c9p-2, -0x1.a2ac4da659d8ep-2, -0x1.b0bd06dc58988p-2, -0x1.bdae91b89a5d7p-2, -0x1.c94193cf1e23ep-2, -0x1.d345f2d76a80ap-2, -0x1.db99d81a1cc6p-2, -0x1.e22875b3c306fp-2, -0x1.e6e8af94c3daep-2, -0x1.e9dbafb8f492dp-2, -0x1.eb0b76aa6aac9p-2, -0x1.ea89731e49318p-2, -0x1.e86d296428c73p-2, -0x1.e4d2f00239b05p-2, -0x1.dfdac4df8a802p-2, -0x1.d9a73d81b5b9bp-2, -0x1.d25c944a5740ap-2, -0x1.ca1fd3bafa602p-2, -0x1.c1161f910d683p-2, -0x1.b7641a47ed817p-2, -0x1.ad2d64e2b52ebp-2, -0x1.a29436998f6cap-2, -0x1.97b90a0f8e333p-2, -0x1.8cba5e0c90e9fp-2, -0x1.81b487a713ff7p-2, -0x1.76c193f8ff421p-2, -0x1.6bf93734e3cc6p-2, -0x1.6170c7177b919p-2, -0x1.573b3ec1ef7f8p-2, -0x1.4d694a18e27cbp-2, -0x1.440957599b447p-2, -0x1.3b27ad5a94f03p-2, -0x1.32ce859d3b1bcp-2, -0x1.2b062917a3b34p-2, -0x1.23d50f0dbe746p-2, -0x1.1d3ffd30d6b1cp-2, -0x1.174a28858447dp-2, -0x1.11f5565a5a06ep-2, -0x1.0d41fd1204e6cp-2, -0x1.092f641b701a8p-2, -0x1.05bbc309ac85p-2, -0x1.02e45f6a55d09p-2, -0x1.00a5a93474b01p-2, -0x1.fdf6abb9a936dp-3, -0x1.fbc0f3545380cp-3, -0x1.fa9f3f6aff145p-3, -0x1.fa85c019acfafp-3, -0x1.fb67e8fe9271fp-3, -0x1.fd389749556f2p-3, -0x1.ffea351d44f43p-3, -0x1.01b76cd491638p-2, -0x1.03dc336aa6d0ep-2, -0x1.065c51ccdcf89p-2, -0x1.0930aa47af7efp-2, -0x1.0c5228790578ap-2, -0x1.0fb9cb42436dap-2, -0x1.1360aceebdc82p-2, -0x1.17400b063d0c8p-2, -0x1.1b514c6499596p-2, -0x1.1f8e07283ce5cp-2, -0x1.23f0051a4bd8p-2, -0x1.287147c41afeep-2, -0x1.2d0c0bb854223p-2, -0x1.31bacac04b09cp-2, -0x1.36783e67a8a12p-2, -0x1.3b3f60a827999p-2, -0x1.400b6d60ec0dfp-2, -0x1.44d7e28b0c4bfp-2, -0x1.49a07ffa1ed82p-2, -0x1.4e6147be355dbp-2, -0x1.53167c9bb4acdp-2, -0x1.57bca1b2c61ep-2, -0x1.5c507961d6321p-2, -0x1.60cf031e16709p-2, -0x1.65357ae9812d1p-2, -0x1.698156fccbcf8p-2, -0x1.6db0459a639b3p-2, -0x1.71c02c325ce8p-2, -0x1.75af2453e4281p-2, -0x1.797b79a0837e1p-2, -0x1.7d23a8b709c43p-2, -0x1.80a65bce4c59p-2, -0x1.840268bc299fep-2, -0x1.8736cfe5b1d58p-2, -0x1.8a42b8c4ed871p-2, -0x1.8d256fdca0f12p-2, -0x1.8fde65eec83b4p-2, -0x1.926d2cb17b236p-2, -0x1.94d1747295262p-2, -0x1.970b0bae04466p-2, -0x1.9919dc597d68fp-2, -0x1.9afde907e7459p-2, -0x1.9cb74c9db5cd8p-2, -0x1.9e4638b0ffa9cp-2, -0x1.9faaf257ea46dp-2, -0x1.a0e5d155968cep-2, -0x1.a1f73fba00edp-2, -0x1.a2dfb7244eafep-2, -0x1.a39fbed71c8dp-2, -0x1.a437ebe22387dp-2, -0x1.a4a8dfddfdecap-2, -0x1.a4f346521236cp-2, -0x1.a517d4091b7b4p-2, -0x1.a517473e6658bp-2, -0x1.a4f265e42b104p-2, -0x1.a4a9fbadee0aap-2, -0x1.a43eda090e2bbp-2, -0x1.a3b1d81ee3fafp-2, -0x1.a303d1237edd2p-2, -0x1.a235a2e78f8cp-2, -0x1.a1482e096d085p-2, -0x1.a03c55f46ad61p-2, -0x1.9f12ff75063c8p-2, -0x1.9dcd0f92765a8p-2, -0x1.9c6b6bc18dd85p-2, -0x1.9aeefa092c7b3p-2, -0x1.99589ff7b1b1bp-2, -0x1.97a941994c594p-2, -0x1.95e1c187fb155p-2, -0x1.9403013cbecc2p-2, -0x1.920de07c1c8a8p-2, -0x1.90033c64641f9p-2, -0x1.8de3ef3f0622dp-2, -0x1.8bb0d0dd984c6p-2, -0x1.896ab6848cb77p-2, -0x1.87127235e0059p-2, -0x1.84a8d24188749p-2, -0x1.822ea17675192p-2, -0x1.7fa4a763b3435p-2, -0x1.7d0ba8137e035p-2, -0x1.7a646388ac20dp-2, -0x1.77af95a15e66bp-2, -0x1.74edf6588c61ap-2, -0x1.722039ee0a10dp-2, -0x1.6f4710a755aefp-2, -0x1.6c63267f3a83ep-2, -0x1.69752327a234bp-2, -0x1.667daa455a01ep-2, -0x1.637d5b93bb5dbp-2, -0x1.6074d2be021ddp-2, -0x1.5d64a72d5aec3p-2, -0x1.5a4d6c1059c9bp-2, -0x1.572fb08cbec1ap-2, -0x1.540bffe88e7b1p-2, -0x1.50e2e17ee8cf6p-2, -0x1.4db4d8a05c1cbp-2, -0x1.4a8264968bdbep-2, -0x1.474c00c8f390bp-2, -0x1.441224e8499ddp-2, -0x1.40d544fe9c322p-2, -0x1.3d95d16153f49p-2, -0x1.3a5436add27bp-2, -0x1.3710dddfa09b6p-2, -0x1.33cc2c760cd32p-2, -0x1.30868496188ap-2, -0x1.2d404511b6ba3p-2, -0x1.29f9c96309ae1p-2, -0x1.26b369b748ae7p-2, -0x1.236d7b08438c7p-2, -0x1.20284f3d9d554p-2, -0x1.1ce4354869bdap-2, -0x1.19a1792aec36p-2, -0x1.166063fb637aap-2, -0x1.13213bf27c553p-2, -0x1.0fe44481f40ap-2, -0x1.0ca9be708fec9p-2, -0x1.0971e7f374ee5p-2, -0x1.063cfcb911427p-2, -0x1.030b35ef09b16p-2, -0x1.ffb9949fcb1f4p-3, -0x1.f963dc6bb70cdp-3, -0x1.f315a76282d98p-3, -0x1.eccf55401c40ap-3, -0x1.e691417943338p-3, -0x1.e05bc34a08ebdp-3, -0x1.da2f2dcbfead3p-3, -0x1.d40bd0150b62ep-3, -0x1.cdf1f559a5693p-3, -0x1.c7e1e513fc57p-3, -0x1.c1dbe327534abp-3, -0x1.bbe02ff3faf67p-3, -0x1.b5ef0867b015ap-3, -0x1.b008a615c070dp-3, -0x1.aa2d3f52415ecp-3, -0x1.a45d074ec5c8dp-3, -0x1.9e982e3a7232dp-3, -0x1.98dee15dc7e45p-3, -0x1.93314b2bb268ap-3, -0x1.8d8f9351a086ep-3, -0x1.87f9decd1e5d1p-3, -0x1.827050027bc1ep-3, -0x1.7cf306d3c4756p-3, -0x1.778220ba12d93p-3, -0x1.721db8dd3c729p-3, -0x1.6cc5e823f570dp-3, -0x1.677ac541b4f03p-3, -0x1.623c64c86c3d7p-3, -0x1.5d0ad93b5874ep-3, -0x1.57e633211e0ccp-3, -0x1.52ce8116ed231p-3, -0x1.4dc3cfe495ed2p-3, -0x1.48c62a8cbf984p-3, -0x1.43d59a58f5138p-3, -0x1.3ef226e6f8301p-3, -0x1.3a1bd6382c6fbp-3, -0x1.3552acc074352p-3, -0x1.3096ad748d88ap-3, -0x1.2be7d9d94d66ep-3, -0x1.274632130a8f5p-3, -0x1.22b1b4f1fcfd6p-3, -0x1.1e2a5ffc54711p-3, -0x1.19b02f798e436p-3, -0x1.15431e7ee91bp-3, -0x1.10e326fb2c38cp-3, -0x1.0c9041c1e1272p-3, -0x1.084a66970dd53p-3, -0x1.04118c3b342f1p-3, -0x1.ffcb50eb5700ep-4, -0x1.f78d603a18c08p-4, -0x1.ef692e403bd4fp-4, -0x1.e75ea11f44cadp-4, -0x1.df6d9d4fa2704p-4, -0x1.d79605b27db9bp-4, -0x1.cfd7bba333738p-4, -0x1.c8329f09d08e2p-4, -0x1.c0a68e6cb445ep-4, -0x1.b93366ff6487ap-4, -0x1.b1d904b01ce1p-4, -0x1.aa9742369bdbdp-4, -0x1.a36df92360f08p-4, -0x1.9c5d01ee2029p-4, -0x1.956434034a34bp-4, -0x1.8e8365d18f8efp-4, -0x1.87ba6cd7d4105p-4, -0x1.81091db294b3fp-4, -0x1.7a6f4c2765e2cp-4, -0x1.73eccb2fb87fap-4, -0x1.6d816d044e856p-4, -0x1.672d0328e7695p-4, -0x1.60ef5e775018ap-4, -0x1.5ac84f29d5288p-4, -0x1.54b7a4e56717ap-4, -0x1.4ebd2ec3efd13p-4, -0x1.48d8bb5ea5e6cp-4, -0x1.430a18d75409bp-4, -0x1.3d5114e0b602cp-4, -0x1.37ad7cc6fed4ep-4, -0x1.321f1d789c452p-4, -0x1.2ca5c38ebc492p-4, -0x1.27413b555c6a4p-4, -0x1.21f150d2f1307p-4, -0x1.1cb5cfcfe4bcep-4, -0x1.178e83de33a6bp-4, -0x1.127b3860d37bdp-4, -0x1.0d7bb89268471p-4, -0x1.088fcf8b7219fp-4, -0x1.03b748489607fp-4, -0x1.fde3db6203be1p-5, -0x1.f47f153945549p-5, -0x1.eb3fd3b415437p-5, -0x1.e225ac680dc3dp-5, -0x1.d93034edd4be6p-5, -0x1.d05f02eba77d9p-5, -0x1.c7b1ac1fe1cd7p-5, -0x1.bf27c66ad3c69p-5, -0x1.b6c0e7d7e6f9p-5, -0x1.ae7ca6a6968e8p-5, -0x1.a65a99533b16cp-5, -0x1.9e5a569f9867dp-5, -0x1.967b759afdb7bp-5, -0x1.8ebd8daa0d65bp-5, -0x1.8720368e41368p-5, -0x1.7fa3086d369ep-5, -0x1.78459bd7e0a6bp-5, -0x1.710789d16674ep-5, -0x1.69e86bd5815eep-5, -0x1.62e7dbde54428p-5, -0x1.5c05746a42271p-5, -0x1.5540d081a155ep-5, -0x1.4e998bbc4656bp-5, -0x1.480f4246c9f5fp-5, -0x1.41a190e782972p-5, -0x1.3b5015031ee2p-5, -0x1.351a6ca1244a4p-5, -0x1.2f0036702cd96p-5, -0x1.290111ca200bfp-5, -0x1.231c9eb80caf6p-5, -0x1.1d527df5ba44dp-5, -0x1.17a250f50bf25p-5, -0x1.120bb9e14f668p-5, -0x1.0c8e5ba27536fp-5, -0x1.0729d9e01201cp-5, -0x1.01ddd90429057p-5, -0x1.f953fc7b7cdc4p-6, -0x1.ef1bdf0674443p-6, -0x1.e512a7290d4e3p-6, -0x1.db37a3fa449cfp-6, -0x1.d18a262bf89dfp-6, -0x1.c809800e5ec66p-6, -0x1.beb5059306d0ep-6, -0x1.b58c0c4ff5344p-6, -0x1.ac8deb82a87dbp-6, -0x1.a3b9fc134612fp-6, -0x1.9b0f989789081p-6, -0x1.928e1d5569e29p-6, -0x1.8a34e8451aa92p-6, -0x1.8203591271fe3p-6, -0x1.79f8d11d45322p-6, -0x1.7214b37931605p-6, -0x1.6a5664ecf55cbp-6, -0x1.62bd4bf1aa8f9p-6, -0x1.5b48d0b27d2e8p-6, -0x1.53f85d0d2db71p-6, -0x1.4ccb5c93d5671p-6, -0x1.45c13c8f86f6cp-6, -0x1.3ed96c036c93ap-6, -0x1.38135baf5ca3cp-6, -0x1.316e7e111181cp-6, -0x1.2aea4763013bep-6, -0x1.24862d98aa6a7p-6, -0x1.1e41a85870261p-6, -0x1.181c30f40c4bfp-6, -0x1.121542612b46dp-6, -0x1.0c2c5933df503p-6, -0x1.0660f39c6e313p-6, -0x1.00b291698e1p-6, -0x1.f641681d78473p-7, -0x1.eb55bd5b182f7p-7, -0x1.e0a12c3eaa0fp-7, -0x1.d622c1f862285p-7, -0x1.cbd98f38d69f8p-7, -0x1.c1c4a824cb1b5p-7, -0x1.b7e32438fcefdp-7, -0x1.ae341e213ad74p-7, -0x1.a4b6b389db851p-7, -0x1.9b6a04f51031ap-7, -0x1.924d359e895d7p-7, -0x1.895f6b757a2f4p-7, -0x1.809fcf30c9bdep-7, -0x1.780d8c7bc0cc9p-7, -0x1.6fa7d23217f4ap-7, -0x1.676dd29e5217cp-7, -0x1.5f5ec3a9a0047p-7, -0x1.5779deee27fbap-7, -0x1.4fbe61a152c7cp-7, -0x1.482b8c53a3ac8p-7, -0x1.40c0a28dfd13p-7, -0x1.397cea5c7d2dcp-7, -0x1.325fabdedf7a1p-7, -0x1.2b6830f6c1defp-7, -0x1.2495c529e80b2p-7, -0x1.1de7b5c3fe01fp-7, -0x1.175d52373e098p-7, -0x1.10f5ecac635f1p-7, -0x1.0ab0daa64448cp-7, -0x1.048d7594f3cc7p-7, -0x1.fd1636693ac15p-8, -0x1.f1525b371f905p-8, -0x1.e5ce25d3c9b28p-8, -0x1.da8869415c45p-8, -0x1.cf7ffd70c858cp-8, -0x1.c4b3bd4059329p-8, -0x1.ba2284b1c08f8p-8, -0x1.afcb2fbdc8c9fp-8, -0x1.a5ac9a0fa99d2p-8, -0x1.9bc59fc5c594ep-8, -0x1.92151f2549e03p-8, -0x1.8899fafd459b5p-8, -0x1.7f531d4a0ee19p-8, -0x1.763f7992a3447p-8, -0x1.6d5e0e7b9e66bp-8, -0x1.64ade62c84dedp-8, -0x1.5c2e155881d6dp-8, -0x1.53ddb8fdf74ap-8, -0x1.4bbbf3336aec2p-8, -0x1.43c7e78e872edp-8, -0x1.3c00b7cf76ba8p-8, -0x1.346581775b6b3p-8, -0x1.2cf55ccabf16bp-8, -0x1.25af5d80cc3edp-8, -0x1.1e92950f7e839p-8, -0x1.179e1638682e5p-8, -0x1.10d0f93b2dac3p-8, -0x1.0a2a5ff12de5fp-8, -0x1.03a979122ea1fp-8, -0x1.fa9b0404eda37p-9, -0x1.ee2b8d850fcbp-9, -0x1.e2033fd6ccfc8p-9, -0x1.d620ddf14f4bdp-9, -0x1.ca8332ec59a5cp-9, -0x1.bf2907c6e1404p-9, -0x1.b4111a6c18643p-9, -0x1.a93a179b9c834p-9, -0x1.9ea298d25baa9p-9, -0x1.94492690ea1a5p-9, -0x1.8a2c3e8c23f31p-9, -0x1.804a5caac5666p-9, -0x1.76a2054663833p-9, -0x1.6d31cf081bac2p-9, -0x1.63f86ad94eb52p-9, -0x1.5af4a8b873962p-9, -0x1.522578b41836dp-9, -0x1.4989e7d47a142p-9, -0x1.4121194cfe843p-9, -0x1.38ea3ce76103ap-9, -0x1.30e4842388372p-9, -0x1.290f17df0f20ep-9, -0x1.21691059634adp-9, -0x1.19f171000f2bcp-9, -0x1.12a728a8dd6c6p-9, -0x1.0b8915ef499c9p-9, -0x1.04960e9f4106fp-9, -0x1.fb99d13f729c1p-10, -0x1.ee59058dfe757p-10, -0x1.e1679895aed23p-10, -0x1.d4c393e3a651bp-10, -0x1.c86b314807d8ap-10, -0x1.bc5cdab4d6499p-10, -0x1.b097255a8474bp-10, -0x1.a518c8c7f5159p-10, -0x1.99e092ff48408p-10, -0x1.8eed5abd43c7dp-10, -0x1.843df1a672208p-10, -0x1.79d118800ff3cp-10, -0x1.6fa577a310fb3p-10, -0x1.65b99d30aa5d2p-10, -0x1.5c0c014b15f0dp-10, -0x1.529b0f2a1b211p-10, -0x1.496530cbf3702p-10, -0x1.4068da85b1f64p-10, -0x1.37a493dc212e7p-10, -0x1.2f16fbc795de4p-10, -0x1.26bec7ca39e35p-10, -0x1.1e9abedffa81ap-10, -0x1.16a9b2c98fd21p-10, -0x1.0eea7ac762f68p-10, -0x1.075bf21949f95p-10, -0x1.fff9f53c10ad7p-11, -0x1.f1990383bb546p-11, -0x1.e393094c52bbbp-11, -0x1.d5e6218867a68p-11, -0x1.c890801d647d4p-11, -0x1.bb9063c6284c9p-11, -0x1.aee407e1757cbp-11, -0x1.a2899d78bf2a3p-11, -0x1.967f50333dd01p-11, -0x1.8ac35615dc12ap-11, -0x1.7f540244188e5p-11, -0x1.742fcf320342dp-11, -0x1.695556eabc45bp-11, -0x1.5ec337d7bce15p-11, -0x1.5477ee3dfc227p-11, -0x1.4a71b17e55ff3p-11, -0x1.40ae64e19ffe3p-11, -0x1.372ba5de37098p-11, -0x1.2de6f76538dc9p-11, -0x1.24ddfe741d8b9p-11, -0x1.1c0ebc19a86d2p-11, -0x1.1377afa9e101cp-11, -0x1.0b17d2e1587e4p-11, -0x1.02ee708ad7867p-11, -0x1.f5f5cf1b1c045p-12, -0x1.e678ee10cd7d8p-12, -0x1.d76458fe60907p-12, -0x1.c8b5f56df4d65p-12, -0x1.ba6bd0708dbc6p-12, -0x1.ac846cdc1875cp-12, -0x1.9efecdfe42e45p-12, -0x1.91da30d853dafp-12, -0x1.851590585bd0fp-12, -0x1.78af272118bc6p-12, -0x1.6ca41cf33ff39p-12, -0x1.60f079e8484c4p-12, -0x1.558f668ac166ap-12, -0x1.4a7bb1b910352p-12, -0x1.3fb08a8bdf8f4p-12, -0x1.352a393dd5189p-12, -0x1.2ae69b007b89ap-12, -0x1.20e518cffad8ap-12, -0x1.1726155d602eep-12, -0x1.0daa04b0ae304p-12, -0x1.0470aaad39684p-12, -0x1.f6f1bebf99c89p-13, -0x1.e581d7daa15a9p-13, -0x1.d48e6d615a9efp-13, -0x1.c415a0a3a5b4p-13, -0x1.b41726d80bf2fp-13, -0x1.a4939dd9dc9fcp-13, -0x1.958b5ecfd8e89p-13, -0x1.86fd6c256795cp-13, -0x1.78e6e837d5d7ep-13, -0x1.6b4317500740dp-13, -0x1.5e0ba42c519cbp-13, -0x1.5138f841cc60cp-13, -0x1.44c2ce683b8a8p-13, -0x1.38a14449fedecp-13, -0x1.2cce55a898e94p-13, -0x1.21471d403f6c1p-13, -0x1.160bffbdf7a73p-13, -0x1.0b1f62c62962ep-13, -0x1.00838920ef41ep-13, -0x1.ec71af5db252fp-14, -0x1.d87afae3191afp-14, -0x1.c51ce7f72624dp-14, -0x1.b251f792eab08p-14, -0x1.a0175eef584d2p-14, -0x1.8e6d70d8b183bp-14, -0x1.7d563cdfb1996p-14, -0x1.6cd32ad64d2f2p-14, -0x1.5ce30b46ec8fep-14, -0x1.4d81caa979cacp-14, -0x1.3ea99d47005aep-14, -0x1.30545a07eeaacp-14, -0x1.227bd4712eefbp-14, -0x1.15191d304f2e1p-14, -0x1.0823b31bef58cp-14, -0x1.f723e36170c7p-15, -0x1.deb6337d60251p-15, -0x1.c6f3b911ceb82p-15, -0x1.afdb2fe7ab093p-15, -0x1.99724fd90def5p-15, -0x1.83bfe43de5072p-15, -0x1.6ec672bd58f7dp-15, -0x1.5a82b930bddabp-15, -0x1.46edb73baa23bp-15, -0x1.34001825046d6p-15, -0x1.21b592a9c9736p-15, -0x1.100ea6ce1747dp-15, -0x1.fe1d2bd458708p-16, -0x1.dd6cfd8aa9563p-16, -0x1.be043ea8789b6p-16, -0x1.9fd1d103939abp-16, -0x1.82c3052d08014p-16, -0x1.66c950544d384p-16, -0x1.4bdc3fb25a428p-16, -0x1.31f8205079363p-16, -0x1.191a35df6eac3p-16, -0x1.013bf8fcf154dp-16, -0x1.d4a04ae86d2cp-17, -0x1.a8875da2ebeecp-17, -0x1.7e03933d1ae2fp-17, -0x1.54f213bb4b624p-17, -0x1.2d40b0d8e3fbdp-17, -0x1.06f29da7077f8p-17, -0x1.c433ca84fb214p-18, -0x1.7d8dce4f3ed62p-18, -0x1.39ef829dec37cp-18, -0x1.f25bcb201470cp-19, -0x1.76415a5fba283p-19, -0x1.ff31066963d08p-20, -0x1.1d3dcdbd095ecp-20, -0x1.1ac05fe54b457p-22, 0x1.0a656fd714456p-21, 0x1.477333fb0839ap-20, 0x1.0071f6dae9194p-19, 0x1.58fe3aa67bd25p-19, 0x1.ad7c12884ad7bp-19, 0x1.fdfae0a9cb694p-19, 0x1.253e22c01ec7p-18, 0x1.4976d242c5112p-18, 0x1.6b9686df23bc6p-18, 0x1.8b9060ab4138dp-18, 0x1.a96ad4e946f2ep-18, 0x1.c54cb8ab5d0a3p-18, 0x1.df8499371720ap-18, 0x1.f8766364878cap-18, 0x1.082fa688c2d06p-17, 0x1.139175a216c6p-17, 0x1.1e36b0966bd3ep-17, 0x1.280a2950872d8p-17, 0x1.31214be2f2362p-17, 0x1.399913edd81ddp-17, 0x1.416d3dc0bd0b1p-17, 0x1.4887007cc3b75p-17, 0x1.4ee44de387ee1p-17, 0x1.549c64c259643p-17, 0x1.59c9f7935be9ep-17, 0x1.5e7cd66bfa4dbp-17, 0x1.62ba22f20e16ep-17, 0x1.66821b8256dc3p-17, 0x1.69d51025d3dadp-17, 0x1.6cb5a09d96773p-17, 0x1.6f27ecaae9563p-17, 0x1.712e2dd3fcd28p-17, 0x1.72c50458542aap-17, 0x1.73e33fdd8d92ap-17, 0x1.747ed7178055cp-17, 0x1.7493bd22a1e3cp-17, 0x1.742a318303fcfp-17, 0x1.735f2a3a1d68p-17, 0x1.726090c3ef1f1p-17, 0x1.7145fa2cf48e6p-17, 0x1.6ff18dfd6f148p-17, 0x1.6e3a2c157361bp-17, 0x1.6c2712223af91p-17, 0x1.69db1d272b59ap-17, 0x1.6756a91a14905p-17, 0x1.647ea0fd4a57ap-17, 0x1.614d713e8b84dp-17, 0x1.5dd5f7aa7602ep-17, 0x1.5a2a92e227075p-17, 0x1.56532393b3663p-17, 0x1.5250b3c05a4a1p-17, 0x1.4e22584a6154ap-17, 0x1.49c77bf0ad10bp-17, 0x1.454079d3d2e41p-17, 0x1.408ebc8798c0bp-17, 0x1.3bb4c2b8a8188p-17, 0x1.36b5ad05c8819p-17, 0x1.3193dd32dac3bp-17, 0x1.2c4f169344023p-17, 0x1.26e3e7b757fbcp-17, 0x1.214de36122072p-17, 0x1.1b8a970eb80dcp-17, 0x1.15998092fc787p-17, 0x1.0f7f5765eca27p-17, 0x1.095144f55d2abp-17, 0x1.0325d23d287a1p-17, 0x1.f9de5018c68a7p-18, 0x1.ed2c131b7c975p-18, 0x1.e055878713156p-18, 0x1.d37cde6e2c795p-18, 0x1.c678fe2f2f715p-18, 0x1.b92d0a202512p-18, 0x1.abb108d851b11p-18, 0x1.9e208d15484ddp-18, 0x1.90846e75de478p-18, 0x1.82db5bdfbfd17p-18, 0x1.7522c93c95639p-18, 0x1.6759a67f86c78p-18, 0x1.598090ab62d2bp-18, 0x1.4b99177208029p-18, 0x1.3da4e395aed54p-18, 0x1.2fa5a8105b668p-18, 0x1.219d33dc799bbp-18, 0x1.138db2f1121edp-18, 0x1.05798d9f00c1cp-18, 0x1.eec541c89b465p-19, 0x1.d29232662cdd5p-19, 0x1.b659bcdb421c9p-19, 0x1.9a1cf037636dep-19, 0x1.7ddac24a117c8p-19, 0x1.6186766c04ba3p-19, 0x1.45156b0af965dp-19, 0x1.28a01b419e8e9p-19, 0x1.0c5aeaf18f69bp-19, 0x1.e05c1440c9ce9p-20, 0x1.a84c215f96b98p-20, 0x1.70b5be54f0365p-20, 0x1.3910a68a92839p-20, 0x1.013c4af6ee194p-20, 0x1.931fa3dce637bp-21, 0x1.246fd2c2092cep-21, 0x1.6cccfbf4543b2p-22, 0x1.23bc8f868c65ep-23, -0x1.2010ae29463dbp-24, -0x1.20defd0f10681p-22, -0x1.f8ab3481931fcp-22, -0x1.67ae1a2ae9e5ap-21, -0x1.d271d30638d57p-21, -0x1.1e4d0df1308dbp-20, -0x1.5310d849abd11p-20, -0x1.87826ff399c44p-20, -0x1.bba06240efba3p-20, -0x1.ef68dcda71d3bp-20, -0x1.116c7e0c798b2p-19, -0x1.2af66c9b30725p-19, -0x1.445060e46a49bp-19, -0x1.5d79521c0de8bp-19, -0x1.767044ee6c742p-19, -0x1.8f3291944b72fp-19, -0x1.a7c1e28435047p-19, -0x1.c031eebae82fp-19, -0x1.d88d055eaa9edp-19, -0x1.f0ad1ba65ab32p-19, -0x1.04412cb51769p-18, -0x1.100501a83a93p-18, -0x1.1bafd073151cap-18, -0x1.274d72648c968p-18, -0x1.32d2461a9d9fdp-18, -0x1.3e37cce5d8e8dp-18, -0x1.497ed34eb1b84p-18, -0x1.54a8f395ff8cdp-18, -0x1.5fb6f7fcf8dd9p-18, -0x1.6aa9171a1ab09p-18, -0x1.757f457b425e6p-18, -0x1.80395e5bfa195p-18, -0x1.8ad733f8b060ap-18, -0x1.955896cebf748p-18, -0x1.9fbd5aba6e90dp-18, -0x1.aa055c12dbe9ep-18, -0x1.b430848478711p-18, -0x1.be3ecdccda07fp-18, -0x1.c8303ecfed729p-18, -0x1.d204e00f349p-18, -0x1.dbbca9e967bcap-18, -0x1.e55777696fa1fp-18, -0x1.eed50c9f09491p-18, -0x1.f83537b70a406p-18, -0x1.00bbfa6f2eb2bp-17, -0x1.054ea6a207586p-17, -0x1.09d278a3beed1p-17, -0x1.0e4777271e3f4p-17, -0x1.12af643a8ff81p-17, -0x1.170bc4100d2d2p-17, -0x1.1b586ce9e9f58p-17, -0x1.1f93490e2fbdep-17, -0x1.23c010e709a24p-17, -0x1.27e0f1b87ee21p-17, -0x1.2bf371b97cbbp-17, -0x1.2ff6f35efa7c1p-17, -0x1.33ebe8645a858p-17, -0x1.37d29f1969b15p-17, -0x1.3bab391ddcf5ep-17, -0x1.3f75c6b5f7366p-17, -0x1.433253decd095p-17, -0x1.46e0ecd066799p-17, -0x1.4a819f58458fcp-17, -0x1.4e147a3f7168ep-17, -0x1.51998aa911115p-17, -0x1.5510db8503143p-17, -0x1.587a7bb4a5f43p-17, -0x1.5bd6824a1ea8cp-17, -0x1.5f25070a99ac7p-17, -0x1.62661a435c976p-17, -0x1.6599c871474d2p-17, -0x1.68c02070d9dcbp-17, -0x1.6bd93217e4ap-17, -0x1.6ee509bd578e8p-17, -0x1.71e3b646e13bfp-17, -0x1.74d5575e2b66p-17, -0x1.77ba0ec3d7035p-17, -0x1.7a91f51f44ebdp-17, -0x1.7d5d1aced660ep-17, -0x1.801b78182cd1fp-17, -0x1.82ccfee36a2eap-17, -0x1.8572231ff58f3p-17, -0x1.880b2d4ec2152p-17, -0x1.8a975447b4a13p-17, -0x1.8d174ec91d16ep-17, -0x1.8f8b42d068f38p-17, -0x1.91f2e070eb696p-17, -0x1.944e61c4a5ad6p-17, -0x1.969df9de630c6p-17, -0x1.98e1bec0a8e9cp-17, -0x1.9b19c01b943acp-17, -0x1.9d4610cd00758p-17, -0x1.9f66c6c644982p-17, -0x1.a17bf94d927ep-17, -0x1.a385bfec4ab76p-17, -0x1.a5843202eda03p-17, -0x1.a77766bdf0219p-17, -0x1.a95f753ef3cecp-17, -0x1.ab3c74bede82fp-17, -0x1.ad0e7c81c9fdap-17, -0x1.aed5a3bc5d791p-17, -0x1.b092018732edp-17, -0x1.b243ad03a9a1bp-17, -0x1.b3eabf7456fddp-17, -0x1.b58758b211995p-17, -0x1.b7197f521a1f6p-17, -0x1.b8a146d4603a5p-17, -0x1.ba1ec56aba2f4p-17, -0x1.bb9225a699c65p-17, -0x1.bcfb7775d4bebp-17, -0x1.be5acf941b877p-17, -0x1.bfb045d1db77cp-17, -0x1.c0fbf1e3a7155p-17, -0x1.c23deb134a91cp-17, -0x1.c3764a04f9f5ap-17, -0x1.c4a5289ac67cep-17, -0x1.c5ca9ba5c4f6fp-17, -0x1.c6e6bbc30bcedp-17, -0x1.c7f99c70a956ap-17, -0x1.c90356a922c5ap-17, -0x1.ca04011e79155p-17, -0x1.cafba99c0ed8cp-17, -0x1.cbea6c10a94c6p-17, -0x1.ccd07412f6df9p-17, -0x1.cdadd5730897dp-17, -0x1.ce82941b6ea31p-17, -0x1.cf4ec0dd3ad9p-17, -0x1.d0127702f92dap-17, -0x1.d0cdd06dcff45p-17, -0x1.d180e5089d9bap-17, -0x1.d22bc9947e66cp-17, -0x1.d2ce91f80f2b7p-17, -0x1.d36952a981539p-17, -0x1.d3fc1d0d57ec4p-17, -0x1.d48801ddfbe6dp-17, -0x1.d509319d98385p-17, -0x1.d58617f0f24fep-17, -0x1.d5f9fd0b48f6ep-17, -0x1.d666861268d4dp-17, -0x1.d6cb9cc7e98d1p-17, -0x1.d72959c9b3f31p-17, -0x1.d77fd2b598a61p-17, -0x1.d7cf1c45fc9e1p-17, -0x1.d8174b5a0a6dap-17, -0x1.d85875d9dd95cp-17, -0x1.d892b0b11d228p-17, -0x1.d8c60df5e878ap-17, -0x1.d8f2a30013d0ep-17, -0x1.d91886b0f5594p-17, -0x1.d937d22732282p-17, -0x1.d9509b94bd555p-17, -0x1.d962f29ec8002p-17, -0x1.d96ee553dacb1p-17, -0x1.d974807eadd94p-17, -0x1.d973d9451db98p-17, -0x1.d96d097f3aba4p-17, -0x1.d960256f99ca8p-17, -0x1.d94d407ccb4f1p-17, -0x1.d9346d9dca9a9p-17, -0x1.d915bf7e1aeaap-17, -0x1.d8f148d5c77ddp-17, -0x1.d8c71c8eb4f94p-17, -0x1.d8974d6019512p-17, -0x1.d861ea4cf04b3p-17, -0x1.d826fc6c74a69p-17, -0x1.d7e6a3e031755p-17, -0x1.d7a10b7c00538p-17, -0x1.d75637e54d969p-17, -0x1.d70623075f83dp-17, -0x1.d6b0dc80e6b2dp-17, -0x1.d65679f7b9672p-17, -0x1.d5f70f10fa6cdp-17, -0x1.d592af97e6475p-17, -0x1.d5296f863db6ep-17, -0x1.d4bb60da9258ap-17, -0x1.d4489329264fep-17, -0x1.d3d114fdb9c9bp-17, -0x1.d354f4c9be723p-17, -0x1.d2d440d286363p-17, -0x1.d24f078f8195ap-17, -0x1.d1c55c610e4p-17, -0x1.d13769a5d27a1p-17, -0x1.d0a57c2042b9cp-17, -0x1.d00eb033a3b13p-17, -0x1.cf73f08d10c81p-17, -0x1.ced5775a66249p-17, -0x1.ce328078f2117p-17, -0x1.cd8ba957e146ep-17, -0x1.cce0ae05c5733p-17, -0x1.cc31d5d8dfa41p-17, -0x1.cb7f4cdcb2827p-17, -0x1.cac90cc1e2bacp-17, -0x1.ca0f215e0127fp-17, -0x1.c951875563cefp-17, -0x1.c8904f933444bp-17, -0x1.c7cb8b259bc21p-17, -0x1.c70348fa303b7p-17, -0x1.c63797b4a8d99p-17, -0x1.c56885cf4f557p-17, -0x1.c49621b3a9a7fp-17, -0x1.c3c0797c53b8dp-17, -0x1.c2e797f66c46ep-17, -0x1.c20b7ce3ce71fp-17, -0x1.c12c3b6cefd56p-17, -0x1.c04a032a0865bp-17, -0x1.bf64d87a48a8dp-17, -0x1.be7caf0fb415ep-17, -0x1.bd91954b36913p-17, -0x1.bca39e7fade89p-17, -0x1.bbb2d9218797cp-17, -0x1.babf516203132p-17, -0x1.b9c9123f6d00ap-17, -0x1.b8d026f9cce9ep-17, -0x1.b7d49d236774bp-17, -0x1.b6d682bfae31dp-17, -0x1.b5d5e33a9317dp-17, -0x1.b4d2c8e35bf25p-17, -0x1.b3cd3e8fd450cp-17, -0x1.b2c54f3ed785ap-17, -0x1.b1bb0550569cbp-17, -0x1.b0ae6a4604d66p-17, -0x1.af9f9ef92542ap-17, -0x1.ae8e6a7550827p-17, -0x1.ad7b68cd081f1p-17, -0x1.ac65e182bfe57p-17, -0x1.ab4e71eb1af68p-17, -0x1.aa34fb053b142p-17, -0x1.a919883caec45p-17, -0x1.a7fc26ab5bf75p-17, -0x1.a6dcd03876fe6p-17, -0x1.a5b9e69089cdap-17, -0x1.a4991ba870b3ap-17, -0x1.a373ff4ed60c5p-17, -0x1.a24d752c7dcd7p-17, -0x1.a12538e7e9f42p-17, -0x1.9ffb4cfdd6ddep-17, -0x1.9ecfa56be41e4p-17, -0x1.9da26d8197fbap-17, -0x1.9c73b4d2e837ep-17, -0x1.9b436ffd4824ap-17, -0x1.9a119e6f06bf3p-17, -0x1.98de5a8ff1445p-17, -0x1.97a9b06cd976dp-17, -0x1.9673a17677e7ap-17, -0x1.953c30069d7d3p-17, -0x1.940366ec0f384p-17, -0x1.92c955a500cd6p-17, -0x1.918e06402bc8bp-17, -0x1.905179e140022p-17, -0x1.8f13ba0c765d1p-17, -0x1.8dd4dec194472p-17, -0x1.8c94ee4aad47p-17, -0x1.8b53e67210554p-17, -0x1.8a11cb92858bcp-17, -0x1.88cea5c52cf2ep-17, -0x1.878a7de046127p-17, -0x1.86455c7814b46p-17, -0x1.84ff4a155f3e9p-17, -0x1.83b85015009abp-17, -0x1.827078f98bcbfp-17, -0x1.8127c9840b723p-17, -0x1.7fde3c3ee6dd2p-17, -0x1.7e93f0d0ee915p-17, -0x1.7d48f39d6af87p-17, -0x1.7bfd25a5a73b4p-17, -0x1.7ab0746f2fbf8p-17, -0x1.79633f371f06p-17, -0x1.7815afecc9fd1p-17, -0x1.76c771683eecep-17, -0x1.7578378eaa8d7p-17, -0x1.74289866d5144p-17, -0x1.72d88571bffacp-17, -0x1.7187ad97a8eedp-17, -0x1.703669978160fp-17, -0x1.6ee48de5c7918p-17, -0x1.6d932bb64ae29p-17, -0x1.6c3ff6a05d71ap-17, -0x1.6aed682d1a0dp-17, -0x1.699a25910b15dp-17, -0x1.68467c0421d9p-17, -0x1.66f27ed9a3e78p-17, -0x1.659e33f3b1e96p-17, -0x1.6449a14b8cc75p-17, -0x1.62f4cd443b373p-17, -0x1.619fbc1db8p-17, -0x1.604a74788a6d7p-17, -0x1.5ef4fbfc4fd25p-17, -0x1.5d9f5990bd66ep-17, -0x1.5c499541229d6p-17, -0x1.5af38f93b3d55p-17, -0x1.599d7038508fbp-17, -0x1.5847367df0e53p-17, -0x1.56f106ad14c36p-17, -0x1.559abc620e5b1p-17, -0x1.54446ae9f0882p-17, -0x1.52ee162e1e452p-17, -0x1.5197c086366bfp-17, -0x1.50416edf3c73p-17, -0x1.4eeb26ae61479p-17, -0x1.4d94ee877d94ap-17, -0x1.4c3ecdf22219p-17, -0x1.4ae8cc839887p-17, -0x1.4992f04b22854p-17, -0x1.483d38766ac06p-17, -0x1.46e7947e278c1p-17, -0x1.45943a4202696p-17, -0x1.443d9dfe935d7p-17, -0x1.42e7c159dcdf4p-17, -0x1.4192ef63b4457p-17, -0x1.403e2631e40cbp-17, -0x1.3ee9edbcdcec9p-17, -0x1.3d958f04dd53ep-17, -0x1.3c41bb6634637p-17, -0x1.3aee18c258ce4p-17, -0x1.399ac53244766p-17, -0x1.3847c1c678304p-17, -0x1.36f5105e55b47p-17, -0x1.35a2d4d63689cp-17, -0x1.3450cd094b29ap-17, -0x1.32ff27c5a964p-17, -0x1.31adef42ee49dp-17, -0x1.305d329412ee7p-17, -0x1.2f0cc6bb8caf2p-17, -0x1.2dbcf024b2711p-17, -0x1.2c6d2ad594a8ap-17, -0x1.2b1e55ffac493p-17, -0x1.29cf4ba0a99c3p-17, -0x1.2881542a5270fp-17, -0x1.2733ae3ace5dfp-17, -0x1.25e6806d71067p-17, -0x1.2499d0e35868bp-17, -0x1.234da0ab738e4p-17, -0x1.2201fb9010958p-17, -0x1.20b6ade452e49p-17, -0x1.1f6c616141a48p-17, -0x1.1e221e89d6881p-17, -0x1.1cd91188e73efp-17, -0x1.1b8ff054eb99p-17, -0x1.1a47b9192b25p-17, -0x1.1900980c52ddcp-17, -0x1.17b9554018fbfp-17, -0x1.16732f07fa45dp-17, -0x1.152d81cc50009p-17, -0x1.13e8431ad44dcp-17, -0x1.12a395fcbc92bp-17, -0x1.115fd965151aap-17, -0x1.101ccf85bd505p-17, -0x1.0eda6430f4195p-17, -0x1.0d9899d35fe0dp-17, -0x1.0c577c5e96d6fp-17, -0x1.0b17176961f7fp-17, -0x1.09d772ea1b726p-17, -0x1.08988fd4e4443p-17, -0x1.075a5d0e68ed7p-17, -0x1.061cd282b1a2ep-17, -0x1.04dff8a6f27b6p-17, -0x1.03a3e3db4b466p-17, -0x1.02689d357b297p-17, -0x1.012e20da5f01ep-17, -0x1.ffe8d3f4fb4cbp-18, -0x1.fd7701b54a09cp-18, -0x1.fb06f29955511p-18, -0x1.f898557cbd7b6p-18, -0x1.f62b1b93fc1fep-18, -0x1.f3bf8260729a9p-18, -0x1.f15597fbefe48p-18, -0x1.eeed4ab78b8abp-18, -0x1.ec8a331b65a38p-18, -0x1.ea21c87a32a09p-18, -0x1.e7be7673a7011p-18, -0x1.e55d04ad384f7p-18, -0x1.e2fcea07289f1p-18, -0x1.e09e6d2295559p-18, -0x1.de41e4d757ef3p-18, -0x1.dbe73e8a61176p-18, -0x1.d98e41618b8afp-18, -0x1.d736e5db74a3dp-18, -0x1.d4e13e6a6a59bp-18, -0x1.d28d55652925ep-18, -0x1.d03b2d57b0fp-18, -0x1.cdeac81ab9d64p-18, -0x1.cb9c2875fa0c9p-18, -0x1.c94f520525cf5p-18, -0x1.c704489a37c9cp-18, -0x1.c4bb0fa46cd99p-18, -0x1.c273a9cc52b5dp-18, -0x1.c02e189415818p-18, -0x1.bdea5b23b8d9fp-18, -0x1.bba871b6ed478p-18, -0x1.b96860ff5d0dap-18, -0x1.b729f090847a9p-18, -0x1.b4eda3634f062p-18, -0x1.b2b2fd472857ap-18, -0x1.b07a1491f1d28p-18, -0x1.ae434b5b76013p-18, -0x1.ac0e5aae23e86p-18, -0x1.a9db4ecb29bbdp-18, -0x1.a7aa1fabdaae7p-18, -0x1.a57abd6137431p-18, -0x1.a34d1a58510f5p-18, -0x1.a1217ae1ca94p-18, -0x1.9ef897c2ed7afp-18, -0x1.9cd0ef2e5e49ap-18, -0x1.9aaae4af52b4fp-18, -0x1.988747d0333d2p-18, -0x1.96648062d7787p-18, -0x1.94443abb9793ep-18, -0x1.92264daf55fa8p-18, -0x1.900a400e9757dp-18, -0x1.8df00d961383bp-18, -0x1.8bd7caa01c79bp-18, -0x1.89c17d64b1a2ep-18, -0x1.87ad1d0f1eeb5p-18, -0x1.859a9b0329084p-18, -0x1.8389e46f28a47p-18, -0x1.817c019b7fb37p-18, -0x1.7f6ecc405bd8cp-18, -0x1.7d63b7e09e3fdp-18, -0x1.7b5b5df6db50ep-18, -0x1.79571a24c9c13p-18, -0x1.774efc1e76d77p-18, -0x1.754c46b084376p-18, -0x1.734b95aa48a51p-18, -0x1.714cadd53d5ffp-18, -0x1.6f4f81b00de57p-18, -0x1.6d5440e9ac185p-18, -0x1.6b5b2b4ff90aap-18, -0x1.69643c43d0707p-18, -0x1.676f232760785p-18, -0x1.657c19e8986d5p-18, -0x1.638af4790762fp-18, -0x1.619bccb09e3cep-18, -0x1.5fae9ca72cc7ep-18, -0x1.5dc3623d7ecfbp-18, -0x1.5bda180edfac1p-18, -0x1.59f2b9a0a4dddp-18, -0x1.580d4b7306718p-18, -0x1.5629d1e510085p-18, -0x1.544a42cf87f47p-18, -0x1.526ae021e8739p-18, -0x1.508b996fe69aap-18, -0x1.4eb040fbee654p-18, -0x1.4cd6fe2a5df98p-18, -0x1.4aff82d68a29cp-18, -0x1.4929d8daf2f16p-18, -0x1.47561b02abfa1p-18, -0x1.4584212eae816p-18, -0x1.43b448516967dp-18, -0x1.41e6842e80ad6p-18, -0x1.401b21a387f66p-18, -0x1.3e50e433ef052p-18, -0x1.3c8903fd63adbp-18, -0x1.3ac2e30d3c3bep-18, -0x1.38fe9b9c06561p-18, }}, 
      {{-0x1.21d1ba2f28ec4p+2, -0x1.e0bb1430d0688p+1, -0x1.aa6c6715cb4b3p+1, -0x1.8ee0c2cb7c046p+1, -0x1.7b246c1573a2fp+1, -0x1.663edb21aafbap+1, -0x1.4e9854aa1854ep+1, -0x1.35f95e228cd53p+1, -0x1.1ed53cc78ac2fp+1, -0x1.0afcc7d0d6965p+1, -0x1.f683dd714a2acp+0, -0x1.df2de9f6ac33ap+0, -0x1.ceb4d5c58d974p+0, -0x1.c3492bfd15817p+0, -0x1.bb07344be8ce6p+0, -0x1.b44401507e103p+0, -0x1.adb4606a43f41p+0, -0x1.a677b4064d896p+0, -0x1.9e10e1232f1e1p+0, -0x1.94559852dfd39p+0, -0x1.8959ec8dabb04p+0, -0x1.7d5c0f799f81bp+0, -0x1.70b2633d66aa2p+0, -0x1.63bce271fa52ep+0, -0x1.56da1911887cdp+0, -0x1.4a5f75761f746p+0, -0x1.3e947d5fa0cb7p+0, -0x1.33b05cb4c84adp+0, -0x1.29d9433fb0eb5p+0, -0x1.2125125dac703p+0, -0x1.199aed36b3ffdp+0, -0x1.13355205b625ep+0, -0x1.0de4764e128e4p+0, -0x1.0990b0c6cdaa8p+0, -0x1.061cca8e6e02bp+0, -0x1.03681d563993cp+0, -0x1.01506de72f1aap+0, -0x1.ff66f69cc34e6p-1, -0x1.fce080cac0f0ep-1, -0x1.facfd361b7016p-1, -0x1.f8fd0c9361cbfp-1, -0x1.f736f68458952p-1, -0x1.f5538429d479ep-1, -0x1.f32ff33196482p-1, -0x1.f0b0acf082573p-1, -0x1.edc0f069f1eecp-1, -0x1.ea5252d035077p-1, -0x1.e65c29a97d29dp-1, -0x1.e1dae367cacf6p-1, -0x1.dccf5b6e3888ap-1, -0x1.d73e2c7025bdp-1, -0x1.d12f07ca62b0fp-1, -0x1.caac15d9a617ap-1, -0x1.c3c1621dace9p-1, -0x1.bc7c5477be431p-1, -0x1.b4eb3822abec5p-1, -0x1.ad1cd0dc90b0cp-1, -0x1.a51ffe988e4fdp-1, -0x1.9d036fabd89b4p-1, -0x1.94d560d3860e6p-1, -0x1.8ca369e464698p-1, -0x1.847a55c34d66p-1, -0x1.7c66044491f93p-1, -0x1.747154ba8bf13p-1, -0x1.6ca61836ee0a2p-1, -0x1.650d0a86a2fcp-1, -0x1.5dadd10638c8fp-1, -0x1.568efe4c4a5a4p-1, -0x1.4fb619bb01128p-1, -0x1.4927aa1348f91p-1, -0x1.42e7423ca43b9p-1, -0x1.3cf78fb350205p-1, -0x1.375a6a0192e49p-1, -0x1.3210e2f5fc6b1p-1, -0x1.2d1b572fff0fbp-1, -0x1.28797eca1f3b8p-1, -0x1.242a7de177b7fp-1, -0x1.202cf4ccadcdcp-1, -0x1.1c7f0fc987ef3p-1, -0x1.191e960e9be37p-1, -0x1.1608f80c0f344p-1, -0x1.133b5cdfc291bp-1, -0x1.10b2aee1b995fp-1, -0x1.0e6ba7453faf3p-1, -0x1.0c62d8de2f0f5p-1, -0x1.0a94b9ed0ebcep-1, -0x1.08fdad25416dep-1, -0x1.079a09c0acb87p-1, -0x1.066622de79ef8p-1, -0x1.055e4e0763dbp-1, -0x1.047ee90c7fe67p-1, -0x1.03c45f23543fbp-1, -0x1.032b2d76121f3p-1, -0x1.02afe6f955782p-1, -0x1.024f37dde2f83p-1, -0x1.0205e846e1215p-1, -0x1.01d0dec320a36p-1, -0x1.01ad22106b109p-1, -0x1.0197dabf25fc9p-1, -0x1.018e542bd755dp-1, -0x1.018dfd6df3902p-1, -0x1.019469b5dfc0cp-1, -0x1.019f50932f78fp-1, -0x1.01ac8df4dbf7cp-1, -0x1.01ba21c8243fep-1, -0x1.01c62fc3d0a08p-1, -0x1.01cefe8b782b2p-1, -0x1.01d2f729367dap-1, -0x1.01d0a41aae024p-1, -0x1.01c6b04069c13p-1, -0x1.01b3e61229bd8p-1, -0x1.01972e2e6f273p-1, -0x1.016f8e6360652p-1, -0x1.013c287b1aed4p-1, -0x1.00fc38b6d9017p-1, -0x1.00af14e752573p-1, -0x1.00542aed62158p-1, -0x1.ffd5feab3acbcp-2, -0x1.fee658e68d7p-2, -0x1.fdd8c184aa382p-2, -0x1.fcacbb5b48e29p-2, -0x1.fb61ed6675a5ep-2, -0x1.f9f81f8f5181bp-2, -0x1.f86f387f2eb06p-2, -0x1.f6c73c1fd1ecep-2, -0x1.f500488b25127p-2, -0x1.f31a940498a3fp-2, -0x1.f1166bd71642ap-2, -0x1.eef4319414794p-2, -0x1.ecb45903e4c76p-2, -0x1.ea57676b83ccep-2, -0x1.e7ddf158af5f4p-2, -0x1.e5489863b462ep-2, -0x1.e2980aaa77ac9p-2, -0x1.dfcd01738e847p-2, -0x1.dce83ed962287p-2, -0x1.d9ea8d098c808p-2, -0x1.d6d4bdd1d4845p-2, -0x1.d3a7a8b0e925fp-2, -0x1.d064297a037dep-2, -0x1.cd0b20501ed14p-2, -0x1.c99d70bb6fc1cp-2, -0x1.c61bfff1ad2fp-2, -0x1.c287b45d9df2cp-2, -0x1.bee175adf7d3cp-2, -0x1.bb2a2bb830641p-2, -0x1.b762bd401c343p-2, -0x1.b38c0ff522d28p-2, -0x1.afa708736abdbp-2, -0x1.abb4893e21fe1p-2, -0x1.a7b571eb104d5p-2, -0x1.a3aa9f4c39c1p-2, -0x1.9f94eb791c7fdp-2, -0x1.9b752d0072359p-2, -0x1.974c364a30ffdp-2, -0x1.931ad5c8d56cep-2, -0x1.8ee1d61f748dfp-2, -0x1.8aa1fd96426cbp-2, -0x1.865c0d95008d5p-2, -0x1.8210c2c40c367p-2, -0x1.7dc0d550d97efp-2, -0x1.796cf8ad4de4fp-2, -0x1.7515db1ca16f3p-2, -0x1.70bc25b2e2a6ep-2, -0x1.6c607ca2a2998p-2, -0x1.68037f47739d3p-2, -0x1.63a5c7d7671f3p-2, -0x1.5f47eb3edeea5p-2, -0x1.5aea795682f9dp-2, -0x1.568dfd1fd177ap-2, -0x1.5232fcb63930cp-2, -0x1.4dd9f92001a87p-2, -0x1.49836e587b932p-2, -0x1.452fd38d37f57p-2, -0x1.40df9b4b4ec06p-2, -0x1.3c93337431e3cp-2, -0x1.384b052a92ad3p-2, -0x1.340774ec14d23p-2, -0x1.2fc8e2c8e6f46p-2, -0x1.2b8faa8cdac27p-2, -0x1.275c23c0aaddp-2, -0x1.232ea1a60c911p-2, -0x1.1f0773522e11fp-2, -0x1.1ae6e3dd6c4a2p-2, -0x1.16cd3a8d5ff44p-2, -0x1.12babae347916p-2, -0x1.0eafa49f7704dp-2, -0x1.0aac33d697f65p-2, -0x1.06b0a11842e96p-2, -0x1.02bd2198b855ep-2, -0x1.fda3ce954c54dp-3, -0x1.f5de41d099c1bp-3, -0x1.ee29f406e628bp-3, -0x1.e687364588dp-3, -0x1.def653ca7c986p-3, -0x1.d7779244c3de6p-3, -0x1.d00b31f9abd74p-3, -0x1.c8b16dde2c7adp-3, -0x1.c16a7bbf6a3aap-3, -0x1.ba368c78777e8p-3, -0x1.b315cc2e3d82cp-3, -0x1.ac0862849a39bp-3, -0x1.a50e72bf6d418p-3, -0x1.9e281bde5ea7bp-3, -0x1.975578c339fcbp-3, -0x1.9096a05f23596p-3, -0x1.89eba5e3d5ee2p-3, -0x1.835498f146fbcp-3, -0x1.7cd185b4f14e5p-3, -0x1.76627503e4329p-3, -0x1.70076c7b884afp-3, -0x1.69c06ea66361fp-3, -0x1.638d7b23601b1p-3, -0x1.5d6e8ecd346e2p-3, -0x1.5763a3d8e738dp-3, -0x1.516cb1ece8fa9p-3, -0x1.4b89ae3b21e85p-3, -0x1.45ba8b9e642d1p-3, -0x1.3fff3ab8aa3bfp-3, -0x1.3a57aa12eb83bp-3, -0x1.34c3c63a833f9p-3, -0x1.2f4379d71fe49p-3, -0x1.29d6adbea8f28p-3, -0x1.247d490c2208p-3, -0x1.1f3731375e6dfp-3, -0x1.1a044a2cd1aap-3, -0x1.14e476665033p-3, -0x1.0fd797015b3a3p-3, -0x1.0add8bd0515a5p-3, -0x1.05f6336ad416ap-3, -0x1.01216b40255ep-3, -0x1.f8be1f531d75bp-4, -0x1.ef5df7f8e119fp-4, -0x1.e6221539f28ap-4, -0x1.dd0a2a1f4e012p-4, -0x1.d415e80e8a9dbp-4, -0x1.cb44fee349402p-4, -0x1.c2971d0b48b51p-4, -0x1.ba0befa2a5dbap-4, -0x1.b1a3228edd5fdp-4, -0x1.a95c609a023c1p-4, -0x1.a137538df981dp-4, -0x1.9933a44bfdb1p-4, -0x1.9150fae02a772p-4, -0x1.898efe959af8dp-4, -0x1.81ed560bc46aap-4, -0x1.7a6ba74acb10ep-4, -0x1.730997d6eacf7p-4, -0x1.6bc6ccc411556p-4, -0x1.64a2eac91bbffp-4, -0x1.5d9d965031041p-4, -0x1.56b67384ea462p-4, -0x1.4fed266321705p-4, -0x1.494152c636b5cp-4, -0x1.42b29c77718fbp-4, -0x1.3c40a73b90bbdp-4, -0x1.35eb16e05b49p-4, -0x1.2fb18f4a092d7p-4, -0x1.2993b47f00ba2p-4, -0x1.23912ab1d129dp-4, -0x1.1da9964b46e0bp-4, -0x1.17dc9bf4ea19ap-4, -0x1.1229e0a2f9fd2p-4, -0x1.0c91099dae797p-4, -0x1.0711bc8a1d371p-4, -0x1.01ab9f732d82p-4, -0x1.f8bcb1a3ff46p-5, -0x1.ee531f2a0053cp-5, -0x1.e419d64c9801p-5, -0x1.da1026e4b611fp-5, -0x1.d03561dd443a2p-5, -0x1.c688d93f6b04ep-5, -0x1.bd09e03ddb2cdp-5, -0x1.b3b7cb3facb13p-5, -0x1.aa91efeb3ac09p-5, -0x1.a197a53033382p-5, -0x1.98c8434ff124ep-5, -0x1.902323e4fd7aep-5, -0x1.87a7a1eac6af6p-5, -0x1.7f5519c531f97p-5, -0x1.772ae9477b3d9p-5, -0x1.6f286fba67dfp-5, -0x1.674d0de2089ecp-5, -0x1.5f98260362806p-5, -0x1.58091be9e66c5p-5, -0x1.509f54ebea161p-5, -0x1.495a37ee541cap-5, -0x1.42392d6823394p-5, -0x1.3b3b9f65f3acp-5, -0x1.3460f98d22d8p-5, -0x1.2da8a91e759e6p-5, -0x1.27121cf85accbp-5, -0x1.209cc598e18b6p-5, -0x1.1a48151faa2bdp-5, -0x1.14137f4f81765p-5, -0x1.0dfe798f65617p-5, -0x1.08087aeb0a114p-5, -0x1.0230fc135babdp-5, -0x1.f8eeeebe1bcd7p-6, -0x1.edb6d19625327p-6, -0x1.e2b89bf581947p-6, -0x1.d7f34c6f06d37p-6, -0x1.cd65e4e01eb6ep-6, -0x1.c30f6a6ecfcabp-6, -0x1.b8eee588020cap-6, -0x1.af0361dd9f021p-6, -0x1.a54bee648a65bp-6, -0x1.9bc79d521b774p-6, -0x1.92758418dea19p-6, -0x1.8954bb64aef24p-6, -0x1.80645f168391fp-6, -0x1.77a38e4045aep-6, -0x1.6f116b20c1d41p-6, -0x1.66ad1b1f761e7p-6, -0x1.5e75c6c820571p-6, -0x1.566a99c5ea4adp-6, -0x1.4e8ac2de2df74p-6, -0x1.46d573eacbf22p-6, -0x1.3f49e1d47e4c1p-6, -0x1.37e7448d2c273p-6, -0x1.30acd70a20744p-6, -0x1.2999d73e0b348p-6, -0x1.22ad8612e4796p-6, -0x1.1be727637e77fp-6, -0x1.154601f51a6c9p-6, -0x1.0ec95f70bd757p-6, -0x1.08708c5c93808p-6, -0x1.023ad81516687p-6, -0x1.f84f298c3070dp-7, -0x1.ec6c2ec774deap-7, -0x1.e0cb6f46c91ebp-7, -0x1.d56b9fe961a6bp-7, -0x1.ca4b7af49f7ccp-7, -0x1.bf69c00577a29p-7, -0x1.b4c53401dbe96p-7, -0x1.aa5ca109e3087p-7, -0x1.a02ed668c67acp-7, -0x1.963aa885f1407p-7, -0x1.8c7ef0d5faebfp-7, -0x1.82fa8dcb93342p-7, -0x1.79ac62c85e0b8p-7, -0x1.7093580dfcbfcp-7, -0x1.67ae5aaf225cdp-7, -0x1.5efc5c80dab95p-7, -0x1.567c540bd88dp-7, -0x1.4e2d3c7dab99fp-7, -0x1.460e1599cbe95p-7, -0x1.3e1de3aa47b8ap-7, -0x1.365baf700c12dp-7, -0x1.2ec68612f8e9ep-7, -0x1.275d7911d2da2p-7, -0x1.201f9e325c9d2p-7, -0x1.190c0f71fdc9fp-7, -0x1.1221eaf711e74p-7, -0x1.0b60530358fd6p-7, -0x1.04c66de70d858p-7, -0x1.fca6cbe9303bap-8, -0x1.f00cd2e82a6f3p-8, -0x1.e3bd552bea75bp-8, -0x1.d7b6bec822617p-8, -0x1.cbf78362980cp-8, -0x1.c07e1e0fd3445p-8, -0x1.b549112e6009fp-8, -0x1.aa56e64291fafp-8, -0x1.9fa62dd50e7b5p-8, -0x1.95357f56972f4p-8, -0x1.8b03790a3aecep-8, -0x1.810ebff54712ep-8, -0x1.7755ffd356274p-8, -0x1.6dd7eb0b0758p-8, -0x1.64933a9f3d5e9p-8, -0x1.5b86ae193e8dbp-8, -0x1.52b10b692ea64p-8, -0x1.4a111ebc792d2p-8, -0x1.41a5ba4c612d7p-8, -0x1.396db629bc768p-8, -0x1.3167f00bcbb54p-8, -0x1.29934b293e31ep-8, -0x1.21eeb02055864p-8, -0x1.1a790cf06c025p-8, -0x1.13315502e558fp-8, -0x1.0c16813edac5fp-8, -0x1.0527901d5120fp-8, -0x1.fcc70b6688474p-9, -0x1.ef92d752fb2cp-9, -0x1.e2b0a234edb72p-9, -0x1.d61e94abb4648p-9, -0x1.c9dae11e2b028p-9, -0x1.bde3c3032983cp-9, -0x1.b2377e3419333p-9, -0x1.a6d45e67def92p-9, -0x1.9bb8b6f100212p-9, -0x1.90e2e2cd349a4p-9, -0x1.865145023a34fp-9, -0x1.7c0249335dcbfp-9, -0x1.71f4644d29557p-9, -0x1.6826151875faap-9, -0x1.5e95e488f5497p-9, -0x1.554265a6e8459p-9, -0x1.4c2a35084d81fp-9, -0x1.434bf7e4a5abp-9, -0x1.3aa65add7e1bcp-9, -0x1.323810aaf6576p-9, -0x1.29ffd0edc69f8p-9, -0x1.21fc576a142cp-9, -0x1.1a2c63d329088p-9, -0x1.128eba2f1ab8p-9, -0x1.0b2223c4c6e75p-9, -0x1.03e57070e4f68p-9, -0x1.f9aef0432be62p-10, -0x1.ebee3848fb289p-10, -0x1.de868feb900f1p-10, -0x1.d175e2af4fddbp-10, -0x1.c4ba2f3688766p-10, -0x1.b85184571cc3bp-10, -0x1.ac39fd2173dd5p-10, -0x1.a071bc82100fdp-10, -0x1.94f6e945ad6e2p-10, -0x1.89c7ab3f1008ep-10, -0x1.7ee22a1df3054p-10, -0x1.74448e394a7ffp-10, -0x1.69ed03309652cp-10, -0x1.5fd9bbf2598ddp-10, -0x1.5608f768ba707p-10, -0x1.4c790508f40a1p-10, -0x1.43284839e75b4p-10, -0x1.3a153a307d6fbp-10, -0x1.313e697d124c1p-10, -0x1.28a277827582ap-10, -0x1.2040140600267p-10, -0x1.1815f795787a6p-10, -0x1.1022ddb171f2ep-10, -0x1.08657fc1a5eb6p-10, -0x1.00dc91b8d654fp-10, -0x1.f30d81fcc12edp-11, -0x1.e4c56b8b1b4e9p-11, -0x1.d6de2d0f02c7dp-11, -0x1.c95519f16bfeep-11, -0x1.bc2797367d626p-11, -0x1.af5326068fddcp-11, -0x1.a2d56bf31926fp-11, -0x1.96ac37b7efc9fp-11, -0x1.8ad581bb4a735p-11, -0x1.7f4f6825ac6e8p-11, -0x1.74182708615efp-11, -0x1.692e0da91d2d8p-11, -0x1.5e8f72965d269p-11, -0x1.543aa87d932bcp-11, -0x1.4a2df5b3a298dp-11, -0x1.40678fe4b8569p-11, -0x1.36e59c8749c2p-11, -0x1.2da635acb2902p-11, -0x1.24a771f7bdc43p-11, -0x1.1be76e07ed5fap-11, -0x1.136455a50298bp-11, -0x1.0b1c6b5711a48p-11, -0x1.030e0d8325e81p-11, -0x1.f66f7167691d8p-12, -0x1.e7300e40c97b8p-12, -0x1.d85b5b7b884bap-12, -0x1.c9eeee9821b69p-12, -0x1.bbe87bd6881d3p-12, -0x1.ae45c7bd46a02p-12, -0x1.a10498c2a435cp-12, -0x1.9422ab4465a65p-12, -0x1.879da9f7fee7p-12, -0x1.7b732c4ae725dp-12, -0x1.6fa0badcaa8a8p-12, -0x1.6423d8cf2202ap-12, -0x1.58fa0f975cffap-12, -0x1.4e20fa85071d8p-12, -0x1.43964f675c0ap-12, -0x1.3957e27b517eap-12, -0x1.2f63a51b756ccp-12, -0x1.25b7a04d92af2p-12, -0x1.1c51edc01d4aap-12, -0x1.1330b24fde179p-12, -0x1.0a521c636d296p-12, -0x1.01b466669cac8p-12, -0x1.f2abb712b4105p-13, -0x1.e269b757d2b33p-13, -0x1.d29fb78bb83e1p-13, -0x1.c34ac3b923ff6p-13, -0x1.b467fbc7ea0e3p-13, -0x1.a5f4855539527p-13, -0x1.97ed84becda3ap-13, -0x1.8a5021e023b93p-13, -0x1.7d19972129feep-13, -0x1.70474353046fdp-13, -0x1.63d6b30af7062p-13, -0x1.57c598b91aa02p-13, -0x1.4c11b236dadb4p-13, -0x1.40b8a3e475197p-13, -0x1.35b7d7c2e5056p-13, -0x1.2b0c6f8b3dceep-13, -0x1.20b35319137b7p-13, -0x1.16a95a4885df7p-13, -0x1.0ceb8657ba4e8p-13, -0x1.037737ca74e56p-13, -0x1.f4949a42f735fp-14, -0x1.e2c63ab47b5e7p-14, -0x1.d1809ef17b7ddp-14, -0x1.c0c141c9d2ad7p-14, -0x1.b0856afbec677p-14, -0x1.a0ca0fac5f453p-14, -0x1.918bfdb14afbbp-14, -0x1.82c8313d7ca95p-14, -0x1.747c1ba8d1c75p-14, -0x1.66a5ab96fd8cdp-14, -0x1.59430aeab09b4p-14, -0x1.4c522d9ccd99cp-14, -0x1.3fd060113fcc7p-14, -0x1.33b9fe97f7b47p-14, -0x1.280a6d1e23f3bp-14, -0x1.1cbc548352449p-14, -0x1.11ca184420466p-14, -0x1.072e88e152ce7p-14, -0x1.f9caf3778fb26p-15, -0x1.e5d86d0aa073p-15, -0x1.d282d0a73a231p-15, -0x1.bfc94554766efp-15, -0x1.adab09fb15325p-15, -0x1.9c262d1779815p-15, -0x1.8b372786bad39p-15, -0x1.7ad984131b8b7p-15, -0x1.6b090d9305c9p-15, -0x1.5bc2c509e0d09p-15, -0x1.4d0511930fb1fp-15, -0x1.3ecf2ab252c9ep-15, -0x1.31200f383963cp-15, -0x1.23f59abda3df1p-15, -0x1.174c133009a2fp-15, -0x1.0b1e2f965c17ep-15, -0x1.fecab005ff335p-16, -0x1.e833eb21b1e0ep-16, -0x1.d267e52fd5d25p-16, -0x1.bd5747874f7cdp-16, -0x1.a8f60ce4240e7p-16, -0x1.953d91ca67547p-16, -0x1.822cca862ae0ep-16, -0x1.6fc60a370af22p-16, -0x1.5e0b657ee7c2p-16, -0x1.4cfbd1e6d730ep-16, -0x1.3c929e10c2532p-16, -0x1.2cc92698586e9p-16, -0x1.1d995080f513ep-16, -0x1.0eff4eeeb3702p-16, -0x1.00f9f04168266p-16, -0x1.e712e928bd258p-17, -0x1.cd5b257335c85p-17, -0x1.b4c7c9aeac9a1p-17, -0x1.9d4f61a16acaep-17, -0x1.86e5c8018aea9p-17, -0x1.717e62c3a2e37p-17, -0x1.5d0cb7ac32fddp-17, -0x1.4983387936332p-17, -0x1.36d1f9503950cp-17, -0x1.24e7672c9c3c6p-17, -0x1.13b38a3b940c6p-17, -0x1.032c0ccc3f7c7p-17, -0x1.e69c42221facap-18, -0x1.c8391916f496ep-18, -0x1.ab35d9ab18156p-18, -0x1.8f92f9d584f0cp-18, -0x1.7547dba1103bbp-18, -0x1.5c4618a06387cp-18, -0x1.447eed44aa12p-18, -0x1.2de8837f056a6p-18, -0x1.18809b61607aep-18, -0x1.044948bb8601cp-18, -0x1.e28291ae7f992p-19, -0x1.bebe12265ca6bp-19, -0x1.9d24d5a25e09cp-19, -0x1.7d948d93eb4e9p-19, -0x1.5ff1aba14097bp-19, -0x1.442a4bc0acac4p-19, -0x1.2a340690eb3d7p-19, -0x1.12061291b47fdp-19, -0x1.f7240435fcf27p-20, -0x1.cd7eb3d3e8c51p-20, -0x1.a6da34a9994dap-20, -0x1.82efd5b6d3e41p-20, -0x1.6183b68fd6ecap-20, -0x1.4273a6a69f2dfp-20, -0x1.25bdf58233f8cp-20, -0x1.0b772f401c138p-20, -0x1.e76215c1eacecp-21, -0x1.bcc395ec358b2p-21, -0x1.96c5a2c48fbe1p-21, -0x1.75206dc81e764p-21, -0x1.57cf4b5d90b99p-21, -0x1.3ef476e528105p-21, -0x1.2a86d3fdbf404p-21, -0x1.1a3634b41e348p-21, -0x1.0d96c13f52d36p-21, -0x1.0451812ed3958p-21, -0x1.fc6320b53e196p-22, -0x1.f6311963ce30cp-22, -0x1.f5e5bd7285519p-22, -0x1.fb6e3e0cbeacfp-22, -0x1.036a7d63a03cdp-21, -0x1.0c1cfc0e7ea1bp-21, -0x1.17d88f17b2ca4p-21, -0x1.268b92c495d4dp-21, -0x1.37f6b313cd278p-21, -0x1.4ba32d7fc9f4dp-21, -0x1.60fd7c67142cp-21, -0x1.77aa348e01e59p-21, -0x1.8fcc8313cb227p-21, -0x1.a9d48b7d37a87p-21, -0x1.c5f745db6d9dap-21, -0x1.e3f2c17b9376ap-21, -0x1.01b8808122d19p-20, -0x1.123c7c0fb9c3fp-20, -0x1.23a2489aecfecp-20, -0x1.35ea08939f03ap-20, -0x1.48f12e2ae940cp-20, -0x1.5c90d1c430853p-20, -0x1.70b14b746fd72p-20, -0x1.8549b999458e8p-20, -0x1.9a57f7fc47897p-20, -0x1.afd9dae769c61p-20, -0x1.c5ca2ccab8adap-20, -0x1.dc21cce8b83bbp-20, -0x1.f2dc39a8a4208p-20, -0x1.04fe36150346dp-19, -0x1.10c681dec8456p-19, -0x1.1cccce6af135bp-19, -0x1.2912e901ba44ap-19, -0x1.35928494c24fp-19, -0x1.4237c95a3b5f9p-19, -0x1.4ee3f998c3321p-19, -0x1.5b874a94caabcp-19, -0x1.6834f4ea3fa31p-19, -0x1.75074a2c7376dp-19, -0x1.81f8f2e0ef6e1p-19, -0x1.8ef2d3d3a3d52p-19, -0x1.9bf45b64ad58fp-19, -0x1.a90e9b6b1ee3fp-19, -0x1.b644a50a1fd08p-19, -0x1.c389df70672c7p-19, -0x1.d0d22981d759fp-19, -0x1.de18328b26b76p-19, -0x1.eb5b102fb7742p-19, -0x1.f89b187834e95p-19, -0x1.02ec359f10039p-18, -0x1.098948f1ab616p-18, -0x1.10243734f7ea1p-18, -0x1.16bc1dc885434p-18, -0x1.1d4feb1492b26p-18, -0x1.23decbc02de0cp-18, -0x1.2a68bcaab62f8p-18, -0x1.30eeb5c8024bfp-18, -0x1.3771f9919f21ep-18, -0x1.3df32eecc3762p-18, -0x1.447267bd8b322p-18, -0x1.4aee206995bddp-18, -0x1.515fdb57facb3p-18, -0x1.57c0c12aeae97p-18, -0x1.5e15036b2aa9fp-18, -0x1.64639b0b2a1f9p-18, -0x1.6aa799993505cp-18, -0x1.70dbe5b69c785p-18, -0x1.7706a67add4a8p-18, -0x1.7d2c1bf77eb0ap-18, -0x1.8348a833f69d2p-18, -0x1.8958343f1cdbcp-18, -0x1.8f59778efa1e6p-18, -0x1.954caa6a08cd5p-18, -0x1.9b3224726b4dbp-18, -0x1.a10a24ca3b19p-18, -0x1.a6d49c206fb49p-18, -0x1.ac9148e9f3b65p-18, -0x1.b24005bc1137bp-18, -0x1.b7e09bd537ca9p-18, -0x1.bd72cae5e61c9p-18, -0x1.c2f643d82984ep-18, -0x1.c86abac712e15p-18, -0x1.cdd00dd4dcad1p-18, -0x1.d3268221fa658p-18, -0x1.d86db837c5cbep-18, -0x1.dda53c2dddc3p-18, -0x1.e2ce12e7ac0a2p-18, -0x1.e7ea0da3de645p-18, -0x1.ecf759a8d2c3dp-18, -0x1.f1f60bf2f23a3p-18, -0x1.f6e25dbca680dp-18, -0x1.fbbdf25dff3d8p-18, -0x1.004400fd2be1ap-17, -0x1.029f83a922475p-17, -0x1.04f3db8db9594p-17, -0x1.07419b54be611p-17, -0x1.098752d401406p-17, -0x1.0bc44d0143497p-17, -0x1.0df89b5090407p-17, -0x1.102474d0ce1c5p-17, -0x1.1247fdba951afp-17, -0x1.146345ee18396p-17, -0x1.1676513955f1fp-17, -0x1.18811dc367066p-17, -0x1.1a83a83001f2bp-17, -0x1.1c7dee6b2a265p-17, -0x1.1e6ff164322acp-17, -0x1.2059b55579f76p-17, -0x1.223b40257ecefp-17, -0x1.2414965307ceep-17, -0x1.25e5b8487be38p-17, -0x1.27aea2b61e951p-17, -0x1.296f5375a2d35p-17, -0x1.2b27cf0de3358p-17, -0x1.2cd81a8212eb4p-17, -0x1.2e802defa69c5p-17, -0x1.302023e70ec3dp-17, -0x1.31b8a3302cbdap-17, -0x1.334a0631c080bp-17, -0x1.34d3308afa5e2p-17, -0x1.3653b65892804p-17, -0x1.37cb929c2dd3ep-17, -0x1.393ba7630c7cfp-17, -0x1.3aa4b59d617f3p-17, -0x1.3c0618a293bb3p-17, -0x1.3d5f7ba15d4d8p-17, -0x1.3eb0f87c20016p-17, -0x1.3ffab5510dd78p-17, -0x1.413ccbfb5336p-17, -0x1.42774d91ac35bp-17, -0x1.43aa473933639p-17, -0x1.44d5c48a80c6bp-17, -0x1.45f9d081c89f7p-17, -0x1.471675ef15c6bp-17, -0x1.482bbfca655a6p-17, -0x1.4939b98a4292fp-17, -0x1.4a406f6fbfd3ap-17, -0x1.4b3feeac646dep-17, -0x1.4c384532731e5p-17, -0x1.4d29811009988p-17, -0x1.4e13af7f3d27p-17, -0x1.4ef6dc4075ee3p-17, -0x1.4fd312019b58p-17, -0x1.50a85c1c49f4ep-17, -0x1.5176c838fe5adp-17, -0x1.523e642aca492p-17, -0x1.52ff39304f1e1p-17, -0x1.53b956318bbd9p-17, -0x1.546cf69afa9e4p-17, -0x1.551a4dff598d1p-17, -0x1.55c0ff92e864bp-17, -0x1.5660e5e9c5322p-17, -0x1.56fa6d068d887p-17, -0x1.578dd7b1d0944p-17, -0x1.581af5c42f54p-17, -0x1.58a1c61a579c6p-17, -0x1.5922614f9871p-17, -0x1.599cdc3e23dafp-17, -0x1.5a11474e2f5bep-17, -0x1.5a7fb127c097ap-17, -0x1.5ae828127b3c2p-17, -0x1.5b4abaaf1ef58p-17, -0x1.5ba7786b061a1p-17, -0x1.5bfe70fbf8dc6p-17, -0x1.5c4fb24c81253p-17, -0x1.5c9b480bb86b6p-17, -0x1.5ce1408c43d08p-17, -0x1.5d21b0051b2abp-17, -0x1.5d5caa611cd28p-17, -0x1.5d923c96b7765p-17, -0x1.5dc26fb2aebb5p-17, -0x1.5ded4e969232ep-17, -0x1.5e12e6b068601p-17, -0x1.5e3345feb7427p-17, -0x1.5e4e7b5d18537p-17, -0x1.5e649906f0d57p-17, -0x1.5e75b1aaf5284p-17, -0x1.5e81d5e3dfb3p-17, -0x1.5e891334af433p-17, -0x1.5e8b70426a9f8p-17, -0x1.5e88f17e8284bp-17, -0x1.5e81ad32243bdp-17, -0x1.5e75becca7174p-17, -0x1.5e652a80e0c71p-17, -0x1.5e5000dfba54p-17, -0x1.5e36480bc3d2cp-17, -0x1.5e180a3bf42a2p-17, -0x1.5df55fb895b2ep-17, -0x1.5dce5b1dde9dbp-17, -0x1.5da3081bd067dp-17, -0x1.5d73718c3a2b6p-17, -0x1.5d3fa3d18ab4bp-17, -0x1.5d07ac6ccb4cp-17, -0x1.5ccb993a84442p-17, -0x1.5c8b78054738ap-17, -0x1.5c47565bfde23p-17, -0x1.5bff418ddc755p-17, -0x1.5bb346bb2f794p-17, -0x1.5b6372e886e7p-17, -0x1.5b0fd30587658p-17, -0x1.5ab873ea086b1p-17, -0x1.5a5d624d34fcp-17, -0x1.59feaad2a2582p-17, -0x1.599c5b2e1b346p-17, -0x1.5936849377dbfp-17, -0x1.58cd2a3728578p-17, -0x1.58605665f5756p-17, -0x1.57f014d6cd50cp-17, -0x1.577c7c3e09d91p-17, -0x1.570594b47d444p-17, -0x1.568b68f147bc7p-17, -0x1.560e0569dc442p-17, -0x1.558d76b668551p-17, -0x1.5509c9207e9b4p-17, -0x1.548308e2f1f14p-17, -0x1.53f941da93661p-17, -0x1.536c7fd7c316ap-17, -0x1.52dcce61c9355p-17, -0x1.524a38f16aaa7p-17, -0x1.51b4cabb967d1p-17, -0x1.511c8e7043b22p-17, -0x1.50818e2591825p-17, -0x1.4fe3d62e101eap-17, -0x1.4f437550d08b4p-17, -0x1.4ea07597b2c72p-17, -0x1.4dfade13a97cap-17, -0x1.4d52b87c16e43p-17, -0x1.4ca810a174533p-17, -0x1.4bfaf1db407a6p-17, -0x1.4b4b676a3c388p-17, -0x1.4a997b097669cp-17, -0x1.49e535ffb7a4cp-17, -0x1.492ea1dee9ae8p-17, -0x1.4875c66c632d1p-17, -0x1.47bb2c2fcf34fp-17, -0x1.46fce6be82a1ap-17, -0x1.463e303c08798p-17, -0x1.457ca8ac140e1p-17, -0x1.44b9228d9e056p-17, -0x1.43f391db61329p-17, -0x1.432c01eced919p-17, -0x1.42627c83c2ac4p-17, -0x1.41970ada1be8p-17, -0x1.40c9b634ce10ep-17, -0x1.3ffa887541923p-17, -0x1.3f298b1dc0214p-17, -0x1.3e56c61adbc75p-17, -0x1.3d8242b8420b1p-17, -0x1.3cac0bc7985bp-17, -0x1.3bd42e380723dp-17, -0x1.3afab43331153p-17, -0x1.3a1fa1bfd8845p-17, -0x1.3942fa23c3a5dp-17, -0x1.3864c77a68c5ep-17, -0x1.378513323b451p-17, -0x1.36a3e375e091bp-17, -0x1.35c14268a7ca6p-17, -0x1.34dd39a7d965cp-17, -0x1.33f7d1b69bca1p-17, -0x1.331112c3e6614p-17, -0x1.322904e00024bp-17, -0x1.313fb00830be3p-17, -0x1.30551c1eb7495p-17, -0x1.2f695055bba6ap-17, -0x1.2e7c52d21fabfp-17, -0x1.2d8e2dc767669p-17, -0x1.2c9eed0133ea4p-17, -0x1.2bae94ffbaf59p-17, -0x1.2abd2819b10d8p-17, -0x1.29caacb0aa87ep-17, -0x1.28d72a7ef8b3p-17, -0x1.27e2a9132cf3bp-17, -0x1.26ed3040f1ab3p-17, -0x1.25f6c7eefd831p-17, -0x1.24ff7748dc972p-17, -0x1.2407449cb6b02p-17, -0x1.230e35dd0ae63p-17, -0x1.221450f5e67cap-17, -0x1.21199bc3ed8fap-17, -0x1.201e1c324e267p-17, -0x1.1f21d9f4bf3bap-17, -0x1.1e24e607247c5p-17, -0x1.1d276151341e6p-17, -0x1.1c28d9eddbe1ep-17, -0x1.1b29d2f0db0dep-17, -0x1.1a2a600e6b26bp-17, -0x1.192a0f555cda2p-17, -0x1.18293ac6ecd6ep-17, -0x1.1727c6c0566f9p-17, -0x1.1625ca3baefb2p-17, -0x1.152353c34da45p-17, -0x1.142061de9f97p-17, -0x1.131cfa835b64ap-17, -0x1.12191c0737444p-17, -0x1.1114cd26def7cp-17, -0x1.1010147451508p-17, -0x1.0f0af781bc4dp-17, -0x1.0e057bb7c3ce1p-17, -0x1.0cffa6682d2b8p-17, -0x1.0bf97cd4ee1e9p-17, -0x1.0af3042711fbap-17, -0x1.09ec40ec672c9p-17, -0x1.08e535c6d3f7ap-17, -0x1.07dde8a4251a5p-17, -0x1.06d6643c317bfp-17, -0x1.05ceabd732817p-17, -0x1.04c6bfe493035p-17, -0x1.03bea556d9802p-17, -0x1.02b661eb2d487p-17, -0x1.01adfa7d21228p-17, -0x1.00a57372c45c4p-17, -0x1.ff39a1d0bec94p-18, -0x1.fd282e036796fp-18, -0x1.fb1694c097961p-18, -0x1.f904df6836812p-18, -0x1.f6f31614bacb9p-18, -0x1.f4e14041cc03ap-18, -0x1.f2cf6580fa1a9p-18, -0x1.f0bd8d4399427p-18, -0x1.eeabbe5b09132p-18, -0x1.ec99fecaf4034p-18, -0x1.ea88699dd6dfp-18, -0x1.e876c89d956f3p-18, -0x1.e665a4c8afe9dp-18, -0x1.e45456a5c82b4p-18, -0x1.e2436a039399fp-18, -0x1.e032c29b1c2d7p-18, -0x1.de226aaceff2p-18, -0x1.dc126b899037ep-18, -0x1.da02bc5bf06e8p-18, -0x1.d7f1f97e6ca57p-18, -0x1.d5e4f775bc0fcp-18, -0x1.d3d64056dfb15p-18, -0x1.d1c836b75fb2ep-18, -0x1.cfbaab9a5f041p-18, -0x1.cdad9c2e475f7p-18, -0x1.cba10855fbb55p-18, -0x1.c99500fd046e7p-18, -0x1.c7898caaaf093p-18, -0x1.c57eaa9d46ed5p-18, -0x1.c37460337667ep-18, -0x1.c16abb687ddfap-18, -0x1.bf61c249b56bdp-18, -0x1.bd59749f85ac8p-18, -0x1.bb51d3340845cp-18, -0x1.b94ae4ec0fb3dp-18, -0x1.b744b417d301fp-18, -0x1.b53f47de00ff5p-18, -0x1.b33aa23450027p-18, -0x1.b136c8384478ap-18, -0x1.af33c552336a3p-18, -0x1.ad319d4e957c7p-18, -0x1.ab30509155b0cp-18, -0x1.a92fe272f944bp-18, -0x1.a73057c69ca79p-18, -0x1.a531b58c4e26dp-18, -0x1.a334008dd070ep-18, -0x1.a1373d8046bp-18, -0x1.9f3b719078481p-18, -0x1.9d40a2d5b1454p-18, -0x1.9b46d5660d6eap-18, -0x1.994e085500241p-18, -0x1.9756483d19ebbp-18, -0x1.955f986248912p-18, -0x1.9369ecad791ep-18, -0x1.9175429e3b372p-18, -0x1.8f81c25560c5bp-18, -0x1.8d8f8686a38d7p-18, -0x1.8b9e5e2c1297bp-18, -0x1.89ae26aa6bc72p-18, -0x1.87bf34df5dba5p-18, -0x1.85d17304d2f8fp-18, -0x1.83e4b5d14eba5p-18, -0x1.81f936b3c8d5ep-18, -0x1.800ee46e01772p-18, -0x1.7e262e381dcf3p-18, -0x1.7c3e186ae373bp-18, -0x1.7a57b0ba395f5p-18, -0x1.787264c1d3e5cp-18, -0x1.768e55ecca43ap-18, -0x1.74ab8cf9c140cp-18, -0x1.72ca0c5eb21e2p-18, -0x1.70e9d72d31db5p-18, -0x1.6f0af0f2eac2ep-18, -0x1.6d2d5a7d79c02p-18, -0x1.6b51174503041p-18, -0x1.697629ca789dep-18, -0x1.679c95a70970cp-18, -0x1.65c45fa5271fep-18, -0x1.63ed78fd1cfp-18, -0x1.6217f2362289cp-18, -0x1.6043cde259d28p-18, -0x1.5e7116043656bp-18, -0x1.5c9fc18195b4cp-18, -0x1.5acfd73a314dap-18, -0x1.59015811bfb92p-18, -0x1.5734444c0abd9p-18, -0x1.55689cfa897a8p-18, -0x1.539e64075dd36p-18, -0x1.51d59d6a43f8p-18, -0x1.500e4e99c467ap-18, -0x1.4e487d2ceb25dp-18, -0x1.4c842d0690d89p-18, -0x1.4ac15aa100b57p-18, -0x1.48fff5721033ap-18, -0x1.4741a98559cd3p-18, -0x1.45823e392d2b7p-18, -0x1.43c4ba672e299p-18, -0x1.420954130486fp-18, -0x1.404f5b1cb9147p-18, -0x1.3e96fd1f032c3p-18, -0x1.3ce0028d6e1bdp-18, -0x1.3b2aa231711e5p-18, -0x1.3976c0f05523dp-18, -0x1.37c4683c76931p-18, -0x1.3613983464dbfp-18, -0x1.3464515981694p-18, -0x1.32b6a02f1d15dp-18, -0x1.310a6ca0a3aadp-18, -0x1.2f5fc5d9283ccp-18, -0x1.2db6b7a8aa101p-18, -0x1.2c0f456246e1p-18, -0x1.2a694268cf0cdp-18, -0x1.28c4efac1f66p-18, -0x1.27220d3fd059dp-18, -0x1.2580e39397a7cp-18, -0x1.23e118896a665p-18, -0x1.2243104be4cb4p-18, -0x1.20a68f5647dbap-18, -0x1.1f0ba09ea0601p-18, -0x1.1d7245794eb66p-18, -0x1.1bda7cb933f18p-18, -0x1.1a444cecc3d33p-18, -0x1.18af8b6c27f61p-18, -0x1.171cb7f12b9d9p-18, -0x1.158b37bd4decdp-18, -0x1.13fb837be9852p-18, -0x1.126d246638652p-18, -0x1.10e081174b659p-18, -0x1.0f55c710cb058p-18, -0x1.0dcc23377c477p-18, -0x1.0c4483d3560f8p-18, -0x1.0abe4e21ea27fp-18, -0x1.09399f1f4b563p-18, -0x1.07b6786a5a2c4p-18, -0x1.0635105115afdp-18, -0x1.04b54587cc3bfp-18, -0x1.03370e60027cfp-18, -0x1.01ba6cc2b12bdp-18, -0x1.003f63711aa38p-18, -0x1.fd8bec0b1c97fp-19, -0x1.fa9c51a08387p-19, -0x1.f7aff37c33bdep-19, -0x1.f4c6bc7d32bbfp-19, -0x1.f1e0a2d3bff85p-19, -0x1.eefdae37031dbp-19, -0x1.ec1df1cda204p-19, -0x1.e941742b6377bp-19, -0x1.e6682f100bf19p-19, -0x1.e3921f5ae0e2p-19, -0x1.e0bf4cfcfadd1p-19, -0x1.ddefc08ee133ep-19, -0x1.db235aacf2608p-19, -0x1.d85a0dcf39edcp-19, -0x1.d593f630c9e3dp-19, -0x1.d2d1151c464c7p-19, -0x1.d0114d6aca1e2p-19, -0x1.cd5749fca01bep-19, -0x1.ca9b796c7888dp-19, -0x1.c7e53635d9625p-19, -0x1.c5323f775982dp-19, -0x1.c2824a76a91fdp-19, -0x1.bfd581eefb9b1p-19, -0x1.bd2c053d038e8p-19, -0x1.ba85bf2983954p-19, -0x1.b7e29159a39abp-19, -0x1.b542767837adap-19, -0x1.b2a573ca93c5p-19, -0x1.b00b8dcbf9fcp-19, -0x1.ad74c61d03056p-19, -0x1.aae11c00ad11dp-19, -0x1.a8508eab30295p-19, -0x1.a5c31d6a6a374p-19, -0x1.a338c77f3c206p-19, -0x1.a0b18bec1e2d5p-19, -0x1.9e2d695128cf9p-19, -0x1.9bac5dd25cdf1p-19, -0x1.992e66c663bf4p-19, -0x1.96b38581d4dbp-19, -0x1.943bbb5e4f6dbp-19, -0x1.91c6dd03dc0a1p-19, -0x1.8f5544f3c891p-19, -0x1.8ce695010df42p-19, -0x1.8a7ad731c50a1p-19, -0x1.88124a59728cp-19, -0x1.85acc2b50a08fp-19, -0x1.834a3a30e1ddp-19, -0x1.80eab2a21819cp-19, -0x1.7e8e2583522e1p-19, -0x1.7c3486d8b3aa9p-19, -0x1.79ddf629f62c3p-19, -0x1.778acae987c6p-19, -0x1.753a4591e33b3p-19, -0x1.72ec9751bbbccp-19, -0x1.70a22332bca7p-19, -0x1.6e5a2217287d6p-19, -0x1.6c155aaee9979p-19, -0x1.69d3b45a083f9p-19, -0x1.6794f506d700fp-19, -0x1.655917f674a2cp-19, -0x1.632024906116ap-19, -0x1.60ea1b45605cep-19, -0x1.5eb6f7a7e8ba7p-19, -0x1.5c86b303b636p-19, -0x1.5a5940252c446p-19, -0x1.582f479139d51p-19, -0x1.56074d0dc6fcfp-19, -0x1.53e2472d4415ap-19, -0x1.51c0a116f4803p-19, -0x1.4fa33df9f3203p-19, -0x1.4d84e328ab686p-19, -0x1.4b6b915964d79p-19, -0x1.49550e643841ap-19, -0x1.4741460f00b74p-19, -0x1.4530355561e98p-19, -0x1.4321ee93d79e8p-19, -0x1.41168b7e24bb5p-19, -0x1.3f0e085d49281p-19, -0x1.3d083479494a1p-19, -0x1.3b053a421a138p-19, -0x1.3904f1f61bc5ep-19, -0x1.37076f45d0e16p-19, -0x1.350ca758d3294p-19, -0x1.331494b0c579ep-19, -0x1.311f2f7817a1ep-19, -0x1.2f2c7106642e5p-19, -0x1.2d3c5d102e39bp-19, -0x1.2b4efc24b85fp-19, -0x1.29659fe6e82f6p-19, -0x1.277dc2c484cd8p-19, -0x1.25975318b3184p-19, -0x1.23b4cc0133499p-19, -0x1.21d4ed2adf9bdp-19, -0x1.1ff794f334ae6p-19, -0x1.1e1cc842eefafp-19, -0x1.1c4497149eb25p-19, -0x1.1a6ee748b6561p-19, -0x1.189be34f6886bp-19, -0x1.16cb83cf08caap-19, -0x1.14fdf9a970df1p-19, -0x1.13327f272f689p-19, -0x1.1169d7e56352dp-19, -0x1.0fa3a0c97dccdp-19, -0x1.0ddfe60f32831p-19, }}, 
      {{0x1.ffd73d4e7ac02p-1, 0x1.ff5f7ead43a43p-1, 0x1.fe9fb1e957f54p-1, 0x1.fda1881c2bf83p-1, 0x1.fc6fa236bfb45p-1, 0x1.fb140ac40dbd5p-1, 0x1.f997303de156ap-1, 0x1.f7ff63f21fe6bp-1, 0x1.f650c69191e54p-1, 0x1.f48d800f384a9p-1, 0x1.f2b620e627f5fp-1, 0x1.f0ca11f2cd2abp-1, 0x1.eec800f6ef6e7p-1, 0x1.ecae3fb4ce79bp-1, 0x1.ea7b113b70871p-1, 0x1.e82ce4910c4ffp-1, 0x1.e5c27de194322p-1, 0x1.e33b104679713p-1, 0x1.e0964a9303f75p-1, 0x1.ddd459983ad4fp-1, 0x1.daf5e2354bce1p-1, 0x1.d7fbf559fa0bbp-1, 0x1.d4e7ffe7f5438p-1, 0x1.d1bbb821eaecbp-1, 0x1.ce790a1581aefp-1, 0x1.cb22042a893a9p-1, 0x1.c7b8c4bfba8e3p-1, 0x1.c43f697eef956p-1, 0x1.c0b800d9ca254p-1, 0x1.bd247dedfac9cp-1, 0x1.b986aee69ec11p-1, 0x1.b5e035cedffc8p-1, 0x1.b23283b0d785ap-1, 0x1.ae7ed5ca1e582p-1, 0x1.aac634946d3fcp-1, 0x1.a709745b4faa4p-1, 0x1.a3493716e9351p-1, 0x1.9f85ef4647837p-1, 0x1.9bbfe38891479p-1, 0x1.97f732bae4b99p-1, 0x1.942bd86804752p-1, 0x1.905db15ea7536p-1, 0x1.8c8c804acbaf9p-1, 0x1.88b7f2359686bp-1, 0x1.84dfa2d5d4bc5p-1, 0x1.810320a0f6984p-1, 0x1.7d21f0916a987p-1, 0x1.793b919b6c0cap-1, 0x1.754f7fcccdbefp-1, 0x1.715d3717120ddp-1, 0x1.6d6435c537213p-1, 0x1.6963fea04094ep-1, 0x1.655c1ac6a0c4dp-1, 0x1.614c1b3b66123p-1, 0x1.5d339a327d8c3p-1, 0x1.59123c1f9398dp-1, 0x1.54e7b08d14d92p-1, 0x1.50b3b2c0bb881p-1, 0x1.4c760a32d327ep-1, 0x1.482e8add15bddp-1, 0x1.43dd1565b790ep-1, 0x1.3f81972ad6488p-1, 0x1.3b1c0a32303c5p-1, 0x1.36ac7500ab51p-1, 0x1.3232ea5ce6a76p-1, 0x1.2daf88ffc3022p-1, 0x1.29227b3583a8dp-1, 0x1.248bf671eb558p-1, 0x1.1fec3ad97c77fp-1, 0x1.1b4392c1ca7ccp-1, 0x1.1692522a9e049p-1, 0x1.11d8d6317d5cdp-1, 0x1.0d17848103d8fp-1, 0x1.084ecabd4fec1p-1, 0x1.037f1deeaa809p-1, 0x1.fd51f3d6e577ap-2, 0x1.f399c18473651p-2, 0x1.e9d6b449bad6ap-2, 0x1.e009e5aacdccfp-2, 0x1.d634782a921d3p-2, 0x1.cc57962f3733bp-2, 0x1.c27470ed9a02fp-2, 0x1.b88c3f5c7e747p-2, 0x1.aea03d3055c27p-2, 0x1.a4b1a9e03c5ecp-2, 0x1.9ac1c7b4b043ap-2, 0x1.90d1dae06e83bp-2, 0x1.86e328a3ca56ep-2, 0x1.7cf6f67ac240bp-2, 0x1.730e8955fae4bp-2, 0x1.692b24deb3c48p-2, 0x1.5f4e0ac5c5bc9p-2, 0x1.55787a1d98c69p-2, 0x1.4babaebf05222p-2, 0x1.41e8e0b8eff2dp-2, 0x1.383143ca8177p-2, 0x1.2e8606e7b11b5p-2, 0x1.24e853c7f001fp-2, 0x1.1b594e7ea02e6p-2, 0x1.11da151d0ee4ep-2, 0x1.086bbf5d9964cp-2, 0x1.fe1ebcaf51be2p-3, 0x1.eb8bf8783d7f3p-3, 0x1.d9213833b8cacp-3, 0x1.c6e07353ffa5p-3, 0x1.b4cb9246e3da2p-3, 0x1.a2e46e2acc003p-3, 0x1.912cd090d2954p-3, 0x1.7fa6734b35a1bp-3, 0x1.6e5300475e28ap-3, 0x1.5d341172cb132p-3, 0x1.4c4b30aa02ceep-3, 0x1.3b99d7b105ec4p-3, 0x1.2b21703466d62p-3, 0x1.1ae353d278224p-3, 0x1.0ae0cc2bdd2a3p-3, 0x1.f63625f5d24b1p-4, 0x1.d726a4625ea5p-4, 0x1.b8954835628f5p-4, 0x1.9a84270c54432p-4, 0x1.7cf537e3d128ap-4, 0x1.5fea537994e86p-4, 0x1.436534b5aa216p-4, 0x1.2767791a10c99p-4, 0x1.0bf2a138044cap-4, 0x1.e2102254494c2p-5, 0x1.ad52222585c3fp-5, 0x1.79ad9b3b7f692p-5, 0x1.4724b10aa0ec3p-5, 0x1.15b952324c145p-5, 0x1.cada731dcd5d2p-6, 0x1.6c83de9d366d6p-6, 0x1.107194104ce68p-6, 0x1.6d4bbf4b2b6eep-7, 0x1.7c8abaf53b698p-8, 0x1.3d32433fbce18p-11, -0x1.2410ffc2323d9p-8, -0x1.334bd2a11686ep-7, -0x1.cff5c41a0b1f1p-7, -0x1.3402f620a7b27p-6, -0x1.7dbe435952327p-6, -0x1.c52d373cfebdep-6, -0x1.0528467a484a3p-5, -0x1.2694a59e706a2p-5, -0x1.46dc612f34473p-5, -0x1.66004515de59dp-5, -0x1.840140039ed5ep-5, -0x1.a0e06277ec66ap-5, -0x1.bc9eddcaab156p-5, -0x1.d73e033a12a99p-5, -0x1.f0bf42fc2070fp-5, -0x1.049215a9f9035p-4, -0x1.103733d563799p-4, -0x1.1b4fdfd652fdbp-4, -0x1.25dd0b345e516p-4, -0x1.2fdfb4ba99f5p-4, -0x1.3958e80b4e63cp-4, -0x1.4249bd356dda6p-4, -0x1.4ab3584bac768p-4, -0x1.5296e8fd57599p-4, -0x1.59f5aa30ad6b9p-4, -0x1.60d0e19ee042bp-4, -0x1.6729df7196506p-4, -0x1.6d01fde1ed44cp-4, -0x1.725aa0d8f6536p-4, -0x1.773535919520cp-4, -0x1.7b93323bc2c07p-4, -0x1.7f7615a12c258p-4, -0x1.82df66cb15262p-4, -0x1.85d0b4a996103p-4, -0x1.884b95bbff8f6p-4, -0x1.8a51a7ba8515dp-4, -0x1.8be48f4107136p-4, -0x1.8d05f77b167eap-4, -0x1.8db791d1090b5p-4, -0x1.8dfb15963f4e2p-4, -0x1.8dd23fb8631afp-4, -0x1.8d3ed26fd9bf8p-4, -0x1.8c4294f1238fcp-4, -0x1.8adf531f5aba4p-4, -0x1.8916dd3fb7b49p-4, -0x1.86eb07ae12fc4p-4, -0x1.845daa9267dcap-4, -0x1.8170a197637dp-4, -0x1.7e25cba1dcda5p-4, -0x1.7a7f0a895f312p-4, -0x1.767e42d1a6fffp-4, -0x1.72255b651c5d8p-4, -0x1.6d763d5051d9ap-4, -0x1.6872d37e71638p-4, -0x1.631d0a76aec85p-4, -0x1.5d76d01abc195p-4, -0x1.5782136631b7fp-4, -0x1.5140c42f0033cp-4, -0x1.4ab4d2e6e7c11p-4, -0x1.43e0305de59f8p-4, -0x1.3cc4cd85ae4fcp-4, -0x1.35649b362a0a3p-4, -0x1.2dc189f2fa52bp-4, -0x1.25dd89b21391ep-4, -0x1.1dba89a355c4bp-4, -0x1.155a77f9368ddp-4, -0x1.0cbf41b284edap-4, -0x1.03ead26532c01p-4, -0x1.f5be281460fa6p-5, -0x1.e33bdd94dc1fdp-5, -0x1.d0529199c28a8p-5, -0x1.bd060c0b7873cp-5, -0x1.a95a100d4bb67p-5, -0x1.95525ba03ed2cp-5, -0x1.80f2a74807f36p-5, -0x1.6c3ea5b250f88p-5, -0x1.573a03601dcbbp-5, -0x1.41e86651ac05p-5, -0x1.2c4d6db46c88bp-5, -0x1.166cb19356cbbp-5, -0x1.0049c28989145p-5, -0x1.d3d052ee348d3p-6, -0x1.a696ce709cf9fp-6, -0x1.78ede8be2a324p-6, -0x1.4adc81dd6f56ap-6, -0x1.1c696833e999ap-6, -0x1.db36b00d5272cp-7, -0x1.7cf1f5ff5a271p-7, -0x1.1e11cf6efe5bfp-7, -0x1.7d46850f0837dp-8, -0x1.7accb6503972ep-9, 0x1.b1b9d1b9a3f1ep-15, 0x1.89fb9e2663bfdp-9, 0x1.874ff357fead8p-8, 0x1.2520b940b739fp-7, 0x1.86dd1aeb95a55p-7, 0x1.e8d13f91ef289p-7, 0x1.2578ba7b0f4eep-6, 0x1.56991b25847c4p-6, 0x1.87c4165f82fd3p-6, 0x1.b8f417fedf4eap-6, 0x1.ea23a35543ce6p-6, 0x1.0da6a9b45f32bp-5, 0x1.2635ed9441e7cp-5, 0x1.3ebd02ceae962p-5, 0x1.57395b0b36d4p-5, 0x1.6fa87428c86b6p-5, 0x1.8807d8500ff6ep-5, 0x1.a0551e03ef447p-5, 0x1.b88de82fe6c3dp-5, 0x1.d0afe634c294dp-5, 0x1.e8b8d3f35cc2fp-5, 0x1.00533ceacccfep-4, 0x1.0c3b566ac165ap-4, 0x1.1813a74164df7p-4, 0x1.23db26833cc7p-4, 0x1.2f90d19278135p-4, 0x1.3b33ac1f233adp-4, 0x1.46c2c02687efdp-4, 0x1.523d1df1baa2bp-4, 0x1.5da1dc136842cp-4, 0x1.68f01764de15fp-4, 0x1.7426f3025391p-4, 0x1.7f45984679e36p-4, 0x1.8a4b36c55b693p-4, 0x1.953704467f95ep-4, 0x1.a0083cbe705c4p-4, 0x1.aabe22478b72ap-4, 0x1.b557fd1a3460dp-4, 0x1.bfd51b8470d8dp-4, 0x1.ca34d1e0d0635p-4, 0x1.d4767a8cdf0f8p-4, 0x1.de9975deed7d7p-4, 0x1.e89d2a1b5dc41p-4, 0x1.f281036957491p-4, 0x1.fc4473c70f494p-4, 0x1.02f3797ebd0bp-3, 0x1.07b3ff49c4fc7p-3, 0x1.0c638ce083264p-3, 0x1.1101e6b06848cp-3, 0x1.158ed3f16d2c5p-3, 0x1.1a0a1e9ed389p-3, 0x1.1e73936fb064cp-3, 0x1.22cb01cf4b57fp-3, 0x1.27103bd551d68p-3, 0x1.2b43163dda18ep-3, 0x1.2f6368613a093p-3, 0x1.33710c2bbe86bp-3, 0x1.376bde1536ad7p-3, 0x1.3b53bd185a2dp-3, 0x1.3f288aaa11b7p-3, 0x1.42ea2ab09d1f2p-3, 0x1.4698837a9b939p-3, 0x1.4a337db5fc158p-3, 0x1.4dbb0466c9e1p-3, 0x1.512f04ddeac21p-3, 0x1.548f6eafc84d9p-3, 0x1.57dc33aad4289p-3, 0x1.5b1547ce0ef2ep-3, 0x1.5e3aa13f6dc54p-3, 0x1.614c38423a68p-3, 0x1.644a072d58459p-3, 0x1.67340a618f84ep-3, 0x1.6a0a403fbea1dp-3, 0x1.6ccca91f079f7p-3, 0x1.6f7b4742fa974p-3, 0x1.72161ed1b234bp-3, 0x1.749d35c9ef507p-3, 0x1.771093f938f0fp-3, 0x1.797042f1e8f13p-3, 0x1.7bbc4e014dc3ep-3, 0x1.7df4c225b638cp-3, 0x1.8019ae0497a63p-3, 0x1.822b21e09ef51p-3, 0x1.84292f8fddd3ep-3, 0x1.8613ea71ec798p-3, 0x1.87eb67661b3d9p-3, 0x1.89afbcc1aa591p-3, 0x1.8b6102460a72dp-3, 0x1.8cff5117297c5p-3, 0x1.8e8ac3b1cbdf1p-3, 0x1.900375e1ee76p-3, 0x1.916984b9377abp-3, 0x1.92bd0e857acc9p-3, 0x1.93fe32c741bcep-3, 0x1.952d122871a41p-3, 0x1.9649ce72f51a8p-3, 0x1.97548a878a22ep-3, 0x1.984d6a548869dp-3, 0x1.993492ccd5435p-3, 0x1.9a0a29dedc0d6p-3, 0x1.9ace566ba1d7dp-3, 0x1.9b81403dee283p-3, 0x1.9c23100182b1ap-3, 0x1.9cb3ef3a78dfap-3, 0x1.9d34083ca74b5p-3, 0x1.9da386232519p-3, 0x1.9e0294c7ea5c7p-3, 0x1.9e5160bb83d75p-3, 0x1.9e90173cdcb4fp-3, 0x1.9ebee6312e18ep-3, 0x1.9eddfc1bff641p-3, 0x1.9eed88174380bp-3, 0x1.9eedb9cb8dedcp-3, 0x1.9edec1686f606p-3, 0x1.9ec0cf9cdeb51p-3, 0x1.9e94158fc976p-3, 0x1.9e58c4d8b89d1p-3, 0x1.9e0f0f789a46cp-3, 0x1.9db727d29ebfbp-3, 0x1.9d5140a538c08p-3, 0x1.9cdd8d033c742p-3, 0x1.9c5c404d13994p-3, 0x1.9bcd8e2a1939bp-3, 0x1.9b31aa820b5fp-3, 0x1.9a88c9769ff63p-3, 0x1.99d31f5d33359p-3, 0x1.9910e0b898514p-3, 0x1.9842423305734p-3, 0x1.976778981af91p-3, 0x1.9680b8cf11646p-3, 0x1.958e37d4ff0cap-3, 0x1.94902ab73832ap-3, 0x1.9386c68dd94e6p-3, 0x1.927240765f6e3p-3, 0x1.9152cd8e6e548p-3, 0x1.9028a2eea90dbp-3, 0x1.8ef3f5a5acd4p-3, 0x1.8db4fab328fadp-3, 0x1.8c6be7031683ep-3, 0x1.8b18ef690af97p-3, 0x1.89bc489ba5abap-3, 0x1.8856273020fe7p-3, 0x1.86e6bf95fb775p-3, 0x1.856e4612c1565p-3, 0x1.83eceebdea6bp-3, 0x1.8262ed7ce4c4ap-3, 0x1.80d075ff282f2p-3, 0x1.7f35bbba768b3p-3, 0x1.7d92f1e72796ap-3, 0x1.7be84b7ca271bp-3, 0x1.7a35fb2de1b26p-3, 0x1.787c336620cf7p-3, 0x1.76bb264594fafp-3, 0x1.74f3059e52d84p-3, 0x1.732402f13ec14p-3, 0x1.714e4f6b1e776p-3, 0x1.6f721be1c3763p-3, 0x1.6d8f98d14fa97p-3, 0x1.6ba6f6599101cp-3, 0x1.69b8643b792eap-3, 0x1.67c411d6a9943p-3, 0x1.65ca2e2719a41p-3, 0x1.63cae7c2d7999p-3, 0x1.61c66cd7df33bp-3, 0x1.5fbceb2a02e75p-3, 0x1.5dae9010f3db8p-3, 0x1.5b9b88765b7cbp-3, 0x1.598400d40f73cp-3, 0x1.5768253252ce3p-3, 0x1.554821263c18ep-3, 0x1.53241fd020c0ap-3, 0x1.50fc4bda1f3d2p-3, 0x1.4ed0cf76b9f1dp-3, 0x1.4ca1d45f89ce6p-3, 0x1.4a6f83d400c53p-3, 0x1.483a06984400dp-3, 0x1.460184f4126acp-3, 0x1.43c626b1c6762p-3, 0x1.4188131d6a63bp-3, 0x1.3f477103d2adbp-3, 0x1.3d0466b1d8ffap-3, 0x1.3abf19f39ff9bp-3, 0x1.3877b013edd3p-3, 0x1.362e4ddb90a8ap-3, 0x1.33e31790db6dfp-3, 0x1.319630f72904fp-3, 0x1.2f47bd4e7e1ffp-3, 0x1.2cf7df532a424p-3, 0x1.2aa6b93d8080ap-3, 0x1.28546cc1a0f7fp-3, 0x1.26011b0f4bf13p-3, 0x1.23ace4d1c155ap-3, 0x1.2157ea2fb7021p-3, 0x1.1f024acb5623p-3, 0x1.1cac25c23eb9bp-3, 0x1.1a5599adabac4p-3, 0x1.17fec4a28e0a4p-3, 0x1.15a7c431c0f2ap-3, 0x1.1350b5684725ep-3, 0x1.10f9b4cf90839p-3, 0x1.0ea2de6dcf5cbp-3, 0x1.0c4c4dc653ee6p-3, 0x1.09f61dd9f9742p-3, 0x1.07a0692794fcdp-3, 0x1.054b49ac74143p-3, 0x1.02f6d8e4e1955p-3, 0x1.00a32fccb970ap-3, 0x1.fca0cdbffc69bp-4, 0x1.f7fd2c36f791ap-4, 0x1.f35ba9fae25f6p-4, 0x1.eebc750c8d39ap-4, 0x1.ea1fba7288d3p-4, 0x1.e585a63aa930ap-4, 0x1.e0ee637b9c0bdp-4, 0x1.dc5a1c568f07fp-4, 0x1.d7c8f9f8d5e95p-4, 0x1.d33b249daeb37p-4, 0x1.ceb0c39000806p-4, 0x1.ca29fd2c3d87ap-4, 0x1.c5a6f6e23c58bp-4, 0x1.c127d53726327p-4, 0x1.bcacbbc76aa12p-4, 0x1.b835cd48c676ep-4, 0x1.b3c32b8c4e483p-4, 0x1.af54f78075649p-4, 0x1.aaeb513340c95p-4, 0x1.a68657d45def4p-4, 0x1.a22629b752392p-4, 0x1.9dcae455b4effp-4, 0x1.9974a45166428p-4, 0x1.95238576d50bp-4, 0x1.90d7a2bf4abd8p-4, 0x1.8c911653315b2p-4, 0x1.884ff98c747c6p-4, 0x1.841464f8d11e8p-4, 0x1.7fde705c39abap-4, 0x1.7bae32b338f4bp-4, 0x1.7783c23559918p-4, 0x1.735f34578aca1p-4, 0x1.6f409dce96097p-4, 0x1.6b28129191acdp-4, 0x1.6715a5dc4b345p-4, 0x1.63096a31c824dp-4, 0x1.5f03715eb5d9dp-4, 0x1.5b03cc7bec56dp-4, 0x1.570a8bf0e3e73p-4, 0x1.5317bf7633e41p-4, 0x1.4f2b76180ce6bp-4, 0x1.4b45be38c0e18p-4, 0x1.4766a593372a5p-4, 0x1.438e393d71ef7p-4, 0x1.3fbc85ab091ecp-4, 0x1.3bf196afaa399p-4, 0x1.382d778198af6p-4, 0x1.347032bc22f6fp-4, 0x1.30b9d2622998ap-4, 0x1.2d0a5fe08c024p-4, 0x1.2961e410a9c35p-4, 0x1.25c0673adc65ep-4, 0x1.2225f118e1cc1p-4, 0x1.1e9288d853bfp-4, 0x1.1b06351d1e161p-4, 0x1.1780fc03e4547p-4, 0x1.1402e32472e2bp-4, 0x1.108bef941eb1ap-4, 0x1.0d1c25e83782p-4, 0x1.09b38a385a825p-4, 0x1.06522020de14cp-4, 0x1.02f7eac524f3ep-4, 0x1.ff49d9a3f98d5p-5, 0x1.f8b250ffc5b0ep-5, 0x1.f2293f2ace7fbp-5, 0x1.ebaea6d2d3585p-5, 0x1.e54289cacedfcp-5, 0x1.dee4e90f763d3p-5, 0x1.d895c4cbc06d3p-5, 0x1.d2551c5d51c93p-5, 0x1.cc22ee58e0dfcp-5, 0x1.c5ff388ea5dacp-5, 0x1.bfe9f80eb46f4p-5, 0x1.b9e3292d30821p-5, 0x1.b3eac786acaa6p-5, 0x1.ae00ce045a435p-5, 0x1.a82536e03760ap-5, 0x1.a257fba935063p-5, 0x1.9c991547532b3p-5, 0x1.96e87bffa8556p-5, 0x1.914627787acb9p-5, 0x1.8bb20ebd1eac3p-5, 0x1.862c2841f89b8p-5, 0x1.80b469e8633dcp-5, 0x1.7b4ac9026eb13p-5, 0x1.75ef3a56d096bp-5, 0x1.70a1b2248aeacp-5, 0x1.6b622426ae50bp-5, 0x1.663083980740cp-5, 0x1.610cc336b01fdp-5, 0x1.5bf6d547b32afp-5, 0x1.56eeab9a898f2p-5, 0x1.51f4378ca0214p-5, 0x1.4d076a0cb9415p-5, 0x1.4828339e6704cp-5, 0x1.4356845d4e7d1p-5, 0x1.3e924c007da4cp-5, 0x1.39db79ddb9e88p-5, 0x1.3531fcec9c05fp-5, 0x1.3095c3c9cdb18p-5, 0x1.2c06bcba22a49p-5, 0x1.2784d5ada230dp-5, 0x1.230ffc42a486fp-5, 0x1.1ea81dc8a4b2fp-5, 0x1.1a4d27436492p-5, 0x1.15ff056da4114p-5, 0x1.11bda4bc07eb9p-5, 0x1.0d88f15ff362cp-5, 0x1.0960d74a2d8c5p-5, 0x1.0545422db07c8p-5, 0x1.01361d823cfb6p-5, 0x1.fa66a90e12a2bp-6, 0x1.f279a48a958fcp-6, 0x1.eaa503257697bp-6, 0x1.e2e89a2839e62p-6, 0x1.db443e7f50cb6p-6, 0x1.d3b7c4becaee3p-6, 0x1.cc43012737576p-6, 0x1.c4e5c7aa20dcbp-6, 0x1.bd9febeea6b1ap-6, 0x1.b6714155e73aep-6, 0x1.af599aff6324p-6, 0x1.a858cbcd4aa4fp-6, 0x1.a16ea66896005p-6, 0x1.9a9afd454e901p-6, 0x1.93dda2a67060cp-6, 0x1.8d3668a1f0643p-6, 0x1.86a521249b3c9p-6, 0x1.80299df5dccddp-6, 0x1.79c3b0bb6c5eap-6, 0x1.73732afd1862ep-6, 0x1.6d37de280bdfp-6, 0x1.67119b92aa625p-6, 0x1.6100347f8ad3p-6, 0x1.5b037a213ce3bp-6, 0x1.551b3d9d1d2b9p-6, 0x1.4f47500edf7fdp-6, 0x1.4987828b72871p-6, 0x1.43dba6241fd0fp-6, 0x1.3e438be97672fp-6, 0x1.38bf04ee48a52p-6, 0x1.334de24a57bdep-6, 0x1.2deff51d4a114p-6, 0x1.28a50e9120097p-6, 0x1.236cffdd0b0fap-6, 0x1.1e479a47d3dddp-6, 0x1.1934af2a6bbcfp-6, 0x1.14340ff24f525p-6, 0x1.0f458e23fa4fbp-6, 0x1.0a68fb5d0766cp-6, 0x1.059e2956a4ad9p-6, 0x1.00e4e9e78cde3p-6, 0x1.f87a1e0c90b8ep-7, 0x1.ef4cd5965c662p-7, 0x1.e6419ee4ce5a3p-7, 0x1.dd581ebb9e509p-7, 0x1.d48ffa2de6832p-7, 0x1.cbe8d6a194ae5p-7, 0x1.c36259d316315p-7, 0x1.bafc29d8b55ecp-7, 0x1.b2b5ed25f3fbdp-7, 0x1.aa8f4a8ec3f97p-7, 0x1.a287e94aab108p-7, 0x1.9a9f70f7ae12cp-7, 0x1.92d5899d4d1f4p-7, 0x1.8b29dbaf586ecp-7, 0x1.839c10109db7bp-7, 0x1.7c2bd015877fcp-7, 0x1.74d8c586ae5a5p-7, 0x1.6da29aa32530dp-7, 0x1.6688fa2307b08p-7, 0x1.5f8b8f39873e4p-7, 0x1.58aa0597292b8p-7, 0x1.51e4096be48dbp-7, 0x1.4b3947692f312p-7, 0x1.44a96cc398d5ap-7, 0x1.3e342734fa309p-7, 0x1.37d924fe0b3c2p-7, 0x1.319814e7febb8p-7, 0x1.2b70a64647f7cp-7, 0x1.256288f7ebacap-7, 0x1.1f6d6d691b45p-7, 0x1.199104946f42cp-7, 0x1.13cd000456928p-7, 0x1.0e2111d429d34p-7, 0x1.088cecb1765adp-7, 0x1.031043dd08c3ep-7, 0x1.fb559657c15fep-8, 0x1.f0b86e10b2107p-8, 0x1.e64878e5af8a8p-8, 0x1.dc05220564239p-8, 0x1.d1edd5ce0c06bp-8, 0x1.c80201cecdbabp-8, 0x1.be4114c8f3226p-8, 0x1.b4aa7eb15a38p-8, 0x1.ab3db0b164de4p-8, 0x1.a1fa1d27c341ep-8, 0x1.98df37a9c7dedp-8, 0x1.8fec7503cfee2p-8, 0x1.87214b3a03ecep-8, 0x1.7e7d31890edap-8, 0x1.75ffa066a98a9p-8, 0x1.6da81181a2437p-8, 0x1.6575ffc261dcap-8, 0x1.5d68e74b45437p-8, 0x1.5580457863366p-8, 0x1.4dbb98e000859p-8, 0x1.461a615226cc7p-8, 0x1.3e9c1fd8b08cbp-8, 0x1.374056b7229e6p-8, 0x1.3006896a476b1p-8, 0x1.28ee3ca7cd42p-8, 0x1.21f6f65e14cep-8, 0x1.1b203db33692p-8, 0x1.14699b052f628p-8, 0x1.0dd297e89200bp-8, 0x1.075abf282d988p-8, 0x1.01019cc415c5ep-8, 0x1.f58d7be212ea2p-9, 0x1.e953622f09848p-9, 0x1.dd540ba599df1p-9, 0x1.d18e99dfc3cb1p-9, 0x1.c60230d8cb23dp-9, 0x1.baadf6eb85364p-9, 0x1.af9114cfce8b5p-9, 0x1.a4aab597fa82p-9, 0x1.99fa06ae626f7p-9, 0x1.8f7e37d380ebbp-9, 0x1.85367b1a1db91p-9, 0x1.7b2204e56640cp-9, 0x1.71400be613fd1p-9, 0x1.678fc9170f298p-9, 0x1.5e1077bacf294p-9, 0x1.54c155588572ep-9, 0x1.4ba1a1b83653cp-9, 0x1.42b09ee05e94ep-9, 0x1.39ed91123b881p-9, 0x1.3157bec6bf587p-9, 0x1.28ee70aabcf2p-9, 0x1.20b0f19c38a4bp-9, 0x1.189e8ea618c2dp-9, 0x1.10b696fd5e0f9p-9, 0x1.08f85bfcf1a3p-9, 0x1.016331225a2dap-9, 0x1.f3ecd81427923p-10, 0x1.e562c8d6c81adp-10, 0x1.d726e82ab5882p-10, 0x1.c937edd4a3186p-10, 0x1.bb9495b8ea6a8p-10, 0x1.ae3b9fd3c2a5fp-10, 0x1.a12bd0310dcd9p-10, 0x1.9463eee4f53c8p-10, 0x1.87e2c8034782p-10, 0x1.7ba72b98d3252p-10, 0x1.6fafeda1a6864p-10, 0x1.63fbe60274c4ep-10, 0x1.5889f07f7100cp-10, 0x1.4d58ecb4d5728p-10, 0x1.4267be0e9a397p-10, 0x1.37b54bbfb9523p-10, 0x1.2d4080ba2b32ep-10, 0x1.23084ba73e9a3p-10, 0x1.190b9ede30424p-10, 0x1.0f49705cf7c7fp-10, 0x1.05c0b9beef3dcp-10, 0x1.f8e0f06a9984p-11, 0x1.e6af58fc54e49p-11, 0x1.d4eab5b929ddbp-11, 0x1.c391161ea4ae8p-11, 0x1.b2a090944198p-11, 0x1.a21742569164bp-11, 0x1.91f34f6a15abfp-11, 0x1.8232e287a75cp-11, 0x1.72d42d0e25b27p-11, 0x1.63d566ef029afp-11, 0x1.5534cea048ccap-11, 0x1.46f0a909af7e3p-11, 0x1.39074175a703bp-11, 0x1.2b76e97ec9486p-11, 0x1.1e3df90124cc9p-11, 0x1.115ace088c0d5p-11, 0x1.04cbccbfeffc7p-11, 0x1.f11ebec36dccp-12, 0x1.d947ec4d5c652p-12, 0x1.c2100e6a38478p-12, 0x1.ab741d245e25dp-12, 0x1.95711c1e8644cp-12, 0x1.80041a78c1a79p-12, 0x1.6b2a32a97921cp-12, 0x1.56e08a64c2d79p-12, 0x1.43245276307a9p-12, 0x1.2ff2c6a44e8dep-12, 0x1.1d492d8f70c18p-12, 0x1.0b24d8924d46p-12, 0x1.f3064746627e5p-13, 0x1.d0c2ea66a95dp-13, 0x1.af7a7c2118326p-13, 0x1.8f27f28ffde09p-13, 0x1.6fc6580497c2p-13, 0x1.5150cad72b428p-13, 0x1.33c27d205f6a9p-13, 0x1.1716b48006442p-13, 0x1.f69193be3a88fp-14, 0x1.c0a8527088ab7p-14, 0x1.8c68a2b385b1ap-14, 0x1.59c9a74d870c2p-14, 0x1.28c2a7c218994p-14, 0x1.f2961fd1f8335p-15, 0x1.96b4deb62fa1dp-15, 0x1.3dd0f23b0aae6p-15, 0x1.cfb40c8b1f302p-16, 0x1.29801762d235p-16, 0x1.11ccddce66f5dp-17, -0x1.237fc71956992p-20, -0x1.4ff36b146b492p-17, -0x1.387cc430978dfp-16, -0x1.c3deaee9231cap-16, -0x1.251e3e46ca717p-15, -0x1.65d95b035e278p-15, -0x1.a42eb3f1bcf3ep-15, -0x1.e02c1215349c3p-15, -0x1.0cef80eaf645ap-14, -0x1.28aa69fda1434p-14, -0x1.434d4f2d0cb67p-14, -0x1.5cde9e5c33e86p-14, -0x1.7564a8bee7e94p-14, -0x1.8ce5a346b3c3ap-14, -0x1.a367a7027f22ap-14, -0x1.b8f0b1817d4d6p-14, -0x1.cd86a539608b8p-14, -0x1.e12f49d5e0c1ep-14, -0x1.f3f04caf95f23p-14, -0x1.02e7a08c4086ap-13, -0x1.0b68d060a7556p-13, -0x1.137e660a134f4p-13, -0x1.1b2b0547043ap-13, -0x1.227145921663ap-13, -0x1.2953b2466b484p-13, -0x1.2fd4cad43c212p-13, -0x1.35f702e5f4e27p-13, -0x1.3bbcc29280061p-13, -0x1.41286682f1a6fp-13, -0x1.463c40207bcebp-13, -0x1.4afa95bddb894p-13, -0x1.4f65a2bf8469cp-13, -0x1.537f97c85b64ap-13, -0x1.574a9ade3fe34p-13, -0x1.5ac8c796c1367p-13, -0x1.5dfc2f3c6f9fbp-13, -0x1.60e6d8f796266p-13, -0x1.638ac1f3e3e61p-13, -0x1.65e9dd893d4f1p-13, -0x1.68061560c520dp-13, -0x1.69e1499ab00dap-13, -0x1.6b7d50f3b0c95p-13, -0x1.6cdbf8eb36dcap-13, -0x1.6dff05e4d9aedp-13, -0x1.6ee8334f2cde2p-13, -0x1.6f9933c943b95p-13, -0x1.7013b13e691f5p-13, -0x1.70594d11e6408p-13, -0x1.706ba03bfc0ccp-13, -0x1.704c3b6d8dccap-13, -0x1.6ffca731bdb4cp-13, -0x1.6f7e640f600b2p-13, -0x1.6ed2eaa7da11cp-13, -0x1.6dfbabdb87127p-13, -0x1.6cfa10e3a87a9p-13, -0x1.6bcf7b7a2c7e4p-13, -0x1.6a7d45ef6f3f6p-13, -0x1.6904c3518e263p-13, -0x1.67673f8646dfbp-13, -0x1.65a5ff6760adfp-13, -0x1.63c240e6a72afp-13, -0x1.61bd3b24e5c96p-13, -0x1.5f981e923e591p-13, -0x1.5d541507fb68fp-13, -0x1.5af241e98ba06p-13, -0x1.5873c239a8dffp-13, -0x1.55d9acbc3ce41p-13, -0x1.5325120c986a6p-13, -0x1.5056fcba45e4p-13, -0x1.4d707164553eep-13, -0x1.4a726ed00ad6ap-13, -0x1.475dee077f524p-13, -0x1.4433e26bd3f77p-13, -0x1.40f539d72eb82p-13, -0x1.3da2dcac9dd98p-13, -0x1.3a3dadf64ad4bp-13, -0x1.36c68b7ac8331p-13, -0x1.333e4dd496dep-13, -0x1.2fa5c88b48dd4p-13, -0x1.2bfdca28f5ee3p-13, -0x1.28471c4fbbcffp-13, -0x1.248283d3fa08ap-13, -0x1.20b0c0ce6fb37p-13, -0x1.1cd28eb215dfcp-13, -0x1.18e8a465145ffp-13, -0x1.14f3b452b9c2ep-13, -0x1.10f46c8042fb7p-13, -0x1.0ceb76a22f89dp-13, -0x1.08d978316eeb2p-13, -0x1.04bf127d1337ep-13, -0x1.009ce2bf30366p-13, -0x1.f8e704600225p-14, -0x1.f0870c33b8b1fp-14, -0x1.e81affd18b4e7p-14, -0x1.dfa3fa8298b25p-14, -0x1.d723101ddb5bbp-14, -0x1.ce994d32a4d9ep-14, -0x1.c607b72443a8dp-14, -0x1.bd6f4c53bbed8p-14, -0x1.b4d1043ec333cp-14, -0x1.ac2dcfa07aecep-14, -0x1.a386989756fe5p-14, -0x1.9adc42bf885bfp-14, -0x1.922fab566d43ep-14, -0x1.8981a95c115b6p-14, -0x1.80d30daed35c9p-14, -0x1.7824a32ba571ep-14, -0x1.6f772ecd9ea7p-14, -0x1.66cb6fc999ebap-14, -0x1.5e221fab94629p-14, -0x1.557bf2757c161p-14, -0x1.4cd996bb2b368p-14, -0x1.443bb5bb43b08p-14, -0x1.3ba2f37f9a3aap-14, -0x1.330feef3d7f1ap-14, -0x1.2a83420254f84p-14, -0x1.21fd81ae822b8p-14, -0x1.197f3e2e7b918p-14, -0x1.11090302654f1p-14, -0x1.089b5710821a9p-14, -0x1.0036bcbb928dp-14, -0x1.efb763f5ac68bp-15, -0x1.df1560e9d5d4cp-15, -0x1.ce885b24834afp-15, -0x1.be1135307283dp-15, -0x1.adb0c979d164fp-15, -0x1.9d67ea7f7a50dp-15, -0x1.8d3762fa6fac2p-15, -0x1.7d1ff60babf59p-15, -0x1.6d225f63be705p-15, -0x1.5d3f536f2d8a9p-15, -0x1.4d777f7db40e5p-15, -0x1.3dcb89ea0a783p-15, -0x1.2e3c12436dfc3p-15, -0x1.1ec9b16daad67p-15, -0x1.0f74f9d47cf74p-15, -0x1.003e77817cf08p-15, -0x1.e24d6095fd421p-16, -0x1.c45c47ef3fc34p-16, -0x1.a6aa98b74a6a7p-16, -0x1.89393b04200ffp-16, -0x1.6c090b99679ebp-16, -0x1.4f1adc28de626p-16, -0x1.326f739924ad4p-16, -0x1.16078e46e72d3p-16, -0x1.f3c7bc7dd6b7ep-17, -0x1.bc0a1707271e8p-17, -0x1.84d7688b4718ep-17, -0x1.4e30da423100dp-17, -0x1.181782bbf162bp-17, -0x1.c518cc905252p-18, -0x1.5b20eed6f4e87p-18, -0x1.e4925d5739f16p-19, -0x1.1526592aba734p-19, -0x1.2003411ec0e8p-21, 0x1.05b6fd156358ap-20, 0x1.4b6c132ed37bcp-19, 0x1.08d75555b9fabp-18, 0x1.6ad09eb418035p-18, 0x1.cba0fee83abeep-18, 0x1.15a3d5b3c5b9bp-17, 0x1.44e1fa92cb52cp-17, 0x1.738aa3e41945fp-17, 0x1.a19d948bc180bp-17, 0x1.cf1a9c0d1e4acp-17, 0x1.fc0196483801ep-17, 0x1.1429358b7a356p-16, 0x1.2a0686ffa4fc8p-16, 0x1.3f98beece0303p-16, 0x1.54dfe24418282p-16, 0x1.69dbfb4d13cb2p-16, 0x1.7e8d198852cafp-16, 0x1.92f3517e72bcfp-16, 0x1.a70ebca2de4d6p-16, 0x1.badf79291005cp-16, 0x1.ce65a9e5e34d8p-16, 0x1.e1a176280ece7p-16, 0x1.f493099584a6ep-16, 0x1.039d4a06a0097p-15, 0x1.0ccc24c0da4eep-15, 0x1.15d630ed9d292p-15, 0x1.1ebb8c6a8314ap-15, 0x1.277c56f0e8762p-15, 0x1.3018b204a73afp-15, 0x1.3890c0e6e8644p-15, 0x1.40e4a885459d7p-15, 0x1.49148f6e0e986p-15, 0x1.51209dbe8d6cap-15, 0x1.5908fd1a0adfap-15, 0x1.60cdd897fe966p-15, 0x1.686f5cb85e2c5p-15, 0x1.6fedb757a7793p-15, 0x1.774917a0ad425p-15, 0x1.7e81ae01783c7p-15, 0x1.8597ac1e25323p-15, 0x1.8c8b44c51351cp-15, 0x1.935cabe48c6b3p-15, 0x1.9a0c167d657b7p-15, 0x1.a099ba99618cp-15, 0x1.a705cf410fap-15, 0x1.ad508c6e422ccp-15, 0x1.b37a2b049aa7dp-15, 0x1.b982e4c54e9fdp-15, 0x1.bf6af4477eb0ap-15, 0x1.c53294ec15e8fp-15, 0x1.cada02d565c14p-15, 0x1.d0617ade35eb3p-15, 0x1.d5c93a9083c93p-15, 0x1.db11801d15634p-15, 0x1.e03a8a50e7a39p-15, 0x1.e544988e9d3c2p-15, 0x1.ea2feac693abap-15, 0x1.eefcc16d3d1b4p-15, 0x1.f3ab5d7426c85p-15, 0x1.f83c00428268cp-15, 0x1.fcaeebad8b886p-15, 0x1.008230f827ba1p-14, 0x1.029e52d31a92bp-14, 0x1.04abfce171b8bp-14, 0x1.06ab50c5bc952p-14, 0x1.089c7047fb7dp-14, 0x1.0a7f7d5321fb6p-14, 0x1.0c5499f0b4b38p-14, 0x1.0e1be8468a89ep-14, 0x1.0fd58a93bb089p-14, 0x1.1181a32dad8d1p-14, 0x1.1320547cfb3e7p-14, 0x1.14b1c0fae4e98p-14, 0x1.16360b2ed68e1p-14, 0x1.17ad55ab7bc61p-14, 0x1.1917c30c27385p-14, 0x1.1a7575f2944bdp-14, 0x1.1bc6910489b17p-14, 0x1.1d0b36e97c1acp-14, 0x1.1e438a47af3dbp-14, 0x1.1f6fadc2a58c8p-14, 0x1.208fc3f901cc2p-14, 0x1.21a3ef81e780ap-14, 0x1.22ac52eb49235p-14, 0x1.23a910b807276p-14, 0x1.249a4b5de4d6p-14, 0x1.2580254341004p-14, 0x1.265ac0be47bb2p-14, 0x1.272a40120ce6cp-14, 0x1.27eec56d5c752p-14, 0x1.28a872e98ab12p-14, 0x1.29576a87ee9bep-14, 0x1.29fbce30af239p-14, 0x1.2a95bfb1da085p-14, 0x1.2b2560bd43a4fp-14, 0x1.2baad2e6f6a7bp-14, 0x1.2c2637a42e23ep-14, 0x1.2c97b04a51718p-14, 0x1.2cff5e0d1950fp-14, 0x1.2d5d61fdba447p-14, 0x1.2db1dd0979c0fp-14, 0x1.2dfceff8932c3p-14, 0x1.2e3ebb6ce617dp-14, 0x1.2e775fe17f5c2p-14, 0x1.2ea6fda93917ep-14, 0x1.2ecdb4ed66655p-14, 0x1.2eeba5ad355dep-14, 0x1.2f00efbcec8bfp-14, 0x1.2f0db2c46bee5p-14, 0x1.2f120e3f0c2f1p-14, 0x1.2f0e217a94066p-14, 0x1.2f020b95fec79p-14, 0x1.2eedeb814a4c2p-14, 0x1.2ed1dffca687p-14, 0x1.2eae079706ec6p-14, 0x1.2e8280aebc77ep-14, 0x1.2e4f696fb51d6p-14, 0x1.2e14dfd3c5a51p-14, 0x1.2dd301a1653afp-14, 0x1.2d89ec6b91deep-14, 0x1.2d39bd90baca8p-14, 0x1.2ce2923aefd23p-14, 0x1.2c84875f5f828p-14, 0x1.2c1fb9bd27c37p-14, 0x1.2bb445ddc021bp-14, 0x1.2b424813d177fp-14, 0x1.2ac9dc7b8d1fdp-14, 0x1.2a4b1efa5c999p-14, 0x1.29c62b3dc6e6bp-14, 0x1.293b1cbbbd47ep-14, 0x1.28aa0eb1dfb54p-14, 0x1.28131c2602b72p-14, 0x1.27765fe51a285p-14, 0x1.26d3f483a0f96p-14, 0x1.262bf45ccc2fap-14, 0x1.257e7992b67d4p-14, 0x1.24cb9e0e72738p-14, 0x1.24137b7f60fe6p-14, 0x1.23562b5b8160ap-14, 0x1.2293c6df06bccp-14, 0x1.21cc670c10907p-14, 0x1.210024ab526b8p-14, 0x1.202f184b2681fp-14, 0x1.1f595a4044b27p-14, 0x1.1e7f02a52a4dbp-14, 0x1.1da0295a4fc57p-14, 0x1.1cbce605f3599p-14, 0x1.1bd5501454e72p-14, 0x1.1ae97eb8110f5p-14, 0x1.19f988e94fe3cp-14, 0x1.19058566572d8p-14, 0x1.180d8ab35123ap-14, 0x1.1711af1b48cd2p-14, 0x1.161208aed80dap-14, 0x1.150ead45095dfp-14, 0x1.1407b27b71eabp-14, 0x1.12fd2db660f56p-14, 0x1.11ef342091d3bp-14, 0x1.10dddaabbe364p-14, 0x1.0fc9361019c0dp-14, 0x1.0eb15acd8c083p-14, 0x1.0d965d2af8482p-14, 0x1.0c785136db044p-14, 0x1.0b574ac6e0d34p-14, 0x1.0a335d78ec1fp-14, 0x1.090c9cb2c866cp-14, 0x1.07e31ba2618cbp-14, 0x1.06b6ed3de9d93p-14, 0x1.05882444804p-14, 0x1.0456d33dbe58ep-14, 0x1.03230c7abf339p-14, 0x1.01ece2157fbcbp-14, 0x1.00b465f1df72p-14, 0x1.fef3537a7af8cp-15, 0x1.fc797dde9745p-15, 0x1.f9fb6d93fab41p-15, 0x1.f77944b3a3a34p-15, 0x1.f4f324ebe4c51p-15, 0x1.f2692f81f4b0dp-15, 0x1.efdb8551eb5c9p-15, 0x1.ed4a46cec108ep-15, 0x1.eab594033eec7p-15, 0x1.e81d8c93be529p-15, 0x1.e5824fbd3b2cdp-15, 0x1.e2e3fc56233dbp-15, 0x1.e042b0cf3e1efp-15, 0x1.dd9e8b34ed8d7p-15, 0x1.daf7a92f52852p-15, 0x1.d84e2801c39ffp-15, 0x1.d5a2248d6bf0dp-15, 0x1.d2f3bb50c94fap-15, 0x1.d0430868fea8bp-15, 0x1.cd90279087cd3p-15, 0x1.cadb34231e01bp-15, 0x1.c824491b6ba47p-15, 0x1.c56b81165adaap-15, 0x1.c2b0f650b4ad8p-15, 0x1.bff4c2aaca261p-15, 0x1.bd36ffa6e68b4p-15, 0x1.ba77c66b833b9p-15, 0x1.b7b72fc3262b6p-15, 0x1.b4f5541d498f4p-15, 0x1.b2324b8e8b0e8p-15, 0x1.af6e2dd32ba27p-15, 0x1.aca9124cf43c1p-15, 0x1.a9e31006a931dp-15, 0x1.a71c3db27c7cep-15, 0x1.a454b1acc8afp-15, 0x1.a18c81faa4b24p-15, 0x1.9ec3c44ca4258p-15, 0x1.9bfa8dfe69d5ep-15, 0x1.9930f4173b764p-15, 0x1.96670b4afffc9p-15, 0x1.939ce7fbd2126p-15, 0x1.90d29e3915895p-15, 0x1.8e0841c1316d7p-15, 0x1.8b3de6022a397p-15, 0x1.88739e1a96795p-15, 0x1.85a97cd96dca8p-15, 0x1.82df94bf38f13p-15, 0x1.8015f7ffd93fep-15, 0x1.7d4cb88157c97p-15, 0x1.7a83e7dda8d21p-15, 0x1.77bb976380bd5p-15, 0x1.74f3d816b722ap-15, 0x1.722cbab0f58a7p-15, 0x1.6f664fa225adap-15, 0x1.6ca0a712c9b34p-15, 0x1.69dbd0e1a225ap-15, 0x1.6717dca7afbp-15, 0x1.6454d9b5a75b8p-15, 0x1.6192d71884c6ap-15, 0x1.5ed1e3961713ep-15, 0x1.5c120db13d61dp-15, 0x1.595363a7548bap-15, 0x1.5695f374418c5p-15, 0x1.53d9cad055102p-15, 0x1.511ef7326c922p-15, 0x1.4e6585d05b907p-15, 0x1.4bad839faed31p-15, 0x1.48f6fd56039c2p-15, 0x1.4641ff69bb14bp-15, 0x1.438e96132d436p-15, 0x1.40dccd4c3cf6dp-15, 0x1.3e2cb0d322f11p-15, 0x1.3b7e4c27daf09p-15, 0x1.38d1aa90a386fp-15, 0x1.3626d71637726p-15, }}, 
      {{0x1.ffde97d085b09p-1, 0x1.ff7bccb1193d1p-1, 0x1.fedb9c1a7bbaap-1, 0x1.fe03d98c1f3bap-1, 0x1.fcfb4f14a15dfp-1, 0x1.fbc8efb0f5327p-1, 0x1.fa73372be5d55p-1, 0x1.f8ffc03cb1b5fp-1, 0x1.f7730df501e4ep-1, 0x1.f5d07efb370c9p-1, 0x1.f41a5e9ca8de9p-1, 0x1.f25208461c8e6p-1, 0x1.f07814086402cp-1, 0x1.ee8c855deaaf7p-1, 0x1.ec8ef7bfcba4bp-1, 0x1.ea7ec67533195p-1, 0x1.e85b2e5c388d4p-1, 0x1.e623694c81f15p-1, 0x1.e3d6c33f185e6p-1, 0x1.e174a9b705401p-1, 0x1.defcb6104f9dcp-1, 0x1.dc6eb36d36102p-1, 0x1.d9caa0fcf70c4p-1, 0x1.d710b151c8fb9p-1, 0x1.d441477003a85p-1, 0x1.d15cf2311c7ddp-1, 0x1.ce646683620acp-1, 0x1.cb5878fc865d9p-1, 0x1.c83a1721d61ccp-1, 0x1.c50a40b6588bdp-1, 0x1.c1ca014d72c1cp-1, 0x1.be7a6a50a43ep-1, 0x1.bb1c8d98af21p-1, 0x1.b7b178ae43536p-1, 0x1.b43a30bc0ad8bp-1, 0x1.b0b7af33ab7bfp-1, 0x1.ad2adf20e98bfp-1, 0x1.a9949b214a535p-1, 0x1.a5f5abf33e6f7p-1, 0x1.a24ec78dc0849p-1, 0x1.9ea090b038785p-1, 0x1.9aeb96da25123p-1, 0x1.9730569a65303p-1, 0x1.936f3a26b5174p-1, 0x1.8fa89a2d19512p-1, 0x1.8bdcbed22c519p-1, 0x1.880be0d0b15c7p-1, 0x1.84362ab0391efp-1, 0x1.805bba0a06767p-1, 0x1.7c7ca0d4bb90bp-1, 0x1.7898e6b0915d6p-1, 0x1.74b08a2efee12p-1, 0x1.70c38211b6283p-1, 0x1.6cd1be7dc345ep-1, 0x1.68db2a2061089p-1, 0x1.64dfab43bed2cp-1, 0x1.60df24d282dbep-1, 0x1.5cd97749521a6p-1, 0x1.58ce8196010c1p-1, 0x1.54be21e46814ap-1, 0x1.50a836591152ap-1, 0x1.4c8c9dba2da7p-1, 0x1.486b38075cc9dp-1, 0x1.4443e700fa1afp-1, 0x1.40168e9fa9fa8p-1, 0x1.3be3157cfcf7ap-1, 0x1.37a9652df94c9p-1, 0x1.33696a906b661p-1, 0x1.2f23160bd4f7p-1, 0x1.2ad65bc6d5658p-1, 0x1.268333d1e06ffp-1, 0x1.22299a4812d75p-1, 0x1.1dc98f66eac17p-1, 0x1.1963179da86ap-1, 0x1.14f63b950cc6p-1, 0x1.1083083025253p-1, 0x1.0c098e86cf56ap-1, 0x1.0789e3da8eb58p-1, 0x1.030421864dceep-1, 0x1.fcf0c9d3282b8p-2, 0x1.f3cd9e9f745f8p-2, 0x1.ea9f0ba726522p-2, 0x1.e16562800bd98p-2, 0x1.d820fbdbfa15ap-2, 0x1.ced2374031f96p-2, 0x1.c5797ab8f86b7p-2, 0x1.bc17328a214f4p-2, 0x1.b2abd0dd1e28p-2, 0x1.a937cd6d33814p-2, 0x1.9fbba5325518p-2, 0x1.9637da0b2d973p-2, 0x1.8cacf266bef9p-2, 0x1.831b78ee05fdp-2, 0x1.7983fc2dff407p-2, 0x1.6fe70e4269752p-2, 0x1.664544818166bp-2, 0x1.5c9f37290f54cp-2, 0x1.52f5810cf2ee2p-2, 0x1.4948bf476bf1p-2, 0x1.3f9990eb4a88dp-2, 0x1.35e896b82dadfp-2, 0x1.2c3672d0f4791p-2, 0x1.2283c8747ccc3p-2, 0x1.18d13bb8c7132p-2, 0x1.0f1f71489435ep-2, 0x1.056f0e2383e6ap-2, 0x1.f7816ec18e2a2p-3, 0x1.e42a23e8cdefep-3, 0x1.d0d984ee4b062p-3, 0x1.bd90d9e1ea2f1p-3, 0x1.aa51694c117d8p-3, 0x1.971c77cced927p-3, 0x1.83f347c0c05cp-3, 0x1.70d718e93b18bp-3, 0x1.5dc9281bbc09ap-3, 0x1.4acaaef462a25p-3, 0x1.37dce38dd7e7ep-3, 0x1.2500f83dab554p-3, 0x1.12381b553008ap-3, 0x1.ff06edcd4e6ep-4, 0x1.d9c8611d501e9p-4, 0x1.b4b6d2831ecb8p-4, 0x1.8fd47a39d1482p-4, 0x1.6b23867922063p-4, 0x1.46a61b270e511p-4, 0x1.225e51906e16dp-4, 0x1.fc9c70507400ap-5, 0x1.b4efa49a85f7p-5, 0x1.6dba302bfb996p-5, 0x1.26ffec446c4afp-5, 0x1.c18935c93a9c1p-6, 0x1.3617cd0f2c8e7p-6, 0x1.5765879771e1fp-7, 0x1.13087c22c971p-9, -0x1.975a2a054a5e3p-8, -0x1.d9daeb0545bbp-7, -0x1.72dd4d72d6adp-6, -0x1.f79fdf1ea98afp-6, -0x1.3d979420b742ep-5, -0x1.7ec2abc641098p-5, -0x1.bf4e6651039a1p-5, -0x1.ff380c01c73ebp-5, -0x1.1f3e7ebd54d9ep-4, -0x1.3e8d59d5ccfcep-4, -0x1.5d875fdcd2acap-4, -0x1.7c2b6570f0a8bp-4, -0x1.9a784b2bec33ap-4, -0x1.b86cfd90001ecp-4, -0x1.d60874f337ebbp-4, -0x1.f349b569072ap-4, -0x1.0817e75524f5bp-3, -0x1.165cedfddf83cp-3, -0x1.2473820992248p-3, -0x1.325b3c7d83efcp-3, -0x1.4013bbfaaf756p-3, -0x1.4d9ca4ae92dep-3, -0x1.5af5a04369a16p-3, -0x1.681e5dd003b96p-3, -0x1.751691c72614cp-3, -0x1.81ddf5e68dcdbp-3, -0x1.8e74492598c64p-3, -0x1.9ad94fa39c776p-3, -0x1.a70cd295f1fb6p-3, -0x1.b30ea035c5672p-3, -0x1.bede8bada32aep-3, -0x1.ca7c6d06d5f3p-3, -0x1.d5e821168ee13p-3, -0x1.e121896aec587p-3, -0x1.ec288c37d5af9p-3, -0x1.f6fd1443bc7fcp-3, -0x1.00cf886a1dd2fp-2, -0x1.06073acd54f96p-2, -0x1.0b259d50485adp-2, -0x1.102aae1a0d2e2p-2, -0x1.15166d6a366bfp-2, -0x1.19e8dd8f02e23p-2, -0x1.1ea202db84aeep-2, -0x1.2341e39dc99bfp-2, -0x1.27c8881503ecp-2, -0x1.2c35fa67afa21p-2, -0x1.308a4699c419bp-2, -0x1.34c57a82de259p-2, -0x1.38e7a5c476eebp-2, -0x1.3cf0d9c01c25dp-2, -0x1.40e1298db1e15p-2, -0x1.44b8a9f1b870dp-2, -0x1.487771539da02p-2, -0x1.4c1d97b41654fp-2, -0x1.4fab36a37fa73p-2, -0x1.532069384eedp-2, -0x1.567d4c05885fcp-2, -0x1.59c1fd1146e7ep-2, -0x1.5cee9bcb4a115p-2, -0x1.6003490396786p-2, -0x1.630026e122876p-2, -0x1.65e558d89065ap-2, -0x1.68b303a2f89d6p-2, -0x1.6b694d34c030dp-2, -0x1.6e085cb484ac2p-2, -0x1.70905a7214891p-2, -0x1.73016fdd77d77p-2, -0x1.755bc77e0d212p-2, -0x1.779f8ce9b5424p-2, -0x1.79ccecbc14ce1p-2, -0x1.7be4148de386bp-2, -0x1.7de532ec5476p-2, -0x1.7fd077508a574p-2, -0x1.81a6121727b54p-2, -0x1.83663477edfd5p-2, -0x1.8511107d705c2p-2, -0x1.86a6d8fce3319p-2, -0x1.8827c18df530fp-2, -0x1.8993fe82c82c3p-2, -0x1.8aebc4dffb059p-2, -0x1.8c2f4a54caf14p-2, -0x1.8d5ec5334a434p-2, -0x1.8e7a6c68aefd6p-2, -0x1.8f827775ba6f5p-2, -0x1.90771e6733bf1p-2, -0x1.915899ce7f08bp-2, -0x1.922722ba49297p-2, -0x1.92e2f2af4b4a8p-2, -0x1.938c43a12a91bp-2, -0x1.94234feb6d5f7p-2, -0x1.94a8524a884bep-2, -0x1.951b85d50a5e6p-2, -0x1.957d25f4d9fb8p-2, -0x1.95cd6e60910c5p-2, -0x1.960c9b14f2a8bp-2, -0x1.963ae84e76be7p-2, -0x1.96589282f3a1p-2, -0x1.9665d65b5ee81p-2, -0x1.9662f0adaa03dp-2, -0x1.96501e76b8c34p-2, -0x1.962d9cd471ce6p-2, -0x1.95fba8ffe9829p-2, -0x1.95ba8047a7a3fp-2, -0x1.956a600a08c36p-2, -0x1.950b85afb7649p-2, -0x1.949e2ea6429b5p-2, -0x1.9422985ace9c5p-2, -0x1.93990034e0919p-2, -0x1.9301a391406d4p-2, -0x1.925cbfbcfecc2p-2, -0x1.91aa91f08ce0ep-2, -0x1.90eb574af479dp-2, -0x1.901f4ccd2604cp-2, -0x1.8f46af5566ad7p-2, -0x1.8e61bb9ad479cp-2, -0x1.8d70ae2906fc2p-2, -0x1.8c73c35bca698p-2, -0x1.8b6b375af6644p-2, -0x1.8a5746165891fp-2, -0x1.89382b41c3412p-2, -0x1.880e22512e883p-2, -0x1.86d96674f5fa6p-2, -0x1.859a32962f6ecp-2, -0x1.8450c1531d0b2p-2, -0x1.82fd4cfbb5bdep-2, -0x1.81a00f8e4b9fp-2, -0x1.803942b444caep-2, -0x1.7ec91fbef4576p-2, -0x1.7d4fdfa48713cp-2, -0x1.7bcdbafd0c6e8p-2, -0x1.7a42e9ff92b4bp-2, -0x1.78afa47f61aacp-2, -0x1.771421e9495f8p-2, -0x1.75709941076e1p-2, -0x1.73c5411ec9463p-2, -0x1.72124facbf9bdp-2, -0x1.7057faa4cdfc6p-2, -0x1.6e96774e4b1a9p-2, -0x1.6ccdfa7bdfe33p-2, -0x1.6afeb8897515cp-2, -0x1.6928e55a3c921p-2, -0x1.674cb456cbccdp-2, -0x1.656a586b4f561p-2, -0x1.63820405d229ep-2, -0x1.6193e9149b6f4p-2, -0x1.5fa039049c0c6p-2, -0x1.5da724bff941bp-2, -0x1.5ba8dcaca1d32p-2, -0x1.59a590aafe75ep-2, -0x1.579d7014b213ap-2, -0x1.5590a9bb6cf6ep-2, -0x1.537f6be7d6d63p-2, -0x1.5169e45886817p-2, -0x1.4f5040410dca7p-2, -0x1.4d32ac491a89ep-2, -0x1.4b11548ba4654p-2, -0x1.48ec64962f40ap-2, -0x1.46c407681df61p-2, -0x1.4498677215532p-2, -0x1.4269ae95718efp-2, -0x1.40380623c8817p-2, -0x1.3e0396de7f34cp-2, -0x1.3bcc88f66d189p-2, -0x1.3993040b8f7b7p-2, -0x1.37572f2ccaa69p-2, -0x1.351930d7bbafcp-2, -0x1.32d92ef8969bfp-2, -0x1.30974eea1375fp-2, -0x1.2e53b57569e88p-2, -0x1.2c0e86d257d7p-2, -0x1.29c7e6a7391dbp-2, -0x1.277ff809265a8p-2, -0x1.2536dd7c2710cp-2, -0x1.22ecb8f36ad58p-2, -0x1.20a1abd18f3d9p-2, -0x1.1e55d6e8f3de1p-2, -0x1.1c095a7c1789dp-2, -0x1.19bc563dffab6p-2, -0x1.176ee952ae23ep-2, -0x1.1521324f9d50dp-2, -0x1.12d34f3c48d3fp-2, -0x1.10855d92beb5bp-2, -0x1.0e377a403c67ep-2, -0x1.0be9c1a5d1802p-2, -0x1.099c4f990f333p-2, -0x1.074f3f64bca6bp-2, -0x1.0502abc998e5ap-2, -0x1.02b6aeff2059p-2, -0x1.006b62b45a2b6p-2, -0x1.fc41c02164db8p-3, -0x1.f7ae7f69aa3a4p-3, -0x1.f31d33772cb4p-3, -0x1.ee8e0b75b5406p-3, -0x1.ea0135891be3fp-3, -0x1.e576decf32837p-3, -0x1.e0ef3361c7756p-3, -0x1.dc6a5e58ae3d3p-3, -0x1.d7e889cbd577p-3, -0x1.d369ded566712p-3, -0x1.ceee8593f1f6ep-3, -0x1.ca76a52c9fbf2p-3, -0x1.c60263cd73d85p-3, -0x1.c191e6af8fae3p-3, -0x1.bd25521982046p-3, -0x1.b8bcc961a340cp-3, -0x1.b4586ef06ff3ep-3, -0x1.aff86442eed06p-3, -0x1.ab9cc9ed22f37p-3, -0x1.a745bf9c7aa7fp-3, -0x1.a2f3641a4dff5p-3, -0x1.9ea5d54e59e57p-3, -0x1.9a5d304146a3cp-3, -0x1.9619911f32cacp-3, -0x1.91db133a40be8p-3, -0x1.8da1d10d28a94p-3, -0x1.896de43dced42p-3, -0x1.853f659fdf468p-3, -0x1.81166d3765e13p-3, -0x1.7cf3123b73aacp-3, -0x1.78d56b18bed52p-3, -0x1.74bd8d744647cp-3, -0x1.70ab8e2df8aecp-3, -0x1.6c9f81635aa86p-3, -0x1.68997a72331b6p-3, -0x1.64998bfb31647p-3, -0x1.609fc7e49b6edp-3, -0x1.5cac3f5cf4c32p-3, -0x1.58bf02ddae622p-3, -0x1.54d8222dccf29p-3, -0x1.50f7ac64989bdp-3, -0x1.4d1dafec40903p-3, -0x1.494a3a848ae7ap-3, -0x1.457d59457829ep-3, -0x1.41b718a1eb3ecp-3, -0x1.3df7846a4ebabp-3, -0x1.3a3ea7cf3868ep-3, -0x1.368c8d640950cp-3, -0x1.32e13f218dbbap-3, -0x1.2f3cc66898d45p-3, -0x1.2b9f2c04a2ea1p-3, -0x1.2808782e5a824p-3, -0x1.2478b28e3ab0cp-3, -0x1.20efe23f208f4p-3, -0x1.1d6e0dd0d3831p-3, -0x1.19f33b4a91077p-3, -0x1.167f702d96b57p-3, -0x1.1312b1779f1a5p-3, -0x1.0fad03a569fd5p-3, -0x1.0c4e6ab52c041p-3, -0x1.08f6ea290f0dcp-3, -0x1.05a685099e52cp-3, -0x1.025d3de83a6f8p-3, -0x1.fe362dc2f5ec3p-4, -0x1.f7c0233f351bep-4, -0x1.f1585eb9a2f8dp-4, -0x1.eafee1cb6ae7cp-4, -0x1.e4b3ad3714debp-4, -0x1.de76c0ed2e244p-4, -0x1.d8481c10deb67p-4, -0x1.d227bcfc75e47p-4, -0x1.cc15a145ea98bp-4, -0x1.c611c5c354991p-4, -0x1.c01c268f55f1fp-4, -0x1.ba34bf0d829f2p-4, -0x1.b45b89eeadd1p-4, -0x1.ae90813533ad5p-4, -0x1.a8d39e39430f8p-4, -0x1.a324d9ad0095ep-4, -0x1.9d842ba0bb455p-4, -0x1.97f18b86fe2bep-4, -0x1.926cf038a55a7p-4, -0x1.8cf64ff8de494p-4, -0x1.878da0791f43ep-4, -0x1.8232d6dd14199p-4, -0x1.7ce5e7be78af5p-4, -0x1.77a6c730f093dp-4, -0x1.727568c5ca86p-4, -0x1.6d51bf8fb7d79p-4, -0x1.683bbe267d7a2p-4, -0x1.633356aa94567p-4, -0x1.5e387ac8baaf4p-4, -0x1.594b1bbd806ap-4, -0x1.546b2a58bffddp-4, -0x1.4f9897010cd45p-4, -0x1.4ad351b717761p-4, -0x1.461b4a1904b2cp-4, -0x1.41706f65b2d75p-4, -0x1.3cd2b07ffbb9bp-4, -0x1.3841fbf1e2e37p-4, -0x1.33be3fefb92e2p-4, -0x1.2f476a5b38fc3p-4, -0x1.2add68c68b395p-4, -0x1.268028774c5a5p-4, -0x1.222f96697c412p-4, -0x1.1deb9f5268527p-4, -0x1.19b42fa37f8e1p-4, -0x1.1589338d28692p-4, -0x1.116a97017fc9fp-4, -0x1.0d5845b70d49p-4, -0x1.09522b2b74198p-4, -0x1.055832a6098f4p-4, -0x1.016a473a6ded8p-4, -0x1.fb10a7961e16dp-5, -0x1.f36486175321p-5, -0x1.ebcfff075d7dep-5, -0x1.e452e7216b015p-5, -0x1.dced12d18cab1p-5, -0x1.d59e563962ebap-5, -0x1.ce668534984cep-5, -0x1.c745735d53a9p-5, -0x1.c03af41093288p-5, -0x1.b946da725dbbfp-5, -0x1.b268f97200e62p-5, -0x1.aba123ce217d2p-5, -0x1.a4ef2c18b3c9fp-5, -0x1.9e52e4baec9f4p-5, -0x1.97cc1ff91d537p-5, -0x1.915aaff667f89p-5, -0x1.8afe66b878277p-5, -0x1.84b7162b14bc9p-5, -0x1.7e849023a10b9p-5, -0x1.7866a66495474p-5, -0x1.725d2aa0cf811p-5, -0x1.6c67ee7ee4a8ep-5, -0x1.6686c39c53fedp-5, -0x1.60b97b90a1e3ap-5, -0x1.5affe7f071415p-5, -0x1.5559da50763f3p-5, -0x1.4fc724486463ep-5, -0x1.4a479775c5236p-5, -0x1.44db057ebcd6ap-5, -0x1.3f814014bbfe5p-5, -0x1.3a3a18f72273p-5, -0x1.350561f5d2c03p-5, -0x1.2fe2ecf3a8a51p-5, -0x1.2ad28be8f374cp-5, -0x1.25d410e5c4207p-5, -0x1.20e74e1449afap-5, -0x1.1c0c15bb00ae5p-5, -0x1.17423a3eec1b7p-5, -0x1.12898e25a586dp-5, -0x1.0de1e41775a15p-5, -0x1.094b0ee147809p-5, -0x1.04c4e176a0d07p-5, -0x1.004f2ef37d2a2p-5, -0x1.f7d3953c3981dp-6, -0x1.ef290fd19f143p-6, -0x1.e69e74e7357e7p-6, -0x1.de336c1be4dcdp-6, -0x1.d5e79d70887e8p-6, -0x1.cdbab14b05d71p-6, -0x1.c5ac50795d1b5p-6, -0x1.bdbc243479d4cp-6, -0x1.b5e9d622f615fp-6, -0x1.ae35105bd8c2bp-6, -0x1.a69d7d692078dp-6, -0x1.9f22c84a3ce1fp-6, -0x1.97c49c7677d5bp-6, -0x1.9082a5df5339dp-6, -0x1.895c90f2a137bp-6, -0x1.82520a9cb3aafp-6, -0x1.7b62c04a62bf7p-6, -0x1.748e5feafaee7p-6, -0x1.6dd497f2260ecp-6, -0x1.67351759a48adp-6, -0x1.60af8da30fbd2p-6, -0x1.5a43aad9612fep-6, -0x1.53f11f929e74ep-6, -0x1.4db79cf12fd7bp-6, -0x1.4796d4a55fdfap-6, -0x1.418e78ee94746p-6, -0x1.3b9e3c9c99998p-6, -0x1.35c5d310dbfa9p-6, -0x1.3004f03f62ba9p-6, -0x1.2a5b48aff9d0dp-6, -0x1.24c8917f1ba8cp-6, -0x1.1f4c805ed2501p-6, -0x1.19e6cb97a0625p-6, -0x1.14972a09428cap-6, -0x1.0f5d532b60e1cp-6, -0x1.0a38ff0e48a05p-6, -0x1.0529e65b734e7p-6, -0x1.002fc2562020ep-6, -0x1.f69499b7a81b2p-7, -0x1.ecf280c972fdep-7, -0x1.e378b008358a4p-7, -0x1.da269ed153b93p-7, -0x1.d0fbc5b983bf1p-7, -0x1.c7f79e8d6fe4fp-7, -0x1.bf19a451eed3dp-7, -0x1.b66153446619p-7, -0x1.adce28daf45eep-7, -0x1.a55fa3c47b466p-7, -0x1.9d1543e8bfc66p-7, -0x1.94ee8a684b34ap-7, -0x1.8ceaf99c3fa55p-7, -0x1.850a1516172dap-7, -0x1.7d4b619f75725p-7, -0x1.75ae6539b2d79p-7, -0x1.6e32a71d56ce2p-7, -0x1.66d7afb9b3e65p-7, -0x1.5f9d08b41a565p-7, -0x1.58823ce780b83p-7, -0x1.5186d863773b1p-7, -0x1.4aaa686ba4c01p-7, -0x1.43ec7b76a0022p-7, -0x1.3d4ca12d483fcp-7, -0x1.36ca6a69b216ep-7, -0x1.306569362b74dp-7, -0x1.2a1d30cc0e8d5p-7, -0x1.23f15592bfe13p-7, -0x1.1de16d1e6d5d2p-7, -0x1.17ed0e2edb1e5p-7, -0x1.1213d0ae2489cp-7, -0x1.0c554daf4cd4bp-7, -0x1.06b11f6d04e46p-7, -0x1.0126e148235a1p-7, -0x1.f76c5f8c9ed9ep-8, -0x1.ecbd5120ba791p-8, -0x1.e23fd4e20ceafp-8, -0x1.d7f32aa5fdba3p-8, -0x1.cdd6947f8bbf1p-8, -0x1.c3e956bb3ad1fp-8, -0x1.ba2ab7dc57343p-8, -0x1.b09a00993b5dp-8, -0x1.a7367bd8274b8p-8, -0x1.9dff76ab84ebcp-8, -0x1.94f4404e41071p-8, -0x1.8c142a208c11ep-8, -0x1.835e87a3e20c4p-8, -0x1.7ad2ae777966ap-8, -0x1.726ff6547f84dp-8, -0x1.6a35b90a3a837p-8, -0x1.6223527a58969p-8, -0x1.5a382094e62e3p-8, -0x1.5273835489e91p-8, -0x1.4ad4dcba7ef1ep-8, -0x1.435b90cab4cc5p-8, -0x1.3c070587ac243p-8, -0x1.34d6a2ee87f7dp-8, -0x1.2dc9d2f300133p-8, -0x1.26e0017b5e3e6p-8, -0x1.20189c5c2308ep-8, -0x1.1973135441bccp-8, -0x1.12eed808b5afp-8, -0x1.0c8b5e00886f9p-8, -0x1.06481aa093dacp-8, -0x1.00248527430b2p-8, -0x1.f4402d5126605p-9, -0x1.e87494135fdp-9, -0x1.dce537f99e6dep-9, -0x1.d19115f9ee838p-9, -0x1.c6772e9374ecbp-9, -0x1.bb9685c679368p-9, -0x1.b0ee230af2a06p-9, -0x1.a67d114916862p-9, -0x1.9c425ed03a626p-9, -0x1.923d1d4e8f1d9p-9, -0x1.886c61c8b6a4fp-9, -0x1.7ecf4491414cfp-9, -0x1.7564e14048794p-9, -0x1.6c2c56aac0a65p-9, -0x1.6324c6da7f978p-9, -0x1.5a4d570534de2p-9, -0x1.51a52f84b3054p-9, -0x1.492b7bce070f4p-9, -0x1.40df6a69597c5p-9, -0x1.38c02ce98b334p-9, -0x1.30ccf7e409954p-9, -0x1.290502e7f64ebp-9, -0x1.21678876e3eabp-9, -0x1.19f3c5fb85bb5p-9, -0x1.12a8fbc233013p-9, -0x1.0b866cf094b7fp-9, -0x1.048b5f7d69569p-9, -0x1.fb6e3850b0a66p-10, -0x1.ee11dce4258e2p-10, -0x1.e100492882cfp-10, -0x1.d4381ef2ce79ep-10, -0x1.c7b8056a0fcf9p-10, -0x1.bb7ea8f76b603p-10, -0x1.af8abb36e14c4p-10, -0x1.a3daf2e6630e7p-10, -0x1.986e0bd81e0dbp-10, -0x1.8d42c6e0ca1e4p-10, -0x1.8257e9ca80d07p-10, -0x1.77ac3f441eaa3p-10, -0x1.6d3e96d1e9c2cp-10, -0x1.630dc4bfde956p-10, -0x1.5918a210dc4fcp-10, -0x1.4f5e0c713892cp-10, -0x1.45dce62735a4cp-10, -0x1.3c94160486dbp-10, -0x1.33828757a7f99p-10, -0x1.2aa729dd72806p-10, -0x1.2200f1b2d5dfp-10, -0x1.198ed7468e888p-10, -0x1.114fd74a9197dp-10, -0x1.0942f2a679287p-10, -0x1.01672e69862cap-10, -0x1.f3772778d66acp-11, -0x1.e47e5fa903c1ep-11, -0x1.d5e227c9a6d64p-11, -0x1.c7a0aa238b5bdp-11, -0x1.b9b818c662b18p-11, -0x1.ac26ad6e41dbp-11, -0x1.9eeaa9696c7dbp-11, -0x1.9202557ee8466p-11, -0x1.856c01d37e5cfp-11, -0x1.792605d109039p-11, -0x1.6d2ec00cc708fp-11, -0x1.6184962e02521p-11, -0x1.5625f4d5b511cp-11, -0x1.4b114f84d92d7p-11, -0x1.404520853c526p-11, -0x1.35bfe8d15b387p-11, -0x1.2b802ff9f65a1p-11, -0x1.21848411bd25p-11, -0x1.17cb79930b3a9p-11, -0x1.0e53ab4b54204p-11, -0x1.051bba40cc758p-11, -0x1.f8449b3dd36cap-12, -0x1.e6cc253ae44edp-12, -0x1.d5cb78d5e1a79p-12, -0x1.c540082ef44fdp-12, -0x1.b52750faca767p-12, -0x1.a57edc584637bp-12, -0x1.96443ea7decd5p-12, -0x1.8775175d729b9p-12, -0x1.790f10d957602p-12, -0x1.6b0fe03e0ea46p-12, -0x1.5d75454698b6p-12, -0x1.503d0a1eb8d2bp-12, -0x1.4365033c5340ap-12, -0x1.36eb0f33005d9p-12, -0x1.2acd1693a97e7p-12, -0x1.1f090bbfe0ff8p-12, -0x1.139ceac7456f1p-12, -0x1.0886b93f48f95p-12, -0x1.fb890c41674c9p-13, -0x1.e6a8d33fb404fp-13, -0x1.d2690a1341a01p-13, -0x1.bec6053d4fadep-13, -0x1.abbc2ae15852ap-13, -0x1.9947f27cd732fp-13, -0x1.8765e4a1a1e68p-13, -0x1.76129ab3d8f3cp-13, -0x1.654abea16cfb4p-13, -0x1.550b0aa3bcf42p-13, -0x1.455048fb8cf34p-13, -0x1.361753ad7858ep-13, -0x1.275d144672a41p-13, -0x1.191e8394fc0fep-13, -0x1.0b58a9736a48cp-13, -0x1.fc1138fe6d4d6p-14, -0x1.e25703cb4a22fp-14, -0x1.c97d1a3f90963p-14, -0x1.b17dff745c9f3p-14, -0x1.9a5452365e186p-14, -0x1.83facc88a1621p-14, -0x1.6e6c4338dd6d8p-14, -0x1.59a3a56de7b4dp-14, -0x1.459bfc339e0e1p-14, -0x1.32506a0faab59p-14, -0x1.1fbc2a9462da7p-14, -0x1.0dda91f4457f9p-14, -0x1.f94e19347fd5fp-15, -0x1.d83a3d7d00e9fp-15, -0x1.b870c7fe55ac8p-15, -0x1.99e91dfe68b7ep-15, -0x1.7c9ad1f6e0b89p-15, -0x1.607da2dd71158p-15, -0x1.45897b5375602p-15, -0x1.2bb670f205658p-15, -0x1.12fcc382128f5p-15, -0x1.f6a9b88c7d7a7p-16, -0x1.c96e9a892b245p-16, -0x1.9e39a11f21c9bp-16, -0x1.74fc8f1920b1ap-16, -0x1.4da974a007c5p-16, -0x1.2832adc34d099p-16, -0x1.048ae13dd1be4p-16, -0x1.c549fe137ae5p-17, -0x1.84e87e52d7263p-17, -0x1.47d8409eca134p-17, -0x1.0e00cd4a287c6p-17, -0x1.ae946a16023fp-18, -0x1.473a1d45fcc28p-18, -0x1.cb89d100be68ap-19, -0x1.14100535d0902p-19, -0x1.9ebd01a2a15d5p-21, 0x1.cf711519eb374p-22, 0x1.a237bf5527da1p-20, 0x1.5e2bd2bc51784p-19, 0x1.e16e00675d81ep-19, 0x1.2d984f6e1a861p-18, 0x1.65e00f374442ap-18, 0x1.99b398b6227d3p-18, 0x1.c9376ac2220f6p-18, 0x1.f48f2d45efc2fp-18, 0x1.0deedaf3454fcp-17, 0x1.1fa285ca3c0ebp-17, 0x1.2f73354df79c8p-17, 0x1.3d71242cdf7ecp-17, 0x1.49ac2b8cb500ep-17, 0x1.5433c4e381385p-17, 0x1.5d170bd5ed6c3p-17, 0x1.6464bfcecd417p-17, 0x1.6a2b461c28cfbp-17, 0x1.6e78ab65e8c7ep-17, 0x1.715aa5710c381p-17, 0x1.72de94e67fda1p-17, 0x1.731186f1ea786p-17, 0x1.720036c956309p-17, 0x1.6fb70f6f4bbffp-17, 0x1.6c422d2ff3608p-17, 0x1.67ad5f271c1cep-17, 0x1.620428e301a8cp-17, 0x1.5b51c3c995f74p-17, 0x1.53a1209650794p-17, 0x1.4afce8e91a76p-17, 0x1.416f8080f7132p-17, 0x1.370306d716424p-17, 0x1.2bc1585d5a22ap-17, 0x1.1fb40fed9ea3p-17, 0x1.12e48813043e4p-17, 0x1.055bdc5d17e85p-17, 0x1.ee45d54a42a05p-18, 0x1.d084a8be5f54p-18, 0x1.b184ffae26f0fp-18, 0x1.915732a8b790dp-18, 0x1.700b28c5313e6p-18, 0x1.4db059ff89962p-18, 0x1.2a55d179cc5acp-18, 0x1.060a2fd0ac0d1p-18, 0x1.c1b75a88902bp-19, 0x1.75b038312df81p-19, 0x1.2819d519bc318p-19, 0x1.b21c947ef505dp-20, 0x1.114de20444912p-20, 0x1.b7e33e5da652ep-22, -0x1.bd96ab4c9017p-23, -0x1.bf0d4b180b9c5p-21, -0x1.895598c33a719p-20, -0x1.1a79feea4d917p-19, -0x1.711bb9e005a85p-19, -0x1.c87b70c203208p-19, -0x1.10429bde43fa6p-18, -0x1.3c92dffc5dbabp-18, -0x1.69252a0ef3f04p-18, -0x1.95f06a88f8574p-18, -0x1.c2ebdb2c2177fp-18, -0x1.f00efd8a7e9cp-18, -0x1.0ea8cc9c21041p-17, -0x1.2555dd30904ddp-17, -0x1.3c0ad8103be1ap-17, -0x1.52c40584193a2p-17, -0x1.697dcdc6534dep-17, -0x1.8034b84de64a5p-17, -0x1.96e56b194ca68p-17, -0x1.ad8ca9e956658p-17, -0x1.c427559dd9455p-17, -0x1.dab26b81f516fp-17, -0x1.f12b049bf26cbp-17, -0x1.03c72a862ff63p-16, -0x1.0eecd5b55c33dp-16, -0x1.1a0538098d82bp-16, -0x1.250f12502228p-16, -0x1.3009319b633fcp-16, -0x1.3af26f01fcd05p-16, -0x1.45c9af4bfa909p-16, -0x1.508de2a85111ap-16, -0x1.5b3e0470ca7e9p-16, -0x1.65d91ad34e62dp-16, -0x1.705e3699197c9p-16, -0x1.7acc72db1f76ep-16, -0x1.8522f4c82e08ap-16, -0x1.8f60eb5903059p-16, -0x1.99858f1a68f12p-16, -0x1.a39021e6344dep-16, -0x1.ad7feeaf5726bp-16, -0x1.b754493b55433p-16, -0x1.c10c8defe9c5cp-16, -0x1.caa821965c98bp-16, -0x1.d426711ee0814p-16, -0x1.dd86f173d0863p-16, -0x1.e6c91f364d596p-16, -0x1.efec7e9429741p-16, -0x1.f8f09b0d22058p-16, -0x1.00ea83a176548p-15, -0x1.054cae6469a0ap-15, -0x1.099e9df60bc6cp-15, -0x1.0de025c64f46cp-15, -0x1.12111c75bf135p-15, -0x1.16315bbb72b81p-15, -0x1.1a40c0537a5afp-15, -0x1.1e3f29e6a292fp-15, -0x1.222c7af334175p-15, -0x1.260898bb308d6p-15, -0x1.29d36b2e332bp-15, -0x1.2d8cdcd50f05bp-15, -0x1.3134dabe39aa7p-15, -0x1.34cb546b564c9p-15, -0x1.38503bbd54b4ap-15, -0x1.3bc384e2cd0aap-15, -0x1.3f252644a4cbbp-15, -0x1.42751876dcc29p-15, -0x1.45b35624c19dap-15, -0x1.48dfdc01cd003p-15, -0x1.4bfaa8b750097p-15, -0x1.4f03bcd6c6c5bp-15, -0x1.51fb1ac85409ap-15, -0x1.54e0c6bbaacc9p-15, -0x1.57b4c6996283fp-15, -0x1.5a7721f392ab7p-15, -0x1.5d27e1f86ea0fp-15, -0x1.5fc71163a134dp-15, -0x1.6254bc6fd9969p-15, -0x1.64d0f0cae856ap-15, -0x1.673bbd877c3ep-15, -0x1.699533111aec6p-15, -0x1.6bdd631e7e602p-15, -0x1.6e1460a6fb45ep-15, -0x1.703a3fd56fb25p-15, -0x1.724f15fc4bf71p-15, -0x1.7452f98bfb462p-15, -0x1.7646020571246p-15, -0x1.782847f1b6f7p-15, -0x1.79f9e4d5617cap-15, -0x1.7bbaf32763014p-15, -0x1.7d6b8e4697822p-15, -0x1.7f0bd2706f9c1p-15, -0x1.809bdcb68b191p-15, -0x1.821bcaf6129bbp-15, -0x1.838bbbcead21dp-15, -0x1.84ebce98911adp-15, -0x1.863c235db77e7p-15, -0x1.877cdacfd7a15p-15, -0x1.88ae1640c72a9p-15, -0x1.89cff79a59c6ap-15, -0x1.8ae2a1570cc59p-15, -0x1.8be63679b90c6p-15, -0x1.8cdada8668dacp-15, -0x1.8dc0b17be43bep-15, -0x1.8e97dfcb8cc25p-15, -0x1.8f608a52f8be3p-15, -0x1.901ad6557f51bp-15, -0x1.90c6e975d7417p-15, -0x1.9164e9aeeb49cp-15, -0x1.91f4fd4f27d6fp-15, -0x1.92774af14f5a2p-15, -0x1.92ebf97727515p-15, -0x1.935330042496ap-15, -0x1.93ad15f71bd8ap-15, -0x1.93f9d2e5b63b1p-15, -0x1.94398e971d4aap-15, -0x1.946c70fe7a9ecp-15, -0x1.9492a236ebaap-15, -0x1.94ac4a7dfadfdp-15, -0x1.94b9922f9551bp-15, -0x1.94baa1c110588p-15, -0x1.94afa1bd6f2d5p-15, -0x1.9498bac0a8b45p-15, -0x1.94761573b599ep-15, -0x1.9447da88c94efp-15, -0x1.940e32b783d16p-15, -0x1.93c946b92b60ep-15, -0x1.93793f44a7274p-15, -0x1.931e450b5fbep-15, -0x1.92b880b6251bp-15, -0x1.92481ae1a63dep-15, -0x1.91cd3c1b02ce5p-15, -0x1.91480cdd423b1p-15, -0x1.90b8b58deabf9p-15, -0x1.901f5e7a92d03p-15, -0x1.8f7c2fd5a1ebp-15, -0x1.8ecf51b40f0d1p-15, -0x1.8e18ec0a85ac4p-15, -0x1.8d5926ab7c71fp-15, -0x1.8c902943feb14p-15, -0x1.8bbe1b59880b8p-15, -0x1.8ae3244867301p-15, -0x1.89ff6b410624fp-15, -0x1.8913174627eadp-15, -0x1.881e4f2abcec8p-15, -0x1.872139901a26ap-15, -0x1.861bfce3dff74p-15, -0x1.850ebf5e9ca2fp-15, -0x1.83f9a701c5e0bp-15, -0x1.82dcd99684cdfp-15, -0x1.81b87cabac986p-15, -0x1.808cb594517bdp-15, -0x1.7f59a9669230cp-15, -0x1.7e1f7cfa67d71p-15, -0x1.7cde54e7ca053p-15, -0x1.7b965585fc145p-15, -0x1.7a47a2e9f433p-15, -0x1.78f260e59de26p-15, -0x1.7796b30653c5p-15, -0x1.7634bc94766a7p-15, -0x1.74cca091c3e41p-15, -0x1.735e81b8d9ab6p-15, -0x1.71ea827c58db3p-15, -0x1.7070c50603ed1p-15, -0x1.6ef16b360cbdcp-15, -0x1.6d6c96a22384dp-15, -0x1.6be2689520b8cp-15, -0x1.6a53020e087f6p-15, -0x1.68be83bf6d979p-15, -0x1.67250e0f7eae3p-15, -0x1.6586c116ec9f2p-15, -0x1.63e3bca09f28cp-15, -0x1.623c20294d847p-15, -0x1.60900adefd0eep-15, -0x1.5edf9ba0fb847p-15, -0x1.5d2af0ff3f092p-15, -0x1.5b722939b8802p-15, -0x1.59b562412de17p-15, -0x1.57f4b9b5e2dfp-15, -0x1.56304ce83e441p-15, -0x1.546838d7d6674p-15, -0x1.529c9a3439204p-15, -0x1.50cd8d5bf724ep-15, -0x1.4efb2e5cfa255p-15, -0x1.4d2598f4461b4p-15, -0x1.4b4ce88e5d72cp-15, -0x1.49713846ce1bfp-15, -0x1.4792a2e8a984bp-15, -0x1.45b142ee005edp-15, -0x1.43cd32805a3dbp-15, -0x1.41e68b7880ap-15, -0x1.3ffd675f1ba95p-15, -0x1.3e11df6c879e8p-15, -0x1.3c240c88f3295p-15, -0x1.3a34074c97e94p-15, -0x1.3841e7ffbb2bep-15, -0x1.364dc69b889edp-15, -0x1.3457bac96f75dp-15, -0x1.325fdbe410edfp-15, -0x1.306640f715112p-15, -0x1.2e6b00bfeeb59p-15, -0x1.2c6e31ad9d853p-15, -0x1.2a6fe9e11b854p-15, -0x1.28703f2e0bd32p-15, -0x1.266f471ab98ffp-15, -0x1.246d16e098dc4p-15, -0x1.2269c36c8d758p-15, -0x1.2065615f84eaap-15, -0x1.1e60050e50c7p-15, -0x1.1c59c28282593p-15, -0x1.1a52ad7abf5dfp-15, -0x1.184ad96b6a9dap-15, -0x1.1642597e76e2cp-15, -0x1.14394094465bp-15, -0x1.122fa143dadedp-15, -0x1.10258ddbbbcdfp-15, -0x1.0e1b1862259efp-15, -0x1.0c1052958234bp-15, -0x1.0a054dec8fc7ep-15, -0x1.07fa1b975757p-15, -0x1.05eecc7fe5d64p-15, -0x1.03e3714a1680bp-15, -0x1.01d81a5488ec2p-15, -0x1.ff99af71dcfe3p-16, -0x1.fb837299b8fabp-16, -0x1.f76d9d43614bbp-16, -0x1.f3584e0bf3b1fp-16, -0x1.ef43a30abdbffp-16, -0x1.eb2fb9d2f8017p-16, -0x1.e71caf73e8924p-16, -0x1.e30aa07b479afp-16, -0x1.def9a8f526192p-16, -0x1.dae9e46e2d9c8p-16, -0x1.d6db6df38efbcp-16, -0x1.d2ce60155133ep-16, -0x1.cec2d4e5c3744p-16, -0x1.cab8e5fca2b8fp-16, -0x1.c6b0ac771f8eap-16, -0x1.c2aa40f8f9422p-16, -0x1.bea5bbad4f90dp-16, -0x1.baa3344908965p-16, -0x1.b6a2c20ade7ep-16, -0x1.b2a47bbcbdb59p-16, -0x1.aea877b4d495cp-16, -0x1.aaaecbd6b960bp-16, -0x1.a6b78d95917fep-16, -0x1.a2c2d1f3c74b8p-16, -0x1.9ed0ad847ddc4p-16, -0x1.9ae1346d1a7a1p-16, -0x1.96f47a66bcc05p-16, -0x1.930a92be727f9p-16, -0x1.8f2390571f91bp-16, -0x1.8b3f85aa10214p-16, -0x1.875e84c8866b2p-16, -0x1.83809f5cc1c15p-16, -0x1.7fa5e6ab3a279p-16, -0x1.7bce6b93aba8ep-16, -0x1.77fa3e92248edp-16, -0x1.74296fbf9eddp-16, -0x1.705c0ed47f77cp-16, -0x1.6c922b28a3d4fp-16, -0x1.68cbd3b4bd4d8p-16, -0x1.6509171355f64p-16, -0x1.614a03820cf57p-16, -0x1.5d8ea6e324fd2p-16, -0x1.59d70ebd7e877p-16, -0x1.5623483ed793fp-16, -0x1.5273603c03dc7p-16, -0x1.4ec763330c25p-16, -0x1.4b1f5d4a9d664p-16, -0x1.477b5a54eb649p-16, -0x1.43db65cfa2feep-16, -0x1.403f8ae59916ap-16, -0x1.3ca7d46ecf9aap-16, -0x1.39144cf2db75ap-16, -0x1.3584fea952152p-16, -0x1.31f9f37a9f6c7p-16, -0x1.2e73350143022p-16, -0x1.2af0cc8b02e77p-16, -0x1.2772c319bcaf8p-16, -0x1.23f92164343dbp-16, -0x1.2083efd7c6478p-16, -0x1.1d1336989ceebp-16, -0x1.19a6fd836242fp-16, -0x1.163f4c2d6c36ap-16, -0x1.12dc29e6f2fe1p-16, -0x1.0f7d9dba6e36p-16, -0x1.0c23ae6f02bedp-16, -0x1.08ce6288cc3c7p-16, -0x1.057dc049f058ap-16, -0x1.0231cdb303a4dp-16, -0x1.fdd5210ab8269p-17, -0x1.f7501c84c80eap-17, -0x1.f0d4985bbe3bbp-17, -0x1.ea629e9b3fea8p-17, -0x1.e3fa38d75ed62p-17, -0x1.dd9b702c18f48p-17, -0x1.d7464d410cbdcp-17, -0x1.d0fad849f3ab8p-17, -0x1.cab9190927dcp-17, -0x1.c48116d05272dp-17, -0x1.be52d883dc247p-17, -0x1.b82e649b761edp-17, -0x1.b213c123d75a6p-17, -0x1.ac02f3c077091p-17, -0x1.a5fc01ae1dc08p-17, -0x1.9ffeefc2ccfa3p-17, -0x1.9a0bc27181c41p-17, -0x1.94227dca139adp-17, -0x1.8e43257bbceeep-17, -0x1.886dbcd5dad07p-17, -0x1.82a246cbc82p-17, -0x1.7ce0c5f2afd49p-17, -0x1.77293c8668b28p-17, -0x1.717bac6934716p-17, -0x1.6bd81726e3e5ap-17, -0x1.663e7df38454fp-17, -0x1.60aee1b08ec31p-17, -0x1.5b2942eace658p-17, -0x1.55ada1dee470ep-17, -0x1.503bfe781f38ap-17, -0x1.4ad45853fb4cbp-17, -0x1.4576aec1f006ep-17, -0x1.402300c68d381p-17, -0x1.3ad94d1b33d1fp-17, -0x1.35999230347f3p-17, -0x1.3063ce2e460c8p-17, -0x1.2b37fef7ce918p-17, -0x1.26162229e8b88p-17, -0x1.20fe351e1fc39p-17, -0x1.1bf034eb5748ep-17, -0x1.16ec1e6723a28p-17, -0x1.11f1ee27a3347p-17, -0x1.0d01a083ebf3cp-17, -0x1.081b3195c0ca3p-17, -0x1.033e9d3aae5bep-17, -0x1.fcd7be2aa456fp-18, -0x1.f345e51cab96bp-18, -0x1.e9c7a5acbf8d5p-18, -0x1.e05cf5caf72cep-18, -0x1.d705cafd22797p-18, -0x1.cdc21a5ddc74fp-18, -0x1.c491d8a05daa1p-18, -0x1.bb74fa10256a5p-18, -0x1.b26b7297d6919p-18, -0x1.a97535bf060d1p-18, -0x1.a09236adfb3dcp-18, -0x1.97c268305ed28p-18, -0x1.8f05bcb6f4ed6p-18, -0x1.865c26598c51ap-18, -0x1.7dc596d7bc9f3p-18, -0x1.7541ff9e49376p-18, -0x1.6cd151c584c82p-18, -0x1.64737e157849cp-18, -0x1.5c28750668292p-18, -0x1.53f026c50d6e4p-18, -0x1.4bca8331b8f3ap-18, -0x1.43b779e32bc1dp-18, -0x1.3bb6fa29a0fe9p-18, -0x1.33c8f30f06fe9p-18, -0x1.2bed53598b3fdp-18, -0x1.2424098db114p-18, -0x1.1c6d03ee9f738p-18, -0x1.14c83081fb501p-18, -0x1.0d357d0f9dcb7p-18, -0x1.05b4d7249b44ap-18, -0x1.fc8c58281c83bp-19, -0x1.edd2d1f30a4e3p-19, -0x1.df3cf573cb3fdp-19, -0x1.d0ca9c0a8d867p-19, -0x1.c27b9eb08b868p-19, -0x1.b44fd5fcefee4p-19, -0x1.a6471a2591a25p-19, -0x1.98614302c84d6p-19, -0x1.8a9e281331f26p-19, -0x1.7cfda07e233b2p-19, }}, 
      {{0x1.fff4d91a11a2p-1, 0x1.ffd3ae4521fbap-1, 0x1.ff9d52057a014p-1, 0x1.ff5303030e7fap-1, 0x1.fef647a04f8acp-1, 0x1.fe88c9a93d0bep-1, 0x1.fe0c36d0b4625p-1, 0x1.fd82282ab1e5dp-1, 0x1.fcec112684bcep-1, 0x1.fc4b357a04d6cp-1, 0x1.fba0a4d601de4p-1, 0x1.faed3b03b57a8p-1, 0x1.fa31a315772eap-1, 0x1.f96e5c8483756p-1, 0x1.f8a3c15341c7fp-1, 0x1.f7d20c88445b6p-1, 0x1.f6f9608accd9bp-1, 0x1.f619cd1388a4bp-1, 0x1.f5335483a995ep-1, 0x1.f445f08b44b32p-1, 0x1.f35196179d94p-1, 0x1.f256388cc386p-1, 0x1.f153cc54c525bp-1, 0x1.f04a48d316158p-1, 0x1.ef39a9cd182d3p-1, 0x1.ee21f059c9f0ep-1, 0x1.ed03236aa91a1p-1, 0x1.ebdd4fff42e3dp-1, 0x1.eab08913cf75bp-1, 0x1.e97ce759dd33p-1, 0x1.e84288c876266p-1, 0x1.e701900f8431dp-1, 0x1.e5ba23f893c89p-1, 0x1.e46c6ebd719dbp-1, 0x1.e3189d5b9d8a3p-1, 0x1.e1bedeea2809bp-1, 0x1.e05f63f64e9b1p-1, 0x1.defa5dea0ec72p-1, 0x1.dd8ffe7ef5714p-1, 0x1.dc20773ea00edp-1, 0x1.daabf911bbd7ep-1, 0x1.d932b3ddc2454p-1, 0x1.d7b4d63147fb3p-1, 0x1.d6328cfe5915fp-1, 0x1.d4ac03622b398p-1, 0x1.d3216279357b6p-1, 0x1.d192d13eab8aep-1, 0x1.d00074764b322p-1, 0x1.ce6a6e9f5ec0cp-1, 0x1.ccd0dfefe3eb5p-1, 0x1.cb33e656c913dp-1, 0x1.c9939d8441e7p-1, 0x1.c7f01ef746772p-1, 0x1.c649820f5f63fp-1, 0x1.c49fdc21f5a1bp-1, 0x1.c2f3409270e3ep-1, 0x1.c143c0ec80ap-1, 0x1.bf916cfffda4dp-1, 0x1.bddc52fde8e7ap-1, 0x1.bc247f9611aa7p-1, 0x1.ba69fe1508d1cp-1, 0x1.b8acd8820c16cp-1, 0x1.b6ed17bca1d83p-1, 0x1.b52ac399adac8p-1, 0x1.b365e2ffcb5bfp-1, 0x1.b19e7c02c6798p-1, 0x1.afd493fe138dep-1, 0x1.ae082fae2dcf4p-1, 0x1.ac395348c6ebp-1, 0x1.aa680293bdac1p-1, 0x1.a89440fad045fp-1, 0x1.a6be11a405a65p-1, 0x1.a4e57782cc0aep-1, 0x1.a30a7569cfb7ep-1, 0x1.a12d0e1b88b4bp-1, 0x1.9f4d44598b6f6p-1, 0x1.9d6b1af29d604p-1, 0x1.9b8694cf9a364p-1, 0x1.999fb4ff31af8p-1, 0x1.97b67ec087598p-1, 0x1.95caf58cc2bd7p-1, 0x1.93dd1d1f97722p-1, 0x1.91ecf97ed4783p-1, 0x1.8ffa8f01041d2p-1, 0x1.8e05e2532c02p-1, 0x1.8c0ef87db4f81p-1, 0x1.8a15d6e88c12ep-1, 0x1.881a835e83c0dp-1, 0x1.861d041006113p-1, 0x1.841d5f951da6dp-1, 0x1.821b9ceee67edp-1, 0x1.8017c3886d5c9p-1, 0x1.7e11db370b441p-1, 0x1.7c09ec3a42835p-1, 0x1.79ffff3b2f51dp-1, 0x1.77f41d4b8c06cp-1, 0x1.75e64fe4592bep-1, 0x1.73d6a0e42e42dp-1, 0x1.71c51a8d3c79ep-1, 0x1.6fb1c7830b026p-1, 0x1.6d9cb2c7f5642p-1, 0x1.6b85e7ba70a3ap-1, 0x1.696d72121f973p-1, 0x1.67535ddcbccb3p-1, 0x1.6537b77addea2p-1, 0x1.631a8b9c9823fp-1, 0x1.60fbe73e0a697p-1, 0x1.5edbd7a3d0914p-1, 0x1.5cba6a5765558p-1, 0x1.5a97ad237790bp-1, 0x1.5873ae103675dp-1, 0x1.564e7b5f95deep-1, 0x1.542823899229dp-1, 0x1.5200b53872c44p-1, 0x1.4fd83f4510e4dp-1, 0x1.4daed0b32352dp-1, 0x1.4b8478ad91a89p-1, 0x1.49594682d25bbp-1, 0x1.472d49a153fc9p-1, 0x1.45009193f3a7bp-1, 0x1.42d32dfe8313dp-1, 0x1.40a52e9a5d94p-1, 0x1.3e76a3331073fp-1, 0x1.3c479ba3140a9p-1, 0x1.3a1827d098268p-1, 0x1.37e857aa65265p-1, 0x1.35b83b24d22d6p-1, 0x1.3387e236ce418p-1, 0x1.31575cd701998p-1, 0x1.2f26baf90326ep-1, 0x1.2cf60c8aa41cap-1, 0x1.2ac56171536ecp-1, 0x1.2894c987951bcp-1, 0x1.2664549a916eap-1, 0x1.24341267ba062p-1, 0x1.2204129a85ba6p-1, 0x1.1fd464ca40f64p-1, 0x1.1da51877f55fcp-1, 0x1.1b763d0c65f41p-1, 0x1.1947e1d62120fp-1, 0x1.171a1607a7c23p-1, 0x1.14ece8b5a8928p-1, 0x1.12c068d54f671p-1, 0x1.1094a53aa94eep-1, 0x1.0e69ac971c447p-1, 0x1.0c3f8d77ef5ddp-1, 0x1.0a165644ea83fp-1, 0x1.07ee153f035bbp-1, 0x1.05c6d87f1fbbep-1, 0x1.03a0adf4e6a6fp-1, 0x1.017ba365a4d68p-1, 0x1.feaf8cd67dd2fp-2, 0x1.fa6a48e66d67ap-2, 0x1.f627957b7a9eap-2, 0x1.f1e78cb9abc56p-2, 0x1.edaa48670c876p-2, 0x1.e96fe1ea2e6b2p-2, 0x1.e5387248c02edp-2, 0x1.e104122643ed7p-2, 0x1.dcd2d9c2de562p-2, 0x1.d8a4e0fa3be0fp-2, 0x1.d47a3f4294cc8p-2, 0x1.d0530babbf2edp-2, 0x1.cc2f5cde61219p-2, 0x1.c80f491b32c2cp-2, 0x1.c3f2e63a5714ap-2, 0x1.bfda49aac918fp-2, 0x1.bbc58871dd269p-2, 0x1.b7b4b72ad4482p-2, 0x1.b3a7ea068212dp-2, 0x1.af9f34cb06483p-2, 0x1.ab9aaad391e7p-2, 0x1.a79a5f1043fbep-2, 0x1.a39e64060faeep-2, 0x1.9fa6cbceb4c8fp-2, 0x1.9bb3a818c72e9p-2, 0x1.97c50a27c2391p-2, 0x1.93db02d42a949p-2, 0x1.8ff5a28bbd4edp-2, 0x1.8c14f951ac182p-2, 0x1.883916bee2501p-2, 0x1.84620a025a57bp-2, 0x1.808fe1e1789bep-2, 0x1.7cc2acb876043p-2, 0x1.78fa787ad16abp-2, 0x1.753752b3cac19p-2, 0x1.71794886eaf95p-2, 0x1.6dc066b08fdc1p-2, 0x1.6a0cb986843a4p-2, 0x1.665e4cf89dcep-2, 0x1.62b52c9165ad2p-2, 0x1.5f116376c5215p-2, 0x1.5b72fc6abbbcp-2, 0x1.57da01cc1ab1fp-2, 0x1.54467d974972cp-2, 0x1.50b879670c036p-2, 0x1.4d2ffe7553049p-2, 0x1.49ad159c11722p-2, 0x1.462fc75613429p-2, 0x1.42b81bbfde24bp-2, 0x1.3f461a9896325p-2, 0x1.3bd9cb42e232ap-2, 0x1.387334c5dd0ddp-2, 0x1.35125dce01899p-2, 0x1.31b74cae21e53p-2, 0x1.2e6207605e23dp-2, 0x1.2b12938720efep-2, 0x1.27c8f66e1c7e4p-2, 0x1.2485350b4cb89p-2, 0x1.214753fffc7bbp-2, 0x1.1e0f5799cbb74p-2, 0x1.1add43d3b8a1cp-2, 0x1.17b11c572cp-2, 0x1.148ae47d072fap-2, 0x1.116a9f4eb1503p-2, 0x1.0e504f872d37ep-2, 0x1.0b3bf794270d6p-2, 0x1.082d99970cep-2, 0x1.0525376621f96p-2, 0x1.0222d28d9623dp-2, 0x1.fe4cd8a139011p-3, 0x1.f8600b550d86fp-3, 0x1.f27f3e9fb731bp-3, 0x1.ecaa735ee11ebp-3, 0x1.e6e1a9e70b893p-3, 0x1.e124e205c1612p-3, 0x1.db741b03c97c1p-3, 0x1.d5cf53a75ecf3p-3, 0x1.d0368a3666e79p-3, 0x1.caa9bc78a5be4p-3, 0x1.c528e7b9f26ddp-3, 0x1.bfb408cc6be81p-3, 0x1.ba4b1c0aabe94p-3, 0x1.b4ee1d59f909ep-3, 0x1.af9d082c746aep-3, 0x1.aa57d7834f4c6p-3, 0x1.a51e85f0f4541p-3, 0x1.9ff10d9b31b44p-3, 0x1.9acf683d65f71p-3, 0x1.95b98f2aa8633p-3, 0x1.90af7b4fe976dp-3, 0x1.8bb1253619899p-3, 0x1.86be850447853p-3, 0x1.81d79281bebc2p-3, 0x1.7cfc45181f794p-3, 0x1.782c93d579523p-3, 0x1.7368756e5aeb5p-3, 0x1.6eafe03fe7e3bp-3, 0x1.6a02ca51e2714p-3, 0x1.65612958b4fc3p-3, 0x1.60caf2b77c9cp-3, 0x1.5c401b8205817p-3, 0x1.57c0987ece6a2p-3, 0x1.534c5e28fee24p-3, 0x1.4ee360b263ae6p-3, 0x1.4a859405599e5p-3, 0x1.4632ebc6c12bp-3, 0x1.41eb5b57e786cp-3, 0x1.3daed5d868a3ap-3, 0x1.397d4e2814bf4p-3, 0x1.3556b6e8c8bbfp-3, 0x1.313b0280475bep-3, 0x1.2d2a231a0e16p-3, 0x1.29240aa91f5cap-3, 0x1.2528aae9cf87ep-3, 0x1.2137f5638731dp-3, 0x1.1d51db6a82efp-3, 0x1.19764e219144dp-3, 0x1.15a53e7bc28cdp-3, 0x1.11de9d3e1fe17p-3, 0x1.0e225b015154ap-3, 0x1.0a70683345e85p-3, 0x1.06c8b518d55f1p-3, 0x1.032b31cf5da6bp-3, 0x1.ff2f9c9cab692p-4, 0x1.f81cf4d1c449p-4, 0x1.f11e4b9ec0551p-4, 0x1.ea338021d83dbp-4, 0x1.e35c7139c5853p-4, 0x1.dc98fd88c184dp-4, 0x1.d5e90377684bcp-4, 0x1.cf4c6137a60ccp-4, 0x1.c8c2f4c784e0cp-4, 0x1.c24c9bf40355ap-4, 0x1.bbe9345bd5e0bp-4, 0x1.b5989b7216b91p-4, 0x1.af5aae80fe7ebp-4, 0x1.a92f4aac7b739p-4, 0x1.a3164cf4d5066p-4, 0x1.9d0f92392c2d4p-4, 0x1.971af73a07035p-4, 0x1.9138589bc4ffep-4, 0x1.8b6792e90ae9cp-4, 0x1.85a8829525d0ep-4, 0x1.7ffb03fe62f34p-4, 0x1.7a5ef3705af72p-4, 0x1.74d42d26380afp-4, 0x1.6f5a8d4ce9e6fp-4, 0x1.69f1f005545a4p-4, 0x1.649a316672c31p-4, 0x1.5f532d7f71527p-4, 0x1.5a1cc059b8c4bp-4, 0x1.54f6c5faf5b35p-4, 0x1.4fe11a6711209p-4, 0x1.4adb99a21d93p-4, 0x1.45e61fb241e85p-4, 0x1.410088a18f652p-4, 0x1.3c2ab07fd81f8p-4, 0x1.3764736472c36p-4, 0x1.32adad6ffbe04p-4, 0x1.2e063ace08166p-4, 0x1.296df7b6cdd19p-4, 0x1.24e4c070ca176p-4, 0x1.206a71525309cp-4, 0x1.1bfee6c3295aap-4, 0x1.17a1fd3dfc8edp-4, 0x1.13539151e5666p-4, 0x1.0f137fa3d82d2p-4, 0x1.0ae1a4f00f211p-4, 0x1.06bdde0b682ddp-4, 0x1.02a807e4c031cp-4, 0x1.fd3fff0c7a64fp-5, 0x1.f54b442d2eac4p-5, 0x1.ed7199b4a685bp-5, 0x1.e5b2ba69f1f25p-5, 0x1.de0e61547d70dp-5, 0x1.d68449be59586p-5, 0x1.cf142f36726d5p-5, 0x1.c7bdcd92b5b3p-5, 0x1.c080e0f22cdaap-5, 0x1.b95d25befa53p-5, 0x1.b25258b05c07ep-5, 0x1.ab6036cc8a3e1p-5, 0x1.a4867d6a95bb4p-5, 0x1.9dc4ea34296dcp-5, 0x1.971b3b274c14ep-5, 0x1.90892e98072b3p-5, 0x1.8a0e83320072ap-5, 0x1.83aaf7fa0e92dp-5, 0x1.7d5e4c4fb9502p-5, 0x1.77283feea60ep-5, 0x1.710892f000cdp-5, 0x1.6aff05cbd0663p-5, 0x1.650b595a43096p-5, 0x1.5f2d4ed4ea31cp-5, 0x1.5964a7d7e7d36p-5, 0x1.53b12663147f6p-5, 0x1.4e128cdb14a4dp-5, 0x1.48889e0a61dbp-5, 0x1.43131d22499d6p-5, 0x1.3db1cdbbe0114p-5, 0x1.386473d8e6d56p-5, 0x1.332ad3e4a3473p-5, 0x1.2e04b2b4b46f3p-5, 0x1.28f1d589d5384p-5, 0x1.23f2021093653p-5, 0x1.1f04fe62040fcp-5, 0x1.1a2a91045f869p-5, 0x1.156280eba4343p-5, 0x1.10ac957a1f236p-5, 0x1.0c089680f7536p-5, 0x1.07764c40a71adp-5, 0x1.02f57f696c64cp-5, 0x1.fd0bf23773437p-6, 0x1.f44f05d11a12fp-6, 0x1.ebb3cda393f2ep-6, 0x1.e339de9510f1fp-6, 0x1.dae0ce6ebb682p-6, 0x1.d2a833dd21849p-6, 0x1.ca8fa670ab857p-6, 0x1.c296be9df191fp-6, 0x1.babd15be0434ap-6, 0x1.b302460ea1d6dp-6, 0x1.ab65eab2696a9p-6, 0x1.a3e79fb0ecb6cp-6, 0x1.9c8701f6c78f9p-6, 0x1.9543af5596b0cp-6, 0x1.8e1d4683ede3ap-6, 0x1.8713671d2e7a8p-6, 0x1.8025b1a17505p-6, 0x1.7953c7754d507p-6, 0x1.729d4ae1774bdp-6, 0x1.6c01df129bbc6p-6, 0x1.65812818e8512p-6, 0x1.5f1acae7afef5p-6, 0x1.58ce6d54f1a98p-6, 0x1.529bb618df03p-6, 0x1.4c824ccd58589p-6, 0x1.4681d9ed4dd81p-6, 0x1.409a06d432c3bp-6, 0x1.3aca7dbd42438p-6, 0x1.3512e9c2e81aap-6, 0x1.2f72f6ddf2792p-6, 0x1.29ea51e4d6193p-6, 0x1.2478a88ae44a5p-6, 0x1.1f1da95f7c0eap-6, 0x1.19d903cd1daa9p-6, 0x1.14aa68189b0e7p-6, 0x1.0f9187601c9f1p-6, 0x1.0a8e139a2f244p-6, 0x1.059fbf94d3d3ap-6, 0x1.00c63ef470b0ep-6, 0x1.f8028c65a9458p-7, 0x1.eea1153c3bf1ap-7, 0x1.e56784af5b39dp-7, 0x1.dc5548a60a4f5p-7, 0x1.d369d0a94cbaep-7, 0x1.caa48de1e3ee5p-7, 0x1.c204f315e56e4p-7, 0x1.b98a74a66e89ep-7, 0x1.b134888d1a257p-7, 0x1.a902a659a38edp-7, 0x1.a0f4472f5ae02p-7, 0x1.9908e5c295295p-7, 0x1.913ffe56331efp-7, 0x1.89990eb8ef7cbp-7, 0x1.82139642caf68p-7, 0x1.7aaf15d259334p-7, 0x1.736b0fca271c5p-7, 0x1.6c47080defeb8p-7, 0x1.654283ffe5eccp-7, 0x1.5e5d0a7dfca7fp-7, 0x1.579623df0e73dp-7, 0x1.50ed59f02266dp-7, 0x1.4a6237f198f33p-7, 0x1.43f44a943de9bp-7, 0x1.3da31ff68f429p-7, 0x1.376e47a1ccbbep-7, 0x1.315552871a2f5p-7, 0x1.2b57d2fc94d18p-7, 0x1.25755cba751b7p-7, 0x1.1fad84d814fb2p-7, 0x1.19ffe1c914d59p-7, 0x1.146c0b5a5ba9ep-7, 0x1.0ef19aaf2b784p-7, 0x1.09902a3e298e8p-7, 0x1.044755ce68a91p-7, 0x1.fe2d74e906ce3p-8, 0x1.f3fbed1ef27cep-8, 0x1.e9f9538bdc2e6p-8, 0x1.e024ea0608dep-8, 0x1.d67df4e6ee324p-8, 0x1.cd03bb052b712p-8, 0x1.c3b585aea3635p-8, 0x1.ba92a0a2967edp-8, 0x1.b19a5a0b80461p-8, 0x1.a8cc02794b57fp-8, 0x1.a026ecdb65b1fp-8, 0x1.97aa6e7aa7a05p-8, 0x1.8f55def391f1p-8, 0x1.872898305271fp-8, 0x1.7f21f662def44p-8, 0x1.774157ff0af6dp-8, 0x1.6f861db4bbb62p-8, 0x1.67efaa69e5e9ep-8, 0x1.607d6334e30bdp-8, 0x1.592eaf5671e6p-8, 0x1.5202f83410a28p-8, 0x1.4af9a95206eb8p-8, 0x1.4412304dcca5ep-8, 0x1.3d4bfcd828551p-8, 0x1.36a680af8582bp-8, 0x1.30212f9a3e33p-8, 0x1.29bb7f60ee7cp-8, 0x1.2374e7c8c0826p-8, 0x1.1d4ce28de4a82p-8, 0x1.1742eb5ddea9cp-8, 0x1.11567fd1fdccep-8, 0x1.0b871f69d3eep-8, 0x1.05d44b85ae3f2p-8, 0x1.003d8761123eep-8, 0x1.f584b01aa92adp-9, 0x1.eac488d835185p-9, 0x1.e039aa5423b2dp-9, 0x1.d5e32972eee35p-9, 0x1.cbc01e9995a3bp-9, 0x1.c1cfa5a315278p-9, 0x1.b810ddd5c9cf8p-9, 0x1.ae82e9d91cad1p-9, 0x1.a524efaaf0d85p-9, 0x1.9bf61895797bcp-9, 0x1.92f59124e907cp-9, 0x1.8a22891d32fa5p-9, 0x1.817c33702e7a1p-9, 0x1.7901c6333e387p-9, 0x1.70b27a9586c12p-9, 0x1.688d8cd621f8dp-9, 0x1.60923c3a189fbp-9, 0x1.58bfcb02d95e7p-9, 0x1.51157e646f154p-9, 0x1.49929e7bf367ap-9, 0x1.42367646254f2p-9, 0x1.3b005395e6598p-9, 0x1.33ef870aee816p-9, 0x1.2d03640874c52p-9, 0x1.263b40ac0ee8ep-9, 0x1.1f9675c48565bp-9, 0x1.19145ec8fe9b9p-9, 0x1.12b459cfa887ep-9, 0x1.0c75c78551bd5p-9, 0x1.06580b243061p-9, 0x1.005a8a6b8424p-9, 0x1.f4f95b2d473d5p-10, 0x1.e97bbea98ec5ap-10, 0x1.de3b1980735cp-10, 0x1.d3364aac597bdp-10, 0x1.c86c35dcb6339p-10, 0x1.bddbc36580218p-10, 0x1.b383e02f0a45bp-10, 0x1.a9637da5c72fdp-10, 0x1.9f7991aa3ff7p-10, 0x1.95c5168153409p-10, 0x1.8c450ac4a390bp-10, 0x1.82f87152f4b73p-10, 0x1.79de5140d14bap-10, 0x1.70f5b5c97055bp-10, 0x1.683dae3f9f777p-10, 0x1.5fb54dfee9e37p-10, 0x1.575bac5ce47a8p-10, 0x1.4f2fe49aa3921p-10, 0x1.473115d653a1fp-10, 0x1.3f5e62fcd4321p-10, 0x1.37b6f2bbe766fp-10, 0x1.3039ef74197f4p-10, 0x1.28e6872af180ap-10, 0x1.21bbeb7d79b62p-10, 0x1.1ab951928380ap-10, 0x1.13ddf20dbdb2cp-10, 0x1.0d2909021366bp-10, 0x1.0699d5e4fe063p-10, 0x1.002f9b817c92dp-10, 0x1.f3d33fd6d831cp-11, 0x1.e78e58e607df9p-11, 0x1.db8f1b308f3dcp-11, 0x1.cfd425fdb2b87p-11, 0x1.c45c1ec36873bp-11, 0x1.b925b10ee24b4p-11, 0x1.ae2f8e6c824dap-11, 0x1.a3786e50a6ef9p-11, 0x1.98ff0e00166c7p-11, 0x1.8ec23079e7272p-11, 0x1.84c09e60480a2p-11, 0x1.7af925e2e4884p-11, 0x1.716a9aa81adfcp-11, 0x1.6813d5b7f5a04p-11, 0x1.5ef3b5665966ep-11, 0x1.56091d3df8c2fp-11, 0x1.4d52f5eb9797ep-11, 0x1.44d02d28cdeaep-11, 0x1.3c7fb5a886855p-11, 0x1.34608701f3c01p-11, 0x1.2c719d9da250bp-11, 0x1.24b1faa0ed4f1p-11, 0x1.1d20a3dbc4eddp-11, 0x1.15bca3b434102p-11, 0x1.0e850915153fcp-11, 0x1.0778e75a10484p-11, 0x1.0097563e5f63ap-11, 0x1.f3bee393a32f1p-12, 0x1.e6a0b47fb054bp-12, 0x1.d9d2681a7cfe5p-12, 0x1.cd524f6d6478cp-12, 0x1.c11ec390cde55p-12, 0x1.b5362588e60f2p-12, 0x1.a996de24ad139p-12, 0x1.9e3f5dddb6629p-12, 0x1.932e1cb685697p-12, 0x1.88619a1bf8843p-12, 0x1.7dd85cc45b27p-12, 0x1.7390f2919d46p-12, 0x1.6989f0719b582p-12, 0x1.5fc1f2409f272p-12, 0x1.56379aab0ec28p-12, 0x1.4ce993107d6dp-12, 0x1.43d68b6638231p-12, 0x1.3afd3a1ba526ep-12, 0x1.325c5bfca37dp-12, 0x1.29f2b4178e34fp-12, 0x1.21bf0ba0668f8p-12, 0x1.19c031d6e4569p-12, 0x1.11f4fbebad956p-12, 0x1.0a5c44e5ccea9p-12, 0x1.02f4ed89709d2p-12, 0x1.f77bb87cd6305p-13, 0x1.e96bf9edba912p-13, 0x1.dbb8822e38768p-13, 0x1.ce5f3eb986204p-13, 0x1.c15e278fb0b38p-13, 0x1.b4b33f036f0fdp-13, 0x1.a85c918f11e64p-13, 0x1.9c5835a46660ep-13, 0x1.90a44b808b65dp-13, 0x1.853efd000a68dp-13, 0x1.7a267d72c07efp-13, 0x1.6f590971064ddp-13, 0x1.64d4e6b0c5f6cp-13, 0x1.5a9863dd7f4efp-13, 0x1.50a1d86ce7cbdp-13, 0x1.46efa478e2a1cp-13, 0x1.3d803095fb5eap-13, 0x1.3451edad4c043p-13, 0x1.2b6354d57558bp-13, 0x1.22b2e72d42281p-13, 0x1.1a3f2db511f88p-13, 0x1.1206b92c365abp-13, 0x1.0a0821ea8aa75p-13, 0x1.024207be9b126p-13, 0x1.f56623939a118p-14, 0x1.e6b3dcbbb80dep-14, 0x1.d86aa5b755d09p-14, 0x1.ca87f721d7f3ap-14, 0x1.bd0957306248fp-14, 0x1.afec59703ed47p-14, 0x1.a32e9e87bd14bp-14, 0x1.96cdd3f7452d1p-14, 0x1.8ac7b3dd7a81fp-14, 0x1.7f1a04b7a9558p-14, 0x1.73c2992a5cfb5p-14, 0x1.68bf4fc1d3955p-14, 0x1.5e0e12be3404ap-14, 0x1.53acd7d6cfb4dp-14, 0x1.4999a0030139fp-14, 0x1.3fd27745fc7a2p-14, 0x1.3655747579cecp-14, 0x1.2d20b907d6ac1p-14, 0x1.243270de21cf6p-14, 0x1.1b88d211e9375p-14, 0x1.13221cc29af1p-14, 0x1.0afc9ae39b1f1p-14, 0x1.0316a00cebe33p-14, 0x1.f6dd1295c9efcp-15, 0x1.e80579dbea655p-15, 0x1.d9a354bc39f9p-15, 0x1.cbb393da3ef8fp-15, 0x1.be333952f65bcp-15, 0x1.b11f5866c2b3dp-15, 0x1.a4751520da2e2p-15, 0x1.9831a4058a7d5p-15, 0x1.8c5249bcf470dp-15, 0x1.80d45ac1b1df7p-15, 0x1.75b53b10e54bdp-15, 0x1.6af25ddc315d9p-15, 0x1.60894539cd34fp-15, 0x1.567781dac1b9dp-15, 0x1.4cbab2bf0e15bp-15, 0x1.435084ebd6999p-15, 0x1.3a36b3239fdbp-15, 0x1.316b059fb1416p-15, 0x1.28eb51c94d6bap-15, 0x1.20b579f8825eap-15, 0x1.18c76d2a70324p-15, 0x1.111f26c71728dp-15, 0x1.09baae5a33d8ep-15, 0x1.0298175942f43p-15, 0x1.f76b01bbfd4f9p-16, 0x1.ea222ae1b833ap-16, 0x1.dd52158d7ea7ap-16, 0x1.d0f743101d62bp-16, 0x1.c50e4a2f8903p-16, 0x1.b993d6b0ad11fp-16, 0x1.ae84a8e8eff84p-16, 0x1.a3dd955379a29p-16, 0x1.999b841f37c82p-16, 0x1.8fbb70ca83f1fp-16, 0x1.863a69b83079ap-16, 0x1.7d158fca42efap-16, 0x1.744a15fe5351cp-16, 0x1.6bd5410c6bda2p-16, 0x1.63b467010dcf1p-16, 0x1.5be4eee8c2653p-16, 0x1.54645067908efp-16, 0x1.4d3013678c8ffp-16, 0x1.4645cfb8feefcp-16, 0x1.3fa32cbf923fep-16, 0x1.3945e118fa963p-16, 0x1.332bb24979fd6p-16, 0x1.2d527468e2fe8p-16, 0x1.27b809d374eadp-16, 0x1.225a62d6d5bfep-16, 0x1.1d377d667a5e2p-16, 0x1.184d64cf1b313p-16, 0x1.139a31684dfc7p-16, 0x1.0f1c084f86603p-16, 0x1.0ad11b1cb927p-16, 0x1.06b7a79c0513fp-16, 0x1.02cdf78999456p-16, 0x1.fe24c0945337cp-17, 0x1.f706855c2c12p-17, 0x1.f03e154fdcf8ap-17, 0x1.e9c85e29bcca2p-17, 0x1.e3a262ecade3bp-17, 0x1.ddc93b70ea659p-17, 0x1.d83a13eb67859p-17, 0x1.d2f22c70d638cp-17, 0x1.cdeed887c71f3p-17, 0x1.c92d7eb5ad8c4p-17, 0x1.c4ab980c45ffp-17, 0x1.c066afbdbb1bp-17, 0x1.bc5c62b2fcad5p-17, 0x1.b88a5f1fac70ep-17, 0x1.b4ee642041126p-17, 0x1.b186414e917b3p-17, 0x1.ae4fd6635fbb4p-17, 0x1.ab4912d47eeeap-17, 0x1.a86ff576035c8p-17, 0x1.a5c28c1d9d6d9p-17, 0x1.a33ef3460e93cp-17, 0x1.a0e355b932e6ap-17, 0x1.9eadec3523811p-17, 0x1.9c9cfd1870b9cp-17, 0x1.9aaedc0ef970ep-17, 0x1.98e1e9bf510abp-17, 0x1.97349378c5619p-17, 0x1.95a552e885382p-17, 0x1.9432adc7ad601p-17, 0x1.92db35961d4b1p-17, 0x1.919d87497930fp-17, 0x1.90784b0ad215cp-17, 0x1.8f6a33ed6414ap-17, 0x1.8e71ffa8dad2fp-17, 0x1.8d8e7656e278p-17, 0x1.8cbe6a30a7595p-17, 0x1.8c00b74c6cb5ap-17, 0x1.8b54435e68bf9p-17, 0x1.8ab7fd7f8b4e3p-17, 0x1.8a2adde69dc33p-17, 0x1.89abe5b65f8ddp-17, 0x1.893a1ebdc23d7p-17, 0x1.88d49b418518dp-17, 0x1.887a75c2b983fp-17, 0x1.882ad0c827d3bp-17, 0x1.87e4d6ac3db31p-17, 0x1.87a7b963026b9p-17, 0x1.8772b24e84615p-17, 0x1.87450204ca795p-17, 0x1.871df02587494p-17, 0x1.86fccb267e0cfp-17, 0x1.86e0e82762e7p-17, 0x1.86c9a2c241f06p-17, 0x1.86b65cdf7f2d6p-17, 0x1.86a67e89ae284p-17, 0x1.869975c6694a6p-17, 0x1.868eb6662d21p-17, 0x1.8685b9e087c1bp-17, 0x1.867dff2b894a4p-17, 0x1.86770a93e2c26p-17, 0x1.86706595ca6cbp-17, 0x1.86699ebb23927p-17, 0x1.86624973e6e47p-17, 0x1.8659fdf3de305p-17, 0x1.86505911763aap-17, 0x1.8644fc1ff72c7p-17, 0x1.86378cd286a51p-17, 0x1.8627b51a3e3a3p-17, 0x1.861523050a4a2p-17, 0x1.85ff88a200299p-17, 0x1.85e69be070d7fp-17, 0x1.85ca1673f5ad5p-17, 0x1.85a9b5b764029p-17, 0x1.85853a9025baep-17, 0x1.855c6954723adp-17, 0x1.852f09af4407bp-17, 0x1.84fce685fbdd9p-17, 0x1.84c5cddfd2615p-17, 0x1.848990cd32c3bp-17, 0x1.8448034f01374p-17, 0x1.8400fc3e394f8p-17, 0x1.83b4553645e44p-17, 0x1.8361ea7d12bbcp-17, 0x1.83099aeee0e49p-17, 0x1.82ab47e713b94p-17, 0x1.8246d52c4332ep-17, 0x1.81dc28db9b875p-17, 0x1.816b2b553619fp-17, 0x1.80f3c727c57b9p-17, 0x1.8075e8ffbc0c7p-17, 0x1.7ff17f92621bp-17, 0x1.7f667b8de76e5p-17, 0x1.7ed4cf8633d4p-17, 0x1.7e3c6fe66b0acp-17, 0x1.7d9d52dce805cp-17, 0x1.7cf7704dee0afp-17, 0x1.7c4ac1c25a98cp-17, 0x1.7b9742582759cp-17, 0x1.7adceeb4fb8dcp-17, 0x1.7a1bc4f5ff9bfp-17, 0x1.7953c4a2d35ddp-17, 0x1.7884ee9e835dp-17, 0x1.77af451b14ff5p-17, 0x1.76d2cb8c2377dp-17, 0x1.75ef869a2554ep-17, 0x1.75057c15d8f78p-17, 0x1.7414b2ecad3eep-17, 0x1.731d331c777fp-17, 0x1.721f05a7e360dp-17, 0x1.711a348c2704p-17, 0x1.700ecab5b0d75p-17, 0x1.6efcd3f558952p-17, 0x1.6de45cf6d8d62p-17, 0x1.6cc57336c6efp-17, 0x1.6ba024f7c10b9p-17, 0x1.6a74813b22739p-17, 0x1.694297b5aff12p-17, 0x1.680a78c88fd1ap-17, 0x1.66cc3577b960fp-17, 0x1.6587df612f991p-17, 0x1.643d88b69a8b2p-17, 0x1.62ed443374901p-17, 0x1.619725168f849p-17, 0x1.603b3f19f0e1p-17, 0x1.5ed9a66cc19b1p-17, 0x1.5d726faae7f26p-17, 0x1.5c05afd7692bdp-17, 0x1.5a937c550c8a8p-17, 0x1.591beae0b7475p-17, 0x1.579f118a13dc8p-17, 0x1.561d06af44fbdp-17, 0x1.5495e0f5d93bap-17, 0x1.5309b74518a54p-17, 0x1.5178a0c1a4ee4p-17, 0x1.4fe2b4c742706p-17, 0x1.4e480ae451c3dp-17, 0x1.4ca8bad4509b2p-17, 0x1.4b04dc7b87adap-17, 0x1.495c87e26555ap-17, 0x1.47afd530ab128p-17, 0x1.45fedca9a7631p-17, 0x1.4449b6a7f826ep-17, 0x1.42907b990a6a8p-17, 0x1.40d343f96ea17p-17, 0x1.3f1228515c24ap-17, 0x1.3d4d4130d5934p-17, 0x1.3b84a72c7c4d7p-17, 0x1.39b872d988033p-17, 0x1.37e8bccaea4fbp-17, 0x1.36159d8eddd72p-17, 0x1.343f2daac9a8ep-17, 0x1.3265859896929p-17, 0x1.3088bdc4992e4p-17, 0x1.2ea8ee8a06d26p-17, 0x1.2cc63031127f2p-17, 0x1.2ae09aec0d4dcp-17, 0x1.28f846d533abcp-17, 0x1.270d4bec1793ep-17, 0x1.251fc213d1398p-17, 0x1.232fc110b8854p-17, 0x1.213d608674512p-17, 0x1.1f48b7f62190fp-17, 0x1.1d51debc32ff9p-17, 0x1.1b58ec0eefc1ep-17, 0x1.195df6fcc1787p-17, 0x1.1761166a63c39p-17, 0x1.156261119a18ap-17, 0x1.1361ed7fc9c68p-17, 0x1.115fd2147b308p-17, 0x1.0f5c24ffc0a9bp-17, 0x1.0d56fc41822b3p-17, 0x1.0b506da806327p-17, 0x1.09488eceaa534p-17, 0x1.073f751d274a7p-17, 0x1.053535c6763d1p-17, 0x1.0329e5c7d6ae4p-17, 0x1.011d99e7b3056p-17, 0x1.fe20cd6a4aad3p-18, 0x1.fa04c10ebdd23p-18, 0x1.f5e736f8a8357p-18, 0x1.f1c856f0da391p-18, 0x1.eda8484b5cfdep-18, 0x1.e98731e730189p-18, 0x1.e5653a2c36efdp-18, 0x1.e142870b1c336p-18, 0x1.dd1f3dfb63d54p-18, 0x1.d8fb83fb6fefep-18, 0x1.d4d77d8fa92dcp-18, 0x1.d0b34ec188ed1p-18, 0x1.cc8f1b1f0f2f7p-18, 0x1.c86b05ba6bd87p-18, 0x1.c4473129d4e27p-18, 0x1.c023bf86866b6p-18, 0x1.bc00d26cc0fa7p-18, 0x1.b7de8afb89836p-18, 0x1.b3bd09d46dbc3p-18, 0x1.af9c6f1b89978p-18, 0x1.ab7cda776de72p-18, 0x1.a75e6b10da081p-18, 0x1.a3413f9358f84p-18, 0x1.9f25762cae0dep-18, 0x1.9b0b2c8d39d83p-18, 0x1.96f27fe853c3dp-18, 0x1.92db8cf475a03p-18, 0x1.8ec66feb3344p-18, 0x1.8ab3448a5a347p-18, 0x1.86a226135fcdp-18, 0x1.82932f4c253ebp-18, 0x1.7e867a7f96aa7p-18, 0x1.7a7c217e185e6p-18, 0x1.76743d9dcbb8bp-18, 0x1.726ee7bb2022dp-18, 0x1.6e6c3839a5c38p-18, 0x1.6a6c4704bd074p-18, 0x1.666f2b900a34ap-18, 0x1.6274fcd7e58bap-18, 0x1.5e7dd161e7edap-18, 0x1.5a89bf3eb3ff9p-18, 0x1.5698dc09b4bc3p-18, 0x1.52ab3cea17a37p-18, 0x1.4ec0f693d508bp-18, 0x1.4ada1d48378bp-18, 0x1.46f6c4d6ddc26p-18, 0x1.4317009e8855cp-18, 0x1.3f3ae38dcaaa2p-18, 0x1.3b6280242db5cp-18, 0x1.378de8735a08p-18, 0x1.33bd2e1f62262p-18, 0x1.2ff0625faee4dp-18, 0x1.2c27960070575p-18, 0x1.2862d963951cep-18, 0x1.24a23c815b5b8p-18, 0x1.20e5cee97e86ep-18, 0x1.1d2d9fc4379cfp-18, 0x1.1979bdd324057p-18, 0x1.15ca3772919c7p-18, 0x1.121f1a99d08dbp-18, 0x1.0e7874dd7b494p-18, 0x1.0ad6536f388b3p-18, 0x1.0738c31f4a8e7p-18, 0x1.039fd05d78ce6p-18, 0x1.000b873ad2d13p-18, 0x1.f8f7e6d31fc02p-19, 0x1.f1e2407dd0071p-19, 0x1.ead631685cf55p-19, 0x1.e3d3cecec03bdp-19, 0x1.dcdb2d390f3f7p-19, 0x1.d5ec607dbf982p-19, 0x1.cf077bc3b27ep-19, 0x1.c82c918378c21p-19, 0x1.c15bb38b002a3p-19, 0x1.ba94f2feed51cp-19, 0x1.b3d8605c863aep-19, 0x1.ad260b7c2fdf4p-19, 0x1.a67e0393df129p-19, 0x1.9fe0573892aa9p-19, 0x1.994d1460548c4p-19, 0x1.92c448655938cp-19, 0x1.8c46000829347p-19, 0x1.85d2476ff2e24p-19, 0x1.7f692a2e8f7f7p-19, 0x1.790ab341d17c3p-19, 0x1.72b6ed1612c45p-19, 0x1.6c6de187f6f67p-19, 0x1.662f99e5c41d1p-19, 0x1.5ffc1ef319d7bp-19, 0x1.59d378ea00de6p-19, 0x1.53b5af7d13d4bp-19, 0x1.4da2c9d9625d2p-19, 0x1.479acea90a552p-19, 0x1.419dc4153d7ecp-19, 0x1.3babafc71e495p-19, 0x1.35c496eaf1d0ep-19, 0x1.2fe87e32196cbp-19, 0x1.2a1769d48dfe9p-19, 0x1.24515d931e1bp-19, 0x1.1e965cb945945p-19, 0x1.18e66a1f4502ep-19, 0x1.1341882b6ef7p-19, 0x1.0da7b8d5000adp-19, 0x1.0818fda5e5226p-19, 0x1.029557bc6f39cp-19, 0x1.fa398f9897b2dp-20, 0x1.ef5e9c438e731p-20, 0x1.e499d546b4087p-20, 0x1.d9eb39a5ccc64p-20, 0x1.cf52c79f0ef1cp-20, 0x1.c4d07cb07fe36p-20, 0x1.ba64559a514f5p-20, 0x1.b00e4e626b77dp-20, 0x1.a5ce62571fc6cp-20, 0x1.9ba48c14c9f4ap-20, 0x1.9190c587cc78ap-20, 0x1.879307efe23cap-20, 0x1.7dab4be397846p-20, 0x1.73d989552f274p-20, 0x1.6a1db7936ea13p-20, 0x1.6077cd4d5e755p-20, 0x1.56e7c09829966p-20, 0x1.4d6d86efbda8ap-20, 0x1.4409153a9b87ep-20, 0x1.3aba5fcc4b9f3p-20, 0x1.31815a6aac0d5p-20, 0x1.285df84dc5fbcp-20, 0x1.1f502c26bf6d5p-20, 0x1.1657e820972aep-20, 0x1.0d751de11b7d4p-20, 0x1.04a7be8f6259p-20, 0x1.f7df75ad8ef8bp-21, 0x1.e69a05cdf0283p-21, 0x1.d57f0cf00b54cp-21, 0x1.c48e699c1d91fp-21, 0x1.b3c7f9783d891p-21, 0x1.a32b9948960adp-21, 0x1.92b924fb65366p-21, 0x1.827077ac07633p-21, 0x1.72516ba67e18dp-21, 0x1.625bda6eac579p-21, 0x1.528f9cc3e3192p-21, 0x1.42ec8aa9acbd7p-21, 0x1.33727b65ede2fp-21, 0x1.2421458e00dd4p-21, 0x1.14f8bf057c581p-21, 0x1.05f8bd05461e4p-21, 0x1.ee42283fcda7dp-22, 0x1.d0e3309434b7ep-22, 0x1.b3d439ade1953p-22, 0x1.9714e908c1c92p-22, 0x1.7aa4e2f883afcp-22, 0x1.5e83cab1d092fp-22, 0x1.42b142584c684p-22, 0x1.272ceafad781dp-22, 0x1.0bf664a9bc76cp-22, 0x1.e21a9cf0c16dbp-23, 0x1.ace28d173245dp-23, 0x1.7843d42231774p-23, 0x1.443daabb0f0f4p-23, 0x1.10cf47d00ab03p-23, 0x1.bbefc14b41436p-24, 0x1.576d51d46afffp-24, 0x1.e82b4b0bd170ep-25, 0x1.23ce3b7026ba5p-25, 0x1.8700c79d01e2bp-27, -0x1.7808681c1e70cp-27, -0x1.1b7bf5e134148p-25, -0x1.d6b0b454a117ep-25, -0x1.47d1d66623476p-24, -0x1.a32c1d9f36e43p-24, -0x1.fd68dffcd4eeap-24, -0x1.2b44e7dea5e7bp-23, -0x1.5748508e04b3bp-23, -0x1.82bf85154eac4p-23, -0x1.adab616784c68p-23, -0x1.d80cc24663acfp-23, -0x1.00f242a4ddbc6p-22, -0x1.1599c45fa8fd7p-22, -0x1.29fd55d50239dp-22, -0x1.3e1d66dca7944p-22, -0x1.51fa679bbbe94p-22, -0x1.6594c87e4937bp-22, -0x1.78ecfa3476bdap-22, -0x1.8c036dae98dabp-22, -0x1.9ed89414aad03p-22, -0x1.b16cdebe42b6ep-22, -0x1.c3c0bf371ede8p-22, -0x1.d5d4a731d812ap-22, -0x1.e7a908850458ep-22, -0x1.f93e5526db5fbp-22, -0x1.054a7f952eb17p-21, -0x1.0dd6bc5c1a15cp-21, -0x1.16441a047cf72p-21, -0x1.1e92d1b281351p-21, -0x1.26c31c8e306d5p-21, -0x1.2ed533c22d03fp-21, -0x1.36c9507916d39p-21, -0x1.3e9fabdc682e6p-21, -0x1.46587f100cb1dp-21, -0x1.4df4033457074p-21, -0x1.55727160701c4p-21, -0x1.5cd402a29178bp-21, -0x1.6418effc215a8p-21, -0x1.6b4172631b929p-21, -0x1.724dc2bc8c448p-21, -0x1.793e19de0afb9p-21, -0x1.8012b089441e8p-21, -0x1.86cbbf6cd59bap-21, -0x1.8d697f205cf28p-21, -0x1.93ec28247da95p-21, -0x1.9a53f2e128a7p-21, -0x1.a0a117a329b43p-21, -0x1.a6d3ce9a58015p-21, -0x1.acec4fdadfa87p-21, -0x1.b2ead3587cbb1p-21, -0x1.b8cf90e6b30fap-21, -0x1.be9ac0375e796p-21, -0x1.c44c98da02277p-21, -0x1.c9e552378c34cp-21, -0x1.cf652395b9cecp-21, -0x1.d4cc4411ac792p-21, -0x1.da1aeaa12807ap-21, -0x1.df514e0f6259bp-21, -0x1.e46fa4ff6befp-21, -0x1.e97625e5b9b1dp-21, -0x1.ee65070ce4248p-21, -0x1.f33c7e8ee93a3p-21, -0x1.f7fcc25a09b9bp-21, -0x1.fca60829740d5p-21, -0x1.009c42c553ecap-20, -0x1.02da37eb2013dp-20, -0x1.050cfe1a9a517p-20, -0x1.0734afcd1b349p-20, -0x1.09516762b39a8p-20, -0x1.0b633f1fef382p-20, -0x1.0d6a512eff709p-20, -0x1.0f66b79e5f7ecp-20, -0x1.11588c601dd6p-20, -0x1.133fe94b01e6p-20, -0x1.151ce81814125p-20, -0x1.16efa26463f31p-20, -0x1.18b831aefe0e9p-20, -0x1.1a76af5986576p-20, -0x1.1c2b34a778c9bp-20, -0x1.1dd5dabe4516fp-20, -0x1.1f76baa482947p-20, -0x1.210ded41f4d83p-20, -0x1.229b8b5f48da1p-20, -0x1.241fada574b29p-20, -0x1.259a6c9e25219p-20, -0x1.270be0b2a43e7p-20, -0x1.2874222c3eecep-20, -0x1.29d349339a3b4p-20, -0x1.2b296dd12586p-20, -0x1.2c76a7ec05c45p-20, -0x1.2dbb0f4a36f76p-20, -0x1.2ef6bb911683fp-20, -0x1.3029c443a752cp-20, -0x1.315440c41c1cdp-20, -0x1.32764851e682bp-20, -0x1.338ff20bc964bp-20, -0x1.34a154ece36aap-20, -0x1.35aa87cf619d3p-20, -0x1.36aba16a054b1p-20, -0x1.37a4b851d8fd9p-20, -0x1.3895e2f88ba7cp-20, -0x1.397f37ad3cb7cp-20, -0x1.3a60cc9c9ead2p-20, -0x1.3b3ab7cf580b9p-20, -0x1.3c0d0f2c5c06fp-20, -0x1.3cd7e875f7599p-20, -0x1.3d9b594c8e651p-20, -0x1.3e57772bf6207p-20, -0x1.3f0c576dc5d93p-20, -0x1.3fba0f4701fcap-20, -0x1.4060b3ca3b1eap-20, -0x1.410059e55ececp-20, -0x1.41991663cc3edp-20, -0x1.422afdec3d4e2p-20, -0x1.42b62502928d6p-20, -0x1.433aa006739adp-20, -0x1.43b88333e99fcp-20, -0x1.442fe2a3855ccp-20, -0x1.44a0d24986699p-20, -0x1.450b65f744129p-20, -0x1.456fb1591b00bp-20, }}, 
      {{0x1.718eda8f4f306p-7, 0x1.72aa511d614e6p-6, 0x1.170a8edab3b8fp-5, 0x1.7549d67d8f5c2p-5, 0x1.d383abc364bcep-5, 0x1.18809d4c602fdp-4, 0x1.468791ae662fcp-4, 0x1.738def6d07275p-4, 0x1.9f63ab03e99b5p-4, 0x1.c9f2dfe3a1fedp-4, 0x1.f33cd3dc82e8ap-4, 0x1.0daa47e13278p-3, 0x1.212c5591fea5dp-3, 0x1.3436b1f34f718p-3, 0x1.46dbd09fdfc7cp-3, 0x1.592c92f0c92a3p-3, 0x1.6b36fc4a995a7p-3, 0x1.7d05738b4a31ap-3, 0x1.8e9e7ac2de02cp-3, 0x1.a004c36d40849p-3, 0x1.b13785edefda5p-3, 0x1.c23305846d3acp-3, 0x1.d2f12d52f5dc9p-3, 0x1.e36a36bf1571fp-3, 0x1.f3954d0d5e9a8p-3, 0x1.01b492b368981p-2, 0x1.096e42ad35bb4p-2, 0x1.10f35a2d9f36ap-2, 0x1.183feb59709abp-2, 0x1.1f5098f34b96cp-2, 0x1.2622add732bb6p-2, 0x1.2cb42ab255ff8p-2, 0x1.3303cb28cf799p-2, 0x1.391103ba9c064p-2, 0x1.3edbf9c0f1fbp-2, 0x1.446576d2e0edp-2, 0x1.49aed8c94fb55p-2, 0x1.4eb9ff7b508a3p-2, 0x1.538939280a2e5p-2, 0x1.581f2e5df6757p-2, 0x1.5c7ece0a2ca27p-2, 0x1.60ab3a374201p-2, 0x1.64a7b5e318bdcp-2, 0x1.687794366b66cp-2, 0x1.6c1e295013d53p-2, 0x1.6f9ebcc11e1e7p-2, 0x1.72fc7dc5974f9p-2, 0x1.763a7938349a1p-2, 0x1.795b91343f242p-2, 0x1.7c62765134e59p-2, 0x1.7f51a25de3a2ep-2, 0x1.822b547cf5cc3p-2, 0x1.84f18e82c5e85p-2, 0x1.87a6137367a11p-2, 0x1.8a4a66ffdfa24p-2, 0x1.8cdfcde26981dp-2, 0x1.8f674efafaeb2p-2, 0x1.91e1b50f0c816p-2, 0x1.944f9111a105cp-2, 0x1.96b13cdab8774p-2, 0x1.9906de378d2d4p-2, 0x1.9b506a3f2b74dp-2, 0x1.9d8da8d923339p-2, 0x1.9fbe38661140ep-2, 0x1.a1e1917bc2eacp-2, 0x1.a3f70aa87ea08p-2, 0x1.a5fddc32a9fd6p-2, 0x1.a7f523cb9aebcp-2, 0x1.a9dbe82dcd544p-2, 0x1.abb11c9fefed1p-2, 0x1.ad73a45778baep-2, 0x1.af2255b6731c3p-2, 0x1.b0bbfd611c99bp-2, 0x1.b23f6128d3a62p-2, 0x1.b3ab42ca73a1fp-2, 0x1.b4fe627f00b5ap-2, 0x1.b637815df94cbp-2, 0x1.b75563912f4aap-2, 0x1.b856d25a71faep-2, 0x1.b93a9debab765p-2, 0x1.b9ff9f1267c8ep-2, 0x1.baa4b8b7f239fp-2, 0x1.bb28d93779464p-2, 0x1.bb8afb8bc750fp-2, 0x1.bbca28564c3fep-2, 0x1.bbe576c14168ep-2, 0x1.bbdc0d3ed2a1ap-2, 0x1.bbad222737b66p-2, 0x1.bb57fc37b80d2p-2, 0x1.badbf2f491cb8p-2, 0x1.ba386eefbb316p-2, 0x1.b96ce9f66dd17p-2, 0x1.b878ef276d83fp-2, 0x1.b75c1af3dbf22p-2, 0x1.b6161b0c74296p-2, 0x1.b4a6ae3ce8a6dp-2, 0x1.b30da43716628p-2, 0x1.b14add4fa8f32p-2, 0x1.af5e4a2dbf219p-2, 0x1.ad47eb6f007b8p-2, 0x1.ab07d1418e4a7p-2, 0x1.a89e1af51dbedp-2, 0x1.a60af6847636ep-2, 0x1.a34ea0187c0d9p-2, 0x1.a0696185d9f1ap-2, 0x1.9d5b91c651882p-2, 0x1.9a25946e96bb6p-2, 0x1.96c7d9219754dp-2, 0x1.9342db01fd97p-2, 0x1.8f9720229ab02p-2, 0x1.8bc538f66e379p-2, 0x1.87cdbfc0dd9bdp-2, 0x1.83b15806a6ebbp-2, 0x1.7f70ae000b015p-2, 0x1.7b0c760ca087p-2, 0x1.76856c292f462p-2, 0x1.71dc5367ec971p-2, 0x1.6d11f56b6264dp-2, 0x1.682721e444effp-2, 0x1.631cae126f9bdp-2, 0x1.5df37449321e1p-2, 0x1.58ac53771aec8p-2, 0x1.53482eb15cd12p-2, 0x1.4dc7ecc2e845cp-2, 0x1.482c77bf44772p-2, 0x1.4276bc993f3e1p-2, 0x1.3ca7aabd72be7p-2, 0x1.36c033b0a7b37p-2, 0x1.30c14ab20c0fap-2, 0x1.2aabe4614255cp-2, 0x1.2480f66837a23p-2, 0x1.1e417728bb1e6p-2, 0x1.17ee5d6dc3f4bp-2, 0x1.1188a020565f6p-2, 0x1.0b1135fff6adp-2, 0x1.0489155e974fbp-2, 0x1.fbe267bfcc853p-3, 0x1.ee950c77d13dbp-3, 0x1.e12c00099cc31p-3, 0x1.d3a926dfc0166p-3, 0x1.c60e6242e57bfp-3, 0x1.b85d8ff78f2c7p-3, 0x1.aa9889e17a58p-3, 0x1.9cc125ac76194p-3, 0x1.8ed9347a7d179p-3, 0x1.80e28296dd10bp-3, 0x1.72ded72e3945bp-3, 0x1.64cff40b41176p-3, 0x1.56b79557dfe35p-3, 0x1.48977162be8b9p-3, 0x1.3a713868e8ec9p-3, 0x1.2c469463643c9p-3, 0x1.1e1928d895c8ap-3, 0x1.0fea92b147ec6p-3, 0x1.01bc681127713p-3, 0x1.e72070652a8a5p-4, 0x1.cacf168b42decp-4, 0x1.ae87c4a414a0cp-4, 0x1.924d6e384a2e1p-4, 0x1.7622f81916b2fp-4, 0x1.5a0b3834c3db9p-4, 0x1.3e08f57051d2dp-4, 0x1.221ee785dc53cp-4, 0x1.064fb6e796e42p-4, 0x1.d53bf94e47651p-5, 0x1.9e1884c21cc4cp-5, 0x1.673a04587d95ep-5, 0x1.30a54d1a54f94p-5, 0x1.f4be29b2a17d9p-6, 0x1.88d7e448bed14p-6, 0x1.1da0b8855e366p-6, 0x1.6642acd3bf9cp-7, 0x1.2588bde363ab8p-8, -0x1.f9489303c651bp-10, -0x1.0f75bd693a2d4p-7, -0x1.de1234933c79bp-7, -0x1.5577c2fe2fe89p-6, -0x1.baff9d792fcfep-6, -0x1.0fccd5d76dbc7p-5, -0x1.419f9646e0b29p-5, -0x1.72f4cdd1d68b4p-5, -0x1.a3c9585d6e9e7p-5, -0x1.d41a2fb7fe303p-5, -0x1.01f235b04ae2ep-4, -0x1.1992a0259b451p-4, -0x1.30ed0050f751ep-4, -0x1.48000dc17438fp-4, -0x1.5eca8e5dd5502p-4, -0x1.754b5640cee82p-4, -0x1.8b8147940eef5p-4, -0x1.a16b526a00a6dp-4, -0x1.b7087496743a9p-4, -0x1.cc57b98633351p-4, -0x1.e1583a15765f7p-4, -0x1.f6091c6583996p-4, -0x1.0534c9d8a34fdp-3, -0x1.0f3c70108d1dep-3, -0x1.191b274ee1d04p-3, -0x1.22d09c51545e6p-3, -0x1.2c5c8207a4488p-3, -0x1.35be917c0b789p-3, -0x1.3ef689bb534cbp-3, -0x1.48042fbcab2d5p-3, -0x1.50e74e49337e5p-3, -0x1.599fb5e34f631p-3, -0x1.622d3cadb8fp-3, -0x1.6a8fbe5265dc8p-3, -0x1.72c71be933e97p-3, -0x1.7ad33bde767dfp-3, -0x1.82b409d956875p-3, -0x1.8a6976a212ae3p-3, -0x1.91f378082b508p-3, -0x1.995208c86a6b7p-3, -0x1.a0852872e0f6ap-3, -0x1.a78cdb50d0e63p-3, -0x1.ae692a4a87569p-3, -0x1.b51a22cd3a3dfp-3, -0x1.bb9fd6b0d80a4p-3, -0x1.c1fa5c1ddf2a2p-3, -0x1.c829cd733757fp-3, -0x1.ce2e492c102bfp-3, -0x1.d407f1c5cf842p-3, -0x1.d9b6eda609984p-3, -0x1.df3b67008aa63p-3, -0x1.e4958bbd7cc39p-3, -0x1.e9c58d5f9ca3cp-3, -0x1.eecba0ea97b55p-3, -0x1.f3a7fec9768f8p-3, -0x1.f85ae2b53a64fp-3, -0x1.fce48b9b93f7ep-3, -0x1.00a29dc2e1121p-2, -0x1.02be9bbfcdc0fp-2, -0x1.04c663bf64a6p-2, -0x1.06ba1b2512499p-2, -0x1.0899e8b0ab256p-2, -0x1.0a65f4724d42fp-2, -0x1.0c1e67be61844p-2, -0x1.0dc36d21b66e9p-2, -0x1.0f553055b78bap-2, -0x1.10d3de34c5c77p-2, -0x1.123fa4aea94f9p-2, -0x1.1398b2bd29b6bp-2, -0x1.14df3858c0eb3p-2, -0x1.1613666d7552ep-2, -0x1.17356ecfd07dp-2, -0x1.18458431fcf88p-2, -0x1.1943da1906e93p-2, -0x1.1a30a4d23d282p-2, -0x1.1b0c1968bf40dp-2, -0x1.1bd66d9b2793ap-2, -0x1.1c8fd7d16487ap-2, -0x1.1d388f12b47aep-2, -0x1.1dd0cafbc5c33p-2, -0x1.1e58c3b5070fbp-2, -0x1.1ed0b1e91694p-2, -0x1.1f38cebb5fd16p-2, -0x1.1f9153bedec28p-2, -0x1.1fda7aed0d3fcp-2, -0x1.20147e9cfa9cp-2, -0x1.203f997a8d7a5p-2, -0x1.205c067ded388p-2, -0x1.206a00e317549p-2, -0x1.2069c421a05d3p-2, -0x1.205b8be49b954p-2, -0x1.203f9402b0c6p-2, -0x1.2016187659355p-2, -0x1.1fdf55564b3aep-2, -0x1.1f9b86ce0ba7ap-2, -0x1.1f4ae916aead7p-2, -0x1.1eedb86fc13c8p-2, -0x1.1e8431185b483p-2, -0x1.1e0e8f4861fbep-2, -0x1.1d8d0f29ebcdp-2, -0x1.1cffecd2d9547p-2, -0x1.1c67643e8dd21p-2, -0x1.1bc3b147d881bp-2, -0x1.1b150fa30514bp-2, -0x1.1a5bbad815f3bp-2, -0x1.1997ee3d27d7cp-2, -0x1.18c9e4f0feba8p-2, -0x1.17f1d9d5bbae2p-2, -0x1.1710078bbb9b4p-2, -0x1.1624a86c9af0fp-2, -0x1.152ff6866711ep-2, -0x1.14322b96f19fp-2, -0x1.132b81074dfacp-2, -0x1.121c2fe7734d6p-2, -0x1.110470ea07e0ap-2, -0x1.0fe47c604f3ap-2, -0x1.0ebc8a3640ab5p-2, -0x1.0d8cd1eec1834p-2, -0x1.0c558aa0049fcp-2, -0x1.0b16eaf00d2fcp-2, -0x1.09d129115828ep-2, -0x1.08847abfa3a53p-2, -0x1.0731153ce0799p-2, -0x1.05d72d4e3ea01p-2, -0x1.0476f73960c71p-2, -0x1.0310a6c1b06b8p-2, -0x1.01a46f25d04c5p-2, -0x1.0032831d327d9p-2, -0x1.fd7629ab99a7ep-3, -0x1.fa7cabe3d8348p-3, -0x1.f778ef0c5165ep-3, -0x1.f46b542eecfdap-3, -0x1.f1543b32aa9e3p-3, -0x1.ee3402d839386p-3, -0x1.eb0b08b6c5e31p-3, -0x1.e7d9a9390bca8p-3, -0x1.e4a03f9a92bdbp-3, -0x1.e15f25e525269p-3, -0x1.de16b4ee82b39p-3, -0x1.dac744563c58p-3, -0x1.d7712a83cb3c9p-3, -0x1.d414bca4d72e8p-3, -0x1.d0b24eabaacdp-3, -0x1.cd4a334ddc7cbp-3, -0x1.c9dcbc0322758p-3, -0x1.c66a3904556ebp-3, -0x1.c2f2f94aa0273p-3, -0x1.bf774a8ed5a1fp-3, -0x1.bbf77948fd0a3p-3, -0x1.b873d0aff6389p-3, -0x1.b4ec9ab955a2dp-3, -0x1.b16220195ff61p-3, -0x1.add4a8432b834p-3, -0x1.aa447968eb03fp-3, -0x1.a6b1d87c56464p-3, -0x1.a31d092f3a6edp-3, -0x1.9f864df42ba6ap-3, -0x1.9bede7ff54b21p-3, -0x1.985417476b78ap-3, -0x1.94b91a86baa93p-3, -0x1.911d2f3c59fd3p-3, -0x1.8d8091ad70283p-3, -0x1.89e37ce69f00cp-3, -0x1.86462abd83e3bp-3, -0x1.82a8d3d256e16p-3, -0x1.7f0baf919b82p-3, -0x1.7b6ef435f59abp-3, -0x1.77d2d6ca06ee2p-3, -0x1.74378b2a72a04p-3, -0x1.709d4407e9752p-3, -0x1.6d0432e952364p-3, -0x1.696c882e04906p-3, -0x1.65d6731014a7bp-3, -0x1.624221a6b3c82p-3, -0x1.5eafc0e89f294p-3, -0x1.5b1f7caea7526p-3, -0x1.57917fb63b03ep-3, -0x1.5405f3a40ac14p-3, -0x1.507d0106b8ac3p-3, -0x1.4cf6cf5993ce7p-3, -0x1.4973850764fb8p-3, -0x1.45f3476d3d749p-3, -0x1.42763add61b2bp-3, -0x1.3efc82a22c459p-3, -0x1.3b8641010b166p-3, -0x1.3813973d7bc91p-3, -0x1.34a4a59c146e4p-3, -0x1.31398b65933ecp-3, -0x1.2dd266e9f9c61p-3, -0x1.2a6f5583a80d4p-3, -0x1.2710739a84f74p-3, -0x1.23b5dca72a21fp-3, -0x1.205fab3610a8bp-3, -0x1.1d0df8eaccda5p-3, -0x1.19c0de833f61cp-3, -0x1.167873dadb8a4p-3, -0x1.1334cfeddf711p-3, -0x1.0ff608dc9ced9p-3, -0x1.0cbc33eebc512p-3, -0x1.0987659682ab8p-3, -0x1.0657b17419d1cp-3, -0x1.032d2a58da279p-3, -0x1.0007e24a94684p-3, -0x1.f9cfd50dafd77p-4, -0x1.f39aa70c7aa0ep-4, -0x1.ed7059ff5d05p-4, -0x1.e7510bd75bc2fp-4, -0x1.e13cd90f2cb8cp-4, -0x1.db33dcb1cdfafp-4, -0x1.d5363060f7fa3p-4, -0x1.cf43ec5b9dbb9p-4, -0x1.c95d27846b4efp-4, -0x1.c381f76829e1bp-4, -0x1.bdb270443021fp-4, -0x1.b7eea50cbf48p-4, -0x1.b236a7735ad87p-4, -0x1.ac8a87ed1ce1cp-4, -0x1.a6ea55b8fa648p-4, -0x1.a1561ee5fd2dap-4, -0x1.9bcdf05974e4cp-4, -0x1.9651d5d526df1p-4, -0x1.90e1d9fd61f9dp-4, -0x1.8b7e065f11396p-4, -0x1.86266375c2f91p-4, -0x1.80daf8b19dfc4p-4, -0x1.7b9bcc7d4f489p-4, -0x1.7668e443e6696p-4, -0x1.71424476a7d86p-4, -0x1.6c27f092cf377p-4, -0x1.6719eb274539bp-4, -0x1.621835da46117p-4, -0x1.5d22d16ef88ffp-4, -0x1.5839bdcaf8f4fp-4, -0x1.535cf9fbd2533p-4, -0x1.4e8c843c6a0f6p-4, -0x1.49c859fa5b5cep-4, -0x1.451077db4041ap-4, -0x1.4064d9c1f3091p-4, -0x1.3bc57ad3b4fa8p-4, -0x1.3732557d4c9cdp-4, -0x1.32ab63781154cp-4, -0x1.2e309dcee48acp-4, -0x1.29c1fce31f33bp-4, -0x1.255f787168d5bp-4, -0x1.2109079682691p-4, -0x1.1cbea0d3fe665p-4, -0x1.18803a14e76a1p-4, -0x1.144dc8b2591fcp-4, -0x1.102741780301dp-4, -0x1.0c0c98a89dbb4p-4, -0x1.07fdc20251686p-4, -0x1.03fab0c305ac2p-4, -0x1.000357aca21e7p-4, -0x1.f82f52128369bp-5, -0x1.f06f2d5ea1107p-5, -0x1.e8c6240b3600fp-5, -0x1.e134180e94005p-5, -0x1.d9b8ea8fa4cbap-5, -0x1.d2547bed994p-5, -0x1.cb06abc784cf7p-5, -0x1.c3cf5903d07eep-5, -0x1.bcae61d78ab5p-5, -0x1.b5a3a3cd9bf23p-5, -0x1.aeaefbcdd52dap-5, -0x1.a7d04623ddd48p-5, -0x1.a1075e8602d2ap-5, -0x1.9a54201be64aep-5, -0x1.93b6658505ca9p-5, -0x1.8d2e08df2f9ap-5, -0x1.86bae3ccca4f5p-5, -0x1.805ccf7b02583p-5, -0x1.7a13a4a7d724cp-5, -0x1.73df3ba808a7fp-5, -0x1.6dbf6c6ce63c1p-5, -0x1.67b40e8a01bb2p-5, -0x1.61bcf93abd4bcp-5, -0x1.5bda0367bcae5p-5, -0x1.560b03ac41c7fp-5, -0x1.504fd05b589f1p-5, -0x1.4aa83f84fd036p-5, -0x1.451426fb1169bp-5, -0x1.3f935c563c72ep-5, -0x1.3a25b4fab318ap-5, -0x1.34cb061cd62b5p-5, -0x1.2f8324c5c75e2p-5, -0x1.2a4de5d7d41a1p-5, -0x1.252b1e12c6a2ap-5, -0x1.201aa21825fbdp-5, -0x1.1b1c466f5085ap-5, -0x1.162fdf897f03dp-5, -0x1.115541c5b0c7ap-5, -0x1.0c8c41747fec3p-5, -0x1.07d4b2dbcedf4p-5, -0x1.032e6a3a7156ep-5, -0x1.fd3277975bbe2p-6, -0x1.f429f7954d8dp-6, -0x1.eb42fceb6f916p-6, -0x1.e27d30235c254p-6, -0x1.d9d839d9de13dp-6, -0x1.d153c2c519901p-6, -0x1.c8ef73ba7a0f9p-6, -0x1.c0aaf5b462ec1p-6, -0x1.b885f1d7f7f2fp-6, -0x1.b080117a59eb2p-6, -0x1.a898fe261024dp-6, -0x1.a0d061a010edp-6, -0x1.9925e5ecaff7dp-6, -0x1.9199355477aeap-6, -0x1.8a29fa68bcd39p-6, -0x1.82d7e00822aa4p-6, -0x1.7ba29162e8f12p-6, -0x1.7489b9ff11bfp-6, -0x1.6d8d05bc88c84p-6, -0x1.66ac20d8ed0d8p-6, -0x1.5fe6b7f34f47bp-6, -0x1.593c780feccf5p-6, -0x1.52ad0e9b8cecep-6, -0x1.4c38296ef561cp-6, -0x1.45dd76d209178p-6, -0x1.3f9ca57efe084p-6, -0x1.397564a53be5p-6, -0x1.336763ec45fe1p-6, -0x1.2d7253767335bp-6, -0x1.2795e3e384df8p-6, -0x1.21d1c6532e252p-6, -0x1.1c25ac6779a38p-6, -0x1.16914847041c2p-6, -0x1.11144c9f30dp-6, -0x1.0bae6ca63ee51p-6, -0x1.065f5c1d31c2p-6, -0x1.0126cf51c073dp-6, -0x1.f808f63ff65f7p-7, -0x1.edf029e82dabp-7, -0x1.e402a597dfed3p-7, -0x1.da3fd670fe2c2p-7, -0x1.d0a72abe91608p-7, -0x1.c73811f746126p-7, -0x1.bdf1fcbfe87b6p-7, -0x1.b4d45ced9612p-7, -0x1.abdea587e539fp-7, -0x1.a3104acac967ap-7, -0x1.9a68c2287fb4bp-7, -0x1.91e7824afb62cp-7, -0x1.898c031583ap-7, -0x1.8155bda622da4p-7, -0x1.79442c5689558p-7, -0x1.7156cabd86591p-7, -0x1.698d15afa8a05p-7, -0x1.61e68b402c335p-7, -0x1.5a62aac1ae8bep-7, -0x1.5300f4c69dc42p-7, -0x1.4bc0eb21caf48p-7, -0x1.44a210e6a5e01p-7, -0x1.3da3ea6979c0bp-7, -0x1.36c5fd3f8f7a7p-7, -0x1.3007d03f23311p-7, -0x1.2968eb7f371bp-7, -0x1.22e8d85775cf1p-7, -0x1.1c87215fe885bp-7, -0x1.164352707922ep-7, -0x1.101cf8a08013p-7, -0x1.0a13a2462f401p-7, -0x1.0426def5e2262p-7, -0x1.fcac7f02f44acp-8, -0x1.f142abee91f35p-8, -0x1.e60f6b4314a5ap-8, -0x1.db11e60a12639p-8, -0x1.d04947c09489dp-8, -0x1.c5b4be54ccefcp-8, -0x1.bb537a2396649p-8, -0x1.b124adf5f724ep-8, -0x1.a7278efe9f177p-8, -0x1.9d5b54d71390dp-8, -0x1.93bf397cd1cd8p-8, -0x1.8a52794e522d2p-8, -0x1.81145307ee286p-8, -0x1.780407c0e193bp-8, -0x1.6f20dae79ad68p-8, -0x1.666a123ecad13p-8, -0x1.5ddef5d9a508ap-8, -0x1.557ed01883be7p-8, -0x1.4d48eda4f88a8p-8, -0x1.453c9d6e87882p-8, -0x1.3d5930a668478p-8, -0x1.359dfabbf3024p-8, -0x1.2e0a5158a00a4p-8, -0x1.269d8c5c0f192p-8, -0x1.1f5705d7e6606p-8, -0x1.18361a0bc42cbp-8, -0x1.113a27611974dp-8, -0x1.0a628e66d75f2p-8, -0x1.03aeb1cd5fc5p-8, -0x1.fa3becc3e5a69p-9, -0x1.ed5f86152ec7fp-9, -0x1.e0c70182e283dp-9, -0x1.d4713521268bbp-9, -0x1.c85cfb1aa8641p-9, -0x1.bc8931a7eedd5p-9, -0x1.b0f4bb0604eb1p-9, -0x1.a59e7d6da3b56p-9, -0x1.9a856309cadbdp-9, -0x1.8fa859eebf2e4p-9, -0x1.850654109ddeap-9, -0x1.7a9e473a45452p-9, -0x1.706f2d03e9c2ap-9, -0x1.667802c9c3f8bp-9, -0x1.5cb7c9a298297p-9, -0x1.532d8656a88d1p-9, -0x1.49d84155d48ccp-9, -0x1.40b706aec7e4bp-9, -0x1.37c8e604ea04ep-9, -0x1.2f0cf287a7a8dp-9, -0x1.268242e84a937p-9, -0x1.1e27f1511b2e8p-9, -0x1.15fd1b5be1b92p-9, -0x1.0e00e2082e9b1p-9, -0x1.063269b24568bp-9, -0x1.fd21b4136a4cfp-10, -0x1.ee36bc0fad4dfp-10, -0x1.dfa247ccf104ap-10, -0x1.d162ba2d83511p-10, -0x1.c3767c6f555d9p-10, -0x1.b5dbfe199cbc2p-10, -0x1.a891b4eaa4ee3p-10, -0x1.9b961cc4aedacp-10, -0x1.8ee7b79c268a5p-10, -0x1.82850d65780f8p-10, -0x1.766cac0260b42p-10, -0x1.6a9d27301852ep-10, -0x1.5f151875a2193p-10, -0x1.53d31f10bbc02p-10, -0x1.48d5dfe56f303p-10, -0x1.3e1c056b36a52p-10, -0x1.33a43f9bb625p-10, -0x1.296d43e160b36p-10, -0x1.1f75cd05e1d7ep-10, -0x1.15bc9b203734ap-10, -0x1.0c4073843da88p-10, -0x1.030020b11a292p-10, -0x1.f3f4e4809bb87p-11, -0x1.e25c79a96abaap-11, -0x1.d134b413b4a1p-11, -0x1.c07b50c68f18ep-11, -0x1.b02e1677448a3p-11, -0x1.a04ad56a29f6bp-11, -0x1.90cf674f4f5a3p-11, -0x1.81b9af24d745fp-11, -0x1.7307991568ef6p-11, -0x1.64b71a57f3cb3p-11, -0x1.56c63111ea1cp-11, -0x1.4932e435acb38p-11, -0x1.3bfb436514c4fp-11, -0x1.2f1d66d197ep-11, -0x1.22976f1ed67ep-11, -0x1.1667854335883p-11, -0x1.0a8bda6ae14fap-11, -0x1.fe054fb2fd0d1p-12, -0x1.e7945d99839dap-12, -0x1.d1c170beae72fp-12, -0x1.bc892ad83dc76p-12, -0x1.a7e83ce301188p-12, -0x1.93db66e975c2dp-12, -0x1.805f77ce74257p-12, -0x1.6d714d1137c35p-12, -0x1.5b0dd299f7be7p-12, -0x1.493202820a1d3p-12, -0x1.37dae4de45448p-12, -0x1.27058f89e39a4p-12, -0x1.16af25f1f984cp-12, -0x1.06d4d8e01c40cp-12, -0x1.eee7cc9125accp-13, -0x1.d113322ce0f5cp-13, -0x1.b42691f0e21a3p-13, -0x1.981cb46198da9p-13, -0x1.7cf07ac225704p-13, -0x1.629cdeba7b447p-13, -0x1.491cf1f0c4571p-13, -0x1.306bddac083f1p-13, -0x1.1884e27569135p-13, -0x1.016357bbf2c09p-13, -0x1.d60556f2ed945p-14, -0x1.aabcc3a95dc31p-14, -0x1.80e4299403c8dp-14, -0x1.5872e7a1adbc7p-14, -0x1.31608709d38e4p-14, -0x1.0ba4baa22546fp-14, -0x1.ce6ebc59f18c5p-15, -0x1.8820eb67b0f07p-15, -0x1.445059ccab121p-15, -0x1.02edaccf8a317p-15, -0x1.87d3ace66cb1fp-16, -0x1.0e6c2852a43e1p-16, -0x1.330fb65f61e88p-17, -0x1.485335bdf5775p-19, 0x1.0ca010f81d005p-18, 0x1.56554f7e2cda7p-17, 0x1.0f183aff2484p-16, 0x1.6f0aecb8322ap-16, 0x1.cb1c65635a0fep-16, 0x1.11b2e4c96decdp-15, 0x1.3bffde081aa4p-15, 0x1.6481301589c4ap-15, 0x1.8b42ade2b28c4p-15, 0x1.b04fecc9a0deep-15, 0x1.d3b4459281a68p-15, 0x1.f57ad57bc044dp-15, 0x1.0ad73fa7026c2p-14, 0x1.1a2cf62535a63p-14, 0x1.28c3c69d4dd02p-14, 0x1.36a0cdb26de14p-14, 0x1.43c90cbfd6b52p-14, 0x1.50416a5997c73p-14, 0x1.5c0eb2bc7eb35p-14, 0x1.6735984d52dd8p-14, 0x1.71bab40502ccbp-14, 0x1.7ba285ebf7d72p-14, 0x1.84f1758521a37p-14, 0x1.8dabd242f513ep-14, 0x1.95d5d3f16c154p-14, 0x1.9d739b24893cp-14, 0x1.a48931a3d0cc1p-14, 0x1.ab1a8ad3f0145p-14, 0x1.b12b841a4e019p-14, 0x1.b6bfe54ab6329p-14, 0x1.bbdb61035d7f7p-14, 0x1.c0819517ef479p-14, 0x1.c4b60aed53d2ap-14, 0x1.c87c37dcf539cp-14, 0x1.cbd77d9156c05p-14, 0x1.cecb2a680c792p-14, 0x1.d15a79c3b60c6p-14, 0x1.d38894727cb0dp-14, 0x1.d55890fc2f26bp-14, 0x1.d6cd74017c9afp-14, 0x1.d7ea308bf19e3p-14, 0x1.d8b1a8694d08ap-14, 0x1.d926ac77b92bap-14, 0x1.d94bfcfded0dep-14, 0x1.d92449f751cc8p-14, 0x1.d8b233680d33ep-14, 0x1.d7f849a6c80b1p-14, 0x1.d6f90dab30bdfp-14, 0x1.d5b6f15be31bp-14, 0x1.d43457d51996cp-14, 0x1.d27395b3e149p-14, 0x1.d076f15f7087bp-14, 0x1.ce40a34be0279p-14, 0x1.cbd2d645296e4p-14, 0x1.c92fa7ad92a4dp-14, 0x1.c65927c8efb07p-14, 0x1.c35159f523a2fp-14, 0x1.c01a34f40b0d3p-14, 0x1.bcb5a32667741p-14, 0x1.b92582ccaaf8fp-14, 0x1.b56ba64420aa1p-14, 0x1.b189d444a88a7p-14, 0x1.ad81c81bb1703p-14, 0x1.a95531e7bbcb2p-14, 0x1.a505b6d0f807bp-14, 0x1.a094f143f9fdp-14, 0x1.9c0471272574ep-14, 0x1.9755bc1385a9bp-14, 0x1.928a4d89bacddp-14, 0x1.8da3972788fcp-14, 0x1.88a300db1cf79p-14, 0x1.8389e91682767p-14, 0x1.7e59a502a46dp-14, 0x1.791380b006678p-14, 0x1.73b8bf44e2749p-14, 0x1.6e4a9b32f3e47p-14, 0x1.68ca465f5867cp-14, 0x1.6338ea54a5166p-14, 0x1.5d97a86ec8651p-14, 0x1.57e79a081f121p-14, 0x1.5229d0a326095p-14, 0x1.4c5f561753debp-14, 0x1.46892cb9fe977p-14, 0x1.40a84f878c08cp-14, 0x1.3abdb24bea1a3p-14, 0x1.34ca41cb46cep-14, 0x1.2ecee3e714baap-14, 0x1.28cc77c6b44cdp-14, 0x1.22c3d5fa3096fp-14, 0x1.1cb5d0a22cdd7p-14, 0x1.16a33391db996p-14, 0x1.108cc4742cbd2p-14, 0x1.0a7342eca7e7cp-14, 0x1.045768bb7e096p-14, 0x1.fc73d3bc98b2ep-15, 0x1.f036e96217991p-15, 0x1.e3f9641f1904fp-15, 0x1.d7bc8ae46e5bap-15, 0x1.cb819a21ff22fp-15, 0x1.bf49c3fe15ccdp-15, 0x1.b3163094bc9a3p-15, 0x1.a6e7fe2fc6d47p-15, 0x1.9ac04181fd78ap-15, 0x1.8ea005e1ab8e8p-15, 0x1.82884d7b17866p-15, 0x1.767a118b562e6p-15, 0x1.6a7642929afd8p-15, 0x1.5e7dc88bd5f04p-15, 0x1.5291831cc80cap-15, 0x1.46b249ca1ebp-15, 0x1.3ae0ec28310cfp-15, 0x1.2f1e320ae57d3p-15, 0x1.236adbb6fa125p-15, 0x1.17c7a20d48eadp-15, 0x1.0c3536bbc5197p-15, 0x1.00b444677b70ap-15, 0x1.ea8addb44d979p-16, 0x1.d3d2a6579db61p-16, 0x1.bd410fda27be8p-16, 0x1.a6d73aa273d0ap-16, 0x1.90963aaad903p-16, 0x1.7a7f17d252e31p-16, 0x1.6492ce28a5c22p-16, 0x1.4ed24e3a8aeefp-16, 0x1.393e7d5ce0038p-16, 0x1.23d835f70765p-16, 0x1.0ea047c38233cp-16, 0x1.f32ef03e54b0fp-17, 0x1.c97d048ea904bp-17, 0x1.a02c2f3f01c93p-17, 0x1.773dbfe33a7b2p-17, 0x1.4eb2f3603dd52p-17, 0x1.268cf464adbb6p-17, 0x1.fd99b7d868cfcp-18, 0x1.aee7635a8631p-18, 0x1.6104d93e36542p-18, 0x1.13f3e6b1db0d5p-18, 0x1.8f6c725fd5eb4p-19, 0x1.f1357d0e784cbp-20, 0x1.8dd64afab5791p-21, -0x1.80035363203bfp-22, -0x1.838996a3be102p-20, -0x1.51d55988f565ap-19, -0x1.e030145f2d334p-19, -0x1.3669979eb0b9p-18, -0x1.7bde882500b78p-18, -0x1.c0762767c5133p-18, -0x1.0217ec7d6531bp-17, -0x1.23858bd1e298bp-17, -0x1.4483ba52e76dfp-17, -0x1.65124b92902efp-17, -0x1.85311db7e3c72p-17, -0x1.a4e01937740fbp-17, -0x1.c41f3076485d8p-17, -0x1.e2ee5f881a665p-17, -0x1.00a6d5ed6a8fcp-16, -0x1.0f9e91f8086fcp-16, -0x1.1e5e6f895b988p-16, -0x1.2ce67e8768bf2p-16, -0x1.3b36d2f66b584p-16, -0x1.494f84d800cbap-16, -0x1.5730b006208eep-16, -0x1.64da741639984p-16, -0x1.724cf439d4459p-16, -0x1.7f88571b395e3p-16, -0x1.8c8cc6c245a25p-16, -0x1.995a7076e7feap-16, -0x1.a5f184a40330fp-16, -0x1.b25236b932132p-16, -0x1.be7cbd111bf42p-16, -0x1.ca7150d689b9fp-16, -0x1.d6302de9231a6p-16, -0x1.e1b992c32c5a5p-16, -0x1.ed0dc062e6504p-16, -0x1.f82cfa2fa0a49p-16, -0x1.018bc2f182d39p-15, -0x1.06e6d5b8403ccp-15, -0x1.0c27da78725e6p-15, -0x1.114ef744e8347p-15, -0x1.165c532c5a1d8p-15, -0x1.1b50162f76421p-15, -0x1.202a69359d321p-15, -0x1.24eb76035abe8p-15, -0x1.29936730a07efp-15, -0x1.2e22681f0e63ap-15, -0x1.3298a4f09cebap-15, -0x1.36f64a7ea224ep-15, -0x1.3b3b8650a4f51p-15, -0x1.3f68869440665p-15, -0x1.437d7a14a9473p-15, -0x1.477a9031bb186p-15, -0x1.4b5ff8d8c9dc9p-15, -0x1.4f2de47ce3ca2p-15, -0x1.52e4840e7758ap-15, -0x1.568408f4d4e2p-15, -0x1.5a0ca506588dap-15, -0x1.5d7e8a81d371bp-15, -0x1.60d9ec076831fp-15, -0x1.641efc9255688p-15, -0x1.674def71f19cdp-15, -0x1.6a66f843fe952p-15, -0x1.6d6a4aee6b19ep-15, -0x1.70581b98c3a82p-15, -0x1.73309ea75940ap-15, -0x1.75f408b52a143p-15, -0x1.78a28e8e5ea05p-15, -0x1.7b3c652b08027p-15, -0x1.7dc1c1aa2dea6p-15, -0x1.8032d94c9d809p-15, -0x1.828fe170200ebp-15, -0x1.84d90f8aa0ba1p-15, -0x1.870e9925d3399p-15, -0x1.8930b3da9954dp-15, -0x1.8b3f954c8d23cp-15, -0x1.8d3b73264a41cp-15, -0x1.8f248314994b8p-15, -0x1.90fafac36320bp-15, -0x1.92bf0fd91eac8p-15, -0x1.9470f7f399a4p-15, -0x1.9610e8a42e447p-15, -0x1.979f176c37667p-15, -0x1.991bb9b9ef925p-15, -0x1.9a8704e4f65e4p-15, -0x1.9be12e2b119bbp-15, -0x1.9d2a6aad75fbep-15, -0x1.9e62ef6db7137p-15, -0x1.9f8af14ab8727p-15, -0x1.a0a2a4fe16b69p-15, -0x1.a1aa3f197e3cdp-15, -0x1.a2a1f403f5f01p-15, -0x1.a389f7f78147ep-15, -0x1.a4627efea0c5ap-15, -0x1.a52bbcf259312p-15, -0x1.a5e5e5777397dp-15, -0x1.a6912bfc9745ap-15, -0x1.a72dc3b8342ecp-15, -0x1.a7bbdfa68353bp-15, -0x1.a83bb287aa747p-15, -0x1.a8ad6eddc51a1p-15, -0x1.a91146eb3f0d7p-15, -0x1.a9676cb0f46fcp-15, -0x1.a9b011ecd4f83p-15, -0x1.a9eb6817df4d2p-15, -0x1.aa19a06512703p-15, -0x1.aa3aebbfbfebdp-15, -0x1.aa4f7aca606cbp-15, -0x1.aa577ddcd38f3p-15, -0x1.aa53250373862p-15, -0x1.aa429ffdf6acbp-15, -0x1.aa261e3dea0dfp-15, -0x1.a9fdcee614ab5p-15, -0x1.a9c9e0c915529p-15, -0x1.a98a826866c69p-15, -0x1.a93fe1f37365ep-15, -0x1.a8ea2d46de807p-15, -0x1.a88991eb83189p-15, -0x1.a81e3d15d952bp-15, -0x1.a7a85ba4f5368p-15, -0x1.a7281a21bbd73p-15, -0x1.a69da4bea7853p-15, -0x1.a6092756dd9d7p-15, -0x1.a56acd6da5452p-15, -0x1.a4c2c22e022b8p-15, -0x1.a4113069f4818p-15, -0x1.a356429a1d1a2p-15, -0x1.a29222dd5f617p-15, -0x1.a1c4faf88e7ecp-15, -0x1.a0eef455c5ccp-15, -0x1.a010380448c51p-15, -0x1.9f28eeb854312p-15, -0x1.9e3940ca9faccp-15, -0x1.9d41563879c44p-15, -0x1.9c4156a33c28dp-15, -0x1.9b39695039509p-15, -0x1.9a29b5289c661p-15, -0x1.991260b94769ep-15, -0x1.97f3923322d2cp-15, -0x1.96cd6f6a444c2p-15, -0x1.95a01dd6952a9p-15, -0x1.946bc2936fb39p-15, -0x1.9330825fd7ae2p-15, -0x1.91ee819e9acfep-15, -0x1.90a5e455f877fp-15, -0x1.8f56ce2fe7942p-15, -0x1.8e01627a62a64p-15, -0x1.8ca5c4275b27fp-15, -0x1.8b4415cd02ae3p-15, -0x1.89dc79a5964f3p-15, -0x1.886f11901df26p-15, -0x1.86fbff101b3fep-15, -0x1.8583634ded111p-15, -0x1.84055f1724d3ep-15, -0x1.828212de9f66fp-15, -0x1.80f99ebcf2fcfp-15, -0x1.7f6c2270bf74ap-15, -0x1.7dd9bd5eb3081p-15, -0x1.7c428e91eca82p-15, -0x1.7aa6b4bc6a987p-15, -0x1.79064e37a27a2p-15, -0x1.776179043debbp-15, -0x1.75b852cae7e6cp-15, -0x1.740af8dc768acp-15, -0x1.7259883285ad7p-15, -0x1.70a41d6fb0241p-15, -0x1.6eead4dfe2a0ep-15, -0x1.6d2dca7904acfp-15, -0x1.6b6d19db294bbp-15, -0x1.69a8de51499bfp-15, -0x1.67e132d160f23p-15, -0x1.661631fcd3872p-15, -0x1.6447f62166b4ap-15, -0x1.62769939373bap-15, -0x1.60a234eb82aabp-15, -0x1.5ecae28cdbf81p-15, -0x1.5cf0bb2006ec1p-15, -0x1.5b13d755f53f4p-15, -0x1.59344f8ea48a4p-15, -0x1.57523bd978b4ap-15, -0x1.556db3f619888p-15, -0x1.5386cf54873bdp-15, -0x1.519da5158fe4bp-15, -0x1.4fb24c0bb0a77p-15, -0x1.4dc4dabbb4997p-15, -0x1.4bd5675ccf0e8p-15, -0x1.49e407d941543p-15, -0x1.47f0d1cf12713p-15, -0x1.45fbda90a3f17p-15, -0x1.44053724fa51cp-15, -0x1.420cfc4896f88p-15, -0x1.40133e6dcb14p-15, -0x1.3e1811bd69f1cp-15, -0x1.3c1b8a172c12fp-15, -0x1.3a1dbb1255442p-15, -0x1.381eb7feac7ep-15, -0x1.361e93e458f2ep-15, -0x1.341d6185002p-15, -0x1.321b335bdd953p-15, -0x1.30181b9ec8e2bp-15, -0x1.2e142c3e85f15p-15, -0x1.2c0f76e7914adp-15, -0x1.2a0a0d027c55fp-15, -0x1.2803ffb48f1b3p-15, -0x1.25fd5fe01673cp-15, -0x1.23f63e258c8d8p-15, -0x1.21eeaae3f01bfp-15, -0x1.1fe6b6391b887p-15, -0x1.1dde70025624dp-15, -0x1.1bd5e7dd768f5p-15, -0x1.19cd2d28f4b65p-15, -0x1.17c44f04592dp-15, -0x1.15bb5c513c9c8p-15, -0x1.13b263b3c3588p-15, -0x1.11a9739300732p-15, -0x1.0fa09a19cfb6bp-15, -0x1.0d97e53707019p-15, -0x1.0b8f629e48ae9p-15, -0x1.09871fc873a1ep-15, -0x1.077f29f491cb9p-15, -0x1.05778e27fd43bp-15, -0x1.0370592f00425p-15, -0x1.0169979d4f424p-15, -0x1.fec6ab9e1257ap-16, -0x1.fabb3fd213abbp-16, -0x1.f6b103b29470ep-16, -0x1.f2a80eaf29234p-16, -0x1.eea077cbc92fcp-16, -0x1.ea9a55a288aabp-16, -0x1.e695be64ebb3cp-16, -0x1.e292c7dbbed4ap-16, -0x1.de918768f9115p-16, -0x1.da921208a27e2p-16, -0x1.d6947c52cf885p-16, -0x1.d298da7af2957p-16, -0x1.ce9f40526487ap-16, -0x1.caa7c148fe397p-16, -0x1.c6b2706dc28bfp-16, -0x1.c2bf607069473p-16, -0x1.becea3a261114p-16, -0x1.bae04bf7a5711p-16, -0x1.b6f46b080afe5p-16, -0x1.b30b121001369p-16, -0x1.af2451f174c09p-16, -0x1.ab403b35461fp-16, -0x1.a75ede0c5fd52p-16, -0x1.a3804a5066f12p-16, -0x1.9fa48f8427dadp-16, -0x1.9bcbbcd59d242p-16, -0x1.97f5e11ed9b9p-16, -0x1.94230ae6788ffp-16, -0x1.905348605c566p-16, -0x1.8c86a76f5a052p-16, -0x1.88bd35a62e983p-16, -0x1.84f70048430d9p-16, -0x1.8134144a1aa4ep-16, -0x1.7d747e528dc3bp-16, -0x1.79b84abca2a83p-16, -0x1.75ff85978299fp-16, -0x1.724a3aa729bc4p-16, -0x1.6e9875664cb9p-16, -0x1.6aea41065e847p-16, -0x1.673fa871542a5p-16, -0x1.6398b64976bp-16, -0x1.5ff574eb7a779p-16, -0x1.5c55ee6e1bcfap-16, -0x1.58ba2ca4669dbp-16, -0x1.5522391d2922ap-16, -0x1.518e1d2520fc1p-16, -0x1.4dfde1c6a1ca3p-16, -0x1.4a718fcb8b6ep-16, -0x1.46e92fbcff184p-16, -0x1.4364c9e5abff8p-16, -0x1.3fe46650fcf7cp-16, -0x1.3c680ccd124a7p-16, -0x1.38efc4eaecf27p-16, -0x1.357b960076256p-16, -0x1.320b8727399ffp-16, -0x1.2e9f9f3eb7675p-16, -0x1.2b37e4ed214c2p-16, -0x1.27d45e9fea4f6p-16, -0x1.2475128bc5316p-16, -0x1.211a06ae4e4e7p-16, -0x1.1dc340cf3e957p-16, -0x1.1a70c6800d23p-16, -0x1.17229d1ce8932p-16, -0x1.13d8c9ce0d472p-16, -0x1.109351885cb7fp-16, -0x1.0d52390d9e5p-16, -0x1.0a1584ed70178p-16, -0x1.06dd39862051bp-16, -0x1.03a95b05a55d5p-16, -0x1.0079ed69afb8bp-16, -0x1.fa9de9014f4bep-17, -0x1.f450e7d516365p-17, -0x1.ee0cde32ed563p-17, -0x1.e7d1d2a431a02p-17, -0x1.e19fcb59fda7ap-17, -0x1.db76ce2cc4bdbp-17, -0x1.d556e09f34cf8p-17, -0x1.cf4007de5a6dap-17, -0x1.c93248c49b2aep-17, -0x1.c32da7d794dabp-17, -0x1.bd32294e462fdp-17, -0x1.b73fd10d9b4fap-17, -0x1.b156a2acdc016p-17, -0x1.ab76a174b8208p-17, -0x1.a59fd0637f08ep-17, -0x1.9fd23229bd74bp-17, -0x1.9a0dc93002ab1p-17, -0x1.945297956cae9p-17, -0x1.8ea09f31ffc22p-17, -0x1.88f7e19607e27p-17, -0x1.8358600e06b23p-17, -0x1.7dc21ba1ce55bp-17, -0x1.78351515d2ad9p-17, -0x1.72b14cec9a45fp-17, -0x1.6d36c3688e639p-17, -0x1.67c5788bf6b12p-17, -0x1.625d6c19ba5c6p-17, -0x1.5cfe9d98648b2p-17, -0x1.57a90c512b09fp-17, -0x1.525cb751bce7ap-17, -0x1.4d199d6d8cc5bp-17, -0x1.47dfbd3e974a4p-17, -0x1.42af152697ad3p-17, -0x1.3d87a34ec2b03p-17, -0x1.386965ab72404p-17, -0x1.335459f9ba571p-17, -0x1.2e487dc3fced4p-17, -0x1.2945ce5f70723p-17, -0x1.244c48ef615c4p-17, -0x1.1f5bea6537ec6p-17, -0x1.1a74af81fe27ep-17, -0x1.159694d5b4a31p-17, -0x1.10c196c2ba41cp-17, -0x1.0bf5b17c78ae8p-17, -0x1.0732e10950cb7p-17, -0x1.0279214361248p-17, -0x1.fb90dbb22cf82p-18, -0x1.f241849cb36c6p-18, -0x1.e90433fa2928p-18, -0x1.dfd8e02d95b03p-18, -0x1.d6bf7f47a55a2p-18, -0x1.cdb8070c0b08dp-18, }}, 
      {{0x1.3fdd543fe343bp-7, 0x1.405fa27235633p-6, 0x1.e19e66401b5a3p-6, 0x1.41d45f10c6aaap-5, 0x1.931b06324986bp-5, 0x1.e466d8f23087bp-5, 0x1.1ab8340e37387p-4, 0x1.42f8333142897p-4, 0x1.6ad3e9e5a1accp-4, 0x1.92326788de83bp-4, 0x1.b9023ccd6d305p-4, 0x1.df3953fbeff23p-4, 0x1.026a08dc3c1dbp-3, 0x1.14ea09b63cbp-3, 0x1.271f661ef4f1ep-3, 0x1.390e168540b8dp-3, 0x1.4abab942f06dep-3, 0x1.5c2a13aebab04p-3, 0x1.6d60af7947173p-3, 0x1.7e6293908591bp-3, 0x1.8f3315f01fcbap-3, 0x1.9fd4c2d1823f4p-3, 0x1.b0495552b4abap-3, 0x1.c091bdb4549e1p-3, 0x1.d0ae3195c3e5p-3, 0x1.e09e42fff6763p-3, 0x1.f060fb8876bd9p-3, 0x1.fff4f952a3b45p-3, 0x1.07ac461639002p-2, 0x1.0f44e8b8b788dp-2, 0x1.16c366df94e31p-2, 0x1.1e26c1ec5a8bep-2, 0x1.256e042db83dep-2, 0x1.2c98490f24b15p-2, 0x1.33a4c39fc336ep-2, 0x1.3a92c38283049p-2, 0x1.4161b864c9e88p-2, 0x1.481134204a941p-2, 0x1.4ea0ebb0e10d9p-2, 0x1.5510b728ecd03p-2, 0x1.5b6090ce5790ap-2, 0x1.61909388ba17cp-2, 0x1.67a0f8c65b82bp-2, 0x1.6d9215fa63eabp-2, 0x1.736459d2eac75p-2, 0x1.79184941a44f8p-2, 0x1.7eae7c6e2d85ap-2, 0x1.84279ba545e44p-2, 0x1.89845c54d7c95p-2, 0x1.8ec57e219ded9p-2, 0x1.93ebc82055bc8p-2, 0x1.98f8063a04e5bp-2, 0x1.9deb06c0a043ep-2, 0x1.a2c598379f6cdp-2, 0x1.a788875263c5cp-2, 0x1.ac349d2929a1cp-2, 0x1.b0ca9da412d2cp-2, 0x1.b54b461b1ba75p-2, 0x1.b9b74c290e2ffp-2, 0x1.be0f5caf1a25ap-2, 0x1.c2541b064c7aap-2, 0x1.c686205befeaep-2, 0x1.caa5fb35a95a2p-2, 0x1.ceb42f1a2028dp-2, 0x1.d2b1345af88bcp-2, 0x1.d69d77fce4a11p-2, 0x1.da795bbac5526p-2, 0x1.de453620c8a62p-2, 0x1.e20152bcb5f98p-2, 0x1.e5adf260ae9d1p-2, 0x1.e94b4b75d4644p-2, 0x1.ecd98a5c788cbp-2, 0x1.f058d1d7973dep-2, 0x1.f3c93b819f41ap-2, 0x1.f72ad848956bap-2, 0x1.fa7db0eff01d6p-2, 0x1.fdc1c69691704p-2, 0x1.007b899fbdac2p-1, 0x1.020ec52dff71cp-1, 0x1.039a8cab21b7dp-1, 0x1.051ed40d94e96p-1, 0x1.069b8cd154441p-1, 0x1.0810a63af219fp-1, 0x1.097e0d9927dcbp-1, 0x1.0ae3ae84a94c9p-1, 0x1.0c41731df6667p-1, 0x1.0d97444900875p-1, 0x1.0ee509e672d44p-1, 0x1.102aab0a834b8p-1, 0x1.11680e312ecedp-1, 0x1.129d196fd2851p-1, 0x1.13c9b2a413d66p-1, 0x1.14edbfa011849p-1, 0x1.16092653df315p-1, 0x1.171bccf44b516p-1, 0x1.18259a1efa1bep-1, 0x1.192674fbdb9dbp-1, 0x1.1a1e455c10f35p-1, 0x1.1b0cf3d648241p-1, 0x1.1bf269e0a8c91p-1, 0x1.1cce91e85f5a7p-1, 0x1.1da15766dee39p-1, 0x1.1e6aa6f4ee39dp-1, 0x1.1f2a6e5b991e8p-1, 0x1.1fe09ca31a30cp-1, 0x1.208d221fd8bbp-1, 0x1.212ff07d9102ap-1, 0x1.21c8fac8bff33p-1, 0x1.225835766779ep-1, 0x1.22dd966a49b15p-1, 0x1.235914fbac3d3p-1, 0x1.23caa9f8bd201p-1, 0x1.24324fa8b1e3cp-1, 0x1.249001ccb31d6p-1, 0x1.24e3bd9facb57p-1, 0x1.252d81d516f67p-1, 0x1.256d4e96cadbbp-1, 0x1.25a32581f764ap-1, 0x1.25cf09a34751cp-1, 0x1.25f0ff724c676p-1, 0x1.26090ccc3da06p-1, 0x1.261738ee1a90fp-1, 0x1.261b8c6e42456p-1, 0x1.261611358cc8p-1, 0x1.2606d277f4f1cp-1, 0x1.25eddcacdd132p-1, 0x1.25cb3d86fe4a2p-1, 0x1.259f03ec0ca3fp-1, 0x1.25693fec18647p-1, 0x1.252a02b8b9de8p-1, 0x1.24e15e9c0ffefp-1, 0x1.248f66ef98cdp-1, 0x1.24343012eede3p-1, 0x1.23cfcf627023ep-1, 0x1.23625b2dd7bf7p-1, 0x1.22ebeaaed1054p-1, 0x1.226c95ff8571p-1, 0x1.21e4761132bcdp-1, 0x1.2153a4a2c7209p-1, 0x1.20ba3c3789e1dp-1, 0x1.2018580dd970ep-1, 0x1.1f6e1415fa3bcp-1, 0x1.1ebb8ce901a75p-1, 0x1.1e00dfbfd9e1bp-1, 0x1.1d3e2a6a67599p-1, 0x1.1c738b46cbe5cp-1, 0x1.1ba12138d067ep-1, 0x1.1ac70ba1704cdp-1, 0x1.19e56a568dbbdp-1, 0x1.18fc5d9acd5a3p-1, 0x1.180c06159c484p-1, 0x1.171484cb5e23ap-1, 0x1.1615fb15c9a8p-1, 0x1.15108a9c6ee02p-1, 0x1.1404554d6adbp-1, 0x1.12f17d564876bp-1, 0x1.11d8251d0dcddp-1, 0x1.10b86f39779bcp-1, 0x1.0f927e6e61ecep-1, 0x1.0e6675a35e8c7p-1, 0x1.0d3477de784ebp-1, 0x1.0bfca83e23a7ap-1, 0x1.0abf29f35cff4p-1, 0x1.097c203bf13e3p-1, 0x1.0833ae5cf612cp-1, 0x1.06e5f79d69cabp-1, 0x1.05931f410203dp-1, 0x1.043b488323442p-1, 0x1.02de969201e84p-1, 0x1.017d2c89ef466p-1, 0x1.00172d70cd4bcp-1, 0x1.fd59786355936p-2, 0x1.fa7bf7311151ap-2, 0x1.f7961c9c8abf9p-2, 0x1.f4a82da95b98ap-2, 0x1.f1b26f05690f7p-2, 0x1.eeb525019e1c2p-2, 0x1.ebb0938ae8348p-2, 0x1.e8a4fe23832d4p-2, 0x1.e592a7dc81cddp-2, 0x1.e279d34fa2795p-2, 0x1.df5ac2996018fp-2, 0x1.dc35b75348835p-2, 0x1.d90af28e90767p-2, 0x1.d5dab4cee7572p-2, 0x1.d2a53e0585dfep-2, 0x1.cf6acd8c7c243p-2, 0x1.cc2ba22235accp-2, 0x1.c8e7f9e538f35p-2, 0x1.c5a012501e489p-2, 0x1.c2542835bcd31p-2, 0x1.bf0477bd8c54bp-2, 0x1.bbb13c603a64fp-2, 0x1.b85ab0e4723f7p-2, 0x1.b5010f5bd6b5bp-2, 0x1.b1a491202c814p-2, 0x1.ae456ed0aecf4p-2, 0x1.aae3e04f9902ap-2, 0x1.a7801cbfd4f7dp-2, 0x1.a41a5a82dafbp-2, 0x1.a0b2cf36b8e28p-2, 0x1.9d49afb440befp-2, 0x1.99df300d63f64p-2, 0x1.9673838bb0ad8p-2, 0x1.9306dcaef6c6fp-2, 0x1.8f996d2c1475ep-2, 0x1.8c2b65ebe049cp-2, 0x1.88bcf70a3c90cp-2, 0x1.854e4fd54913p-2, 0x1.81df9eccb4e8fp-2, 0x1.7e7111a133107p-2, 0x1.7b02d5340c089p-2, 0x1.77951596ce36dp-2, 0x1.7427fe0b1a019p-2, 0x1.70bbb9028c432p-2, 0x1.6d50701ec4016p-2, 0x1.69e64c318055fp-2, 0x1.667d753cdb5d2p-2, 0x1.631612739a419p-2, 0x1.5fb04a399a4e3p-2, 0x1.5c4c42245009p-2, 0x1.58ea1efb61922p-2, 0x1.558a04b9537b8p-2, 0x1.522c168c4b2ddp-2, 0x1.4ed076d6e89c8p-2, 0x1.4b7747312f5e8p-2, 0x1.4820a8698553bp-2, 0x1.44ccba85c2013p-2, 0x1.417b9cc452283p-2, 0x1.3e2d6d9d681e9p-2, 0x1.3ae24ac440d28p-2, 0x1.379a512873cdap-2, 0x1.34559cf75620fp-2, 0x1.3114499d6a829p-2, 0x1.2dd671c7dcdb2p-2, 0x1.2a9c2f660e891p-2, 0x1.27659bab2c518p-2, 0x1.2432cf0fd2636p-2, 0x1.2103e153bae94p-2, 0x1.1dd8e97f7647dp-2, 0x1.1ab1fde6301dbp-2, 0x1.178f34277c9e2p-2, 0x1.1470a1312f98fp-2, 0x1.115659413afcap-2, 0x1.0e406fe79a191p-2, 0x1.0b2ef8083d537p-2, 0x1.082203dd053e3p-2, 0x1.0519a4f7be92cp-2, 0x1.0215ec4427672p-2, 0x1.fe2dd413f6dacp-3, 0x1.f8395bde0227bp-3, 0x1.f24e8df2442a5p-3, 0x1.ec6d8721080fbp-3, 0x1.e696630350d08p-3, 0x1.e0c93bff1b072p-3, 0x1.db062b4babf71p-3, 0x1.d54d48f5e2575p-3, 0x1.cf9eabe491aa4p-3, 0x1.c9fa69dcdcb5p-3, 0x1.c460978699a34p-3, 0x1.bed14870b70c6p-3, 0x1.b94c8f15a2bb5p-3, 0x1.b3d27cdfb8606p-3, 0x1.ae63222daa1b5p-3, 0x1.a8fe8e56f1d14p-3, 0x1.a3a4cfb03c59bp-3, 0x1.9e55f38fd9f36p-3, 0x1.991206522b342p-3, 0x1.93d9135e0df88p-3, 0x1.8eab252947bp-3, 0x1.8988453cf16cp-3, 0x1.84707c39d95ffp-3, 0x1.7f63d1dce9a91p-3, 0x1.7a624d038568ep-3, 0x1.756bf3afe7a23p-3, 0x1.7080cb0d794a2p-3, 0x1.6ba0d77521313p-3, 0x1.66cc1c7195ae3p-3, 0x1.62029cc3a1f96p-3, 0x1.5d445a666720dp-3, 0x1.589156939978ep-3, 0x1.53e991c7b37dfp-3, 0x1.4f4d0bc62612dp-3, 0x1.4abbc39d7b8d7p-3, 0x1.4635b7ab7ac3bp-3, 0x1.41bae5a13a42cp-3, 0x1.3d4b4a872f20ap-3, 0x1.38e6e2c1392a5p-3, 0x1.348daa1296709p-3, 0x1.303f9ba1e3259p-3, 0x1.2bfcb1fcfab1p-3, 0x1.27c4e71ce352ap-3, 0x1.23983469a0422p-3, 0x1.1f7692be012bfp-3, 0x1.1b5ffa6b6b856p-3, 0x1.1754633d8de3cp-3, 0x1.1353c47e17b8fp-3, 0x1.0f5e14f85a316p-3, 0x1.0b734afce66ebp-3, 0x1.07935c651b0bcp-3, 0x1.03be3e96ad3b1p-3, 0x1.ffe7cd0e3ed79p-4, 0x1.f868917e6a98p-4, 0x1.f0feb2bca8e0ep-4, 0x1.e9aa183bbda85p-4, 0x1.e26aa8a9020f8p-4, 0x1.db4049f2e65d7p-4, 0x1.d42ae14f6424ap-4, 0x1.cd2a53424b776p-4, 0x1.c63e83a38ad45p-4, 0x1.bf6755a552225p-4, 0x1.b8a4abda295b2p-4, 0x1.b1f6683adcfdfp-4, 0x1.ab5c6c2c6a815p-4, 0x1.a4d69885c611ep-4, 0x1.9e64cd958eb8ep-4, 0x1.9806eb27a6e47p-4, 0x1.91bcd08ab589cp-4, 0x1.8b865c9596371p-4, 0x1.85636dacaae33p-4, 0x1.7f53e1c719dc4p-4, 0x1.79579673ef365p-4, 0x1.736e68df30543p-4, 0x1.6d9835d6cc6e7p-4, 0x1.67d4d9cf81236p-4, 0x1.622430e99e7cp-4, 0x1.5c8616f5ba671p-4, 0x1.56fa67794a851p-4, 0x1.5180fdb3268e6p-4, 0x1.4c19b49ff732cp-4, 0x1.46c466fe88d29p-4, 0x1.4180ef540e9p-4, 0x1.3c4f27f04b2a2p-4, 0x1.372eeaf1a1bdap-4, 0x1.3220124915fcbp-4, 0x1.2d2277be344c3p-4, 0x1.2835f4f2e0059p-4, 0x1.235a636712c3ap-4, 0x1.1e8f9c7c833c3p-4, 0x1.19d5797a37de1p-4, 0x1.152bd39002907p-4, 0x1.109283d9eb08p-4, 0x1.0c09636380d4bp-4, 0x1.07904b2b1c8c4p-4, 0x1.032714250aca3p-4, 0x1.fd9b2e7d4ad5ep-5, 0x1.f5075ac2a8a6dp-5, 0x1.ec925eeb03cf4p-5, 0x1.e43beccaed0ccp-5, 0x1.dc03b64043725p-5, 0x1.d3e96d37ab56bp-5, 0x1.cbecc3b1d13p-5, 0x1.c40d6bc891b1ap-5, 0x1.bc4b17b3fa288p-5, 0x1.b4a579cf29e06p-5, 0x1.ad1c449d0a057p-5, 0x1.a5af2acce3be1p-5, 0x1.9e5ddf3ed69b1p-5, 0x1.972815082e4e3p-5, 0x1.900d7f7793162p-5, 0x1.890dd2191a251p-5, 0x1.8228c0ba3a3bep-5, 0x1.7b5dff6d98dd6p-5, 0x1.74ad428ebf947p-5, 0x1.6e163ec5ac48fp-5, 0x1.6798a90a467c6p-5, 0x1.613436a7b753ap-5, 0x1.5ae89d3fa24f4p-5, 0x1.54b592cd3eb41p-5, 0x1.4e9acda85bd7p-5, 0x1.4898048841e02p-5, 0x1.42acee867c086p-5, 0x1.3cd9432181115p-5, 0x1.371cba3f4f113p-5, 0x1.31770c2fd8ceap-5, 0x1.2be7f1af6f3c9p-5, 0x1.266f23e900be2p-5, 0x1.210c5c7849494p-5, 0x1.1bbf556be4fb5p-5, 0x1.1687c94752242p-5, 0x1.11657304d2988p-5, 0x1.0c580e173c216p-5, 0x1.075f566bb4829p-5, 0x1.027b086b515bep-5, 0x1.fb55c1f94d994p-6, 0x1.f1dd3b0a7f259p-6, 0x1.e88bf7d60507dp-6, 0x1.df61752b024f7p-6, 0x1.d65d30de68c1ap-6, 0x1.cd7ea9cd50645p-6, 0x1.c4c55fdf1554bp-6, 0x1.bc30d40772199p-6, 0x1.b3c0884852e2cp-6, 0x1.ab73ffb3a3dc1p-6, 0x1.a34abe6cdf767p-6, 0x1.9b4449aa9ecep-6, 0x1.936027b7e2fd6p-6, 0x1.8b9ddff55a386p-6, 0x1.83fcfada7e328p-6, 0x1.7c7d01f6884cep-6, 0x1.751d7ff163a7cp-6, 0x1.6dde008c5ba65p-6, 0x1.66be10a2d0c7bp-6, 0x1.5fbd3e2ac8343p-6, 0x1.58db183553e2dp-6, 0x1.52172eeee9dadp-6, 0x1.4b71139fa70dcp-6, 0x1.44e858ab78278p-6, 0x1.3e7c91921f2fap-6, 0x1.382d52ef2f507p-6, 0x1.31fa3279e9a7dp-6, 0x1.2be2c70508803p-6, 0x1.25e6a87e756ep-6, 0x1.20056feee6cadp-6, 0x1.1a3eb7796b9a1p-6, 0x1.14921a5aeac29p-6, 0x1.0eff34e97db09p-6, 0x1.0985a493c827ap-6, 0x1.042507e0414ccp-6, 0x1.fdb9fcd8b19c1p-7, 0x1.f35a51d73f1cap-7, 0x1.e92a524da856ep-7, 0x1.df2943f5cb552p-7, 0x1.d5566eafc377dp-7, 0x1.cbb11c7fbc23cp-7, 0x1.c238998b8c8cfp-7, 0x1.b8ec341862fc2p-7, 0x1.afcb3c88176bp-7, 0x1.a6d50556ac91p-7, 0x1.9e08e3177c7fcp-7, 0x1.95662c7278f2bp-7, 0x1.8cec3a213a5d3p-7, 0x1.849a66ec0ef89p-7, 0x1.7c700fa6e3d21p-7, 0x1.746c932e1e5dep-7, 0x1.6c8f52637772ap-7, 0x1.64d7b02a9857cp-7, 0x1.5d451165ea7e9p-7, 0x1.55d6dcf301e66p-7, 0x1.4e8c7ba74ddf8p-7, 0x1.4765584c7da9ep-7, 0x1.4060df9cf00eap-7, 0x1.397e8040188f3p-7, 0x1.32bdaac6c86ebp-7, 0x1.2c1dd1a78a4f5p-7, 0x1.259e693ac2fb2p-7, 0x1.1f3ee7b6f1002p-7, 0x1.18fec52ce5d1ep-7, 0x1.12dd7b83c483fp-7, 0x1.0cda86752bb91p-7, 0x1.06f5638947a51p-7, 0x1.012d9212cd428p-7, 0x1.f70526560f5fcp-8, 0x1.ebe7d35b93a64p-8, 0x1.e102346ac7dbdp-8, 0x1.d653562d369d2p-8, 0x1.cbda48b9158fcp-8, 0x1.c1961f8928a9cp-8, 0x1.b785f1747b3fap-8, 0x1.ada8d8a6225d2p-8, 0x1.a3fdf29500856p-8, 0x1.9a845ffb76e03p-8, 0x1.913b44cf17869p-8, 0x1.8821c83853df9p-8, 0x1.7f37148a2afcp-8, 0x1.767a5739e6de2p-8, 0x1.6deac0d6af3fdp-8, 0x1.65878501476a9p-8, 0x1.5d4fda63b3915p-8, 0x1.5542faa8f6601p-8, 0x1.4d602274af4cfp-8, 0x1.45a6915ad9479p-8, 0x1.3e1589d783c79p-8, 0x1.36ac51469404cp-8, 0x1.2f6a2fdb74bb8p-8, 0x1.284e7098ffa54p-8, 0x1.2158614913e7cp-8, 0x1.1a875274a4fd1p-8, 0x1.13da975b75ba7p-8, 0x1.0d5185ebf1756p-8, 0x1.06eb76bb30813p-8, 0x1.00a7c4fcd19c8p-8, 0x1.f50b9cf61cf42p-9, 0x1.e909e71d52543p-9, 0x1.dd492e2e0777dp-9, 0x1.d1c83ce472001p-9, 0x1.c685e2ea99de1p-9, 0x1.bb80f4c873c24p-9, 0x1.b0b84bd4902a4p-9, 0x1.a62ac62481cf9p-9, 0x1.9bd7467d8563fp-9, 0x1.91bcb4454b144p-9, 0x1.87d9fb72bafafp-9, 0x1.7e2e0c7edac8ap-9, 0x1.74b7dc55e6178p-9, 0x1.6b7664485039ep-9, 0x1.6268a1fc0094ep-9, 0x1.598d975deabdfp-9, 0x1.50e44a93200c7p-9, 0x1.486bc5eaa7545p-9, 0x1.402317cee259p-9, 0x1.380952b7b3c8p-9, 0x1.301d8d1bf19e6p-9, 0x1.285ee163da837p-9, 0x1.20cc6ddad03d7p-9, 0x1.196554a1d0fccp-9, 0x1.1228bba1cee07p-9, 0x1.0b15cc7e173e7p-9, 0x1.042bb486f7476p-9, 0x1.fad34958f2e08p-10, 0x1.ed9da2e257bb9p-10, 0x1.e0b4e5ba54babp-10, 0x1.d41788e2553cfp-10, 0x1.c7c40a336aeb9p-10, 0x1.bbb8ee450f0f6p-10, 0x1.aff4c053cfa23p-10, 0x1.a4761228c2893p-10, 0x1.993b7c00d0463p-10, 0x1.8e439c7448f93p-10, 0x1.838d185f019c9p-10, 0x1.79169ac85e1e8p-10, 0x1.6eded4cbc66f7p-10, 0x1.64e47d81507cp-10, 0x1.5b2651e6aa535p-10, 0x1.51a314c83ffa9p-10, 0x1.48598eaad6575p-10, 0x1.3f488db4ce48ep-10, 0x1.366ee598b0847p-10, 0x1.2dcb6f7ebf7e1p-10, 0x1.255d09efbb907p-10, 0x1.1d2298bf5a951p-10, 0x1.151b04f763ddfp-10, 0x1.0d453cc2ef163p-10, 0x1.05a0335952a2ep-10, 0x1.fc55c1d4a7dp-11, 0x1.edc8851348d9bp-11, 0x1.df96b436e2896p-11, 0x1.d1be5c80a4813p-11, 0x1.c43d9484b8596p-11, 0x1.b7127c02ff2b2p-11, 0x1.aa3b3bc22615bp-11, 0x1.9db60569d5c1cp-11, 0x1.9181135e35039p-11, 0x1.859aa89ac093dp-11, 0x1.7a01108f95af1p-11, 0x1.6eb29efcc5e1dp-11, 0x1.63adafd03db47p-11, 0x1.58f0a702ef515p-11, 0x1.4e79f07652485p-11, 0x1.4447ffd38a705p-11, 0x1.3a5950697e89dp-11, 0x1.30ac650c8f3d3p-11, 0x1.273fc7f6067e2p-11, 0x1.1e120aa4b51f5p-11, 0x1.1521c5bc7846dp-11, 0x1.0c6d98e8e0135p-11, 0x1.03f42abca78d8p-11, 0x1.f768512aaa80ap-12, 0x1.e7588cf85f707p-12, 0x1.d7b67e13e1256p-12, 0x1.c87fa692612e1p-12, 0x1.b9b195340ba92p-12, 0x1.ab49e52c62d5dp-12, 0x1.9d463dea97f0bp-12, 0x1.8fa452e2b7489p-12, 0x1.8261e3589ecaep-12, 0x1.757cba29dc6fep-12, 0x1.68f2ad9ae623bp-12, 0x1.5cc19f21de552p-12, 0x1.50e77b35e4b28p-12, 0x1.4562391b47f6bp-12, 0x1.3a2fdab38649ep-12, 0x1.2f4e6c4c77b6ap-12, 0x1.24bc047066dd2p-12, 0x1.1a76c3b7288cbp-12, 0x1.107cd4981a673p-12, 0x1.06cc6b3bb4fa5p-12, 0x1.fac78a9f8caf8p-13, 0x1.e88253b43eebp-13, 0x1.d6c5d21b7104dp-13, 0x1.c58eb83f73842p-13, 0x1.b4d9ca3997217p-13, 0x1.a4a3dd80d6d56p-13, 0x1.94e9d89639562p-13, 0x1.85a8b2b5d5bbp-13, 0x1.76dd73860e8f7p-13, 0x1.688532caa815fp-13, 0x1.5a9d1818dd72dp-13, 0x1.4d225a88e282dp-13, 0x1.4012406eff402p-13, 0x1.336a1f1020532p-13, 0x1.27275a5b2c1c6p-13, 0x1.1b4764a110c92p-13, 0x1.0fc7be50a0151p-13, 0x1.04a5f5b0f3727p-13, 0x1.f3bf4d3c24eaep-14, 0x1.dee4f48f7b928p-14, 0x1.cab84ddd1c9bcp-14, 0x1.b734df4b1a0c6p-14, 0x1.a4564824d3e26p-14, 0x1.9218405e982b6p-14, 0x1.8076981bf3fafp-14, 0x1.6f6d373a6287bp-14, 0x1.5ef81cd5c3d04p-14, 0x1.4f135edb3988ep-14, 0x1.3fbb29920a50ap-14, 0x1.30ebbf2e7d5c4p-14, 0x1.22a17763b0619p-14, 0x1.14d8bef64aba3p-14, 0x1.078e175225d94p-14, 0x1.f57c2c46d25d1p-15, 0x1.dccac9dd322aap-15, 0x1.c501815818cadp-15, 0x1.ae19f2c88bccep-15, 0x1.980de39f57ddp-15, 0x1.82d73ded1414ep-15, 0x1.6e700fa2053c4p-15, 0x1.5ad289de5fe7cp-15, 0x1.47f9003074e44p-15, 0x1.35dde7ee3778dp-15, 0x1.247bd77fff27dp-15, 0x1.13cd85b2c1d8cp-15, 0x1.03cdc916bf50ap-15, 0x1.e8ef2e9ff9ebap-16, 0x1.cb8c08f7d5058p-16, 0x1.af688515be8bp-16, 0x1.947b414f0033p-16, 0x1.7abb153351908p-16, 0x1.621f1060d40b6p-16, 0x1.4a9e79594905p-16, 0x1.3430cc60e57ap-16, 0x1.1ecdba592218dp-16, 0x1.0a6d27ada10c4p-16, 0x1.ee0e567e3df0dp-17, 0x1.c9281a9a9020cp-17, 0x1.a6188cf70892p-17, 0x1.84d0fd74adf44p-17, 0x1.654318a5cd5fcp-17, 0x1.4760e5ccd62b6p-17, 0x1.2b1cc4f541d3p-17, 0x1.10696d0250b79p-17, 0x1.ee73d3cfc1e8cp-18, 0x1.bf0335875b815p-18, 0x1.9268603e5442bp-18, 0x1.688b545e0f17bp-18, 0x1.4154ae260e158p-18, 0x1.1cada25ea2dccp-18, 0x1.f4fff5e1db3b1p-19, 0x1.b56c278aa602p-19, 0x1.7a75af14889a9p-19, 0x1.43f378f279589p-19, 0x1.11bd82dda55c1p-19, 0x1.c759ab31b4a7dp-20, 0x1.7336fe8ec3814p-20, 0x1.26c91a996d0b4p-20, 0x1.c3901c08484bdp-21, 0x1.47db9faa203c6p-21, 0x1.b3d8d223d728p-22, 0x1.e4f71de2b6da4p-23, 0x1.2a74d5339f04dp-24, -0x1.12f60b1bfe6eep-24, -0x1.79121fb71e7p-23, -0x1.1db340ce58a35p-22, -0x1.692361586309ap-22, -0x1.9fba60faaedc6p-22, -0x1.c252f7f31f07ep-22, -0x1.d1c1cbe7e05c9p-22, -0x1.ced5924ed4f7fp-22, -0x1.ba57358d0f89cp-22, -0x1.9509f4f26676bp-22, -0x1.5fab87f1f3de2p-22, -0x1.1af43df4b7c21p-22, -0x1.8f2e3e9de4fep-23, -0x1.99082fbe9c411p-24, 0x1.0c449ab138828p-27, 0x1.07630d495fee6p-23, 0x1.0b0cf9ff34a3ep-22, 0x1.9dda0f8ec52ecp-22, 0x1.1dc175ea611dfp-21, 0x1.71bb154821b69p-21, 0x1.ca936242a180bp-21, 0x1.1402fcf4e625p-20, 0x1.44e846901fd6ap-20, 0x1.77d96a0761707p-20, 0x1.acb7406b67aeap-20, 0x1.e3639a2c51a66p-20, 0x1.0de09c44338dbp-19, 0x1.2ad9e41a36578p-19, 0x1.488fed92e611cp-19, 0x1.66f5719eb8d2p-19, 0x1.85fd964e43229p-19, 0x1.a59bec21e0077p-19, 0x1.c5c46b73a29d4p-19, 0x1.e66b71c73aa54p-19, 0x1.03c2dfab739ccp-18, 0x1.14843a4d2b1b4p-18, 0x1.257487e421178p-18, 0x1.368eb545d0166p-18, 0x1.47cddbd22ab4bp-18, 0x1.592d40557d65ap-18, 0x1.6aa851ea5d739p-18, 0x1.7c3aa8e5faa37p-18, 0x1.8de005be89142p-18, 0x1.9f9450164531fp-18, 0x1.b153959da9e9p-18, 0x1.c31a092ae010dp-18, 0x1.d4e401b3328f4p-18, 0x1.e6adf96014aa3p-18, 0x1.f8748c9ba88p-18, 0x1.051a3c95af372p-17, 0x1.0df54ea684d6ep-17, 0x1.16c9fb6c462aap-17, 0x1.1f96d13089e8fp-17, 0x1.285a6d3573175p-17, 0x1.31137b499a7e3p-17, 0x1.39c0b564b8619p-17, 0x1.4260e3434a195p-17, 0x1.4af2da0820b9dp-17, 0x1.53757bd99c368p-17, 0x1.5be7b7897ababp-17, 0x1.64488836c64b3p-17, 0x1.6c96f4fa11968p-17, 0x1.74d21087a28c3p-17, 0x1.7cf8f8e48783cp-17, 0x1.850ad70de8c57p-17, 0x1.8d06dea91b108p-17, 0x1.94ec4db854336p-17, 0x1.9cba6c4a7130ep-17, 0x1.a4708c3279fa2p-17, 0x1.ac0e08bd0a2bfp-17, 0x1.b3924668cf8b9p-17, 0x1.bafcb2a2eae91p-17, 0x1.c24cc37fbddffp-17, 0x1.c981f77ba2d9fp-17, 0x1.d09bd5372ccbdp-17, 0x1.d799eb3906a81p-17, 0x1.de7bcfb11e489p-17, 0x1.e541203af1683p-17, 0x1.ebe981a33fa06p-17, 0x1.f2749fae736d1p-17, 0x1.f8e22cdfeee4ep-17, 0x1.ff31e246cb79dp-17, 0x1.02b1bfa1282cep-16, 0x1.05bb64a9a3a44p-16, 0x1.08b5c5f40b52bp-16, 0x1.0ba0cc149783p-16, 0x1.0e7c6265298c5p-16, 0x1.114876ee5332ep-16, 0x1.1404fa4f28e92p-16, 0x1.16b1dfa79f768p-16, 0x1.194f1c82f75p-16, 0x1.1bdca8c1d6835p-16, 0x1.1e5a7e85a0682p-16, 0x1.20c89a1d2226fp-16, 0x1.2326f9ef60c92p-16, 0x1.25759e6a575efp-16, 0x1.27b489ee7b5e2p-16, 0x1.29e3c0bdc7298p-16, 0x1.2c0348e917da9p-16, 0x1.2e132a3fce62ap-16, 0x1.30136e3e38aa3p-16, 0x1.32041ffdc4f8ep-16, 0x1.33e54c24af56cp-16, 0x1.35b700d64921dp-16, 0x1.37794da4f6071p-16, 0x1.392c438221726p-16, 0x1.3acff4b07af0fp-16, 0x1.3c6474b618a29p-16, 0x1.3de9d84ef9812p-16, 0x1.3f60355fbfdccp-16, 0x1.40c7a2e885102p-16, 0x1.422038f926114p-16, 0x1.436a10a44825cp-16, 0x1.44a543f442899p-16, 0x1.45d1eddeb9bcep-16, 0x1.46f02a3aea3fcp-16, 0x1.480015b549a3ep-16, 0x1.4901cdc5f6c08p-16, 0x1.49f570a618cdbp-16, 0x1.4adb1d46429fap-16, 0x1.4bb2f34471013p-16, 0x1.4c7d12e2a2898p-16, 0x1.4d399cfe10dabp-16, 0x1.4de8b30601648p-16, 0x1.4e8a76f37d74fp-16, 0x1.4f1f0b40c5d51p-16, 0x1.4fa692e17cb34p-16, 0x1.5021313a475d8p-16, 0x1.508f0a19b5af6p-16, 0x1.50f041b0c1bbep-16, 0x1.5144fc8ba19d4p-16, 0x1.518d5f8aa6f54p-16, 0x1.51c98fdbb730dp-16, 0x1.51f9b2f3f35a7p-16, 0x1.521dee88dfa95p-16, 0x1.5236688ac81e1p-16, 0x1.5243471ea7062p-16, 0x1.5244b0985b7a7p-16, 0x1.523acb7527ed1p-16, 0x1.5225be5670d8cp-16, 0x1.5205affc2a034p-16, 0x1.51dac7406a76dp-16, 0x1.51a52b11ded05p-16, 0x1.5165026fcf126p-16, 0x1.511a746500a3ap-16, 0x1.50c5a803791f2p-16, 0x1.5066c460a6053p-16, 0x1.4ffdf090a8a6fp-16, 0x1.4f8b53a2da131p-16, 0x1.4f0f149dae534p-16, 0x1.4e895a7b787b2p-16, 0x1.4dfa4c265519ap-16, 0x1.4d6210751f48p-16, 0x1.4cc0ce280dcf7p-16, 0x1.4c16abe5af6c7p-16, 0x1.4b63d037781a1p-16, 0x1.4aa861874585ep-16, 0x1.49e4861c8ae1fp-16, 0x1.491864190f301p-16, 0x1.4844217709c05p-16, 0x1.4767e40631e8dp-16, 0x1.4683d169ae1e9p-16, 0x1.45980f1565406p-16, 0x1.44a4c24c13278p-16, 0x1.43aa101d38799p-16, 0x1.42a81d62cb105p-16, 0x1.419f0ebf97a55p-16, 0x1.408f089d802dbp-16, 0x1.3f782f2b4bf79p-16, 0x1.3e5aa65b45239p-16, 0x1.3d3691e1a2f5dp-16, 0x1.3c0c1533079bap-16, 0x1.3adb5383046ccp-16, 0x1.39a46fc2a10f4p-16, 0x1.38678c9f1f22p-16, 0x1.3724cc810314ap-16, 0x1.35dc518a99217p-16, 0x1.348e3d96db8edp-16, 0x1.333ab238a1b78p-16, 0x1.31e1d0b96c5b2p-16, 0x1.3083ba18b2ea1p-16, 0x1.2f208f0af44aap-16, 0x1.2db86ff8d54e7p-16, 0x1.2c4b7cfe5b426p-16, 0x1.2ad9d5ea7acd7p-16, 0x1.29639a3e20c8p-16, 0x1.27e8e92bd7715p-16, 0x1.2669e19725bf1p-16, 0x1.24e6a21406749p-16, 0x1.235f48e68ec8ep-16, 0x1.21d3f4026a893p-16, 0x1.2044c10a6e91cp-16, 0x1.1eb1cd5064ec5p-16, 0x1.1d1b35d4e5e6cp-16, 0x1.1b811746d4ee4p-16, 0x1.19e38e0321de3p-16, 0x1.1842b614d76a1p-16, 0x1.169eab34f5a49p-16, 0x1.14f788ca1f227p-16, 0x1.134d69e8ae97fp-16, 0x1.11a06952aeec1p-16, 0x1.0ff0a177b678bp-16, 0x1.0e3e2c7506beep-16, 0x1.0c8924157610ap-16, 0x1.0ad1a1d1dc5f8p-16, 0x1.0917bed0c9043p-16, 0x1.075b93e6b5e8p-16, 0x1.059d39962b8c1p-16, 0x1.03dcc810414c8p-16, 0x1.021a57346d195p-16, 0x1.0055fe90dcd04p-16, 0x1.fd1faac53a4b8p-17, 0x1.f98fe52bf5d94p-17, 0x1.f5fcd98d91f5ep-17, 0x1.f266b4813ad3cp-17, 0x1.eecda1fe27c19p-17, 0x1.eb31cd5c8330fp-17, 0x1.e79361561bf9p-17, 0x1.e3f28806fb382p-17, 0x1.e04f6aee24p-17, 0x1.dcaa32ee79eb3p-17, 0x1.d903084f5cc21p-17, 0x1.d55a12bdb3182p-17, 0x1.d1af794d0d685p-17, 0x1.ce036277d2c25p-17, 0x1.ca55f420b32adp-17, 0x1.c6a7539396d6ap-17, 0x1.c2f7a5867656ep-17, 0x1.bf470e1a3fbdcp-17, 0x1.bb95b0dbb03b9p-17, 0x1.b7e3b0c4d3779p-17, 0x1.b431303df5acep-17, 0x1.b07e511e3c6dap-17, 0x1.accb34ad35d5ep-17, 0x1.a917fba39b1a1p-17, 0x1.a564c62c93581p-17, 0x1.a1b1b3e6c1162p-17, 0x1.9dfee3e56f767p-17, 0x1.9a4c74b17e905p-17, 0x1.969a844af866dp-17, 0x1.92e93029e7a43p-17, 0x1.8f38953f73822p-17, 0x1.8b88cff6d91bp-17, 0x1.87d9fc375c9d3p-17, 0x1.842c3564d0c23p-17, 0x1.807f9660d26bdp-17, 0x1.7cd4398c64cf8p-17, 0x1.792a38c8be1aep-17, 0x1.7581ad78945cp-17, 0x1.71dab08133a58p-17, 0x1.6e355a4c32ba1p-17, 0x1.6a91c2c82cf5p-17, 0x1.66f0016a4031cp-17, 0x1.63502d2f0a70ep-17, 0x1.5fb25c9beca9p-17, 0x1.5c16a5c07310dp-17, 0x1.587d1e37950ebp-17, 0x1.54e5db28c2b71p-17, 0x1.5150f1492d623p-17, 0x1.4dbe74dcfca75p-17, 0x1.4a2e79b88f986p-17, 0x1.46a11341ba19bp-17, 0x1.43165470da28bp-17, 0x1.3f8e4fd290da3p-17, 0x1.3c09178850299p-17, 0x1.3886bd49cc56cp-17, 0x1.350752664b8b3p-17, 0x1.318ae7c60d8fdp-17, 0x1.2e118deb1b9dcp-17, 0x1.2a9b54f2ccc2p-17, 0x1.27284c96a767fp-17, 0x1.23b8842dd08ddp-17, 0x1.204c0aae4c6ccp-17, 0x1.1ce2eeadf7caap-17, 0x1.197d3e63f291fp-17, 0x1.161b07a95a043p-17, 0x1.12bc57faf95c3p-17, 0x1.0f613c7a5d35ap-17, 0x1.0c09c1eed3c96p-17, 0x1.08b5f4c699b2ap-17, 0x1.0565e117fb2bbp-17, 0x1.021992a28ca45p-17, 0x1.fda229a08c2c2p-18, 0x1.f718e56d5b3f9p-18, 0x1.f0976e3029701p-18, 0x1.ea1dd8c89a5ebp-18, 0x1.e3ac397441cb4p-18, 0x1.dd42a3d0cc1dcp-18, 0x1.d6e12ade3355p-18, 0x1.d087e100aabfp-18, 0x1.ca36d802335c6p-18, 0x1.c3ee211659aa3p-18, 0x1.bdadccdb2449bp-18, 0x1.b775eb5ba72f4p-18, 0x1.b1468c118e388p-18, 0x1.ab1fbde7e486bp-18, 0x1.a5018f3d03acep-18, 0x1.9eec0de439f18p-18, 0x1.98df4727e99f3p-18, 0x1.92db47cbdcca1p-18, 0x1.8ce01c0f7635bp-18, 0x1.86edcfaf46deep-18, 0x1.81046de6ca25bp-18, 0x1.7b240172cade1p-18, 0x1.754c94932d4fep-18, 0x1.6f7e310d04702p-18, 0x1.69b8e02c635f7p-18, 0x1.63fcaac64485dp-18, 0x1.5e499939f0ff2p-18, 0x1.589fb373a27cdp-18, 0x1.52ff00ee05cabp-18, 0x1.4d6788b3ce9dep-18, 0x1.47d95161baa6bp-18, 0x1.425461287177ap-18, 0x1.3cd8bdce82fa3p-18, 0x1.37666cb1745a2p-18, 0x1.31fd72c7b86cbp-18, 0x1.2c9dd4a2dd6a8p-18, 0x1.2747967121e5ep-18, 0x1.21fabbfe8575ep-18, 0x1.1cb748b70a52fp-18, 0x1.177d3fa8aa48dp-18, 0x1.124ca383f6ae7p-18, 0x1.0d25769e03d4ap-18, 0x1.0807baf2dba2cp-18, 0x1.02f37226806bfp-18, 0x1.fbd13b0c8be32p-19, 0x1.f1ce7c14425b1p-19, 0x1.e7dea8ae56b93p-19, 0x1.de01c180f04cdp-19, 0x1.d437c6916707p-19, 0x1.ca80b7478f6aap-19, 0x1.c0dc926f403ccp-19, 0x1.b74b563d2d5dep-19, 0x1.adcd00511f9a3p-19, 0x1.a4618db833f8ap-19, 0x1.9b08faefc3f09p-19, 0x1.91c343e928ae1p-19, 0x1.8890640b4fbedp-19, 0x1.7f70563529124p-19, 0x1.766314c23dcd8p-19, 0x1.6d68998be4b32p-19, 0x1.6480ddeb7a878p-19, 0x1.5babdabe0bf73p-19, 0x1.52e9886648ce4p-19, 0x1.4a39decf0a2e8p-19, 0x1.419cd56dda80cp-19, 0x1.3912634675da4p-19, 0x1.309a7eeb2886cp-19, 0x1.28351e8001081p-19, 0x1.1fe237be31ee2p-19, 0x1.17a1bff673287p-19, 0x1.0f73ac10b1522p-19, 0x1.0757f0913ddcp-19, 0x1.fe9d0333dd67ep-20, 0x1.eeaea5d8be9d6p-20, 0x1.dee4afd856b3cp-20, 0x1.cf3f0740ae0b8p-20, 0x1.bfbd916e6ae6ap-20, 0x1.b060330da4649p-20, 0x1.a126d020d2024p-20, 0x1.92114c00bdc3dp-20, 0x1.831f8966289cfp-20, 0x1.74516a688b145p-20, 0x1.65a6d0857b83ep-20, 0x1.571f9ca400f4p-20, 0x1.48bbaf163c88fp-20, 0x1.3a7ae79f3e8b9p-20, 0x1.2c5d2576df017p-20, 0x1.1e62474c0ad18p-20, 0x1.108a2b49ef521p-20, 0x1.02d4af1ab2c35p-20, 0x1.ea835fd321235p-21, 0x1.cfa214d0d1777p-21, 0x1.b50535a90d379p-21, 0x1.9aac79eb3aff4p-21, 0x1.809798469c831p-21, 0x1.66c64694fa108p-21, 0x1.4d3839dac9fc8p-21, 0x1.33ed2651b0c9ep-21, 0x1.1ae4bf6948285p-21, 0x1.021eb7d71472p-21, 0x1.d335832373775p-22, 0x1.a2b11bbb25df3p-22, 0x1.72af9aa2674c6p-22, 0x1.43305fb617ab7p-22, 0x1.1432c98dc38cfp-22, 0x1.cb6c6b0a0821ep-23, 0x1.6f73ff96bd714p-23, 0x1.147b06d61d3e2p-23, 0x1.7500695a4ce9bp-24, 0x1.8608eb86bbc3p-25, 0x1.2ff92656cb7a1p-28, -0x1.3621ca627e769p-25, -0x1.472f99243f6bep-24, -0x1.f15f353a305cap-24, -0x1.4cd1344c4fb81p-23, -0x1.9ffdf2e5f797p-23, -0x1.f2373135f8b4dp-23, -0x1.21bf25c316795p-22, -0x1.49ea4fcbba99p-22, -0x1.719dc642a595bp-22, -0x1.98da3953126bdp-22, -0x1.bfa059cbe71b1p-22, -0x1.e5f0d90d0c537p-22, -0x1.05e63480cfc95p-21, -0x1.1899de099e564p-21, -0x1.2b13c297f6713p-21, -0x1.3d543bd6518c7p-21, -0x1.4f5ba3a941198p-21, -0x1.612a542405b8cp-21, -0x1.72c0a78944774p-21, -0x1.841ef8443198p-21, -0x1.9545a0e7a8262p-21, -0x1.a634fc28c7c16p-21, -0x1.b6ed64dc0bd41p-21, -0x1.c76f35f059354p-21, -0x1.d7baca6f9743cp-21, -0x1.e7d07d75fefe3p-21, -0x1.f7b0aa33e91ap-21, -0x1.03add5f2f9154p-20, -0x1.0b68eeeb20914p-20, -0x1.1309cda9fac6bp-20, -0x1.1a909fdc4dc1dp-20, -0x1.21fd932d5c683p-20, -0x1.2950d5495c502p-20, -0x1.308a93da212a9p-20, -0x1.37aafc87d8b06p-20, -0x1.3eb23cf3526c9p-20, -0x1.45a082b9d2907p-20, -0x1.4c75fb7096cc2p-20, -0x1.5332d4a3cf702p-20, -0x1.59d73bd6637a2p-20, -0x1.60635e802369ap-20, -0x1.66d76a0badaeep-20, -0x1.6d338bd7bab52p-20, -0x1.7377f13283c11p-20, -0x1.79a4c75bb18bp-20, -0x1.7fba3b810bb1fp-20, -0x1.85b87abefc2acp-20, -0x1.8b9fb21e4590bp-20, -0x1.91700e9362e42p-20, -0x1.9729bcfe3b729p-20, -0x1.9cccea274da6bp-20, -0x1.a259c2c0d7556p-20, -0x1.a7d07364864bp-20, -0x1.ad3128925dd3cp-20, -0x1.b27c0eb0f99acp-20, -0x1.b7b1520b7a2a5p-20, -0x1.bcd11ed10f538p-20, -0x1.c1dba114c7c13p-20, -0x1.c6d104cb0c7d1p-20, -0x1.cbb175cabb666p-20, -0x1.d07d1fcabe622p-20, -0x1.d5342e632a6e9p-20, -0x1.d9d6cd0902bd5p-20, -0x1.de65271233e22p-20, -0x1.e2df67b120bc6p-20, -0x1.e745b9f52271p-20, -0x1.eb9848ca44644p-20, -0x1.efd73ef83c355p-20, -0x1.f402c721844f7p-20, -0x1.f81b0bc2c7305p-20, -0x1.fc203732a5c22p-20, -0x1.000939d08005cp-19, -0x1.01f8f58ae9e6ap-19, -0x1.03df63b89911p-19, -0x1.05bc99356ab63p-19, -0x1.0790aac8762ep-19, -0x1.095bad242dd2p-19, -0x1.0b1db4e552fp-19, -0x1.0cd6d6948b9e1p-19, -0x1.0e8726a32781ap-19, -0x1.102eb96e8a4d9p-19, -0x1.11cda33c44c03p-19, -0x1.1363f83cf3a03p-19, -0x1.14f1cc89ecd46p-19, -0x1.167734263d081p-19, -0x1.17f442fdbc793p-19, -0x1.19690ce570f77p-19, -0x1.1ad5a59b05458p-19, -0x1.1c3a20c46719ap-19, -0x1.1d9691f0830a6p-19, -0x1.1eeb0c958f064p-19, -0x1.2037a412ddd62p-19, -0x1.217c6bae8c34fp-19, -0x1.22b976975b3cep-19, -0x1.23eed7e30b031p-19, -0x1.251ca28f1e969p-19, -0x1.2642e98039709p-19, }}, 
      {{0x1.ff9967ed9dd97p-1, 0x1.fe7adb1cb51a1p-1, 0x1.fcd1fb5ef33b7p-1, 0x1.facab31e09b88p-1, 0x1.f8828155a1128p-1, 0x1.f6072957ebcd5p-1, 0x1.f35b190441638p-1, 0x1.f07b1807163c6p-1, 0x1.ed62e90d2dc9cp-1, 0x1.ea10251eea00ap-1, 0x1.e6837762a5e54p-1, 0x1.e2c0aea2fd98cp-1, 0x1.dece1e2920061p-1, 0x1.dab3af134971p-1, 0x1.d679e58ebe405p-1, 0x1.d229034b51cf2p-1, 0x1.cdc85c7153087p-1, 0x1.c95de626386eap-1, 0x1.c4edfc51a16ebp-1, 0x1.c07b56d13da2cp-1, 0x1.bc0723a7e966fp-1, 0x1.b7913b1ab8d3bp-1, 0x1.b3186368f628bp-1, 0x1.ae9a9b4a0d60cp-1, 0x1.aa156431b6dbbp-1, 0x1.a586073b7f6ffp-1, 0x1.a0e9d15a9a49p-1, 0x1.9c3e44e6cbe29p-1, 0x1.97813fd019722p-1, 0x1.92b116a88a1a8p-1, 0x1.8dcca55408ac4p-1, 0x1.88d3569442384p-1, 0x1.83c523dc8e793p-1, 0x1.7ea28eeb7eca7p-1, 0x1.796c969ec9c06p-1, 0x1.7424a85b71f3dp-1, 0x1.6ecc8f3e4687dp-1, 0x1.6966621d90a39p-1, 0x1.63f47137fdfe2p-1, 0x1.5e79344152cffp-1, 0x1.58f7395518a2ap-1, 0x1.537115335c9dep-1, 0x1.4de9550c21ef7p-1, 0x1.48627203a25fep-1, 0x1.42dec68385c01p-1, 0x1.3d60855ba8ba2p-1, 0x1.37e9b2a74a7dfp-1, 0x1.327c1e612a262p-1, 0x1.2d196089a514ep-1, 0x1.27c2d6bceb70dp-1, 0x1.2279a3144ea4ep-1, 0x1.1d3eac2c54f71p-1, 0x1.18129e290650dp-1, 0x1.12f5ec92cacd1p-1, 0x1.0de8d4e7bd09bp-1, 0x1.08eb61bf6b002p-1, 0x1.03fd6e617668p-1, 0x1.fe3d55645c0c5p-2, 0x1.f49d3eb60d3b6p-2, 0x1.eb19642f487acp-2, 0x1.e1b05425dce5cp-2, 0x1.d8606884aba1dp-2, 0x1.cf27cf5ff44afp-2, 0x1.c604934da3d62p-2, 0x1.bcf4a36c3d11bp-2, 0x1.b3f5db0725ad6p-2, 0x1.ab0608cac94b9p-2, 0x1.a222f57e6bccfp-2, 0x1.994a6a3c7ff8fp-2, 0x1.907a3624f96dbp-2, 0x1.87b033876ad9ap-2, 0x1.7eea4c84bb46dp-2, 0x1.76267f29fac77p-2, 0x1.6d62e10747036p-2, 0x1.649da246edb3cp-2, 0x1.5bd51049ee4d4p-2, 0x1.530797cfb705dp-2, 0x1.4a33c6afa5597p-2, 0x1.41584d2b223bap-2, 0x1.3873fedf958a5p-2, 0x1.2f85d35f7a684p-2, 0x1.268ce679ff228p-2, 0x1.1d8878387ffecp-2, 0x1.1477ec9917352p-2, 0x1.0b5acb0d463eap-2, 0x1.0230bdc381b35p-2, 0x1.f1f3218440c01p-3, 0x1.df6a61b3b2b8dp-3, 0x1.ccc754eb66ea1p-3, 0x1.ba0a509bad8cfp-3, 0x1.a733e404d44b8p-3, 0x1.9444d54678cd1p-3, 0x1.813e1e512a8dp-3, 0x1.6e20e9c2818c1p-3, 0x1.5aee8fb2dca2ep-3, 0x1.47a8927b829d7p-3, 0x1.34509b7b199bcp-3, 0x1.20e877ddb5a38p-3, 0x1.0d72156d4f994p-3, 0x1.f3defedd7c00bp-4, 0x1.ccc5b71d8ba4bp-4, 0x1.a59ccdc4d40eap-4, 0x1.7e68e5fa33222p-4, 0x1.572ec63dd1291p-4, 0x1.2ff352f95bdd7p-4, 0x1.08bb8946ea73dp-4, 0x1.c318f3e175eabp-5, 0x1.74d68956e5498p-5, 0x1.26ba2717f6ddep-5, 0x1.b19c5ae65bb67p-6, 0x1.163a017136bdfp-6, 0x1.ed880c7962158p-8, -0x1.ed6f47d524f99p-10, -0x1.70b8ba027c961p-7, -0x1.5119ddd582767p-6, -0x1.e8fb59dcf38c6p-6, -0x1.3ff67d2598a0cp-5, -0x1.8aed9c5269b22p-5, -0x1.d55973f859badp-5, -0x1.0f984f48580b8p-4, -0x1.3434f5afa5de9p-4, -0x1.587e30f58af71p-4, -0x1.7c6fa28f19fa6p-4, -0x1.a0050b08e861bp-4, -0x1.c33a4b44d2273p-4, -0x1.e60b6591739c3p-4, -0x1.043a3f4eb8e5fp-3, -0x1.1538ef242e48dp-3, -0x1.25fff8298adedp-3, -0x1.368da278d8e2dp-3, -0x1.46e048a035f4ep-3, -0x1.56f657cebe3bfp-3, -0x1.66ce4ff4cfedfp-3, -0x1.7666c3d85b8fcp-3, -0x1.85be591e213a6p-3, -0x1.94d3c84884a84p-3, -0x1.a3a5dcacc4fedp-3, -0x1.b233745f394afp-3, -0x1.c07b8017435fdp-3, -0x1.ce7d030b8b1b2p-3, -0x1.dc3712c731fb7p-3, -0x1.e9a8d6f872427p-3, -0x1.f6d1893952869p-3, -0x1.01d83a69688c3p-2, -0x1.08227b3d9024fp-2, -0x1.0e473e07a323p-2, -0x1.144642245b00cp-2, -0x1.1a1f4f3794421p-2, -0x1.1fd2350392af9p-2, -0x1.255ecb3ecae63p-2, -0x1.2ac4f1685f683p-2, -0x1.30048e9b706aap-2, -0x1.351d91617557cp-2, -0x1.3a0fef83ad398p-2, -0x1.3edba5dbde561p-2, -0x1.4380b82473f3dp-2, -0x1.47ff30c8239b7p-2, -0x1.4c5720b12a1e2p-2, -0x1.50889f1846a37p-2, -0x1.5493c9537cfb1p-2, -0x1.5878c2a4c7a88p-2, -0x1.5c37b408bafbp-2, -0x1.5fd0cc054137p-2, -0x1.63443e786e7f5p-2, -0x1.669244678b479p-2, -0x1.69bb1bce5e8c5p-2, -0x1.6cbf076ec7a5cp-2, -0x1.6f9e4ea0b719ep-2, -0x1.72593d22916d2p-2, -0x1.74f022ea060e1p-2, -0x1.776353f5647b9p-2, -0x1.79b3281d80c9fp-2, -0x1.7bdffae827191p-2, -0x1.7dea2b5b2aba7p-2, -0x1.7fd21bd01b264p-2, -0x1.819831c89cfc4p-2, -0x1.833cd5c37918ep-2, -0x1.84c073125b261p-2, -0x1.862377b05300dp-2, -0x1.876654190d14fp-2, -0x1.88897b20d3b5ep-2, -0x1.898d61cd55802p-2, -0x1.8a727f2f34b84p-2, -0x1.8b394c3c67213p-2, -0x1.8be243ab61748p-2, -0x1.8c6de1cf18989p-2, -0x1.8cdca473cfc9fp-2, -0x1.8d2f0abcc15a7p-2, -0x1.8d65950297768p-2, -0x1.8d80c4b2bcdcdp-2, -0x1.8d811c2f8516cp-2, -0x1.8d671eb12ae03p-2, -0x1.8d335027a13a3p-2, -0x1.8ce6351d3f82ep-2, -0x1.8c80529a3e766p-2, -0x1.8c022e090bcefp-2, -0x1.8b6c4d1b71713p-2, -0x1.8abf35b08df15p-2, -0x1.89fb6dbb9e71p-2, -0x1.89217b2b98841p-2, -0x1.8831e3d390278p-2, -0x1.872d2d53e878p-2, -0x1.8613dd04515bap-2, -0x1.84e677de8aa44p-2, -0x1.83a58269ed1bdp-2, -0x1.825180a7b5f4fp-2, -0x1.80eaf60012de3p-2, -0x1.7f72652fedd69p-2, -0x1.7de850376f86cp-2, -0x1.7c4d38493e47ap-2, -0x1.7aa19dba72cc4p-2, -0x1.78e5fff33d289p-2, -0x1.771add603b15ep-2, -0x1.7540b3647b7f8p-2, -0x1.7357fe4c2b633p-2, -0x1.7161393fe64c4p-2, -0x1.6f5cde38afb1fp-2, -0x1.6d4b65f488e75p-2, -0x1.6b2d47eba47ebp-2, -0x1.6902fa4634ed2p-2, -0x1.66ccf1d2d0462p-2, -0x1.648ba1fd67bd6p-2, -0x1.623f7cc6cf6a4p-2, -0x1.5fe8f2bcd094cp-2, -0x1.5d8872f2c7de8p-2, -0x1.5b1e6afac7cd1p-2, -0x1.58ab46df3f456p-2, -0x1.562f711d1eb12p-2, -0x1.53ab529e7767fp-2, -0x1.511f52b598e18p-2, -0x1.4e8bd7189afap-2, -0x1.4bf143dd62ebp-2, -0x1.494ffb7611d22p-2, -0x1.46a85eade0baap-2, -0x1.43facca665c3ap-2, -0x1.4147a2d53dfe1p-2, -0x1.3e8f3d02179b4p-2, -0x1.3bd1f5451e9ffp-2, -0x1.39102405c4a19p-2, -0x1.364a1ff9ddd57p-2, -0x1.33803e2518ba6p-2, -0x1.30b2d1d8c71e8p-2, -0x1.2de22cb3f56ecp-2, -0x1.2b0e9ea3d3d3cp-2, -0x1.283875e46309cp-2, -0x1.255fff016ff22p-2, -0x1.228584d7ccb78p-2, -0x1.1fa95096d1a1bp-2, -0x1.1ccba9c21b0c7p-2, -0x1.19ecd63382bcep-2, -0x1.170d1a1d56599p-2, -0x1.142cb80cc319fp-2, -0x1.114bf0ec77feap-2, -0x1.0e6b04077b0e6p-2, -0x1.0b8a2f0c2cc0dp-2, -0x1.08a9ae0f7bca6p-2, -0x1.05c9bb904401cp-2, -0x1.02ea907ad54bp-2, -0x1.000c642ca3da9p-2, -0x1.fa5ed8f039104p-3, -0x1.f4a7bb513b459p-3, -0x1.eef3d50d1a791p-3, -0x1.e94388b7270cbp-3, -0x1.e39735ede0e13p-3, -0x1.ddef3963d1362p-3, -0x1.d84bece8a5a05p-3, -0x1.d2ada7726e308p-3, -0x1.cd14bd270e9d7p-3, -0x1.c7817f65d1bd1p-3, -0x1.c1f43cd12b9bp-3, -0x1.bc6d415893502p-3, -0x1.b6ecd64282ac1p-3, -0x1.b17342368f611p-3, -0x1.ac00c9479a2dbp-3, -0x1.a695acfe1db09p-3, -0x1.a1322c6282839p-3, -0x1.9bd68407905dbp-3, -0x1.9682ee14eaa45p-3, -0x1.9137a25190815p-3, -0x1.8bf4d62e759a2p-3, -0x1.86babcd110388p-3, -0x1.8189871dff338p-3, -0x1.7c6163c3a002dp-3, -0x1.77427f44b588ep-3, -0x1.722d0403028cp-3, -0x1.6d211a49e6d3dp-3, -0x1.681ee858f45b2p-3, -0x1.6326926e7f3b7p-3, -0x1.5e383ad2276fep-3, -0x1.595401df51e1fp-3, -0x1.547a060f9c2e9p-3, -0x1.4faa640544fcfp-3, -0x1.4ae536957bb3p-3, -0x1.462a96d2ad876p-3, -0x1.417a9c16b66d3p-3, -0x1.3cd55c0d0a151p-3, -0x1.383aeabcbd442p-3, -0x1.33ab5a92873fep-3, -0x1.2f26bc6aa5525p-3, -0x1.2aad1f9aaaf3dp-3, -0x1.263e91fb39546p-3, -0x1.21db1ff1a38a6p-3, -0x1.1d82d4796eb17p-3, -0x1.1935b92dc6997p-3, -0x1.14f3d652cca38p-3, -0x1.10bd32decdfd3p-3, -0x1.0c91d48362fd7p-3, -0x1.0871bfb66d14ap-3, -0x1.045cf7baf7b5bp-3, -0x1.00537ea9fd195p-3, -0x1.f8aaaaf6213b9p-4, -0x1.f0c4f819c6a8dp-4, -0x1.e8f5e25b635fap-4, -0x1.e13d654714fd3p-4, -0x1.d99b7a68fe0e7p-4, -0x1.d210195d571d8p-4, -0x1.ca9b37e04af89p-4, -0x1.c33cc9dd901f2p-4, -0x1.bbf4c17fc117bp-4, -0x1.b4c30f3f6e67p-4, -0x1.ada7a1f1fd834p-4, -0x1.a6a266d83c219p-4, -0x1.9fb349acb26bdp-4, -0x1.98da34b1b5e26p-4, -0x1.921710bf436a2p-4, -0x1.8b69c55089aa2p-4, -0x1.84d238913a963p-4, -0x1.7e504f6a9e2b7p-4, -0x1.77e3ed905d93dp-4, -0x1.718cf58d1495p-4, -0x1.6b4b48ce9e0a2p-4, -0x1.651ec7b221349p-4, -0x1.5f07518fe41eap-4, -0x1.5904c4c6d555ap-4, -0x1.5316fec7e10aap-4, -0x1.4d3ddc21002eap-4, -0x1.477938880d814p-4, -0x1.41c8eee55b1ccp-4, -0x1.3c2cd95e0dc7dp-4, -0x1.36a4d15e3810dp-4, -0x1.3130afa2b96bfp-4, -0x1.2bd04c42e7d65p-4, -0x1.26837eb9f942ep-4, -0x1.214a1df030563p-4, -0x1.1c240043d80cfp-4, -0x1.1710fb91feff2p-4, -0x1.1210e53efddccp-4, -0x1.0d23923ec490dp-4, -0x1.0848d71cf0ad9p-4, -0x1.03808804b1e34p-4, -0x1.fd94f190df516p-5, -0x1.f44cf9d28abe2p-5, -0x1.eb28cf3c80b91p-5, -0x1.e22817b6ddfbdp-5, -0x1.d94a78b1817f9p-5, -0x1.d08f97315b643p-5, -0x1.c7f717dd5f4e6p-5, -0x1.bf809f0b176c7p-5, -0x1.b72bd0cad9e3bp-5, -0x1.aef850f3988f1p-5, -0x1.a6e5c32e5ca6fp-5, -0x1.9ef3cb01690ap-5, -0x1.97220bdaf353p-5, -0x1.8f70291b9c8b8p-5, -0x1.87ddc62085f1bp-5, -0x1.806a864d1099p-5, -0x1.79160d1452cdep-5, -0x1.71dffe023095ep-5, -0x1.6ac7fcc42bb57p-5, -0x1.63cdad31eb3abp-5, -0x1.5cf0b35566d95p-5, -0x1.5630b372d23d6p-5, -0x1.4f8d521039e81p-5, -0x1.490633fcdf4f6p-5, -0x1.429afe583bf93p-5, -0x1.3c4b5698dbc65p-5, -0x1.3616e292d2f72p-5, -0x1.2ffd487e0942cp-5, -0x1.29fe2efc41616p-5, -0x1.24193d1ed16bbp-5, -0x1.1e4e1a6c2e8b3p-5, -0x1.189c6ee53300ep-5, -0x1.1303e30a2968fp-5, -0x1.0d841fdfa3ecbp-5, -0x1.081ccef312028p-5, -0x1.02cd9a5f25fa7p-5, -0x1.fb2c599ff71e4p-6, -0x1.f0ec630e37f96p-6, -0x1.e6daa8be6ac63p-6, -0x1.dcf6839f6f8adp-6, -0x1.d33f4de0634c3p-6, -0x1.c9b462f70588bp-6, -0x1.c0551fa5c2ecdp-6, -0x1.b720e20165411p-6, -0x1.ae17097662f02p-6, -0x1.a536f6cddf08cp-6, -0x1.9c800c326178ep-6, -0x1.93f1ad34239f3p-6, -0x1.8b8b3ecd3086cp-6, -0x1.834c27650f9f7p-6, -0x1.7b33ced454b85p-6, -0x1.73419e67b63d9p-6, -0x1.6b7500e3069c1p-6, -0x1.63cd6283d934p-6, -0x1.5c4a3103d92f8p-6, -0x1.54eadb9afa591p-6, -0x1.4daed3014e77fp-6, -0x1.46958970c0a2cp-6, -0x1.3f9e72a67b6cap-6, -0x1.38c903e4177b5p-6, -0x1.3214b3f0aa727p-6, -0x1.2b80fb1987c33p-6, -0x1.250d5332dfb4ap-6, -0x1.1eb937981fcb7p-6, -0x1.1884252c32d33p-6, -0x1.126d9a5985cb4p-6, -0x1.0c751711e34f3p-6, -0x1.069a1cce2decdp-6, -0x1.00dc2e8de0c5dp-6, -0x1.f675a1ace6afbp-7, -0x1.eb6b136540d5bp-7, -0x1.e097c162d9ebbp-7, -0x1.d5fabdca48ec2p-7, -0x1.cb931dc451e0dp-7, -0x1.c15ff97b4f04p-7, -0x1.b7606c184135fp-7, -0x1.ad9393bfce27ep-7, -0x1.a3f8918eded2ap-7, -0x1.9a8e89971685ap-7, -0x1.9154a2db21253p-7, -0x1.884a074ab9a28p-7, -0x1.7f6de3be87a31p-7, -0x1.76bf67f3d5bffp-7, -0x1.6e3dc6881953ap-7, -0x1.65e834f449061p-7, -0x1.5dbdeb8812f9ap-7, -0x1.55be2564f1317p-7, -0x1.4de820791256dp-7, -0x1.463b1d7a1af24p-7, -0x1.3eb65fdfe4648p-7, -0x1.37592ddeee9b6p-7, -0x1.3022d062e4eabp-7, -0x1.29129308ec02p-7, -0x1.2227c419d9397p-7, -0x1.1b61b4845fbcep-7, -0x1.14bfb7d70fb14p-7, -0x1.0e41243a6054bp-7, -0x1.07e5526a977ebp-7, -0x1.01ab9db194476p-7, -0x1.f726c7c12621bp-8, -0x1.eb380a93fc75fp-8, -0x1.df89c975dab6p-8, -0x1.d41acee9d1218p-8, -0x1.c8e9ea4ed956p-8, -0x1.bdf5efd2d27d5p-8, -0x1.b33db865a573cp-8, -0x1.a8c021ac0e043p-8, -0x1.9e7c0df29b97p-8, -0x1.9470642088811p-8, -0x1.8a9c0faa6719ap-8, -0x1.80fe008512161p-8, -0x1.77952b185a307p-8, -0x1.6e608831bc872p-8, -0x1.655f14f72a285p-8, -0x1.5c8fd2d9d02dfp-8, -0x1.53f1c788b47ffp-8, -0x1.4b83fce390cc5p-8, -0x1.434580ed99c9dp-8, -0x1.3b3565c02f676p-8, -0x1.3352c17dc7ce7p-8, -0x1.2b9cae44bf183p-8, -0x1.24124a223124cp-8, -0x1.1cb2b70506f52p-8, -0x1.157d1ab0d81bfp-8, -0x1.0e709eb0d7b85p-8, -0x1.078c704b46dccp-8, -0x1.00cfc07426b5ep-8, -0x1.f47387818d9dap-9, -0x1.e79364b5cbadbp-9, -0x1.dafd8fe7f81f5p-9, -0x1.ceb087719c25p-9, -0x1.c2aad0899705p-9, -0x1.b6eaf72b791ebp-9, -0x1.ab6f8dfea192bp-9, -0x1.a0372e3dc1408p-9, -0x1.9540779ec7995p-9, -0x1.8a8a103a7c21cp-9, -0x1.8012a4745e526p-9, -0x1.75d8e6e35261bp-9, -0x1.6bdb903998392p-9, -0x1.62195f2dc04e4p-9, -0x1.589118631ba02p-9, -0x1.4f4186532a298p-9, -0x1.4629793661p-9, -0x1.3d47c6edf5a8fp-9, -0x1.349b4aed45c9fp-9, -0x1.2c22e623c4447p-9, -0x1.23dd7ee703078p-9, -0x1.1bca00dd0850cp-9, -0x1.13e75ce6c4942p-9, -0x1.0c34890abcbe6p-9, -0x1.04b080602b3fdp-9, -0x1.fab485f3da98cp-10, -0x1.ec61aba46a485p-10, -0x1.de66856b79238p-10, -0x1.d0c130601201p-10, -0x1.c36fd2eec6065p-10, -0x1.b6709cb1dd028p-10, -0x1.a9c1c64aeab18p-10, -0x1.9d61913c1ad15p-10, -0x1.914e47c2447f1p-10, -0x1.85863caf3ee21p-10, -0x1.7a07cb44ef9c8p-10, -0x1.6ed157106fc11p-10, -0x1.63e14bc65a04ep-10, -0x1.59361d1e682e1p-10, -0x1.4ece46b0a5d47p-10, -0x1.44a84bd2c188ep-10, -0x1.3ac2b774f0c61p-10, -0x1.311c1c011d599p-10, -0x1.27b31338975e9p-10, -0x1.1e863e137af23p-10, -0x1.159444a027eb5p-10, -0x1.0cdbd5e2dd9a2p-10, -0x1.045ba7b661241p-10, -0x1.f824ed594b21p-11, -0x1.e7fe0bdfe7057p-11, -0x1.d8403e498eebap-11, -0x1.c8e9249771488p-11, -0x1.b9f66b47ddd8ep-11, -0x1.ab65cb1c624fbp-11, -0x1.9d3508e0d5eedp-11, -0x1.8f61f5326fee3p-11, -0x1.81ea6c483d65ap-11, -0x1.74cc55bcaa274p-11, -0x1.6805a4572fe2cp-11, -0x1.5b9455d7fecfap-11, -0x1.4f7672c22b5cep-11, -0x1.43aa0e2a50a42p-11, -0x1.382d4581ce1e4p-11, -0x1.2cfe4065f77fbp-11, -0x1.221b306eee1d4p-11, -0x1.178250fecb9b1p-11, -0x1.0d31e712375efp-11, -0x1.03284111bc8adp-11, -0x1.f2c76d46f56bcp-12, -0x1.dfc550fbd07cp-12, -0x1.cd4700763275fp-12, -0x1.bb4960598b3d4p-12, -0x1.a9c9666357d35p-12, -0x1.98c41913dd554p-12, -0x1.88368f5d361f3p-12, -0x1.781df04f743c9p-12, -0x1.687772c8da7bfp-12, -0x1.59405d251c029p-12, -0x1.4a7604f14313cp-12, -0x1.3c15ce9ce3315p-12, -0x1.2e1d2d2fee617p-12, -0x1.2089a200139p-12, -0x1.1358bc68217f9p-12, -0x1.0688197fed3c3p-12, -0x1.f42ac7ac97f4ep-13, -0x1.dbfca657b026dp-13, -0x1.c481585d31118p-13, -0x1.adb480707e06cp-13, -0x1.9791da162819fp-13, -0x1.82153926663d8p-13, -0x1.6d3a894b2ce13p-13, -0x1.58fdcd86db526p-13, -0x1.455b1fb7c778p-13, -0x1.324eb0224afd5p-13, -0x1.1fd4c4f971342p-13, -0x1.0de9b9ec9f7c7p-13, -0x1.f913ff6a501b7p-14, -0x1.d764374fc2bf2p-14, -0x1.b6bd4e8d22df7p-14, -0x1.97189fabdde14p-14, -0x1.786fabe649d0cp-14, -0x1.5abc1a5a772ddp-14, -0x1.3df7b73d91924p-14, -0x1.221c7316fd07ep-14, -0x1.072461f9ac527p-14, -0x1.da13759219845p-15, -0x1.a78dacee0e698p-15, -0x1.76ac5ea326fe6p-15, -0x1.4764c08ffb8f2p-15, -0x1.19ac487a62e02p-15, -0x1.daf15562daf59p-16, -0x1.857fb168e2971p-16, -0x1.32efffcd1cf67p-16, -0x1.c65e211a99bbcp-17, -0x1.2c544cab58f4cp-17, -0x1.2f3bd028ed1bep-18, -0x1.02e6974be07bdp-22, 0x1.04c56a4e2864bp-18, 0x1.07f1eb247032fp-17, 0x1.88b7b528009f9p-17, 0x1.026a48ff10ac7p-16, 0x1.3e341dd5d6d56p-16, 0x1.77c8d5daf1028p-16, 0x1.af378fb1d3586p-16, 0x1.e48f0ded4a851p-16, 0x1.0beedc883ba32p-15, 0x1.2498d0cb345d5p-15, 0x1.3c4c40ea60c52p-15, 0x1.530fdff7325e3p-15, 0x1.68ea37d5db9d4p-15, 0x1.7de1aa26f0ca3p-15, 0x1.91fc712c443aep-15, 0x1.a540a0ad0900ep-15, 0x1.b7b426ccd7594p-15, 0x1.c95ccce534f17p-15, 0x1.da4038597af17p-15, 0x1.ea63eb633c0b8p-15, 0x1.f9cd45dea524dp-15, 0x1.0440c3075f90fp-14, 0x1.0b42e4b11d29dp-14, 0x1.11ef86968b497p-14, 0x1.184917b443e63p-14, 0x1.1e51f7b1d0796p-14, 0x1.240c773c22ee4p-14, 0x1.297ad85d8edf7p-14, 0x1.2e9f4ed119eabp-14, 0x1.337c00588a387p-14, 0x1.3813050cf448dp-14, 0x1.3c6667af76833p-14, 0x1.407825f7019b3p-14, 0x1.444a30ddfaf37p-14, 0x1.47de6cecac9b1p-14, 0x1.4b36b2831a5f4p-14, 0x1.4e54ce218ed14p-14, 0x1.513a80adfd1cdp-14, 0x1.53e97fb9c8782p-14, 0x1.566375c4d82fap-14, 0x1.58aa027fc3d8ep-14, 0x1.5abebb0b5bfbcp-14, 0x1.5ca32a39a124fp-14, 0x1.5e58d0ca65a52p-14, 0x1.5fe125a7ae199p-14, 0x1.613d96215ce95p-14, 0x1.626f86267d0ep-14, 0x1.6378507e20695p-14, 0x1.645946fed575ap-14, 0x1.6513b2c43ae5p-14, 0x1.65a8d4643c9abp-14, 0x1.6619e42325c82p-14, 0x1.6668122558194p-14, 0x1.669486a225a17p-14, 0x1.66a06212500cdp-14, 0x1.668cbd60f188ep-14, 0x1.665aaa1910df9p-14, 0x1.660b329323329p-14, 0x1.659f5a20dcd3ap-14, 0x1.65181d386e651p-14, 0x1.6476719f1256dp-14, 0x1.63bb46921827fp-14, 0x1.62e784efa967cp-14, 0x1.61fc0f5da4e63p-14, 0x1.60f9c2705cb5cp-14, 0x1.5fe174d0936c9p-14, 0x1.5eb3f76034c63p-14, 0x1.5d72155d96223p-14, 0x1.5c1c9488083d1p-14, 0x1.5ab4354111681p-14, 0x1.5939b2ae4700dp-14, 0x1.57adc2da6993ap-14, 0x1.561116d54ebf5p-14, 0x1.54645ad2ca64ap-14, 0x1.52a8364a1c6b9p-14, 0x1.50dd4c1317f2cp-14, 0x1.4f043a83c9511p-14, 0x1.4d1d9b8c9c908p-14, 0x1.4b2a04d4d0d52p-14, 0x1.492a07d4f66c6p-14, 0x1.471e31f241408p-14, 0x1.45070c97d394ep-14, 0x1.42e51d50ae4f6p-14, 0x1.40b8e5e020a69p-14, 0x1.3e82e459fee2ep-14, 0x1.3c43933aa7f1dp-14, 0x1.39fb697d687fdp-14, 0x1.37aadab399998p-14, 0x1.3552571a628b3p-14, 0x1.32f24bb01f6aap-14, 0x1.308b2249a538ap-14, 0x1.2e1d41a666803p-14, 0x1.2ba90d84d0586p-14, 0x1.292ee6b54cfb1p-14, 0x1.26af2b2de935cp-14, 0x1.242a361c734c9p-14, 0x1.21a05ff8fd204p-14, 0x1.1f11fe975527ap-14, 0x1.1c7f653865d48p-14, 0x1.19e8e49b3b14bp-14, 0x1.174ecb0d727bcp-14, 0x1.14b1647b1194ep-14, 0x1.1210fa7ea7b03p-14, 0x1.0f6dd4702f078p-14, 0x1.0cc8377465811p-14, 0x1.0a20668b14b56p-14, 0x1.0776a29d89835p-14, 0x1.04cb2a8c485e5p-14, 0x1.021e3b3cf71cep-14, 0x1.fee01f4df24d2p-15, 0x1.f981c1c21b8fbp-15, 0x1.f421cc5aa625p-15, 0x1.eec0aa0bee3f2p-15, 0x1.e95ec251c2179p-15, 0x1.e3fc79478764dp-15, 0x1.de9a2fbe31a5ep-15, 0x1.d938435333e86p-15, 0x1.d3d70e85be401p-15, 0x1.ce76e8cc69215p-15, 0x1.c91826a956f04p-15, 0x1.c3bb19be98372p-15, 0x1.be6010e1ed032p-15, 0x1.b907582fb6ba5p-15, 0x1.b3b1391dc0833p-15, 0x1.ae5dfa8da5abdp-15, 0x1.a90de0de1df71p-15, 0x1.a3c12dfcf67cep-15, 0x1.9e7821773dbbep-15, 0x1.9932f88aa01cfp-15, 0x1.93f1ee347fad1p-15, 0x1.8eb53b426b205p-15, 0x1.897d1660e9863p-15, 0x1.8449b42a97c87p-15, 0x1.7f1b47369a4d5p-15, 0x1.79f20026c34dap-15, 0x1.74ce0db56c6cbp-15, 0x1.6faf9cc2e1583p-15, 0x1.6a96d8625550cp-15, 0x1.6583e9e7273c9p-15, 0x1.6076f8f0a2c79p-15, 0x1.5b702b76a19cep-15, 0x1.566fa5d5471f5p-15, 0x1.51758ad897be3p-15, 0x1.4c81fbc77ceeep-15, 0x1.4795186ee0ed6p-15, 0x1.42aeff2c7fe8bp-15, 0x1.3dcfccf917c69p-15, 0x1.38f79d72559c4p-15, 0x1.34268ae571e44p-15, 0x1.2f5cae580bc96p-15, 0x1.2a9a1f91e9f25p-15, 0x1.25def526147dp-15, 0x1.212b447bb94bap-15, 0x1.1c7f21d6bc021p-15, 0x1.17daa06052a07p-15, 0x1.133dd22f25d07p-15, 0x1.0ea8c84f6ce01p-15, 0x1.0a1b92ca93ebdp-15, 0x1.059640af0839ep-15, 0x1.0118e0177e8e2p-15, 0x1.f946fc649a9e1p-16, 0x1.f06c4e90549acp-16, 0x1.e7a1cd86d0e51p-16, 0x1.dee78e6cb6eb3p-16, 0x1.d63da4c4109cep-16, 0x1.cda422786cd2p-16, 0x1.c51b17eba5fccp-16, 0x1.bca294019e3e2p-16, 0x1.b43aa42c203abp-16, 0x1.abe35476411cbp-16, 0x1.a39caf8eef75bp-16, 0x1.9b66bed48ee62p-16, 0x1.93418a5ec4708p-16, 0x1.8b2d19090d47fp-16, 0x1.8329707c98d42p-16, 0x1.7b369539d4e31p-16, 0x1.73548aa242a19p-16, 0x1.6b8353011e60ep-16, 0x1.63c2ef94ba0fep-16, 0x1.5c136096a857ap-16, 0x1.5474a544e6cd3p-16, 0x1.4ce6bbe9ad8b3p-16, 0x1.4569a1e37082cp-16, 0x1.3dfd53acbb54dp-16, 0x1.36a1cce3d4f6cp-16, 0x1.2f570852330fbp-16, 0x1.281cfff3582d2p-16, 0x1.20f3acfc2b05cp-16, 0x1.19db07e1a23dbp-16, 0x1.12d3085f66137p-16, 0x1.0bdba57e288dap-16, 0x1.04f4d59a11d5cp-16, 0x1.fc3d1cd1826a3p-17, 0x1.eeb189fe52a43p-17, 0x1.e146dbaef88f8p-17, 0x1.d3fcf9ad62d57p-17, 0x1.c6d3caa3e51d5p-17, 0x1.b9cb3427ea3c5p-17, 0x1.ace31ac46fa2cp-17, 0x1.a01b6203469c9p-17, 0x1.9373ec7810017p-17, 0x1.86ec9bc8d92b6p-17, 0x1.7a8550b777283p-17, 0x1.6e3deb2a96faap-17, 0x1.62164a36ae274p-17, 0x1.560e4c25e7d8ap-17, 0x1.4a25ce80e5dcdp-17, 0x1.3e5cae166b356p-17, 0x1.32b2c70399ef8p-17, 0x1.2727f4baaade9p-17, 0x1.1bbc120b4aba1p-17, 0x1.106ef92908a25p-17, 0x1.054083b262977p-17, 0x1.f461156fd9c7bp-18, 0x1.de7dcd84d091bp-18, 0x1.c8d6dfb298efbp-18, 0x1.b36bfb11e92aap-18, 0x1.9e3ccdd1826d2p-18, 0x1.894905413e07fp-18, 0x1.74904dde6021p-18, 0x1.6012535d7a12dp-18, 0x1.4bcec0b5b2347p-18, 0x1.37c5402b6f1ecp-18, 0x1.23f57b59d72f7p-18, 0x1.105f1b3d35c41p-18, 0x1.fa039076b6bfp-19, 0x1.d3ba545cb1934p-19, 0x1.ade1d0d9340f2p-19, 0x1.887953a368107p-19, 0x1.6380298ccff45p-19, 0x1.3ef59e93d0978p-19, 0x1.1ad8fdf1ee4c9p-19, 0x1.ee5324556d84p-20, 0x1.a7cd4a383c4cbp-20, 0x1.621f001aa525fp-20, 0x1.1d46d775eec3ap-20, 0x1.b286c193907f3p-21, 0x1.2c26577838e6dp-21, 0x1.4ed31cb610035p-22, 0x1.226c1530401b7p-24, -0x1.74c2c18ec7ca6p-23, -0x1.ba27e0e614929p-22, -0x1.5b5f24025f0fcp-21, -0x1.d815322bee19ep-21, -0x1.299c813f5dc84p-20, -0x1.6666be689bc81p-20, -0x1.a26ac48dcecp-20, -0x1.ddaa07ab45811p-20, -0x1.0c12fdd3adc2ap-19, -0x1.28f00a1ffaa36p-19, -0x1.456ce27ec5a5bp-19, -0x1.618a408efe8d5p-19, -0x1.7d48ddc21527p-19, -0x1.98a97355fd0c7p-19, -0x1.b3acba4c216c6p-19, -0x1.ce536b610cad9p-19, -0x1.e89e3f06e541ap-19, -0x1.0146f6af41aabp-18, -0x1.0e119717dca49p-18, -0x1.1aaf5c71586ep-18, -0x1.2720a23d66704p-18, -0x1.3365c3c8319bcp-18, -0x1.3f7f1c250ddb3p-18, -0x1.4b6d062be8105p-18, -0x1.572fdc76bdd94p-18, -0x1.62c7f95ee8f22p-18, -0x1.6e35b6fa1fa67p-18, -0x1.79796f18e399cp-18, -0x1.84937b435a721p-18, -0x1.8f8434b76d5d4p-18, -0x1.9a4bf466b591bp-18, -0x1.a4eb12f43006fp-18, -0x1.af61e8b1dd01bp-18, -0x1.b9b0cda01168cp-18, -0x1.c3d8196a4a894p-18, -0x1.cdd8236562a66p-18, -0x1.d7b1428f42495p-18, -0x1.e163cd8bd4041p-18, -0x1.eaf01aa3ad293p-18, -0x1.f4567fc300969p-18, -0x1.fd975277e6debp-18, -0x1.035973f877aeep-17, -0x1.07d4ca7de2bdfp-17, -0x1.0c3dd701fdfdbp-17, -0x1.1094c388f37cep-17, -0x1.14d9b9e4b4eb3p-17, -0x1.190ce3b446bbcp-17, -0x1.1d2e6a6363e96p-17, -0x1.213e7729fc1d7p-17, -0x1.253d330bab35dp-17, -0x1.292ac6d70467ap-17, -0x1.2d075b25dd54ap-17, -0x1.30d3185c26769p-17, -0x1.348e26a78d72bp-17, -0x1.3838adffe5df3p-17, -0x1.3bd2d625fced1p-17, -0x1.3f5cc6a34d9a5p-17, -0x1.42d6a6ca7b561p-17, -0x1.46409db62a914p-17, -0x1.499ad24922776p-17, -0x1.4ce56b2e1042ap-17, -0x1.50208ed70518dp-17, -0x1.534c637da5bf3p-17, -0x1.56690f22a2d8ep-17, -0x1.5976b78d7d18p-17, -0x1.5c75824cdafd5p-17, -0x1.5f6594b5cd7eap-17, -0x1.624713e3d459cp-17, -0x1.651a24b8fc57ep-17, -0x1.67deebdd6c031p-17, -0x1.6a958dbf598f9p-17, -0x1.6d3e2e935b901p-17, -0x1.6fd8f253d8d89p-17, -0x1.7265fcc0ea3a2p-17, -0x1.74e57160f628ap-17, -0x1.7757737fd88dcp-17, -0x1.79bc262f3ab2ap-17, -0x1.7c13ac46d137bp-17, -0x1.7e5e2863dd427p-17, -0x1.809bbce95c0c7p-17, -0x1.82cc8c0016bd7p-17, -0x1.84f0b796a6be6p-17, -0x1.8708616171665p-17, -0x1.8913aadaa96b9p-17, -0x1.8b12b542929fap-17, -0x1.8d05a19f3cc22p-17, -0x1.8eec90bc9a902p-17, -0x1.90c7a32cfdb4p-17, -0x1.9296f9489db79p-17, -0x1.945ab32e20ec3p-17, -0x1.9612f0c286cd6p-17, -0x1.97bfd1b0ecea2p-17, -0x1.9961756b4027dp-17, -0x1.9af7fb2a1b9d2p-17, -0x1.9c8381ec94affp-17, -0x1.9e04287903677p-17, -0x1.9f7a0d5c9efbcp-17, -0x1.a0e54eeb9091fp-17, -0x1.a2460b419ebb3p-17, -0x1.a39c6041dfa2bp-17, -0x1.a4e86b96fe39fp-17, -0x1.a62a4ab35b5ecp-17, -0x1.a7621ad14a624p-17, -0x1.a88ff8f33f26ep-17, -0x1.a9b401e3ef45fp-17, -0x1.aace52368762p-17, -0x1.abdf0646a2818p-17, -0x1.ace63a38c1ac5p-17, -0x1.ade409fa5d36cp-17, -0x1.aed89142242b1p-17, -0x1.afc3eb9026143p-17, -0x1.b0a6342ddd147p-17, -0x1.b17f862e95a9p-17, -0x1.b24ffc6fb0f49p-17, -0x1.b317b198a4bfap-17, -0x1.b3d6c01b64acbp-17, -0x1.b48d423439ddfp-17, -0x1.b53b51ea68b0dp-17, -0x1.b5e109105bfa3p-17, -0x1.b67e81439dd19p-17, -0x1.b713d3ed26d48p-17, -0x1.b7a11a41ca3ccp-17, -0x1.b8266d4235e05p-17, -0x1.b8a3e5bb3bb0fp-17, -0x1.b9199c4612966p-17, -0x1.b987a9488ea2fp-17, -0x1.b9ee24f573385p-17, -0x1.ba4d274cacad9p-17, -0x1.baa4c81b5bd62p-17, -0x1.baf51efc3c547p-17, -0x1.bb3e4357d87bap-17, -0x1.bb804c64f9b83p-17, -0x1.bbbb512892f24p-17, -0x1.bbef687626dfap-17, -0x1.bc1ca8f00d312p-17, -0x1.bc432907af195p-17, -0x1.bc62fefdcf5bbp-17, -0x1.bc7c40e2b2a6ap-17, -0x1.bc8f04965aa9bp-17, -0x1.bc9b5fc900955p-17, -0x1.bca167fb27d6bp-17, -0x1.bca1327dd7bd6p-17, -0x1.bc9ad472d8026p-17, -0x1.bc8e62cd24131p-17, -0x1.bc7bf25117be3p-17, -0x1.bc63979487b3ap-17, -0x1.bc4566ff2d9a8p-17, -0x1.bc2174cb02dc6p-17, -0x1.bbf7d50433ac7p-17, -0x1.bbc89b8982784p-17, -0x1.bb93dc0ca4238p-17, -0x1.bb59aa129f25bp-17, -0x1.bb1a18f3c8a86p-17, -0x1.bad53bdbe5ac9p-17, -0x1.ba8b25cadadcdp-17, -0x1.ba3be994e1dfbp-17, -0x1.b9e799e26b146p-17, -0x1.b98e4930baa87p-17, -0x1.b93009d1da2e7p-17, -0x1.b8cceded55687p-17, -0x1.b86507800c2a3p-17, -0x1.b7f8685ca5a3cp-17, -0x1.b787222bcb78p-17, -0x1.b711466c778edp-17, -0x1.b696e674153bp-17, -0x1.b618136ebf322p-17, -0x1.b594de5fec7cfp-17, -0x1.b50d58223842cp-17, -0x1.b4819167c0e74p-17, -0x1.b3f19aba7d11ap-17, -0x1.b35d847c852c2p-17, -0x1.b2c55ee8376bbp-17, -0x1.b2293a10985e6p-17, -0x1.b18925e1a22ecp-17, -0x1.b0e532204ebabp-17, -0x1.b03d6e6ac4401p-17, -0x1.af91ea39052efp-17, -0x1.aee2b4dd1883ep-17, -0x1.ae2fdd82d8c7cp-17, -0x1.ad79733089f16p-17, -0x1.acbf84c74f922p-17, -0x1.ac0221031455cp-17, -0x1.ab41567ad2117p-17, -0x1.aa7d33a0e3e8ep-17, -0x1.a9b5c6c378284p-17, -0x1.a8eb1e0c79354p-17, -0x1.a81d47821c3bap-17, -0x1.a74c5106d2c3cp-17, -0x1.a6784859d7ee6p-17, -0x1.a5a13b1706a98p-17, -0x1.a4c736b7b4be5p-17, -0x1.a3ea489289065p-17, -0x1.a30a7ddb99aebp-17, -0x1.a227e3a4d56cep-17, -0x1.a14286de83c18p-17, -0x1.a05a7457323c4p-17, -0x1.9f6fb8bbf9a8fp-17, -0x1.9e826098e17fcp-17, -0x1.9d927858d17c3p-17, -0x1.9ca00c460aab5p-17, -0x1.9bab288abbdc3p-17, -0x1.9ab3d9307d09ep-17, -0x1.99ba2a20dc971p-17, -0x1.98be2725e6c5dp-17, -0x1.97bfdbea2a0a8p-17, -0x1.96bf53f8c9c8p-17, -0x1.95bc9abdd6388p-17, -0x1.94b7bb86d9a97p-17, -0x1.93b0c182795d7p-17, -0x1.92a7b7c115846p-17, -0x1.919ca9350cf72p-17, -0x1.908fa0b2c46c8p-17, -0x1.8f80a8f0f89e2p-17, -0x1.8e6fcc88fad02p-17, -0x1.8d5d15f6e05fap-17, -0x1.8c488f9998612p-17, -0x1.8b3243b3ab4c6p-17, -0x1.8a1a3c6adec12p-17, -0x1.890083c880773p-17, -0x1.87e523b9df4d5p-17, -0x1.86c826109bfd7p-17, -0x1.85a9948266d1bp-17, -0x1.848978a998678p-17, -0x1.8367dc052bebbp-17, -0x1.8244c7f933d68p-17, -0x1.812045cf2d81bp-17, -0x1.7ffa5eb5898adp-17, -0x1.7ed31bc072b44p-17, -0x1.7daa85ea32c7p-17, -0x1.7c80a612e630ap-17, -0x1.7b558500d10abp-17, -0x1.7a292b60c9c01p-17, -0x1.78fba1c65ba2fp-17, -0x1.77ccf0abc40b6p-17, -0x1.769d20727cb0ep-17, -0x1.756c396335e6ap-17, -0x1.743a43adf6502p-17, -0x1.7307476aac6f8p-17, -0x1.71d34c9901f8dp-17, -0x1.709e5b20a8332p-17, -0x1.6f687ad1c40f1p-17, -0x1.6e31b364cd012p-17, -0x1.6cfa0c7acaf9dp-17, -0x1.6bc18d9df93f7p-17, -0x1.6a883e415a57fp-17, -0x1.694e25c11a086p-17, -0x1.68134b631ee37p-17, -0x1.66d7b656c3abbp-17, -0x1.659b6db54ef0fp-17, -0x1.645e7881b96b2p-17, -0x1.6320dda987974p-17, -0x1.61e2a404a43f5p-17, -0x1.60a3d255381fep-17, -0x1.5f646f483b76bp-17, -0x1.5e248175f081fp-17, -0x1.5ce40f61661f4p-17, -0x1.5ba31f78d859ep-17, -0x1.5a61b8165344ep-17, -0x1.591fdf7f554ddp-17, -0x1.57dd9be5341e9p-17, -0x1.569af36554d1ap-17, -0x1.5557ec09279f5p-17, -0x1.54148bc6a53f1p-17, -0x1.52d0d8804924p-17, -0x1.518cd8050484p-17, -0x1.50489010eb484p-17, -0x1.4f04064d191a2p-17, -0x1.4dbf404f899c7p-17, -0x1.4c7a439c17caep-17, -0x1.4b3515a3cf73dp-17, -0x1.49efbbc569979p-17, -0x1.48aa3b4dd2007p-17, -0x1.47649977b4d59p-17, -0x1.461edb6bf5a4cp-17, -0x1.44d90641f4b43p-17, -0x1.43931eff8f279p-17, -0x1.424d2a9931972p-17, -0x1.41072df22d859p-17, -0x1.3fc12ddcffb43p-17, -0x1.3e7b2f1b093b1p-17, -0x1.3d35365cf9e4ap-17, -0x1.3bef484347fp-17, -0x1.3aa9695dbfa85p-17, -0x1.39639e2bd43dap-17, -0x1.381deb1d48d16p-17, -0x1.36d85491a3a8fp-17, -0x1.3592ded8ac232p-17, -0x1.344d8e329ada2p-17, -0x1.330866d01959fp-17, -0x1.31c36cd296ddcp-17, -0x1.307ea44c20d31p-17, -0x1.2f3a113fc6b8ep-17, -0x1.2df5b7a1ef26ep-17, -0x1.2cb19b57bee56p-17, -0x1.2b6dc0381fcb3p-17, -0x1.2a2a2a0b7334cp-17, -0x1.28e6dc8b8409bp-17, -0x1.27a3db642645ap-17, -0x1.26612a3310c78p-17, -0x1.251ecc87db4d4p-17, -0x1.23dcc5e49c66dp-17, -0x1.229b19bd91687p-17, -0x1.2159cb795bcfp-17, -0x1.2018de716e33ep-17, -0x1.1ed855f1e767dp-17, -0x1.1d9835398e457p-17, -0x1.1c587f7a6971ap-17, -0x1.1b1937d9a1185p-17, -0x1.19da616f49be7p-17, -0x1.189bff4747625p-17, -0x1.175e1460b6bdp-17, -0x1.1620a3ae59586p-17, -0x1.14e3b016e3f52p-17, -0x1.13a73c74b6c5fp-17, -0x1.126b4b9641e24p-17, -0x1.112fe03e2d318p-17, }}, 
      {{0x1.ffdd86e82e0bbp-1, 0x1.ff7a9c95171dcp-1, 0x1.fee1b948e4175p-1, 0x1.fe1e792bdf307p-1, 0x1.fd3a9f808dfbdp-1, 0x1.fc3cff3203305p-1, 0x1.fb299bc4b270ep-1, 0x1.fa025be7bd07bp-1, 0x1.f8c7daf6019bdp-1, 0x1.f77a1cec5419ep-1, 0x1.f6190f1291cfap-1, 0x1.f4a4d54fbdfcap-1, 0x1.f31deda39f303p-1, 0x1.f18535ba1325dp-1, 0x1.efdbdda717a3ap-1, 0x1.ee2350b17d925p-1, 0x1.ec5d1ab20dd1dp-1, 0x1.ea8ace69d5e46p-1, 0x1.e8adef74ad353p-1, 0x1.e6c7e129cdddp-1, 0x1.e4d9dac9daee8p-1, 0x1.e2e4e0b840f61p-1, 0x1.e0e9c21cf7b66p-1, 0x1.dee91a1b575a1p-1, 0x1.dce353bd234cap-1, 0x1.dad8afba7a3a1p-1, 0x1.d8c94b5f045cfp-1, 0x1.d6b527eb7c9e6p-1, 0x1.d49c31f3c348bp-1, 0x1.d27e4859b217ap-1, 0x1.d05b42a1ebc2ep-1, 0x1.ce32f678ceb08p-1, 0x1.cc053c522542bp-1, 0x1.c9d1f31e472e1p-1, 0x1.c799031b64cc7p-1, 0x1.c55a5fd23c916p-1, 0x1.c316095308a9ap-1, 0x1.c0cc0cca9d95cp-1, 0x1.be7c84890109p-1, 0x1.bc279792a072fp-1, 0x1.b9cd78d43bf17p-1, 0x1.b76e660fcc2d7p-1, 0x1.b50aa6967b868p-1, 0x1.b2a289e1613f5p-1, 0x1.b0366618394f3p-1, 0x1.adc69692ed17cp-1, 0x1.ab537a6070d1ap-1, 0x1.a8dd72db6c619p-1, 0x1.a664e25334a71p-1, 0x1.a3ea2acdf6be8p-1, 0x1.a16dace776188p-1, 0x1.9eefc6ce8b4a8p-1, 0x1.9c70d3627721ap-1, 0x1.99f12970486cap-1, 0x1.97711b0fd8adfp-1, 0x1.94f0f51f59ceep-1, 0x1.9270fedbfa281p-1, 0x1.8ff17995d8c5ep-1, 0x1.8d72a07d48e05p-1, 0x1.8af4a887390ep-1, 0x1.8877c06688622p-1, 0x1.85fc10980675ep-1, 0x1.8381bb7ee5083p-1, 0x1.8108dd8f6e6a7p-1, 0x1.7e918d85ee899p-1, 0x1.7c1bdca7d068p-1, 0x1.79a7d70d1775fp-1, 0x1.773583f07affep-1, 0x1.74c4e6048ce12p-1, 0x1.7255fbcc7ab3fp-1, 0x1.6fe8bff717111p-1, 0x1.6d7d29bb03c3p-1, 0x1.6b132d32f06cep-1, 0x1.68aabbb906156p-1, 0x1.6643c440b385fp-1, 0x1.63de33ae3128ap-1, 0x1.6179f52b266d8p-1, 0x1.5f16f277fc9adp-1, 0x1.5cb51439796f9p-1, 0x1.5a544242569c7p-1, 0x1.57f463d89f18fp-1, 0x1.55955ff6a4cfdp-1, 0x1.53371d8779befp-1, 0x1.50d9839ee0e22p-1, 0x1.4e7c79acb2f54p-1, 0x1.4c1fe7abc6382p-1, 0x1.49c3b64c6b053p-1, 0x1.4767cf1a95336p-1, 0x1.450c1c9fd8f5cp-1, 0x1.42b08a815aacbp-1, 0x1.40550599e1cffp-1, 0x1.3df97c103811dp-1, 0x1.3b9ddd6a074e2p-1, 0x1.39421a9b666e8p-1, 0x1.36e6261348104p-1, 0x1.3489f3c4fe273p-1, 0x1.322d792f048a5p-1, 0x1.2fd0ad5f456d1p-1, 0x1.2d7388f50be44p-1, 0x1.2b160620ce763p-1, 0x1.28b820a2075ebp-1, 0x1.2659d5c345a06p-1, 0x1.23fb2454a11b9p-1, 0x1.219c0ca4bd6e8p-1, 0x1.1f3c90788333p-1, 0x1.1cdcb301b5346p-1, 0x1.1a7c78d484946p-1, 0x1.181be7dc47b8p-1, 0x1.15bb074f70c93p-1, 0x1.1359dfa2e503fp-1, 0x1.10f87a7ccbabcp-1, 0x1.0e96e2a6f33b9p-1, 0x1.0c352400e0d2cp-1, 0x1.09d34b71a12dep-1, 0x1.077166d96f2efp-1, 0x1.050f850342a5cp-1, 0x1.02adb59655db7p-1, 0x1.004c0907b5748p-1, 0x1.fbd52117c5968p-2, 0x1.f712bc1134444p-2, 0x1.f251080d87e0fp-2, 0x1.ed902b493ac16p-2, 0x1.e8d04d1040479p-2, 0x1.e41195a360653p-2, 0x1.df542e1e2e5e1p-2, 0x1.da98405da5598p-2, 0x1.d5ddf6e7738d6p-2, 0x1.d1257cd1ff02cp-2, 0x1.cc6efdad2625fp-2, 0x1.c7baa56bc39cbp-2, 0x1.c308a04dfcdcap-2, 0x1.be591acc57fc3p-2, 0x1.b9ac41839d25ep-2, 0x1.b50241218a447p-2, 0x1.b05b46524fad3p-2, 0x1.abb77daedbf07p-2, 0x1.a71713abf49c3p-2, 0x1.a27a348a16ab7p-2, 0x1.9de10c462377p-2, 0x1.994bc68aceba6p-2, 0x1.94ba8ea2d0becp-2, 0x1.902d8f6bd928fp-2, 0x1.8ba4f34a38bcbp-2, 0x1.8720e41d47cd1p-2, 0x1.82a18b347984bp-2, 0x1.7e271145230f6p-2, 0x1.79b19e60e891fp-2, 0x1.754159ecd3757p-2, 0x1.70d66a9904633p-2, 0x1.6c70f65905c8p-2, 0x1.6811225cb2ffp-2, 0x1.63b71309af4d4p-2, 0x1.5f62ebf56f51fp-2, 0x1.5b14cfdfc5f7p-2, 0x1.56cce0adf6a43p-2, 0x1.528b3f66468d2p-2, 0x1.4e500c2c06103p-2, 0x1.4a1b663c11b5bp-2, 0x1.45ed6be9c1938p-2, 0x1.41c63a9c4714bp-2, 0x1.3da5eecc6e261p-2, 0x1.398ca402c69f3p-2, 0x1.357a74d62925cp-2, 0x1.316f7aea978b8p-2, 0x1.2d6bcef074419p-2, 0x1.296f88a40b98ep-2, 0x1.257abecd6d7eep-2, 0x1.218d87408f5b3p-2, 0x1.1da7f6ddb60d6p-2, 0x1.19ca219225d95p-2, 0x1.15f41a590f752p-2, 0x1.1225f33cbb8acp-2, 0x1.0e5fbd57eda45p-2, 0x1.0aa188d780b56p-2, 0x1.06eb64fc34e69p-2, 0x1.033d601cab8edp-2, 0x1.ff2f0f4f2aa0dp-3, 0x1.f7f3d04c0b2ebp-3, 0x1.f0c91a7be5e99p-3, 0x1.e9af0369af29fp-3, 0x1.e2a59ee4f375fp-3, 0x1.dbacff079d3ffp-3, 0x1.d4c5343c0487dp-3, 0x1.cdee4d4327d43p-3, 0x1.c728573b248p-3, 0x1.c0735da5d3fa3p-3, 0x1.b9cf6a6f9ceabp-3, 0x1.b33c85f66320dp-3, 0x1.acbab710a29b9p-3, 0x1.a64a0314a1706p-3, 0x1.9fea6ddfcbeaap-3, 0x1.999bf9de1895fp-3, 0x1.935ea811921aep-3, 0x1.8d327819e8257p-3, 0x1.8717683c19cd7p-3, 0x1.810d756a2465p-3, 0x1.7b149b4ac925ap-3, 0x1.752cd4414af2fp-3, 0x1.6f561975421a6p-3, 0x1.699062da69eafp-3, 0x1.63dba73871d2p-3, 0x1.5e37dc32cf588p-3, 0x1.58a4f6508c9c1p-3, 0x1.5322e904109fdp-3, 0x1.4db1a6b2e4f94p-3, 0x1.485120bd70ef2p-3, 0x1.43014786a9299p-3, 0x1.3dc20a7bba19fp-3, 0x1.3893581ba0cc4p-3, 0x1.33751dfeb848cp-3, 0x1.2e6748de339b4p-3, 0x1.2969c49b90d19p-3, 0x1.247c7c47eef2cp-3, 0x1.1f9f5a2b59682p-3, 0x1.1ad247cc000c9p-3, 0x1.16152df552347p-3, 0x1.1167f4bf10092p-3, 0x1.0cca83943d1acp-3, 0x1.083cc13a00795p-3, 0x1.03be93d66a6aap-3, 0x1.fe9fc1ee4d8bcp-4, 0x1.f5e11b301bc56p-4, 0x1.ed40fc5350acbp-4, 0x1.e4bf2d2f19bc9p-4, 0x1.dc5b749d541efp-4, 0x1.d4159886f08bdp-4, 0x1.cbed5df01610ep-4, 0x1.c3e289040e505p-4, 0x1.bbf4dd210b0afp-4, 0x1.b4241ce3973a2p-4, 0x1.ac700a31f4ceap-4, 0x1.a4d8664720b7fp-4, 0x1.9d5cf1bdb1f9ap-4, 0x1.95fd6c9a7a7a4p-4, 0x1.8eb99656f03a5p-4, 0x1.87912deb5db95p-4, 0x1.8083f1d8d6e43p-4, 0x1.7991a032f8b6p-4, 0x1.72b9f6a9708cep-4, 0x1.6bfcb29146fb1p-4, 0x1.655990edf657bp-4, 0x1.5ed04e7a4606ep-4, 0x1.5860a7b0f2bdp-4, 0x1.520a58d51a3e2p-4, 0x1.4bcd1dfa7147dp-4, 0x1.45a8b30d4568ap-4, 0x1.3f9cd3da4523cp-4, 0x1.39a93c1614891p-4, 0x1.33cda764aa35fp-4, 0x1.2e09d1607a8c9p-4, 0x1.285d75a16c627p-4, 0x1.22c84fc396f89p-4, 0x1.1d4a1b6dd560bp-4, 0x1.17e294581e6cep-4, 0x1.12917651add2ep-4, 0x1.0d567d46fc955p-4, 0x1.083165478a192p-4, 0x1.0321ea8b6f944p-4, 0x1.fc4f92f195b01p-5, 0x1.f2857d51e9b8bp-5, 0x1.e8e50ddb1b701p-5, 0x1.df6dbeaab6c5dp-5, 0x1.d61f0a61ee11ap-5, 0x1.ccf86c2eab8a4p-5, 0x1.c3f95fd440ec6p-5, 0x1.bb2161b3c851bp-5, 0x1.b26feed42d6b9p-5, 0x1.a9e484e9eb18ep-5, 0x1.a17ea25e70abp-5, 0x1.993dc6573f0aap-5, 0x1.912170bcb6b26p-5, 0x1.8929224095ca7p-5, 0x1.81545c64341fbp-5, 0x1.79a2a17e6d791p-5, 0x1.721374c14cf2dp-5, 0x1.6aa65a3f68d52p-5, 0x1.635ad6f10511p-5, 0x1.5c3070b8eb262p-5, 0x1.5526ae690529fp-5, 0x1.4e3d17c6b324cp-5, 0x1.4773358eeb4dep-5, 0x1.40c8917a138f3p-5, 0x1.3a3cb63faa7adp-5, 0x1.33cf2f99a6b7fp-5, 0x1.2d7f8a47b2e63p-5, 0x1.274d54121b64ep-5, 0x1.21381bcc9a53cp-5, 0x1.1b3f7158e27cp-5, 0x1.1562e5a8fc7cp-5, 0x1.0fa20ac1703bp-5, 0x1.09fc73bb41acap-5, 0x1.0471b4c5ba91p-5, 0x1.fe02c6500e55ep-6, 0x1.f3562a8550138p-6, 0x1.e8dcc52178216p-6, 0x1.de95c7522cd7dp-6, 0x1.d480647e6dee4p-6, 0x1.ca9bd2482d535p-6, 0x1.c0e7488d94fb4p-6, 0x1.b762016a12fadp-6, 0x1.ae0b39370dac2p-6, 0x1.a4e22e8c5cb77p-6, 0x1.9be622407c71cp-6, 0x1.931657687cf93p-6, 0x1.8a721357b852p-6, 0x1.81f89d9f47c62p-6, 0x1.79a9400d3edcfp-6, 0x1.718346abb510cp-6, 0x1.6985ffbf8b42cp-6, 0x1.61b0bbc70a7a2p-6, 0x1.5a02cd78483c9p-6, 0x1.527b89bf5e906p-6, 0x1.4b1a47bc72093p-6, 0x1.43de60c18c339p-6, 0x1.3cc730504e985p-6, 0x1.35d414177261cp-6, 0x1.2f046bf02df6fp-6, 0x1.285799db6a09bp-6, 0x1.21cd01fed645ap-6, 0x1.1b640aa1de54bp-6, 0x1.151c1c2a76136p-6, 0x1.0ef4a119c8eb6p-6, 0x1.08ed0608db1a9p-6, 0x1.0304b9a4eaf1ep-6, 0x1.fa765957b7da9p-7, 0x1.ef1fa3d0e3e56p-7, 0x1.e4043c5cf1b8bp-7, 0x1.d92310adb63fdp-7, 0x1.ce7b12772d5dap-7, 0x1.c40b376757022p-7, 0x1.b9d2791dcf4a1p-7, 0x1.afcfd52359f44p-7, 0x1.a6024ce1493f1p-7, 0x1.9c68e598a9aap-7, 0x1.9302a8597a61bp-7, 0x1.89cea1f9abf86p-7, 0x1.80cbe30c05c8cp-7, 0x1.77f97fd705b87p-7, 0x1.6f56904b9f9aap-7, 0x1.66e22ffbe4a74p-7, 0x1.5e9b7e11a116ep-7, 0x1.56819d44e1d27p-7, 0x1.4e93b3d27a22fp-7, 0x1.46d0eb72621cbp-7, 0x1.3f38714e23d1fp-7, 0x1.37c975f73a068p-7, 0x1.30832d5d52516p-7, 0x1.2964cec4a47efp-7, 0x1.226d94bc3175dp-7, 0x1.1b9cbd14045c8p-7, 0x1.14f188d376fbap-7, 0x1.0e6b3c2f677cfp-7, 0x1.08091e8076e47p-7, 0x1.01ca7a39444c9p-7, 0x1.f75d39b96abadp-8, 0x1.eb69ade8674a5p-8, 0x1.dfb8f80be11cdp-8, 0x1.d449c5166467ep-8, 0x1.c91ac7cd5c8f5p-8, 0x1.be2ab8b5b5ae5p-8, 0x1.b3785600a1081p-8, 0x1.a90263787aaf4p-8, 0x1.9ec7aa6d9938dp-8, 0x1.94c6f9a35b5b8p-8, 0x1.8aff253d3c08bp-8, 0x1.816f06abf20fcp-8, 0x1.78157c9ac65c6p-8, 0x1.6ef16adce17b2p-8, 0x1.6601ba5acee1p-8, 0x1.5d45590019408p-8, 0x1.54bb39a8fb221p-8, 0x1.4c625410384dap-8, 0x1.4439a4bd03966p-8, 0x1.3c402cf13a37cp-8, 0x1.3474f2976bf8ap-8, 0x1.2cd7003164803p-8, 0x1.256564c6890aap-8, 0x1.1e1f33d28d16dp-8, 0x1.170385343b58ep-8, 0x1.1011751c5f9bp-8, 0x1.094823fcde8p-8, 0x1.02a6b677eda42p-8, 0x1.f858aa9efcd0dp-9, 0x1.ebb05aa9950a5p-9, 0x1.df52deb004c61p-9, 0x1.d33ea0305e7d7p-9, 0x1.c77210666c773p-9, 0x1.bbeba82c25433p-9, 0x1.b0a9e7da470d8p-9, 0x1.a5ab57298790fp-9, 0x1.9aee8513c1c83p-9, 0x1.907207b5db251p-9, 0x1.86347c31add8bp-9, 0x1.7c34869085793p-9, 0x1.7270d1a5ba9ebp-9, 0x1.68e80ef1db3bep-9, 0x1.5f98f6860511ep-9, 0x1.568246e7a2a7cp-9, 0x1.4da2c4f48a35fp-9, 0x1.44f93bc7505cfp-9, 0x1.3c847c9c387b3p-9, 0x1.34435eb619c1fp-9, 0x1.2c34bf43eb7b2p-9, 0x1.24578146a1406p-9, 0x1.1caa8d7726b83p-9, 0x1.152cd22cdc3d6p-9, 0x1.0ddd43446c792p-9, 0x1.06bada06f39d5p-9, 0x1.ff892a22ceb86p-10, 0x1.f1f2f078cceafp-10, 0x1.e4b11908c6ebap-10, 0x1.d7c1bfe41885ap-10, 0x1.cb230b064d7e6p-10, 0x1.bed32a2739708p-10, 0x1.b2d0568dee94ep-10, 0x1.a718d2e44a4a4p-10, 0x1.9baaeb0b0437ap-10, 0x1.9084f3ee97db3p-10, 0x1.85a54b5cb1d42p-10, 0x1.7b0a57da2d4a5p-10, 0x1.70b28879df5fdp-10, 0x1.669c54b3d8daap-10, 0x1.5cc63c3d60747p-10, 0x1.532ec6e15a605p-10, 0x1.49d48459a0c2p-10, 0x1.40b60c28802cap-10, 0x1.37d1fd735c3dep-10, 0x1.2f26fedd46b63p-10, 0x1.26b3be62c20ebp-10, 0x1.1e76f135aa56bp-10, 0x1.166f5399ff3f3p-10, 0x1.0e9ba8c2f9961p-10, 0x1.06fabab0eb6a7p-10, 0x1.ff16b41f1c62ep-11, 0x1.f098bc29abfeep-11, 0x1.e27948c0ecd9p-11, 0x1.d4b621b769a3dp-11, 0x1.c74d1b34359e6p-11, 0x1.ba3c15745eae5p-11, 0x1.ad80fc8e9ba7fp-11, 0x1.a119c836e68c4p-11, 0x1.95047b83d2d4dp-11, 0x1.893f24b4a6fafp-11, 0x1.7dc7dcf85152p-11, 0x1.729cc835aee0ap-11, 0x1.67bc14d44a058p-11, 0x1.5d23fb867d1eap-11, 0x1.52d2bf1493318p-11, 0x1.48c6ac283a8a4p-11, 0x1.3efe191978a35p-11, 0x1.357765bc79d3ap-11, 0x1.2c30fb2fd6151p-11, 0x1.23294bac491cbp-11, 0x1.1a5ed254d2ef5p-11, 0x1.11d01307e5c68p-11, 0x1.097b9a318319dp-11, 0x1.015ffc9ded0cbp-11, 0x1.f2f7ae9ad6f65p-12, 0x1.e39b9e9181557p-12, 0x1.d4a922ec9ed7fp-12, 0x1.c61da4e0aeaabp-12, 0x1.b7f69cb74bb87p-12, 0x1.aa31917e6422p-12, 0x1.9ccc18b8e5298p-12, 0x1.8fc3d610fa2fdp-12, 0x1.83167b0b938ecp-12, 0x1.76c1c6bd6c41ep-12, 0x1.6ac38581a808bp-12, 0x1.5f1990b166fb8p-12, 0x1.53c1ce5d62a49p-12, 0x1.48ba310812a8p-12, 0x1.3e00b761d83c7p-12, 0x1.33936c0630a61p-12, 0x1.2970653a22f24p-12, 0x1.1f95c4abd9a42p-12, 0x1.1601b7342744ep-12, 0x1.0cb27497fc18p-12, 0x1.03a63f4c8a289p-12, 0x1.f5b6c87722d73p-13, 0x1.e4a0751208d14p-13, 0x1.d40646b4a4d83p-13, 0x1.c3e5133c1eccdp-13, 0x1.b439c3ab19faap-13, 0x1.a50153bd663b8p-13, 0x1.9638d17efa60dp-13, 0x1.87dd5ce4e282fp-13, 0x1.79ec2768047dcp-13, 0x1.6c6273a171a4ep-13, 0x1.5f3d94e9ff099p-13, 0x1.527aeefa9f68ep-13, 0x1.4617f58f30e67p-13, 0x1.3a122c0b2f5dep-13, 0x1.2e6725207bee3p-13, 0x1.2314827705b3p-13, 0x1.1817f457933b9p-13, 0x1.0d6f395731bcep-13, 0x1.03181e04e5a0cp-13, 0x1.f220f932c3cap-14, 0x1.deac794ef7767p-14, 0x1.cbcea59e685f4p-14, 0x1.b98380e2dbb36p-14, 0x1.a7c726cd28e7cp-14, 0x1.9695cb6a1006p-14, 0x1.85ebba95d243fp-14, 0x1.75c5576f40413p-14, 0x1.661f1bd07ead4p-14, 0x1.56f597c9d3e8p-14, 0x1.4845711dfbd2fp-14, 0x1.3a0b62c338b97p-14, 0x1.2c443c65fcca2p-14, 0x1.1eece1ee354d5p-14, 0x1.12024b07cc92ep-14, 0x1.058182ad4db6dp-14, 0x1.f2cf4d69bf1b7p-15, 0x1.db63cec18bd25p-15, 0x1.c4bb0de0c133p-15, 0x1.aecfb26b2d47fp-15, 0x1.999c865732603p-15, 0x1.851c751e6b4f4p-15, 0x1.714a8af6a6befp-15, 0x1.5e21f40b9e361p-15, 0x1.4b9dfbbe79dfp-15, 0x1.39ba0bea1d48ap-15, 0x1.2871ac29cfa2bp-15, 0x1.17c08126078dbp-15, 0x1.07a24be4049c6p-15, 0x1.f025d231291fdp-16, 0x1.d21ca10234d6p-16, 0x1.b521287b3ca9bp-16, 0x1.992bc05f66de3p-16, 0x1.7e34f2b9e8cffp-16, 0x1.64357aab8547ap-16, 0x1.4b26433c9c4b5p-16, 0x1.330066347a17ep-16, 0x1.1bbd2afcf0db3p-16, 0x1.055605855dfdbp-16, 0x1.df892a689f134p-17, 0x1.b60547a9f2b45p-17, 0x1.8e14492c5cde9p-17, 0x1.67aa6608c3717p-17, 0x1.42bc2423ccb82p-17, 0x1.1f3e564201a66p-17, 0x1.fa4c344f344c4p-18, 0x1.b8d1ad8496f34p-18, 0x1.79f874c7bb5c4p-18, 0x1.3dac71fc5cc74p-18, 0x1.03da14e3486f8p-18, 0x1.98dca3843caf7p-19, 0x1.2ead3c3a1d241p-19, 0x1.9203b6391dcdbp-20, 0x1.9edd751df16b7p-21, 0x1.5571f630e1131p-24, -0x1.390b5b1ee4575p-21, -0x1.466876439e3d9p-20, -0x1.e89047ef73a3cp-20, -0x1.419d3ee5b2eb7p-19, -0x1.8b516617d22c7p-19, -0x1.d181a5722c73p-19, -0x1.0a251fe515e28p-18, -0x1.29e359f12ce63p-18, -0x1.4808e0ae2e7f1p-18, -0x1.64a2b6c3b7c17p-18, -0x1.7fbd8403b46f4p-18, -0x1.996597b72d14bp-18, -0x1.b1a6ead8015d8p-18, -0x1.c88d224036451p-18, -0x1.de2390cac349fp-18, -0x1.f2753966cf527p-18, -0x1.02c668906069bp-17, -0x1.0bba608d4a274p-17, -0x1.141b943eaa726p-17, -0x1.1beeef2cd2631p-17, -0x1.233939c05bf2ap-17, -0x1.29ff1a2860037p-17, -0x1.30451539fae25p-17, -0x1.360f8f4c3a9e8p-17, -0x1.3b62cd0e24518p-17, -0x1.4042f4566ea02p-17, -0x1.44b40cf016eacp-17, -0x1.48ba01606f79ep-17, -0x1.4c589fa93a1ecp-17, -0x1.4f939a0655822p-17, -0x1.526e87a48f201p-17, -0x1.54ece55814216p-17, -0x1.57121649fde8fp-17, -0x1.58e164a5958f8p-17, -0x1.5a5e023e13b96p-17, -0x1.5b8b093126a4ap-17, -0x1.5c6b7c88bcdd4p-17, -0x1.5d0248d3539adp-17, -0x1.5d5244bcc10ddp-17, -0x1.5d5e31a1380e1p-17, -0x1.5d28bc1deff19p-17, -0x1.5cb47c9c9d162p-17, -0x1.5c03f7dcdcd6cp-17, -0x1.5b199f7a0a0c8p-17, -0x1.59f7d26c6e0d5p-17, -0x1.58a0dd89adab4p-17, -0x1.5716fbff1bfe8p-17, -0x1.555c57cb22475p-17, -0x1.53730a330ee9ep-17, -0x1.515d1c35ac143p-17, -0x1.4f1c86fa3f13dp-17, -0x1.4cb3343feb1c5p-17, -0x1.4a22fec4da3e4p-17, -0x1.476db2b0c14aep-17, -0x1.44950df830a1ap-17, -0x1.419ac0bf2550dp-17, -0x1.3e806db960869p-17, -0x1.3b47aa88bead3p-17, -0x1.37f20016b6219p-17, -0x1.3480eaee53262p-17, -0x1.30f5db929f426p-17, -0x1.2d5236d2f64bap-17, -0x1.2997561d2352ap-17, -0x1.25c687cd52011p-17, -0x1.21e10f7d35574p-17, -0x1.1de8264e3ac5ep-17, -0x1.19dcfb3616d21p-17, -0x1.15c0b344abb89p-17, -0x1.119469eb93966p-17, -0x1.0d5931432db8ep-17, -0x1.0910124ba2c4bp-17, -0x1.04ba0d3019e67p-17, -0x1.0058198464c9ap-17, -0x1.f7d64d075cc73p-18, -0x1.eee83698635d5p-18, -0x1.e5e7ae340e6e9p-18, -0x1.dcd662ffc33b2p-18, -0x1.d3b5f53da9516p-18, -0x1.ca87f6b8a6bb5p-18, -0x1.c14deb2e33579p-18, -0x1.b80948b472284p-18, -0x1.aebb781e2fed9p-18, -0x1.a565d55cfeadap-18, -0x1.9c09afdd87715p-18, -0x1.92a84ae730039p-18, -0x1.8942ddf365719p-18, -0x1.7fda9505f0947p-18, -0x1.76709101f8e6dp-18, -0x1.6d05e7fd39084p-18, -0x1.639ba58faac93p-18, -0x1.5a32cb233b922p-18, -0x1.50cc503f7981fp-18, -0x1.476922d40a1edp-18, -0x1.3e0a27819345ap-18, -0x1.34b039df3b9fep-18, -0x1.2b5c2cc0e01cp-18, -0x1.220eca77ac91bp-18, -0x1.18c8d51435795p-18, -0x1.0f8b06a67987cp-18, -0x1.06561179badafp-18, -0x1.fa5540a35e49fp-19, -0x1.e812ad4677336p-19, -0x1.d5e5a19dc672ep-19, -0x1.c3cf48aca587dp-19, -0x1.b1d0c02602295p-19, -0x1.9feb18d410de3p-19, -0x1.8e1f56fc8d057p-19, -0x1.7c6e72c53847ap-19, -0x1.6ad9589351a4ep-19, -0x1.5960e9673a412p-19, -0x1.4805fb3a1aaa9p-19, -0x1.36c9595401039p-19, -0x1.25abc4a247cf8p-19, -0x1.14adf40bc2a06p-19, -0x1.03d094c15ed8p-19, -0x1.e628951785ab2p-20, -0x1.c4f36036f7ffp-20, -0x1.a402ae9f661bep-20, -0x1.83579302b821fp-20, -0x1.62f30f90f8346p-20, -0x1.42d6168392ceap-20, -0x1.23018a9ecca6p-20, -0x1.03763fb748f0dp-20, -0x1.c869f65ad2adbp-21, -0x1.8a7ce8d23b6d9p-21, -0x1.4d26aa9fc913ap-21, -0x1.1068756fdd6b9p-21, -0x1.a886d368cbc12p-22, -0x1.31711ef3ad0f7p-22, -0x1.77235d002351fp-23, -0x1.1ba8d628935b8p-24, 0x1.641e2333732b2p-25, 0x1.3d6dc4623e45ep-23, 0x1.0fadefb068dd6p-22, 0x1.7f67e03a5eb76p-22, 0x1.ede3cd513110dp-22, 0x1.2d907a9a21196p-21, 0x1.638f5cd02d996p-21, 0x1.98ee4f407f1ap-21, 0x1.cdad245a80bb4p-21, 0x1.00e5df38194e9p-20, 0x1.1aa5078e48657p-20, 0x1.34140b5abb65bp-20, 0x1.4d32f1dfde5dcp-20, 0x1.6601c9322855dp-20, 0x1.7e80a5f6b41fep-20, 0x1.96afa3228c51dp-20, 0x1.ae8ee1bc92ca1p-20, 0x1.c61e88a0c8ff9p-20, 0x1.dd5ec445f4731p-20, 0x1.f44fc6835ecc5p-20, 0x1.0578e32df052fp-19, 0x1.10a27fe2c0a3ap-19, 0x1.1ba4d9bbef567p-19, 0x1.2680135bee04fp-19, 0x1.313451941bea1p-19, 0x1.3bc1bb4c87b48p-19, 0x1.4628796d208e3p-19, 0x1.5068b6c773386p-19, 0x1.5a82a001243bdp-19, 0x1.6476637e82e25p-19, 0x1.6e44314eeb16cp-19, 0x1.77ec3b1872d6p-19, 0x1.816eb40552ec7p-19, 0x1.8acbd0b12c896p-19, 0x1.9403c71759b92p-19, 0x1.9d16ce812233ep-19, 0x1.a6051f7584457p-19, 0x1.aecef3a862a3ep-19, 0x1.b77485eb6b442p-19, 0x1.bff6121df629fp-19, 0x1.c853d51f19b98p-19, 0x1.d08e0cbef794dp-19, 0x1.d8a4f7b0d0ed5p-19, 0x1.e098d57df0206p-19, 0x1.e869e6785cb6ep-19, 0x1.f0186baea384fp-19, 0x1.f7a4a6df79e53p-19, 0x1.ff0eda6e0c28dp-19, 0x1.032ba4ab79e43p-18, 0x1.06bf1b9252c45p-18, 0x1.0a41f3f2c7b26p-18, 0x1.0db450109e247p-18, 0x1.111652675b4a9p-18, 0x1.14681da57ccf3p-18, 0x1.17a9d4a7d2bc7p-18, 0x1.1adb9a750fdbap-18, 0x1.1dfd923962703p-18, 0x1.210fdf42521fdp-18, 0x1.2412a4faefb6p-18, 0x1.270606e7a176fp-18, 0x1.29ea28a2981p-18, 0x1.2cbf2dd82e33ep-18, 0x1.2f853a4356e9bp-18, 0x1.323c71aa5716fp-18, 0x1.34e4f7db92a2ap-18, 0x1.377ef0aa47b97p-18, 0x1.3a0a7febb065p-18, 0x1.3c87c97415b8bp-18, 0x1.3ef6f113fa587p-18, 0x1.41581a957117ep-18, 0x1.43ab69b99d1b7p-18, 0x1.45f10235fca6ap-18, 0x1.482907b256308p-18, 0x1.4a539dc627394p-18, 0x1.4c70e7f6a26p-18, 0x1.4e8109b46161p-18, 0x1.508426597e8d3p-18, 0x1.527a61279450cp-18, 0x1.5463dd45dc25p-18, 0x1.5640bdbf6446bp-18, 0x1.581125815ac15p-18, 0x1.59d5375968e7ap-18, 0x1.5b8d15f40267dp-18, 0x1.5d38e3db0231dp-18, 0x1.5ed8c3742d234p-18, 0x1.606cd6ffca9bp-18, 0x1.61f540975abccp-18, 0x1.6372222c502a7p-18, 0x1.64e39d86e15fdp-18, 0x1.6649d444c54d6p-18, 0x1.67a4e7d8405dep-18, 0x1.68f4f9870032ap-18, 0x1.6a3a2a69404b4p-18, 0x1.6b749b68aaf24p-18, 0x1.6ca46d3f8bba8p-18, 0x1.6dc9c077fe3e2p-18, 0x1.6ee4b56b1e044p-18, 0x1.6ff56c4039928p-18, 0x1.70fc04ec1a88dp-18, 0x1.71f89f30663d6p-18, 0x1.72eb5a9af23d3p-18, 0x1.73d456852a185p-18, 0x1.74b3b213826fcp-18, 0x1.75898c34fd98bp-18, 0x1.765603a294945p-18, 0x1.771936ded6372p-18, 0x1.77d34435726d8p-18, 0x1.788449badbb13p-18, 0x1.792c654be2bbcp-18, 0x1.79cbb48d66af9p-18, 0x1.7a6254ec00106p-18, 0x1.7af0639bb4f5bp-18, 0x1.7b75fd97cc13bp-18, 0x1.7bf33fa285d3fp-18, 0x1.7c684644e2f98p-18, 0x1.7cd52dce82547p-18, 0x1.7d3a125571c69p-18, 0x1.7d970fb60350fp-18, 0x1.7dec4192cda7ep-18, 0x1.7e39c3546cc95p-18, 0x1.7e7fb0298cf14p-18, 0x1.7ebe2306d2193p-18, 0x1.7ef536a6cab6bp-18, 0x1.7f250589f65bdp-18, 0x1.7f4da9f6bd12p-18, 0x1.7f6f3df97489ep-18, 0x1.7f89db6464247p-18, 0x1.7f9d9bcfe17c1p-18, 0x1.7faa989a4774dp-18, 0x1.7fb0eae81966ep-18, 0x1.7fb0aba4223f1p-18, 0x1.7fa9f37f7ad68p-18, 0x1.7f9cdaf1a5544p-18, 0x1.7f897a38c7f9fp-18, 0x1.7f6fe959c47c4p-18, 0x1.7f50402046b65p-18, 0x1.7f2a961f08f95p-18, 0x1.7eff02affcf9ep-18, 0x1.7ecd9cf478c7p-18, 0x1.7e967bd5567eep-18, 0x1.7e59b603389e1p-18, 0x1.7e1761f6be2aep-18, 0x1.7dcf95f0b3222p-18, 0x1.7d8267fa46f03p-18, 0x1.7d2fede55bfecp-18, 0x1.7cd83d4cb4ab2p-18, 0x1.7c7b6b941ff3bp-18, 0x1.7c198de8d116cp-18, 0x1.7bb2b941b372dp-18, 0x1.7b47025f8c892p-18, 0x1.7ad67dcd432f9p-18, 0x1.7a613fe02b5e1p-18, 0x1.79e75cb86a7cdp-18, 0x1.7968e8411d265p-18, 0x1.78e5f6309e58ap-18, 0x1.785e9a08eca0ep-18, 0x1.77d2e717e6585p-18, 0x1.7742f0779931ep-18, 0x1.76aec90e961a2p-18, 0x1.7616839039d96p-18, 0x1.757a327cf8983p-18, 0x1.74d9e822beb76p-18, 0x1.7435b69d2cc44p-18, 0x1.738dafd5fe5e1p-18, 0x1.72e1e58551fb5p-18, 0x1.72326931f99dbp-18, 0x1.717f4c31dbab2p-18, 0x1.70c89faa3bd95p-18, 0x1.700e749009006p-18, 0x1.6f50dba83ba53p-18, 0x1.6e8fe58843803p-18, 0x1.6dcba29635e53p-18, 0x1.6d0423092bb9ep-18, 0x1.6c3976e9a6a11p-18, 0x1.6b6bae11ec0f8p-18, 0x1.6a9ad82e4c7cfp-18, 0x1.69c704bd78ff4p-18, 0x1.68f04310ee82ep-18, 0x1.6816a24d38a99p-18, 0x1.673a316a520f4p-18, 0x1.665aff33efcep-18, 0x1.65791a4a040fep-18, 0x1.64949120e1389p-18, 0x1.63ad7201a68f8p-18, 0x1.62c3cb0a90167p-18, 0x1.61d7aa2f6b8f2p-18, 0x1.60e91d39d9559p-18, 0x1.5ff831c99df15p-18, 0x1.5f04f554f96b7p-18, 0x1.5e0f7529115fap-18, 0x1.5d17be6a403ffp-18, 0x1.5c1dde146575ap-18, 0x1.5b21e0fb37861p-18, 0x1.5a23d3caaf02p-18, 0x1.5923c307504f1p-18, 0x1.5821bb0e7fd15p-18, 0x1.571dc816dd002p-18, 0x1.5617f630984acp-18, 0x1.55105145b96c1p-18, 0x1.5406e51a8a59dp-18, 0x1.52fbbd4def775p-18, 0x1.51eee5599f802p-18, 0x1.50e06892861b4p-18, 0x1.4fd0522923d62p-18, 0x1.4ebead29e171p-18, 0x1.4dab847d460f2p-18, 0x1.4c96e2e85a5d5p-18, 0x1.4b80d30d0f77bp-18, 0x1.4a695f6a7b27bp-18, 0x1.4950925d29754p-18, 0x1.4836761f7a53dp-18, 0x1.471b14c9e077fp-18, 0x1.45fe785347f36p-18, 0x1.44e0aa9152728p-18, 0x1.43c1b538b3784p-18, 0x1.42a1a1dd7a27ap-18, 0x1.418079f3631eep-18, 0x1.405e46ce2bc47p-18, 0x1.3f3b11a1d8e45p-18, 0x1.3e16e382edbdap-18, 0x1.3cf1c566f12c1p-18, 0x1.3bcbc02491659p-18, 0x1.3aa4dc73ea048p-18, 0x1.397d22eef0b16p-18, 0x1.38549c11b083p-18, 0x1.372b503a83a3bp-18, 0x1.360147aa6af0dp-18, 0x1.34d68a8571febp-18, 0x1.33ab20d2cba15p-18, 0x1.327f127d39fap-18, 0x1.315267534ddfdp-18, 0x1.30252707a163p-18, 0x1.2ef759312fff5p-18, 0x1.2dc9054ba706dp-18, 0x1.2c9a32b79530ap-18, 0x1.2b6ae8bab7d7ep-18, 0x1.2a3b2e80475d5p-18, 0x1.290b0b1938decp-18, 0x1.27da857c7b9b6p-18, 0x1.26a9a48743e4dp-18, 0x1.25786efd5dd7bp-18, 0x1.2446eb8952408p-18, 0x1.231520bcb7e38p-18, 0x1.21e31510765b4p-18, 0x1.20b0cee50cb66p-18, 0x1.1f7e5482cd21cp-18, 0x1.1e4bac1a21cb3p-18, 0x1.1d18dbc3b8b14p-18, 0x1.1be5e980e47bfp-18, 0x1.1ab2db3bc690fp-18, 0x1.197fb6c78e7d8p-18, 0x1.184c81e0c9394p-18, 0x1.1719422d7c3e9p-18, 0x1.15e5fd3d86ac9p-18, 0x1.14b2b88ad1fd4p-18, 0x1.137f79798e42dp-18, 0x1.124c455864e25p-18, 0x1.11192160bc4fap-18, 0x1.0fe612b6f809fp-18, 0x1.0eb31e6aa6264p-18, 0x1.0d804976c30b5p-18, 0x1.0c4d98c1fc068p-18, 0x1.0b1b111ecbd47p-18, 0x1.09e8b74bc6b92p-18, 0x1.08b68ff3da327p-18, 0x1.07849fae77a12p-18, 0x1.0652eaffcdedcp-18, 0x1.05217658f0722p-18, 0x1.03f04618345c4p-18, 0x1.02bf5e89464c7p-18, 0x1.018ec3e56d33bp-18, 0x1.005e7a53b1d0cp-18, 0x1.fe5d0bd2456b3p-19, 0x1.fbfdd55207197p-19, 0x1.f99f590a031c7p-19, 0x1.f7419ebaade73p-19, 0x1.f4e4ae021a85bp-19, 0x1.f2888e5c7f32dp-19, 0x1.f02d472458824p-19, 0x1.edd2df92de665p-19, 0x1.eb795ec07dd1bp-19, 0x1.e920cba52032dp-19, 0x1.e6c92d189e2bp-19, 0x1.e47289d31573p-19, 0x1.e21ce86d53804p-19, 0x1.dfc84f6109666p-19, 0x1.dd74c5095acdbp-19, 0x1.db224fa33907bp-19, 0x1.d8d0f54d8075ap-19, 0x1.d680bc099b17fp-19, 0x1.d431a9bbb3493p-19, 0x1.d1e3c42b1dcf5p-19, 0x1.cf971102a8d5ap-19, 0x1.cd4b95d0d9074p-19, 0x1.cb0158086d91dp-19, 0x1.c8b85d00b8ebep-19, 0x1.c670a9f5b347p-19, 0x1.c42a440883c2bp-19, 0x1.c1e5303ff168cp-19, 0x1.bfa1738863c0dp-19, 0x1.bd5f12b44d758p-19, 0x1.bb1e127cb3cc8p-19, 0x1.b8de77815b097p-19, 0x1.b6a04648f6da7p-19, 0x1.b46383419590bp-19, 0x1.b22832c0fc5c3p-19, 0x1.afee5904e184fp-19, 0x1.adb5fa3331041p-19, 0x1.ab7f1a5a7601fp-19, 0x1.a949bd71f8d01p-19, 0x1.a715e75a2618bp-19, 0x1.a4e39bdcf2992p-19, 0x1.a2b2deade2a05p-19, 0x1.a083b36a7b0b3p-19, 0x1.9e561d9a956ebp-19, 0x1.9c2a20b084689p-19, 0x1.99ffc0095bae7p-19, 0x1.97d6feed545b8p-19, 0x1.95afe0900a9f2p-19, 0x1.938a681094cb7p-19, 0x1.91669879f2979p-19, 0x1.8f4474c365521p-19, 0x1.8d23ffd057177p-19, 0x1.8b053c70f55p-19, 0x1.88e82d6269c18p-19, 0x1.86ccd54ed840fp-19, 0x1.84b336cdcc39bp-19, 0x1.829b54648276dp-19, 0x1.80853086263ep-19, 0x1.7e70cd93d8ce1p-19, 0x1.7c5e2ddd1f797p-19, 0x1.7a4d53a038f74p-19, 0x1.783e410a052d1p-19, 0x1.7630f8368d3a9p-19, 0x1.74257b3119f4ap-19, 0x1.721bcbf45d67p-19, 0x1.7013ec6af8912p-19, 0x1.6e0dde6f48abep-19, 0x1.6c09a3cbdf10ep-19, 0x1.6a073e3bd5643p-19, 0x1.6806af6aa1313p-19, 0x1.6607f8f4a49bcp-19, 0x1.640b1c675c7ep-19, 0x1.62101b414fb0ap-19, 0x1.6016f6f2812ecp-19, 0x1.5e1fb0dcb1cd2p-19, 0x1.5c2a4a5346dd2p-19, 0x1.5a36c49bcec28p-19, 0x1.584520ee1dc62p-19, 0x1.5655607439558p-19, 0x1.5467844af1ecfp-19, 0x1.527b8d81ee0b5p-19, 0x1.50917d1bb5b9cp-19, 0x1.4ea9540df8df6p-19, 0x1.4cc31341e089ap-19, 0x1.4adebb941b9a9p-19, 0x1.48fc4dd4f8264p-19, 0x1.471bcac8c8e7bp-19, 0x1.453d3327e822ep-19, 0x1.4360879ef7a14p-19, 0x1.4185c8cefeabdp-19, 0x1.3facf74d966e1p-19, 0x1.3dd613a54631fp-19, 0x1.3c011e554dc39p-19, 0x1.3a2e17d224436p-19, 0x1.385d0085905c2p-19, 0x1.368dd8ce9de2dp-19, 0x1.34c0a1021ddp-19, 0x1.32f5596a84d06p-19, 0x1.312c024828f35p-19, 0x1.2f649bd18a4d3p-19, 0x1.2d9f26334521ap-19, 0x1.2bdba19057a3ep-19, 0x1.2a1a0e025dea6p-19, 0x1.285a6b996ec52p-19, 0x1.269cba5c8b92bp-19, 0x1.24e0fa49bb584p-19, 0x1.23272b55f4d9dp-19, 0x1.216f4d6d77f45p-19, 0x1.1fb960740742dp-19, 0x1.1e056444ba944p-19, 0x1.1c5358b268695p-19, 0x1.1aa33d87b0e8cp-19, 0x1.18f512871b452p-19, 0x1.1748d76b3fd22p-19, 0x1.159e8be6dcc5p-19, 0x1.13f62fa51b618p-19, 0x1.124fc24970d8ep-19, 0x1.10ab436ffa85dp-19, 0x1.0f08b2ad97ddp-19, 0x1.0d680f8fc7d71p-19, 0x1.0bc9599d2f40dp-19, 0x1.0a2c9055628bep-19, 0x1.0891b33125caep-19, 0x1.06f8c1a2a1ba9p-19, 0x1.0561bb15465b7p-19, 0x1.03cc9eee23249p-19, 0x1.02396c8be951cp-19, 0x1.00a82346f926p-19, 0x1.fe3184e369dc3p-20, 0x1.fb1692b0a24f5p-20, 0x1.f7ff6e824b931p-20, 0x1.f4ec16d9af898p-20, 0x1.f1dc8a2c56f4dp-20, 0x1.eed0c6e4bc2bp-20, 0x1.ebc8cb628ba65p-20, 0x1.e8c495fa5db11p-20, 0x1.e5c424f65d923p-20, 0x1.e2c776965ad88p-20, 0x1.dfce890fe62d4p-20, 0x1.dcd95a8e865d2p-20, 0x1.d9e7e9341ef42p-20, 0x1.d6fa3318d244p-20, 0x1.d410364b4fca2p-20, 0x1.d129f0d14d3e5p-20, 0x1.ce4760a717e41p-20, 0x1.cb6883c057632p-20, 0x1.c88d58080b79p-20, 0x1.c5b5db606cd7bp-20, 0x1.c2e20ba3b6e92p-20, 0x1.c011e6a3b10e6p-20, 0x1.bd456a2a3d965p-20, 0x1.ba7c93f97ea24p-20, 0x1.b7b761cbb9535p-20, 0x1.b4f5d153edf9fp-20, 0x1.b237e03d8d25p-20, 0x1.af7d8c2d0698bp-20, 0x1.acc6d2bfb117ep-20, 0x1.aa13b18becfadp-20, 0x1.a7642621a1da5p-20, 0x1.a4b82e09eb8cfp-20, 0x1.a20fc6c7855fcp-20, 0x1.9f6aedd719a3bp-20, 0x1.9cc9a0aef46e8p-20, 0x1.9a2bdcbf7a5bp-20, 0x1.97919f73622eap-20, 0x1.94fae62f7d82p-20, 0x1.9267ae531f5d7p-20, 0x1.8fd7f538501a8p-20, 0x1.8d4bb8339aa95p-20, 0x1.8ac2f4948fffbp-20, 0x1.883da7a5ac94ap-20, 0x1.85bbceac70963p-20, 0x1.833d66e9debc4p-20, 0x1.80c26d9a0460ap-20, 0x1.7e4adff4a1d3p-20, 0x1.7bd6bb2d16bf4p-20, 0x1.7965fc7252096p-20, 0x1.76f8a0ef553c9p-20, 0x1.748ea5caf1ac3p-20, 0x1.722808282a73fp-20, 0x1.6fc4c5261d686p-20, 0x1.6d64d9e062c86p-20, 0x1.6b08436ed0228p-20, 0x1.68aefee5def0cp-20, 0x1.66590956c71d5p-20, 0x1.64065fcf46844p-20, 0x1.61b6ff5a2ec28p-20, 0x1.5f6ae4ff35f1p-20, 0x1.5d220dc3149e9p-20, 0x1.5adc76a7cf991p-20, 0x1.589a1cac967e8p-20, 0x1.565afccdf5504p-20, 0x1.541f140621b1bp-20, 0x1.51e65f4c8c3a8p-20, 0x1.4fb0db969fd8cp-20, 0x1.4d7e85d760f8ep-20, }}, 
      {{-0x1.ebfe101c00a45p-15, -0x1.f433f27825a4p-13, -0x1.184c4315e52a3p-11, -0x1.df25817e457b3p-11, -0x1.5933088d17189p-10, -0x1.b619bf5031d98p-10, -0x1.f401b78ab98ap-10, -0x1.0228b10232f75p-9, -0x1.ddb8340a07ff4p-10, -0x1.7c7d2bbd4f11p-10, -0x1.c3b0477724f27p-11, -0x1.2c0c2d74ba46bp-14, 0x1.d2e0bb9d84428p-11, 0x1.0526a54e35d4bp-9, 0x1.a3b3098304889p-9, 0x1.2645491e0859fp-8, 0x1.7e41253d77cc4p-8, 0x1.d89d24fe88eb9p-8, 0x1.1a49db67782f5p-7, 0x1.48e276f3ebc35p-7, 0x1.78158d3fd4bcdp-7, 0x1.a805a10d21837p-7, 0x1.d8f1c64d982ap-7, 0x1.059651a1d825ap-6, 0x1.1f89eb957de78p-6, 0x1.3a841958a0969p-6, 0x1.56b383874785fp-6, 0x1.74425815aaa81p-6, 0x1.9354324b6049ap-6, 0x1.b404a14172bbcp-6, 0x1.d666416ee6926p-6, 0x1.fa825918c9b04p-6, 0x1.102c725dd7f62p-5, 0x1.23f07fae68df8p-5, 0x1.3884c963764dbp-5, 0x1.4ddd1e5bfa2dap-5, 0x1.63ea2bd49f99p-5, 0x1.7a9a0bf2befe1p-5, 0x1.91d8d7eea8a4bp-5, 0x1.a991387a771cap-5, 0x1.c1acf01e50071p-5, 0x1.da155c4b8ae11p-5, 0x1.f2b3ead684012p-5, 0x1.05b9412b904f7p-4, 0x1.121dee50928adp-4, 0x1.1e7de98bb56fbp-4, 0x1.2acfce88e78c3p-4, 0x1.370b0073cdd0ep-4, 0x1.4327bc392f3bap-4, 0x1.4f1f250566668p-4, 0x1.5aeb4b8ec4af1p-4, 0x1.668730c1e64d8p-4, 0x1.71eec46751cbbp-4, 0x1.7d1ee056a1c83p-4, 0x1.881540c538ce7p-4, 0x1.92d07a35abde4p-4, 0x1.9d4fed83000a4p-4, 0x1.a793ba77978dep-4, 0x1.b19cb15431343p-4, 0x1.bb6c439ffdbe2p-4, 0x1.c504748f72fafp-4, 0x1.ce67c9451a006p-4, 0x1.d7993925747ebp-4, 0x1.e09c1e6e05a5ap-4, 0x1.e974273735207p-4, 0x1.f22547010e996p-4, 0x1.fab3a8e453ad4p-4, 0x1.0191d13db15ccp-3, 0x1.05bcd3c892893p-3, 0x1.09dd1f4fea647p-3, 0x1.0df4fb12bd126p-3, 0x1.1206ad685ea8cp-3, 0x1.16147742e9188p-3, 0x1.1a20901c7efccp-3, 0x1.1e2d224d26995p-3, 0x1.223c47c638bd2p-3, 0x1.2650072fd19e3p-3, 0x1.2a6a516421847p-3, 0x1.2e8cff4430526p-3, 0x1.32b9cfe15d19bp-3, 0x1.36f266f6b3682p-3, 0x1.3b384bad23ab3p-3, 0x1.3f8ce7a58e1cdp-3, 0x1.43f18643aa13dp-3, 0x1.48675434da977p-3, 0x1.4cef5f2e15546p-3, 0x1.518a95dc243dfp-3, 0x1.5639c801b9a79p-3, 0x1.5afda6bef2b2bp-3, 0x1.5fd6c4fe0c62fp-3, 0x1.64c598014c5cbp-3, 0x1.69ca780e55bb7p-3, 0x1.6ee5a1333e946p-3, 0x1.7417342215527p-3, 0x1.795f371f91691p-3, 0x1.7ebd970205759p-3, 0x1.8432283dc0a69p-3, 0x1.89bca7fc4e573p-3, 0x1.8f5cbd3c308adp-3, 0x1.9511f9f6ea404p-3, 0x1.9adbdc4b4573p-3, 0x1.a0b9cfaa0fc9ep-3, 0x1.a6ab2e0390df6p-3, 0x1.acaf40f448b31p-3, 0x1.b2c542ef806ebp-3, 0x1.b8ec606691625p-3, 0x1.bf23b8ebb4828p-3, 0x1.c56a604f7696bp-3, 0x1.cbbf5fb7ec657p-3, 0x1.d221b6b0f9957p-3, 0x1.d8905c3504054p-3, 0x1.df0a3fad8ec65p-3, 0x1.e58e49eb508b8p-3, 0x1.ec1b5e1562248p-3, 0x1.f2b05a8f51218p-3, 0x1.f94c19d5ca181p-3, 0x1.ffed7351c8102p-3, 0x1.03499e11183c5p-2, 0x1.069e23ede81a1p-2, 0x1.09f3b49fdb1c8p-2, 0x1.0d49b9740afe9p-2, 0x1.109f9bf5d1cd9p-2, 0x1.13f4c63bd8073p-2, 0x1.1748a33089cd7p-2, 0x1.1a9a9ed610a65p-2, 0x1.1dea2685ec2c4p-2, 0x1.2136a92c4644fp-2, 0x1.247f977f1f045p-2, 0x1.27c4643172898p-2, 0x1.2b0484227f8a7p-2, 0x1.2e3f6e89464d4p-2, 0x1.31749d1c6c7afp-2, 0x1.34a38c36aa4d7p-2, 0x1.37cbbaf7deff7p-2, 0x1.3aecab62f4f5ep-2, 0x1.3e05e278ba233p-2, 0x1.4116e84fd1252p-2, 0x1.441f4829dba9bp-2, 0x1.471e9086053efp-2, 0x1.4a1453310dc78p-2, 0x1.4d002552f571dp-2, 0x1.4fe19f7a70753p-2, 0x1.52b85da63c86fp-2, 0x1.5583ff4c76614p-2, 0x1.58442760159e6p-2, 0x1.5af87c54a2b2fp-2, 0x1.5da0a8204aa76p-2, 0x1.603c583c668d8p-2, 0x1.62cb3da4942a5p-2, 0x1.654d0cd472bcfp-2, 0x1.67c17dc427f34p-2, 0x1.6a284be3b5676p-2, 0x1.6c8136153fa2bp-2, 0x1.6ecbfea65366ap-2, 0x1.71086b48439f7p-2, 0x1.73364507af653p-2, 0x1.755558433fe01p-2, 0x1.776574a1b40e5p-2, 0x1.79666d07472bep-2, 0x1.7b58178a7e0cbp-2, 0x1.7d3a4d687015bp-2, 0x1.7f0ceaf89581p-2, 0x1.80cfcfa026cd9p-2, 0x1.8282ddc51a1bp-2, 0x1.8425fac0c9711p-2, 0x1.85b90ed24dd18p-2, 0x1.873c051097e1cp-2, 0x1.88aecb5c4b71dp-2, 0x1.8a1152516e97dp-2, 0x1.8b638d38ec606p-2, 0x1.8ca571f9f5a0dp-2, 0x1.8dd6f90b4929p-2, 0x1.8ef81d646516p-2, 0x1.9008dc6eaaf35p-2, 0x1.910935f67b106p-2, 0x1.91f92c1c485bbp-2, 0x1.92d8c345b114cp-2, 0x1.93a8020e9a923p-2, 0x1.9466f13a57956p-2, 0x1.95159ba4d84c4p-2, 0x1.95b40e33ed3b2p-2, 0x1.964257c89d818p-2, 0x1.96c089308f973p-2, 0x1.972eb5178ff19p-2, 0x1.978ceff92fd96p-2, 0x1.97db501282995p-2, 0x1.9819ed53f9052p-2, 0x1.9848e1535fbf7p-2, 0x1.9868473dfe0b4p-2, 0x1.98783bcadd844p-2, 0x1.9878dd2d3181ap-2, 0x1.986a4b06ebc58p-2, 0x1.984ca65b745c2p-2, 0x1.982011828d753p-2, 0x1.97e4b01b60956p-2, 0x1.979aa6ffb51eep-2, 0x1.97421c3754978p-2, 0x1.96db36eb9b5a9p-2, 0x1.96661f5b3463dp-2, 0x1.95e2fece01f7bp-2, 0x1.9551ff89371cp-2, 0x1.94b34cc39a68bp-2, 0x1.94071299fc4d8p-2, 0x1.934d7e03d71fbp-2, 0x1.9286bcc823ee3p-2, 0x1.91b2fd7257cccp-2, 0x1.90d26f4795041p-2, 0x1.8fe5423c098f1p-2, 0x1.8eeba6e87d882p-2, 0x1.8de5ce8011168p-2, 0x1.8cd3eac627a82p-2, 0x1.8bb62e048862fp-2, 0x1.8a8ccb01a77d1p-2, 0x1.8957f4f7237acp-2, 0x1.8817df886df65p-2, 0x1.86ccbeb9a68cp-2, 0x1.8576c6e6a3829p-2, 0x1.84162cba2ad4ep-2, 0x1.82ab25255656p-2, 0x1.8135e5572d7c1p-2, 0x1.7fb6a2b464ff1p-2, 0x1.7e2d92cf53ae4p-2, 0x1.7c9aeb60125fcp-2, 0x1.7afee23cc76a5p-2, 0x1.7959ad522605p-2, 0x1.77ab829c145a7p-2, 0x1.75f4981e85117p-2, 0x1.743523de76a81p-2, 0x1.726d5bdb27251p-2, 0x1.709d76076e0cbp-2, 0x1.6ec5a8434412bp-2, 0x1.6ce6285577382p-2, 0x1.6aff2be58a734p-2, 0x1.6910e875c071bp-2, 0x1.671b935d4e5fcp-2, 0x1.651f61c2be3p-2, 0x1.631c889677966p-2, 0x1.61133c8d7179bp-2, 0x1.5f03b21c0fd0ep-2, 0x1.5cee1d7128a46p-2, 0x1.5ad2b2713115bp-2, 0x1.58b1a4b1950fbp-2, 0x1.568b277432972p-2, 0x1.545f6da301f7p-2, 0x1.522ea9cbe03b4p-2, 0x1.4ff90e1c81b0bp-2, 0x1.4dbecc5e8aa8ep-2, 0x1.4b8015f3cd2fp-2, 0x1.493d1bd2ac1f1p-2, 0x1.46f60e82a39f9p-2, 0x1.44ab1e18f3078p-2, 0x1.425c7a3570fd5p-2, 0x1.400a51ff7a69cp-2, 0x1.3db4d4230ba37p-2, 0x1.3b5c2ecdf5cp-2, 0x1.39008fad3b7aap-2, 0x1.36a223ea895ebp-2, 0x1.34411829d4a71p-2, 0x1.31dd9887140f7p-2, 0x1.2f77d09420abcp-2, 0x1.2d0feb56abdbfp-2, 0x1.2aa613465f07bp-2, 0x1.283a724b1005cp-2, 0x1.25cd31bb18b2dp-2, 0x1.235e7a59caadcp-2, 0x1.20ee7455fde8p-2, 0x1.1e7d4748bc3d2p-2, 0x1.1c0b1a340a10ep-2, 0x1.19981381c8e07p-2, 0x1.17245902b2e5p-2, 0x1.14b00fed726bfp-2, 0x1.123b5cddd391bp-2, 0x1.0fc663d40cdc1p-2, 0x1.0d5148341f237p-2, 0x1.0adc2cc552123p-2, 0x1.086733b1c079ap-2, 0x1.05f27e8603703p-2, 0x1.037e2e30ec639p-2, 0x1.010a63035b509p-2, 0x1.fd2e7960461c6p-3, 0x1.f849b498145cfp-3, 0x1.f366b49bb1423p-3, 0x1.ee85b51cfb0bdp-3, 0x1.e9a6f0928a8b4p-3, 0x1.e4caa038498d4p-3, 0x1.dff0fc10272bfp-3, 0x1.db1a3ae2f1122p-3, 0x1.d646924150cf4p-3, 0x1.d1763684e8d5cp-3, 0x1.cca95ad18d9eep-3, 0x1.c7e03116a4a1cp-3, 0x1.c31aea1098668p-3, 0x1.be59b54a750f6p-3, 0x1.b99cc11f92f58p-3, 0x1.b4e43abd67f8bp-3, 0x1.b0304e2568a5p-3, 0x1.ab81262f0ba67p-3, 0x1.a6d6ec89ded3bp-3, 0x1.a231c9bfb4da5p-3, 0x1.9d91e536eaabp-3, 0x1.98f76534bd9b7p-3, 0x1.94626edfbf716p-3, 0x1.8fd326425419ap-3, 0x1.8b49ae4d455d7p-3, 0x1.86c628da6bb38p-3, 0x1.8248b6af6362p-3, 0x1.7dd177805256cp-3, 0x1.796089f2c1596p-3, 0x1.74f60ba07fcbbp-3, 0x1.7092191a965e3p-3, 0x1.6c34cdec4533dp-3, 0x1.67de449e11dacp-3, 0x1.638e96b8dd306p-3, 0x1.5f45dcc906766p-3, 0x1.5b042e6198f63p-3, 0x1.56c9a21f7e0a9p-3, 0x1.52964dacbefe1p-3, 0x1.4e6a45c3ca6e6p-3, 0x1.4a459e32be15ap-3, 0x1.462869dec3edap-3, 0x1.4212bac7605efp-3, 0x1.3e04a209dbb48p-3, 0x1.39fe2fe4a2c3dp-3, 0x1.35ff73baae9e1p-3, 0x1.32087c16f34bp-3, 0x1.2e1956afce83dp-3, 0x1.2a32106a7ad3bp-3, 0x1.2652b55e80f64p-3, 0x1.227b50d932e2ep-3, 0x1.1eabed611eed7p-3, 0x1.1ae494b9866b8p-3, 0x1.17254fe5d7dedp-3, 0x1.136e272d24b93p-3, 0x1.0fbf221d964p-3, 0x1.0c18478fe5f36p-3, 0x1.08799daacd2acp-3, 0x1.04e329e67672fp-3, 0x1.0154f10feeec6p-3, 0x1.fb9dee991f7e2p-4, 0x1.f4a2803acd5a1p-4, 0x1.edb79cc53b874p-4, 0x1.e6dd48bdb0fdap-4, 0x1.e0138775255d4p-4, 0x1.d95a5b0ef42b9p-4, 0x1.d2b1c48779318p-4, 0x1.cc19c3bab5a58p-4, 0x1.c592576ade773p-4, 0x1.bf1b7d46e00c5p-4, 0x1.b8b531f0daf4ap-4, 0x1.b25f7104863a9p-4, 0x1.ac1a351d9fc61p-4, 0x1.a5e577de32879p-4, 0x1.9fc131f4e1e9bp-4, 0x1.99ad5b2315985p-4, 0x1.93a9ea432cd88p-4, 0x1.8db6d54e9262fp-4, 0x1.87d41163c3395p-4, 0x1.820192cc47698p-4, 0x1.7c3f4d029eacap-4, 0x1.768d32b81573bp-4, 0x1.70eb35da8dd06p-4, 0x1.6b59479a347d7p-4, 0x1.65d7586f28e18p-4, 0x1.6065581f0ee81p-4, 0x1.5b0335c2937b8p-4, 0x1.55b0dfcad9995p-4, 0x1.506e4406dd8c3p-4, 0x1.4b3b4fa8bdfp-4, 0x1.4617ef4af729cp-4, 0x1.41040ef58a1dap-4, 0x1.3bff9a2312882p-4, 0x1.370a7bc5c75a7p-4, 0x1.32249e4c6b6dfp-4, 0x1.2d4deba729a2dp-4, 0x1.28864d4c5dfedp-4, 0x1.23cdac3d4d8e6p-4, 0x1.1f23f10ac658cp-4, 0x1.1a8903d9b4122p-4, 0x1.15fccc679b787p-4, 0x1.117f320f03371p-4, 0x1.0d101bcbcd7dp-4, 0x1.08af703f78976p-4, 0x1.045d15b554fe3p-4, 0x1.0018f2269dfffp-4, 0x1.f7c5d67d0e551p-5, 0x1.ef75ccbc69316p-5, 0x1.e74191413bea8p-5, 0x1.df28edbcc5c9cp-5, 0x1.d72bab630fb9bp-5, 0x1.cf4992f24d52ap-5, 0x1.c7826cba04e74p-5, 0x1.bfd600a22ae76p-5, 0x1.b844163204421p-5, 0x1.b0cc7496f2f83p-5, 0x1.a96ee2ab0d335p-5, 0x1.a22b26fba8669p-5, 0x1.9b0107cfa791p-5, 0x1.93f04b2db571dp-5, 0x1.8cf8b6e25be73p-5, 0x1.861a1085eabfcp-5, 0x1.7f541d8251e0dp-5, 0x1.78a6a318bccc6p-5, 0x1.72116667255aep-5, 0x1.6b942c6dbd4aap-5, 0x1.652eba142c2ecp-5, 0x1.5ee0d42eb67eap-5, 0x1.58aa3f834555cp-5, 0x1.528ac0ce44547p-5, 0x1.4c821cc76d35p-5, 0x1.46901826621f1p-5, 0x1.40b477a7398d9p-5, 0x1.3aef000ee272cp-5, 0x1.353f762f6a741p-5, 0x1.2fa59eec27a65p-5, 0x1.2a213f3dc56fcp-5, 0x1.24b21c36359e9p-5, 0x1.1f57fb0477a0ep-5, 0x1.1a12a0f85acf6p-5, 0x1.14e1d3860d001p-5, 0x1.0fc558499a511p-5, 0x1.0abcf50a51dcdp-5, 0x1.05c86fbe095abp-5, 0x1.00e78e8c4b49dp-5, 0x1.f8342fa2cae22p-6, 0x1.eebfa442c5ee4p-6, 0x1.e5710895dbb28p-6, 0x1.dc47eab427c4cp-6, 0x1.d343d935e1155p-6, 0x1.ca6463388a7efp-6, 0x1.c1a91863f2c84p-6, 0x1.b91188eefd0edp-6, 0x1.b09d45a43d908p-6, 0x1.a84bdfe674aep-6, 0x1.a01ce9b4ce1dbp-6, 0x1.980ff5aefa1e1p-6, 0x1.902497192a82ap-6, 0x1.885a61dfc7fa3p-6, 0x1.80b0ea9b23d07p-6, 0x1.7927c692dadf4p-6, 0x1.71be8bc1300e7p-6, 0x1.6a74d0d62e87cp-6, 0x1.634a2d3ab1e1dp-6, 0x1.5c3e39133c54bp-6, 0x1.55508d42b0c8cp-6, 0x1.4e80c36cec86bp-6, 0x1.47ce75f935fb5p-6, 0x1.4139401489b3ap-6, 0x1.3ac0bdb3d1895p-6, 0x1.34648b95f02d8p-6, 0x1.2e244745a7686p-6, 0x1.27ff8f1b7a201p-6, 0x1.21f6023f46981p-6, 0x1.1c0740a9f0e1p-6, 0x1.1632eb26c635p-6, 0x1.1078a354e2711p-6, 0x1.0ad80ba86cbdbp-6, 0x1.0550c76bb48d4p-6, 0x1.ffc4f5808ae8ep-7, 0x1.f519953f9ec3bp-7, 0x1.ea9eb9b9f209dp-7, 0x1.e053b04857bf5p-7, 0x1.d637c7f85b5c8p-7, 0x1.cc4a518d6dfb4p-7, 0x1.c28a9f81c61cfp-7, 0x1.b8f8060739cf1p-7, 0x1.af91db07d2718p-7, 0x1.a657762634dbdp-7, 0x1.9d4830bdf89eep-7, 0x1.946365e3bbb96p-7, 0x1.8ba872652dd9bp-7, 0x1.8316b4c8df1cp-7, 0x1.7aad8d4de8c86p-7, 0x1.726c5deb906fep-7, 0x1.6a528a50b58e7p-7, 0x1.625f77e2fd078p-7, 0x1.5a928dbe48a21p-7, 0x1.52eb34b368142p-7, 0x1.4b68d7475c6c2p-7, 0x1.440ae1b205979p-7, 0x1.3cd0c1dcd90fep-7, 0x1.35b9e761929d9p-7, 0x1.2ec5c388ab1fep-7, 0x1.27f3c947d7a2p-7, 0x1.21436d403d251p-7, 0x1.1ab425bcca696p-7, 0x1.14456ab04de29p-7, 0x1.0df6b5b3953dp-7, 0x1.07c782034ed2ep-7, 0x1.01b74c7e0f048p-7, 0x1.f78b27441172p-8, 0x1.ebe3af15d8dd6p-8, 0x1.e07733df07338p-8, 0x1.d544bc3eaa51bp-8, 0x1.ca4b52006cabp-8, 0x1.bf8a0217ae778p-8, 0x1.b4ffdc9a2c9c4p-8, 0x1.aaabf4baefa1bp-8, 0x1.a08d60c50e316p-8, 0x1.96a33a160d574p-8, 0x1.8cec9d186cac1p-8, 0x1.8368a93e02a61p-8, 0x1.7a1680fa759f5p-8, 0x1.70f549bd1dfd5p-8, 0x1.68042beb90f34p-8, 0x1.5f4252db4c0e5p-8, 0x1.56aeeccc0012cp-8, 0x1.4e492ae16f32cp-8, 0x1.4610411d31efcp-8, 0x1.3e036658b24f9p-8, 0x1.3621d43ed6487p-8, 0x1.2e6ac745c69aep-8, 0x1.26dd7ea897d5fp-8, 0x1.1f793c60e3976p-8, 0x1.183d45207b223p-8, 0x1.1128e04af7e5p-8, 0x1.0a3b57ef1b4f1p-8, 0x1.0373f8c08ea12p-8, 0x1.f9a4242271d02p-9, 0x1.eca9eb9579501p-9, 0x1.dff7f0cfe7ae8p-9, 0x1.d38ce1dcae086p-9, 0x1.c76771cefe739p-9, 0x1.bb8658b4d62d5p-9, 0x1.afe8538a09d41p-9, 0x1.a48c242adf597p-9, 0x1.997091472dfp-9, 0x1.8e946654b3df5p-9, 0x1.83f6738288124p-9, 0x1.79958dab40a1bp-9, 0x1.6f708e483488cp-9, 0x1.658653641bc86p-9, 0x1.5bd5bf8e22f26p-9, 0x1.525db9ccc9398p-9, 0x1.491d2d908a26cp-9, 0x1.40130aa72df0fp-9, 0x1.373e452e9c4a8p-9, 0x1.2e9dd587fa9ebp-9, 0x1.2630b84a9563fp-9, 0x1.1df5ee37616d6p-9, 0x1.15ec7c2bb9e47p-9, 0x1.0e136b14f66eap-9, 0x1.0669c7e38e7b8p-9, 0x1.fddd46fd0703fp-10, 0x1.ef42256d2942bp-10, 0x1.e1005c746234dp-10, 0x1.d31625110d926p-10, 0x1.c581bfcb00e04p-10, 0x1.b841749a6e8ccp-10, 0x1.ab5392cf754f2p-10, 0x1.9eb670fa5bcbp-10, 0x1.92686cd2674a1p-10, 0x1.8667eb1ed6c68p-10, 0x1.7ab3579e59858p-10, 0x1.6f4924efe2b9cp-10, 0x1.6427cc7a6cad8p-10, 0x1.594dce56c1d7p-10, 0x1.4eb9b136d50d4p-10, 0x1.446a0250271c1p-10, 0x1.3a5d5543fa85ap-10, 0x1.309244095f04ap-10, 0x1.27076ed62c964p-10, 0x1.1dbb7c09095afp-10, 0x1.14ad181344aedp-10, 0x1.0bdaf562f38eap-10, 0x1.0343cc4d2d4dcp-10, 0x1.f5ccb5f171187p-11, 0x1.e582ca90ad1eap-11, 0x1.d5a7698c392fdp-11, 0x1.c638311bee26ap-11, 0x1.b732ca733dc3p-11, 0x1.a894e996b317cp-11, 0x1.9a5c4d33fea49p-11, 0x1.8c86be79ffbb8p-11, 0x1.7f1210f02eb38p-11, 0x1.71fc224f628dfp-11, 0x1.6542da5aedc1fp-11, 0x1.58e42ab9c0a86p-11, 0x1.4cde0ed05009ep-11, 0x1.412e8b9a8e5d5p-11, 0x1.35d3af861ad7ap-11, 0x1.2acb924e41ee7p-11, 0x1.201454d60980ap-11, 0x1.15ac2104f867dp-11, 0x1.0b9129a2891dfp-11, 0x1.01c1aa3385ecfp-11, 0x1.f077cdab90bafp-12, 0x1.ddfc583d3ce0ep-12, 0x1.cc0d9df124e2ap-12, 0x1.baa85900ce729p-12, 0x1.a9c953ca32129p-12, 0x1.996d688bd248bp-12, 0x1.899181247a397p-12, 0x1.7a3296d0e707cp-12, 0x1.6b4db1eeed6ebp-12, 0x1.5cdfe9bbf8268p-12, 0x1.4ee66417fd4ddp-12, 0x1.415e554886bcdp-12, 0x1.3444ffba9e9e7p-12, 0x1.2797b3c805c27p-12, 0x1.1b53cf7c703dfp-12, 0x1.0f76be5a134e3p-12, 0x1.03fdf920a12e1p-12, 0x1.f1ce0b2aed6d7p-13, 0x1.dc5eec91ae32fp-13, 0x1.c7a9d4c2f9ca4p-13, 0x1.b3aa1ac8e25d5p-13, 0x1.a05b2dfdb1c18p-13, 0x1.8db895a4b759dp-13, 0x1.7bbdf07eb9fb7p-13, 0x1.6a66f4628df84p-13, 0x1.59af6dd8915ap-13, 0x1.49933fb4bc3a7p-13, 0x1.3a0e62b4d5405p-13, 0x1.2b1ce51c69414p-13, 0x1.1cbaea566b3f4p-13, 0x1.0ee4aa94f0b5cp-13, 0x1.01967272f4b84p-13, 0x1.e99945359b0bcp-14, 0x1.d1075ecbf21bfp-14, 0x1.b9704110bffecp-14, 0x1.a2cd216aad49fp-14, 0x1.8d175a8ef9217p-14, 0x1.78486bdc9e85ep-14, 0x1.6459f8aaab052p-14, 0x1.5145c7a7c6b12p-14, 0x1.3f05c2308f8ep-14, 0x1.2d93f3b40c8f7p-14, 0x1.1cea890d5448p-14, 0x1.0d03cfec581c1p-14, 0x1.fbb46c6e55f64p-15, 0x1.ded092e8f2467p-15, 0x1.c3516c636f123p-15, 0x1.a92c8ee8aa209p-15, 0x1.9057cc4a67d3bp-15, 0x1.78c9310038718p-15, 0x1.6277031b38e45p-15, 0x1.4d57c11c875e4p-15, 0x1.396220f4695a4p-15, 0x1.268d0eedb2c64p-15, 0x1.14cfaca7e5c9bp-15, 0x1.042150107216bp-15, 0x1.e8f304cf1abacp-16, 0x1.cb9ffe75a19fdp-16, 0x1.b03966eed2f3ap-16, 0x1.96af78e19ce21p-16, 0x1.7ef2cdde1e482p-16, 0x1.68f45c90baf41p-16, 0x1.54a576de1a72fp-16, 0x1.41f7c83378f02p-16, 0x1.30dd53b2a0b8cp-16, 0x1.2148727cb32c7p-16, 0x1.132bd1fc3e40fp-16, 0x1.067a724154fddp-16, 0x1.f64f48b7567a5p-17, 0x1.e24e1165d40b5p-17, 0x1.d0d91afad88c1p-17, 0x1.c1d8da534af37p-17, 0x1.b53659a4a8ddbp-17, 0x1.aadb35937d0a8p-17, 0x1.a2b19a1a80a6p-17, 0x1.9ca43fb14c9e5p-17, 0x1.989e68828a766p-17, 0x1.968bdd6881245p-17, 0x1.9658eb5f3b9a3p-17, 0x1.97f260a93ed1dp-17, 0x1.9b458a39e7382p-17, 0x1.a04030fe06642p-17, 0x1.a6d097622c9fp-17, 0x1.aee576b8c4cd3p-17, 0x1.b86dfcc1dd4eep-17, 0x1.c359c937afc5ap-17, 0x1.cf98eb7121aa2p-17, 0x1.dd1bdff84a1dp-17, 0x1.ebd38e49110a6p-17, 0x1.fbb1467686173p-17, 0x1.06535f862acefp-16, 0x1.0f53095fb1ad2p-16, 0x1.18d0df2bc7fdcp-16, 0x1.22c64f4c746a1p-16, 0x1.2d2cf709fe6d7p-16, 0x1.37fea1a164fdfp-16, 0x1.433547349192cp-16, 0x1.4ecb0bd4bf023p-16, 0x1.5aba3e933f094p-16, 0x1.66fd587e3a5ecp-16, 0x1.738efbc732845p-16, 0x1.8069f2c754eb6p-16, 0x1.8d892f2a30983p-16, 0x1.9ae7c901b6e26p-16, 0x1.a880fdf231cp-16, 0x1.b65030525883dp-16, 0x1.c450e65fb5b94p-16, 0x1.d27ec9684c672p-16, 0x1.e0d5a500dc622p-16, 0x1.ef51663a9e6efp-16, 0x1.fdee1ae635558p-16, 0x1.0653f862d06b7p-15, 0x1.0dbd9a7029e3cp-15, 0x1.1532295cf9709p-15, 0x1.1cafe9d3a8b9bp-15, 0x1.24352f0c57194p-15, 0x1.2bc05a75e30dbp-15, 0x1.334fdb5d76d96p-15, 0x1.3ae22ea22b487p-15, 0x1.4275de586af13p-15, 0x1.4a0981827ac77p-15, 0x1.519bbbbb37de2p-15, 0x1.592b3cecf9b8cp-15, 0x1.60b6c100e2fc4p-15, 0x1.683d0f9a14c1bp-15, 0x1.6fbcfbc7446c1p-15, 0x1.773563bfcc001p-15, 0x1.7ea5309966779p-15, 0x1.860b5607359e8p-15, 0x1.8d66d21555985p-15, 0x1.94b6ace46d82ap-15, 0x1.9bf9f86d57082p-15, 0x1.a32fd03fbf002p-15, 0x1.aa575942d5846p-15, 0x1.b16fc17c4430fp-15, 0x1.b8783fd091d84p-15, 0x1.bf7013cd43695p-15, 0x1.c656856a3e5c8p-15, 0x1.cd2ae4d98bd58p-15, 0x1.d3ec8a499a715p-15, 0x1.da9ad5b3c6df9p-15, 0x1.e1352ea6873b1p-15, 0x1.e7bb041333f67p-15, 0x1.ee2bcc1a4d1dbp-15, 0x1.f48703dbcbc7ap-15, 0x1.facc2f46269fbp-15, 0x1.007d6c73dcbddp-14, 0x1.038948e069b2cp-14, 0x1.0689788b18e85p-14, 0x1.097dca2263d0fp-14, 0x1.0c660f4ba93b6p-14, 0x1.0f421c8ddcf19p-14, 0x1.1211c93ccb0e8p-14, 0x1.14d4ef65122d7p-14, 0x1.178b6bb82ba59p-14, 0x1.1a351d79298a3p-14, 0x1.1cd1e66a7812bp-14, 0x1.1f61aab9aa63dp-14, 0x1.21e450ef89387p-14, 0x1.2459c1dce0bb9p-14, 0x1.26c1e889d8b44p-14, 0x1.291cb224b6183p-14, 0x1.2b6a0df1efd3dp-14, 0x1.2da9ed3b6546cp-14, 0x1.2fdc4340d1cd7p-14, 0x1.3201052898345p-14, 0x1.341829f079fd3p-14, 0x1.3621aa5e91d72p-14, 0x1.381d80f3aefc5p-14, 0x1.3a0ba9dc68e2p-14, 0x1.3bec22e435663p-14, 0x1.3dbeeb673ae87p-14, 0x1.3f840445d3a2ap-14, 0x1.413b6fd741d6bp-14, 0x1.42e531dda810bp-14, 0x1.44814f7966aadp-14, 0x1.460fcf1d5291dp-14, 0x1.4790b8834ddb8p-14, 0x1.490414a066c3cp-14, 0x1.4a69ed9a935f8p-14, 0x1.4bc24ebcd2f1dp-14, 0x1.4d0d446d5fcb5p-14, 0x1.4e4adc22f2a74p-14, 0x1.4f7b245b34225p-14, 0x1.509e2c90727cp-14, 0x1.51b4052ffba21p-14, 0x1.52bcbf9161c89p-14, 0x1.53b86decb0b5cp-14, 0x1.54a72351dae24p-14, 0x1.5588f39ffa766p-14, 0x1.565df37d1176bp-14, 0x1.5726384d84947p-14, 0x1.57e1d82c1fa07p-14, 0x1.5890e9e27948ep-14, 0x1.593384e0fc0cbp-14, 0x1.59c9c137de981p-14, 0x1.5a53b78f528c7p-14, 0x1.5ad181210a46ap-14, 0x1.5b4337b0ffb12p-14, 0x1.5ba8f586de7bp-14, 0x1.5c02d5678ac42p-14, 0x1.5c50f28ea7406p-14, 0x1.5c9368a87652bp-14, 0x1.5cca53cbbe66ep-14, 0x1.5cf5d0742baccp-14, 0x1.5d15fb7c71b14p-14, 0x1.5d2af218a9233p-14, 0x1.5d34d1d0eaa8dp-14, 0x1.5d33b87c74103p-14, 0x1.5d27c43bf5ae8p-14, 0x1.5d1113751118p-14, 0x1.5cefc4cd444e5p-14, 0x1.5cc3f725667d1p-14, 0x1.5c8dc994f2cfcp-14, 0x1.5c4d5b65adb6ep-14, 0x1.5c02cc0f32c1bp-14, 0x1.5bae3b332dc8ap-14, 0x1.5b4fc898a9305p-14, 0x1.5ae79428cb1f6p-14, 0x1.5a75bdea6ee02p-14, 0x1.59fa65fec5441p-14, 0x1.5975ac9dc1826p-14, 0x1.58e7b212484cp-14, 0x1.585096b710ad7p-14, 0x1.57b07af347b09p-14, 0x1.57077f377af88p-14, 0x1.5655c3fa3b4edp-14, 0x1.559b69b56c4fp-14, 0x1.54d890e334982p-14, 0x1.540d59fb4e026p-14, 0x1.5339e57018f1bp-14, 0x1.525e53ac2010ep-14, 0x1.517ac50faf818p-14, 0x1.508f59ee058b3p-14, 0x1.4f9c328b4210dp-14, 0x1.4ea16f19e8229p-14, 0x1.4d9f2fb8dc946p-14, 0x1.4c959470ff85dp-14, 0x1.4b84bd33400c9p-14, 0x1.4a6cc9d6a7f1bp-14, 0x1.494dda163cbdbp-14, 0x1.48280d8f4ea76p-14, 0x1.46fb83bfc897ep-14, 0x1.45c85c0421f6fp-14, 0x1.448eb595e711bp-14, 0x1.434eaf8a2d257p-14, 0x1.420868cff749p-14, 0x1.40bc002ebadcep-14, 0x1.3f699444fdbd5p-14, 0x1.3e114386dd94p-14, 0x1.3cb32c3ce94f4p-14, 0x1.3b4f6c82d0717p-14, 0x1.39e622461aa9dp-14, 0x1.38776b451a27dp-14, 0x1.3703650dbfd89p-14, 0x1.358a2cfcadf8bp-14, 0x1.340be03c14f79p-14, 0x1.32889bc2cb42dp-14, 0x1.31007c5357046p-14, 0x1.2f739e7b3fc16p-14, 0x1.2de21e91ecae6p-14, 0x1.2c4c18b81b3c2p-14, 0x1.2ab1a8d7082e1p-14, 0x1.2912ea9fb0789p-14, 0x1.276ff98a588e4p-14, 0x1.25c8f0d5bcd9ep-14, 0x1.241deb8664cdap-14, 0x1.226f04663e5e5p-14, 0x1.20bc56042f0b4p-14, 0x1.1f05fab358b2ap-14, 0x1.1d4c0c8ab4b08p-14, 0x1.1b8ea564ce271p-14, 0x1.19cddedf3df39p-14, 0x1.1809d25a43a2dp-14, 0x1.164298f88dc7ap-14, 0x1.14784b9edc4dcp-14, 0x1.12ab02f3a524dp-14, 0x1.10dad75f01e01p-14, 0x1.0f07e10a38ffep-14, 0x1.0d3237dfd2d6dp-14, 0x1.0b59f38b33378p-14, 0x1.097f2b787e6f2p-14, 0x1.07a1f6d465076p-14, 0x1.05c26c8c5522ap-14, 0x1.03e0a34e2e1a5p-14, 0x1.01fcb18814e6bp-14, 0x1.0016ad6889043p-14, 0x1.fc5d59bcd1313p-15, 0x1.f8898b31bf631p-15, 0x1.f4b21a0ed1fafp-15, 0x1.f0d730b3b80d5p-15, 0x1.ecf8f900f1193p-15, 0x1.e9179c57fbde6p-15, 0x1.e533439b75b5ep-15, 0x1.e14c172f3a467p-15, 0x1.dd623ef8c7adap-15, 0x1.d975e25f494e7p-15, 0x1.d587284bf4c64p-15, 0x1.d196372aa029bp-15, 0x1.cda334e9a027p-15, 0x1.c9ae46fa5bbddp-15, 0x1.c5b7925200cp-15, 0x1.c1bf3b698c77bp-15, 0x1.bdc5663e3bb3bp-15, 0x1.b9ca3651e6a71p-15, 0x1.b5cdceac00b74p-15, 0x1.b1d051d9ce87p-15, 0x1.add1e1ee9cb9dp-15, 0x1.a9d2a084d503fp-15, 0x1.a5d2aebe2f29ep-15, 0x1.a1d22d446410cp-15, 0x1.9dd13c49bc6abp-15, 0x1.99cffb89bc364p-15, 0x1.95ce8a49b619dp-15, 0x1.91cd0759882e4p-15, 0x1.8dcb911436eb5p-15, 0x1.89ca4560922aap-15, 0x1.85c941b1b05fcp-15, 0x1.81c8a3081d3c8p-15, 0x1.7dc885f21eddbp-15, 0x1.79c9068c9dd1bp-15, 0x1.75ca408412e2dp-15, 0x1.71cc4f14e6ed5p-15, 0x1.6dcf4d0c4c207p-15, 0x1.69d354c8f78abp-15, 0x1.65d8803c5d6f3p-15, 0x1.61dee8eacd5fcp-15, 0x1.5de6a7ec9e5bap-15, 0x1.59efd5eef1017p-15, 0x1.55fa8b344e163p-15, 0x1.5206df95a53e5p-15, 0x1.4e14ea83201e9p-15, 0x1.4a24c304e4322p-15, 0x1.46367fbbea9a4p-15, 0x1.424a36e2c0832p-15, 0x1.3e5ffe4e6bec9p-15, 0x1.3a77eb6f3ad3ep-15, 0x1.36921351b8336p-15, 0x1.32ae8a9f95d5bp-15, 0x1.2ecd65a039918p-15, 0x1.2aeeb839ac849p-15, 0x1.271295f18d8d7p-15, 0x1.233911ee1457p-15, 0x1.1f623ef6b31dcp-15, 0x1.1b8e2f7514543p-15, 0x1.17bcf575b58f6p-15, 0x1.13eea2a9299ffp-15, 0x1.10234864b8899p-15, 0x1.0c5af7a33a917p-15, 0x1.0895c1062f775p-15, 0x1.04d3b4d63d479p-15, 0x1.0114e3045430bp-15, 0x1.fab2b65525df1p-16, 0x1.f342591a31b69p-16, 0x1.ebd8cc35b20d9p-16, 0x1.e4762cdca851ap-16, 0x1.dd1a979d4ceecp-16, 0x1.d5c62860e5d87p-16, 0x1.ce78fa6d5f1aap-16, 0x1.c7332866ecc8fp-16, 0x1.bff4cc518604bp-16, 0x1.b8bdff92d8586p-16, 0x1.b18edaf49244dp-16, 0x1.aa6776a553ec9p-16, 0x1.a347ea3a7fd9fp-16, 0x1.9c304cb1b82e4p-16, 0x1.9520b4736da26p-16, 0x1.8e193753cbe05p-16, 0x1.8719ea94a7d3fp-16, 0x1.8022e2e7183bdp-16, 0x1.7934346d26ba3p-16, 0x1.724df2bb830f9p-16, 0x1.6b7030db3aa77p-16, 0x1.649b014b230bcp-16, 0x1.5dce7601749f3p-16, 0x1.570aa06de9ed9p-16, 0x1.504f917b2fe2ep-16, 0x1.499d59901a334p-16, 0x1.42f408915189fp-16, 0x1.3c53ade357782p-16, 0x1.35bc586c38f6dp-16, 0x1.2f2e16947c30fp-16, 0x1.28a8f648ef1f9p-16, 0x1.222d04fc4ff54p-16, 0x1.1bba4fa93cdf8p-16, 0x1.1550e2d317021p-16, 0x1.0ef0ca87b2171p-16, 0x1.089a126130bbfp-16, 0x1.024cc5873bbb1p-16, 0x1.f811dd61819cp-17, 0x1.eb9d304a668aap-17, 0x1.df3b977bc77efp-17, 0x1.d2ed25cfd72fap-17, 0x1.c6b1ed4b79a38p-17, 0x1.ba89ff1fb9742p-17, 0x1.ae756bad862b5p-17, 0x1.a274428978647p-17, 0x1.9686927d32e1ap-17, 0x1.8aac698a4ff1dp-17, 0x1.7ee5d4ee11655p-17, 0x1.7332e124764dcp-17, 0x1.679399e9f84f4p-17, 0x1.5c080a3d9df87p-17, 0x1.50903c659880cp-17, 0x1.452c39f1c35e4p-17, 0x1.39dc0bbc87af1p-17, 0x1.2e9fb9eef8fc9p-17, 0x1.23774c03151dbp-17, 0x1.1862c8c6ea403p-17, 0x1.0d62365e28b3ep-17, 0x1.02759a45aace2p-17, 0x1.ef39f2aaa9ed6p-18, 0x1.d9b0af86612f5p-18, 0x1.c44f724adb326p-18, 0x1.af1640e9296fep-18, 0x1.9a05201efcc1cp-18, 0x1.851c13790fa3ep-18, 0x1.705b1d5757dc4p-18, 0x1.5bc23ef34b0f6p-18, 0x1.475178650567ap-18, 0x1.3308c8a693cabp-18, 0x1.1ee82d990eafap-18, 0x1.0aefa40b0b169p-18, 0x1.ee3e4f74aa81ep-19, 0x1.c6ed66b14789bp-19, 0x1.9fec812555942p-19, 0x1.793b90287cd8p-19, 0x1.52da8312512efp-19, 0x1.2cc9474905cc4p-19, 0x1.0707c84ba12ddp-19, 0x1.c32bdf6ca4721p-20, 0x1.78e74a967eaf3p-20, 0x1.2f419df8b7beap-20, 0x1.cc7543d669d41p-21, 0x1.3ba4368297109p-21, 0x1.581f2d8acc168p-22, 0x1.db6e0a7ea5a17p-25, -0x1.bd99d99140bbep-23, -0x1.f691fef49ff26p-22, -0x1.85f15206543cfp-21, -0x1.07b005db4fda5p-20, -0x1.4bcae833840a1p-20, -0x1.8f49a4fc7dc64p-20, -0x1.d22c94141eeadp-20, -0x1.0a3a081fae443p-19, -0x1.2b103b8d6f863p-19, -0x1.4b991483978cp-19, -0x1.6bd4c491b4418p-19, -0x1.8bc37e9c5f6fap-19, -0x1.ab6576d2a3076p-19, -0x1.cabae2aef8813p-19, -0x1.e9c3f8ede068bp-19, -0x1.044078c114f15p-18, -0x1.137902c9dc8a4p-18, -0x1.228bb7bb2c74bp-18, -0x1.3178b55353d02p-18, -0x1.404019de0fcbp-18, -0x1.4ee204362cb49p-18, -0x1.5d5e93bef148p-18, -0x1.6bb5e861c6004p-18, -0x1.79e8228bef721p-18, -0x1.87f5632a98039p-18, -0x1.95ddcba845f69p-18, -0x1.a3a17de9e9f97p-18, -0x1.b1409c4c8ed6ep-18, -0x1.bebb499fbb7adp-18, -0x1.cc11a92606cedp-18, -0x1.d943de90e252bp-18, -0x1.e6520dfe1a87p-18, -0x1.f33c5bf2969ecp-18, -0x1.000176adf8bf7p-17, -0x1.0652f3c55586bp-17, -0x1.0c92b81889063p-17, -0x1.12c0d6afa49aep-17, -0x1.18dd62c06c784p-17, -0x1.1ee86fae183f7p-17, -0x1.24e2110735b33p-17, -0x1.2aca5a83dd476p-17, -0x1.30a160058753bp-17, -0x1.366735958920ap-17, -0x1.3c1bef63dc2c9p-17, -0x1.41bfa1c5232cap-17, -0x1.475261336adfdp-17, -0x1.4cd4424a5fbbbp-17, -0x1.524559c8ed67bp-17, -0x1.57a5bc8dfadf9p-17, -0x1.5cf57f987113cp-17, -0x1.6234b805dbfe5p-17, -0x1.67637b1141786p-17, -0x1.6c81de11fb3b4p-17, -0x1.718ff67b369d8p-17, -0x1.768dd9da2314bp-17, -0x1.7b7b9dd5bb723p-17, -0x1.8059582ca9744p-17, -0x1.85271eb6464cbp-17, -0x1.89e5075eec1d6p-17, -0x1.8e9328295b5ffp-17, -0x1.9331972c39961p-17, -0x1.97c06a92e9756p-17, -0x1.9c3fb899f937p-17, -0x1.a0af9790b4ac3p-17, -0x1.a5101dd6f8f5ap-17, -0x1.a96161dd1c037p-17, -0x1.ada37a21ca62ep-17, -0x1.b1d67d3249896p-17, -0x1.b5fa81aa11822p-17, -0x1.ba0f9e2ff807cp-17, -0x1.be15e977a8a8ap-17, -0x1.c20d7a3f139c2p-17, -0x1.c5f6674ee6d17p-17, -0x1.c9d0c7794278ap-17, -0x1.cd9cb1984f479p-17, -0x1.d15a3c8ef9d4p-17, -0x1.d5097f46bda4bp-17, -0x1.d8aa90afcaa9dp-17, -0x1.dc3d87c018e3bp-17, -0x1.dfc27b7259732p-17, -0x1.e33982c624b6fp-17, -0x1.e6a2b4bdd81a4p-17, -0x1.e9fe285feff44p-17, -0x1.ed4bf4b405f55p-17, -0x1.f08c30c4351dep-17, -0x1.f3bef39b31317p-17, -0x1.f6e454447081cp-17, -0x1.f9fc69ca54acfp-17, -0x1.fd074b37edb27p-17, -0x1.000287ca81b04p-16, -0x1.017ae6f4815d5p-16, -0x1.02ecce9b9fcdbp-16, -0x1.04584a40c5d1bp-16, -0x1.05bd65620aed6p-16, -0x1.071c2b7c2a9b4p-16, -0x1.0874a80920552p-16, -0x1.09c6e6803826dp-16, -0x1.0b12f255f62e4p-16, -0x1.0c58d6fb683a7p-16, -0x1.0d989fdeabd29p-16, -0x1.0ed2586979abdp-16, -0x1.10060c023b15fp-16, -0x1.1133c60ae84eep-16, -0x1.125b91e10e46ep-16, -0x1.137d7addc1a7cp-16, -0x1.14998c550eb77p-16, -0x1.15afd19626056p-16, -0x1.16c055eab485p-16, -0x1.17cb24970624ap-16, -0x1.18d048d9cf09ap-16, -0x1.19cfcdeb90a44p-16, -0x1.1ac9beff10947p-16, -0x1.1bbe274072ccep-16, -0x1.1cad11d57e075p-16, -0x1.1d9689dd7d813p-16, -0x1.1e7a9a7068166p-16, -0x1.1f594e9fbcc0fp-16, -0x1.2032b17534f81p-16, -0x1.2106cdf3bb205p-16, -0x1.21d5af15f2679p-16, -0x1.229f5fcfa925p-16, -0x1.2363eb0bcf273p-16, -0x1.24235bae38c84p-16, -0x1.24ddbc91c2a0fp-16, -0x1.2593188984801p-16, -0x1.26437a5fb6f3p-16, -0x1.26eeecd610f28p-16, -0x1.27957aa5ba31cp-16, }}, 
      {{0x1.33ae9c8d189b3p-7, 0x1.3655f0084aeaap-6, 0x1.d490fdcbfc811p-6, 0x1.38fa86e3c7085p-5, 0x1.8626886591883p-5, 0x1.d1479b5cfe142p-5, 0x1.0d330345bad55p-4, 0x1.30ef2eca71168p-4, 0x1.5412554d303c3p-4, 0x1.76cc711f9da06p-4, 0x1.99388ad6fcfabp-4, 0x1.bb5ab49cb12b8p-4, 0x1.dd23ac85afbdbp-4, 0x1.fe7731224059cp-4, 0x1.0f9970fa15119p-3, 0x1.1f9a2d3686b23p-3, 0x1.2f2ef00d4111dp-3, 0x1.3e4cb95cadaa4p-3, 0x1.4ced2b092fb43p-3, 0x1.5b0eaa6de9496p-3, 0x1.68b405e7aff96p-3, 0x1.75e3c6873d5d2p-3, 0x1.82a752020711cp-3, 0x1.8f09facae1e61p-3, 0x1.9b18154f9f5cbp-3, 0x1.a6de229ffc26cp-3, 0x1.b2681ac7ad8b6p-3, 0x1.bdc0dc2c74fd4p-3, 0x1.c8f1c15c544e9p-3, 0x1.d4025bdb606a6p-3, 0x1.def8508e2049fp-3, 0x1.e9d7512f075cap-3, 0x1.f4a12dab6f243p-3, 0x1.ff55f82838074p-3, 0x1.04fa1b5363dc5p-2, 0x1.0a3c8ed9a72c1p-2, 0x1.0f70680b73acfp-2, 0x1.1493501483856p-2, 0x1.19a2a7ff5efacp-2, 0x1.1e9ba72969879p-2, 0x1.237b774880661p-2, 0x1.283f4d76d89a4p-2, 0x1.2ce47ff061c1bp-2, 0x1.3168985a5854ap-2, 0x1.35c962928f597p-2, 0x1.3a04f820a3addp-2, 0x1.3e19c878ebbdbp-2, 0x1.42069e504a6f9p-2, 0x1.45caa24a20628p-2, 0x1.49655b4f45eb9p-2, 0x1.4cd6acdf1535bp-2, 0x1.501ed3aaf50bcp-2, 0x1.533e60ca0713cp-2, 0x1.563633ce4d37bp-2, 0x1.590773ff333c8p-2, 0x1.5bb388f753bb7p-2, 0x1.5e3c12dcd928p-2, 0x1.60a2e26550c56p-2, 0x1.62e9f0cf46178p-2, 0x1.651357f5be39dp-2, 0x1.67214a9bc7c0dp-2, 0x1.69160d08c507bp-2, 0x1.6af3ee0921f4p-2, 0x1.6cbd406278328p-2, 0x1.6e7454c62ddf9p-2, 0x1.701b7449e967fp-2, 0x1.71b4db6a1a462p-2, 0x1.7342b59825f28p-2, 0x1.74c7195375515p-2, 0x1.764404cab4f56p-2, 0x1.77bb5b0112b32p-2, 0x1.792ee171f52d8p-2, 0x1.7aa03e2cb5f14p-2, 0x1.7c10f66127d1p-2, 0x1.7d826d5538106p-2, 0x1.7ef5e3bb95161p-2, 0x1.806c776331932p-2, 0x1.81e7233760a87p-2, 0x1.8366bf88649c8p-2, 0x1.84ec029481fd7p-2, 0x1.86778149db2fep-2, 0x1.8809b039b454dp-2, 0x1.89a2e4b61fc39p-2, 0x1.8b43561370915p-2, 0x1.8ceb1f0741364p-2, 0x1.8e9a3f1f515e5p-2, 0x1.90509c4ae861p-2, 0x1.920e0471dd888p-2, 0x1.93d22f14d6237p-2, 0x1.959cbef2bc989p-2, 0x1.976d43afcf2cep-2, 0x1.99433b7b1ccf1p-2, 0x1.9b1e14af93303p-2, 0x1.9cfd2f6e2c52ep-2, 0x1.9edfdf2f140d6p-2, 0x1.a0c56c47f0379p-2, 0x1.a2ad1565c64cap-2, 0x1.a49610f9311fdp-2, 0x1.a67f8e93e4ebp-2, 0x1.a868b836aa363p-2, 0x1.aa50b38f3e041p-2, 0x1.ac36a3259f339p-2, 0x1.ae19a7788b11cp-2, 0x1.aff8e0090ac4fp-2, 0x1.b1d36c550e7bap-2, 0x1.b3a86cc1375c4p-2, 0x1.b57703720a438p-2, 0x1.b73e5514d13e7p-2, 0x1.b8fd8998931c1p-2, 0x1.bab3ccd784eb8p-2, 0x1.bc604f317aa9bp-2, 0x1.be024617d9be2p-2, 0x1.bf98ec8b90c6dp-2, 0x1.c123838db9a05p-2, 0x1.c2a152836ee33p-2, 0x1.c411a78d74ebdp-2, 0x1.c573d7d45370fp-2, 0x1.c6c73fc97bc91p-2, 0x1.c80b435e15ce4p-2, 0x1.c93f4e300bfbdp-2, 0x1.ca62d3adf43afp-2, 0x1.cb754f3262894p-2, 0x1.cc7644173b74ep-2, 0x1.cd653dc18d00fp-2, 0x1.ce41cfa67d532p-2, 0x1.cf0b9549cc837p-2, 0x1.cfc232366a699p-2, 0x1.d06551f19646cp-2, 0x1.d0f4a7e901af6p-2, 0x1.d16fef5c5f5fbp-2, 0x1.d1d6eb42cc60ap-2, 0x1.d229662c727bcp-2, 0x1.d2673220c3dedp-2, 0x1.d2902879aeefp-2, 0x1.d2a429bc18234p-2, 0x1.d2a31d6de981fp-2, 0x1.d28cf1ea098dap-2, 0x1.d2619c3279689p-2, 0x1.d22117c0dde87p-2, 0x1.d1cb6655b20e4p-2, 0x1.d1608fc65c0fdp-2, 0x1.d0e0a1ca58d78p-2, 0x1.d04bafc7b3a3p-2, 0x1.cfa1d29ef469fp-2, 0x1.cee32876ad825p-2, 0x1.ce0fd486da36ap-2, 0x1.cd27fee4260bdp-2, 0x1.cc2bd44b48431p-2, 0x1.cb1b85ec8ca7dp-2, 0x1.c9f74937a6417p-2, 0x1.c8bf57a7eb91ep-2, 0x1.c773ee910b56cp-2, 0x1.c6154eec542eap-2, 0x1.c4a3bd26a4404p-2, 0x1.c31f80ef0b00dp-2, 0x1.c188e5063386ap-2, 0x1.bfe0370ea49b2p-2, 0x1.be25c75ddee6bp-2, 0x1.bc59e8ce6667cp-2, 0x1.ba7cf092c1c45p-2, 0x1.b88f360977dp-2, 0x1.b69112920fad2p-2, 0x1.b482e1631c54bp-2, 0x1.b264ff6155b7cp-2, 0x1.b037caf7c8b6fp-2, 0x1.adfba3f1198a6p-2, 0x1.abb0eb51e3278p-2, 0x1.a95803342d7d4p-2, 0x1.a6f14ea402002p-2, 0x1.a47d317d1b01ep-2, 0x1.a1fc1049ac828p-2, 0x1.9f6e50224d845p-2, 0x1.9cd4568ef35fep-2, 0x1.9a2e89690a16p-2, 0x1.977d4ebea1b55p-2, 0x1.94c10cb6ab1cp-2, 0x1.91fa2976479a9p-2, 0x1.8f290b0726a06p-2, 0x1.8c4e173ee9176p-2, 0x1.8969b3a78f45bp-2, 0x1.867c4568e4027p-2, 0x1.83863132e7019p-2, 0x1.8087db29315e5p-2, 0x1.7d81a6cf4eaedp-2, 0x1.7a73f6f60639p-2, 0x1.775f2da98e928p-2, 0x1.7443ac20a8262p-2, 0x1.7121d2ac9c6bcp-2, 0x1.6dfa00aa13c0ep-2, 0x1.6acc9472c8e9ep-2, 0x1.6799eb500bb99p-2, 0x1.6462616e11fd3p-2, 0x1.612651d011662p-2, 0x1.5de616451a162p-2, 0x1.5aa2075db0ecap-2, 0x1.575a7c62221b5p-2, 0x1.540fcb49872b7p-2, 0x1.50c248b17b2cep-2, 0x1.4d7247d67756dp-2, 0x1.4a201a8cd5069p-2, 0x1.46cc113a6ef41p-2, 0x1.43767ad0d8cfap-2, 0x1.401fa4c831bp-2, 0x1.3cc7db1a80995p-2, 0x1.396f683fa1457p-2, 0x1.36169529b46d4p-2, 0x1.32bda942115ecp-2, 0x1.2f64ea66b8709p-2, 0x1.2c0c9ce8383f1p-2, 0x1.28b503880b6b5p-2, 0x1.255e5f77621a9p-2, 0x1.2208f0565b9c1p-2, 0x1.1eb4f433a141bp-2, 0x1.1b62a78c665f6p-2, 0x1.1812454cc82c6p-2, 0x1.14c406d084b82p-2, 0x1.117823e409658p-2, 0x1.0e2ed2c5d7289p-2, 0x1.0ae848282f55ap-2, 0x1.07a4b73310ecdp-2, 0x1.046451867a811p-2, 0x1.0127473cf19cbp-2, 0x1.fbdb8ddc8dae3p-3, 0x1.f56ffb6537c6fp-3, 0x1.ef0c2e4b3f6eep-3, 0x1.e8b07ad406dcbp-3, 0x1.e25d325a3ffb4p-3, 0x1.dc12a3559cfabp-3, 0x1.d5d11962dc5bdp-3, 0x1.cf98dd4c2506ep-3, 0x1.c96a3511b5f2cp-3, 0x1.c34563f2dd0b7p-3, 0x1.bd2aaa7738dcfp-3, 0x1.b71a46782f04ep-3, 0x1.b114732aac875p-3, 0x1.ab1969290cd79p-3, 0x1.a5295e7d3e734p-3, 0x1.9f4486ab0d50bp-3, 0x1.996b12ba99479p-3, 0x1.939d3142efa96p-3, 0x1.8ddb0e74c727dp-3, 0x1.8824d425561e3p-3, 0x1.827aa9d9417c3p-3, 0x1.7cdcb4cfa8b79p-3, 0x1.774b180d37e61p-3, 0x1.71c5f4674fd4cp-3, 0x1.6c4d688f3b514p-3, 0x1.66e1911d64729p-3, 0x1.6182889c99b7ap-3, 0x1.5c3067954b3b2p-3, 0x1.56eb4498d4377p-3, 0x1.51b3344cb3d4bp-3, 0x1.4c884975cde11p-3, 0x1.476a95039d767p-3, 0x1.425a261b5c30ap-3, 0x1.3d570a23241c4p-3, 0x1.38614ccd000edp-3, 0x1.3378f821e7c29p-3, 0x1.2e9e148cb5caep-3, 0x1.29d0a8e4ffa06p-3, 0x1.2510ba79deb8bp-3, 0x1.205e4d1ca0fd6p-3, 0x1.1bb9632b5fc0dp-3, 0x1.1721fd9b8277bp-3, 0x1.12981c04246b8p-3, 0x1.0e1bbca85ba4p-3, 0x1.09acdc8163aabp-3, 0x1.054b7748b251p-3, 0x1.00f78781e23dap-3, 0x1.f9620d0907ef7p-4, 0x1.f0efd90b9e8f4p-4, 0x1.e89861445a053p-4, 0x1.e05b91cd4ce5dp-4, 0x1.d83954b45a562p-4, 0x1.d031920d7d91p-4, 0x1.c8443004d0556p-4, 0x1.c07112f045af1p-4, 0x1.b8b81d6115952p-4, 0x1.b1193034e9336p-4, 0x1.a9942aa6b2c2fp-4, 0x1.a228ea5f3d416p-4, 0x1.9ad74b857083p-4, 0x1.939f28ce4a807p-4, 0x1.8c805b8c85147p-4, 0x1.857abbbffacfp-4, 0x1.7e8e2024afc72p-4, 0x1.77ba5e419aea3p-4, 0x1.70ff4a7719f92p-4, 0x1.6a5cb80d1bfc6p-4, 0x1.63d27940fd9bep-4, 0x1.5d605f5318f0bp-4, 0x1.57063a940b45ep-4, 0x1.50c3da71aacecp-4, 0x1.4a990d83b4c2dp-4, 0x1.4485a1982d8afp-4, 0x1.3e8963bf770bdp-4, 0x1.38a420581d66dp-4, 0x1.32d5a31a58c9cp-4, 0x1.2d1db72346c41p-4, 0x1.277c26ffdc019p-4, 0x1.21f0bcb78c7d5p-4, 0x1.1c7b41d6ae903p-4, 0x1.171b7f789829p-4, 0x1.11d13e517112bp-4, 0x1.0c9c46b7ca791p-4, 0x1.077c60ade68e9p-4, 0x1.027153eac7e72p-4, 0x1.faf5cfc5f0557p-5, 0x1.f131c7a21b619p-5, 0x1.e7961d7be76c2p-5, 0x1.de225f11e3504p-5, 0x1.d4d619dee3677p-5, 0x1.cbb0db29197cp-5, 0x1.c2b23010b02e4p-5, 0x1.b9d9a59df12ffp-5, 0x1.b126c8cef059bp-5, 0x1.a89926a4c792bp-5, 0x1.a0304c306388ep-5, 0x1.97ebc69edb99bp-5, 0x1.8fcb23455ca83p-5, 0x1.87cdefacaa65bp-5, 0x1.7ff3b99c332e4p-5, 0x1.783c0f24c8c4p-5, 0x1.70a67eaad9acbp-5, 0x1.693296f0648b4p-5, 0x1.61dfe71e74e67p-5, 0x1.5aadfece4854p-5, 0x1.539c6e1216668p-5, 0x1.4caac57d78e81p-5, 0x1.45d8962d7f48ep-5, 0x1.3f2571d064d19p-5, 0x1.3890eaacf371ep-5, 0x1.321a93a99927dp-5, 0x1.2bc20053197a4p-5, 0x1.2586c4e304314p-5, 0x1.1f687645d1489p-5, 0x1.1966aa20aec53p-5, 0x1.1380f6d70f36cp-5, 0x1.0db6f38fe36dp-5, 0x1.0808383a95e6fp-5, 0x1.02745d93baf66p-5, 0x1.f9f5fa5305ed3p-6, 0x1.ef3762bfd353fp-6, 0x1.e4ac2ae93e70dp-6, 0x1.da538b0579836p-6, 0x1.d02cbd0c73e9p-6, 0x1.c636fcbe3d7bep-6, 0x1.bc7187a91a6dp-6, 0x1.b2db9d2eff1f8p-6, 0x1.a9747e8ac4f1ap-6, 0x1.a03b6ed4e1c38p-6, 0x1.972fb307bdae2p-6, 0x1.8e509203a79f2p-6, 0x1.859d54926606cp-6, 0x1.7d15456a78b71p-6, 0x1.74b7b131f134cp-6, 0x1.6c83e680f696ep-6, 0x1.647935e3fb4aap-6, 0x1.5c96f1dda4bb2p-6, 0x1.54dc6ee856163p-6, 0x1.4d49037778ebap-6, 0x1.45dc07f8818a8p-6, 0x1.3e94d6d395c72p-6, 0x1.3772cc6c0e75cp-6, 0x1.30754720a1a31p-6, 0x1.299ba74b4e2bfp-6, 0x1.22e54f4116c7bp-6, 0x1.1c51a3516e417p-6, 0x1.15e009c57fcebp-6, 0x1.0f8feadf326fbp-6, 0x1.0960b0d7ff466p-6, 0x1.0351c7df8cd18p-6, 0x1.fac53c3442aecp-7, 0x1.ef25473dd7976p-7, 0x1.e3c294ec13b8ap-7, 0x1.d89c0d2d0b17dp-7, 0x1.cdb09bc805287p-7, 0x1.c2ff3058cc4ecp-7, 0x1.b886be4a9dae5p-7, 0x1.ae463cd2b7dd3p-7, 0x1.a43ca6eac937dp-7, 0x1.9a68fb4b058b8p-7, 0x1.90ca3c641729p-7, 0x1.875f7058ba1d9p-7, 0x1.7e27a0f7343ccp-7, 0x1.7521dbb28f3dcp-7, 0x1.6c4d319b9ec61p-7, 0x1.63a8b759ebb64p-7, 0x1.5b3385245377fp-7, 0x1.52ecb6b99ed93p-7, 0x1.4ad36b58d28a3p-7, 0x1.42e6c5b97a1d8p-7, 0x1.3b25ec03b5abbp-7, 0x1.339007c8431a6p-7, 0x1.2c2445f84711bp-7, 0x1.24e1d6dd1cd77p-7, 0x1.1dc7ee0ffd5a2p-7, 0x1.16d5c27188892p-7, 0x1.100a8e214fcdfp-7, 0x1.09658e752ac2p-7, 0x1.02e603f0a9dedp-7, 0x1.f91664787c0cap-8, 0x1.eca8c03915612p-8, 0x1.e081aed327db2p-8, 0x1.d49fca0ba473ep-8, 0x1.c901b1aab2eefp-8, 0x1.bda60b69c5874p-8, 0x1.b28b82e1c9e27p-8, 0x1.a7b0c979344c2p-8, 0x1.9d149651ea92ep-8, 0x1.92b5a63779c41p-8, 0x1.8892bb8cf7bf1p-8, 0x1.7eaa9e3b19b2cp-8, 0x1.74fc1b9e34a72p-8, 0x1.6b860674536a5p-8, 0x1.624736cb4f075p-8, 0x1.593e89eed8e0dp-8, 0x1.506ae256c6621p-8, 0x1.47cb27952f16p-8, 0x1.3f5e4644b8e7fp-8, 0x1.37232ff706bb8p-8, 0x1.2f18db230735dp-8, 0x1.273e43138834dp-8, 0x1.1f9267d5c18cap-8, 0x1.18144e280b1e3p-8, 0x1.10c2ff689455ep-8, 0x1.099d898455edfp-8, 0x1.02a2fee5fc17ap-8, 0x1.f7a4ecc9fbeb7p-9, 0x1.ea561669b86dp-9, 0x1.dd57b9a8da624p-9, 0x1.d0a81dfa8ae0bp-9, 0x1.c4459326ad216p-9, 0x1.b82e71293591cp-9, 0x1.ac611811cbc4ap-9, 0x1.a0dbefe3c8253p-9, 0x1.959d687659a2bp-9, 0x1.8aa3f9551bf2cp-9, 0x1.7fee21a0b4959p-9, 0x1.757a67f0155b9p-9, 0x1.6b475a31abc73p-9, 0x1.61538d8d2f2f5p-9, 0x1.579d9e4589573p-9, 0x1.4e242f9b15278p-9, 0x1.44e5ebae485dfp-9, 0x1.3be1836279f21p-9, 0x1.3315ae4130b6bp-9, 0x1.2a812a5db1077p-9, 0x1.2222bc38c0822p-9, 0x1.19f92ea4c8e2bp-9, 0x1.120352aa89dd7p-9, 0x1.0a3fff6d98de3p-9, 0x1.02ae1211cd383p-9, 0x1.f698db412ba2bp-10, 0x1.e833f5dd6f05cp-10, 0x1.da2b51050fc6cp-10, 0x1.cc7cd4f474297p-10, 0x1.bf2674e583c11p-10, 0x1.b2262eddc7bbfp-10, 0x1.a57a0b7d0a69p-10, 0x1.99201dcd247b3p-10, 0x1.8d168311e9d33p-10, 0x1.815b6299ef957p-10, 0x1.75eced900304dp-10, 0x1.6ac95ecd4ee0ap-10, 0x1.5feefaabe0765p-10, 0x1.555c0eda2104fp-10, 0x1.4b0ef22ed75dp-10, 0x1.4106047d9475cp-10, 0x1.373fae6c21d74p-10, 0x1.2dba614844763p-10, 0x1.247496de2510cp-10, 0x1.1b6cd14f9d1b2p-10, 0x1.12a19aebca99fp-10, 0x1.0a11860726978p-10, 0x1.01bb2cd5199dfp-10, 0x1.f33a628155ea5p-11, 0x1.e36c798e91315p-11, 0x1.d40a00a65eb94p-11, 0x1.c510682d406d7p-11, 0x1.b67d2ecffcf3ap-11, 0x1.a84de13c1a832p-11, 0x1.9a8019da3ec5dp-11, 0x1.8d118088f4ba9p-11, 0x1.7fffca5911601p-11, 0x1.7348b94b6569ep-11, 0x1.66ea1c0eec62cp-11, 0x1.5ae1cdc010c7p-11, 0x1.4f2db5aa04acap-11, 0x1.43cbc707c01eap-11, 0x1.38ba00c755ffep-11, 0x1.2df66d4d23c6cp-11, 0x1.237f2239378c1p-11, 0x1.1952402c8ce4fp-11, 0x1.0f6df29066d88p-11, 0x1.05d06f5db7cb2p-11, 0x1.f8efedcc2ff7dp-12, 0x1.e6c5a73b107c7p-12, 0x1.d51eb3ca45e38p-12, 0x1.c3f7cfad73bb2p-12, 0x1.b34dca22b3018p-12, 0x1.a31d850e287fdp-12, 0x1.9363f495ee755p-12, 0x1.841e1ec1c6fd3p-12, 0x1.75491b1a0ff27p-12, 0x1.66e2124b26a39p-12, 0x1.58e63dc8db48fp-12, 0x1.4b52e7735f3c3p-12, 0x1.3e25693f35c03p-12, 0x1.315b2cdd9813fp-12, 0x1.24f1ab672049ep-12, 0x1.18e66d0799c0bp-12, 0x1.0d3708abd293p-12, 0x1.01e123b08b011p-12, 0x1.edc4e3277fc47p-13, 0x1.d871674bdcabep-13, 0x1.c3c3717cfc187p-13, 0x1.afb6b9e1e36e3p-13, 0x1.9c4712852790ep-13, 0x1.897066c78edd6p-13, 0x1.772ebad0bf3dp-13, 0x1.657e2b05e857fp-13, 0x1.545aeb81b2f1ep-13, 0x1.43c1478eb9b09p-13, 0x1.33ada1259c39cp-13, 0x1.241c706cf7cd8p-13, 0x1.150a433b9cbc2p-13, 0x1.0673bc9e8153ap-13, 0x1.f0ab28bee3e6cp-14, 0x1.d5592d1e57733p-14, 0x1.baeb4623a38a6p-14, 0x1.a15b5a5bfe53dp-14, 0x1.88a3763a39f0ep-14, 0x1.70bdcb3d0ca8ap-14, 0x1.59a4af1abc148p-14, 0x1.43529aef58ec9p-14, 0x1.2dc22a71c3f5p-14, 0x1.18ee1b27cd3c7p-14, 0x1.04d14ba70e563p-14, 0x1.e2cd759f3848ap-15, 0x1.bd530e254a56fp-15, 0x1.9929db73a9997p-15, 0x1.76489463b71efp-15, 0x1.54a62ab3b7ebep-15, 0x1.3439c9ae900e6p-15, 0x1.14fad4d704efbp-15, 0x1.edc1cd3a25e66p-16, 0x1.b3c79e30d098p-16, 0x1.7bf7259480e69p-16, 0x1.4640d2d2ac549p-16, 0x1.129579568732cp-16, 0x1.c1cc9c84bacfep-17, 0x1.6249cc3eec2cap-17, 0x1.0686655193184p-17, 0x1.5cce0255b43cdp-18, 0x1.6743ac061720dp-19, 0x1.1543721b7ed0cp-22, -0x1.149b2bb5d70e1p-19, -0x1.1f75018fb7374p-18, -0x1.ae523972bbdbap-18, -0x1.1b8a17c2d9ep-17, -0x1.5cf450e45c10ap-17, -0x1.9b7e10c6fdc0cp-17, -0x1.d73d0d541c08ep-17, -0x1.0823369697e68p-16, -0x1.23576591cc4ap-16, -0x1.3d451cc2af2b2p-16, -0x1.55f622b7775cbp-16, -0x1.6d73fcfa03873p-16, -0x1.83c7f1a40155fp-16, -0x1.98fb08e3a39p-16, -0x1.ad160e7d363p-16, -0x1.c021933e67675p-16, -0x1.d225ee6e82cd7p-16, -0x1.e32b3f31e3b44p-16, -0x1.f3396de98a22fp-16, -0x1.012c16c315b4cp-15, -0x1.08477e6c041a9p-15, -0x1.0ef293e9e264ep-15, -0x1.1530e4697961p-15, -0x1.1b05e4e434466p-15, -0x1.2074f2ba78c63p-15, -0x1.25815445a1317p-15, -0x1.2a2e396c5eb71p-15, -0x1.2e7ebc2d5ca31p-15, -0x1.3275e12d1e7a1p-15, -0x1.3616983b227f4p-15, -0x1.3963bcd6a3aadp-15, -0x1.3c6016b0fc8b2p-15, -0x1.3f0e5a2ac1a05p-15, -0x1.417128cf2bbbbp-15, -0x1.438b11cced3e7p-15, -0x1.455e926be49f2p-15, -0x1.46ee167f343d2p-15, -0x1.483bf8d637171p-15, -0x1.494a83a9cc653p-15, -0x1.4a1bf1069b80ap-15, -0x1.4ab26b36d7e3ep-15, -0x1.4b100d2754b03p-15, -0x1.4b36e2cab7efcp-15, -0x1.4b28e97b8386p-15, -0x1.4ae8105a9009ep-15, -0x1.4a7638aaf89fp-15, -0x1.49d5362e50aaep-15, -0x1.4906cf7ab7c36p-15, -0x1.480cbe5289c95p-15, -0x1.46e8aff7e2c18p-15, -0x1.459c457e58649p-15, -0x1.4429141b2eeedp-15, -0x1.4290a57456a5ep-15, -0x1.40d477eb743d7p-15, -0x1.3ef5fee8da19ep-15, -0x1.3cf6a3243d82bp-15, -0x1.3ad7c2eb41597p-15, -0x1.389ab266cf4a1p-15, -0x1.3640bbde450f3p-15, -0x1.33cb1ff9d28b3p-15, -0x1.313b160186532p-15, -0x1.2e91cc1d906dfp-15, -0x1.2bd06791bb618p-15, -0x1.28f804f9c9aafp-15, -0x1.2609b883e6b41p-15, -0x1.23068e282ce82p-15, -0x1.1fef89e13e528p-15, -0x1.1cc5a7e15fba1p-15, -0x1.1989dcc77f33p-15, -0x1.163d15d1f6441p-15, -0x1.12e039112a2e2p-15, -0x1.0f742597c4783p-15, -0x1.0bf9b3aa8c011p-15, -0x1.0871b4eedfde9p-15, -0x1.04dcf4979f6f1p-15, -0x1.013c37917272ep-15, -0x1.fb20795b6304fp-16, -0x1.f3b37998de45ap-16, -0x1.ec32d6095b1e3p-16, -0x1.e49fe99a7dda3p-16, -0x1.dcfc0445a4d01p-16, -0x1.d5486b5be2e2fp-16, -0x1.cd8659d00f4e2p-16, -0x1.c5b7007e466f1p-16, -0x1.bddb867224248p-16, -0x1.b5f5092b6aa6fp-16, -0x1.ae049cdfd3c31p-16, -0x1.a60b4cbc5701bp-16, -0x1.9e0a1b24bc95p-16, -0x1.960201f042283p-16, -0x1.8df3f2a7143fep-16, -0x1.85e0d6badcc28p-16, -0x1.7dc98fc159c23p-16, -0x1.75aef7ab35306p-16, -0x1.6d91e0fa735d2p-16, -0x1.657316f6c2de7p-16, -0x1.5d535de0d26d8p-16, -0x1.55337324b8f9cp-16, -0x1.4d140d8a5caedp-16, -0x1.44f5dd6546fb4p-16, -0x1.3cd98cc275613p-16, -0x1.34bfbf956647bp-16, -0x1.2ca913e46790bp-16, -0x1.249621f312401p-16, -0x1.1c877c6b43e85p-16, -0x1.147db08704704p-16, -0x1.0c794636c5fbp-16, -0x1.047ac04844c83p-16, -0x1.f9053918104f3p-17, -0x1.e922a7f3ba475p-17, -0x1.d94eb5a7a3a51p-17, -0x1.c98a419316e5p-17, -0x1.b9d6223299dcap-17, -0x1.aa332562203cp-17, -0x1.9aa2109c2119ap-17, -0x1.8b23a138c4fefp-17, -0x1.7bb88ca909352p-17, -0x1.6c6180b2e5097p-17, -0x1.5d1f23a9432c9p-17, -0x1.4df214a4f43f3p-17, -0x1.3edaebba492e1p-17, -0x1.2fda3a2dcf547p-17, -0x1.20f08aa8ae143p-17, -0x1.121e616938f34p-17, -0x1.03643c74e1135p-17, -0x1.e985278e20604p-18, -0x1.cc73b2fe40fdap-18, -0x1.af94f41bc9b73p-18, -0x1.92e9b8c11b00fp-18, -0x1.7672c418078b3p-18, -0x1.5a30ceea7066fp-18, -0x1.3e2487f5027f3p-18, -0x1.224e94338f7fep-18, -0x1.06af8f2ec6aa8p-18, -0x1.d690168a814b6p-19, -0x1.a03123e7c0c1cp-19, -0x1.6a434838c7d63p-19, -0x1.34c7749321054p-19, -0x1.ff7d13c1c4f9bp-20, -0x1.9652b2cb3654dp-20, -0x1.2e114a6fe9aa8p-20, -0x1.8d7482fd39de4p-21, -0x1.813b893eae05ap-22, 0x1.4be91421cb333p-26, 0x1.a700f90c49c33p-22, 0x1.9ac3e26e57fc2p-21, 0x1.3013dbdf52815p-20, 0x1.91d53516fa203p-20, 0x1.f2a54b2342131p-20, 0x1.2941c1748c9a5p-19, 0x1.58b7ab9a31f0ap-19, 0x1.87b42bfcd67b9p-19, 0x1.b63714d49c8d9p-19, 0x1.e440423d37dcap-19, 0x1.08e7ccf1b76f6p-18, 0x1.1f7285583e45ep-18, 0x1.35c0463df36aep-18, 0x1.4bd10fde5d52p-18, 0x1.61a4e69e99762p-18, 0x1.773bd2e941f3ep-18, 0x1.8c95e10a3b387p-18, 0x1.a1b3210bc02e9p-18, 0x1.b693a6956f2e8p-18, 0x1.cb3788ca4c07dp-18, 0x1.df9ee22a3f445p-18, 0x1.f3c9d0716e52ap-18, 0x1.03dc3a3e02614p-17, 0x1.0db57913b7773p-17, 0x1.1770b81b68392p-17, 0x1.210e0c1b7ec4bp-17, 0x1.2a8d8b31f5468p-17, 0x1.33ef4cc740e25p-17, 0x1.3d336981b7f7ep-17, 0x1.4659fb3936f43p-17, 0x1.4f631ceb5fc48p-17, 0x1.584eeaafae0e6p-17, 0x1.611d81acacc8dp-17, 0x1.69cf000cac954p-17, 0x1.726384f351b0bp-17, 0x1.7adb3073365cp-17, 0x1.8336238408326p-17, 0x1.8b747ff8c986bp-17, 0x1.9396687636c91p-17, 0x1.9b9c0069dbbd9p-17, 0x1.a3856c0156d1bp-17, 0x1.ab52d02139009p-17, 0x1.b304525d2fbddp-17, 0x1.ba9a18efa1a46p-17, 0x1.c2144ab1e1072p-17, 0x1.c9730f148b2dbp-17, 0x1.d0b68e1829dcfp-17, 0x1.d7def045f040ep-17, 0x1.deec5ea8cb6d1p-17, 0x1.e5df02c69ca7ap-17, 0x1.ecb70699c0167p-17, 0x1.f374948a91faep-17, 0x1.fa17d7695e932p-17, 0x1.00507d341d761p-16, 0x1.0388148ac046ep-16, 0x1.06b2c7aaf72dbp-16, 0x1.09d0acafb3455p-16, 0x1.0ce1d9d9ba332p-16, 0x1.0fe6658d2e34dp-16, 0x1.12de664f070dp-16, 0x1.15c9f2c2b11fbp-16, 0x1.18a921a7b5358p-16, 0x1.1b7c09d773b26p-16, 0x1.1e42c2430c7a5p-16, 0x1.20fd61f117465p-16, 0x1.23abfffbba5f4p-16, 0x1.264eb38ea3cd1p-16, 0x1.28e593e51d2fcp-16, 0x1.2b70b848330ccp-16, 0x1.2df0380cdcd47p-16, 0x1.30642a92524dbp-16, 0x1.32cca740414c9p-16, 0x1.3529c585466c6p-16, 0x1.377b9cd54bd91p-16, 0x1.39c244a804eb4p-16, 0x1.3bfdd47776047p-16, 0x1.3e2e63be7d232p-16, 0x1.405409f782194p-16, 0x1.426ede9b134d8p-16, 0x1.447ef91ea9667p-16, 0x1.468470f3504bap-16, 0x1.487f5d848b3ddp-16, 0x1.4a6fd6372127p-16, 0x1.4c55f26800b2ap-16, 0x1.4e31c96b2746dp-16, 0x1.5003728a9a023p-16, 0x1.51cb050560e28p-16, 0x1.5388980e8b496p-16, 0x1.553c42cc42eabp-16, 0x1.56e61c56e8d14p-16, 0x1.58863bb82e10cp-16, 0x1.5a1cb7ea3a289p-16, 0x1.5ba9a7d6ecc88p-16, 0x1.5d2d2256ffe09p-16, 0x1.5ea73e3157cf5p-16, 0x1.6018121a474f4p-16, 0x1.617fb4b2db52ap-16, 0x1.62de3c8830f49p-16, 0x1.6433c012cc23bp-16, 0x1.658055b5fe262p-16, 0x1.66c413bf57a5cp-16, 0x1.67ff106601838p-16, 0x1.693161ca43109p-16, 0x1.6a5b1df4f361cp-16, 0x1.6b7c5ad6fbee3p-16, 0x1.6c952e48de0fbp-16, 0x1.6da5ae0a3aacfp-16, 0x1.6eadefc16118p-16, 0x1.6fae08fae3b0ap-16, 0x1.70a60f29352c4p-16, 0x1.719617a438e57p-16, 0x1.727e37a8f8a41p-16, 0x1.735e84593e4a8p-16, 0x1.743712bb41b0bp-16, 0x1.7507f7b94c68p-16, 0x1.75d148217f5dbp-16, 0x1.769318a5816ddp-16, 0x1.774d7dda3301dp-16, 0x1.78008c377241ap-16, 0x1.78ac5817dd1bap-16, 0x1.7950f5b8979f2p-16, 0x1.79ee79390d4bcp-16, 0x1.7a84f69ac23bp-16, 0x1.7b1481c122d9p-16, 0x1.7b9d2e714f4a3p-16, 0x1.7c1f1051f6abfp-16, 0x1.7c9a3aeb319bap-16, 0x1.7d0ec1a651efep-16, 0x1.7d7cb7cdc192bp-16, 0x1.7de4308ce5aedp-16, 0x1.7e453ef007a1p-16, 0x1.7e9ff5e432614p-16, 0x1.7ef468371abbcp-16, 0x1.7f42a896fee36p-16, 0x1.7f8ac992a7e32p-16, 0x1.7fccdd9947bfcp-16, 0x1.8008f6fa67744p-16, 0x1.803f27e5e4c88p-16, 0x1.806f826bdbfabp-16, 0x1.809a187ca596p-16, 0x1.80befbe8c809p-16, 0x1.80de3e60f40bcp-16, 0x1.80f7f175ff942p-16, 0x1.810c2698e5d61p-16, 0x1.811aef1abb036p-16, 0x1.81245c2cbd975p-16, 0x1.81287ee048a56p-16, 0x1.81276826dc7f2p-16, 0x1.812128d22f46bp-16, 0x1.8115d19422d89p-16, 0x1.810572feca8fp-16, 0x1.80f01d847c8d7p-16, 0x1.80d5e177e3c45p-16, 0x1.80b6cf0bfa2cep-16, 0x1.8092f65417eb6p-16, 0x1.806a674409a5ap-16, 0x1.803d31b01e336p-16, 0x1.800b654d2c62cp-16, 0x1.7fd511b0ae596p-16, 0x1.7f9a4650ce8d2p-16, 0x1.7f5b128474043p-16, 0x1.7f17858365a39p-16, 0x1.7ecfae6648be8p-16, 0x1.7e839c26d15d8p-16, 0x1.7e335d9fc0cdep-16, 0x1.7ddf018d060e1p-16, 0x1.7d86968bcac6cp-16, 0x1.7d2a2b1aa502ap-16, 0x1.7cc9cd99a36ebp-16, 0x1.7c658c4a57707p-16, 0x1.7bfd754ffef14p-16, 0x1.7b9196afa1311p-16, 0x1.7b21fe5025d52p-16, 0x1.7aaeb9fa704ap-16, 0x1.7a37d7597d4e9p-16, 0x1.79bd63fa81f04p-16, 0x1.793f6d4d0bf7ep-16, 0x1.78be00a31bdacp-16, 0x1.78392b3145278p-16, 0x1.77b0fa0ecfab8p-16, 0x1.77257a35d0ab9p-16, 0x1.7696b88351ccep-16, 0x1.7604c1b777fe6p-16, 0x1.756fa27594c3ep-16, 0x1.74d767444dd7ep-16, 0x1.743c1c8dcc02p-16, 0x1.739dce9fd5c01p-16, 0x1.72fc89abe2027p-16, 0x1.725859c744207p-16, 0x1.71b14aeb63547p-16, 0x1.710768f5ca961p-16, 0x1.705abfa846254p-16, 0x1.6fab5aa91d3p-16, 0x1.6ef94583231d3p-16, 0x1.6e448ba5e4f23p-16, 0x1.6d8d3865cbe97p-16, 0x1.6cd356fc42ea8p-16, 0x1.6c16f287db4a1p-16, 0x1.6b58160c72facp-16, 0x1.6a96cc735e57fp-16, 0x1.69d3208b87dacp-16, 0x1.690d1d098899bp-16, 0x1.6844cc87ee2dfp-16, 0x1.677a398747acp-16, 0x1.66ad6e6e4dfdap-16, 0x1.65de758a20693p-16, 0x1.650d590e5242cp-16, 0x1.643a23151063fp-16, 0x1.6364dd9f5173cp-16, 0x1.628d92950d621p-16, 0x1.61b44bc53f917p-16, 0x1.60d912e628698p-16, 0x1.5ffbf1956f34fp-16, 0x1.5f1cf1583b59bp-16, 0x1.5e3c1b9b6b1ccp-16, 0x1.5d5979b3b57ffp-16, 0x1.5c7514ddd6368p-16, 0x1.5b8ef63ea906ep-16, 0x1.5aa726e357e89p-16, 0x1.59bdafc1807c7p-16, 0x1.58d299b758142p-16, 0x1.57e5ed8bdb41p-16, 0x1.56f7b3eef62dfp-16, 0x1.5607f5799baefp-16, 0x1.5516baadf416dp-16, 0x1.54240bf78420ep-16, 0x1.532ff1ab5b0ecp-16, 0x1.523a740836afcp-16, 0x1.51439b36a4865p-16, 0x1.504b6f491f531p-16, 0x1.4f51f83c5389ap-16, 0x1.4e573df72a1f3p-16, 0x1.4d5b484af5f03p-16, 0x1.4c5e1ef3a9cb6p-16, 0x1.4b5fc997e340bp-16, 0x1.4a604fc92446bp-16, 0x1.495fb903f96b8p-16, 0x1.485e0cb020057p-16, 0x1.475b5220a24d1p-16, 0x1.465790940128dp-16, 0x1.4552cf345b15ap-16, 0x1.444d151798d46p-16, 0x1.4346693f90002p-16, 0x1.423ed29a2433ap-16, 0x1.413658016a584p-16, 0x1.402d003bccad6p-16, 0x1.3f22d1fc474fbp-16, 0x1.3e17d3e279843p-16, 0x1.3d0c0c7ac3fc2p-16, 0x1.3bff823e712fp-16, 0x1.3af23b93f40b5p-16, 0x1.39e43eceeb90bp-16, 0x1.38d592305bbd3p-16, 0x1.37c63be6c8364p-16, 0x1.36b6420e5a79ap-16, 0x1.35a5aab108c69p-16, 0x1.34947bc6be781p-16, 0x1.3382bb3571a2ep-16, 0x1.32706ed14ce08p-16, 0x1.315d9c5cde25cp-16, 0x1.304a498937e82p-16, 0x1.2f367bf604927p-16, 0x1.2e223931ae26ap-16, 0x1.2d0d86b98c5b9p-16, 0x1.2bf869fa0dafcp-16, 0x1.2ae2e84ec2384p-16, 0x1.29cd07028be84p-16, 0x1.28b6cb4fb939fp-16, 0x1.27a03a6041b62p-16, 0x1.2689594dc81dap-16, 0x1.25722d21c099dp-16, 0x1.245abad5abd32p-16, 0x1.234307531bfc3p-16, 0x1.222b1773ea24ap-16, 0x1.2112f0024eb8dp-16, 0x1.1ffa95b8f7d86p-16, 0x1.1ee20d433df03p-16, 0x1.1dc95b3d49eb9p-16, 0x1.1cb0843418159p-16, 0x1.1b978ca5a6efdp-16, 0x1.1a7e7901301f4p-16, 0x1.19654da724195p-16, 0x1.184c0ee95054cp-16, 0x1.1732c10b1272fp-16, 0x1.16196841773b9p-16, 0x1.150008b3484e1p-16, 0x1.13e6a67927831p-16, 0x1.12cd459dc6685p-16, 0x1.11b3ea1e05f56p-16, 0x1.109a97e8f5d35p-16, 0x1.0f8152e00a676p-16, 0x1.0e681ed73df8dp-16, 0x1.0d4eff95264edp-16, 0x1.0c35f8d313ac9p-16, 0x1.0b1d0e3d3591p-16, 0x1.0a044372ad733p-16, 0x1.08eb9c05b9fe3p-16, 0x1.07d31b7bcbf6cp-16, 0x1.06bac54d9c91bp-16, 0x1.05a29ce75fe4ap-16, 0x1.048aa5a8d9131p-16, 0x1.0372e2e567ff5p-16, 0x1.025b57e42ec2ep-16, 0x1.014407e0492a4p-16, 0x1.002cf608bab16p-16, 0x1.fe2c4b01491d4p-17, 0x1.fbff32bee630ap-17, 0x1.f9d2a961abaf2p-17, 0x1.f7a6b4e9bfea7p-17, 0x1.f57b5b4083bedp-17, 0x1.f350a238ab12bp-17, 0x1.f1268f8e4cb13p-17, 0x1.eefd28e732fe4p-17, 0x1.ecd473d3469cp-17, 0x1.eaac75cc6d453p-17, 0x1.e8853436e609p-17, 0x1.e65eb4618a252p-17, 0x1.e438fb85ee2b4p-17, 0x1.e2140ec8a89eep-17, 0x1.dfeff3396be64p-17, 0x1.ddccadd347244p-17, 0x1.dbaa437cf29a2p-17, 0x1.d988b908be5c1p-17, 0x1.d76813350b5fep-17, 0x1.d54856ac7c7cdp-17, 0x1.d3298805df5c8p-17, 0x1.d10babc48745cp-17, 0x1.ceeec658bd85dp-17, 0x1.ccd2dc1f8377dp-17, 0x1.cab7f163045eep-17, 0x1.c89e0a5ad7b0fp-17, 0x1.c6852b2bd8bcap-17, 0x1.c46d57e8a85d8p-17, 0x1.c2569491e5307p-17, 0x1.c040e51611a2cp-17, 0x1.be2c4d51d91f2p-17, 0x1.bc18d110737e1p-17, 0x1.ba06740ba7e7fp-17, 0x1.b7f539ebe272cp-17, 0x1.b5e526489903dp-17, 0x1.b3d63ca859b8ep-17, 0x1.b1c88080eeefbp-17, 0x1.afbbf5379d3e2p-17, 0x1.adb09e2141b5cp-17, 0x1.aba67e82a1276p-17, 0x1.a99d99904fa31p-17, 0x1.a795f26f1c8e5p-17, 0x1.a58f8c3429b2dp-17, 0x1.a38a69e4dcd59p-17, 0x1.a1868e778571cp-17, 0x1.9f83fcd31d502p-17, 0x1.9d82b7cf6dff3p-17, 0x1.9b82c2358fa54p-17, 0x1.99841ebfd4d38p-17, 0x1.9786d019e8c9dp-17, 0x1.958ad8e12bb22p-17, 0x1.93903ba49a211p-17, 0x1.9196fae5238dbp-17, 0x1.8f9f1915e3f6fp-17, 0x1.8da8989bfb899p-17, 0x1.8bb37bcee5183p-17, 0x1.89bfc4f8d0e62p-17, 0x1.87cd7656625c8p-17, 0x1.85dc92171c203p-17, 0x1.83ed1a5d6fec4p-17, 0x1.81ff113ee9ce1p-17, 0x1.801278c4542c5p-17, 0x1.7e2752e9ca83ap-17, 0x1.7c3da19f0cfc6p-17, 0x1.7a5566c75810fp-17, 0x1.786ea439dab9cp-17, 0x1.76895bc1b21b4p-17, 0x1.74a58f1de3c18p-17, 0x1.72c34001ec4d1p-17, 0x1.70e2701575f35p-17, 0x1.6f0320f497e75p-17, 0x1.6d25543048341p-17, 0x1.6b490b4dfb2dap-17, 0x1.696e47c8154afp-17, 0x1.67950b0e16621p-17, 0x1.65bd56848409fp-17, 0x1.63e72b853ea1bp-17, 0x1.62128b5f6d238p-17, 0x1.603f7757caf71p-17, 0x1.5e6df0a8cedadp-17, 0x1.5c9df882856bcp-17, 0x1.5acf900aea7f4p-17, 0x1.5902b85e1fe6ap-17, 0x1.5737728e3c6f7p-17, 0x1.556dbfa3a25b7p-17, 0x1.53a5a09d17e08p-17, 0x1.51df166fe28a8p-17, 0x1.501a2207ccffp-17, 0x1.4e56c4476b27cp-17, 0x1.4c94fe081a32ep-17, 0x1.4ad4d01a252d9p-17, 0x1.49163b4503dap-17, 0x1.475940471bd97p-17, 0x1.459ddfd650365p-17, 0x1.43e41a9fd8519p-17, 0x1.422bf14843a1fp-17, 0x1.4075646bfe24ep-17, 0x1.3ec0749ef2b1fp-17, 0x1.3d0d226ce2505p-17, 0x1.3b5b6e599afa2p-17, 0x1.39ab58e0c8578p-17, 0x1.37fce27645e4p-17, 0x1.36500b862b53p-17, 0x1.34a4d474dfbb2p-17, 0x1.32fb3d9f37d97p-17, 0x1.3153475a81e2dp-17, 0x1.2facf1f4cd92ep-17, 0x1.2e083db4bce6bp-17, 0x1.2c652ad9cfeacp-17, 0x1.2ac3b99c80b09p-17, 0x1.2923ea2e3acd9p-17, 0x1.2785bcb97877fp-17, 0x1.25e931620462dp-17, 0x1.244e4844e1196p-17, 0x1.22b5017865acdp-17, 0x1.211d5d0c80b7cp-17, 0x1.1f875b0a8b8c5p-17, 0x1.1df2fb75a9c0ap-17, 0x1.1c603e4a9ccb9p-17, 0x1.1acf2380001d2p-17, 0x1.193fab06755d4p-17, 0x1.17b1d4c8679a3p-17, 0x1.1625a0aa81e43p-17, 0x1.149b0e8b92c49p-17, 0x1.13121e448b3b4p-17, 0x1.118acfa8d8191p-17, 0x1.10052286370d1p-17, 0x1.0e8116a4e5a04p-17, 0x1.0cfeabc7c0314p-17, 0x1.0b7de1ac42ad2p-17, 0x1.09feb80a9b018p-17, 0x1.08812e95d6824p-17, 0x1.070544fbe4effp-17, 0x1.058afae594007p-17, 0x1.04124ff6da4f7p-17, 0x1.029b43cebf4dp-17, 0x1.0125d6076eb2ap-17, 0x1.ff640c6cd100ep-18, 0x1.fc7fa7d8fd142p-18, 0x1.f99e7d6baf8e8p-18, 0x1.f6c08c346f545p-18, 0x1.f3e5d339983a6p-18, 0x1.f10e5178e6873p-18, 0x1.ee3a05e7765f3p-18, }}, 
      {{0x1.ffb288e8d08d2p-1, 0x1.feec92d4ef0d4p-1, 0x1.fdd46ef7656fbp-1, 0x1.fc78d52907276p-1, 0x1.faddd5e83df29p-1, 0x1.f906f9831a042p-1, 0x1.f6fb00b3b8873p-1, 0x1.f4c3830ff5113p-1, 0x1.f26aebd09647bp-1, 0x1.effa7fe1989afp-1, 0x1.ed7928700a59fp-1, 0x1.eaeb1872965a3p-1, 0x1.e85215607e6fap-1, 0x1.e5ae18ecb5709p-1, 0x1.e2fe0d350c016p-1, 0x1.e04079cbe15b9p-1, 0x1.dd740bbb1cba2p-1, 0x1.da97f14256255p-1, 0x1.d7ac0b4e4f919p-1, 0x1.d4b0fb8cf3f33p-1, 0x1.d1a817e3cb50bp-1, 0x1.ce934c1454381p-1, 0x1.cb74f159a1e21p-1, 0x1.c84fa25571b1bp-1, 0x1.c526101246c2ep-1, 0x1.c1fadb67b769ap-1, 0x1.bed074c824262p-1, 0x1.bba9037606792p-1, 0x1.b88654536d6c8p-1, 0x1.b569cfeb6832cp-1, 0x1.b25476f349e8cp-1, 0x1.af46e4484a8ecp-1, 0x1.ac41535469629p-1, 0x1.a943a9c3a4906p-1, 0x1.a64d8381ae20ep-1, 0x1.a35e40126383bp-1, 0x1.a0751077cb53ap-1, 0x1.9d9104fb9d4dcp-1, 0x1.9ab11a55a3cafp-1, 0x1.97d445c9c8713p-1, 0x1.94f97ff707ad4p-1, 0x1.921fce2b39f7bp-1, 0x1.8f464a263e2cap-1, 0x1.8c6c28499a2dp-1, 0x1.8990bc4045832p-1, 0x1.86b37c356cabfp-1, 0x1.83d402b8d8688p-1, 0x1.80f20f74d8e09p-1, 0x1.7e0d86dc6b24ap-1, 0x1.7b2670f95c8e9p-1, 0x1.783cf781adc39p-1, 0x1.75516359e43bep-1, 0x1.726419a790291p-1, 0x1.6f7598944cafep-1, 0x1.6c8673de39414p-1, 0x1.6997514f67b34p-1, 0x1.66a8e532408e9p-1, 0x1.63bbeed5719c8p-1, 0x1.60d1352eb9c49p-1, 0x1.5de983a8de20ap-1, 0x1.5b05a7264beaap-1, 0x1.58266b3f6dd85p-1, 0x1.554c97c17f84p-1, 0x1.5278ee70c186dp-1, 0x1.4fac290f45707p-1, 0x1.4ce6f7a821012p-1, 0x1.4a29ff1db325p-1, 0x1.4775d7f8b5445p-1, 0x1.44cb0d751464p-1, 0x1.422a1cc8fe6b3p-1, 0x1.3f9374a22a803p-1, 0x1.3d0774d51c317p-1, 0x1.3a866e39fa6acp-1, 0x1.3810a2b282f16p-1, 0x1.35a64554ac94bp-1, 0x1.33477ab59e0fp-1, 0x1.30f45950c67a1p-1, 0x1.2eacea0712a54p-1, 0x1.2c7128b26f977p-1, 0x1.2a4104ca0c0f5p-1, 0x1.281c621407174p-1, 0x1.260319617d098p-1, 0x1.23f4f95227adfp-1, 0x1.21f1c71d0b5e1p-1, 0x1.1ff93f5be60c7p-1, 0x1.1e0b16d75cf3ap-1, 0x1.1c26fb521764p-1, 0x1.1a4c94513bbfbp-1, 0x1.187b83e0ebb76p-1, 0x1.16b367539adfcp-1, 0x1.14f3d7fb43d56p-1, 0x1.133c6bdbacc94p-1, 0x1.118cb65510d18p-1, 0x1.0fe448c6b0a57p-1, 0x1.0e42b328e0c73p-1, 0x1.0ca7849e51d0bp-1, 0x1.0b124bfc691b8p-1, 0x1.0982984a90eadp-1, 0x1.07f7f93881a13p-1, 0x1.0671ff8b9529p-1, 0x1.04f03d8342786p-1, 0x1.03724734f4345p-1, 0x1.01f7b2df6a2afp-1, 0x1.00801935ee6fbp-1, 0x1.fe162b4749cdbp-2, 0x1.fb308d0e823eep-2, 0x1.f84e9acef4e14p-2, 0x1.f56f9e4122f5dp-2, 0x1.f292e816850e2p-2, 0x1.efb7d03afba5bp-2, 0x1.ecddb60a80c9bp-2, 0x1.ea04007bd548cp-2, 0x1.e72a1e40d480dp-2, 0x1.e44f85dd2864p-2, 0x1.e173b5b40777ep-2, 0x1.de96340da0db5p-2, 0x1.dbb68f14e6b01p-2, 0x1.d8d45cce46b7fp-2, 0x1.d5ef3b07f613ep-2, 0x1.d306cf445aaep-2, 0x1.d01ac69f213fp-2, 0x1.cd2ad5ad86f34p-2, 0x1.ca36b85a53981p-2, 0x1.c73e31bdfa9f4p-2, 0x1.c4410bf35b09cp-2, 0x1.c13f17e985249p-2, 0x1.be382d32e97c1p-2, 0x1.bb2c29d252387p-2, 0x1.b81af20603b08p-2, 0x1.b50470114be1cp-2, 0x1.b1e89404d9a63p-2, 0x1.aec753861a8acp-2, 0x1.aba0a995e5364p-2, 0x1.a8749656afb34p-2, 0x1.a5431ed283c25p-2, 0x1.a20c4cc0e97fp-2, 0x1.9ed02e4cf7671p-2, 0x1.9b8ed5dbb11b2p-2, 0x1.984859d2dd4f4p-2, 0x1.94fcd460776cap-2, 0x1.91ac6342d5f59p-2, 0x1.8e572791b054fp-2, 0x1.8afd45880e37ap-2, 0x1.879ee44f42bc4p-2, 0x1.843c2dcaff5b3p-2, 0x1.80d54e669482ap-2, 0x1.7d6a74e3702d8p-2, 0x1.79fbd228e1ee9p-2, 0x1.7689991535277p-2, 0x1.7313fe50239c7p-2, 0x1.6f9b381eaf5b4p-2, 0x1.6c1f7e3863124p-2, 0x1.68a1099e03669p-2, 0x1.65201471a9cf8p-2, 0x1.619cd9d054d69p-2, 0x1.5e1795ace8e62p-2, 0x1.5a9084aca2f7fp-2, 0x1.5707e404f68b7p-2, 0x1.537df15adc9acp-2, 0x1.4ff2eaa386cd9p-2, 0x1.4c670e067adf5p-2, 0x1.48da99c10ddd7p-2, 0x1.454dcc0b3752cp-2, 0x1.41c0e2fdbe22ep-2, 0x1.3e341c79af3fep-2, 0x1.3aa7b61120dep-2, 0x1.371becf133319p-2, 0x1.3390fdcd4e463p-2, 0x1.300724cb910fp-2, 0x1.2c7e9d726a37p-2, 0x1.28f7a29755da1p-2, 0x1.25726e4eb527bp-2, 0x1.21ef39dcb7958p-2, 0x1.1e6e3da753ddep-2, 0x1.1aefb1293b3e2p-2, 0x1.1773cae5cfc0dp-2, 0x1.13fac05e05d32p-2, 0x1.1084c60632e87p-2, 0x1.0d120f3cbd4c1p-2, 0x1.09a2ce41a6f8ap-2, 0x1.0637342ee5d33p-2, 0x1.02cf70f18949bp-2, 0x1.fed7668742ea2p-3, 0x1.f818514dbc243p-3, 0x1.f161fabfc0131p-3, 0x1.eab4b8e474068p-3, 0x1.e410df3a1cd94p-3, 0x1.dd76beb09ced6p-3, 0x1.d6e6a5a517119p-3, 0x1.d060dfdeb108ep-3, 0x1.c9e5b68c641bdp-3, 0x1.c3757043cf63bp-3, 0x1.bd1051010222cp-3, 0x1.b6b69a27282b9p-3, 0x1.b0688a821a197p-3, 0x1.aa265e48b6f83p-3, 0x1.a3f04f200758ep-3, 0x1.9dc6941f1ae19p-3, 0x1.97a961d39081dp-3, 0x1.9198ea46c5c7p-3, 0x1.8b955d03a01fap-3, 0x1.859ee71ce49d6p-3, 0x1.7fb5b33418efap-3, 0x1.79d9e980e0642p-3, 0x1.740bafd8cc22p-3, 0x1.6e4b29b79b1b6p-3, 0x1.68987847d8fd7p-3, 0x1.62f3ba6bdec46p-3, 0x1.5d5d0cc720b68p-3, 0x1.57d489c7cc6b3p-3, 0x1.525a49b0b0b4cp-3, 0x1.4cee62a3588e9p-3, 0x1.4790e8aa6feefp-3, 0x1.4241edc446801p-3, 0x1.3d0181ed90cdfp-3, 0x1.37cfb32c43d6dp-3, 0x1.32ac8d9a958d9p-3, 0x1.2d981b721b43fp-3, 0x1.28926516f9acfp-3, 0x1.239b71232d7f9p-3, 0x1.1eb34471dc049p-3, 0x1.19d9e22ab0d5fp-3, 0x1.150f4bcd3b9e4p-3, 0x1.1053813c55c27p-3, 0x1.0ba680c983a64p-3, 0x1.07084740499f8p-3, 0x1.0278cff182ac4p-3, 0x1.fbf0297d4b224p-4, 0x1.f30c1c49eb788p-4, 0x1.ea4566915c01p-4, 0x1.e19bf4001ad07p-4, 0x1.d90fadbca15bfp-4, 0x1.d0a07a7d27eb8p-4, 0x1.c84e3e9d27f43p-4, 0x1.c018dc32bb441p-4, 0x1.b80033239c2ddp-4, 0x1.b004213a07cd1p-4, 0x1.a8248239414abp-4, 0x1.a0612ff1d5cc4p-4, 0x1.98ba0255a195cp-4, 0x1.912ecf8b7983cp-4, 0x1.89bf6c028c0a3p-4, 0x1.826baa857661p-4, 0x1.7b335c4d01e7fp-4, 0x1.741651128d18cp-4, 0x1.6d145722265d7p-4, 0x1.662d3b6c48c89p-4, 0x1.5f60c997453d5p-4, 0x1.58aecc105238ep-4, 0x1.52170c1c450eap-4, 0x1.4b9951e7edba4p-4, 0x1.453564981817bp-4, 0x1.3eeb0a593af4p-4, 0x1.38ba086ec0338p-4, 0x1.32a22341fc935p-4, 0x1.2ca31e70c4b8bp-4, 0x1.26bcbcdbb0196p-4, 0x1.20eec0b3f715ep-4, 0x1.1b38eb89018f9p-4, 0x1.159afe5592cddp-4, 0x1.1014b98ca3c1ep-4, 0x1.0aa5dd25dfe17p-4, 0x1.054e28a9c8fc4p-4, 0x1.000d5b3d88ea5p-4, 0x1.f5c6675cd4c55p-5, 0x1.eb9ee0f9efda6p-5, 0x1.e1a39fcf996fdp-5, 0x1.d7d41fec1c55ap-5, 0x1.ce2fdd0322146p-5, 0x1.c4b6528160a02p-5, 0x1.bb66fb9fa19f2p-5, 0x1.b24153752c6a7p-5, 0x1.a944d50992c81p-5, 0x1.a070fb65dfab7p-5, 0x1.97c541a535597p-5, 0x1.8f412304c959ep-5, 0x1.86e41af35a5b7p-5, 0x1.7eada5200c55ep-5, 0x1.769d3d88b957ep-5, 0x1.6eb26087b64c7p-5, 0x1.66ec8ae10c6b9p-5, 0x1.5f4b39cf323e9p-5, 0x1.57cdeb0f3bc69p-5, 0x1.50741cec85fdcp-5, 0x1.493d4e4bf0598p-5, 0x1.4228feb6898f5p-5, 0x1.3b36ae63d2727p-5, 0x1.3465de438065p-5, 0x1.2db61006d2b73p-5, 0x1.2726c6296f57p-5, 0x1.20b783f9d75b9p-5, 0x1.1a67cda16f8bap-5, 0x1.1437282c195bbp-5, 0x1.0e25198f6e54fp-5, 0x1.083128b18fd1ap-5, 0x1.025add6f986f3p-5, 0x1.f94381475fcffp-6, 0x1.ee0ab8557fdd3p-6, 0x1.e30a75d39f54bp-6, 0x1.d841d1a6141cfp-6, 0x1.cdafe5d4d70e6p-6, 0x1.c353ce9441ad8p-6, 0x1.b92caa4d29571p-6, 0x1.af3999a455c37p-6, 0x1.a579bf81755a8p-6, 0x1.9bec4115646cdp-6, 0x1.929045dffe343p-6, 0x1.8964f7b558a5ap-6, 0x1.806982c278742p-6, 0x1.779d15918aa17p-6, 0x1.6efee10da5bb5p-6, 0x1.668e188603fc2p-6, 0x1.5e49f1b0d3de6p-6, 0x1.5631a4ad9a35bp-6, 0x1.4e446c07202bep-6, 0x1.468184b4f9ccbp-6, 0x1.3ee82e1cad925p-6, 0x1.3777aa1275e92p-6, 0x1.302f3cd9a7ecap-6, 0x1.290e2d24bb25p-6, 0x1.2213c414ffa3fp-6, 0x1.1b3f4d39fd941p-6, 0x1.149016908db52p-6, 0x1.0e05708192259p-6, 0x1.079eade07c80cp-6, 0x1.015b23e97cbc1p-6, 0x1.f674547ee5963p-7, 0x1.ea7635d3477f3p-7, 0x1.debaa4a24faddp-7, 0x1.d3405e7c4e8a2p-7, 0x1.c80625a9b2274p-7, 0x1.bd0ac124963ap-7, 0x1.b24cfc9206a7bp-7, 0x1.a7cba83ab287fp-7, 0x1.9d8599037ec77p-7, 0x1.9379a8658edefp-7, 0x1.89a6b466126d7p-7, 0x1.800b9f8dc83c2p-7, 0x1.76a750e02b679p-7, 0x1.6d78b3d26405dp-7, 0x1.647eb841f16ccp-7, 0x1.5bb8526b1c2e1p-7, 0x1.53247adf2b8e5p-7, 0x1.4ac22e7a6148p-7, 0x1.42906e59cb5e9p-7, 0x1.3a8e3fd0eae03p-7, 0x1.32baac5f1762p-7, 0x1.2b14c1a4e17ffp-7, 0x1.239b9159271cep-7, 0x1.1c4e313e2952bp-7, 0x1.152bbb166fdc8p-7, 0x1.0e334c9996afep-7, 0x1.0764076901d53p-7, 0x1.00bd1104763a6p-7, 0x1.f47b257d63126p-8, 0x1.e7c97363b40bbp-8, 0x1.db636d67d5d0bp-8, 0x1.cf477c9620358p-8, 0x1.c37411440b886p-8, 0x1.b7e7a2f8b12bp-8, 0x1.aca0b05565c86p-8, 0x1.a19dbefe42a85p-8, 0x1.96dd5b8293b49p-8, 0x1.8c5e19456c561p-8, 0x1.821e92662a96bp-8, 0x1.781d67a8f5c2p-8, 0x1.6e59405f61e5ap-8, 0x1.64d0ca5101059p-8, 0x1.5b82b9a41cd95p-8, 0x1.526dc8c6804bep-8, 0x1.4990b85647751p-8, 0x1.40ea4f0ad1e9ep-8, 0x1.3879599dc9516p-8, 0x1.303caab45a131p-8, 0x1.28331ac85a92bp-8, 0x1.205b8811d6575p-8, 0x1.18b4d6707333dp-8, 0x1.113def5533517p-8, 0x1.09f5c1ac53609p-8, 0x1.02db41c72cba6p-8, 0x1.f7dad28cdbd7dp-9, 0x1.ea566e08c608ap-9, 0x1.dd275dfef28f5p-9, 0x1.d04bb489d2e29p-9, 0x1.c3c18db7203f3p-9, 0x1.b7870f5dfa46cp-9, 0x1.ab9a68f5477aep-9, 0x1.9ff9d36abe0bcp-9, 0x1.94a390f9f7583p-9, 0x1.8995ed0446363p-9, 0x1.7ecf3be8ac311p-9, 0x1.744ddadc6bd87p-9, 0x1.6a102fc3f0102p-9, 0x1.6014a90c356afp-9, 0x1.5659bd8479e3cp-9, 0x1.4cddec3886d6p-9, 0x1.439fbc4b616b6p-9, 0x1.3a9dbcd253fbcp-9, 0x1.31d684b0959d4p-9, 0x1.2948b27327bf5p-9, 0x1.20f2ec2d77ae5p-9, 0x1.18d3df560c792p-9, 0x1.10ea40a40e23bp-9, 0x1.0934cbed0d968p-9, 0x1.01b2440331e2ap-9, 0x1.f4c2e52801cc6p-10, 0x1.e682500ef201cp-10, 0x1.d8a076bf86af7p-10, 0x1.cb1b143285f84p-10, 0x1.bdeff015f468cp-10, 0x1.b11cde8f5e568p-10, 0x1.a49fbffe72501p-10, 0x1.987680c0d24cap-10, 0x1.8c9f18f6a9e3bp-10, 0x1.81178c4839f74p-10, 0x1.75dde9ac3daa4p-10, 0x1.6af04b2f10fefp-10, 0x1.604cd5bb04122p-10, 0x1.55f1b8e130f22p-10, 0x1.4bdd2ea3642cep-10, 0x1.420d7b3ef40fap-10, 0x1.3880ecf825c36p-10, 0x1.2f35dbe6b4e4cp-10, 0x1.262aa9c3075f2p-10, 0x1.1d5dc1b449377p-10, 0x1.14cd981f421c7p-10, 0x1.0c78aa762a8cp-10, 0x1.045d7f0915062p-10, 0x1.f8f549ae8e5c3p-11, 0x1.e99d66c2cfe15p-11, 0x1.dab094f8b5e28p-11, 0x1.cc2c2449c2e49p-11, 0x1.be0d74a844c7p-11, 0x1.b051f5a9a2d4ep-11, 0x1.a2f7263242487p-11, 0x1.95fa9422fe8eep-11, 0x1.8959dc07f269bp-11, 0x1.7d12a8c8edcf3p-11, 0x1.7122b35af6a0dp-11, 0x1.6587c273c06f1p-11, 0x1.5a3faa3df5e21p-11, 0x1.4f484c0f64eb1p-11, 0x1.449f9620351fcp-11, 0x1.3a4383438b537p-11, 0x1.30321aa19e08ap-11, 0x1.26696f72d7a66p-11, 0x1.1ce7a0bc961c1p-11, 0x1.13aad90f0b6cdp-11, 0x1.0ab14e4443ddep-11, 0x1.01f9414076ee7p-11, 0x1.f301fb67d4112p-12, 0x1.e28db3ba8b9f9p-12, 0x1.d2926c9bf76aap-12, 0x1.c30cfb5e766d4p-12, 0x1.b3fa491063cc1p-12, 0x1.a557520b3ef18p-12, 0x1.972125846c979p-12, 0x1.8954e520d2c06p-12, 0x1.7befc48a3f26ap-12, 0x1.6eef0906bc2cp-12, 0x1.62500912a3e51p-12, 0x1.56102bfc2b316p-12, 0x1.4a2ce9811d133p-12, 0x1.3ea3c96eb9aaap-12, 0x1.337263439218bp-12, 0x1.28965dd2f126fp-12, 0x1.1e0d6eeaa1379p-12, 0x1.13d55afa6c768p-12, 0x1.09ebf4bd20cd1p-12, 0x1.004f1ce3e9e9ap-12, 0x1.edf983861d38fp-13, 0x1.dbe5be00e03c1p-13, 0x1.ca5efa8847ec3p-13, 0x1.b96163d47f5d4p-13, 0x1.a8e93d6c6716ap-13, 0x1.98f2e311e2a76p-13, 0x1.897ac82d6012p-13, 0x1.7a7d774068a88p-13, 0x1.6bf79158d3238p-13, 0x1.5de5cd8778a4p-13, 0x1.5044f85ac966fp-13, 0x1.4311f35b12b75p-13, 0x1.3649b48a9e43dp-13, 0x1.29e945e7ad092p-13, 0x1.1dedc4f1d4b9cp-13, 0x1.1254623254753p-13, 0x1.071a60c63fab5p-13, 0x1.f87a2bd68c79p-14, 0x1.e373d120a12a7p-14, 0x1.cf1ca1cd9a756p-14, 0x1.bb6faff0248dbp-14, 0x1.a8682e7747595p-14, 0x1.96017062b289cp-14, 0x1.8436e7f89f64bp-14, 0x1.7304260312ff9p-14, 0x1.6264d90f335dap-14, 0x1.5254ccb25cb0fp-14, 0x1.42cfe8d305018p-14, 0x1.33d230f5dc4bfp-14, 0x1.2557c38ee0da9p-14, 0x1.175cd9565f33dp-14, 0x1.09ddc4a2b935fp-14, 0x1.f9ade188ad8fep-15, 0x1.e089c2cf30dbbp-15, 0x1.c84863ef22ee1p-15, 0x1.b0e32a0f1f3f5p-15, 0x1.9a53a77c6b5b7p-15, 0x1.84939a87797b6p-15, 0x1.6f9cec6a848a6p-15, 0x1.5b69b033e5229p-15, 0x1.47f421b8741a4p-15, 0x1.3536a48b33c9ap-15, 0x1.232bc2fc4a175p-15, 0x1.11ce2d1cd8657p-15, 0x1.0118b7caf427ap-15, 0x1.e20cb77f737eap-16, 0x1.c324694df60d3p-16, 0x1.a56f0075fd75dp-16, 0x1.88e33ac69d9f1p-16, 0x1.6d7816bca451p-16, 0x1.5324d1d4ade14p-16, 0x1.39e0e6ef30967p-16, 0x1.21a40cbb6f9dfp-16, 0x1.0a66342b7091ep-16, 0x1.e83f0de89e6aep-17, 0x1.bd90cc2bb1339p-17, 0x1.94b2d0d6294bep-17, 0x1.6d96b28c5c0dfp-17, 0x1.482e6e2337751p-17, 0x1.246c63f77decep-17, 0x1.024355563ff15p-17, 0x1.c34cc3ecfea43p-18, 0x1.85120afc840a1p-18, 0x1.49be2a341067ap-18, 0x1.11397a4a79e5ap-18, 0x1.b6d9fb7735d2bp-19, 0x1.5084b8af81721p-19, 0x1.de8f7b61d055dp-20, 0x1.25f1aae03210cp-20, 0x1.db77df65868dp-22, -0x1.77da9c980b27ep-23, -0x1.97cf55d268de5p-21, -0x1.60324ebf6d4b3p-20, -0x1.ec245bb13228ap-20, -0x1.38026c75938a3p-19, -0x1.760c633970facp-19, -0x1.b051957f49129p-19, -0x1.e6f290bfac41ep-19, -0x1.0d07799426c0cp-18, -0x1.24e2b8fd765a5p-18, -0x1.3b19eff4d14f1p-18, -0x1.4fbb99897ca3cp-18, -0x1.62d5c5834775bp-18, -0x1.74761b4205706p-18, -0x1.84a9dc97053e8p-18, -0x1.937de87a12f2dp-18, -0x1.a0febdc26f47dp-18, -0x1.ad387dbb3bc7ep-18, -0x1.b836eeb16b53fp-18, -0x1.c2057e6bc1eb3p-18, -0x1.caaf449761b92p-18, -0x1.d23f051f0d1ffp-18, -0x1.d8bf3275ec499p-18, -0x1.de39efd3e8cbfp-18, -0x1.e2b9135d1bac7p-18, -0x1.e6462845da696p-18, -0x1.e8ea70db0fd0ap-18, -0x1.eaaee88ac9defp-18, -0x1.eb9c45d246f85p-18, -0x1.ebbafc298dea7p-18, -0x1.eb133dda0a303p-18, -0x1.e9acfdcfba11ep-18, -0x1.e78ff157d7abfp-18, -0x1.e4c391d8ee1dbp-18, -0x1.e14f1e7af90e1p-18, -0x1.dd399dc8c76b2p-18, -0x1.d889df412351ep-18, -0x1.d3467ce274315p-18, -0x1.cd75dca7ebc2ep-18, -0x1.c71e31fffd288p-18, -0x1.c0457f3419b2fp-18, -0x1.b8f196cdd38f2p-18, -0x1.b1281ce916c0ep-18, -0x1.a8ee8888f221cp-18, -0x1.a04a24d663853p-18, -0x1.974012633cbc7p-18, -0x1.8dd5485a0b97ep-18, -0x1.840e95aaf3a7bp-18, -0x1.79f0a2315cd22p-18, -0x1.6f7fefce3a6dbp-18, -0x1.64c0db7c3c2efp-18, -0x1.59b79e5da69eep-18, -0x1.4e684ec1c5a86p-18, -0x1.42d6e122687e2p-18, -0x1.3707291c9ce1fp-18, -0x1.2afcda6142314p-18, -0x1.1ebb899e122a8p-18, -0x1.1246ad63f684dp-18, -0x1.05a19f033de6bp-18, -0x1.f19f36c5313e9p-19, -0x1.d7a787a4c480fp-19, -0x1.bd623daffde31p-19, -0x1.a2d531e63a375p-19, -0x1.88060ac3691d8p-19, -0x1.6cfa3db033bb7p-19, -0x1.51b71074647f7p-19, -0x1.36419a97b6fecp-19, -0x1.1a9ec6ba5789dp-19, -0x1.fda6a7c949dbap-20, -0x1.c5c7ada1aa3eap-20, -0x1.8da97647bebb6p-20, -0x1.555489481ecb2p-20, -0x1.1cd120cb4f1fdp-20, -0x1.c84e57b3c3af4p-21, -0x1.56bca12c81b22p-21, -0x1.c9f7b985c450ep-22, -0x1.cc68ffbb7ab14p-23, -0x1.257ae111b96c3p-29, 0x1.c3550dcbfb872p-23, 0x1.c59293261e5f5p-22, 0x1.54aa5fb6fe95bp-21, 0x1.c66cc422426cbp-21, 0x1.1c0293d53e968p-20, 0x1.54b4551c554e5p-20, 0x1.8d466bbe37bbep-20, 0x1.c5b3d1d4d7746p-20, 0x1.fdf7b42bbaf7p-20, 0x1.1b06b85a4f591p-19, 0x1.36f84a86e5a92p-19, 0x1.52ce6e872247bp-19, 0x1.6e8718ae83c64p-19, 0x1.8a20530b3abb7p-19, 0x1.a5983cbb3321bp-19, 0x1.c0ed0947a7c0ep-19, 0x1.dc1d0004768d7p-19, 0x1.f7267b7632f46p-19, 0x1.0903f45bef667p-18, 0x1.165fe37503471p-18, 0x1.23a65351e40bp-18, 0x1.30d694b3b74b3p-18, 0x1.3df0008e496b6p-18, 0x1.4af1f7c65c832p-18, 0x1.57dbe2f1f698dp-18, 0x1.64ad321b1f049p-18, 0x1.71655c839c591p-18, 0x1.7e03e06a6d99p-18, 0x1.8a8842d400f9fp-18, 0x1.96f20f521f234p-18, 0x1.a340d7d00bd42p-18, 0x1.af74345d71d88p-18, 0x1.bb8bc2fcb72dp-18, 0x1.c7872771c2b2bp-18, 0x1.d3660b12e17dcp-18, 0x1.df281c9aa52b4p-18, 0x1.eacd0ffb05e6ap-18, 0x1.f6549e3208ad5p-18, 0x1.00df428fafe11p-17, 0x1.068543ade968dp-17, 0x1.0c1c3608ae561p-17, 0x1.11a3ff6a2fb7p-17, 0x1.171c87bf2686ap-17, 0x1.1c85b904dbf32p-17, 0x1.21df7f370abb1p-17, 0x1.2729c83f217b2p-17, 0x1.2c6483e37fcb1p-17, 0x1.318fa3b7429b8p-17, 0x1.36ab1b0a9ca76p-17, 0x1.3bb6dedbccfe6p-17, 0x1.40b2e5c80973ap-17, 0x1.459f27fd6d776p-17, 0x1.4a7b9f2cef6cbp-17, 0x1.4f48467cfee65p-17, 0x1.54051a7c3bd21p-17, 0x1.58b21914fe9c1p-17, 0x1.5d4f4180c539bp-17, 0x1.61dc943c7962fp-17, 0x1.665a12fc9c91ap-17, 0x1.6ac7c0a21e336p-17, 0x1.6f25a12f77088p-17, 0x1.7373b9bde5a8ep-17, 0x1.77b210735f2cfp-17, 0x1.7be0ac7863047p-17, 0x1.7fff95ee64ae7p-17, 0x1.840ed5e660ad4p-17, 0x1.880e7657bddbep-17, 0x1.8bfe82177e06ep-17, 0x1.8fdf04cf98508p-17, 0x1.93b00af6cca33p-17, 0x1.9771a1c865d8cp-17, 0x1.9b23d73c94a53p-17, 0x1.9ec6ba00b7c47p-17, 0x1.a25a597013214p-17, 0x1.a5dec58cade42p-17, 0x1.a9540ef85bbf3p-17, 0x1.acba46ee0cd77p-17, 0x1.b0117f3b644c1p-17, 0x1.b359ca3a4054p-17, 0x1.b6933acac5811p-17, 0x1.b9bde44d58b79p-17, 0x1.bcd9da9cee2dp-17, 0x1.bfe73209798cap-17, 0x1.c2e5ff5280b21p-17, 0x1.c5d657a1d54d6p-17, 0x1.c8b85086b1f79p-17, 0x1.cb8bfff0966d1p-17, 0x1.ce517c2ab103dp-17, 0x1.d108dbd729dd9p-17, 0x1.d3b235eab90b2p-17, 0x1.d64da1a84836ep-17, 0x1.d8db369cd0d65p-17, 0x1.db5b0c9b36096p-17, 0x1.ddcd3bb86c4bcp-17, 0x1.e031dc4792bcfp-17, 0x1.e28906d655e84p-17, 0x1.e4d2d42956df3p-17, 0x1.e70f5d38a9634p-17, 0x1.e93ebb2c91788p-17, 0x1.eb61075a33ffdp-17, 0x1.ed765b40711c6p-17, 0x1.ef7ed084e9d52p-17, 0x1.f17a80f0f74cdp-17, 0x1.f369866eeceabp-17, 0x1.f54bfb07350afp-17, 0x1.f721f8ddc9ebp-17, 0x1.f8eb9a2f8a8e5p-17, 0x1.faa8f94fc384ep-17, 0x1.fc5a30a5bd758p-17, 0x1.fdff5aaa6faf9p-17, 0x1.ff9891e63b61fp-17, 0x1.0092f8775e386p-16, 0x1.0153c93252305p-16, 0x1.020ec878e03f9p-16, 0x1.02c403a376a6ep-16, 0x1.0373880d2059p-16, 0x1.041d63128e8a8p-16, 0x1.04c1a2113fcd2p-16, 0x1.056052669c5c4p-16, 0x1.05f9816f246c9p-16, 0x1.068d3c85a4f8ap-16, 0x1.071b910266c8fp-16, 0x1.07a48c3a7b07cp-16, 0x1.08283b7f00a01p-16, 0x1.08a6ac1c6bc5cp-16, 0x1.091feb59dec94p-16, 0x1.0994067883a3ap-16, 0x1.0a030ab2e91cbp-16, 0x1.0a6d053c6f138p-16, 0x1.0ad20340aa20cp-16, 0x1.0b3211e2d8849p-16, 0x1.0b8d3e3d593dap-16, 0x1.0be395612268p-16, 0x1.0c352455499fap-16, 0x1.0c81f81681936p-16, 0x1.0cca1d96a6ba9p-16, 0x1.0d0da1bc46fefp-16, 0x1.0d4c916240753p-16, 0x1.0d86f9574e128p-16, 0x1.0dbce65daab85p-16, 0x1.0dee652aa7472p-16, 0x1.0e1b826652b62p-16, 0x1.0e444aab1e8f4p-16, 0x1.0e68ca858cca3p-16, 0x1.0e890e73d89bep-16, 0x1.0ea522e5adaf2p-16, 0x1.0ebd143bd828bp-16, 0x1.0ed0eec7fa6f5p-16, 0x1.0ee0becc4ae0bp-16, 0x1.0eec907b55d91p-16, 0x1.0ef46ff7b93f2p-16, 0x1.0ef86953eade4p-16, 0x1.0ef8889200eaep-16, 0x1.0ef4d9a376ecp-16, 0x1.0eed6868f8688p-16, 0x1.0ee240b23381ep-16, 0x1.0ed36e3dac472p-16, 0x1.0ec0fcb88dde6p-16, 0x1.0eaaf7be7d1fap-16, 0x1.0e916ad970f2ap-16, 0x1.0e74618190716p-16, 0x1.0e53e71d0f98ep-16, 0x1.0e30070009189p-16, 0x1.0e08cc6c5e9dbp-16, 0x1.0dde42919e29fp-16, 0x1.0db0748ce76a1p-16, 0x1.0d7f6d68d0549p-16, 0x1.0d4b381d490eep-16, 0x1.0d13df8f8d847p-16, 0x1.0cd96e92094c3p-16, 0x1.0c9befe445a52p-16, 0x1.0c5b6e32dc7dcp-16, 0x1.0c17f41764ff7p-16, 0x1.0bd18c18646cap-16, 0x1.0b8840a941e0fp-16, 0x1.0b3c1c2a3ac9bp-16, 0x1.0aed28e855ed7p-16, 0x1.0a9b711d5fd18p-16, 0x1.0a46feefddc1fp-16, 0x1.09efdc730ba7bp-16, 0x1.099613a6d1f27p-16, 0x1.0939ae77c2b66p-16, 0x1.08dab6bf16123p-16, 0x1.08793642adc91p-16, 0x1.081536b50a742p-16, 0x1.07aec1b552b69p-16, 0x1.0745e0cf5114ap-16, 0x1.06da9d7b76d58p-16, 0x1.066d011edee4dp-16, 0x1.05fd150b516d6p-16, 0x1.058ae27f46baep-16, 0x1.051672a5edb6p-16, 0x1.049fce9733196p-16, 0x1.0426ff57c50b8p-16, 0x1.03ac0dd91dee4p-16, 0x1.032f02f9909e6p-16, 0x1.02afe784492c4p-16, 0x1.022ec4315639dp-16, 0x1.01aba1a5bafe5p-16, 0x1.012688737acddp-16, 0x1.009f81199b429p-16, 0x1.0016940434172p-16, 0x1.ff1793190536ap-17, 0x1.fdfe53f1e4b32p-17, 0x1.fce17afa4e5b2p-17, 0x1.fbc118742171ap-17, 0x1.fa9d3c7bf5ebp-17, 0x1.f975f7092c47p-17, 0x1.f84b57ee1d1fbp-17, 0x1.f71d6ed8348b7p-17, 0x1.f5ec4b5014b2fp-17, 0x1.f4b7fcb9ab6fap-17, 0x1.f380925460695p-17, 0x1.f2461b3b46162p-17, 0x1.f108a6652b05bp-17, 0x1.efc842a4c7ff1p-17, 0x1.ee84fea8d9f18p-17, 0x1.ed3ee8fc615dbp-17, 0x1.ebf61006b511cp-17, 0x1.eaaa820bb0475p-17, 0x1.e95c4d2bd98cap-17, 0x1.e80b7f6495358p-17, 0x1.e6b82690450f8p-17, 0x1.e562506676804p-17, 0x1.e40a0a7c0dc13p-17, 0x1.e2af62436faafp-17, 0x1.e152650cb425cp-17, 0x1.dff32005c46d6p-17, 0x1.de91a03a96273p-17, 0x1.dd2df295524bbp-17, 0x1.dbc823de7d805p-17, 0x1.da6040bd37811p-17, 0x1.d8f655b75c457p-17, 0x1.d78a6f31a6975p-17, 0x1.d61c996fef7bfp-17, 0x1.d4ace09567d93p-17, 0x1.d33b50a4af84ep-17, 0x1.d1c7f5800925ep-17, 0x1.d052dae996bcp-17, 0x1.cedc0c83892e5p-17, 0x1.cd6395d03e8f1p-17, 0x1.cbe982328748ap-17, 0x1.ca6ddcedcfe83p-17, 0x1.c8f0b1264525cp-17, 0x1.c77209e11d632p-17, 0x1.c5f1f204acd9bp-17, 0x1.c4707458b7bf2p-17, 0x1.c2ed9b868c368p-17, 0x1.c16972193631fp-17, 0x1.bfe4027dad909p-17, 0x1.be5d57031e2d1p-17, 0x1.bcd579db11a8ep-17, 0x1.bb4c7519895d3p-17, 0x1.b9c252b544f88p-17, 0x1.b8371c87f7d17p-17, 0x1.b6aadc4e71409p-17, 0x1.b51d9ba8d1f39p-17, 0x1.b38f641abcec7p-17, 0x1.b2003f0b8cd47p-17, 0x1.b07035c687ddap-17, 0x1.aedf517b0c6fcp-17, 0x1.ad4d9b3cc2286p-17, 0x1.abbb1c03d7d29p-17, 0x1.aa27dcad25fddp-17, 0x1.a893e5fa65c13p-17, 0x1.a6ff40927306bp-17, 0x1.a569f501667bcp-17, 0x1.a3d40bb8d0a7bp-17, 0x1.a23d8d0ff955p-17, 0x1.a0a6814407eb4p-17, 0x1.9f0ef07828e7ap-17, 0x1.9d76e2b5c32f7p-17, 0x1.9bde5fecc5e26p-17, 0x1.9a456ff3bf6a1p-17, 0x1.98ac1a880a264p-17, 0x1.9712674e15ed4p-17, 0x1.95785dd187cp-17, 0x1.93de0585708dap-17, 0x1.924365c4786fep-17, 0x1.90a885d11ca2dp-17, 0x1.8f0d6cd5d21bbp-17, 0x1.8d7221e54380cp-17, 0x1.8bd6abfa7812cp-17, 0x1.8a3b11f90ec36p-17, 0x1.889f5aad5543cp-17, 0x1.87038ccc9b9b2p-17, 0x1.8567aef54b359p-17, 0x1.83cbc7af1da7bp-17, 0x1.822fdd6b5653cp-17, 0x1.8093f684e9535p-17, 0x1.7ef819409c9c3p-17, 0x1.7d5c4bcd48db2p-17, 0x1.7bc0944418dc7p-17, 0x1.7a24f8a88ddf3p-17, 0x1.78897ee8ced84p-17, 0x1.76ee2cddd23dcp-17, 0x1.7553084b7c4a8p-17, 0x1.73b816e0de673p-17, 0x1.721d5e385f848p-17, 0x1.7082e3d7effcfp-17, 0x1.6ee8ad3127d84p-17, 0x1.6d4ebfa181e1ep-17, 0x1.6bb5207284032p-17, 0x1.6a1bd4d9e90e3p-17, 0x1.6882e1f9d611p-17, 0x1.66ea4ce10872bp-17, 0x1.65521a8af437ap-17, 0x1.63ba4fdff7e3p-17, 0x1.6222f1b584d0cp-17, 0x1.608c04ce58db5p-17, 0x1.5ef58ddaa262bp-17, 0x1.5d5f917825c4fp-17, 0x1.5bca143262d68p-17, 0x1.5a351a82dcf0cp-17, 0x1.58a0a8d12397cp-17, 0x1.570cc3730f019p-17, 0x1.55796eacf286cp-17, 0x1.53e6aeb1ab0c2p-17, 0x1.525487a2e14d4p-17, 0x1.50c2fd912c733p-17, 0x1.4f32147c40a13p-17, 0x1.4da1d0530cc94p-17, 0x1.4c1234f3e77e8p-17, 0x1.4a83462cb9e6fp-17, 0x1.48f507bb2c8dcp-17, 0x1.47677d4cccdb4p-17, 0x1.45daaa7f33fe8p-17, 0x1.444e92e028812p-17, 0x1.42c339edc8cb3p-17, 0x1.4138a316c580cp-17, 0x1.3faed1ba74634p-17, 0x1.3e25c928f6136p-17, 0x1.3c9d8ca35db2dp-17, 0x1.3b161f5beb8cp-17, 0x1.398f84761a9dfp-17, 0x1.3809bf06d55b5p-17, 0x1.3684d21493a47p-17, 0x1.3500c097821efp-17, 0x1.337d8d79aa218p-17, 0x1.31fb3b9719555p-17, 0x1.3079cdbdfc3abp-17, 0x1.2ef946aec4a39p-17, 0x1.2d79a91c5c492p-17, 0x1.2bfaf7ac40c11p-17, 0x1.2a7d34f69f73p-17, 0x1.29006386799fdp-17, 0x1.278485d9d381dp-17, 0x1.26099e61d8e7cp-17, 0x1.248faf82f0f31p-17, 0x1.2316bb94e6bc1p-17, 0x1.219ec4e30ac11p-17, 0x1.2027cdac65325p-17, 0x1.1eb1d823c231bp-17, 0x1.1d3ce66fd5da8p-17, 0x1.1bc8faab6ed6cp-17, 0x1.1a5616e585125p-17, 0x1.18e43d21686cbp-17, 0x1.17736f56d9a74p-17, 0x1.1603af7224ap-17, 0x1.1494ff544e25cp-17, 0x1.132760d337ff6p-17, 0x1.11bad5b9ab275p-17, 0x1.104f5fc780947p-17, 0x1.0ee500b1d4198p-17, 0x1.0d7bba2309953p-17, 0x1.0c138dbaed156p-17, 0x1.0aac7d0ee188cp-17, 0x1.094689a9ffdfap-17, 0x1.07e1b50d2652dp-17, 0x1.067e00af12e7fp-17, 0x1.051b6dfc94bb1p-17, 0x1.03b9fe58aa1d4p-17, 0x1.0259b31c842f2p-17, 0x1.00fa8d97b796fp-17, 0x1.ff391e20b25bfp-18, 0x1.fc7f71862f4ffp-18, 0x1.f9c817c6a7485p-18, 0x1.f7131336896ep-18, 0x1.f4606618156a8p-18, 0x1.f1b0129bab3f3p-18, 0x1.ef021adff19acp-18, 0x1.ec5680f201a91p-18, 0x1.e9ad46cdc1dddp-18, 0x1.e7066e5e09b24p-18, 0x1.e461f97cbf9efp-18, 0x1.e1bfe9f3212acp-18, 0x1.df20417a15a34p-18, 0x1.dc8301ba28edp-18, 0x1.d9e82c4bdb5a5p-18, 0x1.d74fc2b7f1cc2p-18, 0x1.d4b9c677768f3p-18, 0x1.d22638f3efd62p-18, 0x1.cf951b87bacdbp-18, 0x1.cd066f7e31158p-18, 0x1.ca7a3613acc8dp-18, 0x1.c7f07075e0fb2p-18, 0x1.c5691fc41dbep-18, 0x1.c2e4450f4d3f1p-18, 0x1.c061e15a3c6a9p-18, 0x1.bde1f599cd121p-18, 0x1.bb6482b5224fap-18, 0x1.b8e98985cc9f7p-18, 0x1.b6710ad7f5f91p-18, 0x1.b3fb076a89dfep-18, 0x1.b1877fef7f2c8p-18, 0x1.af16750bcdac8p-18, 0x1.aca7e757d06bbp-18, 0x1.aa3bd75f6dc49p-18, 0x1.a7d245a20fe1fp-18, 0x1.a56b3292f1b3ep-18, 0x1.a3069e996be4ep-18, 0x1.a0a48a10def24p-18, 0x1.9e44f548fcf54p-18, 0x1.9be7e08609e9ep-18, 0x1.998d4c00c40c2p-18, 0x1.973537e6c2f5dp-18, 0x1.94dfa45aacf13p-18, 0x1.928c9174243c9p-18, 0x1.903bff4004b91p-18, 0x1.8dededc0b1732p-18, 0x1.8ba25cee10e32p-18, 0x1.89594cb5ba782p-18, 0x1.8712bcfb23d7fp-18, 0x1.84cead97d3505p-18, 0x1.828d1e5b6506dp-18, 0x1.804e0f0bc9849p-18, 0x1.7e117f65603aep-18, 0x1.7bd76f1b2c421p-18, 0x1.799fddd6d4a37p-18, 0x1.776acb38ef499p-18, 0x1.753836d9152ddp-18, 0x1.73082045e37f1p-18, 0x1.70da87056e0f9p-18, 0x1.6eaf6a951ab98p-18, 0x1.6c86ca69c7b52p-18, 0x1.6a60a5f019feap-18, 0x1.683cfc8c848a9p-18, 0x1.661bcd9b54f51p-18, 0x1.63fd1871019d7p-18, 0x1.61e0dc5a160d2p-18, 0x1.5fc7189b7d0acp-18, 0x1.5dafcc729f719p-18, 0x1.5b9af71558f34p-18, 0x1.598897b2357d2p-18, 0x1.5778ad70ac045p-18, 0x1.556b3770fff87p-18, 0x1.536034cc8ac35p-18, 0x1.5157a495c6bcfp-18, 0x1.4f5185d87f03dp-18, 0x1.4d4dd799d0ee5p-18, 0x1.4b4c98d86488ap-18, 0x1.494dc88c7b91bp-18, 0x1.475165a805f25p-18, 0x1.45576f16d101fp-18, 0x1.435fe3be9f732p-18, 0x1.416ac27f2268ap-18, 0x1.3f780a325926cp-18, 0x1.3d87b9ac65439p-18, 0x1.3b99cfbbc5738p-18, 0x1.39ae4b2985f5cp-18, 0x1.37c52ab92c66ep-18, 0x1.35de6d28e18c2p-18, 0x1.33fa1131acfd5p-18, 0x1.321815875603cp-18, 0x1.303878d8b0d93p-18, 0x1.2e5b39cf801a9p-18, 0x1.2c805710c736bp-18, 0x1.2aa7cf3cc383cp-18, 0x1.28d1a0eefa5eap-18, 0x1.26fdcabe5d327p-18, 0x1.252c4b3d79512p-18, 0x1.235d20fa612e1p-18, 0x1.21904a7ed750bp-18, 0x1.1fc5c65075874p-18, 0x1.1dfd92f0ac09ap-18, 0x1.1c37aedcdc476p-18, 0x1.1a74188e789c5p-18, 0x1.18b2ce7b0bcf3p-18, 0x1.16f3cf1458c5fp-18, 0x1.153718c876316p-18, 0x1.137caa01c0b78p-18, 0x1.11c48127206a1p-18, 0x1.100e9c9bfcf54p-18, 0x1.0e5afac04c094p-18, 0x1.0ca999f0c9d83p-18, 0x1.0afa7886e814fp-18, 0x1.094d94d8e142cp-18, 0x1.07a2ed39fb93dp-18, 0x1.05fa7ffa5678cp-18, 0x1.04544b6734fd3p-18, 0x1.02b04dcaefa8cp-18, 0x1.010e856d20e1cp-18, 0x1.fedde1252744fp-19, 0x1.fba31afaf8817p-19, 0x1.f86cb4dade69dp-19, 0x1.f53aab3f03581p-19, 0x1.f20cfa9c81c3cp-19, 0x1.eee39f63efc31p-19, 0x1.ebbe960101a81p-19, 0x1.e89ddadaf7875p-19, 0x1.e5816a54c0624p-19, 0x1.e26940ccf3cfap-19, 0x1.df555a9e0671p-19, 0x1.dc45b41e7091dp-19, 0x1.d93a49a0bedf7p-19, 0x1.d6331773bff34p-19, 0x1.d33019e28d8cp-19, 0x1.d0314d34b85d2p-19, 0x1.cd36adae7d18p-19, 0x1.ca403790a01a7p-19, 0x1.c74de718ce472p-19, 0x1.c45fb881a5ab7p-19, 0x1.c175a802a715fp-19, 0x1.be8fb1d09a645p-19, 0x1.bbadd21d736b5p-19, 0x1.b8d005187648p-19, 0x1.b5f646ee6bd4fp-19, 0x1.b32093c9a5b32p-19, 0x1.b04ee7d205351p-19, 0x1.ad813f2d554c4p-19, 0x1.aab795ff1ab06p-19, 0x1.a7f1e868d7e53p-19, 0x1.a530328a14b9p-19, 0x1.a2727080987d8p-19, 0x1.9fb89e682fcfp-19, 0x1.9d02b85b3a634p-19, 0x1.9a50ba7252d73p-19, 0x1.97a2a0c4a89cp-19, 0x1.94f8676809306p-19, 0x1.92520a70e020dp-19, 0x1.8faf85f26f857p-19, 0x1.8d10d5fec1057p-19, }}, 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
      std::vector<double>(1150, 0.0), 
    }}, 
    {
      31, 0x1.9cccccccccccdp+2, 0x1.f1a6364dec179p+0, 0x1.7f22cf2e7960bp+2, -0x1.d29f1339e3fe4p-8, 
      {{
        {0x1.3b851eb851eb8p+2, 0x1.3cccccccccccdp+2, 0x1.4c4cd96bf5d2p-6, -0x1.b45f32852603dp-5, 0x1.a82411b0146f3p-5, -0x1.48ca428b65291p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.3b2e979410423p-6, -0x1.a39a7f2a1e584p-5, 0x1.9e46f6176affbp-5, -0x1.48cb5fe37a2a3p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.13407eedab16ap-6, -0x1.7b68a4acca2fp-5, 0x1.859e1bb3283c9p-5, -0x1.48c84b0af5256p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.de6fa45918733p-7, -0x1.55ae104431f5bp-5, 0x1.6cf57c78bc404p-5, -0x1.48d35be7eb546p-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.9daae119b9d17p-7, -0x1.326ac99a9760bp-5, 0x1.544c08c75766dp-5, -0x1.4895922b73432p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.63b473e7287b3p-7, -0x1.119e9ffe80073p-5, 0x1.3ba7376a7b8e3p-5, -0x1.3ddd156946f23p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.300edb4d0a66p-7, -0x1.e67e1ad35f8ecp-6, 0x1.23d03c35c96f5p-5, -0x1.310d91b903ee8p-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.02402a45a495ap-7, -0x1.ae6af5a2f6a94p-6, 0x1.0cef37ae4f8a5p-5, -0x1.24b1bc6812683p-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.b3a66af6d4cfcp-8, -0x1.7ad37d31859c8p-6, 0x1.edf6f98035eb8p-6, -0x1.1836e7f171c01p-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.6caf33cae3679p-8, -0x1.4b8800dce964bp-6, 0x1.c3eebd1bfe755p-6, -0x1.0bc461b235121p-6}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.2ec3798ee5939p-8, -0x1.2058a471d94d9p-6, 0x1.9bc47b41434bap-6, -0x1.fe9f43764c4b7p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.f22b2ec721d43p-9, -0x1.f22b2ed30d668p-7, 0x1.7578896530c62p-6, -0x1.e5b6f4d7d2714p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.95c2f205bfe47p-9, -0x1.ab1e0c38c0beap-7, 0x1.510ad0a1cdca8p-6, -0x1.ccce546a8b1p-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.46d93580244d7p-9, -0x1.6b2a3b72ca8d2p-7, 0x1.2e7b5719d0296p-6, -0x1.b3e5c9e8cd968p-7}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.040c130f57ebp-9, -0x1.31f0166c2cb38p-7, 0x1.0dca1b285a57fp-6, -0x1.9afd3987aa513p-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.98198b7ddafe1p-10, -0x1.fe1fee5d7169fp-8, 0x1.ddee3a7c5b22ap-7, -0x1.8214aab8ab0e9p-7}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.3b3f539a03674p-10, -0x1.a4546f77fb5aap-8, 0x1.a404ba7a417a7p-7, -0x1.692c1b8062cf4p-7}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.de70f2a8ec5e1p-11, -0x1.55be642f89578p-8, 0x1.6dd7b65a32a81p-7, -0x1.50438c5b425c4p-7}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.63b473e7287a7p-11, -0x1.119e808a62c44p-8, 0x1.3b672e194f1a9p-7, -0x1.375afd52a7dcbp-7}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.02402a45a491cp-11, -0x1.ae6af11f0c359p-9, 0x1.0cb321b34f867p-7, -0x1.1e726dc4cccd4p-7}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.6caf33cae363bp-12, -0x1.4b880088bf569p-9, 0x1.c3772278619acp-8, -0x1.0589e02fa7cb2p-7}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.f22b2ec721bf1p-13, -0x1.f22b2ecfb8be8p-10, 0x1.7500f8d07c115p-8, -0x1.d94296791689cp-8}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.46d93580243f2p-13, -0x1.6b2a3b51e1651p-10, 0x1.2e03c8a4b8b02p-8, -0x1.a771a391f5844p-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.98198b7ddac6p-14, -0x1.fe1fef4c94d03p-11, 0x1.dcff136a7485fp-9, -0x1.759fe369b3799p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.de70f2a8ebf8p-15, -0x1.55be60b294d08p-11, 0x1.6ce8b5978b7b7p-9, -0x1.43d121477b4dap-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.02402a45a3ep-15, -0x1.ae6b0b27b458bp-12, 0x1.0bc3920219af6p-9, -0x1.11f7344d8c9e2p-8}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.f22b2ec7205ffp-17, -0x1.f22a6c7323e89p-13, 0x1.732604a2789a5p-10, -0x1.c08de95a9d075p-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.98198b7dd7cp-18, -0x1.fe2598d95aa08p-14, 0x1.d92a16db5fcacp-11, -0x1.5bf654fa8dac9p-9}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.02402a45978p-19, -0x1.ae40a68e88f4ap-15, 0x1.08631711d7973p-11, -0x1.f7cf74ca8fccdp-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.98198b7db8p-22, -0x1.004ba1c015b0dp-16, 0x1.c4f9d02118363p-13, -0x1.15d89b8d5a535p-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.98198b7800002p-26, -0x1.b47e9c07f978fp-20, 0x1.de3def777bfffp-15, -0x1.73d6920d53cdbp-10}, 
      }}, 
      0x1.5de38f68dca2bp-6, -0x1.0da446f6229b7p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.181e0f152d174p-5, 0x1.16f665724f706p-4, 0x1.9f9cafbbde319p-4, 0x1.1280279de52f6p-3, 0x1.531e671f6de92p-3, 0x1.9146951511b69p-3, 0x1.cca60f4d239e1p-3, 0x1.027cc690e8d87p-2, 0x1.1d0613f0cf2b7p-2, 0x1.35db106b6315cp-2, 0x1.4cedc660620ep-2, 0x1.62357e66c52a2p-2, 0x1.75ae19895a2b1p-2, 0x1.875775b8c4afcp-2, 0x1.9734df102cf14p-2, 0x1.a54c8f1ea6d39p-2, 0x1.b1a73a537e77ep-2, 0x1.bc4faaea5ff72p-2, 0x1.c552682541d8p-2, 0x1.ccbd68800e4d9p-2, 0x1.d29fcd72f7612p-2, 0x1.d709a76b74db8p-2, 0x1.da0bc0ca6a59dp-2, 0x1.dbb76f0b06a87p-2, 0x1.dc1e6901e04afp-2, 0x1.db52a1b330cc2p-2, 0x1.d966270723799p-2, 0x1.d66b03ecff77bp-2, 0x1.d2732597d501cp-2, 0x1.cd9043a548f22p-2, 0x1.c7d3cb0fb93a4p-2, 0x1.c14ecbd048dbp-2, 0x1.ba11e90cbbf28p-2, 0x1.b22d4ba68cacap-2, 0x1.a9b096fc3b8d2p-2, 0x1.a0aadfae3f2dp-2, 0x1.972aa43c3026bp-2, 0x1.8d3dc75351bb2p-2, 0x1.82f18ba97a31bp-2, 0x1.7852913d69e5dp-2, 0x1.6d6cd3e092631p-2, 0x1.624bab0a282fcp-2, 0x1.56f9caa4f5985p-2, 0x1.4b81447b4e6bdp-2, 0x1.3feb8b24ea666p-2, 0x1.344175ce3fc1bp-2, 0x1.288b42699c48cp-2, 0x1.1cd09c234a0b4p-2, 0x1.1118a048b9149p-2, 0x1.0569dfc7dc831p-2, 0x1.f394d768a9ea2p-3, 0x1.dc7fa6e7631f4p-3, 0x1.c59e5d64f9416p-3, 0x1.aefa4aab39dbap-3, 0x1.989bd80947debp-3, 0x1.828ab2d9d14c4p-3, 0x1.6ccdb16764645p-3, 0x1.576b073ba0f57p-3, 0x1.4268285e6fbdep-3, 0x1.2dc9f78730343p-3, 0x1.1994b156af787p-3, 0x1.05cc101ef48c1p-3, 0x1.e4e67e6d23031p-4, 0x1.bf19eaf109a5fp-4, 0x1.9a36de09119a2p-4, 0x1.7640febeebbd9p-4, 0x1.533b218c4f3c7p-4, 0x1.31275e8783a6ep-4, 0x1.100717c2c4187p-4, 0x1.dfb60df43939ap-5, 0x1.a1468dbb18d41p-5, 0x1.64beba916065ep-5, 0x1.2a1c89651ad9dp-5, 0x1.e2b9d5a6c5447p-6, 0x1.74f7ba999bacep-6, 0x1.0ae8fe2dbadc2p-6, 0x1.4904806246849p-7, 0x1.06da9bcaf14ccp-8, -0x1.d87fe06c3a862p-10, -0x1.e5244f1438d05p-8, -0x1.a33a256cc564ep-7, -0x1.269566622106cp-6, -0x1.78444e2443c48p-6, -0x1.c6bcbf632b6f7p-6, -0x1.0909248a0e06bp-5, -0x1.2d2c7c7de3253p-5, -0x1.4fd2a155282d8p-5, -0x1.7105f424253a8p-5, -0x1.90d0f28df79d3p-5, -0x1.af3e2cd300a03p-5, -0x1.cc583c9d6c80ap-5, -0x1.e829bc6d1770fp-5, -0x1.015e9fd1ee061p-4, -0x1.0e0ea590afa9bp-4, -0x1.1a2a273befb76p-4, -0x1.25b64edc30e57p-4, -0x1.30b835ed192fp-4, -0x1.3b34e2dff7ea3p-4, -0x1.453146e650209p-4, -0x1.4eb23c02776a3p-4, -0x1.57bc83554f3bp-4, -0x1.6054c39c81638p-4, -0x1.687f87eda8ec8p-4, -0x1.70413e85b0cedp-4, -0x1.779e37d750bddp-4, -0x1.7e9aa5ae9c694p-4, -0x1.853a9a7e42deep-4, -0x1.8b8208e1bde35p-4, -0x1.9174c32adedcbp-4, -0x1.97167b2fd6aa7p-4, -0x1.9c6ac23894676p-4, -0x1.a17508f29ffe7p-4, -0x1.a6389fb0f0c78p-4, -0x1.aab8b6a268706p-4, -0x1.aef85e1816d23p-4, -0x1.b2fa870da26eep-4, -0x1.b6c203828769ap-4, -0x1.ba5186fa14f9ap-4, -0x1.bdaba726effdbp-4, -0x1.c0d2dc5bbd601p-4, -0x1.c3c9822ecba33p-4, -0x1.c691d83ecc083p-4, -0x1.c92e02b848583p-4, -0x1.cba00b179fdf3p-4, -0x1.cde9e0fb18fa1p-4, -0x1.d00d5ad0b9cccp-4, -0x1.d20c36909831ap-4, -0x1.d3e81ab223461p-4, -0x1.d5a296e8750adp-4, -0x1.d73d24db22d0dp-4, -0x1.d8b9291ee84ebp-4, -0x1.da17f403880f4p-4, -0x1.db5ac244dd3a2p-4, -0x1.dc82bdf0effa3p-4, -0x1.dd90ff3ec6a99p-4, -0x1.de868d3e83132p-4, -0x1.df645e9fbc883p-4, -0x1.e02b5a879d9c4p-4, -0x1.e0dc593d21335p-4, -0x1.e17824dfb8c72p-4, -0x1.e1ff7a255cdf1p-4, -0x1.e273090be537cp-4, -0x1.e2d3757a5c2d8p-4, -0x1.e32157f177783p-4, -0x1.e35d3e37e8935p-4, -0x1.e387abe89acebp-4, -0x1.e3a11b0c2bfp-4, -0x1.e3a9fcc81f795p-4, -0x1.e3a2b9e8187fep-4, -0x1.e38bb34cbc6cp-4, -0x1.e36542851a02cp-4, -0x1.e32fba70c1d8ap-4, -0x1.e2eb67a40b13ep-4, -0x1.e29890c08815dp-4, -0x1.e23776fd895b9p-4, -0x1.e1c856c4838c9p-4, -0x1.e14b67f53e71dp-4, -0x1.e0c0de266856bp-4, -0x1.e028e91533437p-4, -0x1.df83b52fcf00bp-4, -0x1.ded16be1be7ep-4, -0x1.de1233adb9097p-4, -0x1.dd463072bfbc5p-4, -0x1.dc6d83ef4972p-4, -0x1.db884e1c19e4ap-4, -0x1.da96ad2c122cfp-4, -0x1.d998bdb0c514cp-4, -0x1.d88e9aee59decp-4, -0x1.d7785f4530be5p-4, -0x1.d6562458d617dp-4, -0x1.d52802fad4971p-4, -0x1.d3ee13481415fp-4, -0x1.d2a86d0a9a7efp-4, -0x1.d1572804f577p-4, -0x1.cffa5bef3996bp-4, -0x1.ce92205def068p-4, -0x1.cd1e8cdcdcb03p-4, -0x1.cb9fb947974bep-4, -0x1.ca15bdf976f62p-4, -0x1.c880b3c567f5p-4, -0x1.c6e0b3d24769dp-4, -0x1.c535d7a9ce941p-4, -0x1.c380397ae6cc3p-4, -0x1.c1bff44cdf35cp-4, -0x1.bff523f47c129p-4, -0x1.be1fe4e6a678fp-4, -0x1.bc40542e4cff8p-4, -0x1.ba568fa3a9228p-4, -0x1.b862b622dd88bp-4, -0x1.b664e78033fd6p-4, -0x1.b45d445f5f085p-4, -0x1.b24bee1d86fbfp-4, -0x1.b03106e231a2cp-4, -0x1.ae0cb1ca712d9p-4, -0x1.abdf12fc2040ep-4, -0x1.a9a84f8da36fp-4, -0x1.a7688d5dfc289p-4, -0x1.a51ff3057cb76p-4, -0x1.a2cea7eadbc46p-4, -0x1.a074d4619ea4bp-4, -0x1.9e12a1ae4a798p-4, -0x1.9ba839e9b5354p-4, -0x1.9935c7dc71fe1p-4, -0x1.96bb76f0e3f1ep-4, -0x1.94397342ee454p-4, -0x1.91afe9b7f5eb4p-4, -0x1.8f1f07fd783d1p-4, -0x1.8c86fc6e66a99p-4, -0x1.89e7f5ef9fb98p-4, -0x1.874223e010d94p-4, -0x1.8495b62271665p-4, -0x1.81e2dd2e21be8p-4, -0x1.7f29ca0f45cfcp-4, -0x1.7c6aae50407d4p-4, -0x1.79a5bbdb52d1bp-4, -0x1.76db24e7eaec8p-4, -0x1.740b1bfaea8dp-4, -0x1.7135d3efd5368p-4, -0x1.6e5b7ffa725adp-4, -0x1.6b7c539998225p-4, -0x1.689882812796dp-4, -0x1.65b04086acb2cp-4, -0x1.62c3c197ce131p-4, -0x1.5fd339b96fa82p-4, -0x1.5cdedd083a585p-4, -0x1.59e6dfb3f66acp-4, -0x1.56eb75f46aa62p-4, -0x1.53ecd3faa5a77p-4, -0x1.50eb2de2c36b2p-4, -0x1.4de6b7a979e22p-4, -0x1.4adfa5267ed43p-4, -0x1.47d62a09ea7ddp-4, -0x1.44ca79d97a57p-4, -0x1.41bcc7eac14dep-4, -0x1.3ead4758f1665p-4, -0x1.3b9c2af791ed8p-4, -0x1.3889a546213b7p-4, -0x1.3575e8686aff1p-4, -0x1.326126233d669p-4, -0x1.2f4b8fdd6c144p-4, -0x1.2c35569c95fddp-4, -0x1.291eaaff45775p-4, -0x1.2607bd3108b4dp-4, -0x1.22f0bcde1cdf6p-4, -0x1.1fd9d92acc53bp-4, -0x1.1cc340b062f2fp-4, -0x1.19ad217dd1bep-4, -0x1.1697a918120ddp-4, -0x1.13830476e8fbdp-4, -0x1.106f5ffd2a53bp-4, -0x1.0d5ce76ea724cp-4, -0x1.0a4bc5e797436p-4, -0x1.073c25d83ce28p-4, -0x1.042e310499cf1p-4, -0x1.012210858be7bp-4, -0x1.fc2fd990f4268p-5, -0x1.f61fdb17fd02cp-5, -0x1.f01473b3d62e1p-5, -0x1.ea0df001141c6p-5, -0x1.e40c9b1b1a7aap-5, -0x1.de10be981f21fp-5, -0x1.d81aa28a18feap-5, -0x1.d22a8d80ce6bfp-5, -0x1.cc40c48969e3bp-5, -0x1.c65d8b2a77aadp-5, -0x1.c081235ce03f2p-5, -0x1.baabcd844a6cap-5, -0x1.b4ddc86983a66p-5, -0x1.af175138e241dp-5, -0x1.a958a3845e06dp-5, -0x1.a3a1f947018dap-5, -0x1.9df38ae701c0ep-5, -0x1.984d8f34faf16p-5, -0x1.92b03b687e699p-5, -0x1.8d1bc31b45163p-5, -0x1.8790584529ad7p-5, -0x1.820e2b3b1eb07p-5, -0x1.7c956ab260cefp-5, -0x1.772643c76ec02p-5, -0x1.71c0e205fdbb5p-5, -0x1.6c656f6e40e68p-5, -0x1.671414766d6cp-5, -0x1.61ccf8066cda9p-5, -0x1.5c903f719538cp-5, -0x1.575e0e6ff9a6cp-5, -0x1.5236871cd99e3p-5, -0x1.4d19c9fcc7cc6p-5, -0x1.4807f60b958bap-5, -0x1.430128ce77ed9p-5, -0x1.3e057e642aba8p-5, -0x1.3915118ceb996p-5, -0x1.342ffba70c363p-5, -0x1.2f5654a13e061p-5, -0x1.2a8832e882b37p-5, -0x1.25c5ab5a680cdp-5, -0x1.210ed144034d5p-5, -0x1.1c63b6721d9c2p-5, -0x1.17c46b5088ad7p-5, -0x1.1330ff0fd22f8p-5, -0x1.0ea97fc4bfd38p-5, -0x1.0a2dfa75e2d1p-5, -0x1.05be7b11734a9p-5, -0x1.015b0c4e39f32p-5, -0x1.fa076f05a13p-6, -0x1.f17109074ce0cp-6, -0x1.e8f2f32eff11fp-6, -0x1.e08d371723ff8p-6, -0x1.d83fdbcadfd89p-6, -0x1.d00ae64bb4084p-6, -0x1.c7ee5a103b6c5p-6, -0x1.bfea39522b92ep-6, -0x1.b7fe850f81e85p-6, -0x1.b02b3cbb98254p-6, -0x1.a8705db7c2ff1p-6, -0x1.a0cde2c01a104p-6, -0x1.9943c38004b47p-6, -0x1.91d1f4782d2f4p-6, -0x1.8a786747c6df1p-6, -0x1.83370b4c88d8bp-6, -0x1.7c0dce70de33cp-6, -0x1.74fc9df03fd81p-6, -0x1.6e0366da2d15fp-6, -0x1.6722162d914d3p-6, -0x1.60589882ac6fep-6, -0x1.59a6d958de3f2p-6, -0x1.530cc2375d0f8p-6, -0x1.4c8a39dd37ddep-6, -0x1.461f23bad6e24p-6, -0x1.3fcb5fde94ef7p-6, -0x1.398ecb638afafp-6, -0x1.336941528a1d5p-6, -0x1.2d5a9bcb68ff3p-6, -0x1.2762b53805ff5p-6, -0x1.218169438b664p-6, -0x1.1bb695559499p-6, -0x1.1602186750cbfp-6, -0x1.1063d2289c283p-6, -0x1.0adba1935ef3fp-6, -0x1.0569633416d69p-6, -0x1.000cef8cb8f55p-6, -0x1.f58c340330694p-7, -0x1.eb29616574e63p-7, -0x1.e0f0faf0ffef6p-7, -0x1.d6e28fe1fe019p-7, -0x1.ccfdb0959209dp-7, -0x1.c341f45722e7dp-7, -0x1.b9aefddbc915dp-7, -0x1.b0447d05b79e4p-7, -0x1.a7022d07254d3p-7, -0x1.9de7cede02864p-7, -0x1.94f52124e8c62p-7, -0x1.8c29d719bc275p-7, -0x1.8385913673c76p-7, -0x1.7b07d99d0ae6ep-7, -0x1.72b025d4b3893p-7, -0x1.6a7dde0da3bfdp-7, -0x1.6270689e67991p-7, -0x1.5a87371ad998cp-7, -0x1.52c1d1aa8b40dp-7, -0x1.4b1fdd668559bp-7, -0x1.43a11b94185dep-7, -0x1.3c456151c2a35p-7, -0x1.350c894cd8926p-7, -0x1.2df662d097cb1p-7, -0x1.2702a271c42p-7, -0x1.2030d875f935cp-7, -0x1.19806fd55d023p-7, -0x1.12f0b69dc4ebp-7, -0x1.0c80ee12d2965p-7, -0x1.06305ecae904cp-7, -0x1.fffcd7a83636cp-8, -0x1.f3d53ffc32fb9p-8, -0x1.e7e96385cc70ap-8, -0x1.dc38f9314e44ep-8, -0x1.d0c3e2433660bp-8, -0x1.c58a00059d11cp-8, -0x1.ba8b09185b129p-8, -0x1.afc668dfa4952p-8, -0x1.a53b310e346f6p-8, -0x1.9ae820cea36cfp-8, -0x1.90cbbfc110a86p-8, -0x1.86e4862547f61p-8, -0x1.7d3108424d9acp-8, -0x1.73b01a494edd5p-8, -0x1.6a60e3f70b553p-8, -0x1.6142dfaf651c5p-8, -0x1.5855c667e6b93p-8, -0x1.4f996e9d246bep-8, -0x1.470da741d0ca7p-8, -0x1.3eb21794d3f08p-8, -0x1.36862a8c7af33p-8, -0x1.2e8909271bc7p-8, -0x1.26b9a39b3d118p-8, -0x1.1f16c6b974624p-8, -0x1.179f38cef02bdp-8, -0x1.1051d7b4fa721p-8, -0x1.092db0b166f3fp-8, -0x1.02320b5de6d99p-8, -0x1.f6bcc7dfcd6d2p-9, -0x1.e964ad3b7d17fp-9, -0x1.dc5b06f4905c3p-9, -0x1.cf9eea4c6c961p-9, -0x1.c32f26663d1e7p-9, -0x1.b70a46c495f32p-9, -0x1.ab2eac0b8b85ap-9, -0x1.9f9aab5bad1bfp-9, -0x1.944ca65906876p-9, -0x1.8943170aeea24p-9, -0x1.7e7c93b5d8162p-9, -0x1.73f7d1abf880dp-9, -0x1.69b3aa6a5e403p-9, -0x1.5faf201ef2742p-9, -0x1.55e95a291ffb6p-9, -0x1.4c619209d25d1p-9, -0x1.4316ef3efc772p-9, -0x1.3a085c0196e51p-9, -0x1.313467beada3ap-9, -0x1.28994ce573733p-9, -0x1.203521687ac89p-9, -0x1.180621df8874bp-9, -0x1.100af41671cdbp-9, -0x1.0842bc5a93db7p-9, -0x1.00acf63e95135p-9, -0x1.f2924994370dcp-10, -0x1.e42d120772039p-10, -0x1.d6281743c432bp-10, -0x1.c880cc3eb9fdcp-10, -0x1.bb34dc44e3b2p-10, -0x1.ae429fc046827p-10, -0x1.a1a91cbf9e74cp-10, -0x1.9567887a64b23p-10, -0x1.897c9060f3866p-10, -0x1.7de5dd048285cp-10, -0x1.72a028a54f89p-10, -0x1.67a7ed89f5ecp-10, -0x1.5cfa4d40a023cp-10, -0x1.5295a1f981f1fp-10, -0x1.487954d827c28p-10, -0x1.3ea506f4bf8a9p-10, -0x1.351792776397ap-10, -0x1.2bce909114157p-10, -0x1.22c6bf722da35p-10, -0x1.19fd0b32d5387p-10, -0x1.116f8ce7ea331p-10, -0x1.091ddb1d754afp-10, -0x1.01087ce84ead1p-10, -0x1.f25fcb5e94aafp-11, -0x1.e3275b30ecfc5p-11, -0x1.d464fa017284dp-11, -0x1.c6150c0dfdc46p-11, -0x1.b83403096e157p-11, -0x1.aabe9ae2d965bp-11, -0x1.9db17a601e777p-11, -0x1.9108d535a3fb4p-11, -0x1.84c066cc173c9p-11, -0x1.78d39c65a87efp-11, -0x1.6d3dc80ddc765p-11, -0x1.61fa99ed65246p-11, -0x1.5706fcba2d7edp-11, -0x1.4c61b35d3a5e4p-11, -0x1.420af0f18743p-11, -0x1.380329223b773p-11, -0x1.2e4a293b583ap-11, -0x1.24df097b33bf9p-11, -0x1.1bc0a5ed42c27p-11, -0x1.12ee1ad893662p-11, -0x1.0a66d896a65f8p-11, -0x1.022a153446d12p-11, -0x1.f46bf59299e2bp-12, -0x1.e50e851aa3a49p-12, -0x1.d632d0bdbabecp-12, -0x1.c7ce54c05a54bp-12, -0x1.b9d6898df957p-12, -0x1.ac43272a559dbp-12, -0x1.9f1070aa21132p-12, -0x1.923f6e68d48aap-12, -0x1.85d30e06f8afdp-12, -0x1.79cc34abfb09p-12, -0x1.6e283f6839311p-12, -0x1.62e32411f7796p-12, -0x1.57fabf38b0feap-12, -0x1.4d6fc04c45339p-12, -0x1.43434161022cbp-12, -0x1.3973c6ec1d898p-12, -0x1.2ffce2090b893p-12, -0x1.26d95bb2a773dp-12, -0x1.1e054858e1a4bp-12, -0x1.157e3ee053bbcp-12, -0x1.0d41fe4cdb8dfp-12, -0x1.054d05cd2dfb8p-12, -0x1.fb34e30e9e493p-13, -0x1.ec4a47659324ap-13, -0x1.ddd28affc1834p-13, -0x1.cfca7a77e859dp-13, -0x1.c23317d70f39ap-13, -0x1.b50e618dc9b89p-13, -0x1.a85b41c825e76p-13, -0x1.9c15d51b7b95cp-13, -0x1.903b9735bee87p-13, -0x1.84cc542e048f2p-13, -0x1.79c65b256c56bp-13, -0x1.6f2409b180fbp-13, -0x1.64ddf77092532p-13, -0x1.5aee6ef8173dcp-13, -0x1.5152a2052f72fp-13, -0x1.48098128f7145p-13, -0x1.3f11bd8cb72fcp-13, -0x1.3668506e8ad66p-13, -0x1.2e0850b5218aap-13, -0x1.25ed0efddcd5ap-13, -0x1.1e15739ee321bp-13, -0x1.1683263cde638p-13, -0x1.0f34107d806bdp-13, -0x1.081fc44527421p-13, -0x1.0140508143e1ep-13, -0x1.f53262b177a7p-14, -0x1.e85d78da6808ep-14, -0x1.dbfa20a1ca62p-14, -0x1.cff99ae64b051p-14, -0x1.c456c973ae876p-14, -0x1.b913806280a97p-14, -0x1.ae2dbe823b31ep-14, -0x1.a3a03ca6ef2b3p-14, -0x1.9967dc207ab08p-14, -0x1.8f841c4c79855p-14, -0x1.85f39bfa2bfd1p-14, -0x1.7cb01902696bcp-14, -0x1.73ae56ce3ddb5p-14, -0x1.6ae7ee0f371c8p-14, -0x1.6262155b4ec18p-14, -0x1.5a21237fb4825p-14, -0x1.521ff908231c2p-14, -0x1.4a5c1e196d6c3p-14, -0x1.42d8b0609bc91p-14, -0x1.3b91a8d34a31dp-14, -0x1.347b9bea26d69p-14, -0x1.2d903d899163bp-14, -0x1.26d29650b70fap-14, -0x1.20435bfa043ebp-14, -0x1.19dd5ac103d7cp-14, -0x1.139fb0bb3a1ffp-14, -0x1.0d8d05acf9d23p-14, -0x1.07a45f6e34448p-14, -0x1.01e328c767034p-14, -0x1.f88fcca85b8dcp-15, -0x1.eda15731a5867p-15, -0x1.e2f054b92e51cp-15, -0x1.d87400f7e3732p-15, -0x1.ce32b3649ca48p-15, -0x1.c42dc67e5d095p-15, -0x1.ba5bc54878ed7p-15, -0x1.b0bed85522486p-15, -0x1.a75a2d46c16e1p-15, -0x1.9e27d8a69ae77p-15, -0x1.9522a070a2965p-15, -0x1.8c48c9d1e806ep-15, -0x1.839a66fd83dd6p-15, -0x1.7b172a903cdd7p-15, -0x1.72ba51aab5213p-15, -0x1.6a7f96a0901f5p-15, -0x1.62683015a2c8p-15, -0x1.5a71220a377b4p-15, -0x1.5299329affdf2p-15, -0x1.4ae4963a6f5abp-15, -0x1.435239de13ba4p-15, -0x1.3bdf2150f8f37p-15, -0x1.3487c96e0d2d1p-15, -0x1.2d47b89f202a9p-15, -0x1.2620f802379c9p-15, -0x1.1f11cc5f92e98p-15, -0x1.1818d72f22e9ap-15, -0x1.1139f634ff9cep-15, -0x1.0a72d03a8ef9ep-15, -0x1.03c0351e3a20ap-15, -0x1.fa42a3083ee9bp-16, -0x1.ed2bdcdb9cd79p-16, -0x1.e03b4ea122d2fp-16, -0x1.d36fefe865de3p-16, -0x1.c6c8b2b2287ddp-16, -0x1.ba44724f009ccp-16, -0x1.ade2aa8130716p-16, -0x1.a1a4fe7f6aeecp-16, -0x1.958ad719e3fa9p-16, -0x1.898e84df2e9c5p-16, -0x1.7dae95a2a959ep-16, -0x1.71e9e843fa892p-16, -0x1.6646477476972p-16, -0x1.5ac635e48fa4fp-16, -0x1.4f60df89ed4bp-16, -0x1.44143e8d25eb1p-16, -0x1.38df8512b414dp-16, -0x1.2dc825d73c794p-16, -0x1.22cde9fa984fbp-16, -0x1.17ed38731c708p-16, -0x1.0d25ae89c4589p-16, -0x1.0277a9112503ap-16, -0x1.efc675d429fe2p-17, -0x1.dad087c90ebf2p-17, -0x1.c60d2fa7bab35p-17, -0x1.b17c2007ad2d9p-17, -0x1.9d1d198670e17p-17, -0x1.88efdd9704aa5p-17, -0x1.74f42004d28a5p-17, -0x1.61298461a3192p-17, -0x1.4d8f8f9f5b696p-17, -0x1.3a25a86f9f774p-17, -0x1.26ec8e885efb4p-17, -0x1.13e84f259b5bdp-17, -0x1.0119ed99c94f9p-17, -0x1.dcfe70ca41f2dp-18, -0x1.b81fdee58119cp-18, -0x1.939f555ad7cb1p-18, -0x1.6f880848e6b54p-18, -0x1.4bdc00f1ce81bp-18, -0x1.288fc5ca9ce71p-18, -0x1.05a4576881992p-18, -0x1.c63a25100ff32p-19, -0x1.81f720e9f4f32p-19, -0x1.3e80f17490fep-19, -0x1.f7b06f793115ap-20, -0x1.73fab5a58d13ap-20, -0x1.e3c31d8ee9377p-21, -0x1.c59963f03bffap-22, 0x1.ae946c203d6p-25, 0x1.15589032ce9cbp-21, 0x1.063da461f64bfp-20, 0x1.802786c530327p-20, 0x1.f86af0b0d84d2p-20, 0x1.37847d3107194p-19, 0x1.72007145973e5p-19, 0x1.abaa09902e66fp-19, 0x1.e47d441b84d15p-19, 0x1.0e30c9b867f67p-18, 0x1.29b9eecfb3715p-18, 0x1.44dd9d759e66ap-18, 0x1.5f8645e7e580bp-18, 0x1.79cba5d871dadp-18, 0x1.93a275ea01e9ap-18, 0x1.ad070ada7ae04p-18, 0x1.c6003edf63df2p-18, 0x1.de8c67f4876b5p-18, 0x1.f6a9d0f78f67ep-18, 0x1.072bf3766781p-17, 0x1.12cb41ceb882cp-17, 0x1.1e32ce6fa38e8p-17, 0x1.2962953d7e03dp-17, 0x1.345a8ce330522p-17, 0x1.3f1aa30c037d8p-17, 0x1.49a2c1a9d8c92p-17, 0x1.53f2e2e2bfd98p-17, 0x1.5e0b254b41f9dp-17, 0x1.67ebc3992fd9ep-17, 0x1.7194df2415e5fp-17, 0x1.7b06429a8d00bp-17, 0x1.843fe1ce2a9c1p-17, 0x1.8d42bdccd50a9p-17, 0x1.960bee474ff31p-17, 0x1.9e9cf358f860ep-17, 0x1.a6f9f93eda126p-17, 0x1.af1c4a87d2698p-17, 0x1.b708d073d7c21p-17, 0x1.bebf8c9048b27p-17, 0x1.c64007f03718ap-17, 0x1.cd87d61a81565p-17, 0x1.d49b0dff8ba0cp-17, 0x1.db764e55207d9p-17, 0x1.e21b8f7745bc7p-17, 0x1.e88c33d100c8cp-17, 0x1.eec7a00e0a0fdp-17, 0x1.f4cdd1f2aed4bp-17, 0x1.fa9f0c0711b93p-17, 0x1.001dcd75519e2p-16, 0x1.02d1e3e495204p-16, 0x1.056bece576f83p-16, 0x1.07ec101b4d34ep-16, 0x1.0a527e0672693p-16, 0x1.0c9f6ef78f2b6p-16, 0x1.0ed319a403ac6p-16, 0x1.10ed9dc64780ap-16, 0x1.12ef082233de4p-16, 0x1.14d7c3058f1ecp-16, 0x1.16a85b149c09p-16, 0x1.185fd3d18203p-16, 0x1.19ff36324bf16p-16, 0x1.1b861a2151a4ep-16, 0x1.1cf5c99e13758p-16, 0x1.1e4e0b5c0475ep-16, 0x1.1f8ef74cc3bdfp-16, 0x1.20b8c708d2f8ep-16, 0x1.21cbaa7d04753p-16, 0x1.22c7d179f373bp-16, 0x1.23ad9f5e2bb4bp-16, 0x1.247d9ea18a4f1p-16, 0x1.25377bc6f31e9p-16, 0x1.25db461c21863p-16, 0x1.266975505bd2ap-16, 0x1.26e2dbca5ae72p-16, 0x1.2747705bc3c41p-16, 0x1.279755e2578e7p-16, 0x1.27d2cc13999b8p-16, 0x1.27fa172e4340ep-16, 0x1.280d7d939c61ep-16, 0x1.280d47c5f59aep-16, 0x1.27f9bf1272127p-16, 0x1.27d327e85f89cp-16, 0x1.2799b86072f02p-16, 0x1.274daca47a1d2p-16, 0x1.26ef8857040f8p-16, 0x1.267fb531ab4a3p-16, 0x1.25fdaf550a475p-16, 0x1.2569fab6c8dd6p-16, 0x1.24c57dffd6793p-16, 0x1.2410345fc45ecp-16, 0x1.234a4ee290e6cp-16, 0x1.227416c74d0f2p-16, 0x1.218dd60f6ef88p-16, 0x1.2097d642c2972p-16, 0x1.1f9260ec4fd02p-16, 0x1.1e7dbfb7f57e5p-16, 0x1.1d5a3bf9c2addp-16, 0x1.1c281c79c4ed3p-16, 0x1.1ae7a3dc08197p-16, 0x1.1999183901586p-16, 0x1.183cd42981f21p-16, 0x1.16d3483b01924p-16, 0x1.155c633bc7f6dp-16, 0x1.13d84a024588dp-16, 0x1.1247bc7d120b1p-16, 0x1.10aae56f4d702p-16, 0x1.0f01f81a78fa1p-16, 0x1.0d4d3be0b00fp-16, 0x1.0b8cf9e4c3f9ap-16, 0x1.09c17845c9638p-16, 0x1.07eaf7555c9cep-16, 0x1.0609bb1ab30fep-16, 0x1.041e224ba4aedp-16, 0x1.02288ca8bd6fp-16, 0x1.0028b8ce42458p-16, 0x1.fc3ea6f44a644p-17, 0x1.f81961b5893c6p-17, 0x1.f3e1eb8605b8dp-17, 0x1.ef98c8a41e536p-17, 0x1.eb3e815ff01ecp-17, 0x1.e6d39bdd3f75ep-17, 0x1.e2589c8f8af94p-17, 0x1.ddce06978d16bp-17, 0x1.d9345be475b79p-17, 0x1.d48c1d433a2f5p-17, 0x1.cfd5ca82e056dp-17, 0x1.cb11e29d9e298p-17, }}, 
      {{0x1.e5836c3946b5bp-6, 0x1.e4818e1bae276p-5, 0x1.6a2322a20da3fp-4, 0x1.e092b02cb3ee5p-4, 0x1.2a91c1292e00cp-3, 0x1.63ba059f0b4d4p-3, 0x1.9b96c663c01cfp-3, 0x1.d2020dc834f5p-3, 0x1.036d96486cb4p-2, 0x1.1d033e524020ap-2, 0x1.35b688d94b14cp-2, 0x1.4d7e2ffe6450fp-2, 0x1.6452efa9aa32ep-2, 0x1.7a2f5719b7d6ep-2, 0x1.8f0f9bc82bf93p-2, 0x1.a2f16e75811ccp-2, 0x1.b5d3d2dad653cp-2, 0x1.c7b6fa444a0cap-2, 0x1.d89c212741494p-2, 0x1.e8856fa9fa2e7p-2, 0x1.f775dcfa82603p-2, 0x1.02b88aa425edap-1, 0x1.093db1166e991p-1, 0x1.0f4ccaa5f7fe7p-1, 0x1.14e87a7c3b6a4p-1, 0x1.1a1395518d764p-1, 0x1.1ed119733efeep-1, 0x1.23242780980acp-1, 0x1.270ffbcde5131p-1, 0x1.2a97e85d079d2p-1, 0x1.2dbf4f6222e1p-1, 0x1.30899e47d5bb3p-1, 0x1.32fa492c3dbf1p-1, 0x1.3514c6cd7bcedp-1, 0x1.36dc8cde31e4fp-1, 0x1.38550cbae4182p-1, 0x1.3981b07936429p-1, 0x1.3a65d84aa31c6p-1, 0x1.3b04d82d80885p-1, 0x1.3b61f5e60b91p-1, 0x1.3b80673b8c7efp-1, 0x1.3b6350745a3e5p-1, 0x1.3b0dc30c41304p-1, 0x1.3a82bca267e56p-1, 0x1.39c5261a08908p-1, 0x1.38d7d2e85133p-1, 0x1.37bd809041943p-1, 0x1.3678d645ee288p-1, 0x1.350c64afb178dp-1, 0x1.337aa5d27aa71p-1, 0x1.31c5fd13fb52cp-1, 0x1.2ff0b75352c09p-1, 0x1.2dfd0b2e57d5cp-1, 0x1.2bed1931edad8p-1, 0x1.29c2ec4a3775bp-1, 0x1.27807a0e47cebp-1, 0x1.2527a33d08217p-1, 0x1.22ba342c23bb8p-1, 0x1.2039e5448d81ep-1, 0x1.1da85b88db162p-1, 0x1.1b07290d03e12p-1, 0x1.1857cd7e79f5ep-1, 0x1.159bb699fd30ap-1, 0x1.12d440b074a6p-1, 0x1.1002b722f6c6p-1, 0x1.0d2854e4f1d7p-1, 0x1.0a4644fc62948p-1, 0x1.075da300ca303p-1, 0x1.046f7b9c7dc1ap-1, 0x1.017ccd0ba3f98p-1, 0x1.fd0d0f371bbdcp-2, 0x1.f71b1c487e806p-2, 0x1.f1256d0451ad3p-2, 0x1.eb2d94179f455p-2, 0x1.e5350c109bfap-2, 0x1.df3d384d5d975p-2, 0x1.d94765e886108p-2, 0x1.d354cc9ec7a49p-2, 0x1.cd668fae10cfdp-2, 0x1.c77dbead2c9dfp-2, 0x1.c19b56594f886p-2, 0x1.bbc0415e7099ap-2, 0x1.b5ed5924839c6p-2, 0x1.b0236691dc1fep-2, 0x1.aa6322d394ae4p-2, 0x1.a4ad381d189eap-2, 0x1.9f024263c3968p-2, 0x1.9962d00d34f4cp-2, 0x1.93cf629b90d54p-2, 0x1.8e486f4fdaec4p-2, 0x1.88ce5fc8b8dffp-2, 0x1.8361929eab7a7p-2, 0x1.7e025bfeb8f4ep-2, 0x1.78b1063f46855p-2, 0x1.736dd2793f324p-2, 0x1.6e38f90f898a1p-2, 0x1.6912aa3a463e4p-2, 0x1.63fb0e84df3eep-2, 0x1.5ef247465cf6fp-2, 0x1.59f86f12d699dp-2, 0x1.550d9a28bc4f3p-2, 0x1.5031d6d5826efp-2, 0x1.4b652de0806eap-2, 0x1.46a7a2e6bf9a1p-2, 0x1.41f934bd8e2fap-2, 0x1.3d59ddcd35101p-2, 0x1.38c99468dc26p-2, 0x1.34484b2211432p-2, 0x1.2fd5f11742d76p-2, 0x1.2b72723d1b996p-2, 0x1.271db7a44a83p-2, 0x1.22d7a7b82aeeap-2, 0x1.1ea0267b77c4ep-2, 0x1.1a7715c1a186fp-2, 0x1.165c55638626ep-2, 0x1.124fc372a1733p-2, 0x1.0e513c696bc9fp-2, 0x1.0a609b5944c15p-2, 0x1.067dba166f796p-2, 0x1.02a8716150ffbp-2, 0x1.fdc1321a5cb0ep-3, 0x1.f64c104b79a51p-3, 0x1.eef12a1bf2cep-3, 0x1.e7b02b49dad82p-3, 0x1.e088beb9d17bap-3, 0x1.d97a8eb3e1c3cp-3, 0x1.d28545114adap-3, 0x1.cba88b6a5d0cbp-3, 0x1.c4e40b3fa0e36p-3, 0x1.be376e1f3dab3p-3, 0x1.b7a25dc8414a9p-3, 0x1.b124844acc09ep-3, 0x1.aabd8c250b32ep-3, 0x1.a46d205e785e4p-3, 0x1.9e32eca0d7badp-3, 0x1.980e9d4f0b4cp-3, 0x1.91ffdf97bb314p-3, 0x1.8c06618be0c3cp-3, 0x1.8621d22a44e1cp-3, 0x1.8051e171f6123p-3, 0x1.7a96406da4821p-3, 0x1.74eea13f5d00cp-3, 0x1.6f5ab729ea554p-3, 0x1.69da3698d79d1p-3, 0x1.646cd527844a7p-3, 0x1.5f1249a6786bp-3, 0x1.59ca4c1f5c9a7p-3, 0x1.549495d85f103p-3, 0x1.4f70e15669366p-3, 0x1.4a5eea5e1897cp-3, 0x1.455e6df42cd3p-3, 0x1.406f2a5d662e1p-3, 0x1.3b90df1d3e5f1p-3, 0x1.36c34cf536de2p-3, 0x1.320635df29245p-3, 0x1.2d595d10f8405p-3, 0x1.28bc86f2c430dp-3, 0x1.242f791f4aa6bp-3, 0x1.1fb1fa5e7779fp-3, 0x1.1b43d2a190c78p-3, 0x1.16e4cafec4ba1p-3, 0x1.1294adabe97f1p-3, 0x1.0e5345f9300a7p-3, 0x1.0a20604c4bd61p-3, 0x1.05fbca1b4c59cp-3, 0x1.01e551e69472bp-3, 0x1.fbb98e65465ap-4, 0x1.f3c3f5053de41p-4, 0x1.ebe97aa61ce77p-4, 0x1.e429c427369bep-4, 0x1.dc847840e98dcp-4, 0x1.d4f93f78b6e46p-4, 0x1.cd87c4166c188p-4, 0x1.c62fb21892301p-4, 0x1.bef0b72777dbep-4, 0x1.b7ca8289d3b7bp-4, 0x1.b0bcc515ce79p-4, 0x1.a9c7312c95feep-4, 0x1.a2e97aa85a68cp-4, 0x1.9c2356d4f3b94p-4, 0x1.95747c62801cp-4, 0x1.8edca35ab47d2p-4, 0x1.885b85171368cp-4, 0x1.81f0dc36ff7fap-4, 0x1.7b9c6494fc0c9p-4, 0x1.755ddb3baba08p-4, 0x1.6f34fe5be41d3p-4, 0x1.69218d4408e81p-4, 0x1.6323485777f01p-4, 0x1.5d39f10515857p-4, 0x1.576549bd6d68dp-4, 0x1.51a515e9ee8eep-4, 0x1.4bf919e5083f4p-4, 0x1.46611af310ceep-4, 0x1.40dcdf3a37feep-4, 0x1.3b6c2dba4819dp-4, 0x1.360ece44c9efp-4, 0x1.30c48976129a8p-4, 0x1.2b8d28aee622p-4, 0x1.2668760e1efe1p-4, 0x1.21563c6a1b3c3p-4, 0x1.1c56474a212e7p-4, 0x1.176862e03adacp-4, 0x1.128c5c0371ffp-4, 0x1.0dc2002a35995p-4, 0x1.09091d663d31p-4, 0x1.0461825e6ac7cp-4, 0x1.ff95fc94e60cbp-5, 0x1.f68ac1daacf21p-5, 0x1.eda0f5219fb6bp-5, 0x1.e4d83802acaep-5, 0x1.dc302d14d892cp-5, 0x1.d3a877e5c154fp-5, 0x1.cb40bcf13ce8ep-5, 0x1.c2f8a19973956p-5, 0x1.bacfcc1f8e629p-5, 0x1.b2c5e39dbda2bp-5, 0x1.aada9001de29ep-5, 0x1.a30d7a07c9063p-5, 0x1.9b5e4b33da1a8p-5, 0x1.93ccadcbe6ae6p-5, 0x1.8c584cd2c3793p-5, 0x1.8500d40326043p-5, 0x1.7dc5efcbea1d3p-5, 0x1.76a74d4c30954p-5, 0x1.6fa49a4f422f1p-5, 0x1.68bd85485f33dp-5, 0x1.61f1bd4ed4b1ep-5, 0x1.5b40f21a97c8fp-5, 0x1.54aad40160549p-5, 0x1.4e2f13f3fcfp-5, 0x1.47cd637bb3a4fp-5, 0x1.418574b79f157p-5, 0x1.3b56fa5a2e20dp-5, 0x1.3541a7a6d1a02p-5, 0x1.2f45306fe7b52p-5, 0x1.29614914e3f7ep-5, 0x1.2395a680c2ef6p-5, 0x1.1de1fe27e801ep-5, 0x1.18460607b008bp-5, 0x1.12c174a41207ap-5, 0x1.0d5401073fd3dp-5, 0x1.07fd62c01f879p-5, 0x1.02bd51e134253p-5, 0x1.fb270dff55a31p-6, 0x1.f0ff76652db34p-6, 0x1.e7035024ba70fp-6, 0x1.dd320f707f8e4p-6, 0x1.d38b297bd45e3p-6, 0x1.ca0e1479db3e9p-6, 0x1.c0ba479c7414ep-6, 0x1.b78f3b13449bap-6, 0x1.ae8c680b2dc1fp-6, 0x1.a5b148ae108f8p-6, 0x1.9cfd5822d74a5p-6, 0x1.9470128d84f21p-6, 0x1.8c08f50f25c4cp-6, 0x1.83c77dc5963f3p-6, 0x1.7bab2bcb51dadp-6, 0x1.73b37f3759b89p-6, 0x1.6bdff91d76c64p-6, 0x1.64301b8eaff73p-6, 0x1.5ca36999c34c5p-6, 0x1.5539674b630d5p-6, 0x1.4df199af878d7p-6, 0x1.46cb86d049073p-6, 0x1.3fc6b5b6ac62ap-6, 0x1.38e2ae6b8733ap-6, 0x1.321ef9f752b0ep-6, 0x1.2b7b22631dc55p-6, 0x1.24f6b2b93f18bp-6, 0x1.1e913705e1cc3p-6, 0x1.184a3c576479ep-6, 0x1.122150be9b5a8p-6, 0x1.0c16034f0f9a1p-6, 0x1.0627e41f5cef5p-6, 0x1.00568449b0f99p-6, 0x1.f542ebd8ef501p-7, 0x1.ea1098562ap-7, 0x1.df15365d06e1fp-7, 0x1.d44ff04b1f4a4p-7, 0x1.c9bff28a10b5ep-7, 0x1.bf646b8f160d9p-7, 0x1.b53c8bdb1b59cp-7, 0x1.ab4785fabc5a8p-7, 0x1.a1848e86d143fp-7, 0x1.97f2dc2583ff4p-7, 0x1.8e91a78b93dcfp-7, 0x1.85602b7d4a76bp-7, 0x1.7c5da4cebdd52p-7, 0x1.7389526349543p-7, 0x1.6ae2752c42e73p-7, 0x1.626850276fa02p-7, 0x1.5a1a285db352fp-7, 0x1.51f744e291eb3p-7, 0x1.49feeed46216fp-7, 0x1.4230715d46cd7p-7, 0x1.3a8b19b430b7fp-7, 0x1.330e371d30ce9p-7, 0x1.2bb91ae8ae1bp-7, 0x1.248b187139628p-7, 0x1.1d83851866dd1p-7, 0x1.16a1b843761a4p-7, 0x1.0fe50b5898826p-7, 0x1.094cd9bd7f9edp-7, 0x1.02d880d75d1a4p-7, 0x1.f90ec017d6653p-8, 0x1.ecb1b1853385p-8, 0x1.e0989cc98bf9fp-8, 0x1.d4c24cb866ea8p-8, 0x1.c92d901edcfbp-8, 0x1.bdd939b90d851p-8, 0x1.b2c4202659af9p-8, 0x1.a7ed1ddee5306p-8, 0x1.9d53112cb203ap-8, 0x1.92f4dc297361bp-8, 0x1.88d164c0c5333p-8, 0x1.7ee794b4eb31bp-8, 0x1.753659a2fb21fp-8, 0x1.6bbca503a92d7p-8, 0x1.62796c2605976p-8, 0x1.596ba823a2b76p-8, 0x1.509255cf41364p-8, 0x1.47ec75a0ba599p-8, 0x1.3f790ba273887p-8, 0x1.37371f640e79fp-8, 0x1.2f25bbf55a6c3p-8, 0x1.2743efea325f1p-8, 0x1.1f90cd656627ep-8, 0x1.180b6a268db5p-8, 0x1.10b2df953d497p-8, 0x1.09864ac37dadcp-8, 0x1.0284cc63b3673p-8, 0x1.f75b11616796p-9, 0x1.e9ff4e97ebd6fp-9, 0x1.dcf4a62f19d03p-9, 0x1.d0397429cc4f7p-9, 0x1.c3cc1aa11b492p-9, 0x1.b7ab01c05a26cp-9, 0x1.abd497e698519p-9, 0x1.a04751e3e34b8p-9, 0x1.9501ab3f68d9p-9, 0x1.8a02266ee818cp-9, 0x1.7f474cea31317p-9, 0x1.74cfaf0ce3209p-9, 0x1.6a99e3c5a9644p-9, 0x1.60a48820a04a9p-9, 0x1.56ee3ec66d619p-9, 0x1.4d75af8e2b512p-9, 0x1.4439873dac3p-9, 0x1.3b38778709343p-9, 0x1.327137423c9c2p-9, 0x1.29e282d180684p-9, 0x1.218b1c941346bp-9, 0x1.1969cd47bb773p-9, 0x1.117d643d527b5p-9, 0x1.09c4b74eb1a7p-9, 0x1.023ea29176c2bp-9, 0x1.f5d40fa2cb08ap-10, 0x1.e78b9bd6d519fp-10, 0x1.d9a1c05983bebp-10, 0x1.cc145bb637b31p-10, 0x1.bee154024097dp-10, 0x1.b206971030333p-10, 0x1.a5821b241a523p-10, 0x1.9951dff0cc78dp-10, 0x1.8d73ef9cb0035p-10, 0x1.81e65f94bbafdp-10, 0x1.76a75105a189ep-10, 0x1.6bb4f0e10f3d9p-10, 0x1.610d7761708b7p-10, 0x1.56af27108a011p-10, 0x1.4c984b6fe36b4p-10, 0x1.42c7378289a31p-10, 0x1.393a448c89382p-10, 0x1.2fefd15ad685ap-10, 0x1.26e6424101fa1p-10, 0x1.1e1c01c338a07p-10, 0x1.158f81abdb8c8p-10, 0x1.0d3f3c316f1fbp-10, 0x1.0529b4ddd1bbbp-10, 0x1.fa9af21c5e74ap-11, 0x1.eb52401640134p-11, 0x1.dc769594aaf6ap-11, 0x1.ce0546c6917fcp-11, 0x1.bffbb866219aap-11, 0x1.b2575d5cffa07p-11, 0x1.a515b40e18c77p-11, 0x1.983443f7d27a1p-11, 0x1.8bb09c8ca0fe4p-11, 0x1.7f8855cdf9d0cp-11, 0x1.73b9127843b21p-11, 0x1.684082b607f4ap-11, 0x1.5d1c66079349dp-11, 0x1.524a8b9f6f274p-11, 0x1.47c8d1735957ap-11, 0x1.3d9522f4d81c1p-11, 0x1.33ad784e5c05fp-11, 0x1.2a0fd645168b5p-11, 0x1.20ba4e1d4e89fp-11, 0x1.17aafcc5c7a13p-11, 0x1.0ee0093580e33p-11, 0x1.0657a2c99c48dp-11, 0x1.fc200174d4abcp-12, 0x1.ec0ec6386cfc9p-12, 0x1.dc782986a1fb4p-12, 0x1.cd58d96c2c683p-12, 0x1.bead9c529b90fp-12, 0x1.b0734e2f7ec4ep-12, 0x1.a2a6dcecd693dp-12, 0x1.954546430b422p-12, 0x1.884b97b78e67ap-12, 0x1.7bb6efb24c4ep-12, 0x1.6f847df9654e5p-12, 0x1.63b182d5e5cc8p-12, 0x1.583b4da101403p-12, 0x1.4d1f3c4886c7p-12, 0x1.425abcc1134a2p-12, 0x1.37eb4fded2356p-12, 0x1.2dce8bc8f0333p-12, 0x1.24021c1d6fa7ep-12, 0x1.1a83bf0ca46c7p-12, 0x1.115140abcf406p-12, 0x1.0868772b6fd3fp-12, 0x1.ff8e846635141p-13, 0x1.eed71a6a2afc7p-13, 0x1.dea6a42fb6879p-13, 0x1.cef9331d70dbep-13, 0x1.bfcaf21afe774p-13, 0x1.b11821194024bp-13, 0x1.a2dd13bd1dde1p-13, 0x1.9516322cfd3dap-13, 0x1.87bff92f2c36cp-13, 0x1.7ad6f9a9cee1cp-13, 0x1.6e57da6c4efb2p-13, 0x1.623f5d636ea6fp-13, 0x1.568a650983b64p-13, 0x1.4b35f543ebddbp-13, 0x1.403f2dae0eaacp-13, 0x1.35a3402e260b6p-13, 0x1.2b5f69e9d465ep-13, 0x1.2170f3ba25554p-13, 0x1.17d539cedba5cp-13, 0x1.0e89b44da2c14p-13, 0x1.058bf97cd74d7p-13, 0x1.f9b36d994bbbap-14, 0x1.e8e14a0d1fff3p-14, 0x1.d89cfebebc204p-14, 0x1.c8e203434926cp-14, 0x1.b9abd55946404p-14, 0x1.aaf5fdf7abc11p-14, 0x1.9cbc197fa27c9p-14, 0x1.8ef9ec1c25962p-14, 0x1.81ab7ca6c7dfbp-14, 0x1.74cd1e933841p-14, 0x1.685b5b9a783c5p-14, 0x1.5c52ced23e67p-14, 0x1.50b0153b6984p-14, 0x1.456fe1378d9dbp-14, 0x1.3a8f16967afddp-14, 0x1.300acc116337ap-14, 0x1.25e0308edceebp-14, 0x1.1c0c72a5417f5p-14, 0x1.128cbf1f7aap-14, 0x1.095e4bdc3c696p-14, 0x1.007e5c23664a7p-14, 0x1.efd4797578bd7p-15, 0x1.df3e82689b21fp-15, 0x1.cf358dc325b67p-15, 0x1.bfb476ead919ep-15, 0x1.b0b64a4d985b1p-15, 0x1.a2365691ee438p-15, 0x1.94303bd5e2001p-15, 0x1.869ff3de426adp-15, 0x1.7981ca5c22bacp-15, 0x1.6cd23edc7765ep-15, 0x1.608ddc593a1b6p-15, 0x1.54b12268a8231p-15, 0x1.49388d89aa922p-15, 0x1.3e20acf9d8da8p-15, 0x1.33662d3661399p-15, 0x1.2905d5931e49bp-15, 0x1.1efc8652dc7e1p-15, 0x1.154739d799e8fp-15, 0x1.0be300f8c8eacp-15, 0x1.02ccfaa57a8b1p-15, 0x1.f4049c7c067e1p-16, 0x1.e300564614525p-16, 0x1.d2879a3d2ae17p-16, 0x1.c2951d4ba5b9fp-16, 0x1.b324124c75a56p-16, 0x1.a4303f4220cdap-16, 0x1.95b5abecf3a0cp-16, 0x1.87b03d02cbb4p-16, 0x1.7a1bc0ccb3f42p-16, 0x1.6cf44bc904e9dp-16, 0x1.60364b475fd41p-16, 0x1.53de3adae20dfp-16, 0x1.47e879716ffa6p-16, 0x1.3c516ce92e278p-16, 0x1.3115af48d83d7p-16, 0x1.263213ef0a6abp-16, 0x1.1ba3924b6ee37p-16, 0x1.116731e9a5af4p-16, 0x1.077a03b6eb853p-16, 0x1.fbb24871b667fp-17, 0x1.e9038a18e007ep-17, 0x1.d6e28a03adebfp-17, 0x1.c54a82bb0abc1p-17, 0x1.b436f540f7a53p-17, 0x1.a3a35703df463p-17, 0x1.938b1f9c1d964p-17, 0x1.83e9f919af616p-17, 0x1.74bba31eb972dp-17, 0x1.65fbf6cf3b176p-17, 0x1.57a73b6e809dcp-17, 0x1.49ba1c3335869p-17, 0x1.3c31445650727p-17, 0x1.2f094e0126eeep-17, 0x1.223efc3abf3c8p-17, 0x1.15cf39479b57p-17, 0x1.09b6f113782d6p-17, 0x1.fbe64de6c046fp-18, 0x1.e50240be5b597p-18, 0x1.cebcb244eab3fp-18, 0x1.b9109e437be89p-18, 0x1.a3f8ce37666b5p-18, 0x1.8f6ffc34538eep-18, 0x1.7b714ed40dd65p-18, 0x1.67f8de2811e3bp-18, 0x1.55034fdc9579bp-18, 0x1.428cf34401fd7p-18, 0x1.3091b1daecc17p-18, 0x1.1f0d681686cc7p-18, 0x1.0dfc023a24a16p-18, 0x1.fab374f905fe9p-19, 0x1.da46ec41086f8p-19, 0x1.baad54807f52p-19, 0x1.9be1412110cd2p-19, 0x1.7ddc7f051494ep-19, 0x1.60992d9782b88p-19, 0x1.441224e7c05c6p-19, 0x1.2842a05d45374p-19, 0x1.0d261122215aap-19, 0x1.e56f71a213acep-20, 0x1.b1e4fdfbfc356p-20, 0x1.7fa2ae4da9386p-20, 0x1.4e9fed59a2c23p-20, 0x1.1ed64062303e1p-20, 0x1.e07dd20cac85cp-21, 0x1.85a3e05432a2ep-21, 0x1.2d1033a82d7cep-21, 0x1.ad6bcae285de8p-22, 0x1.0510ac99c50e1p-22, 0x1.83db43074011bp-24, -0x1.f7d0e67d9174dp-25, -0x1.b5b5bf07e813ap-23, -0x1.72c2faf70bd31p-22, -0x1.0364058690692p-21, -0x1.4b7ebd2b51741p-21, -0x1.91babe7a99309p-21, -0x1.d621ee6afbbccp-21, -0x1.0c5ead7b84b0fp-20, -0x1.2cca5b0433e1fp-20, -0x1.4c58565c1d4f7p-20, -0x1.6b0d4934e8449p-20, -0x1.88ed7c06eabc4p-20, -0x1.a5fc9908c814fp-20, -0x1.c23dc98eaee1p-20, -0x1.ddb4bfd73626ap-20, -0x1.f865315b8c226p-20, -0x1.09291f104ddbcp-19, -0x1.15bf8e0e266dp-19, -0x1.21f773e262faap-19, -0x1.2dd2466567f8ep-19, -0x1.3951755e4447cp-19, -0x1.44766f3d43132p-19, -0x1.4f429a789890cp-19, -0x1.59b74f61578b2p-19, -0x1.63d5dd34d7025p-19, -0x1.6d9f8ebb70259p-19, -0x1.77159a53a376p-19, -0x1.80392a8edab04p-19, -0x1.890b786e39f9cp-19, -0x1.918db12a7a47bp-19, -0x1.99c1098394997p-19, -0x1.a1a696c7832a4p-19, -0x1.a93f5fb3fe3fp-19, -0x1.b08c841a60e2p-19, -0x1.b78f14d8a862cp-19, -0x1.be48233db6597p-19, -0x1.c4b89e9bc5444p-19, -0x1.cae18160534b3p-19, -0x1.d0c3ce4577121p-19, -0x1.d6607a9859766p-19, -0x1.dbb877d1b6a0cp-19, -0x1.e0ccb722d42bp-19, -0x1.e59e289e9b2b4p-19, -0x1.ea2dbabcda95ap-19, -0x1.ee7c5854f042p-19, -0x1.f28ae530e7095p-19, -0x1.f65a424a7f897p-19, -0x1.f9eb51cb7e57bp-19, -0x1.fd3ef5c661bcfp-19, -0x1.002b077fb8468p-18, -0x1.0198be079c241p-18, -0x1.02e909fe4813ep-18, -0x1.041c529db6ebcp-18, -0x1.0533053dc928fp-18, -0x1.062d92b3bc49dp-18, -0x1.070c706ea15c1p-18, -0x1.07d00793914cbp-18, -0x1.0878bdf1ee59cp-18, -0x1.0906fba06c07ep-18, -0x1.097b2d9117463p-18, -0x1.09d5ba961cf0cp-18, -0x1.0a17083554edap-18, -0x1.0a3f7cc7015bep-18, -0x1.0a4f7f840b897p-18, -0x1.0a47788f5b65ep-18, -0x1.0a27d0a7daa79p-18, -0x1.09f0f06114f64p-18, -0x1.09a33f1fef582p-18, -0x1.093f223f2c90cp-18, -0x1.08c4fd166cc4cp-18, -0x1.08353266d8fd6p-18, -0x1.079026a1c1273p-18, -0x1.06d640ca8c208p-18, -0x1.0607e83996a49p-18, -0x1.0525814a7f4a7p-18, -0x1.042f6dcdb9784p-18, -0x1.03260dd1ac8e6p-18, -0x1.0209bdfe6fdd3p-18, -0x1.00dae9d8187cp-18, -0x1.ff33eed5495afp-19, -0x1.fc8e812c7d011p-19, -0x1.f9c6670184f74p-19, -0x1.f6dc5450659a2p-19, -0x1.f3d1056fc56a6p-19, -0x1.f0a541560e951p-19, -0x1.ed59c52c8eee8p-19, -0x1.e9ef4da76dec5p-19, -0x1.e6669871fda74p-19, -0x1.e2c06350774c9p-19, -0x1.defd6b7409b9ep-19, -0x1.db1e6cdfd02abp-19, -0x1.d72421e610dfbp-19, -0x1.d30f42baf7357p-19, -0x1.cee085d42cb4ep-19, -0x1.ca98a189781dcp-19, -0x1.c6384d9b9c084p-19, -0x1.c1c0424360fc1p-19, -0x1.bd3134a30c582p-19, -0x1.b88bd32f14cc2p-19, -0x1.b3d0c89d8a1c5p-19, -0x1.af00c55e40cd4p-19, -0x1.aa1c78223ee47p-19, -0x1.a52496379d68bp-19, -0x1.a019d3c9f0b7cp-19, -0x1.9afccb9efffp-19, -0x1.95ce2ba341414p-19, -0x1.908e9a087ec2p-19, -0x1.8b3ebe57ddd8bp-19, -0x1.85df3a2d5b2edp-19, -0x1.8070b964d0cacp-19, -0x1.7af3d50bb6f6ap-19, -0x1.7569307cc0a4ap-19, -0x1.6fd16cd0664dbp-19, -0x1.6a2d25a57532ap-19, -0x1.647cf65f36b8ep-19, -0x1.5ec1791ef4b0bp-19, -0x1.58fb4604383e2p-19, -0x1.532af2d97026ep-19, -0x1.4d511342f3041p-19, -0x1.476e39980a018p-19, -0x1.4182f81164c49p-19, -0x1.3b8fe170a58f9p-19, -0x1.359585ff0c4ap-19, -0x1.2f946f564edfbp-19, -0x1.298d239339865p-19, -0x1.23802ba687f8cp-19, -0x1.1d6e128920f47p-19, -0x1.17575a442b442p-19, -0x1.113c887d8fb79p-19, -0x1.0b1e1b7ae45bp-19, -0x1.04fc96c4f303fp-19, -0x1.fdb0edbab08bp-20, -0x1.f1646f1b8daffp-20, -0x1.e514a5b96580fp-20, -0x1.d8c27eaa1f7dbp-20, -0x1.cc6ee3c22a457p-20, -0x1.c01abebb1622fp-20, -0x1.b3c6f98de6e3dp-20, -0x1.a774719bbbc82p-20, -0x1.9b24025b9dfdbp-20, -0x1.8ed686c46bb41p-20, -0x1.828cd92ec60e1p-20, -0x1.7647c8cd1bcd3p-20, -0x1.6a08223ba05b5p-20, -0x1.5dceaef62bb05p-20, -0x1.519c34fdc3961p-20, -0x1.4571774f68933p-20, -0x1.394f35b599763p-20, -0x1.2d362c170e09dp-20, -0x1.212711806af5p-20, -0x1.1522970f152d6p-20, -0x1.09296ae710dd1p-20, -0x1.fa787ac35cc62p-21, -0x1.e2b7745cc53c6p-21, -0x1.cb10fe92d07ap-21, -0x1.b3865bf0b15efp-21, -0x1.9c18cf1678826p-21, -0x1.84c986cae55c2p-21, -0x1.6d99add76eebbp-21, -0x1.568a68daa2975p-21, -0x1.3f9cd52a750f6p-21, -0x1.28d2095210ef7p-21, -0x1.122b14cc4cb6ep-21, -0x1.f752003d34d0dp-22, -0x1.ca99993bb4c3p-22, -0x1.9e2ee7a06530ep-22, -0x1.7213cdf075ce9p-22, -0x1.464a22b895f56p-22, -0x1.1ad3b5ae4ed62p-22, -0x1.df64972da9c4ep-23, -0x1.89cf0f799f77ap-23, -0x1.34ea0cab36006p-23, -0x1.c171ad0355157p-24, -0x1.1a7ce914b7497p-24, -0x1.d3eec4e45f439p-26, 0x1.7861f332dc9e2p-27, 0x1.a32ab874f88c9p-25, 0x1.729a578fa0e21p-24, 0x1.090b0f13eb999p-23, 0x1.5801e351bc5cfp-23, 0x1.a62f3dfad3422p-23, 0x1.f390cf6ef894ap-23, 0x1.2012450228331p-22, 0x1.45f41f55665b5p-22, 0x1.6b6cf500d51b5p-22, 0x1.907bd54429274p-22, 0x1.b51fd732f63d6p-22, 0x1.d9581cd08d97dp-22, 0x1.fd23d35de8d99p-22, 0x1.1041199cc2052p-21, 0x1.21b93fd3f568fp-21, 0x1.32fa035b6a1f7p-21, 0x1.440310866ee22p-21, 0x1.54d418d2116d6p-21, 0x1.656cd2bd349f2p-21, }}, 
      {{0x1.a300c57f36da1p-7, 0x1.f9b1298299d77p-6, 0x1.e9ae946ee379ap-5, 0x1.91b551056e11cp-4, 0x1.2734a5369730ep-3, 0x1.92180a7519248p-3, 0x1.031edbb170799p-2, 0x1.404abcc4615cfp-2, 0x1.7f2b7ac577a43p-2, 0x1.be85244066616p-2, 0x1.fd454734c91ep-2, 0x1.1d410f2d2dd5dp-1, 0x1.3abc3657802a7p-1, 0x1.56c44995816dfp-1, 0x1.7119a11322936p-1, 0x1.898b04e79f7d4p-1, 0x1.9ff3fb4983a6fp-1, 0x1.b43b2b5626a66p-1, 0x1.c650dd4ef6a2ep-1, 0x1.d62d9c8ad189cp-1, 0x1.e3d0fc6fcca2cp-1, 0x1.ef407fd1008f4p-1, 0x1.f886a06b87001p-1, 0x1.ffb1f3bec18d6p-1, 0x1.026a350095c17p+0, 0x1.0401523853116p+0, 0x1.04a9b03c6549p+0, 0x1.046f7ad1d0aeap+0, 0x1.035f72413d188p+0, 0x1.0186ba66f6424p+0, 0x1.fde560f70e189p-1, 0x1.f7618d792f2fep-1, 0x1.ef9cca6fb9298p-1, 0x1.e6b19e3471fc6p-1, 0x1.dcba1802fc456p-1, 0x1.d1cfa9c90dc8ap-1, 0x1.c60b0867ef082p-1, 0x1.b98411c027422p-1, 0x1.ac51b7f0764bap-1, 0x1.9e89f13d47718p-1, 0x1.9041ac19c3216p-1, 0x1.818cc6d5bf991p-1, 0x1.727e0a9e7068cp-1, 0x1.63272950fa54ep-1, 0x1.5398bd9d6dfafp-1, 0x1.43e24d8e69326p-1, 0x1.34124ed992d22p-1, 0x1.24362c4c4edd1p-1, 0x1.145a4d7994e53p-1, 0x1.048a1e26d1dc6p-1, 0x1.e9a02fc738bb6p-2, 0x1.ca6b96e213a63p-2, 0x1.ab87d4a887d06p-2, 0x1.8d04a5d71ec1ep-2, 0x1.6ef0307ba76f7p-2, 0x1.5157215549f9bp-2, 0x1.3444b8063e97bp-2, 0x1.17c2e6401ecdap-2, 0x1.f7b4b61f160bdp-3, 0x1.c12540aea96c7p-3, 0x1.8be44d63ef8c9p-3, 0x1.57fcbfe6c9ecdp-3, 0x1.257796c92d2cfp-3, 0x1.e8b834490fc2ep-4, 0x1.895fe7ed0beffp-4, 0x1.2ceeaf3757ebdp-4, 0x1.a6d4695ad6c4bp-5, 0x1.f3569b1df6c53p-6, 0x1.498f4408d8b4ap-7, -0x1.3c11d52b9a3bdp-7, -0x1.d527849dea815p-6, -0x1.8053ceb86b63cp-5, -0x1.0828be7f5bb8ep-4, -0x1.4d4e46000e104p-4, -0x1.8fa3a71f3d562p-4, -0x1.cf3332c7b1fbfp-4, -0x1.060420a1ed41bp-3, -0x1.231789e30f40bp-3, -0x1.3eda5bbc25c1bp-3, -0x1.5953751a1c8fep-3, -0x1.728a0059faf6p-3, -0x1.8a85673b11aaap-3, -0x1.a14d47b1a19c7p-3, -0x1.b6e96986381bap-3, -0x1.cb61b4d8276d6p-3, -0x1.debe294f9c34bp-3, -0x1.f106d61401929p-3, -0x1.0121e9293d67fp-2, -0x1.093e9b3912f42p-2, -0x1.10dd8aee48b1dp-2, -0x1.1802bcadc4c3ap-2, -0x1.1eb22d0def8aap-2, -0x1.24efce996e8e6p-2, -0x1.2abf87d93a3d3p-2, -0x1.3025319d13a97p-2, -0x1.3524956f7cc4fp-2, -0x1.39c16c420800fp-2, -0x1.3dff5d3b0874bp-2, -0x1.41e1fcaa28f37p-2, -0x1.456ccb25aaac7p-2, -0x1.48a334c601568p-2, -0x1.4b88908756c4cp-2, -0x1.4e201fd3c022bp-2, -0x1.506d0e232e46cp-2, -0x1.527270c4e9603p-2, -0x1.543346becc218p-2, -0x1.55b278c0bfc67p-2, -0x1.56f2d9324da7ap-2, -0x1.57f72449095c6p-2, -0x1.58c2002f7abe6p-2, -0x1.5955fd3977a41p-2, -0x1.59b5961d040c9p-2, -0x1.59e3303d392bp-2, -0x1.59e11bf931961p-2, -0x1.59b19503962a3p-2, -0x1.5956c2cc2347cp-2, -0x1.58d2b8e427a31p-2, -0x1.582777710690dp-2, -0x1.5756ebaae575fp-2, -0x1.5662f0503433bp-2, -0x1.554d4e26cc6edp-2, -0x1.5417bc83d9a07p-2, -0x1.52c3e1c539b9dp-2, -0x1.515353d4f996cp-2, -0x1.4fc798b033db5p-2, -0x1.4e2226e2838dfp-2, -0x1.4c6466014f1ccp-2, -0x1.4a8faf313327bp-2, -0x1.48a54d9e3ce93p-2, -0x1.46a67ef050bc6p-2, -0x1.449473cabaeddp-2, -0x1.42705041de59ap-2, -0x1.403b2c497effep-2, -0x1.3df6142ba804bp-2, -0x1.3ba208fa64ff2p-2, -0x1.394000f8d077cp-2, -0x1.36d0e806f41f6p-2, -0x1.3455a00cf9fafp-2, -0x1.31cf015dda53ep-2, -0x1.2f3ddb18f505ap-2, -0x1.2ca2f38afca15p-2, -0x1.29ff088a22d3ep-2, -0x1.2752cfccb7cap-2, -0x1.249ef7401c432p-2, -0x1.21e4255d69619p-2, -0x1.1f22f975eb02ap-2, -0x1.1c5c0bfe99aeep-2, -0x1.198feede624ccp-2, -0x1.16bf2db420b0cp-2, -0x1.13ea4e1504e17p-2, -0x1.1111cfd07d025p-2, -0x1.0e362d3484d6ep-2, -0x1.0b57db45d3dp-2, -0x1.087749f411d4ap-2, -0x1.0594e454e90f7p-2, -0x1.02b110df0fd1cp-2, -0x1.ff986330efb08p-3, -0x1.f9cd488265cafp-3, -0x1.f4018507c99d7p-3, -0x1.ee35c4511838cp-3, -0x1.e86aaa7c585c4p-3, -0x1.e2a0d477699ecp-3, -0x1.dcd8d848fa0dap-3, -0x1.d71345684aeaap-3, -0x1.d150a50bc555bp-3, -0x1.cb917a5ee7c56p-3, -0x1.c5d642b156084p-3, -0x1.c01f75be1fe33p-3, -0x1.ba6d85f6b942ep-3, -0x1.b4c0e0b496088p-3, -0x1.af19ee5b1c943p-3, -0x1.a9791285fed18p-3, -0x1.a3deac478f359p-3, -0x1.9e4b165f02a82p-3, -0x1.98bea759df1cfp-3, -0x1.9339b1af91148p-3, -0x1.8dbc83e8812a5p-3, -0x1.884768cfdafb5p-3, -0x1.82daa79d33c5bp-3, -0x1.7d76840feb22dp-3, -0x1.781b3e83816fdp-3, -0x1.72c9140c6e5cep-3, -0x1.6d803e9fc3385p-3, -0x1.6840f5382a91p-3, -0x1.630b6beca8fbdp-3, -0x1.5ddfd3fe94b04p-3, -0x1.58be5bedddde4p-3, -0x1.53a72f980afedp-3, -0x1.4e9a785870edp-3, -0x1.49985d1e7f8fcp-3, -0x1.44a102789e4c2p-3, -0x1.3fb48aa099911p-3, -0x1.3ad315927ee1bp-3, -0x1.35fcc127c2a0dp-3, -0x1.3131a92c8f669p-3, -0x1.2c71e76c74a44p-3, -0x1.27bd93bbd6ed6p-3, -0x1.2314c40517fep-3, -0x1.1e778c5b9d205p-3, -0x1.19e5ff10970cep-3, -0x1.15602cc398acp-3, -0x1.10e6246cd998ep-3, -0x1.0c77f3646d4fap-3, -0x1.0815a56c554fbp-3, -0x1.03bf44c0646c5p-3, -0x1.fee9b4512e10ap-4, -0x1.f66cda0e4db1p-4, -0x1.ee0806c0324cep-4, -0x1.e5bb43bbf2501p-4, -0x1.dd8697b480ce4p-4, -0x1.d56a06d73406dp-4, -0x1.cd6592eb6551ap-4, -0x1.c5793b694fccfp-4, -0x1.bda4fd858f898p-4, -0x1.b5e8d439bdd7cp-4, -0x1.ae44b853f91d3p-4, -0x1.a6b8a08ed7b51p-4, -0x1.9f4481aa7ed84p-4, -0x1.97e84e7eedd4ep-4, -0x1.90a3f80747bf5p-4, -0x1.89776d6bd6cddp-4, -0x1.82629c10c46aap-4, -0x1.7b656fa8c7fd5p-4, -0x1.747fd247b3edbp-4, -0x1.6db1ac711d869p-4, -0x1.66fae523db6dap-4, -0x1.605b61e5e5ebcp-4, -0x1.59d306d2a2198p-4, -0x1.5361b6aa3a35p-4, -0x1.4d0752df41548p-4, -0x1.46c3bba1bb1f1p-4, -0x1.4096cfe94ed4cp-4, -0x1.3a806d8130e9dp-4, -0x1.348071166bbcbp-4, -0x1.2e96b64652dfp-4, -0x1.28c317aa4e6e8p-4, -0x1.23056ee0678ccp-4, -0x1.1d5d9492c5915p-4, -0x1.17cb608109641p-4, -0x1.124ea98cf8c8cp-4, -0x1.0ce745c88bf8fp-4, -0x1.07950a828b915p-4, -0x1.0257cc4f6fe5p-4, -0x1.fa5ebe1ecc223p-5, -0x1.f0372be8a2bc8p-5, -0x1.e6388714c216ap-5, -0x1.dc6273873f51ep-5, -0x1.d2b494090b2dep-5, -0x1.c92e8a5da8d09p-5, -0x1.bfcff75278bcdp-5, -0x1.b6987ac92209fp-5, -0x1.ad87b3c19c9b7p-5, -0x1.a49d40683f6fbp-5, -0x1.9bd8be28ac1a7p-5, -0x1.9339c9c2d5faap-5, -0x1.8abfff5e14696p-5, -0x1.826afa97aa10ep-5, -0x1.7a3a568d2010dp-5, -0x1.722dade521fabp-5, -0x1.6a449ada1efa6p-5, -0x1.627eb748679f9p-5, -0x1.5adb9cbec49edp-5, -0x1.535ae48edb9c6p-5, -0x1.4bfc27db05e2bp-5, -0x1.44beffa0fff89p-5, -0x1.3da304c214a2ep-5, -0x1.36a7d00b456fcp-5, -0x1.2fccfa3f0e905p-5, -0x1.29121c214b598p-5, -0x1.2276ce849a478p-5, -0x1.1bfaaa5750103p-5, -0x1.159d48ae7d124p-5, -0x1.0f5e42ce704d1p-5, -0x1.093d32314c5bap-5, -0x1.0339b08d1228fp-5, -0x1.faa6afb4ee03ep-6, -0x1.ef1384baeec5dp-6, -0x1.e3b9155f2ebc6p-6, -0x1.d89697961ccb1p-6, -0x1.cdab422ac4ef1p-6, -0x1.c2f64cd038b32p-6, -0x1.b876f02dc172bp-6, -0x1.ae2c65e62befap-6, -0x1.a415e89c74976p-6, -0x1.9a32b3f91a8dap-6, -0x1.908204b378eap-6, -0x1.870318a12238bp-6, -0x1.7db52ecaec9cdp-6, -0x1.749787846173fp-6, -0x1.6ba96480ad531p-6, -0x1.62ea08e0235a3p-6, -0x1.5a58b933b8c6fp-6, -0x1.51f4bb7761b13p-6, -0x1.49bd570839236p-6, -0x1.41b1d49d72bd1p-6, -0x1.39d17e4b1e9b9p-6, -0x1.321b9f92568d8p-6, -0x1.2a8f857d64893p-6, -0x1.232c7ec11bcfap-6, -0x1.1bf1dbd97ec1p-6, -0x1.14deef182412bp-6, -0x1.0df30c9f63d6cp-6, -0x1.072d8a4be6943p-6, -0x1.008dbf9520182p-6, -0x1.f4260ae2dd52ap-7, -0x1.e7796c94caa5bp-7, -0x1.db145c122686ap-7, -0x1.cef59472fdfedp-7, -0x1.c31bd478d9823p-7, -0x1.b785def04d9e2p-7, -0x1.ac327af07b8f9p-7, -0x1.a12073e199394p-7, -0x1.964e9945325b9p-7, -0x1.8bbbbe4f75692p-7, -0x1.8166b970ea72cp-7, -0x1.774e63f70cfa5p-7, -0x1.6d7199e4994b4p-7, -0x1.63cf3a1262bacp-7, -0x1.5a6626936348ep-7, -0x1.5135454275c0bp-7, -0x1.483b8051cf639p-7, -0x1.3f77c6b2ee9d4p-7, -0x1.36e90c36a5325p-7, -0x1.2e8e4957ec42ep-7, -0x1.26667abaf4249p-7, -0x1.1e70a07e5d438p-7, -0x1.16abbd89e00cap-7, -0x1.0f16d7086994bp-7, -0x1.07b0f432cd8bbp-7, -0x1.00791e7e9a8a3p-7, -0x1.f2dcc45a058e1p-8, -0x1.e51f9e3c628a3p-8, -0x1.d7b8f3746ab05p-8, -0x1.caa6f76bd0ad5p-8, -0x1.bde7e8f953903p-8, -0x1.b17a122d5d2fp-8, -0x1.a55bc6ff0acb3p-8, -0x1.998b630683bd3p-8, -0x1.8e0746b68a56fp-8, -0x1.82cdd4b9d3204p-8, -0x1.77dd70297e992p-8, -0x1.6d347c32e4bc4p-8, -0x1.62d15d797f924p-8, -0x1.58b27d1572993p-8, -0x1.4ed64c96f496p-8, -0x1.453b4a197746bp-8, -0x1.3be0034682acfp-8, -0x1.32c3164b789f4p-8, -0x1.29e330339e4a6p-8, -0x1.213f08c08d724p-8, -0x1.18d55c8f3f048p-8, -0x1.10a4e6ea73fa4p-8, -0x1.08ac5ceaf8ba3p-8, -0x1.00ea6b5a33d67p-8, -0x1.f2bb70630f2e9p-9, -0x1.e409cf54b164ep-9, -0x1.d5bd47acb7013p-9, -0x1.c7d349d886472p-9, -0x1.ba497032ebc17p-9, -0x1.ad1d85c3c2c39p-9, -0x1.a04d83be940d1p-9, -0x1.93d785b72e58ap-9, -0x1.87b9b7014b5edp-9, -0x1.7bf23da86c38ep-9, -0x1.707f284d0f64ap-9, -0x1.655e63b68f3afp-9, -0x1.5a8dbb1e359c8p-9, -0x1.500ae38da4354p-9, -0x1.45d38fcf83db2p-9, -0x1.3be5882006a24p-9, -0x1.323ebfada9d7ep-9, -0x1.28dd6264c47ebp-9, -0x1.1fbfd76230485p-9, -0x1.16e4b743806e4p-9, -0x1.0e4ab89d2c9eap-9, -0x1.05f0975c5022fp-9, -0x1.fba9fa3208641p-10, -0x1.ebece02b24539p-10, -0x1.dca699d92668bp-10, -0x1.cdd39887cbdd5p-10, -0x1.bf7025de74891p-10, -0x1.b17890da4bf9fp-10, -0x1.a3e95c4e4db22p-10, -0x1.96bf63688948ap-10, -0x1.89f7eb68a15c8p-10, -0x1.7d909ed70c9b2p-10, -0x1.718774a9908d7p-10, -0x1.65da8ae347976p-10, -0x1.5a87febff1525p-10, -0x1.4f8dcbe8c3451p-10, -0x1.44e9b935b7d07p-10, -0x1.3a99558af2756p-10, -0x1.309a03c8115f5p-10, -0x1.26e9123ab2788p-10, -0x1.1d83d86d426b9p-10, -0x1.1467d4fbfbc84p-10, -0x1.0b92c45f1766ep-10, -0x1.0302aa46712e5p-10, -0x1.f56b94799d4acp-11, -0x1.e555231ac44d1p-11, -0x1.d5bef3d6cf068p-11, -0x1.c6a5dea7a44ffp-11, -0x1.b806842a6bf9ep-11, -0x1.a9dd504ca4005p-11, -0x1.9c2693e78933ep-11, -0x1.8edea52829e76p-11, -0x1.8201f84738a76p-11, -0x1.758d2b45f2ad1p-11, -0x1.697d08cff92b1p-11, -0x1.5dce89d56f04cp-11, -0x1.527eda20a11a7p-11, -0x1.478b5d9b5b4e3p-11, -0x1.3cf1aea794256p-11, -0x1.32af8d3bdd912p-11, -0x1.28c2bc7795273p-11, -0x1.1f28d7fcc9c55p-11, -0x1.15df353e28d09p-11, -0x1.0ce2e5a0ebef9p-11, -0x1.0430e0aa79dap-11, -0x1.f78c8ea845df5p-12, -0x1.e7413ffb3c57ap-12, -0x1.d77bd32cff008p-12, -0x1.c838f192648d3p-12, -0x1.b9756420e7fcbp-12, -0x1.ab2d96640dd87p-12, -0x1.9d5d7673a273dp-12, -0x1.9000c378dcc47p-12, -0x1.83139313f2f49p-12, -0x1.7692b1f792ab6p-12, -0x1.6a7b9ae5762b1p-12, -0x1.5ecc00bd13e81p-12, -0x1.53812dc38d166p-12, -0x1.48979aa72ec66p-12, -0x1.3e0b04bb6b684p-12, -0x1.33d70032513fep-12, -0x1.29f7b3e2dc28bp-12, -0x1.206a4b6fc0c2bp-12, -0x1.172cd3716232cp-12, -0x1.0e3d8fc5d55bdp-12, -0x1.059a37c9292abp-12, -0x1.fa7f3d30e4df4p-13, -0x1.ea5413cf9b53ep-13, -0x1.daac03f9b131cp-13, -0x1.cb8222474170cp-13, -0x1.bcd3eabe75421p-13, -0x1.aea05021a804ap-13, -0x1.a0e62387c1055p-13, -0x1.93a2ea400ac16p-13, -0x1.86d2cb4196be8p-13, -0x1.7a714e4134b2ap-13, -0x1.6e7a162d19456p-13, -0x1.62e909576d20ep-13, -0x1.57ba08c197811p-13, -0x1.4ce8afde20c6dp-13, -0x1.42705aa62a405p-13, -0x1.384c4ec170963p-13, -0x1.2e77e7e56ef21p-13, -0x1.24eeefe7cf09dp-13, -0x1.1bae326bd1613p-13, -0x1.12b3d93788533p-13, -0x1.09ff0f6ba181cp-13, -0x1.018f264392089p-13, -0x1.f2c5f9e1968d8p-14, -0x1.e2f202fa68d1cp-14, -0x1.d39f092270323p-14, -0x1.c4ca0c6c344dbp-14, -0x1.b670799830279p-14, -0x1.a88f6fde9ce88p-14, -0x1.9b22be5cfa052p-14, -0x1.8e2473b327ec4p-14, -0x1.818d29a1aceb6p-14, -0x1.7554a95d06839p-14, -0x1.6972df917cdf9p-14, -0x1.5de15746190bp-14, -0x1.529cb05a8cf5fp-14, -0x1.47a4b0f7b1d1cp-14, -0x1.3cfa568b574dp-14, -0x1.329d4c13d3e12p-14, -0x1.288b007a0b8f3p-14, -0x1.1ec00daa66736p-14, -0x1.153a531ff7037p-14, -0x1.0bf97fac678c3p-14, -0x1.02fd7f3b4d775p-14, -0x1.f4893bfe79f3dp-15, -0x1.e396c867c2143p-15, -0x1.d31bf7c55e403p-15, -0x1.c312e37be93fap-15, -0x1.b377916a6a58dp-15, -0x1.a44642fb56043p-15, -0x1.9579ce7e6af28p-15, -0x1.870b8aa890488p-15, -0x1.78f4bd76f9e06p-15, -0x1.6b3058c72f20ep-15, -0x1.5dbbf72e28a84p-15, -0x1.509792dfeee67p-15, -0x1.43c3ab2564a88p-15, -0x1.373f09ebd01f9p-15, -0x1.2b06f3b3eb1fcp-15, -0x1.1f197216a8acep-15, -0x1.1375dd8938de6p-15, -0x1.081ad42ab5aa8p-15, -0x1.fa09baa85e536p-16, -0x1.e45f2193f94d2p-16, -0x1.cf2efd080c989p-16, -0x1.ba75af3603a37p-16, -0x1.a631882be3b38p-16, -0x1.926088b1312cbp-16, -0x1.7efecd2b90451p-16, -0x1.6c068087b9be7p-16, -0x1.59724c0258b2bp-16, -0x1.4740f54e2404p-16, -0x1.357422df366f6p-16, -0x1.240973be2483ep-16, -0x1.12f808e78297bp-16, -0x1.0239abe520d2cp-16, -0x1.e3a36288ab902p-17, -0x1.c38876510cc65p-17, -0x1.a41a83e78021p-17, -0x1.854abe2c52dc5p-17, -0x1.67141bade1332p-17, -0x1.4978886ca4d4fp-17, -0x1.2c761431a2e5ap-17, -0x1.1007866d8b626p-17, -0x1.e853880347ce9p-18, -0x1.b1b8735f14406p-18, -0x1.7c3ae60e38cc7p-18, -0x1.47ceb35e22ddcp-18, -0x1.145eb9e770699p-18, -0x1.c3bf6246e4b9dp-19, -0x1.60b7ef38c401fp-19, -0x1.ff6e2f78d6374p-20, -0x1.415401817f3f7p-20, -0x1.0e210e593829ap-21, 0x1.7a2c2ddb9ddefp-23, 0x1.c3961ecc76786p-21, 0x1.90d01af0ae403p-20, 0x1.1e3fc1683355ep-19, 0x1.72613b6fa77ep-19, 0x1.c4c96e6a76c34p-19, 0x1.0ac519b489a66p-18, 0x1.3253180317f04p-18, 0x1.5909c613aafb2p-18, 0x1.7eeaa3970e3d8p-18, 0x1.a3fa1c8dd9709p-18, 0x1.c83abb7e920bcp-18, 0x1.ebafbf8c81faap-18, 0x1.073102383e644p-17, 0x1.182c4e453e1acp-17, 0x1.28c70c9f2906dp-17, 0x1.3900b73036c48p-17, 0x1.48dd21e6c3c9p-17, 0x1.585b6dcf663e1p-17, 0x1.677a7423c5567p-17, 0x1.763ca8cffddcbp-17, 0x1.84a42aa2167d7p-17, 0x1.92b1bba1349bfp-17, 0x1.a0657420bc84bp-17, 0x1.adbf9677ad08ep-17, 0x1.bac21abf92d94p-17, 0x1.c76ecc1193003p-17, 0x1.d3c5624237b15p-17, 0x1.dfc7329eb83eep-17, 0x1.eb74eb3834c7bp-17, 0x1.f6cd2d86ef34cp-17, 0x1.00e850c933eecp-16, 0x1.064057581329fp-16, 0x1.0b6f796539ccap-16, 0x1.1076b0f1ebb4ep-16, 0x1.1555c4d222368p-16, 0x1.1a0d2e8d6d0dfp-16, 0x1.1e9d5740ed34cp-16, 0x1.2305c01878b5dp-16, 0x1.274708679846p-16, 0x1.2b61f2f4f0f27p-16, 0x1.2f56d9958525ap-16, 0x1.3325fda4b3ce1p-16, 0x1.36cfaac041bbap-16, 0x1.3a5433ee19906p-16, 0x1.3db3ee7293a0cp-16, 0x1.40ef3347c4aap-16, 0x1.44064fe710159p-16, 0x1.46f9656e41889p-16, 0x1.49c8c60997586p-16, 0x1.4c753262e3d49p-16, 0x1.4eff12456a59ep-16, 0x1.5166c828c1f64p-16, 0x1.53ac24052eeep-16, 0x1.55cf3f6f3d1b2p-16, 0x1.57d126679fe8bp-16, 0x1.59b25370fd54ap-16, 0x1.5b7327d1ecfa6p-16, 0x1.5d13861908066p-16, 0x1.5e93c8d49f48bp-16, 0x1.5ff4901b6bcccp-16, 0x1.61363b1467a0bp-16, 0x1.62591b304ae41p-16, 0x1.635d890fb5b4ap-16, 0x1.6443e27fc6cc9p-16, 0x1.650c8755d0b34p-16, 0x1.65b7d7f7c2f7ep-16, 0x1.6646351c6361ep-16, 0x1.66b8005fa72d4p-16, 0x1.670d9cdfbd69dp-16, 0x1.67476f344eb6p-16, 0x1.6765ddde60239p-16, 0x1.6769513a93345p-16, 0x1.67522506bafb7p-16, 0x1.672094fcfb58bp-16, 0x1.66d4fb6285fcdp-16, 0x1.666fd323c9953p-16, 0x1.65f1d3aab0a76p-16, 0x1.655b3f237ccb1p-16, 0x1.64ac44bd08a32p-16, 0x1.63e5416ca2ea4p-16, 0x1.6306d4d1ca84p-16, 0x1.621161660a92dp-16, 0x1.61053e4231979p-16, 0x1.5fe2cb6148607p-16, 0x1.5eaa6d93207a5p-16, 0x1.5d5c8b7f8656ep-16, 0x1.5bf98c80f601fp-16, 0x1.5a81d7f9da1c9p-16, 0x1.58f5d4a7acf8dp-16, 0x1.5755e80d99135p-16, 0x1.55a27679747efp-16, 0x1.53dbe43f6e34cp-16, 0x1.520297c69f7dcp-16, 0x1.5016fa3692bcap-16, 0x1.4e1974c43a6e7p-16, 0x1.4c0a6dfc466e7p-16, 0x1.49ea4e9e8ac81p-16, 0x1.47b973363c19ap-16, 0x1.457803706e5cp-16, 0x1.4326ae7cbe9e9p-16, 0x1.40c5ecffe1cc6p-16, 0x1.3e55b460e16c4p-16, 0x1.3bd6e47098561p-16, 0x1.3949a70da9036p-16, 0x1.36ae4ca5f1f8fp-16, 0x1.34055bd0a9fdfp-16, 0x1.314f2e1de6beap-16, 0x1.2e8c1c49763a5p-16, 0x1.2bbc845c5a249p-16, 0x1.28e0c5f34e8f5p-16, 0x1.25f94094d470ap-16, 0x1.2306531c7c2afp-16, 0x1.20085b68b1218p-16, 0x1.1cffb61c11b2ep-16, 0x1.19ecbec390253p-16, 0x1.16cfd0c17ce6ap-16, 0x1.13a9485b38896p-16, 0x1.10798275bb8f1p-16, 0x1.0d40da08bc069p-16, 0x1.09ffa4ddda41fp-16, 0x1.06b639235b7d5p-16, 0x1.0364f92bb20e2p-16, 0x1.000c179a734ccp-16, 0x1.f957f52a99c44p-17, 0x1.f28a55f6d0894p-17, 0x1.ebaf487ebd07dp-17, 0x1.e4c7ee45c3198p-17, 0x1.ddd4ea0df0919p-17, 0x1.d6d6cdc755121p-17, 0x1.cfcdf2cb7531ap-17, 0x1.c8bb62d0cd9bap-17, 0x1.c19f58a169c79p-17, 0x1.ba7a9f8f51da4p-17, 0x1.b34df0be42459p-17, 0x1.ac19cc99e37e7p-17, 0x1.a4dec1c7776c1p-17, 0x1.9d9d64099926fp-17, 0x1.965645dfe5b0ep-17, 0x1.8f09f6ede4e3bp-17, 0x1.87b90417bafecp-17, 0x1.8063f8df5b4d7p-17, 0x1.790b60f1834d3p-17, 0x1.71afc82f46dfp-17, 0x1.6a51b812071bfp-17, 0x1.62f1b14e2deb5p-17, 0x1.5b902bdfdced2p-17, 0x1.542db5e5b7c4fp-17, 0x1.4ccae84c16b61p-17, 0x1.4567ecefe3aabp-17, 0x1.3e05771309415p-17, 0x1.36a3cf4acb6fbp-17, 0x1.2f43be4b6f09ep-17, 0x1.27e597efffb22p-17, 0x1.2089c42c477aap-17, 0x1.1930b2abbbb3dp-17, 0x1.11dacd6d5553fp-17, 0x1.0a887c2bdb042p-17, 0x1.033a3600506abp-17, 0x1.f7e0fa55af873p-18, 0x1.e9570b7a484bdp-18, 0x1.dad7468e96cd4p-18, 0x1.cc6295987d9c3p-18, 0x1.bdfa1c2d6daadp-18, 0x1.af9e6337f810dp-18, 0x1.a1500d2b926b9p-18, 0x1.930fcb89b3516p-18, 0x1.84de4e82336e9p-18, 0x1.76bc43d0eee87p-18, 0x1.68aa56fc9854cp-18, 0x1.5aa9304f0240ep-18, 0x1.4cb9700ec0aa2p-18, 0x1.3edba58ac1355p-18, 0x1.31105f0656efp-18, 0x1.2358643b9c2f6p-18, 0x1.15b469a6a9426p-18, 0x1.08244cc7cba22p-18, 0x1.f5518840da34cp-19, 0x1.da85d011e2512p-19, 0x1.bfe5ee77e6d9fp-19, 0x1.a572b4e2750cdp-19, 0x1.8b2d1a8ab2f55p-19, 0x1.711611518459dp-19, 0x1.572e833d492c2p-19, 0x1.3d77535fb60a5p-19, 0x1.23f15e0db3f6cp-19, 0x1.0a9d77ed6ba37p-19, 0x1.e2f8d22858bfcp-20, 0x1.b11dd326017dfp-20, 0x1.7fab65596d40ap-20, 0x1.4ea34a6c24877p-20, 0x1.1e079981df09ap-20, 0x1.dbb031450724dp-21, 0x1.7c2ae610f59b4p-21, 0x1.1d85fb2216849p-21, 0x1.7f85991addabbp-22, 0x1.8b8bb27953867p-23, 0x1.ba23058f794cp-27, -0x1.50a8a75fcb6d1p-23, -0x1.5ca678943cf78p-22, -0x1.0791032fbe0f4p-21, -0x1.5fe1c92aea4c5p-21, -0x1.b742dedd69f4ep-21, -0x1.06d8c550f2137p-20, -0x1.3198cc4c3361dp-20, -0x1.5bdec093c1bcbp-20, -0x1.85a9993e49a33p-20, -0x1.aef952e132e12p-20, -0x1.d7cd5b184ee6ep-20, -0x1.00128e319f133p-19, -0x1.1400075d3ec15p-19, -0x1.27aedb1699ab9p-19, -0x1.3b1ed0dbd3473p-19, -0x1.4e4fb55b600bep-19, -0x1.61415a41ee152p-19, -0x1.73f395e9a78eep-19, -0x1.866642f8c3404p-19, }}, 
      {{0x1.1c907ba59c177p-7, 0x1.e4a98ad16f1c3p-7, 0x1.94cf1494339fcp-6, 0x1.3837fef9e27fap-5, 0x1.bf89d9ada38a9p-5, 0x1.2e8b7420f0327p-4, 0x1.86c6f6ab579edp-4, 0x1.e6d798c2b4c5dp-4, 0x1.2697e779add87p-3, 0x1.5c2d4aa078ea2p-3, 0x1.937f9dc7b71b6p-3, 0x1.cbf1ad5027f4cp-3, 0x1.027ada13927d6p-2, 0x1.1f0693a68eab2p-2, 0x1.3b64152447254p-2, 0x1.5762655adef9ap-2, 0x1.72d70cccc966ep-2, 0x1.8d9d9996506b3p-2, 0x1.a797209836d5bp-2, 0x1.c0a9c023abedbp-2, 0x1.d8c026fa3e461p-2, 0x1.efc921692e8e5p-2, 0x1.02db96bef2f6ap-1, 0x1.0d400b62abdbcp-1, 0x1.170e4cd9a3afep-1, 0x1.204407435f331p-1, 0x1.28e00dab2aa3p-1, 0x1.30e236713bcebp-1, 0x1.384b3add1dd82p-1, 0x1.3f1c999e0dcebp-1, 0x1.45587c01685cdp-1, 0x1.4b019dacce877p-1, 0x1.501b36aae76e5p-1, 0x1.54a8e79c22b8p-1, 0x1.58aea7df0ef8p-1, 0x1.5c30b58728db4p-1, 0x1.5f3386fbee499p-1, 0x1.61bbbe1cd53f4p-1, 0x1.63ce1cc913b1cp-1, 0x1.656f7aad075d8p-1, 0x1.66a4bc3911cbdp-1, 0x1.6772caa8696c7p-1, 0x1.67de8d003d95ep-1, 0x1.67ece1f12f7dp-1, 0x1.67a29a87b8c3dp-1, 0x1.67047598a3aa8p-1, 0x1.66171bd7b32eap-1, 0x1.64df1c8a212eep-1, 0x1.6360eac3fbf33p-1, 0x1.61a0db2440881p-1, 0x1.5fa32204352e4p-1, 0x1.5d6bd2093a4fbp-1, 0x1.5afedb1845406p-1, 0x1.5860098ffea9dp-1, 0x1.559305d341e2cp-1, 0x1.529b5407ec8bap-1, 0x1.4f7c5411dd2fcp-1, 0x1.4c3941bc50e3p-1, 0x1.48d53508cc254p-1, 0x1.455322a7c25d1p-1, 0x1.41b5dc8295979p-1, 0x1.3e001266bda19p-1, 0x1.3a3452ba5c1dap-1, 0x1.36550b4a1e444p-1, 0x1.32648a205e8c2p-1, 0x1.2e64fe6acea14p-1, 0x1.2a587966e9b55p-1, 0x1.2640ef55b5154p-1, 0x1.22203874e7b57p-1, 0x1.1df811fba3a8cp-1, 0x1.19ca1f17df124p-1, 0x1.1597e9ea701bp-1, 0x1.1162e47f321c1p-1, 0x1.0d2c69c327c5dp-1, 0x1.08f5be78af601p-1, 0x1.04c0122a242e8p-1, 0x1.008c8019b8723p-1, 0x1.f8b82058c965fp-2, 0x1.f05f6f9a03eddp-2, 0x1.e810b58d9d6c2p-2, 0x1.dfcd9831521c9p-2, 0x1.d7979d84ff673p-2, 0x1.cf702d1a8eec8p-2, 0x1.c75891a161473p-2, 0x1.bf51fa660238p-2, 0x1.b75d7cc6ef37fp-2, 0x1.af7c1598f6c99p-2, 0x1.a7aeaa7bf9f7ap-2, 0x1.9ff60b1cbb38p-2, 0x1.9852f268eb5a6p-2, 0x1.90c607b702f91p-2, 0x1.894fdfe4b1c7fp-2, 0x1.81f0fe6d06e9ap-2, 0x1.7aa9d677be016p-2, 0x1.737acbdbd3141p-2, 0x1.6c64341b39d4p-2, 0x1.6566574d5c537p-2, 0x1.5e8170fdac971p-2, 0x1.57b5b0fbc5997p-2, 0x1.51033c1f08547p-2, 0x1.4a6a2cfed7f7bp-2, 0x1.43ea94a3a6dacp-2, 0x1.3d847b2ca3ee5p-2, 0x1.3737e073f2c82p-2, 0x1.3104bca8a43fep-2, 0x1.2aeb00e43c644p-2, 0x1.24ea97b884cb4p-2, 0x1.1f0365b5e77ecp-2, 0x1.193549e97c54ep-2, 0x1.13801e52bfe9cp-2, 0x1.0de3b850a9e63p-2, 0x1.085fe907ee9c6p-2, 0x1.02f47dc174cf9p-2, 0x1.fb428085055a4p-3, 0x1.f0cbee3ff3ca2p-3, 0x1.e684cc1944e25p-3, 0x1.dc6c9c465d5eep-3, 0x1.d282dc5898c0bp-3, 0x1.c8c705c254a7dp-3, 0x1.bf388e5432fb6p-3, 0x1.b5d6e8b324e4p-3, 0x1.aca184c63959ap-3, 0x1.a397d0209287dp-3, 0x1.9ab9365ad98d2p-3, 0x1.9205217222a72p-3, 0x1.897afa14bcdc8p-3, 0x1.811a27ee15eb6p-3, 0x1.78e211eb29772p-3, 0x1.70d21e7955917p-3, 0x1.68e9b3bfe0446p-3, 0x1.612837d55d947p-3, 0x1.598d10f0c2f63p-3, 0x1.5217a59674be7p-3, 0x1.4ac75cc220a75p-3, 0x1.439b9e0d79a65p-3, 0x1.3c93d1d344d12p-3, 0x1.35af615104a8ap-3, 0x1.2eedb6c2a9de1p-3, 0x1.284e3d811803ap-3, 0x1.21d0621826913p-3, 0x1.1b73925e2956p-3, 0x1.15373d880244ep-3, 0x1.0f1ad43adfc1ap-3, 0x1.091dc89c15634p-3, 0x1.033f8e5f37a0cp-3, 0x1.faff35a472a3bp-4, 0x1.efbac9cfb0d63p-4, 0x1.e4b0ca81756e3p-4, 0x1.d9e02c662ebbep-4, 0x1.cf47e7a1d1a94p-4, 0x1.c4e6f7da51048p-4, 0x1.babc5c401a228p-4, 0x1.b0c71794837fbp-4, 0x1.a706302c801f9p-4, 0x1.9d78aff95b845p-4, 0x1.941da480b8314p-4, 0x1.8af41ee6f9c38p-4, 0x1.81fb33e7c02f1p-4, 0x1.7931fbd61e1b2p-4, 0x1.709792995e0c8p-4, 0x1.682b17a92a4aap-4, 0x1.5febae088efap-4, 0x1.57d87c4027591p-4, 0x1.4ff0ac5818acep-4, 0x1.48336bd17f35dp-4, 0x1.409feb9ead6f7p-4, 0x1.3935601ac8f03p-4, 0x1.31f301019be2bp-4, 0x1.2ad809672cf88p-4, 0x1.23e3b7ae5de7dp-4, 0x1.1d154d7ef0276p-4, 0x1.166c0fbbcbfd8p-4, 0x1.0fe746796bcbep-4, 0x1.09863cf3ae4edp-4, 0x1.0348418352a7fp-4, 0x1.fa594b24573b2p-5, 0x1.ee657b2873c02p-5, 0x1.e2b3c1ede59bfp-5, 0x1.d742d43a7b8cp-5, 0x1.cc116ca06edf9p-5, 0x1.c11e4b6bb5e97p-5, 0x1.b668368c0bc73p-5, 0x1.abedf97fb9abcp-5, 0x1.a1ae653e9b46bp-5, 0x1.97a85024be301p-5, 0x1.8dda95dca1474p-5, 0x1.84441749f423ap-5, 0x1.7ae3ba7541333p-5, 0x1.71b86a77c3209p-5, 0x1.68c11766a942dp-5, 0x1.5ffcb63e3d712p-5, 0x1.576a40cd7634ap-5, 0x1.4f08b5a2d0e5dp-5, 0x1.46d717f8d15c8p-5, 0x1.3ed46fa293926p-5, 0x1.36ffc8f829e66p-5, 0x1.2f5834c391f79p-5, 0x1.27dcc82e352dap-5, 0x1.208c9caea3505p-5, 0x1.1966cff658607p-5, 0x1.126a83dfb683bp-5, 0x1.0b96de5c68701p-5, 0x1.04eb096398ea6p-5, 0x1.fccc65c179f9p-6, 0x1.f00f194753382p-6, 0x1.e39c989b4954dp-6, 0x1.d7735688348cep-6, 0x1.cb91cd3c09696p-6, 0x1.bff67e29bb25p-6, 0x1.b49ff1e9030c2p-6, 0x1.a98cb8179898fp-6, 0x1.9ebb673b5a37cp-6, 0x1.942a9ca4e1b67p-6, 0x1.89d8fc5197ecap-6, 0x1.7fc530ce3a63fp-6, 0x1.75edeb19e3e24p-6, 0x1.6c51e28a573eep-6, 0x1.62efd4b0f4818p-6, 0x1.59c685400056ep-6, 0x1.50d4bdeedf6a2p-6, 0x1.48194e6065bbp-6, 0x1.3f930c078e85p-6, 0x1.3740d20f01e91p-6, 0x1.2f2181404355ap-6, 0x1.2733ffeb33ab8p-6, 0x1.1f7739cd91fbp-6, 0x1.17ea1ffac0825p-6, 0x1.108ba8c428013p-6, 0x1.095acfa24772ep-6, 0x1.0256951e4813ep-6, 0x1.f6fbfd77638c2p-7, 0x1.e9a02dc49a647p-7, 0x1.dc97d99073f83p-7, 0x1.cfe128b92366cp-7, 0x1.c37a4c6520f03p-7, 0x1.b7617eda72f02p-7, 0x1.ab950355e1bd3p-7, 0x1.a01325e17762dp-7, 0x1.94da3b32265a2p-7, 0x1.89e8a0780eb5cp-7, 0x1.7f3cbb427fc78p-7, 0x1.74d4f95348fbap-7, 0x1.6aafd07d3c1ebp-7, 0x1.60cbbe7f76ea8p-7, 0x1.572748e143299p-7, 0x1.4dc0fccea6c74p-7, 0x1.44976ef5d59d6p-7, 0x1.3ba93b6559efcp-7, 0x1.32f5056aeafefp-7, 0x1.2a7977728c3a2p-7, 0x1.223542e5f69c5p-7, 0x1.1a27200c4de44p-7, 0x1.124dcdea8e976p-7, 0x1.0aa812248e198p-7, 0x1.0334b8dec1361p-7, 0x1.f7e52940f4d9dp-8, 0x1.e9c0fc6d18a13p-8, 0x1.dbfaa92c389b6p-8, 0x1.ce8ff97fb4feap-8, 0x1.c17ec3474e4bep-8, 0x1.b4c4e809b23ep-8, 0x1.a86054be2c554p-8, 0x1.9c4f019772f46p-8, 0x1.908ef1cfc2e29p-8, 0x1.851e337219565p-8, 0x1.79fadf2a70678p-8, 0x1.6f23181188f05p-8, 0x1.64950b79c2a5dp-8, 0x1.5a4ef0c04db43p-8, 0x1.504f091cce115p-8, 0x1.46939f726520ep-8, 0x1.3d1b08214ff6ep-8, 0x1.33e3a0d8f9d9ap-8, 0x1.2aebd06aa4cb3p-8, 0x1.2232069cc94f4p-8, 0x1.19b4bbff54475p-8, 0x1.117271c0ee84ep-8, 0x1.0969b1854d39ep-8, 0x1.01990d3b40438p-8, 0x1.f3fe3de7593b2p-9, 0x1.e53511781e6d4p-9, 0x1.d6d3e8e672ebfp-9, 0x1.c8d8274b65b33p-9, 0x1.bb3f3ec558beep-9, 0x1.ae06b031ab166p-9, 0x1.a12c0ae26877cp-9, 0x1.94acec55d8a56p-9, 0x1.8886ffefe2831p-9, 0x1.7cb7feb45c33dp-9, 0x1.713daf01ed957p-9, 0x1.6615e44d5780bp-9, 0x1.5b3e7edd3e347p-9, 0x1.50b56b86f8f67p-9, 0x1.4678a36ceaa3fp-9, 0x1.3c862bbe9edf4p-9, 0x1.32dc157aeed8p-9, 0x1.29787d33e6be7p-9, 0x1.20598ad3c931ap-9, 0x1.177d7162aced8p-9, 0x1.0ee26ecc0fc62p-9, 0x1.0686cba46b53fp-9, 0x1.fcd1b5dd969efp-10, 0x1.ed0df3c69f9d1p-10, 0x1.ddbf1f6e76826p-10, 0x1.cee21ace6d86fp-10, 0x1.c073db07d7716p-10, 0x1.b2716801271c2p-10, 0x1.a4d7dc057fd99p-10, 0x1.97a46364da771p-10, 0x1.8ad43c130343cp-10, 0x1.7e64b544ee7fdp-10, 0x1.72532f0cbc273p-10, 0x1.669d19f60a8c7p-10, 0x1.5b3ff6a4f0fe5p-10, 0x1.50395579857c2p-10, 0x1.4586d6396fa63p-10, 0x1.3b2627bf48beep-10, 0x1.311507aea3ff2p-10, 0x1.27514229b0bf1p-10, 0x1.1dd8b18625192p-10, 0x1.14a93dfef2a4bp-10, 0x1.0bc0dd61509cbp-10, 0x1.031d92b65b33p-10, 0x1.f57adbd5b9a71p-11, 0x1.e53d16f230f48p-11, 0x1.d57e283138dcbp-11, 0x1.c63a78ed16e58p-11, 0x1.b76e89efacc47p-11, 0x1.a916f3049da43p-11, 0x1.9b3062924081fp-11, 0x1.8db79d4228babp-11, 0x1.80a97d8fde3ddp-11, 0x1.7402f34791e4bp-11, 0x1.67c102e4bd7b1p-11, 0x1.5be0c4f5b175p-11, 0x1.505f656fc2476p-11, 0x1.453a230c5d77bp-11, 0x1.3a6e4ebf04d86p-11, 0x1.2ff94b4b6583ap-11, 0x1.25d88cfd5c7a2p-11, 0x1.1c09997a3892cp-11, 0x1.128a079bed9fep-11, 0x1.09577f42dbad2p-11, 0x1.006fb90dcee42p-11, 0x1.efa0fbda723b8p-12, 0x1.deef4d22848bfp-12, 0x1.cec6357a91f97p-12, 0x1.bf21a129785bep-12, 0x1.affd97ee9472ep-12, 0x1.a1563c0443471p-12, 0x1.9327c981cbeb8p-12, 0x1.856e961ae6b23p-12, 0x1.78271122d14dep-12, 0x1.6b4dc3a934e2p-12, 0x1.5edf5082143bdp-12, 0x1.52d8740f7cc23p-12, 0x1.473603b506764p-12, 0x1.3bf4ecee6f24ep-12, 0x1.31123417bbf08p-12, 0x1.268af30b18c13p-12, 0x1.1c5c57c6cf5dfp-12, 0x1.1283a34de3448p-12, 0x1.08fe28eb48a27p-12, 0x1.ff929bcb82687p-13, 0x1.edc513245654cp-13, 0x1.dc8ecb3bc042ap-13, 0x1.cbeafcc5414d8p-13, 0x1.bbd50633de445p-13, 0x1.ac486ba452cd3p-13, 0x1.9d40d627f5bd2p-13, 0x1.8eba1261b75abp-13, 0x1.80b00e7e8d5a7p-13, 0x1.731ed7b7a95ebp-13, 0x1.660297b534b99p-13, 0x1.59579242c367ap-13, 0x1.4d1a23c19713dp-13, 0x1.4146c09494669p-13, 0x1.35d9f57914cc1p-13, 0x1.2ad06872a9e4cp-13, 0x1.2026d9c984136p-13, 0x1.15da24b089dfbp-13, 0x1.0be73f5adcc39p-13, 0x1.024b3a80fc07dp-13, 0x1.f20680ec05db9p-14, 0x1.e01927c46bca9p-14, 0x1.cec91c4f0b1a2p-14, 0x1.be113ad7a9e0ap-14, 0x1.adec84ee8d222p-14, 0x1.9e561dfa07dfdp-14, 0x1.8f494952f1551p-14, 0x1.80c16a39f09ep-14, 0x1.72ba05b82243ep-14, 0x1.652ec54eb4a6fp-14, 0x1.581b787df1a61p-14, 0x1.4b7c1460abb7fp-14, 0x1.3f4cb1c34068p-14, 0x1.33898ad72a503p-14, 0x1.282ef979dada7p-14, 0x1.1d39763bf7033p-14, 0x1.12a5977239571p-14, 0x1.08700f951d341p-14, 0x1.fd2b55cb657ecp-15, 0x1.ea269a7092c34p-15, 0x1.d7cbe21266e2ep-15, 0x1.c6155075fd727p-15, 0x1.b4fd3b5d03ff7p-15, 0x1.a47e2c951eefdp-15, 0x1.9492e0d1ddd1dp-15, 0x1.853643ae39e6bp-15, 0x1.76636afc3609fp-15, 0x1.6815939f6e3fbp-15, 0x1.5a482091a64bep-15, 0x1.4cf69ae4ef7eep-15, 0x1.401cb1188dfa9p-15, 0x1.33b635396271fp-15, 0x1.27bf1aa3b2de6p-15, 0x1.1c3374f703639p-15, 0x1.110f78fab54a8p-15, 0x1.064f7ecb6fbd6p-15, 0x1.f7e0072892e55p-16, 0x1.e3db5224f5345p-16, 0x1.d08a6478e0b9dp-16, 0x1.bde6fc8f2a5c7p-16, 0x1.abeb08fe6fe17p-16, 0x1.9a90a61925229p-16, 0x1.89d220fde7199p-16, 0x1.79a9fb40ad667p-16, 0x1.6a12ea3e365b8p-16, 0x1.5b07d211d498cp-16, 0x1.4c83c0423496bp-16, 0x1.3e81e957c7cdbp-16, 0x1.30fda879f3739p-16, 0x1.23f27e837be13p-16, 0x1.175c10bd27c1fp-16, 0x1.0b3629ee35aa8p-16, 0x1.fef97d6454715p-17, 0x1.e857e4426aac3p-17, 0x1.d2802c9ba02afp-17, 0x1.bd6b4cff88f92p-17, 0x1.a9127b7ece4c9p-17, 0x1.956f1ed13b4dcp-17, 0x1.827acd7fa787bp-17, 0x1.702f5a70a1394p-17, 0x1.5e86e2e399d8ep-17, 0x1.4d7bcfecdcea1p-17, 0x1.3d08c781e1d84p-17, 0x1.2d2896200ce9p-17, 0x1.1dd61f2b0a537p-17, 0x1.0f0c5a9a12e54p-17, 0x1.00c659b1af83cp-17, 0x1.e5fe9580ce7c1p-18, 0x1.cb64fd5a21545p-18, 0x1.b1b6f061aa6e5p-18, 0x1.98ec02dfa5dbfp-18, 0x1.80fc69039790dp-18, 0x1.69e0cecba6508p-18, 0x1.5392193650ec4p-18, 0x1.3e094dedba77p-18, 0x1.293fb126aec5dp-18, 0x1.152eee37793bap-18, 0x1.01d114f394d59p-18, 0x1.de40d8a88392ep-19, 0x1.ba2e98abdbabfp-19, 0x1.97603b7e64962p-19, 0x1.75cad87f61597p-19, 0x1.5563d93c54854p-19, 0x1.3620ea5fd8757p-19, 0x1.17f7f08386b7ep-19, 0x1.f5be1d0970932p-20, 0x1.bd996ddea159fp-20, 0x1.876f85a2efeecp-20, 0x1.532f1704a9532p-20, 0x1.20c805a05563fp-20, 0x1.e056f97e6d70fp-21, 0x1.829798ca31f7fp-21, 0x1.2837fef711a55p-21, 0x1.a23d722e216bap-22, 0x1.f4c946dab2d09p-23, 0x1.62cc913a02468p-24, -0x1.0c20043f67dfp-24, -0x1.b1f7d4ac25f28p-23, -0x1.69560d1426974p-22, -0x1.f442485d3343ap-22, -0x1.3cf5722952e7p-21, -0x1.7d3c5fd8bd679p-21, -0x1.bb09da13f0e96p-21, -0x1.f6716beb74b0fp-21, -0x1.17c3209462ad8p-20, -0x1.332d86c57ed2bp-20, -0x1.4d80d57b3d64p-20, -0x1.66c53981acf55p-20, -0x1.7f020a734c73ep-20, -0x1.963e3ca114be1p-20, -0x1.ac80e5a0d675ap-20, -0x1.c1d12880a1e12p-20, -0x1.d635bcad91a76p-20, -0x1.e9b4d89c4debcp-20, -0x1.fc5493b69c30fp-20, -0x1.070d8ed723b79p-19, -0x1.0f8748d242413p-19, -0x1.179a5f586f88cp-19, -0x1.1f4991e6ded21p-19, -0x1.2697856b7704ep-19, -0x1.2d86cf980b63ap-19, -0x1.3419fa4e3f361p-19, -0x1.3a53831afbe22p-19, -0x1.4035d7238c9e9p-19, -0x1.45c345afd0434p-19, -0x1.4afdf5e565681p-19, -0x1.4fe7f660aee14p-19, -0x1.548354c92c40cp-19, -0x1.58d21a0192161p-19, -0x1.5cd63e09c89f7p-19, -0x1.6091b1951a86fp-19, -0x1.64065bebebe04p-19, -0x1.6736018bd3d13p-19, -0x1.6a22477f52922p-19, -0x1.6cccd1122c4fp-19, -0x1.6f37456d07186p-19, -0x1.71633eec8238cp-19, -0x1.73524aef29ca6p-19, -0x1.7505f40b4a372p-19, -0x1.767fbc4d6f53dp-19, -0x1.77c1135ff46ecp-19, -0x1.78cb59a1af3fp-19, -0x1.799feb39a5876p-19, -0x1.7a4029e4194aep-19, -0x1.7aad792331be6p-19, -0x1.7ae92b9c8bc12p-19, -0x1.7af47248c8dabp-19, -0x1.7ad06b6842391p-19, -0x1.7a7e400929fb7p-19, -0x1.79ff24c6a51d5p-19, -0x1.79544e684471ap-19, -0x1.787eee91a79f7p-19, -0x1.77802bd2cbb0cp-19, -0x1.765915dd12c0dp-19, -0x1.750aa91ef39bdp-19, -0x1.7395e68cacf64p-19, -0x1.71fbdaa756702p-19, -0x1.703d8b8ffbe57p-19, -0x1.6e5bf2a01ab2cp-19, -0x1.6c5802308eb7dp-19, -0x1.6a32a8a89958ap-19, -0x1.67ecd657d62b2p-19, -0x1.65877f80bea66p-19, -0x1.630396021de16p-19, -0x1.6061fec08615bp-19, -0x1.5da38dd2c1dabp-19, -0x1.5ac918a3a3a91p-19, -0x1.57d37c1486f24p-19, -0x1.54c38ec222eaep-19, -0x1.519a20080480ep-19, -0x1.4e57fd13de8d7p-19, -0x1.4afdeff90dec9p-19, -0x1.478cc19a19adfp-19, -0x1.44053a3ca1abfp-19, -0x1.40681e83c0921p-19, -0x1.3cb62e4e72f9dp-19, -0x1.38f02436cc2aep-19, -0x1.3516b753d1b4bp-19, -0x1.312aa022579c7p-19, -0x1.2d2c92cea0eadp-19, -0x1.291d3d5d5df3ap-19, -0x1.24fd4fc2646bap-19, -0x1.20cd7a8f5f511p-19, -0x1.1c8e6a1b4eba2p-19, -0x1.1840c5055e521p-19, -0x1.13e52d0d38343p-19, -0x1.0f7c45f1062bdp-19, -0x1.0b06b1d78383ap-19, -0x1.06850d7c3e683p-19, -0x1.01f7f49485409p-19, -0x1.fac00111f38d6p-20, -0x1.f17b8fb95213cp-20, -0x1.e823be2f0a46bp-20, -0x1.deb9b1f30dcfdp-20, -0x1.d53e8c46c35a1p-20, -0x1.cbb36990b81f3p-20, -0x1.c21961db0a69ap-20, -0x1.b87189452fd5ep-20, -0x1.aebcee78255b9p-20, -0x1.a4fc9b70dbaa1p-20, -0x1.9b3197f81fe1dp-20, -0x1.915ce728dd9ddp-20, -0x1.877f893ff5cc1p-20, -0x1.7d9a77cf3bae3p-20, -0x1.73aea76d8138ep-20, -0x1.69bd0b8895344p-20, -0x1.5fc69273e265bp-20, -0x1.55cc26d5b3427p-20, -0x1.4bceac8654362p-20, -0x1.41cf04c7e1dcp-20, -0x1.37ce0dedfa831p-20, -0x1.2dcca150ca30bp-20, -0x1.23cb942727c4bp-20, -0x1.19cbb7b7c6562p-20, -0x1.0fcdd996fcfa2p-20, -0x1.05d2c56ba3f09p-20, -0x1.f7b687368d475p-21, -0x1.e3d027b8171e6p-21, -0x1.cff3e3483097dp-21, -0x1.bc232f8200449p-21, -0x1.a85f7b3fbf11p-21, -0x1.94aa2cafc374p-21, -0x1.8104a1e1e7b5fp-21, -0x1.6d703033f051dp-21, -0x1.59ee24426973dp-21, -0x1.467fc5a6274eap-21, -0x1.33265611e0485p-21, -0x1.1fe311c2a00bbp-21, -0x1.0cb7296869269p-21, -0x1.f3478af940c5dp-22, -0x1.cd54107835bffp-22, -0x1.a7961d26a4ffap-22, -0x1.820fd888134b7p-22, -0x1.5cc35b4f2d0f1p-22, -0x1.37b2b1138a7a1p-22, -0x1.12dfd858f69f4p-22, -0x1.dc99858a33556p-23, -0x1.93f6aa0e1e409p-23, -0x1.4bdaccb51cd32p-23, -0x1.04497fce2e2cp-23, -0x1.7a8c7054c073dp-24, -0x1.db513698ac66ep-25, -0x1.87b7ea40c7784p-26, 0x1.44e9353f0c506p-27, 0x1.63e54f7860f0ap-25, 0x1.3a0c990e11303p-24, 0x1.c0e5458c30724p-24, 0x1.233b98be601dcp-23, 0x1.655e8bbc45a9bp-23, 0x1.a6d8f5fb33cc8p-23, 0x1.e7a853920f394p-23, 0x1.13e51fe0a186ap-22, 0x1.339e3fb1d6037p-22, 0x1.52fe6809daf21p-22, 0x1.7204922b69f61p-22, 0x1.90afbf8955444p-22, 0x1.aefef8aac80b9p-22, 0x1.ccf154bc95518p-22, 0x1.ea85f5f8306e2p-22, 0x1.03de0464be9d1p-21, 0x1.124962003404p-21, 0x1.2084b477544dap-21, 0x1.2e8fa1bdcb59cp-21, 0x1.3c69d51f342d6p-21, 0x1.4a12ff3b7562fp-21, 0x1.578ad5f2dc7b4p-21, 0x1.64d113fa4164ep-21, 0x1.71e5786248a92p-21, 0x1.7ec7c6b072f7dp-21, 0x1.8b77c78f47c0fp-21, 0x1.97f54998329b5p-21, 0x1.a44020af721b2p-21, 0x1.b05823bc9602p-21, 0x1.bc3d2e171250dp-21, 0x1.c7ef1db38a41ap-21, 0x1.d36dd4bee46afp-21, 0x1.deb93f521c7d8p-21, 0x1.e9d148f68381fp-21, 0x1.f4b5e2bc59ff5p-21, 0x1.ff6701160cba7p-21, 0x1.04f24ec25cd34p-20, 0x1.0a175946ee0d6p-20, 0x1.0f22a168e0cc5p-20, 0x1.141428e00288ep-20, 0x1.18ebf34ed4fc5p-20, 0x1.1daa069c22a85p-20, 0x1.224e6a456d3edp-20, 0x1.26d92779949f3p-20, 0x1.2b4a49274f2c7p-20, 0x1.2fa1dc0f4dc51p-20, 0x1.33dfeec707b9ep-20, 0x1.3804919775054p-20, 0x1.3c0fd5c64cbd3p-20, 0x1.4001cc43f0692p-20, 0x1.43da87fb10757p-20, 0x1.479a20fbf005cp-20, 0x1.4b40b03737b5p-20, 0x1.4ece4dc2dacabp-20, 0x1.5243127c8e636p-20, 0x1.559f19fa0d523p-20, 0x1.58e280634eeep-20, 0x1.5c0d640c8ff55p-20, 0x1.5f1fe344f1bcfp-20, 0x1.621a1e66cdb71p-20, 0x1.64fc36c78f8e7p-20, 0x1.67c64ecaecaa7p-20, 0x1.6a788a731c309p-20, 0x1.6d130e646aeb6p-20, 0x1.6f96003cf633bp-20, 0x1.720186161fffcp-20, 0x1.7455c7dde172fp-20, 0x1.7692ee4121cc1p-20, 0x1.78b9227fa6366p-20, 0x1.7ac88e67f52b6p-20, 0x1.7cc15d5a99d56p-20, 0x1.7ea3bb6dc675ap-20, 0x1.806fd574efaccp-20, 0x1.8225d8ffc7ebap-20, 0x1.83c5f43a4a51dp-20, 0x1.855055e26ccadp-20, 0x1.86c52d5316449p-20, 0x1.8824aaa1eb90dp-20, 0x1.896efee955f76p-20, 0x1.8aa45c451824ap-20, 0x1.8bc4f503ed892p-20, 0x1.8cd0fba31f554p-20, 0x1.8dc8a38f12c92p-20, 0x1.8eac1f96e4836p-20, 0x1.8f7ba2f71ed29p-20, 0x1.903762a665b66p-20, 0x1.90df93e606508p-20, 0x1.91746c33314f8p-20, 0x1.91f621590213ep-20, 0x1.9264e96a91714p-20, 0x1.92c0facc15806p-20, 0x1.930a8c2ea4b89p-20, 0x1.9341d49077a76p-20, 0x1.93670b462a319p-20, 0x1.937a67fe99eedp-20, 0x1.937c22913722ap-20, 0x1.936c72c224a44p-20, 0x1.934b906c94407p-20, 0x1.9319b46545739p-20, 0x1.92d71767579a6p-20, 0x1.9283f17a306e6p-20, 0x1.92207b850b02dp-20, 0x1.91acee7017fdap-20, 0x1.912983174dd64p-20, 0x1.909672650d846p-20, 0x1.8ff3f561af89fp-20, 0x1.8f424541551cdp-20, 0x1.8e819b24deb5ap-20, 0x1.8db22fd69a30cp-20, 0x1.8cd43c27ef92ep-20, 0x1.8be7f9daacac9p-20, 0x1.8aeda1577e521p-20, 0x1.89e56b695e28cp-20, 0x1.88cf9109ca5cdp-20, 0x1.87ac4aef3904ep-20, 0x1.867bd1b08d15ep-20, 0x1.853e5dc8b5556p-20, 0x1.83f42791f53e4p-20, 0x1.829d67409366bp-20, 0x1.813a54e4f3ea9p-20, 0x1.7fcb2863ca67ap-20, 0x1.7e501972403e8p-20, 0x1.7cc95f9128b62p-20, }}, 
      {{-0x1.5014c3638764p-10, -0x1.49f46597a87d6p-8, -0x1.6918a6ef3765bp-7, -0x1.35ebd7f3c2d53p-6, -0x1.d0b4f14b37162p-6, -0x1.3f6cfd92dae64p-5, -0x1.9d3d0d6e615dfp-5, -0x1.ff0c3eee4a64dp-5, -0x1.312f1eda325b4p-4, -0x1.62802a1663aa6p-4, -0x1.9285c17b2913p-4, -0x1.c07184a9539dbp-4, -0x1.eb984b9e1e74ep-4, -0x1.09b7c4131e21ap-3, -0x1.1bc522ceae387p-3, -0x1.2bcb025a9876cp-3, -0x1.39abcf08c5b0ep-3, -0x1.45542348620cfp-3, -0x1.4eb96456487c2p-3, -0x1.55d87c5f0bea4p-3, -0x1.5ab4b4dcc64bbp-3, -0x1.5d56b0680d25cp-3, -0x1.5dcb82b01cea6p-3, -0x1.5c23e4b264383p-3, -0x1.587382602a0e6p-3, -0x1.52d06024151bep-3, -0x1.4b52550fa722ep-3, -0x1.421297616944dp-3, -0x1.372b58dfe26eap-3, -0x1.2ab7708a54cbp-3, -0x1.1cd21014f4083p-3, -0x1.0d9683405ec6ap-3, -0x1.fa3ff0c75ad7p-4, -0x1.d712a1d202e49p-4, -0x1.b1d9f1fdfe172p-4, -0x1.8ac98b7deca3fp-4, -0x1.6213b220f16edp-4, -0x1.37e914fb6af8dp-4, -0x1.0c78a98f1189dp-4, -0x1.bfdf1c7d4dd25p-5, -0x1.64f1e89badfc9p-5, -0x1.087c1fda95566p-5, -0x1.559835e8ee7b4p-6, -0x1.30b0616e95177p-7, 0x1.31dc6a7e24b1p-9, 0x1.cb3de3f86de3bp-7, 0x1.a5560828116aep-6, 0x1.327667c02e03ap-5, 0x1.91fb8ac5e549ep-5, 0x1.f10823ee9f40cp-5, 0x1.27b6c9c03b65bp-4, 0x1.5680689d094b2p-4, 0x1.84cd1fce8e5f5p-4, 0x1.b28ac4e47b28ap-4, 0x1.dfa8c65b6339fp-4, 0x1.060c0532bfdbbp-3, 0x1.1be57876f5f58p-3, 0x1.315a942d2c62fp-3, 0x1.4665da5f2d511p-3, 0x1.5b02622e9c374p-3, 0x1.6f2bda6a27b23p-3, 0x1.82de76883c8dfp-3, 0x1.9616eec17d677p-3, 0x1.a8d270c463acdp-3, 0x1.bb0e9d9700f45p-3, 0x1.ccc97dee01ebep-3, 0x1.de017e6503bd4p-3, 0x1.eeb566f8eac4cp-3, 0x1.fee4562952122p-3, 0x1.0746dd5c42c07p-2, 0x1.0ed8a7574a0f3p-2, 0x1.1627890bad29dp-2, 0x1.1d33a33c128ep-2, 0x1.23fd351e85ce2p-2, 0x1.2a849a3754d93p-2, 0x1.30ca4852a0922p-2, 0x1.36cecd85c58ccp-2, 0x1.3c92ce3de1d1ep-2, 0x1.42170360e09d8p-2, 0x1.475c3886ab905p-2, 0x1.4c634a3232fb2p-2, 0x1.512d241bf4413p-2, 0x1.55babf97c14a1p-2, 0x1.5a0d21f5bffa2p-2, 0x1.5e255b069db3bp-2, 0x1.620483aba3376p-2, 0x1.65abbc7f65992p-2, 0x1.691c2c9175b02p-2, 0x1.6c57003c1b677p-2, 0x1.6f5d680bf6f18p-2, 0x1.723097bb9ffdp-2, 0x1.74d1c54065c41p-2, 0x1.774227e7516b4p-2, 0x1.7982f783a3638p-2, 0x1.7b956ba8a38cfp-2, 0x1.7d7abafa224a1p-2, 0x1.7f341a86fc50cp-2, 0x1.80c2bd36f55d5p-2, 0x1.8227d346949efp-2, 0x1.836489d152ea6p-2, 0x1.847a0a670771ep-2, 0x1.85697ab32afacp-2, 0x1.8633fc1f1272fp-2, 0x1.86daab91419d1p-2, 0x1.875ea12537656p-2, 0x1.87c0eff349f1dp-2, 0x1.8802a5dd8ae27p-2, 0x1.8824cb6767e8ap-2, 0x1.88286392093a8p-2, 0x1.880e6bc31c526p-2, 0x1.87d7dbb04af25p-2, 0x1.8785a553fed19p-2, 0x1.8718b4e8712c8p-2, 0x1.8691f0e3d8a48p-2, 0x1.85f239faf3b84p-2, 0x1.853a6b2bb312dp-2, 0x1.846b59c4dd5afp-2, 0x1.8385d571a0d85p-2, 0x1.828aa84d27067p-2, 0x1.817a96f0956dap-2, 0x1.80566086bc09fp-2, 0x1.7f1ebee1b35bp-2, 0x1.7dd4669bfaf1fp-2, 0x1.7c780717cd7a9p-2, 0x1.7b0a4ab9a78ebp-2, 0x1.798bd6ef7cb13p-2, 0x1.77fd4c5251716p-2, 0x1.765f46c7f8be2p-2, 0x1.74b25da0b4c4bp-2, 0x1.72f723b339f49p-2, 0x1.712e278096ea4p-2, 0x1.6f57f354358e1p-2, 0x1.6d750d6011fdfp-2, 0x1.6b85f7deed4d6p-2, 0x1.698b31354640bp-2, 0x1.6785340c0625ep-2, 0x1.65747774f73e7p-2, 0x1.63596efee1fb3p-2, 0x1.61348ae1f7b1ap-2, 0x1.5f06380eb5845p-2, 0x1.5ccee051bf1c1p-2, 0x1.5a8eea6e89be4p-2, 0x1.5846ba385238ep-2, 0x1.55f6b0ae3f203p-2, 0x1.539f2c1703f1dp-2, 0x1.51408816d3257p-2, 0x1.4edb1dc6af341p-2, 0x1.4c6f43d0782ap-2, 0x1.49fd4e85a8e8p-2, 0x1.47858ff01c122p-2, 0x1.450857e89489fp-2, 0x1.4285f430fc541p-2, 0x1.3ffeb086a584cp-2, 0x1.3d72d6aa4e609p-2, 0x1.3ae2ae834590ep-2, 0x1.384e7e1c73ea9p-2, 0x1.35b689cfc64b5p-2, 0x1.331b143c6aa1p-2, 0x1.307c5e5cb76c3p-2, 0x1.2ddaa79ab36aap-2, 0x1.2b362ddec88f1p-2, 0x1.288f2d950db95p-2, 0x1.25e5e1b5d6421p-2, 0x1.233a83d831cc2p-2, 0x1.208d4c426c971p-2, 0x1.1dde71ee554aap-2, 0x1.1b2e2a8bf44b8p-2, 0x1.187caa8d2da62p-2, 0x1.15ca253710876p-2, 0x1.1316ccaaa76f6p-2, 0x1.1062d1e40024ap-2, 0x1.0dae64bd4045ep-2, 0x1.0af9b3fbde069p-2, 0x1.0844ed5e144b6p-2, 0x1.05903d9ec0397p-2, 0x1.02dbd06fb419p-2, 0x1.0027d0875f576p-2, 0x1.fae8cf33cfa9dp-3, 0x1.f5837cf08132fp-3, 0x1.f01ffa090a8c2p-3, 0x1.eabe94672551dp-3, 0x1.e55f981c3c082p-3, 0x1.e0034f743591ap-3, 0x1.daaa03092fe67p-3, 0x1.d553f9c7db6cap-3, 0x1.d00178e809bc8p-3, 0x1.cab2c3eb3a6e5p-3, 0x1.c5681caa93985p-3, 0x1.c021c36974189p-3, 0x1.badff6dcb009ep-3, 0x1.b5a2f4257225ap-3, 0x1.b06af6cc0c6f3p-3, 0x1.ab3838c6320e3p-3, 0x1.a60af2862f187p-3, 0x1.a0e35b06b98c1p-3, 0x1.9bc1a7cbabc97p-3, 0x1.96a60cdc4259fp-3, 0x1.9190bcc18f3b3p-3, 0x1.8c81e88eb64c1p-3, 0x1.8779bfedf060ep-3, 0x1.82787128b99d2p-3, 0x1.7d7e29275d579p-3, 0x1.788b136b49de5p-3, 0x1.739f5a0ede535p-3, 0x1.6ebb25d0b5f3p-3, 0x1.69de9e1765187p-3, 0x1.6509e9023dbbp-3, 0x1.603d2b60e2a1cp-3, 0x1.5b7888b37ecd3p-3, 0x1.56bc232a22bd7p-3, 0x1.52081bab4e576p-3, 0x1.4d5c91ddb8431p-3, 0x1.48b9a42f350e5p-3, 0x1.441f6fd6064e3p-3, 0x1.3f8e10cf2655cp-3, 0x1.3b05a1de5b901p-3, 0x1.36863c92c6dcdp-3, 0x1.320ff94e89931p-3, 0x1.2da2ef4db2cbdp-3, 0x1.293f34a9fc662p-3, 0x1.24e4de5bb09aep-3, 0x1.2094003a65585p-3, 0x1.1c4cacff7bbbap-3, 0x1.180ef64b21a88p-3, 0x1.13daecaa7e714p-3, 0x1.0fb09f9d2889ep-3, 0x1.0b901d99069c8p-3, 0x1.0779740cb9057p-3, 0x1.036caf6191d76p-3, 0x1.fed3b5fca5923p-4, 0x1.f6e20296c7382p-4, 0x1.ef04577078c04p-4, 0x1.e73ac581fae8fp-4, 0x1.df855be66a9d3p-4, 0x1.d7e427e29e6a7p-4, 0x1.d05734ea202cfp-4, 0x1.c8de8ca3a48ep-4, 0x1.c17a36ee261d1p-4, 0x1.ba2a39f38f59bp-4, 0x1.b2ee9a25d0cafp-4, 0x1.abc75a5a2c9cdp-4, 0x1.a4b47bc48514cp-4, 0x1.9db5fe0247f77p-4, 0x1.96cbdf1f0e232p-4, 0x1.8ff61b9acf9b4p-4, 0x1.8934ae73071e9p-4, 0x1.8287912da9294p-4, 0x1.7beebbe40df29p-4, 0x1.756a254c38e63p-4, 0x1.6ef9c2bff1bc9p-4, 0x1.689d884276b2dp-4, 0x1.6255688682d8dp-4, 0x1.5c2154f609b7bp-4, 0x1.56013dbbbed3ap-4, 0x1.4ff511cd5423bp-4, 0x1.49fcbef524961p-4, 0x1.441831da8ddd8p-4, 0x1.3e475608ea66bp-4, 0x1.388a15f5e2c56p-4, 0x1.32e05b081bd7p-4, 0x1.2d4a0d9f09fbfp-4, 0x1.27c7151bd0c5p-4, 0x1.225757ea67f1ap-4, 0x1.1cfabb8a32a2dp-4, 0x1.17b124960b399p-4, 0x1.127a76cae41b3p-4, 0x1.0d56950e7aee3p-4, 0x1.0845617625e06p-4, 0x1.0346bd4df8e38p-4, 0x1.fcb51241ca7f3p-5, 0x1.f301498221799p-5, 0x1.e971de9fab16fp-5, 0x1.e0068e8a047bep-5, 0x1.d6bf14eaa31eap-5, 0x1.cd9b2c30bf43p-5, 0x1.c49a8d9d25219p-5, 0x1.bbbcf14f11755p-5, 0x1.b3020e52f4a2ep-5, 0x1.aa699ab156f28p-5, 0x1.a1f34b7e492d1p-5, 0x1.999ed4ecc6a92p-5, 0x1.916bea559428ep-5, 0x1.895a3e4766043p-5, 0x1.816982870d8bbp-5, 0x1.7999681bc22aap-5, 0x1.71e99f58be32p-5, 0x1.6a59d7ea6d072p-5, 0x1.62e9c0e752d14p-5, 0x1.5b9908e2af79bp-5, 0x1.54675dfda824bp-5, 0x1.4d546df3f5a8p-5, 0x1.465fe6229ed0ep-5, 0x1.3f89738984377p-5, 0x1.38d0c2cad97ccp-5, 0x1.3235802ccf065p-5, 0x1.2bb757a16c132p-5, 0x1.2555f4d68b611p-5, 0x1.1f11034caef2bp-5, 0x1.18e82e70201d6p-5, 0x1.12db21ae3dd16p-5, 0x1.0ce988816a9a7p-5, 0x1.07130e712fcf6p-5, 0x1.01575f086a974p-5, 0x1.f76c4b8e96a7dp-6, 0x1.ec5e1c327ccb3p-6, 0x1.e18386abf35b9p-6, 0x1.d6dbe1a359dbp-6, 0x1.cc6683f58c00bp-6, 0x1.c222c4fd22fe4p-6, 0x1.b80ffcd5a1827p-6, 0x1.ae2d8484d2ebfp-6, 0x1.a47ab5fe440bbp-6, 0x1.9af6ec00fa0c8p-6, 0x1.91a181dc42a7p-6, 0x1.8879d331d4d4ap-6, 0x1.7f7f3bcd7a32dp-6, 0x1.76b117a4c73bep-6, 0x1.6e0ec3053b278p-6, 0x1.65979ae886452p-6, 0x1.5d4afd5a294ebp-6, 0x1.552849d37efa5p-6, 0x1.4d2ee175193a8p-6, 0x1.455e270dcccbap-6, 0x1.3db57eedc09dbp-6, 0x1.36344e928895dp-6, 0x1.2ed9fc43d3ebcp-6, 0x1.27a5eebd12d2bp-6, 0x1.20978cfd20d52p-6, 0x1.19ae3e4a86d87p-6, 0x1.12e96a6f5da53p-6, 0x1.0c487a29f688ap-6, 0x1.05cad7b0caebap-6, 0x1.fedfde68e8255p-7, 0x1.f26e5e77a1a92p-7, 0x1.e64011a09a9bdp-7, 0x1.da53debe23adep-7, 0x1.cea8b0a3b60ffp-7, 0x1.c33d74e08e113p-7, 0x1.b8111a5079bd7p-7, 0x1.ad228fceb792fp-7, 0x1.a270c3642a452p-7, 0x1.97faa23d47d56p-7, 0x1.8dbf198f4f41p-7, 0x1.83bd1858e9559p-7, 0x1.79f391b547d5cp-7, 0x1.70617f3b47bc5p-7, 0x1.6705e2c71086ap-7, 0x1.5ddfc71cfb8a3p-7, 0x1.54ee3f09cb5a5p-7, 0x1.4c3063025dc04p-7, 0x1.43a54daf55202p-7, 0x1.3b4c182e5f85fp-7, 0x1.3323d704321ap-7, 0x1.2b2b98ac8828bp-7, 0x1.23626662ef383p-7, 0x1.1bc747351ca5fp-7, 0x1.145944cf610edp-7, 0x1.0d1770e86c984p-7, 0x1.0600e9e6dffbap-7, 0x1.fe29bad8ef6eap-8, 0x1.f0a50fcbebdefp-8, 0x1.e37261f39aa8bp-8, 0x1.d6904b09cdee9p-8, 0x1.c9fd6113d7779p-8, 0x1.bdb829b16a14dp-8, 0x1.b1bf12414a36ap-8, 0x1.a6106f30acf06p-8, 0x1.9aaa830a3845ap-8, 0x1.8f8b8bd8f61efp-8, 0x1.84b1d3b9bcfd4p-8, 0x1.7a1bc08017f88p-8, 0x1.6fc7de6daf778p-8, 0x1.65b4e32416cd7p-8, 0x1.5be1a7e555a44p-8, 0x1.524d1c671da5p-8, 0x1.48f6355f8e778p-8, 0x1.3fdbdb0a88744p-8, 0x1.36fcdbed39405p-8, 0x1.2e57e70f2396bp-8, 0x1.25eb8f06752bap-8, 0x1.1db6550934fa6p-8, 0x1.15b6b93c79c5ap-8, 0x1.0deb4c2fbe072p-8, 0x1.0652bd2b2e953p-8, 0x1.fdd7c3b26bdep-9, 0x1.ef6b6b553a701p-9, 0x1.e15ea3252ae52p-9, 0x1.d3afbd4c14b47p-9, 0x1.c65d0e8a5cc6dp-9, 0x1.b964d498d962fp-9, 0x1.acc525b70e0bep-9, 0x1.a07bec243acdfp-9, 0x1.9486ed903591ap-9, 0x1.88e3dc205d0adp-9, 0x1.7d906d3c76c89p-9, 0x1.728a710c017fdp-9, 0x1.67cfe4cac566dp-9, 0x1.5d5efab8c3889p-9, 0x1.5336150771e61p-9, 0x1.4953b56be551fp-9, 0x1.3fb667430af5cp-9, 0x1.365cac519f485p-9, 0x1.2d44f2bfd1486p-9, 0x1.246d966bca618p-9, 0x1.1bd4ea765b83ep-9, 0x1.137944ff924cbp-9, 0x1.0b5907e9afd7cp-9, 0x1.0372a503bfcd6p-9, 0x1.f7893e8cb504cp-10, 0x1.e89b175e9c149p-10, 0x1.da18259c0966ep-10, 0x1.cbfde3a35c7cbp-10, 0x1.be49f0e7537f7p-10, 0x1.b0fa0284370bep-10, 0x1.a40bc82726f82p-10, 0x1.977ccd034fea8p-10, 0x1.8b4a6403310d9p-10, 0x1.7f71ae5d96d61p-10, 0x1.73efc0efdd57bp-10, 0x1.68c1dbbd4bafap-10, 0x1.5de59994a8f3ep-10, 0x1.5358fd916857p-10, 0x1.491a544ab454cp-10, 0x1.3f27f81880911p-10, 0x1.35801add245cdp-10, 0x1.2c20b588802f8p-10, 0x1.2307a5a14c0f9p-10, 0x1.1a32e37650fe5p-10, 0x1.11a0abf813e58p-10, 0x1.094f80efa7ef3p-10, 0x1.013dfc014b5a4p-10, 0x1.f2d51bd30a8cdp-11, 0x1.e3a6a59d8de54p-11, 0x1.d4ec3700cc03dp-11, 0x1.c6a15946fa3eap-11, 0x1.b8c222a18bcaep-11, 0x1.ab4b9b92eee71p-11, 0x1.9e3b9d0b2348ep-11, 0x1.919033237159dp-11, 0x1.8546e5b03b6f9p-11, 0x1.795c61f4b0d43p-11, 0x1.6dccc477313a8p-11, 0x1.6294556f5f41bp-11, 0x1.57b03cac90c4ep-11, 0x1.4d1eb95851a2cp-11, 0x1.42debdece0126p-11, 0x1.38ef39288811p-11, 0x1.2f4e8a8798f4ep-11, 0x1.25fa74b535f1ap-11, 0x1.1cf0733c3e183p-11, 0x1.142e122a7c4a6p-11, 0x1.0bb1036058394p-11, 0x1.0376fd2b7b979p-11, 0x1.f6fb32541ac05p-12, 0x1.e784a3788c5cep-12, 0x1.d8851e61a2f7bp-12, 0x1.c9f770326fe6dp-12, 0x1.bbd6b54d0f22cp-12, 0x1.ae1ef0e250932p-12, 0x1.a0cd7998aa90ap-12, 0x1.93e0b26d4379ap-12, 0x1.875739d168b29p-12, 0x1.7b2f49b462f92p-12, 0x1.6f66ac359a372p-12, 0x1.63fb0edfd6b1cp-12, 0x1.58ea58eef59bep-12, 0x1.4e32b8ef29077p-12, 0x1.43d2429dfd793p-12, 0x1.39c65f50ae6a7p-12, 0x1.300b89d72deabp-12, 0x1.269d737899c39p-12, 0x1.1d775cae106b7p-12, 0x1.149494ac69bf8p-12, 0x1.0bf13aa7af7ecp-12, 0x1.038aff7dae366p-12, 0x1.f6c26b1c7c5ecp-13, 0x1.e6e7b116884fbp-13, 0x1.d7847bb5250d8p-13, 0x1.c8952c51bf5e3p-13, 0x1.ba1547877944cp-13, 0x1.ac01a6e5aaeffp-13, 0x1.9e591466d6e4fp-13, 0x1.911ab15e6c57cp-13, 0x1.8443f8a81b80fp-13, 0x1.77d07f2998f38p-13, 0x1.6bbb6289c7693p-13, 0x1.6000a8ce599c1p-13, 0x1.549d646859f93p-13, 0x1.498eceba8c489p-13, 0x1.3ed15ada949c3p-13, 0x1.3460a0b3e3f22p-13, 0x1.2a38230259a38p-13, 0x1.20544b760e3f7p-13, 0x1.16b3086175904p-13, 0x1.0d53b3af32171p-13, 0x1.043604f828aa1p-13, 0x1.f6b17844a2607p-14, 0x1.e5736cca4cb2bp-14, 0x1.d4ae988626c67p-14, 0x1.c46146ca8d5b7p-14, 0x1.b488e074d03bp-14, 0x1.a52045d7aca1fp-14, 0x1.962133868d39ep-14, 0x1.87868f23c885ep-14, 0x1.794d3a77fa464p-14, 0x1.6b734ffe6ec61p-14, 0x1.5df6c97e070cdp-14, 0x1.50d47fedfb09fp-14, 0x1.440811a72449ap-14, 0x1.378d5862163d2p-14, 0x1.2b62b9afb0ee3p-14, 0x1.1f888fa47249dp-14, 0x1.13fcad0e7eabap-14, 0x1.08b884e3fd502p-14, 0x1.fb6e665251a2cp-15, 0x1.e5f4b8178ad0fp-15, 0x1.d108c4761907dp-15, 0x1.bca41e5f72d27p-15, 0x1.a8bb6202ba43p-15, 0x1.9549e3b1e0466p-15, 0x1.8250095f52466p-15, 0x1.6fcb92f93079ep-15, 0x1.5db7de926bba5p-15, 0x1.4c11de82b7dd3p-15, 0x1.3ad87f6de0d56p-15, 0x1.2a0a105627852p-15, 0x1.19a132ffd7cdep-15, 0x1.0994c1bf73a64p-15, 0x1.f3bea160b34dep-16, 0x1.d508c9574bc34p-16, 0x1.b70dd6acbdbbdp-16, 0x1.99c5516b147adp-16, 0x1.7d2ae435c30d2p-16, 0x1.6142bdfd6889cp-16, 0x1.4606062422371p-16, 0x1.2b6245ff4f87fp-16, 0x1.114cd4f15958p-16, 0x1.ef946e3a230a4p-17, 0x1.bdb6eef8250c7p-17, 0x1.8ceeaf29454acp-17, 0x1.5d37660bceae6p-17, 0x1.2e9a8a402236dp-17, 0x1.0115b3a936049p-17, 0x1.a94048c8e726dp-18, 0x1.5268f1fe4ff3ep-18, 0x1.fb2d5839ad16dp-19, 0x1.55418049934ffp-19, 0x1.6597714762219p-20, 0x1.3febcaf65216bp-23, -0x1.0e32c86637f76p-20, -0x1.1ec49884b2376p-19, -0x1.b2f0f21c2504ap-19, -0x1.21c2492b011bp-18, -0x1.6855e9df8fd62p-18, -0x1.ad46cc819939ap-18, -0x1.f09b452b0a003p-18, -0x1.19297fb6e576p-17, -0x1.393741f442bap-17, -0x1.58807e785c395p-17, -0x1.770e5ed6bf4ap-17, -0x1.94ddb7903a9e3p-17, -0x1.b1f58cb576438p-17, -0x1.ce58e8459e85ap-17, -0x1.e9fb9a66a11edp-17, -0x1.026f54c5ff61p-16, -0x1.0f84a9529d108p-16, -0x1.1c4294cde6ff8p-16, -0x1.28af3f9cdf0c1p-16, -0x1.34c76c7256239p-16, -0x1.408d50cbc9f64p-16, -0x1.4c02aa2ba6f56p-16, -0x1.5721b8bb508ccp-16, -0x1.61edb0268276p-16, -0x1.6c6afe9b34499p-16, -0x1.769ab8a5f5989p-16, -0x1.807d259186724p-16, -0x1.8a12e3d307f53p-16, -0x1.935ccb6e8d1f3p-16, -0x1.9c5bb8b91cc7bp-16, -0x1.a510a4fe8ecc4p-16, -0x1.ad7c18c9c0d47p-16, -0x1.b59c945bd565cp-16, -0x1.bd724c7131c44p-16, -0x1.c50289daa27dbp-16, -0x1.cc4f09d4d9e7bp-16, -0x1.d3595a4789bdfp-16, -0x1.da1b83fb85f6cp-16, -0x1.e092b5e2153cbp-16, -0x1.e6c8a16062225p-16, -0x1.ecbfc73865c47p-16, -0x1.f2794de46b8d8p-16, -0x1.f7ef9293cbe9fp-16, -0x1.fd23207363dabp-16, -0x1.010c1ccb9b283p-15, -0x1.0367d6f706eb5p-15, -0x1.05a4c306573d3p-15, -0x1.07c310f777ec1p-15, -0x1.09c30fc43c481p-15, -0x1.0ba518b5d986fp-15, -0x1.0d6985e6236fdp-15, -0x1.0f10afcb46c29p-15, -0x1.109af2313b774p-15, -0x1.1208b0c9f454dp-15, -0x1.135a55c7ab11ap-15, -0x1.149056255fedap-15, -0x1.15ab3315c5d02p-15, -0x1.16ab091d32d7bp-15, -0x1.178efc70824eep-15, -0x1.185726dd842dcp-15, -0x1.1904902ca3deep-15, -0x1.1999eb732e0f3p-15, -0x1.1a168fcdcf956p-15, -0x1.1a7948c2b56c3p-15, -0x1.1ac2239b1bccfp-15, -0x1.1af328eaecfd3p-15, -0x1.1b0c997e7be3bp-15, -0x1.1b0e602fd25d3p-15, -0x1.1af8a9432096ep-15, -0x1.1acbc39873346p-15, -0x1.1a880a08658bp-15, -0x1.1a2ddb101119ap-15, -0x1.19bd94c2156cep-15, -0x1.1937915034a1ep-15, -0x1.189c245474faap-15, -0x1.17eb9b942c18ap-15, -0x1.1726466d8f8e9p-15, -0x1.164c810199159p-15, -0x1.155eb6f93b95bp-15, -0x1.145d53e354bfbp-15, -0x1.1348b4c9d4c44p-15, -0x1.12214457af36cp-15, -0x1.10e72ccf8c3b2p-15, -0x1.0f997e2d5be9fp-15, -0x1.0e3a297c0a542p-15, -0x1.0cc9ef0ffed42p-15, -0x1.0b46e3c226a2bp-15, -0x1.09b3e4e68c9bp-15, -0x1.081026e0501eap-15, -0x1.065bb02c4b2c6p-15, -0x1.0497867745159p-15, -0x1.02c3d7d87bea7p-15, -0x1.00e0d57f1267ap-15, -0x1.fddd990ccbbp-16, -0x1.f9dc266c4df9fp-16, -0x1.f5be02ae25p-16, -0x1.f183dbe972968p-16, -0x1.ed2e5cd2e1ad8p-16, -0x1.e8be2b9cf2cebp-16, -0x1.e433eb8c1aa4dp-16, -0x1.df9042efc5a4ap-16, -0x1.dad3e135a97d9p-16, -0x1.d5ff7c7c3109dp-16, -0x1.d113c1be981b2p-16, -0x1.cc1142af14643p-16, -0x1.c6f89b848263bp-16, -0x1.c1cab65df9911p-16, -0x1.bc8752cf55761p-16, -0x1.b72f7b8b4c1cap-16, -0x1.b1c503370de28p-16, -0x1.ac468382e505ep-16, -0x1.a6b607179cb67p-16, -0x1.a11420b296477p-16, -0x1.9b61383410fa6p-16, -0x1.959d30ccf8e09p-16, -0x1.8fc9b5c3675e5p-16, -0x1.89e66e126bbaep-16, -0x1.83f46b157091ap-16, -0x1.7df48ab9aea65p-16, -0x1.77e72a9846f12p-16, -0x1.71cccf145e3f1p-16, -0x1.6ba60ba3932f9p-16, -0x1.6573741dc07bep-16, -0x1.5f35999877c99p-16, -0x1.58ed0aadbc4c9p-16, -0x1.529a558af0089p-16, -0x1.4c3e0a2d53335p-16, -0x1.45d8bac712524p-16, -0x1.3f6af6dca4402p-16, -0x1.38f540acc236dp-16, -0x1.3278113292045p-16, -0x1.2bf4064a15727p-16, -0x1.2569c9d20babbp-16, -0x1.1ed9656d4865dp-16, -0x1.1843b0dbc390ap-16, -0x1.11a8ed71d6fcbp-16, -0x1.0b0a090acf251p-16, -0x1.046753917b19ap-16, -0x1.fb82772dfdaa8p-17, -0x1.ee3076a7a48dfp-17, -0x1.e0d9901a9f643p-17, -0x1.d37eabb6f0fb7p-17, -0x1.c620d24fa3231p-17, -0x1.b8c11f8fa09ffp-17, -0x1.ab6010256e60bp-17, -0x1.9dfe6abe7d7eep-17, -0x1.909d3830c3bf4p-17, -0x1.833db03384f2dp-17, -0x1.75e079395927p-17, -0x1.6886554a4c548p-17, -0x1.5b301521e4d6cp-17, -0x1.4dde885dadf18p-17, -0x1.40927bf2f2bap-17, -0x1.334cba44ef1c4p-17, -0x1.260e0a83da713p-17, -0x1.18d72dcbcaab1p-17, -0x1.0ba8da4b5e907p-17, -0x1.fd078bba649d4p-18, -0x1.e2d18f8194fd4p-18, -0x1.c8b14ca5fac39p-18, -0x1.aea754105897bp-18, -0x1.94b53f1f502ap-18, -0x1.7add0610dab5cp-18, -0x1.611fa82f60baep-18, -0x1.477e55861dcd8p-18, -0x1.2dfa505a90ce4p-18, -0x1.1494d5176a08dp-18, -0x1.f69e31732c40dp-19, -0x1.c45493372cf8ap-19, -0x1.924f1ecf79996p-19, -0x1.609015b417dc8p-19, -0x1.2f19a8593dac3p-19, -0x1.fbdbe9c45f11fp-20, -0x1.9a1e26cb68ad4p-20, -0x1.38fe5b6ba8504p-20, -0x1.b101ef9eda5f4p-21, -0x1.e2a352ac82dfbp-22, -0x1.97976390c770dp-24, 0x1.14208a9aca9afp-22, 0x1.45b163ca267bfp-21, 0x1.ffe9d0792229ep-21, 0x1.5c59595050ccap-20, 0x1.b802ace53d276p-20, 0x1.0976d47337974p-19, 0x1.368b9b1a6d815p-19, 0x1.633e26f828cb4p-19, 0x1.8f8ce65ce9cb1p-19, 0x1.bb76520ec35dfp-19, 0x1.e6f989b7931cdp-19, 0x1.090a692b529e8p-18, 0x1.1e6368c121dabp-18, 0x1.338732c457d39p-18, 0x1.48752da6ef8afp-18, 0x1.5d2cc43e6021fp-18, 0x1.71ad6737415fp-18, 0x1.85f68ce6e0ce3p-18, 0x1.9a07b12499a72p-18, 0x1.ade0552963bb2p-18, 0x1.c17fff82d21bbp-18, 0x1.d4e63c002311ep-18, 0x1.e8129ba51c77dp-18, }}, 
      {{0x1.c28f7a682bc66p-3, 0x1.b60819a2652c5p-2, 0x1.3b35b619503bep-1, 0x1.8f25a4de3fb51p-1, 0x1.d602331f490dap-1, 0x1.07e88f94e74bap+0, 0x1.1e929b64b313fp+0, 0x1.2f74de6a32187p+0, 0x1.3b1e1f68e585fp+0, 0x1.42289f0d20162p+0, 0x1.45309a0f8203p+0, 0x1.44cde54e7add1p+0, 0x1.418fcf9fc2167p+0, 0x1.3bfaaab5c5455p+0, 0x1.348683f8666e2p+0, 0x1.2b9eb3c916d0dp+0, 0x1.21a1ffd38f374p+0, 0x1.16e31e84978a1p+0, 0x1.0ba9771e8eb4ap+0, 0x1.0032039e2626ep+0, 0x1.e960832583f13p-1, 0x1.d29e49d371759p-1, 0x1.bc6407f2601ecp-1, 0x1.a6eaeeef779efp-1, 0x1.92605681e86ecp-1, 0x1.7ee73d1cf6b37p-1, 0x1.6c99a62e01f95p-1, 0x1.5b89d68b49717p-1, 0x1.4bc37022b24adp-1, 0x1.3d4c6ebc22b46p-1, 0x1.302608019e5e9p-1, 0x1.244d717b884b4p-1, 0x1.19bc8f025d391p-1, 0x1.106a8c2b6e994p-1, 0x1.084c62e10180dp-1, 0x1.0155511f87cd3p-1, 0x1.f6ee7f33e76bap-2, 0x1.ed4635b73c859p-2, 0x1.e592409a4df1dp-2, 0x1.dfb240e3a8b94p-2, 0x1.db856efe6602ep-2, 0x1.d8eafaca9c1efp-2, 0x1.d7c25c797c847p-2, 0x1.d7eb97f421498p-2, 0x1.d94774665f43dp-2, 0x1.dbb7a93f7071p-2, 0x1.df1f0215479c5p-2, 0x1.e3617a844d38p-2, 0x1.e86452d205c3ep-2, 0x1.ee0e1eeeacf0dp-2, 0x1.f446cf9c9e85fp-2, 0x1.faf7b7a909398p-2, 0x1.0105c68fd6e37p-1, 0x1.04b7334b2595p-1, 0x1.0886dbd1a59a4p-1, 0x1.0c6c23d616915p-1, 0x1.105f15d3c274ap-1, 0x1.14585c43fb0c8p-1, 0x1.18513d75d2e8dp-1, 0x1.1c4393b589c05p-1, 0x1.2029c83d0826ap-1, 0x1.23fecb01c4288p-1, 0x1.27be0d12c61f6p-1, 0x1.2b63787f674bfp-1, 0x1.2eeb6a7095761p-1, 0x1.3252ab955ed5fp-1, 0x1.35966a18de0ap-1, 0x1.38b432d4ed82cp-1, 0x1.3ba9eb5873078p-1, 0x1.3e75cbd5385f8p-1, 0x1.4116597161d4ep-1, 0x1.438a60d180809p-1, 0x1.45d0f0d61e73cp-1, 0x1.47e955a1c40a7p-1, 0x1.49d313d8631cfp-1, 0x1.4b8de418971edp-1, 0x1.4d19aeafb85edp-1, 0x1.4e768786c2415p-1, 0x1.4fa4aa3c6d2e5p-1, 0x1.50a4766af7a15p-1, 0x1.51766c2367ec2p-1, 0x1.521b289b55bb1p-1, 0x1.52936301805dfp-1, 0x1.52dfe99678fbap-1, 0x1.53019ee8ad3b7p-1, 0x1.52f977444075ap-1, 0x1.52c8764b8e682p-1, 0x1.526facbdfdf42p-1, 0x1.51f0365f22d29p-1, 0x1.514b3809d02b7p-1, 0x1.5081dde84b929p-1, 0x1.4f9559d4639f5p-1, 0x1.4e86e1d95aee4p-1, 0x1.4d57aeded3126p-1, 0x1.4c08fb6676ad3p-1, 0x1.4a9c02779a7f2p-1, 0x1.4911fe95b3e0fp-1, 0x1.476c28d5d7de8p-1, 0x1.45abb807c38efp-1, 0x1.43d1dff5aea6ep-1, 0x1.41dfd0b5afb47p-1, 0x1.3fd6b615d86b6p-1, 0x1.3db7b70f7868p-1, 0x1.3b83f55bb7753p-1, 0x1.393c8d0d0302cp-1, 0x1.36e2943e11f9ap-1, 0x1.34771acb2e5ffp-1, 0x1.31fb2a19c5532p-1, 0x1.2f6fc4e8ccb44p-1, 0x1.2cd5e72adf439p-1, 0x1.2a2e85e88a9aep-1, 0x1.277a8f2b699cfp-1, 0x1.24bae9f0232bdp-1, 0x1.21f0761e22f62p-1, 0x1.1f1c0c86b849p-1, 0x1.1c3e7eebca2e3p-1, 0x1.1958980980e21p-1, 0x1.166b1ba5bcba7p-1, 0x1.1376c6a61996bp-1, 0x1.107c4f261740bp-1, 0x1.0d7c64923f001p-1, 0x1.0a77afc6648f8p-1, 0x1.076ed32f60236p-1, 0x1.04626ae52e85ap-1, 0x1.01530cd6e4634p-1, 0x1.fc8291d0f105cp-2, 0x1.f65b522ff4c08p-2, 0x1.f0316348c6ae1p-2, 0x1.ea05c265f3542p-2, 0x1.e3d961e7f7684p-2, 0x1.ddad299576bb5p-2, 0x1.d781f6e8c49b8p-2, 0x1.d1589d5a7d77cp-2, 0x1.cb31e6b0f1b92p-2, 0x1.c50e934e0bd2ap-2, 0x1.beef5a7915e85p-2, 0x1.b8d4eaacfcab8p-2, 0x1.b2bfe9df9fa52p-2, 0x1.acb0f5d033bd2p-2, 0x1.a6a8a449e3bb1p-2, 0x1.a0a7836dc72f2p-2, 0x1.9aae19f78200ap-2, 0x1.94bce77f0b3b5p-2, 0x1.8ed464bb55eb1p-2, 0x1.88f503c3edb0ap-2, 0x1.831f304d1da2dp-2, 0x1.7d534fe33ad85p-2, 0x1.7791c2288e15bp-2, 0x1.71dae10ea8158p-2, 0x1.6c2f0109e4a27p-2, 0x1.668e7147aabe3p-2, 0x1.60f97be640859p-2, 0x1.5b70662600134p-2, 0x1.55f37094d9fdep-2, 0x1.5082d7429129fp-2, 0x1.4b1ed1eae5cb4p-2, 0x1.45c794282a1f5p-2, 0x1.407d4d94dec42p-2, 0x1.3b4029f63af65p-2, 0x1.3610516738c0ep-2, 0x1.30ede87fae805p-2, 0x1.2bd91074f40ep-2, 0x1.26d1e73aa725p-2, 0x1.21d887a824d77p-2, 0x1.1ced099cd2abcp-2, 0x1.180f821ce0f13p-2, 0x1.1340036abb604p-2, 0x1.0e7e9d25a74dap-2, 0x1.09cb5c6ad262dp-2, 0x1.05264bf086ec7p-2, 0x1.008f741b80074p-2, 0x1.f80db62baa1ep-3, 0x1.ef1909d48d1bfp-3, 0x1.e640e73dadb59p-3, 0x1.dd854e93972c2p-3, 0x1.d4e63c45b92f3p-3, 0x1.cc63a931a9436p-3, 0x1.c3fd8ac9b37e9p-3, 0x1.bbb3d34831a7p-3, 0x1.b38671cdcd0a7p-3, 0x1.ab7552807d728p-3, 0x1.a3805eaaea9dap-3, 0x1.9ba77ce21e70ap-3, 0x1.93ea912b6b0dcp-3, 0x1.8c497d1ad7c5cp-3, 0x1.84c41feace7a9p-3, 0x1.7d5a5695076e5p-3, 0x1.760bfbf17077cp-3, 0x1.6ed8e8d6c176cp-3, 0x1.67c0f43579a96p-3, 0x1.60c3f32c5a246p-3, 0x1.59e1b91c68ab5p-3, 0x1.531a17c076601p-3, 0x1.4c6cdf482a493p-3, 0x1.45d9de7060639p-3, 0x1.3f60e296ea823p-3, 0x1.3901b7cb36e41p-3, 0x1.32bc28dfaa3b8p-3, 0x1.2c8fff7dc06e2p-3, 0x1.267d043b92749p-3, 0x1.2082feaf73298p-3, 0x1.1aa1b57fd37b5p-3, 0x1.14d8ee7068afap-3, 0x1.0f286e7017afbp-3, 0x1.098ff9aa0991fp-3, 0x1.040f5396bd802p-3, 0x1.fd4c7e1abaeep-4, 0x1.f2a8fc9e64073p-4, 0x1.e833a624bc521p-4, 0x1.ddebfd1a41f5p-4, 0x1.d3d1830779027p-4, 0x1.c9e3b8ae71136p-4, 0x1.c0221e2488974p-4, 0x1.b68c32e62243bp-4, 0x1.ad2175e7aaaa9p-4, 0x1.a3e165a88198ap-4, 0x1.9acb8049200b6p-4, 0x1.91df43a2070e9p-4, 0x1.891c2d57a3cb1p-4, 0x1.8081baeb8d0dep-4, 0x1.780f69ca2fc66p-4, 0x1.6fc4b75bde762p-4, 0x1.67a12114ff724p-4, 0x1.5fa42487170c1p-4, 0x1.57cd3f700af79p-4, 0x1.501befc7e0bb9p-4, 0x1.488fb3ce0047dp-4, 0x1.41280a169af69p-4, 0x1.39e47197c9042p-4, 0x1.32c469b59dbdp-4, 0x1.2bc7724d190b9p-4, 0x1.24ed0bbeb32b2p-4, 0x1.1e34b6f952f57p-4, 0x1.179df585b143fp-4, 0x1.112849913804ap-4, 0x1.0ad335f74ea06p-4, 0x1.049e3e4901ed2p-4, 0x1.fd11cda7f80d1p-5, 0x1.f1256955bc374p-5, 0x1.e5765b5a047a5p-5, 0x1.da03b1215ee7dp-5, 0x1.cecc79d4644afp-5, 0x1.c3cfc664dd8b2p-5, 0x1.b90ca9973fbecp-5, 0x1.ae82380bbdfc3p-5, 0x1.a42f88491a5cbp-5, 0x1.9a13b2c9611ccp-5, 0x1.902dd206fb597p-5, 0x1.867d0287ee8d2p-5, 0x1.7d0062e62140fp-5, 0x1.73b713d532628p-5, 0x1.6aa03827b353ep-5, 0x1.61baf4d58fdcfp-5, 0x1.59067103f653dp-5, 0x1.5081d60dcde9ep-5, 0x1.482c4f8b18127p-5, 0x1.40050b5650926p-5, 0x1.380b398fcfbd6p-5, 0x1.303e0ca03d722p-5, 0x1.289cb93b3b54p-5, 0x1.21267663184edp-5, 0x1.19da7d6d367d5p-5, 0x1.12b80a0616a32p-5, 0x1.0bbe5a3408074p-5, 0x1.04ecae59f1a44p-5, 0x1.fc84926bd525p-6, 0x1.ef7cdfc3fc04cp-6, 0x1.e2c0d3aa2416ep-6, 0x1.d64f01c5f06b9p-6, 0x1.ca26027c1d873p-6, 0x1.be4472f0ab2f3p-6, 0x1.b2a8f507394d3p-6, 0x1.a7522f610ebp-6, 0x1.9c3ecd592ac5p-6, 0x1.916d7eff6c4afp-6, 0x1.86dcf913fa28dp-6, 0x1.7c8bf503d6a2ep-6, 0x1.727930e6c4544p-6, 0x1.68a36f7df3b58p-6, 0x1.5f0978321d918p-6, 0x1.55aa1710114dp-6, 0x1.4c841cc2117ebp-6, 0x1.43965e8733c3ap-6, 0x1.3adfb6288a1b6p-6, 0x1.325f01ef16edep-6, 0x1.2a13249b5ed57p-6, 0x1.21fb056004b1p-6, 0x1.1a158fdf1b8b4p-6, 0x1.1261b42893645p-6, 0x1.0ade66b73a2cep-6, 0x1.038aa069ddf65p-6, 0x1.f8cabceeb842bp-7, 0x1.eadb44bc7a8f2p-7, 0x1.dd44e3a508748p-7, 0x1.d005ad5a3f66dp-7, 0x1.c31bbdc102a7fp-7, 0x1.b68538e7911d7p-7, 0x1.aa404b073c6a5p-7, 0x1.9e4b288a51dc9p-7, 0x1.92a40e0c8f3d4p-7, 0x1.8749404cf2613p-7, 0x1.7c390c0ceb5a7p-7, 0x1.7171c5df25a6ap-7, 0x1.66f1c9eef64bap-7, 0x1.5cb77bcce3ffcp-7, 0x1.52c1464c0bbc9p-7, 0x1.490d9b7708aa4p-7, 0x1.3f9af49a97ac9p-7, 0x1.3667d25c676dfp-7, 0x1.2d72bccf29027p-7, 0x1.24ba4374ca74bp-7, 0x1.1c3cfd24f00c6p-7, 0x1.13f987d68ba8bp-7, 0x1.0bee88552fd07p-7, 0x1.041aa9f1e777dp-7, 0x1.f8f93c834a2b6p-8, 0x1.ea2639efcbf5ep-8, 0x1.dbb9c7c7aab86p-8, 0x1.cdb16e1701fdep-8, 0x1.c00ac1af79712p-8, 0x1.b2c3647b09741p-8, 0x1.a5d905a423ff8p-8, 0x1.99496178d009ap-8, 0x1.8d124100850ep-8, 0x1.81317952820edp-8, 0x1.75a4eacaf51b2p-8, 0x1.6a6a80476eb41p-8, 0x1.5f802e92769e3p-8, 0x1.54e3f41ba00a6p-8, 0x1.4a93d9081fea6p-8, 0x1.408def9260b7cp-8, 0x1.36d0549d99f65p-8, 0x1.2d593052b5473p-8, 0x1.2426b69670144p-8, 0x1.1b37272bf7d53p-8, 0x1.1288cd678dc35p-8, 0x1.0a19ff6b7d214p-8, 0x1.01e91d065dc99p-8, 0x1.f3e91cc88c6b7p-9, 0x1.e47585afdef4ep-9, 0x1.d574600a7af4p-9, 0x1.c6e2a3510f22fp-9, 0x1.b8bd542cf165ep-9, 0x1.ab0186c800268p-9, 0x1.9dac61e993e57p-9, 0x1.90bb22129dafap-9, 0x1.842b1bab3dd6p-9, 0x1.77f9bb742fc2bp-9, 0x1.6c2484cba0eb4p-9, 0x1.60a90de2a91b6p-9, 0x1.5584fa94187e6p-9, 0x1.4ab5f7059e3eap-9, 0x1.4039b36d8e551p-9, 0x1.360de22fe725fp-9, 0x1.2c30390221865p-9, 0x1.229e75041bec4p-9, 0x1.195660eb53408p-9, 0x1.1055dbb65d32p-9, 0x1.079ade16c1765p-9, 0x1.fe46f9e4f8ba8p-10, 0x1.eddbd01294dfap-10, 0x1.ddf0c985164d9p-10, 0x1.ce828c62382f3p-10, 0x1.bf8dc8518ecfcp-10, 0x1.b10f2730a77bcp-10, 0x1.a3034445c8348p-10, 0x1.9566ac611477bp-10, 0x1.8835e722ef15cp-10, 0x1.7b6d87425d92cp-10, 0x1.6f0a3dca7076ep-10, 0x1.6308eb664056dp-10, 0x1.5766ab37f023p-10, 0x1.4c20d44ee91a3p-10, 0x1.4134f12e82688p-10, 0x1.36a0af587a601p-10, 0x1.2c61cad171d26p-10, 0x1.2275fa8ee20ecp-10, 0x1.18dae277a446fp-10, 0x1.0f8e0e2de5b7cp-10, 0x1.068cf5a4da514p-10, 0x1.fbaa14475069ep-11, 0x1.eac790a35b4dbp-11, 0x1.da6d957372cf6p-11, 0x1.ca97b04375ae7p-11, 0x1.bb41d472834b3p-11, 0x1.ac68567b82c2ep-11, 0x1.9e07d74eacfe9p-11, 0x1.901d25e73933bp-11, 0x1.82a51f1dda3eap-11, 0x1.759c933ff8fafp-11, 0x1.6900368ebd2d9p-11, 0x1.5ccc9e931b3f5p-11, 0x1.50fe4b5da58e1p-11, 0x1.4591b9dbb4e4p-11, 0x1.3a837b105f926p-11, 0x1.2fd04b13ed9b1p-11, 0x1.2575224246533p-11, 0x1.1b6f3bb0197f9p-11, 0x1.11bc0e94c5011p-11, 0x1.08593c80da0b6p-11, 0x1.fe88f4d5f781fp-12, 0x1.ecf6f957e88ap-12, 0x1.dbf7d9247055fp-12, 0x1.cb86d34691d93p-12, 0x1.bb9f26a9d2229p-12, 0x1.ac3c2a09870c9p-12, 0x1.9d595d9d4e03ap-12, 0x1.8ef272eba1e21p-12, 0x1.81034e1f64455p-12, 0x1.7388067589e56p-12, 0x1.667ce8a4a37a8p-12, 0x1.59de79577bb12p-12, 0x1.4da97244d820ep-12, 0x1.41dab44705e0dp-12, 0x1.366f2d5d120f3p-12, 0x1.2b63b9c449362p-12, 0x1.20b50ee043bb3p-12, 0x1.165fbea0e5171p-12, 0x1.0c6057c9f6e3ep-12, 0x1.02b397716763ap-12, 0x1.f2ad276278446p-13, 0x1.e08d8f2db9eedp-13, 0x1.cf03ef179edaap-13, 0x1.be0bf98dc87aep-13, 0x1.ada12de660cdcp-13, 0x1.9dbec0591aacap-13, 0x1.8e5fd24f05177p-13, 0x1.7f7fd217b66b1p-13, 0x1.711abfe5e3cd5p-13, 0x1.632d270a5ead2p-13, 0x1.55b3c99913ff1p-13, 0x1.48ab2e2fbc1fap-13, 0x1.3c0f564f34478p-13, 0x1.2fdbcfeddf619p-13, 0x1.240c1f25f8aa7p-13, 0x1.189c4419f05a3p-13, 0x1.0d890a445286fp-13, 0x1.02cfeb4b6a9a9p-13, 0x1.f0dd252ee6f0ep-14, 0x1.dcc4a052a483cp-14, 0x1.c94fb4c8d8ce1p-14, 0x1.b6771956b688dp-14, 0x1.a433f64ef6e3dp-14, 0x1.9280f34c92ecfp-14, 0x1.815a7b68df931p-14, 0x1.70be122b7ae88p-14, 0x1.60a933ecc6aedp-14, 0x1.51188534a6377p-14, 0x1.4207c6d4e4c66p-14, 0x1.33725c693e95bp-14, 0x1.2553ced424a28p-14, 0x1.17a7e8203da85p-14, 0x1.0a6a8086238c3p-14, 0x1.fb2ea156174fcp-15, 0x1.e253e7af33564p-15, 0x1.ca3c053c8161cp-15, 0x1.b2de5fd694efdp-15, 0x1.9c3308e34c50ep-15, 0x1.863387c08161fp-15, 0x1.70db58f0ea42ap-15, 0x1.5c276efb4f7f1p-15, 0x1.4815048df0945p-15, 0x1.34a0c94dbbc95p-15, 0x1.21c6e110d79ebp-15, 0x1.0f83572746a8dp-15, 0x1.fba511f05a471p-16, 0x1.d9625f0fc962ap-16, 0x1.b837bdaa73173p-16, 0x1.981ca8954630ap-16, 0x1.7906554de6621p-16, 0x1.5ae81f760f378p-16, 0x1.3db46cf9142cbp-16, 0x1.215df8e612e32p-16, 0x1.05d9cc5b0556p-16, 0x1.d64257728008ep-17, 0x1.a26348828cc7p-17, 0x1.7014e0ee1e8fap-17, 0x1.3f5229d25c195p-17, 0x1.101058ccf1ad5p-17, 0x1.c4852215d93ap-18, 0x1.6bbef25ac3c62p-18, 0x1.15c54ab1198fap-18, 0x1.8521ac7139defp-19, 0x1.c8477bb54b95dp-20, 0x1.217c34f0bde3ep-21, -0x1.3986b6e572ccap-21, -0x1.c094086e85bf3p-20, -0x1.6d7b052828da3p-19, -0x1.f614342e803a2p-19, -0x1.3d1e1f007501dp-18, -0x1.7d10a75025dc4p-18, -0x1.baf8b7ae8cfc8p-18, -0x1.f6e8b72e3c2a3p-18, -0x1.1875f527b3856p-17, -0x1.34839f8103d8cp-17, -0x1.4f9f135ef2be9p-17, -0x1.69cc37566eb9ap-17, -0x1.8310e59052b6dp-17, -0x1.9b71ebd81fbdbp-17, -0x1.b2f250c99918bp-17, -0x1.c995fd417756p-17, -0x1.df63907e276dbp-17, -0x1.f462e5a46482ap-17, -0x1.044d469cee1fbp-16, -0x1.0e07729dfbfa8p-16, -0x1.17617cd789477p-16, -0x1.205d044a0aab7p-16, -0x1.28fc4ab43dc4bp-16, -0x1.3142374ecb85bp-16, -0x1.39317eeae2b67p-16, -0x1.40cb65d42387dp-16, -0x1.48102d4253c89p-16, -0x1.4f017632d602bp-16, -0x1.55a321db5b47ap-16, -0x1.5bf830d2d6918p-16, -0x1.620057f54c393p-16, -0x1.67baf3430a254p-16, -0x1.6d2a292fc3e62p-16, -0x1.725155c466e57p-16, -0x1.7732237a12bfbp-16, -0x1.7bccf9e9a9f35p-16, -0x1.8022ed54e6d62p-16, -0x1.8435accdcf827p-16, -0x1.880685e2e1ffp-16, -0x1.8b964daf6f61p-16, -0x1.8ee6045a1388fp-16, -0x1.91f78b1511ad6p-16, -0x1.94cd9ce29c1a9p-16, -0x1.976a0328e1f9fp-16, -0x1.99cc737f20c02p-16, -0x1.9bf4da649b657p-16, -0x1.9de4cb9ac8313p-16, -0x1.9f9d59c58cf53p-16, -0x1.a11ea74d47f03p-16, -0x1.a26a164fcb512p-16, -0x1.a3824aedd43a5p-16, -0x1.a469071d00c4ep-16, -0x1.a51e61f2f4245p-16, -0x1.a5a2d6c46b68p-16, -0x1.a5f803e13a586p-16, -0x1.a61ebfc0dcf68p-16, -0x1.a6171ee2a6387p-16, -0x1.a5e1dde4ebac3p-16, -0x1.a58015888f09dp-16, -0x1.a4f2b0d52badfp-16, -0x1.a43ab3dd100b9p-16, -0x1.a359cea57570bp-16, -0x1.a251777e60822p-16, -0x1.a1219f8410fcbp-16, -0x1.9fcabf18e6b3ep-16, -0x1.9e4e5c4f4b658p-16, -0x1.9cacd9950e1f1p-16, -0x1.9ae686f06124bp-16, -0x1.98fc9209c333ap-16, -0x1.96f012982f5e4p-16, -0x1.94c1cd677a09cp-16, -0x1.92725ef468a6ap-16, -0x1.9002690f43295p-16, -0x1.8d72fe5b3bf72p-16, -0x1.8ac52b7fa2176p-16, -0x1.87f966364c1dep-16, -0x1.85109fee1f114p-16, -0x1.820b993851423p-16, -0x1.7eea58da71e1fp-16, -0x1.7bad85e71ad9fp-16, -0x1.785612c63461ep-16, -0x1.74e50d4e8fc44p-16, -0x1.715b9fa492b0ap-16, -0x1.6dba13dd601b4p-16, -0x1.6a0132ec10882p-16, -0x1.6631b8d3fd2aep-16, -0x1.624bb96525056p-16, -0x1.5e50142c374e8p-16, -0x1.5a3fc051bc38cp-16, -0x1.561b682ee6de4p-16, -0x1.51e3a3c40291dp-16, -0x1.4d9911d31c584p-16, -0x1.493c54fb0c558p-16, -0x1.44ce0f01e7d86p-16, -0x1.404ee2ef398fcp-16, -0x1.3bbf69509c9ap-16, -0x1.37200df95e60ep-16, -0x1.32715f9cdfecbp-16, -0x1.2db458119ff4cp-16, -0x1.28e9a430b66d3p-16, -0x1.2411eb5973d31p-16, -0x1.1f2d32a46a867p-16, -0x1.1a3bc3265dfc1p-16, -0x1.153eee58b2e0cp-16, -0x1.103768f1d828bp-16, -0x1.0b25c89831e9ap-16, -0x1.060a166748a57p-16, -0x1.00e4db75d1abp-16, -0x1.f76dd4905bb52p-17, -0x1.ed0199bd33a15p-17, -0x1.e285f85ac5d54p-17, -0x1.d7fbed87ab025p-17, -0x1.cd647d0de202ep-17, -0x1.c2c0a9dbaea6ep-17, -0x1.b81173486aa3bp-17, -0x1.ad57d6df8d1a8p-17, -0x1.a294d05c916f7p-17, -0x1.97c95951c15a9p-17, -0x1.8cf669cc30384p-17, -0x1.821cf9f870a38p-17, -0x1.773e026fe81f8p-17, -0x1.6c5a595bad31ep-17, -0x1.617284c1a9c82p-17, -0x1.568752e2f9a1p-17, -0x1.4b99d8fbc0d27p-17, -0x1.40abad113cb82p-17, -0x1.35bd56986b491p-17, -0x1.2acf2f74e992ap-17, -0x1.1fe1f1b2455dp-17, -0x1.14f6ef9250ce7p-17, -0x1.0a0eeb9de84fep-17, -0x1.fe5514eb5f012p-18, -0x1.e89502c29f785p-18, -0x1.d2df19c42ac86p-18, -0x1.bd34d391ba2b4p-18, -0x1.a797a551eb5fp-18, -0x1.9208fd24bf90ap-18, -0x1.7c8a3fd839924p-18, -0x1.671cc716ce4efp-18, -0x1.51c1e1b37e92p-18, -0x1.3c7ad865e9faep-18, -0x1.2748f54356647p-18, -0x1.122d85f90142ep-18, -0x1.fa53a3eedcb33p-19, -0x1.d07e211641d32p-19, -0x1.a6dcf40b1a19dp-19, -0x1.7d722f133abbbp-19, -0x1.543e6e8fc86bbp-19, -0x1.2b45eaac5540bp-19, -0x1.028b5423fe083p-19, -0x1.b41ba944a90a4p-20, -0x1.63a577ca57075p-20, -0x1.13b51f6336766p-20, -0x1.889b5c0ecf08ap-21, -0x1.d5d2bfbcc8a0dp-22, -0x1.396b310a78d81p-23, 0x1.3427f5ae2f167p-23, 0x1.ce7c75181d841p-22, 0x1.803b28b2654aep-21, 0x1.0bfd16941f726p-20, 0x1.573a70685f6c8p-20, 0x1.a1d28ac4834b4p-20, 0x1.ebc26d05b62ecp-20, 0x1.1a839d92db1d1p-19, 0x1.3ecf1634991d2p-19, 0x1.62c2406da8ea3p-19, 0x1.865bc1a69c994p-19, 0x1.a99a507a05441p-19, 0x1.cc7cc3ea841cp-19, 0x1.ef01f8d0684dbp-19, 0x1.08944d13ac8adp-18, 0x1.19781e39ed24fp-18, 0x1.2a2bc433a103ep-18, 0x1.3aae44f2d4a6fp-18, 0x1.4afff81574c1dp-18, 0x1.5b1fd5f6df511p-18, 0x1.6b0d7142584adp-18, 0x1.7ac875f758b75p-18, 0x1.8a50ce8f515d6p-18, 0x1.99a5a6ddfa7b4p-18, 0x1.a8c70c6e6af51p-18, 0x1.b7b4760e33f47p-18, 0x1.c66d74fa28896p-18, 0x1.d4f1d5b776eedp-18, 0x1.e34158729600dp-18, 0x1.f15bbb22f1996p-18, 0x1.ff40bfd1c5c04p-18, 0x1.067816f8d6ee4p-17, 0x1.0d34e90e0256p-17, 0x1.13d6be65d5bd5p-17, 0x1.1a5d80b53924dp-17, 0x1.20c91bbaf3f14p-17, 0x1.27197d7c06c9bp-17, 0x1.2d4e9756e8f7cp-17, 0x1.33685fc123a5p-17, 0x1.3966c65be9305p-17, 0x1.3f49b79a2c56dp-17, 0x1.45114d9894af5p-17, 0x1.4abd6c4212b52p-17, 0x1.504e2382bdf92p-17, 0x1.55c350dbc2791p-17, 0x1.5b1d01eedbfcbp-17, 0x1.605b3d42def3dp-17, 0x1.657e0744ec2f3p-17, 0x1.6a85674d3770dp-17, 0x1.6f716631e1fccp-17, 0x1.7442085924589p-17, 0x1.78f75003c80e6p-17, 0x1.7d915bb3dd6a4p-17, 0x1.82103e505d1cp-17, 0x1.8674006fe2729p-17, 0x1.8abca39d873b9p-17, 0x1.8eea432b9ac44p-17, 0x1.92fcf6a0c2a77p-17, 0x1.96f4d3e62da8ap-17, 0x1.9ad1f1ee3f358p-17, 0x1.9e9468e399aa1p-17, 0x1.a23c52183dbd7p-17, 0x1.a5c9c81eb8c8p-17, 0x1.a93ce75da5d2fp-17, 0x1.ac95cf20593a4p-17, 0x1.afd49f5dbf1ap-17, 0x1.b2f9712b18b11p-17, 0x1.b60460e64b928p-17, 0x1.b8f5a7986b061p-17, 0x1.bbcd6322f9b11p-17, 0x1.be8ba536fbe1cp-17, 0x1.c1309bde2abb2p-17, 0x1.c3bc703718ef8p-17, 0x1.c62f497b4b38dp-17, 0x1.c8894fbca66e2p-17, 0x1.cacaac1507034p-17, 0x1.ccf3888184135p-17, 0x1.cf040fe32d9cbp-17, 0x1.d0fc6e0029d98p-17, 0x1.d2dccfb765e84p-17, 0x1.d4a56311f6a18p-17, 0x1.d656566073d1ap-17, 0x1.d7efd68b3e48ap-17, 0x1.d9720f4c4d99dp-17, 0x1.dadd3a6818ac7p-17, 0x1.dc318b6b9c71fp-17, 0x1.dd6f28589aa6cp-17, 0x1.de964677e3355p-17, 0x1.dfa71a62b6453p-17, 0x1.e0a1d75f06e28p-17, 0x1.e186b11317538p-17, 0x1.e255dbe05c7ep-17, 0x1.e30f8d16663d8p-17, 0x1.e3b3fa34d38abp-17, 0x1.e443571cc1e9ep-17, 0x1.e4bdd7dba5629p-17, 0x1.e523bd51a43c3p-17, 0x1.e57536927eac8p-17, 0x1.e5b2799179417p-17, 0x1.e5dbc06085752p-17, 0x1.e5f143115bc9bp-17, 0x1.e5f339cca854dp-17, 0x1.e5e1dd0dcf754p-17, 0x1.e5bd6598c038bp-17, 0x1.e5860c70f283ep-17, 0x1.e53c0ad2538bap-17, 0x1.e4df9a2bee2d3p-17, 0x1.e470f41a93479p-17, 0x1.e3f052640afcep-17, }}, 
      {{0x1.052fb6bfa1799p-1, 0x1.33ad9225c5d2p-1, 0x1.701557cf7c84bp-1, 0x1.b16a83204845p-1, 0x1.f1bff49bc423ap-1, 0x1.16abd7b90c1cfp+0, 0x1.30ffe458a2ae3p+0, 0x1.474e4e2bb00c5p+0, 0x1.596964834c06cp+0, 0x1.67640bc42ceaap+0, 0x1.717acab4f92a5p+0, 0x1.78033fd86a671p+0, 0x1.7b6057b6c59ccp+0, 0x1.7bfa0a4f25b86p+0, 0x1.7a37b4ef70209p+0, 0x1.767c5fb94021bp+0, 0x1.7124697aa268bp+0, 0x1.6a843577e5806p+0, 0x1.62e78ffdc856ap+0, 0x1.5a91919cb891bp+0, 0x1.51bcd790b1087p+0, 0x1.489bf2fe8e28ep+0, 0x1.3f59f90f205b7p+0, 0x1.361b244fa227ep+0, 0x1.2cfd7c7b1090cp+0, 0x1.24197d48e17p+0, 0x1.1b82b75b5a7b5p+0, 0x1.13486831149b6p+0, 0x1.0b760745d0af2p+0, 0x1.0413c77f53931p+0, 0x1.fa4e196a360c9p-1, 0x1.ed65ab379d63ep-1, 0x1.e170354d12537p-1, 0x1.d66c45282c594p-1, 0x1.cc559ad87bfedp-1, 0x1.c325ad6654aep-1, 0x1.bad41f298ed53p-1, 0x1.b35723850b911p-1, 0x1.aca3d7690b9ebp-1, 0x1.a6ae8de9c0b6ap-1, 0x1.a16b122102be6p-1, 0x1.9cccdf7b1c087p-1, 0x1.98c75177797bfp-1, 0x1.954dcbd4f2fe7p-1, 0x1.9253dc05da5f6p-1, 0x1.8fcd54af6c0acp-1, 0x1.8dae63f6258d7p-1, 0x1.8beba543668d9p-1, 0x1.8a7a2eee9404cp-1, 0x1.894f9c9cd9268p-1, 0x1.8862167b9815dp-1, 0x1.87a855fcde82ap-1, 0x1.8719a87a387d4p-1, 0x1.86adefa51bf5ep-1, 0x1.865da11455f1bp-1, 0x1.8621c37398435p-1, 0x1.85f3ec133f9f1p-1, 0x1.85ce39e121123p-1, 0x1.85ab519bb3266p-1, 0x1.8586578a10623p-1, 0x1.855aeab7d9247p-1, 0x1.85251e18ab889p-1, 0x1.84e1732f5625p-1, 0x1.848cd319fcb53p-1, 0x1.842488fba74fcp-1, 0x1.83a63b53beb3p-1, 0x1.830fe65a8a8bap-1, 0x1.825fd5e22a005p-1, 0x1.81949fd61a3fap-1, 0x1.80ad1eb596855p-1, 0x1.7fa86c659e4bcp-1, 0x1.7e85dd2e5de11p-1, 0x1.7d44faf75daa1p-1, 0x1.7be580bd177dap-1, 0x1.7a675643a5361p-1, 0x1.78ca8c06d570ap-1, 0x1.770f5762ae57dp-1, 0x1.75360ef0dbbbp-1, 0x1.733f27161679fp-1, 0x1.712b2ebf02a38p-1, 0x1.6efacc4b9069ap-1, 0x1.6caebaab8b972p-1, 0x1.6a47c6afda82cp-1, 0x1.67c6cc8b6a3f5p-1, 0x1.652cb586cd365p-1, 0x1.627a75dd3df91p-1, 0x1.5fb10ac344f48p-1, 0x1.5cd178903cdc2p-1, 0x1.59dcc90c90207p-1, 0x1.56d409e349e09p-1, 0x1.53b84b3697d41p-1, 0x1.508a9e597ca7cp-1, 0x1.4d4c14ab176f8p-1, 0x1.49fdbe91cf689p-1, 0x1.46a0aa94dfb2fp-1, 0x1.4335e48b9403fp-1, 0x1.3fbe74e4e8987p-1, 0x1.3c3b6000b6f96p-1, 0x1.38ada59a835ecp-1, 0x1.3516404641fc8p-1, 0x1.317624fd96b3p-1, 0x1.2dce42bd8493cp-1, 0x1.2a1f82375ba6bp-1, 0x1.266ac58e2f0ffp-1, 0x1.22b0e82586aa9p-1, 0x1.1ef2be7c0eebp-1, 0x1.1b31161085fd2p-1, 0x1.176cb550d13b1p-1, 0x1.13a65b8fce742p-1, 0x1.0fdec10161b1dp-1, 0x1.0c1696bcc79d2p-1, 0x1.084e86c2a12abp-1, 0x1.04873408ff83bp-1, 0x1.00c13a8bd250dp-1, 0x1.f9fa5ec23f934p-2, 0x1.f27741a6bf7f3p-2, 0x1.eafa2cfc5fbfap-2, 0x1.e38422de52ee3p-2, 0x1.dc16189643e63p-2, 0x1.d4b0f6e79c3f7p-2, 0x1.cd559a6077e6fp-2, 0x1.c604d3af86839p-2, 0x1.bebf67f6acbf3p-2, 0x1.b7861122ca559p-2, 0x1.b0597e4183b9dp-2, 0x1.a93a53d8423bfp-2, 0x1.a2292c3808be2p-2, 0x1.9b2697d4baa95p-2, 0x1.94331d994fa2p-2, 0x1.8d4f3b39f5b66p-2, 0x1.867b6588f4ffp-2, 0x1.7fb808c907048p-2, 0x1.790588fd33113p-2, 0x1.7264423a5d7a5p-2, 0x1.6bd488f6d4571p-2, 0x1.6556aa5742cadp-2, 0x1.5eeaec7b350ap-2, 0x1.58918ec93abc6p-2, 0x1.524aca363a5b7p-2, 0x1.4c16d18d6275p-2, 0x1.45f5d1b584951p-2, 0x1.3fe7f1f452c99p-2, 0x1.39ed542ea60b7p-2, 0x1.34061527d6b92p-2, 0x1.2e324cbf99f3ep-2, 0x1.28720e2bcb555p-2, 0x1.22c56830760b2p-2, 0x1.1d2c655845be4p-2, 0x1.17a70c29a240fp-2, 0x1.12355f57ad77bp-2, 0x1.0cd75df3b40c1p-2, 0x1.078d039e799e6p-2, 0x1.025648b524581p-2, 0x1.fa6644f734211p-3, 0x1.f047068d0069p-3, 0x1.e64eb54e5a318p-3, 0x1.dc7d2b21306f4p-3, 0x1.d2d23cf8d6d51p-3, 0x1.c94dbb1d269f1p-3, 0x1.bfef71731d1d2p-3, 0x1.b6b727c0a9e91p-3, 0x1.ada4a1e9174fap-3, 0x1.a4b7a0277f1b7p-3, 0x1.9befdf4c5b6c4p-3, 0x1.934d18f932024p-3, 0x1.8acf03d3d018ap-3, 0x1.827553b52e6d3p-3, 0x1.7a3fb9dbcccddp-3, 0x1.722de51f54dd6p-3, 0x1.6a3f821db4b54p-3, 0x1.62743b61d10e8p-3, 0x1.5acbb98aec9d8p-3, 0x1.5345a376def39p-3, 0x1.4be19e6a3d5e7p-3, 0x1.449f4e32d86cfp-3, 0x1.3d7e5547771ffp-3, 0x1.367e54e6aba6bp-3, 0x1.2f9eed3a1c13bp-3, 0x1.28dfbd741ed61p-3, 0x1.224063ed3db01p-3, 0x1.1bc07e3c59da1p-3, 0x1.155fa94f3e183p-3, 0x1.0f1d8184eec6fp-3, 0x1.08f9a2c7d08fdp-3, 0x1.02f3a8a430e3bp-3, 0x1.fa165cb6444fap-4, 0x1.ee7f9dea544a8p-4, 0x1.e3224aadf4287p-4, 0x1.d7fd98accf7d6p-4, 0x1.cd10bd98fcf9ap-4, 0x1.c25aef48cc24bp-4, 0x1.b7db63d360fep-4, 0x1.ad9151af6bb1fp-4, 0x1.a37befd35380cp-4, 0x1.999a75d274383p-4, 0x1.8fec1bf6110bap-4, 0x1.86701b53648c4p-4, 0x1.7d25ade1365dfp-4, 0x1.740c0e8e6e4p-4, 0x1.6b2279591cf33p-4, 0x1.62682b63e9ffcp-4, 0x1.59dc630811de9p-4, 0x1.517e5fe47ba25p-4, 0x1.494d62ec22eddp-4, 0x1.4148ae75ee6c2p-4, 0x1.396f864ec0cd5p-4, 0x1.31c12fc7ec966p-4, 0x1.2a3cf1c395028p-4, 0x1.22e214bd4dd5p-4, 0x1.1bafe2d3c5837p-4, 0x1.14a5a7d48a935p-4, 0x1.0dc2b148437dep-4, 0x1.07064e7c7f34ap-4, 0x1.006fd08a40c8ap-4, 0x1.f3fd14b688c61p-5, 0x1.e763a160a6507p-5, 0x1.db11f4520e457p-5, 0x1.cf06be9655749p-5, 0x1.c340b50fd2e1cp-5, 0x1.b7be907e8e788p-5, 0x1.ac7f0d8536d95p-5, 0x1.a180ecb157f89p-5, 0x1.96c2f283488d2p-5, 0x1.8c43e7750a57p-5, 0x1.820297fdee81ep-5, 0x1.77fdd49433c3dp-5, 0x1.6e3471aef50ebp-5, 0x1.64a547c95c4d9p-5, 0x1.5b4f3365b13eep-5, 0x1.5231150e6c3ebp-5, 0x1.4949d154b3f3bp-5, 0x1.409850cdc99a2p-5, 0x1.381b80113ccdap-5, 0x1.2fd24fb88255ep-5, 0x1.27bbb45e91a21p-5, 0x1.1fd6a69d8ea6fp-5, 0x1.1822230a0e78ap-5, 0x1.109d2a2d2da91p-5, 0x1.0946c07e2ce97p-5, 0x1.021dee5fd91cp-5, 0x1.f643803790622p-6, 0x1.e8a28bbf2e007p-6, 0x1.db57276c780d5p-6, 0x1.ce5f82fff27eap-6, 0x1.c1b9d5d39142fp-6, 0x1.b5645ecb9945cp-6, 0x1.a95d644a35e0fp-6, 0x1.9da334240f27p-6, 0x1.923423932be4p-6, 0x1.870e8f265c44cp-6, 0x1.7c30daadd49efp-6, 0x1.71997127157cdp-6, 0x1.6746c4aa8efaep-6, 0x1.5d374e5b45239p-6, 0x1.53698e578af2fp-6, 0x1.49dc0ba8ae6fdp-6, 0x1.408d543078265p-6, 0x1.377bfc9475933p-6, 0x1.2ea6a02889c91p-6, 0x1.260be0da28607p-6, 0x1.1daa671d3535dp-6, 0x1.1580e1d9f3135p-6, 0x1.0d8e065adf5a6p-6, 0x1.05d090392e89ap-6, 0x1.fc8e8291a67d3p-7, 0x1.ede1c302fa19bp-7, 0x1.df987dd2b1f9cp-7, 0x1.d1b05b00ed69ap-7, 0x1.c4270e58c908ap-7, 0x1.b6fa574a72b6dp-7, 0x1.aa2800c4b4febp-7, 0x1.9dade10cc0227p-7, 0x1.9189d993f0105p-7, 0x1.85b9d6cc3988p-7, 0x1.7a3bcffc8ece8p-7, 0x1.6f0dc7165ddb9p-7, 0x1.642dc88d15d96p-7, 0x1.5999eb2f500ap-7, 0x1.4f505001517b6p-7, 0x1.454f22172bc3ap-7, 0x1.3b94966c912cep-7, 0x1.321eebbca970fp-7, 0x1.28ec6a562610dp-7, 0x1.1ffb63f173f2dp-7, 0x1.174a3385b97dfp-7, 0x1.0ed73d20d9a2cp-7, 0x1.06a0edc24bf9cp-7, 0x1.fd4b76712f6d3p-8, 0x1.edc847ffe5483p-8, 0x1.deb55e40792c1p-8, 0x1.d00fd810c015ep-8, 0x1.c1d4e4cc86f3ap-8, 0x1.b401c3f7b2e22p-8, 0x1.a693c4e6b983cp-8, 0x1.9988466a87d39p-8, 0x1.8cdcb68577328p-8, 0x1.808e922b4915bp-8, 0x1.749b650b02eadp-8, 0x1.6900c95d43966p-8, 0x1.5dbc67af8a2ap-8, 0x1.52cbf6a59cf59p-8, 0x1.482d3aad6cb41p-8, 0x1.3dde05a757f82p-8, 0x1.33dc36895abe2p-8, 0x1.2a25b906b1678p-8, 0x1.20b88544e4dccp-8, 0x1.17929fa399c63p-8, 0x1.0eb21895ddc09p-8, 0x1.06150c865ec6p-8, 0x1.fb7347763785dp-9, 0x1.eb3c245a740c1p-9, 0x1.db812e9a59b38p-9, 0x1.cc3efb6340d99p-9, 0x1.bd72356f055eep-9, 0x1.af179c3cbde03p-9, 0x1.a12c035db2949p-9, 0x1.93ac51eca7d42p-9, 0x1.8695823a81c9bp-9, 0x1.79e4a1aa5ae96p-9, 0x1.6d96d0ab034c5p-9, 0x1.61a942b1aca94p-9, 0x1.56193e18ade7cp-9, 0x1.4ae41bce340d3p-9, 0x1.400746c9dc6afp-9, 0x1.35803b51ac9ap-9, 0x1.2b4c8624a0ddcp-9, 0x1.2169c3a7a4167p-9, 0x1.17d59f3465b0bp-9, 0x1.0e8dd2a299395p-9, 0x1.05902616203abp-9, 0x1.f9b4e0161903ap-10, 0x1.e8d52b20f812dp-10, 0x1.d87d151d1e759p-10, 0x1.c8a8a3e946864p-10, 0x1.b953fb4efebcp-10, 0x1.aa7b5c36ab0d3p-10, 0x1.9c1b2327346c4p-10, 0x1.8e2fc634dfe1dp-10, 0x1.80b5d2aa3d788p-10, 0x1.73a9ead88179bp-10, 0x1.6708c47f33e13p-10, 0x1.5acf28257fa21p-10, 0x1.4ef9f18bc0428p-10, 0x1.4386111a82d3ep-10, 0x1.38708de775f92p-10, 0x1.2db687b3f95e4p-10, 0x1.23553835dfdd7p-10, 0x1.1949f31575f75p-10, 0x1.0f92245405cap-10, 0x1.062b4d39848bdp-10, 0x1.fa2600a29e94cp-11, 0x1.e88dbaa1fa992p-11, 0x1.d7891bc624f83p-11, 0x1.c71388574dda8p-11, 0x1.b72876f452fc7p-11, 0x1.a7c3761cd19dp-11, 0x1.98e0348d37883p-11, 0x1.8a7a8a31d620fp-11, 0x1.7c8e7f20b31bbp-11, 0x1.6f184e64e1ea9p-11, 0x1.62146360fdf81p-11, 0x1.557f51eccffe4p-11, 0x1.4955cac118a0cp-11, 0x1.3d948ed5ca25cp-11, 0x1.323864b988c44p-11, 0x1.273e128a0062dp-11, 0x1.1ca25e1af4284p-11, 0x1.1262134dbdda2p-11, 0x1.087a0f020dd63p-11, 0x1.fdce97a01e2p-12, 0x1.eb4dda6f5443ap-12, 0x1.d96c8c8c0ace2p-12, 0x1.c825b3acf50dep-12, 0x1.b774a868bcf97p-12, 0x1.a754ff1c7bc9cp-12, 0x1.97c26bee869e9p-12, 0x1.88b8a88fa02c8p-12, 0x1.7a3361d460fbp-12, 0x1.6c2e313100197p-12, 0x1.5ea4a321746abp-12, 0x1.51924872ad435p-12, 0x1.44f2cdca5e5f4p-12, 0x1.38c2135cbd711p-12, 0x1.2cfc3ecf89b93p-12, 0x1.219dc2de72949p-12, 0x1.16a35b27c001cp-12, 0x1.0c09fdb94b004p-12, 0x1.01cec69165c7ap-12, 0x1.efddc4b4e570cp-13, 0x1.dccefa8a9c77ep-13, 0x1.ca6b728300cd7p-13, 0x1.b8ad592d2976ep-13, 0x1.a78ed01c2fb31p-13, 0x1.970a057bd0c3ap-13, 0x1.8719515c07f4dp-13, 0x1.77b7524049e7bp-13, 0x1.68df01fff2521p-13, 0x1.5a8bbce544358p-13, 0x1.4cb9384429008p-13, 0x1.3f636aee4fc2fp-13, 0x1.32866f3ea3fb6p-13, 0x1.261e690693f08p-13, 0x1.1a2777d2fa40dp-13, 0x1.0e9db836d08ccp-13, 0x1.037d4ffb2d5cap-13, 0x1.f184fa6abd8b5p-14, 0x1.dcd342ae821b7p-14, 0x1.c8de8bad4b7ebp-14, 0x1.b5a0392abdb4dp-14, 0x1.a311ff5729bbdp-14, 0x1.912de521f787ep-14, 0x1.7fee47196ffc2p-14, 0x1.6f4dd3ce9cd91p-14, 0x1.5f477a566e2c9p-14, 0x1.4fd64954cf6b9p-14, 0x1.40f54775ec6b5p-14, 0x1.329f57dfcf2fep-14, 0x1.24cf3cf86a9bcp-14, 0x1.177fbefe38b31p-14, 0x1.0aabe8091e28dp-14, 0x1.fc9e6fb571936p-15, 0x1.e4cb643613febp-15, 0x1.cdd7791e68c5dp-15, 0x1.b7bbbea3ada0dp-15, 0x1.a2711a4a16088p-15, 0x1.8df02b799d9f9p-15, 0x1.7a3190c067c77p-15, 0x1.672e5ad99edcdp-15, 0x1.54e05d55d1beap-15, 0x1.434222d9387d3p-15, 0x1.324e84a48435ep-15, 0x1.2200204022c62p-15, 0x1.1250ff9ec8885p-15, 0x1.033aaeade741bp-15, 0x1.e96d716b314a8p-16, 0x1.cd7e8b07df85ap-16, 0x1.b29eeab912cdp-16, 0x1.98c67bd1c6479p-16, 0x1.7fedb201e4686p-16, 0x1.680c42bcfb1fap-16, 0x1.5118980bc7aeap-16, 0x1.3b0864ca842e6p-16, 0x1.25d1fb3f16c12p-16, 0x1.116d8113e6ba7p-16, 0x1.fbaa6d723cdp-17, 0x1.d60955cfb393ep-17, 0x1.b1eed7ee98b9ep-17, 0x1.8f5031c82a0f8p-17, 0x1.6e20ad1b7c2fbp-17, 0x1.4e52d74c54823p-17, 0x1.2fd9ab0e29a1cp-17, 0x1.12a8cd3f5d8d5p-17, 0x1.ed682fbabfb92p-18, 0x1.b7de68f297834p-18, 0x1.849b4ac46a3b9p-18, 0x1.53860bf5693b7p-18, 0x1.24869cb958b08p-18, 0x1.ef0d60eb2d2f2p-19, 0x1.98e6f6f7823b3p-19, 0x1.467d7c35cf06fp-19, 0x1.ef764ff14de5dp-20, 0x1.59171f55ccc59p-20, 0x1.93600d8239bd8p-21, 0x1.043cea7ddc389p-22, -0x1.03f5df89924d9p-22, -0x1.794a2d65431b3p-21, -0x1.321340b33106ep-20, -0x1.a17498a159fa4p-20, -0x1.057e605e07ccp-19, -0x1.37746b4a4f3f1p-19, -0x1.66bec76fb8f9bp-19, -0x1.9381a8e334e9fp-19, -0x1.bde0487523a53p-19, -0x1.e5f88fc988976p-19, -0x1.05ef743bda5a7p-18, -0x1.17cf19597a65bp-18, -0x1.289ec70d90fd5p-18, -0x1.3863e289b0f98p-18, -0x1.4726f12fbd596p-18, -0x1.54f187a158fd1p-18, -0x1.61cb3ec3fc1b9p-18, -0x1.6db8f3edb2287p-18, -0x1.78bf12eecc1fp-18, -0x1.82e443221fc45p-18, -0x1.8c31950c8e9ccp-18, -0x1.94b07ea2e4361p-18, -0x1.9c6914332667ap-18, -0x1.a361f2b919956p-18, -0x1.a9a176bc9a9dcp-18, -0x1.af2ee4b6cd8e7p-18, -0x1.b4126fdabb61ap-18, -0x1.b854325f13309p-18, -0x1.bbfafa36ea83p-18, -0x1.bf0ba59f99b1ap-18, -0x1.c1895f8b796dbp-18, -0x1.c376e78aa6f68p-18, -0x1.c4d818e31625bp-18, -0x1.c5b1cb6b77f06p-18, -0x1.c608422acc4bp-18, -0x1.c5dec81369215p-18, -0x1.c5391229397e6p-18, -0x1.c41c35b6fc7e4p-18, -0x1.c28de45121cf7p-18, -0x1.c0931962c1498p-18, -0x1.be2fa0b49ec3cp-18, -0x1.bb668d5f5886p-18, -0x1.b83b06097bc9ep-18, -0x1.b4b0d42b2eeb7p-18, -0x1.b0cc63afbd799p-18, -0x1.ac91de0df770dp-18, -0x1.a803e40a5d1e3p-18, -0x1.a3240082496d7p-18, -0x1.9df52586fdb4bp-18, -0x1.987c9214cd6c3p-18, -0x1.92be93bbcef53p-18, -0x1.8cbc0da58e7e8p-18, -0x1.8675817658e07p-18, -0x1.7fee454037074p-18, -0x1.792ae39ed2dbp-18, -0x1.722e22f6ada8p-18, -0x1.6af977ffb4ab3p-18, -0x1.638f02418c83cp-18, -0x1.5bf179930894p-18, -0x1.54232b9cc31dfp-18, -0x1.4c25e4f68f37dp-18, -0x1.43fb984bbf0fcp-18, -0x1.3ba7163a36d49p-18, -0x1.332c03102dbdbp-18, -0x1.2a8d045ace53bp-18, -0x1.21caa0694969bp-18, -0x1.18e5927d960a3p-18, -0x1.0fe03a225244cp-18, -0x1.06bc6da6b0178p-18, -0x1.faf61bc5db0d3p-19, -0x1.e83c6cac0528cp-19, -0x1.d552789d7c5d9p-19, -0x1.c23d17ea81dc9p-19, -0x1.aefdc375cd746p-19, -0x1.9b96b1f3f04bp-19, -0x1.880c54478b511p-19, -0x1.74618190f5a44p-19, -0x1.6097825fd2ad6p-19, -0x1.4cb0e3a2c9ed9p-19, -0x1.38b0e04ebfd49p-19, -0x1.249a4e691322ep-19, -0x1.10702ac48c989p-19, -0x1.f86d74d4dda8fp-20, -0x1.cfe384a1e4133p-20, -0x1.a743fb664021ep-20, -0x1.7e9256924a901p-20, -0x1.55d621419937bp-20, -0x1.2d125a3fb4412p-20, -0x1.0449aa06b127bp-20, -0x1.b7040dc8129bbp-21, -0x1.6581f696aa866p-21, -0x1.1415780c61ac3p-21, -0x1.858b415634ee6p-22, -0x1.c66611e6294b9p-23, -0x1.04dbe95fbb065p-24, 0x1.815375ade039fp-24, 0x1.0165db4eb57c3p-22, 0x1.a1ea2022ebea5p-22, 0x1.20e982e3998c6p-21, 0x1.708eb4c231f78p-21, 0x1.bfde593f2720dp-21, 0x1.0767fd47ab288p-20, 0x1.2ead379a3f832p-20, 0x1.55b9eca2737abp-20, 0x1.7c8c9cf9c7841p-20, 0x1.a321ef975fc89p-20, 0x1.c976ccc6688bap-20, 0x1.ef8aac3a1d0fcp-20, 0x1.0aad042865a56p-19, 0x1.1d708904d2146p-19, 0x1.300e96c4727efp-19, 0x1.428608e247bf5p-19, 0x1.54d5b47d36934p-19, 0x1.66fc6deafbe7cp-19, 0x1.78f9119815f87p-19, 0x1.8aca7fe73578p-19, 0x1.9c6fb31101472p-19, 0x1.ade7ffb018205p-19, 0x1.bf327ebe7d804p-19, 0x1.d04d852e53f6dp-19, 0x1.e137fe9a5959cp-19, 0x1.f1f0e67d6b75ep-19, 0x1.013c37dc836aap-18, 0x1.096728be841d8p-18, 0x1.11782b50bbd3cp-18, 0x1.196ebb9f1e73ap-18, 0x1.214a75b13793ep-18, 0x1.290b7ad54bbe8p-18, 0x1.30b176ba69211p-18, 0x1.383bd36e71fe3p-18, 0x1.3faa40dfa5875p-18, 0x1.46fc80de83d68p-18, 0x1.4e32521413f62p-18, 0x1.554b722a7df0ep-18, 0x1.5c47a13a970d2p-18, 0x1.6326a30800883p-18, 0x1.69e83e1ab4041p-18, 0x1.708c3bae7a943p-18, 0x1.771267c5297eep-18, 0x1.7d7a90cbd59ccp-18, 0x1.83c486dfb452ap-18, 0x1.89f01ba3cb953p-18, 0x1.8ffd320a36cc8p-18, 0x1.95ebd310491cep-18, 0x1.9bbbe87dc9fd2p-18, 0x1.a16d3cd89abfdp-18, 0x1.a6ff61156813cp-18, 0x1.ac7263be1365dp-18, 0x1.b1c668e62b2e7p-18, 0x1.b6fb6954e750dp-18, 0x1.bc111aed22f3cp-18, 0x1.c10775dfb75edp-18, 0x1.c5de80c1082a6p-18, 0x1.ca963b9bfbb24p-18, 0x1.cf2ea440066f4p-18, 0x1.d3a7b954b1294p-18, 0x1.d8017b754efc7p-18, 0x1.dc3bedb7ec9bp-18, 0x1.e0571620ded39p-18, 0x1.e452fdfe9984cp-18, 0x1.e82fb1c529ff6p-18, 0x1.ebed3ff59f1dap-18, 0x1.ef8bb776da206p-18, 0x1.f30b27157ff0cp-18, 0x1.f66b9fa9445d5p-18, 0x1.f9ad3627206afp-18, 0x1.fccfffc5cbc13p-18, 0x1.ffd41c9e98c9cp-18, 0x1.015ceaf2e3f4dp-17, 0x1.02c0882e0f3bcp-17, 0x1.0414ee32d7ee8p-17, 0x1.055a560f5c071p-17, 0x1.0690a3f2eacaep-17, 0x1.07b7fe7b71f6ep-17, 0x1.08d07e71bcc6dp-17, 0x1.09da2b83cde36p-17, 0x1.0ad51d4c37b79p-17, 0x1.0bc16bec8e629p-17, 0x1.0c9f2e48bc686p-17, 0x1.0d6e7b52bc96p-17, 0x1.0e2f6a8ed6f3fp-17, 0x1.0ee21438353bap-17, 0x1.0f86914f438bbp-17, 0x1.101cfba0fc91dp-17, 0x1.10a56db5f0785p-17, 0x1.112002912e96bp-17, 0x1.118cd5686e79p-17, 0x1.11ec01b161c8bp-17, 0x1.123da3baca431p-17, 0x1.1281d96ae4d51p-17, 0x1.12b8c0d7e1b8p-17, 0x1.12e275794c93fp-17, 0x1.12ff1ea414b0bp-17, 0x1.130ed7721f6e3p-17, 0x1.1311b31cec31ep-17, 0x1.1307e6a068f1fp-17, 0x1.12f1839ffd91bp-17, 0x1.12ceab2284028p-17, 0x1.129f8077961d3p-17, 0x1.12642cec23e79p-17, 0x1.121cc6d036ffcp-17, 0x1.11c97a8f2c8cep-17, 0x1.116a6582ba70fp-17, 0x1.10ffa76da3117p-17, 0x1.108965b81ec44p-17, 0x1.1007c45aafb47p-17, 0x1.0f7ae6dc8e745p-17, 0x1.0ee2f0ef98bebp-17, 0x1.0e400690dc0aep-17, 0x1.0d924bfe283f7p-17, 0x1.0cd9e5954be77p-17, 0x1.0c16f7bde658dp-17, 0x1.0b49a7012dfa2p-17, 0x1.0a72181684a8ap-17, 0x1.09907010f969ep-17, 0x1.08a4d4ad90caep-17, 0x1.07af6a1920c21p-17, 0x1.06b053ae63734p-17, 0x1.05a7bcf93f10dp-17, 0x1.0495c71ede702p-17, 0x1.037a9b1831278p-17, 0x1.0256586255d77p-17, 0x1.012926f87d518p-17, 0x1.ffe65a6a4dd6p-18, 0x1.fd69217f6fbdcp-18, 0x1.fadaeeec83755p-18, 0x1.f83c0e564f503p-18, 0x1.f58cc92b6370bp-18, 0x1.f2cd6773e2fc9p-18, 0x1.effe3a91d563bp-18, 0x1.ed1f8f2286a46p-18, 0x1.ea31ad70cc5efp-18, 0x1.e734da9a6e184p-18, 0x1.e42964340756ap-18, 0x1.e10f95c71dcfbp-18, 0x1.dde7b9981f959p-18, 0x1.dab21997541ap-18, 0x1.d76eff6f86f54p-18, 0x1.d41eb47f737bp-18, 0x1.d0c181e44ad16p-18, 0x1.cd57b0aa0bf9dp-18, 0x1.c9e18a1e662f8p-18, 0x1.c65f57043a7bfp-18, 0x1.c2d15d0548e71p-18, 0x1.bf37e24b3deb5p-18, 0x1.bb9336057c2e9p-18, 0x1.b7e39d7daaaedp-18, 0x1.b429594156415p-18, 0x1.b064b2876861fp-18, 0x1.ac95f01e56139p-18, 0x1.a8bd577e35d05p-18, 0x1.a4db2db20c9e8p-18, 0x1.a0efb7608ec45p-18, 0x1.9cfb38c3101a6p-18, 0x1.98fdf5a2f60d2p-18, 0x1.94f8315a69732p-18, 0x1.90ea2ee36a3efp-18, 0x1.8cd430dd9a26dp-18, 0x1.88b67946910d4p-18, 0x1.849148eee26c2p-18, 0x1.8064df92e5dbap-18, 0x1.7c3180a92bac4p-18, 0x1.77f76cf2d1f0cp-18, 0x1.73b6e0336d7d7p-18, 0x1.6f701a4ae71d2p-18, 0x1.6b235a28c94dp-18, 0x1.66d0dd986d48p-18, 0x1.6278e1cc12b7dp-18, 0x1.5e1ba37a68915p-18, 0x1.59b95eeea195dp-18, 0x1.55524fcbae39bp-18, 0x1.50e6b0800ececp-18, 0x1.4c76bad7f660dp-18, 0x1.4802abd28d486p-18, 0x1.438aba4b383e6p-18, 0x1.3f0f1e8a3f69ep-18, 0x1.3a90116262ab7p-18, 0x1.360dca59a4e09p-18, 0x1.3188804c95f13p-18, 0x1.2d006985f9f46p-18, 0x1.2875bbb6e6b5ep-18, 0x1.23e8abf1b467dp-18, 0x1.1f596eb3fb642p-18, 0x1.1ac837db68edbp-18, 0x1.16353aa76e182p-18, 0x1.11a0a9b955657p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.1074d9a5d7428p-6, -0x1.1032d2daa778p-5, -0x1.97a79f3c16a7bp-5, -0x1.0f2c1109c73efp-4, -0x1.52027a761126p-4, -0x1.94382b3ae993dp-4, -0x1.d5af3d3a565efp-4, -0x1.0b25736d2cdbbp-3, -0x1.2af7cb959fc45p-3, -0x1.4a418646c5e76p-3, -0x1.68f63320d3103p-3, -0x1.870a18ab77793p-3, -0x1.a47238b9b2e39p-3, -0x1.c12452f620428p-3, -0x1.dd16e5d1ae58ap-3, -0x1.f8412e0bd09f4p-3, -0x1.094d92839e5e8p-2, -0x1.160ebf0d2013ep-2, -0x1.2260d182adc97p-2, -0x1.2e40d7db2e073p-2, -0x1.39ac36bcfb6d3p-2, -0x1.44a0a6dce08c7p-2, -0x1.4f1c32304b5c6p-2, -0x1.591d30fdfd6bep-2, -0x1.62a246d6ea9ep-2, -0x1.6baa5f7f8d6ep-2, -0x1.7434abd0bdaffp-2, -0x1.7c409e95f40c1p-2, -0x1.83cde96e0c845p-2, -0x1.8adc79b2a6a95p-2, -0x1.916c7569b1745p-2, -0x1.977e3843fe9bap-2, -0x1.9d1250ab3bdf2p-2, -0x1.a2297ce140338p-2, -0x1.a6c4a83230438p-2, -0x1.aae4e83aae95fp-2, -0x1.ae8b7a42f9d6dp-2, -0x1.b1b9c0af9dc17p-2, -0x1.b47140881e058p-2, -0x1.b6b39f13d92a6p-2, -0x1.b8829f8d2847dp-2, -0x1.b9e020eaa6766p-2, -0x1.bace1bbe6ba2ap-2, -0x1.bb4ea02ae0296p-2, -0x1.bb63d3ecc4144p-2, -0x1.bb0ff079f0952p-2, -0x1.ba55413446218p-2, -0x1.b93621b0391fdp-2, -0x1.b7b4fc0e5c2e3p-2, -0x1.b5d447674e857p-2, -0x1.b39686496a6b7p-2, -0x1.b0fe454791dc7p-2, -0x1.ae0e19987cd8ep-2, -0x1.aac89fc5e77edp-2, -0x1.a7307a6b13322p-2, -0x1.a3485101fa4bbp-2, -0x1.9f12cebeb8171p-2, -0x1.9a92a178962e6p-2, -0x1.95ca78a046b29p-2, -0x1.90bd0442cd274p-2, -0x1.8b6cf418aaa1fp-2, -0x1.85dcf6a0e26ccp-2, -0x1.800fb8476a7c5p-2, -0x1.7a07e296b73aep-2, -0x1.73c81b73f9fe2p-2, -0x1.6d530465c9249p-2, -0x1.66ab39e4df9c9p-2, -0x1.5fd352b6a359p-2, -0x1.58cddf512ef8cp-2, -0x1.519d694898429p-2, -0x1.4a4472c52fba8p-2, -0x1.42c57602791a7p-2, -0x1.3b22e4d69dca1p-2, -0x1.335f28421ca42p-2, -0x1.2b7ca00776d36p-2, -0x1.237da24aa5e11p-2, -0x1.1b647b3816597p-2, -0x1.13336cb2f6a51p-2, -0x1.0aecae0a957b4p-2, -0x1.02926bb6a2a01p-2, -0x1.f44d8e3410f8dp-3, -0x1.e357ac986fb6dp-3, -0x1.d24747d131accp-3, -0x1.c1205dc7ebaacp-3, -0x1.afe6d4cf47045p-3, -0x1.9e9e7b644e743p-3, -0x1.8d4b07fa52d5dp-3, -0x1.7bf018d0faa2ap-3, -0x1.6a9133d3f1384p-3, -0x1.5931c683f06abp-3, -0x1.47d525e888b16p-3, -0x1.367e8e8a65164p-3, -0x1.253124757d475p-3, -0x1.13eff342e31d6p-3, -0x1.02bdee29ba1e9p-3, -0x1.e33be02de4272p-4, -0x1.c1257796d267dp-4, -0x1.9f3df80016f62p-4, -0x1.7d8a871f2d257p-4, -0x1.5c101b4b4c46bp-4, -0x1.3ad37be556f53p-4, -0x1.19d941c8ff649p-4, -0x1.f24baf8cde59cp-5, -0x1.b17af647b4d4bp-5, -0x1.7148784cb9061p-5, -0x1.31bbfd431f755p-5, -0x1.e5b9ea352d18fp-6, -0x1.6964f2840f079p-6, -0x1.dd0d37a24c86dp-7, -0x1.d4af1a3e88c4dp-8, 0x1.4fa9099806701p-13, 0x1.e33c55ef4227ep-8, 0x1.dab115be5ab44p-7, 0x1.603156759ef81p-6, 0x1.d14fb6a3b0c18p-6, 0x1.2055408d120e2p-5, 0x1.571c8ff74457fp-5, 0x1.8cf9c756c5bfdp-5, 0x1.c1e92bb42e9d8p-5, 0x1.f5e747df07c6p-5, 0x1.1478757885a3ap-4, 0x1.2d819368373fbp-4, 0x1.460da758d1515p-4, 0x1.5e1b7acc7ce73p-4, 0x1.75a9f66e4c0e3p-4, 0x1.8cb8215384dd2p-4, 0x1.a345203d67ff7p-4, 0x1.b95034db9eb9fp-4, 0x1.ced8bd0f6f06cp-4, 0x1.e3de322fe8447p-4, 0x1.f860284f0900cp-4, 0x1.062f26c00b149p-3, 0x1.0fec348fa11f4p-3, 0x1.19672d8d4c1dap-3, 0x1.22a00d9e36827p-3, 0x1.2b96dc3ba8304p-3, 0x1.344bac19cda88p-3, 0x1.3cbe9acf54fa3p-3, 0x1.44efd07de6969p-3, 0x1.4cdf7f7b8c867p-3, 0x1.548de3fcf8294p-3, 0x1.5bfb43c0cd336p-3, 0x1.6327edbbd23fcp-3, 0x1.6a1439c62da9cp-3, 0x1.70c088499df88p-3, 0x1.772d41f0bccfap-3, 0x1.7d5ad7574d46bp-3, 0x1.8349c0bb94c67p-3, 0x1.88fa7db0cf21ap-3, 0x1.8e6d94d2aef5ep-3, 0x1.93a39379fdaeap-3, 0x1.989d0d7256c3cp-3, 0x1.9d5a9cb0faaf6p-3, 0x1.a1dce10cc9707p-3, 0x1.a6247ff75bcdap-3, 0x1.aa3224374181ap-3, 0x1.ae067da366123p-3, 0x1.b1a240df99af6p-3, 0x1.b506271a4989ap-3, 0x1.b832edcb5ed32p-3, 0x1.bb29567447f18p-3, 0x1.bdea26612f63ep-3, 0x1.c076266b65a4ep-3, 0x1.c2ce22bcef146p-3, 0x1.c4f2ea954a245p-3, 0x1.c6e5500f5fb53p-3, 0x1.c8a627e8a74fep-3, 0x1.ca3649497913ep-3, 0x1.cb968d8e92a19p-3, 0x1.ccc7d013c634ap-3, 0x1.cdcaedffe585ap-3, 0x1.cea0c611d5fadp-3, 0x1.cf4a386ed44ffp-3, 0x1.cfc82671ea586p-3, 0x1.d01b727c96dcbp-3, 0x1.d044ffc89ec6p-3, 0x1.d045b23b0f838p-3, 0x1.d01e6e386d623p-3, 0x1.cfd0187a115bap-3, 0x1.cf5b95e4abcdap-3, 0x1.cec1cb5ff405bp-3, 0x1.ce039daf83be6p-3, 0x1.cd21f14cd3203p-3, 0x1.cc1daa425b6d9p-3, 0x1.caf7ac07e2fd9p-3, 0x1.c9b0d95fe1cf4p-3, 0x1.c84a14360b05bp-3, 0x1.c6c43d7ef6063p-3, 0x1.c5203518d843cp-3, 0x1.c35ed9ad6697bp-3, 0x1.c1810894c11f6p-3, 0x1.bf879db975f01p-3, 0x1.bd73737d97fd2p-3, 0x1.bb4562a0e1656p-3, 0x1.b8fe4227dda24p-3, 0x1.b69ee74425458p-3, 0x1.b428253d9386ap-3, 0x1.b19acd5c84936p-3, 0x1.aef7aed51214bp-3, 0x1.ac3f96b3451ddp-3, 0x1.a9734fc847308p-3, 0x1.a693a29880c1p-3, 0x1.a3a1554aaa7eap-3, 0x1.a09d2b97cc1bap-3, 0x1.9d87e6bc2189ep-3, 0x1.9a624568e165fp-3, 0x1.972d03b6f0e07p-3, 0x1.93e8db1a61f6bp-3, 0x1.90968256d9026p-3, 0x1.8d36ad74c01c8p-3, 0x1.89ca0db74af87p-3, 0x1.8651519346d0bp-3, 0x1.82cd24a6b3c2p-3, 0x1.7f3e2fb11de73p-3, 0x1.7ba5188cbc5f1p-3, 0x1.780282283e7bdp-3, 0x1.74570c815fbcap-3, 0x1.70a354a01da15p-3, 0x1.6ce7f492a4725p-3, 0x1.69258369e40b2p-3, 0x1.655c9536c59bcp-3, 0x1.618dbb0801817p-3, 0x1.5db982e897d9cp-3, 0x1.59e077ded5d22p-3, 0x1.560321ebf86abp-3, 0x1.5222060c5086dp-3, 0x1.4e3da63800ec1p-3, 0x1.4a568164321efp-3, 0x1.466d1384d4bf2p-3, 0x1.4281d58ed71e5p-3, 0x1.3e953d7ad89f9p-3, 0x1.3aa7be4850517p-3, 0x1.36b9c801209a4p-3, 0x1.32cbc7bd9fe17p-3, 0x1.2ede27a8fa1p-3, 0x1.2af14f06062cep-3, 0x1.2705a2346f88fp-3, 0x1.231b82b6408ebp-3, 0x1.1f334f35c1216p-3, 0x1.1b4d638baf964p-3, 0x1.176a18c5c00b7p-3, 0x1.1389c52d70311p-3, 0x1.0facbc4f1ecc8p-3, 0x1.0bd34f016a7b5p-3, 0x1.07fdcb6ccc46dp-3, 0x1.042c7d137a57fp-3, 0x1.005facd977879p-3, 0x1.f92f4219c4873p-4, 0x1.f1a93adcf0764p-4, 0x1.ea2dc6747fba3p-4, 0x1.e2bd6260cb792p-4, 0x1.db58873c8da2bp-4, 0x1.d3ffa8cf3303ap-4, 0x1.ccb3361f7ac13p-4, 0x1.c573998653677p-4, 0x1.be4138c201da6p-4, 0x1.b71c750962aa5p-4, 0x1.b005ab1f78d0cp-4, 0x1.a8fd33670c41dp-4, 0x1.a20361f689954p-4, 0x1.9b1886abe5345p-4, 0x1.943ced40b0aa9p-4, 0x1.8d70dd5e3bed9p-4, 0x1.86b49ab1cab22p-4, 0x1.80086500d8b61p-4, 0x1.796c783d645f3p-4, 0x1.72e10c9a44424p-4, 0x1.6c66569f74bf9p-4, 0x1.65fc873e6a5f7p-4, 0x1.5fa3cbe65be9fp-4, 0x1.595c4e987e11dp-4, 0x1.532635fc34643p-4, 0x1.4d01a5733235bp-4, 0x1.46eebd2d83d03p-4, 0x1.40ed9a3d8148ap-4, 0x1.3afe56aba6c48p-4, 0x1.3521098a4e7d5p-4, 0x1.2f55c7094abf1p-4, 0x1.299ca0895d3f4p-4, 0x1.23f5a4af87384p-4, 0x1.1e60df7833df6p-4, 0x1.18de5a4a35d18p-4, 0x1.136e1c099aa16p-4, 0x1.0e10292a504e2p-4, 0x1.08c483c295f37p-4, 0x1.038b2b9d3e07cp-4, 0x1.fcc83c97785cp-5, 0x1.f29eae6ff8a2bp-5, 0x1.e8999f6c06143p-5, 0x1.deb8fe2aaa075p-5, 0x1.d4fcb564473ffp-5, 0x1.cb64ac0c8407cp-5, 0x1.c1f0c573ad851p-5, 0x1.b8a0e167b183fp-5, 0x1.af74dc548ceb5p-5, 0x1.a66c8f6442eb5p-5, 0x1.9d87d09e5094ap-5, 0x1.94c673069fa99p-5, 0x1.8c2846bbf9b75p-5, 0x1.83ad1915f2aadp-5, 0x1.7b54b4c24cfe7p-5, 0x1.731ee1e1d8e83p-5, 0x1.6b0b6624d3dp-5, 0x1.631a04e6b61c2p-5, 0x1.5b4a7f497dc0cp-5, 0x1.539c94506e893p-5, 0x1.4c1000fa4e162p-5, 0x1.44a4805b1210bp-5, 0x1.3d59cbb5095eap-5, 0x1.362f9a917c1dfp-5, 0x1.2f25a2d8c1b4dp-5, 0x1.283b98e9cfc56p-5, 0x1.21712fb13fe9ep-5, 0x1.1ac618bfd5b86p-5, 0x1.143a04607268ap-5, 0x1.0dcca1ad8fcb4p-5, 0x1.077d9ea6282edp-5, 0x1.014ca8422379ep-5, 0x1.f672d50c86489p-6, 0x1.ea87212f02e86p-6, 0x1.ded5899bf0ccp-6, 0x1.d35d618e8ccbbp-6, 0x1.c81dfaf0e2692p-6, 0x1.bd16a67e94454p-6, 0x1.b246b3e6b771ep-6, 0x1.a7ad71ecb38bcp-6, 0x1.9d4a2e8824cc6p-6, 0x1.931c3703e073p-6, 0x1.8922d81bf2b3bp-6, 0x1.7f5d5e1ac1cd5p-6, 0x1.75cb14f550a6p-6, 0x1.6c6b486686301p-6, 0x1.633d4409a9714p-6, 0x1.5a405373ed95p-6, 0x1.5173c24d25f66p-6, 0x1.48d6dc67b0e8dp-6, 0x1.4068edd77afdcp-6, 0x1.382943083f5e1p-6, 0x1.301728d2f237ep-6, 0x1.2831ec926a5cfp-6, 0x1.2078dc372e9fbp-6, 0x1.18eb465a9b027p-6, 0x1.11887a513bf0bp-6, 0x1.0a4fc83c60ebbp-6, 0x1.0340811b124adp-6, 0x1.f8b3edb46d628p-7, 0x1.eb36f8c82a853p-7, 0x1.de08cb5e4d056p-7, 0x1.d1280f9873054p-7, 0x1.c49371e7fc7c4p-7, 0x1.b849a127b7a7cp-7, 0x1.ac494eb46e611p-7, 0x1.a0912e8421ae6p-7, 0x1.951ff73c13ed9p-7, 0x1.89f46245c62f3p-7, 0x1.7f0d2be2c15b4p-7, 0x1.7469133f3d6a2p-7, 0x1.6a06da83bbceap-7, 0x1.5fe546e59c1aap-7, 0x1.560320b692f11p-7, 0x1.4c5f33732c15cp-7, 0x1.42f84dd05dcccp-7, 0x1.39cd41c81b60dp-7, 0x1.30dce4a500029p-7, 0x1.28260f0d12p-7, 0x1.1fa79d0bb0e94p-7, 0x1.17606e1a8ff22p-7, 0x1.0f4f6529ecd9p-7, 0x1.077368a7fe87ep-7, 0x1.ff96c50f51569p-8, 0x1.f0ac808c937d4p-8, 0x1.e225e5e1da084p-8, 0x1.d400de516c60fp-8, 0x1.c63b5a4d5cf3bp-8, 0x1.b8d3517d95dcdp-8, 0x1.abc6c2c4e2e8bp-8, 0x1.9f13b4448fe8ep-8, 0x1.92b8335ee1be3p-8, 0x1.86b254b8890cp-8, 0x1.7b003438a4793p-8, 0x1.6f9ff507fd0fcp-8, 0x1.648fc18f06cc5p-8, 0x1.59cdcb730af9bp-8, 0x1.4f584b9242a4cp-8, 0x1.452d81ff17338p-8, 0x1.3b4bb5fa62d86p-8, 0x1.31b135ecf155ap-8, 0x1.285c576035879p-8, 0x1.1f4b76f5fe81fp-8, 0x1.167cf85fb1acdp-8, 0x1.0def4654b375dp-8, 0x1.05a0d288136b5p-8, 0x1.fb202b3b60c71p-9, 0x1.eb771e3d36889p-9, 0x1.dc438ad9de9c8p-9, 0x1.cd828b6e4578dp-9, 0x1.bf3147d56c357p-9, 0x1.b14cf54d03e13p-9, 0x1.a3d2d658e89bdp-9, 0x1.96c03aa5c0035p-9, 0x1.8a127eeae91cdp-9, 0x1.7dc70ccb0755p-9, 0x1.71db5ab48fc0dp-9, 0x1.664cebc13983dp-9, 0x1.5b194f948d088p-9, 0x1.503e223a62e56p-9, 0x1.45b90c0433e3dp-9, 0x1.3b87c166849d1p-9, 0x1.31a802d56ad75p-9, 0x1.28179ca075437p-9, 0x1.1ed466ceaa4eep-9, 0x1.15dc44f9be8c7p-9, 0x1.0d2d262901eecp-9, 0x1.04c504ac424fbp-9, 0x1.f943cbec46f87p-10, 0x1.e983b4ecae527p-10, 0x1.da45fae708dp-10, 0x1.cb86e9caa523fp-10, 0x1.bd42e29ba3065p-10, 0x1.af765b264643fp-10, 0x1.a21dddb1f9dddp-10, 0x1.953608b3d2cdfp-10, 0x1.88bb8e815f5c2p-10, 0x1.7cab3503d986ep-10, 0x1.7101d56a4b34fp-10, 0x1.65bc5bdc9db75p-10, 0x1.5ad7c72e6ebeep-10, 0x1.50512892612bcp-10, 0x1.4625a34cff85bp-10, 0x1.3c526c688d25ap-10, 0x1.32d4ca68bd799p-10, 0x1.29aa14fe80ad9p-10, 0x1.20cfb4bd2b1acp-10, 0x1.184322cedb0f4p-10, 0x1.1001e8a992bb1p-10, 0x1.08099fc5310a3p-10, 0x1.0057f1516f9p-10, 0x1.f1d52bd961075p-11, 0x1.e37eaab5e2344p-11, 0x1.d5a80c7b8b676p-11, 0x1.c84d1b9849716p-11, 0x1.bb69bf17d5db1p-11, 0x1.aef9fa1661e0ap-11, 0x1.a2f9eb346301ep-11, 0x1.9765cc0c22d4bp-11, 0x1.8c39f0a926255p-11, 0x1.8172c6ffb93e1p-11, 0x1.770cd666f7a3dp-11, 0x1.6d04bf1454e23p-11, 0x1.63573996ffbbcp-11, 0x1.5a01165723b2bp-11, 0x1.50ff3d142de9fp-11, 0x1.484eac6703f4ep-11, 0x1.3fec7943f78d4p-11, 0x1.37d5ce7eaa5a7p-11, 0x1.3007ec504a0dfp-11, 0x1.288027ddfe095p-11, 0x1.213beac23d039p-11, 0x1.1a38b297f085cp-11, 0x1.1374108546e48p-11, 0x1.0ceba8ca58c13p-11, 0x1.069d3250057d8p-11, 0x1.00867638ed03ap-11, 0x1.f54a9ee86c8d4p-12, 0x1.e9ef54a414516p-12, 0x1.def708318e0ebp-12, 0x1.d45dd539f97f5p-12, 0x1.ca1ff7b4c37e7p-12, 0x1.c039cb1dad1b1p-12, 0x1.b6a7c9ae44788p-12, 0x1.ad668b9940ec5p-12, 0x1.a472c649ae95ap-12, 0x1.9bc94ba67ef5bp-12, 0x1.9367095819235p-12, 0x1.8b490810af4fcp-12, 0x1.836c6adb79b51p-12, 0x1.7bce6e68a349fp-12, 0x1.746c68625f7cap-12, 0x1.6d43c6c1bdb8dp-12, 0x1.66520f28a4096p-12, 0x1.5f94de3db2d05p-12, 0x1.5909e70b7d7afp-12, 0x1.52aef262f990fp-12, 0x1.4c81de40980f2p-12, 0x1.46809d34b023ap-12, 0x1.40a935ced2ce9p-12, 0x1.3af9c20dbb5b9p-12, 0x1.35706ece33704p-12, 0x1.300b7b412085fp-12, 0x1.2ac93861694dep-12, 0x1.25a8086f271e1p-12, 0x1.20a65e6b15f8p-12, 0x1.1bc2bd9768e99p-12, 0x1.16fbb8f97a34dp-12, 0x1.124ff2df16b44p-12, 0x1.0dbe1c654967dp-12, 0x1.0944f503894d4p-12, 0x1.04e34a1912f7ep-12, 0x1.0097f67c59a1ap-12, 0x1.f8c3c418a4ef9p-13, 0x1.f080028bea53ep-13, 0x1.e862a9b643374p-13, 0x1.e069d2981d1c5p-13, 0x1.d893ad06ef81ap-13, 0x1.d0de7eea80a28p-13, 0x1.c948a37e455cbp-13, 0x1.c1d08a966c88ap-13, 0x1.ba74b7e9ecf22p-13, 0x1.b333c263d3b35p-13, 0x1.ac0c5375f1d75p-13, 0x1.a4fd26705a2c7p-13, 0x1.9e0507dd4fcb8p-13, 0x1.9722d4e2885p-13, 0x1.90557aa38d64bp-13, 0x1.899bf5ac36de4p-13, 0x1.82f5515b213c4p-13, 0x1.7c60a75501fa1p-13, 0x1.75dd1ef6a2e61p-13, 0x1.6f69eccc7a1f1p-13, 0x1.6906520eeb85ap-13, 0x1.62b19c2203302p-13, 0x1.5c6b24177308cp-13, 0x1.56324e35e89cep-13, 0x1.5006898203f4dp-13, 0x1.49e74f4c1599ap-13, 0x1.43d422bfe704ep-13, 0x1.3dcc907848a3ep-13, 0x1.37d02e160b59ep-13, 0x1.31de99dacd18p-13, 0x1.2bf77a45a022ep-13, 0x1.261a7db1f01aap-13, 0x1.204759fb42e78p-13, 0x1.1a7dcc22d7087p-13, 0x1.14bd97f84064ep-13, 0x1.0f0687c3d6ca4p-13, 0x1.09586bf56c975p-13, 0x1.03b31ad58402fp-13, 0x1.fc2ce06dcb552p-14, 0x1.f1049a5aa98c1p-14, 0x1.e5ed2f8874b33p-14, 0x1.dae67574b9e08p-14, 0x1.cff04a7dff73p-14, 0x1.c50a955f69ca8p-14, 0x1.ba3544b39a133p-14, 0x1.af704e7daa857p-14, 0x1.a4bbafb27bb5bp-14, 0x1.9a176bc686f5p-14, 0x1.8f838c43c295fp-14, 0x1.8500205eef0d2p-14, 0x1.7a8d3c966f01p-14, 0x1.702afa4c7a37ap-14, 0x1.65d9776bb08fcp-14, 0x1.5b98d60bed1bbp-14, 0x1.51693c1d57d4cp-14, 0x1.474ad3147d6b2p-14, 0x1.3d3dc79912bb1p-14, 0x1.3342493c7351bp-14, 0x1.29588a2d9c78dp-14, 0x1.1f80bef3ec582p-14, 0x1.15bb1e291e2bdp-14, 0x1.0c07e03a64193p-14, 0x1.02673f29771a9p-14, 0x1.f1b2eca8a7e41p-15, 0x1.debd847368d7ep-15, 0x1.cbeec086c84c9p-15, 0x1.b9471d263bb96p-15, 0x1.a6c717a2f7e5fp-15, 0x1.946f2dfc4b62ap-15, 0x1.823fde8787071p-15, 0x1.7039a79bbe071p-15, 0x1.5e5d07439c464p-15, 0x1.4caa7aed8fed7p-15, 0x1.3b227f23bf5b8p-15, 0x1.29c58f47a4f35p-15, 0x1.189425506ba3ap-15, 0x1.078eb99158473p-15, 0x1.ed6b84fedb2abp-16, 0x1.cc1368f28b721p-16, 0x1.ab160329a9831p-16, 0x1.8a7432e2f48dcp-16, 0x1.6a2ed2123883cp-16, 0x1.4a46b50af5832p-16, 0x1.2abcaa3ca49e6p-16, 0x1.0b9179e02cf8ep-16, 0x1.d98bcb7ff8d53p-17, 0x1.9cb551e6d129cp-17, 0x1.60a0ef4ebf21dp-17, 0x1.254ffdd17360ap-17, 0x1.d58791dd561cbp-18, 0x1.61fb1a7e6ecfcp-18, 0x1.dff9e08745ca5p-19, 0x1.fe3d3b8fbd8afp-20, 0x1.0b452af5f58ffp-22, -0x1.72481fd65b37ep-20, -0x1.9083c9b9ac37dp-19, -0x1.32598860bfc4bp-18, -0x1.9ad757a91dbb1p-18, -0x1.00dcec698c56cp-17, -0x1.337fd98ee6f96p-17, -0x1.6553d77c25d2bp-17, -0x1.96585b1314edcp-17, -0x1.c68ce9de61818p-17, -0x1.f5f11a0b4b6abp-17, -0x1.12424930760ddp-16, -0x1.2923851bed3fdp-16, -0x1.3f9c24b4145e3p-16, -0x1.55ac1419a0129p-16, -0x1.6b534796b1319p-16, -0x1.8091bb8e5d5bep-16, -0x1.9567746d951afp-16, -0x1.a9d47e9765099p-16, -0x1.bdd8ee56108a4p-16, -0x1.d174dfc1aee75p-16, -0x1.e4a876aa21ef9p-16, -0x1.f773de8000846p-16, -0x1.04eba51d34fbbp-15, -0x1.0de97a2010cc4p-15, -0x1.16b38f2263a32p-15, -0x1.1f4a08979d747p-15, -0x1.27ad0e80eed53p-15, -0x1.2fdccc5a348fp-15, -0x1.37d9710cc7bap-15, -0x1.3fa32edeb8e81p-15, -0x1.473a3b616a439p-15, -0x1.4e9ecf61ce231p-15, -0x1.55d126d6a20ap-15, -0x1.5cd180d097faap-15, -0x1.63a01f6876718p-15, -0x1.6a3d47ac826fp-15, -0x1.70a9418e9eba4p-15, -0x1.76e457d392941p-15, -0x1.7ceed7ff71c8cp-15, -0x1.82c91242ad03bp-15, -0x1.88735967f710ap-15, -0x1.8dee02c3d793bp-15, -0x1.9339662042dc8p-15, -0x1.9855ddaa57e23p-15, -0x1.9d43c5e012b78p-15, -0x1.a2037d7dd7ba5p-15, -0x1.a6956569d7286p-15, -0x1.aaf9e0a34b2cap-15, -0x1.af315430b565cp-15, -0x1.b33c270ab87dfp-15, -0x1.b71ac20c8e969p-15, -0x1.bacd8fe0b79bdp-15, -0x1.be54fced6cde9p-15, -0x1.c1b1774563853p-15, -0x1.c4e36e92321fep-15, -0x1.c7eb5403be44fp-15, -0x1.cac99a401a955p-15, -0x1.cd7eb550ce8c2p-15, -0x1.d00b1a9113a8dp-15, -0x1.d26f409e6fe28p-15, -0x1.d4ab9f45bfdb6p-15, -0x1.d6c0af730e0ccp-15, -0x1.d8aeeb205aa7dp-15, -0x1.da76cd45be0ecp-15, -0x1.dc18d1c9b3a85p-15, -0x1.dd95756f9bdadp-15, -0x1.deed35c9301c6p-15, -0x1.e0209126dda0ap-15, -0x1.e1300687cc144p-15, -0x1.e21c158b7dfdap-15, -0x1.e2e53e61c17e1p-15, -0x1.e38c01bc578b3p-15, -0x1.e410e0c14a421p-15, -0x1.e4745cfc93c45p-15, -0x1.e4b6f851d040bp-15, -0x1.e4d934eee441cp-15, -0x1.e4db953ee8865p-15, -0x1.e4be9bdc2192bp-15, -0x1.e482cb83cee05p-15, -0x1.e428a70954adfp-15, -0x1.e3b0b149d8beap-15, -0x1.e31b6d1fcbffcp-15, -0x1.e2695d5776dfcp-15, -0x1.e19b04a3c39bfp-15, -0x1.e0b0e591ff638p-15, -0x1.dfab827fcd29cp-15, -0x1.de8b5d8fae064p-15, -0x1.dd50f89db5887p-15, -0x1.dbfcd536deb4ap-15, -0x1.da8f748e67e0bp-15, -0x1.d9095772cda5dp-15, -0x1.d76afe463152cp-15, -0x1.d5b4e8f4aed2ap-15, -0x1.d3e796e9e1403p-15, -0x1.d20387094619dp-15, -0x1.d00937a632ee2p-15, -0x1.cdf9267afdab6p-15, -0x1.cbd3d0a079f69p-15, -0x1.c999b28696043p-15, -0x1.c74b47ecea793p-15, -0x1.c4e90bdc2f709p-15, -0x1.c273789d4348ep-15, -0x1.bfeb07b4556ap-15, -0x1.bd5031d92065dp-15, -0x1.baa36ef0de88dp-15, -0x1.b7e536082dd76p-15, -0x1.b515fd4dbff75p-15, -0x1.b2363a0b7919bp-15, -0x1.af4660a121b1ap-15, -0x1.ac46e481005bcp-15, -0x1.a93838286fdefp-15, -0x1.a61acd1bb9c42p-15, -0x1.a2ef13e24e9a1p-15, -0x1.9fb57c0247332p-15, -0x1.9c6e73fb8554p-15, -0x1.991a6943446f7p-15, -0x1.95b9c841124f1p-15, -0x1.924cfc4bc5933p-15, -0x1.8ed46fa46f8bp-15, -0x1.8b508b746820bp-15, -0x1.87c1b7c9724c2p-15, -0x1.84285b9330adp-15, -0x1.8084dca10a8c9p-15, -0x1.7cd79f9eb13c5p-15, -0x1.79210812188ccp-15, -0x1.756178595891ap-15, -0x1.719951a7b1767p-15, -0x1.6dc8f405b20b1p-15, -0x1.69f0be4da2791p-15, -0x1.66110e2a2bd41p-15, -0x1.622a4015e07c3p-15, -0x1.5e3caf59a9acfp-15, -0x1.5a48b60b459f2p-15, -0x1.564ead0c1b0d8p-15, -0x1.524eec08156p-15, -0x1.4e49c976cc1afp-15, -0x1.4a3f9a98f4f2ep-15, -0x1.4630b3781374dp-15, -0x1.421d66e78513cp-15, -0x1.3e060682025e5p-15, -0x1.39eae2ac7dfbdp-15, -0x1.35cc4a941873fp-15, -0x1.31aa8c2ec24ffp-15, -0x1.2d85f43ae65b2p-15, -0x1.295ece40b237fp-15, -0x1.253564920e72ep-15, -0x1.210a004b5ba91p-15, -0x1.1cdce95372887p-15, -0x1.18ae665d17fcep-15, -0x1.147ebce8b1dcp-15, -0x1.104e31433a1e2p-15, -0x1.0c1d0688753e5p-15, -0x1.07eb7ea35324dp-15, -0x1.03b9da500b95ep-15, -0x1.ff10b239e868ep-16, -0x1.f6ae72d7210d5p-16, -0x1.ee4d70e400bf3p-16, }}, 
      {{-0x1.d7fba2ff3aacdp-7, -0x1.d7c26c4fbf1d9p-6, -0x1.618a6e787c152p-5, -0x1.d6de5a0a72347p-5, -0x1.25e090ef64e0fp-4, -0x1.600bb5d799783p-4, -0x1.99e33997cf678p-4, -0x1.d35a103040db9p-4, -0x1.0631c6bc8f7f9p-3, -0x1.2279b6b40344bp-3, -0x1.3e7eed7db5f34p-3, -0x1.5a3bbaf1201adp-3, -0x1.75aaab7c37fc5p-3, -0x1.90c689d8d1a55p-3, -0x1.ab8a6045f6e8ap-3, -0x1.c5f17951af4dbp-3, -0x1.dff7603f4ae9ep-3, -0x1.f997e11590865p-3, -0x1.0967842fc49b1p-2, -0x1.15cc9154e5fffp-2, -0x1.21f95de2ba333p-2, -0x1.2dec4eec84f59p-2, -0x1.39a3e8236f701p-2, -0x1.451ecb37dcba3p-2, -0x1.505bb72be2f0bp-2, -0x1.5b5987999bce4p-2, -0x1.661733efb4ee2p-2, -0x1.7093cea65303ep-2, -0x1.7ace846e27d9cp-2, -0x1.84c69b5b564ecp-2, -0x1.8e7b720d94014p-2, -0x1.97ec7ed6bdd4dp-2, -0x1.a1194ee0fb6ffp-2, -0x1.aa01855555f51p-2, -0x1.b2a4da839ac89p-2, -0x1.bb031b0c2dffcp-2, -0x1.c31c270c6d005p-2, -0x1.caeff14e1e375p-2, -0x1.d27e7e7a59384p-2, -0x1.d9c7e4503f397p-2, -0x1.e0cc48dfd0759p-2, -0x1.e78be1c919d0ap-2, -0x1.ee06f37fe4896p-2, -0x1.f43dd094129fep-2, -0x1.fa30d8febb4bep-2, -0x1.ffe0797418a8dp-2, -0x1.02a6955d2b37p-1, -0x1.053bb8829d1cp-1, -0x1.07afedab551d3p-1, -0x1.0a0381720141cp-1, -0x1.0c36c5401bf99p-1, -0x1.0e4a0f0554634p-1, -0x1.103db8f14c0bep-1, -0x1.1212212f9a8b5p-1, -0x1.13c7a9a60cdfbp-1, -0x1.155eb7b515f93p-1, -0x1.16d7b3fa61128p-1, -0x1.18330a157bf03p-1, -0x1.1971286e89a1dp-1, -0x1.1a927ffef21e3p-1, -0x1.1b97841c01502p-1, -0x1.1c80aa43690acp-1, -0x1.1d4e69e997d31p-1, -0x1.1e013c49d97fbp-1, -0x1.1e999c3836af9p-1, -0x1.1f1805f503439p-1, -0x1.1f7cf70215e99p-1, -0x1.1fc8edf99874cp-1, -0x1.1ffc6a6669bfcp-1, -0x1.2017ec9e05e2fp-1, -0x1.201bf59be9874p-1, -0x1.200906de68db2p-1, -0x1.1fdfa244ed698p-1, -0x1.1fa049ef96dc8p-1, -0x1.1f4b80202f0f5p-1, -0x1.1ee1c71c6fe58p-1, -0x1.1e63a1118cd41p-1, -0x1.1dd18ff8fbb78p-1, -0x1.1d2c157e729f6p-1, -0x1.1c73b2e713f8ap-1, -0x1.1ba8e8f9c19aap-1, -0x1.1acc37e88e952p-1, -0x1.19de1f3b4763ep-1, -0x1.18df1dbb0d02ep-1, -0x1.17cfb15ef65a6p-1, -0x1.16b05739b47e5p-1, -0x1.15818b683441ap-1, -0x1.1443c9012f426p-1, -0x1.12f78a05af4bap-1, -0x1.119d47527436bp-1, -0x1.103578923ba35p-1, -0x1.0ec09430e1833p-1, -0x1.0d3f0f4f5235ep-1, -0x1.0bb15db84a416p-1, -0x1.0a17f1d5dada1p-1, -0x1.08733ca7ac69bp-1, -0x1.06c3adb9fd8b6p-1, -0x1.0509b31d4ff8dp-1, -0x1.0345b95ec6b53p-1, -0x1.01782b8128441p-1, -0x1.ff42e5ed025fbp-2, -0x1.fb83ef34c7242p-2, -0x1.f7b43f597302dp-2, -0x1.f3d49f9a50d3bp-2, -0x1.efe5d5edf9e7dp-2, -0x1.ebe8a4fb377cbp-2, -0x1.e7ddcc12e5785p-2, -0x1.e3c6072ac3853p-2, -0x1.dfa20ed933acep-2, -0x1.db729851d62bbp-2, -0x1.d7385562fe86fp-2, -0x1.d2f3f473efdf8p-2, -0x1.cea62083e2415p-2, -0x1.ca4f8129bd96cp-2, -0x1.c5f0ba94880ccp-2, -0x1.c18a6d8c7e3a9p-2, -0x1.bd1d3774caefep-2, -0x1.b8a9b24dd961dp-2, -0x1.b43074b83647cp-2, -0x1.afb211f7fcd3bp-2, -0x1.ab2f19f8c64a3p-2, -0x1.a6a81952136d1p-2, -0x1.a21d994c2e688p-2, -0x1.9d901fe575dc9p-2, -0x1.99002fd8164b5p-2, -0x1.946e48a021341p-2, -0x1.8fdae682039eep-2, -0x1.8b4682915038bp-2, -0x1.86b192b7e0128p-2, -0x1.821c89bd3aa16p-2, -0x1.7d87d74e49d3dp-2, -0x1.78f3e8054c9acp-2, -0x1.746125720c4dp-2, -0x1.6fcff6224893p-2, -0x1.6b40bdaa5a4dp-2, -0x1.66b3dcae097d2p-2, -0x1.6229b0e98f2cep-2, -0x1.5da2953ac34d5p-2, -0x1.591ee1aa6f892p-2, -0x1.549eeb75c93adp-2, -0x1.5023051807187p-2, -0x1.4bab7e54184bbp-2, -0x1.4738a43e72697p-2, -0x1.42cac146faadp-2, -0x1.3e621d42ffea7p-2, -0x1.39fefd774aee9p-2, -0x1.35a1a4a23b2fdp-2, -0x1.314a5305f3c48p-2, -0x1.2cf9467293587p-2, -0x1.28aeba50724ap-2, -0x1.246ae7aa6d18ap-2, -0x1.202e05382fb3dp-2, -0x1.1bf847688681fp-2, -0x1.17c9e06bb0489p-2, -0x1.13a3003db0145p-2, -0x1.0f83d4b09e3fdp-2, -0x1.0b6c8976f3c2fp-2, -0x1.075d482dd5822p-2, -0x1.0356386753bd8p-2, -0x1.feaeff694bf7p-3, -0x1.f6c28360be11fp-3, -0x1.eee7401123287p-3, -0x1.e71d7511e1a68p-3, -0x1.df655e49bf241p-3, -0x1.d7bf3402e6c1fp-3, -0x1.d02b2afed6e5ep-3, -0x1.c8a9748a2a048p-3, -0x1.c13a3e9044279p-3, -0x1.b9ddb3aedaa0bp-3, -0x1.b293fb49588d2p-3, -0x1.ab5d399c210bbp-3, -0x1.a4398fcfa4966p-3, -0x1.9d291c0b540ddp-3, -0x1.962bf98865269p-3, -0x1.8f4240a46c9d3p-3, -0x1.886c06f3cb8eep-3, -0x1.81a95f53f45b2p-3, -0x1.7afa59fd7578p-3, -0x1.745f0495e035bp-3, -0x1.6dd76a417817fp-3, -0x1.676393b4b0ed7p-3, -0x1.6103874578202p-3, -0x1.5ab748fc520abp-3, -0x1.547edaa539bbap-3, -0x1.4e5a3be050572p-3, -0x1.48496a3255efdp-3, -0x1.424c6114eaf58p-3, -0x1.3c631a069a38fp-3, -0x1.368d8c9aad487p-3, -0x1.30cbae88c4fb6p-3, -0x1.2b1d73bc3c569p-3, -0x1.2582ce6352434p-3, -0x1.1ffbaefe15b3cp-3, -0x1.1a88046d1ec3ep-3, -0x1.1527bc0005e07p-3, -0x1.0fdac183a5471p-3, -0x1.0aa0ff5020783p-3, -0x1.057a5e56ad34fp-3, -0x1.0066c62f218e6p-3, -0x1.f6cc3a4a9c1d5p-4, -0x1.ecf0908c1f83bp-4, -0x1.e33a56d86ac4bp-4, -0x1.d9a9529a35449p-4, -0x1.d03d470a2b6edp-4, -0x1.c6f5f5473d11ap-4, -0x1.bdd31c6e85bp-4, -0x1.b4d479b2b467cp-4, -0x1.abf9c872ffbcp-4, -0x1.a342c251a705ep-4, -0x1.9aaf1f4a018cp-4, -0x1.923e95c60c4c9p-4, -0x1.89f0dab38cfe9p-4, -0x1.81c5a198c502fp-4, -0x1.79bc9ca8a5abcp-4, -0x1.71d57cd69c04ap-4, -0x1.6a0ff1e9e49f9p-4, -0x1.626baa9071c95p-4, -0x1.5ae854715f90bp-4, -0x1.53859c3ef8ccep-4, -0x1.4c432dc84da84p-4, -0x1.4520b40a5cec9p-4, -0x1.3e1dd940cdc61p-4, -0x1.373a46f640da1p-4, -0x1.3075a614360dep-4, -0x1.29cf9ef28595p-4, -0x1.2347d96673d86p-4, -0x1.1cddfcd15b47fp-4, -0x1.1691b02ef1056p-4, -0x1.10629a23221d5p-4, -0x1.0a5061078f778p-4, -0x1.045aaaf8a3643p-4, -0x1.fd023bc491089p-5, -0x1.f186bf187af1dp-5, -0x1.e6422b4c1543fp-5, -0x1.db33cba5337cap-5, -0x1.d05aeb66e09dbp-5, -0x1.c5b6d5e71d585p-5, -0x1.bb46d6a3ea12bp-5, -0x1.b10a39579f9ap-5, -0x1.a7004a0c98f68p-5, -0x1.9d2855302fc9dp-5, -0x1.9381a7a511335p-5, -0x1.8a0b8ed4eb3a3p-5, -0x1.80c558c1774fbp-5, -0x1.77ae5414df1a6p-5, -0x1.6ec5d0318c11ep-5, -0x1.660b1d4152cbbp-5, -0x1.5d7d8c4409194p-5, -0x1.551c6f1d8805ap-5, -0x1.4ce718a317f09p-5, -0x1.44dcdca84f38ap-5, -0x1.3cfd100b5f95cp-5, -0x1.354708c0de1a2p-5, -0x1.2dba1ddefed0ep-5, -0x1.2655a7a84e878p-5, -0x1.1f18ff95e8a71p-5, -0x1.180380612f715p-5, -0x1.1114860d05398p-5, -0x1.0a4b6dee8dfd5p-5, -0x1.03a796b579031p-5, -0x1.fa50c0e7ae1fap-6, -0x1.ed9a594afbd5bp-6, -0x1.e12abc6df692cp-6, -0x1.d500b31841472p-6, -0x1.c91b090c411d7p-6, -0x1.bd788d128d861p-6, -0x1.b21811049869p-6, -0x1.a6f869d692b84p-6, -0x1.9c186fa090329p-6, -0x1.9176fda6f64d3p-6, -0x1.8712f2622fef4p-6, -0x1.7ceb2f85b9b3p-6, -0x1.72fe9a067eef1p-6, -0x1.694c1a208e918p-6, -0x1.5fd29b5c37475p-6, -0x1.56910c927d923p-6, -0x1.4d865ff1046d4p-6, -0x1.44b18afd5905dp-6, -0x1.3c118697b8c06p-6, -0x1.33a54efd45946p-6, -0x1.2b6be3c9bd25ep-6, -0x1.236447f8a53f4p-6, -0x1.1b8d81e6064bp-6, -0x1.13e69b4e9d4a5p-6, -0x1.0c6ea14fb033ep-6, -0x1.0524a46655966p-6, -0x1.fc0f70dcd2632p-7, -0x1.ee2de9421346fp-7, -0x1.e0a2e72562e8fp-7, -0x1.d36ca661eabaap-7, -0x1.c689697fc0114p-7, -0x1.b9f779adeff61p-7, -0x1.adb526bbd5691p-7, -0x1.a1c0c711d2043p-7, -0x1.9618b7a961f3ep-7, -0x1.8abb5c049ac1cp-7, -0x1.7fa71e2520332p-7, -0x1.74da6e828127cp-7, -0x1.6a53c4000ec61p-7, -0x1.60119be24a192p-7, -0x1.561279c3c0b96p-7, -0x1.4c54e7898588cp-7, -0x1.42d775573a63fp-7, -0x1.3998b982a3bfcp-7, -0x1.30975086f7985p-7, -0x1.27d1dcf7af1e8p-7, -0x1.1f4707731d25ap-7, -0x1.16f57e94a1e87p-7, -0x1.0edbf6e690b29p-7, -0x1.06f92ad3d5388p-7, -0x1.fe97b532a059cp-8, -0x1.efa5986dee128p-8, -0x1.e11996c1748e5p-8, -0x1.d2f152de53bf2p-8, -0x1.c52a7a9fefbf1p-8, -0x1.b7c2c6ec75e79p-8, -0x1.aab7fb952c6d4p-8, -0x1.9e07e7366f836p-8, -0x1.91b063174daafp-8, -0x1.85af5309074c8p-8, -0x1.7a02a5463b008p-8, -0x1.6ea85251ec1ffp-8, -0x1.639e5cd67c62bp-8, -0x1.58e2d1843fe09p-8, -0x1.4e73c6f035f27p-8, -0x1.444f5d7275833p-8, -0x1.3a73bf04a9fc9p-8, -0x1.30df1f2075bep-8, -0x1.278fba9dcdd2cp-8, -0x1.1e83d7915bd8ep-8, -0x1.15b9c52acba3ep-8, -0x1.0d2fdb93354dfp-8, -0x1.04e47bcb95eb2p-8, -0x1.f9ac1f166b534p-9, -0x1.ea06123cbf24ep-9, -0x1.dad3c689fec8cp-9, -0x1.cc124222b4ea7p-9, -0x1.bdbe9b8e20b25p-9, -0x1.afd5f9742a221p-9, -0x1.a255925bed4fdp-9, -0x1.953aac6a61375p-9, -0x1.88829d218756cp-9, -0x1.7c2ac91fce865p-9, -0x1.7030a3dfec07bp-9, -0x1.6491af793fa21p-9, -0x1.594b7c608a7f5p-9, -0x1.4e5ba9290d0ep-9, -0x1.43bfe2466d4c6p-9, -0x1.3975e1ce9f542p-9, -0x1.2f7b6f3cba561p-9, -0x1.25ce5f34352b8p-9, -0x1.1c6c93448d4dp-9, -0x1.1353f9adb481cp-9, -0x1.0a828d24da526p-9, -0x1.01f6549a01447p-9, -0x1.f35ac5fbd350ep-10, -0x1.e34bae1199631p-10, -0x1.d3bbb603128aap-10, -0x1.c4a7490b4e8dfp-10, -0x1.b60ae8a384ef8p-10, -0x1.a7e32c157ca17p-10, -0x1.9a2cc00f04304p-10, -0x1.8ce46636c4b51p-10, -0x1.8006f4c27f516p-10, -0x1.7391560e84cbfp-10, -0x1.678088367cb17p-10, -0x1.5bd19cafac647p-10, -0x1.5081b7e42a9d1p-10, -0x1.458e10cfdae6bp-10, -0x1.3af3f09e9a3b4p-10, -0x1.30b0b24ba37f4p-10, -0x1.26c1c24273eb8p-10, -0x1.1d249e00fb9b7p-10, -0x1.13d6d3bb582bcp-10, -0x1.0ad602007f2a2p-10, -0x1.021fd760ae25p-10, -0x1.f3642429c295ep-11, -0x1.e314ff4fb57d4p-11, -0x1.d34df9410ba5p-11, -0x1.c40ae85aeb4fdp-11, -0x1.b547bfa3fbf0dp-11, -0x1.a7008e28cdd8bp-11, -0x1.99317e5b47274p-11, -0x1.8bd6d5748451p-11, -0x1.7eecf2d92984p-11, -0x1.72704f80aebc5p-11, -0x1.665d7d5eec4e8p-11, -0x1.5ab126d0bae63p-11, -0x1.4f680e0a55a73p-11, -0x1.447f0c892928dp-11, -0x1.39f3128743b29p-11, -0x1.2fc126720e85dp-11, -0x1.25e66462d4c56p-11, -0x1.1c5ffd9a7e04ep-11, -0x1.132b37fef1159p-11, -0x1.0a456d9b6b6d9p-11, -0x1.01ac0c22f5e4cp-11, -0x1.f2b928ea942e7p-12, -0x1.e2a9344c5a52bp-12, -0x1.d323860d4bcbbp-12, -0x1.c4238d628c2e8p-12, -0x1.b5a4dc2fbea34p-12, -0x1.a7a32628192e9p-12, -0x1.9a1a3ff38a1dp-12, -0x1.8d061e58140adp-12, -0x1.8062d56736a6ap-12, -0x1.742c97b08383p-12, -0x1.685fb5774708fp-12, -0x1.5cf89bedafe44p-12, -0x1.51f3d4725efa6p-12, -0x1.474e03d3bfb6ep-12, -0x1.3d03e995dap-12, -0x1.33125f3d60705p-12, -0x1.2976579d6d5d2p-12, -0x1.202cde2a1b4eap-12, -0x1.1733164e2656dp-12, -0x1.0e863ac475351p-12, -0x1.06239cf5aec0fp-12, -0x1.fc1148b1a1178p-13, -0x1.ec659baedd6b7p-13, -0x1.dd3f566c1f99dp-13, -0x1.ce99c4fdded46p-13, -0x1.c0705ae21f79dp-13, -0x1.b2beb1e4087d1p-13, -0x1.a580890690a68p-13, -0x1.98b1c3755a664p-13, -0x1.8c4e677c1a165p-13, -0x1.80529d83bf9ddp-13, -0x1.74baaf162fec2p-13, -0x1.698305e7ddc12p-13, -0x1.5ea82ae74ac45p-13, -0x1.5426c551e6356p-13, -0x1.49fb99cf93c5ep-13, -0x1.402389927705ep-13, -0x1.369b917cfe7e4p-13, -0x1.2d60c94d7a53fp-13, -0x1.247062ce488e4p-13, -0x1.1bc7a90c38097p-13, -0x1.1363ff9096dc8p-13, -0x1.0b42e1a1b844ep-13, -0x1.0361e186bf56fp-13, -0x1.f77d4fa421e38p-14, -0x1.e8ade55d45c3cp-14, -0x1.da512a66a04cdp-14, -0x1.cc62ed7300c7fp-14, -0x1.bedf2471f89a6p-14, -0x1.b1c1eb503fac8p-14, -0x1.a50782bfab2aep-14, -0x1.98ac4f0884b1ep-14, -0x1.8cacd6e1a250fp-14, -0x1.8105c2518c77ep-14, -0x1.75b3d995a7945p-14, -0x1.6ab404149f452p-14, -0x1.6003475427f99p-14, -0x1.559ec5f848416p-14, -0x1.4b83bec9e8149p-14, -0x1.41af8bc3098bap-14, -0x1.381fa122ab2e3p-14, -0x1.2ed18c88922c6p-14, -0x1.25c2f413c152dp-14, -0x1.1cf1958b7e833p-14, -0x1.145b458c1d637p-14, -0x1.0bfdeebb184ep-14, -0x1.03d79100032b7p-14, -0x1.f7cc8187f5039p-15, -0x1.e8504c6e75e71p-15, -0x1.d936f93530291p-15, -0x1.ca7d232128bafp-15, -0x1.bc1f88e401172p-15, -0x1.ae1b0b4ff80adp-15, -0x1.a06cac16e4becp-15, -0x1.93118c928bdd7p-15, -0x1.8606ec96a9fdp-15, -0x1.794a294c5effp-15, -0x1.6cd8bc15a92aap-15, -0x1.60b0397d93e09p-15, -0x1.54ce502abffdp-15, -0x1.4930c7df1d346p-15, -0x1.3dd5807df8032p-15, -0x1.32ba711957ac4p-15, -0x1.27dda70a77f88p-15, -0x1.1d3d450e4ad29p-15, -0x1.12d7826aa881dp-15, -0x1.08aaaa1a08594p-15, -0x1.fd6a33feb873fp-16, -0x1.e9ea844117eb8p-16, -0x1.d6d347cf8df1fp-16, -0x1.c421a2d2523d4p-16, -0x1.b1d2d96330f89p-16, -0x1.9fe44e31edcc2p-16, -0x1.8e5381388b454p-16, -0x1.7d1e0e7a1d84fp-16, -0x1.6c41acccab5aap-16, -0x1.5bbc2cac2d511p-16, -0x1.4b8b771ba7895p-16, -0x1.3bad8c8e2814ep-16, -0x1.2c2083d9d8f8cp-16, -0x1.1ce28936e3e3dp-16, -0x1.0df1dd43b85acp-16, -0x1.fe99a82a1ed4cp-17, -0x1.e1e3a89e33172p-17, -0x1.c5beac8ec3fadp-17, -0x1.aa27c65c2cb5ep-17, -0x1.8f1c287f99c7ap-17, -0x1.749923fd01c46p-17, -0x1.5a9c26e818413p-17, -0x1.4122baf404162p-17, -0x1.282a841125562p-17, -0x1.0fb13f1f6fb1cp-17, -0x1.ef69814be7bb7p-18, -0x1.c065e73a7bd3fp-18, -0x1.9253b0849e3cbp-18, -0x1.652f05f086ad6p-18, -0x1.38f43666c7bc5p-18, -0x1.0d9fb4e86c4eap-18, -0x1.c65c2d1ebf7e7p-19, -0x1.733821663e38ep-19, -0x1.21ccee37b14b3p-19, -0x1.a428e8ec3d49cp-20, -0x1.0811962f6b81ap-20, -0x1.bd21dfc0f1d0fp-22, 0x1.31ebf2e2b23f5p-23, 0x1.7115fe68f27ep-21, 0x1.47aa68a061586p-20, 0x1.d3a5c94f40701p-20, 0x1.2e4372e0228a9p-19, 0x1.712b9e762f9adp-19, 0x1.b2900672f3e57p-19, 0x1.f2752b8896139p-19, 0x1.186fb90e1c7aap-18, 0x1.36e99225591cep-18, 0x1.54aa39d70a464p-18, 0x1.71b3bd9496edcp-18, 0x1.8e08204430035p-18, 0x1.a9a95b0f79693p-18, 0x1.c4995e202808ep-18, 0x1.deda114e4a721p-18, 0x1.f86d54d2d74f7p-18, 0x1.08aa80f17bc99p-17, 0x1.14c975a434a56p-17, 0x1.20946ef7af9f6p-17, 0x1.2c0c50b42073bp-17, 0x1.3731fc354fae8p-17, 0x1.420650a3803ffp-17, 0x1.4c8a2b2b72cdap-17, 0x1.56be67300faeap-17, 0x1.60a3de7ce70fep-17, 0x1.6a3b696fab5c6p-17, 0x1.7385df22ea6dcp-17, 0x1.7c8415925f6d5p-17, 0x1.8536e1c076aa5p-17, 0x1.8d9f17d716de9p-17, 0x1.95bd8b45bc761p-17, 0x1.9d930edb71981p-17, 0x1.a52074dfbfe4fp-17, 0x1.ac668f2afc798p-17, 0x1.b3662f3784bdap-17, 0x1.ba202636a1107p-17, 0x1.c095452001644p-17, 0x1.c6c65cc18ee1dp-17, 0x1.ccb43dcb2e78ep-17, 0x1.d25fb8da1e901p-17, 0x1.d7c99e812c37bp-17, 0x1.dcf2bf51a8097p-17, 0x1.e1dbebe17928bp-17, 0x1.e685f4d1effp-17, 0x1.eaf1aad07b86ap-17, 0x1.ef1fde9ae14cep-17, 0x1.f311610157d9dp-17, 0x1.f6c702e6cf09ep-17, 0x1.fa41953e44e3ap-17, 0x1.fd81e90adf89p-17, 0x1.004467ae85ac1p-16, 0x1.01ab8ca7bb3b6p-16, 0x1.02f6cc01612b4p-16, 0x1.04268e4c6df03p-16, 0x1.053b3c17b8ae1p-16, 0x1.06353ded24522p-16, 0x1.0714fc4efaf4p-16, 0x1.07dadfb2b69b9p-16, 0x1.0887507e4ef12p-16, 0x1.091ab703e5b6bp-16, 0x1.09957b7dc8494p-16, 0x1.09f8060a3499bp-16, 0x1.0a42bea5c38dap-16, 0x1.0a760d27a1437p-16, 0x1.0a92593c741c3p-16, 0x1.0a980a61ec61dp-16, 0x1.0a8787e10424cp-16, 0x1.0a6138c9910bdp-16, 0x1.0a2583ec77f16p-16, 0x1.09d4cfd73273ap-16, 0x1.096f82cdedac3p-16, 0x1.08f602c633f9dp-16, 0x1.0868b561904dfp-16, 0x1.07c7ffe8b49fp-16, 0x1.07144746648cbp-16, 0x1.064df001533d2p-16, 0x1.05755e3737cbcp-16, 0x1.048af5977cd71p-16, 0x1.038f195daae0cp-16, 0x1.02822c4d3a401p-16, 0x1.016490ab67a0cp-16, 0x1.0036a83b1fe62p-16, 0x1.fdf1a86ebb25ap-17, 0x1.fb56ea9d28d15p-17, 0x1.f89dd73b8309p-17, 0x1.f5c72d565fa2ep-17, 0x1.f2d3aac450392p-17, 0x1.efc40c1c0825fp-17, 0x1.ec990cac96487p-17, 0x1.e953667457a5ap-17, 0x1.e5f3d217134d5p-17, 0x1.e27b06d6ec973p-17, 0x1.dee9ba8b51708p-17, 0x1.db40a199c2cd7p-17, 0x1.d7806eed84149p-17, 0x1.d3a9d3f08062ep-17, 0x1.cfbd808421669p-17, 0x1.cbbc22f9c9fe1p-17, 0x1.c7a6680ca4f3dp-17, 0x1.c37cfada33ca2p-17, 0x1.bf4084dc8afdfp-17, 0x1.baf1ade37c78p-17, 0x1.b6911c0f5e292p-17, 0x1.b21f73cbf61f1p-17, 0x1.ad9d57c9e5cf8p-17, 0x1.a90b68fa1c33dp-17, 0x1.a46a468994466p-17, 0x1.9fba8ddaeb899p-17, 0x1.9afcda8406302p-17, 0x1.9631c64872492p-17, 0x1.9159e916b11d3p-17, 0x1.8c75d903b4d1fp-17, 0x1.87862a47a6a22p-17, 0x1.828b6f3a9d3b9p-17, 0x1.7d863851a0efdp-17, 0x1.7877141c2bd51p-17, 0x1.735e8f411f8d5p-17, 0x1.6e3d347c22d0bp-17, 0x1.69138c9d98c8p-17, 0x1.63e21e862302bp-17, 0x1.5ea96f2681c23p-17, 0x1.596a017e56ec5p-17, 0x1.54245699dfd18p-17, 0x1.4ed8ed9188397p-17, 0x1.4988438948d55p-17, 0x1.4432d3b0571f4p-17, 0x1.3ed9173fffca1p-17, 0x1.397b857b78599p-17, 0x1.341a93b0eae6ep-17, 0x1.2eb6b537f3c0dp-17, 0x1.29505b7340e7cp-17, 0x1.23e7f5d096aa6p-17, 0x1.1e7df1c95e9c1p-17, 0x1.1912bae3bee02p-17, 0x1.13a6bab42dd4fp-17, 0x1.0e3a58dd54f71p-17, 0x1.08cdfb128154fp-17, 0x1.0362051903c69p-17, 0x1.fbedb19277f2p-18, 0x1.f119ac21ee99ep-18, 0x1.e648b5eae09b9p-18, 0x1.db7b872ba8a87p-18, 0x1.d0b2d45814cf1p-18, 0x1.c5ef4e2000161p-18, 0x1.bb31a17579603p-18, 0x1.b07a778f49592p-18, 0x1.a5ca75ef6775ap-18, 0x1.9b223e69f4b1p-18, 0x1.90826f296368fp-18, 0x1.85eba2b5b184p-18, 0x1.7b5e6ffaaa6dcp-18, 0x1.70db6a4de103ep-18, 0x1.66632174f59b5p-18, 0x1.5bf621aec10fbp-18, 0x1.5194f3b73a9d9p-18, 0x1.47401cd143c73p-18, 0x1.3cf81ecc9cc7bp-18, 0x1.32bd780f53a82p-18, 0x1.2890a39b9fe93p-18, 0x1.1e721917aecbcp-18, 0x1.14624cd817d2dp-18, 0x1.0a61afe4f2fdp-18, 0x1.0070b003715adp-18, 0x1.ed1f6f7cfdd77p-19, 0x1.d97e5cde4a22ep-19, 0x1.c5fef087e9b25p-19, 0x1.b2a1ec984a83cp-19, 0x1.9f680cfd07c68p-19, 0x1.8c52078494c4cp-19, 0x1.79608bf19b9a4p-19, 0x1.6694440de1b65p-19, 0x1.53edd3b9d0dcp-19, 0x1.416dd90058b4fp-19, 0x1.2f14ec2a6e63ep-19, 0x1.1ce39fd06e384p-19, 0x1.0ada80ec8c514p-19, 0x1.f1f42dd940c53p-20, 0x1.ce85c78ed14bep-20, 0x1.ab6ac81eb585bp-20, 0x1.88a41e031109bp-20, 0x1.6632ad3bf6ddap-20, 0x1.44174f6ecfa17p-20, 0x1.2252d40d4769ap-20, 0x1.00e6007e58c8p-20, 0x1.bfa320888d624p-21, 0x1.7e2c6a3a54108p-21, 0x1.3d692e609eecbp-21, 0x1.fab554c5a9359p-22, 0x1.7c04121c5035bp-22, 0x1.fd818b6afea74p-23, 0x1.05daf91c15929p-23, 0x1.11840632088fbp-27, -0x1.c18622b7e9ceap-24, -0x1.cfb3b32a87215p-23, -0x1.5ddb4fb1b1502p-22, -0x1.d26489439f437p-22, -0x1.22ba227fce71fp-21, -0x1.5b84b0c49216p-21, -0x1.93916e620405fp-21, -0x1.cadfe9ad2c829p-21, -0x1.00b7e009d4856p-20, -0x1.1ba04ee67e9ap-20, -0x1.36291ec5cb04cp-20, -0x1.505234241a273p-20, -0x1.6a1b7a7464b4p-20, -0x1.8384e3fdce0f5p-20, -0x1.9c8e69b98129cp-20, -0x1.b5380b30618b7p-20, -0x1.cd81ce57bd93ep-20, -0x1.e56bbf6bde3d1p-20, -0x1.fcf5f0cf6f6a8p-20, -0x1.0a103d7579df7p-19, -0x1.1575be04686b4p-19, -0x1.20ab8c19bc1d1p-19, -0x1.2bb1bc8afbfd2p-19, -0x1.368866ebfc8ap-19, -0x1.412fa57ef0af2p-19, -0x1.4ba79523fda3ep-19, -0x1.55f0554a30bd8p-19, -0x1.600a07e057467p-19, -0x1.69f4d1419c52p-19, -0x1.73b0d828ee48fp-19, -0x1.7d3e45a1987fp-19, -0x1.869d44f626191p-19, -0x1.8fce03a203141p-19, -0x1.98d0b142c9227p-19, -0x1.a1a57f89fd859p-19, -0x1.aa4ca22e01af6p-19, }}, 
      {{-0x1.862f0a9c2ee08p-1, -0x1.86335d05cdeeep-1, -0x1.8638fc3a2ea99p-1, -0x1.863da3d768c8cp-1, -0x1.863e55517e0b7p-1, -0x1.86377a9257547p-1, -0x1.8625097aade22p-1, -0x1.8602a643cfcbcp-1, -0x1.85cbc37d7f7d4p-1, -0x1.857bbeea695fp-1, -0x1.850dfaddaff2p-1, -0x1.847df3fee1893p-1, -0x1.83c75386dd987p-1, -0x1.82e5fe258b2d5p-1, -0x1.81d61fd2291fbp-1, -0x1.809434d190ef4p-1, -0x1.7f1d10419dc1dp-1, -0x1.7d6de0789d51ap-1, -0x1.7b843184c55fep-1, -0x1.795dee12f75e1p-1, -0x1.76f95efe6bcd4p-1, -0x1.745529c4a95ffp-1, -0x1.71704e12dd9cfp-1, -0x1.6e4a229b6ef1ap-1, -0x1.6ae2515cb17e3p-1, -0x1.6738d37c276bap-1, -0x1.634decd49308p-1, -0x1.5f22275091e15p-1, -0x1.5ab64e2757ac1p-1, -0x1.560b690d79d7p-1, -0x1.5122b7689256bp-1, -0x1.4bfdab91b46a9p-1, -0x1.469de6304ef71p-1, -0x1.410531b5106f3p-1, -0x1.3b357dfa9ad8p-1, -0x1.3530dc106f8e3p-1, -0x1.2ef97a333491ep-1, -0x1.28919ff4798a9p-1, -0x1.21fbaa934cf62p-1, -0x1.1b3a09864048ap-1, -0x1.144f3b36eeff1p-1, -0x1.0d3dc9eeaa873p-1, -0x1.060848f393ceap-1, -0x1.fd62a3aa47a6fp-2, -0x1.ee7703cdddd28p-2, -0x1.df52efd08d2d5p-2, -0x1.cffba3ae77b79p-2, -0x1.c07655daec1b9p-2, -0x1.b0c8338a74f97p-2, -0x1.a0f65d4a0382dp-2, -0x1.9105e3dfdae6dp-2, -0x1.80fbc572e9f97p-2, -0x1.70dceaf54080bp-2, -0x1.60ae25ce5b35fp-2, -0x1.50742dc20dd7dp-2, -0x1.40339f10e2f14p-2, -0x1.2ff0f8ced9af5p-2, -0x1.1fb09b6d88789p-2, -0x1.0f76c776acbb6p-2, -0x1.fe8f38e8b9a5ep-3, -0x1.de4e300833618p-3, -0x1.be322a242fd1bp-3, -0x1.9e4296746c324p-3, -0x1.7e869c984eb4ap-3, -0x1.5f051be0e1322p-3, -0x1.3fc4aad7f4ea8p-3, -0x1.20cb96fffc355p-3, -0x1.021fe4c8828a2p-3, -0x1.c78e9f66681a1p-4, -0x1.8b8e954b636f4p-4, -0x1.504a00c902a7fp-4, -0x1.15caa8676a3b2p-4, -0x1.b8338a67cf252p-5, -0x1.4680090b22c44p-5, -0x1.ad1627ea4c294p-6, -0x1.a18f8d441fdebp-7, 0x1.f3ad857399409p-12, 0x1.b925fa3d4d9bcp-7, 0x1.ad6cbd3b800c7p-6, 0x1.3d22ccf2e93bep-5, 0x1.a1848fd9fd424p-5, 0x1.01e92e182e93fp-4, 0x1.3201e7a09282fp-4, 0x1.6108b43f9f1c3p-4, 0x1.8efa41922386ap-4, 0x1.bbd3a7dd1154dp-4, 0x1.e79266ca52d02p-4, 0x1.091a31101c779p-3, 0x1.1ddbef3addeb3p-3, 0x1.320dbef2f14dcp-3, 0x1.45af1e6205d86p-3, 0x1.58bfb7298ebaep-3, 0x1.6b3f5cc09804ap-3, 0x1.7d2e0ad492a76p-3, 0x1.8e8be3add8374p-3, 0x1.9f592e987a2d8p-3, 0x1.af965651edd0dp-3, 0x1.bf43e77c1fbe1p-3, 0x1.ce628f165b41ep-3, 0x1.dcf318fc6b8cbp-3, 0x1.eaf66e6c5f6d4p-3, 0x1.f86d949335f01p-3, 0x1.02acd5905b5eap-2, 0x1.08ddf57164018p-2, 0x1.0ecad2342f092p-2, 0x1.14741f561f5d8p-2, 0x1.19da9ae3dfff1p-2, 0x1.1eff0cd6c883ep-2, 0x1.23e246765af4fp-2, 0x1.288521bddf004p-2, 0x1.2ce880c61d237p-2, 0x1.310d4d3347e2p-2, 0x1.34f477a706b63p-2, 0x1.389ef736ab892p-2, 0x1.3c0dc8e58ac66p-2, 0x1.3f41ef237368ap-2, 0x1.423c714f3ea38p-2, 0x1.44fe5b3d6fb09p-2, 0x1.4788bcc2daf43p-2, 0x1.49dca9434badep-2, 0x1.4bfb374417eeap-2, 0x1.4de5800298b77p-2, 0x1.4f9c9f0e7d043p-2, 0x1.5121b1e7e001ep-2, 0x1.5275d7a11bd8fp-2, 0x1.539a30844701ep-2, 0x1.548fddbc485acp-2, 0x1.5558010178c0ep-2, 0x1.55f3bc49b98d1p-2, 0x1.5664317bf1e0dp-2, 0x1.56aa8226e4affp-2, 0x1.56c7cf3b45957p-2, 0x1.56bd38c902c58p-2, 0x1.568bddbfac5d3p-2, 0x1.5634dbb1e7783p-2, 0x1.55b94e9bdda8p-2, 0x1.551a50ac9420fp-2, 0x1.5458fa1215802p-2, 0x1.537660c8647e3p-2, 0x1.5273986b17734p-2, 0x1.5151b2099ae98p-2, 0x1.5011bbfdf880ap-2, 0x1.4eb4c1c61cda3p-2, 0x1.4d3bcbdf845eap-2, 0x1.4ba7dfa53e95fp-2, 0x1.49f9ff303447dp-2, 0x1.48332939a3335p-2, 0x1.465458ffbb926p-2, 0x1.445e862c4c802p-2, 0x1.4252a4bd72104p-2, 0x1.4031a4f0322e8p-2, 0x1.3dfc732cf8e09p-2, 0x1.3bb3f7f5e3358p-2, 0x1.395917d6c82a8p-2, 0x1.36ecb356f1e47p-2, 0x1.346fa6ec76867p-2, 0x1.31e2caf121b1ep-2, 0x1.2f46f398dedb4p-2, 0x1.2c9cf0e999033p-2, 0x1.29e58eb47c7acp-2, 0x1.272194909338fp-2, 0x1.2451c5d6a5525p-2, 0x1.2176e19e58bd8p-2, 0x1.1e91a2bc80ff7p-2, 0x1.1ba2bfc288c15p-2, 0x1.18aaeafefa982p-2, 0x1.15aad27f09c3ap-2, 0x1.12a320111b552p-2, 0x1.0f9479483f07dp-2, 0x1.0c7f7f808dad1p-2, 0x1.0964cfe4629edp-2, 0x1.064503725ff17p-2, 0x1.0320af043c144p-2, 0x1.fff0c6ac8e912p-3, 0x1.f9995a1f3e841p-3, 0x1.f33c29961916ap-3, 0x1.ecda3e40f2d05p-3, 0x1.e674995df8fbep-3, 0x1.e00c344edced3p-3, 0x1.d9a200af04858p-3, 0x1.d336e86aa4b1dp-3, 0x1.cccbcdd6c4205p-3, 0x1.c6618bca11f2bp-3, 0x1.bff8f5b671a34p-3, 0x1.b992d7c34bf24p-3, 0x1.b32ff6e8755c3p-3, 0x1.acd11109b3c55p-3, 0x1.a676dd12c8f77p-3, 0x1.a0220b13fcabp-3, 0x1.99d3445f13a23p-3, 0x1.938b2ba4adae4p-3, 0x1.8d4a5d11f4a16p-3, 0x1.87116e6e9fb1dp-3, 0x1.80e0ef3b346fcp-3, 0x1.7ab968cf7f252p-3, 0x1.749b5e7938f33p-3, 0x1.6e874d9ad4a41p-3, 0x1.687dadca5ed59p-3, 0x1.627ef0f078889p-3, 0x1.5c8b836757d73p-3, 0x1.56a3cc19c3659p-3, 0x1.50c82ca215bb8p-3, 0x1.4af9016922b7ap-3, 0x1.4536a1c516d8ep-3, 0x1.3f8160182fd53p-3, 0x1.39d989ef59eaep-3, 0x1.343f6820a4bc1p-3, 0x1.2eb33ee98a6cbp-3, 0x1.29354e0d00376p-3, 0x1.23c5d0f155cp-3, 0x1.1e64febdd26e3p-3, 0x1.19130a7816162p-3, 0x1.13d023212d1a9p-3, 0x1.0e9c73d26377dp-3, 0x1.097823d9c35d6p-3, 0x1.046356d64ac57p-3, 0x1.febc59a782582p-4, 0x1.f4d184cc86c61p-4, 0x1.eb06618ad9c2fp-4, 0x1.e15b1bce4b326p-4, 0x1.d7cfd9342c26p-4, 0x1.ce64b93f65be9p-4, 0x1.c519d58bd04aep-4, 0x1.bbef4200c8e39p-4, 0x1.b2e50d02eea48p-4, 0x1.a9fb3fa50b08cp-4, 0x1.a131ddd8418e7p-4, 0x1.9888e69b464p-4, 0x1.90005428dafe4p-4, 0x1.87981c256709bp-4, 0x1.7f502fcbb3b2dp-4, 0x1.77287c18d42cep-4, 0x1.6f20e9f72ce7p-4, 0x1.67395e68a00bfp-4, 0x1.5f71baafddc1cp-4, 0x1.57c9dc78d4fc7p-4, 0x1.50419e004b957p-4, 0x1.48d8d63a966fap-4, 0x1.418f58f976efbp-4, 0x1.3a64f7111eaa3p-4, 0x1.33597e7c542cap-4, 0x1.2c6cba7fc4245p-4, 0x1.259e73cc76f8ep-4, 0x1.1eee70a16fc5cp-4, 0x1.185c74ec76d16p-4, 0x1.11e8426a108e1p-4, 0x1.0b9198c4a261cp-4, 0x1.055835b2c69b8p-4, 0x1.fe77aa29aa70ap-5, 0x1.f278622339702p-5, 0x1.e6b20464a901fp-5, 0x1.db23fefb8dc7ap-5, 0x1.cfcdbd256c2eap-5, 0x1.c4aea782fc8fep-5, 0x1.b9c62449f18efp-5, 0x1.af13977541c79p-5, 0x1.a49662f3fb1e4p-5, 0x1.9a4de6d6a8da8p-5, 0x1.9039817b500edp-5, 0x1.86588fb7fecap-5, 0x1.7caa6d040aeb9p-5, 0x1.732e739fe7467p-5, 0x1.69e3fcbbb1e65p-5, 0x1.60ca609c6a952p-5, 0x1.57e0f6bfee79cp-5, 0x1.4f2715ffa35a3p-5, 0x1.469c14b1f11cdp-5, 0x1.3e3f48ca8334p-5, 0x1.361007f9573b3p-5, 0x1.2e0da7c8a78b8p-5, 0x1.26377db9ab744p-5, 0x1.1e8cdf6041238p-5, 0x1.170d227d7bf9ap-5, 0x1.0fb79d1920c5dp-5, 0x1.088ba59a18b91p-5, 0x1.018892dddcd0cp-5, 0x1.f55b789dcf98dp-6, 0x1.e7f4f3f44624p-6, 0x1.dadc4946d8d1dp-6, 0x1.ce102bb248b8cp-6, 0x1.c18f500db8fbfp-6, 0x1.b5586d0e35f42p-6, 0x1.a96a3b68929dap-6, 0x1.9dc375f18e387p-6, 0x1.9262d9bc5e3f6p-6, 0x1.8747263799338p-6, 0x1.7c6f1d4898bdep-6, 0x1.71d983655db81p-6, 0x1.67851facf8eacp-6, 0x1.5d70bbfe8310dp-6, 0x1.539b250eb8871p-6, 0x1.4a032a7c411acp-6, 0x1.40a79ee298b3fp-6, 0x1.378757ebcf0b6p-6, 0x1.2ea12e60ea587p-6, 0x1.25f3fe393bc8ap-6, 0x1.1d7ea6a87c3a3p-6, 0x1.15400a2bc43c2p-6, 0x1.0d370e957c2aep-6, 0x1.05629d183cae9p-6, 0x1.fb8344a155b62p-7, 0x1.eca61c9cc1ae1p-7, 0x1.de2ba937a71a9p-7, 0x1.d011d88acd578p-7, 0x1.c2569fbf1617ap-7, 0x1.b4f7fb1819a0cp-7, 0x1.a7f3edfd3a5efp-7, 0x1.9b488300e6a0ap-7, 0x1.8ef3cbe68f974p-7, 0x1.82f3e1a70f3d6p-7, 0x1.7746e473afcdap-7, 0x1.6beafbb7dd3b3p-7, 0x1.60de56197f444p-7, 0x1.561f29782656ep-7, 0x1.4babb2eaf62bfp-7, 0x1.418236bd7994dp-7, 0x1.37a1006b560e2p-7, 0x1.2e06629b0b24dp-7, 0x1.24b0b717917cp-7, 0x1.1b9e5ec917846p-7, 0x1.12cdc1acd5484p-7, 0x1.0a3d4ecbfec15p-7, 0x1.01eb7c31f7c34p-7, 0x1.f3ad8dc33614dp-8, 0x1.e3fb6593c94bcp-8, 0x1.d4bd9573a6414p-8, 0x1.c5f140a74729cp-8, 0x1.b79397feef716p-8, 0x1.a9a1d9baafea3p-8, 0x1.9c19516d5691dp-8, 0x1.8ef757de45fdap-8, 0x1.823952ea4821bp-8, 0x1.75dcb5639e07dp-8, 0x1.69defef0f45c9p-8, 0x1.5e3dbbebcb87ap-8, 0x1.52f6853df7448p-8, 0x1.4807003e597b3p-8, 0x1.3d6cde8d2b611p-8, 0x1.3325ddef8dacbp-8, 0x1.292fc82a91f56p-8, 0x1.1f8872ddd0ab4p-8, 0x1.162dbf5d9c43bp-8, 0x1.0d1d9a8c97e4ap-8, 0x1.0455fcb518964p-8, 0x1.f7a9d2c47c393p-9, 0x1.e730de71505bap-9, 0x1.d73d4f9dfeed7p-9, 0x1.c7cb6f0cdb785p-9, 0x1.b8d79ac5061c8p-9, 0x1.aa5e45c2f31e4p-9, 0x1.9c5bf7a80451ep-9, 0x1.8ecd4c6a6345fp-9, 0x1.81aef404959e5p-9, 0x1.74fdb225477b3p-9, 0x1.68b65ddef808dp-9, 0x1.5cd5e157a8e13p-9, 0x1.51593978e41e3p-9, 0x1.463d759fd4707p-9, 0x1.3b7fb74db6b7dp-9, 0x1.311d31d87a55ap-9, 0x1.27132a1be53a1p-9, 0x1.1d5ef62adda92p-9, 0x1.13fdfd011323p-9, 0x1.0aedb63579475p-9, 0x1.022ba9accc4adp-9, 0x1.f36ade99c80d6p-10, 0x1.e3115d6118e72p-10, 0x1.d3463db78b737p-10, 0x1.c4050be181af7p-10, 0x1.b54971cb00354p-10, 0x1.a70f36740c06cp-10, 0x1.99523d5e7523p-10, 0x1.8c0e85fd16e8p-10, 0x1.7f402b24bfcb4p-10, 0x1.72e3627e0a038p-10, 0x1.66f47bf9347b7p-10, 0x1.5b6fe14320802p-10, 0x1.5052153c07a96p-10, 0x1.4597b37040ae8p-10, 0x1.3b3d6f91a65bcp-10, 0x1.314014f396cfbp-10, 0x1.279c8608381b6p-10, 0x1.1e4fbbdf6318cp-10, 0x1.1556c5a74c1c8p-10, 0x1.0caec82ed41e4p-10, 0x1.0454fd69be216p-10, 0x1.f88d67ecf65a9p-11, 0x1.e9029d4be6cebp-11, 0x1.da04880948a6cp-11, 0x1.cb8e3bcc0db53p-11, 0x1.bd9af1e2a4ef6p-11, 0x1.b02608603d54fp-11, 0x1.a32b013dbc2d4p-11, 0x1.96a5817e39c93p-11, 0x1.8a915057028b3p-11, 0x1.7eea565af4918p-11, 0x1.73ac9ca9f931ep-11, 0x1.68d44c23509c3p-11, 0x1.5e5dac9bc01b7p-11, 0x1.54452417010e2p-11, 0x1.4a8736053f86dp-11, 0x1.4120828327121p-11, 0x1.380dc59e5df1cp-11, 0x1.2f4bd69cd9ed3p-11, 0x1.26d7a747e3bc2p-11, 0x1.1eae433a2f064p-11, 0x1.16cccf317bd54p-11, 0x1.0f3088637884dp-11, 0x1.07d6c3d67ad51p-11, 0x1.00bcedbc8c971p-11, 0x1.f3c111a5044d3p-12, 0x1.e67e5b83d5d7cp-12, 0x1.d9ad150d59496p-12, 0x1.cd48c3ad9ebecp-12, 0x1.c14d151dc64eep-12, 0x1.b5b5de3f3e4a2p-12, 0x1.aa7f1a001a498p-12, 0x1.9fa4e844f87a3p-12, 0x1.95238cd7b30b1p-12, 0x1.8af76e5c85f8dp-12, 0x1.811d154e82bf8p-12, 0x1.77912afee13b1p-12, 0x1.6e50789c378d1p-12, 0x1.6557e63f9a507p-12, 0x1.5ca479fc6fa87p-12, 0x1.543356f8c60cdp-12, 0x1.4c01bc89c05f5p-12, 0x1.440d05556adcdp-12, 0x1.3c52a6795006ep-12, 0x1.34d02eb7bb1e7p-12, 0x1.2d8345a7ed6c5p-12, 0x1.2669aaec4ddc1p-12, 0x1.1f81356ec6b4ap-12, 0x1.18c7d29f11cf4p-12, 0x1.123b85b87407ap-12, 0x1.0bda670a938e2p-12, 0x1.05a2a347babp-12, 0x1.ff24f5ae72bb9p-13, 0x1.f350825864e5cp-13, 0x1.e7c4b84249d07p-13, 0x1.dc7e86ad0dcfbp-13, 0x1.d17aff2e3db41p-13, 0x1.c6b7547f954cp-13, 0x1.bc30d9566a1b2p-13, 0x1.b1e4ff429f685p-13, 0x1.a7d15596f9d12p-13, 0x1.9df38857b53e3p-13, 0x1.94495f308bddbp-13, 0x1.8ad0bc742f8c7p-13, 0x1.81879c1f707fcp-13, 0x1.786c12e566ad9p-13, 0x1.6f7c4d42ce144p-13, 0x1.66b68e97fa0e9p-13, 0x1.5e193048eb82bp-13, 0x1.55a2a0e3761bbp-13, 0x1.4d51634dc0b86p-13, 0x1.45240df81ca29p-13, 0x1.3d194a1617c1cp-13, 0x1.352fd2e12f2b8p-13, 0x1.2d6674d98b1a9p-13, 0x1.25bc0d12f318ep-13, 0x1.1e2f8884c9aeap-13, 0x1.16bfe36018e91p-13, 0x1.0f6c286a3f531p-13, 0x1.0833705d4463p-13, 0x1.0114e14df4cafp-13, 0x1.f41f5c29a251p-14, 0x1.e6462b7a0916ep-14, 0x1.d89cc5f4a69d3p-14, 0x1.cb21d73dfaaaep-14, 0x1.bdd420337c7e6p-14, 0x1.b0b275ec9fa19p-14, 0x1.a3bbc0c83978cp-14, 0x1.96eefb7cd57b2p-14, 0x1.8a4b3234f50ebp-14, 0x1.7dcf81b4ec281p-14, 0x1.717b1682ed72p-14, 0x1.654d2c19242bep-14, 0x1.59450c20cfe04p-14, 0x1.4d620db30c115p-14, 0x1.41a3949fb725fp-14, 0x1.360910bcafaf6p-14, 0x1.2a91fd3abc903p-14, 0x1.1f3de000efb8cp-14, 0x1.140c490d139fbp-14, 0x1.08fcd1dc41accp-14, 0x1.fc1e39b5938ebp-15, 0x1.e685a9a77082ep-15, 0x1.d12f58d44c91p-15, 0x1.bc1abb32c2ac9p-15, 0x1.a747526c26acbp-15, 0x1.92b4acefe4ffbp-15, 0x1.7e62650cf72d2p-15, 0x1.6a502017cc2b4p-15, 0x1.567d8d96f4406p-15, 0x1.42ea66777a42bp-15, 0x1.2f966c4d6ac6bp-15, 0x1.1c81689f5530cp-15, 0x1.09ab2c3128d81p-15, 0x1.ee271cba1128dp-16, 0x1.c974d8ea1734dp-16, 0x1.a53f524d87e3ep-16, 0x1.818657daa5536p-16, 0x1.5e49c103f5c93p-16, 0x1.3b896cba496a4p-16, 0x1.1945406e2cf14p-16, 0x1.eefa4e3822f01p-17, 0x1.ac6220da5a442p-17, 0x1.6ac1dfc97b2ddp-17, 0x1.2a19782507e65p-17, 0x1.d4d1b740b892p-18, 0x1.575ffe3f94ebap-18, 0x1.b7bb657feeb5p-19, 0x1.892b0d909351fp-20, -0x1.558e26a3487c8p-22, -0x1.161aa97b3047cp-19, -0x1.fda55e1ebb57dp-19, -0x1.70a9145efbbep-18, -0x1.e090b0f637935p-18, -0x1.2744de169b7c9p-17, -0x1.5d4a3cedb8afbp-17, -0x1.92589dfcef303p-17, -0x1.c67031ee3dc43p-17, -0x1.f99131c65c401p-17, -0x1.15ddefb4c7641p-16, -0x1.2e78431751ddfp-16, -0x1.4697bdae57328p-16, -0x1.5e3c8f4ac9d33p-16, -0x1.7566ed183dc3bp-16, -0x1.8c1711d05133ap-16, -0x1.a24d3de159ed4p-16, -0x1.b809b7935d614p-16, -0x1.cd4ccb20fca1p-16, -0x1.e216cad76ed59p-16, -0x1.f6680f2a5c30dp-16, -0x1.05207b639d628p-15, -0x1.0ed0f34f4ac4ap-15, -0x1.1845a4f9736a6p-15, -0x1.217ec930da6fap-15, -0x1.2a7c9bf2e18adp-15, -0x1.333f5c6ad1a9fp-15, -0x1.3bc74cf11a8dbp-15, -0x1.4414b30987c79p-15, -0x1.4c27d76018f64p-15, -0x1.540105c1cb4b8p-15, -0x1.5ba08d1812dc9p-15, -0x1.6306bf61d7517p-15, -0x1.6a33f1aa11228p-15, -0x1.71287bff2cfe2p-15, -0x1.77e4b966071ecp-15, -0x1.7e6907d2dd2b5p-15, -0x1.84b5c81b6cb24p-15, -0x1.8acb5dead4b88p-15, -0x1.90aa2fb30c4fdp-15, -0x1.9652a69ee8edbp-15, -0x1.9bc52e8519092p-15, -0x1.a10235d77c74ap-15, -0x1.a60a2d938f9ebp-15, -0x1.aadd893203556p-15, -0x1.af7cbe973c8fcp-15, -0x1.b3e84601dfc72p-15, -0x1.b82099f974d07p-15, -0x1.bc26373af9155p-15, -0x1.bff99ca9e397dp-15, -0x1.c39b4b3c7f53ep-15, -0x1.c70bc5ea09c98p-15, -0x1.ca4b91978bd48p-15, -0x1.cd5b3505153b8p-15, -0x1.d03b38bc22ed2p-15, -0x1.d2ec26fbe8165p-15, -0x1.d56e8ba630b35p-15, -0x1.d7c2f42bf64f8p-15, -0x1.d9e9ef7b9efc7p-15, -0x1.dbe40ded72b93p-15, -0x1.ddb1e130f711ep-15, -0x1.df53fc3937d9fp-15, -0x1.e0caf32a40b39p-15, -0x1.e2175b46dea5ep-15, -0x1.e339cade16c2ap-15, -0x1.e432d9378874cp-15, -0x1.e5031e8172d25p-15, -0x1.e5ab33bf2d96p-15, -0x1.e62bb2b686e8ap-15, -0x1.e68535deb84abp-15, -0x1.e6b8584ce2775p-15, -0x1.e6c5b5a3971abp-15, -0x1.e6adea01e8088p-15, -0x1.e67191f1ce8dep-15, -0x1.e6114a583117ep-15, -0x1.e58db06353e37p-15, -0x1.e4e7617abc69bp-15, -0x1.e41efb2f8c69fp-15, -0x1.e3351b2cb5ae3p-15, -0x1.e22a5f265e49p-15, -0x1.e0ff64cb8490ap-15, -0x1.dfb4c9b6bb709p-15, -0x1.de4b2b6059769p-15, -0x1.dcc3270f0f4fap-15, -0x1.db1d59c9f8356p-15, -0x1.d95a604a1cc4p-15, -0x1.d77ad6ee67a24p-15, -0x1.d57f59ad480bap-15, -0x1.d36884087125bp-15, -0x1.d136f10071575p-15, -0x1.ceeb3b0746941p-15, -0x1.cc85fbf57cf92p-15, -0x1.ca07ccfe477cbp-15, -0x1.c77146a38b483p-15, -0x1.c4c300ab21487p-15, -0x1.c1fd921405011p-15, -0x1.bf21910c90dfp-15, -0x1.bc2f92e7db2ap-15, -0x1.b9282c139c976p-15, -0x1.b60bf00f1f50ap-15, -0x1.b2db71617e83cp-15, -0x1.af97419102949p-15, -0x1.ac3ff11adc0f3p-15, -0x1.a8d60f6ab5885p-15, -0x1.a55a2ad277edep-15, -0x1.a1ccd082ae16dp-15, -0x1.9e2e8c830aeap-15, -0x1.9a7fe9ab5971p-15, -0x1.96c1719cbb769p-15, -0x1.92f3acba437dcp-15, -0x1.8f1722238d9cbp-15, -0x1.8b2c57af4653cp-15, -0x1.8733d1e3b844dp-15, -0x1.832e13f2f837ap-15, -0x1.7f1b9fb4acfcfp-15, -0x1.7afcf5a18a8c2p-15, -0x1.76d294cde62ecp-15, -0x1.729cfae6b20bap-15, -0x1.6e5ca42c7800ep-15, -0x1.6a120b6eeb186p-15, -0x1.65bdaa0aa5fc9p-15, -0x1.615ff7e3d6ec3p-15, -0x1.5cf96b64820c8p-15, -0x1.588a7979434f8p-15, -0x1.5413958dccf91p-15, -0x1.4f95318a91e7bp-15, -0x1.4b0fbdd3e1845p-15, -0x1.4683a9459c853p-15, -0x1.41f16132a641ap-15, -0x1.3d595162d81d6p-15, -0x1.38bbe41202733p-15, -0x1.341981ed5a562p-15, -0x1.2f7292135756fp-15, -0x1.2ac77a136893bp-15, -0x1.26189deb64a23p-15, -0x1.21666008d16c7p-15, -0x1.1cb1214770bbep-15, -0x1.17f940f0c3345p-15, -0x1.133f1cbd0992ap-15, -0x1.0e8310d322167p-15, -0x1.09c577c7acbb7p-15, -0x1.0506aa9ebd5f3p-15, -0x1.004700cc5869ep-15, -0x1.f70da069077abp-16, -0x1.ed8cda5812868p-16, -0x1.e40c54f50591cp-16, -0x1.da8cb2b6098c2p-16, -0x1.d10e92f8955b9p-16, -0x1.c792920785e87p-16, -0x1.be19491ce1eaap-16, -0x1.b4a34e63d3c1bp-16, -0x1.ab3134fdf5949p-16, -0x1.a1c38d07087a7p-16, -0x1.985ae39642d3fp-16, -0x1.8ef7c2c4fe382p-16, -0x1.859ab1b38f911p-16, -0x1.7c44348b3a77dp-16, -0x1.72f4cc848a1a4p-16, -0x1.69acf7ec739p-16, -0x1.606d3228facdap-16, -0x1.5735f3bd03be3p-16, -0x1.4e07b24fdb3f2p-16, -0x1.44e2e0b22c0efp-16, -0x1.3bc7eee31b5e3p-16, -0x1.32b74a1587f7p-16, -0x1.29b15cb850bb3p-16, -0x1.20b68e79ba605p-16, -0x1.17c7444ecea03p-16, -0x1.0ee3e07af9613p-16, -0x1.060cc293d635ap-16, -0x1.fa848f12071f2p-17, -0x1.e909935627625p-17, -0x1.d7a94164beb3dp-17, -0x1.c6644388d7aeap-17, -0x1.b53b3ef93b321p-17, -0x1.a42ed3e377999p-17, -0x1.933f9d7d83dd8p-17, -0x1.826e320d18473p-17, -0x1.71bb22fdfad82p-17, -0x1.6126fced55c4bp-17, -0x1.50b247b510d0cp-17, -0x1.405d8680280ccp-17, -0x1.302937d52b704p-17, -0x1.2015d5a5b0f0ap-17, -0x1.1023d55f65a4cp-17, -0x1.0053a7f92c84ep-17, -0x1.e14b74059c156p-18, -0x1.c234e7654c184p-18, -0x1.a36471eebd47ap-18, -0x1.84dad30989278p-18, -0x1.6698c1c682dbap-18, -0x1.489eed014f5fap-18, -0x1.2aedfb7d61badp-18, -0x1.0d868bfff7a53p-18, -0x1.e0d26aee68b21p-19, -0x1.a72d0e1892e1ap-19, -0x1.6e1e10a2d7c81p-19, -0x1.35a672a5ae611p-19, -0x1.fb8e4aec47519p-20, -0x1.8d0217d07146dp-20, -0x1.1fa9f4ea815acp-20, -0x1.670ede4274f53p-21, -0x1.226fdec1bb59ap-22, 0x1.08b8db06c7f59p-23, 0x1.13211d81f458ap-21, 0x1.e19e82c331cabp-21, 0x1.56d22bf83192p-20, 0x1.bb98609bca611p-20, 0x1.0f908521decf2p-19, 0x1.40b5b6296cb6p-19, 0x1.713b71099084p-19, 0x1.a1216f330f13cp-19, 0x1.d067759eee305p-19, 0x1.ff0d5493562eep-19, 0x1.168973b716bc5p-18, 0x1.2d3c0a352240ap-18, 0x1.439e6637b50edp-18, 0x1.59b0856581f91p-18, 0x1.6f726a8503968p-18, 0x1.84e41d604cfe3p-18, 0x1.9a05aaa206f7p-18, 0x1.aed723c1ee609p-18, 0x1.c3589ee946e9dp-18, 0x1.d78a36d6e8534p-18, 0x1.eb6c0ac194b6ep-18, 0x1.fefe3e4392167p-18, 0x1.09207ca134a5ep-17, 0x1.129a33e87ab52p-17, 0x1.1bec5d0a5322bp-17, 0x1.25171217b2167p-17, 0x1.2e1a6f1428d8cp-17, 0x1.36f691e99a343p-17, 0x1.3fab9a59aa57ep-17, 0x1.4839a9f3bf5adp-17, 0x1.50a0e409e94d1p-17, 0x1.58e16da28d556p-17, }}, 
      {{-0x1.862dfa9169f03p-1, -0x1.862f7ffe5203fp-1, -0x1.8631b752520ebp-1, -0x1.863429ff0449cp-1, -0x1.8636390eabcabp-1, -0x1.863722a39a338p-1, -0x1.863607cb0aa7cp-1, -0x1.8631f25442c56p-1, -0x1.8629da753ad07p-1, -0x1.861cac1887412p-1, -0x1.86094bbdfe156p-1, -0x1.85ee9ae1c8426p-1, -0x1.85cb7be4e793dp-1, -0x1.859ed5778c036p-1, -0x1.856795893713ep-1, -0x1.8524b3c51cea5p-1, -0x1.84d533a2c0e5ep-1, -0x1.84782613a4814p-1, -0x1.840caad73c872p-1, -0x1.8391f17e60695p-1, -0x1.83073a272d447p-1, -0x1.826bd5f9e70e9p-1, -0x1.81bf276edabe3p-1, -0x1.8100a264b18d2p-1, -0x1.802fcc0e01a6p-1, -0x1.7f4c3abc49fdp-1, -0x1.7e55958de81ap-1, -0x1.7d4b9404010f2p-1, -0x1.7c2dfd84c9724p-1, -0x1.7afca8ce0cfdbp-1, -0x1.79b77b5b64919p-1, -0x1.785e68c312cb3p-1, -0x1.76f1720c1bffep-1, -0x1.7570a4ffd7c57p-1, -0x1.73dc1b78dd66ep-1, -0x1.7233fab0f456ep-1, -0x1.7078728f5f73ep-1, -0x1.6ea9bcf8b3aebp-1, -0x1.6cc81d2128abdp-1, -0x1.6ad3dee2347f9p-1, -0x1.68cd56141425cp-1, -0x1.66b4ddebc89c1p-1, -0x1.648ad85deedf7p-1, -0x1.624fad86c7766p-1, -0x1.6003cb17a60bep-1, -0x1.5da7a3c9f5f75p-1, -0x1.5b3baed7f0b83p-1, -0x1.58c0677b0fda9p-1, -0x1.56364c7045b2bp-1, -0x1.539ddf81f1f27p-1, -0x1.50f7a51788db2p-1, -0x1.4e4423cad979cp-1, -0x1.4b83e402da85p-1, -0x1.48b76f93e228p-1, -0x1.45df51652946cp-1, -0x1.42fc151b75f55p-1, -0x1.400e46c8cc93dp-1, -0x1.3d1672a0faed9p-1, -0x1.3a1524b2ddaf4p-1, -0x1.370ae8a6300c8p-1, -0x1.33f8497dc1bc2p-1, -0x1.30ddd15de9bbdp-1, -0x1.2dbc095708fecp-1, -0x1.2a937933f7a52p-1, -0x1.2764a74c32bc4p-1, -0x1.24301859a0f76p-1, -0x1.20f64f51c8c6fp-1, -0x1.1db7cd424e3e1p-1, -0x1.1a751130932cfp-1, -0x1.172e97fc5677bp-1, -0x1.13e4dc45291afp-1, -0x1.10985652988aep-1, -0x1.0d497bfeebad3p-1, -0x1.09f8c0a44d7dbp-1, -0x1.06a6950c49a6dp-1, -0x1.03536761753d3p-1, -0x1.ffff464654344p-2, -0x1.f95762366977p-2, -0x1.f2afeeaaaf422p-2, -0x1.ec09b2311388bp-2, -0x1.e5656dc3aa3d3p-2, -0x1.dec3dcc17775ap-2, -0x1.d825b4ea16b68p-2, -0x1.d18ba65c0cd23p-2, -0x1.caf65b959cc6p-2, -0x1.c4667977f0171p-2, -0x1.bddc9f4c6aa79p-2, -0x1.b75966cc04a39p-2, -0x1.b0dd6428827eap-2, -0x1.aa69261766824p-2, -0x1.a3fd35de7e74ep-2, -0x1.9d9a1761e7f79p-2, -0x1.974049336d41cp-2, -0x1.90f044a321296p-2, -0x1.8aaa7dd119eb6p-2, -0x1.846f63c031a38p-2, -0x1.7e3f6069b594ap-2, -0x1.781ad8d1eabeap-2, -0x1.72022d1d4f223p-2, -0x1.6bf5b8a688bcdp-2, -0x1.65f5d214e76a9p-2, -0x1.6002cb736d5bfp-2, -0x1.5a1cf248457f8p-2, -0x1.54448fac9ea23p-2, -0x1.4e79e864d468dp-2, -0x1.48bd3cf8ddc5ep-2, -0x1.430ec9cced936p-2, -0x1.3d6ec73a3dd57p-2, -0x1.37dd69a7f5606p-2, -0x1.325ae1a41ce3cp-2, -0x1.2ce75bfc9bdf8p-2, -0x1.278301d830527p-2, -0x1.222df8cf59a77p-2, -0x1.1ce863052e865p-2, -0x1.17b25f4013db8p-2, -0x1.128c090250b04p-2, -0x1.0d7578a274b6ap-2, -0x1.086ec3638d92cp-2, -0x1.0377fb8d252acp-2, -0x1.fd22610601432p-3, -0x1.f374ddb940dafp-3, -0x1.e9e780f8f33f3p-3, -0x1.e07a594dc386dp-3, -0x1.d72d70315f137p-3, -0x1.ce00ca3b15eebp-3, -0x1.c4f4674bccfe2p-3, -0x1.bc0842b943d03p-3, -0x1.b33c5378ac3eep-3, -0x1.aa908c4884f56p-3, -0x1.a204dbd9bb3dap-3, -0x1.99992cf81334cp-3, -0x1.914d66b1c6916p-3, -0x1.89216c7e6ab28p-3, -0x1.81151e6509badp-3, -0x1.792859217ccc7p-3, -0x1.715af648f40a8p-3, -0x1.69accc6dc5017p-3, -0x1.621daf426513dp-3, -0x1.5aad6fbb9b58cp-3, -0x1.535bdc31f55e1p-3, -0x1.4c28c08260e37p-3, -0x1.4513e62e0f821p-3, -0x1.3e1d147988fb5p-3, -0x1.3744108af95fep-3, -0x1.30889d87b94dfp-3, -0x1.29ea7cb119115p-3, -0x1.23696d8060934p-3, -0x1.1d052dc2122c2p-3, -0x1.16bd79b0759f3p-3, -0x1.10920c0d5b69ap-3, -0x1.0a829e3b2d82fp-3, -0x1.048ee85543e02p-3, -0x1.fd6d428f0e91ap-4, -0x1.f1f2fdcab1a23p-4, -0x1.e6ae6bffa2a3cp-4, -0x1.db9ef4f693d79p-4, -0x1.d0c3fec87e588p-4, -0x1.c61cee070dd4bp-4, -0x1.bba925e3bc438p-4, -0x1.b1680855b2b62p-4, -0x1.a758f63e531b6p-4, -0x1.9d7b4f8c98b4bp-4, -0x1.93ce735f36415p-4, -0x1.8a51c02589cc6p-4, -0x1.810493bf5b35cp-4, -0x1.77e64b9b7ef7fp-4, -0x1.6ef644d5529c2p-4, -0x1.6633dc5122593p-4, -0x1.5d9e6ed778902p-4, -0x1.5535592f601f3p-4, -0x1.4cf7f8379d118p-4, -0x1.44e5a8fee3672p-4, -0x1.3cfdc8db1002bp-4, -0x1.353fb57f6b4c2p-4, -0x1.2daacd11faa3bp-4, -0x1.263e6e3fe4dccp-4, -0x1.1ef9f850f206cp-4, -0x1.17dccb3a297fdp-4, -0x1.10e647af963dbp-4, -0x1.0a15cf353638ep-4, -0x1.036ac42f18d9p-4, -0x1.f9c913e16622cp-5, -0x1.ed050996e070fp-5, -0x1.e0883439025bcp-5, -0x1.d45160b3e31bcp-5, -0x1.c85f5e3e11d96p-5, -0x1.bcb0fe6ff35f4p-5, -0x1.b1451559cd52ap-5, -0x1.a61a79988385ep-5, -0x1.9b300469108a5p-5, -0x1.908491bacabf6p-5, -0x1.86170040741c2p-5, -0x1.7be6318025f15p-5, -0x1.71f109e220072p-5, -0x1.683670be843c6p-5, -0x1.5eb5506a0449p-5, -0x1.556c96418f013p-5, -0x1.4c5b32b504246p-5, -0x1.43801950f3a3dp-5, -0x1.3ada40c775657p-5, -0x1.3268a2f8208d9p-5, -0x1.2a2a3cf724c46p-5, -0x1.221e0f13976a4p-5, -0x1.1a431cdcf18f4p-5, -0x1.12986d27cd75ap-5, -0x1.0b1d0a11e8319p-5, -0x1.03d001056cad9p-5, -0x1.f960c57723dbap-6, -0x1.eb7a867d27eaep-6, -0x1.ddeb73d6116c2p-6, -0x1.d0b1c2e13cd22p-6, -0x1.c3cbafa483d26p-6, -0x1.b7377ccb7b2d9p-6, -0x1.aaf373a593797p-6, -0x1.9efde4233dff5p-6, -0x1.935524d217171p-6, -0x1.87f792d8262e9p-6, -0x1.7ce391ee337cap-6, -0x1.72178c59503a5p-6, -0x1.6791f2e3861ffp-6, -0x1.5d513cd3cbb38p-6, -0x1.5353e7e537c7dp-6, -0x1.4998783d87ep-6, -0x1.401d7862fdb12p-6, -0x1.36e179319c31dp-6, -0x1.2de311cfd1991p-6, -0x1.2520dfa28c2d8p-6, -0x1.1c998640d60c9p-6, -0x1.144baf66dffb9p-6, -0x1.0c360ae8a900fp-6, -0x1.04574ea4269ebp-6, -0x1.f95c6ce62325bp-7, -0x1.ea730838937c9p-7, -0x1.dbeffe89bff18p-7, -0x1.cdd0eac19f59bp-7, -0x1.c0137346cad6p-7, -0x1.b2b549dec6ad6p-7, -0x1.a5b42b8dbb9a6p-7, -0x1.990de075c0e98p-7, -0x1.8cc03bb5b05fep-7, -0x1.80c91b479ea6dp-7, -0x1.752667def1334p-7, -0x1.69d614c62f372p-7, -0x1.5ed61fbc83c2dp-7, -0x1.542490d301f9bp-7, -0x1.49bf7a49bad51p-7, -0x1.3fa4f86ca81ebp-7, -0x1.35d331706063ep-7, -0x1.2c48554ec9c84p-7, -0x1.23029da3a39c2p-7, -0x1.1a004d8909e5ep-7, -0x1.113fb173e6c33p-7, -0x1.08bf1f1079bf3p-7, -0x1.007cf51ec8a3cp-7, -0x1.f0ef369e5eca4p-8, -0x1.e15b043de76cep-8, -0x1.d23a4569f9db8p-8, -0x1.c389fd7d28b2cp-8, -0x1.b5474098b278cp-8, -0x1.a76f335e933d9p-8, -0x1.99ff0aac03bacp-8, -0x1.8cf40b543c90ap-8, -0x1.804b89dba238ap-8, -0x1.7402ea3369b92p-8, -0x1.68179f75a45dbp-8, -0x1.5c872ba1b544fp-8, -0x1.514f1f5963b75p-8, -0x1.466d199e6324bp-8, -0x1.3bdec790578ccp-8, -0x1.31a1e42b8310bp-8, -0x1.27b43807fb79ep-8, -0x1.1e1399197b679p-8, -0x1.14bdea6fcc546p-8, -0x1.0bb11bf7d9c5fp-8, -0x1.02eb2a3d69b6ep-8, -0x1.f4d43c5ae8a1dp-9, -0x1.e45819b26779ap-9, -0x1.d45e2e73c45c7p-9, -0x1.c4e2d3ea3f62bp-9, -0x1.b5e27a4426deep-9, -0x1.a759a81e819fap-9, -0x1.9944fa1242b27p-9, -0x1.8ba12242ceeb8p-9, -0x1.7e6ae7edf3292p-9, -0x1.719f26fd8dbfdp-9, -0x1.653acf9a79e8ap-9, -0x1.593ae5c115937p-9, -0x1.4d9c80d73fd6p-9, -0x1.425ccb43daaa7p-9, -0x1.37790207caec5p-9, -0x1.2cee74588535fp-9, -0x1.22ba833c159c5p-9, -0x1.18daa1269f776p-9, -0x1.0f4c519981b03p-9, -0x1.060d28c3cfa56p-9, -0x1.fa359648e2cb8p-10, -0x1.e8e5da5b85729p-10, -0x1.d826a5d519e28p-10, -0x1.c7f39f4943bafp-10, -0x1.b8488b19be172p-10, -0x1.a9214ac990127p-10, -0x1.9a79dc52f7fb5p-10, -0x1.8c4e598047c06p-10, -0x1.7e9af747b4d7dp-10, -0x1.715c052a18411p-10, -0x1.648dec9472b73p-10, -0x1.582d304475413p-10, -0x1.4c366baf9487cp-10, -0x1.40a6526d1ae78p-10, -0x1.3579afa2e5efap-10, -0x1.2aad6574fb34cp-10, -0x1.203e6c77d4f29p-10, -0x1.1629d32544b4dp-10, -0x1.0c6cbd54100f1p-10, -0x1.030463b2274cbp-10, -0x1.f3dc2682f126fp-11, -0x1.e24e59aec53edp-11, -0x1.d15a493da8889p-11, -0x1.c0fb0339361cfp-11, -0x1.b12bba6cb129dp-11, -0x1.a1e7c5780f096p-11, -0x1.932a9de75f23cp-11, -0x1.84efdf4fc99c6p-11, -0x1.773346707591fp-11, -0x1.69f0b058511e4p-11, -0x1.5d241990ab526p-11, -0x1.50c99d4c01e27p-11, -0x1.44dd74997b6c3p-11, -0x1.395bf59d05cabp-11, -0x1.2e4192cb54c7ep-11, -0x1.238ada2a211a2p-11, -0x1.19347494f2e28p-11, -0x1.0f3b2505e6354p-11, -0x1.059bc7e249b27p-11, -0x1.f8a6a497f12cdp-12, -0x1.e6bda2eb88d4fp-12, -0x1.d576d3f813ad5p-12, -0x1.c4ccae82cc706p-12, -0x1.b4b9d59d5a84cp-12, -0x1.a539176dd9daep-12, -0x1.96456bfe0bc21p-12, -0x1.87d9f4119f972p-12, -0x1.79f1f802e9f76p-12, -0x1.6c88e6a6e4e44p-12, -0x1.5f9a543804a66p-12, -0x1.5321f94788b7bp-12, -0x1.471bb1b55d6bbp-12, -0x1.3b837baed256fp-12, -0x1.305576b231903p-12, -0x1.258de299ec717p-12, -0x1.1b291eace8b2dp-12, -0x1.1123a8b528ab6p-12, -0x1.077a1c1c1279p-12, -0x1.fc5262194b8a4p-13, -0x1.ea5b77363949fp-13, -0x1.d90955e2f4c5ep-13, -0x1.c85611041c98cp-13, -0x1.b83bee7e0f114p-13, -0x1.a8b565ae75b42p-13, -0x1.99bd1def9356ap-13, -0x1.8b4ded2651ec6p-13, -0x1.7d62d65867fcbp-13, -0x1.6ff7084c723b4p-13, -0x1.6305dc3427187p-13, -0x1.568ad45e60382p-13, -0x1.4a819af2a942bp-13, -0x1.3ee600b5d25ap-13, -0x1.33b3fbd65141bp-13, -0x1.28e7a6c0b0467p-13, -0x1.1e7d3efca069fp-13, -0x1.147124118763bp-13, -0x1.0abfd672f8401p-13, -0x1.0165f674f7ff3p-13, -0x1.f0c0868f32324p-14, -0x1.df5733f3344c7p-14, -0x1.ce89e903d3deep-14, -0x1.be52d1a033d4dp-14, -0x1.aeac4fc70cc3p-14, -0x1.9f90f9d38673ep-14, -0x1.90fb98c4703c4p-14, -0x1.82e726920991fp-14, -0x1.754ecc900d1adp-14, -0x1.682de1d9da06p-14, -0x1.5b7fe9cb9067bp-14, -0x1.4f40928595bacp-14, -0x1.436bb37c9976fp-14, -0x1.37fd4c12fd4fdp-14, -0x1.2cf1823e29fdep-14, -0x1.2244a13521aedp-14, -0x1.17f31829d6d76p-14, -0x1.0df9790afb69cp-14, -0x1.04547750b61e7p-14, -0x1.f601cda27c112p-15, -0x1.e3f775408b6f3p-15, -0x1.d28407ebcf873p-15, -0x1.c1a1e23c1df84p-15, -0x1.b14b98e48dd72p-15, -0x1.a17bf6b10ca99p-15, -0x1.922dfa990c196p-15, -0x1.835cd5dd1ac47p-15, -0x1.7503ea373d2aep-15, -0x1.671ec8191847bp-15, -0x1.59a92cf6fef5ep-15, -0x1.4c9f01a1c6b76p-15, -0x1.3ffc58b05b06ep-15, -0x1.33bd6cf0c68c9p-15, -0x1.27de9febf6acfp-15, -0x1.1c5c7870463d3p-15, -0x1.1133a12dd0d1p-15, -0x1.0660e75a1b7e4p-15, -0x1.f7c272c303ed4p-16, -0x1.e3634b4423d8p-16, -0x1.cf9eb269c5137p-16, -0x1.bc6f3d778e0b1p-16, -0x1.a9cfba7ed2da8p-16, -0x1.97bb2e21f8604p-16, -0x1.862cd175e7117p-16, -0x1.75200ff1c03d2p-16, -0x1.6490856ff425cp-16, -0x1.5479fc40f8599p-16, -0x1.44d86b5436456p-16, -0x1.35a7f46862554p-16, -0x1.26e4e2541ceedp-16, -0x1.188ba7580e521p-16, -0x1.0a98db82f878dp-16, -0x1.fa12764976705p-17, -0x1.dfb34aa0c4d78p-17, -0x1.c60e34d033588p-17, -0x1.ad1d7574f1ddbp-17, -0x1.94db8a5afcd81p-17, -0x1.7d432be16638bp-17, -0x1.664f4a80aa81p-17, -0x1.4ffb0c63c088bp-17, -0x1.3a41cb1683fc9p-17, -0x1.251f11530f929p-17, -0x1.108e98db370c2p-17, -0x1.f91890d0312ebp-18, -0x1.d228636e5ed0ep-18, -0x1.ac451f3a8bc25p-18, -0x1.8767886bd89dp-18, -0x1.6388ae3c75332p-18, -0x1.40a1e78a07caap-18, -0x1.1eaccf952377bp-18, -0x1.fb4685d91cbfep-19, -0x1.bafeb8c8caba1p-19, -0x1.7c76e46dfd412p-19, -0x1.3fa4269f7cbb9p-19, -0x1.047c0934b18b8p-19, -0x1.95e8fa0476cfp-20, -0x1.2607a9e97f4dcp-20, -0x1.7283057cc37a7p-21, -0x1.3e125c445b1e4p-22, 0x1.7405d2519b1afp-24, 0x1.ec77f30ee6fe6p-22, 0x1.b848a2c976dc1p-21, 0x1.3a62d2bbdc871p-20, 0x1.95e86dcf4f9d5p-20, 0x1.eec38bef7e216p-20, 0x1.22810c8b1d3cbp-19, 0x1.4c58c534a4898p-19, 0x1.74ef720af8e82p-19, 0x1.9c4b5f876b82bp-19, 0x1.c272a73c55de4p-19, 0x1.e76b3278151e3p-19, 0x1.059d5e601180ep-18, 0x1.16f36b0dac96bp-18, 0x1.27ba72b59ab49p-18, 0x1.37f51543490cap-18, 0x1.47a5e0201c8f4p-18, 0x1.56cf4f34756b1p-18, 0x1.6573cdcd294d6p-18, 0x1.7395b7802f42cp-18, 0x1.813758ff4f668p-18, 0x1.8e5af0e65a021p-18, 0x1.9b02b079a0592p-18, 0x1.a730bc55cd0f7p-18, 0x1.b2e72d25d7ea9p-18, 0x1.be28104358627p-18, 0x1.c8f56851790c6p-18, 0x1.d3512dd10e8bfp-18, 0x1.dd3d4fa7888f9p-18, 0x1.e6bbb3a47ffd8p-18, 0x1.efce36fa77a93p-18, 0x1.f876aeb69ccb9p-18, 0x1.005b741530a58p-17, 0x1.044854a98fab1p-17, 0x1.0802d89cd633cp-17, 0x1.0b8bdc2807eaep-17, 0x1.0ee4386318c06p-17, 0x1.120cc36c09bep-17, 0x1.1506508d34c0fp-17, 0x1.17d1b05f4316cp-17, 0x1.1a6fb0eb28b72p-17, 0x1.1ce11dc6f1576p-17, 0x1.1f26c032e1398p-17, 0x1.21415f32b90ffp-17, 0x1.2331bfa7678d3p-17, 0x1.24f8a463b26acp-17, 0x1.2696ce43c198cp-17, 0x1.280cfc3e61619p-17, 0x1.295beb7749d54p-17, 0x1.2a84574f1f1e3p-17, 0x1.2b86f9729bd2dp-17, 0x1.2c6489e7a9cc5p-17, 0x1.2d1dbf1a18b4cp-17, 0x1.2db34de5e3fbdp-17, 0x1.2e25e9a1eb151p-17, 0x1.2e7644293c16ap-17, 0x1.2ea50de1fe52bp-17, 0x1.2eb2f5c595f5cp-17, 0x1.2ea0a966b9e8fp-17, 0x1.2e6ed4f64b361p-17, 0x1.2e1e2348a3e49p-17, 0x1.2daf3dd93207fp-17, 0x1.2d22ccce2a715p-17, 0x1.2c7976fbbbfbp-17, 0x1.2bb3e1e491175p-17, 0x1.2ad2b1bc7a7d9p-17, 0x1.29d68969c6e09p-17, 0x1.28c00a85fdfedp-17, 0x1.278fd55d83addp-17, 0x1.264688f04ee0fp-17, 0x1.24e4c2f18818ap-17, 0x1.236b1fc5ad5f2p-17, 0x1.21da3a820dfc4p-17, 0x1.2032acebc6e82p-17, 0x1.1e750f77011abp-17, 0x1.1ca1f943b7e86p-17, 0x1.1aba001cb70b3p-17, 0x1.18bdb8751da55p-17, 0x1.16adb566c9dep-17, 0x1.148a88af5ef1cp-17, 0x1.1254c2add226bp-17, 0x1.100cf261563dfp-17, 0x1.0db3a564f3c02p-17, 0x1.0b4967edcf22p-17, 0x1.08cec4c7e52fep-17, 0x1.06444554610c8p-17, 0x1.03aa7186d8028p-17, 0x1.0101cfe20230cp-17, 0x1.fc95caeb2f3eep-18, 0x1.f70c6bb79c6f7p-18, 0x1.f168866c1b133p-18, 0x1.ebab1c5628bd2p-18, 0x1.e5d52bc8f2dc3p-18, 0x1.dfe7b019a6334p-18, 0x1.d9e3a198b61d4p-18, 0x1.d3c9f58e1f0c3p-18, 0x1.cd9b9e3599c2ep-18, 0x1.c7598ab98ee78p-18, 0x1.c104a731bcd9cp-18, 0x1.ba9ddc9ce74d6p-18, 0x1.b42610dfb59e5p-18, 0x1.ad9e26c024ec7p-18, 0x1.a706fde230ed6p-18, 0x1.a06172c489b74p-18, 0x1.99ae5ec1601b7p-18, 0x1.92ee9808a0785p-18, 0x1.8c22f1a058c21p-18, 0x1.854c3b60dc74ap-18, 0x1.7e6b41f48c5f7p-18, 0x1.7780ced614b7fp-18, 0x1.708da85064bdbp-18, 0x1.6992917d80161p-18, 0x1.62904a467a797p-18, 0x1.5b878f6357febp-18, 0x1.54791a5af24cep-18, 0x1.4d65a1811c299p-18, 0x1.464dd7fa9d3afp-18, 0x1.3f326dbcd65fbp-18, 0x1.38140f8f44333p-18, 0x1.30f3670bc158dp-18, 0x1.29d11aa0a98b3p-18, 0x1.22adcd92a95fdp-18, 0x1.1b8a1ffef660fp-18, 0x1.1466aede1de67p-18, 0x1.0d44140716398p-18, 0x1.0622e630e2882p-18, 0x1.fe0771ee81902p-19, 0x1.efce39b8a3f9ep-19, 0x1.e19b3e971da69p-19, 0x1.d36f953cbd7bdp-19, 0x1.c54c4c4439ae6p-19, 0x1.b7326c3435e4bp-19, 0x1.a922f7871b06dp-19, 0x1.9b1eeab678ad6p-19, 0x1.8d273c4271255p-19, 0x1.7f3cdcbbbf436p-19, 0x1.7160b6cfe477ep-19, 0x1.6393af54512b5p-19, 0x1.55d6a54fbc7b1p-19, 0x1.482a7205671a6p-19, 0x1.3a8fe902711f9p-19, 0x1.2d07d824d50b1p-19, 0x1.1f9307aa4062dp-19, 0x1.12323a3d306cfp-19, 0x1.04e62d0469e59p-19, 0x1.ef5f2f558cdd2p-20, 0x1.d51e58dda93dep-20, 0x1.bb0b305efe4a6p-20, 0x1.a12704f286e6p-20, 0x1.87731b2ac9b33p-20, 0x1.6df0ad2c34133p-20, 0x1.54a0ead570ddep-20, 0x1.3b84f9cfed4c4p-20, 0x1.229df5b23a5f9p-20, 0x1.09ecf01dd739ap-20, 0x1.e2e5e1ae6a985p-21, 0x1.b261ebd29615ep-21, 0x1.824fe784f4aafp-21, 0x1.52b1aab410da2p-21, 0x1.2388f88e7dccbp-21, 0x1.e9af0386b4766p-22, 0x1.8d3dc98dde104p-22, 0x1.31c15c104ed9fp-22, 0x1.ae7960e47ec7ap-23, 0x1.f6ca6436ddee5p-24, 0x1.292e2e9e1f598p-25, -0x1.9339da222377dp-25, -0x1.11e3fb89b5b74p-23, -0x1.bcf06c5ce263bp-23, -0x1.32f7b982a4d25p-22, -0x1.866e7cbb74bcbp-22, -0x1.d8da9451a28c6p-22, -0x1.151d19d24db1ap-21, -0x1.3d45d63cb682fp-21, -0x1.64e6b74a7c612p-21, -0x1.8bff0391abc4fp-21, -0x1.b28e101e18be4p-21, -0x1.d8934032fc745p-21, -0x1.fe0e05088fdb4p-21, -0x1.117eeec69444dp-20, -0x1.23b12b0bab64dp-20, -0x1.359d841ab994bp-20, -0x1.4743cd333db2p-20, -0x1.58a3dfefec21ap-20, -0x1.69bd9c266335ap-20, -0x1.7a90e7c654131p-20, -0x1.8b1daebc932ccp-20, -0x1.9b63e2d00d611p-20, -0x1.ab637b80d097ap-20, -0x1.bb1c75f1a76dcp-20, -0x1.ca8ed4c2d27b3p-20, -0x1.d9ba9ff499facp-20, -0x1.e89fe4cbee552p-20, -0x1.f73eb5b0f688cp-20, -0x1.02cb950a5cf05p-19, -0x1.09d4af26561aap-19, -0x1.10bab9bcaf40ep-19, -0x1.177dc7b5d577ap-19, -0x1.1e1dee41c55bfp-19, -0x1.249b44cb8e99fp-19, -0x1.2af5e4eab05a6p-19, -0x1.312dea547ee9cp-19, -0x1.374372cec5d9p-19, -0x1.3d369e2036578p-19, -0x1.43078e04983d4p-19, -0x1.48b6661efb2f2p-19, -0x1.4e434bec21691p-19, -0x1.53ae66b4db8adp-19, -0x1.58f7df818cb26p-19, -0x1.5e1fe10dac472p-19, -0x1.632697b977b8fp-19, -0x1.680c317d936ccp-19, -0x1.6cd0dddef7c11p-19, -0x1.7174cde34541fp-19, -0x1.75f8340339d39p-19, -0x1.7a5b44201999dp-19, -0x1.7e9e33776c24p-19, -0x1.82c13896411ddp-19, -0x1.86c48b4f2672ap-19, -0x1.8aa864acf2355p-19, -0x1.8e6cfee84bcfap-19, -0x1.9212955dcba76p-19, -0x1.959964811aea2p-19, -0x1.9901a9d3a758ap-19, -0x1.9c4ba3d9169bfp-19, -0x1.9f77920ddc16bp-19, -0x1.a285b4dbe8c19p-19, -0x1.a5764d9057852p-19, -0x1.a8499e52998p-19, -0x1.aaffea198ac4cp-19, -0x1.ad9974a23ca05p-19, -0x1.b01682672b197p-19, -0x1.b2775895e6fc4p-19, -0x1.b4bc3d06992bbp-19, -0x1.b6e57631f01fcp-19, -0x1.b8f34b2a46e0cp-19, -0x1.bae60390be61cp-19, -0x1.bcbde78d38268p-19, -0x1.be7b3fc769a53p-19, -0x1.c01e555cd82dap-19, -0x1.c1a771d9b17edp-19, -0x1.c316df305ceeap-19, -0x1.c46ce7b278e3ap-19, -0x1.c5a9d60881e52p-19, -0x1.c6cdf529824f7p-19, -0x1.c7d9905680b0ep-19, -0x1.c8ccf310d9138p-19, -0x1.c9a8691362d1ap-19, -0x1.ca6c3e4d1d41ap-19, -0x1.cb18bed8f5e5ep-19, -0x1.cbae36f79a0aap-19, -0x1.cc2cf308ff2d8p-19, -0x1.cc953f8666c1dp-19, -0x1.cce768fc1cc85p-19, -0x1.cd23bc02fc2dap-19, -0x1.cd4a853a92d6ep-19, -0x1.cd5c11441a652p-19, -0x1.cd58acbbd688p-19, -0x1.cd40a4348ad88p-19, -0x1.cd14443120a73p-19, -0x1.ccd3d920350cfp-19, -0x1.cc7faf563d8b1p-19, -0x1.cc181308fcbf6p-19, -0x1.cb9d504bcc61fp-19, -0x1.cb0fb30912a7p-19, -0x1.ca6f86fe04c53p-19, -0x1.c9bd17b6f872p-19, -0x1.c8f8b08a30421p-19, -0x1.c8229c9400c28p-19, -0x1.c73b26b244057p-19, -0x1.c642998110006p-19, -0x1.c5393f5717054p-19, -0x1.c41f6240b264fp-19, -0x1.c2f54bfcb22a5p-19, -0x1.c1bb45f88764p-19, -0x1.c071994dd8722p-19, -0x1.bf188ebdf3ffap-19, -0x1.bdb06eaf51b6ap-19, -0x1.bc3981296739p-19, -0x1.bab40dd2f0497p-19, -0x1.b9205bed8615dp-19, -0x1.b77eb2553c104p-19, -0x1.b5cf577bfa1ebp-19, -0x1.b4129166c0c7dp-19, -0x1.b248a5ab4f603p-19, -0x1.b071d96e303f7p-19, -0x1.ae8e715f96e5p-19, -0x1.ac9eb1b9a9482p-19, -0x1.aaa2de3e0d3b5p-19, -0x1.a89b3a345cf83p-19, -0x1.a688086805cbp-19, -0x1.a4698b25814b8p-19, -0x1.a24004394decp-19, -0x1.a00bb4ecc632ep-19, -0x1.9dccde06eccbdp-19, -0x1.9b83bfc8cbda4p-19, -0x1.993099ec8ca8fp-19, -0x1.96d3aba32dfbp-19, }}, 
      {{-0x1.a6949b082507cp-16, -0x1.aa6bd466060eap-14, -0x1.e6ccf58c48cefp-13, -0x1.b94e690e1bba6p-12, -0x1.61259224c9266p-11, -0x1.0561e8aba3a3dp-10, -0x1.6ec713e027df5p-10, -0x1.eef3034cbaa1fp-10, -0x1.4418b590710e1p-9, -0x1.9e6d62c4f3e1dp-9, -0x1.03d1eb385493fp-8, -0x1.40717374fc79ep-8, -0x1.85a39a685fda7p-8, -0x1.d3ef95bd74bffp-8, -0x1.15e9ed40d077dp-7, -0x1.46e2652289e76p-7, -0x1.7d15d60cabd9fp-7, -0x1.b8b2f4fb40abep-7, -0x1.f9e24585318e1p-7, -0x1.2062f8e77543ep-6, -0x1.46bcdce2a989cp-6, -0x1.70097b29b7428p-6, -0x1.9c5056c25553bp-6, -0x1.cb95da6592234p-6, -0x1.fddb6f747e57bp-6, -0x1.198fccd0cd61fp-5, -0x1.35af0b2a3d22dp-5, -0x1.5347ff76807ap-5, -0x1.7255f6947c001p-5, -0x1.92d310848231cp-5, -0x1.b4b853d4bc98ap-5, -0x1.d7fdc14c01b0ap-5, -0x1.fc9a67a088fa3p-5, -0x1.11423b87e37c2p-4, -0x1.24d8aa59b5d0fp-4, -0x1.390ad6bab4c64p-4, -0x1.4dd2c4450369ep-4, -0x1.632a2cadb6316p-4, -0x1.790a886b154b4p-4, -0x1.8f6d1704c3395p-4, -0x1.a64ae708d18d6p-4, -0x1.bd9cdda212e6bp-4, -0x1.d55bbdcd57edp-4, -0x1.ed802f2c22afcp-4, -0x1.0301623a4cef7p-3, -0x1.0f6e00bf8c608p-3, -0x1.1c02307951d2cp-3, -0x1.28ba2cc9108afp-3, -0x1.3592319656f45p-3, -0x1.42867d99f3254p-3, -0x1.4f93547db8f6p-3, -0x1.5cb500d291a2p-3, -0x1.69e7d5debb61ap-3, -0x1.7728314629f56p-3, -0x1.84727c8ee401ep-3, -0x1.91c32e836fa49p-3, -0x1.9f16cc75358d6p-3, -0x1.ac69eb60c2cdep-3, -0x1.b9b930f5d6d2cp-3, -0x1.c70154850449fp-3, -0x1.d43f1fd4a2ec6p-3, -0x1.e16f6fdebda78p-3, -0x1.ee8f35798f22dp-3, -0x1.fb9b75ec02771p-3, -0x1.0448a5b7cdb93p-2, -0x1.0ab6f2d08c88ep-2, -0x1.111744f07b1aep-2, -0x1.176849d27961cp-2, -0x1.1da8ba5dcf808p-2, -0x1.23d75ac1733fdp-2, -0x1.29f2fa8933541p-2, -0x1.2ffa74ad397b7p-2, -0x1.35ecaf9c329d6p-2, -0x1.3bc89d408052bp-2, -0x1.418d3b00b4eb8p-2, -0x1.473991bbaca3bp-2, -0x1.4cccb5c07da1fp-2, -0x1.5245c6c2835ddp-2, -0x1.57a3efc9b8e28p-2, -0x1.5ce6671f96b3ep-2, -0x1.620c6e38aca2p-2, -0x1.6715519b1c7d4p-2, -0x1.6c0068c229fffp-2, -0x1.70cd15ff07f3fp-2, -0x1.757ac65704e2cp-2, -0x1.7a08f15f4c158p-2, -0x1.7e7719164e404p-2, -0x1.82c4c9bb09b29p-2, -0x1.86f199a245d8p-2, -0x1.8afd2909ee049p-2, -0x1.8ee721eaab35bp-2, -0x1.92af37c7e0699p-2, -0x1.9655277e24cfdp-2, -0x1.99d8b71063da6p-2, -0x1.9d39b573bfc3dp-2, -0x1.a077fa5a54745p-2, -0x1.a39365fcfb503p-2, -0x1.a68be0e430ec8p-2, -0x1.a9615bb03469dp-2, -0x1.ac13cee082c25p-2, -0x1.aea33a9ac7ff5p-2, -0x1.b10fa671620a5p-2, -0x1.b3592129905eap-2, -0x1.b57fc08169ad5p-2, -0x1.b783a0f5b408fp-2, -0x1.b964e587ae1e4p-2, -0x1.bb23b782f10d2p-2, -0x1.bcc046436d867p-2, -0x1.be3ac6fbabc37p-2, -0x1.bf93747b524c4p-2, -0x1.c0ca8ef615db5p-2, -0x1.c1e05bcb16535p-2, -0x1.c2d5254cc55d5p-2, -0x1.c3a93a895e9acp-2, -0x1.c45cef1404c47p-2, -0x1.c4f09ace8f25dp-2, -0x1.c56499b417bb3p-2, -0x1.c5b94ba44de79p-2, -0x1.c5ef142fa510fp-2, -0x1.c6065a645abe6p-2, -0x1.c5ff889c68017p-2, -0x1.c5db0c4c62913p-2, -0x1.c59955d34f58ep-2, -0x1.c53ad84b78129p-2, -0x1.c4c0095c3a3ffp-2, -0x1.c429610ce57f5p-2, -0x1.c37759989c0adp-2, -0x1.c2aa6f434293dp-2, -0x1.c1c3202f81adp-2, -0x1.c0c1ec35d45dep-2, -0x1.bfa754bcaa076p-2, -0x1.be73dc919d5c5p-2, -0x1.bd2807c3b7a17p-2, -0x1.bbc45b7ecc15dp-2, -0x1.ba495de7e1d58p-2, -0x1.b8b795faabc6ep-2, -0x1.b70f8b680fe3dp-2, -0x1.b551c675ba5a4p-2, -0x1.b37ecfdeb81ep-2, -0x1.b19730b519cd5p-2, -0x1.af9b724496fd6p-2, -0x1.ad8c1df634923p-2, -0x1.ab69bd34e4755p-2, -0x1.a934d9531ffc3p-2, -0x1.a6edfb7177482p-2, -0x1.a495ac660e23ep-2, -0x1.a22c74a50ac67p-2, -0x1.9fb2dc29e7151p-2, -0x1.9d296a61abdfep-2, -0x1.9a90a61605d1ep-2, -0x1.97e915593aae5p-2, -0x1.95333d72f2fa9p-2, -0x1.926fa2cdd3af8p-2, -0x1.8f9ec8e5eb769p-2, -0x1.8cc13237e1dabp-2, -0x1.89d76030f21aep-2, -0x1.86e1d31f9f24bp-2, -0x1.83e10a252a648p-2, -0x1.80d58327bbd38p-2, -0x1.7dbfbac53fa8bp-2, -0x1.7aa02c46f2a54p-2, -0x1.7777519597427p-2, -0x1.7445a32e53521p-2, -0x1.710b98182a308p-2, -0x1.6dc9a5da1b03ap-2, -0x1.6a804071d4109p-2, -0x1.672fda4afc0b9p-2, -0x1.63d8e4370f2ep-2, -0x1.607bcd65c7b6bp-2, -0x1.5d19035e1165bp-2, -0x1.59b0f1f782aa8p-2, -0x1.5644035458e2ep-2, -0x1.52d29fdbf1808p-2, -0x1.4f5d2e35c2ba4p-2, -0x1.4be41344c7075p-2, -0x1.4867b223603abp-2, -0x1.44e86c1faac51p-2, -0x1.4166a0b8403c8p-2, -0x1.3de2ad9961ae5p-2, -0x1.3a5cee9a8b0f6p-2, -0x1.36d5bdbc6d245p-2, -0x1.334d732743c7p-2, -0x1.2fc4652990012p-2, -0x1.2c3ae8372a1dp-2, -0x1.28b14ee8acfe1p-2, -0x1.2527e9fb396fcp-2, -0x1.219f0850890eap-2, -0x1.1e16f6ef54515p-2, -0x1.1a9001040518p-2, -0x1.170a6fe1b5c2bp-2, -0x1.13868b037554p-2, -0x1.1004980dd6586p-2, -0x1.0c84dad0bee45p-2, -0x1.090795497a1afp-2, -0x1.058d07a506659p-2, -0x1.02157042a533bp-2, -0x1.fd42176d41a57p-3, -0x1.f660299a9524bp-3, -0x1.ef85891c5fc32p-3, -0x1.e8b2a47f06a42p-3, -0x1.e1e7e6d36a36p-3, -0x1.db25b7b679bbfp-3, -0x1.d46c7b591dec7p-3, -0x1.cdbc92887c679p-3, -0x1.c7165ab68ddb6p-3, -0x1.c07a2e02ffce5p-3, -0x1.b9e8634463d14p-3, -0x1.b3614e11a7b3bp-3, -0x1.ace53ecbc7c56p-3, -0x1.a67482a7cd9f2p-3, -0x1.a00f63b8ff4c1p-3, -0x1.99b628fb4ea96p-3, -0x1.9369165df926fp-3, -0x1.8d286cce5c4e5p-3, -0x1.86f46a42f8078p-3, -0x1.80cd49c69a354p-3, -0x1.7ab34383b2c75p-3, -0x1.74a68ccfd0431p-3, -0x1.6ea7583736afbp-3, -0x1.68b5d5889fd9ap-3, -0x1.62d231e10b6b7p-3, -0x1.5cfc97b7b154ap-3, -0x1.57352eea086b5p-3, -0x1.517c1cc7db217p-3, -0x1.4bd1841f785f1p-3, -0x1.46358549e37bep-3, -0x1.40a83e371e9bep-3, -0x1.3b29ca7a75ed7p-3, -0x1.35ba4356d5757p-3, -0x1.3059bfcb1d193p-3, -0x1.2b08549e81d96p-3, -0x1.25c6146ce804dp-3, -0x1.20930fb339041p-3, -0x1.1b6f54dbbcaa6p-3, -0x1.165af04a65551p-3, -0x1.1155ec691885bp-3, -0x1.0c6051b3ecee8p-3, -0x1.077a26c55a6b9p-3, -0x1.02a370625ccafp-3, -0x1.fbb8630d16493p-4, -0x1.f248d6e0342d1p-4, -0x1.e8f83b57938bcp-4, -0x1.dfc68c4192a2dp-4, -0x1.d6b3c238f3716p-4, -0x1.cdbfd2bc3e574p-4, -0x1.c4eab044f6f65p-4, -0x1.bc344a5e93819p-4, -0x1.b39c8dbd4f1acp-4, -0x1.ab236454b089ep-4, -0x1.a2c8b56de3386p-4, -0x1.9a8c65bdd61d5p-4, -0x1.926e577b106d5p-4, -0x1.8a6e6a7354adcp-4, -0x1.828c7c20f3358p-4, -0x1.7ac867bfe3db8p-4, -0x1.732206629594cp-4, -0x1.6b992f0679d06p-4, -0x1.642db6a842f31p-4, -0x1.5cdf7057de098p-4, -0x1.55ae2d4c1f6cep-4, -0x1.4e99bcf6241cp-4, -0x1.47a1ed1465acdp-4, -0x1.40c689c57fc75p-4, -0x1.3a075d9aa91aap-4, -0x1.336431a9da568p-4, -0x1.2cdccd9fa6af4p-4, -0x1.2670f7d0c20c9p-4, -0x1.2020754b36d33p-4, -0x1.19eb09e74a0d9p-4, -0x1.13d078580d3fep-4, -0x1.0dd0823b9b9d8p-4, -0x1.07eae82b0841bp-4, -0x1.021f69c9f79cap-4, -0x1.f8db8babc8843p-5, -0x1.edab746a291c7p-5, -0x1.e2ae080a71b64p-5, -0x1.d7e2bf5376272p-5, -0x1.cd4911b36e619p-5, -0x1.c2e0755b4c46bp-5, -0x1.b8a85f5964b6dp-5, -0x1.aea043b375baep-5, -0x1.a4c795800cf09p-5, -0x1.9b1dc6ff4c1dep-5, -0x1.91a249b3053c2p-5, -0x1.88548e7642625p-5, -0x1.7f3405941a992p-5, -0x1.76401ede0155bp-5, -0x1.6d7849c166bc4p-5, -0x1.64dbf55cc1a65p-5, -0x1.5c6a9094009b6p-5, -0x1.54238a2461bc6p-5, -0x1.4c0650b7b1fbdp-5, -0x1.441252f6f8e9cp-5, -0x1.3c46ff9c90058p-5, -0x1.34a3c585a5951p-5, -0x1.2d2813c333734p-5, -0x1.25d359aa5e93fp-5, -0x1.1ea506e4599fap-5, -0x1.179c8b7daa49ap-5, -0x1.10b957f4f380ep-5, -0x1.09fadd492f5ebp-5, -0x1.03608d076b20bp-5, -0x1.f9d3b2affa292p-6, -0x1.ed2c6a166c71cp-6, -0x1.e0ca274b43bddp-6, -0x1.d4abd2d766906p-6, -0x1.c8d056da17a64p-6, -0x1.bd369f1e8717dp-6, -0x1.b1dd99306626bp-6, -0x1.a6c4346fae45ep-6, -0x1.9be96223706edp-6, -0x1.914c158bc835ep-6, -0x1.86eb43f2fa5afp-6, -0x1.7cc5e4bdb6651p-6, -0x1.72daf17a91cd3p-6, -0x1.692965f0a1fb1p-6, -0x1.5fb0402d59abdp-6, -0x1.566e8091a09b3p-6, -0x1.4d6329de2de3p-6, -0x1.448d413f1a816p-6, -0x1.3bebce56c7775p-6, -0x1.337ddb480b8a3p-6, -0x1.2b4274bfb3e94p-6, -0x1.2338a9fd5162dp-6, -0x1.1b5f8cdb733b7p-6, -0x1.13b631d726225p-6, -0x1.0c3bb016ee26ep-6, -0x1.04ef21711392ep-6, -0x1.fb9f44e2c06d9p-7, -0x1.edb8a4bc9d234p-7, -0x1.e028a67b516d8p-7, -0x1.d2ed93b13a8fdp-7, -0x1.c605bb7eae5a7p-7, -0x1.b96f7297fa9cep-7, -0x1.ad29134a99ee4p-7, -0x1.a130fd8166e9bp-7, -0x1.958596c7c83c5p-7, -0x1.8a254a4c2b5edp-7, -0x1.7f0e88e16a0f4p-7, -0x1.743fc8ff89b7bp-7, -0x1.69b786c3875b9p-7, -0x1.5f7443ee6df84p-7, -0x1.557487e3b5ef7p-7, -0x1.4bb6dfa6cd1e1p-7, -0x1.4239ddd80b98cp-7, -0x1.38fc1ab0ee5a5p-7, -0x1.2ffc33ff94cb9p-7, -0x1.2738cd21d3792p-7, -0x1.1eb08eff73f69p-7, -0x1.166228040aa2dp-7, -0x1.0e4c4c18395bep-7, -0x1.066db49a52bcap-7, -0x1.fd8a40ad32de3p-8, -0x1.eea2a6fdc644p-8, -0x1.e0222f43dd4e9p-8, -0x1.d20677444e483p-8, -0x1.c44d27581c554p-8, -0x1.b6f3f2586881bp-8, -0x1.a9f89589c6de7p-8, -0x1.9d58d8869c7c3p-8, -0x1.91128d2907bdfp-8, -0x1.85238f740d7dfp-8, -0x1.7989c57c27294p-8, -0x1.6e431f4f4ff16p-8, -0x1.634d96dc72652p-8, -0x1.58a72fda706ccp-8, -0x1.4e4df7ae926edp-8, -0x1.444005527f64ap-8, -0x1.3a7b793a03647p-8, -0x1.30fe7d385619cp-8, -0x1.27c74464f5ff6p-8, -0x1.1ed40b0040e3fp-8, -0x1.16231657c850ap-8, -0x1.0db2b4aa62f1fp-8, -0x1.05813d0bdfb53p-8, -0x1.fb1a1e91740d4p-9, -0x1.eba92792b9cf6p-9, -0x1.dcac76eafe266p-9, -0x1.ce20ff2e77b61p-9, -0x1.c003c37bce20bp-9, -0x1.b251d7420dd63p-9, -0x1.a5085e0608652p-9, -0x1.98248b280aeep-9, -0x1.8ba3a1a908f91p-9, -0x1.7f82f3f013dc9p-9, -0x1.73bfe38fa90a1p-9, -0x1.6857e10afd8b7p-9, -0x1.5d486b9b984ffp-9, -0x1.528f10f69777fp-9, -0x1.48296d1286de2p-9, -0x1.3e1529ed144a2p-9, -0x1.344fff512ce83p-9, -0x1.2ad7b29d13ffep-9, -0x1.21aa1688f7342p-9, -0x1.18c50aed72704p-9, -0x1.10267c8acd9abp-9, -0x1.07cc64d0055d3p-9, -0x1.ff6993453c0c4p-10, -0x1.efbb7a4d43858p-10, -0x1.e08abb0dc82f8p-10, -0x1.d1d3a97c03e06p-10, -0x1.c392b0be6044ep-10, -0x1.b5c452c035f9dp-10, -0x1.a86527c5fb1c8p-10, -0x1.9b71de01b4488p-10, -0x1.8ee739296cap-10, -0x1.82c2120ddadcfp-10, -0x1.76ff5632648ap-10, -0x1.6b9c07665b5cp-10, -0x1.60953b5e7bd89p-10, -0x1.55e81b5059216p-10, -0x1.4b91e38e6d219p-10, -0x1.418fe3253150ep-10, -0x1.37df7b79b765dp-10, -0x1.2e7e1fe928d64p-10, -0x1.2569556956d0bp-10, -0x1.1c9eb22a75b23p-10, -0x1.141bdd3a7b523p-10, -0x1.0bde8e28f2665p-10, -0x1.03e48cac75e9bp-10, -0x1.f8576092c64e5p-11, -0x1.e963bff2be699p-11, -0x1.daea23a915f66p-11, -0x1.cce69577b2c2dp-11, -0x1.bf553c087ee4ap-11, -0x1.b2325a470286fp-11, -0x1.a57a4ebc14114p-11, -0x1.992992ec71a7dp-11, -0x1.8d3cbab904b61p-11, -0x1.81b073c24996bp-11, -0x1.768184ce06c8ep-11, -0x1.6baccd2f17cb4p-11, -0x1.612f443088abp-11, -0x1.5705f88252289p-11, -0x1.4d2e0fa85c662p-11, -0x1.43a4c56cfea72p-11, -0x1.3a676b54df773p-11, -0x1.3173681608b31p-11, -0x1.28c63710923ep-11, -0x1.205d67ca7b30fp-11, -0x1.18369d6cce0d9p-11, -0x1.104f8e44b1057p-11, -0x1.08a603459fb6ep-11, -0x1.0137d78e3cf92p-11, -0x1.f405efde5930ap-12, -0x1.e60ac4e9f316bp-12, -0x1.d87a4be6bda49p-12, -0x1.cb50c326e3237p-12, -0x1.be8a88c8389c2p-12, -0x1.b22419d7c647dp-12, -0x1.a61a117bd7493p-12, -0x1.9a69282027a24p-12, -0x1.8f0e32a96c371p-12, -0x1.840621aa10371p-12, -0x1.794e009c63093p-12, -0x1.6ee2f52187177p-12, -0x1.64c23e4285248p-12, -0x1.5ae933b7964d2p-12, -0x1.515545332619p-12, -0x1.4803f9ae80635p-12, -0x1.3ef2eebd4e281p-12, -0x1.361fd7e2e3899p-12, -0x1.2d887dec797fp-12, -0x1.252abe4e86e5dp-12, -0x1.1d048a8646bafp-12, -0x1.1513e77e0fce2p-12, -0x1.0d56ecf60c0d5p-12, -0x1.05cbc4eff2d48p-12, -0x1.fce1563dc5c42p-13, -0x1.ee87d8b4a1bfbp-13, -0x1.e087cc27311fcp-13, -0x1.d2de0b9f8029bp-13, -0x1.c5879148a9867p-13, -0x1.b881756ed413dp-13, -0x1.abc8ed849a042p-13, -0x1.9f5b4b32df872p-13, -0x1.9335fb66951f4p-13, -0x1.8756856c477d6p-13, -0x1.7bba8a0d4f7eap-13, -0x1.705fc2b4ab07dp-13, -0x1.6544009938e1bp-13, -0x1.5a652becd4147p-13, -0x1.4fc143118f6a7p-13, -0x1.455659d34ebe1p-13, -0x1.3b2298a745e2ep-13, -0x1.31243bf20cce1p-13, -0x1.275993517783dp-13, -0x1.1dc100e982265p-13, -0x1.1458f8baf69b7p-13, -0x1.0b1ffff906af6p-13, -0x1.0214ac6883e18p-13, -0x1.f26b4780a6b16p-14, -0x1.e1033622a3ee2p-14, -0x1.cfeeac5fd18b7p-14, -0x1.bf2b4e46c24f1p-14, -0x1.aeb6db31fd3cap-14, -0x1.9e8f2cb734966p-14, -0x1.8eb2359e149f4p-14, -0x1.7f1e00e093633p-14, -0x1.6fd0b0aeb305ep-14, -0x1.60c87d7e2e727p-14, -0x1.5203b520018f6p-14, -0x1.4380b9dccaca9p-14, -0x1.353e0199b3fd7p-14, -0x1.273a1502c585dp-14, -0x1.19738ebc756efp-14, -0x1.0be91a9bb0d41p-14, -0x1.fd32e9c648d35p-15, -0x1.e306d313a28bap-15, -0x1.c94ba70d4a5c8p-15, -0x1.afff3842f474ap-15, -0x1.971f748fc057ap-15, -0x1.7eaa63d6f25c3p-15, -0x1.669e26c4f07a4p-15, -0x1.4ef8f5a2f8026p-15, -0x1.37b91f2bb9ea9p-15, -0x1.20dd07759e22ep-15, -0x1.0a6326de9f7b6p-15, -0x1.e8941201e98eap-16, -0x1.bd20976d88ccfp-16, -0x1.92693c4713c84p-16, -0x1.686b7f93d06aep-16, -0x1.3f24ff4f011e4p-16, -0x1.169376b1f2c6p-16, -0x1.dd697922c5b6dp-17, -0x1.8f0d838e4533ap-17, -0x1.420f1f572d13ap-17, -0x1.ecd51a75b9513p-18, -0x1.58387283b13ap-18, -0x1.8c82e03888b43p-19, -0x1.b74c4365ce058p-21, 0x1.5756213dae87bp-20, 0x1.c0038736178bbp-19, 0x1.67a0ed2fb42a1p-18, 0x1.ecb88f79e3e73p-18, 0x1.37a6ffd5c799ap-17, 0x1.77b330d670fdap-17, 0x1.b68356025b8cp-17, 0x1.f419d5b366c33p-17, 0x1.183c818fb1082p-16, 0x1.35d18ffad8e23p-16, 0x1.52cd2ef6c5cdcp-16, 0x1.6f30702808ba1p-16, 0x1.8afc5eb1a98dcp-16, 0x1.a631ffe0ad9bcp-16, 0x1.c0d253d06689ap-16, 0x1.dade560b256ecp-16, 0x1.f456fe182cc0dp-16, 0x1.069ea005a77f5p-15, 0x1.12c90680ee5d7p-15, 0x1.1eab29d43559fp-15, 0x1.2a4580567d78dp-15, 0x1.35987f970af44p-15, 0x1.40a49c9191786p-15, 0x1.4b6a4bde61283p-15, 0x1.55ea01e1af91bp-15, 0x1.602432f37baeep-15, 0x1.6a19538a5ddb2p-15, 0x1.73c9d85ea9558p-15, 0x1.7d36368fc30dbp-15, 0x1.865ee3c2d7d81p-15, 0x1.8f44564045bap-15, 0x1.97e7050d0d8f6p-15, 0x1.a0476805cd66ep-15, 0x1.a865f7f522e2ep-15, 0x1.b0432ea824b23p-15, 0x1.b7df870129e23p-15, 0x1.bf3b7d09a6a53p-15, 0x1.c6578dffd0f47p-15, 0x1.cd3438653ba17p-15, 0x1.d3d1fc07796c3p-15, 0x1.da315a0d62877p-15, 0x1.e052d4fdf834bp-15, 0x1.e636f0c85b464p-15, 0x1.ebde32c8e8546p-15, 0x1.f14921ccf8fc8p-15, 0x1.f67846160aecdp-15, 0x1.fb6c295c371ep-15, 0x1.0012ab6750656p-14, 0x1.02522d893d28ap-14, 0x1.0474e2219c2e2p-14, 0x1.067b10f7ddc6p-14, 0x1.0865028ae5c9ap-14, 0x1.0a33000fdc6d6p-14, 0x1.0be5536e9b7adp-14, 0x1.0d7c474006cc4p-14, 0x1.0ef826ca4bf3ap-14, 0x1.10593dfd9c04ap-14, 0x1.119fd9703d4c4p-14, 0x1.12cc465a37f81p-14, 0x1.13ded290d38b8p-14, 0x1.14d7cc8283d76p-14, 0x1.15b78330df56cp-14, 0x1.167e462ce5248p-14, 0x1.172c6590d0c2p-14, 0x1.17c231fadf148p-14, 0x1.183ffc87f5d77p-14, 0x1.18a616cd0303dp-14, 0x1.18f4d2d1ad442p-14, 0x1.192c8309f4ee8p-14, 0x1.194d7a4fefa7dp-14, 0x1.19580bddee7e2p-14, 0x1.194c8b477d1d8p-14, 0x1.192b4c738226bp-14, 0x1.18f4a3957dcd5p-14, 0x1.18a8e527095p-14, 0x1.184865e1058e1p-14, 0x1.17d37ab5196b3p-14, 0x1.174a78c7680b2p-14, 0x1.16adb5673e6bap-14, 0x1.15fd8608f19e3p-14, 0x1.153a403f3c343p-14, 0x1.146439b42b9e8p-14, 0x1.137bc822f2832p-14, 0x1.128141512984fp-14, 0x1.1174fb0822995p-14, 0x1.10574b0e8cb5bp-14, 0x1.0f288722082d6p-14, 0x1.0de904f02ac3cp-14, 0x1.0c991a119982dp-14, 0x1.0b391c0237dedp-14, 0x1.09c9601b92cfbp-14, 0x1.084a3b8ef6e3p-14, 0x1.06bc035ef180fp-14, 0x1.051f0c59c1111p-14, 0x1.0373ab1307c99p-14, 0x1.01ba33de6880ap-14, 0x1.ffe5f59346193p-15, 0x1.fc3ca72e215p-15, 0x1.f879236fdb6e8p-15, 0x1.f49c108e83cd3p-15, 0x1.f0a61408669b8p-15, 0x1.ec97d29a5066ep-15, 0x1.e871f034e99b7p-15, 0x1.e4350ff3949b5p-15, 0x1.dfe1d411f251ep-15, 0x1.db78dde255a5ep-15, 0x1.d6facdc552d43p-15, 0x1.d268431fdc695p-15, 0x1.cdc1dc52d12b7p-15, 0x1.c90836b250ba5p-15, 0x1.c43bee7e08c8fp-15, 0x1.bf5d9ed7a77bp-15, 0x1.ba6de1bce1409p-15, 0x1.b56d4ffe815dap-15, 0x1.b05c813937c3bp-15, 0x1.ab3c0bcf079a8p-15, 0x1.a60c84dfc9cc9p-15, 0x1.a0ce80428a44fp-15, 0x1.9b82907fa13f5p-15, 0x1.962946ca53e5cp-15, 0x1.90c332fa564e6p-15, 0x1.8b50e386d8b5dp-15, 0x1.85d2e5804b0f9p-15, 0x1.8049c48b951fep-15, 0x1.7ab60add56df6p-15, 0x1.751841345223p-15, 0x1.6f70eed57d0bfp-15, 0x1.69c0998740416p-15, 0x1.6407c58d88a7fp-15, 0x1.5e46f5a5ee5a8p-15, 0x1.587eab03c0fa2p-15, 0x1.52af654cd7fcbp-15, 0x1.4cd9a296601a2p-15, 0x1.46fddf611a68dp-15, 0x1.411c96977823bp-15, 0x1.3b36418a6c0dap-15, 0x1.354b57eecb3a3p-15, 0x1.2f5c4fdb60e64p-15, 0x1.29699dc6ba41ep-15, 0x1.2373b4852845dp-15, 0x1.1d7b0547ddcc5p-15, 0x1.177fff9a80a19p-15, 0x1.118311620833dp-15, 0x1.0b84a6dbdf472p-15, 0x1.05852a9cb15a8p-15, 0x1.ff0a0b20193ddp-16, 0x1.f3093dedcde2dp-16, 0x1.e708b8cffefd1p-16, 0x1.db09439eb510cp-16, 0x1.cf0ba2dc18e0cp-16, 0x1.c31097b4bf179p-16, 0x1.b718e000d06f8p-16, 0x1.ab25364198f56p-16, 0x1.9f3651a59943ep-16, 0x1.934ce60921704p-16, 0x1.8769a3f6698a2p-16, 0x1.7b8d38a880727p-16, 0x1.6fb84e0e4410cp-16, 0x1.63eb8acafb875p-16, 0x1.58279239116fep-16, 0x1.4c6d046dafa2ep-16, 0x1.40bc7e3b2ff51p-16, 0x1.35169934f7679p-16, 0x1.297bebb17fda7p-16, 0x1.1ded08cf88ca9p-16, 0x1.126a8079b2608p-16, 0x1.06f4df6a95282p-16, 0x1.f7195e60dcd59p-17, 0x1.e064ec65bdc1ep-17, 0x1.c9cd6f6d1b5d3p-17, 0x1.b353e7c269265p-17, 0x1.9cf94f81ac0e2p-17, 0x1.86be9a9e89ac2p-17, 0x1.70a4b6efeb1aap-17, 0x1.5aac8c3d237edp-17, 0x1.44d6fc46cbaf8p-17, 0x1.2f24e2d2eb3dcp-17, 0x1.199715b871f48p-17, 0x1.042e64ec9f5fbp-17, 0x1.ddd7351d8666ep-18, 0x1.b39ef5e94a54ap-18, 0x1.89b5896f5a459p-18, 0x1.601c61814149cp-18, 0x1.36d4e4b18401bp-18, 0x1.0de06e6b469bep-18, 0x1.ca809e1620574p-19, 0x1.79eb97f81094ep-19, 0x1.2a043fa8927bdp-19, 0x1.b599e9c06c6d2p-20, 0x1.18900449372a2p-20, 0x1.f3bce7d08021fp-22, -0x1.d4433bae1e088p-24, -0x1.6c0c58757357ep-21, -0x1.4d52bfa0963eep-20, -0x1.e3262628514cep-20, -0x1.3bbe5fd46cc9fp-19, -0x1.852989922e2e8p-19, -0x1.cdd2e7257c297p-19, -0x1.0adc713fca562p-18, -0x1.2e6cfc3888605p-18, -0x1.519a5c3405427p-18, -0x1.7463e21986a3fp-18, -0x1.96c8e7dae8ab7p-18, -0x1.b8c8d05f33d9fp-18, -0x1.da63075cd52f7p-18, -0x1.fb97013e030bcp-18, -0x1.0e321d7f920ccp-17, -0x1.1e651d077fd29p-17, -0x1.2e644617b4146p-17, -0x1.3e2f63ab50995p-17, -0x1.4dc644c6af466p-17, -0x1.5d28bc66a018cp-17, -0x1.6c56a17471fb3p-17, -0x1.7b4fceb3152f1p-17, -0x1.8a1422b0d43fdp-17, -0x1.98a37fb5cf4a9p-17, -0x1.a6fdcbb6cb5fbp-17, -0x1.b522f0436e3c4p-17, -0x1.c312da780a436p-17, }}, 
      {{-0x1.1d6b51b9001b3p-6, -0x1.1c8bf208c6a69p-5, -0x1.a8b1dfe93ad0dp-5, -0x1.19370f8b1189fp-4, -0x1.5c91dc29b0bf4p-4, -0x1.9e29d34fa8694p-4, -0x1.ddce2fba568dfp-4, -0x1.0dae03df1ebd4p-3, -0x1.2b5e85277809fp-3, -0x1.47f30524f7ec8p-3, -0x1.636abc3ee6bd9p-3, -0x1.7dc8f1082d971p-3, -0x1.971440969844ep-3, -0x1.af55f43826f94p-3, -0x1.c69966d681a57p-3, -0x1.dceb7b05f4261p-3, -0x1.f25a21d663fd4p-3, -0x1.0379f8f1c532p-2, -0x1.0d63e6dfd2c15p-2, -0x1.16f24c4c9112bp-2, -0x1.202c7bee722fp-2, -0x1.29199045ac7c8p-2, -0x1.31c0577c52cc6p-2, -0x1.3a2743ddac2c4p-2, -0x1.4254604f18392p-2, -0x1.4a4d483f1d489p-2, -0x1.5217228aa0524p-2, -0x1.59b69ee3f6f1bp-2, -0x1.612ff55331a45p-2, -0x1.6886e77256306p-2, -0x1.6fbec312f61ep-2, -0x1.76da6604b62c4p-2, -0x1.7ddc42bda623cp-2, -0x1.84c665adcdd48p-2, -0x1.8b9a7b0f1e934p-2, -0x1.9259d509e8062p-2, -0x1.9905720c21713p-2, -0x1.9f9e03375f1d1p-2, -0x1.a623f2ce2c0d1p-2, -0x1.ac976a8dae449p-2, -0x1.b2f859e437ffp-2, -0x1.b9467bf89ab8ap-2, -0x1.bf815d78c20f4p-2, -0x1.c5a8622880bcep-2, -0x1.cbbaca2b6d15ep-2, -0x1.d1b7b7065c1f5p-2, -0x1.d79e305666a1p-2, -0x1.dd6d283c9afc2p-2, -0x1.e3237f7e610c6p-2, -0x1.e8c0095b66b42p-2, -0x1.ee418f1a85a1ep-2, -0x1.f3a6d34f8e025p-2, -0x1.f8ee94dc476bbp-2, -0x1.fe1791af37505p-2, -0x1.019044a1818bep-1, -0x1.04041f70a511dp-1, -0x1.0666bdd6042efp-1, -0x1.08b7883844c84p-1, -0x1.0af5eba379223p-1, -0x1.0d215a80b729ap-1, -0x1.0f394d36fbb78p-1, -0x1.113d42b6cc91ep-1, -0x1.132cc0f201ccep-1, -0x1.1507554114da2p-1, -0x1.16cc94b7411bbp-1, -0x1.187c1c66b8cbbp-1, -0x1.1a159196224dap-1, -0x1.1b98a1e881101p-1, -0x1.1d050378a226dp-1, -0x1.1e5a74e9132d4p-1, -0x1.1f98bd699f3b3p-1, -0x1.20bfacb33c1dep-1, -0x1.21cf1afb49747p-1, -0x1.22c6e8def25ebp-1, -0x1.23a6ff477657ap-1, -0x1.246f4f48137b7p-1, -0x1.251fd1f6417e6p-1, -0x1.25b8883cdda17p-1, -0x1.26397aaadfd29p-1, -0x1.26a2b93e2a1a2p-1, -0x1.26f45b2af2198p-1, -0x1.272e7ea0437dp-1, -0x1.2751488a0b874p-1, -0x1.275ce4511a1f9p-1, -0x1.2751839976825p-1, -0x1.272f5dff696dp-1, -0x1.26f6b0d38834cp-1, -0x1.26a7bed615a85p-1, -0x1.2642cff1fb5f3p-1, -0x1.25c830f79da66p-1, -0x1.25383357c4fa6p-1, -0x1.24932cded672cp-1, -0x1.23d9777087c3cp-1, -0x1.230b70c43e554p-1, -0x1.22297a2243a8p-1, -0x1.2133f821edd23p-1, -0x1.202b5268e3703p-1, -0x1.1f0ff36b92594p-1, -0x1.1de2482ef61ddp-1, -0x1.1ca2c00bc2543p-1, -0x1.1b51cc7307581p-1, -0x1.19efe0b45fc94p-1, -0x1.187d71c5b54cbp-1, -0x1.16faf60caa6a8p-1, -0x1.1568e529b0ca6p-1, -0x1.13c7b7c4d6956p-1, -0x1.1217e75c4e491p-1, -0x1.1059ee14b5d3p-1, -0x1.0e8e468b2191dp-1, -0x1.0cb56ba8e9427p-1, -0x1.0acfd87939442p-1, -0x1.08de080065c74p-1, -0x1.06e07514fcd4cp-1, -0x1.04d79a3a96127p-1, -0x1.02c3f17e57b29p-1, -0x1.00a5f455301cbp-1, -0x1.fcfc36f77547p-2, -0x1.f899bdaf94729p-2, -0x1.f4256ab727826p-2, -0x1.efa029d4da7p-2, -0x1.eb0ae47e3a9c1p-2, -0x1.e66681a75dd2bp-2, -0x1.e1b3e5958854fp-2, -0x1.dcf3f1b4b632p-2, -0x1.d827846ff96cdp-2, -0x1.d34f790c9ae55p-2, -0x1.ce6ca787e798ap-2, -0x1.c97fe47794a97p-2, -0x1.c48a00ecad70cp-2, -0x1.bf8bca58edaedp-2, -0x1.ba860a767b1a5p-2, -0x1.b5798731e45bep-2, -0x1.b067029656f2p-2, -0x1.ab4f3abbf1296p-2, -0x1.a632e9b8267ccp-2, -0x1.a112c59010fa7p-2, -0x1.9bef802cb2c3p-2, -0x1.96c9c751000cbp-2, -0x1.91a24491a94f8p-2, -0x1.8c799d4e9392ep-2, -0x1.875072ade4085p-2, -0x1.8227619894d4ep-2, -0x1.7cff02b87f406p-2, -0x1.77d7ea77c62cap-2, -0x1.72b2a90196474p-2, -0x1.6d8fca442354fp-2, -0x1.686fd5f3d9ca4p-2, -0x1.63534f8fb0e77p-2, -0x1.5e3ab6668d81ep-2, -0x1.5926859da92b7p-2, -0x1.54173437ecff9p-2, -0x1.4f0d351e31952p-2, -0x1.4a08f72856e0bp-2, -0x1.450ae527297bp-2, -0x1.401365ef01f13p-2, -0x1.3b22dc6319475p-2, -0x1.3639a7817ee43p-2, -0x1.3158226faa2dap-2, -0x1.2c7ea4879aa41p-2, -0x1.27ad816578dacp-2, -0x1.22e508f5b225p-2, -0x1.1e25878383f9p-2, -0x1.196f45c7e6c29p-2, -0x1.14c288f8da58fp-2, -0x1.101f92d9004d9p-2, -0x1.0b86a1c783a1ap-2, -0x1.06f7f0d03e0f3p-2, -0x1.0273b7bc17d01p-2, -0x1.fbf4564338588p-3, -0x1.f316f8eb67b49p-3, -0x1.ea4fb4390c281p-3, -0x1.e19edef4e81d9p-3, -0x1.d904ca0a5bebp-3, -0x1.d081c0a9aa299p-3, -0x1.c816086a52ec7p-3, -0x1.bfc1e16d7c28fp-3, -0x1.b785868055b94p-3, -0x1.af612d3e7573fp-3, -0x1.a75506341e279p-3, -0x1.9f613d00698f5p-3, -0x1.9785f87750dabp-3, -0x1.8fc35ac383f3p-3, -0x1.881981880dbccp-3, -0x1.80888601bc886p-3, -0x1.79107d284a4d5p-3, -0x1.71b177cf369bcp-3, -0x1.6a6b82c65cd35p-3, -0x1.633ea6fa28b76p-3, -0x1.5c2ae993803eap-3, -0x1.55304c1742f3ap-3, -0x1.4e4ecc8572419p-3, -0x1.47866577ebccp-3, -0x1.40d70e40bf81cp-3, -0x1.3a40bb0814361p-3, -0x1.33c35ce99e474p-3, -0x1.2d5ee211a30a7p-3, -0x1.271335d9873a9p-3, -0x1.20e040e3df9dep-3, -0x1.1ac5e9381115cp-3, -0x1.14c4125d6a18bp-3, -0x1.0eda9d75cab4bp-3, -0x1.09096957bd317p-3, -0x1.035052a82280cp-3, -0x1.fb5e67e6908c2p-4, -0x1.f04bcb8b2010dp-4, -0x1.e5687d870a84ap-4, -0x1.dab42782eed6p-4, -0x1.d02e6fb521dfdp-4, -0x1.c5d6f90ecbae6p-4, -0x1.bbad63680e7a6p-4, -0x1.b1b14bab0d20ap-4, -0x1.a7e24bfe05dd3p-4, -0x1.9e3ffbec5c59ap-4, -0x1.94c9f08e98adap-4, -0x1.8b7fbcb17042dp-4, -0x1.8260f0fbc703ap-4, -0x1.796d1c13afb15p-4, -0x1.70a3cac2726b2p-4, -0x1.6804881793c51p-4, -0x1.5f8edd8ae4e01p-4, -0x1.5742531d9d382p-4, -0x1.4f1e6f7a7afccp-4, -0x1.4722b814f9436p-4, -0x1.3f4eb14790a26p-4, -0x1.37a1de710fefep-4, -0x1.301bc21109167p-4, -0x1.28bbdde35a456p-4, -0x1.2181b2fad3a9dp-4, -0x1.1a6cc1dafc803p-4, -0x1.137c8a90ffc44p-4, -0x1.0cb08ccbb9fbbp-4, -0x1.060847f2faefbp-4, -0x1.ff06767bd865cp-5, -0x1.f241cb916214fp-5, -0x1.e5c18d52737bbp-5, -0x1.d984ba069ba5p-5, -0x1.cd8a5037aecfp-5, -0x1.c1d14ed6da1b7p-5, -0x1.b658b56042ff6p-5, -0x1.ab1f83fd34359p-5, -0x1.a024bba4e645bp-5, -0x1.95675e3be508dp-5, -0x1.8ae66eb21f8a2p-5, -0x1.80a0f11fa67cbp-5, -0x1.7695eae01bbc7p-5, -0x1.6cc462ace9056p-5, -0x1.632b60b6356edp-5, -0x1.59c9eebaa7be3p-5, -0x1.509f181e03a35p-5, -0x1.47a9e9fe9a219p-5, -0x1.3ee97349a45e1p-5, -0x1.365cc4ce80617p-5, -0x1.2e02f150eca6ap-5, -0x1.25db0d9a2bf2fp-5, -0x1.1de43089371c4p-5, -0x1.161d7321ebda6p-5, -0x1.0e85f09b51444p-5, -0x1.071cc66ce5a91p-5, -0x1.ffc228b62fcadp-6, -0x1.f1a3f905a01f4p-6, -0x1.e3dd46c862b27p-6, -0x1.d66c5fd8feaa8p-6, -0x1.c94f96fe7a501p-6, -0x1.bc8543fd122e2p-6, -0x1.b00bc3a57433bp-6, -0x1.a3e177e2825ccp-6, -0x1.9804c7c5bb23ep-6, -0x1.8c741f924925fp-6, -0x1.812df0c6bd7bbp-6, -0x1.7630b2259473bp-6, -0x1.6b7adfbc75e65p-6, -0x1.610afaea5d785p-6, -0x1.56df8a6495afcp-6, -0x1.4cf71a3a9a434p-6, -0x1.43503bd8fa452p-6, -0x1.39e9860b31045p-6, -0x1.30c194fc91143p-6, -0x1.27d70a382f309p-6, -0x1.1f288ca8005bp-6, -0x1.16b4c8930cf11p-6, -0x1.0e7a6f9ad42b1p-6, -0x1.067838b7f0e88p-6, -0x1.fd59c06be4d51p-7, -0x1.ee2e4f5d04a34p-7, -0x1.df6bac07bc68ap-7, -0x1.d10f6eb5412b4p-7, -0x1.c3173a25ed92cp-7, -0x1.b580bb8271089p-7, -0x1.a849aa4bd5e2ap-7, -0x1.9b6fc84a83319p-7, -0x1.8ef0e17c31bf9p-7, -0x1.82cacc00fba84p-7, -0x1.76fb68075db95p-7, -0x1.6b809fb79159p-7, -0x1.6058671ddc6dfp-7, -0x1.5580bc1450519p-7, -0x1.4af7a62bc0e96p-7, -0x1.40bb3693fc355p-7, -0x1.36c9880378c9cp-7, -0x1.2d20be9e69322p-7, -0x1.23bf07dd43feap-7, -0x1.1aa29a72cb9c3p-7, -0x1.11c9b631997a3p-7, -0x1.0932a3f13c66fp-7, -0x1.00dbb57303e23p-7, -0x1.f1868a8c9aaccp-8, -0x1.e1cf6d595bfcfp-8, -0x1.d28eeafb50d07p-8, -0x1.c3c1ec145b7e9p-8, -0x1.b56569ffdf9e6p-8, -0x1.a7766e98e176bp-8, -0x1.99f213ffe859ep-8, -0x1.8cd584607f56p-8, -0x1.801df9b6869a8p-8, -0x1.73c8bd9354bcfp-8, -0x1.67d328e2a86b3p-8, -0x1.5c3aa3af8e94p-8, -0x1.50fca4e956a1bp-8, -0x1.4616b2284fd25p-8, -0x1.3b865f72a9bebp-8, -0x1.31494f01714fp-8, -0x1.275d310596fap-8, -0x1.1dbfc36d44638p-8, -0x1.146ed1a920885p-8, -0x1.0b68347204c88p-8, -0x1.02a9d18ecd3f8p-8, -0x1.f4633734f60a5p-9, -0x1.e3fb239558901p-9, -0x1.d4177f6cce51dp-9, -0x1.c4b47a3a720e9p-9, -0x1.b5ce5b5d65f28p-9, -0x1.a76181a4a4b2bp-9, -0x1.996a62dfcc9b8p-9, -0x1.8be58b70805ebp-9, -0x1.7ecf9ddd1e263p-9, -0x1.72255264288cbp-9, -0x1.65e376908e82ap-9, -0x1.5a06eccf62cf4p-9, -0x1.4e8cac0637f2dp-9, -0x1.4371bf2add914p-9, -0x1.38b344dc0c8dfp-9, -0x1.2e4e6efb6e7ep-9, -0x1.2440824880a83p-9, -0x1.1a86d5fcbea72p-9, -0x1.111ed36925026p-9, -0x1.0805f594c43f7p-9, -0x1.fe7391b91c246p-10, -0x1.ed6fd5293d182p-10, -0x1.dcfc11546e5e2p-10, -0x1.cd13c28f45497p-10, -0x1.bdb284f1d7214p-10, -0x1.aed413a41b601p-10, -0x1.a074482cb4b1p-10, -0x1.928f19c284df3p-10, -0x1.85209ca0c709cp-10, -0x1.7825015d6fee6p-10, -0x1.6b9894428f31dp-10, -0x1.5f77bcaa1ac65p-10, -0x1.53befc5c85449p-10, -0x1.486aeef19c9c9p-10, -0x1.3d7849346ae35p-10, -0x1.32e3d88959d79p-10, -0x1.28aa8256dcaa9p-10, -0x1.1ec943712ba9ap-10, -0x1.153d2f87fdefdp-10, -0x1.0c03709741d53p-10, -0x1.0319465a2d3e4p-10, -0x1.f4f80b819d1fp-11, -0x1.e45230d080fa9p-11, -0x1.d43bf82ab1bcap-11, -0x1.c4b084636425ap-11, -0x1.b5ab1e9682e25p-11, -0x1.a727352cd4ca1p-11, -0x1.99205ae539542p-11, -0x1.8b9245e20d406p-11, -0x1.7e78cebbd32d5p-11, -0x1.71cfef984dca5p-11, -0x1.6593c34667f85p-11, -0x1.59c0845f39aa2p-11, -0x1.4e528c6a5f0b9p-11, -0x1.4346530810c9ap-11, -0x1.38986d1f528aap-11, -0x1.2e458c10642b4p-11, -0x1.244a7ceba2911p-11, -0x1.1aa427aca8c8fp-11, -0x1.114f8e79e0468p-11, -0x1.0849cce83a049p-11, -0x1.ff202e86491fdp-12, -0x1.ee3f73b071909p-12, -0x1.ddec308edd0f8p-12, -0x1.ce2159adedc63p-12, -0x1.beda0f963037dp-12, -0x1.b0119d83c89fbp-12, -0x1.a1c37825aaf4ap-12, -0x1.93eb3c642144cp-12, -0x1.8684ae2ead78dp-12, -0x1.798bb7517fb1cp-12, -0x1.6cfc6651a4928p-12, -0x1.60d2ed50904cp-12, -0x1.550ba0f60a36fp-12, -0x1.49a2f761e29eep-12, -0x1.3e958722f50ap-12, -0x1.33e006360c907p-12, -0x1.297f490ac2132p-12, -0x1.1f70418e66561p-12, -0x1.15affe3d4a67dp-12, -0x1.0c3ba93a42c2cp-12, -0x1.0310876bc86dep-12, -0x1.f457ef4053b95p-13, -0x1.e316e36b760cep-13, -0x1.d2590b93b647bp-13, -0x1.c219b6da8eb7p-13, -0x1.b25461bbfda4dp-13, -0x1.a304b48be3eeap-13, -0x1.942682003ed79p-13, -0x1.85b5c5c1747fp-13, -0x1.77aea3089d99bp-13, -0x1.6a0d634682a6ep-13, -0x1.5cce74d314c79p-13, -0x1.4fee69a734cbp-13, -0x1.4369f62090991p-13, -0x1.373defcbf73b5p-13, -0x1.2b674c3ae7ffap-13, -0x1.1fe31fe1d9965p-13, -0x1.14ae9cfc1307ap-13, -0x1.09c7127af9673p-13, -0x1.fe53d5f78f16bp-14, -0x1.e9a9578baa6ebp-14, -0x1.d589e79f56bb2p-14, -0x1.c1f0f599faccep-14, -0x1.aeda208530933p-14, -0x1.9c413543a792dp-14, -0x1.8a222cd943d08p-14, -0x1.78792abb00cc5p-14, -0x1.67427b30ef0dcp-14, -0x1.567a91c2d6b9ep-14, -0x1.461e07b3594e8p-14, -0x1.36299a8645469p-14, -0x1.269a2a9297c63p-14, -0x1.176cb9a1e8b8ep-14, -0x1.089e69981c58fp-14, -0x1.f458f65437054p-15, -0x1.d828993c432d8p-15, -0x1.bca6b12b5b3bcp-15, -0x1.a1ce69c26d79ap-15, -0x1.879b22c187a29p-15, -0x1.6e086dd771fc4p-15, -0x1.55120c85b4c52p-15, -0x1.3cb3ee1c1bec6p-15, -0x1.24ea2dbd05dedp-15, -0x1.0db11078ce407p-15, -0x1.ee0a06f471241p-16, -0x1.c1c53488d2dbbp-16, -0x1.968d19fb79998p-16, -0x1.6c5b6d978e2c6p-16, -0x1.432a28836da85p-16, -0x1.1af383ad5356bp-16, -0x1.e763e9bb1fb5bp-17, -0x1.9ac057e202974p-17, -0x1.4ff220208d6bcp-17, -0x1.06ef7a36f8789p-17, -0x1.7f5e0495e5331p-18, -0x1.e89ed04c62908p-19, -0x1.b28731777d841p-20, 0x1.7bb749c257fbbp-22, 0x1.31b0b8877a04p-19, 0x1.16c45007af8a5p-18, 0x1.918e212a275eep-18, 0x1.04a20a1dae26p-17, 0x1.3ef9f43bd1281p-17, 0x1.77d56f5ce2e3p-17, 0x1.af3ae014b61b7p-17, 0x1.e530724a9ec49p-17, 0x1.0cde0e27b50b6p-16, 0x1.2671d0e40066fp-16, 0x1.3f564b37549d8p-16, 0x1.578e3067a1e95p-16, 0x1.6f1c1e692ceaap-16, 0x1.86029f162abc2p-16, 0x1.9c442956fdf6ap-16, 0x1.b1e3224003174p-16, 0x1.c6e1de1fded8cp-16, 0x1.db42a181f3a5p-16, 0x1.ef07a224e93a4p-16, 0x1.011983f2682bp-15, 0x1.0a6376cd21bdap-15, 0x1.1362b0f2f956dp-15, 0x1.1c18340142f41p-15, 0x1.2484fc3fc31e7p-15, 0x1.2caa00f9ed7f8p-15, 0x1.348834d53c2fcp-15, 0x1.3c208621935c8p-15, 0x1.4373df257ecd5p-15, 0x1.4a8326661c9aep-15, 0x1.514f3eeac3dddp-15, 0x1.57d9087ec6c7p-15, 0x1.5e215feca7f02p-15, 0x1.64291f354bc5ap-15, 0x1.69f11dc715673p-15, 0x1.6f7a30af7e7b6p-15, 0x1.74c52ac909de5p-15, 0x1.79d2dce790c6bp-15, 0x1.7ea4160049009p-15, 0x1.8339a350bda93p-15, 0x1.879450802f0dcp-15, 0x1.8bb4e7c12ce73p-15, 0x1.8f9c31f0949ddp-15, 0x1.934af6b16b05cp-15, 0x1.96c1fc84c662dp-15, 0x1.9a0208e2345bfp-15, 0x1.9d0be04d7a98p-15, 0x1.9fe04669cade5p-15, 0x1.a27ffe0ae87a9p-15, 0x1.a4ebc9466db0dp-15, 0x1.a72469810f746p-15, 0x1.a92a9f7c85c55p-15, 0x1.aaff2b5fccc77p-15, 0x1.aca2ccc3e215bp-15, 0x1.ae1642baffeb3p-15, 0x1.af5a4bd870569p-15, 0x1.b06fa6356b769p-15, 0x1.b1570f76f5845p-15, 0x1.b21144d0de3d3p-15, 0x1.b29f0308ad344p-15, 0x1.b301067712653p-15, 0x1.b3380b0952d13p-15, 0x1.b344cc4220aadp-15, 0x1.b3280537cd72bp-15, 0x1.b2e27092b4a42p-15, 0x1.b274c88b5a013p-15, 0x1.b1dfc6e87c564p-15, 0x1.b12424fac0df4p-15, 0x1.b0429b99213a5p-15, 0x1.af3be31d02e31p-15, 0x1.ae10b35ce6bfep-15, 0x1.acc1c3a747e23p-15, 0x1.ab4fcabc7db68p-15, 0x1.a9bb7ec98e287p-15, 0x1.a8059561cde42p-15, 0x1.a62ec37861f8p-15, 0x1.a437bd590f1e9p-15, 0x1.a22136a1229ccp-15, 0x1.9febe23875ca4p-15, 0x1.9d987249e0669p-15, 0x1.9b27983bd290ap-15, 0x1.989a04a8bed32p-15, 0x1.95f0675773418p-15, 0x1.932b6f32aef28p-15, 0x1.904bca420cabdp-15, 0x1.8d5225a0e1b2p-15, 0x1.8a3f2d77d4ab9p-15, 0x1.87138cf3f89c6p-15, 0x1.83cfee3fa196bp-15, 0x1.8074fa79e9a2ep-15, 0x1.7d0359af0d76fp-15, 0x1.797bb2d075f46p-15, 0x1.75deabad7f286p-15, 0x1.722ce8eb9c731p-15, 0x1.6e670dfec5755p-15, 0x1.6a8dbd2284c41p-15, 0x1.66a1975230f4ap-15, 0x1.62a33c42762b6p-15, 0x1.5e934a59a12c1p-15, 0x1.5a725ea8f78cap-15, 0x1.564114e6a1d24p-15, 0x1.520007669a703p-15, 0x1.4dafcf14a424dp-15, 0x1.4951036dc8014p-15, 0x1.44e43a7a92642p-15, 0x1.406a08c936bcap-15, 0x1.3be30167f030dp-15, 0x1.374fb5df7ac38p-15, 0x1.32b0b62deb989p-15, 0x1.2e0690c19a276p-15, 0x1.2951d274b1af2p-15, 0x1.24930688230f4p-15, 0x1.1fcab69f0fae4p-15, 0x1.1af96abad0622p-15, 0x1.161fa9372e10bp-15, 0x1.113df6c5f7769p-15, 0x1.0c54d66becd79p-15, 0x1.0764c97d01fd6p-15, 0x1.026e4f995bebcp-15, 0x1.fae3cd54f2316p-16, 0x1.f0e015bf89aedp-16, 0x1.e6d26d5966f55p-16, 0x1.dcbbc58bf35cep-16, 0x1.d29d0c3e57e27p-16, 0x1.c8772bd3c9ed6p-16, 0x1.be4b0b257f83ap-16, 0x1.b4198d804cf5ep-16, 0x1.a9e392a25c7c1p-16, 0x1.9fa9f6b86929dp-16, 0x1.956d925b6e9ep-16, 0x1.8b2f3a8fae402p-16, 0x1.80efc0c2a082bp-16, 0x1.76aff2cb16c1p-16, 0x1.6c709ae7ec2dep-16, 0x1.62327fbff488ap-16, 0x1.57f6646257a01p-16, 0x1.4dbd0846c5ecfp-16, 0x1.4387274e6150bp-16, 0x1.395579c56e269p-16, 0x1.2f28b464b4588p-16, 0x1.250188529583bp-16, 0x1.1ae0a3259edb6p-16, 0x1.10c6aee75be57p-16, 0x1.06b4521610e9bp-16, 0x1.f9545f520a347p-17, 0x1.e551ce2491135p-17, 0x1.d16228878bdaap-17, 0x1.bd869f64c205cp-17, 0x1.a9c05cb32791bp-17, 0x1.96108381eb689p-17, 0x1.82782fffb1d29p-17, 0x1.6ef87783f2895p-17, 0x1.5b92689aedb9ap-17, 0x1.48470b0f250a2p-17, 0x1.35175ff4484e7p-17, 0x1.220461b3af43bp-17, 0x1.0f0f04164b5c1p-17, 0x1.f87068a50ce8cp-18, 0x1.d301b2312c2c9p-18, 0x1.add3a53cacc86p-18, 0x1.88e7f55a84ec1p-18, 0x1.6440496317ddbp-18, 0x1.3fde3b8a67487p-18, 0x1.1bc359817903fp-18, 0x1.efe24924c940cp-19, 0x1.a8d2237c8d3bbp-19, 0x1.625913add8272p-19, 0x1.1c79d34dcac3ap-19, 0x1.ae6e081ea7d3fp-20, 0x1.25266017bba1cp-20, 0x1.3a43281f29a52p-21, 0x1.6645b48554c05p-24, -0x1.bc33027190ca4p-22, -0x1.e65ac646bcf6cp-21, -0x1.75f95c7a8ff5ep-20, -0x1.f76ca8eb1611fp-20, -0x1.3bc1b8227e0e1p-19, -0x1.7b1d02b27e48ep-19, -0x1.b9c672d068f9ap-19, -0x1.f7bc5c1cf580dp-19, -0x1.1a7e93727f772p-18, -0x1.38c3a7f1a95dcp-18, -0x1.56acb3f901ebp-18, -0x1.743909e043e53p-18, -0x1.916805cb72db9p-18, -0x1.ae390d7f02048p-18, -0x1.caab9040d0ef4p-18, -0x1.e6bf06b390dbap-18, -0x1.0139795795d4fp-17, -0x1.0ee36f8f1b2d3p-17, -0x1.1c5d2fed43d0cp-17, -0x1.29a688c3df38fp-17, -0x1.36bf4cb68b0e6p-17, -0x1.43a752a9165f4p-17, -0x1.505e75aea0e79p-17, -0x1.5ce494f4617e1p-17, -0x1.693993b0f9196p-17, -0x1.755d59138b087p-17, -0x1.814fd02f36133p-17, -0x1.8d10e7ea6c1c9p-17, -0x1.98a092ed8453bp-17, -0x1.a3fec78f0fd1cp-17, -0x1.af2b7fc21b16fp-17, -0x1.ba26b9067094fp-17, -0x1.c4f074547fc4fp-17, -0x1.cf88b60bf97p-17, -0x1.d9ef85e362673p-17, -0x1.e424eed60a101p-17, -0x1.ee28ff12433c4p-17, -0x1.f7fbc7e7e39f1p-17, -0x1.00ceaedc3ed9p-16, -0x1.0586ebf260afep-16, -0x1.0a26a85ddc226p-16, -0x1.0eadf2b521646p-16, -0x1.131cdaf5648d3p-16, -0x1.17737279ccbfcp-16, -0x1.1bb1cbf3b2423p-16, -0x1.1fd7fb6260a53p-16, -0x1.23e6160a43c2ap-16, -0x1.27dc326de4109p-16, -0x1.2bba684568a74p-16, -0x1.2f80d0767f98dp-16, -0x1.332f850cdc2b1p-16, -0x1.36c6a1329d49p-16, -0x1.3a464128541efp-16, -0x1.3dae823d8d227p-16, -0x1.40ff82c8d766dp-16, -0x1.4439622175cd8p-16, -0x1.475c4096cf083p-16, -0x1.4a683f697ed14p-16, -0x1.4d5d80c49de84p-16, -0x1.503c27b5e357p-16, -0x1.5304582757cbp-16, -0x1.55b636d809da7p-16, -0x1.5851e95541d2dp-16, -0x1.5ad795f390c89p-16, -0x1.5d4763c82a96bp-16, -0x1.5fa17aa2839aep-16, -0x1.61e603055d9b3p-16, -0x1.64152620d75bdp-16, -0x1.662f0dcba913ep-16, -0x1.6833e47d5dce4p-16, -0x1.6a23d5477e92dp-16, -0x1.6bff0bd02dc74p-16, -0x1.6dc5b44b391ffp-16, -0x1.6f77fb7595d23p-16, -0x1.71160e8e0ac24p-16, -0x1.72a01b50655fp-16, -0x1.74164fef675a1p-16, -0x1.7578db0f65a2p-16, -0x1.76c7ebc10659bp-16, -0x1.7803b17b459eap-16, -0x1.792c5c16cc43p-16, -0x1.7a421bc84dee4p-16, -0x1.7b45211b557d6p-16, -0x1.7c359ced8be27p-16, -0x1.7d13c0695ce33p-16, -0x1.7ddfbd019f3f8p-16, -0x1.7e99c46c33ac7p-16, -0x1.7f42089e1f8d1p-16, -0x1.7fd8bbc5e4972p-16, -0x1.805e1047c556fp-16, -0x1.80d238b8cca61p-16, -0x1.813567dae4ca1p-16, -0x1.8187d09846ae3p-16, -0x1.81c9a5ff293efp-16, -0x1.81fb1b3dcdb99p-16, -0x1.821c639e78876p-16, -0x1.822db2835dd8dp-16, -0x1.822f3b62ff61ep-16, -0x1.822131c41d484p-16, -0x1.8203c93a08584p-16, -0x1.81d7356101325p-16, -0x1.819ba9da89c7ap-16, -0x1.81515a49fa928p-16, -0x1.80f87a513bd68p-16, -0x1.80913d8d21ebdp-16, -0x1.801bd7928cd1ep-16, -0x1.7f987beae094bp-16, -0x1.7f075e11189f8p-16, -0x1.7e68b16e6b5ecp-16, -0x1.7dbca957a42ffp-16, -0x1.7d03790a17b7fp-16, -0x1.7c3d53a902261p-16, -0x1.7b6a6c3a320a8p-16, -0x1.7a8af5a3da9c9p-16, }}, 
      {{-0x1.af2e30ff8f8ddp-1, -0x1.af36d38bf2e6ep-1, -0x1.af3f0d4188379p-1, -0x1.af3ff530cafe6p-1, -0x1.af3253339e8b8p-1, -0x1.af0f5d55cc2c2p-1, -0x1.aed1273cb839ep-1, -0x1.ae72db7e73752p-1, -0x1.adf0d040d6fb9p-1, -0x1.ad48839e07076p-1, -0x1.ac7888bae7addp-1, -0x1.ab806be0017a9p-1, -0x1.aa6091fe06838p-1, -0x1.a91a16a4ed749p-1, -0x1.a7aeaa7444c8bp-1, -0x1.a6207352ce334p-1, -0x1.a471ef3790dc9p-1, -0x1.a2a5d9f13d1e2p-1, -0x1.a0bf161793864p-1, -0x1.9ec09925ebf8fp-1, -0x1.9cad5aa063e55p-1, -0x1.9a8846126d4e9p-1, -0x1.98542faa8828cp-1, -0x1.9613cb3180aaap-1, -0x1.93c9a51a108dp-1, -0x1.91781d66ecb2cp-1, -0x1.8f2164283f96ep-1, -0x1.8cc77755aa74fp-1, -0x1.8a6c21cea4c5dp-1, -0x1.8810fb501d967p-1, -0x1.85b769335c06fp-1, -0x1.83609fcf19a8fp-1, -0x1.810da45897acdp-1, -0x1.7ebf4f26db331p-1, -0x1.7c764e3e65d9cp-1, -0x1.7a33280f74b9ep-1, -0x1.77f63e5435143p-1, -0x1.75bfd0ff631acp-1, -0x1.7390012e6e54cp-1, -0x1.7166d4149ee6bp-1, -0x1.6f4435d6bb287p-1, -0x1.6d27fc507abc6p-1, -0x1.6b11e9be96107p-1, -0x1.6901af498d77fp-1, -0x1.66f6ef6e64394p-1, -0x1.64f140436ea1bp-1, -0x1.62f02d98238b5p-1, -0x1.60f33aef7d71fp-1, -0x1.5ef9e554fffa2p-1, -0x1.5d03a50ce13e1p-1, -0x1.5b0fef202fb29p-1, -0x1.591e36c609f07p-1, -0x1.572deeab36db1p-1, -0x1.553e8a198e08fp-1, -0x1.534f7e00bd239p-1, -0x1.516041e20504bp-1, -0x1.4f7050a09570bp-1, -0x1.4d7f29382f2e4p-1, -0x1.4b8c4f5bb241ep-1, -0x1.49974bfd37e97p-1, -0x1.479fadc150444p-1, -0x1.45a5095ee919dp-1, -0x1.43a6f9ed5fe46p-1, -0x1.41a52122278c2p-1, -0x1.3f9f277f601fdp-1, -0x1.3d94bc74ac994p-1, -0x1.3b85967381cb5p-1, -0x1.397172f81758bp-1, -0x1.37581688134b2p-1, -0x1.35394ca7fb099p-1, -0x1.3314e7c85e344p-1, -0x1.30eac12ba2f7p-1, -0x1.2ebab8c5505fbp-1, -0x1.2c84b5139aa94p-1, -0x1.2a48a2f3f1e48p-1, -0x1.280675733d339p-1, -0x1.25be259a6551bp-1, -0x1.236fb237c29f1p-1, -0x1.211b1fa5f6ce3p-1, -0x1.1ec07790b3491p-1, -0x1.1c5fc8b7d9d01p-1, -0x1.19f926b1677a3p-1, -0x1.178ca9aa8670fp-1, -0x1.151a6e282021dp-1, -0x1.12a294c73ca36p-1, -0x1.102541fd7c7ddp-1, -0x1.0da29dd9e8364p-1, -0x1.0b1ad3c651deap-1, -0x1.088e12497f31ap-1, -0x1.05fc8aca44eb2p-1, -0x1.03667153c1193p-1, -0x1.00cbfc5ad59a8p-1, -0x1.fc5ac90a04794p-2, -0x1.f715c8e1730cep-2, -0x1.f1c970fe8e199p-2, -0x1.ec763d40b5c8fp-2, -0x1.e71cac3e9016fp-2, -0x1.e1bd3ee40b3ep-2, -0x1.dc587813f4403p-2, -0x1.d6eedc4d32439p-2, -0x1.d180f153b0dfbp-2, -0x1.cc0f3ddcfc6fcp-2, -0x1.c69a494097034p-2, -0x1.c1229b2bfd90fp-2, -0x1.bba8bb5a5cfc1p-2, -0x1.b62d314feccep-2, -0x1.b0b08418e6d8ep-2, -0x1.ab333a0c0bed6p-2, -0x1.a5b5d890a9541p-2, -0x1.a038e3e80d718p-2, -0x1.9abcdefa598ddp-2, -0x1.95424b269d65dp-2, -0x1.8fc9a81625357p-2, -0x1.8a537392ebb94p-2, -0x1.84e029610f2a1p-2, -0x1.7f70431b3b1fbp-2, -0x1.7a043811ec876p-2, -0x1.749c7d2d74d98p-2, -0x1.6f3984d2a9a55p-2, -0x1.69dbbeca228a9p-2, -0x1.64839829f2b7bp-2, -0x1.5f317b41bf232p-2, -0x1.59e5cf891f077p-2, -0x1.54a0f9902a0b2p-2, -0x1.4f635af21cc55p-2, -0x1.4a2d5249ff64bp-2, -0x1.44ff3b2933a35p-2, -0x1.3fd96e0fd0867p-2, -0x1.3abc4066bba43p-2, -0x1.35a8047b67bdap-2, -0x1.309d097d1cfap-2, -0x1.2b9b9b7bbe706p-2, -0x1.26a40367f37f4p-2, -0x1.21b687149f64bp-2, -0x1.1cd369399892bp-2, -0x1.17fae97788e27p-2, -0x1.132d445ce26a5p-2, -0x1.0e6ab36bded9cp-2, -0x1.09b36d216e158p-2, -0x1.0507a4fd0c9b8p-2, -0x1.00678b89690c4p-2, -0x1.f7a69ccba5635p-3, -0x1.ee9630a0ab7e7p-3, -0x1.e59e22610fddcp-3, -0x1.dcbebc45c495bp-3, -0x1.d3f8430962c34p-3, -0x1.cb4af600f791p-3, -0x1.c2b70f35c07cfp-3, -0x1.ba3cc37fb1ee4p-3, -0x1.b1dc42a0b13b8p-3, -0x1.a995b7607b17ap-3, -0x1.a16947a90d0fdp-3, -0x1.995714a392f96p-3, -0x1.915f3ad5b27e3p-3, -0x1.8981d23f392dep-3, -0x1.81beee780901ap-3, -0x1.7a169ece3a892p-3, -0x1.7288ee64713a1p-3, -0x1.6b15e4503b2fp-3, -0x1.63bd83b888a6bp-3, -0x1.5c7fcbf41e3b7p-3, -0x1.555cb8a7fd6e4p-3, -0x1.4e5441e5b4907p-3, -0x1.47665c498fe44p-3, -0x1.4092f9189de12p-3, -0x1.39da065e8154cp-3, -0x1.333b6f0b042f2p-3, -0x1.2cb71b0f6a18ap-3, -0x1.264cef7b73ddbp-3, -0x1.1ffcce9a1572cp-3, -0x1.19c6980dc9741p-3, -0x1.13aa28ec92d79p-3, -0x1.0da75bdb934f3p-3, -0x1.07be092a3ac0ap-3, -0x1.01ee06ed07e8ep-3, -0x1.f86e522fbb5f1p-4, -0x1.ed32832fbff0ep-4, -0x1.e22840d9ac63p-4, -0x1.d74f2784370ddp-4, -0x1.cca6d00e164d1p-4, -0x1.c22ed00ddbb27p-4, -0x1.b7e6ba00d8ee2p-4, -0x1.adce1d78eec21p-4, -0x1.a3e487496226dp-4, -0x1.9a2981b29eff4p-4, -0x1.909c948cf8324p-4, -0x1.873d45724c2dep-4, -0x1.7e0b17e6ad253p-4, -0x1.75058d7ff1f07p-4, -0x1.6c2c260c3ad32p-4, -0x1.637e5fb76d514p-4, -0x1.5afbb72f9ecfdp-4, -0x1.52a3a7c87915dp-4, -0x1.4a75ab9d922b4p-4, -0x1.42713bb3c034dp-4, -0x1.3a95d019648c6p-4, -0x1.32e2e005b62e3p-4, -0x1.2b57e1f709e5p-4, -0x1.23f44bd01eb7dp-4, -0x1.1cb792f46d8aep-4, -0x1.15a12c638167dp-4, -0x1.0eb08cd35bc58p-4, -0x1.07e528c9e7f8cp-4, -0x1.013e74b580192p-4, -0x1.f577ca0912a66p-5, -0x1.e8b9dc7850629p-5, -0x1.dc420a1c2cb1cp-5, -0x1.d00f3cdb2ab04p-5, -0x1.c4205f4717c2ep-5, -0x1.b8745cc394953p-5, -0x1.ad0a21aafd832p-5, -0x1.a1e09b71b4e37p-5, -0x1.96f6b8c7dfbcep-5, -0x1.8c4b69b992c98p-5, -0x1.81dd9fcd84e4dp-5, -0x1.77ac4e2242515p-5, -0x1.6db66989f64bfp-5, -0x1.63fae8a4c92b2p-5, -0x1.5a78c3f9e4a18p-5, -0x1.512ef60f1e7d8p-5, -0x1.481c7b7f5a158p-5, -0x1.3f40530fa2237p-5, -0x1.36997dc30c4c5p-5, -0x1.2e26feed64ec7p-5, -0x1.25e7dc44b2fcdp-5, -0x1.1ddb1df19ac15p-5, -0x1.15ffce9ea4e13p-5, -0x1.0e54fb867747ep-5, -0x1.06d9b480ff74ap-5, -0x1.ff1a181f4cffdp-6, -0x1.f0dc2ed0fc991p-6, -0x1.e2f7dd0111f0bp-6, -0x1.d56b582a27043p-6, -0x1.c834db68582d8p-6, -0x1.bb52a78887b67p-6, -0x1.aec30315f21p-6, -0x1.a2843a662ed34p-6, -0x1.96949fa3b0d74p-6, -0x1.8af28ad6c06f4p-6, -0x1.7f9c59ed1468ep-6, -0x1.749070c004287p-6, -0x1.69cd39196c396p-6, -0x1.5f5122b75148bp-6, -0x1.551aa34e4aaf9p-6, -0x1.4b28368ab97afp-6, -0x1.41785e10efd39p-6, -0x1.3809a17c3e386p-6, -0x1.2eda8e5cf2817p-6, -0x1.25e9b8356bdb3p-6, -0x1.1d35b87632d56p-6, -0x1.14bd2e792d743p-6, -0x1.0c7ebf7bf7b3cp-6, -0x1.04791699764fdp-6, -0x1.f955c985273e7p-7, -0x1.ea25c16c96361p-7, -0x1.db5f8df1f6404p-7, -0x1.cd00b39628461p-7, -0x1.bf06c23e39c9fp-7, -0x1.b16f551e5f1adp-7, -0x1.a43812a3a2cafp-7, -0x1.975eac5cb5616p-7, -0x1.8ae0dee1957ecp-7, -0x1.7ebc71ba664f7p-7, -0x1.72ef37455f2ep-7, -0x1.67770c9be55a6p-7, -0x1.5c51d976ddd7ep-7, -0x1.517d90126a1cbp-7, -0x1.46f82d10d1823p-7, -0x1.3cbfb75ceedcp-7, -0x1.32d2400c02433p-7, -0x1.292de23f06bfap-7, -0x1.1fd0c30393b23p-7, -0x1.16b9113446563p-7, -0x1.0de50558d6ad2p-7, -0x1.0552e185d0604p-7, -0x1.fa01e277fe6c1p-8, -0x1.e9db128f3edeep-8, -0x1.da2e0f3e8fd5dp-8, -0x1.caf7a6856037fp-8, -0x1.bc34b832819f7p-8, -0x1.ade235a1215aep-8, -0x1.9ffd217590746p-8, -0x1.92828f59d6cd3p-8, -0x1.856fa3ba31f65p-8, -0x1.78c19381a8947p-8, -0x1.6c75a3d69a1b6p-8, -0x1.608929d75472cp-8, -0x1.54f98a56da04ep-8, -0x1.49c43999c4cacp-8, -0x1.3ee6bb1372881p-8, -0x1.345ea12365a91p-8, -0x1.2a298cd2f809ep-8, -0x1.20452d934a41bp-8, -0x1.16af40fbba9a1p-8, -0x1.0d65928887eefp-8, -0x1.0465fb5a247b1p-8, -0x1.f75cc3e9a9467p-9, -0x1.e679740174413p-9, -0x1.d61e081508c84p-9, -0x1.c6469a8927a39p-9, -0x1.b6ef5e91858b7p-9, -0x1.a8149fb56027ap-9, -0x1.99b2c1552ec86p-9, -0x1.8bc63e31b267fp-9, -0x1.7e4ba7f4444cap-9, -0x1.713fa6b85febbp-9, -0x1.649ef896c57fbp-9, -0x1.586671317dcd3p-9, -0x1.4c92f9419350ap-9, -0x1.41218e261b811p-9, -0x1.360f4174afae8p-9, -0x1.2b59388b75011p-9, -0x1.20fcac2458f84p-9, -0x1.16f6e7e9f38fcp-9, -0x1.0d454a0dc93cap-9, -0x1.03e542e022cd5p-9, -0x1.f5a8a8d2a8a9ep-10, -0x1.e42024099ca8ap-10, -0x1.d32c3ffa6dd1dp-10, -0x1.c2c866548cf04p-10, -0x1.b2f0212094027p-10, -0x1.a39f1a01c81fcp-10, -0x1.94d1197b7fca7p-10, -0x1.86820638d6197p-10, -0x1.78ade4577f86dp-10, -0x1.6b50d4b60f319p-10, -0x1.5e671444cfe75p-10, -0x1.51ecfb59e5194p-10, -0x1.45defd08c8015p-10, -0x1.3a39a67c28246p-10, -0x1.2ef99e52dc95p-10, -0x1.241ba40021a34p-10, -0x1.199c8f2e91bb2p-10, -0x1.0f794f25f5981p-10, -0x1.05aeea3485432p-10, -0x1.f874fa35021ep-11, -0x1.e63274f0f4c81p-11, -0x1.d490d4825eae9p-11, -0x1.c38ad25af40a5p-11, -0x1.b31b5066f4361p-11, -0x1.a33d5800e817dp-11, -0x1.93ec18eb02d0fp-11, -0x1.8522e84ce039fp-11, -0x1.76dd3fb787ff3p-11, -0x1.6916bc2e85628p-11, -0x1.5bcb1d361198cp-11, -0x1.4ef643e69e3bp-11, -0x1.42943205cf54ap-11, -0x1.36a1092316fbdp-11, -0x1.2b1909bab9cddp-11, -0x1.1ff8925cec13fp-11, -0x1.153c1ed9fd05cp-11, -0x1.0ae0477321cfcp-11, -0x1.00e1c01067b4fp-11, -0x1.ee7aaef5e37d5p-12, -0x1.dbdfed362d20ep-12, -0x1.c9ed3f77acdb8p-12, -0x1.b89cdba4db7acp-12, -0x1.a7e927946d69fp-12, -0x1.97ccb7a95552ap-12, -0x1.88424d7c7aedp-12, -0x1.7944d68ce1adep-12, -0x1.6acf6af809ca4p-12, -0x1.5cdd4c3bba348p-12, -0x1.4f69e3fe1da52p-12, -0x1.4270c2de56517p-12, -0x1.35ed9f4c86431p-12, -0x1.29dc546962606p-12, -0x1.1e38e0ec6d2b9p-12, -0x1.12ff6611637a1p-12, -0x1.082c268d14cafp-12, -0x1.fb770b1184e53p-13, -0x1.e7540b488eba2p-13, -0x1.d3e88ffe8e01fp-13, -0x1.c12e1690c2e73p-13, -0x1.af1e55a52de8cp-13, -0x1.9db33b61a85ccp-13, -0x1.8ce6ebaf4bab2p-13, -0x1.7cb3be8b7904fp-13, -0x1.6d143e610f48bp-13, -0x1.5e03266fda829p-13, -0x1.4f7b613f21b33p-13, -0x1.417807197915cp-13, -0x1.33f45c93e435fp-13, -0x1.26ebd11ef7df4p-13, -0x1.1a59fda36efdp-13, -0x1.0e3aa327f4a9dp-13, -0x1.0289a9809a533p-13, -0x1.ee863c102820cp-14, -0x1.d8c664c515119p-14, -0x1.c3cc7691e4cb2p-14, -0x1.af915eba17112p-14, -0x1.9c0e4c0cbca5cp-14, -0x1.893cacb10f2f3p-14, -0x1.77162c015600ep-14, -0x1.6594b07631259p-14, -0x1.54b259a42b78ep-14, -0x1.44697e45a8716p-14, -0x1.34b4aa54eae3ap-14, -0x1.258e9d33a4d73p-14, -0x1.16f247e31fdfbp-14, -0x1.08dacb4871588p-14, -0x1.f686ecfdd6987p-15, -0x1.dc4f8a6f8e56bp-15, -0x1.c306bc4f5601ep-15, -0x1.aaa422fc8278ap-15, -0x1.931faed8a0b11p-15, -0x1.7c719d6603262p-15, -0x1.66927685d670dp-15, -0x1.517b09c600abcp-15, -0x1.3d246bc64d682p-15, -0x1.2987f3b41c714p-15, -0x1.169f38dda6a0ap-15, -0x1.04641051ac6f5p-15, -0x1.e5a1153b2784cp-16, -0x1.c3bde321a0c9fp-16, -0x1.a3138c3d9a116p-16, -0x1.83977ca04ee51p-16, -0x1.653f8684de732p-16, -0x1.4801de735a3dep-16, -0x1.2bd5178fcf13p-16, -0x1.10b01ff7e6eb1p-16, -0x1.ed147a9c24339p-17, -0x1.bab612bfeadd4p-17, -0x1.8a34ddc00126bp-17, -0x1.5b814c969625dp-17, -0x1.2e8c65c987e98p-17, -0x1.0347bf903e5f7p-17, -0x1.b34af464d54c1p-18, -0x1.6330755164cf8p-18, -0x1.16264aa45cecap-18, -0x1.982763b4f64e7p-19, -0x1.09c1a70846927p-19, -0x1.01dae71811095p-20, 0x1.40b894413f5c8p-26, 0x1.016b4362cd78ap-20, 0x1.f3b05349b430ep-20, 0x1.6e1095a48789ap-19, 0x1.dd8502f5f473bp-19, 0x1.242d17374cad9p-18, 0x1.5759c17d6822bp-18, 0x1.885993b0dab04p-18, 0x1.b73d05cc91aaap-18, 0x1.e413fac9efb55p-18, 0x1.0776e36aaef79p-17, 0x1.1bec9a9923154p-17, 0x1.2f7246f61c7e1p-17, 0x1.420ecdaaa56f7p-17, 0x1.53c8d79bb9ee3p-17, 0x1.64a6d3f9655b7p-17, 0x1.74aefaa9d098cp-17, 0x1.83e74e996b361p-17, 0x1.92559ff5a7e42p-17, 0x1.9fff8e52e7602p-17, 0x1.acea8abbbf0fap-17, 0x1.b91bd9a201bep-17, 0x1.c49894c8658fdp-17, 0x1.cf65ad144444dp-17, 0x1.d987ec39d3522p-17, 0x1.e303f6782d9e7p-17, 0x1.ebde4c24507d5p-17, 0x1.f41b4b3259e85p-17, 0x1.fbbf30a86905cp-17, 0x1.01670d02a1884p-16, 0x1.04a6034a42134p-16, 0x1.079e6c57cb47ap-16, 0x1.0a522b7ee608fp-16, 0x1.0cc316cd98fbap-16, 0x1.0ef2f79820e48p-16, 0x1.10e38b0331e8ep-16, 0x1.129682844cc62p-16, 0x1.140d845f183adp-16, 0x1.154a2c191e62dp-16, 0x1.164e0aecad957p-16, 0x1.171aa832f4aabp-16, 0x1.17b181c82ed6bp-16, 0x1.18140c701be68p-16, 0x1.1843b431e42c2p-16, 0x1.1841dcb148a9fp-16, 0x1.180fe1801660fp-16, 0x1.17af166faf3d3p-16, 0x1.1720c7dce09p-16, 0x1.16663af813ac4p-16, 0x1.1580ae0a8fac3p-16, 0x1.147158b6cfa52p-16, 0x1.13396c3883d54p-16, 0x1.11da139aa3e68p-16, 0x1.105473f318fb7p-16, 0x1.0ea9ac98b1aecp-16, 0x1.0cdad751ca57fp-16, 0x1.0ae908857e8c5p-16, 0x1.08d54f6806d75p-16, 0x1.06a0b6269bf26p-16, 0x1.044c420ec87eep-16, 0x1.01d8f3b4119cp-16, 0x1.fe8f8e2bf8e1fp-17, 0x1.f9336783d84ap-17, 0x1.f39f59df98703p-17, 0x1.edd54349d27b8p-17, 0x1.e7d6f99f5f293p-17, 0x1.e1a64ac34ca18p-17, 0x1.db44fcd2c190fp-17, 0x1.d4b4ce555b883p-17, 0x1.cdf7766ddf826p-17, 0x1.c70ea501cd311p-17, 0x1.bffc02e1c621dp-17, 0x1.b8c131f3294c2p-17, 0x1.b15fcd53a2d31p-17, 0x1.a9d9697641029p-17, 0x1.a22f944879538p-17, 0x1.9a63d55002d96p-17, 0x1.9277adc5b08d7p-17, 0x1.8a6c98ae7176cp-17, 0x1.82440af6c247ap-17, 0x1.79ff738b79a3dp-17, 0x1.71a03b71bc3a6p-17, 0x1.6927c5d4cd5cp-17, 0x1.609770213e4d6p-17, 0x1.57f092151d97p-17, 0x1.4f347dd1b0c6ap-17, 0x1.46647feba0249p-17, 0x1.3d81df7d4a3a5p-17, 0x1.348dde34958fdp-17, 0x1.2b89b85f75126p-17, 0x1.2276a4f996144p-17, 0x1.1955d5ba4af8ap-17, 0x1.102877252e18p-17, 0x1.06efb08fd5348p-17, 0x1.fb59485cf0eep-18, 0x1.e8c0de402f26ep-18, 0x1.d61852ef0e995p-18, 0x1.c361cc8b1408fp-18, 0x1.b09f6746c3db1p-18, 0x1.9dd33577b9f36p-18, 0x1.8aff3fa839ceep-18, 0x1.782584a65ab54p-18, 0x1.6547f993e2dfp-18, 0x1.526889fa6fef4p-18, 0x1.3f8917e079e85p-18, 0x1.2cab7bd2b4216p-18, 0x1.19d184f4a8627p-18, 0x1.06fcf9122ac05p-18, 0x1.e85f295681914p-19, 0x1.c2d6160d5f15dp-19, 0x1.9d620c8528cd8p-19, 0x1.78064ec047ba9p-19, 0x1.52c60cadb4552p-19, 0x1.2da4643f2f0eap-19, 0x1.08a461889f927p-19, 0x1.c791fdb6708e2p-20, 0x1.7e2a49efa9282p-20, 0x1.351756394927ap-20, 0x1.d8bd5ca76bf3p-21, 0x1.480b76fd46a39p-21, 0x1.704712e1b36cbp-22, 0x1.487eef6e4fb7ap-24, -0x1.949613ef1fb85p-23, -0x1.e4e5b7822eadcp-22, -0x1.7ecea54c790f8p-21, -0x1.0517d135a8134p-20, -0x1.4a466aad62895p-20, -0x1.8eeec09ea9de8p-20, -0x1.d30c94bf22a0bp-20, -0x1.0b4de44d88cb4p-19, -0x1.2ccc2eabfc6cdp-19, -0x1.4dff39b8b9778p-19, -0x1.6ee525317b51p-19, -0x1.8f7c2036ccb87p-19, -0x1.afc26921c1dffp-19, -0x1.cfb64d58fa0fbp-19, -0x1.ef562931ff343p-19, -0x1.075033e47b08dp-18, -0x1.16c9c16af8e0fp-18, -0x1.26170144c6952p-18, -0x1.35373eb2c8aa5p-18, -0x1.4429cc07884b8p-18, -0x1.52ee0292b987bp-18, -0x1.6183428e7154fp-18, -0x1.6fe8f30aabce2p-18, -0x1.7e1e81d7b7669p-18, -0x1.8c2363717b2b2p-18, -0x1.99f712eb202a5p-18, -0x1.a79911d6595b3p-18, -0x1.b508e82f7e95ap-18, -0x1.c246244ad5077p-18, -0x1.cf505abb066dbp-18, -0x1.dc27263ccd14dp-18, -0x1.e8ca27a2f2db3p-18, -0x1.f53905bd200ap-18, -0x1.00b9b6a0bf1bp-17, -0x1.06bc885bc8a21p-17, -0x1.0ca4d4313f009p-17, -0x1.1272791558865p-17, -0x1.182558c3b6eb3p-17, -0x1.1dbd57b3d7c2ep-17, -0x1.233a5d0e9754ep-17, -0x1.289c52a0f85b4p-17, -0x1.2de324d2d55a3p-17, -0x1.330ec29b2f10bp-17, -0x1.381f1d74bcea2p-17, -0x1.3d1429521dbedp-17, -0x1.41eddc93ec848p-17, -0x1.46ac2ffc86201p-17, -0x1.4b4f1ea3eea17p-17, -0x1.4fd6a5edf53b6p-17, -0x1.5442c57e489fcp-17, -0x1.58937f2e18405p-17, -0x1.5cc8d70086ebdp-17, -0x1.60e2d316ebfc3p-17, -0x1.64e17ba6f9524p-17, -0x1.68c4daee6e6b5p-17, -0x1.6c8cfd2826c79p-17, -0x1.7039f082c5ed1p-17, -0x1.73cbc513e5e6fp-17, -0x1.77428cce4758p-17, -0x1.7a9e5b7689692p-17, -0x1.7ddf46997f543p-17, -0x1.8105657fd39edp-17, -0x1.8410d1247be94p-17, -0x1.8701a429a34d2p-17, -0x1.89d7facee486cp-17, -0x1.8c93f2e6c753cp-17, -0x1.8f35abcbced95p-17, -0x1.91bd465696fb1p-17, -0x1.942ae4d453b07p-17, -0x1.967eaafb5964cp-17, -0x1.98b8bde1f154p-17, -0x1.9ad943f50b51bp-17, -0x1.9ce064ed39732p-17, -0x1.9ece49c563473p-17, -0x1.a0a31cb1497ecp-17, -0x1.a25f09141dc2cp-17, -0x1.a4023b76b2c69p-17, -0x1.a58ce17ea2ca9p-17, -0x1.a6ff29e429363p-17, -0x1.a8594469baf48p-17, -0x1.a99b61d327329p-17, -0x1.aac5b3dbe2d3fp-17, -0x1.abd86d2e5ff48p-17, -0x1.acd3c15c2adb2p-17, -0x1.adb7e4d4621a8p-17, -0x1.ae850cdaffaa3p-17, -0x1.af3b6f81a9fdcp-17, -0x1.afdb439e58d2ap-17, -0x1.b064c0c322df6p-17, -0x1.b0d81f3640d4fp-17, -0x1.b13597ea231bfp-17, -0x1.b17d647666f38p-17, -0x1.b1afbf0efcf38p-17, -0x1.b1cce27d043a1p-17, -0x1.b1d50a16ed21cp-17, -0x1.b1c871b934ba8p-17, -0x1.b1a755bf5fabcp-17, -0x1.b171f2fc12d41p-17, -0x1.b12886b2d67d3p-17, -0x1.b0cb4e9108989p-17, -0x1.b05a88a6af478p-17, -0x1.afd6735f00729p-17, -0x1.af3f4d7c04e4dp-17, -0x1.ae95560dc3215p-17, -0x1.add8cc6c99e94p-17, -0x1.ad09f033628dep-17, -0x1.ac290137c8f8ep-17, -0x1.ab363f8797ebfp-17, -0x1.aa31eb5fa019bp-17, -0x1.a91c4526e3a3cp-17, -0x1.a7f58d68fc287p-17, -0x1.a6be04d03d14cp-17, -0x1.a575ec205bfcep-17, -0x1.a41d8430c55f3p-17, -0x1.a2b50de7d2384p-17, -0x1.a13cca3625f1bp-17, -0x1.9fb4fa1011079p-17, -0x1.9e1dde698eeecp-17, -0x1.9c77b8313f223p-17, -0x1.9ac2c84cd3722p-17, -0x1.98ff4f91b74fep-17, -0x1.972d8ec315f61p-17, -0x1.954dc68b5e336p-17, -0x1.936037797bedbp-17, -0x1.916521fdcc787p-17, -0x1.8f5cc662f9c22p-17, -0x1.8d4764cbb58b8p-17, -0x1.8b253d2e6dce8p-17, -0x1.88f68f516bc9cp-17, -0x1.86bb9ac6fbb28p-17, -0x1.84749eea2bb7cp-17, -0x1.8221dadb4e7f2p-17, -0x1.7fc38d7d1663ep-17, -0x1.7d59f56fa1409p-17, -0x1.7ae5510e0b4bfp-17, -0x1.7865de6bd99bdp-17, -0x1.75dbdb520b4e2p-17, -0x1.7347853a6befdp-17, -0x1.70a9194dfa33bp-17, -0x1.6e00d461cf4fdp-17, -0x1.6b4ef2f3eddbcp-17, -0x1.6893b12b6e7d6p-17, -0x1.65cf4ad28f7ebp-17, -0x1.6301fb55116dap-17, -0x1.602bfdbeaf1dfp-17, -0x1.5d4d8cb80959ap-17, -0x1.5a66e2847081bp-17, -0x1.57783900739ecp-17, -0x1.5481c99f0b7abp-17, -0x1.5183cd691d3f9p-17, -0x1.4e7e7cf9f224cp-17, -0x1.4b72107d66f35p-17, -0x1.485ebfae7a5e2p-17, -0x1.4544c1d724393p-17, -0x1.42244dccd5f16p-17, -0x1.3efd99eee0af4p-17, -0x1.3bd0dc25a07bbp-17, -0x1.389e49e0aeef9p-17, -0x1.356618167e9cp-17, -0x1.32287b43677cdp-17, -0x1.2ee5a766cab85p-17, -0x1.2b9dd0024c51ep-17, -0x1.2851281933574p-17, -0x1.24ffe22f32032p-17, -0x1.21aa304754a37p-17, -0x1.1e5043e36b94p-17, -0x1.1af24e02d1ef8p-17, -0x1.17907f22c3743p-17, -0x1.142b073c4a071p-17, -0x1.10c215c3bd955p-17, -0x1.0d55d9a75d16ep-17, -0x1.09e68151baf8dp-17, -0x1.06743aa66e265p-17, -0x1.02ff330234c3ep-17, -0x1.ff0f2e7443d7ep-18, -0x1.f81b273818b9cp-18, -0x1.f122a7db22d05p-18, -0x1.ea2606db843e3p-18, -0x1.e32599a593494p-18, -0x1.dc21b4939d895p-18, -0x1.d51aaaee6ac37p-18, -0x1.ce10ceed20f4ep-18, -0x1.c70471b4d5ee5p-18, -0x1.bff5e3591ad51p-18, -0x1.b8e572db04421p-18, -0x1.b1d36e2b0cc14p-18, -0x1.aac022282a7dp-18, -0x1.a3abda9fe3fe8p-18, -0x1.9c96e24dc8b61p-18, -0x1.958182db57e79p-18, -0x1.8e6c04e5b5b4bp-18, -0x1.8756aff8b8a0dp-18, -0x1.8041ca9032703p-18, -0x1.792d9a1939507p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      54, 0x1.6p+2, 0x1.f7202d18debddp+1, 0x1.195e95b740e9ep+3, 0x1.3b5572cc0a816p-4, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.7da4acd224716p-3, -0x1.b83043fc90e5ep-2, 0x1.b08f14947fdfdp-1, -0x1.2c15c87d2973ap+0}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.55a660a6ca224p-3, -0x1.6aade72a4d0b9p-2, 0x1.56888ba226a3p-1, -0x1.0034b3d9ba95ap+0}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.348d1580e42a6p-3, -0x1.2ddbdadfc33c8p-2, 0x1.09abef473b767p-1, -0x1.b5cef3dc92536p-1}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.18cd94101bea2p-3, -0x1.fe954dfe2127dp-3, 0x1.90002eff7e398p-2, -0x1.67a617197b79ap-1}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.0118143a0b151p-3, -0x1.b95f5ee2d5dafp-3, 0x1.241b281172c8bp-2, -0x1.1a8f28973f866p-1}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.d8b07a34775e4p-4, -0x1.876d98171548fp-3, 0x1.9ead37c825daep-3, -0x1.997dd3fb96c22p-2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.b36a4a04501b2p-4, -0x1.641a51da0accfp-3, 0x1.23d444fcabd31p-3, -0x1.0183fb00b1772p-2}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.9122a2f275af1p-4, -0x1.4ac85a3cf20a3p-3, 0x1.ad26269286c5ap-4, -0x1.7188c550e8a01p-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.71156e799e0afp-4, -0x1.36b5ff730ae4bp-3, 0x1.75b808f99713ep-4, -0x1.dae8c41ff049fp-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.52f0832020ea8p-4, -0x1.243f629cd169ap-3, 0x1.6cd0787f642c1p-4, -0x1.8e010d3185afep-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.369d455544889p-4, -0x1.1261485c2cc5p-3, 0x1.5de3a19a558f2p-4, -0x1.5ca648f64876ep-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.1c0a484e8a54ep-4, -0x1.013660822109ep-3, 0x1.50d098777fa43p-4, -0x1.6389e28878de5p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.03265ca7701c8p-4, -0x1.e168f3f467762p-4, 0x1.437b6cc594b58p-4, -0x1.5b5b7441c4e0bp-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7c120c2e0101p-5, -0x1.c1b68abc4a144p-4, 0x1.3674cb9cb6edp-4, -0x1.5736c7913abdp-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ac505dc8013bp-5, -0x1.a34f9ae891fap-4, 0x1.2995f0edab1f9p-4, -0x1.51fd1c60dcaaap-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.83d981f9297ddp-5, -0x1.862fa544d332dp-4, 0x1.1ce93fdd3c72dp-4, -0x1.4d0da999bc3acp-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5e3c19bd37555p-5, -0x1.6a51c947ca256p-4, 0x1.106befe77896fp-4, -0x1.480a53ad536bbp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3b582c4701f9p-5, -0x1.4fb1407ca5c39p-4, 0x1.041ebff75f0fcp-4, -0x1.430c51ed05814p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1b0e3b955957bp-5, -0x1.36493d71a281fp-4, 0x1.f002f9c9c41c2p-5, -0x1.3e0ce2a1602b3p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.fa7e88e60c358p-6, -0x1.1e14f494543e2p-4, 0x1.d82868ca767f5p-5, -0x1.390dd557118f5p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.c3997ced9347ap-6, -0x1.070f99d1e3a19p-4, 0x1.c0adc59721fb1p-5, -0x1.340ead92d6ebap-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.91313806bc1a8p-6, -0x1.e268c2739da0fp-5, 0x1.a993122c1ea94p-5, -0x1.2f0f8db4c6682p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.630a948eec576p-6, -0x1.b8fcfda55258ep-5, 0x1.92d84df1c2fb2p-5, -0x1.2a1068b818607p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.38eb627b7b18p-6, -0x1.91d24d48b7429p-5, 0x1.7c7d794a5ac08p-5, -0x1.2511504fc33c9p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.129a6759b0e8fp-6, -0x1.6cdf1974c78ebp-5, 0x1.668293445f4f5p-5, -0x1.20120ab47a575p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.dfbebc9d8f916p-7, -0x1.4a19ca212dd88p-5, 0x1.50e79f43a2ef4p-5, -0x1.1b136d50ca28bp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a105f02fd6505p-7, -0x1.2978c7bbadabcp-5, 0x1.3bac90aa6092bp-5, -0x1.16125c41ae504p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.689db6146fd3cp-7, -0x1.0af278f8f78bbp-5, 0x1.26d1968bd9e6p-5, -0x1.111a71a8a1befp-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.361b462578c6ep-7, -0x1.dcfa95f7de533p-6, 0x1.12560138cdc48p-5, -0x1.0c0060e2afa0ap-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0915c36cf0b8p-7, -0x1.a81f25cf7ce3cp-6, 0x1.fc78c0b601311p-6, -0x1.0765c25a2ba64p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c24c7849743a1p-8, -0x1.773ffee0860fp-6, 0x1.d4f649f54771ep-6, -0x1.fef0c384c4a18p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7bcf837135792p-8, -0x1.4a4511d07e5f3p-6, 0x1.aea43b4b524c6p-6, -0x1.e8707e37ce80ep-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3df0e1b88162p-8, -0x1.21098c5bbb131p-6, 0x1.8a0231d3ef9bap-6, -0x1.d2ef1d64e5a15p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.07f4f3428eb1p-8, -0x1.f6c65ef8b607ep-7, 0x1.66fd0f9f91961p-6, -0x1.bd297038ce9e5p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b250dde4df1d4p-9, -0x1.b250de9bc88b2p-7, 0x1.4599f401b54a7p-6, -0x1.a7760ff7742ep-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.61c0c4d62326ap-9, -0x1.745f1fd8d1513p-7, 0x1.25d77f9bf2fa5p-6, -0x1.91bdc8644537bp-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1cf4641e7b8d9p-9, -0x1.3c9dc4a0c7a46p-7, 0x1.07b610946dc95p-6, -0x1.7c06d12db1f0dp-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.c56e6406627f1p-10, -0x1.0ab968003c9ddp-7, 0x1.d66b1b6200e11p-7, -0x1.664f7fd68875dp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.63caa4928815ap-10, -0x1.bcbd4db90d067p-8, 0x1.a0abfb683935ep-7, -0x1.509846a5161c1p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.12d72c6ad5319p-10, -0x1.6e743b389a3c7p-8, 0x1.6e2ebd9c42b1ep-7, -0x1.3ae106fd5e82ep-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a11df23049cc6p-11, -0x1.29f0d19059d6p-8, 0x1.3ef362f64151ap-7, -0x1.2529c90908891p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.361cc64580036p-11, -0x1.dd18937e78859p-9, 0x1.12f9eb34e6707p-7, -0x1.0f728abd69acfp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.c24c78497440cp-12, -0x1.773fb992d5455p-9, 0x1.d484acca93922p-8, -0x1.f3769837303b2p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.3df0e1b8816cbp-12, -0x1.21098760e7d75p-9, 0x1.89994928b2bccp-8, -0x1.c8081e53b04b8p-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.b250dde4df2a4p-13, -0x1.b250ddec5cd69p-10, 0x1.4531ab028b7e8p-8, -0x1.9c99979bd9012p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1cf4641e7b9e7p-13, -0x1.3c9dc477b33b9p-10, 0x1.074dd444c48b7p-8, -0x1.712b40d58bfa3p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.63caa492883bp-14, -0x1.bcbd4e87c2454p-11, 0x1.9fdb7b7cabe5dp-9, -0x1.45bc371d31085p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a11df2304a1ep-15, -0x1.29f0ce85b8c4p-11, 0x1.3e23048d8394ep-9, -0x1.1a4fc93ba39d8p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c24c784974d01p-16, -0x1.773fd0453a9f6p-12, 0x1.d2e2f6c40b659p-10, -0x1.ddb33de19c2a2p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b250dde4e0802p-17, -0x1.b250347955e96p-13, 0x1.43939766c2f34p-10, -0x1.870f94e8e3997p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.63caa4928b2p-18, -0x1.bcc23e48b4c5bp-14, 0x1.9c843bdb63be5p-11, -0x1.2f5cb64ec0eeep-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c24c78498p-20, -0x1.771adab459c48p-15, 0x1.ccff9cf1dff8fp-12, -0x1.b73c053a96ae9p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.63caa492bffffp-22, -0x1.bee3b70de34b8p-17, 0x1.8aea66d0a4b1ap-13, -0x1.e47763aadb01dp-11}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.63caa496cp-26, -0x1.7c8bfea508902p-20, 0x1.a0f178dbb8601p-15, -0x1.442d83b33302fp-10}, 
      }}, 
      0x1.310ab8a518c46p-6, -0x1.d62926351ead6p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{0x1.2646e5d3ae7fbp-6, 0x1.00d201cd70f91p-5, 0x1.2fc25e139e60cp-5, 0x1.155bbe894caa6p-5, 0x1.661e83b3d0652p-6, 0x1.27c21ba687d53p-9, -0x1.7c44adf9a05e2p-6, -0x1.aec64ffd8d806p-5, -0x1.57cf7fa426627p-4, -0x1.d92a8cd833fe4p-4, -0x1.2aaeb4f8237ap-3, -0x1.63c459e033592p-3, -0x1.9602240e6f872p-3, -0x1.c02500790c831p-3, -0x1.e16aa54f600f6p-3, -0x1.f97f0b360058cp-3, -0x1.0434bba9ddp-2, -0x1.073d2a6beed84p-2, -0x1.061d25ea6321dp-2, -0x1.012d859d05bdbp-2, -0x1.f1a9ed9938e2cp-3, -0x1.db0491caf73e9p-3, -0x1.bf4f58d8d2fffp-3, -0x1.9f6dab883413ap-3, -0x1.7c3be48af26a3p-3, -0x1.568ab7eeb1c72p-3, -0x1.2f1bebed5dd1ap-3, -0x1.06a0345ed4db1p-3, -0x1.bb6c01e8117a5p-4, -0x1.69d2243447da5p-4, -0x1.1965536d335cp-4, -0x1.95e8bcaebae8p-5, -0x1.fcb125ed7aa34p-6, -0x1.b4d59932a1be5p-7, 0x1.c9f1740ff5e1bp-9, 0x1.3ceeb927df841p-6, 0x1.17d48a30895f8p-5, 0x1.88611bb6e082cp-5, 0x1.efebd11e5a54ap-5, 0x1.273171be14e87p-4, 0x1.51e7bb8e20696p-4, 0x1.7828beff2572ap-4, 0x1.9a0df0186e49ap-4, 0x1.b7b87d10a2f63p-4, 0x1.d14fc023e04afp-4, 0x1.e6ffe50bf5b5cp-4, 0x1.f8f8a36f19824p-4, 0x1.03b61e566dc84p-3, 0x1.094745dc62389p-3, 0x1.0d4a21326fe46p-3, 0x1.0fd91e9efcf21p-3, 0x1.110e80510647bp-3, 0x1.110421f0707ffp-3, 0x1.0fd344277484ap-3, 0x1.0d946de0e3d32p-3, 0x1.0a5f5319795d4p-3, 0x1.064ab684faaafp-3, 0x1.016c5c80cf283p-3, 0x1.f7b20bacd41bdp-4, 0x1.eb48c319fd8cep-4, 0x1.ddc22920a48d2p-4, 0x1.cf415a6e13483p-4, 0x1.bfe7661655749p-4, 0x1.afd33cefca885p-4, 0x1.9f21d9d7d4e6dp-4, 0x1.8dee36a3ec8ffp-4, 0x1.7c516f604048ap-4, 0x1.6a62cdd39d383p-4, 0x1.5837d9adfd2ddp-4, 0x1.45e47197375a6p-4, 0x1.337adb5906341p-4, 0x1.210bd7754f2ffp-4, 0x1.0ea6b5aa70023p-4, 0x1.f8b2d1598e9ep-5, 0x1.d4613038aea35p-5, 0x1.b06f67a8b7f37p-5, 0x1.8cf20b64de197p-5, 0x1.69fb88abe1f3fp-5, 0x1.479c436e51a08p-5, 0x1.25e2b82cb0269p-5, 0x1.04dba15f4ae3fp-5, 0x1.c9241714ef80fp-6, 0x1.8a1eeaf4b2928p-6, 0x1.4cb7ead37bbdp-6, 0x1.10fc7acce9f32p-6, 0x1.adef405cf27bdp-7, 0x1.3d63ed19c9c48p-7, 0x1.a0c841cf898d3p-8, 0x1.9be4649d811b3p-9, 0x1.286035a8bb9a5p-15, -0x1.842e84f9d4912p-9, -0x1.7f4729a3aeea2p-8, -0x1.1aa2e52fbf9c7p-7, -0x1.720f5611878f5p-7, -0x1.c5f0fe1e787e3p-7, -0x1.0b28f04ebdb12p-6, -0x1.319ef17145a7dp-6, -0x1.566131adfb434p-6, -0x1.797723099c91fp-6, -0x1.9ae8c7cb84be3p-6, -0x1.babeb9a3df571p-6, -0x1.d901faa5f657cp-6, -0x1.f5bbfb6b5edc4p-6, -0x1.087b3e51dda22p-5, -0x1.155dc04ddda6dp-5, -0x1.218aa47d82d7fp-5, -0x1.2d071bf7c8f95p-5, -0x1.37d8686efb1edp-5, -0x1.4203d5d516815p-5, -0x1.4b8eb46f5726dp-5, -0x1.547e513a41ed8p-5, -0x1.5cd7fa5be81b6p-5, -0x1.64a0f1baae758p-5, -0x1.6bde6eafe6745p-5, -0x1.72959be7180b8p-5, -0x1.78cb9083a0304p-5, -0x1.7e8551e98efb3p-5, -0x1.83c7cfc5bb1cap-5, -0x1.8897e0745f96fp-5, -0x1.8cfa44617eb49p-5, -0x1.90f39f353d4cp-5, -0x1.94887851256ecp-5, -0x1.97bd3d8ad8808p-5, -0x1.9a963ce2eeb24p-5, -0x1.9d17a570e9c7ep-5, -0x1.9f458a4408082p-5, -0x1.a123df0e9cf6fp-5, -0x1.a2b675c449c7p-5, -0x1.a40102ecd34ccp-5, -0x1.a5071dc00216fp-5, -0x1.a5cc3abafadb7p-5, -0x1.a653aefaaea5bp-5, -0x1.a6a0b3dbd9201p-5, -0x1.a6b6644b7baeep-5, -0x1.a697b7c09887ap-5, -0x1.a6478d577bf66p-5, -0x1.a5c8a65e71ce9p-5, -0x1.a51da2d51cd09p-5, -0x1.a4490a1110d51p-5, -0x1.a34d479ea402bp-5, -0x1.a22cab9c48734p-5, -0x1.a0e96854c3045p-5, -0x1.9f8598eed6916p-5, -0x1.9e034235243b8p-5, -0x1.9c644ac71b8d6p-5, -0x1.9aaa80c855511p-5, -0x1.98d79f8f98322p-5, -0x1.96ed4ba434845p-5, -0x1.94ed0f63fb86dp-5, -0x1.92d85ed2a578dp-5, -0x1.90b09fad9bc19p-5, -0x1.8e771fff24c4ap-5, -0x1.8c2d1a99d5c2fp-5, -0x1.89d3b41659c34p-5, -0x1.876c0405aea4dp-5, -0x1.84f710ab039cfp-5, -0x1.8275cb1a6baa7p-5, -0x1.7fe91642cd8dcp-5, -0x1.7d51c70b9f928p-5, -0x1.7ab0a1a99be16p-5, -0x1.78065de0fbd42p-5, -0x1.7553a1c843812p-5, -0x1.729909021fe68p-5, -0x1.6fd72374966ap-5, -0x1.6d0e75973fcafp-5, -0x1.6a3f7441e1d61p-5, -0x1.676a8bc779013p-5, -0x1.64901e45e529bp-5, -0x1.61b085cf75199p-5, -0x1.5ecc10c90a706p-5, -0x1.5be303a39dac7p-5, -0x1.58f59c4473d24p-5, -0x1.560410c68fbc2p-5, -0x1.530e90df5e796p-5, -0x1.5015433d979efp-5, -0x1.4d1847fca8c07p-5, -0x1.4a17b92c00956p-5, -0x1.4713ad6d191eap-5, -0x1.440c3493b304fp-5, -0x1.41015a1474c8dp-5, -0x1.3df322e037d7p-5, -0x1.3ae190d288935p-5, -0x1.37cca388bd2fcp-5, -0x1.34b456d1b4561p-5, -0x1.3198a29b7d735p-5, -0x1.2e797a9a233eep-5, -0x1.2b56d1c076609p-5, -0x1.283098bb4a38ap-5, -0x1.2506bee29727p-5, -0x1.21d9316f344b8p-5, -0x1.1ea7db0198ed4p-5, -0x1.1b72a59b872bcp-5, -0x1.18397ac4ae0a5p-5, -0x1.14fc43a13fa2cp-5, -0x1.11baea0a40bacp-5, -0x1.0e755541fc756p-5, -0x1.0b2b6cf6ca279p-5, -0x1.07dd18db7795cp-5, -0x1.048a41b2e0ed6p-5, -0x1.0132d151455ap-5, -0x1.fbad6316319c5p-6, -0x1.f4eb99bab18d3p-6, -0x1.ee201bd5f9caap-6, -0x1.e74ac23cd518ap-6, -0x1.e06b689a61c97p-6, -0x1.d981ed58599ecp-6, -0x1.d28e3151fe649p-6, -0x1.cb9017fe5d22dp-6, -0x1.c48788236bcbfp-6, -0x1.bd746bb8b2c8p-6, -0x1.b656afb6f0475p-6, -0x1.af2e45d505ecbp-6, -0x1.a7fb242ef8cf4p-6, -0x1.a0bd43c652dcp-6, -0x1.9974a06284518p-6, -0x1.92213a626f11ep-6, -0x1.8ac3170c839b2p-6, -0x1.835a3f83fb754p-6, -0x1.7be6c08e8f813p-6, -0x1.7468abab036f2p-6, -0x1.6ce016db8df39p-6, -0x1.654d1c1726f46p-6, -0x1.5dafd8ebd16c8p-6, -0x1.56086ef835d94p-6, -0x1.4e570497be362p-6, -0x1.469bc4e18f829p-6, -0x1.3ed6dee4851adp-6, -0x1.37088533a04ap-6, -0x1.2f30eddcd187cp-6, -0x1.275053210db6bp-6, -0x1.1f66f3c09b192p-6, -0x1.1775127df177p-6, -0x1.0f7af5f6eb74fp-6, -0x1.0778e8702a006p-6, -0x1.fede6e6bc752p-7, -0x1.eebc657c9d973p-7, -0x1.de8c5eaf0573bp-7, -0x1.ce4f09e9da0ep-7, -0x1.be051d33dc758p-7, -0x1.adaf54e633c79p-7, -0x1.9d4e7383aae8ep-7, -0x1.8ce340acc6eb6p-7, -0x1.7c6e88af9f339p-7, -0x1.6bf12096b610fp-7, -0x1.5b6bdbc45f979p-7, -0x1.4adf9ba21cc2dp-7, -0x1.3a4d3f75f7f1p-7, -0x1.29b5ad2f0c423p-7, -0x1.1919ce4a0a88p-7, -0x1.087a8f9fb62bdp-7, -0x1.efb1c49a9b11ap-8, -0x1.ce6b757c2dfcfp-8, -0x1.ad242056a481bp-8, -0x1.8bddb962d41d5p-8, -0x1.6a9a39b8654bdp-8, -0x1.495b9ee9ec6ebp-8, -0x1.2823eb2705ff8p-8, -0x1.06f52363c7fedp-8, -0x1.cba29d2b412dcp-9, -0x1.8974ee8653567p-9, -0x1.47655529af21bp-9, -0x1.0577ec9aff568p-9, -0x1.8761a4f5bbe45p-10, -0x1.04284d2a1502cp-10, -0x1.0298225528d0dp-11, 0x1.2ad24e440bbf1p-18, 0x1.066848ae35768p-11, 0x1.04c7b1a9f73cfp-10, 0x1.85dd4f1b18783p-10, 0x1.03366d35a15b2p-9, 0x1.43371cb4685dep-9, 0x1.82ecaeaa8ef7p-9, 0x1.c2532395ae58cp-9, 0x1.00b341ac32be7p-8, 0x1.20116e8d9c02ep-8, 0x1.3f42249288c6bp-8, 0x1.5e43758f112b7p-8, 0x1.7d13790d5492p-8, 0x1.9bb04b2b4cb2ap-8, 0x1.ba180e381aee3p-8, 0x1.d848eb06f32ddp-8, 0x1.f64110bda693ep-8, 0x1.09ff5ab404728p-7, 0x1.18c00b1c38116p-7, 0x1.2761bbe1e83fep-7, 0x1.35e39354a31p-7, 0x1.4444bbdd7e43bp-7, 0x1.528463c9741b2p-7, 0x1.60a1bd6f4689ap-7, 0x1.6e9bffa6ae643p-7, 0x1.7c7265d52f59ep-7, 0x1.8a242f3b2af76p-7, 0x1.97b0a15a1633ep-7, 0x1.a51704389a5b8p-7, 0x1.b256a698fd1fap-7, 0x1.bf6edb2dd5a2ap-7, 0x1.cc5ef9e353306p-7, 0x1.d9265faff3007p-7, 0x1.e5c46e762077ap-7, 0x1.f2388d36201e7p-7, 0x1.fe82285013632p-7, 0x1.055058b3a2591p-6, 0x1.0b49cf9eab22dp-6, 0x1.112d36eff0459p-6, 0x1.16fa4f69aec1bp-6, 0x1.1cb0dc858184p-6, 0x1.2250a475d70e2p-6, 0x1.27d97028fb098p-6, 0x1.2d4b0b4e4bc46p-6, 0x1.32a5444a8ad1bp-6, 0x1.37e7ec2d699d8p-6, 0x1.3d12d6bc6b536p-6, 0x1.4225da7e65185p-6, 0x1.4720d0b938183p-6, 0x1.4c0395557648p-6, 0x1.50ce06f965892p-6, 0x1.55800722d59e4p-6, 0x1.5a197a281e33ep-6, 0x1.5e9a46a691ebap-6, 0x1.6302557aee848p-6, 0x1.675192c752f8cp-6, 0x1.6b87ed463cb3p-6, 0x1.6fa555f04059fp-6, 0x1.73a9c1050c514p-6, 0x1.7795251a3a7cdp-6, 0x1.7b677adae068fp-6, 0x1.7f20bd8331bedp-6, 0x1.82c0eadb847b6p-6, 0x1.86480317d629fp-6, 0x1.89b608beba432p-6, 0x1.8d0b011502cc2p-6, 0x1.9046f315f6451p-6, 0x1.9369e8ed3ad4ep-6, 0x1.9673ee358bdefp-6, 0x1.9965112b4487fp-6, 0x1.9c3d621bc6efep-6, 0x1.9efcf375bd194p-6, 0x1.a1a3d9c05eb43p-6, 0x1.a4322b93320e3p-6, 0x1.a6a8018f202fbp-6, 0x1.a9057656b746bp-6, 0x1.ab4aa683acad1p-6, 0x1.ad77b0970155fp-6, 0x1.af8cb4ea1f56p-6, 0x1.b189d5a2278e6p-6, 0x1.b36f36a8dc45bp-6, 0x1.b53cfd9b4e84bp-6, 0x1.b6f351c8583e5p-6, 0x1.b8925c1c9cfc5p-6, 0x1.ba1a4718db7c3p-6, 0x1.bb8b3ec884f62p-6, 0x1.bce570b4f87c7p-6, 0x1.be290bdaf36a4p-6, 0x1.bf56409dfbe84p-6, 0x1.c06d40bb93da6p-6, 0x1.c16e3f3fd4caep-6, 0x1.c2597078a7c5p-6, 0x1.c32f09ecfba48p-6, 0x1.c3ef42533879ap-6, 0x1.c49a517eeb58ep-6, 0x1.c53070532c82ap-6, 0x1.c5b1d8b9a19ffp-6, 0x1.c61ec5988b1ep-6, 0x1.c67772e9ac017p-6, 0x1.c6bc1d3047dd6p-6, 0x1.c6ed0266ff032p-6, 0x1.c70a60d9ed2c1p-6, 0x1.c71477d3b6d28p-6, 0x1.c70b8754e85d3p-6, 0x1.c6efd00936b46p-6, 0x1.c6c1933b7a083p-6, 0x1.c68112c8ca39bp-6, 0x1.c62e91166d3eep-6, 0x1.c5ca510a9f415p-6, 0x1.c55496082661ep-6, 0x1.c4cda3ed81ba4p-6, 0x1.c435bf16038abp-6, 0x1.c38d2c3c65a8dp-6, 0x1.c2d43058a0c67p-6, 0x1.c20b10cee2f17p-6, 0x1.c132135020e95p-6, 0x1.c0497d9f53656p-6, 0x1.bf5195a6aed7ep-6, 0x1.be4aa17e92217p-6, 0x1.bd34e76a645cbp-6, 0x1.bc10add9c0a3ap-6, 0x1.bade3b6682718p-6, 0x1.b99dd6c891f7cp-6, 0x1.b84fc6bcaa604p-6, 0x1.b6f451e173c9bp-6, 0x1.b58bbe943d8fcp-6, 0x1.b41652d5df029p-6, 0x1.b294543bcc7cfp-6, 0x1.b10607e9a80fep-6, 0x1.af6bb303ed3cbp-6, 0x1.adc59a2d9e6eap-6, 0x1.ac14029f35124p-6, 0x1.aa5731a4bcd55p-6, 0x1.a88f6ce0df4abp-6, 0x1.a6bcfa1ffc7ap-6, 0x1.a4e01f0e470dcp-6, 0x1.a2f920ddb298bp-6, 0x1.a10843ffa126ap-6, 0x1.9f0dcbb12511bp-6, 0x1.9d09fa270c312p-6, 0x1.9afd107b535ep-6, 0x1.98e74f2be62e2p-6, 0x1.96c8f67901787p-6, 0x1.94a246b9a1176p-6, 0x1.9273808b7efeep-6, 0x1.903ce4b9fcae6p-6, 0x1.8dfeb3f635cd2p-6, 0x1.8bb92e6914684p-6, 0x1.896c925b5580bp-6, 0x1.87191bc4aa3aap-6, 0x1.84bf0549cd36fp-6, 0x1.825e885590af8p-6, 0x1.7ff7de0ffcabbp-6, 0x1.7d8b3f8350becp-6, 0x1.7b18e7942cc08p-6, 0x1.78a113f48bf4ep-6, 0x1.7624051047e75p-6, 0x1.73a1fd3a4cbcbp-6, 0x1.711b3f0ac1ac8p-6, 0x1.6e900afc430f3p-6, 0x1.6c009d07254a7p-6, 0x1.696d2a8ad0339p-6, 0x1.66d5e16f380b4p-6, 0x1.643ae8b09c418p-6, 0x1.619c624270ad7p-6, 0x1.5efa6e2cc3a61p-6, 0x1.5c552e674dd61p-6, 0x1.59accab0d8bfcp-6, 0x1.5701736ed93d2p-6, 0x1.545362cb9123cp-6, 0x1.51a2dbb4b3d43p-6, 0x1.4ef026d24cdc1p-6, 0x1.4c3b8dfb73eb4p-6, 0x1.49855703905dbp-6, 0x1.46cdbeef78e5fp-6, 0x1.4414f6a77c002p-6, 0x1.415b21f311729p-6, 0x1.3ea058ff4d967p-6, 0x1.3be4ac1afa214p-6, 0x1.39282924ce66cp-6, 0x1.366ae16a9b875p-6, 0x1.33acee6c2498ap-6, 0x1.30ee74cb44a49p-6, 0x1.2e2fa484651aep-6, 0x1.2b70b63a2f189p-6, 0x1.28b1e63458196p-6, 0x1.25f36e2fd756p-6, 0x1.23357f6e8f0ecp-6, 0x1.20783e74b01bap-6, 0x1.1dbbc18976c88p-6, 0x1.1b001294a20b7p-6, 0x1.1845341d17b1fp-6, 0x1.158b28986b9a3p-6, 0x1.12d1fa8dbb1e4p-6, 0x1.1019c3c19e5d7p-6, 0x1.0d62b1ba99fc9p-6, 0x1.0aad065216ebap-6, 0x1.07f913c16173dp-6, 0x1.05473486f0029p-6, 0x1.0297c065b53bbp-6, 0x1.ffd600e2204dap-7, 0x1.fa8248d409d88p-7, 0x1.f534772737886p-7, 0x1.efec6549a285p-7, 0x1.eaa9af8e0365ep-7, 0x1.e56bc41ac49d5p-7, 0x1.e032054402134p-7, 0x1.dafbe08822092p-7, 0x1.d5c8f70d6c5ecp-7, 0x1.d09931079157ep-7, 0x1.cb6cce8c8714fp-7, 0x1.c64469d73743p-7, 0x1.c120e9f1959a2p-7, 0x1.bc0368f8201ap-7, 0x1.b6ed11d3ec21bp-7, 0x1.b1defb0c15a31p-7, 0x1.acda04d1adab6p-7, 0x1.a7debf7bc1411p-7, 0x1.a2ed5ae76045bp-7, 0x1.9e05a26600f46p-7, 0x1.9927112ad221ep-7, 0x1.9450e16af9961p-7, 0x1.8f8228ace0943p-7, 0x1.8aba05ebfc919p-7, 0x1.85f7bb9aef6p-7, 0x1.813acc184827ep-7, 0x1.7c830e2602b4cp-7, 0x1.77d0b0e6cf7d9p-7, 0x1.732432c11997ep-7, 0x1.6e7e4d87ea2cap-7, 0x1.69dfdbb55f29bp-7, 0x1.6549bba06d99ep-7, 0x1.60bcb53817a67p-7, 0x1.5c3964adc3dd9p-7, 0x1.57c02dcc27557p-7, 0x1.53513680fee86p-7, 0x1.4eec6add18558p-7, 0x1.4a9188b18dfedp-7, 0x1.464030f7eccd3p-7, 0x1.41f7fbe333d39p-7, 0x1.3db888cc02133p-7, 0x1.3981889c7476ep-7, 0x1.3552c56547d1cp-7, 0x1.312c222367366p-7, 0x1.2d0d9722fbc0fp-7, 0x1.28f7333d67b77p-7, 0x1.24e91cd45c062p-7, 0x1.20e390bf135e7p-7, 0x1.1ce6ddd661434p-7, 0x1.18f35add71626p-7, 0x1.150959fe969ccp-7, 0x1.112913a8cc747p-7, 0x1.0d52a22dbdf69p-7, 0x1.098600cbec10cp-7, 0x1.05c30715e7106p-7, 0x1.0209907f7c22p-7, 0x1.fcb2dbede4369p-8, 0x1.f5650ce760992p-8, 0x1.ee298897fd09cp-8, 0x1.e700140c3fcecp-8, 0x1.dfe84679b2eeap-8, 0x1.d8e18661fd218p-8, 0x1.d1eb24877ec18p-8, 0x1.cb0496717c1dcp-8, 0x1.c42daed81ba82p-8, 0x1.bd66b7f7d45a7p-8, 0x1.b6b05e3ccc2abp-8, 0x1.b00b7489581c6p-8, 0x1.a978b1ca4be28p-8, 0x1.a2f88c7446b55p-8, 0x1.9c8b47864e50bp-8, 0x1.96312791d36fap-8, 0x1.8feaaeccc0d9dp-8, 0x1.89b8ba8e21bcep-8, 0x1.839c6ab327e6ep-8, 0x1.7d96d1f91e895p-8, 0x1.77a88339a4956p-8, 0x1.71d11f790bb7dp-8, 0x1.6c0f123eb03c2p-8, 0x1.665fa43b47f15p-8, 0x1.60bf74ef79991p-8, 0x1.5b2b428b3c7e2p-8, 0x1.55a0c18d72f8ap-8, 0x1.501f2ffe6caa5p-8, 0x1.4aa761ed066d2p-8, 0x1.453b3d2920257p-8, 0x1.3fdce157f91edp-8, 0x1.3a8de3d60b745p-8, 0x1.354ef794894f4p-8, 0x1.3020199e66702p-8, 0x1.2b0115f4dec9ap-8, 0x1.25f217be6b8a3p-8, 0x1.20f403ca5faf9p-8, 0x1.1c087f32121a9p-8, 0x1.1731a55922fafp-8, 0x1.127186973ceb8p-8, 0x1.0dc99239a2d38p-8, 0x1.093a0f5bc22d4p-8, 0x1.04c1c938b4808p-8, 0x1.005e15def3b18p-8, 0x1.f816a1a04549cp-9, 0x1.ef8b6e914b34ep-9, 0x1.e714b2f8569ebp-9, 0x1.deaf6b6589c61p-9, 0x1.d65b65f3f070ep-9, 0x1.ce19faf66bce7p-9, 0x1.c5ec91ab1305fp-9, 0x1.bdd3babf81abep-9, 0x1.b5cf5bda35a48p-9, 0x1.addfaa3a5643cp-9, 0x1.a605fccb81565p-9, 0x1.9e44ff6d7f91ep-9, 0x1.96a033e8a1f1ap-9, 0x1.8f1aff9d2746fp-9, 0x1.87b7b89b6a894p-9, 0x1.807737f53974dp-9, 0x1.79592a5a9060cp-9, 0x1.725cfdb058504p-9, 0x1.6b8204792c8c4p-9, 0x1.64c7c58b3feecp-9, 0x1.5e2cd03355392p-9, 0x1.57aeb806aa0fep-9, 0x1.514a5b78af212p-9, 0x1.4afcf9fd4c54p-9, 0x1.44c539e03e6a8p-9, 0x1.3ea36db61bb3bp-9, 0x1.3898e043fef7p-9, 0x1.32a694872971cp-9, 0x1.2ccc427040b86p-9, 0x1.270810b72819ep-9, 0x1.2157056565daap-9, 0x1.1bb62df9ae047p-9, 0x1.16242b9682f17p-9, 0x1.10a23700148b3p-9, 0x1.0b33bd383ef03p-9, 0x1.05dc92a58fa41p-9, 0x1.009f110403e1dp-9, 0x1.f6f6afd9ae4ebp-10, 0x1.ecdfb07d4974bp-10, 0x1.e2f5253bf1cb6p-10, 0x1.d9343a353cf9cp-10, 0x1.cf9c4c8761a03p-10, 0x1.c62e96884e1c5p-10, 0x1.bcecb0afbaf13p-10, 0x1.b3d780b9a4113p-10, 0x1.aaeda72e1a2c5p-10, 0x1.a22b412acca5p-10, 0x1.998b094bbc8ap-10, 0x1.910935c67ecadp-10, 0x1.88a5de50866e4p-10, 0x1.8064a3bcc7ffep-10, 0x1.7849d339a47d9p-10, 0x1.7056f146dfeeap-10, 0x1.688a7e42690f3p-10, 0x1.60e31b6c3930ap-10, 0x1.5961ea2efe25fp-10, 0x1.5208c0d48072bp-10, 0x1.4ad665a37fe88p-10, 0x1.43c5ca7654d2fp-10, 0x1.3cd0cb1dcadcbp-10, 0x1.35f336b994903p-10, 0x1.2f2c315b17504p-10, 0x1.287d126abfb3p-10, 0x1.21e890f76781ep-10, 0x1.1b71718da8b6fp-10, 0x1.151a03dc576b4p-10, 0x1.0ee3c463c2755p-10, 0x1.08cfba772b52p-10, 0x1.02df2fcb24eedp-10, 0x1.fa2567f2c0632p-11, 0x1.eecdecda65309p-11, 0x1.e3a7dab7ffae7p-11, 0x1.d8a488ea394a8p-11, 0x1.cdc3fb09127d7p-11, 0x1.c312bcec687adp-11, 0x1.b899b25f24eddp-11, 0x1.ae543fc084298p-11, 0x1.a4398729dc924p-11, 0x1.9a4b17e9a3a49p-11, 0x1.9093aac158facp-11, 0x1.871a444443d0fp-11, 0x1.7ddd3e65fecf6p-11, 0x1.74d78f8eaf058p-11, 0x1.6c0596e22757bp-11, 0x1.63653328f5535p-11, 0x1.5af2ee0e083afp-11, 0x1.52a79d1284baep-11, 0x1.4a797ebe3817fp-11, 0x1.4261b3e63dcf4p-11, 0x1.3a62723e2ad49p-11, 0x1.328707ec2f402p-11, 0x1.2adc0aa74eea4p-11, 0x1.2365cecde89aep-11, 0x1.1c20ff956ea92p-11, 0x1.150a8003a093p-11, 0x1.0e235b80bed4bp-11, 0x1.0766b9345c453p-11, 0x1.00c639c305f1bp-11, 0x1.f475d48389156p-12, 0x1.e79e29b7e72aap-12, 0x1.db18273fe1ce3p-12, 0x1.ced4618418e7dp-12, 0x1.c2bcb7a25237cp-12, 0x1.b6da4d4e98653p-12, 0x1.ab44d41816dp-12, 0x1.a000cbe22f451p-12, 0x1.95015693fe5adp-12, 0x1.8a39dc0f1fa1bp-12, 0x1.7fa53f3f9ed21p-12, 0x1.7544a807c875cp-12, 0x1.6b1d22c913f48p-12, 0x1.61358897eada8p-12, 0x1.5793e1763d654p-12, 0x1.4e3a4e98ca469p-12, 0x1.4522fdc67d123p-12, 0x1.3c3c757fcc1cp-12, 0x1.3372c44bd670dp-12, 0x1.2ac083b2d669dp-12, 0x1.223bda8f8e897p-12, 0x1.19faf14790014p-12, 0x1.11f612e340972p-12, 0x1.0a1e51fd4dc16p-12, 0x1.027a1891bf03fp-12, 0x1.f62de6926308dp-13, 0x1.e7cfebe3dcdb2p-13, 0x1.d9af8cd28f0c4p-13, 0x1.cbd86bfb57881p-13, 0x1.be5d2eaf572cdp-13, 0x1.b11dd9790e527p-13, 0x1.a40da9ec5d8f7p-13, 0x1.9756d09bfd834p-13, 0x1.8b0df672d62b9p-13, 0x1.7f1f522fa605ep-13, 0x1.737666ba4f6a1p-13, 0x1.680c9bfc25adfp-13, 0x1.5ce280f7c5b4p-13, 0x1.51f96611e7de9p-13, 0x1.475187af113bep-13, 0x1.3cea998d99454p-13, 0x1.32c513684b988p-13, 0x1.28e30ed8e5b7ap-13, 0x1.1f4782fd43c86p-13, 0x1.15f5bebad8f78p-13, 0x1.0cf0c1fd84b8bp-13, 0x1.0438bb283255dp-13, 0x1.f77917b73233p-14, 0x1.e6c8547a422cdp-14, 0x1.d66cb3a164091p-14, 0x1.c69059a5b6afcp-14, 0x1.b711d249f175cp-14, 0x1.a7db1d60f6458p-14, 0x1.9923c7c81b7cbp-14, 0x1.8b1872ce712a7p-14, 0x1.7d9febc1a6627p-14, 0x1.7072bc086c04ep-14, 0x1.6381c54fe2ef4p-14, 0x1.56d887e390f04p-14, 0x1.4a5f210bc1f0dp-14, 0x1.3e415e1f8d07cp-14, 0x1.32a867a93c41ap-14, 0x1.27776bf277725p-14, 0x1.1c9185733a51cp-14, 0x1.11f1216e205cbp-14, 0x1.079926bc007fp-14, 0x1.fb184819380d9p-15, 0x1.e795ae7b0d944p-15, 0x1.d4a9475a89bf5p-15, 0x1.c24ff91ae6881p-15, 0x1.b084fe684c8f1p-15, 0x1.9f4286018de15p-15, 0x1.8e8458bfcca79p-15, 0x1.7e48c6238e71p-15, 0x1.6e8d214179cc5p-15, 0x1.5f4e3ddefbbe6p-15, 0x1.50973780023d1p-15, 0x1.428d61555478ep-15, 0x1.351bcb61cdfp-15, 0x1.2804799fd70bfp-15, 0x1.1b3a2f7ef77d9p-15, 0x1.0eb396387b17cp-15, 0x1.02829d983d816p-15, 0x1.edcaa83b4b409p-16, 0x1.d78487a965fcbp-16, 0x1.c209242ee7d3ap-16, 0x1.ad95a985156f8p-16, 0x1.99f9845f88b14p-16, 0x1.86c74660b1539p-16, 0x1.73ef51c388adap-16, 0x1.61a6e3d3c3533p-16, 0x1.50611ebd6206bp-16, 0x1.3fee2eb4269ffp-16, 0x1.300a26ada916bp-16, 0x1.20ad21bbe6102p-16, 0x1.11debe6590d1fp-16, 0x1.03a235638ef75p-16, 0x1.ebed52b756d5fp-17, 0x1.d1af631c1c47ep-17, 0x1.b897401176209p-17, 0x1.a07932bb15d25p-17, 0x1.896b47f205c37p-17, 0x1.735ce55ad12eap-17, 0x1.5e405332db4ebp-17, 0x1.4a0c35f751b27p-17, 0x1.36b9ec08c9034p-17, 0x1.2440c2391521dp-17, 0x1.1293945c130cp-17, 0x1.01b30764fb11cp-17, 0x1.e3c64a26f467ep-18, 0x1.c6876e1bf4ebp-18, 0x1.aa78f3224cb18p-18, 0x1.8f0bbbfb59d36p-18, 0x1.74c5915a4c96dp-18, 0x1.5c85360528f97p-18, 0x1.45cc7a4efc281p-18, 0x1.3032126e10633p-18, 0x1.1baff5dd8b069p-18, 0x1.0848c52f26e95p-18, 0x1.ec62c1b06109fp-19, 0x1.cb784e4d5e81cp-19, 0x1.ac96f39b756c7p-19, 0x1.8eacdd1e2aa07p-19, 0x1.730a35839761fp-19, 0x1.5a3afdafc3994p-19, 0x1.434b9f9057cc3p-19, 0x1.2dfe870f12ba3p-19, 0x1.1a680ac15d9bep-19, 0x1.088db6c370529p-19, 0x1.f0cd0b11c3a97p-20, 0x1.d3c8d7ee15d6ap-20, 0x1.b9f149fdd3717p-20, 0x1.a32a25074e76cp-20, 0x1.8f59c8b078c47p-20, 0x1.7e60c0bd0a1dap-20, 0x1.7021b1000bec3p-20, 0x1.647bd82dbd10dp-20, 0x1.5b52d155ab63ap-20, 0x1.5470a8607e801p-20, 0x1.507382ffe63f9p-20, 0x1.4dd069e96a6cdp-20, 0x1.4d9a7aa82b244p-20, 0x1.4f655bd30312dp-20, 0x1.53baf08fd0b69p-20, 0x1.5a16388735d04p-20, 0x1.6159f8f8d1768p-20, 0x1.6abbaf914fe9fp-20, 0x1.7629432a0eec6p-20, 0x1.82c7074c3058dp-20, 0x1.90ec32e7bf7ep-20, 0x1.a066fbffed8cep-20, 0x1.b13d551a55a8ep-20, 0x1.c368d76063d4bp-20, 0x1.d6cee06360672p-20, 0x1.eb4bee80b93ebp-20, 0x1.006efed50bcdcp-19, 0x1.0bdbdce5ce225p-19, 0x1.17ada12535a5bp-19, 0x1.23eabe0c3ad45p-19, 0x1.30b7c336158f6p-19, 0x1.3defcdfd58043p-19, 0x1.4b801d5760ab8p-19, 0x1.595d32fc77009p-19, 0x1.678dbea93d829p-19, 0x1.75fd0f7658104p-19, 0x1.84d21f5182897p-19, 0x1.93e27682d4bacp-19, 0x1.a3238c6f6394fp-19, 0x1.b2e5d3aee7447p-19, 0x1.c2748812a8304p-19, 0x1.d25db2607cb65p-19, 0x1.e268a9410b7p-19, 0x1.f29ce89fabdedp-19, 0x1.017c3bd65e354p-18, 0x1.09b4240139333p-18, 0x1.11f8aefc5cafp-18, 0x1.1a46829ef82c1p-18, 0x1.2296361563b5cp-18, 0x1.2af872a64bdfbp-18, 0x1.33559708e7f0dp-18, 0x1.3bb5f963ab70ap-18, 0x1.441e06a2ff156p-18, 0x1.4c80cd4517e34p-18, 0x1.54deb29a996cfp-18, 0x1.5d37197435ff9p-18, 0x1.658a2f3a78d6p-18, 0x1.6dd6033b7374ep-18, 0x1.7618e55bcd8c8p-18, 0x1.7e5197b4fe891p-18, 0x1.867f3b1b54164p-18, 0x1.8ea14f6ad841dp-18, 0x1.96b6e425b7e3fp-18, 0x1.9ebd7189f60ccp-18, 0x1.a6af64a7dffb4p-18, 0x1.ae8bf0d092398p-18, 0x1.b66199ef24eebp-18, 0x1.be247ee946704p-18, 0x1.c5d6aeaaeed92p-18, 0x1.cd70d3bed64cep-18, 0x1.d4f809db46809p-18, 0x1.dc61d4ef35eb9p-18, 0x1.e3b1c60787279p-18, 0x1.eaf28707b14e7p-18, 0x1.f21a45963137p-18, 0x1.f925cbb79801p-18, 0x1.000bfff0b6d9fp-17, 0x1.03790f7b6a069p-17, 0x1.06d93e4767845p-17, 0x1.0a2b77c6257b4p-17, 0x1.0d6f7ed06c563p-17, 0x1.10a77b7fedb06p-17, 0x1.13d451b7c721cp-17, 0x1.16ec671fb917ep-17, 0x1.19f9c638eb169p-17, 0x1.1cf2e5661e5c1p-17, 0x1.1fdeb81c5edf6p-17, 0x1.22c168ffe912ep-17, 0x1.2596f97c73f51p-17, 0x1.285970db5af51p-17, 0x1.2b0dbd53500b4p-17, 0x1.2dafb1b97da68p-17, 0x1.304078a274b3ep-17, 0x1.32c4c59324b03p-17, 0x1.353a7dbc9dd73p-17, 0x1.379ca1182061fp-17, 0x1.39f5c668b0913p-17, 0x1.3c3bb93de926bp-17, 0x1.3e70ff398763ep-17, 0x1.4098d608190e6p-17, 0x1.42b008e6d7fbep-17, 0x1.44b715ca7e179p-17, 0x1.46aef94f1e642p-17, 0x1.4897383b8a1d8p-17, 0x1.4a6df1cb02f0fp-17, 0x1.4c34ae69213cep-17, 0x1.4df0017de36b7p-17, 0x1.4f971330e83a7p-17, 0x1.51359cb8781d1p-17, 0x1.52c0a3b58762ep-17, 0x1.543c5a1c24a9fp-17, 0x1.55a9146302ff7p-17, 0x1.57065427f4275p-17, 0x1.5854774813badp-17, 0x1.5993997aea614p-17, 0x1.5ac3d1f56bb68p-17, 0x1.5be533da29e3fp-17, 0x1.5cf7885d2291bp-17, 0x1.5dfcfc5b9ef77p-17, 0x1.5ef1543b09329p-17, 0x1.5fd92486f2fc5p-17, 0x1.60b25dcf65d36p-17, 0x1.617d5ddd7723ap-17, 0x1.623ab48a04402p-17, 0x1.62eb55b64018cp-17, 0x1.6388b8c6e4ecbp-17, 0x1.64200dc708da8p-17, 0x1.649ce924fcc23p-17, 0x1.65231379159d8p-17, 0x1.658b986881c25p-17, 0x1.65e848e1bb426p-17, 0x1.6634b704ff00cp-17, 0x1.6677f2064de94p-17, 0x1.66b0e296b5664p-17, 0x1.66ddd12cd8ef6p-17, 0x1.66f625f3e7e01p-17, 0x1.6708be7a0fef2p-17, 0x1.6711e676333c2p-17, 0x1.670d022fcf8c8p-17, 0x1.66fc64b240936p-17, 0x1.66de934db12e6p-17, 0x1.66b46893c67ccp-17, 0x1.668024a83802ap-17, 0x1.663e0d46ae8fep-17, 0x1.65f4ee993bcaep-17, 0x1.659cb2d8e77bbp-17, 0x1.6540359d39641p-17, 0x1.64d7ee6819843p-17, 0x1.6460f96842cfep-17, 0x1.63de108004829p-17, 0x1.635571f69889ap-17, 0x1.62c08bd9dff01p-17, 0x1.6224022b342d1p-17, 0x1.617e985710484p-17, 0x1.60cd5d3967df3p-17, 0x1.601314a4cf17ep-17, 0x1.5f509cf452dd2p-17, 0x1.5e84f35df6275p-17, }}, 
      {{0x1.04af77fb68045p-6, 0x1.e7cbc3f6e26a3p-6, 0x1.47cc655241b92p-5, 0x1.7650758720f7ep-5, 0x1.7c6c3f6c901fap-5, 0x1.5acf95eaa671cp-5, 0x1.14cb316346764p-5, 0x1.5eb2501cdc4aep-6, 0x1.82a100979a18dp-8, -0x1.8882fa8c3f0eep-7, -0x1.0205b39ca9299p-5, -0x1.a9c594f0b97e9p-5, -0x1.2a302eb31d7bdp-4, -0x1.7ec04a40e0bfp-4, -0x1.d0c0e94a91771p-4, -0x1.0f5b4f10bebfbp-3, -0x1.33bbe2da01e22p-3, -0x1.5512cf0ab3549p-3, -0x1.73122c10fab46p-3, -0x1.8d89610c20066p-3, -0x1.a460fc6e7c2f7p-3, -0x1.b796b482e7fa1p-3, -0x1.c739a7b5d1245p-3, -0x1.d366ec7ef1731p-3, -0x1.dc467bf2be8c2p-3, -0x1.e208757df76c9p-3, -0x1.e4e2c23ffd643p-3, -0x1.e50f0aa04f116p-3, -0x1.e2c9058ec3c81p-3, -0x1.de4d0d6538a2ep-3, -0x1.d7d6fcd616699p-3, -0x1.cfa148e172cf5p-3, -0x1.c5e44c4f1cf23p-3, -0x1.bad5c3683ae67p-3, -0x1.aea86d65cd16p-3, -0x1.a18bcc63a120ap-3, -0x1.93ac014177dc9p-3, -0x1.8531bc68b2ed3p-3, -0x1.764240110aa71p-3, -0x1.66ff707b987a8p-3, -0x1.5787eda8341eap-3, -0x1.47f73511f3499p-3, -0x1.3865c9fa8896bp-3, -0x1.28e961195f5bdp-3, -0x1.19950dc558095p-3, -0x1.0a796f8ee50bcp-3, -0x1.f749c7e7f8c35p-4, -0x1.da4765f6883b4p-4, -0x1.be0078d022954p-4, -0x1.a2864650de25p-4, -0x1.87e6ef64f92bbp-4, -0x1.6e2db8ebb1f9bp-4, -0x1.55635f3f380ffp-4, -0x1.3d8e4fc34eb1dp-4, -0x1.26b2f09c465b3p-4, -0x1.10d3da2949442p-4, -0x1.f7e41235574d1p-5, -0x1.d01a2c47fefcap-5, -0x1.aa46c4ac28e0cp-5, -0x1.86647b1277f26p-5, -0x1.646c1773487f6p-5, -0x1.4454d6cff407fp-5, -0x1.2614a5941b40ep-5, -0x1.09a059534a67ep-5, -0x1.ddd79eb8b1e95p-6, -0x1.abd4779b10b43p-6, -0x1.7d1c5c2a474bep-6, -0x1.5193995ada25cp-6, -0x1.291dd4e76304ap-6, -0x1.039e38a4e82ap-6, -0x1.c1ef7ee04749ep-7, -0x1.821a97b49c1b4p-7, -0x1.4783a6539aacep-7, -0x1.11f105659b5cp-7, -0x1.c2534db5cb187p-8, -0x1.69ea800d1f07ap-8, -0x1.1a3929291be71p-8, -0x1.a5a5d2b76081ep-9, -0x1.269ba44fe4534p-9, -0x1.6d09ffb8bbd8bp-10, -0x1.526478a452d5fp-11, -0x1.4d8c9c312025bp-21, 0x1.1f15d37528f64p-11, 0x1.07594b7687e86p-10, 0x1.68a3289a9758p-10, 0x1.b4bde96045cd7p-10, 0x1.ecf1e5855c067p-10, 0x1.093dc2917ae46p-9, 0x1.13451edba35a9p-9, 0x1.152075031c665p-9, 0x1.0f5b2a99bd365p-9, 0x1.027b1b1be486fp-9, 0x1.ddfeeb3435ebep-10, 0x1.aac44a26552c4p-10, 0x1.6c2e717a516a5p-10, 0x1.231acc1357ffcp-10, 0x1.a0b720b3c1c13p-11, 0x1.d2e46978ec1e7p-12, 0x1.0f183bab871bcp-14, -0x1.691b55827b284p-12, -0x1.988b2d23e98d3p-11, -0x1.446908964d786p-10, -0x1.c21784ae02498p-10, -0x1.226090f628954p-9, -0x1.65ee9e2edf11ep-9, -0x1.ab75d7ce7583p-9, -0x1.f2b992353504cp-9, -0x1.1dc06e4552627p-8, -0x1.42cb22e15cb8p-8, -0x1.6863ce33f4fffp-8, -0x1.8e72d2a37d336p-8, -0x1.b4e249b22a6c6p-8, -0x1.db9d6c61884edp-8, -0x1.01488c99f3949p-7, -0x1.14d5aeae294fcp-7, -0x1.286dc916267c1p-7, -0x1.3c0901e9a7826p-7, -0x1.4fa02470dc12ep-7, -0x1.632c92e4bd9b4p-7, -0x1.76a80f6445fa3p-7, -0x1.8a0ce74317532p-7, -0x1.9d55d6ef6809ap-7, -0x1.b07e08c7cfed6p-7, -0x1.c3810b88c047ap-7, -0x1.d65ad0fd82a76p-7, -0x1.e9079b7d91a78p-7, -0x1.fb841d8266815p-7, -0x1.06e69faeb35e1p-6, -0x1.0ff0200f2d494p-6, -0x1.18dd54cca9e9cp-6, -0x1.21ad1cb1ba8ddp-6, -0x1.2a5e847e62771p-6, -0x1.32f0aa5a5522bp-6, -0x1.3b62d04ef7b5fp-6, -0x1.43b441a21e62ap-6, -0x1.4be474a55b751p-6, -0x1.53f2f39b909cfp-6, -0x1.5bdf4fa58182bp-6, -0x1.63a93d0bb06a7p-6, -0x1.6b50797347f8dp-6, -0x1.72d4d5dc49a86p-6, -0x1.7a363272866b2p-6, -0x1.81747ccca478ep-6, -0x1.888fb200e9a35p-6, -0x1.8f87d94dadafbp-6, -0x1.965d03feb9b7ep-6, -0x1.9d0f4cc4aecb1p-6, -0x1.a39ee21ab7d93p-6, -0x1.aa0bebe0944f1p-6, -0x1.b0569f5c44876p-6, -0x1.b67f3f07082a9p-6, -0x1.bc860ad76816fp-6, -0x1.c26b4b9d969d6p-6, -0x1.c82f4d78c84e7p-6, -0x1.cdd268433fc7p-6, -0x1.d354f095ef29ep-6, -0x1.d8b73f10562b9p-6, -0x1.ddf9ac7713191p-6, -0x1.e31c9d2b89c59p-6, -0x1.e8206a9c867c3p-6, -0x1.ed057fa6198bdp-6, -0x1.f1cc3f052bb65p-6, -0x1.f6750768d452dp-6, -0x1.fb004224ccf9p-6, -0x1.ff6e553c87325p-6, -0x1.01dfd293b715dp-5, -0x1.03fa4c82f6c3p-5, -0x1.0606cb5b36a75p-5, -0x1.080580d1bc0d2p-5, -0x1.09f69f794b615p-5, -0x1.0bda58eb2cfc2p-5, -0x1.0db0deab31697p-5, -0x1.0f7a611d2b2b9p-5, -0x1.1137109a51f18p-5, -0x1.12e71c99064fcp-5, -0x1.148ab1c324c2ep-5, -0x1.162200904b683p-5, -0x1.17ad36d3e2701p-5, -0x1.192c7c7f7f819p-5, -0x1.1a9fffc95b4f3p-5, -0x1.1c07eafe6efc8p-5, -0x1.1d6466d56eac1p-5, -0x1.1eb59afe12f71p-5, -0x1.1ffbb104f5ca4p-5, -0x1.2136cfcfbfae7p-5, -0x1.22671c7f34935p-5, -0x1.238cba9c3e6e9p-5, -0x1.24a7ce7203864p-5, -0x1.25b87b75fa2b4p-5, -0x1.26bee455ef49dp-5, -0x1.27bb29080d45dp-5, -0x1.28ad6a6c2baf8p-5, -0x1.2995c7e762c1bp-5, -0x1.2a745fa7e96cdp-5, -0x1.2b494e395a6c1p-5, -0x1.2c14b28e3e655p-5, -0x1.2cd6a8aa5f959p-5, -0x1.2d8f49b7ff77ap-5, -0x1.2e3eb16c22b64p-5, -0x1.2ee4f98b29d96p-5, -0x1.2f823b3d5d1c7p-5, -0x1.30168e51ada98p-5, -0x1.30a20b45cf00cp-5, -0x1.3124c8ea6d734p-5, -0x1.319edd2cbf895p-5, -0x1.32105e4f1a2ep-5, -0x1.327961860ae4ep-5, -0x1.32d9fba0ab7f5p-5, -0x1.333240f348ec4p-5, -0x1.338245356a58ap-5, -0x1.33ca1b91ba20ep-5, -0x1.3409d6ee50716p-5, -0x1.344189a96799dp-5, -0x1.347145d37c39bp-5, -0x1.34991d114c808p-5, -0x1.34b920e92872p-5, -0x1.34d162283d502p-5, -0x1.34e1f058b2e28p-5, -0x1.34eaddd907bacp-5, -0x1.34ec391f9cc6fp-5, -0x1.34e612a5cd0a4p-5, -0x1.34d87bb349d45p-5, -0x1.34c382d20816bp-5, -0x1.34a736c4e96cbp-5, -0x1.3483a7536febdp-5, -0x1.3458e3ee80785p-5, -0x1.3426fb9ab0374p-5, -0x1.33edfd348d8ecp-5, -0x1.33adf78b5a748p-5, -0x1.3366f97869c58p-5, -0x1.331911f511dd9p-5, -0x1.32c4500893296p-5, -0x1.3268c2a95cecdp-5, -0x1.320678b9e29cdp-5, -0x1.319d811a50ad2p-5, -0x1.312dea79fd818p-5, -0x1.30b7c404c31fbp-5, -0x1.303b1d3410135p-5, -0x1.2fb804982e3fbp-5, -0x1.2f2e89be25d52p-5, -0x1.2e9ebc03307bcp-5, -0x1.2e08aad50fd59p-5, -0x1.2d6c65d52abffp-5, -0x1.2cc9fc04a44d4p-5, -0x1.2c217da4f63dcp-5, -0x1.2b72fb15aa8c6p-5, -0x1.2abe8406d5c76p-5, -0x1.2a042805861a5p-5, -0x1.2943f7c894b98p-5, -0x1.287e03f314858p-5, -0x1.27b25d1761f38p-5, -0x1.26e113d174dbdp-5, -0x1.260a38f071fd6p-5, -0x1.252ddd864302cp-5, -0x1.244c12d86f6e1p-5, -0x1.2364ea53aee06p-5, -0x1.2278757940d1ep-5, -0x1.2186c5dd1fa84p-5, -0x1.208fedb7ef2p-5, -0x1.1f93fea74fea3p-5, -0x1.1e930aecaf73cp-5, -0x1.1d8d24f30657ep-5, -0x1.1c825f19f72fep-5, -0x1.1b72cba4d65c6p-5, -0x1.1a5e7d6ab7cb5p-5, -0x1.1945882d4ce62p-5, -0x1.1827feef702dbp-5, -0x1.1705f40f24b46p-5, -0x1.15df7ad5e7a32p-5, -0x1.14b4a70d3178cp-5, -0x1.13858c5b69692p-5, -0x1.12523e82d11f3p-5, -0x1.111ad16434f1cp-5, -0x1.0fdf58f3cb5c7p-5, -0x1.0e9fe93732f4dp-5, -0x1.0d5c960dd7df8p-5, -0x1.0c1573b0cbf7p-5, -0x1.0aca972b90efp-5, -0x1.097c14681f529p-5, -0x1.0829ffd4f580bp-5, -0x1.06d46e54c52d1p-5, -0x1.057b746b00924p-5, -0x1.041f26d02e792p-5, -0x1.02bf9a3ff892ep-5, -0x1.015ce34e66189p-5, -0x1.ffee2de371113p-6, -0x1.fd1c942240f05p-6, -0x1.fa4523230738bp-6, -0x1.f76804bd7c36p-6, -0x1.f48562d46506dp-6, -0x1.f19d67568d6b6p-6, -0x1.eeb03bffbed05p-6, -0x1.ebbe0ad9df51bp-6, -0x1.e8c6fd3893c0dp-6, -0x1.e5cb3d05fae53p-6, -0x1.e2caf3f89e205p-6, -0x1.dfc64bb98ec21p-6, -0x1.dcbd6dc5d2eb6p-6, -0x1.d9b0837e303d4p-6, -0x1.d69fb627701abp-6, -0x1.d38b2ee6212aap-6, -0x1.d07316d102c08p-6, -0x1.cd5796e786532p-6, -0x1.ca38d7e780544p-6, -0x1.c717024a96f26p-6, -0x1.c3f23e674a4edp-6, -0x1.c0cab474d99dcp-6, -0x1.bda08c6a44cap-6, -0x1.ba73ededf2387p-6, -0x1.b7450051c406ep-6, -0x1.b413eaf484232p-6, -0x1.b0e0d51dcce07p-6, -0x1.adabe50829886p-6, -0x1.aa7541061736ep-6, -0x1.a73d0fed48248p-6, -0x1.a40377286689fp-6, -0x1.a0c89b651f4c2p-6, -0x1.9d8ca1c238886p-6, -0x1.9a4fb046356edp-6, -0x1.9711ec34847cep-6, -0x1.93d37898885dp-6, -0x1.9094790c7cf41p-6, -0x1.8d5511b18b5adp-6, -0x1.8a1564e533ab4p-6, -0x1.86d5950a40988p-6, -0x1.8395c4e10264bp-6, -0x1.80561678555e8p-6, -0x1.7d16ab2ecda6cp-6, -0x1.79d7a4062095ap-6, -0x1.769921ac384e2p-6, -0x1.735b44960165dp-6, -0x1.701e2c50ce8edp-6, -0x1.6ce1f86aa483bp-6, -0x1.69a6c79f0417cp-6, -0x1.666cb8868e6fbp-6, -0x1.6333e9314d0d5p-6, -0x1.5ffc772f27c29p-6, -0x1.5cc67f9e82336p-6, -0x1.59921f30dc23dp-6, -0x1.565f7223c31a8p-6, -0x1.532e94366dbc3p-6, -0x1.4fffa09764cb3p-6, -0x1.4cd2b20392d23p-6, -0x1.49a7e2dec6ec9p-6, -0x1.467f4ce8af081p-6, -0x1.43590985563e9p-6, -0x1.40353195d7834p-6, -0x1.3d13dd7fb3c6bp-6, -0x1.39f5252d5912dp-6, -0x1.36d9201475ba1p-6, -0x1.33bfe5361c3aap-6, -0x1.30a98b0ff1aa8p-6, -0x1.2d9627928f837p-6, -0x1.2a85d0250d485p-6, -0x1.277899a11948cp-6, -0x1.246e984cff841p-6, -0x1.2167e04e7aafbp-6, -0x1.1e64855068c98p-6, -0x1.1b649a276dedcp-6, -0x1.186831949d5fcp-6, -0x1.156f5ddbcf171p-6, -0x1.127a30947cea8p-6, -0x1.0f88bacf6356ep-6, -0x1.0c9b0d3edfd9ap-6, -0x1.09b137e403654p-6, -0x1.06cb4aa49e908p-6, -0x1.03e9549cc1665p-6, -0x1.010b64988b4e1p-6, -0x1.fc6311e21106ep-7, -0x1.f6b79f165e429p-7, -0x1.f1148bab9d533p-7, -0x1.eb79f19375e45p-7, -0x1.e5e7e9da3dcd9p-7, -0x1.e05e8caf74a6cp-7, -0x1.daddf167d65c7p-7, -0x1.d5662e568145p-7, -0x1.cff758772c0abp-7, -0x1.ca918440ad177p-7, -0x1.c534c6add2de2p-7, -0x1.bfe1329cc0b87p-7, -0x1.ba96d92ddaa34p-7, -0x1.b555cc0113ed1p-7, -0x1.b01e1beea1bdcp-7, -0x1.aaefd89b6a63ep-7, -0x1.a5cb10dff39c5p-7, -0x1.a0afd2d332e0fp-7, -0x1.9b9e2bbf1b40dp-7, -0x1.9696282b5ccb7p-7, -0x1.9197d3f6fbe4fp-7, -0x1.8ca33a5c5d1a4p-7, -0x1.87b865d7adcc9p-7, -0x1.82d7600bcca61p-7, -0x1.7e0031c1a22p-7, -0x1.7932e2f163ef7p-7, -0x1.746f7b5bb069bp-7, -0x1.6fb601776e94fp-7, -0x1.6b067bb033ae9p-7, -0x1.6660ef5ce52e8p-7, -0x1.61c5612b832ddp-7, -0x1.5d33d53896a1ep-7, -0x1.58ac4f2ea7c45p-7, -0x1.542ed246657b5p-7, -0x1.4fbb6125eca76p-7, -0x1.4b51fd738fd27p-7, -0x1.46f2a89ca1b89p-7, -0x1.429d63077cdb4p-7, -0x1.3e522c6287p-7, -0x1.3a110414ec418p-7, -0x1.35d9e8eeb3c54p-7, -0x1.31acd94aecadcp-7, -0x1.2d89d328904dfp-7, -0x1.2970d3b516e29p-7, -0x1.2561d69747bb9p-7, -0x1.215cd8b31786dp-7, -0x1.1d61d83dfcc99p-7, -0x1.1970d0b18bf41p-7, -0x1.1589bc2e0a8ecp-7, -0x1.11ac933fcb52cp-7, -0x1.0dd9510adc045p-7, -0x1.0a0ff0234eb1bp-7, -0x1.065069d4b209p-7, -0x1.029ab6dbd8c3fp-7, -0x1.fddd9f289727ap-8, -0x1.f69957bb708cdp-8, -0x1.ef68860a8ca48p-8, -0x1.e84b185c708edp-8, -0x1.e140fc7bad9fp-8, -0x1.da4a1f67cbfd2p-8, -0x1.d3666d3925739p-8, -0x1.cc95d13c2bb3cp-8, -0x1.c5d836a3ea14bp-8, -0x1.bf2d88cf8f756p-8, -0x1.b895b2ebb9ac3p-8, -0x1.b2109f7542887p-8, -0x1.ab9e381333f1dp-8, -0x1.a53e65b5e1252p-8, -0x1.9ef110b533077p-8, -0x1.98b620bd00c89p-8, -0x1.928d7c90ee4d6p-8, -0x1.8c7709dce68e7p-8, -0x1.8672ad2423072p-8, -0x1.808049b201532p-8, -0x1.7a9fc226b8f12p-8, -0x1.74d0faca11fabp-8, -0x1.6f13d8a0b9a83p-8, -0x1.69683f7a96038p-8, -0x1.63ce1484fb866p-8, -0x1.5e453d531b122p-8, -0x1.58cd9e725a9f1p-8, -0x1.53671b5d9e8a6p-8, -0x1.4e11966ffdb5bp-8, -0x1.48ccf0c9e5184p-8, -0x1.43990a599864p-8, -0x1.3e75c22b37c56p-8, -0x1.3962f6d477fdep-8, -0x1.3460871dcd915p-8, -0x1.2f6e52b715ed1p-8, -0x1.2a8c3ad892b89p-8, -0x1.25ba21f605299p-8, -0x1.20f7ebe1a9b46p-8, -0x1.1c457d0d316e1p-8, -0x1.17a2b95a3ed99p-8, -0x1.130f83300863bp-8, -0x1.0e8bbad991008p-8, -0x1.0a173e3698267p-8, -0x1.05b1e8c9adcf1p-8, -0x1.015b943af7b1bp-8, -0x1.fa283236055f7p-9, -0x1.f1b69f9000c9dp-9, -0x1.e9622198eb0dap-9, -0x1.e12a747d5b09cp-9, -0x1.d90f4f7ca56aap-9, -0x1.d1107b83ca21ep-9, -0x1.c92dbc4e97b81p-9, -0x1.c166de93c3496p-9, -0x1.b9bbb196f34c7p-9, -0x1.b22c0275387f1p-9, -0x1.aab79a6a4d8efp-9, -0x1.a35e3cf9eeeb7p-9, -0x1.9c1fa70b7c6bbp-9, -0x1.94fb8f1a52e2fp-9, -0x1.8df1a58d178d7p-9, -0x1.8701943ca88acp-9, -0x1.802b089792e05p-9, -0x1.796dbfdcf6599p-9, -0x1.72c963c4d45cdp-9, -0x1.6c3da90f8c99p-9, -0x1.65ca5b2bcbcbap-9, -0x1.5f6f2f7eb0291p-9, -0x1.592be7b3bc00ep-9, -0x1.530050d8f9fe2p-9, -0x1.4cec36a32c154p-9, -0x1.46ef638f481e7p-9, -0x1.41099fde3b35dp-9, -0x1.3b3aafcfff6f3p-9, -0x1.358252cf25dcfp-9, -0x1.2fe0443116767p-9, -0x1.2a543d706b4c3p-9, -0x1.24ddf7173c987p-9, -0x1.1f7d2c6a68603p-9, -0x1.1a319b098f7e1p-9, -0x1.14fb03bb74835p-9, -0x1.0fd929bd9fb2p-9, -0x1.0acbd04ffa68ep-9, -0x1.05d2b4aea767p-9, -0x1.00ed98725110bp-9, -0x1.f83894bed0aap-10, -0x1.eebd1b383fffbp-10, -0x1.e5683b4295cf7p-10, -0x1.dc39885acbb72p-10, -0x1.d33094a3d6077p-10, -0x1.ca4ce66acd5cap-10, -0x1.c18e01c29d484p-10, -0x1.b8f369a787372p-10, -0x1.b07c9da617d5ap-10, -0x1.a829286ea3d4dp-10, -0x1.9ff895cd2c70dp-10, -0x1.97ea7a645a5fp-10, -0x1.8ffe6b9feefa8p-10, -0x1.88340ab64f272p-10, -0x1.808ac24a6802bp-10, -0x1.79023a9a4b8eap-10, -0x1.7199ed98972fep-10, -0x1.6a51669cf9357p-10, -0x1.63283a5488f71p-10, -0x1.5c1dffb60cc39p-10, -0x1.553254c184588p-10, -0x1.4e64d724a81d9p-10, -0x1.47b525043fb7p-10, -0x1.4122db4195781p-10, -0x1.3aad96ce0a3efp-10, -0x1.3454f685557e4p-10, -0x1.2e189c8169095p-10, -0x1.27f82e1b6f87fp-10, -0x1.21f35287acf88p-10, -0x1.1c09b096b132ap-10, -0x1.163aec24df948p-10, -0x1.1086a37802c37p-10, -0x1.0aec6d04116a4p-10, -0x1.056bd67ac497cp-10, -0x1.0004661ae333bp-10, -0x1.f56b3f50d82ccp-11, -0x1.eafe187164023p-11, -0x1.e0c07cea7cbc7p-11, -0x1.d6b19ea5d4a2bp-11, -0x1.ccd0b95aed346p-11, -0x1.c31d1826cec32p-11, -0x1.b99621b694b52p-11, -0x1.b03b58e9fa541p-11, -0x1.a70c532c4d76ap-11, -0x1.9e08ac1baa9c6p-11, -0x1.952ff7f00d1ap-11, -0x1.8c81b8688fb0fp-11, -0x1.83fd5a908b601p-11, -0x1.7ba23e057e699p-11, -0x1.736fbfb3da121p-11, -0x1.6b6540a29a99ap-11, -0x1.638225c062183p-11, -0x1.5bc5d3295a07fp-11, -0x1.542fa75fad121p-11, -0x1.4cbef87acd8f6p-11, -0x1.457311e2cafeep-11, -0x1.3e4b30fc5c1f6p-11, -0x1.37468264375c2p-11, -0x1.3064253bc6499p-11, -0x1.29a33a0f06ccdp-11, -0x1.2302fbbc3ac4cp-11, -0x1.1c82d70bffaf2p-11, -0x1.16226feac9d38p-11, -0x1.0fe17e873f5ffp-11, -0x1.09bff8ed0171ap-11, -0x1.03bd9337a6631p-11, -0x1.fbb381038c1d8p-12, -0x1.f02810cfc2b1p-12, -0x1.e4d7b8a78da68p-12, -0x1.d9c17460d33edp-12, -0x1.cee46741bd7a3p-12, -0x1.c43fd19b0284cp-12, -0x1.b9d2f68e35d75p-12, -0x1.af9cfc8e87c0bp-12, -0x1.a59cf35d5dfdcp-12, -0x1.9bd2111c68645p-12, -0x1.923af404087ffp-12, -0x1.88d72d4ba89c4p-12, -0x1.7fa4fd25dfd35p-12, -0x1.76a390e8e73f4p-12, -0x1.6dd15eff62cb9p-12, -0x1.652d32ce4c419p-12, -0x1.5cb637a7ab35fp-12, -0x1.546bf15327ed9p-12, -0x1.4c4e04d9bc87dp-12, -0x1.445bff6a63361p-12, -0x1.3c953b0315481p-12, -0x1.34f8cc5069472p-12, -0x1.2d85820acf354p-12, -0x1.263abb6083375p-12, -0x1.1f17c4a4378eap-12, -0x1.181b690f7b225p-12, -0x1.11451f4b6a27fp-12, -0x1.0a9482f8eec52p-12, -0x1.0409272717e05p-12, -0x1.fb453aac1d35fp-13, -0x1.eec0c03a99de5p-13, -0x1.e283895f20539p-13, -0x1.d68b558579a12p-13, -0x1.cad70a902f93p-13, -0x1.bf65c46ab72e7p-13, -0x1.b4353c5c2db43p-13, -0x1.a944c844db19dp-13, -0x1.9e91914353663p-13, -0x1.941b3f7d4c3ebp-13, -0x1.89e0ef0c28a83p-13, -0x1.7fe1ae742213p-13, -0x1.761c570be8665p-13, -0x1.6c8fbe967711cp-13, -0x1.633b1f0b21e0ap-13, -0x1.5a1d2c51ebf78p-13, -0x1.513546e36a13p-13, -0x1.4882862623655p-13, -0x1.40035e43ea068p-13, -0x1.37b68594ca97fp-13, -0x1.2f9aa8934d78cp-13, -0x1.27ae8e89ac8bfp-13, -0x1.1ff132a8f2639p-13, -0x1.1861d90355687p-13, -0x1.1100867e62196p-13, -0x1.09cb6ed818c7dp-13, -0x1.02c2f35cbd8f7p-13, -0x1.f7ca2c2a9072p-14, -0x1.ea620b03fe691p-14, -0x1.dd4be60d6855ep-14, -0x1.d086706c93519p-14, -0x1.c4106b123925p-14, -0x1.b7e84f117fc6ap-14, -0x1.ac0c48fc44eep-14, -0x1.a07a6b5810619p-14, -0x1.9530b759f5adap-14, -0x1.8a2d0b9075ef7p-14, -0x1.7f6d7b88ea876p-14, -0x1.74f0e6d23090bp-14, -0x1.6ab6e9f76066p-14, -0x1.60bf0e42a21b5p-14, -0x1.5708240d27cb1p-14, -0x1.4d90714b70274p-14, -0x1.4456428678e52p-14, -0x1.3b5829a7f6c21p-14, -0x1.3294de008955bp-14, -0x1.2a0a24eeb8c98p-14, -0x1.21b77b8dea5e2p-14, -0x1.199b89b892aafp-14, -0x1.11b4675e63886p-14, -0x1.0a018c5a1993ep-14, -0x1.0281e7c34e5e9p-14, -0x1.f667da9963f8ap-15, -0x1.e82c1081d9da4p-15, -0x1.da4ebfcc14c49p-15, -0x1.ccce3cb6ef591p-15, -0x1.bfac8c1873e88p-15, -0x1.b2e55b4c3f062p-15, -0x1.a6773728cd984p-15, -0x1.9a5ec09b7df54p-15, -0x1.8e987ca35c259p-15, -0x1.832185c084006p-15, -0x1.77f7f378f9861p-15, -0x1.6d1b230d5fc26p-15, -0x1.628a7ff4f02f1p-15, -0x1.584463aa01d3dp-15, -0x1.4e469ddc29549p-15, -0x1.448f8fe81477p-15, -0x1.3b1e01a281336p-15, -0x1.31f08955778d7p-15, -0x1.29054e2051944p-15, -0x1.205a38716243fp-15, -0x1.17ed58145f9f3p-15, -0x1.0fbd8d6bcadc2p-15, -0x1.07ca1e2c2c395p-15, -0x1.00116c3668612p-15, -0x1.f123afa6f2176p-16, -0x1.e29534e79aa1ap-16, -0x1.d474f5e4858p-16, -0x1.c6bde73e38c2dp-16, -0x1.b962f1a25c5f2p-16, -0x1.ac6feea070b32p-16, -0x1.9fe30735a9197p-16, -0x1.93b1446765b7bp-16, -0x1.87e11825bebaap-16, -0x1.7c6d9f86e03fbp-16, -0x1.71521b9dee626p-16, -0x1.668af86046923p-16, -0x1.5c1a13af745c7p-16, -0x1.51f4471bcad27p-16, -0x1.481b43e55cb8bp-16, -0x1.3e943590b98d3p-16, -0x1.35587be8773eep-16, -0x1.2c65c72cd47a4p-16, -0x1.23bb4e58c7c7dp-16, -0x1.1b5744f1a0e4dp-16, -0x1.1335d2d97f6p-16, -0x1.0b558dac240f2p-16, -0x1.03b62408f0848p-16, -0x1.f8aaca61f20a5p-17, -0x1.ea644e9d6e475p-17, -0x1.dc95ba4a5eb47p-17, -0x1.cf39539c0d22ap-17, -0x1.c24c7995f6ac4p-17, -0x1.b5cefaf2fap-17, -0x1.a9c423c654605p-17, -0x1.9e13e692ec707p-17, -0x1.92ce535c24c69p-17, -0x1.87ece6f6023b8p-17, -0x1.7d6cd151ce04ap-17, -0x1.7331e44224062p-17, -0x1.69647ba08fd56p-17, -0x1.5fe836c4ff66fp-17, -0x1.56c8072066067p-17, -0x1.4ded81ca6298p-17, -0x1.456dcf9d4c6a1p-17, -0x1.3d36d9dc273d8p-17, -0x1.354a481f33f8ep-17, -0x1.2da5c56c9991dp-17, -0x1.2647c6bee5f2fp-17, -0x1.1f2e09df7d7a3p-17, -0x1.18559fdf986cap-17, -0x1.11bcfd8368f1bp-17, -0x1.0b62f8b263435p-17, -0x1.054592984b841p-17, -0x1.fec5cab530231p-18, -0x1.f3728de709ecap-18, -0x1.e88d9eafeacbp-18, -0x1.de133dc2a275fp-18, -0x1.d4002bc2181b8p-18, -0x1.ca503db38df85p-18, -0x1.c0fd46b5c4bcap-18, -0x1.b80440374c309p-18, -0x1.af6bbb5bb2cfap-18, -0x1.a731da1b26397p-18, -0x1.9f47985d77ef3p-18, -0x1.97abd20af8cbp-18, -0x1.9066691dd4548p-18, -0x1.89760c48ecaccp-18, -0x1.82b903c932fecp-18, -0x1.7c5d0508e2967p-18, -0x1.762a1fa103bb5p-18, -0x1.70466e6ecc696p-18, -0x1.6aa2b8b6d84abp-18, -0x1.653c308cd275bp-18, -0x1.601162ed58f3fp-18, -0x1.5b216977cb13cp-18, -0x1.566559d715258p-18, -0x1.51d89db4ca96bp-18, -0x1.4d89bae369e92p-18, -0x1.496b8ee26f02ap-18, -0x1.457997fe0d73cp-18, -0x1.41b39b134a73cp-18, -0x1.3e1d0bfb2769cp-18, -0x1.3aacf5661882ap-18, -0x1.3769dcb16e2fdp-18, -0x1.34509f36cee56p-18, -0x1.3158bf6f4d08bp-18, -0x1.2e821af36cc2cp-18, -0x1.2bcca6d114fafp-18, -0x1.29437191089a6p-18, -0x1.26ab854a7c18fp-18, -0x1.24798edc9742ap-18, -0x1.2243fdeaafa16p-18, -0x1.202099ef0c01ep-18, -0x1.1e21a0fa54aafp-18, -0x1.1c36a3ad9a322p-18, -0x1.1a662efeb646cp-18, -0x1.18b4a4a05a30ep-18, -0x1.171436bc681d3p-18, -0x1.159090f2f75d6p-18, -0x1.14092fbe62ea4p-18, -0x1.1299aa259cab4p-18, -0x1.11379082d8243p-18, -0x1.0fee60d62c589p-18, -0x1.0ec623e13609bp-18, -0x1.0da17e32382cp-18, -0x1.0c88e1b7bbebp-18, -0x1.0b7abf8ab52e9p-18, -0x1.0a7b96d35c94bp-18, -0x1.098cec0addbc1p-18, -0x1.08aa60c85bc6p-18, -0x1.07d015e4e32fp-18, -0x1.06fd1d7257e02p-18, -0x1.0631de29f4634p-18, -0x1.056f135ff69afp-18, -0x1.04b494d462b04p-18, -0x1.04014b1db41adp-18, -0x1.03545135b326fp-18, -0x1.02ad457f0298dp-18, -0x1.020c0f15744a7p-18, -0x1.0170798d664f5p-18, -0x1.00da0f1e0c371p-18, -0x1.00483dc505711p-18, -0x1.ff74ea4872fffp-19, -0x1.fe5fb14db24e6p-19, -0x1.fd520b252bb2ap-19, -0x1.fc4b6272bdc17p-19, -0x1.fb4b0ff926623p-19, -0x1.fa4964b7478a8p-19, -0x1.f9445483faf6ep-19, -0x1.f81e6a1c341b9p-19, -0x1.f73a6e3f5e922p-19, -0x1.f6407ee70a49cp-19, -0x1.f539ae8fbe951p-19, -0x1.f43ec8810acap-19, -0x1.f35f09d812568p-19, -0x1.f2693e74303e6p-19, -0x1.f149b7ea1210ap-19, -0x1.f032a0be3629fp-19, -0x1.ef685627e25d9p-19, -0x1.ee4f5e2320ac5p-19, -0x1.ed47fa2539df7p-19, -0x1.ec383bd75206ep-19, -0x1.eb135f12cf41cp-19, -0x1.e9f879b671343p-19, -0x1.e8e6f59b3c8f3p-19, -0x1.e7bcf05effd4p-19, -0x1.e69aeec7804aep-19, -0x1.e58223680dd15p-19, -0x1.e44705dae42a3p-19, -0x1.e2fc2ac9b26a8p-19, -0x1.e1cb972a5c0c7p-19, -0x1.e091b746d8a09p-19, -0x1.df40a7c713f28p-19, -0x1.ddf3fc176a2dap-19, -0x1.dc877fd640a19p-19, -0x1.db3006b29fe21p-19, -0x1.d9caa2989b5afp-19, -0x1.d86fa9f9e23ep-19, -0x1.d6c2e960e07f6p-19, -0x1.d5741797b3dbdp-19, -0x1.d3f14410e4571p-19, -0x1.d25cf1516482fp-19, -0x1.d0c85f05a0d05p-19, -0x1.cf3872ce1e71dp-19, -0x1.cd950a453dfc8p-19, -0x1.cbe9de7806d6ep-19, -0x1.ca33ed29db488p-19, -0x1.c8680e2db0ae3p-19, -0x1.c69af06e1abc5p-19, -0x1.c4ef12aa75095p-19, -0x1.c3186339b9d5dp-19, -0x1.c144304caf55p-19, -0x1.bf6bb7d04e954p-19, -0x1.bd7843466fab8p-19, -0x1.bb9459210abfcp-19, -0x1.b99cf1122e07p-19, -0x1.b79d775fd3e38p-19, -0x1.b59a02007f8e6p-19, -0x1.b38e9d8c35303p-19, -0x1.b17ace5600964p-19, -0x1.af5f8735cd93dp-19, -0x1.ad3cfd9db2503p-19, -0x1.ab11cdb66fb6ap-19, -0x1.a8df5adcc034cp-19, -0x1.a6ad05def5a6ap-19, -0x1.a4691d92e544ap-19, -0x1.a22644a08674fp-19, -0x1.9fd6a2ca168fep-19, -0x1.9d8428137f60ep-19, -0x1.9b1398e25fc5p-19, -0x1.98bcb35675efep-19, -0x1.966fdb5754be4p-19, -0x1.93fc74b500bc9p-19, -0x1.91851e9746712p-19, -0x1.8f123a3f4493ep-19, -0x1.8c9ac511c8c4fp-19, -0x1.8a1a6ef4711dp-19, -0x1.8791a532ee013p-19, -0x1.85001835a5e76p-19, -0x1.8267a02f6a24ep-19, -0x1.7fd319f8cac31p-19, -0x1.7d4653d4ae70ep-19, -0x1.7aa2119ae8362p-19, -0x1.77ffecdae5fa4p-19, -0x1.7549fc47eddd9p-19, -0x1.72919f226f196p-19, -0x1.6fd98aa86069ep-19, -0x1.6d2df5536661ap-19, -0x1.6a78f4d6532abp-19, -0x1.67b9fdc3ccf01p-19, -0x1.64f7eb9fad15dp-19, -0x1.623a635025203p-19, -0x1.5f71213d3635bp-19, -0x1.5c8ec784cf9fap-19, -0x1.59a8f6fa3896cp-19, -0x1.56eeb68366259p-19, -0x1.540fd3ae2a85ep-19, -0x1.513d6a735e657p-19, -0x1.4e7e0b572c56fp-19, -0x1.4b9dbf3e7ac4dp-19, -0x1.48afb59986c3cp-19, -0x1.45c5ee80db9f2p-19, -0x1.42df5840879c5p-19, -0x1.3ff7229546bcfp-19, -0x1.3d0c49732a3a3p-19, -0x1.3a2c2968b23d7p-19, -0x1.3719841b57c91p-19, -0x1.34368b409b708p-19, -0x1.315de53d1ed3bp-19, -0x1.2e6b1889ae8e5p-19, -0x1.2b6dfb0eab7b7p-19, -0x1.287ae491c2c7bp-19, -0x1.25878e0496a7ep-19, -0x1.2292f0ad4803p-19, -0x1.1f9d248c97e6cp-19, -0x1.1ca62d63c5e41p-19, -0x1.19ac552162664p-19, -0x1.16bbd11a39477p-19, -0x1.13bb9a8fcf64fp-19, -0x1.10c5bbcdeb14bp-19, -0x1.0dce056b976b2p-19, -0x1.0ad5fc821b407p-19, -0x1.07dec5b945cfbp-19, -0x1.04e9b13c7fd58p-19, -0x1.01ec2630b43e3p-19, -0x1.fdd7ce43e3b79p-20, -0x1.f822bbb849aafp-20, -0x1.f2c24f695093fp-20, -0x1.ec4d6524cfce7p-20, -0x1.e66d1bc7a9fa5p-20, -0x1.e06d3a753aa82p-20, -0x1.da810d8ac5242p-20, -0x1.d4a44131b3cf6p-20, -0x1.ce2dc1c2d63e1p-20, -0x1.c922483b8f5ep-20, -0x1.c33c8ffdb83a7p-20, -0x1.bd2fea5348a22p-20, -0x1.b7678fd1cc9e6p-20, -0x1.b1a0904c88e7dp-20, -0x1.abd02a2a5e4e3p-20, -0x1.a6006adc4d159p-20, -0x1.a036c3652e7fp-20, -0x1.9a89b1f0ddebbp-20, -0x1.94c824982a7d8p-20, -0x1.8f1a97ab95bedp-20, -0x1.8964ab2aa3de2p-20, -0x1.83b5aabaa9f16p-20, -0x1.7e0e7d49cbc3dp-20, -0x1.785933b7b7db9p-20, -0x1.72c230c667978p-20, -0x1.6d1b075965d78p-20, -0x1.6788fd28682d4p-20, -0x1.6203fc6a5bad1p-20, -0x1.5c76085dce26ap-20, -0x1.56f23fa724ce2p-20, -0x1.517d45a05acb3p-20, -0x1.4c0b5191562a8p-20, }}, 
      {{-0x1.a9c991444ecaep-2, -0x1.9abbe4f4870cap-2, -0x1.8d7b939e928d7p-2, -0x1.899f59993ffacp-2, -0x1.92de6f3d6c819p-2, -0x1.a99180e13cd0dp-2, -0x1.cbc1967bab94cp-2, -0x1.f62f7fe5b2f48p-2, -0x1.129156d63014ap-1, -0x1.2a7c1acebe67fp-1, -0x1.413d2d394c8dfp-1, -0x1.5586bde22b5c8p-1, -0x1.665f8bfa6b82p-1, -0x1.7320b62be001dp-1, -0x1.7b6dd9a080635p-1, -0x1.7f2a52dcd7aeap-1, -0x1.7e6d82c7bd695p-1, -0x1.79773cf1eeb1ap-1, -0x1.70a50fee20055p-1, -0x1.6468bdcf07949p-1, -0x1.55400fa3bdb3ep-1, -0x1.43ae0cc339687p-1, -0x1.303588408d701p-1, -0x1.1b54e8603b9dbp-1, -0x1.0583050d6f428p-1, -0x1.de59f266a2977p-2, -0x1.b16981be9db69p-2, -0x1.84e102ed2aa52p-2, -0x1.5954b09c6e7d3p-2, -0x1.2f4125fcad752p-2, -0x1.070c6b2b895fep-2, -0x1.c20edc04716abp-3, -0x1.7adf80385e932p-3, -0x1.38e2fd2795ebap-3, -0x1.f8a51d99bcc96p-4, -0x1.8a989811e4ab4p-4, -0x1.27adc62f8ee5p-4, -0x1.9f9474db95abdp-5, -0x1.05648374ca73fp-5, -0x1.003b6ff234852p-6, -0x1.dccb244e1fc2dp-10, 0x1.3cf540d4f83fdp-7, 0x1.36c4b82fc09fep-6, 0x1.ad5f524d8448ap-6, 0x1.02573fb1afd4dp-5, 0x1.1f90b4cd12abp-5, 0x1.2f9467990f459p-5, 0x1.33978ed2d09cp-5, 0x1.2cc8f2e33a6fep-5, 0x1.1c4e55ae56c26p-5, 0x1.03426aff5e118p-5, 0x1.c566a609f6767p-6, 0x1.7742f239932c3p-6, 0x1.1dfd8cb873514p-6, 0x1.76b8dff30029ep-7, 0x1.441da32bb43c6p-8, -0x1.f77f8442afc1bp-10, -0x1.296bf9f1ae629p-7, -0x1.0d6414a4ad185p-6, -0x1.8850115a4bffdp-6, -0x1.02317c4cf4c4fp-5, -0x1.4050022c18acep-5, -0x1.7e1199c6a9b2bp-5, -0x1.bb10177ec1da9p-5, -0x1.f6f05e354bb2bp-5, -0x1.18b0e9943a92cp-4, -0x1.350ece88389e3p-4, -0x1.507302d36d38fp-4, -0x1.6ac2ebda010c2p-4, -0x1.83e7dbe276c81p-4, -0x1.9bcec847af79cp-4, -0x1.b267ffde297f6p-4, -0x1.c7a6e4e294c0fp-4, -0x1.db81aad2f5122p-4, -0x1.edf118a2c63d9p-4, -0x1.fef04d44e4558p-4, -0x1.073e4479d892dp-3, -0x1.0e4a7bfbf4815p-3, -0x1.149d415195873p-3, -0x1.1a37cf7e5918cp-3, -0x1.1f1c131f7d2dcp-3, -0x1.234c96a4891e3p-3, -0x1.26cc6f8820027p-3, -0x1.299f2d72b55e8p-3, -0x1.2bc8cacfc9fe6p-3, -0x1.2d4d9d1cf03e3p-3, -0x1.2e3248e3d925fp-3, -0x1.2e7bb40572adcp-3, -0x1.2e2efb0ebc4cbp-3, -0x1.2d5167243770bp-3, -0x1.2be8638efd03ep-3, -0x1.29f975963cea5p-3, -0x1.278a3505955ep-3, -0x1.24a04406942ecp-3, -0x1.2141498064377p-3, -0x1.1d72eabd5ec8dp-3, -0x1.193ac6aebea17p-3, -0x1.149e7091004b2p-3, -0x1.0fa36c6c04b12p-3, -0x1.0a4f2ae564ad2p-3, -0x1.04a706a2f127dp-3, -0x1.fd6081644ee69p-4, -0x1.f0dffd144761cp-4, -0x1.e3d69004bf601p-4, -0x1.d64e0ab7acb32p-4, -0x1.c84ffbdf17f57p-4, -0x1.b9e5ad665323fp-4, -0x1.ab1822f2425e6p-4, -0x1.9bf0186885a21p-4, -0x1.8c76011b4cbcfp-4, -0x1.7cb205794f745p-4, -0x1.6cac0597716cbp-4, -0x1.5c6b963fc9102p-4, -0x1.4bf8027f7794ep-4, -0x1.3b584cc84d102p-4, -0x1.2a932db0751ffp-4, -0x1.19af15cb7d25fp-4, -0x1.08b22fc52e6a2p-4, -0x1.ef44beb578e05p-5, -0x1.cd0a8835eabf5p-5, -0x1.aac0764d02105p-5, -0x1.8870bcb049b3p-5, -0x1.6625112be6e83p-5, -0x1.43e6ad74fe6e8p-5, -0x1.21be4e2854d88p-5, -0x1.ff68773a7abe5p-6, -0x1.bba09c0c5ca18p-6, -0x1.7833d2500a556p-6, -0x1.35300df6d9381p-6, -0x1.e544f35f381e1p-7, -0x1.612eda875d17bp-7, -0x1.bc69f98326246p-8, -0x1.71b48015d175ep-9, 0x1.20a332a353d23p-10, 0x1.46795fac011c1p-8, 0x1.20fa0b9108d25p-7, 0x1.9d3c07002edb8p-7, 0x1.0bf9beec81962p-6, 0x1.48893396bda41p-6, 0x1.8445e3674e835p-6, 0x1.bf29de53f518bp-6, 0x1.f92fbddba9777p-6, 0x1.1929473a30fedp-5, 0x1.3546e7320b342p-5, 0x1.50eebca8c9e9dp-5, 0x1.6c1efcaca7889p-5, 0x1.86d60a7399aebp-5, 0x1.a11279da763cfp-5, 0x1.bad314197f45p-5, 0x1.d416cebbd0752p-5, 0x1.ecdcc3d7c0785p-5, 0x1.02921bcb4ca9fp-4, 0x1.0e764c530037fp-4, 0x1.1a1abd4a5759cp-4, 0x1.257f472f62147p-4, 0x1.30a3d3006fef8p-4, 0x1.3b885b94402dcp-4, 0x1.462cea7dfbe68p-4, 0x1.5091951cfc802p-4, 0x1.5ab67de4bc96fp-4, 0x1.649bd49201d5p-4, 0x1.6e41d5f8748c9p-4, 0x1.77a8c8798c131p-4, 0x1.80d0fb44628ecp-4, 0x1.89bac80e7613ep-4, 0x1.9266935b1fd05p-4, 0x1.9ad4c96f0029ep-4, 0x1.a305dd1d0f113p-4, 0x1.aafa484a68c3fp-4, 0x1.b2b28cfc5ff85p-4, 0x1.ba2f3455de061p-4, 0x1.c170cc5a44118p-4, 0x1.c877e7938dbe4p-4, 0x1.cf451da93d24ep-4, 0x1.d5d90bff99322p-4, 0x1.dc345483ecce9p-4, 0x1.e2579c1207f1fp-4, 0x1.e8438a3713131p-4, 0x1.edf8ca316fa8ep-4, 0x1.f3780a69bd981p-4, 0x1.f8c1fc6e53dfdp-4, 0x1.fdd7535d9d723p-4, 0x1.015c61c09323ep-3, 0x1.03b3816d1293ep-3, 0x1.05f164cb70318p-3, 0x1.081668ce63751p-3, 0x1.0a22eaa12a4aap-3, 0x1.0c17478d7e834p-3, 0x1.0df3dd0b4b679p-3, 0x1.0fb908f915627p-3, 0x1.116729a0f2cc6p-3, 0x1.12fe9d381d011p-3, 0x1.147fc1b498f29p-3, 0x1.15eaf4c2218a6p-3, 0x1.174093d762c4dp-3, 0x1.1880fc679ba5bp-3, 0x1.19ac8bb3937d5p-3, 0x1.1ac39e8eae5e3p-3, 0x1.1bc6912159a23p-3, 0x1.1cb5bf05bbc6fp-3, 0x1.1d91836111b3ap-3, 0x1.1e5a38f6188d2p-3, 0x1.1f1039f79f841p-3, 0x1.1fb3dfe2fc572p-3, 0x1.2045836c1d973p-3, 0x1.20c57c7ef7b11p-3, 0x1.2134225b75e92p-3, 0x1.2191cb9ab8a3dp-3, 0x1.21dece15b115cp-3, 0x1.221b7ed1f7aedp-3, 0x1.224831fd9a19ap-3, 0x1.22653ad7ae0e1p-3, 0x1.2272ebbbb99f5p-3, 0x1.22719643f5d0dp-3, 0x1.22618b47c2c3fp-3, 0x1.22431ab21fe1p-3, 0x1.22169378b41p-3, 0x1.21dc43aa2372fp-3, 0x1.2194785d2a5c7p-3, 0x1.213f7dd53ed31p-3, 0x1.20dd9f70fc7cdp-3, 0x1.206f27a6f99f2p-3, 0x1.1ff4600f1c238p-3, 0x1.1f6d91515bb6ap-3, 0x1.1edb032113c14p-3, 0x1.1e3cfc42856b5p-3, 0x1.1d93c29503413p-3, 0x1.1cdf9b1e09758p-3, 0x1.1c20ca0c8425dp-3, 0x1.1b5792a89799p-3, 0x1.1a843747ffa63p-3, 0x1.19a6f953f0b8p-3, 0x1.18c01950e563ep-3, 0x1.17cfd6e9cbc8cp-3, 0x1.16d670fccdb49p-3, 0x1.15d42595b7c23p-3, 0x1.14c931db1eeeap-3, 0x1.13b5d21130ff9p-3, 0x1.129a41a91aec2p-3, 0x1.1176bb37e6dc6p-3, 0x1.104b7880ef0d7p-3, 0x1.0f18b27ff7df4p-3, 0x1.0ddea1694cdabp-3, 0x1.0c9d7ca6b55cep-3, 0x1.0b557ac2ae787p-3, 0x1.0a06d18c46903p-3, 0x1.08b1b600e1632p-3, 0x1.07565c6101af9p-3, 0x1.05f4f829780e1p-3, 0x1.048dbc18a058bp-3, 0x1.0320da2f29572p-3, 0x1.01ae83b30a165p-3, 0x1.0036e92e64096p-3, 0x1.fd7474ddb44d5p-4, 0x1.fa714d152f8ccp-4, 0x1.f764b7c595aa3p-4, 0x1.f44f104856934p-4, 0x1.f130b09d9dca1p-4, 0x1.ee09f16d7bb3cp-4, 0x1.eadb2a054c9cdp-4, 0x1.e7a4b050db433p-4, 0x1.e466d8ed5f515p-4, 0x1.e121f7266cc1bp-4, 0x1.ddd65cf21ffc1p-4, 0x1.da845afdd2a17p-4, 0x1.d72c40b759b1cp-4, 0x1.d3ce5c4ae430cp-4, 0x1.d06afaa389a4dp-4, 0x1.cd026772359f7p-4, 0x1.c994ed2ea34f1p-4, 0x1.c622d5134884ep-4, 0x1.c2ac67228cf41p-4, 0x1.bf31ea303b5cap-4, 0x1.bbb3a3e24855ep-4, 0x1.b831d8b0de9fp-4, 0x1.b4accbed61865p-4, 0x1.b124bfc6a18d4p-4, 0x1.ad99f54587304p-4, 0x1.aa0cac5140812p-4, 0x1.a67d23af28868p-4, 0x1.a2eb990a1a8f2p-4, 0x1.9f5848f4dd70dp-4, 0x1.9bc36ee8da8fp-4, 0x1.982d454b84f3ep-4, 0x1.949605712d687p-4, 0x1.90fde79dc58d9p-4, 0x1.8d652309b4c3cp-4, 0x1.89cbeddee5d15p-4, 0x1.86327d3b3ba07p-4, 0x1.8299053717465p-4, 0x1.7effb8e666ee8p-4, 0x1.7b66ca5ba2c34p-4, 0x1.77ce6aa3cdc45p-4, 0x1.7436c9d8a8b74p-4, 0x1.70a0170fd77e7p-4, 0x1.6d0a8067ddd88p-4, 0x1.697633080ed6ep-4, 0x1.65e35b2282116p-4, 0x1.625223f32248dp-4, 0x1.5ec2b7c3ceb14p-4, 0x1.5b353ff1a4aa2p-4, 0x1.57a9e4ebcf0bdp-4, 0x1.5420ce32fdfdep-4, 0x1.509a225f2118dp-4, 0x1.4d160723960f7p-4, 0x1.4994a14eb13b4p-4, 0x1.461614ca9e165p-4, 0x1.429a84a107d73p-4, 0x1.3f2212fe05fcdp-4, 0x1.3bace1304fadp-4, 0x1.383b0fa856a7dp-4, 0x1.34ccbdfc8b66ep-4, 0x1.31620af04c84ap-4, 0x1.2dfb1472cd6fdp-4, 0x1.2a97f79fc0022p-4, 0x1.2738d0bec7f0ap-4, 0x1.23ddbb4a7fd63p-4, 0x1.2086d1f15bf71p-4, 0x1.1d342e98c75afp-4, 0x1.19e5ea5d1424bp-4, 0x1.169c1d905a2e4p-4, 0x1.1356dfc2ebc08p-4, 0x1.101647c5e45b5p-4, 0x1.0cda6ba57028ap-4, 0x1.09a360aedc529p-4, 0x1.06713b75e73d2p-4, 0x1.03440fd5e4077p-4, 0x1.001bf0f23df55p-4, 0x1.f9f1e26e00d8p-5, 0x1.f3b644b886c7cp-5, 0x1.ed852acccfd8dp-5, 0x1.e75eb5653d0d1p-5, 0x1.e14303d32592bp-5, 0x1.db32341dea4dcp-5, 0x1.d52c62f190356p-5, 0x1.cf31abb09f598p-5, 0x1.c9422877ae4abp-5, 0x1.c35df21f5888ep-5, 0x1.bd85203f6b45ep-5, 0x1.b7b7c93423adap-5, 0x1.b1f60223d9336p-5, 0x1.ac3fdf0454211p-5, 0x1.a695729df5129p-5, 0x1.a0f6ce8f19a97p-5, 0x1.9b640351d8cb7p-5, 0x1.95dd2040af414p-5, 0x1.9062339abb647p-5, 0x1.8af34a8889c27p-5, 0x1.8590712026921p-5, 0x1.8039b269b0a2fp-5, 0x1.7aef18637e2c7p-5, 0x1.75b0ac089981bp-5, 0x1.707e755608801p-5, 0x1.6b587b4ed42a1p-5, 0x1.663ec3fea9615p-5, 0x1.6131547db80afp-5, 0x1.5c3030f6c6ea5p-5, 0x1.573b5cabfcbf8p-5, 0x1.5252d9fa37425p-5, 0x1.4d76aa5d88f57p-5, 0x1.48a6ce76202d7p-5, 0x1.43e3460ddd4f4p-5, 0x1.3f2c101deda1cp-5, 0x1.3a812acfdaed8p-5, 0x1.35e2938cf9fcfp-5, 0x1.315046ec10712p-5, 0x1.2cca40d02bc71p-5, 0x1.28507c5be2584p-5, 0x1.23e2f3fa7d187p-5, 0x1.1f81a1636190bp-5, 0x1.1b2c7d9dc8339p-5, 0x1.16e38105034d5p-5, 0x1.12a6a34d2114cp-5, 0x1.0e75db880b573p-5, 0x1.0a51202ad04f9p-5, 0x1.063867124b0c8p-5, 0x1.022ba586ba741p-5, 0x1.fc55a0821bf3p-6, 0x1.f46bb6df3bb14p-6, 0x1.ec9975666147p-6, 0x1.e4dec247e3894p-6, 0x1.dd3b82b68e942p-6, 0x1.d5af9ae9c255ep-6, 0x1.ce3aee25e2e0ep-6, 0x1.c6dd5eca6a98ap-6, 0x1.bf96ce5e08c0cp-6, 0x1.b8671d9801c42p-6, 0x1.b14e2c6395aabp-6, 0x1.aa4bd9de77719p-6, 0x1.a3600455ea2b7p-6, 0x1.9c8a8945b9d31p-6, 0x1.95cb455abdc26p-6, 0x1.8f22147a2881dp-6, 0x1.888ed1d2eed3bp-6, 0x1.821157de595e1p-6, 0x1.7ba980a91562p-6, 0x1.755725b093adap-6, 0x1.6f1a201de6c7cp-6, 0x1.68f248bbda24ep-6, 0x1.62df77f2bf9fp-6, 0x1.5ce185b75cdbep-6, 0x1.56f849778d1dep-6, 0x1.51239a0d96adp-6, 0x1.4b634db3e42b9p-6, 0x1.45b73a1780e2bp-6, 0x1.401f3466021edp-6, 0x1.3a9b117593359p-6, 0x1.352aa5e8f17e8p-6, 0x1.2fcdc64821c5bp-6, 0x1.2a84470a0e7f2p-6, 0x1.254dfc87e21c9p-6, 0x1.202abada00aabp-6, 0x1.1b1a55a9a2fb2p-6, 0x1.161ca0216282bp-6, 0x1.11316cdf375bcp-6, 0x1.0c588de8c128cp-6, 0x1.0791d4ec77babp-6, 0x1.02dd139540cb9p-6, 0x1.fc74381a051bbp-7, 0x1.f3518278ce395p-7, 0x1.ea51adecb30b4p-7, 0x1.e17463e3057fbp-7, 0x1.d8b94ef63171p-7, 0x1.d02019d725ecbp-7, 0x1.c7a86e120807ap-7, 0x1.bf51f2afe658dp-7, 0x1.b71c4b630fa21p-7, 0x1.af071826e0917p-7, 0x1.a711f5c506856p-7, 0x1.9f3c7f1c6be98p-7, 0x1.97864f0b6059dp-7, 0x1.8fef028fa3dc8p-7, 0x1.88763aaa3b215p-7, 0x1.811b9d9ef2babp-7, 0x1.79ded741fdd72p-7, 0x1.72bf98311ee9bp-7, 0x1.6bbd94110eff4p-7, 0x1.64d87f24cedfap-7, 0x1.5e100bbc4b041p-7, 0x1.5763e8076d7a8p-7, 0x1.50d3bccb1bdaep-7, 0x1.4a5f2d471fe08p-7, 0x1.4405d85cad455p-7, 0x1.3dc75ac5289edp-7, 0x1.37a351c67fcbfp-7, 0x1.31995dd7e30cep-7, 0x1.2ba924bc30a26p-7, 0x1.25d25267c8ac5p-7, 0x1.2014988870b24p-7, 0x1.1a6faccd5583cp-7, 0x1.14e34645ead56p-7, 0x1.0f6f1a6dee107p-7, 0x1.0a12da9a033fbp-7, 0x1.04ce3267719cdp-7, 0x1.ff418f57f91c4p-8, 0x1.f51477e55791ep-8, 0x1.eb145ed78fdeap-8, 0x1.e1408954d7a63p-8, 0x1.d79848e838297p-8, 0x1.ce1b01a1f2d96p-8, 0x1.c4c82d334bebfp-8, 0x1.bb9f5a1075c2ap-8, 0x1.b2a0266434134p-8, 0x1.a9ca377393a7fp-8, 0x1.a11d2ed961bp-8, 0x1.98989f87b85edp-8, 0x1.903c04a6491f4p-8, 0x1.8806bc20ffb91p-8, 0x1.7ff806282c10dp-8, 0x1.780f0a1de1585p-8, 0x1.704adf4b7d888p-8, 0x1.68aa9b98a2313p-8, 0x1.612d5fd879c47p-8, 0x1.59d267a72d87cp-8, 0x1.529912490811ap-8, 0x1.4b80e8742bc7ap-8, 0x1.44899bc038dd4p-8, 0x1.3db2ff94b3e66p-8, 0x1.36fcfd0257312p-8, 0x1.306783732251ap-8, 0x1.29f278ae881aap-8, 0x1.239daaa8188dcp-8, 0x1.1d68c5166b029p-8, 0x1.17534c978981fp-8, 0x1.115c9f85e1c03p-8, 0x1.0b83fa2790092p-8, 0x1.05c8823d23584p-8, 0x1.002954ea5f3fp-8, 0x1.f54b270a05fe9p-9, 0x1.ea78e5dfa39aap-9, 0x1.dfda8d24fe24dp-9, 0x1.d56f0c9ea4d0fp-9, 0x1.cb359f5d03f4ep-9, 0x1.c12dc373deb44p-9, 0x1.b7572911a27aap-9, 0x1.adb19c6208d41p-9, 0x1.a43cee273d5c1p-9, 0x1.9af8de8d13704p-9, 0x1.91e50c507ae6fp-9, 0x1.8900eab3aa62ep-9, 0x1.804bbdbdd1e52p-9, 0x1.77c49df1dd972p-9, 0x1.6f6a82216011ep-9, 0x1.673c4d6da55d5p-9, 0x1.5f38de2c8d6b3p-9, 0x1.575f1bdd9a91p-9, 0x1.4fae00abca188p-9, 0x1.48249bdad06cdp-9, 0x1.40c2132850f0ap-9, 0x1.3985a487199f5p-9, 0x1.326ea5ace65d1p-9, 0x1.2b7c84588cb26p-9, 0x1.24aec54f9d1eap-9, 0x1.1e04ff60f8e6cp-9, 0x1.177ed25993a9cp-9, 0x1.111bdabd6662ep-9, 0x1.0adba81bf7e5p-9, 0x1.04bdb2dc7c6cdp-9, 0x1.fd82b6d3d327ap-10, 0x1.f1cbddcd7b207p-10, 0x1.e6556f8fb2fdbp-10, 0x1.db1df5d34d634p-10, 0x1.d0241064a8f97p-10, 0x1.c566610e08bd6p-10, 0x1.bae37cdb5e876p-10, 0x1.b099e0e3f5fa6p-10, 0x1.a687f3bb5d003p-10, 0x1.9cac21e194ec9p-10, 0x1.9305059cc7e99p-10, 0x1.89918b11cab73p-10, 0x1.8050fad42f569p-10, 0x1.7742e375cbe1dp-10, 0x1.6e66ebc8019b8p-10, 0x1.65bca51ea2526p-10, 0x1.5d437573a74b8p-10, 0x1.54faa3ce6fd68p-10, 0x1.4ce17d9a58a2bp-10, 0x1.44f77d7e4a38dp-10, 0x1.3d3c5b5ea0f9ep-10, 0x1.35aff7f9c3865p-10, 0x1.2e5225e11772p-10, 0x1.27225f3a01c5cp-10, 0x1.201f80e1f26cep-10, 0x1.1947a66add00fp-10, 0x1.12983e976893ep-10, 0x1.0c0e5f1359f57p-10, 0x1.05a746f4dda58p-10, 0x1.fec1c697c20cfp-11, 0x1.f27443187555bp-11, 0x1.e665d6343db46p-11, 0x1.da9795d433ff9p-11, 0x1.cf0acdfa74d8bp-11, 0x1.c3c019ecea687p-11, 0x1.b8b7073d8f1bap-11, 0x1.adee55bcfba69p-11, 0x1.a36497d33a349p-11, 0x1.9918d7174ed94p-11, 0x1.8f0af55316024p-11, 0x1.853bacbad8766p-11, 0x1.7bac3740208fp-11, 0x1.725dbb1ad4232p-11, 0x1.6950a3075b8fap-11, 0x1.608409741a7a7p-11, 0x1.57f5607caee84p-11, 0x1.4fa0834f5e794p-11, 0x1.47804ba4014ebp-11, 0x1.3f8f90c959dfdp-11, 0x1.37ca33f7bd72ap-11, 0x1.302dc12a6d3dep-11, 0x1.28b959d80d4ap-11, 0x1.216ce8f790cd4p-11, 0x1.1a485a3c3130ep-11, 0x1.134b233c3a227p-11, 0x1.0c745b762fb65p-11, 0x1.05c35424c72d9p-11, 0x1.fe700e1c58f8fp-12, 0x1.f1a6562663eecp-12, 0x1.e52bcd1bef532p-12, 0x1.d9028bfef6ce1p-12, 0x1.cd2b72d3989dap-12, 0x1.c1a5c71707bd4p-12, 0x1.b66fa4266dd3p-12, 0x1.ab870069e3576p-12, 0x1.a0e9c8eaaa05ep-12, 0x1.96963a5d11e37p-12, 0x1.8c898d7ce0c01p-12, 0x1.82bffd5f6ece2p-12, 0x1.7935161d433e6p-12, 0x1.6fe4d61fa176ap-12, 0x1.66ccb3438bcc3p-12, 0x1.5debdb4524403p-12, 0x1.55427e517a34p-12, 0x1.4cd090dad39cp-12, 0x1.4494c7344411cp-12, 0x1.3c8c4d7682cddp-12, 0x1.34b3537a549e9p-12, 0x1.2d0619c6ea69fp-12, 0x1.25825fb0a6181p-12, 0x1.1e287a0abc2b5p-12, 0x1.16fad0db923c4p-12, 0x1.0ffc1de461f73p-12, 0x1.092db1fe13c46p-12, 0x1.028ecf6067f7bp-12, 0x1.f83a68f5e469bp-13, 0x1.ebac6d2d65401p-13, 0x1.df6fba33bf16ap-13, 0x1.d382745e2efcdp-13, 0x1.c7e42ec33cfa4p-13, 0x1.bc950edc7e0cfp-13, 0x1.b19420c2a87bcp-13, 0x1.a6deb8e020518p-13, 0x1.9c6fbb9336c9dp-13, 0x1.9240e25918ae1p-13, 0x1.884d72c570f2p-13, 0x1.7e946a505c8f5p-13, 0x1.7518094d23b15p-13, 0x1.6bdad6346674ep-13, 0x1.62dce85862f41p-13, 0x1.5a1bb87bc9066p-13, 0x1.5194f34976adp-13, 0x1.4948a58fb1971p-13, 0x1.41376ad326be5p-13, 0x1.395f2dd9f8f8ap-13, 0x1.31ba9e7056f7ep-13, 0x1.2a43a38544618p-13, 0x1.22f5db782d1f3p-13, 0x1.1bd0055d7ceabp-13, 0x1.14d2339ed3f1dp-13, 0x1.0dfe1736415e2p-13, 0x1.07554e8aac122p-13, 0x1.00d917953cdcbp-13, 0x1.f513d18770d4fp-14, 0x1.e8cf7c660ea49p-14, 0x1.dce579fd9e4ccp-14, 0x1.d154e7256145ap-14, 0x1.c616b0030f3fbp-14, 0x1.bb1c6a2b99176p-14, 0x1.b05945a80236fp-14, 0x1.a5cc707410d85p-14, 0x1.9b7ed54d3f7e1p-14, 0x1.917612d77b56p-14, 0x1.87ad2263c27e3p-14, 0x1.7e1c01106fe51p-14, 0x1.74c2fc821c276p-14, 0x1.6ba9501caa504p-14, 0x1.62d32cfebe05ep-14, 0x1.5a3e2cce50b2ap-14, 0x1.51e5a149a57bbp-14, 0x1.49c5a4e537c88p-14, 0x1.41dbe8905b2d4p-14, 0x1.3a254e7291fe1p-14, 0x1.329ba8bd9b052p-14, 0x1.2b37102126e88p-14, 0x1.23f1b39e35b59p-14, 0x1.1ccc7bcdcd4bbp-14, 0x1.15cf13d30c81p-14, 0x1.0f022de8d4cc9p-14, 0x1.0868148667b4ap-14, 0x1.01fdb57fb27dp-14, 0x1.f77fb9dd3a5c7p-15, 0x1.eb5d1f0d960ccp-15, 0x1.df8b54f51b658p-15, 0x1.d3f4bd6b9c26cp-15, 0x1.c88ed40b81cdfp-15, 0x1.bd6751df8bb51p-15, 0x1.b289e59694852p-15, 0x1.a7ea6334d079ap-15, 0x1.9d78c836dcbc3p-15, 0x1.933af3e36f7b5p-15, 0x1.894032312d017p-15, 0x1.7f8a643234fbdp-15, 0x1.760fde71f0936p-15, 0x1.6cc76e67f8e2dp-15, 0x1.63ad016db2f88p-15, 0x1.5ac0ceeaa04f2p-15, 0x1.5205961b1f6ddp-15, 0x1.497efaecae654p-15, 0x1.41301aa3dd8d4p-15, 0x1.3919d05d643c5p-15, 0x1.3137cf5fe06p-15, 0x1.297e12287f363p-15, 0x1.21def5191e595p-15, 0x1.1a56ff089245fp-15, 0x1.12f3ca374efaep-15, 0x1.0bc2dd98028adp-15, 0x1.04bee8fda0199p-15, 0x1.fbbbc5b34b0fap-16, 0x1.ee46ef90dc436p-16, 0x1.e12fbc3022ac6p-16, 0x1.d463bb99ccb7cp-16, 0x1.c7c98a32e9584p-16, 0x1.bb67302667884p-16, 0x1.af45872f00296p-16, 0x1.a3517bb32eee5p-16, 0x1.9783773162599p-16, 0x1.8bf48cd00b464p-16, 0x1.80afe7c8052b2p-16, 0x1.75a88cde58f95p-16, 0x1.6ad221e0129cp-16, 0x1.6028d5768f026p-16, 0x1.55ac9160d6166p-16, 0x1.4b5dcf257efb4p-16, 0x1.413c396d33a2bp-16, 0x1.3746e718db862p-16, 0x1.2d7dc40a9c826p-16, 0x1.23e1e4f841e03p-16, 0x1.1a73aeb6162b2p-16, 0x1.11372d58086e8p-16, 0x1.082a9c7b8a12dp-16, 0x1.fe9e40420df09p-17, 0x1.ed3613daf0f99p-17, 0x1.dbfdb3632c4c3p-17, 0x1.cb02a2f8c21a5p-17, 0x1.ba573a95b398fp-17, 0x1.a9eba5feee2b4p-17, 0x1.99b1883429a54p-17, 0x1.89c5fb1e66548p-17, 0x1.7a4472e3b670dp-17, 0x1.6b1c147084139p-17, 0x1.5c257dd1c3904p-17, 0x1.4d58ad70b955dp-17, 0x1.3ebc24b2acfa7p-17, 0x1.3043e37e8137p-17, 0x1.2206a5047e665p-17, 0x1.1418b702bc67ap-17, 0x1.066add726bca6p-17, 0x1.f1dd033fe145dp-18, 0x1.d741e62f2154dp-18, 0x1.bd0731e3b211ap-18, 0x1.a32f2894eff1dp-18, 0x1.89ba34010a916p-18, 0x1.70a71fad78657p-18, 0x1.57f3578886199p-18, 0x1.3f9c7621cff5dp-18, 0x1.27a21a8710ceap-18, 0x1.1002707d2cdd9p-18, 0x1.f172ed0fff523p-19, 0x1.c38c931f9b5b3p-19, 0x1.96547e8a6cc6ap-19, 0x1.69cf28b35752p-19, 0x1.3e25b5f07656dp-19, 0x1.132d8f72c1f05p-19, 0x1.d19c412d33224p-20, 0x1.7dce1171d2c2ep-20, 0x1.2aec1d72e5b05p-20, 0x1.b22c9cbc75153p-21, 0x1.117d757a9761dp-21, 0x1.cdc3b32dcb4f3p-23, -0x1.425c510b95ebbp-24, -0x1.82a256f46d11p-22, -0x1.57e3901729f23p-21, -0x1.ecd250ea3a25cp-21, -0x1.401a2c5d6889ap-20, -0x1.88d12ac668a8bp-20, -0x1.d02b1b78ad285p-20, -0x1.0b2c5f6c17a6p-19, -0x1.2dc5015d202d2p-19, -0x1.4fe2e6ed76731p-19, -0x1.7185e83bdae8cp-19, -0x1.92abbaee190f4p-19, -0x1.b3533972c5537p-19, -0x1.d384b309dff8bp-19, -0x1.f3152f71da755p-19, -0x1.092e121983eecp-18, -0x1.188c020036052p-18, -0x1.27aeb6b1ad142p-18, -0x1.3695437502976p-18, -0x1.4542e5b80fc57p-18, -0x1.53b5e58f8454dp-18, -0x1.61ee8079cc294p-18, -0x1.6ff069ca11364p-18, -0x1.7dc14b5d3406p-18, -0x1.8b4e802713756p-18, -0x1.989af3cac6644p-18, -0x1.a5b1354dd5443p-18, -0x1.b29ea61e6216bp-18, -0x1.bf5e62aea28f6p-18, -0x1.cbdb34cb53bdap-18, -0x1.d82213a44282ap-18, -0x1.e4378c419ce4dp-18, -0x1.f01a4a512c354p-18, -0x1.fbc976fa3a9abp-18, -0x1.03a1d653f799ap-17, -0x1.09431bc2cc28bp-17, -0x1.0ecc025c4d406p-17, -0x1.143f36812fd94p-17, -0x1.1998eff6a839p-17, -0x1.1ed7c1b60f84dp-17, -0x1.23fe46b7e1a65p-17, -0x1.290d2474d2a7dp-17, -0x1.2e04216dc981bp-17, -0x1.32e3272b10eebp-17, -0x1.37aa491775379p-17, -0x1.3c59af41f54bdp-17, -0x1.40f1878d1139bp-17, -0x1.4571feb54d152p-17, -0x1.49db457906296p-17, -0x1.4e2d6e0e0553ap-17, -0x1.52689e592e5fcp-17, -0x1.568d053e2e13dp-17, -0x1.5a9b582eb4dbap-17, -0x1.5e9504485bd96p-17, -0x1.62756089b943ep-17, -0x1.66429f13711edp-17, -0x1.69f81c13837a3p-17, -0x1.6d9947c5e4c7bp-17, -0x1.712369bd275f6p-17, -0x1.74966b23bbf71p-17, -0x1.77f62cbdbb57bp-17, -0x1.7b4238e14c85p-17, -0x1.7e7872c307b88p-17, -0x1.8196fea50c936p-17, -0x1.84a3b1d6a6727p-17, -0x1.879b0df3b8224p-17, -0x1.8a7e7afabff01p-17, -0x1.8d4ecb162f9cep-17, -0x1.900a02550870fp-17, -0x1.92b064e2dfd75p-17, -0x1.9544402851581p-17, -0x1.97c35940de096p-17, -0x1.9a2e505849fd8p-17, -0x1.9c87df7264bb6p-17, -0x1.9ece98418431p-17, -0x1.a0ffe9284a579p-17, -0x1.a31ea5301324ap-17, -0x1.a52bfed136306p-17, -0x1.a7265985fd088p-17, -0x1.a90d07ca12c3bp-17, -0x1.aae49f5648068p-17, -0x1.aca71505b2013p-17, -0x1.ae592e8e61a74p-17, -0x1.aff294e977ec1p-17, -0x1.b184a4277f4c7p-17, -0x1.b300d6d3af8e1p-17, -0x1.b46a80b1b7c37p-17, -0x1.b5c3be93c114ep-17, -0x1.b70d7fb81c126p-17, -0x1.b844d0bf4623bp-17, -0x1.b96b54ce3e882p-17, -0x1.ba80e1aed1a81p-17, -0x1.bb845283c1bcp-17, -0x1.bc78790fd0db8p-17, -0x1.bd60a0de034aap-17, -0x1.be350c7ad2059p-17, -0x1.befa1a37b715cp-17, -0x1.bfaf72358b273p-17, -0x1.c0558dba2affbp-17, -0x1.c0eb36fc7dfffp-17, -0x1.c17200a88743bp-17, -0x1.c1e9a7ad77dffp-17, -0x1.c252337812acdp-17, -0x1.c2abf92e2e64bp-17, -0x1.c2f722b58c8fap-17, -0x1.c333c6984e797p-17, -0x1.c36208e12b6b3p-17, -0x1.c3822a3efc10ap-17, -0x1.c3944eee65463p-17, -0x1.c39840701e29bp-17, -0x1.c38ee3b383a4ep-17, -0x1.c3779027305c2p-17, -0x1.c3532396dd804p-17, -0x1.c3213aa944f46p-17, -0x1.c2e32706baffep-17, -0x1.c296ae7849abcp-17, -0x1.c23ca8ffd6f48p-17, -0x1.c1d77cbc1ab8bp-17, -0x1.c165ab0b87f3cp-17, -0x1.c0e6e28b95817p-17, -0x1.c05bd6f6830e1p-17, -0x1.bfc4fe09ac9e4p-17, -0x1.bf22797270fa6p-17, -0x1.be7476b0d9944p-17, -0x1.bdbafb7d00e1p-17, -0x1.bcf559f0e8dcfp-17, -0x1.bc23b961992adp-17, -0x1.bb45bf3daa81ep-17, -0x1.ba60864301c8p-17, -0x1.b96f9bd7bdde1p-17, -0x1.b873ece4d261p-17, -0x1.b76d19bf73f7fp-17, -0x1.b65ab42a262c7p-17, -0x1.b53ea60ccc42fp-17, -0x1.b418c9cc405f6p-17, -0x1.b2e91b9e49be9p-17, -0x1.b1af20b1d4fa3p-17, -0x1.b06c0551f483ap-17, -0x1.af21442ad06acp-17, -0x1.adcc519837643p-17, -0x1.ac6c1722a7bc2p-17, -0x1.ab04292c85689p-17, -0x1.a99282176ac7cp-17, -0x1.a81653896fd4cp-17, -0x1.a693f02963521p-17, -0x1.a509feab5abf5p-17, -0x1.a3773661da4a8p-17, -0x1.a1dbd091539ebp-17, -0x1.a038505a6b8bfp-17, -0x1.9e8cfac452d2fp-17, -0x1.9cd93709386eap-17, -0x1.9b1c9f5aa5093p-17, -0x1.995d0c866dea2p-17, -0x1.9792e3a1c5519p-17, -0x1.95c21f855e7cbp-17, -0x1.93eaa6bce6005p-17, -0x1.920bc4ec29217p-17, -0x1.90261440156a4p-17, -0x1.8e39c4603b63dp-17, -0x1.8c46f6a5bc71p-17, -0x1.8a4dc57e127cfp-17, -0x1.884e0fa4df1cbp-17, -0x1.86498fcc700c5p-17, -0x1.843cf491f0904p-17, -0x1.822bf84a394ddp-17, -0x1.8014fe7c4b629p-17, -0x1.7df854d2005fcp-17, -0x1.7bd642786135ep-17, -0x1.79af331818be6p-17, -0x1.778153b786c54p-17, -0x1.754f579abc55ep-17, -0x1.731ba795ce389p-17, -0x1.70e6ef521878dp-17, -0x1.6e9b7463bb1b3p-17, -0x1.6c57138cd275p-17, -0x1.6a0f2b0703ca9p-17, -0x1.67c1c0a8adb9dp-17, -0x1.656ef1fe2d7bfp-17, -0x1.63101d25ad04ap-17, -0x1.60c309e89ac99p-17, -0x1.5e64d79a543e3p-17, -0x1.5c001ce34e48bp-17, -0x1.599a7ee2ec7afp-17, -0x1.5731453d024eap-17, -0x1.54c55f6ad6f3bp-17, -0x1.5254a0d3bc83ep-17, -0x1.4fe33f1fd371bp-17, -0x1.4d6d529736b75p-17, -0x1.4af46f621d173p-17, -0x1.48785db919f2fp-17, -0x1.45f9f3f7054a7p-17, -0x1.4378a8527c144p-17, -0x1.40f4fd5a92d48p-17, -0x1.3e6fd8bfe325dp-17, -0x1.3be6ef53b22b8p-17, -0x1.395ce924ed2b2p-17, -0x1.36cfe6f51dff5p-17, -0x1.34407a4c5b146p-17, -0x1.31afeaf12659cp-17, -0x1.2f1d4d70b3e83p-17, -0x1.2c8876246ae3ap-17, -0x1.29f205dafc523p-17, }}, 
      {{-0x1.ae4e0871242dbp-2, -0x1.a868792a414e4p-2, -0x1.a1769704c2544p-2, -0x1.9bbb9ba3f3a08p-2, -0x1.98cd53faa7cbfp-2, -0x1.99865bda0c2bfp-2, -0x1.9e23693b176c5p-2, -0x1.a66cec93ef733p-2, -0x1.b1df48fae07efp-2, -0x1.bfcc61d94ec9bp-2, -0x1.cf753f5b544efp-2, -0x1.e01c4dd59f4acp-2, -0x1.f1116bd9f54c3p-2, -0x1.00dc90793d3cap-1, -0x1.08c81e432465dp-1, -0x1.1016749821655p-1, -0x1.169f044006bb4p-1, -0x1.1c44bbbfb94b5p-1, -0x1.20f4d8c77d1a5p-1, -0x1.24a592b11d62dp-1, -0x1.2754baadd33d1p-1, -0x1.290664af429d2p-1, -0x1.29c3a5aaa0c3ep-1, -0x1.29996ea3036d7p-1, -0x1.28978846b832fp-1, -0x1.26cfb10ee30eep-1, -0x1.2454dc639a395p-1, -0x1.213a926410061p-1, -0x1.1d946c32488c5p-1, -0x1.1975abae9b23dp-1, -0x1.14f0ea1a5d98dp-1, -0x1.1017dafe0acb8p-1, -0x1.0afb20deb0723p-1, -0x1.05aa3002c617dp-1, -0x1.00333d384bd3fp-1, -0x1.f5466d07f1603p-2, -0x1.ea0b872630ee9p-2, -0x1.deca97eb7dcc5p-2, -0x1.d396043c1e227p-2, -0x1.c87de41be9b3ep-2, -0x1.bd9023c682958p-2, -0x1.b2d8a81d50951p-2, -0x1.a861759bf71d4p-2, -0x1.9e32d75360df5p-2, -0x1.94538541f0a53p-2, -0x1.8ac8ca612c4aap-2, -0x1.8196a9e668065p-2, -0x1.78c002250a879p-2, -0x1.7046ad50ae315p-2, -0x1.682ba067604fp-2, -0x1.606f0837f882bp-2, -0x1.591063dde04b8p-2, -0x1.520e9d4bebbb6p-2, -0x1.4b681f0a2dbefp-2, -0x1.451ae89f9ab7bp-2, -0x1.3f24a0c6f2767p-2, -0x1.3982a59e5131ap-2, -0x1.34321b584b2c5p-2, -0x1.2f2ff8fa0d4d1p-2, -0x1.2a7913ba15ddbp-2, -0x1.260a2900bb828p-2, -0x1.21dfe79080faep-2, -0x1.1df6f70b15cd3p-2, -0x1.1a4bfece9db32p-2, -0x1.16dbaaf83f716p-2, -0x1.13a2b21dfa7c9p-2, -0x1.109dd874a32p-2, -0x1.0dc9f3c7b1befp-2, -0x1.0b23ee35ca03fp-2, -0x1.08a8c846c264cp-2, -0x1.06559b1f1ad34p-2, -0x1.042799c25a1fbp-2, -0x1.021c1226da735p-2, -0x1.00306df7ee51dp-2, -0x1.fcc465f4b281ap-3, -0x1.f95e066d44bccp-3, -0x1.f6293a537d738p-3, -0x1.f321b6cbf3658p-3, -0x1.f04368bdb529p-3, -0x1.ed8a73d25c594p-3, -0x1.eaf331e37dda5p-3, -0x1.e87a314a6da2dp-3, -0x1.e61c3347189e7p-3, -0x1.e3d62b6588908p-3, -0x1.e1a53d2cba7c6p-3, -0x1.df86baa102993p-3, -0x1.dd7822be3bc3bp-3, -0x1.db771f683766dp-3, -0x1.d981840a5379cp-3, -0x1.d7954bb1b97e6p-3, -0x1.d5b0973eb397ep-3, -0x1.d3d1ab46ba682p-3, -0x1.d1f6ef563fa62p-3, -0x1.d01eeb5c1d3aap-3, -0x1.ce48467599786p-3, -0x1.cc71c525e00fdp-3, -0x1.ca9a47f76dc2dp-3, -0x1.c8c0c9b7c343dp-3, -0x1.c6e45e17b3eb8p-3, -0x1.c504305ebc96bp-3, -0x1.c31f8212ce25cp-3, -0x1.c135a97a1f6d2p-3, -0x1.bf460fff1fd1bp-3, -0x1.bd5031f5a6226p-3, -0x1.bb539c82e9251p-3, -0x1.b94fed0785854p-3, -0x1.b744cfadd5f17p-3, -0x1.b531feaabe9b2p-3, -0x1.b317413b7936fp-3, -0x1.b0f46aa8ab95cp-3, -0x1.aec9595638505p-3, -0x1.ac95f64190909p-3, -0x1.aa5a3395095fcp-3, -0x1.a8160cc5b936bp-3, -0x1.a5c9852eb8cc4p-3, -0x1.a374a7c40d0c1p-3, -0x1.a11785e08489ep-3, -0x1.9eb23781c5515p-3, -0x1.9c44da6938437p-3, -0x1.99cf913e34a24p-3, -0x1.9752836c1570cp-3, -0x1.94cddc9ae1a3bp-3, -0x1.9241cc2a40c77p-3, -0x1.8fae84d82b50ep-3, -0x1.8d143c62ca98bp-3, -0x1.8a732b0ae4e5bp-3, -0x1.87cb8b980e8c3p-3, -0x1.851d9a8e8bcafp-3, -0x1.8269963e49404p-3, -0x1.7fafbe65451d9p-3, -0x1.7cf053bc137c8p-3, -0x1.7a2b985f8ba21p-3, -0x1.7761cec1bc041p-3, -0x1.74933a15a2099p-3, -0x1.71c01d78f028fp-3, -0x1.6ee8bcb35e8ep-3, -0x1.6c0d5b7716b91p-3, -0x1.692e3d1161b77p-3, -0x1.664ba4dade6b5p-3, -0x1.6365d59ed79fbp-3, -0x1.607d11b65e646p-3, -0x1.5d919ae7dfd2p-3, -0x1.5aa3b2465a0c1p-3, -0x1.57b39826a05afp-3, -0x1.54c18c023571dp-3, -0x1.51cdcc66844d4p-3, -0x1.4ed896e03559p-3, -0x1.4be2282f6095dp-3, -0x1.48eabbc0984d8p-3, -0x1.45f28bfec867dp-3, -0x1.42f9d23f48aeap-3, -0x1.4000c699bf5d9p-3, -0x1.3d079fefb911bp-3, -0x1.3a0e93dd5154fp-3, -0x1.3715d709d002dp-3, -0x1.341d9c9990295p-3, -0x1.31261677eb118p-3, -0x1.2e2f752eb76ap-3, -0x1.2b39e845be958p-3, -0x1.28459db2db06bp-3, -0x1.2552c275a5971p-3, -0x1.2261821696e65p-3, -0x1.1f7206b8c92cep-3, -0x1.1c8479730cfbbp-3, -0x1.199902064e3efp-3, -0x1.16afc6efaee72p-3, -0x1.13c8ed7ae2aap-3, -0x1.10e499b54f1cfp-3, -0x1.0e02ee6be0ac8p-3, -0x1.0b240d458b098p-3, -0x1.084816b874a1ep-3, -0x1.056f2a1441efdp-3, -0x1.0299657d711f8p-3, -0x1.ff8dcbf8a346ap-4, -0x1.f9ef8efb4ddc1p-4, -0x1.f4584980a5b4dp-4, -0x1.eec82f4a46f3p-4, -0x1.e93f71c698c2ep-4, -0x1.e3be3ff12d6e4p-4, -0x1.de44c75e46fbdp-4, -0x1.d8d33366d5876p-4, -0x1.d369ad5647f84p-4, -0x1.ce085c8a2a2b1p-4, -0x1.c8af66f0f7534p-4, -0x1.c35ef06440ff4p-4, -0x1.be171ae2471bdp-4, -0x1.b8d80685da508p-4, -0x1.b3a1d20c5072bp-4, -0x1.ae749a855cfeep-4, -0x1.a9507b6005394p-4, -0x1.a4358e5aa7c11p-4, -0x1.9f23ebcd850cdp-4, -0x1.9a1baa87cc079p-4, -0x1.951cdfe29b024p-4, -0x1.90279fb920de7p-4, -0x1.8b3bfcdbf39b1p-4, -0x1.865a089032ef1p-4, -0x1.8181d29c647d3p-4, -0x1.7cb369d7dcf6p-4, -0x1.77eedbc44645fp-4, -0x1.733434b82b9c3p-4, -0x1.6e837fd42f448p-4, -0x1.69dcc73e23948p-4, -0x1.654013e67e341p-4, -0x1.60ad6daed6e7bp-4, -0x1.5c24db86f9c34p-4, -0x1.57a6635dd045bp-4, -0x1.53320a30a8f81p-4, -0x1.4ec7d410a4af4p-4, -0x1.4a67c4253cb5p-4, -0x1.4611dcb54685fp-4, -0x1.41c61f35c31c9p-4, -0x1.3d848c4b7714ap-4, -0x1.394d23d34f60fp-4, -0x1.351fe4e8cf651p-4, -0x1.30fccdf37c5c2p-4, -0x1.2ce3dc9aa6dd7p-4, -0x1.28d50dbb91b95p-4, -0x1.24d05dc991384p-4, -0x1.20d5c84a0288cp-4, -0x1.1ce5487c8adf6p-4, -0x1.18fed916b1f6p-4, -0x1.152273dd2e593p-4, -0x1.1150120f7c9cdp-4, -0x1.0d87ac9fa9c09p-4, -0x1.09c93bfc5588fp-4, -0x1.0614b80250cdap-4, -0x1.026a180870bd2p-4, -0x1.fd92a5f04f9e5p-5, -0x1.f664beaec0f9ep-5, -0x1.ef4a6690f80b7p-5, -0x1.e8438911f340cp-5, -0x1.e15010e05f3d3p-5, -0x1.da6fe7e4bd599p-5, -0x1.d3a2f74ffa1c7p-5, -0x1.cce927a015a02p-5, -0x1.c64260c388f4dp-5, -0x1.bfae8a145e658p-5, -0x1.b92d8a2a40639p-5, -0x1.b2bf473332cc5p-5, -0x1.ac63a6c7718f3p-5, -0x1.a61a8dfa27cdap-5, -0x1.9fe3e16b5481fp-5, -0x1.99bf84f39b5ep-5, -0x1.93ad5c9177bep-5, -0x1.8dad4b6ac3627p-5, -0x1.87bf346235895p-5, -0x1.81e2f9bdf8545p-5, -0x1.7c187dbec92aep-5, -0x1.765fa22c35487p-5, -0x1.70b848773366dp-5, -0x1.6b2251bcc2017p-5, -0x1.659d9ece179e3p-5, -0x1.602a103f637e2p-5, -0x1.5ac78669147a8p-5, -0x1.5575e167aa932p-5, -0x1.5035011b70902p-5, -0x1.4b04c52a8f4a7p-5, -0x1.45e50d1d89a22p-5, -0x1.40d5b82de1c8ep-5, -0x1.3bd6a580aef2dp-5, -0x1.36e7b4147f55ap-5, -0x1.3208c2ba4c416p-5, -0x1.2d39b00e29433p-5, -0x1.287a5ab12e7d2p-5, -0x1.23caa16627467p-5, -0x1.1f2a629205506p-5, -0x1.1a997c48a5fb3p-5, -0x1.1617cccab467fp-5, -0x1.11a532670ef79p-5, -0x1.0d418b4cd8acdp-5, -0x1.08ecb5a177064p-5, -0x1.04a68f82ccaefp-5, -0x1.006ef7043262p-5, -0x1.f88b9464dcac7p-6, -0x1.f055ce19efb68p-6, -0x1.e83c574a5955p-6, -0x1.e03eec76483d8p-6, -0x1.d85d49a258e0fp-6, -0x1.d0972b15e484p-6, -0x1.c8ec4d552f8a5p-6, -0x1.c15c6cca48aebp-6, -0x1.b9e746017848bp-6, -0x1.b28c959e932d5p-6, -0x1.ab4c185877eefp-6, -0x1.a4258b30c69bap-6, -0x1.9d18ab4c1d327p-6, -0x1.962535f6112b9p-6, -0x1.8f4ae8a69c8c8p-6, -0x1.88898107f53e2p-6, -0x1.81e0bcfbecc23p-6, -0x1.7b505a810394dp-6, -0x1.74d817ff8b59p-6, -0x1.6e77b3c15c9dap-6, -0x1.682eec9fa721dp-6, -0x1.61fd819de5941p-6, -0x1.5be3320847dfap-6, -0x1.55dfbd670e35bp-6, -0x1.4ff2e3849f04ap-6, -0x1.4a1c6473ccc84p-6, -0x1.445c009596db8p-6, -0x1.3eb178a1644f3p-6, -0x1.391c8da2b368fp-6, -0x1.339d00eca7574p-6, -0x1.2e32941b815e9p-6, -0x1.28dd0923b10e8p-6, -0x1.239c225426df2p-6, -0x1.1e6fa24ef7b7fp-6, -0x1.19574c0792d5ap-6, -0x1.1452e2c9be904p-6, -0x1.0f622a4fd5303p-6, -0x1.0a84e6b81d7p-6, -0x1.05badc5265147p-6, -0x1.0103cfe0419e6p-6, -0x1.f8bf0d6e53115p-7, -0x1.ef9b8ca27e664p-7, -0x1.e69ca8c1c7afbp-7, -0x1.ddc1ee3bf9cd2p-7, -0x1.d50aeb37a7d67p-7, -0x1.cc772eb9be2a2p-7, -0x1.c4064713125dbp-7, -0x1.bbb7c3dbf04f4p-7, -0x1.b38b36436e919p-7, -0x1.ab802f15b8d1bp-7, -0x1.a396405ba7c0ep-7, -0x1.9bccfdab6ce5cp-7, -0x1.9423fb2f77a45p-7, -0x1.8c9acda51294ep-7, -0x1.85310aa568454p-7, -0x1.7de648b2e08cbp-7, -0x1.76ba1f5f43816p-7, -0x1.6fac26a9eb9d3p-7, -0x1.68bbf7db45ff4p-7, -0x1.61e92cb667b7ap-7, -0x1.5b33602479226p-7, -0x1.549a2ddea13abp-7, -0x1.4e1d3278232cdp-7, -0x1.47bc0b6828de9p-7, -0x1.4176570c59635p-7, -0x1.3b4bb4a391e73p-7, -0x1.353bc44858a88p-7, -0x1.2f4626eb18c5bp-7, -0x1.296a7e61aedbcp-7, -0x1.23a86d714c9c4p-7, -0x1.1dff97b2e3dc9p-7, -0x1.186fa1ad69316p-7, -0x1.12f830ce1daadp-7, -0x1.0d98eb6088c42p-7, -0x1.0851789745749p-7, -0x1.0321808cc6cbdp-7, -0x1.fc1158852392cp-8, -0x1.f20d4b2ef8cafp-8, -0x1.e8362e7ff16b6p-8, -0x1.de8b598cbe77cp-8, -0x1.d50c2518e22adp-8, -0x1.cbb7eb98eebbbp-8, -0x1.c28e099dc9f08p-8, -0x1.b98ddd83f0f9bp-8, -0x1.b0b6c71dad3b8p-8, -0x1.a808285aaf39dp-8, -0x1.9f8164e1bbf83p-8, -0x1.9721e1e0e923ap-8, -0x1.8ee9062a36853p-8, -0x1.86d63a68958b2p-8, -0x1.7ee8e89c9ea44p-8, -0x1.77207d17e4842p-8, -0x1.6f7c655c1870cp-8, -0x1.67fc10e0a6a16p-8, -0x1.609ef0d3d390ap-8, -0x1.596478126d294p-8, -0x1.524c1b1f037a5p-8, -0x1.4b55501ebc612p-8, -0x1.447f8edc2193ep-8, -0x1.3dca50caf39a3p-8, -0x1.37351106ce75dp-8, -0x1.30bf4c396936p-8, -0x1.2a688066b3719p-8, -0x1.24302d6372cc1p-8, -0x1.1e15d56434ad7p-8, -0x1.1818fb77e24bbp-8, -0x1.123923c59208dp-8, -0x1.0c75d4bbfa51fp-8, -0x1.06ce965ce9aeep-8, -0x1.0142f2062fbc6p-8, -0x1.f7a4e5432fcafp-9, -0x1.ecf9494e5e64dp-9, -0x1.e2822c1a3c859p-9, -0x1.d83eac94964eep-9, -0x1.ce2deccab0d8p-9, -0x1.c44f11ea360e1p-9, -0x1.baa1440d35303p-9, -0x1.b123ae0001cabp-9, -0x1.a7d57d4098e77p-9, -0x1.9eb5e21611899p-9, -0x1.95c41061c75ap-9, -0x1.8cff3e0b2372p-9, -0x1.8466a4a9a768p-9, -0x1.7bf9800024e27p-9, -0x1.73b70e7f6ae5p-9, -0x1.6b9e916288d8dp-9, -0x1.63af4cea562aep-9, -0x1.5be8884c57ac2p-9, -0x1.54498d303a3c6p-9, -0x1.4cd1a7e161fe8p-9, -0x1.45802719843b3p-9, -0x1.3e545c1662737p-9, -0x1.374d9a518085ap-9, -0x1.306b38053e59dp-9, -0x1.29ac8e0f4ee6bp-9, -0x1.2310f800428f5p-9, -0x1.1c97d4197a77dp-9, -0x1.16408285b2259p-9, -0x1.100a643d12367p-9, -0x1.09f4df0ca2ed6p-9, -0x1.03ff5da655cadp-9, -0x1.fc52936a9b31ep-10, -0x1.f0e41bebc1d14p-10, -0x1.e5b22bd9be1f8p-10, -0x1.dabba7d1fc3c3p-10, -0x1.cfff78886206ap-10, -0x1.c57c88997cba9p-10, -0x1.bb31c684f2908p-10, -0x1.b11e2513288ap-10, -0x1.a7409b1d1793bp-10, -0x1.9d9823276ce14p-10, -0x1.9423bc875b37bp-10, -0x1.8ae26af936fcbp-10, -0x1.81d3367ed7d5fp-10, -0x1.78f52a9518d9ap-10, -0x1.704756970d7b1p-10, -0x1.67c8ce6614eeep-10, -0x1.5f78aa96c07afp-10, -0x1.575607cb9887p-10, -0x1.4f6005f9f872ap-10, -0x1.4795c83666e2ap-10, -0x1.3ff674efcdffdp-10, -0x1.388136481156bp-10, -0x1.31353a4eae169p-10, -0x1.2a11b2da41b27p-10, -0x1.2315d500876c4p-10, -0x1.1c40d89b103b6p-10, -0x1.1591f806abd55p-10, -0x1.0f0870a945b1bp-10, -0x1.08a385466a38dp-10, -0x1.02627cd4dfeb6p-10, -0x1.f88940714dd24p-11, -0x1.ec9279888bd88p-11, -0x1.e0df467e1411bp-11, -0x1.d56e4d51925c2p-11, -0x1.ca3e38fb313bbp-11, -0x1.bf4db9d1701p-11, -0x1.b49b85836554fp-11, -0x1.aa2656f5a8e11p-11, -0x1.9fecee687e754p-11, -0x1.95ee11a97f9fbp-11, -0x1.8c288cc37b581p-11, -0x1.829b3294a1da4p-11, -0x1.7944dd5927b72p-11, -0x1.70246df6c3bf1p-11, -0x1.6738cc3e0d42p-11, -0x1.5e80e5d790483p-11, -0x1.55fbac8fedaf5p-11, -0x1.4da81540005a9p-11, -0x1.4585174868eb8p-11, -0x1.3d91ac91c767ap-11, -0x1.35ccd1e9669b4p-11, -0x1.2e3587a51a746p-11, -0x1.26cad2423001bp-11, -0x1.1f8bbbb769478p-11, -0x1.1877576b1b13cp-11, -0x1.118cb03b61949p-11, -0x1.0acaee5a72ea2p-11, -0x1.043128821db59p-11, -0x1.fb7d282cad68p-12, -0x1.eee4c436e3958p-12, -0x1.e2978c5479c7bp-12, -0x1.d693f217e8683p-12, -0x1.cad86b1cf10dap-12, -0x1.bf636f4733b9dp-12, -0x1.b433787f7a19dp-12, -0x1.a94702d0d5e1dp-12, -0x1.9e9c89a63edd3p-12, -0x1.94327fe4f5facp-12, -0x1.8a076d6050b49p-12, -0x1.801a13d31dacfp-12, -0x1.7668eceb94bb6p-12, -0x1.6cf29533f49b9p-12, -0x1.63b5f3467688bp-12, -0x1.5ab19ae31280cp-12, -0x1.51e446a810977p-12, -0x1.494cd64aeea3ep-12, -0x1.40ea25ad73acdp-12, -0x1.38bb1248c15f6p-12, -0x1.30be7d10701cdp-12, -0x1.28f348dfc5e9p-12, -0x1.21585a3fc402dp-12, -0x1.19ec980ef813bp-12, -0x1.12aeebb75c032p-12, -0x1.0b9e465b4cd19p-12, -0x1.04b99dc10c8f5p-12, -0x1.fbffe245804a1p-13, -0x1.eee08e618861ep-13, -0x1.e2135b1a6abeap-13, -0x1.d5966b5625fe1p-13, -0x1.c967cf36240d7p-13, -0x1.bd85b51c7ba12p-13, -0x1.b1ee907c117cdp-13, -0x1.a6a0a1e72fdc3p-13, -0x1.9b9a0a55a6bf3p-13, -0x1.90d9370859643p-13, -0x1.865c9e9f6cf62p-13, -0x1.7c22aa8b4db3ap-13, -0x1.7229cc8fe8fe8p-13, -0x1.68707da26e452p-13, -0x1.5ef53320a23cp-13, -0x1.55b6888cbc3efp-13, -0x1.4cb2fb0006a64p-13, -0x1.43e92e1ca2af7p-13, -0x1.3b57f7ed0a6b2p-13, -0x1.32fd9d3eb2509p-13, -0x1.2ad95fee15203p-13, -0x1.22e96b899393p-13, -0x1.1b2cb0febb4e6p-13, -0x1.13a1eeb68a455p-13, -0x1.0c47eea167385p-13, -0x1.051d81fd4123cp-13, -0x1.fc431d669794bp-14, -0x1.eea5f6c06ce9ep-14, -0x1.e16171542cec5p-14, -0x1.d4737abacc8b8p-14, -0x1.c7da0ccda6ab4p-14, -0x1.bb932c270f49p-14, -0x1.af9ce71e08391p-14, -0x1.a3f554f56f6ccp-14, -0x1.989a955a4a43dp-14, -0x1.8d8ad0b8ca2fcp-14, -0x1.82c438d09ee8ep-14, -0x1.784506d05d604p-14, -0x1.6e0b7554135e3p-14, -0x1.6415b851ff926p-14, -0x1.5a61f85476ff8p-14, -0x1.50ee5b7fd2e2dp-14, -0x1.47b91d882784p-14, -0x1.3ec09cc62c625p-14, -0x1.360348d83b246p-14, -0x1.2d7f9af8f8b18p-14, -0x1.25341c32edd76p-14, -0x1.1d1f77d5a5c28p-14, -0x1.154077654353dp-14, -0x1.0d95f2bc3d3fap-14, -0x1.061ec6e1e3454p-14, -0x1.fdb3a0a39c2fap-15, -0x1.ef8bcaf42ccf4p-15, -0x1.e1c3abd0e4818p-15, -0x1.d458dea509a9ap-15, -0x1.c74908ba41cd2p-15, -0x1.ba91e094782bdp-15, -0x1.ae312c12ce3f8p-15, -0x1.a224b98241c2p-15, -0x1.966a59a5ea651p-15, -0x1.8affdca67c435p-15, -0x1.7fe30f743b225p-15, -0x1.7511b7f7b4f89p-15, -0x1.6a8992781b72ap-15, -0x1.604856ae6ada8p-15, -0x1.564bcafa8aa7p-15, -0x1.4c91e2cbd1792p-15, -0x1.4318d8a75365bp-15, -0x1.39df3a9576992p-15, -0x1.30e42f89b76a9p-15, -0x1.2825c80d45122p-15, -0x1.1fa2c257f8cbap-15, -0x1.175a4b01ec7afp-15, -0x1.0f4a73eca7b91p-15, -0x1.0771aee0f1a37p-15, -0x1.ff9d1c884e9ddp-16, -0x1.f0bf8cf98cd47p-16, -0x1.e24851c0300bcp-16, -0x1.d435154c57ce6p-16, -0x1.c6833a21d904ep-16, -0x1.b92ff27f38d1fp-16, -0x1.ac37c340dec0fp-16, -0x1.9f9b5d24ceeb6p-16, -0x1.935367154ec3p-16, -0x1.876285216c093p-16, -0x1.7bc2b3f385184p-16, -0x1.70720595b38ecp-16, -0x1.656ddfac53bbap-16, -0x1.5ab4582830a0bp-16, -0x1.5043ec8a572d8p-16, -0x1.461b1c5208a28p-16, -0x1.3c384a14edc58p-16, -0x1.3299ba1eb6b38p-16, -0x1.293d42d121c49p-16, -0x1.201ffa5fbe4dap-16, -0x1.1741496ba10bp-16, -0x1.0ea020d9cbf72p-16, -0x1.0639169628fe4p-16, -0x1.fc1636735b2bp-17, -0x1.ec2a9d16fe1bep-17, -0x1.dcacc47987e0fp-17, -0x1.cd9a313143a71p-17, -0x1.bef08ba166ed6p-17, -0x1.b0ad4a164601p-17, -0x1.a2ca2b0f090fdp-17, -0x1.9546a656678edp-17, -0x1.8822f7d32ebecp-17, -0x1.7b5886d45226bp-17, -0x1.6ee8a84a3480cp-17, -0x1.62c9e5638e17bp-17, -0x1.56fe0e5a0151p-17, -0x1.4b835c8d53b87p-17, -0x1.40578166ec7a5p-17, -0x1.35779257dedeap-17, -0x1.2ae16ef62d03fp-17, -0x1.2095577bbba7bp-17, -0x1.168f2ed12a79bp-17, -0x1.0cce9b45d9cd1p-17, -0x1.0352314b87339p-17, -0x1.f42bff5b9c0dap-18, -0x1.e23182a18e6cep-18, -0x1.d0b1b4b6dcc54p-18, -0x1.bfa8b9ee7f2bep-18, -0x1.af12844fe5ff6p-18, -0x1.9eec3e76faec1p-18, -0x1.8f30abadaf68ap-18, -0x1.7fea16797d6c4p-18, -0x1.7105beb12ee79p-18, -0x1.62881f9db9426p-18, -0x1.546d419db88ecp-18, -0x1.46b2df56a8ee7p-18, -0x1.39567bb4097ddp-18, -0x1.2c55987d22096p-18, -0x1.1fad705ef513p-18, -0x1.135b1d614523ap-18, -0x1.075c4c94a6645p-18, -0x1.f75e81aa5ea04p-19, -0x1.e0a3372b7ef06p-19, -0x1.ca802ae9974b7p-19, -0x1.b4f0596734f28p-19, -0x1.9ff26dbeb4e7bp-19, -0x1.8b862c32d6316p-19, -0x1.77a8680488d33p-19, -0x1.64530db1e6e37p-19, -0x1.5180b2fbc996ep-19, -0x1.3f2e4ed04a96cp-19, -0x1.2d598dafa49b7p-19, -0x1.1c03729ba9712p-19, -0x1.0b1de7659b655p-19, -0x1.f54f5ddc3dffp-20, -0x1.d549ade65b0bbp-20, -0x1.b61dd4413a1p-20, -0x1.97c9c775cb85ap-20, -0x1.7a46163285b3p-20, -0x1.5d8a1772a7d15p-20, -0x1.418d270620315p-20, -0x1.2659ceafe0915p-20, -0x1.0bcefca141efdp-20, -0x1.e419e290717ep-21, -0x1.b1f81bd45b11fp-21, -0x1.812c835b8f2dp-21, -0x1.51b01eb607e84p-21, -0x1.2378106c1121ep-21, -0x1.ecfa4eebcbf1bp-22, -0x1.9572fc58567bep-22, -0x1.404ae237857ap-22, -0x1.dadec80f2bb64p-23, -0x1.39a46b2e1e8d1p-23, -0x1.39ae44af276d1p-24, -0x1.1bca8bec5a906p-29, 0x1.1f5a2c96493afp-24, 0x1.1fa721d9eb6acp-23, 0x1.abb3dbc29bc2dp-23, 0x1.19ff21aaf4258p-22, 0x1.5c422f5682944p-22, 0x1.9c9b15f9d334bp-22, 0x1.db1fcc7f3e7ccp-22, 0x1.0bf26a29eba13p-21, 0x1.296ff4b973887p-21, 0x1.460b09e31188ep-21, 0x1.61edbbace361cp-21, 0x1.7cbc2399837f2p-21, 0x1.96f7a58ffb4c2p-21, 0x1.b0af123e8191ep-21, 0x1.c953d4ed93c85p-21, 0x1.e15088b40d17bp-21, 0x1.f894c2966583p-21, 0x1.07927d62aed61p-20, 0x1.1282f8c1e2463p-20, 0x1.1d33512439d8dp-20, 0x1.277a2944fc1b7p-20, 0x1.31615d0c941f4p-20, 0x1.3b093bd33a031p-20, 0x1.44621162dcbf6p-20, 0x1.4d6d9f1e6140dp-20, 0x1.562b8bcfa9313p-20, 0x1.5e9e9a4c9897ep-20, 0x1.66ced3b422cc6p-20, 0x1.6ebcbe42dcc2ap-20, 0x1.766516d51d5b7p-20, 0x1.7dc968cbca545p-20, 0x1.84e928209e653p-20, 0x1.8bc6f1eca13dfp-20, 0x1.9268f82639a1dp-20, 0x1.98cf0a6da1a8ap-20, 0x1.9ef56d8c49b1p-20, 0x1.a4e8a787a987ap-20, 0x1.aa893ea487a54p-20, 0x1.afffc59e9979ap-20, 0x1.b5398391add8dp-20, 0x1.ba36e42301a94p-20, 0x1.bf2827e6b39e9p-20, 0x1.c3bcedb2e296ap-20, 0x1.c82ba30a0590bp-20, 0x1.cc566ffcce8a9p-20, 0x1.d05e348c19926p-20, 0x1.d439821ec1b5fp-20, 0x1.d7dc1045a8cf1p-20, 0x1.db527e8b304b3p-20, 0x1.de9cd6bb06759p-20, 0x1.e1ba94f120f9dp-20, 0x1.e4ab9966b9544p-20, 0x1.e7718fad4cd15p-20, 0x1.ea0e0d79c7053p-20, 0x1.ec81d65a259e3p-20, 0x1.eecd202ca7e75p-20, 0x1.f0efe0c0993fap-20, 0x1.f2ea5de3cee43p-20, 0x1.f4bda3cba20bdp-20, 0x1.f66adc9fc961bp-20, 0x1.f7f2ec7de43d3p-20, 0x1.f95796d3dbc68p-20, 0x1.fa9c4b5dfb6eep-20, 0x1.fbc15d1f9d419p-20, 0x1.fcbe8a20689a2p-20, 0x1.fd933e5cad37ep-20, 0x1.fe4a96fb979bep-20, 0x1.fee3af18e922ep-20, 0x1.ff55a6afbb052p-20, 0x1.ffae7d1b9eb75p-20, 0x1.ffd7c0f3e05cap-20, 0x1.0007de7a49779p-19, 0x1.000124f2ec851p-19, 0x1.ffe52fe4c178ap-20, 0x1.ffa8f8281822dp-20, 0x1.ff50b4ff9ddcap-20, 0x1.feddf359174a8p-20, 0x1.fe4f9654b4c94p-20, 0x1.fdaac0922acecp-20, 0x1.fcf302dfc8b06p-20, 0x1.fc1648c874ba2p-20, 0x1.fb1f384f5d194p-20, 0x1.fa11447d89945p-20, 0x1.f8ee626df6a61p-20, 0x1.f7b0f4ec1599ep-20, 0x1.f65f158d0e39dp-20, 0x1.f4f310e497d08p-20, 0x1.f36e83259ca3dp-20, 0x1.f1d6da1f9dcb1p-20, 0x1.f02b340bde486p-20, 0x1.ee69e2152778ep-20, 0x1.ec9eb66476b56p-20, 0x1.ea884b014557bp-20, 0x1.e8a7ad2e386acp-20, 0x1.e6987869f8dcp-20, 0x1.e47c2304d0ffbp-20, 0x1.e2441175afcedp-20, 0x1.dffc936e4a9cbp-20, 0x1.dda1dd0ba260fp-20, 0x1.db3018be05e1cp-20, 0x1.d8af32b92cc0ep-20, 0x1.d62e7693965b2p-20, 0x1.d38f09af791e8p-20, 0x1.d0e0293632a79p-20, 0x1.ce1d675af4351p-20, 0x1.cb4ff41361df6p-20, 0x1.c87cd6c31da5ep-20, 0x1.c58db3c84151fp-20, 0x1.c293f1b4674bap-20, 0x1.bf8f3ccac9721p-20, 0x1.bc7a274b177bbp-20, 0x1.b952aaaa191c8p-20, 0x1.b61d17bf8916cp-20, 0x1.b2dd559106e7cp-20, 0x1.af93c1ddb49a2p-20, 0x1.ac3f44b88a9bdp-20, 0x1.a8defc0aac4e7p-20, 0x1.a572e99d4073ap-20, 0x1.a1fbd41f68c73p-20, 0x1.9e7a6f8cb2e5bp-20, 0x1.9aeec1ef22509p-20, 0x1.97585ff69046dp-20, 0x1.93b70fcb2a55cp-20, 0x1.900b0d34733e5p-20, 0x1.8c54d47787ce4p-20, 0x1.8894ee134951fp-20, 0x1.84cc443bc663fp-20, 0x1.80fa0462bff23p-20, 0x1.7d1e7235b0731p-20, 0x1.79396c0427b0dp-20, 0x1.754f527f7f933p-20, 0x1.716acc1f6982ep-20, 0x1.6d61d8f41dda1p-20, 0x1.696fb94fb72f4p-20, 0x1.65643c6a49187p-20, 0x1.615baad50ae6ep-20, 0x1.5d475a26ce964p-20, 0x1.59214f9d9959dp-20, 0x1.54fdcb8529bfbp-20, 0x1.50e4e70d2b1c5p-20, 0x1.4cc1e1cf5d7e6p-20, 0x1.487864b7a04d3p-20, 0x1.4448552ccd9a3p-20, 0x1.400a75f58c9eep-20, 0x1.3bc9ecc84e31ep-20, 0x1.378c39c7a3477p-20, 0x1.3345b9c5d4521p-20, 0x1.2ef5b3c42f13ep-20, 0x1.2aa77b2331ba2p-20, 0x1.26500df4da97dp-20, 0x1.21f09d1d40274p-20, 0x1.1d98b8fdbc41ep-20, 0x1.1942a55b4520cp-20, 0x1.14e006d36031p-20, 0x1.107b1ff556e19p-20, 0x1.0c179f64841e9p-20, 0x1.07ae042145ca5p-20, 0x1.033fa05e6a7ddp-20, 0x1.fdb0716eda6d6p-21, 0x1.f4cc94757ccc9p-21, 0x1.ebf898bf08bcep-21, 0x1.e2cfc52cd039ep-21, 0x1.da1f437ec1904p-21, 0x1.d1397024f5329p-21, 0x1.c84ba952d8f94p-21, 0x1.bf614aba92beap-21, 0x1.b67f8f79a3b28p-21, 0x1.ad945d928118fp-21, 0x1.a4a8fd7af0bfep-21, 0x1.9bbb7a6706671p-21, 0x1.92c3613a50333p-21, 0x1.89cd48c0e9457p-21, 0x1.81033827c716dp-21, 0x1.781a88bdef9p-21, 0x1.6f369dbde9c28p-21, 0x1.6652f781681abp-21, 0x1.5d79e310ebd8dp-21, 0x1.5490c336464d8p-21, 0x1.4bb11af842cadp-21, 0x1.42d4109dc7da7p-21, 0x1.39f84aea7bc4fp-21, 0x1.3121a6aa7dbebp-21, 0x1.28508237da7a3p-21, 0x1.1f83a8dfd8fa9p-21, 0x1.16bb2a1742f1dp-21, 0x1.0df98c98f7b7ep-21, 0x1.053dc477454bfp-21, 0x1.f8fd3ea05b70ep-22, 0x1.e7a60266779e1p-22, 0x1.d6448811db1c5p-22, 0x1.c4fd8dca610a2p-22, 0x1.b3b7eff78c5e9p-22, 0x1.a2a244ee83768p-22, 0x1.9162e2e94c403p-22, 0x1.8014f38dc6fa3p-22, 0x1.6f0e8a8082b46p-22, 0x1.5e13238dfdebep-22, 0x1.4d1436dd22847p-22, 0x1.3c22f905f45dp-22, 0x1.2b47e653bc6d1p-22, 0x1.1a81bb818fa76p-22, 0x1.09cfe45f2c40bp-22, 0x1.f260b311026e8p-23, 0x1.d13139d850d4ep-23, 0x1.b00f80d63a2f8p-23, 0x1.8eff04b9b064dp-23, 0x1.6e515d3fbc7a1p-23, 0x1.4dc0b63264638p-23, 0x1.2d6242dea985ap-23, 0x1.0d22723387124p-23, 0x1.d9b37e3aa391ap-24, 0x1.99824266aa12cp-24, 0x1.59d459b6bcca4p-24, 0x1.1a640bb447ed7p-24, 0x1.b6161803d7e8bp-25, 0x1.388647c0a27dbp-25, 0x1.7935ea525f24cp-26, 0x1.0300d106ad836p-27, -0x1.ddb5606497661p-28, -0x1.6d5102d8f6296p-26, -0x1.317184ffb0ddbp-25, -0x1.ac2ac86964755p-25, -0x1.126a4bd9fa3f4p-24, -0x1.4e33615d3e46cp-24, -0x1.89d5c1c870998p-24, -0x1.c53f9705dc163p-24, -0x1.002131a56dad6p-23, -0x1.1d67f72d9d737p-23, -0x1.3aa426f2135d4p-23, -0x1.5788eeead1cecp-23, -0x1.74092ba570eb5p-23, -0x1.90d32ca590a51p-23, -0x1.ad3421adb66bbp-23, -0x1.c94b851a9002dp-23, -0x1.e551086619907p-23, -0x1.0092dcbc3da69p-22, -0x1.0e62f14cbfcf2p-22, -0x1.1c18acb8a6593p-22, -0x1.29b45853c2164p-22, -0x1.3738af9f58458p-22, -0x1.449496ffddc03p-22, -0x1.51eca68346679p-22, -0x1.5f1a9638986bap-22, -0x1.6c30f0e6d9ce2p-22, -0x1.792e34c642cd3p-22, -0x1.8611ea149cdf8p-22, -0x1.92db6105f43ddp-22, -0x1.9f95c9b934d87p-22, -0x1.ac44c2001cf4p-22, -0x1.b88728fe7e694p-22, -0x1.c49b802047af4p-22, -0x1.d165559e1679bp-22, -0x1.dd8e9454b60c1p-22, -0x1.e98e53e62dbcfp-22, -0x1.f57c6b45f589p-22, -0x1.00aef022c3808p-21, -0x1.06c7ac43e9b2cp-21, -0x1.0c36a7004cb2ep-21, -0x1.11fd965c61fcp-21, -0x1.17cfd87cd4e2dp-21, -0x1.1d798067e2cbap-21, -0x1.2316605a8b326p-21, -0x1.28a1e8cf54819p-21, -0x1.2e23e127f5f2bp-21, -0x1.33919316d10ddp-21, -0x1.39009b13dae1dp-21, -0x1.3e521404b281ap-21, -0x1.43a01c45a5652p-21, -0x1.48d75e5232ea9p-21, -0x1.4e0288cd07c9bp-21, -0x1.5326a403e0b63p-21, -0x1.58361438e813bp-21, -0x1.5d3c03ed92431p-21, -0x1.622cc99d26c8ep-21, -0x1.671424adc59f4p-21, -0x1.6bf0ed9b24d11p-21, -0x1.70bd6b8eaafb2p-21, -0x1.757e476daeb4p-21, -0x1.7a343730613dbp-21, -0x1.7edbb9dc85c74p-21, }}, 
      {{-0x1.edd19682827ccp-7, -0x1.bd2dd1f688d5ep-5, -0x1.b3305e456dd0dp-4, -0x1.47e1979e81abbp-3, -0x1.aa553e50cd03dp-3, -0x1.f77b872b8258ep-3, -0x1.1592e8f24e956p-2, -0x1.2282154b9dee1p-2, -0x1.23a68a232aa1cp-2, -0x1.1ad18e29e9e43p-2, -0x1.0a21d405d020fp-2, -0x1.e778f3d3d0326p-3, -0x1.b3420cb17bee2p-3, -0x1.7b227956c189cp-3, -0x1.420d1eecb5a72p-3, -0x1.0a60b2dbfb426p-3, -0x1.abdd97504d288p-4, -0x1.4c11aafaf6d88p-4, -0x1.ee3fc3ed94bacp-5, -0x1.5c17230baad72p-5, -0x1.c4e93e0c39fb3p-6, -0x1.024c7d0319829p-6, -0x1.b9ad7b4af1632p-8, -0x1.8d674bbd8f583p-12, 0x1.d1861ded0662dp-9, 0x1.5c92d31fc536ep-8, 0x1.55185d856cb73p-8, 0x1.ca2d2cadf2f86p-9, 0x1.ef6cd7c92b8ep-12, -0x1.d75b6087b1feap-9, -0x1.15315465b1767p-7, -0x1.c708e8a076731p-7, -0x1.42491a1ccd245p-6, -0x1.a3e47f9fd529ep-6, -0x1.02dc16f62eabbp-5, -0x1.32c358b04ae5dp-5, -0x1.60b77972e0b57p-5, -0x1.8bf321f22849p-5, -0x1.b3d8c7fddd2cap-5, -0x1.d7ef08f8c45b2p-5, -0x1.f7dcf4661743cp-5, -0x1.09b32885ca6d3p-4, -0x1.1534015904db9p-4, -0x1.1e6a4e5ce5407p-4, -0x1.255893bfcd6a9p-4, -0x1.2a090f0bbb1fep-4, -0x1.2c8c5ff153718p-4, -0x1.2cf8494d14171p-4, -0x1.2b669c4289a26p-4, -0x1.27f4406759609p-4, -0x1.22c05dd51e829p-4, -0x1.1beb9ebfa7815p-4, -0x1.139798e9df9d7p-4, -0x1.09e63a454db4ep-4, -0x1.fdf2c18575782p-5, -0x1.e5e4f8ddca85ep-5, -0x1.cbe47937d4201p-5, -0x1.b030adb1ebc4bp-5, -0x1.9306b2d5a69b5p-5, -0x1.74a1004d6b55p-5, -0x1.553740cdc009p-5, -0x1.34fe1e5cea1c6p-5, -0x1.14273a928c714p-5, -0x1.e5c2237cef97bp-6, -0x1.a2ae148d925acp-6, -0x1.5f62de17ae051p-6, -0x1.1c2b091c6f53cp-6, -0x1.b29667b200a88p-7, -0x1.2e046fbafc2f3p-7, -0x1.5625912abc152p-8, -0x1.514b2ac45562cp-10, 0x1.5168031da2031p-9, 0x1.a046d9846e8c9p-8, 0x1.48e81faae4dafp-7, 0x1.be661d2a2d2aep-7, 0x1.1831d59914bffp-6, 0x1.4f576a8dda29p-6, 0x1.848e7a3c8608ep-6, 0x1.b7c519a20872dp-6, 0x1.e8ec8c17efd26p-6, 0x1.0bfc8907fde0fp-5, 0x1.2270d456e9e13p-5, 0x1.37cfec46ca4cbp-5, 0x1.4c17c74b23e1ap-5, 0x1.5f476a4ac83b1p-5, 0x1.715edffc7d958p-5, 0x1.825f13a8d657cp-5, 0x1.9249c9a581f12p-5, 0x1.a12185f9be62p-5, 0x1.aee9758932aa9p-5, 0x1.bba5656d3d1ddp-5, 0x1.c759aa554e0b6p-5, 0x1.d20b12e777a85p-5, 0x1.dbbede40def68p-5, 0x1.e47aa62db0d96p-5, 0x1.ec4459705c10bp-5, 0x1.f32228ad056f4p-5, 0x1.f91a844931af3p-5, 0x1.fe3408064698fp-5, 0x1.013abdbdeff55p-4, 0x1.02f2dfcfb902fp-4, 0x1.0445e80e4bae1p-4, 0x1.0537599e1b97dp-4, 0x1.05cabc6218d7bp-4, 0x1.060399caa8daap-4, 0x1.05e5772c0ed56p-4, 0x1.0573d733154fdp-4, 0x1.04b234d424e93p-4, 0x1.03a401a6368e5p-4, 0x1.024ca4d160794p-4, 0x1.00af793386247p-4, 0x1.fd9f94f7c6295p-5, 0x1.f961ac607728bp-5, 0x1.f4ab91c6b91b1p-5, 0x1.ef837bfbc652ap-5, 0x1.e9ef7d60c0984p-5, 0x1.e3f580efd849ap-5, 0x1.dd9b4d5709fb7p-5, 0x1.d6e68044ced9ep-5, 0x1.cfdc8d4c26945p-5, 0x1.c882c2b1855a9p-5, 0x1.c0de42abe022ap-5, 0x1.b8f404cfd7239p-5, 0x1.b0c8db6edf4aep-5, 0x1.a8616c03f75b6p-5, 0x1.9fc2328ac6c18p-5, 0x1.96ef852862bcfp-5, 0x1.8ded8f04b0d36p-5, 0x1.84c0532d95845p-5, 0x1.7b6baf31ffc36p-5, 0x1.71f3585a7ccf7p-5, 0x1.685ade5144d25p-5, 0x1.5ea5acfe18313p-5, 0x1.54d708e4b353ep-5, 0x1.4af213deb17c1p-5, 0x1.40f9cd0fe901ep-5, 0x1.36f112e33d266p-5, 0x1.2cdaa0e5c257bp-5, 0x1.22b91065fc908p-5, 0x1.188ee0d7ff77ep-5, 0x1.0e5e6f06f4f08p-5, 0x1.0429f9ad3ea87p-5, 0x1.f3e74aa89ecaep-6, 0x1.df7af33c1f54ep-6, 0x1.cb12c6712d5f9p-6, 0x1.b6b2683bd6053p-6, 0x1.a25d4bfb4365dp-6, 0x1.8e16b6441e297p-6, 0x1.79e1b8bb673p-6, 0x1.65c139ac78a1fp-6, 0x1.51b7f2813bf5fp-6, 0x1.3dc8789d17c9fp-6, 0x1.29f531f50429ap-6, 0x1.16405bcc6233bp-6, 0x1.02ac180de771ap-6, 0x1.de74c16074e84p-7, 0x1.b7da127b1f88bp-7, 0x1.918b8b12c5f99p-7, 0x1.6b8c575fd7989p-7, 0x1.45df6d0230f5bp-7, 0x1.2087817ca55a1p-7, 0x1.f70e1c11b74cdp-8, 0x1.adc0b9911cf0cp-8, 0x1.652b0dccce00ep-8, 0x1.1d50ef99352fp-8, 0x1.ac6b98418cbfdp-9, 0x1.1fb97bdb606aep-9, 0x1.292222e365e1ap-10, 0x1.5eef0d4ee3ae8p-14, -0x1.f43bf2435536fp-11, -0x1.037e8293f4271p-9, -0x1.8853c65dd2e0fp-9, -0x1.05c5fbb6ae8eep-8, -0x1.469253bb92e4p-8, -0x1.868df9cb36095p-8, -0x1.c5b834cbabf67p-8, -0x1.0208393220558p-7, -0x1.20cb28c5b7e9fp-7, -0x1.3f24cd6a9999cp-7, -0x1.5d1522227f5fp-7, -0x1.7a9c368d5be8ep-7, -0x1.97ba2b63dd6a5p-7, -0x1.b46f312e304fbp-7, -0x1.d0bb83622806cp-7, -0x1.ec9f6f8712feap-7, -0x1.040daa6a6a221p-6, -0x1.1197ce9999b92p-6, -0x1.1eee5cd41632cp-6, -0x1.2c1193066fcfbp-6, -0x1.3901b51e8dd49p-6, -0x1.45bf0a926e8bbp-6, -0x1.5249e0570541fp-6, -0x1.5ea2854c5165ep-6, -0x1.6ac94c08e796fp-6, -0x1.76be897ce76a5p-6, -0x1.8282952e16f38p-6, -0x1.8e15c9c380755p-6, -0x1.9978843a0fd8bp-6, -0x1.a4ab21aa370c3p-6, -0x1.afae00b78b103p-6, -0x1.ba81817cc8dc5p-6, -0x1.c52604d47cb79p-6, -0x1.cf9bedb0221d7p-6, -0x1.d9e39e0997ab4p-6, -0x1.e3fd785282785p-6, -0x1.ede9df4d9a2a7p-6, -0x1.f7a9355d08ae2p-6, -0x1.009dee7db0572p-5, -0x1.05511c5ce03d5p-5, -0x1.09ee55461be62p-5, -0x1.0e75c9a707c07p-5, -0x1.12e7a9a0e6dep-5, -0x1.17442539a1ebep-5, -0x1.1b8b6bbe1f341p-5, -0x1.1fbdabfe793d8p-5, -0x1.23db14813e58cp-5, -0x1.27e3d37d7836fp-5, -0x1.2bd8167c517d9p-5, -0x1.2fb80a39ebb83p-5, -0x1.3383daed54d38p-5, -0x1.373bb3b4bd5c2p-5, -0x1.3adfbf7e9c72ep-5, -0x1.3e702952e8fa2p-5, -0x1.41ed1b624bc06p-5, -0x1.4556be8c45633p-5, -0x1.48ad3aed449e5p-5, -0x1.4bf0b87121721p-5, -0x1.4f215ec133358p-5, -0x1.523f54c8540f8p-5, -0x1.554ac0a690cbdp-5, -0x1.5843c7dc2c283p-5, -0x1.5b2a8f42bf428p-5, -0x1.5dff3b21da10dp-5, -0x1.60c1ef4cbaf27p-5, -0x1.6372cf1293d5bp-5, -0x1.6611fd3410775p-5, -0x1.689f9bf817edap-5, -0x1.6b1bcd277420fp-5, -0x1.6d86b1d9ce0f4p-5, -0x1.6fe06ac19ccfep-5, -0x1.72291834893acp-5, -0x1.7460da111c74p-5, -0x1.7687cfd092fbap-5, -0x1.789e18a3af30fp-5, -0x1.7aa3d35f6c08p-5, -0x1.7c991df73653bp-5, -0x1.7e7e16b18eccep-5, -0x1.8052db627c0dcp-5, -0x1.8217893f71503p-5, -0x1.83cc3d67ce7dbp-5, -0x1.857114de09693p-5, -0x1.87062c5e91cfap-5, -0x1.888ba061c1cbap-5, -0x1.8a018d3bcc381p-5, -0x1.8b680f1db8418p-5, -0x1.8cbf421630487p-5, -0x1.8e07421f1c6e3p-5, -0x1.8f402b0ff5082p-5, -0x1.906a189d352ecp-5, -0x1.918526839a356p-5, -0x1.9291707a24d69p-5, -0x1.938f121c9e979p-5, -0x1.947e271e160e4p-5, -0x1.955ecb6b3d15dp-5, -0x1.96311abb97a5ep-5, -0x1.96f53072ebdf6p-5, -0x1.97ab28791959p-5, -0x1.98531f1c3c42ap-5, -0x1.98ed305a18b7bp-5, -0x1.99797828455b1p-5, -0x1.99f812c5c1d74p-5, -0x1.9a691c96fe0fap-5, -0x1.9accb2224c9cap-5, -0x1.9b22f018ed393p-5, -0x1.9b6bf3577a2f3p-5, -0x1.9ba7d8f3438f2p-5, -0x1.9bd6be163e1abp-5, -0x1.9bf8bfed79be7p-5, -0x1.9c0dfc342b7c8p-5, -0x1.9c1690bbbf30dp-5, -0x1.9c129b5f356b1p-5, -0x1.9c023a46a7676p-5, -0x1.9be58bd59ccfp-5, -0x1.9bbcaea7d5d01p-5, -0x1.9b87c1977a0f9p-5, -0x1.9b46e3a95417dp-5, -0x1.9afa341a225c1p-5, -0x1.9aa1d26adf4bcp-5, -0x1.9a3dde58d659cp-5, -0x1.99ce77d06d5c5p-5, -0x1.9953bef75e449p-5, -0x1.98cdd45d158e6p-5, -0x1.983cd864b1acbp-5, -0x1.97a0ec3cf8383p-5, -0x1.96fa30cf32f9ep-5, -0x1.9648c775e4f79p-5, -0x1.958cd1afb6006p-5, -0x1.94c6713467f06p-5, -0x1.93f5c8004e799p-5, -0x1.931af847bab6bp-5, -0x1.92362469fe3fp-5, -0x1.91476ef83d59ap-5, -0x1.904efac159d3ap-5, -0x1.8f4ceac50fc33p-5, -0x1.8e41622839228p-5, -0x1.8d2c84436a9dap-5, -0x1.8c0e7499dbc5fp-5, -0x1.8ae756e151b0cp-5, -0x1.89b74ef1fdba9p-5, -0x1.887e80ccdb447p-5, -0x1.873d109a73bf7p-5, -0x1.85f322a61c974p-5, -0x1.84a0db669ae2fp-5, -0x1.83465f62526dbp-5, -0x1.81e3d3200aef1p-5, -0x1.80795b7c02d17p-5, -0x1.7f071d837d5aep-5, -0x1.7d8d3e409fd61p-5, -0x1.7c0be27ce0bbap-5, -0x1.7a832f127290bp-5, -0x1.78f3496cdc831p-5, -0x1.775c56ce5d11fp-5, -0x1.75be7c3c0fac3p-5, -0x1.7419df3834e2p-5, -0x1.726ea532d9cbfp-5, -0x1.70bcf35d3fc58p-5, -0x1.6f04eef18f685p-5, -0x1.6d46bd3a3dd1fp-5, -0x1.6b8283847ae2ep-5, -0x1.69b867090a15dp-5, -0x1.67e88d28ade65p-5, -0x1.66131ac8ee276p-5, -0x1.6438354b98614p-5, -0x1.625801815e194p-5, -0x1.6072a46f04e4bp-5, -0x1.5e8842efec765p-5, -0x1.5c9901c0da59ep-5, -0x1.5aa505801dd79p-5, -0x1.58ac72ad19bbbp-5, -0x1.56af6da6eeb2ep-5, -0x1.54ae1aa96e32p-5, -0x1.52a89dca43e7fp-5, -0x1.509f1af42adc4p-5, -0x1.4e91b5e55ecb9p-5, -0x1.4c809232725c6p-5, -0x1.4a6bd33ab9c82p-5, -0x1.48539c2688d94p-5, -0x1.46380fec6f174p-5, -0x1.4419514b28d98p-5, -0x1.41f782c8250bcp-5, -0x1.3fd2c6ad626a5p-5, -0x1.3dab3f05d6078p-5, -0x1.3b810d9a38e82p-5, -0x1.395453ef72568p-5, -0x1.372533493247p-5, -0x1.34f3ccaa8469cp-5, -0x1.32c040c1fcd26p-5, -0x1.308aaff525e6ep-5, -0x1.2e533a6da2973p-5, -0x1.2c19fffc043ddp-5, -0x1.29df2021b2b68p-5, -0x1.27a2ba129d7d2p-5, -0x1.2564ecadcacbbp-5, -0x1.2325d685c954ep-5, -0x1.20e595ba593b7p-5, -0x1.1ea4484594ee4p-5, -0x1.1c620ba2af5ecp-5, -0x1.1a1efd0554d7ap-5, -0x1.17db39455bcb3p-5, -0x1.1596dcde07889p-5, -0x1.135203ece86cap-5, -0x1.110cca30257ccp-5, -0x1.0ec74b0503391p-5, -0x1.0c81a166906f6p-5, -0x1.0a3be7ed5fdcfp-5, -0x1.07f638d4422b8p-5, -0x1.05b0ae01c7a5dp-5, -0x1.036b60f3a7226p-5, -0x1.01266aa64e959p-5, -0x1.fdc3c7ac1ce2cp-6, -0x1.f93bc9dc32ad8p-6, -0x1.f4b50ba06963fp-6, -0x1.f02fbbe8b8582p-6, -0x1.ebac08eac6ecdp-6, -0x1.e72a201666058p-6, -0x1.e2aa2e13ebecfp-6, -0x1.de2c5ec60e9ddp-6, -0x1.d9b0dd48b5e12p-6, -0x1.d537d3f01cf09p-6, -0x1.d0c16c47b794cp-6, -0x1.cc4dcef92d2edp-6, -0x1.c7dd23ab94c3ap-6, -0x1.c36f911378ab4p-6, -0x1.bf053d0d2c98p-6, -0x1.ba9e4cbc8de1dp-6, -0x1.b63ae43d7dd8cp-6, -0x1.b1db273296682p-6, -0x1.ad7f38a5e9dd7p-6, -0x1.a9273b24163acp-6, -0x1.a4d350a3ca2c6p-6, -0x1.a0839a6466f8ep-6, -0x1.9c3838cb55996p-6, -0x1.97f14b55b753ap-6, -0x1.93aef048c6b7bp-6, -0x1.8f7144deb8ba9p-6, -0x1.8b38652e907c1p-6, -0x1.87046c7e249b3p-6, -0x1.82d5755db7878p-6, -0x1.7eab99d8b6b2bp-6, -0x1.7a86f39420a4dp-6, -0x1.76679bc806e04p-6, -0x1.724dab32d69f9p-6, -0x1.6e393a020af8fp-6, -0x1.6a2a5ee42f9bbp-6, -0x1.66212ed685f6fp-6, -0x1.621dbe13fb968p-6, -0x1.5e201ff299449p-6, -0x1.5a286755e8658p-6, -0x1.5636a63cd4aecp-6, -0x1.524aef00e62fdp-6, -0x1.4e6554d8dfd8cp-6, -0x1.4a85ebbfc3a92p-6, -0x1.46acc818ab913p-6, -0x1.42d9fe005da95p-6, -0x1.3f0da052514f4p-6, -0x1.3b47bfa8a57aap-6, -0x1.3788697fcbf79p-6, -0x1.33cfa7cf22164p-6, -0x1.301d814127138p-6, -0x1.2c71fa051930bp-6, -0x1.28cd152ecae11p-6, -0x1.252ed6617fd1ap-6, -0x1.2197437085ab1p-6, -0x1.1e06659625313p-6, -0x1.1a7c49f0efdaep-6, -0x1.16f9011bb5f4p-6, -0x1.137c9de5bbe34p-6, -0x1.1007336425cb9p-6, -0x1.0c98d2bb96dc5p-6, -0x1.0931891551e43p-6, -0x1.05d15e34c3af9p-6, -0x1.0278540a00d3dp-6, -0x1.fe4cceb2e53d3p-7, -0x1.f7b72283b92fap-7, -0x1.f12f9354fd939p-7, -0x1.eab613c1a395ep-7, -0x1.e44a9cd5af986p-7, -0x1.dded30938de56p-7, -0x1.d79dda5053d7ep-7, -0x1.d15cac8b50fa6p-7, -0x1.cb29bce503369p-7, -0x1.c5051f0d17fe1p-7, -0x1.beeedfc21e62ap-7, -0x1.b8e7011dbfa7ap-7, -0x1.b2ed7933cc628p-7, -0x1.ad0233875561dp-7, -0x1.a7251515bd67fp-7, -0x1.a1560247b0514p-7, -0x1.9b94e59f351c6p-7, -0x1.95e1b589999e4p-7, -0x1.903c781772cd7p-7, -0x1.8aa543859df27p-7, -0x1.851c3b18ab1ecp-7, -0x1.7fa1889fd0b46p-7, -0x1.7a3553a95dfa5p-7, -0x1.74d7b7fb740fbp-7, -0x1.6f88bd1f87b02p-7, -0x1.6a4850b84e272p-7, -0x1.651644e452b86p-7, -0x1.5ff2534a0744dp-7, -0x1.5adc24501f6e7p-7, -0x1.55d35a6f29ac4p-7, -0x1.50d79e5973d86p-7, -0x1.4be8ac021c1f6p-7, -0x1.47065c571e90fp-7, -0x1.4230ab398620cp-7, -0x1.3d67b7ef03d4ep-7, -0x1.38abbfc381e6dp-7, -0x1.33fd13b724543p-7, -0x1.2f5c0ae42bc05p-7, -0x1.2ac8f3de03b67p-7, -0x1.264407749e4bfp-7, -0x1.21cd5ee40b9c5p-7, -0x1.1d64ed875ee4dp-7, -0x1.190a7f7cc2433p-7, -0x1.14bdc214036e4p-7, -0x1.107e49cac5p-7, -0x1.0c4b9d6dd7b6cp-7, -0x1.082548558b96ap-7, -0x1.040ae4445abcp-7, -0x1.fff848941c543p-8, -0x1.f7f1b907cb403p-8, -0x1.f00206b2e4b5p-8, -0x1.e8295b4f77386p-8, -0x1.e0680dad219c5p-8, -0x1.d8be8cb664eabp-8, -0x1.d12d493bb24bbp-8, -0x1.c9b4a21053869p-8, -0x1.c254d3dc0c728p-8, -0x1.bb0df0471797dp-8, -0x1.b3dfda16c3bcp-8, -0x1.acca48daf72fcp-8, -0x1.a5ccd2236bc27p-8, -0x1.9ee6f6fbfa461p-8, -0x1.9818339f848c6p-8, -0x1.91600a6d8aafp-8, -0x1.8abe0b035aaa9p-8, -0x1.8431da2fc0a7p-8, -0x1.7dbb30e741ad4p-8, -0x1.7759d69eeaa23p-8, -0x1.710da2f9952c3p-8, -0x1.6ad67eeec127ep-8, -0x1.64b4635dd85ecp-8, -0x1.5ea7559784523p-8, -0x1.58af606f552cfp-8, -0x1.52cc8aee4e529p-8, -0x1.4cfec9887f9ebp-8, -0x1.4745fa9b978c4p-8, -0x1.41a1e3766759fp-8, -0x1.3c123f8d76257p-8, -0x1.3696acbf9cebcp-8, -0x1.312eecc555fbbp-8, -0x1.2bdab73b37deap-8, -0x1.2699d0eaf0055p-8, -0x1.216bfacf5a22p-8, -0x1.1c50e54d5c2d7p-8, -0x1.17482e8c7af33p-8, -0x1.12516c1871a95p-8, -0x1.0d6c3f8fb4466p-8, -0x1.08986b58f67f7p-8, -0x1.03d5dc9b29acdp-8, -0x1.fe49481a1e2bfp-9, -0x1.f509c17fb0e6p-9, -0x1.ebed507fc29d9p-9, -0x1.e2f3f291b81bcp-9, -0x1.da1d807748b15p-9, -0x1.d169d412caddbp-9, -0x1.c8d8f3924e377p-9, -0x1.c06b26de3490dp-9, -0x1.b820e626a8fbbp-9, -0x1.affaa0d683acap-9, -0x1.a7f86c58c04a8p-9, -0x1.a019b5156dfabp-9, -0x1.985d0f4769dd9p-9, -0x1.90c042e26aa26p-9, -0x1.8940a06558ecdp-9, -0x1.81db8fc82dcc4p-9, -0x1.7a8f2a5b00dd1p-9, -0x1.735aa1d8dcbddp-9, -0x1.6c3e473e2fb9bp-9, -0x1.653b2cc8714a8p-9, -0x1.5e528d95a96f4p-9, -0x1.5785430aa9405p-9, -0x1.50d38677f6a63p-9, -0x1.4a3d10a187e23p-9, -0x1.43c177c0bea2ap-9, -0x1.3d6095558f953p-9, -0x1.371ac5b1ecb6dp-9, -0x1.30f0ebffa67ep-9, -0x1.2ae43d7a8475ep-9, -0x1.24f5e65202a7p-9, -0x1.1f26a128d41ffp-9, -0x1.19765a3bdca51p-9, -0x1.13e3f7442b4f1p-9, -0x1.0e6d5e1ec70aap-9, -0x1.090fcae729d1fp-9, -0x1.03c8685bf112cp-9, -0x1.fd29eb79331d1p-10, -0x1.f2e8618a07feep-10, -0x1.e8cba0e16642cp-10, -0x1.ded4310fb4544p-10, -0x1.d502a35da4639p-10, -0x1.cb56f61ba3021p-10, -0x1.c1d0b8c2efc3bp-10, -0x1.b86fadaa20393p-10, -0x1.af3459531cf2p-10, -0x1.a62024c90b6c3p-10, -0x1.9d350808498c7p-10, -0x1.9474e723b6b17p-10, -0x1.8be0eefbdb1d7p-10, -0x1.83794b535fcc5p-10, -0x1.7b3d507710d7ep-10, -0x1.732c60d0eaaap-10, -0x1.6b455ae66c72fp-10, -0x1.6387c81b781d7p-10, -0x1.5bf22114058d1p-10, -0x1.548276a89d1a1p-10, -0x1.4d36576f54ed2p-10, -0x1.460b949232612p-10, -0x1.3f00f2733a38cp-10, -0x1.381656237cc53p-10, -0x1.314c493db4d25p-10, -0x1.2aa322aecc889p-10, -0x1.241a5d81a5459p-10, -0x1.1db06f2bfed2bp-10, -0x1.17630eecbae48p-10, -0x1.112fff2fb214fp-10, -0x1.0b16149feef27p-10, -0x1.0515d5aec06d8p-10, -0x1.fe62751a20367p-11, -0x1.f2d4fa8b12c92p-11, -0x1.e785b82acbf25p-11, -0x1.dc743bbbcdf99p-11, -0x1.d19de0b1e2419p-11, -0x1.c6ff75465b598p-11, -0x1.bc968dd2d56d9p-11, -0x1.b262301064effp-11, -0x1.a8629db2b93d3p-11, -0x1.9e985680bace1p-11, -0x1.95036dac84d5fp-11, -0x1.8ba281a3d8928p-11, -0x1.82729b71e6912p-11, -0x1.796fe553ae651p-11, -0x1.709779a42a31ap-11, -0x1.67e8f0b5247a1p-11, -0x1.5f663282f420cp-11, -0x1.5711836e27e88p-11, -0x1.4eeb6d6fc0812p-11, -0x1.46f287418315bp-11, -0x1.3f25776aaef56p-11, -0x1.37848a98c4d8p-11, -0x1.30107a3980c43p-11, -0x1.28c80c2f77463p-11, -0x1.21a79d16ad68bp-11, -0x1.1aaadf3c7261dp-11, -0x1.13ceea4f84338p-11, -0x1.0d1287f652023p-11, -0x1.06768f32a45c5p-11, -0x1.fff842867bb07p-12, -0x1.f3494ee56529dp-12, -0x1.e6e26168bb6d9p-12, -0x1.dac48f1bddfa6p-12, -0x1.cef066b5a030ep-12, -0x1.c366d2d24fd05p-12, -0x1.b827d8fd0cc55p-12, -0x1.ad2eb2625aa13p-12, -0x1.a270c5d6485d5p-12, -0x1.97e463aebc736p-12, -0x1.8d88f1ecb83f4p-12, -0x1.836593b24a9f5p-12, -0x1.797f2c34a9d62p-12, -0x1.6fd2506e2cbe3p-12, -0x1.6658f84c81598p-12, -0x1.5d1384f53db34p-12, -0x1.5407f6f17bbd4p-12, -0x1.4b3a08927e5e6p-12, -0x1.42a823fbd2627p-12, -0x1.3a4e9a13804bbp-12, -0x1.322aa2eb1d30ep-12, -0x1.2a3a5c3d7897fp-12, -0x1.227b17ce0cfaep-12, -0x1.1ae7fbfbb06aap-12, -0x1.137aac01a9d05p-12, -0x1.0c2e98f95c3p-12, -0x1.0504b1ff11994p-12, -0x1.fc069c8ff451ap-13, -0x1.ee6317e5e674dp-13, -0x1.e122afa749181p-13, -0x1.d440d453ed868p-13, -0x1.c7b8c45550e6fp-13, -0x1.bb8adf7a2c5cdp-13, -0x1.afb088b9b72d4p-13, -0x1.a417d88807ba8p-13, -0x1.98b7c2cb23699p-13, -0x1.8d9bb2f20afc2p-13, -0x1.82ce025cb9e7ep-13, -0x1.7844dc0fcd272p-13, -0x1.6df26c71833c2p-13, -0x1.63db57b4981f3p-13, -0x1.5a0cda7a1eccfp-13, -0x1.5088e91e65981p-13, -0x1.47473aac38cf2p-13, -0x1.3e3fb37f70e6fp-13, -0x1.356eb1d979b0bp-13, -0x1.2cd430db5f871p-13, -0x1.247273d6dae89p-13, -0x1.1c4ceadb42111p-13, -0x1.1466834c770ffp-13, -0x1.0cbfbcdb06112p-13, -0x1.0554821b8d2b7p-13, -0x1.fc3445c7dfe43p-14, -0x1.ee0966dedbeddp-14, -0x1.e020c72503353p-14, -0x1.d292fe751e767p-14, -0x1.c578c77b82131p-14, -0x1.b8c7df8fa2cf9p-14, -0x1.ac6e268d32693p-14, -0x1.a071f6a053aep-14, -0x1.94e1c0f27919ep-14, -0x1.89aceea142cdep-14, -0x1.7ebbd06651fbbp-14, -0x1.7413c5fd89443p-14, -0x1.69bd8440c5032p-14, -0x1.5fa68dd2f9087p-14, -0x1.55c6b7d3b1a52p-14, -0x1.4c353bc4dcaadp-14, -0x1.42fd091fd1074p-14, -0x1.3a11f5634b181p-14, -0x1.316798a2afd63p-14, -0x1.28f973fc3e54ap-14, -0x1.20c6f2fc43e77p-14, -0x1.18d0196faabafp-14, -0x1.111472ea591e9p-14, -0x1.09932965265f2p-14, -0x1.024bc2bd92d4p-14, -0x1.f67d62da41eb6p-15, -0x1.e8da77079e1e2p-15, -0x1.dbaf833b83126p-15, -0x1.cf007b099efcep-15, -0x1.c2cb9ac54687fp-15, -0x1.b6fc5a5c6c1bep-15, -0x1.ab76ac5a41822p-15, -0x1.a040e52255014p-15, -0x1.9571afac5f6dep-15, -0x1.8af526a86fc9p-15, -0x1.80bdfb04f7676p-15, -0x1.76ea11dcf0741p-15, -0x1.6d915024169c2p-15, -0x1.64a4a76c58848p-15, -0x1.5bfb3778fbb43p-15, -0x1.538b9db7a3343p-15, -0x1.4b5b57fd427abp-15, -0x1.435c21f80e608p-15, -0x1.3ba59559c7be1p-15, -0x1.344dd8d50cf3bp-15, -0x1.2d440077ee95cp-15, -0x1.26771394549fap-15, -0x1.1fe32bfa611fcp-15, -0x1.19892883104aap-15, -0x1.1369b7a61fec6p-15, -0x1.0d84894c9d3fp-15, -0x1.07d899308c65bp-15, -0x1.02646ea231dd8p-15, -0x1.fa4c0c57e322bp-16, -0x1.f035b49cae976p-16, -0x1.e6822b4e02fa1p-16, -0x1.dd2fdec464405p-16, -0x1.d43c0e56f7116p-16, -0x1.cba342ad4e913p-16, -0x1.c36a6d3e6fbecp-16, -0x1.bba7144998bc2p-16, -0x1.b44a3e97fef11p-16, -0x1.ad329c0339265p-16, -0x1.a65591579cd99p-16, -0x1.9fad2199afd9dp-16, -0x1.99425ff20f2ecp-16, -0x1.93383fda505b3p-16, -0x1.8d7fa8bc01dc2p-16, -0x1.880b79ede6327p-16, -0x1.82ec644e9ee43p-16, -0x1.7e1484d072c2cp-16, -0x1.7962dfde79af7p-16, -0x1.74d1f8a0188ebp-16, -0x1.706ff08c0ddbep-16, -0x1.6c5e87317af9fp-16, -0x1.688f510cf991ap-16, -0x1.64ed801bc1d37p-16, -0x1.61763eb1d4257p-16, -0x1.5e2b706c53557p-16, -0x1.5b0d692cacdb4p-16, -0x1.581b534dd8032p-16, -0x1.5552d1526b261p-16, -0x1.52b7f420f27dcp-16, -0x1.503e81ecc8b2ep-16, -0x1.4deded672dc4p-16, -0x1.4bc207e686032p-16, -0x1.49b82e4959562p-16, -0x1.47cebec157bacp-16, -0x1.460402ef5acc2p-16, -0x1.445640dce3cb6p-16, -0x1.42c3602a68f14p-16, -0x1.414aa27d47376p-16, -0x1.3ff8217a3baap-16, -0x1.3ed07ca69d401p-16, -0x1.3dbae7432502cp-16, -0x1.3caa2f4bc7aap-16, -0x1.3ba8417ff700bp-16, -0x1.3aca0b60d6848p-16, -0x1.3a0455e512da8p-16, -0x1.394d87c53d659p-16, -0x1.38a4d1a22afd6p-16, -0x1.380a5887d6d6bp-16, -0x1.37832932c52dbp-16, -0x1.371730cb709ebp-16, -0x1.36b75b96d15ap-16, -0x1.3656941378dbdp-16, -0x1.36050ba6a4e66p-16, -0x1.35c989476a251p-16, -0x1.35986ac77354p-16, -0x1.356ecb7720108p-16, -0x1.354db628353a4p-16, -0x1.3535801c74effp-16, -0x1.3525cc170878p-16, -0x1.351e04b3670d2p-16, -0x1.351d9de5c611p-16, -0x1.3523fed259843p-16, -0x1.352f97e81c52p-16, -0x1.35415e843ad81p-16, -0x1.3557ee4c0749ep-16, -0x1.357378940e495p-16, -0x1.35924996665c9p-16, -0x1.35b34a2b53fe3p-16, -0x1.35d8cd2eeaa56p-16, -0x1.35fd812380dd7p-16, -0x1.362482986f3b7p-16, -0x1.364cafad38d95p-16, -0x1.367b2e712d25ep-16, -0x1.36ac436117effp-16, -0x1.36d487af37196p-16, -0x1.36fff2379ddp-16, -0x1.372f8bb0ff211p-16, -0x1.375b6a6195d62p-16, -0x1.37852a4884341p-16, -0x1.37ac9b77221bcp-16, -0x1.37d24e4f61a4ep-16, -0x1.37f66b9b17209p-16, -0x1.381835f858812p-16, -0x1.3836623ee545cp-16, -0x1.38517882f0531p-16, -0x1.386d08ae00b99p-16, -0x1.3882e85680e8p-16, -0x1.389453148ee0dp-16, -0x1.38a547e96fa05p-16, -0x1.38b137e18b3b1p-16, -0x1.38b77a1625e9cp-16, -0x1.38b999efa1b68p-16, -0x1.38b7391a609f7p-16, -0x1.38b02881e885fp-16, -0x1.38a49d036681dp-16, -0x1.3893b9884d411p-16, -0x1.387d265d2e246p-16, -0x1.3864525497443p-16, -0x1.38424920d3a05p-16, -0x1.381c89751c673p-16, -0x1.37f1d3e803b21p-16, -0x1.37c0d4d0188dcp-16, -0x1.37891b0c2cec2p-16, -0x1.374c50ecfcde4p-16, -0x1.3709d5404421p-16, -0x1.36c14043df73p-16, -0x1.3670eabfd9b25p-16, -0x1.361d32fe04f12p-16, -0x1.35c2aceb43aap-16, -0x1.35616ffa446c3p-16, -0x1.34fc2c5b5b28dp-16, -0x1.348f5ed7ff364p-16, -0x1.341b8a62c52aep-16, -0x1.33a139dce9989p-16, -0x1.3320ac565a827p-16, -0x1.3299c664853ep-16, -0x1.320c7215fde79p-16, -0x1.3178afa524855p-16, -0x1.30de9d48d2287p-16, -0x1.303e715078ca9p-16, -0x1.2f983c3407107p-16, -0x1.2eeb95fc59ff4p-16, -0x1.2e37492f3dfdbp-16, -0x1.2d7b917762f52p-16, -0x1.2cbc70dfde3c4p-16, -0x1.2bf717f3e167ep-16, -0x1.2b2c096c03bffp-16, -0x1.2a59e62c938b6p-16, -0x1.298077c2f78a9p-16, -0x1.28a10c19c92c5p-16, -0x1.27bbc40cebcccp-16, -0x1.26d08968c106ep-16, -0x1.25df445743ba8p-16, -0x1.24e7ea778d249p-16, -0x1.23eaab57275c2p-16, -0x1.22e7aa04f69e5p-16, -0x1.21dee355dbfdap-16, -0x1.20d04cce5c50fp-16, -0x1.1fbbe91c31959p-16, -0x1.1ea1d68f8448p-16, -0x1.1d8242524d859p-16, -0x1.1c5d2c1882f24p-16, -0x1.1b32d5ee0b20bp-16, -0x1.1a029cd53c9a9p-16, -0x1.18cca905cddfap-16, -0x1.1790e7d1a916fp-16, -0x1.16524b565d5efp-16, -0x1.150e907eff906p-16, -0x1.13c459590d131p-16, -0x1.1275d7d3e0f6bp-16, -0x1.1121525487c6fp-16, -0x1.0fc8291e6d1bcp-16, -0x1.0e6a9e87fb562p-16, -0x1.0d07e3f75c002p-16, -0x1.0ba169239797ap-16, -0x1.0a367fab88047p-16, -0x1.08c63a9176b1ep-16, -0x1.0752343e7beebp-16, -0x1.05d9a788a6286p-16, -0x1.045cc87daa407p-16, -0x1.02dbeeffe952cp-16, -0x1.015701e45a4f6p-16, -0x1.ff9aeae80e9efp-17, -0x1.fc7fb7431b0abp-17, -0x1.f95f9adaecb4ep-17, -0x1.f632ffe908a52p-17, -0x1.f3070a20db1ap-17, -0x1.efcfd456a3f0ep-17, -0x1.ec9164a4b2e74p-17, -0x1.e94c2e19d9c52p-17, -0x1.e60038068bd55p-17, -0x1.e2adbf1cf9b8ap-17, -0x1.df54ee90e19ffp-17, -0x1.dbf5f03a5884ap-17, -0x1.d890ea598e82cp-17, -0x1.d525d96f86651p-17, -0x1.d1b6028f0f325p-17, -0x1.ce3f344ae4b69p-17, -0x1.cac3ff7086703p-17, -0x1.c7436059c6209p-17, -0x1.c3bda202286f1p-17, -0x1.c03311823396dp-17, -0x1.bca3f3fa19f16p-17, -0x1.b910126effe2ep-17, -0x1.b5773bc23167ap-17, -0x1.b1d9d81acc6a5p-17, -0x1.ae3c405db41bep-17, -0x1.aa95d673d4a2cp-17, -0x1.a6ed436f72105p-17, -0x1.a340ad430d221p-17, -0x1.9f90d869b26e1p-17, -0x1.9bde244563354p-17, -0x1.9827fb02e553bp-17, -0x1.946ce966751ccp-17, -0x1.90b0eff584043p-17, -0x1.8cf4641d50563p-17, -0x1.89313b13174f3p-17, -0x1.856befde1d3ffp-17, -0x1.81a614e76d52ep-17, -0x1.7ddeae9725fcp-17, -0x1.7a14af4a5064p-17, -0x1.7645aea197cf3p-17, -0x1.7277a47d8f6bap-17, -0x1.6ea5c58ea8cc7p-17, -0x1.6ad61b49c2ac1p-17, -0x1.6704e895fd485p-17, -0x1.632f889d6cbe2p-17, -0x1.5f5724f8c8286p-17, -0x1.5b822c6d19593p-17, -0x1.57a9a33debbe2p-17, -0x1.53d296da0153cp-17, -0x1.4ffbba0791ceep-17, -0x1.4c21d8132b46fp-17, -0x1.4847c10c932c7p-17, -0x1.446e2999bde94p-17, -0x1.40945bba87df9p-17, }}, 
      {{0x1.c56a9a4e0e2c1p-4, 0x1.2f1fd8f1f6bcap-3, 0x1.c1d68f93b2785p-4, 0x1.5326e2488a78dp-6, -0x1.788645bb950e3p-4, -0x1.a62d0d92fad55p-3, -0x1.3ac5589190971p-2, -0x1.8d0524bc153c9p-2, -0x1.c6cfb7472544p-2, -0x1.e89e88d8fd90cp-2, -0x1.f50b746eca086p-2, -0x1.efc738cf63f57p-2, -0x1.dcdfc0b60fee2p-2, -0x1.c047a4cedffa6p-2, -0x1.9d8efe5c3d476p-2, -0x1.77bf599d6063fp-2, -0x1.514f5917e9f23p-2, -0x1.2c2573e7901ap-2, -0x1.09a3a58486ff6p-2, -0x1.d56fa3c45ebb5p-3, -0x1.9fdc03005307cp-3, -0x1.73053d95cabd4p-3, -0x1.4ee7389e80701p-3, -0x1.331fd478ce269p-3, -0x1.1f09e2c84bdadp-3, -0x1.11d3f8698e606p-3, -0x1.0a9335817fa37p-3, -0x1.0852473036903p-3, -0x1.0a1d074ff7e37p-3, -0x1.0f0924441d672p-3, -0x1.163c43cbe52bbp-3, -0x1.1ef00dec75a1ep-3, -0x1.287485909da68p-3, -0x1.32310a1ae6571p-3, -0x1.3ba4535ceaa6dp-3, -0x1.4463ae5d5c1bap-3, -0x1.4c19b16cab86ep-3, -0x1.52849736e3bf1p-3, -0x1.577465703dc9ap-3, -0x1.5ac8faf2338e8p-3, -0x1.5c7016f21a9b7p-3, -0x1.5c636b12ab293p-3, -0x1.5aa6c58ff141ep-3, -0x1.5746571e0cfc5p-3, -0x1.52551a490212fp-3, -0x1.4beb62868c89ap-3, -0x1.4425944be8d5dp-3, -0x1.3b2301a4e5f45p-3, -0x1.3104ed0304025p-3, -0x1.25edb0b4f414fp-3, -0x1.1a00089b782bp-3, -0x1.0d5e790845c7p-3, -0x1.002ad292a3ef7p-3, -0x1.e50b96a4cb60ap-4, -0x1.c91d63dd2fb31p-4, -0x1.acc6647a310c5p-4, -0x1.903e510bc828p-4, -0x1.73b90852decffp-4, -0x1.57666c468695cp-4, -0x1.3b724f3f442d8p-4, -0x1.2004786fa62cep-4, -0x1.0540af5e74119p-4, -0x1.d68db1ee82ad1p-5, -0x1.a466276d99dd3p-5, -0x1.743bc6536e8c8p-5, -0x1.4638b058216dap-5, -0x1.1a80848dd864cp-5, -0x1.e26185ee4f381p-6, -0x1.94c25f204ae65p-6, -0x1.4c48784a5584fp-6, -0x1.090edbd6656bbp-6, -0x1.964eff4e3d4e4p-7, -0x1.253811a9674f6p-7, -0x1.7dba203d2d2d8p-8, -0x1.8cd15191473cp-9, -0x1.227c9950c9328p-11, 0x1.a34e54d287206p-10, 0x1.c2ae54abc0a5cp-9, 0x1.45a320e911858p-8, 0x1.962ee25e8daf4p-8, 0x1.d37f4877c19a2p-8, 0x1.fe24beef4c6fdp-8, 0x1.0b5cc5e49533cp-7, 0x1.0ef0163b2a60ep-7, 0x1.0a20e965c2b5fp-7, 0x1.fa8d1a524b42p-8, 0x1.d174ac94b5728p-8, 0x1.99ae35db65ee2p-8, 0x1.53f148f19a8c4p-8, 0x1.00f66936925adp-8, 0x1.42ec764b37b81p-9, 0x1.b145d039b2d3ap-11, -0x1.00ee26eaf2144p-10, -0x1.8203dd5c15162p-9, -0x1.4b78675c74262p-8, -0x1.deefe3bc4c288p-8, -0x1.3d5e68dd8998fp-7, -0x1.8f1bb1b1e5245p-7, -0x1.e45dfb52e59e2p-7, -0x1.1e6ad17ea9033p-6, -0x1.4c1aadb7fbc47p-6, -0x1.7b191c4c08055p-6, -0x1.ab41e375b4e0fp-6, -0x1.dc720f6f12deap-6, -0x1.0743f8d94e7b4p-5, -0x1.20b195caa6546p-5, -0x1.3a7253fc23668p-5, -0x1.547750901fce7p-5, -0x1.6eb24f2f445d7p-5, -0x1.8915b7a9881d2p-5, -0x1.a39495ccfaa17p-5, -0x1.be2296bdca0ddp-5, -0x1.d8b4052152049p-5, -0x1.f33dc930e669p-5, -0x1.06dab0ea7f6a7p-4, -0x1.1408723b636d2p-4, -0x1.21237b89870cbp-4, -0x1.2e2766233bdc5p-4, -0x1.3b101134e2491p-4, -0x1.47d99de5b5fbp-4, -0x1.54806d544162p-4, -0x1.6101203bb483ap-4, -0x1.6d589318f06c1p-4, -0x1.7983dba340cbdp-4, -0x1.858048e5a93c5p-4, -0x1.914b5ef1b4d89p-4, -0x1.9ce2d4ec0a805p-4, -0x1.a8449487c53ccp-4, -0x1.b36eb6a13a19cp-4, -0x1.be5f80538e0b2p-4, -0x1.c91563257e93bp-4, -0x1.d38efa9111077p-4, -0x1.ddcb079bac3cep-4, -0x1.e7c8721f5f449p-4, -0x1.f186460678d8p-4, -0x1.fb03b07d85271p-4, -0x1.021fff39d6bb8p-3, -0x1.069d4e539348p-3, -0x1.0af98a86f47a9p-3, -0x1.0f34857c384a2p-3, -0x1.134e1e828dd5cp-3, -0x1.174641a8817c5p-3, -0x1.1b1ce5cc165eap-3, -0x1.1ed20c74627f6p-3, -0x1.2265c2078dd28p-3, -0x1.25d81cb4945b9p-3, -0x1.29293af62c501p-3, -0x1.2c5943ce06132p-3, -0x1.2f6866b2ee3d8p-3, -0x1.3256da7db574dp-3, -0x1.3524dc6cb2546p-3, -0x1.37d2aff1a6f72p-3, -0x1.3a609f44f44eep-3, -0x1.3ccefa19fe2b3p-3, -0x1.3f1e1495ece7ap-3, -0x1.414e478c52865p-3, -0x1.435ff0cdf6c4bp-3, -0x1.4553721dde57bp-3, -0x1.47293081150a2p-3, -0x1.48e193d970ed2p-3, -0x1.4a7d07ca0db9fp-3, -0x1.4bfbfacdb7381p-3, -0x1.4d5edd4a3bfddp-3, -0x1.4ea621a3e9b43p-3, -0x1.4fd23c43da4acp-3, -0x1.50e3a3a71f714p-3, -0x1.51dacfa36741cp-3, -0x1.52b838f448414p-3, -0x1.537c590c6c4c8p-3, -0x1.5427aabb893ddp-3, -0x1.54baa995a022ap-3, -0x1.5535d16834eefp-3, -0x1.55999e136bf37p-3, -0x1.55e68b9653592p-3, -0x1.561d164c7a207p-3, -0x1.563dba798372cp-3, -0x1.5648f400bbfd2p-3, -0x1.563f3e2ef5ef7p-3, -0x1.562113b6a6259p-3, -0x1.55eeef29caef1p-3, -0x1.55a94a667177dp-3, -0x1.55509e55d25cp-3, -0x1.54e562dec1d71p-3, -0x1.54680f0b10274p-3, -0x1.53d91900eb6cep-3, -0x1.5338f5f74a811p-3, -0x1.528819da63494p-3, -0x1.51c6f74f3d83p-3, -0x1.50f5ffb613741p-3, -0x1.5015a3486fb1p-3, -0x1.4f2650ee126aap-3, -0x1.4e28764d91dbap-3, -0x1.4d1c7f7b0cf7dp-3, -0x1.4c02d71120e7dp-3, -0x1.4adbe629be2b5p-3, -0x1.49a8149d2ca21p-3, -0x1.4867c8c237ec9p-3, -0x1.471b6750cb3e7p-3, -0x1.45c35378dfe1ap-3, -0x1.445feecbcd271p-3, -0x1.42f19956ea40bp-3, -0x1.4178b1a023ec5p-3, -0x1.3ff594bc13761p-3, -0x1.3e689e098ce6fp-3, -0x1.3cd22749d843dp-3, -0x1.3b3288b03097p-3, -0x1.398a18d8629b1p-3, -0x1.37d92cdacf92dp-3, -0x1.36201849148c5p-3, -0x1.345f2d1e65842p-3, -0x1.3296bbbb59a25p-3, -0x1.30c712f30a74ep-3, -0x1.2ef080172b47fp-3, -0x1.2d134ef27125p-3, -0x1.2b2fc9d2a4f5p-3, -0x1.2946398e24a32p-3, -0x1.2756e57c27fdbp-3, -0x1.2562136978f42p-3, -0x1.236807c7273d7p-3, -0x1.216905727d096p-3, -0x1.1f654df7d8ae8p-3, -0x1.1d5d2191e33b8p-3, -0x1.1b50bf036f713p-3, -0x1.194063acc918dp-3, -0x1.172c4b96148e4p-3, -0x1.1514b169f7d68p-3, -0x1.12f9ce8880795p-3, -0x1.10dbdb0f7266ap-3, -0x1.0ebb0dd6f8e64p-3, -0x1.0c979c72d9937p-3, -0x1.0a71bb37f9e56p-3, -0x1.08499d3e7c24cp-3, -0x1.061f74688ded4p-3, -0x1.03f3716d5a9d2p-3, -0x1.01c5c3deeb76dp-3, -0x1.ff2d3450fbcbfp-4, -0x1.facc433392fdap-4, -0x1.f6690cd2019c6p-4, -0x1.f203e7441d3b3p-4, -0x1.ed9d2696840a3p-4, -0x1.e9351cba12664p-4, -0x1.e4cc1990335dfp-4, -0x1.e0626af698297p-4, -0x1.dbf85ccbdd65dp-4, -0x1.d78e38f3286e3p-4, -0x1.d324477430d61p-4, -0x1.cebace5948982p-4, -0x1.ca5211d127ec3p-4, -0x1.c5ea5442e5919p-4, -0x1.c183d64d00849p-4, -0x1.bd1ed6d1ffadcp-4, -0x1.b8bb92f5dfef5p-4, -0x1.b45a4627a337cp-4, -0x1.affb2a3085a86p-4, -0x1.ab9e77399e628p-4, -0x1.a74463d2769e2p-4, -0x1.a2ed24f7e1d8dp-4, -0x1.9e98ee1a71bdbp-4, -0x1.9a47f135d701cp-4, -0x1.95fa5eb8c60d7p-4, -0x1.91b065ab6e907p-4, -0x1.8d6a33a427c97p-4, -0x1.8927f4d15b406p-4, -0x1.84e9d4038c883p-4, -0x1.80affab4010c3p-4, -0x1.7c7a91104f3e9p-4, -0x1.7849bdf695171p-4, -0x1.741da6f83769p-4, -0x1.6ff6706ba0037p-4, -0x1.6bd43d7267021p-4, -0x1.67b72ffb588a3p-4, -0x1.639f68c7d96d1p-4, -0x1.5f8d07721bbbp-4, -0x1.5b802a7360e25p-4, -0x1.5778ef2948271p-4, -0x1.537771d7a0d4ap-4, -0x1.4f7bcdb32d2d5p-4, -0x1.4b861cef7245p-4, -0x1.479678ac79fb3p-4, -0x1.43acf90bea605p-4, -0x1.3fc9b537e4c04p-4, -0x1.3becc35c87868p-4, -0x1.381638b80465bp-4, -0x1.3446299acf7d3p-4, -0x1.307ca966f5687p-4, -0x1.2cb9caa1e934ap-4, -0x1.28fd9eedf3447p-4, -0x1.2548371306431p-4, -0x1.2199a302ac015p-4, -0x1.1df1f1da06cd5p-4, -0x1.1a5131e890783p-4, -0x1.16b770b2c67f9p-4, -0x1.1324bafcb2ef2p-4, -0x1.0f991cbe04e23p-4, -0x1.0c14a138ea9e9p-4, -0x1.089752f2063d7p-4, -0x1.05213bb624a26p-4, -0x1.01b2649ef52fcp-4, -0x1.fc95ac346ff76p-5, -0x1.f5d52fd6138e2p-5, -0x1.ef236255a5c8cp-5, -0x1.e880509f7f654p-5, -0x1.e1ec0664ad5e2p-5, -0x1.db668e19f3963p-5, -0x1.d4eff0fb101fdp-5, -0x1.ce883718e4486p-5, -0x1.c82f67606838bp-5, -0x1.c1e5879f8c006p-5, -0x1.bbaa9c86c7a1bp-5, -0x1.b57ea9b1098f2p-5, -0x1.af61b1b65d307p-5, -0x1.a953b62d34e9dp-5, -0x1.a354b797e3f5ep-5, -0x1.9d64b58485bedp-5, -0x1.9783ae9b6698fp-5, -0x1.91b1a085c626dp-5, -0x1.8bee8801a4b65p-5, -0x1.863a60f017ed8p-5, -0x1.8095265e2341ap-5, -0x1.7afed27c8808cp-5, -0x1.75775e99edc94p-5, -0x1.6ffec33cf567ep-5, -0x1.6a94f827e5482p-5, -0x1.6539f450e723ep-5, -0x1.5fedadf558dbp-5, -0x1.5ab01a9d6e5fdp-5, -0x1.55812f170a4cfp-5, -0x1.5060df7e07298p-5, -0x1.4b4f1f46fc755p-5, -0x1.464be144c6d45p-5, -0x1.4157179f17989p-5, -0x1.3c70b3ecd3ef4p-5, -0x1.3798a7178049ep-5, -0x1.32cee189f4046p-5, -0x1.2e135318267bdp-5, -0x1.2965eb0bcb388p-5, -0x1.24c69825472a9p-5, -0x1.203548a1f7888p-5, -0x1.1bb1ea422496dp-5, -0x1.173c6a4d5542cp-5, -0x1.12d4b594dd361p-5, -0x1.0e7ab8750246fp-5, -0x1.0a2e5edcb2501p-5, -0x1.05ef9455200d5p-5, -0x1.01be43fd5d354p-5, -0x1.fb34b128d60d4p-6, -0x1.f30778f29927bp-6, -0x1.eaf4b35e9895ap-6, -0x1.e2fc33c62442cp-6, -0x1.db1dccdda5312p-6, -0x1.d35950ba00b2fp-6, -0x1.cbae90d59b3d8p-6, -0x1.c41d5e14540d9p-6, -0x1.bca588cb252ecp-6, -0x1.b546e0c8c45bap-6, -0x1.ae01355c5f068p-6, -0x1.a6d45566a3cdbp-6, -0x1.9fc00f56ac3dep-6, -0x1.98c431278b3e4p-6, -0x1.91e0887ab4af6p-6, -0x1.8b14e292c24d6p-6, -0x1.84610c52c1a77p-6, -0x1.7dc4d2479ef54p-6, -0x1.774000ad2248p-6, -0x1.70d26382a9586p-6, -0x1.6a7bc673c812p-6, -0x1.643bf4fe647fep-6, -0x1.5e12ba635712ep-6, -0x1.57ffe1b1c9155p-6, -0x1.520335caf3cb4p-6, -0x1.4c1c81664f75cp-6, -0x1.464b8f16ad5dbp-6, -0x1.4090294f72f25p-6, -0x1.3aea1a698129dp-6, -0x1.35592ca7b7416p-6, -0x1.2fdd2a3acb334p-6, -0x1.2a75dd4368f55p-6, -0x1.25230fdd3355bp-6, -0x1.1fe48c2d31a28p-6, -0x1.1aba1c4fe7d7fp-6, -0x1.15a38a5a47fdcp-6, -0x1.10a0a073e22ecp-6, -0x1.0bb128cf134fap-6, -0x1.06d4edaa54033p-6, -0x1.020bb95adb3bap-6, -0x1.faaaaca171aaep-7, -0x1.f1631e323173fp-7, -0x1.e8405cc262018p-7, -0x1.df41fdf22aa77p-7, -0x1.d66797a77216fp-7, -0x1.cdb0c00570dd6p-7, -0x1.c51d0d65c5817p-7, -0x1.bcac1660e09cap-7, -0x1.b45d71e5a187ap-7, -0x1.ac30b73c98edap-7, -0x1.a4257e430e5fap-7, -0x1.9c3b5f498131dp-7, -0x1.9471f345a9f72p-7, -0x1.8cc8d3cb2eebp-7, -0x1.853f9b0b03809p-7, -0x1.7dd5e3c6b288dp-7, -0x1.768b493d3b203p-7, -0x1.6f5f67179bfbbp-7, -0x1.6851d94e1a289p-7, -0x1.61623c4af195fp-7, -0x1.5a902ce473303p-7, -0x1.53db48883c412p-7, -0x1.4d432d643dacep-7, -0x1.46c77a74701b9p-7, -0x1.4067cf8e22a9fp-7, -0x1.3a23cd55f4902p-7, -0x1.33fb151a5ddf1p-7, -0x1.2ded48a27aefp-7, -0x1.27fa0a319de69p-7, -0x1.2220fc786cf72p-7, -0x1.1c61c26a55b41p-7, -0x1.16bbff7f18ec3p-7, -0x1.112f57f75b292p-7, -0x1.0bbb716748497p-7, -0x1.065ff2d3e2a43p-7, -0x1.011c84ce91ebfp-7, -0x1.f7e1a2efd92abp-8, -0x1.edb90888ec0d4p-8, -0x1.e3be9302b44dep-8, -0x1.d9f19b8e7a9d8p-8, -0x1.d0517ac571c68p-8, -0x1.c6dd87eab033p-8, -0x1.bd9518986c759p-8, -0x1.b477813394c01p-8, -0x1.ab8415fde1081p-8, -0x1.a2ba2cb20f97fp-8, -0x1.9a191e4eba89fp-8, -0x1.91a048b06f78cp-8, -0x1.894f0f9f61a71p-8, -0x1.8124dd0e11013p-8, -0x1.7921206de2229p-8, -0x1.71434d2e70efcp-8, -0x1.698ad8accfd5cp-8, -0x1.61f737fa53921p-8, -0x1.5a87ddf435957p-8, -0x1.533c3a1b6e6b5p-8, -0x1.4c13b8738837ep-8, -0x1.450dc27d14bfap-8, -0x1.3e29c12cd9ec3p-8, -0x1.37671f1ee70bdp-8, -0x1.30c54ab3a586ap-8, -0x1.2a43b8013ecdap-8, -0x1.23e1e1991349dp-8, -0x1.1d9f48218c53fp-8, -0x1.177b70eedb125p-8, -0x1.1175e3cdb8703p-8, -0x1.0b8e28829ae8p-8, -0x1.05c3c49b5efcdp-8, -0x1.00163a1b4aa97p-8, -0x1.f50a0ebafd87cp-9, -0x1.ea1f50793c686p-9, -0x1.df6b30d32b234p-9, -0x1.d4ecace2e7832p-9, -0x1.caa2cd9517d94p-9, -0x1.c08cacb6e5516p-9, -0x1.b6a97777b640fp-9, -0x1.acf86da59f02bp-9, -0x1.a378dd98b7865p-9, -0x1.9a2a1d4e5ee87p-9, -0x1.910b81c9fe506p-9, -0x1.881c5642ead49p-9, -0x1.7f5bd4d9dd8fp-9, -0x1.76c9224233669p-9, -0x1.6e634d65ba414p-9, -0x1.6629534a08c6ap-9, -0x1.5e1a269f05d54p-9, -0x1.5634ba5097429p-9, -0x1.4e780cb85af95p-9, -0x1.46e33295d8c31p-9, -0x1.3f755ef9d2dap-9, -0x1.382de764c03bfp-9, -0x1.310c42fe333edp-9, -0x1.2a1004e229b82p-9, -0x1.2338d26a1c8fep-9, -0x1.1c8657066e18p-9, -0x1.15f837a3e0a9ep-9, -0x1.0f8e078f535bap-9, -0x1.094740697b5f9p-9, -0x1.03233e901453dp-9, -0x1.fa42840fe26e2p-10, -0x1.ee80e3d2ff828p-10, -0x1.e2ffcb1debab7p-10, -0x1.d7bd5eef2a481p-10, -0x1.ccb7ce45524bfp-10, -0x1.c1ed69fc19c02p-10, -0x1.b75cb59515f11p-10, -0x1.ad046ffb07d1fp-10, -0x1.a2e394b818f79p-10, -0x1.98f954ec8de51p-10, -0x1.8f4509c747fd7p-10, -0x1.85c6233e93b5ep-10, -0x1.7c7c1611bcaaep-10, -0x1.73664bbc97788p-10, -0x1.6a8415b9dcd94p-10, -0x1.61d4a663f9785p-10, -0x1.59570e5ceb2d6p-10, -0x1.510a3fc84ee29p-10, -0x1.48ed15f457d29p-10, -0x1.40fe5ff93ef8fp-10, -0x1.393cebcf2adf7p-10, -0x1.31a79182160f1p-10, -0x1.2a3d3a942e7c9p-10, -0x1.22fce1c07c5adp-10, -0x1.1be593d1c7d39p-10, -0x1.14f6721db5fb8p-10, -0x1.0e2eb0f67ad28p-10, -0x1.078d9713a0528p-10, -0x1.01127d36925bfp-10, -0x1.f57995a61fa71p-11, -0x1.e917de49be683p-11, -0x1.dcfeb0d69089bp-11, -0x1.d12cd966030dep-11, -0x1.c5a104cf300b2p-11, -0x1.ba59bd7ad9852p-11, -0x1.af55839998379p-11, -0x1.a492b752a1ea5p-11, -0x1.9a0fde8a06ed4p-11, -0x1.8fcb787ff1bd4p-11, -0x1.85c41370b8473p-11, -0x1.7bf8395e17074p-11, -0x1.726664a76739ap-11, -0x1.690d0177c6c06p-11, -0x1.5fea8103ec15dp-11, -0x1.56fd767d9dbfcp-11, -0x1.4e44b1488ab0dp-11, -0x1.45bf452495f6cp-11, -0x1.3d6c7a7b0063bp-11, -0x1.354bada357052p-11, -0x1.2d5c2ddfef553p-11, -0x1.259d2d5d6fdb2p-11, -0x1.1e0dc9dc7edd3p-11, -0x1.16ad276987ac9p-11, -0x1.0f7a8c353530dp-11, -0x1.08756c0595605p-11, -0x1.019d59d072d62p-11, -0x1.f5e3c22f4a69ap-12, -0x1.e8e4a29ab3e7fp-12, -0x1.dc3b181947e62p-12, -0x1.cfe3d71f67bdfp-12, -0x1.c3daa5529eb9p-12, -0x1.b81ad2d92b8cfp-12, -0x1.ac9ff01687d39p-12, -0x1.a16686074c96bp-12, -0x1.966c8b0b1fadfp-12, -0x1.8bb15e4ceaf67p-12, -0x1.81354743a3dd1p-12, -0x1.76f8b5e621551p-12, -0x1.6cfb9ece9de64p-12, -0x1.633d3990c6dafp-12, -0x1.59bc2e32fcedcp-12, -0x1.507706bc9cdbp-12, -0x1.476ca37ac165fp-12, -0x1.3e9c7f14a581fp-12, -0x1.3606adeb43b4cp-12, -0x1.2dab9ed828f86p-12, -0x1.258bb33860f0ep-12, -0x1.1da6c9ffd7755p-12, -0x1.15fbd99e4fab4p-12, -0x1.0e88b549e690bp-12, -0x1.074a1b48bb0cp-12, -0x1.003c1d88ddc87p-12, -0x1.f2b5a3a3ea375p-13, -0x1.e546144b8ed56p-13, -0x1.d82584d70f971p-13, -0x1.cb521d2a4cf9fp-13, -0x1.becb304b9ce4cp-13, -0x1.b2900e94f468dp-13, -0x1.a69f63ef8c29ap-13, -0x1.9af76c37ca249p-13, -0x1.8f96ae5c68e6ap-13, -0x1.847c95cd7f6eep-13, -0x1.79a98d7dfafb5p-13, -0x1.6f1e96a7b3521p-13, -0x1.64dc90fd90b9cp-13, -0x1.5ae38cc094b37p-13, -0x1.5132878d3bdd8p-13, -0x1.47c7a737cedbp-13, -0x1.3ea13ad00e9e2p-13, -0x1.35bd12a88a384p-13, -0x1.2d19d04875d48p-13, -0x1.24b4e51009c5bp-13, -0x1.1c8b63201c8f9p-13, -0x1.1499e479f8facp-13, -0x1.0cdd58ed8e04ep-13, -0x1.0553ae8467a6fp-13, -0x1.fbf7ebea803a9p-14, -0x1.edabd4713a4eep-14, -0x1.dfc2414bcc46ap-14, -0x1.d238b95b05e0ep-14, -0x1.c50abffa0e0e1p-14, -0x1.b832a6da7eb3fp-14, -0x1.abaadcb76383fp-14, -0x1.9f6fbe9e74073p-14, -0x1.938123da064fbp-14, -0x1.87e19db6e334p-14, -0x1.7c9421ba0a26fp-14, -0x1.7199c888ded4cp-14, -0x1.66f0f88770a69p-14, -0x1.5c9620620e339p-14, -0x1.52852a62e0b7dp-14, -0x1.48baf1a47f79ep-14, -0x1.3f35b2c215dc2p-14, -0x1.35f49b8e71083p-14, -0x1.2cf740ab03a0ep-14, -0x1.243c8178d5fa4p-14, -0x1.1bc22c937232ap-14, -0x1.138485a1db17ep-14, -0x1.0b7f17a218f61p-14, -0x1.03ae71119bb07p-14, -0x1.f822fce772023p-15, -0x1.e952723e131a9p-15, -0x1.daedb556dd8a2p-15, -0x1.ccf411edc6edep-15, -0x1.bf61885c8bed2p-15, -0x1.b23262372b128p-15, -0x1.a565d3c04d58dp-15, -0x1.98fbce2237511p-15, -0x1.8cf0eb30ae9c6p-15, -0x1.813dd2230a673p-15, -0x1.75da2645e431fp-15, -0x1.6ac021fd2f38cp-15, -0x1.5febdcd4f77c2p-15, -0x1.555efa9a9ff77p-15, -0x1.4b19f5af61198p-15, -0x1.411e546d43ae3p-15, -0x1.376cf830483ecp-15, -0x1.2e05e2ba5f941p-15, -0x1.24e882f93be6dp-15, -0x1.1c147a7c82d8fp-15, -0x1.1388b0e1fdd3dp-15, -0x1.0b40431a275d2p-15, -0x1.0331d3785ee7bp-15, -0x1.f6aa052fca9aap-16, -0x1.e7519b3ae6c63p-16, -0x1.d8646d78c1fc9p-16, -0x1.c9e898460dfdap-16, -0x1.bbd733c55e89ep-16, -0x1.ae259712ee5e4p-16, -0x1.a0d3353212224p-16, -0x1.93e806eb3d88bp-16, -0x1.87685acaa5146p-16, -0x1.7b507522c3709p-16, -0x1.6f99ae4f76e72p-16, -0x1.643ed97259b1ap-16, -0x1.593c51e4b668dp-16, -0x1.4e8d52318cee8p-16, -0x1.4429cab03ad16p-16, -0x1.3a0779b752989p-16, -0x1.301ecd6591d28p-16, -0x1.267062ec18d7p-16, -0x1.1d04d9ea96df4p-16, -0x1.13e62af836871p-16, -0x1.0b15f88199544p-16, -0x1.0290801224ebep-16, -0x1.f4a243c0035dcp-17, -0x1.e4aeb2a505ccdp-17, -0x1.d53b796ac287dp-17, -0x1.c62dea42eb8cdp-17, -0x1.b7789219b150dp-17, -0x1.a92ac1aabbd62p-17, -0x1.9b516cdb80b95p-17, -0x1.8ddd547cf4586p-17, -0x1.80baac9893a9p-17, -0x1.73ef876f609e4p-17, -0x1.678d25fa56443p-17, -0x1.5b94e45f7788ep-17, -0x1.4ffa7765f3582p-17, -0x1.44b21d4465782p-17, -0x1.39b622a870b23p-17, -0x1.2f0674e2b18d2p-17, -0x1.24a60af11fe08p-17, -0x1.1a97fd800ea49p-17, -0x1.10ded0672ae1ep-17, -0x1.077b53a78c535p-17, -0x1.fcd044b5298d8p-18, -0x1.eb2c2b48835a1p-18, -0x1.d9e908b6c4189p-18, -0x1.c8fea0b1851a9p-18, -0x1.b88b57d0ce235p-18, -0x1.a8ad12fc589d6p-18, -0x1.99567232eb6f5p-18, -0x1.8a6f5b9ea89b6p-18, -0x1.7bff285bb9c77p-18, -0x1.6e17a14a0f81ap-18, -0x1.609db3690f70fp-18, -0x1.537da0f257aefp-18, -0x1.46bb73073ccb3p-18, -0x1.3a591cacf4b08p-18, -0x1.2e44436d9b693p-18, -0x1.22730d010de27p-18, -0x1.17008c4ffe769p-18, -0x1.0bf8e0961a401p-18, -0x1.014dfc6e42932p-18, -0x1.eddfffb45cd3p-19, -0x1.d9b18efe78cf5p-19, -0x1.c612e9966025ep-19, -0x1.b303728d51199p-19, -0x1.a07dfb02bee5p-19, -0x1.8e7f6c7670033p-19, -0x1.7d07aa8bc400dp-19, -0x1.6c18ce2a5c7dep-19, -0x1.5bbb4c44abf3cp-19, -0x1.4bd988a6e9196p-19, -0x1.3c8bea56cdbbp-19, -0x1.2dc92dd5794d4p-19, -0x1.1f7ae5408b44bp-19, -0x1.117d731c56f81p-19, -0x1.03e00c6be70eep-19, -0x1.ed6bae80e242cp-20, -0x1.d3d71106588b1p-20, -0x1.badd41a513585p-20, -0x1.a2c49b2db7943p-20, -0x1.8bc1520495d0cp-20, -0x1.75af362df92a4p-20, -0x1.603457f00bf92p-20, -0x1.4b3d31099f645p-20, -0x1.36d6962948f47p-20, -0x1.22e3e78c67ff9p-20, -0x1.0f964fd047b5cp-20, -0x1.fa33a228bbadbp-21, -0x1.d696429328a21p-21, -0x1.b410fc474870ap-21, -0x1.92952909b04adp-21, -0x1.7225f9a339bbap-21, -0x1.52c597749eb6dp-21, -0x1.34725c054469ap-21, -0x1.17264ce4a3132p-21, -0x1.f5adf907b3022p-22, -0x1.bef98c140a5d8p-22, -0x1.8a363f33d8c31p-22, -0x1.5758b478de30dp-22, -0x1.2639e45806678p-22, -0x1.eda83681a7554p-23, -0x1.9271ffd67813bp-23, -0x1.3ac77e6a3e09cp-23, -0x1.cece7383c5149p-24, -0x1.2e88223aaef08p-24, -0x1.293dce47dcd74p-25, 0x1.3976f04c2d049p-33, 0x1.2257eff6b052ep-25, 0x1.1c93b204f7156p-24, 0x1.a0d70f8be1d04p-24, 0x1.0f682f8635812p-23, 0x1.4b99a4df2a92bp-23, 0x1.84862a0f6f0b3p-23, 0x1.baa4b1f8318dep-23, 0x1.eef8e7924fe8dp-23, 0x1.10cb871af188p-22, 0x1.28e257e07d3dfp-22, 0x1.3f6a2dbe352bep-22, 0x1.54b256560346cp-22, 0x1.68d27fe3893c7p-22, 0x1.7bd9cc773a226p-22, 0x1.8de2b21d853adp-22, 0x1.9ee335e3f00adp-22, 0x1.aed0e0410d51bp-22, 0x1.bdd77db7bf6b2p-22, 0x1.cb3ee52446abfp-22, 0x1.d890ab1a0f578p-22, 0x1.e472aa82e8a75p-22, 0x1.ef72e4cbb4bc7p-22, 0x1.f97683e9ab772p-22, 0x1.0142158337c64p-21, 0x1.055f9a40a7286p-21, 0x1.0910d369ae68cp-21, 0x1.0c5449543912p-21, 0x1.0f5b5e066660fp-21, 0x1.11a79ad8521ccp-21, 0x1.1372f802b5706p-21, 0x1.14ff6770f06e1p-21, 0x1.165bcec9cda14p-21, 0x1.1719b12b40fabp-21, 0x1.1786943fadc5bp-21, 0x1.178f482671ed8p-21, 0x1.1743728c45e7p-21, 0x1.16a0803f6b402p-21, 0x1.15a4ba80d3a75p-21, 0x1.144c31389608bp-21, 0x1.128f1d0f86285p-21, 0x1.10837f7ef4e9ap-21, 0x1.0e3a3bbdb132bp-21, 0x1.0b9c20ddce1f4p-21, 0x1.08a06a27bf96dp-21, 0x1.05576cd94801dp-21, 0x1.01c5b68ab4371p-21, 0x1.fbd4da41272e9p-22, 0x1.f38acacadcdd9p-22, 0x1.eaaec9803799cp-22, 0x1.e14375c3965b7p-22, 0x1.d74c26ab2e0bcp-22, 0x1.cccb04a263ae6p-22, 0x1.c1b7d9130389ep-22, 0x1.b623ff3632595p-22, 0x1.aa0a246c9963dp-22, 0x1.9d7783f05a7a9p-22, 0x1.906b5bd0311ecp-22, 0x1.82f25885f650ap-22, 0x1.74f0ae18a1a6p-22, 0x1.668251d9f545dp-22, 0x1.5796b40b0f79cp-22, 0x1.484c2d7d76303p-22, 0x1.387b5bff3e256p-22, 0x1.28259bf216072p-22, 0x1.1785eb533f6eap-22, 0x1.068b435a3f979p-22, 0x1.ea38ff468f5b3p-23, 0x1.c65ff9cc5302cp-23, 0x1.a1f6f89b7612dp-23, 0x1.7cbd72dd2d155p-23, 0x1.56dba3feb4c9ep-23, 0x1.306a262241e02p-23, 0x1.0917ffa4ab579p-23, 0x1.c1e0c92fbc571p-24, 0x1.709be71a95077p-24, 0x1.1d99c2ff6a2f7p-24, 0x1.921f3b599ea1p-25, 0x1.cfc96e1d06ab1p-26, 0x1.dbe61279d7c86p-28, -0x1.d070ba93ffcc6p-27, -0x1.25111c92175abp-25, -0x1.d95076ce9274fp-25, -0x1.48278a2bb7872p-24, -0x1.a49e2e0e442fbp-24, -0x1.0108d1eb3b128p-23, -0x1.3033d93638871p-23, -0x1.5fbe834981c36p-23, -0x1.905b5930e83cap-23, -0x1.c0ab67894d6dap-23, -0x1.f1ce82770aa2dp-23, -0x1.1192c0c382529p-22, -0x1.2a8debfd8728fp-22, -0x1.43e9d172a1998p-22, -0x1.5d54c940a7d2cp-22, -0x1.76f62404e7493p-22, -0x1.90d25f764695ap-22, -0x1.ab1453f0baeacp-22, -0x1.c529ca8b887b9p-22, -0x1.df54f65c5d2cfp-22, -0x1.f9e4f0835095ap-22, -0x1.0a4acec802cbep-21, -0x1.17b5e83896b52p-21, -0x1.2531a5cdada53p-21, -0x1.32c74b8987732p-21, -0x1.406c06f7de469p-21, -0x1.4e228e76d33b7p-21, -0x1.5beb2e70ef54ap-21, -0x1.69c37a6374371p-21, -0x1.77aa08ba4426fp-21, -0x1.859e3330e76d3p-21, -0x1.939f38ed8405ap-21, -0x1.a1ab92025c90ep-21, -0x1.afc3b5ad64d39p-21, -0x1.bded19c1b072fp-21, -0x1.cc1a82e6d55f5p-21, -0x1.da5818b1366d9p-21, -0x1.e899284b048cap-21, -0x1.f6e332f3e3ee2p-21, -0x1.029d89f6884b2p-20, -0x1.09ccf5351c9dep-20, -0x1.10fefc9bbcf31p-20, -0x1.1833bc2a28cfbp-20, -0x1.1f6b5c4d7b646p-20, -0x1.26a60acc5b14dp-20, -0x1.2de2f0e5d84d4p-20, -0x1.3521670118d7p-20, -0x1.3c612d7ac94acp-20, -0x1.43a1dff37b1ecp-20, -0x1.4ae34e8882454p-20, -0x1.5225c647e009cp-20, -0x1.596935cbdb862p-20, -0x1.60ad971269e4cp-20, -0x1.67f11b54ad07fp-20, -0x1.6f34fcb1eed53p-20, -0x1.76776ac0db2d2p-20, -0x1.7db1e10a06cd6p-20, -0x1.84efa13fb8693p-20, -0x1.8c32e9f18ab8p-20, -0x1.936de10840f96p-20, -0x1.9aae8ace91239p-20, -0x1.a1e687ea0229p-20, -0x1.a918b399d5c1fp-20, -0x1.b045a453a65ep-20, -0x1.b7665c588c0a6p-20, -0x1.bea0d3c565c7ep-20, -0x1.c5c764afaa309p-20, -0x1.cceb3bd3aeee7p-20, -0x1.d4149b4178678p-20, -0x1.db30991a695bcp-20, -0x1.e243c93fe57eep-20, -0x1.e953cf65011b7p-20, -0x1.f0606d4bd2f21p-20, -0x1.f76866b89a76cp-20, -0x1.fe6b3451c94b5p-20, -0x1.02b56af96852cp-19, -0x1.063b2ffe954a5p-19, -0x1.09a966e3e34c5p-19, -0x1.0d1eae753f2c3p-19, -0x1.1090bedd2fe27p-19, -0x1.13ff27113815dp-19, -0x1.176aa05714c6dp-19, -0x1.1ad2934d83c06p-19, -0x1.1e36db1b8c39ap-19, -0x1.21976231473dp-19, -0x1.24f41f90077c1p-19, -0x1.284d89e957856p-19, -0x1.2ba01347b41d2p-19, -0x1.2ef3145aef5dcp-19, -0x1.323eb0f43b406p-19, -0x1.3586977e9357bp-19, -0x1.38ca5b16aed8bp-19, -0x1.3c09c6266cc75p-19, -0x1.3f44c1413e1eep-19, -0x1.427b9abafa9d5p-19, -0x1.45ad9937ddbe4p-19, -0x1.48d94953814f1p-19, -0x1.4bf36d82f406bp-19, -0x1.4f276d95b47d9p-19, -0x1.5245a9d9c9eeep-19, -0x1.555e7c86a3427p-19, -0x1.5872622bce7d6p-19, -0x1.5b81784382dcbp-19, -0x1.5e9594ab0b2a6p-19, -0x1.618d4193ece1ap-19, -0x1.648ddb77bb248p-19, -0x1.67896b9dcf066p-19, -0x1.6a7cedd2dc03dp-19, -0x1.6d6aa4c9f2bb3p-19, -0x1.7054dc47e44c2p-19, -0x1.73350ed5c4c26p-19, -0x1.761698d7b58afp-19, -0x1.78f069d6df132p-19, -0x1.7bc14c4497066p-19, -0x1.7e8e71f6e9415p-19, -0x1.8155966c80ac2p-19, -0x1.84179754b3e3fp-19, -0x1.86d1fd7ab2f24p-19, -0x1.898259a843747p-19, -0x1.8c33480c2c171p-19, -0x1.8ed9bdcbc2b58p-19, -0x1.917dd03f9db65p-19, -0x1.941d27848099p-19, -0x1.96b283cd17facp-19, -0x1.994210162b077p-19, -0x1.9bcca8b55e1b4p-19, -0x1.9e50f6a73914ap-19, }}, 
      {{-0x1.9668ebb88c3b2p-1, -0x1.78831874946a6p-1, -0x1.75f730fedd412p-1, -0x1.8d2c2e1693766p-1, -0x1.b3f14018df59dp-1, -0x1.dfe08be3ef7efp-1, -0x1.049399d14b613p+0, -0x1.157a631378aebp+0, -0x1.2182d7cd4bd45p+0, -0x1.2877f3b735bcep+0, -0x1.2abc660b56246p+0, -0x1.29068c5729e18p+0, -0x1.242f62cca8b0dp+0, -0x1.1d1202555157cp+0, -0x1.1477fd464e622p+0, -0x1.0b0f02a13a514p+0, -0x1.0164cb69f4cc7p+0, -0x1.efce18dffce8p-1, -0x1.ddcb9776e1c4dp-1, -0x1.cd2df557f2f05p-1, -0x1.be352b64ed298p-1, -0x1.b0fd9f2ec4e08p-1, -0x1.a587ff85858e9p-1, -0x1.9bc057418f47cp-1, -0x1.938430782270dp-1, -0x1.8ca7bd2e05283p-1, -0x1.86fa0bdc27bccp-1, -0x1.824859d1fe1bdp-1, -0x1.7e609b62a5358p-1, -0x1.7b13551749ffcp-1, -0x1.7834e10d9e31dp-1, -0x1.759e3b1587f18p-1, -0x1.732d6c1d96434p-1, -0x1.70c5aa27c6003p-1, -0x1.6e4f400cf376cp-1, -0x1.6bb74d5e920d8p-1, -0x1.68ef6ae94f239p-1, -0x1.65ed3e6562dd4p-1, -0x1.62aa05cfe0f8p-1, -0x1.5f22207cbf5c9p-1, -0x1.5b549941161bcp-1, -0x1.5742b5eea421ep-1, -0x1.52ef8eb91282cp-1, -0x1.4e5fad960a07p-1, -0x1.4998b6bc0890ap-1, -0x1.44a11b9ee9dap-1, -0x1.3f7fd811c6a62p-1, -0x1.3a3c3840445e8p-1, -0x1.34dda7841bffcp-1, -0x1.2f6b87d3f13c3p-1, -0x1.29ed10f019327p-1, -0x1.246935fdb947dp-1, -0x1.1ee69107f7148p-1, -0x1.196b53a487a5cp-1, -0x1.13fd3c56de64bp-1, -0x1.0ea18fb29a75ap-1, -0x1.095d148a08a55p-1, -0x1.0434129f9a02bp-1, -0x1.fe54a6e491f05p-2, -0x1.f48649e2de22ap-2, -0x1.eb02bb4120aabp-2, -0x1.e1cec3d278ae5p-2, -0x1.d8ee53f2aed08p-2, -0x1.d064904de9b18p-2, -0x1.c833dedcb3cddp-2, -0x1.c05df4cdcc0c4p-2, -0x1.b8e3e3fba4709p-2, -0x1.b1c628f48d91ep-2, -0x1.ab04b88a5c028p-2, -0x1.a49f0d05c218p-2, -0x1.9e9432fa66171p-2, -0x1.98e2d5469667cp-2, -0x1.9389487791197p-2, -0x1.8e85957f81a8bp-2, -0x1.89d583a768c9dp-2, -0x1.8576a1e44e899p-2, -0x1.81664f9975ddfp-2, -0x1.7da1c499af57bp-2, -0x1.7a2618ab5885ap-2, -0x1.76f04a6483befp-2, -0x1.73fd4584f5b07p-2, -0x1.7149e8a551939p-2, -0x1.6ed30a59ff591p-2, -0x1.6c957dfbf9969p-2, -0x1.6a8e17d5dc165p-2, -0x1.68b9b0c32167ap-2, -0x1.671529b3fdf35p-2, -0x1.659d6e66d4cbbp-2, -0x1.644f781f5579cp-2, -0x1.63284fe239373p-2, -0x1.622510502e87fp-2, -0x1.6142e7483c2bep-2, -0x1.607f177f0aee2p-2, -0x1.5fd6f96365dc7p-2, -0x1.5f47fc45f6407p-2, -0x1.5ecfa6ec333c2p-2, -0x1.5e6b984c0a175p-2, -0x1.5e1987b9fccdcp-2, -0x1.5dd74557d4df8p-2, -0x1.5da2ba079f5adp-2, -0x1.5d79e794f63eep-2, -0x1.5d5ae86383ab9p-2, -0x1.5d43ef4267abfp-2, -0x1.5d3347489d429p-2, -0x1.5d27532df268p-2, -0x1.5d1e8d2833008p-2, -0x1.5d17861adc4ep-2, -0x1.5d10e5470b672p-2, -0x1.5d0967a6a7474p-2, -0x1.5cffdf3675e49p-2, -0x1.5cf33279253c6p-2, -0x1.5ce25bb30f148p-2, -0x1.5ccc683005a1ep-2, -0x1.5cb077cefdb8fp-2, -0x1.5c8dbbf95da94p-2, -0x1.5c63774420fc6p-2, -0x1.5c30fc7e6d5a4p-2, -0x1.5bf5ae08605fbp-2, -0x1.5bb0fd6869dddp-2, -0x1.5b626a43318fbp-2, -0x1.5b0981bde33c6p-2, -0x1.5aa5de267c722p-2, -0x1.5a3725f633339p-2, -0x1.59bd0b306a3d4p-2, -0x1.59374b2751d05p-2, -0x1.58a5ad799245ap-2, -0x1.580803906d75bp-2, -0x1.575e285d67aaap-2, -0x1.56a7ff8797bdcp-2, -0x1.55e574c24c783p-2, -0x1.55167bbb0d9ebp-2, -0x1.543b0f7f251b9p-2, -0x1.5353318ac4244p-2, -0x1.525ee9f3b45edp-2, -0x1.515e46d3ef642p-2, -0x1.50515b9f989a1p-2, -0x1.4f3840da484c2p-2, -0x1.4e13140beb0dbp-2, -0x1.4ce1f722a0593p-2, -0x1.4ba50fc177143p-2, -0x1.4a5c878cff36ap-2, -0x1.49088bcc09436p-2, -0x1.47a94c9fa3c92p-2, -0x1.463efcf1f773cp-2, -0x1.44c9d2917451ap-2, -0x1.434a05b4aa769p-2, -0x1.41bfd06516b5ap-2, -0x1.402b6ea07828cp-2, -0x1.3e8d1e51d9a96p-2, -0x1.3ce51ede4e003p-2, -0x1.3b33b0bf7b3b7p-2, -0x1.3979158ac74e8p-2, -0x1.37b590199d176p-2, -0x1.35e964093b775p-2, -0x1.3414d5645462cp-2, -0x1.323828b83ddecp-2, -0x1.3053a33857bd3p-2, -0x1.2e678a5773cc4p-2, -0x1.2c742386c1993p-2, -0x1.2a79b420239f1p-2, -0x1.287881ba53265p-2, -0x1.2670d1d21d412p-2, -0x1.2462e974c6e36p-2, -0x1.224f0d4d7bb7dp-2, -0x1.203581b66f6b1p-2, -0x1.1e168abb320b8p-2, -0x1.1bf26bd373077p-2, -0x1.19c967bbb515ap-2, -0x1.179bc07987b03p-2, -0x1.1569b79113caap-2, -0x1.13338dd48ef08p-2, -0x1.10f98331e17a3p-2, -0x1.0ebbd6aa8250cp-2, -0x1.0c7ac6666ed02p-2, -0x1.0a368fc8d6115p-2, -0x1.07ef6f47ea53p-2, -0x1.05a5a058fd5b6p-2, -0x1.03595d6133917p-2, -0x1.010adfbe810c2p-2, -0x1.fd74bfeae83f3p-3, -0x1.f8d02afe3790ap-3, -0x1.f4286d682dc68p-3, -0x1.ef7df19c28429p-3, -0x1.ead12000add68p-3, -0x1.e6225eeb071bbp-3, -0x1.e172129986c76p-3, -0x1.dcc09cfb9e069p-3, -0x1.d80e5dc3e4aebp-3, -0x1.d35bb27121bb9p-3, -0x1.cea8f66c8a83p-3, -0x1.c9f682f5f03d5p-3, -0x1.c544af2d57e3dp-3, -0x1.c093cfe895926p-3, -0x1.bbe437c9e6993p-3, -0x1.b73637481a8f5p-3, -0x1.b28a1ce31bab6p-3, -0x1.ade034f952ba9p-3, -0x1.a938c9b895296p-3, -0x1.a494233aa2bbep-3, -0x1.9ff2877a4e62ep-3, -0x1.9b543a6e255d2p-3, -0x1.96b97e0f01e8bp-3, -0x1.92229269c7cdbp-3, -0x1.8d8fb5791f481p-3, -0x1.89012339ad877p-3, -0x1.847715bc53691p-3, -0x1.7ff1c52960623p-3, -0x1.7b7167d3d83adp-3, -0x1.76f6323a776abp-3, -0x1.728057031db36p-3, -0x1.6e1006ff05681p-3, -0x1.69a57136c76cp-3, -0x1.6540c2f8a8217p-3, -0x1.60e227e02227ep-3, -0x1.5c89c9dff5dafp-3, -0x1.5837d145b5142p-3, -0x1.53ec64b97947ap-3, -0x1.4fa7a93e614d5p-3, -0x1.4b69c25997196p-3, -0x1.4732d1ef5efd8p-3, -0x1.4302f8781dca2p-3, -0x1.3eda54fe00e9cp-3, -0x1.3ab905058786cp-3, -0x1.369f24a5cf245p-3, -0x1.328cce977372ap-3, -0x1.2e821c3263462p-3, -0x1.2a7f257b46307p-3, -0x1.2684012d887a7p-3, -0x1.2290c4c05af96p-3, -0x1.1ea5846b083e9p-3, -0x1.1ac2532b00b47p-3, -0x1.16e742c9c54e2p-3, -0x1.131463e53125ep-3, -0x1.0f49c5fa0f908p-3, -0x1.0b87776cc67d3p-3, -0x1.07cd858b4a13dp-3, -0x1.041bfc96ea3b5p-3, -0x1.0072e7c9c0626p-3, -0x1.f9a4a29fe367dp-4, -0x1.f27484c45f08ep-4, -0x1.eb558685be024p-4, -0x1.e447b68dba23ap-4, -0x1.dd4b21b9ac256p-4, -0x1.d65fd31e3fe07p-4, -0x1.cf85d41490e56p-4, -0x1.c8bd2c567c39ap-4, -0x1.c205e1e6eccbep-4, -0x1.bb5ff932590a3p-4, -0x1.b4cb7525e9b0bp-4, -0x1.ae48572e3ee2fp-4, -0x1.a7d69f44ed84cp-4, -0x1.a1764bf6e6d1ap-4, -0x1.9b275a6f5e7b8p-4, -0x1.94e9c6850c065p-4, -0x1.8ebd8ac362f2cp-4, -0x1.88a2a07463c9ap-4, -0x1.8298ffa928c07p-4, -0x1.7ca09f44c30cdp-4, -0x1.76b975110dacfp-4, -0x1.70e375aef4233p-4, -0x1.6b1e94b5bea57p-4, -0x1.656ac4b2517a9p-4, -0x1.5fc7f72e5f689p-4, -0x1.5a361cba29281p-4, -0x1.54b524fa4fb57p-4, -0x1.4f44feb5cd289p-4, -0x1.49e597ccfc66p-4, -0x1.4496dd40eee94p-4, -0x1.3f58bb4b55711p-4, -0x1.3a2b1d628e49fp-4, -0x1.350dee3ac62b4p-4, -0x1.300117cf0a355p-4, -0x1.2b0483691edc2p-4, -0x1.261819a8957b4p-4, -0x1.213bc289d106ap-4, -0x1.1c6f656a0eb3ep-4, -0x1.17b2e9132da14p-4, -0x1.130633c8225cep-4, -0x1.0e692b3504fa8p-4, -0x1.09dbb488230efp-4, -0x1.055db476748a1p-4, -0x1.00ef0f382511ep-4, -0x1.f91f513085cb4p-5, -0x1.f07ec7ebc4092p-5, -0x1.e7fc488c5d2b1p-5, -0x1.df979847f1ea6p-5, -0x1.d7507b99a174fp-5, -0x1.cf26b65034ef7p-5, -0x1.c71a0b98dc69cp-5, -0x1.bf2a3e075bfd7p-5, -0x1.b7570fa190f4ep-5, -0x1.afa041edd214ap-5, -0x1.a80595e96e9b4p-5, -0x1.a086cc2f1ef95p-5, -0x1.9923a4e24ee22p-5, -0x1.91dbdfcc9d9f3p-5, -0x1.8aaf3c5b73dffp-5, -0x1.839d79aa2a71p-5, -0x1.7ca6568c96fd5p-5, -0x1.75c9919562c1ep-5, -0x1.6f06e91bd7557p-5, -0x1.685e1b45d478bp-5, -0x1.61cee60ebbf85p-5, -0x1.5b59074bda643p-5, -0x1.54fc3cb36a2acp-5, -0x1.4eb843e3b2d9dp-5, -0x1.488cda6c739a2p-5, -0x1.4279bdd07e232p-5, -0x1.3c7eab8c975b6p-5, -0x1.369b611c5b8ecp-5, -0x1.30cf9c0740a1fp-5, -0x1.2b1b19e3ce16dp-5, -0x1.257d984cb2b4ep-5, -0x1.1ff6d4f9da634p-5, -0x1.1a868dc8c0926p-5, -0x1.152c80a9f4a43p-5, -0x1.0fe86bad24129p-5, -0x1.0aba0d130d838p-5, -0x1.05a123591eebfp-5, -0x1.009d6d2d1480fp-5, -0x1.f75d52b920d12p-6, -0x1.eda92df1a4e14p-6, -0x1.e41deab77b63cp-6, -0x1.dabb081ed0db9p-6, -0x1.d18005d23cfaep-6, -0x1.c86c64216b66dp-6, -0x1.bf7fa3ec7435bp-6, -0x1.b6b946abbd67cp-6, -0x1.ae18ce7ea0da7p-6, -0x1.a59dbe2f1868cp-6, -0x1.9d479944695d3p-6, -0x1.9515e3decb961p-6, -0x1.8d0822fb01e5ep-6, -0x1.851ddc39d1561p-6, -0x1.7d5696146ffdep-6, -0x1.75b1d7c8ff6b3p-6, -0x1.6e2f2961744cdp-6, -0x1.66ce13ba0e38cp-6, -0x1.5f8e2086e303p-6, -0x1.586eda57cf1fbp-6, -0x1.516fcc9a6f96bp-6, -0x1.4a90839a07461p-6, -0x1.43d08c882ff17p-6, -0x1.3d2f7583b1bc4p-6, -0x1.36accd8f99cf4p-6, -0x1.304824a07f0b1p-6, -0x1.2a010b9c04c6ep-6, -0x1.23d714577f315p-6, -0x1.1dc9d19e45174p-6, -0x1.17d8d733df528p-6, -0x1.1203b9d5e0f65p-6, -0x1.0c4a0f3c3ddd2p-6, -0x1.06ab6e1a0a0fap-6, -0x1.01276e1f3c211p-6, -0x1.f77b4ff3fde8bp-7, -0x1.ecdb6aaef058dp-7, -0x1.e26e61ded2f38p-7, -0x1.d8336cf98eebfp-7, -0x1.ce29c56c07983p-7, -0x1.c450a6bfc5c62p-7, -0x1.baa74e8a7292p-7, -0x1.b12cfc662243p-7, -0x1.a7e0f1f6fde3ap-7, -0x1.9ec272f4a5a53p-7, -0x1.95d0c51666538p-7, -0x1.8d0b303c9edcdp-7, -0x1.8470fe41b6d25p-7, -0x1.7c017b18bd7bep-7, -0x1.73bbf4c2fede9p-7, -0x1.6b9fbb4f5f12cp-7, -0x1.63ac20d9bb3bbp-7, -0x1.5be0798a59fa1p-7, -0x1.543c1b959b33ap-7, -0x1.4cbe5f3b42863p-7, -0x1.45669ec50ae8bp-7, -0x1.3e3436824e48p-7, -0x1.372684bf98053p-7, -0x1.303ce9d4e5b84p-7, -0x1.2976c839ad44ep-7, -0x1.22d3844e01c92p-7, -0x1.1c52845bbc4a1p-7, -0x1.15f330c47dbddp-7, -0x1.0fb4f3e58ca9bp-7, -0x1.09973a0c208d5p-7, -0x1.0399717c44c2ep-7, -0x1.fb7614e16ed9fp-8, -0x1.eff6ee2cf9547p-8, -0x1.e4b45714018f1p-8, -0x1.d9ad3ba57c0fdp-8, -0x1.cee08bb656ecp-8, -0x1.c44d3ad7c7bc4p-8, -0x1.b9f24055f6768p-8, -0x1.afce9726e9d7fp-8, -0x1.a5e13ddb3fbc5p-8, -0x1.9c2936c512db8p-8, -0x1.92a587d62fa77p-8, -0x1.89553ad1d74a8p-8, -0x1.80375d11168aap-8, -0x1.774aff91334d1p-8, -0x1.6e8f36eac69bfp-8, -0x1.66031b45d326cp-8, -0x1.5da5c840baaa6p-8, -0x1.55765cc37967fp-8, -0x1.4d73fb13c17a8p-8, -0x1.459dc8b2d8baap-8, -0x1.3df2ee7a9dfedp-8, -0x1.36729888d1462p-8, -0x1.2f1bf66185348p-8, -0x1.27ee3ae968874p-8, -0x1.20e89c5bfd3cep-8, -0x1.1a0a543a7d64bp-8, -0x1.13529f1ac3437p-8, -0x1.0cc0bc69c995dp-8, -0x1.0653eec380594p-8, -0x1.000b7be5217fep-8, -0x1.f3cd580e4bfdfp-9, -0x1.e7c9945793df3p-9, -0x1.dc0a486e33157p-9, -0x1.d08e177ba27abp-9, -0x1.c553ab4641fddp-9, -0x1.ba59b405c026cp-9, -0x1.af9ee878ce679p-9, -0x1.a5220594793b6p-9, -0x1.9ae1cddf36669p-9, -0x1.90dd08a5541f6p-9, -0x1.87128160f4e39p-9, -0x1.7d8107289d654p-9, -0x1.74276c95487d5p-9, -0x1.6b0487e6ce3e5p-9, -0x1.621733a3d4fe3p-9, -0x1.595e4f6d98cbep-9, -0x1.50d8c0e8e88b5p-9, -0x1.4885748349dc2p-9, -0x1.40635de4aeaddp-9, -0x1.387177ee4db35p-9, -0x1.30aec43e373dap-9, -0x1.291a4a4694ec4p-9, -0x1.21b3161fefe02p-9, -0x1.1a78374c1e1afp-9, -0x1.1368bfaaad9ecp-9, -0x1.0c83c2d9a9396p-9, -0x1.05c856217d772p-9, -0x1.fe6b22029bb36p-10, -0x1.f1951cd65a181p-10, -0x1.e50cdb6ede987p-10, -0x1.d8d0a6da0f351p-10, -0x1.ccded4f20a0bdp-10, -0x1.c135c8bab25bfp-10, -0x1.b5d3f16a7890bp-10, -0x1.aab7c8ba64de7p-10, -0x1.9fdfd069cff19p-10, -0x1.954a8f84c02f5p-10, -0x1.8af69021ed12p-10, -0x1.80e25e22fedbbp-10, -0x1.770c8736b4073p-10, -0x1.6d739c33c1013p-10, -0x1.641633a1a70bep-10, -0x1.5af2ece2b01aep-10, -0x1.520873247eefap-10, -0x1.49557fd754044p-10, -0x1.40d8db9cd968p-10, -0x1.38915d6e6010ap-10, -0x1.307de8257c898p-10, -0x1.289d66aece309p-10, -0x1.20eec7736b608p-10, -0x1.1970f7c0823c6p-10, -0x1.1222e019fad1ep-10, -0x1.0b03621f4063ep-10, -0x1.0411588d00bd1p-10, -0x1.fa9732e23f07fp-11, -0x1.ed61f3feb4184p-11, -0x1.e080a88a587b2p-11, -0x1.d3f118cc9b479p-11, -0x1.c7b12cb201b6p-11, -0x1.bbbef2ad1837p-11, -0x1.b018a34daeca9p-11, -0x1.a4bc9fd549d5cp-11, -0x1.99a96be1addc9p-11, -0x1.8edda34509cadp-11, -0x1.8457eda653bb5p-11, -0x1.7a16f1db387cap-11, -0x1.70194ab3facdbp-11, -0x1.665d7e9a06fb5p-11, -0x1.5ce1fdff505fap-11, -0x1.53a526bbad548p-11, -0x1.4aa53f73287b5p-11, -0x1.41e0876ce61a7p-11, -0x1.395543b0fe0f2p-11, -0x1.3101bec69263bp-11, -0x1.28e45bb152198p-11, -0x1.20fb9da7e5e2p-11, -0x1.19462972f8b8cp-11, -0x1.11c2c6127e148p-11, -0x1.0a70593ea0d5bp-11, -0x1.034de09dfcf9ap-11, -0x1.f8b4d2ae9c9bbp-12, -0x1.eb2a0e710058p-12, -0x1.ddf999049d9e1p-12, -0x1.d121898f1e657p-12, -0x1.c49fe033b9123p-12, -0x1.b8728600dc284p-12, -0x1.ac974ed5b4b0ap-12, -0x1.a10c00b2a44edp-12, -0x1.95ce5dad8b6cp-12, -0x1.8adc2c3fdfb22p-12, -0x1.8033469a8004ep-12, -0x1.75d1a4b23b495p-12, -0x1.6bb54ffe707dfp-12, -0x1.61dc66424b45p-12, -0x1.58452719e353cp-12, -0x1.4eedec5d6756p-12, -0x1.45d5268b9416ep-12, -0x1.3cf95e6b4918cp-12, -0x1.345931e26b6cbp-12, -0x1.2bf34b42c5b21p-12, -0x1.23c65c91b1648p-12, -0x1.1bd110e6793fcp-12, -0x1.14120cfa13a8cp-12, -0x1.0c87eae7bbfa5p-12, -0x1.05314eac49ce6p-12, -0x1.fc1964f076fc5p-13, -0x1.ee31a02e7f3ebp-13, -0x1.e0a88916b3c51p-13, -0x1.d37b80395720dp-13, -0x1.c6a7ecce77b6p-13, -0x1.ba2b2ecb7bcccp-13, -0x1.ae02a76d180c6p-13, -0x1.a22bc915b64f6p-13, -0x1.96a4330761e1dp-13, -0x1.8b69c6af22224p-13, -0x1.807aac5f986bp-13, -0x1.75d5429b9471ep-13, -0x1.6b77ff44a1953p-13, -0x1.616152014187fp-13, -0x1.578f96daa88dfp-13, -0x1.4e011ef7e6bb5p-13, -0x1.44b448b7168fep-13, -0x1.3ba797afbfcf5p-13, -0x1.32d9bd5973a5bp-13, -0x1.2a498aeccaab2p-13, -0x1.21f5ceeaf7943p-13, -0x1.19dd2780b1963p-13, -0x1.11fdd83941d63p-13, -0x1.0a55b5ff6a773p-13, -0x1.02e2380b8553fp-13, -0x1.f7415c3f4c334p-14, -0x1.e91d1ce3ffd4cp-14, -0x1.db5384ef116fcp-14, -0x1.cde1abeffe614p-14, -0x1.c0c5e45079db1p-14, -0x1.b3ff495966387p-14, -0x1.a78d1b6dcbb1dp-14, -0x1.9b6e38302faap-14, -0x1.8fa0e73be5ebfp-14, -0x1.842302f6a1aadp-14, -0x1.78f2576d3e42dp-14, -0x1.6e0d00d18e7c1p-14, -0x1.6371a0ed36149p-14, -0x1.591f5c65aec34p-14, -0x1.4f15a5e1a0f18p-14, -0x1.4553e925710c5p-14, -0x1.3bd92c6917f0fp-14, -0x1.32a3be84d0d91p-14, -0x1.29b1093be3deap-14, -0x1.20fd9f61a9dbdp-14, -0x1.1885943b5fbep-14, -0x1.10450baa4e70ep-14, -0x1.0838ce601cdf4p-14, -0x1.005e9ecf37cdap-14, -0x1.f16a4d6b01e26p-15, -0x1.e2770e3d4b57p-15, -0x1.d3e1c4f327f47p-15, -0x1.c5a83a4b73819p-15, -0x1.b7c7e53571e9dp-15, -0x1.aa3e88c04ea83p-15, -0x1.9d0aabc3d30ddp-15, -0x1.902ba96db71dbp-15, -0x1.83a1583626359p-15, -0x1.776b756592e12p-15, -0x1.6b891c3c8d75cp-15, -0x1.5ff893870611ap-15, -0x1.54b74e3efb04p-15, -0x1.49c3d51238d42p-15, -0x1.3f1a9a0978d54p-15, -0x1.34bae11eb432ep-15, -0x1.2aa12f77a7fefp-15, -0x1.20cabe73b5274p-15, -0x1.17343babf15cbp-15, -0x1.0ddaa4007938cp-15, -0x1.04bbbccad3599p-15, -0x1.f7ac597200e1bp-16, -0x1.e652483e72d7cp-16, -0x1.d567801817abap-16, -0x1.c4e8fcb55672ep-16, -0x1.b4d21c09b3e0ap-16, -0x1.a51dd2f865e7cp-16, -0x1.95c71c1d79023p-16, -0x1.86c9f671a5021p-16, -0x1.7825729647b04p-16, -0x1.69daac932bf15p-16, -0x1.5beaf05095cd7p-16, -0x1.4e562e9ee18fp-16, -0x1.411a695f2ce69p-16, -0x1.34343c4a6334ep-16, -0x1.279fb2999fbacp-16, -0x1.1b59f30da51ddp-16, -0x1.0f613955e64ccp-16, -0x1.03b401297cacp-16, -0x1.f0a32c8615a0fp-17, -0x1.da7014ccee5d9p-17, -0x1.c4cac10b093a6p-17, -0x1.afac7d819024bp-17, -0x1.9b0d94da71d0dp-17, -0x1.86e802092e8fp-17, -0x1.7339442a4a155p-17, -0x1.6001a725ea6bcp-17, -0x1.4d41dec2ae51ep-17, -0x1.3af8756049aefp-17, -0x1.2921c6547c0c3p-17, -0x1.17ba4b6aa08d7p-17, -0x1.06c070be526d8p-17, -0x1.ec66cb720702dp-18, -0x1.cc20375cfe4dp-18, -0x1.aca15fb80ebd6p-18, -0x1.8ddcf4cb9d3a1p-18, -0x1.6fcaa329c2d65p-18, -0x1.525fdb4a8bf61p-18, -0x1.35a2677cc86f5p-18, -0x1.198f598767783p-18, -0x1.fc505d6f7f056p-19, -0x1.c6da0070afd56p-19, -0x1.92b9644ed7d2fp-19, -0x1.5fea8db282337p-19, -0x1.2e69eda64ac41p-19, -0x1.fc63fbfc3b384p-20, -0x1.9e661f91abcf7p-20, -0x1.42a341088e562p-20, -0x1.d1d5197287d3cp-21, -0x1.2266d85f9c61ep-21, -0x1.dcacbeaa92496p-23, 0x1.7e21f92284ad9p-24, 0x1.a527861b5095bp-22, 0x1.71831042b18a6p-21, 0x1.064daacda8609p-20, 0x1.51dc3bbeaa865p-20, 0x1.9b650f599b747p-20, 0x1.e2f52cc5a079dp-20, 0x1.1450666f4d52dp-19, 0x1.363c34663fba1p-19, 0x1.5743f36a224d2p-19, 0x1.776ef63532732p-19, 0x1.96c9108ca99c9p-19, 0x1.b560e2c10a515p-19, 0x1.d341852e97d1bp-19, 0x1.f06b45add07dcp-19, 0x1.066a30b772b85p-18, 0x1.1437aa72b376dp-18, 0x1.219f8903691f4p-18, 0x1.2ea2955707be2p-18, 0x1.3b4583831f289p-18, 0x1.4789316452119p-18, 0x1.537177b16392dp-18, 0x1.5f07604b656a4p-18, 0x1.6a4f9d0baca4cp-18, 0x1.7545c095df87bp-18, 0x1.7fe64f1c97ddfp-18, 0x1.8a36b49666b64p-18, 0x1.943d8f07f21c3p-18, 0x1.9df94c5c43f0dp-18, 0x1.a764fb0d11131p-18, 0x1.b080ab3331151p-18, 0x1.b950b3f3f6ae4p-18, 0x1.c1d956da14cf2p-18, 0x1.ca1cb72f69435p-18, 0x1.d21b28742cda5p-18, 0x1.d9d4054d148c2p-18, 0x1.e146f106d899ap-18, 0x1.e873b6a39518bp-18, 0x1.ef5a546601844p-18, 0x1.f5fcc4ffecb55p-18, 0x1.fc60bfdd963ep-18, 0x1.0144e512822dcp-17, 0x1.043dea800dd58p-17, 0x1.071986fed465cp-17, 0x1.09d44e8825423p-17, 0x1.0c7079249c09fp-17, 0x1.0eefd307a8eaap-17, 0x1.1151fe235d9d6p-17, 0x1.1395d1d226cf9p-17, 0x1.15bec1241ba1p-17, 0x1.17cbf5781483ep-17, 0x1.19bddf0c1d5ecp-17, 0x1.1b96593d4af7ap-17, 0x1.1d55e2f6578b7p-17, 0x1.1efd674bd03fep-17, 0x1.208b2ad6fb4b6p-17, 0x1.21fe88d0b3253p-17, 0x1.2358b24404592p-17, 0x1.249b0c8e042abp-17, 0x1.25c63f22fdf97p-17, 0x1.26da48db96024p-17, 0x1.27d76094f02e8p-17, 0x1.28be01e2377ebp-17, 0x1.298e8312fd051p-17, 0x1.2a490b1be9503p-17, 0x1.2aeda97a27324p-17, 0x1.2b7bc9a266793p-17, 0x1.2bf60e71c7ceap-17, 0x1.2c5a284222802p-17, 0x1.2ca92093eff29p-17, 0x1.2ce3e6c4db0fep-17, 0x1.2d0caa8f6e1eap-17, 0x1.2d21a8525986bp-17, 0x1.2d235eeeef5adp-17, 0x1.2d123556ffe1ep-17, 0x1.2cefa864449e5p-17, 0x1.2cba3ab4524abp-17, 0x1.2c7147cbf45dp-17, 0x1.2c15b65c7887ep-17, 0x1.2ba94382b0764p-17, 0x1.2b2c71c45657dp-17, 0x1.2a9f37bbbc417p-17, 0x1.2a023f9788ee8p-17, 0x1.2954eee9702dp-17, 0x1.2896c49c5d0e6p-17, 0x1.27c8853718627p-17, 0x1.26eae9b6c6a5p-17, 0x1.25fe406fba13ap-17, 0x1.2502ba7dff312p-17, 0x1.23f88b8422fa6p-17, 0x1.22dfea3b61d3p-17, 0x1.21b917224168dp-17, 0x1.208460c4e7bb9p-17, 0x1.1f42080d36646p-17, 0x1.1df21c2c97a31p-17, 0x1.1c94d83f218f8p-17, 0x1.1b2ab813b396ep-17, 0x1.19b3ed8e9b776p-17, 0x1.183078c80cb4p-17, 0x1.16a0d99561b8dp-17, 0x1.15042fba6cb21p-17, 0x1.135cd53431341p-17, 0x1.11a8db321a2abp-17, 0x1.0fea45dc75cafp-17, 0x1.0e20d7d160f55p-17, 0x1.0c4caf32ae073p-17, 0x1.0a6d88830924bp-17, 0x1.0883c95d8c231p-17, 0x1.068fc2522fbccp-17, 0x1.049162830e7p-17, 0x1.028929349d23dp-17, 0x1.0077c5de1231ep-17, 0x1.fcbacd3ab57d9p-18, 0x1.f8736c14cfe06p-18, 0x1.f41972f77562ep-18, 0x1.efae049372deep-18, 0x1.eb315064ed42cp-18, 0x1.e6a3daf1f94a3p-18, 0x1.e2066b34418b1p-18, 0x1.dd59379d66f55p-18, 0x1.d89c685ba6ddp-18, 0x1.d3d18794c229cp-18, 0x1.cef31e953f92ap-18, 0x1.ca0d4136ee786p-18, 0x1.c5163992e7442p-18, 0x1.c01238444649p-18, 0x1.bb005768a32fep-18, 0x1.b5e184db2c555p-18, 0x1.b0b6ab5d19c99p-18, 0x1.ab7faf3a66c05p-18, 0x1.a63cd146e920bp-18, 0x1.a0f0f753a6bdcp-18, 0x1.9b9689cf09d5fp-18, 0x1.96313040041b9p-18, 0x1.90c31f8f36943p-18, 0x1.8b4c82ddef175p-18, 0x1.85c92eeed14a4p-18, 0x1.803dfc4e5fe14p-18, 0x1.7aa9c3604018p-18, 0x1.750d0bd7783cep-18, 0x1.6f68019bc551p-18, 0x1.69bae297d03f1p-18, 0x1.640605d476556p-18, 0x1.5e49b83d0bf42p-18, 0x1.58868c676297cp-18, 0x1.52bcf55e68326p-18, 0x1.4cecef009a5ep-18, 0x1.4716a47e6e3d1p-18, 0x1.413a8d9c766b6p-18, 0x1.3b59048b9b1f4p-18, 0x1.3572518bf1a91p-18, 0x1.2f86ba1aa01b8p-18, 0x1.2996857faad7fp-18, 0x1.23a2001adbd63p-18, 0x1.1da9811216652p-18, 0x1.17ad4a2d10463p-18, 0x1.11acd1f60a7efp-18, 0x1.0ba98dfb233eap-18, 0x1.05a32b2a0e81ap-18, 0x1.ff355598b903fp-19, 0x1.f31f4ee0f391dp-19, 0x1.e705255867be4p-19, 0x1.dae59fe621516p-19, 0x1.cec4e0c15a644p-19, 0x1.c2a02eca80588p-19, 0x1.b679e3b3ac57cp-19, 0x1.aa514dfd30109p-19, 0x1.9e2673bfa5549p-19, 0x1.91fba5e046277p-19, 0x1.85d1d638da6c9p-19, 0x1.79a7a88d17b53p-19, 0x1.6d7b347a85d7ap-19, 0x1.6152884c316bp-19, 0x1.552a8b2d8963ep-19, 0x1.4904a0c3e6786p-19, 0x1.3ce1a774b631dp-19, 0x1.30c0cbb08ecadp-19, 0x1.24a27c6f7f17ep-19, 0x1.188863ae53722p-19, 0x1.0c71afb9189d2p-19, 0x1.005ef10ab44ecp-19, 0x1.e8a48c83e87c9p-20, 0x1.d09683a77b798p-20, 0x1.b89220c6015c9p-20, 0x1.a09aea2660ceap-20, 0x1.88aea0f8c0ab6p-20, 0x1.70ceb6cfe0401p-20, 0x1.58fd20d8ceb41p-20, 0x1.413aacafef61bp-20, 0x1.2988156a2aec3p-20, 0x1.11e7b75d28cp-20, 0x1.f49d8fe78dcbdp-21, 0x1.c5a9392b7f3e4p-21, 0x1.96cd74e753a6cp-21, 0x1.681c92b6fb287p-21, 0x1.398e8473d841fp-21, 0x1.0b219c513151bp-21, 0x1.b9c83622950efp-22, 0x1.5da1257f2f927p-22, 0x1.01cdf44ccd8b4p-22, 0x1.4c81ef7fbbf0dp-23, 0x1.2cb4d14593a4bp-24, -0x1.ef36354c39f57p-27, -0x1.a760c12de72fp-24, -0x1.87a0e61934cdbp-23, -0x1.1d64b7b99747ap-22, -0x1.768dc0ce2a77ap-22, -0x1.cf58cd0371428p-22, -0x1.13daa2062234p-21, -0x1.3fd3239535726p-21, -0x1.6b95d340b976cp-21, -0x1.9720b0f9d0869p-21, -0x1.c2725b7018aap-21, -0x1.ed89d3d9b9c59p-21, -0x1.0c33019253464p-20, -0x1.2182b6f42a50cp-20, -0x1.36b4c63f4d31fp-20, -0x1.4bcc41546bda2p-20, -0x1.60bfc7b6a2ed6p-20, -0x1.75979f6f381dap-20, -0x1.8a4c519dc2852p-20, -0x1.9ee18f7137db3p-20, -0x1.b359ca8328afap-20, -0x1.c7b0b2ef7bd87p-20, -0x1.dbe5e42d26f44p-20, -0x1.eff9ddd8612cfp-20, -0x1.01f6217092c1ep-19, -0x1.0bde75185d43cp-19, -0x1.15b5b9b2b3088p-19, -0x1.1f7bc4640335dp-19, -0x1.293070974c537p-19, -0x1.32d38d79d0b17p-19, -0x1.3c64fe91db728p-19, -0x1.45e4c1d5a971bp-19, -0x1.4f52c4f029c57p-19, -0x1.58aef7ce6d33fp-19, -0x1.61f901869ebd7p-19, -0x1.6b30fe4753f09p-19, -0x1.7456d96346015p-19, -0x1.7d68c61e7ececp-19, -0x1.866983a9f213p-19, -0x1.8f5850e486cd1p-19, -0x1.98338b0a1502fp-19, -0x1.a0fce3bd62534p-19, -0x1.a9b2e7ae9baaap-19, -0x1.b255ac22dbb2ap-19, -0x1.bae5320f28445p-19, -0x1.c360bdb3e33fp-19, -0x1.cbcc6a580fa53p-19, -0x1.d42312cdad1bdp-19, -0x1.dc66d4ed1d5c2p-19, -0x1.e4983709f42b5p-19, -0x1.ecb54a187d7b3p-19, -0x1.f4be9004d5794p-19, -0x1.fcb49acc1b40ap-19, -0x1.024baece890ebp-18, -0x1.063359ef5b889p-18, -0x1.0a1149687bb05p-18, -0x1.0de5c5d44a0c9p-18, -0x1.11b18d0fe1aeap-18, -0x1.157079036c8e3p-18, -0x1.1927724d838fbp-18, -0x1.1cd45e34fe2c6p-18, -0x1.207752083ceb8p-18, -0x1.2410a0da6ea7p-18, -0x1.27a01ad80f2f9p-18, -0x1.2b25ba2da5787p-18, -0x1.2ea17e9d6286p-18, -0x1.32136a763fep-18, -0x1.357b956e6220dp-18, -0x1.38d96cd965a48p-18, -0x1.3c2e2c3f363bep-18, -0x1.3f788cb721a8p-18, -0x1.42b92ebdcd4c6p-18, -0x1.45f006368db12p-18, -0x1.491d111b35fe9p-18, -0x1.4c40532914f73p-18, -0x1.4f59ddfadc2adp-18, -0x1.526998ff5a55ep-18, -0x1.556f5007e1795p-18, -0x1.5868f020f0d7ap-18, -0x1.5b5e475d936a3p-18, -0x1.5e470117f40a5p-18, -0x1.6125df6b5c992p-18, -0x1.63fb0b339e9afp-18, -0x1.66c686dfd15d1p-18, -0x1.698a7a1a9da1bp-18, -0x1.6c40544c89f96p-18, -0x1.6eef5c96239b5p-18, -0x1.7194644ee145p-18, -0x1.74301c30b8db3p-18, -0x1.76c21c0333af3p-18, -0x1.794aa408e100dp-18, -0x1.7bc90d944246ep-18, -0x1.7e3eee97154a3p-18, -0x1.80abd74762679p-18, -0x1.830e1d1b13d1dp-18, -0x1.8567e3577a4dcp-18, -0x1.87b7beed03656p-18, -0x1.89fe557d83c2ap-18, -0x1.8c3bf7137c49ap-18, -0x1.8e6fe7181b12bp-18, -0x1.909b1e46365cp-18, -0x1.92bcc44fc72cep-18, -0x1.94d59e66a1235p-18, -0x1.96e587715eebap-18, -0x1.98ec1a9c9ad52p-18, -0x1.9ae9b7ecd66aep-18, -0x1.9cde74e8ea1c1p-18, -0x1.9eca39e2f1bf2p-18, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{0x1.46f6b74ec253p-7, 0x1.47191570b8b3ap-6, 0x1.eaee896a6e26ep-6, 0x1.477d9ade91a12p-5, 0x1.9992843a89d22p-5, 0x1.eb9c761e02404p-5, 0x1.1ebb8efc12f27p-4, 0x1.477af63364eebp-4, 0x1.6ff377455f9fdp-4, 0x1.980acc6af680ap-4, 0x1.bfa6a51ffcc37p-4, 0x1.e6adb54f43238p-4, 0x1.0684467884889p-3, 0x1.19511c6e6e83ep-3, 0x1.2bb4587237fbbp-3, 0x1.3da68c801b15ep-3, 0x1.4f21ee07458ffp-3, 0x1.6022536361c62p-3, 0x1.70a524a404e49p-3, 0x1.80a9429d2fcc1p-3, 0x1.902ee6f202deep-3, 0x1.9f377f774747ep-3, 0x1.adc586f38be73p-3, 0x1.bbdc5ceb24a56p-3, 0x1.c9801dd2443e2p-3, 0x1.d6b57cb1e033fp-3, 0x1.e3819f06163f7p-3, 0x1.efe9fb600080bp-3, 0x1.fbf43b2140517p-3, 0x1.03d30fbe74e6p-2, 0x1.0982b4e3e1af6p-2, 0x1.0f0be383aef85p-2, 0x1.14715f4e3b41bp-2, 0x1.19b5d1ebc288ep-2, 0x1.1edbc51edcf8bp-2, 0x1.23e59e1fffd0dp-2, 0x1.28d59a11fa1b7p-2, 0x1.2dadcb6fb97bep-2, 0x1.32701854c3709p-2, 0x1.371e3983a1952p-2, 0x1.3bb9ba0f7a8a4p-2, 0x1.4043f79075cd5p-2, 0x1.44be22ccc64c6p-2, 0x1.492940c29ecc9p-2, 0x1.4d862c017f91fp-2, 0x1.51d59643662a2p-2, 0x1.56180a385bd96p-2, 0x1.5a4ded789533cp-2, 0x1.5e778292f50bbp-2, 0x1.6294eb2f2b4eap-2, 0x1.66a62a3be4a0fp-2, 0x1.6aab2622a0ef4p-2, 0x1.6ea3aafbbb41cp-2, 0x1.728f6cbe07b39p-2, 0x1.766e09662b511p-2, 0x1.7a3f0b1273077p-2, 0x1.7e01ea1086fcap-2, 0x1.81b60edac7cdp-2, 0x1.855ad403a0142p-2, 0x1.88ef880d6834bp-2, 0x1.8c736f2dd24bep-2, 0x1.8fe5c4fc1946fp-2, 0x1.9345be09731fbp-2, 0x1.9692896374e2cp-2, 0x1.99cb52004c59ep-2, 0x1.9cef4014d8258p-2, 0x1.9ffd7a54d5b0ep-2, 0x1.a2f5271d63e4cp-2, 0x1.a5d56d8a53196p-2, 0x1.a89d7676b27p-2, 0x1.ab4c6d6936b3fp-2, 0x1.ade1816d10bc7p-2, 0x1.b05be5d7e9d57p-2, 0x1.b2bad2fdb7dc1p-2, 0x1.b4fd86d328d0ep-2, 0x1.b723457f6a07p-2, 0x1.b92b59de16913p-2, 0x1.bb1515f211f4ep-2, 0x1.bcdfd34a1dd94p-2, 0x1.be8af357f4901p-2, 0x1.c015dfbaafb48p-2, 0x1.c1800a7d3f06ap-2, 0x1.c2c8ee49b7a02p-2, 0x1.c3f00e922e119p-2, 0x1.c4f4f7afdf8fbp-2, 0x1.c5d73ef950e03p-2, 0x1.c69682d019fb5p-2, 0x1.c7326aa6fa83dp-2, 0x1.c7aaa700dd543p-2, 0x1.c7fef1695ee7fp-2, 0x1.c82f0c676ad6ap-2, 0x1.c83ac36a7452dp-2, 0x1.c821eab2d6693p-2, 0x1.c7e45f35ca63cp-2, 0x1.c782067d760fap-2, 0x1.c6face85777d8p-2, 0x1.c64ead9453641p-2, 0x1.c57da2122df0bp-2, 0x1.c487b25d22059p-2, 0x1.c36cec9b8a067p-2, 0x1.c22d668c8c005p-2, 0x1.c0c93d572881ap-2, 0x1.bf4095581c9f5p-2, 0x1.bd9399eebe4a8p-2, 0x1.bbc27d4924544p-2, 0x1.b9cd782fb3a1cp-2, 0x1.b7b4c9d0546aap-2, 0x1.b578b7896cf86p-2, 0x1.b3198cb4cbb02p-2, 0x1.b0979a72a4e5ep-2, 0x1.adf33774bedebp-2, 0x1.ab2cbfc9eb3a5p-2, 0x1.a84494a9e18f1p-2, 0x1.a53b1c41960c1p-2, 0x1.a210c1801b167p-2, 0x1.9ec5f3e41b82ap-2, 0x1.9b5b274a059b2p-2, 0x1.97d0d3bae6136p-2, 0x1.9427753c04ee7p-2, 0x1.905f8b9f4bd45p-2, 0x1.8c799a547aabap-2, 0x1.8876283b2ede2p-2, 0x1.8455bf75c5a32p-2, 0x1.8018ed3d17fd8p-2, 0x1.7bc041b513f2dp-2, 0x1.774c4fc233dc9p-2, 0x1.72bdacdfd2f1bp-2, 0x1.6e14f0f764506p-2, 0x1.6952b6388036cp-2, 0x1.647798f1ce75p-2, 0x1.5f84376acd364p-2, 0x1.5a7931be6a043p-2, 0x1.555729b66f371p-2, 0x1.501ec2a7c4f22p-2, 0x1.4ad0a14f7b8d7p-2, 0x1.456d6bb0a3d4bp-2, 0x1.3ff5c8f2ecbe4p-2, 0x1.3a6a614201546p-2, 0x1.34cbddadacf87p-2, 0x1.2f1ae80ab5ba6p-2, 0x1.29582ad4719adp-2, 0x1.2384510f12c2fp-2, 0x1.1da0062aa1e59p-2, 0x1.17abf5e6aa4efp-2, 0x1.11a8cc369109bp-2, 0x1.0b9735269162p-2, 0x1.0577dcc1632c6p-2, 0x1.fe96ddecfb3c6p-3, 0x1.f2252f01ffeap-3, 0x1.e59c039e67373p-3, 0x1.d8fcb1d5531eep-3, 0x1.cc488ec1dd409p-3, 0x1.bf80ee59b25bdp-3, 0x1.b2a72340cc8bfp-3, 0x1.a5bc7e9e5c1a3p-3, 0x1.98c24ff2c562fp-3, 0x1.8bb9e4eec1e21p-3, 0x1.7ea4894b9b99ap-3, 0x1.718386a477649p-3, 0x1.64582450bfcb9p-3, 0x1.5723a73f8fd23p-3, 0x1.49e751d43ba3p-3, 0x1.3ca463c3dcb7cp-3, 0x1.2f5c19f3e8878p-3, 0x1.220fae59d0d89p-3, 0x1.14c057dbaa328p-3, 0x1.076f4a31d2477p-3, 0x1.f43b6b9335747p-4, 0x1.d9998f51ed00ap-4, 0x1.befb52a64223ep-4, 0x1.a463015c8ea8fp-4, 0x1.89d2dfd44eac9p-4, 0x1.6f4d2acf54671p-4, 0x1.54d41742f6442p-4, 0x1.3a69d22b200efp-4, 0x1.2010805f50598p-4, 0x1.05ca3e698001bp-4, 0x1.d73240bdd39c1p-5, 0x1.a2fe637564f7p-5, 0x1.6efcea74e16b7p-5, 0x1.3b31c979174c6p-5, 0x1.07a0e240e4c93p-5, 0x1.a89c08a284c91p-6, 0x1.4279d979e5056p-6, 0x1.b9c517bf14ad1p-7, 0x1.df753beae882bp-8, 0x1.3712be716eb7bp-10, -0x1.416bea7f48ed8p-8, -0x1.6700d117e81a9p-7, -0x1.15f888c392d86p-6, -0x1.77bced6110856p-6, -0x1.d8c74fec4c2abp-6, -0x1.1c88c8c6a421ep-5, -0x1.4c4add9c2ce19p-5, -0x1.7ba6fee9f92f4p-5, -0x1.aa9a592c0df19p-5, -0x1.d9222cf3d1965p-5, -0x1.039de778cd388p-4, -0x1.1a7253fd9d1acp-4, -0x1.310d1a87c0d14p-4, -0x1.476d03ab7457cp-4, -0x1.5d90e210a4a7p-4, -0x1.737792706c895p-4, -0x1.891ffb912924fp-4, -0x1.9e890e4138892p-4, -0x1.b3b1c5505ff3p-4, -0x1.c8992587e8eccp-4, -0x1.dd3e3da17b6e6p-4, -0x1.f1a0263cb3f23p-4, -0x1.02df00e9c24fp-3, -0x1.0ccb7e56b9326p-3, -0x1.16952668cd634p-3, -0x1.203b98fbd39p-3, -0x1.29be7abbd25f3p-3, -0x1.331d751c65414p-3, -0x1.3c58364f9a705p-3, -0x1.456e713c56abcp-3, -0x1.4e5fdd7439688p-3, -0x1.572c372904fb6p-3, -0x1.5fd33f219c544p-3, -0x1.6854baae86758p-3, -0x1.70b0739e0e861p-3, -0x1.78e6382ff6d0cp-3, -0x1.80f5db08c9403p-3, -0x1.88df3324c8dabp-3, -0x1.90a21bca835d8p-3, -0x1.983e747d12cd6p-3, -0x1.9fb420ee00e7fp-3, -0x1.a70308eee0b29p-3, -0x1.ae2b18629e25ep-3, -0x1.b52c3f2e78873p-3, -0x1.bc06712acc602p-3, -0x1.c2b9a61385817p-3, -0x1.c945d978688e9p-3, -0x1.cfab0aad170cbp-3, -0x1.d5e93cb8deaa3p-3, -0x1.dc0076465c8c3p-3, -0x1.e1f0c192ea11ap-3, -0x1.e7ba2c5de82aep-3, -0x1.ed5cc7d7d7abbp-3, -0x1.f2d8a89155785p-3, -0x1.f82de669fb6d5p-3, -0x1.fd5c9c7f0f24dp-3, -0x1.0132748d18ce3p-2, -0x1.03a376cff2511p-2, -0x1.0601673f01f94p-2, -0x1.084c598d16cfp-2, -0x1.0a8462e00d4d4p-2, -0x1.0ca999c7f906fp-2, -0x1.0ebc163647b31p-2, -0x1.10bbf174e1956p-2, -0x1.12a9461d4ebdbp-2, -0x1.1484300fd37b3p-2, -0x1.164ccc6a975ep-2, -0x1.18033980c9247p-2, -0x1.19a796d1cb04p-2, -0x1.1b3a05006205dp-2, -0x1.1cbaa5c9ecdd8p-2, -0x1.1e299bfda3fc7p-2, -0x1.1f870b73e11eep-2, -0x1.20d3190571675p-2, -0x1.220dea82f43bp-2, -0x1.2337a6ac43cb8p-2, -0x1.24507527eec6ep-2, -0x1.25587e7abbb56p-2, -0x1.264febff3e5fp-2, -0x1.2736e7dd7fa9fp-2, -0x1.280d9d02aeb56p-2, -0x1.28d43718eefb2p-2, -0x1.298ae27f2e5c2p-2, -0x1.2a31cc41151f9p-2, -0x1.2ac9220f08db7p-2, -0x1.2b51123643983p-2, -0x1.2bc9cb9900f1fp-2, -0x1.2c337da6bfe58p-2, -0x1.2c8e5854a0521p-2, -0x1.2cda8c15d0511p-2, -0x1.2d1849d41afap-2, -0x1.2d47c2e885397p-2, -0x1.2d6929140e481p-2, -0x1.2d7cae7880673p-2, -0x1.2d828591637aep-2, -0x1.2d7ae12d028d7p-2, -0x1.2d65f46594f2ap-2, -0x1.2d43f29a77b0cp-2, -0x1.2d150f698e7ebp-2, -0x1.2cd97ea8b659fp-2, -0x1.2c91745f5918ap-2, -0x1.2c3d24c01d917p-2, -0x1.2bdcc422b3ea6p-2, -0x1.2b7086fdbcba7p-2, -0x1.2af8a1e0cf65cp-2, -0x1.2a75496e9df16p-2, -0x1.29e6b257348b6p-2, -0x1.294d1152576d1p-2, -0x1.28a89b19fdc2bp-2, -0x1.27f98464ec3e8p-2, -0x1.274001e1692ep-2, -0x1.267c4830142e9p-2, -0x1.25ae8bded5a22p-2, -0x1.24d70163f0e2bp-2, -0x1.23f5dd192ff7ap-2, -0x1.230b533730b86p-2, -0x1.221797d0cda39p-2, -0x1.211adecea5f0dp-2, -0x1.20155beabf94ep-2, -0x1.1f0742ac4ab27p-2, -0x1.1df0c66380c0fp-2, -0x1.1cd21a25a0b93p-2, -0x1.1bab70c90849dp-2, -0x1.1a7cfce16af39p-2, -0x1.1946f0bc2469ep-2, -0x1.18097e5ca86b6p-2, -0x1.16c4d7790f30bp-2, -0x1.15792d76bd1f9p-2, -0x1.1426b16726a4p-2, -0x1.12cd9404b1f16p-2, -0x1.116e05afae50ap-2, -0x1.1008366b6fef1p-2, -0x1.0e9c55db7c642p-2, -0x1.0d2a9340d9142p-2, -0x1.0bb31d7773154p-2, -0x1.0a3622f39c314p-2, -0x1.08b3d1bfa8e3p-2, -0x1.072c5779a1adfp-2, -0x1.059fe15113b01p-2, -0x1.040e9c04f2ca9p-2, -0x1.0278b3e19be67p-2, -0x1.00de54bee9409p-2, -0x1.fe7f53fcc6992p-3, -0x1.fb39bd130c86cp-3, -0x1.f7ec39a041867p-3, -0x1.f4971d8d8d55bp-3, -0x1.f13abbcabe72dp-3, -0x1.edd7664b87c96p-3, -0x1.ea6d6e04f081cp-3, -0x1.e6fd22eaefcc2p-3, -0x1.e386d3ee30405p-3, -0x1.e00acef9f9f13p-3, -0x1.dc8960f24b1f5p-3, -0x1.d902d5b2179fp-3, -0x1.d5777809a8ca4p-3, -0x1.d1e791bd31582p-3, -0x1.ce536b837731fp-3, -0x1.cabb4d04b04c5p-3, -0x1.c71f7cd979035p-3, -0x1.c3804089f58f9p-3, -0x1.bfdddc8d12451p-3, -0x1.bc389447e7013p-3, -0x1.b890aa0d3b248p-3, -0x1.b4e65f1d2bdap-3, -0x1.b139f3a4ef66p-3, -0x1.ad8ba6bebac2ap-3, -0x1.a9dbb671c524ap-3, -0x1.a62a5fb2617d8p-3, -0x1.a277de6241551p-3, -0x1.9ec46d50cbde8p-3, -0x1.9b10463b9051cp-3, -0x1.975ba1ced62cdp-3, -0x1.93a6b7a645354p-3, -0x1.8ff1be4da4584p-3, -0x1.8c3ceb41b9f79p-3, -0x1.888872f137a59p-3, -0x1.84d488bdc58c5p-3, -0x1.81215efd23d14p-3, -0x1.7d6f26fa5a0cdp-3, -0x1.79be10f7082e1p-3, -0x1.760e4c2cbe681p-3, -0x1.726006ce73079p-3, -0x1.6eb36e0a0579fp-3, -0x1.6b08ae09d9148p-3, -0x1.675ff1f676e4dp-3, -0x1.63b963f8500cdp-3, -0x1.60152d3982c2bp-3, -0x1.5c7375e7b54ddp-3, -0x1.58d46536029bfp-3, -0x1.5538215eecfdap-3, -0x1.519ecfa669851p-3, -0x1.4e08945befc96p-3, -0x1.4a7592dc9a619p-3, -0x1.46e5ed955814fp-3, -0x1.4359c6051c2b1p-3, -0x1.3fd13cbf283d7p-3, -0x1.3c4c716d56eabp-3, -0x1.38cb82d2749c4p-3, -0x1.354e8ecca0375p-3, -0x1.31d5b257b81d6p-3, -0x1.2e61098fc9d17p-3, -0x1.2af0afb38dec9p-3, -0x1.2784bf26ecdf2p-3, -0x1.241d51758492fp-3, -0x1.20ba7f553d015p-3, -0x1.1d5c60a8d7821p-3, -0x1.1a030c8293372p-3, -0x1.16ae9926c6e9ap-3, -0x1.135f1c0e89db4p-3, -0x1.1014a9ea5e5ap-3, -0x1.0ccf56a4dd34ep-3, -0x1.098f356569fcap-3, -0x1.06545892e581ep-3, -0x1.031ed1d6667c1p-3, -0x1.ffdd643be45efp-4, -0x1.f988133e74b66p-4, -0x1.f33dcfb4a9fcfp-4, -0x1.ecfeb73904618p-4, -0x1.e6cae605cb535p-4, -0x1.e0a276fa93ebp-4, -0x1.da8583a1bcc5fp-4, -0x1.d4742435f6323p-4, -0x1.ce6e6fa7b7p-4, -0x1.c8747ba2c1291p-4, -0x1.c2865c93a1308p-4, -0x1.bca425ad1f6ffp-4, -0x1.b6cde8edbdb4ep-4, -0x1.b103b725288e2p-4, -0x1.ab459ff9a6d67p-4, -0x1.a593b1ed7eb0ep-4, -0x1.9fedfa646513dp-4, -0x1.9a5485a8d674cp-4, -0x1.94c75ef173538p-4, -0x1.8f4690665019fp-4, -0x1.89d223264665p-4, -0x1.846a1f4c35f0ap-4, -0x1.7f0e8bf446ec5p-4, -0x1.79bf6f411b3f2p-4, -0x1.747cce60fc19dp-4, -0x1.6f46ad930025dp-4, -0x1.6a1d102c2535ep-4, -0x1.64fff89c62676p-4, -0x1.5fef6873af001p-4, -0x1.5aeb606703246p-4, -0x1.55f3e05547d71p-4, -0x1.5108e74c41578p-4, -0x1.4c2a738d6e6b2p-4, -0x1.47588292d966bp-4, -0x1.42931113dfe48p-4, -0x1.3dda1b09f0fafp-4, -0x1.392d9bb53a358p-4, -0x1.348d8da14dde3p-4, -0x1.2ff9eaa9bbbb6p-4, -0x1.2b72abfe98901p-4, -0x1.26f7ca2903528p-4, -0x1.22893d0f92a36p-4, -0x1.1e26fbfabdb1ap-4, -0x1.19d0fd9932ffcp-4, -0x1.158738042332bp-4, -0x1.1149a0c381ac9p-4, -0x1.0d182cd236334p-4, -0x1.08f2d0a23d599p-4, -0x1.04d98020bfefep-4, -0x1.00cc2eba1f31ap-4, -0x1.f9959ebbcf973p-5, -0x1.f1aaa9058e564p-5, -0x1.e9d76054cf4a8p-5, -0x1.e21ba7ca7f8c8p-5, -0x1.da7761acb6982p-5, -0x1.d2ea6f6e14e26p-5, -0x1.cb74b1b51f44bp-5, -0x1.c41608636fd5bp-5, -0x1.bcce529cc825cp-5, -0x1.b59d6ece15c24p-5, -0x1.ae833ab44e9d6p-5, -0x1.a77f936332b79p-5, -0x1.a092554bf9bbap-5, -0x1.99bb5c43dfe1fp-5, -0x1.92fa838a8f4ap-5, -0x1.8c4fa5d07f7a6p-5, -0x1.85ba9d3d2b023p-5, -0x1.7f3b4375294e4p-5, -0x1.78d171a0384fbp-5, -0x1.727d006f20226p-5, -0x1.6c3dc8217ec66p-5, -0x1.6613a08b7e634p-5, -0x1.5ffe611b674ddp-5, -0x1.59fde0df12bd9p-5, -0x1.5411f68964315p-5, -0x1.4e3a787772f5bp-5, -0x1.48773cb5cb3e8p-5, -0x1.42c81905769ap-5, -0x1.3d2ce2e0f0b0cp-5, -0x1.37a56f810f5aap-5, -0x1.323193e1bd509p-5, -0x1.2cd124c6acc67p-5, -0x1.2783f6bfe3ab9p-5, -0x1.2249de2e31661p-5, -0x1.1d22af479d852p-5, -0x1.180e3e1ba260bp-5, -0x1.130c5e97567b2p-5, -0x1.0e1ce48997a5ep-5, -0x1.093fa3a6f6d0cp-5, -0x1.04746f8dad592p-5, -0x1.ff763792bd41dp-6, -0x1.f626f7adcb376p-6, -0x1.ecfac64fbe502p-6, -0x1.e3f14a4c8f866p-6, -0x1.db0a2a6fcf401p-6, -0x1.d2450d8365902p-6, -0x1.c9a19a5626d79p-6, -0x1.c11f77c239f46p-6, -0x1.b8be4cb356548p-6, -0x1.b07dc02cc9099p-6, -0x1.a85d794f74ee9p-6, -0x1.a05d1f5f75ebbp-6, -0x1.987c59c9d7edap-6, -0x1.90bad029d587fp-6, -0x1.89182a4e504bep-6, -0x1.8194103ee0f9ap-6, -0x1.7a2e2a40b93fdp-6, -0x1.72e620db992f7p-6, -0x1.6bbb9cde67cc9p-6, -0x1.64ae4763c8ce6p-6, -0x1.5dbdc9d677439p-6, -0x1.56e9cdf592231p-6, -0x1.5031fdd8ad0d7p-6, -0x1.499603f3e816fp-6, -0x1.43158b1ba50ep-6, -0x1.3cb03e8856caap-6, -0x1.3665c9da2428fp-6, -0x1.3035d91c2d6cap-6, -0x1.2a2018c82831dp-6, -0x1.242435c9662f9p-6, -0x1.1e41dd7ffe75ep-6, -0x1.1878bdc3d2132p-6, -0x1.12c884e75165ep-6, -0x1.0d30e1ba55217p-6, -0x1.07b1838cb52dfp-6, -0x1.024a1a30cf589p-6, -0x1.f9f4abfc041a4p-7, -0x1.ef83cfa5e05a6p-7, -0x1.e541022f63ccdp-7, -0x1.db2ba77ff75f3p-7, -0x1.d143249a57dfep-7, -0x1.c786dfa03de64p-7, -0x1.bdf63fd60e2b3p-7, -0x1.b490ada65cd9cp-7, -0x1.ab5592a513fb9p-7, -0x1.a2445992c857dp-7, -0x1.995c6e5f2bbb4p-7, -0x1.909d3e2c6bb09p-7, -0x1.8806375123b66p-7, -0x1.7f96c95b2290ap-7, -0x1.774e65119a6adp-7, -0x1.6f2c7c771e50ap-7, -0x1.673082cb94637p-7, -0x1.5f59ec8e145cbp-7, -0x1.57a82f7e746eap-7, -0x1.501ac29ecdb44p-7, -0x1.48b11e34d0c6bp-7, -0x1.416abbcaebbd6p-7, -0x1.3a471631947dcp-7, -0x1.3345a97fdbf15p-7, -0x1.2c65f3149e701p-7, -0x1.25a77196fba8ap-7, -0x1.1f09a4f70f6abp-7, -0x1.188c0e6e22584p-7, -0x1.122e307f69056p-7, -0x1.0bef8ef7d0513p-7, -0x1.05cfaeee64b34p-7, -0x1.ff9c2d886fd42p-8, -0x1.f3d49c48b7d4p-8, -0x1.e847bc07350d4p-8, -0x1.dcf4a14073d4dp-8, -0x1.d1da630337ce1p-8, -0x1.c6f81aef673ap-8, -0x1.bc4ce53532cb2p-8, -0x1.b1d7e0935db36p-8, -0x1.a7982e5642d8dp-8, -0x1.9d8cf255afad7p-8, -0x1.93b552f392219p-8, -0x1.8a107919af2cap-8, -0x1.809d9037cac41p-8, -0x1.775bc6413aa48p-8, -0x1.6e4a4baab2ce7p-8, -0x1.656853679821dp-8, -0x1.5cb512e790569p-8, -0x1.542fc2138df1dp-8, -0x1.4bd79b4b1ef0bp-8, -0x1.43abdb61510dep-8, -0x1.3babc199a4192p-8, -0x1.33d68fa4bf3b7p-8, -0x1.2c2b899d52fb4p-8, -0x1.24a9f60455bfcp-8, -0x1.1d511dbe0753fp-8, -0x1.16204c0db2b0fp-8, -0x1.0f16ce92ac28p-8, -0x1.0833f543e863dp-8, -0x1.0177126c96ee6p-8, -0x1.f5bef55049702p-9, -0x1.e8d909bbe89f2p-9, -0x1.dc3b147b2626p-9, -0x1.cfe3cc7509a7ap-9, -0x1.c3d1ed0fff6eap-9, -0x1.b804362959c03p-9, -0x1.ac796c0ce312dp-9, -0x1.a130576be4a8p-9, -0x1.9627c554524ep-9, -0x1.8b5e872836de5p-9, -0x1.80d3729401a1fp-9, -0x1.76856185e39cep-9, -0x1.6c733224b190bp-9, -0x1.629bc6c63941fp-9, -0x1.58fe05e61cb99p-9, -0x1.4f98da1ccebc5p-9, -0x1.466b321521581p-9, -0x1.3d740083f31fbp-9, -0x1.34b23c1db0c54p-9, -0x1.2c24df8d2aba3p-9, -0x1.23cae969f1363p-9, -0x1.1ba35c2eaa0cdp-9, -0x1.13ad3e2ed3053p-9, -0x1.0be7998dc874p-9, -0x1.04517c349cf75p-9, -0x1.f9d3ef9075e35p-10, -0x1.eb60433fabeacp-10, -0x1.dd462575ddf36p-10, -0x1.cf83cf6f7086ep-10, -0x1.c21781919b34cp-10, -0x1.b4ff83585be14p-10, -0x1.a83a23409e6cdp-10, -0x1.9bc5b6b6a1b9fp-10, -0x1.8fa09a0176bb5p-10, -0x1.83c9302ed873fp-10, -0x1.783de301410c5p-10, -0x1.6cfd22da89f33p-10, -0x1.620566a99a7dfp-10, -0x1.57552bd64589cp-10, -0x1.4ceaf62e96281p-10, -0x1.42c54fd2c9661p-10, -0x1.38e2c9228b355p-10, -0x1.2f41f8a98050dp-10, -0x1.25e17b0bea069p-10, -0x1.1cbff2f3fac5dp-10, -0x1.13dc08fe7e69dp-10, -0x1.0b346ba832289p-10, -0x1.02c7cf3a8fa7ep-10, -0x1.f529db7440ac3p-11, -0x1.e5350da46a33cp-11, -0x1.d5aebf86c95abp-11, -0x1.c69486a1dc0abp-11, -0x1.b7e4035c5c9fdp-11, -0x1.a99ae0d91ed6bp-11, -0x1.9bb6d4d2e5867p-11, -0x1.8e359f778435p-11, -0x1.81150b45077cep-11, -0x1.7452ece5df37cp-11, -0x1.67ed230ca5953p-11, -0x1.5be1965281a03p-11, -0x1.502e39122eeedp-11, -0x1.44d107485360ep-11, -0x1.39c8066e94189p-11, -0x1.2f11455a4743cp-11, -0x1.24aadc1aa4a3cp-11, -0x1.1a92ebd74d011p-11, -0x1.10c79eaf8cf86p-11, -0x1.074727982013p-11, -0x1.fc1f8476fd474p-12, -0x1.ea3f65b0aefc5p-12, -0x1.d8ea8c445c704p-12, -0x1.c81da2433e3bbp-12, -0x1.b7d562279fde9p-12, -0x1.a80e9696f7954p-12, -0x1.98c61a267187ap-12, -0x1.89f8d717fc701p-12, -0x1.7ba3c721f0939p-12, -0x1.6dc3f3315e889p-12, -0x1.6056732d70431p-12, -0x1.53586dbc89552p-12, -0x1.46c7180bc3923p-12, -0x1.3a9fb5913cefp-12, -0x1.2edf97d5cec01p-12, -0x1.23841e3a3f8acp-12, -0x1.188ab5c10752cp-12, -0x1.0df0d8d411fc8p-12, -0x1.03b40f10c6c43p-12, -0x1.f3a3da1dbe4a7p-13, -0x1.e090285a1f188p-13, -0x1.ce2864b321aefp-13, -0x1.bc6803bdadfcfp-13, -0x1.ab4a925f9d297p-13, -0x1.9acbb56464364p-13, -0x1.8ae7291e6dbbfp-13, -0x1.7b98c0fd3b401p-13, -0x1.6cdc672b927e1p-13, -0x1.5eae1c2f9daf5p-13, -0x1.5109f684f02d7p-13, -0x1.43ec2242e6687p-13, -0x1.3750e0b7f4324p-13, -0x1.2b348812ada71p-13, -0x1.1f9382ffea8d2p-13, -0x1.146a50532a67fp-13, -0x1.09b582aa8a895p-13, -0x1.fee3802e9c57dp-14, -0x1.eb37838d1ff87p-14, -0x1.d860a75098962p-14, -0x1.c658a837e2c34p-14, -0x1.b519673b40bf8p-14, -0x1.a49ce8de14026p-14, -0x1.94dd549364f0ap-14, -0x1.85d4f413d7c94p-14, -0x1.777e32c53b84p-14, -0x1.69d39d17935a3p-14, -0x1.5ccfdfee37e82p-14, -0x1.506dc7ff9194ap-14, -0x1.44a8414b3cbdap-14, -0x1.397a567441c6ap-14, -0x1.2edf303cc3e76p-14, -0x1.24d214eb8a4e3p-14, -0x1.1b4e67c48c075p-14, -0x1.124fa873f6f75p-14, -0x1.09d1728d3e73bp-14, -0x1.01cf7cfbe6e15p-14, -0x1.f48b3300e887dp-15, -0x1.e65f684daa6c7p-15, -0x1.d913a593d6174p-15, -0x1.cca029217abdap-15, -0x1.c0fd62d8d3c06p-15, -0x1.b623f340a38ebp-15, -0x1.ac0caa8acf2dap-15, -0x1.a2b0879d2fc37p-15, -0x1.9a08b72e79cdap-15, -0x1.920e92ccb1639p-15, -0x1.8abba00858e81p-15, -0x1.84098f794cbaep-15, -0x1.7df23bfa02f66p-15, -0x1.786fa9b681a2cp-15, -0x1.737c055ebd658p-15, -0x1.6f11a34c16798p-15, -0x1.6b2afeb28b9bcp-15, -0x1.67c2b8cfb2fecp-15, -0x1.64d398207557ep-15, -0x1.62588799285ebp-15, -0x1.604c95e40f87bp-15, -0x1.5eaaf499f8377p-15, -0x1.5d6ef78d55f2ep-15, -0x1.5c9414071ea4ap-15, -0x1.5c15e010b31d6p-15, -0x1.5bf011c063e9bp-15, -0x1.5c1e7e8a32fbcp-15, -0x1.5c9d1a8d7dc76p-15, -0x1.5d67f7e904f34p-15, -0x1.5e7b461542216p-15, -0x1.5fd3514542eep-15, -0x1.616c81afdf186p-15, -0x1.63435b0365473p-15, -0x1.65547bc0ca6ep-15, -0x1.679c9c9f87d0ap-15, -0x1.6a188ff6e4da9p-15, -0x1.6cc5412dea34ep-15, -0x1.6f9fb4236d7b9p-15, -0x1.72a504a0bb51ep-15, -0x1.75d265cb632afp-15, -0x1.7925219cda441p-15, -0x1.7c9a9855d6fc8p-15, -0x1.80303fff73c12p-15, -0x1.83e3a3dff1996p-15, -0x1.87b26404b65dep-15, -0x1.8b9a34bad41fp-15, -0x1.8f98de17949f4p-15, -0x1.93ac3b7b79fcfp-15, -0x1.97d23b203548ap-15, -0x1.9c08dd9f0c326p-15, -0x1.a04e3580b3da3p-15, -0x1.a4a066ca2e5fep-15, -0x1.a8fda68e75078p-15, -0x1.ad643a8966819p-15, -0x1.b1d278ab2b9dcp-15, -0x1.b646c6b67836ap-15, -0x1.babf99d735cd2p-15, -0x1.bf3b764111ea2p-15, -0x1.c3b8eecc911dfp-15, -0x1.c836a49285788p-15, -0x1.ccb34695f9858p-15, -0x1.d12d916189ea3p-15, -0x1.d5a44eb1e022ap-15, -0x1.da165515e6112p-15, -0x1.de82879dcf586p-15, -0x1.e2e7d583df11bp-15, -0x1.e74539d8ab637p-15, -0x1.eb99bb3381d06p-15, -0x1.efe46b5d743c6p-15, -0x1.f424670ad3f95p-15, -0x1.f858d58886d2bp-15, -0x1.fc80e8723763fp-15, -0x1.004dedb4688bdp-14, -0x1.025479e5af3d8p-14, -0x1.0453c038397fcp-14, -0x1.064b6cb045f29p-14, -0x1.083b2fc9572e1p-14, -0x1.0a22be5543f0cp-14, -0x1.0c01d15c4ab62p-14, -0x1.0dd825fdc5cf4p-14, -0x1.0fa57d5059fedp-14, -0x1.11699c435da1ep-14, -0x1.13244b83cdc11p-14, -0x1.14d5575c6a7acp-14, -0x1.167c8f9ab7c9ap-14, -0x1.1819c773c3917p-14, -0x1.19acd5691b685p-14, -0x1.1b35932dd06dap-14, -0x1.1cb3dd8d84a4cp-14, -0x1.1e279451f5e79p-14, -0x1.1f909a2c2ba64p-14, -0x1.20eed499f4b38p-14, -0x1.22422bd194e33p-14, -0x1.238a8aa76e9cfp-14, -0x1.24c7de79ce90bp-14, -0x1.25fa171b807dbp-14, -0x1.272126bcd6376p-14, -0x1.283d01d7b0f66p-14, -0x1.294d9f1ab306fp-14, -0x1.2a52f755f8618p-14, -0x1.2b4d0566b4136p-14, -0x1.2c3bc625fa76ap-14, -0x1.2d1f385449872p-14, -0x1.2df75c88f9eabp-14, -0x1.2ec43520b7601p-14, -0x1.2f85c62b7edc3p-14, -0x1.303c155cedb0dp-14, -0x1.30e729faa996bp-14, -0x1.31870cce3bc85p-14, -0x1.321bc8142fb73p-14, -0x1.32a5676ddea89p-14, -0x1.3323f7d269a2ap-14, -0x1.339787809992bp-14, -0x1.340025f0fe249p-14, -0x1.345de3c825756p-14, -0x1.34b0d2c9bbfb9p-14, -0x1.34f905cbc82cdp-14, -0x1.353690a97e323p-14, -0x1.3569883796bdap-14, -0x1.35920238ff0b9p-14, -0x1.35b015521f579p-14, -0x1.35c3d8fe54fccp-14, -0x1.35cd65857cccfp-14, -0x1.35ccd3f123df7p-14, -0x1.35c23e01f543ap-14, -0x1.35adbe25c15cap-14, -0x1.358f6f6e0bfd6p-14, -0x1.35676d8669b21p-14, -0x1.3535d4ab3ead8p-14, -0x1.34fac1a128d9p-14, -0x1.34b651ac2d2fbp-14, -0x1.3468a287979ecp-14, -0x1.3411d25d72986p-14, -0x1.33b1ffbf4e9eep-14, -0x1.3349499daa878p-14, -0x1.32d7cf4136f5ep-14, -0x1.325db043ccbd5p-14, -0x1.31db0c88d749p-14, -0x1.31500436bb94ap-14, -0x1.30bcb7b0bc29dp-14, -0x1.302147909ad24p-14, -0x1.2f7dd4a05c567p-14, -0x1.2ed27fd42adcp-14, -0x1.2e1f6a44bd646p-14, -0x1.2d64b529c599ap-14, -0x1.2ca281d4a57cp-14, -0x1.2bd8f1ab3bc1ep-14, -0x1.2b08262316b8cp-14, -0x1.2a3040bc4a313p-14, -0x1.295162fce2afap-14, -0x1.286bae6cb1f66p-14, -0x1.277f4490afa84p-14, -0x1.268c46e6dc856p-14, -0x1.2592d6e27f8cdp-14, -0x1.249315e7c0fc8p-14, -0x1.238d25485a335p-14, -0x1.2281263fcfc26p-14, -0x1.216f39f08577ep-14, -0x1.2057815f7e1f1p-14, -0x1.1f3a1d71dc2b7p-14, -0x1.1e172ee99f79ep-14, -0x1.1ceed662a52dep-14, -0x1.1bc134504dd5ap-14, -0x1.1a8e68fa3423ep-14, -0x1.19569479dbb96p-14, -0x1.1819d6b84882ap-14, -0x1.16d84f6b81e9p-14, -0x1.15921e147607ep-14, -0x1.144761fcb4877p-14, -0x1.12f83a348aed4p-14, -0x1.11a4c5910eba6p-14, -0x1.104d22aa48817p-14, -0x1.0ef16fd97f694p-14, -0x1.0d91cb373c44dp-14, -0x1.0c2e529a4bc0cp-14, -0x1.0ac723957742bp-14, -0x1.095c5b76b057ep-14, -0x1.07ee1745b8fd9p-14, -0x1.067c73c2762b3p-14, -0x1.05078d644d261p-14, -0x1.038f80590037p-14, -0x1.0214688349faap-14, -0x1.0096617a0a127p-14, -0x1.fe2b0d0f0c059p-15, -0x1.fb23e550f6189p-15, -0x1.f8178116aafb8p-15, -0x1.f506151f2c47cp-15, -0x1.f1efd589f1585p-15, -0x1.eed4f5d6b2af5p-15, -0x1.ebb5a8e3c8bfbp-15, -0x1.e89220ece5815p-15, -0x1.e56a8f8a6dfdp-15, -0x1.e23f25b1460eap-15, -0x1.df1013b15da8ap-15, -0x1.dbdd8935b1e8ap-15, -0x1.d8a7b54429106p-15, -0x1.d56ec63c57fd5p-15, -0x1.d232e9d7e0ea3p-15, -0x1.cef44d29cbe69p-15, -0x1.cbb31c9eca363p-15, -0x1.c86f83fd5c25cp-15, -0x1.c529ae65df18p-15, -0x1.c1e1c651cd20ep-15, -0x1.be97f59485b3bp-15, -0x1.bb4c655c22ed9p-15, -0x1.b7ff3e30e5812p-15, -0x1.b4b0a7f693fecp-15, -0x1.b160c9eb72bd1p-15, -0x1.ae0fcaaa0edaap-15, -0x1.aabdd028f2f12p-15, -0x1.a76affbc2a64dp-15, -0x1.a4177e14f220cp-15, -0x1.a0c36f438b862p-15, -0x1.9d6ef6b7227aep-15, -0x1.9a1a373e6689bp-15, -0x1.96c553092b5f9p-15, -0x1.93706ba91da98p-15, -0x1.901ba21234921p-15, -0x1.8cc7169c31763p-15, -0x1.8972e9033622dp-15, -0x1.861f38690c553p-15, -0x1.82cc23566495ap-15, -0x1.7f79c7bbbbb8cp-15, -0x1.7c2842f2bc506p-15, -0x1.78d7b1be89401p-15, -0x1.7588304deb1adp-15, -0x1.7239da3bf7ab6p-15, -0x1.6eecca91cccp-15, -0x1.6ba11bc70de78p-15, -0x1.6856e7c3e74b9p-15, -0x1.650e47e20fa8p-15, -0x1.61c754edba0bap-15, -0x1.5e822727e3467p-15, -0x1.5b3ed646a4c79p-15, -0x1.57fd797762b35p-15, -0x1.54be275f43dcdp-15, -0x1.5180f61d7350ep-15, -0x1.4e45fb4c50c76p-15, -0x1.4b0d4c02b6566p-15, }}, 
      {{0x1.1b2358217d5e1p-7, 0x1.1b32baf270f43p-6, 0x1.a8eeaea4f8eabp-6, 0x1.1b65221bc31dfp-5, 0x1.6260eed8140f6p-5, 0x1.a9648ad91a42p-5, 0x1.f0659aeee4b82p-5, 0x1.1bab1199383b7p-4, 0x1.3f129d751fbb6p-4, 0x1.625fe95069006p-4, 0x1.8588bcd253921p-4, 0x1.a8828b47d8e82p-4, 0x1.cb42c5c4556p-4, 0x1.edbf215181dbp-4, 0x1.07f6e851eb06bp-3, 0x1.18e2d8ccbc2f1p-3, 0x1.299f37a570bf8p-3, 0x1.3a284cdf27a7p-3, 0x1.4a7ada3a7cf1ep-3, 0x1.5a941e8af481dp-3, 0x1.6a71d5bb77b43p-3, 0x1.7a12361ade2afp-3, 0x1.8973eb7e9ad7ep-3, 0x1.989610bc705p-3, 0x1.a77827edc27e7p-3, 0x1.b61a11e036b34p-3, 0x1.c47c0508c340ap-3, 0x1.d29e84406b975p-3, 0x1.e0825584bb29dp-3, 0x1.ee2878ea7fb72p-3, 0x1.fb921fe68b3dbp-3, 0x1.046052839c79ep-2, 0x1.0adac218c4c2dp-2, 0x1.113929b7049c8p-2, 0x1.177c5e2623b56p-2, 0x1.1da53aef9cf94p-2, 0x1.23b49fa8b7b59p-2, 0x1.29ab6d869eb01p-2, 0x1.2f8a85399331fp-2, 0x1.3552c50b9e3d1p-2, 0x1.3b05073eb34d5p-2, 0x1.40a220a5e1627p-2, 0x1.462adf7520fdap-2, 0x1.4ba00a4337be9p-2, 0x1.51025f3955678p-2, 0x1.5652936c182bdp-2, 0x1.5b915259f1d34p-2, 0x1.60bf3d8b11738p-2, 0x1.65dcec4f2f20ap-2, 0x1.6aeaeb95e8c09p-2, 0x1.6fe9bdde8c0c1p-2, 0x1.74d9db3c71764p-2, 0x1.79bbb16d4e8e9p-2, 0x1.7e8fa3ff11fa2p-2, 0x1.83560c832110ep-2, 0x1.880f3accf72f9p-2, 0x1.8cbb753a630fep-2, 0x1.915af903bd437p-2, 0x1.95edfa92aba7dp-2, 0x1.9a74a5de1a57fp-2, 0x1.9eef1eca4996ep-2, 0x1.a35d818bddd42p-2, 0x1.a7bfe30d0bc3dp-2, 0x1.ac16515403c3dp-2, 0x1.b060d3e9f0964p-2, 0x1.b49f6c41d600ep-2, 0x1.b8d2161ecfc68p-2, 0x1.bcf8c7f925ffap-2, 0x1.c1137361d4beep-2, 0x1.c522056425cfp-2, 0x1.c92466e50c7f2p-2, 0x1.cd1a7d000498p-2, 0x1.d104296137ca9p-2, 0x1.d4e14a9cc2711p-2, 0x1.d8b1bc82ef9f9p-2, 0x1.dc7558714e992p-2, 0x1.e02bf5a0963cap-2, 0x1.e3d5696f3a41ep-2, 0x1.e77187a8baa2ep-2, 0x1.eb0022c99b294p-2, 0x1.ee810c400fe03p-2, 0x1.f1f414a95d1a2p-2, 0x1.f5590c0bf98c7p-2, 0x1.f8afc20e7a6d7p-2, 0x1.fbf8062b5c0b5p-2, 0x1.ff31a7e1b4f1p-2, 0x1.012e3b7175735p-1, 0x1.02bc219ebc99ap-1, 0x1.04426ec271ea3p-1, 0x1.05c10b7b73f8dp-1, 0x1.0737e0cf05b4cp-1, 0x1.08a6d838cbabbp-1, 0x1.0a0ddbb990998p-1, 0x1.0b6cd5e4db295p-1, 0x1.0cc3b1ed61a9fp-1, 0x1.0e125bb068e6cp-1, 0x1.0f58bfc01a758p-1, 0x1.1096cb6cdde9p-1, 0x1.11cc6ccdc2c25p-1, 0x1.12f992c804ce8p-1, 0x1.141e2d15ba1c5p-1, 0x1.153a2c4bb0425p-1, 0x1.164d81de8a8c4p-1, 0x1.17582027268ffp-1, 0x1.1859fa665573bp-1, 0x1.195304c7f0808p-1, 0x1.1a43346555cp-1, 0x1.1b2a7f4753afep-1, 0x1.1c08dc678e28cp-1, 0x1.1cde43b1657c7p-1, 0x1.1daaae02669c1p-1, 0x1.1e6e152a4dbbap-1, 0x1.1f2873eaa0498p-1, 0x1.1fd9c5f5ea893p-1, 0x1.208207eea10b3p-1, 0x1.21213765b0ffdp-1, 0x1.21b752d8c636p-1, 0x1.224459b046567p-1, 0x1.22c84c3d0fa4cp-1, 0x1.23432bb5f94ddp-1, 0x1.23b4fa351e7dep-1, 0x1.241dbab4f521p-1, 0x1.247d710d3a325p-1, 0x1.24d421efb015dp-1, 0x1.2521d2e4bb85p-1, 0x1.25668a47db51ep-1, 0x1.25a24f4401994p-1, 0x1.25d529cfd290dp-1, 0x1.25ff22a9ca7cdp-1, 0x1.262043544c1d6p-1, 0x1.263896119e9e6p-1, 0x1.264825dfd7bc2p-1, 0x1.264efe74ba08dp-1, 0x1.264d2c3984e61p-1, 0x1.2642bc46bb0a5p-1, 0x1.262fbc5fe0728p-1, 0x1.26143aef30692p-1, 0x1.25f047014f5fcp-1, 0x1.25c3f040f89afp-1, 0x1.258f46f2a93a8p-1, 0x1.25525bf049f01p-1, 0x1.250d40a4d9264p-1, 0x1.24c0070815989p-1, 0x1.246ac19a2bc6bp-1, 0x1.240d835f660bfp-1, 0x1.23a85fdbdf598p-1, 0x1.233b6b0f3cfb2p-1, 0x1.22c6b9706cc09p-1, 0x1.224a5fe9678dbp-1, 0x1.21c673d2fceebp-1, 0x1.213b0af0a5ed7p-1, 0x1.20a83b6c5cf66p-1, 0x1.200e1bd282457p-1, 0x1.1f6cc30dc4815p-1, 0x1.1ec4486317695p-1, 0x1.1e14c36daf594p-1, 0x1.1d5e4c1b0b196p-1, 0x1.1ca0faa7039dbp-1, 0x1.1bdce797eb621p-1, 0x1.1b122bbab30e3p-1, 0x1.1a40e01f1f075p-1, 0x1.19691e14032b1p-1, 0x1.188aff238e267p-1, 0x1.17a69d0f9e7a9p-1, 0x1.16bc11ce2360dp-1, 0x1.15cb77858bfa3p-1, 0x1.14d4e88940644p-1, 0x1.13d87f5629515p-1, 0x1.12d6568f4266fp-1, 0x1.11ce88fa3ae7fp-1, 0x1.10c1317c231f6p-1, 0x1.0fae6b162573p-1, 0x1.0e9650e24edabp-1, 0x1.0d78fe1062563p-1, 0x1.0c568de2bb1f3p-1, 0x1.0b2f1bab3af2ep-1, 0x1.0a02c2c847c1p-1, 0x1.08d19ea1d4c9bp-1, 0x1.079bcaa67ae79p-1, 0x1.066162489cf2ap-1, 0x1.052280fb9ade6p-1, 0x1.03df4231127a7p-1, 0x1.0297c1562d64dp-1, 0x1.014c19d0fd47bp-1, 0x1.fff8cdfbc9aedp-2, 0x1.fd51885a206ccp-2, 0x1.faa2993ff3c14p-2, 0x1.f7ec370dfae58p-2, 0x1.f52e97fdf1067p-2, 0x1.f269f21df38e7p-2, 0x1.ef9e7b4bf9802p-2, 0x1.eccc693167d88p-2, 0x1.e9f3f13ec2167p-2, 0x1.e71548a775261p-2, 0x1.e430a45dbb5d5p-2, 0x1.e146390ea1e57p-2, 0x1.de563b1e226p-2, 0x1.db60dea35b54bp-2, 0x1.d8665764e3e3fp-2, 0x1.d566d8d5388b4p-2, 0x1.d262960f439e7p-2, 0x1.cf59c1d2ff437p-2, 0x1.cc4c8e823555ep-2, 0x1.c93b2e1d5386p-2, 0x1.c625d2406073fp-2, 0x1.c30cac200505dp-2, 0x1.bfefec86b2543p-2, 0x1.bccfc3d1e1faap-2, 0x1.b9ac61ef6e979p-2, 0x1.b685f65b040dp-2, 0x1.b35cb01bab054p-2, 0x1.b030bdc16d897p-2, 0x1.ad024d631277p-2, 0x1.a9d18c9bf124ep-2, 0x1.a69ea889df6dp-2, 0x1.a369cdcb3693dp-2, 0x1.a033287cecdbdp-2, 0x1.9cfae438cbaf5p-2, 0x1.99c12c13b8b3ap-2, 0x1.96862a9c17eep-2, 0x1.934a09d842942p-2, 0x1.900cf34516ee3p-2, 0x1.8ccf0fd49ab1fp-2, 0x1.899087ecb5febp-2, 0x1.8651836602947p-2, 0x1.8312298aafb6ap-2, 0x1.7fd2a1157b2b9p-2, 0x1.7c931030bee72p-2, 0x1.79539c7592806p-2, 0x1.76146aeb0233bp-2, 0x1.72d5a00554d98p-2, 0x1.6f975fa56b5ecp-2, 0x1.6c59cd182e50ap-2, 0x1.691d0b160f323p-2, 0x1.65e13bc29bdb5p-2, 0x1.62a680ac26822p-2, 0x1.5f6cfacb7a15bp-2, 0x1.5c34ca83a4965p-2, 0x1.58fe0fa1cdbd8p-2, 0x1.55c8e95d2485ep-2, 0x1.52957656d50dp-2, 0x1.4f63d49a1473bp-2, 0x1.4c34219c3a601p-2, 0x1.49067a3ce65fbp-2, 0x1.45dafac63ad6cp-2, 0x1.42b1beed1e175p-2, 0x1.3f8ae1d191e6ap-2, 0x1.3c667dff119b8p-2, 0x1.3944ad6d02b58p-2, 0x1.3625897f2f911p-2, 0x1.33092b064fbeep-2, 0x1.2fefaa409cab4p-2, 0x1.2cd91eda73063p-2, 0x1.29c59feeff2b5p-2, 0x1.26b54408f2c5p-2, 0x1.23a821234b26dp-2, 0x1.209e4caa1b9c9p-2, 0x1.1d97db7b66ae4p-2, 0x1.1a94e1e7ff4dap-2, 0x1.179573b475e47p-2, 0x1.1499a41a09c87p-2, 0x1.11a185c7ab658p-2, 0x1.0ead2ae2ff494p-2, 0x1.0bbca5096fb2p-2, 0x1.08d0055140c13p-2, 0x1.05e75c4ab3319p-2, 0x1.0302ba01277d8p-2, 0x1.00222dfc4ce5cp-2, 0x1.fa8b8e82ac5f1p-3, 0x1.f4db28a86671fp-3, 0x1.ef334671a7952p-3, 0x1.e99402e8dbd94p-3, 0x1.e3fd781d976e6p-3, 0x1.de6fbf27394d2p-3, 0x1.d8eaf0279e963p-3, 0x1.d36f224dd5106p-3, 0x1.cdfc6bd8e485cp-3, 0x1.c892e21a957d1p-3, 0x1.c332997a4606p-3, 0x1.bddba577c128fp-3, 0x1.b88e18ae28cfep-3, 0x1.b34a04d6d43f7p-3, 0x1.ae0f7acc48f38p-3, 0x1.a8de8a8d25694p-3, 0x1.a3b7433f248ap-3, 0x1.9e99b33215a66p-3, 0x1.9985e7e2e2853p-3, 0x1.947bedfe94902p-3, 0x1.8f7bd1656029ap-3, 0x1.8a859d2db1c49p-3, 0x1.85995ba73f61cp-3, 0x1.80b7165e176a9p-3, 0x1.7bded61db937bp-3, 0x1.7710a2f425adfp-3, 0x1.724c8434f987bp-3, 0x1.6d92807c82572p-3, 0x1.68e29db2d7ef1p-3, 0x1.643ce10ef3273p-3, 0x1.5fa14f19c2dfp-3, 0x1.5b0febb14565bp-3, 0x1.5688ba0b9c9bdp-3, 0x1.520bbcba22145p-3, 0x1.4d98f5ac78926p-3, 0x1.493066339e682p-3, 0x1.44d20f04f9ad9p-3, 0x1.407df03d6477p-3, 0x1.3c3409643586fp-3, 0x1.37f4596e473dfp-3, 0x1.33bedec0f7806p-3, 0x1.2f939735287dfp-3, 0x1.2b72801a3b50cp-3, 0x1.275b963906363p-3, 0x1.234ed5d6c743cp-3, 0x1.1f4c3ab812b53p-3, 0x1.1b53c023bbf43p-3, 0x1.176560e5bb1b1p-3, 0x1.138117520a8ccp-3, 0x1.0fa6dd4781e96p-3, 0x1.0bd6ac32a9f9ap-3, 0x1.08107d108df6p-3, 0x1.04544871807e2p-3, 0x1.00a2067be170dp-3, 0x1.f9f35dddb42f1p-4, 0x1.f2b6724a2814ap-4, 0x1.eb8d382ed2159p-4, 0x1.e4779cbf196dp-4, 0x1.dd758c755c9dbp-4, 0x1.d686f3182fba9p-4, 0x1.cfabbbbf820ebp-4, 0x1.c8e3d0d9bcbb1p-4, 0x1.c22f1c30cc389p-4, 0x1.bb8d86ef29dap-4, 0x1.b4fef9a4c21e8p-4, 0x1.ae835c4be04b7p-4, 0x1.a81a964dfa5bap-4, 0x1.a1c48e887eb0cp-4, 0x1.9b812b517cd3ep-4, 0x1.9550527c564c9p-4, 0x1.8f31e95e5028cp-4, 0x1.8925d4d31c6bfp-4, 0x1.832bf9414ee9fp-4, 0x1.7d443a9ec7bffp-4, 0x1.776e7c7507498p-4, 0x1.71aaa1e57b389p-4, 0x1.6bf88dadb1febp-4, 0x1.6658222b87599p-4, 0x1.60c941613898dp-4, 0x1.5b4bccf97044ep-4, 0x1.55dfa64b3d038p-4, 0x1.5084ae5df8204p-4, 0x1.4b3ac5ed220dcp-4, 0x1.4601cd6c2618dp-4, 0x1.40d9a50a13e79p-4, 0x1.3bc22cb548421p-4, 0x1.36bb441f05abdp-4, 0x1.31c4cabefc197p-4, 0x1.2cde9fd6c01d9p-4, 0x1.2808a275334dfp-4, 0x1.2342b179def06p-4, 0x1.1e8cab983a3f5p-4, 0x1.19e66f5ae4e4ap-4, 0x1.154fdb26d0649p-4, 0x1.10c8cd3e58a4dp-4, 0x1.0c5123c450502p-4, 0x1.07e8bcbefa671p-4, 0x1.038f761af4831p-4, 0x1.fe8a5b5c2d6eep-5, 0x1.f61382747cae7p-5, 0x1.edba1ce016b67p-5, 0x1.e57de5e32458fp-5, 0x1.dd5e98a9f536ap-5, 0x1.d55bf04e23a46p-5, 0x1.cd75a7db9560fp-5, 0x1.c5ab7a5572716p-5, 0x1.bdfd22bae086bp-5, 0x1.b66a5c0bc0da5p-5, 0x1.aef2e14d3d225p-5, 0x1.a7966d8e401dbp-5, 0x1.a054bbebcfde7p-5, 0x1.992d879554b9ap-5, 0x1.92208bd0b9291p-5, 0x1.8b2d83fe73294p-5, 0x1.84542b9d7a96bp-5, 0x1.7d943e4f19e5ap-5, 0x1.76ed77daab803p-5, 0x1.705f94313b586p-5, 0x1.69ea4f710e713p-5, 0x1.638d65e9154adp-5, 0x1.5d48941c3fb35p-5, 0x1.571b96c4bfb33p-5, 0x1.51062ad725124p-5, 0x1.4b080d8578825p-5, 0x1.4520fc4228b29p-5, 0x1.3f50b4c2ee96dp-5, 0x1.3996f50391aabp-5, 0x1.33f37b48a097ep-5, 0x1.2e66062204375p-5, 0x1.28ee546d8b2e2p-5, 0x1.238c255958b17p-5, 0x1.1e3f386639f46p-5, 0x1.19074d69f7036p-5, 0x1.13e4249175883p-5, 0x1.0ed57e62de043p-5, 0x1.09db1bbfa64d4p-5, 0x1.04f4bde680f34p-5, 0x1.002226753ccfep-5, 0x1.f6c62ed531f5cp-6, 0x1.ed6ea64ffe1c1p-6, 0x1.e43d38e652b7fp-6, 0x1.db316cef7b13cp-6, 0x1.d24ac9919d113p-6, 0x1.c988d6c4a0418p-6, 0x1.c0eb1d54fd104p-6, 0x1.b87126e650d2bp-6, 0x1.b01a7df5ee51dp-6, 0x1.a7e6addd3771dp-6, 0x1.9fd542d3e1088p-6, 0x1.97e5c9f210b42p-6, 0x1.9017d1326c9f9p-6, 0x1.886ae773f67f4p-6, 0x1.80de9c7bd7c7bp-6, 0x1.797280f70fa12p-6, 0x1.7226267c02995p-6, 0x1.6af91f8be455fp-6, 0x1.63eaff9424169p-6, 0x1.5cfb5aef92d98p-6, 0x1.5629c6e7a2d49p-6, 0x1.4f75d9b558d2ep-6, 0x1.48df2a8253629p-6, 0x1.4265516992adap-6, 0x1.3c07e7784db1ap-6, 0x1.35c686ae8a3ecp-6, 0x1.2fa0c9ffc472p-6, 0x1.29964d5363856p-6, 0x1.23a6ad851dbcp-6, 0x1.1dd188655c4ebp-6, 0x1.18167cb968753p-6, 0x1.12752a3baef4p-6, 0x1.0ced319bb7aaap-6, 0x1.077e347e50806p-6, 0x1.0227d57d65481p-6, 0x1.f9d3704fd2771p-7, 0x1.ef87020353e4dp-7, 0x1.e569ab060afdfp-7, 0x1.db7ab8315361ap-7, 0x1.d1b9784634b02p-7, 0x1.c8253bec9678fp-7, 0x1.bebd55b25ad3dp-7, 0x1.b5811a0a0862dp-7, 0x1.ac6fdf49af705p-7, 0x1.a388fda993f15p-7, 0x1.9acbcf42ad4e8p-7, 0x1.9237b00d27962p-7, 0x1.89cbfddeb36b8p-7, 0x1.81881868c7e3bp-7, 0x1.796b6136d9202p-7, 0x1.71753bac569d3p-7, 0x1.69a50d02c005fp-7, 0x1.61fa3c478053cp-7, 0x1.5a743259bdab9p-7, 0x1.531259e82502ap-7, 0x1.4bd41f6e8cf2ap-7, 0x1.44b8f13397917p-7, 0x1.3dc03f4630d21p-7, 0x1.36e97b7b0a38ep-7, 0x1.3034196a0dd5ap-7, 0x1.299f8e6ba0444p-7, 0x1.232b5195f8113p-7, 0x1.1cd6dbba4fd2fp-7, 0x1.16a1a7621c579p-7, 0x1.108b30cc1d3f4p-7, 0x1.0a92f5e977b87p-7, 0x1.04b8765aba93ap-7, 0x1.fdf666d9ba8c4p-8, 0x1.f2b5602c49c61p-8, 0x1.e7ace1e63991ep-8, 0x1.dcdbf886a1ecdp-8, 0x1.d241b3cc903f2p-8, 0x1.c7dd26b06daa8p-8, 0x1.bdad675d75f4p-8, 0x1.b3b18f2b50c45p-8, 0x1.a9e8ba974e95cp-8, 0x1.a052093de80fcp-8, 0x1.96ec9dd3e9c9p-8, 0x1.8db79e1fb56e3p-8, 0x1.84b232f27e1f9p-8, 0x1.7bdb8821855eep-8, 0x1.7332cc7f038bcp-8, 0x1.6ab731d3783dcp-8, 0x1.6267ecd69981dp-8, 0x1.5a4435285f3e4p-8, 0x1.524b454a18286p-8, 0x1.4a7c5a97624c2p-8, 0x1.42d6b53f1388bp-8, 0x1.3b59983c4464p-8, 0x1.3404494f2cfdp-8, 0x1.2cd610f614d96p-8, 0x1.25ce3a666dc4ep-8, 0x1.1eec13857c203p-8, 0x1.182eece17f42dp-8, 0x1.119619aa5bc2dp-8, 0x1.0b20efaadb7b4p-8, 0x1.04cec7413c3e4p-8, 0x1.fd3df6b0f99c5p-9, 0x1.f121d2c1f5858p-9, 0x1.e547e2932bb3bp-9, 0x1.d9aeeaf14d0d5p-9, 0x1.ce55b589c10a4p-9, 0x1.c33b10dcbfdbdp-9, 0x1.b85dd02f66638p-9, 0x1.adbccb7d977f6p-9, 0x1.a356df6c42ab2p-9, 0x1.992aed3b8068bp-9, 0x1.8f37dab8b1793p-9, 0x1.857c9230ebc5cp-9, 0x1.7bf8026304c4bp-9, 0x1.72a91e72265a1p-9, 0x1.698eddd836201p-9, 0x1.60a83c582629bp-9, 0x1.57f439f0c07f5p-9, 0x1.4f71dacf1d99ap-9, 0x1.4720274155f88p-9, 0x1.3efe2ba953407p-9, 0x1.370af86f97c61p-9, 0x1.2f45a1f62f322p-9, 0x1.27ad408bc5fd5p-9, 0x1.2040f05e6b5a8p-9, 0x1.18ffd16f30ee8p-9, 0x1.11e90784fc7dbp-9, 0x1.0afbba200b7dep-9, 0x1.0437146d3f7d3p-9, 0x1.fb348a7383946p-10, 0x1.ee48fdcd507a4p-10, 0x1.e1a9eeb88d5e8p-10, 0x1.d555cffcb7ff6p-10, 0x1.c94b1b3f1ee8p-10, 0x1.bd8850ebb632ep-10, 0x1.b20bf81c38931p-10, 0x1.a6d49e815508dp-10, 0x1.9be0d84a4bc42p-10, 0x1.912f400e6748ap-10, 0x1.86be76b5771d9p-10, 0x1.7c8d2361218a1p-10, 0x1.7299f355b0757p-10, 0x1.68e399e45ad61p-10, 0x1.5f68d05424b61p-10, 0x1.562855cc656e5p-10, 0x1.4d20ef3ebdc4p-10, 0x1.445167510ce62p-10, 0x1.3bb88e4886c5fp-10, 0x1.335539f3f3639p-10, 0x1.2b264596f4702p-10, 0x1.232a91d4e7dbdp-10, 0x1.1b61049cbd95ap-10, 0x1.13c88913a64eap-10, 0x1.0c600f82259aap-10, 0x1.05268d3ea500cp-10, 0x1.fc35f935c7cb9p-11, 0x1.ee78b99edc16ep-11, 0x1.e11363d21200bp-11, 0x1.d4040969ff498p-11, 0x1.c748c55c67af2p-11, 0x1.badfbbd5562cbp-11, 0x1.aec71a11b4bffp-11, 0x1.a2fd163a9c614p-11, 0x1.977fef417378ap-11, 0x1.8c4decbb7d561p-11, 0x1.81655ebf4e05fp-11, 0x1.76c49dc0bee48p-11, 0x1.6c6a0a6f8e9cbp-11, 0x1.62540d9427995p-11, 0x1.588117ee9b36dp-11, 0x1.4eefa21509b05p-11, 0x1.459e2c52af54dp-11, 0x1.3c8b3e8768685p-11, 0x1.33b56807c67b8p-11, 0x1.2b1b3f7cbfc2cp-11, 0x1.22bb62c53e81bp-11, 0x1.1a9476d65168ep-11, 0x1.12a5279d58dbep-11, 0x1.0aec27e18b545p-11, 0x1.036831261e9a4p-11, 0x1.f830071b0e9d2p-12, 0x1.e9f4cb7769353p-12, 0x1.dc1c497441d78p-12, 0x1.cea427b6300c1p-12, 0x1.c18a193c67392p-12, 0x1.b4cbdd2a96dccp-12, 0x1.a8673e906df11p-12, 0x1.9c5a1436d108p-12, 0x1.90a240699ccbap-12, 0x1.853db0c4436dep-12, 0x1.7a2a5dfe32b3p-12, 0x1.6f664bb8e152ep-12, 0x1.64ef884db612ap-12, 0x1.5ac42c9c7aedap-12, 0x1.50e25bdc1bf74p-12, 0x1.474843697e0bap-12, 0x1.3df41a99e988cp-12, 0x1.34e4228bfde15p-12, 0x1.2c16a5fa1520ep-12, 0x1.2389f90d28b16p-12, 0x1.1b3c79316c53bp-12, 0x1.132c8ce8b1305p-12, 0x1.0b58a3a1e3dadp-12, 0x1.03bf358c64d51p-12, 0x1.f8bd86df7cd45p-13, 0x1.ea6bad04b2c3fp-13, 0x1.dc860081457dbp-13, 0x1.cf09b48a03184p-13, 0x1.c1f40c42d7d0cp-13, 0x1.b5425a7033f5p-13, 0x1.a8f2012b45fc6p-13, 0x1.9d007196f5611p-13, 0x1.916b2b96a456ep-13, 0x1.862fbd85dacb2p-13, 0x1.7b4bc3eee7ae3p-13, 0x1.70bce94842b85p-13, 0x1.6680e5aab1669p-13, 0x1.5c957e91c4fc6p-13, 0x1.52f886964893fp-13, 0x1.49a7dd2bfb284p-13, 0x1.40a16e63bb3bap-13, 0x1.37e332a7ceaf1p-13, 0x1.2f6b2e808c1e8p-13, 0x1.273772548fecap-13, 0x1.1f461a2d5bb64p-13, 0x1.17954d7af176cp-13, 0x1.10233ed9804c3p-13, 0x1.08ee2bd7f09c3p-13, 0x1.01f45cbefcbc3p-13, 0x1.f66848b1c1d6cp-14, 0x1.e957bf769ebb5p-14, 0x1.dcb3ec236c7a2p-14, 0x1.d079b0ce00ba6p-14, 0x1.c4a602e875aap-14, 0x1.b935ead44beadp-14, 0x1.ae268382c3993p-14, 0x1.a374fa1012467p-14, 0x1.991e8d630b473p-14, 0x1.8f208dcc6f8edp-14, 0x1.85785cac4674ap-14, 0x1.7c236c128688dp-14, 0x1.731f3e6674ce4p-14, 0x1.6a69660e0cf5fp-14, 0x1.61ff8515cb6c1p-14, 0x1.59df4cdc81f62p-14, 0x1.52067dbcd04b2p-14, 0x1.4a72e6bdf55ffp-14, 0x1.4322654186727p-14, 0x1.3c12e4b0dc66bp-14, 0x1.35425e333e87bp-14, 0x1.2eaed85e7073dp-14, 0x1.285666ee491ep-14, 0x1.22372a7667cdcp-14, 0x1.1c4f501e4a3ebp-14, 0x1.169d1156f6659p-14, 0x1.111eb395f44bcp-14, 0x1.0bd288126b035p-14, 0x1.06b6eb7f4fd8dp-14, 0x1.01ca45caca39cp-14, 0x1.fa1613bd45e09p-15, 0x1.f0ef6abbeab37p-15, 0x1.e81da0d27d1c4p-15, 0x1.df9ddac11c239p-15, 0x1.d76d514e89496p-15, 0x1.cf8950d2fd1b1p-15, 0x1.c7ef38c83021ap-15, 0x1.c09c7b5140fc9p-15, 0x1.b98e9cd3e7822p-15, 0x1.b2c33385f751fp-15, 0x1.ac37e705cf527p-15, 0x1.a5ea6ff03bfa6p-15, 0x1.9fd8977d7904ep-15, 0x1.9a00371918064p-15, 0x1.945f3801d2572p-15, 0x1.8ef392e819fc1p-15, 0x1.89bb4f90f0be9p-15, 0x1.84b484799ea72p-15, 0x1.7fdd567ad51b9p-15, 0x1.7b33f872a44e6p-15, 0x1.76b6aaebfff0cp-15, 0x1.7263bbc9a0429p-15, 0x1.6e3985f490edbp-15, 0x1.6a3671061a916p-15, 0x1.6658f0fd6a8bep-15, 0x1.629f85eb35e0bp-15, 0x1.5f08bbab7351fp-15, 0x1.5b93299414634p-15, 0x1.583d722ff09d4p-15, 0x1.550642f48b3edp-15, 0x1.51ec53fbb0846p-15, 0x1.4eee67c0153a7p-15, 0x1.4c0b4ad6f1235p-15, 0x1.4941d3b08cd28p-15, 0x1.4690e25732a48p-15, 0x1.43f7602e8bccfp-15, 0x1.41743fb68c331p-15, 0x1.3f067c4ecbd5dp-15, 0x1.3cad19fb8ced8p-15, 0x1.3a67252b5d56dp-15, 0x1.3833b27e7f64bp-15, 0x1.3611de8ea47b9p-15, 0x1.3400cdbb57caep-15, 0x1.31ffabf117dc2p-15, 0x1.300dac78e294p-15, 0x1.2e2a09c2f8395p-15, 0x1.2c5405372893ep-15, 0x1.2a8ae703206f1p-15, 0x1.28cdfdeb85871p-15, 0x1.271c9f1dcd16cp-15, 0x1.2576260304263p-15, 0x1.23d9f4129bd08p-15, 0x1.224770a8b92c6p-15, 0x1.20be08da7844ep-15, 0x1.1f3d2f4d79c84p-15, 0x1.1dc45c0fbaef6p-15, 0x1.1c530c70522d6p-15, 0x1.1ae8c2d7dacebp-15, 0x1.198506a440345p-15, 0x1.18276402c70f8p-15, 0x1.16cf6bce31eeap-15, 0x1.157cb368f558ep-15, 0x1.142ed49dc3baap-15, 0x1.12e56d7cc70a6p-15, 0x1.11a0203b6f8edp-15, 0x1.105e931501986p-15, 0x1.0f20702af1df2p-15, 0x1.0de5656741d89p-15, 0x1.0cad245e7f756p-15, 0x1.0b7762333d034p-15, 0x1.0a43d77a8efc8p-15, 0x1.0912401f82792p-15, 0x1.07e25b49b42ebp-15, 0x1.06b3eb42153a5p-15, 0x1.0586b55a12f6cp-15, 0x1.045a81d2f64e7p-15, 0x1.032f1bc58da21p-15, 0x1.0204510a63323p-15, 0x1.00d9f22353e59p-15, 0x1.ff5fa4494181ap-16, 0x1.fd0b8d40dc732p-16, 0x1.fab74f1f0cd5cp-16, 0x1.f8629e7c0ca88p-16, 0x1.f60d346eade79p-16, 0x1.f3b6ce6359326p-16, 0x1.f15f2df703bd1p-16, 0x1.ef0618d23a269p-16, 0x1.ecab588400133p-16, 0x1.ea4eba5f6669bp-16, 0x1.e7f00f58f9eeap-16, 0x1.e58f2be4f3b5ap-16, 0x1.e32be7d6357e6p-16, 0x1.e0c61e40ab163p-16, 0x1.de5dad57789f6p-16, 0x1.dbf27652bf855p-16, 0x1.d9845d4f8a151p-16, 0x1.d713493518d3ap-16, 0x1.d49f2397ef5e2p-16, 0x1.d227d8a0bdecp-16, 0x1.cfad56f10b12cp-16, 0x1.cd2f8f8aa4bfbp-16, 0x1.caae75b639055p-16, 0x1.c829feec5647fp-16, 0x1.c5a222beac43fp-16, 0x1.c316dac00bb45p-16, 0x1.c088226f800bcp-16, 0x1.bdf5f72291ba3p-16, 0x1.bb6057f111e13p-16, 0x1.b8c745a138e7p-16, 0x1.b62ac293adf9ap-16, 0x1.b38ad2b163aaap-16, 0x1.b0e77b5835542p-16, 0x1.ae40c34adbd04p-16, 0x1.ab96b29df583p-16, 0x1.a8e952a92f79fp-16, 0x1.a638adf541043p-16, 0x1.a384d02d1924bp-16, 0x1.a0cdc60f5c00dp-16, 0x1.9e139d5e9b53bp-16, 0x1.9b5664d40562cp-16, 0x1.98962c1101685p-16, 0x1.95d30392199e5p-16, 0x1.930cfca23d324p-16, 0x1.9044294df8dafp-16, 0x1.8d789c5779317p-16, 0x1.8aaa692b5e00fp-16, 0x1.87d9a3d447e41p-16, 0x1.850660f0e44ffp-16, 0x1.8230b5a989365p-16, 0x1.7f58b7a5af822p-16, 0x1.7c7e7d020cd4p-16, 0x1.79a21c4705df3p-16, 0x1.76c3ac5f89fbap-16, 0x1.73e344907f8dbp-16, 0x1.7100fc7036e9ep-16, 0x1.6e1cebde3469ap-16, 0x1.6b372afb09a11p-16, 0x1.684fd220f62f8p-16, 0x1.6566f9dcc8b01p-16, 0x1.627cbae630ff2p-16, 0x1.5f912e19bd137p-16, 0x1.5ca46c717a86bp-16, 0x1.59b68eff5797bp-16, 0x1.56c7aee6b55f1p-16, 0x1.53d7e556d73adp-16, 0x1.50e74b8565af3p-16, 0x1.4df5faa8fc15cp-16, 0x1.4b040bf401f65p-16, 0x1.4811988f9ab5cp-16, 0x1.451eb997973cbp-16, 0x1.422b88153e04ap-16, 0x1.3f381cfb77d4cp-16, 0x1.3c44912291213p-16, 0x1.3950fd441a65ep-16, 0x1.365d79f77ed08p-16, 0x1.336a1fae9e83cp-16, 0x1.307706b246452p-16, 0x1.2d84471e69ea6p-16, 0x1.2a91f8df8bfa8p-16, 0x1.27a033afd3298p-16, 0x1.24af0f1486268p-16, 0x1.21bea25ab89bcp-16, 0x1.1ecf049545cefp-16, 0x1.1be04c9aa22efp-16, 0x1.18f29102733c2p-16, 0x1.1605e82362872p-16, 0x1.131a6811851fap-16, 0x1.1030269c30bcbp-16, 0x1.0d47394c183adp-16, 0x1.0a5fb561ecb09p-16, 0x1.0779afd535462p-16, 0x1.04953d527f28ap-16, 0x1.01b27239e2841p-16, 0x1.fda2c53c8ce2ap-17, 0x1.f7e44488c9852p-17, 0x1.f22989426a194p-17, 0x1.ec72b9b214c83p-17, 0x1.e6bffb7e980e5p-17, 0x1.e11173aaa8d41p-17, 0x1.db674693d20d9p-17, 0x1.d5c197f0fe073p-17, 0x1.d0208ad161b28p-17, 0x1.ca84419c06792p-17, 0x1.c4ecde0f0d72ap-17, 0x1.bf5a813e4cde6p-17, 0x1.b9cd4b93b0b22p-17, 0x1.b4455cce56e69p-17, 0x1.aec2d4025d065p-17, 0x1.a945cf98f45b2p-17, 0x1.a3ce6d501cc11p-17, 0x1.9e5cca3a8f085p-17, 0x1.98f102c002224p-17, 0x1.938b329e372f4p-17, 0x1.8e2b74e86db4p-17, 0x1.88d1e407e82f6p-17, 0x1.837e99bca6037p-17, 0x1.7e31af1e5cc69p-17, 0x1.78eb3c9c9687bp-17, 0x1.73ab59ff4c02p-17, 0x1.6e721e68c8d7p-17, 0x1.693fa0555dbc5p-17, 0x1.6413f59d23901p-17, 0x1.5eef337487239p-17, 0x1.59d16e6e4a485p-17, 0x1.54baba7b4a2a7p-17, 0x1.4fab2aec64fbcp-17, 0x1.4aa2d27350af3p-17, 0x1.45a1c324f764p-17, 0x1.40a80e79ea8bap-17, 0x1.3bb5c5500727p-17, 0x1.36caf7eb411fap-17, 0x1.31e7b5f857e56p-17, 0x1.2d0c0e8d7fc45p-17, 0x1.2838102c0d57p-17, 0x1.236bc8c1e1d91p-17, 0x1.1ea745ab32b39p-17, 0x1.19ea93b4345b8p-17, 0x1.1535bf1a9b1b8p-17, 0x1.1088d38f4d01fp-17, 0x1.0be3dc383cbd2p-17, 0x1.0746e3b180e6ep-17, 0x1.02b1f40fab1aap-17, 0x1.fc4a2dc369611p-18, 0x1.f340aa63b191ep-18, 0x1.ea476f104ead2p-18, 0x1.e15e8bd8049b9p-18, 0x1.d8860fcc93472p-18, 0x1.cfbe0904ec66ep-18, 0x1.c70684a0c6a0dp-18, 0x1.be5f8ecdea86cp-18, 0x1.b5c932cafd662p-18, 0x1.ad437aeab142fp-18, 0x1.a4ce7097f9f58p-18, 0x1.9c6a1c599e91ap-18, 0x1.941685d56d20cp-18, 0x1.8bd3b3d4720dep-18, 0x1.83a1ac46a65f9p-18, 0x1.7b807445893ddp-18, 0x1.73701018fba91p-18, 0x1.6b70833ab712ap-18, 0x1.6381d059aa989p-18, 0x1.5ba3f95cee79p-18, 0x1.53d6ff694e742p-18, 0x1.4c1ae2e30f78ap-18, 0x1.446fa371d6a59p-18, 0x1.3cd5400525e37p-18, 0x1.354bb6d6ddc78p-18, 0x1.2dd3056f45bb7p-18, 0x1.266b28a81f6eep-18, 0x1.1f141cb0fcd17p-18, 0x1.17cddd122c9b3p-18, 0x1.109864affa22p-18, 0x1.0973adce35d14p-18, 0x1.025fb213f1cc6p-18, 0x1.f6b8d51c50482p-19, 0x1.e8d39f68b7809p-19, 0x1.db0fb2d43253cp-19, 0x1.cd6cfe076c04cp-19, 0x1.bfeb6e92237a1p-19, 0x1.b28af0f24a963p-19, 0x1.a54b709909feep-19, 0x1.982cd7f190546p-19, 0x1.8b2f10694c955p-19, 0x1.7e52027305991p-19, 0x1.7195958eda3a7p-19, 0x1.64f9b04fc6d2dp-19, 0x1.587e3862de838p-19, 0x1.4c23129300105p-19, 0x1.3fe822d0eb5e3p-19, 0x1.33cd4c3799716p-19, 0x1.27d27111b942fp-19, 0x1.1bf772e17e57fp-19, 0x1.103c32639b698p-19, 0x1.04a08f97518c3p-19, 0x1.f248d382fce39p-20, 0x1.db8f3ee64ce82p-20, 0x1.c5141d2097bcdp-20, 0x1.aed728a5647e4p-20, 0x1.98d81aa0e47ddp-20, 0x1.8316ab0071aaap-20, 0x1.6d92907e3f8dap-20, 0x1.584b80abb5da6p-20, 0x1.43412ff7987a8p-20, 0x1.2e7351bee4173p-20, 0x1.19e1984e765fep-20, 0x1.058bb4f09955ep-20, 0x1.e2e2afecc848dp-21, 0x1.bb246181cddfcp-21, 0x1.93dbdb8f907e1p-21, }}, 
      {{0x1.e0caa659d82e3p-1, 0x1.e098f5c4218fbp-1, 0x1.e047645a9fc9fp-1, 0x1.dfd6d87b69f9dp-1, 0x1.df4775fe5d2c4p-1, 0x1.de985af433732p-1, 0x1.ddc7a2037c0b2p-1, 0x1.dcd293031e915p-1, 0x1.dbb5eb64e1f36p-1, 0x1.da6e2d72784e1p-1, 0x1.d8f7eb2844a02p-1, 0x1.d750062cb139p-1, 0x1.d573e1cdc74b1p-1, 0x1.d3618642a1c14p-1, 0x1.d117b5ec96009p-1, 0x1.ce95f634f0a91p-1, 0x1.cbdc8e144441bp-1, 0x1.c8ec7c71fa115p-1, 0x1.c5c76878a59e3p-1, 0x1.c26f8dc9c1f15p-1, 0x1.bee7a638dc233p-1, 0x1.bb32d26d63523p-1, 0x1.b75482827f437p-1, 0x1.b3505f79be7a5p-1, 0x1.af2a361abb503p-1, 0x1.aae5e3a7cf5fep-1, 0x1.a68744a6cef65p-1, 0x1.a21225dbf23bp-1, 0x1.9d8a377ba2017p-1, 0x1.98f30284f57f3p-1, 0x1.944fe029169fcp-1, 0x1.8fa3f31aa5135p-1, 0x1.8af2229a904afp-1, 0x1.863d17150090cp-1, 0x1.818738202852fp-1, 0x1.7cd2abaf87f6p-1, 0x1.7821565014b5bp-1, 0x1.7374dc443cee2p-1, 0x1.6ecea359d174dp-1, 0x1.6a2fd557225ecp-1, 0x1.659962dffe71dp-1, 0x1.610c06b69de5p-1, 0x1.5c88493fba25fp-1, 0x1.580e84342edcdp-1, 0x1.539ee66d5ab1ep-1, 0x1.4f3977bc2867bp-1, 0x1.4ade1cbd11052p-1, 0x1.468c9a9da239dp-1, 0x1.42449aca152e8p-1, 0x1.3e05ae7b44bfep-1, 0x1.39cf521ee84bbp-1, 0x1.35a0f09565407p-1, 0x1.3179e641b47b6p-1, 0x1.2d5983e8f9a87p-1, 0x1.293f11604b298p-1, 0x1.2529d007f54fdp-1, 0x1.2118fd14359c7p-1, 0x1.1d0bd3a3f2d96p-1, 0x1.19018ea67435dp-1, 0x1.14f96a9177aep-1, 0x1.10f2a6e95e02cp-1, 0x1.0cec879d54376p-1, 0x1.08e656399e5c3p-1, 0x1.04df62f23f9ddp-1, 0x1.00d7058853c04p-1, 0x1.f9993c18ff1a9p-2, 0x1.f17f2b01b46fep-2, 0x1.e95ebcb965a3p-2, 0x1.e136e9e91a019p-2, 0x1.d906bf913bd89p-2, 0x1.d0cd5f780befep-2, 0x1.c88a006dcebf2p-2, 0x1.c03bee6ad5f93p-2, 0x1.b7e28a8b49448p-2, 0x1.af7d4aec5c2f8p-2, 0x1.a70bba6e74c87p-2, 0x1.9e8d785f7e8ebp-2, 0x1.9602381076d51p-2, 0x1.8d69c05909949p-2, 0x1.84c3eb0bd88d6p-2, 0x1.7c10a45dda973p-2, 0x1.734fea430533fp-2, 0x1.6a81cbc2475cap-2, 0x1.61a66842ae52bp-2, 0x1.58bdeed35878fp-2, 0x1.4fc89d6fbe124p-2, 0x1.46c6c041a13a7p-2, 0x1.3db8b0e1d9d72p-2, 0x1.349ed59914572p-2, 0x1.2b79a0a169b4fp-2, 0x1.22498f69a9904p-2, 0x1.190f29db0c008p-2, 0x1.0fcb01a1eb392p-2, 0x1.067db17a064b1p-2, 0x1.fa4fb8fd8befap-3, 0x1.e7945affb46fcp-3, 0x1.d4caacb50c745p-3, 0x1.c1f41eafa56a4p-3, 0x1.af122d1fb07b9p-3, 0x1.9c265ea48a873p-3, 0x1.8932432872674p-3, 0x1.763772c700655p-3, 0x1.63378cbe6dcf6p-3, 0x1.5034366bb1f5ap-3, 0x1.3d2f1a514f9f6p-3, 0x1.2a29e728d133ep-3, 0x1.17264efebb4dp-3, 0x1.04260658ce1d3p-3, 0x1.e25586ccc8cf9p-4, 0x1.bc6c7a7574c54p-4, 0x1.96945621a07e6p-4, 0x1.70d0873169c9cp-4, 0x1.4b24789be52b1p-4, 0x1.259391ad9ebfp-4, 0x1.002134d8473cdp-4, 0x1.b5a17d25ecf96p-5, 0x1.6b4b0894dec83p-5, 0x1.2145a6c1ba1aap-5, 0x1.af2fc0f1d9169p-6, 0x1.1c905591f7f3ap-6, 0x1.157395609a16dp-7, -0x1.91d395b03d487p-12, -0x1.2ccd2a06add2bp-7, -0x1.2597dc6d68d18p-6, -0x1.b3cf2dd0f653ep-6, -0x1.208065766e04ep-5, -0x1.6690981b1bfaap-5, -0x1.ac128b711bea4p-5, -0x1.f100bb63d8a3fp-5, -0x1.1aaae206a8be8p-4, -0x1.3c863140ab12ap-4, -0x1.5e0fbac39544bp-4, -0x1.7f44ff212751dp-4, -0x1.a02390657ac84p-4, -0x1.c0a9125b838c8p-4, -0x1.e0d33aca18e08p-4, -0x1.004fe8d4e7503p-3, -0x1.100658aa0167p-3, -0x1.1f8be355ad70fp-3, -0x1.2edf889eebe13p-3, -0x1.3e0051b083eb5p-3, -0x1.4ced512421edap-3, -0x1.5ba5a30ac27c1p-3, -0x1.6a286cf261401p-3, -0x1.7874dde925bacp-3, -0x1.868a2e7e16b5ap-3, -0x1.9467a0bf740c7p-3, -0x1.a20c8036d83cp-3, -0x1.af7821e32299p-3, -0x1.bca9e4305c5p-3, -0x1.c9a12eed9ad4p-3, -0x1.d65d734100456p-3, -0x1.e2de2b99e8c76p-3, -0x1.ef22dba154977p-3, -0x1.fb2b1028b67c8p-3, -0x1.037b2f8b8c3dcp-2, -0x1.094233aa64ea6p-2, -0x1.0eea685ac9631p-2, -0x1.1473a5f0c2e91p-2, -0x1.19ddc91e3ebf5p-2, -0x1.1f28b2e62eb5ap-2, -0x1.2454488f0e73cp-2, -0x1.29607394d7a1ap-2, -0x1.2e4d219a6cd77p-2, -0x1.331a445a809cdp-2, -0x1.37c7d19800d22p-2, -0x1.3c55c30e0fc0cp-2, -0x1.40c4165f8ad15p-2, -0x1.4512cd06300fep-2, -0x1.4941ec415cc68p-2, -0x1.4d517d047420dp-2, -0x1.51418be4f2408p-2, -0x1.5512290830978p-2, -0x1.58c36810e0cffp-2, -0x1.5c55600c470d5p-2, -0x1.5fc82b5f35494p-2, -0x1.631be7b2cfb6dp-2, -0x1.6650b5e120c43p-2, -0x1.6966b9e17f5ffp-2, -0x1.6c5e1ab4cda88p-2, -0x1.6f370251969f8p-2, -0x1.71f19d900ca39p-2, -0x1.748e1c15efb96p-2, -0x1.770cb04261cc6p-2, -0x1.796d8f19aa399p-2, -0x1.7bb0f030ef3c3p-2, -0x1.7dd70d99e8516p-2, -0x1.7fe023ce910c4p-2, -0x1.81cc719cd9b6ep-2, -0x1.839c38126362dp-2, -0x1.854fba6841b16p-2, -0x1.86e73deecf147p-2, -0x1.886309f98f223p-2, -0x1.89c367cb26056p-2, -0x1.8b08a2816eb6bp-2, -0x1.8c330701a3aecp-2, -0x1.8d42e3e4b241fp-2, -0x1.8e388963a5bb5p-2, -0x1.8f1449444349ap-2, -0x1.8fd676c5c444ap-2, -0x1.907f668dc4585p-2, -0x1.910f6e9557b5ap-2, -0x1.9186e61654b86p-2, -0x1.91e62578d486ap-2, -0x1.922d8640e16ddp-2, -0x1.925d62fc65053p-2, -0x1.927617314c68bp-2, -0x1.9277ff4bea06fp-2, -0x1.9263788d94909p-2, -0x1.9238e0fb868e9p-2, -0x1.91f8974e01b3fp-2, -0x1.91a2fadfb427p-2, -0x1.91386b9d60a51p-2, -0x1.90b949f5d2bbdp-2, -0x1.9025f6ca164d1p-2, -0x1.8f7ed35df7335p-2, -0x1.8ec44148d1d2dp-2, -0x1.8df6a266a6f4cp-2, -0x1.8d1658c981e15p-2, -0x1.8c23c6ab29adep-2, -0x1.8b1f4e5f2063fp-2, -0x1.8a095244f000fp-2, -0x1.88e234bac8d29p-2, -0x1.87aa58106e8ccp-2, -0x1.86621e7a748a7p-2, -0x1.8509ea05cd2d2p-2, -0x1.83a21c8ba9486p-2, -0x1.822b17a5a727ap-2, -0x1.80a53ca255951p-2, -0x1.7f10ec7a075c5p-2, -0x1.7d6e87c3f4a59p-2, -0x1.7bbe6eabb4b72p-2, -0x1.7a0100e7019aap-2, -0x1.78369dabd1848p-2, -0x1.765fa3a6bef5dp-2, -0x1.747c70f1c38c5p-2, -0x1.728d630b3e78cp-2, -0x1.7092d6cd4da34p-2, -0x1.6e8d2865782dap-2, -0x1.6c7cb34c9f538p-2, -0x1.6a61d23f46d02p-2, -0x1.683cdf362483ep-2, -0x1.660e335efed2fp-2, -0x1.63d62715d4e78p-2, -0x1.619511de56ff4p-2, -0x1.5f4b4a5da273cp-2, -0x1.5cf926544b9acp-2, -0x1.5a9efa98af57cp-2, -0x1.583d1b118a298p-2, -0x1.55d3dab0d98c2p-2, -0x1.53638b6efe726p-2, -0x1.50ec7e462a82cp-2, -0x1.4e6f032e0a06ap-2, -0x1.4beb6917b6db1p-2, -0x1.4961fde9e812cp-2, -0x1.46d30e7d64723p-2, -0x1.443ee699b35f5p-2, -0x1.41a5d0f20bd44p-2, -0x1.3f0817228003ap-2, -0x1.3c6601ad67e17p-2, -0x1.39bfd7f8ff90fp-2, -0x1.3715e04d475b4p-2, -0x1.34685fd21557cp-2, -0x1.31b79a8d62751p-2, -0x1.2f03d361c9a46p-2, -0x1.2c4d4c0d3e6fep-2, -0x1.29944527f4d2cp-2, -0x1.26d8fe237dd81p-2, -0x1.241bb54a0fc48p-2, -0x1.215ca7be05391p-2, -0x1.1e9c117984ccdp-2, -0x1.1bda2d4e5825dp-2, -0x1.191734e5edbbap-2, -0x1.165360c187e64p-2, -0x1.138ee83a92a17p-2, -0x1.10ca018321553p-2, -0x1.0e04e1a695f6p-2, -0x1.0b3fbc8a6d16dp-2, -0x1.087ac4ef2b674p-2, -0x1.05b62c71748a2p-2, -0x1.02f2238b3e816p-2, -0x1.002ed9952a0c6p-2, -0x1.fad8f98ff0196p-3, -0x1.f556747c3eed3p-3, -0x1.efd67beb0253bp-3, -0x1.ea5965a26b7a7p-3, -0x1.e4df8536f0a19p-3, -0x1.df692c0f5b0c5p-3, -0x1.d9f6a968fe49p-3, -0x1.d4884a5c26e31p-3, -0x1.cf1e59e0b5102p-3, -0x1.c9b920d2e51adp-3, -0x1.c458e5f83afc4p-3, -0x1.befdee049f37fp-3, -0x1.b9a87b9f9c435p-3, -0x1.b458cf69bffd7p-3, -0x1.af0f280222f9cp-3, -0x1.a9cbc20c06a94p-3, -0x1.a48ed834a3038p-3, -0x1.9f58a338fc1a2p-3, -0x1.9a2959ebe2c69p-3, -0x1.9501313c06eebp-3, -0x1.8fe05c3a226b2p-3, -0x1.8ac70c1f39eacp-3, -0x1.85b57052f2f2bp-3, -0x1.80abb671f8d2p-3, -0x1.7baa0a547a36dp-3, -0x1.76b09614ab297p-3, -0x1.71bf82155fa7dp-3, -0x1.6cd6f508aaa7bp-3, -0x1.67f713f68ebp-3, -0x1.63200243b2d7fp-3, -0x1.5e51e1b824175p-3, -0x1.598cd2861bdcdp-3, -0x1.54d0f350cccddp-3, -0x1.501e613334cc2p-3, -0x1.4b7537c6f0bf1p-3, -0x1.46d5912b1683ep-3, -0x1.423f860b0c3b9p-3, -0x1.3db32da55dd58p-3, -0x1.39309dd29a852p-3, -0x1.34b7eb0c2424dp-3, -0x1.304928730a07cp-3, -0x1.2be467d6cf90fp-3, -0x1.2789b9bc3c773p-3, -0x1.23392d641e14bp-3, -0x1.1ef2d0d206f4cp-3, -0x1.1ab6b0d30676bp-3, -0x1.1684d904542p-3, -0x1.125d53d9f84b1p-3, -0x1.0e402aa567a4cp-3, -0x1.0a2d659c13398p-3, -0x1.06250bddf41ddp-3, -0x1.0227237bff55ep-3, -0x1.fc6762fd353d8p-4, -0x1.f49573d7f9f95p-4, -0x1.ecd87f9d042e5p-4, -0x1.e5308a75e7d1p-4, -0x1.dd9d96ad8063dp-4, -0x1.d61fa4bc4a48p-4, -0x1.ceb6b35493982p-4, -0x1.c762bf6e90dcfp-4, -0x1.c023c4545ae37p-4, -0x1.b8f9bbadb2853p-4, -0x1.b1e49d8bbf297p-4, -0x1.aae460749f892p-4, -0x1.a3f8f96eccb51p-4, -0x1.9d225c0c69c28p-4, -0x1.96607a7666c8bp-4, -0x1.8fb3457781bd1p-4, -0x1.891aac871fe78p-4, -0x1.82969dd406f83p-4, -0x1.7c27064ee724bp-4, -0x1.75cbd1b4c6d59p-4, -0x1.6f84ea9947466p-4, -0x1.69523a70bd57bp-4, -0x1.6333a99a278bap-4, -0x1.5d291f68f9431p-4, -0x1.5732822ec3d9ap-4, -0x1.514fb744b25e4p-4, -0x1.4b80a314dec55p-4, -0x1.45c5292385807p-4, -0x1.401d2c1803c8dp-4, -0x1.3a888dc5bd1aep-4, -0x1.35072f34cf435p-4, -0x1.2f98f0aaa0f39p-4, -0x1.2a3db1b249a1cp-4, -0x1.24f55124cd9b2p-4, -0x1.1fbfad31368d5p-4, -0x1.1a9ca36485b56p-4, -0x1.158c10b17824bp-4, -0x1.108dd17828e4bp-4, -0x1.0ba1c18d88b53p-4, -0x1.06c7bc42b5991p-4, -0x1.01ff9c6c1dc8ap-4, -0x1.fa9278d11b6b4p-5, -0x1.f148ec5010194p-5, -0x1.e8224664ff423p-5, -0x1.df1e395cddbe1p-5, -0x1.d63c76ce7bf3cp-5, -0x1.cd7cafa71f8d7p-5, -0x1.c4de9436c3ce1p-5, -0x1.bc61d43c17c1bp-5, -0x1.b4061ef0360f6p-5, -0x1.abcb23120c925p-5, -0x1.a3b08ef1849eap-5, -0x1.9bb6107a59fecp-5, -0x1.93db553ec163bp-5, -0x1.8c200a81ae6dp-5, -0x1.8483dd40ee0fdp-5, -0x1.7d067a3eebd91p-5, -0x1.75a78e0c3d211p-5, -0x1.6e66c510eb283p-5, -0x1.6743cb9579a5ap-5, -0x1.603e4dcbaad6ap-5, -0x1.5955f7d707636p-5, -0x1.528a75d52bdbdp-5, -0x1.4bdb73e5ce13bp-5, -0x1.45489e32940d9p-5, -0x1.3ed1a0f69b069p-5, -0x1.38762885df32fp-5, -0x1.3235e15449c11p-5, -0x1.2c1077fc9f8cbp-5, -0x1.260599472fc94p-5, -0x1.2014f23042485p-5, -0x1.1a3e2fee5ad3fp-5, -0x1.1480fff83cd99p-5, -0x1.0edd100acb31ep-5, -0x1.09520e2ea189ep-5, -0x1.03dfa8bd7f5aep-5, -0x1.fd0b1ccf1a78bp-6, -0x1.f286dc70c0d5cp-6, -0x1.e831ef37b58a9p-6, -0x1.de0bb4c5a6655p-6, -0x1.d4138d8f2bd87p-6, -0x1.ca48dae469261p-6, -0x1.c0aafef949541p-6, -0x1.b7395ced7d7e5p-6, -0x1.adf358d40bfaep-6, -0x1.a4d857ba94e6bp-6, -0x1.9be7bfb053d88p-6, -0x1.9320f7ccb0fcdp-6, -0x1.8a836835a3c09p-6, -0x1.820e7a25aebe7p-6, -0x1.79c197f1ab1e5p-6, -0x1.719c2d0e24122p-6, -0x1.699da61499b12p-6, -0x1.61c570c851d48p-6, -0x1.5a12fc1aff6edp-6, -0x1.5285b8311b13fp-6, -0x1.4b1d166606059p-6, -0x1.43d8894fd05cep-6, -0x1.3cb784c2e8afdp-6, -0x1.35b97dd56f87p-6, -0x1.2eddeae25a466p-6, -0x1.2824438c5f321p-6, -0x1.218c00c0a16a5p-6, -0x1.1b149cb93363p-6, -0x1.14bd92ff4922ap-6, -0x1.0e86606d5d22cp-6, -0x1.086e8330f6e4dp-6, -0x1.02757acc6645p-6, -0x1.f935903073adbp-7, -0x1.edbbda890c382p-7, -0x1.e27cdbb41a223p-7, -0x1.d7779d7645bfep-7, -0x1.ccab2c4904c72p-7, -0x1.c216975bd9c94p-7, -0x1.b7b8f0952b871p-7, -0x1.ad914c92e290ep-7, -0x1.a39ec2aae0e77p-7, -0x1.99e06ceacc809p-7, -0x1.90556818083dcp-7, -0x1.86fcd3af1a852p-7, -0x1.7dd5d1e2db8e1p-7, -0x1.74df879b8788ep-7, -0x1.6c191c7561975p-7, -0x1.6381babf40406p-7, -0x1.5b188f78dd602p-7, -0x1.52dcca50c3931p-7, -0x1.4acd9da2457b6p-7, -0x1.42ea3e73137edp-7, -0x1.3b31e470a552cp-7, -0x1.33a3c9ed84929p-7, -0x1.2c3f2bde66c7dp-7, -0x1.250349d6fcb6dp-7, -0x1.1def6606be274p-7, -0x1.1702c5358349dp-7, -0x1.103caebfd416ep-7, -0x1.099c6c934b193p-7, -0x1.03214b2aa3c78p-7, -0x1.f995331371148p-8, -0x1.ed2f5272e5ee8p-8, -0x1.e10f9c86f60e8p-8, -0x1.d534be5b7dc83p-8, -0x1.c99d69ec88ebp-8, -0x1.be48561c5aa02p-8, -0x1.b3343eaaaa576p-8, -0x1.a85fe42acf1c8p-8, -0x1.9dca0bf9e39a8p-8, -0x1.937180352192ap-8, -0x1.89550faf8df74p-8, -0x1.7f738de7f2ff4p-8, -0x1.75cbd2fe4c5b6p-8, -0x1.6c5cbba9533b2p-8, -0x1.6325292c0a513p-8, -0x1.5a24014ad597cp-8, -0x1.51582e4077a04p-8, -0x1.48c09eb3899b4p-8, -0x1.405c45ab0b71bp-8, -0x1.382a1a838e657p-8, -0x1.302918e3b9575p-8, -0x1.285840b15d2bcp-8, -0x1.20b69605bdac9p-8, -0x1.1943212287cefp-8, -0x1.11fcee662aa15p-8, -0x1.0ae30e4076defp-8, -0x1.03f49527120b6p-8, -0x1.fa613713f330dp-9, -0x1.ed2c7b8fdbaeep-9, -0x1.e04938458e7cdp-9, -0x1.d3b5b5682fe88p-9, -0x1.c77042c29f173p-9, -0x1.bb7737a0dc95cp-9, -0x1.afc8f2b809bf9p-9, -0x1.a463da100318fp-9, -0x1.99465aec0b698p-9, -0x1.8e6ee9b33a092p-9, -0x1.83dc01d9f0a38p-9, -0x1.798c25caa277bp-9, -0x1.6f7ddecee1f62p-9, -0x1.65afbcf86dceap-9, -0x1.5c20570a7b5abp-9, -0x1.52ce4a62c16bp-9, -0x1.49b83ae34ede7p-9, -0x1.40dcd2db4e816p-9, -0x1.383ac2f1116efp-9, -0x1.2fd0c20bc4719p-9, -0x1.279d8d3c8e84bp-9, -0x1.1f9fe7a95b2d3p-9, -0x1.17d69a762694ep-9, -0x1.104074af7ac31p-9, -0x1.08dc4b34a9489p-9, -0x1.01a8f8a1ff497p-9, -0x1.f54aba7736316p-10, -0x1.e7a0bdb00fafp-10, -0x1.da51d195e4d3ep-10, -0x1.cd5bd7a0e4f3cp-10, -0x1.c0bcbbeffe115p-10, -0x1.b472751f79061p-10, -0x1.a87b04200521p-10, -0x1.9cd4740e80ec6p-10, -0x1.917cda0b21f1bp-10, -0x1.8672551168484p-10, -0x1.7bb30dd0e26ep-10, -0x1.713d368565837p-10, -0x1.670f0ad10002ep-10, -0x1.5d26cf93dfcb6p-10, -0x1.5382d2c8331d1p-10, -0x1.4a216b5a70985p-10, -0x1.4100f904f4ac3p-10, -0x1.381fe42ae65e4p-10, -0x1.2f7c9db317929p-10, -0x1.27159ee3f92bp-10, -0x1.1ee9693fcbf3dp-10, -0x1.16f68660e8147p-10, -0x1.0f3b87d6c7484p-10, -0x1.07b70703331eap-10, -0x1.0067a4f7c077ep-10, -0x1.f29814a8ff012p-11, -0x1.e4c5ce4a76587p-11, -0x1.d755e58324fb9p-11, -0x1.ca45d756c68b2p-11, -0x1.bd932eddaf68ep-11, -0x1.b13b8503a6fdp-11, -0x1.a53c804a91afap-11, -0x1.9993d48a455a9p-11, -0x1.8e3f42b3ea8eep-11, -0x1.833c9894cd497p-11, -0x1.7889b09aae433p-11, -0x1.6e247197f567ap-11, -0x1.640ace8995c46p-11, -0x1.5a3ac65d524bfp-11, -0x1.50b263b870effp-11, -0x1.476fbcc099ec2p-11, -0x1.3e70f2e2f442dp-11, -0x1.35b4329f2d9fcp-11, -0x1.2d37b34ff1619p-11, -0x1.24f9b6f756bf8p-11, -0x1.1cf88a093dfdp-11, -0x1.15328338cfb3fp-11, -0x1.0da60344b3228p-11, -0x1.065174c5b679p-11, -0x1.fe6697f9ce876p-12, -0x1.f0940d46b24c9p-12, -0x1.e328577360f05p-12, -0x1.d62096b330e38p-12, -0x1.c979fd0d4ad11p-12, -0x1.bd31ce020eba5p-12, -0x1.b1455e302b29fp-12, -0x1.a5b212fcbf12ep-12, -0x1.9a75623ab3b96p-12, -0x1.8f8cd1d70bbap-12, -0x1.84f5f781151e8p-12, -0x1.7aae785a597c9p-12, -0x1.70b408a1f63p-12, -0x1.67046b65c0f8p-12, -0x1.5d9d7232b221dp-12, -0x1.547cfcc6105a9p-12, -0x1.4ba0f8c16412fp-12, -0x1.4307615f48e9ep-12, -0x1.3aae3f2888f33p-12, -0x1.3293a7abaef23p-12, -0x1.2ab5bd3515c82p-12, -0x1.2312ae889790bp-12, -0x1.1ba8b69be207p-12, -0x1.14761c5334cf9p-12, -0x1.0d79323d6802ap-12, -0x1.06b05652b794dp-12, -0x1.0019f1b49d6a1p-12, -0x1.f368f0dbaa96p-13, -0x1.e6fcd267a7e4fp-13, -0x1.daec9a5518292p-13, -0x1.cf356f4dabd4cp-13, -0x1.c3d48be9dba89p-13, -0x1.b8c73e3ac1a04p-13, -0x1.ae0ae75935595p-13, -0x1.a39cfaf66f634p-13, -0x1.997afeee6b51cp-13, -0x1.8fa28ada92c41p-13, -0x1.861147aaaacdfp-13, -0x1.7cc4ef3ba4f1fp-13, -0x1.73bb4bf1bcfbdp-13, -0x1.6af238561f2d9p-13, -0x1.62679eb367e37p-13, -0x1.5a1978b736f5p-13, -0x1.5205cf12611a9p-13, -0x1.4a2ab91ea7744p-13, -0x1.42865c8222e5p-13, -0x1.3b16ecd7fbeap-13, -0x1.33daab5914ef1p-13, -0x1.2ccfe685fab2bp-13, -0x1.25f4f9d4f8cfep-13, -0x1.1f484d5e796e4p-13, -0x1.18c8558d2fec7p-13, -0x1.127392cfdf2b2p-13, -0x1.0c48914c2e0fep-13, -0x1.0645e892bcaf6p-13, -0x1.006a3b55d9681p-13, -0x1.f5686e4216eap-14, -0x1.ea452820fdc17p-14, -0x1.df68291c55afap-14, -0x1.d4cf0a173eca9p-14, -0x1.ca7777806027cp-14, -0x1.c05f30d031ebp-14, -0x1.b684080958f59p-14, -0x1.ace3e13a4fd8bp-14, -0x1.a37cb2039f1dfp-14, -0x1.9a4c812136d74p-14, -0x1.915165f42f95ep-14, -0x1.88898811a1a42p-14, -0x1.7ff31ed0c4dc9p-14, -0x1.778c70df1c4c8p-14, -0x1.6f53d3d422d6fp-14, -0x1.6747abc9003e8p-14, -0x1.5f666af197b42p-14, -0x1.57ae913903281p-14, -0x1.501eabde4eeacp-14, -0x1.48b55517ae44bp-14, -0x1.417133b17efp-14, -0x1.3a50fab460d19p-14, -0x1.3353690b99b7ep-14, -0x1.2c77492dd51f2p-14, -0x1.25bb70c839ad8p-14, -0x1.1f1ec06ae4171p-14, -0x1.18a023370561dp-14, -0x1.123e8e8ef25c7p-14, -0x1.0bf901ca79d0bp-14, -0x1.05ce85e90cce8p-14, -0x1.ff7c5a922eb0ap-15, -0x1.f38e26be5191p-15, -0x1.e7d0b8dfb024cp-15, -0x1.dc426a9572f1ep-15, -0x1.d0e1a60d4709ep-15, -0x1.c5ace58387a3ep-15, -0x1.baa2b2bf7dc11p-15, -0x1.afc1a699cdc77p-15, -0x1.a5086882a4fadp-15, -0x1.9a75ae09296b6p-15, -0x1.90083a6a038afp-15, -0x1.85bede1cdb589p-15, -0x1.7b987668ef329p-15, -0x1.7193ecf6c5e91p-15, -0x1.67b0376aac3fdp-15, -0x1.5dec56fdec055p-15, -0x1.5447581bbb0aep-15, -0x1.4ac0520086ad1p-15, -0x1.4156665cb4961p-15, -0x1.3808c0f7f456ap-15, -0x1.2ed6975905aa4p-15, -0x1.25bf286eaed15p-15, -0x1.1cc1bc3c6daep-15, -0x1.13dda3862ed75p-15, -0x1.0b123781a7a02p-15, -0x1.025ed988e8d9p-15, -0x1.f385e5992095ep-16, -0x1.e27be818aed65p-16, -0x1.d19eaa9e16315p-16, -0x1.c0ed2b38200edp-16, -0x1.b066757169558p-16, -0x1.a009a1cb8e70ap-16, -0x1.8fd5d53d7a0e2p-16, -0x1.7fca40bd2b7cdp-16, -0x1.6fe620c007306p-16, -0x1.6028bcc900807p-16, -0x1.509166f693207p-16, -0x1.411f7b963f7bp-16, -0x1.31d260b3e1a4ap-16, -0x1.22a985b5cb65bp-16, -0x1.13a462f766206p-16, -0x1.04c2796420603p-16, -0x1.ec06a437199ebp-17, -0x1.ceccfc2a907fap-17, -0x1.b1d72b8883cbep-17, -0x1.95247187d3ad6p-17, -0x1.78b41b02bad96p-17, -0x1.5c8581d63b25ep-17, -0x1.40980c440312fp-17, -0x1.24eb2c59fe923p-17, -0x1.097e5f5da0678p-17, -0x1.dca25a8001fdap-18, -0x1.a6c6501eb1459p-18, -0x1.7167d6e73694ep-18, -0x1.3c863851a5001p-18, -0x1.0820cf0e317b4p-18, -0x1.a86e0c1ebb89dp-19, -0x1.4190af364a83dp-19, -0x1.b75131b274be2p-20, -0x1.dad3d7135b0a5p-21, -0x1.2b50c36a3bbc5p-23, 0x1.415f166c35436p-21, 0x1.64e4160e9eb39p-20, 0x1.139a3a6a62532p-19, 0x1.73d0b6a9cb53ep-19, 0x1.d315d06d3476dp-19, 0x1.18b4e3c434708p-18, 0x1.47666626e163p-18, 0x1.759f8059c4a4fp-18, 0x1.a3603cbfd0d53p-18, 0x1.d0a89fc23d749p-18, 0x1.fd78a84faec54p-18, 0x1.14e82832b7f1ap-17, 0x1.2ad7c6cbc0683p-17, 0x1.408b28be8e588p-17, 0x1.5602451adb5a2p-17, 0x1.6b3d116b64e1ep-17, 0x1.803b81eddfb89p-17, 0x1.94fd89c0dcaedp-17, 0x1.a9831b1c72625p-17, 0x1.bdcc2781eeae1p-17, 0x1.d1d89fe6b7eb6p-17, 0x1.e5a874ddd5c38p-17, 0x1.f93b96c4bf504p-17, 0x1.0648faf7aab1bp-16, 0x1.0fd5c1629f10ep-16, 0x1.194416f5ecf5cp-16, 0x1.2293f432cf497p-16, 0x1.2bc551da51226p-16, 0x1.34d828fb48de4p-16, 0x1.3dcc730205bd5p-16, 0x1.46a229c766e4cp-16, 0x1.4f59479b5bd66p-16, 0x1.57f1c7521962p-16, 0x1.606ba4514e96bp-16, 0x1.68c6da9a87af8p-16, 0x1.710366d44ee78p-16, 0x1.79214653617abp-16, 0x1.812077259a0aep-16, 0x1.8900f819eabc3p-16, 0x1.90c2c8c8501d4p-16, 0x1.9865e998766efp-16, 0x1.9fea5bc82d337p-16, 0x1.a7502173539a6p-16, 0x1.ae973d976ff52p-16, 0x1.b5bfb41b8db97p-16, 0x1.bcc989d1f22c7p-16, 0x1.c3b4c47e99507p-16, 0x1.ca816adab64a2p-16, 0x1.d12f849846826p-16, 0x1.d7bf1a644f3a7p-16, 0x1.de3035ea1ba6p-16, 0x1.e482e1d5b5963p-16, 0x1.eab729d6155c4p-16, 0x1.f0cd1a9d40c6p-16, 0x1.f6c4c1e32456bp-16, 0x1.fc9e2e65de37bp-16, 0x1.012cb7f520529p-15, 0x1.03fb4b9e74c18p-15, 0x1.06badb189be06p-15, 0x1.096b6fd1465c9p-15, 0x1.0c0d13b916713p-15, 0x1.0e9fd14345d46p-15, 0x1.1123b36629f12p-15, 0x1.1398c59977ab6p-15, 0x1.15ff13d650582p-15, 0x1.1856aa965f1e7p-15, 0x1.1a9f96d255a86p-15, 0x1.1cd9e6019bcadp-15, 0x1.1f05a618c3343p-15, 0x1.2122e589192d4p-15, 0x1.2331b33e2c213p-15, 0x1.25321e9d344bcp-15, 0x1.27243783eb90fp-15, 0x1.29080e4708609p-15, 0x1.2addb3aff6681p-15, 0x1.2ca538fc41699p-15, 0x1.2e5eafdae0666p-15, 0x1.300a2a6b54714p-15, 0x1.31a7bb3b92bb9p-15, 0x1.33377546515b5p-15, 0x1.34b96bf1298d1p-15, 0x1.362db30a9989p-15, 0x1.37945ec7fb891p-15, 0x1.38ed83c423fb5p-15, 0x1.3a3936fcba012p-15, 0x1.3b778dd0b5ed6p-15, 0x1.3ca89dfe056c5p-15, 0x1.3dcc7d9f27068p-15, 0x1.3ee34329bc136p-15, 0x1.3fed056c3cbbap-15, 0x1.40e9db8bc0e18p-15, 0x1.41d9dd01b64cbp-15, 0x1.42bd2199be78p-15, 0x1.4393c16f978a6p-15, 0x1.445dd4ed2e626p-15, 0x1.451b74c82cc41p-15, 0x1.45ccb9ff7583bp-15, 0x1.4671bdd95d1e1p-15, 0x1.470a99e1654cp-15, 0x1.479767e60eec6p-15, 0x1.481841f681c6ap-15, 0x1.488d4260964d2p-15, 0x1.48f683ae70674p-15, 0x1.495420a43aa8cp-15, 0x1.49a6343e10bb6p-15, 0x1.49ecd9add1a55p-15, 0x1.4a282c58f9fc8p-15, 0x1.4a5847d6a5bb8p-15, 0x1.4a7d47ecee287p-15, 0x1.4a97488f2ce03p-15, 0x1.4aa665dbf6d31p-15, 0x1.4aaabc1a95e98p-15, 0x1.4aa467b93da61p-15, 0x1.4a93854aac6bep-15, 0x1.4a78318481a26p-15, 0x1.4a52893cd7c7p-15, 0x1.4a22a9687574fp-15, 0x1.49e8af18e7017p-15, 0x1.49a4b77a2f9cdp-15, 0x1.4956dfd0c5636p-15, 0x1.48ff4577ee59fp-15, 0x1.489e05dfd331ap-15, 0x1.48333e8b3a232p-15, 0x1.47bf0d0e0fdf2p-15, 0x1.47418f0b282d3p-15, 0x1.46bae232b5913p-15, 0x1.462b24404cedcp-15, 0x1.459272f931911p-15, 0x1.44f0ec2a8f3e9p-15, 0x1.4446ada7b156dp-15, 0x1.4393d54848c46p-15, 0x1.42d880e6d1418p-15, 0x1.4214ce5ebe695p-15, 0x1.4148db8b078a5p-15, 0x1.4074c6444facp-15, 0x1.3f98ac5f74fc4p-15, 0x1.3eb4abac1fdf8p-15, 0x1.3dc8e1f2ccb35p-15, 0x1.3cd56cf3b9fc6p-15, 0x1.3bda6a65617d5p-15, 0x1.3ad7f7f2b3b0ep-15, 0x1.39ce3339df6b6p-15, 0x1.38bd39cac4d11p-15, 0x1.37a52925dcac3p-15, 0x1.36861eba8250cp-15, 0x1.356037e5ee0acp-15, 0x1.343391f1bc9dfp-15, 0x1.33004a12c2cb2p-15, 0x1.31c67d67c2ed7p-15, 0x1.308648f821279p-15, 0x1.2f3fc9b2b62ffp-15, 0x1.2df31c6cc6813p-15, 0x1.2ca05de0a1a14p-15, 0x1.2b47aaacbe6dbp-15, 0x1.29e91f5285fb1p-15, 0x1.2884d83554237p-15, 0x1.271af1995dc77p-15, 0x1.25ab87a29c76ep-15, 0x1.2436b6540ace3p-15, 0x1.22bc998e8382cp-15, 0x1.213d4d0fbc2d5p-15, 0x1.1fb8ec71842d2p-15, 0x1.1e2f9328c92c6p-15, 0x1.1ca15c84e0d24p-15, 0x1.1b0e63ae87278p-15, 0x1.1976c3a710813p-15, 0x1.17da9747a6399p-15, 0x1.1639f94097f3p-15, 0x1.1495041874a61p-15, 0x1.12ebd22b69f15p-15, 0x1.113e7daa9fcebp-15, 0x1.0f8d209b42dc2p-15, 0x1.0dd7d4d6580afp-15, 0x1.0c1eb407b9efap-15, 0x1.0a61d7ad6ce6fp-15, 0x1.08a159176346ap-15, 0x1.06dd5166aa98ep-15, 0x1.0515d98cecca2p-15, 0x1.034b0a4bedbc5p-15, 0x1.017cfc3526094p-15, 0x1.ff578f5231304p-16, 0x1.fbaf09adf7925p-16, 0x1.f800977804dd7p-16, 0x1.f44c684684721p-16, 0x1.f092ab4aba7bap-16, 0x1.ecd38f4f687ddp-16, 0x1.e90f42b8c285cp-16, 0x1.e545f383ce797p-16, 0x1.e177cf4503bb5p-16, 0x1.dda503282c2e4p-16, 0x1.d9cdbbf015aa8p-16, 0x1.d5f225f53764dp-16, 0x1.d2126d2607ae3p-16, 0x1.ce2ebd05c61abp-16, 0x1.ca4740ac6190fp-16, 0x1.c65c22c63c7afp-16, 0x1.c26d8d932b877p-16, 0x1.be7baae718838p-16, 0x1.ba86a428ca581p-16, 0x1.b68ea251edafcp-16, 0x1.b293cdeeadebap-16, 0x1.ae964f1d82b2fp-16, 0x1.aa964d8f2976ap-16, 0x1.a693f08692b53p-16, 0x1.a28f5ed8470e4p-16, 0x1.9e88beea9e06p-16, 0x1.9a8036b54f0d8p-16, 0x1.9675ebc1ab279p-16, 0x1.926a032aefc7p-16, 0x1.8e5ca19d8b74cp-16, 0x1.8a4deb575040ep-16, 0x1.863e0427b32b6p-16, 0x1.822d0f6fade0fp-16, 0x1.7e1b3022147a2p-16, 0x1.7a0888c3457ffp-16, 0x1.75f53b6961679p-16, 0x1.71e169bce919p-16, 0x1.6dcd34f835bf5p-16, 0x1.69b8bde868bbbp-16, 0x1.65a424ecc1976p-16, 0x1.618f89f793bb4p-16, 0x1.5d7b0c8e1d5ccp-16, 0x1.5966cbc8deaedp-16, 0x1.5552e65480774p-16, 0x1.513f7a70d4411p-16, 0x1.4d2ca5f2454b5p-16, 0x1.491a8641aa6bap-16, 0x1.4509385ce1b3p-16, 0x1.40f8d8d72f8b7p-16, 0x1.3ce983d92a8b2p-16, }}, 
      {{0x1.e0d5cbf269505p-1, 0x1.e0c5272eea574p-1, 0x1.e0a9b29a15461p-1, 0x1.e083b177446f3p-1, 0x1.e0534da590601p-1, 0x1.e01885a840a5dp-1, 0x1.dfd325b27d3c6p-1, 0x1.df82c95a8877ep-1, 0x1.df26e3136f5b7p-1, 0x1.debec6dd7a94ep-1, 0x1.de49b633ccdep-1, 0x1.ddc6ebd415566p-1, 0x1.dd35a67b4c667p-1, 0x1.dc9532139fb8ep-1, 0x1.dbe4ef16d1196p-1, 0x1.db24581a20c7ap-1, 0x1.da53059a086ecp-1, 0x1.d970b0308ec52p-1, 0x1.d87d316c0e2a8p-1, 0x1.d7788380a463ep-1, 0x1.d662c00e217abp-1, 0x1.d53c1e30e8b23p-1, 0x1.d404f00ef16cdp-1, 0x1.d2bda00bf7eccp-1, 0x1.d166adc965b9fp-1, 0x1.d000ab103d694p-1, 0x1.ce8c38bd5cbebp-1, 0x1.cd0a03c32379dp-1, 0x1.cb7ac24edd547p-1, 0x1.c9df311c470a4p-1, 0x1.c83810fe33047p-1, 0x1.c68624a084b8ep-1, 0x1.c4ca2e857f964p-1, 0x1.c304ef3ea5f85p-1, 0x1.c13723e000958p-1, 0x1.bf6184aba6acp-1, 0x1.bd84c3f2a1696p-1, 0x1.bba18d27c0e2ep-1, 0x1.b9b88420adf3ep-1, 0x1.b7ca44815237fp-1, 0x1.b5d7614dac781p-1, 0x1.b3e0649e2cf2fp-1, 0x1.b1e5cf72cf494p-1, 0x1.afe819a158ac2p-1, 0x1.ade7b1db4c71fp-1, 0x1.abe4fdc860332p-1, 0x1.a9e05a3278c4bp-1, 0x1.a7da1b406f7efp-1, 0x1.a5d28cbd1e953p-1, 0x1.a3c9f2686f497p-1, 0x1.a1c08850575dcp-1, 0x1.9fb6832ff4715p-1, 0x1.9dac10d31a768p-1, 0x1.9ba1587ce71d5p-1, 0x1.99967b500faf9p-1, 0x1.978b94b7cecb4p-1, 0x1.9580bad077f45p-1, 0x1.9375fecee2482p-1, 0x1.916b6d65f3952p-1, 0x1.8f610f29b4549p-1, 0x1.8d56e8ef75c5bp-1, 0x1.8b4cfc2a9e328p-1, 0x1.89434745d293dp-1, 0x1.8739c5f83b647p-1, 0x1.85307196badafp-1, 0x1.83274160f8642p-1, 0x1.811e2aca29d76p-1, 0x1.7f1521bd9c269p-1, 0x1.7d0c18def9ffbp-1, 0x1.7b0301c65bcf4p-1, 0x1.78f9cd383679p-1, 0x1.76f06b593e528p-1, 0x1.74e6cbde5b2f8p-1, 0x1.72dcde38d0e68p-1, 0x1.70d291beba36bp-1, 0x1.6ec7d5d003cb8p-1, 0x1.6cbc99f807ea9p-1, 0x1.6ab0ce0bf5ac9p-1, 0x1.68a4624630d64p-1, 0x1.6697475ecd0ffp-1, 0x1.64896ea153fabp-1, 0x1.627ac9fffa6dp-1, 0x1.606b4c2471eaap-1, 0x1.5e5ae87e7915bp-1, 0x1.5c49935053c98p-1, 0x1.5a3741b95006ap-1, 0x1.5823e9be7bc22p-1, 0x1.560f8251ab427p-1, 0x1.53fa0356f5a3p-1, 0x1.51e365a8c1e3ep-1, 0x1.4fcba31a86997p-1, 0x1.4db2b67a55bf8p-1, 0x1.4b989b91509ccp-1, 0x1.497d4f231e1a2p-1, 0x1.4760ceec78aa5p-1, 0x1.454319a0edb42p-1, 0x1.43242ee7dfdf9p-1, 0x1.41040f58e20a2p-1, 0x1.3ee2bc777eacfp-1, 0x1.3cc038ae7806p-1, 0x1.3a9c874a95af6p-1, 0x1.3877ac750c2d9p-1, 0x1.3651ad2d8c88p-1, 0x1.342a8f4407225p-1, 0x1.3202595230223p-1, 0x1.2fd912b4ce2dp-1, 0x1.2daec384dcb9cp-1, 0x1.2b8374908e104p-1, 0x1.29572f542fcfap-1, 0x1.2729fdf300825p-1, 0x1.24fbeb2ff5cbcp-1, 0x1.22cd02667f12bp-1, 0x1.209d4f8347116p-1, 0x1.1e6cdefcfa03fp-1, 0x1.1c3bbdcd162cdp-1, 0x1.1a09f968c9528p-1, 0x1.17d79fb9df647p-1, 0x1.15a4bf17c55adp-1, 0x1.13716640a446fp-1, 0x1.113da45294cc7p-1, 0x1.0f0988c4f04a1p-1, 0x1.0cd52361be60dp-1, 0x1.0aa0843f43e7ap-1, 0x1.086bbbb9b189ep-1, 0x1.0636da6cf594bp-1, 0x1.0401f12eb0832p-1, 0x1.01cd11084f5d3p-1, 0x1.ff30966290583p-2, 0x1.fac76212fe3b7p-2, 0x1.f65ea8279dadbp-2, 0x1.f1f68be171259p-2, 0x1.ed8f30b2742c5p-2, 0x1.e928ba339195dp-2, 0x1.e4c34c1aeb879p-2, 0x1.e05f0a3269dd2p-2, 0x1.dbfc184e99ea5p-2, 0x1.d79a9a45d57cap-2, 0x1.d33ab3e7b825ep-2, 0x1.cedc88f4dd18p-2, 0x1.ca803d16e754dp-2, 0x1.c625f3d8d1fe6p-2, 0x1.c1cdd09f88c8p-2, 0x1.bd77f6a2c5e4ep-2, 0x1.b92488e639d92p-2, 0x1.b4d3aa32f14eep-2, 0x1.b0857d1105af2p-2, 0x1.ac3a23c18a6bfp-2, 0x1.a7f1c038c0a95p-2, 0x1.a3ac74188564bp-2, 0x1.9f6a60ab03c75p-2, 0x1.9b2ba6dda1f76p-2, 0x1.96f0673c2d3e9p-2, 0x1.92b8c1ec3cb8ep-2, 0x1.8e84d6a8d5fcap-2, 0x1.8a54c4be40d17p-2, 0x1.8628ab061bfe4p-2, 0x1.8200a7e3a126cp-2, 0x1.7ddcd94023278p-2, 0x1.79bd5c87bdb34p-2, 0x1.75a24ea638667p-2, 0x1.718bcc041bfd2p-2, 0x1.6d79f083f7799p-2, 0x1.696cd77fd459bp-2, 0x1.65649bc6db2dep-2, 0x1.6161579b2186dp-2, 0x1.5d6324afa6f29p-2, 0x1.596a1c267ae0cp-2, 0x1.5576568f0e10bp-2, 0x1.5187ebe4a9d2dp-2, 0x1.4d9ef38d11f2cp-2, 0x1.49bb84574a41cp-2, 0x1.45ddb47a83452p-2, 0x1.420599952a84fp-2, 0x1.3e3348ac1e79fp-2, 0x1.3a66d62a05ab5p-2, 0x1.36a055dec2d2ep-2, 0x1.32dfdaff0f44fp-2, 0x1.2f25782431ee2p-2, 0x1.2b713f4bd2e81p-2, 0x1.27c341d7ef994p-2, 0x1.241b908ee8c81p-2, 0x1.207a3b9bae959p-2, 0x1.1cdf528e04a95p-2, 0x1.194ae45ae1a1p-2, 0x1.15bcff5ce8738p-2, 0x1.1235b154f67f6p-2, 0x1.0eb5076acbfcep-2, 0x1.0b3b0e2dc8ab1p-2, 0x1.07c7d195bfcc1p-2, 0x1.045b5d03de29dp-2, 0x1.00f5bb43a7da6p-2, 0x1.fb2ded1809f0ap-3, 0x1.f47e3100c7d0cp-3, 0x1.eddc5463d5256p-3, 0x1.e7486841750b7p-3, 0x1.e0c27c7a8739p-3, 0x1.da4a9fd34f97fp-3, 0x1.d3e0dff65843ep-3, 0x1.cd8549776c295p-3, 0x1.c737e7d6b6963p-3, 0x1.c0f8c583ef1afp-3, 0x1.bac7ebe1a7b9cp-3, 0x1.b4a56348ad8e6p-3, 0x1.ae91330b7a2cap-3, 0x1.a88b6179c2058p-3, 0x1.a293f3e40ffe2p-3, 0x1.9caaee9f729ebp-3, 0x1.96d055093bb94p-3, 0x1.9104298acf05ap-3, 0x1.8b466d9d7d0d2p-3, 0x1.859721ce6eccep-3, 0x1.7ff645c29943p-3, 0x1.7a63d83abfef5p-3, 0x1.74dfd7177c9bdp-3, 0x1.6f6a3f5d57db1p-3, 0x1.6a030d38dee3p-3, 0x1.64aa3c02cbe12p-3, 0x1.5f5fc6442baa4p-3, 0x1.5a23a5ba8df97p-3, 0x1.54f5d35c35addp-3, 0x1.4fd6475c52b67p-3, 0x1.4ac4f92f3b1c5p-3, 0x1.45c1df8ea24a1p-3, 0x1.40ccf07ddae23p-3, 0x1.3be6214e0e06dp-3, 0x1.370d66a27e10dp-3, 0x1.3242b474beb8ep-3, 0x1.2d85fe18efe3fp-3, 0x1.28d73641f4eb5p-3, 0x1.24364f05abe44p-3, 0x1.1fa339e11a59bp-3, 0x1.1b1de7bca10f6p-3, 0x1.16a648f01d4c6p-3, 0x1.123c4d4712f0ep-3, 0x1.0ddfe404c3329p-3, 0x1.0990fbe848ap-3, 0x1.054f8330a6d31p-3, 0x1.011b67a0d077p-3, 0x1.f9e92d0757172p-4, 0x1.f1b5f96012b02p-4, 0x1.e99d0d192ce74p-4, 0x1.e19e40278787dp-4, 0x1.d9b969af4656fp-4, 0x1.d1ee600b7de1fp-4, 0x1.ca3cf8d5bf1d9p-4, 0x1.c2a508eda143p-4, 0x1.bb26648024f8ap-4, 0x1.b3c0df0f1233fp-4, 0x1.ac744b782be2fp-4, 0x1.a5407bfc63955p-4, 0x1.9e254246e12a8p-4, 0x1.97226f73f9f6cp-4, 0x1.9037d4181d2cep-4, 0x1.896540468e243p-4, 0x1.82aa8398184a4p-4, 0x1.7c076d31a3f01p-4, 0x1.757bcbcab21dp-4, 0x1.6f076db3bd1cdp-4, 0x1.68aa20dc7fe55p-4, 0x1.6263b2da23195p-4, 0x1.5c33f0ed4ef3p-4, 0x1.561aa80825158p-4, 0x1.5017a4d4183c8p-4, 0x1.4a2ab3b7b1fb1p-4, 0x1.4453a0dc3793bp-4, 0x1.3e923833357c4p-4, 0x1.38e6457bec9f3p-4, 0x1.334f9448aa802p-4, 0x1.2dcdf003ff134p-4, 0x1.286123f5dbb51p-4, 0x1.2308fb4895a36p-4, 0x1.1dc5410dcb6e2p-4, 0x1.1895c04331c88p-4, 0x1.137a43d74351cp-4, 0x1.0e7296add5fbfp-4, 0x1.097e83a4944bap-4, 0x1.049dd5975d9dbp-4, 0x1.ffa0aec9137e8p-5, 0x1.f62ba7e226bc4p-5, 0x1.ecdc2c594bf23p-5, 0x1.e3b1d22b27c6fp-5, 0x1.daac2f795eddp-5, 0x1.d1cada921c857p-5, 0x1.c90d69f758007p-5, 0x1.c0737465f95f8p-5, 0x1.b7fc90dcb6fb4p-5, 0x1.afa856a2d17c1p-5, 0x1.a7765d4e96e3p-5, 0x1.9f663ccbb3431p-5, 0x1.97778d6150ebap-5, 0x1.8fa9e7b80f692p-5, 0x1.87fce4dfc12bbp-5, 0x1.80701e54fe9b2p-5, 0x1.79032e068842ep-5, 0x1.71b5ae5a82fe9p-5, 0x1.6a873a3379098p-5, 0x1.63776cf538ee8p-5, 0x1.5c85e2898989cp-5, 0x1.55b23764a3fd7p-5, 0x1.4efc088995055p-5, 0x1.4862f38e681afp-5, 0x1.41e696a02c403p-5, 0x1.3b869086d215cp-5, 0x1.354280a8dc8eap-5, 0x1.2f1a070eebfdbp-5, 0x1.290cc467264dfp-5, 0x1.231a5a0870159p-5, 0x1.1d4269f58bf97p-5, 0x1.178496e00495ap-5, 0x1.11e0842b030c4p-5, 0x1.0c55d5edf5602p-5, 0x1.06e430f717f5ep-5, 0x1.018b3acddb311p-5, 0x1.f895336a4b11fp-6, 0x1.ee43e95af0d13p-6, 0x1.e421e6eddd6a8p-6, 0x1.da2e7d2644b39p-6, 0x1.d068fe8ddc91ap-6, 0x1.c6d0bf38225cap-6, 0x1.bd6514c56fb48p-6, 0x1.b4255665c9acap-6, 0x1.ab10dcdb77ab5p-6, 0x1.a227027d72e13p-6, 0x1.99672339809bcp-6, 0x1.90d09c963bb3bp-6, 0x1.8862cdb4c8222p-6, 0x1.801d17526ea9p-6, 0x1.77fedbc9f9da5p-6, 0x1.70077f14e0753p-6, 0x1.683666cc4f646p-6, 0x1.608afa29ef7a9p-6, 0x1.5904a208982f5p-6, 0x1.51a2c8e4c73fp-6, 0x1.4a64dadcea8e5p-6, 0x1.434a45b190b83p-6, 0x1.3c5278c56b2ap-6, 0x1.357ce51d1b797p-6, 0x1.2ec8fd5ef1f2fp-6, 0x1.283635d27b9a8p-6, 0x1.21c4045fecfd1p-6, 0x1.1b71e08f6bef3p-6, 0x1.153f43883c721p-6, 0x1.0f2ba80fc35f7p-6, 0x1.09368a8874adbp-6, 0x1.035f68f09d1c6p-6, 0x1.fb4b85c227e77p-7, 0x1.f01233179059fp-7, 0x1.e511df74796d8p-7, 0x1.da499397c74e8p-7, 0x1.cfb85b68c46a4p-7, 0x1.c55d45f37c587p-7, 0x1.bb376564e1491p-7, 0x1.b145cf06c8a23p-7, 0x1.a7879b3bb65bep-7, 0x1.9dfbe57a8f066p-7, 0x1.94a1cc4a14561p-7, 0x1.8b78713c37761p-7, 0x1.827ef8e949948p-7, 0x1.79b48aeb23fcap-7, 0x1.711851d7fd282p-7, 0x1.68a97b3d49131p-7, 0x1.6067379a6c85dp-7, 0x1.5850ba5b44bebp-7, 0x1.506539d2a97a9p-7, 0x1.48a3ef34d16ebp-7, 0x1.410c16918daadp-7, 0x1.399ceece8422cp-7, 0x1.3255b9a13f4b8p-7, 0x1.2b35bb8934fe1p-7, 0x1.243c3bc9be93cp-7, 0x1.1d688463efef7p-7, 0x1.16b9e2106a2a1p-7, 0x1.102fa4390be8p-7, 0x1.09c91cf2bd1ffp-7, 0x1.0385a0f6eb82p-7, 0x1.fac90f3a8003cp-8, 0x1.eeca55aa215f4p-8, 0x1.e30dce3dd4224p-8, 0x1.d792370c04c5cp-8, 0x1.cc5653334d4f9p-8, 0x1.c158eacd3b2d2p-8, 0x1.b698cae1042b8p-8, 0x1.ac14c5564548dp-8, 0x1.a1cbb0e7a4d06p-8, 0x1.97bc69156a9c2p-8, 0x1.8de5ce181a975p-8, 0x1.8446c4d303fe2p-8, 0x1.7ade36c6d957ap-8, 0x1.71ab120431eafp-8, 0x1.68ac491e29e29p-8, 0x1.5fe0d31ccd84ep-8, 0x1.5747ab6fcb137p-8, 0x1.4edfd1e0ee0edp-8, 0x1.46a84a86ca54p-8, 0x1.3ea01db7449b6p-8, 0x1.36c657fa49f8bp-8, 0x1.2f1a09fc70d6ap-8, 0x1.279a4881b38fbp-8, 0x1.20462c5839624p-8, 0x1.191cd24b096f5p-8, 0x1.121d5b150ecadp-8, 0x1.0b46eb53ce034p-8, 0x1.0498ab7a75dc2p-8, 0x1.fc238f89d82f7p-9, 0x1.ef62e055985bap-9, 0x1.e2edb0a518945p-9, 0x1.d6c26f097d726p-9, 0x1.cadf913ebb7cap-9, 0x1.bf43941236b6dp-9, 0x1.b3ecfb49abef8p-9, 0x1.a8da518a3d84fp-9, 0x1.9e0a283f946e6p-9, 0x1.937b17835a37bp-9, 0x1.892bbe04a5799p-9, 0x1.7f1ac0efbe24bp-9, 0x1.7546cbd60db4dp-9, 0x1.6bae909615962p-9, 0x1.6250c743c89e1p-9, 0x1.592c2e11052b5p-9, 0x1.503f8936289acp-9, 0x1.4789a2dafa8e6p-9, 0x1.3f094affb33a2p-9, 0x1.36bd576641ddp-9, 0x1.2ea4a37baed0fp-9, 0x1.26be1041ea3fep-9, 0x1.1f0884397e23ap-9, 0x1.1782eb4bdcc58p-9, 0x1.102c36b57301ap-9, 0x1.09035cf05eebfp-9, 0x1.0207599f026ddp-9, 0x1.f66e5aee357dcp-10, 0x1.e923bc599936dp-10, 0x1.dc2cecbc3b627p-10, 0x1.cf880afd17c55p-10, 0x1.c3333f859fc49p-10, 0x1.b72cbc1a14693p-10, 0x1.ab72bbb1cc1ecp-10, 0x1.a00382508fabdp-10, 0x1.94dd5cdf8c343p-10, 0x1.89fea107bf885p-10, 0x1.7f65ad0be77b9p-10, 0x1.7510e7a37af0dp-10, 0x1.6afebfd5e8b5p-10, 0x1.612dacd62529fp-10, 0x1.579c2ddf017acp-10, 0x1.4e48ca0f70cbep-10, 0x1.45321047bf7d6p-10, 0x1.3c56970729001p-10, 0x1.33b4fc496c8a9p-10, 0x1.2b4be5654f5f2p-10, 0x1.2319feeb82257p-10, 0x1.1b1dfc859968ap-10, 0x1.135698d5f5e63p-10, 0x1.0bc29557b27dfp-10, 0x1.0460ba3f2b981p-10, 0x1.fa5facb620b4ap-11, 0x1.ec5d7deb3e6cbp-11, 0x1.deb89f6d1afbcp-11, 0x1.d16ed50a8b51cp-11, 0x1.c47deed6cceb6p-11, 0x1.b7e3c8f015cb3p-11, 0x1.ab9e4b46434bep-11, 0x1.9fab6962b51dp-11, 0x1.94092230dd4b1p-11, 0x1.88b57fc7c7c0cp-11, 0x1.7dae97343e818p-11, 0x1.72f28843c88b2p-11, 0x1.687f7d50a02f7p-11, 0x1.5e53ab0e12244p-11, 0x1.546d50563a0d9p-11, 0x1.4acab5f7bc8ddp-11, 0x1.416a2e850806p-11, 0x1.384a1623e6a02p-11, 0x1.2f68d25dfc569p-11, 0x1.26c4d1f1c6e97p-11, 0x1.1e5c8ca4fb4e9p-11, 0x1.162e83168694ep-11, 0x1.0e393e9291fe1p-11, 0x1.067b50e64cff9p-11, 0x1.fde6a8693fbfdp-12, 0x1.ef3fd5980452ap-12, 0x1.e0ff7df8a8874p-12, 0x1.d32305dc5d415p-12, 0x1.c5a7e0f41dd0ap-12, 0x1.b88b9201717a3p-12, 0x1.abcbaa8883475p-12, 0x1.9f65ca831be95p-12, 0x1.9357a014b671p-12, 0x1.879ee740cd605p-12, 0x1.7c3969a18328dp-12, 0x1.7124fe1fc2b6bp-12, 0x1.665f88acfab69p-12, 0x1.5be6f9fe0217dp-12, 0x1.51b94f46466bp-12, 0x1.47d491f5a8997p-12, 0x1.3e36d776599cep-12, 0x1.34de40ec4d708p-12, 0x1.2bc8faf62be9dp-12, 0x1.22f53d6ea2d8ep-12, 0x1.1a614b2f6d747p-12, 0x1.120b71d4fba7ep-12, 0x1.09f209841fbd6p-12, 0x1.021374af6183p-12, 0x1.f4dc3fbdc8a02p-13, 0x1.e60102efb466p-13, 0x1.d792330c5e0cap-13, 0x1.c98ce30dfb78ap-13, 0x1.bbee386644135p-13, 0x1.aeb36a97faedcp-13, 0x1.a1d9c2d11769bp-13, 0x1.955e9b86e1c98p-13, 0x1.893f601427adap-13, 0x1.7d798c59999c9p-13, 0x1.720aac5f019dbp-13, 0x1.66f05bf7e1ba1p-13, 0x1.5c284667cfd58p-13, 0x1.51b0260a7cfb6p-13, 0x1.4785c3fcb377ap-13, 0x1.3da6f7c5ed27ep-13, 0x1.3411a705e0e9fp-13, 0x1.2ac3c521a8749p-13, 0x1.21bb52f349c7p-13, 0x1.18f65e7b55d28p-13, 0x1.10730292d6677p-13, 0x1.082f66a06079ep-13, 0x1.0029be4d7eab9p-13, 0x1.f0c0927b04a53p-14, 0x1.e1a2a58dc13dcp-14, 0x1.d2f6635a211aap-14, 0x1.c4b88fb793dfdp-14, 0x1.b6e604484ae42p-14, 0x1.a97baff6bee4dp-14, 0x1.9c769674a255dp-14, 0x1.8fd3cfbbe241dp-14, 0x1.839087948423cp-14, 0x1.77a9fd1a5236p-14, 0x1.6c1d8248d6bfap-14, 0x1.60e87b848f172p-14, 0x1.56085f2c5e4b8p-14, 0x1.4b7ab52821887p-14, 0x1.413d167d9f2e4p-14, 0x1.374d2ce5b2ccfp-14, 0x1.2da8b263b260fp-14, 0x1.244d70dfbb8dfp-14, 0x1.1b3941c33be8ap-14, 0x1.126a0d96f80eap-14, 0x1.09ddcba3c4279p-14, 0x1.019281954b801p-14, 0x1.f30c863cf3cc4p-15, 0x1.e36e63402b40bp-15, 0x1.d446f7a254574p-15, 0x1.c592bad35e368p-15, 0x1.b74e3d9d31c46p-15, 0x1.a97629818c83p-15, 0x1.9c07401738376p-15, 0x1.8efe5a7132eb4p-15, 0x1.8258688340007p-15, 0x1.7612708d325cap-15, 0x1.6a298e88a8676p-15, 0x1.5e9af39a7b3abp-15, 0x1.5363e586b5fb6p-15, 0x1.4881be279e9fdp-15, 0x1.3df1eae967fc4p-15, 0x1.33b1ec46e56a2p-15, 0x1.29bf554bd5803p-15, 0x1.2017cb16c057ep-15, 0x1.16b904606f68ep-15, 0x1.0da0c9047db26p-15, 0x1.04ccf18e14255p-15, 0x1.f876cd8b18909p-16, 0x1.e7d4428613e6ep-16, 0x1.d7ae5203a0ccfp-16, 0x1.c80129ed98353p-16, 0x1.b8c915542317cp-16, 0x1.aa027ba4215b7p-16, 0x1.9ba9dfe1da2e7p-16, 0x1.8dbbdfea3e326p-16, 0x1.803533b76599p-16, 0x1.7312acaa09adp-16, 0x1.665134d78daf1p-16, 0x1.59edce5b4d031p-16, 0x1.4de592ae07e4dp-16, 0x1.4235b201827ddp-16, 0x1.36db729b9044p-16, 0x1.2bd4303b40b15p-16, 0x1.211d5b7da4f2p-16, 0x1.16b4794883d2bp-16, 0x1.0c972238bf143p-16, 0x1.02c3021227856p-16, 0x1.f26bae6af205fp-17, 0x1.dfdae433643a7p-17, 0x1.cdcf698d6a165p-17, 0x1.bc4524a967841p-17, 0x1.ab381cdcab21bp-17, 0x1.9aa479ae2b331p-17, 0x1.8a8681e58027dp-17, 0x1.7ada9aa3f43b6p-17, 0x1.6b9d4680e83f3p-17, 0x1.5ccb24aec5806p-17, 0x1.4e60f02256548p-17, 0x1.405b7ec3845cfp-17, 0x1.32b7c09e6025ap-17, 0x1.2572bf1dd7f9ep-17, 0x1.18899c48d6d12p-17, 0x1.0bf992087b206p-17, 0x1.ff7fe2d84e4c2p-18, 0x1.e7b443f335a7fp-18, 0x1.d08b41ff1a51dp-18, 0x1.ba0001d76d537p-18, 0x1.a40dd1489101ep-18, 0x1.8eb025d4edcdbp-18, 0x1.79e29b76a4f01p-18, 0x1.65a0f37367ee3p-18, 0x1.51e713329329cp-18, 0x1.3eb1031dcdab8p-18, 0x1.2bfaed8b9f7aap-18, 0x1.19c11daaf496ep-18, 0x1.07fffe7ef0fc7p-18, 0x1.ed6833b4c8c3bp-19, 0x1.cbb42ed2e92afp-19, 0x1.aadd7772a8b3ep-19, 0x1.8addce9be25cbp-19, 0x1.6baf2b7cc3362p-19, 0x1.4d4bb99f94b25p-19, 0x1.2fadd73ec8da5p-19, 0x1.12d013a1dad1cp-19, 0x1.ed5a5af8f587dp-20, 0x1.b68022c83b21bp-20, 0x1.8107b09e9db78p-20, 0x1.4ce78c3d36cc8p-20, 0x1.1a169047c56b2p-20, 0x1.d117cf3a42b72p-21, 0x1.707e15243727cp-21, 0x1.124f78b60079fp-21, 0x1.6cf822205d1c1p-22, 0x1.73d204682128p-23, 0x1.6a7cab651df3cp-27, -0x1.3dc7b7bfb31d5p-23, -0x1.44d9ed2ed3faap-22, -0x1.e6a907469bf22p-22, -0x1.42357c19b3496p-21, -0x1.8f1c55dc390dap-21, -0x1.da15198554397p-21, -0x1.1195b32fb4c6bp-20, -0x1.35353b0c81081p-20, -0x1.57ee902d6c3f2p-20, -0x1.79c6ef257c61ap-20, -0x1.9ac36702226abp-20, -0x1.bae8dae1a1fddp-20, -0x1.da3c039388aap-20, -0x1.f8c1712b2a827p-20, -0x1.0b3ec639f226ep-19, -0x1.19ba4c35bffe8p-19, -0x1.27d559d1b2b1ap-19, -0x1.3591eccefa513p-19, -0x1.42f1f212c2562p-19, -0x1.4ff74645df09ap-19, -0x1.5ca3b66f7d7dcp-19, -0x1.68f90092d110cp-19, -0x1.74f8d43ee5f8ep-19, -0x1.80a4d31ba0ef6p-19, -0x1.8bfe9178bd05ep-19, -0x1.970796cb539bbp-19, -0x1.a1c15e3699f1cp-19, -0x1.ac2d5701f9a6fp-19, -0x1.b64ce515c23b9p-19, -0x1.c0216169bcbfbp-19, -0x1.c9ac1a77cb685p-19, -0x1.d2ee54aa997cfp-19, -0x1.dbe94abfb03e2p-19, -0x1.e49e2e2ef474ep-19, -0x1.ed0e278d166dfp-19, -0x1.f53a56ea124ddp-19, -0x1.fd23d425a1ebcp-19, -0x1.0265d7a5813cfp-18, -0x1.06197872300b2p-18, -0x1.09ad4d25dd925p-18, -0x1.0d21d2fb82573p-18, -0x1.107783e25df15p-18, -0x1.13aed6a186393p-18, -0x1.16c83efb22ep-18, -0x1.19c42dcc4f8b7p-18, -0x1.1ca3112f0fb59p-18, -0x1.1f655499001f8p-18, -0x1.220b60f7adddcp-18, -0x1.24959ccf4cb0fp-18, -0x1.27046c54d5ae2p-18, -0x1.29583187d04c3p-18, -0x1.2b914c4dc3b74p-18, -0x1.2db01a87de5ap-18, -0x1.2fb4f82c1a565p-18, -0x1.31a03f5b8fb06p-18, -0x1.33724876a4909p-18, -0x1.352b6a3277b21p-18, -0x1.36cbf9ad12a9p-18, -0x1.38544a7f3dba1p-18, -0x1.39c4aece7fca6p-18, -0x1.3b1d77600203ep-18, -0x1.3c5ef3a7666bep-18, -0x1.3d8971d714e2dp-18, -0x1.3e9d3eefb72c7p-18, -0x1.3f9aa6ce7c875p-18, -0x1.4081f439bd0f7p-18, -0x1.415370f0675d1p-18, -0x1.420f65b3b2c26p-18, -0x1.42b61a54e65eap-18, -0x1.4347d5c0d2c2ep-18, -0x1.43c4de09be68ap-18, -0x1.442d7871e5bb1p-18, -0x1.4481e97576408p-18, -0x1.44c274d3c60eap-18, -0x1.44ef5d980410cp-18, -0x1.4508e6215a34bp-18, -0x1.450f502b8000fp-18, -0x1.4502dcd601b3cp-18, -0x1.44e3ccaaaa4f5p-18, -0x1.44b25fa45bc0fp-18, -0x1.446ed5366b545p-18, -0x1.44196c50e2ec9p-18, -0x1.43b263679fc8dp-18, -0x1.4339f87711fc2p-18, -0x1.42b06908ee0f5p-18, -0x1.4215f238418cep-18, -0x1.416ad0b7eb76fp-18, -0x1.40af40d45fef4p-18, -0x1.3fe37e77f8237p-18, -0x1.3f07c52f73cc5p-18, -0x1.3e1c502c7067ap-18, -0x1.3d215a485123fp-18, -0x1.3c171e07bc649p-18, -0x1.3afdd59cac5e8p-18, -0x1.39d5bae8950a7p-18, -0x1.389f077fb41dbp-18, -0x1.3759f4a99d688p-18, -0x1.3606bb6416a76p-18, -0x1.34a59463edf46p-18, -0x1.3336b8176efc3p-18, -0x1.31ba5ea6c46a3p-18, -0x1.3030bff5e5a55p-18, -0x1.2e9a13a4cc6cap-18, -0x1.2cf6911148a3ap-18, -0x1.2b466f56fee11p-18, -0x1.2989e55006ac4p-18, -0x1.27c1299636d14p-18, -0x1.25ec72831c71bp-18, -0x1.240bf630215a2p-18, -0x1.221fea76c9fa9p-18, -0x1.202884f160521p-18, -0x1.1e25fafa2c3p-18, -0x1.1c1881ac09a98p-18, -0x1.1a004de23afafp-18, -0x1.17dd9437e640ap-18, -0x1.15b0890805e62p-18, -0x1.1379606d5fb6dp-18, -0x1.11384e41e452ap-18, -0x1.0eed861e0647p-18, -0x1.0c993b58662eap-18, -0x1.0a3ba105b064fp-18, -0x1.07d4e9f7ce5ccp-18, -0x1.056548bd2c6e2p-18, -0x1.02ecefa001f1fp-18, -0x1.006c10a6016b1p-18, -0x1.fbc5bb1f35bd5p-19, -0x1.f6a30fad7bd1ap-19, -0x1.f170815e0307p-19, -0x1.ec2e72085fd69p-19, -0x1.e6dd42f2e4f8dp-19, -0x1.e17d54d24b323p-19, -0x1.dc0f07c734564p-19, -0x1.d692bb5c5aa6fp-19, -0x1.d108ce852763dp-19, -0x1.cb719f9cc2678p-19, -0x1.c5cd8c635936fp-19, -0x1.c01cf1fc774e9p-19, -0x1.ba602cedc8811p-19, -0x1.b497991d8604dp-19, -0x1.aec391d0523dcp-19, -0x1.a8e471a7d50f8p-19, -0x1.a2fa92a14d3cep-19, -0x1.9d064e1430c39p-19, -0x1.9707fcaf9e002p-19, -0x1.90fff678c794ap-19, -0x1.8aee92ca0af12p-19, -0x1.84d42850c1bcep-19, -0x1.7eb10d0c76ebcp-19, -0x1.7885964d33845p-19, -0x1.725218b169f96p-19, -0x1.6c16e824d83d4p-19, -0x1.65d457dee25d4p-19, -0x1.5f8aba61e906fp-19, -0x1.593a61791ef9fp-19, -0x1.52e39e375af75p-19, -0x1.4c86c0f661981p-19, -0x1.46241955c19ccp-19, -0x1.3fbbf638ddd49p-19, -0x1.394ea5c5edbe3p-19, -0x1.32dc7564be2b9p-19, -0x1.2c65b1be134fp-19, -0x1.25eaa6bab0d9ep-19, -0x1.1f6b9f821e16cp-19, -0x1.18e8e67943f65p-19, -0x1.1262c54200affp-19, -0x1.0bd984ba5dfe9p-19, -0x1.054d6cfbb57f3p-19, -0x1.fd7d8ab2f07f1p-20, -0x1.f05ba8c21f3acp-20, -0x1.e335bfb2090cep-20, -0x1.d60c5980d8f29p-20, -0x1.c8dffe9cfdbfdp-20, -0x1.bbb135e271c28p-20, -0x1.ae80849b49b88p-20, -0x1.a14e6e7d78f6ap-20, -0x1.941b75ab9fc79p-20, -0x1.86e81ab432acbp-20, -0x1.79b4dc8ff4adap-20, -0x1.6c8238a0fd295p-20, -0x1.5f50aab36dff8p-20, -0x1.5220acfcfdf77p-20, -0x1.44f2b81b1ee61p-20, -0x1.37c743149b947p-20, -0x1.2a9ec359fd346p-20, -0x1.1d79acc48a46bp-20, -0x1.10587196d0f4fp-20, -0x1.033b827b5174ep-20, -0x1.ec469d0cb2ff9p-21, -0x1.d2208669abd1cp-21, -0x1.b80598dc7c712p-21, -0x1.9df6a90b62e3cp-21, -0x1.83f48871b6859p-21, -0x1.6a000560ac7d5p-21, -0x1.5019eb034fp-21, -0x1.3643015fdf435p-21, -0x1.1c7c0d58e0bccp-21, -0x1.02c5d0adc2d77p-21, -0x1.d24213fa91b0cp-22, -0x1.9f1ce998d70ffp-22, -0x1.6c1d930a3ce65p-22, -0x1.39457aefc0e2dp-22, -0x1.069605beed72fp-22, -0x1.a821238820268p-23, -0x1.436cee526e35bp-23, -0x1.be24200af18e1p-24, -0x1.ec4c8277e0ccbp-25, -0x1.772abfed71edap-27, 0x1.2f33381836203p-25, 0x1.5d51b3464b1eap-24, 0x1.111f0ef83a36ap-23, 0x1.732d1209c1798p-23, 0x1.d4d092b12c5bep-23, 0x1.1b03a6450ef86p-22, 0x1.4b67837241fbp-22, 0x1.7b92ca5894552p-22, 0x1.ab846a39966dep-22, 0x1.db3b581513471p-22, 0x1.055b47531b75cp-21, 0x1.1cfa872ccc15ep-21, 0x1.347aeea09c631p-21, 0x1.4bdc038314409p-21, 0x1.631d4e72cba77p-21, 0x1.7a3e5ad39c05fp-21, 0x1.913eb6c8987c4p-21, 0x1.a81df330df702p-21, 0x1.bedba3a009694p-21, 0x1.d5775e5c449c4p-21, 0x1.ebf0bc54505bbp-21, 0x1.0123ac8f2d29cp-20, 0x1.0c3d6978951f8p-20, 0x1.1745654faa1a2p-20, 0x1.223b71c719c89p-20, 0x1.2d1f61db30fbdp-20, 0x1.37f109cdad64ap-20, 0x1.42b03f238ccbfp-20, 0x1.4d5cd8a1bdadp-20, 0x1.57f6ae48e128p-20, 0x1.627d99548f151p-20, 0x1.6cf174380d896p-20, 0x1.77521a9ae0024p-20, 0x1.819f6955fa47p-20, 0x1.8bd93e70f0fccp-20, 0x1.95ff791f259dap-20, 0x1.a011f9bcf396bp-20, 0x1.aa10a1cc7db56p-20, 0x1.b3fb53f26236ep-20, 0x1.bdd1f3f1eb694p-20, 0x1.c79466ac1a18bp-20, 0x1.d142921bb5e86p-20, 0x1.dadc5d523d56p-20, 0x1.e461b0750becfp-20, 0x1.edd274ba10a47p-20, 0x1.f72e94655e249p-20, 0x1.003afd62427abp-19, 0x1.04d44a16616f7p-19, 0x1.096326fc37b7bp-19, 0x1.0de78b4165e2ap-19, 0x1.12616e92eee1cp-19, 0x1.16d0c91b76656p-19, 0x1.1b359381b441ep-19, 0x1.1f8fc6e6eab66p-19, 0x1.23df5ce599cefp-19, 0x1.28244f8f348dfp-19, 0x1.2c5e996b3d38ap-19, 0x1.308e3575dd0d3p-19, 0x1.34b31f1e94c2fp-19, 0x1.38cd5245f6506p-19, 0x1.3cdccb3c9e0dap-19, 0x1.40e186c1a210ap-19, 0x1.44db8200a0b07p-19, 0x1.48caba908dd85p-19, 0x1.4caf2e728214ep-19, 0x1.5088dc102d65cp-19, 0x1.5457c239a77f1p-19, 0x1.581be024a8e8bp-19, 0x1.5bd5356ab2dfp-19, 0x1.5f83c207e2696p-19, 0x1.632786594813cp-19, 0x1.66c0831b4bc32p-19, 0x1.6a4eb96837bd5p-19, 0x1.6dd22ab6c84d4p-19, 0x1.714ad8d8e85dep-19, 0x1.74b8c5fa61fa3p-19, 0x1.781bf49f4a33cp-19, 0x1.7b7467a26a27ep-19, 0x1.7ec2223417d92p-19, 0x1.820527d8054a7p-19, 0x1.853d7c64e4432p-19, 0x1.886b2402886bcp-19, 0x1.8b8e2328b5c87p-19, 0x1.8ea67e9d41ae9p-19, 0x1.91b43b732a749p-19, 0x1.94b75f090d256p-19, 0x1.97afef07e0f45p-19, 0x1.9a9df161ad80bp-19, 0x1.9d816c4fc36e6p-19, 0x1.a05a6651ee9ap-19, 0x1.a328e62c9dfap-19, 0x1.a5ecf2e85aff2p-19, 0x1.a8a693cfdb8e2p-19, 0x1.ab55d06ed1a06p-19, 0x1.adfab090b1abap-19, 0x1.b0953c3faa9d6p-19, 0x1.b3257bc308881p-19, 0x1.b5ab779e1b534p-19, 0x1.b827388eea1d2p-19, 0x1.ba98c78cec608p-19, 0x1.bd002dc7e2ce7p-19, 0x1.bf5d74a6f1e04p-19, 0x1.c1b0a5c6f4f46p-19, 0x1.c3f9caf973fafp-19, 0x1.c638ee43715c7p-19, 0x1.c86e19dc3d0fbp-19, }}, 
      {{0x1.831d226fd4e1p-14, 0x1.7833aaf6a264bp-12, 0x1.94b61edfa0d96p-11, 0x1.536b30dc66f6fp-10, 0x1.eef26afc308b5p-10, 0x1.49b607dcb22f4p-9, 0x1.9c79021518111p-9, 0x1.ecd0674aca0cp-9, 0x1.1c692a17e2eadp-8, 0x1.3fc3885198c1p-8, 0x1.606203cbeaa74p-8, 0x1.7e80581b6c945p-8, 0x1.9a95ad74f04dbp-8, 0x1.b540a5d6ac354p-8, 0x1.cf35ec7acb444p-8, 0x1.e9319d667ea96p-8, 0x1.01f5c6439f044p-7, 0x1.100723ab00688p-7, 0x1.1f1849b321503p-7, 0x1.2f688fb7b79a3p-7, 0x1.412a0b6439876p-7, 0x1.5481234227596p-7, 0x1.6984c2ff1134fp-7, 0x1.803f0cd9a9302p-7, 0x1.98ae670aa40dfp-7, 0x1.b2c6c7ec21f4cp-7, 0x1.ce7327d4a5772p-7, 0x1.eb9703d4a24dp-7, 0x1.0507f04b90f52p-6, 0x1.14db60363e8a2p-6, 0x1.2530c174309a4p-6, 0x1.35f213b7712e1p-6, 0x1.4708f74491926p-6, 0x1.585f2bf230d1ep-6, 0x1.69defe3e9daefp-6, 0x1.7b73a2db10cf3p-6, 0x1.8d098180bb828p-6, 0x1.9e8e70340f14ep-6, 0x1.aff1e04d330c6p-6, 0x1.c124feb7c4e92p-6, 0x1.d21ac8e3c2062p-6, 0x1.e2c817dc1a65dp-6, 0x1.f323a2e7b5a3cp-6, 0x1.0192fd8189419p-5, 0x1.0964c033090cap-5, 0x1.110529966b1bfp-5, 0x1.1873200e75d04p-5, 0x1.1fae5531a9b23p-5, 0x1.26b7398606ee7p-5, 0x1.2d8eef6d2b1adp-5, 0x1.34373d884e447p-5, 0x1.3ab280d10c82fp-5, 0x1.41039e9a32776p-5, 0x1.472df6a34d836p-5, 0x1.4d3555622ddebp-5, 0x1.531de69f10e83p-5, 0x1.58ec287a7be4cp-5, 0x1.5ea4deeeec914p-5, 0x1.644d07dc5263ap-5, 0x1.69e9cfa7b51fdp-5, 0x1.6f808676723e7p-5, 0x1.75169609d286dp-5, 0x1.7ab1783d9ab23p-5, 0x1.8056ae2a724a8p-5, 0x1.860bb7eb60aa9p-5, 0x1.8bd60d0477684p-5, 0x1.91bb15679fe2fp-5, 0x1.97c02313bcfefp-5, 0x1.9dea6c4981cf9p-5, 0x1.a43f0650f2f9p-5, 0x1.aac2e0ca0664ep-5, 0x1.b17ac1827a796p-5, 0x1.b86b40cace81cp-5, 0x1.bf98c64410217p-5, 0x1.c70786201b29p-5, 0x1.cebb7ecde2176p-5, 0x1.d6b8770b46cd8p-5, 0x1.df01fc562d19cp-5, 0x1.e79b61b678256p-5, 0x1.f087bedac1b4dp-5, 0x1.f9c9ef81bfd3p-5, 0x1.01b2499540148p-4, 0x1.06ad0682dfca1p-4, 0x1.0bd6421173b35p-4, 0x1.112ef1e9af2afp-4, 0x1.16b7ee1f965d6p-4, 0x1.1c71f1930904bp-4, 0x1.225d9a643ae06p-4, 0x1.287b6a79f01c1p-4, 0x1.2ecbc81769a7bp-4, 0x1.354efe801275ep-4, 0x1.3c053ea719ad9p-4, 0x1.42ee9fe94638ap-4, 0x1.4a0b20cf6b05cp-4, 0x1.515aa7d8040b6p-4, 0x1.58dd044694cfcp-4, 0x1.6091eef78f7fep-4, 0x1.68790b3790b7ap-4, 0x1.7091e79ce2d29p-4, 0x1.78dbfee251997p-4, 0x1.8156b8c2677cdp-4, 0x1.8a016ad24a692p-4, 0x1.92db595b7de49p-4, 0x1.9be3b833ebf7ap-4, 0x1.a519ab939798cp-4, 0x1.ae7c48e78534p-4, 0x1.b80a97a15a77dp-4, 0x1.c1c3920361d69p-4, 0x1.cba625e88ad2cp-4, 0x1.d5b1358837697p-4, 0x1.dfe3983585ae7p-4, 0x1.ea3c1b19f26a3p-4, 0x1.f4b981eb2c444p-4, 0x1.ff5a879bef033p-4, 0x1.050eef83f3713p-3, 0x1.0a8119cd3d485p-3, 0x1.100314f83ecd2p-3, 0x1.1594303a64bdbp-3, 0x1.1b33b7fbe4d69p-3, 0x1.20e0f620f4896p-3, 0x1.269b32508ac86p-3, 0x1.2c61b238a2583p-3, 0x1.3233b9d016293p-3, 0x1.38108b9614357p-3, 0x1.3df768cf41451p-3, 0x1.43e791c08e7b6p-3, 0x1.49e045e7da2d9p-3, 0x1.4fe0c4325ce65p-3, 0x1.55e84b30ff9acp-3, 0x1.5bf6194a9f789p-3, 0x1.62096cec5468dp-3, 0x1.682184b7c697dp-3, 0x1.6e3d9fafa115ap-3, 0x1.745cfd62386cfp-3, 0x1.7a7ede1268b5dp-3, 0x1.80a282dec4a63p-3, 0x1.86c72de71762bp-3, 0x1.8cec227058b9cp-3, 0x1.9310a5070e82dp-3, 0x1.9933fba034a27p-3, 0x1.9f556db8b724ep-3, 0x1.a574447382d24p-3, 0x1.ab8fcab644dfdp-3, 0x1.b1a74d44d7194p-3, 0x1.b7ba1adb6f616p-3, 0x1.bdc7844797d11p-3, 0x1.c3cedc7ff59cap-3, 0x1.c9cf78baf3dc4p-3, 0x1.cfc8b084496b6p-3, 0x1.d5b9ddd179899p-3, 0x1.dba25d15412a5p-3, 0x1.e1818d5206f08p-3, 0x1.e756d02b523cap-3, 0x1.ed2189f64cd14p-3, 0x1.f2e121c957dap-3, 0x1.f895018ac0a65p-3, 0x1.fe3c95fe8d2cp-3, 0x1.01eba769bc79bp-2, 0x1.04b24f578a2d7p-2, 0x1.0771fd9c8e16bp-2, 0x1.0a2a6e9302238p-2, 0x1.0cdb60205cd5fp-2, 0x1.0f8491b9d826cp-2, 0x1.1225c46892cfdp-2, 0x1.14bebacd5b62cp-2, 0x1.174f39241f03ap-2, 0x1.19d70547017fap-2, 0x1.1c55e6b11fa0bp-2, 0x1.1ecba680fb4d3p-2, 0x1.21380f7a995eep-2, 0x1.239aee094be9dp-2, 0x1.25f410412e39bp-2, 0x1.284345e0552acp-2, 0x1.2a88604fb4bd1p-2, 0x1.2cc332a3b67eep-2, 0x1.2ef3919c9111bp-2, 0x1.311953a64ec34p-2, 0x1.333450d898c6ap-2, 0x1.354462f636c82p-2, 0x1.3749656c53212p-2, 0x1.39433551791e8p-2, 0x1.3b31b16459a9bp-2, 0x1.3d14ba0a4d885p-2, 0x1.3eec314d9fc15p-2, 0x1.40b7fadb9adffp-2, 0x1.4277fc025fad5p-2, 0x1.442c1bae82bdfp-2, 0x1.45d4426873e5bp-2, 0x1.47705a51b3898p-2, 0x1.49004f21d39a5p-2, 0x1.4a840e2346dd4p-2, 0x1.4bfb863001253p-2, 0x1.4d66a7ade8ed6p-2, 0x1.4ec5648b1ba74p-2, 0x1.5017b03a08406p-2, 0x1.515d7fad5e1e3p-2, 0x1.5296c953d4f49p-2, 0x1.53c38513cc978p-2, 0x1.54e3ac46c8bbdp-2, 0x1.55f739b4c837p-2, 0x1.56fe298f7981p-2, 0x1.57f8796d50dc4p-2, 0x1.58e62844798d2p-2, 0x1.59c73665b1137p-2, 0x1.5a9ba576fde3p-2, 0x1.5b63786e51e11p-2, 0x1.5c1eb38c0d376p-2, 0x1.5ccd5c556eae4p-2, 0x1.5d6f798eea142p-2, 0x1.5e0513366917fp-2, 0x1.5e8e327d7a1b7p-2, 0x1.5f0ae1c36c1c1p-2, 0x1.5f7b2c8f5660cp-2, 0x1.5fdf1f8a16eb8p-2, 0x1.6036c8783a0bdp-2, 0x1.60823633dd8bap-2, 0x1.60c178a67f306p-2, 0x1.60f4a0c2c9093p-2, 0x1.611bc07e4de7cp-2, 0x1.6136eacb41735p-2, 0x1.61463392276fdp-2, 0x1.6149afab7f805p-2, 0x1.614174d9688e9p-2, 0x1.612d99c14664cp-2, 0x1.610e35e55f5d9p-2, 0x1.60e3619e7cb7p-2, 0x1.60ad36158a047p-2, 0x1.606bcd3d33bf7p-2, 0x1.601f41cb8aaedp-2, 0x1.5fc7af33a7befp-2, 0x1.5f65319f57531p-2, 0x1.5ef7e5e8c497ap-2, 0x1.5e7fe9942e80ep-2, 0x1.5dfd5ac9a443ep-2, 0x1.5d70584ec4027p-2, 0x1.5cd9018088db5p-2, 0x1.5c37764d1dd17p-2, 0x1.5b8bd72dbc225p-2, 0x1.5ad64520942a2p-2, 0x1.5a16e1a2c2993p-2, 0x1.594dceaa51f93p-2, 0x1.587b2ea047317p-2, 0x1.579f245ac013ap-2, 0x1.56b9d3171a431p-2, 0x1.55cb5e74308adp-2, 0x1.54d3ea6c9ecc3p-2, 0x1.53d39b511f6f7p-2, 0x1.52ca95c2f0bf6p-2, 0x1.51b8feae52e5dp-2, 0x1.509efb4511c8p-2, 0x1.4f7cb0f9246fep-2, 0x1.4e5245775eee4p-2, 0x1.4d1fdea234122p-2, 0x1.4be5a28c8d8e2p-2, 0x1.4aa3b774b7e8ap-2, 0x1.495a43bf60739p-2, 0x1.48096df2a7f0dp-2, 0x1.46b15cb14d663p-2, 0x1.455236b5e7e61p-2, 0x1.43ec22ce3abbp-2, 0x1.427f47d69cedbp-2, 0x1.410bccb575e71p-2, 0x1.3f91d856d323dp-2, 0x1.3e1191a80dbd9p-2, 0x1.3c8b1f938ddbep-2, 0x1.3afea8fc9dfa8p-2, 0x1.396c54bb57b2p-2, 0x1.37d44998a8b0ep-2, 0x1.3636ae4a6a2d1p-2, 0x1.3493a96f91d8p-2, 0x1.32eb618c7940dp-2, 0x1.313dfd073c152p-2, 0x1.2f8ba2242c5f2p-2, 0x1.2dd477025e83bp-2, 0x1.2c18a19849ec8p-2, 0x1.2a5847b08647ep-2, 0x1.28938ee6966b9p-2, 0x1.26ca9ca3d3522p-2, 0x1.24fd961c660c9p-2, 0x1.232ca04c5cf8bp-2, 0x1.2157dff4d7d5bp-2, 0x1.1f7f7999441f2p-2, 0x1.1da3917cb6dfp-2, 0x1.1bc44b9f58f8dp-2, 0x1.19e1cbbbe9e2cp-2, 0x1.17fc3545570a4p-2, 0x1.1613ab646c4aep-2, 0x1.142850f5958b8p-2, 0x1.123a4886b81b9p-2, 0x1.1049b455227ecp-2, 0x1.0e56b64b8c0dap-2, 0x1.0c6170002f69fp-2, 0x1.0a6a02b2f61adp-2, 0x1.08708f4bb7f27p-2, 0x1.067536588f91p-2, 0x1.0478180c43223p-2, 0x1.0279543cbf939p-2, 0x1.00790a61a876dp-2, 0x1.fceeb325ef72ap-3, 0x1.f8e8c10f6cd9ap-3, 0x1.f4e07b297d9aap-3, 0x1.f0d61d57377b6p-3, 0x1.ecc9e2b2e05edp-3, 0x1.e8bc058bead1bp-3, 0x1.e4acbf6517886p-3, 0x1.e09c48f2ae9d2p-3, 0x1.dc8ada18e68b4p-3, 0x1.d878a9ea64ac8p-3, 0x1.d465eea6e0e61p-3, 0x1.d052ddb9e81e5p-3, 0x1.cc3fabb9c0201p-3, 0x1.c82c8c6667a2ap-3, 0x1.c419b2a8b9824p-3, 0x1.c0075091a432bp-3, 0x1.bbf5975988c74p-3, 0x1.b7e4b75fb1bbp-3, 0x1.b3d4e029e0973p-3, 0x1.afc64064008b5p-3, 0x1.abb905dfed40bp-3, 0x1.a7ad5d9554f21p-3, 0x1.a3a373a1b2437p-3, 0x1.9f9b734864022p-3, 0x1.9b9586f2d59abp-3, 0x1.9791d830c81b1p-3, 0x1.93908fb8a7853p-3, 0x1.8f91d56800acbp-3, 0x1.8b95d04407cbdp-3, 0x1.879ca67a30af6p-3, 0x1.83a67d60e68d7p-3, 0x1.7fb379784a043p-3, 0x1.7bc3be6b0ec33p-3, 0x1.77d76f0f63c3p-3, 0x1.73eead67f17a4p-3, 0x1.70099aa4e8c8ep-3, 0x1.6c285725237b6p-3, 0x1.684b027754a2fp-3, 0x1.6471bb5b4b667p-3, 0x1.609c9fc34061dp-3, 0x1.5ccbccd537407p-3, 0x1.58ff5eec6bc6bp-3, 0x1.5537719acc0d3p-3, 0x1.51741faa85357p-3, 0x1.4db5831f93a23p-3, 0x1.49fbb539692e5p-3, 0x1.4646ce749b4d6p-3, 0x1.4296e68c97554p-3, 0x1.3eec147d6da5dp-3, 0x1.3b466e85986b3p-3, 0x1.37a60a27db00dp-3, 0x1.340afc2d1dcf8p-3, 0x1.307558a65ca53p-3, 0x1.2ce532ee95ecbp-3, 0x1.295a9dacc9bb8p-3, 0x1.25d5aad5faa1dp-3, 0x1.22566baf3664fp-3, 0x1.1edcf0cfa866ep-3, 0x1.1b694a22aeb16p-3, 0x1.17fb86e9f60a6p-3, 0x1.1493b5bfa1781p-3, 0x1.1131e49868f8bp-3, 0x1.0dd620c5cb94ap-3, 0x1.0a8076f83fae2p-3, 0x1.0730f3416351p-3, 0x1.03e7a11637102p-3, 0x1.00a48b5158e39p-3, 0x1.facf786a8353bp-4, 0x1.f4627add0a997p-4, 0x1.ee02302c2b138p-4, 0x1.e7aea967107e9p-4, 0x1.e167f67eb7efp-4, 0x1.db2e264a7e2cfp-4, 0x1.d501468cb6ddp-4, 0x1.cee163f733d39p-4, 0x1.c8ce8a2fe3468p-4, 0x1.c2c8c3d55c67ap-4, 0x1.bcd01a83784f7p-4, 0x1.b6e496d7d78dep-4, 0x1.b106407685a37p-4, 0x1.ab351e0e7403ep-4, 0x1.a571355e1a0a7p-4, 0x1.9fba8b37eab55p-4, 0x1.9a112386ebce4p-4, 0x1.9475015331478p-4, 0x1.8ee626c658c53p-4, 0x1.8964953009334p-4, 0x1.83f04d0a64fc5p-4, 0x1.7e894dfe7a7e1p-4, 0x1.792f96e8ac0c5p-4, 0x1.73e325dd14c8ep-4, 0x1.6ea3f82be8bbfp-4, 0x1.69720a65c381bp-4, 0x1.644d5860001dbp-4, 0x1.5f35dd38fb581p-4, 0x1.5a2b935c5728ep-4, 0x1.552e74872ea82p-4, 0x1.503e79cc4bed8p-4, 0x1.4b5b9b98495a7p-4, 0x1.4685d1b5b33eep-4, 0x1.41bd13511d2cdp-4, 0x1.3d0156fd2c915p-4, 0x1.385292b69eb9fp-4, 0x1.33b0bbe83c07ep-4, 0x1.2f1bc76ecac8dp-4, 0x1.2a93a99cf6192p-4, 0x1.2618563f243d1p-4, 0x1.21a9c09f47df9p-4, 0x1.1d47db88a6c31p-4, 0x1.18f2994b944f1p-4, 0x1.14a9ebc122f73p-4, 0x1.106dc44ec4bf8p-4, 0x1.0c3e13e9e949cp-4, 0x1.081acb1b8ad28p-4, 0x1.0403da03b1db4p-4, 0x1.fff260b9d6912p-5, 0x1.f7f57aff6e942p-5, 0x1.f010e0cbd3509p-5, 0x1.e8446f5bf52e8p-5, 0x1.e090033caa7f8p-5, 0x1.d8f3785124cfp-5, 0x1.d16ea9d9527e9p-5, 0x1.ca0172782eca7p-5, 0x1.c2abac39f16f8p-5, 0x1.bb6d309a2ed6ap-5, 0x1.b445d889d2992p-5, 0x1.ad357c7512fd1p-5, 0x1.a63bf44941f5cp-5, 0x1.9f59177a8c8cbp-5, 0x1.988cbd0994a51p-5, 0x1.91d6bb890469dp-5, 0x1.8b36e92302112p-5, 0x1.84ad1b9e87d49p-5, 0x1.7e392864a834ap-5, 0x1.77dae485be2eep-5, 0x1.719224be7c06ap-5, 0x1.6b5ebd7ce81c2p-5, 0x1.654082e548e0bp-5, 0x1.5f3748d6e6ebap-5, 0x1.5942e2f0d01dfp-5, 0x1.5363249669296p-5, 0x1.4d97e0f3ffcc2p-5, 0x1.47e0eb033549fp-5, 0x1.423e158f5b86cp-5, 0x1.3caf3339b655ap-5, 0x1.3734167da5e9p-5, 0x1.31cc91b4c3e41p-5, 0x1.2c78771ad9042p-5, 0x1.273798d1cb0c9p-5, 0x1.2209c8e577b2cp-5, 0x1.1ceed94f65ab6p-5, 0x1.17e69bfa728d3p-5, 0x1.12f0e2c66a891p-5, 0x1.0e0d7f8b7c3f2p-5, 0x1.093c441daa1cep-5, 0x1.047d025018e67p-5, 0x1.ff9f17f09ef18p-6, 0x1.f66765e2c9347p-6, 0x1.ed52923e214a7p-6, 0x1.e46040e169fe1p-6, 0x1.db9015c88ed11p-6, 0x1.d2e1b5125c5c5p-6, 0x1.ca54c3061363dp-6, 0x1.c1e8e418d0497p-6, 0x1.b99dbcf2cd34dp-6, 0x1.b172f274810b4p-6, 0x1.a96829bb99d0ap-6, 0x1.a17d0827da2e4p-6, 0x1.99b1335fbbddap-6, 0x1.920451550d26p-6, 0x1.8a7608494f059p-6, 0x1.8305fed20ae81p-6, 0x1.7bb3dbdcf17afp-6, 0x1.747f46b3dd5b6p-6, 0x1.6d67e700c3787p-6, 0x1.666d64d170cb4p-6, 0x1.5f8f689b1ff29p-6, 0x1.58cd9b3e276fcp-6, 0x1.5227a6092500cp-6, 0x1.4b9d32bc7715fp-6, 0x1.452deb8d503f5p-6, 0x1.3ed97b28b9b66p-6, 0x1.389f8cb695e76p-6, 0x1.327fcbdc60d5fp-6, 0x1.2c79e4bff6d5fp-6, 0x1.268d840a19d41p-6, 0x1.20ba56e8fda6ep-6, 0x1.1b000b12aa27fp-6, 0x1.155e4ec74bb4dp-6, 0x1.0fd4d0d349489p-6, 0x1.0a6340917d0ffp-6, 0x1.05094ded15bcp-6, 0x1.ff8d52c722531p-7, 0x1.f536080cfd7bp-7, 0x1.eb0c1efa71365p-7, 0x1.e10efc0cfe98ap-7, 0x1.d73e04f41b57fp-7, 0x1.cd98a093f8863p-7, 0x1.c41e37084679cp-7, 0x1.bace31a6e2323p-7, 0x1.b1a7fb020f548p-7, 0x1.a8aafeead98fep-7, 0x1.9fd6aa7304032p-7, 0x1.972a6bef368eep-7, 0x1.8ea5b2f87599fp-7, 0x1.8647f06e20f29p-7, 0x1.7e1096771b5a4p-7, 0x1.75ff188364121p-7, 0x1.6e12eb4d46d85p-7, 0x1.664b84da5aa55p-7, 0x1.5ea85c7c914a5p-7, 0x1.5728ead307bcbp-7, 0x1.4fcca9cab8d1fp-7, 0x1.4893149f19784p-7, 0x1.417ba7da907a9p-7, 0x1.3a85e156d7308p-7, 0x1.33b1403d4a6afp-7, 0x1.2cfd4506e6cb5p-7, 0x1.2669717c7c22p-7, 0x1.1ff548b69220cp-7, 0x1.19a04f1d26595p-7, 0x1.136a0a6794e09p-7, 0x1.0d52019c1b30dp-7, 0x1.0757bd0f80101p-7, 0x1.017ac664767f7p-7, 0x1.f775511611aa5p-8, 0x1.ec2ddf7fbccc5p-8, 0x1.e11e53170a419p-8, 0x1.d645c982e0486p-8, 0x1.cba362fe7f555p-8, 0x1.c136425706813p-8, 0x1.b6fd8ce988ec6p-8, 0x1.acf86aa09d277p-8, 0x1.a32605f2120adp-8, 0x1.99858bdc578fp-8, 0x1.90162be385b1p-8, 0x1.86d7180ee6814p-8, 0x1.7dc784e5c3e46p-8, 0x1.74e6a96c9ca0dp-8, 0x1.6c33bf21926bdp-8, 0x1.63ae01f9b9fcap-8, 0x1.5b54b05d22a4ap-8, 0x1.53270b23c7cf3p-8, 0x1.4b245591e3c0fp-8, 0x1.434bd5544d51bp-8, 0x1.3b9cd27c926p-8, 0x1.3416977d899ddp-8, 0x1.2cb8712704069p-8, 0x1.2581aea227385p-8, 0x1.1e71a16d3cc03p-8, 0x1.17879d577c0dfp-8, 0x1.10c2f87d3e84cp-8, 0x1.0a230b433c222p-8, 0x1.03a73052bac5cp-8, 0x1.fa9d8929e08f9p-9, 0x1.ee324e5d9ba93p-9, 0x1.e20b72f85d908p-9, 0x1.d627be17f2a7fp-9, 0x1.ca85fb35a2703p-9, 0x1.bf24fa1e580dep-9, 0x1.b4038ee88277p-9, 0x1.a92091eb682cbp-9, 0x1.9e7adfb54164ep-9, 0x1.9411590204a82p-9, 0x1.89e2e2b1e64ffp-9, 0x1.7fee65bfb75eap-9, 0x1.7632cf3763ddp-9, 0x1.6caf102c37ccdp-9, 0x1.63621daf33de4p-9, 0x1.5a4af0c564f63p-9, 0x1.5168865defb47p-9, 0x1.48b9df48ac18p-9, 0x1.403e002bf0484p-9, 0x1.37f3f17ae6faep-9, 0x1.2fdabf6be3093p-9, 0x1.27f179ee3ccd2p-9, 0x1.203734a0a5b69p-9, 0x1.18ab06c740346p-9, 0x1.114c0b41c1bfcp-9, 0x1.0a196081a9bb5p-9, 0x1.0312288043f82p-9, 0x1.f86b1169ac05dp-10, 0x1.eb055416085a2p-10, 0x1.ddf171b11263fp-10, 0x1.d12dc9a802495p-10, 0x1.c4b8c214fc5c5p-10, 0x1.b890c7acdac0ep-10, 0x1.acb44daa5148p-10, 0x1.a121cdbb91ee9p-10, 0x1.95d7c7eee5647p-10, 0x1.8ad4c29e63868p-10, 0x1.80174a5dd80a4p-10, 0x1.759df1e700f2ap-10, 0x1.6b675206b6152p-10, 0x1.617209897e40ap-10, 0x1.57bcbd2966661p-10, 0x1.4e46177a7f1abp-10, 0x1.450cc8d84b0b3p-10, 0x1.3c0f875391a3cp-10, 0x1.334d0e9ef9d7dp-10, 0x1.2ac41ffd37fdp-10, 0x1.2273822ec9eep-10, 0x1.1a5a015f3ab56p-10, 0x1.12766f133f847p-10, 0x1.0ac7a2175083ep-10, 0x1.034c766c5a59ep-10, 0x1.f8079a6f18c09p-11, 0x1.e9d9195f37f1ap-11, 0x1.dc0b4017389abp-11, 0x1.ce9beee390351p-11, 0x1.c1890fcc0088cp-11, 0x1.b4d09670b1a83p-11, 0x1.a8707fe973d71p-11, 0x1.9c66d2a327a96p-11, 0x1.90b19e3e51d97p-11, 0x1.854efb6ddb06ep-11, 0x1.7a3d0bd65537dp-11, 0x1.6f79f9ed4687p-11, 0x1.6503f8d7f21fp-11, 0x1.5ad9444d23182p-11, 0x1.50f82072725dcp-11, 0x1.475ed9bf69d97p-11, 0x1.3e0bc4dcff8bbp-11, 0x1.34fd3e8607707p-11, 0x1.2c31ab6a601fep-11, 0x1.23a7780e54749p-11, 0x1.1b5d18ae223ecp-11, 0x1.1351091eeddcfp-11, 0x1.0b81ccb26c497p-11, 0x1.03edee1897adbp-11, 0x1.f927fe870a3dfp-12, 0x1.eae532948ddfbp-12, 0x1.dd10b8997a0a3p-12, 0x1.cfa7deaea40e1p-12, 0x1.c2a8008f05923p-12, 0x1.b60e8760cefc4p-12, 0x1.a9d8e97dd0117p-12, 0x1.9e04aa410c31ap-12, 0x1.928f59cd1e67bp-12, 0x1.877694daa9deap-12, 0x1.7cb8048383525p-12, 0x1.72515e0f8dfeep-12, 0x1.684062c168d3ap-12, 0x1.5e82dfa57de2fp-12, 0x1.5516ad5e90f4cp-12, 0x1.4bf9aff643693p-12, 0x1.4329d6ac7037dp-12, 0x1.3aa51bc63aebep-12, 0x1.3269846074f62p-12, 0x1.2a75203eafcffp-12, 0x1.22c609a02ad1fp-12, 0x1.1b5a650fed405p-12, 0x1.14306138251c5p-12, 0x1.0d4636b6206f3p-12, 0x1.069a27ee79051p-12, 0x1.002a80e27f038p-12, 0x1.f3eb2e0796246p-13, 0x1.e7f39217b5fb5p-13, 0x1.dc6afda232725p-13, 0x1.d14e523c9ba4dp-13, 0x1.c69a8315b24f4p-13, 0x1.bc4c94a2ce825p-13, 0x1.b2619c522df0ap-13, 0x1.a8d6c03fddaabp-13, 0x1.9fa936e2e8fap-13, 0x1.96d646c75c41fp-13, 0x1.8e5b46411c363p-13, 0x1.86359b22a877cp-13, 0x1.7e62ba73b3dcep-13, 0x1.76e0282c8f9bcp-13, 0x1.6fab76ebc029ep-13, 0x1.68c247b33dad8p-13, 0x1.622249a251f09p-13, 0x1.5bc939b3d9869p-13, 0x1.55b4e2795798bp-13, 0x1.4fe31bdc13547p-13, 0x1.4a51cad9eefabp-13, 0x1.44fee14867311p-13, 0x1.3fe85d9347724p-13, 0x1.3b0c4a8051cf1p-13, 0x1.3668bef32a3c7p-13, 0x1.31fbddae6be76p-13, 0x1.2dc3d51cd0c8ap-13, 0x1.29bedf1401394p-13, 0x1.25eb409c237fap-13, 0x1.224749b9323ap-13, 0x1.1ed1552ff4fdap-13, 0x1.1b87c853ddfaep-13, 0x1.186912ccdf49cp-13, 0x1.1573ae66c4a8dp-13, 0x1.12a61ed9eefabp-13, 0x1.0ffef19a002e9p-13, 0x1.0d7cbda260d0ep-13, 0x1.0b1e234561f25p-13, 0x1.08e1cbfb97cd1p-13, 0x1.06c66a32c2061p-13, 0x1.04cab91f911dfp-13, 0x1.02ed7c9010b6fp-13, 0x1.012d80bb9e0d2p-13, 0x1.ff133431a14d2p-14, 0x1.fc014a5d684fap-14, 0x1.f9230cd6fe8edp-14, 0x1.f67653f13537p-14, 0x1.f3f907233636dp-14, 0x1.f1a91cb2599dbp-14, 0x1.ef849968e66bdp-14, 0x1.ed89903c242bap-14, 0x1.ebb62206b617fp-14, 0x1.ea087d3624094p-14, 0x1.e87edd831afa8p-14, 0x1.e7178ba2e8921p-14, 0x1.e5d0dd0372cf6p-14, 0x1.e4a9337f962b2p-14, 0x1.e39efd1b4fb5cp-14, 0x1.e2b0b3bb6f4c2p-14, 0x1.e1dcdce50afbfp-14, 0x1.e12209799ab9p-14, 0x1.e07ed57342e8fp-14, 0x1.dff1e7a7f254bp-14, 0x1.df79f188d58c8p-14, 0x1.df15aee2b0e25p-14, 0x1.dec3e5a44b3aep-14, 0x1.de83659e9ccbdp-14, 0x1.de53084edd44fp-14, 0x1.de31b09e891f9p-14, 0x1.de1e4ab2caad2p-14, 0x1.de17cbae80cf7p-14, 0x1.de1d317f33538p-14, 0x1.de2d82a6725dep-14, 0x1.de47ce0631a6p-14, 0x1.de6b2aac7c296p-14, 0x1.de96b7a1d637ep-14, 0x1.dec99bb72fcefp-14, 0x1.df0305563d409p-14, 0x1.df422a5157267p-14, 0x1.df8647b57fc71p-14, 0x1.dfcea19b9b1c4p-14, 0x1.e01a82fc19c14p-14, 0x1.e0693d838a764p-14, 0x1.e0ba29671f072p-14, 0x1.e10ca53a5e0a7p-14, 0x1.e16015c593931p-14, 0x1.e1b3e5ddc5321p-14, 0x1.e207863e8c5bap-14, 0x1.e25a6d5ea0b5ap-14, 0x1.e2ac174e57702p-14, 0x1.e2fc059021fcbp-14, 0x1.e349bef3f4c49p-14, 0x1.e394cf73796ecp-14, 0x1.e3dcc81020552p-14, 0x1.e4213eaf68688p-14, 0x1.e461cdf9ba68bp-14, 0x1.e49e15397bf44p-14, 0x1.e4d5b83ac6877p-14, 0x1.e5085f2afc4p-14, 0x1.e535b67bb9b86p-14, 0x1.e55d6ec21620cp-14, 0x1.e57f3c9b9f85p-14, 0x1.e59ad88f83169p-14, 0x1.e5affef320f66p-14, 0x1.e5be6fcd5f571p-14, 0x1.e5c5eebca4c34p-14, 0x1.e5c642db59e3cp-14, 0x1.e5bf36a667479p-14, 0x1.e5b097e3aa29ep-14, 0x1.e59a3788980e3p-14, 0x1.e57be9a3e8fb7p-14, 0x1.e55585433415ap-14, 0x1.e526e45d4c303p-14, 0x1.e4efe3bad837ap-14, 0x1.e4b062e0f4381p-14, 0x1.e46843fad0c96p-14, 0x1.e4176bc404d2ap-14, 0x1.e3bdc17570d4p-14, 0x1.e35b2eaf9444fp-14, 0x1.e2ef9f677d7a5p-14, 0x1.e27b01d2e32d6p-14, 0x1.e1fd465620cc9p-14, 0x1.e1765f70fb256p-14, 0x1.e0e641acbd21fp-14, 0x1.e04ce38b7bf6p-14, 0x1.dfaa3d75a7593p-14, 0x1.defe49aacf364p-14, 0x1.de49042fed71bp-14, 0x1.dd8a6ac0469e4p-14, 0x1.dcc27cbd624fp-14, 0x1.dbf13b201c6fap-14, 0x1.db16a86a19b0ap-14, 0x1.da32c896d1ab5p-14, 0x1.d945a10da9096p-14, 0x1.d84f38941db0ep-14, 0x1.d74f9740e621bp-14, 0x1.d646c66e8d516p-14, 0x1.d534d0ae81d28p-14, 0x1.d419c1bc9a135p-14, 0x1.d2f5a673deac3p-14, 0x1.d1c88cc1b0f1cp-14, 0x1.d092839ae2b9bp-14, 0x1.cf539af050056p-14, 0x1.ce0be3a45f427p-14, 0x1.ccbb6f8013a82p-14, 0x1.cb625128e2223p-14, 0x1.ca009c163ffb3p-14, 0x1.c8966488bdd7p-14, 0x1.c723bf7f3515dp-14, 0x1.c5a8c2af08713p-14, 0x1.c4258479bba8p-14, 0x1.c29a1be50aaccp-14, 0x1.c106a09294bdep-14, 0x1.bf6b2ab6e1c2dp-14, 0x1.bdc7d311c8bdcp-14, 0x1.bc1cb2e65f589p-14, 0x1.ba69e3f3adccdp-14, 0x1.b8af806ccb79dp-14, 0x1.b6eda2f2555afp-14, 0x1.b524668aebe4ep-14, 0x1.b353e69ccbb62p-14, 0x1.b17c3ee718d14p-14, 0x1.af9d8b7b7ae7cp-14, 0x1.adb7e8b837bf1p-14, 0x1.abcb7341876c5p-14, 0x1.a9d847fc6a13p-14, 0x1.a7de8408c2494p-14, 0x1.a5de44bc119e2p-14, 0x1.a3d7a79bd7728p-14, 0x1.a1caca5893643p-14, 0x1.9fb7cac91672ap-14, 0x1.9d9ec6e540c73p-14, 0x1.9b7fdcc186311p-14, 0x1.995b2a8ad1ec6p-14, 0x1.9730ce8184baep-14, 0x1.9500e6f566001p-14, 0x1.92cb9241e7e8cp-14, 0x1.9090eeca06278p-14, 0x1.8e511af457218p-14, 0x1.8c0c35278afeap-14, 0x1.89c25bc6cecd8p-14, 0x1.8773ad2e97f52p-14, 0x1.852047b1167afp-14, 0x1.82c8499305adbp-14, 0x1.806bd108a868fp-14, 0x1.7e0afc32cc30cp-14, 0x1.7ba5e91c2d94dp-14, 0x1.793cb5b665ae1p-14, 0x1.76cf7fd788b14p-14, 0x1.745e653782c15p-14, 0x1.71e9836dccaap-14, 0x1.6f70f7eeba76ep-14, 0x1.6cf4e009adebfp-14, 0x1.6a7558e6bca91p-14, 0x1.67f27f84871f5p-14, 0x1.656c70b6863d3p-14, 0x1.62e34922f7d3dp-14, 0x1.60572540fd6cbp-14, 0x1.5dc821571dd7bp-14, 0x1.5b365979b84fbp-14, 0x1.58a1e9890d55ep-14, 0x1.560aed2fda02bp-14, 0x1.53717fe22c436p-14, 0x1.50d5bcdbe21p-14, 0x1.4e37bf1f607a7p-14, 0x1.4b97a17456728p-14, 0x1.48f57e66bdde6p-14, 0x1.465170457e7c8p-14, 0x1.43ab9121b2e5ep-14, 0x1.4103facd6af66p-14, 0x1.3e5ac6db27eefp-14, 0x1.3bb00e9c9cb46p-14, 0x1.3903eb220503cp-14, 0x1.3656753936371p-14, 0x1.33a7c56d8dfa6p-14, 0x1.30f7f406c2645p-14, 0x1.2e47190838161p-14, 0x1.2b954c30b6ee8p-14, 0x1.28e2a4f9e79d7p-14, 0x1.262f3a97db7cp-14, 0x1.237b23f87ccafp-14, 0x1.20c677c340e0ap-14, 0x1.1e114c58ef69dp-14, 0x1.1b5bb7d34122cp-14, 0x1.18a5d0049ea0ep-14, 0x1.15efaa77cfcc9p-14, 0x1.13395c700033ep-14, 0x1.1082fae860d37p-14, 0x1.0dcc9a943313bp-14, 0x1.0b164fdeccbf5p-14, 0x1.08602eeb3774cp-14, 0x1.05aa4b9455f03p-14, 0x1.02f4b96cf1eabp-14, 0x1.003f8bbfcb3c1p-14, 0x1.fb15ab1edd903p-15, 0x1.f5ad532c91bd1p-15, 0x1.f046348e70189p-15, 0x1.eae0739aaa868p-15, 0x1.e57c3417f9b85p-15, 0x1.e019993e984bdp-15, 0x1.dab8c5b837a04p-15, 0x1.d559dba09c8fbp-15, 0x1.cffcfc86061dep-15, 0x1.caa24969e47eap-15, 0x1.c549e2c109016p-15, 0x1.bff3e874cd805p-15, 0x1.baa079e36348p-15, 0x1.b54fb5e06b21dp-15, 0x1.b001bab551ebfp-15, 0x1.aab6a62312f5ap-15, 0x1.a56e95620308fp-15, 0x1.a029a522c22b4p-15, 0x1.9ae7f18f97a75p-15, 0x1.95a9964cbfdfcp-15, 0x1.906eae79441edp-15, 0x1.8b3754afe6377p-15, 0x1.8603a3086ae78p-15, 0x1.80d3b31810bcfp-15, 0x1.7ba79df2cc0ecp-15, 0x1.767f7c2bf8f86p-15, 0x1.715b65d749806p-15, 0x1.6c3b728a2483dp-15, 0x1.671fb95c7e9b2p-15, 0x1.620850e9d64dbp-15, 0x1.5cf54f5217c5ap-15, 0x1.57e6ca3aca5f3p-15, 0x1.52dcd6d02785fp-15, 0x1.4dd789c624f52p-15, 0x1.48d6f759770bbp-15, 0x1.43db33510d42dp-15, 0x1.3ee450fe9552ep-15, 0x1.39f2633fc539ep-15, 0x1.35057c7f9ace7p-15, 0x1.301daeb7aa753p-15, 0x1.2b3b0b70f189p-15, 0x1.265da3c51c6abp-15, 0x1.2185885f56c02p-15, 0x1.1cb2c97de9105p-15, 0x1.17e576f348c81p-15, 0x1.131da02704936p-15, 0x1.0e5b54174f998p-15, 0x1.099ea1597a8bdp-15, 0x1.04e7961bb20b5p-15, 0x1.003640262e053p-15, 0x1.f71559b84295p-16, 0x1.edc9d279da7f7p-16, 0x1.e48a03ca814d8p-16, 0x1.db560620ac3aep-16, 0x1.d22df13225cfap-16, 0x1.c911dbf699fedp-16, 0x1.c001dca9d3027p-16, 0x1.b6fe08cdbd49ep-16, 0x1.ae06752cc06fep-16, 0x1.a51b35dcaca0bp-16, 0x1.9c3c5e40ca102p-16, 0x1.936a010b9e37dp-16, }}, 
      {{0x1.98421f0ef4962p-8, 0x1.99e161ad80ebcp-7, 0x1.34ce43462b35fp-6, 0x1.9d30af9dfe061p-6, 0x1.029b7e407f4fep-5, 0x1.35ed577279b14p-5, 0x1.6811773359dbfp-5, 0x1.98a1f2c614e27p-5, 0x1.c756a840b035ap-5, 0x1.f406818b50de6p-5, 0x1.0f5274a2435fep-4, 0x1.239e94449ab2p-4, 0x1.36f672b46ca31p-4, 0x1.496f48efcda5ap-4, 0x1.5b222629d2177p-4, 0x1.6c29bc794b492p-4, 0x1.7ca0994655974p-4, 0x1.8c9fcaf8c1182p-4, 0x1.9c3deca5dc4d9p-4, 0x1.ab8e8b7b6da81p-4, 0x1.baa1d75a9186p-4, 0x1.c9848fa6c6dbap-4, 0x1.d8401e114cacep-4, 0x1.e6dad29fe4ceep-4, 0x1.f55835fb1e9afp-4, 0x1.01dcb47a6fc47p-3, 0x1.08fec50569478p-3, 0x1.10110da8d0092p-3, 0x1.1711b254ca154p-3, 0x1.1dfe67aba02b5p-3, 0x1.24d49c8e244c8p-3, 0x1.2b919edd14c54p-3, 0x1.3232bb3433cbep-3, 0x1.38b5579fd4566p-3, 0x1.3f17097956b2cp-3, 0x1.4555a6b5408cfp-3, 0x1.4b6f53011cb6ep-3, 0x1.5162891aa077ap-3, 0x1.572e20ce379cep-3, 0x1.5cd1520b7407cp-3, 0x1.624bb57a49be7p-3, 0x1.679d42f6a29c7p-3, 0x1.6cc64e5074329p-3, 0x1.71c782a69df34p-3, 0x1.76a1dcaa45cb5p-3, 0x1.7b56a4100d2f5p-3, 0x1.7fe7646bff888p-3, 0x1.8455e5ad63526p-3, 0x1.88a42467ecd09p-3, 0x1.8cd44a113162ap-3, 0x1.90e8a552b3384p-3, 0x1.94e3a28b6310cp-3, 0x1.98c7c49635a53p-3, 0x1.9c979de6f905dp-3, 0x1.a055ca0a8f4e7p-3, 0x1.a404e79439089p-3, 0x1.a7a7927e9a8d5p-3, 0x1.ab405f0473799p-3, 0x1.aed1d4f2ef818p-3, 0x1.b25e6b757c689p-3, 0x1.b5e885597e06p-3, 0x1.b9726dc71d221p-3, 0x1.bcfe556b233a8p-3, 0x1.c08e500d47a09p-3, 0x1.c424528d87318p-3, 0x1.c7c23142ae726p-3, 0x1.cb699eb40f39ap-3, 0x1.cf1c2aa7efc03p-3, 0x1.d2db41806a4cfp-3, 0x1.d6a82be040c5dp-3, 0x1.da840e915530ap-3, 0x1.de6feaa69614dp-3, 0x1.e26c9dd35fd3dp-3, 0x1.e67ae2f278fd8p-3, 0x1.ea9b52b73bd99p-3, 0x1.eece64838d6fp-3, 0x1.f3146f5dc2c1bp-3, 0x1.f76dab01c55cdp-3, 0x1.fbda31091225dp-3, 0x1.002cff12ce93bp-2, 0x1.027679b5e8105p-2, 0x1.04c96bd41a1d1p-2, 0x1.0725ac5edce5fp-2, 0x1.098b0684d2aa5p-2, 0x1.0bf93a6559002p-2, 0x1.0e6ffdc47b494p-2, 0x1.10eefcbe4d6d4p-2, 0x1.1375da78bc82bp-2, 0x1.160431d30804p-2, 0x1.1899961233a4cp-2, 0x1.1b359389d3012p-2, 0x1.1dd7b040ae4bap-2, 0x1.207f6c90cef19p-2, 0x1.232c43c2992afp-2, 0x1.25ddaca2a5f0cp-2, 0x1.28931a12273fcp-2, 0x1.2b4bfb91a80ap-2, 0x1.2e07bdc6089cap-2, 0x1.30c5caf7a653dp-2, 0x1.33858b8ba39cbp-2, 0x1.36466677551d6p-2, 0x1.3907c1add553ap-2, 0x1.3bc90287d74bfp-2, 0x1.3e898e25c5315p-2, 0x1.4148c9cc4c946p-2, 0x1.44061b3b741e1p-2, 0x1.46c0e9005d6c3p-2, 0x1.49789ac1de336p-2, 0x1.4c2c99880dab4p-2, 0x1.4edc4fff00541p-2, 0x1.51872ab4cc78dp-2, 0x1.542c9853148fdp-2, 0x1.56cc09d43561cp-2, 0x1.5964f2b450b3dp-2, 0x1.5bf6c91e59d62p-2, 0x1.5e810615571bfp-2, 0x1.61032599fef0ep-2, 0x1.637ca6ccde48bp-2, 0x1.65ed0c0d3546p-2, 0x1.6853db14ae27ep-2, 0x1.6ab09d101cacep-2, 0x1.6d02deb56a6b8p-2, 0x1.6f4a3056d2e03p-2, 0x1.718625f39967fp-2, 0x1.73b6574658d2dp-2, 0x1.75da5fd1110fap-2, 0x1.77f1dee70ce28p-2, 0x1.79fc77b4c7ad8p-2, 0x1.7bf9d145ea285p-2, 0x1.7de996897bf0bp-2, 0x1.7fcb7654684b5p-2, 0x1.819f2362696f4p-2, 0x1.8364545579261p-2, 0x1.851ac3b3d937dp-2, 0x1.86c22fe4cee91p-2, 0x1.885a5b2c1ddaap-2, 0x1.89e30ba461854p-2, 0x1.8b5c0b384dabdp-2, 0x1.8cc5279aef473p-2, 0x1.8e1e323efb8dap-2, 0x1.8f67004d3ab79p-2, 0x1.909f6a9a25616p-2, 0x1.91c74d9ab87e5p-2, 0x1.92de895899d0bp-2, 0x1.93e501658ce66p-2, 0x1.94da9cce4f785p-2, 0x1.95bf460ce355fp-2, 0x1.9692eafa545f7p-2, 0x1.97557cbfffd64p-2, 0x1.9806efc86c68p-2, 0x1.98a73bafba6e6p-2, 0x1.99365b33b7629p-2, 0x1.99b44c2396467p-2, 0x1.9a210f4f5fed5p-2, 0x1.9a7ca877187f9p-2, 0x1.9ac71e39abd2dp-2, 0x1.9b007a039d8p-2, 0x1.9b28c7fd8b3d2p-2, 0x1.9b4016fa856e2p-2, 0x1.9b46786642546p-2, 0x1.9b3c003335884p-2, 0x1.9b20c4c88ed24p-2, 0x1.9af4def024c8ep-2, 0x1.9ab869c456318p-2, 0x1.9a6b829ddea14p-2, 0x1.9a0e4901ab1ccp-2, 0x1.99a0de8eacf66p-2, 0x1.992366ebb73a3p-2, 0x1.989607b55ebd5p-2, 0x1.97f8e86bf02b8p-2, 0x1.974c326170a1fp-2, 0x1.969010a7bap-2, 0x1.95c4affeaa20ep-2, 0x1.94ea3ec276963p-2, 0x1.9400ecda1893cp-2, 0x1.9308eba5dffe8p-2, 0x1.92026dee2b6eap-2, 0x1.90eda7d24917p-2, 0x1.8fcaceb7848ap-2, 0x1.8e9a19385f26cp-2, 0x1.8d5bbf13fcdd2p-2, 0x1.8c0ff91dc2a41p-2, 0x1.8ab7012d28651p-2, 0x1.8951120dc484fp-2, 0x1.87de676f8fb81p-2, 0x1.865f3dd762e4ap-2, 0x1.84d3d28fb4ca4p-2, 0x1.833c639992282p-2, 0x1.81992f9dd8bcfp-2, 0x1.7fea75deb27cdp-2, 0x1.7e30762954f2dp-2, 0x1.7c6b70c8022a3p-2, 0x1.7a9ba6744f85bp-2, 0x1.78c15849b679bp-2, 0x1.76dcc7b8642acp-2, 0x1.74ee36785917ep-2, 0x1.72f5e67ccc7f6p-2, 0x1.70f419e7db68ep-2, 0x1.6ee912fe7e0e9p-2, 0x1.6cd5141ccd50fp-2, 0x1.6ab85faa8cc73p-2, 0x1.6893381002a7bp-2, 0x1.6665dfab1bc6cp-2, 0x1.643098c4d826ap-2, 0x1.61f3a587055fcp-2, 0x1.5faf47f243cdfp-2, 0x1.5d63c1d456105p-2, 0x1.5b1154bebca03p-2, 0x1.58b841fd9d0dp-2, 0x1.5658ca8ef1c97p-2, 0x1.53f32f1a07611p-2, 0x1.5187afe740ec9p-2, 0x1.4f168cd8289cfp-2, 0x1.4ca0055fc785ep-2, 0x1.4a24587b46da7p-2, 0x1.47a3c4aad94b1p-2, 0x1.451e87eaea511p-2, 0x1.4294dfad96ec5p-2, 0x1.400708d469abfp-2, 0x1.3d753faa5ca45p-2, 0x1.3adfbfde2152dp-2, 0x1.3846c47caa09ep-2, 0x1.35aa87ebf5c5dp-2, 0x1.330b43e6209ddp-2, 0x1.30693174b0e63p-2, 0x1.2dc488ec280dcp-2, 0x1.2b1d81e7d02c7p-2, 0x1.28745345c6b3fp-2, 0x1.25c9332346755p-2, 0x1.231c56d92b43fp-2, 0x1.206df2f8afa64p-2, 0x1.1dbe3b4868193p-2, 0x1.1b0d62c16f25p-2, 0x1.185b9b8cd218ep-2, 0x1.15a917012bf49p-2, 0x1.12f605a0797e7p-2, 0x1.10429716213fcp-2, 0x1.0d8efa352a8f1p-2, 0x1.0adb5cf6a9d33p-2, 0x1.0827ec785d261p-2, 0x1.0574d4fb724fep-2, 0x1.02c241e3834a8p-2, 0x1.00105db5b898bp-2, 0x1.fabea43034757p-3, 0x1.f55e8fa215b95p-3, 0x1.f000cd8dd5321p-3, 0x1.eaa5abffc6268p-3, 0x1.e54d7743b3aacp-3, 0x1.dff879e51100fp-3, 0x1.daa6fcaf721b3p-3, 0x1.d55946af4c3dap-3, 0x1.d00f9d32f6d75p-3, 0x1.caca43cbf47b3p-3, 0x1.c5897c5077aap-3, 0x1.c04d86dd244dp-3, 0x1.bb16a1d70c201p-3, 0x1.b5e509eded143p-3, 0x1.b0b8fa1e94a3bp-3, 0x1.ab92abb58d095p-3, 0x1.a6725651e940bp-3, 0x1.a1582fe852ff8p-3, 0x1.9c446cc63939ep-3, 0x1.97373f95336e3p-3, 0x1.9230d95e8d669p-3, 0x1.8d31698ef8cd8p-3, 0x1.88391dfa6abd1p-3, 0x1.834822e01736fp-3, 0x1.7e5ea2ee9430bp-3, 0x1.797cc7481d2c8p-3, 0x1.74a2b786f4b94p-3, 0x1.6fd099c1e137fp-3, 0x1.6b069290cdb0fp-3, 0x1.6644c51177db2p-3, 0x1.618b52ec43f5bp-3, 0x1.5cda5c591c11ap-3, 0x1.583200246a9f2p-3, 0x1.53925bb42855dp-3, 0x1.4efb8b0cfbb39p-3, 0x1.4a6da8d765adfp-3, 0x1.45e8ce65029e4p-3, 0x1.416d13b5d69d3p-3, 0x1.3cfa8f7da7f0fp-3, 0x1.389157295fa45p-3, 0x1.34317ee479f22p-3, 0x1.2fdb199e7f7d7p-3, 0x1.2b8e39107cc68p-3, 0x1.274aedc28c191p-3, 0x1.231147115bf5ep-3, 0x1.1ee15333be479p-3, 0x1.1abb1f4034f4cp-3, 0x1.169eb732865bfp-3, 0x1.128c25f1500dbp-3, 0x1.0e83755398a54p-3, 0x1.0a84ae265fdf2p-3, 0x1.068fd83230717p-3, 0x1.02a4fa40a9faap-3, 0x1.fd88344417a05p-4, 0x1.f5da79656fc76p-4, 0x1.ee40cbc164458p-4, 0x1.e6bb3162319aep-4, 0x1.df49ae8b2d492p-4, 0x1.d7ec45c39a5aep-4, 0x1.d0a2f7e16fd7dp-4, 0x1.c96dc4140a1d3p-4, 0x1.c24ca7eece22cp-4, 0x1.bb3f9f73ad159p-4, 0x1.b446a51dab779p-4, 0x1.ad61b1eb33782p-4, 0x1.a690bd68658a6p-4, 0x1.9fd3bdb94cd5bp-4, 0x1.992aa7a3f3fcp-4, 0x1.92956e9a66dfbp-4, 0x1.8c1404c49871p-4, 0x1.85a65b0a2b48p-4, 0x1.7f4c611c208e2p-4, 0x1.7906057e67989p-4, 0x1.72d3359152975p-4, 0x1.6cb3dd9aecd52p-4, 0x1.66a7e8d0322ecp-4, 0x1.60af415e270bap-4, 0x1.5ac9d072d242bp-4, 0x1.54f77e4614b03p-4, 0x1.4f38322267d0bp-4, 0x1.498bd26d6ecc2p-4, 0x1.43f244b0758e7p-4, 0x1.3e6b6da0c2d7ep-4, 0x1.38f73127cfe91p-4, 0x1.3395726b5d006p-4, 0x1.2e4613d56112ap-4, 0x1.2908f71bdd043p-4, 0x1.23ddfd48874c5p-4, 0x1.1ec506c0592a5p-4, 0x1.19bdf34afac6bp-4, 0x1.14c8a21a04efcp-4, 0x1.0fe4f1d02cabp-4, 0x1.0b12c08843acfp-4, 0x1.0651ebdc1737p-4, 0x1.01a250eb31943p-4, 0x1.fa0798c2ebe15p-5, 0x1.f0ec74fb341f3p-5, 0x1.e7f2ee2efd295p-5, 0x1.df1abb4ccd836p-5, 0x1.d663928e1b72bp-5, 0x1.cdcd29832e54ap-5, 0x1.c557351ec9116p-5, 0x1.bd0169c18cc89p-5, 0x1.b4cb7b45124ecp-5, 0x1.acb51d06d0a62p-5, 0x1.a4be01f2b44d8p-5, 0x1.9ce5dc8d838a9p-5, 0x1.952c5efef81dp-5, 0x1.8d913b1b9ff1bp-5, 0x1.8614226e79eebp-5, 0x1.7eb4c64258564p-5, 0x1.7772d7ab09d11p-5, 0x1.704e078e3b655p-5, 0x1.694606ac26016p-5, 0x1.625a85a7f986ap-5, 0x1.5b8b35101a714p-5, 0x1.54d7c56614e89p-5, 0x1.4e3fe7265e336p-5, 0x1.47c34acfe381ap-5, 0x1.4161a0eb5095fp-5, 0x1.3b1a9a122fba4p-5, 0x1.34ede6f5cb6efp-5, 0x1.2edb3865d8814p-5, 0x1.28e23f56f319cp-5, 0x1.2302ace8db0cbp-5, 0x1.1d3c326c88c25p-5, 0x1.178e816a0bf1p-5, 0x1.11f94ba635e97p-5, 0x1.0c7c432813afap-5, 0x1.07171a3e36d1ep-5, 0x1.01c98383d8f3fp-5, 0x1.f92663cb77988p-6, 0x1.eee7b14dea264p-6, 0x1.e4d656cae9902p-6, 0x1.daf1bc3ce009ap-6, 0x1.d1394a6540602p-6, 0x1.c7ac6ad490439p-6, 0x1.be4a87f24586fp-6, 0x1.b5130d0432c8cp-6, 0x1.ac056635b9b41p-6, 0x1.a321009ea497ap-6, 0x1.9a654a49b12c1p-6, 0x1.91d1b23ad2e02p-6, 0x1.8965a87525a01p-6, 0x1.81209e00ac8aap-6, 0x1.790204efa447cp-6, 0x1.71095063bb563p-6, 0x1.6935f492e2336p-6, 0x1.618766cbeaf5cp-6, 0x1.59fd1d7aea46p-6, 0x1.5296902d51463p-6, 0x1.4b533795c6baep-6, 0x1.44328d8fce3fp-6, 0x1.3d340d2330d5dp-6, 0x1.36573287240cbp-6, 0x1.2f9b7b25484b6p-6, 0x1.2900659c5854fp-6, 0x1.228571c2c94d5p-6, 0x1.1c2a20a90569dp-6, 0x1.15edf49b9f98dp-6, 0x1.0fd0712545b76p-6, 0x1.09d11b10785f6p-6, 0x1.03ef7869203a9p-6, 0x1.fc5620fbe4264p-7, 0x1.f106d7c35e02ep-7, 0x1.e5f028d85cd4fp-7, 0x1.db112a7670488p-7, 0x1.d068f566a3e04p-7, 0x1.c5f6a500878b7p-7, 0x1.bbb9572b25f02p-7, 0x1.b1b02c5d847dcp-7, 0x1.a7da479efaaebp-7, 0x1.9e36ce8734d8fp-7, 0x1.94c4e93def37fp-7, 0x1.8b83c27a83ed8p-7, 0x1.8272878325f9p-7, 0x1.7990682bde42fp-7, 0x1.70dc96d57222fp-7, 0x1.6856486bd5168p-7, 0x1.5ffcb4649d47ep-7, 0x1.57cf14bd15914p-7, 0x1.4fcca5f84875ep-7, 0x1.47f4a71ca45efp-7, 0x1.404659b1b0df3p-7, 0x1.38c101bd57bcep-7, 0x1.3163e5c12b4efp-7, 0x1.2a2e4eb778138p-7, 0x1.231f88102c31dp-7, 0x1.1c36dfad8d05ap-7, 0x1.1573a5e0e264fp-7, 0x1.0ed52d66e5cd2p-7, 0x1.085acb641883p-7, 0x1.0203d760fdb15p-7, 0x1.f79f568c52ec3p-8, 0x1.eb7b46b096df2p-8, 0x1.df9a3c67dfa2fp-8, 0x1.d3faf992c243p-8, 0x1.c89c44b06bdcbp-8, 0x1.bd7ce8d5e7d67p-8, 0x1.b29bb5a50a0b9p-8, 0x1.a7f77f432d57bp-8, 0x1.9d8f1e4fe6dfbp-8, 0x1.93616fdb61881p-8, 0x1.896d555cccd89p-8, 0x1.7fb1b4a89bbcap-8, 0x1.762d77e678ad5p-8, 0x1.6cdf8d874054ap-8, 0x1.63c6e83b09fbp-8, 0x1.5ae27ee6a0683p-8, 0x1.52314c996e735p-8, 0x1.49b25082f7e37p-8, 0x1.41648de84f7f9p-8, 0x1.39470c19a35b1p-8, 0x1.3158d6677e8aep-8, 0x1.2998fc1830dadp-8, 0x1.2206905d12c2fp-8, 0x1.1aa0aa47a50e1p-8, 0x1.136664bee2e22p-8, 0x1.0c56de7459853p-8, 0x1.057139d93fd9bp-8, 0x1.fd693a273ced8p-9, 0x1.f04063e6de9c5p-9, 0x1.e3664bcf3c291p-9, 0x1.d6d953e650ef2p-9, 0x1.ca97e5447e593p-9, 0x1.bea06ffe7b3d8p-9, 0x1.b2f16b0fbf139p-9, 0x1.a789544495574p-9, 0x1.9c66b0245854fp-9, 0x1.918809dbe8315p-9, 0x1.86ebf327e134p-9, 0x1.7c91043ecfd1cp-9, 0x1.7275dbbc4dc6ap-9, 0x1.68991e8ab5c5dp-9, 0x1.5ef977ce6f4d5p-9, 0x1.559598d05afb7p-9, 0x1.4c6c38e88302bp-9, 0x1.437c15694ec85p-9, 0x1.3ac3f18a404aap-9, 0x1.324296534a16bp-9, 0x1.29f6d287d30cfp-9, 0x1.21df7a92200acp-9, 0x1.19fb686ef27f1p-9, 0x1.12497b9905c7ep-9, 0x1.0ac898f497d26p-9, 0x1.0377aabbb241fp-9, 0x1.f8ab40d39f8c9p-10, 0x1.eac2dd508cf2ep-10, 0x1.dd341e74abd61p-10, 0x1.cffd01d3d4e13p-10, 0x1.c31b8ee7ba964p-10, 0x1.b68dd6ea1f929p-10, 0x1.aa51f4ae4109ep-10, 0x1.9e660c7b2db1bp-10, 0x1.92c84be648954p-10, 0x1.8776e9ae205b5p-10, 0x1.7c702595abe09p-10, 0x1.71b2483f9213dp-10, 0x1.673ba30a848b2p-10, 0x1.5d0a8fecf496cp-10, 0x1.531d71523bdfcp-10, 0x1.4972b1f6c5732p-10, 0x1.4008c4c6130d9p-10, 0x1.36de24b840ed5p-10, 0x1.2df154af96061p-10, 0x1.2540df57725d1p-10, 0x1.1ccb5702d26eep-10, 0x1.148f558b7817p-10, 0x1.0c8b7c315dc74p-10, 0x1.04be737aaa6fp-10, 0x1.fa4dd62779638p-11, 0x1.eb87336067c7fp-11, 0x1.dd2679d695433p-11, 0x1.cf293253567cep-11, 0x1.c18cf2f658b04p-11, 0x1.b44f5ef8ae0d2p-11, 0x1.a76e26736231dp-11, 0x1.9ae70623d7a3fp-11, 0x1.8eb7c732d0087p-11, 0x1.82de3efb889fdp-11, 0x1.77584ed33963p-11, 0x1.6c23e3d234429p-11, 0x1.613ef69d21ab7p-11, 0x1.56a78b2ec100ep-11, 0x1.4c5bb0a359a7dp-11, 0x1.42598103c817fp-11, 0x1.389f2111c9c76p-11, 0x1.2f2ac01501bc2p-11, 0x1.25fa97a9141cfp-11, 0x1.1d0ceb8baa1dbp-11, 0x1.1460096b6a038p-11, 0x1.0bf248b83d8e1p-11, 0x1.03c20a7354256p-11, 0x1.f79b720251636p-12, 0x1.e8278ff40a146p-12, 0x1.d92567fce5a42p-12, 0x1.ca9205117d6a5p-12, 0x1.bc6a8383d918ep-12, 0x1.aeac10ac6dbb5p-12, 0x1.a153ea93ff3e5p-12, 0x1.945f5f9fc606fp-12, 0x1.87cbce3ef59fcp-12, 0x1.7b96a498a4392p-12, 0x1.6fbd603bfc882p-12, 0x1.643d8dd1076afp-12, 0x1.5914c8cab9cf8p-12, 0x1.4e40bb1b8a384p-12, 0x1.43bf1ce820c4p-12, 0x1.398db43f877cap-12, 0x1.2faa54d0ef665p-12, 0x1.2612dfa4e92aep-12, 0x1.1cc542d5cd401p-12, 0x1.13bf794c39cafp-12, 0x1.0aff8a7948d7fp-12, 0x1.02838a14a06ap-12, 0x1.f4932fb46cda1p-13, 0x1.e49fbe9404812p-13, 0x1.d5292ecfc41a6p-13, 0x1.c62c04fadc4aap-13, 0x1.b7a4dbb92b6b5p-13, 0x1.a9906345ea03dp-13, 0x1.9beb60fed494ap-13, 0x1.8eb2aeed4bde7p-13, 0x1.81e33b567f7fbp-13, 0x1.757a084882a47p-13, 0x1.69742b2e436b5p-13, 0x1.5dcecc615dc0dp-13, 0x1.528726c145853p-13, 0x1.479a874960ae9p-13, 0x1.3d064cabbaa8p-13, 0x1.32c7e6eb81a5ep-13, 0x1.28dcd6faf1478p-13, 0x1.1f42ae597a784p-13, 0x1.15f70eb5a446bp-13, 0x1.0cf7a98eadaf6p-13, 0x1.04423fd9a869cp-13, 0x1.f7a9434e20046p-14, 0x1.e7595b96a04dbp-14, 0x1.d790a30e5175ap-14, 0x1.c84b1069b9616p-14, 0x1.b984b5e46ab1dp-14, 0x1.ab39c0a372ecp-14, 0x1.9d667810d7dfap-14, 0x1.90073d41a6457p-14, 0x1.83188a5bbefa4p-14, 0x1.7696f1fd80583p-14, 0x1.6a7f1eab798efp-14, 0x1.5ecdd23fb6bb3p-14, 0x1.537fe55af1949p-14, 0x1.489246da3eb47p-14, 0x1.3e01fb4e70128p-14, 0x1.33cc1c76b4e35p-14, 0x1.29edd8bd54fedp-14, 0x1.206472b8e1d98p-14, 0x1.172d40ad0eaddp-14, 0x1.0e45ac1099dd3p-14, 0x1.05ab3115aecd4p-14, 0x1.fab6bc662c6e7p-15, 0x1.eaa7a7610f216p-15, 0x1.db24866ea60c2p-15, 0x1.cc28dec2b29fdp-15, 0x1.bdb0569e8e4fep-15, 0x1.afb6b4797a477p-15, 0x1.a237de32bfc3fp-15, 0x1.952fd8476335bp-15, 0x1.889ac50b45097p-15, 0x1.7c74e3e45d138p-15, 0x1.70ba9090c1074p-15, 0x1.65684269d8ea1p-15, 0x1.5a7a8bae3028dp-15, 0x1.4fee18d1d14aep-15, 0x1.45bfafcdbc254p-15, 0x1.3bec2f783cbeep-15, 0x1.32708edb951bap-15, 0x1.2949dc96d04e1p-15, 0x1.20753e3b21c01p-15, 0x1.17efefb2f11a8p-15, 0x1.0fb742a95a2f1p-15, 0x1.07c89df46949fp-15, 0x1.00217d0693635p-15, 0x1.f17edebc82e4ap-16, 0x1.e3402ff7c8687p-16, 0x1.d58259b658f38p-16, 0x1.c840ecdd819bep-16, 0x1.bb779e3cafecap-16, 0x1.af22459343aaep-16, 0x1.a33cdc99c938cp-16, 0x1.97c37e0c9fdc9p-16, 0x1.8cb264c891b38p-16, 0x1.8205eadf0067p-16, 0x1.77ba88b857eb9p-16, 0x1.6dccd43a2fc3bp-16, 0x1.64397ff24740cp-16, 0x1.5afd5a43c8b64p-16, 0x1.52154c9c9a3e8p-16, 0x1.497e5ab0dd99dp-16, 0x1.4135a1b770949p-16, 0x1.393857af4d66fp-16, 0x1.3183caa4ea5c3p-16, 0x1.2a156000bf593p-16, 0x1.22ea93d692fc2p-16, 0x1.1c00f83b93352p-16, 0x1.1556349eda48fp-16, 0x1.0ee805285788bp-16, 0x1.08b43a1879276p-16, 0x1.02b8b73243cabp-16, 0x1.f9e6e63f6de2dp-17, 0x1.eec4edc38d0b6p-17, 0x1.e407ba82059fdp-17, 0x1.d9aba4855ea43p-17, 0x1.cfad254382274p-17, 0x1.c608d6951e794p-17, 0x1.bcbb71b35e1fep-17, 0x1.b3c1ce3b6668bp-17, 0x1.ab18e1401fa0fp-17, 0x1.a2bdbc575407p-17, 0x1.9aad8cb5cb147p-17, 0x1.92e59a4ccba1p-17, 0x1.8b6346f047f44p-17, 0x1.84240d8053792p-17, 0x1.7d2581186d7a9p-17, 0x1.76654c49ea257p-17, 0x1.6fe130525c541p-17, 0x1.699704606a22cp-17, 0x1.6384b4da43745p-17, 0x1.5da842a61982cp-17, 0x1.57ffc27cd3e53p-17, 0x1.52895c3d2623bp-17, 0x1.4d434a48e737ep-17, 0x1.482bd8df7aa4dp-17, 0x1.43416584d3b9p-17, 0x1.3e825e677901bp-17, 0x1.39ed41cceb053p-17, 0x1.35809d810e4b1p-17, 0x1.313b0e4b65615p-17, 0x1.2d1b3f66a0621p-17, 0x1.291fe9fd59535p-17, 0x1.2547d4aa6ec1p-17, 0x1.2191d2fe8c57dp-17, 0x1.1dfcc50436bfbp-17, 0x1.1a8796cdc411ap-17, 0x1.17314003379f7p-17, 0x1.13f8c372c98f8p-17, 0x1.10dd2ea834767p-17, 0x1.0ddd99850e909p-17, 0x1.0af925dbfc7dcp-17, 0x1.082eff0fa9211p-17, 0x1.057e59b4674fdp-17, 0x1.02e673339fa8fp-17, 0x1.00669176fe2bdp-17, 0x1.fbfc051c25601p-18, 0x1.f75838bced2d9p-18, 0x1.f2e078a4f4b07p-18, 0x1.ee938e19c7a13p-18, 0x1.ea70503457ebp-18, 0x1.e675a3547e8e5p-18, 0x1.e2a278933fbf4p-18, 0x1.def5cd37a685dp-18, 0x1.db6eaa354d217p-18, 0x1.d80c23ae68203p-18, 0x1.d4cd5873e89fep-18, 0x1.d1b17192084bbp-18, 0x1.ceb7a1da3a638p-18, 0x1.cbdf25760f53dp-18, 0x1.c927417a1fcc9p-18, 0x1.c68f437ecc963p-18, 0x1.c416813c7593ap-18, 0x1.c1bc582c108ap-18, 0x1.bf802d27341e3p-18, 0x1.bd616c0f9499dp-18, 0x1.bb5f877669a0cp-18, 0x1.b979f84bd66p-18, 0x1.b7b03d8bc732ap-18, 0x1.b601dbf0ed3bep-18, 0x1.b46e5daa92f01p-18, 0x1.b2f552163ffd3p-18, 0x1.b1964d768b783p-18, 0x1.b050e8b1c13eap-18, 0x1.af24c112c2e7p-18, 0x1.ae11780b3677p-18, 0x1.ad16b2f5951b5p-18, 0x1.ac341ae1c5b9ap-18, 0x1.ab695c5abb55p-18, 0x1.aab627302e0adp-18, 0x1.aa1a2e47b9735p-18, 0x1.a995276bafe14p-18, 0x1.a926cb1a4e7acp-18, 0x1.a8ced45c7d9d3p-18, 0x1.a88d009a12d3ap-18, 0x1.a8610f70831bbp-18, 0x1.a84ac28e86352p-18, 0x1.a849dd8b78b8cp-18, 0x1.a85e25c4b943cp-18, 0x1.a887623bd2db4p-18, 0x1.a8c55b7845af2p-18, 0x1.a917db652a994p-18, 0x1.a97ead345c623p-18, 0x1.a9f99d43ae2dp-18, 0x1.aa887902d249ap-18, 0x1.ab2b0ed8c7adfp-18, 0x1.abe12e08d99eep-18, 0x1.acaaa6a0c8f77p-18, 0x1.ad87495f1b519p-18, 0x1.ae76e7a0347fep-18, 0x1.af79534a6896cp-18, 0x1.b08e5ebc6dd5bp-18, 0x1.b1b5dcbaec04p-18, 0x1.b2efa05ec28bp-18, 0x1.b43b7d07f0572p-18, 0x1.b599464de88afp-18, 0x1.b708cff0d4fbbp-18, 0x1.b889edcccfa4cp-18, 0x1.ba1c73cf620aap-18, 0x1.bbc035ed0e20fp-18, 0x1.bd7508140bcd4p-18, 0x1.bf3abe2385e4dp-18, 0x1.c1112be215c36p-18, 0x1.c2f824f694185p-18, 0x1.c4ef7cdfe03e2p-18, 0x1.c6f706ec80a8ep-18, 0x1.c90e96369826cp-18, 0x1.cb35fd9adf6bep-18, 0x1.cd6d0fb67f6a3p-18, 0x1.cfb39edf4a396p-18, 0x1.d2097d20a42f6p-18, 0x1.d46e7c3762ef3p-18, 0x1.d6e26d8ed9abep-18, 0x1.d965223d864dp-18, 0x1.dbf66b02142eap-18, 0x1.de961841b21fdp-18, 0x1.e143fa0679f68p-18, 0x1.e3ffdffd9ec81p-18, 0x1.e6c999768b839p-18, 0x1.e9a0f5622019ep-18, 0x1.ec85c25193dadp-18, 0x1.ef77ce77c588cp-18, 0x1.f276e7a75f308p-18, 0x1.f582db553653dp-18, 0x1.f89b76997d25dp-18, 0x1.fbc0862dd88d3p-18, 0x1.fef1d67163f88p-18, 0x1.011799b436f6p-17, 0x1.02bc345f16319p-17, 0x1.0466a0e400577p-17, 0x1.0616c4c2b4176p-17, 0x1.07cc8551c74acp-17, 0x1.0987c7bf63e3cp-17, 0x1.0b48711343119p-17, 0x1.0d0e662f399edp-17, 0x1.0ed98bd086008p-17, 0x1.10a9c6914ccccp-17, 0x1.127efaeabaed6p-17, 0x1.14590d3588c4cp-17, 0x1.1637e1acaf847p-17, 0x1.181b5c6e50e9ep-17, 0x1.1a03617d6e81fp-17, 0x1.1befd4c3c10f3p-17, 0x1.1de09a13482bcp-17, 0x1.1fd5952851889p-17, 0x1.21cea9ab2a233p-17, 0x1.23cbbb3193f66p-17, 0x1.25ccad4118bdep-17, 0x1.27d1635071f63p-17, 0x1.29d9c0c9a1b0cp-17, 0x1.2be5a90c29184p-17, 0x1.2df4ff6e44a11p-17, 0x1.3007a73ee4955p-17, 0x1.321d83c7e296cp-17, 0x1.3436784fda9b7p-17, 0x1.3652681bc1e8dp-17, 0x1.38713671253b6p-17, 0x1.3a92c69793f23p-17, 0x1.3cb6fbdacdc8dp-17, 0x1.3eddb98d0d63cp-17, 0x1.4106e30826f5bp-17, 0x1.43325baf9183p-17, 0x1.456006f239186p-17, 0x1.478fc84cb18fep-17, 0x1.49c1834a5b8d6p-17, 0x1.4bf51b877bbcfp-17, 0x1.4e2a74b34518ep-17, 0x1.506172915789dp-17, 0x1.5299f8fb6954ap-17, 0x1.54d3ebe312657p-17, 0x1.570f2f534c616p-17, 0x1.594ba77274218p-17, 0x1.5b893883a9576p-17, 0x1.5dc7c6e81b74bp-17, 0x1.600737216cb7fp-17, 0x1.62476dd28605ap-17, 0x1.64884fc179b17p-17, 0x1.66c9c1d8c931cp-17, 0x1.690ba929397f4p-17, 0x1.6b4deaeae4e6ap-17, 0x1.6d906c7e7dda2p-17, 0x1.6fd3136f2ed8ap-17, 0x1.7215c573d60a8p-17, 0x1.7458687019f51p-17, 0x1.769ae275bab58p-17, 0x1.78dd19c6327eep-17, 0x1.7b1ef4d370f3ap-17, 0x1.7d605a419b587p-17, 0x1.7fa130e7929b4p-17, 0x1.81e15fd0741cap-17, 0x1.8420ce3cc11fap-17, 0x1.865f63a353c8ap-17, 0x1.889d07b25b51p-17, 0x1.8ad9a250722b7p-17, 0x1.8d151b9d7d64fp-17, 0x1.8f4f5bf3cb6edp-17, 0x1.91884be8d6ad1p-17, 0x1.93bfd44e615e1p-17, 0x1.95f5de3323fc7p-17, 0x1.982a52e35909p-17, 0x1.9a5d1bea23e41p-17, 0x1.9c8e2311de9f9p-17, 0x1.9ebd5264a1773p-17, 0x1.a0ea942db8128p-17, 0x1.a315d2f9ae7d2p-17, 0x1.a53ef99726715p-17, 0x1.a765f317436e1p-17, 0x1.a98aaacec8102p-17, 0x1.abad0c5609199p-17, 0x1.adcd03897f006p-17, 0x1.afea7c8a870b9p-17, 0x1.b20563bfcb168p-17, 0x1.b41da5d5a390ap-17, 0x1.b6332fbe936dap-17, 0x1.b845eeb376438p-17, 0x1.ba55d0342d3acp-17, 0x1.bc62c207aa95cp-17, 0x1.be6cb23c5f38p-17, 0x1.c0738f28479e5p-17, 0x1.c27747697074dp-17, 0x1.c477c9e65b78cp-17, 0x1.c67505cdabe1cp-17, 0x1.c86eea96983c2p-17, 0x1.ca6568012e247p-17, 0x1.cc586e1631226p-17, 0x1.ce47ed27854dap-17, 0x1.d033d5cff4379p-17, 0x1.d21c18f353d4dp-17, 0x1.d400a7bebbcf7p-17, 0x1.d5e173a8600eep-17, 0x1.d7be6e6f6cb07p-17, 0x1.d9978a1c4e164p-17, 0x1.db6cb90068d82p-17, 0x1.dd3dedb620f8dp-17, 0x1.df0b1b20f3d63p-17, 0x1.e0d4346cb59b8p-17, 0x1.e2992d0e1fedep-17, 0x1.e459f8c29f7b4p-17, 0x1.e6168b8facce6p-17, 0x1.e7ced9c300304p-17, 0x1.e982d7f25c558p-17, 0x1.eb327afb22484p-17, 0x1.ecddb8023bca4p-17, 0x1.ee848473e03e8p-17, 0x1.f026d6032e56cp-17, 0x1.f1c4a2aa3a7dp-17, 0x1.f35de0a97bd4p-17, 0x1.f4f2868734e52p-17, 0x1.f6828b0fc1731p-17, 0x1.f80de554e9895p-17, 0x1.f9948cad55b1cp-17, 0x1.fb1678b4c5b7ep-17, 0x1.fc93a14b2b849p-17, 0x1.fe0bfe9454a5ap-17, 0x1.ff7f88f7dd559p-17, 0x1.00771c9029fe3p-16, 0x1.012c03fd9d507p-16, 0x1.01de775c27383p-16, 0x1.028e73648981ep-16, 0x1.033bf4f061fabp-16, 0x1.03e6f8f98f844p-16, 0x1.048f7c9a47b2ap-16, 0x1.05357d0cba909p-16, 0x1.05d8f7aadf761p-16, 0x1.0679e9ee3aaacp-16, 0x1.0718516f75a28p-16, 0x1.07b42be63f48dp-16, 0x1.084d772902812p-16, 0x1.08e4312c8d858p-16, 0x1.09785803ff2a3p-16, 0x1.0a09e9e0664f4p-16, 0x1.0a98e51046a88p-16, 0x1.0b2547ffa4fd7p-16, 0x1.0baf11378f8bap-16, 0x1.0c363f5ddf563p-16, 0x1.0cbad134fa2d7p-16, 0x1.0d3cc59b6ff6fp-16, 0x1.0dbc1b8bd6a6p-16, 0x1.0e38d21c5e25cp-16, 0x1.0eb2e87e79e0fp-16, 0x1.0f2a5dfec054fp-16, 0x1.0f9f3204714a9p-16, 0x1.10116411584b4p-16, 0x1.1080f3c14ff7ep-16, 0x1.10ede0ca1bd84p-16, 0x1.11582afb02c0ep-16, 0x1.11bfd23c5f22dp-16, 0x1.1224d68fba6d5p-16, 0x1.1287380f05744p-16, 0x1.12e6f6ec8c306p-16, 0x1.13441372a2e17p-16, 0x1.139e8e033c215p-16, 0x1.13f66717bfd1cp-16, }}, 
      {{0x1.d521df10b9723p-1, 0x1.d50b40ad47689p-1, 0x1.d4e8f3d59093dp-1, 0x1.d4b9dd7d9d92ap-1, 0x1.d479d23fd72ddp-1, 0x1.d4232eeab2524p-1, 0x1.d3b052364d7c9p-1, 0x1.d31c9e1b09d6bp-1, 0x1.d264fb77f2d7fp-1, 0x1.d187fb75d10f4p-1, 0x1.d085b888b6d4p-1, 0x1.cf5f941b1e22cp-1, 0x1.ce17e60113d4p-1, 0x1.ccb1ab6fe76cbp-1, 0x1.cb303d80c36f2p-1, 0x1.c997134308337p-1, 0x1.c7e990c2adfep-1, 0x1.c62ae2c7ea264p-1, 0x1.c45de6287bdffp-1, 0x1.c285190cf1ac5p-1, 0x1.c0a29462feeaap-1, 0x1.beb80bbc92819p-1, 0x1.bcc6d1fe17d76p-1, 0x1.bacfe16fd11ccp-1, 0x1.b8d3e5fdb4fc8p-1, 0x1.b6d348a91b0f1p-1, 0x1.b4ce3b640ec11p-1, 0x1.b2c4c4bd99b14p-1, 0x1.b0b6caef96092p-1, 0x1.aea41e017485ap-1, 0x1.ac8c80d013122p-1, 0x1.aa6fb0e19fbebp-1, 0x1.a84d6cfe5f672p-1, 0x1.a6257a9485945p-1, 0x1.a3f7a9f6f3ef4p-1, 0x1.a1c3d98d41b95p-1, 0x1.9f89f80f74307p-1, 0x1.9d4a05e9f3012p-1, 0x1.9b0415e6c7308p-1, 0x1.98b84d38bb81bp-1, 0x1.9666e3038ab97p-1, 0x1.94101f7a71c53p-1, 0x1.91b45aac3d684p-1, 0x1.8f53fb1182ae2p-1, 0x1.8cef73ef437fap-1, 0x1.8a87439dd0a25p-1, 0x1.881bf1c172233p-1, 0x1.85ae0d802dc32p-1, 0x1.833e2bbe0af86p-1, 0x1.80cce56767d69p-1, 0x1.7e5ad5cf4f7d2p-1, 0x1.7be8992662d46p-1, 0x1.7976cb0d9c806p-1, 0x1.77060547329bp-1, 0x1.7496de86ee59cp-1, 0x1.7229e9628d663p-1, 0x1.6fbfb36226f8cp-1, 0x1.6d58c430051dcp-1, 0x1.6af59ce70239bp-1, 0x1.6896b77e22ee7p-1, 0x1.663c864fed86dp-1, 0x1.63e773bbcfaddp-1, 0x1.6197e1dfc7bb3p-1, 0x1.5f4e2a6877e8fp-1, 0x1.5d0a9e75bb7bcp-1, 0x1.5acd8691e0758p-1, 0x1.589722b9a7c0fp-1, 0x1.5667aa73403dap-1, 0x1.543f4cf281ca6p-1, 0x1.521e3148bc97ep-1, 0x1.5004769e90f16p-1, 0x1.4df23476530cp-1, 0x1.4be77af59c579p-1, 0x1.49e45334c513ap-1, 0x1.47e8bf931793cp-1, 0x1.45f4bc0ead658p-1, 0x1.44083e9ef5b8ap-1, 0x1.422337910992bp-1, 0x1.404591e4fab2ap-1, 0x1.3e6f33ab6c584p-1, 0x1.3c9ffe62ce955p-1, 0x1.3ad7cf53b39b2p-1, 0x1.39167febbece6p-1, 0x1.375be616c21b9p-1, 0x1.35a7d495b0095p-1, 0x1.33fa1b53120e9p-1, 0x1.325287b4c642p-1, 0x1.30b0e4eacb366p-1, 0x1.2f14fc3af6d42p-1, 0x1.2d7e954971b52p-1, 0x1.2bed765de6bcbp-1, 0x1.2a6164a55358ep-1, 0x1.28da24707478fp-1, 0x1.2757796eca805p-1, 0x1.25d926e63dab6p-1, 0x1.245eefe7674b3p-1, 0x1.22e8977e8e5ccp-1, 0x1.2175e0e168da5p-1, 0x1.20068f99b35e1p-1, 0x1.1e9a67acb70f7p-1, 0x1.1d312dbfd4b8ep-1, 0x1.1bcaa73a2e178p-1, 0x1.1a669a6389531p-1, 0x1.1904ce808ac34p-1, 0x1.17a50bec5f9dfp-1, 0x1.16471c2ff9014p-1, 0x1.14eaca16f0a29p-1, 0x1.138fe1c2388ffp-1, 0x1.123630b8af4dap-1, 0x1.10dd85f5b6376p-1, 0x1.0f85b1f5e4519p-1, 0x1.0e2e86c1f452dp-1, 0x1.0cd7d7f80453fp-1, 0x1.0b817ad343bd7p-1, 0x1.0a2b463226c0ep-1, 0x1.08d5129b39c26p-1, 0x1.077eba40a7628p-1, 0x1.062819028ed91p-1, 0x1.04d10c7037291p-1, 0x1.037973c83b1cp-1, 0x1.02212ff7bd2fcp-1, 0x1.00c82398b77b2p-1, 0x1.fedc65def23ffp-2, 0x1.fc2687cec2b02p-2, 0x1.f96e7c1dd36b3p-2, 0x1.f6b41526175cp-2, 0x1.f3f7287427619p-2, 0x1.f1378ebbd3685p-2, 0x1.ee7523cbc4b3dp-2, 0x1.ebafc6803b74ap-2, 0x1.e8e758b50a6b3p-2, 0x1.e61bbf36db239p-2, 0x1.e34ce1b3d59fep-2, 0x1.e07aaaabbb45bp-2, 0x1.dda5075f83922p-2, 0x1.dacbe7c08ecfap-2, 0x1.d7ef3e5f7dc1cp-2, 0x1.d50f005ab712ep-2, 0x1.d22b254cac8bp-2, 0x1.cf43a739ee243p-2, 0x1.cc58827f0bdc6p-2, 0x1.c969b5be5f56fp-2, 0x1.c67741cdb9584p-2, 0x1.c38129a408a8fp-2, 0x1.c0877246f5f9ap-2, 0x1.bd8a22b88822ap-2, 0x1.ba8943e4d04dbp-2, 0x1.b784e08fa97a1p-2, 0x1.b47d05428e6e9p-2, 0x1.b171c03a8b60bp-2, 0x1.ae63215654fdep-2, 0x1.ab513a048466ap-2, 0x1.a83c1d3201573p-2, 0x1.a523df38999d5p-2, 0x1.a20895cdcd548p-2, 0x1.9eea57f1d2fd8p-2, 0x1.9bc93dded5a38p-2, 0x1.98a560f86ed1bp-2, 0x1.957edbbb6281p-2, 0x1.9255c9ad9b3c7p-2, 0x1.8f2a474e6bc23p-2, 0x1.8bfc720717743p-2, 0x1.88cc681ba1974p-2, 0x1.859a489be7c75p-2, 0x1.8266335504fdp-2, 0x1.7f3048c3042ddp-2, 0x1.7bf8aa02ddb0fp-2, 0x1.78bf78c4c43e9p-2, 0x1.7584d73ec0387p-2, 0x1.7248e81f9d304p-2, 0x1.6f0bce8222a3ep-2, 0x1.6bcdade0a27b9p-2, 0x1.688eaa08d7944p-2, 0x1.654ee71013032p-2, 0x1.620e8947beacp-2, 0x1.5ecdb5322cce6p-2, 0x1.5b8c8f77bd562p-2, 0x1.584b3cdc52c6bp-2, 0x1.5509e23515dfbp-2, 0x1.51c8a45e8f054p-2, 0x1.4e87a8330bbd7p-2, 0x1.4b47128155fc5p-2, 0x1.48070803bb0a6p-2, 0x1.44c7ad5760434p-2, 0x1.418926f3e76f9p-2, 0x1.3e4b99236248ep-2, 0x1.3b0f27fa8dad9p-2, 0x1.37d3f7515f83fp-2, 0x1.349a2abbdb6c5p-2, 0x1.3161e58333f93p-2, 0x1.2e2b4a9f34ea8p-2, 0x1.2af67caff7bb3p-2, 0x1.27c39df7de8e7p-2, 0x1.2492d055d4993p-2, 0x1.2164353fd78e2p-2, 0x1.1e37edbdc3022p-2, 0x1.1b0e1a645ffbcp-2, 0x1.17e6db50ba008p-2, 0x1.14c25023af109p-2, 0x1.11a097fdc7538p-2, 0x1.0e81d17b45f0bp-2, 0x1.0b661ab079ae2p-2, 0x1.084d91264c029p-2, 0x1.053851d708028p-2, 0x1.0226792b5e6fcp-2, 0x1.fe3045ef42655p-3, 0x1.f81ad4f26ab9ep-3, 0x1.f20cd4a87bd0cp-3, 0x1.ec067922f597cp-3, 0x1.e607f538b0e2bp-3, 0x1.e0117a826eee6p-3, 0x1.da233957c0d92p-3, 0x1.d43d60cc5443ap-3, 0x1.ce601ead9a8adp-3, 0x1.c88b9f80ce206p-3, 0x1.c2c00e8147ee2p-3, 0x1.bcfd959f32d87p-3, 0x1.b7445d7e8d88dp-3, 0x1.b1948d767c448p-3, 0x1.abee4b90e82aap-3, 0x1.a651bc8a6cbb5p-3, 0x1.a0bf03d289fb2p-3, 0x1.9b36438c1dd5dp-3, 0x1.95b79c8e213bep-3, 0x1.90432e64a8fb7p-3, 0x1.8ad917521ee4p-3, 0x1.85797450bdc46p-3, 0x1.8024611445b3dp-3, 0x1.7ad9f80be4412p-3, 0x1.759a526455ce1p-3, 0x1.7065880a382dp-3, 0x1.6b3bafac92059p-3, 0x1.661cdebf7d683p-3, 0x1.6109297f11b69p-3, 0x1.5c00a2f260e69p-3, 0x1.57035ceeb2574p-3, 0x1.5211681ad3a37p-3, 0x1.4d2ad3f298f47p-3, 0x1.484faeca75f51p-3, 0x1.438005d33c983p-3, 0x1.3ebbe51dfc6a5p-3, 0x1.3a03579ff299fp-3, 0x1.35566736a438ap-3, 0x1.30b51cac04cc2p-3, 0x1.2c1f7fbabac7fp-3, 0x1.27959712759ecp-3, 0x1.2317685c58ef9p-3, 0x1.1ea4f83f7869cp-3, 0x1.1a3e4a6567ec1p-3, 0x1.15e3617ed5507p-3, 0x1.11943f4832eebp-3, 0x1.0d50e48e6aea9p-3, 0x1.09195133a5dbep-3, 0x1.04ed84340a6d7p-3, 0x1.00cd7baa967dbp-3, 0x1.f97269abe5f1ep-4, 0x1.f161583aa0fd9p-4, 0x1.e967ba2a929dfp-4, 0x1.e18585098d75ap-4, 0x1.d9baacd3c0dcfp-4, 0x1.d20723fd9aa36p-4, 0x1.ca6adb7d805b1p-4, 0x1.c2e5c2d59f82bp-4, 0x1.bb77c81db4e3fp-4, 0x1.b420d80ccb259p-4, 0x1.ace0de02eb4b4p-4, 0x1.a5b7c412cd351p-4, 0x1.9ea5730b7849bp-4, 0x1.97a9d281d559ep-4, 0x1.90c4c8da3324bp-4, 0x1.89f63b51bc9c9p-4, 0x1.833e0e07da3c3p-4, 0x1.7c9c2407840e2p-4, 0x1.76105f507c4e2p-4, 0x1.6f9aa0e077be8p-4, 0x1.693ac8bc2c4f2p-4, 0x1.62f0b5f84c967p-4, 0x1.5cbc46c267257p-4, 0x1.569d5869af29bp-4, 0x1.5093c767a862cp-4, 0x1.4a9f6f68ba491p-4, 0x1.44c02b54a62e5p-4, 0x1.3ef5d556e3275p-4, 0x1.394046e6d5e58p-4, 0x1.339f58cff6f8ap-4, 0x1.2e12e339cacc7p-4, 0x1.289abdafc9a3ap-4, 0x1.2336bf291f49dp-4, 0x1.1de6be104d915p-4, 0x1.18aa904aad648p-4, 0x1.13820b3fd1ee9p-4, 0x1.0e6d03e0c8c24p-4, 0x1.096b4eaf380cep-4, 0x1.047cbfc45d4bap-4, 0x1.ff4255afd636cp-5, 0x1.f5b0c68d81028p-5, 0x1.ec4478330875bp-5, 0x1.e2fd101636398p-5, 0x1.d9da331df4c12p-5, 0x1.d0db85aeb97e5p-5, 0x1.c800abb6a153cp-5, 0x1.bf4948b94fcecp-5, 0x1.b6b4ffdb8802dp-5, 0x1.ae4373ee7b281p-5, 0x1.a5f4477ae1be5p-5, 0x1.9dc71ccbc0997p-5, 0x1.95bb95f8f7644p-5, 0x1.8dd154f187b6dp-5, 0x1.8607fb8595747p-5, 0x1.7e5f2b702c676p-5, 0x1.76d68660bfd8bp-5, 0x1.6f6dae0469101p-5, 0x1.6824440ee7e7ap-5, 0x1.60f9ea435e696p-5, 0x1.59ee427cd47b1p-5, 0x1.5300eeb672012p-5, 0x1.4c31911384ef2p-5, 0x1.457fcbe743702p-5, 0x1.3eeb41bc55c36p-5, 0x1.3873955c1df3ep-5, 0x1.321869d5c8526p-5, 0x1.2bd962851eb6bp-5, 0x1.25b6231929173p-5, 0x1.1fae4f9a854adp-5, 0x1.19c18c7198cb8p-5, 0x1.13ef7e6c7b665p-5, 0x1.0e37cac4b6a45p-5, 0x1.089a1724c6edp-5, 0x1.031609ad6c1adp-5, 0x1.fb5691f58d617p-6, 0x1.f0b2f852749cap-6, 0x1.e64095b44c8a3p-6, 0x1.dbfeba70d9d72p-6, 0x1.d1ecb7f9751acp-6, 0x1.c809e0e368dccp-6, 0x1.be5588efcd6d2p-6, 0x1.b4cf05130f965p-6, 0x1.ab75ab7c287f1p-6, 0x1.a248d39b7308ap-6, 0x1.9947d6292b535p-6, 0x1.90720d2b991cep-6, 0x1.87c6d3fcec041p-6, 0x1.7f458750bfd55p-6, 0x1.76ed85394c668p-6, 0x1.6ebe2d2c561dap-6, 0x1.66b6e007ccd7p-6, 0x1.5ed700160bcbcp-6, 0x1.571df111f7b18p-6, 0x1.4f8b182aae5f6p-6, 0x1.481ddc070ad26p-6, 0x1.40d5a4c8dde61p-6, 0x1.39b1dc0fdf466p-6, 0x1.32b1ecfc66caap-6, 0x1.2bd54431d9d09p-6, 0x1.251b4fd8f5682p-6, 0x1.1e837fa1bd051p-6, 0x1.180d44c544981p-6, 0x1.11b812073883bp-6, 0x1.0b835bb7393adp-6, 0x1.056e97b1f3527p-6, 0x1.fef27ac41d849p-7, 0x1.f3458b81d426dp-7, 0x1.e7d556ae3bedcp-7, 0x1.dca0d479b2e99p-7, 0x1.d1a7003424f42p-7, 0x1.c6e6d84cfc36p-7, 0x1.bc5f5e52d527p-7, 0x1.b20f96f2ca68ep-7, 0x1.a7f689f7814dfp-7, 0x1.9e134247e3564p-7, 0x1.9464cde5860bap-7, 0x1.8aea3dead4f22p-7, 0x1.81a2a688dffcap-7, 0x1.788d1f0514e5dp-7, 0x1.6fa8c1b672d59p-7, 0x1.66f4ac02cc197p-7, 0x1.5e6ffe5b83919p-7, 0x1.5619dc3a447cfp-7, 0x1.4df16c1d727eep-7, 0x1.45f5d78455623p-7, 0x1.3e264aeb274edp-7, 0x1.3681f5c6e0d9bp-7, 0x1.2f080a80e569bp-7, 0x1.27b7be727a8edp-7, 0x1.209049e0109e9p-7, 0x1.1990e7f46b5e9p-7, 0x1.12b8d6bb96785p-7, 0x1.0c07571dce62ap-7, 0x1.057bacda213c1p-7, 0x1.fe2a3d022baep-8, 0x1.f1a5eade17adap-8, 0x1.e568fb8d3e144p-8, 0x1.d9720cd5b34d7p-8, 0x1.cdbfc1f2b7166p-8, 0x1.c250c3889fed7p-8, 0x1.b723bf98cf82fp-8, 0x1.ac3769755b72cp-8, 0x1.a18a79b488f4ep-8, 0x1.971bae24440cap-8, 0x1.8ce9c9bd34c4p-8, 0x1.82f394960bdaap-8, 0x1.7937dbd645402p-8, 0x1.6fb571a930ecdp-8, 0x1.666b2d30bc65dp-8, 0x1.5d57ea780635cp-8, 0x1.547a8a660b92ep-8, 0x1.4bd1f2b028244p-8, 0x1.435d0dcc9e37bp-8, 0x1.3b1acae4fe9a4p-8, 0x1.330a1dc86dd09p-8, 0x1.2b29fede1f5bp-8, 0x1.23796b1787829p-8, 0x1.1bf763e2b09cdp-8, 0x1.14a2ef1c75daap-8, 0x1.0d7b1702cb099p-8, 0x1.067eea26fe23ep-8, 0x1.ff5af6bfcb799p-9, 0x1.f20bc378797bap-9, 0x1.e50e70e9af28bp-9, 0x1.d8613dbde2983p-9, 0x1.cc0270bd1e5c4p-9, 0x1.bff058b18e33bp-9, 0x1.b4294c4c653ebp-9, 0x1.a8abaa0aa80d4p-9, 0x1.9d75d81a39abcp-9, 0x1.9286443ed2ba8p-9, 0x1.87db63b74fc7dp-9, 0x1.7d73b322dc326p-9, 0x1.734db6666f3c7p-9, 0x1.6967f8925bb31p-9, 0x1.5fc10bc80aedfp-9, 0x1.5657891fc3a1dp-9, 0x1.4d2a108ebef3p-9, 0x1.443748cd4d4acp-9, 0x1.3b7ddf3d2445bp-9, 0x1.32fc87cff2ffbp-9, 0x1.2ab1fcee06b42p-9, 0x1.229cff5d433e9p-9, 0x1.1abc56280998p-9, 0x1.130ece84ae71cp-9, 0x1.0b933bbcc4e7p-9, 0x1.04487714eb395p-9, 0x1.fa5abf6934badp-10, 0x1.ec81b51c7a0dcp-10, 0x1.df03a48f0a60fp-10, 0x1.d1de6e43b833bp-10, 0x1.c50ffdc65e50ap-10, 0x1.b896497ddee4p-10, 0x1.ac6f527e5addap-10, 0x1.a099245c0932fp-10, 0x1.9511d4febca5bp-10, 0x1.89d78475325eap-10, 0x1.7ee85cc9c8d21p-10, 0x1.744291d6e353cp-10, 0x1.69e4611c20353p-10, 0x1.5fcc11941f021p-10, 0x1.55f7f38a69a35p-10, 0x1.4c6660723fd12p-10, 0x1.4315babda3d17p-10, 0x1.3a046db4bba86p-10, 0x1.3130ed4e28db1p-10, 0x1.2899b60766f39p-10, 0x1.203d4cbdd1c77p-10, 0x1.181a3e882d385p-10, 0x1.102f2090b6515p-10, 0x1.087a8fef75b13p-10, 0x1.00fb31855839fp-10, 0x1.f35f63af4f95dp-11, 0x1.e52d89d7b14aap-11, 0x1.d75e4c48319e2p-11, 0x1.c9ef30382fbbcp-11, 0x1.bcddc90cdd0cdp-11, 0x1.b027b81516469p-11, 0x1.a3caac45fde6p-11, 0x1.97c461f82bbdfp-11, 0x1.8c12a2a753792p-11, 0x1.80b344b0599cfp-11, 0x1.75a42b12e2e99p-11, 0x1.6ae3453226591p-11, 0x1.606e8e97159eap-11, 0x1.56440eb406edcp-11, 0x1.4c61d8a8762d4p-11, 0x1.42c60b064f19fp-11, 0x1.396ecf97863a2p-11, 0x1.305a5b24f325cp-11, 0x1.2786ed3e66485p-11, 0x1.1ef2d002d96f8p-11, 0x1.169c57e9bcf9bp-11, 0x1.0e81e38dec5bap-11, 0x1.06a1db782c6d6p-11, 0x1.fdf563d74e269p-12, 0x1.ef15c564c8d87p-12, 0x1.e0a1e5d6e6e4dp-12, 0x1.d296e1b1b83a3p-12, 0x1.c4f1e75f1447cp-12, 0x1.b7b036ce3d855p-12, 0x1.aacf2115eb467p-12, 0x1.9e4c0817d1e87p-12, 0x1.92245e25cdd63p-12, 0x1.8655a5a83bd5fp-12, 0x1.7add70c6357adp-12, 0x1.6fb9610fb3863p-12, 0x1.64e7272818516p-12, 0x1.5a648273a403ap-12, 0x1.502f40c46cee6p-12, 0x1.46453e0b106c9p-12, 0x1.3ca464078261ap-12, 0x1.334aa9fad05dfp-12, 0x1.2a36145bc9271p-12, 0x1.2164b48be099ap-12, 0x1.18d4a88e0122dp-12, 0x1.10841abe044ffp-12, 0x1.0871418a6e13ep-12, 0x1.009a5f2e9ef1fp-12, 0x1.f1fb82de91bdep-13, 0x1.e33382ad906c8p-13, 0x1.d4d985e8552ap-13, 0x1.c6ea6a3625aa9p-13, 0x1.b9632246f037ap-13, 0x1.ac40b55a4cd42p-13, 0x1.9f803ec3eb0dap-13, 0x1.931eed75721dp-13, 0x1.871a0389bcb5fp-13, 0x1.7b6ed5d1acdbcp-13, 0x1.701acb64df68bp-13, 0x1.651b5d33398dfp-13, 0x1.5a6e1598c8cd9p-13, 0x1.50108ff48671ep-13, 0x1.4600784084358p-13, 0x1.3c3b8aac17a07p-13, 0x1.32bf9338a5553p-13, 0x1.298a6d58c7d93p-13, 0x1.209a0390234dap-13, 0x1.17ec4f161ad89p-13, 0x1.0f7f577a3666ep-13, 0x1.0751324a39acdp-13, 0x1.fec005765db64p-14, 0x1.ef53f2a34d554p-14, 0x1.e05aa71fd1a3bp-14, 0x1.d1d0b742b638ap-14, 0x1.c3b2d0164ef56p-14, 0x1.b5fdb6ba1536cp-14, 0x1.a8ae47c70aca7p-14, 0x1.9bc176b92ed4dp-14, 0x1.8f344d5b64e46p-14, 0x1.8303eb36c55cp-14, 0x1.772d85048ee21p-14, 0x1.6bae6423f60f7p-14, 0x1.6083e612596e1p-14, 0x1.55ab7be79a274p-14, 0x1.4b22a9d211fa7p-14, 0x1.40e7069a58143p-14, 0x1.36f63b25a303p-14, 0x1.2d4e01fd92e6ap-14, 0x1.23ec26d86f737p-14, 0x1.1ace8626ec189p-14, 0x1.11f30ca234bdcp-14, 0x1.0957b6dccae79p-14, 0x1.00fa90d76a5c1p-14, 0x1.f1b36b2d621d5p-15, 0x1.e1e69d77af24ep-15, 0x1.d28b284041179p-15, 0x1.c39d96e4cba5fp-15, 0x1.b51a8fac9640fp-15, 0x1.a6fed30fb755fp-15, 0x1.99473afb7145dp-15, 0x1.8bf0ba231a3f8p-15, 0x1.7ef85b4cd94a9p-15, 0x1.725b40aaf4b02p-15, 0x1.6616a331257fep-15, 0x1.5a27d1f5c1763p-15, 0x1.4e8c318fa4fabp-15, 0x1.43413b7d4e85ap-15, 0x1.38447d8d0108p-15, 0x1.2d9399495c13ep-15, 0x1.232c4368c15a7p-15, 0x1.190c4341e019p-15, 0x1.0f31724197e06p-15, 0x1.0599bb66185aap-15, 0x1.f8863578ef22bp-16, 0x1.e65739c3b3ca8p-16, 0x1.d4a2bd0dda6e8p-16, 0x1.c36517f310035p-16, 0x1.b29ac1561d53p-16, 0x1.a2404d83631aap-16, 0x1.92526d4b32f8p-16, 0x1.82cded2b19e17p-16, 0x1.73afb47954bcfp-16, 0x1.64f4c49520adcp-16, 0x1.569a381d2c142p-16, 0x1.489d422dc2f8fp-16, 0x1.3afb2d9ea0ae1p-16, 0x1.2db15c4b71763p-16, 0x1.20bd465c8302bp-16, 0x1.141c7997ccbaep-16, 0x1.07cc98b3eaa71p-16, 0x1.f796b5643af25p-17, 0x1.e02d1475dfd99p-17, 0x1.c95809ffb4e92p-17, 0x1.b313764488a4dp-17, 0x1.9d5b5d3aefb35p-17, 0x1.882be56607a82p-17, 0x1.738156bf7c604p-17, 0x1.5f58199e779e7p-17, 0x1.4bacb5af5a2adp-17, 0x1.387bd0eb6d74ep-17, 0x1.25c22e9dde093p-17, 0x1.137cae6d002ffp-17, 0x1.01a84b6b5facep-17, 0x1.e0843659bd6c6p-18, 0x1.be8e99cfc7717p-18, 0x1.9d6a512d3eef7p-18, 0x1.7d121c4529e6fp-18, 0x1.5d80e92c6af02p-18, 0x1.3eb1d2a1e985bp-18, 0x1.20a01e8edbaaap-18, 0x1.03473c846f686p-18, 0x1.cd4588a2479b7p-19, 0x1.955ce92f8fcc1p-19, 0x1.5ecc62eba7fedp-19, 0x1.298c066492446p-19, 0x1.eb2853db71996p-20, 0x1.85bace54ba8dp-20, 0x1.22c1314079bdp-20, 0x1.845b5d8a5edebp-21, 0x1.8fcbc6c8e45fap-22, 0x1.00832234bffap-25, -0x1.46ad30458f917p-22, -0x1.524e857e981b6p-21, -0x1.fcf6d01239ed4p-21, -0x1.51b2f512ff19p-20, -0x1.a2d8c287f2792p-20, -0x1.f1f74c75b995fp-20, -0x1.1f8c5ada46f2dp-19, -0x1.452365a0141c6p-19, -0x1.69c583cbcb4cfp-19, -0x1.8d774aeba0cb4p-19, -0x1.b03d2a6b002eap-19, -0x1.d21b6d0cb97ebp-19, -0x1.f3163a59d8ffep-19, -0x1.0998cc021a567p-18, -0x1.1938b5a351158p-18, -0x1.286cbd10f33ecp-18, -0x1.3736b656ebff1p-18, -0x1.45986723a7215p-18, -0x1.5393875e1eab9p-18, -0x1.6129c1b7b88edp-18, -0x1.6e5cb435d173cp-18, -0x1.7b2df0b7f6fa4p-18, -0x1.879efd7d632a5p-18, -0x1.93b155a064854p-18, -0x1.9f66698e2fc94p-18, -0x1.aabf9f7e577ep-18, -0x1.b5be53e08e61ep-18, -0x1.c063d9c89efa1p-18, -0x1.cab17b5a4e629p-18, -0x1.d4a87a2be0cp-18, -0x1.de4a0fa3d7996p-18, -0x1.e7976d5cccfecp-18, -0x1.f091bd77ebd5fp-18, -0x1.f93a22f600e47p-18, -0x1.00c8dd069fd02p-17, -0x1.04cccc398180ap-17, -0x1.08a966d7593b8p-17, -0x1.0c5f31aee9958p-17, -0x1.0feeaebfc10cap-17, -0x1.13585d5a02585p-17, -0x1.169cba4011178p-17, -0x1.19bc3fc5948cp-17, -0x1.1cb765ed0178p-17, -0x1.1f8ea284bb5c4p-17, -0x1.22426941a66a9p-17, -0x1.24d32bdb1e96ap-17, -0x1.27415a22aad64p-17, -0x1.298d621bc8e0dp-17, -0x1.2bb7b0143b5bbp-17, -0x1.2dc0aeb94df29p-17, -0x1.2fa8c72c6c362p-17, -0x1.317061187e59p-17, -0x1.3317e2c3633e3p-17, -0x1.349fb1212a4b7p-17, -0x1.36082fe473b9p-17, -0x1.3751c1905d0dp-17, -0x1.387cc7875de4fp-17, -0x1.3989a2198029dp-17, -0x1.3a78b094b4b3bp-17, -0x1.3b4a515018542p-17, -0x1.3bfee1b9d8064p-17, -0x1.3c96be62df2d5p-17, -0x1.3d12430a7d2e9p-17, -0x1.3d71caa8e5552p-17, -0x1.3db5af7aa54bcp-17, -0x1.3dde4b082ba4ap-17, -0x1.3debf630bb777p-17, -0x1.3ddf09322175fp-17, -0x1.3db7dbb10232bp-17, -0x1.3d76c4bf9b5e1p-17, -0x1.3d1c1ae685c5ep-17, -0x1.3ca83429c2314p-17, -0x1.3c1b660f456fbp-17, -0x1.3b7605a5ae7d6p-17, -0x1.3ab8678874227p-17, -0x1.39e2dfe49f15cp-17, -0x1.38f5c27f65c18p-17, -0x1.37f162b7f4f6cp-17, -0x1.36d6138cc2645p-17, -0x1.35a4279ebad72p-17, -0x1.345bf13517382p-17, -0x1.32fdc23f3ee6dp-17, -0x1.3189ec58b1c18p-17, -0x1.3000c0c9fafb2p-17, -0x1.2e62908c3d2cfp-17, -0x1.2cafac4a197fbp-17, -0x1.2ae8646252b4cp-17, -0x1.290d08e8777e3p-17, -0x1.271de9a622495p-17, -0x1.251b561ca3f8ap-17, -0x1.23059d8594948p-17, -0x1.20dd0ed287c72p-17, -0x1.1ea1f8af04b07p-17, -0x1.1c54a98030949p-17, -0x1.19f56f64f7806p-17, -0x1.17849835a17f1p-17, -0x1.1502718510cf1p-17, -0x1.126f489eb7c11p-17, -0x1.0fcb6a870b004p-17, -0x1.0d1723fbe400fp-17, -0x1.0a52c172b5b4bp-17, -0x1.077e8f181638fp-17, -0x1.049ad8cfb407ep-17, -0x1.01a7ea3283786p-17, -0x1.fd4c1d1c07efdp-18, -0x1.f72b21c82ecd4p-18, -0x1.f0ed77d137beap-18, -0x1.ea93b401f4986p-18, -0x1.e41e6a860b30dp-18, -0x1.dd8e2ee72f2ccp-18, -0x1.d6e39409937adp-18, -0x1.d01f2c2aa29b7p-18, -0x1.c94188dd7877ap-18, -0x1.c24b3b089b002p-18, -0x1.bb3cd2e1ebaf1p-18, -0x1.b416dfebd660cp-18, -0x1.acd9f0f391fe7p-18, -0x1.a586940cd655ep-18, -0x1.9e1d568fca9e9p-18, -0x1.969ec514a9bcap-18, -0x1.8f0b6b717e9eep-18, -0x1.8763d4b61f437p-18, -0x1.7fa88b29de226p-18, -0x1.77da184861b11p-18, -0x1.6ff904bdd8788p-18, -0x1.6805d8645dd48p-18, -0x1.60011a413b88ep-18, -0x1.57eb5080e7a7cp-18, -0x1.4fc5007403dbbp-18, -0x1.478eae8bde731p-18, -0x1.3f48de5924513p-18, -0x1.36f41287bdaeep-18, -0x1.2e90ccdbc2badp-18, -0x1.261f8e2e8c2e6p-18, -0x1.1da0d66bea832p-18, -0x1.1515248fa9d25p-18, -0x1.0c7cf6a207a3p-18, -0x1.03d8c9b5f62ccp-18, -0x1.f65233cbc51f5p-19, -0x1.e4dcc4a1eb19p-19, -0x1.d3523a31c6653p-19, -0x1.c1b386be3f8ccp-19, -0x1.b0019a848e315p-19, -0x1.9e3d63b85bd84p-19, -0x1.8c67ce80013a8p-19, -0x1.7a81c4ed1a404p-19, -0x1.688c2efa433d4p-19, -0x1.5687f286a66dfp-19, -0x1.4475f351b9e12p-19, -0x1.325712f6dd19bp-19, -0x1.202c30ea06334p-19, -0x1.0df62a75224e6p-19, -0x1.f76bb567ce289p-20, -0x1.d2d835209c8f4p-20, -0x1.ae33817a86089p-20, -0x1.897f436d2b47cp-20, -0x1.64bd1f797ffdfp-20, -0x1.3feeb5a6fc94fp-20, -0x1.1b15a17c7f6a4p-20, -0x1.ec66f3f400e5ap-21, -0x1.a293a32a5d28ap-21, -0x1.58b46c6964da1p-21, -0x1.0ecc625ce3fbdp-21, -0x1.89bd1cfff644dp-22, -0x1.ebb7c466c1e0ep-23, -0x1.87ec09dfb25b8p-24, 0x1.8efd342fafafep-25, 0x1.8b5c9f5bdd72fp-23, 0x1.596b427499175p-22, 0x1.ed10daed64771p-22, 0x1.404cc3e46f959p-21, 0x1.89ffe52baec79p-21, 0x1.d39f1b4a4cf9dp-21, 0x1.0e93dccacf02ep-20, 0x1.334b8e5d8e509p-20, 0x1.57f5555fb834ap-20, 0x1.7c8fe98013099p-20, 0x1.a11a0719e26e3p-20, 0x1.c5926f332a3f2p-20, 0x1.e9f7e77ada801p-20, 0x1.07249d250104ep-19, 0x1.19429b51001bap-19, 0x1.2b555815ca8bap-19, 0x1.3d5c3f99f5fap-19, 0x1.4f56c056a549p-19, 0x1.61444b13ccd2p-19, 0x1.732452e85b53cp-19, 0x1.84f64d393e084p-19, 0x1.96b9b1b842247p-19, 0x1.a86dfa61e1a4cp-19, 0x1.ba12a37afa314p-19, 0x1.cba72b90655a8p-19, 0x1.dd2b13746647fp-19, 0x1.ee9dde3bffc44p-19, 0x1.ffff113d10964p-19, 0x1.08a71a062094bp-18, 0x1.1145683deb9bcp-18, 0x1.19da394c3861bp-18, 0x1.22655453b3acdp-18, 0x1.2ae68191351edp-18, 0x1.335d8a5a8ffc2p-18, 0x1.3bca391e137d2p-18, 0x1.442c5960d0f1fp-18, 0x1.4c83b7bc8e07ap-18, 0x1.54d021df1f56p-18, 0x1.5d11668842b82p-18, 0x1.654755885e7f4p-18, 0x1.6d71bfbf0abffp-18, 0x1.75907718f52d1p-18, 0x1.7da34e8e302bdp-18, 0x1.85aa1a20edb43p-18, 0x1.8da4aedbb1483p-18, 0x1.9592e2cfb8f8dp-18, 0x1.9d748d133b785p-18, 0x1.a54985be920d5p-18, 0x1.ad11a5eb87991p-18, 0x1.b4ccc7b2db9a8p-18, 0x1.bc7ac62aa11c7p-18, 0x1.c41b7d6476ba9p-18, 0x1.cbaeca6b511f8p-18, 0x1.d3348b41804f1p-18, 0x1.daac9edec55ecp-18, 0x1.e216e52e54de9p-18, 0x1.e9733f0cc6cedp-18, 0x1.f0c18e45906a3p-18, 0x1.f801b591cd6f1p-18, 0x1.ff33989595e1ep-18, 0x1.032b8def1c0b5p-17, 0x1.06b6127017edfp-17, 0x1.0a394cfa4834ep-17, 0x1.0db5312b6be7fp-17, 0x1.1129b311845bp-17, 0x1.1496c729a07c7p-17, 0x1.17fc625f1a90bp-17, 0x1.1b5a7a0a2c97dp-17, 0x1.1eb103eec6fe4p-17, 0x1.21fff63bc4d5bp-17, 0x1.254747897b9ddp-17, 0x1.2886eed8e51cep-17, 0x1.2bbee3924e6ebp-17, 0x1.2eef1d84239c6p-17, 0x1.321794e1eda53p-17, 0x1.3538424358059p-17, 0x1.38511ea2cd2efp-17, 0x1.3b62235c95226p-17, 0x1.3e6b4a2da988fp-17, 0x1.416c8d321b686p-17, 0x1.4465e6e479a71p-17, 0x1.4757521c782e7p-17, 0x1.4a40ca0de0422p-17, 0x1.4d224a476294cp-17, 0x1.4ffbceb1570e2p-17, 0x1.52cd538cb3559p-17, 0x1.5596d571fa716p-17, 0x1.5858515013e6p-17, 0x1.5b11c46afe3abp-17, 0x1.5dc32c5aa4a7ep-17, 0x1.606c870a23bdbp-17, 0x1.630dd2b6301a7p-17, 0x1.65a70dec32b6dp-17, 0x1.6838378956c9p-17, 0x1.6ac14eb8e6649p-17, 0x1.6d4252f3b499p-17, 0x1.6fbb43feb3b79p-17, 0x1.722c21e9bb26ep-17, 0x1.7494ed0ecc09ep-17, 0x1.76f5a6109edf5p-17, 0x1.794e4dd9be5d2p-17, 0x1.7b9ee59b72bd1p-17, 0x1.7de76ecc694dp-17, 0x1.8027eb27df24fp-17, 0x1.82605cac8c732p-17, 0x1.8490c59b2f3a3p-17, 0x1.86b92875de60ep-17, 0x1.88d987feddef7p-17, 0x1.8af1e73794731p-17, 0x1.8d02495f86243p-17, 0x1.8f0ab1f329247p-17, 0x1.910b24aabe0ebp-17, 0x1.9303a57972076p-17, 0x1.94f4388c6f81p-17, 0x1.96dce24991547p-17, 0x1.98bda74eae9bdp-17, 0x1.9a968c7045253p-17, 0x1.9c6796b895becp-17, 0x1.9e30cb66c928bp-17, 0x1.9ff22fedc5c3ap-17, 0x1.a1abc9f3363fp-17, 0x1.a35d9f4e9d3fcp-17, 0x1.a507b608564abp-17, 0x1.a6aa14588e098p-17, 0x1.a844c0a644a64p-17, 0x1.a9d7c1869100ep-17, 0x1.ab631dbba75d8p-17, 0x1.ace6dc339f389p-17, 0x1.ae630407cd8b4p-17, 0x1.afd79c7ba1aedp-17, 0x1.b144acfbe15d4p-17, 0x1.b2aa3d1dd6491p-17, 0x1.b408549e37f87p-17, 0x1.b55efb603b199p-17, 0x1.b6ae396d05b79p-17, 0x1.b7f616f25c8f2p-17, 0x1.b9369c41fec39p-17, 0x1.ba6fd1d108c95p-17, 0x1.bba1c0368c1bep-17, 0x1.bccc702b21b7p-17, 0x1.bdefea88021p-17, 0x1.bf0c38462725ep-17, 0x1.c021627d6a3e9p-17, 0x1.c12f7263c88d6p-17, 0x1.c236714c7f7f2p-17, 0x1.c33668a75a067p-17, 0x1.c42f61fff995p-17, 0x1.c52166fce11c6p-17, 0x1.c60c815ec25a8p-17, 0x1.c6f0baffa88edp-17, 0x1.c7ce1dd2514e5p-17, 0x1.c8a4b3e189a98p-17, 0x1.c974874f31f92p-17, 0x1.ca3da25390edbp-17, 0x1.cb000f3cc3722p-17, 0x1.cbbbd86dd0529p-17, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
    }}, 
    {
      39, 0x1.a7ae147ae147bp+2, 0x1.96596a2fef17ap+0, 0x1.0e8aa80c1a7ebp+1, -0x1.29ae573ebea21p-10, 
      {{
        {0x1.2eb851eb851ecp+2, 0x1.3p+2, 0x1.be85ab4e264d4p-9, -0x1.d882978baac84p-8, 0x1.770212de5e378p-8, -0x1.0843a18b8af81p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.abeb6d09a0625p-9, -0x1.c9ab1999f2841p-8, 0x1.6f1486579f2b1p-8, -0x1.026f41fa65b51p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.7ff4b569b5e88p-9, -0x1.a5edf1dac39fp-8, 0x1.5bb294980abdap-8, -0x1.f66bd53b6556bp-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.5778540d9942p-9, -0x1.841a0c83d4d14p-8, 0x1.48db56329d574p-8, -0x1.e88b516c08babp-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.32460b1d92e77p-9, -0x1.6421d102032d9p-8, 0x1.36894ff1c3698p-8, -0x1.da83a33e82fbfp-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.102ef4c3a6469p-9, -0x1.45f7da1e97e1fp-8, 0x1.24bdf9d29e803p-8, -0x1.cc86739f965a9p-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.e20b0657237c9p-10, -0x1.298eb4dfc027ap-8, 0x1.1378ef163c101p-8, -0x1.be86742452e06p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a93b01059d431p-10, -0x1.0ed8f1fbacdd5p-8, 0x1.02ba4abb45c15p-8, -0x1.b087358be79b1p-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.75981df1226e5p-10, -0x1.eb924257387cbp-9, 0x1.e5040b0c0d571p-9, -0x1.a287c34475db8p-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.46cf517b91709p-10, -0x1.bca3a4d926f3cp-9, 0x1.c5a042cd514c9p-9, -0x1.94885ed63cf7cp-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.1c90400a3ea5fp-10, -0x1.90cb2b52dd21bp-9, 0x1.a7493bb073208p-9, -0x1.8688f6b21bdc8p-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.ed1a7c0be89d5p-11, -0x1.67edf5a3ce863p-9, 0x1.89fef5fcb109bp-9, -0x1.78898f8c7e2fep-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.a8f69fb5e5254p-11, -0x1.41f123a8d30dep-9, 0x1.6dc1719ef45fdp-9, -0x1.6a8a2822a9724p-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.6c2453f1df004p-11, -0x1.1eb9d53f757ep-9, 0x1.5290ae9c5adddp-9, -0x1.5c8ac0cb25339p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.361861a62e184p-11, -0x1.fc5a548a2168p-10, 0x1.386cacf384dfep-9, -0x1.4e8b596eb168fp-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.064cf1c01626bp-11, -0x1.c060852e18cdcp-10, 0x1.1f556ca4d12b5p-9, -0x1.408bf2138f411p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.b8831a678d5fdp-12, -0x1.89507c2599a51p-10, 0x1.074aedb0266dp-9, -0x1.328c8ab81afeap-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.6ef639f8b60ebp-12, -0x1.56f4792b6e52bp-10, 0x1.e09a602b159a3p-10, -0x1.248d235cb99efp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.2f07d437b498fp-12, -0x1.2916bbfa60c14p-10, 0x1.b4b867a9f9c2bp-10, -0x1.168dbc0145554p-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.efae766cddaf1p-13, -0x1.ff03089a75b6cp-11, 0x1.8aeff1dcfc284p-10, -0x1.088e54a5efdf5p-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.911d0229448bap-13, -0x1.b3fe23bd8d482p-11, 0x1.6340fec4182d4p-10, -0x1.f51dda94f5595p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.40c4efffc7e23p-13, -0x1.70b348d39c352p-11, 0x1.3dab8e5f5293cp-10, -0x1.d91f0bde360bbp-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fa4ac8ce821a4p-14, -0x1.34b6f75236569p-11, 0x1.1a2fa0aea81f9p-10, -0x1.bd203d2778275p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.89a607e4712e8p-14, -0x1.ff3b5d5ddfb5ep-12, 0x1.f19a6b64316cfp-11, -0x1.a1216e70204aep-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.2cefe69dcc8fp-14, -0x1.a1f7dcbeb795cp-12, 0x1.b3089ad35fc72p-11, -0x1.85229fbbae193p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.c34f5d1cc451fp-15, -0x1.50cc6bb22333bp-12, 0x1.78a9cfaa6c106p-11, -0x1.6923d0fc09081p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.4aef5302bc98p-15, -0x1.0ae209233190bp-12, 0x1.427e09eb044f6p-11, -0x1.4d2502659d655p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.d8d485e52f761p-16, -0x1.9ec367fac9f86p-13, 0x1.1085498ef9806p-11, -0x1.31263336bf2d8p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.478182c050141p-16, -0x1.3ae8d65529589p-13, 0x1.c57f1d5a53405p-12, -0x1.1527663fcfeffp-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.b5258cb7f2a8p-17, -0x1.d10cb66b4d388p-14, 0x1.7259b1e0c8108p-12, -0x1.f25122024bc06p-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.16c2f6b5875p-17, -0x1.4bdbe89bb2ab2p-14, 0x1.279a532d3cb4p-12, -0x1.ba53b554a87f4p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.4fcb34f302fp-18, -0x1.c5c67ff472164p-15, 0x1.ca81eff446dcp-13, -0x1.825561f62f075p-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.77bf42fbe24p-19, -0x1.258d68692f9b6p-15, 0x1.569b85c4058d6p-13, -0x1.4a5a6b8cb83cdp-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.7cdf9fdfb5cp-20, -0x1.60a93f83e1862p-16, 0x1.e700cb00695d6p-14, -0x1.1252e7ff223dep-12}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.4fc606179bp-21, -0x1.7d8eb825f1d6cp-17, 0x1.4268a634219c2p-14, -0x1.b4f4781a0074p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.dedcf6dcb8001p-23, -0x1.60214ffeb8413p-18, 0x1.7ea50458a95a1p-15, -0x1.43e57da3bc99ep-13}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.db8e10c6a0001p-25, -0x1.eeff9634ab5bap-20, 0x1.789d0b8670638p-16, -0x1.afdebc7ad7762p-14}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.b8831a668p-28, -0x1.8edba1e73e67ap-22, 0x1.d5f7368c89433p-18, -0x1.63cdd4a66e242p-15}, 
        {0x1.a666666666666p+2, 0x1.a7ae147ae147bp+2, 0x1.77bf42bffffffp-35, 0x1.707d2763dff6p-27, 0x1.5801baf35cp-21, -0x1.457469a20372p-12}, 
      }}, 
      0x1.400f67667ea04p-6, -0x1.71f1c511923bbp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.6cf9d309aa547p+0, -0x1.6a20cc004048bp+0, -0x1.657ce15c0bd3ap+0, -0x1.5f32ebc32b4bbp+0, -0x1.57709a03a6429p+0, -0x1.4e68e477b2d46p+0, -0x1.445102c910267p+0, -0x1.395dfe1acc4f1p+0, -0x1.2dc2dbc26d6dap+0, -0x1.21af4f83f0091p+0, -0x1.154ee01e37d43p+0, -0x1.08c869660e5fbp+0, -0x1.f87bd1a308c07p-1, -0x1.df99066da1a8ep-1, -0x1.c719698a2c89cp-1, -0x1.af253cd3c6b87p-1, -0x1.97dccb6b1c047p-1, -0x1.81593cfabef97p-1, -0x1.6bad6e6847c56p-1, -0x1.56e6c6ca33342p-1, -0x1.430e0122af863p-1, -0x1.3027e699379bdp-1, -0x1.1e35f765b049cp-1, -0x1.0d37017dc672ap-1, -0x1.fa4f4afcdd081p-2, -0x1.dc0595e53374ap-2, -0x1.bf840a517dce6p-2, -0x1.a4bbd37b098fap-2, -0x1.8b9cb3d24dd87p-2, -0x1.74157f56fc69p-2, -0x1.5e147fe68741cp-2, -0x1.4987c616a991ep-2, -0x1.365d691c56034p-2, -0x1.2483b81509996p-2, -0x1.13e95f000937dp-2, -0x1.047d818bf6753p-2, -0x1.ec5f9aea8498ep-3, -0x1.d1e10c069a2b6p-3, -0x1.b961149179d31p-3, -0x1.a2c2af37b9c45p-3, -0x1.8dea127593f9fp-3, -0x1.7abcab753a103p-3, -0x1.692115d4ae46p-3, -0x1.58ff11c56539ep-3, -0x1.4a3f79944ae32p-3, -0x1.3ccc36fe56091p-3, -0x1.30903852ed085p-3, -0x1.257765742a50bp-3, -0x1.1b6e94fe44841p-3, -0x1.126381f0edcep-3, -0x1.0a44c2102917ap-3, -0x1.0301bcfafb317p-3, -0x1.f91547a9479c6p-4, -0x1.eda0d2c0883e9p-4, -0x1.e389751210c3bp-4, -0x1.dab3eec47088fp-4, -0x1.d30659650aef4p-4, -0x1.cc681c2e3d2c5p-4, -0x1.c6c1e167cb86fp-4, -0x1.c1fd8cb422873p-4, -0x1.be0632061bb5dp-4, -0x1.bac80cfa35c4ap-4, -0x1.b830785df8e78p-4, -0x1.b62de5bce51bcp-4, -0x1.b4afd4df26da6p-4, -0x1.b3a6cb2e49256p-4, -0x1.b3044b0507145p-4, -0x1.b2bacaeba7449p-4, -0x1.b2bdaccc59519p-4, -0x1.b301352398b69p-4, -0x1.b37a82320baddp-4, -0x1.b41f833b16db9p-4, -0x1.b4e6efc461fc6p-4, -0x1.b5c83eef03bd1p-4, -0x1.b6bb9edc9f187p-4, -0x1.b7b9ec265cea5p-4, -0x1.b8bca981eaffap-4, -0x1.b9bdf75f915fcp-4, -0x1.bab88be205393p-4, -0x1.bba7aaadc2021p-4, -0x1.bc871d49b1456p-4, -0x1.bd532b228040cp-4, -0x1.be0892622f746p-4, -0x1.bea4804a8096dp-4, -0x1.bf248a4c99193p-4, -0x1.bf86a72bf4582p-4, -0x1.bfc927fd23ff1p-4, -0x1.bfeab2110017ap-4, -0x1.bfea38ba43b1dp-4, -0x1.bfc6f64ae665p-4, -0x1.bf8068747cac1p-4, -0x1.bf1647fd6b31ep-4, -0x1.be88856609eabp-4, -0x1.bdd743e4e2b15p-4, -0x1.bd02d260c1e09p-4, -0x1.bc0ba99e04832p-4, -0x1.baf266cac91edp-4, -0x1.b9b7c5963df3cp-4, -0x1.b85c9fca8a089p-4, -0x1.b6e1e7c5cab41p-4, -0x1.b548a28959555p-4, -0x1.b391eab2f1e61p-4, -0x1.b1bee892bb6d2p-4, -0x1.afd0cde33baa4p-4, -0x1.adc8db1a93a96p-4, -0x1.aba8553ae7773p-4, -0x1.a9708433e49e3p-4, -0x1.a722b83d227d1p-4, -0x1.a4c03f9214c95p-4, -0x1.a24a66ccb32c3p-4, -0x1.9fc27d2091767p-4, -0x1.9d29cb9527c86p-4, -0x1.9a819620c827ep-4, -0x1.97cb1ee68cbd2p-4, -0x1.95079f7a32bc9p-4, -0x1.923849c4e2a8cp-4, -0x1.8f5e4a87b6bbbp-4, -0x1.8c7ac4aa4d4e6p-4, -0x1.898ed1cfe83e3p-4, -0x1.869b843abc5ap-4, -0x1.83a1e37ede5b6p-4, -0x1.80a2ed09041edp-4, -0x1.7d9f95e5681dep-4, -0x1.7a98c82060256p-4, -0x1.778f62fd0e6d7p-4, -0x1.74843d3200e3p-4, -0x1.717822edbf2d8p-4, -0x1.6e6bd51a4ea85p-4, -0x1.6b600c02aac71p-4, -0x1.685576acca532p-4, -0x1.654cb8eed190ap-4, -0x1.62466d6aba683p-4, -0x1.5f4326d823492p-4, -0x1.5c436e03fc228p-4, -0x1.5947c1cd37daap-4, -0x1.56509975b474dp-4, -0x1.535e646abd611p-4, -0x1.507188aa97d1bp-4, -0x1.4d8a63c729422p-4, -0x1.4aa94caa17349p-4, -0x1.47ce92e38f3c4p-4, -0x1.44fa7d93335cbp-4, -0x1.422d4c9facd5bp-4, -0x1.3f673a23d2814p-4, -0x1.3ca879bfcc1ap-4, -0x1.39f137b9921cp-4, -0x1.37419a17ee6fep-4, -0x1.3499c1f20e3a5p-4, -0x1.31f9caf982512p-4, -0x1.2f61caa883004p-4, -0x1.2cd1d107af4fcp-4, -0x1.2a49e9f57b8f6p-4, -0x1.27ca1d180aee3p-4, -0x1.25526d16d12bep-4, -0x1.22e2d7de0093ep-4, -0x1.207b57ca12fc4p-4, -0x1.1e1be417f9042p-4, -0x1.1bc47057da0b1p-4, -0x1.1974ec2cc45dfp-4, -0x1.172d44191c8fdp-4, -0x1.14ed624deea35p-4, -0x1.12b52e981508ap-4, -0x1.10848de8e530bp-4, -0x1.0e5b6282fbe62p-4, -0x1.0c398cc4c7746p-4, -0x1.0a1eeb9bc3fdcp-4, -0x1.080b5c52ca39p-4, -0x1.05feba48814acp-4, -0x1.03f8df39b27b6p-4, -0x1.01f9a3e2fdbdp-4, -0x1.0000e04c1b93dp-4, -0x1.fc1cd739fc0c6p-5, -0x1.f84437d19a3e2p-5, -0x1.f4778cd9add0cp-5, -0x1.f0b6801e9365p-5, -0x1.ed00bb3a569bbp-5, -0x1.e955e7603f60fp-5, -0x1.e5b5ad034a1e1p-5, -0x1.e21fb41a04b67p-5, -0x1.de93a4da9b8cp-5, -0x1.db1128328ebb8p-5, -0x1.d797e7c18ff9dp-5, -0x1.d4278d90b2f3ep-5, -0x1.d0bfc40f305d3p-5, -0x1.cd603688754fep-5, -0x1.ca08919aaaa75p-5, -0x1.c6b8835cc820cp-5, -0x1.c36fbb3849a36p-5, -0x1.c02de9b7e18fcp-5, -0x1.bcf2c0ac4a4a9p-5, -0x1.b9bdf38d589b1p-5, -0x1.b68f37b8e4f6cp-5, -0x1.b366447712175p-5, -0x1.b042d2d2d460ep-5, -0x1.ad249d7d41255p-5, -0x1.aa0b60f2bf887p-5, -0x1.a6f6dbb951005p-5, -0x1.a3e6ce80270dbp-5, -0x1.a0dafc1d8e8b4p-5, -0x1.9dd3297206ff2p-5, -0x1.9acf1d4f0f8cfp-5, -0x1.97cea08860f84p-5, -0x1.94d17e18b0c2p-5, -0x1.91d7833515acbp-5, -0x1.8ee07f4ca7ae4p-5, -0x1.8bec43f46fb98p-5, -0x1.88faa4cb6bda3p-5, -0x1.860b7776d0c8dp-5, -0x1.831e93b59dee1p-5, -0x1.8033d36d8e591p-5, -0x1.7d4b12aa4e159p-5, -0x1.7a642f9119779p-5, -0x1.777f0a48b0e61p-5, -0x1.749b84e631353p-5, -0x1.71b9836eb0b7p-5, -0x1.6ed8ebdecc9d1p-5, -0x1.6bf9a6290e5e7p-5, -0x1.691b9c2d19958p-5, -0x1.663eb9a8307b3p-5, -0x1.6362ec1f80fe2p-5, -0x1.608822d0a9f1dp-5, -0x1.5dae4eafce201p-5, -0x1.5ad56266b374ap-5, -0x1.57fd524c914c1p-5, -0x1.55261459b77d3p-5, -0x1.524fa01857c9dp-5, -0x1.4f79ee928c1b8p-5, -0x1.4ca4fa440669bp-5, -0x1.49d0bf13d8a1dp-5, -0x1.46fd3a4e85bebp-5, -0x1.442a6a9a5b8e5p-5, -0x1.41584fe9b2d98p-5, -0x1.3e86eb6e48ab4p-5, -0x1.3bb63f8c3d85bp-5, -0x1.38e64fcc801c7p-5, -0x1.361720d1a5c4ap-5, -0x1.3348b84e3ff01p-5, -0x1.307b1cf90e8b8p-5, -0x1.2dae5680b1959p-5, -0x1.2ae26d8172922p-5, -0x1.28176b7bd73e3p-5, -0x1.254d5ac8927cap-5, -0x1.2284468a58797p-5, -0x1.1fbc3aa13a0dbp-5, -0x1.1cf543a06e32bp-5, -0x1.1a2f6ec522fcap-5, -0x1.176ac9ee20fcdp-5, -0x1.14a76393787d8p-5, -0x1.11e54abc47164p-5, -0x1.0f248ef1e822ep-5, -0x1.0c6540326e451p-5, -0x1.09a76ee652cdap-5, -0x1.06eb2bd9a1c78p-5, -0x1.04308836197b6p-5, -0x1.0177957be9c21p-5, -0x1.fd80caf153e1dp-6, -0x1.f816147979fp-6, -0x1.f2af2c20c43b5p-6, -0x1.ed4c36d3d9d7ap-6, -0x1.e7ed59cd517f1p-6, -0x1.e292ba8c3742p-6, -0x1.dd3c7eca5cbb2p-6, -0x1.d7eacc6eaceb9p-6, -0x1.d29dc97bd6c6ep-6, -0x1.cd559bfe2bad4p-6, -0x1.c81269fbfc247p-6, -0x1.c2d459695c6eep-6, -0x1.bd9b901ec444dp-6, -0x1.b86833d0f23f5p-6, -0x1.b33a6a0806b6p-6, -0x1.ae12581426005p-6, -0x1.a8f022ffc10e6p-6, -0x1.a3d3ef820bc04p-6, -0x1.9ebde1f43d7afp-6, -0x1.99ae1e49ea176p-6, -0x1.94a4c80b4d078p-6, -0x1.8fa2024f98006p-6, -0x1.8aa5efb56dafep-6, -0x1.85b0b25a1dad9p-6, -0x1.80c26bcff12afp-6, -0x1.7bdb3d153655dp-6, -0x1.76fb468cda052p-6, -0x1.7222a7f997909p-6, -0x1.6d51807a9963fp-6, -0x1.6887ee8885f0dp-6, -0x1.63c60ff12f989p-6, -0x1.5f0c01d1e9ab4p-6, -0x1.5a59e0910c685p-6, -0x1.55afc7d7f58c1p-6, -0x1.510dd28e95bfp-6, -0x1.4c741ad86bef8p-6, -0x1.47e2ba13002e5p-6, -0x1.4359c8d4e43e4p-6, -0x1.3ed95eec4f836p-6, -0x1.3a61935cd9c3ep-6, -0x1.35f27c5c686f8p-6, -0x1.318c2f4ff315dp-6, -0x1.2d2ec0c89a31ep-6, -0x1.28da4482258b7p-6, -0x1.248ecd62b61acp-6, -0x1.204c6d7b09969p-6, -0x1.1c13360766305p-6, -0x1.17e3376fd934fp-6, -0x1.13bc814800299p-6, -0x1.0f9f224e4fb9cp-6, -0x1.0b8b286b7dd4cp-6, -0x1.0780a0b1fbfa3p-6, -0x1.037f975e590a2p-6, -0x1.ff102fb0cd69dp-7, -0x1.f7345969c2343p-7, -0x1.ef6bbf6f4377p-7, -0x1.e7b673aad32dep-7, -0x1.e014866af5642p-7, -0x1.d8860665d96p-7, -0x1.d10b00bb6acf1p-7, -0x1.c9a380f79434ap-7, -0x1.c24f9115cee43p-7, -0x1.bb0f3984ad5aep-7, -0x1.b3e2812b6ceb4p-7, -0x1.acc96d6f1ddbap-7, -0x1.a5c40238d1493p-7, -0x1.9ed241fb15b8p-7, -0x1.97f42db773a1fp-7, -0x1.9129c50365bb7p-7, -0x1.8a73060d08085p-7, -0x1.83cfeda02f16fp-7, -0x1.7d40772c1cdaep-7, -0x1.76c49cc9260cap-7, -0x1.705c573f780c9p-7, -0x1.6a079e0dd3834p-7, -0x1.63c6677014579p-7, -0x1.5d98a8655b59bp-7, -0x1.577e54b5df439p-7, -0x1.51775ef85b358p-7, -0x1.4b83b897b6e67p-7, -0x1.45a351d905aa3p-7, -0x1.3fd619e3338f6p-7, -0x1.3a1bfec762d5ap-7, -0x1.3474ed8ab802fp-7, -0x1.2ee0d22fe31eep-7, -0x1.295f97c016485p-7, -0x1.23f12851b7e44p-7, -0x1.1e956d0c97d1ep-7, -0x1.194c4e2b419c2p-7, -0x1.1415b2fafb355p-7, -0x1.0ef181dc135b1p-7, -0x1.09dfa044b716dp-7, -0x1.04dff2c8d49f2p-7, -0x1.ffe4ba4fc3097p-8, -0x1.f62d84bf4b0ebp-8, -0x1.ec9a098395bep-8, -0x1.e32a0c1079ae2p-8, -0x1.d9dd4ec732cd9p-8, -0x1.d0b392ff628a2p-8, -0x1.c7ac98f980f2dp-8, -0x1.bec81fbcd829bp-8, -0x1.b605e4eb7e6a2p-8, -0x1.ad65a49a54491p-8, -0x1.a4e7193e09e2dp-8, -0x1.9c89fbbb50233p-8, -0x1.944e039efc9a5p-8, -0x1.8c32e77af1474p-8, -0x1.84385d56ea3c7p-8, -0x1.7c5e1b1c9f483p-8, -0x1.74a3d6e347effp-8, -0x1.6d0947039426ap-8, -0x1.658e21e753484p-8, -0x1.5e321d9abc21ep-8, -0x1.56f4ef35d591ep-8, -0x1.4fd64a439b98dp-8, -0x1.48d5e0523e83dp-8, -0x1.41f360d35f64dp-8, -0x1.3b2e79629e523p-8, -0x1.3486d67108928p-8, -0x1.2dfc24389c485p-8, -0x1.278e0fc62c69ep-8, -0x1.213c47da14ab6p-8, -0x1.1b067d64f8cd3p-8, -0x1.14ec6376f95cap-8, -0x1.0eedae9a9c83dp-8, -0x1.090a13b4057bp-8, -0x1.034146a37f576p-8, -0x1.fb25f1f8426dep-9, -0x1.effdb245fea0dp-9, -0x1.e509242e47195p-9, -0x1.da4798028ebep-9, -0x1.cfb85af263216p-9, -0x1.c55aba8610ce3p-9, -0x1.bb2e084de789fp-9, -0x1.b1319cee9740ap-9, -0x1.a764d9cf43858p-9, -0x1.9dc728f87dc0dp-9, -0x1.9457fb15370e2p-9, -0x1.8b16c3fabee95p-9, -0x1.8202f6736cfe2p-9, -0x1.791c003b9ea3cp-9, -0x1.7061471b1e9aep-9, -0x1.67d227c8d8a15p-9, -0x1.5f6df6e6786ebp-9, -0x1.573403e5de5acp-9, -0x1.4f239d3f3b265p-9, -0x1.473c150c29ce4p-9, -0x1.3f7cc506e6693p-9, -0x1.37e5110931b12p-9, -0x1.307467873a8a1p-9, -0x1.292a3ff279c8dp-9, -0x1.22061774e76acp-9, -0x1.1b076ccb94a8p-9, -0x1.142dbc34c4935p-9, -0x1.0d787c540dd0fp-9, -0x1.06e71caaa4e0bp-9, -0x1.007905e594ceep-9, -0x1.f45b37b881336p-10, -0x1.e8088184c8427p-10, -0x1.dbf8b19f2283ap-10, -0x1.d02a9b0165613p-10, -0x1.c49d1f6fb6821p-10, -0x1.b94f304c8dcb2p-10, -0x1.ae3fcbfeefc52p-10, -0x1.a36df8a226e77p-10, -0x1.98d8bd9c82848p-10, -0x1.8e7f1dfd3294cp-10, -0x1.8460152dc1e02p-10, -0x1.7a7a96c0472d5p-10, -0x1.70cd912ce7ebcp-10, -0x1.6757f299fe0e4p-10, -0x1.5e18ae67eed09p-10, -0x1.550ec242b7d6ap-10, -0x1.4c3939b217f11p-10, -0x1.43972f6c49ac2p-10, -0x1.3b27cc01e077p-10, -0x1.32ea41e19ce5ep-10, -0x1.2addc71aee526p-10, -0x1.23018e0e56868p-10, -0x1.1b54befb8c25bp-10, -0x1.13d6737863f99p-10, -0x1.0c85b5aa857efp-10, -0x1.05618385f0b5bp-10, -0x1.fcd1aa4cba08ap-11, -0x1.ef3549ed087e3p-11, -0x1.e1ebf0002a55fp-11, -0x1.d4f3c9cf10aap-11, -0x1.c84b30a0379p-11, -0x1.bbf0ab745c5e2p-11, -0x1.afe2e90f2b7acp-11, -0x1.a420b38361533p-11, -0x1.98a8e04c7efd6p-11, -0x1.8d7a40e8e291ep-11, -0x1.8293975647f7dp-11, -0x1.77f3904022f0cp-11, -0x1.6d98c2d09117dp-11, -0x1.6381b4912b6d7p-11, -0x1.59acdf04a3346p-11, -0x1.5018b4e3fcd4bp-11, -0x1.46c3a659d63ccp-11, -0x1.3dac25486d2f1p-11, -0x1.34d0aae58a51ep-11, -0x1.2c2fbee1f3cdp-11, -0x1.23c7fd7e5d83p-11, -0x1.1b9819044974ep-11, -0x1.139ed4d2e0dafp-11, -0x1.0bdafc2b9318bp-11, -0x1.044b5a3fabf7ap-11, -0x1.f9dd71c8054f6p-12, -0x1.eb87cf0a579b2p-12, -0x1.dd938dff0b602p-12, -0x1.cffea842db341p-12, -0x1.c2c7569c2e6f5p-12, -0x1.b5ec06d3e763fp-12, -0x1.a96b45736d46fp-12, -0x1.9d43a63f25317p-12, -0x1.9173b41f948b7p-12, -0x1.85f9e7ef22088p-12, -0x1.7ad49cdd1187ap-12, -0x1.7001f969e24f2p-12, -0x1.657fce955ed5dp-12, -0x1.5b4b7bf0ea6dp-12, -0x1.5161ed603008ap-12, -0x1.47bfc102bb755p-12, -0x1.3e619317e7986p-12, -0x1.35445b3fba3bdp-12, -0x1.2c65bc1f7d859p-12, -0x1.23c4251692a7dp-12, -0x1.1b5eb8530f2d6p-12, -0x1.1335014dffd2ep-12, -0x1.0b469eb604a43p-12, -0x1.0393096d82c62p-12, -0x1.f8332c3850bc6p-13, -0x1.e9b34d7edac4p-13, -0x1.dba5b90b845c9p-13, -0x1.ce0a2e16d5cbbp-13, -0x1.c0e05ead111efp-13, -0x1.b4270d88363p-13, -0x1.a7db339a6eec6p-13, -0x1.9bf7916e4d955p-13, -0x1.9074ebed0e01p-13, -0x1.854af75956466p-13, -0x1.7a71b5c9ae6a1p-13, -0x1.6fe2e1dba884ep-13, -0x1.659ae68d8705cp-13, -0x1.5b98f49921ce2p-13, -0x1.51de167a687f5p-13, -0x1.486ba753539f1p-13, -0x1.3f41f93dce8fbp-13, -0x1.365fea8b92697p-13, -0x1.2dc3929399a15p-13, -0x1.256b70fe28144p-13, -0x1.1d573e097939fp-13, -0x1.1587d5638b50dp-13, -0x1.0dfe57956325cp-13, -0x1.06bb0d714f04fp-13, -0x1.ff7957f3a8f5dp-14, -0x1.f2008bf5d11dcp-14, -0x1.e503711b3a01fp-14, -0x1.d8782468bc1e7p-14, -0x1.cc53ad9e00b62p-14, -0x1.c08adb00333d1p-14, -0x1.b51412345ca0ep-14, -0x1.a9e98c3e51dep-14, -0x1.9f0a66db111cap-14, -0x1.94795ee8a038ep-14, -0x1.8a39c9f56adafp-14, -0x1.804cd8991e03ap-14, -0x1.76b0d3bbe4b22p-14, -0x1.6d625cd005c0bp-14, -0x1.645e96985645p-14, -0x1.5ba4ee490b083p-14, -0x1.5337217b0a76p-14, -0x1.4b16f62e75e96p-14, -0x1.43437fb0f4958p-14, -0x1.3bb89ae7cb784p-14, -0x1.3470d5424dd02p-14, -0x1.2d67b0bf1f5cfp-14, -0x1.269a9de435b93p-14, -0x1.20086ad6376c6p-14, -0x1.19afbf8dff181p-14, -0x1.138dacc3b6172p-14, -0x1.0d9d445af69a8p-14, -0x1.07d8734419c83p-14, -0x1.0239c149a30f4p-14, -0x1.f97cdc4223c09p-15, -0x1.eecf289105576p-15, -0x1.e471750f98902p-15, -0x1.da6873bbe6585p-15, -0x1.d0b11d135385bp-15, -0x1.c744558841944p-15, -0x1.be2088587f961p-15, -0x1.b54ae908ad6b9p-15, -0x1.acc5cb1dfc8cfp-15, -0x1.a48af3e4bbbe2p-15, -0x1.9c9021fc1418dp-15, -0x1.94cd3d22f7cfbp-15, -0x1.8d3e03f6df808p-15, -0x1.85e0d8b6ced02p-15, -0x1.7eb5e0aa9f99ep-15, -0x1.77bf2a044b774p-15, -0x1.71006731da3bfp-15, -0x1.6a7d022135e47p-15, -0x1.64351206403aep-15, -0x1.5e224f7e3f75dp-15, -0x1.5836bdde58caep-15, -0x1.52629ce4f9273p-15, -0x1.4ca1e8e1a6dc3p-15, -0x1.470047de60a12p-15, -0x1.418910ba10252p-15, -0x1.3c3897cf7b3c8p-15, -0x1.370585992f89ap-15, -0x1.31f17585504a5p-15, -0x1.2d03ccdc7a289p-15, -0x1.283bd17889aa4p-15, -0x1.239192f3e9df6p-15, -0x1.1efe26ff9ae41p-15, -0x1.1a7eb94e95032p-15, -0x1.161304c92bca9p-15, -0x1.11bb4503d6316p-15, -0x1.0d77372770194p-15, -0x1.0946444533ca9p-15, -0x1.05287c343a349p-15, -0x1.011f7b2b10ab5p-15, -0x1.fa5c2c1c12f98p-16, -0x1.f2ad8e6309ep-16, -0x1.eb3379d6bec08p-16, -0x1.e3e42db02f214p-16, -0x1.dcaaaccf62e59p-16, -0x1.d578c221d621p-16, -0x1.ce57d58984786p-16, -0x1.c756417077257p-16, -0x1.c0701223d72cep-16, -0x1.b99d88feaacd7p-16, -0x1.b2e48c7e47db6p-16, -0x1.ac4cd94bdd4fap-16, -0x1.a5d238eb0bb07p-16, -0x1.9f6af4d555c5dp-16, -0x1.9911c7b70462bp-16, -0x1.92c62dff61b49p-16, -0x1.8c892b6b6e67fp-16, -0x1.865b831e61d73p-16, -0x1.803d4ff59a433p-16, -0x1.7a2e13b4cffep-16, -0x1.742cf9e63bbcep-16, -0x1.6e3961ebc9663p-16, -0x1.685378dcb8d1bp-16, -0x1.627c3afcbac7ap-16, -0x1.5cb4d4666f2b9p-16, -0x1.56fee65d3153ap-16, -0x1.515bc2306f94p-16, -0x1.4bc6f4c4b17cap-16, -0x1.463ba9b3a4c6cp-16, -0x1.40bb7e07ef40ep-16, -0x1.3b3fe39f3d76cp-16, -0x1.35c8498f67ec9p-16, -0x1.305da97b22166p-16, -0x1.2afd47f145fe2p-16, -0x1.25a8225207844p-16, -0x1.205fd3b4e23ffp-16, -0x1.1b1ff0d5ccfc4p-16, -0x1.15e60a57f4835p-16, -0x1.10b293adedfcbp-16, -0x1.0b86786ad312ap-16, -0x1.06623935e2d1cp-16, -0x1.0145fcc0c0defp-16, -0x1.f8638339e198bp-17, -0x1.ee4ae7c5a1d65p-17, -0x1.e441db86516efp-17, -0x1.da47f9f99b92p-17, -0x1.d05cfbfa37c65p-17, -0x1.c680e7dbc7351p-17, -0x1.bcb38dc17dccep-17, -0x1.b2f440571fd8p-17, -0x1.a946374307685p-17, -0x1.9fb05bf758c05p-17, -0x1.962afaec8bf0fp-17, -0x1.8cb186d10806ap-17, -0x1.8349ba696b31fp-17, -0x1.79ed6059da40fp-17, -0x1.70a3a8f27fd5ap-17, -0x1.67679878e672ap-17, -0x1.5e33ff14272dap-17, -0x1.5515e307b6378p-17, -0x1.4c0a386e57c39p-17, -0x1.430bc09fbb3c6p-17, -0x1.3a1af4537e863p-17, -0x1.313959562daabp-17, -0x1.2867c8ecbb956p-17, -0x1.1fa69c239ea9cp-17, -0x1.16f5fd9696927p-17, -0x1.0e5615c8ddda5p-17, -0x1.05c716f118d2cp-17, -0x1.fa925c72cf4e8p-18, -0x1.e9b8d3c1efa74p-18, -0x1.d901672297c17p-18, -0x1.c86bf5ff3ec2ep-18, -0x1.b7f8d9f437fbep-18, -0x1.a7a834fd79435p-18, -0x1.9778c7e3b850dp-18, -0x1.876de84c1c2bap-18, -0x1.7794869daac08p-18, -0x1.67e1dd2af7b42p-18, -0x1.58441313e9c63p-18, -0x1.48c675a0f9c28p-18, -0x1.39873c71720bep-18, -0x1.2a708cdd23c4cp-18, -0x1.1b6eada171942p-18, -0x1.0c8dd18aacb81p-18, -0x1.fbbe1c4ec0c87p-19, -0x1.deb062e4a1bf9p-19, -0x1.c1eac45fcf54p-19, -0x1.a571bfab9ea4p-19, -0x1.894869ad858a8p-19, -0x1.6d6ff89f9a965p-19, -0x1.51e8ef591b698p-19, -0x1.36b3a87dceee9p-19, -0x1.1bd0877d7f006p-19, -0x1.01400ae23eb9p-19, -0x1.ce05897c10c32p-20, -0x1.9a325e695c655p-20, -0x1.6706e6aa552e1p-20, -0x1.3482c1b03697ep-20, -0x1.02a589632106cp-20, -0x1.a2e01758af407p-21, -0x1.41c8dd19f7619p-21, -0x1.c409ee2c54facp-22, -0x1.0719369a2a55cp-22, -0x1.3407bcb684f0fp-24, 0x1.a841252a85f05p-24, 0x1.1f01ec1ee7859p-22, 0x1.d13f05fd7ea41p-22, 0x1.4040c42be34e9p-21, 0x1.96716b3169706p-21, 0x1.eb4c8f9e75f18p-21, 0x1.1f85366e64eb2p-20, 0x1.48a137790f52bp-20, 0x1.710a94563900ep-20, 0x1.98ce447fdb74ep-20, 0x1.bfe6c86c02c77p-20, 0x1.e65191fadd819p-20, 0x1.06072ac761e57p-19, 0x1.188eade694be3p-19, 0x1.2abf81f942f9bp-19, 0x1.3c99d57a4b714p-19, 0x1.4e1dd3793fc7fp-19, 0x1.5f4ba18db06ap-19, 0x1.7023605bdece4p-19, 0x1.80a5367c3e058p-19, 0x1.90d1643a4f034p-19, 0x1.a0a84d73f1125p-19, 0x1.b02a6bfbbf35ap-19, 0x1.bf58298d448f2p-19, 0x1.ce3199e51cf1dp-19, 0x1.dcb66cb87d3b8p-19, 0x1.eae7165b780f5p-19, 0x1.f8c6173dbc11bp-19, 0x1.032898489803ap-18, 0x1.09c3e585a96edp-18, 0x1.103741b9a8fc4p-18, 0x1.167f9cb63dd35p-18, 0x1.1ca0b74d63f2ep-18, 0x1.229a792aacbb5p-18, 0x1.286a5254cc094p-18, 0x1.2e135e20feecfp-18, 0x1.3392ede83c385p-18, 0x1.38eb9ccacc32ep-18, 0x1.3e1dbe31f5898p-18, 0x1.4328f47b1f648p-18, 0x1.480d6aeac3a2ap-18, 0x1.4ccb6ebdcaa96p-18, 0x1.51635075fd5a7p-18, 0x1.55d56001f88efp-18, 0x1.5a21ed27a1d97p-18, 0x1.5e494800fdeebp-18, 0x1.624bc0c938beap-18, 0x1.6629a91dd5cc7p-18, 0x1.69e3513ecd784p-18, 0x1.6d790b1cb7808p-18, 0x1.70eb2ce24d592p-18, 0x1.743a116f0144fp-18, 0x1.776616c478cep-18, 0x1.7a6f9b4fee31cp-18, 0x1.7d56f4f73a1bfp-18, 0x1.801c6394b3c12p-18, 0x1.82c029cf3b9aap-18, 0x1.8542e12e341cp-18, 0x1.87a5764aa56d3p-18, 0x1.89e7610f30539p-18, 0x1.8c0894f0ca67cp-18, 0x1.8e0a0aed8501ap-18, 0x1.8feca0c2406d1p-18, 0x1.91b06ba99015bp-18, 0x1.93562e401164dp-18, 0x1.94dd8f9d7ffeap-18, 0x1.9646690c284edp-18, 0x1.979200dd08215p-18, 0x1.98c1059024418p-18, 0x1.99d376c4f0ee2p-18, 0x1.9ac9a953f9003p-18, 0x1.9ba4047086599p-18, 0x1.9c62ef29beaa1p-18, 0x1.9d06cf7df4ccap-18, 0x1.9d900ae5e717ep-18, 0x1.9dff069f0f267p-18, 0x1.9e5427d709fbcp-18, 0x1.9e8fd3abbae4bp-18, 0x1.9eb26f25bb083p-18, 0x1.9ebc5f0ed2506p-18, 0x1.9eae07e11d2f4p-18, 0x1.9e87cdeafaa07p-18, 0x1.9e49e97cfa706p-18, 0x1.9df542d93f124p-18, 0x1.9d89c7d7579f3p-18, 0x1.9d07fb45c2c02p-18, 0x1.9c704674c798p-18, 0x1.9bc30732e3143p-18, 0x1.9b0098f2a3125p-18, 0x1.9a2966340d361p-18, 0x1.993e0197767aap-18, 0x1.983ed05d57bf7p-18, 0x1.972b7fe7361bfp-18, 0x1.96051b5140bc3p-18, 0x1.94cc04d9333dep-18, 0x1.93807376e887p-18, 0x1.9222e00f2f9e4p-18, 0x1.90b3d4ea801d1p-18, 0x1.8f3311bba138dp-18, 0x1.8da1592e5c428p-18, 0x1.8bff43e4f4384p-18, 0x1.8a4cad6009fa8p-18, 0x1.888ab437e5cbfp-18, 0x1.86b8fc1d84489p-18, 0x1.84d82b9df3316p-18, 0x1.82e898ac414a9p-18, 0x1.80ea9da682045p-18, 0x1.7ede94f151b24p-18, 0x1.7cc4d85ab4b0ep-18, 0x1.7a9dc0c86113ap-18, 0x1.7869a6c599a77p-18, 0x1.7628e1eff8b0fp-18, 0x1.73dbc93acd9c8p-18, 0x1.7182b2ce5f413p-18, 0x1.6f1df402963ddp-18, 0x1.6cade173db9c8p-18, 0x1.6a32cf1c22c75p-18, 0x1.67ad1047591dfp-18, 0x1.651cf77cd213cp-18, 0x1.6282d67cc954fp-18, 0x1.5fdefe2007093p-18, 0x1.5d31bd7a64e02p-18, 0x1.5a7b61dfe853fp-18, 0x1.57bc39b05dda8p-18, 0x1.54f4975d3973ap-18, 0x1.5224d98fd6e1dp-18, 0x1.4f4d19e8e6b48p-18, 0x1.4c6dbd9d3f386p-18, 0x1.49871d9596ed2p-18, 0x1.469975054f8c1p-18, 0x1.43a50fe85957p-18, 0x1.40aa445709cd5p-18, 0x1.3da92c199c6efp-18, 0x1.3aa22e30543ap-18, 0x1.37959224bee04p-18, 0x1.3483936b96b58p-18, 0x1.316c74d81a34cp-18, 0x1.2e507803f2801p-18, 0x1.2b2fe26dbdce3p-18, 0x1.280af00fe49e1p-18, 0x1.24e1e2551b223p-18, 0x1.21b4f8e03434dp-18, 0x1.1e84744500abfp-18, 0x1.1b5043d555409p-18, 0x1.1819d4fd35c03p-18, 0x1.14df6b064b844p-18, 0x1.11a2bc75e965p-18, 0x1.0e638db017136p-18, 0x1.0b2221f595c4ep-18, 0x1.07deae85df626p-18, 0x1.04996954d41edp-18, 0x1.015281cf4bdb8p-18, 0x1.fc147db3fd926p-19, 0x1.f5818583aa23p-19, 0x1.eeec8ce0383fap-19, 0x1.e855f721187e3p-19, 0x1.e1be27f31bf6dp-19, 0x1.db2580398dcaap-19, 0x1.d48c5fd767273p-19, 0x1.cdf322ab57d9p-19, 0x1.c75a25c3494d9p-19, 0x1.c0c1c3c5eeae5p-19, 0x1.ba2a5929c8c3ap-19, 0x1.b394310209672p-19, 0x1.acffa903ee3f2p-19, 0x1.a66d157eb832p-19, }}, 
      {{-0x1.6d26527e7a25bp+0, -0x1.6acf07a644e5ep+0, -0x1.66f7929ae88dbp+0, -0x1.61b549c23acbap+0, -0x1.5b2358a17db77p+0, -0x1.536101dae9548p+0, -0x1.4a90094d73b5bp+0, -0x1.40d358c5e52d6p+0, -0x1.364de3f7a7d87p+0, -0x1.2b21c922d3362p+0, -0x1.1f6fa8690ede5p+0, -0x1.13562aa778c19p+0, -0x1.06f1b09ad0663p+0, -0x1.f4b846e047cccp-1, -0x1.db59c0bde2c5fp-1, -0x1.c1f172e05c532p-1, -0x1.a8a40c922d3b8p-1, -0x1.8f918135bdb4fp-1, -0x1.76d551211fb86p-1, -0x1.5e86dc71875cep-1, -0x1.46b9bb0bdf1fp-1, -0x1.2f7e16150b523p-1, -0x1.18e100310b08ep-1, -0x1.02eccab105eacp-1, -0x1.db52acfb3f33cp-2, -0x1.b238bff68ac4dp-2, -0x1.8a938adba2dcdp-2, -0x1.64678f1d7b717p-2, -0x1.3fb68875c8b75p-2, -0x1.1c7fd6a9ae0ep-2, -0x1.f581b7f148f64p-3, -0x1.b4eaa1e2ab594p-3, -0x1.772f1d176f1dap-3, -0x1.3c419de1cba4dp-3, -0x1.0412cb7412818p-3, -0x1.9d23c3566fc2dp-4, -0x1.375a0a8e40e38p-4, -0x1.ad462c86ff785p-5, -0x1.eb61a2018e4a9p-6, -0x1.1e960f9491e4fp-7, 0x1.74ac3cfb6a127p-7, 0x1.f22108df26affp-6, 0x1.8c5a4c0d4ff8bp-5, 0x1.0baba62bab0adp-4, 0x1.4d2ac953b8c0cp-4, 0x1.8ad1094ad9619p-4, 0x1.c4c4394c3f301p-4, 0x1.fb297263cbf57p-4, 0x1.171282488712ap-3, 0x1.2eed35a827a7cp-3, 0x1.453622556a19cp-3, 0x1.59fe253c2c73fp-3, 0x1.6d55a6dbf4784p-3, 0x1.7f4c99ecb8765p-3, 0x1.8ff27ad58bf3ap-3, 0x1.9f564fc3d64efp-3, 0x1.ad86a9349d4d1p-3, 0x1.ba91a2ce67c33p-3, 0x1.c684e478b820fp-3, 0x1.d16da3a85af98p-3, 0x1.db58a4dc7d5c7p-3, 0x1.e4523d4816243p-3, 0x1.ec6654a1e7eb9p-3, 0x1.f3a06713dc919p-3, 0x1.fa0b8742ac741p-3, 0x1.ffb260672c39p-3, 0x1.024f9c3a17dc1p-2, 0x1.046df922b87e8p-2, 0x1.063907ea7ed52p-2, 0x1.07b55a3ac9bd2p-2, 0x1.08e75388c6e0dp-2, 0x1.09d32a36b1fc6p-2, 0x1.0a7ce8b669dddp-2, 0x1.0ae86ead84764p-2, 0x1.0b1972197f81dp-2, 0x1.0b13807463f99p-2, 0x1.0ad9ffd8dda99p-2, 0x1.0a70302517e0dp-2, 0x1.09d92c1ce4edcp-2, 0x1.0917ea891c3e3p-2, 0x1.082f3f56434c1p-2, 0x1.0721dcaf31651p-2, 0x1.05f25416e4bep-2, 0x1.04a3177d2278ep-2, 0x1.03367a5207c05p-2, 0x1.01aeb29362caap-2, 0x1.000dd9d86292ep-2, 0x1.fcabdcadb2847p-3, 0x1.f911a7cc75e09p-3, 0x1.f550a9f75f117p-3, 0x1.f16c474bb4badp-3, 0x1.ed67b4fc190c3p-3, 0x1.e945fb38dbd41p-3, 0x1.e509f70250d52p-3, 0x1.e0b65bf338d96p-3, 0x1.dc4db60a8020dp-3, 0x1.d7d26b54f0b1bp-3, 0x1.d346bd9d0eae1p-3, 0x1.ceaccc079c764p-3, 0x1.ca06949d204fcp-3, 0x1.c555f5d27c8e2p-3, 0x1.c09cb006ccb6ap-3, 0x1.bbdc66e6519f4p-3, 0x1.b716a2d5da312p-3, 0x1.b24cd25506a4dp-3, 0x1.ad804b359ecap-3, 0x1.a8b24befc4253p-3, 0x1.a3e3fcdbb6fa9p-3, 0x1.9f16713fdb47fp-3, 0x1.9a4aa886fad98p-3, 0x1.95818f4bb68f1p-3, 0x1.90bc0044f8ac2p-3, 0x1.8bfac55ad6669p-3, 0x1.873e988c3577ep-3, 0x1.828824c18e77dp-3, 0x1.7dd806c253702p-3, 0x1.792ecdfecdc99p-3, 0x1.748cfd4c4d9e2p-3, 0x1.6ff30bbac6278p-3, 0x1.6b616546b546dp-3, 0x1.66d86b7c1c448p-3, 0x1.6258762c0d7d3p-3, 0x1.5de1d407af137p-3, 0x1.5974cb28c1552p-3, 0x1.551199a88569dp-3, 0x1.50b87627c7b1ep-3, 0x1.4c699040f733ap-3, 0x1.4825110317c99p-3, 0x1.43eb1b6af578dp-3, 0x1.3fbbccc6758ccp-3, 0x1.3b973d166910fp-3, 0x1.377d7f7877a73p-3, 0x1.336ea2827a95p-3, 0x1.2f6ab090b34f7p-3, 0x1.2b71b01b45859p-3, 0x1.2783a40a9188ep-3, 0x1.23a08bfb03644p-3, 0x1.1fc8647cd4e3fp-3, 0x1.1bfb275a5ec98p-3, 0x1.1838cbd7e2be6p-3, 0x1.148146e688baep-3, 0x1.10d48b571eda4p-3, 0x1.0d328a1130219p-3, 0x1.099b32436e319p-3, 0x1.060e718a74261p-3, 0x1.028c3417bffe4p-3, 0x1.fe28c9b93d631p-4, 0x1.f74ddb5ebf6d2p-4, 0x1.f0876ed2f3a77p-4, 0x1.e9d55408ebd32p-4, 0x1.e3375974ec6b9p-4, 0x1.dcad4c48065a7p-4, 0x1.d636f89e4f78cp-4, 0x1.cfd429a867c1bp-4, 0x1.c984a9da53adp-4, 0x1.c348431a4bfaep-4, 0x1.bd1ebee5558adp-4, 0x1.b707e66bfe693p-4, 0x1.b10382b0cd631p-4, 0x1.ab115caaadf3dp-4, 0x1.a5313d62725a4p-4, 0x1.9f62ee077a0cdp-4, 0x1.99a6380177101p-4, 0x1.93fae505c8e97p-4, 0x1.8e60bf2de4bafp-4, 0x1.88d791081aa2bp-4, 0x1.835f25a267449p-4, 0x1.7df7489463cbap-4, 0x1.789fc60c7ea6ep-4, 0x1.73586add72056p-4, 0x1.6e21048706501p-4, 0x1.68f9613a55c23p-4, 0x1.63e14fddbb904p-4, 0x1.5ed8a013f89d6p-4, 0x1.59df22436507ep-4, 0x1.54f4a79990539p-4, 0x1.5019020b5aeb7p-4, 0x1.4b4c0454d7b2ep-4, 0x1.468d81fb74979p-4, 0x1.41dd4f50e17c9p-4, 0x1.3d3b417387536p-4, 0x1.38a72e4c5f306p-4, 0x1.3420ec8c4bc27p-4, 0x1.2fa853aa36115p-4, 0x1.2b3d3be2a3fp-4, 0x1.26df7e36a3ca3p-4, 0x1.228ef468e9111p-4, 0x1.1e4b78f95ef12p-4, 0x1.1a14e720b12eap-4, 0x1.15eb1acd78ee7p-4, 0x1.11cdf0a20f63dp-4, 0x1.0dbd45f14028ep-4, 0x1.09b8f8b9a4e3ep-4, 0x1.05c0e7a04f6c1p-4, 0x1.01d4f1ec075a5p-4, 0x1.fbe9ef03b8b9p-5, 0x1.f441b1c34e3cdp-5, 0x1.ecb0ee43964afp-5, 0x1.e53767d4ae009p-5, 0x1.ddd4e2df984d2p-5, 0x1.d68924dc94d59p-5, 0x1.cf53f44b4acc8p-5, 0x1.c83518aaac02fp-5, 0x1.c12c5a71645c5p-5, 0x1.ba398304868bfp-5, 0x1.b35c5cadbebb4p-5, 0x1.ac94b29241136p-5, 0x1.a5e250aa6d1e9p-5, 0x1.9f4503bafdb1bp-5, 0x1.98bc994d95edep-5, 0x1.9248dfa8c9432p-5, 0x1.8be9a5c7da9e1p-5, 0x1.859ebb5279d33p-5, 0x1.7f67f0954aff9p-5, 0x1.7945167b767f8p-5, 0x1.7335fe884eb5fp-5, 0x1.6d3a7ad0b78dp-5, 0x1.67525df4971c3p-5, 0x1.617d7b18589a9p-5, 0x1.5bbba5de6577p-5, 0x1.560cb2611bb1bp-5, 0x1.5070752d8c0efp-5, 0x1.4ae6c33e68d7cp-5, 0x1.456f71f70bd2fp-5, 0x1.400a571e8ff2cp-5, 0x1.3ab748dac82cep-5, 0x1.35761dab2a023p-5, 0x1.3046ac643872cp-5, 0x1.2b28cc2bb88d1p-5, 0x1.261c54752c01ap-5, 0x1.21211cfe385c8p-5, 0x1.1c36fdcaf651fp-5, 0x1.175dcf22502c5p-5, 0x1.1295698a84d16p-5, 0x1.0ddda5c611848p-5, 0x1.09365cd12378bp-5, 0x1.049f67df3bb34p-5, 0x1.0018a058ae568p-5, 0x1.f743bfb03b675p-6, 0x1.ee7600505a9d5p-6, 0x1.e5c7b68303de8p-6, 0x1.dd389691d93dfp-6, 0x1.d4c8551b7c3afp-6, 0x1.cc76a7108211bp-6, 0x1.c44341b078ef2p-6, 0x1.bc2dda870b66cp-6, 0x1.b436276995348p-6, 0x1.ac5bde753e64ep-6, 0x1.a49eb60d4f7dfp-6, 0x1.9cfe64d974c4p-6, 0x1.957aa1c3f7a4dp-6, 0x1.8e1323f84d47bp-6, 0x1.86c7a2e1f8db6p-6, 0x1.7f97d62bf883dp-6, 0x1.788375c001bap-6, 0x1.718a39c63fdacp-6, 0x1.6aabdaa516ee4p-6, 0x1.63e81100a936bp-6, 0x1.5d3e95ba674dap-6, 0x1.56af21f0fdd84p-6, 0x1.50396f00b3d28p-6, 0x1.49dd36840071ep-6, 0x1.439a32542db2bp-6, 0x1.3d701c89e7313p-6, 0x1.375eaf7dba3bfp-6, 0x1.3165a5c8a073ep-6, 0x1.2b84ba44a25a1p-6, 0x1.25bba80db714fp-6, 0x1.200a2a82e4f3cp-6, 0x1.1a6ffd478cde3p-6, 0x1.14ecdc44a6491p-6, 0x1.0f8083a9de51p-6, 0x1.0a2aafeeb1344p-6, 0x1.04eb1dd36bdfp-6, 0x1.ff8314c4f8915p-7, 0x1.f55b65e3f59fdp-7, 0x1.eb5eaa49b8ab7p-7, 0x1.e18c5dd956e6bp-7, 0x1.d7e3fd15fadd9p-7, 0x1.ce650525bc124p-7, 0x1.c50ef3d460159p-7, 0x1.bbe147960682ep-7, 0x1.b2db7f8a12e89p-7, 0x1.a9fd1b7e43ba2p-7, 0x1.a1459bf1d4842p-7, 0x1.98b48218accaep-7, 0x1.90494fde6077ep-7, 0x1.880387e91f638p-7, 0x1.7fe2ad9c77d58p-7, 0x1.77e6451c2b516p-7, 0x1.700dd34eee466p-7, 0x1.6858dde14aee7p-7, 0x1.60c6eb4889cf1p-7, 0x1.595782c5a4131p-7, 0x1.520a2c67ecb66p-7, 0x1.4ade710ff79dcp-7, 0x1.43d3da71de6a1p-7, 0x1.3ce9f317c920ap-7, 0x1.362046645d5acp-7, 0x1.2f76609515409p-7, 0x1.28ebcec4a6faap-7, 0x1.22801eed766a6p-7, 0x1.1c32dfebd1669p-7, 0x1.1603a18028987p-7, 0x1.0ff1f45119c1ep-7, 0x1.09fd69ed67dd2p-7, 0x1.042594cdc5122p-7, 0x1.fcd410ad3e21ap-8, 0x1.f194b1b3b7087p-8, 0x1.e68c37311a1f4p-8, 0x1.dbb9cd892a987p-8, 0x1.d11ca304863bep-8, 0x1.c6b3e7d37912cp-8, 0x1.bc7ece10c85a1p-8, 0x1.b27c89c418681p-8, 0x1.a8ac50e43473dp-8, 0x1.9f0d5b592099ap-8, 0x1.959ee2fe170b4p-8, 0x1.8c6023a3524d8p-8, 0x1.83505b0fd2ad6p-8, 0x1.7a6ec902f2ba6p-8, 0x1.71baaf35d9facp-8, 0x1.6933515cc1bdbp-8, 0x1.60d7f5280c54bp-8, 0x1.58a7e24515a5fp-8, 0x1.50a2625ee9d9fp-8, 0x1.48c6c11ea50f1p-8, 0x1.41144c2bc5422p-8, 0x1.398a532c41ab7p-8, 0x1.322827c49450ap-8, 0x1.2aed1d979a35fp-8, 0x1.23d88a467227dp-8, 0x1.1ce9c5703f161p-8, 0x1.162028b1d9d3ep-8, 0x1.0f7b0fa563e16p-8, 0x1.08f9d7e1a6b3p-8, 0x1.029be0f920c78p-8, 0x1.f8c118f1b9f6fp-9, 0x1.ec8e7bcdd331ap-9, 0x1.e09eb5814dbc3p-9, 0x1.d4f094f17c87ep-9, 0x1.c982eceb451d3p-9, 0x1.be54941f277b9p-9, 0x1.b364651e72075p-9, 0x1.a8b13e587ba8p-9, 0x1.9e3a0217ea4ap-9, 0x1.93fd967f8c292p-9, 0x1.89fae5868dda9p-9, 0x1.8030dcf37c66fp-9, 0x1.769e6e5652832p-9, 0x1.6d428f018fc61p-9, 0x1.641c3802dd97bp-9, 0x1.5b2a661bea2a7p-9, 0x1.526c19bbd933cp-9, 0x1.49e056f9c5ac7p-9, 0x1.418625904c26ep-9, 0x1.395c90d9a1e25p-9, 0x1.3162a7cbf62d6p-9, 0x1.29977cf517c1cp-9, 0x1.21fa26750a38ap-9, 0x1.1a89bdf6f4b8ap-9, 0x1.134560a89bf6fp-9, 0x1.0c2c2f30d703cp-9, 0x1.053d4da57999ep-9, 0x1.fcefc702fe57ap-10, 0x1.efb6373833de6p-10, 0x1.e2cc484182f9fp-10, 0x1.d6305d111c4aap-10, 0x1.c9e0df28f3e53p-10, 0x1.bddc3e9077d8p-10, 0x1.b220f1ca3c8e4p-10, 0x1.a6ad75c9407d7p-10, 0x1.9b804de4f011bp-10, 0x1.909803cb8122fp-10, 0x1.85f3277251829p-10, 0x1.7b904f03fd30ap-10, 0x1.716e16cc0291bp-10, 0x1.678b21201d2ccp-10, 0x1.5de61644a5e3ep-10, 0x1.547da457a94d1p-10, 0x1.4b507f318ae75p-10, 0x1.425d60521dfc7p-10, 0x1.39a306cf5cd7fp-10, 0x1.31203748cdf24p-10, 0x1.28d3bbe5034e2p-10, 0x1.20bc6453dd2efp-10, 0x1.18d905d103fa2p-10, 0x1.11287b249a1bfp-10, 0x1.09a9a49bbb3e4p-10, 0x1.025b67f57edf5p-10, 0x1.f6796085dda19p-11, 0x1.e898db77f644p-11, 0x1.db132b1c786d1p-11, 0x1.cde64359a620ep-11, 0x1.c1102151c16cbp-11, 0x1.b48ecb32a619p-11, 0x1.a8605029ab222p-11, 0x1.9c82c87ad7de1p-11, 0x1.90f455afded99p-11, 0x1.85b322ce08ed2p-11, 0x1.7abd647f3e8f7p-11, 0x1.7011591b4a872p-11, 0x1.65ad4885ea061p-11, 0x1.5b8f83df1138ap-11, 0x1.51b6650f1ec77p-11, 0x1.48204e41ac707p-11, 0x1.3ecba968205c6p-11, 0x1.35b6e7db316a1p-11, 0x1.2ce0822aabe2bp-11, 0x1.2446f81ec6663p-11, 0x1.1be8d0e076322p-11, 0x1.13c49b3577aa7p-11, 0x1.0bd8edba18ac3p-11, 0x1.042467063ac73p-11, 0x1.f94b5b6eb748cp-12, 0x1.eab6e0594da6bp-12, 0x1.dc88c8fc60236p-12, 0x1.cebe8fa772bcp-12, 0x1.c155bc0eb5496p-12, 0x1.b44be25029c5ap-12, 0x1.a79ea246a8da7p-12, 0x1.9b4ba74d6680cp-12, 0x1.8f50a8825d58p-12, 0x1.83ab696696f1fp-12, 0x1.7859ba95254ffp-12, 0x1.6d597a3bf7dc4p-12, 0x1.62a8941f69244p-12, 0x1.58450122d6365p-12, 0x1.4e2cc68078bacp-12, 0x1.445df4eea7648p-12, 0x1.3ad6a7db88f9ep-12, 0x1.319504c978672p-12, 0x1.28973ab9eaefep-12, 0x1.1fdb819d2cdd4p-12, 0x1.176019de574c8p-12, 0x1.0f234c48abee9p-12, 0x1.07236a73e3e4fp-12, 0x1.febd9f73dc2cep-13, 0x1.efa7c4cc8c9b4p-13, 0x1.e1022949db56ap-13, 0x1.d2c9c984e69acp-13, 0x1.c4fbb936f4177p-13, 0x1.b79520ddbe838p-13, 0x1.aa933b07a6756p-13, 0x1.9df3521f2d79fp-13, 0x1.91b2bf213eb7bp-13, 0x1.85cee911479aap-13, 0x1.7a4544a7203bap-13, 0x1.6f1353c1637ep-13, 0x1.6436a4a2c4ed8p-13, 0x1.59acd16df39cep-13, 0x1.4f73806b63068p-13, 0x1.4588652ccf4c5p-13, 0x1.3be9423d4f6cfp-13, 0x1.3293ea5481b79p-13, 0x1.298641119b79p-13, 0x1.20be3a2e15ab9p-13, 0x1.1839d895d2392p-13, 0x1.0ff72d4b035a5p-13, 0x1.07f456ae3bbfdp-13, 0x1.002f8041a789ap-13, 0x1.f14dc5433f83dp-14, 0x1.e2b186a371adep-14, 0x1.d486e836a3f26p-14, 0x1.c6caa425dd704p-14, 0x1.b979894d5e93cp-14, 0x1.ac907a248c2d5p-14, 0x1.a00c6c5779c2dp-14, 0x1.93ea6818e8a29p-14, 0x1.882786579ef0dp-14, 0x1.7cc0ede895f6p-14, 0x1.71b3d15876eb7p-14, 0x1.66fd6eb3fa0f7p-14, 0x1.5c9b118407e55p-14, 0x1.528a15f869594p-14, 0x1.48c7ec0e50237p-14, 0x1.3f5219f51df79p-14, 0x1.36263d6df5e4cp-14, 0x1.2d420c105c844p-14, 0x1.24a352cf201b8p-14, 0x1.1c47f57acbae3p-14, 0x1.142def2a78292p-14, 0x1.0c53512cc085fp-14, 0x1.04b64383a19eap-14, 0x1.faa9fcbf96b8bp-15, 0x1.ec5b89058469cp-15, 0x1.de7db67decd36p-15, 0x1.d10d0bc186c6dp-15, 0x1.c4060bacff4d9p-15, 0x1.b7653d428e921p-15, 0x1.ab2735786c262p-15, 0x1.9f489e2b3f6dap-15, 0x1.93c63a02dced6p-15, 0x1.889ce51157d73p-15, 0x1.7dc993e969cd5p-15, 0x1.73495184e79d5p-15, 0x1.69193f90c6ed2p-15, 0x1.5f369da375195p-15, 0x1.559ed837b309bp-15, 0x1.4c4f982b65433p-15, 0x1.4346c5f2d3db4p-15, 0x1.3a82784e71989p-15, 0x1.3200d41bdbce6p-15, 0x1.29bfeec40b2edp-15, 0x1.21bdc37f1260cp-15, 0x1.19f83dad6fe42p-15, 0x1.126d4c175ac9fp-15, 0x1.0b1aee8b21d46p-15, 0x1.03ff38eeb3465p-15, 0x1.fa30a11acd527p-16, 0x1.ecc8d2dec4848p-16, 0x1.dfc38c0ac851fp-16, 0x1.d31d561ac0845p-16, 0x1.c6d2d026f605ep-16, 0x1.bae083e7e1fa9p-16, 0x1.af42f97ff21fp-16, 0x1.a3f6da3f540eap-16, 0x1.98f92ee3c6c5dp-16, 0x1.8e478d5447a3ep-16, 0x1.83e007c569c52p-16, 0x1.79c0db2492e97p-16, 0x1.6fe817b7ace17p-16, 0x1.6653864b74f9p-16, 0x1.5d00d074f4b3ap-16, 0x1.53edb3c3e366cp-16, 0x1.4b180e4119a35p-16, 0x1.427dcd436673bp-16, 0x1.3a1ce5dac986ep-16, 0x1.31f3632128907p-16, 0x1.29ff75b362194p-16, 0x1.223f7018a614p-16, 0x1.1ab1b0d3c4ef2p-16, 0x1.13548b2e5bad6p-16, 0x1.0c263e6853103p-16, 0x1.0524fc9baa7dcp-16, 0x1.fc9df2e21b267p-17, 0x1.ef45048f58d29p-17, 0x1.e23c432cfd80ep-17, 0x1.d581684090ad2p-17, 0x1.c912965416286p-17, 0x1.bcedd29eaa60ap-17, 0x1.b110c083b07b2p-17, 0x1.a578ed2f9d19fp-17, 0x1.9a243fdbeb783p-17, 0x1.8f10f2cc23414p-17, 0x1.843d326fbcbc9p-17, 0x1.79a6eec2c5d98p-17, 0x1.6f4c02518716cp-17, 0x1.652a662a8e917p-17, 0x1.5b4052b1ac32ep-17, 0x1.518c4782315ffp-17, 0x1.480cee4eb111fp-17, 0x1.3ec0e4a09650cp-17, 0x1.35a697b2aad4ap-17, 0x1.2cbc554b6d6f4p-17, 0x1.2400846bee008p-17, 0x1.1b71ce79b47a9p-17, 0x1.130f1020dbd39p-17, 0x1.0ad729368ab9bp-17, 0x1.02c8e05a9d03cp-17, 0x1.f5c5bd80cf339p-18, 0x1.e6476b16c1f99p-18, 0x1.d7143779f12dp-18, 0x1.c82a7faa2406bp-18, 0x1.b989590307516p-18, 0x1.ab2f8a13d8089p-18, 0x1.9d1b29a3690ddp-18, 0x1.8f4a3107f6f7ep-18, 0x1.81bad383e4d04p-18, 0x1.746b6006c72c2p-18, 0x1.675a415537bf2p-18, 0x1.5a8618724564ap-18, 0x1.4dedb6e0f6d2ep-18, 0x1.418ffdc0b6333p-18, 0x1.356bba8c04d1ep-18, 0x1.297f95eccff46p-18, 0x1.1dca29da8b042p-18, 0x1.124a40dda595ap-18, 0x1.06ff0d4303878p-18, 0x1.f7d0119b479f5p-19, 0x1.e209020fdad1bp-19, 0x1.cca6748b1b773p-19, 0x1.b7a5154d0b4fp-19, 0x1.a3018d7dbd303p-19, 0x1.8eb9ad1ad3e49p-19, 0x1.7acce3fa36da4p-19, 0x1.673b00c6a2fc5p-19, 0x1.5402bf8013ec6p-19, 0x1.4122228c1707ap-19, 0x1.2e977b874dcbbp-19, 0x1.1c61842f5106ap-19, 0x1.0a7efd2bb6b32p-19, 0x1.f1dd52112ccbep-20, 0x1.cf5ecc8109c2ap-20, 0x1.ad804268d10d7p-20, 0x1.8c3f8965e0989p-20, 0x1.6b9a7284706e7p-20, 0x1.4b8ee45e0ef89p-20, 0x1.2c1abe277b8d9p-20, 0x1.0d3bfdc4d02b1p-20, 0x1.dde1b5317f9c7p-21, 0x1.a26fea18c367dp-21, 0x1.682069abefcd6p-21, 0x1.2ef07aa89c385p-21, 0x1.edb819a8be1b7p-22, 0x1.7fbc4cbb8bb5ep-22, 0x1.13e34bcf72ee5p-22, 0x1.544b5c5b5431ep-23, 0x1.09feb6531a29bp-24, -0x1.18a0e805ba22ap-25, -0x1.0d35bd7df0d8dp-23, -0x1.d03249f96ea56p-23, -0x1.4796380f8b032p-22, -0x1.a51767e2a7b3cp-22, -0x1.005067ba85535p-21, -0x1.2d1bbf58154b8p-21, -0x1.58f02414d4bd7p-21, -0x1.83cfe06883526p-21, -0x1.adbd5ca3f05ap-21, -0x1.d6bb1e882d9d2p-21, -0x1.fecba5273ca8dp-21, -0x1.12f8ac5d73fe5p-20, -0x1.26173e6cbe6a1p-20, -0x1.38c2a18ef0bd9p-20, -0x1.4afbe89bb9cdbp-20, -0x1.5cc41daa869ebp-20, -0x1.6e1c3e56a92dfp-20, -0x1.7f05511a78e48p-20, -0x1.8f80a24f31accp-20, -0x1.9f8f42a133ad7p-20, -0x1.af323ae0a891fp-20, -0x1.be6a9c6c41474p-20, -0x1.cd39be61cfad2p-20, -0x1.dba0b6212b0f1p-20, -0x1.e9a0a4b835d2fp-20, -0x1.f73a554f0d02cp-20, -0x1.0237870b5a313p-19, -0x1.08a021a5cb4c9p-19, -0x1.0ed6f9884944bp-19, -0x1.14dce3e9acb43p-19, -0x1.1ab2549608e55p-19, -0x1.2057cad2e7e15p-19, -0x1.25cdc47920af7p-19, -0x1.2b14c5d987096p-19, -0x1.302d567dce9bbp-19, -0x1.3517fd2a3b929p-19, -0x1.39d53de223e92p-19, -0x1.3e65994d15ef8p-19, -0x1.42c98f9bae267p-19, -0x1.4701a43eaf8d5p-19, -0x1.4b0e5ee5148c1p-19, -0x1.4ef048977db0dp-19, -0x1.52a7dd16325dep-19, -0x1.56359b917a3ecp-19, -0x1.599a0a3ed01f4p-19, -0x1.5cd5aea95d9b9p-19, -0x1.5fe8f48a41c02p-19, -0x1.62d4735cf14d4p-19, -0x1.6598d6c27dc74p-19, -0x1.68366f1098624p-19, -0x1.6aadc950f7e6cp-19, -0x1.6cff8d40521b2p-19, -0x1.6f2c30eed057ap-19, -0x1.713438972eadbp-19, -0x1.73180f8d0b9e3p-19, -0x1.74d84487a668ap-19, -0x1.76755fa305253p-19, -0x1.77efdfed7dedap-19, -0x1.79484683f1d4p-19, -0x1.7a7f1805d1644p-19, -0x1.7b94d6a71d755p-19, -0x1.7c8a078be2eccp-19, -0x1.7d5f2cb25d532p-19, -0x1.7e14c75be582dp-19, -0x1.7eab5793bac61p-19, -0x1.7f235dd5997fcp-19, -0x1.7f7d5d1d327d9p-19, -0x1.7fb9dad519f8bp-19, -0x1.7fd95b88a014ep-19, -0x1.7fdc5e728a38dp-19, -0x1.7fc35c7a22ad9p-19, -0x1.7f8ecfc031731p-19, -0x1.7f3f3b0fd5a83p-19, -0x1.7ed51fc8b0f98p-19, -0x1.7e50fdf205c7bp-19, -0x1.7db36107f2e92p-19, -0x1.7cfcb889dda42p-19, -0x1.7c2d788c97d38p-19, -0x1.7b4621e0f11dcp-19, -0x1.7a473a4cbb592p-19, -0x1.7931492c067d6p-19, -0x1.7804b1663f162p-19, -0x1.76c1f24e96416p-19, -0x1.756989e2b54fdp-19, -0x1.73fbedf1327c8p-19, -0x1.72799527d7607p-19, -0x1.70e2f6bcd5444p-19, -0x1.6f3889f3d385ap-19, -0x1.6d7ac5294a96fp-19, -0x1.6baa1cf4fd846p-19, -0x1.69c7052a576efp-19, -0x1.67d1f0d16060fp-19, -0x1.65cb51c332dbbp-19, -0x1.63b39906f42d4p-19, -0x1.618b379ac85f3p-19, -0x1.5f529eb71adccp-19, -0x1.5d0a3f08c0d76p-19, -0x1.5ab2876928b25p-19, -0x1.584be381ed15dp-19, -0x1.55d6bba91db08p-19, -0x1.5353791c4dda1p-19, -0x1.50c28a6c5aef6p-19, -0x1.4e245a8e6cea1p-19, -0x1.4b7951ce1dcfep-19, -0x1.48c1d9693cebfp-19, -0x1.45fe4fc75ddafp-19, -0x1.432f20592a4e8p-19, -0x1.4054af20f26ecp-19, -0x1.3d6f5b8b630bap-19, -0x1.3a7f8da28f28dp-19, -0x1.3785a0abe81d3p-19, -0x1.3481f857fd14dp-19, -0x1.3174f369d8eecp-19, -0x1.2e5eee404778cp-19, -0x1.2b40452ee008ep-19, -0x1.2819551663b45p-19, -0x1.24ea78ce2529p-19, -0x1.21b4092045fc9p-19, -0x1.1e765e2c144d8p-19, -0x1.1b31cf1bc7a9bp-19, -0x1.17e6b2fe0ea8cp-19, -0x1.14955ca85de9ap-19, -0x1.113e20b4a8aep-19, -0x1.0de153ac30562p-19, -0x1.0a7f4306c29c1p-19, -0x1.071843138a7e9p-19, -0x1.03aca215e376ap-19, -0x1.003cae9952405p-19, -0x1.f9916ae54407ap-20, -0x1.f2a201c2de65cp-20, -0x1.ebabb54926236p-20, -0x1.e4af1b1a5429fp-20, -0x1.ddacc7fb7c546p-20, -0x1.d6a547dd29121p-20, -0x1.cf992500ccde9p-20, -0x1.c888ea01252eep-20, -0x1.c1751ebbaf37p-20, -0x1.ba5e47fabfef6p-20, -0x1.b344eb7168fdep-20, -0x1.ac29879ea0a71p-20, -0x1.a50c98d92d7aep-20, -0x1.9dee9e39abf7p-20, -0x1.96d012ac78c51p-20, -0x1.8fb16c9653694p-20, -0x1.8893214cc8c74p-20, -0x1.8175a42f54ebp-20, -0x1.7a59666d1b13ep-20, -0x1.733ed7045da92p-20, -0x1.6c2662c2a56cep-20, -0x1.651074590edbp-20, -0x1.5dfd73ea5005dp-20, -0x1.56edc7d75c2fcp-20, -0x1.4fe1d41ff5388p-20, -0x1.48d9fb59021cfp-20, -0x1.41d69d59abedbp-20, -0x1.3ad817b452f98p-20, -0x1.33df098b84ed9p-20, -0x1.2ceb08e893a4cp-20, -0x1.25fd21081b53fp-20, -0x1.1f157d595ee4ep-20, -0x1.1834683342d09p-20, -0x1.115a32fc929b5p-20, -0x1.0a872cabf2a02p-20, -0x1.03bba30f45c54p-20, -0x1.f9efc540c4ab5p-21, -0x1.ec786bed92207p-21, -0x1.df11c895c26e8p-21, -0x1.d1bc63f9df531p-21, -0x1.c478c95b7adb3p-21, -0x1.b7477a62c9af4p-21, -0x1.aa28f6c5eacebp-21, -0x1.9d1dbd67453bp-21, -0x1.9026462d8ec3ep-21, -0x1.8342e632abc8bp-21, -0x1.7673e9ddad8c8p-21, -0x1.69bd064441e13p-21, -0x1.5d16d01f6810bp-21, -0x1.508930e7188f2p-21, -0x1.44119a3300c83p-21, -0x1.37b0acd74a275p-21, -0x1.2b66ce8bcc6c5p-21, -0x1.1f345ebf351b7p-21, -0x1.1319b73dff97fp-21, -0x1.0717215b67482p-21, -0x1.f659f3e44a10bp-22, -0x1.deb714d987feep-22, -0x1.c7463cc5df1e6p-22, -0x1.b007fbd1db0d8p-22, -0x1.98fcdc17410aep-22, -0x1.822561d511e51p-22, -0x1.6b820b9d66692p-22, -0x1.5513526091dep-22, -0x1.3ed9a96f0a656p-22, -0x1.28d57e87d8539p-22, -0x1.130739e91fb6ap-22, -0x1.fade7c6bc4fdcp-23, -0x1.d01bd13c769f2p-23, -0x1.a5c72377479eep-23, -0x1.7be11b14754f8p-23, -0x1.526a56c5b1278p-23, -0x1.2963638a80dfdp-23, -0x1.00ccccc568d55p-23, -0x1.b14e26302842dp-24, -0x1.61e55462318b5p-24, -0x1.136000f6de189p-24, -0x1.8b7dea9ac444ap-25, -0x1.e40b70326124dp-26, -0x1.6962f3f1b7e2fp-27, 0x1.dc3f50aeaad5cp-28, 0x1.9f36acb02267p-26, 0x1.61e01567238e5p-25, 0x1.f25413890a766p-25, 0x1.407e4ca2f3ff5p-24, 0x1.86e94fa471a17p-24, 0x1.cc6c1c5f1cb25p-24, 0x1.08835d2c17157p-23, 0x1.2a5cb42afbe17p-23, 0x1.4bbd78fc83b62p-23, 0x1.6cb771073e4a7p-23, 0x1.8d2dd9f7ed144p-23, 0x1.ad363f4629454p-23, 0x1.ccca2aeea675dp-23, 0x1.ebea62b7446d7p-23, 0x1.054b74c94f814p-22, 0x1.1467f208aea1bp-22, 0x1.234a3722af9fep-22, 0x1.31f3ffde98506p-22, 0x1.4063cd0b2313p-22, 0x1.4e9a3b1c1f593p-22, 0x1.5c97858525bc1p-22, 0x1.6a5bcf410ec29p-22, 0x1.77e73fe107d88p-22, 0x1.8539f02a82daep-22, 0x1.92542f30424b1p-22, 0x1.9f3617e9cb157p-22, 0x1.abdfe83e864f7p-22, 0x1.b851d799f6eefp-22, 0x1.c48c1d0258177p-22, 0x1.d08ef279d7ecp-22, 0x1.dc5a955cf4f3bp-22, }}, 
      {{-0x1.6dac7621fc9e6p+0, -0x1.6ce3c4438a4cep+0, -0x1.6b9866b0dc7eep+0, -0x1.69ceca7beafa6p+0, -0x1.678cb469cb614p+0, -0x1.64d8f5f720486p+0, -0x1.61bb2580887c7p+0, -0x1.5e3b5d1e1adc3p+0, -0x1.5a6201cf016a4p+0, -0x1.5637935c352c8p+0, -0x1.51c484a75b2c8p+0, -0x1.4d111bbff6276p+0, -0x1.482558f33a629p+0, -0x1.4308e4002d9ecp+0, -0x1.3dc2fe9b4d5a7p+0, -0x1.385a7b73dd998p+0, -0x1.32d5b8f844395p+0, -0x1.2d3a9f273661fp+0, -0x1.278e9fcfa25b5p+0, -0x1.21d6b8b5890bp+0, -0x1.1c1777254e2dp+0, -0x1.1654fc914bacp+0, -0x1.109303e699bebp+0, -0x1.0ad4e75684599p+0, -0x1.051da660c65dcp+0, -0x1.fedfd7ef3e935p-1, -0x1.f39c294049b9cp-1, -0x1.e87468f11c0bfp-1, -0x1.dd6c3a2438052p-1, -0x1.d286c61c5f1cp-1, -0x1.c7c6c6ee77b32p-1, -0x1.bd2e9198e0b66p-1, -0x1.b2c01f702594cp-1, -0x1.a87d16ec69bdap-1, -0x1.9e66d3d8cf527p-1, -0x1.947e6ed5f972fp-1, -0x1.8ac4c43b16649p-1, -0x1.813a7a6eae193p-1, -0x1.77e007b818765p-1, -0x1.6eb5b77fd781ap-1, -0x1.65bbaf0a7b8d7p-1, -0x1.5cf1f1c763e39p-1, -0x1.5458654050b8ep-1, -0x1.4beed4a70d8a6p-1, -0x1.43b4f4006dfa8p-1, -0x1.3baa62f783f61p-1, -0x1.33ceaf6916824p-1, -0x1.2c2157b2918fcp-1, -0x1.24a1ccc8463b2p-1, -0x1.1d4f7413d4f5ep-1, -0x1.1629a91d76f27p-1, -0x1.0f2fbf05f0befp-1, -0x1.086101d838989p-1, -0x1.01bcb7b8e874dp-1, -0x1.f68443ef42707p-2, -0x1.e9e0fc09fc0d9p-2, -0x1.dd8e0c9dd7b2dp-2, -0x1.d189e60a745d4p-2, -0x1.c5d2f5910f76p-2, -0x1.ba67a68bbc505p-2, -0x1.af4663829a293p-2, -0x1.a46d9723258d7p-2, -0x1.99dbad1d0f09fp-2, -0x1.8f8f12e75acbap-2, -0x1.858638701372p-2, -0x1.7bbf90b874bep-2, -0x1.7239925f4eb69p-2, -0x1.68f2b81b23daap-2, -0x1.5fe9812585d75p-2, -0x1.571c7199060cap-2, -0x1.4e8a12c30cf79p-2, -0x1.4630f36ac15f6p-2, -0x1.3e0fa80e176e9p-2, -0x1.3624cb15f8ba7p-2, -0x1.2e6efd0257e3ep-2, -0x1.26ece48ef3174p-2, -0x1.1f9d2ed16b3a6p-2, -0x1.187e8f514a974p-2, -0x1.118fc01a89f46p-2, -0x1.0acf81cb179a1p-2, -0x1.043c9b9bd857p-2, -0x1.fbabb6cb1ac3ep-3, -0x1.ef342b43ffb71p-3, -0x1.e3104ad37502dp-3, -0x1.d73dd8dd4b251p-3, -0x1.cbbaa5e75f1dfp-3, -0x1.c0848f83ae875p-3, -0x1.b5998035863b1p-3, -0x1.aaf76f528ecdep-3, -0x1.a09c60dffa994p-3, -0x1.9686656cb7642p-3, -0x1.8cb399e8c97dp-3, -0x1.8322277a5b3fbp-3, -0x1.79d04350b4ec5p-3, -0x1.70bc2e74f7de8p-3, -0x1.67e4359915a5dp-3, -0x1.5f46b0e4bd826p-3, -0x1.56e203c07cf7ap-3, -0x1.4eb49c9f7fa53p-3, -0x1.46bcf4c819812p-3, -0x1.3ef9901b7c342p-3, -0x1.3768fcdd737f6p-3, -0x1.3009d37bb49p-3, -0x1.28dab6558d336p-3, -0x1.21da51842189ep-3, -0x1.1b075aa22e95bp-3, -0x1.14609094811ap-3, -0x1.0de4bb5254bbap-3, -0x1.0792abad130a5p-3, -0x1.01693b18de9b8p-3, -0x1.f6ce96e97e4cbp-4, -0x1.eb178da5d70e8p-4, -0x1.dfab3e84a29bcp-4, -0x1.d4879d308ec8ep-4, -0x1.c9aaac76d24a4p-4, -0x1.bf127ddfa450ep-4, -0x1.b4bd314863297p-4, -0x1.aaa8f47ffa1edp-4, -0x1.a0d402e63f587p-4, -0x1.973ca50c5da67p-4, -0x1.8de130574166cp-4, -0x1.84c006a43c3cdp-4, -0x1.7bd795ee9458p-4, -0x1.732657f6a886p-4, -0x1.6aaad1eb3ae83p-4, -0x1.626394140aca1p-4, -0x1.5a4f397e18331p-4, -0x1.526c67aa490ap-4, -0x1.4ab9ce3e18b5dp-4, -0x1.433626b5e744ap-4, -0x1.3be03419e48cfp-4, -0x1.34b6c2b52792ep-4, -0x1.2db8a7ce9ea06p-4, -0x1.26e4c1640764ap-4, -0x1.2039f5e720888p-4, -0x1.19b733fca52fep-4, -0x1.135b723cd90ddp-4, -0x1.0d25aef5f760cp-4, -0x1.0714eff06e7eap-4, -0x1.01284234856d6p-4, -0x1.f6bd73a2fcb49p-5, -0x1.eb6ee34ce434bp-5, -0x1.e06316596413ep-5, -0x1.d5985c8720e6dp-5, -0x1.cb0d11fb2c594p-5, -0x1.c0bf9edef0e8ap-5, -0x1.b6ae76ffbe33ap-5, -0x1.acd8197403cf9p-5, -0x1.a33b103f973bap-5, -0x1.99d5effd8b25ap-5, -0x1.90a7578be3c88p-5, -0x1.87adefb9dac71p-5, -0x1.7ee86af8a6e64p-5, -0x1.7655850ef239ep-5, -0x1.6df402ceb0a8p-5, -0x1.65c2b1cd45851p-5, -0x1.5dc0681de7bfdp-5, -0x1.55ec040e2d09cp-5, -0x1.4e446be4cc85dp-5, -0x1.46c88da26e105p-5, -0x1.3f775ec469a09p-5, -0x1.384fdc09755b9p-5, -0x1.3151093830662p-5, -0x1.2a79f0e7939cdp-5, -0x1.23c9a449206ecp-5, -0x1.1d3f3af4c23fcp-5, -0x1.16d9d2b656b47p-5, -0x1.10988f5cdc353p-5, -0x1.0a7a9a8b3a572p-5, -0x1.047f238a97256p-5, -0x1.fd4abe3c40a3ap-6, -0x1.f1d90eb081ce3p-6, -0x1.e6a7b6e28eb9bp-6, -0x1.dbb53f3eba2d4p-6, -0x1.d10039dff30d4p-6, -0x1.c6874244bde96p-6, -0x1.bc48fd070356fp-6, -0x1.b24417960ae94p-6, -0x1.a87747f30e71cp-6, -0x1.9ee14c6f390eap-6, -0x1.9580eb6c918a6p-6, -0x1.8c54f322af1dep-6, -0x1.835c396145cd9p-6, -0x1.7a959b57ab0aap-6, -0x1.71fffd5df6b1p-6, -0x1.699a4abf7fa41p-6, -0x1.61637587260a3p-6, -0x1.595a764d5af7p-6, -0x1.517e4c07c95f7p-6, -0x1.49cdfbdaa5442p-6, -0x1.424890eb87bc6p-6, -0x1.3aed1c35ca84dp-6, -0x1.33bab46032813p-6, -0x1.2cb075940baefp-6, -0x1.25cd8155b51e7p-6, -0x1.1f10fe5e4ed7ap-6, -0x1.187a1876d9e25p-6, -0x1.1208005460e54p-6, -0x1.0bb9eb755e211p-6, -0x1.058f14004bc94p-6, -0x1.ff0d714634efp-7, -0x1.f34038e728202p-7, -0x1.e7b50da432017p-7, -0x1.dc6a8695ebd55p-7, -0x1.d15f42f527733p-7, -0x1.c691e9e483acep-7, -0x1.bc012a39728efp-7, -0x1.b1abba4a47607p-7, -0x1.a79057bb7f9a6p-7, -0x1.9dadc74fa156ap-7, -0x1.9402d4b860418p-7, -0x1.8a8e52693a504p-7, -0x1.814f196b896bfp-7, -0x1.78440933f0bb5p-7, -0x1.6f6c07791feaep-7, -0x1.66c6000be5693p-7, -0x1.5e50e4b0655f7p-7, -0x1.560bacf899fdp-7, -0x1.4df5561fd3e7dp-7, -0x1.460ce2e77b69ep-7, -0x1.3e515b74ce873p-7, -0x1.36c1cd2fa1e3ep-7, -0x1.2f5d4aa235ef7p-7, -0x1.2822eb59f1769p-7, -0x1.2111cbc90d92cp-7, -0x1.1a290d291e226p-7, -0x1.1367d55e7682cp-7, -0x1.0ccd4edc66515p-7, -0x1.0658a88a4a215p-7, -0x1.000915a95f886p-7, -0x1.f3bb9b76aee5cp-8, -0x1.e7ac18d33a11bp-8, -0x1.dbe222da98b59p-8, -0x1.d05c40efae4cbp-8, -0x1.c5190238a5d2ep-8, -0x1.ba16fd72d7ceap-8, -0x1.af54d0c7d94f7p-8, -0x1.a4d121a3be03bp-8, -0x1.9a8a9c8c65fc8p-8, -0x1.907ff4f9f65f8p-8, -0x1.86afe5305b869p-8, -0x1.7d192e19d4458p-8, -0x1.73ba972274e31p-8, -0x1.6a92ee149e638p-8, -0x1.61a106f65d7a9p-8, -0x1.58e3bbe7ab3cp-8, -0x1.5059ed0192124p-8, -0x1.4802803628a15p-8, -0x1.3fdc613159939p-8, -0x1.37e6813a73871p-8, -0x1.301fd7167ce38p-8, -0x1.28875eeb328afp-8, -0x1.211c1a22cbda9p-8, -0x1.19dd0f4f74a4dp-8, -0x1.12c94a11b8ad7p-8, -0x1.0bdfdafe982b9p-8, -0x1.051fd784dd2d3p-8, -0x1.fd10b3a7a8f5ap-9, -0x1.f03101866e13cp-9, -0x1.e39edf76b0c9dp-9, -0x1.d7589d3b87658p-9, -0x1.cb5c935cc432ap-9, -0x1.bfa922fa603c7p-9, -0x1.b43cb5a0cbbcfp-9, -0x1.a915bd1e47b2ep-9, -0x1.9e32b3592ac7ep-9, -0x1.93921a270b556p-9, -0x1.89327b24da5adp-9, -0x1.7f12678fd970dp-9, -0x1.7530781f6e898p-9, -0x1.6b8b4cdfc13a7p-9, -0x1.62218d0d0efb5p-9, -0x1.58f1e6ef10d92p-9, -0x1.4ffb0fb87a7f4p-9, -0x1.473bc362f128p-9, -0x1.3eb2c4899fe45p-9, -0x1.365edc4f7536dp-9, -0x1.2e3eda3a56abcp-9, -0x1.265194145c9dcp-9, -0x1.1e95e5ccf1444p-9, -0x1.170ab15a6cbb9p-9, -0x1.0faede9c490c3p-9, -0x1.08815b3df6129p-9, -0x1.01811a9a3a23ep-9, -0x1.f55a2b3e58c48p-10, -0x1.e808956567d81p-10, -0x1.db0b7b2f29d03p-10, -0x1.ce60eea5fab91p-10, -0x1.c2070c251dfd5p-10, -0x1.b5fbfa25e81fp-10, -0x1.aa3de90dc75e5p-10, -0x1.9ecb12fd5195fp-10, -0x1.93a1bba043084p-10, -0x1.88c02ffe35d2dp-10, -0x1.7e24c64d185cap-10, -0x1.73cdddc27186ap-10, -0x1.69b9de6834d62p-10, -0x1.5fe738f06a01cp-10, -0x1.5654668a1c21dp-10, -0x1.4cffe8b7a7084p-10, -0x1.43e8492554884p-10, -0x1.3b0c19807a195p-10, -0x1.3269f34ffc828p-10, -0x1.2a0077cd19549p-10, -0x1.21ce4fbd12b24p-10, -0x1.19d22b4b78b8ap-10, -0x1.120ac1e5282d1p-10, -0x1.0a76d21401d04p-10, -0x1.0315215b3225bp-10, -0x1.f7c8f8288228p-11, -0x1.e9c76a9944a57p-11, -0x1.dc234d47fcc2p-11, -0x1.ceda60562db85p-11, -0x1.c1ea70864d5f2p-11, -0x1.b55156fc02711p-11, -0x1.a90cf8fd46b59p-11, -0x1.9d1b47b4c3849p-11, -0x1.917a3ff54ebe2p-11, -0x1.8627e9fe71b28p-11, -0x1.7b22594214c5fp-11, -0x1.7067ac2b34577p-11, -0x1.65f60be59dca9p-11, -0x1.5bcbac26bac8ap-11, -0x1.51e6caf73d029p-11, -0x1.4845b07dc7f41p-11, -0x1.3ee6aecaa0fc4p-11, -0x1.35c821a49bd6bp-11, -0x1.2ce86e56bf0e1p-11, -0x1.2446037e740a7p-11, -0x1.1bdf58daa4eaap-11, -0x1.13b2ef1be85adp-11, -0x1.0bbf4fb5c3f74p-11, -0x1.04030cb0c1e73p-11, -0x1.f8f980fac4099p-12, -0x1.ea561b8f9c7fbp-12, -0x1.dc193e98e95ffp-12, -0x1.ce404f5a6c89ap-12, -0x1.c0c8c28eef162p-12, -0x1.b3b01c153ea98p-12, -0x1.a6f3ee9f1bf5bp-12, -0x1.9a91db624e3acp-12, -0x1.8e8791c87eadbp-12, -0x1.82d2cf24c6964p-12, -0x1.77715e67f7d13p-12, -0x1.6c6117d79adfbp-12, -0x1.619fe0c6498b7p-12, -0x1.572bab4d0dd95p-12, -0x1.4d0276061501ap-12, -0x1.43224bc7fe3bap-12, -0x1.3989436238a6cp-12, -0x1.30357f5a87499p-12, -0x1.27252dab8f3abp-12, -0x1.1e5687852417dp-12, -0x1.15c7d10e03883p-12, -0x1.0d77592783be9p-12, -0x1.05637932fe096p-12, -0x1.fb1529b2647a6p-13, -0x1.ebd633a4189a8p-13, -0x1.dd06ff55bc0b4p-13, -0x1.cea48f1aabd97p-13, -0x1.c0abf81387d5cp-13, -0x1.b31a61c3589e8p-13, -0x1.a5ed05a3f8821p-13, -0x1.99212ebccd0dfp-13, -0x1.8cb4393ddp-13, -0x1.80a3921eb7dbdp-13, -0x1.74ecb6c1d976ap-13, -0x1.698d34995bfd3p-13, -0x1.5e82a8ce5442fp-13, -0x1.53cabfe7f2fc4p-13, -0x1.496335727304ap-13, -0x1.3f49d3a59627dp-13, -0x1.357c730b5f29fp-13, -0x1.2bf8fa27e4d69p-13, -0x1.22bd5d2323c4ep-13, -0x1.19c79d77287f4p-13, -0x1.1115c9a206723p-13, -0x1.08a5fcd9b0bdap-13, -0x1.00765ece168b4p-13, -0x1.f10a46a15a4f3p-14, -0x1.e1a114411dca2p-14, -0x1.d2adbd37ae3b8p-14, -0x1.c42cef2b4bd2bp-14, -0x1.b61b6dabb8bc4p-14, -0x1.a87611e6870bdp-14, -0x1.9b39ca39eb92fp-14, -0x1.8e639986bd51p-14, -0x1.81f096b8151ebp-14, -0x1.75ddec4ea9e99p-14, -0x1.6a28d7efa95eep-14, -0x1.5ecea9f648d83p-14, -0x1.53ccc5072d5b3p-14, -0x1.49209da2eb08fp-14, -0x1.3ec7b9b6c035ap-14, -0x1.34bfb0282e87dp-14, -0x1.2b062861826c4p-14, -0x1.2198d9e6c795ap-14, -0x1.18758bf4421bcp-14, -0x1.0f9a151e5ed96p-14, -0x1.07045af56f7bbp-14, -0x1.fd64a35d5a94p-15, -0x1.ed43f79f290efp-15, -0x1.dda2d3b19c517p-15, -0x1.ce7d73daab88bp-15, -0x1.bfd02eea186f6p-15, -0x1.b1977579e4d4ap-15, -0x1.a3cfd12f1484fp-15, -0x1.9675e40281731p-15, -0x1.89866799237bp-15, -0x1.7cfe2cae9f90ep-15, -0x1.70da1a91e5ca4p-15, -0x1.65172eae14c18p-15, -0x1.59b27c191023cp-15, -0x1.4ea92b20352dfp-15, -0x1.43f878a75b2c2p-15, -0x1.399db64f032b3p-15, -0x1.2f96489daab41p-15, -0x1.25dfa7c0b6a18p-15, -0x1.1c775e2f39447p-15, -0x1.135b081a2ef99p-15, -0x1.0a8852d6196dcp-15, -0x1.01fcfc61dda1cp-15, -0x1.f36da612be68ep-16, -0x1.e3676a382b352p-16, -0x1.d3e3215ae1cfbp-16, -0x1.c4dcc6b471dd1p-16, -0x1.b65073ff462d6p-16, -0x1.a83a60b68dc04p-16, -0x1.9a96e13f3a937p-16, -0x1.8d6265ccbadf5p-16, -0x1.809979896880cp-16, -0x1.7438c18cdeda8p-16, -0x1.683cfbe69141ep-16, -0x1.5ca2feb55a8e3p-16, -0x1.5167b753448d5p-16, -0x1.468829a87d2b1p-16, -0x1.3c016fb7dc17ep-16, -0x1.31d0b96ffeb5bp-16, -0x1.27f34ca58e714p-16, -0x1.1e6684f3db741p-16, -0x1.1527d35536e05p-16, -0x1.0c34bd7cdd3adp-16, -0x1.038add031005dp-16, -0x1.f64fbcebfe9f7p-17, -0x1.e61300d9fa2cap-17, -0x1.d65b256dad3cbp-17, -0x1.c723eb5a2a87ep-17, -0x1.b8693333752f9p-17, -0x1.aa26fc7ce2819p-17, -0x1.9c5964be9ac95p-17, -0x1.8efca6edf0ae5p-17, -0x1.820d1b0667a77p-17, -0x1.758735df74224p-17, -0x1.696789bf6b04cp-17, -0x1.5daac6d5ea153p-17, -0x1.524db7523b5a2p-17, -0x1.474d4319c412ap-17, -0x1.3ca66bebd687fp-17, -0x1.32564c57fb405p-17, -0x1.285a1674348d4p-17, -0x1.1eaf12a13c0c1p-17, -0x1.15529e7fb161ap-17, -0x1.0c422c09ef013p-17, -0x1.037b40c98607bp-17, -0x1.f5f6ea6240021p-18, -0x1.e580e85b759aep-18, -0x1.d58ff5e99c277p-18, -0x1.c61fb211ad1b5p-18, -0x1.b72be0a428a6ep-18, -0x1.a8b06956895bcp-18, -0x1.9aa957b6f3391p-18, -0x1.8d12d9c794b74p-18, -0x1.7fe93f10fffa6p-18, -0x1.7328f7a1564d6p-18, -0x1.66ce93175427ap-18, -0x1.5ad6bf8261241p-18, -0x1.4f3e47d83d5dap-18, -0x1.440212256238ap-18, -0x1.391f1da5d1109p-18, -0x1.2e92812a73df8p-18, -0x1.24596a7ecc62fp-18, -0x1.1a711aa297b02p-18, -0x1.10d6f1b47d65ap-18, -0x1.07885ab84a6cfp-18, -0x1.fd05c3c9c4b06p-19, -0x1.eb8848d8cfeddp-19, -0x1.da93a7c9f0764p-19, -0x1.ca2368628efb9p-19, -0x1.ba3335772c984p-19, -0x1.aabedd9dacaa7p-19, -0x1.9bc254a294a85p-19, -0x1.8d39b7b85753dp-19, -0x1.7f2148d77d70fp-19, -0x1.717571aa5b90ep-19, -0x1.6432bd314f4f3p-19, -0x1.5755d34950b94p-19, -0x1.4adb7479ad98bp-19, -0x1.3ec0784251ec8p-19, -0x1.3301ce9825eep-19, -0x1.279c8369453d6p-19, -0x1.1c8dc18b73f4fp-19, -0x1.11d2d2a098012p-19, -0x1.07691b5670dcep-19, -0x1.fa9c2b7c8cc6dp-20, -0x1.e6fe990a1df1dp-20, -0x1.d3f4b226151cep-20, -0x1.c179c97bb67f3p-20, -0x1.af8957869f58ap-20, -0x1.9e1f00ebd5873p-20, -0x1.8d36991712a68p-20, -0x1.7ccc25f13cb01p-20, -0x1.6cdbbe27f191bp-20, -0x1.5d61f395d8fe2p-20, -0x1.4e5afb337fb24p-20, -0x1.3fc372f32a1d6p-20, -0x1.3197f7380fc49p-20, -0x1.23d53d04b1cb5p-20, -0x1.16781a0fcba25p-20, -0x1.097d8baf5b1a7p-20, -0x1.f9c56c8aa6326p-21, -0x1.e149bcc8a094bp-21, -0x1.c982bc7a68f35p-21, -0x1.b26b3dfa4db2bp-21, -0x1.9bfe2fa2354e6p-21, -0x1.86369fbb60d3p-21, -0x1.710fc00ddd81ep-21, -0x1.5c84e925cc244p-21, -0x1.4891a039b7561p-21, -0x1.35319e2f9af48p-21, -0x1.2260d19b4a53p-21, -0x1.101b575b702cp-21, -0x1.fcbad8cb25fafp-22, -0x1.da46c0a818d91p-22, -0x1.b8d321f4d471dp-22, -0x1.9858dfd472cfp-22, -0x1.78d116c2d95a4p-22, -0x1.5a352de9e1168p-22, -0x1.3c7eea4f1d324p-22, -0x1.1fa868f3e1d1p-22, -0x1.03ac06326a007p-22, -0x1.d108791ecf7bap-23, -0x1.9c57297f429f4p-23, -0x1.6939657ca0f18p-23, -0x1.37a4cdca2772cp-23, -0x1.078f7b1bc28a1p-23, -0x1.b1df94812192bp-24, -0x1.5778b61c09446p-24, -0x1.ffb040c40c853p-25, -0x1.55d899cd561cbp-25, -0x1.6291f8c96414ap-26, -0x1.1e16bb5fad721p-29, 0x1.10fa2e9ac4901p-26, 0x1.1df13eb4df63dp-25, 0x1.ae99d0227f8e5p-25, 0x1.1d4a83eecf2abp-24, 0x1.60fffd004d336p-24, 0x1.a27b3a4cd3c0ep-24, 0x1.e1c96775d48c5p-24, 0x1.0f7b8800fd24cp-23, 0x1.2d083bde569c1p-23, 0x1.4990acffa2f07p-23, 0x1.651af3056a3ecp-23, 0x1.7face4131b0c3p-23, 0x1.994c3397bbf43p-23, 0x1.b1fe53e988c4bp-23, 0x1.c9c887ff4426ap-23, 0x1.e0aff67da998cp-23, 0x1.f6b9a89d58e3dp-23, 0x1.05f5412268a01p-22, 0x1.1023a09e676b2p-22, 0x1.19ea40897f1bp-22, 0x1.234b5fe5b45fap-22, 0x1.2c4931665a058p-22, 0x1.34e5de3e5c8fp-22, 0x1.3d2388ccc4216p-22, 0x1.45044d7bb57fep-22, 0x1.4c8a3f92e8768p-22, 0x1.53b761d037786p-22, 0x1.5a8da0e7a2658p-22, 0x1.610ecf9992363p-22, 0x1.673cbbf27e4d5p-22, 0x1.6d192f6f2a428p-22, 0x1.72a5f53cd1f69p-22, 0x1.77e4d28c91daep-22, 0x1.7cd77ee913d5dp-22, 0x1.817fa1bd4ca97p-22, 0x1.85ded75a506a2p-22, 0x1.89f6b70e4ee02p-22, 0x1.8dc8d27c8f419p-22, 0x1.9156b17ca77a4p-22, 0x1.94a1d403c9dcbp-22, 0x1.97abb48663d16p-22, 0x1.9a75becffd45fp-22, 0x1.9d01561fe6cf9p-22, 0x1.9f4fdf5059922p-22, 0x1.a162bd05c68cap-22, 0x1.a33b55ef493cp-22, 0x1.a4daec686a70bp-22, 0x1.a642e5038be76p-22, 0x1.a7748196beeb5p-22, 0x1.a87104e1a85cep-22, 0x1.a939a947a5763p-22, 0x1.a9cfa2a96f2a7p-22, 0x1.aa34227dd05eep-22, 0x1.aa6859d2fd72p-22, 0x1.aa6d755643342p-22, 0x1.aa449b4f9d157p-22, 0x1.a9eeec6b4d9adp-22, 0x1.a96d83cc2e252p-22, 0x1.a8c1786a08db6p-22, 0x1.a7ebdd930218ep-22, 0x1.a6edc31a82a3cp-22, 0x1.a5c834c84d6dep-22, 0x1.a47c38ae5b61cp-22, 0x1.a30acf9537233p-22, 0x1.a174f651f9c47p-22, 0x1.9fbba68a58372p-22, 0x1.9ddfd745a49a8p-22, 0x1.9be27d0ee6c4ep-22, 0x1.99c48b596a71cp-22, 0x1.9786ec0037f91p-22, 0x1.952a8e3d937f8p-22, 0x1.92b0567a0a705p-22, 0x1.901927688a103p-22, 0x1.8d65dfe1e2906p-22, 0x1.8a975b430d64fp-22, 0x1.87ae71be05214p-22, 0x1.84abf8c082d6ep-22, 0x1.8190a61f71de3p-22, 0x1.7e5da28aa5acbp-22, 0x1.7b1360fc6fc5p-22, 0x1.77b2cb4d33802p-22, 0x1.743ca53c7d10fp-22, 0x1.70b1b42d86a71p-22, 0x1.6d12b863f51dcp-22, 0x1.69606f57108bep-22, 0x1.659b97cb2432cp-22, 0x1.61c3c158cf1e9p-22, 0x1.5ddd00a22d4e6p-22, 0x1.59e4a9f990e59p-22, 0x1.55dc92a1e58f6p-22, 0x1.51c56852211eep-22, 0x1.4d9fcdbfbcf2bp-22, 0x1.496c694627bbfp-22, 0x1.452be1a11753cp-22, 0x1.40deda032f173p-22, 0x1.3c85f1e1ef358p-22, 0x1.3821c6350a338p-22, 0x1.33b2f0e8b1dbfp-22, 0x1.2f3a096f0e26ap-22, 0x1.2ab7a4282ee6fp-22, 0x1.262c5aa20c052p-22, 0x1.2198ad1f80d6ap-22, 0x1.1cfd376309353p-22, 0x1.185a7eefa6cc4p-22, 0x1.13b10ce64e3eep-22, 0x1.0f0166e79439dp-22, 0x1.0a4c0e7f8e52ep-22, 0x1.059181be7db0dp-22, 0x1.00d35cd9e686ep-22, 0x1.f81fcd1687337p-23, 0x1.ee8f977dd323cp-23, 0x1.e4fae5e271d78p-23, 0x1.db60c37e9f117p-23, 0x1.d1c1d0440d598p-23, 0x1.c81f0babf98dap-23, 0x1.be795883474f3p-23, 0x1.b4d19065ef2e2p-23, 0x1.ab28853b88d67p-23, 0x1.a17f0e3e5b40ep-23, 0x1.97d5eb6072a6dp-23, 0x1.8e2deed7c64e4p-23, 0x1.8487d821114bdp-23, 0x1.7ae466a5d7e11p-23, 0x1.71445518930e7p-23, 0x1.67a859fabfd1fp-23, 0x1.5e1127e3d5819p-23, 0x1.547f6d7f41491p-23, 0x1.4af3d53805f2fp-23, 0x1.416f04edddbddp-23, 0x1.37f19d43224f3p-23, 0x1.2e7c3ba4b956fp-23, 0x1.250f7fe5b843bp-23, 0x1.1bac205fb26c9p-23, 0x1.1252a3f48a107p-23, 0x1.09031f7177ffcp-23, 0x1.ff7d1c28898c4p-24, 0x1.ed0b1ea445457p-24, 0x1.dab10ce1e829cp-24, 0x1.c86fdfec7dff7p-24, 0x1.b64887ca098cbp-24, 0x1.a43c013050ff6p-24, 0x1.924b33fea418dp-24, 0x1.807704b1864a8p-24, 0x1.6ec04fde6d172p-24, 0x1.5d27ea12a9e1ep-24, 0x1.4baea1cc227d4p-24, 0x1.3a554661ea4c3p-24, 0x1.291c9f4594a89p-24, 0x1.180560cecbd7p-24, 0x1.07103cf67925ap-24, 0x1.ec7bc91f8b67fp-25, 0x1.cb1e0378ed51ap-25, 0x1.aa086f2f23d77p-25, 0x1.893c46065884dp-25, 0x1.68bab61985fa4p-25, 0x1.4884e1c45809fp-25, 0x1.289bdf571e499p-25, 0x1.0900b904e5e6p-25, 0x1.d368da9f23338p-26, 0x1.956fe06757fcdp-26, 0x1.5818577c1fec5p-26, 0x1.1b63f99bdec47p-26, 0x1.bea8aca341bf2p-27, 0x1.47d6178b8258cp-27, 0x1.a4a71763ccabp-28, 0x1.78908ea519d4fp-29, -0x1.4b6493592cbc8p-31, -0x1.0c71fc2457f06p-28, -0x1.ecc329fbcbf68p-28, -0x1.652dc2f19fe68p-27, -0x1.d29b757d9a8c4p-27, -0x1.1f546346515f1p-26, -0x1.54aa039141b83p-26, -0x1.894dd299c84e7p-26, -0x1.bd3edc94e85bbp-26, -0x1.f07c6a07502d1p-26, -0x1.1182fd8d7b7cep-25, -0x1.2a6d859ff515ap-25, -0x1.42fd8dcda342p-25, -0x1.5b32b5eee07b9p-25, -0x1.730d2a2b2d996p-25, -0x1.8a8c915c9e09bp-25, -0x1.a1b0954097681p-25, -0x1.b87976cc132f6p-25, -0x1.cee6dfadf197ep-25, -0x1.e4f8debc8e87ep-25, -0x1.faaf6a82f4684p-25, -0x1.080541821d1cp-24, -0x1.128520fc52b59p-24, -0x1.1cd75934e7d43p-24, -0x1.26fbef0adb55fp-24, -0x1.30f2f223ab67p-24, -0x1.3abc749b6c9c4p-24, -0x1.44588a95f1239p-24, -0x1.4dc74aec4eec6p-24, -0x1.5708cf45d12e1p-24, -0x1.601d33f451e0ep-24, -0x1.690497e6a0793p-24, -0x1.71bf1cc07de72p-24, -0x1.7a4ce6b7b998ep-24, -0x1.82ae1c6ef22cp-24, -0x1.8ae2e6f495928p-24, -0x1.92eb71b5bf85ep-24, -0x1.9ac7ea65548bbp-24, -0x1.a27880ee620d1p-24, -0x1.a9fd6762b0fdep-24, -0x1.b156d1e9fb964p-24, -0x1.b884f6b4143a5p-24, -0x1.bf880e206af66p-24, -0x1.c66052189e5acp-24, -0x1.cd0e0002404ccp-24, -0x1.d39155c5656fep-24, -0x1.d9ea8ee95cee9p-24, -0x1.e019ec2f465b4p-24, -0x1.e61fabea1c181p-24, -0x1.ebf68cece1ce2p-24, -0x1.f1aeeae4d01dp-24, -0x1.f73a46251cdeep-24, -0x1.fc9c76dc14d96p-24, -0x1.00eb3afac480ap-23, -0x1.0374478f9f838p-23, -0x1.05e98805ff136p-23, -0x1.084b23fed44bcp-23, -0x1.0a99441a32ab5p-23, -0x1.0cd40eaec2ce9p-23, -0x1.0efbaca42c46dp-23, -0x1.1110411cefc58p-23, -0x1.131200aca2c84p-23, -0x1.150112697821fp-23, -0x1.16dda402104c5p-23, -0x1.18a7e10c5d539p-23, -0x1.1a5ff6c5b9694p-23, -0x1.1c064fc6e5ce3p-23, -0x1.1d9bc4218543dp-23, -0x1.1f17ace4ccf2cp-23, -0x1.208eb6a1a48d7p-23, -0x1.21ed8a13b1032p-23, -0x1.233bfe532b236p-23, -0x1.24799c9f25e0ep-23, -0x1.25a67d0eef4f5p-23, -0x1.26c2c69bdaa59p-23, -0x1.27cea51d052c1p-23, -0x1.28ca5199da5a6p-23, -0x1.29b5ef886f42bp-23, -0x1.2a91b2952d769p-23, -0x1.2b5dc96fdf195p-23, -0x1.2c1a6367c31afp-23, -0x1.2cc7aff4447acp-23, -0x1.2d65dea8b02ffp-23, -0x1.2df51f2e91b41p-23, -0x1.2e75a141c10dbp-23, -0x1.2ee794aca659ap-23, -0x1.2f4b2944c2814p-23, -0x1.2fa08ee72a1aap-23, -0x1.2fe7f5750f0bp-23, -0x1.30218ccfc9f49p-23, -0x1.304d84d4ad396p-23, -0x1.306c0d5a7182cp-23, -0x1.307d562f0d464p-23, -0x1.30818f15a095bp-23, -0x1.3078e7c12948dp-23, -0x1.30638fdd92ab4p-23, -0x1.3041b6d6e6129p-23, -0x1.30138c4432755p-23, -0x1.2fd93f7c934dap-23, -0x1.2f92ffd6335afp-23, -0x1.2f40fcb8ae656p-23, -0x1.2ee3661505896p-23, -0x1.2e7a6d5269fc5p-23, -0x1.2e0631cdfa06dp-23, -0x1.2d86beab01cap-23, -0x1.2cfce1bbf4c1bp-23, -0x1.2c681a53ff5a4p-23, -0x1.2bc8db554e0b4p-23, -0x1.2b1f64e73ce54p-23, -0x1.2a6c1229fe025p-23, -0x1.29aa2ff4e7114p-23, -0x1.28ed0fb6844c1p-23, -0x1.28156baa6601cp-23, -0x1.273b1ea4797eep-23, -0x1.2657119d85f9ep-23, -0x1.256a1fb848b42p-23, -0x1.247450bae5b0ep-23, -0x1.2375c6d322083p-23, -0x1.226e2a3ab5a33p-23, -0x1.215f25c7e18e1p-23, -0x1.2047687fa366dp-23, -0x1.1f2793c43b455p-23, -0x1.1dffd46995eccp-23, -0x1.1cd05b786ddp-23, -0x1.1b994e1e7d201p-23, -0x1.1a5ace4f670bcp-23, -0x1.1915109645e21p-23, -0x1.17c835a3242e7p-23, -0x1.167469dc0d435p-23, -0x1.1519d6002f28ep-23, -0x1.13b8a0e29ac95p-23, -0x1.1250f1afb668dp-23, -0x1.10e2efb1668c2p-23, }}, 
      {{-0x1.6a47ba768b01ep-8, -0x1.793bec4311a66p-7, -0x1.2bc211eebf838p-6, -0x1.ab0c98459d8c8p-6, -0x1.1d8a3ebe853c3p-5, -0x1.6d3605dc3ac78p-5, -0x1.c317be8219fbbp-5, -0x1.0ea3af27895ffp-4, -0x1.3cd0e1c99a33dp-4, -0x1.6afbd13dacce1p-4, -0x1.981846cfb5e25p-4, -0x1.c331be3dbbc0fp-4, -0x1.eb733d265f90ep-4, -0x1.0815c852c5b6cp-3, -0x1.18675f8ed428bp-3, -0x1.267ab47618f55p-3, -0x1.322d5737e7583p-3, -0x1.3b6c8b7f89ce8p-3, -0x1.423370509ba1bp-3, -0x1.468906c51a18p-3, -0x1.487e370c8595bp-3, -0x1.482bea33229aap-3, -0x1.45b147810f9e8p-3, -0x1.41321dffa4018p-3, -0x1.3ad57e0edcccep-3, -0x1.32c48382b54f7p-3, -0x1.29294e962786ap-3, -0x1.1e2e28b8ffa1bp-3, -0x1.11fcd14f89f5p-3, -0x1.04bdef65d62cdp-3, -0x1.ed31467d3f15p-4, -0x1.cf64691724a97p-4, -0x1.b05bb1e5e7159p-4, -0x1.90591dee664e1p-4, -0x1.6f9a135cffd16p-4, -0x1.4e575465469e2p-4, -0x1.2cc507e547607p-4, -0x1.0b12d25c6ae3p-4, -0x1.d2d7f69923783p-5, -0x1.8fef37baa65b3p-5, -0x1.4db1a781abaf7p-5, -0x1.0c5e02fd2cbb2p-5, -0x1.9857f0eb9eb2cp-6, -0x1.1a9937879246ep-6, -0x1.3fab6723b4825p-7, -0x1.42be936799ffp-9, 0x1.2e8248b175753p-8, 0x1.77bacc45299cdp-7, 0x1.283197f2a3906p-6, 0x1.9078601f3231dp-6, 0x1.f49492d517c17p-6, 0x1.2a37fde4dd3aep-5, 0x1.57fd623d54ac7p-5, 0x1.8395726abc8f8p-5, 0x1.acfdceea11efcp-5, 0x1.d4367eb201544p-5, 0x1.f941b57f0a23ap-5, 0x1.0e11cf09869dep-4, 0x1.1e711416ddcd5p-4, 0x1.2dc26d0188363p-4, 0x1.3c0a5275fdfc3p-4, 0x1.494dde95b1984p-4, 0x1.5592ba3c6a81fp-4, 0x1.60df0b94c5a47p-4, 0x1.6b3965da3d85ep-4, 0x1.74a8ba34b965dp-4, 0x1.7d344996d17cp-4, 0x1.84e3978e3d05ep-4, 0x1.8bbe5df7e407ap-4, 0x1.91cc818a91513p-4, 0x1.9716072ef9f71p-4, 0x1.9ba30a1b5bd9bp-4, 0x1.9f7bb2a831083p-4, 0x1.a2a82dd93a502p-4, 0x1.a530a58f381bbp-4, 0x1.a71d3959e06b5p-4, 0x1.a875f7ead720ap-4, 0x1.a942d90f5c3f8p-4, 0x1.a98bb84875484p-4, 0x1.a9584fd10d968p-4, 0x1.a8b0343eba723p-4, 0x1.a79ad07e71786p-4, 0x1.a61f625f760c2p-4, 0x1.a444f77385e23p-4, 0x1.a2126a6a0e9a2p-4, 0x1.9f8e60b3fd7bap-4, 0x1.9cbf48ae54ffep-4, 0x1.99ab57d7f09adp-4, 0x1.965889c6bfdcfp-4, 0x1.92cc9ef5ac589p-4, 0x1.8f0d1c2e909ccp-4, 0x1.8b1f4a294ea6bp-4, 0x1.87083551aea6dp-4, 0x1.82ccadb472a4dp-4, 0x1.7e7147c425497p-4, 0x1.79fa5c1e51ddap-4, 0x1.756c0892b115cp-4, 0x1.70ca31691eca4p-4, 0x1.6c1880deca2f4p-4, 0x1.675a69cff609cp-4, 0x1.6293286eef878p-4, 0x1.5dc5c23a35d07p-4, 0x1.58f5099886858p-4, 0x1.54239e3486bd3p-4, 0x1.4f53ed780ddb9p-4, 0x1.4a88366749743p-4, 0x1.45c28a32a9f1ep-4, 0x1.4104ccbc68bbep-4, 0x1.3c50b86946ec3p-4, 0x1.37a7df1922eeep-4, 0x1.330baa5c56124p-4, 0x1.2e7d5f24463ap-4, 0x1.29fe1f3a30c62p-4, 0x1.258ee90b2f245p-4, 0x1.21309afa57ebcp-4, 0x1.1ce3f5850ddc9p-4, 0x1.18a99ae9bbcc8p-4, 0x1.148211b0ea3d9p-4, 0x1.106dc75717256p-4, 0x1.0c6d10449d917p-4, 0x1.088029631811ap-4, 0x1.04a73acf43238p-4, 0x1.00e258609a24dp-4, 0x1.fa6304eca23eep-5, 0x1.f3295067e068dp-5, 0x1.ec17513bb54bcp-5, 0x1.e52ca617177a3p-5, 0x1.de68d13a7f8c6p-5, 0x1.d7cb3b5925524p-5, 0x1.d15334dbed067p-5, 0x1.cafff762b6b1ep-5, 0x1.c4d0a851490bfp-5, 0x1.bec45af74eb72p-5, 0x1.b8da119e2dd75p-5, 0x1.b310bef426f0ap-5, 0x1.ad67488708cc5p-5, 0x1.a7dc8875af25ap-5, 0x1.a26f4e034170ep-5, 0x1.9d1e5f2abb56fp-5, 0x1.97e87aef1f7bap-5, 0x1.92cc5a596b101p-5, 0x1.8dc8b0e82a9b3p-5, 0x1.88dc2e2f7ef5fp-5, 0x1.84057fa8e2bbcp-5, 0x1.7f43515b12b04p-5, 0x1.7a944e42d75dfp-5, 0x1.75f721a1c911bp-5, 0x1.716a787a3a418p-5, 0x1.6ced022f26e5fp-5, 0x1.687d70c2ad2e8p-5, 0x1.641a79c30c07dp-5, 0x1.5fc2d79b6f1d7p-5, 0x1.5b754a3b6fce2p-5, 0x1.5730973365dacp-5, 0x1.52f38a4247e05p-5, 0x1.4ebcf665b09a9p-5, 0x1.4a8bb68c6d053p-5, 0x1.465eadb99e2fcp-5, 0x1.4234c733343edp-5, 0x1.3e0cf725e5606p-5, 0x1.39e63b5720692p-5, 0x1.35bf9b6bb51d8p-5, 0x1.319828da33501p-5, 0x1.2d6eff103195bp-5, 0x1.294343f5295e7p-5, 0x1.2514284ce92c7p-5, 0x1.20e0e7addba23p-5, 0x1.1ca8c852ca6efp-5, 0x1.186b1b39b7165p-5, 0x1.14273c7136d07p-5, 0x1.0fdc932edede8p-5, 0x1.0b8a91a491d06p-5, 0x1.0730b4cc76b6ap-5, 0x1.02ce8461b3e1fp-5, 0x1.fcc725e6eaeb5p-6, 0x1.f3defbc28b008p-6, 0x1.eae3da57bc7cp-6, 0x1.e1d52650f6a89p-6, 0x1.d8b2589e9e852p-6, 0x1.cf7afe6b1f19p-6, 0x1.c62eb8fea1eadp-6, 0x1.bccd3d48d12e9p-6, 0x1.b35653293b902p-6, 0x1.a9c9d4e5f787dp-6, 0x1.a027aef291651p-6, 0x1.966fdfab6b0bbp-6, 0x1.8ca276d4c3a44p-6, 0x1.82bf94fa3b85ap-6, 0x1.78c76ad272054p-6, 0x1.6eba38c1df481p-6, 0x1.64984e6dafa4ep-6, 0x1.5a620a461e866p-6, 0x1.5017d906fe51dp-6, 0x1.45ba351c1ec4cp-6, 0x1.3b49a5efaec8ep-6, 0x1.30c6bf57f5bap-6, 0x1.2632212826c27p-6, 0x1.1b8c76c33f0eep-6, 0x1.10d6768e9374ap-6, 0x1.0610e14154e5cp-6, 0x1.f67902709a1a6p-7, 0x1.e0b453ee226a5p-7, 0x1.cad56f7bbefe8p-7, 0x1.b4de1e14be2e7p-7, 0x1.9ed037fedcdcfp-7, 0x1.88ada39261df9p-7, 0x1.7278541d6a44ap-7, 0x1.5c3248ee32b51p-7, 0x1.45dd8c6a14febp-7, 0x1.2f7c330909df4p-7, 0x1.19105a4963841p-7, 0x1.029c27b1877ebp-7, 0x1.d8438fb51cd76p-8, 0x1.ab46dafdc7c6ap-8, 0x1.7e46a12759bc1p-8, 0x1.51475ac3043c9p-8, 0x1.244d873546238p-8, 0x1.eebb5605d880dp-9, 0x1.94f89c806703p-9, 0x1.3b5bf5f74d6bap-9, 0x1.c3dcee63e043dp-10, 0x1.1172649955953p-10, 0x1.7e299bd38f74fp-12, -0x1.47240ea2fe4b3p-12, -0x1.0275ea8a6034fp-10, -0x1.b26a779fcf527p-10, -0x1.30ca7a8046cc3p-9, -0x1.87f1e9b020d15p-9, -0x1.dea2d807bdaf4p-9, -0x1.1a6a565b93e5bp-8, -0x1.453f7478fee8fp-8, -0x1.6fcc94a950e95p-8, -0x1.9a0d93f1caaf3p-8, -0x1.c3fe5f7b93ee4p-8, -0x1.ed9af6039c4b3p-8, -0x1.0b6fb4676b469p-7, -0x1.1fe3ee06683dp-7, -0x1.3428438aa02f5p-7, -0x1.483ada813a846p-7, -0x1.5c19e2e795b58p-7, -0x1.6fc397d06c253p-7, -0x1.83363fda46273p-7, -0x1.96702d5422cdp-7, -0x1.a96fbe2dca106p-7, -0x1.bc335bfd66f12p-7, -0x1.ceb97c4f35f27p-7, -0x1.e100a12eba5e7p-7, -0x1.f30759a32189bp-7, -0x1.026620f06d608p-6, -0x1.0b27019688357p-6, -0x1.13c5a9d425526p-6, -0x1.1c417b23110fdp-6, -0x1.2499dd88cd025p-6, -0x1.2cce3fce3f475p-6, -0x1.34de17ab0f30ap-6, -0x1.3cc8e1c8ef948p-6, -0x1.448e21a1d0271p-6, -0x1.4c2d6156432bp-6, -0x1.53a6319be523cp-6, -0x1.5af829d12c4f6p-6, -0x1.6222e826a3f65p-6, -0x1.692611bdfcca8p-6, -0x1.700152a66938ep-6, -0x1.76b45db4c62a4p-6, -0x1.7d3eec4dba092p-6, -0x1.83a0be3fcc342p-6, -0x1.89d999bf3ae7cp-6, -0x1.8fe94b7cfa4adp-6, -0x1.95cfa6bfe4523p-6, -0x1.9b8c85659230ep-6, -0x1.a11fc7c0ffb0ap-6, -0x1.a6895461c6a46p-6, -0x1.abc917dbf7fafp-6, -0x1.b0df04a66edefp-6, -0x1.b5cb13167a4bdp-6, -0x1.ba8d416ce5f03p-6, -0x1.bf2593ddc5229p-6, -0x1.c3941480c50bcp-6, -0x1.c7d8d3255d47fp-6, -0x1.cbf3e516a91c3p-6, -0x1.cfe564e2963ep-6, -0x1.d3ad7234daa33p-6, -0x1.d74c31c9c86ffp-6, -0x1.dac1cd6f1737fp-6, -0x1.de0e7401a1901p-6, -0x1.e13259596cc44p-6, -0x1.e42db61fa4faep-6, -0x1.e700c795c8779p-6, -0x1.e9abcf5c375adp-6, -0x1.ec2f1345b6733p-6, -0x1.ee8add3d92f34p-6, -0x1.f0bf7b3c8de09p-6, -0x1.f2cd3f409f20ap-6, -0x1.f4b47f3bb19c3p-6, -0x1.f67594f29ff66p-6, -0x1.f810ddccf56cfp-6, -0x1.f986ba9f48aecp-6, -0x1.fad78f7910276p-6, -0x1.fc03c37ebe5eap-6, -0x1.fd0bc0d17998ap-6, -0x1.fdeff47fc1095p-6, -0x1.feb0ce763e5d6p-6, -0x1.ff4ec1697ceedp-6, -0x1.ffca42b3f7ef1p-6, -0x1.0011e51552e75p-5, -0x1.002de8f6c6d0bp-5, -0x1.00396b1db906p-5, -0x1.0034aaa70238cp-5, -0x1.001fe79fe124dp-5, -0x1.fff6c5f8d8639p-6, -0x1.ff8ebd1dababcp-6, -0x1.ff0839f9b7ec7p-6, -0x1.fe63c363a2572p-6, -0x1.fda1e19a2b642p-6, -0x1.fcc31e1d52171p-6, -0x1.fbc80387acbe3p-6, -0x1.fab11d6c387b4p-6, -0x1.f97ef83a895adp-6, -0x1.f83221290cdd9p-6, -0x1.f6cb262285ee4p-6, -0x1.f54a95b3c778bp-6, -0x1.f3b0fef68247ap-6, -0x1.f1fef1780b471p-6, -0x1.f034fd1c82518p-6, -0x1.ee53b2008a5d8p-6, -0x1.ec5ba05c04a0dp-6, -0x1.ea4d58685774ap-6, -0x1.e8296a4af7f1ap-6, -0x1.e5f0660374bf5p-6, -0x1.e3a2db5b2448ep-6, -0x1.e14159d418788p-6, -0x1.decc709599d4fp-6, -0x1.dc44ae55a44e1p-6, -0x1.d9aaa1402e45ep-6, -0x1.d6fed6de65bfcp-6, -0x1.d441dc00f2e96p-6, -0x1.d1743caf75c23p-6, -0x1.ce96841e51509p-6, -0x1.cba93ca976d94p-6, -0x1.c8acefd11cf74p-6, -0x1.c5a226339cfa6p-6, -0x1.c289677ffb8a2p-6, -0x1.bf633a5ef372dp-6, -0x1.bc3024521b2ccp-6, -0x1.b8f0a98d6eddcp-6, -0x1.b5a54cd2007e8p-6, -0x1.b24e8f5342d3bp-6, -0x1.aeecf0ad83271p-6, -0x1.ab80eef1ea484p-6, -0x1.a80b06c785771p-6, -0x1.a48bb39635fccp-6, -0x1.a1036faea5f8cp-6, -0x1.9d72b45e82d07p-6, -0x1.99d9f9e3495f8p-6, -0x1.9639b7351705fp-6, -0x1.929261ade2aa3p-6, -0x1.8ee46c9d9f52ap-6, -0x1.8b3048e526bedp-6, -0x1.877664b56bf92p-6, -0x1.83b72b8be0cdcp-6, -0x1.7ff306781bd33p-6, -0x1.7c2a5ca3d104ap-6, -0x1.785d9401c2896p-6, -0x1.748d11f83eebep-6, -0x1.70b93bd524ee6p-6, -0x1.6ce276e03ec4ap-6, -0x1.690927f47d50ep-6, -0x1.652db2a6bf3d2p-6, -0x1.615078218660bp-6, -0x1.5d71d5f7d8e6fp-6, -0x1.5992253e7d57bp-6, -0x1.55b1ba33bfa14p-6, -0x1.51d0e4a1fb967p-6, -0x1.4deff0fe276bbp-6, -0x1.4a0f2a11aa458p-6, -0x1.462edad4626a2p-6, -0x1.424f500332bdbp-6, -0x1.3e70d9031cb5dp-6, -0x1.3a93c7c24ef12p-6, -0x1.36b86f7efc373p-6, -0x1.32df22a69d823p-6, -0x1.2f08303843541p-6, -0x1.2b33e1456aadcp-6, -0x1.276277302e59dp-6, -0x1.23942b26ebab6p-6, -0x1.1fc92f1a13da6p-6, -0x1.1c01b011b22ecp-6, -0x1.183dd970a2ba1p-6, -0x1.147dd871e39d1p-6, -0x1.10c1df1216ea4p-6, -0x1.0d0a25adbd87dp-6, -0x1.0956eae110dbdp-6, -0x1.05a87199c4facp-6, -0x1.01fefdb72c19bp-6, -0x1.fcb59fde8e486p-7, -0x1.f57843c384411p-7, -0x1.ee46467da184cp-7, -0x1.e71ff15f72a86p-7, -0x1.e00579997a98dp-7, -0x1.d8f705ec94331p-7, -0x1.d1f4b6eecc301p-7, -0x1.cafeb010efc67p-7, -0x1.c4151f5d900bfp-7, -0x1.bd384230b77adp-7, -0x1.b66865dc7a4e3p-7, -0x1.afa5e42822a08p-7, -0x1.a8f11c93cac56p-7, -0x1.a24a6c0696a0cp-7, -0x1.9bb224da3283cp-7, -0x1.9528890675302p-7, -0x1.8eadc79d5478ap-7, -0x1.8841fdfea348bp-7, -0x1.81e53c5d68cbbp-7, -0x1.7b978c808fd43p-7, -0x1.7558f92c06d1ep-7, -0x1.6f29947c0c6a2p-7, -0x1.69097b77a3643p-7, -0x1.62f8d6149bacbp-7, -0x1.5cf7d367a0ec5p-7, -0x1.5706a32a8b5fap-7, -0x1.51256e75fe7d5p-7, -0x1.4b5451de8077ap-7, -0x1.45935ab28e276p-7, -0x1.3fe288136c099p-7, -0x1.3a41cf78453e2p-7, -0x1.34b1234b29f9ap-7, -0x1.2f3079f7e7024p-7, -0x1.29bfd3e8da179p-7, -0x1.245f3f5179f09p-7, -0x1.1f0ed90e321d9p-7, -0x1.19ceca3d0e605p-7, -0x1.149f42949d595p-7, -0x1.0f80702b9d503p-7, -0x1.0a7276062b8a5p-7, -0x1.057563376014dp-7, -0x1.00892d85ecb95p-7, -0x1.f75b618b85a0cp-8, -0x1.edc566b9657e3p-8, -0x1.e44fde1ff0867p-8, -0x1.dafa37f4a92ddp-8, -0x1.d1c3f6e67b9e2p-8, -0x1.c8acc1f792258p-8, -0x1.bfb46f7014d9ep-8, -0x1.b6db06f186931p-8, -0x1.ae20ba243d8cp-8, -0x1.a585d58f1e8c9p-8, -0x1.9d0aad37ba638p-8, -0x1.94af899cb4b19p-8, -0x1.8c7498ffa3468p-8, -0x1.8459e7430bde1p-8, -0x1.7c5f5cac4197dp-8, -0x1.7484c2125f628p-8, -0x1.6cc9c7c58ce84p-8, -0x1.652e0c45059f4p-8, -0x1.5db12162e85ep-8, -0x1.5652908b8569p-8, -0x1.4f11e03608005p-8, -0x1.47ee9af25e0bap-8, -0x1.40e855c1e1707p-8, -0x1.39feb1cf992f4p-8, -0x1.333157a9a6e33p-8, -0x1.2c7feef015p-8, -0x1.25ea19426cbd1p-8, -0x1.1f6f7673ff76cp-8, -0x1.190fb29494144p-8, -0x1.12ca97eb16c74p-8, -0x1.0ca01c0bf42c1p-8, -0x1.0690616841268p-8, -0x1.009bac6dfdf13p-8, -0x1.f584a2b3aa624p-9, -0x1.ea09457247d61p-9, -0x1.dec5cb89c3928p-9, -0x1.d3ba94d8cf36p-9, -0x1.c8e7bdc7d42c3p-9, -0x1.be4cf069994e2p-9, -0x1.b3e925af54917p-9, -0x1.a9ba7265fbe6fp-9, -0x1.9fbe04895855ap-9, -0x1.95f069f07dd88p-9, -0x1.8c4e1ccc35a4ap-9, -0x1.82d4305ddc508p-9, -0x1.7980e18077601p-9, -0x1.7053d3d24dabep-9, -0x1.674de0e9e6586p-9, -0x1.5e708dca84b51p-9, -0x1.55bd69705fb0cp-9, -0x1.4d35a8c48148bp-9, -0x1.44da305e370c2p-9, -0x1.3cabf41150349p-9, -0x1.34ac53d6cb9a6p-9, -0x1.2cdd1a2002d5ep-9, -0x1.253ffd0c0c592p-9, -0x1.1dd5cf705e7dap-9, -0x1.169db915066adp-9, -0x1.0f94cd9ff21b5p-9, -0x1.08b63ace8dc3p-9, -0x1.01fc150099498p-9, -0x1.f6c12c3a80728p-10, -0x1.e9beed4a2d52ep-10, -0x1.dcedcef28716p-10, -0x1.d04f6da7e174p-10, -0x1.c3e8ed83a3e41p-10, -0x1.b7c002fb6fcafp-10, -0x1.abd84c55c7945p-10, -0x1.a0327c2edf1d4p-10, -0x1.94cda92f55029p-10, -0x1.89a9a06d633c1p-10, -0x1.7ec881683c141p-10, -0x1.742e9a3266972p-10, -0x1.69e0b701bb9c8p-10, -0x1.5fe1f6ea4c8b3p-10, -0x1.56325d23bd2acp-10, -0x1.4cceb76d97df4p-10, -0x1.43b160895924p-10, -0x1.3ad2fa7c6a5f6p-10, -0x1.322ada384d3dap-10, -0x1.29afdc6f7a3dfp-10, -0x1.215a48cc13448p-10, -0x1.192631492c4cap-10, -0x1.11149f1fcef91p-10, -0x1.092a4c948c665p-10, -0x1.016c85aee390bp-10, -0x1.f3bca51ed9c5bp-11, -0x1.e4ff601a30885p-11, -0x1.d69db4a22dd7ap-11, -0x1.c8950a6dc6953p-11, -0x1.bae76e2f09944p-11, -0x1.ad9babb6db544p-11, -0x1.a0b898a762b5p-11, -0x1.943f619146407p-11, -0x1.882a6b594ca7cp-11, -0x1.7c713bc174bc5p-11, -0x1.710d2c1ee1972p-11, -0x1.65fb79f9663c5p-11, -0x1.5b3c22c1c9e0cp-11, -0x1.50ceb57257a4cp-11, -0x1.46af4004f9a65p-11, -0x1.3cd572f53ef4ap-11, -0x1.3336723fa2c5fp-11, -0x1.29c88840f453cp-11, -0x1.2087abe92518ap-11, -0x1.17781547cdc3p-11, -0x1.0ea3575b41b1fp-11, -0x1.061095734eecep-11, -0x1.fb7ce8b364f51p-12, -0x1.eb4dd4ffc1e0ap-12, -0x1.db93c697cf8d7p-12, -0x1.cc5d8fa733118p-12, -0x1.bdb397ed3a1dbp-12, -0x1.af8b165e7602cp-12, -0x1.a1d01a892f265p-12, -0x1.94735da88ae59p-12, -0x1.876dfb3bb9ba5p-12, -0x1.7abebada21ebcp-12, -0x1.6e6832cb534dap-12, -0x1.627155e4b3ff4p-12, -0x1.56e4fed507313p-12, -0x1.4bcd7deef33c8p-12, -0x1.412d6ba6c4796p-12, -0x1.36f86ae3a3dp-12, -0x1.2d0fddcc11a63p-12, -0x1.23509aa0e0557p-12, -0x1.19b2978cb12b4p-12, -0x1.105297f353a88p-12, -0x1.074d03edae037p-12, -0x1.fd360ffde2edep-13, -0x1.ec5029f6505b3p-13, -0x1.dbf24363ffbc5p-13, -0x1.cc41be643cc09p-13, -0x1.bd3dbe93e7331p-13, -0x1.aec30b7d80e1dp-13, -0x1.a0b2f85eb51dap-13, -0x1.93020cdce48e2p-13, -0x1.85b0d989d4f5ap-13, -0x1.78c22b8a41c2bp-13, -0x1.6c3645b3ef133p-13, -0x1.600bb2f65d569p-13, -0x1.5444130aa0216p-13, -0x1.48e88184f0fe1p-13, -0x1.3e07fb8b3162ap-13, -0x1.33af9bb8064f3p-13, -0x1.29e11cb036976p-13, -0x1.2085a577e38b6p-13, -0x1.176b4bb5864cp-13, -0x1.0e708c9566283p-13, -0x1.05acd51108cap-13, -0x1.fa86dd6ddf955p-14, -0x1.ea568cc954b73p-14, -0x1.daa3f781ad813p-14, -0x1.cb8c2003cd0b6p-14, -0x1.bd348b3c5a6b1p-14, -0x1.af88fbd5e488ep-14, -0x1.a25b06f0be083p-14, -0x1.9591c2f19e685p-14, -0x1.892aed609b839p-14, -0x1.7d2b521635c7p-14, -0x1.719655324b1dbp-14, -0x1.666c1c2e2c114p-14, -0x1.5ba9e412020f9p-14, -0x1.514b3d0916bd9p-14, -0x1.474c8c5719c7p-14, -0x1.3daddcafc3145p-14, -0x1.3472eca79da69p-14, -0x1.2ba03c9c6434ep-14, -0x1.233c1e9353bd9p-14, -0x1.1b4b49554fe9dp-14, -0x1.13b865fb792eep-14, -0x1.0c6c7d3c720acp-14, -0x1.056d6a4d932c4p-14, -0x1.fd37fec18a267p-15, -0x1.efe8d1e42321cp-15, -0x1.e33c2bd13cba3p-15, -0x1.d718adaed9cfap-15, -0x1.cb83beb3444edp-15, -0x1.c0864ad85f91dp-15, -0x1.b5f65f4eb7e62p-15, -0x1.abbd1eb818a97p-15, -0x1.a1dc7b4cf0942p-15, -0x1.9859c5ea5f0e9p-15, -0x1.8f36557c5b9p-15, -0x1.867060226d832p-15, -0x1.7e04cca393559p-15, -0x1.75f001671a2b1p-15, -0x1.6e2ded4ee6574p-15, -0x1.66ba1f45f2a82p-15, -0x1.5f907e7dd82e1p-15, -0x1.58ae00a306aacp-15, -0x1.520ed7f3ee425p-15, -0x1.4bad8c8375cd9p-15, -0x1.45931426a03d6p-15, -0x1.3fd689d8ebdb4p-15, -0x1.3a58c936406f4p-15, -0x1.35071a5823803p-15, -0x1.2ff3881117a5dp-15, -0x1.2b01fea597811p-15, -0x1.264b1b51b80fap-15, -0x1.21bba38bfac73p-15, -0x1.1d3f72362b4d5p-15, -0x1.18ff198cbd411p-15, -0x1.14ed96efd34cfp-15, -0x1.10f778f0fb2cbp-15, -0x1.0d1cc3196fe67p-15, -0x1.09605b3244403p-15, -0x1.05c2b97fabd68p-15, -0x1.0242b6a5b4797p-15, -0x1.fdbd4742a8ce8p-16, -0x1.f729b38f16fd2p-16, -0x1.f0c7c789aa2dcp-16, -0x1.ea94b688cab36p-16, -0x1.e48d47b063cp-16, -0x1.deada4fbe7f2fp-16, -0x1.d8f214690256p-16, -0x1.d357faea5f6c1p-16, -0x1.cddc47c21e524p-16, -0x1.c878ce7c685d5p-16, -0x1.c332d76c524d7p-16, -0x1.be271d18f802p-16, -0x1.b938e8a8df7aep-16, -0x1.b43aa0ae2ac07p-16, -0x1.af4541c1843cep-16, -0x1.aa9e4629936c2p-16, -0x1.a60d591744391p-16, -0x1.a16461e0c93ddp-16, -0x1.9cbf2b3451fe5p-16, -0x1.983e47614ce34p-16, -0x1.93ca10e96506p-16, -0x1.8f5a0de623ab9p-16, -0x1.8af1553778178p-16, -0x1.869136ea496c5p-16, -0x1.8239408213fa8p-16, -0x1.7de87299e1582p-16, -0x1.799dc2ede39d7p-16, -0x1.755841326c8d4p-16, -0x1.7117248a89d9ep-16, -0x1.6cd9c67c47e03p-16, -0x1.689f888452ebdp-16, -0x1.6467b0ecd1723p-16, -0x1.603162a57e74cp-16, -0x1.5bfbc9a8f2eefp-16, -0x1.57c66f5fecea3p-16, -0x1.539145e019414p-16, -0x1.4f5ba531dbfbap-16, -0x1.4b23f73a75635p-16, -0x1.46ee8b48c9562p-16, -0x1.42be26ab0b554p-16, -0x1.3e824bbe0763ap-16, -0x1.3a44f44fb33ap-16, -0x1.360aeacd344d9p-16, -0x1.31d1d7a830ab5p-16, -0x1.2d95945c6341fp-16, -0x1.295005493891fp-16, -0x1.250d34b9e202ap-16, -0x1.20c8fc60f5d0ap-16, -0x1.1c80df44093f8p-16, -0x1.183617a755e46p-16, -0x1.13e92707ad377p-16, -0x1.0f9a2490202adp-16, -0x1.0b491698b1d79p-16, -0x1.06f60829e6944p-16, -0x1.02a10b7df164ep-16, -0x1.fc94738da139dp-17, -0x1.f3e365ce8c474p-17, -0x1.eb2f39a7f44bcp-17, -0x1.e2784267db4d6p-17, -0x1.d9bed2f58a9f6p-17, -0x1.d103398c8e46cp-17, -0x1.c845c3bb42afap-17, -0x1.bf86ca9766697p-17, -0x1.b6c6ca2962512p-17, -0x1.ae0666995be5cp-17, -0x1.a54605c84b8ep-17, -0x1.9c855dc4ab0fbp-17, -0x1.93c5d622edbdcp-17, -0x1.8b084895f6563p-17, -0x1.824bba2db409dp-17, -0x1.7992e5b4853dep-17, -0x1.70dbd1baf938ap-17, -0x1.6827601421f4bp-17, -0x1.5f77d64a9ccdcp-17, -0x1.56cc062c5deb9p-17, -0x1.4e2603610ac31p-17, -0x1.4585195a1e246p-17, -0x1.3ce9da297740bp-17, -0x1.34551da3dd1a8p-17, -0x1.2bc777b602239p-17, -0x1.23416f10b7a3cp-17, -0x1.1ac3895249fadp-17, -0x1.124e4d062c5cbp-17, -0x1.09e2408a2e23ap-17, -0x1.017fe9e6f04e3p-17, -0x1.f24fa0a4b644dp-18, -0x1.e1b4ebf2c03bfp-18, -0x1.d130c1b6ccfa6p-18, -0x1.c0c42d9e1cb71p-18, -0x1.b070244cd6e9bp-18, -0x1.a035a953579f7p-18, -0x1.9015accbe3847p-18, -0x1.801120023397ep-18, -0x1.7028f8f5b2806p-18, -0x1.605e3e09c4138p-18, -0x1.50b1f0b26a40cp-18, -0x1.4124c0ea667d5p-18, -0x1.31b70f6e047adp-18, -0x1.226a82fd65491p-18, -0x1.13404feb5108cp-18, -0x1.0438c0c91a33dp-18, -0x1.eaa874dae3af3p-19, -0x1.cd27947367cc4p-19, -0x1.afef8b44aa262p-19, -0x1.93032a21e2165p-19, -0x1.76653935f177cp-19, -0x1.5a154a40f0ff4p-19, -0x1.3e13dd7892d39p-19, -0x1.226326abe1d94p-19, -0x1.0704935ea0a54p-19, -0x1.d7f2ab57adb55p-20, -0x1.a28525ac9c145p-20, -0x1.6dc2cdb16a75p-20, -0x1.39adc750c8995p-20, -0x1.0648223c2de86p-20, -0x1.a727a9219202ep-21, -0x1.432586f58db0bp-21, -0x1.c11aeae0740d1p-22, -0x1.fd8ba1c27e30cp-23, -0x1.fa928303a422dp-25, 0x1.f4e58f396e1cdp-24, 0x1.36cfd5977b929p-22, 0x1.ed82722ffc314p-22, 0x1.509bda92610c6p-21, 0x1.a8f80e26d2789p-21, 0x1.ffd426c2580edp-21, 0x1.2a96c36a7d4f3p-20, 0x1.5480c73dbcab3p-20, 0x1.7da7a15066756p-20, 0x1.a60cd3f3928d3p-20, 0x1.cdafd6fb48ef7p-20, 0x1.f487892915e8p-20, 0x1.0d4dc70d211efp-19, 0x1.1ff5a290fc258p-19, 0x1.323a2a55eaa62p-19, 0x1.441be8588b967p-19, 0x1.559c193e1733ep-19, 0x1.66b611d0235d4p-19, 0x1.776c8fa715a4bp-19, 0x1.87c13d18843c3p-19, 0x1.97b0753774453p-19, 0x1.a740281437bdfp-19, 0x1.b66ab6c7e41fap-19, 0x1.c53298d1dd2ecp-19, 0x1.d397d30b28464p-19, 0x1.e19a9dc4ae42cp-19, 0x1.ef3b36813f6bp-19, 0x1.fc79e590ef15bp-19, 0x1.04ab89da142b4p-18, 0x1.0ae98344edcf7p-18, 0x1.10f714fc221cp-18, 0x1.16d473b9a1b37p-18, 0x1.1c81d7dc6f3e8p-18, 0x1.21ff7cc1211e6p-18, 0x1.274da179f9f93p-18, 0x1.2c6c89c41fdcap-18, 0x1.315c7da914fedp-18, 0x1.361dc892efb12p-18, 0x1.3ab0b9456488cp-18, 0x1.3f15a046f869ap-18, 0x1.434cc7ac0c973p-18, 0x1.475673b07fbcfp-18, 0x1.4b32fdb0479d6p-18, 0x1.4ee2f0aa7d17ap-18, 0x1.526756ab6566dp-18, 0x1.55beb2b3d9f78p-18, 0x1.58ea61e78dc97p-18, 0x1.5beb530f711e7p-18, 0x1.5ec16685ec2ccp-18, 0x1.616d2c8e01c62p-18, 0x1.63efbc35c2128p-18, 0x1.664787fe33a52p-18, 0x1.68766b7b2a9c7p-18, 0x1.6a7d096667f6p-18, 0x1.6c5b6b4ca348p-18, 0x1.6e1202a5067e1p-18, 0x1.6fa1410f5ee74p-18, 0x1.7109c6516925cp-18, 0x1.724be12aa8ba1p-18, 0x1.73681c24cd8fap-18, 0x1.745ef520a7a37p-18, 0x1.7530edce081cap-18, 0x1.75ddf8538fb85p-18, 0x1.7668aab7736fbp-18, 0x1.76ce2718e40aap-18, 0x1.77116cc424838p-18, 0x1.77323b653533ep-18, 0x1.773128dffd3a9p-18, 0x1.770eb4130628ep-18, 0x1.76cb5fdbd687cp-18, 0x1.76676c1558d4cp-18, 0x1.75e428e2837e9p-18, 0x1.7541526ad0b8dp-18, 0x1.747fac603ca1ap-18, 0x1.739fc57b5283p-18, 0x1.72a2219131edcp-18, 0x1.71874889e63eap-18, 0x1.704fb6483cdap-18, 0x1.6efbfa7e50749p-18, 0x1.6d8c91de5cdc1p-18, 0x1.6c021aaba79f3p-18, 0x1.6a5d700714431p-18, 0x1.689e1bfc60efdp-18, 0x1.66c557542726ep-18, 0x1.64d3ba3e54ae8p-18, }}, 
      {{-0x1.3776fa9257381p-8, -0x1.3e1b279d46078p-7, -0x1.ec984637376a7p-7, -0x1.557bd46040a64p-6, -0x1.bd9c19e67860ap-6, -0x1.176fdabb86812p-5, -0x1.54685781b6449p-5, -0x1.953c03a44417cp-5, -0x1.d941d481d7e9dp-5, -0x1.0fd9fb0aea40fp-4, -0x1.33deebadded42p-4, -0x1.5843bcdde7029p-4, -0x1.7c9f1a819b476p-4, -0x1.a08d9c03d767fp-4, -0x1.c3b40a9e2cb4fp-4, -0x1.e5c0d649c5abep-4, -0x1.033670872a14fp-3, -0x1.12bde26b5d01dp-3, -0x1.215dd99685901p-3, -0x1.2f0284d2e904ep-3, -0x1.3b9cd8c01d59fp-3, -0x1.47222e7909cb4p-3, -0x1.518bd86e4915bp-3, -0x1.5ad6b3289827cp-3, -0x1.6302b63882a2p-3, -0x1.6a12886edec7p-3, -0x1.700b198d59947p-3, -0x1.74f342ea5d558p-3, -0x1.78d36fe36cbap-3, -0x1.7bb54e91fd7e9p-3, -0x1.7da388d1d2231p-3, -0x1.7ea98574c6b65p-3, -0x1.7ed331223d8cp-3, -0x1.7e2cce9b2f24bp-3, -0x1.7cc2cde163d64p-3, -0x1.7aa1a960a1385p-3, -0x1.77d5c89f8e57cp-3, -0x1.746b681bfab85p-3, -0x1.706e85b3222d9p-3, -0x1.6bead0bb2c584p-3, -0x1.66eb9d5824edap-3, -0x1.617bdad2b9817p-3, -0x1.5ba60ca479e4fp-3, -0x1.557445a38bee1p-3, -0x1.4ef024ccd8c11p-3, -0x1.4822d36ce625cp-3, -0x1.4115048cb84c6p-3, -0x1.39cef5816c31bp-3, -0x1.32586f649f0fcp-3, -0x1.2ab8c9318ba2fp-3, -0x1.22f6ea53a40d4p-3, -0x1.1b194d8b8c38ap-3, -0x1.1326041f46796p-3, -0x1.0b22b94c73f51p-3, -0x1.0314b5ef61fd9p-3, -0x1.f601c89ac74d1p-4, -0x1.e5d7a7e125271p-4, -0x1.d5b37b0cc59f9p-4, -0x1.c59d0d6dfb6b9p-4, -0x1.b59b8be0951efp-4, -0x1.a5b58c43468d1p-4, -0x1.95f114cd8dbfcp-4, -0x1.8653a33ff4dd8p-4, -0x1.76e233eb6a33cp-4, -0x1.67a1488a97b1ap-4, -0x1.5894eee9b3df8p-4, -0x1.49c0c7594989cp-4, -0x1.3b280ae9753e5p-4, -0x1.2ccd916ca8d34p-4, -0x1.1eb3d740bba5dp-4, -0x1.10dd02df89dc9p-4, -0x1.034aea3744186p-4, -0x1.ebfe2f977446fp-5, -0x1.d1f59f442909ep-5, -0x1.b87e27ee6052cp-5, -0x1.9f995387bb4bap-5, -0x1.87483a1a60421p-5, -0x1.6f8b8a0963c46p-5, -0x1.58638ff098c2cp-5, -0x1.41d03e2549adbp-5, -0x1.2bd133dc5593ep-5, -0x1.1665c3f487f16p-5, -0x1.018cfb6b81894p-5, -0x1.da8b4ef512f27p-6, -0x1.b31cb6cdc3b0ap-6, -0x1.8ccaebfa386bp-6, -0x1.67924d8e5e4a2p-6, -0x1.436ee5eb14001p-6, -0x1.205c740c252c3p-6, -0x1.fcace887a82fep-7, -0x1.bab050eed2a0bp-7, -0x1.7ab93fa115c61p-7, -0x1.3cbd7bdf47c41p-7, -0x1.00b2834268b64p-7, -0x1.8d1b2c846d7a5p-8, -0x1.1c8787aae8df6p-8, -0x1.5f27d17a6257bp-9, -0x1.18a79f39f7f8ap-10, 0x1.fcd0906101fbcp-12, 0x1.04cf16f2355f4p-9, 0x1.c37889f8fc5dep-9, 0x1.3de1cfc81752cp-8, 0x1.96eeaca195c5fp-8, 0x1.ecf9373bea486p-8, 0x1.200bcd70dbdd4p-7, 0x1.482fe423fdbf2p-7, 0x1.6ef3b6bc8391fp-7, 0x1.9461f6b6927bbp-7, 0x1.b8852c4e534e9p-7, 0x1.db67b3896adc7p-7, 0x1.fd13b8f040a0fp-7, 0x1.0ec99b616a161p-6, 0x1.1e77f964ba555p-6, 0x1.2d99be040c693p-6, 0x1.3c33946c4ace8p-6, 0x1.4a4a0ae32d011p-6, 0x1.57e19223bdc8cp-6, 0x1.64fe7cff8aeedp-6, 0x1.71a50030af96ap-6, 0x1.7dd93231ef9fep-6, 0x1.899f0b3d9b5cap-6, 0x1.94fa655c5f08ep-6, 0x1.9feefc76a59d6p-6, 0x1.aa806e805a1b8p-6, 0x1.b4b23ba0a847dp-6, 0x1.be87c65a58e7dp-6, 0x1.c80453d38409cp-6, 0x1.d12b0c1bc2616p-6, 0x1.d9fefa6d9d43ap-6, 0x1.e2830d9af490ep-6, 0x1.eaba187c76a35p-6, 0x1.f2a6d26273297p-6, 0x1.fa4bd79b2a04ep-6, 0x1.00d5d5071b97ep-5, 0x1.046458ea8a5c9p-5, 0x1.07d29eea595b7p-5, 0x1.0b21c233d1396p-5, 0x1.0e52d20659069p-5, 0x1.1166d20542ed1p-5, 0x1.145eba894143fp-5, 0x1.173b78f6a4c08p-5, 0x1.19fdf01182725p-5, 0x1.1ca6f84c3ffb9p-5, 0x1.1f376015e615ap-5, 0x1.21afec2ce2d65p-5, 0x1.241157ecc10aap-5, 0x1.265c55a3d5cc9p-5, 0x1.28918ecf0b798p-5, 0x1.2ab1a47a003ccp-5, 0x1.2cbd2f877980cp-5, 0x1.2eb4c0fe8e331p-5, 0x1.3098e256b2a1fp-5, 0x1.326a15c6ba38ap-5, 0x1.3428d692bb898p-5, 0x1.35d5995794b5cp-5, 0x1.3770cc5471a89p-5, 0x1.38fad7b4698b7p-5, 0x1.3a741dd856a22p-5, 0x1.3bdcfb9e94886p-5, 0x1.3d35c8a72117p-5, 0x1.3e7ed7961603ap-5, 0x1.3fb87655dde5p-5, 0x1.40e2ee5870cfdp-5, 0x1.41fe84d57d875p-5, 0x1.430b7b04e307bp-5, 0x1.440a0e583b2a9p-5, 0x1.44fa78b47688bp-5, 0x1.45dcf0a9472a8p-5, 0x1.46b1a9a502fcp-5, 0x1.4778d426bc80fp-5, 0x1.48329defbfab2p-5, 0x1.48df3233aa9f9p-5, 0x1.497eb9c66688bp-5, 0x1.4a115b494156fp-5, 0x1.4a973b53fd6f4p-5, 0x1.4b107c9ef6f5p-5, 0x1.4b7d402927153p-5, 0x1.4bdda56045dc5p-5, 0x1.4c31ca44b43dfp-5, 0x1.4c79cb8df76b9p-5, 0x1.4cb5c4cad6b6ep-5, 0x1.4ce5d07b3ff4p-5, 0x1.4d0a08386e3cep-5, 0x1.4d2284cf76dbdp-5, 0x1.4d2f5e5a895e4p-5, 0x1.4d30ac5b6167ep-5, 0x1.4d2685d4eddc7p-5, 0x1.4d1101631d666p-5, 0x1.4cf03550addf3p-5, 0x1.4cc437abd2c33p-5, 0x1.4c8d1e5a01809p-5, 0x1.4c4aff2a36867p-5, 0x1.4bfdefe605685p-5, 0x1.4ba6066183926p-5, 0x1.4b435889f1c11p-5, 0x1.4ad5fc754ca27p-5, 0x1.4a5e086d5137ap-5, 0x1.49db92fb3fe86p-5, 0x1.494eb2f289a2dp-5, 0x1.48b77f7afd9c5p-5, 0x1.4816101aaf4c1p-5, 0x1.476a7cbf0d294p-5, 0x1.46b4ddbe391f5p-5, 0x1.45f54be419889p-5, 0x1.452be075b1918p-5, 0x1.4458b532ce786p-5, 0x1.437be461e66d1p-5, 0x1.429588cc14d51p-5, 0x1.41a5bdc3ef4eep-5, 0x1.40ac9f271293bp-5, 0x1.3faa495faa113p-5, 0x1.3e9ed9657825dp-5, 0x1.3d8a6cbeb911p-5, 0x1.3c6d2180b280cp-5, 0x1.3b47164f57bccp-5, 0x1.3a186a5c059ap-5, 0x1.38e13d641814dp-5, 0x1.37a1afaf54a3bp-5, 0x1.3659e20e97be2p-5, 0x1.3509f5d9abc37p-5, 0x1.33b20cec08de5p-5, 0x1.325249a17e645p-5, 0x1.30eaced2ba6ddp-5, 0x1.2f7bbfd2555f3p-5, 0x1.2e054069754cfp-5, 0x1.2c8774d37bc94p-5, 0x1.2b0281b915b72p-5, 0x1.29768c2b5c018p-5, 0x1.27e3b99f8763ep-5, 0x1.264a2feac7bccp-5, 0x1.24aa153da5271p-5, 0x1.2303901e5554p-5, 0x1.2156c762be34dp-5, 0x1.1fa3e22ac9ebdp-5, 0x1.1deb07db7fc5bp-5, 0x1.1c2c601a519f4p-5, 0x1.1a6812c7de512p-5, 0x1.189e47f9bededp-5, 0x1.16cf27f40a777p-5, 0x1.14fadb23326b8p-5, 0x1.13218a16b6861p-5, 0x1.11435d7c49fc1p-5, 0x1.0f607e1aa3369p-5, 0x1.0d7914cb7dc92p-5, 0x1.0b8d4a750e9c7p-5, 0x1.099d4803b0658p-5, 0x1.07a936645ce1bp-5, 0x1.05b13e7fd4f13p-5, 0x1.03b58935d501fp-5, 0x1.01b63f57d233ep-5, 0x1.ff671345d6d77p-6, 0x1.fb5b2174066bep-6, 0x1.f748fa3e8bc6ep-6, 0x1.f330ee63a295ap-6, 0x1.ef134e4cb2ba1p-6, 0x1.eaf06a0699beap-6, 0x1.e6c8913a0c374p-6, 0x1.e29c1320bfd1cp-6, 0x1.de6b3e7a2bd8ap-6, 0x1.da3661816aed1p-6, 0x1.d5fdc9e4f4edap-6, 0x1.d1c1c4bf43e4bp-6, 0x1.cd829e8f870a5p-6, 0x1.c940a331b6bd3p-6, 0x1.c4fc1dd5b3996p-6, 0x1.c0b558f65830dp-6, 0x1.bc6c9e5123768p-6, 0x1.b82236df37bfdp-6, 0x1.b3d66acf5935ap-6, 0x1.af8981805ac0bp-6, 0x1.ab3bc17b37ec5p-6, 0x1.a6ed706ca9ca4p-6, 0x1.a29ed31fb4f1ap-6, 0x1.9e502d7203447p-6, 0x1.9a01c2514ba8p-6, 0x1.95b3d3be088eap-6, 0x1.9166a2b982132p-6, 0x1.8d1a6f4ac859ap-6, 0x1.88cf78790e2f8p-6, 0x1.8485fc46cb84cp-6, 0x1.803e37ad1a4d3p-6, 0x1.7bf8669758575p-6, 0x1.77b4c3df9048ap-6, 0x1.7373894bb71cdp-6, 0x1.6f34ef8b911fbp-6, 0x1.6af92e36bfb6dp-6, 0x1.66c07bcaa9e0ap-6, 0x1.628b0da813c59p-6, 0x1.5e5918108c11dp-6, 0x1.5a2ace242060ep-6, 0x1.560061df8cceap-6, 0x1.51da041b2331ap-6, 0x1.4db7e48a46d06p-6, 0x1.499a31bb61d3p-6, 0x1.458119169ca41p-6, 0x1.416cc6df80a2p-6, 0x1.3d5d66324abb6p-6, 0x1.395321047dcc3p-6, 0x1.354e202489404p-6, 0x1.314e8b39d9f61p-6, 0x1.2d5488c58321cp-6, 0x1.29603e23bdcf7p-6, 0x1.2571cf8cd8d83p-6, 0x1.218960169ad6bp-6, 0x1.1da711b5657abp-6, 0x1.19cb053d4c321p-6, 0x1.15f55a6333f7ap-6, 0x1.12262fbe3f21dp-6, 0x1.0e5da2c97d72cp-6, 0x1.0a9bcfe6039a2p-6, 0x1.06e0d25d3c6a5p-6, 0x1.032cc4636d6c8p-6, 0x1.feff7e345d939p-7, 0x1.f7b3b525d314p-7, 0x1.f0765ba2610cbp-7, 0x1.e9479d9a5b89dp-7, 0x1.e227a4ec4f80cp-7, 0x1.db16996a64a25p-7, 0x1.d414a0e04a814p-7, 0x1.cd21df19856cp-7, 0x1.c63e75e815596p-7, 0x1.bf6a852b362a1p-7, 0x1.b8a62ad643198p-7, 0x1.b1f182f78ab37p-7, 0x1.ab4ca7bf17877p-7, 0x1.a4b7b1854a6abp-7, 0x1.9e32b6d178f2ap-7, 0x1.97bdcc6094618p-7, 0x1.9159052c520d2p-7, 0x1.8b04727280cf7p-7, 0x1.84c023bc830d8p-7, 0x1.7e8c26e722d24p-7, 0x1.7868882a820dep-7, 0x1.725552223d8p-7, 0x1.6c528dd5d05fap-7, 0x1.666042c0a931cp-7, 0x1.607e76d9e3267p-7, 0x1.5aad2e9be1e75p-7, 0x1.54ec6d0b599fbp-7, 0x1.4f3c33be36a68p-7, 0x1.499c82e217613p-7, 0x1.440d59449a634p-7, 0x1.3e8eb45a50ed9p-7, 0x1.39209047fed75p-7, 0x1.33c2e7ebc872cp-7, 0x1.2e75b4e6e408cp-7, 0x1.2938efa6f23e8p-7, 0x1.240c8f6ec0505p-7, 0x1.1ef08a5dc9469p-7, 0x1.19e4d5768d5e1p-7, 0x1.14e964a4236b9p-7, 0x1.0ffe2abf37517p-7, 0x1.0b231993b8f16p-7, 0x1.065821e783ccep-7, 0x1.019d3382a2064p-7, 0x1.f9e47a71a6b69p-8, 0x1.f0ae59e77d672p-8, 0x1.e797df7b1f88dp-8, 0x1.dea0e397f9fc6p-8, 0x1.d5c93d12b5afbp-8, 0x1.cd10c1347c2bcp-8, 0x1.c47743c288f98p-8, 0x1.bbfc97050ba9dp-8, 0x1.b3a08bcdbcbeap-8, 0x1.ab62f17f9797ap-8, 0x1.a3439619677acp-8, 0x1.9b424643d09b9p-8, 0x1.935ecd62ecc5bp-8, 0x1.8b98f5a9a2c9ep-8, 0x1.83f0882dc894dp-8, 0x1.7c654cfb1ed96p-8, 0x1.74f70b2436c5ap-8, 0x1.6da588d0b0853p-8, 0x1.66708b494b50dp-8, 0x1.5f57d701c8749p-8, 0x1.585b2fa1293f6p-8, 0x1.517a580850063p-8, 0x1.4ab5125853bfap-8, 0x1.440b1ff1afb92p-8, 0x1.3d7c4181312c5p-8, 0x1.370836fa30602p-8, 0x1.30aebfa0a851ep-8, 0x1.2a6f9a04e9dbap-8, 0x1.244a842f05768p-8, 0x1.1e3f3ba56c3dbp-8, 0x1.184d7d82499dp-8, 0x1.1275069c6b077p-8, 0x1.0cb593a26dbefp-8, 0x1.070ee12e8c317p-8, 0x1.0180abce1bf1ap-8, 0x1.f8155ff3a9d47p-9, 0x1.ed59540112d6bp-9, 0x1.e2ccabd262c2bp-9, 0x1.d86edeaadff97p-9, 0x1.ce3f62dcf0725p-9, 0x1.c43dadc86e74p-9, 0x1.ba693401df1a4p-9, 0x1.b0c169a36f381p-9, 0x1.a745c2bfab513p-9, 0x1.9df5b3de04144p-9, 0x1.94d0b2671331ep-9, 0x1.8bd634e61533p-9, 0x1.8305b310b3704p-9, 0x1.7a5ea59173bc9p-9, 0x1.71e085a0d246fp-9, 0x1.698acc8798f48p-9, 0x1.615cf32ca4f1p-9, 0x1.595671cef7bf5p-9, 0x1.5176c001f2e48p-9, 0x1.49bd54ef2cf01p-9, 0x1.4229a7ce8c1fp-9, 0x1.3abb3077a66b2p-9, 0x1.337167eba5e1bp-9, 0x1.2c4bc8bb04f4ap-9, 0x1.2549cf4022e71p-9, 0x1.1e6af95dac218p-9, 0x1.17aec6982cbd2p-9, 0x1.1114b73547c59p-9, 0x1.0a9c4bdc43d0ep-9, 0x1.044505068190fp-9, 0x1.fc1cc560efd0fp-10, 0x1.efefc8ce3511ep-10, 0x1.e402137a9eb6dp-10, 0x1.d852a61f0b0b4p-10, 0x1.cce084b60e71ap-10, 0x1.c1aab7c33c5b3p-10, 0x1.b6b04cd489011p-10, 0x1.abf0562b36d36p-10, 0x1.a169e9c584325p-10, 0x1.971c203e58cfbp-10, 0x1.8d0613a5cd798p-10, 0x1.8326de97d21afp-10, 0x1.797d9b6d251f8p-10, 0x1.7009638636e3fp-10, 0x1.66c94edf9f357p-10, 0x1.5dbc744be9e5p-10, 0x1.54e1ea9bd9a61p-10, 0x1.4c38caae94c12p-10, 0x1.43c031e4504dap-10, 0x1.3b77442ae2c79p-10, 0x1.335d2ceb3be6dp-10, 0x1.2b711e8fd27ecp-10, 0x1.23b250ef04ff5p-10, 0x1.1c1fff4a600bcp-10, 0x1.14b96696a133p-10, 0x1.0d7dc46b753b1p-10, 0x1.066c568886b88p-10, 0x1.ff08b530a15bp-11, 0x1.f18a1bb034b4cp-11, 0x1.e45b59765b5c7p-11, 0x1.d77ae5b738582p-11, 0x1.cae7375010ce6p-11, 0x1.be9ec7a641d4ep-11, 0x1.b2a0162e6963ep-11, 0x1.a6e9ab2bc5082p-11, 0x1.9b7a19d5a4561p-11, 0x1.904fff0a763cep-11, 0x1.856a0095659cap-11, 0x1.7ac6cbc3e8c3ap-11, 0x1.7065149a1f96fp-11, 0x1.664395b212521p-11, 0x1.5c61104ed7784p-11, 0x1.52bc4c11fa50cp-11, 0x1.495416063d5f5p-11, 0x1.40273f41edeafp-11, 0x1.37349bce4f2e2p-11, 0x1.2e7b025c258p-11, 0x1.25f94c869e6b7p-11, 0x1.1dae56a67bef8p-11, 0x1.1598fe94b0946p-11, 0x1.0db8212975679p-11, 0x1.060a987f4f424p-11, 0x1.fd1e781aee477p-12, 0x1.ee89c600d91c1p-12, 0x1.e054cf95447d1p-12, 0x1.d27d5744e3715p-12, 0x1.c501321cd162fp-12, 0x1.b7de4a4d5ce5fp-12, 0x1.ab129f5ce8947p-12, 0x1.9e9c457c65dc8p-12, 0x1.927965f056fcbp-12, 0x1.86a8426309892p-12, 0x1.7b27347eec915p-12, 0x1.6ff4b14e5e92bp-12, 0x1.650f3af0cc68ep-12, 0x1.5a75554798da8p-12, 0x1.502574edfe00fp-12, 0x1.461df5f28e9fap-12, 0x1.3c5d1cc8643d9p-12, 0x1.32e11f68f533ep-12, 0x1.29a830d1064a4p-12, 0x1.20b0890abd60ap-12, 0x1.17f86b78e3df8p-12, 0x1.0f7e26a64f536p-12, 0x1.074012e15f87p-12, 0x1.fe791c38fd493p-13, 0x1.eee3f5c075116p-13, 0x1.dfbd90f2f56e7p-13, 0x1.d1030badf8afap-13, 0x1.c2b1ec84bb816p-13, 0x1.b4c83018c800dp-13, 0x1.a7442544c9101p-13, 0x1.9a24242dfd0f9p-13, 0x1.8d66492ab4536p-13, 0x1.81085a25c0e28p-13, 0x1.7507dcdca8c83p-13, 0x1.696243034e8f8p-13, 0x1.5e150b8c3355cp-13, 0x1.531dcd55385bp-13, 0x1.487a34e830f74p-13, 0x1.3e27ffa9d4cd4p-13, 0x1.3424fabeae2bcp-13, 0x1.2a6ee768436f2p-13, 0x1.210385a4ae131p-13, 0x1.17e06580a30dap-13, 0x1.0f02faf867498p-13, 0x1.0668c90b72c5p-13, 0x1.fc1f5fbab5b88p-14, 0x1.ebec5158d619cp-14, 0x1.dc366b86c3474p-14, 0x1.ccfc02d3f9248p-14, 0x1.be3ae63183d3fp-14, 0x1.aff019b028521p-14, 0x1.a218350172b96p-14, 0x1.94afdeca7d421p-14, 0x1.87b3ec089b6bbp-14, 0x1.7b21399865201p-14, 0x1.6ef49f16cdf49p-14, 0x1.632b175b7e65fp-14, 0x1.57c1e939a25adp-14, 0x1.4cb69d2ab5dp-14, 0x1.4206c2492ece2p-14, 0x1.37afafe1204bdp-14, 0x1.2dae6e4171881p-14, 0x1.23ffca190d1d2p-14, 0x1.1aa07e4002a3ap-14, 0x1.118d75540311fp-14, 0x1.08c42644dfebap-14, 0x1.0042cca0e21dcp-14, 0x1.f010381800507p-15, 0x1.e02522f8c8a42p-15, 0x1.d0c032260a605p-15, 0x1.c1dce0f40f85ep-15, 0x1.b377761a078f2p-15, 0x1.a58cf7fcb74d3p-15, 0x1.981a303509ceep-15, 0x1.8b1b30e949caep-15, 0x1.7e8bba742e03bp-15, 0x1.7267c700bf901p-15, 0x1.66abe481bf305p-15, 0x1.5b554a36474b5p-15, 0x1.506189af6aaa8p-15, 0x1.45cdfbf0299e6p-15, 0x1.3b975f4343237p-15, 0x1.31ba03cde41f4p-15, 0x1.28326967289a8p-15, 0x1.1efdb8058498fp-15, 0x1.16199b1336be7p-15, 0x1.0d83be0517032p-15, 0x1.05397c5f8764ap-15, 0x1.fa6f93449b005p-16, 0x1.eaf6990c536dcp-16, 0x1.dc01f49148091p-16, 0x1.cd8e05471090cp-16, 0x1.bf99143e90c4bp-16, 0x1.b22089d7d670dp-16, 0x1.a51fdd823fccep-16, 0x1.989220e409f16p-16, 0x1.8c72f1fe49f53p-16, 0x1.80be2ba89b7a6p-16, 0x1.756fe60957099p-16, 0x1.6a84bf199a3b7p-16, 0x1.5ff9cbbdc917fp-16, 0x1.55cc3e0c31e35p-16, 0x1.4bf904800c3bp-16, 0x1.427c9b4f77786p-16, 0x1.39534bbd85974p-16, 0x1.3079def54d23p-16, 0x1.27ee3a2203f9dp-16, 0x1.1faf07627b8dp-16, 0x1.17ba6cf98c002p-16, 0x1.100d0b3751ce3p-16, 0x1.08a245b4bb7fap-16, 0x1.0175761fc6bf5p-16, 0x1.f5071cc4afd59p-17, 0x1.e79783ae561a6p-17, 0x1.da9b89ee7bd4ap-17, 0x1.ce0f92c4b6c4p-17, 0x1.c1edf695d915fp-17, 0x1.b631e9b0c5341p-17, 0x1.aad7c44da86f7p-17, 0x1.9fdbf354c08dap-17, 0x1.953ae0b434d56p-17, 0x1.8af13e89f698fp-17, 0x1.80fbe7ad0592p-17, 0x1.7757b327de2aap-17, 0x1.6e017f8bbee26p-17, 0x1.64f62843524ddp-17, 0x1.5c32b85ce70f1p-17, 0x1.53b446c12cd23p-17, 0x1.4b784524d10c5p-17, 0x1.437cb3c8f7fa9p-17, 0x1.3bbff61eb9e8fp-17, 0x1.34401a328ecfdp-17, 0x1.2cfa4d976950bp-17, 0x1.25eb244ec7ab2p-17, 0x1.1f0f22bef758cp-17, 0x1.1863d19217345p-17, 0x1.11e7f7dd2a50fp-17, 0x1.0b99d4b158d0dp-17, 0x1.0577b6d9a48ddp-17, 0x1.ff0052b80f2b9p-18, 0x1.f361cc70d0496p-18, 0x1.e810a18b417b1p-18, 0x1.dd0a63cdac196p-18, 0x1.d24c1cd84c6a4p-18, 0x1.c7d3107abc36fp-18, 0x1.bd9cb6d31a259p-18, 0x1.b3a67098aeeabp-18, 0x1.a9ed8c2afbf88p-18, 0x1.a06f6317e4db7p-18, 0x1.97299394cb292p-18, 0x1.8e19eda794b43p-18, 0x1.853e705b1feb4p-18, 0x1.7c95376ff7d44p-18, 0x1.741c7b48ff21fp-18, 0x1.6bd2971e4d486p-18, 0x1.63b5df067e426p-18, 0x1.5bc3fa0deba51p-18, 0x1.53fbc9bd69beep-18, 0x1.4c5b594f307e2p-18, 0x1.44e1612e97101p-18, 0x1.3d8be36269ed8p-18, 0x1.365980ff17a0ap-18, 0x1.2f48b892ad3e6p-18, 0x1.2858d7e8b7578p-18, 0x1.21884ad8123cdp-18, 0x1.1ad32c9bb8ffdp-18, 0x1.14405b944235ep-18, 0x1.0dc7c57f6c397p-18, 0x1.076ab9dba37c9p-18, 0x1.01286aeb742eap-18, 0x1.f60019ba6703dp-19, 0x1.e9e19dc80c2c9p-19, 0x1.ddf3c45c0f88bp-19, 0x1.d235050a25038p-19, 0x1.c6a3fb0ee65d2p-19, 0x1.bb3f6ef3d8d4dp-19, 0x1.b0064307f5cfap-19, 0x1.a4f75c18aa098p-19, 0x1.9a11930852c8bp-19, 0x1.8f53e507e7bfdp-19, 0x1.84bd39aa337ccp-19, 0x1.7a4cf7b441338p-19, 0x1.700216c33dd98p-19, 0x1.65dbc69997fcp-19, 0x1.5bd9d9ef736a5p-19, 0x1.51fb336e40d9p-19, 0x1.483e463055bedp-19, 0x1.3ea5360f340bfp-19, 0x1.352be95cc72afp-19, 0x1.2bd14eaa19d4dp-19, 0x1.22983ead8dfaap-19, 0x1.197ec7cfea6fdp-19, 0x1.1084bd5acdd68p-19, 0x1.07a9934634b87p-19, 0x1.fdd9b63763e4ep-20, 0x1.ec9c9f1a6ba16p-20, 0x1.db9b4443e8921p-20, 0x1.cad51f545c507p-20, 0x1.ba496e5150199p-20, 0x1.a9f7c5f5cf564p-20, 0x1.99df99d2d73fbp-20, 0x1.8a007cb759d15p-20, 0x1.7a5a0fd30716dp-20, 0x1.6aebfa81c70dcp-20, 0x1.5bb5de0589653p-20, 0x1.4cb753ad74df8p-20, 0x1.3deffb730d861p-20, 0x1.2f5f9105e1443p-20, 0x1.2105eded5cd66p-20, 0x1.12e2eb3afc43fp-20, 0x1.04f647f70561ap-20, 0x1.ee800d65a04b6p-21, 0x1.d37fb5ca5a753p-21, 0x1.b8e8af83bf313p-21, 0x1.9ebcece3e41d7p-21, 0x1.84fcc89566da5p-21, 0x1.6ba73a5b576e8p-21, 0x1.52bb90cd7e7c4p-21, 0x1.3a390153426ebp-21, 0x1.22203806a3f6p-21, 0x1.0a70aa91c6dbp-21, 0x1.e653e37658c98p-22, 0x1.b897b84c3496ep-22, 0x1.8bac5153222abp-22, 0x1.5f911e158d68ap-22, 0x1.3445a23fc3e3ep-22, 0x1.09c95aad86cp-22, 0x1.c03732cf2dcd1p-23, 0x1.6e7779b2ffe1bp-23, 0x1.1e52660d5862ep-23, 0x1.9f8d9b9e14e88p-24, 0x1.05a6ee02b91bp-24, 0x1.bbb884b1d5e63p-26, -0x1.24fd10dc4e75dp-27, -0x1.6a0aad19ce0e7p-25, -0x1.4245fd73bd2d6p-24, -0x1.cc647f1cb720ep-24, -0x1.29b1d33f8881cp-23, -0x1.6ba3445fd96b6p-23, -0x1.ac087b2673213p-23, -0x1.eae355a7eb298p-23, -0x1.141aec865505fp-22, -0x1.3200dc5f31313p-22, -0x1.4f2440dc6b02ep-22, -0x1.6b8603f978c7fp-22, -0x1.8727a5fd99abcp-22, -0x1.a209fa1b8d83fp-22, -0x1.bc2e4475fd122p-22, -0x1.d59580b8b3fccp-22, -0x1.ee40f001c868ep-22, -0x1.0318e5f765db6p-21, -0x1.0eb4adef12823p-21, -0x1.19f47874b3e7dp-21, -0x1.24d8d810b53f1p-21, -0x1.2f627cd005d09p-21, -0x1.39921935f68b9p-21, -0x1.43686b296fd6cp-21, -0x1.4ce6332cb8b17p-21, -0x1.560be4204cc4ap-21, -0x1.5edaef1f8608ap-21, -0x1.6753bbb9474bdp-21, -0x1.6f76aa15bee8bp-21, -0x1.77453ba245f76p-21, -0x1.7ebfb8d4a3b84p-21, -0x1.85e72cb13ceafp-21, -0x1.8cbc695bb4367p-21, -0x1.9340471d5302dp-21, -0x1.9973b1a6a4426p-21, -0x1.9f57846461de6p-21, -0x1.a4ec9bf38a0ccp-21, -0x1.aa33e861fc58ap-21, -0x1.af2e54b292c04p-21, -0x1.b3dccd83d1bc7p-21, -0x1.b84044350db7p-21, -0x1.bc59abb14c661p-21, -0x1.c029f8d20385bp-21, -0x1.c3b226fb8d7b1p-21, -0x1.c6f32e4047cc8p-21, -0x1.c9ee07efb0954p-21, -0x1.cca3b5ac65b2fp-21, -0x1.cf15392e71b0ep-21, -0x1.d143929078bfap-21, -0x1.d32fc508d8618p-21, -0x1.d4dad5bc03456p-21, -0x1.d645cb48787bcp-21, -0x1.d771adacc7918p-21, -0x1.d85f861256a4dp-21, -0x1.d9105f87f829dp-21, -0x1.d985433c991c3p-21, -0x1.d9bf413a996f5p-21, -0x1.d9bf65ab066a4p-21, -0x1.d986b5c12f9afp-21, -0x1.d9163cd61f9bp-21, -0x1.d86eed07de235p-21, -0x1.d77a8e12651b7p-21, -0x1.d67e0265c25dp-21, -0x1.d53c076bc7dd8p-21, -0x1.d3c4b4a8a3fd2p-21, -0x1.d21bf5b7961bdp-21, -0x1.d042d823cd2dep-21, -0x1.ce3a6aec54e21p-21, -0x1.cc03bfb71efa7p-21, -0x1.c99febec1206ep-21, -0x1.c70ff5414c306p-21, -0x1.c454f75263fap-21, -0x1.c16fa5b4a4feep-21, -0x1.be617a9661d14p-21, -0x1.bb2b593edbdf2p-21, -0x1.b7ce599ed9babp-21, -0x1.b44b8753e0298p-21, -0x1.b0a3e4a9ef56p-21, -0x1.acd93968e2b35p-21, -0x1.a8efce70fe6f8p-21, -0x1.a4c59436a5568p-21, -0x1.a0ab9ccdde2dp-21, -0x1.9c56f6e66def4p-21, -0x1.97e66513e97e9p-21, -0x1.9358640b7e901p-21, -0x1.8ead9f806ab1bp-21, -0x1.89e6e287e20a7p-21, -0x1.85050fa979ecap-21, -0x1.80097f3a3d8d2p-21, -0x1.7af4b82336edep-21, -0x1.75c7d61224eb3p-21, -0x1.7083c252eab71p-21, -0x1.6b29687f7fab7p-21, -0x1.65b9b23e4217bp-21, -0x1.60358710d0ba7p-21, -0x1.5a9dcc72d66fp-21, -0x1.54f365bbf0f8ep-21, -0x1.4f3733d89cea4p-21, -0x1.496a152c1635fp-21, -0x1.438ce5703d77fp-21, -0x1.3da07d286c404p-21, -0x1.37a5b1e5f963dp-21, -0x1.319d586d64ed8p-21, -0x1.2b884457a6ca1p-21, -0x1.256747b0d14f7p-21, -0x1.1f3b2734ca571p-21, -0x1.1904b011abcc4p-21, -0x1.12c4ab4c6d22dp-21, -0x1.0c7bd911f2a6ep-21, -0x1.062aff00b622cp-21, -0x1.ffa5bc22088dbp-22, -0x1.f2e85547c4efep-22, -0x1.e61f49dff78a4p-22, -0x1.d94c109e6cd8cp-22, -0x1.cc702309f6968p-22, -0x1.bf8c62624fefap-22, -0x1.b2a10a51bb306p-22, -0x1.a5b4935f5890bp-22, -0x1.98c2ae7604f26p-22, -0x1.8bcee0af3e569p-22, -0x1.7edb0c3334272p-22, -0x1.71e9f85fff857p-22, -0x1.64d2dda7bf98fp-22, -0x1.583be15ea07a1p-22, -0x1.4b171492ddc8p-22, -0x1.3e31dd2b7cc96p-22, -0x1.314ec01672b78p-22, -0x1.2474af7b4ee8fp-22, -0x1.17a38c06bbb05p-22, -0x1.0adc1804a5dbbp-22, -0x1.fc2ca107d8003p-23, -0x1.e2dc11dcbee78p-23, -0x1.c9937d2f7bafep-23, -0x1.b065a7822d3d8p-23, -0x1.9754ba447c5fap-23, -0x1.7e63489da5ff4p-23, -0x1.6592b9e981361p-23, -0x1.4ce40e0dd8e71p-23, -0x1.345a82280eebap-23, -0x1.1bf6887f92457p-23, -0x1.03ba5d852f0a8p-23, -0x1.d74f4f15913cp-24, -0x1.a77fa78b3c283p-24, -0x1.7808deee58bdap-24, -0x1.48ee01a056dep-24, }}, 
      {{0x1.5e33a53a05ae7p-4, 0x1.25e44ba7a1453p-3, 0x1.d1ea47bd5de73p-3, 0x1.4d25d8cb5f6ecp-2, 0x1.b465f5d0472fbp-2, 0x1.0af47f5644a3fp-1, 0x1.35b38c51516e9p-1, 0x1.58745b30034dbp-1, 0x1.72336747c1c2fp-1, 0x1.82b02557960efp-1, 0x1.8a3a97d160c47p-1, 0x1.89876289a6a8fp-1, 0x1.818b6636a3b5p-1, 0x1.735eb16dc5c2p-1, 0x1.60261eda0071p-1, 0x1.4902c42bbfbcp-1, 0x1.2f063e62e2fd5p-1, 0x1.132af508c2213p-1, 0x1.ec9f09152c37dp-2, 0x1.b269384a8d3efp-2, 0x1.78f95fc5930e7p-2, 0x1.4159f4b4c3eddp-2, 0x1.0c5ec2981c205p-2, 0x1.b55398256a4bp-3, 0x1.59617aa89c0cdp-3, 0x1.0585182337214p-3, 0x1.7433f926d0938p-4, 0x1.dd0f49b59384cp-5, 0x1.e7c0cf19714cbp-6, 0x1.60df7412f0cebp-8, -0x1.edcd3aafad018p-7, -0x1.045c8439d56dfp-5, -0x1.7070d0821c595p-5, -0x1.c1ae9fd7c3616p-5, -0x1.fa305316204acp-5, -0x1.0e0eef347b4f8p-4, -0x1.14d088abdd1f9p-4, -0x1.126e1b2e335abp-4, -0x1.07f15db59e2efp-4, -0x1.ecb399eb52d0ep-5, -0x1.bd353b0782e05p-5, -0x1.83329a63296ap-5, -0x1.4059700e0ca8dp-5, -0x1.ec7262ff45597p-6, -0x1.4c85807834f39p-6, -0x1.472288a9350e8p-7, 0x1.8016e774c3238p-11, 0x1.8000c7383dfbcp-7, 0x1.7674e215da7b2p-6, 0x1.16ccea8e6d455p-5, 0x1.71ee3d5d92596p-5, 0x1.cbec53a7d5a18p-5, 0x1.12156ce0f0bc4p-4, 0x1.3d10db20aa4ebp-4, 0x1.66adc471e3963p-4, 0x1.8eba1a35914cp-4, 0x1.b50bbb3b522b1p-4, 0x1.d97fc7a9af73fp-4, 0x1.fbf9fd949a901p-4, 0x1.0e320f535d864p-3, 0x1.1d56af7f9ff9fp-3, 0x1.2b64eea44752bp-3, 0x1.385911e6c5489p-3, 0x1.44315928ec508p-3, 0x1.4eedc826d723ap-3, 0x1.588ff396dd34bp-3, 0x1.611ad219ebf64p-3, 0x1.689290c6fa347p-3, 0x1.6efc6b21a28f7p-3, 0x1.745e8648b66ep-3, 0x1.78bfcf2e0b32ap-3, 0x1.7c27dbaa05709p-3, 0x1.7e9ece3ae57e9p-3, 0x1.802d3c4a0712dp-3, 0x1.80dc16c7417e9p-3, 0x1.80b494f769b9p-3, 0x1.7fc0214e2c588p-3, 0x1.7e08482c6be49p-3, 0x1.7b96a86725531p-3, 0x1.7874e56c6c65cp-3, 0x1.74ac9af2e69c4p-3, 0x1.7047520adddd5p-3, 0x1.6b4e7780a886ep-3, 0x1.65cb536b68249p-3, 0x1.5fc701df03d4bp-3, 0x1.594a6c91bd38bp-3, 0x1.525e458dc528ap-3, 0x1.4b0b02907e03fp-3, 0x1.4358d96c61b7ep-3, 0x1.3b4fbce43ba84p-3, 0x1.32f75a59c1852p-3, 0x1.2a5717f97470ep-3, 0x1.217613780f47bp-3, 0x1.185b212b285fp-3, 0x1.0f0ccbdacdeabp-3, 0x1.059154878e19bp-3, 0x1.f7dd65ad5e84bp-4, 0x1.e4552c0204052p-4, 0x1.d094ca594bd7ap-4, 0x1.bca6826209ad5p-4, 0x1.a8940bb9c2d22p-4, 0x1.946695e439452p-4, 0x1.8026cd5e94bf8p-4, 0x1.6bdcde75790a1p-4, 0x1.5790780e5784dp-4, 0x1.4348d14f3b5ffp-4, 0x1.2f0cacf21f48cp-4, 0x1.1ae25c4499a8bp-4, 0x1.06cfc51090289p-4, 0x1.e5b4cafaf7219p-5, 0x1.be0eade39cfdcp-5, 0x1.96b6a8178bdb1p-5, 0x1.6fb579e06106ep-5, 0x1.49133394362d5p-5, 0x1.22d740b21e7b2p-5, 0x1.fa10e2434f5fp-6, 0x1.af59fad83b501p-6, 0x1.65951fc7b1112p-6, 0x1.1ccc9c21bffd7p-6, 0x1.aa137392190eap-7, 0x1.1ca99eba7e97bp-7, 0x1.22d54871da97cp-8, 0x1.0c77def986479p-12, -0x1.f97dc24b65384p-9, -0x1.02d4c5245e03dp-7, -0x1.84f37ec05fd76p-7, -0x1.025a18b5a5021p-6, -0x1.4108565e3acfcp-6, -0x1.7e81f2b65fc03p-6, -0x1.bac4f2810fbf2p-6, -0x1.f5cfdc2ae9fp-6, -0x1.17d0d71163c2ep-5, -0x1.341ceb39fca5ap-5, -0x1.4fcc160375b4cp-5, -0x1.6ade73e034dafp-5, -0x1.85544e466d26bp-5, -0x1.9f2e185625e24p-5, -0x1.b86c6c7130047p-5, -0x1.d110093ea8a3dp-5, -0x1.e919ce2fdc0c9p-5, -0x1.00455c8830e83p-4, -0x1.0bb1f20b122b5p-4, -0x1.16d3419188b64p-4, -0x1.21a9f07ccb55ap-4, -0x1.2c36aeab80271p-4, -0x1.367a35a34822cp-4, -0x1.4075477616666p-4, -0x1.4a28ada5a35cep-4, -0x1.539538551d4edp-4, -0x1.5cbbbda857ad5p-4, -0x1.659d18f59632fp-4, -0x1.6e3a29ddd21a3p-4, -0x1.7693d3a3e5a21p-4, -0x1.7eaafcbb49d83p-4, -0x1.86808e3a161afp-4, -0x1.8e1573299ccaep-4, -0x1.956a97fc4c3b2p-4, -0x1.9c80ea33fbf6cp-4, -0x1.a3595809943cep-4, -0x1.a9f4cffa8629cp-4, -0x1.b054405693637p-4, -0x1.b67896edcd85ap-4, -0x1.bc62c0dc7bbc3p-4, -0x1.c213aa4fce775p-4, -0x1.c78c3e315c8c7p-4, -0x1.cccd65dd32052p-4, -0x1.d1d808fc2ea41p-4, -0x1.d6ad0d6bfde81p-4, -0x1.db4d571215eccp-4, -0x1.dfb9c7a678fdap-4, -0x1.e3f33e92f6e8bp-4, -0x1.e7fa98e400a3fp-4, -0x1.ebd0b13b25ad4p-4, -0x1.ef765fbbbd99dp-4, -0x1.f2ec79f61aee6p-4, -0x1.f633d2d731f0fp-4, -0x1.f94d3aa222fe5p-4, -0x1.fc397ef618e98p-4, -0x1.fef96ad1ef211p-4, -0x1.00c6e3458dff8p-3, -0x1.01fbabe2c2898p-3, -0x1.031b70bd79101p-3, -0x1.0426920642865p-3, -0x1.051d6ea65940dp-3, -0x1.0600643f12768p-3, -0x1.06cfcf2bf42cfp-3, -0x1.078c0a89f997fp-3, -0x1.0835703f2f6f7p-3, -0x1.08cc590044057p-3, -0x1.09511c55c2ebap-3, -0x1.09c410a2bafe4p-3, -0x1.0a258b2b4221ap-3, -0x1.0a75e01918baep-3, -0x1.0ab56281ac1ffp-3, -0x1.0ae4646f77eccp-3, -0x1.0b0336ea9a65ep-3, -0x1.0b1229fdae7a4p-3, -0x1.0b118cb8fc0aap-3, -0x1.0b01ad385aaecp-3, -0x1.0ae2d8ac97705p-3, -0x1.0ab55b6440984p-3, -0x1.0a7980d04846p-3, -0x1.0a2f9386e9f2ap-3, -0x1.09d7dd48c58ap-3, -0x1.0972a7085cf76p-3, -0x1.090038f142875p-3, -0x1.0880da6cbfe5bp-3, -0x1.07f4d22586d09p-3, -0x1.075c660b8338ep-3, -0x1.06b7db59322b9p-3, -0x1.06077698e8e66p-3, -0x1.054b7ba916addp-3, -0x1.04842dbfa9daep-3, -0x1.03b1cf6d3e5fcp-3, -0x1.02d4a2a037303p-3, -0x1.01ece8a842189p-3, -0x1.00fae23a3e194p-3, -0x1.fffd9ee71a34cp-4, -0x1.fdf1dfb81b64bp-4, -0x1.fbd304ce2bac7p-4, -0x1.f9a18ae9b375fp-4, -0x1.f75dedaa99e5p-4, -0x1.f508a797ee5e7p-4, -0x1.f2a23224f751p-4, -0x1.f02b05b0aabfcp-4, -0x1.eda39981f4c2dp-4, -0x1.eb0c63c7b949fp-4, -0x1.e865d99f382f1p-4, -0x1.e5b06f1cad084p-4, -0x1.e2ec974ea0db7p-4, -0x1.e01ac438deda3p-4, -0x1.dd3b66cc1e733p-4, -0x1.da4eeee312602p-4, -0x1.d755cb48ccb85p-4, -0x1.d45069c2c7669p-4, -0x1.d13f371476f3fp-4, -0x1.ce229ef80c50cp-4, -0x1.cafb0c11fbd91p-4, -0x1.c7c8e7ea1a97dp-4, -0x1.c48c9aefdbb76p-4, -0x1.c1468c8538624p-4, -0x1.bdf723055bf73p-4, -0x1.ba9ec3bf63fd9p-4, -0x1.b73dd2e832e16p-4, -0x1.b3d4b38dbce97p-4, -0x1.b063c7958dfcap-4, -0x1.aceb6fc623ed3p-4, -0x1.a96c0bd1dba17p-4, -0x1.a5e5fa5885b28p-4, -0x1.a25998dca53eep-4, -0x1.9ec743b33829p-4, -0x1.9b2f55f9337c7p-4, -0x1.97922995781a7p-4, -0x1.93f01743de246p-4, -0x1.9049769f5b2c6p-4, -0x1.8c9e9e21ad3dp-4, -0x1.88efe31771f25p-4, -0x1.853d999000aa1p-4, -0x1.8188145385c49p-4, -0x1.7dcfa4e503fb8p-4, -0x1.7a149b8d3e8cep-4, -0x1.765747654fd57p-4, -0x1.7297f65854746p-4, -0x1.6ed6f51a1862ap-4, -0x1.6b148f18363dap-4, -0x1.67510e6edc302p-4, -0x1.638cbbe7b02f1p-4, -0x1.5fc7df026401fp-4, -0x1.5c02be004bd4bp-4, -0x1.583d9deaa2fa4p-4, -0x1.5478c28f27bfcp-4, -0x1.50b46e74effd9p-4, -0x1.4cf0e2d037015p-4, -0x1.492e5f7c584dbp-4, -0x1.456d22ff05828p-4, -0x1.41ad6a921f528p-4, -0x1.3def722e29a31p-4, -0x1.3a33748eaeceep-4, -0x1.3679ab2e9c7ebp-4, -0x1.32c24e3f0df48p-4, -0x1.2f0d949e20315p-4, -0x1.2b5bb3d338764p-4, -0x1.27ace012d826dp-4, -0x1.24014c47d43fap-4, -0x1.20592a1d0d0cap-4, -0x1.1cb4aa02d920dp-4, -0x1.1913fb2e0f0bcp-4, -0x1.15774b922a521p-4, -0x1.11dec7da8aa47p-4, -0x1.0e4a9b670fb31p-4, -0x1.0abaf04e632cbp-4, -0x1.072fef6551594p-4, -0x1.03a9c0480171fp-4, -0x1.002889615a325p-4, -0x1.f958dfdbf34dfp-5, -0x1.f26b2ff5747b9p-5, -0x1.eb8848c16c808p-5, -0x1.e4b06d84237c8p-5, -0x1.dde3df143a6c1p-5, -0x1.d722dbe33ce7cp-5, -0x1.d06da00cb69fdp-5, -0x1.c9c4656694485p-5, -0x1.c327638e2e3e6p-5, -0x1.bc96cfeeb23cp-5, -0x1.b612ddc16f57bp-5, -0x1.af9bbe0af64fbp-5, -0x1.a9319f994b37ap-5, -0x1.a2d4af06a4745p-5, -0x1.9c8516c1ff4b3p-5, -0x1.9642ff1c4d5c6p-5, -0x1.900e8e5742b28p-5, -0x1.89e7e8b2611bep-5, -0x1.83cf307412c73p-5, -0x1.7dc485ee47677p-5, -0x1.77c8078031a2fp-5, -0x1.71d9d1978e4a5p-5, -0x1.6bf9feb40bdccp-5, -0x1.6628a76e4be11p-5, -0x1.6065e28265723p-5, -0x1.5ab1c4dc89814p-5, -0x1.550c61a5cdcbdp-5, -0x1.4f75ca4f46595p-5, -0x1.49ee0e9a70dffp-5, -0x1.44753c9f05c56p-5, -0x1.3f0b60cf56a1ap-5, -0x1.39b085fcba20dp-5, -0x1.3464b55d8579ep-5, -0x1.2f27f6953e79fp-5, -0x1.29fa4fbebfc59p-5, -0x1.24dbc57777a1fp-5, -0x1.1fcc5aea5ef6ep-5, -0x1.1acc11d9b9a4p-5, -0x1.15daeaa7136aep-5, -0x1.10f8e4598a52bp-5, -0x1.0c25fca35f459p-5, -0x1.07622fe7caf06p-5, -0x1.02ad794247961p-5, -0x1.fc0fa51f93de1p-6, -0x1.f2e268f36e3a7p-6, -0x1.e9d32d032e6d8p-6, -0x1.e0e1de18aa3a8p-6, -0x1.d80e66d61d07p-6, -0x1.cf58afc3c483bp-6, -0x1.c6c09f57020a1p-6, -0x1.be4619f66cc59p-6, -0x1.b5e901fdb34eep-6, -0x1.ada937c5994abp-6, -0x1.a58699b3972bcp-6, -0x1.9d810452c3b82p-6, -0x1.95985274db8b3p-6, -0x1.8dcc5d572b9b4p-6, -0x1.861cfcc54a34bp-6, -0x1.7e8a0732c90b8p-6, -0x1.771351c6d73d1p-6, -0x1.6fb8b057d2f7ap-6, -0x1.6879f5593607cp-6, -0x1.6156f1c2ea401p-6, -0x1.5a4f74fc2e8f7p-6, -0x1.53634cd51bb5ep-6, -0x1.4c92459750d59p-6, -0x1.45dc2a311231dp-6, -0x1.3f40c47701a58p-6, -0x1.38bfdd71282e5p-6, -0x1.32593da374465p-6, -0x1.2c0cad400e681p-6, -0x1.25d9f435b957cp-6, -0x1.1fc0da14234d1p-6, -0x1.19c125ca5d56ap-6, -0x1.13da9d4f39177p-6, -0x1.0e0d054aa48c7p-6, -0x1.085820da6d95cp-6, -0x1.02bbb188b1d5bp-6, -0x1.fa6eeeff9c528p-7, -0x1.ef9663f17a3acp-7, -0x1.e4ed3fa205801p-7, -0x1.da7300522dac6p-7, -0x1.d02725cc8d96dp-7, -0x1.c60931ed8e364p-7, -0x1.bc18a887a79c5p-7, -0x1.b2550e99dda18p-7, -0x1.a8bde9086ccbep-7, -0x1.9f52bb17415a1p-7, -0x1.9613050b483a8p-7, -0x1.8cfe434d607fdp-7, -0x1.8413ee50f3e61p-7, -0x1.7b537b56faa23p-7, -0x1.72bc5df122f18p-7, -0x1.6a4e09f7f8215p-7, -0x1.6207f58776cefp-7, -0x1.59e99a8e98b0ap-7, -0x1.51f27792a89cfp-7, -0x1.4a220f742aabbp-7, -0x1.4277e83d4cc3dp-7, -0x1.3af3893be0893p-7, -0x1.339478d47db6ep-7, -0x1.2c5a3a8ede1f3p-7, -0x1.25444dd022fdcp-7, -0x1.1e522d90f55ddp-7, -0x1.17835124b3b74p-7, -0x1.10d72de865e8ep-7, -0x1.0a4d397a5b68fp-7, -0x1.03e4ebfadb7cdp-7, -0x1.fb3b83a7f324ap-8, -0x1.eeee7945e737p-8, -0x1.e2e1c62830c8p-8, -0x1.d7147f88f29f6p-8, -0x1.cb85bef18abap-8, -0x1.c0349e3e12f24p-8, -0x1.b520342d3066cp-8, -0x1.aa479241a01bbp-8, -0x1.9fa9c45e87e57p-8, -0x1.9545d21c99adfp-8, -0x1.8b1ac177cbdb6p-8, -0x1.81279a2eed64p-8, -0x1.776b6907a5edp-8, -0x1.6de54239b287p-8, -0x1.6494423522c62p-8, -0x1.5b778cc28064bp-8, -0x1.528e4a674e0e5p-8, -0x1.49d7a4e9e1bbcp-8, -0x1.4152c3ec0e422p-8, -0x1.38fecaa817573p-8, -0x1.30dad78417b8fp-8, -0x1.28e6059c51fc2p-8, -0x1.211f6fd18ce9dp-8, -0x1.19863489841c8p-8, -0x1.1219793c6287dp-8, -0x1.0ad86d1429c9fp-8, -0x1.03c24a29157p-8, -0x1.f9acaa4d785d4p-9, -0x1.ec27b6ad7b4b8p-9, -0x1.def45e894834cp-9, -0x1.d21148c5b10dap-9, -0x1.c57d14ea15f06p-9, -0x1.b93653b663b0ap-9, -0x1.ad3b82f336496p-9, -0x1.a18b0e283d0edp-9, -0x1.962354201c233p-9, -0x1.8b02afbdb8983p-9, -0x1.80278227c0786p-9, -0x1.75903c3d33ce1p-9, -0x1.6b3b65c5f4aebp-9, -0x1.6127a1559af9ap-9, -0x1.5753ac4f330bdp-9, -0x1.4dbe5b155f32fp-9, -0x1.4466924718ffap-9, -0x1.3b4b3eaa644dp-9, -0x1.326b4d9f18ffcp-9, -0x1.29c5a7911e8c2p-9, -0x1.21592d1914dfbp-9, -0x1.1924b6c5c867ep-9, -0x1.112716e525623p-9, -0x1.095f1c3752a4ap-9, -0x1.01cb945e157c6p-9, -0x1.f4d69ac94953ap-10, -0x1.e67a2d10045e8p-10, -0x1.d87f8258106a2p-10, -0x1.cae4444da312ap-10, -0x1.bda625f146042p-10, -0x1.b0c2e3d45d9d8p-10, -0x1.a43841c6cb728p-10, -0x1.980408b8c2fcp-10, -0x1.8c24095f10f8dp-10, -0x1.80962641ca1eep-10, -0x1.755862fc07bf4p-10, -0x1.6a68f22b41f4cp-10, -0x1.5fc63b356ed6bp-10, -0x1.556ed4ebc49c1p-10, -0x1.4b617784aa671p-10, -0x1.419cec224f531p-10, -0x1.38200014bd83fp-10, -0x1.2ee97d794737ep-10, -0x1.25f824dccb8fep-10, -0x1.1d4aa06efcf79p-10, -0x1.14df6d1f47a97p-10, -0x1.0cb4bed9936ebp-10, -0x1.04c86d1801439p-10, -0x1.fa2fed636cc59p-11, -0x1.eb414ac3e072ep-11, -0x1.dcbf9a3c05433p-11, -0x1.cea62a6f64784p-11, -0x1.c0f160c939902p-11, -0x1.b39edc9230cbcp-11, -0x1.a6ad3ca6f420dp-11, -0x1.9a1ba0d490bc4p-11, -0x1.8de9242eba242p-11, -0x1.8214964ea5b87p-11, -0x1.769c8fc6d6458p-11, -0x1.6b7fc344431fdp-11, -0x1.60bd41d7fa78ap-11, -0x1.56547098cee12p-11, -0x1.4c44a291b2de7p-11, -0x1.428c80c46633dp-11, -0x1.39298390f7bdcp-11, -0x1.3017b6eec4b7cp-11, -0x1.2751e98a9f293p-11, -0x1.1ed24543dc912p-11, -0x1.169330d4db569p-11, -0x1.0e903dd483bb4p-11, -0x1.06c6ce2a9552cp-11, -0x1.fe6c3f0411c4fp-12, -0x1.efbd499860c34p-12, -0x1.e181ee945faa2p-12, -0x1.d3b9e2a78cd79p-12, -0x1.c662e4d1e3481p-12, -0x1.b979b80f1e119p-12, -0x1.acfbb4ce6ee77p-12, -0x1.a0e7caa087b4p-12, -0x1.953e5184e77b6p-12, -0x1.89ffdf71890fbp-12, -0x1.7f2be3f1b2933p-12, -0x1.74bfd61355802p-12, -0x1.6ab747ae29ce7p-12, -0x1.610c778ca239dp-12, -0x1.57b8ccb35ed95p-12, -0x1.4eb51058fa119p-12, -0x1.45f9e5c09f1a7p-12, -0x1.3d80e79d9ee46p-12, -0x1.35460d7b0cc7fp-12, -0x1.2d4852f5417f2p-12, -0x1.2588e7a4f7e03p-12, -0x1.1e094ed1f5bcp-12, -0x1.16c9b79c1691ep-12, -0x1.0fc89140fe932p-12, -0x1.09035250e9dacp-12, -0x1.0277c3e3e07b4p-12, -0x1.f84a1db2a70e1p-13, -0x1.ec176a23ff793p-13, -0x1.e05859cd47102p-13, -0x1.d50a993201469p-13, -0x1.ca2828aef440bp-13, -0x1.bfa9b24eed331p-13, -0x1.b5892407bdb98p-13, -0x1.abc2ba3dc506bp-13, -0x1.a25448d1172cap-13, -0x1.993b77975651p-13, -0x1.90741ee3182ap-13, -0x1.87f7db72930c8p-13, -0x1.7fbf0cb1fbe56p-13, -0x1.77c2cca4570afp-13, -0x1.6fff4e85882bbp-13, -0x1.6875240ea52a2p-13, -0x1.612798f4874f5p-13, -0x1.5a18a025ad146p-13, -0x1.5345db03e5553p-13, -0x1.4caab1ce7801ap-13, -0x1.4645a09ee99c4p-13, -0x1.4018ccbcb4e61p-13, -0x1.3a24b7d4cc782p-13, -0x1.34654ab8576f4p-13, -0x1.2ed463e2615c3p-13, -0x1.296d26e22e06fp-13, -0x1.242ccfa0458dp-13, -0x1.1f12027d4b8d9p-13, -0x1.1a1c51892dee5p-13, -0x1.154c4d2b737fep-13, -0x1.10a358f5b479p-13, -0x1.0c22a56001c9p-13, -0x1.07c9a195e9efap-13, -0x1.03947bd44e809p-13, -0x1.fef71fae2dc7fp-14, -0x1.f6ed108d10f08p-14, -0x1.ef0640d08a4dfp-14, -0x1.e74db8f907082p-14, -0x1.dfcde30e71bf3p-14, -0x1.d8824183dde7p-14, -0x1.d160e4a3238afp-14, -0x1.ca6a91046329ep-14, -0x1.c3a59d7e1f67dp-14, -0x1.bd108e73a7074p-14, -0x1.b6a30bfbae0dap-14, -0x1.b055d098a4aafp-14, -0x1.aa25905270534p-14, -0x1.a4117827a5a4fp-14, -0x1.9e19340d34099p-14, -0x1.983c00659b736p-14, -0x1.9278d5141da25p-14, -0x1.8ccf480c9c926p-14, -0x1.87404d846c229p-14, -0x1.81cdda838354dp-14, -0x1.7c797d7ddf33p-14, -0x1.7742afd2a2495p-14, -0x1.72247919a0aa3p-14, -0x1.6d1538fd4a759p-14, -0x1.680ea72191442p-14, -0x1.63149608ba5c6p-14, -0x1.5e2cae9e1d68ep-14, -0x1.5954f1a26e49fp-14, -0x1.5489d20a3cdc1p-14, -0x1.4fcd4de674d5dp-14, -0x1.4b223952a28efp-14, -0x1.4686922e730edp-14, -0x1.41f61334a2df6p-14, -0x1.3d6e4f4cd790bp-14, -0x1.38eed3a041bbep-14, -0x1.3477d0c472088p-14, -0x1.30095ea66071ap-14, -0x1.2ba3528edc70fp-14, -0x1.274548c7af653p-14, -0x1.22eec03766debp-14, -0x1.1e9f4f87e010bp-14, -0x1.1a56dad9a6946p-14, -0x1.16158f88f6da2p-14, -0x1.11dbaa6129d6dp-14, -0x1.0da9942955f33p-14, -0x1.097f949c6cae4p-14, -0x1.055be628c4664p-14, -0x1.013cb8e8eebd5p-14, -0x1.fa4512672f46ap-15, -0x1.f216154a46a7bp-15, -0x1.e9ec0f1197aeap-15, -0x1.e1ccd629ab71fp-15, -0x1.d9b66a76d791dp-15, -0x1.d1a9523a1a26ap-15, -0x1.c9a66a42483bfp-15, -0x1.c1aabdbce6eb4p-15, -0x1.b9b4bab99f234p-15, -0x1.b1c4a8c390293p-15, -0x1.a9db164e864aep-15, -0x1.a1f84c5a440cdp-15, -0x1.9a1c5d5299521p-15, -0x1.9247453fe55efp-15, -0x1.8a78f915469cp-15, -0x1.82b1681078579p-15, -0x1.7af07e8443b8p-15, -0x1.733632edd87ffp-15, -0x1.6b82913fdb17p-15, -0x1.63d599ca5ad48p-15, -0x1.5c2f3307d0808p-15, -0x1.54903f4d10468p-15, -0x1.4cfa87e5dabe5p-15, -0x1.456c353780fb6p-15, -0x1.3de45129fa78ap-15, -0x1.36645b37029f9p-15, -0x1.2eeacf8b12d8ep-15, -0x1.27798fc654e2p-15, -0x1.200fa27f74d4fp-15, -0x1.18ac0a5061231p-15, -0x1.1151b0570f0b9p-15, -0x1.0a0011fa0ccedp-15, -0x1.02b6349f3928dp-15, -0x1.f6e8cbfd7462fp-16, -0x1.e87647d9bb07p-16, -0x1.da1586f33a45p-16, -0x1.cbc6fc4bb9777p-16, -0x1.bd8b082dbb9b2p-16, -0x1.af620af56a683p-16, -0x1.a14c6b2e8fdcep-16, -0x1.934a90f333eedp-16, -0x1.855cdcc26eaf1p-16, -0x1.7783a342e1226p-16, -0x1.69bf3861d5faep-16, -0x1.5c0fffa3f7bb6p-16, -0x1.4e7653865b1ddp-16, -0x1.40f257610ab3p-16, -0x1.3384eb5ec4eaap-16, -0x1.2630803f01394p-16, -0x1.18f3c13778c58p-16, -0x1.0bcc21883ec4ep-16, -0x1.fd77887600d7fp-17, -0x1.e38fcdad419bbp-17, -0x1.c9da6cb444b87p-17, -0x1.b051fc0c801cp-17, -0x1.96fb3a25c7af3p-17, -0x1.7ddb81707e7f8p-17, -0x1.64f07cc714f76p-17, -0x1.4c39e1f810a8p-17, -0x1.33b8f605d50afp-17, -0x1.1b6eb8d80d7e1p-17, -0x1.035be66243031p-17, -0x1.d7023d085ce56p-18, -0x1.a7bdf65d90b45p-18, -0x1.78ec2483aaecbp-18, -0x1.4a8df3935d21ap-18, -0x1.1ca48ec2cbc24p-18, -0x1.de6230da5e88fp-19, -0x1.84693a18c63a1p-19, -0x1.2b601bbc624f2p-19, -0x1.a69137da3b06fp-20, -0x1.f0927e716de92p-21, -0x1.2fb1e5cb40629p-22, 0x1.7a075c3c7e583p-22, 0x1.06fffefd0dccbp-20, 0x1.ad84974b3c118p-20, 0x1.2903e9fea07d4p-19, 0x1.7a4f29d1bd7e7p-19, 0x1.ca9b65da8937dp-19, 0x1.0cf1ad6bc7ab3p-18, 0x1.3413b2537c613p-18, 0x1.5ab4d2ba60eb7p-18, 0x1.80d6d9818da53p-18, 0x1.a67495c62cc77p-18, 0x1.cb8f290519483p-18, 0x1.f0271e15d7dd1p-18, 0x1.0a1dcd97088ap-17, 0x1.1be60d2e4e8dp-17, 0x1.2d6c2576098e8p-17, 0x1.3eaff7599b51fp-17, 0x1.4fb16897e7354p-17, 0x1.607062fe4e0dep-17, 0x1.70ecd491c2199p-17, 0x1.8126af6fbda2fp-17, 0x1.911de993de831p-17, 0x1.a0d27d4b87645p-17, 0x1.b0446a45248b6p-17, 0x1.bf73b6528ed09p-17, 0x1.ce606cdd833c1p-17, 0x1.dd0a9d144f3d9p-17, 0x1.eb72562f65396p-17, 0x1.f997a597c630bp-17, 0x1.03bd52865bce7p-16, 0x1.0a8dc7264d414p-16, 0x1.113d32064912ep-16, 0x1.17cb9e22423b1p-16, 0x1.1e393cfd62186p-16, 0x1.2485f6be3247p-16, 0x1.2ab218907d59dp-16, 0x1.30bdb62120d09p-16, 0x1.36a8c5d740849p-16, 0x1.3c738aacadb6ep-16, 0x1.421e027f947abp-16, 0x1.47a86a07b6bd8p-16, 0x1.4d12e3a1a334fp-16, 0x1.525d8d5878cc3p-16, 0x1.57888c9f78a6ap-16, 0x1.5c9409619728ap-16, 0x1.61802d3c7e765p-16, 0x1.664d2365a2243p-16, 0x1.6afb1843b331ap-16, 0x1.6f8a397e0b59p-16, 0x1.73fab55939381p-16, 0x1.784cbdec350f9p-16, 0x1.7c8083ad49637p-16, 0x1.8096382cc3f0cp-16, 0x1.848e11513a5b1p-16, 0x1.8868431617ef2p-16, 0x1.8c2504bc7ee75p-16, 0x1.8fc48dd770e28p-16, 0x1.9347168b44ffp-16, 0x1.96acd757ab34ep-16, 0x1.99f608a6375c9p-16, 0x1.9d22e8a030994p-16, 0x1.a033bc8f5d9d5p-16, 0x1.a328b4c665b67p-16, 0x1.a602081c7c3edp-16, 0x1.a8bffe082076cp-16, 0x1.ab62ddc90ed05p-16, 0x1.adeae2e78c013p-16, 0x1.b058567cf0972p-16, 0x1.b2ab6d3a5d5ecp-16, 0x1.b4e45c5f660d1p-16, 0x1.b70378364b11ep-16, 0x1.b9090c3ce3befp-16, 0x1.baf553b52ee3bp-16, 0x1.bcc891632c57bp-16, 0x1.be830a5074f35p-16, 0x1.c02504058466ap-16, 0x1.c1aec45fcb86ap-16, 0x1.c320918fa80b8p-16, 0x1.c47ab20c260f5p-16, 0x1.c5bd6cb59cfa3p-16, 0x1.c6e90877b885cp-16, 0x1.c7fdcca662f32p-16, 0x1.c8fc00ef5a412p-16, 0x1.c9e3eceef3ab3p-16, 0x1.cab5d8404253fp-16, 0x1.cb720119b60fep-16, 0x1.cc18cd3e2e275p-16, 0x1.ccaa6b53ac47p-16, 0x1.cd2728f72f218p-16, 0x1.cd8f51a7d69dap-16, 0x1.cde32b613a5f8p-16, 0x1.ce22fc37ffe41p-16, 0x1.ce4f0ec15fee6p-16, 0x1.ce67b97d3880fp-16, 0x1.ce6d4645d93efp-16, 0x1.ce5fc62389607p-16, 0x1.ce3fb9f076c47p-16, 0x1.ce0d62a9b173dp-16, 0x1.cdc8fdd47ec56p-16, 0x1.cd72dbf8913f2p-16, 0x1.cd0b55fa3514fp-16, 0x1.cc9278bfcf1dep-16, 0x1.cc08b0d5a287bp-16, 0x1.cb6e583d102d1p-16, 0x1.cac3721e0b9d3p-16, 0x1.ca08c724ab63ep-16, 0x1.c93e1f1575409p-16, 0x1.c863f2642fa05p-16, 0x1.c77a82f9ba3cbp-16, 0x1.c6821614ff146p-16, 0x1.c57af0dfa37a2p-16, 0x1.c465582481ea8p-16, 0x1.c341912b8412bp-16, 0x1.c20fdfc656023p-16, 0x1.c0d0880e33b4bp-16, 0x1.bf83cd8be531p-16, 0x1.be29f35c06098p-16, 0x1.bcc33c25e5412p-16, 0x1.bb4fea2de47ep-16, 0x1.b9d03f6c8e339p-16, 0x1.b8447d83fa812p-16, 0x1.b6ace5a8162e9p-16, 0x1.b509b89e79995p-16, 0x1.b35b36954cb1ap-16, 0x1.b1a19e5743a27p-16, 0x1.afdd2d66ab8d4p-16, 0x1.ae0e22973f803p-16, 0x1.ac34c0bb410a4p-16, 0x1.aa5155d7e1259p-16, 0x1.a863f183359cdp-16, 0x1.a66ce8b1fab7bp-16, 0x1.a46c844506034p-16, 0x1.a262f33636bbap-16, 0x1.a050742aa4b5cp-16, 0x1.9e35515cb69a5p-16, 0x1.9c11969bda693p-16, 0x1.99e59e96e7ec1p-16, 0x1.97b1a6c8c46ecp-16, 0x1.9575de130d412p-16, 0x1.93327b2e62d81p-16, 0x1.90e7b31f6d17cp-16, 0x1.8e95c84c8e34dp-16, 0x1.8c3ce3f9b3a51p-16, 0x1.89dd406335a4p-16, 0x1.877712a7a21a8p-16, 0x1.850a8f0cfaep-16, 0x1.8297e82e41b49p-16, 0x1.801f52d186513p-16, 0x1.7da102b1e89d5p-16, 0x1.7b1d26c18d218p-16, 0x1.7893f1d0a6571p-16, 0x1.760594c080e49p-16, 0x1.73723fc31352ap-16, 0x1.70da2291322dap-16, 0x1.6e3d61f3bd6ap-16, 0x1.6b9c4a432a0adp-16, 0x1.68f6ecf06fa98p-16, 0x1.664d7f75a608bp-16, 0x1.63a02f810b93bp-16, 0x1.60ef28ddd564cp-16, 0x1.5e3a974adc89bp-16, 0x1.5b82a4e129fe7p-16, 0x1.58c77d3cd5dd4p-16, 0x1.5609491975a16p-16, 0x1.5348330feb8e8p-16, 0x1.50846918d9716p-16, 0x1.4dbe030797de1p-16, 0x1.4af534038cbf5p-16, 0x1.482a23d09e7bep-16, }}, 
      {{0x1.25263565995b4p-4, 0x1.77ae20ffc5569p-4, 0x1.f5936d88a3593p-4, 0x1.49551b048c078p-3, 0x1.a17d53512a359p-3, 0x1.fdee6279737b1p-3, 0x1.2d1c6d85f940ap-2, 0x1.596f8ab7f8cafp-2, 0x1.82a41e2983727p-2, 0x1.a7d33a85a69ebp-2, 0x1.c86c0ea852fc5p-2, 0x1.e424555430c91p-2, 0x1.fae9c98290c15p-2, 0x1.066a970cd0bcfp-1, 0x1.0d0f8d01758eep-1, 0x1.118b44182202bp-1, 0x1.140c8942e7a8ep-1, 0x1.14c6586e23879p-1, 0x1.13ed6705cc181p-1, 0x1.11b6419178cep-1, 0x1.0e53e55325d72p-1, 0x1.09f6c08392e8fp-1, 0x1.04cc05eb6c707p-1, 0x1.fdfa85d43e968p-2, 0x1.f16052b1dc047p-2, 0x1.e40d0219f58e5p-2, 0x1.d63c6dccc75c8p-2, 0x1.c823027ef3b84p-2, 0x1.b9ee2658a5b9ep-2, 0x1.abc4b29f6150bp-2, 0x1.9dc7787ad7c7cp-2, 0x1.9011ca8c98653p-2, 0x1.82ba06a9f4abfp-2, 0x1.75d21c54a5a37p-2, 0x1.69680d7bd030fp-2, 0x1.5d8667db03a18p-2, 0x1.5234b5f0995f4p-2, 0x1.4777e701ac2bdp-2, 0x1.3d52adefe6769p-2, 0x1.33c5d6fe218f3p-2, 0x1.2ad094d2fb0f7p-2, 0x1.2270c5245dc31p-2, 0x1.1aa32d822c373p-2, 0x1.1363b0d6d232cp-2, 0x1.0cad7e3f38882p-2, 0x1.067b39d52c74fp-2, 0x1.00c71ffb7f31dp-2, 0x1.f7164766ffa8ap-3, 0x1.ed821103abfcep-3, 0x1.e4c4f0cdb127dp-3, 0x1.dcd22cc88cb61p-3, 0x1.d59d1bf77ee4fp-3, 0x1.cf194006e2ed1p-3, 0x1.c93a5a497e57dp-3, 0x1.c3f47ca2454e6p-3, 0x1.bf3c16e72d813p-3, 0x1.bb06013c7248fp-3, 0x1.b74783d948d6fp-3, 0x1.b3f65c98b578dp-3, 0x1.b108c2ab3c396p-3, 0x1.ae7568b27f847p-3, 0x1.ac337d8637c17p-3, 0x1.aa3aabda03572p-3, 0x1.a88318f488a05p-3, 0x1.a70562a29771p-3, 0x1.a5ba9c8b39fa5p-3, 0x1.a49c4d04b77c7p-3, 0x1.a3a4698636e98p-3, 0x1.a2cd52cd31136p-3, 0x1.a211d0cb1eca5p-3, 0x1.a16d0e6bd841p-3, 0x1.a0da95433117fp-3, 0x1.a056492dc53a4p-3, 0x1.9fdc63ef01a46p-3, 0x1.9f6970d528913p-3, 0x1.9efa4869d2275p-3, 0x1.9e8c0c358fb19p-3, 0x1.9e1c229acac26p-3, 0x1.9da832cc33b02p-3, 0x1.9d2e20e1e8a76p-3, 0x1.9cac0a0fafdbdp-3, 0x1.9c2040fe65523p-3, 0x1.9b894a49847a2p-3, 0x1.9ae5d9221d9bfp-3, 0x1.9a34cc16596fap-3, 0x1.997529fef8c8dp-3, 0x1.98a61f10ad397p-3, 0x1.97c6fa1271565p-3, 0x1.96d729b720044p-3, 0x1.95d63a1b62845p-3, 0x1.94c3d26633c5p-3, 0x1.939fb28cca501p-3, 0x1.9269b1383108bp-3, 0x1.9121b9cbcb724p-3, 0x1.8fc7ca8ab9417p-3, 0x1.8e5bf2dabb221p-3, 0x1.8cde51a1eefebp-3, 0x1.8b4f13bd5244p-3, 0x1.89ae729171e27p-3, 0x1.87fcb2af76e05p-3, 0x1.863a2293d30c9p-3, 0x1.8467197bf4d52p-3, 0x1.8283f64fc68bep-3, 0x1.80911ea685995p-3, 0x1.7e8efddd8b016p-3, 0x1.7c7e0441a9b6dp-3, 0x1.7a5ea64eecf27p-3, 0x1.78315bfb01ba5p-3, 0x1.75f6a00d44756p-3, 0x1.73aeef86ad698p-3, 0x1.715ac90fa464ep-3, 0x1.6efaac714742ap-3, 0x1.6c8f1a1c75085p-3, 0x1.6a1892b78b5e6p-3, 0x1.679796b811293p-3, 0x1.650ca60ac16a8p-3, 0x1.62783fc2d61cdp-3, 0x1.5fdae1d4f80dep-3, 0x1.5d3508dcfa749p-3, 0x1.5a872fe98ca5cp-3, 0x1.57d1d04f8ba44p-3, 0x1.5515618313464p-3, 0x1.525258f3cdb4bp-3, 0x1.4f8929edca3e4p-3, 0x1.4cba457ce1b6dp-3, 0x1.49e61a5255b47p-3, 0x1.470d14ae85a82p-3, 0x1.442f9e4d11d7ep-3, 0x1.414e1e536c3bfp-3, 0x1.3e68f9443fd87p-3, 0x1.3b8090f5ff936p-3, 0x1.3895448c294a2p-3, 0x1.35a770746c9fcp-3, 0x1.32b76e6764959p-3, 0x1.2fc5956b3cd8p-3, 0x1.2cd239d8642b7p-3, 0x1.29ddad608fb4bp-3, 0x1.26e83f1731732p-3, 0x1.23f23b7a432cap-3, 0x1.20fbec7bb2509p-3, 0x1.1e05998bb6b6cp-3, 0x1.1b0f87a35f05ep-3, 0x1.1819f94ea81dp-3, 0x1.15252eb6ee35cp-3, 0x1.123165ade65cep-3, 0x1.0f3ed9b888164p-3, 0x1.0c4dc41a94735p-3, 0x1.095e5be0cb65p-3, 0x1.0670d5edf174p-3, 0x1.03856506ad0aep-3, 0x1.009c39ddf4028p-3, 0x1.fb6b06436bbdfp-4, 0x1.f5a2db106164cp-4, 0x1.efe047bad7a33p-4, 0x1.ea239e2182fb3p-4, 0x1.e46d2c84a6e02p-4, 0x1.debd3da186467p-4, 0x1.d91418cdbb91dp-4, 0x1.d37202124f6cp-4, 0x1.cdd73a4638514p-4, 0x1.c843ff283f4c4p-4, 0x1.c2b88b78a71ffp-4, 0x1.bd35171268216p-4, 0x1.b7b9d7039e3d9p-4, 0x1.b246fda4f463dp-4, 0x1.acdcbab076e37p-4, 0x1.a77b3b58445c7p-4, 0x1.a222aa5c648b3p-4, 0x1.9cd3301faa8c8p-4, 0x1.978cf2bc15a73p-4, 0x1.92501616d69a8p-4, 0x1.8d1cbbf3b47c5p-4, 0x1.87f30407ceaf6p-4, 0x1.82d30c0c02d85p-4, 0x1.7dbcefceb1533p-4, 0x1.78b0c94508735p-4, 0x1.73aeb09b9765ap-4, 0x1.6eb6bc46ff81cp-4, 0x1.69c90113da6b2p-4, 0x1.64e5923654051p-4, 0x1.600c8158d2827p-4, 0x1.5b3ddea99c34cp-4, 0x1.5679b8ea625f1p-4, 0x1.51c01d7d6dcf3p-4, 0x1.4d1118724c18cp-4, 0x1.486cb4928b971p-4, 0x1.43d2fb6e3549ep-4, 0x1.3f43f567a126cp-4, 0x1.3abfa9beab356p-4, 0x1.36461e9b96299p-4, 0x1.31d75919bb805p-4, 0x1.2d735d51b2be5p-4, 0x1.291a2e6302a4p-4, 0x1.24cbce7d5d911p-4, 0x1.20883ee9b2748p-4, 0x1.1c4f80130cd49p-4, 0x1.1821918ec4905p-4, 0x1.13fe722450bedp-4, 0x1.0fe61fd4f1903p-4, 0x1.0bd897e334b6bp-4, 0x1.07d5d6da23c8bp-4, 0x1.03ddd89403ce2p-4, 0x1.ffe1308126a75p-5, 0x1.f81c20d735a4dp-5, 0x1.f06c76062552p-5, 0x1.e8d222b8f627p-5, 0x1.e14d1876a5c7fp-5, 0x1.d9dd47ab22eep-5, 0x1.d2829fb2c63e4p-5, 0x1.cb3d0ee432fd1p-5, 0x1.c40c8299d64bbp-5, 0x1.bcf0e73b0e6f7p-5, 0x1.b5ea2845494ddp-5, 0x1.aef83054eaf64p-5, 0x1.a81ae92daed38p-5, 0x1.a1523bc26e0c6p-5, 0x1.9a9e103cb4497p-5, 0x1.93fe4e046c66ap-5, 0x1.8d72dbc77fc68p-5, 0x1.86fb9f8102985p-5, 0x1.80987e7fb199bp-5, 0x1.7a495d6c20ae8p-5, 0x1.740e204f24ef2p-5, 0x1.6de6aa986ccd7p-5, 0x1.67d2df24d2ea8p-5, 0x1.61d2a044020d9p-5, 0x1.5be5cfbd9476dp-5, 0x1.560c4ed645d74p-5, 0x1.5045fe557ea71p-5, 0x1.4a92be8b03059p-5, 0x1.44f26f543b35bp-5, 0x1.3f64f020bed02p-5, 0x1.39ea1ff67f337p-5, 0x1.3481dd762e78ep-5, 0x1.2f2c06e01212ap-5, 0x1.29e87a1904ea9p-5, 0x1.24b714aef7519p-5, 0x1.1f97b3dcd2037p-5, 0x1.1a8a348dea55ap-5, 0x1.158e7361afbffp-5, 0x1.10a44cafd8c34p-5, 0x1.0bcb9c8cc8cfep-5, 0x1.07043ecdb027bp-5, 0x1.024e0f0c049fdp-5, 0x1.fb51d150fdc6bp-6, 0x1.f2294d9c49753p-6, 0x1.e92248eb7c904p-6, 0x1.e03c78d364062p-6, 0x1.d7779293aadd6p-6, 0x1.ced34b1d9c93ap-6, 0x1.c64f5719bd1dfp-6, 0x1.bdeb6aece9fdfp-6, 0x1.b5a73abd91dacp-6, 0x1.ad827a7aca9c8p-6, 0x1.a57cdde2816c3p-6, 0x1.9d9618883e7a3p-6, 0x1.95cddddb035dap-6, 0x1.8e23e12a3ae6ep-6, 0x1.8697d5aa13c3cp-6, 0x1.7f296e785eba7p-6, 0x1.77d85ea21eedp-6, 0x1.70a45929a6255p-6, 0x1.698d110c7ba64p-6, 0x1.629239487df4cp-6, 0x1.5bb384e04971fp-6, 0x1.54f0a6df21002p-6, 0x1.4e49525d0ef2fp-6, 0x1.47bd3a839be27p-6, 0x1.414c1292f999ap-6, 0x1.3af58de746a65p-6, 0x1.34b95ffd5a483p-6, 0x1.2e973c76df0cp-6, 0x1.288ed71e46b29p-6, 0x1.229fe3e8dd794p-6, 0x1.1cca16fb5e724p-6, 0x1.170d24b02654ep-6, 0x1.1168c197ef604p-6, 0x1.0bdca2809251p-6, 0x1.06687c78813f9p-6, 0x1.010c04d212a4ap-6, 0x1.f78de24cf579fp-7, 0x1.ed31eeb162727p-7, 0x1.e3039b313d68ap-7, 0x1.d90254cd2aea8p-7, 0x1.cf2d892e211f1p-7, 0x1.c584a6ac902cep-7, 0x1.bc071c56f572ap-7, 0x1.b2b459f772d42p-7, 0x1.a98bd018bd246p-7, 0x1.a08cf00ac1612p-7, 0x1.97b72be7a4006p-7, 0x1.8f09f699215a5p-7, 0x1.8684c3de5bd94p-7, 0x1.7e2708518f6c3p-7, 0x1.75f0396db9b74p-7, 0x1.6ddfcd92b562dp-7, 0x1.65f53c09ce733p-7, 0x1.5e2ffd092adb8p-7, 0x1.568f89b71f5bdp-7, 0x1.4f135c2e7ee33p-7, 0x1.47baef82670eap-7, 0x1.4085bfc2a57f3p-7, 0x1.397349ffb943ep-7, 0x1.32830c4ebb5a8p-7, 0x1.2bb485cc887d1p-7, 0x1.250736a0864f3p-7, 0x1.1e7a9fff15822p-7, 0x1.180e442c0a4ep-7, 0x1.11c1a67d2774p-7, 0x1.0b944b5ce0e2dp-7, 0x1.0585b84d209bcp-7, 0x1.ff2ae7d3f3704p-8, 0x1.f3860bd81353ap-8, 0x1.e81bee5528c3cp-8, 0x1.dceba33a3e415p-8, 0x1.d1f440b9b9187p-8, 0x1.c734df4bebbf4p-8, 0x1.bcac99b1a5f49p-8, 0x1.b25a8cf6e77cap-8, 0x1.a83dd875b2ad9p-8, 0x1.9e559dd8d4d8bp-8, 0x1.94a1011e5892ep-8, 0x1.8b1f2899b2be9p-8, 0x1.81cf3cf51a39dp-8, 0x1.78b06932ace2bp-8, 0x1.6fc1daacf8f2fp-8, 0x1.6702c11779b1dp-8, 0x1.5e724e7ee3737p-8, 0x1.560fb749688f1p-8, 0x1.4dda3236f35abp-8, 0x1.45d0f8615ba67p-8, 0x1.3df3453c90ac9p-8, 0x1.364056968365ap-8, 0x1.2eb76c96e732fp-8, 0x1.2757c9be665d7p-8, 0x1.2020b2e5c1776p-8, 0x1.19116f3c5cf0cp-8, 0x1.12294846b3edep-8, 0x1.0b6789dc8af11p-8, 0x1.04cb8226f60b2p-8, 0x1.fca90339c73c8p-9, 0x1.f003b607ed956p-9, 0x1.e3a5c6d70e917p-9, 0x1.d78de458a1d0bp-9, 0x1.cbbac1cca1e2bp-9, 0x1.c02b16fdc6d11p-9, 0x1.b4dda03d1075cp-9, 0x1.a9d11e5ca63ecp-9, 0x1.9f0456a980c2p-9, 0x1.947612e3fc185p-9, 0x1.8a252137af51ep-9, 0x1.80105432c270dp-9, 0x1.763682bd90f27p-9, 0x1.6c968812f65c6p-9, 0x1.632f43b9a9004p-9, 0x1.59ff997e5db89p-9, 0x1.5106716e5d5d5p-9, 0x1.4842b7d235cdbp-9, 0x1.3fb35d280d86ep-9, 0x1.3757561c867fap-9, 0x1.2f2d9b81b4fedp-9, 0x1.27352a44bc3b2p-9, 0x1.1f6d03626f57ep-9, 0x1.17d42bdbd5aafp-9, 0x1.1069acaadc9dp-9, 0x1.092c92b7e1256p-9, 0x1.021beed029a6ep-9, 0x1.f66dab3c7b7e4p-10, 0x1.e8f8bf44485fep-10, 0x1.dbd75255a18e5p-10, 0x1.cf07a49e70683p-10, 0x1.c287fdce1274cp-10, 0x1.b656ad05018bap-10, 0x1.aa7208c33f9c4p-10, 0x1.9ed86ed4236b8p-10, 0x1.938844382aaa2p-10, 0x1.887ff50bc20bbp-10, 0x1.7dbdf46ee589bp-10, 0x1.7340bc5fdb83bp-10, 0x1.6906cdb1beef5p-10, 0x1.5f0eafdf69bf1p-10, 0x1.5556f0fe28299p-10, 0x1.4bde259afb2dap-10, 0x1.42a2e8cba12ebp-10, 0x1.39a3dc167544fp-10, 0x1.30dfa766e601p-10, 0x1.2854f913896a6p-10, 0x1.200285d46281cp-10, 0x1.17e708b20eafep-10, 0x1.100142eb84263p-10, 0x1.084ffbd13d95dp-10, 0x1.00d20098e8d42p-10, 0x1.f30c485c35683p-11, 0x1.e4d67e0de58d8p-11, 0x1.d7005e053f891p-11, 0x1.c987aeac7337ep-11, 0x1.bc6a41109a439p-11, 0x1.afa5f0f143108p-11, 0x1.a338a4df110ebp-11, 0x1.97204e573d6e2p-11, 0x1.8b5ae9cdba8abp-11, 0x1.7fe67e962d9d4p-11, 0x1.74c11ea7a471dp-11, 0x1.69e8e63d9dd95p-11, 0x1.5f5bfb61f0c5dp-11, 0x1.55188d738ed54p-11, 0x1.4b1cd4bf34ee3p-11, 0x1.4167123bdb9fcp-11, 0x1.37f58f730fd16p-11, 0x1.2ec69e92049a1p-11, 0x1.25d89a944d255p-11, 0x1.1d29e772dbd71p-11, 0x1.14b8f24353273p-11, 0x1.0c843138871c1p-11, 0x1.048a2389e8dcdp-11, 0x1.f992a1eaf4598p-12, 0x1.ea809384a2deep-12, 0x1.dbdb4bb936039p-12, 0x1.cda00929b8696p-12, 0x1.bfcc18639cfa5p-12, 0x1.b25cd36c0a7a6p-12, 0x1.a54fa1b96a4fep-12, 0x1.98a1f89a242f2p-12, 0x1.8c515be74b5d1p-12, 0x1.805b5ec055e4ap-12, 0x1.74bda3e428e92p-12, 0x1.6975dd89f0fcbp-12, 0x1.5e81cccada939p-12, 0x1.53df40c28e6ecp-12, 0x1.498c15611fa65p-12, 0x1.3f86329f8bd32p-12, 0x1.35cb8ba59e13bp-12, 0x1.2c5a1e22712d5p-12, 0x1.232ff1cad42d7p-12, 0x1.1a4b180d08a9p-12, 0x1.11a9ac22ca794p-12, 0x1.0949d397fb3d9p-12, 0x1.0129bf347a012p-12, 0x1.f28f57fa7ce01p-13, 0x1.e343c7d92345ap-13, 0x1.d46d7c1fd6dcp-13, 0x1.c6093bf469c2dp-13, 0x1.b813e5726177cp-13, 0x1.aa8a6b4a4f4bep-13, 0x1.9d69d2b76f676p-13, 0x1.90af32166af8dp-13, 0x1.8457aff81174bp-13, 0x1.7860829ce32ebp-13, 0x1.6cc6ef171e229p-13, 0x1.618848d8bb069p-13, 0x1.56a1f160e8b5ap-13, 0x1.4c1158ae61fb2p-13, 0x1.41d3fe57590c9p-13, 0x1.37e772543c068p-13, 0x1.2e49559665dc4p-13, 0x1.24f75b7b736bcp-13, 0x1.1bef474a9e18ep-13, 0x1.132eec977f028p-13, 0x1.0ab42e8518f23p-13, 0x1.027cff7374338p-13, 0x1.f50ec1c40d3eep-14, 0x1.e5a2c6718ebf7p-14, 0x1.d6b24a8c58dcp-14, 0x1.c839a6d9edbc4p-14, 0x1.ba354d66544c1p-14, 0x1.aca1c7f3bd1cdp-14, 0x1.9f7bb70e86923p-14, 0x1.92bfd15924fe6p-14, 0x1.866ae22303712p-14, 0x1.7a79c79af4935p-14, 0x1.6ee96f36773cap-14, 0x1.63b6d3ed26a17p-14, 0x1.58defe1b0af2fp-14, 0x1.4e5f05b4b9667p-14, 0x1.443415a06689fp-14, 0x1.3a5b6ee646822p-14, 0x1.30d26ad0a00c2p-14, 0x1.27967b9b6938dp-14, 0x1.1ea52bfc9464bp-14, 0x1.15fc1e6dbe887p-14, 0x1.0d990d1ae348cp-14, 0x1.0579cbac17941p-14, 0x1.fb3889324fcdfp-15, 0x1.ebfcf9452bea4p-15, 0x1.dd3d0f1e2b831p-15, 0x1.cef5097677066p-15, 0x1.c1212ddad8f4cp-15, 0x1.b3bdc22fe015ep-15, 0x1.a6c70ebc29384p-15, 0x1.9a3965f86d12ep-15, 0x1.8e112d7593992p-15, 0x1.824ae21941d11p-15, 0x1.76e31f0031fcfp-15, 0x1.6bd69a85604a1p-15, 0x1.612226268c974p-15, 0x1.56c2aaa77293ap-15, 0x1.4cb5270e09ea5p-15, 0x1.42f6b73e097d5p-15, 0x1.3984a2d27e611p-15, 0x1.305c6c3fbb161p-15, 0x1.277bd3576be2p-15, 0x1.1ee0c406decd1p-15, 0x1.16893813d4a3cp-15, 0x1.0e731d04e99ecp-15, 0x1.069c4c5175d9dp-15, 0x1.fe052c038dc5dp-16, 0x1.ef47a37afdfc5p-16, 0x1.e0fbd405ed6ebp-16, 0x1.d31dbcdfd23bp-16, 0x1.c5a983a8a432dp-16, 0x1.b89b6f172772fp-16, 0x1.abefe7eeb5cc7p-16, 0x1.9fa35f24f19bp-16, 0x1.93b261f5e9eb1p-16, 0x1.88196e17a8521p-16, 0x1.7cd5065764165p-16, 0x1.71e1cece64f6cp-16, 0x1.673cc12c7050cp-16, 0x1.5ce3523104c3bp-16, 0x1.52d361c88021ep-16, 0x1.490af56bfe31ap-16, 0x1.3f87f07850ecap-16, 0x1.364800c3bf6ecp-16, 0x1.2d48c1b03bc1cp-16, 0x1.2487e55f35e92p-16, 0x1.1c033ccf6024dp-16, 0x1.13b8a92c17decp-16, 0x1.0ba61689cebacp-16, 0x1.03c98828a51d1p-16, 0x1.f84248f28965p-17, 0x1.e95662867e7c6p-17, 0x1.dacc030deff5p-17, 0x1.cc9fc62713a3ep-17, 0x1.bece3122e3033p-17, 0x1.b153c02220f8fp-17, 0x1.a42cfc0992b3bp-17, 0x1.97569cc45edbcp-17, 0x1.8acdc03ed21fep-17, 0x1.7e90070bb9527p-17, 0x1.729b65ae7c166p-17, 0x1.66edbfb9f54afp-17, 0x1.5b84b6b28bacep-17, 0x1.505de452e34cbp-17, 0x1.45772c67c2e7bp-17, 0x1.3aceb585b4c57p-17, 0x1.3062a0052ae5bp-17, 0x1.2630e62e4ac32p-17, 0x1.1c3779ad8d119p-17, 0x1.1274690561698p-17, 0x1.08e5f5f66f28bp-17, 0x1.ff1533ae3c94p-18, 0x1.ecc1e096b3733p-18, 0x1.dacf22ce80f49p-18, 0x1.c939f2e636c7fp-18, 0x1.b7ff2a4872ed1p-18, 0x1.a71bd0e77631ep-18, 0x1.968d53662723bp-18, 0x1.86516a30e3338p-18, 0x1.7665d72dabeb8p-18, 0x1.66c8430be1003p-18, 0x1.577636ba54aefp-18, 0x1.486d2c6d653c7p-18, 0x1.39aada05f7601p-18, 0x1.2b2d9c9881b0ep-18, 0x1.1cf44de423a6cp-18, 0x1.0efd97893097cp-18, 0x1.0147b6aebfc4p-18, 0x1.e7a1b834c0fd1p-19, 0x1.cd2ec8d33293dp-19, 0x1.b33388f182847p-19, 0x1.99ad126aa09abp-19, 0x1.8098cfd056f76p-19, 0x1.67f473ec07365p-19, 0x1.4fbdcfa4ea221p-19, 0x1.37f2a6a2acbbfp-19, 0x1.20909bf3ad4f1p-19, 0x1.09954e3289f6dp-19, 0x1.e5fd425076badp-20, 0x1.b995ee3173bf5p-20, 0x1.8df2175a3015cp-20, 0x1.630ebfb036274p-20, 0x1.38e7cb6cea5eep-20, 0x1.0f783ee3e5cdap-20, 0x1.cd7676fb43e4fp-21, 0x1.7d5a975109e95p-21, 0x1.2e99af3fa13ccp-21, 0x1.c262cb0f38904p-22, 0x1.2a3a25facd83bp-22, 0x1.295a36e687cadp-23, 0x1.b0d31f748108p-30, -0x1.1d871e28a4d6cp-23, -0x1.1cb897b8ef478p-22, -0x1.a836c9715cad9p-22, -0x1.18a30a54813f8p-21, -0x1.5bf6f28d73289p-21, -0x1.9e1ab7f07d0fbp-21, -0x1.df11cc83da8f3p-21, -0x1.0f6fecab12709p-20, -0x1.2ec4064ed875fp-20, -0x1.4d86dd02e1e29p-20, -0x1.6bb9ebf835b4ep-20, -0x1.895e780f825c1p-20, -0x1.a675a265b2b1dp-20, -0x1.c300aa4ec0872p-20, -0x1.df0118beb061ep-20, -0x1.fa78a1c3f41c8p-20, -0x1.0ab47cb0b017ap-19, -0x1.17e9bd0c5a2d7p-19, -0x1.24dc88e6d9818p-19, -0x1.318d6e00a543p-19, -0x1.3dfcf4ed5c86p-19, -0x1.4a2b9c349f341p-19, -0x1.561a076c694e6p-19, -0x1.61c8bd1a2bbfdp-19, -0x1.6d3832d5b815fp-19, -0x1.7868ea8e03b73p-19, -0x1.835b618c3e5abp-19, -0x1.8e10104decc5fp-19, -0x1.9887728e1eb27p-19, -0x1.a2c2058617affp-19, -0x1.acc0437b12e9bp-19, -0x1.b682a73eaa609p-19, -0x1.c009a5726cbb7p-19, -0x1.c955b13cd8613p-19, -0x1.d2673c6c48f43p-19, -0x1.db3eb75a89812p-19, -0x1.e3dc908a59901p-19, -0x1.ec41382bbacbfp-19, -0x1.f46d282a914b7p-19, -0x1.fc60d5f529d3ap-19, -0x1.020e5a13f0316p-18, -0x1.05d0917544955p-18, -0x1.0977589105de3p-18, -0x1.0d02e49e02955p-18, -0x1.10737094de089p-18, -0x1.13c930451bd48p-18, -0x1.17045fdf02da2p-18, -0x1.1a2593e9abdf4p-18, -0x1.1d2bfc22a48a2p-18, -0x1.2018d1eed031dp-18, -0x1.22ebf9e792bep-18, -0x1.25a5ace8b283ap-18, -0x1.284624603a6d2p-18, -0x1.2acd9a76c16bfp-18, -0x1.2d3c49e4424f7p-18, -0x1.2f926dc481c2fp-18, -0x1.31d040d78d326p-18, -0x1.33f5fe21bc5d4p-18, -0x1.3603e05d38f3ep-18, -0x1.37fa22d7929e7p-18, -0x1.39d901acb9127p-18, -0x1.3ba0b89304fe5p-18, -0x1.3d518531cf289p-18, -0x1.3eeba21d04f4p-18, -0x1.406f4d57e4841p-18, -0x1.41dcc412dd759p-18, -0x1.433440c9283ddp-18, -0x1.447602ead1f79p-18, -0x1.45a24cb375f6p-18, -0x1.46b9586e8badbp-18, -0x1.47bb62eece2edp-18, -0x1.48a8ade468e8ap-18, -0x1.498173e682bbap-18, -0x1.4a46028a5ae55p-18, -0x1.4af68721afac4p-18, -0x1.4b9346d220657p-18, -0x1.4c1c82085f564p-18, -0x1.4c9277ee82194p-18, -0x1.4cf567c0a64b8p-18, -0x1.4d458fffcbab1p-18, -0x1.4d833311d249fp-18, -0x1.4dae8f6e4a3d8p-18, -0x1.4dc7e60635c35p-18, -0x1.4dcf76fdcee45p-18, -0x1.4dc5827af7efcp-18, -0x1.4daa48b0dd7a7p-18, -0x1.4d7e09ff69388p-18, -0x1.4d4106ff8e9e3p-18, -0x1.4cf38056b8fcdp-18, -0x1.4c95b668d82b2p-18, -0x1.4c27e97ec5c0dp-18, -0x1.4baa59ad13116p-18, -0x1.4b1d4639e8bddp-18, -0x1.4a80e897c4c6cp-18, -0x1.49d5861254facp-18, -0x1.491b72d68587bp-18, -0x1.4852dcd10cbbbp-18, -0x1.477bfb5d4d575p-18, -0x1.4697157b9fda5p-18, -0x1.45a46def1ef78p-18, -0x1.44a4418cd659p-18, -0x1.4396d0c5357aep-18, -0x1.427c59b8e3f1cp-18, -0x1.41551b6dd4974p-18, -0x1.4021543f8ad1ep-18, -0x1.3ee1425fcc777p-18, -0x1.3d9523d71a922p-18, -0x1.3c3d36a4cdfe6p-18, -0x1.3ad9b879fb435p-18, -0x1.396ae66b254dp-18, -0x1.37f0fd5e2c3d7p-18, -0x1.366c3a0c5923p-18, -0x1.34dcd8d661197p-18, -0x1.334315c2f4109p-18, -0x1.319f2c86757b4p-18, -0x1.2ff1588734e31p-18, -0x1.2e39d4d58c018p-18, -0x1.2c78dc1fa4db1p-18, -0x1.2aaea8a288a4bp-18, -0x1.28db742368c1cp-18, -0x1.26ff780e25d88p-18, -0x1.251aed9e5f94fp-18, -0x1.232e0d971a663p-18, -0x1.21391042e78ecp-18, -0x1.1f3c2de93e3e2p-18, -0x1.1d379cb33f15dp-18, -0x1.1b2b945b6714ap-18, -0x1.19184bd65ffe7p-18, -0x1.16fdf82afd22cp-18, -0x1.14dccfee64892p-18, -0x1.12b507c31cca3p-18, -0x1.1086d47006e04p-18, -0x1.0e526a2a522f7p-18, -0x1.0c17fcc21509fp-18, -0x1.09d7bf8499bf1p-18, -0x1.0791e4871cf98p-18, -0x1.05469de0aee69p-18, -0x1.02f61dc47dadap-18, -0x1.00a0957394592p-18, -0x1.fc8c6aba2c04ep-19, -0x1.f7ce532e15abbp-19, -0x1.f30758934650fp-19, -0x1.ee37cd9372855p-19, -0x1.e96006ba9654bp-19, -0x1.e4806bb464234p-19, -0x1.df9950c943d32p-19, -0x1.daab1275c0d1ap-19, -0x1.d5b608199dc22p-19, -0x1.d0ba88a19435p-19, -0x1.cbb8f0cccb4d3p-19, -0x1.c6b194332c81dp-19, -0x1.c1a4c2e7c4187p-19, -0x1.bc92d1ddd8f1bp-19, -0x1.b77c1420bb766p-19, -0x1.b260dae63f739p-19, -0x1.ad41763c96554p-19, -0x1.a81e350e6600cp-19, -0x1.a2f7652945095p-19, -0x1.9dcd536f4318fp-19, -0x1.98a04b6ae6ff2p-19, -0x1.93709782bf116p-19, -0x1.8e3e81496d319p-19, -0x1.890a512396ae7p-19, -0x1.83d44e36b39p-19, -0x1.7e9cbe9ebe91cp-19, -0x1.7963e7640009bp-19, -0x1.742a0c77d6b9p-19, -0x1.6eef70b61a52p-19, -0x1.69b455e3fe1eep-19, -0x1.6478fcbce9b73p-19, -0x1.5f3da4919632fp-19, -0x1.5a028bc38e282p-19, -0x1.54c7ef9bd38a9p-19, -0x1.4f8e0db9516f6p-19, -0x1.4a55213ca1978p-19, -0x1.451d61f2db6ffp-19, -0x1.3fe636a3f66bbp-19, -0x1.3ab23cfda2704p-19, -0x1.357f7cb365da4p-19, -0x1.304ea87cda52fp-19, -0x1.2b201b05aeb9p-19, -0x1.25f4037e3e53fp-19, -0x1.20ca95362f4aep-19, -0x1.1ba4022e49233p-19, -0x1.16807b7941122p-19, -0x1.11603155bb886p-19, -0x1.0c436406004aap-19, -0x1.072a0d17b0581p-19, -0x1.02148dbf2922ep-19, -0x1.fa060137995f4p-20, -0x1.efeb2297a4888p-20, -0x1.e5d8d54dde815p-20, -0x1.dbcf6f2c23951p-20, -0x1.d1cf4edba1fbdp-20, -0x1.c7d951dc46f14p-20, -0x1.bde8dbfa53af7p-20, -0x1.b4092d91cc563p-20, -0x1.aa303ab04677p-20, -0x1.a06255ee6dcf4p-20, -0x1.969f6ddf7bff2p-20, -0x1.8ce7baa6849afp-20, -0x1.833b7b4ad1c4bp-20, -0x1.799aed96236dap-20, -0x1.700654a689435p-20, -0x1.667de974cb488p-20, -0x1.5d01e866c9932p-20, -0x1.53928ad936dd6p-20, -0x1.4a3008a4d7872p-20, -0x1.40da980371ae7p-20, -0x1.37926d96d85a7p-20, -0x1.2e57bc738575fp-20, -0x1.252ab6228f546p-20, -0x1.1c0b8a9f33335p-20, -0x1.12fa685a1edc8p-20, -0x1.09f77c3bd2a83p-20, -0x1.0102f19a3ba01p-20, -0x1.f039e48d769e1p-21, -0x1.de8b4da1c01cp-21, -0x1.ccfa6cfee2bc2p-21, -0x1.bb878e97f11cp-21, -0x1.aa32f93c22655p-21, -0x1.98fcf371a722cp-21, -0x1.87e5c0beada11p-21, -0x1.76eda05ca0f29p-21, -0x1.6614d115bd4cp-21, -0x1.555b8e6823ba4p-21, -0x1.44c20f53b75fcp-21, -0x1.34488b98d68bp-21, -0x1.23ef38c38aa35p-21, -0x1.13b64c84591bep-21, -0x1.039dd697361ep-21, -0x1.e74b7bdb92eb5p-22, -0x1.c79ec9bad0495p-22, -0x1.a833313a4db22p-22, -0x1.8909fb31561d7p-22, -0x1.6a2377bb47b8cp-22, -0x1.4b7fe221d206ep-22, -0x1.2d1f4696b4dcep-22, -0x1.0f033e7f8a3cdp-22, -0x1.e251a88a8d462p-23, -0x1.a72642dc5ea02p-23, -0x1.6c82a7385f61p-23, -0x1.3267446063584p-23, -0x1.f1a8be98c756fp-24, -0x1.7f94741c496e8p-24, -0x1.0e88ab228fb45p-24, -0x1.3d42f61e8610cp-25, -0x1.7e24ceb4cd775p-27, 0x1.f02c8431b0152p-27, 0x1.5579cf036ad38p-25, 0x1.1660b83ce9595p-24, 0x1.80f11654d984ap-24, 0x1.ea6e23a38798ap-24, 0x1.296b9ecae82ebp-23, 0x1.5d166c9a77f9ap-23, 0x1.9037832b834d1p-23, 0x1.c2cef248c15ep-23, 0x1.f4dccee746cep-23, 0x1.1330994828b71p-22, 0x1.2bae1f4dabf03p-22, }}, 
      {{-0x1.631687c1f6411p-17, 0x1.1713f43556de3p-14, 0x1.caa12b8d1cdc3p-12, 0x1.4ce1d38c45fp-10, 0x1.5a70ffbf90442p-9, 0x1.29c10d25cd3edp-8, 0x1.c2dee37a8f622p-8, 0x1.378c429f7f502p-7, 0x1.91780637366ebp-7, 0x1.e91724efc24a8p-7, 0x1.1c396cb0edc49p-6, 0x1.3d0b5e702d55ap-6, 0x1.54a73892ce3f6p-6, 0x1.612452ffa5d54p-6, 0x1.61127d6761fd9p-6, 0x1.5378ff0188bf8p-6, 0x1.37cfe6377529ap-6, 0x1.0df583f6925efp-6, 0x1.ac4330d7a9abdp-7, 0x1.21aee1abfeec2p-7, 0x1.f6bf207e3d5a8p-9, -0x1.eec249d7e6df9p-10, -0x1.0ec0477aee49fp-7, -0x1.f2ae51e67b551p-7, -0x1.7395a45c0de75p-6, -0x1.f4d9c611681d2p-6, -0x1.3df13f05ac02fp-5, -0x1.83ba99d3ce282p-5, -0x1.cb31285e4671p-5, -0x1.09e230113daa8p-4, -0x1.2e761fbee9d0fp-4, -0x1.531517a5bc1b2p-4, -0x1.7784c66fb18d7p-4, -0x1.9b8ff6018e4bbp-4, -0x1.bf068f4b3673cp-4, -0x1.e1bd86817cf15p-4, -0x1.01c75aa5f1c1cp-3, -0x1.122c53fcd31e7p-3, -0x1.21ff30b167ac2p-3, -0x1.31338c03dc2dfp-3, -0x1.3fbef797b5e6cp-3, -0x1.4d98d7637c118p-3, -0x1.5aba3debdc9bdp-3, -0x1.671dc9296cfefp-3, -0x1.72bf8056382e3p-3, -0x1.7d9cb306d4432p-3, -0x1.87b3d9ff587dbp-3, -0x1.91047a03ceec5p-3, -0x1.998f089f9b494p-3, -0x1.a154d2bbddae1p-3, -0x1.a857e4e3f3a63p-3, -0x1.ae9af52d26f39p-3, -0x1.b4214ec4b505cp-3, -0x1.b8eebf2490c5cp-3, -0x1.bd0784dd2f5dfp-3, -0x1.c0703fd8d5ebdp-3, -0x1.c32de2f7cbbd2p-3, -0x1.c545a6e27cd3bp-3, -0x1.c6bcfdfacb097p-3, -0x1.c79989567cfabp-3, -0x1.c7e10eb2ac771p-3, -0x1.c7996f519da76p-3, -0x1.c6c89fb0e27c5p-3, -0x1.c574a0096cc0cp-3, -0x1.c3a3758692f81p-3, -0x1.c15b24260096fp-3, -0x1.bea1a93086b09p-3, -0x1.bb7cf63fb4dffp-3, -0x1.b7f2ecc467afap-3, -0x1.b4095a04673a5p-3, -0x1.afc5f3873978cp-3, -0x1.ab2e53ea0efecp-3, -0x1.a647f81415291p-3, -0x1.a1183cc54f5bfp-3, -0x1.9ba45c793ded7p-3, -0x1.95f16d9710f72p-3, -0x1.900460ec87b39p-3, -0x1.89e200684febep-3, -0x1.838eee188b907p-3, -0x1.7d0fa35bbd4f2p-3, -0x1.7668704f90c43p-3, -0x1.6f9d7b6830b37p-3, -0x1.68b2c13cba406p-3, -0x1.61ac1476805bp-3, -0x1.5a8d1decb57b7p-3, -0x1.53595cd7e26c1p-3, -0x1.4c14273990195p-3, -0x1.44c0aa3d079b8p-3, -0x1.3d61eae065269p-3, -0x1.35fac68bbe0cfp-3, -0x1.2e8df3cdb0d44p-3, -0x1.271e033e2e0f3p-3, -0x1.1fad6050a0ca3p-3, -0x1.183e5234d2bb8p-3, -0x1.10d2fd102490ep-3, -0x1.096d62b1d8ccp-3, -0x1.020f63c9f6cedp-3, -0x1.f575827596b9p-4, -0x1.e6e2391d6dc4dp-4, -0x1.d867f3771db9dp-4, -0x1.ca09804676ecbp-4, -0x1.bbc976204d281p-4, -0x1.adaa3793e6afap-4, -0x1.9fadf4a0a947bp-4, -0x1.91d6abda2959cp-4, -0x1.84262e9f6d91dp-4, -0x1.769e22776661dp-4, -0x1.69400218d7909p-4, -0x1.5c0d216324b83p-4, -0x1.4f06aed615fc8p-4, -0x1.422db4458f4dap-4, -0x1.35831a7af7dcep-4, -0x1.2907aae71fe08p-4, -0x1.1cbc0ff1bf925p-4, -0x1.10a0d819812c6p-4, -0x1.04b678085f66bp-4, -0x1.f1fa956a92083p-5, -0x1.daeb2776c98d4p-5, -0x1.c43f03681ff4p-5, -0x1.adf65d0a0e332p-5, -0x1.981141bf59ffep-5, -0x1.828f9d043e16fp-5, -0x1.6d7139beba0a7p-5, -0x1.58b5c3ee3adf1p-5, -0x1.445ccc4f7e75dp-5, -0x1.3065ca5f625a7p-5, -0x1.1cd01d6d9c656p-5, -0x1.099b0f01d3a53p-5, -0x1.ed8baa5b504cbp-6, -0x1.c89f2791179c1p-6, -0x1.a46ebb8864c94p-6, -0x1.80f86e42068b6p-6, -0x1.5e3a2d50d67afp-6, -0x1.3c31cdcb2ee72p-6, -0x1.1add0e7f09cbap-6, -0x1.f4733722e3526p-7, -0x1.b48a225471074p-7, -0x1.75f9f8f8f8db4p-7, -0x1.38bdbbfa75a1cp-7, -0x1.f9a0b2aefeacfp-8, -0x1.84595e8a52408p-8, -0x1.119b1b09b0e7p-8, -0x1.42b6e6da1cb57p-9, -0x1.9c7f45f27badcp-11, 0x1.be9051d008de8p-11, 0x1.41a9ddab483b4p-9, 0x1.07834bee1004ep-8, 0x1.6be79dfbaa9e8p-8, 0x1.ce0c539bd4663p-8, 0x1.16fde64850b09p-7, 0x1.45e02ab6cb271p-7, 0x1.73b21079620b5p-7, 0x1.a078a258fb1ep-7, 0x1.cc38dc6f0d3f3p-7, 0x1.f6f7ab0db1e32p-7, 0x1.105cf41ef3215p-6, 0x1.24c22d082652dp-6, 0x1.38add93bd4ef6p-6, 0x1.4c224796b652p-6, 0x1.5f21bc3066386p-6, 0x1.71ae6f9145eb7p-6, 0x1.83ca8e70d1278p-6, 0x1.957839ed1a0adp-6, 0x1.a6b9878870225p-6, 0x1.b79080a5a37d4p-6, 0x1.c7ff222263f19p-6, 0x1.d8075c7d53e28p-6, 0x1.e7ab1435e4a59p-6, 0x1.f6ec21cc064a6p-6, 0x1.02e628bbc8502p-5, 0x1.0a26b18e774e6p-5, 0x1.1138854cd552ap-5, 0x1.181c78129bb26p-5, 0x1.1ed3583abb328p-5, 0x1.255dee5acfc73p-5, 0x1.2bbcfd4bbb1e7p-5, 0x1.31f1424ed8aeep-5, 0x1.37fb7547c9194p-5, 0x1.3ddc48e391bd8p-5, 0x1.43946aa0dc252p-5, 0x1.492482db84503p-5, 0x1.4e8d34f457ad7p-5, 0x1.53cf1f8ca49ap-5, 0x1.58eadcb5c8e0ep-5, 0x1.5de10204f91c8p-5, 0x1.62b220a68b8b8p-5, 0x1.675ec582c4545p-5, 0x1.6be7796e1ed87p-5, 0x1.704cc15a0f024p-5, 0x1.748f1e79cab7fp-5, 0x1.78af0e5e30a31p-5, 0x1.7cad0b137c3cap-5, 0x1.80898b4314198p-5, 0x1.8445025e770d6p-5, 0x1.87dfe0cf78d33p-5, 0x1.8b5a941dc0592p-5, 0x1.8eb587077d331p-5, 0x1.91f1219a690c5p-5, 0x1.950dc95542eb6p-5, 0x1.980be15341addp-5, 0x1.9aebca76afe41p-5, 0x1.9dade385b63dep-5, 0x1.a052893f42bacp-5, 0x1.a2da167583a38p-5, 0x1.a544e42e6688p-5, 0x1.a79349c5cda37p-5, 0x1.a9c59d0d86567p-5, 0x1.abdc32662cb0bp-5, 0x1.add75cd4be553p-5, 0x1.afb76e1ada0e4p-5, 0x1.b17cb6d041abap-5, 0x1.b327867b0f62dp-5, 0x1.b4b82ba7608e5p-5, 0x1.b62ef3fe24e1p-5, 0x1.b78c2c58de641p-5, 0x1.b8d020d479f2ap-5, 0x1.b9fb1ce4b95e7p-5, 0x1.bb0d6b65dfcbep-5, 0x1.bc0756aca0442p-5, 0x1.bce92896876d4p-5, 0x1.bdb32a9ab35ddp-5, 0x1.be65a5d9b3c25p-5, 0x1.bf00e32c50e37p-5, 0x1.bf852b2fef2bp-5, 0x1.bff2c64f592e1p-5, 0x1.c049fccace2f5p-5, 0x1.c08b16c3dee25p-5, 0x1.c0b65c4c5f042p-5, 0x1.c0cc157307814p-5, 0x1.c0cc8a4a87fdcp-5, 0x1.c0b802ebdc9dcp-5, 0x1.c08ec777e4c05p-5, 0x1.c051201d6163fp-5, 0x1.bfff552479994p-5, 0x1.bf99aefabbde7p-5, 0x1.bf2076385edddp-5, 0x1.be93f39d8f1d1p-5, 0x1.bdf4700dd93cfp-5, 0x1.bd4234908ef3bp-5, 0x1.bc7d8a57fb6acp-5, 0x1.bba6bacb03e8fp-5, 0x1.babe0f8a5754p-5, 0x1.b9c3d26d72567p-5, 0x1.b8b84d79fed98p-5, 0x1.b79bcadd30438p-5, 0x1.b66e94ecbd46ep-5, 0x1.b530f62ded319p-5, 0x1.b3e3395b9055bp-5, 0x1.b285a964b38bcp-5, 0x1.b1189163e5fd3p-5, 0x1.af9c3c93fe946p-5, 0x1.ae10f6494da81p-5, 0x1.ac7709f21d0dap-5, 0x1.aacec31bfb0c3p-5, 0x1.a9186d7694ca3p-5, 0x1.a75454cf5fe23p-5, 0x1.a582c5062678fp-5, 0x1.a3a40a0003a18p-5, 0x1.a1b86f9f58604p-5, 0x1.9fc041c2e9146p-5, 0x1.9dbbcc493093fp-5, 0x1.9bab5b11f57eep-5, 0x1.998f39f9ae29ap-5, 0x1.9767b4ce49919p-5, 0x1.9535174171a14p-5, 0x1.92f7acddf43bcp-5, 0x1.90afc10392d11p-5, 0x1.8e5d9ee832028p-5, 0x1.8c01919994412p-5, 0x1.899be3fac780fp-5, 0x1.872ce0bb84592p-5, 0x1.84b4d24b7cbdp-5, 0x1.823402cde51d5p-5, 0x1.7faabc1158875p-5, 0x1.7d19478d1f4a2p-5, 0x1.7a7fee61ce596p-5, 0x1.77def95964814p-5, 0x1.7536b0e32c469p-5, 0x1.72875d0ae532p-5, 0x1.6fd1456d1b1f6p-5, 0x1.6d14b12c49f8ap-5, 0x1.6a51e6e9b1703p-5, 0x1.67892cc289008p-5, 0x1.64bac84fded91p-5, 0x1.61e6fea61880cp-5, 0x1.5f0e1451941ccp-5, 0x1.5c304d4fa4fbcp-5, 0x1.594ded05226aep-5, 0x1.566736350119ap-5, 0x1.537c6af94cd3ap-5, 0x1.508dccbf8c35dp-5, 0x1.4d9b9c47cbcbep-5, 0x1.4aa619a4629abp-5, 0x1.47ad843844dfep-5, 0x1.44b21ab2c20f5p-5, 0x1.41b41b09195c5p-5, 0x1.3eb3c26eec588p-5, 0x1.3bb14d4fb53b4p-5, 0x1.38acf74a49681p-5, 0x1.35a6fb2ed7be2p-5, 0x1.329f92fe72057p-5, 0x1.2f96f7eaeb287p-5, 0x1.2c8d625577b59p-5, 0x1.298309cb96edcp-5, 0x1.2678250290043p-5, 0x1.236ce9d24512ep-5, 0x1.20618d30c24c6p-5, 0x1.1d56432f454bep-5, 0x1.1a4b3ef8ee20fp-5, 0x1.1740b2d2bcd8bp-5, 0x1.1436d01be4e11p-5, 0x1.112dc74db0e3p-5, 0x1.0e25c7fa4c15p-5, 0x1.0b1f00ca96512p-5, 0x1.08199f7b54ea1p-5, 0x1.0515d0da7f4b7p-5, 0x1.0213c0c563fdp-5, 0x1.fe27344f8d7ffp-6, 0x1.f82b0df855991p-6, 0x1.f233609949092p-6, 0x1.ec407c6790013p-6, 0x1.e652afba76db5p-6, 0x1.e06a470b73bbcp-6, 0x1.da878cf507763p-6, 0x1.d4aaca3168f81p-6, 0x1.ced44599527ap-6, 0x1.c90444244aae6p-6, 0x1.c33b08e9ffacap-6, 0x1.bd78d524fee37p-6, 0x1.b7bde835e0731p-6, 0x1.b20a7fa62b746p-6, 0x1.ac5ed72a8b08ep-6, 0x1.a6bb28a3f69b1p-6, 0x1.a11fac203de73p-6, 0x1.9b8c97daceb7bp-6, 0x1.9602203ea0c5fp-6, 0x1.908077ea05bdap-6, 0x1.8b07cfb4fdd4dp-6, 0x1.859856b918903p-6, 0x1.80323a59fc4e4p-6, 0x1.7ad5a64c7fe6dp-6, 0x1.7582c49af19b5p-6, 0x1.7039bda515ae5p-6, 0x1.6afab81c841d9p-6, 0x1.65c5d8fe9bd08p-6, 0x1.609b438f2d718p-6, 0x1.5b7b19574fa81p-6, 0x1.56657a2ba86e6p-6, 0x1.515a843b763cep-6, 0x1.4c5a5427b191ep-6, 0x1.4765051e864c9p-6, 0x1.427ab0f4de573p-6, 0x1.3d9b703796bc1p-6, 0x1.38c75a2e4cb49p-6, 0x1.33fe84cd6855fp-6, 0x1.2f4104993983fp-6, 0x1.2a8eec813c911p-6, 0x1.25e84dbe7c255p-6, 0x1.214d37c16d9c7p-6, 0x1.1cbdb839910ccp-6, 0x1.1839db3bbdc2p-6, 0x1.13c1ab83dccfbp-6, 0x1.0f5532c689c53p-6, 0x1.0af479fffef3ep-6, 0x1.069f89ab8079ep-6, 0x1.025669d11eeadp-6, 0x1.fc3243c0e29f4p-7, 0x1.f3cf70b6b6a3fp-7, 0x1.eb8464c3d0a97p-7, 0x1.e35126765d20fp-7, 0x1.db35b7f914638p-7, 0x1.d33216da2483bp-7, 0x1.cb463c6f127d9p-7, 0x1.c3721ed4fefe6p-7, 0x1.bbb5b2638dc0dp-7, 0x1.b410eb4546fdp-7, 0x1.ac83bed4749a1p-7, 0x1.a50e245fa79c9p-7, 0x1.9db01513ff9cap-7, 0x1.96698afed99c2p-7, 0x1.8f3a7f4bcb229p-7, 0x1.8822e820afc67p-7, 0x1.8122b6953c088p-7, 0x1.7a39d54b3ef03p-7, 0x1.7368281164f75p-7, 0x1.6cad8cc098361p-7, 0x1.6609dd3b86fdep-7, 0x1.5f7cf23070439p-7, 0x1.5906a606611e4p-7, 0x1.52a6d74bcdfb8p-7, 0x1.4c5d6a0ec224bp-7, 0x1.462a47c1ef2f7p-7, 0x1.400d5da340dbcp-7, 0x1.3a0699f2d99f6p-7, 0x1.3415e89295ee6p-7, 0x1.2e3b2fcf63cf6p-7, 0x1.28764e1140d94p-7, 0x1.22c7190078ec6p-7, 0x1.1d2d5e5c79336p-7, 0x1.17a8e65f9638fp-7, 0x1.123977301fa7cp-7, 0x1.0cded89e247fdp-7, 0x1.0798d759781cep-7, 0x1.026746e826ee2p-7, 0x1.fa9403e0cbed9p-8, 0x1.f081d19d4b17cp-8, 0x1.e697bdae17b25p-8, 0x1.dcd58ddc0fd56p-8, 0x1.d33b0086f93c4p-8, 0x1.c9c7c7d127e3dp-8, 0x1.c07b877c2e8dap-8, 0x1.b755d5cdea35bp-8, 0x1.ae563f2fd8997p-8, 0x1.a57c4ba993102p-8, 0x1.9cc784f57c47dp-8, 0x1.94377bb884e6ap-8, 0x1.8bcbcab611beap-8, 0x1.838416f6f0be4p-8, 0x1.7b600d09f102dp-8, 0x1.735f5c08c5804p-8, 0x1.6b81afe5b0a3ap-8, 0x1.63c6acb4f89a9p-8, 0x1.5c2dec5122f0dp-8, 0x1.54b6fef1eacc2p-8, 0x1.4d616e6832adp-8, 0x1.462cc303c07f3p-8, 0x1.3f1888e22ce8ep-8, 0x1.382454800e452p-8, 0x1.314fc5af2c27dp-8, 0x1.2a9a8862d7c56p-8, 0x1.240453074346ap-8, 0x1.1d8ce2671bbb8p-8, 0x1.1733f3947de9ap-8, 0x1.10f93cdcfede5p-8, 0x1.0adc6753a77e7p-8, 0x1.04dd0ab8c16c5p-8, 0x1.fdf559f8dfeep-9, 0x1.f2698b5a1d28bp-9, 0x1.e7158913317p-9, 0x1.dbf8336342d29p-9, 0x1.d1107b87c9033p-9, 0x1.c65d70f1a00a4p-9, 0x1.bbde493b15ba1p-9, 0x1.b192616c013f4p-9, 0x1.a7793832ca12p-9, 0x1.9d92624a56dd8p-9, 0x1.93dd7bcb4324fp-9, 0x1.8a5a19da92ba1p-9, 0x1.8107bfaf463edp-9, 0x1.77e5d8a2f441p-9, 0x1.6ef3b77fd6c16p-9, 0x1.663099e74d21bp-9, 0x1.5d9badbc09d7p-9, 0x1.55341670e863bp-9, 0x1.4cf8f12b8070ap-9, 0x1.44e95871ae74bp-9, 0x1.3d0468a345316p-9, 0x1.354945b626f84p-9, 0x1.2db720375c8c6p-9, 0x1.264d368f90e6fp-9, 0x1.1f0ad10d1a1e5p-9, 0x1.17ef3ace3606dp-9, 0x1.10f9bc9ac194ap-9, 0x1.0a299e5c61f4p-9, 0x1.037e300b74613p-9, 0x1.f9edac5eabd8cp-10, 0x1.ed262753f7617p-10, 0x1.e0a5177dd3c98p-10, 0x1.d469f65ab1d06p-10, 0x1.c87457488bbc2p-10, 0x1.bcc3ce6d2bb56p-10, 0x1.b157dfd2bf03ap-10, 0x1.a62ff4b1dd813p-10, 0x1.9b4b4c06dbae1p-10, 0x1.90a8dd0525b8bp-10, 0x1.86472ea2de6bcp-10, 0x1.7c24364f79f2cp-10, 0x1.723d56401fb7ep-10, 0x1.688f8c1e574dep-10, 0x1.5f17cdb0ac2ap-10, 0x1.55d37aac5b46bp-10, 0x1.4cc0bc852b281p-10, 0x1.43deaed3de146p-10, 0x1.3b2d3f7988da4p-10, 0x1.32acd2eb83821p-10, 0x1.2a5dd957fad81p-10, 0x1.22408a7f823ecp-10, 0x1.1a54ea19b6ed2p-10, 0x1.129b0608a0b88p-10, 0x1.0b133408656d4p-10, 0x1.03be116d2001cp-10, 0x1.f9385ffaaa23ap-11, 0x1.eb5b1b0b17ca4p-11, 0x1.dde21fb21d582p-11, 0x1.d0c880624885ep-11, 0x1.c406d737aed6dp-11, 0x1.b79458f4d9125p-11, 0x1.ab687ca197d3dp-11, 0x1.9f7cc0b64b878p-11, 0x1.93cdee43d3f42p-11, 0x1.885c431b78eabp-11, 0x1.7d2a502eca846p-11, 0x1.723b06dfe6d46p-11, 0x1.678ffd5a05ecfp-11, 0x1.5d28e3862b423p-11, 0x1.53045e9179316p-11, 0x1.49218cbe119f5p-11, 0x1.3f81117aece22p-11, 0x1.3624fd995bf9p-11, 0x1.2d0fb652738fep-11, 0x1.24428d271313cp-11, 0x1.1bbcd24b1eb26p-11, 0x1.137bc1da0626fp-11, 0x1.0b7b0678f66e8p-11, 0x1.03b531d999fc3p-11, 0x1.f848123e91713p-12, 0x1.e98224489ac92p-12, 0x1.db0d9791a9232p-12, 0x1.cce4625dccaafp-12, 0x1.bf06e8678ecf9p-12, 0x1.b17a49ccc71d5p-12, 0x1.a4445aa66c8b2p-12, 0x1.97680354ac248p-12, 0x1.8ae4491ad7efep-12, 0x1.7eb5fbecbc593p-12, 0x1.72da8d0a07d7bp-12, 0x1.6752670eba069p-12, 0x1.5c20fa3e9bb67p-12, 0x1.5149bfedb513bp-12, 0x1.46cca05bef17p-12, 0x1.3ca53f2240254p-12, 0x1.32cd7539fcdc3p-12, 0x1.29404921e2f89p-12, 0x1.1ffb3af686556p-12, 0x1.16fd8a37c1ef3p-12, 0x1.0e46352dd789fp-12, 0x1.05d20e1f7d58cp-12, 0x1.fb366de0689ccp-13, 0x1.eb3493621f9acp-13, 0x1.db915222a7aa7p-13, 0x1.cc4698e7f731dp-13, 0x1.bd58a22692159p-13, 0x1.aed24a7c21e35p-13, 0x1.a0bb61cb25d07p-13, 0x1.93112e9f16886p-13, 0x1.85cb3250ca6b4p-13, 0x1.78e8588b37fc9p-13, 0x1.6c70d5f26c4b7p-13, 0x1.6068e6ef628a5p-13, 0x1.54c8f27ef09cap-13, 0x1.4983c90d84f22p-13, 0x1.3e8f2dd78475ep-13, 0x1.33e61b8cd946fp-13, 0x1.298710df10c7p-13, 0x1.1f72e64ea1a52p-13, 0x1.15ad238dfc8f9p-13, 0x1.0c3bb662f565bp-13, 0x1.0324376ec14edp-13, 0x1.f4cf0db2004d1p-14, 0x1.e3facf068758cp-14, 0x1.d3a5132482fap-14, 0x1.c3a1de3a0bd81p-14, 0x1.b3e66481e62f2p-14, 0x1.a494a9fa9c28cp-14, 0x1.95ce2d4c0e52ep-14, 0x1.878993e91cb23p-14, 0x1.79acedab15aedp-14, 0x1.6c3d4dd4a870fp-14, 0x1.5f505741ba758p-14, 0x1.52e480bf3690cp-14, 0x1.46e39ad173418p-14, 0x1.3b3a5a8cba97p-14, 0x1.2fe11dc7d3e56p-14, 0x1.24d7870ad0ad6p-14, 0x1.1a1e9184de23p-14, 0x1.0fb5b24210e19p-14, 0x1.059b589dc1403p-14, 0x1.f79fa1e3e23abp-15, 0x1.e4afcf7938eaep-15, 0x1.d277de652e7f6p-15, 0x1.c1062896f2a89p-15, 0x1.b05b6c1421449p-15, 0x1.a05b3c5553632p-15, 0x1.90c92a05d2a5p-15, 0x1.817c6af217e1dp-15, 0x1.728ffc09f9f22p-15, 0x1.642ce6864b4f3p-15, 0x1.5647691a2ab62p-15, 0x1.48c8df6726c62p-15, 0x1.3bc1b86e70465p-15, 0x1.2f472f08923e1p-15, 0x1.234c5735a3fc4p-15, 0x1.17b51a09f8181p-15, 0x1.0c72368b1687dp-15, 0x1.0181c0c21e8eap-15, 0x1.edcbd4a973ac9p-16, 0x1.d9402019d979ep-16, 0x1.c55f582bed1acp-16, 0x1.b22517fdc06f6p-16, 0x1.9f8b122fa760ap-16, 0x1.8d8bfc80fc309p-16, 0x1.7c26d6d8b9efap-16, 0x1.6b5efbccf28bdp-16, 0x1.5b38a9d19e072p-16, 0x1.4bba290384f56p-16, 0x1.3ce7e22c19fa6p-16, 0x1.2ea8520eb0e03p-16, 0x1.20e02b52429bp-16, 0x1.139547d276db1p-16, 0x1.06a2eef5e546ep-16, 0x1.f40809d409364p-17, 0x1.dbca8bbea24a4p-17, 0x1.c46f4027df756p-17, 0x1.adfad0244736dp-17, 0x1.9875aa20f29dep-17, 0x1.83ae914babb26p-17, 0x1.6f8a7cdbd0f94p-17, 0x1.5c0ab25de72d8p-17, 0x1.493436976a45bp-17, 0x1.37077e87a5f5fp-17, 0x1.258174cd00d3fp-17, 0x1.149d93b6fd2c4p-17, 0x1.0456d290f56ecp-17, 0x1.e94f5de4d057ep-18, 0x1.cb14865a06142p-18, 0x1.adf2237a40881p-18, 0x1.91dfa3dabf7fap-18, 0x1.76d2cf8a27fbp-18, 0x1.5cbd9d19b0a58p-18, 0x1.43b2d93d6ab0ap-18, 0x1.2be4580f363c2p-18, 0x1.150b3ae303e23p-18, 0x1.fdf8d6ec54d75p-19, 0x1.d3bd5d64d2a69p-19, 0x1.aae298764e08ap-19, 0x1.83d46f22b71ap-19, 0x1.5e3b3e0ee11f6p-19, 0x1.39b9a185d9ad2p-19, 0x1.1704af7120223p-19, 0x1.ebb7d2fd14f0ep-20, 0x1.abd167f897fd2p-20, 0x1.6e524e433236dp-20, 0x1.334fa5035af8dp-20, 0x1.f591e6c65df6p-21, 0x1.895ef7fe68784p-21, 0x1.21dfdfe5caa36p-21, 0x1.7ddd85da0f583p-22, 0x1.81a5a65dcc123p-23, 0x1.8bb8976ca806ap-27, -0x1.3f94bb3851e34p-23, -0x1.43f8a63be5aabp-22, -0x1.e07e4153700a2p-22, -0x1.3acc9fd7781d7p-21, -0x1.81c79ad0ee94ap-21, -0x1.c56d43d4925a6p-21, -0x1.02cc5883ab98cp-20, -0x1.20ae4c6806a44p-20, -0x1.3cdb081de268bp-20, -0x1.5819157d3d20fp-20, -0x1.71ffe572e37d7p-20, -0x1.896f36f24e0f5p-20, -0x1.9f5b99f921d14p-20, -0x1.b48895882620ep-20, -0x1.c884a1740fb19p-20, -0x1.dacc5497b106ep-20, -0x1.ebc6c6b705a23p-20, -0x1.fb9a9cf40f777p-20, -0x1.051f61c9869f4p-19, -0x1.0bd8e61ddab89p-19, -0x1.11fcc9c01448dp-19, -0x1.178f1a0c3ee28p-19, -0x1.1c93f61471596p-19, -0x1.210f46e6579fdp-19, -0x1.2504a40f60227p-19, -0x1.28775d708c402p-19, -0x1.2b6aad6913101p-19, -0x1.2de1fbba59867p-19, -0x1.2fe0ee97b61e1p-19, -0x1.316b1ab8e587p-19, -0x1.328368f10f7afp-19, -0x1.332c00ca5296ap-19, -0x1.336822f957bb1p-19, -0x1.333cbe89b5599p-19, -0x1.32a3c9eb0eb55p-19, -0x1.319a171630ce6p-19, -0x1.304031a9bb3c1p-19, -0x1.2e85a8631b7dbp-19, -0x1.2c637fec3d37p-19, -0x1.29e035b46c4aep-19, -0x1.2705813f7e889p-19, -0x1.23df8b37ad7e8p-19, -0x1.205b6b8b5f4fap-19, -0x1.1c82790a8dcf5p-19, -0x1.185a8e6513bf3p-19, -0x1.13e37f54df4fep-19, -0x1.0f1e6a7967631p-19, -0x1.0a0d166651bd4p-19, -0x1.04b15d70b1962p-19, -0x1.fe1a1bbdc1661p-20, -0x1.f243cffd97d03p-20, -0x1.e5e33dfe3c3e2p-20, -0x1.d8fbb4187b953p-20, -0x1.cb906b3357a05p-20, -0x1.bda48a28cdb11p-20, -0x1.af3b2a1aa2343p-20, -0x1.a057598c5139fp-20, -0x1.90fc1c4f0ae07p-20, -0x1.812c68f83ffa3p-20, -0x1.70eb216500067p-20, -0x1.603b0fdd68ad1p-20, -0x1.4f1f0da9c311dp-20, -0x1.3d9a2ec03c9cdp-20, -0x1.2baeb9f15c222p-20, -0x1.195f2700d455ep-20, -0x1.06aec0117f96p-20, -0x1.e73eae27b1dbdp-21, -0x1.c0693da983327p-21, -0x1.98e1563428239p-21, -0x1.70ab6ca2a4fc4p-21, -0x1.47cc94f773799p-21, -0x1.1e4af13614cc4p-21, -0x1.e854f0e814e68p-22, -0x1.92df14c842bd1p-22, -0x1.3c3eca21d2fa7p-22, -0x1.c8fbc43bb088bp-23, -0x1.174b942fe3f1ep-23, -0x1.8dfea5e5ada3cp-25, 0x1.49560af2a72ecp-25, 0x1.0a2193aa4d0f8p-23, 0x1.c3d24e22835adp-23, 0x1.3faaea41f23edp-22, 0x1.9e4cd275a04b1p-22, 0x1.fdc612d0c834fp-22, 0x1.2f06f97029b5dp-21, 0x1.5f8db6858778ep-21, 0x1.907305d601ff5p-21, 0x1.c1b2969834f7cp-21, 0x1.f348291179e64p-21, 0x1.1297b8fdbeeb8p-20, 0x1.2bb1ff18776d7p-20, 0x1.44f0b4d4f65b6p-20, 0x1.5e51fe469adc1p-20, 0x1.77d44f686d1cbp-20, 0x1.9174bf5154ee8p-20, 0x1.ab30dbf72d067p-20, 0x1.c5072c6100757p-20, 0x1.def62243947e3p-20, 0x1.f8fb76b7eb86ep-20, 0x1.098ac2f4798f1p-19, 0x1.16a0d14f269a9p-19, 0x1.23beaee4895c6p-19, 0x1.30e3cca56687fp-19, 0x1.3e0f50e81118ap-19, 0x1.4b4018f393b04p-19, 0x1.58752acdb80f5p-19, 0x1.65ad95e2da978p-19, 0x1.72e86b1f7209p-19, 0x1.8024bcab3e4bp-19, 0x1.8d619e4935a5fp-19, 0x1.9a9e255fe814bp-19, 0x1.a7d969e69c02p-19, 0x1.b51284c68884fp-19, 0x1.c24891ade92c2p-19, 0x1.cf7aae937ce6ap-19, 0x1.dca7fb355c39fp-19, 0x1.e9cf9af4631c1p-19, 0x1.f6f2101814d8ep-19, 0x1.02054197c51e5p-18, 0x1.088de35880604p-18, 0x1.0f12112b87f47p-18, 0x1.15914bf02216ap-18, 0x1.1c0b2b38453a5p-18, 0x1.227f47cd56f0ep-18, 0x1.28ed3b39f97cap-18, 0x1.2f549f3324028p-18, 0x1.35b50fd2d2bc6p-18, 0x1.3c0e2cb9d4e4ep-18, 0x1.425f954720d94p-18, 0x1.48a8e4fda9df7p-18, 0x1.4ee9c03401c0cp-18, 0x1.5521c68bb2c7ap-18, 0x1.5b5093fcc5e14p-18, 0x1.6175e0a263eddp-18, 0x1.67914801a74c1p-18, 0x1.6da245bb32573p-18, 0x1.73a999fd78182p-18, 0x1.79a4900878bfep-18, 0x1.7f9511b40e4fp-18, 0x1.8579ea01db33p-18, 0x1.8b52d9ca34125p-18, 0x1.911f92afa1adap-18, 0x1.96dfc6bbe9311p-18, 0x1.9c9328a000d79p-18, 0x1.a23968d2c51ecp-18, 0x1.a7d23f6a302d5p-18, 0x1.ad5d6160cd703p-18, 0x1.b2da868b7989ep-18, 0x1.b849681000efap-18, 0x1.bda9c08ab87fcp-18, 0x1.c2fb4bfc2dbaap-18, 0x1.c83dc7ad6ba51p-18, 0x1.cd70f2394387fp-18, 0x1.d2948ba32a522p-18, 0x1.d7a8555939a56p-18, 0x1.dcac12603f27bp-18, 0x1.e19f8835bb8eap-18, 0x1.e6827eb75f44fp-18, 0x1.eb54bd30f6ae5p-18, 0x1.f0160746aab44p-18, 0x1.f4c6149311753p-18, 0x1.f964e481022e9p-18, 0x1.fdf2291de7ea4p-18, 0x1.0136d1199d932p-17, 0x1.036b97662453p-17, 0x1.05974ddecb683p-17, 0x1.07b9d3fa04057p-17, 0x1.09d3314b34ca3p-17, 0x1.0be33bdfe0955p-17, 0x1.0de9dc0fbd2f7p-17, 0x1.0fe7045f6dd9ep-17, 0x1.11daa2dbafaa1p-17, 0x1.13c4a75287974p-17, 0x1.15a4f5e7bf26fp-17, 0x1.177b890416053p-17, 0x1.19484c1298e78p-17, 0x1.1b0b2e4eedab2p-17, 0x1.1cc41d8474537p-17, 0x1.1e736c0cf7484p-17, 0x1.20179039134abp-17, 0x1.21b2f17086381p-17, 0x1.2343a913777f5p-17, 0x1.24ca3dcb6baa9p-17, 0x1.26469779c0e71p-17, 0x1.27b8af08b864p-17, 0x1.29207bf702b31p-17, 0x1.2a7e07ce94f68p-17, 0x1.2bd1153e6188cp-17, 0x1.2d19d1e73965bp-17, 0x1.2e58263a6db3ep-17, 0x1.2f8c0c81b57c3p-17, 0x1.30b57df8c5f4ap-17, 0x1.31d476a0a755dp-17, 0x1.32e8f3aa95837p-17, 0x1.33f2f013435d1p-17, 0x1.34f26a879bfcp-17, 0x1.35e75ecabb36fp-17, 0x1.36d1c52921fep-17, 0x1.37b1aeed090bap-17, 0x1.38870ed7ca051p-17, 0x1.3951e3c893a07p-17, }}, 
      {{-0x1.d38e3246effb1p-7, -0x1.79ef19ddb5b2p-5, -0x1.92fe866d89fe8p-4, -0x1.54150abf89dd4p-3, -0x1.eeeb21006e35ap-3, -0x1.45791a2f12f2bp-2, -0x1.8de263a7d8856p-2, -0x1.cc35d2fb073fdp-2, -0x1.fda591519e3bep-2, -0x1.106b716af6bc5p-1, -0x1.1acb3cb6dc655p-1, -0x1.1e464d9f7785cp-1, -0x1.1b7c88eb4fc7ap-1, -0x1.133cf518048eap-1, -0x1.066ec5b54e04dp-1, -0x1.ebff773ca5083p-2, -0x1.c5ae729379bbcp-2, -0x1.9b9a9e7da3065p-2, -0x1.6f4a05fb0639p-2, -0x1.42124a0be367fp-2, -0x1.151632c6246a2p-2, -0x1.d28c3b5d7b198p-3, -0x1.7ec4da5a81c6dp-3, -0x1.2ffe8afc0190cp-3, -0x1.ce242ce34c8d6p-4, -0x1.4924e44c2be7fp-4, -0x1.a359fba960c77p-5, -0x1.a0138cb93df68p-6, -0x1.842872c9c3ac8p-9, 0x1.09333d416e7d4p-6, 0x1.0792d8b5fe722p-5, 0x1.720222625116ap-5, 0x1.c57b1e9d0a3edp-5, 0x1.01dc968a4d6edp-4, 0x1.1747c218e37d6p-4, 0x1.23ee069c91922p-4, 0x1.28be5cda27e57p-4, 0x1.26a3839e0288ep-4, 0x1.1e80b3f33bd58p-4, 0x1.112f256f6ab39p-4, 0x1.fef88623d685ep-5, 0x1.d450e759359f7p-5, 0x1.a3ccb747f10ebp-5, 0x1.6eb502e82672dp-5, 0x1.363683512d628p-5, 0x1.f6c405bb764d8p-6, 0x1.7e5a441d6002ep-6, 0x1.04e6c68268d2ap-6, 0x1.17dda44e6b3d7p-7, 0x1.4c8af0a0b7e81p-10, -0x1.7d85a87dadc87p-8, -0x1.9f1c96fc09bb8p-7, -0x1.3ae2c8c9b3bfbp-6, -0x1.a0a6b7118d9b3p-6, -0x1.0021000083368p-5, -0x1.2c9ce8071702ap-5, -0x1.5596f249d52a4p-5, -0x1.7aeafe79c1ecfp-5, -0x1.9c7fb86baa686p-5, -0x1.ba457642f3f07p-5, -0x1.d43529cf0ba46p-5, -0x1.ea4f64f6bb3b7p-5, -0x1.fc9b70b357185p-5, -0x1.05933b0319c57p-4, -0x1.0b015c0aa9e33p-4, -0x1.0ea36f4b519c4p-4, -0x1.1086a7d2a90d7p-4, -0x1.10b9cc096a8d1p-4, -0x1.0f4cf0ab8a584p-4, -0x1.0c513a1d78a6cp-4, -0x1.07d8a3b67b20dp-4, -0x1.01f5cc99f14dep-4, -0x1.f57793738ff76p-5, -0x1.e47bf9565b012p-5, -0x1.d11fddd4d6ca5p-5, -0x1.bb8a62822cfeep-5, -0x1.a3e27deda5bc4p-5, -0x1.8a4ec902be763p-5, -0x1.6ef552dc3ee2cp-5, -0x1.51fb7a73361a4p-5, -0x1.3385cdbb665cdp-5, -0x1.13b7eda11407bp-5, -0x1.e568ed1a4c682p-6, -0x1.a139d9d74bcaep-6, -0x1.5b235b09d2133p-6, -0x1.1363c1e8e794bp-6, -0x1.946dca331f074p-7, -0x1.ff584b08b07e9p-8, -0x1.a3c046e4e7df6p-9, 0x1.7af0f562fcf85p-10, 0x1.91b6856ab5a54p-8, 0x1.6329543f1ed09p-7, 0x1.fdef63b4d2a8ep-7, 0x1.4c6cc3f1b71b1p-6, 0x1.99cc6273f5d3ap-6, 0x1.e6f17abcc1aefp-6, 0x1.19dcab326a8p-5, 0x1.4001c481402d4p-5, 0x1.65d8f16ffcd48p-5, 0x1.8b542d77368b9p-5, 0x1.b0667de29e173p-5, 0x1.d503ea31efe8p-5, 0x1.f9216f38c749cp-5, 0x1.0e5a7b058d642p-4, 0x1.1fdaa5f813837p-4, 0x1.310d0a9aef0e7p-4, 0x1.41ede21e34b87p-4, 0x1.5279c8dd08a74p-4, 0x1.62adb7f3df465p-4, 0x1.728700b9844eep-4, 0x1.8203493c20f82p-4, 0x1.9120863075befp-4, 0x1.9fdcf66756ba7p-4, 0x1.ae371fd16c28bp-4, 0x1.bc2dca1aeb3c8p-4, 0x1.c9bffa27af57dp-4, 0x1.d6ecef93fd989p-4, 0x1.e3b4205a6e90fp-4, 0x1.f01534796222p-4, 0x1.fc1003a0f04ffp-4, 0x1.03d248f31323p-3, 0x1.096985e7077b1p-3, 0x1.0ecde1f5c0a3fp-3, 0x1.13ff982ec4346p-3, 0x1.18fef3baec55ap-3, 0x1.1dcc4e9fe3e99p-3, 0x1.226810bd78472p-3, 0x1.26d2ae82bde2dp-3, 0x1.2b0ca7bef9183p-3, 0x1.2f1686b8b6b96p-3, 0x1.32f0df3eae4a1p-3, 0x1.369c4dabe6a2dp-3, 0x1.3a197607d53d2p-3, 0x1.3d69034d30895p-3, 0x1.408ba6b5f9841p-3, 0x1.438216f2e884bp-3, 0x1.464d0f7d0b4f1p-3, 0x1.48ed501531376p-3, 0x1.4b639c30ae1d7p-3, 0x1.4db0ba50b6524p-3, 0x1.4fd57386c8ce6p-3, 0x1.51d29313e3b88p-3, 0x1.53a8e5e949583p-3, 0x1.55593a266066ap-3, 0x1.56e45ebdaacfp-3, 0x1.584b232768662p-3, 0x1.598e5700e4f36p-3, 0x1.5aaec9a9674b9p-3, 0x1.5bad49fad2f34p-3, 0x1.5c8aa61367f85p-3, 0x1.5d47ab134ae72p-3, 0x1.5de524d131fefp-3, 0x1.5e63dda36a913p-3, 0x1.5ec49e3d1b465p-3, 0x1.5f082d84796e2p-3, 0x1.5f2f505dcf2e8p-3, 0x1.5f3ac981fc78ep-3, 0x1.5f2b5965dc287p-3, 0x1.5f01be241eed1p-3, 0x1.5ebeb35ebeb02p-3, 0x1.5e62f22006a96p-3, 0x1.5def30c64a285p-3, 0x1.5d6422fa5824fp-3, 0x1.5cc279a475767p-3, 0x1.5c0ae2d90d6bbp-3, 0x1.5b3e09c84fd13p-3, 0x1.5a5c96b9a2943p-3, 0x1.59672f0c6eb5dp-3, 0x1.585e7532ac5a6p-3, 0x1.574308a817ddcp-3, 0x1.561585ef67956p-3, 0x1.54d68695a9d46p-3, 0x1.5386a136ee8d3p-3, 0x1.52266980c2652p-3, 0x1.50b6703371859p-3, 0x1.4f374324d8e39p-3, 0x1.4da96d467dcc2p-3, 0x1.4c0d76afc091fp-3, 0x1.4a63e4a6fbeabp-3, 0x1.48ad39a6aefc5p-3, 0x1.46e9f5629e9edp-3, 0x1.451a94d170bf8p-3, 0x1.433f9239eb45ap-3, 0x1.4159653dde977p-3, 0x1.3f6882e179cfp-3, 0x1.3d6d5d93ab36fp-3, 0x1.3b686539745ccp-3, 0x1.395a0739cf464p-3, 0x1.3742ae88b51b9p-3, 0x1.3522c3b18136ep-3, 0x1.32faace190e47p-3, 0x1.30cacdf2d0aa6p-3, 0x1.2e9388758c73p-3, 0x1.2c553bbb0ca95p-3, 0x1.2a1044e1e1776p-3, 0x1.27c4fee1762d9p-3, 0x1.2573c2936c6f8p-3, 0x1.231ce6bc3258fp-3, 0x1.20c0c014ec2a1p-3, 0x1.1e5fa1572e62cp-3, 0x1.1bf9db48717f6p-3, 0x1.198fbcc3377ddp-3, 0x1.172192bf01ebdp-3, 0x1.14afa8596eap-3, 0x1.123a46e0643ffp-3, 0x1.0fc1b5dc05992p-3, 0x1.0d463b17d3a1ep-3, 0x1.0ac81aaaa9afp-3, 0x1.084796feea0b8p-3, 0x1.05c4f0db23111p-3, 0x1.0340676ab19d7p-3, 0x1.00ba3845e5bf1p-3, 0x1.fc653ef38b7d5p-4, 0x1.f753af1f2ab0dp-4, 0x1.f24033286e455p-4, 0x1.ed2b3a3f0185dp-4, 0x1.e81530b79260ep-4, 0x1.e2fe801a3fc4bp-4, 0x1.dde78f2fced6ep-4, 0x1.d8d0c20df6328p-4, 0x1.d3ba7a23be426p-4, 0x1.cea51646e273ep-4, 0x1.c990f2c1e79ccp-4, 0x1.c47e6961101bfp-4, 0x1.bf6dd17cbe073p-4, 0x1.ba5f80026e77cp-4, 0x1.b553c77efddp-4, 0x1.b04af82bb801bp-4, 0x1.ab455ffc03a42p-4, 0x1.a6434aa8d6922p-4, 0x1.a14501b87d596p-4, 0x1.9c4acc84dfa2ep-4, 0x1.9754f043d0da6p-4, 0x1.9263b01341ea6p-4, 0x1.8d774d06e2a4bp-4, 0x1.88900633083bdp-4, 0x1.83ae18b2e71cep-4, 0x1.7ed1bfac8f1b5p-4, 0x1.79fb3456fb999p-4, 0x1.752aae049dd35p-4, 0x1.70606230945e9p-4, 0x1.6b9c848a1b36cp-4, 0x1.66df46fb2de97p-4, 0x1.6228d9ab498fbp-4, 0x1.5d796b02a8575p-4, 0x1.58d127b1cf6b8p-4, 0x1.54303abd696fp-4, 0x1.4f96cd8ab2ccbp-4, 0x1.4b0507e8268dep-4, 0x1.467b101145bf7p-4, 0x1.41f90ab0025fp-4, 0x1.3d7f1ae0449a6p-4, 0x1.390d6238205fap-4, 0x1.34a400d3a8a03p-4, 0x1.30431560338e8p-4, 0x1.2beabd23a1a0dp-4, 0x1.279b13ff15ddep-4, 0x1.2354346fef7efp-4, 0x1.1f163792f6851p-4, 0x1.1ae1352bff452p-4, 0x1.16b543b0d519ep-4, 0x1.12927853fe079p-4, 0x1.0e78e70c11678p-4, 0x1.0a68a296dbde8p-4, 0x1.0661bc7a4e9ddp-4, 0x1.02644506af2bap-4, 0x1.fce096b8c8564p-5, 0x1.f50bbaeaa05e2p-5, 0x1.ed4a105e61d52p-5, 0x1.e59baea7f526dp-5, 0x1.de00ab3d2c8bbp-5, 0x1.d6791979648cfp-5, 0x1.cf050aa034392p-5, 0x1.c7a48de42223cp-5, 0x1.c057b0742813p-5, 0x1.b91e7d8e0a008p-5, 0x1.b1f8fe9012a44p-5, 0x1.aae73b0746b4ap-5, 0x1.a3e938b74442ap-5, 0x1.9cfefb9e066d2p-5, 0x1.962885f782602p-5, 0x1.8f65d844e910ep-5, 0x1.88b6f15911181p-5, 0x1.821bce6879527p-5, 0x1.7b946b1986f7ep-5, 0x1.7520c19191a86p-5, 0x1.6ec0ca7d5f00dp-5, 0x1.68747d1609fb8p-5, 0x1.623bcf251573ap-5, 0x1.5c16b50aa7c1dp-5, 0x1.560521c77dbb3p-5, 0x1.5007070a2ad16p-5, 0x1.4a1c553d78a7ap-5, 0x1.4444fb955a24ep-5, 0x1.3e80e818c3017p-5, 0x1.38d007a83341fp-5, 0x1.3332460292fb7p-5, 0x1.2da78dca46bdep-5, 0x1.282fc88c52b3dp-5, 0x1.22cadeca463ep-5, 0x1.1d78b805f4d38p-5, 0x1.18393acda02cep-5, 0x1.130c4cc6bc9c2p-5, 0x1.0df1d2b6718e1p-5, 0x1.08e9b087ee21ep-5, 0x1.03f3c95178a66p-5, 0x1.fe1ffeb3812cep-6, 0x1.f47c683d007dp-6, 0x1.eafc90b9b639cp-6, 0x1.e1a0383634afbp-6, 0x1.d8671d659552dp-6, 0x1.cf50fdb4448fap-6, 0x1.c65d9557e89fap-6, 0x1.bd8c9f5c3d633p-6, 0x1.b4ddd5ada33e5p-6, 0x1.ac50f12328f6dp-6, 0x1.a3e5a989acefp-6, 0x1.9b9bb5b0efe2cp-6, 0x1.9372cb7ab112cp-6, 0x1.8b6a9feacecd4p-6, 0x1.8382e73745e46p-6, 0x1.7bbb54d6d6ecfp-6, 0x1.74139b8dd0809p-6, 0x1.6c8b6d78cea89p-6, 0x1.65227c167fc5dp-6, 0x1.5dd878510910bp-6, 0x1.56ad128849768p-6, 0x1.4f9ffa9d1eb7cp-6, 0x1.48b0dffdb04c5p-6, 0x1.41df71b218928p-6, 0x1.3b2b5e6894412p-6, 0x1.34945480b31e2p-6, 0x1.2e1a02152af89p-6, 0x1.27bc150462b8dp-6, 0x1.217a3af8721bp-6, 0x1.1b54216f3b73ap-6, 0x1.154975c34b303p-6, 0x1.0f59e53605988p-6, 0x1.09851cfaa7aafp-6, 0x1.03caca418e575p-6, 0x1.fc553484dc343p-7, 0x1.f148748acbb6ep-7, 0x1.e66eaf51df357p-7, 0x1.dbc73fcc6ae24p-7, 0x1.d151812782253p-7, 0x1.c70cced0569c7p-7, 0x1.bcf8847cc7657p-7, 0x1.b313fe3a2551ep-7, 0x1.a95e9883035ebp-7, 0x1.9fd7b05b4cfb1p-7, 0x1.967ea36f0412fp-7, 0x1.8d52d02e872ffp-7, 0x1.845395e2f29dp-7, 0x1.7b8054b644b8bp-7, 0x1.72d86dae0765ap-7, 0x1.6a5b429a51d88p-7, 0x1.620835ff7c47ep-7, 0x1.59deab02e4ed2p-7, 0x1.51de05642fc26p-7, 0x1.4a05a989d2242p-7, 0x1.4254fca3c726fp-7, 0x1.3acb64e0b48bp-7, 0x1.336849ac2fee4p-7, 0x1.2c2b13e87fb18p-7, 0x1.25132e152366cp-7, 0x1.1e2004568e4e1p-7, 0x1.1751045a379e4p-7, 0x1.10a59d1b03d79p-7, 0x1.0a1d3e9332361p-7, 0x1.03b7596fcf8fcp-7, 0x1.fae6bdb75ac51p-8, 0x1.eea180e90c873p-8, 0x1.e29de0e7ca53ap-8, 0x1.d6dac411ceff1p-8, 0x1.cb5713a50f889p-8, 0x1.c011bcc0723b1p-8, 0x1.b509b13309ac4p-8, 0x1.aa3de7e29e87ep-8, 0x1.9fad5ca4a38a3p-8, 0x1.95570f8d178a7p-8, 0x1.8b3a03ca692d8p-8, 0x1.81553e576dacfp-8, 0x1.77a7c4cb4cae9p-8, 0x1.6e309c9a9974ep-8, 0x1.64eecafb0a357p-8, 0x1.5be155802016ep-8, 0x1.530743583aa9dp-8, 0x1.4a5f9ee7afbe3p-8, 0x1.41e977670d073p-8, 0x1.39a3e2249059cp-8, 0x1.318dfb199810cp-8, 0x1.29a6e4ab5959dp-8, 0x1.21edc69e2d125p-8, 0x1.1a61cc735c7d8p-8, 0x1.1302238d2046cp-8, 0x1.0bcdf983a31b2p-8, 0x1.04c47b0bbf3cdp-8, 0x1.fbc9a75fbbc9fp-9, 0x1.ee5c5cd8d5ce6p-9, 0x1.e13f6e1962a6dp-9, 0x1.d47137f37aa86p-9, 0x1.c7f02021e662p-9, 0x1.bbba982e7fb38p-9, 0x1.afcf1ee94d3ep-9, 0x1.a42c40219ce25p-9, 0x1.98d092bf8145p-9, 0x1.8dbab5bdf6a67p-9, 0x1.82e94cc5f0a66p-9, 0x1.785afd34cdf0ap-9, 0x1.6e0e6c32098a6p-9, 0x1.64023e2e7117cp-9, 0x1.5a3517cf97592p-9, 0x1.50a59ffd935e8p-9, 0x1.4752828de301cp-9, 0x1.3e3a72e978947p-9, 0x1.355c2df9bfb09p-9, 0x1.2cb67b0107f11p-9, 0x1.24482adb7118ap-9, 0x1.1c10160e4dd47p-9, 0x1.140d1a03d97efp-9, 0x1.0c3e164b7b30fp-9, 0x1.04a1eaac8814ep-9, 0x1.fa6eed35efccep-10, 0x1.ebfb345a8f85p-10, 0x1.dde670822a6f6p-10, 0x1.d02e725eeae0bp-10, 0x1.c2d11acb093a5p-10, 0x1.b5cc5ea8aefebp-10, 0x1.a91e48bbb560ep-10, 0x1.9cc4f922d1ae2p-10, 0x1.90bea2743ec63p-10, 0x1.850984b57b028p-10, 0x1.79a3e6d88dec9p-10, 0x1.6e8c0fdb2c518p-10, 0x1.63c04108b538dp-10, 0x1.593eb2d371915p-10, 0x1.4f05953ed5ef3p-10, 0x1.451313d3b0876p-10, 0x1.3b655c1a8062p-10, 0x1.31faa5136e122p-10, 0x1.28d136238b4b4p-10, 0x1.1fe76c4c1c397p-10, 0x1.173bbce2cd75ep-10, 0x1.0eccb55efb063p-10, 0x1.0698f847b6c98p-10, 0x1.fd3e6fdda9bp-11, 0x1.edbc6068f38e8p-11, 0x1.dea9417d8de31p-11, 0x1.d0029171e3d4cp-11, 0x1.c1c5c95586dc8p-11, 0x1.b3f05ca968fc7p-11, 0x1.a67fbc21efdfp-11, 0x1.997159c223c1p-11, 0x1.8cc2ac835df92p-11, 0x1.807132af43647p-11, 0x1.747a73887afa3p-11, 0x1.68dc00b6cdc09p-11, 0x1.5d9378c5153adp-11, 0x1.529e892685f4ep-11, 0x1.47faee5095098p-11, 0x1.3da6717a5b39cp-11, 0x1.339ee5f6bda0dp-11, 0x1.29e2299b994a1p-11, 0x1.206e2a75d7b88p-11, 0x1.1740f09c66cd3p-11, 0x1.0e58a7c6602fdp-11, 0x1.05b3a3c39b209p-11, 0x1.faa0baca3019dp-12, 0x1.ea5ad23c51d7ep-12, 0x1.da92d70cc75c5p-12, 0x1.cb461ff6bbbc7p-12, 0x1.bc72063cb1759p-12, 0x1.ae13dce473419p-12, 0x1.a028e04c5798fp-12, 0x1.92ae18a928c41p-12, 0x1.85a035d5a99a8p-12, 0x1.78fb75d705f11p-12, 0x1.6cbbaa0c1f89ap-12, 0x1.60dc665dd9492p-12, 0x1.555954ea6a224p-12, 0x1.4a2e9655c64f1p-12, 0x1.3f590c773603ap-12, 0x1.34d670b5b2858p-12, 0x1.2aa52d8339ba5p-12, 0x1.20c40944fd27fp-12, 0x1.1731ce7de996dp-12, 0x1.0ded1b077bb4ap-12, 0x1.04f46bf1e496cp-12, 0x1.f88ca51c2a801p-13, 0x1.e7c343aab8e4dp-13, 0x1.d78ad021e6e43p-13, 0x1.c7e157033ba9p-13, 0x1.b8c40ce804ef1p-13, 0x1.aa2e9be134254p-13, 0x1.9c1ad5e2f014cp-13, 0x1.8e80f56b105c2p-13, 0x1.815869f1d9d26p-13, 0x1.7499033c4ea17p-13, 0x1.683c298c4f70bp-13, 0x1.5c3db33727a76p-13, 0x1.509beef1df276p-13, 0x1.4556c61df6044p-13, 0x1.3a6e5895a86cp-13, 0x1.2fe1d0cde7dcfp-13, 0x1.25af15e68ee84p-13, 0x1.1bd36f0078fdcp-13, 0x1.124c89254902bp-13, 0x1.09191ec56e362p-13, 0x1.0038d8d31de22p-13, 0x1.ef57197002afap-14, 0x1.dee0aa6541acfp-14, 0x1.cf0a1554eb558p-14, 0x1.bfcc9a39367e5p-14, 0x1.b11fcfddea288p-14, 0x1.a2fa3e27be4c2p-14, 0x1.9551b2e021f17p-14, 0x1.881bdfdb782fep-14, 0x1.7b4fcb3df3cafp-14, 0x1.6ee796ab398d1p-14, 0x1.62e14db2f4f63p-14, 0x1.573dd21123d25p-14, 0x1.4bfe6f8596961p-14, 0x1.4122be36291bfp-14, 0x1.36a81d66a1e83p-14, 0x1.2c8ab608df47fp-14, 0x1.22c721c6742a9p-14, 0x1.195bbf03ac546p-14, 0x1.1048a5b0e158p-14, 0x1.078de2ea178f8p-14, 0x1.fe52f35b74226p-15, 0x1.ee2e3f6af3337p-15, 0x1.dea3705967033p-15, 0x1.cfa9f0b4497b1p-15, 0x1.c13c1d86ddf73p-15, 0x1.b3565d021070bp-15, 0x1.a5f4e5d3aa09p-15, 0x1.9911b31d1e1b2p-15, 0x1.8ca402c4181fep-15, 0x1.80a198b4967fdp-15, 0x1.750134e319f38p-15, 0x1.69bd8186916ep-15, 0x1.5ed69e357e135p-15, 0x1.54500dc6c52e8p-15, 0x1.4a2ba5e0e1ec7p-15, 0x1.4065e27281fdfp-15, 0x1.36f88393aa43ep-15, 0x1.2de11fbbe3da4p-15, 0x1.2521d880dad77p-15, 0x1.1cbac98cdcd18p-15, 0x1.14a664d838e04p-15, 0x1.0cdca117dad7ep-15, 0x1.0557106765a1bp-15, 0x1.fc23c1f4a8e8fp-16, 0x1.ee1600b221682p-16, 0x1.e083043f9d611p-16, 0x1.d36b678e63953p-16, 0x1.c6d1ce51c6341p-16, 0x1.bab860b96ac34p-16, 0x1.af1cfda7a8027p-16, 0x1.a3f597cac2695p-16, 0x1.992edd1a44fefp-16, 0x1.8eb3e0c738ba9p-16, 0x1.847e8d4df5705p-16, 0x1.7a9bc3d773b41p-16, 0x1.71179c1c9c2ccp-16, 0x1.67ec0dce90482p-16, 0x1.5f0c7e473d2c6p-16, 0x1.56795578186d6p-16, 0x1.4e39b40413079p-16, 0x1.464b405171b3p-16, 0x1.3ea3630386806p-16, 0x1.3738e0471746ep-16, 0x1.30074fae2092ep-16, 0x1.290d45179f95p-16, 0x1.2249ed090ff13p-16, 0x1.1bbbee143e89ap-16, 0x1.15619d6bac7e6p-16, 0x1.0f3a0f5abb86ep-16, 0x1.0945fd4cdc08ap-16, 0x1.038755982f71dp-16, 0x1.fbff1193895e7p-17, 0x1.f15b16248462dp-17, 0x1.e716154fd78b1p-17, 0x1.dd186936d83a2p-17, 0x1.d3526b396488cp-17, 0x1.c9cc83087e598p-17, 0x1.c0937213d779ap-17, 0x1.b7a1bfb31f16fp-17, 0x1.aeee50a42d7c1p-17, 0x1.a67d370e8799bp-17, 0x1.9e5469a1235d1p-17, 0x1.966e6e09b8504p-17, 0x1.8ec08ba07a27ep-17, 0x1.874470ab3c093p-17, 0x1.7ff872bf2dc02p-17, 0x1.78dc6474ee19cp-17, 0x1.71efdd97bf94ep-17, 0x1.6b31da210c391p-17, 0x1.64a0d335acf7fp-17, 0x1.5e3afe940ece8p-17, 0x1.57fecafbfe82bp-17, 0x1.51eb5d1b9d62cp-17, 0x1.4c0085ad5591bp-17, 0x1.463e397c5fcf2p-17, 0x1.40a4d068f6b1dp-17, 0x1.3b3455850beacp-17, 0x1.35e81d2932a7dp-17, 0x1.30bb670d1a425p-17, 0x1.2baebc35fd672p-17, 0x1.26bc3eee3cbc1p-17, 0x1.21e2e54fcee53p-17, 0x1.1d28db13c7c35p-17, 0x1.188b4d4bcebefp-17, 0x1.140a4557f411ap-17, 0x1.0fa62af71c988p-17, 0x1.0b5b11565920bp-17, 0x1.0726a8a27a58dp-17, 0x1.0308bd77717e4p-17, 0x1.fe02d644a04fap-18, 0x1.f620fc583725ep-18, 0x1.ee6b0a66aba8dp-18, 0x1.e6dfecee8e854p-18, 0x1.df7e8344cf501p-18, 0x1.d845a2404d8b6p-18, 0x1.d1341a19c0a12p-18, 0x1.ca48d3674cb35p-18, 0x1.c382e87eb09eap-18, 0x1.bce15b90f870ep-18, 0x1.b662f60ee751cp-18, 0x1.b008b8b503267p-18, 0x1.a9d5a86eb59b8p-18, 0x1.a3c4b594e8a3cp-18, 0x1.9dd2c6159f471p-18, 0x1.98023f06398fbp-18, 0x1.924ec2da595e7p-18, 0x1.8cbb9bb88aec6p-18, 0x1.8745b77e1c605p-18, 0x1.81e9c0f599756p-18, 0x1.7cade7480f8f9p-18, 0x1.778f7b5e027e7p-18, 0x1.728baa7a32623p-18, 0x1.6da24221e2049p-18, 0x1.68d37995c687ap-18, 0x1.641f2f368a379p-18, 0x1.5f8506a0e822bp-18, 0x1.5b0490f1326ccp-18, 0x1.569d620166b37p-18, 0x1.524f163abe8e1p-18, 0x1.4e194e9ad4f81p-18, 0x1.49fba63fabec3p-18, 0x1.45f5adb9bc75dp-18, 0x1.4206f6e6ffc4fp-18, 0x1.3e2f260073893p-18, 0x1.3a6dd853577fp-18, 0x1.36c27280947d4p-18, 0x1.332d258fd556p-18, 0x1.2fafd0a9847cdp-18, 0x1.2c484ed7ba73fp-18, 0x1.28f330cd55edbp-18, 0x1.25b20c3152c7p-18, 0x1.2289bdc44cc94p-18, 0x1.1f760835a8a2dp-18, 0x1.1c736c36f6e87p-18, 0x1.1983b5b459494p-18, 0x1.16a917eab0989p-18, 0x1.13e1b008706d4p-18, 0x1.112cb8547bf9ep-18, 0x1.0e8a3bb278537p-18, 0x1.0bfa2283408e2p-18, 0x1.097c3466b17c8p-18, 0x1.07102c9a6f549p-18, 0x1.04b5c6518126ap-18, 0x1.026cbcda7b023p-18, 0x1.0034ce2023102p-18, 0x1.fc1b749498c0ep-19, 0x1.f7ee83b1e9834p-19, 0x1.f3e2452b4b9a3p-19, 0x1.eff62c7839857p-19, 0x1.ec29aac769d46p-19, 0x1.e87c3c7e130adp-19, 0x1.e4ed6d72013bcp-19, 0x1.e17cb3386fdd9p-19, 0x1.de295b868042dp-19, 0x1.daf3a229c90a8p-19, 0x1.d7db892bbaeaap-19, 0x1.d4ddd780984a4p-19, 0x1.d1fbb3ea85b62p-19, 0x1.cf3594fdda31ep-19, 0x1.cc8a90ecde1fdp-19, 0x1.c9f95fe6f998ep-19, 0x1.c78089119e79dp-19, 0x1.c521917fd077dp-19, 0x1.c2db4272a304ep-19, 0x1.c0acb8c1c9e1ap-19, 0x1.be95a590ffdc9p-19, 0x1.bc9598b00c872p-19, 0x1.baac107763c7ap-19, 0x1.b8d88804d59f2p-19, 0x1.b71a7aac8498bp-19, 0x1.b5716492bbdb5p-19, 0x1.b3dcc22e8dd3ep-19, 0x1.b25c103dbdc47p-19, 0x1.b0eecbfb73269p-19, 0x1.af947303935cp-19, 0x1.ae4c83127e11bp-19, 0x1.ad1679cf27155p-19, 0x1.abf1d4db74a0fp-19, 0x1.aade1204aa699p-19, 0x1.a9daafe7b1e4dp-19, 0x1.a8e72e781f725p-19, 0x1.a8030c7fbba9ep-19, 0x1.a72dc3e5243fep-19, 0x1.a666dc96668a1p-19, 0x1.a5addc18535d3p-19, 0x1.a50236cbb7344p-19, 0x1.a4637fc1d68a3p-19, 0x1.a3d12122d5bd9p-19, 0x1.a34aa7775079ap-19, 0x1.a2cf9e9fbb34ep-19, 0x1.a25f8876554ffp-19, 0x1.a1f9dd9e304f8p-19, 0x1.a19e2e2690811p-19, 0x1.a14c05dcf7704p-19, 0x1.a102e7395609ap-19, 0x1.a0c258cc8cc01p-19, 0x1.a089e4606eff7p-19, 0x1.a0591477ce2e7p-19, 0x1.a02f73d8c4ed5p-19, 0x1.a00c8ebc57e5ep-19, 0x1.9feff2ac12aa5p-19, 0x1.9fd931e8a4bap-19, 0x1.9fc7d183938bbp-19, 0x1.9fbb674c3c07ep-19, 0x1.9fb388e39eea8p-19, 0x1.9fafc357dbf53p-19, 0x1.9fafaebebf5e1p-19, 0x1.9fb2dff5b0312p-19, 0x1.9fb8ef2a6aff3p-19, 0x1.9fc17452de7f4p-19, 0x1.9fcc01e22088ep-19, 0x1.9fd82fc5a606bp-19, 0x1.9fe5a3867ba91p-19, 0x1.9ff40c805dc9dp-19, 0x1.a002ed4b9bf52p-19, 0x1.a011d661aa0dfp-19, 0x1.a0207bc857bb5p-19, 0x1.a02e922d22cafp-19, 0x1.a03bb4bad6a64p-19, 0x1.a04796dfb4d71p-19, 0x1.a051c5190696ep-19, 0x1.a059d63d1617ap-19, 0x1.a05f94af52435p-19, 0x1.a062b570b2e17p-19, 0x1.a062d8960b4c3p-19, 0x1.a05fab6ec548ep-19, 0x1.a058df1cc138ap-19, 0x1.a04e2637ca86p-19, 0x1.a03f34b9efb85p-19, 0x1.a02bc01c00fcp-19, 0x1.a0137f4da4b94p-19, 0x1.9ff62b44bf7b2p-19, 0x1.9fd37e20255fap-19, 0x1.9fab33db9fd2cp-19, 0x1.9f7d09329f672p-19, 0x1.9f48bd47e859ap-19, 0x1.9f0e121f98fa1p-19, 0x1.9ecd3aec9a112p-19, 0x1.9e84b2406ae38p-19, 0x1.9e3569ee571fbp-19, 0x1.9ddee5e1131cap-19, 0x1.9d80daf6f78c7p-19, 0x1.9d1b1621ab111p-19, 0x1.9cad635d60ecap-19, 0x1.9c37902ce41bdp-19, 0x1.9bb96af8a9fddp-19, 0x1.9b32c4336e85ep-19, 0x1.9aa3641dd61c7p-19, 0x1.9a0b425860e23p-19, 0x1.996a0ed2247a4p-19, 0x1.98bfaeaceb0afp-19, 0x1.980bf885c8484p-19, 0x1.974ec042c6194p-19, 0x1.9687efec4b83ep-19, 0x1.95b75ddb373cep-19, 0x1.94dcac08f9505p-19, 0x1.93f93f193c81fp-19, 0x1.9309b42ef43e1p-19, 0x1.92110219fa27ep-19, 0x1.910dd8eafd84cp-19, 0x1.900038c1aedcfp-19, 0x1.8ee80cba7728dp-19, 0x1.8dc53edc7975ap-19, 0x1.8c97ba6d53f73p-19, 0x1.8b5f6a052c129p-19, 0x1.8a1c3c2f3c64ep-19, 0x1.88ce1f5006b9ap-19, 0x1.8775039546a3bp-19, 0x1.8610da8674eb4p-19, 0x1.84a1970c44dc5p-19, 0x1.83272d5b91c22p-19, 0x1.81a192da4e6b8p-19, 0x1.8010be22dca2cp-19, 0x1.7e74a711d9273p-19, 0x1.7ccd46be92432p-19, 0x1.7b1a979d17eb3p-19, 0x1.795c96284f3f1p-19, 0x1.779340c217ecep-19, 0x1.75be95661f8a3p-19, 0x1.73de8f54dfffep-19, 0x1.71f320d0c8781p-19, 0x1.6ffc72ea8a0d7p-19, 0x1.6dfa73428d75bp-19, 0x1.6bed1a9d9a457p-19, 0x1.69d4792a5bfadp-19, 0x1.67b0914930fcap-19, 0x1.65815b52d0857p-19, 0x1.63470a14a23efp-19, 0x1.6101880a6a6b9p-19, 0x1.5eb0da28eb3e7p-19, 0x1.5c5513d1ecff3p-19, 0x1.59ee45b480632p-19, 0x1.577c873fdef69p-19, 0x1.54ffb4e95662cp-19, 0x1.527813c79fd5ap-19, 0x1.4fe59f628ef43p-19, 0x1.4d48674fda905p-19, 0x1.4aa07d5ab409ap-19, 0x1.47edf69be1415p-19, 0x1.4530c7d25abafp-19, 0x1.42694ff447439p-19, 0x1.3f975ba79bc2bp-19, 0x1.3cbb190ec1f61p-19, 0x1.39d49cb8ebb93p-19, 0x1.36e3fd6dde177p-19, 0x1.33e952695d551p-19, 0x1.30e4deb2e17e2p-19, 0x1.2dd63d18064f2p-19, 0x1.2abdff60cc2dbp-19, 0x1.279c1a996c40fp-19, 0x1.2470aae4c14edp-19, 0x1.213bc75662f8ap-19, 0x1.1dfd8d1883f3p-19, 0x1.1ab619d72a372p-19, 0x1.176586fb7d5dbp-19, 0x1.140bf42343b7fp-19, 0x1.10a97d81a9a82p-19, 0x1.0d3e3b1d1ea51p-19, 0x1.09ca5e3e68b69p-19, 0x1.064df87d4c066p-19, 0x1.02c9285f8ee27p-19, }}, 
      {{0x1.01efb9a056f1fp-1, 0x1.57e97cceb4828p-1, 0x1.aeab75df3afa6p-1, 0x1.f42863b0ffd3ep-1, 0x1.116fd8f8e35eap+0, 0x1.1dd62bf6950d2p+0, 0x1.211d9045a4f46p+0, 0x1.1d8b3d6223d1fp+0, 0x1.1551842fab4a2p+0, 0x1.0a541c2dbc5d9p+0, 0x1.fc2794b029b7ep-1, 0x1.e35deab09c7aap-1, 0x1.cbd8afc6bce48p-1, 0x1.b693565784ed2p-1, 0x1.a415d6cf5ebc9p-1, 0x1.9490fb36a5b42p-1, 0x1.87f6ea75b5d15p-1, 0x1.7e0f7fc9527b5p-1, 0x1.76888775726d2p-1, 0x1.7102419161548p-1, 0x1.6d18abdbc2faap-1, 0x1.6a6a1c6b9085cp-1, 0x1.689bb142e551cp-1, 0x1.675c0c7d1d566p-1, 0x1.6664c4fbd9cb4p-1, 0x1.657ae2e47548bp-1, 0x1.646eaf46391dp-1, 0x1.631b0f80adda6p-1, 0x1.616497f2a0f06p-1, 0x1.5f38767cae2e5p-1, 0x1.5c8b4ca94f16bp-1, 0x1.59580a69c0ac3p-1, 0x1.559ed522d149ap-1, 0x1.516402d2fcb21p-1, 0x1.4caf2dedba3dap-1, 0x1.478a64204df95p-1, 0x1.42017082f752bp-1, 0x1.3c214077893f3p-1, 0x1.35f7619a86e9p-1, 0x1.2f9196ba5065ep-1, 0x1.28fd818c3c9b5p-1, 0x1.22485eb33b615p-1, 0x1.1b7ed1aba5819p-1, 0x1.14acbe57abd4p-1, 0x1.0ddd2e1a727e5p-1, 0x1.071a3e9a89164p-1, 0x1.006d186d752d9p-1, 0x1.f3bbd8421fafbp-2, 0x1.e6e7e8a48d8fap-2, 0x1.da6af76fde01cp-2, 0x1.ce4fcc681c4d9p-2, 0x1.c29f78406c554p-2, 0x1.b7616e4ecb36cp-2, 0x1.ac9ba039d1595p-2, 0x1.a2529ab908b2ap-2, 0x1.9889a2b26fda4p-2, 0x1.8f42d22988cbfp-2, 0x1.867f349699341p-2, 0x1.7e3ee253f5b31p-2, 0x1.76811ae5a1ccbp-2, 0x1.6f445def78229p-2, 0x1.688682bccacc2p-2, 0x1.6244ce4a2e063p-2, 0x1.5c7c07ca1d688p-2, 0x1.57288ba6faad5p-2, 0x1.52465d08e1db6p-2, 0x1.4dd135ea90781p-2, 0x1.49c495cb53d8bp-2, 0x1.461bcf0d139f2p-2, 0x1.42d2130f8ceb2p-2, 0x1.3fe27d19a2694p-2, 0x1.3d481c224ebaep-2, 0x1.3afdfb8b8fb1dp-2, 0x1.38ff2adfb5952p-2, 0x1.3746c4a42925cp-2, 0x1.35cff45117971p-2, 0x1.3495fb7fc6beap-2, 0x1.3394365f221bap-2, 0x1.32c61f7d6b8a1p-2, 0x1.322752f6dd63bp-2, 0x1.31b39115653d4p-2, 0x1.3166c070a78fbp-2, 0x1.313cef97c01bcp-2, 0x1.31325653e7ddbp-2, 0x1.3143568858d59p-2, 0x1.316c7cc325f53p-2, 0x1.31aa807869843p-2, 0x1.31fa44067b162p-2, 0x1.3258d470a4e66p-2, 0x1.32c368f170ff6p-2, 0x1.3337625b81498p-2, 0x1.33b24a51e02bp-2, 0x1.3431d26332e89p-2, 0x1.34b3d310645b8p-2, 0x1.35364aa340ffep-2, 0x1.35b75c14d404ep-2, 0x1.36354dccbc719p-2, 0x1.36ae884066c6bp-2, 0x1.372194cb74352p-2, 0x1.378d1c2d4f1d8p-2, 0x1.37efe52b13abfp-2, 0x1.3848d36235454p-2, 0x1.3896e5ada501p-2, 0x1.38d934e36cccdp-2, 0x1.390ef2b2912c8p-2, 0x1.39376812b83a5p-2, 0x1.3951f417fefc3p-2, 0x1.395e0ae7d97b6p-2, 0x1.395b343d6d6afp-2, 0x1.39490a4a04f8ep-2, 0x1.392738c487838p-2, 0x1.38f57b88cf61cp-2, 0x1.38b39d8572779p-2, 0x1.386177ef323b5p-2, 0x1.37fef10d1499ap-2, 0x1.378bfb37b2fcep-2, 0x1.370894326daaap-2, 0x1.3674c4355e103p-2, 0x1.35d09d02c1a24p-2, 0x1.351c395647512p-2, 0x1.3457bc2902842p-2, 0x1.33834fe1752fcp-2, 0x1.329f25c97fd07p-2, 0x1.31ab757c2a85cp-2, 0x1.30a87c34db699p-2, 0x1.2f967c4833f85p-2, 0x1.2e75bcad7f823p-2, 0x1.2d46887352b23p-2, 0x1.2c092e43d99eep-2, 0x1.2abdffffb0886p-2, 0x1.29655257448dfp-2, 0x1.27ff7c66a94edp-2, 0x1.268cd75cfa089p-2, 0x1.250dbe2eea461p-2, 0x1.23828d4eaa649p-2, 0x1.21eba261928cdp-2, 0x1.20495bfd6e66fp-2, 0x1.1e9c19741780dp-2, 0x1.1ce43a9c66013p-2, 0x1.1b221f962e476p-2, 0x1.1956289b2113fp-2, 0x1.1780b5d8164b6p-2, 0x1.15a2273f384bp-2, 0x1.13badc5a97ea7p-2, 0x1.11cb3429bb47p-2, 0x1.0fd38d037ce9ap-2, 0x1.0dd444744374bp-2, 0x1.0bcdb71cea90ap-2, 0x1.09c040993939ap-2, 0x1.07ac3b6bd61b7p-2, 0x1.059200e872177p-2, 0x1.0371e91c93d37p-2, 0x1.014c4abe47d06p-2, 0x1.fe42f6417ba91p-3, 0x1.f9e39c4fb33a5p-3, 0x1.f57b2c73b09a1p-3, 0x1.f10a4868fc305p-3, 0x1.ec918ecd6380cp-3, 0x1.e8119b1630f42p-3, 0x1.e38b0582d5336p-3, 0x1.defe63101392dp-3, 0x1.da6c45706cc5ep-3, 0x1.d5d53b0a52d62p-3, 0x1.d139cef6b0aa2p-3, 0x1.cc9a88fbaadb8p-3, 0x1.c7f7ed890b29bp-3, 0x1.c3527dbb00299p-3, 0x1.beaab75fa733ep-3, 0x1.ba0114f9ab896p-3, 0x1.b5560dc1fe20fp-3, 0x1.b0aa15ad0b245p-3, 0x1.abfd9d72b7079p-3, 0x1.a7511296c36bfp-3, 0x1.a2a4df710563ep-3, 0x1.9df96b35b295ep-3, 0x1.994f19fe15494p-3, 0x1.94a64cd2a4b14p-3, 0x1.8fff61b789577p-3, 0x1.8b5ab3b92348ep-3, 0x1.86b89af66ee75p-3, 0x1.82196cab4f57bp-3, 0x1.7d7d7b3d507fp-3, 0x1.78e5164a44de2p-3, 0x1.74508ab579e86p-3, 0x1.6fc022b30cf74p-3, 0x1.6b3425d43e72ep-3, 0x1.66acd9154c67cp-3, 0x1.622a7eeb1936dp-3, 0x1.5dad574ff57d4p-3, 0x1.59359fd06212p-3, 0x1.54c3939872fa9p-3, 0x1.50576b80d4428p-3, 0x1.4bf15e1adc0c2p-3, 0x1.47919fbce13e3p-3, 0x1.4338628fbb7ffp-3, 0x1.3ee5d69bfdb8p-3, 0x1.3a9a29d5c8c8cp-3, 0x1.36558827c7acbp-3, 0x1.32181b7efdccep-3, 0x1.2de20bd79e1a7p-3, 0x1.29b37f498cd5ep-3, 0x1.258c9a1369be2p-3, 0x1.216d7ea4ef9b2p-3, 0x1.1d564da9f5a11p-3, 0x1.1947261610ebp-3, 0x1.1540252fe2649p-3, 0x1.1141669b9983bp-3, 0x1.0d4b0464e9647p-3, 0x1.095d17091f50fp-3, 0x1.0577b58179807p-3, 0x1.019af54d5f0c4p-3, 0x1.fb8dd4f840895p-4, 0x1.f3f74f6ccc325p-4, 0x1.ec727c8ee948fp-4, 0x1.e4ff7c4c88c24p-4, 0x1.dd9e6bfd31751p-4, 0x1.d64f6674522dap-4, 0x1.cf1284131355p-4, 0x1.c7e7dad9243b2p-4, 0x1.c0cf7e749ae25p-4, 0x1.b9c98051ad16fp-4, 0x1.b2d5efab456e1p-4, 0x1.abf4d99c2a47ap-4, 0x1.a526492f320bap-4, 0x1.9e6a476d7cbefp-4, 0x1.97c0db6b5442fp-4, 0x1.912a0a55d7985p-4, 0x1.8aa5d78299edbp-4, 0x1.8434447fe1973p-4, 0x1.7dd551233999fp-4, 0x1.7788fb9523826p-4, 0x1.714f405b67a09p-4, 0x1.6b281a64c9af6p-4, 0x1.6513831776d67p-4, 0x1.5f1172607e5e5p-4, 0x1.5921dec14bb1ap-4, 0x1.5344bd5996e5bp-4, 0x1.4d7a01ef77cf5p-4, 0x1.47c19ef8d5f26p-4, 0x1.421b85a801ae7p-4, 0x1.3c87a5fa3c4a5p-4, 0x1.3705eec4df45bp-4, 0x1.31964dbee1ec1p-4, 0x1.2c38af8765ddfp-4, 0x1.26ecffac777f2p-4, 0x1.21b328b4d4743p-4, 0x1.1c8b142cbf36fp-4, 0x1.1774aab32a479p-4, 0x1.126fd4041350dp-4, 0x1.0d7c76ff21dp-4, 0x1.089a79ac6a0b4p-4, 0x1.03c9c14293ebcp-4, 0x1.fe146460bdf6ap-5, 0x1.f4b76051396b3p-5, 0x1.eb7c3c5b7f6d8p-5, 0x1.e262bd34bb4a3p-5, 0x1.d96aa64c83572p-5, 0x1.d093b9d421b99p-5, 0x1.c7ddb8c8e22b7p-5, 0x1.bf48630497d9p-5, 0x1.b6d37752c49afp-5, 0x1.ae7eb38553781p-5, 0x1.a649d484212efp-5, 0x1.9e349656329eap-5, 0x1.963eb42778687p-5, 0x1.8e67e85021e99p-5, 0x1.86afec61011a5p-5, 0x1.7f167934dd8b7p-5, 0x1.779b470311c51p-5, 0x1.703e0d6f13768p-5, 0x1.68fe839287e23p-5, 0x1.61dc6002db2a8p-5, 0x1.5ad758d5f2379p-5, 0x1.53ef23a9a9ac4p-5, 0x1.4d2375aff30c6p-5, 0x1.467403be2dc6cp-5, 0x1.3fe0825c4799ap-5, 0x1.3968a5d0b7983p-5, 0x1.330c2227e1536p-5, 0x1.2ccaab3849d88p-5, 0x1.26a3f4a67fa1cp-5, 0x1.2097b1eb79bbdp-5, 0x1.1aa5965e895cep-5, 0x1.14cd5541be77dp-5, 0x1.0f0ea1ce55754p-5, 0x1.09692f3ea3dd2p-5, 0x1.03dcb0d495befp-5, 0x1.fcd1b3bac7584p-6, 0x1.f21abb691a53cp-6, 0x1.e793df9073555p-6, 0x1.dd3c87405f65fp-6, 0x1.d31419ce151bcp-6, 0x1.c919fee83f269p-6, 0x1.bf4d9ea88305fp-6, 0x1.b5ae61a02ba09p-6, 0x1.ac3bb0dfe78e3p-6, 0x1.a2f4f5fcb7819p-6, 0x1.99d99b150d40dp-6, 0x1.90e90ad8add29p-6, 0x1.8822b094564f9p-6, 0x1.7f85f83fe8cd7p-6, 0x1.77124e8cee6e8p-6, 0x1.6ec720f2f8ca7p-6, 0x1.66a3ddb874102p-6, 0x1.5ea7f3f82665dp-6, 0x1.56d2d3a4b825fp-6, 0x1.4f23ed8c6b421p-6, 0x1.479ab35e99ee7p-6, 0x1.403697b3954a5p-6, 0x1.38f70e165c34fp-6, 0x1.31db8b0eb8df2p-6, 0x1.2ae3842a2a266p-6, 0x1.240e70029cccdp-6, 0x1.1d5bc642b972dp-6, 0x1.16caffa88550ap-6, 0x1.105b960781755p-6, 0x1.0a0d044b7d772p-6, 0x1.03dec67cd26c9p-6, 0x1.fba0b38bd4148p-7, 0x1.efc278f2ff0cbp-7, 0x1.e421dc3151c9ap-7, 0x1.d8bddeaf98d66p-7, 0x1.cd95844455f3ep-7, 0x1.c2a7d337bb099p-7, 0x1.b7f3d4461834bp-7, 0x1.ad7892a1b0701p-7, 0x1.a3351bf5a91dfp-7, 0x1.9928806a71569p-7, 0x1.8f51d2aba0fc1p-7, 0x1.85b027ee50d63p-7, 0x1.7c4297f6f134cp-7, 0x1.73083d1da4933p-7, 0x1.6a003450c9cep-7, 0x1.61299d159589dp-7, 0x1.58839987bdc26p-7, 0x1.500d4e58fb207p-7, 0x1.47c5e2d153912p-7, 0x1.3fac80d0b906ep-7, 0x1.37c054d1c7c0dp-7, 0x1.30008decd6578p-7, 0x1.286c5dda4ae32p-7, 0x1.2102f8f374b3dp-7, 0x1.19c39630e3dbp-7, 0x1.12ad6f26ae8bep-7, 0x1.0bbfbfff39ca6p-7, 0x1.04f9c775bfac6p-7, 0x1.fcb58da428779p-8, 0x1.efc403ce1e978p-8, 0x1.e31d7e27e1a2dp-8, 0x1.d6c08e90ec93ap-8, 0x1.caabcc13f4cccp-8, 0x1.beddd2ef0cbbbp-8, 0x1.b35544951fd6ap-8, 0x1.a810c7a5654c2p-8, 0x1.9d0f07d7eac04p-8, 0x1.924eb5e0d7f2fp-8, 0x1.87ce874f9be12p-8, 0x1.7d8d3670d43bep-8, 0x1.7389823a4bf8ap-8, 0x1.69c22e4633beep-8, 0x1.603602dfa4cf6p-8, 0x1.56e3cd1d39558p-8, 0x1.4dca5f0208a6bp-8, 0x1.44e88f9aa84ap-8, 0x1.3c3d3b0ad9ccap-8, 0x1.33c7428367d6cp-8, 0x1.2b858c1d17e6dp-8, 0x1.2377029c09c94p-8, 0x1.1b9a952620327p-8, 0x1.13ef36fb8da75p-8, 0x1.0c73df41ffe67p-8, 0x1.052788f003605p-8, 0x1.fc1265be24526p-9, 0x1.ee2fc002e12d1p-9, 0x1.e0a52f5de678ep-9, 0x1.d370cbea47d79p-9, 0x1.c690b7a7008bdp-9, 0x1.ba031ea0c5179p-9, 0x1.adc636b4afb02p-9, 0x1.a1d83eed5587cp-9, 0x1.96377e9259cc5p-9, 0x1.8ae2441b4d95bp-9, 0x1.7fd6e43df23f6p-9, 0x1.7513b95090b5fp-9, 0x1.6a972323fb60cp-9, 0x1.605f87619dc15p-9, 0x1.566b525928086p-9, 0x1.4cb8f80d1cc96p-9, 0x1.4346f53c3497ap-9, 0x1.3a13d0247030ap-9, 0x1.311e18c995482p-9, 0x1.286468a586cc1p-9, 0x1.1fe561cafe9d4p-9, 0x1.179fada4cfef1p-9, 0x1.0f91fb9375e1p-9, 0x1.07baffb3b05eep-9, 0x1.0019720fa52cbp-9, 0x1.f1581cc81b1b6p-10, 0x1.e2e3290391d5fp-10, 0x1.d4d1925f6e54ap-10, 0x1.c720eea8c44c2p-10, 0x1.b9cee23a50647p-10, 0x1.acd921b595bbbp-10, 0x1.a03d72b8ccff8p-10, 0x1.93f9ab647fc27p-10, 0x1.880bb0cee412cp-10, 0x1.7c7174c38def1p-10, 0x1.7128f356490d4p-10, 0x1.663030d10143cp-10, 0x1.5b853865ff1e6p-10, 0x1.51261bdaa2ebcp-10, 0x1.4710f421fc1f3p-10, 0x1.3d43e2ad45aa4p-10, 0x1.33bd13135e628p-10, 0x1.2a7abca0ac54cp-10, 0x1.217b23604545fp-10, 0x1.18bc9854db391p-10, 0x1.103d78b2c68dep-10, 0x1.07fc2c49b13c5p-10, 0x1.ffee46f11a4fdp-11, 0x1.f059aa764336fp-11, 0x1.e1377bb604f7bp-11, 0x1.d284bd3c1c2e2p-11, 0x1.c43e7cf8c0d16p-11, 0x1.b661d7363e1e4p-11, 0x1.a8ebfa32425a8p-11, 0x1.9bda296b842a1p-11, 0x1.8f29bfe6b1c6dp-11, 0x1.82d830fadb7a9p-11, 0x1.76e307788cb6dp-11, 0x1.6b47e338d7f51p-11, 0x1.6004754c1d28bp-11, 0x1.55167b449f52fp-11, 0x1.4a7bba617a6b6p-11, 0x1.4031fb98ec3aap-11, 0x1.3637097c75a95p-11, 0x1.2c88b08a9c1acp-11, 0x1.2324c1d92eba5p-11, 0x1.1a09175dabdf2p-11, 0x1.113398c3b00cap-11, 0x1.08a23fcb6c6d7p-11, 0x1.00531b7174037p-11, 0x1.f088a2cd8664bp-12, 0x1.e0e83b3f512b1p-12, 0x1.d1c1a019b4e74p-12, 0x1.c31191edd8a9fp-12, 0x1.b4d4e997309fap-12, 0x1.a70890861ca1cp-12, 0x1.99a97b13cdd7p-12, 0x1.8cb4a58403dd1p-12, 0x1.8027139b13ffdp-12, 0x1.73fdd2207d1fap-12, 0x1.6835f93d4b9edp-12, 0x1.5cccae8d92ab3p-12, 0x1.51bf264b6a122p-12, 0x1.470aa3d816913p-12, 0x1.3cac7a2eec981p-12, 0x1.32a20cd362252p-12, 0x1.28e8d0943dc27p-12, 0x1.1f7e4b4b7f022p-12, 0x1.16601275f4cc4p-12, 0x1.0d8bc9e867202p-12, 0x1.04ff24b3683ebp-12, 0x1.f96fd2bb28851p-13, 0x1.e967f0c2b4b3fp-13, 0x1.d9e2a3e95c4a5p-13, 0x1.cadc301bb96cdp-13, 0x1.bc5116c71172bp-13, 0x1.ae3e093735f73p-13, 0x1.a09fd90daf87cp-13, 0x1.93736c3a231b4p-13, 0x1.86b5b5ff5853fp-13, 0x1.7a63b102cd65ep-13, 0x1.6e7a53df5969ep-13, 0x1.62f67d1ecf6f5p-13, 0x1.57d4db50e8b7dp-13, 0x1.4d11dccebc06ep-13, 0x1.42a9b3f9fe7fep-13, 0x1.389876d86e604p-13, 0x1.2eda55e4d7f71p-13, 0x1.256bda3d76498p-13, 0x1.1c4a14d7ac7bfp-13, 0x1.1372ab3d4a53dp-13, 0x1.0ae3bc14484e9p-13, 0x1.029ba714dcbdcp-13, 0x1.f531a7c38c376p-14, 0x1.e5b326c624c99p-14, 0x1.d6b85082dc26p-14, 0x1.c83dd24b67fc5p-14, 0x1.ba40ba53f9f2dp-14, 0x1.acbe6dbde89dcp-14, 0x1.9fb45220a0e41p-14, 0x1.931f4f969b57dp-14, 0x1.86fb62a6f352dp-14, 0x1.7b436e3f67546p-14, 0x1.6ff16646094cp-14, 0x1.64fed00f7cc7ep-14, 0x1.5a657cb83a419p-14, 0x1.50204a948c50dp-14, 0x1.462ba8422113cp-14, 0x1.3c8598281b8dbp-14, 0x1.332d2361d12c7p-14, 0x1.2a217a6853904p-14, 0x1.21613b3882a9cp-14, 0x1.18ea42f1d13dcp-14, 0x1.10ba149337bffp-14, 0x1.08ce7ab94bbc2p-14, 0x1.0125ed4c62189p-14, 0x1.f37ef904880d3p-15, 0x1.e534b103986a6p-15, 0x1.d76a8857ed4c5p-15, 0x1.ca1c87f3a1bep-15, 0x1.bd454e49423c9p-15, 0x1.b0de89018f447p-15, 0x1.a4e155117044ap-15, 0x1.99466f32d56d1p-15, 0x1.8e0692b0330e5p-15, 0x1.831b579ead77fp-15, 0x1.7880449d108c8p-15, 0x1.6e334841dc8d3p-15, 0x1.64340ede42202p-15, 0x1.5a828a8775118p-15, 0x1.511dadbee2815p-15, 0x1.48031d9f28932p-15, 0x1.3f2fce9f1f3eep-15, 0x1.36a101e3af184p-15, 0x1.2e550f132be8dp-15, 0x1.264b5b4105e62p-15, 0x1.1e8349a54b8ffp-15, 0x1.16fb0c91a4f7ap-15, 0x1.0faf80c41eb27p-15, 0x1.089d101042fb9p-15, 0x1.01c0a9f172889p-15, 0x1.f63048d76d477p-16, 0x1.e943ead216fe2p-16, 0x1.dcb9148948f16p-16, 0x1.d08b5bceed5b4p-16, 0x1.c4b4c7bcf9503p-16, 0x1.b92e90b19f0d2p-16, 0x1.adf29181bfc58p-16, 0x1.a2fcfc400088ep-16, 0x1.984d3d4751691p-16, 0x1.8de4c15578f73p-16, 0x1.83c3ff45268f6p-16, 0x1.79e85614403bap-16, 0x1.704d96766647bp-16, 0x1.66f1d4a0f9381p-16, 0x1.5dd5ccb469677p-16, 0x1.54f9123322e69p-16, 0x1.4c57f88bc27f3p-16, 0x1.43ed6e68bdc27p-16, 0x1.3bb55a234b1e1p-16, 0x1.33ad2aff7c30ep-16, 0x1.2bd35781fe3a5p-16, 0x1.2427040372519p-16, 0x1.1ca80d2f78166p-16, 0x1.1556e81eac3e1p-16, 0x1.0e33e8c0f855ep-16, 0x1.073e2baf5d94p-16, 0x1.00728e967a688p-16, 0x1.f396a40e04889p-17, 0x1.e684984df99fap-17, 0x1.d9ab29f148ae6p-17, 0x1.cd1153b54c7b1p-17, 0x1.c0bd997acac4cp-17, 0x1.b4ac3a52fb315p-17, 0x1.a8d5c572d8edcp-17, 0x1.9d3a2bf767b64p-17, 0x1.91dd2dd23bc3cp-17, 0x1.86bd35e5493e3p-17, 0x1.7bd410860f61ep-17, 0x1.711c55cd1d029p-17, 0x1.66935bf2bb3d4p-17, 0x1.5c382bcad258p-17, 0x1.520a277c236bcp-17, 0x1.4808696ac88fp-17, 0x1.3e31e216ea381p-17, 0x1.3485f0514a788p-17, 0x1.2b04e01016d72p-17, 0x1.21afa94e5e6cep-17, 0x1.1886fdaaa4034p-17, 0x1.0f8a2ccfdcce5p-17, 0x1.06b59a9305925p-17, 0x1.fc054c408981ap-18, 0x1.ead9e610abd94p-18, 0x1.d9ed9a8a92666p-18, 0x1.c9475d380d3f1p-18, 0x1.b8e419c9060e7p-18, 0x1.a8bebdbe1fd7cp-18, 0x1.98d9701abe6bp-18, 0x1.89376a14c907dp-18, 0x1.79d5a38cc88c3p-18, 0x1.6aae3309d14c9p-18, 0x1.5bbd9af103844p-18, 0x1.4d02ee56d0e91p-18, 0x1.3e7e13908f7cdp-18, 0x1.302ed1f471bbbp-18, 0x1.22149cbac4196p-18, 0x1.142ea0008852p-18, 0x1.067be4afa1cb1p-18, 0x1.f1f7280ce6da3p-19, 0x1.d75a754710629p-19, 0x1.bd2182da6493ap-19, 0x1.a34c471a20842p-19, 0x1.89db241541a5ap-19, 0x1.70ce26a806fd2p-19, 0x1.582040868a5cap-19, 0x1.3fcc57af241adp-19, 0x1.27d30e130ac43p-19, 0x1.102e2730d5265p-19, 0x1.f1b92c86c047p-20, 0x1.c3c9e76a66f1cp-20, 0x1.96885e5a7228ep-20, 0x1.69f4afa82496p-20, 0x1.3e0fccc9c2015p-20, 0x1.12d15980c721ap-20, 0x1.d068c28b8046fp-21, 0x1.7c70dc3e8b403p-21, 0x1.29bb639cad7e4p-21, 0x1.b08ed1bb7bfcdp-22, 0x1.1025e02a21adcp-22, 0x1.c8dc7323ac791p-24, -0x1.4a14c85dca7ffp-25, -0x1.84993e16b42fap-23, -0x1.58ec72c3caddep-22, -0x1.ed2733cbc07bfp-22, -0x1.3f809dc34b5abp-21, -0x1.873fab54d518fp-21, -0x1.cdd3a19d8dd8dp-21, -0x1.099d69fb0b418p-20, -0x1.2bb7c1fda4d5bp-20, -0x1.4d3e61044c578p-20, -0x1.6e34bb9520631p-20, -0x1.8e989f33686c6p-20, -0x1.ae6eb0d9c2ae1p-20, -0x1.cdb3f39f73a4bp-20, -0x1.ec6be31793ccbp-20, -0x1.054d067998b32p-19, -0x1.141c70b0a828bp-19, -0x1.22a58e10ec8c4p-19, -0x1.30ea0ddd9eea7p-19, -0x1.3eea3dbd93cbdp-19, -0x1.4ca63756fa067p-19, -0x1.5a1e42c3b74bdp-19, -0x1.6752c76811d16p-19, -0x1.744437b52f4d6p-19, -0x1.80f306bdf40f6p-19, -0x1.8d5fa54bc9b96p-19, -0x1.998a840aab95fp-19, -0x1.a574185bf57e7p-19, -0x1.b11cde32e4b75p-19, -0x1.bc85520d7ca4bp-19, -0x1.c7ade8940cbbcp-19, -0x1.d2971bbf6ce09p-19, -0x1.dd4181cdcc3c5p-19, -0x1.e7ad505e7fc9dp-19, -0x1.f1d9f5aff7d0fp-19, -0x1.fbc8cb942049ep-19, -0x1.02bddfe159082p-18, -0x1.0779335e3bc16p-18, -0x1.0c156a426213bp-18, -0x1.1093acc8f9fb4p-18, -0x1.14f4f7111e0f8p-18, -0x1.193909aac4ab2p-18, -0x1.1d5f92125a734p-18, -0x1.21692dbfd1ba6p-18, -0x1.2556395507095p-18, -0x1.2926e1e5b1c09p-18, -0x1.2cdb5cffb066dp-18, -0x1.3073e844aff1bp-18, -0x1.33f0c48fd24dbp-18, -0x1.37523355fd9a5p-18, -0x1.3a98766a2ecd2p-18, -0x1.3dc3cf83e7277p-18, -0x1.40d4804ecd6d9p-18, -0x1.43cacad176bd1p-18, -0x1.46a6f20e5351ep-18, -0x1.49693a3fac96fp-18, -0x1.4c11e82aed2bdp-18, -0x1.4ea13fab91c5ep-18, -0x1.5117834cc8672p-18, -0x1.5374f85c59481p-18, -0x1.55b9e8ab2b294p-18, -0x1.57e68526faa0fp-18, -0x1.59fb04f57be65p-18, -0x1.5bf7f642ac292p-18, -0x1.5ddd71d1f658p-18, -0x1.5faba4896f45cp-18, -0x1.6162def52e93bp-18, -0x1.63037b50d21dep-18, -0x1.648dd95e02e8cp-18, -0x1.660209fc8a418p-18, -0x1.676066514a435p-18, -0x1.68a93ef2d8948p-18, -0x1.69dcd5457cc2fp-18, -0x1.6afb6e2bf0ee5p-18, -0x1.6c055060973dap-18, -0x1.6cfac2f9f576cp-18, -0x1.6ddc0d0caa438p-18, -0x1.6ea975996eb26p-18, -0x1.6f63439467b5cp-18, -0x1.7009bde336624p-18, -0x1.709d2b541d003p-18, -0x1.711dd29e178bcp-18, -0x1.718bfa632c04ap-18, -0x1.71e7e932bfef1p-18, -0x1.7231e583daa3bp-18, -0x1.726a35ad5a2e1p-18, -0x1.72911fd2b28f9p-18, -0x1.72a6e9d47b3ap-18, -0x1.72abd98bca473p-18, -0x1.72a03521daa16p-18, -0x1.72844138264dep-18, -0x1.725842810955bp-18, -0x1.721c7f20bbb97p-18, -0x1.71d13a1e578e7p-18, -0x1.7176ba2acb002p-18, -0x1.710d426d5d7a1p-18, -0x1.7095160c3471fp-18, -0x1.700e78a8a4f05p-18, -0x1.6f79aeaa332adp-18, -0x1.6ed6f9f35b011p-18, -0x1.6e269c88b365ep-18, -0x1.6d68d909dfca4p-18, -0x1.6c9df16a23437p-18, -0x1.6bc627067429cp-18, -0x1.6ae1badaad8a7p-18, -0x1.69f0ed8c06419p-18, -0x1.68f3ff4c595f6p-18, -0x1.67eb2fdc99ec5p-18, -0x1.66d6be59423f7p-18, -0x1.65b6ea4733b67p-18, -0x1.648bf1cdfde75p-18, -0x1.635612ad8e3ddp-18, -0x1.62158ad454147p-18, -0x1.60ca96ffffbe8p-18, -0x1.5f7573c8b5f11p-18, -0x1.5e165d231ee34p-18, -0x1.5cad8ea62472cp-18, -0x1.5b3b43f02a0dp-18, -0x1.59bfb7d5e5db6p-18, -0x1.583b2391f1898p-18, -0x1.56adbf026c4a2p-18, -0x1.5517c5b6ff7d2p-18, -0x1.5379719080dep-18, -0x1.51d2f8cce3e05p-18, -0x1.5024913696f46p-18, -0x1.4e6e727d31071p-18, -0x1.4cb0d1b20d834p-18, -0x1.4aebe6ff5f55cp-18, -0x1.491fe933fe503p-18, -0x1.474d0a0a2573fp-18, -0x1.45737cbcded98p-18, -0x1.439375fcfd0c7p-18, -0x1.41ad28db05b39p-18, -0x1.3fc0c7a0735d6p-18, -0x1.3dce8405dba6bp-18, -0x1.3bd68f3459893p-18, -0x1.39d919c2ae5e5p-18, -0x1.37d653b48f2b7p-18, -0x1.35ce6c74343e5p-18, -0x1.33c192d9812adp-18, -0x1.31aff52591217p-18, -0x1.2f99c112ef2e7p-18, -0x1.2d7f23b7d97c4p-18, -0x1.2b6049817cab7p-18, -0x1.293d596cf87ecp-18, -0x1.27168d33b245ep-18, -0x1.24ec0282f5199p-18, -0x1.22bde653d5f98p-18, -0x1.208c633a0894dp-18, -0x1.1e57a20725e1bp-18, -0x1.1c1fcb2234addp-18, -0x1.19e50660d76fap-18, -0x1.17a77b142f11fp-18, -0x1.15674feec6f64p-18, -0x1.1324ab61363eep-18, -0x1.10dfb16e6836p-18, -0x1.0e9888b5245aep-18, -0x1.0c4f54e39ceb8p-18, -0x1.0a0439f41873bp-18, -0x1.07b75bae64b49p-18, -0x1.0568db7450751p-18, -0x1.0318dc12bfe1dp-18, -0x1.00c782533aaf5p-18, -0x1.fce9b4e3c9e5bp-19, -0x1.f842639997fdcp-19, -0x1.f398fbc8dac0dp-19, -0x1.eeeddd604a2e3p-19, -0x1.ea4143334d38fp-19, -0x1.e593696e26104p-19, -0x1.e0e48b6cac902p-19, -0x1.dc34e37c0a8a1p-19, -0x1.d784ab1ef5f42p-19, -0x1.d2d41a78e7442p-19, -0x1.ce2368d112b3p-19, -0x1.c972cc594eec1p-19, -0x1.c4c27a3b96161p-19, -0x1.c012a69aa614ap-19, -0x1.bb63849738c4cp-19, -0x1.b6b5465626d7dp-19, -0x1.b2081d01595d2p-19, -0x1.ad5c38c66eba5p-19, -0x1.a8b1c8d9b42c9p-19, -0x1.a408fb71b0641p-19, -0x1.9f61fdab5e9a5p-19, -0x1.9abcfb915a98ep-19, -0x1.961a2082ce2b5p-19, -0x1.9179979aabcfdp-19, -0x1.8cdb8cc26cb15p-19, -0x1.884021c9750d4p-19, -0x1.83a781f64f16p-19, -0x1.7f11d5ec18be1p-19, -0x1.7a7f41a25c2abp-19, -0x1.75efeaaebea33p-19, -0x1.7163f7b1e4626p-19, -0x1.6cdb84a6263a3p-19, -0x1.6856b9287a8dap-19, -0x1.63d5b7a48bfa6p-19, -0x1.5f589f5fe02b4p-19, -0x1.5adf8fb79d986p-19, -0x1.566aa68d68e9fp-19, -0x1.51fa080312bebp-19, -0x1.4d8dcb30a661bp-19, -0x1.49260f2b17cf4p-19, -0x1.44c2eff62d7d6p-19, -0x1.406488963387ap-19, -0x1.3c0af623a34fep-19, -0x1.37b6496ec8605p-19, -0x1.3366a7c28cff6p-19, -0x1.2f1c215ebdce6p-19, -0x1.2ad6cff788577p-19, -0x1.2696ca10fd34p-19, -0x1.225c25d7fa1f8p-19, -0x1.1e26f8c1dd9fdp-19, -0x1.19f7531c209b2p-19, -0x1.15cd55e67c5e5p-19, -0x1.11a9083f6d1d8p-19, -0x1.0d8a80963fe6cp-19, -0x1.0971d0f6b131bp-19, -0x1.055f0b38ca7fep-19, -0x1.01524019e62b4p-19, -0x1.fa96ff4a2cdb1p-20, -0x1.f295b3df037a8p-20, -0x1.eaa0bb705c01p-20, -0x1.e2b8336f3ad3ep-20, -0x1.dadc39b6c2a29p-20, -0x1.d30ce2b346363p-20, -0x1.cb4a4c75127b4p-20, -0x1.c3948fc3cfda4p-20, }}, 
      {{0x1.21997a3e3be56p-1, 0x1.210aec6553e83p-1, 0x1.201e85e71dc98p-1, 0x1.1ed60528b2c0ep-1, 0x1.1d33c78a63096p-1, 0x1.1b3ab87b9c508p-1, 0x1.18ee3e8a9d5ccp-1, 0x1.1652278fc926fp-1, 0x1.136a94da97966p-1, 0x1.103be80d3603dp-1, 0x1.0ccab121788c8p-1, 0x1.091b9de7a1a2p-1, 0x1.05336b2dbd9a4p-1, 0x1.0116d7a426e49p-1, 0x1.f995310013744p-2, 0x1.f0a69f9cd6fb8p-2, 0x1.e76b08c07825p-2, 0x1.ddeb3662bb048p-2, 0x1.d42fa45191657p-2, 0x1.ca40781c50ab8p-2, 0x1.c0257b224f18dp-2, 0x1.b5e6167f6205p-2, 0x1.ab895094618c8p-2, 0x1.a115cbeea7e6ap-2, 0x1.9691c756d4326p-2, 0x1.8c031ed4c6fb5p-2, 0x1.816f4d7c66456p-2, 0x1.76db6fdc2f47bp-2, 0x1.6c4c46eb8ff12p-2, 0x1.61c63b5bbcabap-2, 0x1.574d6131c5a11p-2, 0x1.4ce57b9468b91p-2, 0x1.429200bb49d39p-2, 0x1.38561df00c106p-2, 0x1.2e34bb9425de8p-2, 0x1.2430812069293p-2, 0x1.1a4bd914f67ep-2, 0x1.1088f4d1edae8p-2, 0x1.06e9d0528189p-2, 0x1.fae06b8a8d987p-3, 0x1.e83b81fb50f93p-3, 0x1.d5e7c576afd72p-3, 0x1.c3e7c78adc5e3p-3, 0x1.b23dcfaf5e829p-3, 0x1.a0ebe0c22a273p-3, 0x1.8ff3be26ca067p-3, 0x1.7f56f08836a88p-3, 0x1.6f16ca3ef9753p-3, 0x1.5f346b5e055d3p-3, 0x1.4fb0c56977252p-3, 0x1.408c9ebb09491p-3, 0x1.31c8959886fcep-3, 0x1.23652300ee111p-3, 0x1.15629d353cefbp-3, 0x1.07c13a021f888p-3, 0x1.f502219f6f688p-4, 0x1.db4438f9a8e6p-4, 0x1.c2487a159943ep-4, 0x1.aa0e723e4ca8ap-4, 0x1.92957ebfc91d6p-4, 0x1.7bdccf5e86352p-4, 0x1.65e3689672a8p-4, 0x1.50a825a9e8ba4p-4, 0x1.3c29ba88154f8p-4, 0x1.2866b591ccaeap-4, 0x1.155d8143026acp-4, 0x1.030c65c671e34p-4, 0x1.e2e314f0a96a6p-5, 0x1.c115eeb8b07c4p-5, 0x1.a0ad2d14bc968p-5, 0x1.81a46b2a012dcp-5, 0x1.63f70dd86baa7p-5, 0x1.47a0467bec3ccp-5, 0x1.2c9b15ac7f912p-5, 0x1.12e24dfee3ddfp-5, 0x1.f4e12d8e2d44bp-6, 0x1.c680ddba256edp-6, 0x1.9a985ec7651a8p-6, 0x1.711c1d222a2a7p-6, 0x1.4a0044ef0ea2dp-6, 0x1.2538c79b26ca7p-6, 0x1.02b9616747667p-6, 0x1.c4eb3dd5b5dffp-7, 0x1.88c1c514ff337p-7, 0x1.50dcd3bceedcp-7, 0x1.1d22a609f34a2p-7, 0x1.daf28771da4d1p-8, 0x1.838d1487f7d79p-8, 0x1.33e06dc0c8e17p-8, 0x1.d76fc0db04edcp-9, 0x1.55bd3f3d27c04p-9, 0x1.c47f5964f098bp-10, 0x1.f235c901cf75p-11, 0x1.21e96c6ebe318p-12, -0x1.38d1777fe8237p-12, -0x1.9784f53307f1bp-11, -0x1.31000e1473928p-10, -0x1.7ebbd3218cfb3p-10, -0x1.b5c2f87e7e6a3p-10, -0x1.d6e0f0258f6bap-10, -0x1.e2df41cb51dc3p-10, -0x1.da8560835755cp-10, -0x1.be9883819c807p-10, -0x1.8fdb81e997d35p-10, -0x1.4f0eb19a7346p-10, -0x1.f9df91c6b5a34p-11, -0x1.3473861331b4p-11, -0x1.3d263c383ebe9p-13, 0x1.6867b06347bdcp-12, 0x1.d4a02fb48dd17p-11, 0x1.884e8a8dd286fp-10, 0x1.19b49862dd217p-9, 0x1.757b90d1adafp-9, 0x1.d72954cd74083p-9, 0x1.1f3654d328dd5p-8, 0x1.557afba478d02p-8, 0x1.8e3ba5770c277p-8, 0x1.c9522c8130121p-8, 0x1.034c9f9516f21p-7, 0x1.22f63025cc39bp-7, 0x1.4393f391e55e2p-7, 0x1.65147f800b3dp-7, 0x1.8766d35269d81p-7, 0x1.aa7a57bcbb933p-7, 0x1.ce3ede3f131a7p-7, 0x1.f2a4a088400e5p-7, 0x1.0bce1fe118a1ap-6, 0x1.1e8b61e553991p-6, 0x1.3182cd2d55d8cp-6, 0x1.44ad4b0f4e4bcp-6, 0x1.5803f6e06c83cp-6, 0x1.6b801d74584c6p-6, 0x1.7f1b3c97a8882p-6, 0x1.92cf028611018p-6, 0x1.a6954d5ce6376p-6, 0x1.ba682a8a9dec7p-6, 0x1.ce41d63bcd3e4p-6, 0x1.e21cbac629f92p-6, 0x1.f5f37011f3c7bp-6, 0x1.04e05d811387dp-5, 0x1.0ebfc66de316fp-5, 0x1.1895815647d0ep-5, 0x1.225f3258ae7a7p-5, 0x1.2c1a92de25badp-5, 0x1.35c5714d75fcap-5, 0x1.3f5db0be4b9b9p-5, 0x1.48e148ac80bbfp-5, 0x1.524e44ab96481p-5, 0x1.5ba2c41a58e8bp-5, 0x1.64dcf9d6befd2p-5, 0x1.6dfb2bf202633p-5, 0x1.76fbb364f82cbp-5, 0x1.7fdcfbc49e82ep-5, 0x1.889d82f6e986p-5, 0x1.913bd8e7bd34ep-5, 0x1.99b69f3e1f46dp-5, 0x1.a20c891197769p-5, 0x1.aa3c5a9fb7e9cp-5, 0x1.b244e901c4e87p-5, 0x1.ba2519e27b8b4p-5, 0x1.c1dbe333f1bebp-5, 0x1.c9684ae587298p-5, 0x1.d0c96699ea21dp-5, 0x1.d7fe5b5d1ca1cp-5, 0x1.df065d5a84d8ap-5, 0x1.e5e0af92f766cp-5, 0x1.ec8ca392c6867p-5, 0x1.f3099927cb398p-5, 0x1.f956fe17649dp-5, 0x1.ff744dd472a9ep-5, 0x1.02b0889aa19e7p-4, 0x1.058e6f14bc919p-4, 0x1.0853abb7f5b4bp-4, 0x1.0b00162641475p-4, 0x1.0d938c1f04b3p-4, 0x1.100df15a01cd4p-4, 0x1.126f2f623f755p-4, 0x1.14b73570f82dcp-4, 0x1.16e5f8488d75bp-4, 0x1.18fb720f841adp-4, 0x1.1af7a22b8abfbp-4, 0x1.1cda8d1c8deddp-4, 0x1.1ea43c57dd651p-4, 0x1.2054be236877p-4, 0x1.21ec257111138p-4, 0x1.236a89ba1f349p-4, 0x1.24d006dad231ep-4, 0x1.261cbcee186e2p-4, 0x1.2750d0296fa7ep-4, 0x1.286c68b8f4f73p-4, 0x1.296fb29ba4a4dp-4, 0x1.2a5add7fd577cp-4, 0x1.2b2e1c9fec7b5p-4, 0x1.2be9a69f5317cp-4, 0x1.2c8db567af505p-4, 0x1.2d1a860667a7p-4, 0x1.2d90588a7386dp-4, 0x1.2def6fe2812dap-4, 0x1.2e3811bb70341p-4, 0x1.2e6a865f28cbdp-4, 0x1.2e871893d1fdp-4, 0x1.2e8e157b6bd03p-4, 0x1.2e7fcc73d0355p-4, 0x1.2e5c8ef721de4p-4, 0x1.2e24b07caa1afp-4, 0x1.2dd8865a2a4a2p-4, 0x1.2d7867a5a490ep-4, 0x1.2d04ad179d405p-4, 0x1.2c7db0eddb6c7p-4, 0x1.2be3cecea8005p-4, 0x1.2b3763ac922bp-4, 0x1.2a78cdaab8f9p-4, 0x1.29a86c019eacbp-4, 0x1.28c69ee4868a5p-4, 0x1.27d3c7675f60dp-4, 0x1.26d047653e53bp-4, 0x1.25bc816767708p-4, 0x1.2498d88ced34fp-4, 0x1.2365b072e0b07p-4, 0x1.22236d1d19a4fp-4, 0x1.20d272df934f3p-4, 0x1.1f73264862695p-4, 0x1.1e05ec0a40e3p-4, 0x1.1c8b28e7b2d3ep-4, 0x1.1b03419ec5b6fp-4, 0x1.196e9ad5663c4p-4, 0x1.17cd990652dap-4, 0x1.1620a06ea49a4p-4, 0x1.146814fbf3f3bp-4, 0x1.12a45a3b12fdbp-4, 0x1.10d5d34762fb9p-4, 0x1.0efce2babc454p-4, 0x1.0d19ea9df31cap-4, 0x1.0b2d4c59ebb5dp-4, 0x1.093768a9474cdp-4, 0x1.07389f8aa25dfp-4, 0x1.05315033672b9p-4, 0x1.0321d9032d009p-4, 0x1.010a9777aa853p-4, 0x1.fdd7d04265678p-5, 0x1.f98c4d2f7bacep-5, 0x1.f5335ae0fafebp-5, 0x1.f0cdac67ed1c1p-5, 0x1.ec5bf2a944fb3p-5, 0x1.e7dedc4c2c18bp-5, 0x1.e35715a94bb1bp-5, 0x1.dec548bb1d869p-5, 0x1.da2a1d0f3016dp-5, 0x1.d58637b865612p-5, 0x1.d0da3b421fd4fp-5, 0x1.cc26c7a45c69cp-5, 0x1.c76c7a38b817cp-5, 0x1.c2abedb04e674p-5, 0x1.bde5ba0a82ae2p-5, 0x1.b91a748c9721p-5, 0x1.b44aafba1bed6p-5, 0x1.af76fb4e2a64ap-5, 0x1.aa9fe4356b855p-5, 0x1.a5c5f488def9ap-5, 0x1.a0e9b389617cep-5, 0x1.9c0ba59beec94p-5, 0x1.972c4c469047bp-5, 0x1.924c262e0638ep-5, 0x1.8d6baf140d70cp-5, 0x1.888b5fd6522dcp-5, 0x1.83abae6dfc56fp-5, 0x1.7ecd0defd95a7p-5, 0x1.79efee8d1599ap-5, 0x1.7514bd948aa97p-5, 0x1.703be5748f0d2p-5, 0x1.6b65cdbd5632cp-5, 0x1.6692db23c8104p-5, 0x1.61c36f84d4f36p-5, 0x1.5cf7e9e9441d5p-5, 0x1.5830a689ef168p-5, 0x1.536dfed46a143p-5, 0x1.4eb049701808ep-5, 0x1.49f7da4398c68p-5, 0x1.4545027aa1bcdp-5, 0x1.4098108c25e1dp-5, 0x1.3bf15040dad73p-5, 0x1.37510aba09b57p-5, 0x1.32b78678af5b2p-5, 0x1.2e250764e7ad8p-5, 0x1.2999ced597d3fp-5, 0x1.25161b9861a28p-5, 0x1.209a29f9c8466p-5, 0x1.1c2633cd97cc5p-5, 0x1.17ba70777bcc4p-5, 0x1.135714f3ca824p-5, 0x1.0efc53e07cefep-5, 0x1.0aaa5d864ca42p-5, 0x1.06615fe2004e6p-5, 0x1.022186add693ap-5, 0x1.fbd5f6d626bdcp-6, 0x1.f37bcad74ba55p-6, 0x1.eb34d3b7e0b65p-6, 0x1.e30157993da75p-6, 0x1.dae19879330b2p-6, 0x1.d2d5d44604036p-6, 0x1.cade44f281b9bp-6, 0x1.c2fb208a46834p-6, 0x1.bb2c9945f6a5ep-6, 0x1.b372dd9fa0133p-6, 0x1.abce18670f95ap-6, 0x1.a43e70d63b19fp-6, 0x1.9cc40aa5a6574p-6, 0x1.955f0620bf059p-6, 0x1.8e0f803a3be51p-6, 0x1.86d592a066a89p-6, 0x1.7fb153d157198p-6, 0x1.78a2d72f23ad5p-6, 0x1.71aa2d13eab31p-6, 0x1.6ac762e5d5dfbp-6, 0x1.63fa832aed4cap-6, 0x1.5d43959cddcb5p-6, 0x1.56a29f3c8639ap-6, 0x1.5017a26573f2ap-6, 0x1.49a29ee127a79p-6, 0x1.434391fa37be9p-6, 0x1.3cfa768f443fp-6, 0x1.36c74525b8145p-6, 0x1.30a9f3fc5a765p-6, 0x1.2aa2771dae5bcp-6, 0x1.24b0c0721b096p-6, 0x1.1ed4bfd1de722p-6, 0x1.190e6316c5e35p-6, 0x1.135d962dac48fp-6, 0x1.0dc24327bf727p-6, 0x1.083c524b8331ap-6, 0x1.02cbaa25a0678p-6, 0x1.fae05f32ceb94p-7, 0x1.f0538be23505ap-7, 0x1.e5f09ddbf6936p-7, 0x1.dbb755b01b891p-7, 0x1.d1a7711b2912ap-7, 0x1.c7c0ab24bf0d3p-7, 0x1.be02bc3d72127p-7, 0x1.b46d5a5c56b4bp-7, 0x1.ab00391bd2f3fp-7, 0x1.a1bb09d601ed1p-7, 0x1.989d7bc083c3p-7, 0x1.8fa73c07c5032p-7, 0x1.86d7f5e9b7e57p-7, 0x1.7e2f52cfff673p-7, 0x1.75acfa6998eb2p-7, 0x1.6d5092c3eddabp-7, 0x1.6519c06360fc1p-7, 0x1.5d08265b496a1p-7, 0x1.551b666577549p-7, 0x1.4d5320f908d41p-7, 0x1.45aef560e1dabp-7, 0x1.3e2e81d1757d7p-7, 0x1.36d1637e1cadep-7, 0x1.2f9736addd1ebp-7, 0x1.287f96cfab707p-7, 0x1.218a1e8e29a42p-7, 0x1.1ab667e2e1664p-7, 0x1.14040c28f035p-7, 0x1.0d72a42f462bap-7, 0x1.0701c84a51e09p-7, 0x1.00b1106534362p-7, 0x1.f5002824e48acp-8, 0x1.e8dcd5386bfa3p-8, 0x1.dcf75627fb073p-8, 0x1.d14ed8c3d1007p-8, 0x1.c5e28aa6f7c98p-8, 0x1.bab19953fa92ep-8, 0x1.afbb325087092p-8, 0x1.a4fe8340667a2p-8, 0x1.9a7ab9ff51f59p-8, 0x1.902f04ba12016p-8, 0x1.861a9206b38d7p-8, 0x1.7c3c90fbe2c31p-8, 0x1.729431476e805p-8, 0x1.6920a343fc18cp-8, 0x1.5fe1180df0fcbp-8, 0x1.56d4c19780d43p-8, 0x1.4dfad2bc0ec5bp-8, 0x1.45527f52acff3p-8, 0x1.3cdafc3ff35cdp-8, 0x1.34937f870f9e6p-8, 0x1.2c7b405a155dep-8, 0x1.24917729a7ac1p-8, 0x1.1cd55db3ea97p-8, 0x1.15462f12bedbdp-8, 0x1.0de327c960881p-8, 0x1.06ab85d156873p-8, 0x1.ff3d114d7b9d5p-9, 0x1.f176e2a7f1c3fp-9, 0x1.e40304f998415p-9, 0x1.d6e000d181bccp-9, 0x1.ca0c621a5970bp-9, 0x1.bd86b82cc3bccp-9, 0x1.b14d95e1298a7p-9, 0x1.a55f919fe9dd1p-9, 0x1.99bb45711beb5p-9, 0x1.8e5f4f0aa0dffp-9, 0x1.834a4fddbb724p-9, 0x1.787aed2364ebbp-9, 0x1.6defcfe7c0ffbp-9, 0x1.63a7a514aa449p-9, 0x1.59a11d7b6e614p-9, 0x1.4fdaeddd6d60ep-9, 0x1.4653cef42227bp-9, 0x1.3d0a7d783e776p-9, 0x1.33fdba27ce20cp-9, 0x1.2b2c49cc0773ep-9, 0x1.2294f53dd13d7p-9, 0x1.1a368969e91p-9, 0x1.120fd7544484ep-9, 0x1.0a1fb41aa2c2dp-9, 0x1.0264f8f6a22b2p-9, 0x1.f5bd067e17db6p-10, 0x1.e71668d146664p-10, 0x1.d8d3e40c6d20fp-10, 0x1.caf34b9081c78p-10, 0x1.bd727af7dda15p-10, 0x1.b04f561308b92p-10, 0x1.a387c8e4cc6f6p-10, 0x1.9719c79d29326p-10, 0x1.8b034e932f5b8p-10, 0x1.7f42623e08e33p-10, 0x1.73d50f2d65736p-10, 0x1.68b96a008df48p-10, 0x1.5ded8f5ceb5cfp-10, 0x1.536fa3e3e37e5p-10, 0x1.493dd427c6012p-10, 0x1.3f5654a000bb2p-10, 0x1.35b7619ceb4fdp-10, 0x1.2c5f3f3a81394p-10, 0x1.234c3952d2a1ep-10, 0x1.1a7ca36fbc985p-10, 0x1.11eed8bc17e77p-10, 0x1.09a13bf45e91ep-10, 0x1.01923756cde99p-10, 0x1.f38079263513ep-11, 0x1.e45389732f647p-11, 0x1.d59aa05411365p-11, 0x1.c752cd0434a21p-11, 0x1.b9792d1685ef2p-11, 0x1.ac0aec5122cf9p-11, 0x1.9f054487d4dfp-11, 0x1.92657d762bc1ap-11, 0x1.8628ec9905cbep-11, 0x1.7a4cf50776151p-11, 0x1.6ecf074b70e55p-11, 0x1.63aca139a9df4p-11, 0x1.58e34dc94319dp-11, 0x1.4e70a4eae8f58p-11, 0x1.44524b603d6ecp-11, 0x1.3a85f291d7c5bp-11, 0x1.3109586617d19p-11, 0x1.27da47176648dp-11, 0x1.1ef6950999098p-11, 0x1.165c24a04eda4p-11, 0x1.0e08e4143b26ep-11, 0x1.05facd48eb8fep-11, 0x1.fc5fcb449b7f4p-12, 0x1.ed4c7bb3a5b0ap-12, 0x1.deb7e3a84b671p-12, 0x1.d09e50ecc7dc4p-12, 0x1.c2fc26f7062dcp-12, 0x1.b5cdde93de925p-12, 0x1.a910059279d61p-12, 0x1.9cbf3e6e73492p-12, 0x1.90d83ffcec213p-12, 0x1.8557d517261a1p-12, 0x1.7a3adc471763fp-12, 0x1.6f7e47738652ap-12, 0x1.651f1b8da1274p-12, 0x1.5b1a703d385f4p-12, 0x1.516d6f8f34f8dp-12, 0x1.481555a37f7ffp-12, 0x1.3f0f705b11e42p-12, 0x1.36591f0872c06p-12, 0x1.2defd21de96b1p-12, 0x1.25d10adf55d18p-12, 0x1.1dfa5b11ef0c6p-12, 0x1.166964ae92935p-12, 0x1.0f1bd993a1f3dp-12, 0x1.080f7b37f08bcp-12, 0x1.01421a5e84095p-12, 0x1.f5632d95a9a25p-13, 0x1.e8b7bdeb50d6dp-13, 0x1.dc7ddf866ecd9p-13, 0x1.d0b1a87305f2bp-13, 0x1.c54f4a6e8b1aap-13, 0x1.ba5312598d155p-13, 0x1.afb967a7964a8p-13, 0x1.a57ecbd52e7d9p-13, 0x1.9b9fd9da376bcp-13, 0x1.921945a21319fp-13, 0x1.88e7db83e60ep-13, 0x1.80087fbc6fc26p-13, 0x1.77782de95d666p-13, 0x1.6f33f88757945p-13, 0x1.67390870e57ffp-13, 0x1.5f849c5fbcbdap-13, 0x1.5814086ea9421p-13, 0x1.50e4b59edc614p-13, 0x1.49f4215d69bcfp-13, 0x1.433fdd0b242fdp-13, 0x1.3cc58d86df35ep-13, 0x1.3682eab7f2fcp-13, 0x1.3075bf1ca1077p-13, 0x1.2a9be7582d343p-13, 0x1.24f351c396a39p-13, 0x1.1f79fe00a323dp-13, 0x1.1a2dfc8d5146ep-13, 0x1.150d6e5a4561dp-13, 0x1.1016846266fdcp-13, 0x1.0b477f44817f1p-13, 0x1.069eaede35ab2p-13, 0x1.021a71e913522p-13, 0x1.fb726b31e90f4p-14, 0x1.f2f2ea7903cb7p-14, 0x1.eab373be70a4dp-14, 0x1.e2b133d90f968p-14, 0x1.dae971acd6673p-14, 0x1.d3598d76c5057p-14, 0x1.cbff001f48681p-14, 0x1.c4d75a8e8ea0ap-14, 0x1.bde0450471aa7p-14, 0x1.b7177e7368d7ap-14, 0x1.b07adbdf1d96fp-14, 0x1.aa0847bd5d817p-14, 0x1.a3bdc15c163d8p-14, 0x1.9d995c47c4ac7p-14, 0x1.97993fb663c13p-14, 0x1.91bba5f5968f6p-14, 0x1.8bfedbdbe229ap-14, 0x1.8661403b698b2p-14, 0x1.80e143592dac5p-14, 0x1.7b7d6666fcd6cp-14, 0x1.76343afff6bdap-14, 0x1.710462a82318ep-14, 0x1.6bec8e4d37129p-14, 0x1.66eb7dce1cfc5p-14, 0x1.61ffff7fcfd5ap-14, 0x1.5d28efb9c0573p-14, 0x1.58653861cf87bp-14, 0x1.53b3d07c79b5ep-14, 0x1.4f13bbbeea2ddp-14, 0x1.4a840a242bb55p-14, 0x1.4603d783f675dp-14, 0x1.41924b2cc4a73p-14, 0x1.3d2e977fedae6p-14, 0x1.38d7f9902c91ep-14, 0x1.348db8c3360ebp-14, 0x1.304f2673d457ep-14, 0x1.2c1b9d99500a6p-14, 0x1.27f2826e07fbdp-14, 0x1.23d34219fe578p-14, 0x1.1fbd525ed2595p-14, 0x1.1bb03146cee12p-14, 0x1.17ab64d4d32e6p-14, 0x1.13ae7ab6f042fp-14, 0x1.0fb907fbba91p-14, 0x1.0bcaa8c852251p-14, 0x1.07e300114df1fp-14, 0x1.0401b7557952bp-14, 0x1.00267e599eafap-14, 0x1.f8a215cf3f1a6p-15, 0x1.f102311bbfaa7p-15, 0x1.e96cd0c391b79p-15, 0x1.e1e18185f0dbp-15, 0x1.da5fda41b15bep-15, 0x1.d2e77b84592ap-15, 0x1.cb780f1a31152p-15, 0x1.c41147a4128d3p-15, 0x1.bcb2e02e78ec6p-15, 0x1.b55c9bcd6c4eap-15, 0x1.ae0e453952fe8p-15, 0x1.a6c7ae7175548p-15, 0x1.9f88b05ec9488p-15, 0x1.98512a7b8cc1fp-15, 0x1.9121027c90403p-15, 0x1.89f823fe26a87p-15, 0x1.82d6803222eeap-15, 0x1.7bbc0d92ec8b4p-15, 0x1.74a8c795c57fbp-15, 0x1.6d9cae6432a7p-15, 0x1.6697c6927b4f7p-15, 0x1.5f9a18dcdfc37p-15, 0x1.58a3b1e53db5cp-15, 0x1.51b4a1f304fd8p-15, 0x1.4accfcb64ce21p-15, 0x1.43ecd90b14ffp-15, 0x1.3d1450c19dad6p-15, 0x1.36438065f706fp-15, 0x1.2f7a870aff02ep-15, 0x1.28b986184115ep-15, 0x1.2200a11706a7p-15, 0x1.1b4ffd840d8cdp-15, 0x1.14a7c2a1c03eep-15, 0x1.0e08194c2d253p-15, 0x1.07712bcf15a6bp-15, 0x1.00e325bd5269fp-15, 0x1.f4bc6794d9bf6p-16, 0x1.e7c5074a2fa58p-16, 0x1.dae087a755a31p-16, 0x1.ce0f472418029p-16, 0x1.c151a56272b5ap-16, 0x1.b4a802f06de61p-16, 0x1.a812c10b51851p-16, 0x1.9b924167f05fdp-16, 0x1.8f26e5fbf302dp-16, 0x1.82d110ca150d9p-16, 0x1.769123b057541p-16, 0x1.6a67803aaafe9p-16, 0x1.5e5487752fdadp-16, 0x1.525899c1e8fc3p-16, 0x1.467416b18d98cp-16, 0x1.3aa75cdce4f7fp-16, 0x1.2ef2c9c1e177dp-16, 0x1.2356b9a0668b3p-16, 0x1.17d3875b8a97dp-16, 0x1.0c698c5b5cb31p-16, 0x1.0119206f52429p-16, 0x1.ebc5336c1436cp-17, 0x1.d58c9906cb88bp-17, 0x1.bf891691927c3p-17, 0x1.a9bb4d02422abp-17, 0x1.9423d93710323p-17, 0x1.7ec353d3a4afp-17, 0x1.699a511cd937p-17, 0x1.54a960da8c46ep-17, 0x1.3ff10e3c4fec7p-17, 0x1.2b71dfbc519dbp-17, 0x1.172c57085e6e2p-17, 0x1.0320f0efbb33p-17, 0x1.dea04a984b63fp-18, 0x1.b774cde59e1fp-18, 0x1.90c0474cc08c5p-18, 0x1.6a83880fef812p-18, 0x1.44bf571f540bcp-18, 0x1.1f74710385ff9p-18, 0x1.f5470f9b5c6e2p-19, 0x1.ac9a8626417f5p-19, 0x1.64e47fc22917cp-19, 0x1.1e2621721e549p-19, 0x1.b0c0f652d2e15p-20, 0x1.27290f83c6961p-20, 0x1.3f0cb43599f9p-21, 0x1.9da77c7deb4f1p-24, -0x1.a7647e5cc8b76p-22, -0x1.d7263b71f559ap-21, -0x1.6b525db7bec9cp-20, -0x1.e915e3d5b953ep-20, -0x1.326e6e908d465p-19, -0x1.6f534f92720c4p-19, -0x1.ab3953ccc62a5p-19, -0x1.e6204dfc7b07p-19, -0x1.1004124373c62p-18, -0x1.2c7868a6d47d8p-18, -0x1.486d30b6ea307p-18, -0x1.63e27a7e0d79dp-18, -0x1.7ed85f69efcdbp-18, -0x1.994f02249a05ap-18, -0x1.b3468e73e6441p-18, -0x1.ccbf3918758c1p-18, -0x1.e5b93fa3d91ccp-18, -0x1.fe34e85841a8p-18, -0x1.0b1941011b74bp-17, -0x1.16d931e7e6197p-17, -0x1.225a7694f339dp-17, -0x1.2d9d42c5ff005p-17, -0x1.38a1ce2d525fdp-17, -0x1.4368545db15ecp-17, -0x1.4df114b51748bp-17, -0x1.583c5247a428fp-17, -0x1.624a53cb1fb87p-17, -0x1.6c1b638028168p-17, -0x1.75afcf1d3a374p-17, -0x1.7f07e7b8f26ep-17, -0x1.882401b4460d6p-17, -0x1.910474a5712c2p-17, -0x1.99a99b41e3e31p-17, -0x1.a213d34765c8fp-17, -0x1.aa437d65bb21ep-17, -0x1.b238fd2a019bep-17, -0x1.b9f4b8e951b28p-17, -0x1.c17719a9cf6d9p-17, -0x1.c8c08b0d4bc4ep-17, -0x1.cfd17b3abbb19p-17, -0x1.d6aa5ac9c75b8p-17, -0x1.dd4b9caded30fp-17, -0x1.e3b5b61e5fae7p-17, -0x1.e9e91e844e10cp-17, -0x1.efe64f6371ef3p-17, -0x1.f5adc445704b2p-17, -0x1.fb3ffaa54908ep-17, -0x1.004eb8edb4a1p-16, -0x1.02e355844f672p-16, -0x1.055e14814fa89p-16, -0x1.07bf381f42cb4p-16, -0x1.0a07035effe66p-16, -0x1.0c35b9fe58183p-16, -0x1.0e4ba06daffeap-16, -0x1.1048fbc6b3a7cp-16, -0x1.122e11c3682e3p-16, -0x1.13fb28b3f4c0ep-16, -0x1.15b08775c6fc4p-16, -0x1.174e756aef774p-16, -0x1.18d53a711b992p-16, -0x1.1a451ed88f6e9p-16, -0x1.1b9e6b5b80c65p-16, -0x1.1ce16915b8eb5p-16, -0x1.1e0e617c14813p-16, -0x1.1f259e5483a3cp-16, -0x1.202769add343p-16, -0x1.21140dd7e9c9ep-16, -0x1.21ebd55bd9f9fp-16, -0x1.22af0af3ac476p-16, -0x1.235df983d88dcp-16, -0x1.23f8ec12dfdc9p-16, -0x1.24802dc310649p-16, -0x1.24f409cb4de8ap-16, -0x1.2554cb6f416cap-16, -0x1.25a2bdf93aacdp-16, -0x1.25de2cb39d92ap-16, -0x1.260762e29fa5p-16, -0x1.261eabbd1a907p-16, -0x1.26245266ca92ep-16, -0x1.2618a1eb0314ep-16, -0x1.25fbe53567404p-16, -0x1.25ce670c903p-16, -0x1.2590720d18b94p-16, -0x1.254250a37b48ep-16, -0x1.24e44d073a7f8p-16, -0x1.2476b1358afbp-16, -0x1.23f9c6eb553bbp-16, -0x1.236dd7a1bde43p-16, -0x1.22d32c88b5926p-16, -0x1.222a0e82198e3p-16, -0x1.2172c61d55746p-16, -0x1.20ad9b939da3ep-16, -0x1.1fdad6c2fea18p-16, -0x1.1efabf2a1adcfp-16, -0x1.1e0d9be4933cp-16, -0x1.1d13b3a74e80cp-16, -0x1.1c0d4cbcb2fecp-16, -0x1.1afaad00dd6e5p-16, -0x1.19dc19de05252p-16, -0x1.18b1d8494af47p-16, -0x1.177c2cbfcc7b3p-16, -0x1.163b5b430e225p-16, -0x1.14efa75655c5ep-16, -0x1.139953fb94f45p-16, -0x1.1238a3b0d9351p-16, -0x1.10cdd86d99009p-16, -0x1.0f59339fcfb81p-16, -0x1.0ddaf629a6d91p-16, -0x1.0c53605fb0bf8p-16, -0x1.0ac2b2066dd1bp-16, -0x1.09292a501e0e4p-16, -0x1.078707da6af83p-16, -0x1.05dc88acdbfdfp-16, -0x1.0429ea3727924p-16, -0x1.026f694f464c2p-16, -0x1.00ad4230156c6p-16, -0x1.fdc760ee7ef3fp-17, -0x1.fa25de4962609p-17, -0x1.f6767130e1a05p-17, -0x1.f2b98d23144a2p-17, -0x1.eeefa45a6cb1bp-17, -0x1.eb1927cb8a2dbp-17, -0x1.e73687229c65cp-17, -0x1.e34830c25a26fp-17, -0x1.df4e91c19b74ep-17, -0x1.db4a15e9c7756p-17, -0x1.d73b27b628f11p-17, -0x1.d3223052f6727p-17, -0x1.ceff979b3a2a5p-17, -0x1.cad3c41802691p-17, -0x1.c69f1b00f49dfp-17, -0x1.c262003a8e957p-17, -0x1.be1cd6550c01dp-17, -0x1.b9cffe8d58986p-17, -0x1.b57bd8cc590aap-17, -0x1.b120c3a6b160ep-17, -0x1.acbf1c5cdeeb2p-17, -0x1.a8573edb310c6p-17, -0x1.a3e985ba170d1p-17, -0x1.9f764a3e72405p-17, -0x1.9afde45a27929p-17, -0x1.9680aaacdc53dp-17, -0x1.91fef28458374p-17, -0x1.8d790fdcd8e9ap-17, -0x1.88ef5562dae96p-17, -0x1.84621473ab153p-17, -0x1.7fd19d1e20949p-17, -0x1.7b3e3e23ad389p-17, -0x1.76a844fa54721p-17, -0x1.720ffdcd76856p-17, -0x1.6d75b37f5fbd9p-17, -0x1.68d9afaa95542p-17, -0x1.643c3aa332336p-17, -0x1.5f9d9b78cb307p-17, -0x1.5afe17f81f63fp-17, -0x1.565df4ac91be9p-17, -0x1.51bd74e272252p-17, -0x1.4d1cdaa863b55p-17, -0x1.487c66d1a169cp-17, -0x1.43dc58f7cd938p-17, -0x1.3f3cef7c77404p-17, -0x1.3a9e678c5a7e1p-17, -0x1.3600fd209f24p-17, -0x1.3164eb017bdb1p-17, -0x1.2cca6ac81d154p-17, -0x1.2831b4e145ed7p-17, -0x1.239b008f771b1p-17, -0x1.1f0683ed579d4p-17, -0x1.1a7473f01f461p-17, -0x1.15e50469fb81p-17, -0x1.1158680ca6fa1p-17, -0x1.0cced06bf572dp-17, -0x1.08486e001afe3p-17, -0x1.03c57028855e8p-17, -0x1.fe8c0a5d618e2p-18, -0x1.f594b48fea0dcp-18, -0x1.eca537319e561p-18, -0x1.e3bde86fd3f92p-18, -0x1.dadf1c60197fbp-18, -0x1.d20925064031p-18, -0x1.c93c525a5bc38p-18, -0x1.c078f24d58e6cp-18, -0x1.b7bf50cf7d37ep-18, -0x1.af0fb7d503456p-18, -0x1.a66a6f5cb0fe9p-18, -0x1.9dcfbd74ad133p-18, -0x1.953fe640bc092p-18, -0x1.8cbb2bffcea6fp-18, -0x1.8441cf113a7a3p-18, -0x1.7bd40dfadbd52p-18, -0x1.7372256e97d48p-18, -0x1.6b1c50506ba12p-18, -0x1.62d2c7bbebddap-18, -0x1.5a95c3098d50dp-18, -0x1.526577d4a4968p-18, -0x1.4a421a02c6525p-18, -0x1.422bdbc6a6bfbp-18, -0x1.3a22eda727759p-18, -0x1.32277e85d3e4fp-18, -0x1.2a39bba3b38cep-18, -0x1.2259d0a6bc26p-18, -0x1.1a87e7a06af4p-18, -0x1.12c42912ff506p-18, -0x1.0b0ebbf6d8a8dp-18, }}, 
      {{0x1.21a2218eca5c6p-1, 0x1.212d60b3edf04p-1, 0x1.206b73da3b77p-1, 0x1.1f5d557afabc7p-1, 0x1.1e045bf445b51p-1, 0x1.1c62322cf7b4fp-1, 0x1.1a78cf24fe917p-1, 0x1.184a6ce37e6cep-1, 0x1.15d97f22a2687p-1, 0x1.1328aa06249e5p-1, 0x1.103ab917d70ccp-1, 0x1.0d1296b5c8583p-1, 0x1.09b344104d456p-1, 0x1.061fd1cb50939p-1, 0x1.025b594d8490ep-1, 0x1.fcd1ed82697d5p-2, 0x1.f497878a6c11ep-2, 0x1.ec0da5910e3eep-2, 0x1.e33a5610d0f1dp-2, 0x1.da238a4d8c995p-2, 0x1.d0cf109b422fcp-2, 0x1.c7428fa70ab9bp-2, 0x1.bd8382a9ee9bbp-2, 0x1.b397366dbce6bp-2, 0x1.a982c70ceb4adp-2, 0x1.9f4b1e5798f21p-2, 0x1.94f4f2c9557e1p-2, 0x1.8a84c6fcd22f6p-2, 0x1.7ffee98c38bccp-2, 0x1.7567754e8681dp-2, 0x1.6ac251e3d610fp-2, 0x1.60133483f625cp-2, 0x1.555da10412889p-2, 0x1.4aa4eb0970fa2p-2, 0x1.3fec376071f5ap-2, 0x1.35367d700f2b4p-2, 0x1.2a8688c2f8eb5p-2, 0x1.1fdefaa060c9cp-2, 0x1.15424baf22797p-2, 0x1.0ab2cd9ec7124p-2, 0x1.0032acd26191bp-2, 0x1.eb87e413b725bp-3, 0x1.d6d1080d80d78p-3, 0x1.c244525408405p-3, 0x1.ade51211550f1p-3, 0x1.99b65beb1ebbp-3, 0x1.85bb0cfdbe3d7p-3, 0x1.71f5cdbc3b189p-3, 0x1.5e6914b3b9386p-3, 0x1.4b172930fb30ap-3, 0x1.380225c72a223p-3, 0x1.252bfab76ac64p-3, 0x1.129670391f137p-3, 0x1.004328a30f6c2p-3, 0x1.dc6744ebc4804p-4, 0x1.b8d2749135b2ap-4, 0x1.95ca592fe1b25p-4, 0x1.73512ef3333a5p-4, 0x1.5168f8692e986p-4, 0x1.3013817fbc87p-4, 0x1.0f5262514118bp-4, 0x1.de4e03867ee37p-5, 0x1.9f252ff3c5455p-5, 0x1.612c61467a2ep-5, 0x1.24655a3a2aa95p-5, 0x1.d1a319e010864p-6, 0x1.5ce43d6a6a667p-6, 0x1.d51fae396447ep-7, 0x1.ea9c4c6bcd3f9p-8, 0x1.a552fdb8cfa13p-11, -0x1.7795ce338a3ebp-8, -0x1.8d12c50304939p-7, -0x1.2cc1fccf8fc32p-6, -0x1.909079f3b62f3p-6, -0x1.f1f67c2d024d6p-6, -0x1.287b05eb96c5fp-5, -0x1.56c8c97a3ff31p-5, -0x1.83e5ec7144b79p-5, -0x1.afd3ff1aac17fp-5, -0x1.da94bc5aafa13p-5, -0x1.021503df33ad4p-4, -0x1.164af5cc5cbf7p-4, -0x1.29ed4b962b501p-4, -0x1.3cfd2e70dc187p-4, -0x1.4f7bd84426d4fp-4, -0x1.616a92d10a81p-4, -0x1.72cab6dc8fe8ap-4, -0x1.839dab5f40c2dp-4, -0x1.93e4e4b93134ap-4, -0x1.a3a1e3ea76174p-4, -0x1.b2d635cff74a3p-4, -0x1.c18372648de29p-4, -0x1.cfab3c0671bc6p-4, -0x1.dd4f3ec0e8e13p-4, -0x1.ea712f9a467e7p-4, -0x1.f712cbe645336p-4, -0x1.019aec4e5ad6ep-3, -0x1.076e10da55e72p-3, -0x1.0d03bcc20392cp-3, -0x1.125cdc11cb0e6p-3, -0x1.177a5d6bdcb51p-3, -0x1.1c5d31bed1f9ap-3, -0x1.21064bfe980b5p-3, -0x1.2576a0dfb4215p-3, -0x1.29af2694d8a1dp-3, -0x1.2db0d48eca431p-3, -0x1.317ca33ea6be3p-3, -0x1.35138bda71cfp-3, -0x1.38768823f937fp-3, -0x1.3ba69232061bcp-3, -0x1.3ea4a43bd1204p-3, -0x1.4171b866bbfcbp-3, -0x1.440ec8963d1a8p-3, -0x1.467cce3e037p-3, -0x1.48bcc23639f43p-3, -0x1.4acf9c91ee312p-3, -0x1.4cb654777dcdap-3, -0x1.4e71dffb17607p-3, -0x1.500333fb2290dp-3, -0x1.516b43fea03b1p-3, -0x1.52ab0215620dcp-3, -0x1.53c35eba0f115p-3, -0x1.54b548b5eef16p-3, -0x1.5581ad0662864p-3, -0x1.562976c400d28p-3, -0x1.56ad8f0b47bd9p-3, -0x1.570edce6d43c2p-3, -0x1.574e453b0daa1p-3, -0x1.576caab33aa98p-3, -0x1.576aedaff1741p-3, -0x1.5749ec36cf62ap-3, -0x1.570a81e36b5cp-3, -0x1.56ad87d97fa55p-3, -0x1.5633d4b828c59p-3, -0x1.559e3c8e41682p-3, -0x1.54ed90cfc0d9cp-3, -0x1.5422a04c16d9ap-3, -0x1.533e37256ec09p-3, -0x1.52411ec8df45ep-3, -0x1.512c1de769da6p-3, -0x1.4ffff86fc615ap-3, -0x1.4ebd6f88f690cp-3, -0x1.4d65418d8beb8p-3, -0x1.4bf82a079c22dp-3, -0x1.4a76e1ad6026cp-3, -0x1.48e21e5e65362p-3, -0x1.473a93215e517p-3, -0x1.4580f022799e8p-3, -0x1.43b5e2b23a9e8p-3, -0x1.41da1544d8547p-3, -0x1.3fee2f7209603p-3, -0x1.3df2d5f5497bp-3, -0x1.3be8aaae80984p-3, -0x1.39d04ca318d9fp-3, -0x1.37aa57ff6734cp-3, -0x1.357766187da15p-3, -0x1.33380d6e448d2p-3, -0x1.30ece1aded22ep-3, -0x1.2e9673b4b0fa3p-3, -0x1.2c355192d663ep-3, -0x1.29ca068efdb7cp-3, -0x1.27551b29ac354p-3, -0x1.24d715211b7ffp-3, -0x1.225077753de34p-3, -0x1.1fc1c26bfe658p-3, -0x1.1d2b7395b5a2fp-3, -0x1.1a8e05d1d36ebp-3, -0x1.17e9f153b46efp-3, -0x1.153faba7ab9fp-3, -0x1.128fa7b834473p-3, -0x1.0fda55d34d4cap-3, -0x1.0d2023b0031f4p-3, -0x1.0a617c74132a5p-3, -0x1.079ec8b9c40b4p-3, -0x1.04d86e95d123p-3, -0x1.020ed19d805fep-3, -0x1.fe84a5d9b2e77p-4, -0x1.f8e6a259db82dp-4, -0x1.f34451349ddp-4, -0x1.ed9e661726c2ep-4, -0x1.e7f58feff5968p-4, -0x1.e24a78fc521c8p-4, -0x1.dc9dc6d5f44e5p-4, -0x1.d6f01a80cf0d8p-4, -0x1.d14210791a396p-4, -0x1.cb9440c16914ap-4, -0x1.c5e73ef0f8f6fp-4, -0x1.c03b9a421de6ap-4, -0x1.ba91dda0cb57cp-4, -0x1.b4ea8fb9401aep-4, -0x1.af463306d0337p-4, -0x1.a9a545e2c3cafp-4, -0x1.a4084293540cp-4, -0x1.9e6f9f5ab44dcp-4, -0x1.98dbce863d60ap-4, -0x1.934d3e7d9d9aep-4, -0x1.8dc459d2212c1p-4, -0x1.8841874e044a8p-4, -0x1.82c52a03d346dp-4, -0x1.7d4fa15dd36b1p-4, -0x1.77e1492d741e9p-4, -0x1.727a79bac79a4p-4, -0x1.6d1b87d3fc517p-4, -0x1.67c4c4dcdd36ap-4, -0x1.62767ede4f5dp-4, -0x1.5d310095ce8b8p-4, -0x1.57f49184e83b1p-4, -0x1.52c17600b03ecp-4, -0x1.4d97ef412ebd5p-4, -0x1.48783b70c6f3dp-4, -0x1.436295bb9201fp-4, -0x1.3e57365eb0365p-4, -0x1.395652b78ab2dp-4, -0x1.34601d5306fdap-4, -0x1.2f74c5fcaabd7p-4, -0x1.2a9479cdab944p-4, -0x1.25bf633bed08ep-4, -0x1.20f5aa28e7917p-4, -0x1.1c3773f07adbbp-4, -0x1.1784e377a6935p-4, -0x1.12de193b2b0dep-4, -0x1.0e43335e0e2bcp-4, -0x1.09b44db8054ddp-4, -0x1.053181e3c0af3p-4, -0x1.00bae74d1af3ap-4, -0x1.f8a1267e4c1a4p-5, -0x1.efe531e4341a3p-5, -0x1.e7421332407d2p-5, -0x1.deb7e8dffa5c2p-5, -0x1.d646cd912d9c6p-5, -0x1.cdeed830a6c14p-5, -0x1.c5b01c0aacd7dp-5, -0x1.bd8aa8e72acefp-5, -0x1.b57e8b238a59ap-5, -0x1.ad8bcbcc3e98ep-5, -0x1.a5b270b5fe8d5p-5, -0x1.9df27c96abcb7p-5, -0x1.964bef1de518dp-5, -0x1.8ebec50d44f22p-5, -0x1.874af85045fe8p-5, -0x1.7ff08013d52e3p-5, -0x1.78af50dd86f69p-5, -0x1.71875ca275ff9p-5, -0x1.6a7892ddc6577p-5, -0x1.6382e0a6ce931p-5, -0x1.5ca630c6e5749p-5, -0x1.55e26bced253cp-5, -0x1.4f37782be267p-5, -0x1.48a53a3ca2eabp-5, -0x1.422b9465386abp-5, -0x1.3bca67235f7e4p-5, -0x1.358191220a4b8p-5, -0x1.2f50ef4ca4526p-5, -0x1.29385ce1f5d03p-5, -0x1.2337b386a98bep-5, -0x1.1d4ecb5776cd4p-5, -0x1.177d7afaec556p-5, -0x1.11c397b2dba29p-5, -0x1.0c20f56d6c3f3p-5, -0x1.069566d5cd99fp-5, -0x1.0120bd648f803p-5, -0x1.f78592df3514bp-6, -0x1.ecf6b473a1d98p-6, -0x1.e2947c04a4ca2p-6, -0x1.d85e8426cc2b2p-6, -0x1.ce5465a20faedp-6, -0x1.c475b78e40cecp-6, -0x1.bac20f6ec37c3p-6, -0x1.b139014d99002p-6, -0x1.a7da1fd5ba3c3p-6, -0x1.9ea4fc6cc9bc3p-6, -0x1.9599274c1744bp-6, -0x1.8cb62f98f7addp-6, -0x1.83fba37c797d6p-6, -0x1.7b69103a72ba3p-6, -0x1.72fe0247e8adbp-6, -0x1.6aba0560d3b03p-6, -0x1.629ca49d4a41ap-6, -0x1.5aa56a860778ap-6, -0x1.52d3e12855edfp-6, -0x1.4b27922964c4ep-6, -0x1.43a006d8ffc83p-6, -0x1.3c3cc843b690ap-6, -0x1.34fd5f446dc95p-6, -0x1.2de154955eca1p-6, -0x1.26e830e08a753p-6, -0x1.20117ccf9bd34p-6, -0x1.195cc11b45b03p-6, -0x1.12c9869a137b5p-6, -0x1.0c57564eb5dc7p-6, -0x1.0605b975cdce2p-6, -0x1.ffa8732666dafp-7, -0x1.f384c0fd8077ap-7, -0x1.e79f70e139a68p-7, -0x1.dbf7981a2b251p-7, -0x1.d08c4cdfe8469p-7, -0x1.c55ca66ed3a42p-7, -0x1.ba67bd1cfd817p-7, -0x1.afacaa6e36204p-7, -0x1.a52a89272c9a4p-7, -0x1.9ae0755fccea8p-7, -0x1.90cd8c94b7292p-7, -0x1.86f0edb7f8c6ap-7, -0x1.7d49b940ee745p-7, -0x1.73d7113b6c45dp-7, -0x1.6a9819561c923p-7, -0x1.618bf6f02aafcp-7, -0x1.58b1d1262fb1p-7, -0x1.5008d0de6f357p-7, -0x1.479020d466d7bp-7, -0x1.3f46eda3aeaaap-7, -0x1.372c65d23b3f2p-7, -0x1.2f3fb9d9f5a66p-7, -0x1.27801c31bfae5p-7, -0x1.1fecc155d5b48p-7, -0x1.1884dfcfa29c7p-7, -0x1.1147b03cfcc27p-7, -0x1.0a346d56dea3ep-7, -0x1.034a53f78fb1ep-7, -0x1.f911464091691p-8, -0x1.ebdd37fcb5da7p-8, -0x1.def703dfb0449p-8, -0x1.d25d350f88e59p-8, -0x1.c60e5b239420ep-8, -0x1.ba090a2b0c791p-8, -0x1.ae4bdab2c0616p-8, -0x1.a2d569c9f00c6p-8, -0x1.97a459066049ap-8, -0x1.8cb74e879ad7ep-8, -0x1.820cf4f97dab1p-8, -0x1.77a3fb9601817p-8, -0x1.6d7b162651f4ep-8, -0x1.6390fd03424abp-8, -0x1.59e46d15048ccp-8, -0x1.507427d257d6ap-8, -0x1.473ef33f0b7fbp-8, -0x1.3e4399e9f2ffap-8, -0x1.3580eaea4bf68p-8, -0x1.2cf5b9dc97779p-8, -0x1.24a0dedef6126p-8, -0x1.1c81368cf256ap-8, -0x1.1495a1faed9c6p-8, -0x1.0cdd06b109a17p-8, -0x1.05564ea593351p-8, -0x1.fc00d06e50fb3p-9, -0x1.edb48c4cb3a4ap-9, -0x1.dfc5bf1de6a89p-9, -0x1.d2325fc1e42a5p-9, -0x1.c4f86db226b31p-9, -0x1.b815f0f242db4p-9, -0x1.ab88f9ffc2ad1p-9, -0x1.9f4fa1c18a3e4p-9, -0x1.936809768dc6dp-9, -0x1.87d05aa4129f4p-9, -0x1.7c86c7038428fp-9, -0x1.7189886fb6589p-9, -0x1.66d6e0d1be6aap-9, -0x1.5c6d1a0d65237p-9, -0x1.524a85ed4b5efp-9, -0x1.486d7e0e95977p-9, -0x1.3ed463cc4b6dcp-9, -0x1.357da02a83658p-9, -0x1.2c67a3c112392p-9, -0x1.2390e6a62caa5p-9, -0x1.1af7e858b2a1p-9, -0x1.129b2faa45efbp-9, -0x1.0a794aa9352ecp-9, -0x1.0290ce8a2a5b6p-9, -0x1.f5c0af2388243p-10, -0x1.e6cd11fc26676p-10, -0x1.d84419dfb53b4p-10, -0x1.ca2328a7a5a5ep-10, -0x1.bc67ad9787f9cp-10, -0x1.af0f252f607d9p-10, -0x1.a21718fd70774p-10, -0x1.957d1f7079f08p-10, -0x1.893edba9747ddp-10, -0x1.7d59fd4d99d76p-10, -0x1.71cc4058672fdp-10, -0x1.66936ced7a83bp-10, -0x1.5bad572ab1363p-10, -0x1.5117defa48ee1p-10, -0x1.46d0efe5259adp-10, -0x1.3cd680e540015p-10, -0x1.33269438288d7p-10, -0x1.29bf3731c92fdp-10, -0x1.209e820f44825p-10, -0x1.17c297ca42222p-10, -0x1.0f29a5ec21254p-10, -0x1.06d1e461c4cfp-10, -0x1.fd732a9eb2ffep-11, -0x1.edbe09c929a4cp-11, -0x1.de8112625422ap-11, -0x1.cfb903f33dac8p-11, -0x1.c162b118a8eaap-11, -0x1.b37aff2e055a2p-11, -0x1.a5fee5f913dd5p-11, -0x1.98eb6f561ba39p-11, -0x1.8c3db6e50f8e9p-11, -0x1.7ff2e9b731b21p-11, -0x1.740845fdd9fb3p-11, -0x1.687b1ab994aadp-11, -0x1.5d48c76a6ec6p-11, -0x1.526ebbc109237p-11, -0x1.47ea775040504p-11, -0x1.3db9893fdf121p-11, -0x1.33d9900029c21p-11, -0x1.2a4838fe593f8p-11, -0x1.21034059d342fp-11, -0x1.1808709a2f61p-11, -0x1.0f55a26685b7bp-11, -0x1.06e8bc3d32ed1p-11, -0x1.fd7f64599dbf6p-12, -0x1.edb10b1bdeb55p-12, -0x1.de62897bb68f5p-12, -0x1.cf9015b466a6p-12, -0x1.c135fefabe49ep-12, -0x1.b350acf877df8p-12, -0x1.a5dc9f48a58dp-12, -0x1.98d66cf677961p-12, -0x1.8c3ac3fe016cap-12, -0x1.800668ce58a2ep-12, -0x1.743635cdf61f4p-12, -0x1.68c71ae0c7aap-12, -0x1.5db61cf043c98p-12, -0x1.530055750d8aap-12, -0x1.48a2f202e9689p-12, -0x1.3e9b33d5e1bf6p-12, -0x1.34e66f61efb65p-12, -0x1.2b820be3ecec7p-12, -0x1.226b82f4cdb76p-12, -0x1.19a0601e1fa3bp-12, -0x1.111e4070ce468p-12, -0x1.08e2d21d84969p-12, -0x1.00ebd40eab401p-12, -0x1.f26e2b08ebc8ap-13, -0x1.e384eb64bcfcep-13, -0x1.d517c6bdbb45ap-13, -0x1.c722b90809a7dp-13, -0x1.b9a1dbe5a3fdep-13, -0x1.ac9165ee71d59p-13, -0x1.9feda9fd70a52p-13, -0x1.93b3167ff5eep-13, -0x1.87de34c8bf0d5p-13, -0x1.7c6ba8662f4c9p-13, -0x1.71582e7bb5e45p-13, -0x1.66a09d1e75297p-13, -0x1.5c41e2b55707bp-13, -0x1.5239055ba1e52p-13, -0x1.48832246ff543p-13, -0x1.3f1d6d3106974p-13, -0x1.36052fc27f97ap-13, -0x1.2d37c90345691p-13, -0x1.24b2accbc46d3p-13, -0x1.1c73633a01b18p-13, -0x1.147788297846ep-13, -0x1.0cbccaad7b84bp-13, -0x1.0540ec8ed50e3p-13, -0x1.fc0383978eaacp-14, -0x1.edfa603585f01p-14, -0x1.e0625ce092ecdp-14, -0x1.d337890daf421p-14, -0x1.c67614d344ce6p-14, -0x1.ba1a5003de287p-14, -0x1.ae20a94e496a5p-14, -0x1.a285ad617bb21p-14, -0x1.97460616991c4p-14, -0x1.8c5e799f79e1fp-14, -0x1.81cbe9b921b5fp-14, -0x1.778b52e455aabp-14, -0x1.6d99cba139f8cp-14, -0x1.63f483b0752efp-14, -0x1.5a98c358b12cfp-14, -0x1.5183eab007858p-14, -0x1.48b370e99d028p-14, -0x1.4024e3a9237dep-14, -0x1.37d5e6574788ep-14, -0x1.2fc4317d7c00cp-14, -0x1.27ed9223ef66cp-14, -0x1.204fe933622c7p-14, -0x1.18e92adc16aedp-14, -0x1.11b75dff38f53p-14, -0x1.0ab89b9ceb638p-14, -0x1.03eb0e45150c5p-14, -0x1.fa99e31929a92p-15, -0x1.edb9230b51365p-15, -0x1.e130947785849p-15, -0x1.d4fd0e6494d6fp-15, -0x1.c91b85cffc41bp-15, -0x1.bd890cb7d408dp-15, -0x1.b242d12d8e47ap-15, -0x1.a7461c6d72afp-15, -0x1.9c9051fdd49b2p-15, -0x1.921eeed1bebfbp-15, -0x1.87ef887499d37p-15, -0x1.7dffcc3913235p-15, -0x1.744d7e6ebfd8dp-15, -0x1.6ad6799d1055fp-15, -0x1.6198adc375084p-15, -0x1.58921f9f3b151p-15, -0x1.4fc0e7f5a40c9p-15, -0x1.472332e4ca85fp-15, -0x1.3eb73f375c5a7p-15, -0x1.367b5dbefb3ccp-15, -0x1.2e6df0b14cbep-15, -0x1.268d6b0c0da42p-15, -0x1.1ed84ffc3a46fp-15, -0x1.174d3248f041p-15, -0x1.0feab3c4bcd63p-15, -0x1.08af84c156549p-15, -0x1.019a6388541e5p-15, -0x1.f55437aea8badp-16, -0x1.e7bb0cc108be3p-16, -0x1.da67109d20f23p-16, -0x1.cd56259aaf03cp-16, -0x1.c0864528c87e7p-16, -0x1.b3f57eee4c7f1p-16, -0x1.a7a1f7eea499ep-16, -0x1.9b89e9b457e72p-16, -0x1.8faba185dcf59p-16, -0x1.84057f9d3fea3p-16, -0x1.7895f667f3bd2p-16, -0x1.6d5b89ccc08d2p-16, -0x1.6254ce7663df7p-16, -0x1.57806926110afp-16, -0x1.4cdd0e0a25757p-16, -0x1.42698019e5edap-16, -0x1.382490789d5dap-16, -0x1.2e0d1ddc0802cp-16, -0x1.242213f8bcbfp-16, -0x1.1a626af3836ep-16, -0x1.10cd26d7f810cp-16, -0x1.07615713105f9p-16, -0x1.fc3c2be472acdp-17, -0x1.ea05104f947d8p-17, -0x1.d81bb8a4f1299p-17, -0x1.c67e95161a15dp-17, -0x1.b52c27e6224cep-17, -0x1.a42304972d5bep-17, -0x1.9361cf17c488fp-17, -0x1.82e73afd780aap-17, -0x1.72b20ac3853a1p-17, -0x1.62c10f11d1ad8p-17, -0x1.5313260aaee8bp-17, -0x1.43a73a9f3ddbbp-17, -0x1.347c43ea7db6p-17, -0x1.2591449257ae5p-17, -0x1.16e54a2f9e095p-17, -0x1.08776cbb2dbe4p-17, -0x1.f48d9c02b001dp-18, -0x1.d8a53232e548ep-18, -0x1.bd3403caa8644p-18, -0x1.a2388927f7995p-18, -0x1.87b14a5564cddp-18, -0x1.6d9cde2295e7ep-18, -0x1.53f9e94bc94f2p-18, -0x1.3ac71da752ea7p-18, -0x1.2203395a3ff3fp-18, -0x1.09ad0619358fbp-18, -0x1.e386b0e05690bp-19, -0x1.b48a1e2346496p-19, -0x1.8662245ecd73ep-19, -0x1.590ca5b344f2bp-19, -0x1.2c8794ca6e369p-19, -0x1.00d0f3b61ca5fp-19, -0x1.abcda5af73538p-20, -0x1.578e9faf8ea6dp-20, -0x1.04e12950825ecp-20, -0x1.67835a5a6a015p-21, -0x1.90b2ab22615b4p-22, -0x1.61eb4e61a7c6p-24, 0x1.b35c80be80a13p-23, 0x1.02eadf6915c9fp-21, 0x1.96044d8a7dd4fp-21, 0x1.1314e4d13a51ap-20, 0x1.59b0cd5c582cp-20, 0x1.9ed8f91cb7319p-20, 0x1.e29077219984cp-20, 0x1.126d26f3dacf8p-19, 0x1.32dcbe2cecc5cp-19, 0x1.52987d64e01p-19, 0x1.71a1dde8f0cf9p-19, 0x1.8ffa5693604c7p-19, 0x1.ada35c36883ep-19, 0x1.ca9e61f393735p-19, 0x1.e6ecd99441db2p-19, 0x1.014819ee2127fp-18, 0x1.0ec4f0697561fp-18, 0x1.1beda804528f1p-18, 0x1.28c2f86b861bap-18, 0x1.3545994d35062p-18, 0x1.417642744929ep-18, 0x1.4d55abdfa7faep-18, 0x1.58e48dda1babcp-18, 0x1.6423a10ce05ap-18, 0x1.6f139e9215446p-18, 0x1.79b54004e7c81p-18, 0x1.84093f8ec5701p-18, 0x1.8e1057f45d4e4p-18, 0x1.97cb449fe09c1p-18, 0x1.a13ac1a8f67f7p-18, 0x1.aa5f8bde60bcap-18, 0x1.b33a60c9e4289p-18, 0x1.bbcbfeb54a6bap-18, 0x1.c41524ae5b2cp-18, 0x1.cc16928841753p-18, 0x1.d3d108dc5efe4p-18, 0x1.db45490a24631p-18, 0x1.e2741535b7d75p-18, 0x1.e95e3045bfa4dp-18, 0x1.f0045ddf743eap-18, 0x1.f667626426b99p-18, 0x1.fc8802eaded1ap-18, 0x1.0133829da719bp-17, 0x1.040297e3f889bp-17, 0x1.06b1a4d2e4468p-17, 0x1.09410d4319708p-17, 0x1.0bb135570f2e7p-17, 0x1.0e02817669abdp-17, 0x1.10355649f68e3p-17, 0x1.124a18b66f88dp-17, 0x1.14412dd79624dp-17, 0x1.161afafb526bfp-17, 0x1.17d7e59bcc4a8p-17, 0x1.1978535a7bd0ep-17, 0x1.1afca9fa5ffcp-17, 0x1.1c654f5a05807p-17, 0x1.1db2a96e057d4p-17, 0x1.1ee51e3afc91ap-17, 0x1.1ffd13cf4bc2dp-17, 0x1.20faf03da3937p-17, 0x1.21df199640785p-17, 0x1.22a9f5e154809p-17, 0x1.235beb188b6a7p-17, 0x1.23f55f20ff6acp-17, 0x1.2476b7c51121fp-17, 0x1.24e05aadfcfbap-17, 0x1.2532ad5e0772bp-17, 0x1.256e152a43956p-17, 0x1.2592f7345a43p-17, 0x1.25a1b8648a30dp-17, 0x1.259abd63a2bf2p-17, 0x1.257e6a9504b7p-17, 0x1.254d2410c7345p-17, 0x1.25074d9dd817bp-17, 0x1.24ad4aac2d9f4p-17, 0x1.243f7e4f1d2ddp-17, 0x1.23be4b37b5873p-17, 0x1.232a13af3d5dfp-17, 0x1.22833991b04b6p-17, 0x1.21ca1e487906fp-17, 0x1.20ff22c51b55p-17, 0x1.2022a77c1ac66p-17, 0x1.1f350c5fe7aa9p-17, 0x1.1e36b0dc05f0fp-17, 0x1.1d27f3cfe3e96p-17, 0x1.1c09338a63939p-17, 0x1.1adacdc55e99bp-17, 0x1.199d1fa0cfc9ap-17, 0x1.1850859ea2b8cp-17, 0x1.16f55b9e65dc1p-17, 0x1.158bfcd927491p-17, 0x1.1414c3dd6098ap-17, 0x1.12900a8b23a3ap-17, 0x1.10fe2a105719fp-17, 0x1.0f5f7ae4ccc3ep-17, 0x1.0db454c711189p-17, 0x1.0bfd0eb8d4cbbp-17, 0x1.0a39fefb73092p-17, 0x1.086b7b0d17a86p-17, 0x1.0691d7a5c210ep-17, 0x1.04ad68b3f8b68p-17, 0x1.02be815a11744p-17, 0x1.00c573ebdfa67p-17, 0x1.fd8523d78dd2fp-18, 0x1.f96c5810a92fep-18, 0x1.f541243423443p-18, 0x1.f1042642785edp-18, 0x1.ecb5fa8767aadp-18, 0x1.e8573b960f59cp-18, 0x1.e3e8824529158p-18, 0x1.df6a65ab8be96p-18, 0x1.dadd7b1d69cddp-18, 0x1.d6425627f02c3p-18, 0x1.d19988904df95p-18, 0x1.cce3a24fb2793p-18, 0x1.c8213191b6d74p-18, 0x1.c352c2b1d353ap-18, 0x1.be78e0394a52bp-18, 0x1.b99412ddede7ep-18, 0x1.b4a4e18037dcp-18, 0x1.afabd12a01abbp-18, 0x1.aaa9650d6402dp-18, 0x1.a59e1e83f95e8p-18, 0x1.a08a7d0d99ca4p-18, 0x1.9b6efe5026b54p-18, 0x1.964c1e1726106p-18, 0x1.912256533c914p-18, 0x1.8bf21f1a5eb1ep-18, 0x1.86bbeea7f3477p-18, 0x1.8180395ce3a5fp-18, 0x1.7c3f71c0361e4p-18, 0x1.76fa087fd08c5p-18, 0x1.71b06c70b041cp-18, 0x1.6c630a90bef94p-18, 0x1.67124e06fca1dp-18, 0x1.61bea024f29c5p-18, 0x1.5c686868527edp-18, 0x1.57100c7c5729ep-18, 0x1.51b5f03b20ad3p-18, 0x1.4c5a75af92be2p-18, 0x1.46fdfd17467ddp-18, 0x1.41a0e4e49ed59p-18, 0x1.3c4389c087cc7p-18, 0x1.36e6468cd137bp-18, 0x1.31897466ef2a3p-18, 0x1.2c2d6aaa2c00fp-18, 0x1.26d27ef1aa974p-18, 0x1.2179051bce75ep-18, 0x1.1c214f4c6d4c2p-18, 0x1.16cbadf00be36p-18, 0x1.11786fbe66a38p-18, 0x1.0c27e1be17273p-18, 0x1.06da4f4690f59p-18, 0x1.019002046e432p-18, 0x1.f89283f83f51dp-19, 0x1.ee0cab1a9d217p-19, 0x1.e38f02ec8bef7p-19, 0x1.d91a11af2f718p-19, 0x1.ceae5a6ef1417p-19, 0x1.c44c5d0a9d539p-19, 0x1.b9f4963ac67c2p-19, 0x1.afa77f98e2524p-19, 0x1.a5658fa79571fp-19, 0x1.9b2f39d96c384p-19, 0x1.9104ee9943d82p-19, 0x1.86e71b515b496p-19, 0x1.7cd62a73f8511p-19, 0x1.72d283832d72fp-19, 0x1.68dc8b1847afcp-19, 0x1.5ef4a2ecb2633p-19, 0x1.551b29e1aa2f6p-19, 0x1.4b507c0917a1ap-19, 0x1.4194f2acbeaedp-19, 0x1.37e8e45736be7p-19, 0x1.2e4ca4dc97c53p-19, 0x1.24c08562c156dp-19, 0x1.1b44d4690eb84p-19, 0x1.11d9ddd1bc724p-19, 0x1.087feaea1aa24p-19, 0x1.fe6e84e58333ap-20, 0x1.ec0051512c09fp-20, 0x1.d9b5be9b78b0fp-20, 0x1.c78f4b62f28f4p-20, 0x1.b58d71718417cp-20, 0x1.a3b0a5ce374cbp-20, 0x1.91f958cec2aeep-20, 0x1.8067f628c578bp-20, 0x1.6efce502434f8p-20, 0x1.5db88802c4d32p-20, 0x1.4c9b3d658a927p-20, 0x1.3ba55f09d03eap-20, 0x1.2ad742845be8ap-20, 0x1.1a313930fbf3ep-20, 0x1.09b39041dad3p-20, 0x1.f2bd21a49193bp-21, 0x1.d264ffef00473p-21, 0x1.b25f3da1b135p-21, 0x1.92ac55303d349p-21, 0x1.734cb966bd59ap-21, 0x1.5440d58bd8e22p-21, 0x1.35890d7faf18dp-21, 0x1.1725bddbb17cp-21, 0x1.f22e782da678dp-22, 0x1.b6bbad4bc6ba4p-22, 0x1.7bf3aa33b146p-22, 0x1.41d6f083128b8p-22, 0x1.0865f49165986p-22, 0x1.9f423b6654975p-23, 0x1.2f118cee2bb28p-23, 0x1.8074f399a2043p-24, 0x1.4af615fedd63ap-25, -0x1.964e48f72b63ep-27, -0x1.0858e11ad77f9p-24, -0x1.db31c3949da11p-24, -0x1.55aa123a8448dp-23, -0x1.bc5ff20030053p-23, -0x1.10dd437a01d3cp-22, -0x1.42dcf617f0e95p-22, -0x1.742f28d0306cfp-22, -0x1.a4d3fdc236dccp-22, -0x1.d4cba0ffc83b7p-22, -0x1.020b242a55bbbp-21, -0x1.195a19888df01p-21, -0x1.3052d4e67fbccp-21, -0x1.46f57f19416f5p-21, -0x1.5d42456406de7p-21, -0x1.7339595e39cf3p-21, -0x1.88daf0d644918p-21, -0x1.9e2745b94e0fep-21, -0x1.b31e95f7dce3p-21, -0x1.c7c1236cefe57p-21, -0x1.dc0f33c2f4c06p-21, -0x1.f009105cf6fd8p-21, -0x1.01d7831d6190ep-20, -0x1.0b80b2f156bc4p-20, -0x1.150041a42fdb3p-20, -0x1.1e565ad99b807p-20, -0x1.27832bd481887p-20, -0x1.3086e36ae1034p-20, -0x1.3961b1fa4e601p-20, -0x1.4213c95c63e0bp-20, -0x1.4a9d5cdb02c7ap-20, -0x1.52fea125a5c4ap-20, -0x1.5b37cc471d726p-20, -0x1.6349159a08dc1p-20, -0x1.6b32b5be042bep-20, -0x1.72f4e68d497dap-20, -0x1.7a8fe312b725fp-20, -0x1.8203e77f4951cp-20, -0x1.895131202bd51p-20, -0x1.9077fe5481095p-20, -0x1.97788e841504dp-20, -0x1.9e532215b80cp-20, -0x1.a507fa653f152p-20, -0x1.ab9759bad98fap-20, -0x1.b2018341e4e3fp-20, -0x1.b846baff4ef6ap-20, -0x1.be6745c8c0201p-20, -0x1.c463693d010b3p-20, -0x1.ca3b6bba6c352p-20, -0x1.cfef94563ba3p-20, -0x1.d5802ad4bc059p-20, -0x1.daed77a10ee09p-20, -0x1.e037c3c5c699p-20, -0x1.e55f58e3b9f4fp-20, -0x1.ea64812b06c5dp-20, -0x1.ef478753d9c68p-20, -0x1.f408b6963438p-20, -0x1.f8a85aa2c758ep-20, -0x1.fd26bf9c02973p-20, -0x1.00c219076e4acp-19, -0x1.02e07f761a2fcp-19, -0x1.04eeb9c0ac5bfp-19, -0x1.06eceeb9055a7p-19, -0x1.08db4558c15cfp-19, -0x1.0ab9e4bdef2d2p-19, -0x1.0c88f428619c1p-19, -0x1.0e489af64f64ep-19, -0x1.0ff900a0e942bp-19, }}, 
      {{0x1.21bc1e5de72e1p-1, 0x1.21952adcb9ab6p-1, 0x1.215461c8c047dp-1, 0x1.20f9f5a433f17p-1, 0x1.20862bee50ee6p-1, 0x1.1ff95c08f891ep-1, 0x1.1f53edee14212p-1, 0x1.1e9658c3bbb26p-1, 0x1.1dc1215c75b14p-1, 0x1.1cd4d8aede0aep-1, 0x1.1bd21a4df7ff1p-1, 0x1.1ab98ae988b09p-1, 0x1.198bd6dc2169cp-1, 0x1.1849b0cb08f23p-1, 0x1.16f3d05af639ep-1, 0x1.158af0fb828d9p-1, 0x1.140fd0ca6868ap-1, 0x1.12832f8ef2813p-1, 0x1.10e5cdcd78189p-1, 0x1.0f386bf25c762p-1, 0x1.0d7bc993b8f26p-1, 0x1.0bb0a4c89c458p-1, 0x1.09d7b994a97bap-1, 0x1.07f1c166c2241p-1, 0x1.05ff72a9612c9p-1, 0x1.0401806342d1fp-1, 0x1.01f899e701114p-1, 0x1.ffcad5209a36ep-2, 0x1.fb91331b0d718p-2, 0x1.f7459368ef2a1p-2, 0x1.f2e932c22c427p-2, 0x1.ee7d44ba7427ep-2, 0x1.ea02f3a09e35ep-2, 0x1.e57b606c2b374p-2, 0x1.e0e7a2b743d75p-2, 0x1.dc48c8c3a7c08p-2, 0x1.d79fd78925a5p-2, 0x1.d2edcacc5dc77p-2, 0x1.ce33953ca4d1cp-2, 0x1.c9722097f72fdp-2, 0x1.c4aa4dd410bf2p-2, 0x1.bfdcf54bcf20cp-2, 0x1.bb0ae6f011bap-2, 0x1.b634ea7b6fd2fp-2, 0x1.b15bbfa822193p-2, 0x1.ac801e6792587p-2, 0x1.a7a2b71b10fddp-2, 0x1.a2c432cd48999p-2, 0x1.9de5336bfe584p-2, 0x1.99065401d9f5bp-2, 0x1.942828efd62b2p-2, 0x1.8f4b40262c4a8p-2, 0x1.8a70215c6cbecp-2, 0x1.85974e48a99d6p-2, 0x1.80c142d57777cp-2, 0x1.7bee7556b346cp-2, 0x1.771f56bce8eebp-2, 0x1.725452c746209p-2, 0x1.6d8dd0340db9p-2, 0x1.68cc30ef802d8p-2, 0x1.640fd24129a2ep-2, 0x1.5f590cf7a1fe1p-2, 0x1.5aa83592ace6cp-2, 0x1.55fd9c6bcca52p-2, 0x1.51598ddd41421p-2, 0x1.4cbc526782ddcp-2, 0x1.48262ed53cf48p-2, 0x1.4397645dd35d6p-2, 0x1.3f1030c6829a9p-2, 0x1.3a90ce8221a31p-2, 0x1.361974cf972eep-2, 0x1.31aa57d70b50bp-2, 0x1.2d43a8c5e8b72p-2, 0x1.28e595e9b9e6bp-2, 0x1.24904ac9eba7cp-2, 0x1.2043f0408aa77p-2, 0x1.1c00ac9204349p-2, 0x1.17c6a383f97e2p-2, 0x1.1395f67330c31p-2, 0x1.0f6ec468b1a3bp-2, 0x1.0b512a2e1c6b6p-2, 0x1.073d42613cc24p-2, 0x1.03332586f1499p-2, 0x1.fe65d43ac859cp-3, 0x1.f679495b51c83p-3, 0x1.eea0cfb980ee7p-3, 0x1.e6dc88f82751dp-3, 0x1.df2c9332c60fcp-3, 0x1.d791091c73502p-3, 0x1.d00a021dd5bddp-3, 0x1.c89792722d39ap-3, 0x1.c139cb4394c22p-3, 0x1.b9f0bac664f0ap-3, 0x1.b2bc6c53de9e8p-3, 0x1.ab9ce88413268p-3, 0x1.a49235471854p-3, 0x1.9d9c55fd936f5p-3, 0x1.96bb4b9098c4ap-3, 0x1.8fef1488ef792p-3, 0x1.8937ad25b62b8p-3, 0x1.82950f7278339p-3, 0x1.7c07335ca9d49p-3, 0x1.758e0ec89cfap-3, 0x1.6f2995a5eaf9fp-3, 0x1.68d9ba0358a3cp-3, 0x1.629e6c22349bdp-3, 0x1.5c779a893d356p-3, 0x1.56653217017a5p-3, 0x1.50671e13ce16dp-3, 0x1.4a7d48431c7d3p-3, 0x1.44a798f49333cp-3, 0x1.3ee5f7148cc11p-3, 0x1.3938483c2fc29p-3, 0x1.339e70c1174e2p-3, 0x1.2e1853c490e41p-3, 0x1.28a5d34268087p-3, 0x1.2346d01f4bd3p-3, 0x1.1dfb2a36d2dc8p-3, 0x1.18c2c0690cd22p-3, 0x1.139d70a7b9703p-3, 0x1.0e8b18031a543p-3, 0x1.098b92b6624b5p-3, 0x1.049ebc33c8451p-3, 0x1.ff88de60784e7p-4, 0x1.f5f90b5d8595dp-4, 0x1.ec8db216e0ad9p-4, 0x1.e346840c332ddp-4, 0x1.da233199405acp-4, 0x1.d1236a09e477dp-4, 0x1.c846dbad794bbp-4, 0x1.bf8d33e981ec3p-4, 0x1.b6f61f4bcb8ffp-4, 0x1.ae81499bf3901p-4, 0x1.a62e5dec4d53ep-4, 0x1.9dfd06aa3d40dp-4, 0x1.95ecedae0b54fp-4, 0x1.8dfdbc4a17991p-4, 0x1.862f1b599b2b8p-4, 0x1.7e80b34ed936dp-4, 0x1.76f22c40d24bfp-4, 0x1.6f832df87b5cfp-4, 0x1.68335ffd78836p-4, 0x1.610269a263d89p-4, 0x1.59eff2109f23cp-4, 0x1.52fba053b5d22p-4, 0x1.4c251b6452642p-4, 0x1.456c0a32c96b7p-4, 0x1.3ed013b13df97p-4, 0x1.3850dedd63b65p-4, 0x1.31ee12c9dcdeap-4, 0x1.2ba756a73e2eap-4, 0x1.257c51ccb4283p-4, 0x1.1f6cabc053062p-4, 0x1.19780c3f0e327p-4, 0x1.139e1b445ea33p-4, 0x1.0dde811197696p-4, 0x1.0838e634ed321p-4, 0x1.02acf390308d1p-4, 0x1.fa74a4be80d88p-5, 0x1.efc1587c69b9fp-5, 0x1.e53f565e88872p-5, 0x1.daedf340cd97ep-5, 0x1.d0cc84e171defp-5, 0x1.c6da61eb3e5aap-5, 0x1.bd16e1ff596e3p-5, 0x1.b3815dbea0799p-5, 0x1.aa192ed28e09bp-5, 0x1.a0ddaff5b241ep-5, 0x1.97ce3cfbbff5ep-5, 0x1.8eea32d932ac3p-5, 0x1.8630efaa9168ep-5, 0x1.7da1d2bb4c7cap-5, 0x1.753c3c8c419c9p-5, 0x1.6cff8ed9e2623p-5, 0x1.64eb2ca202d5bp-5, 0x1.5cfe7a2951c43p-5, 0x1.5538dd007fcffp-5, 0x1.4d99bc0913773p-5, 0x1.46207f79f1cf9p-5, 0x1.3ecc90e399259p-5, 0x1.379d5b341598p-5, 0x1.30924abaab1bbp-5, 0x1.29aacd2b3e681p-5, 0x1.22e651a17785ap-5, 0x1.1c4448a3a77d7p-5, 0x1.15c424256be38p-5, 0x1.0f65578a19616p-5, 0x1.092757a6e8addp-5, 0x1.03099ac4eb39ap-5, 0x1.fa17314592a58p-6, 0x1.ee5994ec95993p-6, 0x1.e2d955db55c34p-6, 0x1.d7956c6174f18p-6, 0x1.cc8cd3c3a73e4p-6, 0x1.c1be8a3d312aap-6, 0x1.b72991011904dp-6, 0x1.acccec3af4624p-6, 0x1.a2a7a30f63f8fp-6, 0x1.98b8bf9c415dp-6, 0x1.8eff4ef8735f4p-6, 0x1.857a61337e2afp-6, 0x1.7c290954bfa53p-6, 0x1.730a5d5a6f48fp-6, 0x1.6a1d763848dccp-6, 0x1.61616fd600465p-6, 0x1.58d5690d6fb26p-6, 0x1.507883a882307p-6, 0x1.4849e45eeaee4p-6, 0x1.4048b2d396168p-6, 0x1.38741991ed594p-6, 0x1.30cb460ada4f6p-6, 0x1.294d68919df13p-6, 0x1.21f9b4586f0d5p-6, 0x1.1acf5f6cebb67p-6, 0x1.13cda2b457523p-6, 0x1.0cf3b9e7b4114p-6, 0x1.0640e38fa637bp-6, 0x1.ff68c20070de7p-7, 0x1.f29aeca8e3502p-7, 0x1.e616d4d38cc45p-7, 0x1.d9db0db6d1c79p-7, 0x1.cde62ffae577cp-7, 0x1.c236d9afd793bp-7, 0x1.b6cbae437580dp-7, 0x1.aba35676d5773p-7, 0x1.a0bc8053be7f1p-7, 0x1.9615df21ccdfap-7, 0x1.8bae2b5b69857p-7, 0x1.818422a28bed7p-7, 0x1.779687b5506fp-7, 0x1.6de4226268865p-7, 0x1.646bbf7d55a41p-7, 0x1.5b2c30d28c0fep-7, 0x1.52244d1b67593p-7, 0x1.4952eff1ffd26p-7, 0x1.40b6f9c4e721fp-7, 0x1.384f4fcac0f1p-7, 0x1.301adbf5c28cap-7, 0x1.28188ce71d8e4p-7, 0x1.204755e2519bfp-7, 0x1.18a62ec06a07bp-7, 0x1.113413e32a43bp-7, 0x1.09f006282bd77p-7, 0x1.02d90adbeae17p-7, 0x1.f7dc5759917dbp-8, 0x1.ea5ced3c0801p-8, 0x1.dd31fbf54f05fp-8, 0x1.d059b090e3005p-8, 0x1.c3d240757031cp-8, 0x1.b799e94a8fea1p-8, 0x1.abaef0de872ffp-8, 0x1.a00fa50bf70ebp-8, 0x1.94ba5b9fa6397p-8, 0x1.89ad723e38a9ep-8, 0x1.7ee74e49fc146p-8, 0x1.74665cc8ba8c7p-8, 0x1.6a2912499f2d5p-8, 0x1.602deacb20f3ap-8, 0x1.567369a10a053p-8, 0x1.4cf8195a8b5aep-8, 0x1.43ba8ba86fa93p-8, 0x1.3ab959435f746p-8, 0x1.31f321d24192p-8, 0x1.29668bd0beda4p-8, 0x1.21124475e0966p-8, 0x1.18f4ff9acde55p-8, 0x1.110d77a1af20bp-8, 0x1.095a6d5cb8f1p-8, 0x1.01daa7f55460ep-8, 0x1.f519e9a6f2a35p-9, 0x1.e6e04f0a5a7fcp-9, 0x1.d906334c53ffbp-9, 0x1.cb89558f723a5p-9, 0x1.be6780b16952ep-9, 0x1.b19e8b1b78cc8p-9, 0x1.a52c56932daf8p-9, 0x1.990ed00b8e846p-9, 0x1.8d43ef76ab83ap-9, 0x1.81c9b7978de86p-9, 0x1.769e35d4986b1p-9, 0x1.6bbf820a4c7fbp-9, 0x1.612bbe5e7f9c3p-9, 0x1.56e11713fff46p-9, 0x1.4cddc25e9a9afp-9, 0x1.43200037ae5e3p-9, 0x1.39a61a3308f4ep-9, 0x1.306e63545dda3p-9, 0x1.277737e51c4ccp-9, 0x1.1ebefd4abb867p-9, 0x1.164421dd7f6ccp-9, 0x1.0e051cbfbaca5p-9, 0x1.06006db57e2f8p-9, 0x1.fc6939f987974p-10, 0x1.ed40764c277f9p-10, 0x1.de83c1db4d15ap-10, 0x1.d0305e29e716fp-10, 0x1.c2439c7992de3p-10, 0x1.b4badd7faf8e8p-10, 0x1.a793911b63502p-10, 0x1.9acb360c9de14p-10, 0x1.8e5f59ac1519cp-10, 0x1.824d97a4229d1p-10, 0x1.769399aaaea36p-10, 0x1.6b2f173bf88f9p-10, 0x1.601dd55664bb5p-10, 0x1.555da6373472cp-10, 0x1.4aec691836c2ep-10, 0x1.40c809ee6a39dp-10, 0x1.36ee81298695dp-10, 0x1.2d5dd3748baa7p-10, 0x1.2414117728714p-10, 0x1.1b0f579822cfdp-10, 0x1.124dcdc0a3ebbp-10, 0x1.09cda720720f8p-10, 0x1.018d21f31ca18p-10, 0x1.f3150e8bfd2bap-11, 0x1.e388557e7dfd4p-11, 0x1.d470d4cb5ed29p-11, 0x1.c5cb5cd31252cp-11, 0x1.b794d1dc2ff58p-11, 0x1.a9ca2ba87e932p-11, 0x1.9c68750bba1d3p-11, 0x1.8f6ccb8442e09p-11, 0x1.82d45ed52d305p-11, 0x1.769c70a267a43p-11, 0x1.6ac2540e4679ep-11, 0x1.5f436d58e8f6fp-11, 0x1.541d318139f8ep-11, 0x1.494d25e7823d5p-11, 0x1.3ed0dff1c67c3p-11, 0x1.34a604b18dcaep-11, 0x1.2aca488b6b429p-11, 0x1.213b6ee00f76ap-11, 0x1.17f749b6c7627p-11, 0x1.0efbb969c38e9p-11, 0x1.0646ac53bae2fp-11, 0x1.fbac3cfe12b4ep-12, 0x1.eb5032ace0d77p-12, 0x1.db7566ae64e4fp-12, 0x1.cc181f8965114p-12, 0x1.bd34bcbae49a3p-12, 0x1.aec7b623249a3p-12, 0x1.a0cd9b7553342p-12, 0x1.934313a9e98b4p-12, 0x1.8624dc73fd701p-12, 0x1.796fc9b927bap-12, 0x1.6d20c50be44ap-12, 0x1.6134cd28ea416p-12, 0x1.55a8f576d064ep-12, 0x1.4a7a6588557cep-12, 0x1.3fa658a13e4a2p-12, 0x1.352a1d3d8666dp-12, 0x1.2b03149b1bedbp-12, 0x1.212eb245ea72cp-12, 0x1.17aa7ba6704e8p-12, 0x1.0e7407927ab39p-12, 0x1.0588fde0343d2p-12, 0x1.f9ce2df6fca05p-13, 0x1.e91836fb30026p-13, 0x1.d8ebc78d922eap-13, 0x1.c944af3498564p-13, 0x1.ba1edb78d5a4bp-13, 0x1.ab765724f3c1ap-13, 0x1.9d47498a250a3p-13, 0x1.8f8df5c88ecd5p-13, 0x1.8246ba1b7666cp-13, 0x1.756e0f299c683p-13, 0x1.6900875912924p-13, 0x1.5cface27308b8p-13, 0x1.5159a7841905ep-13, 0x1.4619ef31c81ccp-13, 0x1.3b389826d8dc6p-13, 0x1.30b2abf49b439p-13, 0x1.26854a3113df7p-13, 0x1.1cada7e392549p-13, 0x1.13290ef58547p-13, 0x1.09f4dda5c041ap-13, 0x1.010e85ff8acaep-13, 0x1.f0e71aa92987cp-14, 0x1.e0431773f69d9p-14, 0x1.d02c5710d5affp-14, 0x1.c09e51be3c9e4p-14, 0x1.b194a253ea6a5p-14, 0x1.a30b05547d5b6p-14, 0x1.94fd5804bb376p-14, 0x1.8767978857818p-14, 0x1.7a45e00408e96p-14, 0x1.6d946bc539c07p-14, 0x1.614f926e6b41dp-14, 0x1.5573c82935dcbp-14, 0x1.49fd9cdc91d98p-14, 0x1.3ee9bb68cd37ep-14, 0x1.3434e8e797a57p-14, 0x1.29dc03f154a24p-14, 0x1.1fdc03e6623c4p-14, 0x1.1631f83d6f90fp-14, 0x1.0cdb07d5dd289p-14, 0x1.03d4704e94257p-14, 0x1.f6370ac22b8e9p-15, 0x1.e55b6080d4857p-15, 0x1.d510ddf95fbb3p-15, 0x1.c552a7d3942p-15, 0x1.b61c0a1540adbp-15, 0x1.a768770015a2bp-15, 0x1.993385f613e31p-15, 0x1.8b78f265e248dp-15, 0x1.7e349abe57a14p-15, 0x1.71627f68a76bcp-15, 0x1.64fec1c964285p-15, 0x1.5905a34803fa2p-15, 0x1.4d73845d454cap-15, 0x1.4244e3a76a4dep-15, 0x1.37765d0520893p-15, 0x1.2d04a8b614d37p-15, 0x1.22ec9a819c626p-15, 0x1.192b20e346602p-15, 0x1.0fbd443cb5a89p-15, 0x1.06a0260d64184p-15, 0x1.fba2005f3fee7p-16, 0x1.ea9a48354e13ep-16, 0x1.da23f454999c5p-16, 0x1.ca3a01d6599efp-16, 0x1.bad798d862c95p-16, 0x1.abf80b28d9058p-16, 0x1.9d96d2fc7db2p-16, 0x1.8faf91acadbeep-16, 0x1.823e0e7fcef71p-16, 0x1.753e3578a7be9p-16, 0x1.68ac16302039ap-16, 0x1.5c83e2b58ecaap-16, 0x1.50c1ee78898cdp-16, 0x1.4562ad3972b5p-16, 0x1.3a62b20256f7cp-16, 0x1.2fbeae274c453p-16, 0x1.2573704d91e6fp-16, 0x1.1b7de37aa7d8ep-16, 0x1.11db0e2971edbp-16, 0x1.088811673bd83p-16, 0x1.ff044feb7b55dp-17, 0x1.ed8d4aeaed61p-17, 0x1.dca5eb29251cp-17, 0x1.cc49368a3ce72p-17, 0x1.bc725ff186b39p-17, 0x1.ad1cc5c43a263p-17, 0x1.9e43f0780da5ep-17, 0x1.8fe3912c43a14p-17, 0x1.81f7804ddd4ffp-17, 0x1.747bbc46a51c5p-17, 0x1.676c6835111a2p-17, 0x1.5ac5caaf33e8bp-17, 0x1.4e844c8f269c5p-17, 0x1.42a477c7dd088p-17, 0x1.3722f644e3473p-17, 0x1.2bfc90d109747p-17, 0x1.212e2e06fa006p-17, 0x1.16b4d14a2104dp-17, 0x1.0c8d99c6ec2a1p-17, 0x1.02b5c17bdc66p-17, 0x1.f25538945ed35p-18, 0x1.dfd32e1a5cac2p-18, 0x1.cde06d74d841fp-18, 0x1.bc782f0f85e9ap-18, 0x1.ab95d83165d56p-18, 0x1.9b34f964e3704p-18, 0x1.8b514ced5e205p-18, 0x1.7be6b548d1b2fp-18, 0x1.6cf13bbdeb1eap-18, 0x1.5e6d0ef7396c5p-18, 0x1.505681a803087p-18, 0x1.42aa093e90df2p-18, 0x1.35643c9eff601p-18, 0x1.2881d2eb7bca6p-18, 0x1.1bffa254b9441p-18, 0x1.0fda9ef573c97p-18, 0x1.040fd9b773339p-18, 0x1.f138fe8605809p-19, 0x1.dafbade9bd837p-19, 0x1.c56283c1422b9p-19, 0x1.b06873b24dee5p-19, 0x1.9c08a1043f1f3p-19, 0x1.883e5cd5df5c7p-19, 0x1.7505245f9596cp-19, 0x1.62589f4765988p-19, 0x1.50349e015464p-19, 0x1.3e95184065a95p-19, 0x1.2d762b7560998p-19, 0x1.1cd41959ca4bp-19, 0x1.0cab4688a654fp-19, 0x1.f9f0724b8c75dp-20, 0x1.db6f2f1d2f927p-20, 0x1.bdcc4e2e69135p-20, 0x1.a10195aa5c6b3p-20, 0x1.850904e8f94dbp-20, 0x1.69dcd2298724ep-20, 0x1.4f77686c7b059p-20, 0x1.35d36559eaf9ap-20, 0x1.1ceb973cd7db5p-20, 0x1.04bafb12859c7p-20, 0x1.da7975592c179p-21, 0x1.acd855c8b8c14p-21, 0x1.808993bc3f636p-21, 0x1.55847ac35fa0bp-21, 0x1.2bc0a27c30f27p-21, 0x1.0335eb801432cp-21, 0x1.b7b8f8cc7e281p-22, 0x1.6b597ddd1745ap-22, 0x1.213eba88f6b1ep-22, 0x1.b2b4fd57aebfdp-23, 0x1.273e213ab0d2p-23, 0x1.3ffca1650ae2p-24, 0x1.cdbd59a5bf73ap-27, -0x1.8908d566606c5p-25, -0x1.bae7da4f04aa2p-24, -0x1.54d0aed9aba7fp-23, -0x1.c86f1f667fd73p-23, -0x1.1c3299b262a8ap-22, -0x1.52641b241b945p-22, -0x1.86d668b1e67fep-22, -0x1.b993895c5221ep-22, -0x1.eaa539ad11f95p-22, -0x1.0d0a77685fe5dp-21, -0x1.23f5ecc6f721p-21, -0x1.3a19748bd85cp-21, -0x1.4f7966e50618cp-21, -0x1.6419fdde2c3e6p-21, -0x1.77ff56a02608ep-21, -0x1.8b2d72a5455b6p-21, -0x1.9da838da5ea2ep-21, -0x1.af7376b6454d2p-21, -0x1.c092e1457b5cbp-21, -0x1.d10a1629a693cp-21, -0x1.e0dc9c8adac23p-21, -0x1.f00de5ffbb7f7p-21, -0x1.fea14f6f25246p-21, -0x1.064d10f17691dp-20, -0x1.0cfdc9a9e7648p-20, -0x1.136463b4585c6p-20, -0x1.1982681916df1p-20, -0x1.1f59576c0c81bp-20, -0x1.24eaaa20acfedp-20, -0x1.2a37d0d994b64p-20, -0x1.2f4234b53d3c6p-20, -0x1.340b37970c0b1p-20, -0x1.3894346b4817ep-20, -0x1.3cde7f69f619fp-20, -0x1.40eb6655350aap-20, -0x1.44bc30b406143p-20, -0x1.4852200b1b85cp-20, -0x1.4bae7012402a9p-20, -0x1.4ed256e7ef28ep-20, -0x1.51bf054244ce1p-20, -0x1.5475a69c42922p-20, -0x1.56f7616262b6p-20, -0x1.5945571ba1aebp-20, -0x1.5b60a49117c97p-20, -0x1.5d4a61f34c95p-20, -0x1.5f03a2fc2625ap-20, -0x1.608d771246f91p-20, -0x1.61e8e9689ff1dp-20, -0x1.6317011bb405dp-20, -0x1.6418c14ed99fbp-20, -0x1.64ef294735c55p-20, -0x1.659b348477f09p-20, -0x1.661ddad9f0fc3p-20, -0x1.66781083e3ea8p-20, -0x1.66aac63e544bp-20, -0x1.66b6e958b5a53p-20, -0x1.669d63c9ea71dp-20, -0x1.665f1c41d6cdcp-20, -0x1.65fcf63ac75d6p-20, -0x1.6577d209a20dap-20, -0x1.64d08ced5ae76p-20, -0x1.6408011cc1c3bp-20, -0x1.631f05d40bfacp-20, -0x1.62166f629a05ep-20, -0x1.60ef0f367dd2fp-20, -0x1.5fa9b3e7d9e55p-20, -0x1.5e4729443bd9p-20, -0x1.5cc838589f553p-20, -0x1.5b2da77a8f047p-20, -0x1.59783a521077fp-20, -0x1.57a8b1e15c42cp-20, -0x1.55bfcc8d29a86p-20, -0x1.53be4624fc999p-20, -0x1.51a4d7e9d5cabp-20, -0x1.4f7438957099ep-20, -0x1.4d2d1c60ce40cp-20, -0x1.4ad0350a581bep-20, -0x1.485e31dbcbc26p-20, -0x1.45d7bfaff0ed5p-20, -0x1.433d88f76e8d6p-20, -0x1.409035be5aa6fp-20, -0x1.3dd06bb130d66p-20, -0x1.3afece2143189p-20, -0x1.381bfe095661ep-20, -0x1.35289a124be49p-20, -0x1.32253e96a457cp-20, -0x1.2f1285a705807p-20, -0x1.2bf1070e1517bp-20, -0x1.28c15853e62a6p-20, -0x1.25840cc18c848p-20, -0x1.2239b565aa4c1p-20, -0x1.1ee2e116bd25p-20, -0x1.1b801c774d424p-20, -0x1.1811f1f96c102p-20, -0x1.1498e9e18cdap-20, -0x1.11158a49e6a23p-20, -0x1.0d885725eabafp-20, -0x1.09f1d2459236p-20, -0x1.06527b57f9174p-20, -0x1.02aacfef1bb71p-20, -0x1.fdf69705f5273p-21, -0x1.f688cee94527ep-21, -0x1.ef0d3622962aap-21, -0x1.e784b72bc2ff8p-21, -0x1.dff0386410298p-21, -0x1.d8509c165ad4dp-21, -0x1.d0a6c07fec7p-21, -0x1.c8f37fd6d44a9p-21, -0x1.c137b050793b9p-21, -0x1.b9742428553fep-21, -0x1.b1a9a9a6e9d19p-21, -0x1.a9d90b27e1432p-21, -0x1.a2030f2169021p-21, -0x1.9a28782b269f4p-21, -0x1.924a05051b164p-21, -0x1.8a68709e3311dp-21, -0x1.8284721bf00a7p-21, -0x1.7a9ebce20ab55p-21, -0x1.72b8009856585p-21, -0x1.6ad0e933ab582p-21, -0x1.62ea1efca85eep-21, -0x1.5b04469730d29p-21, -0x1.5320010a6d1c6p-21, -0x1.4b3debc852585p-21, -0x1.435ea0b5363cfp-21, -0x1.3b82b62fe8fb9p-21, -0x1.33aabf1a033ccp-21, -0x1.2bd74adf62be5p-21, -0x1.2408e57e6567bp-21, -0x1.1c401790b8a23p-21, -0x1.147d665289a41p-21, -0x1.0cc153abf2f74p-21, -0x1.050c5e38d1dd9p-21, -0x1.fabe02a24b31p-22, -0x1.eb736a23cff61p-22, -0x1.dc39dccbc1d0bp-22, -0x1.cd123e1b61f7bp-22, -0x1.bdfd6b521be55p-22, -0x1.aefc3b7e6eca6p-22, -0x1.a00f7f9076852p-22, -0x1.9138026b50ac8p-22, -0x1.827688f60253p-22, -0x1.73cbd22e6d5d6p-22, -0x1.6538973c1a7fap-22, -0x1.56bd8b800b38bp-22, -0x1.485b5ca86a64dp-22, -0x1.3a12b2c3982d8p-22, -0x1.2be4305078febp-22, -0x1.1dd0725224b77p-22, -0x1.0fd81061e2827p-22, -0x1.01fb9cc10c3d9p-22, -0x1.e87748da60123p-23, -0x1.cd315e61a3378p-23, -0x1.b2267f6d07243p-23, -0x1.9757a73581614p-23, -0x1.7cc5c6ff3714ep-23, -0x1.6271c63dcd3ebp-23, -0x1.485c82b7684d6p-23, -0x1.2e86d0ac46734p-23, -0x1.14f17afbd8086p-23, -0x1.f73a868e4858cp-24, -0x1.c515c42c43718p-24, -0x1.93760dfe575a5p-24, -0x1.625cb1927374bp-24, -0x1.31caeb21dd8c3p-24, -0x1.01c1e5db560f8p-24, -0x1.a485785259fffp-25, -0x1.469ceff8c03d4p-25, -0x1.d3984c5007f25p-26, -0x1.1c29dd1c2e403p-26, -0x1.9bc7ecaa79cc2p-28, 0x1.3030b84e21d5bp-28, 0x1.f99b5f197192fp-27, 0x1.ab4fd5523770bp-26, 0x1.2bc812c947256p-25, 0x1.80c62fbe8cf0fp-25, 0x1.d4a13d178c323p-25, 0x1.13ac28e77977bp-24, 0x1.3c754fdf4cc8ap-24, 0x1.64abb98d5ccc4p-24, 0x1.8c4f18f463c78p-24, 0x1.b35f2dbbd2f6fp-24, 0x1.d9dbc3ec3ed4ep-24, 0x1.ffc4b3b091787p-24, 0x1.128cf089205p-23, 0x1.24ed9dda4162cp-23, 0x1.37045f4c2af22p-23, 0x1.48d137ed78502p-23, 0x1.5a54303adf17ep-23, 0x1.6b8d55ffcadabp-23, 0x1.7c7cbc366189bp-23, 0x1.8d227ae8c43cp-23, 0x1.9d7eaf1390021p-23, 0x1.ad917a848782cp-23, 0x1.bd5b03bf33105p-23, 0x1.ccdb75df46bc6p-23, 0x1.dc130078ebee5p-23, 0x1.eb01d77cfb17p-23, 0x1.f9a8331c12dbbp-23, 0x1.040327d528548p-22, 0x1.0b0e36c146613p-22, 0x1.11f5687547ac9p-22, 0x1.18b8e0fc1d7dbp-22, 0x1.1f58c63abfa16p-22, 0x1.25d53fe27589cp-22, 0x1.2c2e77638da61p-22, 0x1.326497e12b45fp-22, 0x1.3877ce23a403fp-22, 0x1.3e68488bdd986p-22, 0x1.443637063fc29p-22, 0x1.49e1caff1797dp-22, 0x1.4f6b37555efeap-22, 0x1.54d2b04fcb16p-22, 0x1.5a186b8fcfa44p-22, 0x1.5f3ca00662527p-22, 0x1.643f85e817e1ep-22, 0x1.692156a1cef5ep-22, 0x1.6de24ccd2c498p-22, 0x1.7282a425be4d4p-22, 0x1.7702997e632c8p-22, 0x1.7b626ab65c46dp-22, 0x1.7fa256ae43399p-22, 0x1.83c29d3e01ap-22, 0x1.87c37f2aa5c7bp-22, 0x1.8ba53e1bf2379p-22, 0x1.8f681c92f3286p-22, 0x1.930c5ddff4e39p-22, 0x1.96924618bdebep-22, 0x1.99fa1a0f4c1f7p-22, 0x1.9d441f48711b4p-22, 0x1.a0709bf2e3c22p-22, 0x1.a37fd6de4727ap-22, 0x1.a67217727e7f9p-22, 0x1.a947a5a70695bp-22, 0x1.ac00c9fa22142p-22, 0x1.ae9dcd68e3257p-22, 0x1.b11ef9673851ep-22, 0x1.b38497d78c861p-22, 0x1.b5cef30342288p-22, 0x1.b7fe5593025e6p-22, 0x1.ba130a86eecddp-22, 0x1.bc0d5d2f077bcp-22, 0x1.bded992457e44p-22, 0x1.bfb40a41d8704p-22, 0x1.c160fc9dbdae3p-22, 0x1.c2f4bc826d9c8p-22, 0x1.c46f9667ba979p-22, 0x1.c5d1d6ec5e613p-22, 0x1.c71bcad014436p-22, 0x1.c84dbeed0adebp-22, 0x1.c9680031cc083p-22, 0x1.ca6adb9b65adcp-22, 0x1.cb569e2f9842dp-22, 0x1.cc2b94f7607d3p-22, 0x1.ccea0cf8da961p-22, 0x1.cd92533217a89p-22, 0x1.ce24b494066e5p-22, 0x1.cea17dfd70bd5p-22, 0x1.cf08fc35d06fcp-22, 0x1.cf5b7be84c6bap-22, 0x1.cf99499ee103dp-22, 0x1.cfc2b1be1576ep-22, 0x1.cfd80080269eap-22, 0x1.cfd981f0d3f4p-22, 0x1.cfc781e900c3ap-22, 0x1.cfa24c0a8f07cp-22, 0x1.cf6a2bbc3c903p-22, 0x1.cf1f6c25c46b8p-22, 0x1.cec2582c05626p-22, 0x1.ce533a6d0a799p-22, 0x1.cdd25d3cfa08dp-22, 0x1.cd400aa23c36ep-22, 0x1.cc9c8c52357dcp-22, 0x1.cbe82badbf3dp-22, 0x1.cb2331be39674p-22, 0x1.ca4de73269ebdp-22, 0x1.c968945b67312p-22, 0x1.c8738129a6121p-22, 0x1.c76ef52a7fc2ap-22, 0x1.c65b3785310b9p-22, 0x1.c5388ef864cb1p-22, 0x1.c40741d76afddp-22, 0x1.c2c79607fa971p-22, 0x1.c179d0ffec6e4p-22, 0x1.c01e37c2fd172p-22, 0x1.beb50ee095a52p-22, 0x1.bd3e9a71bd03ep-22, 0x1.bbbb1e16f6dd3p-22, 0x1.ba2adcf684b99p-22, 0x1.b88e19ba67f31p-22, 0x1.b6e5168ee8eecp-22, 0x1.b53015208bafbp-22, 0x1.b36f569adf01bp-22, 0x1.b1a31ba6761fp-22, 0x1.afcba467ddabdp-22, 0x1.ade9307decfb3p-22, 0x1.abfbff00a4e7fp-22, 0x1.aa044e7fdbf2ep-22, 0x1.a8025d020cf7fp-22, 0x1.a5f6680378e56p-22, 0x1.a3e0ac74dab15p-22, 0x1.a1c166ba4f6bcp-22, 0x1.9f98d2aabf716p-22, 0x1.9d672b8ec42f3p-22, 0x1.9b2cac1fdbd65p-22, 0x1.98e98e87ef267p-22, 0x1.969e0c606215p-22, 0x1.944a5eb158912p-22, 0x1.91eebdf149adfp-22, 0x1.8f8b6204ac9f7p-22, 0x1.8d20823d48908p-22, 0x1.8aae55599673fp-22, 0x1.88351184b92ep-22, 0x1.85b4ec561ff62p-22, 0x1.832e1ad123a67p-22, 0x1.80a0d164cd8c2p-22, 0x1.7e0d43ebd2551p-22, 0x1.7b73a5ac5c90fp-22, 0x1.78d42957b511cp-22, 0x1.762f010a7094p-22, 0x1.73845e4ca8eddp-22, 0x1.70d47211af951p-22, 0x1.6e1f6cb80816bp-22, 0x1.6b657e09b4a47p-22, 0x1.68a6d53ca5af4p-22, 0x1.65e3a0f27e699p-22, 0x1.631c0f38b50fap-22, 0x1.60504d89404d8p-22, 0x1.5d8088ca8e06p-22, 0x1.5aaced4ff713ap-22, 0x1.57d5a6da2c946p-22, 0x1.54fae09764a5ap-22, 0x1.521cc523e4bdfp-22, 0x1.4f3b7e8a80f54p-22, 0x1.4c573644d86eap-22, 0x1.4970153c1ba5ep-22, 0x1.468643c9725a7p-22, 0x1.4399e9b6763b2p-22, 0x1.40ab2e3dea71dp-22, }}, 
      {{-0x1.9f7d82b3378c9p-8, -0x1.9f8923f66828bp-7, -0x1.37b6a675d079ap-6, -0x1.9fbee6593affcp-6, -0x1.03f4a93a00182p-5, -0x1.38225c04c6366p-5, -0x1.6c7134e574d8ep-5, -0x1.a0eadbe5ff08ap-5, -0x1.d5999fbe197b7p-5, -0x1.05440a31f422ep-4, -0x1.1fe05832677e9p-4, -0x1.3aa6b77c3534fp-4, -0x1.559bbd6a0e8f3p-4, -0x1.70c3721e38486p-4, -0x1.8c2131d19f463p-4, -0x1.a7b7949faa463p-4, -0x1.c3885cb274779p-4, -0x1.df946a7863c14p-4, -0x1.fbdbb66436347p-4, -0x1.0c2ea7cfcb864p-3, -0x1.1a8baf858970bp-3, -0x1.290396f12072ap-3, -0x1.379497aef73bap-3, -0x1.463c865b57cfp-3, -0x1.54f8d97b22522p-3, -0x1.63c6b10a5712fp-3, -0x1.72a2de76e6cefp-3, -0x1.8189ecd631d27p-3, -0x1.9078292b85a45p-3, -0x1.9f69aa9d4a57dp-3, -0x1.ae5a5a7d6d32ap-3, -0x1.bd45fc0f83a91p-3, -0x1.cc2833fc7fa5ap-3, -0x1.dafc8f6840471p-3, -0x1.e9be8aa111d36p-3, -0x1.f86997642cdf9p-3, -0x1.037c915a78819p-2, -0x1.0ab44d2322c7p-2, -0x1.11d9b8bbab611p-2, -0x1.18ea92f2eb8a2p-2, -0x1.1fe4a1cc6e7d6p-2, -0x1.26c5b4640bd5bp-2, -0x1.2d8ba4a1c03bep-2, -0x1.343458bff6769p-2, -0x1.3abdc4a69459fp-2, -0x1.4125eb1d2b67bp-2, -0x1.476aded6a887bp-2, -0x1.4d8ac358e860fp-2, -0x1.5383cdc28f41p-2, -0x1.5954457174fc5p-2, -0x1.5efa848bee998p-2, -0x1.6474f86f2fc48p-2, -0x1.69c22204ef112p-2, -0x1.6ee09602628a7p-2, -0x1.73cefd12955d1p-2, -0x1.788c13ee0aacp-2, -0x1.7d16ab6177671p-2, -0x1.816da8455c15cp-2, -0x1.859003681489ap-2, -0x1.897cc96bef009p-2, -0x1.8d331a9ab2ec3p-2, -0x1.90b22aafea02dp-2, -0x1.93f9409b1e26ap-2, -0x1.9707b63b2e67cp-2, -0x1.99dcf813b0fb3p-2, -0x1.9c7884fd54ec4p-2, -0x1.9ed9edd203ba6p-2, -0x1.a100d51585483p-2, -0x1.a2ecee9b400a2p-2, -0x1.a49dff299f1d3p-2, -0x1.a613dc1b9a4cbp-2, -0x1.a74e6b00c52e1p-2, -0x1.a84da13c38e38p-2, -0x1.a91183a2a3b9cp-2, -0x1.a99a2617b8afp-2, -0x1.a9e7ab2b2d81cp-2, -0x1.a9fa43b56edcbp-2, -0x1.a9d22e7427a63p-2, -0x1.a96fb7a6b2522p-2, -0x1.a8d338aa88014p-2, -0x1.a7fd1797b557dp-2, -0x1.a6edc6dd61cd2p-2, -0x1.a5a5c4de6f2b9p-2, -0x1.a4259b8e35364p-2, -0x1.a26de00d5dda9p-2, -0x1.a07f3246e5e27p-2, -0x1.9e5a3c8d42985p-2, -0x1.9bffb337b1332p-2, -0x1.9970543fb7848p-2, -0x1.96ace6ded496dp-2, -0x1.93b63b2c70a0ep-2, -0x1.908d29bc08c93p-2, -0x1.8d32933bad282p-2, -0x1.89a76012cf459p-2, -0x1.85ec800173fc4p-2, -0x1.8202e9bfd6d54p-2, -0x1.7deb9a9e8817bp-2, -0x1.79a7962718772p-2, -0x1.7537e5bd63866p-2, -0x1.709d98418772ep-2, -0x1.6bd9c1b29c10fp-2, -0x1.66ed7ad241d97p-2, -0x1.61d9e0c91134ap-2, -0x1.5ca014cc05561p-2, -0x1.57413bc2f2f02p-2, -0x1.51be7df01b04ep-2, -0x1.4c190698f2e4fp-2, -0x1.465203b02a29dp-2, -0x1.406aa5810c926p-2, -0x1.3a641e5c42d63p-2, -0x1.343fa2461057dp-2, -0x1.2dfe66a6128cdp-2, -0x1.27a1a1f89a4b2p-2, -0x1.212a8b81a362bp-2, -0x1.1a9a5b017e4dp-2, -0x1.13f2486b38b45p-2, -0x1.0d338b9cc7e68p-2, -0x1.065f5c19073b5p-2, -0x1.feede1871e8a5p-3, -0x1.f0f6ff3ce195dp-3, -0x1.e2dc7b13a3905p-3, -0x1.d4a0bc0b0320dp-3, -0x1.c64625e8eb23fp-3, -0x1.b7cf18c4896b4p-3, -0x1.a93df0952cb92p-3, -0x1.9a9504c51b91p-3, -0x1.8bd6a7c868412p-3, -0x1.7d0526b7ac28ep-3, -0x1.6e22c8eecd6b1p-3, -0x1.5f31cfafa5b41p-3, -0x1.503475c8a011ep-3, -0x1.412cef3f3d272p-3, -0x1.321d68fe75cf5p-3, -0x1.23080888f529bp-3, -0x1.13eeebaf25a5cp-3, -0x1.04d42848fb139p-3, -0x1.eb7397e6fa78fp-4, -0x1.cd43b7a3dde85p-4, -0x1.af1ca8a54bb9ap-4, -0x1.910251eecc051p-4, -0x1.72f888427c73ap-4, -0x1.55030dbfbc6e8p-4, -0x1.37259188903ep-4, -0x1.1963af6daec65p-4, -0x1.f781df421d36dp-5, -0x1.bc818cddafb86p-5, -0x1.81cd27f91ca4bp-5, -0x1.476b481cbafeap-5, -0x1.0d625ba4b4832p-5, -0x1.a7714ec65c3f1p-6, -0x1.34e88c9bade69p-6, -0x1.866ca4da48dc6p-7, -0x1.4998b4774970dp-8, 0x1.d7cab93cc4c86p-10, 0x1.18ceaabac07b7p-7, 0x1.f49e87485b79p-7, 0x1.672a3fa53c72fp-6, 0x1.d2ee688a9a758p-6, 0x1.1ec919b72e2b4p-5, 0x1.538635a5f1893p-5, 0x1.87aa186ffb96dp-5, 0x1.bb307d3c18cf5p-5, 0x1.ee1549d928c7bp-5, 0x1.102a474afda5p-4, 0x1.28f54308d4139p-4, 0x1.4169ca8253877p-4, 0x1.598625016d391p-4, 0x1.7148ae9b70c3ep-4, 0x1.88afd80b72c2ap-4, 0x1.9fba26898e946p-4, 0x1.b666339f2eea5p-4, 0x1.ccb2acf867535p-4, 0x1.e29e543297c47p-4, 0x1.f827fea85d48cp-4, 0x1.06a74a9d7ba08p-3, 0x1.11088a0caa5f7p-3, 0x1.1b3745425b50ap-3, 0x1.25330d499acddp-3, 0x1.2efb7c7812903p-3, 0x1.3890364d4074dp-3, 0x1.41f0e750b615cp-3, 0x1.4b1d44ef7f1fdp-3, 0x1.54150d58aadfbp-3, 0x1.5cd807590a9eep-3, 0x1.656602363c8fdp-3, 0x1.6dbed588f7da3p-3, 0x1.75e26116c3ff1p-3, 0x1.7dd08cab0ae03p-3, 0x1.858947efa5132p-3, 0x1.8d0c8a44e162cp-3, 0x1.945a52991915dp-3, 0x1.9b72a73fd8e5bp-3, 0x1.a25595c8a4cd8p-3, 0x1.a90332d56a0b5p-3, 0x1.af7b99f0a81fap-3, 0x1.b5beed6350caap-3, 0x1.bbcd560a7b2dcp-3, 0x1.c1a7032cda3b2p-3, 0x1.c74c2a501fcbbp-3, 0x1.ccbd070e365d9p-3, 0x1.d1f9daea7206ap-3, 0x1.d702ed26aeee5p-3, 0x1.dbd88a9877b24p-3, 0x1.e07b057e2cabap-3, 0x1.e4eab5543f702p-3, 0x1.e927f6aa7e28p-3, 0x1.ed332af9875a1p-3, 0x1.f10cb87858fcfp-3, 0x1.f4b509f2152fbp-3, 0x1.f82c8e9bf915fp-3, 0x1.fb73b9eb895c1p-3, 0x1.fe8b036d089e3p-3, 0x1.00b9734d17738p-2, 0x1.0215f158974afp-2, 0x1.035b3d4609ef7p-2, 0x1.04899a3c38d94p-2, 0x1.05a14d07bba8dp-2, 0x1.06a29c0732e16p-2, 0x1.078dcf17b5a7bp-2, 0x1.08632f8176eafp-2, 0x1.092307e4a57d7p-2, 0x1.09cda42682b5bp-2, 0x1.0a63515eba273p-2, 0x1.0ae45dc4f60c6p-2, 0x1.0b51189eb5a9ap-2, 0x1.0ba9d22d65a7fp-2, 0x1.0beedb9cbd0c7p-2, 0x1.0c2086f15f3bfp-2, 0x1.0c3f26f7c5aefp-2, 0x1.0c4b0f3373184p-2, 0x1.0c4493ce6eacp-2, 0x1.0c2c09890b0c8p-2, 0x1.0c01c5a9f9bdap-2, 0x1.0bc61deeab1eep-2, 0x1.0b79687bfd8f7p-2, 0x1.0b1bfbcf39fa6p-2, 0x1.0aae2eaf5f8cfp-2, 0x1.0a30581ec0596p-2, 0x1.09a2cf4cf038p-2, 0x1.0905eb890262p-2, 0x1.085a0434194aap-2, 0x1.079f70b44a78dp-2, 0x1.06d68867d0398p-2, 0x1.05ffa2989499ap-2, 0x1.051b167006b3bp-2, 0x1.04293aeb4a971p-2, 0x1.032a66cfb4642p-2, 0x1.021ef09f9c3f7p-2, 0x1.01072e8f816f7p-2, 0x1.ffc6ecf6fdaddp-3, 0x1.fd683bba26e09p-3, 0x1.faf2f3827cb25p-3, 0x1.f867bd7dc6de4p-3, 0x1.f5c741db1a52dp-3, 0x1.f31227b8e8c18p-3, 0x1.f0491513bbb4p-3, 0x1.ed6caeb586ec8p-3, 0x1.ea7d98259d80bp-3, 0x1.e77c739942a4ep-3, 0x1.e469e1e4cf1f3p-3, 0x1.e146826d7893bp-3, 0x1.de12f31ba66e1p-3, 0x1.dacfd04de6e2dp-3, 0x1.d77db4cc70acap-3, 0x1.d41d39bd37aefp-3, 0x1.d0aef69899c4fp-3, 0x1.cd33811e8f815p-3, 0x1.c9ab6d4c70b41p-3, 0x1.c6174d534228cp-3, 0x1.c277b18e89f92p-3, 0x1.becd287bb09c9p-3, 0x1.bb183eb1da791p-3, 0x1.b7597eda53785p-3, 0x1.b39171a96dd72p-3, 0x1.afc09dd7e404dp-3, 0x1.abe7881cb6891p-3, 0x1.a806b3277fc7ap-3, 0x1.a41e9f9b466e2p-3, 0x1.a02fcc09b6cbfp-3, 0x1.9c3ab4eede588p-3, 0x1.983fd4ad4a9f6p-3, 0x1.943fa38a9b666p-3, 0x1.903a97ac7e61ap-3, 0x1.8c31251614755p-3, 0x1.8823bda5b899ep-3, 0x1.8412d11334b47p-3, 0x1.7ffeccee491d7p-3, 0x1.7be81c9d9f77dp-3, 0x1.77cf295e12da4p-3, 0x1.73b45a4254548p-3, 0x1.6f981432e84bep-3, 0x1.6b7ab9ee7301dp-3, 0x1.675cac0a5d10bp-3, 0x1.633e48f3c9b5fp-3, 0x1.5f1fecf0d37b3p-3, 0x1.5b01f22218091p-3, 0x1.56e4b08492431p-3, 0x1.52c87df3ae71ep-3, 0x1.4eadae2bb03a8p-3, 0x1.4a9492cc51c2ep-3, 0x1.467d7b5ba5afep-3, 0x1.4268b54934124p-3, 0x1.3e568bf156a8cp-3, 0x1.3a4748a0c907bp-3, 0x1.363b32987490dp-3, 0x1.32328f116a28cp-3, 0x1.2e2da14117bc2p-3, 0x1.2a2caa5da0138p-3, 0x1.262fe9a271fb4p-3, 0x1.22379c54fab14p-3, 0x1.1e43fdc98df97p-3, 0x1.1a55476871622p-3, 0x1.166bb0b30c79ep-3, 0x1.12876f49409a3p-3, 0x1.0ea8b6eeddb99p-3, 0x1.0acfb9913ed24p-3, 0x1.06fca74cfc46ap-3, 0x1.032fae73c093ap-3, 0x1.fed1f72469868p-4, 0x1.f75172ec10463p-4, 0x1.efde22681bf1ep-4, 0x1.e878545cdee48p-4, 0x1.e1205435ec694p-4, 0x1.d9d66a12c4bb9p-4, 0x1.d29adad3aec3fp-4, 0x1.cb6de826aa768p-4, 0x1.c44fd0947f56cp-4, 0x1.bd40cf8de7211p-4, 0x1.b6411d78c302ep-4, 0x1.af50efbd7948bp-4, 0x1.a87078d44a402p-4, 0x1.a19fe852c1409p-4, 0x1.9adf6af932033p-4, 0x1.942f2ac03466ap-4, 0x1.8d8f4ee63250ep-4, 0x1.86fffbfcebb71p-4, 0x1.808153f70b894p-4, 0x1.7a137635acc86p-4, 0x1.73b67f95e9a36p-4, 0x1.6d6a8a7e5ba0bp-4, 0x1.672faeec99aaep-4, 0x1.61060282ac9d4p-4, 0x1.5aed98947a241p-4, 0x1.54e682351e045p-4, 0x1.4ef0ce443c00dp-4, 0x1.490c897b39a4cp-4, 0x1.4339be7a70242p-4, 0x1.3d7875d640264p-4, 0x1.37c8b62417ab8p-4, 0x1.322a84076302ep-4, 0x1.2c9de23e5cda2p-4, 0x1.2722d1aed338cp-4, 0x1.21b95172c431ap-4, 0x1.1c615ee4e8a3p-4, 0x1.171af5ad1f1ecp-4, 0x1.11e60fccb8bep-4, 0x1.0cc2a5aaa8c02p-4, 0x1.07b0ae1f92094p-4, 0x1.02b01e81b712ap-4, 0x1.fb81d5618cfcfp-5, 0x1.f1c60a430737ap-5, 0x1.e82cbdd2a4207p-5, 0x1.deb5cf93267a1p-5, 0x1.d5611c75d4f94p-5, 0x1.cc2e7ef0a6ea6p-5, 0x1.c31dcf142f0b4p-5, 0x1.ba2ee2a1373b1p-5, 0x1.b1618d1e08136p-5, 0x1.a8b59feb6a21fp-5, 0x1.a02aea595852fp-5, 0x1.97c139bb5a657p-5, 0x1.8f78597c908fp-5, 0x1.87501333726c2p-5, 0x1.7f482eb537bd1p-5, 0x1.77607228eb48dp-5, 0x1.6f98a21a359f7p-5, 0x1.67f0818bc4fe5p-5, 0x1.6067d2096b511p-5, 0x1.58fe53b9ee168p-5, 0x1.51b3c5706d6c5p-5, 0x1.4a87e4bd8ef05p-5, 0x1.437a6e00434dp-5, 0x1.3c8b1c763d4fdp-5, 0x1.35b9aa4c19d5cp-5, 0x1.2f05d0ad29c61p-5, 0x1.286f47d2f1d05p-5, 0x1.21f5c71449688p-5, 0x1.1b9904f43ce47p-5, 0x1.1558b730806afp-5, 0x1.0f3492cfa7c62p-5, 0x1.092c4c2f009f9p-5, 0x1.033f971018a43p-5, 0x1.fadc4d4bf92dp-6, 0x1.ef6f5b443cb84p-6, 0x1.e437bc81d9decp-6, 0x1.d934d4ac2f0b7p-6, 0x1.ce6606b124de9p-6, 0x1.c3cab4dc6d434p-6, 0x1.b96240ee4fd2p-6, 0x1.af2c0c31b99c2p-6, 0x1.a5277791d6bf2p-6, 0x1.9b53e3aeeeadap-6, 0x1.91b0b0f2d2b15p-6, 0x1.883d3fa49de9cp-6, 0x1.7ef8effbe9422p-6, 0x1.75e3223376e32p-6, 0x1.6cfb369b340e6p-6, 0x1.64408da9e46bdp-6, 0x1.5bb2880e0bd3bp-6, 0x1.535086be5a22bp-6, 0x1.4b19eb09ae34cp-6, 0x1.430e16a66e94dp-6, 0x1.3b2c6bc175ce9p-6, 0x1.33744d0c6dca9p-6, 0x1.2be51dcbbcaf7p-6, 0x1.247e41e3deb18p-6, 0x1.1d3f1de650b32p-6, 0x1.1627171e0c6adp-6, 0x1.0f35939b6bd5ep-6, 0x1.0869fa3fb1309p-6, 0x1.01c3b2c82343fp-6, 0x1.f6844bb1263a5p-7, 0x1.e9c97a0b25e8ap-7, 0x1.dd55c5bc68161p-7, 0x1.d12805eab4916p-7, 0x1.c53f13d53776fp-7, 0x1.b999cae59cf07p-7, 0x1.ae3708c038137p-7, 0x1.a315ad536bbffp-7, 0x1.98349ae6703edp-7, 0x1.8d92b62730a78p-7, 0x1.832ee637758ap-7, 0x1.790814b976314p-7, 0x1.6f1d2ddb8b87ap-7, 0x1.656d20635a781p-7, 0x1.5bf6ddb833a54p-7, 0x1.52b959ece4fc2p-7, 0x1.49b38bc8e263bp-7, 0x1.40e46cd0b4ee8p-7, 0x1.384af94dfd668p-7, 0x1.2fe63056adbb7p-7, 0x1.27b513d3db47fp-7, 0x1.1fb6a887e2b79p-7, 0x1.17e9f6140368p-7, 0x1.104e06fd80ea4p-7, 0x1.08e1e8b223824p-7, 0x1.01a4ab8c5c9bep-7, 0x1.f52ac5adaf3b8p-8, 0x1.e766499f0740ap-8, 0x1.d9fa155469ff8p-8, 0x1.cce46125e420bp-8, 0x1.c0236b5ef1a4ap-8, 0x1.b3b578417506bp-8, 0x1.a798d2077cb24p-8, 0x1.9bcbc8e406128p-8, 0x1.904cb3037b641p-8, 0x1.8519ec8af71e9p-8, 0x1.7a31d7972010dp-8, 0x1.6f92dc3a40bdp-8, 0x1.653b687971b3ep-8, 0x1.5b29f0497d4a3p-8, 0x1.515ced8aeecap-8, 0x1.47d2e00564c5cp-8, 0x1.3e8a4d6290624p-8, 0x1.3581c12892c74p-8, 0x1.2cb7ccb38cce9p-8, 0x1.242b072f06ba5p-8, 0x1.1bda0d8ead109p-8, 0x1.13c38286753p-8, 0x1.0be60e82750c4p-8, 0x1.04405f9e4a53ep-8, 0x1.f9a25337b1f6cp-9, 0x1.eb2e4bb418a1ep-9, 0x1.dd22269587a96p-9, 0x1.cf7b6cd0f3f56p-9, 0x1.c237b25852d2ep-9, 0x1.b55496035cb31p-9, 0x1.a8cfc17a10053p-9, 0x1.9ca6e91d2b568p-9, 0x1.90d7cbee3fdd3p-9, 0x1.85603377e4191p-9, 0x1.7a3df3b4a744p-9, 0x1.6f6eeaf5fe903p-9, 0x1.64f101ca5fdbcp-9, 0x1.5ac22ae320b84p-9, 0x1.50e062fa379bap-9, 0x1.4749b0b72726p-9, 0x1.3dfc24936bdd2p-9, 0x1.34f5d8bf9a1c6p-9, 0x1.2c34f106de4p-9, 0x1.23b79ab36ee19p-9, 0x1.1b7c0c717fb67p-9, 0x1.138086335f5bp-9, 0x1.0bc35113fb4a6p-9, 0x1.0442bf3a77ae7p-9, 0x1.f9fa577967ce8p-10, 0x1.ebe1f5044ca9dp-10, 0x1.de39304ca5983p-10, 0x1.d0fcf3b6cfc5ep-10, 0x1.c42a3a99784e5p-10, 0x1.b7be1101c65ddp-10, 0x1.abb59378a7cedp-10, 0x1.a00deec6daa4ep-10, 0x1.94c45fba23254p-10, 0x1.89d632e88ce8fp-10, 0x1.7f40c476671dep-10, 0x1.75017fda864d4p-10, 0x1.6b15dfa244d5p-10, 0x1.617b6d375c41ap-10, 0x1.582fc0a46741ep-10, 0x1.4f30805a4caa6p-10, 0x1.467b60f5722dp-10, 0x1.3e0e2503a0f5dp-10, 0x1.35e69cc96d4d1p-10, 0x1.2e02a609260aap-10, 0x1.26602bc842f9cp-10, 0x1.1efd2616e8ea8p-10, 0x1.17d799d6fe4c2p-10, 0x1.10ed98828a828p-10, 0x1.0a3d3ff5295cdp-10, 0x1.03c4ba32bcb86p-10, 0x1.fb047a61781ap-11, 0x1.eee8153e2bf1bp-11, 0x1.e330df6269da6p-11, 0x1.d7db89d0c2abdp-11, 0x1.cce4dbbbad7c1p-11, 0x1.c249b21a5e9f3p-11, 0x1.b806ff40aa72dp-11, 0x1.ae19ca7525ce9p-11, 0x1.a47f2f8a17ed4p-11, 0x1.9b345e76e3af8p-11, 0x1.92369af2f83acp-11, 0x1.89833c1105999p-11, 0x1.8117abdb236d4p-11, 0x1.78f166f164722p-11, 0x1.710dfc27ef106p-11, 0x1.696b0c27eb021p-11, 0x1.6206490e47478p-11, 0x1.5add76116b9ap-11, 0x1.53ee6720fa5a3p-11, 0x1.4d37008c8bb91p-11, 0x1.46b536a8b2005p-11, 0x1.40670d7570808p-11, 0x1.3a4a984646b1cp-11, 0x1.345df96bb5db6p-11, 0x1.2e9f61dd0e90fp-11, 0x1.290d10e43a307p-11, 0x1.23a553ca514acp-11, 0x1.1e66858554c13p-11, 0x1.194f0e6838e8ep-11, 0x1.145d63d0cd456p-11, 0x1.0f9007dbe4637p-11, 0x1.0ae589160c608p-11, 0x1.065c823076d9dp-11, 0x1.01f399b4bff4p-11, 0x1.fb53037964b2dp-12, 0x1.f2f9ef5086774p-12, 0x1.ead987ad9da4dp-12, 0x1.e2ef72c0e527bp-12, 0x1.db396ba2a1077p-12, 0x1.d3b541c9f8ca6p-12, 0x1.cc60d88889433p-12, 0x1.c53a26863e6cdp-12, 0x1.be3f35402495cp-12, 0x1.b76e208b1687fp-12, 0x1.b0c51614f3315p-12, 0x1.aa4254ecd347p-12, 0x1.a3e42d0866addp-12, 0x1.9da8fed0707dbp-12, 0x1.978f3aab4bf7ep-12, 0x1.9195608d07619p-12, 0x1.8bb9ff86ad742p-12, 0x1.85fbb55a13c64p-12, 0x1.80592e0e719e8p-12, 0x1.7ad12387c34bcp-12, 0x1.75625d1f1d14bp-12, 0x1.700baf3efa385p-12, 0x1.6acbfaff54895p-12, 0x1.65a22dc5d1c61p-12, 0x1.608d40e661faep-12, 0x1.5b8c39473f7b6p-12, 0x1.569e2704a24cfp-12, 0x1.51c2251aa220fp-12, 0x1.4cf7590a5a978p-12, 0x1.483cf28868b7dp-12, 0x1.43922b2774009p-12, 0x1.3ef64607b43dp-12, 0x1.3a688f8766f1cp-12, 0x1.35e85cf459c23p-12, 0x1.31750c40814eep-12, 0x1.2d0e03b7801f6p-12, 0x1.28b2b1b5f2281p-12, 0x1.24628c63023b1p-12, 0x1.201d116aa85c1p-12, 0x1.1be1c5ba51124p-12, 0x1.17b0353ecdf0bp-12, 0x1.1387f2a46627ap-12, 0x1.0f689717a60ap-12, 0x1.0b51c2081d847p-12, 0x1.074318ed42381p-12, 0x1.033c470be30c3p-12, 0x1.fe79fa79d3d6fp-13, 0x1.f689e36e2b6a8p-13, 0x1.eea7bfb0e05d7p-13, 0x1.e6d30fe45bb07p-13, 0x1.df0b5e2af8013p-13, 0x1.d7503dc3bd873p-13, 0x1.cfa14aa9e4bbfp-13, 0x1.c7fe293679f2cp-13, 0x1.c06685c484f3ep-13, 0x1.b8da14594ca2ap-13, 0x1.b158904c8eed9p-13, 0x1.a9e1bbf420a44p-13, 0x1.a275605437a83p-13, 0x1.9b134ccdb2cd9p-13, 0x1.93bb56d34acp-13, 0x1.8c6d599cc264bp-13, 0x1.852935dfd0b51p-13, 0x1.7deed1894271ep-13, 0x1.76be177820d9bp-13, 0x1.6f96f73c781cep-13, 0x1.687964d6b5246p-13, 0x1.6165587965214p-13, 0x1.5a5ace4dbae13p-13, 0x1.5359c63807871p-13, 0x1.4c6243a04d7ffp-13, 0x1.45744d3b7f828p-13, 0x1.3e8fecd6b1a73p-13, 0x1.37b52f2415de6p-13, 0x1.30e4238a0e873p-13, 0x1.2a1cdbf2401f8p-13, 0x1.235f6c9ddc85ep-13, 0x1.1cabebf738ad6p-13, 0x1.16027267c837ep-13, 0x1.0f631a2f441a6p-13, 0x1.08cdff3b27b93p-13, 0x1.02433f01894ep-13, 0x1.f785f0b5059dfp-14, 0x1.ea9a96bc88951p-14, 0x1.ddc4b2845eedap-14, 0x1.d1048870c8b5p-14, 0x1.c45a5e9fca908p-14, 0x1.b7c67cae35ac1p-14, 0x1.ab492b7bd215bp-14, 0x1.9ee2b4f4839dep-14, 0x1.929363db09ce3p-14, 0x1.865b8395e550ap-14, 0x1.7a3b5fff2a60bp-14, 0x1.6e3345356598cp-14, 0x1.62437f6e14169p-14, 0x1.566c5accc570dp-14, 0x1.4aae2339c4131p-14, 0x1.3f09243b82d49p-14, 0x1.337da8d15a2a3p-14, 0x1.280bfb5257d6ep-14, 0x1.1cb4654acf931p-14, 0x1.11772f5cb655cp-14, 0x1.0654a122cf179p-14, 0x1.f69a0226de34p-15, 0x1.e0c128cf2d376p-15, 0x1.cb1f3e0117a66p-15, 0x1.b5b4c6a0eb035p-15, 0x1.a082448b2526bp-15, 0x1.8b8836674815ap-15, 0x1.76c71783ad869p-15, 0x1.623f5fb070eeap-15, 0x1.4df1831e70318p-15, 0x1.39ddf23f60a93p-15, 0x1.260519ab0e12bp-15, 0x1.12676202355a5p-15, 0x1.fe0a5faeb5f95p-16, 0x1.d7bdc7317595ap-16, 0x1.b1e9b2f9bf16bp-16, 0x1.8c8ed2dd8542dp-16, 0x1.67adcdfff57c4p-16, 0x1.434742b19177ap-16, 0x1.1f5bc65943959p-16, 0x1.f7d7cab83146fp-17, 0x1.b1f04616a7e6ep-17, 0x1.6d01f33101ad3p-17, 0x1.290db40938b0dp-17, 0x1.cc28b077e2627p-18, 0x1.482d39c3aa823p-18, 0x1.8c54b25f169a4p-19, 0x1.1884fb974dfedp-20, -0x1.bf684fa1b3f97p-21, -0x1.67ff3641c8849p-19, -0x1.2e15b34e2c19bp-18, -0x1.a62eb5c895f9ap-18, -0x1.0e25154024872p-17, -0x1.4833dedbc4ad4p-17, -0x1.81439fed1cc1bp-17, -0x1.b954529b3a575p-17, -0x1.f06602de3ca6ep-17, -0x1.133c6727944fap-16, -0x1.2dc672050e01cp-16, -0x1.47d1423a25e51p-16, -0x1.615d008c73d3p-16, -0x1.7a69de35cee1ep-16, -0x1.92f814cf65ad2p-16, -0x1.ab07e6307585fp-16, -0x1.c2999c5672736p-16, -0x1.d9ad894120407p-16, -0x1.f04406dc2d94dp-16, -0x1.032ebb6bca347p-15, -0x1.0dfd2146cd643p-15, -0x1.188d6d6d1be59p-15, -0x1.22dfdc010e65bp-15, -0x1.2cf4acc40d05p-15, -0x1.36cc230755beep-15, -0x1.40668597851aep-15, -0x1.49c41ead95817p-15, -0x1.52e53bda323dfp-15, -0x1.5bca2df3fecp-15, -0x1.6473490437f6dp-15, -0x1.6ce0e4348be16p-15, -0x1.751359bb70b1fp-15, -0x1.7d0b06c85dad6p-15, -0x1.84c84b714174cp-15, -0x1.8c4b8a9f03abfp-15, -0x1.939529f936bd8p-15, -0x1.9aa591d463caep-15, -0x1.a17d2d1b9cc36p-15, -0x1.a81c6940435a4p-15, -0x1.ae83b622e07ccp-15, -0x1.b4b3860284995p-15, -0x1.baac4d67f8681p-15, -0x1.c06e8311de02ap-15, -0x1.c5fa9fe2daf64p-15, -0x1.cb511ecccf886p-15, -0x1.d0727cbdb9483p-15, -0x1.d55f388ddbaf9p-15, -0x1.da17d2e9b8e9p-15, -0x1.de9cce42464cdp-15, -0x1.e2eeaeb8a94fdp-15, -0x1.e70dfa0bf2f9ep-15, -0x1.eafb3785a1e9p-15, -0x1.eeb6efe8f261ep-15, -0x1.f241ad600d431p-15, -0x1.f59bfb68a50dcp-15, -0x1.f8c666c34429p-15, -0x1.fbc17d62c9fbfp-15, -0x1.fe8dce5853755p-15, -0x1.0095f4e232cdep-14, -0x1.01ce3061f78ddp-14, -0x1.02efe2b099b74p-14, -0x1.03fb55411e4ffp-14, -0x1.04f0d1ec0adfdp-14, -0x1.05d0a2e774b27p-14, -0x1.069b12bf590dap-14, -0x1.07506c4d14f2bp-14, -0x1.07f0fab05d7abp-14, -0x1.087d09479445p-14, -0x1.08f4e3a7fce93p-14, -0x1.0958d59604f74p-14, -0x1.09a92afec9ec1p-14, -0x1.09e62ff056ecdp-14, -0x1.0a10309352b98p-14, -0x1.0a2779235080bp-14, -0x1.0a2c55e8ae475p-14, -0x1.0a1f133188681p-14, -0x1.09fffd4bc0dfep-14, -0x1.09cf607e6c09fp-14, -0x1.098d890332e8bp-14, -0x1.093ac300dd0d5p-14, -0x1.08d75a84ad1dp-14, -0x1.08639b7d7b038p-14, -0x1.07dfd1b53c9bbp-14, -0x1.074c48cb77a0bp-14, -0x1.06a94c30480fep-14, -0x1.05f7271ea8d99p-14, -0x1.05362497a5229p-14, -0x1.04668f5c50cb1p-14, -0x1.0388b1ea32f55p-14, -0x1.029cd675d1017p-14, -0x1.01a346e5ebe0ep-14, -0x1.009c4ccf25e5bp-14, -0x1.ff1062de7ebaap-15, -0x1.fcce7b52bdbacp-15, -0x1.fa73740302c81p-15, -0x1.f7ffdd31619e2p-15, -0x1.f5744650c561ep-15, -0x1.f2d13dff14c0fp-15, -0x1.f01751fcf589ap-15, -0x1.ed470f26859ecp-15, -0x1.ea61016cd78d6p-15, -0x1.e765b3cec1d76p-15, -0x1.e455b053812bdp-15, -0x1.e13180037b712p-15, -0x1.ddf9aae18c705p-15, -0x1.daaeb7e6d4e4ep-15, -0x1.d7512cfd1f19ep-15, -0x1.d3e18ef84dcf1p-15, -0x1.d0606191acd32p-15, -0x1.ccce2763913d2p-15, -0x1.c92b61e476812p-15, -0x1.c578916235192p-15, -0x1.c1b634fd30e51p-15, -0x1.bde4caa58dfebp-15, -0x1.ba04cf1624bb7p-15, -0x1.b616bdd12f64fp-15, -0x1.b21b111d04316p-15, -0x1.ae1242007dcfp-15, -0x1.a9fcc83fa74f6p-15, -0x1.a5db1a592c11cp-15, -0x1.a1adad83132c8p-15, -0x1.9d74f5a8787adp-15, -0x1.99316567471b6p-15, -0x1.94e36e0da5085p-15, -0x1.908b7f97c6ce1p-15, -0x1.8c2a08ad90194p-15, -0x1.87bf76a15e3a3p-15, -0x1.834c356f41fc1p-15, -0x1.7ed0afba27dd2p-15, -0x1.7a4d4ecab20fap-15, -0x1.75c27a8df3db8p-15, -0x1.71309994fdf72p-15, -0x1.6c98111425578p-15, -0x1.67f944e181adcp-15, -0x1.63549774aeb6ep-15, -0x1.5eaa69e5de713p-15, -0x1.59fb1bee5c419p-15, -0x1.55470be7a1527p-15, -0x1.508e96cb1cbbdp-15, -0x1.4bd21832c9642p-15, -0x1.4711ea5933c47p-15, -0x1.424e6618ecac8p-15, -0x1.3d87e2edc36e7p-15, -0x1.38beb6f572cf8p-15, -0x1.33f336eee60a1p-15, -0x1.2f25b63c03cffp-15, -0x1.2a5686e20d67bp-15, -0x1.2585f98afab6cp-15, -0x1.20b45d8608353p-15, -0x1.1be200c81bcf6p-15, -0x1.170f2fee21761p-15, -0x1.123c363d9cacep-15, -0x1.0d695da5f62a9p-15, -0x1.0896eec208e2dp-15, -0x1.03c530da00d8cp-15, -0x1.fde8d3c91ce44p-16, -0x1.f449bd0fec3fcp-16, -0x1.eaada4395b906p-16, -0x1.e1150d5d873e6p-16, -0x1.d78079fec7f82p-16, -0x1.cdf0690f20af8p-16, -0x1.c46556f3bd8e6p-16, -0x1.badfbd8788bbap-16, -0x1.b160141fd5ca3p-16, -0x1.a7e6cf92ea2e5p-16, }}, 
      {{-0x1.67d1a04a33bfep-8, -0x1.67d6910726378p-7, -0x1.0de778cb5ab28p-6, -0x1.67ec7c89b63b9p-6, -0x1.c1feb55ef7da2p-6, -0x1.0e11bc2c8feaap-5, -0x1.3b308516cb60ap-5, -0x1.685f43b1d704ep-5, -0x1.95a1defda98cbp-5, -0x1.c2fc7ed8e2d6ep-5, -0x1.f073719ffa6cep-5, -0x1.0f058883e2868p-4, -0x1.25e3d3c3ff6d4p-4, -0x1.3cd6aba70511ep-4, -0x1.53e001b17d5b5p-4, -0x1.6b019db8f8d47p-4, -0x1.823d15354fe4ep-4, -0x1.9993c40ae50fbp-4, -0x1.b106c6ca56d3fp-4, -0x1.c896f6575499ep-4, -0x1.e044e4e09170bp-4, -0x1.f810dc0da009p-4, -0x1.07fd6e222c00cp-3, -0x1.14014e72d702ep-3, -0x1.2013c6b0e89b1p-3, -0x1.2c346b81fa79bp-3, -0x1.3862afabcfce9p-3, -0x1.449de585b42ap-3, -0x1.50e5409ba306ep-3, -0x1.5d37d7778db71p-3, -0x1.6994a58668f47p-3, -0x1.75fa8d0fdace1p-3, -0x1.82685938b28f4p-3, -0x1.8edcc00965ca3p-3, -0x1.9b566472f37ddp-3, -0x1.a7d3d84d61657p-3, -0x1.b4539e4c02358p-3, -0x1.c0d42be469984p-3, -0x1.cd53eb2586885p-3, -0x1.d9d13c7d19c05p-3, -0x1.e64a7869fe30ap-3, -0x1.f2bdf11a616aap-3, -0x1.ff29f3f52ee4cp-3, -0x1.05c665872a9fap-2, -0x1.0bf25f42e756p-2, -0x1.12180ae8b4099p-2, -0x1.18368c78cfe51p-2, -0x1.1e4d08c8ec492p-2, -0x1.245aa60a3eb63p-2, -0x1.2a5e8c45c28ccp-2, -0x1.3057e5cf07706p-2, -0x1.3645dfaddcc88p-2, -0x1.3c27a9ff3ab18p-2, -0x1.41fc784dc599fp-2, -0x1.47c381e253067p-2, -0x1.4d7c020cceeb9p-2, -0x1.53253865ed5e4p-2, -0x1.58be690a06b9dp-2, -0x1.5e46dccd83622p-2, -0x1.63bde16b3d9c3p-2, -0x1.6922c9ad31e39p-2, -0x1.6e74ed8fe354bp-2, -0x1.73b3aa60c66abp-2, -0x1.78de62d80fbe2p-2, -0x1.7df47f2e36d0ap-2, -0x1.82f56d2d7eb1dp-2, -0x1.87e0a03fcd10ap-2, -0x1.8cb591791aec8p-2, -0x1.9173bf9ec4d55p-2, -0x1.961aaf2bf222ep-2, -0x1.9aa9ea5358a39p-2, -0x1.9f2100fe8d911p-2, -0x1.a37f88cb1d6a2p-2, -0x1.a7c51d0594e9dp-2, -0x1.abf15ea2aa9aep-2, -0x1.b003f436b5749p-2, -0x1.b3fc89eb8fb8ep-2, -0x1.b7dad1750ccap-2, -0x1.bb9e8204204e3p-2, -0x1.bf475838d64d4p-2, -0x1.c2d516133082cp-2, -0x1.c64782e309e13p-2, -0x1.c99e6b370bb55p-2, -0x1.ccd9a0cad413ep-2, -0x1.cff8fa7453bacp-2, -0x1.d2fc54107dc85p-2, -0x1.d5e38e6f52858p-2, -0x1.d8ae8f3f5517dp-2, -0x1.db5d40f87a2e2p-2, -0x1.ddef92c6947f6p-2, -0x1.e065787355f8ap-2, -0x1.e2beea4fe2876p-2, -0x1.e4fbe51e06f87p-2, -0x1.e71c69f9161edp-2, -0x1.e9207e3e7902bp-2, -0x1.eb082b75f993dp-2, -0x1.ecd37f39c8bf8p-2, -0x1.ee828b1e50308p-2, -0x1.f0156499cf481p-2, -0x1.f18c24ebcd6dep-2, -0x1.f2e6e904645a2p-2, -0x1.f425d16b6f1b3p-2, -0x1.f549022799001p-2, -0x1.f650a2a55e6ffp-2, -0x1.f73cdd9dfbb9ep-2, -0x1.f80de0fe53f97p-2, -0x1.f8c3ddcdd3252p-2, -0x1.f95f081553a13p-2, -0x1.f9df96c6098aep-2, -0x1.fa45c3a079014p-2, -0x1.fa91cb1b7fc94p-2, -0x1.fac3ec4b71d9fp-2, -0x1.fadc68c9519fp-2, -0x1.fadb849a28556p-2, -0x1.fac186168045dp-2, -0x1.fa8eb5d207056p-2, -0x1.fa435e835ec42p-2, -0x1.f9dfccec1ab6dp-2, -0x1.f9644fc0f6df5p-2, -0x1.f8d1379241179p-2, -0x1.f826d6b482c31p-2, -0x1.f765812968131p-2, -0x1.f68d8c88ea951p-2, -0x1.f59f4feac13e8p-2, -0x1.f49b23d019eadp-2, -0x1.f381620d9f602p-2, -0x1.f25265b5cd2dp-2, -0x1.f10e8b0394e25p-2, -0x1.efb62f4557bf7p-2, -0x1.ee49b0c836912p-2, -0x1.ecc96ec3b673p-2, -0x1.eb35c945c41fap-2, -0x1.e98f211f10176p-2, -0x1.e7d5d7cfc8054p-2, -0x1.e60a4f74af92dp-2, -0x1.e42ceab4991d4p-2, -0x1.e23e0cae40eebp-2, -0x1.e03e18e68624ap-2, -0x1.de2d73370c434p-2, -0x1.dc0c7fbd3dfb4p-2, -0x1.d9dba2c9b202bp-2, -0x1.d79b40cff9ec5p-2, -0x1.d54bbe56d1505p-2, -0x1.d2ed7fe8b530cp-2, -0x1.d080ea04e014ap-2, -0x1.ce066110ac2c9p-2, -0x1.cb7e49495a2e7p-2, -0x1.c8e906b63d57fp-2, -0x1.c646fd1b4ecd2p-2, -0x1.c3988fec2298bp-2, -0x1.c0de223f4396ep-2, -0x1.be1816c1f0225p-2, -0x1.bb46cfac3e1b5p-2, -0x1.b86aaeb59c9cap-2, -0x1.b5841509bb48cp-2, -0x1.b293633dd177fp-2, -0x1.af98f94643f4dp-2, -0x1.ac95366cac5c1p-2, -0x1.a98879463cd8p-2, -0x1.a6731faa826b3p-2, -0x1.a35586aa8244ap-2, -0x1.a0300a8833002p-2, -0x1.9d0306ae500ebp-2, -0x1.99ced5a885864p-2, -0x1.9693d11bf3059p-2, -0x1.935251c0061e5p-2, -0x1.900aaf57a92f8p-2, -0x1.8cbd40aac722ap-2, -0x1.896a5b801ec32p-2, -0x1.861254976c499p-2, -0x1.82b57fa3de1bbp-2, -0x1.7f542f46da794p-2, -0x1.7beeb50b12905p-2, -0x1.7885615fdfe5ap-2, -0x1.75188394ed623p-2, -0x1.71a869d62881cp-2, -0x1.6e356127fcd4fp-2, -0x1.6abfb563d02a1p-2, -0x1.6747b134c9eb2p-2, -0x1.63cd9e14d8ef1p-2, -0x1.6051c449fd76ep-2, -0x1.5cd46ae3d5234p-2, -0x1.5955d7b960f7cp-2, -0x1.55d64f670ffa4p-2, -0x1.5256154cff7a5p-2, -0x1.4ed56b8d7b8fp-2, -0x1.4b54930bb3eap-2, -0x1.47d3cb6aae3ebp-2, -0x1.4453530c6a5aap-2, -0x1.40d367113e19ap-2, -0x1.3d54435765affp-2, -0x1.39d6227ac3742p-2, -0x1.36593dd4d46fbp-2, -0x1.32ddcd7cd0eabp-2, -0x1.2f640847feaa2p-2, -0x1.2bec23ca2f99ep-2, -0x1.28765456680b9p-2, -0x1.2502ccffb5c75p-2, -0x1.2191bf9a2c0dap-2, -0x1.1e235cbc079f4p-2, -0x1.1ab7d3befa59cp-2, -0x1.174f52c19b55ep-2, -0x1.13ea06a8fb152p-2, -0x1.10881b225b504p-2, -0x1.0d29baa505feep-2, -0x1.09cf0e74471e1p-2, -0x1.06783ea183ee4p-2, -0x1.0325720e6f386p-2, -0x1.ffad9cdebc3c7p-3, -0x1.f918f09b65d1cp-3, -0x1.f28d2614d0c49p-3, -0x1.ec0a81c15d8d4p-3, -0x1.e59145d154454p-3, -0x1.df21b2347ca7fp-3, -0x1.d8bc049ff102fp-3, -0x1.d26078941373cp-3, -0x1.cc0f4762ac7dep-3, -0x1.c5c8a8352ccf2p-3, -0x1.bf8cd013193d2p-3, -0x1.b95bf1e892075p-3, -0x1.b3363e8cfc671p-3, -0x1.ad1be4c9ccabp-3, -0x1.a70d1161648ep-3, -0x1.a109ef1613dcp-3, -0x1.9b12a6b12ff58p-3, -0x1.95275f0a3cea6p-3, -0x1.8f483d0e2f367p-3, -0x1.897563c6c45bep-3, -0x1.83aef461e368cp-3, -0x1.7df50e39161d9p-3, -0x1.7847ced90e644p-3, -0x1.72a752093492cp-3, -0x1.6d13b1d346647p-3, -0x1.678d068afc1b6p-3, -0x1.621366d5b58cbp-3, -0x1.5ca6e7b2345dep-3, -0x1.57479c8052be7p-3, -0x1.51f59708c670fp-3, -0x1.4cb0e784e1317p-3, -0x1.47799ca6549ffp-3, -0x1.424fc39ef9b01p-3, -0x1.3d33682892d16p-3, -0x1.3824948c8fda4p-3, -0x1.332351abcbca3p-3, -0x1.2e2fa70649ab2p-3, -0x1.29499ac2ea69bp-3, -0x1.247131b71d657p-3, -0x1.1fa66f6e88365p-3, -0x1.1ae95632abcdcp-3, -0x1.1639e71278e22p-3, -0x1.119821e9dff38p-3, -0x1.0d04056955e1ap-3, -0x1.087d8f1d4a6ebp-3, -0x1.0404bb7596d8p-3, -0x1.ff330b99b5ac8p-4, -0x1.f677d0df9fe2ep-4, -0x1.edd7b94914b79p-4, -0x1.e552b5635e7d2p-4, -0x1.dce8b3cb28502p-4, -0x1.d499a13ab265bp-4, -0x1.cc656897cc4b1p-4, -0x1.c44bf301c1137p-4, -0x1.bc4d27df0976ep-4, -0x1.b468eceaf1a1ap-4, -0x1.ac9f264303328p-4, -0x1.a4efb6745a1d5p-4, -0x1.9d5a7e88c141bp-4, -0x1.95df5e13b336p-4, -0x1.8e7e333f2b0cp-4, -0x1.8736dad84ee81p-4, -0x1.8009305bede98p-4, -0x1.78f50e02d190fp-4, -0x1.71fa4ccde7be8p-4, -0x1.6b18c4923a5f8p-4, -0x1.64504c04c0c2ap-4, -0x1.5da0b8c5fd8d6p-4, -0x1.5709df6d74958p-4, -0x1.508b9394ee96cp-4, -0x1.4a25a7e391fc8p-4, -0x1.43d7ee18c8d39p-4, -0x1.3da23716fdeb5p-4, -0x1.378452ee244fcp-4, -0x1.317e10e617b4cp-4, -0x1.2b8f3f88c300cp-4, -0x1.25b7acac242f7p-4, -0x1.1ff7257c13b01p-4, -0x1.1a4d7683e72cp-4, -0x1.14ba6bb7ded2bp-4, -0x1.0f3dd07e65f61p-4, -0x1.09d76fb920491p-4, -0x1.048713cdced43p-4, -0x1.fe990d5dff399p-5, -0x1.f44f23c9202adp-5, -0x1.ea2ffd2800d2bp-5, -0x1.e03b2b11391d9p-5, -0x1.d6703e76dacfcp-5, -0x1.cccec7b6098a8p-5, -0x1.c35656a63268fp-5, -0x1.ba067aa7dc86p-5, -0x1.b0dec2b32f459p-5, -0x1.a7debd66150a8p-5, -0x1.9f05f91203db1p-5, -0x1.965403c974bep-5, -0x1.8dc86b6cf7df9p-5, -0x1.8562bdb7fa9b1p-5, -0x1.7d22884d32bcfp-5, -0x1.750758c2b445ep-5, -0x1.6d10bcadb69bap-5, -0x1.653e41adfa058p-5, -0x1.5d8f7578e941fp-5, -0x1.5603e5e45e383p-5, -0x1.4e9b20f117806p-5, -0x1.4754b4d4e0dd9p-5, -0x1.403030046908dp-5, -0x1.392d213cca6ecp-5, -0x1.324b178cc4c2bp-5, -0x1.2b89a25dac54bp-5, -0x1.24e8517c0fdeap-5, -0x1.1e66b5200dbe7p-5, -0x1.18045df565a31p-5, -0x1.11c0dd2342722p-5, -0x1.0b9bc453b2e7bp-5, -0x1.0594a5baf41dcp-5, -0x1.ff56283ca676p-6, -0x1.f3bd45b5e1be1p-6, -0x1.e85dcbd84deebp-6, -0x1.dd36e3e372e78p-6, -0x1.d247b86b8c7aap-6, -0x1.c78f7564dce9dp-6, -0x1.bd0d482e9b76ep-6, -0x1.b2c05f9d4ba9cp-6, -0x1.a8a7ec04b4e24p-6, -0x1.9ec31f416249dp-6, -0x1.95112cc196082p-6, -0x1.8b91498defc4cp-6, -0x1.8242ac5192613p-6, -0x1.79248d61ce8f1p-6, -0x1.703626c58165ep-6, -0x1.6776b43bf9f03p-6, -0x1.5ee5734377fcp-6, -0x1.5681a31f49cf3p-6, -0x1.4e4a84dd8f15p-6, -0x1.463f5b5c92f2cp-6, -0x1.3e5f6b4fcb556p-6, -0x1.36a9fb4480fd4p-6, -0x1.2f1e53a623cd5p-6, -0x1.27bbbec23423ap-6, -0x1.208188cbeef9ep-6, -0x1.196effdf9e8afp-6, -0x1.1283740593b6ep-6, -0x1.0bbe3734df5d5p-6, -0x1.051e9d55b3c28p-6, -0x1.fd47f886fc59ep-7, -0x1.f09b579d744a8p-7, -0x1.e4360b7d09592p-7, -0x1.d816cba3c145ep-7, -0x1.cc3c538176494p-7, -0x1.c0a562796124cp-7, -0x1.b550bbe33404dp-7, -0x1.aa3d270baa0e2p-7, -0x1.9f696f3499a94p-7, -0x1.94d46394c0705p-7, -0x1.8a7cd756dc5f7p-7, -0x1.8061a19896944p-7, -0x1.76819d68edfabp-7, -0x1.6cdba9c6359c3p-7, -0x1.636ea99bc9bf5p-7, -0x1.5a3983bf438d9p-7, -0x1.513b22ed78a59p-7, -0x1.487275c712893p-7, -0x1.3fde6eccca47ap-7, -0x1.377e045b6172fp-7, -0x1.2f5030a737284p-7, -0x1.2753f1b7c88c7p-7, -0x1.1f8849628ce69p-7, -0x1.17ec3d45f57a3p-7, -0x1.107ed6c3d0e16p-7, -0x1.093f22fbaa51cp-7, -0x1.022c32c4d621p-7, -0x1.f68a355083d1p-8, -0x1.e911e5b421bdfp-8, -0x1.dbedae65ff83ep-8, -0x1.cf1bce533bedep-8, -0x1.c29a8b96accd6p-8, -0x1.b668336a7abffp-8, -0x1.aa831a1980717p-8, -0x1.9ee99af043208p-8, -0x1.939a182dc29b4p-8, -0x1.8892faf3ca497p-8, -0x1.7dd2b3373e466p-8, -0x1.7357b7afcdabp-8, -0x1.692085c7ce38p-8, -0x1.5f2ba18b8cabfp-8, -0x1.55779598a783ap-8, -0x1.4c02f30cfa8adp-8, -0x1.42cc51758c66ap-8, -0x1.39d24ebd44f39p-8, -0x1.31138f1b70217p-8, -0x1.288ebd0237cdcp-8, -0x1.2042890ccb248p-8, -0x1.182da9edc23dfp-8, -0x1.104edc5cf4ff2p-8, -0x1.08a4e30597c94p-8, -0x1.012e867436f17p-8, -0x1.f3d52a08d965cp-9, -0x1.e5afc59d632cbp-9, -0x1.d7ea932c43be7p-9, -0x1.ca83516c84d12p-9, -0x1.bd77ca2139f3ap-9, -0x1.b0c5d1f4d70d4p-9, -0x1.a46b4854a8a44p-9, -0x1.9866174bfc33ep-9, -0x1.8cb4335fb649p-9, -0x1.81539b698dfc3p-9, -0x1.7642587398ec5p-9, -0x1.6b7e7d93d8592p-9, -0x1.610627c7c51dep-9, -0x1.56d77dd01cf95p-9, -0x1.4cf0b00cbcc81p-9, -0x1.434ff858787ecp-9, -0x1.39f399e56e6d4p-9, -0x1.30d9e11920865p-9, -0x1.28012368fecep-9, -0x1.1f67bf36e205p-9, -0x1.170c1bae14c17p-9, -0x1.0eeca8a004b4fp-9, -0x1.0707de61d5b1cp-9, -0x1.feb87b52e0c8bp-10, -0x1.efd09ed6f9da5p-10, -0x1.e155497210f28p-10, -0x1.d343ad3bbf1fcp-10, -0x1.c5990bfd88b1p-10, -0x1.b852b6f0657cp-10, -0x1.ab6e0e7a9372dp-10, -0x1.9ee881edcfae8p-10, -0x1.92bf8f4682ab3p-10, -0x1.86f0c2eb04293p-10, -0x1.7b79b76c2e92cp-10, -0x1.7058154555e1dp-10, -0x1.6589929e63f63p-10, -0x1.5b0bf30d1cbf6p-10, -0x1.50dd0758077cbp-10, -0x1.46faad3994c9dp-10, -0x1.3d62cf23c3e54p-10, -0x1.34136404c8ab9p-10, -0x1.2b0a6f0be9ddbp-10, -0x1.2245ff6f66ddcp-10, -0x1.19c430331bb25p-10, -0x1.118327ef34cd2p-10, -0x1.0981189819912p-10, -0x1.01bc3f470ed2p-10, -0x1.f465c805d806ep-11, -0x1.e5c6b314af522p-11, -0x1.d797fa3bf2284p-11, -0x1.c9d66c974ca9p-11, -0x1.bc7eed74d02b9p-11, -0x1.af8e73eda2476p-11, -0x1.a3020a809d82cp-11, -0x1.96d6ceae5cff8p-11, -0x1.8b09f095c0d92p-11, -0x1.7f98b29358b4ep-11, -0x1.748068e0d4a01p-11, -0x1.69be7936622c4p-11, -0x1.5f505a6d67b34p-11, -0x1.55339424c444bp-11, -0x1.4b65be65d7c21p-11, -0x1.41e4814b785a3p-11, -0x1.38ad94aa51347p-11, -0x1.2fbebfb9d37a3p-11, -0x1.2715d8bfaa43ap-11, -0x1.1eb0c4bb23ef5p-11, -0x1.168d77134264ap-11, -0x1.0ea9f1454a905p-11, -0x1.07044294cffb7p-11, -0x1.ff350f7a0a303p-12, -0x1.f0d5d54818212p-12, -0x1.e2e7441bcc2bap-12, -0x1.d565e2a55d4ebp-12, -0x1.c84e502950093p-12, -0x1.bb9d43efb321dp-12, -0x1.af4f8cb739df3p-12, -0x1.a3621028a6dd9p-12, -0x1.97d1ca4efaeafp-12, -0x1.8c9bcd0fa7f0dp-12, -0x1.81bd3fa6dfe87p-12, -0x1.77335e261000bp-12, -0x1.6cfb78f42808dp-12, -0x1.6312f45000fd5p-12, -0x1.597747d6a01eep-12, -0x1.5025fe09ff588p-12, -0x1.471cb3dab3bafp-12, -0x1.3e59183427bfdp-12, -0x1.35d8eb8b5175p-12, -0x1.2d99ff6d9f997p-12, -0x1.259a36151663cp-12, -0x1.1dd781fc4673ap-12, -0x1.164fe5751216fp-12, -0x1.0f017241bc794p-12, -0x1.07ea492fbfb0cp-12, -0x1.010899b4d631cp-12, -0x1.f4b5431affd2dp-13, -0x1.e7bd58bdbb5a5p-13, -0x1.db2626b1aa5a4p-13, -0x1.ceec79b70c8d7p-13, -0x1.c30d383a3306dp-13, -0x1.b78561a6269fap-13, -0x1.ac520dba29c7fp-13, -0x1.a1706bdfbcf1ep-13, -0x1.96ddc288cd8efp-13, -0x1.8c976e8f4622bp-13, -0x1.829ae297a1592p-13, -0x1.78e5a67748fdfp-13, -0x1.6f75569f3c3ap-13, -0x1.6647a3881999dp-13, -0x1.5d5a512460a66p-13, -0x1.54ab365228c81p-13, -0x1.4c383c53ae42cp-13, -0x1.43ff5e494f96fp-13, -0x1.3bfea8ad0b7e6p-13, -0x1.343438d472d48p-13, -0x1.2c9e3c72a54d8p-13, -0x1.253af11e48e47p-13, -0x1.1e08a3db2020cp-13, -0x1.1705b0a4706c7p-13, -0x1.103081fcf13f8p-13, -0x1.0987907f499bbp-13, -0x1.030962714cfedp-13, -0x1.f96916b60869ap-14, -0x1.ed0f573fcb078p-14, -0x1.e102e032d4a2ep-14, -0x1.d541236ad6858p-14, -0x1.c9c7aa2e9d767p-14, -0x1.be9414751edffp-14, -0x1.b3a4182e3eeb3p-14, -0x1.a8f58093c77cbp-14, -0x1.9e862d7a88fb8p-14, -0x1.945412ad74ff5p-14, -0x1.8a5d3745723e4p-14, -0x1.809fb50e32712p-14, -0x1.7719b7e7e74bfp-14, -0x1.6dc97d3190a43p-14, -0x1.64ad533556455p-14, -0x1.5bc398980c988p-14, -0x1.530abbcf54502p-14, -0x1.4a813a9854d1p-14, -0x1.4225a173f35f4p-14, -0x1.39f68b270e321p-14, -0x1.31f2a03cf4ecdp-14, -0x1.2a18968ebaa67p-14, -0x1.226730cbf0f26p-14, -0x1.1add3e0804ccfp-14, -0x1.1379994b6991ap-14, -0x1.0c3b292624aa8p-14, -0x1.0520df473edep-14, -0x1.fc53702b58a19p-15, -0x1.eea9749b34dabp-15, -0x1.e141ed419fe37p-15, -0x1.d41b0eaeafdbdp-15, -0x1.c7331feaf6cf2p-15, -0x1.ba8879c71c359p-15, -0x1.ae198630ca265p-15, -0x1.a1e4bf8b81fap-15, -0x1.95e8b011c8b69p-15, -0x1.8a23f136e05acp-15, -0x1.7e952b1360068p-15, -0x1.733b13ce69a5bp-15, -0x1.68146f135ef5ep-15, -0x1.5d200d84592a6p-15, -0x1.525ccc3970fbfp-15, -0x1.47c9943bda1bep-15, -0x1.3d655a0bd4257p-15, -0x1.332f1d268c6e6p-15, -0x1.2925e79212d79p-15, -0x1.1f48cd6cc4905p-15, -0x1.1596ec7f4ae6bp-15, -0x1.0c0f6bd24f161p-15, -0x1.02b17b4af2b72p-15, -0x1.f2f8a688b4d8dp-16, -0x1.e0de6867f75cep-16, -0x1.cf12cc977d571p-16, -0x1.bd9472421bc37p-16, -0x1.ac6206b19371cp-16, -0x1.9b7a44a8168fp-16, -0x1.8adbf3be5e3c1p-16, -0x1.7a85e7cc16d1bp-16, -0x1.6a7700535cd98p-16, -0x1.5aae27f1426a7p-16, -0x1.4b2a53d43dbb3p-16, -0x1.3bea8338e007dp-16, -0x1.2cedbee82acc3p-16, -0x1.1e3318c088c52p-16, -0x1.0fb9ab3d20b02p-16, -0x1.018099051023ap-16, -0x1.e70e18fb2a7cep-17, -0x1.cb986ec5398a3p-17, -0x1.b09ea4c19c4dp-17, -0x1.961f396c0eeb9p-17, -0x1.7c18b7a9b5eefp-17, -0x1.6289b614735fep-17, -0x1.4970d653b46bap-17, -0x1.30ccc47bd203ap-17, -0x1.189c366a2746ep-17, -0x1.00ddeb33ce754p-17, -0x1.d3215534af9f2p-18, -0x1.a56688f4c0201p-18, -0x1.7889209ed1a3ap-18, -0x1.4c86d969154a8p-18, -0x1.215d7ddc197a3p-18, -0x1.ee15c9dfbcf11p-19, -0x1.9b19e2659102bp-19, -0x1.49c31ffcb9ef9p-19, -0x1.f41ae2aef5349p-20, -0x1.57e9af79337c3p-20, -0x1.7dd596b06e176p-21, -0x1.48b3d77933d68p-23, 0x1.a66b7f602fea4p-22, 0x1.f261903e5dc58p-21, 0x1.85b2a88219f08p-20, 0x1.0793ea7415a0bp-19, 0x1.4acbc6690b0f1p-19, 0x1.8c847e88a6b4ep-19, 0x1.ccc1a0c6e9939p-19, 0x1.05c359c34a92ep-18, 0x1.246b9b2627da8p-18, 0x1.425b514dd1f85p-18, 0x1.5f943643a566cp-18, 0x1.7c1801b3784b6p-18, 0x1.97e869377bc01p-18, 0x1.b30720a110df3p-18, 0x1.cd75da33c28eep-18, 0x1.e73646f22750fp-18, 0x1.00250b63a982cp-17, 0x1.0c597c61a3d98p-17, 0x1.18394da79fc2ep-17, 0x1.23c5562656c2bp-17, 0x1.2efe6ca652446p-17, 0x1.39e567d3b5171p-17, 0x1.447b1e53c2d2ep-17, 0x1.4ec066cf56a97p-17, 0x1.58b6180420eccp-17, 0x1.625d08cb9c9c8p-17, 0x1.6bb610294775dp-17, 0x1.74c2054faef3cp-17, 0x1.7d81bfa9da33fp-17, 0x1.85f616e14306cp-17, 0x1.8e1fe2e0a9649p-17, 0x1.95fffbda15231p-17, 0x1.9d973a465ce6fp-17, 0x1.a4e676e8c1eb4p-17, 0x1.abee8ad01bc36p-17, 0x1.b2b04f52c949ap-17, 0x1.b92c9e122b407p-17, 0x1.bf6450f2f8088p-17, 0x1.c558421f81da4p-17, 0x1.cb094bff4acf6p-17, 0x1.d078493600099p-17, 0x1.d5a6149c8e859p-17, 0x1.da93893c78642p-17, 0x1.df418249b09e1p-17, 0x1.e3b0db1b46a32p-17, 0x1.e7e26f23e99e8p-17, 0x1.ebd719eb6db2ap-17, 0x1.ef8fb70577fc8p-17, 0x1.f30d220adb751p-17, 0x1.f650368ede1b8p-17, 0x1.f959d016681d2p-17, 0x1.fc2aca0ec9c96p-17, 0x1.fec3ffc701641p-17, 0x1.0093262ffcaebp-16, 0x1.01a94563fa548p-16, 0x1.02a4cad7409ecp-16, 0x1.038623bcfa009p-16, 0x1.044dbd1dc4b32p-16, 0x1.04fc03d3fc458p-16, 0x1.0591648518a76p-16, 0x1.060e4b9cac419p-16, 0x1.0673254746adp-16, 0x1.06c05d6c61b19p-16, 0x1.06f65fa9e05a6p-16, 0x1.0715974dbb1b1p-16, 0x1.071e6f51d6144p-16, 0x1.0711525595718p-16, 0x1.06eeaa992fd03p-16, 0x1.06b6e1f7e6e82p-16, 0x1.066a61e2a5cdap-16, 0x1.0609935c032acp-16, 0x1.0594def12b8ecp-16, 0x1.050cacb678cffp-16, 0x1.0471644104f88p-16, 0x1.03c36ca30c562p-16, 0x1.03032c662f8p-16, 0x1.023109867cf6ep-16, 0x1.014d696ec4cb6p-16, 0x1.0058b0f32a9fbp-16, 0x1.fea688982d904p-17, 0x1.fc7b0e2518346p-17, 0x1.fa2fb87758183p-17, 0x1.f7c54c286fe48p-17, 0x1.f53c8c77ec44dp-17, 0x1.f2963b44cdc1dp-17, 0x1.efd31903c45b3p-17, 0x1.ecf3e4ba2894cp-17, 0x1.e9f95bf2728afp-17, 0x1.e6e43ab8a6d13p-17, 0x1.e3b53b919ca8ep-17, 0x1.e06d17747362dp-17, 0x1.dd0c85c23a95ep-17, 0x1.d9943c4233c17p-17, 0x1.d604ef19734efp-17, 0x1.d25f50c571dcp-17, 0x1.cea4121635c0ap-17, 0x1.cad3e22906efdp-17, 0x1.c6ef6e628cf66p-17, 0x1.c2f7626a0bc42p-17, 0x1.beec6823dde6dp-17, 0x1.bacf27ae7fef2p-17, 0x1.b6a0475d277e7p-17, 0x1.b2606bb2c66a7p-17, 0x1.ae10375e3f671p-17, 0x1.a9b04b372509fp-17, 0x1.a5414639d483ep-17, 0x1.a0c3c584b3766p-17, 0x1.9c3864539516fp-17, 0x1.979fbbfe2afc5p-17, 0x1.92fa63f4bced5p-17, 0x1.8e48f1bd3b7abp-17, 0x1.898bf8f2000fap-17, 0x1.84c40b3ece405p-17, 0x1.7ff1b86035434p-17, 0x1.7b158e20c8034p-17, 0x1.763018571ef48p-17, 0x1.7141e0e598abap-17, 0x1.6c4b6fb8547dep-17, 0x1.674d4ac52e2e6p-17, 0x1.6247f60a45ca1p-17, 0x1.5d3bf38dfb55p-17, 0x1.5829c35dc8cbbp-17, 0x1.5311e38eae38ep-17, 0x1.4df4d03d30d89p-17, 0x1.48d3038d293acp-17, 0x1.43acf5aa6bbbcp-17, 0x1.3e831cc9c954bp-17, 0x1.3955ed2830f2ap-17, 0x1.3425d90c699c6p-17, 0x1.2ef350c7c3901p-17, 0x1.29bec2b764bc9p-17, 0x1.24889b457f098p-17, 0x1.1f5144ea4aaaap-17, 0x1.1a19282de97d3p-17, 0x1.14e0aba9c2a2ap-17, 0x1.0fa8340a47064p-17, 0x1.0a7024113907fp-17, 0x1.0538dc97f89e5p-17, 0x1.0002bc91c280ep-17, 0x1.f59c4219edba5p-18, 0x1.eb36ca6c496e5p-18, 0x1.e0d5c4b3ceba7p-18, 0x1.d679dfd140523p-18, 0x1.cc23c6f0e18dep-18, 0x1.c1d421905e78dp-18, 0x1.b78b938420033p-18, 0x1.ad4abcfebb317p-18, 0x1.a3123a962831bp-18, 0x1.98e2a549fcd8ep-18, 0x1.8ebc928a7099fp-18, 0x1.84a0943f04d3dp-18, 0x1.7a8f38cef1a59p-18, 0x1.70890b26655f7p-18, 0x1.668e92bd8f645p-18, 0x1.5ca053a038471p-18, 0x1.52bece76105a9p-18, 0x1.48ea808a61cp-18, 0x1.3f23e3d18bcb8p-18, 0x1.356b6ef47f40fp-18, 0x1.2bc19555201f3p-18, 0x1.2226c718be747p-18, 0x1.189b712f299bcp-18, 0x1.0f1ffd5bc96dap-18, 0x1.05b4d23cf9423p-18, 0x1.f8b4a6ab85153p-19, 0x1.e621c22d8ce54p-19, 0x1.d3b1b1c8e5352p-19, 0x1.c1652a4302d49p-19, 0x1.af3cda6dc7804p-19, 0x1.9d396b3a80e7bp-19, 0x1.8b5b7fcb1f24bp-19, 0x1.79a3b5838804dp-19, 0x1.6812a41c7f01p-19, 0x1.56a8ddb5a60aap-19, 0x1.4566eee5b09b1p-19, 0x1.344d5ece4e7f1p-19, 0x1.235caf2e06988p-19, 0x1.12955c74b5d0bp-19, 0x1.01f7ddd364c46p-19, 0x1.e3094a9bc19c7p-20, 0x1.c2783f9d55b65p-20, 0x1.a23d6a739d542p-20, 0x1.825990fb270b2p-20, 0x1.62cd6f4d95944p-20, 0x1.4399b7e27371p-20, 0x1.24bf13b89e56dp-20, 0x1.063e2278f4908p-20, 0x1.d02ef53440982p-21, 0x1.94975307fd361p-21, 0x1.59b66774a4975p-21, 0x1.1f8d29f742ea7p-21, 0x1.cc3901a8ee2eap-22, 0x1.5aca82b7a64a1p-22, 0x1.d5a0c0bfe24c7p-23, 0x1.f1300c964294dp-24, 0x1.e7d669e97c0f2p-27, -0x1.71599a13d3363p-24, -0x1.8ce48184496fp-23, -0x1.2f13f06459231p-22, -0x1.963aa85e26928p-22, -0x1.fbe5b9135f6f6p-22, -0x1.300a47e76198cp-21, -0x1.61635b150a3ddp-21, -0x1.91fde8c1678b9p-21, -0x1.c1d9d13ae9062p-21, -0x1.f0f70231402c2p-21, -0x1.0faabb35dc902p-20, -0x1.267a9abdedf7p-20, -0x1.3ceb29c2e4e75p-20, -0x1.52fc7880c58e2p-20, -0x1.68ae9d37ce18dp-20, -0x1.7e01b40ae3adap-20, -0x1.92f5dee3469d5p-20, -0x1.a78b454f2d794p-20, -0x1.bbc2145e02e18p-20, -0x1.cf9a7e819afe2p-20, -0x1.e314bb748b4dep-20, -0x1.f6310814faf9ap-20, -0x1.0477d32280ee9p-19, -0x1.0da86e670bc5ap-19, -0x1.16aa7ba28f8fbp-19, -0x1.1f7e22f54dceap-19, -0x1.28238ec422a81p-19, -0x1.309aebacf39e5p-19, -0x1.38e468766eab5p-19, -0x1.4100360278804p-19, -0x1.48ee873f212fbp-19, -0x1.50af91190e644p-19, -0x1.58438a6d7d3fcp-19, -0x1.5faaabfc7943bp-19, -0x1.66e5305a0e167p-19, -0x1.6df353e29bb75p-19, -0x1.74d554ac6888ep-19, -0x1.7b8b7279ff6c5p-19, -0x1.8215eeaf4bfd7p-19, }}, 
      {{-0x1.c7977a5b5d242p-1, -0x1.c776be972f28ap-1, -0x1.c73b556fe29d7p-1, -0x1.c6df06823a491p-1, -0x1.c65aae34d3892p-1, -0x1.c5a719cb91d1ep-1, -0x1.c4bdb236cc77ep-1, -0x1.c398f1f7cdc34p-1, -0x1.c234aaff65f38p-1, -0x1.c08e24f4a6817p-1, -0x1.bea41d1b5bf22p-1, -0x1.bc76b0747bcb4p-1, -0x1.ba0737779445dp-1, -0x1.b758195bfae66p-1, -0x1.b46c9b8d736fdp-1, -0x1.b148b0b5a420ap-1, -0x1.adf0c9c30b764p-1, -0x1.aa69aa876fceep-1, -0x1.a6b842e62eb9cp-1, -0x1.a2e18d10391a1p-1, -0x1.9eea70f1313b1p-1, -0x1.9ad7acb0d7943p-1, -0x1.96adc2004fef9p-1, -0x1.9270e7cf0d196p-1, -0x1.8e24fff39caa3p-1, -0x1.89cd904de6375p-1, -0x1.856dbee84ee9bp-1, -0x1.810850a18c47dp-1, -0x1.7c9fa9f04b94ep-1, -0x1.7835d15b01eap-1, -0x1.73cc73485a0b4p-1, -0x1.6f64e6d72c7d6p-1, -0x1.6b0033773c548p-1, -0x1.669f1705df118p-1, -0x1.62420c3ae66ap-1, -0x1.5de9513aa6102p-1, -0x1.5994ee29920e5p-1, -0x1.5544bba4c4197p-1, -0x1.50f86908b211dp-1, -0x1.4caf8274a2d2dp-1, -0x1.4869767dd8f5ap-1, -0x1.44259b8951f7bp-1, -0x1.3fe334c61d7c4p-1, -0x1.3ba176c509b1dp-1, -0x1.375f8bac89d7fp-1, -0x1.331c970989e4ap-1, -0x1.2ed7b93f44c5dp-1, -0x1.2a9012994c6c1p-1, -0x1.2644c603c6905p-1, -0x1.21f4fb6e7919dp-1, -0x1.1d9fe1dfa8d5cp-1, -0x1.1944b13c0ba3cp-1, -0x1.14e2abc93000fp-1, -0x1.10791f6fbd9bdp-1, -0x1.0c0766c2dd0ebp-1, -0x1.078ce9d1fa435p-1, -0x1.03091ec9db641p-1, -0x1.fcf714d3aa6cfp-2, -0x1.f3c780a33eb65p-2, -0x1.ea82c6581eb0cp-2, -0x1.e12849755aa68p-2, -0x1.d7b78b8bbf66fp-2, -0x1.ce302bea242dbp-2, -0x1.c491e72409fefp-2, -0x1.badc96744d61fp-2, -0x1.b1102f01334fp-2, -0x1.a72cc1069d41dp-2, -0x1.9d3276eab84d1p-2, -0x1.932194411261fp-2, -0x1.88fa74bf99a1fp-2, -0x1.7ebd8b28a46b3p-2, -0x1.746b602cd6eabp-2, -0x1.6a04914754885p-2, -0x1.5f89cf967dc1p-2, -0x1.54fbdeb3156d2p-2, -0x1.4a5b93878d2b9p-2, -0x1.3fa9d328e356fp-2, -0x1.34e791b25d417p-2, -0x1.2a15d1253097fp-2, -0x1.1f35a04d0e41p-2, -0x1.144819aa4fcbp-2, -0x1.094e62627603dp-2, -0x1.fc93526efdbcp-3, -0x1.e6764b0d04b18p-3, -0x1.d0482c9bead57p-3, -0x1.ba0b8277a3a83p-3, -0x1.a3c2e387ac984p-3, -0x1.8d70f07c0f035p-3, -0x1.7718521b0a8e7p-3, -0x1.60bbb79f75eb2p-3, -0x1.4a5dd527e094cp-3, -0x1.340162365f8abp-3, -0x1.1da91840e0f64p-3, -0x1.0757b151de45ap-3, -0x1.e21fcd726aa45p-4, -0x1.b5a8df99c466fp-4, -0x1.89500172a8b07p-4, -0x1.5d1a92c22354ap-4, -0x1.310de896a4508p-4, -0x1.052f4b427d152p-4, -0x1.b307e8e5c9623p-5, -0x1.5c221ac5b6616p-5, -0x1.05b75a523f92ep-5, -0x1.5fa35c821a336p-6, -0x1.69ebcb4f4a762p-7, -0x1.6f35c37be55bbp-11, 0x1.397c9796d08f6p-7, 0x1.439f6e40020a7p-6, 0x1.e91788777e088p-6, 0x1.468a6b67bd691p-5, 0x1.97c3034e990f9p-5, 0x1.e82d1cd56e66p-5, 0x1.1be0425973506p-4, 0x1.433aa27000733p-4, 0x1.6a21d2f1f0bcdp-4, 0x1.909217fdfa64fp-4, 0x1.b687d610e1b81p-4, 0x1.dbff9277c7c2p-4, 0x1.007af9d94c8p-3, 0x1.12b3e0e3877d4p-3, 0x1.24a8f342829e7p-3, 0x1.3658b6de464fcp-3, 0x1.47c1c2b33a74ep-3, 0x1.58e2bedfd6c5bp-3, 0x1.69ba64ac19517p-3, 0x1.7a477e8af469ap-3, 0x1.8a88e815feb8fp-3, 0x1.9a7d8e03a77f3p-3, 0x1.aa246e1820343p-3, 0x1.b97c97114e4p-3, 0x1.c885288de7f86p-3, 0x1.d73d52f00a4bp-3, 0x1.e5a4573b78568p-3, 0x1.f3b986efb7157p-3, 0x1.00be21ef2319bp-2, 0x1.0775fffe92547p-2, 0x1.0e041e9ae8c0cp-2, 0x1.1468469880fb4p-2, 0x1.1aa2488f9d4e6p-2, 0x1.20b1fcbf3aef6p-2, 0x1.269742ee8a396p-2, 0x1.2c52024d19898p-2, 0x1.31e22951d1851p-2, 0x1.3747ad98cf1a3p-2, 0x1.3c828bc03ae5fp-2, 0x1.4192c744273b5p-2, 0x1.46786a5990814p-2, 0x1.4b3385c8910eap-2, 0x1.4fc430c5d7e79p-2, 0x1.542a88cb79ad6p-2, 0x1.5866b17128f15p-2, 0x1.5c78d443ea95fp-2, 0x1.6061209d5291p-2, 0x1.641fcb7a5e28p-2, 0x1.67b50f51f637cp-2, 0x1.6b212beb2c6ebp-2, 0x1.6e6466333fcb3p-2, 0x1.717f081376e1bp-2, 0x1.74716046dbc93p-2, 0x1.773bc22febb84p-2, 0x1.79de85ae42ac1p-2, 0x1.7c5a06f44be6p-2, 0x1.7eaea65d0ccd1p-2, 0x1.80dcc8420d461p-2, 0x1.82e4d4d168f3bp-2, 0x1.84c737e416fe8p-2, 0x1.868460d470c2bp-2, 0x1.881cc254fedafp-2, 0x1.8990d24797f9ep-2, 0x1.8ae10994d97b9p-2, 0x1.8c0de40401294p-2, 0x1.8d17e013308b5p-2, 0x1.8dff7ed01ffp-2, 0x1.8ec543b149f5p-2, 0x1.8f69b46f95ba4p-2, 0x1.8fed58e084249p-2, 0x1.9050bad0e5e7dp-2, 0x1.909465e026391p-2, 0x1.90b8e75c23fedp-2, 0x1.90bece1da723cp-2, 0x1.90a6aa65751e3p-2, 0x1.90710dba043d5p-2, 0x1.901e8ac5d7679p-2, 0x1.8fafb5367ec7p-2, 0x1.8f25219c4a23bp-2, 0x1.8e7f654aa5e2ep-2, 0x1.8dbf16392a95cp-2, 0x1.8ce4cae55ff96p-2, 0x1.8bf11a35383d4p-2, 0x1.8ae49b5a3e4a1p-2, 0x1.89bfe5b57fd4fp-2, 0x1.888390bc325cap-2, 0x1.873033dd0eac1p-2, 0x1.85c666666e51p-2, 0x1.8446bf6d1f979p-2, 0x1.82b1d5b3f8d61p-2, 0x1.81083f942a28ep-2, 0x1.7f4a92e646234p-2, 0x1.7d7964ec0b936p-2, 0x1.7b954a3ae9c0bp-2, 0x1.799ed6a73dd21p-2, 0x1.77969d304b903p-2, 0x1.757d2fecef4f6p-2, 0x1.73531ff907402p-2, 0x1.7118fd6393444p-2, 0x1.6ecf571d89f7p-2, 0x1.6c76bae95fd47p-2, 0x1.6a0fb54b4241ap-2, 0x1.679ad17a01a02p-2, 0x1.65189950a5959p-2, 0x1.62899540b4534p-2, 0x1.5fee4c451b46cp-2, 0x1.5d4743d5c4312p-2, 0x1.5a94ffdbcebb5p-2, 0x1.57d802a6693fdp-2, 0x1.5510cce04bde4p-2, 0x1.523fdd85d020dp-2, 0x1.4f65b1dba371ap-2, 0x1.4c82c56610daap-2, 0x1.499791e0dfddfp-2, 0x1.46a48f37c4003p-2, 0x1.43aa337f5de5ep-2, 0x1.40a8f2eec84cap-2, 0x1.3da13fd9ab98fp-2, 0x1.3a938aaada2b7p-2, 0x1.378041df6f551p-2, 0x1.3467d2026eb81p-2, 0x1.314aa5a8e0902p-2, 0x1.2e29256e659b2p-2, 0x1.2b03b7f246978p-2, 0x1.27dac1d4f378fp-2, 0x1.24aea5b5f4856p-2, 0x1.217fc43249d64p-2, 0x1.1e4e7be333f6fp-2, 0x1.1b1b295d652f4p-2, 0x1.17e6273094e1fp-2, 0x1.14afcde777314p-2, 0x1.117874080debcp-2, 0x1.0e406e145bfcbp-2, 0x1.0b080e8b67263p-2, 0x1.07cfa5ea97d8dp-2, 0x1.049782af6521dp-2, 0x1.015ff15951f66p-2, 0x1.fc5278d86c488p-3, 0x1.f5e758e59fa79p-3, 0x1.ef7f10033cf8fp-3, 0x1.e91a2773f5f75p-3, 0x1.e2b9249af0786p-3, 0x1.dc5c8902f692p-3, 0x1.d604d26626496p-3, 0x1.cfb27ab60ad06p-3, 0x1.c965f8242abfcp-3, 0x1.c31fbd2af38e5p-3, 0x1.bce038970bf25p-3, 0x1.b6a7d5910542p-3, 0x1.b076fba75b1d8p-3, 0x1.aa4e0ed8d2f93p-3, 0x1.a42d6f9f1da06p-3, 0x1.9e157af9ca863p-3, 0x1.98068a797d0e7p-3, 0x1.9200f44b612bdp-3, 0x1.8c050b44df52cp-3, 0x1.86131eef85336p-3, 0x1.802b7b95241b7p-3, 0x1.7a4e6a4c2099bp-3, 0x1.747c3103e9b77p-3, 0x1.6eb512919a69dp-3, 0x1.68f94ebcc45afp-3, 0x1.6349224c4fcf3p-3, 0x1.5da4c71384013p-3, 0x1.580c73ff21f5dp-3, 0x1.52805d2298d35p-3, 0x1.4d00b3c54e72dp-3, 0x1.478da66fefdcbp-3, 0x1.422760f9db47ap-3, 0x1.3cce0c9689359p-3, 0x1.3781cfe3001fcp-3, 0x1.3242cef34e4a6p-3, 0x1.2d112b6001d63p-3, 0x1.27ed0453a1b32p-3, 0x1.22d6769823efap-3, 0x1.1dcd9ca45a5acp-3, 0x1.18d28ea959df4p-3, 0x1.13e5629fd66f4p-3, 0x1.0f062c5574623p-3, 0x1.0a34fd7a04b5ap-3, 0x1.0571e5acb8834p-3, 0x1.00bcf2893cb6p-3, 0x1.f82c5f698850fp-4, 0x1.eefb4dd5f2439p-4, 0x1.e5e6c015afe7bp-4, 0x1.dceec246e02efp-4, 0x1.d4135d01194efp-4, 0x1.cb54956e7c24bp-4, 0x1.c2b26d648a059p-4, 0x1.ba2ce37cc244cp-4, 0x1.b1c3f32d03e82p-4, 0x1.a97794df9767cp-4, 0x1.a147be0b0e342p-4, 0x1.99346149d06f2p-4, 0x1.913d6e7159312p-4, 0x1.8962d2a935ef5p-4, 0x1.81a47881b46f2p-4, 0x1.7a02480a418eep-4, 0x1.727c26e77c0ecp-4, 0x1.6b11f868f3164p-4, 0x1.63c39d9e9a217p-4, 0x1.5c90f56de2559p-4, 0x1.5579dca68450bp-4, 0x1.4e7e2e16f63cap-4, 0x1.479dc2a08c082p-4, 0x1.40d8714b3e9bcp-4, 0x1.3a2e0f59208d6p-4, 0x1.339e70597b09ep-4, 0x1.2d29663b90802p-4, 0x1.26cec1610aad6p-4, 0x1.208e50b00d01cp-4, 0x1.1a67e1a4f3a1fp-4, 0x1.145b4063b693dp-4, 0x1.0e6837c8f224ep-4, 0x1.088e917a9c1a2p-4, 0x1.02ce15f85cb1cp-4, 0x1.fa4d195728281p-5, 0x1.ef2f77edfc434p-5, 0x1.e442d28c13d0cp-5, 0x1.d986b237a4e4bp-5, 0x1.cefa9e438269p-5, 0x1.c49e1c6bbbf6dp-5, 0x1.ba70b0f185521p-5, 0x1.b071deb67dce7p-5, 0x1.a6a1275745abcp-5, 0x1.9cfe0b456b9e4p-5, 0x1.938809e0bd6a8p-5, 0x1.8a3ea18fdbebp-5, 0x1.81214fd84366cp-5, 0x1.782f9175a01dcp-5, 0x1.6f68e27084da4p-5, 0x1.66ccbe34854bp-5, 0x1.5e5a9fa5b0fa1p-5, 0x1.561201356dd37p-5, 0x1.4df25cf6b7db8p-5, 0x1.45fb2cb1d1b28p-5, 0x1.3e2be9f755b53p-5, 0x1.36840e32abf42p-5, 0x1.2f0312bbff63fp-5, 0x1.27a870e992434p-5, 0x1.2073a22089488p-5, 0x1.19641fe52c89p-5, 0x1.127963ea93323p-5, 0x1.0bb2e821db267p-5, 0x1.051026c8c0836p-5, 0x1.fd2134ef9194dp-6, 0x1.f0677c5fb267ep-6, 0x1.e3f21aceaa121p-6, 0x1.d7c0082d8b88p-6, 0x1.cbd03d89f55b5p-6, 0x1.c021b5256a257p-6, 0x1.b4b36a8bb9b17p-6, 0x1.a9845aa88de4fp-6, 0x1.9e9383dbf838ap-6, 0x1.93dfe60e34878p-6, 0x1.896882c29050dp-6, 0x1.7f2c5d295fe8fp-6, 0x1.752a7a3145263p-6, 0x1.6b61e0979377ap-6, 0x1.61d198f7e6813p-6, 0x1.5878addb0493cp-6, 0x1.4f562bc4e64bfp-6, 0x1.4669214216b69p-6, 0x1.3db09ef45de85p-6, 0x1.352bb79e9ecf6p-6, 0x1.2cd980301ae93p-6, 0x1.24b90fceffb79p-6, 0x1.1cc97fe25a19ap-6, 0x1.1509ec1b4a3e1p-6, 0x1.0d79727dc3796p-6, 0x1.061733687ea21p-6, 0x1.fdc4a338fa7c6p-7, 0x1.efb3e487e7fb8p-7, 0x1.e1fa79f113035p-7, 0x1.d496b7925b636p-7, 0x1.c786f67eab1dbp-7, 0x1.bac994c770b6cp-7, 0x1.ae5cf58521d37p-7, 0x1.a23f80debae1dp-7, 0x1.966fa4105c2bcp-7, 0x1.8aebd170da1a1p-7, 0x1.7fb28076b4109p-7, 0x1.74c22dbbd87b9p-7, 0x1.6a195b00d94f9p-7, 0x1.5fb68f2f2fdffp-7, 0x1.5598565ac14e8p-7, 0x1.4bbd41c2b4772p-7, 0x1.4223e7d176b8dp-7, 0x1.38cae41c125efp-7, 0x1.2fb0d760ded4bp-7, 0x1.26d467859c39dp-7, 0x1.1e343f94bff11p-7, 0x1.15cf0fba5dd29p-7, 0x1.0da38d4045945p-7, 0x1.05b07289cbe52p-7, 0x1.fbe8fe1d924dcp-8, 0x1.ecdceeaca22afp-8, 0x1.de3a49e1a256p-8, 0x1.cffeace3487e1p-8, 0x1.c227bed0af84cp-8, 0x1.b4b330b2a7447p-8, 0x1.a79ebd6cb14ddp-8, 0x1.9ae829acc0b4ep-8, 0x1.8e8d43da3bdebp-8, 0x1.828be404b24fbp-8, 0x1.76e1ebd165dcap-8, 0x1.6b8d466880422p-8, 0x1.608be8617caadp-8, 0x1.55dbcfaf27176p-8, 0x1.4b7b038ae2912p-8, 0x1.4167945f74a31p-8, 0x1.379f9bb38bdd1p-8, 0x1.2e213c1367b19p-8, 0x1.24eaa0fa615cap-8, 0x1.1bf9febc1dd18p-8, 0x1.134d926d01f12p-8, 0x1.0ae3a1caa4c89p-8, 0x1.02ba7b23ccb7p-8, 0x1.f5a0ea80487aep-9, 0x1.e647de8f2a975p-9, 0x1.d766a1532bd4fp-9, 0x1.c8fa12080c8e7p-9, 0x1.baff2013c6cccp-9, 0x1.ad72cad3fe5edp-9, 0x1.a052216a8ab19p-9, 0x1.939a4289f5f67p-9, 0x1.87485c41ebf5ep-9, 0x1.7b59abcb22572p-9, 0x1.6fcb7d5348387p-9, 0x1.649b2bc8b47b2p-9, 0x1.59c620a619afap-9, 0x1.4f49d3be22eddp-9, 0x1.4523cb06c53dp-9, 0x1.3b519a650f16bp-9, 0x1.31d0e3786a9b7p-9, 0x1.289f55666e35ap-9, 0x1.1fbaaca670ff6p-9, 0x1.1720b2cd4c324p-9, 0x1.0ecf3e595060bp-9, 0x1.06c4327e347f5p-9, 0x1.fdfafde2fd0c3p-10, 0x1.eef23f6dc3dfap-10, 0x1.e06a39d9c26f4p-10, 0x1.d25f15333c1eep-10, 0x1.c4cd10f0b4b64p-10, 0x1.b7b0838cc498fp-10, 0x1.ab05da2277c39p-10, 0x1.9ec9980934509p-10, 0x1.92f8567118553p-10, 0x1.878ec40102761p-10, 0x1.7c89a4744deb8p-10, 0x1.71e5d03a09f43p-10, 0x1.67a03414d007ep-10, 0x1.5db5d0bad1358p-10, 0x1.5423ba77b2401p-10, 0x1.4ae718ce9163dp-10, 0x1.41fd261cf52b5p-10, 0x1.39632f3eed832p-10, 0x1.311693341b9cdp-10, 0x1.2914c2c515045p-10, 0x1.215b402a73ad6p-10, 0x1.19e79eb497e54p-10, 0x1.12b7827417a7fp-10, 0x1.0bc89fe380dadp-10, 0x1.0518bb922593cp-10, 0x1.fd4b539edfdfbp-11, 0x1.f0da9cb012521p-11, 0x1.e4db380661b8bp-11, 0x1.d94928e27a33ap-11, 0x1.ce208f78bdef1p-11, 0x1.c35da85060917p-11, 0x1.b8fccba915348p-11, 0x1.aefa6ce0095a1p-11, 0x1.a55319d7a2448p-11, 0x1.9c037a6254be3p-11, 0x1.93084fae4e12ap-11, 0x1.8a5e73b42f952p-11, 0x1.8202d8a718ff1p-11, 0x1.79f288676247fp-11, 0x1.722aa3f7c12f1p-11, 0x1.6aa862f3e0bdfp-11, 0x1.63691308ccf0fp-11, 0x1.5c6a17712b26bp-11, 0x1.55a8e8717c784p-11, 0x1.4f2312d8559a2p-11, 0x1.48d6377eb596cp-11, 0x1.42c00accb67ffp-11, 0x1.3cde543e0e2a5p-11, 0x1.372eedeab5fb2p-11, 0x1.31afc4100f3cep-11, 0x1.2c5ed49ce4a35p-11, 0x1.273a2ebf123f9p-11, 0x1.223ff27384a87p-11, 0x1.1d6e501832ca3p-11, 0x1.18c387ff9b798p-11, 0x1.143dea06ef57ep-11, 0x1.0fdbd52da69dp-11, 0x1.0b9bb72f9f9e1p-11, 0x1.077c0c1ff78e1p-11, 0x1.037b5e0782898p-11, 0x1.ff30890809aabp-12, 0x1.f7a2c8d219dbdp-12, 0x1.f04adec7b910cp-12, 0x1.e92647400a8c6p-12, 0x1.e23296dd0555cp-12, 0x1.db6d79dc5f7ebp-12, 0x1.d4d4b36ce9ac7p-12, 0x1.ce661d065ad34p-12, 0x1.c81fa5c634a37p-12, 0x1.c1ff51cdbebc1p-12, 0x1.bc0339a5de777p-12, 0x1.b62989a506317p-12, 0x1.b070815779bbep-12, 0x1.aad672ede4106p-12, 0x1.a559c2ab7690ap-12, 0x1.9ff8e659b596dp-12, 0x1.9ab264bef76c3p-12, 0x1.9584d516dfb5p-12, 0x1.906ede8f62163p-12, 0x1.8b6f37c7e0d68p-12, 0x1.8684a65333f1ap-12, 0x1.81adfe3d82ccap-12, 0x1.7cea2193ceb6ep-12, 0x1.7837ffeef4ap-12, 0x1.739696015f67dp-12, 0x1.6f04ed27e787ap-12, 0x1.6a821afc68087p-12, 0x1.660d40ebcc088p-12, 0x1.61a58bce7b568p-12, 0x1.5d4a338328637p-12, 0x1.58fa7a8cbe7e5p-12, 0x1.54b5adb15c068p-12, 0x1.507b239e6ec54p-12, 0x1.4c4a3c8bbd1b1p-12, 0x1.482261e395d4ap-12, 0x1.440305ec25a28p-12, 0x1.3feba37301c45p-12, 0x1.3bdbbd7b5470ap-12, 0x1.37d2deedefa1p-12, 0x1.33d09a4b8c82bp-12, 0x1.2fd4896157866p-12, 0x1.2bde4cff44a6ap-12, 0x1.27ed8cb0c0f75p-12, 0x1.2401f6776bec1p-12, 0x1.201b3e8687ea5p-12, 0x1.1c391f029d6afp-12, 0x1.185b57c0d1ff3p-12, 0x1.1481ae097e3fcp-12, 0x1.10abec5b8a577p-12, 0x1.0cd9e2327e4f1p-12, 0x1.090b63cd9e4fcp-12, 0x1.054049f8e93b1p-12, 0x1.017871d7ef3ep-12, 0x1.fb6779641209ap-13, 0x1.f3e41f8022b01p-13, 0x1.ec66a7f815092p-13, 0x1.e4eeebe3d0fedp-13, 0x1.dd7ccb23c8674p-13, 0x1.d6102c097a9dcp-13, 0x1.cea8fb00bb919p-13, 0x1.c7472a3e5b201p-13, 0x1.bfeab16eaf9ddp-13, 0x1.b8938d698d471p-13, 0x1.b141bfe686a6fp-13, 0x1.a9f54f3588fbap-13, 0x1.a2ae45f822d79p-13, 0x1.9b6cb2de74686p-13, 0x1.9430a866053b6p-13, 0x1.8cfa3c9b66fa9p-13, 0x1.85c988dced96p-13, 0x1.7e9ea9a0ed0bfp-13, 0x1.7779be3ca5077p-13, 0x1.705ae8aeaf6afp-13, 0x1.69424d6a90e1dp-13, 0x1.623013266dfccp-13, 0x1.5b2462aa82a9cp-13, 0x1.541f66a3566fp-13, 0x1.4d214b73b0b1fp-13, 0x1.462a3f0afb006p-13, 0x1.3f3a70bb5c30fp-13, 0x1.3852111275412p-13, 0x1.317151b342084p-13, 0x1.2a986531e69c2p-13, 0x1.23c77ef0b0c1ep-13, 0x1.1cfed2fed1d1dp-13, 0x1.163e95f8864d4p-13, 0x1.0f86fce8fe02ap-13, 0x1.08d83d2ca2c5ep-13, 0x1.02328c5594ceap-13, 0x1.f72c4022876fep-14, 0x1.ea065c1e4da8p-14, 0x1.dcf3d7d1b9c62p-14, 0x1.cff51e165f588p-14, 0x1.c30a9940d6512p-14, 0x1.b634b2f7a8048p-14, 0x1.a973d40bfcb7cp-14, 0x1.9cc86454e7db6p-14, 0x1.9032ca8d12194p-14, 0x1.83b36c30f09e1p-14, 0x1.774aad5feb0bep-14, 0x1.6af8f0bf7a8c5p-14, 0x1.5ebe975f2a3efp-14, 0x1.529c009f0a602p-14, 0x1.46918a17c2212p-14, 0x1.3a9f8f84221b3p-14, 0x1.2ec66aabfa4d5p-14, 0x1.2306735002ff8p-14, 0x1.175fff191ef4dp-14, 0x1.0bd361868802dp-14, 0x1.0060ebdf98576p-14, 0x1.ea11da49d3bbdp-15, 0x1.d39764077ef11p-15, 0x1.bd530995beaeap-15, 0x1.a7455abea0f8p-15, 0x1.916ee267a5af1p-15, 0x1.7bd02680f28a7p-15, 0x1.6669a7f5fb95fp-15, 0x1.513be2a2c6eb7p-15, 0x1.3c474d474c322p-15, 0x1.278c598072beep-15, 0x1.130b73bf5fb81p-15, 0x1.fd8a068be9efdp-16, 0x1.d572d44345a7dp-16, 0x1.add20a53d46a6p-16, 0x1.86a857fe218a9p-16, 0x1.5ff662175bef5p-16, 0x1.39bcc30ac0867p-16, 0x1.13fc0ae22bb3dp-16, 0x1.dd697e9d9c1dbp-17, 0x1.93ceb76585556p-17, 0x1.4b28a26452e6ep-17, 0x1.03780d7b37f32p-17, 0x1.797b64a04aef9p-18, 0x1.dbe8d9be35e3dp-19, 0x1.91715bc81b96dp-20, -0x1.1a5f0b3031affp-21, -0x1.5206cf020c58ep-19, -0x1.2cc98d70d745bp-18, -0x1.ae9dcb8ccb33dp-18, -0x1.173fe0004ab26p-17, -0x1.5637972a4266bp-17, -0x1.9435ff75139bp-17, -0x1.d13b1f431fb87p-17, -0x1.06a387713617dp-16, -0x1.242cfc246006ap-16, -0x1.413a0b666a95ep-16, -0x1.5dcadb6f87721p-16, -0x1.79df9ae089b37p-16, -0x1.9578809c22188p-16, -0x1.b095cba12ff39p-16, -0x1.cb37c2e531154p-16, -0x1.e55eb52c7e387p-16, -0x1.ff0af8e330c4ep-16, -0x1.0c1e75f9f83aep-15, -0x1.187a79d076a47p-15, -0x1.2499be2d3963cp-15, -0x1.307c7ccb1eeebp-15, -0x1.3c22f2d391b1cp-15, -0x1.478d60c923afcp-15, -0x1.52bc0a736f783p-15, -0x1.5daf36ca150dep-15, -0x1.68672fe016a39p-15, -0x1.72e442ceb1d78p-15, -0x1.7d26bfa11e6fap-15, -0x1.872ef93f62e5ep-15, -0x1.90fd455a28668p-15, -0x1.9a91fc5546f14p-15, -0x1.a3ed7933d4ca2p-15, -0x1.ad1019832af0ep-15, -0x1.b5fa3d46c44a2p-15, -0x1.beac46e3b72f1p-15, -0x1.c7269b0cf2fbep-15, -0x1.cf69a0aee593bp-15, -0x1.d775c0db6f6f7p-15, -0x1.df4b66b68d42ap-15, -0x1.e6eaff622b9d1p-15, -0x1.ee54f9eb6bd85p-15, -0x1.f589c736ccc0ep-15, -0x1.fc89d9edb67d7p-15, -0x1.01aad3357f2f8p-14, -0x1.04f6d1545e523p-14, -0x1.08292316fd1fdp-14, -0x1.0b4204fdb162p-14, -0x1.0e41b43d768c2p-14, -0x1.11286eb66638fp-14, -0x1.13f672eb2c50fp-14, -0x1.16abfff88d071p-14, -0x1.1949558cbf3c8p-14, -0x1.1bceb3deb50f3p-14, -0x1.1e3c5ba65bbebp-14, -0x1.20928e1423199p-14, -0x1.22d18cc90ee7fp-14, -0x1.24f999ceb39edp-14, -0x1.270af78fcb4c7p-14, -0x1.2905e8d01940dp-14, -0x1.2aeab0a557119p-14, -0x1.2cb9926f92f01p-14, -0x1.2e72d1d20efbfp-14, -0x1.3016b2ac2ada3p-14, -0x1.31a57912871f8p-14, -0x1.331f6947d8beep-14, -0x1.3484c7b6b8abfp-14, -0x1.35d5d8eab28dep-14, -0x1.3712e18a05ca6p-14, -0x1.383c264f3815fp-14, -0x1.3951ec032819dp-14, -0x1.3a547776f1cdap-14, -0x1.3b440d7de1f2bp-14, -0x1.3c20f2e7ff149p-14, -0x1.3ceb6c7c6328ep-14, -0x1.3da3bef396157p-14, -0x1.3e4a2ef224ec3p-14, -0x1.3edf0103e195ep-14, -0x1.3f62799647f97p-14, -0x1.3fd4dcf3c1cbbp-14, -0x1.40366f3eeb176p-14, -0x1.4087746dc9ccbp-14, -0x1.40c8304523c31p-14, -0x1.40f8e6542aa83p-14, -0x1.4119d9f03b078p-14, -0x1.412b4e3070ce5p-14, -0x1.412d85e9ba17ep-14, -0x1.4120c3ab04fe6p-14, -0x1.410549b92c64bp-14, -0x1.40db5a0b59a92p-14, -0x1.40a3364783e41p-14, -0x1.405d1fbea0f7p-14, -0x1.40095769c7a5p-14, -0x1.3fa81de68e357p-14, -0x1.3f39b3740b387p-14, -0x1.3ebe57ef9319ap-14, -0x1.3e364ad23e32ap-14, -0x1.3da1cb2dcda3cp-14, -0x1.3d0117a9ce23dp-14, -0x1.3c546e8129c8ep-14, -0x1.3b9c0d7fd026fp-14, -0x1.3ad83200243f1p-14, -0x1.3a0918e88207fp-14, -0x1.392efea936b68p-14, -0x1.384a1f3a79bf7p-14, -0x1.375ab61a50688p-14, -0x1.3660fe4a7b9ecp-14, -0x1.355d324ed4f26p-14, -0x1.344f8c2b7e2ep-14, -0x1.3338456313728p-14, -0x1.321796f55c541p-14, -0x1.30edb95dc26adp-14, -0x1.2fbae491b583fp-14, -0x1.2e7f4fff64ab4p-14, -0x1.2d3b328c9bc6fp-14, -0x1.2beec295ace8dp-14, -0x1.2a9a35ec2dab2p-14, -0x1.293dc1d5ec935p-14, -0x1.27d99b0c1297fp-14, -0x1.266df5ba472bfp-14, -0x1.24fb057e003e7p-14, -0x1.2380fd658c26fp-14, -0x1.22000fef97265p-14, -0x1.20786f0a55355p-14, -0x1.1eea4c13471ccp-14, -0x1.1d55d7d6a747dp-14, -0x1.1bbb428eebaa7p-14, -0x1.1a1abbe463c19p-14, -0x1.187472ed162adp-14, -0x1.16c8962c872d7p-14, -0x1.1517539364998p-14, -0x1.1360d87f59d37p-14, -0x1.11a551bb44ca9p-14, -0x1.0fe4eb7f02fdap-14, -0x1.0e1fd16f742fp-14, -0x1.0c562e9ea17bdp-14, -0x1.0a882d8bbbebp-14, -0x1.08b5f8237c9fcp-14, -0x1.06dfb7c0359a6p-14, -0x1.0505952a29a16p-14, -0x1.0327b897cfa12p-14, -0x1.014649ae1f698p-14, -0x1.fec2df022a02ap-15, -0x1.faf2a127dd991p-15, -0x1.f71c25b38b8ap-15, -0x1.f33fb76c105p-15, -0x1.ef5d9ffa0e1c7p-15, -0x1.eb7627e902fb8p-15, -0x1.e78996a80fb5dp-15, -0x1.e398328bdcc26p-15, -0x1.dfa240cfdcbc4p-15, -0x1.dba8059759e12p-15, -0x1.d7a9c3eebb688p-15, -0x1.d3a7bdcd9837bp-15, -0x1.cfa23417e4ce1p-15, -0x1.cb99669fc23d2p-15, -0x1.c78d9426d5835p-15, -0x1.c37efa603e824p-15, -0x1.bf6dd5f21475ap-15, -0x1.bb5a62775dfep-15, -0x1.b744da81e9778p-15, -0x1.b32d779c25ac2p-15, -0x1.af14724abc8e8p-15, -0x1.aafa020efeebap-15, -0x1.a6de5d686c695p-15, -0x1.a2c1b9d6d5b87p-15, -0x1.9ea44bdcaabbdp-15, -0x1.9a864700babaep-15, -0x1.9667ddd05188ep-15, -0x1.924941e146fadp-15, -0x1.8e2aa3d4641d9p-15, -0x1.8a0c335782e21p-15, -0x1.85ee1f27a4104p-15, -0x1.81d0951303c81p-15, -0x1.7db3c1fb6073fp-15, -0x1.7997d1d883a97p-15, -0x1.757cefba42d9fp-15, -0x1.716345cae59d5p-15, -0x1.6d4afd513ee21p-15, -0x1.69343eb326509p-15, -0x1.651f3177bb466p-15, -0x1.610bfc49be287p-15, -0x1.5cfac4f9d6f8fp-15, -0x1.58ebb08119895p-15, -0x1.54dee3034e398p-15, -0x1.50d47fd1187d1p-15, -0x1.4ccca96a81e57p-15, -0x1.48c781818a941p-15, -0x1.44c528fc23123p-15, -0x1.40c5bff6b364cp-15, -0x1.3cc965c6a4a5dp-15, -0x1.38d038fcae731p-15, -0x1.34da576734362p-15, -0x1.30e7de1471cap-15, -0x1.2cf8e9553a66bp-15, -0x1.290d94bf0ddb8p-15, -0x1.2525fb2e8440cp-15, -0x1.214236c9bf6ddp-15, -0x1.1d626102e966cp-15, -0x1.1986929a6ce5ap-15, -0x1.15aee3a1080ebp-15, -0x1.11db6b7aa09dep-15, -0x1.0e0c40e06393bp-15, -0x1.0a4179e2f6e5bp-15, -0x1.067b2bed02bb6p-15, -0x1.02b96bc58bd53p-15, -0x1.fdf89b2403234p-16, -0x1.f687c9b137dcfp-16, -0x1.ef208905c5f15p-16, }}, 
      {{-0x1.c79e6bc7ab57fp-1, -0x1.c793c4ef8f801p-1, -0x1.c781034c45922p-1, -0x1.c764d003a943ap-1, -0x1.c73d8c82b5917p-1, -0x1.c70979fe88d1bp-1, -0x1.c6c6db23f1d58p-1, -0x1.c6740e89b7f9dp-1, -0x1.c60fa1de6373ap-1, -0x1.c5985e8270b54p-1, -0x1.c50d50904d2d8p-1, -0x1.c46dc967a6f0cp-1, -0x1.c3b95ec4a25p-1, -0x1.c2efe74e545d6p-1, -0x1.c211756463a75p-1, -0x1.c11e50cfa8015p-1, -0x1.c016efd81dcd5p-1, -0x1.befbf024d98d9p-1, -0x1.bdce0fb171b8dp-1, -0x1.bc8e260f52dd1p-1, -0x1.bb3d1e18715e9p-1, -0x1.b9dbf02b3cbf2p-1, -0x1.b86b9cfd24094p-1, -0x1.b6ed2908e5416p-1, -0x1.b5619897dff9bp-1, -0x1.b3c9ec613bebep-1, -0x1.b2271eb6bbd7cp-1, -0x1.b07a213510223p-1, -0x1.aec3daec5bf0dp-1, -0x1.ad0526f514513p-1, -0x1.ab3ed3655667p-1, -0x1.a971a09b0de14p-1, -0x1.a79e40cfd8bb4p-1, -0x1.a5c557ec33318p-1, -0x1.a3e77b904c5a5p-1, -0x1.a2053349ad777p-1, -0x1.a01ef8edba361p-1, -0x1.9e353911eadf2p-1, -0x1.9c48539b65a1dp-1, -0x1.9a589c606bb9p-1, -0x1.98665bd6bc72cp-1, -0x1.9671cfcac1d22p-1, -0x1.947b2c1bec858p-1, -0x1.92829b7b3b8e4p-1, -0x1.908840295ec0fp-1, -0x1.8e8c34b25cdf6p-1, -0x1.8c8e8ca5042dbp-1, -0x1.8a8f5544c5a99p-1, -0x1.888e9634e6b1cp-1, -0x1.868c521c38dep-1, -0x1.84888740be89fp-1, -0x1.8283301ad4b8p-1, -0x1.807c43dfa4b9ap-1, -0x1.7e73b702c0966p-1, -0x1.7c697baeed7e1p-1, -0x1.7a5d82363475bp-1, -0x1.784fb979661cfp-1, -0x1.76400f474d5a8p-1, -0x1.742e70b3d9bb1p-1, -0x1.721aca67911b6p-1, -0x1.700508e7a3392p-1, -0x1.6ded18d6f7574p-1, -0x1.6bd2e73097ccbp-1, -0x1.69b6617bd7688p-1, -0x1.679775fa95d29p-1, -0x1.657613d1fc6a2p-1, -0x1.63522b2e173e6p-1, -0x1.612bad60a1e01p-1, -0x1.5f028cfb6000fp-1, -0x1.5cd6bde65a10ep-1, -0x1.5aa835724be73p-1, -0x1.5876ea6793c3cp-1, -0x1.5642d511ee649p-1, -0x1.540bef4940d7cp-1, -0x1.51d23477b668cp-1, -0x1.4f95a19d6e772p-1, -0x1.4d563551f5287p-1, -0x1.4b13efc3bbf22p-1, -0x1.48ced2b5c7347p-1, -0x1.4686e17bbdf9ap-1, -0x1.443c20f488eefp-1, -0x1.41ee9783aa262p-1, -0x1.3f9e4d0971081p-1, -0x1.3d4b4ada312b4p-1, -0x1.3af59bb496e34p-1, -0x1.389d4bb73e419p-1, -0x1.36426855a1dcfp-1, -0x1.33e5004c7c33p-1, -0x1.31852395b6077p-1, -0x1.2f22e35bf07cep-1, -0x1.2cbe51edc3f8ep-1, -0x1.2a5782b0c1ad6p-1, -0x1.27ee8a144a793p-1, -0x1.25837d8446562p-1, -0x1.2316735bcbb9cp-1, -0x1.20a782d7c48a9p-1, -0x1.1e36c4099548cp-1, -0x1.1bc44fc9d757dp-1, -0x1.19503fab2a981p-1, -0x1.16daaded2639ep-1, -0x1.1463b56f72777p-1, -0x1.11eb71a50da16p-1, -0x1.0f71fe87c661ep-1, -0x1.0cf7788bea8f1p-1, -0x1.0a7bfc9434e13p-1, -0x1.07ffa7e5f75acp-1, -0x1.0582981d8a4c1p-1, -0x1.0304eb22ff124p-1, -0x1.0086bf1f1c80bp-1, -0x1.fc1064e145147p-2, -0x1.f712c743b633bp-2, -0x1.f214e2bcea7e2p-2, -0x1.ed16f4d361ac9p-2, -0x1.e8193b29a828ap-2, -0x1.e31bf36be7817p-2, -0x1.de1f5b3e105eap-2, -0x1.d923b02aa104ap-2, -0x1.d4292f920db2fp-2, -0x1.cf30169ac27fcp-2, -0x1.ca38a221c4d9fp-2, -0x1.c5430eabea22ep-2, -0x1.c04f9857b1737p-2, -0x1.bb5e7acfabdffp-2, -0x1.b66ff13d83811p-2, -0x1.b184363d91dd4p-2, -0x1.ac9b83d30b6ap-2, -0x1.a7b6135cbb4ebp-2, -0x1.a2d41d8a4da68p-2, -0x1.9df5da52244c8p-2, -0x1.991b80e7b782ep-2, -0x1.944547b27afc1p-2, -0x1.8f73644548972p-2, -0x1.8aa60b564bf92p-2, -0x1.85dd70b76e21ep-2, -0x1.8119c74f3b455p-2, -0x1.7c5b411243c91p-2, -0x1.77a20efcf15f1p-2, -0x1.72ee610dd34edp-2, -0x1.6e406640560f8p-2, -0x1.69984c87efdeap-2, -0x1.64f640cbb0bbfp-2, -0x1.605a6ee23f075p-2, -0x1.5bc5018e3b08cp-2, -0x1.5736227afd82p-2, -0x1.52adfa39be0c2p-2, -0x1.4e2cb03f10f9bp-2, -0x1.49b26ae0c0b4ap-2, -0x1.453f4f53fd4ebp-2, -0x1.40d381abe2469p-2, -0x1.3c6f24d84b058p-2, -0x1.38125aa4f99c6p-2, -0x1.33bd43b905302p-2, -0x1.2f6fff96963f1p-2, -0x1.2b2aac9ae6a0ap-2, -0x1.26ed67fe87738p-2, -0x1.22b84dd5e7414p-2, -0x1.1e8b791219aa8p-2, -0x1.1a670381d75dfp-2, -0x1.164b05d2be463p-2, -0x1.12379792c44bp-2, -0x1.0e2ccf31e17cep-2, -0x1.0a2ac203ee269p-2, -0x1.06318442afed5p-2, -0x1.0241291017528p-2, -0x1.fcb384f14df96p-3, -0x1.f4f6c2ec133fbp-3, -0x1.ed4c2be395477p-3, -0x1.e5b3dd907125p-3, -0x1.de2df396d3aaep-3, -0x1.d6ba878ccbe4cp-3, -0x1.cf59b100d33adp-3, -0x1.c80b85809bf3p-3, -0x1.c0d018a0163c2p-3, -0x1.b9a77c00a83c9p-3, -0x1.b291bf5894c06p-3, -0x1.ab8ef07a978eap-3, -0x1.a49f1b5da791dp-3, -0x1.9dc24a24e095ap-3, -0x1.96f8852791f5cp-3, -0x1.9041d2f96f9afp-3, -0x1.899e3872df1e1p-3, -0x1.830db8b961109p-3, -0x1.7c90554812e5fp-3, -0x1.76260df8497ebp-3, -0x1.6fcee10a37225p-3, -0x1.698acb2da857bp-3, -0x1.6359c78aced1p-3, -0x1.5d3bcfcb119e3p-3, -0x1.5730dc21f0b9ap-3, -0x1.5138e355e42eep-3, -0x1.4b53dac94791dp-3, -0x1.4581b68348faap-3, -0x1.3fc26938cf361p-3, -0x1.3a15e4556b64dp-3, -0x1.347c18043d693p-3, -0x1.2ef4f338d692dp-3, -0x1.298063b81a87ap-3, -0x1.241e56210bf1bp-3, -0x1.1eceb5f59cb1dp-3, -0x1.19916da368f63p-3, -0x1.1466668c68a36p-3, -0x1.0f4d890f92aafp-3, -0x1.0a46bc91716e1p-3, -0x1.0551e784a122p-3, -0x1.006eef7244887p-3, -0x1.f73b7204b9407p-4, -0x1.edbc500829ce8p-4, -0x1.e4603eebe6ec2p-4, -0x1.db27031be9c1dp-4, -0x1.d2105f8327ba4p-4, -0x1.c91c159b6278ep-4, -0x1.c049e57cd9e7ep-4, -0x1.b7998dedb4634p-4, -0x1.af0acc7147397p-4, -0x1.a69d5d5718cd5p-4, -0x1.9e50fbc9afb44p-4, -0x1.962561dd3361ep-4, -0x1.8e1a489dbee5bp-4, -0x1.862f681d8e5c9p-4, -0x1.7e647782e0eap-4, -0x1.76b92d15a7d9bp-4, -0x1.6f2d3e4cf2e83p-4, -0x1.67c05fdc22225p-4, -0x1.607245bfda8d8p-4, -0x1.5942a34ab7c84p-4, -0x1.52312b31c2e94p-4, -0x1.4b3d8f98a6848p-4, -0x1.4467821da848ap-4, -0x1.3daeb3e55aa86p-4, -0x1.3712d5a615dedp-4, -0x1.309397b32cddfp-4, -0x1.2a30aa07e3702p-4, -0x1.23e9bc52236f1p-4, -0x1.1dbe7dfcf3b3cp-4, -0x1.17ae9e3aaac4cp-4, -0x1.11b9cc0ee7fdap-4, -0x1.0bdfb65847c02p-4, -0x1.06200bd9da132p-4, -0x1.007a7b445d43dp-4, -0x1.f5dd667e67d65p-5, -0x1.eaf8c4e2449bap-5, -0x1.e0466f11921e5p-5, -0x1.d5c5c289d09a4p-5, -0x1.cb761cf8c078bp-5, -0x1.c156dc4bef6cep-5, -0x1.b7675ebfd0c1p-5, -0x1.ada702ee58bafp-5, -0x1.a41527dd2878dp-5, -0x1.9ab12d0b422ccp-5, -0x1.917a727e4d1bbp-5, -0x1.887058cf695f9p-5, -0x1.7f9241378829ap-5, -0x1.76df8d9b6c694p-5, -0x1.6e57a09725bf6p-5, -0x1.65f9dd892ff71p-5, -0x1.5dc5a89d20d8dp-5, -0x1.55ba66d5f42e3p-5, -0x1.4dd77e17e787ep-5, -0x1.461c5531f97b6p-5, -0x1.3e8853e6ffacfp-5, -0x1.371ae2f65ee83p-5, -0x1.2fd36c246168ep-5, -0x1.28b15a422828fp-5, -0x1.21b419354c503p-5, -0x1.1adb15ff1af54p-5, -0x1.1425bec3799c7p-5, -0x1.0d9382cf74296p-5, -0x1.0723d29f7713p-5, -0x1.00d61fe52dc2ep-5, -0x1.f553bb1a2d6f5p-6, -0x1.e93cff8782e72p-6, -0x1.dd66f7f57d51ep-6, -0x1.d1d091da89835p-6, -0x1.c678bd4909c3ap-6, -0x1.bb5e6cf775355p-6, -0x1.b0809647db027p-6, -0x1.a5de314ee35bap-6, -0x1.9b7638da4305fp-6, -0x1.9147aa76a5b0dp-6, -0x1.8751867518399p-6, -0x1.7d92cfeff00c6p-6, -0x1.740a8ccf3b98ep-6, -0x1.6ab7c5ccb7a14p-6, -0x1.61998677452bep-6, -0x1.58aedd3604adap-6, -0x1.4ff6db4ade22dp-6, -0x1.477094d4c160fp-6, -0x1.3f1b20d16439ep-6, -0x1.36f5991ea95dbp-6, -0x1.2eff1a7b94884p-6, -0x1.2736c488f1475p-6, -0x1.1f9bb9c98ecb1p-6, -0x1.182d1fa22690dp-6, -0x1.10ea1e58eb17ap-6, -0x1.09d1e114c7111p-6, -0x1.02e395dc3efabp-6, -0x1.f83cdb28228b8p-7, -0x1.eb0337fb08552p-7, -0x1.de18af68cef82p-7, -0x1.d17bb459ab7c7p-7, -0x1.c52abf615c539p-7, -0x1.b9244eb994dc7p-7, -0x1.ad66e63bfc88dp-7, -0x1.a1f10f5b9a3c9p-7, -0x1.96c1591de2ca2p-7, -0x1.8bd658134cfd9p-7, -0x1.812ea64f7949fp-7, -0x1.76c8e360ff636p-7, -0x1.6ca3b448c439ep-7, -0x1.62bdc37106c41p-7, -0x1.5915c0a40e7f4p-7, -0x1.4faa61027602ep-7, -0x1.467a5ef94018dp-7, -0x1.3d847a378324ap-7, -0x1.34c777a3e48c5p-7, -0x1.2c422151b882bp-7, -0x1.23f34675f0b3ap-7, -0x1.1bd9bb5bca574p-7, -0x1.13f4595939fb3p-7, -0x1.0c41fec328fedp-7, -0x1.04c18ee17c07bp-7, -0x1.fae3e3c5c9efap-8, -0x1.eca429a13fd6ap-8, -0x1.dec1d303af5fdp-8, -0x1.d13acd1e32075p-8, -0x1.c40d0e8af5103p-8, -0x1.b736973370a6p-8, -0x1.aab570365a97dp-8, -0x1.9e87abcd5345cp-8, -0x1.92ab653281f26p-8, -0x1.871ec085dee3ap-8, -0x1.7bdfeab26fb8dp-8, -0x1.70ed19536eec8p-8, -0x1.66448a991aac3p-8, -0x1.5be4852dbbfb3p-8, -0x1.51cb581a60fe7p-8, -0x1.47f75aab8a0d1p-8, -0x1.3e66ec55ed8dap-8, -0x1.3518749b14239p-8, -0x1.2c0a62edfe6e9p-8, -0x1.233b2e97c17f9p-8, -0x1.1aa9569c36723p-8, -0x1.1253619ea7c59p-8, -0x1.0a37ddc675232p-8, -0x1.025560a3ec583p-8, -0x1.f5550e2a3efebp-9, -0x1.e66bea5570b1ap-9, -0x1.d7ecac1a17103p-9, -0x1.c9d4b7c24ab0fp-9, -0x1.bc217f5c04441p-9, -0x1.aed08283c6c9dp-9, -0x1.a1df4e2f79124p-9, -0x1.954b7c79931eap-9, -0x1.8912b46c88de9p-9, -0x1.7d32a9ceb1578p-9, -0x1.71a91cee47b0ep-9, -0x1.6673da6dd466p-9, -0x1.5b90bb10f35a8p-9, -0x1.50fda38999b94p-9, -0x1.46b88445806afp-9, -0x1.3cbf593c0e562p-9, -0x1.331029bccbfc2p-9, -0x1.29a9083df57bdp-9, -0x1.2088122bbf08bp-9, -0x1.17ab6fb7f4051p-9, -0x1.0f1153a9eccd6p-9, -0x1.06b7fb2f26a53p-9, -0x1.fd3b5b5830e08p-10, -0x1.ed81791b705ffp-10, -0x1.de3f0636bbe7dp-10, -0x1.cf70cc923463bp-10, -0x1.c113a9153f384p-10, -0x1.b3248b4d11757p-10, -0x1.a5a07514bd37bp-10, -0x1.98847a3d6c123p-10, -0x1.8bcdc0389781cp-10, -0x1.7f797dc25c64dp-10, -0x1.7384fa8d7fecep-10, -0x1.67ed8ef03bd7dp-10, -0x1.5cb0a391ebd7ep-10, -0x1.51cbb11a10216p-10, -0x1.473c3fe025e3ep-10, -0x1.3cffe79ca35f8p-10, -0x1.33144f1b08f27p-10, -0x1.29772becd7d5ep-10, -0x1.2026421dc0ba6p-10, -0x1.171f63e8b8138p-10, -0x1.0e60716e52068p-10, -0x1.05e7586bd2609p-10, -0x1.fb6427e762748p-11, -0x1.eb7d584d76d9dp-11, -0x1.dc166bdd53eb6p-11, -0x1.cd2ba572d09e3p-11, -0x1.beb9606b6cb6cp-11, -0x1.b0bc1020efd82p-11, -0x1.a3303f66b5925p-11, -0x1.96129008c6622p-11, -0x1.895fba4cdef65p-11, -0x1.7d148c75b9b7ap-11, -0x1.712dea47f6328p-11, -0x1.65a8cc91b9e2ap-11, -0x1.5a8240b359215p-11, -0x1.4fb7682ab2b46p-11, -0x1.45457820792eep-11, -0x1.3b29b8f6e13b1p-11, -0x1.316185dab62e4p-11, -0x1.27ea4c5646248p-11, -0x1.1ec18be6359fp-11, -0x1.15e4d59013055p-11, -0x1.0d51cb7ab5f7ap-11, -0x1.05062088e564ep-11, -0x1.f9ff2fea8e95cp-12, -0x1.ea7809e12165dp-12, -0x1.db72948252e76p-12, -0x1.cceab3c9a15f5p-12, -0x1.bedc6967e84b7p-12, -0x1.b143d40d3c5dbp-12, -0x1.a41d2eb6ca49ap-12, -0x1.9764cfff8624ep-12, -0x1.8b1729745524cp-12, -0x1.7f30c6ec0f64bp-12, -0x1.73ae4de1fae1ep-12, -0x1.688c7cd41cb2bp-12, -0x1.5dc82aa44a9b6p-12, -0x1.535e45fce0e17p-12, -0x1.494bd4b7e52a7p-12, -0x1.3f8df34a3449p-12, -0x1.3621d43083f57p-12, -0x1.2d04bf608aed7p-12, -0x1.243411bc2a08ap-12, -0x1.1bad3c8836d91p-12, -0x1.136dc4e58ace7p-12, -0x1.0b73434d4d366p-12, -0x1.03bb630feaaebp-12, -0x1.f887c3ad4626ap-13, -0x1.ea151e4fd9e5ap-13, -0x1.dc1a97dcd8aefp-13, -0x1.ce941405c5574p-13, -0x1.c17d976fa0a15p-13, -0x1.b4d346d1ae8e2p-13, -0x1.a8916616c99ap-13, -0x1.9cb4578576747p-13, -0x1.91389aebec212p-13, -0x1.861accd0ec47cp-13, -0x1.7b57a5a965659p-13, -0x1.70ebf9128eb5dp-13, -0x1.66d4b510b4c37p-13, -0x1.5d0ee152929bbp-13, -0x1.53979e786791fp-13, -0x1.4a6c255fda7e7p-13, -0x1.4189c6745de98p-13, -0x1.38ede9028a9e5p-13, -0x1.30960a9120cc6p-13, -0x1.287fbe3c9aaf3p-13, -0x1.20a8ac1756a6cp-13, -0x1.190e908dc4222p-13, -0x1.11af3bcdb7953p-13, -0x1.0a889132004dfp-13, -0x1.039886b17ae67p-13, -0x1.f9ba48a254aa6p-14, -0x1.eca90735cb75bp-14, -0x1.dff99e2cd38bep-14, -0x1.d3a8838c64ba6p-14, -0x1.c7b24d4f665aep-14, -0x1.bc13b06d9f29dp-14, -0x1.b0c97fe7f8cdap-14, -0x1.a5d0abdc14dcep-14, -0x1.9b26409e24ff2p-14, -0x1.90c765d70a81bp-14, -0x1.86b15daa7b62fp-14, -0x1.7ce183e0d7519p-14, -0x1.73554d1813fbfp-14, -0x1.6a0a45f97426dp-14, -0x1.60fe127474bbbp-14, -0x1.582e6cff1574dp-14, -0x1.4f9925dc69dc9p-14, -0x1.473c2265b1eabp-14, -0x1.3f155c5ae7425p-14, -0x1.3722e13698ee6p-14, -0x1.2f62d18682f28p-14, -0x1.27d3604a02a37p-14, -0x1.2072d2534b8abp-14, -0x1.193f7dae8045cp-14, -0x1.1237c90bed94cp-14, -0x1.0b5a2b2f23a47p-14, -0x1.04a52a6241b9ep-14, -0x1.fc2eb7d96ffdcp-15, -0x1.ef5ec71bc72f8p-15, -0x1.e2d7e5f99b313p-15, -0x1.d69792d3edd5dp-15, -0x1.ca9b660b51729p-15, -0x1.bee1111304d71p-15, -0x1.b3665d8cb0ea8p-15, -0x1.a8292c6751a78p-15, -0x1.9d27750925f2dp-15, -0x1.925f447d17eaep-15, -0x1.87cebca74cebp-15, -0x1.7d74137fc9484p-15, -0x1.734d925373706p-15, -0x1.6959950abd3adp-15, -0x1.5f9689751690fp-15, -0x1.5602ee9be576ep-15, -0x1.4c9d541933ccbp-15, -0x1.43645974bbb96p-15, -0x1.3a56ad848a193p-15, -0x1.31730dd4dc711p-15, -0x1.28b84613a464p-15, -0x1.20252f7fd22b6p-15, -0x1.17b8b05f69169p-15, -0x1.0f71bb78fed2bp-15, -0x1.074f4f9158e58p-15, -0x1.fea0eddb5d7f8p-16, -0x1.eee88db46120cp-16, -0x1.df73be680250dp-16, -0x1.d040d3f1445eep-16, -0x1.c14e35ad8221ep-16, -0x1.b29a5d8a82dbbp-16, -0x1.a423d739f1929p-16, -0x1.95e93f692961fp-16, -0x1.87e9430508181p-16, -0x1.7a229e802f67cp-16, -0x1.6c941d21258d4p-16, -0x1.5f3c985859b9ap-16, -0x1.521af718c9826p-16, -0x1.452e2d3a6d997p-16, -0x1.38753ae00453dp-16, -0x1.2bef2be309da9p-16, -0x1.1f9b1744d1f77p-16, -0x1.13781ea68dc7ap-16, -0x1.07856dc37ad51p-16, -0x1.f78473e4f1294p-17, -0x1.e05b83592fbdep-17, -0x1.c98e982d1ce26p-17, -0x1.b31c511fb11a7p-17, -0x1.9d035c8c9ffc1p-17, -0x1.87427799d7318p-17, -0x1.71d86d7221214p-17, -0x1.5cc41680971cfp-17, -0x1.480457bbe6c84p-17, -0x1.339821f286725p-17, -0x1.1f7e7121a9745p-17, -0x1.0bb64bd2f0537p-17, -0x1.f07d84fd9d65ap-18, -0x1.ca2dddf3ec126p-18, -0x1.a47be7c5e0f33p-18, -0x1.7f65f835eb3b2p-18, -0x1.5aea7487332acp-18, -0x1.3707d081f6494p-18, -0x1.13bc8d8584ee3p-18, -0x1.e20e734722f63p-19, -0x1.9dccdd8bb1fb4p-19, -0x1.5ab1a3c0f60ep-19, -0x1.18ba24558339p-19, -0x1.afc7a18977d08p-20, -0x1.30585865454f6p-20, -0x1.664328473847p-21, -0x1.c0f4ce9153b03p-23, 0x1.02d4d75995a28p-22, 0x1.6ebcc15f76353p-21, 0x1.2be15553d0e8cp-20, 0x1.9e426d26cb4fcp-20, 0x1.0742f727bcc95p-19, 0x1.3e5806c0df04cp-19, 0x1.746277e2f7b85p-19, 0x1.a96456082f3c8p-19, 0x1.dd5fa66df35bap-19, 0x1.082b34624622bp-18, 0x1.21254bf536b91p-18, 0x1.399f1541520c4p-18, 0x1.519989cca7a5ep-18, 0x1.6915a1965926ap-18, 0x1.8014535c42cc7p-18, 0x1.969694d828289p-18, 0x1.ac9d5afae0eefp-18, 0x1.c2299a21bbb1dp-18, 0x1.d73c464988848p-18, 0x1.ebd6533b19496p-18, 0x1.fff8b4b94e517p-18, 0x1.09d22f52b49fdp-17, 0x1.136d229196742p-17, 0x1.1ccdae5daabe4p-17, 0x1.25f44d3b79434p-17, 0x1.2ee179fe17788p-17, 0x1.3795afd2749e5p-17, 0x1.40116a4a518bep-17, 0x1.485525655037dp-17, 0x1.50615d995dcf3p-17, 0x1.58368fd9f410ep-17, 0x1.5fd5399d78045p-17, 0x1.673dd8e2ec90cp-17, 0x1.6e70ec3532089p-17, 0x1.756ef2af03f01p-17, 0x1.7c386bfbedfc8p-17, 0x1.82cdd85ada5c5p-17, 0x1.892fb89dedb01p-17, 0x1.8f5e8e2ab5281p-17, 0x1.955adaf8cf861p-17, 0x1.9b252190bd07fp-17, 0x1.a0bde50a0de9ap-17, 0x1.a625a9086ae89p-17, 0x1.ab5cf1b86fa92p-17, 0x1.b06443cc1a76ap-17, 0x1.b53c24767c577p-17, 0x1.b9e51966884efp-17, 0x1.be5fa8c332695p-17, 0x1.c2ac59252d2c1p-17, 0x1.c6cbb1913ce7ap-17, 0x1.cabe3972ac2e7p-17, 0x1.ce847894b2cd7p-17, 0x1.d21ef71bbe808p-17, 0x1.d58e3d7ebba75p-17, 0x1.d8d2d47fed911p-17, 0x1.dbed45260bf52p-17, 0x1.dede18b3e9b89p-17, 0x1.e1a5d8a1f7486p-17, 0x1.e4450e95e95ebp-17, 0x1.e6bc445ab07d3p-17, 0x1.e90c03d95fa1ep-17, 0x1.eb34d7101c06p-17, 0x1.ed37480b5a4b4p-17, 0x1.ef13e0dcae863p-17, 0x1.f0cb2b92e1fb9p-17, 0x1.f25db23218b85p-17, 0x1.f3cbfeaaec8c6p-17, 0x1.f5169ad325a1ep-17, 0x1.f63e105cf3bbcp-17, 0x1.f742e8cee15ccp-17, 0x1.f825ad7bafdfcp-17, 0x1.f8e6e77af1cb2p-17, 0x1.f9871fa031532p-17, 0x1.fa06de73893cdp-17, 0x1.fa66ac299693ep-17, 0x1.faa7109bab3bp-17, 0x1.fac893404fbfap-17, 0x1.facbbb234c1f2p-17, 0x1.fab10edea6fb8p-17, 0x1.fa791492b8779p-17, 0x1.fa2451dfbddbbp-17, 0x1.f9b34bddf7f97p-17, 0x1.f926871740419p-17, 0x1.f87e877f9a72p-17, 0x1.f7bbd06eb860fp-17, 0x1.f6dee4996ded7p-17, 0x1.f5e8460b1686ep-17, 0x1.f4d8761f3fe16p-17, 0x1.f3aff57b77402p-17, 0x1.f26f44098a0b4p-17, 0x1.f116e0f1238b7p-17, 0x1.efa74a928dc29p-17, 0x1.ee20fe80fef9fp-17, 0x1.ec84797d0b572p-17, 0x1.ead2376fbc2d1p-17, 0x1.e90ab364c7ebcp-17, 0x1.e72e678628438p-17, 0x1.e53dcd173b8c1p-17, 0x1.e3395c6fc5068p-17, 0x1.e1218cf7f64b1p-17, 0x1.def6d5240ca0fp-17, 0x1.dcb9aa6fbec73p-17, 0x1.da6a815ac252bp-17, 0x1.d809cd64bc9c8p-17, 0x1.d598010957b6fp-17, 0x1.d3158dbd4af0dp-17, 0x1.d082e3ea8b2cep-17, 0x1.cde072ed128a9p-17, 0x1.cb2ea90fd4bcbp-17, 0x1.c86df38a0b488p-17, 0x1.c59ebe7c763d5p-17, 0x1.c2c174ee40b0cp-17, 0x1.bfd680cb280bfp-17, 0x1.bcde4ae11d51ep-17, 0x1.b9d93addc8225p-17, 0x1.b6c7b74c5be1ep-17, 0x1.b3aa25944db3bp-17, 0x1.b080e9f723de2p-17, 0x1.ad4c678ee5269p-17, 0x1.aa0d004caac41p-17, 0x1.a6c314f71f95ep-17, 0x1.a36f05299258fp-17, 0x1.a0112f52a2fc5p-17, 0x1.9ca9f0b37bc02p-17, 0x1.9939a55ef4b6cp-17, 0x1.95c0a838c71f9p-17, 0x1.923f52f4d660cp-17, 0x1.8eb5fe16fd965p-17, 0x1.8b2500f2727c3p-17, 0x1.878cb1a992fd8p-17, 0x1.83ed652ddb1e1p-17, 0x1.80476f3f8ff36p-17, 0x1.7c9b226e56f67p-17, 0x1.78e8d018f80bdp-17, 0x1.7530c86d92d62p-17, 0x1.71735a6a69ea1p-17, 0x1.6db0d3de27fadp-17, 0x1.69e98168197ffp-17, 0x1.661dae795424dp-17, 0x1.624da5553e407p-17, 0x1.5e79af1248be2p-17, 0x1.5aa2139adfc9ap-17, 0x1.56c719ae90cdep-17, 0x1.52e906e2e864ep-17, 0x1.4f081fa4caec1p-17, 0x1.4b24a7397d41cp-17, 0x1.473edfbfffa78p-17, 0x1.43570a329cabap-17, 0x1.3f6d666833c29p-17, 0x1.3b8233158396fp-17, 0x1.3795adcf0758bp-17, 0x1.33a8130a7b6adp-17, 0x1.2fb99e2082ecfp-17, 0x1.2bca894e5e6bp-17, 0x1.27db0db7c8bdbp-17, 0x1.23eb6368d614cp-17, 0x1.1ffbc157c3deap-17, 0x1.1c0c5d66e2ebbp-17, 0x1.181d6c66d3474p-17, 0x1.142f22187e7eap-17, 0x1.1041b12edd978p-17, 0x1.0c554b51759e8p-17, 0x1.086a211e4e539p-17, 0x1.0480622c24ca5p-17, 0x1.00983d0cc9feap-17, 0x1.f963be9ef0609p-18, 0x1.f19aeb057899fp-18, 0x1.e9d6566e73aabp-18, 0x1.e2165603b4a31p-18, 0x1.da5b3cfc4431cp-18, 0x1.d2a55ca16ac3p-18, 0x1.caf50453aecd2p-18, 0x1.c34a818f8c808p-18, 0x1.bba61ff25664ap-18, 0x1.b408293f9db6dp-18, 0x1.ac70e565983e2p-18, 0x1.a4e09a82e8ef5p-18, 0x1.9d578ceb37e76p-18, 0x1.95d5ff2cc69a5p-18, 0x1.8e5c32151d22p-18, 0x1.86ea64b68e927p-18, 0x1.7f80d46d51cb7p-18, 0x1.781fbce4d0c3fp-18, 0x1.70c7581cb0edfp-18, 0x1.6977de6e55cfcp-18, 0x1.6231869235c98p-18, 0x1.5af485a4bc23p-18, 0x1.53c10f2ba62d4p-18, 0x1.4c97551b8f14fp-18, 0x1.457787dd2c718p-18, 0x1.3e61d65232a1bp-18, 0x1.37566ddb265ecp-18, 0x1.30557a5c399a4p-18, 0x1.295f2642abcadp-18, 0x1.22739a8a4a814p-18, 0x1.1b92fec281948p-18, 0x1.14bd791382a66p-18, 0x1.0df32e4396739p-18, 0x1.073441bc583bap-18, 0x1.0080d58ff0df4p-18, 0x1.f3b214fc52b55p-19, 0x1.e679fff32e617p-19, 0x1.d959a859bce87p-19, 0x1.cc5147ff9377fp-19, 0x1.bf611638b77fcp-19, 0x1.b28947e7b2efp-19, 0x1.a5ca0f87f7fe3p-19, 0x1.99239d3751218p-19, 0x1.8c961ec037914p-19, 0x1.8021bfa4240dap-19, 0x1.73c6a924d5e3dp-19, 0x1.6785024e526a2p-19, 0x1.5b5cf000d3311p-19, 0x1.4f4e94fab152dp-19, 0x1.435a11e12c7e6p-19, 0x1.377f854a62f56p-19, 0x1.2bbf0bc730c09p-19, 0x1.2018bfec3623dp-19, 0x1.148cba5b1691p-19, 0x1.091b11cc1be8ap-19, 0x1.fb87b62e34aefp-20, 0x1.e50e5278bc036p-20, 0x1.ceca1adbf9f61p-20, 0x1.b8bb2e31ebe34p-20, 0x1.a2e1a7db6f9ffp-20, 0x1.8d3d9fd22dcc7p-20, 0x1.77cf2aba0fb46p-20, 0x1.629659f204ca3p-20, 0x1.4d933ba54941cp-20, 0x1.38c5dadcdf66cp-20, 0x1.242e3f8fd1a88p-20, 0x1.0fcc6eb3fcb13p-20, 0x1.f740d49bec098p-21, 0x1.cf546303aef4bp-21, 0x1.a7d381469a926p-21, 0x1.80be228a4b721p-21, 0x1.5a1434917ddafp-21, 0x1.33d59fdac1b8fp-21, 0x1.0e0247c170d8bp-21, 0x1.d134153727fd6p-22, 0x1.873983ad00ad5p-22, 0x1.3e1484288edp-22, 0x1.eb896d2412bcdp-23, 0x1.5c936366eb45fp-23, 0x1.9e8c0dc168f11p-24, 0x1.0e8187d26f7ffp-25, -0x1.197a47a993bd7p-25, -0x1.9d6fd78f3cb2bp-24, -0x1.556cd2c4b9c25p-23, -0x1.da7e7dafffd9cp-23, -0x1.2ef7194c4f212p-22, -0x1.6fdea3358f203p-22, -0x1.aff68e40b117ep-22, -0x1.ef3f9322013dbp-22, -0x1.16dd38b098332p-21, -0x1.35b3f79542bdp-21, -0x1.54246c8ef423bp-21, -0x1.722f010eb138cp-21, -0x1.8fd421901b056p-21, -0x1.ad143d818c9e5p-21, -0x1.c9efc72d9bd5bp-21, -0x1.e66733a341344p-21, -0x1.013d7d509b384p-20, -0x1.0f15cb406b62bp-20, -0x1.1cbcc20ffa21fp-20, -0x1.2a32a165892f8p-20, -0x1.3777aa13cfa8ap-20, -0x1.448c1e1105d0dp-20, -0x1.5170406bb8ac3p-20, -0x1.5e245540fd3d8p-20, -0x1.6aa8a1b3dc357p-20, -0x1.76fd6be3009aap-20, -0x1.8322fade87e15p-20, -0x1.8f19969f6213p-20, -0x1.9ae187fed1171p-20, -0x1.a67b18ac9f66bp-20, -0x1.b1e693262082fp-20, -0x1.bd2442adfb2e9p-20, -0x1.c83473447bb27p-20, -0x1.d317719eba601p-20, -0x1.ddcd8b1dd9232p-20, -0x1.e8570dc73fde2p-20, -0x1.f2b4483c97103p-20, -0x1.fce589b447109p-20, -0x1.037590f90041cp-19, -0x1.0862b09f9ef2p-19, -0x1.0d3a4c320c9bdp-19, -0x1.11fc8c4fb0089p-19, -0x1.16a999cff5c62p-19, -0x1.1b419dbf2d243p-19, -0x1.1fc4c15abbb6ep-19, -0x1.24332e0de345ap-19, -0x1.288d0d6ecbbf2p-19, }}, 
      {{0x1.225a31ac77ab1p-15, 0x1.225431fbd725dp-13, 0x1.46a42b4ff3c77p-12, 0x1.22771dcfb5ae4p-11, 0x1.c643d5d3ebcf9p-11, 0x1.47922ee983912p-10, 0x1.bed7e94129fc6p-10, 0x1.24a7e9f04770fp-9, 0x1.73b080a596981p-9, 0x1.ccba539fd85e7p-9, 0x1.17fb5e98c28cbp-8, 0x1.4ec7d50f0445cp-8, 0x1.8ad1e8faf8ceap-8, 0x1.cc21be6380ac9p-8, 0x1.095b7abed47dcp-7, 0x1.2f43d982419a1p-7, 0x1.57bffd9d6ce63p-7, 0x1.82c0ad346ea22p-7, 0x1.b03169bc1d1c1p-7, 0x1.dff886084976cp-7, 0x1.08fbab41d0c2p-6, 0x1.23053b7a49202p-6, 0x1.3e0510ad8fc2cp-6, 0x1.59e548dea8d1ep-6, 0x1.768e398b79dcdp-6, 0x1.93e6a90698f52p-6, 0x1.b1d4093c0bdcbp-6, 0x1.d03ab2a2b002bp-6, 0x1.eefe1e52916e6p-6, 0x1.07008f35b796cp-5, 0x1.16930a1282b97p-5, 0x1.26279185e733p-5, 0x1.35af3088496e8p-5, 0x1.451b0197ceaa3p-5, 0x1.545c4346be1c7p-5, 0x1.63646afe195aep-5, 0x1.722535f5eb85dp-5, 0x1.8090b86b71c7cp-5, 0x1.8e996b220cb73p-5, 0x1.9c32373f9864fp-5, 0x1.a94e809762373p-5, 0x1.b5e22e78bc636p-5, 0x1.c1e1b3173e1ecp-5, 0x1.cd4211a35df0fp-5, 0x1.d7f8e32a4cee8p-5, 0x1.e1fc5a53ccf21p-5, 0x1.eb434614877cep-5, 0x1.f3c5136acd49dp-5, 0x1.fb79ce3b257a5p-5, 0x1.012d10b0a6f29p-4, 0x1.042fab04c6cbap-4, 0x1.06c1a932b03a5p-4, 0x1.08e04be6d0ae3p-4, 0x1.0a892031b7d1ep-4, 0x1.0bb9fe200a84p-4, 0x1.0c710721a1afbp-4, 0x1.0caca446f87dep-4, 0x1.0c6b845b966dap-4, 0x1.0bac99e3a661bp-4, 0x1.0a6f190259daap-4, 0x1.08b2754e51e5fp-4, 0x1.06765f98b980ap-4, 0x1.03bac3ab5071cp-4, 0x1.007fc6012c405p-4, 0x1.f98b82fb0bc97p-5, 0x1.f11a8a470aaa6p-5, 0x1.e7ae23a32557cp-5, 0x1.dd483004b19fcp-5, 0x1.d1eaeb2aa66dbp-5, 0x1.c598e740d005ep-5, 0x1.b8550897954p-5, 0x1.aa2281724b367p-5, 0x1.9b04cded8c5f8p-5, 0x1.8affaffeae4c6p-5, 0x1.7a172b8d08cadp-5, 0x1.684f82a580c24p-5, 0x1.55ad31c8761d6p-5, 0x1.4234ec5204ea4p-5, 0x1.2deb98fc57323p-5, 0x1.18d64e7ba5b8ep-5, 0x1.02fa50335a317p-5, 0x1.d8ba1607876edp-6, 0x1.aa08245f63adbp-6, 0x1.79ea38b28297ap-6, 0x1.486c012a5cd74p-6, 0x1.15996727d4975p-6, 0x1.c2fd137f368a9p-7, 0x1.584f70bee30e1p-7, 0x1.d685b66bc3493p-8, 0x1.efc250f5f61dbp-9, 0x1.4e43f23f53be7p-12, -0x1.a47b18d01187dp-9, -0x1.bd5061bf04604p-8, -0x1.56100d9a0ab54p-7, -0x1.cf3c2ba34effep-7, -0x1.25092263233aep-6, -0x1.633c02c6b84aep-6, -0x1.a2298a9b72564p-6, -0x1.e1c48eb47d8f5p-6, -0x1.10fff46a2a3b3p-5, -0x1.31673da46b194p-5, -0x1.52119a3453a91p-5, -0x1.72f888f90d6fbp-5, -0x1.94159225df9d6p-5, -0x1.b56248d362ceep-5, -0x1.d6d84c81b252cp-5, -0x1.f8714a8bb393dp-5, -0x1.0d137fc5bddfbp-4, -0x1.1df99c57f4628p-4, -0x1.2ee7ea81c6523p-4, -0x1.3fdb6352763a2p-4, -0x1.50d109f81af9fp-4, -0x1.61c5ec4d44f66p-4, -0x1.72b7235f737f5p-4, -0x1.83a1d3ee72df9p-4, -0x1.94832ee4af0c8p-4, -0x1.a55871c88fb81p-4, -0x1.b61ee726f41c6p-4, -0x1.c6d3e6f6dda29p-4, -0x1.d774d6f674242p-4, -0x1.e7ff2b015eacdp-4, -0x1.f8706560b4782p-4, -0x1.04630b8a3b41p-3, -0x1.0c7ef00b6dc7p-3, -0x1.148ab7ccbad7p-3, -0x1.1c85421e25d66p-3, -0x1.246d761f949a8p-3, -0x1.2c4242d693bb9p-3, -0x1.34029f41542edp-3, -0x1.3bad8a66ee771p-3, -0x1.43420b650873dp-3, -0x1.4abf317addcdfp-3, -0x1.52241411dc44ep-3, -0x1.596fd2c3c5c8ep-3, -0x1.60a1955e8d295p-3, -0x1.67b88be5e2c8bp-3, -0x1.6eb3ee92a37a4p-3, -0x1.7592fdd0227ebp-3, -0x1.7c55023777f87p-3, -0x1.82f94c88d83cep-3, -0x1.897f35a312cbbp-3, -0x1.8fe61e79453d9p-3, -0x1.962d7006df304p-3, -0x1.9c549b41f64f7p-3, -0x1.a25b190c1adb2p-3, -0x1.a8406a21a4c0fp-3, -0x1.ae04170798119p-3, -0x1.b3a5aff8342cap-3, -0x1.b924ccce38304p-3, -0x1.be810ceef0e92p-3, -0x1.c3ba1733263e6p-3, -0x1.c8cf99cef005dp-3, -0x1.cdc14a38883dp-3, -0x1.d28ee50e2617p-3, -0x1.d7382dfaf537cp-3, -0x1.dbbcef9b3731cp-3, -0x1.e01cfb5f98f14p-3, -0x1.e458296fd051p-3, -0x1.e86e588c8c66ep-3, -0x1.ec5f6df0c69a2p-3, -0x1.f02b55327e322p-3, -0x1.f3d20022f0d45p-3, -0x1.f75366ae561b4p-3, -0x1.faaf86bb2fdd4p-3, -0x1.fde6640930e5bp-3, -0x1.007c0407e79e8p-2, -0x1.01f240ee44f51p-2, -0x1.0355f2f871f78p-2, -0x1.04a7271017e35p-2, -0x1.05e5ecb68e36fp-2, -0x1.071255f393945p-2, -0x1.082c7743f50bfp-2, -0x1.093467882835bp-2, -0x1.0a2a3ff2e3f89p-2, -0x1.0b0e1bf7ade27p-2, -0x1.0be01939712d5p-2, -0x1.0ca0577914728p-2, -0x1.0d4ef8841a5c9p-2, -0x1.0dec20234b95ep-2, -0x1.0e77f409716d6p-2, -0x1.0ef29bc220509p-2, -0x1.0f5c40a09ae69p-2, -0x1.0fb50daec733dp-2, -0x1.0ffd2f9c45298p-2, -0x1.1034d4ad9c85cp-2, -0x1.105c2cab8ec2bp-2, -0x1.107368d288409p-2, -0x1.107abbc239048p-2, -0x1.1072596d51f7fp-2, -0x1.105a77096cd1dp-2, -0x1.10334aff1e385p-2, -0x1.0ffd0cda359f8p-2, -0x1.0fb7f53a2bc7p-2, -0x1.0f643dc2c1986p-2, -0x1.0f02210cd27abp-2, -0x1.0e91da9758c8ep-2, -0x1.0e13a6b8a942ap-2, -0x1.0d87c28fe7388p-2, -0x1.0cee6bf6aa6b7p-2, -0x1.0c47e172e754dp-2, -0x1.0b9462290a03p-2, -0x1.0ad42dce520c6p-2, -0x1.0a07849b69018p-2, -0x1.092ea73f3671dp-2, -0x1.0849d6d1f4966p-2, -0x1.075954c881af5p-2, -0x1.065d62e7f3584p-2, -0x1.055643396a144p-2, -0x1.044437fe249e3p-2, -0x1.032783a3da091p-2, -0x1.020068b950205p-2, -0x1.00cf29e338272p-2, -0x1.ff2813a29dc37p-3, -0x1.fc9e96677b6c4p-3, -0x1.fa0261618293dp-3, -0x1.f753f9b529786p-3, -0x1.f493e44b394a6p-3, -0x1.f1c2a5bdb7105p-3, -0x1.eee0c2454b34ap-3, -0x1.ebeebda737932p-3, -0x1.e8ed1b23cfb45p-3, -0x1.e5dc5d657b22ap-3, -0x1.e2bd06703f351p-3, -0x1.df8f9791cdac3p-3, -0x1.dc54915219021p-3, -0x1.d90c73646e6e6p-3, -0x1.d5b7bc9914bb9p-3, -0x1.d256eacf6e2dp-3, -0x1.ceea7ae89c92ep-3, -0x1.cb72e8baa4e9bp-3, -0x1.c7f0af041b505p-3, -0x1.c46447604239p-3, -0x1.c0ce2a3bb4947p-3, -0x1.bd2ecec982569p-3, -0x1.b986aaf8ce488p-3, -0x1.b5d6336ae7p-3, -0x1.b21ddb69d3111p-3, -0x1.ae5e14df5bea3p-3, -0x1.aa97504c831e5p-3, -0x1.a6c9fcc17abfdp-3, -0x1.a2f687d60585cp-3, -0x1.9f1d5da246a75p-3, -0x1.9b3ee8b80dbe1p-3, -0x1.975b921c7b7e8p-3, -0x1.9373c14226ddbp-3, -0x1.8f87dc039db12p-3, -0x1.8b98469e52614p-3, -0x1.87a563adede21p-3, -0x1.83af942805f2cp-3, -0x1.7fb737583a471p-3, -0x1.7bbcaadca7e44p-3, -0x1.77c04aa2c1a61p-3, -0x1.73c270e4851f2p-3, -0x1.6fc37626030a2p-3, -0x1.6bc3b133495d4p-3, -0x1.67c3771e99e4ap-3, -0x1.63c31b3efa953p-3, -0x1.5fc2ef2f15099p-3, -0x1.5bc342cc67ccfp-3, -0x1.57c46436c34afp-3, -0x1.53c69fd015ea5p-3, -0x1.4fca403c7b00dp-3, -0x1.4bcf8e6298f19p-3, -0x1.47d6d16c3ea01p-3, -0x1.43e04ec74ac6fp-3, -0x1.3fec4a26cb995p-3, -0x1.3bfb058469295p-3, -0x1.380cc122002eep-3, -0x1.3421bb8b840e9p-3, -0x1.303a319913037p-3, -0x1.2c565e714456ap-3, -0x1.28767b8ba8baap-3, -0x1.249ac0b383d2ep-3, -0x1.20c3640ab1b66p-3, -0x1.1cf09a0cbdb4dp-3, -0x1.19229592289acp-3, -0x1.155987d3d68b6p-3, -0x1.1195a06eae1c5p-3, -0x1.0dd70d6754781p-3, -0x1.0a1dfb2e1ba41p-3, -0x1.066a94a30cec4p-3, -0x1.02bd031a19218p-3, -0x1.fe2adcbed2c76p-4, -0x1.f6e7f977a0eeap-4, -0x1.efb1a5f2aebfep-4, -0x1.e88828cfce02cp-4, -0x1.e16bc5c41a0aep-4, -0x1.da5cbda3b2c5cp-4, -0x1.d35b4e6ba03e8p-4, -0x1.cc67b34beae8fp-4, -0x1.c58224b1d396dp-4, -0x1.beaad85235a56p-4, -0x1.b7e201340e1d4p-4, -0x1.b127cfbb17edfp-4, -0x1.aa7c71b292626p-4, -0x1.a3e01258176abp-4, -0x1.9d52da668fcdap-4, -0x1.96d4f02136a8ep-4, -0x1.9066775eb618dp-4, -0x1.8a0791944f232p-4, -0x1.83b85de10ea59p-4, -0x1.7d78f91912fbap-4, -0x1.77497dd0d4ce9p-4, -0x1.712a046877fd1p-4, -0x1.6b1aa317268a3p-4, -0x1.651b6df66482ap-4, -0x1.5f2c770d6de93p-4, -0x1.594dce5c8e4dcp-4, -0x1.537f81e8750dp-4, -0x1.4dc19dc58637fp-4, -0x1.48142c2325535p-4, -0x1.42773556f47b2p-4, -0x1.3ceabfe80d02ep-4, -0x1.376ed09a28c8ap-4, -0x1.32036a78c207ap-4, -0x1.2ca88ee22085p-4, -0x1.275e3d9259313p-4, -0x1.222474ae3c311p-4, -0x1.1cfb30ce2e52cp-4, -0x1.17e26d08f08fcp-4, -0x1.12da22fe50b13p-4, -0x1.0de24ae1c2611p-4, -0x1.08fadb84e6495p-4, -0x1.0423ca61f020ep-4, -0x1.feba174bf7a96p-5, -0x1.f54d247681205p-5, -0x1.ec009fa65e601p-5, -0x1.e2d469e0dd292p-5, -0x1.d9c861e17efefp-5, -0x1.d0dc642d7f18bp-5, -0x1.c8104b271e9e3p-5, -0x1.bf63ef20b1358p-5, -0x1.b6d7266f6ecefp-5, -0x1.ae69c57df6469p-5, -0x1.a61b9edea40abp-5, -0x1.9dec835d966dep-5, -0x1.95dc42126d5c7p-5, -0x1.8deaa871d27acp-5, -0x1.8617825eae3aep-5, -0x1.7e629a3b222f8p-5, -0x1.76cbb8f932cd2p-5, -0x1.6f52a62b3289ep-5, -0x1.67f72813e049ep-5, -0x1.60b903b63f6d3p-5, -0x1.5997fce526aecp-5, -0x1.5293d6528c83ep-5, -0x1.4bac519e7ad13p-5, -0x1.44e12f65d15dfp-5, -0x1.3e322f50a6d12p-5, -0x1.379f102071093p-5, -0x1.31278fbde065ap-5, -0x1.2acb6b466d4f4p-5, -0x1.248a5f19a28bfp-5, -0x1.1e6426e61700ap-5, -0x1.18587db62bfcbp-5, -0x1.12671dfc76061p-5, -0x1.0c8fc19fe2716p-5, -0x1.06d22207947f8p-5, -0x1.012df82681099p-5, -0x1.f745f90d6cdfbp-6, -0x1.ec61cea8d38d6p-6, -0x1.e1aee0d172d85p-6, -0x1.d72c9ea848a45p-6, -0x1.ccda76d18d0d9p-6, -0x1.c2b7d78896fe7p-6, -0x1.b8c42eb335712p-6, -0x1.aefee9f48c238p-6, -0x1.a56776bf59005p-6, -0x1.9bfd4267cbc1dp-6, -0x1.92bfba34ce07p-6, -0x1.89ae4b70caa26p-6, -0x1.80c86379f36e6p-6, -0x1.780d6fd20b489p-6, -0x1.6f7cde2dbbf0cp-6, -0x1.67161c83576e1p-6, -0x1.5ed89919466a9p-6, -0x1.56c3c293cb90bp-6, -0x1.4ed7080280894p-6, -0x1.4711d8ed4eaf5p-6, -0x1.3f73a560da527p-6, -0x1.37fbddfaa6e6dp-6, -0x1.30a9f3f4aa3f9p-6, -0x1.297d5930839a3p-6, -0x1.22758042442f5p-6, -0x1.1b91dc7ac678ap-6, -0x1.14d1e1f1a45a5p-6, -0x1.0e35058ebb4dep-6, -0x1.07babd136324bp-6, -0x1.01627f23207f4p-6, -0x1.f657869831491p-7, -0x1.ea2c041e0bf41p-7, -0x1.de4169cdcad4ep-7, -0x1.d296aca0828e8p-7, -0x1.c72ac3a04160cp-7, -0x1.bbfca7f53700cp-7, -0x1.b10b54f237c8dp-7, -0x1.a655c820a7e89p-7, -0x1.9bdb014b964abp-7, -0x1.919a028a6b1c5p-7, -0x1.8791d04abf00ep-7, -0x1.7dc17159d6ca5p-7, -0x1.7427eeed3f6c7p-7, -0x1.6ac454ab1b1fap-7, -0x1.6195b0b1c1685p-7, -0x1.589b139ebead7p-7, -0x1.4fd390956ba9cp-7, -0x1.473e3d44e8152p-7, -0x1.3eda31edac505p-7, -0x1.36a689668af2ep-7, -0x1.2ea261211e275p-7, -0x1.26ccd92dffd42p-7, -0x1.1f25144045e23p-7, -0x1.17aa37b0bad1bp-7, -0x1.105b6b809347ep-7, -0x1.0937da5bc160fp-7, -0x1.023eb19ae0d8bp-7, -0x1.f6de42894d4b9p-8, -0x1.e990b81e3904cp-8, -0x1.dc932ec09aee7p-8, -0x1.cfe4169d5ff33p-8, -0x1.c381e542861a4p-8, -0x1.b76b159e5977cp-8, -0x1.ab9e27fe5872cp-8, -0x1.a019a20d4e81cp-8, -0x1.94dc0ed0ea9c6p-8, -0x1.89e3fea699168p-8, -0x1.7f3007400248cp-8, -0x1.74bec39ed1fbp-8, -0x1.6a8ed40ffd554p-8, -0x1.609ede26ac7cdp-8, -0x1.56ed8cb67f403p-8, -0x1.4d798fcd5ea35p-8, -0x1.44419cacf4a15p-8, -0x1.3b446dc39bfaap-8, -0x1.3280c2a4eb863p-8, -0x1.29f56001eb19bp-8, -0x1.21a10fa0dc5aap-8, -0x1.1982a054aae67p-8, -0x1.1198e5f3ed4adp-8, -0x1.09e2b94fc948bp-8, -0x1.025ef82a3eaffp-8, -0x1.f6190a58e1148p-9, -0x1.e7d48fb8dfc96p-9, -0x1.d9ee5925af2e5p-9, -0x1.cc6448e0579fep-9, -0x1.bf344aa3c0391p-9, -0x1.b25c538ea3d1p-9, -0x1.a5da620ce1969p-9, -0x1.99ac7dc06105cp-9, -0x1.8dd0b7699c5bp-9, -0x1.824528d01c635p-9, -0x1.7707f4a9e7354p-9, -0x1.6c1746839a9d9p-9, -0x1.617152a790889p-9, -0x1.57145604d933ep-9, -0x1.4cfe961656965p-9, -0x1.432e60c917d08p-9, -0x1.39a20c630abfbp-9, -0x1.3057f7693f393p-9, -0x1.274e8885d1e47p-9, -0x1.1e842e6e37583p-9, -0x1.15f75fc9076e1p-9, -0x1.0da69b13b571cp-9, -0x1.059066885ff54p-9, -0x1.fb66a00707defp-10, -0x1.ec1bd9d2e2babp-10, -0x1.dd3db4180382ap-10, -0x1.cec977207c9d7p-10, -0x1.c0bc79a790521p-10, -0x1.b31420a50bc1dp-10, -0x1.a5cddf18771a4p-10, -0x1.98e735d44fe8cp-10, -0x1.8c5db349a5624p-10, -0x1.802ef35387a1fp-10, -0x1.74589f025be22p-10, -0x1.68d86c68d6ebcp-10, -0x1.5dac1e669e4a9p-10, -0x1.52d18475a6f17p-10, -0x1.48467a7649fa5p-10, -0x1.3e08e87bd2ffep-10, -0x1.3416c29a1caddp-10, -0x1.2a6e08b28d71p-10, -0x1.210cc641efb4p-10, -0x1.17f1122e32772p-10, -0x1.0f190e94a6e22p-10, -0x1.0682e89935881p-10, -0x1.fc59b069bd074p-11, -0x1.ec2a400a1cbc9p-11, -0x1.dc741a3852c22p-11, -0x1.cd33eda1ea2d3p-11, -0x1.be667d1f80712p-11, -0x1.b0089f55e3e24p-11, -0x1.a2173e5a3f5edp-11, -0x1.948f57548194ep-11, -0x1.876dfa258ba87p-11, -0x1.7ab0490c30faap-11, -0x1.6e53784beb1ddp-11, -0x1.6254cdd428433p-11, -0x1.56b1a0e951e1fp-11, -0x1.4b6759cdee642p-11, -0x1.4073716d18e01p-11, -0x1.35d371066c5d9p-11, -0x1.2b84f1da1f4b9p-11, -0x1.21859cd7122f1p-11, -0x1.17d32a481695fp-11, -0x1.0e6b6184cdac6p-11, -0x1.054c18a1f8bb9p-11, -0x1.f8e668446f17cp-12, -0x1.e7bd4d5361988p-12, -0x1.d718e16306299p-12, -0x1.c6f540794b428p-12, -0x1.b74ea11a58402p-12, -0x1.a82153b7a2fd9p-12, -0x1.9969c21e4e215p-12, -0x1.8b246eeadeb5bp-12, -0x1.7d4df4fb512b8p-12, -0x1.6fe306e6a03a4p-12, -0x1.62e06e758dc26p-12, -0x1.56430c1a41184p-12, -0x1.4a07d670208b9p-12, -0x1.3e2bd9b7807b1p-12, -0x1.32ac37579ce46p-12, -0x1.2786256120d1ap-12, -0x1.1cb6ee11fa242p-12, -0x1.123bef5d82284p-12, -0x1.08129a747920ep-12, -0x1.fc70e69f1593dp-13, -0x1.e956207950c5bp-13, -0x1.d6d032db2d8abp-13, -0x1.c4da911108652p-13, -0x1.b370d0758abcfp-13, -0x1.a28ea79d035c1p-13, -0x1.922fed8131501p-13, -0x1.825098b26194bp-13, -0x1.72ecbe8cee24bp-13, -0x1.6400927134722p-13, -0x1.55886502460b7p-13, -0x1.4780a361dab1p-13, -0x1.39e5d67a258f6p-13, -0x1.2cb4a240555edp-13, -0x1.1fe9c502f558ap-13, -0x1.138216b807e9dp-13, -0x1.077a884dfbe27p-13, -0x1.f7a04605d8427p-14, -0x1.e1000f7a0b90fp-14, -0x1.cb0edccf4ca0cp-14, -0x1.b5c74aa64c4afp-14, -0x1.a12421315c3acp-14, -0x1.8d205300f3366p-14, -0x1.79b6fbda4e414p-14, -0x1.66e35f8a7ca0fp-14, -0x1.54a0e8cf54211p-14, -0x1.42eb2838a6216p-14, -0x1.31bdd31795c1bp-14, -0x1.2114c26fbc7a9p-14, -0x1.10ebf1f2b6af3p-14, -0x1.013f7efeedfc6p-14, -0x1.e4174f43dd1e7p-15, -0x1.c6999349a8edbp-15, -0x1.a9fec337e4c4dp-15, -0x1.8e4013f6e50e4p-15, -0x1.7356f467996b1p-15, -0x1.593d0ba35e45ep-15, -0x1.3fec3745ae2e2p-15, -0x1.275e89ca09a7dp-15, -0x1.0f8e48e1333f1p-15, -0x1.f0ebd7cd9759ap-16, -0x1.c4203493cfcp-16, -0x1.98af542c1b27ap-16, -0x1.6e8f3ce22b2cp-16, -0x1.45b64c6af92dfp-16, -0x1.1e1b35088ddc9p-16, -0x1.ef69f5bc32dd3p-17, -0x1.a4f5e286957bep-17, -0x1.5cc9705f85af1p-17, -0x1.16d473661cc59p-17, -0x1.a60e9e1ba850ep-18, -0x1.22a5e28e82fe2p-18, -0x1.46a337a845f01p-19, -0x1.3fada27312a0bp-21, 0x1.3e23bed90472p-20, 0x1.8688f53b502d8p-19, 0x1.33562d9e7e232p-18, 0x1.9fd6692e3a662p-18, 0x1.046e5a495849fp-17, 0x1.373fe2dd68fcep-17, 0x1.686ac44db7dc1p-17, 0x1.97f99331b44b1p-17, 0x1.c5f68645287d8p-17, 0x1.f26b79cef1256p-17, 0x1.0eb0f9744d874p-16, 0x1.2371915d9e1dep-16, 0x1.377bf4cab3545p-16, 0x1.4ad46cfdcccbep-16, 0x1.5d7f1dc594b44p-16, 0x1.6f8006ee12b9fp-16, 0x1.80db059bc2f6ep-16, 0x1.9193d5a3fd753p-16, 0x1.a1ae12d994a4ap-16, 0x1.b12d3a48bfea1p-16, 0x1.c014ab6da01f1p-16, 0x1.ce67a968e9eccp-16, 0x1.dc295c17da485p-16, 0x1.e95cd13403e5p-16, 0x1.f604fd6334ae3p-16, 0x1.01125e9e157b3p-15, 0x1.06df6b23b420bp-15, 0x1.0c6afbf942167p-15, 0x1.11b65e401a22ep-15, 0x1.16c2d4f5b6bbap-15, 0x1.1b91996220bcfp-15, 0x1.2023db83fb148p-15, 0x1.247ac277fd4a1p-15, 0x1.28976cd95e775p-15, 0x1.2c7af125ffb26p-15, 0x1.30265e171746bp-15, 0x1.339abafc46e7bp-15, 0x1.36d908107f8a7p-15, 0x1.39e23ecb474e6p-15, 0x1.3cb752338c7p-15, 0x1.3f592f2815aa5p-15, 0x1.41c8bcab2c60bp-15, 0x1.4406dc28bf921p-15, 0x1.461469b8d61fep-15, 0x1.47f23c63a6fa1p-15, 0x1.49a1265c7e17bp-15, 0x1.4b21f53fdd046p-15, 0x1.4c75724bfd84dp-15, 0x1.4d9c629800d73p-15, 0x1.4e9787475ec8ap-15, 0x1.4f679dc017512p-15, 0x1.500d5fd5a1296p-15, 0x1.508983fad252bp-15, 0x1.50dcbd6d70cdep-15, 0x1.5107bc5dfe1cp-15, 0x1.510b2e1a6b763p-15, 0x1.50e7bd324d7d6p-15, 0x1.509e119d7b9cbp-15, 0x1.502ed0dc79779p-15, 0x1.4f9a9e1ac8e5bp-15, 0x1.4ee21a4dd297bp-15, 0x1.4e05e45332027p-15, 0x1.4d06990b7e5f8p-15, 0x1.4be4d376c8581p-15, 0x1.4aa12ccd309cep-15, 0x1.493c3c96927ffp-15, 0x1.47b698c20b404p-15, 0x1.4610d5b98d484p-15, 0x1.444b86779c77ep-15, 0x1.42673c9a352b1p-15, 0x1.40648873ea691p-15, 0x1.3e43f91cb9dacp-15, 0x1.3c061c81c7733p-15, 0x1.39ab7f741d9ddp-15, 0x1.3734adb58c6f7p-15, 0x1.34a232060524fp-15, 0x1.31f4962f2faaap-15, 0x1.2f2c630f7e141p-15, 0x1.2c4a20a4bd4a4p-15, 0x1.294e5613ac706p-15, 0x1.263989b2217c6p-15, 0x1.230c410e26d48p-15, 0x1.1fc700f4f8801p-15, 0x1.1c6a4d7a2c37dp-15, 0x1.18f6a9fc6800bp-15, 0x1.156c992ae84d4p-15, 0x1.11cc9d0a22c77p-15, 0x1.0e1736f899be1p-15, 0x1.0a4ce7b065941p-15, 0x1.066e2f4c163afp-15, 0x1.027b8d48d05ap-15, 0x1.fceb010faa98ap-16, 0x1.f4b90e9fb6688p-16, 0x1.ec623e9f68f84p-16, 0x1.e3e78b3bb29abp-16, 0x1.db49ed7228488p-16, 0x1.d28a5d11e249p-16, 0x1.c9a9d0ba38a81p-16, 0x1.c0a93ddb585efp-16, 0x1.b78998b2cc4cdp-16, 0x1.ae4bd44b1d609p-16, 0x1.a4f0e277b5d6p-16, 0x1.9b79b3d4b5414p-16, 0x1.91e737be3d41fp-16, 0x1.883a5c50f78ap-16, 0x1.7e740e658b93dp-16, 0x1.749539892076p-16, 0x1.6a9ec7fb87126p-16, 0x1.6091a2a603a42p-16, 0x1.566eb11ab21bp-16, 0x1.4c36d98ba568dp-16, 0x1.41eb00c5ecce9p-16, 0x1.378c0a2bbd63p-16, 0x1.2d1ad7ae5abf1p-16, 0x1.229849c56c56dp-16, 0x1.18053f6ad0235p-16, 0x1.0d6296135563bp-16, 0x1.02b129a781741p-16, 0x1.efe3a8f8b7b2bp-17, 0x1.da4ade9bd3da4p-17, 0x1.c499a26d0b4eap-17, 0x1.aed19f5397b8ap-17, 0x1.98f47cd5fc0f9p-17, 0x1.8303df1278038p-17, 0x1.6d0166ade9725p-17, 0x1.56eeb0c6aba38p-17, 0x1.40cd56e263764p-17, 0x1.2a9eeee905422p-17, 0x1.14650b10c8085p-17, 0x1.fc4273a7732f7p-18, 0x1.cfaa0bbdf8c52p-18, 0x1.a303ec1423c65p-18, 0x1.76531a8eac6ffp-18, 0x1.499a953158cb1p-18, 0x1.1cdd52053eddcp-18, 0x1.e03c7e0e47afdp-19, 0x1.86c08415f7a01p-19, 0x1.2d4c7140d5335p-19, 0x1.a7cbe003deda2p-20, 0x1.ea4a67ce4cd23p-21, 0x1.0abfbdb501b34p-22, -0x1.be23fa0930bdfp-22, -0x1.217ac9ab486f7p-20, -0x1.d31ac8bef6d7ap-20, -0x1.422f3ad93640ep-19, -0x1.9a9db6fc098e5p-19, -0x1.f2d3b95ba2d4ap-19, -0x1.25661a49bb9a4p-18, -0x1.514116ab5985ep-18, -0x1.7cf85d4bedd59p-18, -0x1.a88982d4c4cefp-18, -0x1.d3f22526715d7p-18, -0x1.ff2feb691f425p-18, -0x1.15204309e95a8p-17, -0x1.2a90d77ddd505p-17, -0x1.3fe894ad1c7d3p-17, -0x1.552660ee39568p-17, -0x1.6a492752459bp-17, -0x1.7f4fd7a973d06p-17, -0x1.94396687accb2p-17, -0x1.a904cd461e4dcp-17, -0x1.bdb10a057b7efp-17, -0x1.d23d1fb3cd9f4p-17, -0x1.e6a8160ad66c9p-17, -0x1.faf0f99291725p-17, -0x1.078b6dd0bf7d2p-16, -0x1.118c692eef1bep-16, -0x1.1b7afc5feb57bp-16, -0x1.2556b747a1a41p-16, -0x1.2f1f2c32051a3p-16, -0x1.38d3efd35d03fp-16, -0x1.4274994612cf6p-16, -0x1.4c00c20a84a91p-16, -0x1.557806069d008p-16, -0x1.5eda03849bf6ap-16, -0x1.68265b319ff23p-16, -0x1.715cb01d6072ep-16, -0x1.7a7ca7b6f5024p-16, -0x1.8385e9cba8b89p-16, -0x1.8c782085182c6p-16, -0x1.9552f867eea0dp-16, -0x1.9e162050304dbp-16, -0x1.a6c14970335cdp-16, -0x1.af54274dc7696p-16, -0x1.b7ce6fbf310bp-16, -0x1.c02fdae873eb7p-16, -0x1.c8782337be33fp-16, -0x1.d0a705634884ap-16, -0x1.d8bc4066cd6f7p-16, -0x1.e0b7957effe6fp-16, -0x1.e898c82667cccp-16, -0x1.f05f9e1118822p-16, -0x1.f80bdf2b30d64p-16, -0x1.ff9d5591e399ep-16, -0x1.0389e6c93a778p-15, -0x1.07378ad2a9e1cp-15, -0x1.0ad77f346114dp-15, -0x1.0e69ad4ed7265p-15, -0x1.11edff91c345ep-15, -0x1.1564617964a9dp-15, -0x1.18ccbf8c2f5cbp-15, -0x1.1c2707598dbf3p-15, -0x1.1f732776990efp-15, -0x1.22b10f7c03188p-15, -0x1.25e0b003493dcp-15, -0x1.2901faa48b0f5p-15, -0x1.2c14e1f43eab2p-15, -0x1.2f1959800c367p-15, -0x1.320f55cc8dc48p-15, -0x1.34f6cc5305de4p-15, -0x1.37cfb37e6639p-15, -0x1.3a9a02a865ea1p-15, -0x1.3d55b216ce5f1p-15, -0x1.4002baf9019e4p-15, -0x1.42a1176571c25p-15, -0x1.4530c2567148ep-15, -0x1.47b1b7a77144dp-15, -0x1.4a23f41251942p-15, -0x1.4c87752c6175dp-15, -0x1.4edc3963c1c3cp-15, -0x1.51223ffc25c36p-15, -0x1.5359890c4142dp-15, -0x1.5582157a98e7cp-15, -0x1.579be6fac7f2cp-15, -0x1.59a7000a8809ap-15, -0x1.5ba363eeaf487p-15, -0x1.5d9116b00d2c5p-15, -0x1.5f701d189ab87p-15, -0x1.61407cb0b67eep-15, -0x1.63023bbbb6f73p-15, -0x1.64b561356d252p-15, -0x1.6659f4cefb636p-15, -0x1.67effeeb43b33p-15, -0x1.6977889cbc881p-15, -0x1.6af09ba1f005ep-15, -0x1.6c5b4262a09ecp-15, -0x1.6db787ed13e12p-15, -0x1.6f0577f2787dcp-15, -0x1.70451ec44657bp-15, -0x1.717689511ab73p-15, -0x1.7299c521ec08ap-15, -0x1.73aee057206d6p-15, -0x1.74b5e9a51d8c6p-15, -0x1.75aef0517a84dp-15, -0x1.769a0430a69b9p-15, -0x1.777735a227fcp-15, -0x1.7846958de2335p-15, -0x1.79083561a0c43p-15, -0x1.79bc270dac5f9p-15, -0x1.7a627d01f14fp-15, -0x1.7afb4a2adaef1p-15, -0x1.7b86a1ef7705fp-15, -0x1.7c04982da3952p-15, -0x1.7c754137406efp-15, -0x1.7cd8b1cf7dfbfp-15, -0x1.7d2eff2879198p-15, -0x1.7d783ee03f4a6p-15, -0x1.7db486fd4b134p-15, -0x1.7de3edec95a9dp-15, -0x1.7e068a7e8ee59p-15, -0x1.7e1c73e47aca3p-15, -0x1.7e25c1ad612ecp-15, -0x1.7e228bc3e0602p-15, -0x1.7e12ea6b4cb35p-15, -0x1.7df6f63cf0288p-15, -0x1.7dcec82548f94p-15, -0x1.7d9a7961ec15bp-15, -0x1.7d5a237e6605ap-15, -0x1.7d0de051d723dp-15, -0x1.7cb5c9fcdc973p-15, }}, 
      {{-0x1.859452bbd8869p-11, -0x1.880f8e4cc71b9p-10, -0x1.2a5711d509124p-9, -0x1.98281118b0d06p-9, -0x1.0927a842e7399p-8, -0x1.4f053d1077788p-8, -0x1.a0385704bfda9p-8, -0x1.ff005c68200abp-8, -0x1.3694e911a066dp-7, -0x1.75fc6d1ae8cd8p-7, -0x1.be110c0065a3ap-7, -0x1.0773a713f2e57p-6, -0x1.3429e61c81915p-6, -0x1.64f9c10a34912p-6, -0x1.999aba8746889p-6, -0x1.d1b26598eda49p-6, -0x1.066cab9c43b34p-5, -0x1.254fe297015bfp-5, -0x1.4548d727097f7p-5, -0x1.661d3c3856898p-5, -0x1.8793fe4b08126p-5, -0x1.a9768136a4865p-5, -0x1.cb9199373fdc8p-5, -0x1.edb644ca3f19fp-5, -0x1.07dd16fd85945p-4, -0x1.18bbfd1f58163p-4, -0x1.2967b805ea6d7p-4, -0x1.39d2bc8eab49dp-4, -0x1.49f203ede035ep-4, -0x1.59bcf2ec9913ap-4, -0x1.692d3855899c2p-4, -0x1.783ea4e3ff6c4p-4, -0x1.86eefeb71e3dcp-4, -0x1.953dd1fe82034p-4, -0x1.a32c404de2f77p-4, -0x1.b0bccfc45c54fp-4, -0x1.bdf33af9ad445p-4, -0x1.cad44270af005p-4, -0x1.d76580215775fp-4, -0x1.e3ad3d8649d5p-4, -0x1.efb24c79767cfp-4, -0x1.fb7be30fa7393p-4, -0x1.0388bd462e0fbp-3, -0x1.093d58ba50dddp-3, -0x1.0edf985c6ea6fp-3, -0x1.147349f0cd284p-3, -0x1.19fc2a1139021p-3, -0x1.1f7ddb17c66fcp-3, -0x1.24fbdd5699408p-3, -0x1.2a798887069cp-3, -0x1.2ffa06596083ap-3, -0x1.35804e0e65ae6p-3, -0x1.3b0f2103681dbp-3, -0x1.40a9081abef75p-3, -0x1.465051ea9ec5bp-3, -0x1.4c07119d8f5dap-3, -0x1.51cf1e70a1811p-3, -0x1.57aa13bcb6b2dp-3, -0x1.5d9951796b34ap-3, -0x1.639dfd295f004p-3, -0x1.69b90320fa623p-3, -0x1.6feb1819ce58fp-3, -0x1.7634bb062bf91p-3, -0x1.7c9637196f443p-3, -0x1.830fa5facd676p-3, -0x1.89a0f219531fp-3, -0x1.9049d918ea2e3p-3, -0x1.9709ee50f66edp-3, -0x1.9de09d561d9d8p-3, -0x1.a4cd2c898cc23p-3, -0x1.abcebfa8a7273p-3, -0x1.b2e45a58f3e5dp-3, -0x1.ba0ce2ac7383cp-3, -0x1.c147239b4de54p-3, -0x1.c891cf701d49ap-3, -0x1.cfeb8224a6e4bp-3, -0x1.d752c3ad2b5e1p-3, -0x1.dec60a30d4fb8p-3, -0x1.e643bc2e1f6ep-3, -0x1.edca328a58f57p-3, -0x1.f557ba8b95b9dp-3, -0x1.fcea97bcb0333p-3, -0x1.024082dd8e48dp-2, -0x1.060c9cf739801p-2, -0x1.09d8b294e7c57p-2, -0x1.0da3da9b964e2p-2, -0x1.116d2b2684edbp-2, -0x1.1533ba375c235p-2, -0x1.18f69e5bdef06p-2, -0x1.1cb4ef49675dfp-2, -0x1.206dc66e75d06p-2, -0x1.24203f7a9b4bbp-2, -0x1.27cb78dd088a4p-2, -0x1.2b6e943a1abdcp-2, -0x1.2f08b6d82cc9p-2, -0x1.32990a04086e2p-2, -0x1.361ebb6d44d7bp-2, -0x1.3998fd7ae992bp-2, -0x1.3d070798a27f9p-2, -0x1.4068167cdb5e8p-2, -0x1.43bb6c6810cfbp-2, -0x1.4700515da34dap-2, -0x1.4a3613567adbbp-2, -0x1.4d5c066dc7efcp-2, -0x1.5071850825c11p-2, -0x1.5375eff5661fp-2, -0x1.5668ae8d5202cp-2, -0x1.59492ec794859p-2, -0x1.5c16e54f1b6efp-2, -0x1.5ed14d9127da8p-2, -0x1.6177e9c847b08p-2, -0x1.640a430376d6bp-2, -0x1.6687e92999caep-2, -0x1.68f072f98e594p-2, -0x1.6b437e06fd17ep-2, -0x1.6d80aeb424d38p-2, -0x1.6fa7b028cb082p-2, -0x1.71b834467dd04p-2, -0x1.73b1f39a59df3p-2, -0x1.7594ad4c74a17p-2, -0x1.7760270d1a73p-2, -0x1.79142d00056d2p-2, -0x1.7ab091a5aea8bp-2, -0x1.7c352dc2e2dc2p-2, -0x1.7da1e046b67a6p-2, -0x1.7ef68e2eff96fp-2, -0x1.8033226b6f80cp-2, -0x1.81578dbf6ca0bp-2, -0x1.8263c6a2cb64p-2, -0x1.8357c9217adf4p-2, -0x1.843396ba44d35p-2, -0x1.84f7363cbb089p-2, -0x1.85a2b3a663259p-2, -0x1.86361fff3f5b6p-2, -0x1.86b19135c42d1p-2, -0x1.871521fa54d38p-2, -0x1.8760f19a54525p-2, -0x1.879523dae3dcep-2, -0x1.87b1e0d35df1dp-2, -0x1.87b754c79fc34p-2, -0x1.87a5b0022e1ebp-2, -0x1.877d26ae4d933p-2, -0x1.873df0b212ad6p-2, -0x1.86e849887f64cp-2, -0x1.867c701bb92a9p-2, -0x1.85faa69f6297ep-2, -0x1.8563326b249bbp-2, -0x1.84b65bd5776ecp-2, -0x1.83f46e0eae60cp-2, -0x1.831db6fc57358p-2, -0x1.82328714f0271p-2, -0x1.8133313c05417p-2, -0x1.80200a9eb6dc4p-2, -0x1.7ef96a90b11bap-2, -0x1.7dbfaa69a21acp-2, -0x1.7c7325632ddfcp-2, -0x1.7b1438776c685p-2, -0x1.79a3423ff0eebp-2, -0x1.7820a2d568ea2p-2, -0x1.768cbbafce64ep-2, -0x1.74e7ef873755p-2, -0x1.7332a23548909p-2, -0x1.716d389745c46p-2, -0x1.6f981870cf24p-2, -0x1.6db3a84f44774p-2, -0x1.6bc04f6dd8143p-2, -0x1.69be759a50022p-2, -0x1.67ae831a7465bp-2, -0x1.6590e09237f61p-2, -0x1.6365f6ea8b87cp-2, -0x1.612e2f38edd45p-2, -0x1.5ee9f2a7ab9ddp-2, -0x1.5c99aa5ed9dcfp-2, -0x1.5a3dbf6e03cf3p-2, -0x1.57d69ab6914dap-2, -0x1.5564a4d6dfb1dp-2, -0x1.52e8461615a6bp-2, -0x1.5061e650a8a6dp-2, -0x1.4dd1ece5973dcp-2, -0x1.4b38c0a456498p-2, -0x1.4896c7bb713b8p-2, -0x1.45ec67a7da46ap-2, -0x1.433a0524e7d47p-2, -0x1.4080041d048b2p-2, -0x1.3dbec79b02ee2p-2, -0x1.3af6b1bc223ccp-2, -0x1.382823a2b4491p-2, -0x1.35537d696d11cp-2, -0x1.32791e175354dp-2, -0x1.2f9963944fe6ap-2, -0x1.2cb4aa9e5d909p-2, -0x1.29cb4ebf534e9p-2, -0x1.26ddaa4345d8p-2, -0x1.23ec162f7f217p-2, -0x1.20f6ea3a0bd79p-2, -0x1.1dfe7cc1d2124p-2, -0x1.1b0322c73e719p-2, -0x1.18052fe570c5bp-2, -0x1.1504f64bf8f85p-2, -0x1.1202c6b9122fbp-2, -0x1.0efef0745ecdfp-2, -0x1.0bf9c14a27105p-2, -0x1.08f385870b58fp-2, -0x1.05ec87f4327fbp-2, -0x1.02e511d3ebcd4p-2, -0x1.ffbad5bd7dd5cp-3, -0x1.f9abb281d7eebp-3, -0x1.f39d4330acf8bp-3, -0x1.ed900de5acd8p-3, -0x1.e7849599dacabp-3, -0x1.e17b5a21bb373p-3, -0x1.db74d82c3bf4ep-3, -0x1.d5718942538abp-3, -0x1.cf71e3c74a30ap-3, -0x1.c9765af9b5618p-3, -0x1.c37f5ef50e3bfp-3, -0x1.bd8d5cb3e6381p-3, -0x1.b7a0be12b4ea3p-3, -0x1.b1b9e9d33363ep-3, -0x1.abd943a047d61p-3, -0x1.a5ff2c126efc5p-3, -0x1.a02c00b4ab3b4p-3, -0x1.9a601c09e8bbfp-3, -0x1.949bd592dbcb4p-3, -0x1.8edf81d447048p-3, -0x1.892b725db050dp-3, -0x1.837ff5d077899p-3, -0x1.7ddd57e74ebd6p-3, -0x1.7843e17e07c8p-3, -0x1.72b3d899b9e01p-3, -0x1.6d2d80713ab4fp-3, -0x1.67b11975dd09bp-3, -0x1.623ee15c7771p-3, -0x1.5cd71326b0861p-3, -0x1.5779e72c85339p-3, -0x1.522793260c8d5p-3, -0x1.4ce04a356a481p-3, -0x1.47a43cf0f89cp-3, -0x1.4273996d9f036p-3, -0x1.3d4e8b494a65dp-3, -0x1.38353bb595a49p-3, -0x1.3327d1828ba93p-3, -0x1.2e2671298bc2p-3, -0x1.29313cd845be8p-3, -0x1.2448547bcf8dfp-3, -0x1.1f6bd5cbce37fp-3, -0x1.1a9bdc55aeaa5p-3, -0x1.15d88187f01e8p-3, -0x1.1121dcbd70414p-3, -0x1.0c780348cb95bp-3, -0x1.07db087fba537p-3, -0x1.034afdc66fe86p-3, -0x1.fd8fe53604c99p-4, -0x1.f4a3e941896dp-4, -0x1.ebd21f574a91ep-4, -0x1.e31a9b96fd265p-4, -0x1.da7d6eaec67ecp-4, -0x1.d1faa5f1b8801p-4, -0x1.c9924b6e38acfp-4, -0x1.c14466043cfabp-4, -0x1.b910f97b7a935p-4, -0x1.b0f806995704cp-4, -0x1.a8f98b36c7d8ap-4, -0x1.a1158255ef526p-4, -0x1.994be437a0327p-4, -0x1.919ca6709ef92p-4, -0x1.8a07bbfeb810ap-4, -0x1.828d155d9b344p-4, -0x1.7b2ca09b7d7e8p-4, -0x1.73e6496d81efap-4, -0x1.6cb9f943e1bf2p-4, -0x1.65a7975dd7737p-4, -0x1.5eaf08dd46f43p-4, -0x1.57d030da22ee9p-4, -0x1.510af0758d71fp-4, -0x1.4a5f26ecb178ap-4, -0x1.43ccb1ab56f46p-4, -0x1.3d536c5e2cf74p-4, -0x1.36f33104c9f9dp-4, -0x1.30abd803607b3p-4, -0x1.2a7d383429649p-4, -0x1.246726f881b8dp-4, -0x1.1e697849bb36p-4, -0x1.1883fec99b29dp-4, -0x1.12b68bd29422p-4, -0x1.0d00ef87a4502p-4, -0x1.0762f8e3f05e9p-4, -0x1.01dc75ca07e56p-4, -0x1.f8da6625bb64fp-5, -0x1.ee29f938dc2e1p-5, -0x1.e3a73ab02c6f1p-5, -0x1.d951beb13be88p-5, -0x1.cf2917bfdbcfp-5, -0x1.c52cd6d8f53ecp-5, -0x1.bb5c8b8cba51ap-5, -0x1.b1b7c4183d73fp-5, -0x1.a83e0d7e6a09fp-5, -0x1.9eeef3a060845p-5, -0x1.95ca015537a43p-5, -0x1.8ccec08124583p-5, -0x1.83fcba2c06c9bp-5, -0x1.7b5376975e02ap-5, -0x1.72d27d53aaf7ep-5, -0x1.6a79555532c87p-5, -0x1.624785083a3b9p-5, -0x1.5a3c9264a0733p-5, -0x1.52580300f770cp-5, -0x1.4a995c250006ep-5, -0x1.430022db9da22p-5, -0x1.3b8bdc043e08ap-5, -0x1.343c0c63b7878p-5, -0x1.2d1038b499559p-5, -0x1.2607e5b6fa214p-5, -0x1.1f22983fc2538p-5, -0x1.185fd5476d74cp-5, -0x1.11bf21f85120bp-5, -0x1.0b4003bc5cdebp-5, -0x1.04e2004a69089p-5, -0x1.fd493b65ff491p-6, -0x1.f10ec4d95e0d3p-6, -0x1.e513aabfcff86p-6, -0x1.d956fbe4c8aebp-6, -0x1.cdd7c82445083p-6, -0x1.c295207fbc75ap-6, -0x1.b78e1732632dep-6, -0x1.acc1bfc471239p-6, -0x1.a22f2f1da55aep-6, -0x1.97d57b96f4079p-6, -0x1.8db3bd0b67314p-6, -0x1.83c90ce83c6b5p-6, -0x1.7a14863c3ab46p-6, -0x1.709545c6483a4p-6, -0x1.674a6a0350e61p-6, -0x1.5e33133b5e06p-6, -0x1.554e638e197cdp-6, -0x1.4c9b7efe89cc8p-6, -0x1.44198b7e2fcc7p-6, -0x1.3bc7b0f77ce5ap-6, -0x1.33a51957a8dd8p-6, -0x1.2bb0f097e243dp-6, -0x1.23ea64c5eb193p-6, -0x1.1c50a60c22647p-6, -0x1.14e2e6b8fa015p-6, -0x1.0da05b45ce1acp-6, -0x1.06883a5d50fb8p-6, -0x1.ff3379c2b81cfp-7, -0x1.f1a83be07928ep-7, -0x1.e46d35d31e1d3p-7, -0x1.d780e6e521795p-7, -0x1.cae1d2f414bbfp-7, -0x1.be8e82776d4f9p-7, -0x1.b2858286899d9p-7, -0x1.a6c564ddc848dp-7, -0x1.9b4cbfe2d78fep-7, -0x1.901a2ea842766p-7, -0x1.852c50f02803ep-7, -0x1.7a81cb2e3482dp-7, -0x1.70194688ec3c8p-7, -0x1.65f170da47b0dp-7, -0x1.5c08fcaf8d96ap-7, -0x1.525ea148a01f2p-7, -0x1.48f11a96a8603p-7, -0x1.3fbf293a05b81p-7, -0x1.36c7927fdf765p-7, -0x1.2e09205f052fep-7, -0x1.2582a1744768p-7, -0x1.1d32e8fe60319p-7, -0x1.1518ced943f62p-7, -0x1.0d332f790e4fcp-7, -0x1.0580ebe47d07fp-7, -0x1.fc01d35dd1401p-8, -0x1.ed6425e3c7cep-8, -0x1.df26ac8cdcfa2p-8, -0x1.d1474d7bafa6ap-8, -0x1.c3c3f7b442811p-8, -0x1.b69aa30c7edf1p-8, -0x1.a9c9501b9b994p-8, -0x1.9d4e0829400f7p-8, -0x1.9126dd1c08fd4p-8, -0x1.8551e9673762ap-8, -0x1.79cd4ff833834p-8, -0x1.6e973c2362cafp-8, -0x1.63ade1908feafp-8, -0x1.590f7c26f38c6p-8, -0x1.4eba4ff8bd383p-8, -0x1.44aca92e51a7dp-8, -0x1.3ae4dbf10ea5p-8, -0x1.3161445600d65p-8, -0x1.28204647ebe0dp-8, -0x1.1f204d715c631p-8, -0x1.165fcd2652a36p-8, -0x1.0ddd404db3421p-8, -0x1.0597294a92c42p-8, -0x1.fb1823ca8b73bp-9, -0x1.eb75166874941p-9, -0x1.dc425b0970408p-9, -0x1.cd7d30872a312p-9, -0x1.bf22e3cb33f61p-9, -0x1.b130cfa00e9b4p-9, -0x1.a3a45c819a0d6p-9, -0x1.967b006de4317p-9, -0x1.89b23eb559cccp-9, -0x1.7d47a7cb66535p-9, -0x1.7138d916d1d88p-9, -0x1.65837cc1faf8fp-9, -0x1.5a25498b6e36ep-9, -0x1.4f1c029622245p-9, -0x1.4465773a512d4p-9, -0x1.39ff82d5fc201p-9, -0x1.2fe80c9d8ccc7p-9, -0x1.261d076d082fdp-9, -0x1.1c9c7198fb637p-9, -0x1.136454bfe1034p-9, -0x1.0a72c59b9146ep-9, -0x1.01c5e3d322b19p-9, -0x1.f2b7b3998da36p-10, -0x1.e265b900286c3p-10, -0x1.d292569168103p-10, -0x1.c33a1f721769ap-10, -0x1.b459badaefa7bp-10, -0x1.a5ede3bfe0a7bp-10, -0x1.97f368773d28p-10, -0x1.8a672a62692a3p-10, -0x1.7d461d96df06fp-10, -0x1.708d48881eb1bp-10, -0x1.6439c3b21c369p-10, -0x1.5848b944ea98ep-10, -0x1.4cb764d0d6285p-10, -0x1.418312f359435p-10, -0x1.36a92105543aep-10, -0x1.2c26fcc992e6dp-10, -0x1.21fa241c7b769p-10, -0x1.182024a4b3d48p-10, -0x1.0e969b846c8b3p-10, -0x1.055b350bd520ep-10, -0x1.f8d758d86c976p-11, -0x1.e78b96d89ec8fp-11, -0x1.d6ced43ae4b46p-11, -0x1.c69cdd22b8b22p-11, -0x1.b6f199230fb05p-11, -0x1.a7c90aadbb951p-11, -0x1.991f4e859b812p-11, -0x1.8af09b32565bap-11, -0x1.7d39407605713p-11, -0x1.6ff5a6c4c7f01p-11, -0x1.63224ebe44a9ap-11, -0x1.56bbd0a969961p-11, -0x1.4abedbf1bdf72p-11, -0x1.3f2836a6cad53p-11, -0x1.33f4bcfd4b796p-11, -0x1.292160d2f2226p-11, -0x1.1eab2932c6f85p-11, -0x1.148f31dcfa28ep-11, -0x1.0acaaacfc55afp-11, -0x1.015ad7d20d041p-11, -0x1.f07a200184364p-12, -0x1.dedd7aba53669p-12, -0x1.cddab8bb800cbp-12, -0x1.bd6cf701bacf4p-12, -0x1.ad8f75c14ce8ap-12, -0x1.9e3d97937dc28p-12, -0x1.8f72e0a67ed5ap-12, -0x1.812af5f0df68dp-12, -0x1.73619c694d717p-12, -0x1.6612b841e8aecp-12, -0x1.593a4c262ef4p-12, -0x1.4cd4787d8463ap-12, -0x1.40dd7ab145577p-12, -0x1.3551ac7568e83p-12, -0x1.2a2d83152c22ap-12, -0x1.1f6d8ec35de07p-12, -0x1.150e79ed4529ep-12, -0x1.0b0d089204e9p-12, -0x1.0166179c0f6f2p-12, -0x1.f02d387cb363cp-13, -0x1.de3746ac55da3p-13, -0x1.cce4a199f38efp-13, -0x1.bc2fbe0187616p-13, -0x1.ac133c5adea03p-13, -0x1.9c89e7b346e9ep-13, -0x1.8d8eb48f2b2d4p-13, -0x1.7f1cbfcf7808dp-13, -0x1.712f4d9e4173cp-13, -0x1.63c1c86013a7ap-13, -0x1.56cfbfac16898p-13, -0x1.4a54e749e0a3p-13, -0x1.3e4d16343f38ep-13, -0x1.32b445a0f718ep-13, -0x1.278690109240ep-13, -0x1.1cc030604659fp-13, -0x1.125d80e3ae672p-13, -0x1.085afa814c05bp-13, -0x1.fd6a67ae05378p-14, -0x1.ead1c0c13f4cap-14, -0x1.d8e59f4ca27eap-14, -0x1.c79fd8db5c561p-14, -0x1.b6fa77e1332fap-14, -0x1.a6efba3032f3ap-14, -0x1.977a0f79bf0dp-14, -0x1.889417d8390e4p-14, -0x1.7a38a25f528f3p-14, -0x1.6c62abb85b131p-14, -0x1.5f0d5cc5883dep-14, -0x1.5234094e973f7p-14, -0x1.45d22eb30e517p-14, -0x1.39e372a927899p-14, -0x1.2e63a201ee653p-14, -0x1.234eaf7438a76p-14, -0x1.18a0b272c031cp-14, -0x1.0e55e607a401bp-14, -0x1.046aa7b75ce7ep-14, -0x1.f5b6ecd6d6a7ep-15, -0x1.e349e2c90584p-15, -0x1.d187ae6517fcep-15, -0x1.c06a096bc065p-15, -0x1.afeae8476cac8p-15, -0x1.a004782a9188dp-15, -0x1.90b11d352d876p-15, -0x1.81eb70a76b16fp-15, -0x1.73ae3f24f0b38p-15, -0x1.65f486fe0c968p-15, -0x1.58b97689ebd9ap-15, -0x1.4bf86a8b09a7p-15, -0x1.3facec9d41a9cp-15, -0x1.33d2b1b1d5aaep-15, -0x1.2865989534566p-15, -0x1.1d61a87cf4d75p-15, -0x1.12c30fa5ef073p-15, -0x1.088621f69353p-15, -0x1.fd4eaf5e6fecep-16, -0x1.ea46984264177p-16, -0x1.d7ed78e746e72p-16, -0x1.c63d0cdc11c03p-16, -0x1.b52f4e9709cdep-16, -0x1.a4be7535ab562p-16, -0x1.94e4f244e377bp-16, -0x1.859d6fa26854ap-16, -0x1.76e2cd65e97aep-16, -0x1.68b01fe6b8ed9p-16, -0x1.5b00adc254473p-16, -0x1.4dcfedfebbb55p-16, -0x1.4119863539f69p-16, -0x1.34d948cd616b6p-16, -0x1.290b334706388p-16, -0x1.1dab6c9223a8cp-16, -0x1.12b6437021cbcp-16, -0x1.08282ceb1a61ep-16, -0x1.fbfb85a357588p-17, -0x1.e867848679b02p-17, -0x1.d58e1494dd057p-17, -0x1.c36934f3a461cp-17, -0x1.b1f32347517a6p-17, -0x1.a126591dcba48p-17, -0x1.90fd897eb8b3bp-17, -0x1.81739e889a61bp-17, -0x1.7283b72ae9a3fp-17, -0x1.642924ea65601p-17, -0x1.565f69c4674f8p-17, -0x1.49223618e2a34p-17, -0x1.3c6d66b4cf1c8p-17, -0x1.303d02e13f267p-17, -0x1.248d3a8d6186p-17, -0x1.195a648623a35p-17, -0x1.0ea0fcbe36b9bp-17, -0x1.045da2a88c27bp-17, -0x1.f51a2f3cdacd6p-18, -0x1.e2587ab152738p-18, -0x1.d07028e9807d8p-18, -0x1.bf5b7612b6c14p-18, -0x1.af14d69a52d42p-18, -0x1.9f96f48469bc4p-18, -0x1.90dcace661a43p-18, -0x1.82e10d81df842p-18, -0x1.759f526823595p-18, -0x1.6912e3c4fcda3p-18, -0x1.5d3753b7c29e1p-18, -0x1.52085c4633c0cp-18, -0x1.4781dd5dd0b62p-18, -0x1.3d9fdaf7d0e4p-18, -0x1.345e7b44ff53cp-18, -0x1.2bba04f4f1f18p-18, -0x1.23aedd87f7059p-18, -0x1.1c3987bfe3f8bp-18, -0x1.1556a21166602p-18, -0x1.0f02e53904363p-18, -0x1.093b22d40a493p-18, -0x1.03fc440ff2975p-18, -0x1.fe8690cfd6c24p-19, -0x1.f61a88d16555cp-19, -0x1.eeaec12a62feep-19, -0x1.e83db085eea8bp-19, -0x1.e2c1f131cc3dep-19, -0x1.de363f1acebf8p-19, -0x1.da9575ec1df7bp-19, -0x1.d7da8f404885ap-19, -0x1.d600a0efd4f85p-19, -0x1.d502db7c1bd61p-19, -0x1.d4dc88801b90bp-19, -0x1.d589093d6abe6p-19, -0x1.d703d5431b26p-19, -0x1.d948791ad903dp-19, -0x1.dc52950d2f2b5p-19, -0x1.e01ddc0720825p-19, -0x1.e4a6127a98cffp-19, -0x1.e9e70d584ef9ep-19, -0x1.efdcb1209cd9cp-19, -0x1.f682f0f0ccdfbp-19, -0x1.fdd5cdb5278cap-19, -0x1.02e8aaa7d2a08p-18, -0x1.0738d0f268b29p-18, -0x1.0bd96c958ae78p-18, -0x1.10c895dfc61afp-18, -0x1.16046a44370afp-18, -0x1.1b8b0c1a31fa7p-18, -0x1.215aa25526b04p-18, -0x1.2771584b5def2p-18, -0x1.2dcd5d7b11d27p-18, -0x1.346ce5593e2cbp-18, -0x1.3b4e272074a49p-18, -0x1.426f5da1efd78p-18, -0x1.49cec7271f01ap-18, -0x1.516aa5476ff29p-18, -0x1.59413ccb462a8p-18, -0x1.6150d59189c33p-18, -0x1.6997ba71f7aadp-18, -0x1.721439294ec4bp-18, -0x1.7ac4a246a50dp-18, -0x1.83a74919a8391p-18, -0x1.8cba83a4a6cbp-18, -0x1.95fcaa8fab41bp-18, -0x1.9f6c19236ba2dp-18, -0x1.a9072d3b64b76p-18, -0x1.b2cc4747ee689p-18, -0x1.bcb9ca4617442p-18, -0x1.c6ce1bbefbdfp-18, -0x1.d107a3cbdcd26p-18, -0x1.db64cd12d1a42p-18, -0x1.e5e404c926a35p-18, -0x1.f083babc1e2f3p-18, -0x1.fb42615281ef4p-18, -0x1.030f36ca3641bp-17, -0x1.088b2b9b5ffe9p-17, -0x1.0e144c4ea3759p-17, -0x1.13a9d774b0b6fp-17, -0x1.194b0d0174f9bp-17, -0x1.1ef72e50fa804p-17, -0x1.24ad7e2def09p-17, -0x1.2a6d40d773cb5p-17, -0x1.3035bc07719c6p-17, -0x1.360636f8a529bp-17, -0x1.3bddfa6df437fp-17, -0x1.41bc50b87c2bep-17, -0x1.47a085c017ccbp-17, -0x1.4d89e7096ccb1p-17, -0x1.5377c3bc9afa5p-17, -0x1.59696caee8806p-17, -0x1.5f5e3467877fcp-17, -0x1.65556f2629ca3p-17, -0x1.6b4e72ed8bb95p-17, -0x1.71489787b43ffp-17, -0x1.7743368d64ad7p-17, -0x1.7d3dab706d315p-17, -0x1.8337537d93f6bp-17, -0x1.892f8de79698ap-17, -0x1.8f25bbcbfea3dp-17, -0x1.9519403b906f3p-17, -0x1.9b09803e7fa65p-17, -0x1.a0f5e2dc8d6d4p-17, -0x1.a6ddd12392ff6p-17, -0x1.acc0b62be739p-17, -0x1.b29dff1e9e455p-17, -0x1.b8751b3bc0a6ap-17, -0x1.be457be12dbd7p-17, -0x1.c40e948da03dcp-17, -0x1.c9cfdae62e306p-17, -0x1.cf88c6bd22d4cp-17, -0x1.d538d214e07f7p-17, -0x1.dadf79246b9cdp-17, -0x1.e07c3a5d2a1b4p-17, -0x1.e60e966ca0bc6p-17, -0x1.eb961041f8d9fp-17, -0x1.f1122d108d3d5p-17, -0x1.f68274533c673p-17, -0x1.fbe66fd1a1f33p-17, -0x1.009ed5cf5a08dp-16, -0x1.0343db0fe95e2p-16, -0x1.05e2100604bd1p-16, -0x1.08793e37be851p-16, -0x1.0b09305709151p-16, -0x1.0d91b241730fep-16, -0x1.1012910170a9bp-16, -0x1.128b9acf6c08cp-16, -0x1.14fc9f110d867p-16, -0x1.17656e5a35008p-16, -0x1.19c5da6da6113p-16, -0x1.1c1db63c9f936p-16, -0x1.1e6cd5e6559b7p-16, -0x1.20b30eb9297ap-16, -0x1.22f03731450c1p-16, -0x1.252426f864b08p-16, -0x1.274eb6e63d9ap-16, -0x1.296fc0fed78d7p-16, -0x1.2b8720722a297p-16, -0x1.2d94b19c55d3fp-16, -0x1.2f985202d3de9p-16, -0x1.3191e054d715cp-16, -0x1.33813c6a44bdbp-16, -0x1.356647420b6fp-16, -0x1.3740e3009bd0ap-16, -0x1.3910f2ef6beeep-16, -0x1.3ad65b7aa6332p-16, -0x1.3c9102303ae0bp-16, -0x1.3e40cdbd9cbd1p-16, -0x1.3fe5a5eec9e7ep-16, -0x1.417f73ac0711dp-16, -0x1.430e20f74d9ap-16, -0x1.449198eb786dp-16, -0x1.4609c7ba3b0adp-16, -0x1.47769aa8d72c8p-16, -0x1.48d8000f36e73p-16, -0x1.4a2de754bf241p-16, -0x1.4b7840ee860fap-16, -0x1.4cb6fe5c4264dp-16, -0x1.4dea1227303d3p-16, -0x1.4f116fde134a1p-16, -0x1.502d0c133cfc5p-16, -0x1.513cdc5a2f3bfp-16, -0x1.5240d7449681ep-16, -0x1.5338f45f3135dp-16, -0x1.54252c2fe386fp-16, -0x1.550578325a557p-16, -0x1.55d9d2d4e932p-16, -0x1.56a23776a56bap-16, -0x1.575ea2631a75dp-16, -0x1.580f10d00ae42p-16, -0x1.58b380da40b86p-16, -0x1.594bf182d6082p-16, -0x1.59d862ab506ep-16, -0x1.5a58d5130b8c6p-16, -0x1.5acd4a53e9a81p-16, -0x1.5b35c4df5214bp-16, -0x1.5b9247fa8cc83p-16, -0x1.5be2d7bba283bp-16, -0x1.5c27790680b8ap-16, -0x1.5c60318943d0dp-16, -0x1.5c8d07b91ffcfp-16, -0x1.5cae02ceada63p-16, -0x1.5cc32ac33a001p-16, -0x1.5ccc884cc2c57p-16, -0x1.5cca24db098acp-16, -0x1.5cbc0a9457cd4p-16, -0x1.5ca244517d917p-16, -0x1.5c7cdd9abaea9p-16, -0x1.5c4be2a4ccd0ap-16, -0x1.5c0f604cf012p-16, -0x1.5bc76415abde9p-16, -0x1.5b73fc2363661p-16, -0x1.5b15373955b56p-16, -0x1.5aab24b5d3d1fp-16, -0x1.5a35d48ee73cep-16, -0x1.59b5574f0ca47p-16, -0x1.5929be119311p-16, -0x1.58931a7fb160fp-16, -0x1.57f17eccc67a1p-16, -0x1.5744fdb3661fcp-16, -0x1.568daa71a1115p-16, -0x1.55cb98c5aa1dp-16, -0x1.54fedceacc9f8p-16, -0x1.54278b963efc1p-16, -0x1.5345b9f37924dp-16, -0x1.52597da11e218p-16, -0x1.5162ecade9314p-16, -0x1.50621d953f68dp-16, -0x1.4f57273bbc454p-16, -0x1.4e4220ec9442p-16, -0x1.4d2322563faf4p-16, -0x1.4bfa4386eb2a8p-16, -0x1.4ac79ce9b79e3p-16, -0x1.498b4743dd6ep-16, -0x1.48455bb1311cep-16, -0x1.46f5f3a1352e3p-16, -0x1.459d28d3f261fp-16, -0x1.443b15573cbf3p-16, -0x1.42cfd38399812p-16, -0x1.415b7df968bfap-16, -0x1.3fde2f9df8c1ep-16, -0x1.3e58039890aacp-16, -0x1.3cc9154f6a931p-16, -0x1.3b3180650139bp-16, -0x1.399160b5b9ef9p-16, -0x1.37e8d2548bd3dp-16, -0x1.3637f18845971p-16, -0x1.347edac9261bdp-16, -0x1.32bdaabe56d41p-16, -0x1.30f47e3ada539p-16, -0x1.2f23723b288bp-16, -0x1.2d4aa3e267928p-16, -0x1.2b6a307824b7dp-16, -0x1.29823565e0266p-16, -0x1.2792d0347c75ap-16, -0x1.259c1e899728p-16, -0x1.239e3e255ffcfp-16, -0x1.21994ce018589p-16, -0x1.1f8d68a7de55fp-16, -0x1.1d7aaf7e31f2ap-16, -0x1.1b613f75e87bp-16, -0x1.194136b0e8797p-16, -0x1.171ab35dd45bp-16, -0x1.14edd3b60b8c3p-16, -0x1.12bab5fb3c9d5p-16, -0x1.10817875afdecp-16, -0x1.0e423971d1989p-16, -0x1.0bfd173e826a8p-16, -0x1.09b2302b2560cp-16, -0x1.0761a28566b2fp-16, -0x1.050b8c9751c62p-16, -0x1.02b00ca5a46ecp-16, -0x1.004f40eddfe76p-16, -0x1.fbd28f4889c46p-17, -0x1.f6fc7de467864p-17, -0x1.f21c89e93f2cdp-17, -0x1.ed32ef749bbb7p-17, -0x1.e83fea83f315ap-17, -0x1.e343b6f10755ep-17, -0x1.de3e906f83c14p-17, -0x1.d930b288d6a68p-17, -0x1.d41a589a0514fp-17, -0x1.cefbbdd102a37p-17, -0x1.c9d51d2893f4fp-17, -0x1.c4a6b165a22c4p-17, -0x1.bf70b514d21c3p-17, -0x1.ba336287eeca4p-17, -0x1.b4eef3d2cc79ap-17, -0x1.afa3a2c89208ep-17, -0x1.aa51a8f922036p-17, -0x1.a4f93faf6d2b3p-17, -0x1.9f9a9feecd216p-17, -0x1.9a36026fadcbfp-17, -0x1.94cb9f9e15316p-17, -0x1.8f5baf96e8838p-17, -0x1.89e66a25c87c6p-17, -0x1.846c06c3abf61p-17, -0x1.7eecbc9417fd2p-17, -0x1.7968c2637aff6p-17, -0x1.73e04ea50eecap-17, -0x1.6e5397708d391p-17, -0x1.68c2d2810bc07p-17, -0x1.632e3532c7d7bp-17, -0x1.5d95f4818b926p-17, -0x1.57fa4507485afp-17, }}, 
      {{-0x1.d384701dc6d7cp-1, -0x1.d372b10d4731ep-1, -0x1.d34a4b44d297cp-1, -0x1.d3027f57a8947p-1, -0x1.d295408826fb8p-1, -0x1.d1ffa58737208p-1, -0x1.d14189a26532bp-1, -0x1.d05cdefa80097p-1, -0x1.cf54f54bbc8bdp-1, -0x1.ce2dd59897109p-1, -0x1.ccebbf48ee8b2p-1, -0x1.cb92c8ba44a1cp-1, -0x1.ca26a00425188p-1, -0x1.c8aa66878c603p-1, -0x1.c720a1614154ep-1, -0x1.c58b3934d73f7p-1, -0x1.c3eb8487699ffp-1, -0x1.c24258c1d0b5cp-1, -0x1.c0901ecd82982p-1, -0x1.bed4e903c9e5fp-1, -0x1.bd1088cd5fe8bp-1, -0x1.bb42a2d7d8a3ep-1, -0x1.b96ac130daa6dp-1, -0x1.b78862e8500c2p-1, -0x1.b59b0916b1b85p-1, -0x1.b3a2414f33d5dp-1, -0x1.b19dada26932bp-1, -0x1.af8d0a68316d1p-1, -0x1.ad703211d8de3p-1, -0x1.ab471f498d8c6p-1, -0x1.a911eda434e3p-1, -0x1.a6d0d927c407dp-1, -0x1.a4843ce367409p-1, -0x1.a22c90d0dc275p-1, -0x1.9fca672ff5c42p-1, -0x1.9d5e6986bb7c6p-1, -0x1.9ae9556a32c77p-1, -0x1.986bf92df08e6p-1, -0x1.95e730930c6f2p-1, -0x1.935be18a1bb7cp-1, -0x1.90caf91780c6bp-1, -0x1.8e3568658530bp-1, -0x1.8b9c220c775cep-1, -0x1.890017963c012p-1, -0x1.866237407afb5p-1, -0x1.83c369feaa1ffp-1, -0x1.812491bbb4aep-1, -0x1.7e8687d9cc368p-1, -0x1.7bea1bee02f06p-1, -0x1.795012b4a2d05p-1, -0x1.76b9253ab48b3p-1, -0x1.74260038df8a6p-1, -0x1.7197439b966d6p-1, -0x1.6f0d8234752dbp-1, -0x1.6c894190bd3dep-1, -0x1.6a0af9f0ed5a7p-1, -0x1.6793165d9b724p-1, -0x1.6521f4d5e53b6p-1, -0x1.62b7e693fd102p-1, -0x1.60553064975fcp-1, -0x1.5dfa0b0e3a1cfp-1, -0x1.5ba6a3c5a5772p-1, -0x1.595b1cacd826ap-1, -0x1.57178d5a5d8f1p-1, -0x1.54dc0366dc54cp-1, -0x1.52a882ff0bf24p-1, -0x1.507d07786d82p-1, -0x1.4e5983e756159p-1, -0x1.4c3de3b508a93p-1, -0x1.4a2a0b34c4e91p-1, -0x1.481dd836da6e3p-1, -0x1.46192298f1841p-1, -0x1.441bbcd2dd81dp-1, -0x1.4225747f6641bp-1, -0x1.403612e09938fp-1, -0x1.3e4d5d5f3dea8p-1, -0x1.3c6b16052aa2p-1, -0x1.3a8efbf24244bp-1, -0x1.38b8cbcbf6f07p-1, -0x1.36e8402739701p-1, -0x1.351d11ecd03ddp-1, -0x1.3356f8b81024bp-1, -0x1.3195ab300a125p-1, -0x1.2fd8df5b37c64p-1, -0x1.2e204aedc7eafp-1, -0x1.2c6ba392a38aap-1, -0x1.2aba9f2f535c2p-1, -0x1.290cf422e9685p-1, -0x1.276259801c8d4p-1, -0x1.25ba8742be558p-1, -0x1.24153680bb143p-1, -0x1.22722196d353cp-1, -0x1.20d104513c565p-1, -0x1.1f319c105a3a7p-1, -0x1.1d93a7e9bf4f4p-1, -0x1.1bf6e8c5a4b51p-1, -0x1.1a5b217905a32p-1, -0x1.18c016dc8e93dp-1, -0x1.17258fe08d332p-1, -0x1.158b559e07fcep-1, -0x1.13f133652e226p-1, -0x1.1256f6c943589p-1, -0x1.10bc6faa33185p-1, -0x1.0f21703bec4d2p-1, -0x1.0d85cd0bb135cp-1, -0x1.0be95d0376f26p-1, -0x1.0a4bf96b7c1e3p-1, -0x1.08ad7dea330a1p-1, -0x1.070dc882a1ae9p-1, -0x1.056cb9914ff5cp-1, -0x1.03ca33c7e63bp-1, -0x1.02261c2790028p-1, -0x1.008059fa42947p-1, -0x1.fdb1ad95f456ep-2, -0x1.fa5efcba0ee3bp-2, -0x1.f7087d4503f22p-2, -0x1.f3ae0f63e7cc7p-2, -0x1.f04f9776a5ae3p-2, -0x1.ececfdf8ac89bp-2, -0x1.e9862f687d7dcp-2, -0x1.e61b1c2e3c86fp-2, -0x1.e2abb8815c7dep-2, -0x1.df37fc4d8a733p-2, -0x1.dbbfe316eca44p-2, -0x1.d8436bddd4b32p-2, -0x1.d4c29901fa3dfp-2, -0x1.d13d7025512fdp-2, -0x1.cdb3fa0e970fcp-2, -0x1.ca26428ba874ep-2, -0x1.c6945853ad937p-2, -0x1.c2fe4ce935326p-2, -0x1.bf64347c4b3b1p-2, -0x1.bbc625cc98856p-2, -0x1.b8243a0b9c968p-2, -0x1.b47e8cbf0e847p-2, -0x1.b0d53ba36ce85p-2, -0x1.ad28668ecf59p-2, -0x1.a9782f53fdd32p-2, -0x1.a5c4b9a5d82cep-2, -0x1.a20e2afb1b375p-2, -0x1.9e54aa728711cp-2, -0x1.9a9860b7705dp-2, -0x1.96d977e6c194dp-2, -0x1.93181b7474eb1p-2, -0x1.8f5478118b0a3p-2, -0x1.8b8ebb9284e82p-2, -0x1.87c714d662db3p-2, -0x1.83fdb3ae2ffbcp-2, -0x1.8032c8c51ce61p-2, -0x1.7c6685892b2ep-2, -0x1.78991c146ecc8p-2, -0x1.74cabf16e5859p-2, -0x1.70fba1c0e91e6p-2, -0x1.6d2bf7ae3b81bp-2, -0x1.695bf4d1af769p-2, -0x1.658bcd616de89p-2, -0x1.61bbb5c3dbb7ep-2, -0x1.5debe27d1b3a2p-2, -0x1.5a1c881d2b9eap-2, -0x1.564ddb2eacdp-2, -0x1.52801026386d1p-2, -0x1.4eb35b526171cp-2, -0x1.4ae7f0cc48f82p-2, -0x1.471e0468d5429p-2, -0x1.4355c9aa7fa12p-2, -0x1.3f8f73b3bb634p-2, -0x1.3bcb3539f87b5p-2, -0x1.3809407937b4ap-2, -0x1.3449c72836a5bp-2, -0x1.308cfa6d2cc49p-2, -0x1.2cd30ad3192d8p-2, -0x1.291c283f9e789p-2, -0x1.256881e96adaep-2, -0x1.21b8464f2a617p-2, -0x1.1e0ba32eff4fcp-2, -0x1.1a62c57e7f50ep-2, -0x1.16bdd96334991p-2, -0x1.131d0a2b9a9d9p-2, -0x1.0f8082489cfbp-2, -0x1.0be86b478995ep-2, -0x1.0854edcc8084cp-2, -0x1.04c6318d51eccp-2, -0x1.013c5d4cd30f1p-2, -0x1.fb6f2dad39c67p-3, -0x1.f47005f6730cfp-3, -0x1.ed7b8b197048fp-3, -0x1.e69202b74cf0fp-3, -0x1.dfb3b068deebbp-3, -0x1.d8e0d5ba2ad72p-3, -0x1.d219b22698f2p-3, -0x1.cb5e8315d90fap-3, -0x1.c4af83d974b5dp-3, -0x1.be0cedab0afe4p-3, -0x1.b776f7ab290a3p-3, -0x1.b0edd6e0c36dcp-3, -0x1.aa71be394442fp-3, -0x1.a402de8927bb9p-3, -0x1.9da1668d25702p-3, -0x1.974d82ebdafc1p-3, -0x1.91075e37fe0ffp-3, -0x1.8acf20f300dc8p-3, -0x1.84a4f1902b7b5p-3, -0x1.7e88f4782c167p-3, -0x1.787b4c0d07d1ap-3, -0x1.727c18ae78c63p-3, -0x1.6c8b78bea5b72p-3, -0x1.66a988a739a5ep-3, -0x1.60d662decd34dp-3, -0x1.5b121feea47aep-3, -0x1.555cd678ba3f4p-3, -0x1.4fb69b3e10b23p-3, -0x1.4a1f812547a2dp-3, -0x1.4497994170484p-3, -0x1.3f1ef2d91e9c3p-3, -0x1.39b59b6db13fcp-3, -0x1.345b9ec2caa1ep-3, -0x1.2f1106e5f8c42p-3, -0x1.29d5dc368c7f8p-3, -0x1.24aa256d93173p-3, -0x1.1f8de7a5f59e3p-3, -0x1.1a812664bb8bbp-3, -0x1.1583e3a1618bp-3, -0x1.10961fce56ff8p-3, -0x1.0bb7d9e18453fp-3, -0x1.06e90f5cf0f45p-3, -0x1.0229bc576dae3p-3, -0x1.faf3b70aaf62bp-4, -0x1.f1b2cc82b721bp-4, -0x1.e890a92a98fe2p-4, -0x1.df8d3a85e73e6p-4, -0x1.d6a86b99dad35p-4, -0x1.cde224fefc891p-4, -0x1.c53a4cf2e1926p-4, -0x1.bcb0c769c4e45p-4, -0x1.b44576202ea52p-4, -0x1.abf838ac73249p-4, -0x1.a3c8ec9035594p-4, -0x1.9bb76d49bf25p-4, -0x1.93c39465485c1p-4, -0x1.8bed398e1f89dp-4, -0x1.8434329faac66p-4, -0x1.7c9853b648b4fp-4, -0x1.75196f400c633p-4, -0x1.6db7560d4ab73p-4, -0x1.6671d760fad4ap-4, -0x1.5f48c100eddddp-4, -0x1.583bdf45cf1e5p-4, -0x1.514afd2af3d3dp-4, -0x1.4a75e45df5d6bp-4, -0x1.43bc5d4e17e61p-4, -0x1.3d1e2f3b717bcp-4, -0x1.369b2045dac3cp-4, -0x1.3032f57ba9c83p-4, -0x1.29e572e824523p-4, -0x1.23b25ba1be98dp-4, -0x1.1d9971d812dddp-4, -0x1.179a76e1a2541p-4, -0x1.11b52b4949523p-4, -0x1.0be94edb7bee3p-4, -0x1.0636a0b33aa4bp-4, -0x1.009cdf46c6f7cp-4, -0x1.f63790e8257a4p-5, -0x1.eb663319d3defp-5, -0x1.e0c51ec5bb631p-5, -0x1.d653cca5cdad5p-5, -0x1.cc11b4a186ea3p-5, -0x1.c1fe4de424a5bp-5, -0x1.b8190ef251aa8p-5, -0x1.ae616dbf45d87p-5, -0x1.a4d6dfc160a1bp-5, -0x1.9b78da0639f6p-5, -0x1.9246d14629418p-5, -0x1.894039f74988bp-5, -0x1.8064885ff0c81p-5, -0x1.77b330a8a6326p-5, -0x1.6f2ba6ed8f924p-5, -0x1.66cd5f4f5e982p-5, -0x1.5e97ce03b92a5p-5, -0x1.568a67651fdf7p-5, -0x1.4ea4a00253b33p-5, -0x1.46e5ecad3c02bp-5, -0x1.3f4dc28951bdbp-5, -0x1.37db97198d565p-5, -0x1.308ee04dd1cdep-5, -0x1.2967148ff0aaap-5, -0x1.2263aad01e063p-5, -0x1.1b841a91059c4p-5, -0x1.14c7dbf35b8e8p-5, -0x1.0e2e67c1044f1p-5, -0x1.07b73777c5445p-5, -0x1.0161c55388009p-5, -0x1.f65b18b06c10bp-6, -0x1.ea3410b63cc15p-6, -0x1.de4d6c17fddcep-6, -0x1.d2a625fb32cp-6, -0x1.c73d3b5bd9eb9p-6, -0x1.bc11ab1c0c137p-6, -0x1.b1227612e0b23p-6, -0x1.a66e9f1a8ac4bp-6, -0x1.9bf52b1dc4309p-6, -0x1.91b52124785c2p-6, -0x1.87ad8a5fc25e6p-6, -0x1.7ddd72353b433p-6, -0x1.7443e649920e5p-6, -0x1.6adff68a92147p-6, -0x1.61b0b5386aa15p-6, -0x1.58b536ee70ea8p-6, -0x1.4fec92ab37b72p-6, -0x1.4755e1d80b843p-6, -0x1.3ef0404febc5bp-6, -0x1.36bacc65e46b4p-6, -0x1.2eb4a6eae319cp-6, -0x1.26dcf333005cp-6, -0x1.1f32d71a48c1ap-6, -0x1.17b57b090266dp-6, -0x1.106409f77269cp-6, -0x1.093db1712c27ep-6, -0x1.0241a197f14cfp-6, -0x1.f6de1a4c27d66p-7, -0x1.e98a52e0dca63p-7, -0x1.dc865ccfe6f1bp-7, -0x1.cfd0ad359eef2p-7, -0x1.c367be6a6a16bp-7, -0x1.b74a10035b932p-7, -0x1.ab7626d254a0bp-7, -0x1.9fea8ce54525bp-7, -0x1.94a5d184d5b4cp-7, -0x1.89a6893261a29p-7, -0x1.7eeb4da549a2p-7, -0x1.7472bdc7b2993p-7, -0x1.6a3b7db2b219ap-7, -0x1.604436a9d4c53p-7, -0x1.568b971640c7cp-7, -0x1.4d1052811ff26p-7, -0x1.43d1218dc2582p-7, -0x1.3accc1f31e15bp-7, -0x1.3201f674e446cp-7, -0x1.296f86dc37b07p-7, -0x1.21143fefe2395p-7, -0x1.18eef36c33434p-7, -0x1.10fe77fa72ebbp-7, -0x1.0941a92809dc7p-7, -0x1.01b7675d4577dp-7, -0x1.f4bd2fa77c4b8p-8, -0x1.e66c49191a6e7p-8, -0x1.d879f88c4cecep-8, -0x1.cae424e3c2b54p-8, -0x1.bda8be52be19ep-8, -0x1.b0c5be471a693p-8, -0x1.a4392753286e6p-8, -0x1.98010516e9189p-8, -0x1.8c1b6c28fc227p-8, -0x1.808679ff237c1p-8, -0x1.754054d67002cp-8, -0x1.6a472b9b3f7f9p-8, -0x1.5f9935d0c0c4ep-8, -0x1.5534b3784b0abp-8, -0x1.4b17ecf874d58p-8, -0x1.414133040b578p-8, -0x1.37aede80a825p-8, -0x1.2e5f506d43d05p-8, -0x1.2550f1c896fc4p-8, -0x1.1c82337744423p-8, -0x1.13f18e2a0ccb6p-8, -0x1.0b9d8243d75p-8, -0x1.038497bf9a194p-8, -0x1.f74abc2ca86b7p-9, -0x1.e7fcd849b1094p-9, -0x1.d91cc02369cdfp-9, -0x1.caa7be6616bb1p-9, -0x1.bc9b2be8c7ab4p-9, -0x1.aef46f792112cp-9, -0x1.a1b0fda729d1bp-9, -0x1.94ce589156623p-9, -0x1.884a0fb05fac5p-9, -0x1.7c21bfa3c58ccp-9, -0x1.705311fde9c6cp-9, -0x1.64dbbd10d588ap-9, -0x1.59b983bb1f96ap-9, -0x1.4eea3534bfe32p-9, -0x1.446bacdc92c95p-9, -0x1.3a3bd205e5db1p-9, -0x1.305897c664f18p-9, -0x1.26bffcc45c4p-9, -0x1.1d700b053f145p-9, -0x1.1466d7bca16e8p-9, -0x1.0ba2831b62034p-9, -0x1.0321381f8bc2ep-9, -0x1.f5c258c84cfb3p-10, -0x1.e5c13fe3b5454p-10, -0x1.d63bba1f732dcp-10, -0x1.c72e702926b11p-10, -0x1.b8961e71652f5p-10, -0x1.aa6f94d039135p-10, -0x1.9cb7b62a29b59p-10, -0x1.8f6b78169f263p-10, -0x1.8287e28718823p-10, -0x1.760a0f6f208f9p-10, -0x1.69ef2a6d977f4p-10, -0x1.5e34707683ca8p-10, -0x1.52d72f7e76231p-10, -0x1.47d4c6263c335p-10, -0x1.3d2aa3683e15bp-10, -0x1.32d646469351ap-10, -0x1.28d53d79f485ep-10, -0x1.1f252722167c9p-10, -0x1.15c3b076a880ap-10, -0x1.0cae9579d0619p-10, -0x1.03e3a0ab5d895p-10, -0x1.f6c15579d752ap-11, -0x1.e647348f2c012p-11, -0x1.d654c7045b97ap-11, -0x1.c6e60ff1a2766p-11, -0x1.b7f72c8acf801p-11, -0x1.a9845392962aap-11, -0x1.9b89d4cfbff84p-11, -0x1.8e0418846ad57p-11, -0x1.80ef9ee7dcd1cp-11, -0x1.7448ffa1aa84p-11, -0x1.680ce9477302cp-11, -0x1.5c3820dce1471p-11, -0x1.50c78154f6c5bp-11, -0x1.45b7fb16204d9p-11, -0x1.3b06937ffa584p-11, -0x1.30b064733850fp-11, -0x1.26b29bdb64f53p-11, -0x1.1d0a7b3aefc8bp-11, -0x1.13b55738f2c25p-11, -0x1.0ab09730f22dfp-11, -0x1.01f9b4c4e1852p-11, -0x1.f31c76e170da1p-12, -0x1.e2d7904026f0cp-12, -0x1.d320118bcee1p-12, -0x1.c3f177ebb7028p-12, -0x1.b54760ff5637dp-12, -0x1.a71d8a188e1f1p-12, -0x1.996fcf79da034p-12, -0x1.8c3a2b9808d36p-12, -0x1.7f78b65f31f71p-12, -0x1.7327a47c04c5fp-12, -0x1.674346a79c774p-12, -0x1.5bc808f7c2f8fp-12, -0x1.50b27231fe0c9p-12, -0x1.45ff2322514c4p-12, -0x1.3baad5f52487ep-12, -0x1.31b25d948892bp-12, -0x1.2812a50903095p-12, -0x1.1ec8aedd4aa57p-12, -0x1.15d1948542ee6p-12, -0x1.0d2a85c7f49ffp-12, -0x1.04d0c82d59269p-12, -0x1.f9836cdb9495p-13, -0x1.e9f57fcc3c077p-13, -0x1.daf2d01b2b8cap-13, -0x1.cc768bddd4fe8p-13, -0x1.be7c074994bd9p-13, -0x1.b0febbb0a6304p-13, -0x1.a3fa46863aea2p-13, -0x1.976a686762038p-13, -0x1.8b4b0428c4208p-13, -0x1.7f981deb1ff3fp-13, -0x1.744dda33ea01p-13, -0x1.69687d0b2e09dp-13, -0x1.5ee4691f07bdp-13, -0x1.54be1eec03e39p-13, -0x1.4af23be98b966p-13, -0x1.417d79bc557b3p-13, -0x1.385cad6d33e6bp-13, -0x1.2f8cc6a3f09f9p-13, -0x1.270acee776042p-13, -0x1.1ed3e8e24cf91p-13, -0x1.16e54fab1af6ap-13, -0x1.0f3c56125d41fp-13, -0x1.07d665f361b67p-13, -0x1.00b0ff899b8cep-13, -0x1.f39371974d993p-14, -0x1.e63c798edd564p-14, -0x1.d958960a2533ep-14, -0x1.cce36dd7ddef1p-14, -0x1.c0d8ce57b26c2p-14, -0x1.b534aa55a60b7p-14, -0x1.a9f318ead97cep-14, -0x1.9f1054669ceb3p-14, -0x1.9488b93de12c3p-14, -0x1.8a58c501b8dedp-14, -0x1.807d155dc1451p-14, -0x1.76f2671b3f903p-14, -0x1.6db5952b2c691p-14, -0x1.64c397b8ad0e9p-14, -0x1.5c19833e9ec81p-14, -0x1.53b487a5f32fap-14, -0x1.4b91ef675a156p-14, -0x1.43af1eb5d2063p-14, -0x1.3c0992abce506p-14, -0x1.349ee080a6679p-14, -0x1.2d6cb4c1c2368p-14, -0x1.2670d291b6d9ep-14, -0x1.1fa912ec4504cp-14, -0x1.191363f03beb7p-14, -0x1.12adc82dbfeabp-14, -0x1.0c7655f94067bp-14, -0x1.066b36c3d6d02p-14, -0x1.008aa677e9467p-14, -0x1.f5a5e5b598a7fp-15, -0x1.ea84f5e35377bp-15, -0x1.dfaf5cd91d547p-15, -0x1.d5221a28eb091p-15, -0x1.cada4c7ac8672p-15, -0x1.c0d5307b513a4p-15, -0x1.b7101fd03c849p-15, -0x1.ad889015557e3p-15, -0x1.a43c11e09ecfp-15, -0x1.9b284fce9c35ap-15, -0x1.924b0d948e09ep-15, -0x1.89a2271bcea7cp-15, -0x1.812b8fa0f5108p-15, -0x1.78e550dc8c067p-15, -0x1.70cd8a315fdd6p-15, -0x1.68e26fdf4d36bp-15, -0x1.61224a404d317p-15, -0x1.598b7506e5929p-15, -0x1.521c5e85ad236p-15, -0x1.4ad386fc09d14p-15, -0x1.43af7fe703fe4p-15, -0x1.3caeeb596a3d1p-15, -0x1.35d07b58293abp-15, -0x1.2f12f13c1aa7ep-15, -0x1.28751d18f8a08p-15, -0x1.21f5dd2938513p-15, -0x1.1b941d3e1af49p-15, -0x1.154ed634fab98p-15, -0x1.0f250d71b158cp-15, -0x1.0915d45bc359cp-15, -0x1.032047e14a664p-15, -0x1.fa871ffa9d704p-16, -0x1.eefdbe84615aap-16, -0x1.e3a2e4d1a110ep-16, -0x1.d8751fc3aa496p-16, -0x1.cd730edad0c62p-16, -0x1.c29b63667e811p-16, -0x1.b7ecdfc15c28cp-16, -0x1.ad665692c16a5p-16, -0x1.a306aa15d9d6ap-16, -0x1.98cccb692a36dp-16, -0x1.8eb7b9e2427ddp-16, -0x1.84c68268ab9b4p-16, -0x1.7af83ed721f4bp-16, -0x1.714c156184ac3p-16, -0x1.67c1380117509p-16, -0x1.5e56e3e6a1f4ep-16, -0x1.550c60ef1913bp-16, -0x1.4be10121b4188p-16, -0x1.42d4202f58068p-16, -0x1.39e522f87f0c5p-16, -0x1.3113771734ed5p-16, -0x1.285e926dde8fcp-16, -0x1.1fc5f2ba55c8fp-16, -0x1.17491d2cdc07bp-16, -0x1.0ee79e03dbbccp-16, -0x1.06a1082b27ff7p-16, -0x1.fce9e9bdaff38p-17, -0x1.ecc606a519d2fp-17, -0x1.dcd5b0b7e0f0bp-17, -0x1.cd183c40b43f9p-17, -0x1.bd8d078e1068cp-17, -0x1.ae337a58dcbb4p-17, -0x1.9f0b053750b33p-17, -0x1.9013210f5208fp-17, -0x1.814b4e952f858p-17, -0x1.72b315cb144e8p-17, -0x1.644a0589c0c6p-17, -0x1.560fb30a9bd97p-17, -0x1.4803b97ac6979p-17, -0x1.3a25b9903d129p-17, -0x1.2c755926f23dp-17, -0x1.1ef242df181bep-17, -0x1.119c25c2adcc6p-17, -0x1.0472b4ecc8b0fp-17, -0x1.eeeb4e6f8172p-18, -0x1.d5496ddc118cfp-18, -0x1.bbff42fcc7bf5p-18, -0x1.a30c4e698705ap-18, -0x1.8a7015edb91d5p-18, -0x1.722a24050161bp-18, -0x1.5a3a076449d54p-18, -0x1.429f52844b314p-18, -0x1.2b599b35a4e5bp-18, -0x1.14687a3878613p-18, -0x1.fb9715b6c6c71p-19, -0x1.cf04d53d41772p-19, -0x1.a31971bb00aa2p-19, -0x1.77d42cf90062p-19, -0x1.4d344b3d1c71fp-19, -0x1.233912b3d9f37p-19, -0x1.f3c395d9b6071p-20, -0x1.a25b78b5c612fp-20, -0x1.52385fbf47384p-20, -0x1.0358dcb9b020cp-20, -0x1.6b770135bdbb8p-21, -0x1.a57b6b2fa27b6p-22, -0x1.e41787891d326p-24, 0x1.5cf0e09ca2dd6p-23, 0x1.d1057008d45dfp-22, 0x1.775388f3ee739p-21, 0x1.01d8d7200a017p-20, 0x1.46d01a89a0285p-20, 0x1.8a911aa358773p-20, 0x1.cd1d6911c71afp-20, 0x1.073b4ec2dd095p-19, 0x1.274f2b027896cp-19, 0x1.46cb1b9660e97p-19, 0x1.65aff63617455p-19, 0x1.83fe941dd789ap-19, 0x1.a1b7d21e02a47p-19, 0x1.bedc90b1f193bp-19, 0x1.db6db40a86ba6p-19, 0x1.f76c241b0f3bp-19, 0x1.096c66509045fp-18, 0x1.16da4e93fdbafp-18, 0x1.24004487789d7p-18, 0x1.30dec3c250c2fp-18, 0x1.3d7649c2f69aep-18, 0x1.49c755ecb3cdep-18, 0x1.55d2698343f8fp-18, 0x1.619807a784fdcp-18, 0x1.6d18b550cfdbcp-18, 0x1.7854f947aa8b8p-18, 0x1.834d5c1ce0183p-18, 0x1.8e0268236fa2dp-18, 0x1.9874a966cb723p-18, 0x1.a2a4ada195ad2p-18, 0x1.ac930433d227cp-18, 0x1.b6403e1841bf3p-18, 0x1.bfacedd93b6dbp-18, 0x1.c8d9a78507b36p-18, 0x1.d1c700a215f35p-18, 0x1.da7590221d1cep-18, 0x1.e2e5ee5717566p-18, 0x1.eb18b4e400c13p-18, 0x1.f30e7eb105586p-18, 0x1.fac7e7dd77dc2p-18, 0x1.0122c6d8e00bfp-17, 0x1.04c40748cbebfp-17, 0x1.084804f71381cp-17, 0x1.0baf101ba1e5cp-17, 0x1.0ef97966ad4c9p-17, 0x1.122791f99e2abp-17, 0x1.1539ab5f6cdbfp-17, 0x1.18301785bef73p-17, 0x1.1b0b28b56844bp-17, 0x1.1dcb318b61975p-17, 0x1.207084f164b5dp-17, 0x1.22fb761674f4bp-17, 0x1.256c5867eaaaep-17, 0x1.27c37f8a50f7ap-17, 0x1.2a013f51d9e58p-17, 0x1.2c25ebbbf515ep-17, 0x1.2e31d8e7fefabp-17, 0x1.30255b101b4b3p-17, 0x1.3200c6829716p-17, 0x1.33c46f9b3eb82p-17, 0x1.3570aabc26045p-17, 0x1.3705cc47a6444p-17, 0x1.388428998e232p-17, 0x1.39ec140083075p-17, 0x1.3b3de2b7ea525p-17, 0x1.3c79e8e1b0543p-17, 0x1.3da07a80290bp-17, 0x1.3eb1eb6fc7f41p-17, 0x1.3fae8f619d042p-17, 0x1.4096b9d56b719p-17, 0x1.416abe141414ep-17, 0x1.422aef29a6b99p-17, 0x1.42d79fe07214bp-17, 0x1.437122bb7bfbep-17, 0x1.43f7c9f1486ffp-17, 0x1.446be766cf1p-17, 0x1.44cdccaaada6fp-17, 0x1.451dcaf04034ep-17, 0x1.455c330af83c6p-17, 0x1.45895569e1e45p-17, 0x1.45a582131d483p-17, 0x1.45b1089fbd186p-17, 0x1.45ac383746d5bp-17, 0x1.45975f8c21456p-17, 0x1.4572ccd731c8fp-17, 0x1.453ecdd46c664p-17, 0x1.44fbafbf0dc6ep-17, 0x1.44a9bf4dd20b3p-17, 0x1.444948b0173e6p-17, 0x1.43da978a270bp-17, 0x1.435df6f207787p-17, 0x1.42d3b16cc492p-17, 0x1.423c10eb5123dp-17, 0x1.41975ec78d14ap-17, 0x1.40e5e3c1fbdb7p-17, 0x1.4027e7fee7d15p-17, 0x1.3f5db303f2bfdp-17, 0x1.3e878bb5d03b2p-17, 0x1.3da5b856334a1p-17, 0x1.3cb87e815ef47p-17, 0x1.3bc0232c69179p-17, 0x1.3abceaa33aa55p-17, 0x1.39af1886a9f8cp-17, 0x1.3896efcb0ecdcp-17, 0x1.3774b2b69b6b1p-17, 0x1.3648a2dfa7f73p-17, 0x1.3513012b84679p-17, 0x1.33d40dcd37fdbp-17, 0x1.328c084432eddp-17, 0x1.313b2f5b48cdcp-17, 0x1.2fe1c127a4d03p-17, 0x1.2e7ffb07fc8d1p-17, 0x1.2d1619a397fb3p-17, 0x1.2ba458e9b7619p-17, 0x1.2a2af410f5f79p-17, 0x1.28aa2596a8574p-17, 0x1.2722273e3045dp-17, 0x1.2593321107a73p-17, 0x1.23fd7e5e0ae8ap-17, 0x1.226143b957b63p-17, 0x1.20beb8fc3cb19p-17, 0x1.1f1614451d0e3p-17, 0x1.1d678af72cb0bp-17, 0x1.1bb351bac57f4p-17, 0x1.19f99c7d7007dp-17, 0x1.183a9e71e078dp-17, 0x1.16768a106cf34p-17, 0x1.14ad911752921p-17, 0x1.12dfe48afb74fp-17, 0x1.110db4b66d494p-17, 0x1.0f37312be718ap-17, 0x1.0d5c88c516518p-17, 0x1.0b7de9a41601ep-17, 0x1.099b8133caa41p-17, 0x1.07b57c28ad091p-17, 0x1.05cc06816903fp-17, 0x1.03df4b87d90a4p-17, 0x1.01ef75d1b323ep-17, 0x1.fff95e82cedd8p-18, 0x1.fc0e420e0bf8p-18, 0x1.f81de742a8779p-18, 0x1.f4289dbd8928dp-18, 0x1.f02eb3bcb475bp-18, 0x1.ec30762195bd9p-18, 0x1.e82e3073438e9p-18, 0x1.e4282ce0eac44p-18, 0x1.e01eb443b3e8ep-18, 0x1.dc120e219c249p-18, 0x1.d80280af9b78ap-18, 0x1.d3f050d42eb55p-18, 0x1.cfdbc22a489f1p-18, 0x1.cbc5170383b17p-18, 0x1.c7ac906ac11fp-18, 0x1.c3926e27139fbp-18, 0x1.bf76eebe8db5ap-18, 0x1.bb5a4f791b302p-18, 0x1.b73ccc62f539ap-18, 0x1.b31ea04fb988ap-18, 0x1.af0004dd6acc2p-18, 0x1.aae1327753675p-18, 0x1.a6c2605919c13p-18, 0x1.a2a3c49173bb7p-18, 0x1.9e8594057afe8p-18, 0x1.9a6802736f23ap-18, 0x1.964b4275fb4dfp-18, 0x1.922f85874beaap-18, 0x1.8e14fc04287a8p-18, 0x1.89fbd52ef89a5p-18, 0x1.85e43f3325db2p-18, 0x1.81ce67282644cp-18, 0x1.7dba791475439p-18, 0x1.79a89ff0f8ac1p-18, 0x1.759905ac51db6p-18, 0x1.718bd32dd93cfp-18, 0x1.6d813058ca862p-18, 0x1.6979440fc7b41p-18, 0x1.65743437c3d96p-18, 0x1.617225bb36d8ap-18, 0x1.5d733c8d80635p-18, 0x1.59779bae147f8p-18, 0x1.557f652bba7fap-18, 0x1.518aba27b2535p-18, 0x1.4d99bad8fcb85p-18, 0x1.49ac868f6651p-18, 0x1.45c33bb6d1d98p-18, 0x1.41ddf7da7e549p-18, 0x1.3dfcd7a83501cp-18, 0x1.3a1ff6f364045p-18, 0x1.364770b82b341p-18, 0x1.32735f1eb5e33p-18, 0x1.2ea3db7e5a21ep-18, 0x1.2ad8fe609725dp-18, 0x1.2712df8428284p-18, 0x1.235195e03588cp-18, 0x1.1f9537a783569p-18, 0x1.1bddda4b8a3cep-18, 0x1.182b927f575d1p-18, 0x1.147e743a817cdp-18, 0x1.10d692bc44d43p-18, 0x1.0d34008eabd3bp-18, 0x1.0996cf8972742p-18, 0x1.05ff10d4dcd74p-18, 0x1.026cd4ecbe9efp-18, 0x1.fdc05746e0cacp-19, 0x1.f6b248493d2b4p-19, 0x1.efaf99f0311c9p-19, 0x1.e8b86809a623dp-19, 0x1.e1cccd2731252p-19, 0x1.daece2a3f5d4fp-19, 0x1.d418c0a9fea97p-19, 0x1.cd507e3808a9cp-19, 0x1.c694312693502p-19, 0x1.bfe3ee2d77e42p-19, 0x1.b93fc8e965bcfp-19, 0x1.b2a7d3e0f62c4p-19, 0x1.ac1c208a418a7p-19, 0x1.a59cbf4fc6be7p-19, 0x1.9f29bf95dc8c1p-19, 0x1.98c32fbfaf03ep-19, 0x1.92691d342df64p-19, 0x1.8c1b9462e4eaap-19, 0x1.85daa0c93ee3cp-19, 0x1.7fa64cf7b159cp-19, 0x1.797ea29609446p-19, 0x1.7363aa689c6c9p-19, 0x1.6d556c54e1faep-19, 0x1.6753ef65c0a8ep-19, 0x1.615f39d09ea36p-19, 0x1.5b7750fa01975p-19, 0x1.559c3979e33aap-19, 0x1.4fcdf7202213ep-19, 0x1.4a0c8cf91444fp-19, 0x1.4457fd51e54d2p-19, 0x1.3eb049bcd1c8p-19, 0x1.391573152cfc8p-19, 0x1.33877983948a2p-19, 0x1.2e065c8265396p-19, 0x1.28921ae1cdcd8p-19, 0x1.232ab2cbc2b47p-19, 0x1.1dd021c7f1b76p-19, 0x1.188264bf89db1p-19, 0x1.134178013f349p-19, 0x1.0e0d5744ec2a3p-19, 0x1.08e5fdafbb53fp-19, 0x1.03cb65d793b3ap-19, 0x1.fd7b138d5bb6bp-20, 0x1.f378c5fee8083p-20, 0x1.e98fd4ffd47a4p-20, 0x1.dfc0318a1ac48p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      24, 0x1.4cccccccccccdp+2, 0x1.ae49e91300c2fp+0, 0x1.bf0ea8bdf702dp+1, -0x1.f941fd6c910dap-7, 
      {{
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8b134dd21348cp-6, -0x1.102af62a82c3ep-4, 0x1.c976bd86e7d06p-5, -0x1.672f5cb832f2dp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.56e81e50302cfp-6, -0x1.f343420884347p-5, 0x1.bbfe907332b42p-5, -0x1.67293cd768bcfp-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.272d8f117fc35p-6, -0x1.c789661a3354ep-5, 0x1.ae869e2b1ec6ap-5, -0x1.6741bc5a8c028p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.f78249b4d57b1p-7, -0x1.9d28615bd1797p-5, 0x1.a10dc0b486533p-5, -0x1.66e5de2eca4a3p-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.a900c8deb39ffp-7, -0x1.74201376f938cp-5, 0x1.9398552c5ebd5p-5, -0x1.683cd75ab152bp-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6291a5296b58dp-7, -0x1.4c70f4f381ae4p-5, 0x1.86160d18f817p-5, -0x1.633cd0d6d4c8bp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.23efe81dce0acp-7, -0x1.2619440873d4dp-5, 0x1.78c3c5441ce93p-5, -0x1.888f5ceaf6367p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.d9ac04c81fce4p-8, -0x1.0128847b0aaebp-5, 0x1.6a0b31c81a13fp-5, -0x1.d83639655fa7p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.79ee743a0d5e7p-8, -0x1.bbadb82e1f8b4p-6, 0x1.5855f6078017p-5, -0x1.10c06e628f831p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.27f23276d0f9bp-8, -0x1.78db69150ad7dp-6, 0x1.43e120f34eed4p-5, -0x1.3648bfacef27cp-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.c5cb528cba221p-9, -0x1.3a6887c509a7p-6, 0x1.2c9bac2cbcfd9p-5, -0x1.5b732f1aa0dadp-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.53b530a654b68p-9, -0x1.00e47fed91dcap-6, 0x1.128ca23df0ed4p-5, -0x1.813226608aa9p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.ef1854a8df49bp-10, -0x1.99be4c55bb31dp-7, 0x1.eb51beba3374ap-6, -0x1.a4fce022444dp-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.5e022cec2acdep-10, -0x1.3dcb57a1a51f3p-7, 0x1.ac2bd04ea934dp-6, -0x1.d004081c7f81fp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.de2ddebd740b1p-11, -0x1.de3d999f8f824p-8, 0x1.66919be3fc7b2p-6, -0x1.cac4a65be9f89p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.39bbbd7b05335p-11, -0x1.5c937efa52d14p-8, 0x1.21c0e95632fcap-6, -0x1.953f5f4eb1555p-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.87b9713f0a48p-12, -0x1.e9aa10af4a0c6p-9, 0x1.c9eecfae63f9ap-7, -0x1.66f4992f86e34p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.cb3e47e407ef2p-13, -0x1.48074bec62794p-9, 0x1.5e3f082021e93p-7, -0x1.36bca647bd887p-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.efc6b353c8fedp-14, -0x1.9d260175c08cdp-10, 0x1.01066fd7690b8p-7, -0x1.06fee59460ce2p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.de2ddebd7409fp-15, -0x1.de2cf7b67562dp-11, 0x1.6440bc55cb359p-8, -0x1.ae8b11afe342ap-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.87b9713f0a45cp-16, -0x1.e9ad55b1b3399p-12, 0x1.c62e07a874775p-9, -0x1.4e00d416bdc79p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.efc6b353c8e8p-18, -0x1.9cfcf07544a4dp-13, 0x1.fb8e44026b9a4p-10, -0x1.e397be21b286dp-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.87b9713f09bfep-20, -0x1.ec05dc2b1df68p-15, 0x1.b2ccd70f9a953p-11, -0x1.0ab297bc72212p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.87b9713f08001p-24, -0x1.a2fa996babb5p-18, 0x1.cb0d50b5e0081p-13, -0x1.64eb7e7e1ae43p-8}, 
      }}, 
      0x1.4fda4f80e2ba8p-4, -0x1.02d34a6ea0a3ap-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.75ddbcc030792p-2, 0x1.745f73f34d426p-2, 0x1.71e8811262441p-2, 0x1.6e81fc1ab5434p-2, 0x1.6a37db8981098p-2, 0x1.651837152089fp-2, 0x1.5f32a3df14d4p-2, 0x1.5897b253db4bfp-2, 0x1.51588613c8e68p-2, 0x1.49867fc6f0362p-2, 0x1.4132f499d16a2p-2, 0x1.386ef176452dep-2, 0x1.2f4b0a44422b7p-2, 0x1.25d7332add6edp-2, 0x1.1c22a4f84ae98p-2, 0x1.123bc969aa4f1p-2, 0x1.08302f5ce2cdap-2, 0x1.fc190a78ca6f1p-3, 0x1.e7b9307e61725p-3, 0x1.d356aedc23494p-3, 0x1.bf05b2a36154ep-3, 0x1.aad8c6d0516e3p-3, 0x1.96e0e55c1e444p-3, 0x1.832d8955c2e31p-3, 0x1.6fccc11e35f95p-3, 0x1.5ccb401ddc842p-3, 0x1.4a346f82e36p-3, 0x1.38127dd00a02ap-3, 0x1.266e6d35046bap-3, 0x1.155020d1359d8p-3, 0x1.04be691c13504p-3, 0x1.e97e1f78f65b3p-4, 0x1.caadc63424a52p-4, 0x1.ad1383d8dcb3ep-4, 0x1.90b54dfae8319p-4, 0x1.75976a846d375p-4, 0x1.5bbc88b5313acp-4, 0x1.4325daecd38fep-4, 0x1.2bd3311be86d5p-4, 0x1.15c313ae6f643p-4, 0x1.00f2dea714785p-4, 0x1.dabdb95474b0fp-5, 0x1.b604c366a155bp-5, 0x1.93afca6add0e7p-5, 0x1.73b236ded1519p-5, 0x1.55fe1b885d7d6p-5, 0x1.3a8463e2b9cefp-5, 0x1.2135000d2d4f5p-5, 0x1.09ff0e11d8e7ep-5, 0x1.e9a200d3a1495p-6, 0x1.c3318364edc44p-6, 0x1.a087ab1f08p-6, 0x1.817eed958c53ep-6, 0x1.65f1655a122edp-6, 0x1.4db903a0ef62dp-6, 0x1.38afbc6b632ebp-6, 0x1.26afae9b2c82ap-6, 0x1.1793462bfc895p-6, 0x1.0b355bde424a2p-6, 0x1.01714ed598c93p-6, 0x1.f44638002cf2p-7, 0x1.ea4ee44780889p-7, 0x1.e4b77d9e47e99p-7, 0x1.e33c83b633af6p-7, 0x1.e59c1c8822b03p-7, 0x1.eb9638d35eca7p-7, 0x1.f4ec97f5e54b2p-7, 0x1.00b15ab99b99fp-6, 0x1.085f12b236cd4p-6, 0x1.1162f5d6bdfb5p-6, 0x1.1ba1bbf1a4af2p-6, 0x1.2700bc045a5b8p-6, 0x1.3366748d0d3a4p-6, 0x1.40ba32c97fb1ap-6, 0x1.4ee4151be45fp-6, 0x1.5dcd51cd7ea99p-6, 0x1.6d5fb8e5616c8p-6, 0x1.7d862a9b0ba62p-6, 0x1.8e2c405638e61p-6, 0x1.9f3e69aa90e32p-6, 0x1.b0a9ee8388c96p-6, 0x1.c25cd82d484dbp-6, 0x1.d446011b1357fp-6, 0x1.e655062175592p-6, 0x1.f87a4b2cc786ep-6, 0x1.05537a883b226p-5, 0x1.0e6674bb4c10ap-5, 0x1.176f66cb09ab8p-5, 0x1.2068021b9d79bp-5, 0x1.294a5693787bfp-5, 0x1.3210d1ba0406dp-5, 0x1.3ab63db8b29f1p-5, 0x1.4335c0073005cp-5, 0x1.4b8ad7b5f7c9bp-5, 0x1.53b15b659ef44p-5, 0x1.5ba576f82e23fp-5, 0x1.6363a901a8f2p-5, 0x1.6ae8c0106460ap-5, 0x1.7231d7cf3aadap-5, 0x1.793c560479132p-5, 0x1.8005e7798cb09p-5, 0x1.868c7cc35be0bp-5, 0x1.8cce46f12fa31p-5, 0x1.92c9b42df5ce4p-5, 0x1.987d6c52da7e7p-5, 0x1.9de84d7a4cd3bp-5, 0x1.a30968a3a121p-5, 0x1.a7dffe6aaa568p-5, 0x1.ac6b7be153af2p-5, 0x1.b0ab7796ef48cp-5, 0x1.b49faeca73464p-5, 0x1.b84802cc08ed5p-5, 0x1.bba4768f44704p-5, 0x1.beb52c67d0d21p-5, 0x1.c17a63e7be1cp-5, 0x1.c3f477e291fd3p-5, 0x1.c623dc89f77b7p-5, 0x1.c8091d9e46905p-5, 0x1.c9a4dcb5ea73cp-5, 0x1.caf7cf93504bfp-5, 0x1.cc02be8ea2869p-5, 0x1.ccc6830c4006cp-5, 0x1.cd440606603fap-5, 0x1.cd7c3ead5160bp-5, 0x1.cd703112a6215p-5, 0x1.cd20ecef751bbp-5, 0x1.cc8f8c7f2654dp-5, 0x1.cbbd336821af9p-5, 0x1.caab0dc16dcbp-5, 0x1.c95a4f25c422ap-5, 0x1.c7cc31d701869p-5, 0x1.c601f5fb6b7bep-5, 0x1.c3fce0dfb26a1p-5, 0x1.c1be3c4936731p-5, 0x1.bf4755de1e84p-5, 0x1.bc997e8b84392p-5, 0x1.b9b609f9f2acdp-5, 0x1.b69e4e1587021p-5, 0x1.b353a29075c3bp-5, 0x1.afd760723adb9p-5, 0x1.ac2ae1ba2b95ep-5, 0x1.a84f80fbc32f6p-5, 0x1.a4469904ec958p-5, 0x1.a011849973bbbp-5, 0x1.9bb19e29b8b9ap-5, 0x1.97283f8e80d3dp-5, 0x1.9276c1da32a59p-5, 0x1.8d9e7d2a2a93p-5, 0x1.88a0c8774db63p-5, 0x1.837ef9777559ap-5, 0x1.7e3a64841752dp-5, 0x1.78d45c7e9c18ep-5, 0x1.734e32be34737p-5, 0x1.6da93702751cep-5, 0x1.67e6b76545497p-5, 0x1.6208005446dbfp-5, 0x1.5c0e5c8b47e49p-5, 0x1.55fb15092490ep-5, 0x1.4fcf710ded966p-5, 0x1.498cb61feaab7p-5, 0x1.4334280253951p-5, 0x1.3cc708a989e82p-5, 0x1.36469842febb3p-5, 0x1.2fb41539e1078p-5, 0x1.2910bc232b006p-5, 0x1.225dc7b051c39p-5, 0x1.1b9c70bae75abp-5, 0x1.14cdee42d58e7p-5, 0x1.0df3754f4c1f5p-5, 0x1.070e38dcfc7ccp-5, 0x1.001f69e7b1fdep-5, 0x1.f2506ec388b66p-6, 0x1.e4539c1937d5bp-6, 0x1.d64ab0bf46539p-6, 0x1.c837fd158c115p-6, 0x1.ba1dccd08245p-6, 0x1.abfe66a534024p-6, 0x1.9ddc0bfd2f323p-6, 0x1.8fb8f8f8e814ap-6, 0x1.8197643983d46p-6, 0x1.73797e877dc2dp-6, 0x1.6561728b08104p-6, 0x1.575164b235226p-6, 0x1.494b72f6ddbdp-6, 0x1.3b51b470d652cp-6, 0x1.2d663906c201fp-6, 0x1.1f8b095dc9efap-6, 0x1.11c226a98b314p-6, 0x1.040d8a22bf0efp-6, 0x1.ecde4917b2987p-7, 0x1.d1d1bc4febf9dp-7, 0x1.b6f92d97869e8p-7, 0x1.9c584adcc75e7p-7, 0x1.81f2aec17b1cbp-7, 0x1.67cbdfe49abfp-7, 0x1.4de75170e3ab4p-7, 0x1.34486362c5723p-7, 0x1.1af26135ddfffp-7, 0x1.01e87ff8bba75p-7, 0x1.d25bbba858efcp-8, 0x1.a18b0657d6ffp-8, 0x1.7164c66d9a226p-8, 0x1.41eeb509be473p-8, 0x1.132e596bbf936p-8, 0x1.ca520f8b817a7p-9, 0x1.6fc7c88f5b1edp-9, 0x1.16c7cb6867bf7p-9, 0x1.7eb74cfbf88cp-10, 0x1.a631fafca6cf5p-11, 0x1.5630a8bdeda9cp-13, -0x1.e8c345fc5a54ep-12, -0x1.1bbbdc1a5e4dep-10, -0x1.b9cbefea9c142p-10, -0x1.2a2962069df41p-9, -0x1.75a179f92162p-9, -0x1.bf47fe9d62511p-9, -0x1.038b8aedf3a8dp-8, -0x1.2684a289ddf8dp-8, -0x1.488cba3015abp-8, -0x1.69a17c9d3f62p-8, -0x1.89c0ce704dddp-8, -0x1.a8e8cbad209cep-8, -0x1.c717c1f5b6769p-8, -0x1.e44c2d397709cp-8, -0x1.00425cf4d217ep-7, -0x1.0de02507ea0e6p-7, -0x1.1afefbe30c4cap-7, -0x1.279e891b6430fp-7, -0x1.33be8bd324d3p-7, -0x1.3f5ed8e51164fp-7, -0x1.4a7f5ba5df4d4p-7, -0x1.5520182add168p-7, -0x1.5f412ca14ed9ap-7, -0x1.68e2d0302ec36p-7, -0x1.7205502048006p-7, -0x1.7aa90d88555ffp-7, -0x1.82ce7d2cdc686p-7, -0x1.8a76293ebb964p-7, -0x1.91a0b3052094bp-7, -0x1.984ed2a638a44p-7, -0x1.9e8154eb16238p-7, -0x1.a4391887911ecp-7, -0x1.a9770cc259f0cp-7, -0x1.ae3c32216d341p-7, -0x1.b2899c11a897p-7, -0x1.b66071c27555cp-7, -0x1.b9c1ed2800fd5p-7, -0x1.bcaf5895fe28cp-7, -0x1.bf2a0c6fedee2p-7, -0x1.c1336e4727222p-7, -0x1.c2ccf199321bp-7, -0x1.c3f81923b57e9p-7, -0x1.c4b67760ba8f4p-7, -0x1.c509ad73b7519p-7, -0x1.c4f368fc6552fp-7, -0x1.c4756203b2a83p-7, -0x1.c3915a1243e6dp-7, -0x1.c2491ca2f92bcp-7, -0x1.c09e802efc4c7p-7, -0x1.be9366afdbc6p-7, -0x1.bc29bce5bdb0cp-7, -0x1.b9637892ad771p-7, -0x1.b64296880901ap-7, -0x1.b2c9197181cdap-7, -0x1.aef909c226e3bp-7, -0x1.aad4766a2d19ap-7, -0x1.a65d75804aa9fp-7, -0x1.a196241d58028p-7, -0x1.9c80a53a4c853p-7, -0x1.971f20027bd07p-7, -0x1.9173be56fbc6ep-7, -0x1.8b80ac15dd484p-7, -0x1.8548173d9247bp-7, -0x1.7ecc3083cdcabp-7, -0x1.780f2bb8a1791p-7, -0x1.71133f77b5ee4p-7, -0x1.69daa41cc9451p-7, -0x1.6267925e6e3ep-7, -0x1.5abc421ad98c2p-7, -0x1.52dae9bce0e54p-7, -0x1.4ac5be4988306p-7, -0x1.427ef3cd075p-7, -0x1.3a08bdae1a7a5p-7, -0x1.31654e8451adbp-7, -0x1.2896d75b6b52bp-7, -0x1.1f9f869fb6575p-7, -0x1.16818715fc658p-7, -0x1.0d3eff322477bp-7, -0x1.03da10ed9083fp-7, -0x1.f4a9b401cda5cp-8, -0x1.e162e86bc9e36p-8, -0x1.cde3eaf9fc656p-8, -0x1.ba30df30fb377p-8, -0x1.a64dded5c119dp-8, -0x1.923ef847a6f6dp-8, -0x1.7e082d1d0d15bp-8, -0x1.69ad715cd052bp-8, -0x1.5532ab682ec93p-8, -0x1.409bb45f0b3f7p-8, -0x1.2bec58933d1efp-8, -0x1.1728579a98a5p-8, -0x1.025363c87125cp-8, -0x1.dae24256bc3b8p-9, -0x1.b10a48ce045c8p-9, -0x1.8725e3881bb4p-9, -0x1.5d3bf95d53734p-9, -0x1.33534f5a5f5bp-9, -0x1.0972895e91ec5p-9, -0x1.bf4055c2a2bf2p-10, -0x1.6bc52e812e88dp-10, -0x1.1880225ee1d86p-10, -0x1.8afae55ba61bep-11, -0x1.cb24653bad545p-12, -0x1.03762f7b64e8fp-13, 0x1.8c311a26ce82ap-13, 0x1.0615128b48715p-11, 0x1.a82738f608acbp-11, 0x1.2496d47dca362p-10, 0x1.7489ee6387d77p-10, 0x1.c3e2ec9ebe9d2p-10, 0x1.094c0c762e4b7p-9, 0x1.305003eb8092bp-9, 0x1.56f8ce4455235p-9, 0x1.7d4205b6cca6fp-9, 0x1.a3276d4698693p-9, 0x1.c8a4efa0c7ce2p-9, 0x1.edb69cded2959p-9, 0x1.092c53e405f55p-8, 0x1.1b43b1b6134e3p-8, 0x1.2d1fa0ffe33e3p-8, 0x1.3ebe6ad010c31p-8, 0x1.501e69843f928p-8, 0x1.613e0ac69ccadp-8, 0x1.721bd18f7d7b3p-8, 0x1.82b657759d584p-8, 0x1.930c4cb7999d4p-8, 0x1.a31c76b7b4cb2p-8, 0x1.b2e5ad0da568dp-8, 0x1.c266d5c9fae68p-8, 0x1.d19ee1e598ce9p-8, 0x1.e08ccafeced2p-8, 0x1.ef2f935424d74p-8, 0x1.fd864862622bdp-8, 0x1.05c803e2a5b37p-7, 0x1.0ca6029a0a80cp-7, 0x1.135cc7f391c41p-7, 0x1.19ec0acb51634p-7, 0x1.205390d23fc6p-7, 0x1.26932bf21a123p-7, 0x1.2caab5d2a9f4p-7, 0x1.329a0a70c0e14p-7, 0x1.3861032bf5544p-7, 0x1.3dff73cf1559bp-7, 0x1.43752ac7b1b2p-7, 0x1.48c1f507fa49p-7, 0x1.4de5a510e5a1dp-7, 0x1.52e01ba2fbdc9p-7, 0x1.57b14fda959f2p-7, 0x1.5c595447a52b6p-7, 0x1.60d857048b335p-7, 0x1.652e9be24f733p-7, 0x1.695c7141a6fep-7, 0x1.6d6221c279666p-7, 0x1.713fe62b3e05p-7, 0x1.74f5db617e1fdp-7, 0x1.7883ffc7290d5p-7, 0x1.7bea39ccb48d7p-7, 0x1.7f28674ebf4a7p-7, 0x1.823e72eb41f2bp-7, 0x1.852c6a7e72cacp-7, 0x1.87f2910347c9bp-7, 0x1.8a91668369056p-7, 0x1.8d09a2a5c06c5p-7, 0x1.8f5c216cc13b4p-7, 0x1.9189c531b3155p-7, 0x1.93935408dd18cp-7, 0x1.957958a56f946p-7, 0x1.973c0ee858702p-7, 0x1.98db624ad1471p-7, 0x1.9a570094202ep-7, 0x1.9bae7e885437dp-7, 0x1.9ce18798e857ep-7, 0x1.9df00e40204b8p-7, 0x1.9eda718500f7ap-7, 0x1.9fa18da173325p-7, 0x1.a046b1c5ac13bp-7, 0x1.a0cb7abbc6e11p-7, 0x1.a1319888f8ef1p-7, 0x1.a17a8aa0809dp-7, 0x1.a1a7616b12c21p-7, 0x1.a1b893d59b544p-7, 0x1.a1adf40f6ce6p-7, 0x1.a186c840a9397p-7, 0x1.a14204334d8d5p-7, 0x1.a0de9972d001bp-7, 0x1.a05bcdf1ec83ap-7, 0x1.9fb9870272e3cp-7, 0x1.9ef877da01333p-7, 0x1.9e1a27dda11e6p-7, 0x1.9d20ccba4e127p-7, 0x1.9c0efd91854c3p-7, 0x1.9ae74d5b7b5f4p-7, 0x1.99abe0f2c791bp-7, 0x1.985e1735f2f03p-7, 0x1.96fe567053f61p-7, 0x1.958c0a709a8fp-7, 0x1.9405d462f4a79p-7, 0x1.9269e35aba9abp-7, 0x1.90b664ba3ca85p-7, 0x1.8ee9f7848cc07p-7, 0x1.8d040d3e157e4p-7, 0x1.8b0525facafb1p-7, 0x1.88eedb2cf9078p-7, 0x1.86c3b540ca8f4p-7, 0x1.8486d2272cef1p-7, 0x1.823b6cf227b18p-7, 0x1.7fe45e1a3fb5ep-7, 0x1.7d83ae6d58aa9p-7, 0x1.7b1a52a490847p-7, 0x1.78a81c0e78213p-7, 0x1.762bdeb80c98p-7, 0x1.73a3c2d6bd41dp-7, 0x1.710db05eab98dp-7, 0x1.6e67c0f18342ap-7, 0x1.6bb0a4c73bae2p-7, 0x1.68e7ea467ae74p-7, 0x1.660e1d9f10d69p-7, 0x1.6324bd381454ep-7, 0x1.602e075efa0a8p-7, 0x1.5d2cab7928615p-7, 0x1.5a236c58b9287p-7, 0x1.5714c2bb4f447p-7, 0x1.54028ec49a45fp-7, 0x1.50ede51e0fc2dp-7, 0x1.4dd70012d5e39p-7, 0x1.4abd57294e044p-7, 0x1.479fd921dfb14p-7, 0x1.447d3cfad1a33p-7, 0x1.415457458e12p-7, 0x1.3e245d0ab4ed2p-7, 0x1.3aed01c2ca8ddp-7, 0x1.37ae6c61542f1p-7, 0x1.346912357bed7p-7, 0x1.311d91c6a5fecp-7, 0x1.2dcca30824b7bp-7, 0x1.2a771f8b8307ap-7, 0x1.271e119aa8c6ap-7, 0x1.23c2b25972219p-7, 0x1.20664a08a551p-7, 0x1.1d09faf4d283fp-7, 0x1.19ae91675cb07p-7, 0x1.165475021d27p-7, 0x1.12fbc76f514fep-7, 0x1.0fa4a1c80b9dap-7, 0x1.0c4f4cfb93416p-7, 0x1.08fc4f8a3609fp-7, 0x1.05ac403de946ap-7, 0x1.025f713409896p-7, 0x1.fe2b4858a4e2p-8, 0x1.f79bf64d0bcap-8, 0x1.f10e70feca124p-8, 0x1.ea80636d7c29p-8, 0x1.e3f07009f2dffp-8, 0x1.dd5e83439bb2ap-8, 0x1.d6cb94f5aa0c6p-8, 0x1.d0392784a62ecp-8, 0x1.c9a8f3cb3988bp-8, 0x1.c31cf7923e168p-8, 0x1.bc97bc762c9fap-8, 0x1.b61c78ca43067p-8, 0x1.afaec65a66a15p-8, 0x1.a951f05dba653p-8, 0x1.a308153bc6534p-8, 0x1.9cd175d773c38p-8, 0x1.96ac4ce7e105ap-8, 0x1.909565a5078d7p-8, 0x1.8a895647d7212p-8, 0x1.8485d64d9d12fp-8, 0x1.7e8a6937c16e4p-8, 0x1.7897d64bbaeb6p-8, 0x1.72aead24a0231p-8, 0x1.6ccde8940da6ep-8, 0x1.66f2dc94908c2p-8, 0x1.611abb99c75d8p-8, 0x1.5b44c965285f8p-8, 0x1.5573c6edf9d96p-8, 0x1.4fada2452cbdap-8, 0x1.49f98133dd494p-8, 0x1.445d1d33ac42cp-8, 0x1.3edaab71925dep-8, 0x1.39702a48f52a8p-8, 0x1.341844e38eccap-8, 0x1.2ecc7b1b7334cp-8, 0x1.2987e0e661a21p-8, 0x1.244964986edaep-8, 0x1.1f145d71dac56p-8, 0x1.19eec04a828ap-8, 0x1.14ddc81cfc7fbp-8, 0x1.0fe31ab8ba8a7p-8, 0x1.0afc2ba522fcbp-8, 0x1.0623f1135008fp-8, 0x1.01558d8ac4a12p-8, 0x1.f91cf955834cbp-9, 0x1.ef9efc14ecf8dp-9, 0x1.e63822fde4fd5p-9, 0x1.dcf1d3f377602p-9, 0x1.d3d440dce1c4ap-9, 0x1.cae365924b5d8p-9, 0x1.c21cf7d089c1ap-9, 0x1.b978124f1c5e6p-9, 0x1.b0e7e3bb2973ap-9, 0x1.a86148c487868p-9, 0x1.9fe0a637a7b0dp-9, 0x1.976c35544a0d9p-9, 0x1.8f10b5300aa72p-9, 0x1.86da66bae9252p-9, 0x1.7ecf522d6e773p-9, 0x1.76ee7bbe3d29bp-9, 0x1.6f3357912b692p-9, 0x1.679a787063345p-9, 0x1.6024774837b24p-9, 0x1.58d4adb44596p-9, 0x1.51ac7ff1550d5p-9, 0x1.4aa8049af4e06p-9, 0x1.43bfb4166e3ep-9, 0x1.3ced51dc72a25p-9, 0x1.362f45ed4d189p-9, 0x1.2f87a08854e19p-9, 0x1.28f840331728ep-9, 0x1.227fd86114f9p-9, 0x1.1c1a09050dac1p-9, 0x1.15c2143c9433bp-9, 0x1.0f76877d6e223p-9, 0x1.093b5a468411p-9, 0x1.0318717edce8ap-9, 0x1.fa2a1bdd9cb45p-10, 0x1.ee66eca8b976ap-10, 0x1.e2e2d863a6d8ap-10, 0x1.d79acc0c7b3e4p-10, 0x1.cc92adcb1204ep-10, 0x1.c1cede0a2d044p-10, 0x1.b74d5854eb7b4p-10, 0x1.ad075bb294764p-10, 0x1.a2f6e8ac15e8dp-10, 0x1.9919ddf07cbb9p-10, 0x1.8f71633d0f31dp-10, 0x1.85fe9a4510f8ap-10, 0x1.7cbef0f0b6cf4p-10, 0x1.73ab1635bb9c7p-10, 0x1.6ab835db42acap-10, 0x1.61d9a76913ee2p-10, 0x1.59072938d2899p-10, 0x1.5046fc5ccfbb3p-10, 0x1.47ac28269558ep-10, 0x1.3f4415b177d28p-10, 0x1.370a20402ffdp-10, 0x1.2ef4fd28314e8p-10, 0x1.270b0b3b1fb92p-10, 0x1.1f5c34c7e5c0ep-10, 0x1.17ec9aa0f26a6p-10, 0x1.10b0ceb415eccp-10, 0x1.0999ccc90d43bp-10, 0x1.029db846bec8dp-10, 0x1.f771ee18a3fe1p-11, 0x1.e9da4e5496d8p-11, 0x1.dc81bfaaa9095p-11, 0x1.cf7d12fb125bap-11, 0x1.c2e13a909d9dfp-11, 0x1.b6ba8bfd59d53p-11, 0x1.ab04dbe077b0bp-11, 0x1.9fa13127cbda4p-11, 0x1.945fa32e5b9c5p-11, 0x1.892d3a9f76565p-11, 0x1.7e22adceff10ep-11, 0x1.7352715bdf502p-11, 0x1.68afcd3810f5cp-11, 0x1.5e39cf67756f5p-11, 0x1.540d4fca06dap-11, 0x1.4a3707abef534p-11, 0x1.40a4400c8c178p-11, 0x1.37462f1a8a58fp-11, 0x1.2e21523823f3ep-11, 0x1.253b71afc0efap-11, 0x1.1c8e908029a06p-11, 0x1.140e84c794d38p-11, 0x1.0bb3b80b7d8bfp-11, 0x1.0380cb6235491p-11, 0x1.f70148bf40b59p-12, 0x1.e77c8cac9cefdp-12, 0x1.d87d641e09fbep-12, 0x1.ca0012be85d1bp-12, 0x1.bbdf24513194ap-12, 0x1.adda328427752p-12, 0x1.9ffb50e164006p-12, 0x1.929788e5c7891p-12, 0x1.85bbc4761fbep-12, 0x1.7938d2a3b8718p-12, 0x1.6d1dd100e3583p-12, 0x1.61830ec6c209cp-12, 0x1.563ae213894bp-12, 0x1.4b10d3ac71d3bp-12, 0x1.400974b9481fep-12, 0x1.35488f999cfd6p-12, 0x1.2ad740333ae75p-12, 0x1.20a04cc2148fap-12, 0x1.169ef94016acdp-12, 0x1.0ce9f8b023df1p-12, 0x1.038e4cbfe2c0dp-12, 0x1.f5079a3a8fbcbp-13, 0x1.e380fa5cc0a5fp-13, 0x1.d27f49cd8cd43p-13, 0x1.c1ff61147e487p-13, 0x1.b21060af7ba1ep-13, 0x1.a2a72dea37d72p-13, 0x1.9376429e2150cp-13, 0x1.848de68e121f3p-13, 0x1.763063bf3e4f8p-13, 0x1.6818d60e4d1a4p-13, 0x1.5a44fe3118facp-13, 0x1.4d0baed58506bp-13, 0x1.406112c0fb79ap-13, 0x1.3414e058a35cdp-13, 0x1.281c34423fa93p-13, 0x1.1c83ba9310b7p-13, 0x1.115b25df12dc4p-13, 0x1.06a9802d615d7p-13, 0x1.f8b874f660c31p-14, 0x1.e48efaf8f42dap-14, 0x1.d0b7ab5b53e2bp-14, 0x1.bd7a3afff620bp-14, 0x1.aaedd62d9cad5p-14, 0x1.98cf736976419p-14, 0x1.872bb8cb30f01p-14, 0x1.76524c12b4301p-14, 0x1.664287a731fa4p-14, 0x1.56f43aafd688ep-14, 0x1.486b88f11a1e7p-14, 0x1.3a3189a6e9031p-14, 0x1.2c3cbd7335597p-14, 0x1.1e935441f0d7p-14, 0x1.111f2e847bcd6p-14, 0x1.0467537cdff1ap-14, 0x1.f0c13d62d6f84p-15, 0x1.d97e624bdb747p-15, 0x1.c2e32a043458dp-15, 0x1.acfd40275bfddp-15, 0x1.97d64b0e85322p-15, 0x1.836e66512602fp-15, 0x1.6fc13544a8cf9p-15, 0x1.5cca3589be97ep-15, }}, 
      {{0x1.75f4f09e8ee52p-2, 0x1.74bb72098a76dp-2, 0x1.72b466704d5ap-2, 0x1.6fe4f08b9c826p-2, 0x1.6c53f84f812dcp-2, 0x1.6809d287cbbcbp-2, 0x1.630feb9aee9ep-2, 0x1.5d707eba3d328p-2, 0x1.573659a849fdp-2, 0x1.506caa7413e21p-2, 0x1.491ed4bc4986bp-2, 0x1.41584cfdd96c1p-2, 0x1.3924792ca2453p-2, 0x1.308e9632c4ad4p-2, 0x1.27a1a20ae1d0ap-2, 0x1.1e684a33994c5p-2, 0x1.14ecde1e81bb6p-2, 0x1.0b394533123c5p-2, 0x1.0156f7e181616p-2, 0x1.ee9df67fe967dp-3, 0x1.da53bd73e4ba2p-3, 0x1.c5df76d564c5bp-3, 0x1.b15069919c31p-3, 0x1.9cb4f4a916b35p-3, 0x1.881a9407a2a7ap-3, 0x1.738de6616e84fp-3, 0x1.5f1ab3b3b1fbcp-3, 0x1.4acbf41b6868dp-3, 0x1.36abd6c86bf96p-3, 0x1.22c3c8e5a9cfp-3, 0x1.0f1c7c5f0115cp-3, 0x1.f77bdcf4e9147p-4, 0x1.d15edc889454fp-4, 0x1.abef45a8b76dp-4, 0x1.873922edd6d08p-4, 0x1.634747892173fp-4, 0x1.40235b68a55b5p-4, 0x1.1dd5e761cd235p-4, 0x1.f8ccc2ddb04eep-5, 0x1.b7b6720ab4ddp-5, 0x1.7873c70dabdbap-5, 0x1.3b0dd18da49p-5, 0x1.ff17be7925b8ap-6, 0x1.8be72a0539abp-6, 0x1.1c921027a05b5p-6, 0x1.623b5b511277ap-7, 0x1.26320b73ad2e2p-8, -0x1.a217c00f11c77p-10, -0x1.e7bade048618cp-8, -0x1.abbf8dcc9a2bdp-7, -0x1.2dfb436f67f5cp-6, -0x1.82499d280eefp-6, -0x1.d2d4f1615d4fep-6, -0x1.0fd47177568ecp-5, -0x1.34693a1bb4d17p-5, -0x1.572ff19015a8cp-5, -0x1.7830436a8448cp-5, -0x1.977257c3a3c9ap-5, -0x1.b4fec41c23e67p-5, -0x1.d0de7d3da243cp-5, -0x1.eb1ac9ff6132bp-5, -0x1.01de9b6efa5a3p-4, -0x1.0d67c53b0fa0dp-4, -0x1.182ddd906284p-4, -0x1.2235f2b27b734p-4, -0x1.2b8521bccdcb6p-4, -0x1.342092586ee1bp-4, -0x1.3c0d7315628dfp-4, -0x1.4350f5c74a4bdp-4, -0x1.49f04ccbf2ca5p-4, -0x1.4ff0a896036e9p-4, -0x1.555735161cef1p-4, -0x1.5a2917d349ffdp-4, -0x1.5e6b6cef65965p-4, -0x1.622345c1047eep-4, -0x1.6555a6d27f6edp-4, -0x1.680786d9b82ebp-4, -0x1.6a3dcdc4d5f7bp-4, -0x1.6bfd534842f73p-4, -0x1.6d4addbfd9b05p-4, -0x1.6e2b20a0e74fcp-4, -0x1.6ea2bb4eaea33p-4, -0x1.6eb6383106922p-4, -0x1.6e6a0c1ac0f18p-4, -0x1.6dc295e911009p-4, -0x1.6cc41e26f7378p-4, -0x1.6b72d6a232695p-4, -0x1.69d2d9df2f055p-4, -0x1.67e82a7f3f4bep-4, -0x1.65b6b2ae2d58ep-4, -0x1.634243ae401aep-4, -0x1.608e9590cb5ddp-4, -0x1.5d9f471bd82e8p-4, -0x1.5a77ddd31e916p-4, -0x1.571bc61543b09p-4, -0x1.538e533dfb31ap-4, -0x1.4fd2bfc265164p-4, -0x1.4bec2d439c54bp-4, -0x1.47dda499509c9p-4, -0x1.43aa15db2427fp-4, -0x1.3f5458710de23p-4, -0x1.3adf2b324ced6p-4, -0x1.364d349815d0dp-4, -0x1.31a10305db847p-4, -0x1.2cdd0d259883ep-4, -0x1.2803b2548dbc8p-4, -0x1.23173b1b5182bp-4, -0x1.1e19d9abd099cp-4, -0x1.190daa60e0567p-4, -0x1.13f4b43c178aep-4, -0x1.0ed0e96036148p-4, -0x1.09a42787d2ea7p-4, -0x1.047038794670ap-4, -0x1.fe6da4f2638f3p-5, -0x1.f3f3317ad797ap-5, -0x1.e97437c3f8865p-5, -0x1.def3b4c233288p-5, -0x1.d474821d6316bp-5, -0x1.c9f9572ec1p-5, -0x1.bf84ca0434e3cp-5, -0x1.b5195066ed545p-5, -0x1.aab940e282c2dp-5, -0x1.a066d3ca905fcp-5, -0x1.9624243bd2ad7p-5, -0x1.8bf33117691b4p-5, -0x1.81d5ddf6f4269p-5, -0x1.77cdf418892ecp-5, -0x1.6ddd23431ff01p-5, -0x1.640502a2dc611p-5, -0x1.5a47119e497dbp-5, -0x1.50a4b8a5de839p-5, -0x1.471f49fce9382p-5, -0x1.3db8027e25fccp-5, -0x1.34700a5caa59cp-5, -0x1.2b4875df83883p-5, -0x1.2242461ab5506p-5, -0x1.195e69a538d4bp-5, -0x1.109dbd4982accp-5, -0x1.08010cb366294p-5, -0x1.ff122635b6a3ap-6, -0x1.ee6cf7cf6f258p-6, -0x1.de13c6a37765fp-6, -0x1.ce07adfb63ccp-6, -0x1.be49ad23f43e8p-6, -0x1.aedaa88b4e68ep-6, -0x1.9fbb6adc1518p-6, -0x1.90eca6071f94cp-6, -0x1.826ef43deb4eap-6, -0x1.7442d8ed0eeebp-6, -0x1.6668c1aaa77cdp-6, -0x1.58e1071092d27p-6, -0x1.4babed9631055p-6, -0x1.3ec9a6685bb81p-6, -0x1.323a502c135b4p-6, -0x1.25fdf7b8ab3ap-6, -0x1.1a1498d951feep-6, -0x1.0e7e1f01eab57p-6, -0x1.033a65f02b6dcp-6, -0x1.f09274a2a3408p-7, -0x1.db54b4d76c20dp-7, -0x1.c6baed67d4df8p-7, -0x1.b2c464acc1409p-7, -0x1.9f704797fe3e8p-7, -0x1.8cbdaad7808a8p-7, -0x1.7aab8bcc57d38p-7, -0x1.6938d179bfe15p-7, -0x1.58644d8d21897p-7, -0x1.482cbd56b606cp-7, -0x1.3890ca981471ap-7, -0x1.298f0c53e43adp-7, -0x1.1b2607b6bf66cp-7, -0x1.0d5430eda6226p-7, -0x1.0017ebd5161b2p-7, -0x1.e6df1959062efp-8, -0x1.ceb2b1c7ffc02p-8, -0x1.b7a70fb438a9dp-8, -0x1.a1b886e73f22bp-8, -0x1.8ce3516ba413ap-8, -0x1.792390fb6baa6p-8, -0x1.6675505c87778p-8, -0x1.54d484720eb5ap-8, -0x1.443d0d44c269cp-8, -0x1.34aab7494b83cp-8, -0x1.26193cad7024ap-8, -0x1.1884465c59d02p-8, -0x1.0be76ce0f6067p-8, -0x1.003e39815cb95p-8, -0x1.eb084f04520a9p-9, -0x1.d7694a65e1515p-9, -0x1.c596297146573p-9, -0x1.b58599e4996ecp-9, -0x1.a72e354a85734p-9, -0x1.9a868343a9a06p-9, -0x1.8f84fb2c6b315p-9, -0x1.8620057d00999p-9, -0x1.7e4dfda8c4d8dp-9, -0x1.78053474fc8efp-9, -0x1.733bf1fdd5c5bp-9, -0x1.6fe8770c42734p-9, -0x1.6e00fe55374cap-9, -0x1.6d7bbe54cb4dap-9, -0x1.6e4eeb9096508p-9, -0x1.7070ba6fadd16p-9, -0x1.73d7605e7b251p-9, -0x1.787914e005c49p-9, -0x1.7e4c133e44723p-9, -0x1.85469cae33ff8p-9, -0x1.8d5efa1bc5691p-9, -0x1.968b7d3899fbep-9, -0x1.a0c2815039215p-9, -0x1.abfa6ca0949d6p-9, -0x1.b829b247c214cp-9, -0x1.c546d418eb90ap-9, -0x1.d34863bfbabf8p-9, -0x1.e225036475e9ap-9, -0x1.f1d36689ac1ccp-9, -0x1.012529c6bf40fp-8, -0x1.09c052b9a821dp-8, -0x1.12b6a6a0fefb9p-8, -0x1.1c03a95a27cbp-8, -0x1.25a2ea564a3b9p-8, -0x1.2f900507a3051p-8, -0x1.39c6a1974b9dep-8, -0x1.444275a65c276p-8, -0x1.4eff44d03d406p-8, -0x1.59f8e0e0624b5p-8, -0x1.652b29f658f76p-8, -0x1.70920edd35538p-8, -0x1.7c298da27e305p-8, -0x1.87edb435e0cd3p-8, -0x1.93daa0d0fca5ap-8, -0x1.9fec8218d991ap-8, -0x1.ac1f972800d6fp-8, -0x1.b8702fbf46346p-8, -0x1.c4daacb16e88ap-8, -0x1.d15b8063da963p-8, -0x1.ddef2f29afd29p-8, -0x1.ea924f5dddc8ep-8, -0x1.f74189567c847p-8, -0x1.01fccbb3eb6c2p-7, -0x1.085ba30cc8ff7p-7, -0x1.0ebbba40d8a11p-7, -0x1.151b8a4b1279bp-7, -0x1.1b7995a67b784p-7, -0x1.21d4684438ba5p-7, -0x1.282a977a59323p-7, -0x1.2e7ac20088aa6p-7, -0x1.34c39002c18c8p-7, -0x1.3b03b33eebf51p-7, -0x1.4139e718f41bap-7, -0x1.4764f097fb93fp-7, -0x1.4d839e4f93d0bp-7, -0x1.5394c845a6994p-7, -0x1.59974fe5a7d69p-7, -0x1.5f8a2005d1d19p-7, -0x1.656c2cf4d6687p-7, -0x1.6b3c747fb2df9p-7, -0x1.70f9fde49ff5bp-7, -0x1.76a3d9b53c10ep-7, -0x1.7c3921b4021d9p-7, -0x1.81b8f8bb432fap-7, -0x1.87228ab2d7ae9p-7, -0x1.8c750c8f5a4dp-7, -0x1.91afbc4e5b8a1p-7, -0x1.96d1e0e5404f9p-7, -0x1.9bdaca20fca81p-7, -0x1.a0c9d07e04342p-7, -0x1.a59e550370883p-7, -0x1.aa57c12927b28p-7, -0x1.aef586c885a7cp-7, -0x1.b37720102d84ep-7, -0x1.b7dc0f71a3132p-7, -0x1.bc23df8334383p-7, -0x1.c04e22d79391fp-7, -0x1.c45a73d223d57p-7, -0x1.c848747fde8e9p-7, -0x1.cc17ce7937eeep-7, -0x1.cfc832cb42f06p-7, -0x1.d35959e26691fp-7, -0x1.d6cb036fd5d9fp-7, -0x1.da1cf64658313p-7, -0x1.dd4f002faa025p-7, -0x1.e060f5bf5cfe5p-7, -0x1.e352b22904cdap-7, -0x1.e624171cdf0cap-7, -0x1.e8d50caa87651p-7, -0x1.eb658125aec1p-7, -0x1.edd56908565b5p-7, -0x1.f024becf3f70fp-7, -0x1.f25382d0a617p-7, -0x1.f461bb0fc1effp-7, -0x1.f64f731165fb8p-7, -0x1.f81cbbb4a2609p-7, -0x1.f9c9ab107397ap-7, -0x1.fb565c5490f8fp-7, -0x1.fcc2efaab723bp-7, -0x1.fe0f8a150f867p-7, -0x1.ff3c5548b91c8p-7, -0x1.0024bfc26eab5p-6, -0x1.009b9db43c6fdp-6, -0x1.0102dfe4cb426p-6, -0x1.015aa3c7df4f2p-6, -0x1.01a308c8fa84dp-6, -0x1.01dc303b77dc6p-6, -0x1.02063d4adc1b6p-6, -0x1.022154ea6512dp-6, -0x1.022d9dc372059p-6, -0x1.022b4022ef6f6p-6, -0x1.021a65e6490e8p-6, -0x1.01fb3a68c08e5p-6, -0x1.01cdea71be00fp-6, -0x1.0192a4245a31p-6, -0x1.014996efcad5cp-6, -0x1.00f2f380417a7p-6, -0x1.008eebafb110cp-6, -0x1.001db27645672p-6, -0x1.ff3ef7b514cd3p-7, -0x1.fe28f9c2c8567p-7, -0x1.fcf9d6fc88a98p-7, -0x1.fbb1fd0760881p-7, -0x1.fa51db28e4aedp-7, -0x1.f8d9e22a1d69dp-7, -0x1.f74a843adf574p-7, -0x1.f5a434d51d219p-7, -0x1.f3e768a03d71ap-7, -0x1.f214955531b0fp-7, -0x1.f02c31a3e431ap-7, -0x1.ee2eb51a6312p-7, -0x1.ec1c980dc6724p-7, -0x1.e9f65384318c5p-7, -0x1.e7bc611ef2c22p-7, -0x1.e56f3b0398452p-7, -0x1.e30f5bc315582p-7, -0x1.e09d3e3ef82c2p-7, -0x1.de195d8d84db6p-7, -0x1.db8434decc4f5p-7, -0x1.d8de3f647e9eap-7, -0x1.d627f83e0ccbep-7, -0x1.d361da6934a4bp-7, -0x1.d08c60b5d36b7p-7, -0x1.cda805bae1764p-7, -0x1.cab543ca0c8dcp-7, -0x1.c7b494df9c513p-7, -0x1.c4a6728de5722p-7, -0x1.c18b55e4c0972p-7, -0x1.be63b75786a9p-7, -0x1.bb300ea490278p-7, -0x1.b7f0d2c11bcc8p-7, -0x1.b4a679cb23bdcp-7, -0x1.b1517900d27d8p-7, -0x1.adf244bbab049p-7, -0x1.aa89506c3ac95p-7, -0x1.a7170e93bc01bp-7, -0x1.a39bf0b9eccf5p-7, -0x1.a018675f1f8d8p-7, -0x1.9c8ce1ec3cc35p-7, -0x1.98f9cea345287p-7, -0x1.955f9a92a003fp-7, -0x1.91beb18c0630ap-7, -0x1.8e177e1ddb30ap-7, -0x1.8a6a698c23bcfp-7, -0x1.86b7dbc5ec59dp-7, -0x1.83003b5542d7ep-7, -0x1.7f43ed4adda1dp-7, -0x1.7b83552945c94p-7, -0x1.77bed4d61f7cp-7, -0x1.73f6cc97ee9ecp-7, -0x1.702b9b2426ddep-7, -0x1.6c5d9dbc7e9dcp-7, -0x1.688d305429b86p-7, -0x1.64baadb067f7p-7, -0x1.60e66f75ec407p-7, -0x1.5d10ce16f7972p-7, -0x1.593a209d9d6b1p-7, -0x1.5562bc58b933dp-7, -0x1.518af47d5e2efp-7, -0x1.4db319d6924bcp-7, -0x1.49db7a9e4e401p-7, -0x1.46046293def4cp-7, -0x1.422e1b555ed48p-7, -0x1.3e58ecef3e622p-7, -0x1.3a851e834e0a8p-7, -0x1.36b2f6dc6132p-7, -0x1.32e2bcc1d44f7p-7, -0x1.2f14b6e8513a2p-7, -0x1.2b492b728dd05p-7, -0x1.27805f11a6d4p-7, -0x1.23ba93f23bf02p-7, -0x1.1ff808b8e10c2p-7, -0x1.1c38f7d5e9d4p-7, -0x1.187d976a18792p-7, -0x1.14c619d4bbe2cp-7, -0x1.1112aed922413p-7, -0x1.0d638521580cp-7, -0x1.09b8cbc9f6c72p-7, -0x1.0612b39ccad8bp-7, -0x1.02716fad0bebcp-7, -0x1.fdaa6a487dc61p-8, -0x1.f67c7469e1cfcp-8, -0x1.ef5968abb030ep-8, -0x1.e841ac2e6e605p-8, -0x1.e1359a173a3cfp-8, -0x1.da35809af7829p-8, -0x1.d341a027d93fap-8, -0x1.cc5a2d122c01ep-8, -0x1.c57f53769cd87p-8, -0x1.beb13c62f8ba2p-8, -0x1.b7f013085afa6p-8, -0x1.b13c08d8dd3b4p-8, -0x1.aa9557e02b882p-8, -0x1.a3fc431cbee01p-8, -0x1.9d7114ea3c062p-8, -0x1.96f41ba76bc07p-8, -0x1.9085a4da95505p-8, -0x1.8a25f762b6a26p-8, -0x1.83d54dc4843ep-8, -0x1.7d93d21141491p-8, -0x1.77619cd791abp-8, -0x1.713eb7c7fda9bp-8, -0x1.6b2b236b8bcedp-8, -0x1.6526de21a965ap-8, -0x1.5f31ea3c42c4bp-8, -0x1.594c51baa7988p-8, -0x1.537627674adb8p-8, -0x1.4daf862db67aap-8, -0x1.47f88fbc09e55p-8, -0x1.42516aec8b642p-8, -0x1.3cba419895644p-8, -0x1.37333d1c8ea9bp-8, -0x1.31bc8162ad2aep-8, -0x1.2c56277cc19e5p-8, -0x1.270039d08b064p-8, -0x1.21bab3c087698p-8, -0x1.1c858552fd866p-8, -0x1.1760996082e97p-8, -0x1.124bdb90eb36dp-8, -0x1.0d473bbfa4186p-8, -0x1.0852ae14cec05p-8, -0x1.036e290b6cc15p-8, -0x1.fd33470e06911p-9, -0x1.f3aa2910025bcp-9, -0x1.ea40e91bed4bfp-9, -0x1.e0f77eac99c45p-9, -0x1.d7cde89675a8fp-9, -0x1.cec4299d69431p-9, -0x1.c5da4204d79c8p-9, -0x1.bd102984ec456p-9, -0x1.b465cce869b98p-9, -0x1.abdb1026ae665p-9, -0x1.a36fd2cc5249bp-9, -0x1.9b23f318473c6p-9, -0x1.92f74d557dc83p-9, -0x1.8ae9b7c14b745p-9, -0x1.82fafdc3f00dbp-9, -0x1.7b2addc562dccp-9, -0x1.73790b2c9c73dp-9, -0x1.6be5335f129bfp-9, -0x1.646f02f70f0bbp-9, -0x1.5d16292cb5e9cp-9, -0x1.55da59c670ef9p-9, -0x1.4ebb4f7918da4p-9, -0x1.47b8cfc99e3bbp-9, -0x1.40d2aefd3533dp-9, -0x1.3a08d0ea3a4f3p-9, -0x1.335b248977e81p-9, -0x1.2cc99b6fca3b1p-9, -0x1.265420ebfde51p-9, -0x1.1ffa93f30aed8p-9, -0x1.19bcc4481f83p-9, -0x1.139a71c62f66fp-9, -0x1.0d934d983d937p-9, -0x1.07a6fddbf0d49p-9, -0x1.01d5224c541f2p-9, -0x1.f83aad1e24438p-10, -0x1.ecfe618c0b141p-10, -0x1.e1f480c39f711p-10, -0x1.d71c271a9f8cp-10, -0x1.cc748903ebb45p-10, -0x1.c1fd0ec589e21p-10, -0x1.b7b55b5b02b12p-10, -0x1.ad9d3583cfaf4p-10, -0x1.a3b4618935f6fp-10, -0x1.99fa86ccd96f5p-10, -0x1.906f309fecd3cp-10, -0x1.8711e1450c349p-10, -0x1.7de221124ae7bp-10, -0x1.74df7d4b76ee6p-10, -0x1.6c097c2686a91p-10, -0x1.635f9193ad542p-10, -0x1.5ae118cce5bb4p-10, -0x1.528d4ff2458dbp-10, -0x1.4a6357caa988fp-10, -0x1.4262426de8635p-10, -0x1.3a89368dc833cp-10, -0x1.32d7977384121p-10, -0x1.2b4d11b33bc1fp-10, -0x1.23e979f39ef5cp-10, -0x1.1cac903b06b01p-10, -0x1.1595d4302095ep-10, -0x1.0ea4893f53bc6p-10, -0x1.07d7e00c9f394p-10, -0x1.012f1f4176347p-10, -0x1.f553634bc3608p-11, -0x1.e88e3b9275e86p-11, -0x1.dc0df1b5f3f15p-11, -0x1.cfd1b9f2fa306p-11, -0x1.c3d8bc9822019p-11, -0x1.b821f1365cefdp-11, -0x1.acabf6829d29fp-11, -0x1.a17513793c7c8p-11, -0x1.967b89fe33485p-11, -0x1.8bbe1d66f6961p-11, -0x1.813c615485cf4p-11, -0x1.76f678238fdcbp-11, -0x1.6cec6500b257ap-11, -0x1.631d7d753435p-11, -0x1.5988664435948p-11, -0x1.502b82904a034p-11, -0x1.4705632fc0262p-11, -0x1.3e14eadda4892p-11, -0x1.3559357ff8873p-11, -0x1.2cd16c5aabc92p-11, -0x1.247c9c333a366p-11, -0x1.1c599f5ebaf0ep-11, -0x1.14672fe6e1c58p-11, -0x1.0ca4167d6398bp-11, -0x1.050f4579c7ad8p-11, -0x1.fb4f8649e0ebep-12, -0x1.ecd91e009346cp-12, -0x1.deb985acbef81p-12, -0x1.d0efaead0fcaap-12, -0x1.c37b4b234c99ap-12, -0x1.b65c0b2d41396p-12, -0x1.a990daa1db92bp-12, -0x1.9d17e57bcf48cp-12, -0x1.90ef26afe03cbp-12, -0x1.8514b8774d999p-12, -0x1.7986c2c1e29a1p-12, -0x1.6e4385e6193cdp-12, -0x1.6349984a5f529p-12, -0x1.5897f1dadf23bp-12, -0x1.4e2d9c7e9ce26p-12, -0x1.4409447455a4dp-12, -0x1.3a28fdc8796dap-12, -0x1.308a6e4631fafp-12, -0x1.272b39040c12ap-12, -0x1.1e0955af92f8p-12, -0x1.15232f354d098p-12, -0x1.0c77ad3dadf39p-12, -0x1.04062555601p-12, -0x1.f79be4420f919p-13, -0x1.e79bda812302ap-13, -0x1.d8091ed59c16ep-13, -0x1.c8e15f01799fcp-13, -0x1.ba23949df670cp-13, -0x1.abceb8f0f99d5p-13, -0x1.9de08fa5be996p-13, -0x1.905604b33c587p-13, -0x1.832c0ed772d84p-13, -0x1.7660104f395c1p-13, -0x1.69efe81c339f8p-13, -0x1.5dd9cb81ce892p-13, -0x1.521bdeb141963p-13, -0x1.46b3ee074f4e7p-13, -0x1.3b9fafb643247p-13, -0x1.30dd5b00c5806p-13, -0x1.266bd295963d2p-13, -0x1.1c49f0a651da4p-13, -0x1.1275a5bb5ebc4p-13, -0x1.08ebf23286017p-13, -0x1.ff52e34648abdp-14, -0x1.ed55cfe654443p-14, -0x1.dbdc87c3a0171p-14, -0x1.cae64975ef96fp-14, -0x1.ba72e2bfc2e86p-14, -0x1.aa7fb04629f19p-14, -0x1.9b08d1cd8c3dfp-14, -0x1.8c0b54a892398p-14, -0x1.7d849cdc171f2p-14, -0x1.6f716d784fab1p-14, -0x1.61ce6ccf3779fp-14, -0x1.5498a7fcd40c4p-14, -0x1.47cd3a2ca3d4dp-14, -0x1.3b68d37dd5b2ep-14, -0x1.2f67dd3edb72bp-14, -0x1.23c7560a6e157p-14, -0x1.1885c7d418c45p-14, -0x1.0da31b1cb3e2ap-14, -0x1.031eb66e92a2dp-14, -0x1.f1eb48adf54c8p-15, -0x1.de4620b14c818p-15, -0x1.cb43f3cadf64ap-15, -0x1.b8dd0dd5eb6p-15, -0x1.a70f8392d6934p-15, -0x1.95dd5d855cac8p-15, -0x1.8544ca0e5079fp-15, -0x1.753f6f1172a62p-15, -0x1.65c7a5c22984ap-15, -0x1.56d8767f2fc12p-15, -0x1.486bb22140cfdp-15, -0x1.3a7bab4a014dfp-15, -0x1.2d053778d03d8p-15, -0x1.2007152b22b21p-15, -0x1.137f92e4a42c5p-15, -0x1.076b53b3d0a0fp-15, -0x1.f78c7ed69b33p-16, -0x1.e119257f82f0bp-16, -0x1.cb763e23a36e5p-16, -0x1.b69f689bceaf7p-16, -0x1.a291eb631ff22p-16, -0x1.8f48fda8e982dp-16, -0x1.7cbac725872bfp-16, -0x1.6adbd63b65086p-16, -0x1.59a3e3af79f45p-16, -0x1.490e8f21099d4p-16, -0x1.391c2fe13c725p-16, -0x1.29cb6dc6203dfp-16, -0x1.1b13e573af8cep-16, -0x1.0cef34f8865afp-16, -0x1.feb5dc27b5873p-17, -0x1.e4a560998e0f8p-17, -0x1.cba2bd197de8p-17, -0x1.b3a5c3e56247cp-17, -0x1.9ca69d66ca4e1p-17, -0x1.869bc830b14fdp-17, -0x1.717a1c3a1eb32p-17, -0x1.5d3638d332d5cp-17, -0x1.49c67e4a47088p-17, -0x1.3725bc009d1d1p-17, -0x1.2552536e0635bp-17, -0x1.144804a3d4b64p-17, -0x1.03fea3a7f0d43p-17, -0x1.e8df6ef52f738p-18, -0x1.cb2a9a90e9b62p-18, -0x1.aec9147352f95p-18, -0x1.93a6be4d25f4cp-18, -0x1.79bbf56364706p-18, -0x1.6100111b01943p-18, -0x1.496a89f10a04cp-18, -0x1.32edcc5d7867fp-18, -0x1.1d7c0fc4cca82p-18, -0x1.091409783176cp-18, -0x1.eb5a85d7d3f69p-19, -0x1.c6764fcc39d2fp-19, -0x1.a3672b0284f93p-19, -0x1.821a2d1d71b3ep-19, -0x1.627bf029b197fp-19, -0x1.4479987bdc454p-19, -0x1.28023df1183afp-19, -0x1.0d07d8e046898p-19, }}, 
      {{0x1.763aae3a9d048p-2, 0x1.75d197f1a78e5p-2, 0x1.752323f2baf31p-2, 0x1.74305cf4b80ffp-2, 0x1.72fab02aedf15p-2, 0x1.7183dfbfff0f1p-2, 0x1.6fcdf4366e663p-2, 0x1.6ddb2eca7151ap-2, 0x1.6badfd825b57bp-2, 0x1.6948f0e5056d8p-2, 0x1.66aeb314980f4p-2, 0x1.63e2000cd5a4ap-2, 0x1.60e59ed58ada5p-2, 0x1.5dbc5b8a79fcbp-2, 0x1.5a690224998a8p-2, 0x1.56ee59f68970dp-2, 0x1.534f21d147aaap-2, 0x1.4f8e0cc7878efp-2, 0x1.4badbf84ca147p-2, 0x1.47b0ce2a67033p-2, 0x1.4399baa27d106p-2, 0x1.3f6af358c4269p-2, 0x1.3b26d24a6a62p-2, 0x1.36cf9c5fb794ep-2, 0x1.326781039d1d4p-2, 0x1.2df099ee90fa3p-2, 0x1.296ceb1b38d86p-2, 0x1.24de62dc86cb9p-2, 0x1.2046da0e1d491p-2, 0x1.1ba81458e6cbdp-2, 0x1.1703c086d5dd8p-2, 0x1.125b78e1d5227p-2, 0x1.0db0c39aca798p-2, 0x1.0905133667c63p-2, 0x1.0459c6fe20f9p-2, 0x1.ff6056e86c74bp-3, 0x1.f612f5942f773p-3, 0x1.eccdbab17a4dfp-3, 0x1.e392d435798f7p-3, 0x1.da644e4ff4caap-3, 0x1.d1441465b9554p-3, 0x1.c833f20df52aep-3, 0x1.bf3594122e4cbp-3, 0x1.b64a8970ab889p-3, 0x1.ad744460c731p-3, 0x1.a4b41b58c239p-3, 0x1.9c0b4a1481499p-3, 0x1.937af29c9c868p-3, 0x1.8b041e4d12157p-3, 0x1.82a7bedaf60bp-3, 0x1.7a66af584bbf9p-3, 0x1.7241b5355de88p-3, 0x1.6a39813f16cb4p-3, 0x1.624eb099de45ep-3, 0x1.5a81cdb827ef3p-3, 0x1.52d3514ba5e71p-3, 0x1.4b43a33099c26p-3, 0x1.43d31b539c6abp-3, 0x1.3c82029267eaap-3, 0x1.355093968e14ap-3, 0x1.2e3efba7b8af1p-3, 0x1.274d5b744ab89p-3, 0x1.207bc7d2c6188p-3, 0x1.19ca4a7f43098p-3, 0x1.1338e2d49dc34p-3, 0x1.0cc7867be9f8p-3, 0x1.0676220dd370dp-3, 0x1.004499a854639p-3, 0x1.f4659301253efp-4, 0x1.e8810cec3ca88p-4, 0x1.dcdb3d45bac54p-4, 0x1.d173b3bd9d3cap-4, 0x1.c649f4642109cp-4, 0x1.bb5d78739a404p-4, 0x1.b0adaf16a930bp-4, 0x1.a639fe364c18dp-4, 0x1.9c01c35010392p-4, 0x1.920454405ab7ep-4, 0x1.8840fff3405c6p-4, 0x1.7eb70ef77b542p-4, 0x1.7565c3fdb3f8dp-4, 0x1.6c4c5c54a5736p-4, 0x1.636a106d8a94bp-4, 0x1.5abe146b30969p-4, 0x1.524798b48b113p-4, 0x1.4a05ca800ba7cp-4, 0x1.41f7d44f09e7ep-4, 0x1.3a1cde5641f6fp-4, 0x1.32740ed673476p-4, 0x1.2afc8a6bd4544p-4, 0x1.23b5745b69c1bp-4, 0x1.1c9deee32fffcp-4, 0x1.15b51b8e77757p-4, 0x1.0efa1b8cc4044p-4, 0x1.086c100782e28p-4, 0x1.020a1a7276be9p-4, 0x1.f7a6b9a7a1dfep-5, 0x1.eb8df404e8539p-5, 0x1.dfc82bb56c00cp-5, 0x1.d453aad6c990dp-5, 0x1.c92ebe3ae2312p-5, 0x1.be57b5b17690ap-5, 0x1.b3cce44fd2d22p-5, 0x1.a98ca0b8bd582p-5, 0x1.9f9545650f279p-5, 0x1.95e530ebf99bap-5, 0x1.8c7ac6491709ap-5, 0x1.83546d1e211b4p-5, 0x1.7a7091ee4dfe4p-5, 0x1.71cda65212796p-5, 0x1.696a2122a5ffdp-5, 0x1.61447e9d7e3e3p-5, 0x1.595b40808e8bbp-5, 0x1.51acee2088f82p-5, 0x1.4a38147a7c94dp-5, 0x1.42fb46422eb3ep-5, 0x1.3bf51bee467c1p-5, 0x1.352433c319b25p-5, 0x1.2e8731dc88263p-5, 0x1.281cc036febbbp-5, 0x1.21e38eb78b349p-5, 0x1.1bda53329b63ep-5, 0x1.15ffc9711d33fp-5, 0x1.1052b33398695p-5, 0x1.0ad1d832f83dbp-5, 0x1.057c061ee3c15p-5, 0x1.005010998fe61p-5, 0x1.f699a2625c12fp-6, 0x1.ece24eae2e03ep-6, 0x1.e377f0aa0e41ep-6, 0x1.da585e8141497p-6, 0x1.d18179db2eefdp-6, 0x1.c8f12fbd8eac9p-6, 0x1.c0a5786cf07dap-6, 0x1.b89c574c12fbdp-6, 0x1.b0d3daba74684p-6, 0x1.a94a1bf23f0ebp-6, 0x1.a1fd3ee5c67a3p-6, 0x1.9aeb721cbce2ap-6, 0x1.9412ee910616p-6, 0x1.8d71f78b2c16cp-6, 0x1.8706da7e74ba3p-6, 0x1.80cfeee486b07p-6, 0x1.7acb961874707p-6, 0x1.74f83b314ecf3p-6, 0x1.6f5452dc2972bp-6, 0x1.69de5b35a2b67p-6, 0x1.6494dba2cd3c2p-6, 0x1.5f7664a9f598bp-6, 0x1.5a818fcafba3bp-6, 0x1.55b4ff5768ec2p-6, 0x1.510f5e4a9324bp-6, 0x1.4c8f6021d7304p-6, 0x1.4833c0b4c1e34p-6, 0x1.43fb440d78cd8p-6, 0x1.3fe4b641a5e78p-6, 0x1.3beeeb4b95e99p-6, 0x1.3818bee395f84p-6, 0x1.3461145a0358dp-6, 0x1.30c6d671e5129p-6, 0x1.2d48f73bc4e47p-6, 0x1.29e66ff115abdp-6, 0x1.269e40d05e1fdp-6, 0x1.236f70f9df656p-6, 0x1.20590e4c863afp-6, 0x1.1d5a2d43893fbp-6, 0x1.1a71e8d4c809ap-6, 0x1.179f624f866b6p-6, 0x1.14e1c13b86046p-6, 0x1.12383338c0f7p-6, 0x1.0fa1ebdfe1343p-6, 0x1.0d1e24a305e43p-6, 0x1.0aac1caed9baep-6, 0x1.084b18cc53979p-6, 0x1.05fa63431f53p-6, 0x1.03b94bbc50704p-6, 0x1.018727256c101p-6, 0x1.fec69f27ff409p-7, 0x1.fa9a4853dd02ap-7, 0x1.f68811f42838ep-7, 0x1.f28ecdda44fd6p-7, 0x1.eead574e0eb6ap-7, 0x1.eae292da295c6p-7, 0x1.e72d6e18fb9eap-7, 0x1.e38cdf8216d3dp-7, 0x1.dfffe6387bdbap-7, 0x1.dc8589da3fda1p-7, 0x1.d91cda513f29ep-7, 0x1.d5c4efa4110bcp-7, 0x1.d27ce9c775c76p-7, 0x1.cf43f0711528ap-7, 0x1.cc1932eb63211p-7, 0x1.c8fbe7ea1c68fp-7, 0x1.c5eb4d5ed29afp-7, 0x1.c2e6a84e364ecp-7, 0x1.bfed44a6b5c9fp-7, 0x1.bcfe751821758p-7, 0x1.ba1992eb6de25p-7, 0x1.b73dfdda8ae94p-7, 0x1.b46b1be9219aep-7, 0x1.b1a0593e98b1ep-7, 0x1.aedd2800e67f7p-7, 0x1.ac21002f64402p-7, 0x1.a96b5f7dab4a8p-7, 0x1.a6bbc92f4c62cp-7, 0x1.a411c5f4c24e3p-7, 0x1.a16ce3c91e2d9p-7, 0x1.9eccb5cfd2cd1p-7, 0x1.9c30d43251834p-7, 0x1.9998dbfe650e9p-7, 0x1.97046f05a04b5p-7, 0x1.947333bdb95a5p-7, 0x1.91e4d52103bd7p-7, 0x1.8f59028ee7a43p-7, 0x1.8ccf6fac8a797p-7, 0x1.8a47d4467bcf8p-7, 0x1.87c1ec334d538p-7, 0x1.853d7736bd1efp-7, 0x1.82ba38e4d9002p-7, 0x1.8037f885232a5p-7, 0x1.7db680f640d28p-7, 0x1.7b35a0928ccacp-7, 0x1.78b5291584422p-7, 0x1.7634ef8180ec9p-7, 0x1.73b4cc058f503p-7, 0x1.713499e351bdcp-7, 0x1.6eb43755608a4p-7, 0x1.6c3385768cdfp-7, 0x1.69b26829e188bp-7, 0x1.6730c602f5675p-7, 0x1.64ae882e697e6p-7, 0x1.622b9a5a7951bp-7, 0x1.5fa7ea9ff0965p-7, 0x1.5d23696be1b3p-7, 0x1.5a9e096a0c2dp-7, 0x1.5817bf6fd1399p-7, 0x1.55908267403c9p-7, 0x1.53084b3a5759ap-7, 0x1.507f14be6fa65p-7, 0x1.4df4dba0415b3p-7, 0x1.4b699e50a1cb7p-7, 0x1.48dd5cf1c70f1p-7, 0x1.46501945032a2p-7, 0x1.43c1d6988c4a7p-7, 0x1.413299b56587fp-7, 0x1.3ea268cdb4b75p-7, 0x1.3c114b6b8fdd7p-7, 0x1.397f4a60875ccp-7, 0x1.36ec6fb5a89cp-7, 0x1.3458c69bd9e6fp-7, 0x1.31c45b5c4a6edp-7, 0x1.2f2f3b49096bap-7, 0x1.2c9974adf9fbap-7, 0x1.2a0316c25257dp-7, 0x1.276c319ab253p-7, 0x1.24d4d61bb6f6cp-7, 0x1.223d15ece1b98p-7, 0x1.1fa5036b904fbp-7, 0x1.1d0cb19e2a645p-7, 0x1.1a743427882cdp-7, 0x1.17db9f3ae2e9ap-7, 0x1.154307904728ap-7, 0x1.12aa825986421p-7, 0x1.101225377d8b1p-7, 0x1.0d7a062f7f06dp-7, 0x1.0ae23ba0df1b5p-7, 0x1.084adc3ab123ap-7, 0x1.05b3fef1efacap-7, 0x1.031dbaf80ef2dp-7, 0x1.008827b212afcp-7, 0x1.fbe6b95fed4eep-8, 0x1.f6bee348b6198p-8, 0x1.f198fcb8897ap-8, 0x1.ec75356e270dep-8, 0x1.e753bd3d57108p-8, 0x1.e234c3ffe9591p-8, 0x1.dd187987a5da1p-8, 0x1.d7ff0d90cdce7p-8, 0x1.d2e8afb573f2ap-8, 0x1.cdd58f6102e72p-8, 0x1.c8c5dbc424afp-8, 0x1.c3b9c3c8dff1p-8, 0x1.beb176073a148p-8, 0x1.b9ad20ba557f3p-8, 0x1.b4acf1b6595c9p-8, 0x1.afb1165ed26ddp-8, 0x1.aab9bb9dcf07ep-8, 0x1.a5c70ddb2ffd2p-8, 0x1.a0d938f45157dp-8, 0x1.9bf06833ed119p-8, 0x1.970cc64a5af5p-8, 0x1.922e7d463664ep-8, 0x1.8d55b68d9758fp-8, 0x1.88829ad7c8548p-8, 0x1.83b552277abfp-8, 0x1.7eee03c55b37bp-8, 0x1.7a2cd63aee891p-8, 0x1.7571ef4d9becbp-8, 0x1.70bd73f9f734ap-8, 0x1.6c0f886f6506fp-8, 0x1.6768500c0ec2p-8, 0x1.62c7ed59446eep-8, 0x1.5e2e82084fdabp-8, 0x1.599c2eef9f82dp-8, 0x1.5511140834c5fp-8, 0x1.508d506b636dfp-8, 0x1.4c110250976bcp-8, 0x1.479c470b802eep-8, 0x1.432f3b0a3dae4p-8, 0x1.3ec9f9d401b05p-8, 0x1.3a6c9e07d171ep-8, 0x1.3617415bb6c3cp-8, 0x1.31c9fc9c2342dp-8, 0x1.2d84e7ab8f3cp-8, 0x1.294819825ab5fp-8, 0x1.2513a82ed7033p-8, 0x1.20e7a8d57d5dp-8, 0x1.1cc42fb153a83p-8, 0x1.18a950148a158p-8, 0x1.14971c692be56p-8, 0x1.108da6321b53fp-8, 0x1.0c8cfe0bfaa86p-8, 0x1.089533ae606c3p-8, 0x1.04a655ed11435p-8, 0x1.00c072b975b89p-8, 0x1.f9c72e486c14p-9, 0x1.f21f9ebe4509cp-9, 0x1.ea8a4d7e95c6p-9, 0x1.e3074f7e9c783p-9, 0x1.db96b8037f05dp-9, 0x1.d43898a709e33p-9, 0x1.cced015c5f28fp-9, 0x1.c5b400745beap-9, 0x1.be8da2a2056b9p-9, 0x1.b779f2ff1162ap-9, 0x1.b078fb1124968p-9, 0x1.a98ac2cf7eba1p-9, 0x1.a2af50a96e1dap-9, 0x1.9be6a98d468bcp-9, 0x1.9530d0ef768c5p-9, 0x1.8e8dc8d10ad99p-9, 0x1.87fd91c594353p-9, 0x1.81802af84203bp-9, 0x1.7b159230c6dc8p-9, 0x1.74bdc3d83adap-9, 0x1.6e78baff31483p-9, 0x1.684671652d0bp-9, 0x1.6226df81b0896p-9, 0x1.5c19fc8e466a7p-9, 0x1.561fbe9080315p-9, 0x1.50381a62ae55cp-9, 0x1.4a6303ba16999p-9, 0x1.44a06d2a581a2p-9, 0x1.3ef04826b383cp-9, 0x1.3952850262e37p-9, 0x1.33c712f275586p-9, 0x1.2e4de013255b4p-9, 0x1.28e6d9720a04ap-9, 0x1.2391eb1d30d36p-9, 0x1.1e4f00355e291p-9, 0x1.191e03008e835p-9, 0x1.13fedcf8f1dc4p-9, 0x1.0ef176d5425fcp-9, 0x1.09f5b888ed837p-9, 0x1.050b893c7c293p-9, 0x1.0032cf419efcep-9, 0x1.f6d6e00f48307p-10, 0x1.ed6aa02bf064fp-10, 0x1.e420a621dbd62p-10, 0x1.daf8b7965d162p-10, 0x1.d1f298c3e3966p-10, 0x1.c90e0cbeec231p-10, 0x1.c04ad5b8d9705p-10, 0x1.b7a8b5317f5d8p-10, 0x1.af276c0af4437p-10, 0x1.a6c6ba7b21c01p-10, 0x1.9e865fdea3daap-10, 0x1.96661a7a108e9p-10, 0x1.8e65a73c21a3dp-10, 0x1.8684c194e8d69p-10, 0x1.7ec3237147092p-10, 0x1.77208562274b5p-10, 0x1.6f9c9eeb2431bp-10, 0x1.683726e988693p-10, 0x1.60efd3fd59b59p-10, 0x1.59c65cdbfffa6p-10, 0x1.52ba7878acdffp-10, 0x1.4bcbddf92166ep-10, 0x1.44fa447a15f6bp-10, 0x1.3e4562b38cfb6p-10, 0x1.37acee959a986p-10, 0x1.31309cf8f4a76p-10, 0x1.2ad0217931fedp-10, 0x1.248b2e8580dd3p-10, 0x1.1e6175a72a76fp-10, 0x1.1852a7f0980d7p-10, 0x1.125e767d23d6bp-10, 0x1.0c8492e595929p-10, 0x1.06c4af8d97e48p-10, 0x1.011e7fb787277p-10, 0x1.f7236eb4788f3p-11, 0x1.ec3c158862986p-11, 0x1.e1865c4dfce7p-11, 0x1.d701aa5699814p-11, 0x1.ccad65560b91ep-11, 0x1.c288f14561a43p-11, 0x1.b893b0b6d97edp-11, 0x1.aecd05821c2e1p-11, 0x1.a53451a09db54p-11, 0x1.9bc8f81007bc3p-11, 0x1.928a5d9234376p-11, 0x1.8977e929206b3p-11, 0x1.8091043174594p-11, 0x1.77d51a0be5f49p-11, 0x1.6f43975f82897p-11, 0x1.66dbe91f52e3bp-11, 0x1.5e9d7b9bf12c1p-11, 0x1.5687b9eeb8f59p-11, 0x1.4e9a0df348f61p-11, 0x1.46d3e0cf1abe4p-11, 0x1.3f349bd44d1b3p-11, 0x1.37bba97155a19p-11, 0x1.306875ea5f1bbp-11, 0x1.293a6fbfa4279p-11, 0x1.223107cb7715dp-11, 0x1.1b4bb1318f189p-11, 0x1.1489e12fa4772p-11, 0x1.0deb0ec6d809cp-11, 0x1.076eb22ec3c2ap-11, 0x1.0114441622278p-11, 0x1.f5b679bba2f87p-12, 0x1.e9862831456a3p-12, 0x1.dd96812a3ee07p-12, 0x1.d1e67205d572p-12, 0x1.c674e9fdd49adp-12, 0x1.bb40dc411ad43p-12, 0x1.b049414a96033p-12, 0x1.a58d171de185fp-12, 0x1.9b0b609d9ed6fp-12, 0x1.90c3248d9f1c5p-12, 0x1.86b36cc3856dp-12, 0x1.7cdb45b7fc7f1p-12, 0x1.7339be49359eap-12, 0x1.69cde75dc0c4ep-12, 0x1.6096d343be171p-12, 0x1.579394fe5f06dp-12, 0x1.4ec33ff2ae7ecp-12, 0x1.4624e850d7c61p-12, 0x1.3db7a43b2fec5p-12, 0x1.357a8d3eee517p-12, 0x1.2d6cc179e68c8p-12, 0x1.258d63f0755a4p-12, 0x1.1ddb9c04b8ad1p-12, 0x1.1656946f1aabp-12, 0x1.0efd7a46a0cc7p-12, 0x1.07cf7c7dd2222p-12, 0x1.00cbcbd9e8619p-12, 0x1.f3e33643687aap-13, 0x1.e6803e7cc9e6fp-13, 0x1.d96d1e88563dfp-13, 0x1.cca8492500be8p-13, 0x1.c0303674177c6p-13, 0x1.b4036538c14p-13, 0x1.a8205bf5a2789p-13, 0x1.9c85a948e1c3cp-13, 0x1.9131e352ce0c6p-13, 0x1.8623a67930585p-13, 0x1.7b59940d2440ep-13, 0x1.70d25134d2e95p-13, 0x1.668c864a536dp-13, 0x1.5c86dec4e1cfdp-13, 0x1.52c00992e783cp-13, 0x1.4936b97102b78p-13, 0x1.3fe9a4b6c0255p-13, 0x1.36d7849ef5ffep-13, 0x1.2dff14fc6cd43p-13, 0x1.255f158c5d4c7p-13, 0x1.1cf64d1d0fa28p-13, 0x1.14c38d1d852a4p-13, 0x1.0cc5b3551cep-13, 0x1.04fba86029235p-13, 0x1.fac8b738d764ap-14, 0x1.ebfd7da5858b4p-14, 0x1.dd93879aff5d9p-14, 0x1.cf88b8fa48527p-14, 0x1.c1daf9760985p-14, 0x1.b488388a3c86dp-14, 0x1.a78e700b4f399p-14, 0x1.9aeba480b1759p-14, 0x1.8e9de318f3151p-14, 0x1.82a33de848c2bp-14, 0x1.76f9c8b34d7f5p-14, 0x1.6b9f99603c849p-14, 0x1.6092cd8820537p-14, 0x1.55d192cb9a14bp-14, 0x1.4b5a2c9d39638p-14, 0x1.412af34ba393cp-14, 0x1.37424cd3eedddp-14, 0x1.2d9ea46258da5p-14, 0x1.243e659dd2d6ap-14, 0x1.1b1ffd2044429p-14, 0x1.1241dbb6eb959p-14, 0x1.09a27952a08d9p-14, 0x1.0140566252e66p-14, 0x1.f233f7d2f30b4p-15, 0x1.e25bf59b2fad8p-15, 0x1.d2f5d4a7c37a8p-15, 0x1.c3fecbae65896p-15, 0x1.b57415905741fp-15, 0x1.a752f26e7b7e5p-15, 0x1.9998b13360808p-15, 0x1.8c42be2a83472p-15, 0x1.7f4eabdfbc28dp-15, 0x1.72ba2d027d4cp-15, 0x1.668301bb43538p-15, 0x1.5aa6e57a90dfbp-15, 0x1.4f2389132f3cdp-15, 0x1.43f69a274a95bp-15, 0x1.391dd01df4487p-15, 0x1.2e96f69e9fdd1p-15, 0x1.245ff2087c9bap-15, 0x1.1a76bd3f61929p-15, 0x1.10d961a996af6p-15, 0x1.0785ed2d92fcep-15, 0x1.fcf4d8a36b848p-16, 0x1.eb69d7c381aaep-16, 0x1.da66fec376154p-16, 0x1.c9e88ed060519p-16, 0x1.b9eaedef078dfp-16, 0x1.aa6ab2a4bf43ap-16, 0x1.9b64aa3f07d71p-16, 0x1.8cd5ccd707868p-16, 0x1.7ebb2071fa11bp-16, 0x1.71119fab5c06cp-16, 0x1.63d634fd91cc3p-16, 0x1.5705c68b60e36p-16, 0x1.4a9d43950e45fp-16, 0x1.3e99ae53003eap-16, 0x1.32f8269f8935bp-16, 0x1.27b5f3bd97898p-16, 0x1.1cd0835860de6p-16, 0x1.12455900e6094p-16, 0x1.0811f6d8f8bd9p-16, 0x1.fc679f354d604p-17, 0x1.e95098855d649p-17, 0x1.d6d9c15377ad1p-17, 0x1.c4fe411f7ae71p-17, 0x1.b3b994cc5da68p-17, 0x1.a3078c565bcf8p-17, 0x1.92e43369b3cb9p-17, 0x1.834baa49a023dp-17, 0x1.743a0487aa9abp-17, 0x1.65ab4a80b3188p-17, 0x1.579b99eb64b4dp-17, 0x1.4a073b1e220fdp-17, 0x1.3cea922900b57p-17, 0x1.304206927fa9ep-17, 0x1.240a0381a5f71p-17, 0x1.183f0c03d4b46p-17, 0x1.0cddcbab0ef03p-17, 0x1.01e316a4053d1p-17, 0x1.ee97b66e8a489p-18, 0x1.da2a1f1bfd179p-18, 0x1.c67753895c38ap-18, 0x1.b3795434ed226p-18, 0x1.a12a5e80aee85p-18, 0x1.8f8501c967fb2p-18, 0x1.7e840869a3da7p-18, 0x1.6e224c279fcc1p-18, 0x1.5e5aa5a8cb667p-18, 0x1.4f27fec485fdep-18, 0x1.40856cc27c23ep-18, 0x1.326e4b6d9f666p-18, 0x1.24de496f047ddp-18, 0x1.17d1474141268p-18, 0x1.0b43276c2e5d8p-18, 0x1.fe5f91e9c1cecp-19, 0x1.e7263e1caaceap-19, 0x1.d0d276db02e8p-19, 0x1.bb5c93e580a33p-19, 0x1.a6bd1d8ace7f8p-19, 0x1.92eccffeadf49p-19, 0x1.7fe496e1baf37p-19, 0x1.6d9d818aec2fcp-19, 0x1.5c10c6dab4f1p-19, 0x1.4b37eba22cd5bp-19, 0x1.3b0cf27f3c36ep-19, 0x1.2b8a555051836p-19, 0x1.1caaad96b15dbp-19, 0x1.0e685657c3921p-19, 0x1.00bd6da0d5a1cp-19, 0x1.e748429409a33p-20, 0x1.ce2de257212d3p-20, 0x1.b621aa9360222p-20, 0x1.9f1a5a2dfaf2ep-20, 0x1.890efafcc8f8bp-20, 0x1.73f6a9510f0cp-20, 0x1.5fc8af260725bp-20, 0x1.4c7c82b31b8b5p-20, 0x1.3a09b3b0e6ac6p-20, 0x1.2867fa095e1e6p-20, 0x1.178f5c99c41f9p-20, 0x1.07784ae044f95p-20, 0x1.f0371f442541p-21, 0x1.d2e45c1802645p-21, 0x1.b6ea9bf4d1a4cp-21, 0x1.9c3c8f194aaeep-21, 0x1.82cd8c76d5802p-21, 0x1.6a91bc8588804p-21, 0x1.537dce588891bp-21, 0x1.3d864d2886964p-21, 0x1.289f45cfe3d9ap-21, 0x1.14bcd2150651dp-21, 0x1.01d3f3ff29713p-21, 0x1.dfb5ac017fa6dp-22, 0x1.bd90c91266582p-22, 0x1.9d273e3153e56p-22, 0x1.7e66e13a20c58p-22, 0x1.613e37f743f15p-22, 0x1.459ca40b0562p-22, 0x1.2b71ec7d82ce2p-22, 0x1.12ae1f7f73cfbp-22, 0x1.f6833ffc9debbp-23, 0x1.ca3a4d5803408p-23, 0x1.a06398e902f83p-23, 0x1.78e27fcccd77bp-23, 0x1.539c26d15a18ep-23, 0x1.3077bfe34b7ccp-23, 0x1.0f5e4378e55c5p-23, 0x1.e07384d1d5877p-24, 0x1.a5e938e32498fp-24, 0x1.6ef27a68b0469p-24, 0x1.3b64ca6ff30eep-24, 0x1.0b1608fa89a39p-24, 0x1.bbb7b42bc868fp-25, 0x1.671be37f78cddp-25, 0x1.18116b338226fp-25, 0x1.9cae1ce583b98p-26, 0x1.1358b01824cf5p-26, 0x1.2744e809114f2p-27, 0x1.d125ba30d3d2bp-30, -0x1.431c5a4584d12p-28, -0x1.6cabc98df0be8p-27, -0x1.1404d7acf7a32p-26, -0x1.6a3d99acf7e66p-26, -0x1.b96871ee66ee6p-26, -0x1.00f55cfe938bap-25, -0x1.221266b739788p-25, -0x1.403834df09acbp-25, -0x1.5b9005e673b45p-25, }}, 
      {{-0x1.e1259dc153ad4p-7, -0x1.d727761267fa6p-6, -0x1.5532043a80e7cp-5, -0x1.b1416ac6f2d2p-5, -0x1.fce821128fe4ep-5, -0x1.1b2944221d3cbp-4, -0x1.2e472ce32beebp-4, -0x1.37aed50d126a9p-4, -0x1.378735f34a4efp-4, -0x1.2e2cfa79a8907p-4, -0x1.1c25c97d209bcp-4, -0x1.021630200f5dbp-4, -0x1.c171f6c8f4595p-5, -0x1.71afd3568c954p-5, -0x1.16899cf7ba2c6p-5, -0x1.634ef42efe5f5p-6, -0x1.12af00d7a3a99p-7, 0x1.76acaecef4ce9p-8, 0x1.4ebb050af48e4p-6, 0x1.2386af2a14092p-5, 0x1.a2086581858d4p-5, 0x1.10dbf9fc473ffp-4, 0x1.50c467d9ca739p-4, 0x1.9045e0f049088p-4, 0x1.cef6b483ddd3ep-4, 0x1.063d1386943f7p-3, 0x1.243fb0a1c38bep-3, 0x1.41602c6af01dp-3, 0x1.5d8061432fb91p-3, 0x1.78868c194694p-3, 0x1.925cdc64130f6p-3, 0x1.aaf1123a67f6ap-3, 0x1.c2342a4903c62p-3, 0x1.d81a166eb4c7ep-3, 0x1.ec99812ff0282p-3, 0x1.ffab99eddd389p-3, 0x1.08a5f3e3a6151p-2, 0x1.10bc109879e8cp-2, 0x1.1818034b020dap-2, 0x1.1eba9f5217778p-2, 0x1.24a5999f0d27bp-2, 0x1.29db7731e4213p-2, 0x1.2e5f7b570adf9p-2, 0x1.3235959e1de0ep-2, 0x1.35624f93aaae4p-2, 0x1.37eaba5b648f3p-2, 0x1.39d45c554fa21p-2, 0x1.3b251eff73978p-2, 0x1.3be33d47d5dc7p-2, 0x1.3c153280cbfdp-2, 0x1.3bc1aa250eb98p-2, 0x1.3aef709228a73p-2, 0x1.39a564d8f414ep-2, 0x1.37ea6bba091bdp-2, 0x1.35c563dec121ap-2, 0x1.333d1b5141327p-2, 0x1.3058463d5a7c6p-2, 0x1.2d1d76e452cffp-2, 0x1.299316d2e9872p-2, 0x1.25bf611f708e6p-2, 0x1.21a85de28036fp-2, 0x1.1d53de692c42bp-2, 0x1.18c77ab78595p-2, 0x1.14088f44bd217p-2, 0x1.0f1c3c39edbbap-2, 0x1.0a076471011fcp-2, 0x1.04ceadb12b457p-2, 0x1.feed02fb50ee6p-3, 0x1.f406192fd4effp-3, 0x1.e8f0861e91397p-3, 0x1.ddb3babaf3dadp-3, 0x1.d256bef07e2efp-3, 0x1.c6e02b0b85313p-3, 0x1.bb56326373d62p-3, 0x1.afbea6a599881p-3, 0x1.a41ef68aa5e56p-3, 0x1.987c3b80d761p-3, 0x1.8cdb341c7faeap-3, 0x1.81404f2893986p-3, 0x1.75afac9aa72cp-3, 0x1.6a2d216855e5bp-3, 0x1.5ebc3c507ccedp-3, 0x1.536047ed9939ep-3, 0x1.481c4ef557937p-3, 0x1.3cf31e6eca32dp-3, 0x1.31e7492fdfeb6p-3, 0x1.26fb2a3a37092p-3, 0x1.1c30e7437108bp-3, 0x1.118a730ac59a8p-3, 0x1.07098f555327fp-3, 0x1.f95f9dd086dd7p-4, 0x1.e4fd2ea6a4f8dp-4, 0x1.d0ee45849e8ap-4, 0x1.bd350387d400fp-4, 0x1.a9d33a33393b9p-4, 0x1.96ca6f2f8f12dp-4, 0x1.841bdffccacccp-4, 0x1.71c885c1971b5p-4, 0x1.5fd11910f32d3p-4, 0x1.4e3615960bf8cp-4, 0x1.3cf7bdca66fdcp-4, 0x1.2c161e87cdae1p-4, 0x1.1b911284d9509p-4, 0x1.0b6845d4489afp-4, 0x1.f736727e8ba8dp-5, 0x1.d8528b2438e5cp-5, 0x1.ba233dcfc9734p-5, 0x1.9ca6afa0d33ecp-5, 0x1.7fdac8c5c0656p-5, 0x1.63bd3a89592f2p-5, 0x1.484b8504eae4ep-5, 0x1.2d82fc8d6313fp-5, 0x1.1360cef368fep-5, 0x1.f3c410bd294ccp-6, 0x1.c2072fa392b34p-6, 0x1.9184a6f513733p-6, 0x1.6235f95dd4209p-6, 0x1.341487290a14dp-6, 0x1.0719952f7d86dp-6, 0x1.b67ca6cec50f4p-7, 0x1.60f7c5ba0931bp-7, 0x1.0d96b6b30b41fp-7, 0x1.78974351491adp-8, 0x1.b422c3b49e7e1p-9, 0x1.fc01a94dc78dap-11, -0x1.5cdeb51782e1ap-10, -0x1.d462ebe983de1p-9, -0x1.79880bfc39397p-8, -0x1.02aaff9ace90cp-7, -0x1.46dabd9c7ae75p-7, -0x1.89601db45d445p-7, -0x1.ca47c074d0914p-7, -0x1.04cf026261082p-6, -0x1.23b781daddddcp-6, -0x1.41e3469b267ep-6, -0x1.5f58129b8bc0bp-6, -0x1.7c1b809980596p-6, -0x1.98330334a9d05p-6, -0x1.b3a3e426412dap-6, -0x1.ce7343a7e4954p-6, -0x1.e8a618342c814p-6, -0x1.012097237b8c5p-5, -0x1.0da4941776c48p-5, -0x1.19e13f1e7da63p-5, -0x1.25d8bf7cb3ffcp-5, -0x1.318d27a5302fbp-5, -0x1.3d007573d8d22p-5, -0x1.48349273106a1p-5, -0x1.532b5413af45bp-5, -0x1.5de67c005ba5cp-5, -0x1.6867b884ceed4p-5, -0x1.72b0a4e4218bdp-5, -0x1.7cc2c9bc8d37p-5, -0x1.869f9d87cd3afp-5, -0x1.9048850ff4026p-5, -0x1.99bed3decc26cp-5, -0x1.a303ccc7e01a5p-5, -0x1.ac18a2753a1f1p-5, -0x1.b4fe77e46c33fp-5, -0x1.bdb660f1b0846p-5, -0x1.c64162eff478cp-5, -0x1.cea0752fa2608p-5, -0x1.d6d48184633adp-5, -0x1.dede64dfb6183p-5, -0x1.e6beefe270bdfp-5, -0x1.ee76e757d39b8p-5, -0x1.f60704bf3275p-5, -0x1.fd6ff6e6fed29p-5, -0x1.0259313705fabp-4, -0x1.05e7711841467p-4, -0x1.096303e6ce9cp-4, -0x1.0ccc2e1cc1438p-4, -0x1.102330165fb08p-4, -0x1.13684640a8e3dp-4, -0x1.169ba95610ebfp-4, -0x1.19bd8ea0dbbbcp-4, -0x1.1cce282b45985p-4, -0x1.1fcda4e734defp-4, -0x1.22bc30e04d181p-4, -0x1.2599f57739db8p-4, -0x1.2867198c6a835p-4, -0x1.2b23c1a0d1e7dp-4, -0x1.2dd010000bd5bp-4, -0x1.306c24f115638p-4, -0x1.32f81edb4f0a1p-4, -0x1.35741a627f0a6p-4, -0x1.37e0328abe45fp-4, -0x1.3a3c80e1b252bp-4, -0x1.3c891d9bcd6bcp-4, -0x1.3ec61fa8002f8p-4, -0x1.40f39ccde08c6p-4, -0x1.4311a9d6825f4p-4, -0x1.45205aa7e82fdp-4, -0x1.471fc24c20af7p-4, -0x1.490ff2ff1cbbbp-4, -0x1.4af0fe55fac1dp-4, -0x1.4cc2f567e774fp-4, -0x1.4e85e8d75b6dp-4, -0x1.5039e8c6bfdep-4, -0x1.51df04e4cd8ap-4, -0x1.53754c9cba75bp-4, -0x1.54fccf3fae65p-4, -0x1.56759c00469d1p-4, -0x1.57dfc1d665edap-4, -0x1.593b4f84e1a19p-4, -0x1.5a8853cf1b668p-4, -0x1.5bc6ddaa5dc44p-4, -0x1.5cf6fc377a53dp-4, -0x1.5e18be96d8126p-4, -0x1.5f2c33dafe7a5p-4, -0x1.60316b3979a66p-4, -0x1.6128744b7bc5p-4, -0x1.62115f18f3c56p-4, -0x1.62ec3be715f4fp-4, -0x1.63b91b0be580bp-4, -0x1.64780d044061ep-4, -0x1.652922bcc7ccp-4, -0x1.65cc6dc1ee0ap-4, -0x1.66620025ae029p-4, -0x1.66e9ec3bbc211p-4, -0x1.6764447b73fe8p-4, -0x1.67d11bae38779p-4, -0x1.6830853e3452p-4, -0x1.688295562ec2ap-4, -0x1.68c760b3aa887p-4, -0x1.68fefc5cac6d9p-4, -0x1.69297d878cc37p-4, -0x1.6946f9d04b195p-4, -0x1.69578789235c2p-4, -0x1.695b3dd95a7bp-4, -0x1.6952348dc9c45p-4, -0x1.693c83c99dd45p-4, -0x1.691a43e367984p-4, -0x1.68eb8d9018ec1p-4, -0x1.68b07a34d419ap-4, -0x1.68692415a16ecp-4, -0x1.6815a637bc122p-4, -0x1.67b61c12430c4p-4, -0x1.674aa15340044p-4, -0x1.66d351ebdc263p-4, -0x1.66504a583134p-4, -0x1.65c1a7e4e4ffbp-4, -0x1.652788b8329d9p-4, -0x1.64820b971cc21p-4, -0x1.63d14f96aaa5fp-4, -0x1.631573f8088d8p-4, -0x1.624e984a6915p-4, -0x1.617cdcb546134p-4, -0x1.60a0622f5f194p-4, -0x1.5fb94a77ab41ep-4, -0x1.5ec7b7d58b8d4p-4, -0x1.5dcbcccf9a7f8p-4, -0x1.5cc5ac0e01ee9p-4, -0x1.5bb5787b68d55p-4, -0x1.5a9b5588e29bcp-4, -0x1.597767617c92ap-4, -0x1.5849d2e7f93bap-4, -0x1.5712bd80252cbp-4, -0x1.55d24cc8df941p-4, -0x1.5488a675169bbp-4, -0x1.5335f05b15b7fp-4, -0x1.51da50abb9fc5p-4, -0x1.5075ee294cb7dp-4, -0x1.4f08f0384630cp-4, -0x1.4d937ebec932bp-4, -0x1.4c15c1e716161p-4, -0x1.4a8fe1ea6ea15p-4, -0x1.490207030463p-4, -0x1.476c5989b5e38p-4, -0x1.45cf0228e60c4p-4, -0x1.442a2a0264e23p-4, -0x1.427dfab062a61p-4, -0x1.40ca9e20762cep-4, -0x1.3f103e5d890fp-4, -0x1.3d4f05662cfcp-4, -0x1.3b871d2451efcp-4, -0x1.39b8af86f8719p-4, -0x1.37e3e6ab221f5p-4, -0x1.3608ecfa27ecfp-4, -0x1.3427ed2b7a63dp-4, -0x1.324112284af8ap-4, -0x1.305486df8108fp-4, -0x1.2e62761fc4a37p-4, -0x1.2c6b0a890b118p-4, -0x1.2a6e6e998e4fap-4, -0x1.286ccccb7063p-4, -0x1.26664fb09fd74p-4, -0x1.245b21fd3c633p-4, -0x1.224b6e7a8eb9ep-4, -0x1.20375fe84d513p-4, -0x1.1e1f20da06effp-4, -0x1.1c02db9fb6e95p-4, -0x1.19e2ba422958bp-4, -0x1.17bee69178cbcp-4, -0x1.15978a3b5e176p-4, -0x1.136ccedc9ef35p-4, -0x1.113ede046d947p-4, -0x1.0f0de12792a0fp-4, -0x1.0cda01885d491p-4, -0x1.0aa3681d03db3p-4, -0x1.086a3d7e8072ap-4, -0x1.062ea9e56ab82p-4, -0x1.03f0d5336e533p-4, -0x1.01b0e70263912p-4, -0x1.fede0d6138163p-5, -0x1.fa56b6c887aa6p-5, -0x1.f5cc1807acccep-5, -0x1.f13e7e4c0ec57p-5, -0x1.ecae35fddd0b7p-5, -0x1.e81b8aa2a8478p-5, -0x1.e386c6d230e94p-5, -0x1.def0343e97ca2p-5, -0x1.da581bc839f8p-5, -0x1.d5bec59182a52p-5, -0x1.d1247908adf35p-5, -0x1.cc897ce29593dp-5, -0x1.c7ee17072751cp-5, -0x1.c3528c7564f56p-5, -0x1.beb721284dc75p-5, -0x1.ba1c180678037p-5, -0x1.b581b2e2134f4p-5, -0x1.b0e8328804e5ap-5, -0x1.ac4fd6d5fdb75p-5, -0x1.a7b8decd13ebcp-5, -0x1.a32388984c99p-5, -0x1.9e90118357fcep-5, -0x1.99feb5e2afd9cp-5, -0x1.956fb0f340eebp-5, -0x1.90e33cbb65809p-5, -0x1.8c5991f826e82p-5, -0x1.87d2e81eea1dep-5, -0x1.834f7574d6378p-5, -0x1.7ecf6f352358fp-5, -0x1.7a5309b96eda7p-5, -0x1.75da7895e2738p-5, -0x1.7165ee9e305dep-5, -0x1.6cf59dce906a6p-5, -0x1.6889b71b9549ap-5, -0x1.64226a33fb446p-5, -0x1.5fbfe545c901bp-5, -0x1.5b6254da64cbdp-5, -0x1.5709e3d91e10ap-5, -0x1.52b6bbb58f678p-5, -0x1.4e6904c1c7c93p-5, -0x1.4a20e68fe0851p-5, -0x1.45de88477feacp-5, -0x1.41a210d4057a6p-5, -0x1.3d6ba6d7c97cbp-5, -0x1.393b705efeb5bp-5, -0x1.3511925ea606bp-5, -0x1.30ee301d4595cp-5, -0x1.2cd16aaec740bp-5, -0x1.28bb60add432ap-5, -0x1.24ac2e519855ep-5, -0x1.20a3ede8498c4p-5, -0x1.1ca2b8a2d908fp-5, -0x1.18a8a78457cdep-5, -0x1.14b5d43775b97p-5, -0x1.10ca598b66442p-5, -0x1.0ce653694d6afp-5, -0x1.0909de3202a5p-5, -0x1.0535159b55faap-5, -0x1.0168134a713acp-5, -0x1.fb45db0779323p-6, -0x1.f3cb6c9d81984p-6, -0x1.ec60f6b32e11dp-6, -0x1.e5068d7b08835p-6, -0x1.ddbc411cb7884p-6, -0x1.d68221cc0f11fp-6, -0x1.cf5843e7a920ep-6, -0x1.c83ec31106e5ap-6, -0x1.c135c355841bbp-6, -0x1.ba3d6fe45b782p-6, -0x1.b355f75ef7ba7p-6, -0x1.ac7f866d8bfe1p-6, -0x1.a5ba41c3a43bbp-6, -0x1.9f0641037c234p-6, -0x1.98638bdc54247p-6, -0x1.91d21a54418cap-6, -0x1.8b51d87cb1d78p-6, -0x1.84e2ad00e758dp-6, -0x1.7e848140bb974p-6, -0x1.7837492f667d5p-6, -0x1.71fb091782cd9p-6, -0x1.6bcfd7be8bc8ep-6, -0x1.65b5dc1d243a2p-6, -0x1.5fad46d9a385fp-6, -0x1.59b648b274aa6p-6, -0x1.53d107d1998ebp-6, -0x1.4dfd966647959p-6, -0x1.483becbccf435p-6, -0x1.428be86185f4bp-6, -0x1.3ced50cbbc654p-6, -0x1.375fe0d7e0b38p-6, -0x1.31e35342f7405p-6, -0x1.2c776fa2063b7p-6, -0x1.271c151c6d9cbp-6, -0x1.21d1408a47353p-6, -0x1.1c970c725a6fdp-6, -0x1.176daa995abd5p-6, -0x1.1255582f16dbp-6, -0x1.0d4e4ede96722p-6, -0x1.0858b5d005df9p-6, -0x1.037495cae6bb1p-6, -0x1.fd43a611df92dp-7, -0x1.f3c05c235f725p-7, -0x1.ea5e96eeb147cp-7, -0x1.e11d81d1a51c4p-7, -0x1.d7fc4a22d151cp-7, -0x1.cefa3e9ac62dp-7, -0x1.c616e8a1ada92p-7, -0x1.bd521ace3ed8ap-7, -0x1.b4abf1b4e800ep-7, -0x1.ac24c68a802d2p-7, -0x1.a3bd15ce77c66p-7, -0x1.9b755eb427309p-7, -0x1.934e01bb1632fp-7, -0x1.8b47253952982p-7, -0x1.8360a5456e8adp-7, -0x1.7b9a11c16bfe6p-7, -0x1.73f2ba1ec5adbp-7, -0x1.6c69c3c78820fp-7, -0x1.64fe467d0f868p-7, -0x1.5daf6975f8a39p-7, -0x1.567c7c5217c6fp-7, -0x1.4f6507f3b3b67p-7, -0x1.4868d4e35ebf2p-7, -0x1.4187e6ddeb4ccp-7, -0x1.3ac26f0e9879dp-7, -0x1.3418b7caf169dp-7, -0x1.2d8b0d4ddd742p-7, -0x1.2719a71cc5401p-7, -0x1.20c4959531a79p-7, -0x1.1a8bb68830133p-7, -0x1.146eb2b3c35e2p-7, -0x1.0e6d047c3afccp-7, -0x1.088606adce393p-7, -0x1.02b9085758e87p-7, -0x1.fa0ac25cb80bfp-8, -0x1.eed5025b74f69p-8, -0x1.e3cfeeb7a42d5p-8, -0x1.d8fade396c62cp-8, -0x1.ce554f5500e62p-8, -0x1.c3ded73a1c3a5p-8, -0x1.b9971a18d1a51p-8, -0x1.af7dcd2e07002p-8, -0x1.a592badd6eb04p-8, -0x1.9bd5bef3e001fp-8, -0x1.9246b69aa2cdap-8, -0x1.88e568c384051p-8, -0x1.7fb172aed6258p-8, -0x1.76aa43ee94255p-8, -0x1.6dcf2d92af95cp-8, -0x1.651f7d2a77f9p-8, -0x1.5c9a9471ff23p-8, -0x1.543feee0c9dbfp-8, -0x1.4c0f0fc7e7bacp-8, -0x1.44076204c76dfp-8, -0x1.3c281d28b252bp-8, -0x1.3470432f27a05p-8, -0x1.2cdebbfe78fdap-8, -0x1.257281238cf38p-8, -0x1.1e2ac1878a52dp-8, -0x1.1706ea87b00c4p-8, -0x1.1006968304c88p-8, -0x1.092972f7f84cfp-8, -0x1.026f33944c87bp-8, -0x1.f7af332d0d267p-9, -0x1.eac50794f3e7dp-9, -0x1.de1fe6d69f9cbp-9, -0x1.d1bff475fe4ddp-9, -0x1.c5a52a5b42023p-9, -0x1.b9cf043a67818p-9, -0x1.ae3c458bb31a5p-9, -0x1.a2eafa2a654b3p-9, -0x1.97d8bff62b745p-9, -0x1.8d03467ed27bap-9, -0x1.8268cb32c27d2p-9, -0x1.780847def6a63p-9, -0x1.6de129c6be792p-9, -0x1.63f2b5d55e922p-9, -0x1.5a3b872fbc0e4p-9, -0x1.50b994165be03p-9, -0x1.476ac9a8371eap-9, -0x1.3e4dde7e2a3dcp-9, -0x1.3562d26448ddep-9, -0x1.2caac827bc5ap-9, -0x1.242749b30f8b2p-9, -0x1.1bd9544c3f366p-9, -0x1.13c09e5c548f3p-9, -0x1.0bdb61faac6dp-9, -0x1.0426ba1df9ccep-9, -0x1.f93ee1fc0f2ebp-10, -0x1.ea85f8d92be19p-10, -0x1.dc2085bcbc301p-10, -0x1.ce0f75ff8c6e7p-10, -0x1.c0557076ece5bp-10, -0x1.b2f4740584c33p-10, -0x1.a5ebef6c0d846p-10, -0x1.9938777e7cbc6p-10, -0x1.8cd50adec381ep-10, -0x1.80bce25919d2p-10, -0x1.74ecd5e47a798p-10, -0x1.6963e1ebe0cd7p-10, -0x1.5e22c23251eb2p-10, -0x1.532af0739e111p-10, -0x1.487d85d6bd0a3p-10, -0x1.3e1a4bdc1dc2cp-10, -0x1.33ff13c9ccf1fp-10, -0x1.2a279cb6253e4p-10, -0x1.208e77362161p-10, -0x1.172ed67bb11dap-10, -0x1.0e0668a4ae97ap-10, -0x1.0516005a069ebp-10, -0x1.f8c0ed4707e59p-11, -0x1.e7d0da2b45fbbp-11, -0x1.d75d0d05f96dbp-11, -0x1.c762652c1d4fcp-11, -0x1.b7db96481ddefp-11, -0x1.a8c4177f9d915p-11, -0x1.9a19e33aabd0ep-11, -0x1.8bdca177c0154p-11, -0x1.7e0ad532843d9p-11, -0x1.709ff9ce1821dp-11, -0x1.63959b45bcf1dp-11, -0x1.56e6338d80e1dp-11, -0x1.4a8eff23f1681p-11, -0x1.3e8f4a55e225ep-11, -0x1.32e62e25aee4ep-11, -0x1.2790e7d0f4acfp-11, -0x1.1c8afcee6974dp-11, -0x1.11cfdf9a030fap-11, -0x1.075d11dc501c7p-11, -0x1.fa6690d5675f5p-12, -0x1.e6aad31770a51p-12, -0x1.d38bc101ec0b9p-12, -0x1.c1087d9487009p-12, -0x1.af1b356c22023p-12, -0x1.9dbee1d3a3229p-12, -0x1.8cf222fc01859p-12, -0x1.7cb3be73cb9ffp-12, -0x1.6cff346534df5p-12, -0x1.5dcddd4944734p-12, -0x1.4f19d8f0408efp-12, -0x1.40df95afc0a5p-12, -0x1.331d56cabf9bcp-12, -0x1.25d14b823f111p-12, -0x1.18f789528e3d1p-12, -0x1.0c8984cde38bp-12, -0x1.007ece7a58fd5p-12, -0x1.e99c55d837e4bp-13, -0x1.d2e22c260251fp-13, -0x1.bcd1c7c85302fp-13, -0x1.a77a9c1db5894p-13, -0x1.92e58a5cdf934p-13, -0x1.7f0910d3ed685p-13, -0x1.6bd7aa891787bp-13, -0x1.5953b513aeb1fp-13, -0x1.47889795f0ed5p-13, -0x1.3675e91b55378p-13, -0x1.260c5b090893ap-13, -0x1.16398cc89bfacp-13, -0x1.06f05ee6926dep-13, -0x1.f053d7667dc32p-14, -0x1.d3c8f67fbcd44p-14, -0x1.b8463901409c1p-14, -0x1.9dd88a073b33cp-14, -0x1.848c3e3baa6fbp-14, -0x1.6c652ae1031d4p-14, -0x1.5557e12b57523p-14, -0x1.3f40f4d60323fp-14, -0x1.29ef57946b5e3p-14, -0x1.154e2a7f9d101p-14, -0x1.016f655c46665p-14, -0x1.dcbad49c4e227p-15, -0x1.b80d9d4d1e27dp-15, -0x1.94cbab6042p-15, -0x1.731d9d64bf483p-15, -0x1.530e4e0722a33p-15, -0x1.3472a55996a92p-15, -0x1.172848b6915f4p-15, -0x1.f65e204da968ep-16, -0x1.c111586d35e53p-16, -0x1.8e43ef43f54c1p-16, -0x1.5dba8bdbb0a0ep-16, -0x1.2f4aafc2a6f4fp-16, -0x1.02ed7edb9659cp-16, -0x1.b16f84fca9086p-17, -0x1.617be1ebcccafp-17, -0x1.160176d15041bp-17, -0x1.9dab56fe75afdp-18, -0x1.16bfc039534e4p-18, -0x1.2ad218a22069cp-19, -0x1.9bdc99073778fp-22, 0x1.69558b282a76ep-20, 0x1.8d74f10158ef9p-19, 0x1.2cc9bf334b397p-18, 0x1.8c4e754e41779p-18, 0x1.e4e4487f8ddbfp-18, 0x1.1beb0a7561838p-17, 0x1.43478d0b84a12p-17, 0x1.688c94d886724p-17, 0x1.8b5fa4a7ef2e8p-17, 0x1.abb800b083057p-17, 0x1.c9e9a8fc0e82fp-17, 0x1.e616161f340a6p-17, 0x1.00051ddc450edp-16, 0x1.0bd7c8cd3e945p-16, 0x1.1697d8fd2d37ep-16, 0x1.205d12bb7ae6cp-16, 0x1.29370f9f20dc1p-16, 0x1.312fbb2dc209p-16, 0x1.3842dc40f4324p-16, 0x1.3e801af1334b3p-16, 0x1.4427012176a7fp-16, 0x1.4931cdfca38d3p-16, 0x1.4d777f63457cdp-16, 0x1.512e93ed83efap-16, 0x1.545d8af6a17a9p-16, 0x1.56ce5c6da9b8ap-16, 0x1.588fedc7d47b6p-16, 0x1.59c8e9452de12p-16, 0x1.5a85a8f75718ap-16, 0x1.5ac276ecffdbep-16, 0x1.5a799dcd29aabp-16, 0x1.59ab2c808ec29p-16, 0x1.58682fbad5487p-16, 0x1.56d269136f3efp-16, 0x1.54f863cd2be6ap-16, 0x1.52c622e79f166p-16, 0x1.5037af54fb445p-16, 0x1.4d6715eb3e1f5p-16, 0x1.4a53b2ffb0769p-16, 0x1.46e661726c943p-16, 0x1.43226ef593e6ep-16, 0x1.3f0daed22b96ap-16, 0x1.3aaa7dadb0781p-16, 0x1.36234709ba1bcp-16, 0x1.317d83d8f4c85p-16, 0x1.2cb952bcc9d7cp-16, 0x1.27dfd9b3edb65p-16, 0x1.22c8778294b3cp-16, 0x1.1d7969cbd3a1fp-16, 0x1.180ce88cbf638p-16, 0x1.128a6d9955d3p-16, 0x1.0cf1c59e803ep-16, 0x1.074355600702cp-16, 0x1.0180eb24fa59ap-16, 0x1.f759dcbf0ada7p-17, 0x1.eb9365665dfe2p-17, }}, 
      {{-0x1.a2227cbbb1fb1p-7, -0x1.9dc95dc9f3ff4p-6, -0x1.30fc59ee52ea9p-5, -0x1.8cf13e238e54ap-5, -0x1.e13864130febdp-5, -0x1.1651143b2b507p-4, -0x1.372ad95b5e53dp-4, -0x1.52e3498876fc3p-4, -0x1.69547878b2abap-4, -0x1.7a733e45d0297p-4, -0x1.864a72146d7cap-4, -0x1.8cf6e7e7f70abp-4, -0x1.8ea40f141dd8cp-4, -0x1.8b8909d4c4be9p-4, -0x1.83e61f2f77945p-4, -0x1.7802719242eafp-4, -0x1.6829f11be3b54p-4, -0x1.54ab8657b4a29p-4, -0x1.3dd7779866d82p-4, -0x1.23fe0afc015bap-4, -0x1.076e64e95a0efp-4, -0x1.d0eb410e0dde4p-5, -0x1.8ebc3b9ffa0bep-5, -0x1.48ddff4ffb561p-5, -0x1.ffaf4e9e4e83ap-6, -0x1.6851742d30352p-6, -0x1.9923e1e8c196fp-7, -0x1.6a859a38f88e4p-9, 0x1.d286b9093afd1p-8, 0x1.188388e0e6206p-6, 0x1.bda191a1e0f36p-6, 0x1.31ab1f32edd68p-5, 0x1.84848eef872edp-5, 0x1.d71716eb5242ep-5, 0x1.14914d2c67286p-4, 0x1.3d36485320f6p-4, 0x1.655fdcb2fe77dp-4, 0x1.8cf5ea39f1be1p-4, 0x1.b3e2af1d0500ep-4, 0x1.da12a7dcca5f2p-4, 0x1.ff7470ef16714p-4, 0x1.11fc54e61dbb5p-3, 0x1.23c8ec90693eep-3, 0x1.351a28f65c307p-3, 0x1.45eb0cb0bbc6dp-3, 0x1.563766af0efd5p-3, 0x1.65fbc5b8939cfp-3, 0x1.75356c29e7551p-3, 0x1.83e243ed98d89p-3, 0x1.9200d2b15ef7ep-3, 0x1.9f902e5cb8d9ep-3, 0x1.ac8ff1cf7b111p-3, 0x1.b90031f0b8feap-3, 0x1.c4e17316c051fp-3, 0x1.d0349ed063116p-3, 0x1.dafafa1666979p-3, 0x1.e5361beba794fp-3, 0x1.eee7e473920c4p-3, 0x1.f81274858a8b6p-3, 0x1.005c12dfdec5dp-2, 0x1.046dc18af38f8p-2, 0x1.083fa0ed598a3p-2, 0x1.0bd31da3502cep-2, 0x1.0f29b3435b39ep-2, 0x1.1244e9a517d11p-2, 0x1.152652650405cp-2, 0x1.17cf8693b8abfp-2, 0x1.1a42249dce1b1p-2, 0x1.1c7fce631f3b5p-2, 0x1.1e8a2791fe693p-2, 0x1.2062d43226518p-2, 0x1.220b774df25cp-2, 0x1.2385b1c360f66p-2, 0x1.24d3211823675p-2, 0x1.25f55e91a9956p-2, 0x1.26edfe60ce918p-2, 0x1.27be8f0268854p-2, 0x1.286898b4240a4p-2, 0x1.28ed9cea82a83p-2, 0x1.294f15d7ae17p-2, 0x1.298e75f53e357p-2, 0x1.29ad27a97313ep-2, 0x1.29ac8d058abd8p-2, 0x1.298dff9d825b5p-2, 0x1.2952d06fffb3ep-2, 0x1.28fc47d415f65p-2, 0x1.288ba5679742p-2, 0x1.28021ffafe74ap-2, 0x1.2760e57f524dcp-2, 0x1.26a91afa69208p-2, 0x1.25dbdc85e8dc9p-2, 0x1.24fa3d5ae25fbp-2, 0x1.240547e871b04p-2, 0x1.22fdfdf2423d1p-2, 0x1.21e558b274a67p-2, 0x1.20bc48fb371fap-2, 0x1.1f83b755f0cefp-2, 0x1.1e3c841f4542p-2, 0x1.1ce787a138effp-2, 0x1.1b85922d620b8p-2, 0x1.1a176c393ce42p-2, 0x1.189dd67ea201cp-2, 0x1.17198a213cf7p-2, 0x1.158b38d8fb1cfp-2, 0x1.13f38d20e73f7p-2, 0x1.12532a68e432cp-2, 0x1.10aaad48c34c5p-2, 0x1.0efaabb3672bbp-2, 0x1.0d43b528a1f05p-2, 0x1.0b8652e53016ap-2, 0x1.09c30810c1797p-2, 0x1.07fa51ea2bbc6p-2, 0x1.062ca7f24305dp-2, 0x1.045a7c162ad31p-2, 0x1.02843ad9a348p-2, 0x1.00aa4b81ce1e6p-2, 0x1.fd9a2081ad0d2p-3, 0x1.f9d9ccc525ad3p-3, 0x1.f6144cf3c4ec6p-3, 0x1.f24a491d21399p-3, 0x1.ee7c6096c8b8bp-3, 0x1.eaab2a578c7afp-3, 0x1.e6d73551249f3p-3, 0x1.e30108c78559ap-3, 0x1.df2924a545acep-3, 0x1.db5001cca034p-3, 0x1.d7761264fc65ep-3, 0x1.d39bc2253de4ep-3, 0x1.cfc1769ad817ap-3, 0x1.cbe78f6e06cep-3, 0x1.c80e66a3a00c5p-3, 0x1.c43650dcc1d87p-3, 0x1.c05f9d94b7818p-3, 0x1.bc8a975d4f90bp-3, 0x1.b8b78419b69d1p-3, 0x1.b4e6a53827ef7p-3, 0x1.b11837ea552cfp-3, 0x1.ad4c755c52e5p-3, 0x1.a98392ea351c9p-3, 0x1.a5bdc25440923p-3, 0x1.a1fb31f14b92cp-3, 0x1.9e3c0cdf44b25p-3, 0x1.9a807b321a584p-3, 0x1.96c8a2206d957p-3, 0x1.9314a42e1bb46p-3, 0x1.8f64a154ff454p-3, 0x1.8bb8b72b88c44p-3, 0x1.88110108f149p-3, 0x1.846d9827debf1p-3, 0x1.80ce93c74bea7p-3, 0x1.7d3409490d186p-3, 0x1.799e0c4edefa7p-3, 0x1.760caed66afbep-3, 0x1.728001535c5f4p-3, 0x1.6ef812c7b683bp-3, 0x1.6b74f0db92ff4p-3, 0x1.67f6a7f3c9c2fp-3, 0x1.647d4346a6834p-3, 0x1.6108ccefc2385p-3, 0x1.5d994e03939cep-3, 0x1.5a2ecea190002p-3, 0x1.56c95604b14fep-3, 0x1.5368ea93b4028p-3, 0x1.500d91f104144p-3, 0x1.4cb75109020b8p-3, 0x1.49662c1f052c5p-3, 0x1.461a26da748a7p-3, 0x1.42d344536bffbp-3, 0x1.3f91871db13efp-3, 0x1.3c54f152a72d4p-3, 0x1.391d849b9308fp-3, 0x1.35eb423b62e68p-3, 0x1.32be2b16cdf77p-3, 0x1.2f963fbbaa816p-3, 0x1.2c738068b0e7cp-3, 0x1.2955ed14e1781p-3, 0x1.263d857568f1fp-3, 0x1.232a4902babf2p-3, 0x1.201c36fe3c4e8p-3, 0x1.1d134e77ded78p-3, 0x1.1a0f8e5253fe5p-3, 0x1.1710f5466d9adp-3, 0x1.141781e713e8ep-3, 0x1.112332a5867d5p-3, 0x1.0e3405d47bd67p-3, 0x1.0b49f9aa3d709p-3, 0x1.08650c4329023p-3, 0x1.05853ba4e5291p-3, 0x1.02aa85c0f6e16p-3, 0x1.ffa9d0ec0c323p-4, 0x1.fa08c3223d7ep-4, 0x1.f471dd9fbe9f4p-4, 0x1.eee51bc588d34p-4, 0x1.e96278dc8b983p-4, 0x1.e3e9f0161f067p-4, 0x1.de7b7c8df5acap-4, 0x1.d917194dd289dp-4, 0x1.d3bcc1506becbp-4, 0x1.ce6c6f8190654p-4, 0x1.c9261ebd8db75p-4, 0x1.c3e9c9d2a7918p-4, 0x1.beb76b8439c0fp-4, 0x1.b98efe8c6fff9p-4, 0x1.b4707d9b3708cp-4, 0x1.af5be354d93c4p-4, 0x1.aa512a52dc47ep-4, 0x1.a5504d269da81p-4, 0x1.a059465aa62fap-4, 0x1.9b6c10713a5a2p-4, 0x1.9688a5e21dac1p-4, 0x1.91af011a7a3ebp-4, 0x1.8cdf1c7efbc65p-4, 0x1.8818f26d694b4p-4, 0x1.835c7d3b925f6p-4, 0x1.7ea9b734923fp-4, 0x1.7a009a9754e12p-4, 0x1.75612197b1ac5p-4, 0x1.70cb46606bbf9p-4, 0x1.6c3f0313595a5p-4, 0x1.67bc51c70b9ddp-4, 0x1.63432c8411ad6p-4, 0x1.5ed38d444402cp-4, 0x1.5a6d6df44acccp-4, 0x1.5610c8752ad08p-4, 0x1.51bd969baa6dp-4, 0x1.4d73d22da4909p-4, 0x1.493374df7504p-4, 0x1.44fc785380ca3p-4, 0x1.40ced61bb846p-4, 0x1.3caa87bafedp-4, 0x1.388f86a497a43p-4, 0x1.347dcc399c073p-4, 0x1.307551c661c2ep-4, 0x1.2c761081b53d1p-4, 0x1.2880018e107f3p-4, 0x1.24931dfb32d27p-4, 0x1.20af5ec62ba85p-4, 0x1.1cd4bcd76566bp-4, 0x1.190330fffb5bcp-4, 0x1.153ab3f83e46ep-4, 0x1.117b3e603a667p-4, 0x1.0dc4c8c15f704p-4, 0x1.0a174b8f8386bp-4, 0x1.0672bf280ff09p-4, 0x1.02d71bcfba44cp-4, 0x1.fe88b360a6ccbp-5, 0x1.f774e1b036ef2p-5, 0x1.f072b275a5c31p-5, 0x1.e9821566be9f1p-5, 0x1.e2a2fa08ffa77p-5, 0x1.dbd54faf9d647p-5, 0x1.d519057746ba7p-5, 0x1.ce6e0a428573fp-5, 0x1.c7d44cb8fafbfp-5, 0x1.c14bbb49a704cp-5, 0x1.bad4442e2c91cp-5, 0x1.b46dd56c766b1p-5, 0x1.ae185cd563963p-5, 0x1.a7d3c80153812p-5, 0x1.a1a0044cdd1a6p-5, 0x1.9b7cfed7ccea2p-5, 0x1.956aa486ee1ddp-5, 0x1.8f68e2073a75p-5, 0x1.8977a3d04471ep-5, 0x1.8396d62445124p-5, 0x1.7dc6650ded6efp-5, 0x1.78063c5d7eefep-5, 0x1.725647a724bbap-5, 0x1.6cb672439c3fbp-5, 0x1.6726a752d319bp-5, 0x1.61a6d1bee9fb3p-5, 0x1.5c36dc3df0564p-5, 0x1.56d6b1519be2ep-5, 0x1.51863b457342bp-5, 0x1.4c45642cde41dp-5, 0x1.471415e27752ep-5, 0x1.41f23a094783cp-5, 0x1.3cdfba0f624a6p-5, 0x1.37dc7f30b88e5p-5, 0x1.32e87278d7269p-5, 0x1.2e037cc3143c8p-5, 0x1.292d86b98b48dp-5, 0x1.246678d3ec072p-5, 0x1.1fae3b57292f4p-5, 0x1.1b04b65699527p-5, 0x1.1669d1b640adp-5, 0x1.11dd752d842c1p-5, 0x1.0d5f88494a14bp-5, 0x1.08eff26cfb36ap-5, 0x1.048e9ad278b86p-5, 0x1.003b68899a425p-5, 0x1.f7ec84effae1dp-6, 0x1.ef7e1eb3782c4p-6, 0x1.e72b6b864c477p-6, 0x1.def438464ff9dp-6, 0x1.d6d8518b59d2cp-6, 0x1.ced783aaed1b6p-6, 0x1.c6f19aba4615ep-6, 0x1.bf26628f000f8p-6, 0x1.b775a6bf5b0aap-6, 0x1.afdf32a305006p-6, 0x1.a862d155337e2p-6, 0x1.a1004db81c679p-6, 0x1.99b772794fe6ep-6, 0x1.92880a161acddp-6, 0x1.8b71dedf42e6p-6, 0x1.8474bafba58dcp-6, 0x1.7d906869f30aep-6, 0x1.76c4b101df3dp-6, 0x1.70115e7590f0fp-6, 0x1.69763a53b1a46p-6, 0x1.62f30e0a64cd6p-6, 0x1.5c87a2eaeb891p-6, 0x1.5633c22d89077p-6, 0x1.4ff734f5317c3p-6, 0x1.49d1c452ba662p-6, 0x1.43c3394770ba2p-6, 0x1.3dcb5cc73e78p-6, 0x1.37e9f7baaa3f2p-6, 0x1.321ed300f524fp-6, 0x1.2c69b77296d7ap-6, 0x1.26ca6de40ee56p-6, 0x1.2140bf28fd168p-6, 0x1.1bcc74172e859p-6, 0x1.166d5589991f3p-6, 0x1.11232c63203f5p-6, 0x1.0bedc19141613p-6, 0x1.06ccde0eabb36p-6, 0x1.01c04ae5d6f6fp-6, 0x1.f98fa2676498ep-7, 0x1.efc6745490e3fp-7, 0x1.e6249e26c2624p-7, 0x1.dca9b2a5e3156p-7, 0x1.d35544d286cfp-7, 0x1.ca26e7e9e7899p-7, 0x1.c11e2f69cca4fp-7, 0x1.b83aaf14b8815p-7, 0x1.af7bfaf6d8518p-7, 0x1.a6e1a76b84e36p-7, 0x1.9e6b49234ebcdp-7, 0x1.9618752a11419p-7, 0x1.8de8c0ecabc73p-7, 0x1.85dbc23dc8976p-7, 0x1.7df10f59988b7p-7, 0x1.76283ee873c5dp-7, 0x1.6e80e800ef175p-7, 0x1.66faa229ddb06p-7, 0x1.5f95055d085f1p-7, 0x1.584faa0acd05p-7, 0x1.512a291eb9f8ap-7, 0x1.4a241c04d9529p-7, 0x1.433d1caf183cap-7, 0x1.3c74c59a6b671p-7, 0x1.35cab1d34d244p-7, 0x1.2f3e7cf980556p-7, 0x1.28cfc34326601p-7, 0x1.227e217f5eec3p-7, 0x1.1c493518b171dp-7, 0x1.16309c174bdbp-7, 0x1.1033f522e4d28p-7, 0x1.0a52df8410e96p-7, 0x1.048cfb24e5b4bp-7, 0x1.fdc3d121fd2c3p-8, 0x1.f2a291eb6e004p-8, 0x1.e7b57c46d85f9p-8, 0x1.dcfbd521c0841p-8, 0x1.d274e2c2d41fdp-8, 0x1.c81fecdb6739p-8, 0x1.bdfc3c9bfa2d1p-8, 0x1.b4091cc78fb54p-8, 0x1.aa45d9c08e61dp-8, 0x1.a0b1c18aa3544p-8, 0x1.974c23bef01cbp-8, 0x1.8e145173ccc37p-8, 0x1.85099d1cbb12ap-8, 0x1.7c2b5a6bdd2e9p-8, 0x1.7378de3e6aa5fp-8, 0x1.6af17e9d54d37p-8, 0x1.629492d66beb1p-8, 0x1.5a6173ac56528p-8, 0x1.52577b94d8c79p-8, 0x1.4a7606f7b2dd1p-8, 0x1.42bc745ded288p-8, 0x1.3b2a2482fc541p-8, 0x1.33be7a3eddcbdp-8, 0x1.2c78da4932d01p-8, 0x1.2558aadfb402bp-8, 0x1.1e5d53639599ep-8, 0x1.17863c0696979p-8, 0x1.10d2cd9fb71dep-8, 0x1.0a4271b74b97ep-8, 0x1.03d492cd67c9dp-8, 0x1.fb11399c03c9ap-9, 0x1.eebbfb34d8602p-9, 0x1.e2a84b1292ce1p-9, 0x1.d6d50f7f7bf34p-9, 0x1.cb41349b75ec9p-9, 0x1.bfebac05c47f8p-9, 0x1.b4d36bfd98f16p-9, 0x1.a9f76e1b5f5e8p-9, 0x1.9f56ade09e174p-9, 0x1.94f0276ebe62dp-9, 0x1.8ac2d6b9fc4a2p-9, 0x1.80cdb776c7885p-9, 0x1.770fc5d2b0d14p-9, 0x1.6d87ffd12f5f2p-9, 0x1.643566f5c6743p-9, 0x1.5b1701d4341d2p-9, 0x1.522bdd3175244p-9, 0x1.49730c8896ae6p-9, 0x1.40eba9ed111a5p-9, 0x1.3894d55aea149p-9, 0x1.306db38b4b93dp-9, 0x1.28756c69093dp-9, 0x1.20ab29551b034p-9, 0x1.190e138c48622p-9, 0x1.119d531981c0ap-9, 0x1.0a580eb4cadc8p-9, 0x1.033d6caf7e22p-9, 0x1.f899295efe963p-10, 0x1.eb09635a5eef5p-10, 0x1.ddc9e72f7dbcfp-10, 0x1.d0d9207a7d328p-10, 0x1.c43586e3ea01ap-10, 0x1.b7dd9d7792fd9p-10, 0x1.abcff1a1f0718p-10, 0x1.a00b1a18f1bf9p-10, 0x1.948db57bc7effp-10, 0x1.8956684efe40ep-10, 0x1.7e63da49a76c5p-10, 0x1.73b4b38a5b9afp-10, 0x1.69479abeb2d47p-10, 0x1.5f1b3528f5ea1p-10, 0x1.552e28a78bbe8p-10, 0x1.4b7f1ee369abcp-10, 0x1.420cc83b9cb8p-10, 0x1.38d5dd4720c89p-10, 0x1.2fd91eb1c5b3p-10, 0x1.27155426c71ap-10, 0x1.1e894b5c59c95p-10, 0x1.1633d7f269a6fp-10, 0x1.0e13d415fe028p-10, 0x1.062821390f126p-10, 0x1.fcdf502f511bp-11, 0x1.edd2af72ce295p-11, 0x1.df28479bf1df9p-11, 0x1.d0de066e6e38ap-11, 0x1.c2f1deecd815ep-11, 0x1.b561ca3054b3dp-11, 0x1.a82bc92266966p-11, 0x1.9b4de57b76516p-11, 0x1.8ec63111cb428p-11, 0x1.8292c3d216675p-11, 0x1.76b1b9bbd4562p-11, 0x1.6b21324b4a25ep-11, 0x1.5fdf51ca9a73ap-11, 0x1.54ea43c2708d1p-11, 0x1.4a403d2df3e25p-11, 0x1.3fdf7da4d2a7fp-11, 0x1.35c64fd9c9875p-11, 0x1.2bf30a6d353bap-11, 0x1.2264117e12f7bp-11, 0x1.1917d8279d28ep-11, 0x1.100ce067d854cp-11, 0x1.0741b897a3b25p-11, 0x1.fd69ee65cafaep-12, 0x1.ecca6d871eb05p-12, 0x1.dca2269fc9464p-12, 0x1.ccee52ae29d3bp-12, 0x1.bdac2b82ea90dp-12, 0x1.aed8ed402ea49p-12, 0x1.a071d9cfa20bep-12, 0x1.92743cfdae245p-12, 0x1.84dd6e4d534d1p-12, 0x1.77aacf8c21b7bp-12, 0x1.6ad9cbb68d5p-12, 0x1.5e67db53e8148p-12, 0x1.52528ee21abebp-12, 0x1.469798d54f682p-12, 0x1.3b34ce8839f53p-12, 0x1.30281d733302dp-12, 0x1.256f7b7dfbed5p-12, 0x1.1b08dd5ee36acp-12, 0x1.10f23842aefb6p-12, 0x1.072989f84cdacp-12, 0x1.fb59bd0f9bffbp-13, 0x1.e8f49dbf5e4fdp-13, 0x1.d71ff6f3a3831p-13, 0x1.c5d80f844da5dp-13, 0x1.b5192f45fb47fp-13, 0x1.a4df9c2bca8d1p-13, 0x1.95279b5e5c43ep-13, 0x1.85ed7e5301664p-13, 0x1.772dbe97565c4p-13, 0x1.68e51a15f56bep-13, 0x1.5b10975f36a2cp-13, 0x1.4dad66da52439p-13, 0x1.40b8b2da27369p-13, 0x1.342f8185b995cp-13, 0x1.280ebd3fddd69p-13, 0x1.1c53574b77aabp-13, 0x1.10fa660a2f464p-13, 0x1.06012c820f15cp-13, 0x1.f6ca22092aap-14, 0x1.e24723a025013p-14, 0x1.ce747bec988a9p-14, 0x1.bb4d5c6f9ea88p-14, 0x1.a8ccf0a11a345p-14, 0x1.96ee41d2e39d8p-14, 0x1.85ac399ed43b9p-14, 0x1.7501df1221beap-14, 0x1.64eab58b52e1ap-14, 0x1.5562ede53ac2bp-14, 0x1.46672eb80e767p-14, 0x1.37f415442f1abp-14, 0x1.2a05d5521e5c1p-14, 0x1.1c983f254b72dp-14, 0x1.0fa712463c4d4p-14, 0x1.032e4a9cd6277p-14, 0x1.ee546c7effd53p-15, 0x1.d72ec1efe37bp-15, 0x1.c0e4e6846f7ecp-15, 0x1.ab70275e5b30ap-15, 0x1.96c9afeac3efdp-15, 0x1.82eaa6831bf98p-15, 0x1.6fcc70164c047p-15, 0x1.5d68d53cff09ep-15, 0x1.4bb9e2a88a146p-15, 0x1.3ab9c1f160314p-15, 0x1.2a62e0abb237fp-15, 0x1.1ab0440a7b363p-15, 0x1.0b9d85b4f64f9p-15, 0x1.fa4cae7bc2c12p-16, 0x1.de8c191ec8855p-16, 0x1.c3ef47a6a00efp-16, 0x1.aa6c3b8438729p-16, 0x1.91f95600e6e2fp-16, 0x1.7a8d3fdbdc411p-16, 0x1.641efaf845622p-16, 0x1.4ea62e14abac2p-16, 0x1.3a1b2b4d656cep-16, 0x1.26768856861ccp-16, 0x1.13b0980fead83p-16, 0x1.01c12c23b33f5p-16, 0x1.e13f9de647aafp-17, 0x1.c0888369d00b9p-17, 0x1.a14daee8910ecp-17, 0x1.838119877c8edp-17, 0x1.671620d829a1fp-17, 0x1.4c016dd73f07dp-17, 0x1.3238098188ba3p-17, 0x1.19ae2e4eba4e5p-17, 0x1.025799d92387fp-17, 0x1.d85270972d5eep-18, 0x1.ae335750692bbp-18, 0x1.863f8c4e36965p-18, 0x1.60627b49a2462p-18, 0x1.3c864c596c3cbp-18, 0x1.1a95d7b0c65e9p-18, 0x1.f4fac970ddaa7p-19, 0x1.b8557e94b86e7p-19, 0x1.7f19b95f7efeep-19, 0x1.4926021c293c3p-19, 0x1.1658710c96062p-19, 0x1.cd1fc62f8ee6dp-20, 0x1.735cc2171523ap-20, 0x1.1f32f07530bbp-20, 0x1.a0dbd174720aap-21, 0x1.0da515dc8d698p-21, 0x1.087e60557c9b2p-22, 0x1.096144de47acep-27, -0x1.cc95e51a26c12p-23, -0x1.c410b1e044cp-22, -0x1.48cbe3bc74c0ap-21, -0x1.a7b38b3953e58p-21, -0x1.ff14ee989addfp-21, -0x1.27a64e7d08bd2p-20, -0x1.4c564b49f96aap-20, -0x1.6dc0cfa98e2b7p-20, -0x1.8c0d963e257ddp-20, -0x1.a763aea0b3d63p-20, -0x1.bfe78b9f6bbfep-20, -0x1.d5bc74d391c38p-20, -0x1.e9065ada099b5p-20, -0x1.f9e92bc82c7e5p-20, -0x1.0442bc5062044p-19, -0x1.0a7a7feda572cp-19, -0x1.0fa5de6c238d4p-19, -0x1.13cf9684a727fp-19, -0x1.1706746e80469p-19, -0x1.195c2192b3b11p-19, -0x1.1ae1f1d3808d3p-19, -0x1.1ba6970be5951p-19, -0x1.1bb31d942a41dp-19, -0x1.1b0cd711a1177p-19, -0x1.19bc6c8d43b9ep-19, -0x1.17ce35d1c65f4p-19, -0x1.154d7c579296fp-19, -0x1.1244a295202c2p-19, -0x1.0ebed4f189988p-19, -0x1.0ac6785eca4a1p-19, -0x1.06636996b0a06p-19, -0x1.019b8d218b579p-19, -0x1.f8e9d39ed152ap-20, -0x1.eded8c3e79eb2p-20, -0x1.e251aa2422a48p-20, -0x1.d62484523708p-20, -0x1.c972f83052d74p-20, -0x1.bc47ca5f5ae81p-20, -0x1.aeac02dbfd0e8p-20, -0x1.a0aa0cb8a814fp-20, -0x1.925014dc8906ap-20, -0x1.83ad029431e9bp-20, -0x1.74cca5d1d575ap-20, -0x1.65b7541ee2e02p-20, -0x1.5671495f063b7p-20, -0x1.46ffe6e2cbcb7p-20, -0x1.376ded052f393p-20, -0x1.27c4196c9d96cp-20, -0x1.1807c2ea7606p-20, -0x1.083f948269cffp-20, -0x1.f0e507d3b125cp-21, -0x1.d14cdce4af664p-21, -0x1.b1c1945e08ea2p-21, -0x1.924ee3c12a6fcp-21, -0x1.7301541838e49p-21, -0x1.53e534db4c83cp-21, -0x1.35051e13831a4p-21, -0x1.1667de9d66018p-21, -0x1.f022429202f64p-22, -0x1.b40c6778b6207p-22, -0x1.789e163fe65e8p-22, -0x1.3de3f77aa949ap-22, -0x1.03e949a3d8df8p-22, -0x1.958028d498832p-23, -0x1.24f0dfd45b5ecp-23, -0x1.6c626c58e29eap-24, -0x1.253a58cc8068p-25, 0x1.0d57fe62c66f7p-26, 0x1.15525da6a365fp-24, 0x1.e3348ac1f346dp-24, 0x1.567fa452f7bbp-23, 0x1.b950c1b53e635p-23, 0x1.0cfff24745af6p-22, 0x1.3c41d2b30da86p-22, 0x1.6a6a219f3a69ep-22, 0x1.977522d837cefp-22, 0x1.c35f9982dc17p-22, 0x1.ee274567ecd31p-22, 0x1.0be598edf4ce2p-21, }}, 
      {{-0x1.4958a4e44cd2bp+1, -0x1.40709de50b9a6p+1, -0x1.329401516dc1bp+1, -0x1.20d5b6603fe0cp+1, -0x1.0c5119a7e81b9p+1, -0x1.ec1f9e4796dddp+0, -0x1.bdf7d60b8c202p+0, -0x1.8fb3ed5397cbbp+0, -0x1.628fd083d45aap+0, -0x1.377e3c22ff4d8p+0, -0x1.0f2ffbb04cffep+0, -0x1.d439cfee3fa29p-1, -0x1.9119f4e6c195bp-1, -0x1.5542e8d95c2e2p-1, -0x1.20b98069d6b8ep-1, -0x1.e6a6c1b937c2dp-2, -0x1.9986127691239p-2, -0x1.5943b7cdb0f3ap-2, -0x1.24f0c132b420fp-2, -0x1.f713b4724b0d6p-3, -0x1.b803d5e295423p-3, -0x1.8a94d4ee90a82p-3, -0x1.6cb373cdd905fp-3, -0x1.5c5fad32861f8p-3, -0x1.57b35a133a0ep-3, -0x1.5ce69eb7e2377p-3, -0x1.6a52951a26b5dp-3, -0x1.7e729947eb595p-3, -0x1.97e48b7791a9bp-3, -0x1.b5684c1083f2ep-3, -0x1.d5dea8846cce2p-3, -0x1.f847e48060caap-3, -0x1.0de100c840a93p-2, -0x1.1fc36fc9d0c75p-2, -0x1.31752509ab08ep-2, -0x1.42ac00c282bcdp-2, -0x1.5328e5b5ae7e1p-2, -0x1.62b6c88adc9b7p-2, -0x1.7129c917879b2p-2, -0x1.7e5e572a72b9dp-2, -0x1.8a3863b98ba2dp-2, -0x1.94a29ec847fcbp-2, -0x1.9d8dc1ffb985cp-2, -0x1.a4efe7b650dc5p-2, -0x1.aac3ee01f0b6p-2, -0x1.af08e55b83586p-2, -0x1.b1c18a51b11afp-2, -0x1.b2f3c9c468e69p-2, -0x1.b2a84f223c9b2p-2, -0x1.b0ea1c21e2668p-2, -0x1.adc6297477aa3p-2, -0x1.a94b0ff00aa68p-2, -0x1.a388b9b48ed3dp-2, -0x1.9c901ad1eb8ccp-2, -0x1.9472f0f8ca033p-2, -0x1.8b4389c5cf319p-2, -0x1.81148f393618bp-2, -0x1.75f8d9ef2ced1p-2, -0x1.6a0348b2e70b8p-2, -0x1.5d469d03f8622p-2, -0x1.4fd55c454a9b2p-2, -0x1.41c1b51c2522ep-2, -0x1.331d68e34f93bp-2, -0x1.23f9b865ef5e3p-2, -0x1.14675441b2923p-2, -0x1.04764fc39537ap-2, -0x1.e86c2dee5e463p-3, -0x1.c76aceac4c2ccp-3, -0x1.a604924880a66p-3, -0x1.84541cc40bc1p-3, -0x1.6272996401468p-3, -0x1.4077c494c7116p-3, -0x1.1e79e37fc8175p-3, -0x1.f91b9f981fd09p-4, -0x1.b58dfb1875715p-4, -0x1.726ef8cd7ba65p-4, -0x1.2fe018a86bc56p-4, -0x1.dc006d7e5c779p-5, -0x1.59d76725c31dap-5, -0x1.b2f21489a9159p-6, -0x1.6c527d03d5c62p-7, 0x1.0957bef084045p-8, 0x1.363e292e36674p-6, 0x1.12a51313b50a2p-5, 0x1.879e24643539dp-5, 0x1.f9ef1af2ff92cp-5, 0x1.34c01d9101d2cp-4, 0x1.6b1e8585a1615p-4, 0x1.a00a118356338p-4, 0x1.d37b800dd2353p-4, 0x1.02b675f0cb014p-3, 0x1.1aecdb7981ac2p-3, 0x1.325f3b1c7c343p-3, 0x1.490c6f3ea12aap-3, 0x1.5ef3d8db132a2p-3, 0x1.741556782199cp-3, 0x1.88713b5eb5e04p-3, 0x1.9c0846edab6adp-3, 0x1.aedb9c31d717dp-3, 0x1.c0ecb9b7a7853p-3, 0x1.d23d71958a46ep-3, 0x1.e2cfe1d9de08ap-3, 0x1.f2a66d4867b9dp-3, 0x1.00e1da374b86dp-2, 0x1.081547935bb41p-2, 0x1.0eef0336d32fep-2, 0x1.1570a7474f1b4p-2, 0x1.1b9be0d9423a2p-2, 0x1.21726d5c05e9p-2, 0x1.26f6182b3b309p-2, 0x1.2c28b84c17e52p-2, 0x1.310c2e4d45f68p-2, 0x1.35a2624874327p-2, 0x1.39ed420d49ecbp-2, 0x1.3deebf6f395cfp-2, 0x1.41a8ceb32954fp-2, 0x1.451d6521e80e6p-2, 0x1.484e77bcbf93p-2, 0x1.4b3dfa0e32195p-2, 0x1.4deddd177a083p-2, 0x1.50600e5c95435p-2, 0x1.52967707063f6p-2, 0x1.5492fb1e13eb8p-2, 0x1.565778d6b53cp-2, 0x1.57e5c7f6489c5p-2, 0x1.593fb9467eb38p-2, 0x1.5a67161994aaap-2, 0x1.5b5d9fdeb8215p-2, 0x1.5c250fc5f52bp-2, 0x1.5cbf166f494fap-2, 0x1.5d2d5ba7093b2p-2, 0x1.5d717e303933bp-2, 0x1.5d8d1397d8f1bp-2, 0x1.5d81a8129448cp-2, 0x1.5d50be656954ap-2, 0x1.5cfbcfd5e5b4ep-2, 0x1.5c844c230bf4fp-2, 0x1.5beb9985cb2cbp-2, 0x1.5b3314b6a7b82p-2, 0x1.5a5c10fad2163p-2, 0x1.5967d836c7458p-2, 0x1.5857ab0395fd2p-2, 0x1.572cc0c97f34ep-2, 0x1.55e847df04ef2p-2, 0x1.548b65a968afap-2, 0x1.531736c07974p-2, 0x1.518ccf1566d8ap-2, 0x1.4fed3a1a4cf58p-2, 0x1.4e397aec42c9ap-2, 0x1.4c728c7f5d251p-2, 0x1.4a9961ca31272p-2, 0x1.48aee5f316e5cp-2, 0x1.46b3fc7f9e26ap-2, 0x1.44a98182703c6p-2, 0x1.429049c94bd5ep-2, 0x1.4069230ddc339p-2, 0x1.3e34d4253cd44p-2, 0x1.3bf41d2d08375p-2, 0x1.39a7b7baf65ddp-2, 0x1.3750570d9fc41p-2, 0x1.34eea838f3f79p-2, 0x1.32835251c5513p-2, 0x1.300ef69d1f55dp-2, 0x1.2d9230be1e054p-2, 0x1.2b0d96de6dce7p-2, 0x1.2881b9d7b036cp-2, 0x1.25ef2560750efp-2, 0x1.23566035e112ap-2, 0x1.20b7ec402aeb3p-2, 0x1.1e1446b8fc6c4p-2, 0x1.1b6be854c05c3p-2, 0x1.18bf4567dc24p-2, 0x1.160ece074362bp-2, 0x1.135aee2b2f0f6p-2, 0x1.10a40dd43b033p-2, 0x1.0dea912c62a9fp-2, 0x1.0b2ed8a3d0179p-2, 0x1.0871410fa0eecp-2, 0x1.05b223cb250a2p-2, 0x1.02f1d6d4ba528p-2, 0x1.0030ace6b1f4ep-2, 0x1.faddeb24e7f49p-3, 0x1.f559fabcad5fcp-3, 0x1.efd61bbed11edp-3, 0x1.ea52db9bf357ep-3, 0x1.e4d0c238590ecp-3, 0x1.df505222b583cp-3, 0x1.d9d208c5d2509p-3, 0x1.d4565e8abea43p-3, 0x1.ceddc6f8fccd6p-3, 0x1.c968b0e4ce15ap-3, 0x1.c3f786a30eb2bp-3, 0x1.be8aae2d6cdb7p-3, 0x1.b922893713a1dp-3, 0x1.b3bf7548e16b4p-3, 0x1.ae61cbf07a96bp-3, 0x1.a909e2ef7cadbp-3, 0x1.a3b80c54ccb77p-3, 0x1.9e6c96876bbfap-3, 0x1.9927cc5e43e47p-3, 0x1.93e9f54dbefe7p-3, 0x1.8eb355944c9acp-3, 0x1.89842e4e5882cp-3, 0x1.845cbd798d7c1p-3, 0x1.7f3d3e049c72cp-3, 0x1.7a25e7f7cee6bp-3, 0x1.7516f0a1b71e5p-3, 0x1.70108aacf63c6p-3, 0x1.6b12e61fa95abp-3, 0x1.661e305fb6cf5p-3, 0x1.613294505ad0fp-3, 0x1.5c503a7e1d2eep-3, 0x1.5777493ccbe9p-3, 0x1.52a7e4ab2235bp-3, 0x1.4de22ead5b9adp-3, 0x1.492646f930015p-3, 0x1.44744b38fbdf2p-3, 0x1.3fcc5731a9d2ap-3, 0x1.3b2e84d4335ep-3, 0x1.369aec39a56f2p-3, 0x1.3211a39e9c915p-3, 0x1.2d92bf726a3edp-3, 0x1.291e527895115p-3, 0x1.24b46de878aecp-3, 0x1.2055217953748p-3, 0x1.1c007b5cf5b63p-3, 0x1.17b6883b68277p-3, 0x1.1377533f9d233p-3, 0x1.0f42e633e75a4p-3, 0x1.0b19499dd3f08p-3, 0x1.06fa84ca7073cp-3, 0x1.02e69dcb01f38p-3, 0x1.fdbb32df6dc68p-4, 0x1.f5bef69ce5f0dp-4, 0x1.edd88bafff6e7p-4, 0x1.e607f4e1fcd31p-4, 0x1.de4d33029ed1p-4, 0x1.d6a844eb34d6p-4, 0x1.cf192774c252fp-4, 0x1.c79fd578d3995p-4, 0x1.c03c47e97b4a1p-4, 0x1.b8ee75f93698fp-4, 0x1.b1b6553e97a4dp-4, 0x1.aa93d9c49ea61p-4, 0x1.a386f608bbc22p-4, 0x1.9c8f9af53a8f3p-4, 0x1.95adb7e79b3edp-4, 0x1.8ee13ac7be2cap-4, 0x1.882a10279a222p-4, 0x1.8188235d57f6dp-4, 0x1.7afb5e8edd586p-4, 0x1.7483aab118a5cp-4, 0x1.6e20ef85a8dddp-4, 0x1.67d313a114a86p-4, 0x1.6199fc7c833p-4, 0x1.5b758e8da906cp-4, 0x1.5565ad5b9a956p-4, 0x1.4f6a3b8a0f1cbp-4, 0x1.49831adb9e649p-4, 0x1.43b02c31548a2p-4, 0x1.3df14f8eabb5ap-4, 0x1.384664250fac1p-4, 0x1.32af4864d49ep-4, 0x1.2d2bda0e40421p-4, 0x1.27bbf63d89f44p-4, 0x1.225f79704b7cp-4, 0x1.1d163f871989ep-4, 0x1.17e023c7d1955p-4, 0x1.12bd00e3edbfcp-4, 0x1.0dacb1033a65fp-4, 0x1.08af0dd0a7984p-4, 0x1.03c3f085e54ddp-4, 0x1.fdd663e6a857p-5, 0x1.f44955084b25dp-5, 0x1.eae064818d0e4p-5, 0x1.e19b41a46b32dp-5, 0x1.d8799b0fb1adbp-5, 0x1.cf7b1ebf55733p-5, 0x1.c69f7a1ed63acp-5, 0x1.bde65a1a0a60bp-5, 0x1.b54f6b299ddcdp-5, 0x1.acda595b0e78ap-5, 0x1.a486d05661045p-5, 0x1.9c547b6497015p-5, 0x1.94430578b9698p-5, 0x1.8c52193b7e8ffp-5, 0x1.8481611829d8ap-5, 0x1.7cd0874919768p-5, 0x1.753f35e2505b5p-5, 0x1.6dcd16d96b647p-5, 0x1.6679d40b9f0adp-5, 0x1.5f4517436e001p-5, 0x1.582e8a3f5bb76p-5, 0x1.5135d6ba03595p-5, 0x1.4a5aa672ec5c6p-5, 0x1.439ca3377ae9p-5, 0x1.3cfb76eb54e9bp-5, 0x1.3676cb8fac928p-5, 0x1.300e4b495b453p-5, 0x1.29c1a06623046p-5, 0x1.23907561ef329p-5, 0x1.1d7a74eca539p-5, 0x1.177f49f0645cep-5, 0x1.119e9f97c101bp-5, 0x1.0bd82153987abp-5, 0x1.062b7ae072827p-5, 0x1.0098584b8575ep-5, 0x1.f63ccbeebb57dp-6, 0x1.eb7aa140a9e6fp-6, 0x1.e0e98ac26c18dp-6, 0x1.d688e3706923cp-6, 0x1.cc58071821bedp-6, 0x1.c2565261b8857p-6, 0x1.b88322d7d2bcp-6, 0x1.aeddd6ed9e175p-6, 0x1.a565ce03b1141p-6, 0x1.9c1a686c94c07p-6, 0x1.92fb0771f8d0cp-6, 0x1.8a070d5b245cep-6, 0x1.813ddd75343cp-6, 0x1.789edc1d0da99p-6, 0x1.70296ec9cee05p-6, 0x1.67dcfc161bad7p-6, 0x1.5fb8ebc666c59p-6, 0x1.57bca6cb91168p-6, 0x1.4fe797421a307p-6, 0x1.4839286f52835p-6, 0x1.40b0c6be9c62dp-6, 0x1.394ddfc101109p-6, 0x1.320fe2310b4e1p-6, 0x1.2af63dfbea6b1p-6, 0x1.2400644f22a2fp-6, 0x1.1d2dc7a86acb6p-6, 0x1.167ddbe3cd48fp-6, 0x1.0ff0164459d2p-6, 0x1.0983ed746794ap-6, 0x1.0338d97cbf8fbp-6, 0x1.fa1ca7691000ep-7, 0x1.ee07ad5c76b34p-7, 0x1.e231bc4f3c7e7p-7, 0x1.d699ce05a8b01p-7, 0x1.cb3ede9a5099cp-7, 0x1.c01feca8dcf1bp-7, 0x1.b53bf98f8c19fp-7, 0x1.aa9209b882e1p-7, 0x1.a02124d6b367bp-7, 0x1.95e856027ebd1p-7, 0x1.8be6aba83c3b4p-7, 0x1.821b3745f237ap-7, 0x1.78850d03d9961p-7, 0x1.6f23433f3ad92p-7, 0x1.65f4f2281161cp-7, 0x1.5cf93390e9de1p-7, 0x1.542f230799d84p-7, 0x1.4b95de3bb65d4p-7, 0x1.432c85a1f18acp-7, 0x1.3af23d2f985fcp-7, 0x1.32e62cfcbd9f6p-7, 0x1.2b07819b6d086p-7, 0x1.23556bffdfefp-7, 0x1.1bcf20ef81aa5p-7, 0x1.1473d80c64baep-7, 0x1.0d42cab0f5175p-7, 0x1.063b32e3e60aap-7, 0x1.feb8955e116dfp-8, 0x1.f14a9826520bep-8, 0x1.e42ae3603cc06p-8, 0x1.d757f01602718p-8, 0x1.cad03e5fea22ap-8, 0x1.be9258999940ap-8, 0x1.b29cd5b0c396ep-8, 0x1.a6ee59d989073p-8, 0x1.9b85954a681b4p-8, 0x1.90614118b5dacp-8, 0x1.85801aca04ab1p-8, 0x1.7ae0df91485a2p-8, 0x1.7082485ad0f2cp-8, 0x1.666307b3221bep-8, 0x1.5c81ca374c7d8p-8, 0x1.52dd39acc4263p-8, 0x1.4974023be6d5p-8, 0x1.4044d8b83a0bap-8, 0x1.374e808c19702p-8, 0x1.2e8fcfd8af5ddp-8, 0x1.2607b0adf70d6p-8, 0x1.1db51ed92ffd7p-8, 0x1.1597228abf7a2p-8, 0x1.0dacc8d47d1f7p-8, 0x1.05f51b9036ddp-8, 0x1.fcde34f408eb4p-9, 0x1.ee336e37c1379p-9, 0x1.dfe7a931285abp-9, 0x1.d1f8971f0dfb8p-9, 0x1.c463e2d627613p-9, 0x1.b727434ad4f18p-9, 0x1.aa408e31351fep-9, 0x1.9dadc6bb9e4d9p-9, 0x1.916d2530c83f5p-9, 0x1.857d1576cadadp-9, 0x1.79dc2c82ec84bp-9, 0x1.6e89168d19db1p-9, 0x1.638281858321ap-9, 0x1.58c7083b40472p-9, 0x1.4e552297c2144p-9, 0x1.442b1e449c6b1p-9, 0x1.3a47213c9b198p-9, 0x1.30a735a87de66p-9, 0x1.27495c890f2c6p-9, 0x1.1e2ba37557c81p-9, 0x1.154c394916bcp-9, 0x1.0ca97df253899p-9, 0x1.04420a7762196p-9, 0x1.f8295f5bfebf5p-10, 0x1.e840d789c55fep-10, 0x1.d8c8b1022b595p-10, 0x1.c9bf2b2830654p-10, 0x1.bb2266adef39dp-10, 0x1.acf044576cad6p-10, 0x1.9f265362a423p-10, 0x1.91c1d23eab23dp-10, 0x1.84bfc029a4ac5p-10, 0x1.781cfb13c9111p-10, 0x1.6bd6636e7f58dp-10, 0x1.5fe8ff42d9d02p-10, 0x1.545216ac729bap-10, 0x1.490f455b42453p-10, 0x1.3e1e7ee9e2692p-10, 0x1.337e065546e68p-10, 0x1.292c5b1cfa384p-10, 0x1.1f281ff8b6122p-10, 0x1.156fff88829c3p-10, 0x1.0c02933bc84f6p-10, 0x1.02de501f63086p-10, 0x1.f402f8ab286d9p-11, 0x1.e2d45d4ddb91ap-11, 0x1.d22cb00951381p-11, 0x1.c207aa4a7c0eep-11, 0x1.b2610947d7592p-11, 0x1.a334b8ef8ce1dp-11, 0x1.947ef226b44bap-11, 0x1.863c4454086e6p-11, 0x1.78698a3c1b7e7p-11, 0x1.6b03d35ae0927p-11, 0x1.5e084f6ded10cp-11, 0x1.5174462fb0292p-11, 0x1.45451b71cc7f2p-11, 0x1.39785685cd1cap-11, 0x1.2e0ba19090e7ap-11, 0x1.22fcbb62739e3p-11, 0x1.184960819e12cp-11, 0x1.0def378925281p-11, 0x1.03ebccd48418bp-11, 0x1.f47942aa3e7c9p-12, 0x1.e1be89c8de8cbp-12, 0x1.cfa2d8d026702p-12, 0x1.be21e9c3c8a0cp-12, 0x1.ad379d3e5eabp-12, 0x1.9cdfb4a017c74p-12, 0x1.8d15988f34d0dp-12, 0x1.7dd451da8aeb1p-12, 0x1.6f16bf5c86d2fp-12, 0x1.60d7ef2414647p-12, 0x1.53136c10a84dfp-12, 0x1.45c55a115f4f6p-12, 0x1.38ea5c8f111d2p-12, 0x1.2c7f6478d0e8dp-12, 0x1.20818d0d4f343p-12, 0x1.14ee19d5c54ffp-12, 0x1.09c2885d9f93ap-12, 0x1.fdf92f9039cc4p-13, 0x1.e93462b571d14p-13, 0x1.d53265f5390f8p-13, 0x1.c1ee5d345667bp-13, 0x1.af6272fa77318p-13, 0x1.9d87c977064c8p-13, 0x1.8c56d8339e515p-13, 0x1.7bc8200b2f9efp-13, 0x1.6bd4e67ccf08dp-13, 0x1.5c778ef270c32p-13, 0x1.4dab5269013bfp-13, 0x1.3f6b8022c00ecp-13, 0x1.31b2d6fb91103p-13, 0x1.247b87ec17b22p-13, 0x1.17bff899a4114p-13, 0x1.0b7bc6b5df232p-13, 0x1.ff58b09a174e4p-14, 0x1.e8a125e0887f3p-14, 0x1.d2cfb3d5ddb86p-14, 0x1.bde1acb6beb28p-14, 0x1.a9d13784813cap-14, 0x1.9694fbc9db6b1p-14, 0x1.84212c2b1224cp-14, 0x1.72697b0ece7b3p-14, 0x1.6163510a44fcdp-14, 0x1.51076fe5c2842p-14, 0x1.415227c9b88d5p-14, 0x1.3241cbe613f33p-14, 0x1.23d423ae541ffp-14, 0x1.160464bf099afp-14, 0x1.08caebc750712p-14, 0x1.f83d40ca3c9cbp-15, 0x1.dfedde5303174p-15, 0x1.c89a96fadbcfbp-15, 0x1.b23b67b69d91dp-15, 0x1.9ccc4cb94f36ap-15, 0x1.884ac5229c381p-15, 0x1.74b33d026dc5fp-15, 0x1.61ff3f8a337f6p-15, 0x1.50249d3eee913p-15, 0x1.3f15bb2ac7a1dp-15, 0x1.2ec3777d41453p-15, 0x1.1f205ca25323ap-15, 0x1.10239f6411cacp-15, 0x1.01c9fc6855f91p-15, 0x1.e8273c298083ep-16, 0x1.ce00955e308efp-16, 0x1.b51915b3a375dp-16, 0x1.9d63028f1a437p-16, 0x1.86cdadf5137b3p-16, 0x1.714a238895a72p-16, 0x1.5ccdc20b0b06dp-16, 0x1.4950bf4e985d1p-16, 0x1.36c9ac976eae6p-16, 0x1.252aa2e39fec9p-16, 0x1.14632655e5396p-16, 0x1.0464a31dd524dp-16, 0x1.ea4a56ad25c94p-17, 0x1.cd3cc9ae4ad41p-17, 0x1.b194738fce8a6p-17, 0x1.9740d84b75acap-17, 0x1.7e2d5270d0058p-17, 0x1.66452d43217b2p-17, 0x1.4f78e69a4353fp-17, 0x1.39c0e962f8de3p-17, 0x1.251b0c0794543p-17, 0x1.118411580dc92p-17, 0x1.fde4560f8faf6p-18, 0x1.daac8a56d2468p-18, 0x1.b946332250567p-18, 0x1.99a0c7b87018ap-18, 0x1.7baccac21611dp-18, 0x1.5f5359da01a08p-18, 0x1.4478c69895454p-18, 0x1.2b034dffec6fcp-18, 0x1.12de2a2626dacp-18, 0x1.f7f0c6573231p-19, 0x1.cc834af6ce875p-19, 0x1.a34f46fe4a185p-19, 0x1.7c2c0645e78bap-19, 0x1.56efd5ea563a6p-19, 0x1.337284ee2dd5p-19, 0x1.1194761cae94bp-19, 0x1.e2936adf72a5fp-20, 0x1.a52ae97def8bap-20, 0x1.6ae4203bd6145p-20, 0x1.3386f075821a3p-20, 0x1.fda715e9ddc68p-21, 0x1.99640f6eabd81p-21, 0x1.3a3ed83e6e67ap-21, 0x1.bff19a9d494dap-22, 0x1.142959c24d08dp-22, 0x1.c0a0d45899cccp-24, -0x1.663fa088d81bap-25, -0x1.863a83af70374p-23, -0x1.532a74ab76fc9p-22, -0x1.dd30821f59165p-22, -0x1.30b38aef23c89p-21, -0x1.700302bf601f7p-21, -0x1.aca834dad5c97p-21, -0x1.e6d0067d16bc8p-21, -0x1.0f5c742971711p-20, -0x1.2a560b33f0c31p-20, -0x1.4470abae21de6p-20, -0x1.5db852c08c7f4p-20, -0x1.7633bf07ddafep-20, -0x1.8dedf0dff90efp-20, -0x1.a4f223702abecp-20, -0x1.bb49120fe4d8bp-20, -0x1.d0fe15251d13bp-20, -0x1.e61ed2844ab89p-20, -0x1.fab8862df92aap-20, -0x1.076cc18705c12p-19, -0x1.1147a502fd0bbp-19, -0x1.1af0c3eca1185p-19, -0x1.24692169eecffp-19, -0x1.2db1b4fd3bcb4p-19, -0x1.36cdf55626161p-19, -0x1.3fc3e18ffff19p-19, -0x1.489980b6a6f74p-19, -0x1.5152db724fe3dp-19, -0x1.59f1997df6a88p-19, -0x1.62718273f8909p-19, -0x1.6ac9cf791889fp-19, -0x1.72fe0e43803e8p-19, -0x1.7b1dd61d7f431p-19, -0x1.832d290cd46e4p-19, -0x1.8b2720523b76bp-19, -0x1.9310ecff2fcf9p-19, -0x1.9aeff7d99cadfp-19, -0x1.a2bc6d2f1bf0dp-19, -0x1.aa6bf333f41c1p-19, -0x1.b1fef824d9543p-19, -0x1.b97e1a69abb9ap-19, -0x1.c0ed02c6c7c45p-19, -0x1.c8469f1c130fep-19, -0x1.cf88a56d3526ep-19, -0x1.d6b93406efed8p-19, -0x1.dddd542070826p-19, -0x1.e4f3e5dec82b5p-19, -0x1.ebfa3d4279c3cp-19, -0x1.f2ee6d414b027p-19, -0x1.f9cf605f4c1bbp-19, -0x1.004fbe19ebc8dp-18, -0x1.03ae2ee1dfc0cp-18, -0x1.06fbef42b4d7fp-18, -0x1.0a3a84c5d3a1p-18, -0x1.0d6fc6f0d1436p-18, -0x1.1095a25f73db6p-18, -0x1.13abe6e948913p-18, -0x1.16b9d34ba549ep-18, -0x1.19be06b179cfap-18, -0x1.1cb4280a5194ap-18, -0x1.1f9b2fb4a6ad1p-18, -0x1.227429e4ef798p-18, -0x1.254070d4c029dp-18, -0x1.28009ec84156cp-18, -0x1.2ab2c68ace364p-18, -0x1.2d52161e4b272p-18, -0x1.2fdc5ef2bd85p-18, -0x1.325548b85cf52p-18, -0x1.34be29a4cc792p-18, -0x1.3712d9462ef22p-18, -0x1.3953b30590b63p-18, -0x1.3b859b9398103p-18, -0x1.3da8c1332cc85p-18, -0x1.3fbcc395f7c11p-18, -0x1.41c19e76f4a89p-18, -0x1.43aef0dc7625ap-18, -0x1.458402087433ap-18, -0x1.47413ec3d7d1ap-18, -0x1.48e53d5f8bf96p-18, -0x1.4a78d84c31587p-18, -0x1.4bfb393876f07p-18, -0x1.4d6760d2976abp-18, -0x1.4ebc21cd6e2fbp-18, -0x1.4ff9da4d62756p-18, -0x1.5120c362b13c8p-18, -0x1.5230caf366475p-18, -0x1.5329c3590cdbp-18, -0x1.540b8a24dffcfp-18, }}, 
      {{-0x1.4b662c0d8dca1p+1, -0x1.485e0cc68ca66p+1, -0x1.438764fce962ap+1, -0x1.3d21ae26419fp+1, -0x1.35722ea0e3f14p+1, -0x1.2cbe158090531p+1, -0x1.2346da9724fbfp+1, -0x1.194826be2e5f9p+1, -0x1.0ef6c6601aa0bp+1, -0x1.04804f6f92a1ep+1, -0x1.f4167b5f3ab89p+0, -0x1.df6eb327d5a6dp+0, -0x1.cb3c94da6dab2p+0, -0x1.b7a87b30ae13ap+0, -0x1.a4d126d3accf8p+0, -0x1.92cd0e6c983a8p+0, -0x1.81ab998c85732p+0, -0x1.71763ffcbef72p+0, -0x1.62318bccb42b3p+0, -0x1.53ddfe1743693p+0, -0x1.4678d758c144cp+0, -0x1.39fcc4e01d7a5p+0, -0x1.2e6275686f1aep+0, -0x1.23a11732c4588p+0, -0x1.19aec20b8a6e2p+0, -0x1.1080cf99bd9a6p+0, -0x1.080c2437b168cp+0, -0x1.00456a6c4b762p+0, -0x1.f24285d8382fap-1, -0x1.e528d5b0e1258p-1, -0x1.d927b3823b8ddp-1, -0x1.ce29b17c0647fp-1, -0x1.c41a279090b6ap-1, -0x1.bae54ca405c84p-1, -0x1.b27847eb82f93p-1, -0x1.aac13bed2bcc1p-1, -0x1.a3af4c588c7a1p-1, -0x1.9d329fbc6c2fap-1, -0x1.973c5df3dc62bp-1, -0x1.91beabff49113p-1, -0x1.8caca5dee1af5p-1, -0x1.87fa56e93a41cp-1, -0x1.839cb102c51a3p-1, -0x1.7f8983084c39cp-1, -0x1.7bb76eaf25e7cp-1, -0x1.781dde1132efcp-1, -0x1.74b4f91035ff7p-1, -0x1.71759ab37c247p-1, -0x1.6e59469bb83a2p-1, -0x1.6b5a1ea31d81ep-1, -0x1.6872d8baf31b3p-1, -0x1.659eb513f84fep-1, -0x1.62d9749bd1ab8p-1, -0x1.601f4fd71857p-1, -0x1.5d6cee1d34e45p-1, -0x1.5abf5d39200d8p-1, -0x1.58140970e73e6p-1, -0x1.5568b5f55dc67p-1, -0x1.52bb75ba9234ep-1, -0x1.500aa4b7a67e1p-1, -0x1.4d54e18a9d806p-1, -0x1.4a99077cf3919p-1, -0x1.47d628e8203e3p-1, -0x1.450b89fa77f9dp-1, -0x1.42389bd8fc9a5p-1, -0x1.3f5cf8172a7c7p-1, -0x1.3c785c7ae36cep-1, -0x1.398aa70cdf57fp-1, -0x1.3693d27562c35p-1, -0x1.3393f2aaa554bp-1, -0x1.308b31e72a0b9p-1, -0x1.2d79cdda24eb7p-1, -0x1.2a60150e36598p-1, -0x1.273e6479b63b9p-1, -0x1.241525505accp-1, -0x1.20e4cb086959ap-1, -0x1.1dadd19c7f98ep-1, -0x1.1a70bbf871b83p-1, -0x1.172e1282cfbc9p-1, -0x1.13e661c5198eep-1, -0x1.109a392c20685p-1, -0x1.0d4a29ec17de1p-1, -0x1.09f6c6093be7dp-1, -0x1.06a09f84b7a86p-1, -0x1.034847a819eb3p-1, -0x1.ffdc9cce3aa96p-2, -0x1.f92683a318cf6p-2, -0x1.f26f5b223df4p-2, -0x1.ebb834e6e42cbp-2, -0x1.e5021c0337ff5p-2, -0x1.de4e144f48cc1p-2, -0x1.d79d19d9edf46p-2, -0x1.d0f0207a6e33ep-2, -0x1.ca48137ee7fbep-2, -0x1.c3a5d5712afa3p-2, -0x1.bd0a3febfcd6p-2, -0x1.b676237ba4cdfp-2, -0x1.afea47866e451p-2, -0x1.a9676a3c2328fp-2, -0x1.a2ee408ca9bb1p-2, -0x1.9c7f7626e873ep-2, -0x1.961bad816330dp-2, -0x1.8fc37fed160f6p-2, -0x1.89777db2b205ep-2, -0x1.83382e397944ep-2, -0x1.7d061036209adp-2, -0x1.76e199dffe7c5p-2, -0x1.70cb392abcfap-2, -0x1.6ac35402aa69dp-2, -0x1.64ca488a778aap-2, -0x1.5ee06d597d1dap-2, -0x1.590611b9ef77cp-2, -0x1.533b7de6e6179p-2, -0x1.4d80f34a61795p-2, -0x1.47d6acbb5efd9p-2, -0x1.423cdebc3956ap-2, -0x1.3cb3b7b97ed4p-2, -0x1.373b604939264p-2, -0x1.31d3fb6a6fa0fp-2, -0x1.2c7da6c4b6aebp-2, -0x1.27387ae77e9e5p-2, -0x1.22048b88a5c2dp-2, -0x1.1ce1e7c201d05p-2, -0x1.17d09a4d8ce5ap-2, -0x1.12d0a9bff1a69p-2, -0x1.0de218c13b77ep-2, -0x1.0904e643931cfp-2, -0x1.04390db809797p-2, -0x1.fefd0e82bea14p-3, -0x1.f5aa8fc9a91e7p-3, -0x1.ec7a837252b37p-3, -0x1.e36cc827964d9p-3, -0x1.da813768995e6p-3, -0x1.d1b7a5dc919c9p-3, -0x1.c90fe3a33ad3fp-3, -0x1.c089bca2648e7p-3, -0x1.b824f8d093319p-3, -0x1.afe15c7c7fc89p-3, -0x1.a7bea891cd906p-3, -0x1.9fbc9adb0980fp-3, -0x1.97daee407ed63p-3, -0x1.90195b043c13ep-3, -0x1.887796fb9a525p-3, -0x1.80f555c59605dp-3, -0x1.799248fe63b0bp-3, -0x1.724e2070c632bp-3, -0x1.6b288a447c10ep-3, -0x1.64213329e988ap-3, -0x1.5d37c683e25edp-3, -0x1.566bee8f121dp-3, -0x1.4fbd5486aba7fp-3, -0x1.492ba0c75f45ep-3, -0x1.42b67af0b4fdp-3, -0x1.3c5d8a03deab6p-3, -0x1.36207480ae413p-3, -0x1.2ffee0817fb32p-3, -0x1.29f873d5446a7p-3, -0x1.240cd417648dbp-3, -0x1.1e3ba6c6a0528p-3, -0x1.1884915af31ap-3, -0x1.12e739597da7dp-3, -0x1.0d634466e648bp-3, -0x1.07f8585934271p-3, -0x1.02a61b488afd3p-3, -0x1.fad8673c3ac4bp-4, -0x1.f094904433b29p-4, -0x1.e6800012932bp-4, -0x1.dc9a060316722p-4, -0x1.d2e1f27981bc6p-4, -0x1.c95716f63c139p-4, -0x1.bff8c62a78e37p-4, -0x1.b6c6540a4fff6p-4, -0x1.adbf15dc3764ep-4, -0x1.a4e26247a2d9ap-4, -0x1.9c2f916372478p-4, -0x1.93a5fcc2a51fbp-4, -0x1.8b44ff7ecdc66p-4, -0x1.830bf641cebc9p-4, -0x1.7afa3f4fb558ap-4, -0x1.730f3a8f5a4bbp-4, -0x1.6b4a4990f3456p-4, -0x1.63aacf93e2048p-4, -0x1.5c30318ce565dp-4, -0x1.54d9d62baf482p-4, -0x1.4da725dea4e87p-4, -0x1.46978ad5915fap-4, -0x1.3faa7104c5606p-4, -0x1.38df462858079p-4, -0x1.323579c60eb12p-4, -0x1.2bac7d2dc9561p-4, -0x1.2543c379f6a84p-4, -0x1.1efac190bde89p-4, -0x1.18d0ee24bd6c9p-4, -0x1.12c5c1b440d69p-4, -0x1.0cd8b6879b0bfp-4, -0x1.070948b019392p-4, -0x1.0156f60799cb8p-4, -0x1.f7827c5edbbaap-5, -0x1.ec8f451b9e019p-5, -0x1.e1d34c95b8b8dp-5, -0x1.d74d9c9cc5efcp-5, -0x1.ccfd427c84814p-5, -0x1.c2e14ef842541p-5, -0x1.b8f8d643b501dp-5, -0x1.af42effb06125p-5, -0x1.a5beb71c6a565p-5, -0x1.9c6b4a0324b5bp-5, -0x1.9347ca61b967dp-5, -0x1.8a535d39d8686p-5, -0x1.818d2ad31faadp-5, -0x1.78f45eb2ef0a8p-5, -0x1.70882795efcfep-5, -0x1.6847b769b63ecp-5, -0x1.60324344af8f8p-5, -0x1.5847035c6e44dp-5, -0x1.508532fc1794bp-5, -0x1.48ec107c60822p-5, -0x1.417add3c99e38p-5, -0x1.3a30dd9b28fbfp-5, -0x1.330d58ec592a5p-5, -0x1.2c0f9970466f4p-5, -0x1.2536ec496484cp-5, -0x1.1e82a17470b67p-5, -0x1.17f20bc117844p-5, -0x1.118480c9e94b3p-5, -0x1.0b3958eafe36ep-5, -0x1.050fef37f85a6p-5, -0x1.fe0f42e552141p-6, -0x1.f23fa005c28dap-6, -0x1.e6afbbdde0a63p-6, -0x1.db5e61a745d2ep-6, -0x1.d04a61b682819p-6, -0x1.c5729167d93f9p-6, -0x1.bad5cb0cbccc3p-6, -0x1.b072eddb3a0bbp-6, -0x1.a648dddedd448p-6, -0x1.9c5683e9699e5p-6, -0x1.929acd821d15bp-6, -0x1.8914acd3aa67dp-6, -0x1.7fc3189a2ca93p-6, -0x1.76a50c1268688p-6, -0x1.6db986ea9579bp-6, -0x1.64ff8d33cf876p-6, -0x1.5c762752dfdep-6, -0x1.541c61efe54bap-6, -0x1.4bf14de55b8f2p-6, -0x1.43f4002f8a382p-6, -0x1.3c2391dd27bebp-6, -0x1.347f20010ad17p-6, -0x1.2d05cba4339a5p-6, -0x1.25b6b9b74bcb2p-6, -0x1.1e9113035009fp-6, -0x1.17940419fc253p-6, -0x1.10bebd468f3ddp-6, -0x1.0a10727f7f322p-6, -0x1.03885b58fa36fp-6, -0x1.fa4b65ef7f658p-7, -0x1.edcf700739d3ap-7, -0x1.e19b5932f4f75p-7, -0x1.d5adac7a3d29cp-7, -0x1.ca04fb966c68p-7, -0x1.be9fded7f54b6p-7, -0x1.b37cf50cfa27p-7, -0x1.a89ae368b19eap-7, -0x1.9df8556aaf17cp-7, -0x1.9393fcc5af51dp-7, -0x1.896c9145f4672p-7, -0x1.7f80d0b7c3947p-7, -0x1.75cf7ece9725ep-7, -0x1.6c57650d51fp-7, -0x1.631752af43145p-7, -0x1.5a0e1c9181068p-7, -0x1.513a9d1c48cbbp-7, -0x1.489bb42c08c77p-7, -0x1.403046fa6a215p-7, -0x1.37f74007907ccp-7, -0x1.2fef8f040173dp-7, -0x1.281828bb31dbfp-7, -0x1.207006fea9e8ep-7, -0x1.18f6289176b83p-7, -0x1.11a99113ae283p-7, -0x1.0a8948ede9891p-7, -0x1.03945d3cd329ap-7, -0x1.f993bf79ca054p-8, -0x1.ec51cd6d57e93p-8, -0x1.df6119d6d1cabp-8, -0x1.d2bfe3048a6edp-8, -0x1.c66c6feb866bap-8, -0x1.ba651002c68d4p-8, -0x1.aea81b1ebefc2p-8, -0x1.a333f14d13116p-8, -0x1.9806fab0a86cep-8, -0x1.8d1fa75e53bbp-8, -0x1.827c6f3a3cffdp-8, -0x1.781bd1d5f9b75p-8, -0x1.6dfc564f3b04p-8, -0x1.641c8b2f01916p-8, -0x1.5a7b06492ee88p-8, -0x1.5116649c597b5p-8, -0x1.47ed4a3209ac6p-8, -0x1.3efe61ff5be47p-8, -0x1.36485dc62198ep-8, -0x1.2dc9f5f69bba3p-8, -0x1.2581e991a721cp-8, -0x1.1d6efe0b7c7d7p-8, -0x1.158fff2ecdaecp-8, -0x1.0de3bf0052104p-8, -0x1.066915a2b6f01p-8, -0x1.fe3dc275b0c0cp-9, -0x1.f0080ba8f3a59p-9, -0x1.e22eda8eb06b6p-9, -0x1.d4b00e3959517p-9, -0x1.c78990ea371ebp-9, -0x1.bab957de0c4f2p-9, -0x1.ae3d631a8bed1p-9, -0x1.a213bd3c8d003p-9, -0x1.963a7b47243c4p-9, -0x1.8aafbc7387392p-9, -0x1.7f71aa01a72fbp-9, -0x1.747e770988de4p-9, -0x1.69d4604d415e4p-9, -0x1.5f71ac0b7e066p-9, -0x1.5554a9d2c3d2ap-9, -0x1.4b7bb254f64a8p-9, -0x1.41e5273be66dap-9, -0x1.388f72fe71bdap-9, -0x1.2f7908b6b1bfep-9, -0x1.26a063f90eed9p-9, -0x1.1e0408ac27dfbp-9, -0x1.15a282e180535p-9, -0x1.0d7a66ae82ef2p-9, -0x1.058a5005f4c04p-9, -0x1.fba1c5232ca09p-10, -0x1.ec999317bb00ep-10, -0x1.ddf96f34a42c2p-10, -0x1.cfbecd50fa6a1p-10, -0x1.c1e72f878a957p-10, -0x1.b47025f116d53p-10, -0x1.a7574e609ce0fp-10, -0x1.9a9a5421b6739p-10, -0x1.8e36efb7f3b0fp-10, -0x1.822ae69ef4f2bp-10, -0x1.76740b0a4c499p-10, -0x1.6b103ba4fe2b1p-10, -0x1.5ffd63510d613p-10, -0x1.553978e7592bp-10, -0x1.4ac27ef87c122p-10, -0x1.4096838fd811ap-10, -0x1.36b39ff8c28cap-10, -0x1.2d17f8862c671p-10, -0x1.23c1bc5c656c8p-10, -0x1.1aaf253c383dcp-10, -0x1.11de774ed0e7dp-10, -0x1.094e00f1c9c2ap-10, -0x1.00fc1a8345b5dp-10, -0x1.f1ce4c5b64aa4p-11, -0x1.e21b1f6772c6p-11, -0x1.d2db987925a1cp-11, -0x1.c40cb44213fb3p-11, -0x1.b5ab8172253bdp-11, -0x1.a7b520549297cp-11, -0x1.9a26c26ed6e45p-11, -0x1.8cfdaa21b9f7p-11, -0x1.80372a4e36fb4p-11, -0x1.73d0a5fee5f45p-11, -0x1.67c79016febe2p-11, -0x1.5c196b076c727p-11, -0x1.50c3c88830dc6p-11, -0x1.45c44954244e2p-11, -0x1.3b189ce29a62p-11, -0x1.30be811af90b4p-11, -0x1.26b3c1ff57b76p-11, -0x1.1cf6394d21f77p-11, -0x1.1383ce16ad922p-11, -0x1.0a5a745a9b61dp-11, -0x1.01782ca24f5f9p-11, -0x1.f1b6075cc2e1ep-12, -0x1.e1022470b56e4p-12, -0x1.d0d0f9958f7a8p-12, -0x1.c11ee757c9832p-12, -0x1.b1e865a3dcd5dp-12, -0x1.a32a03a79ebf9p-12, -0x1.94e067919638p-12, -0x1.87084e187e467p-12, -0x1.799e89c14bc0ep-12, -0x1.6ca001eaf8948p-12, -0x1.6009b1b6db65fp-12, -0x1.53d8a6f29fc79p-12, -0x1.480a012c026e4p-12, -0x1.3c9af1138f10bp-12, -0x1.3188b840e5553p-12, -0x1.26d0a956a6851p-12, -0x1.1c702869903f2p-12, -0x1.1264ab7e8200dp-12, -0x1.08abbaeaa5d33p-12, -0x1.fe85e2d18b9dap-13, -0x1.ec4ff78a9fd9p-13, -0x1.dab130314522dp-13, -0x1.c9a5293bfef49p-13, -0x1.b9279c9407372p-13, -0x1.a9345ead301a2p-13, -0x1.99c75c035f1c1p-13, -0x1.8adc9777af3bbp-13, -0x1.7c7029da2977ap-13, -0x1.6e7e42a582524p-13, -0x1.610329a0bc5f4p-13, -0x1.53fb40d8c8ecbp-13, -0x1.47630654627e6p-13, -0x1.3b3715070a52ap-13, -0x1.2f7424c9dbd14p-13, -0x1.241709604887fp-13, -0x1.191cb0aff9897p-13, -0x1.0e82205de205ep-13, -0x1.0444730416c3ap-13, -0x1.f4c1aa95c46b1p-14, -0x1.e1a906a8419bbp-14, -0x1.cf398e088f24ap-14, -0x1.bd6def3b2ec53p-14, -0x1.ac40f58efc52cp-14, -0x1.9bad8d3c45d41p-14, -0x1.8baec804fbedep-14, -0x1.7c3fe0adf8816p-14, -0x1.6d5c3c5a17f44p-14, -0x1.5eff69d272c96p-14, -0x1.51251f8da8996p-14, -0x1.43c9395a0929dp-14, -0x1.36e7b60f83eecp-14, -0x1.2a7cb50630b0bp-14, -0x1.1e8472da06023p-14, -0x1.12fb4567644c5p-14, -0x1.07dd97bc9a2d1p-14, -0x1.fa4fce940719p-15, -0x1.e5ad86dc2a9d1p-15, -0x1.d1cd9ef6e4b39p-15, -0x1.bea98c33e2bd2p-15, -0x1.ac3af87a0c85bp-15, -0x1.9a7bc495d541cp-15, -0x1.896606753cc01p-15, -0x1.78f4052875c7bp-15, -0x1.692035608cae9p-15, -0x1.59e5381f4cd1ap-15, -0x1.4b3ddb708e9dcp-15, -0x1.3d251b6faa423p-15, -0x1.2f9621a41edddp-15, -0x1.228c41dd64824p-15, -0x1.1602f5647411fp-15, -0x1.09f5d6763df64p-15, -0x1.fcc13b86cc4e9p-16, -0x1.e67e449befe92p-16, -0x1.d11ab4e4405eep-16, -0x1.bc8eb895c4975p-16, -0x1.a8d2b8b001c0dp-16, -0x1.95df556f36d81p-16, -0x1.83ad60abaa828p-16, -0x1.7235db2293b54p-16, -0x1.6171f5c121c33p-16, -0x1.515b158739577p-16, -0x1.41ead755f19d1p-16, -0x1.331b11d77fc31p-16, -0x1.24e5d5ccdd83cp-16, -0x1.17456e61e112p-16, -0x1.0a34624b71427p-16, -0x1.fb5ae8e9888cbp-17, -0x1.e35743954febp-17, -0x1.cc5435b460f86p-17, -0x1.b6487569a1773p-17, -0x1.a12afcd88e812p-17, -0x1.8cf2ff279b609p-17, -0x1.7997e3701485p-17, -0x1.6711431caae53p-17, -0x1.5556eaeb6cc7ep-17, -0x1.4460df496c862p-17, -0x1.3427620f6e5fp-17, -0x1.24a2f4d1e1398p-17, -0x1.15cc55d9c20bp-17, -0x1.079c7d4665ee7p-17, -0x1.f419451aa8edep-18, -0x1.da2c96de05ca9p-18, -0x1.c166b429e211ap-18, -0x1.a9bc1974fc9d4p-18, -0x1.9321d5be7a0f6p-18, -0x1.7d8d5608b6155p-18, -0x1.68f444a9a84a5p-18, -0x1.554c8c76a1621p-18, -0x1.428c70006ed49p-18, -0x1.30aa97aacdb5cp-18, -0x1.1f9e092ca7e26p-18, -0x1.0f5e12b49e47dp-18, -0x1.ffc474e972f88p-19, -0x1.e2446fd4cda82p-19, -0x1.c62be422231c9p-19, -0x1.ab6b0305c33ebp-19, -0x1.91f27e24659a1p-19, -0x1.79b3c6dc134acp-19, -0x1.62a1508a23ccap-19, -0x1.4cae9a51919a9p-19, -0x1.37cfe2d6c74cbp-19, -0x1.23f9af999ce8p-19, -0x1.11207d5591332p-19, -0x1.fe719b6b7fe27p-20, -0x1.dc6eed246ed56p-20, -0x1.bc23d269dc85dp-20, -0x1.9d7c8955de35dp-20, -0x1.80667e922d036p-20, -0x1.64d01102d1a83p-20, -0x1.4aa862ebe634dp-20, -0x1.31df2ad029dfep-20, -0x1.1a647467eadffp-20, -0x1.042866246776p-20, -0x1.de36906287914p-21, -0x1.b65bf74edd515p-21, -0x1.90a55aa9236a6p-21, -0x1.6cfa5d07cb7f3p-21, -0x1.4b451024cf1cdp-21, -0x1.2b7015800bc4p-21, -0x1.0d653a4d80d74p-21, -0x1.e21b23d0a3c6dp-22, -0x1.aca5445c6e7d4p-22, -0x1.7a3ec953ac69cp-22, -0x1.4ac0db0eaa221p-22, -0x1.1e070674a0f4ap-22, -0x1.e7dcb1f5cf751p-23, -0x1.98a9a4f9129d4p-23, -0x1.4e329fb678943p-23, -0x1.08380a71f64e9p-23, -0x1.8cfca5fedcbaap-24, -0x1.119c4ad9c0db9p-24, -0x1.3bcc328beef09p-25, -0x1.8ba332fcdef2bp-27, 0x1.a0cc60aab4fd5p-27, 0x1.26373d64a22d5p-25, 0x1.d7c1a09729847p-25, 0x1.3eb4aacdad8e1p-24, 0x1.8be43b939f1c6p-24, 0x1.d3bd559d2eb7p-24, 0x1.0b4531112229p-23, 0x1.2a4842be23b9ep-23, 0x1.470877568d2bep-23, 0x1.61a4d68aef766p-23, 0x1.7a3a8541d3617p-23, 0x1.90e4ba217b58ep-23, 0x1.a5bd58e4d5eabp-23, 0x1.b8ddae2215c77p-23, 0x1.ca5ebb7ee962bp-23, 0x1.da58d98bb7284p-23, 0x1.e8e2f8e8ab08fp-23, 0x1.f6121ef55e35ep-23, 0x1.00fcaecb679b7p-22, 0x1.0654ff8ad72bbp-22, 0x1.0b19eac58f606p-22, 0x1.0f5300a296d96p-22, 0x1.1307dcecb5d08p-22, 0x1.163ff81185b2dp-22, 0x1.190208272d7d1p-22, 0x1.1b53dc0dbaff6p-22, 0x1.1d3af1f82f281p-22, 0x1.1ebcec80366abp-22, 0x1.1fdf655caee4dp-22, 0x1.20a79febe89a4p-22, 0x1.211a77d623417p-22, 0x1.213c61e074a83p-22, 0x1.2111710e47ca8p-22, 0x1.209d6e768f65ap-22, 0x1.1fe3f4dd840bcp-22, 0x1.1ee8779ae7811p-22, 0x1.1dae34d3132b3p-22, 0x1.1c382901713a7p-22, 0x1.1a89172ca351fp-22, 0x1.18a39cc61849ap-22, 0x1.168a3b6e4e3afp-22, 0x1.143f590228126p-22, 0x1.11c53c314d3c8p-22, 0x1.0f1df993cf3b8p-22, 0x1.0c4b64e05fb1ep-22, 0x1.094f2469024b2p-22, 0x1.062ac9957001ap-22, 0x1.02dfceca683adp-22, 0x1.fedf2a7c1af31p-23, 0x1.f7b6dfb585c19p-23, 0x1.f0494318c02cfp-23, 0x1.e898a621205d3p-23, 0x1.e0a7242039758p-23, 0x1.d876a1e057649p-23, 0x1.d008c5b59c2b8p-23, 0x1.c75f06348ded3p-23, 0x1.be7ae058bb34dp-23, 0x1.b55e114f4749cp-23, 0x1.ac0a8a18194cbp-23, 0x1.a28202a37c6d8p-23, 0x1.98c5953be93fp-23, 0x1.8ed5e0364eb97p-23, 0x1.84b364bb920b2p-23, 0x1.7a5ecdb1a6e82p-23, 0x1.6fd9537f873a6p-23, 0x1.6524921a42225p-23, 0x1.5a41c0bb3b753p-23, 0x1.4f31a279f349p-23, 0x1.43f4fe14da5c4p-23, 0x1.388c81d52aa1ep-23, 0x1.2cf8894bc44c5p-23, 0x1.21396077ca308p-23, 0x1.154fa7cbdbc07p-23, 0x1.093c65b21a92p-23, 0x1.fa015ce9ac9c1p-24, 0x1.e13a9ba189471p-24, 0x1.c825aa9c40bd7p-24, 0x1.aec3ad1b4fc1dp-24, 0x1.951606cf405f6p-24, 0x1.7b1e8f9c858a7p-24, 0x1.60df6db976ffp-24, 0x1.465a32229be1p-24, 0x1.2b8f345596748p-24, 0x1.107e7956b1a09p-24, 0x1.ea51a4c453f15p-25, 0x1.b31ffa961fccdp-25, 0x1.7b6da5d80b455p-25, 0x1.433f8bb91bf8ap-25, 0x1.0a975654441cfp-25, 0x1.a2ef48203f8b1p-26, 0x1.2fc98c1df3afbp-26, 0x1.77880db324d18p-27, 0x1.1b91ebd38da2bp-28, -0x1.7672bd38c4976p-29, -0x1.4a9acd98dd536p-27, -0x1.1c9262a2a07ccp-26, -0x1.9497de061ce11p-26, -0x1.06ac52b99829ep-25, -0x1.4367546369a75p-25, -0x1.8078a394b5214p-25, -0x1.bddaba34e4f76p-25, -0x1.fb88b69c6b683p-25, -0x1.1cbf7de8632a6p-24, -0x1.3bdcc3497b228p-24, -0x1.5b1a22f9235c5p-24, -0x1.7a7671fe2fabep-24, -0x1.99f05e5525271p-24, -0x1.b9857e379ebffp-24, -0x1.d93383bba7b31p-24, -0x1.f8f81689c0cefp-24, -0x1.0c68a486968e6p-23, -0x1.1c5e96e6e2bc4p-23, -0x1.2c5c60e9e399ep-23, -0x1.3c60d58fd4808p-23, -0x1.4c6afad109393p-23, -0x1.5c79c2876700cp-23, -0x1.6c8c1dbd0747cp-23, -0x1.7ca103e296c4p-23, -0x1.8cb76946a9013p-23, -0x1.9cce33ef2ffdap-23, -0x1.ace434dab08b9p-23, }}, 
      {{0x1.aaf5f30addef9p-12, 0x1.9f5234eca1334p-10, 0x1.ac2a6eacfb829p-9, 0x1.47da1407af1d2p-8, 0x1.9df47161a8349p-8, 0x1.beb74c235ff26p-8, 0x1.985f2a6998a93p-8, 0x1.209e4a4b6db4dp-8, 0x1.4c3aaa2359df6p-10, -0x1.a0dcc0c644a58p-9, -0x1.237bf3a39167bp-7, -0x1.02e362edcb697p-6, -0x1.85e7b4f013a58p-6, -0x1.0c6d52973d5ccp-5, -0x1.5cc8df3465607p-5, -0x1.b2dc52f1ef289p-5, -0x1.06b84f6667d5bp-4, -0x1.35a4f9ca6113bp-4, -0x1.6597d0dab75d4p-4, -0x1.95f9a53936d32p-4, -0x1.c63b7f1342757p-4, -0x1.f5d903ab73f54p-4, -0x1.122d12ec5c157p-3, -0x1.28aa13cad25fdp-3, -0x1.3e34ff9e02f55p-3, -0x1.52a61d25fb572p-3, -0x1.65dc3d496f949p-3, -0x1.77bc552ecb3a5p-3, -0x1.88310101e301fp-3, -0x1.9729faa8249bep-3, -0x1.a49b8d6810494p-3, -0x1.b07e0d41e9b3dp-3, -0x1.bacd569ac2da6p-3, -0x1.c38859059c16bp-3, -0x1.cab0ae77e97ecp-3, -0x1.d04a3f13081bp-3, -0x1.d45af0df7ab35p-3, -0x1.d6ea6255e8329p-3, -0x1.d801ae4ec72fp-3, -0x1.d7ab37dd7a59ep-3, -0x1.d5f27ca8a913cp-3, -0x1.d2e3ec747862fp-3, -0x1.ce8cc4c2b5c8p-3, -0x1.c8faefa1ef686p-3, -0x1.c23ce4f9216ffp-3, -0x1.ba618dcedd583p-3, -0x1.b1782935919e9p-3, -0x1.a79032aa04585p-3, -0x1.9cb949ccab36ap-3, -0x1.91031b727bed2p-3, -0x1.847d4c1706e7ap-3, -0x1.773763c0f0d8p-3, -0x1.6940bb6dd333ap-3, -0x1.5aa86c1642d6ep-3, -0x1.4b7d3f5e42815p-3, -0x1.3bcda1f24e064p-3, -0x1.2ba797a9bee67p-3, -0x1.1b18b14bb85ccp-3, -0x1.0a2e04236c7e1p-3, -0x1.f1e846080d53ap-4, -0x1.ceee3244a63fbp-4, -0x1.ab84cbf8f3477p-4, -0x1.87c1f672eb106p-4, -0x1.63ba75f407d98p-4, -0x1.3f81f0ae75d85p-4, -0x1.1b2aef765fc3dp-4, -0x1.ed8dc41e76c2cp-5, -0x1.a4cc4a1cc4488p-5, -0x1.5c300a497ce64p-5, -0x1.13d59b243d93cp-5, -0x1.97af1806760c5p-6, -0x1.089d23f78231dp-6, -0x1.ea8c0d2735b37p-8, 0x1.215178b5d8fe3p-10, 0x1.3ac898f3f6d17p-7, 0x1.2726ff7ff9688p-6, 0x1.af3c7fd2f392bp-6, 0x1.1ac3881998639p-5, 0x1.5cf5cd7866ba9p-5, 0x1.9e28cd5dbae84p-5, 0x1.de517a51e429ap-5, 0x1.0eb2f3c22ee4dp-4, 0x1.2dae9db12d8dep-4, 0x1.4c17ce81818dp-4, 0x1.69eb13a5e2492p-4, 0x1.87256c6f9ba88p-4, 0x1.a3c443b837fa6p-4, 0x1.bfc5697f8595ap-4, 0x1.db270cfb3e612p-4, 0x1.f5e7b76151ccbp-4, 0x1.08032373bad4ap-3, 0x1.14c0f51c103dfp-3, 0x1.212d0e07ba32bp-3, 0x1.2d474f807fa81p-3, 0x1.390fbcaac9782p-3, 0x1.44867872a9b81p-3, 0x1.4fabc386d01c3p-3, 0x1.5a7ffa57c73cp-3, 0x1.650393227edfp-3, 0x1.6f371c12cd8fcp-3, 0x1.791b397347f2bp-3, 0x1.82b0a3f51ad24p-3, 0x1.8bf8271120245p-3, 0x1.94f29f760c3f9p-3, 0x1.9da0f98bd1c7p-3, 0x1.a6043007b415cp-3, 0x1.ae1d4a872041bp-3, 0x1.b5ed5c39875fap-3, 0x1.bd7582964f3dfp-3, 0x1.c4b6e4190b0cep-3, 0x1.cbb2af0d2a443p-3, 0x1.d26a1869d137ep-3, 0x1.d8de5ab9112e6p-3, 0x1.df10b5125499dp-3, 0x1.e5026a2963b2p-3, 0x1.eab4bf6cd4be2p-3, 0x1.f028fc3641b57p-3, 0x1.f560690e7e14ap-3, 0x1.fa5c4f0043da9p-3, 0x1.ff1df6f63e453p-3, 0x1.01d35494196aap-2, 0x1.03fbd64961147p-2, 0x1.0609233a8c666p-2, 0x1.07fbdcebf7046p-2, 0x1.09d4a38e03305p-2, 0x1.0b9415c71f91ap-2, 0x1.0d3ad080d0669p-2, 0x1.0ec96eb7b97e1p-2, 0x1.10408950368d3p-2, 0x1.11a0b6edfca7bp-2, 0x1.12ea8bce4efccp-2, 0x1.141e99a844f7ep-2, 0x1.153d6f90a47ep-2, 0x1.164799e0415d1p-2, 0x1.173da2205891cp-2, 0x1.18200efa176eep-2, 0x1.18ef6428d4d21p-2, 0x1.19ac2271ad227p-2, 0x1.1a56c79ca1c6ap-2, 0x1.1aefce6fd8a51p-2, 0x1.1b77aeb028703p-2, 0x1.1beedd21d715bp-2, 0x1.1c55cb89c06a2p-2, 0x1.1cace8b388f94p-2, 0x1.1cf4a0781ced4p-2, 0x1.1d2d5bc2f8e4fp-2, 0x1.1d57809b9a3dcp-2, 0x1.1d73723004706p-2, 0x1.1d8190dd41387p-2, 0x1.1d823a3aeeb47p-2, 0x1.1d75c9290fde1p-2, 0x1.1d5c95db7c51bp-2, 0x1.1d36f5e6b6164p-2, 0x1.1d053c504e3adp-2, 0x1.1cc7b99db5b6dp-2, 0x1.1c7ebbe230301p-2, 0x1.1c2a8ed0446fep-2, 0x1.1bcb7bcba2b5fp-2, 0x1.1b61c9f8b0f4p-2, 0x1.1aedbe4de7785p-2, 0x1.1a6f9ba76c6adp-2, 0x1.19e7a2d87862ap-2, 0x1.195612bbf6d3fp-2, 0x1.18bb28481228ap-2, 0x1.18171ea18a316p-2, 0x1.176a2f2be38c1p-2, 0x1.16b4919aa351ep-2, 0x1.15f67c0538dddp-2, 0x1.153022f8ad262p-2, 0x1.1461b9864882bp-2, 0x1.138b71546852p-2, 0x1.12ad7ab16e808p-2, 0x1.11c804a35a84bp-2, 0x1.10db3cf497ad3p-2, 0x1.0fe7504362a8p-2, 0x1.0eec6a130996fp-2, 0x1.0deab4d9a6fa7p-2, 0x1.0ce25a0af243ep-2, 0x1.0bd382257d687p-2, 0x1.0abe54c1e36fp-2, 0x1.09a2f89ef7f8cp-2, 0x1.088193aaf9171p-2, 0x1.075a4b0e538cbp-2, 0x1.062d43387744p-2, 0x1.04fa9fea93355p-2, 0x1.03c2843f796c7p-2, 0x1.028512b453867p-2, 0x1.01426d332175cp-2, 0x1.fff56a3787857p-3, 0x1.fd5c1694b9149p-3, 0x1.fab9203c78b06p-3, 0x1.f80cc705b9249p-3, 0x1.f55749ef496a2p-3, 0x1.f298e7288dfb3p-3, 0x1.efd1dc19d17aep-3, 0x1.ed02657353279p-3, 0x1.ea2abf3de6682p-3, 0x1.e74b24e2cf573p-3, 0x1.e463d12c6f2adp-3, 0x1.e174fe4c7eefcp-3, 0x1.de7ee5ec8cc7fp-3, 0x1.db81c13cf1bc5p-3, 0x1.d87dc8f611093p-3, 0x1.d5733551e4363p-3, 0x1.d2623e0f2534fp-3, 0x1.cf4b1a82934bbp-3, 0x1.cc2e01a68ba17p-3, 0x1.c90b2a193c536p-3, 0x1.c5e2ca0f67526p-3, 0x1.c2b51750db079p-3, 0x1.bf824747fe8f3p-3, 0x1.bc4a8f152d70fp-3, 0x1.b90e239047d91p-3, 0x1.b5cd393769473p-3, 0x1.b2880420689bap-3, 0x1.af3eb8000adecp-3, 0x1.abf1884062645p-3, 0x1.a8a0a80d47c68p-3, 0x1.a54c4a483d46bp-3, 0x1.a1f4a170125f3p-3, 0x1.9e99df96a92aap-3, 0x1.9b3c366fed16ap-3, 0x1.97dbd769866f7p-3, 0x1.9478f3b112779p-3, 0x1.9113bc2067cf3p-3, 0x1.8dac612251ep-3, 0x1.8a4312a9fc7a8p-3, 0x1.86d800446e68bp-3, 0x1.836b593126125p-3, 0x1.7ffd4c67d9f45p-3, 0x1.7c8e088383027p-3, 0x1.791dbba46d7fdp-3, 0x1.75ac93638ddffp-3, 0x1.723abce0fa923p-3, 0x1.6ec864de29954p-3, 0x1.6b55b7c9ffe4ep-3, 0x1.67e2e1b1cd954p-3, 0x1.64700e2249978p-3, 0x1.60fd6811c1f7p-3, 0x1.5d8b19e440a88p-3, 0x1.5a194d83f6ec6p-3, 0x1.56a82c77222d3p-3, 0x1.5337dfdf5dd63p-3, 0x1.4fc890613efaep-3, 0x1.4c5a660661a9cp-3, 0x1.48ed883040058p-3, 0x1.45821da45b34ap-3, 0x1.42184ca60a207p-3, 0x1.3eb03b080e6bp-3, 0x1.3b4a0e273f47cp-3, 0x1.37e5ead13a47cp-3, 0x1.3483f528f3ab9p-3, 0x1.3124509c16a2ep-3, 0x1.2dc71fef6687cp-3, 0x1.2a6c855750138p-3, 0x1.2714a2899dff7p-3, 0x1.23bf98bb2acccp-3, 0x1.206d888aacb31p-3, 0x1.1d1e91e6d2a64p-3, 0x1.19d2d4008c0fp-3, 0x1.168a6d5197f75p-3, 0x1.13457bb199719p-3, 0x1.10041c6a7f98ap-3, 0x1.0cc66c3e8014dp-3, 0x1.098c875bf3734p-3, 0x1.06568946f19cfp-3, 0x1.03248cc6aed67p-3, 0x1.ffed57c389c97p-4, 0x1.f999ffd5921dfp-4, 0x1.f34f43290b008p-4, 0x1.ed0d520242787p-4, 0x1.e6d45b86bb52bp-4, 0x1.e0a48da3d35f4p-4, 0x1.da7e14e96692bp-4, 0x1.d4611c6e94ff8p-4, 0x1.ce4dcdcfdd4b2p-4, 0x1.c8445146bb1cep-4, 0x1.c244cdcc54226p-4, 0x1.bc4f6934103cbp-4, 0x1.b664483086dc6p-4, 0x1.b0838e4242e2bp-4, 0x1.aaad5d9b41645p-4, 0x1.a4e1d70789c3cp-4, 0x1.9f2119e7c52f9p-4, 0x1.996b44407a789p-4, 0x1.93c072d5a446cp-4, 0x1.8e20c144e44bfp-4, 0x1.888c4a1266ad9p-4, 0x1.830326a43f6dp-4, 0x1.7d856f30c6aacp-4, 0x1.78133aaa72cbbp-4, 0x1.72ac9eb459a76p-4, 0x1.6d51afa5b8108p-4, 0x1.6802809b0d3b4p-4, 0x1.62bf238d12395p-4, 0x1.5d87a963e8d5ap-4, 0x1.585c21ffae8e8p-4, 0x1.533c9c34e2ee1p-4, 0x1.4e2925c075aabp-4, 0x1.4921cb3ae0f33p-4, 0x1.44269811b2025p-4, 0x1.3f37968ba63p-4, 0x1.3a54cfd63bfe5p-4, 0x1.357e4c1791111p-4, 0x1.30b4127e365cfp-4, 0x1.2bf6294a4e497p-4, 0x1.274495ce6f19ep-4, 0x1.229f5c6a0a655p-4, 0x1.1e068081a877dp-4, 0x1.197a047a160dap-4, 0x1.14f9e9ba37933p-4, 0x1.108630b404171p-4, 0x1.0c1ed8f1fd01cp-4, 0x1.07c3e124e57cp-4, 0x1.0375472e1c2b1p-4, 0x1.fe6610493069dp-5, 0x1.f5fa40a944b59p-5, 0x1.eda716784e87p-5, 0x1.e56c870dbd57fp-5, 0x1.dd4a861b6020bp-5, 0x1.d54105b6da619p-5, 0x1.cd4ff66d4c8e7p-5, 0x1.c577475c4334fp-5, 0x1.bdb6e64930201p-5, 0x1.b60ebfb22d6e1p-5, 0x1.ae7ebed55793ap-5, 0x1.a706cdaf450d9p-5, 0x1.9fa6d4f3a00d4p-5, 0x1.985ebc0567d4dp-5, 0x1.912e68f50da28p-5, 0x1.8a15c0892f3fbp-5, 0x1.8314a652ed966p-5, 0x1.7c2afcca424d6p-5, 0x1.7558a56b8c12p-5, 0x1.6e9d80cf438bep-5, 0x1.67f96eb67c6ffp-5, 0x1.616c4e0a0aa7dp-5, 0x1.5af5fccdc67c7p-5, 0x1.5496580cdd7b8p-5, 0x1.4e4d3bc75738cp-5, 0x1.481a82e9b3c39p-5, 0x1.41fe0755b2863p-5, 0x1.3bf7a1fe72c19p-5, 0x1.36072b13e5aebp-5, 0x1.302c7a34314bap-5, 0x1.2a67669722235p-5, 0x1.24b7c728533d8p-5, 0x1.1f1d72888a18p-5, 0x1.19983ef46556bp-5, 0x1.142802160caf3p-5, 0x1.0ecc90ce648cdp-5, 0x1.0985bf06a8e03p-5, 0x1.04535f9bafcccp-5, 0x1.fe6a88dd34e6bp-6, 0x1.f4567d3b08c63p-6, 0x1.ea6a3db652c1ap-6, 0x1.e0a56ba5959f3p-6, 0x1.d707a8ffbea3ep-6, 0x1.cd9098c34fab5p-6, 0x1.c43fdef2cf2d6p-6, 0x1.bb15201cb2f3fp-6, 0x1.b2100082dd75ap-6, 0x1.a9302312e55c1p-6, 0x1.a075287373b9fp-6, 0x1.97deae6e0260fp-6, 0x1.8f6c4febfa6a6p-6, 0x1.871da59d06efbp-6, 0x1.7ef24731ae119p-6, 0x1.76e9ccec07d1bp-6, 0x1.6f03d12b40d88p-6, 0x1.673ff18e9566ep-6, 0x1.5f9dcf5cb7f2bp-6, 0x1.581d0f03a7053p-6, 0x1.50bd56bae3988p-6, 0x1.497e4c8a7db5fp-6, 0x1.425f94272367bp-6, 0x1.3b60cd2882221p-6, 0x1.34819215bc0e9p-6, 0x1.2dc1789972f5ep-6, 0x1.272012ed94942p-6, 0x1.209cf24491477p-6, 0x1.1a37a9b3d0b87p-6, 0x1.13efd0fb70587p-6, 0x1.0dc506830a4bep-6, 0x1.07b6f006f83ep-6, 0x1.01c539b5ea0d4p-6, 0x1.f7df27ad9256ep-7, 0x1.ec6b5ecf4a104p-7, 0x1.e12e74d4ededbp-7, 0x1.d627b96608c9fp-7, 0x1.cb566beeea86ep-7, 0x1.c0b9bb4be68d7p-7, 0x1.b650c941dd5cep-7, 0x1.ac1ab132c0042p-7, 0x1.a21690c2071ddp-7, 0x1.984390a93208dp-7, 0x1.8ea0ebe1f46ccp-7, 0x1.852df39424de6p-7, 0x1.7bea0ed08ba75p-7, 0x1.72d4b5f7a4ec5p-7, 0x1.69ed6a9556a2fp-7, 0x1.6133ad46e09c1p-7, 0x1.58a6f3bf9743p-7, 0x1.5046a10a53a3cp-7, 0x1.481201b14cccp-7, 0x1.40084c9ead2bp-7, 0x1.3828a885c8b51p-7, 0x1.307234bbc4394p-7, 0x1.28e413c67369dp-7, 0x1.217d75a6fb1e1p-7, 0x1.1a3d9ffe3d6b6p-7, 0x1.1323f28b49d72p-7, 0x1.0c2fe72398b77p-7, 0x1.05610d0fb3289p-7, 0x1.fd6e012d11d16p-8, 0x1.f062c09bf1b79p-8, 0x1.e39f849a5bc79p-8, 0x1.d72356dd76b12p-8, 0x1.caed14b03427bp-8, 0x1.befb6e3398601p-8, 0x1.b34cee6a704adp-8, 0x1.a7e009f81f0e6p-8, 0x1.9cb3317db1d8p-8, 0x1.91c4e43657d61p-8, 0x1.8713bfb348fafp-8, 0x1.7c9e8a413fc1ap-8, 0x1.7264368da0b55p-8, 0x1.6863e0670c21fp-8, 0x1.5e9cc3a598d02p-8, 0x1.550e2f16d9713p-8, 0x1.4bb775abbad0cp-8, 0x1.4297e03a7ef53p-8, 0x1.39aea203c73c4p-8, 0x1.30fad1c23f844p-8, 0x1.287b6858baa94p-8, 0x1.202f4549bff99p-8, 0x1.181538224b1ccp-8, 0x1.102c0cf529155p-8, 0x1.0872990ac5a56p-8, 0x1.00e7c48210b98p-8, 0x1.f3151cdb1902bp-9, 0x1.e4b4163d75f6dp-9, 0x1.d6aabdbbd31cfp-9, 0x1.c8f7714d4eff4p-9, 0x1.bb989f3c6461p-9, 0x1.ae8cc6c6f7fe7p-9, 0x1.a1d279caef7eap-9, 0x1.956859b64eaeep-9, 0x1.894d0d50c97e8p-9, 0x1.7d7f32737eee8p-9, 0x1.71fd52a8dc849p-9, 0x1.66c5e14b22b66p-9, 0x1.5bd74501c22f6p-9, 0x1.512fe8048eeb4p-9, 0x1.46ce4623a189dp-9, 0x1.3cb0f005e8616p-9, 0x1.32d680c39cd76p-9, 0x1.293d8b5e1b163p-9, 0x1.1fe48bb473bdep-9, 0x1.16c9e5d1dace8p-9, 0x1.0debf6282f9dp-9, 0x1.05492a6e9a17ap-9, 0x1.f9c02a1e98353p-10, 0x1.e95ee1b7aa159p-10, 0x1.d96c2ba9b1beap-10, 0x1.c9e5d40811e15p-10, 0x1.bac9b55c69972p-10, 0x1.ac15c2f3a297p-10, 0x1.9dc81c1dc3a3ep-10, 0x1.8fdf1117ace6ap-10, 0x1.82590cc6617abp-10, 0x1.7534686960a11p-10, 0x1.686f3afa8eafcp-10, 0x1.5c0739909c1e8p-10, 0x1.4ff9baa6bb58ap-10, 0x1.4443e3434d10fp-10, 0x1.38e2f189f8814p-10, 0x1.2dd482b17827fp-10, 0x1.2316aa15c4a5bp-10, 0x1.18a7c341b4a99p-10, 0x1.0e8616230adf1p-10, 0x1.04af8d220b3d6p-10, 0x1.f64373f0e85b9p-11, 0x1.e3b46121617eap-11, 0x1.d1adfeebaa2f1p-11, 0x1.c02deeaaf2214p-11, 0x1.af33273ba1227p-11, 0x1.9ebd1dbd4c95ep-11, 0x1.8ecab1b248bacp-11, 0x1.7f595c9bccf8p-11, 0x1.7064f8f934c38p-11, 0x1.61e82f21c0fdp-11, 0x1.53dd60eca4e33p-11, 0x1.463fc6830942cp-11, 0x1.390c48c4be872p-11, 0x1.2c419e214751cp-11, 0x1.1fdf7a8f0c4e5p-11, 0x1.13e53799467e8p-11, 0x1.0850c64bed58ap-11, 0x1.fa3d177051258p-12, 0x1.e49432e14b158p-12, 0x1.cf9e5f9eff8b8p-12, 0x1.bb550171a4904p-12, 0x1.a7b3ea73054aap-12, 0x1.94b8e6bee69c6p-12, 0x1.8262a2243360bp-12, 0x1.70af716f944c6p-12, 0x1.5f9c4eacfbb53p-12, 0x1.4f242029ed503p-12, 0x1.3f3f9c2cd2d87p-12, 0x1.2fe644ba02053p-12, 0x1.211066800e71fp-12, 0x1.12b91aadd6365p-12, 0x1.04def91b41fcfp-12, 0x1.ef05b199b7a2ep-13, 0x1.d54ab7c743cdcp-13, 0x1.bc8a05292b996p-13, 0x1.a4bbedabd0324p-13, 0x1.8dd68b0f1bd4fp-13, 0x1.77d0ec0d2b50ap-13, 0x1.62a4f3a27c52ep-13, 0x1.4e4e6d240fce3p-13, 0x1.3ac80492202dbp-13, 0x1.280948e857cb5p-13, 0x1.1607ddbb454dbp-13, 0x1.04ba8761c2fa2p-13, 0x1.e83628af7d50cp-14, 0x1.c84b2abb5598fp-14, 0x1.a9abe734f6f02p-14, 0x1.8c4c667d37666p-14, 0x1.701d432eb42dp-14, 0x1.550f2fb6803c2p-14, 0x1.3b177c98513d2p-14, 0x1.22326dd3e3fc8p-14, 0x1.0a6103de07652p-14, 0x1.e7469b56e546ap-15, 0x1.bbe6ea94a21c1p-15, 0x1.928d29fd83648p-15, 0x1.6b258215feb57p-15, 0x1.45a3f1236e8ffp-15, 0x1.21fcfb2bdefb7p-15, 0x1.001ea9853664dp-15, 0x1.bfe5e612cf0cep-16, 0x1.82cba280950c1p-16, 0x1.48d0b92d21242p-16, 0x1.11df7a22a13dap-16, 0x1.bbc4850050046p-17, 0x1.59760b6feb59ap-17, 0x1.f904945c79072p-18, 0x1.4912542597fedp-18, 0x1.4494734a4cc08p-19, 0x1.044599b61ed4ap-24, -0x1.23603ae5647a9p-19, -0x1.1ea6096bcc936p-18, -0x1.a2b36aaafbb1dp-18, -0x1.0f287a6ae0392p-17, -0x1.490afc80c8038p-17, -0x1.7f0b05e9efe8ap-17, -0x1.b10d299cc2b7cp-17, -0x1.df25c39feb392p-17, -0x1.04d284c14cde1p-16, -0x1.18735ef073cf4p-16, -0x1.2a983d5146bb2p-16, -0x1.3b56ed6e3fc37p-16, -0x1.4aba6245b464ap-16, -0x1.58c3943873ac7p-16, -0x1.656c6ac81371p-16, -0x1.70af508c8f732p-16, -0x1.7a8f2b29012e9p-16, -0x1.831e104e1ecaap-16, -0x1.8a85def3f29c9p-16, -0x1.90fd8abc18858p-16, -0x1.969f17c91be02p-16, -0x1.9b5d7ad058627p-16, -0x1.9f3374f2457e9p-16, -0x1.a2376dd331c4cp-16, -0x1.a473bb0257449p-16, -0x1.a5d8910b0dab7p-16, -0x1.a664ef4269b45p-16, -0x1.a6326d97550afp-16, -0x1.a555f2fd32d7ap-16, -0x1.a3d32b4b90737p-16, -0x1.a1acbb4d4420ap-16, -0x1.9eef8a2da1b36p-16, -0x1.9bad92f9ed14ep-16, -0x1.97f46e119c729p-16, -0x1.93c8ace14fce3p-16, -0x1.8f27e7a0e70a9p-16, -0x1.8a0fb7910e39p-16, -0x1.848280365f7b3p-16, -0x1.7e87f1735e8fdp-16, -0x1.7835203bc6ccdp-16, -0x1.71a90dfaf9981p-16, -0x1.6ae42fad94cdbp-16, -0x1.63ca38c9705fap-16, -0x1.5c5baff0d7fd8p-16, -0x1.54af3c39f8ab4p-16, -0x1.4cc32c33a24fep-16, -0x1.4492efcbbf56fp-16, -0x1.3c340e993f16fp-16, -0x1.33bdd4b92d15fp-16, -0x1.2b31fc4b55ce3p-16, -0x1.228698c21eb1ep-16, -0x1.19bb95d001f13p-16, -0x1.10dc0ec595d7ap-16, -0x1.07ecf028f817cp-16, -0x1.fdd1a7f35ef6dp-17, -0x1.eb9b62f2b9dcfp-17, -0x1.d942628b0dc54p-17, -0x1.c6d34ce42ba4p-17, -0x1.b456ba8c02f48p-17, -0x1.a1d26005ef389p-17, -0x1.8f44fcb6c088ap-17, -0x1.7cb6cf17bab14p-17, -0x1.6a46e768c67b6p-17, -0x1.57f2db3d1b7e8p-17, -0x1.45a7612ff54d1p-17, -0x1.337ebaf4f8e38p-17, -0x1.217c14f1ad963p-17, -0x1.0f85e14c6b70dp-17, -0x1.fb46aaa6ca01dp-18, -0x1.d7cd753c186e4p-18, -0x1.b4ab7d268ca8bp-18, -0x1.91dccbcb1544fp-18, -0x1.6f5b72fd6b1e8p-18, -0x1.4d26dcdcae6d9p-18, -0x1.2b4e586f477f6p-18, -0x1.09f0cf061ee9cp-18, -0x1.d235d08bed4bcp-19, -0x1.91713bb3e248bp-19, -0x1.5189d33289209p-19, -0x1.12adf5034e994p-19, -0x1.a9b31717d7c4bp-20, -0x1.2fbbded02747dp-20, -0x1.6ef8496d0f4b5p-21, -0x1.040c2e61f7263p-22, 0x1.9d67aefd3a451p-23, 0x1.4bf714b6b6dbdp-21, 0x1.15dc207567fa7p-20, 0x1.83569a11ef0b1p-20, 0x1.ee518010fa2bdp-20, 0x1.2bb5fce209218p-19, 0x1.5f4b49cf76abcp-19, 0x1.91bc4e7bd1771p-19, 0x1.c2ffa44a38f7ap-19, 0x1.f31a1a6b1941p-19, 0x1.1107b62a2b74fp-18, 0x1.27f064ce54481p-18, 0x1.3e472cf6d0626p-18, 0x1.540c3cdc23c1cp-18, }}, 
      {{0x1.580b9560f7b81p-3, 0x1.3d02aae87e2c5p-2, 0x1.a6483e7936556p-2, 0x1.e4ffbb0578e05p-2, 0x1.fbe0aad9d02e1p-2, 0x1.f07c9424226fdp-2, 0x1.c98fb44bc6779p-2, 0x1.8dfaaedfe9b3bp-2, 0x1.442a6c8465b2dp-2, 0x1.e38fb70ef3b2p-3, 0x1.372c8cb3060b1p-3, 0x1.15bae9e04a0fap-4, -0x1.b658152c47595p-7, -0x1.6e62999d4bbfcp-4, -0x1.4571f712c0c6p-3, -0x1.c43336d40410fp-3, -0x1.1935bb41bfab7p-2, -0x1.47e5df4032bbap-2, -0x1.6e4aba67fe86cp-2, -0x1.8cbb14ff38f53p-2, -0x1.a3b494929211cp-2, -0x1.b3cf289ec4d86p-2, -0x1.bdb2d652b1383p-2, -0x1.c20f9acdf7439p-2, -0x1.c1971abf12312p-2, -0x1.bcf7d85436398p-2, -0x1.b4d9ad3823609p-2, -0x1.a9db4d0fdefc9p-2, -0x1.9c909c88d360ep-2, -0x1.8d81b0a227af3p-2, -0x1.7d2a50fa18c63p-2, -0x1.6bf9de4e700c5p-2, -0x1.5a5383fa4bbdbp-2, -0x1.488ea00dae1f2p-2, -0x1.36f751b23d712p-2, -0x1.25cf20ff3ee8cp-2, -0x1.154db638925eap-2, -0x1.05a198cce33f5p-2, -0x1.ede1e09f81c81p-3, -0x1.d2b486687f80cp-3, -0x1.b9ea608405f8ep-3, -0x1.a3a6415b8d50ep-3, -0x1.8fffe2e7b2dap-3, -0x1.7f0526346249cp-3, -0x1.70bb3ec662979p-3, -0x1.651fc985b415fp-3, -0x1.5c29cf3996e0ap-3, -0x1.55cab2ef86ab6p-3, -0x1.51ef0cdd80cfap-3, -0x1.507f72766d021p-3, -0x1.51612c8241bbap-3, -0x1.5476dc1c95711p-3, -0x1.59a10f87fb7d8p-3, -0x1.60bec7c89b587p-3, -0x1.69adeff9bb6b1p-3, -0x1.744bc74c85c8p-3, -0x1.80753e9ac3ecbp-3, -0x1.8e074a7b11e66p-3, -0x1.9cdf2aabf0826p-3, -0x1.acdaa7c6b02ccp-3, -0x1.bdd847cd306bep-3, -0x1.cfb77aa271d6bp-3, -0x1.e258beafe9597p-3, -0x1.f59dbf3f58138p-3, -0x1.04b4b60dd6685p-2, -0x1.0ed00631578ddp-2, -0x1.1913a5d161e0fp-2, -0x1.2373213186d64p-2, -0x1.2de2be47e987p-2, -0x1.38577c0ce8b42p-2, -0x1.42c714795b6f3p-2, -0x1.4d27f74b72227p-2, -0x1.57714a37c7d2ep-2, -0x1.619ae27fd3f24p-2, -0x1.6b9d404c6add6p-2, -0x1.75718b5ffedeap-2, -0x1.7f118991f1d94p-2, -0x1.88779c884f2dp-2, -0x1.919eb83d1a683p-2, -0x1.9a825d46c374ap-2, -0x1.a31e91e3b548ap-2, -0x1.ab6fda370bac3p-2, -0x1.b3733214d429ap-2, -0x1.bb2605c6d5ac1p-2, -0x1.c2862bd4a4454p-2, -0x1.c991de608de5fp-2, -0x1.d047b4f590788p-2, -0x1.d6a69e5baf386p-2, -0x1.dcadda9724488p-2, -0x1.e25cf534f154p-2, -0x1.e7b3bfd2b9d86p-2, -0x1.ecb24cf792593p-2, -0x1.f158eb2d57f5bp-2, -0x1.f5a8205bcecb7p-2, -0x1.f9a0a5534f054p-2, -0x1.fd43618107d31p-2, -0x1.0048b365c3433p-1, -0x1.01c5f6c71e195p-1, -0x1.031a285ecdf14p-1, -0x1.0446051ae8a95p-1, -0x1.054a579a10026p-1, -0x1.0627f682f3d51p-1, -0x1.06dfc2f51d8acp-1, -0x1.0772a71252839p-1, -0x1.07e194a2a0b09p-1, -0x1.082d83cf12ab1p-1, -0x1.085771f15cb55p-1, -0x1.08606079538e5p-1, -0x1.084953e4addeep-1, -0x1.081352c801fe1p-1, -0x1.07bf64ea8d69cp-1, -0x1.074e9272eeb2ap-1, -0x1.06c1e323ffdb8p-1, -0x1.061a5dabbff15p-1, -0x1.055907030acf8p-1, -0x1.047ee1dcd56cdp-1, -0x1.038cee2592854p-1, -0x1.02842891f0b34p-1, -0x1.01658a3ae5f13p-1, -0x1.0032084609dd5p-1, -0x1.fdd52734aace8p-2, -0x1.fb20313daf315p-2, -0x1.f846fe0425869p-2, -0x1.f54b53148b9eap-2, -0x1.f22eebda00931p-2, -0x1.eef3795aa52fep-2, -0x1.eb9aa200611c4p-2, -0x1.e826016d05526p-2, -0x1.e497285a493e1p-2, -0x1.e0ef9c82fa927p-2, -0x1.dd30d8953ae49p-2, -0x1.d95c4c2f92aebp-2, -0x1.d5735be55e403p-2, -0x1.d177614a51c02p-2, -0x1.cd69ab06b8b6fp-2, -0x1.c94b7cf12a69fp-2, -0x1.c51e102dba11ep-2, -0x1.c0e2935379fd9p-2, -0x1.bc9a2a94f016ap-2, -0x1.b845efec64e29p-2, -0x1.b3e6f34cccbf1p-2, -0x1.af7e3ad38de7dp-2, -0x1.ab0cc2fc0fe0ep-2, -0x1.a6937ed6bcb0dp-2, -0x1.a213583fff766p-2, -0x1.9d8d301755e8ap-2, -0x1.9901de78a660dp-2, -0x1.947232f567469p-2, -0x1.8fdef4cd0c012p-2, -0x1.8b48e326ab0d8p-2, -0x1.86b0b54a7d601p-2, -0x1.82171ada16ffep-2, -0x1.7d7cbc093991p-2, -0x1.78e239d681ec8p-2, -0x1.74482e4280a9ap-2, -0x1.6faf2c86b9248p-2, -0x1.6b17c14c9d006p-2, -0x1.668272e2ad8d7p-2, -0x1.61efc170c37b1p-2, -0x1.5d60272caa8a5p-2, -0x1.58d4188cfd176p-2, -0x1.544c0479cee33p-2, -0x1.4fc8547da3112p-2, -0x1.4b496cf61a754p-2, -0x1.46cfad41984f3p-2, -0x1.425b6feb38e3ep-2, -0x1.3ded0ad7b7c8fp-2, -0x1.3984cf7143c02p-2, -0x1.35230acfc6d0cp-2, -0x1.30c805e01558p-2, -0x1.2c74058c40b0ep-2, -0x1.28274ae25f5a9p-2, -0x1.23e21337c8ec7p-2, -0x1.1fa4984b939aep-2, -0x1.1b6f106a2e498p-2, -0x1.1741ae8f5da3bp-2, -0x1.131ca284ef6b9p-2, -0x1.0f001900d7d01p-2, -0x1.0aec3bc44ac4ep-2, -0x1.06e131b959cd5p-2, -0x1.02df1f0d8834p-2, -0x1.fdcc4a97e8c6fp-3, -0x1.f5ecc6f12bc28p-3, -0x1.ee1fec541e42ap-3, -0x1.e665ef40cbe08p-3, -0x1.debeffb68090ep-3, -0x1.d72b4963cef07p-3, -0x1.cfaaf3d5002f2p-3, -0x1.c83e229b0e5a1p-3, -0x1.c0e4f56f6754ap-3, -0x1.b99f885c9705bp-3, -0x1.b26df3e9b91f2p-3, -0x1.ab504d3f1b83p-3, -0x1.a446a6427218ap-3, -0x1.9d510db4bb668p-3, -0x1.966f8f583f4a9p-3, -0x1.8fa23416d6b45p-3, -0x1.88e9021de2c8dp-3, -0x1.8243fcf25cec6p-3, -0x1.7bb32589ddd5cp-3, -0x1.75367a6d73e9cp-3, -0x1.6ecdf7dbdb42ep-3, -0x1.687997dfb8c3ep-3, -0x1.6239525d56c4ep-3, -0x1.5c0d1d25e1217p-3, -0x1.55f4ec15f395dp-3, -0x1.4ff0b1356f538p-3, -0x1.4a005ccbc97f2p-3, -0x1.4423dd6983642p-3, -0x1.3e5b1ff448d7p-3, -0x1.38a60fbef66f5p-3, -0x1.330496a770f01p-3, -0x1.2d769d2c8be8dp-3, -0x1.27fc0a770cecfp-3, -0x1.2294c45f3ba9ap-3, -0x1.1d40af7b7ee0dp-3, -0x1.17ffaf39661f7p-3, -0x1.12d1a5f626b71p-3, -0x1.0db6750c0da78p-3, -0x1.08adfcd61f9b6p-3, -0x1.03b81cb513761p-3, -0x1.fda9663d07eafp-4, -0x1.f4073b6734f51p-4, -0x1.ea8972a92f3a9p-4, -0x1.e12fc4538613fp-4, -0x1.d7f9e749f3ef5p-4, -0x1.cee7910b6c1e4p-4, -0x1.c5f875cc4ebc7p-4, -0x1.bd2c489d03f99p-4, -0x1.b482bb8b0d75fp-4, -0x1.abfb7fb0497bcp-4, -0x1.a3964534e4dacp-4, -0x1.9b52bb539a1b2p-4, -0x1.9330906c6feefp-4, -0x1.8b2f7223a2298p-4, -0x1.834f0d7f6b6e9p-4, -0x1.7b8f0ef8b5488p-4, -0x1.73ef227e6928p-4, -0x1.6c6ef3762786ap-4, -0x1.650e2cc61350dp-4, -0x1.5dcc78ea879efp-4, -0x1.56a98210278bap-4, -0x1.4fa4f2275b85cp-4, -0x1.48be72ec0646ep-4, -0x1.41f5ade5c0768p-4, -0x1.3b4a4c6a24989p-4, -0x1.34bbf7a7f20aap-4, -0x1.2e4a58ba2994p-4, -0x1.27f518bbfa407p-4, -0x1.21bbe0d60a791p-4, -0x1.1b9e5a42e4f45p-4, -0x1.159c2e4ed14dap-4, -0x1.0fb5065a2946dp-4, -0x1.09e88be27ed46p-4, -0x1.04366891737f9p-4, -0x1.fd3c8c9802dcep-5, -0x1.f23f9e79db27ap-5, -0x1.e7755bb140499p-5, -0x1.dcdd19ba4fe0bp-5, -0x1.d2762ea6a7b22p-5, -0x1.c83ff128f3433p-5, -0x1.be39b8a99cdb4p-5, -0x1.b462dd5e39fccp-5, -0x1.aabab85be20bdp-5, -0x1.a140a3a02c112p-5, -0x1.97f3fa12937f1p-5, -0x1.8ed41784685c4p-5, -0x1.85e058b57cf0fp-5, -0x1.7d181b5fea431p-5, -0x1.747abe486b614p-5, -0x1.6c07a14e24e74p-5, -0x1.63be257555fc3p-5, -0x1.5b9daceb8daaap-5, -0x1.53a59b07af73cp-5, -0x1.4bd5544a1a5d7p-5, -0x1.442c3e6094c16p-5, -0x1.3ca9c02eda877p-5, -0x1.354d41d9b6fd2p-5, -0x1.2e162cd1648dp-5, -0x1.2703ebd86e12dp-5, -0x1.2015eb06520c1p-5, -0x1.194b97c741da8p-5, -0x1.12a460dbab31dp-5, -0x1.0c1fb659e4499p-5, -0x1.05bd09b2d2da7p-5, -0x1.fef79b70f6f08p-6, -0x1.f2b6ed4917fccp-6, -0x1.e6b6f43a45d8p-6, -0x1.daf69e6ddb2a8p-6, -0x1.cf74dcea1a171p-6, -0x1.c430a39005f28p-6, -0x1.b928e91a9eef6p-6, -0x1.ae5ca72150e1bp-6, -0x1.a3cada1d82cdcp-6, -0x1.9972817147af2p-6, -0x1.8f529f6d0e661p-6, -0x1.856a3952cc5dcp-6, -0x1.7bb8575622239p-6, -0x1.723c049a3a0b9p-6, -0x1.68f44f2eee773p-6, -0x1.5fe0480eca408p-6, -0x1.56ff031eddcdap-6, -0x1.4e4f973006fb8p-6, -0x1.45d11e008941bp-6, -0x1.3d82b43cd09e3p-6, -0x1.3563797eac8cep-6, -0x1.2d72904b160b5p-6, -0x1.25af1e0ec4e97p-6, -0x1.1e184b1a6a541p-6, -0x1.16ad429f6faaap-6, -0x1.0f6d32ada5496p-6, -0x1.08574c31bb49ep-6, -0x1.016ac2f3cbda1p-6, -0x1.f54d9b2a346cdp-7, -0x1.e8154b1912092p-7, -0x1.db2b0e43d67c1p-7, -0x1.ce8d62d12e37dp-7, -0x1.c23acc73e82b6p-7, -0x1.b631d46117858p-7, -0x1.aa71094872453p-7, -0x1.9ef6ff4ef9419p-7, -0x1.93c2500ad198ap-7, -0x1.88d19a7e7f153p-7, -0x1.7e2383114156fp-7, -0x1.73b6b383d725ep-7, -0x1.6989dae157b89p-7, -0x1.5f9bad6da65cfp-7, -0x1.55eae4938c0ecp-7, -0x1.4c763ed4d58f9p-7, -0x1.433c7fbea917dp-7, -0x1.3a3c6fe3085e9p-7, -0x1.3174dcd6f5304p-7, -0x1.28e49932d5136p-7, -0x1.208a7c915491dp-7, -0x1.1865638960095p-7, -0x1.10742fa0471d6p-7, -0x1.08b5c73384636p-7, -0x1.0129155c01bd5p-7, -0x1.f39a139d88d9dp-8, -0x1.e54131811c5b6p-8, -0x1.d74575a3b7d18p-8, -0x1.c9a4da0e4ae61p-8, -0x1.bc5d619bce8a2p-8, -0x1.af6d1816afd2ep-8, -0x1.a2d2125c4d6cep-8, -0x1.968a6e74f684bp-8, -0x1.8a94538faa085p-8, -0x1.7eedf1d6dc76dp-8, -0x1.7395821ca4816p-8, -0x1.6889456962ea3p-8, -0x1.5dc78481153a8p-8, -0x1.534e8f7a51cdap-8, -0x1.491cbd803ac6dp-8, -0x1.3f306cd07c6p-8, -0x1.358802f7c849ep-8, -0x1.2c21ed3d5c849p-8, -0x1.22fca11f25e5bp-8, -0x1.1a169cb6b8817p-8, -0x1.116e66e092936p-8, -0x1.09028f0af4972p-8, -0x1.00d1aca6eac84p-8, -0x1.f1b4bc9da985p-9, -0x1.e23691990f831p-9, -0x1.d3262c6ed0601p-9, -0x1.c480eac5ab0bep-9, -0x1.b644338dfb456p-9, -0x1.a86d77e4f8d9dp-9, -0x1.9afa34e0e43d4p-9, -0x1.8de7f5dc73ed5p-9, -0x1.813456aa7353ep-9, -0x1.74dd051132ab2p-9, -0x1.68dfc10d28ef7p-9, -0x1.5d3a5b9d1d129p-9, -0x1.51eab43396dcdp-9, -0x1.46eeb542cb97ap-9, -0x1.3c44509d2607fp-9, -0x1.31e97c7e6d67fp-9, -0x1.27dc31fbdbe3cp-9, -0x1.1e1a6d4ffaae8p-9, -0x1.14a2300c69257p-9, -0x1.0b7184c79670dp-9, -0x1.0286837809f7ep-9, -0x1.f3beaaf068ff6p-10, -0x1.e2f47061c53cep-10, -0x1.d2aafb52c9d5bp-10, -0x1.c2df155c77a4bp-10, -0x1.b38da5928751p-10, -0x1.a4b3a596c030bp-10, -0x1.964e160b7fc43p-10, -0x1.8859f4e7aeb37p-10, -0x1.7ad437dd3b5cp-10, -0x1.6db9cc300829dp-10, -0x1.61079c2ee9e11p-10, -0x1.54ba9941be513p-10, -0x1.48cfc878b1b92p-10, -0x1.3d444ef37f9bcp-10, -0x1.32157b70105d8p-10, -0x1.2740cad724733p-10, -0x1.1cc3e69a3ab56p-10, -0x1.129c9cf5e4658p-10, -0x1.08c8d478497e7p-10, -0x1.fe8cfa72db31dp-11, -0x1.ec27058dfa90ep-11, -0x1.da5b8358867c3p-11, -0x1.c92605771c6ap-11, -0x1.b881f9f8c5a83p-11, -0x1.a86abb69c1755p-11, -0x1.98dba99c00dafp-11, -0x1.89d04619036ecp-11, -0x1.7b444ec15b0ep-11, -0x1.6d33d1a69a813p-11, -0x1.5f9b3675309abp-11, -0x1.52773b9ff8ae9p-11, -0x1.45c4e7ad75ba8p-11, -0x1.3981714893056p-11, -0x1.2daa229d2a16ep-11, -0x1.223c3d9d0e57p-11, -0x1.1734e6a13843cp-11, -0x1.0c91195dde28ep-11, -0x1.024da9b415eb3p-11, -0x1.f0ce9e977c183p-12, -0x1.ddb571aff80cap-12, -0x1.cb4945c1af3f9p-12, -0x1.b983db99a762dp-12, -0x1.a85f5ee5fe8d2p-12, -0x1.97d67b086bedbp-12, -0x1.87e45f0a8485fp-12, -0x1.7884b156b84dbp-12, -0x1.69b3769f6ad19p-12, -0x1.5b6cf10ad0efap-12, -0x1.4dad7d36d8c9dp-12, -0x1.40717261a81a2p-12, -0x1.33b50a43a62cdp-12, -0x1.277453f5562afp-12, -0x1.1bab338ad7d6bp-12, -0x1.10556e0e0c5ffp-12, -0x1.056ebf681dc92p-12, -0x1.f5e5eb4b10264p-13, -0x1.e1bc1644e0423p-13, -0x1.ce587150e5797p-13, -0x1.bbb3f5653fe85p-13, -0x1.a9c814126b078p-13, -0x1.988e9adc49ba9p-13, -0x1.880199647e75bp-13, -0x1.781b564d3ddf9p-13, -0x1.68d652c3a6785p-13, -0x1.5a2d51a796854p-13, -0x1.4c1b54d77e561p-13, -0x1.3e9b8aa068f1dp-13, -0x1.31a9315b52383p-13, -0x1.253f7fd457f0fp-13, -0x1.1959a06c1d854p-13, -0x1.0df2c2fd4b716p-13, -0x1.03063bf0a934fp-13, -0x1.f11f3bbde6cp-14, -0x1.dd1578fb5862bp-14, -0x1.c9e7276c9afedp-14, -0x1.b78c3dab3452bp-14, -0x1.a5fc6f27d7997p-14, -0x1.952f256e99ab7p-14, -0x1.851bbf53ec11bp-14, -0x1.75b9f69df0b81p-14, -0x1.670235977f40fp-14, -0x1.58edb23470b52p-14, -0x1.4b764c0d8d8d7p-14, -0x1.3e965118b2d3dp-14, -0x1.3248562cfb901p-14, -0x1.268736a694428p-14, -0x1.1b4e2959874ccp-14, -0x1.1098c77d23052p-14, -0x1.0662ee76720e4p-14, -0x1.f950ff41e46dcp-15, -0x1.e6ca2b279d60ep-15, -0x1.d5279c7df06d9p-15, -0x1.c45e8c4aff265p-15, -0x1.b463a3aabc72bp-15, -0x1.a52bcd222b0a4p-15, -0x1.96ad07125535dp-15, -0x1.88debf43f56b1p-15, -0x1.7bb973879ecf7p-15, -0x1.6f35ce821b801p-15, -0x1.634be840b1d2ep-15, -0x1.57f34daa6bb58p-15, -0x1.4d23e326aa885p-15, -0x1.42d70cc2ed1fdp-15, -0x1.39084ebe30b91p-15, -0x1.2fb4f5adb7ee2p-15, -0x1.26daeea205671p-15, -0x1.1e7765a04f94ap-15, -0x1.1685cff2894dap-15, -0x1.0effc0746260cp-15, -0x1.07dd81d8477c9p-15, -0x1.0117337e789d3p-15, -0x1.f54c1051b103ap-16, -0x1.e90a5a5993eaep-16, -0x1.dd63c0a8a201dp-16, -0x1.d255149666c6ap-16, -0x1.c7da996bd3ebap-16, -0x1.bdedc6adb253cp-16, -0x1.b485044a6474bp-16, -0x1.ab953ede2e1acp-16, -0x1.a31419441f6e1p-16, -0x1.9af990936755dp-16, -0x1.934084dae8227p-16, -0x1.8be619bd38eacp-16, -0x1.84e858e61addap-16, -0x1.7e44ca6fcf9f6p-16, -0x1.77f779f3e7231p-16, -0x1.71fa7e62d0e5ap-16, -0x1.6c46244b331b6p-16, -0x1.66d1f7f2da39p-16, -0x1.61968617281bp-16, -0x1.5c8efbdb67d19p-16, -0x1.57b9994f9de65p-16, -0x1.53168590085d7p-16, -0x1.4ea5b77f8ca05p-16, -0x1.4a656aacfa89bp-16, -0x1.46520ceee0277p-16, -0x1.42674bf4c4f0dp-16, -0x1.3ea1599265ce9p-16, -0x1.3afd9d2dccd52p-16, -0x1.377a4a999bfa3p-16, -0x1.34152db660604p-16, -0x1.30caeb2dc3b7ep-16, -0x1.2d9783aadc621p-16, -0x1.2a778500c2155p-16, -0x1.2768c1074e0fdp-16, -0x1.246a00bf5001bp-16, -0x1.217a21e1effecp-16, -0x1.1e977395e6b15p-16, -0x1.1bbfbddde9566p-16, -0x1.18f0ce3bdfbd9p-16, -0x1.1629297c2cd7fp-16, -0x1.136865498e48ep-16, -0x1.10aecfcd92e1fp-16, -0x1.0dfc92c3e283bp-16, -0x1.0b50fbc2f0cd4p-16, -0x1.08aaa9c022982p-16, -0x1.06087a4f6c1ep-16, -0x1.0369f32a32b46p-16, -0x1.00ceac48ea6b3p-16, -0x1.fc6b8a57a56b8p-17, -0x1.f73c22d4e8529p-17, -0x1.f20d0f8b0fdecp-17, -0x1.ecdce76760701p-17, -0x1.e7aac0d8c39dap-17, -0x1.e275c6c1ea272p-17, -0x1.dd3ce067d960fp-17, -0x1.d7feaee02b04p-17, -0x1.d2b9c0f96c57cp-17, -0x1.cd6cbe4e274bp-17, -0x1.c816de82ba435p-17, -0x1.c2b89f5e996d8p-17, -0x1.bd53752da289fp-17, -0x1.b7e83cb99bc4p-17, -0x1.b2765eea61726p-17, -0x1.acfd0538d9d2dp-17, -0x1.a77c9daf9a76bp-17, -0x1.a1f63c323164ap-17, -0x1.9c6a090c0a955p-17, -0x1.96d72baa58cc5p-17, -0x1.913cc5afbecebp-17, -0x1.8b9a85a3ed181p-17, -0x1.85f09846a0cbcp-17, -0x1.803f6de3aadefp-17, -0x1.7a87966d7eadap-17, -0x1.74c9b00ea108p-17, -0x1.6f0653e9a4cf1p-17, -0x1.693dffd4f9179p-17, -0x1.6370ff97f3701p-17, -0x1.5d9f54583935ep-17, -0x1.57c8d048368a2p-17, -0x1.51ed88048d061p-17, -0x1.4c0e0aaca96f7p-17, -0x1.462b0bb18be65p-17, -0x1.404517c021b3dp-17, -0x1.3a5cb58fa402dp-17, -0x1.34727ad7ce612p-17, -0x1.2e86e32f1493dp-17, -0x1.289a532ce4db7p-17, -0x1.22ad2e4e1079ep-17, -0x1.1cbfcab289a85p-17, -0x1.16d2802499f4dp-17, -0x1.10e5cff6dbc9fp-17, -0x1.0afa6387371c2p-17, -0x1.0510dff0609d8p-17, -0x1.fe537b8f3b2b5p-18, -0x1.f28a91e294e27p-18, -0x1.e6c7911c0b55ap-18, -0x1.db0b3daf16bdp-18, -0x1.cf569ddf49d42p-18, -0x1.c3ab6783eac7fp-18, -0x1.b80bd4c4d81eep-18, -0x1.ac78919c93cfp-18, -0x1.a0f0c9aa3b63ap-18, -0x1.95750c7f82dfap-18, -0x1.8a06f5e31d8f7p-18, -0x1.7ea6dd990e1ebp-18, -0x1.73550dd3234bp-18, -0x1.681363fea8fd5p-18, -0x1.5ce4023ac97c8p-18, -0x1.51c7b2e603d4fp-18, -0x1.46be39d41c78bp-18, -0x1.3bc7ecc7c055fp-18, -0x1.30e628fcdad5bp-18, -0x1.2619ee230ef96p-18, -0x1.1b632f6a1cd45p-18, -0x1.10c1f999b2e44p-18, -0x1.063710fa1f344p-18, -0x1.f786c61b6bb3fp-19, -0x1.e2cf7f34fd25dp-19, -0x1.ce49a9fff0bp-19, -0x1.b9f5bde1deae7p-19, -0x1.a5d54c9a7de31p-19, -0x1.91ecab921225cp-19, -0x1.7e3bff284ef43p-19, -0x1.6ac150f6134ap-19, -0x1.57805022af992p-19, -0x1.4479cdb37bc62p-19, -0x1.31ab0a8bdbd5ep-19, -0x1.1f1557fed085cp-19, -0x1.0cbb610293532p-19, -0x1.f53c61a00a81ap-20, -0x1.d17b98eabbf1fp-20, -0x1.ae3414d43258ap-20, -0x1.8b66240dbeea1p-20, -0x1.691463ca2521p-20, -0x1.474417196c006p-20, -0x1.25f7efd397e0cp-20, -0x1.052d0b7216e9p-20, -0x1.c9c54897fcfa7p-21, -0x1.8a3a22deda27p-21, -0x1.4bb8b0ff0d98cp-21, -0x1.0e38516beaba6p-21, -0x1.a3723e668b9ffp-22, -0x1.2c7846de6e37fp-22, -0x1.6f06b27ba47aep-23, -0x1.12ccbb2ed5183p-24, 0x1.5fad17a77bf5bp-25, 0x1.34f226a506e7bp-23, 0x1.06d27b2644b8cp-22, 0x1.71237031b2507p-22, 0x1.d969972567937p-22, 0x1.1fc9bdaf0b052p-21, 0x1.51cf06f491934p-21, 0x1.82c60ef5924cp-21, 0x1.b2b00c9e13e71p-21, 0x1.e18dc1b9c424dp-21, 0x1.07afe9936f07p-20, 0x1.1e13879b73667p-20, }}, 
      {{-0x1.f0be3b1277fddp+1, -0x1.d48eb690ccb04p+1, -0x1.b22eabc7703a4p+1, -0x1.8f3b7ed5c2c58p+1, -0x1.6ec9385442084p+1, -0x1.5251cc482956ap+1, -0x1.3a527ff1dcc92p+1, -0x1.26b325f6578a5p+1, -0x1.170971f9f343bp+1, -0x1.0ac44f810a124p+1, -0x1.01471e03a7ecfp+1, -0x1.f3f429eaa4dd6p+0, -0x1.e8a6dd5e7e7f7p+0, -0x1.dfb79e352a82fp+0, -0x1.d85f40037b7b1p+0, -0x1.d1fd1ee08fcb5p+0, -0x1.cc13fc692e4d5p+0, -0x1.c645cfd2e35c8p+0, -0x1.c04f3998210bp+0, -0x1.ba03076d7ae15p+0, -0x1.b34605e9f3f06p+0, -0x1.ac0b3f74df924p+0, -0x1.a450b58d49dc1p+0, -0x1.9c1c95fdcc899p+0, -0x1.937ae65659c4p+0, -0x1.8a7b9baefdcfcp+0, -0x1.81311282d37d2p+0, -0x1.77aed9c4aaddfp+0, -0x1.6e08c4a073b11p+0, -0x1.64523743c8f22p+0, -0x1.5a9da43a51a85p+0, -0x1.50fc313672217p+0, -0x1.477d7b6796fd4p+0, -0x1.3e2f74b3dc8b3p+0, -0x1.351e5443561a8p+0, -0x1.2c5495c3f3c3dp+0, -0x1.23db03a56235ep+0, -0x1.1bb8c945fea19p+0, -0x1.13f38aa6bd0ebp+0, -0x1.0c8f7fbf2da7bp+0, -0x1.058f91f6b7df9p+0, -0x1.fdeaf53fc6a76p-1, -0x1.f183c331de144p-1, -0x1.e5e8f6d9a5d87p-1, -0x1.db184cf78566dp-1, -0x1.d10e0da9aec87p-1, -0x1.c7c5410b0d04bp-1, -0x1.bf37e071777bfp-1, -0x1.b75f041fb9864p-1, -0x1.b0330d59731f5p-1, -0x1.a9abccda84edcp-1, -0x1.a3c0a5c288a22p-1, -0x1.9e68ad104befbp-1, -0x1.999ac5d10b998p-1, -0x1.954dba2d1684bp-1, -0x1.9178517dec712p-1, -0x1.8e11639dbefa7p-1, -0x1.8b0fe9a154fcfp-1, -0x1.886b0c2e0b65ap-1, -0x1.861a2f9d233ffp-1, -0x1.8414fe1476b53p-1, -0x1.82536fc8f07a7p-1, -0x1.80cdd18b2a688p-1, -0x1.7f7cc9e53621dp-1, -0x1.7e595ccdde5c7p-1, -0x1.7d5cee3ea6c9fp-1, -0x1.7c814397f6313p-1, -0x1.7bc0840956379p-1, -0x1.7b153872222e2p-1, -0x1.7a7a49e3da874p-1, -0x1.79eb00e22d10dp-1, -0x1.796302303ebacp-1, -0x1.78de4d4a1a2ddp-1, -0x1.7859389f45553p-1, -0x1.77d06e5fcd21p-1, -0x1.7740e9c96ca3fp-1, -0x1.76a7f25f8afeep-1, -0x1.760319a8be27bp-1, -0x1.75503671b94ap-1, -0x1.748d615e3c6efp-1, -0x1.73b8f115a0618p-1, -0x1.72d1763099089p-1, -0x1.71d5b7cc1ed53p-1, -0x1.70c4afd4f2cabp-1, -0x1.6f9d87c392a39p-1, -0x1.6e5f954408411p-1, -0x1.6d0a5710a78dcp-1, -0x1.6b9d71d8a6ce4p-1, -0x1.6a18ad3f543f9p-1, -0x1.687bf1023be14p-1, -0x1.66c742421669dp-1, -0x1.64fac0f93e652p-1, -0x1.6316a599cd551p-1, -0x1.611b3ed395643p-1, -0x1.5f08ef79e0667p-1, -0x1.5ce02c83e16acp-1, -0x1.5aa17b25cb84p-1, -0x1.584d6efd20019p-1, -0x1.55e4a852801c1p-1, -0x1.5367d271c7569p-1, -0x1.50d7a21835a08p-1, -0x1.4e34d3fd10e08p-1, -0x1.4b802b7448b32p-1, -0x1.48ba712a7e09p-1, -0x1.45e471fbff867p-1, -0x1.42fefde3b8fb9p-1, -0x1.400ae7000d73p-1, -0x1.3d0900ad8ab03p-1, -0x1.39fa1eb457de5p-1, -0x1.36df14869ca32p-1, -0x1.33b8b49038c3fp-1, -0x1.3087cf960f801p-1, -0x1.2d4d3423b058dp-1, -0x1.2a09ae0847e8ep-1, -0x1.26be05e1d97d8p-1, -0x1.236b00b5b4b8fp-1, -0x1.20115f964b85cp-1, -0x1.1cb1df55e157bp-1, -0x1.194d384493fd8p-1, -0x1.15e41df8e4f9bp-1, -0x1.12773f22a14c5p-1, -0x1.0f0745665d9eep-1, -0x1.0b94d5409607cp-1, -0x1.08208df02e8b7p-1, -0x1.04ab09671e134p-1, -0x1.0134dc40bc2b2p-1, -0x1.fb7d2b79df269p-2, -0x1.f4917f7fe0092p-2, -0x1.eda7bdace482cp-2, -0x1.e6c0e47a443a4p-2, -0x1.dfdde7d732a3ap-2, -0x1.d8ffb1458e15p-2, -0x1.d2271ffb928bdp-2, -0x1.cb55090ac420fp-2, -0x1.c48a378bbb6a4p-2, -0x1.bdc76ccd714c9p-2, -0x1.b70d60886a91p-2, -0x1.b05cc114d9423p-2, -0x1.a9b633a2ad421p-2, -0x1.a31a547452f7ep-2, -0x1.9c89b71afcf07p-2, -0x1.9604e6b372c09p-2, -0x1.8f8c66244b2f3p-2, -0x1.8920b05cbe8bbp-2, -0x1.82c23893167fdp-2, -0x1.7c716a839cfc2p-2, -0x1.762eaaaf52d95p-2, -0x1.6ffa5699a9958p-2, -0x1.69d4c506506cap-2, -0x1.63be46366b05ap-2, -0x1.5db724241d145p-2, -0x1.57bfa2bdbf558p-2, -0x1.51d80020c32f4p-2, -0x1.4c0074d268a44p-2, -0x1.463933f7589aap-2, -0x1.40826b8b527d9p-2, -0x1.3adc4496f8b82p-2, -0x1.3546e363396cbp-2, -0x1.2fc267acc37c2p-2, -0x1.2a4eecd6d0e85p-2, -0x1.24ec8a1ae1ebep-2, -0x1.1f9b52b6fe46fp-2, -0x1.1a5b561c74552p-2, -0x1.152ca01ce59bdp-2, -0x1.100f391415e0ap-2, -0x1.0b0326111865fp-2, -0x1.060868ffe5d48p-2, -0x1.011f00d09f164p-2, -0x1.f88dd337b7756p-3, -0x1.ef00398daa581p-3, -0x1.e595224f89d14p-3, -0x1.dc4c764f7f7bdp-3, -0x1.d32619c4052acp-3, -0x1.ca21ec8690fc8p-3, -0x1.c13fca52673ffp-3, -0x1.b87f8afea937p-3, -0x1.afe102b3d49acp-3, -0x1.a76402218b409p-3, -0x1.9f0856b48173p-3, -0x1.96cdcac802dfdp-3, -0x1.8eb425d31c2d8p-3, -0x1.86bb2c964dc93p-3, -0x1.7ee2a14a06602p-3, -0x1.772a43c90e87ep-3, -0x1.6f91d1b5fb9acp-3, -0x1.681906a0eab55p-3, -0x1.60bf9c2faeddp-3, -0x1.59854a435655bp-3, -0x1.5269c7175d7bbp-3, -0x1.4b6cc75f0cc92p-3, -0x1.448dfe669d8c4p-3, -0x1.3dcd1e35951dbp-3, -0x1.3729d7ab3d521p-3, -0x1.30a3da9514534p-3, -0x1.2a3ad5c697eb8p-3, -0x1.23ee77366a5e7p-3, -0x1.1dbe6c1b0bf16p-3, -0x1.17aa610016067p-3, -0x1.11b201d5f97b9p-3, -0x1.0bd4fa04df3cep-3, -0x1.0612f485a4c9dp-3, -0x1.006b9bfa3dea4p-3, -0x1.f5bd357c57898p-4, -0x1.ead735e22eb09p-4, -0x1.e0248d08969fbp-4, -0x1.d5a48e9e1bdf7p-4, -0x1.cb568e480244p-4, -0x1.c139dfbf01fa9p-4, -0x1.b74dd6ddb423p-4, -0x1.ad91c7b025336p-4, -0x1.a4050690ddab1p-4, -0x1.9aa6e84dde2fcp-4, -0x1.9176c245631d5p-4, -0x1.8873ea7306eacp-4, -0x1.7f9db77661b33p-4, -0x1.76f380a213429p-4, -0x1.6e749e172456fp-4, -0x1.662068e1e682dp-4, -0x1.5df63b0b65c71p-4, -0x1.55f56f9e3b5e7p-4, -0x1.4e1d62a9cd7fep-4, -0x1.466d714f329b7p-4, -0x1.3ee4f9d7b6501p-4, -0x1.37835bca702e5p-4, -0x1.3047f7f74cd97p-4, -0x1.293230780f3ap-4, -0x1.224168b0ba0bbp-4, -0x1.1b7505581e9e4p-4, -0x1.14cc6c886af7cp-4, -0x1.0e4705cf9d93bp-4, -0x1.07e43a37dd409p-4, -0x1.01a374473aac5p-4, -0x1.f7083ffaf59b6p-5, -0x1.eb0b55ae95b9cp-5, -0x1.df4f07b0fc88p-5, -0x1.d3d23730b1f7fp-5, -0x1.c893c8926306ap-5, -0x1.bd92a371ae82p-5, -0x1.b2cdb29a2b6ddp-5, -0x1.a843e40439168p-5, -0x1.9df428dc7b356p-5, -0x1.93dd75931eec4p-5, -0x1.89fec1e98a6eap-5, -0x1.805708f6a2895p-5, -0x1.76e549217d92ap-5, -0x1.6da88419375a7p-5, -0x1.649fbed16a55ap-5, -0x1.5bca01864aecdp-5, -0x1.532657c502585p-5, -0x1.4ab3d071bde76p-5, -0x1.42717dc6e456dp-5, -0x1.3a5e754df5dbbp-5, -0x1.3279cfd6d519p-5, -0x1.2ac2a972313afp-5, -0x1.23382171047c5p-5, -0x1.1bd95a670aa7ep-5, -0x1.14a57a2c27f97p-5, -0x1.0d9ba9d98151ep-5, -0x1.06bb15c2369c2p-5, -0x1.0002ed6a45b9cp-5, -0x1.f2e4c6fdb114p-6, -0x1.e6115ba32ba8dp-6, -0x1.d98a0aace0e3fp-6, -0x1.cd4d4c438ec5fp-6, -0x1.c1599ec8e754bp-6, -0x1.b5ad86c9e693ap-6, -0x1.aa478eed24655p-6, -0x1.9f2647e0e9355p-6, -0x1.9448484c13e8cp-6, -0x1.89ac2cc2934eap-6, -0x1.7f5097bbed37dp-6, -0x1.753431893a3a5p-6, -0x1.6b55a8483ffd9p-6, -0x1.61b3afd34b109p-6, -0x1.584d01af3634cp-6, -0x1.4f205cf9a7232p-6, -0x1.462c8659107efp-6, -0x1.3d7047ee81663p-6, -0x1.34ea714896eddp-6, -0x1.2c99d7561f81dp-6, -0x1.247d545747347p-6, -0x1.1c93c7cd0752bp-6, -0x1.14dc166789ddcp-6, -0x1.0d5529f485fb1p-6, -0x1.05fdf14e8d0d7p-6, -0x1.fdaac09a63e69p-7, -0x1.efb4df6bf4734p-7, -0x1.e2183a5ad1496p-7, -0x1.d4d2d64f1384dp-7, -0x1.c7e2c1af84fcap-7, -0x1.bb46143fbe9c3p-7, -0x1.aefaeefe0a385p-7, -0x1.a2ff7c01dafa8p-7, -0x1.9751ee5b4a2a3p-7, -0x1.8bf081f34c535p-7, -0x1.80d97b6c840d5p-7, -0x1.760b28041359ap-7, -0x1.6b83dd724ca3ep-7, -0x1.6141f9cac789ap-7, -0x1.5743e35c2c73dp-7, -0x1.4d88089011131p-7, -0x1.440cdfcb567abp-7, -0x1.3ad0e74f02f14p-7, -0x1.31d2a51958b13p-7, -0x1.2910a6c723d51p-7, -0x1.20898175194b2p-7, -0x1.183bd1a19bf5cp-7, -0x1.10263b0e9d19cp-7, -0x1.084768a3a8d94p-7, -0x1.009e0c5066a69p-7, -0x1.f251bddef28d6p-8, -0x1.e3cd40536d4b5p-8, -0x1.d5ac2cb2f097ap-8, -0x1.c7ec1cdb86961p-8, -0x1.ba8ab79a91cf8p-8, -0x1.ad85b0731692fp-8, -0x1.a0dac764d0b01p-8, -0x1.9487c8b4974e3p-8, -0x1.888a8cb624d4ap-8, -0x1.7ce0f7977db71p-8, -0x1.7188f92e04827p-8, -0x1.66808cc43f3dbp-8, -0x1.5bc5b8e7aadddp-8, -0x1.51568f354c6f9p-8, -0x1.47312c253722cp-8, -0x1.3d53b6d4dc25cp-8, -0x1.33bc60d159f18p-8, -0x1.2a6965e2b9fdbp-8, -0x1.21590bd96a6a1p-8, -0x1.1889a25ecc119p-8, -0x1.0ff982c93fb3fp-8, -0x1.07a70ff33a062p-8, -0x1.ff216c2819c92p-9, -0x1.ef69d53026592p-9, -0x1.e02457ed4a43fp-9, -0x1.d14e03083d1dfp-9, -0x1.c2e3f67fe0d91p-9, -0x1.b4e3633feb574p-9, -0x1.a7498ab651eb6p-9, -0x1.9a13be6e328a6p-9, -0x1.8d3f5fb5fac8ap-9, -0x1.80c9df556d16dp-9, -0x1.74b0bd539c731p-9, -0x1.68f188c935ce7p-9, -0x1.5d89dfb737ca4p-9, -0x1.52776ed793a6fp-9, -0x1.47b7f15dc52a9p-9, -0x1.3d4930a17a8a9p-9, -0x1.332903b2216acp-9, -0x1.29554eda893b1p-9, -0x1.1fcc032072ffcp-9, -0x1.168b1dd05b19fp-9, -0x1.0d90a824b26d6p-9, -0x1.04dab712a1148p-9, -0x1.f8ced67b8b3d6p-10, -0x1.e869e21214e3ap-10, -0x1.d88301645f39dp-10, -0x1.c916bcbf5cdf2p-10, -0x1.ba21b4133d1fbp-10, -0x1.aba09e5ab4348p-10, -0x1.9d90489236f7p-10, -0x1.8fed9456dfc09p-10, -0x1.82b576612362ep-10, -0x1.75e4f5207a7e6p-10, -0x1.697927bc839c1p-10, -0x1.5d6f35aeede9fp-10, -0x1.51c45706d3436p-10, -0x1.4675d53b6ceddp-10, -0x1.3b810c4c825dcp-10, -0x1.30e36bd34bec5p-10, -0x1.269a77a172607p-10, -0x1.1ca3c7a08c478p-10, -0x1.12fd06cd87435p-10, -0x1.09a3f162aaffbp-10, -0x1.009652797feacp-10, -0x1.efa4032f44544p-11, -0x1.dea9c14ff36f3p-11, -0x1.ce39b5a853fd6p-11, -0x1.be4fc906d83acp-11, -0x1.aee7f904f6951p-11, -0x1.9ffe5c230d676p-11, -0x1.918f26afab13bp-11, -0x1.8396af3ae356p-11, -0x1.7611715cabb13p-11, -0x1.68fc0de8abe2fp-11, -0x1.5c53483666bcp-11, -0x1.501400cccdb1cp-11, -0x1.443b2e612b069p-11, -0x1.38c5d68687e69p-11, -0x1.2db10792bbc75p-11, -0x1.22f9d5075eadcp-11, -0x1.189d574a7929cp-11, -0x1.0e98aec35914ap-11, -0x1.04e909afe3df9p-11, -0x1.f71756d62e57fp-12, -0x1.e4fbe710d53d4p-12, -0x1.d37ac651449ecp-12, -0x1.c28f3e87a7fep-12, -0x1.b234de7f87e2ap-12, -0x1.a2676fd46febp-12, -0x1.9322e769b8e74p-12, -0x1.846353569dc2p-12, -0x1.7624c9dded9dcp-12, -0x1.68635cdb5094bp-12, -0x1.5b1b141d6e61p-12, -0x1.4e47efa1774edp-12, -0x1.41e5f0f22875ap-12, -0x1.35f129842ddd2p-12, -0x1.2a65cb097764cp-12, -0x1.1f40368028318p-12, -0x1.147d07203b517p-12, -0x1.0a1917156fc08p-12, -0x1.00117d1187f05p-12, -0x1.ecc70614bed2dp-13, -0x1.da192f8815ddcp-13, -0x1.c8147bb062edp-13, -0x1.b6b3f6ff4e73bp-13, -0x1.a5f29c770acd4p-13, -0x1.95cb49246c909p-13, -0x1.8638bd5134eefp-13, -0x1.7735a9f6812d6p-13, -0x1.68bcc6af92eedp-13, -0x1.5ac8eb55cff52p-13, -0x1.4d5528621f023p-13, -0x1.405cd9eaee964p-13, -0x1.33dbb25021ee1p-13, -0x1.27cdbb49c74dbp-13, -0x1.1c2f4dddbf88cp-13, -0x1.10fd034b3b63ap-13, -0x1.0633a1e46d641p-13, -0x1.f7a0120e7c642p-14, -0x1.e39e3e5991fcfp-14, -0x1.d05b891151228p-14, -0x1.bdd197ee672ap-14, -0x1.abf9f5fd36092p-14, -0x1.9ace2118811ep-14, -0x1.8a47a1f13f199p-14, -0x1.7a60297725b68p-14, -0x1.6b11ac8d5ac66p-14, -0x1.5c56768838745p-14, -0x1.4e292d6a08527p-14, -0x1.4084c856f93e8p-14, -0x1.33647eb752037p-14, -0x1.26c3b94037101p-14, -0x1.1a9e0b5e7d40ap-14, -0x1.0eef34e791025p-14, -0x1.03b325f1b8995p-14, -0x1.f1cbface3fbf2p-15, -0x1.dd07fdf8bb078p-15, -0x1.c91307797e287p-15, -0x1.b5e5da12119p-15, -0x1.a379431601678p-15, -0x1.91c62c9797ea5p-15, -0x1.80c5bd8585b66p-15, -0x1.707173c15497p-15, -0x1.60c325cce6c29p-15, -0x1.51b4e6c90609fp-15, -0x1.4340d9baeb9ffp-15, -0x1.35610d77b4ec7p-15, -0x1.280f784956a1bp-15, -0x1.1b4618f677dap-15, -0x1.0eff2c9905d11p-15, -0x1.03355c7148208p-15, -0x1.efc79a2964d27p-16, -0x1.da0c19c80b94bp-16, -0x1.c52fe7f6fffeap-16, -0x1.b12b1a58592f7p-16, -0x1.9df625c7143c7p-16, -0x1.8b89efe7192fep-16, -0x1.79dfd56b0ae2fp-16, -0x1.68f18cfc18fb7p-16, -0x1.58b8e853605c3p-16, -0x1.492f89b5e3a94p-16, -0x1.3a4eac995432p-16, -0x1.2c0f1dd5a5feap-16, -0x1.1e6971317127fp-16, -0x1.1156666d381d8p-16, -0x1.04cf50e6a46bcp-16, -0x1.f19c8ea46cacap-17, -0x1.da9bf3533bdc4p-17, -0x1.c4928d169891bp-17, -0x1.af75bf63fffb1p-17, -0x1.9b3a971dfa518p-17, -0x1.87d69c2c5cc57p-17, -0x1.7540e36810479p-17, -0x1.63729ebe074cdp-17, -0x1.5266c2a43ffe5p-17, -0x1.4218ea3399e8ap-17, -0x1.32840a29aecd9p-17, -0x1.23a18e745639bp-17, -0x1.1569376bbef73p-17, -0x1.07d1adcc7e5c6p-17, -0x1.f5a314fea67b8p-18, -0x1.dcc0f03cd5f57p-18, -0x1.c4f003b9faee7p-18, -0x1.ae27493fa9937p-18, -0x1.985ffc9b34e4ap-18, -0x1.8392fff10da61p-18, -0x1.6fb6d767a3bb9p-18, -0x1.5cbf6d0fca687p-18, -0x1.4a9f7de574f29p-18, -0x1.394a93bd09d25p-18, -0x1.28b67dbd598cfp-18, -0x1.18dbc63099236p-18, -0x1.09b5198f932e2p-18, -0x1.f67c022fa0aep-19, -0x1.dae333b17f59p-19, -0x1.c09372973b623p-19, -0x1.a77d2350fb25dp-19, -0x1.8f8dccd4e2a7fp-19, -0x1.78b1f4445615p-19, -0x1.62d81a9df5dfdp-19, -0x1.4df371074de01p-19, -0x1.39fc863253071p-19, -0x1.26ef3a364ad78p-19, -0x1.14c731bad189fp-19, -0x1.037d43abd6971p-19, -0x1.e60ecbf50ac95p-20, -0x1.c6b4ee07207e7p-20, -0x1.a8d8af4a59074p-20, -0x1.8c6a162ad6329p-20, -0x1.715c04550dec8p-20, -0x1.57a033be0ce62p-20, -0x1.3f24c29046091p-20, -0x1.27d5ee3ceae1ep-20, -0x1.11a204e7c50f8p-20, -0x1.f8f773c23326ap-21, -0x1.d0b24a76eb276p-21, -0x1.aa61bfec900cfp-21, -0x1.85efdfeff91c6p-21, -0x1.6343b296bec6bp-21, -0x1.4244a7c6f20f4p-21, -0x1.22dee19fdce9cp-21, -0x1.05055710d2eb9p-21, -0x1.d15f561fc8814p-22, -0x1.9ba9ae8bcac5ep-22, -0x1.68cd96d0584dp-22, -0x1.38a733d96e1bfp-22, -0x1.0b16660d810f3p-22, -0x1.c0077e4e10d7ap-23, -0x1.6eb24e462329p-23, -0x1.21f639e65ad8p-23, -0x1.b32b529f79c24p-24, -0x1.2aae0239a88ccp-24, -0x1.5424d184a4cbfp-25, -0x1.881c1d929a945p-27, 0x1.033f806905db3p-26, 0x1.577834d6b14fcp-25, 0x1.1018325881f82p-24, 0x1.6e39378aa210ep-24, 0x1.c66f403006381p-24, 0x1.0c7eb1d01500ap-23, 0x1.3306607817206p-23, 0x1.56d98defb61a9p-23, 0x1.7808b343c039ap-23, 0x1.96b20f4a1bb46p-23, 0x1.b2f59a386b6dp-23, 0x1.cce656638a122p-23, 0x1.e490ad4f44709p-23, 0x1.fa099225ab919p-23, 0x1.06b76074d7d47p-22, 0x1.0f6e7967bc6a6p-22, 0x1.173548b800fdp-22, 0x1.1e1465a5b5141p-22, 0x1.241331eee5b5ep-22, 0x1.2938bef1c505cp-22, 0x1.2d8c0f9720058p-22, 0x1.31140e17dc81bp-22, 0x1.33d78dbdd4245p-22, 0x1.35dd677dd7ebap-22, 0x1.372c800db90cp-22, 0x1.37cbd1cb6d83fp-22, 0x1.37c27b7b2e9e6p-22, 0x1.37170ad3702b9p-22, 0x1.35ce6948a34abp-22, 0x1.33ec64eb220b9p-22, 0x1.3175a3403e562p-22, 0x1.2e701015cb038p-22, 0x1.2ae10b21d102bp-22, 0x1.26cc86656c947p-22, 0x1.2236a752c2f73p-22, 0x1.1d24ee72c768ap-22, 0x1.179cb858e6b4ap-22, 0x1.11a180e263a74p-22, 0x1.0b354e1eee5fbp-22, 0x1.045a6cf133609p-22, 0x1.fa297698b9f84p-23, 0x1.ead305d77d32dp-23, 0x1.dabc0b99f5e77p-23, 0x1.c9ecc69a880d9p-23, 0x1.b86adcd662c13p-23, 0x1.a635b2392f1e7p-23, 0x1.9347f2672fd19p-23, 0x1.7fa9b750f359cp-23, 0x1.6b6fef25c652ep-23, 0x1.56a2d73e4b2e7p-23, 0x1.4140f83e38cd1p-23, 0x1.2b539cc011182p-23, 0x1.14e4905344486p-23, 0x1.fbe0a990b9e71p-24, 0x1.cce2d5459d813p-24, 0x1.9cda5059ba293p-24, 0x1.6be0a303df1dep-24, 0x1.3a054017a92f4p-24, 0x1.0747fe205acf3p-24, 0x1.a75cd5947c088p-25, 0x1.3e996796242d1p-25, 0x1.a8d14b26d4a23p-26, 0x1.a35ef274f757p-27, -0x1.04346b35be981p-31, -0x1.c9155884e2c24p-27, -0x1.c36e60a9648b2p-26, -0x1.524c7d08c51b5p-25, -0x1.c3fb38b15143ap-25, -0x1.1b6fe1958c612p-24, -0x1.556f23c341f88p-24, -0x1.8fdf987f5106ap-24, -0x1.cacc48da3f26ap-24, -0x1.03168bdb0e3d1p-23, -0x1.20f0fe91ae709p-23, -0x1.3ef37463e2e96p-23, -0x1.5d20ac0b69c7bp-23, -0x1.7b7616e3b5fc4p-23, -0x1.99ede7f38a127p-23, -0x1.b881ee940fb06p-23, -0x1.d72d3c2df31p-23, -0x1.f5eece0c0814cp-23, -0x1.0a64f764c2d0ap-22, -0x1.19dee7adbef5bp-22, -0x1.296082c6255c3p-22, -0x1.38e6e69d067ap-22, -0x1.487336fc0b43fp-22, -0x1.58034726cc82p-22, -0x1.6791bce78dd23p-22, -0x1.771cb8a209ca4p-22, -0x1.86a2c5c26a66fp-22, -0x1.962228615ff17p-22, -0x1.a59efd3cef1eep-22, -0x1.b518090e93a73p-22, -0x1.c48b4e4493896p-22, -0x1.d3f81e64f0873p-22, -0x1.e356baccacc37p-22, -0x1.f2a628740d0fdp-22, -0x1.00f4264648643p-21, -0x1.088e361753ae8p-21, -0x1.102061ba6ccp-21, -0x1.17a9d8100fd8ap-21, -0x1.1f29e5e1a874cp-21, -0x1.269fe5bff9514p-21, -0x1.2e0b330774942p-21, }}, 
      {{-0x1.e7a9de3dc0e2ap-1, -0x1.e7524655a8d09p-1, -0x1.e6c07f136bad3p-1, -0x1.e5f4d8b09a068p-1, -0x1.e4efc22d990c8p-1, -0x1.e3b1c81062d66p-1, -0x1.e23b92ea4bdf1p-1, -0x1.e08de5ba5247fp-1, -0x1.dea99c3a26588p-1, -0x1.dc8fa91d19842p-1, -0x1.da4114443482cp-1, -0x1.d7bef8e9f038ep-1, -0x1.d50a83c953ba5p-1, -0x1.d224f1460f68ap-1, -0x1.cf0f8b9c882fp-1, -0x1.cbcba921188e8p-1, -0x1.c85aaa950f2b9p-1, -0x1.c4bdf99668b83p-1, -0x1.c0f7072d3fd95p-1, -0x1.bd074a77ecd67p-1, -0x1.b8f03f7505b5fp-1, -0x1.b4b365e911515p-1, -0x1.b052405cedb42p-1, -0x1.abce53318560fp-1, -0x1.a72923c583519p-1, -0x1.a26437aa0bbd9p-1, -0x1.9d8113e4110aep-1, -0x1.98813c388102ep-1, -0x1.936632822a396p-1, -0x1.8e317610d2d8bp-1, -0x1.88e48311724f2p-1, -0x1.8380d1ffdb7e4p-1, -0x1.7e07d7225c3e1p-1, -0x1.787b020fede4ep-1, -0x1.72dbbd418e8f8p-1, -0x1.6d2b6daf3ef7ep-1, -0x1.676b7278f322dp-1, -0x1.619d249b8ddd9p-1, -0x1.5bc1d6b1c2fa7p-1, -0x1.55dad4c0814d3p-1, -0x1.4fe9640e48ee8p-1, -0x1.49eec304a7a4dp-1, -0x1.43ec291aea371p-1, -0x1.3de2c6c8f3855p-1, -0x1.37d3c5811a36p-1, -0x1.31c047afe5dcbp-1, -0x1.2ba968c0847cfp-1, -0x1.25903d24e194fp-1, -0x1.1f75d26052d72p-1, -0x1.195b2f13f0296p-1, -0x1.1341530bc162fp-1, -0x1.0d29374c14806p-1, -0x1.0713ce1e65e42p-1, -0x1.0102031d7186ep-1, -0x1.f5e9768039a63p-2, -0x1.e9d9a9c61046bp-2, -0x1.ddd64fa1724c8p-2, -0x1.d1e10a90c209ep-2, -0x1.c5fb7006bccd2p-2, -0x1.ba2708734db6cp-2, -0x1.ae654f4aacb6dp-2, -0x1.a2b7b30b5fab5p-2, -0x1.971f9543b2b65p-2, -0x1.8b9e4a97590b1p-2, -0x1.80351ac5db8ecp-2, -0x1.74e540b281b4ep-2, -0x1.69afea6e4be1dp-2, -0x1.5e9639449fdb6p-2, -0x1.539941cb250f8p-2, -0x1.48ba0bf54770cp-2, -0x1.3df9932bc7621p-2, -0x1.3358c668a4197p-2, -0x1.28d888579854dp-2, -0x1.1e79af7b5328bp-2, -0x1.143d06577c4d9p-2, -0x1.0a234b9f87e14p-2, -0x1.002d326a3c24dp-2, -0x1.ecb6c4d39b034p-3, -0x1.d95cf050b498fp-3, -0x1.c64e0a910356p-3, -0x1.b38b21938ea3dp-3, -0x1.a1152ea0e57edp-3, -0x1.8eed16e0fd427p-3, -0x1.7d13abf6710c9p-3, -0x1.6b89ac9e432c9p-3, -0x1.5a4fc5534133p-3, -0x1.496690f42c174p-3, -0x1.38ce996bba78ep-3, -0x1.28885859a2c37p-3, -0x1.189437bbbc307p-3, -0x1.08f292967fb2ep-3, -0x1.f3476b3808329p-4, -0x1.d54fbfa1903bp-4, -0x1.b7fe865b17052p-4, -0x1.9b540a7b3febp-4, -0x1.7f507f720aedep-4, -0x1.63f40233c3f3dp-4, -0x1.493e9a5997c1dp-4, -0x1.2f303b3701ed6p-4, -0x1.15c8c4e36ddf3p-4, -0x1.fa100a6ed4eeep-5, -0x1.c9db717a06dadp-5, -0x1.9af31725ccb1ep-5, -0x1.6d5634843307cp-5, -0x1.4103e50c4c2a2p-5, -0x1.15fb280f663c1p-5, -0x1.d875c426711a8p-6, -0x1.8783bc22e8629p-6, -0x1.391d9d3a27575p-6, -0x1.da813bb8db43p-7, -0x1.47d38f5482f81p-7, -0x1.7457e4aaae6d4p-8, -0x1.8c1e753b137d8p-10, 0x1.48af08c79128fp-9, 0x1.a1d3e969af5a4p-8, 0x1.4abe4948b6226p-7, 0x1.bfb08a6da42e1p-7, 0x1.17e465981540ep-6, 0x1.4d87b2ed911a4p-6, 0x1.80c67d7154c1ap-6, 0x1.b1a5380144af9p-6, 0x1.e02877c57dccfp-6, 0x1.062a79f59547bp-5, 0x1.1b17c2b8950c1p-5, 0x1.2ede938212e93p-5, 0x1.41817a73a65e4p-5, 0x1.53031673cf7b5p-5, 0x1.6366172ba6ba3p-5, 0x1.72ad3d0773952p-5, 0x1.80db593937ca4p-5, 0x1.8df34dbc0b9d7p-5, 0x1.99f80d5778b21p-5, 0x1.a4ec9ba1dcd8p-5, 0x1.aed40d0108601p-5, 0x1.b7b186a85aad1p-5, 0x1.bf883e9399078p-5, 0x1.c65b7b7de976ep-5, 0x1.cc2e94d45ccdp-5, 0x1.d104f2a37acafp-5, 0x1.d4e20d7f5daep-5, 0x1.d7c96e65f9ea8p-5, 0x1.d9beae9b2d756p-5, 0x1.dac5777e6121p-5, 0x1.dae1825963626p-5, 0x1.da16982868cc5p-5, 0x1.d868915aec3adp-5, 0x1.d5db558d80fabp-5, 0x1.d272db3c5c2c3p-5, 0x1.ce33276eb9f76p-5, 0x1.c9204d5b15122p-5, 0x1.c33e6e0439643p-5, 0x1.bc91b7cf5e787p-5, 0x1.b51e6613690aep-5, 0x1.ace8c0a1681ccp-5, 0x1.a3f51b46a5296p-5, 0x1.9a47d5485806ap-5, 0x1.8fe558d95c06cp-5, 0x1.84d21a8a0ed2ep-5, 0x1.791298b2b4d1ep-5, 0x1.6cab5ad8aae3ep-5, 0x1.5fa0f10ea57ap-5, 0x1.51f7f35068b5p-5, 0x1.43b500da3b567p-5, 0x1.34dcbf7c78ca5p-5, 0x1.2573daeb8ea3dp-5, 0x1.157f040cd67cfp-5, 0x1.0502f0408a80cp-5, 0x1.e808b152a4779p-6, 0x1.c50ff2e34f767p-6, 0x1.a125221f01fefp-6, 0x1.7c51bf0d435d2p-6, 0x1.569f4b53b6148p-6, 0x1.301748b740664p-6, 0x1.08c3379ca6b24p-6, 0x1.c1592b124bb0ep-7, 0x1.6fb9b74792f83p-7, 0x1.1cbafa704366bp-7, 0x1.90df98ec13482p-8, 0x1.cbabce8fdf5fp-9, 0x1.c3f21bbc58675p-11, -0x1.dc08776880d89p-10, -0x1.28863c8ef65bp-8, -0x1.dbe952b62fdb2p-8, -0x1.48836d0b7a646p-7, -0x1.a3dd48d1796dep-7, -0x1.fff04167ba3a6p-7, -0x1.2e5541b4a4dcbp-6, -0x1.5cfd32f0dd372p-6, -0x1.8be73666d152fp-6, -0x1.bb0aa5c592884p-6, -0x1.ea5ef39cba106p-6, -0x1.0cedd641b0dc5p-5, -0x1.24bc3c1b13a21p-5, -0x1.3c968d55dd8f3p-5, -0x1.5478ba8ff2a1p-5, -0x1.6c5ec38a6242p-5, -0x1.8444b7a4faf6dp-5, -0x1.9c26b654caafap-5, -0x1.b400ef9577554p-5, -0x1.cbcfa4554f33fp-5, -0x1.e38f26dc163p-5, -0x1.fb3bdb2c7a4edp-5, -0x1.09691bb015535p-4, -0x1.152761ff4042ep-4, -0x1.20d70e26e7ca1p-4, -0x1.2c76774f9bfe8p-4, -0x1.3803fe4a95f15p-4, -0x1.437e0db23436dp-4, -0x1.4ee31a07dd37p-4, -0x1.5a31a1cf29e5cp-4, -0x1.65682da66a799p-4, -0x1.7085505c8b781p-4, -0x1.7b87a70467c0bp-4, -0x1.866dd9057ba08p-4, -0x1.9136982a197a6p-4, -0x1.9be0a0ab1a624p-4, -0x1.a66ab93911881p-4, -0x1.b0d3b30323854p-4, -0x1.bb1a69bb6cca1p-4, -0x1.c53dc3991ec04p-4, -0x1.cf3cb15849422p-4, -0x1.d9162e3779e9fp-4, -0x1.e2c93ff31898bp-4, -0x1.ec54f6beb7be2p-4, -0x1.f5b86d3c4344ep-4, -0x1.fef2c87133149p-4, -0x1.04019bdce4facp-3, -0x1.08747a5d33f03p-3, -0x1.0cd1a1a7850dap-3, -0x1.1118b8bc839cap-3, -0x1.15496ba587026p-3, -0x1.19636b69bc75fp-3, -0x1.1d666e028e51bp-3, -0x1.21522e4f3849fp-3, -0x1.25266c07ac987p-3, -0x1.28e2ebaebdcc7p-3, -0x1.2c8776839df6p-3, -0x1.3013da72bb174p-3, -0x1.3387ea05fb7e5p-3, -0x1.36e37c54681bdp-3, -0x1.3a266cf14a1c9p-3, -0x1.3d509bdac10d4p-3, -0x1.4061ed67ddd91p-3, -0x1.435a4a364546ep-3, -0x1.46399f176644fp-3, -0x1.48ffdcfd46a75p-3, -0x1.4bacf8e6f0055p-3, -0x1.4e40ebcc8744ep-3, -0x1.50bbb28b0fb45p-3, -0x1.531d4dcfe0bc8p-3, -0x1.5565c203d8b95p-3, -0x1.579517365bec2p-3, -0x1.59ab590806e85p-3, -0x1.5ba89695477cep-3, -0x1.5d8ce260bc71bp-3, -0x1.5f58523d74b92p-3, -0x1.610aff39119a9p-3, -0x1.62a50585d11d3p-3, -0x1.642684647d2ep-3, -0x1.658f9e0e59e52p-3, -0x1.66e0779eff8f4p-3, -0x1.681938fe383c8p-3, -0x1.693a0cc9dd4edp-3, -0x1.6a43203fb88d5p-3, -0x1.6b34a327742bbp-3, -0x1.6c0ec7bc9c68ep-3, -0x1.6cd1c298ac9dbp-3, -0x1.6d7dca9d3cd68p-3, -0x1.6e1318de49d0dp-3, -0x1.6e91e88c975bbp-3, -0x1.6efa76e03eb3cp-3, -0x1.6f4d03035d6a7p-3, -0x1.6f89cdfcf58f9p-3, -0x1.6fb11a9bf56fep-3, -0x1.6fc32d627257ep-3, -0x1.6fc04c711e464p-3, -0x1.6fa8bf72e7d64p-3, -0x1.6f7ccf88dfa7fp-3, -0x1.6f3cc73651ad6p-3, -0x1.6ee8f24d24d6cp-3, -0x1.6e819dda73eb3p-3, -0x1.6e0718136e81dp-3, -0x1.6d79b0427db65p-3, -0x1.6cd9b6b4ad79p-3, -0x1.6c277ca764286p-3, -0x1.6b635436624afp-3, -0x1.6a8d904a07c6ap-3, -0x1.69a68485f1ef8p-3, -0x1.68ae8537dff41p-3, -0x1.67a5e746eadaep-3, -0x1.668d00230d8a6p-3, -0x1.656425b4fbfbbp-3, -0x1.642bae4e5425bp-3, -0x1.62e3f09a1e119p-3, -0x1.618d438d9cdd2p-3, -0x1.6027fe597ebb7p-3, -0x1.5eb4785b589bap-3, -0x1.5d33090f78e42p-3, -0x1.5ba408031d93ap-3, -0x1.5a07ccc6e9b69p-3, -0x1.585eaee1c8d06p-3, -0x1.56a905c416e0dp-3, -0x1.54e728bb2aed2p-3, -0x1.53196ee53519cp-3, -0x1.51402f256f72dp-3, -0x1.4f5bc018ab0ffp-3, -0x1.4d6c780a2f06dp-3, -0x1.4b72ace8ee71ep-3, -0x1.496eb43d174e3p-3, -0x1.4760e31df083ep-3, -0x1.45498e2811a6bp-3, -0x1.43290973ed656p-3, -0x1.40ffa88caa427p-3, -0x1.3ecdbe67596aap-3, -0x1.3c939d5a72281p-3, -0x1.3a519715ac546p-3, -0x1.3807fc9a1e85cp-3, -0x1.35b71e32b7b6dp-3, -0x1.335f4b6cfe6bep-3, -0x1.3100d3122448ep-3, -0x1.2e9c032062aa3p-3, -0x1.2c3128c4ac8ecp-3, -0x1.29c09054962b6p-3, -0x1.274a8548a6ebbp-3, -0x1.24cf5236d68dfp-3, -0x1.224f40cd63f64p-3, -0x1.1fca99cdedfb2p-3, -0x1.1d41a508d0cd5p-3, -0x1.1ab4a958cc626p-3, -0x1.1823ec9ee9521p-3, -0x1.158fb3bea5d59p-3, -0x1.12f8429a5e961p-3, -0x1.105ddc0ffc17dp-3, -0x1.0dc0c1f5e05b2p-3, -0x1.0b21351809449p-3, -0x1.087f753578819p-3, -0x1.05dbc0fdd900bp-3, -0x1.0336560f52265p-3, -0x1.008f70f4a1604p-3, -0x1.fbce9a46bf687p-4, -0x1.f67c49f510cb3p-4, -0x1.f12863825c737p-4, -0x1.ebd3574ac5bf2p-4, -0x1.e67d9376b0ca4p-4, -0x1.e12783f95b8d8p-4, -0x1.dbd1928fd980ep-4, -0x1.d67c26c073852p-4, -0x1.d127a5da5534bp-4, -0x1.cbd472f5a1fffp-4, -0x1.c682eef3db364p-4, -0x1.c13378808e2f8p-4, -0x1.bbe66c126a411p-4, -0x1.b69c23ec9282dp-4, -0x1.b154f82042432p-4, -0x1.ac113e8ebee2ep-4, -0x1.a6d14aeb89063p-4, -0x1.a1956ebed96adp-4, -0x1.9c5df96867a17p-4, -0x1.972b3822577b1p-4, -0x1.91fd760485cffp-4, -0x1.8cd4fc07f70d3p-4, -0x1.87b2110a8e10ap-4, -0x1.8294f9d2f2dddp-4, -0x1.7d7df914b604fp-4, -0x1.786d4f749b44ap-4, -0x1.73633b8d20dd5p-4, -0x1.6e5ff9f3303b7p-4, -0x1.6963c53afb52p-4, -0x1.646ed5fd031ep-4, -0x1.5f8162db4bbb9p-4, -0x1.5a9ba086b2c87p-4, -0x1.55bdc1c467e75p-4, -0x1.50e7f77392d3ep-4, -0x1.4c1a70930a003p-4, -0x1.47555a4739388p-4, -0x1.4298dfe014c55p-4, -0x1.3de52adf37d37p-4, -0x1.393a62fe0df22p-4, -0x1.3498ae341fbfcp-4, -0x1.300030bd6b068p-4, -0x1.2b710d20dbeb3p-4, -0x1.26eb6436cdaccp-4, -0x1.226f552fa026ap-4, -0x1.1dfcfd9a6052p-4, -0x1.1994796b79c0ap-4, -0x1.1535e30379af4p-4, -0x1.10e15335d7e59p-4, -0x1.0c96e14fd0205p-4, -0x1.0856a31f3ba7ep-4, -0x1.0420acf978732p-4, -0x1.ffea2384ad3ep-5, -0x1.f7a7c5e6035b9p-5, -0x1.ef7a6141f6bbp-5, -0x1.e762130a0cf8dp-5, -0x1.df5ef6044e675p-5, -0x1.d771225919f5p-5, -0x1.cf98ada1261cp-5, -0x1.c7d5aaf350e99p-5, -0x1.c0282af284c7fp-5, -0x1.b8903bdb8f8f7p-5, -0x1.b10de992e0f6p-5, -0x1.a9a13db2538dcp-5, -0x1.a24a3f96d6723p-5, -0x1.9b08f46e07211p-5, -0x1.93dd5f43c395p-5, -0x1.8cc7810fa7f81p-5, -0x1.85c758c26169fp-5, -0x1.7edce353141fbp-5, -0x1.78081bcc7f5ep-5, -0x1.7148fb5a21196p-5, -0x1.6a9f79553aa04p-5, -0x1.640b8b51b3d7ep-5, -0x1.5d8d252ae9b76p-5, -0x1.57243910544cp-5, -0x1.50d0b7921e50ep-5, -0x1.4a928fad84d53p-5, -0x1.4469aed92d627p-5, -0x1.3e56011151359p-5, -0x1.385770e3b9531p-5, -0x1.326de77bab1f7p-5, -0x1.2c994cada7ee9p-5, -0x1.26d9870302009p-5, -0x1.212e7bc550c56p-5, -0x1.1b980f09c5d0ep-5, -0x1.161623bc4b9efp-5, -0x1.10a89baa8453ap-5, -0x1.0b4f578ea5ffep-5, -0x1.060a371a270ccp-5, -0x1.00d919003c8f2p-5, -0x1.f777b60085956p-6, -0x1.ed64b3dfc9f03p-6, -0x1.e378e38a53e69p-6, -0x1.d9b3fb40a2d46p-6, -0x1.d015afab08b89p-6, -0x1.c69db3eccb2b3p-6, -0x1.bd4bb9b6c92ep-6, -0x1.b41f7159f55cbp-6, -0x1.ab1889d957c7ep-6, -0x1.a236b0fbcc427p-6, -0x1.9979935d696d7p-6, -0x1.90e0dc8081064p-6, -0x1.886c36de64654p-6, -0x1.801b4bf7bc9dcp-6, -0x1.77edc46495ea5p-6, -0x1.6fe347e411072p-6, -0x1.67fb7d6bc39f2p-6, -0x1.60360b36c4484p-6, -0x1.589296d45b052p-6, -0x1.5110c53660257p-6, -0x1.49b03abf454d6p-6, -0x1.42709b4fdba32p-6, -0x1.3b518a549e23p-6, -0x1.3452aad2d3d74p-6, -0x1.2d739f755a1a5p-6, -0x1.26b40a98f683fp-6, -0x1.20138e5889e05p-6, -0x1.1991cc98cf0b5p-6, -0x1.132e6713e39c6p-6, -0x1.0ce8ff6475188p-6, -0x1.06c1371099b1ep-6, -0x1.00b6af9468ff3p-6, -0x1.f59214d8878c6p-7, -0x1.e9efd23d95b2fp-7, -0x1.de85da8d290a4p-7, -0x1.d353713730305p-7, -0x1.c857d9f870a43p-7, -0x1.bd9258ec64bd9p-7, -0x1.b302329e3cafep-7, -0x1.a8a6ac196ef5cp-7, -0x1.9e7f0af9bd682p-7, -0x1.948a957acdf75p-7, -0x1.8ac89286f752p-7, -0x1.813849c5e1ebfp-7, -0x1.77d903aa58b94p-7, -0x1.6eaa097fa0e18p-7, -0x1.65aaa576c1f75p-7, -0x1.5cda22b294581p-7, -0x1.5437cd53fc947p-7, -0x1.4bc2f2855ac7ap-7, -0x1.437ae085861a5p-7, -0x1.3b5ee6b27b266p-7, -0x1.336e55936e466p-7, -0x1.2ba87ee28ab84p-7, -0x1.240cb59632a99p-7, -0x1.1c9a4de9cc90dp-7, -0x1.15509d665913p-7, -0x1.0e2efaea5d5a8p-7, -0x1.0734beb16dddcp-7, -0x1.0061425bade45p-7, -0x1.f367c1e8c8971p-8, -0x1.e657edf18ab3fp-8, -0x1.d991c4bb796dep-8, -0x1.cd14052c0120cp-8, -0x1.c0dd712e86965p-8, -0x1.b4eccdbed5606p-8, -0x1.a940e2f26b27bp-8, -0x1.9dd87c016fa9dp-8, -0x1.92b2674ebbc57p-8, -0x1.87cd766f94cf9p-8, -0x1.7d287e32a4906p-8, -0x1.72c256a631915p-8, -0x1.6899db1e197ddp-8, -0x1.5eadea38df5c8p-8, -0x1.54fd65e49a416p-8, -0x1.4b873362b0a14p-8, -0x1.424a3b4bfceadp-8, -0x1.39456993bfe13p-8, -0x1.3077ad8a12538p-8, -0x1.27dff9de583dap-8, -0x1.1f7d44a0c5379p-8, -0x1.174e8743bf65dp-8, -0x1.0f52be9c9e50dp-8, -0x1.0788eae41c9bfp-8, -0x1.ffe01f6c84222p-9, -0x1.f10e68247a217p-9, -0x1.e29ac4b2706a2p-9, -0x1.d483509ae3a46p-9, -0x1.c6c62e218c539p-9, -0x1.b9618644b3b17p-9, -0x1.ac5388ba5477ep-9, -0x1.9f9a6be9bd235p-9, -0x1.93346ce693bdep-9, -0x1.871fcf6a78215p-9, -0x1.7b5addcdd3af3p-9, -0x1.6fe3e900ca3e7p-9, -0x1.64b9488322742p-9, -0x1.59d95a5bc715ep-9, -0x1.4f4283101e24bp-9, -0x1.44f32d9a38facp-9, -0x1.3ae9cb5f14bcep-9, -0x1.3124d424504fap-9, -0x1.27a2c60597fcfp-9, -0x1.1e6225692e3bbp-9, -0x1.15617cf472c6bp-9, -0x1.0c9f5d80529f2p-9, -0x1.041a5e0cb90abp-9, -0x1.f7a2376914fb5p-10, -0x1.e784733f507dcp-10, -0x1.d7d8c1ef0d62dp-10, -0x1.c89c81b011b75p-10, -0x1.b9cd1c856db2dp-10, -0x1.ab68082191a18p-10, -0x1.9d6ac5c963199p-10, -0x1.8fd2e237b8a55p-10, -0x1.829df580791a9p-10, -0x1.75c9a2f2b25bcp-10, -0x1.695398fade42fp-10, -0x1.5d399104868b2p-10, -0x1.51794f5b661f5p-10, -0x1.4610a30df4f3fp-10, -0x1.3afd65cbf46e5p-10, -0x1.303d7bc9d0098p-10, -0x1.25ced39f6b0b9p-10, -0x1.1baf662934517p-10, -0x1.11dd366779ffbp-10, -0x1.0856515fdf42fp-10, -0x1.fe319bf73c23p-11, -0x1.ec4599d0f8ea1p-11, -0x1.dae4f0f015733p-11, -0x1.ca0c08ff55d96p-11, -0x1.b9b75c6f787e1p-11, -0x1.a9e3783770436p-11, -0x1.9a8cfb92c1d75p-11, -0x1.8bb097c0bd393p-11, -0x1.7d4b0fc4ca311p-11, -0x1.6f59382377a9fp-11, -0x1.61d7f6a50083ap-11, -0x1.54c4421187b55p-11, -0x1.481b21f3f684ep-11, -0x1.3bd9ae5779513p-11, -0x1.2ffd0f8966171p-11, -0x1.24827dd80b3a2p-11, -0x1.1967415495233p-11, -0x1.0ea8b192b9efep-11, -0x1.0444356b33761p-11, -0x1.f46e85780fcd1p-12, -0x1.e0febc57842e9p-12, -0x1.ce3435d4f80f9p-12, -0x1.bc0a34eb02747p-12, -0x1.aa7c18b272fefp-12, -0x1.99855bec2332ep-12, -0x1.892194846d7aep-12, -0x1.794c73217162ap-12, -0x1.6a01c2a5f7ca7p-12, -0x1.5b3d67c2a895ap-12, -0x1.4cfb607c43d9p-12, -0x1.3f37c3bb58badp-12, -0x1.31eec0d94003bp-12, -0x1.251c9f2d06051p-12, -0x1.18bdbd9cb3a52p-12, -0x1.0cce922d6dba9p-12, -0x1.014ba994ba0aap-12, -0x1.ec634d98f4917p-13, -0x1.d6fa854c8734dp-13, -0x1.c25696c168bcp-13, -0x1.ae71487b8b623p-13, -0x1.9b448a3726f08p-13, -0x1.88ca7415dd7f7p-13, -0x1.76fd45d46790bp-13, -0x1.65d7660345e0ap-13, -0x1.5553613b7c1bbp-13, -0x1.456be95ae0a0cp-13, -0x1.361bd4c4764a1p-13, -0x1.275e1d9bba94bp-13, -0x1.192de10c148fcp-13, -0x1.0b865e8a711a9p-13, -0x1.fcc5ee3b410a7p-14, -0x1.e37e5952452c3p-14, -0x1.cb2d42732e65ap-14, -0x1.b3ca2ca0d1c13p-14, -0x1.9d4cd874ac9f3p-14, -0x1.87ad42c1bf361p-14, -0x1.72e3a33d8485cp-14, -0x1.5ee86b3ba981ep-14, -0x1.4bb4445b42ee2p-14, -0x1.39400f4b08d0bp-14, -0x1.2784e281f3b84p-14, -0x1.167c090d7dcb1p-14, -0x1.061f015395d71p-14, -0x1.eccef7cdb8a55p-15, -0x1.ce9eb4b96c014p-15, -0x1.b1a15c4359f16p-15, -0x1.95cb6ebb522cdp-15, -0x1.7b11c7a5e2b95p-15, -0x1.61699b8a28017p-15, -0x1.48c875cef29dcp-15, -0x1.3124369dcacc1p-15, -0x1.1a7310ca30bacp-15, -0x1.04ab87cc986c5p-15, -0x1.df88db7a32749p-16, -0x1.b769c2a7e4075p-16, -0x1.90e8981369e97p-16, -0x1.6bf4c0455ae9dp-16, -0x1.487e2dae42d99p-16, -0x1.26755cffe6cedp-16, -0x1.05cb5196d641dp-16, -0x1.cce323d79d4b1p-17, -0x1.90b44832334b3p-17, -0x1.56ef150a3fefp-17, -0x1.1f79810083736p-17, -0x1.d474dc4aecca8p-18, -0x1.6e3346ee25e19p-18, -0x1.0bff8d59e9a59p-18, -0x1.5b595829c5622p-19, -0x1.4c3d13112e1d3p-20, 0x1.009b6e81cc4d8p-24, 0x1.5ec28ac7189ccp-20, 0x1.50441e199b2b1p-19, 0x1.eaf7e0427c801p-19, 0x1.3fe216f67ea64p-18, }}, 
      {{-0x1.e7af2de4d4b66p-1, -0x1.e7677dbc67944p-1, -0x1.e6f020cd5a08ap-1, -0x1.e64943d1bb9cfp-1, -0x1.e57324dd07117p-1, -0x1.e46e12d472277p-1, -0x1.e33a6ccb1d285p-1, -0x1.e1d8a14a9a9ep-1, -0x1.e0492d8e8befbp-1, -0x1.de8c9cb7a3735p-1, -0x1.dca386f8741f7p-1, -0x1.da8e90bd73c35p-1, -0x1.d84e69d1608eep-1, -0x1.d5e3cc7f881adp-1, -0x1.d34f7cb5dcbep-1, -0x1.d092472926f76p-1, -0x1.cdad007dbb4f4p-1, -0x1.caa08476fcbfbp-1, -0x1.c76db52f9a32ep-1, -0x1.c4157a5beff41p-1, -0x1.c098c0976e08ep-1, -0x1.bcf878bd5692p-1, -0x1.b935974cab856p-1, -0x1.b55113d6d1edcp-1, -0x1.b14be878225b6p-1, -0x1.ad271159878a9p-1, -0x1.a8e38c3a410dfp-1, -0x1.a4825800e386fp-1, -0x1.a0047452d4792p-1, -0x1.9b6ae131997dap-1, -0x1.96b69e9d7951dp-1, -0x1.91e8ac3d14274p-1, -0x1.8d020909b6133p-1, -0x1.8803b300473efp-1, -0x1.82eea6d6ce324p-1, -0x1.7dc3dfb68783fp-1, -0x1.788456faa1735p-1, -0x1.733103f3a7f53p-1, -0x1.6dcadbafac692p-1, -0x1.6852d0c72c453p-1, -0x1.62c9d32eb1e12p-1, -0x1.5d30d00d1e01p-1, -0x1.5788b1967a763p-1, -0x1.51d25eeb30029p-1, -0x1.4c0ebbfb66fb1p-1, -0x1.463ea96e5781dp-1, -0x1.4063048d40fecp-1, -0x1.3a7ca731bc88dp-1, -0x1.348c67b71a33ap-1, -0x1.2e9318ee76939p-1, -0x1.28918a153638fp-1, -0x1.228886cd94e4dp-1, -0x1.1c78d718fe942p-1, -0x1.16633f53e530fp-1, -0x1.10488032d4af9p-1, -0x1.0a2956c084b6fp-1, -0x1.04067c5cb5eb1p-1, -0x1.fbc14d7757919p-2, -0x1.ef710fcc353b8p-2, -0x1.e31d9c72dbcd7p-2, -0x1.d6c848d094fc8p-2, -0x1.ca7262f67fb4fp-2, -0x1.be1d31a32ed67p-2, -0x1.b1c9f4447fcb7p-2, -0x1.a579e2f9a424dp-2, -0x1.992e2e955f8cp-2, -0x1.8ce800a09079p-2, -0x1.80a87b5d06c11p-2, -0x1.7470b9c8d003ap-2, -0x1.6841cfa203a23p-2, -0x1.5c1cc96b31e2ep-2, -0x1.5002ac7090a1ap-2, -0x1.43f476ce0063ap-2, -0x1.37f31f76026dap-2, -0x1.2bff9639bff96p-2, -0x1.201ac3d22df81p-2, -0x1.144589ea6f406p-2, -0x1.0880c32b75981p-2, -0x1.f99a86920368ep-3, -0x1.e257ae1ff0284p-3, -0x1.cb3a88ec49495p-3, -0x1.b4449556bb9fcp-3, -0x1.9d77445823de1p-3, -0x1.86d3f9aa7116dp-3, -0x1.705c0bf32d6cp-3, -0x1.5a10c4f0b5b74p-3, -0x1.43f361a9e53cep-3, -0x1.2e0512a029192p-3, -0x1.1846fc03ccc8ap-3, -0x1.02ba35ea5adaap-3, -0x1.dabf990dbf547p-4, -0x1.b07180c7c2834p-4, -0x1.868c0d3db7b47p-4, -0x1.5d11124a12e4dp-4, -0x1.34024de2958ecp-4, -0x1.0b616895db96cp-4, -0x1.c65fec14a5f0fp-5, -0x1.76deeafc4ff66p-5, -0x1.2842a48f77b42p-5, -0x1.b51b915941804p-6, -0x1.1b85c2c9bfd84p-6, -0x1.07914fee62eeep-7, 0x1.2173c375e87b1p-10, 0x1.4c2b5907f3bb6p-7, 0x1.382eaf69528adp-6, 0x1.c85e8d31c6791p-6, 0x1.2b50e70b6b44ap-5, 0x1.717a9c3505a2dp-5, 0x1.b6aae7640f233p-5, 0x1.fae0672b97809p-5, 0x1.1f0ceb442acc2p-4, 0x1.402b0605e7379p-4, 0x1.60c9fc86e6fe8p-4, 0x1.80e9547243728p-4, 0x1.a088a011aed6cp-4, 0x1.bfa77df0566f1p-4, 0x1.de4598812781p-4, 0x1.fc62a5c8a0435p-4, 0x1.0cff338503a1dp-3, 0x1.1b8c543c1b52cp-3, 0x1.29d8a074d6626p-3, 0x1.37e408c80f05dp-3, 0x1.45ae82d99feddp-3, 0x1.533809376ff17p-3, 0x1.60809b3a0d10ap-3, 0x1.6d883ce6cee3ep-3, 0x1.7a4ef6d37265fp-3, 0x1.86d4d60b272d4p-3, 0x1.9319ebf4ef4bbp-3, 0x1.9f1e4e3b55596p-3, 0x1.aae216b559e0cp-3, 0x1.b66563508e801p-3, 0x1.c1a855fc48c1cp-3, 0x1.ccab1495e845ep-3, 0x1.d76dc8d60442ap-3, 0x1.e1f0a03e9110bp-3, 0x1.ec33cc09d007cp-3, 0x1.f637811a06256p-3, 0x1.fffbf7e9e8c7fp-3, 0x1.04c0b63ed6218p-2, 0x1.09640f2a50798p-2, 0x1.0de8282dabe3p-2, 0x1.124d246f1badep-2, 0x1.169328be3b97bp-2, 0x1.1aba5b8db879dp-2, 0x1.1ec2e4ed1a647p-2, 0x1.22acee82b1e96p-2, 0x1.2678a385976e7p-2, 0x1.2a2630b7bd692p-2, 0x1.2db5c46010adep-2, 0x1.31278e449e05cp-2, 0x1.347bbfa4b520cp-2, 0x1.37b28b3313024p-2, 0x1.3acc250ff8326p-2, 0x1.3dc8c2c34040ep-2, 0x1.40a89b365fc5ep-2, 0x1.436be6ae5a786p-2, 0x1.4612dec59c3d1p-2, 0x1.489dbe65bedbep-2, 0x1.4b0cc1c136a3ap-2, 0x1.4d60264ce1258p-2, 0x1.4f982ab978acp-2, 0x1.51b50eece4f33p-2, 0x1.53b713fb725f1p-2, 0x1.559e7c20e20d1p-2, 0x1.576b8ab95e306p-2, 0x1.591e843a45172p-2, 0x1.5ab7ae2adb8e3p-2, 0x1.5c374f1cd57d3p-2, 0x1.5d9daea4c09a4p-2, 0x1.5eeb15524e921p-2, 0x1.601fcca87b1fap-2, 0x1.613c1f1595fe6p-2, 0x1.624057eb2d319p-2, 0x1.632cc355d730ap-2, 0x1.6401ae54e5c49p-2, 0x1.64bf66b1f8593p-2, 0x1.65663af877703p-2, 0x1.65f67a6cfb681p-2, 0x1.66707504963c6p-2, 0x1.66d47b5c0de13p-2, 0x1.6722deaf0425dp-2, 0x1.675bf0cf0b3d9p-2, 0x1.6780041aad879p-2, 0x1.678f6b746a576p-2, 0x1.678a7a39a2e8fp-2, 0x1.677184398672ep-2, 0x1.6744ddabf096dp-2, 0x1.6704db284a751p-2, 0x1.66b1d19c64b6dp-2, 0x1.664c16435279fp-2, 0x1.65d3fe9c4bb62p-2, 0x1.6549e0618bad4p-2, 0x1.64ae117f3d6e9p-2, 0x1.6400e80a6c4eep-2, 0x1.6342ba3802e48p-2, 0x1.6273de53d1edcp-2, 0x1.6194aab7aa915p-2, 0x1.60a575c288e4cp-2, 0x1.5fa695cfcc14ap-2, 0x1.5e98612e89d22p-2, 0x1.5d7b2e18f519bp-2, 0x1.5c4f52abd9a63p-2, 0x1.5b1524de38d09p-2, 0x1.59ccfa78fa39cp-2, 0x1.5877290ebe52bp-2, 0x1.571405f3cd79fp-2, 0x1.55a3e63626c4ap-2, 0x1.54271e95b1f5bp-2, 0x1.529e037c92015p-2, 0x1.5108e8f79c117p-2, 0x1.4f6822aef53dcp-2, 0x1.4dbc03ded4547p-2, 0x1.4c04df506c897p-2, 0x1.4a430752ffbb4p-2, 0x1.4876cdb5192dap-2, 0x1.46a083bdf3cf1p-2, 0x1.44c07a2709d51p-2, 0x1.42d70115d2873p-2, 0x1.40e46815a88p-2, 0x1.3ee8fe11de1bbp-2, 0x1.3ce511500248p-2, 0x1.3ad8ef6a4d59ep-2, 0x1.38c4e54a4005fp-2, 0x1.36a93f2371d91p-2, 0x1.3486486e88272p-2, 0x1.325c4be464d4bp-2, 0x1.302b93797af34p-2, 0x1.2df4685959e72p-2, 0x1.2bb712e264879p-2, 0x1.2973daa1b6de5p-2, 0x1.272b064f3c475p-2, 0x1.24dcdbc9f5811p-2, 0x1.2289a01469666p-2, 0x1.203197514adedp-2, 0x1.1dd504c047469p-2, 0x1.1b742abb06172p-2, 0x1.190f4ab255ddbp-2, 0x1.16a6a52b852c1p-2, 0x1.143a79bdebeadp-2, 0x1.11cb07109c401p-2, 0x1.0f588ad845295p-2, 0x1.0ce341d53b58ap-2, 0x1.0a6b67d1b1208p-2, 0x1.07f137a018289p-2, 0x1.0574eb19a9648p-2, 0x1.02f6bb1d1baaep-2, 0x1.0076df8d7ecb8p-2, 0x1.fbeb1ea285443p-3, 0x1.f6e600a2bd671p-3, 0x1.f1decef150d4fp-3, 0x1.ecd5f16695807p-3, 0x1.e7cbcddcc1491p-3, 0x1.e2c0c82f75df7p-3, 0x1.ddb5423b8414p-3, 0x1.d8a99bdf01d45p-3, 0x1.d39e32f999556p-3, 0x1.ce93636d213fbp-3, 0x1.c989871e75f2dp-3, 0x1.c480f5f68db7dp-3, 0x1.bf7a05e3cc48ap-3, 0x1.ba750adb93ea8p-3, 0x1.b57256dc0fb44p-3, 0x1.b07239ee3620ep-3, 0x1.ab750227fea66p-3, 0x1.a67afbaed6a12p-3, 0x1.a18470ba3f974p-3, 0x1.9c91a996a2426p-3, 0x1.97a2eca8557f7p-3, 0x1.92b87e6ed1393p-3, 0x1.8dd2a1880b8b2p-3, 0x1.88f196b404839p-3, 0x1.84159cd87cff1p-3, 0x1.7f3ef104cfd2p-3, 0x1.7a6dce75f8af9p-3, 0x1.75a26e9ab8f8bp-3, 0x1.70dd0917e4206p-3, 0x1.6c1dd3cccc9b4p-3, 0x1.676502d7d07a6p-3, 0x1.62b2c89b06907p-3, 0x1.5e0755c104398p-3, 0x1.5962d941c56f9p-3, 0x1.54c58067a7588p-3, 0x1.502f76d48602ep-3, 0x1.4ba0e686e2ef2p-3, 0x1.4719f7df2fa86p-3, 0x1.429ad1a5258f6p-3, 0x1.3e23990d31e0bp-3, 0x1.39b471bdf270ep-3, 0x1.354d7dd5c7857p-3, 0x1.30eeddf06f5a7p-3, 0x1.2c98b12cb4211p-3, 0x1.284b1532248c4p-3, 0x1.24062636d6eb9p-3, 0x1.1fc9ff0537b56p-3, 0x1.1b96b901e704fp-3, 0x1.176c6c3192943p-3, 0x1.134b2f3ee06b5p-3, 0x1.0f3317805b536p-3, 0x1.0b2438fe6651dp-3, 0x1.071ea67933a8fp-3, 0x1.0322716eb934fp-3, 0x1.fe5f544167798p-4, 0x1.f68cbf3534db9p-4, 0x1.eecd3f6f42979p-4, 0x1.e720ee51676bfp-4, 0x1.df87e2f4da537p-4, 0x1.d802323620867p-4, 0x1.d08feec0f7f6ep-4, 0x1.c931291c3900bp-4, 0x1.c1e5efb5abc99p-4, 0x1.baae4eedd312cp-4, 0x1.b38a5123a8f7ep-4, 0x1.ac79fec054a43p-4, 0x1.a57d5e42ce70ap-4, 0x1.9e94744b66192p-4, 0x1.97bf43a74f74dp-4, 0x1.90fdcd5c087ap-4, 0x1.8a5010b2b3d2fp-4, 0x1.83b60b435bb2dp-4, 0x1.7d2fb90021236p-4, 0x1.76bd14405149bp-4, 0x1.705e15cb66f67p-4, 0x1.6a12b4e3ec5f5p-4, 0x1.63dae75248f67p-4, 0x1.5db6a16f734ap-4, 0x1.57a5d62f84fb1p-4, 0x1.51a8772c369bp-4, 0x1.4bbe74af39676p-4, 0x1.45e7bdbc7a279p-4, 0x1.4024401c3f72ep-4, 0x1.3a73e8652cb1ep-4, 0x1.34d6a20626b07p-4, 0x1.2f4c5750152e1p-4, 0x1.29d4f17f85d19p-4, 0x1.247058c630538p-4, 0x1.1f1e745455b6fp-4, 0x1.19df2a61ff7e3p-4, 0x1.14b2603820159p-4, 0x1.0f97fa398d3edp-4, 0x1.0a8fdbebd6c61p-4, 0x1.0599e80000e3ep-4, 0x1.00b6005b15fc8p-4, 0x1.f7c80c3d2ab84p-5, 0x1.ee47b36185a12p-5, 0x1.e4eab5899f1cfp-5, 0x1.dbb0d0c5bec11p-5, 0x1.d299c1dfd7113p-5, 0x1.c9a5446b03208p-5, 0x1.c0d312d2bd20ep-5, 0x1.b822e669c94c3p-5, 0x1.af947778e286cp-5, 0x1.a7277d4d1182cp-5, 0x1.9edbae45c8133p-5, 0x1.96b0bfe2b2f59p-5, 0x1.8ea666d14321p-5, 0x1.86bc56f9eb15ep-5, 0x1.7ef2438d1e9abp-5, 0x1.7747df10045cbp-5, 0x1.6fbcdb68e8f08p-5, 0x1.6850e9eb61997p-5, 0x1.6103bb64393c3p-5, 0x1.59d5002501d72p-5, 0x1.52c4680f78f08p-5, 0x1.4bd1a2a098489p-5, 0x1.44fc5efb6abaap-5, 0x1.3e444bf39b747p-5, 0x1.37a91817bbfe1p-5, 0x1.312a71bb5250ap-5, 0x1.2ac80700a73e3p-5, 0x1.248185e246bd4p-5, 0x1.1e569c3c49512p-5, 0x1.1846f7d559e4fp-5, 0x1.125246678a09ap-5, 0x1.0c7835a8cbc84p-5, 0x1.06b873534c7d8p-5, 0x1.0112ad2d7e6ecp-5, 0x1.f70d2223d9c88p-6, 0x1.ec2799edb2bf3p-6, 0x1.e1741deb2bf2ap-6, 0x1.d6f20aa357563p-6, 0x1.cca0bcff8122bp-6, 0x1.c27f92589ec1dp-6, 0x1.b88de88443fcep-6, 0x1.aecb1de128fd3p-6, 0x1.a53691634609ap-6, 0x1.9bcfa29f80cbp-6, 0x1.9295b1d6fec8ap-6, 0x1.8988200201ad8p-6, 0x1.80a64eda6b96fp-6, 0x1.77efa0e5c83e8p-6, 0x1.6f63797f0f111p-6, 0x1.67013cdff617p-6, 0x1.5ec85029ec32ep-6, 0x1.56b8196eaca25p-6, 0x1.4ecfffb8802a8p-6, 0x1.470f6b1224e65p-6, 0x1.3f75c48e5660bp-6, 0x1.3802764f062b4p-6, 0x1.30b4eb8c3628dp-6, 0x1.298c909a9870ap-6, 0x1.2288d2f1ae6afp-6, 0x1.1ba92131cd306p-6, 0x1.14eceb29ba77cp-6, 0x1.0e53a1dbf512bp-6, 0x1.07dcb783b928ep-6, 0x1.01879f99c4693p-6, 0x1.f6a79db1a6526p-7, 0x1.ea817683857bp-7, 0x1.de9bb83efe172p-7, 0x1.d2f554156896bp-7, 0x1.c78d3dda4d6c5p-7, 0x1.bc626c09d0ddfp-7, 0x1.b173d7ce75f2cp-7, 0x1.a6c07d0677d2fp-7, 0x1.9c475a48afc0cp-7, 0x1.920770e8ff378p-7, 0x1.87ffc4fc4dacap-7, 0x1.7e2f5d5c2534ep-7, 0x1.749543a9c26cep-7, 0x1.6b308450e7dcfp-7, 0x1.62002e8a2e7a6p-7, 0x1.5903545d01b78p-7, 0x1.50390aa126c3bp-7, 0x1.47a069001bd33p-7, 0x1.3f3889f5cb6bbp-7, 0x1.37008ad14c801p-7, 0x1.2ef78bb4dfc33p-7, 0x1.271caf960849bp-7, 0x1.1f6f1c3cf612bp-7, 0x1.17edfa43f3aa6p-7, 0x1.1098751644626p-7, 0x1.096dbaeee9c59p-7, 0x1.026cfcd719ab6p-7, 0x1.f72add48b1a13p-8, 0x1.e9cc8decf9e5ep-8, 0x1.dcbd7e6a78ba6p-8, 0x1.cffc271ba5f83p-8, 0x1.c38705dfe96c5p-8, 0x1.b75c9e1623a15p-8, 0x1.ab7b7895d4003p-8, 0x1.9fe223a8827fap-8, 0x1.948f330284a9p-8, 0x1.89813fbb4b8d6p-8, 0x1.7eb6e845915bcp-8, 0x1.742ed066e99f4p-8, 0x1.69e7a12f39903p-8, 0x1.5fe008eff7899p-8, 0x1.5616bb329be4ap-8, 0x1.4c8a70af4cefdp-8, 0x1.4339e743311c2p-8, 0x1.3a23e1e6253a3p-8, 0x1.314728a0b9156p-8, 0x1.28a2888180eccp-8, 0x1.2034d3925e318p-8, 0x1.17fce0cda6c6dp-8, 0x1.0ff98c12e7c51p-8, 0x1.0829b61ba44c8p-8, 0x1.008c446fe2cd8p-8, 0x1.f24042b4badb4p-9, 0x1.e3c877b9d7222p-9, 0x1.d5af0f48e1e4ap-9, 0x1.c7f1f9f99613bp-9, 0x1.ba8f31894ec22p-9, 0x1.ad84b8c28510dp-9, 0x1.a0d09b63d992ep-9, 0x1.9470ee0726241p-9, 0x1.8863ce087e4b4p-9, 0x1.7ca7616c8f2bfp-9, 0x1.7139d6c7a8eaep-9, 0x1.66196523b67a5p-9, 0x1.5b444be6eaabbp-9, 0x1.50b8d2b9fd39fp-9, 0x1.4675496e460d6p-9, 0x1.3c7807e3d51e7p-9, 0x1.32bf6deffdc08p-9, 0x1.2949e342b39eap-9, 0x1.2015d74d52421p-9, 0x1.1721c12854b21p-9, 0x1.0e6c1f7953713p-9, 0x1.05f378597672dp-9, 0x1.fb6cb2766276ap-10, 0x1.eb66ada1e6a4dp-10, 0x1.dbd219e5d4084p-10, 0x1.ccac3d0b1757ap-10, 0x1.bdf26ac00db14p-10, 0x1.afa2046571884p-10, 0x1.a1b878dafb01p-10, 0x1.9433444d8b7f6p-10, 0x1.870ff0043a19ap-10, 0x1.7a4c122e39583p-10, 0x1.6de54db0e69d4p-10, 0x1.61d951f6a9d82p-10, 0x1.5625dabc8eb48p-10, 0x1.4ac8afe22f243p-10, 0x1.3fbfa5386f0a5p-10, 0x1.35089a51353a5p-10, 0x1.2aa17a4f6da66p-10, 0x1.20883bb71fd17p-10, 0x1.16bae03e4b6a3p-10, 0x1.0d37749d5c307p-10, 0x1.03fc10616b95ap-10, 0x1.f60dab7a50c17p-11, 0x1.e4abe2b78b9d7p-11, 0x1.d3cf34656f90bp-11, 0x1.c37422aa8a88bp-11, 0x1.b39743902a84ap-11, 0x1.a43540a87950ep-11, 0x1.954ad6b8462fep-11, 0x1.86d4d5604d951p-11, 0x1.78d01ec71ef3bp-11, 0x1.6b39a74487368p-11, 0x1.5e0e750da4c6fp-11, 0x1.514b9fe176c0ep-11, 0x1.44ee50b801f41p-11, 0x1.38f3c16f7816ep-11, 0x1.2d593c7d4f1a9p-11, 0x1.221c1c9ef6fedp-11, 0x1.1739cc8a5f3b2p-11, 0x1.0cafc6a215251p-11, 0x1.027b94a8005a8p-11, 0x1.f1359ee3c0d02p-12, 0x1.de163d3ebb76ep-12, 0x1.cb94709f43c72p-12, 0x1.b9abc1b3742c7p-12, 0x1.a857d5097ab87p-12, 0x1.97946a80ecf19p-12, 0x1.875d5cc13f223p-12, 0x1.77aea0afa9493p-12, 0x1.688444e6e1c55p-12, 0x1.59da7131d6828p-12, 0x1.4bad6609093f4p-12, 0x1.3df97c107a951p-12, 0x1.30bb239623c44p-12, 0x1.23eee4166a601p-12, 0x1.17915bbd6051fp-12, 0x1.0b9f3eeff70bp-12, 0x1.001557cf5f90bp-12, 0x1.e9e10b8dc7f6p-13, 0x1.d45b7a27c9992p-13, 0x1.bf940caa37424p-13, 0x1.ab84fc3285df8p-13, 0x1.9828a8de5a961p-13, 0x1.857998f23e4c2p-13, 0x1.737278029b90ap-13, 0x1.620e161ea59a9p-13, 0x1.514767027b29ap-13, 0x1.41198149bbcabp-13, 0x1.317f9da6c2f6dp-13, 0x1.2275161d0fa47p-13, 0x1.13f5653e903ddp-13, 0x1.05fc256dd4641p-13, 0x1.f10a204397d43p-14, 0x1.d717fa5e20e4p-14, 0x1.be19c4208f1c2p-14, 0x1.a607a271805a3p-14, 0x1.8ed9f2c63efa8p-14, 0x1.788949cf37215p-14, 0x1.630e7226224dap-14, 0x1.4e626b070ceccp-14, 0x1.3a7e670b3a079p-14, 0x1.275bcaea516cep-14, 0x1.14f42c4634b24p-14, 0x1.03415076b1709p-14, 0x1.e47a56c4836dap-15, 0x1.c3c3bca79f30ap-15, 0x1.a4536dbcd82c4p-15, 0x1.861e5b7f511a9p-15, 0x1.6919cb9c95de6p-15, 0x1.4d3b55d09923ep-15, 0x1.3278e1d5abefap-15, 0x1.18c8a55b47d98p-15, 0x1.00212208d6377p-15, 0x1.d0f24714c3048p-16, 0x1.a38f7b4df3aaap-16, 0x1.780894be7b64dp-16, 0x1.4e4cd03b4bee7p-16, 0x1.264befc97aa35p-16, 0x1.ffec6e4cb1f4ep-17, 0x1.b678d0a5eb3f6p-17, 0x1.701f806bc40dbp-17, 0x1.2cc3e6ac06a3dp-17, 0x1.d894aa99e1472p-18, 0x1.5d3001488ce31p-18, 0x1.ce4be59f0368bp-19, 0x1.d91134d7342eep-20, 0x1.4b4feccaa6b7ap-23, -0x1.7319c942832fap-20, -0x1.7e97f32dfd622p-19, -0x1.1d6208f5f4117p-18, -0x1.77331e85ea338p-18, -0x1.cce84e8ad61c7p-18, -0x1.0f54a6d5b289ap-17, -0x1.364e3d7cb04bdp-17, -0x1.5b7374d8e15fdp-17, -0x1.7ed6356f5713dp-17, -0x1.a087cb4a8482cp-17, -0x1.c098ea90a9f5p-17, -0x1.df19b3f1ce26dp-17, -0x1.fc19b8fbe907fp-17, -0x1.0bd40029d9f62p-16, -0x1.18e984f27ef5ep-16, -0x1.2554696eff2fep-16, -0x1.311b6cd023aa9p-16, -0x1.3c4510ca62cb8p-16, -0x1.46d79b78427c1p-16, -0x1.50d9192a3f00cp-16, -0x1.5a4f5e29e2796p-16, -0x1.63400877a8c12p-16, -0x1.6bb08180f5721p-16, -0x1.73a5ffb86d732p-16, -0x1.7b25883cc4ae6p-16, -0x1.8233f061305ddp-16, -0x1.88d5df33ce353p-16, -0x1.8f0fcefa5a9ap-16, -0x1.94e60e9fd655dp-16, -0x1.9a5cc31e4085dp-16, -0x1.9f77e8dc14ea5p-16, -0x1.a43b54fdc9adbp-16, -0x1.a8aab6b3ab9f7p-16, -0x1.acc9987c45b21p-16, -0x1.b09b615b2ef92p-16, -0x1.b423560a7579fp-16, -0x1.b7649a23b0798p-16, -0x1.ba623142f7dcap-16, -0x1.bd1f0019b9314p-16, -0x1.bf9dcd81598dbp-16, -0x1.c1e14383c0e58p-16, -0x1.c3ebf05baa66dp-16, -0x1.c5c0476bb508p-16, -0x1.c760a239a0b29p-16, -0x1.c8cf414fe1f05p-16, -0x1.ca0e4d28228a9p-16, -0x1.cb1fd70886041p-16, -0x1.cc05d9d7dd187p-16, -0x1.ccc23af17b8fdp-16, -0x1.cd56caefb7325p-16, -0x1.cdc5467057567p-16, -0x1.ce0f56d27cb21p-16, -0x1.ce3692f31783ep-16, -0x1.ce3c7fd9bdd26p-16, -0x1.ce22916d1292bp-16, -0x1.cdea2b164e66cp-16, -0x1.cd94a069225ddp-16, -0x1.cd2335bee1b3bp-16, -0x1.cc9720cf96572p-16, -0x1.cbf18946e47fp-16, -0x1.cb3389547b057p-16, -0x1.ca5e2e331d092p-16, -0x1.c97278b425fe6p-16, }}, 
      {{-0x1.e7bf1e0e390ddp-1, -0x1.e7a7372a9d76dp-1, -0x1.e77f67061ae6dp-1, -0x1.e747b69940c9ep-1, -0x1.e700325f82047p-1, -0x1.e6a8ea4382cefp-1, -0x1.e641f186c9b1ep-1, -0x1.e5cb5ea5e2c58p-1, -0x1.e5454b39ed417p-1, -0x1.e4afd3d856a31p-1, -0x1.e40b17f13fe1p-1, -0x1.e35739ace3c0ap-1, -0x1.e2945dc82f8fdp-1, -0x1.e1c2ab70c5047p-1, -0x1.e0e24c20928e3p-1, -0x1.dff36b7944132p-1, -0x1.def6371fc9e25p-1, -0x1.ddeade984110ep-1, -0x1.dcd1932281352p-1, -0x1.dbaa87978df35p-1, -0x1.da75f04825f8cp-1, -0x1.d93402dc909b4p-1, -0x1.d7e4f635ce2bbp-1, -0x1.d68902503357ep-1, -0x1.d520602774e2ap-1, -0x1.d3ab499c202cfp-1, -0x1.d229f95a719cfp-1, -0x1.d09caac276a14p-1, -0x1.cf0399d16b7c4p-1, -0x1.cd5f030c3b1c4p-1, -0x1.cbaf236b112bap-1, -0x1.c9f43845e85b9p-1, -0x1.c82e7f4208277p-1, -0x1.c65e36406009bp-1, -0x1.c4839b4cb950cp-1, -0x1.c29eec8db37b3p-1, -0x1.c0b0683585d4fp-1, -0x1.beb84c7381b67p-1, -0x1.bcb6d76650c8bp-1, -0x1.baac470eeea3ep-1, -0x1.b898d9445730fp-1, -0x1.b67ccba7efbdbp-1, -0x1.b4585b9a9e725p-1, -0x1.b22bc6329651dp-1, -0x1.aff74831cfd94p-1, -0x1.adbb1dfd2b635p-1, -0x1.ab7783943a031p-1, -0x1.a92cb489a409ep-1, -0x1.a6daebfc2c581p-1, -0x1.a48264904346p-1, -0x1.a223586a28b55p-1, -0x1.9fbe01288f376p-1, -0x1.9d5297dfbc532p-1, -0x1.9ae155151c76ep-1, -0x1.986a70bb40af2p-1, -0x1.95ee222e4185fp-1, -0x1.936ca0307a0ffp-1, -0x1.90e620e79813dp-1, -0x1.8e5ad9d9f4fb3p-1, -0x1.8bcaffec363bep-1, -0x1.8936c75f283fp-1, -0x1.869e63cdd2e5dp-1, -0x1.8402082bbedfdp-1, -0x1.8161e6c3684dcp-1, -0x1.7ebe3134da83ap-1, -0x1.7c1718746ec1ep-1, -0x1.796cccc9adacdp-1, -0x1.76bf7dce4ee4bp-1, -0x1.740f5a6d541acp-1, -0x1.715c90e23e18dp-1, -0x1.6ea74eb85b13p-1, -0x1.6befc0ca2c104p-1, -0x1.69361340e088ep-1, -0x1.667a7193e7c9fp-1, -0x1.63bd068898c75p-1, -0x1.60fdfc31eed11p-1, -0x1.5e3d7bf05b9e1p-1, -0x1.5b7bae71af1b6p-1, -0x1.58b8bbb115395p-1, -0x1.55f4caf7297dep-1, -0x1.533002da20cc7p-1, -0x1.506a893e09d4ap-1, -0x1.4da4835525405p-1, -0x1.4ade15a053368p-1, -0x1.481763ef99b7ep-1, -0x1.45509162c168bp-1, -0x1.4289c06a0a8cp-1, -0x1.3fc312c6f7c35p-1, -0x1.3cfca98d30ff2p-1, -0x1.3a36a5237e2f6p-1, -0x1.37712544d5f63p-1, -0x1.34ac490183aadp-1, -0x1.31e82ec0643a6p-1, -0x1.2f24f4403511p-1, -0x1.2c62b698f9011p-1, -0x1.29a1923d70131p-1, -0x1.26e1a2fca15dcp-1, -0x1.24230403771f7p-1, -0x1.2165cfde6a735p-1, -0x1.1eaa207b3ea48p-1, -0x1.1bf00f2acc1d6p-1, -0x1.1937b4a2d6566p-1, -0x1.168128fff0b8p-1, -0x1.13cc83c76b684p-1, -0x1.1119dbe94cd8cp-1, -0x1.0e6947c2517d2p-1, -0x1.0bbadd1df4bddp-1, -0x1.090eb1387fa2bp-1, -0x1.0664d8c11c54p-1, -0x1.03bd67dbeeaa4p-1, -0x1.011872242e804p-1, -0x1.fcec155c89c22p-2, -0x1.f7ac8813d5805p-2, -0x1.f27260888bde3p-2, -0x1.ed3dc1d40d075p-2, -0x1.e80ece1304877p-2, -0x1.e2e5a6699917dp-2, -0x1.ddc26b0799c9cp-2, -0x1.d8a53b2c9bcc4p-2, -0x1.d38e352c15fe8p-2, -0x1.ce7d76716d8e8p-2, -0x1.c9731b83f5663p-2, -0x1.c46f400ae4cc4p-2, -0x1.bf71fed13b1c2p-2, -0x1.ba7b71c998ef5p-2, -0x1.b58bb212042b1p-2, -0x1.b0a2d7f7a2d0ap-2, -0x1.abc0fafa5e0eep-2, -0x1.a6e631d077b09p-2, -0x1.a212926a0e646p-2, -0x1.9d4631f48c06fp-2, -0x1.988124de06bb6p-2, -0x1.93c37ed88b95cp-2, -0x1.8f0d52dd59e0dp-2, -0x1.8a5eb33007f5bp-2, -0x1.85b7b1619bc32p-2, -0x1.81185e538ab37p-2, -0x1.7c80ca3aaa9ecp-2, -0x1.77f104a212e7bp-2, -0x1.73691c6de72a5p-2, -0x1.6ee91fde14b8dp-2, -0x1.6a711c90fe815p-2, -0x1.66011f861609bp-2, -0x1.6199352066c96p-2, -0x1.5d396929128f3p-2, -0x1.58e1c6d1bcc01p-2, -0x1.549258b6e6a18p-2, -0x1.504b28e240a5ap-2, -0x1.4c0c40cceb712p-2, -0x1.47d5a961ac206p-2, -0x1.43a76aff14ac5p-2, -0x1.3f818d79a06fdp-2, -0x1.3b64181dc53cep-2, -0x1.374f11b1f9e4ep-2, -0x1.33428078af8e2p-2, -0x1.2f3e6a3246a3dp-2, -0x1.2b42d41ef623fp-2, -0x1.274fc300abe36p-2, -0x1.23653b1ce5584p-2, -0x1.1f83403e7dd5fp-2, -0x1.1ba9d5b779b53p-2, -0x1.17d8fe62c7cecp-2, -0x1.1410bca5ff71fp-2, -0x1.10511273135c1p-2, -0x1.0c9a014a06723p-2, -0x1.08eb8a3a973eap-2, -0x1.0545ade5e6277p-2, -0x1.01a86c801b343p-2, -0x1.fc278ba40b56ep-3, -0x1.f50f727570571p-3, -0x1.ee088b6246026p-3, -0x1.e712d38b55f25p-3, -0x1.e02e47477b1cdp-3, -0x1.d95ae226c78d4p-3, -0x1.d2989ef5a779ap-3, -0x1.cbe777bff9c9ep-3, -0x1.c54765d42ec7p-3, -0x1.beb861c664276p-3, -0x1.b83a637371451p-3, -0x1.b1cd620406ae8p-3, -0x1.ab7153efba5d4p-3, -0x1.a5262f001d997p-3, -0x1.9eebe853cd968p-3, -0x1.98c27461808aep-3, -0x1.92a9c6fb1ab25p-3, -0x1.8ca1d350bb662p-3, -0x1.86aa8bf3cb15dp-3, -0x1.80c3e2da0da5fp-3, -0x1.7aedc960aea72p-3, -0x1.7528304f502ffp-3, -0x1.6f7307db1c5abp-3, -0x1.69ce3fa9ced89p-3, -0x1.6439c6d4c9f41p-3, -0x1.5eb58bec2024p-3, -0x1.59417cf9a2e5fp-3, -0x1.53dd8783f2794p-3, -0x1.4e8998918853ap-3, -0x1.49459cabc6dc4p-3, -0x1.44117fe2021ep-3, -0x1.3eed2dcc8ea15p-3, -0x1.39d8918fc85bfp-3, -0x1.34d395df1d253p-3, -0x1.2fde250013a58p-3, -0x1.2af828cd5164cp-3, -0x1.26218ab99ff7ap-3, -0x1.215a33d2ece59p-3, -0x1.1ca20cc54d13ap-3, -0x1.17f8fdddf3dfp-3, -0x1.135eef0e3768dp-3, -0x1.0ed3c7ee7e039p-3, -0x1.0a576fc13b75bp-3, -0x1.05e9cd75dbc35p-3, -0x1.018ac7abb7a54p-3, -0x1.fa748969ed0d8p-4, -0x1.f1f05532f29edp-4, -0x1.e988be3378c26p-4, -0x1.e13d8f635fd2dp-4, -0x1.d90e9337276dp-4, -0x1.d0fb93a58d7aap-4, -0x1.c9045a2d30c0fp-4, -0x1.c128afda174acp-4, -0x1.b9685d4b3a187p-4, -0x1.b1c32ab7fbb47p-4, -0x1.aa38dff58d2f7p-4, -0x1.a2c9447c56a24p-4, -0x1.9b741f6d41c65p-4, -0x1.943937970246p-4, -0x1.8d18537b4489ap-4, -0x1.86113953dbfe1p-4, -0x1.7f23af17d4814p-4, -0x1.784f7a808049dp-4, -0x1.7194610e6e3c1p-4, -0x1.6af2280e52862p-4, -0x1.6468949de1dd3p-4, -0x1.5df76bb094fb6p-4, -0x1.579e721466219p-4, -0x1.515d6c7671933p-4, -0x1.4b341f678d458p-4, -0x1.45224f60ca37cp-4, -0x1.3f27c0c7e59bcp-4, -0x1.394437f3a9482p-4, -0x1.337779303410ep-4, -0x1.2dc148c337eb5p-4, -0x1.28216af01e631p-4, -0x1.2297a3fc1d943p-4, -0x1.1d23b832388f9p-4, -0x1.17c56be72dfabp-4, -0x1.127c837d5274fp-4, -0x1.0d48c3685693ep-4, -0x1.0829f030fcb0cp-4, -0x1.031fce78b8041p-4, -0x1.fc5445fa6da49p-5, -0x1.f2916537bdbe1p-5, -0x1.e8f684aa60639p-5, -0x1.df832ea02d932p-5, -0x1.d636edba4f1d2p-5, -0x1.cd114cf396fe7p-5, -0x1.c411d7a6a7a2dp-5, -0x1.bb381993fc7cdp-5, -0x1.b2839ee7c31e6p-5, -0x1.a9f3f43f933e3p-5, -0x1.a188a6afffaf8p-5, -0x1.994143c9f7d99p-5, -0x1.911d59a0108eep-5, -0x1.891c76cb981cep-5, -0x1.813e2a718f9ecp-5, -0x1.7982044771ff6p-5, -0x1.71e79497e25aep-5, -0x1.6a6e6c472a85ap-5, -0x1.63161cd798275p-5, -0x1.5bde386db53dap-5, -0x1.54c651d459917p-5, -0x1.4dcdfc8098a2dp-5, -0x1.46f4cc958d19bp-5, -0x1.403a56e7fe90bp-5, -0x1.399e3101e215p-5, -0x1.331ff125be25bp-5, -0x1.2cbf2e51e0f6p-5, -0x1.267b80438355bp-5, -0x1.20547f79b9a3p-5, -0x1.1a49c5384ffabp-5, -0x1.145aeb8a7df14p-5, -0x1.0e878d457e26fp-5, -0x1.08cf460b00e9fp-5, -0x1.0331b24b85dd6p-5, -0x1.fb5cde911bbcap-6, -0x1.f08a362d6cc8ap-6, -0x1.e5eaa93f61483p-6, -0x1.db7d77483c9e8p-6, -0x1.d141e17a9b364p-6, -0x1.c7372abdbeee3p-6, -0x1.bd5c97b08d6a1p-6, -0x1.b3b16eac6b344p-6, -0x1.aa34f7c7cdb03p-6, -0x1.a0e67cd8ad62ep-6, -0x1.97c54976a8b66p-6, -0x1.8ed0aafd0c006p-6, -0x1.8607f08c9ae7fp-6, -0x1.7d6a6b0d1dfaap-6, -0x1.74f76d2ed9bd3p-6, -0x1.6cae4b6bbd41bp-6, -0x1.648e5c086cda3p-6, -0x1.5c96f71522922p-6, -0x1.54c7766e5a963p-6, -0x1.4d1f35bd5129ep-6, -0x1.459d927869644p-6, -0x1.3e41ebe34a0a5p-6, -0x1.370ba30efa689p-6, -0x1.2ffa1ad9aabbcp-6, -0x1.290cb7ee80d27p-6, -0x1.2242e0c517fa9p-6, -0x1.1b9bfda0ff873p-6, -0x1.15177890fb693p-6, -0x1.0eb4bd6e2ef7bp-6, -0x1.087339db226cdp-6, -0x1.02525d42a803cp-6, -0x1.f8a331ad41709p-7, -0x1.ece0bf1d45884p-7, -0x1.e15c4c4d024b9p-7, -0x1.d614c6396b333p-7, -0x1.cb091d6169843p-7, -0x1.c03845c2302fdp-7, -0x1.b5a136d38470cp-7, -0x1.ab42eb83a27bfp-7, -0x1.a11c6233266a8p-7, -0x1.972c9cb09136ep-7, -0x1.8d72a033c8192p-7, -0x1.83ed755955f62p-7, -0x1.7a9c281d77549p-7, -0x1.717dc7d71ddf5p-7, -0x1.68916732a247ep-7, -0x1.5fd61c2c76282p-7, -0x1.574b000ba069fp-7, -0x1.4eef2f5c0ca4ap-7, -0x1.46c1c9e8c973fp-7, -0x1.3ec1f2b630016p-7, -0x1.36eecffbc35bap-7, -0x1.2f478b1e211ccp-7, -0x1.27cb50a8bfd2dp-7, -0x1.20795047959f1p-7, -0x1.1950bcc0a4843p-7, -0x1.1250cbed775cfp-7, -0x1.0b78b6b4776b5p-7, -0x1.04c7b90246f8p-7, -0x1.fc7a2385d0505p-8, -0x1.efb005b5e9b36p-8, -0x1.e32fa2413cb1bp-8, -0x1.d6f788a98102bp-8, -0x1.cb064e37a0481p-8, -0x1.bf5a8ded78ac3p-8, -0x1.b3f2e877a7f1cp-8, -0x1.a8ce041f133ddp-8, -0x1.9dea8cba6bc93p-8, -0x1.9347339faa904p-8, -0x1.88e2af956f948p-8, -0x1.7ebbbcc454bbcp-8, -0x1.74d11ca825621p-8, -0x1.6b2196011f35p-8, -0x1.61abf4c5222bdp-8, -0x1.586f0a10cccbap-8, -0x1.4f69ac18a0dd2p-8, -0x1.469ab61a23e95p-8, -0x1.3e01084ce228bp-8, -0x1.359b87d39699ap-8, -0x1.2d691ead35d0cp-8, -0x1.2568bba60453fp-8, -0x1.1d995248b7171p-8, -0x1.15f9dacf89471p-8, -0x1.0e89521555bcfp-8, -0x1.0746b986daaa7p-8, -0x1.00311713d3e52p-8, -0x1.f28eea407ed68p-9, -0x1.e511c4eb23b8ap-9, -0x1.d7e8e46862a18p-9, -0x1.cb1277893a507p-9, -0x1.be8cb5920e8eap-9, -0x1.b255de1d67d2cp-9, -0x1.a66c38ff18399p-9, -0x1.9ace162772823p-9, -0x1.8f79cd86b3b46p-9, -0x1.846dbef06d578p-9, -0x1.79a851ff2be55p-9, -0x1.6f27f5f85e8aap-9, -0x1.64eb21b041b7ap-9, -0x1.5af0536e0d3f7p-9, -0x1.513610d040dc7p-9, -0x1.47bae6b1235fdp-9, -0x1.3e7d690b871f5p-9, -0x1.357c32dfa5771p-9, -0x1.2cb5e6183f8a6p-9, -0x1.24292b6fcb664p-9, -0x1.1bd4b2561b4dcp-9, -0x1.13b730d5f813p-9, -0x1.0bcf637b20c54p-9, -0x1.041c0d386173ap-9, -0x1.f937ee9bf4e11p-10, -0x1.ea9be2605f193p-10, -0x1.dc61a0dc3fe2cp-10, -0x1.ce86e131b22fp-10, -0x1.c109665500831p-10, -0x1.b3e6fedc1caa3p-10, -0x1.a71d84cda48f9p-10, -0x1.9aaadd71333dp-10, -0x1.8e8cf91fe0025p-10, -0x1.82c1d315120e8p-10, -0x1.7747713fe5466p-10, -0x1.6c1be41544607p-10, -0x1.613d466264f48p-10, -0x1.56a9bd1f8839ep-10, -0x1.4c5f7743ab963p-10, -0x1.425cad98446e7p-10, -0x1.389fa28dc3418p-10, -0x1.2f26a210afe11p-10, -0x1.25f0015ef2b47p-10, -0x1.1cfa1edde423bp-10, -0x1.144361f0c5d84p-10, -0x1.0bca3acfc79aap-10, -0x1.038d225f641e2p-10, -0x1.f71534113d0ffp-11, -0x1.e7825722a66e5p-11, -0x1.d85ed1eaaf6c7p-11, -0x1.c9a7d87fe4febp-11, -0x1.bb5aaecbf77fep-11, -0x1.ad74a8406a8e2p-11, -0x1.9ff3278d3f56cp-11, -0x1.92d39e575d5a6p-11, -0x1.86138cf14b30fp-11, -0x1.79b08213a9d47p-11, -0x1.6da81a97d2349p-11, -0x1.61f8013255be8p-11, -0x1.569dee2f7c064p-11, -0x1.4b97a72ffcc92p-11, -0x1.40e2fee70dbc4p-11, -0x1.367dd4d96e5bbp-11, -0x1.2c66151d06518p-11, -0x1.2299b81a209d6p-11, -0x1.1916c24cc5d05p-11, -0x1.0fdb440814164p-11, -0x1.06e5593925fc5p-11, -0x1.fc665258ec0b4p-12, -0x1.eb85cca5b3161p-12, -0x1.db259c103a2d4p-12, -0x1.cb4250b4f330cp-12, -0x1.bbd88fa537f14p-12, -0x1.ace5127a1ea6dp-12, -0x1.9e64a6e7c9599p-12, -0x1.90542e53aa593p-12, -0x1.82b09d6c5491bp-12, -0x1.7576fbc1f19cp-12, -0x1.68a46361ad4fep-12, -0x1.5c36007279dc2p-12, -0x1.502910d2f7411p-12, -0x1.447ae3b9d3194p-12, -0x1.3928d9571ced9p-12, -0x1.2e3062776574p-12, -0x1.238f0028e8ad1p-12, -0x1.1942436198bb7p-12, -0x1.0f47cca73fc2fp-12, -0x1.059d4bb9378ep-12, -0x1.f880fe75a7141p-13, -0x1.e65e68c14f024p-13, -0x1.d4ce8d3c50caep-13, -0x1.c3cd3eaaa4407p-13, -0x1.b3566b0f1142fp-13, -0x1.a3661b1064936p-13, -0x1.93f87160ea84ep-13, -0x1.8509aa28daae7p-13, -0x1.76961a73def26p-13, -0x1.689a2fa0ba8ecp-13, -0x1.5b126ed4b7a7p-13, -0x1.4dfb746ffd2fep-13, -0x1.4151f3868d696p-13, -0x1.3512b55a3222dp-13, -0x1.293a98d823c1fp-13, -0x1.1dc692185888p-13, -0x1.12b3a9e024507p-13, -0x1.07fefd25f971ap-13, -0x1.fb4b79336ab04p-14, -0x1.e74a585a48287p-14, -0x1.d3f5453faa8f6p-14, -0x1.c147121b3d0dap-14, -0x1.af3ab4fc8a517p-14, -0x1.9dcb46f28dac3p-14, -0x1.8cf40332d5378p-14, -0x1.7cb0464887931p-14, -0x1.6cfb8d46e5e26p-14, -0x1.5dd174ff7ed48p-14, -0x1.4f2db93c8b668p-14, -0x1.410c33ffcbab7p-14, -0x1.3368dcc5dc36fp-14, -0x1.263fc7cb70a84p-14, -0x1.198d255937179p-14, -0x1.0d4d4112549a9p-14, -0x1.017c8144fa12ep-14, -0x1.ec2ecc8367689p-15, -0x1.d6351368a1228p-15, -0x1.c1053c01d900cp-15, -0x1.ac98db49b3c1fp-15, -0x1.98e9b534bd4e3p-15, -0x1.85f1bb7fe1ccap-15, -0x1.73ab0c85bf29ep-15, -0x1.620ff21c4daf7p-15, -0x1.511ae0753e295p-15, -0x1.40c67509133d5p-15, -0x1.310d7583c4ea8p-15, -0x1.21eacebac1071p-15, -0x1.135993a9a3661p-15, -0x1.0554fc702d347p-15, -0x1.efb0cab554db6p-16, -0x1.d5be9bdddbb55p-16, -0x1.bccaaffacde3p-16, -0x1.a4cc8d707446ep-16, -0x1.8dbbfba2e5a3bp-16, -0x1.77910135e527fp-16, -0x1.6243e25f4434p-16, -0x1.4dcd1f3b97527p-16, -0x1.3a2572331d61bp-16, -0x1.2745ce66524f8p-16, -0x1.15275e211f2f5p-16, -0x1.03c3815bc82a5p-16, -0x1.e627988466aa9p-17, -0x1.c6240b87ec91ap-17, -0x1.a7704c60271acp-17, -0x1.8a00abaa2f9cfp-17, -0x1.6dc9d75d8d931p-17, -0x1.52c0d8325e0bfp-17, -0x1.38db0f112eeddp-17, -0x1.200e32a06563dp-17, -0x1.08504cd8ff98p-17, -0x1.e32f714f74ccap-18, -0x1.b7b63f4671718p-18, -0x1.8e22efa3040d9p-18, -0x1.666402f579ab9p-18, -0x1.40688a0244f08p-18, -0x1.1c2021a847207p-18, -0x1.f2f5dd938daf4p-19, -0x1.b0d334d4f0ffp-19, -0x1.71ba9b8ca838dp-19, -0x1.358f5d409761ep-19, -0x1.f86b6e516a26fp-20, -0x1.8b25a249464efp-20, -0x1.23196d8e69ef6p-20, -0x1.80294232b4fe6p-21, -0x1.879aeabe31802p-22, -0x1.0c1b00fbbe8fap-25, 0x1.32a956ce559aap-22, 0x1.3acd2be39f57ap-21, 0x1.d3fc692dcbc77p-21, 0x1.329a0d5ac77c5p-20, 0x1.7761973166d65p-20, 0x1.b87aef04482f8p-20, 0x1.f60ae2595b50ap-20, 0x1.181a7cd7b381ep-19, 0x1.338dc137ccdf9p-19, 0x1.4d6fcc63cb74ep-19, 0x1.65d0988974dp-19, 0x1.7cbf90866ec06p-19, 0x1.924b9473a6ab3p-19, 0x1.a682fdfd752b3p-19, 0x1.b973a49df1ed2p-19, 0x1.cb2ae1c18f017p-19, 0x1.dbb594d0d41f7p-19, 0x1.eb20270b1b2b8p-19, 0x1.f9768f5854b2bp-19, 0x1.03622af351a16p-18, 0x1.098a4be8800cbp-18, 0x1.0f39054811de6p-18, 0x1.14737fafbc367p-18, 0x1.193eb33f370f7p-18, 0x1.1d9f69342f8d3p-18, 0x1.219a3d72933b4p-18, 0x1.2533a0065d127p-18, 0x1.286fd69662bp-18, 0x1.2b52fdcd78888p-18, 0x1.2de10abd3906cp-18, 0x1.301dcc334f883p-18, 0x1.320cec009439p-18, 0x1.33b1f03ff2539p-18, 0x1.35103c888eddcp-18, 0x1.362b131f173ap-18, 0x1.3705961b30547p-18, 0x1.37a2c87e19509p-18, 0x1.38058f48eecebp-18, 0x1.3830b28b0cdfp-18, 0x1.3826de6230d28p-18, 0x1.37eaa3f5dab6ep-18, 0x1.377e7a6a9e3a8p-18, 0x1.36e4bfcdee2f6p-18, 0x1.361fb9fab565ap-18, 0x1.3531977638921p-18, 0x1.341c704243227p-18, 0x1.32e246b136da9p-18, 0x1.3185082e1447ep-18, 0x1.30068dfed8d42p-18, 0x1.2e689dff29ed7p-18, 0x1.2caceb596932ap-18, 0x1.2ad517353ac0ap-18, 0x1.28e2b162030fp-18, 0x1.26d738fba031cp-18, 0x1.24b41d0a10ea7p-18, 0x1.227abd1a31203p-18, 0x1.202c69d6b5c08p-18, 0x1.1dca65973b4cbp-18, 0x1.1b55e4e987bap-18, 0x1.18d00f1b0c056p-18, 0x1.1639febaef62bp-18, 0x1.1394c217b97e8p-18, 0x1.10e15bb71e7ep-18, 0x1.0e20c2cc679c1p-18, 0x1.0b53e3ab1b19ap-18, 0x1.087ba0321ecdap-18, 0x1.0598d038eb52p-18, 0x1.02ac41f2af466p-18, 0x1.ff6d74a59fd21p-19, 0x1.f971ead61a5dcp-19, 0x1.f3674d8eb9806p-19, 0x1.ed4ef38c7a22cp-19, 0x1.e72a23dcabc41p-19, 0x1.e0fa167dd5c02p-19, 0x1.dabff501eef71p-19, 0x1.d47cdb2919e15p-19, 0x1.ce31d7702f1a4p-19, 0x1.c7dfeba08c772p-19, 0x1.c1880d59eff47p-19, 0x1.bb2b26972fbb3p-19, 0x1.b4ca1628bda0dp-19, 0x1.ae65b0313580ep-19, 0x1.a7febe9aef683p-19, 0x1.a196018792a2cp-19, 0x1.9b2c2fbb5286p-19, 0x1.94c1f70b7d829p-19, 0x1.8e57fcbcea72dp-19, 0x1.87eedde7d04bep-19, 0x1.81872fd4c02e7p-19, 0x1.7b2180534b9c7p-19, 0x1.74be561269704p-19, 0x1.6e5e30f1d446p-19, 0x1.68018a4fde1ep-19, 0x1.61a8d555c8b06p-19, 0x1.5b547f4302b56p-19, 0x1.5504efaf96108p-19, 0x1.4eba88d1e5f55p-19, 0x1.4875a7bc7d98cp-19, 0x1.4236a49e753dfp-19, 0x1.3bfdd2fd318bdp-19, 0x1.35cb81ec26734p-19, 0x1.2f9ffc43c966ep-19, 0x1.297b88d53e8dbp-19, 0x1.235e6a9b2f9eap-19, 0x1.1d48e0eb01463p-19, }}, 
      {{-0x1.4f2723ec96057p-7, -0x1.4f4949acfe673p-6, -0x1.f741be10d3375p-6, -0x1.4fcd1004f0bc8p-5, -0x1.a435450662a9fp-5, -0x1.f8e26fd97a269p-5, -0x1.26ed120d4bacp-4, -0x1.518f4545a3cdcp-4, -0x1.7c57376a6a504p-4, -0x1.a742aa7c998fcp-4, -0x1.d24dc7a98ca03p-4, -0x1.fd732b4df35a3p-4, -0x1.1455fa56a4c56p-3, -0x1.29f7ee0751af3p-3, -0x1.3f9aa86171c72p-3, -0x1.5538cf836dc01p-3, -0x1.6acc8e2627b9p-3, -0x1.804fabc1bc1ep-3, -0x1.95bba54cf52fbp-3, -0x1.ab09c53db6058p-3, -0x1.c03339aa4b7b8p-3, -0x1.d53127bea4ac3p-3, -0x1.e9fcbc13d78f3p-3, -0x1.fe8f37cd98f63p-3, -0x1.0970fd540562ap-2, -0x1.13774529c2a1cp-2, -0x1.1d574bcda2dccp-2, -0x1.270e00f0534f8p-2, -0x1.30986cb8f651bp-2, -0x1.39f3b09b0693ep-2, -0x1.431d0808cd26cp-2, -0x1.4c11c92820e37p-2, -0x1.54cf65a270904p-2, -0x1.5d536b9d2bfdfp-2, -0x1.659b86dd46155p-2, -0x1.6da5821049dc8p-2, -0x1.756f482f5c93cp-2, -0x1.7cf6e5ec9e0b1p-2, -0x1.843a8b19772bbp-2, -0x1.8b388bf426ecp-2, -0x1.91ef624c06514p-2, -0x1.985dae6e2ff79p-2, -0x1.9e8237cf09c07p-2, -0x1.a45bed6874ac6p-2, -0x1.a9e9e5c7b8271p-2, -0x1.af2b5ec98e6f7p-2, -0x1.b41fbd05a532bp-2, -0x1.b8c68aeda35e8p-2, -0x1.bd1f77a5daab3p-2, -0x1.c12a559f94521p-2, -0x1.c4e718fe226b6p-2, -0x1.c855d5d0a0102p-2, -0x1.cb76be2a9f3e3p-2, -0x1.ce4a20260d9cp-2, -0x1.d0d063d822e85p-2, -0x1.d30a0942ab075p-2, -0x1.d4f7a64a14145p-2, -0x1.d699e4b7be756p-2, -0x1.d7f1804f03485p-2, -0x1.d8ff44fa39209p-2, -0x1.d9c40d13f2511p-2, -0x1.da40bfcf9849ap-2, -0x1.da764fc378a14p-2, -0x1.da65b99572d4cp-2, -0x1.da1002ca8ae41p-2, -0x1.d97638b8f42dcp-2, -0x1.d8996f9b72b2dp-2, -0x1.d77ac1c47163cp-2, -0x1.d61b4eeec0558p-2, -0x1.d47c3ba98745bp-2, -0x1.d29eb0dcd846fp-2, -0x1.d083db6415446p-2, -0x1.ce2cebbb507b4p-2, -0x1.cb9b15bcd6a31p-2, -0x1.c8cf906c17a53p-2, -0x1.c5cb95cb4e4ecp-2, -0x1.c29062b95c842p-2, -0x1.bf1f36d594c88p-2, -0x1.bb7954674f4cp-2, -0x1.b7a000476dc21p-2, -0x1.b39481ca26068p-2, -0x1.af5822a7a99c6p-2, -0x1.aaec2ee27fd5ap-2, -0x1.a651f4aa9ccb2p-2, -0x1.a18ac43c7b1a1p-2, -0x1.9c97efbbb0817p-2, -0x1.977acb08a64a6p-2, -0x1.9234ab914ad26p-2, -0x1.8cc6e81cb8b1fp-2, -0x1.8732d891f39bap-2, -0x1.8179d5b9f6c3dp-2, -0x1.7b9d38fd6be46p-2, -0x1.759e5c1e79b37p-2, -0x1.6f7e98ef240f1p-2, -0x1.693f4904c402fp-2, -0x1.62e1c5693358ap-2, -0x1.5c67664a3950bp-2, -0x1.55d182a7d829cp-2, -0x1.4f21700214f55p-2, -0x1.48588206cdeefp-2, -0x1.41780a40346fdp-2, -0x1.3a8157c47425ep-2, -0x1.3375b6e7094d3p-2, -0x1.2c5670ec42d39p-2, -0x1.2524cbbf59f2dp-2, -0x1.1de209ab8a224p-2, -0x1.168f69187ceecp-2, -0x1.0f2e244a56407p-2, -0x1.07bf7125a92e5p-2, -0x1.004480f77dd6cp-2, -0x1.f17d00834575bp-3, -0x1.e25d2d16af5edp-3, -0x1.d32bcc6ce4fe7p-3, -0x1.c3eb18b2097p-3, -0x1.b49d4136fe3b5p-3, -0x1.a5446a36a2e44p-3, -0x1.95e2aca3e046ep-3, -0x1.867a16005c916p-3, -0x1.770ca83b95017p-3, -0x1.679c599a1a8c7p-3, -0x1.582b14a4989a5p-3, -0x1.48bab81e594c9p-3, -0x1.394d1702d2552p-3, -0x1.29e3f889ec138p-3, -0x1.1a81183279bffp-3, -0x1.0b2625d28b908p-3, -0x1.f7a98b5a3f64bp-4, -0x1.d91d21196c215p-4, -0x1.baaa27c4ce12cp-4, -0x1.9c53a3d1eb323p-4, -0x1.7e1c8396f73ebp-4, -0x1.60079f9e6b66ep-4, -0x1.4217bb001784ap-4, -0x1.244f83bec9184p-4, -0x1.06b19329cb143p-4, -0x1.d280dc82ed3cbp-5, -0x1.97fd0c3c3d0ecp-5, -0x1.5ddc70b14d8ccp-5, -0x1.24239ee84e5c6p-5, -0x1.d5ae0d1fd7b77p-6, -0x1.63f5e5a6856c3p-6, -0x1.e64e2cb1ca474p-7, -0x1.069350d459f92p-7, -0x1.46560e7476327p-10, 0x1.65f8f6d82257ap-8, 0x1.8cb3e3f9e3f88p-7, 0x1.3226ba059f694p-6, 0x1.9cddd1fc649dp-6, 0x1.033c595c899f1p-5, 0x1.377888318e43cp-5, 0x1.6b206c918db4cp-5, 0x1.9e3119f123a91p-5, 0x1.d0a7bf8c08885p-5, 0x1.0140d3e98ced5p-4, 0x1.19de1bf0d2eeap-4, 0x1.322a777cf74f5p-4, 0x1.4a24b30476037p-4, 0x1.61cba79891766p-4, 0x1.791e3aae3a5b9p-4, 0x1.901b5dea5e7d5p-4, 0x1.a6c20ef17f649p-4, 0x1.bd11573a7ddafp-4, 0x1.d3084be461ceap-4, 0x1.e8a60d8f1d88bp-4, 0x1.fde9c836fd93fp-4, 0x1.0969598960608p-3, 0x1.13b0083a06abp-3, 0x1.1dc896d51645cp-3, 0x1.27b2b17373b27p-3, 0x1.316e099295962p-3, 0x1.3afa5608c3949p-3, 0x1.445752fa10869p-3, 0x1.4d84c1ce03bbdp-3, 0x1.56826925decep-3, 0x1.5f5014d35e99cp-3, 0x1.67ed95cfedaf3p-3, 0x1.705ac23428911p-3, 0x1.7897752fa77p-3, 0x1.80a38f00f21f8p-3, 0x1.887ef4ed8cab2p-3, 0x1.9029913a17463p-3, 0x1.97a3532252f68p-3, 0x1.9eec2ed119eedp-3, 0x1.a6041d582b0d2p-3, 0x1.aceb1ca7b5229p-3, 0x1.b3a12f85a2e6ap-3, 0x1.ba265d849278fp-3, 0x1.c07ab2fa6c216p-3, 0x1.c69e40f68bfdbp-3, 0x1.cc911d37805f4p-3, 0x1.d253622040b31p-3, 0x1.d7e52eace3fddp-3, 0x1.dd46a666d1a3ep-3, 0x1.e277f15857624p-3, 0x1.e7793bffad435p-3, 0x1.ec4ab7416167bp-3, 0x1.f0ec985a1f522p-3, 0x1.f55f18cfe0ca1p-3, 0x1.f9a276626fb2ap-3, 0x1.fdb6f2fb55de9p-3, 0x1.00ce6a4e8d9acp-2, 0x1.02aa32a8f798dp-2, 0x1.046ef98cd2fb1p-2, 0x1.061ce7eb91b1p-2, 0x1.07b4289e90d32p-2, 0x1.0934e85d32ebcp-2, 0x1.0a9f55b2ac67ep-2, 0x1.0bf3a0f38cbd6p-2, 0x1.0d31fc330052p-2, 0x1.0e5a9b37cce4bp-2, 0x1.0f6db3710f83ap-2, 0x1.106b7beac155p-2, 0x1.11542d41f9f77p-2, 0x1.122801990261ep-2, 0x1.12e7348b31ab9p-2, 0x1.139203209ac47p-2, 0x1.1428abc18c709p-2, 0x1.14ab6e29eaffep-2, 0x1.151a8b5c63523p-2, 0x1.157645957f11fp-2, 0x1.15bee03e9a258p-2, 0x1.15f49fe0bf7f8p-2, 0x1.1617ca1772956p-2, 0x1.1628a58363b92p-2, 0x1.162779bd1ac6cp-2, 0x1.16148f4796d25p-2, 0x1.15f02f82e7ae2p-2, 0x1.15baa49ec4cd4p-2, 0x1.1574398d288bfp-2, 0x1.151d39f4efde1p-2, 0x1.14b5f22481775p-2, 0x1.143eaf0483067p-2, 0x1.13b7be0aa078fp-2, 0x1.13216d2c62322p-2, 0x1.127c0ad21fd98p-2, 0x1.11c7e5ca07633p-2, 0x1.11054d3b46676p-2, 0x1.103490994ebd8p-2, 0x1.0f55ff97431dfp-2, 0x1.0e69ea1b86f23p-2, 0x1.0d70a03374d94p-2, 0x1.0c6a720745fdap-2, 0x1.0b57afce1e5cbp-2, 0x1.0a38a9c2531c2p-2, 0x1.090db015d9555p-2, 0x1.07d712e6eeeeep-2, 0x1.06952234f7cc8p-2, 0x1.05482dd59349dp-2, 0x1.03f08569e9206p-2, 0x1.028e785435a1cp-2, 0x1.012255ad8eae6p-2, 0x1.ff58d877d62a4p-3, 0x1.fc5a14d0c39cp-3, 0x1.f948fc6b662fap-3, 0x1.f6262a6e1acc9p-3, 0x1.f2f2390e27af8p-3, 0x1.efadc17e57d59p-3, 0x1.ec595bde1895dp-3, 0x1.e8f59f2922353p-3, 0x1.e5832127aa94p-3, 0x1.e202765f1f508p-3, 0x1.de7432036f4abp-3, 0x1.dad8e5e8df21bp-3, 0x1.d7312276698d6p-3, 0x1.d37d7698a80e6p-3, 0x1.cfbe6fb54afefp-3, 0x1.cbf4999f2022bp-3, 0x1.c8207e8a9c45ep-3, 0x1.c442a702f51efp-3, 0x1.c05b99dfc5489p-3, 0x1.bc6bdc3b342d2p-3, 0x1.b873f168a9cd8p-3, 0x1.b4745aec083bcp-3, 0x1.b06d987169e76p-3, 0x1.ac6027c562185p-3, 0x1.a84c84cdc4e04p-3, 0x1.a4332982e78cbp-3, 0x1.a0148de96cf54p-3, 0x1.9bf1280c7a765p-3, 0x1.97c96bf882742p-3, 0x1.939dcbb67080dp-3, 0x1.8f6eb74759738p-3, 0x1.8b3c9ca09eba5p-3, 0x1.8707e7a885c77p-3, 0x1.82d1023334a67p-3, 0x1.7e9854003363dp-3, 0x1.7a5e42b84104p-3, 0x1.762331eba1dep-3, 0x1.71e78310d31d1p-3, 0x1.6dab95839c614p-3, 0x1.696fc6848687p-3, 0x1.65347138b9597p-3, 0x1.60f9eeaa286e4p-3, 0x1.5cc095c826ec2p-3, 0x1.5888bb684d1ebp-3, 0x1.5452b247b35cdp-3, 0x1.501ecb0c8241cp-3, 0x1.4bed5447d04dap-3, 0x1.47be9a77d1541p-3, 0x1.4392e80a48c43p-3, 0x1.3f6a855f4cdd9p-3, 0x1.3b45b8cc4a1abp-3, 0x1.3724c69f4cfabp-3, 0x1.3307f1228a3dcp-3, 0x1.2eef78a02130cp-3, 0x1.2adb9b6626f96p-3, 0x1.26cc95cad9788p-3, 0x1.22c2a23114249p-3, 0x1.1ebdf90cf544dp-3, 0x1.1abed0e8b6311p-3, 0x1.16c55e69aeab6p-3, 0x1.12d1d4558d007p-3, 0x1.0ee46397add26p-3, 0x1.0afd3b46a606fp-3, 0x1.071c88a9ed413p-3, 0x1.0342773fae2e3p-3, 0x1.fede618569733p-4, 0x1.f745ba6107aeap-4, 0x1.efbb459ef6452p-4, 0x1.e83f4c6a50efcp-4, 0x1.e0d214994678p-4, 0x1.d973e0ba121f9p-4, 0x1.d224f0201674ap-4, 0x1.cae57ef11eda6p-4, 0x1.c3b5c632cb49ep-4, 0x1.bc95fbd812f1cp-4, 0x1.b58652cee680ap-4, 0x1.ae86fb0de94dap-4, 0x1.a79821a246a71p-4, 0x1.a0b9f0bd8c685p-4, 0x1.99ec8fc39ff2ap-4, 0x1.93302358b7325p-4, 0x1.8c84cd6f5f2f3p-4, 0x1.85eaad56878a7p-4, 0x1.7f61dfc78d1afp-4, 0x1.78ea7ef44a585p-4, 0x1.7284a2952223fp-4, 0x1.6c305ff706b44p-4, 0x1.65edca0978c19p-4, 0x1.5fbcf16c80b83p-4, 0x1.599de47e9382p-4, 0x1.5390af6a72909p-4, 0x1.4d955c34f85fbp-4, 0x1.47abf2cacf81ep-4, 0x1.41d4790e1b99fp-4, 0x1.3c0ef2e406e2cp-4, 0x1.365b62423d3ecp-4, 0x1.30b9c73c48aa4p-4, 0x1.2b2a2010d72a6p-4, 0x1.25ac6936e2a58p-4, 0x1.20409d6ab8044p-4, 0x1.1ae6b5bae5dd7p-4, 0x1.159ea995027f8p-4, 0x1.10686ed2551fbp-4, 0x1.0b43f9c45b7f9p-4, 0x1.06313d412a1aep-4, 0x1.01302aafa6dbcp-4, 0x1.f88164273ec99p-5, 0x1.eec584336fe6fp-5, 0x1.e52c904660c6bp-5, 0x1.dbb660a304fb9p-5, 0x1.d262cb23ae984p-5, 0x1.c931a3509e0d6p-5, 0x1.c022ba7645ad5p-5, 0x1.b735dfbb2dd75p-5, 0x1.ae6ae0358cc86p-5, 0x1.a5c187007917ap-5, 0x1.9d399d50c8757p-5, 0x1.94d2ea899674ep-5, 0x1.8c8d34507412bp-5, 0x1.84683ea13025ep-5, 0x1.7c63cbe14f3d7p-5, 0x1.747f9cf3209fbp-5, 0x1.6cbb71487f8cfp-5, 0x1.651706f52ba85p-5, 0x1.5d921ac0d3f8dp-5, 0x1.562c6838b69aap-5, 0x1.4ee5a9c0ea96ap-5, 0x1.47bd98a5570b1p-5, 0x1.40b3ed2a39634p-5, 0x1.39c85e9c609d6p-5, 0x1.32faa3610396dp-5, 0x1.2c4a710542e59p-5, 0x1.25b77c4d49f17p-5, 0x1.1f41794319246p-5, 0x1.18e81b44f4469p-5, 0x1.12ab151374514p-5, 0x1.0c8a18df4b8p-5, 0x1.0684d856a1f08p-5, 0x1.009b04b2296dap-5, 0x1.f5989d839cb85p-6, 0x1.ea30cdf232468p-6, 0x1.defdfaf6742b5p-6, 0x1.d3ff844d83eefp-6, 0x1.c934c942024bap-6, 0x1.be9d28c231456p-6, 0x1.b43801757c255p-6, 0x1.aa04b1d14447bp-6, 0x1.a002982d2f3fp-6, 0x1.963112d6b7ad7p-6, 0x1.8c8f80243e0b1p-6, 0x1.831d3e8766b04p-6, 0x1.79d9ac9ef9e9bp-6, 0x1.70c429481dfb4p-6, 0x1.67dc13af03b0dp-6, 0x1.5f20cb5f01fa8p-6, 0x1.5691b0521e761p-6, 0x1.4e2e2300196b2p-6, 0x1.45f5846ce1c84p-6, 0x1.3de73636782a6p-6, 0x1.36029aa26df7dp-6, 0x1.2e4714aabfd17p-6, 0x1.26b4080a3e04bp-6, 0x1.1f48d9487e113p-6, 0x1.1804edc53d551p-6, 0x1.10e7abc360813p-6, 0x1.09f07a735ffaep-6, 0x1.031ec1fd656e3p-6, 0x1.f8e3d71598e69p-7, 0x1.ebd2c29ea1beep-7, 0x1.df091d23a007bp-7, 0x1.d285bf690167bp-7, 0x1.c6478479cb42bp-7, 0x1.ba4d49b687bf6p-7, 0x1.ae95eee37bd7ep-7, 0x1.a320563604ad9p-7, 0x1.97eb6461546c6p-7, 0x1.8cf600a250d0ap-7, 0x1.823f14cad6ddp-7, 0x1.77c58d4c3af09p-7, 0x1.6d8859412f756p-7, 0x1.63866a76d873fp-7, 0x1.59beb5756d278p-7, 0x1.5030318814898p-7, 0x1.46d9d8c42a92bp-7, 0x1.3dbaa81006d1dp-7, 0x1.34d19f28ff3eep-7, 0x1.2c1dc0a911d34p-7, 0x1.239e120bc7d61p-7, 0x1.1b519bb2ce00dp-7, 0x1.133768e9c2d28p-7, 0x1.0b4e87e9d2a51p-7, 0x1.039609dc9412fp-7, 0x1.f81a05bd1885ep-8, 0x1.e96514026cbd8p-8, 0x1.db0b7299313b3p-8, 0x1.cd0b5b80e3bc2p-8, 0x1.bf630ea9f84b8p-8, 0x1.b210d1f6784b8p-8, 0x1.a512f139d3737p-8, 0x1.9867be3861fdfp-8, 0x1.8c0d90a546d24p-8, 0x1.8002c620b160fp-8, 0x1.7445c234abac4p-8, 0x1.68d4ee517babp-8, 0x1.5daeb9c990facp-8, 0x1.52d199cc87d31p-8, 0x1.483c0961eaaa4p-8, 0x1.3dec896335945p-8, 0x1.33e1a0753a986p-8, 0x1.2a19db0153ecbp-8, 0x1.2093cb2dca683p-8, 0x1.174e08d5d6e7ep-8, 0x1.0e4731814be22p-8, 0x1.057de85bd05b4p-8, 0x1.f9e1ac56d5dc4p-9, 0x1.e93d528e365fap-9, 0x1.d90c2b1985be3p-9, 0x1.c94ba8ad5c803p-9, 0x1.b9f948e21a89cp-9, 0x1.ab12941dbd221p-9, 0x1.9c951d7d16cap-9, 0x1.8e7e82bce9ccap-9, 0x1.80cc6c22180fep-9, 0x1.737c8c60da128p-9, 0x1.668ca0855260cp-9, 0x1.59fa6fd8d25c5p-9, 0x1.4dc3cbc988026p-9, 0x1.41e68fcfe8fb2p-9, 0x1.3660a15462577p-9, 0x1.2b2fef94febcbp-9, 0x1.2052738a36a47p-9, 0x1.15c62fcbd3c0bp-9, 0x1.0b89307544d1dp-9, 0x1.01998b09ee1ccp-9, 0x1.efeabcb302648p-10, 0x1.dd35a4c712f8ap-10, 0x1.cb103075d692dp-10, 0x1.b976d3d461c2cp-10, 0x1.a86614ac36df8p-10, 0x1.97da8a43777c2p-10, 0x1.87d0dd21ea167p-10, 0x1.7845c6d8914c1p-10, 0x1.693611c6f877dp-10, 0x1.5a9e98e21120cp-10, 0x1.4c7c4779cd472p-10, 0x1.3ecc18ff989f5p-10, 0x1.318b18cc366cap-10, 0x1.24b661e668e53p-10, 0x1.184b1ec8b1c74p-10, 0x1.0c468928061f9p-10, 0x1.00a5e9baaab52p-10, 0x1.eacd2ffc725f1p-11, 0x1.d50bf3fedf68cp-11, 0x1.c0030840455f9p-11, 0x1.abad71bf9a2c9p-11, 0x1.980651455867ap-11, 0x1.8508e2f2a079p-11, 0x1.72b07dd2cd144p-11, 0x1.60f8936bd080ep-11, 0x1.4fdcaf5055d24p-11, 0x1.3f5876b18e21ap-11, 0x1.2f67a7f2cec77p-11, 0x1.20061a3d089f9p-11, 0x1.112fbd14a4eb7p-11, 0x1.02e097ed30d45p-11, 0x1.ea299382520b6p-12, 0x1.cf911152c0ccap-12, 0x1.b5f042e6b1a6bp-12, 0x1.9d3fee79a0f2bp-12, 0x1.8579061760ab5p-12, 0x1.6e94a6d4c8719p-12, 0x1.588c180642d49p-12, 0x1.4358ca79a4c5bp-12, 0x1.2ef457b28a6a5p-12, 0x1.1b58812898842p-12, 0x1.087f2f86c468ap-12, 0x1.ecc4e3dd2c78p-13, 0x1.c9f8fa7696657p-13, 0x1.a88f5690e544fp-13, 0x1.887cf475451b9p-13, 0x1.69b71796ee853p-13, 0x1.4c33492994388p-13, 0x1.2fe756c15c32bp-13, 0x1.14c950f5be2dep-13, 0x1.f59f140ffc75ep-14, 0x1.c3e1292305544p-14, 0x1.9446845c6f3adp-14, 0x1.66bd4474c9c42p-14, 0x1.3b3401066edbcp-14, 0x1.1199c812b4834p-14, 0x1.d3bc370cc901p-15, 0x1.87e1dd855c9a9p-15, 0x1.3f85486dfac4ap-15, 0x1.f5102c0472131p-16, 0x1.719972554a973p-16, 0x1.e8d9d37e6cfc8p-17, 0x1.f54abcfab2747p-18, 0x1.828dbc9b15431p-21, -0x1.7e0aa76bfdfafp-18, -0x1.8b4bd61aa7e39p-17, -0x1.2687348acb696p-16, -0x1.8256f97efa35p-16, -0x1.d944499b93918p-16, -0x1.15be6ca23dfb1p-15, -0x1.3c9684badaeb2p-15, -0x1.613ff7d817bcdp-15, -0x1.83cfaed5b0475p-15, -0x1.a459f472e11e7p-15, -0x1.c2f2790dd8f34p-15, -0x1.dfac5650cab25p-15, -0x1.fa9a12c629a0dp-15, -0x1.09e6d2b18363dp-14, -0x1.15ac3c80dfa86p-14, -0x1.20a5b7e08dde6p-14, -0x1.2adb7334ae221p-14, -0x1.34555bd3e7919p-14, -0x1.3d1b1faa7cdf1p-14, -0x1.45342ec866f8fp-14, -0x1.4ca7bcf472248p-14, -0x1.537cc32b4aa63p-14, -0x1.59ba012492543p-14, -0x1.5f65fec2bb375p-14, -0x1.64870d86aa44p-14, -0x1.692349f5606a1p-14, -0x1.6d409cfa607f8p-14, -0x1.70e4bd3fe4ae1p-14, -0x1.741530836dd6p-14, -0x1.76d74ce0accdap-14, -0x1.79303a178e1d4p-14, -0x1.7b24f2c859855p-14, -0x1.7cba45af1968dp-14, -0x1.7df4d6cfcc0bfp-14, -0x1.7ed920a7cb542p-14, -0x1.7f6b754b4d84ep-14, -0x1.7fafff8a170f6p-14, -0x1.7faac4032c1a4p-14, -0x1.7f5fa237b4ac2p-14, -0x1.7ed25598cceb9p-14, -0x1.7e06768c001e2p-14, -0x1.7cff7b6afbf07p-14, -0x1.7bc0b980436d3p-14, -0x1.7a4d65f98a615p-14, -0x1.78a896d950e51p-14, -0x1.76d543dfa9304p-14, -0x1.74d6476fcf2e6p-14, -0x1.72ae5f6e0da81p-14, -0x1.70602e1b0f32fp-14, -0x1.6dee3ae8f3c5dp-14, -0x1.6b5af349bf66bp-14, -0x1.68a8ab7b72c4ep-14, -0x1.65d99f4f66311p-14, -0x1.62eff2e8ee67dp-14, -0x1.5fedb37da2bfcp-14, -0x1.5cd4d80a4caf7p-14, -0x1.59a742089985p-14, -0x1.5666be1e8426bp-14, -0x1.531504c78f2ep-14, -0x1.4fb3bafc4a29cp-14, -0x1.4c4472d550ba8p-14, -0x1.48c8ac27e1d54p-14, -0x1.4541d522178c7p-14, -0x1.41b14ae01db18p-14, -0x1.3e1859ff1401ap-14, -0x1.3a783f2bebe11p-14, -0x1.36d227ad1f135p-14, -0x1.332731eba3e4bp-14, -0x1.2f786df491fdfp-14, -0x1.2bc6ddfb150abp-14, -0x1.281376d4868e6p-14, -0x1.245f207122e44p-14, -0x1.20aab652e7b55p-14, -0x1.1cf707ff40f8ap-14, -0x1.1944d96ffc94dp-14, -0x1.1594e37fb2a31p-14, -0x1.11e7d4528381ap-14, -0x1.0e3e4fbceccfp-14, -0x1.0a98efa7e5f51p-14, -0x1.06f844702b426p-14, -0x1.035cd544d9eap-14, -0x1.ff8e410a0ab8bp-15, -0x1.f86f3829059e9p-15, -0x1.f15d6b6a1d90ep-15, -0x1.ea59a6b10a463p-15, -0x1.e364a6e223d2ep-15, -0x1.dc7f1a82424afp-15, -0x1.d5a9a24e2fa03p-15, -0x1.cee4d1ce3b6e2p-15, -0x1.c8312fe684c7fp-15, -0x1.c18f375f992c7p-15, -0x1.baff576dbbc3dp-15, -0x1.b481f4358d65bp-15, -0x1.ae1767465f62fp-15, -0x1.a7c000183c642p-15, -0x1.a17c047fc5d72p-15, -0x1.9b4bb12141799p-15, -0x1.952f39e03ea1fp-15, -0x1.8f26ca4960bb9p-15, -0x1.893285f8b2604p-15, -0x1.8352890128e1dp-15, }}, 
      {{-0x1.223b44d5586a2p-7, -0x1.224a1b6d6b79p-6, -0x1.b393d212b4b11p-6, -0x1.22841befb0c6cp-5, -0x1.6b59a1771e53bp-5, -0x1.b44f8243c95fcp-5, -0x1.fd69b33a15833p-5, -0x1.2355828b2cb13p-4, -0x1.480a8fba25113p-4, -0x1.6cd44106aeb53p-4, -0x1.91b2445de4317p-4, -0x1.b6a3b860927d8p-4, -0x1.dba72f9f3b235p-4, -0x1.005d5a6235d38p-3, -0x1.12ede80a9d552p-3, -0x1.2583c748447ecp-3, -0x1.381d455f52e38p-3, -0x1.4ab87b8571d17p-3, -0x1.5d5354a972de7p-3, -0x1.6feb939dce2e1p-3, -0x1.827ed968dbb4dp-3, -0x1.950aab806d113p-3, -0x1.a78c79bea75b4p-3, -0x1.ba01a3e9b3c4fp-3, -0x1.cc677eb4bf8a5p-3, -0x1.debb582d2f7ddp-3, -0x1.f0fa7b92073ffp-3, -0x1.01911a4e1a5eap-2, -0x1.0a97e9226e449p-2, -0x1.1390548d58174p-2, -0x1.1c790a9c94013p-2, -0x1.2550bdfa478d7p-2, -0x1.2e1626a638fecp-2, -0x1.36c80299f5534p-2, -0x1.3f65165e2a3edp-2, -0x1.47ec2d961597cp-2, -0x1.505c1b846b4eep-2, -0x1.58b3bb8bb7282p-2, -0x1.60f1f1ab242e6p-2, -0x1.6915aaf79373bp-2, -0x1.711dde1045712p-2, -0x1.79098b8dc836ap-2, -0x1.80d7be69a3de6p-2, -0x1.88878c5d19c6fp-2, -0x1.901816355847ep-2, -0x1.9788881bb0902p-2, -0x1.9ed819d092766p-2, -0x1.a6060ed86ad98p-2, -0x1.ad11b699c870ep-2, -0x1.b3fa6c6c90f2cp-2, -0x1.babf979a55f66p-2, -0x1.c160ab502d66ap-2, -0x1.c7dd2682c0165p-2, -0x1.ce3493c568287p-2, -0x1.d46689157bdb6p-2, -0x1.da72a79afd69ep-2, -0x1.e0589b5ffeb35p-2, -0x1.e6181b001dc97p-2, -0x1.ebb0e7517ce07p-2, -0x1.f122cb0897aadp-2, -0x1.f66d9a584bdc8p-2, -0x1.fb91328f5816dp-2, -0x1.0046bcda3deeap-1, -0x1.02b12f11285d9p-1, -0x1.0507eb11e5edep-1, -0x1.074aefc9218dp-1, -0x1.097a3fbad5ce1p-1, -0x1.0b95e0d3d7469p-1, -0x1.0d9ddc3d0754cp-1, -0x1.0f923e305c2b8p-1, -0x1.117315cfe70a1p-1, -0x1.134074fee75cbp-1, -0x1.14fa703cfc94ep-1, -0x1.16a11e83736d4p-1, -0x1.18349924aa6b9p-1, -0x1.19b4fbad7fc63p-1, -0x1.1b2263c8b196p-1, -0x1.1c7cf1241be11p-1, -0x1.1dc4c557b34a4p-1, -0x1.1efa03ce2190ep-1, -0x1.201cd1aedf98cp-1, -0x1.212d55c9abfcfp-1, -0x1.222bb8833e4c4p-1, -0x1.231823c3111bp-1, -0x1.23f2c2e226c5bp-1, -0x1.24bbc29aa543ap-1, -0x1.257350f830315p-1, -0x1.26199d48e166cp-1, -0x1.26aed80ec8cc4p-1, -0x1.273332f1debfap-1, -0x1.27a6e0b24f8a2p-1, -0x1.280a151b12eb7p-1, -0x1.285d04f4bdeb9p-1, -0x1.289fe5f881c0bp-1, -0x1.28d2eec34ec5bp-1, -0x1.28f656c910baap-1, -0x1.290a5647ff785p-1, -0x1.290f263bfdef8p-1, -0x1.2905005207025p-1, -0x1.28ec1edba39a5p-1, -0x1.28c4bcc26d0ecp-1, -0x1.288f157b99a9p-1, -0x1.284b64fb99de9p-1, -0x1.27f9e7a9c60a1p-1, -0x1.279ada5420cf3p-1, -0x1.272e7a23348bap-1, -0x1.26b5048e0eafbp-1, -0x1.262eb74e60084p-1, -0x1.259bd054c3f5fp-1, -0x1.24fc8dbd39558p-1, -0x1.24512dc3cce41p-1, -0x1.2399eeb97e208p-1, -0x1.22d70ef96383p-1, -0x1.2208ccde10032p-1, -0x1.212f66b74281cp-1, -0x1.204b1abfdfbeep-1, -0x1.1f5c27143e551p-1, -0x1.1e62c9a8c4833p-1, -0x1.1d5f4040dc99fp-1, -0x1.1c51c86644acp-1, -0x1.1b3a9f60b5c3cp-1, -0x1.1a1a022dec831p-1, -0x1.18f02d7a0bb4cp-1, -0x1.17bd5d9861d19p-1, -0x1.1681ce7c8a71ap-1, -0x1.153dbbb3f2798p-1, -0x1.13f1605fb8a38p-1, -0x1.129cf72eee92bp-1, -0x1.1140ba5935986p-1, -0x1.0fdce399b7d5fp-1, -0x1.0e71ac2a7ca0fp-1, -0x1.0cff4cc012aa5p-1, -0x1.0b85fd8592c45p-1, -0x1.0a05f618f4aebp-1, -0x1.087f6d87b5b06p-1, -0x1.06f29a4bcbf06p-1, -0x1.055fb248e7a6ep-1, -0x1.03c6eac9fa74bp-1, -0x1.0228787f04378p-1, -0x1.00848f7b2329p-1, -0x1.fdb6c665c4e23p-2, -0x1.fa5a4cf5843b7p-2, -0x1.f6f4170bf5d51p-2, -0x1.f38487cae8c89p-2, -0x1.f00c010ddd73p-2, -0x1.ec8ae368b25ep-2, -0x1.e9018e26adf59p-2, -0x1.e5705f49d2911p-2, -0x1.e1d7b38a82f9p-2, -0x1.de37e6576b172p-2, -0x1.da9151d5a396ep-2, -0x1.d6e44ee1169bep-2, -0x1.d331350d14da7p-2, -0x1.cf785aa51cd29p-2, -0x1.cbba14adc9a06p-2, -0x1.c7f6b6e5effa5p-2, -0x1.c42e93c7d3d0cp-2, -0x1.c061fc8a85f2cp-2, -0x1.bc91412353bbap-2, -0x1.b8bcb04755187p-2, -0x1.b4e4976d0911dp-2, -0x1.b10942ce053e9p-2, -0x1.ad2afd68b3b9ep-2, -0x1.a94a11021a561p-2, -0x1.a566c627ac5d4p-2, -0x1.a181643121997p-2, -0x1.9d9a314253847p-2, -0x1.99b1724d1d8c4p-2, -0x1.95c76b133c762p-2, -0x1.91dc5e2830d5dp-2, -0x1.8df08cf31ee14p-2, -0x1.8a0437b0ad62fp-2, -0x1.86179d74de13cp-2, -0x1.822afc2ce908cp-2, -0x1.7e3e90a10d21ep-2, -0x1.7a5296765f983p-2, -0x1.7667483096b52p-2, -0x1.727cdf33ced21p-2, -0x1.6e9393c647de1p-2, -0x1.6aab9d1223542p-2, -0x1.66c531271732bp-2, -0x1.62e084fc2163bp-2, -0x1.5efdcc713177cp-2, -0x1.5b1d3a50d2d1cp-2, -0x1.573f0051d0aa7p-2, -0x1.53634f18d68fp-2, -0x1.4f8a563a0ffeap-2, -0x1.4bb4443ac2508p-2, -0x1.47e14692e7eb5p-2, -0x1.441189aeca9bcp-2, -0x1.404538f098a3fp-2, -0x1.3c7c7eb1ff826p-2, -0x1.38b78445c3347p-2, -0x1.34f671f9596ddp-2, -0x1.31396f16845fbp-2, -0x1.2d80a1e4f1752p-2, -0x1.29cc2fabdab2fp-2, -0x1.261c3cb3ab2b9p-2, -0x1.2270ec47a849dp-2, -0x1.1eca60b79f814p-2, -0x1.1b28bb5998d4fp-2, -0x1.178c1c8b91b9dp-2, -0x1.13f4a3b5394a5p-2, -0x1.10626f49b85a5p-2, -0x1.0cd59cc97c9f4p-2, -0x1.094e48c410284p-2, -0x1.05cc8ed9f2994p-2, -0x1.025089be7f975p-2, -0x1.fdb4a673b95edp-3, -0x1.f6d40855dd6d7p-3, -0x1.efff6912b2923p-3, -0x1.e936f6cf0fe82p-3, -0x1.e27adde97db7cp-3, -0x1.dbcb48fe72e7ap-3, -0x1.d52860ec9c18fp-3, -0x1.ce924cd939a39p-3, -0x1.c80932349470ap-3, -0x1.c18d34be870f8p-3, -0x1.bb1e768b10791p-3, -0x1.b4bd1807091fdp-3, -0x1.ae6937fce28ebp-3, -0x1.a822f3997980bp-3, -0x1.a1ea6671025bdp-3, -0x1.9bbfaa840039ep-3, -0x1.95a2d8445493p-3, -0x1.8f94069a5f9dbp-3, -0x1.89934aea2de18p-3, -0x1.83a0b918be6a2p-3, -0x1.7dbc639151c66p-3, -0x1.77e65b4ad0c74p-3, -0x1.721eafcd3c0aap-3, -0x1.6c656f372fc1p-3, -0x1.66baa6437120cp-3, -0x1.611e604e8c8ecp-3, -0x1.5b90a75c7e566p-3, -0x1.5611841e68928p-3, -0x1.50a0fdf85647fp-3, -0x1.4b3f1b0704a93p-3, -0x1.45ebe025b98aap-3, -0x1.40a750f41fffep-3, -0x1.3b716fdc31496p-3, -0x1.364a3e181f841p-3, -0x1.3131bbb84caa2p-3, -0x1.2c27e7a940b23p-3, -0x1.272cbfb9aa3c7p-3, -0x1.224040a06021cp-3, -0x1.1d62660265a57p-3, -0x1.18932a78f14bp-3, -0x1.13d287977730cp-3, -0x1.0f2075f1b288dp-3, -0x1.0a7ced21a8ea2p-3, -0x1.05e7e3cdb82fbp-3, -0x1.01614fae98e84p-3, -0x1.f9d24b2abe074p-4, -0x1.f0feb2e2f885ap-4, -0x1.e847bcad7032bp-4, -0x1.dfad4d0649d6bp-4, -0x1.d72f46ca1e475p-4, -0x1.cecd8b41ce048p-4, -0x1.c687fa2e3df7bp-4, -0x1.be5e71d40eeb5p-4, -0x1.b650cf0735585p-4, -0x1.ae5eed368dae7p-4, -0x1.a688a6774d6dbp-4, -0x1.9ecdd39067ef1p-4, -0x1.972e4c05db9abp-4, -0x1.8fa9e623debf1p-4, -0x1.88407709ffebp-4, -0x1.80f1d2b61eb21p-4, -0x1.79bdcc0f52ad2p-4, -0x1.72a434f0b086p-4, -0x1.6ba4de33f2571p-4, -0x1.64bf97bc03306p-4, -0x1.5df4307f684f4p-4, -0x1.574276928c9a5p-4, -0x1.50aa3731e91bcp-4, -0x1.4a2b3ecc0cc29p-4, -0x1.43c5590b7fb9ap-4, -0x1.3d7850e085d9p-4, -0x1.3743f08ab927bp-4, -0x1.312801a284e08p-4, -0x1.2b244d2275b6dp-4, -0x1.25389b706a43fp-4, -0x1.1f64b466955cep-4, -0x1.19a85f5c638ecp-4, -0x1.1403632f2ed11p-4, -0x1.0e75864ad47dep-4, -0x1.08fe8eb21d5eep-4, -0x1.039e4206ff34p-4, -0x1.fca8cb256ad33p-5, -0x1.f2417c9b68ab3p-5, -0x1.e80621cede23cp-5, -0x1.ddf6439bf123cp-5, -0x1.d4116a6aedf5bp-5, -0x1.ca571e3eeac46p-5, -0x1.c0c6e6c406d15p-5, -0x1.b7604b5d645acp-5, -0x1.ae22d332d13b5p-5, -0x1.a50e053e0e6d5p-5, -0x1.9c216857d947ap-5, -0x1.935c834495075p-5, -0x1.8abedcc0a7fedp-5, -0x1.8247fb8c8aa9ep-5, -0x1.79f766787caecp-5, -0x1.71cca46ff3db1p-5, -0x1.69c73c84b6af6p-5, -0x1.61e6b5f9a43cp-5, -0x1.5a2a984d36539p-5, -0x1.52926b43aa04cp-5, -0x1.4b1db6f0e3d2bp-5, -0x1.43cc03c20300ap-5, -0x1.3c9cda86a7cf8p-5, -0x1.358fc479f24f1p-5, -0x1.2ea44b4b2f8edp-5, -0x1.27d9f926466acp-5, -0x1.213058bbd1504p-5, -0x1.1aa6f548f6365p-5, -0x1.143d5a9ef6d06p-5, -0x1.0df3152a75cebp-5, -0x1.07c7b1fa7d7e8p-5, -0x1.01babec73c871p-5, -0x1.f79793f0faac6p-6, -0x1.ebf4c557ce07bp-6, -0x1.e08c3175d2d5p-6, -0x1.d55cf980f86c1p-6, -0x1.ca66403d1cdccp-6, -0x1.bfa72a0686b02p-6, -0x1.b51edcdbd8418p-6, -0x1.aacc806785d5dp-6, -0x1.a0af3e08e5aaep-6, -0x1.96c640dcb6cd6p-6, -0x1.8d10b5c548f0cp-6, -0x1.838dcb722b3cfp-6, -0x1.7a3cb26762c8cp-6, -0x1.711c9d044d565p-6, -0x1.682cbf8a0e8bap-6, -0x1.5f6c50218422cp-6, -0x1.56da86e0f7f3bp-6, -0x1.4e769dd152a11p-6, -0x1.463fd0f2febffp-6, -0x1.3e355e4263da7p-6, -0x1.365685bc08148p-6, -0x1.2ea2896059d9ep-6, -0x1.2718ad371e11ep-6, -0x1.1fb837528bfebp-6, -0x1.18806fd2177adp-6, -0x1.1170a0e4dad02p-6, -0x1.0a8816cbcde36p-6, -0x1.03c61fdb94875p-6, -0x1.fa5418fc1552bp-7, -0x1.ed665e67295d1p-7, -0x1.e0c1b928230a2p-7, -0x1.d464d69f3b208p-7, -0x1.c84e685dfb3cap-7, -0x1.bc7d2427c4ec5p-7, -0x1.b0efc3f1afe82p-7, -0x1.a5a505e1fa85cp-7, -0x1.9a9bac4f06c32p-7, -0x1.8fd27dbdf1fcdp-7, -0x1.854844e0a6f0ap-7, -0x1.7afbd0938a6c3p-7, -0x1.70ebf3dad65a1p-7, -0x1.671785df6db3dp-7, -0x1.5d7d61eb6a159p-7, -0x1.541c67664b05cp-7, -0x1.4af379d0c1512p-7, -0x1.420180c029e61p-7, -0x1.394567d9b28ddp-7, -0x1.30be1ecd3703dp-7, -0x1.286a994fce882p-7, -0x1.2049cf160e4aep-7, -0x1.185abbce06e15p-7, -0x1.109c5f18f49b7p-7, -0x1.090dbc84d587dp-7, -0x1.01addb85840a6p-7, -0x1.f4f78edbba436p-8, -0x1.e6ed1ed0dafeap-8, -0x1.d93a8ce03876fp-8, -0x1.cbde06911ced5p-8, -0x1.bed5c0ecb131p-8, -0x1.b21ff86e13f65p-8, -0x1.a5baf0f20877bp-8, -0x1.99a4f5a67bfedp-8, -0x1.8ddc58f99ccebp-8, -0x1.825f7488b3692p-8, -0x1.772ca90ec0b86p-8, -0x1.6c425e52cfa8ep-8, -0x1.619f03162b2d8p-8, -0x1.57410d0233b81p-8, -0x1.4d26f89641a42p-8, -0x1.434f4914fd25fp-8, -0x1.39b88871f786cp-8, -0x1.3061473ec8cf1p-8, -0x1.27481c9850112p-8, -0x1.1e6ba6138c1d6p-8, -0x1.15ca87aaa5c13p-8, -0x1.0d636ba9a4747p-8, -0x1.0535029b3161ap-8, -0x1.fa7c066a93a5ep-9, -0x1.eafa548b7b186p-9, -0x1.dbe2753ddb34dp-9, -0x1.cd31fa0834887p-9, -0x1.bee6802c09b66p-9, -0x1.b0fdb07efb229p-9, -0x1.a3753f4382e8dp-9, -0x1.964aec0204256p-9, -0x1.897c8161f0c15p-9, -0x1.7d07d502d0d9ap-9, -0x1.70eac75577beep-9, -0x1.652343752270bp-9, -0x1.59af3f01059p-9, -0x1.4e8cb9f59f14ap-9, -0x1.43b9be866d582p-9, -0x1.393460f7a46fep-9, -0x1.2efabf781752p-9, -0x1.250b01fb795c2p-9, -0x1.1b635a1464be6p-9, -0x1.120202cf135a9p-9, -0x1.08e5408bfede9p-9, -0x1.000b60dabfeb6p-9, -0x1.eee574aaae241p-10, -0x1.de3358f6fa43ap-10, -0x1.cdfd3f1cbf19ap-10, -0x1.be4008d8e3412p-10, -0x1.aef8a8db7c31fp-10, -0x1.a02422808a2bap-10, -0x1.91bf8989d21b1p-10, -0x1.83c801d888365p-10, -0x1.763abf2873c56p-10, -0x1.691504caf9064p-10, -0x1.5c542563542ecp-10, -0x1.4ff582a2f8762p-10, -0x1.43f68d06f694ap-10, -0x1.3854c395e93e2p-10, -0x1.2d0db39e58f55p-10, -0x1.221ef876569edp-10, -0x1.17863b3b12b32p-10, -0x1.0d413291e01b3p-10, -0x1.034da26922acp-10, -0x1.f352b7758ae4cp-11, -0x1.e0a4789d4851bp-11, -0x1.ce8c5cfc85b0dp-11, -0x1.bd0651f1cf13fp-11, -0x1.ac0e5d10efc07p-11, -0x1.9ba09bae909ebp-11, -0x1.8bb9426c839a1p-11, -0x1.7c549cc82521ap-11, -0x1.6d6f0caa68993p-11, -0x1.5f0509f87188p-11, -0x1.5113222656f18p-11, -0x1.4395f7cb8aa4bp-11, -0x1.368a4237c47fep-11, -0x1.29eccd0ac542dp-11, -0x1.1dba77cc34a02p-11, -0x1.11f03585dbb0cp-11, -0x1.068b0c5f1eef2p-11, -0x1.f7102a7328bfcp-12, -0x1.e1c8f69f4a176p-12, -0x1.cd3af7a86a852p-12, -0x1.b960cb2729035p-12, -0x1.a635312d50dp-12, -0x1.93b30b8d50ea9p-12, -0x1.81d55d25534f7p-12, -0x1.7097492d0627cp-12, -0x1.5ff412867e0d8p-12, -0x1.4fe71b117358fp-12, -0x1.406be30162049p-12, -0x1.317e0836f1f03p-12, -0x1.2319459afdec8p-12, -0x1.1539727df0e94p-12, -0x1.07da81f7d6d56p-12, -0x1.f5f10499afccdp-13, -0x1.dd1f38a6f913ap-13, -0x1.c53825bbdd005p-13, -0x1.ae34844a08de8p-13, -0x1.980d3e6fd91a2p-13, -0x1.82bb6ed64d7fep-13, -0x1.6e385f9ad0cfbp-13, -0x1.5a7d8939b727bp-13, -0x1.4784917e230a3p-13, -0x1.35474a7963849p-13, -0x1.23bfb17c047bfp-13, -0x1.12e7ee1664b71p-13, -0x1.02ba511b36cc8p-13, -0x1.e662a751bcf0bp-14, -0x1.c88f2c6eb526fp-14, -0x1.abefbf536050fp-14, -0x1.907a38c79d3dbp-14, -0x1.7624bacde73c3p-14, -0x1.5ce5aedfb4cc2p-14, -0x1.44b3c435462f9p-14, -0x1.2d85ee164e8f4p-14, -0x1.175362331412cp-14, -0x1.0213970296bccp-14, -0x1.db7c845eceda3p-15, -0x1.b496ae0d67464p-15, -0x1.8f6609e3c20f6p-15, -0x1.6bdb6bf292de4p-15, -0x1.49e81a97a91a6p-15, -0x1.297dcb9fa96e2p-15, -0x1.0a8ea176afd2ep-15, -0x1.da1a50d89e599p-16, -0x1.a1d8a7f8a04e3p-16, -0x1.6c3ef8634cdaep-16, -0x1.3934b61504534p-16, -0x1.08a213ed1e714p-16, -0x1.b4dffd7c496a1p-17, -0x1.5d1030d8e0b3cp-17, -0x1.09a96679059fbp-17, -0x1.750334b9c4458p-18, -0x1.bdc05bc2523d8p-19, -0x1.426b613279055p-20, 0x1.b0c99298c08efp-21, 0x1.6b0bdf0723461p-19, 0x1.2df304791ab02p-18, 0x1.9fa5ce68d81dcp-18, 0x1.0570b91e74a17p-17, 0x1.37f376036683cp-17, 0x1.677a8f24af063p-17, 0x1.9424704627ed3p-17, 0x1.be0e86f2b11bep-17, 0x1.e555498555164p-17, 0x1.050a1f0378864p-16, 0x1.163300789012cp-16, 0x1.263225d7a9b32p-16, 0x1.3513fd866e5ecp-16, 0x1.42e48abf1ffep-16, 0x1.4faf6898c71cfp-16, 0x1.5b7fcd04b4ea2p-16, 0x1.66608bb8de684p-16, 0x1.705c1905278efp-16, 0x1.797c8c9405638p-16, 0x1.81cba41f63455p-16, 0x1.8952c6168059ap-16, 0x1.901b042cd4587p-16, 0x1.962d1dddce267p-16, 0x1.9b9182d96a408p-16, 0x1.a050556df0a78p-16, 0x1.a4716cd0cedd3p-16, 0x1.a7fc5769f331cp-16, 0x1.aaf85d0190a7p-16, 0x1.ad6c80e919203p-16, 0x1.af5f84152ef97p-16, 0x1.b0d7e726683a1p-16, 0x1.b1dbec657aa3bp-16, 0x1.b27199b2dcde8p-16, 0x1.b29eba6a7e2bdp-16, 0x1.b268e13687e71p-16, 0x1.b1d569d9b19fdp-16, 0x1.b0e97aec83911p-16, 0x1.afaa079089c28p-16, 0x1.ae1bd114529bfp-16, 0x1.ac43688e7728fp-16, 0x1.aa25306ae358bp-16, 0x1.a7c55df3e78a4p-16, 0x1.a527fac65f7f6p-16, 0x1.a250e6421ffc8p-16, 0x1.9f43d6f20be74p-16, 0x1.9c045be480d45p-16, 0x1.9895ddfec829fp-16, 0x1.94fba145545e2p-16, 0x1.9138c61afa337p-16, 0x1.8d504a7567331p-16, 0x1.89450b0c625d6p-16, 0x1.8519c47a26d85p-16, 0x1.80d1145b94d33p-16, 0x1.7c6d7a625f629p-16, 0x1.77f159625deep-16, 0x1.735ef8545f4e2p-16, 0x1.6eb88355185d5p-16, 0x1.6a000c973bfb3p-16, 0x1.65378d53caf16p-16, 0x1.6060e6afb5f9ep-16, 0x1.5b7de29a2aac6p-16, 0x1.569034a86e3cfp-16, 0x1.51997ae7a549ep-16, 0x1.4c9b3ea9462c3p-16, 0x1.4796f5493b06bp-16, 0x1.428e00eec1145p-16, 0x1.3d81b144b5ce9p-16, 0x1.3873442f6f044p-16, 0x1.3363e67a763cbp-16, 0x1.2e54b4800807ap-16, 0x1.2946bad17fa6ep-16, 0x1.243af6d21ece1p-16, 0x1.1f3257534c161p-16, 0x1.1a2dbd288022bp-16, 0x1.152dfbb6ea114p-16, 0x1.1033d98199453p-16, 0x1.0b4010b0836f4p-16, 0x1.06534f9093dffp-16, 0x1.016e3913f6a98p-16, 0x1.f922ca96b6114p-17, 0x1.ef7ac3b885491p-17, 0x1.e5e564e5494c1p-17, 0x1.dc63a25fdf956p-17, 0x1.d2f65e296c82cp-17, 0x1.c99e68cede059p-17, 0x1.c05c822f762dfp-17, 0x1.b7315a3cd52eap-17, 0x1.ae1d91b12f2p-17, 0x1.a521bac6b90dap-17, 0x1.9c3e59dfefdfap-17, 0x1.9373e6305570ap-17, 0x1.8ac2ca5ad63eep-17, 0x1.822b650f0ee19p-17, 0x1.79ae099c5e213p-17, 0x1.714b0080db045p-17, 0x1.690287f424bc2p-17, 0x1.60d4d46c2b17ap-17, 0x1.58c2111cd8f49p-17, 0x1.50ca6075e8e02p-17, 0x1.48eddc969a867p-17, 0x1.412c97c3eeebfp-17, 0x1.39869cd37d2bp-17, 0x1.31fbef95712dep-17, 0x1.2a8c8d3b54611p-17, 0x1.23386cb877279p-17, 0x1.1bff7f20a1e55p-17, 0x1.14e1afff5e32ep-17, 0x1.0ddee5b290c3fp-17, 0x1.06f701b9d69e2p-17, 0x1.0029e10719befp-17, 0x1.f2eeb898ce1a3p-18, 0x1.e5be908727c4fp-18, 0x1.d8c2ebe8de63ep-18, 0x1.cbfb65ef9212p-18, 0x1.bf67936eee1bp-18, 0x1.b30703564ffc4p-18, 0x1.a6d93f2420e26p-18, 0x1.9addcb5e8b20dp-18, 0x1.8f1427f42232p-18, 0x1.837bd0ab05effp-18, 0x1.78143d7d69a38p-18, 0x1.6cdce2f7aee3cp-18, 0x1.61d53292b31a5p-18, 0x1.56fc9b07c9768p-18, 0x1.4c52889f25059p-18, 0x1.41d6657fc5047p-18, 0x1.378799f44c6f2p-18, 0x1.2d658cb2d0784p-18, 0x1.236fa31f6f589p-18, 0x1.19a54186f435dp-18, 0x1.1005cb5f5a28fp-18, 0x1.0690a37c04145p-18, 0x1.fa8a588819beep-19, 0x1.e8458fc73ee5dp-19, 0x1.d651b0f5872f9p-19, 0x1.c4ad8094b0f6cp-19, 0x1.b357c3bac4d52p-19, }}, 
      {{0x1.fe3c745cbb9ep-1, 0x1.fd4d4806ccb4fp-1, 0x1.fbc49f6a9acacp-1, 0x1.f9aac46284282p-1, 0x1.f70a42c5271fcp-1, 0x1.f3ef34c1da2a4p-1, 0x1.f0669cf215232p-1, 0x1.ec7dd6c735fe8p-1, 0x1.e842205a835fdp-1, 0x1.e3c03d6199d15p-1, 0x1.df04314cbbd39p-1, 0x1.da190dc8cca6p-1, 0x1.d508d2a09f33fp-1, 0x1.cfdc5c09a1076p-1, 0x1.ca9b5ca036a29p-1, 0x1.c54c60a207e71p-1, 0x1.bff4d843571bfp-1, 0x1.ba992749beef5p-1, 0x1.b53cb85f05634p-1, 0x1.afe212d0bec29p-1, 0x1.aa8af1acba9a1p-1, 0x1.a5385b5eb2b85p-1, 0x1.9feab921bcc3bp-1, 0x1.9aa1edbfdcdcbp-1, 0x1.955d6b3c410b8p-1, 0x1.901c47218fe1cp-1, 0x1.8add4d45cfd5fp-1, 0x1.859f10e9224fcp-1, 0x1.805ffc247e4ebp-1, 0x1.7b1e5daa0af11p-1, 0x1.75d874e2562e3p-1, 0x1.708c7c78ae67cp-1, 0x1.6b38b36dde42cp-1, 0x1.65db64cbc42b3p-1, 0x1.6072ee160fc59p-1, 0x1.5afdc49526c0cp-1, 0x1.557a799808af7p-1, 0x1.4fe7bdc93d499p-1, 0x1.4a4463b18feb3p-1, 0x1.448f6181ceabdp-1, 0x1.3ec7d23aef03bp-1, 0x1.38ecf64a20badp-1, 0x1.32fe33ac6d0a1p-1, 0x1.2cfb15ab9d987p-1, 0x1.26e34c4455ae3p-1, 0x1.20b6ab4395003p-1, 0x1.1a7529283eb36p-1, 0x1.141eddd3c41cfp-1, 0x1.0db40113beca6p-1, 0x1.0734e90d05689p-1, 0x1.00a2088fb520bp-1, 0x1.f3f7dab552862p-2, 0x1.e6867ca7f2f16p-2, 0x1.d8f17376b330ap-2, 0x1.cb3a66b4f9402p-2, 0x1.bd63256e13c65p-2, 0x1.af6da29252bfdp-2, 0x1.a15bf1726fbddp-2, 0x1.9330424d8f07cp-2, 0x1.84ecdef57d207p-2, 0x1.7694278c1a836p-2, 0x1.68288f5c6c471p-2, 0x1.59ac99d144625p-2, 0x1.4b22d78b0f293p-2, 0x1.3c8de395f6cb3p-2, 0x1.2df060c1321fbp-2, 0x1.1f4cf7181bc4bp-2, 0x1.10a6517d5da49p-2, 0x1.01ff1b6854841p-2, 0x1.e6b3fd892c134p-3, 0x1.c97343e6ab0b8p-3, 0x1.ac414bdc971d5p-3, 0x1.8f23491724c44p-3, 0x1.721e5dc3b87b6p-3, 0x1.5537979886141p-3, 0x1.3873ed19cb72ap-3, 0x1.1bd83b1ae2913p-3, 0x1.fed284f278e3ep-4, 0x1.c6574c1ebb66bp-4, 0x1.8e47d1bb72c85p-4, 0x1.56acd8ceb968p-4, 0x1.1f8ede805aeebp-4, 0x1.d1ec2f2a6c6eap-5, 0x1.65d4dc89f70fcp-5, 0x1.f5ce01976fb98p-6, 0x1.226277a6f4af7p-6, 0x1.460c7a883c346p-8, -0x1.f2d518ce6ec1ap-8, -0x1.482d36547e0b1p-6, -0x1.08663acd3e64ap-5, -0x1.6b3e0678008c8p-5, -0x1.cc9325106ca8fp-5, -0x1.162dafb6ab302p-4, -0x1.45468fbb10059p-4, -0x1.738fb7748deb1p-4, -0x1.a104fae7e966dp-4, -0x1.cda27c53ffb95p-4, -0x1.f964ab23ed848p-4, -0x1.1224216101a63p-3, -0x1.272524a7417c2p-3, -0x1.3bb4071e8877ep-3, -0x1.4fcf946dc593dp-3, -0x1.6376bb626ce7dp-3, -0x1.76a88d211ec26p-3, -0x1.89643c4ea6fc8p-3, -0x1.9ba91c3283ff8p-3, -0x1.ad769fd3db111p-3, -0x1.becc5911f27dap-3, -0x1.cfa9f7b90056fp-3, -0x1.e00f48942d319p-3, -0x1.effc347d97d54p-3, -0x1.ff70bf6d0c6eep-3, -0x1.073683c30eb74p-2, -0x1.0e78a2132146ap-2, -0x1.157ee279c5cccp-2, -0x1.1c49787635edfp-2, -0x1.22d8a2bc8fb0bp-2, -0x1.292caabf8b9f3p-2, -0x1.2f45e43b68881p-2, -0x1.3524acc23a2b1p-2, -0x1.3ac96b49ca521p-2, -0x1.40348fbb25d77p-2, -0x1.4566928402775p-2, -0x1.4a5ff42a14b9ep-2, -0x1.4f213ce06b849p-2, -0x1.53aafc1ef1dcbp-2, -0x1.57fdc83c1d75dp-2, -0x1.5c1a3e08e54ebp-2, -0x1.6001006f05351p-2, -0x1.63b2b8119c41fp-2, -0x1.673012f02ea9bp-2, -0x1.6a79c40c1179bp-2, -0x1.6d90831042758p-2, -0x1.70750bfbb079bp-2, -0x1.73281ecdf464dp-2, -0x1.75aa7f3677e24p-2, -0x1.77fcf4460d9c9p-2, -0x1.7a204822eda46p-2, -0x1.7c1547bf1df7cp-2, -0x1.7ddcc2913520fp-2, -0x1.7f778a4f7ae26p-2, -0x1.80e672ad56391p-2, -0x1.822a511b09262p-2, -0x1.8343fc87af40fp-2, -0x1.84344d256e5b3p-2, -0x1.84fc1c2fdd2c6p-2, -0x1.859c43b489962p-2, -0x1.86159e5d9c4f6p-2, -0x1.8669073e89af8p-2, -0x1.869759a2ca532p-2, -0x1.86a170de89921p-2, -0x1.868828214722dp-2, -0x1.864c5a4a58919p-2, -0x1.85eee1bf43115p-2, -0x1.85709843e4da8p-2, -0x1.84d256d45b2e2p-2, -0x1.8414f580a33b2p-2, -0x1.83394b49e0c97p-2, -0x1.82402e0149592p-2, -0x1.812a72289feb1p-2, -0x1.7ff8ead43d7ddp-2, -0x1.7eac698e94361p-2, -0x1.7d45be3d2b00cp-2, -0x1.7bc5b70700164p-2, -0x1.7a2d203c4ca75p-2, -0x1.787cc43f99de9p-2, -0x1.76b56b7025e4ep-2, -0x1.74d7dc15858e5p-2, -0x1.72e4da4c807d3p-2, -0x1.70dd27f51af99p-2, -0x1.6ec184a1c2efbp-2, -0x1.6c92ad879b3ep-2, -0x1.6a515d6fd6d05p-2, -0x1.67fe4caa21c4dp-2, -0x1.659a310008c67p-2, -0x1.6325bda95c68ep-2, -0x1.60a1a3418517cp-2, -0x1.5e0e8fbdbecc8p-2, -0x1.5b6d2e643a581p-2, -0x1.58be27c4146bcp-2, -0x1.560221ae22d1p-2, -0x1.5339bf2e8c619p-2, -0x1.5065a08724b58p-2, -0x1.4d86632a85606p-2, -0x1.4a9ca1b7e1a81p-2, -0x1.47a8f3f785c1ap-2, -0x1.44abeed803c77p-2, -0x1.41a6246c04bb6p-2, -0x1.3e9823e8b539bp-2, -0x1.3b8279a4cc1aap-2, -0x1.3865af1823f8dp-2, -0x1.35424adbde608p-2, -0x1.3218d0ab12da6p-2, -0x1.2ee9c163fb4e8p-2, -0x1.2bb59b09a1446p-2, -0x1.287cd8c5fe5cep-2, -0x1.253ff2ec954eep-2, -0x1.21ff5efd71ccep-2, -0x1.1ebb8fa898215p-2, -0x1.1b74f4d1d51b9p-2, -0x1.182bfb94f0f21p-2, -0x1.14e10e4a3afb3p-2, -0x1.1194948b6f8f8p-2, -0x1.0e46f338f10b6p-2, -0x1.0af88c7f4dc77p-2, -0x1.07a9bfdd153c3p-2, -0x1.045aea28f14fdp-2, -0x1.010c659805931p-2, -0x1.fb7d13891ba3ep-3, -0x1.f4e3576977139p-3, -0x1.ee4c3bc38e886p-3, -0x1.e7b8607e7f09cp-3, -0x1.e128608503e07p-3, -0x1.da9cd1d4d7b82p-3, -0x1.d416458e62476p-3, -0x1.cd954804becf8p-3, -0x1.c71a60ce0e411p-3, -0x1.c0a612d40fbf7p-3, -0x1.ba38dc64f95a5p-3, -0x1.b3d3374492bf6p-3, -0x1.ad7598bd7e8afp-3, -0x1.a72071b2ba21cp-3, -0x1.a0d42eb14c28cp-3, -0x1.9a913802170e3p-3, -0x1.9457f1bbd326dp-3, -0x1.8e28bbd51ec94p-3, -0x1.8803f236ba644p-3, -0x1.81e9eccdc656ep-3, -0x1.7bdaff9e21551p-3, -0x1.75d77ad4d23bp-3, -0x1.6fdfaada77279p-3, -0x1.69f3d865c1c8dp-3, -0x1.6414488df2c73p-3, -0x1.5e413cdd5a776p-3, -0x1.587af363cb7ap-3, -0x1.52c1a6c910df6p-3, -0x1.4d158e5f57fb2p-3, -0x1.4776de3588a05p-3, -0x1.41e5c72994912p-3, -0x1.3c6276faae4e6p-3, -0x1.36ed185b6f2ffp-3, -0x1.3185d303e3fb4p-3, -0x1.2c2ccbc37ff78p-3, -0x1.26e22492f2faep-3, -0x1.21a5fca5e2713p-3, -0x1.1c78707c7e516p-3, -0x1.175999f4f82bbp-3, -0x1.1249905cd2a25p-3, -0x1.0d486882086cp-3, -0x1.085634c412ca9p-3, -0x1.03730524b978cp-3, -0x1.fd3dceb18b21dp-4, -0x1.f3b3cdb0f8506p-4, -0x1.ea4819dfe62dfp-4, -0x1.e0fac19e5aebap-4, -0x1.d7cbcf341d85cp-4, -0x1.cebb48f02efcap-4, -0x1.c5c93147e9d4bp-4, -0x1.bcf586f5a2ecfp-4, -0x1.b4404516f968cp-4, -0x1.aba9634aab746p-4, -0x1.a330d5ce017c1p-4, -0x1.9ad68d99cfd55p-4, -0x1.929a787ef9646p-4, -0x1.8a7c81429aa5ep-4, -0x1.827c8fb9a7471p-4, -0x1.7a9a88e429193p-4, -0x1.72d64f07ff1f9p-4, -0x1.6b2fc1cb2d419p-4, -0x1.63a6be4db7003p-4, -0x1.5c3b1f4301a96p-4, -0x1.54ecbd0ac3518p-4, -0x1.4dbb6dc97a587p-4, -0x1.46a705806e5d6p-4, -0x1.3faf56253b80ep-4, -0x1.38d42fb8e5256p-4, -0x1.3215605e7629bp-4, -0x1.2b72b47125a3ap-4, -0x1.24ebf69a0aa9fp-4, -0x1.1e80efe557153p-4, -0x1.183167d71dcb3p-4, -0x1.11fd247fa51b6p-4, -0x1.0be3ea8f45598p-4, -0x1.05e57d69d0b94p-4, -0x1.00019f398c281p-4, -0x1.f470220365f9ap-5, -0x1.e91125611589ap-5, -0x1.dde5c6620c3f5p-5, -0x1.d2ed80f7f1e69p-5, -0x1.c827cf51b7b83p-5, -0x1.bd9429fc43534p-5, -0x1.b33208024a1fcp-5, -0x1.a900df0b4479bp-5, -0x1.9f002379a0c11p-5, -0x1.952f48880e8c4p-5, -0x1.8b8dc06609653p-5, -0x1.821afc5390c55p-5, -0x1.78d66cbc0e045p-5, -0x1.6fbf81507c488p-5, -0x1.66d5a920c4bf1p-5, -0x1.5e1852b456da7p-5, -0x1.5586ec2201dd7p-5, -0x1.4d20e3270ea58p-5, -0x1.44e5a53d9f54ap-5, -0x1.3cd49fb25805dp-5, -0x1.34ed3fb94a36ep-5, -0x1.2d2ef2823d4bp-5, -0x1.2599254c34214p-5, -0x1.1e2b457853489p-5, -0x1.16e4c09c1855dp-5, -0x1.0fc50492ed44cp-5, -0x1.08cb7f8f11336p-5, -0x1.01f7a029e6a86p-5, -0x1.f691aae746552p-6, -0x1.e97d1e04beebdp-6, -0x1.dcb07a0129f16p-6, -0x1.d02aa075fcc8bp-6, -0x1.c3ea745be3adcp-6, -0x1.b7eeda2448dacp-6, -0x1.ac36b7d1b859fp-6, -0x1.a0c0f50f4c244p-6, -0x1.958c7b46f4ecbp-6, -0x1.8a9835b6d18e4p-6, -0x1.7fe3118566aafp-6, -0x1.756bfdd4fe428p-6, -0x1.6b31ebd5f9c63p-6, -0x1.6133ced83bf4cp-6, -0x1.57709c5baeb83p-6, -0x1.4de74c1fda762p-6, -0x1.4496d832a775p-6, -0x1.3b7e3cfe40e34p-6, -0x1.329c795621f31p-6, -0x1.29f08e8367c7cp-6, -0x1.21798050363e8p-6, -0x1.1936551281337p-6, -0x1.112615b5fd0a2p-6, -0x1.0947cdc55d2e1p-6, -0x1.019a8b72e5774p-6, -0x1.f43abf408932fp-7, -0x1.e59ebbcb8f9bdp-7, -0x1.d75f3931ce03ap-7, -0x1.c97a69a470a49p-7, -0x1.bbee84e58a675p-7, -0x1.aeb9c8517a171p-7, -0x1.a1da76e7567adp-7, -0x1.954ed950279f9p-7, -0x1.89153de503d8dp-7, -0x1.7d2bf8b44b927p-7, -0x1.71916385a2d9p-7, -0x1.6643dddd52e2fp-7, -0x1.5b41ccfe5703ep-7, -0x1.50899bebd3093p-7, -0x1.4619bb6979d32p-7, -0x1.3bf0a1fb2c14dp-7, -0x1.320ccbe3dc9a2p-7, -0x1.286cbb238e96fp-7, -0x1.1f0ef774a4bdap-7, -0x1.15f20e48717f8p-7, -0x1.0d1492c3264b9p-7, -0x1.04751db700961p-7, -0x1.f8249b3dcc642p-8, -0x1.e7d58d30cb2e2p-8, -0x1.d7fa64ba0f8edp-8, -0x1.c890807678ea9p-8, -0x1.b9954a1d384adp-8, -0x1.ab06366f6711fp-8, -0x1.9ce0c526af474p-8, -0x1.8f2280e2e5f33p-8, -0x1.81c8ff16dfe31p-8, -0x1.74d1dff481adp-8, -0x1.683ace57cc765p-8, -0x1.5c017fb15273p-8, -0x1.5023b3efed1e5p-8, -0x1.449f3569d031dp-8, -0x1.3971d8c4cf6a8p-8, -0x1.2e997cde5bf74p-8, -0x1.24140ab28eb52p-8, -0x1.19df7542f5579p-8, -0x1.0ff9b97cea78ap-8, -0x1.0660de1f1fe6bp-8, -0x1.fa25e73e3d114p-9, -0x1.e81c281c5382ep-9, -0x1.d6a0c5fbb7cb4p-9, -0x1.c5b01ac8cb9b5p-9, -0x1.b54693010440ep-9, -0x1.a560ad7a4bd13p-9, -0x1.95fafb29b18edp-9, -0x1.87121eea28f27p-9, -0x1.78a2cd422f3a6p-9, -0x1.6aa9cc29b2473p-9, -0x1.5d23f2cf651aap-9, -0x1.500e295dc3d5ep-9, -0x1.436568c0280b2p-9, -0x1.3726ba67784aap-9, -0x1.2b4f380eb5e8fp-9, -0x1.1fdc0b7f88847p-9, -0x1.14ca6e56ec723p-9, -0x1.0a17a9c97514ap-9, -0x1.ff822cd00ad4dp-10, -0x1.eb8837c86196cp-10, -0x1.d83c61aa41013p-10, -0x1.c599b4f837d29p-10, -0x1.b39b591375456p-10, -0x1.a23c91c5f7545p-10, -0x1.9178beccfdad3p-10, -0x1.814b5b64985dp-10, -0x1.71affdd2d7e99p-10, -0x1.62a256f4c3276p-10, -0x1.541e31caec3bcp-10, -0x1.461f7306c5068p-10, -0x1.38a218996a77cp-10, -0x1.2ba2394258418p-10, -0x1.1f1c041f654cp-10, -0x1.130bc03d5047bp-10, -0x1.076dcc297d5e1p-10, -0x1.f87d3b0843fdp-11, -0x1.e2f581273c60bp-11, -0x1.ce3dafb21bc14p-11, -0x1.ba4f374a476b9p-11, -0x1.a723b35d2810bp-11, -0x1.94b4e9534d02dp-11, -0x1.82fcc7c02f533p-11, -0x1.71f565958b72p-11, -0x1.6199015851ef1p-11, -0x1.51e20057cb2cdp-11, -0x1.42caede6f00dep-11, -0x1.344e7a985b243p-11, -0x1.26677b7c4197p-11, -0x1.1910e9606abe8p-11, -0x1.0c45e013a989cp-11, -0x1.00019daa582dap-11, -0x1.e87f038bcf016p-12, -0x1.d1f619be084b8p-12, -0x1.bc5fbf2326ec8p-12, -0x1.a7b373d75144cp-12, -0x1.93e8f57cdd3b3p-12, -0x1.80f83de42db9ap-12, -0x1.6ed981b79eb08p-12, -0x1.5d852f2c2fb9bp-12, -0x1.4cf3ecb83b118p-12, -0x1.3d1e97cdbcfddp-12, -0x1.2dfe439a96e1ep-12, -0x1.1f8c37cd41ad4p-12, -0x1.11c1ef5e79e93p-12, -0x1.0499175fc9eb9p-12, -0x1.f0171b9da29d1p-13, -0x1.d826c0dc521c9p-13, -0x1.c155974468cf6p-13, -0x1.ab9872a6daf8cp-13, -0x1.96e47fa9b9bc1p-13, -0x1.832f41a197a6ap-13, -0x1.706e906f6188ap-13, -0x1.5e98966d2d2b1p-13, -0x1.4da3ce61cecf1p-13, -0x1.3d87017c43ad3p-13, -0x1.2e39455c8d35bp-13, -0x1.1fb1fa214fe33p-13, -0x1.11e8c881c292bp-13, -0x1.04d59feff00f9p-13, -0x1.f0e1698436909p-14, -0x1.d964fccfef778p-14, -0x1.c3276b4e482bbp-14, -0x1.ae1aa5bf97882p-14, -0x1.9a3118b6870a8p-14, -0x1.875da9468865dp-14, -0x1.7593b1bf31a8ap-14, -0x1.64c6fe7d47ce6p-14, -0x1.54ebcacac38p-14, -0x1.45f6bdce28488p-14, -0x1.37dce789d39e1p-14, -0x1.2a93bdee5a652p-14, -0x1.1e1119f837598p-14, -0x1.124b34e23e97bp-14, -0x1.0738a562a179ap-14, -0x1.f9a0b9f13deb2p-15, -0x1.e6134a9cf8ebbp-15, -0x1.d3b83b3f52485p-15, -0x1.c27f707042448p-15, -0x1.b2596ff736fcbp-15, -0x1.a3375bf8a2183p-15, -0x1.950aee4478d1cp-15, -0x1.87c673badb4bfp-15, -0x1.7b5cc7cde56b8p-15, -0x1.6fc1501d3b903p-15, -0x1.64e7f82b9d068p-15, -0x1.5ac52d3257076p-15, -0x1.514dda09c5fc5p-15, -0x1.48776329c6e71p-15, -0x1.4037a2c9f12b7p-15, -0x1.3884e51203fb6p-15, -0x1.3155e469204e7p-15, -0x1.2aa1c5d39d315p-15, -0x1.24601573739b2p-15, -0x1.1e88c312838d9p-15, -0x1.19141ed0390b8p-15, -0x1.13fad5dab71a2p-15, -0x1.0f35ef426a1dcp-15, -0x1.0abec8df88a59p-15, -0x1.068f144fcd7d4p-15, -0x1.02a0d407c3311p-15, -0x1.fddcb0e9960fcp-16, -0x1.f6e47a694838ap-16, -0x1.f04eccc6daadcp-16, -0x1.ea11fbed313aap-16, -0x1.e424e2582048p-16, -0x1.de7edc1ce49abp-16, -0x1.d917c210dbd24p-16, -0x1.d3e7e50dd5c33p-16, -0x1.cee8096594d49p-16, -0x1.ca11626995651p-16, -0x1.c55d8e1b8dc29p-16, -0x1.c0c690f763058p-16, -0x1.bc46d1e327104p-16, -0x1.b7d91636919a6p-16, -0x1.b3787de7139a2p-16, -0x1.af207fc913f86p-16, -0x1.aacce5f72d7bfp-16, -0x1.a679ca4ed5682p-16, -0x1.a2239306a2f35p-16, -0x1.9dc6ef69c58c9p-16, -0x1.9960d49e47fafp-16, -0x1.94ee7a8f10a34p-16, -0x1.906d58f0bb61ap-16, -0x1.8bdb2454a4875p-16, -0x1.8735cb5d24283p-16, -0x1.827b7404a8de9p-16, -0x1.7daa78f876044p-16, -0x1.78c1671215f69p-16, -0x1.73befade3ba94p-16, -0x1.6ea21e3be344p-16, -0x1.6969e60e6fc19p-16, -0x1.6415900825243p-16, -0x1.5ea48081c1fd8p-16, -0x1.5916406a1162fp-16, -0x1.536a7b44e046p-16, -0x1.4da0fd3d0ec9ap-16, -0x1.47b9b149115d7p-16, -0x1.41b49f5d7faeep-16, -0x1.3b91eab8098e4p-16, -0x1.3551d02d27817p-16, -0x1.2ef4a4947f61ap-16, -0x1.287ad338b8cbdp-16, -0x1.21e4dc5e5b7b1p-16, -0x1.1b3353d4d297bp-16, -0x1.1466df960835fp-16, -0x1.0d80367450f5cp-16, -0x1.06801ed66e1dfp-16, -0x1.fecedaff48dbbp-17, -0x1.f06e08ca9e6c1p-17, -0x1.e1dfa32104c81p-17, -0x1.d3259c0dcc8b8p-17, -0x1.c441f9911fd42p-17, -0x1.b536d39f8fa47p-17, -0x1.a606524539ad9p-17, -0x1.96b2abd492668p-17, -0x1.873e232bd2029p-17, -0x1.77ab061535ef8p-17, -0x1.67fbabac0e2ffp-17, -0x1.583272e63f9c8p-17, -0x1.4851c12143831p-17, -0x1.385c00c6a456cp-17, -0x1.2853a000fb656p-17, -0x1.183b0f8237c1p-17, -0x1.0814c156917b9p-17, -0x1.efc64f9848f0dp-18, -0x1.cf5168c787b26p-18, -0x1.aecfada5d9a6bp-18, -0x1.8e45f822d90bap-18, -0x1.6db91af2f9dc1p-18, -0x1.4d2ddfde2da74p-18, -0x1.2ca9063354808p-18, -0x1.0c2f4141d8932p-18, -0x1.d78a6df980bcap-19, -0x1.96defd52a5065p-19, -0x1.56653f579740ep-19, -0x1.162620c29ae6p-19, -0x1.ac54d4451508p-20, -0x1.2cf57bb6328abp-20, -0x1.5c7e596e0e67cp-21, -0x1.8214470481d67p-23, 0x1.33c0925611b46p-22, 0x1.9291d36d80276p-21, 0x1.44b8303af773p-20, 0x1.bf2ec031f7337p-20, 0x1.1c4ee0eefad54p-19, 0x1.587b5fd4485cdp-19, 0x1.9415d3ed14eap-19, 0x1.cf1767062b338p-19, 0x1.04bcbb222fb4p-18, 0x1.219ac952e31d2p-18, 0x1.3e22c0c3b5456p-18, 0x1.5a519e7db20a1p-18, 0x1.76247a06793c1p-18, 0x1.91988586df85ep-18, 0x1.acab0dd97dd03p-18, 0x1.c7597a936a77ep-18, 0x1.e1a14e086eff2p-18, 0x1.fb80253ecd4b9p-18, 0x1.0a79dbf349d96p-17, 0x1.16fcec1fea653p-17, 0x1.2348398086ab1p-17, 0x1.2f5ac79a714a9p-17, 0x1.3b33a706c72d2p-17, 0x1.46d1f55950acp-17, 0x1.5234dd08a8692p-17, 0x1.5d5b954f861d9p-17, 0x1.6845620dc8683p-17, 0x1.72f193a61f382p-17, 0x1.7d5f86db8b695p-17, 0x1.878ea4a8af902p-17, 0x1.917e621747ae8p-17, 0x1.9b2e4018cb39fp-17, 0x1.a49dcb5b88f8fp-17, 0x1.adcc9c1a17a29p-17, 0x1.b6ba55f02559fp-17, 0x1.bf66a7a74d0d6p-17, 0x1.c7d14b0987384p-17, 0x1.cffa04ad3b42ap-17, 0x1.d7e0a3c279c19p-17, 0x1.df8501e12e988p-17, 0x1.e6e702d1164e3p-17, 0x1.ee069455faa88p-17, 0x1.f4e3adfa41d1ep-17, 0x1.fb7e50d5fa36bp-17, 0x1.00eb43ad5c01dp-16, 0x1.03f6328cfceb9p-16, 0x1.06e00347793b1p-16, 0x1.09a8c872dd112p-16, 0x1.0c5098e1254efp-16, 0x1.0ed78f84c8eccp-16, 0x1.113dcb5439257p-16, 0x1.13836f2da8f7fp-16, 0x1.15a8a1baed284p-16, 0x1.17ad8d5567c89p-16, 0x1.19925fe9c4eb8p-16, 0x1.1b574adc1cf0bp-16, 0x1.1cfc82ebc3f3p-16, 0x1.1e824018a9db5p-16, 0x1.1fe8bd86dbfc8p-16, 0x1.21303963bd843p-16, 0x1.2258f4ca7d5d5p-16, 0x1.236333a8e6253p-16, 0x1.244f3ca54444dp-16, 0x1.251d5903b90bp-16, 0x1.25cdd48c10331p-16, 0x1.2660fd6ff3184p-16, 0x1.26d7243100876p-16, 0x1.27309b8743ae4p-16, 0x1.276db848d27aap-16, 0x1.278ed1510e4c8p-16, }}, 
      {{0x1.fe71fed799e7dp-1, 0x1.fe21f69506c5p-1, 0x1.fd9dc9af4ddf7p-1, 0x1.fce72fdba5874p-1, 0x1.fc00663ea4a21p-1, 0x1.faec117e0ec39p-1, 0x1.f9ad20a5424c8p-1, 0x1.f846b2781be73p-1, 0x1.f6bbfe015457ap-1, 0x1.f5103ea4e6042p-1, 0x1.f346a3ae20c27p-1, 0x1.f1624322aae69p-1, 0x1.ef660f8ba96d9p-1, 0x1.ed54d05c6c6e6p-1, 0x1.eb311c9c8fb5cp-1, 0x1.e8fd577f12084p-1, 0x1.e6bbae961abeep-1, 0x1.e46e195a9add2p-1, 0x1.e21659c6d85a9p-1, 0x1.dfb5fdcab60bap-1, 0x1.dd4e616808921p-1, 0x1.dae0b14c258b3p-1, 0x1.d86dedc248297p-1, 0x1.d5f6ede01cf8ap-1, 0x1.d37c62d2f7332p-1, 0x1.d0fedb38caf93p-1, 0x1.ce7ec6740c35cp-1, 0x1.cbfc77ed1c367p-1, 0x1.c9782a36f9c53p-1, 0x1.c6f2020f80c8p-1, 0x1.c46a1135baaf9p-1, 0x1.c1e059129805bp-1, 0x1.bf54cd31efc52p-1, 0x1.bcc7558ae1fafp-1, 0x1.ba37d097af495p-1, 0x1.b7a6153deadf6p-1, 0x1.b511f4887a88fp-1, 0x1.b27b3b354c233p-1, 0x1.afe1b318fb559p-1, 0x1.ad45245ad222dp-1, 0x1.aaa5568bb250ep-1, 0x1.a802119a7c758p-1, 0x1.a55b1ea88ebd6p-1, 0x1.a2b048c0e7382p-1, 0x1.a0015d745d7aap-1, 0x1.9d4e2d5d54824p-1, 0x1.9a968c8d21065p-1, 0x1.97da52e54606p-1, 0x1.95195c5e7f95bp-1, 0x1.9253893f7b871p-1, 0x1.8f88be44f273cp-1, 0x1.8cb8e4bcbb8p-1, 0x1.89e3ea954ee94p-1, 0x1.8709c2631066ep-1, 0x1.842a635c9a497p-1, 0x1.8145c94f2a132p-1, 0x1.7e5bf48c3195cp-1, 0x1.7b6ce9d0feb1dp-1, 0x1.7878b2294b115p-1, 0x1.757f5acd7e9c1p-1, 0x1.7280f4fd4e6b6p-1, 0x1.6f7d95d75cb82p-1, 0x1.6c75562e67625p-1, 0x1.6968525c84643p-1, 0x1.6656aa14e5941p-1, 0x1.634080348557fp-1, 0x1.6025fa921c639p-1, 0x1.5d0741cdb4f26p-1, 0x1.59e4812020193p-1, 0x1.56bde62a938e9p-1, 0x1.5393a0c6a6016p-1, 0x1.5065e2d6de553p-1, 0x1.4d34e01801be2p-1, 0x1.4a00cdf345e6bp-1, 0x1.46c9e3518a877p-1, 0x1.4390586fb5438p-1, 0x1.405466b447fb5p-1, 0x1.3d1648864722p-1, 0x1.39d639257d0ebp-1, 0x1.369474842c8aep-1, 0x1.3351372237abfp-1, 0x1.300cbde9c780fp-1, 0x1.2cc7460d753dap-1, 0x1.29810ce7fa61fp-1, 0x1.263a4fdd6967cp-1, 0x1.22f34c3debe3cp-1, 0x1.1fac3f2a0617fp-1, 0x1.1c6565785aea9p-1, 0x1.191efb9cec82fp-1, 0x1.15d93d91d1db2p-1, 0x1.129466c15ca78p-1, 0x1.0f50b1f1a5068p-1, 0x1.0c0e593175b0ap-1, 0x1.08cd95c68d3b1p-1, 0x1.058ea01d2af5ep-1, 0x1.0251afb8e0267p-1, 0x1.fe2df64d2f12dp-2, 0x1.f7bd6fdf93c1bp-2, 0x1.f152351db1093p-2, 0x1.eaecacc8f6f8ep-2, 0x1.e48d3b5c81711p-2, 0x1.de3442fc144f9p-2, 0x1.d7e223650907bp-2, 0x1.d19739e115e5bp-2, 0x1.cb53e13ad50adp-2, 0x1.c51871b3fbbd2p-2, 0x1.bee540fd29db8p-2, 0x1.b8baa22f3cc84p-2, 0x1.b298e5c613c4ap-2, 0x1.ac80599cb02ep-2, 0x1.a67148eaa0775p-2, 0x1.a06bfc429e1dfp-2, 0x1.9a70b99251d9cp-2, 0x1.947fc4232f131p-2, 0x1.8e995c9c47d6fp-2, 0x1.88bdc1051a99ap-2, 0x1.82ed2cc93c513p-2, 0x1.7d27d8bcd61bap-2, 0x1.776dfb21e70c8p-2, 0x1.71bfc7ae396abp-2, 0x1.6c1d6f91ff7f8p-2, 0x1.6687217f0cf78p-2, 0x1.60fd09b09bae6p-2, 0x1.5b7f51f392a9cp-2, 0x1.560e21af47577p-2, 0x1.50a99deea5b66p-2, 0x1.4b51e969be88p-2, 0x1.4607248fa830dp-2, 0x1.40c96d90b55bbp-2, 0x1.3b98e068e9a0cp-2, 0x1.367596eaafb3ep-2, 0x1.315fa8c9c53b4p-2, 0x1.2c572ba653822p-2, 0x1.275c33182cacap-2, 0x1.226ed0ba300fdp-2, 0x1.1d8f1435bfb13p-2, 0x1.18bd0b4e5028ep-2, 0x1.13f8c1ed06271p-2, 0x1.0f42422c5a918p-2, 0x1.0a999463c6fc8p-2, 0x1.05febf336f0fdp-2, 0x1.0171c78fc90a5p-2, 0x1.f9e5619a73096p-3, 0x1.f102f95752f81p-3, 0x1.e83c56c40f62cp-3, 0x1.df91775377eb5p-3, 0x1.d7025594064dfp-3, 0x1.ce8ee9466518ep-3, 0x1.c6372773ca696p-3, 0x1.bdfb02840eedep-3, 0x1.b5da6a538f401p-3, 0x1.add54c48c5ff8p-3, 0x1.a5eb9369abde3p-3, 0x1.9e1d2870c41d2p-3, 0x1.9669f1e1e7108p-3, 0x1.8ed1d41eb9f4bp-3, 0x1.8754b17ae2278p-3, 0x1.7ff26a4fd880bp-3, 0x1.78aadd10764bbp-3, 0x1.717de65c2a4c5p-3, 0x1.6a6b6111d328dp-3, 0x1.637326624f105p-3, 0x1.5c950de2a5583p-3, 0x1.55d0ed9de1d09p-3, 0x1.4f269a2699038p-3, 0x1.4895e6a8066c2p-3, 0x1.421ea4f6e1aafp-3, 0x1.3bc0a5a1cdb1ep-3, 0x1.357bb80171bcbp-3, 0x1.2f4faa483dd76p-3, 0x1.293c4991cea3ep-3, 0x1.234161f1f928dp-3, 0x1.1d5ebe8385b45p-3, 0x1.179429768596cp-3, 0x1.11e16c1e5e195p-3, 0x1.0c464eff70f0ap-3, 0x1.06c299dc77473p-3, 0x1.015613c3822e5p-3, 0x1.f801063549b77p-4, 0x1.ed835b58a4c09p-4, 0x1.e332b166b6fc4p-4, 0x1.d90e91cd550c4p-4, 0x1.cf16850935deap-4, 0x1.c54a12bc28789p-4, 0x1.bba8c1c2883e9p-4, 0x1.b23218482b88cp-4, 0x1.a8e59bdcb2209p-4, 0x1.9fc2d18733a7bp-4, 0x1.96c93dd9649ap-4, 0x1.8df865021a572p-4, 0x1.854fcadf4b3bcp-4, 0x1.7ccef30f7552cp-4, 0x1.747561027c29p-4, 0x1.6c429809fd3b7p-4, 0x1.64361b6919985p-4, 0x1.5c4f6e63bb8fp-4, 0x1.548e144d59d75p-4, 0x1.4cf19097366dcp-4, 0x1.457966de22a49p-4, 0x1.3e251af7c53fp-4, 0x1.36f430ff65eeap-4, 0x1.2fe62d62426b1p-4, 0x1.28fa94eb6ee79p-4, 0x1.2230eccf41e4cp-4, 0x1.1b88bab6512eap-4, 0x1.150184c800b95p-4, 0x1.0e9ad1b4a3b7fp-4, 0x1.085428bf36c8dp-4, 0x1.022d11c6b0c1ap-4, 0x1.f84a2a9ddfd2p-5, 0x1.ec777912873b8p-5, 0x1.e0e122b9291p-5, 0x1.d5863cda62f9ep-5, 0x1.ca65de4878a96p-5, 0x1.bf7f1f6d7e48ap-5, 0x1.b4d11a58d08d4p-5, 0x1.aa5aeacbe603bp-5, 0x1.a01bae466eac5p-5, 0x1.96128411dd018p-5, 0x1.8c3e8d4c45678p-5, 0x1.829eecf2a704bp-5, 0x1.7932c7ea9c419p-5, 0x1.6ff9450b7727bp-5, 0x1.66f18d26d0503p-5, 0x1.5e1acb1086f89p-5, 0x1.55742ba63ab08p-5, 0x1.4cfcddd63fae3p-5, 0x1.44b412a615e09p-5, 0x1.3c98fd385b035p-5, 0x1.34aad2d24ddd3p-5, 0x1.2ce8cae0cef66p-5, 0x1.25521efcfa372p-5, 0x1.1de60af0499abp-5, 0x1.16a3ccb84dfa3p-5, 0x1.0f8aa489fefdep-5, 0x1.0899d4d4a6c89p-5, 0x1.01d0a244673f4p-5, 0x1.f65ca788c8616p-6, 0x1.e96465011fcb7p-6, 0x1.dcb713ce3704cp-6, 0x1.d0534f532a257p-6, 0x1.c437b77b5a8e2p-6, 0x1.b862f0bb669adp-6, 0x1.acd3a411770adp-6, 0x1.a1887f04f8a23p-6, 0x1.968033a5d0cc3p-6, 0x1.8bb9788af3351p-6, 0x1.813308d07e5b4p-6, 0x1.76eba415526dp-6, 0x1.6ce20e78275fep-6, 0x1.631510943108ap-6, 0x1.5983777d44896p-6, 0x1.502c14bba1912p-6, 0x1.470dbe473c3c7p-6, 0x1.3e274e82afb58p-6, 0x1.3577a435c3c07p-6, 0x1.2cfda287a4e12p-6, 0x1.24b830f8ac9d1p-6, 0x1.1ca63b5be900bp-6, 0x1.14c6b1d043086p-6, 0x1.0d1888b965b4ep-6, 0x1.059ab8b84ddd7p-6, 0x1.fc987d472fba1p-7, 0x1.ee5836ff200c7p-7, 0x1.e072a8ebfc434p-7, 0x1.d2e5e59b68cf6p-7, 0x1.c5b007c3d1ff3p-7, 0x1.b8cf3232ae653p-7, 0x1.ac418fba62f35p-7, 0x1.a005531fc0599p-7, 0x1.9418b7072d5b5p-7, 0x1.8879fde17b4b1p-7, 0x1.7d2771d872bfdp-7, 0x1.721f64bb0ea96p-7, 0x1.67602fe97c48bp-7, 0x1.5ce83440d6324p-7, 0x1.52b5da06b2471p-7, 0x1.48c790d471c0fp-7, 0x1.3f1bcf8269d6ep-7, 0x1.35b11412d2d19p-7, 0x1.2c85e39ca4442p-7, 0x1.2398ca3644cb8p-7, 0x1.1ae85ae022057p-7, 0x1.12732f6f1d09fp-7, 0x1.0a37e87704682p-7, 0x1.02352d34cdf5ap-7, 0x1.f4d356f1d8af1p-8, 0x1.e5a82f22ffap-8, 0x1.d6e658691569cp-8, 0x1.c88b54d42ecd8p-8, 0x1.ba94b2ecd435dp-8, 0x1.ad000d8858e7ap-8, 0x1.9fcb0b9d34bbdp-8, 0x1.92f360177f9fbp-8, 0x1.8676c9ad77c7dp-8, 0x1.7a5312b4190dep-8, 0x1.6e8610f3e1e87p-8, 0x1.630da57db638ap-8, 0x1.57e7bc7fdf155p-8, 0x1.4d124d1b47abap-8, 0x1.428b5938e52fap-8, 0x1.3850ed5f45a4fp-8, 0x1.2e61208873192p-8, 0x1.24ba13f7ef5aap-8, 0x1.1b59f31110cbep-8, 0x1.123ef32d87763p-8, 0x1.096753743d07fp-8, 0x1.00d15cb0710eap-8, 0x1.f0f6c2523ddfbp-9, 0x1.e0c778f17889ap-9, 0x1.d111a6ca8ffc8p-9, 0x1.c1d227713cfc5p-9, 0x1.b305e832696dfp-9, 0x1.a4a9e7c64796p-9, 0x1.96bb3603204d6p-9, 0x1.8936f390c8f7fp-9, 0x1.7c1a519cec96ap-9, 0x1.6f629190104f6p-9, 0x1.630d04c349da6p-9, 0x1.57170c36c3f89p-9, 0x1.4b7e184909132p-9, 0x1.403fa86f12535p-9, 0x1.35594aed483b2p-9, 0x1.2ac89c90f8e6bp-9, 0x1.208b486b07ddap-9, 0x1.169f078b222efp-9, 0x1.0d01a0bbe77p-9, 0x1.03b0e83fe275p-9, 0x1.f5557f1e94e6fp-10, 0x1.e3da2a2d61282p-10, 0x1.d2ebc7ecd9d8cp-10, 0x1.c2866785d16b4p-10, 0x1.b2a6308bc2acfp-10, 0x1.a347628074d35p-10, 0x1.94665459fb06p-10, 0x1.85ff7409f3a95p-10, 0x1.780f46068463fp-10, 0x1.6a9264d54349dp-10, 0x1.5d85809790321p-10, 0x1.50e55e98c14cap-10, 0x1.44aed8ddde499p-10, 0x1.38deddb735811p-10, 0x1.2d726f538aefap-10, 0x1.2266a354b51cbp-10, 0x1.17b8a2664faf4p-10, 0x1.0d65a7d5d1ca4p-10, 0x1.036b012c3799p-10, 0x1.f38c1b9308cb8p-11, 0x1.e0e87d036eaacp-11, 0x1.cee62a76feeb2p-11, 0x1.bd804920e512dp-11, 0x1.acb21eddcd59p-11, 0x1.9c77117a9b288p-11, 0x1.8ccaa5fe617a9p-11, 0x1.7da87ff7b02ccp-11, 0x1.6f0c60cc9023ap-11, 0x1.60f2270db0d42p-11, 0x1.5355cdcca895p-11, 0x1.46336bf56eabcp-11, 0x1.398733aa63b9cp-11, 0x1.2d4d71a37aac9p-11, 0x1.21828c9088bap-11, 0x1.1623047dfafa1p-11, 0x1.0b2b723cdb942p-11, 0x1.009886cd8d60ep-11, 0x1.ecce159a25fd8p-12, 0x1.d927bbcb04b16p-12, 0x1.c637ec8178ee7p-12, 0x1.b3f8bffc98473p-12, 0x1.a26479575eabdp-12, 0x1.9175857e7bbf7p-12, 0x1.81267a2b9f8cfp-12, 0x1.717214e58c9c1p-12, 0x1.62533a05e9cdbp-12, 0x1.53c4f3c2d5493p-12, 0x1.45c2713f06cep-12, 0x1.3847059d4367p-12, 0x1.2b4e2719c02d5p-12, 0x1.1ed36e27e0234p-12, 0x1.12d29494337abp-12, 0x1.074774abbc229p-12, 0x1.f85c10cea3f27p-13, 0x1.e304d1372bc28p-13, 0x1.ce81985afd0cfp-13, 0x1.bacb0e95835b6p-13, 0x1.a7da154e0de4ep-13, 0x1.95a7c579af105p-13, 0x1.842d6e269db66p-13, 0x1.7364930e04008p-13, 0x1.6346eb2f7b42fp-13, 0x1.53ce5f731fc99p-13, 0x1.44f509545ad3ap-13, 0x1.36b531938e5e5p-13, 0x1.29094eefe9b43p-13, 0x1.1bec04e7c4d2dp-13, 0x1.0f582280ecbccp-13, 0x1.0348a11806bf4p-13, 0x1.ef71466cddb06p-14, 0x1.d946e6df1adeep-14, 0x1.c409068828f2fp-14, 0x1.afaed41a3a9f1p-14, 0x1.9c2fc7d8e07f4p-14, 0x1.8983a1882031bp-14, 0x1.77a266681e6ddp-14, 0x1.66845f3b7c8e8p-14, 0x1.5622165b41857p-14, 0x1.467455d623ea6p-14, 0x1.3774259bc73ecp-14, 0x1.291ac9b2f456fp-14, 0x1.1b61c07a71c23p-14, 0x1.0e42c0f655ca2p-14, 0x1.01b7b926ac12ep-14, 0x1.eb7598d341d21p-15, 0x1.d48ca3ce3e58dp-15, 0x1.bea9a60ef5b39p-15, 0x1.a9c213e62bb6dp-15, 0x1.95cbc03889a7dp-15, 0x1.82bcd9a611679p-15, 0x1.708be7c2310e8p-15, 0x1.5f2fc85f8ee4p-15, 0x1.4e9facee836efp-15, 0x1.3ed317ea6ac41p-15, 0x1.2fc1da5aa86a3p-15, 0x1.21641162cf3a2p-15, 0x1.13b223e47503dp-15, 0x1.06a4c02f6f8e2p-15, 0x1.f469b387e4a4cp-16, 0x1.dcb74e42f7d8cp-16, 0x1.c6253f4e93b03p-16, 0x1.b0a6f302909ap-16, 0x1.9c304f4a8ec6dp-16, 0x1.88b5afb9ccb16p-16, 0x1.762be1bb2fa95p-16, 0x1.648820dcba615p-16, 0x1.53c01334f67acp-16, 0x1.43c9c5e01379fp-16, 0x1.349ba999eec42p-16, 0x1.262c8f6ebdc4p-16, 0x1.1873a57fe74e1p-16, 0x1.0b6873e7a98fbp-16, 0x1.fe05b35845537p-17, 0x1.e676139af5d7ep-17, 0x1.d01310d076decp-17, 0x1.bace4fd99a841p-17, 0x1.a69a0cd4c9181p-17, 0x1.936915e073196p-17, 0x1.812ec602c1d89p-17, 0x1.6fdf0037a13cp-17, 0x1.5f6e2aa4dc063p-17, 0x1.4fd129f2bfbecp-17, 0x1.40fd5cc860efep-17, 0x1.32e89767b51a2p-17, 0x1.25891f720564dp-17, 0x1.18d5a7c686bc9p-17, 0x1.0cc54c84a54c1p-17, 0x1.014f8f2fc64e8p-17, 0x1.ecd8a5d72c0d5p-18, 0x1.d827b1b53d84ap-18, 0x1.c47d7934822f5p-18, 0x1.b1cbe1aa9359cp-18, 0x1.a00577f4e8489p-18, 0x1.8f1d6a0fc08b4p-18, 0x1.7f0780e28099dp-18, 0x1.6fb81a4128d5ap-18, 0x1.6124232157705p-18, 0x1.534111f5d6c0cp-18, 0x1.4604e14275f61p-18, 0x1.39660a5f06dc9p-18, 0x1.2d5b805cbd53ap-18, 0x1.21dcab1daabeap-18, 0x1.16e1629282bc3p-18, 0x1.0c61ea24d0513p-18, 0x1.0256ec45049eep-18, 0x1.f172ec3fca07dp-19, 0x1.df05e6f7d592fp-19, 0x1.cd5a5577b7ffbp-19, 0x1.bc6471f4e0149p-19, 0x1.ac191caad509ap-19, 0x1.9c6dd4a33b108p-19, 0x1.8d58b0bf4177fp-19, 0x1.7ed0590f1a0e9p-19, 0x1.70cc005569a69p-19, 0x1.63435dcc3f9a4p-19, 0x1.562ea7217a52dp-19, 0x1.49868aaccc03bp-19, 0x1.3d4429dbcb085p-19, 0x1.316113d09f5ddp-19, 0x1.25d74032347cp-19, 0x1.1aa10a3bb52f5p-19, 0x1.0fb92be5d080ep-19, 0x1.051ab9499f667p-19, 0x1.f582385fe233fp-20, 0x1.e1501f9ec370dp-20, 0x1.cd97394eea4bfp-20, 0x1.ba502930ea54ep-20, 0x1.a7741e2eda7b3p-20, 0x1.94fccb09063c3p-20, 0x1.82e45f532ad1bp-20, 0x1.712580c5248dp-20, 0x1.5fbb44c785838p-20, 0x1.4ea12a37fb3b2p-20, 0x1.3dd31388a6708p-20, 0x1.2d4d4111760ddp-20, 0x1.1d0c4b9851303p-20, 0x1.0d0d1f10a7437p-20, 0x1.fa99eb4e1d13ap-21, 0x1.db92a5ec49cc9p-21, 0x1.bcfffed17305p-21, 0x1.9ede07c79d196p-21, 0x1.81294b3833857p-21, 0x1.63dec41ebc423p-21, 0x1.46fbd662f1861p-21, 0x1.2a7e479521a77p-21, 0x1.0e6437f2704fcp-21, 0x1.e55837a3fec21p-22, 0x1.aea96a757da0cp-22, 0x1.78ba1bf97a3ep-22, 0x1.4388e3e57992cp-22, 0x1.0f14d2f98208bp-22, 0x1.b6bad1823b1abp-23, 0x1.50c5135cca9f4p-23, 0x1.d891d6eac34bp-24, 0x1.128efe924aa53p-24, 0x1.3e1446ac010d1p-26, -0x1.c21dc879eaffp-26, -0x1.2d9123978a0bap-24, -0x1.e791cb00aa4b1p-24, -0x1.4f413e4e40105p-23, -0x1.a92dd903323f9p-23, -0x1.00c55892170bfp-22, -0x1.2c29c620f113bp-22, -0x1.56c2022b03e1ap-22, -0x1.808bc8ddc784p-22, -0x1.a984ca5865b22p-22, -0x1.d1aaaef5fcecdp-22, -0x1.f8fb1b7b8b225p-22, -0x1.0fb9da6730f63p-21, -0x1.228911cccbff1p-21, -0x1.34ea0bc5a921ap-21, -0x1.46dba534db7bfp-21, -0x1.585cc170d9466p-21, -0x1.696c4b9a2e00ep-21, -0x1.7a0937d0f4ae1p-21, -0x1.8a3284460794cp-21, -0x1.99e73a4d0a5f2p-21, -0x1.a9266f48ef3c3p-21, -0x1.b7ef457500236p-21, -0x1.c640ecaebfeb4p-21, -0x1.d41aa31effcdbp-21, -0x1.e17bb5d89c332p-21, -0x1.ee638166bfdf8p-21, -0x1.fad1723822b27p-21, -0x1.036282887467fp-20, -0x1.091ee3b00e13cp-20, -0x1.0e9dabc2e9107p-20, -0x1.13deb28b706e8p-20, -0x1.18e1d87e11828p-20, -0x1.1da706d119cdep-20, -0x1.222e2f885bfd1p-20, -0x1.26774d7684043p-20, -0x1.2a8264419dcedp-20, -0x1.2e4f805f18e9fp-20, -0x1.31deb708965a6p-20, -0x1.353026312c0cp-20, -0x1.3843f47264a5p-20, -0x1.3b1a50f9bbdc9p-20, -0x1.3db3736f6e30ep-20, -0x1.400f9bdcb87f3p-20, -0x1.422f128c0fd93p-20, -0x1.441227e6f2d85p-20, -0x1.45b93454efedp-20, -0x1.472498154b16dp-20, -0x1.4854bb1492867p-20, -0x1.494a0cc409a42p-20, -0x1.4a0503ee8afd4p-20, -0x1.4a861e88e134cp-20, -0x1.4acde18325a96p-20, -0x1.4adcd89b05b2p-20, -0x1.4ab39626f24e4p-20, -0x1.4a52b2e4479d2p-20, -0x1.49bacdc4f8f7bp-20, -0x1.48ec8bb9baea9p-20, -0x1.47e8977ea999bp-20, -0x1.46afa164e4ebp-20, -0x1.45425f1ddbe2cp-20, -0x1.43a18b826eb27p-20, -0x1.41cde65eb6996p-20, -0x1.3fc8343a8670bp-20, -0x1.3d913e2425e9fp-20, -0x1.3b29d1774eb9fp-20, -0x1.3892bfa959edbp-20, -0x1.35ccde1168d7bp-20, -0x1.32d905b2013a4p-20, -0x1.2fb8130514913p-20, -0x1.2c6ae5c501be7p-20, -0x1.28f260b920e95p-20, -0x1.254f697f080a1p-20, -0x1.2182e858292e2p-20, -0x1.1d8dc7f7857d7p-20, -0x1.1970f54d90c5ap-20, -0x1.152d5f56a6304p-20, -0x1.10c3f6eb84f05p-20, -0x1.0c35ae8e7329bp-20, -0x1.07837a3b0f10fp-20, -0x1.02ae4f3aa1a7ap-20, -0x1.fb6e47e34b6ep-21, -0x1.f13ddf6ca869cp-21, -0x1.e6cd5543f2ec8p-21, -0x1.dc1e9acf18d58p-21, -0x1.d133a24fd580bp-21, -0x1.c60e5e8f95d04p-21, -0x1.bab0c29056e22p-21, -0x1.af1cc13e292d4p-21, -0x1.a3544d1bbacb7p-21, -0x1.975957fd17766p-21, -0x1.8b2dd2bb323a4p-21, -0x1.7ed3aceb546fdp-21, -0x1.724cd49ce055ap-21, -0x1.659b3610dac98p-21, -0x1.58c0bb81d5b8dp-21, -0x1.4bbf4cd8cedb8p-21, -0x1.3e98cf75ece6p-21, -0x1.314f25f4873bp-21, -0x1.23e42febe9854p-21, -0x1.1659c9bf14b2bp-21, -0x1.08b1cc61f4f2fp-21, -0x1.f5dc1a4bdc8f2p-22, -0x1.da20bb12fc46dp-22, -0x1.be351611e8182p-22, -0x1.a21cbdde3fb58p-22, -0x1.85db3c4e1c77ep-22, -0x1.6974122c26579p-22, -0x1.4ceab6db53f06p-22, -0x1.30429810c073bp-22, -0x1.137f19852d281p-22, -0x1.ed47295bc31bep-23, -0x1.b366b0f9a0a84p-23, -0x1.7963524572dc5p-23, -0x1.3f437f9abcb72p-23, -0x1.050d94ee0b9a7p-23, -0x1.958fae9c7c982p-24, -0x1.20f0e90642272p-24, -0x1.58960aee51c47p-25, -0x1.bd50023e3bb18p-27, 0x1.e732d6718648cp-27, 0x1.62b4e291d0749p-25, 0x1.25a6da66eb1d3p-24, 0x1.99c05fb2277f9p-24, 0x1.06cdfeb820efp-23, 0x1.409771816119p-23, }}, 
      {{0x1.3b44cd46fe0d2p-17, 0x1.3bc8323b9b5aep-15, 0x1.659dd033d6c4fp-14, 0x1.41cbf607d1ab4p-13, 0x1.ff0c8faeebf41p-13, 0x1.76870c235652ep-12, 0x1.0329451c28e2p-11, 0x1.5721a90592e41p-11, 0x1.b652756756a03p-11, 0x1.0fb53470bb425p-10, 0x1.485a85c7d8801p-10, 0x1.8414f307ab97ep-10, 0x1.c1ba3a7a95112p-10, 0x1.fffaf50253dedp-10, 0x1.1eb0ea812f98fp-9, 0x1.3c2971ee61e12p-9, 0x1.5786051e30009p-9, 0x1.6fd3d22616c76p-9, 0x1.8410aa376a633p-9, 0x1.932e69dae8e4bp-9, 0x1.9c171a0fd5a48p-9, 0x1.9db172f7d0c44p-9, 0x1.96e568370f47dp-9, 0x1.86a0729105dcep-9, 0x1.6bd95c83c1ff6p-9, 0x1.45936c5be6ce2p-9, 0x1.12e0da37a76afp-9, 0x1.a5c9232007ae5p-10, 0x1.09a696257e5d1p-10, 0x1.3fa0a45153098p-12, -0x1.117e79dc3929cp-11, -0x1.81787db41a29cp-10, -0x1.4da4abf84e222p-9, -0x1.eb8ae4e242b16p-9, -0x1.4d68664c8ee12p-8, -0x1.ade478ac64082p-8, -0x1.0badd2e3b9e25p-7, -0x1.44f47b506384ap-7, -0x1.82d0678ff0021p-7, -0x1.c54899172abb6p-7, -0x1.06307f24d524p-6, -0x1.2c0d46013f93ap-6, -0x1.5439aa160bd25p-6, -0x1.7eb34d392b79p-6, -0x1.ab76740b11904p-6, -0x1.da7e0fe8b0df3p-6, -0x1.05e1e4a5756b7p-5, -0x1.1fa00570e0486p-5, -0x1.3a7506d0ef426p-5, -0x1.565bf2f193d4dp-5, -0x1.734f48cc7f38cp-5, -0x1.914903cceb0b7p-5, -0x1.b042a3edd5798p-5, -0x1.d035363f4506cp-5, -0x1.f1195dbaddf0cp-5, -0x1.0973ae26a773dp-4, -0x1.1acb8dfc8a89p-4, -0x1.2c901bfb9b51p-4, -0x1.3ebd02ddf4732p-4, -0x1.514dcee3ac0f6p-4, -0x1.643df216bef5fp-4, -0x1.7788c861a6d4ep-4, -0x1.8b299b7173a9ap-4, -0x1.9f1ba65e08935p-4, -0x1.b35a1914dfe85p-4, -0x1.c7e01b843c69fp-4, -0x1.dca8d08669a44p-4, -0x1.f1af588db48aap-4, -0x1.03776a099853bp-3, -0x1.0e3132e58591fp-3, -0x1.19029a5121884p-3, -0x1.23e936c4dc5b6p-3, -0x1.2ee2a289ac6ddp-3, -0x1.39ec7c730496dp-3, -0x1.450468869a93cp-3, -0x1.5028109454b73p-3, -0x1.5b5524c0b87d4p-3, -0x1.66895c03eaaa2p-3, -0x1.71c2749f45476p-3, -0x1.7cfe348b4dc6cp-3, -0x1.883a69df93993p-3, -0x1.9374eb35d46ep-3, -0x1.9eab98097f93cp-3, -0x1.a9dc591487bcbp-3, -0x1.b50520aa1ed61p-3, -0x1.c023eb0feed9p-3, -0x1.cb36bed601b71p-3, -0x1.d63bad2d8eec3p-3, -0x1.e130d23e90cd8p-3, -0x1.ec14557c13829p-3, -0x1.f6e469f6e3f0ap-3, -0x1.00cfa7572746p-2, -0x1.0621a76f41d0bp-2, -0x1.0b6761260fe4bp-2, -0x1.10a006c631541p-2, -0x1.15cad124c16b5p-2, -0x1.1ae6ffc152588p-2, -0x1.1ff3d8e372c5cp-2, -0x1.24f0a9b5871d7p-2, -0x1.29dcc65cb1dcep-2, -0x1.2eb78a0da35fp-2, -0x1.3380571e15c11p-2, -0x1.38369712d5357p-2, -0x1.3cd9baaa33c97p-2, -0x1.416939e2cab4bp-2, -0x1.45e493fe7e35p-2, -0x1.4a4b4f81b4907p-2, -0x1.4e9cfa2ec6d7cp-2, -0x1.52d928fda4cf5p-2, -0x1.56ff780fc5815p-2, -0x1.5b0f8aa070594p-2, -0x1.5f090af17617bp-2, -0x1.62ebaa3483d6ep-2, -0x1.66b7207127e04p-2, -0x1.6a6b2c67ba05ap-2, -0x1.6e07937151b6ap-2, -0x1.718c215cfb845p-2, -0x1.74f8a84a5e759p-2, -0x1.784d00820c89ep-2, -0x1.7b89084bb2c28p-2, -0x1.7eaca3c2608b6p-2, -0x1.81b7bca721748p-2, -0x1.84aa4232273d3p-2, -0x1.878428e2b2d14p-2, -0x1.8a456a4e03066p-2, -0x1.8cee04ed74a3dp-2, -0x1.8f7dfbec137aep-2, -0x1.91f556f3cb2dep-2, -0x1.945421fa6f103p-2, -0x1.969a6d0ec58b5p-2, -0x1.98c84c25c99c3p-2, -0x1.9addd6e84d125p-2, -0x1.9cdb28812163fp-2, -0x1.9ec05f6bf1bf3p-2, -0x1.a08d9d44f036fp-2, -0x1.a243069977073p-2, -0x1.a3e0c2b9b7e32p-2, -0x1.a566fb8b9cee1p-2, -0x1.a6d5dd5ee6ccep-2, -0x1.a82d96c2a85d4p-2, -0x1.a96e585c2a2efp-2, -0x1.aa9854bf49fb5p-2, -0x1.ababc0485d942p-2, -0x1.aca8d0f7a9907p-2, -0x1.ad8fbe4e6facp-2, -0x1.ae60c12d97ee1p-2, -0x1.af1c13b5fcf22p-2, -0x1.afc1f12a5990dp-2, -0x1.b05295d2d697p-2, -0x1.b0ce3ee233b3fp-2, -0x1.b1352a5c8e436p-2, -0x1.b18796ffb68dep-2, -0x1.b1c5c42d122d8p-2, -0x1.b1eff1d500994p-2, -0x1.b2066063ba5cp-2, -0x1.b20950af995fcp-2, -0x1.b1f903e8c81abp-2, -0x1.b1d5bb8a3efc8p-2, -0x1.b19fb94c124eap-2, -0x1.b1573f16ef8c4p-2, -0x1.b0fc8ef8cf079p-2, -0x1.b08feb1abaa29p-2, -0x1.b01195b7a6f84p-2, -0x1.af81d11447a6cp-2, -0x1.aee0df77d57d9p-2, -0x1.ae2f0325b0935p-2, -0x1.ad6c7e57d88a5p-2, -0x1.ac99933a1edf5p-2, -0x1.abb683e61492dp-2, -0x1.aac3925f9465p-2, -0x1.a9c10091e9a3dp-2, -0x1.a8af104d78b63p-2, -0x1.a78e0345e8f5ep-2, -0x1.a65e1b10b5e33p-2, -0x1.a51f992425f15p-2, -0x1.a3d2bed69390cp-2, -0x1.a277cd5e016ecp-2, -0x1.a10f05cfeaf5ep-2, -0x1.9f98a9214a76p-2, -0x1.9e14f826c8335p-2, -0x1.9c843395083f3p-2, -0x1.9ae69c0114058p-2, -0x1.993c71e0ce684p-2, -0x1.9785f58b73bb8p-2, -0x1.95c3673a16acfp-2, -0x1.93f507081854cp-2, -0x1.921b14f396293p-2, -0x1.9035d0ddc2d5fp-2, -0x1.8e457a8b2986p-2, -0x1.8c4a51a3dac06p-2, -0x1.8a4495b3713ep-2, -0x1.88348628fb7c3p-2, -0x1.861a6256be9a2p-2, -0x1.83f66971ce1d9p-2, -0x1.81c8da917d028p-2, -0x1.7f91f4ae9fbccp-2, -0x1.7d51f6a2a38fdp-2, -0x1.7b091f267747dp-2, -0x1.78b7acd1415f9p-2, -0x1.765dde16ed3ecp-2, -0x1.73fbf14682605p-2, -0x1.719224885372bp-2, -0x1.6f20b5dbf9928p-2, -0x1.6ca7e31623fb1p-2, -0x1.6a27e9de3c9cep-2, -0x1.67a107abe0486p-2, -0x1.651379c42bbf8p-2, -0x1.627f7d36e2f38p-2, -0x1.5fe54edb711f5p-2, -0x1.5d452b4dc4603p-2, -0x1.5a9f4eeb061f7p-2, -0x1.57f3f5ce35944p-2, -0x1.55435bcca1b93p-2, -0x1.528dbc7248df2p-2, -0x1.4fd352fe1ebd5p-2, -0x1.4d145a5e3d658p-2, -0x1.4a510d2bfee88p-2, -0x1.4789a5a807969p-2, -0x1.44be5db63f181p-2, -0x1.41ef6ed9c0bb1p-2, -0x1.3f1d1230ba995p-2, -0x1.3c4780704d2f5p-2, -0x1.396ef1e05f132p-2, -0x1.36939e57711bep-2, -0x1.33b5bd3672f9ep-2, -0x1.30d58564983f4p-2, -0x1.2df32d4b315e1p-2, -0x1.2b0eead18b3eep-2, -0x1.2828f358db287p-2, -0x1.25417bb8305e9p-2, -0x1.2258b8387607p-2, -0x1.1f6edc908472fp-2, -0x1.1c841be1400aep-2, -0x1.1998a8b1cea85p-2, -0x1.16acb4ebdef81p-2, -0x1.13c071d806bbp-2, -0x1.10d4101a39371p-2, -0x1.0de7bfae54876p-2, -0x1.0afbafe4cd449p-2, -0x1.08100f5f725e4p-2, -0x1.05250c0e4fbcep-2, -0x1.023ad32caf3d4p-2, -0x1.fea3227c6d641p-3, -0x1.f8d2e4185149bp-3, -0x1.f30541458c259p-3, -0x1.ed3a8e9d9a60cp-3, -0x1.e7731f3642284p-3, -0x1.e1af449d21367p-3, -0x1.dbef4ed37f37dp-3, -0x1.d6338c4a703bfp-3, -0x1.d07c49df391ep-3, -0x1.cac9d2d7feb2ap-3, -0x1.c51c70e0bed7ep-3, -0x1.bf746c0890c59p-3, -0x1.b9d20abf3649ap-3, -0x1.b43591d2eb78ap-3, -0x1.ae9f446e8bb09p-3, -0x1.a90f6417f7b2cp-3, -0x1.a38630aec9262p-3, -0x1.9e03e86b49d3ep-3, -0x1.9888c7ddbd933p-3, -0x1.931509ede1dd2p-3, -0x1.8da8e7dac5563p-3, -0x1.8844993ad965dp-3, -0x1.82e853fc4bef1p-3, -0x1.7d944c65a7672p-3, -0x1.7848b516aa568p-3, -0x1.7305bf097189p-3, -0x1.6dcb9993cffb1p-3, -0x1.689a7268f0aa4p-3, -0x1.6372759b2eef3p-3, -0x1.5e53cd9e2e2bap-3, -0x1.593ea3492aa65p-3, -0x1.54331dd97f2cap-3, -0x1.4f3162f564c2ep-3, -0x1.4a3996aee7fc3p-3, -0x1.454bdb871075ap-3, -0x1.40685271352dcp-3, -0x1.3b8f1ad68d8d4p-3, -0x1.36c05299e1395p-3, -0x1.31fc161b6e6ebp-3, -0x1.2d42803cf8d34p-3, -0x1.2893aa65ffdcdp-3, -0x1.23efac881bebbp-3, -0x1.1f569d2382fa1p-3, -0x1.1ac8914baeb9p-3, -0x1.16459cac279e1p-3, -0x1.11cdd18d6a551p-3, -0x1.0d6140d9ef7f8p-3, -0x1.08fffa23507aep-3, -0x1.04aa0ba785a98p-3, -0x1.005f825639d76p-3, -0x1.f840d3ac7c55bp-4, -0x1.efd999160f846p-4, -0x1.e78967349d7c4p-4, -0x1.df504de35e1d3p-4, -0x1.d72e5a98d8dd6p-4, -0x1.cf2398726e83fp-4, -0x1.c730104006127p-4, -0x1.bf53c88fdb1b1p-4, -0x1.b78ec5ba4f9c1p-4, -0x1.afe109ede48ecp-4, -0x1.a84a953b2ef1bp-4, -0x1.a0cb65a0e02d2p-4, -0x1.99637717df2dap-4, -0x1.9212c39f5885fp-4, -0x1.8ad94348e3da6p-4, -0x1.83b6ec44a026p-4, -0x1.7cabb2ed52d0bp-4, -0x1.75b789d482b91p-4, -0x1.6eda61ce8ed9p-4, -0x1.681429febcfefp-4, -0x1.6164cfe33fbbdp-4, -0x1.5acc3f612c218p-4, -0x1.544a62d068fefp-4, -0x1.4ddf2307854e4p-4, -0x1.478a676785d71p-4, -0x1.414c15e7978cp-4, -0x1.3b241320b1e64p-4, -0x1.3512425922086p-4, -0x1.2f16858ff9badp-4, -0x1.2930bd8865f52p-4, -0x1.2360c9d4ee2e2p-4, -0x1.1da688e2907cap-4, -0x1.1801d803c625cp-4, -0x1.1272937b5f87ap-4, -0x1.0cf896874d5e8p-4, -0x1.0793bb6b3a02dp-4, -0x1.0243db7b0a336p-4, -0x1.fa119e4a6c953p-5, -0x1.efc4dbf9fd035p-5, -0x1.e5a11d88f972ap-5, -0x1.dba60eed1e686p-5, -0x1.d1d35aa12eac6p-5, -0x1.c828a9b837146p-5, -0x1.bea5a3f073a9bp-5, -0x1.b549efc5dd32fp-5, -0x1.ac1532847ba22p-5, -0x1.a307105a4b6f8p-5, -0x1.9a1f2c68e454ap-5, -0x1.915d28d6bf9f2p-5, -0x1.88c0a6e02a6c3p-5, -0x1.804946e7e69ddp-5, -0x1.77f6a88772cbap-5, -0x1.6fc86a9efaf1ap-5, -0x1.67be2b64fa4f4p-5, -0x1.5fd7887570e8p-5, -0x1.58141ee0e8d04p-5, -0x1.50738b3afab38p-5, -0x1.48f569a8908fcp-5, -0x1.419955eddbbc8p-5, -0x1.3a5eeb7bd898cp-5, -0x1.3345c57d99936p-5, -0x1.2c4d7ee520e82p-5, -0x1.2575b277ff40bp-5, -0x1.1ebdfadb89d67p-5, -0x1.1825f2a0c43a8p-5, -0x1.11ad344ff2dbcp-5, -0x1.0b535a73e2419p-5, -0x1.0517ffa4ce935p-5, -0x1.fdf57d260b9e2p-6, -0x1.f1f664225f287p-6, -0x1.e631ea3c91dcep-6, -0x1.daa745de9e682p-6, -0x1.cf55adf13d15bp-6, -0x1.c43c59edfe4c4p-6, -0x1.b95a81f0d08f7p-6, -0x1.aeaf5ec8e0701p-6, -0x1.a43a2a08fb3ap-6, -0x1.99fa1e174a28ap-6, -0x1.8fee763c84626p-6, -0x1.86166eb286d99p-6, -0x1.7c7144b268956p-6, -0x1.72fe368205c3ep-6, -0x1.69bc8380f1639p-6, -0x1.60ab6c34f7beep-6, -0x1.57ca3255f8b8ep-6, -0x1.4f1818d9669fbp-6, -0x1.469463fd34bccp-6, -0x1.3e3e595235a46p-6, -0x1.36153fc61ca16p-6, -0x1.2e185face9f3p-6, -0x1.264702c9fb8fbp-6, -0x1.1ea074588e5a6p-6, -0x1.17240113e059p-6, -0x1.0fd0f73edece4p-6, -0x1.08a6a6ab565e8p-6, -0x1.01a460c0d7e8bp-6, -0x1.f592f10621458p-7, -0x1.e82a852fc5c2p-7, -0x1.db0e2a99d8fecp-7, -0x1.ce3c9139b270dp-7, -0x1.c1b46c6862c9cp-7, -0x1.b57472ebdf783p-7, -0x1.a97b5eff177fp-7, -0x1.9dc7ee59c8f7ap-7, -0x1.9258e23744248p-7, -0x1.872cff5cc92e5p-7, -0x1.7c430e1f31bcbp-7, -0x1.7199da67e0c8dp-7, -0x1.673033b952bc4p-7, -0x1.5d04ed32c2884p-7, -0x1.5316dd9390cfbp-7, -0x1.4964df3dfc8dap-7, -0x1.3fedd03935f22p-7, -0x1.36b0923316c04p-7, -0x1.2dac0a814ab2ap-7, -0x1.24df2221efc85p-7, -0x1.1c48c5bbdb5fp-7, -0x1.13e7e59e30c96p-7, -0x1.0bbb75bfd666cp-7, -0x1.03c26dbe3aaa7p-7, -0x1.f7f791b795371p-8, -0x1.e8cd0bfc07672p-8, -0x1.da034f563d70dp-8, -0x1.cb98680ed4734p-8, -0x1.bd8a69a43be48p-8, -0x1.afd76ec430fcp-8, -0x1.a27d99441cfaep-8, -0x1.957b121908c65p-8, -0x1.88ce094f0ba6dp-8, -0x1.7c74b5ffddea8p-8, -0x1.706d56492648fp-8, -0x1.64b62f4209905p-8, -0x1.594d8cf054b61p-8, -0x1.4e31c23d2644fp-8, -0x1.436128e91f9a5p-8, -0x1.38da2180189ap-8, -0x1.2e9b134c76c77p-8, -0x1.24a26c4a2029ap-8, -0x1.1aeea1190c83cp-8, -0x1.117e2cef6716dp-8, -0x1.084f918b6dad5p-8, -0x1.fec2ae4a10513p-9, -0x1.ed6418bdb2759p-9, -0x1.dc808c6ee01ddp-9, -0x1.cc153ff37b45fp-9, -0x1.bc1f765b6704ap-9, -0x1.ac9c7f109c535p-9, -0x1.9d89b5b774e13p-9, -0x1.8ee4820de9ef7p-9, -0x1.80aa57cb3fd3ep-9, -0x1.72d8b67e856e1p-9, -0x1.656d296d5609ep-9, -0x1.586547722359cp-9, -0x1.4bbeb2da39a29p-9, -0x1.3f771943925d6p-9, -0x1.338c337a8ab38p-9, -0x1.27fbc557515b6p-9, -0x1.1cc39d9b11786p-9, -0x1.11e195cd823e6p-9, -0x1.075392195b6c7p-9, -0x1.fa2f025419d0bp-10, -0x1.e656b8105e912p-10, -0x1.d31a4bed395eep-10, -0x1.c075d89ec35e4p-10, -0x1.ae658cc0c57bp-10, -0x1.9ce5aa91310e6p-10, -0x1.8bf287a998f11p-10, -0x1.7b888cb8fddd8p-10, -0x1.6ba4353e9ca7bp-10, -0x1.5c420f43a77cp-10, -0x1.4d5ebb1607b4p-10, -0x1.3ef6eb02f061ap-10, -0x1.3107631224ffbp-10, -0x1.238cf8c0dacdp-10, -0x1.168492bdbee3cp-10, -0x1.09eb28a4bc23cp-10, -0x1.fb7b85762132fp-11, -0x1.e3f2f358c072cp-11, -0x1.cd36ec8ee7e6cp-11, -0x1.b741e27795827p-11, -0x1.a20e65af40ba9p-11, -0x1.8d97258d0c746p-11, -0x1.79d6ef9ef3f96p-11, -0x1.66c8af2ba2138p-11, -0x1.54676cae7c006p-11, -0x1.42ae4d5b873fep-11, -0x1.3198929fb4d28p-11, -0x1.212199a40db56p-11, -0x1.1144dad27a521p-11, -0x1.01fde95ab4b74p-11, -0x1.e690e5722b723p-12, -0x1.ca407c7b3ffbbp-12, -0x1.af02592a2b5f2p-12, -0x1.94ce6ea7fc7f7p-12, -0x1.7b9ce101ece54p-12, -0x1.636604427be6bp-12, -0x1.4c225b904e8ap-12, -0x1.35ca9848b0b7p-12, -0x1.20579923d3992p-12, -0x1.0bc26955f7e0ep-12, -0x1.f0087f6f2a994p-13, -0x1.ca2cfbd99a4c3p-13, -0x1.a5e55f2505b5ap-13, -0x1.832512d6ee911p-13, -0x1.61dfd1232efep-13, -0x1.4209a353deff5p-13, -0x1.2396e03605a85p-13, -0x1.067c2a89565p-13, -0x1.d55cdef476275p-14, -0x1.a045ca3f5f45ap-14, -0x1.6d9e11f43f16fp-14, -0x1.3d513cffbe7e1p-14, -0x1.0f4b5b48641d1p-14, -0x1.c6f205bcb6497p-15, -0x1.738e9a4faa418p-15, -0x1.2447a83004c82p-15, -0x1.b1f2bde7fe159p-16, -0x1.2301c8f477fd3p-16, -0x1.36f13e9dec8c6p-17, -0x1.b1546465b0e0cp-20, 0x1.79a1be0556cc2p-18, 0x1.a27dd85398b3cp-17, 0x1.3daae0812bb8ap-16, 0x1.a3e74ddca08fcp-16, 0x1.0216c7d0836ap-15, 0x1.2f5ab25647846p-15, 0x1.59da7c640445fp-15, 0x1.81b076cfc9c2ap-15, 0x1.a6f631ee9b49ep-15, 0x1.c9c481f351614p-15, 0x1.ea33834ac51d2p-15, 0x1.042d4f6efb3bdp-14, 0x1.1228471f635b9p-14, 0x1.1f15afe1fa0f3p-14, 0x1.2b003d4aa1737p-14, 0x1.35f2514ff6c91p-14, 0x1.3ff5fe3f0c6dbp-14, 0x1.491508a40b51ep-14, 0x1.5158e929d321dp-14, 0x1.58cace6eb2607p-14, 0x1.5f739ed5f606cp-14, 0x1.655bfa49ffc4cp-14, 0x1.6a8c3bfc73599p-14, 0x1.6f0c7c183f90cp-14, 0x1.72e4916cfeba3p-14, 0x1.761c1315ac3cdp-14, 0x1.78ba5a0d2f33ep-14, 0x1.7ac682c86d293p-14, 0x1.7c476ebc153d9p-14, 0x1.7d43c5e107e49p-14, 0x1.7dc1f8310a68fp-14, 0x1.7dc83f19e08e6p-14, 0x1.7d5c9ee853976p-14, 0x1.7c84e82bc44d9p-14, 0x1.7b46b9154ab6dp-14, 0x1.79a77ecc141b1p-14, 0x1.77ac76bbf337p-14, 0x1.755aafdabfbfdp-14, 0x1.72b70bee58373p-14, 0x1.6fc640c0c35d7p-14, 0x1.6c8cd956ae35p-14, 0x1.690f3718bb61ep-14, 0x1.655192fbf5dc2p-14, 0x1.6157fe9eaf8c3p-14, 0x1.5d266561bcea3p-14, 0x1.58c08d7cbd2p-14, 0x1.542a190781803p-14, 0x1.4f668703626f7p-14, 0x1.4a79345b60bd7p-14, 0x1.45655cddf7481p-14, 0x1.402e1c31c0bd6p-14, 0x1.3ad66ec67a905p-14, 0x1.356132bb99a67p-14, 0x1.2fd128c7f6119p-14, 0x1.2a28f515816abp-14, 0x1.246b201ead85cp-14, 0x1.1e9a177fa369bp-14, 0x1.18b82ec93c765p-14, 0x1.12c7a0473844fp-14, 0x1.0cca8dc9e99p-14, 0x1.06c301644c50ap-14, 0x1.00b2ee28f0d1dp-14, 0x1.f53861c388de8p-15, 0x1.e90121854e20fp-15, 0x1.dcc38030831b6p-15, 0x1.d082b9e50e973p-15, 0x1.c441e395d3703p-15, 0x1.b803ec4a3ca74p-15, 0x1.abcb9e5998e95p-15, 0x1.9f9ba0a0ee27cp-15, 0x1.937677a8e36a2p-15, 0x1.875e86d11fd23p-15, 0x1.7b56116382b8ep-15, 0x1.6f5f3bb15b485p-15, 0x1.637c0c1bfd2dbp-15, 0x1.57ae6c1c17864p-15, 0x1.4bf82940f98adp-15, 0x1.405af629f2592p-15, 0x1.34d86b75407b5p-15, 0x1.297208af7f899p-15, 0x1.1e293534dd15bp-15, 0x1.12ff41118544fp-15, 0x1.07f565da98721p-15, 0x1.fa198f00a14fbp-16, 0x1.e48cea36b455ap-16, 0x1.cf46d364b5f0bp-16, 0x1.ba4919f98970ap-16, 0x1.a595683a882bap-16, 0x1.912d44b13b5e2p-16, 0x1.7d12139230a13p-16, 0x1.6945180d490c5p-16, 0x1.55c775a5719f1p-16, 0x1.429a316e87a87p-16, 0x1.2fbe334df5428p-16, 0x1.1d3447294230ep-16, 0x1.0afd1e0e4f73cp-16, 0x1.f2329ea80b18cp-17, 0x1.cf12b364e869ep-17, 0x1.ac9b489e47ff8p-17, 0x1.8accff8edf1ebp-17, 0x1.69a84e53f9e84p-17, 0x1.492d81e6484d3p-17, 0x1.295cbff21caf4p-17, 0x1.0a3608a3d8f43p-17, 0x1.d77270dce9629p-18, 0x1.9bcc136818c0ap-18, 0x1.61782ce849397p-18, 0x1.2875b3b503c0bp-18, 0x1.e186c738c8748p-19, 0x1.74bf81a5fcabcp-19, 0x1.0a9235ab92f43p-19, 0x1.45f63cef64329p-20, 0x1.efb0c5e91bbacp-22, -0x1.240ac0a34592ep-22, -0x1.08e009b65c049p-20, -0x1.c3b61ba7a2f8ep-20, -0x1.3cc7de0a5fdfap-19, -0x1.953c26d03e4a5p-19, -0x1.eb3ddb2b1f44dp-19, -0x1.1f6995fd970a6p-18, -0x1.480141cec9966p-18, -0x1.6f6941146cd06p-18, -0x1.95a4fcd80f511p-18, -0x1.bab7f53f9e5e1p-18, -0x1.dea5bfe0aaaafp-18, -0x1.00b90306eea12p-17, -0x1.1190419573059p-17, -0x1.21da8199a21e5p-17, -0x1.3199b0972d81ep-17, -0x1.40cfc2dd309f9p-17, -0x1.4f7eb2def5502p-17, -0x1.5da8807deb2e3p-17, -0x1.6b4f306d6e783p-17, -0x1.7874cb956713bp-17, -0x1.851b5e7949125p-17, -0x1.9144f8add0901p-17, -0x1.9cf3ac4db012ep-17, -0x1.a8298d7151c88p-17, }}, 
      {{0x1.b1c115a47766fp-8, 0x1.b46eaf59be91dp-7, 0x1.4a6fe4423ad61p-6, 0x1.bddabbbfbbeaap-6, 0x1.1a6cb6884d49dp-5, 0x1.57bb494478dbcp-5, 0x1.96ba5b787c39fp-5, 0x1.d72fb5fcbcfacp-5, 0x1.0c6701569139ep-4, 0x1.2d9e284894cb6p-4, 0x1.4f0e39a03e65ap-4, 0x1.708815a0a2216p-4, 0x1.91de9269a4e4ep-4, 0x1.b2e7f54412976p-4, 0x1.d37ef7c476dp-4, 0x1.f3836b4575fc4p-4, 0x1.096d462ce692bp-3, 0x1.18b78b2156c82p-3, 0x1.2798924e04cecp-3, 0x1.360af7c5039aep-3, 0x1.440bb66fbd839p-3, 0x1.5199ef8215474p-3, 0x1.5eb6ac6c7fffbp-3, 0x1.6b649e3ceb56p-3, 0x1.77a7dcc3dfca6p-3, 0x1.8385a74cfb7p-3, 0x1.8f04284616aa5p-3, 0x1.9a2a3cce6d0b8p-3, 0x1.a4ff40d4e0d9cp-3, 0x1.af8ae028de3bap-3, 0x1.b9d4ecaabea05p-3, 0x1.c3e5399d537acp-3, 0x1.cdc37bf91ab0cp-3, 0x1.d7772f88d7624p-3, 0x1.e1078085e2736p-3, 0x1.ea7b395ef9e59p-3, 0x1.f3d8b44db549dp-3, 0x1.fd25d05c025e9p-3, 0x1.0333f4bd9c041p-2, 0x1.07d1e9a87bc1ep-2, 0x1.0c6eeb3107968p-2, 0x1.110cd7a4822ep-2, 0x1.15ad47d5ec7cp-2, 0x1.1a51905584ea2p-2, 0x1.1efac3452667cp-2, 0x1.23a9b2acfff67p-2, 0x1.285ef33734f3ap-2, 0x1.2d1adf3befac8p-2, 0x1.31dd9a0a2db95p-2, 0x1.36a7135c10983p-2, 0x1.3b770ae7d8ddp-2, 0x1.404d1400c2ef4p-2, 0x1.4528993ce32bcp-2, 0x1.4a08e016c577dp-2, 0x1.4eed0c831f44p-2, 0x1.53d424741de37p-2, 0x1.58bd134517559p-2, 0x1.5da6ad0a4f5acp-2, 0x1.628fb1c176553p-2, 0x1.6776d0603680bp-2, 0x1.6c5aa9beda913p-2, 0x1.7139d35d9d2a1p-2, 0x1.7612da03b501p-2, 0x1.7ae4443792b26p-2, 0x1.7fac949028b19p-2, 0x1.846a4bdf597b6p-2, 0x1.891beb35f0c18p-2, 0x1.8dbff5c1b8412p-2, 0x1.9254f28676895p-2, 0x1.96d96df2bb128p-2, 0x1.9b4bfb51837e1p-2, 0x1.9fab3619e119fp-2, 0x1.a3f5c31dcdaeep-2, 0x1.a82a519982b01p-2, 0x1.ac479c249a74p-2, 0x1.b04c69865d815p-2, 0x1.b4378d6e9d18bp-2, 0x1.b807e9147b462p-2, 0x1.bbbc6bbc891b6p-2, 0x1.bf5413279c3ecp-2, 0x1.c2cdebebb9e35p-2, 0x1.c62911b87772ep-2, 0x1.c964af88215dep-2, 0x1.cc7fffbef8131p-2, 0x1.cf7a4c39c9756p-2, 0x1.d252ee4d22265p-2, 0x1.d5094eb6485p-2, 0x1.d79ce57f2e132p-2, 0x1.da0d39d674319p-2, 0x1.dc59e1dc8da4p-2, 0x1.de82826713758p-2, 0x1.e086cebb3cfdbp-2, 0x1.e26688406c9a8p-2, 0x1.e4217e2bb8411p-2, 0x1.e5b78d2544843p-2, 0x1.e7289ee8394d6p-2, 0x1.e874a9de19b4ep-2, 0x1.e99bb0b62c42cp-2, 0x1.ea9dc1f99f1ddp-2, 0x1.eb7af79d0ae3ep-2, 0x1.ec33768fe2a93p-2, 0x1.ecc76e4a5d6cdp-2, 0x1.ed37185a5abe2p-2, 0x1.ed82b7efb32c6p-2, 0x1.edaa996865161p-2, 0x1.edaf11dd00cd3p-2, 0x1.ed907eadadc91p-2, 0x1.ed4f45101a426p-2, 0x1.ecebd19ea5454p-2, 0x1.ec6697e900cbcp-2, 0x1.ebc012068b35ap-2, 0x1.eaf8c02a9636p-2, 0x1.ea11283ac9659p-2, 0x1.e909d567c9cf1p-2, 0x1.e7e357c84cbbbp-2, 0x1.e69e43f6b2538p-2, 0x1.e53b32b142e7bp-2, 0x1.e3bac07d24724p-2, 0x1.e21d8d4c1a54p-2, 0x1.e0643c251cf32p-2, 0x1.de8f72cfd0b42p-2, 0x1.dc9fd982e5897p-2, 0x1.da961a9565427p-2, 0x1.d872e232e8aecp-2, 0x1.d636de12be246p-2, 0x1.d3e2bd31f3c61p-2, 0x1.d1772f9044a8dp-2, 0x1.cef4e5efdf9c5p-2, 0x1.cc5c9198008cbp-2, 0x1.c9aee41a4d897p-2, 0x1.c6ec8f1aef877p-2, 0x1.c416441b59ab2p-2, 0x1.c12cb447aca3bp-2, 0x1.be309046adbb2p-2, 0x1.bb22880c3b9cfp-2, 0x1.b8034aae36b83p-2, 0x1.b4d3863bc6ccp-2, 0x1.b193e796f3128p-2, 0x1.ae451a5074d8ep-2, 0x1.aae7c885b985dp-2, 0x1.a77c9ac0fe815p-2, 0x1.a40437db74f65p-2, 0x1.a07f44e160ac2p-2, 0x1.9cee64f81b19cp-2, 0x1.99523945ed106p-2, 0x1.95ab60dbaa516p-2, 0x1.91fa78a0024edp-2, 0x1.8e401b3c716adp-2, 0x1.8a7ce10bc6d58p-2, 0x1.86b1600a289bap-2, 0x1.82de2bc68c392p-2, 0x1.7f03d55592886p-2, 0x1.7b22eb45b1f17p-2, 0x1.773bf994adf94p-2, 0x1.734f89a63c143p-2, 0x1.6f5e223bd8d16p-2, 0x1.6b68476db1a8fp-2, 0x1.676e7aa4a21bdp-2, 0x1.63713a952e26dp-2, 0x1.5f71033b73718p-2, 0x1.5b6e4dd802436p-2, 0x1.576990ed95742p-2, 0x1.5363403f9b44ep-2, 0x1.4f5bccd18654ep-2, 0x1.4b53a4e6db442p-2, 0x1.474b3403f3888p-2, 0x1.4342e2ef67d44p-2, 0x1.3f3b17b419b13p-2, 0x1.3b3435a3d9afp-2, 0x1.372e9d5a96582p-2, 0x1.332aacc217e42p-2, 0x1.2f28bf1634db9p-2, 0x1.2b292ce982c31p-2, 0x1.272c4c2a759a9p-2, 0x1.23327028e5d5fp-2, 0x1.1f3be99bfbee6p-2, 0x1.1b4906a878bfdp-2, 0x1.175a12e74ed31p-2, 0x1.136f576c90faap-2, 0x1.0f891acea82eap-2, 0x1.0ba7a12dd0384p-2, 0x1.07cb2c3bd2d07p-2, 0x1.03f3fb43fe1ebp-2, 0x1.00224b3353129p-2, 0x1.f8acad41c75adp-3, 0x1.f120abacbc51p-3, 0x1.e9a0fdb18669cp-3, 0x1.e22e0ae2833a9p-3, 0x1.dac8366c63255p-3, 0x1.d36fdf2860278p-3, 0x1.cc255faeab323p-3, 0x1.c4e90e68fe74p-3, 0x1.bdbb3da5662c1p-3, 0x1.b69c3ba9221ep-3, 0x1.af8c52c3a5cf4p-3, 0x1.a88bc961b3279p-3, 0x1.a19ae22084e75p-3, 0x1.9ab9dbe1072ffp-3, 0x1.93e8f1db15542p-3, 0x1.8d285bb0c4d91p-3, 0x1.86784d81a5093p-3, 0x1.7fd8f7fe01298p-3, 0x1.794a887a1ba64p-3, 0x1.72cd29015888bp-3, 0x1.6c6100695c7dap-3, 0x1.6606326517a14p-3, 0x1.5fbcdf97bc0eep-3, 0x1.598525a79aef9p-3, 0x1.535f1f50e480fp-3, 0x1.4d4ae4784db93p-3, 0x1.47488a3d92bb5p-3, 0x1.4158230dd45a8p-3, 0x1.3b79beb5d5114p-3, 0x1.35ad6a7409fdbp-3, 0x1.2ff3310a8448dp-3, 0x1.2a4b1ad0adb1ep-3, 0x1.24b52dc4dbc16p-3, 0x1.1f316d9dad556p-3, 0x1.19bfdbdb3fb64p-3, 0x1.146077d827dc4p-3, 0x1.0f133eda425ccp-3, 0x1.09d82c2348693p-3, 0x1.04af39012d633p-3, 0x1.ff30b9bc9ba46p-4, 0x1.f5271aa2bc462p-4, 0x1.eb417c5a40762p-4, 0x1.e17fc31fcf914p-4, 0x1.d7e1cfe5b7749p-4, 0x1.ce678071f7cbap-4, 0x1.c510af7be592ap-4, 0x1.bbdd34c9439ebp-4, 0x1.b2cce54aec511p-4, 0x1.a9df9338fade9p-4, 0x1.a1150e2e7b339p-4, 0x1.986d23449b888p-4, 0x1.8fe79d2d613bep-4, 0x1.8784444de3955p-4, 0x1.7f42ded804597p-4, 0x1.772330e3ac2b6p-4, 0x1.6f24fc878a058p-4, 0x1.674801f152a0ep-4, 0x1.5f8bff7d8321fp-4, 0x1.57f0b1cea6292p-4, 0x1.5075d3e41bcf6p-4, 0x1.491b1f306055p-4, 0x1.41e04baedcf26p-4, 0x1.3ac50ff936a6ep-4, 0x1.33c9215c23a5ap-4, 0x1.2cec33ebc59c2p-4, 0x1.262dfa9788a78p-4, 0x1.1f8e273d8b02cp-4, 0x1.190c6abd86925p-4, 0x1.12a8750b4aba4p-4, 0x1.0c61f540b6a87p-4, 0x1.063899af43e9dp-4, 0x1.002c0ff117c93p-4, 0x1.f47809f34aa58p-5, 0x1.e8d04a4bac424p-5, 0x1.dd603897922cdp-5, 0x1.d2272b9434512p-5, 0x1.c724792d80e63p-5, 0x1.bc57769af4ed5p-5, 0x1.b1bf787b9c4e9p-5, 0x1.a75bd2f1425f2p-5, 0x1.9d2bd9baca054p-5, 0x1.932ee04db20cep-5, 0x1.896439eed30bap-5, 0x1.7fcb39ca4cfa2p-5, 0x1.7663330aada8ep-5, 0x1.6d2b78ef5448ap-5, 0x1.64235ee210455p-5, 0x1.5b4a388c03e3bp-5, 0x1.529f59e9c93aep-5, 0x1.4a22175edf839p-5, 0x1.41d1c5c861729p-5, 0x1.39adba8f0a98ap-5, 0x1.31b54bb88cd66p-5, 0x1.29e7cff83b2b6p-5, 0x1.22449ebf09865p-5, 0x1.1acb104ae7eb1p-5, 0x1.137a7db57a583p-5, 0x1.0c52410234193p-5, 0x1.0551b52bd5d4p-5, 0x1.fcf06c6299cd1p-6, 0x1.ef8a424415376p-6, 0x1.e26fa8536f87fp-6, 0x1.d59f5d36d078bp-6, 0x1.c91821f873f52p-6, 0x1.bcd8ba1ad8939p-6, 0x1.b0dfebabe9b0cp-6, 0x1.a52c7f57144b5p-6, 0x1.99bd4076723efp-6, 0x1.8e90fd22e7fc6p-6, 0x1.83a68643605fdp-6, 0x1.78fcaf9b0c9bp-6, 0x1.6e924fd6c50dfp-6, 0x1.646640998e932p-6, 0x1.5a775e8836df5p-6, 0x1.50c48954241c2p-6, 0x1.474ca3c558706p-6, 0x1.3e0e93c3a321cp-6, 0x1.3509425f13031p-6, 0x1.2c3b9bd7ac4c4p-6, 0x1.23a48fa4596ap-6, 0x1.1b4310793f953p-6, 0x1.1316144d44885p-6, 0x1.0b1c945f0c64dp-6, 0x1.03558d3941576p-6, 0x1.f77ffd6c6e8cep-7, 0x1.e8b5d806139b5p-7, 0x1.da4ab74430bfep-7, 0x1.cc3caed9e17f9p-7, 0x1.be89d92b6bc19p-7, 0x1.b130574ffdf28p-7, 0x1.a42e511268ca7p-7, 0x1.9781f4f0d7862p-7, 0x1.8b29781ba2b98p-7, 0x1.7f2316733819dp-7, 0x1.736d12852c5c6p-7, 0x1.6805b58856ca6p-7, 0x1.5ceb4f5846c35p-7, 0x1.521c366fd3d8p-7, 0x1.4796c7e311adcp-7, 0x1.3d596758586dap-7, 0x1.33627f00db342p-7, 0x1.29b07f906b419p-7, 0x1.2041e034b08a5p-7, 0x1.17151e8bc2ae3p-7, 0x1.0e28be9a31f6bp-7, 0x1.057b4ac085b46p-7, 0x1.fa16a7606d337p-8, 0x1.e9aee0c04b8dcp-8, 0x1.d9bc7c0163c29p-8, 0x1.ca3cbfde6931p-8, 0x1.bb2cff527f6b7p-8, 0x1.ac8a997eb5526p-8, 0x1.9e52f98ec3e0fp-8, 0x1.9083969d40cc3p-8, 0x1.8319f396f6febp-8, 0x1.76139f1dc60a5p-8, 0x1.696e336ad0d69p-8, 0x1.5d2756304a5acp-8, 0x1.513cb87aa3071p-8, 0x1.45ac16913424p-8, 0x1.3a7337d6acfbfp-8, 0x1.2f8feea8ff1b3p-8, 0x1.25001840da88ep-8, 0x1.1ac19c9114532p-8, 0x1.10d26e256e13p-8, 0x1.07308a0173acfp-8, 0x1.fbb3eefdb55ecp-9, 0x1.e9999057a07afp-9, 0x1.d80e2f5210fb1p-9, 0x1.c70e170f4dce3p-9, 0x1.b695a64e56241p-9, 0x1.a6a14f26230c4p-9, 0x1.972d96c0fb18ep-9, 0x1.883715179bc8ep-9, 0x1.79ba74ac81e86p-9, 0x1.6bb47246d8fefp-9, 0x1.5e21dcadc16fcp-9, 0x1.50ff946385261p-9, 0x1.444a8b60cb213p-9, 0x1.37ffc4d03ef8dp-9, 0x1.2c1c54ca22fc3p-9, 0x1.209d6010267p-9, 0x1.15801bc9927d6p-9, 0x1.0ac1cd3f9347p-9, 0x1.005fc999fb272p-9, 0x1.ecaeeb38adfc4p-10, 0x1.d94c8ac66c977p-10, 0x1.c6937843f4c7cp-10, 0x1.b47ed7c21710ap-10, 0x1.a309ea790754fp-10, 0x1.92300e462f53dp-10, 0x1.81ecbd2bc8031p-10, 0x1.723b8cd06f884p-10, 0x1.63182e009ed4dp-10, 0x1.547e6c3109714p-10, 0x1.466a2d016ddfap-10, 0x1.38d76fc166477p-10, 0x1.2bc24cf5d7e0ep-10, 0x1.1f26f5dfd70d9p-10, 0x1.1301b404a2a94p-10, 0x1.074ee8b6d3da9p-10, 0x1.f8161941f6092p-11, 0x1.e2655ea24ae24p-11, 0x1.cd84ed8cd973bp-11, 0x1.b96e3dfdc6277p-11, 0x1.a61af30f2b034p-11, 0x1.9384da1b1c1ccp-11, 0x1.81a5e9e071d26p-11, 0x1.707841aaa183dp-11, 0x1.5ff6287c1ecfcp-11, 0x1.501a0c3b38b9bp-11, 0x1.40de80e23ef55p-11, 0x1.323e3fb27e874p-11, 0x1.243426697df42p-11, 0x1.16bb3679dfb66p-11, 0x1.09ce94460fd76p-11, 0x1.fad30cbdea10fp-12, 0x1.e30ee98890cap-12, 0x1.cc47d051c2545p-12, 0x1.b6751272888afp-12, 0x1.a18e3fc9785c8p-12, 0x1.8d8b255420865p-12, 0x1.7a63cbcc601c7p-12, 0x1.6810764d46694p-12, 0x1.5689a0fc463bfp-12, 0x1.45c7ffb787c3fp-12, 0x1.35c47ccbab714p-12, 0x1.267837ad35958p-12, 0x1.17dc83b8a0604p-12, 0x1.09eae6f773a33p-12, 0x1.f93a31d66dddbp-13, 0x1.dfda02ba401c1p-13, 0x1.c7a96e67062a4p-13, 0x1.b09cfe9a3efc2p-13, 0x1.9aa996c1099b9p-13, 0x1.85c471c38d55dp-13, 0x1.71e31fdadef3fp-13, 0x1.5efb846e9feefp-13, 0x1.4d03d3ffdf8d2p-13, 0x1.3bf2921ca2debp-13, 0x1.2bbe8f5dd50e4p-13, 0x1.1c5ee76ebb3d9p-13, 0x1.0dcaff1eb94b6p-13, 0x1.fff504f987283p-14, 0x1.e5cac5f731c99p-14, 0x1.cd07ab4254095p-14, 0x1.b59ca27bb5801p-14, 0x1.9f7b195b822b9p-14, 0x1.8a94fa45b4557p-14, 0x1.76dca8f09c76dp-14, 0x1.6444ff1d9e83ap-14, 0x1.52c14962a14efp-14, 0x1.424544072ac2p-14, 0x1.32c517f02f1b4p-14, 0x1.2435579d16228p-14, 0x1.168afc378aeebp-14, 0x1.09bb62b0bc993p-14, 0x1.fb7891e34e3c2p-15, 0x1.e50796335c53fp-15, 0x1.d010c19c20c04p-15, 0x1.bc81b52dbf1a3p-15, 0x1.aa48be99f0d0cp-15, 0x1.9954d32e9260dp-15, 0x1.89958aeaa147cp-15, 0x1.7afb1bb3a1f39p-15, 0x1.6d7654a4b8eb6p-15, 0x1.60f8997d8639dp-15, 0x1.5573de256b2dcp-15, 0x1.4adaa2546030dp-15, 0x1.411fed4edfc3ap-15, 0x1.383749bd03517p-15, 0x1.3014c1a10e53cp-15, 0x1.28acda5e2869ap-15, 0x1.21f490dfbb978p-15, 0x1.1be155d6dfe13p-15, 0x1.16690a0c87561p-15, 0x1.1181fad11bb31p-15, 0x1.0d22de7fb7307p-15, 0x1.0942d1175f7e7p-15, 0x1.05d950ec47987p-15, 0x1.02de3b6f59abdp-15, 0x1.0049ca07876efp-15, 0x1.fc291e095ed91p-16, 0x1.f86ee54b1891cp-16, 0x1.f5576061e2c07p-16, 0x1.f2d5a64372ec7p-16, 0x1.f0dd68d2826a9p-16, 0x1.ef62ef83a047fp-16, 0x1.ee5b122c28635p-16, 0x1.edbb33f13da2ap-16, 0x1.ed793e5b7930ap-16, 0x1.ed8b9c94f15a2p-16, 0x1.ede936b8d522dp-16, 0x1.ee896d5596d68p-16, 0x1.ef6415046a67ap-16, 0x1.f071722450ae4p-16, 0x1.f1aa34b856e4dp-16, 0x1.f307745f4bc1p-16, 0x1.f482ac6997093p-16, 0x1.f615b80e02744p-16, 0x1.f7baceb7e9bc3p-16, 0x1.f96c80796235bp-16, 0x1.fb25b28daf427p-16, 0x1.fce19bfbf2ccfp-16, 0x1.fe9bc258d924fp-16, 0x1.0027fb4b34e0cp-15, 0x1.00fd28fae851dp-15, 0x1.01cb9985036dcp-15, 0x1.02919d6d96459p-15, 0x1.034da50acf7e5p-15, 0x1.03fe3f2d904a1p-15, 0x1.04a217d193ce3p-15, 0x1.0537f6d85c8bp-15, 0x1.05bebecdb35d1p-15, 0x1.06356bb9da9d4p-15, 0x1.069b11faac12p-15, 0x1.06eedd26af85p-15, 0x1.07300ef9e921ap-15, 0x1.075dfe4d8fb37p-15, 0x1.0778161584781p-15, 0x1.077dd467ea7e4p-15, 0x1.076ec98e0900cp-15, 0x1.074a971c90e71p-15, 0x1.0710ef12fedp-15, 0x1.06c1930512925p-15, 0x1.065c534a53fa9p-15, 0x1.05e10e3561baep-15, 0x1.054faf5151315p-15, 0x1.04a82ea809e6cp-15, 0x1.03ea900d713cep-15, 0x1.0316e27354f07p-15, 0x1.022d3f412ea2ap-15, 0x1.012dc9b47d23ep-15, 0x1.0018ae468488p-15, 0x1.fddc442c715c6p-16, 0x1.fb5cc4b61dee1p-16, 0x1.f8b367b32be3p-16, 0x1.f5e0c4c0aef97p-16, 0x1.f2e580936574fp-16, 0x1.efc24c01e9aap-16, 0x1.ec77e31cd2634p-16, 0x1.e9070c4e1433p-16, 0x1.e57097816a609p-16, 0x1.e1b55d56a3381p-16, 0x1.ddd63e5d68b09p-16, 0x1.d9d42257899b1p-16, 0x1.d5aff783ce7bep-16, 0x1.d16ab1f37b895p-16, 0x1.cd054ae32944cp-16, 0x1.c880c01ef0acbp-16, 0x1.c3de136a81c0dp-16, 0x1.bf1e49f19a758p-16, 0x1.ba426bc08d61ep-16, 0x1.b54b8340430f7p-16, 0x1.b03a9cbc9b554p-16, 0x1.ab10c5ec1970ep-16, 0x1.a5cf0d8187af6p-16, 0x1.a07682c0f82c3p-16, 0x1.9b08351acb98cp-16, 0x1.958533ccefc4ap-16, 0x1.8fee8d86ce4bep-16, 0x1.8a455014d6448p-16, 0x1.848a880f5a5d4p-16, 0x1.7ebf408eec1b4p-16, 0x1.78e482e3fe90dp-16, 0x1.72fb565451dc6p-16, 0x1.6d04bfd99d268p-16, 0x1.6701c1e7ca408p-16, 0x1.60f35c34b1544p-16, 0x1.5ada8b83d6adbp-16, 0x1.54b84976de0a6p-16, 0x1.4e8d8c5ecf992p-16, 0x1.485b4714e6ad1p-16, 0x1.422268d0b8383p-16, 0x1.3be3dd071d249p-16, 0x1.35a08b4822a43p-16, 0x1.2f59572107691p-16, 0x1.290f20010fecdp-16, 0x1.22c2c120e7904p-16, 0x1.1c75116bb5ad2p-16, 0x1.1626e36c23772p-16, 0x1.0fd9053942274p-16, 0x1.098c406812814p-16, 0x1.034159fc808d6p-16, 0x1.f9f224be95c81p-17, 0x1.ed684aa56c925p-17, 0x1.e0e693d8e40c3p-17, 0x1.d46e651a4247dp-17, 0x1.c80119ba8ac73p-17, 0x1.bba003923239fp-17, 0x1.af4c6aff83c33p-17, 0x1.a3078ee5317acp-17, 0x1.96d2a4ac7810ep-17, 0x1.8aaed8490f9c5p-17, 0x1.7e9d4c4122d52p-17, 0x1.729f19b6e27b6p-17, 0x1.66b550727f0f4p-17, 0x1.5ae0f6f0ceb1bp-17, 0x1.4f230a7311f44p-17, 0x1.437c7f0dc4f55p-17, 0x1.37ee3fbd2587p-17, 0x1.2c792e79cc80fp-17, 0x1.211e244e09e99p-17, 0x1.15ddf16d2f95cp-17, 0x1.0ab95d4c37d14p-17, 0x1.ff624d76ea1e9p-18, 0x1.e98c080285fbep-18, 0x1.d3f145ec596f1p-18, 0x1.be935247729a9p-18, 0x1.a97367bcda12p-18, 0x1.9492b0cf8997bp-18, 0x1.7ff24817997f8p-18, 0x1.6b93388425145p-18, 0x1.57767d9d45c22p-18, 0x1.439d03c508896p-18, 0x1.3007a87bee829p-18, 0x1.1cb73aa5ba0c8p-18, 0x1.09ac7acc84b77p-18, 0x1.edd036d153659p-19, 0x1.c8d58250b9db4p-19, 0x1.a46a066835c4ep-19, 0x1.808ed6f077bccp-19, 0x1.5d44edd6d4a75p-19, 0x1.3a8d2bacf481ep-19, 0x1.186858387ad9ep-19, 0x1.edae460c2360ap-20, 0x1.abb447f328716p-20, 0x1.6ae3b7b909465p-20, 0x1.2b3d69d481ba4p-20, 0x1.d9840da2dd3eap-21, 0x1.5ee418bdd3a71p-21, 0x1.cd3739db42ee8p-22, 0x1.c2abc3a1df782p-23, -0x1.76f1d681d3affp-28, -0x1.d0bc97d7ecb22p-23, -0x1.c632cbb9af772p-22, -0x1.4fad7bbcfe632p-21, -0x1.b9ec865a91914p-21, -0x1.10ebf461c7a52p-20, -0x1.43b8a4111c0d3p-20, -0x1.755d44e3846cbp-20, -0x1.a5dae87ce205dp-20, -0x1.d532be8b430dep-20, -0x1.01b309db4ffb1p-19, -0x1.183b2855560f3p-19, -0x1.2e327c8cd24b1p-19, -0x1.4399d563ce0f5p-19, -0x1.58720e49f864ep-19, -0x1.6cbc0ec5804bdp-19, -0x1.8078c9fc9d219p-19, -0x1.93a93e3e2cfcap-19, -0x1.a64e74925f4ccp-19, -0x1.b869804760d7ep-19, -0x1.c9fb7e863e105p-19, -0x1.db0595e08f97ep-19, -0x1.eb88f5e8eedabp-19, -0x1.fb86d6c714fa7p-19, -0x1.05803c68eedf6p-18, -0x1.0cfb92145fcc3p-18, -0x1.14361428a372bp-18, -0x1.1b306de9de3f1p-18, -0x1.21eb4dee03238p-18, -0x1.286765ee80114p-18, -0x1.2ea56a98faecap-18, -0x1.34a61363e6861p-18, -0x1.3a6a1a61bb1a1p-18, }}, 
      {{0x1.fd8ba3d6ef50dp-1, 0x1.fceca18702c0ep-1, 0x1.fbf24c12f0441p-1, 0x1.faabd938e6c4p-1, 0x1.f92800e34d581p-1, 0x1.f7738e866b091p-1, 0x1.f598d34988938p-1, 0x1.f39f9b6230f31p-1, 0x1.f18d6a31e1557p-1, 0x1.ef65d7347fd65p-1, 0x1.ed2af4c657b8cp-1, 0x1.eaddb38e0a943p-1, 0x1.e87e3b9505682p-1, 0x1.e60c37fbe7a9ap-1, 0x1.e387148ecc325p-1, 0x1.e0ee2dd3f8518p-1, 0x1.de40f4e3b7bfcp-1, 0x1.db7f08a7db022p-1, 0x1.d8a846346834p-1, 0x1.d5bcd1db31ad5p-1, 0x1.d2bd1a7962a4bp-1, 0x1.cfa9d8529c68cp-1, 0x1.cc84089f1c476p-1, 0x1.c94ce6c51b2cap-1, 0x1.c605e40b3131ap-1, 0x1.c2b09e6b0cce4p-1, 0x1.bf4ed709a9213p-1, 0x1.bbe268bc77e8fp-1, 0x1.b86d3ee97976fp-1, 0x1.b4f14cfabebc8p-1, 0x1.b170868bfcd29p-1, 0x1.adecd86a347aep-1, 0x1.aa682271c47fcp-1, 0x1.a6e4324df918ap-1, 0x1.a362bf161e667p-1, 0x1.9fe565bed3ec5p-1, 0x1.9c6da652ac732p-1, 0x1.98fce1e298e32p-1, 0x1.9594591d32e1ap-1, 0x1.92352b7b43f13p-1, 0x1.8ee056efe01bcp-1, 0x1.8b96b80ad1a7ap-1, 0x1.88590a7cdc8d1p-1, 0x1.8527e9ee628e8p-1, 0x1.8203d31a1318bp-1, 0x1.7eed251e9a625p-1, 0x1.7be422fb836e7p-1, 0x1.78e8f52ec9c87p-1, 0x1.75fbab69ccfdcp-1, 0x1.731c3e558b7e8p-1, 0x1.704a915f1a231p-1, 0x1.6d867486561e8p-1, 0x1.6acfa629b59c3p-1, 0x1.6825d4caf5db4p-1, 0x1.6588a0c9220f2p-1, 0x1.62f79e0d14fd4p-1, 0x1.607255a631adbp-1, 0x1.5df847558dbebp-1, 0x1.5b88eb063c3f2p-1, 0x1.5923b231c79b4p-1, 0x1.56c809303d61bp-1, 0x1.54755873768d9p-1, 0x1.522b05ad84965p-1, 0x1.4fe874e256d71p-1, 0x1.4dad0964e1c08p-1, 0x1.4b7826c0270c9p-1, 0x1.4949318ca193bp-1, 0x1.471f9032afcafp-1, 0x1.44faab9a9d3acp-1, 0x1.42d9efcb0b1f4p-1, 0x1.40bccc767123cp-1, 0x1.3ea2b578804e4p-1, 0x1.3c8b2344342f4p-1, 0x1.3a75934360d09p-1, 0x1.386188288976ap-1, 0x1.364e8a33d1fdp-1, 0x1.343c276bd3223p-1, 0x1.3229f3cb1c847p-1, 0x1.3017896326eabp-1, 0x1.2e04887577451p-1, 0x1.2bf09783ac35ep-1, 0x1.29db63572a3c8p-1, 0x1.27c49f0114e41p-1, 0x1.25ac03d33b356p-1, 0x1.239151529a96dp-1, 0x1.21744d240d317p-1, 0x1.1f54c2f3bc416p-1, 0x1.1d328457de6ep-1, 0x1.1b0d68af46c61p-1, 0x1.18e54cfc4378p-1, 0x1.16ba13bc425ecp-1, 0x1.148ba4bcab17ep-1, 0x1.1259eced56a68p-1, 0x1.1024de3109933p-1, 0x1.0dec6f2c495f4p-1, 0x1.0bb09b12e5099p-1, 0x1.0971617480777p-1, 0x1.072ec6086991ap-1, 0x1.04e8d078fefcbp-1, 0x1.029f8c2ee394fp-1, 0x1.0053081c39d49p-1, 0x1.fc06ad1035a4cp-2, 0x1.f76119b4ee7c9p-2, 0x1.f2b586d11dff8p-2, 0x1.ee042a8448d09p-2, 0x1.e94d3fff1afefp-2, 0x1.e491072186279p-2, 0x1.dfcfc41b0b8p-2, 0x1.db09bf0d67029p-2, 0x1.d63f43b1be09cp-2, 0x1.d170a100780e9p-2, 0x1.cc9e28dbd7f83p-2, 0x1.c7c82fbd77695p-2, 0x1.c2ef0c66a871dp-2, 0x1.be131793d9597p-2, 0x1.b934abb2fa125p-2, 0x1.b454249cf0164p-2, 0x1.af71df5215982p-2, 0x1.aa8e39b9c6af9p-2, 0x1.a5a99264faba7p-2, 0x1.a0c44853dda48p-2, 0x1.9bdebabe6601bp-2, 0x1.96f948dfdba92p-2, 0x1.921451c543d33p-2, 0x1.8d30341ea0b24p-2, 0x1.884d4e12f986ep-2, 0x1.836bfd171928p-2, 0x1.7e8c9dc6efa44p-2, 0x1.79af8bc188096p-2, 0x1.74d521877be2ap-2, 0x1.6ffdb85bcf53p-2, 0x1.6b29a82728981p-2, 0x1.6659475d457fap-2, 0x1.618ceae49f69ep-2, 0x1.5cc4e600292dbp-2, 0x1.58018a3b0d5c1p-2, 0x1.534327565d0d8p-2, 0x1.4e8a0b3897093p-2, 0x1.49d681def53dep-2, 0x1.4528d550693c6p-2, 0x1.40814d92361dp-2, 0x1.3be0309e1394dp-2, 0x1.3745c259c5fe4p-2, 0x1.32b24490194eep-2, 0x1.2e25f6eb2b9e9p-2, 0x1.29a116eff5a99p-2, 0x1.2523dffb02c9dp-2, 0x1.20ae8b3e4117bp-2, 0x1.1c414fbfdd624p-2, 0x1.17dc625a1dcd2p-2, 0x1.137ff5bc22731p-2, 0x1.0f2c3a6b8a4a4p-2, 0x1.0ae15ec6df44ap-2, 0x1.069f8f08c9aa9p-2, 0x1.0266f54bf4439p-2, 0x1.fc6f731f2bb86p-3, 0x1.f42403793322cp-3, 0x1.ebebe356a6cf7p-3, 0x1.e3c75653736ap-3, 0x1.dbb69c042fd91p-3, 0x1.d3b9f0045ebe6p-3, 0x1.cbd18a057eab6p-3, 0x1.c3fd9dded06afp-3, 0x1.bc3e5b9dc1c7p-3, 0x1.b493ef96f4e0ap-3, 0x1.acfe8277c46fap-3, 0x1.a57e395846ac2p-3, 0x1.9e1335cdb721cp-3, 0x1.96bd95fd35d5ep-3, 0x1.8f7d74aee025fp-3, 0x1.8852e96122d25p-3, 0x1.813e085c45363p-3, 0x1.7a3ee2c6231ddp-3, 0x1.735586b60809bp-3, 0x1.6c81ff48a2315p-3, 0x1.65c454b403994p-3, 0x1.5f1c8c5bb2fe2p-3, 0x1.588aa8e4b2318p-3, 0x1.520eaa4982b4bp-3, 0x1.4ba88dee199c9p-3, 0x1.45584eb3c481ep-3, 0x1.3f1de50cea60fp-3, 0x1.38f94710b216p-3, 0x1.32ea688e868b4p-3, 0x1.2cf13b2169a56p-3, 0x1.270dae431eb96p-3, 0x1.213faf5f203bap-3, 0x1.1b8729e55ee5fp-3, 0x1.15e4075cca544p-3, 0x1.10562f759b2e1p-3, 0x1.0add881b5d18bp-3, 0x1.0579f586b955dp-3, 0x1.002b5a4efbe3dp-3, 0x1.f5e32ef6a480cp-4, 0x1.eb9919278b1d1p-4, 0x1.e1782f63c25a1p-4, 0x1.d7802b223e7dp-4, 0x1.cdb0c33de8e04p-4, 0x1.c409ac153fdfap-4, 0x1.ba8a97a94a5dap-4, 0x1.b13335bbe5eafp-4, 0x1.a80333ed88315p-4, 0x1.9efa3dda4eaf5p-4, 0x1.9617fd367a81dp-4, 0x1.8d5c19ea415aep-4, 0x1.84c63a2d01329p-4, 0x1.7c56029fd1f1bp-4, 0x1.740b166774e99p-4, 0x1.6be51745a2f92p-4, 0x1.63e3a5b1bb504p-4, 0x1.5c0660f0d13a7p-4, 0x1.544ce72d19a64p-4, 0x1.4cb6d58cbebdap-4, 0x1.4543c848111eep-4, 0x1.3df35abf2250cp-4, 0x1.36c5278ec0e32p-4, 0x1.2fb8c8a4dfba6p-4, 0x1.28cdd75461aa8p-4, 0x1.2203ec6853955p-4, 0x1.1b5aa0368f3d8p-4, 0x1.14d18ab1cee67p-4, 0x1.0e68437b2ca6fp-4, 0x1.081e61f31937cp-4, 0x1.01f37d49c0642p-4, 0x1.f7ce591dcf8e6p-5, 0x1.ebf20d8284c3ep-5, 0x1.e05145ba7f173p-5, 0x1.d4eb2fd6ab2efp-5, 0x1.c9befa1b93e37p-5, 0x1.becbd31bf79b7p-5, 0x1.b410e9d25b0d9p-5, 0x1.a98d6db9b1adcp-5, 0x1.9f408ee5075f2p-5, 0x1.95297e164734cp-5, 0x1.8b476cd415c28p-5, 0x1.81998d7ec6609p-5, 0x1.781f136473208p-5, 0x1.6ed732d43a429p-5, 0x1.65c12130a4b1ep-5, 0x1.5cdc15013c8f6p-5, 0x1.5427460353cdp-5, 0x1.4ba1ed3a05bfbp-5, 0x1.434b44fd74b7fp-5, 0x1.3b22890948331p-5, 0x1.3326f68a6af0bp-5, 0x1.2b57cc2c1fcc4p-5, 0x1.23b44a24572f2p-5, 0x1.1c3bb23f5e166p-5, 0x1.14ed47eae4ea8p-5, 0x1.0dc850405febp-5, 0x1.06cc120ec729p-5, 0x1.ffefabc76e3eep-6, 0x1.f295cc280d55ap-6, 0x1.e5891d876d297p-6, 0x1.d8c83bdac21bp-6, 0x1.cc51c6d22a0abp-6, 0x1.c02461e560ca1p-6, 0x1.b43eb45f5b13cp-6, 0x1.a89f6968fcd0bp-6, 0x1.9d453012bc38cp-6, 0x1.922ebb5d6d9fbp-6, 0x1.875ac2421626ap-6, 0x1.7cc7ffb8df5cap-6, 0x1.727532bf3bfc1p-6, 0x1.68611e5d2fb3ap-6, 0x1.5e8a89a9ce617p-6, 0x1.54f03fcef646ap-6, 0x1.4b91100c4fc05p-6, 0x1.426bcdb98ce57p-6, 0x1.397f504803c6ap-6, 0x1.30ca73439320fp-6, 0x1.284c1652ead8ep-6, 0x1.20031d3736d4cp-6, 0x1.17ee6fcb25e2p-6, 0x1.100cfa0171fp-6, 0x1.085dabe2c455bp-6, 0x1.00df798b2c50fp-6, 0x1.f322b64dff45p-7, 0x1.e4e499de9ac91p-7, 0x1.d7029e4b9d62fp-7, 0x1.c97acc20de4cbp-7, 0x1.bc4b33e8cdd4p-7, 0x1.af71ee21d37dap-7, 0x1.a2ed1b32eb58bp-7, 0x1.96bae35f8c5d1p-7, 0x1.8ad976bacdf9fp-7, 0x1.7f470d19f2d4fp-7, 0x1.7401e60651b04p-7, 0x1.690848ae94055p-7, 0x1.5e5883d77b978p-7, 0x1.53f0edcc08fdap-7, 0x1.49cfe44d3b6eep-7, 0x1.3ff3cc8138248p-7, 0x1.365b12e2213a8p-7, 0x1.2d042b2c625cep-7, 0x1.23ed904cb3d92p-7, 0x1.1b15c44db24e4p-7, 0x1.127b5045220fp-7, 0x1.0a1cc440e3fcap-7, 0x1.01f8b733a34ebp-7, 0x1.f41b8dc277b8cp-8, 0x1.e4b52f95c1917p-8, 0x1.d5bbaa3627828p-8, 0x1.c72c6122af652p-8, 0x1.b904c4dba0b1ep-8, 0x1.ab4252b92ba2bp-8, 0x1.9de294c214464p-8, 0x1.90e32181e99abp-8, 0x1.84419bdf0f583p-8, 0x1.77fbb2f0b68fp-8, 0x1.6c0f21d49a99cp-8, 0x1.6079af84a15a2p-8, 0x1.55392eac6fea8p-8, 0x1.4a4b7d7ef91f1p-8, 0x1.3fae858bf8522p-8, 0x1.35603b95733abp-8, 0x1.2b5e9f653ffb4p-8, 0x1.21a7bba2ae6p-8, 0x1.1839a5a83435fp-8, 0x1.0f127d5926941p-8, 0x1.06306cf7b9cb7p-8, 0x1.fb2351f6033ecp-9, 0x1.ea68dfca899c9p-9, 0x1.da2e143490527p-9, 0x1.ca6f936c1874ep-9, 0x1.bb2a14c7355f3p-9, 0x1.ac5a62683cb5fp-9, 0x1.9dfd58ec7c64cp-9, 0x1.900fe71b77b82p-9, 0x1.828f0d96b4043p-9, 0x1.7577de8a249c7p-9, 0x1.68c77d5d1de6fp-9, 0x1.5c7b1e6427ed3p-9, 0x1.50900693294f4p-9, 0x1.45038b308b099p-9, 0x1.39d31188ece8dp-9, 0x1.2efc0ea38fd22p-9, 0x1.247c06f7a64b8p-9, 0x1.1a508e2232e07p-9, 0x1.1077469cd5379p-9, 0x1.06ede1753f7b3p-9, 0x1.fb643c0b546a1p-10, 0x1.e983935bdd9a2p-10, 0x1.d8357f1ace1fap-10, 0x1.c775d07bb8195p-10, 0x1.b740731e51119p-10, 0x1.a7916c8745759p-10, 0x1.9864db9b2cfc6p-10, 0x1.89b6f81aabab4p-10, 0x1.7b841220f6372p-10, 0x1.6dc891a381e36p-10, 0x1.6080f5f3d30fdp-10, 0x1.53a9d542ccd51p-10, 0x1.473fdc25e4c44p-10, 0x1.3b3fcd1e496cfp-10, 0x1.2fa680216a6bp-10, 0x1.2470e22380bd7p-10, 0x1.199bf4a3d077cp-10, 0x1.0f24cd3ad557ap-10, 0x1.05089529dbeb5p-10, 0x1.f68911d95da41p-11, 0x1.e3abef99b83fep-11, 0x1.d17486ed5e4fbp-11, 0x1.bfddbf2047d2fp-11, 0x1.aee2a2a2b4dc8p-11, 0x1.9e7e5e3d9d84fp-11, 0x1.8eac404ac656p-11, 0x1.7f67b7eff7ed4p-11, 0x1.70ac545dd7efap-11, 0x1.6275c41213989p-11, 0x1.54bfd41ca8fefp-11, 0x1.47866f68c462dp-11, 0x1.3ac59e08da242p-11, 0x1.2e79848609ffep-11, 0x1.229e63326c186p-11, 0x1.1730957f3520ep-11, 0x1.0c2c91554f02dp-11, 0x1.018ee671adda9p-11, 0x1.eea87b89492e5p-12, 0x1.daf2b1a799dbbp-12, 0x1.c7f6223f4c7a5p-12, 0x1.b5acaf17c02adp-12, 0x1.a4106795706aep-12, 0x1.931b879686e6cp-12, 0x1.82c876552075cp-12, 0x1.7311c54f97ab5p-12, 0x1.63f22f3602abdp-12, 0x1.556496de56eaap-12, 0x1.4764063c99a24p-12, 0x1.39ebad61a672ep-12, 0x1.2cf6e17f03e2cp-12, 0x1.20811befc9ce9p-12, 0x1.1485f947472dep-12, 0x1.0901386464353p-12, 0x1.fbdd731415662p-13, 0x1.e694faf9b069fp-13, 0x1.d221494bb79cdp-13, 0x1.be7adc736f0b5p-13, 0x1.ab9a6eca36983p-13, 0x1.9978f4fa7727ep-13, 0x1.880f9c6b81efbp-13, 0x1.7757c9b4f01a9p-13, 0x1.674b171c73c49p-13, 0x1.57e3531bc8b8bp-13, 0x1.491a7eeea652ep-13, 0x1.3aeacd2a9d68fp-13, 0x1.2d4ea05de01e4p-13, 0x1.204089b7d1b78p-13, 0x1.13bb47b8ab94bp-13, 0x1.07b9c4e8b6519p-13, 0x1.f86e2d311f1a8p-14, 0x1.e25cf74fff12ap-14, 0x1.cd36b6a9db4a9p-14, 0x1.b8f28822e99fbp-14, 0x1.a587d4c345457p-14, 0x1.92ee4f7ed181ap-14, 0x1.811df30caefeep-14, 0x1.700effcc659aep-14, 0x1.5fb9f9b6e12a4p-14, 0x1.5017a65e66426p-14, 0x1.41210afb1ae7ap-14, 0x1.32cf6a825d87p-14, 0x1.251c43cce7191p-14, 0x1.18014fc7b685cp-14, 0x1.0b787fb15618p-14, 0x1.fef7f6c503079p-15, 0x1.e80c3f4477f5ep-15, 0x1.d222f90a99e7ap-15, 0x1.bd31a7aff862bp-15, 0x1.a92e2f27716cdp-15, 0x1.960ed0bbf7dd9p-15, 0x1.83ca28247a7f2p-15, 0x1.725728aab62cdp-15, 0x1.61ad1a66023aep-15, 0x1.51c39789ef871p-15, 0x1.429289c5da7adp-15, 0x1.341227b9f59c1p-15, 0x1.263af27b3c48fp-15, 0x1.1905b3298f543p-15, 0x1.0c6b7898530ecp-15, 0x1.0065950616feap-15, 0x1.e9db37cb0eb8ep-16, 0x1.d3fabf6cd2438p-16, 0x1.bf1ddfdc7789cp-16, 0x1.ab392ddd071b6p-16, 0x1.9841b01774f6bp-16, 0x1.862cdb4519378p-16, 0x1.74f08e7451cefp-16, 0x1.64830f6be0eb8p-16, 0x1.54db07266ce04p-16, 0x1.45ef7e6ad6598p-16, 0x1.37b7da7a11352p-16, 0x1.2a2bd9dbbc35p-16, 0x1.1d43913f4203ep-16, 0x1.10f768749b766p-16, 0x1.05401780bd0eep-16, 0x1.f42d4783d8f62p-17, 0x1.dee8ba5e149b3p-17, 0x1.caa5b757689afp-17, 0x1.b757f8dd12014p-17, 0x1.a4f3beffa0e27p-17, 0x1.936dca93e8124p-17, 0x1.82bb58792cf3bp-17, 0x1.72d21d0738684p-17, 0x1.63a83fa29e491p-17, 0x1.5534566fa34c8p-17, 0x1.476d622c8684bp-17, 0x1.3a4aca2e53534p-17, 0x1.2dc4587c0285dp-17, 0x1.21d23607a5b9cp-17, 0x1.166ce70c708ffp-17, 0x1.0b8d4785cf012p-17, 0x1.012c87c889a8p-17, 0x1.ee885268f7537p-18, 0x1.db9bf608d9179p-18, 0x1.c9882e7821689p-18, 0x1.b841bf4ea2322p-18, 0x1.a7bdf5faca8abp-18, 0x1.97f2a42c25d9dp-18, 0x1.88d61a71e21eep-18, 0x1.7a5f230db3cfcp-18, 0x1.6c84fcee8333dp-18, 0x1.5f3f56d7597d1p-18, 0x1.52864ab2b0356p-18, 0x1.4652590eeeb28p-18, 0x1.3a9c64c669a04p-18, 0x1.2f5daecb177adp-18, 0x1.248fd217d94cep-18, 0x1.1a2cbfcd6e282p-18, 0x1.102ebb6afdb32p-18, 0x1.0690572f02152p-18, 0x1.fa98e128b06fp-19, 0x1.e8bc59f11e1eap-19, 0x1.d781ecaefe10dp-19, 0x1.c6e0f063d73e7p-19, 0x1.b6d1391096e05p-19, 0x1.a74b11ec1368fp-19, 0x1.984737c99d2b3p-19, 0x1.89bed3c405232p-19, 0x1.7bab7617f29cbp-19, 0x1.6e071127d0148p-19, 0x1.60cbf4b84f228p-19, 0x1.53f4c965c9c0fp-19, 0x1.477c8c346763ep-19, 0x1.3b5e8a59a36f9p-19, 0x1.2f965d2dc0e94p-19, 0x1.241fe64801b87p-19, 0x1.18f74bbe2df6fp-19, 0x1.0e18f4950d34bp-19, 0x1.0381854ec3abbp-19, 0x1.f25bb93cd301fp-20, 0x1.de36207fa008p-20, 0x1.ca8cd3e4d2e53p-20, 0x1.b75ac9247fd3p-20, 0x1.a49b52ab00b88p-20, 0x1.924a1a3f958bep-20, 0x1.80631bff8be34p-20, 0x1.6ee2a1791b167p-20, 0x1.5dc53d108f959p-20, 0x1.4d07c58e3a7e3p-20, 0x1.3ca751dfa3bdep-20, 0x1.2ca1350fd9a9p-20, 0x1.1cf2fa73ee512p-20, 0x1.0d9a61f8214d6p-20, 0x1.fd2ab940b569ap-21, 0x1.dfc4126f87ebcp-21, 0x1.c2fd622e4f296p-21, 0x1.a6d38a5b43971p-21, 0x1.8b43b63211bb8p-21, 0x1.704b54dd444e6p-21, 0x1.55e81434bfdb7p-21, 0x1.3c17dbe9821e3p-21, 0x1.22d8c8cac0009p-21, 0x1.0a29285986b62p-21, 0x1.e40ee93b854a2p-22, 0x1.b4e4a03e7fb1p-22, 0x1.86d1045d90005p-22, 0x1.59d1e6aebfa11p-22, 0x1.2de55413590c1p-22, 0x1.03098ecd06c97p-22, 0x1.b27a114472f6ap-23, 0x1.60fcba54b32adp-23, 0x1.1198994078e0ep-23, 0x1.8896db9fb857cp-24, 0x1.e44cb72e46aaep-25, 0x1.7f6fe13449347p-26, -0x1.725dee4f479eep-27, -0x1.70a7f64c75bf1p-25, -0x1.3e3fc74e0a4c3p-24, -0x1.c01209d9bcbc9p-24, -0x1.1ee6cb98c51a5p-23, -0x1.5bba9db3db9ffp-23, -0x1.9685e27fa6706p-23, -0x1.cf4a07433d3c8p-23, -0x1.030441de09d37p-22, -0x1.1d616f26e699dp-22, -0x1.36bd57d58a785p-22, -0x1.4f18d327902edp-22, -0x1.6674c4c4e6b49p-22, -0x1.7cd21e1eced9p-22, -0x1.9231dfbae65fep-22, -0x1.a6951a52450ebp-22, -0x1.b9fcefc883ccfp-22, -0x1.cc6a940a205e5p-22, -0x1.dddf4dd170068p-22, -0x1.ee5c7740817acp-22, -0x1.fde37e8336adfp-22, -0x1.063af3143c04dp-21, -0x1.0d0aa2c7946a4p-21, -0x1.1361a488ad02bp-21, -0x1.1940d92572308p-21, -0x1.1ea92c1a09596p-21, -0x1.239b938f96d7bp-21, -0x1.28191062128d5p-21, -0x1.2c22ae0d1d83bp-21, -0x1.2fb9829a5d01fp-21, -0x1.32deae89acaa9p-21, -0x1.35935cb23a5d8p-21, -0x1.37d8c2182c24ap-21, -0x1.39b01dc5445c9p-21, -0x1.3b1ab894ea24ep-21, -0x1.3c19e500be787p-21, -0x1.3caefee6333f3p-21, -0x1.3cdb6b4b45036p-21, -0x1.3ca0981e4d1eep-21, -0x1.3bfffbeb2df0ep-21, -0x1.3afb1597c8456p-21, -0x1.39936c16097dep-21, -0x1.37ca8e23ad23ep-21, -0x1.35a211ec8726fp-21, -0x1.331b94ca68b6cp-21, -0x1.3038bae641bep-21, -0x1.2cfb2ee9fb9eap-21, -0x1.2964a1af41de8p-21, -0x1.2576c9e8580d3p-21, -0x1.213363cb99096p-21, -0x1.1c9c30b9ea8b2p-21, -0x1.17b2f6ec8d3eap-21, -0x1.1279811e6b7d4p-21, -0x1.0cf19e334e4d3p-21, -0x1.071d20e66e7c6p-21, -0x1.00fddf72163b2p-21, -0x1.f52b6676737e3p-22, -0x1.e7ccf0f39cad4p-22, -0x1.d9e41bcf6e92p-22, -0x1.cb74a8d114859p-22, -0x1.bc825d7efe9eep-22, -0x1.ad11026e0a28fp-22, -0x1.9d2462ae83337p-22, -0x1.8cc04b21e3fd4p-22, -0x1.7be889e0b4c0bp-22, -0x1.6aa0eda4c1127p-22, -0x1.58ed4539e8d0ap-22, -0x1.46d15eda42dbdp-22, -0x1.345107a7d859p-22, -0x1.21700b19d4606p-22, -0x1.0e3232748d49bp-22, -0x1.f5368887fccaep-23, -0x1.cd5e07a8839fbp-23, -0x1.a4e261743c645p-23, -0x1.7bcb0c89cdb9ep-23, -0x1.521f7628abc45p-23, -0x1.27e7013179432p-23, -0x1.fa520a7728a3ap-24, -0x1.a3d99b8c43357p-24, -0x1.4c73329de99fbp-24, -0x1.e85a62442f429p-25, -0x1.362bb6c52df0cp-25, -0x1.04ed5bcac0234p-26, 0x1.95456aed4a224p-28, 0x1.d22d26ea966e2p-26, 0x1.a0b7824f81e86p-25, 0x1.2cb8204ec02c5p-24, 0x1.8992effd02992p-24, 0x1.e6dedfae6282fp-24, 0x1.2247636cc3794p-23, 0x1.514ad2e57ee42p-23, 0x1.8073536116adcp-23, 0x1.afba8f8633262p-23, 0x1.df1a47e582571p-23, 0x1.074629bd9e8eep-22, 0x1.1f05500ebfcb8p-22, 0x1.36c7996486addp-22, 0x1.4e8a140f092d5p-22, 0x1.6649da5577be5p-22, 0x1.7e04129ed081p-22, 0x1.95b5ef9c7c32ap-22, 0x1.ad5cb06834a7ap-22, 0x1.c4f5a0a8fb0d8p-22, 0x1.dc7e18af475c8p-22, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      37, 0x1.4e147ae147ae1p+2, 0x1.37f649b81af5cp-4, 0x1.803fb53a2328ep-3, -0x1.bb641d004983p-1, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.0ae014700cc84p-4, -0x1.227c081eeaa35p-4, 0x1.61fc24b3a2dp-9, 0x1.9f274e1ea0187p-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.f8c53cb417ddep-5, -0x1.20fd34f90be62p-4, 0x1.2d89dcfc9b09ap-8, 0x1.9f27531f9cf2ap-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.dbfa8f8cc3b6dp-5, -0x1.1eb71bc0f5435p-4, 0x1.aa15a91fb0853p-8, 0x1.9f273f1bc5dd7p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.bf740ed24166ep-5, -0x1.1ba9bc7a4103ap-4, 0x1.1350b7a0cf89fp-7, 0x1.9f278a29fd2c6p-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.a345a7ecb538bp-5, -0x1.17d51717b9766p-4, 0x1.5196a5f3e8b78p-7, 0x1.9f2671f50dd8ep-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.8783484443783p-5, -0x1.13392bca9b19cp-4, 0x1.8fdc6a3f11315p-7, 0x1.9f2a87ba9625cp-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6c40dd4110703p-5, -0x1.0dd5f9db299ffp-4, 0x1.ce22cb67daea8p-7, 0x1.9f1b48d94b51ap-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5192544b406c5p-5, -0x1.07ab83f719c72p-4, 0x1.06337191064e8p-6, 0x1.9f542e991d9aap-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.378b9acaf7b7fp-5, -0x1.00b9c01f54df6p-4, 0x1.2559c1dc82204p-6, 0x1.9e7fd67af3224p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.1e409e285a9ep-5, -0x1.f201a74501d29p-5, 0x1.44702525bac31p-6, 0x1.a1985133e4e48p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.05c54bcb8d6a4p-5, -0x1.e100668a392cfp-5, 0x1.63c1f8099f20fp-6, 0x1.8a7d2ba86f1d1p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dc5af2e730656p-6, -0x1.ce7958efaa9c4p-5, 0x1.8158281ca7768p-6, 0x1.592e65d862ae8p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.af17c1e4612b4p-6, -0x1.ba8f40a8de366p-5, 0x1.9b3ba2f34876bp-6, 0x1.2bcc72dfa66fp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.83e237cf06e65p-6, -0x1.a56f9141b97a4p-5, 0x1.b1b7c52a74f21p-6, 0x1.faba841155e06p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.5ad7183231749p-6, -0x1.8f465d31d34f6p-5, 0x1.c4b85d5181c4p-6, 0x1.9e6c6ba6550a3p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.340eb6e3a6cf2p-6, -0x1.7840158c3bf0ep-5, 0x1.d442d48e24f49p-6, 0x1.41f7a9ec388e4p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.0f9cf803e30dep-6, -0x1.6089120a6ceb9p-5, 0x1.e055b7ba33e05p-6, 0x1.cb1a88576075dp-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.db229ffc30c58p-7, -0x1.484db130c11f3p-5, 0x1.e8f16a48a415ap-6, 0x1.12402fa702bb2p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.9bed87105e399p-7, -0x1.2fba4fb1a4e06p-5, 0x1.ee15d193c5bc7p-6, 0x1.659d4f07006c1p-11}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.61a7cf458b4f1p-7, -0x1.16fb4abc5d57p-5, 0x1.efc2f4bf67bcdp-6, -0x1.7dc7b885cbf76p-11}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.2c55c3326114bp-7, -0x1.fc79febd75c55p-6, 0x1.edf8d1e1fa61bp-6, -0x1.184b14d74a67bp-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f7e59c05e9aaep-8, -0x1.cb57955f10675p-6, 0x1.e8b7697df0fcap-6, -0x1.d124424582029p-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.a0e2f6f190224p-8, -0x1.9ae8138637113p-6, 0x1.dffebb7309bfbp-6, -0x1.44feb7ff50825p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.5376efd591045p-8, -0x1.6b84335d451fbp-6, 0x1.d3cec7bfdd215p-6, -0x1.a16b4aea37335p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.0f63208aa036ap-8, -0x1.3d84af0cc3468p-6, 0x1.c4278e8a47dc4p-6, -0x1.fdd7ed761fa56p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.a8aec828941f8p-9, -0x1.114240c2d610fp-6, 0x1.b1090f3c4045cp-6, -0x1.2d222ab7e19ebp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.43e3ad41e6b61p-9, -0x1.ce2b45320a923p-7, 0x1.9a734c080f5ap-6, -0x1.5b58cc08ca8a5p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.defb562765414p-10, -0x1.7eaf1deb600f8p-7, 0x1.80663cba99c2dp-6, -0x1.898dd55245423p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.54e3fd4c46733p-10, -0x1.34c17e40e9825p-7, 0x1.62e1ffee07c48p-6, -0x1.b7c8d16592f86p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ce499d5c52ef8p-11, -0x1.e227c23c74ad8p-8, 0x1.41e6236ccff1fp-6, -0x1.e5ed9a58f489ep-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.26349b685113p-11, -0x1.68af44761aebbp-8, 0x1.1d745172f0cd7p-6, -0x1.0a329e811b06p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.576809c2feb41p-12, -0x1.fcfa4708a4e75p-9, 0x1.eb0ca68bf3194p-7, -0x1.20d3d5f9efd07p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.6193cd0e653ffp-13, -0x1.49e33517fb04p-9, 0x1.9466b3275e5b6p-7, -0x1.39b60806f7c16p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.2ab44b08f0fp-14, -0x1.75e6423a43292p-10, 0x1.3649b0bee0d4cp-7, -0x1.4a2ee99f23eep-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.613e6c6a0c2p-16, -0x1.4a95125f12bd4p-11, 0x1.a6773bb7df4eap-8, -0x1.7a0c127662ec7p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.7266ca3654p-19, -0x1.4d5d35b608437p-13, 0x1.8746614814adap-9, -0x1.27b793e1a7177p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4e147ae147ae1p+2, 0x1.3e31a3339d83p-26, 0x1.19320962406ep-18, 0x1.2350b1ca61644p-12, -0x1.057b5e073a49ap-3}, 
      }}, 
      0x1.00533e5813c1dp+3, -0x1.280a458bff98bp+7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{-0x1.3fb2bb8ee62efp+1, -0x1.3ddbddc2f5ee2p+1, -0x1.3ad807d1c3956p+1, -0x1.36b7c41763988p+1, -0x1.318ef9847505ap+1, -0x1.2b73aad133c86p+1, -0x1.247d06b5995ap+1, -0x1.1cc2b45165311p+1, -0x1.145c4c592b3b9p+1, -0x1.0b60f3f22384bp+1, -0x1.01e7114b90eb4p+1, -0x1.f00828651fae7p+0, -0x1.db989cb6e8cefp+0, -0x1.c6a5b049d7081p+0, -0x1.b152feaa956a6p+0, -0x1.9bc17bb5db1d6p+0, -0x1.860f6dfc552bp+0, -0x1.7058737f92148p+0, -0x1.5ab58eb35873p+0, -0x1.453d3a0b42b07p+0, -0x1.300380a45805bp+0, -0x1.1b1a1ad330c2p+0, -0x1.06908d8eaef8ap+0, -0x1.e4e897b9071d2p-1, -0x1.bda1b2f2929f3p-1, -0x1.975fdc4c75145p-1, -0x1.723331777f4aep-1, -0x1.4e28c37feeadcp-1, -0x1.2b4adb4c0beb4p-1, -0x1.09a13cb4b477fp-1, -0x1.d262c7eed3d83p-2, -0x1.93fd7e2a51a6p-2, -0x1.5815d42f410aap-2, -0x1.1eabc776620fbp-2, -0x1.cf78dcd7815eap-3, -0x1.6684c8bdb1066p-3, -0x1.026c450823c04p-3, -0x1.4638c8de28ed1p-4, -0x1.21fc3b3c569bbp-5, 0x1.b08ea5975e02ap-8, 0x1.7c24c63aaf8e5p-5, 0x1.58580a88d7069p-4, 0x1.ea169927e831bp-4, 0x1.39c6974a1044dp-3, 0x1.7a7e60dc15dd2p-3, 0x1.b753d5c0e4783p-3, 0x1.f0689ecc5ddebp-3, 0x1.12ef5954d5dbep-2, 0x1.2bec163894d15p-2, 0x1.433b932992895p-2, 0x1.58eecbcc69f9cp-2, 0x1.6d169ac0dbbbap-2, 0x1.7fc3ab693720bp-2, 0x1.91066d0be8e28p-2, 0x1.a0ef075559e1p-2, 0x1.af8d503a52464p-2, 0x1.bcf0c332a18fp-2, 0x1.c92879bd2cf5bp-2, 0x1.d443252de0466p-2, 0x1.de4f098611c2cp-2, 0x1.e759f9927f8f3p-2, 0x1.ef7153f0f6957p-2, 0x1.f6a2010fed765p-2, 0x1.fcf8720359d59p-2, 0x1.0140500c16ecdp-1, 0x1.03a306856e06bp-1, 0x1.05a9e1e77b04ap-1, 0x1.075a2ce85ea9cp-1, 0x1.08b8f850d262ap-1, 0x1.09cb1bff505cep-1, 0x1.0a9538138509ep-1, 0x1.0b1bb6395a2dap-1, 0x1.0b62cb109532dp-1, 0x1.0b6e77aa406aep-1, 0x1.0b428b1850644p-1, 0x1.0ae2a40987bddp-1, 0x1.0a5232724b956p-1, 0x1.09947934bc639p-1, 0x1.08ac8fd3853d8p-1, 0x1.079d641e40338p-1, 0x1.0669bbdfa6b85p-1, 0x1.05143686edbe3p-1, 0x1.039f4eca94a1dp-1, 0x1.020d5c43e6eap-1, 0x1.006095064881cp-1, 0x1.fd361e4f5f109p-2, 0x1.f97d8483ad5a2p-2, 0x1.f59b11d72c997p-2, 0x1.f1924444a5871p-2, 0x1.ed666553ea5fp-2, 0x1.e91a8cc1efe7ap-2, 0x1.e4b1a3137f62dp-2, 0x1.e02e640983e9p-2, 0x1.db9360ff8fed1p-2, 0x1.d6e3033243736p-2, 0x1.d21f8ded88dfep-2, 0x1.cd4b20a2eb33dp-2, 0x1.c867b8e5460bcp-2, 0x1.c3773450c5e4ap-2, 0x1.be7b525a1a0a3p-2, 0x1.b975b609bf624p-2, 0x1.b467e79fc3371p-2, 0x1.af535622d2cc6p-2, 0x1.aa3958dd0dfdcp-2, 0x1.a51b30c167687p-2, 0x1.9ffa09c28dddfp-2, 0x1.9ad6fc1639e89p-2, 0x1.95b30d63fea4bp-2, 0x1.908f31e832501p-2, 0x1.8b6c4d8392e1bp-2, 0x1.864b34bb326abp-2, 0x1.812cadabb463ep-2, 0x1.7c1170ed56b52p-2, 0x1.76fa2a6a5e9bep-2, 0x1.71e77a290c248p-2, 0x1.6cd9f50995f6ep-2, 0x1.67d2257844533p-2, 0x1.62d08c14d4fefp-2, 0x1.5dd5a0500b839p-2, 0x1.58e1d0fe32d7ap-2, 0x1.53f584e15336bp-2, 0x1.4f111b2bdb08ep-2, 0x1.4a34ebf8f1ec7p-2, 0x1.456148bd3c9b8p-2, 0x1.40967cb2d15ep-2, 0x1.3bd4cd3c86818p-2, 0x1.371c7a41d319fp-2, 0x1.326dbe86e9f29p-2, 0x1.2dc8cffef1492p-2, 0x1.292de0173ba6ep-2, 0x1.249d1bfe5784p-2, 0x1.2016ace7f0671p-2, 0x1.1b9ab84b6c742p-2, 0x1.1729601cf8942p-2, 0x1.12c2c303e8b6bp-2, 0x1.0e66fc8f7bfbp-2, 0x1.0a1625669fb23p-2, 0x1.05d05372531ccp-2, 0x1.01959a07be30ep-2, 0x1.facc14242d5b3p-3, 0x1.f283646d39638p-3, 0x1.ea513ddd6417cp-3, 0x1.e235b56dd0133p-3, 0x1.da30dc4127f9cp-3, 0x1.d242bfe0b267cp-3, 0x1.ca6b6a768caedp-3, 0x1.c2aae2f715a55p-3, 0x1.bb012d593aedcp-3, 0x1.b36e4abe4ba28p-3, 0x1.abf2398d639e3p-3, 0x1.a48cf5a165893p-3, 0x1.9d3e7879b81b5p-3, 0x1.9606b94eaefd2p-3, 0x1.8ee5ad28d3e4ap-3, 0x1.87db4705429bdp-3, 0x1.80e777fd0bf6dp-3, 0x1.7a0a2f555ea16p-3, 0x1.73435a91b0bc2p-3, 0x1.6c92e589a4bb8p-3, 0x1.65f8ba8cc557ap-3, 0x1.5f74c27407282p-3, 0x1.5906e4ace46b3p-3, 0x1.52af0745ea3bfp-3, 0x1.4c6d0f092f52bp-3, 0x1.4640df94acee5p-3, 0x1.402a5b608c084p-3, 0x1.3a2963c6e154cp-3, 0x1.343dd912cb8a9p-3, 0x1.2e679a96f06e5p-3, 0x1.28a686bc27df7p-3, 0x1.22fa7b04d81a8p-3, 0x1.1d63541233208p-3, 0x1.17e0edb4b070fp-3, 0x1.127322fcf9fe6p-3, 0x1.0d19ce4544b8p-3, 0x1.07d4c933d54a9p-3, 0x1.02a3ecc0c33b4p-3, 0x1.fb0e22840b637p-4, 0x1.f0fc1cf42ef86p-4, 0x1.e711773ec445fp-4, 0x1.dd4ddebce53bbp-4, 0x1.d3b0ffbcf4feap-4, 0x1.ca3a859633ec3p-4, 0x1.c0ea1ac01b302p-4, 0x1.b7bf68e057046p-4, 0x1.aeba18d0bf744p-4, 0x1.a5d9d2a675269p-4, 0x1.9d1e3dbf7adc4p-4, 0x1.948700d536229p-4, 0x1.8c13c20b85b04p-4, 0x1.83c426f8d6973p-4, 0x1.7b97d4abd18e5p-4, 0x1.738e6fb4804a4p-4, 0x1.6ba79c31dc9ap-4, 0x1.63e2fde09dc2cp-4, 0x1.5c403825a3796p-4, 0x1.54beee146347fp-4, 0x1.4d5ec2755e0b8p-4, 0x1.461f57cf7d3d1p-4, 0x1.3f005074033c7p-4, 0x1.38014e89d5886p-4, 0x1.3121f416244ddp-4, 0x1.2a61e302a2d9ep-4, 0x1.23c0bd24055cp-4, 0x1.1d3e24429f4f1p-4, 0x1.16d9ba2426f93p-4, 0x1.10932095125aep-4, 0x1.0a69f97044685p-4, 0x1.045de6a54797bp-4, 0x1.fcdd147ce15e9p-5, 0x1.f1370cd056205p-5, 0x1.e5c8faf1ffa8ep-5, 0x1.da9223f30f48fp-5, 0x1.cf91cd573d746p-5, 0x1.c4c73d2026736p-5, 0x1.ba31b9d8aaf25p-5, 0x1.afd08aa0fb90fp-5, 0x1.a5a2f73bfea7bp-5, 0x1.9ba8481d06468p-5, 0x1.91dfc674698e4p-5, 0x1.8848bc3a4c8dbp-5, 0x1.7ee274384df06p-5, 0x1.75ac3a1374b6dp-5, 0x1.6ca55a5723b4p-5, 0x1.63cd2280b268ep-5, 0x1.5b22e10a7d5c2p-5, 0x1.52a5e57579654p-5, 0x1.4a5580517c971p-5, 0x1.42310345439b9p-5, 0x1.3a37c11719433p-5, 0x1.32690db651e3cp-5, 0x1.2ac43e44ad61dp-5, 0x1.2348a91e60c5ap-5, 0x1.1bf5a5e0b4b5fp-5, 0x1.14ca8d6fd61e8p-5, 0x1.0dc6b9fdb297ap-5, 0x1.06e9871238de4p-5, 0x1.0032519436927p-5, 0x1.f340efa1116cp-6, 0x1.e666b2fc6b268p-6, 0x1.d9d4af8028b79p-6, 0x1.cd89aa4dbd5d5p-6, 0x1.c1846b6db2fa3p-6, 0x1.b5c3bde39cbd5p-6, 0x1.aa466fc558553p-6, 0x1.9f0b524b4177cp-6, 0x1.941139d16e8bbp-6, 0x1.8956fdcb0610bp-6, 0x1.7edb78b31fa34p-6, 0x1.749d880adc554p-6, 0x1.6a9c0c6e472f4p-6, 0x1.60d5e9bb0e08ep-6, 0x1.574a07363af1p-6, 0x1.4df74f9a70932p-6, 0x1.44dcb1032d999p-6, 0x1.3bf91cbe69f36p-6, 0x1.334b872048179p-6, 0x1.2ad2e777e93bfp-6, 0x1.228e383440a24p-6, 0x1.1a7c772b9f2b7p-6, 0x1.129ca5e0acf91p-6, 0x1.0aedc99afbbp-6, 0x1.036eeb38d5014p-6, 0x1.f83e2de2df893p-7, 0x1.e9fab776ec93ap-7, 0x1.dc1196ba30344p-7, 0x1.ce80f4ec46a2cp-7, 0x1.c14701e478798p-7, 0x1.b461f509d150ep-7, 0x1.a7d00ddfe9361p-7, 0x1.9b8f93cd259a1p-7, 0x1.8f9ed5242f979p-7, 0x1.83fc25e2e3d97p-7, 0x1.78a5decaaedd1p-7, 0x1.6d9a5d530c6ecp-7, 0x1.62d804899adbbp-7, 0x1.585d3e76a36d3p-7, 0x1.4e287d4ece4dfp-7, 0x1.44383bcaff10ap-7, 0x1.3a8afc67798d7p-7, 0x1.311f47dad5c1ep-7, 0x1.27f3ab809feeap-7, 0x1.1f06b882223a8p-7, 0x1.1657042d15df4p-7, 0x1.0de32950fba4fp-7, 0x1.05a9c9f3366dfp-7, 0x1.fb5320eed4bdap-8, 0x1.ebc25f32df438p-8, 0x1.dc9ec25740e71p-8, 0x1.cde5c85de0642p-8, 0x1.bf94f66a13b18p-8, 0x1.b1a9d7befb613p-8, 0x1.a421ff8739d78p-8, 0x1.96fb0c8afb2f1p-8, 0x1.8a32acee7d7a1p-8, 0x1.7dc69ff32155p-8, 0x1.71b4b49789bfp-8, 0x1.65fac579f4e1ap-8, 0x1.5a96b3d17d47cp-8, 0x1.4f8663f4105f8p-8, 0x1.44c7bd4fe87d1p-8, 0x1.3a58ae2f0145ap-8, 0x1.303731c54cf19p-8, 0x1.266155c475204p-8, 0x1.1cd53ca646f5ep-8, 0x1.13911b1f4ea19p-8, 0x1.0a93313f8f13cp-8, 0x1.01d9c1cfe27a6p-8, 0x1.f2c6171d4ceefp-9, 0x1.e25a8ef3d0762p-9, 0x1.d26d5ada93212p-9, 0x1.c2fafb71f5a44p-9, 0x1.b400182fb4cabp-9, 0x1.a5798f12cdaebp-9, 0x1.976477049159ap-9, 0x1.89be12b2d972ep-9, 0x1.7c83b7bf771afp-9, 0x1.6fb2b2f39c223p-9, 0x1.634833cba6c07p-9, 0x1.57414776333c5p-9, 0x1.4b9ae6084e8ebp-9, 0x1.40520e12293cap-9, 0x1.3563e534331ecp-9, 0x1.2acdd1f202325p-9, 0x1.208d84f9d80a2p-9, 0x1.16a0edf83b06ep-9, 0x1.0d061f89a73aep-9, 0x1.03bb2bc07c16p-9, 0x1.f57c09e09a754p-10, 0x1.e418d9644ee1fp-10, 0x1.d347ed1f1a0e1p-10, 0x1.c3043ba70a143p-10, 0x1.b348cfb23ee02p-10, 0x1.a4110edc9c36p-10, 0x1.9558e9dbed8d5p-10, 0x1.871ce61a65dcbp-10, 0x1.795a00766be69p-10, 0x1.6c0d769e0472fp-10, 0x1.5f34894b0118cp-10, 0x1.52cc46f81912dp-10, 0x1.46d16ab8034a7p-10, 0x1.3b40584364cbp-10, 0x1.30153960fb822p-10, 0x1.254c354c24d57p-10, 0x1.1ae1aca60f1e1p-10, 0x1.10d26000b878ep-10, 0x1.071b744cb482cp-10, 0x1.fb74bd5da1333p-11, 0x1.e9599858392c7p-11, 0x1.d7e11ef328bbdp-11, 0x1.c7071c0661dd2p-11, 0x1.b6c746701dad6p-11, 0x1.a71d037a9e1cep-11, 0x1.980351b005896p-11, 0x1.8974f86706dc6p-11, 0x1.7b6ce0eefbc33p-11, 0x1.6de65485b80e5p-11, 0x1.60dcedd40cf2p-11, 0x1.544c54e48a8b9p-11, 0x1.48301598de45bp-11, 0x1.3c83c95e64225p-11, 0x1.314374586358dp-11, 0x1.266bb97f29dd2p-11, 0x1.1bf9aea6c37cdp-11, 0x1.11ea7aac29c88p-11, 0x1.083b1a78aa644p-11, 0x1.fdd0f3ddd5a9ap-12, 0x1.ebdf6a8d9e3f5p-12, 0x1.da9c5d3157858p-12, 0x1.ca02967406d82p-12, 0x1.ba0c08400bf56p-12, 0x1.aab16149a437p-12, 0x1.9bea9f05dceap-12, 0x1.8db042462cc9ep-12, 0x1.7ffc30268d78bp-12, 0x1.72c9a32dcefcfp-12, 0x1.661485fff5e1p-12, 0x1.59d906c08efcfp-12, 0x1.4e13afffe5b4bp-12, 0x1.42c1a2c076cf2p-12, 0x1.37e0780760b09p-12, 0x1.2d6dae663d48ep-12, 0x1.2365eb2c6925dp-12, 0x1.19c490f140596p-12, 0x1.1084106b94ae1p-12, 0x1.079ed0a24c8d4p-12, 0x1.fe20036910eb9p-13, 0x1.eda75d9558adp-13, 0x1.ddcc4ce66053ap-13, 0x1.ce8737f6b7c1p-13, 0x1.bfd137ef96075p-13, 0x1.b1a5a4c3533dfp-13, 0x1.a40269790f6d4p-13, 0x1.96e68c6cb3389p-13, 0x1.8a4ff2b77778dp-13, 0x1.7e3a068f0d847p-13, 0x1.729e0efcaf88p-13, 0x1.6774a3726063ap-13, 0x1.5cb73255f3e3dp-13, 0x1.5260cfe9bc8c9p-13, 0x1.486ddb6917867p-13, 0x1.3edaa5af704e3p-13, 0x1.35a232d1cb07fp-13, 0x1.2cbe5eac20f4cp-13, 0x1.24296fd9af4e7p-13, 0x1.1bdfe9a4a8e8bp-13, 0x1.13e0f64529cf6p-13, 0x1.0c2c9b301154ap-13, 0x1.04c16fb921ff7p-13, 0x1.fb3827a8a0e8ep-14, 0x1.ed705a5274eap-14, 0x1.e0230a4ef8aa7p-14, 0x1.d3495ed90114ep-14, 0x1.c6de49481e78dp-14, 0x1.bade16796fa53p-14, 0x1.af45cee3a1c41p-14, 0x1.a4120134bc625p-14, 0x1.993d6ba8b8879p-14, 0x1.8ec14caf81dbp-14, 0x1.8497ca71d0a0ep-14, 0x1.7abd1710f9dfdp-14, 0x1.712de58b8973bp-14, 0x1.67e6cc27d343ap-14, 0x1.5ee52f69637c1p-14, 0x1.562725e16f769p-14, 0x1.4daa4c11e0a93p-14, 0x1.456b290bbda71p-14, 0x1.3d6583ad6f743p-14, 0x1.359541d495158p-14, 0x1.2df80531a784bp-14, 0x1.268d8d5d16da3p-14, 0x1.1f54eefaf0bfp-14, 0x1.184acba9daabcp-14, 0x1.116c3d4067a33p-14, 0x1.0ab8cd35ab937p-14, 0x1.042f449a8b5d7p-14, 0x1.fb976b90aadfep-15, 0x1.ef131dc5a294ep-15, 0x1.e2cc37886d6e9p-15, 0x1.d6c28346f4c17p-15, 0x1.caf837698b884p-15, 0x1.bf6d6bdfc4a2fp-15, 0x1.b41d978ddb7f3p-15, 0x1.a900e7362dda5p-15, 0x1.9e12ca222d6e7p-15, 0x1.9355f70b872aap-15, 0x1.88cbe3f500ef9p-15, 0x1.7e6efdeb390a5p-15, 0x1.743b24de1964dp-15, 0x1.6a3135bdca4ccp-15, 0x1.6050adc16743p-15, 0x1.5696f6efab5c9p-15, 0x1.4d02107da4e16p-15, 0x1.43906a12c4073p-15, 0x1.3a3fe5e502173p-15, 0x1.310e411e098f8p-15, 0x1.27fab68b1356ap-15, 0x1.1f06649b9f427p-15, 0x1.163177c5c88e2p-15, 0x1.0d77e0f6fab6bp-15, 0x1.04d63e6507fe1p-15, 0x1.f89f8ed70e7d1p-16, 0x1.e7cb19c76f5ccp-16, 0x1.d727fbe93e686p-16, 0x1.c6b56aa737771p-16, 0x1.b673f747d4e8ap-16, 0x1.a66074efb2bb8p-16, 0x1.9678ae450faddp-16, 0x1.86bc520fb52ffp-16, 0x1.772bb78f7c264p-16, 0x1.67c76ef1b32bp-16, 0x1.58901f38b9506p-16, 0x1.49859b9980bc1p-16, 0x1.3aa580aadb262p-16, 0x1.2bed48f0047f9p-16, 0x1.1d5dd8e471d1cp-16, 0x1.0ef6a06183283p-16, 0x1.00b5fbea84d6ap-16, 0x1.e53adb1074c54p-17, 0x1.c9593d5f4d955p-17, 0x1.adc9481af7708p-17, 0x1.928b422316528p-17, 0x1.779acba0c3128p-17, 0x1.5cf66b7d6969fp-17, 0x1.429ef5b119fcep-17, 0x1.2895539abc58p-17, 0x1.0ed9f801710cep-17, 0x1.eada1056ff302p-18, 0x1.b89d8c49ecef2p-18, 0x1.86ffe10b0a886p-18, 0x1.56031b843f936p-18, 0x1.25a894f1cf028p-18, 0x1.ebe1632ec3c3bp-19, 0x1.8db03fe5bd742p-19, 0x1.30b6e5d841ac1p-19, 0x1.a9fb2b9b9f9ccp-20, 0x1.e9f6d9e08294ep-21, 0x1.0a255d2d74d06p-22, -0x1.b52e1d0e1e48cp-22, -0x1.1a96a3550d2a7p-20, -0x1.c55caa76cfd75p-20, -0x1.36cc09acbf211p-19, -0x1.89a1a19dd0674p-19, -0x1.db2d230da3396p-19, -0x1.15b6952e6c1d8p-18, -0x1.3d305e5287d9ap-18, -0x1.6403902e69c98p-18, -0x1.8a2fc8aba065ep-18, -0x1.afb48d6de221ap-18, -0x1.d49181320802ap-18, -0x1.f8c5a72d4bcep-18, -0x1.0e275851cf457p-17, -0x1.1f96d3be7f0c2p-17, -0x1.30b241d4f4d91p-17, -0x1.41799e734f4d5p-17, -0x1.51eba88b30d38p-17, -0x1.6208cfaa42243p-17, -0x1.71d0a71b4b1cbp-17, -0x1.81434a07955dcp-17, -0x1.9060fa13ab35p-17, -0x1.9f29adb66df1cp-17, -0x1.ad9d515a3d279p-17, -0x1.bbbbe634339adp-17, -0x1.c9857b073b517p-17, -0x1.d6fa2bfb4ba24p-17, -0x1.e41a1f1c58368p-17, -0x1.f0e57e0459cdp-17, -0x1.fd5c7267c1706p-17, -0x1.04bf99703690bp-16, -0x1.0aa6fa1e955a8p-16, -0x1.10645554f5c58p-16, -0x1.15f7ec79ae1d3p-16, -0x1.1b620fc90e70bp-16, -0x1.20a2a60fd200bp-16, -0x1.25b9c92a76931p-16, -0x1.2aa7e6ac0060ap-16, -0x1.2f6d340c72aa9p-16, -0x1.3409c4ff1e7fep-16, -0x1.387dbf4c013bbp-16, -0x1.3cc974be2b50ep-16, -0x1.40ed23a8d4779p-16, -0x1.44e9057048647p-16, -0x1.48bd584360f83p-16, -0x1.4c6a5ee0fe978p-16, -0x1.4ff05fd19ec54p-16, -0x1.534fa4a91f49fp-16, -0x1.568878bc99d99p-16, -0x1.599b28395d093p-16, -0x1.5c8802b9dfca1p-16, -0x1.5f4f5b8f06b96p-16, }}, 
      {{-0x1.401be2db60f52p+1, -0x1.3f7d12eb3e8a6p+1, -0x1.3e77257c27426p+1, -0x1.3d0dbad52dfebp+1, -0x1.3b454cb28e333p+1, -0x1.3922edef4f355p+1, -0x1.36ac17f303613p+1, -0x1.33e68310c8846p+1, -0x1.30d807800a138p+1, -0x1.2d8685113c327p+1, -0x1.29f7d02c1c7a7p+1, -0x1.2631a2fb8b147p+1, -0x1.223991edd44bep+1, -0x1.1e1502e21254ep+1, -0x1.19c92680e32c9p+1, -0x1.155af35a6748dp+1, -0x1.10cf2278a948bp+1, -0x1.0c2a2d257c624p+1, -0x1.07704baf04b48p+1, -0x1.02a574ff8aa03p+1, -0x1.fb9abdc935628p+0, -0x1.f1d6fdce50afdp+0, -0x1.e8061736106d6p+0, -0x1.de2dfc9f9986ep+0, -0x1.d4542a200c314p+0, -0x1.ca7da9bcc946ap+0, -0x1.c0af184497d8ep+0, -0x1.b6ecaa6ee963fp+0, -0x1.ad3a3229d0febp+0, -0x1.a39b240192882p+0, -0x1.9a129c91a6f51p+0, -0x1.90a365f21c3abp+0, -0x1.874ffd0d727fbp+0, -0x1.7e1a96d1c82bbp+0, -0x1.7505253e5cb91p+0, -0x1.6c115c3893726p+0, -0x1.6340b61a6ab65p+0, -0x1.5a94780d91c59p+0, -0x1.520db61d4ffd4p+0, -0x1.49ad56fa195f5p+0, -0x1.41741788adabbp+0, -0x1.39628e2ccf8dap+0, -0x1.31792dd926ac5p+0, -0x1.29b848f3e9596p+0, -0x1.222014102bc6bp+0, -0x1.1ab0a87d87127p+0, -0x1.136a06ae8b9c2p+0, -0x1.0c4c1879eee36p+0, -0x1.0556b33a55cc5p+0, -0x1.fd13339a93c9p-1, -0x1.efc8fce03d14ap-1, -0x1.e2ce08f42a8a3p-1, -0x1.d62183eb2261fp-1, -0x1.c9c282372e5d7p-1, -0x1.bdb003698c217p-1, -0x1.b1e8f4c3ab4dap-1, -0x1.a66c33991ea6fp-1, -0x1.9b388f838faffp-1, -0x1.904ccc6a24236p-1, -0x1.85a7a45ec101dp-1, -0x1.7b47c95444608p-1, -0x1.712be6b0fe02ap-1, -0x1.6752a2c058fdfp-1, -0x1.5dbaa00602024p-1, -0x1.54627e7431908p-1, -0x1.4b48dc86a97b7p-1, -0x1.426c584364c71p-1, -0x1.39cb90228be21p-1, -0x1.316523defd045p-1, -0x1.2937b5312a9dp-1, -0x1.2141e875db341p-1, -0x1.198265429cb6bp-1, -0x1.11f7d6e94a977p-1, -0x1.0aa0ecec259acp-1, -0x1.037c5b63ae194p-1, -0x1.f911b6aef65a4p-2, -0x1.eb8a5614ffa62p-2, -0x1.de601c7977026p-2, -0x1.d1909cc35d483p-2, -0x1.c519759bfc807p-2, -0x1.b8f851b78c265p-2, -0x1.ad2ae80e0421dp-2, -0x1.a1aefc05dff53p-2, -0x1.96825d9193306p-2, -0x1.8ba2e9402dd43p-2, -0x1.810e8845378c7p-2, -0x1.76c330766d57fp-2, -0x1.6cbee43f9746fp-2, -0x1.62ffb29124c72p-2, -0x1.5983b6c739cbdp-2, -0x1.5049188aa3185p-2, -0x1.474e0bac0c45cp-2, -0x1.3e90cffbe252dp-2, -0x1.360fb11df5af3p-2, -0x1.2dc9065931861p-2, -0x1.25bb32643e05dp-2, -0x1.1de4a32fff196p-2, -0x1.1643d1b03039dp-2, -0x1.0ed741a294f87p-2, -0x1.079d8153d8adcp-2, -0x1.00952963e40fp-2, -0x1.f379b913e3592p-3, -0x1.e6268eae6f32fp-3, -0x1.d92e3ff5026a4p-3, -0x1.cc8e4c068a07ep-3, -0x1.c04444488f7c3p-3, -0x1.b44dcbee725acp-3, -0x1.a8a89781f59d9p-3, -0x1.9d526c6bec924p-3, -0x1.9249207e4c063p-3, -0x1.878a99817ff3ap-3, -0x1.7d14ccc21caa5p-3, -0x1.72e5be9fe29e3p-3, -0x1.68fb822023bf1p-3, -0x1.5f54388203cdap-3, -0x1.55ee10d4ab6d6p-3, -0x1.4cc7478f87762p-3, -0x1.43de262cf8cadp-3, -0x1.3b3102c841a97p-3, -0x1.32be3fbd3f041p-3, -0x1.2a844b498e01ep-3, -0x1.22819f318e2f7p-3, -0x1.1ab4c0675589ep-3, -0x1.131c3eb3fb8e5p-3, -0x1.0bb6b46355afdp-3, -0x1.0482c5f1fcbe7p-3, -0x1.fafe437af5657p-4, -0x1.ed54ff6e91c0cp-4, -0x1.e0074234418bdp-4, -0x1.d312a041d48e8p-4, -0x1.c674bf80136f3p-4, -0x1.ba2b56c1fbbbp-4, -0x1.ae342d40d42d5p-4, -0x1.a28d1a1b5de4dp-4, -0x1.973403d94a11dp-4, -0x1.8c26dff2c3094p-4, -0x1.8163b25bb639fp-4, -0x1.76e88d1294f4ep-4, -0x1.6cb38fb3129bdp-4, -0x1.62c2e70ca0017p-4, -0x1.5914ccbbdf4b8p-4, -0x1.4fa786c72cd7dp-4, -0x1.4679673eb2d4bp-4, -0x1.3d88cbdfdee97p-4, -0x1.34d41dbbe3e87p-4, -0x1.2c59d0e02546p-4, -0x1.24186402bab2dp-4, -0x1.1c0e603161f33p-4, -0x1.143a58824bb3ep-4, -0x1.0c9ae9c8b2395p-4, -0x1.052eba4b1f3f2p-4, -0x1.fbe8f2f809f78p-5, -0x1.edd5bf6af2b13p-5, -0x1.e0215bed0d539p-5, -0x1.d2c95b457645ep-5, -0x1.c5cb608762bbap-5, -0x1.b9251e9bb4cc3p-5, -0x1.acd457c9db0a1p-5, -0x1.a0d6dd489f4dp-5, -0x1.952a8ed0500c4p-5, -0x1.89cd5a332771ep-5, -0x1.7ebd3af4f1451p-5, -0x1.73f839e8d31acp-5, -0x1.697c6cd24744fp-5, -0x1.5f47f607d63e5p-5, -0x1.5559041af8e8cp-5, -0x1.4badd17f4051ap-5, -0x1.4244a437384bfp-5, -0x1.391bcd838731fp-5, -0x1.3031a993be117p-5, -0x1.27849f3a05075p-5, -0x1.1f131fa15c5efp-5, -0x1.16dba605eedd8p-5, -0x1.0edcb76f6e8ap-5, -0x1.0714e26e8a843p-5, -0x1.ff057db64c08fp-6, -0x1.f049db294fd76p-6, -0x1.e1f4308bf2882p-6, -0x1.d401e25365cf2p-6, -0x1.c67065a0aa929p-6, -0x1.b93d3fd0d83e7p-6, -0x1.ac66061088698p-6, -0x1.9fe85cf3bc138p-6, -0x1.93c1f80e69c71p-6, -0x1.87f09992ab799p-6, -0x1.7c7211f0875fp-6, -0x1.71443f779037p-6, -0x1.66650dfcfbae8p-6, -0x1.5bd27683dda2fp-6, -0x1.518a7ee7baeeep-6, -0x1.478b3989622abp-6, -0x1.3dd2c4fde2f7dp-6, -0x1.345f4bc0276dfp-6, -0x1.2b2f03e59c085p-6, -0x1.22402ed390a55p-6, -0x1.199118f74d3ebp-6, -0x1.112019800b7a2p-6, -0x1.08eb921a6f06fp-6, -0x1.00f1eeaf9939ep-6, -0x1.f2634a4636e19p-7, -0x1.e3526a2bdf9bep-7, -0x1.d4ae4f4fdb07cp-7, -0x1.c6741e7b08224p-7, -0x1.b8a10e8b6a39ap-7, -0x1.ab326802f1731p-7, -0x1.9e25849a4c537p-7, -0x1.9177ced68b43fp-7, -0x1.8526c1a117688p-7, -0x1.792fe7e2621d2p-7, -0x1.6d90dc1fb6a68p-7, -0x1.624748193bbd4p-7, -0x1.5750e46e202c1p-7, -0x1.4cab7843016a1p-7, -0x1.4254d8e4c704p-7, -0x1.384ae9750d4e2p-7, -0x1.2e8b9a9457155p-7, -0x1.2514ea0fa94b8p-7, -0x1.1be4e2904df89p-7, -0x1.12f99b4d68726p-7, -0x1.0a5137bf6c08p-7, -0x1.01e9e7556f11fp-7, -0x1.f383ca5892c0dp-8, -0x1.e3aeef8f06c1dp-8, -0x1.d451e197f289fp-8, -0x1.c56959783aab5p-8, -0x1.b6f2256bd14e9p-8, -0x1.a8e928651278ap-8, -0x1.9b4b598e96d16p-8, -0x1.8e15c3cfdf6f6p-8, -0x1.81458555e8984p-8, -0x1.74d7cf1c39c27p-8, -0x1.68c9e47c124f6p-8, -0x1.5d191abef7ce9p-8, -0x1.51c2d8aa86cfbp-8, -0x1.46c4961dc3614p-8, -0x1.3c1bdba218c26p-8, -0x1.31c64209f7256p-8, -0x1.27c1720c018efp-8, -0x1.1e0b23e1dd22fp-8, -0x1.14a11ee90fed8p-8, -0x1.0b8139463bb79p-8, -0x1.02a9578a79cacp-8, -0x1.f42ed8b5b60c2p-9, -0x1.e392f03462d2dp-9, -0x1.d37b1129956f8p-9, -0x1.c3e3715b59ff6p-9, -0x1.b4c8601a833e3p-9, -0x1.a62645a396b9ep-9, -0x1.97f9a2841e5bdp-9, -0x1.8a3f0f04a366ap-9, -0x1.7cf33a971dfdap-9, -0x1.7012eb48795ccp-9, -0x1.639afd343630ap-9, -0x1.578861f924268p-9, -0x1.4bd820302948ep-9, -0x1.408752e66cdd1p-9, -0x1.3593291cd9185p-9, -0x1.2af8e54ce089p-9, -0x1.20b5dcf18e60bp-9, -0x1.16c778129e585p-9, -0x1.0d2b30cfd8222p-9, -0x1.03de92ee0d219p-9, -0x1.f5be783578645p-10, -0x1.e455af6170b8ap-10, -0x1.d37e4bea9565cp-10, -0x1.c333e81b4fbbdp-10, -0x1.b3723ec87f94cp-10, -0x1.a43529298c857p-10, -0x1.95789e11f6635p-10, -0x1.8738b1299e26ep-10, -0x1.79719221a3fb8p-10, -0x1.6c1f8bf004702p-10, -0x1.5f3f040219eb8p-10, -0x1.52cc79cacee2fp-10, -0x1.46c485eaf679cp-10, -0x1.3b23d9d9f4225p-10, -0x1.2fe73f2bf119dp-10, -0x1.250b96f6ee551p-10, -0x1.1a8dd9248e7abp-10, -0x1.106b13bf4f2efp-10, -0x1.06a06a4f9e5dbp-10, -0x1.fa562a9eaa8d2p-11, -0x1.e810c365e4324p-11, -0x1.d66b60fb0661bp-11, -0x1.c560ec9fc8b87p-11, -0x1.b4ec75cd799f2p-11, -0x1.a509310b6f475p-11, -0x1.95b276b4c3245p-11, -0x1.86e3c1cef9a07p-11, -0x1.7898af100669ep-11, -0x1.6accfc1c3e5dap-11, -0x1.5d7c86ea63582p-11, -0x1.50a34d294d00ap-11, -0x1.443d6b820d09ap-11, -0x1.38471ca4a46fap-11, -0x1.2cbcb82c3a8dfp-11, -0x1.219ab1808487bp-11, -0x1.16dd96e1a5ba4p-11, -0x1.0c8210bbfae78p-11, -0x1.0284e1406d98cp-11, -0x1.f1c5c8363037bp-12, -0x1.df321c325cb5dp-12, -0x1.cd48d90fce257p-12, -0x1.bc0448913b2c3p-12, -0x1.ab5ee15770038p-12, -0x1.9b534496b5fe3p-12, -0x1.8bdc3c484663ep-12, -0x1.7cf4ba27a0a9ep-12, -0x1.6e97d776de3d8p-12, -0x1.60c0d529f5c4ap-12, -0x1.536b1bed18f84p-12, -0x1.46923b8b67d2cp-12, -0x1.3a31e97e9089cp-12, -0x1.2e45fec6a5f97p-12, -0x1.22ca756fa0c3dp-12, -0x1.17bb665338afap-12, -0x1.0d15079d5b18fp-12, -0x1.02d3ac581917fp-12, -0x1.f1e789aa66996p-13, -0x1.dee3bedbb1b5cp-13, -0x1.cc9551e41ceb2p-13, -0x1.baf5d8bf66603p-13, -0x1.a9ff22fe57c63p-13, -0x1.99ab368a3e1ddp-13, -0x1.89f44c72c29cp-13, -0x1.7ad4ca2b520ecp-13, -0x1.6c4740c574386p-13, -0x1.5e4669d7dfc43p-13, -0x1.50cd2860e734ap-13, -0x1.43d68a1184b98p-13, -0x1.375dc88b88fep-13, -0x1.2b5e497915aa2p-13, -0x1.1fd39d81c07aap-13, -0x1.14b97eb10b0f2p-13, -0x1.0a0bce9ae8865p-13, -0x1.ff8d28085e6cep-14, -0x1.ebcbefe7437p-14, -0x1.d8cc857ad8cf2p-14, -0x1.c687b41635ecep-14, -0x1.b4f680e06214bp-14, -0x1.a4122b9b4896cp-14, -0x1.93d42ecd5650dp-14, -0x1.84363e580c7d2p-14, -0x1.753245ebeea7p-14, -0x1.66c26914fd86p-14, -0x1.58e10491ceb67p-14, -0x1.4b88aea95bd77p-14, -0x1.3eb434bade933p-14, -0x1.325e969c2f717p-14, -0x1.268302009c56p-14, -0x1.1b1ccf57b1485p-14, -0x1.10277f8742ac6p-14, -0x1.059eb9091d1c3p-14, -0x1.f6fc88c5bcb9cp-15, -0x1.e38413e48169bp-15, -0x1.d0cc25c11d3bp-15, -0x1.becd193076d18p-15, -0x1.ad7f97e5535e8p-15, -0x1.9cdc9c1aae1aap-15, -0x1.8cdd6e92f159dp-15, -0x1.7d7ba4555d506p-15, -0x1.6eb11c976cb9fp-15, -0x1.6077fb7802a8cp-15, -0x1.52ca9f447fbdfp-15, -0x1.45a3934dd293ep-15, -0x1.38fd86d20b711p-15, -0x1.2cd34bd5029bcp-15, -0x1.211fdbdfbdcccp-15, -0x1.15de5d3988d0bp-15, -0x1.0b0a2471204cdp-15, -0x1.009eb2e9da95fp-15, -0x1.ed2f6f9227d1ap-16, -0x1.d9e22deb99daep-16, -0x1.c74de23bbdbe2p-16, -0x1.b56b44c5f37bep-16, -0x1.a433694e05597p-16, -0x1.939f9ebce1139p-16, -0x1.83a960df65965p-16, -0x1.744a5e14bca6bp-16, -0x1.657c7e0807ce7p-16, -0x1.5739df73b9585p-16, -0x1.497cc25dc3eaap-16, -0x1.3c3faae3afe5ap-16, -0x1.2f7d215da3bdfp-16, -0x1.232ffc44ee86cp-16, -0x1.1753541714906p-16, -0x1.0be2a07a403ebp-16, -0x1.00d9a3183f17dp-16, -0x1.ec688a6a34b26p-17, -0x1.d7dd10053438ap-17, -0x1.c40929467d393p-17, -0x1.b0e59efebb851p-17, -0x1.9e6ba50d45a02p-17, -0x1.8c94a9da4738p-17, -0x1.7b5a320685124p-17, -0x1.6ab5d4f7642c7p-17, -0x1.5aa14deeb4c4fp-17, -0x1.4b169b1286debp-17, -0x1.3c1020672c8a9p-17, -0x1.2d88c1ce1a851p-17, -0x1.1f7bb2a17164bp-17, -0x1.11e4386cee6e7p-17, -0x1.04bd9801fccfep-17, -0x1.f006897d37b2ep-18, -0x1.d76224d399fe5p-18, -0x1.bf866c7652ebep-18, -0x1.a86c43aa2c7d4p-18, -0x1.920cb3ea18ae1p-18, -0x1.7c60c42e6c8c7p-18, -0x1.67618874777acp-18, -0x1.53084d5dd2e88p-18, -0x1.3f4ec5d0fd679p-18, -0x1.2c2f304374454p-18, -0x1.19a44a26b4802p-18, -0x1.07a8ff245b107p-18, -0x1.ec705591dc4fep-19, -0x1.ca9974b20f895p-19, -0x1.a9c3db35d4c8ap-19, -0x1.89e6b66e0059cp-19, -0x1.6af9add3171d8p-19, -0x1.4cf4db9d1fec8p-19, -0x1.2fd0c822498p-19, -0x1.138648cc44bb4p-19, -0x1.f01cd1b917de5p-20, -0x1.bac4e582f9712p-20, -0x1.86f80a1e62cbcp-20, -0x1.54aa3f282a9bp-20, -0x1.23d036cc91b05p-20, -0x1.e8bdec05d3d99p-21, -0x1.8c973cec7125ep-21, -0x1.3317d90955997p-21, -0x1.b85a65e2c404dp-22, -0x1.0f8b595f2cb09p-22, -0x1.ae7da4827373ep-24, 0x1.9c5daf221ea9cp-25, 0x1.9c2e7d9b28b73p-23, 0x1.6423602295ecap-22, 0x1.f5ce77b598705p-22, 0x1.419a1f6d9fp-21, 0x1.8636f6b103e7ap-21, 0x1.c8c9bc3100279p-21, 0x1.04af391bd5793p-20, 0x1.24009fef1a5b9p-20, 0x1.425f1f27282c5p-20, 0x1.5fd0788a23ae9p-20, 0x1.7c59a3aaac1eep-20, 0x1.97ff0e6c31accp-20, 0x1.b2c63277f22f4p-20, 0x1.ccb27be2714c1p-20, 0x1.e5c94a1c1365fp-20, 0x1.fe0e95700da0ep-20, 0x1.0ac347f857f74p-19, 0x1.161aa73008b73p-19, 0x1.210f6739ed61dp-19, 0x1.2ba36aa5f44f4p-19, 0x1.35d868dfc887fp-19, 0x1.3fb004c8564eep-19, 0x1.492bf2500052p-19, 0x1.524df14c3d0d1p-19, 0x1.5b17b5da75833p-19, 0x1.638acc5459225p-19, 0x1.6ba88819d6e18p-19, 0x1.737248d6075ecp-19, 0x1.7ae991077af29p-19, 0x1.820fcbfc3db05p-19, 0x1.88e64fb3cb4bcp-19, 0x1.8f6e6e3cd2c86p-19, 0x1.95a9704136c92p-19, 0x1.9b98960e04991p-19, 0x1.a13d1ae230667p-19, 0x1.a6983323bd956p-19, 0x1.abab0a42e8fb5p-19, 0x1.b076c86fe9374p-19, 0x1.b4fca0cdadf87p-19, 0x1.b93dd114bbd8ep-19, 0x1.bd3b85485158p-19, 0x1.c0f6d06bceefap-19, 0x1.c470b8d26e55cp-19, 0x1.c7aa4906db3ep-19, 0x1.caa49c4478099p-19, 0x1.cd60c38f7c9bp-19, 0x1.cfdfc8806f849p-19, 0x1.d222b6667fa14p-19, 0x1.d42a932a5c908p-19, 0x1.d5f85f9e25574p-19, 0x1.d78d19fe8b6e8p-19, 0x1.d8e9bf9fa6383p-19, 0x1.da0f4d59a4c22p-19, 0x1.dafebd923a12cp-19, 0x1.dbb9066cc5bd9p-19, 0x1.dc3f1d616dd63p-19, 0x1.dc91fe414f3c4p-19, 0x1.dcb2a742a215ap-19, 0x1.dca20e0d62cb2p-19, 0x1.dc611f5ee6ee1p-19, 0x1.dbf0c60770739p-19, 0x1.db51f5aaff3eap-19, 0x1.da859a7ccb14ap-19, 0x1.d98c9ef838439p-19, 0x1.d867f09bbf66dp-19, 0x1.d718793ff9915p-19, 0x1.d59f20cc7ee0cp-19, 0x1.d3fccd5a5526bp-19, 0x1.d232640d8ff54p-19, 0x1.d040c8eb755ebp-19, 0x1.ce28df42b11ap-19, 0x1.cbeb89a116c52p-19, 0x1.c989a92ca0ae7p-19, 0x1.c7041d061272bp-19, 0x1.c45bc32c03cbfp-19, 0x1.c19178b2f022bp-19, 0x1.bea61844390f6p-19, 0x1.bb9a7d6eea8ccp-19, 0x1.b86f82c6a3dcp-19, 0x1.b525ff5ff08dcp-19, 0x1.b1bec7542d8acp-19, 0x1.ae3aadc6641dcp-19, 0x1.aa9a72fa9e20fp-19, 0x1.a6df1944ea34ep-19, 0x1.a309476e6d3f6p-19, 0x1.9f19f2a8d999dp-19, 0x1.9b11b8c5f3be4p-19, 0x1.96f17d689e723p-19, 0x1.92ba01e9d429ep-19, 0x1.8e6c110f75d59p-19, 0x1.8a08717b5a583p-19, 0x1.858fe7827c0efp-19, 0x1.81033552aece9p-19, 0x1.7c631b3ef95d7p-19, 0x1.77b057e47d115p-19, 0x1.72eba7abf3177p-19, 0x1.6e15c5eaf4101p-19, 0x1.692f6c2e52b21p-19, 0x1.643950dc86919p-19, 0x1.5f3428ad4e6c9p-19, 0x1.5a20a71b80ccbp-19, 0x1.54ff7d386b0f8p-19, 0x1.4fd159bf6c10dp-19, 0x1.4a96e9647cd03p-19, 0x1.4550d70b64f4p-19, 0x1.3fffcb45e9d2cp-19, 0x1.3aa46c6aafde6p-19, 0x1.353f5ea7aebc8p-19, 0x1.2fd1440b6fa59p-19, 0x1.2a5abc86bee4cp-19, 0x1.24dc65e0f920cp-19, 0x1.1f56db971520bp-19, 0x1.19cab6b6dfecp-19, 0x1.14388db35fe64p-19, 0x1.0ea0f262ad866p-19, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.9f2bce5f7fbd1p-4, 0x1.978a3515162a1p-3, 0x1.292afb3b86481p-2, 0x1.7e21ef3621d83p-2, 0x1.c98163a099462p-2, 0x1.0553e6b013b44p-1, 0x1.20ac952010454p-1, 0x1.36d289d9d21b6p-1, 0x1.47e95ad3b4419p-1, 0x1.5428a7fa6ec9ep-1, 0x1.5bd61ae041166p-1, 0x1.5f40becbddf5fp-1, 0x1.5ebd6366edbf1p-1, 0x1.5aa3cf1f05b6p-1, 0x1.534c9461a6f63p-1, 0x1.490f675e1cfe9p-1, 0x1.3c41d9d1cc167p-1, 0x1.2d366849b35d6p-1, 0x1.1c3bc8b5e6b08p-1, 0x1.099c6d8841f91p-1, 0x1.eb3c66577e05dp-2, 0x1.c1045f3bdf4c5p-2, 0x1.95093af6db5aep-2, 0x1.67b9ba011104ep-2, 0x1.397b0ce944a5fp-2, 0x1.0aa914890650cp-2, 0x1.b72d6ee2da12dp-3, 0x1.591c8e1a5f528p-3, 0x1.f747be2d7da5ep-4, 0x1.3e70bcdbd8dbbp-4, 0x1.110297fcf34a7p-5, -0x1.4ea1629280981p-7, -0x1.afec31315a6afp-5, -0x1.8161ccfcc46bp-4, -0x1.12d4d47285e19p-3, -0x1.62399e360a745p-3, -0x1.aebac2cb7071ep-3, -0x1.f83bad675bb5ep-3, -0x1.1f53733e8c7a3p-2, -0x1.40f6a9e609778p-2, -0x1.6102c7ba866e9p-2, -0x1.7f75a01212004p-2, -0x1.9c4f4153d46f7p-2, -0x1.b791b0c07a74dp-2, -0x1.d140ab7153df2p-2, -0x1.e9616db799c41p-2, -0x1.fffa7fb309e63p-2, -0x1.0a89c366fe67ep-1, -0x1.145a8dd6576a6p-1, -0x1.1d7452071647dp-1, -0x1.25dc1812b0d3ep-1, -0x1.2d972d8384f7bp-1, -0x1.34ab16f413d8cp-1, -0x1.3b1d8300537a2p-1, -0x1.40f43e78125bbp-1, -0x1.463529c17d0e4p-1, -0x1.4ae62f5a3f4a7p-1, -0x1.4f0d3b646abep-1, -0x1.52b0342bc13e6p-1, -0x1.55d4f399752ffp-1, -0x1.5881417b4127ap-1, -0x1.5abace998278ap-1, -0x1.5c87308633932p-1, -0x1.5debde164aa7ap-1, -0x1.5eee2c748a195p-1, -0x1.5f934cbf170acp-1, -0x1.5fe04a1ed6262p-1, -0x1.5fda084cce5d7p-1, -0x1.5f8542783f9ccp-1, -0x1.5ee68a828359ap-1, -0x1.5e02488890591p-1, -0x1.5cdcbaafcc3e9p-1, -0x1.5b79f52e9feecp-1, -0x1.59dde2897234dp-1, -0x1.580c43fe80efap-1, -0x1.5608b21582b79p-1, -0x1.53d69d59ec784p-1, -0x1.51794f208dbfap-1, -0x1.4ef3ea77a30b8p-1, -0x1.4c496d196b85bp-1, -0x1.497cb076f1d77p-1, -0x1.46906accb9616p-1, -0x1.4387303d4b252p-1, -0x1.406373f12f252p-1, -0x1.3d278944c2552p-1, -0x1.39d5a4e9208cep-1, -0x1.366fde0c301bdp-1, -0x1.32f82f8673fcap-1, -0x1.2f7078f9f2542p-1, -0x1.2bda7ff256b8bp-1, -0x1.2837f100fc6abp-1, -0x1.248a60d693af6p-1, -0x1.20d34d4ee4abap-1, -0x1.1d141e78e699ap-1, -0x1.194e279871d29p-1, -0x1.1582a8208eafap-1, -0x1.11b2cca4d92bap-1, -0x1.0ddfafc0a1589p-1, -0x1.0a0a5af75ddf4p-1, -0x1.0633c78d678dcp-1, -0x1.025cdf588225cp-1, -0x1.fd0cfb0c56784p-2, -0x1.f562deb75148ap-2, -0x1.edbce9d918d04p-2, -0x1.e61c83911b6c5p-2, -0x1.de82fb49d7b94p-2, -0x1.d6f189f7ba133p-2, -0x1.cf695346e5fddp-2, -0x1.c7eb66c100411p-2, -0x1.c078c0e0cef89p-2, -0x1.b9124c16e8a78p-2, -0x1.b1b8e1c561678p-2, -0x1.aa6d4b2e38c1bp-2, -0x1.a33042543b3b4p-2, -0x1.9c0272d0f6498p-2, -0x1.94e47a9f470b8p-2, -0x1.8dd6eadd02d4ep-2, -0x1.86da4881a0f77p-2, -0x1.7fef0d0989e24p-2, -0x1.7915a71a90454p-2, -0x1.724e7b1f653acp-2, -0x1.6b99e3da8e0cap-2, -0x1.64f832f0ea888p-2, -0x1.5e69b16cd0b0cp-2, -0x1.57eea03ac1b74p-2, -0x1.5187389f99e9ap-2, -0x1.4b33aca7b9cf8p-2, -0x1.44f427900311ap-2, -0x1.3ec8ce29a8afep-2, -0x1.38b1bf38b7414p-2, -0x1.32af13cd21c9bp-2, -0x1.2cc0df977d54cp-2, -0x1.26e73138e6f48p-2, -0x1.2122128eb7bf7p-2, -0x1.1b7188f89fec1p-2, -0x1.15d5959e570d9p-2, -0x1.104e35afa4091p-2, -0x1.0adb629fd8e19p-2, -0x1.057d125f5fbc2p-2, -0x1.0033379377e58p-2, -0x1.f5fb839379c33p-3, -0x1.ebb93b4b358b2p-3, -0x1.e19f6a2851aefp-3, -0x1.d7addee81f287p-3, -0x1.cde4637fe7ce2p-3, -0x1.c442bd6c7dad7p-3, -0x1.bac8adfa5bcd3p-3, -0x1.b175f29207e46p-3, -0x1.a84a44f9aa183p-3, -0x1.9f455b8e6af0bp-3, -0x1.9666e98411508p-3, -0x1.8dae9f259cde9p-3, -0x1.851c2a0660857p-3, -0x1.7caf3530e0522p-3, -0x1.7467695a84ef3p-3, -0x1.6c446d18c95bap-3, -0x1.6445e50a0846dp-3, -0x1.5c6b73fb6bd4cp-3, -0x1.54b4bb0fa9743p-3, -0x1.4d2159ec02fdcp-3, -0x1.45b0eedc41f9p-3, -0x1.3e6316f0b3f5ep-3, -0x1.37376e1b236a4p-3, -0x1.302d8f521ce2ep-3, -0x1.294514b3067eap-3, -0x1.227d979a61185p-3, -0x1.1bd6b0ba44706p-3, -0x1.154ff833a04dcp-3, -0x1.0ee905b322019p-3, -0x1.08a17089c054ep-3, -0x1.0278cfbe4f9d6p-3, -0x1.f8dd743d00939p-4, -0x1.ed058caa43bd9p-4, -0x1.e16915ffa7e07p-4, -0x1.d6073d829281ep-4, -0x1.cadf309d242d2p-4, -0x1.bff01cf9df8c6p-4, -0x1.b53930a49cdcp-4, -0x1.aab99a2da07cfp-4, -0x1.a07088c558ebfp-4, -0x1.965d2c50af5b5p-4, -0x1.8c7eb57d37eebp-4, -0x1.82d455daeb038p-4, -0x1.795d3ff7222b9p-4, -0x1.7018a77210dacp-4, -0x1.6705c10eb75f8p-4, -0x1.5e23c2c2215c5p-4, -0x1.5571e3c5257d6p-4, -0x1.4cef5ca84a68dp-4, -0x1.449b67655889fp-4, -0x1.3c753f6c7e929p-4, -0x1.347c21af219cap-4, -0x1.2caf4cab9d407p-4, -0x1.250e007ad0c2bp-4, -0x1.1d977edde2445p-4, -0x1.164b0b49361f1p-4, -0x1.0f27eaec89e4bp-4, -0x1.082d64ba3d24ep-4, -0x1.015ac1700cddap-4, -0x1.f55e973fa7b0bp-5, -0x1.e8549f714a343p-5, -0x1.db96381a1609p-5, -0x1.cf2201b06b92ap-5, -0x1.c2f6a084ac771p-5, -0x1.b712bccb95b4bp-5, -0x1.ab7502a92f419p-5, -0x1.a01c223aac0a8p-5, -0x1.9506cf9dad716p-5, -0x1.8a33c2f532c61p-5, -0x1.7fa1b86db928p-5, -0x1.754f70418b9c8p-5, -0x1.6b3baebe02657p-5, -0x1.61653c482ccf7p-5, -0x1.57cae55efc0d9p-5, -0x1.4e6b7a9c8aca7p-5, -0x1.4545d0b627b61p-5, -0x1.3c58c07c64a72p-5, -0x1.33a326db7e0c5p-5, -0x1.2b23e4db9066ep-5, -0x1.22d9df9fceafcp-5, -0x1.1ac4006451da9p-5, -0x1.12e1347aef986p-5, -0x1.0b306d47d05c9p-5, -0x1.03b0a03e4eeb3p-5, -0x1.f8c18dbbd952ap-6, -0x1.ea7fbd5d86ca1p-6, -0x1.dc99d279cefacp-6, -0x1.cf0dd825abb96p-6, -0x1.c1d9e166f2e6bp-6, -0x1.b4fc0928bac3bp-6, -0x1.a872722fe228bp-6, -0x1.9c3b470fcc1b4p-6, -0x1.9054ba1dc2958p-6, -0x1.84bd0560ae952p-6, -0x1.79726a828d99dp-6, -0x1.6e7332bfbebe8p-6, -0x1.63bdaed9c18b3p-6, -0x1.595037095672p-6, -0x1.4f292aef17589p-6, -0x1.4546f180e4c7p-6, -0x1.3ba7f8f4a2e2p-6, -0x1.324ab6ab4ad6dp-6, -0x1.292da71f80febp-6, -0x1.204f4dd8713ecp-6, -0x1.17ae355e58a7cp-6, -0x1.0f48ef2b8b114p-6, -0x1.071e1395fd455p-6, -0x1.fe588363aa6cdp-7, -0x1.eee43e65af2c5p-7, -0x1.dfdcb0a8eed66p-7, -0x1.d13f3f9ab26e8p-7, -0x1.c3095d97a927ep-7, -0x1.b53889e42ad06p-7, -0x1.a7ca508d33679p-7, -0x1.9abc4a26e23fbp-7, -0x1.8e0c1b71b36aap-7, -0x1.81b775023f23p-7, -0x1.75bc130a1e45dp-7, -0x1.6a17bd50c8f4cp-7, -0x1.5ec8474f24599p-7, -0x1.53cb9048dc0ep-7, -0x1.491f833a858bdp-7, -0x1.3ec21699ad73ap-7, -0x1.34b14b726da8ap-7, -0x1.2aeb2da158026p-7, -0x1.216dd2c0447dfp-7, -0x1.18375a82b78dcp-7, -0x1.0f45eee6a998ap-7, -0x1.0697c48672213p-7, -0x1.fc56356ea88b1p-8, -0x1.ebfc768f28a5bp-8, -0x1.dc1ef3c15db09p-8, -0x1.ccba6688e3ab7p-8, -0x1.bdcb996f40fp-8, -0x1.af4f67a6c934cp-8, -0x1.a142bd9d5a12dp-8, -0x1.93a29a0d5759dp-8, -0x1.866c0ee41b6e6p-8, -0x1.799c41586e62bp-8, -0x1.6d3068f2540e1p-8, -0x1.6125cdcfd0239p-8, -0x1.5579c6d964bc4p-8, -0x1.4a29b8a9699ap-8, -0x1.3f3315947407cp-8, -0x1.34935eb1fbap-8, -0x1.2a4825411019cp-8, -0x1.204f0b920da25p-8, -0x1.16a5c4d7af3bp-8, -0x1.0d4a13cc1a2b6p-8, -0x1.0439c8b042b6p-8, -0x1.f6e57f0821b3cp-9, -0x1.e5e5be7e70654p-9, -0x1.d57034aaa5401p-9, -0x1.c580e0526801bp-9, -0x1.b613dd2b5d60fp-9, -0x1.a725653cca6ap-9, -0x1.98b1cf7976f7ep-9, -0x1.8ab58bd7855ecp-9, -0x1.7d2d1e7b47e71p-9, -0x1.70151c2315c7dp-9, -0x1.636a298c429d3p-9, -0x1.5728fe300e24fp-9, -0x1.4b4e691402678p-9, -0x1.3fd7554e1faap-9, -0x1.34c0cbc6db21cp-9, -0x1.2a07f0d7f28e8p-9, -0x1.1fa9fe315ec8p-9, -0x1.15a43b30d6181p-9, -0x1.0bf3f6c95f819p-9, -0x1.029685b49771dp-9, -0x1.f3128c0b75173p-10, -0x1.e1934ded638fap-10, -0x1.d0aa63badbad3p-10, -0x1.c05320f869ef9p-10, -0x1.b0891b5ba2cc5p-10, -0x1.a1481f0ec6f1dp-10, -0x1.928c1937e5296p-10, -0x1.8451002823dc8p-10, -0x1.7692c1e583872p-10, -0x1.694d3fccd5732p-10, -0x1.5c7c597530535p-10, -0x1.501c0376ca182p-10, -0x1.4428622702b4bp-10, -0x1.389dde67adc9bp-10, -0x1.2d792c74b0c22p-10, -0x1.22b741beb11fep-10, -0x1.18553cbf8f8c4p-10, -0x1.0e50471eef5fdp-10, -0x1.04a57bbafa88cp-10, -0x1.f6a3b19a60849p-11, -0x1.e4a484c54c9f5p-11, -0x1.d34728f16d10cp-11, -0x1.c2857e1e99374p-11, -0x1.b259c57b7d5a4p-11, -0x1.a2bec75f24d09p-11, -0x1.93afd9334d274p-11, -0x1.8528c38cc40d2p-11, -0x1.772593fe5f3bfp-11, -0x1.69a269ff9db9cp-11, -0x1.5c9b4bbc6150fp-11, -0x1.500c0beafa95ap-11, -0x1.43f0476cd4412p-11, -0x1.38437d80f8564p-11, -0x1.2d013c4e3fd0dp-11, -0x1.222550743cfa1p-11, -0x1.17abe2e75722ap-11, -0x1.0d917b0dc0ff9p-11, -0x1.03d2ed02d3419p-11, -0x1.f4da8975b04ap-12, -0x1.e2bb6d4e65026p-12, -0x1.d1432104a96d9p-12, -0x1.c06c45ecee8c8p-12, -0x1.b031537d836efp-12, -0x1.a08c87120380fp-12, -0x1.9178092e387e4p-12, -0x1.82ee32e7dd686p-12, -0x1.74e9bd799efbep-12, -0x1.6765b57fd126ep-12, -0x1.5a5d44190eaep-12, -0x1.4dcb8cd09813cp-12, -0x1.41abccef436ecp-12, -0x1.35f9a38b63af2p-12, -0x1.2ab13a3038092p-12, -0x1.1fcf22edf42b8p-12, -0x1.15500c36ca807p-12, -0x1.0b309253350b1p-12, -0x1.016d5194edcc7p-12, -0x1.f0062ff3ee6edp-13, -0x1.ddddeac6cc016p-13, -0x1.cc5c107b47871p-13, -0x1.bb7a4f657f96ep-13, -0x1.ab3174d0da771p-13, -0x1.9b79db27be00ap-13, -0x1.8c4c54a8caf84p-13, -0x1.7da2d75b060c1p-13, -0x1.6f7872b074b3cp-13, -0x1.61c8d11113472p-13, -0x1.548fe15c95da5p-13, -0x1.47c9e5201bdf1p-13, -0x1.3b7399c227e11p-13, -0x1.2f8a227119a53p-13, -0x1.240a9e01bce29p-13, -0x1.18f1967eadaf3p-13, -0x1.0e3ab826fdc6ep-13, -0x1.03e1062d86207p-13, -0x1.f3bf108de292bp-14, -0x1.e063ca0a601dap-14, -0x1.cda8e3d83ba2dp-14, -0x1.bb878d7f7b4c2p-14, -0x1.a9f8efa51ceb8p-14, -0x1.98f6cd7cf9f63p-14, -0x1.887c99b8f0ae2p-14, -0x1.7887ac1f0f19p-14, -0x1.69163122813b4p-14, -0x1.5a25917651fa8p-14, -0x1.4bb17ea0e016cp-14, -0x1.3db43450ec1ffp-14, -0x1.3027815dce9d4p-14, -0x1.2305db077f23p-14, -0x1.164aee0c1be1bp-14, -0x1.09f35c02ce20dp-14, -0x1.fbf792d7831ccp-15, -0x1.e4c00201977c3p-15, -0x1.ce361f294e328p-15, -0x1.b850b83676794p-15, -0x1.a309cf43ebdedp-15, -0x1.8e5f248345ba2p-15, -0x1.7a4fb00d4c722p-15, -0x1.66d87393f068p-15, -0x1.53f3c283e268ap-15, -0x1.419aa99bd50d6p-15, -0x1.2fc67d8564d8dp-15, -0x1.1e71bbc41d21bp-15, -0x1.0d982839fa2b2p-15, -0x1.fa6cf7aaf27a7p-16, -0x1.da93edc09d41cp-16, -0x1.bb9f239a3f4ddp-16, -0x1.9d862c2062be4p-16, -0x1.803ea664d9baap-16, -0x1.63bf7e9e013e5p-16, -0x1.48027bd661acfp-16, -0x1.2d022508c732ep-16, -0x1.12b8e2a8aa362p-16, -0x1.f2446f16a566dp-17, -0x1.c0753dc2560dcp-17, -0x1.8ffbfde272833p-17, -0x1.60cdb6dbf8d8bp-17, -0x1.32dd8a76ffcc3p-17, -0x1.061efaf58a0b4p-17, -0x1.b5145ba6cab0ap-18, -0x1.6039efe27d52dp-18, -0x1.0da6faeeccfp-18, -0x1.7a8db269f0e8fp-19, -0x1.bc1dbc80e415cp-20, -0x1.171d0a7d0b758p-21, 0x1.396d01b488d48p-21, 0x1.bd0f0f318c247p-20, 0x1.6af31387343e5p-19, 0x1.f3bf5ffab8faap-19, 0x1.3c79186c45ca2p-18, 0x1.7d4235ad4a19dp-18, 0x1.bc3d1c25674dap-18, 0x1.f978283fcbcbcp-18, 0x1.1a85393a7db41p-17, 0x1.3781353797bbbp-17, 0x1.53ad910210cf2p-17, 0x1.6f097d68e50ecp-17, 0x1.899d67aa2b65p-17, 0x1.a3702898311c4p-17, 0x1.bc81a33d4116cp-17, 0x1.d4d3bd9dd61f3p-17, 0x1.ec6b1356a8e9cp-17, 0x1.01a5be44d649fp-16, 0x1.0cbc1ecdccb7bp-16, 0x1.177aab56025e4p-16, 0x1.21e37cf1d2188p-16, 0x1.2bf7b289e9404p-16, 0x1.35b72c2b59803p-16, 0x1.3f226e16b7b1ap-16, 0x1.483cdeaffbc42p-16, 0x1.510970e5d06c3p-16, 0x1.5986902f8cf23p-16, 0x1.61b42110fb8a9p-16, 0x1.69953e7b3377ep-16, 0x1.712addb911befp-16, 0x1.78757eac3cfe3p-16, 0x1.7f76e9c276568p-16, 0x1.8630925bdddb1p-16, 0x1.8ca347a3ac79bp-16, 0x1.92cfa1849ea12p-16, 0x1.98b623aa7345ep-16, 0x1.9e57455169a5fp-16, 0x1.a3b3c6a19013p-16, 0x1.a8cd3b620982cp-16, 0x1.ada5527ca812ep-16, 0x1.b23c808543a01p-16, 0x1.b693c15d2cd16p-16, 0x1.baac73032a843p-16, 0x1.be86c92d9c4adp-16, 0x1.c223a88668af8p-16, 0x1.c5836a6b109e8p-16, 0x1.c8a6d0fcf25dfp-16, 0x1.cb8f86375ead6p-16, 0x1.ce3ea2b1f682p-16, 0x1.d0b4cbe7c56b3p-16, 0x1.d2f2a382b3c0ap-16, 0x1.d4f8e4642eab2p-16, 0x1.d6c85b5d3a09p-16, 0x1.d861cfdead559p-16, 0x1.d9c5ecf2c2214p-16, 0x1.daf54cc3a313ap-16, 0x1.dbf09dd69b2f4p-16, 0x1.dcb8a5d227598p-16, 0x1.dd4e9db378515p-16, 0x1.ddb3cf28709cep-16, 0x1.dde8956cf2a45p-16, 0x1.ddee3453d990bp-16, 0x1.ddc4b86cf0fbap-16, 0x1.dd6c7a92c2dc7p-16, 0x1.dce6ef9bb923cp-16, 0x1.dc351e12d77d2p-16, 0x1.db57b70a56098p-16, 0x1.da4f6681f6301p-16, 0x1.d91ce40ffd4c5p-16, 0x1.d7c0f09dc45b6p-16, 0x1.d63c54586fef9p-16, 0x1.d48fdbc3e9e2fp-16, 0x1.d2bc5105c6a2dp-16, 0x1.d0c27896dc65ep-16, 0x1.cea31ad014b3p-16, 0x1.cc5ee1fd5027fp-16, 0x1.c9f63ad350272p-16, 0x1.c76a277169ebap-16, 0x1.c4bbcd392aa18p-16, 0x1.c1ebf8c899a3bp-16, 0x1.befb05483777bp-16, 0x1.bbe9e90ac602cp-16, 0x1.b8b93fc6da3c8p-16, 0x1.b569cc5708509p-16, 0x1.b1fc77589434bp-16, 0x1.ae71f4021a687p-16, 0x1.aacb00500d505p-16, 0x1.a7084dd5cf8f9p-16, 0x1.a32a98db3b021p-16, 0x1.9f329dc8192b2p-16, 0x1.9b211aedc3e34p-16, 0x1.96f6cc72ca0d5p-16, 0x1.92b46a3518b85p-16, 0x1.8e5aaeb3195a1p-16, 0x1.89ea4f29fb086p-16, 0x1.8563d983a3f84p-16, 0x1.80c824bcbfa88p-16, 0x1.7c1813c5946f3p-16, 0x1.7754124f8b41cp-16, 0x1.727cbd5b3d04ep-16, 0x1.6d930a9a1ab05p-16, 0x1.6897afb4eaa56p-16, 0x1.638b36025abaap-16, 0x1.5e6e356718b0dp-16, 0x1.5941754d308b1p-16, 0x1.5405a1dd5ffefp-16, 0x1.4ebb5c99a14d1p-16, 0x1.4963480de817fp-16, 0x1.43fe07a2eda96p-16, 0x1.3e8c3ebd50b18p-16, 0x1.390e8fdd8b091p-16, 0x1.33859b2567c21p-16, 0x1.2df1fd4f93ed8p-16, 0x1.285452b9e3b16p-16, 0x1.22ad37cbe6f42p-16, }}, 
      {{-0x1.ea0f8bb2c9da6p+1, -0x1.e00baf0e89d24p+1, -0x1.d1acda29196f4p+1, -0x1.c061b4105ea78p+1, -0x1.ad4625e8a84a4p+1, -0x1.99341cb98a918p+1, -0x1.84d126d6a86bep+1, -0x1.70996435c54abp+1, -0x1.5ce841717818ap+1, -0x1.49ff69b4340e8p+1, -0x1.380c4ba1c6a2cp+1, -0x1.272c7cb39d5aap+1, -0x1.17713779f98d8p+1, -0x1.08e224926d479p+1, -0x1.f6ff27d477a61p+0, -0x1.de8887906ffa2p+0, -0x1.c84d997e078f6p+0, -0x1.b435896a7a619p+0, -0x1.a2234eaebf4d4p+0, -0x1.91f71e922785bp+0, -0x1.838f923170657p+0, -0x1.76ca8e4f89a79p+0, -0x1.6b85f89f693c3p+0, -0x1.61a043dce5dccp+0, -0x1.58f8da4a9ff29p+0, -0x1.51706cc78f026p+0, -0x1.4ae92b8f9c0dcp+0, -0x1.4546ecd31bb3p+0, -0x1.406f44a4f4154p+0, -0x1.3c49912493617p+0, -0x1.38befd438e37p+0, -0x1.35ba7c1e0dbf7p+0, -0x1.3328be9c5f02ep+0, -0x1.30f824c14e096p+0, -0x1.2f18abd1b61f3p+0, -0x1.2d7bda0db211cp+0, -0x1.2c14a8d6086efp+0, -0x1.2ad76e5c7296cp+0, -0x1.29b9c6704b949p+0, -0x1.28b27b4d4da26p+0, -0x1.27b96f3a0aa78p+0, -0x1.26c78648017dcp+0, -0x1.25d6910d27f33p+0, -0x1.24e13872efd8p+0, -0x1.23e2ea83d34ecp+0, -0x1.22d7c86f4c501p+0, -0x1.21bc95b4311b7p+0, -0x1.208ea870a046dp+0, -0x1.1f4bdad21abc7p+0, -0x1.1df27d9707886p+0, -0x1.1c814b900f5b4p+0, -0x1.1af75e0e413a6p+0, -0x1.195422303fb96p+0, -0x1.17974f032f6cfp+0, -0x1.15c0dc6ea3957p+0, -0x1.13d0fae1a4d45p+0, -0x1.11c80bb6b5ac3p+0, -0x1.0fa69a43c1288p+0, -0x1.0d6d558bc4ba2p+0, -0x1.0b1d0a87b095bp+0, -0x1.08b69efe41b6fp+0, -0x1.063b0ce11c3c6p+0, -0x1.03ab5e26be5e5p+0, -0x1.0108a9180ba6fp+0, -0x1.fca81a10788e8p-1, -0x1.f71d5edcdad7fp-1, -0x1.f17372af1e111p-1, -0x1.ebacaa524d8b2p-1, -0x1.e5cb595a3a055p-1, -0x1.dfd1cebf2e3f1p-1, -0x1.d9c251f324818p-1, -0x1.d39f206340a59p-1, -0x1.cd6a6b5bb3ep-1, -0x1.c72656445176ap-1, -0x1.c0d4f52dfae8ep-1, -0x1.ba784ba3841a6p-1, -0x1.b4124bc405d6dp-1, -0x1.ada4d58366e9ap-1, -0x1.a731b631439bp-1, -0x1.a0baa81992fd7p-1, -0x1.9a415255a8bb8p-1, -0x1.93c748bc802dbp-1, -0x1.8d4e0bec8775ep-1, -0x1.86d7096ded137p-1, -0x1.80639bf5395b1p-1, -0x1.79f50ba78bb92p-1, -0x1.738c8e760f097p-1, -0x1.6d2b488e96c8bp-1, -0x1.66d24cc88e6f3p-1, -0x1.60829d2031c4ep-1, -0x1.5a3d2b39a7086p-1, -0x1.5402d8ecc33dfp-1, -0x1.4dd478cbe38dp-1, -0x1.47b2ceb0acafep-1, -0x1.419e904baf758p-1, -0x1.3b9865b4c5faep-1, -0x1.35a0e9f9fbf06p-1, -0x1.2fb8abaaff906p-1, -0x1.29e02d63ed005p-1, -0x1.2417e65818275p-1, -0x1.1e6042d92019bp-1, -0x1.18b9a4d9198edp-1, -0x1.1324646c62b2p-1, -0x1.0da0d04495512p-1, -0x1.082f2e2893bfdp-1, -0x1.02cfbb6c0428p-1, -0x1.fb055abf24f2ep-2, -0x1.f090637a0a5dfp-2, -0x1.e640de236f7ap-2, -0x1.dc170a474c3d3p-2, -0x1.d2131aa1816dcp-2, -0x1.c83535d99c33bp-2, -0x1.be7d77378d26p-2, -0x1.b4ebef4cc8dc8p-2, -0x1.ab80a496f0a3bp-2, -0x1.a23b941be72e7p-2, -0x1.991cb1ffd767fp-2, -0x1.9023ea1366a48p-2, -0x1.87512058fe6f9p-2, -0x1.7ea431869bbeep-2, -0x1.761cf38148257p-2, -0x1.6dbb35d20ed92p-2, -0x1.657ec21450833p-2, -0x1.5d675c5f29445p-2, -0x1.5574c3a9d35ecp-2, -0x1.4da6b22b57033p-2, -0x1.45fcddb554abep-2, -0x1.3e76f809007d4p-2, -0x1.3714af27f7f6p-2, -0x1.2fd5ada23eddfp-2, -0x1.28b99adfb1ccfp-2, -0x1.21c01b65374d1p-2, -0x1.1ae8d11564d2dp-2, -0x1.14335b708f7e2p-2, -0x1.0d9f57cc77f96p-2, -0x1.072c618edc4bp-2, -0x1.00da126198638p-2, -0x1.f55004c7b8a21p-3, -0x1.e92b90b1f1fp-3, -0x1.dd45f3aab0cc8p-3, -0x1.d19e56d240ea1p-3, -0x1.c633e18765d0ep-3, -0x1.bb05b9c4bf886p-3, -0x1.b01304534db97p-3, -0x1.a55ae5137d0ecp-3, -0x1.9adc7f42da141p-3, -0x1.9096f5adc3e1dp-3, -0x1.86896aebaeb39p-3, -0x1.7cb3019521351p-3, -0x1.7312dc6ee9986p-3, -0x1.69a81e9914f74p-3, -0x1.6071ebc17ec66p-3, -0x1.576f6846742cep-3, -0x1.4e9fb95b430f5p-3, -0x1.4602052ceb689p-3, -0x1.3d957307d5e19p-3, -0x1.35592b72811a7p-3, -0x1.2d4c584bf05dbp-3, -0x1.256e24e367164p-3, -0x1.1dbdbe16814f2p-3, -0x1.163a52668931dp-3, -0x1.0ee3120eacd19p-3, -0x1.07b72f14ef85fp-3, -0x1.00b5dd5e39f5p-3, -0x1.f3bca5859076p-4, -0x1.e65f8e3553dfp-4, -0x1.d952e8981e28ap-4, -0x1.cc952cae65239p-4, -0x1.c024d6c8bfcc5p-4, -0x1.b40067a08917cp-4, -0x1.a826646766066p-4, -0x1.9c9556d440ce4p-4, -0x1.914bcd380ecbfp-4, -0x1.86485a8a976d2p-4, -0x1.7b899679545e8p-4, -0x1.710e1d6f549a2p-4, -0x1.66d4909cf3d47p-4, -0x1.5cdb95fdd8865p-4, -0x1.5321d8622a82ap-4, -0x1.49a60775162c5p-4, -0x1.4066d7be27e87p-4, -0x1.376302a0608f2p-4, -0x1.2e99465ca4e32p-4, -0x1.260866156e17fp-4, -0x1.1daf29cd872dep-4, -0x1.158c5e64ae93bp-4, -0x1.0d9ed59437c7fp-4, -0x1.05e565eb13ed7p-4, -0x1.fcbdd595b99a4p-5, -0x1.ee1488c7bfc1fp-5, -0x1.dfccaf5e3cb55p-5, -0x1.d1e41cce14585p-5, -0x1.c458adffff5f5p-5, -0x1.b728494165a37p-5, -0x1.aa50de371b322p-5, -0x1.9dd065ccfa1a2p-5, -0x1.91a4e222567f5p-5, -0x1.85cc5e75024dfp-5, -0x1.7a44ef10214aap-5, -0x1.6f0cb1346010dp-5, -0x1.6421cb07bbf73p-5, -0x1.59826b7cae4cap-5, -0x1.4f2cca3d21445p-5, -0x1.451f279184ae7p-5, -0x1.3b57cc49c8effp-5, -0x1.31d509a5b8222p-5, -0x1.2895393d1ac4dp-5, -0x1.1f96bce7192a9p-5, -0x1.16d7fea0c429p-5, -0x1.0e5770730f498p-5, -0x1.06138c592cca6p-5, -0x1.fc15a84d5ae9fp-6, -0x1.ec77a2db39e04p-6, -0x1.dd4a2ac96a94dp-6, -0x1.ce8a719857fafp-6, -0x1.c035b7a634ea8p-6, -0x1.b2494bf91eaa1p-6, -0x1.a4c28c0996077p-6, -0x1.979ee38d61fd2p-6, -0x1.8adbcc421845dp-6, -0x1.7e76cdb71c038p-6, -0x1.726d7d1741a01p-6, -0x1.66bd7cf2b63b9p-6, -0x1.5b647d09856f1p-6, -0x1.50603a16ac805p-6, -0x1.45ae7d9b2036cp-6, -0x1.3b4d1da85623p-6, -0x1.3139fcaafba3bp-6, -0x1.2773093612f32p-6, -0x1.1df63dcee4049p-6, -0x1.14c1a0b749471p-6, -0x1.0bd343bbfdae8p-6, -0x1.0329440440066p-6, -0x1.f58393ac55a13p-7, -0x1.e53610d9b97c8p-7, -0x1.d5667b7b5b06ep-7, -0x1.c6116498d6467p-7, -0x1.b73371f29a63ep-7, -0x1.a8c95da101de7p-7, -0x1.9acff5b16d476p-7, -0x1.8d441bc1f5b45p-7, -0x1.8022c49f3496p-7, -0x1.7368f7e72b3c2p-7, -0x1.6713cfb142fb8p-7, -0x1.5b207838dbc2bp-7, -0x1.4f8c2f85a0b19p-7, -0x1.4454450e0cd0cp-7, -0x1.39761954ca9f3p-7, -0x1.2eef1d86c073ap-7, -0x1.24bcd320db931p-7, -0x1.1adccba1e111ap-7, -0x1.114ca8457a86dp-7, -0x1.080a19bfc18fap-7, -0x1.fe25bfdda77d7p-8, -0x1.ecc992fbba9e6p-8, -0x1.dbfb66fc97975p-8, -0x1.cbb7120814007p-8, -0x1.bbf885a51c6bcp-8, -0x1.acbbce41fc45ep-8, -0x1.9dfd12dca6e36p-8, -0x1.8fb894a946ebdp-8, -0x1.81eaae926d2a9p-8, -0x1.748fd4541d05dp-8, -0x1.67a492880f812p-8, -0x1.5b258bf4d198ap-8, -0x1.4f0f7ab59b098p-8, -0x1.435f2ef5a0baep-8, -0x1.38118ef71bee2p-8, -0x1.2d2396fc51f37p-8, -0x1.2292590198001p-8, -0x1.185afc2530e52p-8, -0x1.0e7abbc5ddf76p-8, -0x1.04eee66edcf53p-8, -0x1.f769ba7e31446p-9, -0x1.e594265d3f68ep-9, -0x1.d4581a81c096dp-9, -0x1.c3b0c5074f078p-9, -0x1.b39978525d779p-9, -0x1.a40daa7f1d766p-9, -0x1.9508f3e5e1598p-9, -0x1.86870d1120cdfp-9, -0x1.7883ccb93ea7fp-9, -0x1.6afb26670a1f7p-9, -0x1.5de92a0d42883p-9, -0x1.514a04703a05fp-9, -0x1.4519ffc9379aep-9, -0x1.395583f2ec505p-9, -0x1.2df915a7c054ap-9, -0x1.230154d20ce22p-9, -0x1.186afa6c55fb4p-9, -0x1.0e32d6adb0bd5p-9, -0x1.0455d01e8dafbp-9, -0x1.f5a1c783c2ff4p-10, -0x1.e3424be586327p-10, -0x1.d187866fea5f8p-10, -0x1.c06c0099bf481p-10, -0x1.afea71f89d865p-10, -0x1.9ffdbc01eea43p-10, -0x1.90a0e5481cf85p-10, -0x1.81cf160a4385bp-10, -0x1.7383976ae96cfp-10, -0x1.65b9d57285939p-10, -0x1.586d629fe4347p-10, -0x1.4b99fafb6a561p-10, -0x1.3f3b84a6cf129p-10, -0x1.334e0ce88aea3p-10, -0x1.27cdc238728d8p-10, -0x1.1cb6ed3e64ac4p-10, -0x1.1205eb638b047p-10, -0x1.07b72d228907p-10, -0x1.fb8e71ad3bf9ep-11, -0x1.e86561d59b48bp-11, -0x1.d5ecb58972bdp-11, -0x1.c41e469810033p-11, -0x1.b2f43d6411872p-11, -0x1.a26905cdb31ep-11, -0x1.92773c8083f3bp-11, -0x1.83199ad2f9877p-11, -0x1.744ae83c64a8ap-11, -0x1.6605f6a21c541p-11, -0x1.5845aaf0d741fp-11, -0x1.4b050f13bb48ep-11, -0x1.3e3f66146834p-11, -0x1.31f03bf54459ap-11, -0x1.26136b276ea61p-11, -0x1.1aa51058b40a1p-11, -0x1.0fa1796a02f7ap-11, -0x1.05050b82c7597p-11, -0x1.f5985e27a5a1ep-12, -0x1.e1e68967c7e92p-12, -0x1.ceed4dfc1b4e1p-12, -0x1.bca570f808216p-12, -0x1.ab07f2040fafbp-12, -0x1.9a0e362bcf7acp-12, -0x1.89b22352c0dcfp-12, -0x1.79ee22e363b11p-12, -0x1.6abd0c6bcc02fp-12, -0x1.5c1a0145b4d64p-12, -0x1.4e0044e8d1e28p-12, -0x1.406b1b90871cep-12, -0x1.3355b5fca63f1p-12, -0x1.26bb2f6a8659fp-12, -0x1.1a969f990bbap-12, -0x1.0ee33bccff614p-12, -0x1.039c799137c47p-12, -0x1.f17c47908e8b1p-13, -0x1.dc88b63fb2ea6p-13, -0x1.c8571055c4948p-13, -0x1.b4e096ec99854p-13, -0x1.a21ee32288e97p-13, -0x1.900bcdc7946a4p-13, -0x1.7ea14c7edd455p-13, -0x1.6dd94d9aa69a8p-13, -0x1.5dadac1cd3718p-13, -0x1.4e184aec428b3p-13, -0x1.3f134684b2f7p-13, -0x1.309915f8f7e9ap-13, -0x1.22a480968534cp-13, -0x1.15307670cf89cp-13, -0x1.0837f8bfefe25p-13, -0x1.f76c6090d50e9p-14, -0x1.df4d3d678fc57p-14, -0x1.c80a6fe22a2a1p-14, -0x1.b19c8e69b519ap-14, -0x1.9bfc70861d9cap-14, -0x1.8722ee9507b9p-14, -0x1.7308fc490b60cp-14, -0x1.5fa7ec9526d1fp-14, -0x1.4cf9856cbaf5bp-14, -0x1.3af7b7372a869p-14, -0x1.299c28684b62cp-14, -0x1.18e00128a7fefp-14, -0x1.08bc39c16d37ep-14, -0x1.f254719eb23bbp-15, -0x1.d44882ca7850dp-15, -0x1.b74ac9d29f7a5p-15, -0x1.9b52545285d65p-15, -0x1.8056aa8ff2b83p-15, -0x1.664fe4f47bbfbp-15, -0x1.4d36e39888649p-15, -0x1.35052b657d00ep-15, -0x1.1db432f3c7b47p-15, -0x1.073d04c36c301p-15, -0x1.e32e9d8bd7a8bp-16, -0x1.b97484c19d692p-16, -0x1.913a425c529c7p-16, -0x1.6a704eed4a2e9p-16, -0x1.450917c698bddp-16, -0x1.20f7d357b4a2ep-16, -0x1.fc5f92d3de539p-17, -0x1.b94a5e12b0a6dp-17, -0x1.789d2795c7b9fp-17, -0x1.3a4a42ecd80b4p-17, -0x1.fc8cbf257343p-18, -0x1.8908b60ccd5cap-18, -0x1.19e5a537bc51bp-18, -0x1.5df373b553a6ep-19, -0x1.20661dfed6ac3p-20, 0x1.ae271f6c5b9fp-22, 0x1.e86b91852d857p-20, 0x1.ab5684bd55c7fp-19, 0x1.2daeac1f38d72p-18, 0x1.82445968be3cdp-18, 0x1.d38ef9ee6316bp-18, 0x1.10d78f843b58ep-17, 0x1.365e7b088261dp-17, 0x1.5a6383440e9a3p-17, 0x1.7cec4be0c9abep-17, 0x1.9e00cfbdaa359p-17, 0x1.bdac41f6ae586p-17, 0x1.dbfb50f8c2c93p-17, 0x1.f8fa39dcbf49ap-17, 0x1.0a59d725b4d63p-16, 0x1.179855d8f6106p-16, 0x1.243c708f0a3c6p-16, 0x1.3049a0d9d4178p-16, 0x1.3bc388014160ap-16, 0x1.46ae7c07b47eap-16, 0x1.510f603d4a568p-16, 0x1.5aeaa4371b587p-16, 0x1.6443cf57798b7p-16, 0x1.6d1e273f0b6b6p-16, 0x1.757cf12c68075p-16, 0x1.7d6313ce6551cp-16, 0x1.84d325ead5e74p-16, 0x1.8bcfe8d6e04d4p-16, 0x1.925c84a5939abp-16, 0x1.987c62e4232bp-16, 0x1.9e32d4830266ap-16, 0x1.a3826fa5bc8d1p-16, 0x1.a86ced353799cp-16, 0x1.acf4484090c4bp-16, 0x1.b11b6e1639ab2p-16, 0x1.b4e511bb48756p-16, 0x1.b852ebb4843c2p-16, 0x1.bb66fa713fed6p-16, 0x1.be24479073fccp-16, 0x1.c08e15a923f14p-16, 0x1.c2a6e591a2ab5p-16, 0x1.c4702f5b752f8p-16, 0x1.c5eaef779aa9ep-16, 0x1.c7188a2a1056ep-16, 0x1.c7fb480155ab6p-16, 0x1.c89611a5c6993p-16, 0x1.c8eb26cf673edp-16, 0x1.c8fb5302d3c87p-16, 0x1.c8c79bbb163b4p-16, 0x1.c852a4f05e632p-16, 0x1.c79e2d9439697p-16, 0x1.c6ab9d9cbeb03p-16, 0x1.c57c41a4e856p-16, 0x1.c411e2a19c7fp-16, 0x1.c26e294b9e3cfp-16, 0x1.c092a67e9e769p-16, 0x1.be8102db3b23ep-16, 0x1.bc3aeadbfac5p-16, 0x1.b9c1be71ddc2ep-16, 0x1.b7167d6f934cbp-16, 0x1.b43a5531cd03ap-16, 0x1.b12f487024deap-16, 0x1.adf73532e2fbfp-16, 0x1.aa92a1f81b649p-16, 0x1.a702800e4e033p-16, 0x1.a348b092055fp-16, 0x1.9f666ff006453p-16, 0x1.9b5cd3cfa9a8bp-16, 0x1.972d50d4f1676p-16, 0x1.92d9409178beep-16, 0x1.8e61c8b254ca9p-16, 0x1.89c7facfe4f0dp-16, 0x1.850cdefcf5d43p-16, 0x1.80317668697cbp-16, 0x1.7b36d53cbde59p-16, 0x1.761e4cde5eb89p-16, 0x1.70e934a44b539p-16, 0x1.6b98814f06432p-16, 0x1.662d4c4dc283fp-16, 0x1.60a8ca469a206p-16, 0x1.5b0bd196e8b67p-16, 0x1.55576da64de3fp-16, 0x1.4f8c7b14d0f7bp-16, 0x1.49abf04130c5dp-16, 0x1.43b70ade9817dp-16, 0x1.3daeda2ae372p-16, 0x1.379445b2b3cdep-16, 0x1.31682fe35d97ep-16, 0x1.2b2b7f9360335p-16, 0x1.24df1e025d49fp-16, 0x1.1e83ef63c0ea8p-16, 0x1.181acb30171fbp-16, 0x1.11a47fd9c09e9p-16, 0x1.0b21e02089a2fp-16, 0x1.0493c52ea8a1dp-16, 0x1.fbf65408c6fbap-17, 0x1.eeb213c127e39p-17, 0x1.e15c1c8b8d626p-17, 0x1.d3f65ef8e960bp-17, 0x1.c681e8aad8d56p-17, 0x1.b8fff136e2becp-17, 0x1.ab7277bf1c611p-17, 0x1.9ddb2720961d8p-17, 0x1.903b6753691b7p-17, 0x1.829494e7389e1p-17, 0x1.74e80eaff90cfp-17, 0x1.6737336ca0c18p-17, 0x1.5983610c23853p-17, 0x1.4bcdf34d9dbf3p-17, 0x1.3e183eced0121p-17, 0x1.30638d6807f38p-17, 0x1.22b125be89cdfp-17, 0x1.150231276114cp-17, 0x1.07579a4a29c1cp-17, 0x1.f3657fc02e532p-18, 0x1.d82a4faf90adep-18, 0x1.bd000d3c39724p-18, 0x1.a1e82ff52009p-18, 0x1.86e53fc79355dp-18, 0x1.6bf8f3a289fbap-18, 0x1.5125e7c657634p-18, 0x1.366e071ca2917p-18, 0x1.1bd3ab3655189p-18, 0x1.01584111dec0dp-18, 0x1.cdfbc53ce32dap-19, 0x1.998ca2833f4dbp-19, 0x1.6566cf9d3c101p-19, 0x1.318deaaee34ap-19, 0x1.fc0aeaf4a19ap-20, 0x1.95a192542530bp-20, 0x1.2fe66bd2a666ep-20, 0x1.95bf992ee179dp-21, 0x1.9a4925ba77279p-22, 0x1.828f86334e72ap-27, -0x1.7efec4ac2005bp-22, -0x1.8373254866b02p-21, -0x1.22e428a837073p-20, -0x1.8336bca4c7474p-20, -0x1.e2abc06f85a9cp-20, -0x1.209ffa03d47e9p-19, -0x1.4f77bdc32c10bp-19, -0x1.7dda2290cf991p-19, -0x1.abc4d3e11bc54p-19, -0x1.d935cbda96101p-19, -0x1.0315859667ab8p-18, -0x1.19514bf1bd69ep-18, -0x1.2f4d3f6f78e72p-18, -0x1.45086bc1a7511p-18, -0x1.5a81e83b4f292p-18, -0x1.6fb8ded139d14p-18, -0x1.84ac8058fbddbp-18, -0x1.995bfbb5cd526p-18, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      {{0x1.fb8d504817f7fp-1, 0x1.fa95ffb414667p-1, 0x1.f8fb1d648848cp-1, 0x1.f6be9621806b9p-1, 0x1.f3e30b326db7cp-1, 0x1.f06bc48c06a5fp-1, 0x1.ec5ca17be9654p-1, 0x1.e7ba088d8871fp-1, 0x1.e288d738bfed8p-1, 0x1.dcce51c6826f9p-1, 0x1.d69013baa3e1bp-1, 0x1.cfd400fa0d4acp-1, 0x1.c8a037d1d61c7p-1, 0x1.c0fb03f510216p-1, 0x1.b8ead27bd9445p-1, 0x1.b07626e5d8f0cp-1, 0x1.a7a3911c2cedap-1, 0x1.9e79a46a7114ap-1, 0x1.94feef63a755bp-1, 0x1.8b39f4a5ebccp-1, 0x1.8131246eeb3efp-1, 0x1.76ead6f2a19a7p-1, 0x1.6c6d4766024a4p-1, 0x1.61be8faf7d4ccp-1, 0x1.56e4a4afe8b49p-1, 0x1.4be553170a689p-1, 0x1.40c63cb7b7fb6p-1, 0x1.358cd65052b39p-1, 0x1.2a3e65bd2992ep-1, 0x1.1ee0008b106d6p-1, 0x1.13768ae12de7fp-1, 0x1.0806b6b9b8f2p-1, 0x1.f92a06c3f322dp-2, 0x1.e24b7a74f3c1bp-2, 0x1.cb79fb61be3eap-2, 0x1.b4bd56dac712ep-2, 0x1.9e1cf55cbd672p-2, 0x1.879fdb996c283p-2, 0x1.714cabc8efc3cp-2, 0x1.5b29a73a7925bp-2, 0x1.453cb01c81a52p-2, 0x1.2f8b4b74ff162p-2, 0x1.1a1aa342b30f6p-2, 0x1.04ef88c14127ep-2, 0x1.e01ced94824bap-3, 0x1.b6f7289be480ap-3, 0x1.8e756dbd6ca61p-3, 0x1.669eca95bf70ep-3, 0x1.3f79b48192433p-3, 0x1.190c0df3171dp-3, 0x1.e6b6579c1ef34p-4, 0x1.9cd7b58918ea3p-4, 0x1.5484c95e16112p-4, 0x1.0dc52bb66ca8cp-4, 0x1.913f093468bfp-5, 0x1.0a332bbc6772ep-5, 0x1.0ce1156bad69cp-6, 0x1.7fd37a9abc307p-11, -0x1.dc67cc6219b66p-7, -0x1.e1ac3b8acac57p-6, -0x1.673181c69f885p-5, -0x1.da29c6b143e48p-5, -0x1.24deed1b1128bp-4, -0x1.5af6ef6a5f854p-4, -0x1.8f5d8d892b45cp-4, -0x1.c213f49b3a349p-4, -0x1.f31bd3c6efb0dp-4, -0x1.113baa4cfd139p-3, -0x1.281489d876861p-3, -0x1.3e1a0cd0ac40fp-3, -0x1.534dea12d5427p-3, -0x1.67b207c4ea5dfp-3, -0x1.7b48782be5969p-3, -0x1.8e1376a14cf5fp-3, -0x1.a01564a75d572p-3, -0x1.b150c71b26fdcp-3, -0x1.c1c84383e09d5p-3, -0x1.d17e9d7eaa05ap-3, -0x1.e076b445f6c96p-3, -0x1.eeb38053d931fp-3, -0x1.fc38111e56e2p-3, -0x1.0483c57684931p-2, -0x1.0a92926391b09p-2, -0x1.104a133c99257p-2, -0x1.15abf358d5e4ep-2, -0x1.1ab9e499d10fbp-2, -0x1.1f759e8f6416fp-2, -0x1.23e0dda608603p-2, -0x1.27fd625f14fcep-2, -0x1.2bccf092927cep-2, -0x1.2f514eba4c06bp-2, -0x1.328c4545c4ddp-2, -0x1.357f9df6c86f5p-2, -0x1.382d23463acbfp-2, -0x1.3a969fd0e2a4fp-2, -0x1.3cbdddcbe0d1ap-2, -0x1.3ea4a6808d2bfp-2, -0x1.404cc1cf6fc83p-2, -0x1.41b7f5ba1b97p-2, -0x1.42e805f3a170ep-2, -0x1.43deb377602adp-2, -0x1.449dbc25f9d94p-2, -0x1.4526da682d2a2p-2, -0x1.457bc4d75ef0dp-2, -0x1.459e2deba1bf7p-2, -0x1.458fc3aefd8bfp-2, -0x1.45522f75d03b3p-2, -0x1.44e7159c10fa8p-2, -0x1.4450154747574p-2, -0x1.438ec82d0c4ep-2, -0x1.42a4c25de6b15p-2, -0x1.419392145c353p-2, -0x1.405cbf88079ecp-2, -0x1.3f01ccc496a14p-2, -0x1.3d8435847fe88p-2, -0x1.3be56f0f50c48p-2, -0x1.3a26e81b6fb8ap-2, -0x1.384a08b329443p-2, -0x1.3650321cf38bap-2, -0x1.343abec6b56b7p-2, -0x1.320b02340202fp-2, -0x1.2fc248ef1e0bfp-2, -0x1.2d61d87cb57ep-2, -0x1.2aeaef5225c7cp-2, -0x1.285ec4ce38febp-2, -0x1.25be89343f8c8p-2, -0x1.230b65a9652afp-2, -0x1.20467c342ba0cp-2, -0x1.1d70e7bdee39dp-2, -0x1.1a8bbc1658dcfp-2, -0x1.179805f8b629dp-2, -0x1.1496cb1300637p-2, -0x1.11890a0e9b353p-2, -0x1.0e6fba9aa2864p-2, -0x1.0b4bcd77b69d5p-2, -0x1.081e2c8531c9p-2, -0x1.04e7bacfb0ae8p-2, -0x1.01a954a0dc886p-2, -0x1.fcc79f20c00b2p-3, -0x1.f62ff52befaa7p-3, -0x1.ef8d3c391547cp-3, -0x1.e8e0f82c65fa1p-3, -0x1.e22ca022672ecp-3, -0x1.db719e9b758d6p-3, -0x1.d4b151a8d42a2p-3, -0x1.cded0b1b26ff4p-3, -0x1.c72610b231fa3p-3, -0x1.c05d9c4dccc6cp-3, -0x1.b994dc1fd772ep-3, -0x1.b2ccf2df38b6bp-3, -0x1.ac06f7fba063ep-3, -0x1.a543f7d21dd1p-3, -0x1.9e84f3e253b8bp-3, -0x1.97cae30443632p-3, -0x1.9116b19e8f70bp-3, -0x1.8a6941dd266efp-3, -0x1.83c36be83f3c4p-3, -0x1.7d25fe1b8f78ep-3, -0x1.7691bd3dad11cp-3, -0x1.700764b78cd28p-3, -0x1.6987a6cc00161p-3, -0x1.63132ccf2b6ep-3, -0x1.5caa975debb22p-3, -0x1.564e7e95072a8p-3, -0x1.4fff72482e58bp-3, -0x1.49bdfa38bd6bdp-3, -0x1.438a964c26a02p-3, -0x1.3d65bec201237p-3, -0x1.374fe469b5759p-3, -0x1.314970d7b4cc2p-3, -0x1.2b52c69a338e7p-3, -0x1.256c416d5fe07p-3, -0x1.1f96366f0a8fcp-3, -0x1.19d0f451b996fp-3, -0x1.141cc38f1e0eap-3, -0x1.0e79e699df7ap-3, -0x1.08e89a0ec7dd4p-3, -0x1.036914e532b6fp-3, -0x1.fbf7113d9b9dcp-4, -0x1.f14042ed2f427p-4, -0x1.e6ae0d1e512b8p-4, -0x1.dc40b44055bd3p-4, -0x1.d1f873462a729p-4, -0x1.c7d57bfe31797p-4, -0x1.bdd7f7687a9dp-4, -0x1.b400060b6087ep-4, -0x1.aa4dc0468c20cp-4, -0x1.a0c136a4439d1p-4, -0x1.975a722911418p-4, -0x1.8e1974a1c79dcp-4, -0x1.84fe38efceadep-4, -0x1.7c08b353c8a9bp-4, -0x1.7338d1b683984p-4, -0x1.6a8e7bf0420a4p-4, -0x1.6209940e5098ap-4, -0x1.59a9f696f478ep-4, -0x1.516f7acba8c63p-4, -0x1.4959f2e9ba534p-4, -0x1.41692c69366a2p-4, -0x1.399cf03a3ae5ap-4, -0x1.31f50300a2314p-4, -0x1.2a71254e15bcfp-4, -0x1.231113da846ebp-4, -0x1.1bd487bb0637cp-4, -0x1.14bb36972cfa7p-4, -0x1.0dc4d2dccaab1p-4, -0x1.06f10bf2308aep-4, -0x1.003f8e66eb2f2p-4, -0x1.f360084600809p-5, -0x1.e6842929715b7p-5, -0x1.d9eac9b9e9098p-5, -0x1.cd932ff4280e7p-5, -0x1.c17c9de2f8ae9p-5, -0x1.b5a651ef6ebc9p-5, -0x1.aa0f872e7a02cp-5, -0x1.9eb775abce18bp-5, -0x1.939d52b22816fp-5, -0x1.88c0511111d35p-5, -0x1.7e1fa1601384bp-5, -0x1.73ba723f78bfap-5, -0x1.698ff096ab9c9p-5, -0x1.5f9f47d02cb77p-5, -0x1.55e7a21346fdep-5, -0x1.4c68287b77357p-5, -0x1.4320034da3053p-5, -0x1.3a0e5a2b273ffp-5, -0x1.31325442cb288p-5, -0x1.288b187fa0c7p-5, -0x1.2017cdb5e8d45p-5, -0x1.17d79ace02ad4p-5, -0x1.0fc9a6ed695b9p-5, -0x1.07ed199de3008p-5, -0x1.00411af2d7049p-5, -0x1.f189a759c75bp-6, -0x1.e2eedab77f8ap-6, -0x1.d4b024fcd7aa3p-6, -0x1.c6cbdd439465p-6, -0x1.b9405cfb4369p-6, -0x1.ac0c00202ed3ep-6, -0x1.9f2d256f61134p-6, -0x1.92a22e97bb58p-6, -0x1.8669806850925p-6, -0x1.7a8182fc02262p-6, -0x1.6ee8a1e27a7dfp-6, -0x1.639d4c46a7f6p-6, -0x1.589df512bd0e8p-6, -0x1.4de91311cc67dp-6, -0x1.437d210f23051p-6, -0x1.39589df35f6b8p-6, -0x1.2f7a0cdf6b9ffp-6, -0x1.25dff5455fa23p-6, -0x1.1c88e2ff65bbfp-6, -0x1.13736664b944dp-6, -0x1.0a9e145cbaedap-6, -0x1.020786704ea61p-6, -0x1.f35cb5b2dc00ap-7, -0x1.e322692238385p-7, -0x1.d35d76b78b4ddp-7, -0x1.c40b37a82ac5ep-7, -0x1.b5290ee88cb79p-7, -0x1.a6b4693c4471dp-7, -0x1.98aabd432784p-7, -0x1.8b098b83eb62p-7, -0x1.7dce5e743fdc8p-7, -0x1.70f6ca7e94df8p-7, -0x1.64806e058faf9p-7, -0x1.5868f1655caebp-7, -0x1.4cae06f2e7839p-7, -0x1.414d6af9248f5p-7, -0x1.3644e3b46c8abp-7, -0x1.2b92414c106d2p-7, -0x1.21335dca478a9p-7, -0x1.17261d126de7fp-7, -0x1.0d686cd5bd48dp-7, -0x1.03f8448692445p-7, -0x1.f5a74a94b2384p-8, -0x1.e3f133d457cccp-8, -0x1.d2ca6d8438d55p-8, -0x1.c22f335efd1c4p-8, -0x1.b21bd3fbeddebp-8, -0x1.a28cb0a743fd5p-8, -0x1.937e3d38541d5p-8, -0x1.84ecffe615232p-8, -0x1.76d59119dcb79p-8, -0x1.69349b40a840ap-8, -0x1.5c06da9add324p-8, -0x1.4f491d0aaf284p-8, -0x1.42f841e1621c4p-8, -0x1.371139ab3f9fap-8, -0x1.2b9105faa07d7p-8, -0x1.2074b931f79fdp-8, -0x1.15b9764d04c9bp-8, -0x1.0b5c70a924294p-8, -0x1.015aebcd17a7ep-8, -0x1.ef64765ff01a1p-9, -0x1.dcbf83ffc0a69p-9, -0x1.cac1e5cfdf153p-9, -0x1.b9669fabbc28bp-9, -0x1.a8a8d37ea203bp-9, -0x1.9883c0cdd0f9ap-9, -0x1.88f2c44222368p-9, -0x1.79f1573170fb6p-9, -0x1.6b7b0f277f8fp-9, -0x1.5d8b9d6f2dcfcp-9, -0x1.501ece9b66068p-9, -0x1.43308a103c636p-9, -0x1.36bcd18c8272bp-9, -0x1.2abfc0b30e924p-9, -0x1.1f358c94d6817p-9, -0x1.141a833b54d16p-9, -0x1.096b0b3363fc8p-9, -0x1.fe474631f318ap-10, -0x1.ea81c2462a12fp-10, -0x1.d77ee56167233p-10, -0x1.c53837ace1a09p-10, -0x1.b3a76dd9ee44dp-10, -0x1.a2c66840bf15ep-10, -0x1.928f320159a22p-10, -0x1.82fc00258bb2p-10, -0x1.740730c5d3732p-10, -0x1.65ab4a2fcaf37p-10, -0x1.57e2fa0f2762ep-10, -0x1.4aa914991971cp-10, -0x1.3df893b98c317p-10, -0x1.31cc9643041ep-10, -0x1.26205f20ea872p-10, -0x1.1aef548c37d51p-10, -0x1.1034ff42ef81ap-10, -0x1.05ed09c217f8fp-10, -0x1.f8267f045d74p-11, -0x1.e547186c79ed5p-11, -0x1.d333f61b2c522p-11, -0x1.c1e56bf123d0bp-11, -0x1.b15409df22eb3p-11, -0x1.a1789a7a9b896p-11, -0x1.924c21973cc76p-11, -0x1.83c7dae521e35p-11, -0x1.75e53896227ap-11, -0x1.689de207beb59p-11, -0x1.5bebb272d23dp-11, -0x1.4fc8b7a123be5p-11, -0x1.442f30a8ac963p-11, -0x1.39198cab69f33p-11, -0x1.2e82699da57e1p-11, -0x1.24649311cd995p-11, -0x1.1abb01093a2ecp-11, -0x1.1180d6cb420ecp-11, -0x1.08b161c1d1092p-11, -0x1.0048185a1963bp-11, -0x1.f08131d870058p-12, -0x1.e12d514f1cd2p-12, -0x1.d28c6509286a5p-12, -0x1.c4968c776baacp-12, -0x1.b7442e851b684p-12, -0x1.aa8df79a3dba8p-12, -0x1.9e6cd7a8d49d9p-12, -0x1.92da00453c04ep-12, -0x1.87cee2c86e1a5p-12, -0x1.7d452e7c1ac0ep-12, -0x1.7336ced09d9bdp-12, -0x1.699de99ddf05p-12, -0x1.6074dd6ced725p-12, -0x1.57b63fca0895bp-12, -0x1.4f5cdba327caap-12, -0x1.4763afad2b611p-12, -0x1.3fc5ecd3cef55p-12, -0x1.387ef4b2b016bp-12, -0x1.318a5816a1ba3p-12, -0x1.2ae3d588bf1fcp-12, -0x1.248757e0cf4f4p-12, -0x1.1e70f4e232b1cp-12, -0x1.189cebdfbea1ep-12, -0x1.1307a46866966p-12, -0x1.0dadacfd748e5p-12, -0x1.088bb9cefa691p-12, -0x1.039ea3813a48p-12, -0x1.fdc6cbf2ec197p-13, -0x1.f4ae3e64b719ep-13, -0x1.ebee1c3304c22p-13, -0x1.e38122e3ac83ap-13, -0x1.db624d7ef277bp-13, -0x1.d38cd274c1ef2p-13, -0x1.cbfc218eb5b95p-13, -0x1.c4abe1f0bfd03p-13, -0x1.bd97f0267f35cp-13, -0x1.b6bc5c3fd670bp-13, -0x1.b01567f9d8dc1p-13, -0x1.a99f84f361d9fp-13, -0x1.a35752efbe00ep-13, -0x1.9d399e25d657fp-13, -0x1.97435d99fca6ep-13, -0x1.9171b18465108p-13, -0x1.8bc1e1c28d50ep-13, -0x1.86315c5596a0ep-13, -0x1.80bdb3ea9a0b7p-13, -0x1.7b649e6dac3fp-13, -0x1.7623f3a8cc1c2p-13, -0x1.70f9abec2178ap-13, -0x1.6be3dec0493e5p-13, -0x1.66e0c1a2fa8dcp-13, -0x1.61eea6ce1d37bp-13, -0x1.5d0bfc0738b82p-13, -0x1.58374978b4337p-13, -0x1.536f3094e1285p-13, -0x1.4eb26b0186449p-13, -0x1.49ffc98b0762ap-13, -0x1.45563321fc29ep-13, -0x1.40b4a3ddd5042p-13, -0x1.3c1a2c0c477d6p-13, -0x1.3785ef44eb65cp-13, -0x1.32f72384f5029p-13, -0x1.2e6d10546c7d1p-13, -0x1.29e70df18f61bp-13, -0x1.25648481c2281p-13, -0x1.20e4eb4da39c3p-13, -0x1.1c67c7fdcb6b3p-13, -0x1.17ecade377eccp-13, -0x1.13733d46079c5p-13, -0x1.0efb22b5f0976p-13, -0x1.0a841665bb70dp-13, -0x1.060ddb8b4c9ddp-13, -0x1.01983fc369d76p-13, -0x1.fa4634fa39307p-14, -0x1.f15c98d7cc65ep-14, -0x1.e8737df426dcbp-14, -0x1.df8ac78c3ffe6p-14, -0x1.d6a26844500dbp-14, -0x1.cdba613132e43p-14, -0x1.c4d2c0eb26996p-14, -0x1.bbeba2ac2a24ap-14, -0x1.b3052d736d08dp-14, -0x1.aa1f9332a939dp-14, -0x1.a13b1008c53a7p-14, -0x1.9857e97b26faap-14, -0x1.8f766dc0aa60bp-14, -0x1.8696f30dd3fap-14, -0x1.7db9d6ebfdeaep-14, -0x1.74df7d9624939p-14, -0x1.6c08515d54b1bp-14, -0x1.6334c214e2412p-14, -0x1.5a6544817b4abp-14, -0x1.519a51d31aa46p-14, -0x1.48d467236403fp-14, -0x1.401404f9f2d3ep-14, -0x1.3759aed556fcep-14, -0x1.2ea5eabd01e06p-14, -0x1.25f940d4dad72p-14, -0x1.1d543af7ea192p-14, -0x1.14b76459ba0a7p-14, -0x1.0c2349294f1d6p-14, -0x1.03987638ffbe9p-14, -0x1.f62ef15e4c91dp-15, -0x1.e541bb6df1f89p-15, -0x1.d46a646e97683p-15, -0x1.c3aa051a4627ep-15, -0x1.b301b496be178p-15, -0x1.a27287f7cb36cp-15, -0x1.91fd91c9e9974p-15, -0x1.81a3e1af506efp-15, -0x1.716683ef37072p-15, -0x1.6146811b8d581p-15, -0x1.5144ddb869abfp-15, -0x1.416299ea2882p-15, -0x1.31a0b12735314p-15, -0x1.220019f169fp-15, -0x1.1281c597665d9p-15, -0x1.03269ff47febdp-15, -0x1.e7df1e705d4ffp-16, -0x1.c9bae77627abbp-16, -0x1.abe24f92ba41p-16, -0x1.8e56fef8fbb38p-16, -0x1.711a9129f75ccp-16, -0x1.542e94b776a73p-16, -0x1.37948b022dabp-16, -0x1.1b4de809ee5b7p-16, -0x1.feb8248879113p-17, -0x1.c780c4eb04588p-17, -0x1.90f8471835f1ep-17, -0x1.5b21251d65541p-17, -0x1.25fdbd11299a4p-17, -0x1.e320a1df8565ep-18, -0x1.7bb60d2887ebbp-18, -0x1.15bfcf59e167bp-18, -0x1.62838718fbdafp-19, -0x1.38fe3251176dep-20, 0x1.3436ac23cb993p-22, 0x1.cd0fbdabeb02fp-20, 0x1.a37e0bc8fef99p-19, 0x1.2eb1e9ea06af9p-18, 0x1.8a1a0de5b60e6p-18, 0x1.e3f51aa551cb6p-18, 0x1.1e20775f5405cp-17, 0x1.497dcf0c59588p-17, 0x1.7411b8a102ebep-17, 0x1.9ddb726d4c809p-17, 0x1.c6da547a30491p-17, 0x1.ef0dd02d962c1p-17, 0x1.0b3ab7f1f8313p-16, 0x1.1e886b4e04cc8p-16, 0x1.316fdfc8aab54p-16, 0x1.43f0fee64ca23p-16, 0x1.560bbde1cdde6p-16, 0x1.67c01d712eda9p-16, 0x1.790e29946b85fp-16, 0x1.89f5f955b2558p-16, 0x1.9a77ae91e4abbp-16, 0x1.aa9375c1c5a09p-16, 0x1.ba4985bb6ca65p-16, 0x1.c99a1f75a4547p-16, 0x1.d8858dcb73b66p-16, 0x1.e70c25429e5f3p-16, 0x1.f52e43c96ab3p-16, 0x1.0176283d9d131p-15, 0x1.08235db0a6bffp-15, 0x1.0e9efe9b44fcp-15, 0x1.14e94b952bdf9p-15, 0x1.1b02894da26bep-15, 0x1.20eb007056d2ap-15, 0x1.26a2fd83e0b07p-15, 0x1.2c2ad0cd49812p-15, 0x1.3182ce2d3f6c6p-15, 0x1.36ab4d056a2d1p-15, 0x1.3ba4a81720185p-15, 0x1.406f3d66a626dp-15, 0x1.450b6e1b036a3p-15, 0x1.49799e616746fp-15, 0x1.4dba35509befp-15, 0x1.51cd9cc9fa116p-15, 0x1.55b4415b62d47p-15, 0x1.596e92246af1ep-15, 0x1.5cfd00b88f6aep-15, 0x1.606001044a4dcp-15, 0x1.6398092efd8e5p-15, 0x1.66a59181a39a5p-15, 0x1.6989144a8986ap-15, 0x1.6c430dc31573dp-15, 0x1.6ed3fbf44401bp-15, 0x1.713c5e9d4bebcp-15, 0x1.737cb71b7f6b7p-15, 0x1.7595884f6ab88p-15, 0x1.7787568459e7cp-15, 0x1.7952a757f9174p-15, 0x1.7af801a2db308p-15, 0x1.7c77ed6142989p-15, 0x1.7dd2f39b25e1ap-15, 0x1.7f099e4e4730ap-15, 0x1.801c785861412p-15, 0x1.810c0d60c7e5ap-15, 0x1.81d8e9c3ad593p-15, 0x1.82839a7c28b64p-15, }}, 
      {{0x1.fbc45b1d2f7cp-1, 0x1.fb71da1027ad6p-1, 0x1.fae89b7db9851p-1, 0x1.fa2902d029887p-1, 0x1.f93398bb3ef9dp-1, 0x1.f809091ef0eb7p-1, 0x1.f6aa20a28493bp-1, 0x1.f517ca22a5e3dp-1, 0x1.f3530c07cefebp-1, 0x1.f15d0595d54d8p-1, 0x1.ef36ec41aee52p-1, 0x1.ece209175a58p-1, 0x1.ea5fb6373a15cp-1, 0x1.e7b15c7013c6ap-1, 0x1.e4d870f931194p-1, 0x1.e1d6734ec325cp-1, 0x1.deaceb31971a1p-1, 0x1.db5d66ca58dfcp-1, 0x1.d7e978f006f02p-1, 0x1.d452b790b8cb1p-1, 0x1.d09aba3b94eaap-1, 0x1.ccc318ca8a42ep-1, 0x1.c8cd6a2a49d64p-1, 0x1.c4bb433edd74ap-1, 0x1.c08e35e337a17p-1, 0x1.bc47d00215fa2p-1, 0x1.b7e99ac698412p-1, 0x1.b37519e2f7e07p-1, 0x1.aeebcaebdf7e7p-1, 0x1.aa4f24c6ecd0fp-1, 0x1.a5a0972b02c5bp-1, 0x1.a0e18a311921bp-1, 0x1.9c135df454d9dp-1, 0x1.97376a403d69dp-1, 0x1.924efe4bfd9b4p-1, 0x1.8d5b6081a6503p-1, 0x1.885dce50852a1p-1, 0x1.83577c09a1c6bp-1, 0x1.7e4994c594a01p-1, 0x1.79353a52e5fe5p-1, 0x1.741b852c3ee6fp-1, 0x1.6efd8475b909fp-1, 0x1.69dc3e00abd33p-1, 0x1.64b8ae55599d7p-1, 0x1.5f93c8c1f0122p-1, 0x1.5a6e776e54789p-1, 0x1.55499b743df31p-1, 0x1.50260cfb2ae07p-1, 0x1.4b049b57c2fdep-1, 0x1.45e60d2e40b02p-1, 0x1.40cb209785194p-1, 0x1.3bb48b487e5b1p-1, 0x1.36a2fabb8f8acp-1, 0x1.3197145baeb05p-1, 0x1.2c9175b0f5165p-1, 0x1.2792b48e5ff2ap-1, 0x1.229b5f40891b4p-1, 0x1.1dabfcbd20ce8p-1, 0x1.18c50cd2f4a87p-1, 0x1.13e7085a5d4a2p-1, 0x1.0f126165e0574p-1, 0x1.0a478372ea6b7p-1, 0x1.0586d39a79ab9p-1, 0x1.00d0b0c19ad13p-1, 0x1.f84ae7934102ep-2, 0x1.ef0adf7fef5cap-2, 0x1.e5e1e41b109aap-2, 0x1.dcd0854b14646p-2, 0x1.d3d748677dc3cp-2, 0x1.caf6a8940505ap-2, 0x1.c22f171a4c203p-2, 0x1.b980fbc209795p-2, 0x1.b0ecb527a192ep-2, 0x1.a872991114584p-2, 0x1.a012f4c137746p-2, 0x1.97ce0d492f2cfp-2, 0x1.8fa41fd8215ccp-2, 0x1.87956209171dap-2, 0x1.7fa2022f0d92ep-2, 0x1.77ca279f2eca9p-2, 0x1.700df2f9363adp-2, 0x1.686d7e6dfab1ep-2, 0x1.60e8de0426158p-2, 0x1.59801fdb192e1p-2, 0x1.52334c6bfe218p-2, 0x1.4b0266c911892p-2, 0x1.43ed6cdb24543p-2, 0x1.3cf4579d5df23p-2, 0x1.36171b5742497p-2, 0x1.2f55a7d50444fp-2, 0x1.28afe89e2dc6ap-2, 0x1.2225c52a9fa07p-2, 0x1.1bb72115f4232p-2, 0x1.1563dc514c9d2p-2, 0x1.0f2bd3539144ep-2, 0x1.090edf482b77cp-2, 0x1.030cd63c3f24fp-2, 0x1.fa4b1694ebba1p-3, 0x1.eeb19d8aa9d9fp-3, 0x1.e34cdcc06e4c6p-3, 0x1.d81c6aadc3ef9p-3, 0x1.cd1fd9279b328p-3, 0x1.c256b5aa3c27dp-3, 0x1.b7c089a0ae8fcp-3, 0x1.ad5cdaa9b07bap-3, 0x1.a32b2ada3f0f1p-3, 0x1.992af8fdcbc25p-3, 0x1.8f5bc0d4236cep-3, 0x1.85bcfb4d209a4p-3, 0x1.7c4e1ec22e70ap-3, 0x1.730e9f2db0642p-3, 0x1.69fdee605b071p-3, 0x1.611b7c348cebcp-3, 0x1.5866b6bfb3069p-3, 0x1.4fdf0a81cb09ap-3, 0x1.4783e293073e9p-3, 0x1.3f54a8cfad604p-3, 0x1.3750c6023237ep-3, 0x1.2f77a20ba7184p-3, 0x1.27c8a40a77766p-3, 0x1.2043327f9aae7p-3, 0x1.18e6b372277dbp-3, 0x1.11b28c916d404p-3, 0x1.0aa623558e8e2p-3, 0x1.03c0dd1eb6b9p-3, 0x1.fa043ea5bbb4cp-4, 0x1.ecd29ef48289bp-4, 0x1.dfeba6b508102p-4, 0x1.d34e22212050fp-4, 0x1.c6f8de526d903p-4, 0x1.baeaa97145358p-4, 0x1.af2252e142171p-4, 0x1.a39eab6b9076ep-4, 0x1.985e856718a4ep-4, 0x1.8d60b4de7b13ap-4, 0x1.82a40fb41495fp-4, 0x1.78276dc3f95abp-4, 0x1.6de9a9040a8acp-4, 0x1.63e99da2308efp-4, 0x1.5a262a20c8124p-4, 0x1.509e2f7153844p-4, 0x1.4750910d7ea6ep-4, 0x1.3e3c350e81b5p-4, 0x1.35600442f5037p-4, 0x1.2cbaea431e437p-4, 0x1.244bd583ca0c2p-4, 0x1.1c11b767bbb1dp-4, 0x1.140b844fbfe9p-4, 0x1.0c3833a970cebp-4, 0x1.0496bffcb5e4ap-4, 0x1.fa4c4df019576p-5, 0x1.ebcad2f74a983p-5, 0x1.dda71746be287p-5, 0x1.cfdf299f5cf7fp-5, 0x1.c2711f5af2accp-5, 0x1.b55b1479e455bp-5, 0x1.a89b2baefe665p-5, 0x1.9c2f8e69664e6p-5, 0x1.90166cdccac22p-5, 0x1.844dfe07e2311p-5, 0x1.78d47fb9495a7p-5, 0x1.6da83692d6c4p-5, 0x1.62c76e0b7015ap-5, 0x1.5830786f772bdp-5, 0x1.4de1aedfdcf34p-5, 0x1.43d9714fe8d45p-5, 0x1.3a162681c6fabp-5, 0x1.30963c01eb8bcp-5, 0x1.275826215938fp-5, 0x1.1e5a5feed99a3p-5, 0x1.159b6b2f34569p-5, 0x1.0d19d0547549p-5, 0x1.04d41e744a139p-5, 0x1.f991d67b138e7p-6, 0x1.e9eda5d9d7cd1p-6, 0x1.dab8f08202d37p-6, 0x1.cbf108daea15cp-6, 0x1.bd934e1b44aaep-6, 0x1.af9d2c2d188a1p-6, 0x1.a20c1b907f87dp-6, 0x1.94dda13d4d37dp-6, 0x1.880f4e83b82f8p-6, 0x1.7b9ec0ec0c49dp-6, 0x1.6f89a215842fp-6, 0x1.63cda79448032p-6, 0x1.586892cebcddp-6, 0x1.4d5830da1d47dp-6, 0x1.429a5a5674243p-6, 0x1.382cf34a0ce91p-6, 0x1.2e0deafc5b60dp-6, 0x1.243b3bd079241p-6, 0x1.1ab2eb1f349a9p-6, 0x1.11730910cad65p-6, 0x1.0879b0764fcdcp-6, 0x1.ff8a0d45b58ccp-7, 0x1.eea67688f0ad3p-7, 0x1.de451079d7b4bp-7, 0x1.ce6262f4b1f4bp-7, 0x1.befb099f9b127p-7, 0x1.b00bb39b74f99p-7, 0x1.a1912334df708p-7, 0x1.93882d951ec91p-7, 0x1.85edba7328911p-7, 0x1.78bec3c4cdd0ap-7, 0x1.6bf855700b488p-7, 0x1.5f978cfcb25a9p-7, 0x1.539999464a3dbp-7, 0x1.47fbba2e551e5p-7, 0x1.3cbb404eef74fp-7, 0x1.31d58cadf2f45p-7, 0x1.27481070800fdp-7, 0x1.1d104c8f155fap-7, 0x1.132bd18a35053p-7, 0x1.09983f1f9d8e9p-7, 0x1.005344002272p-7, 0x1.eeb53b0c518e2p-8, 0x1.dd582ed9ab393p-8, 0x1.cc8b170fd1b2ap-8, 0x1.bc49c2f8b4a99p-8, 0x1.ac901cf35ca2dp-8, 0x1.9d5a29e82747fp-8, 0x1.8ea408be904f7p-8, 0x1.8069f1d49e129p-8, 0x1.72a83677e9177p-8, 0x1.655b40605513bp-8, 0x1.587f912c745ebp-8, 0x1.4c11c1dface72p-8, 0x1.400e8262124afp-8, 0x1.34729901fa20bp-8, 0x1.293ae1f7714c3p-8, 0x1.1e644ee94f5f9p-8, 0x1.13ebe6743d9a5p-8, 0x1.09cec3b37622fp-8, 0x1.000a15cb51fecp-8, 0x1.ed363eeb6f988p-9, 0x1.dafe6d208c312p-9, 0x1.c9678758c43f2p-9, 0x1.b86c834225848p-9, 0x1.a8087a3d51a78p-9, 0x1.9836a888808ddp-9, 0x1.88f26c6e17c36p-9, 0x1.7a374576ddae2p-9, 0x1.6c00d39fd7325p-9, 0x1.5e4ad693aa9e5p-9, 0x1.51112ce78b407p-9, 0x1.444fd35bd59dap-9, 0x1.3802e4200bc8cp-9, 0x1.2c26961a59434p-9, 0x1.20b73c32a7683p-9, 0x1.15b144a10c571p-9, 0x1.0b11383fadb35p-9, 0x1.00d3b9dff8d2cp-9, 0x1.edeb0b46ad44cp-10, 0x1.dae6e0ae23044p-10, 0x1.c894cda72b41bp-10, 0x1.b6eedabdce807p-10, 0x1.a5ef3e24c0a8fp-10, 0x1.95905a87144d8p-10, 0x1.85ccbde05f613p-10, 0x1.769f205ae78a1p-10, 0x1.680263341e1e6p-10, 0x1.59f18fa6ffb6p-10, 0x1.4c67d5dc8579ep-10, 0x1.3f608be1fb281p-10, 0x1.32d72ca51da6ep-10, 0x1.26c756f5cd3c2p-10, 0x1.1b2ccc8dbe5e5p-10, 0x1.1003711d6ad8bp-10, 0x1.0547495e81a2cp-10, 0x1.f5e8f457b209cp-11, 0x1.e20e8f3d46a11p-11, 0x1.cef82861c6434p-11, 0x1.bc9ebfc9b7711p-11, 0x1.aafb8ee3726ap-11, 0x1.9a0806ea272cap-11, 0x1.89bdcf52cac2ap-11, 0x1.7a16c44284f35p-11, 0x1.6b0cf50e90d7p-11, 0x1.5c9aa2c54637ap-11, 0x1.4eba3ec03bfaap-11, 0x1.4166693f81c6ep-11, 0x1.3499f00d9373ep-11, 0x1.284fcd2b9945p-11, 0x1.1c83258633c4cp-11, 0x1.112f47b2b9939p-11, 0x1.064faab4a0e9ap-11, 0x1.f7bfd994cc19dp-12, 0x1.e3b7a4853e1b7p-12, 0x1.d07e88b0f2a89p-12, 0x1.be0ca02fb3ef8p-12, 0x1.ac5a4a91c824cp-12, 0x1.9b602ac4db01bp-12, 0x1.8b172506fbf18p-12, 0x1.7b785ce7d7a7bp-12, 0x1.6c7d3356bcbbp-12, 0x1.5e1f44beb7a27p-12, 0x1.5058672f1548ep-12, 0x1.4322a88fdc13p-12, 0x1.36784ce3a5e25p-12, 0x1.2a53cc94c4f44p-12, 0x1.1eafd2cf36ed1p-12, 0x1.13873be5522dfp-12, 0x1.08d513bf75128p-12, 0x1.fd2928aeeb2bp-13, 0x1.e982487c9fb67p-13, 0x1.d6acaa59b2acfp-13, 0x1.c49fc53db4037p-13, 0x1.b35360ee0c384p-13, 0x1.a2bf935c0b069p-13, 0x1.92dcbe1466f88p-13, 0x1.83a38bc2916e1p-13, 0x1.750cedc6d6495p-13, 0x1.671219dc60282p-13, 0x1.59ac87d1b5655p-13, 0x1.4cd5ef51d41a2p-13, 0x1.408845be08257p-13, 0x1.34bdbc1800b95p-13, 0x1.2970bcfcb2d84p-13, 0x1.1e9beaabb05fbp-13, 0x1.143a1d1f83d9ap-13, 0x1.0a46603461d7cp-13, 0x1.00bbf1dc42f2bp-13, 0x1.ef2c80c54693ap-14, 0x1.dda1d178f8075p-14, 0x1.cccf69c7f89dfp-14, 0x1.bcad348775b6bp-14, 0x1.ad337058603edp-14, 0x1.9e5aacacb864cp-14, 0x1.901bc6e68ab5fp-14, 0x1.826fe78a44daap-14, 0x1.75507f870350dp-14, 0x1.68b7459846e43p-14, 0x1.5c9e33b989ce2p-14, 0x1.50ff84afb387dp-14, 0x1.45d5b1a930902p-14, 0x1.3b1b6fedba81p-14, 0x1.30cbaea0baf81p-14, 0x1.26e19499f5519p-14, 0x1.1d587e4c42e73p-14, 0x1.142bfbbfede8p-14, 0x1.0b57ce9e96a2cp-14, 0x1.02d7e84ee2582p-14, 0x1.f550d03b23971p-15, 0x1.e58b32f2fa765p-15, 0x1.d657e47a37e07p-15, 0x1.c7b0220d95cfap-15, 0x1.b98d7740a43eap-15, 0x1.abe9bae9a6186p-15, 0x1.9ebf0c20f9791p-15, 0x1.9207cf60f9382p-15, 0x1.85beabbd39106p-15, 0x1.79de88322b56dp-15, 0x1.6e62890cec82cp-15, 0x1.63460d6c5a2b7p-15, 0x1.5884acd6a20c9p-15, 0x1.4e1a34e0c0e92p-15, 0x1.4402a6f07cf93p-15, 0x1.3a3a3611505f5p-15, 0x1.30bd44dbcd1f7p-15, 0x1.27886371c468ap-15, 0x1.1e984d8f28ea1p-15, 0x1.15e9e8a84ecfep-15, 0x1.0d7a4219f3a04p-15, 0x1.05468d6e0294dp-15, 0x1.fa98455b746a6p-16, 0x1.eb10f989340abp-16, 0x1.dbf26fe7465c8p-16, 0x1.cd3820a7e7c9p-16, 0x1.beddc0c97d62fp-16, 0x1.b0df3f50668c2p-16, 0x1.a338c29f00391p-16, 0x1.95e6a5e5bd73ep-16, 0x1.88e576ac04389p-16, 0x1.7c31f273e836ep-16, 0x1.6fc904764b87cp-16, 0x1.63a7c370ec03ap-16, 0x1.57cb6f8bce191p-16, 0x1.4c317054a6f01p-16, 0x1.40d752d35fedep-16, 0x1.35bac7aabec97p-16, 0x1.2ad9a151e3fbep-16, 0x1.2031d26280a23p-16, 0x1.15c16bf2362c4p-16, 0x1.0b869c001571ep-16, 0x1.017fabf1aa3dbp-16, 0x1.ef55fe4965823p-17, 0x1.dc0e2317d9522p-17, 0x1.c924ecb84cd07p-17, 0x1.b697ad950671ap-17, 0x1.a463e1ac0b7f4p-17, 0x1.92872c3d9ce3dp-17, 0x1.80ff5591cfe54p-17, 0x1.6fca48d92f481p-17, 0x1.5ee6122d6bcfp-17, 0x1.4e50dc9ea26c4p-17, 0x1.3e08f059793eap-17, 0x1.2e0cb0ee85827p-17, 0x1.1e5a9b9c17028p-17, 0x1.0ef145b93d119p-17, 0x1.ff9eb651dfb4dp-18, 0x1.e1e739d2e7d2bp-18, 0x1.c4b9bf6b8a926p-18, 0x1.a8141560224d8p-18, 0x1.8bf42c4424bb4p-18, 0x1.705814a8c252cp-18, 0x1.553dfcc8fdbd1p-18, 0x1.3aa42e704f418p-18, 0x1.20890ce13fd66p-18, 0x1.06eb12f34485cp-18, 0x1.db91a27f90a48p-19, 0x1.aa41d8c002b37p-19, 0x1.79e436949b264p-19, 0x1.4a764ba7f423cp-19, 0x1.1bf5c64fff38fp-19, 0x1.dcc0e1db885b4p-20, 0x1.83685e4d920ddp-20, 0x1.2bddf71293c15p-20, 0x1.ac3b9503b81a2p-21, 0x1.0448378250bb7p-21, 0x1.7f6a7532a04e4p-23, -0x1.0450df5664c14p-23, -0x1.bd162733aae1p-22, -0x1.78909595e4f23p-21, -0x1.07959be2480a9p-20, -0x1.5130aa3f16512p-20, -0x1.991c95db58341p-20, -0x1.df5c73ff66d45p-20, -0x1.11f9a8dfb41b9p-19, -0x1.33721b09ae07fp-19, -0x1.541911e1e868ep-19, -0x1.73f00db7c5657p-19, -0x1.92f88e90e4984p-19, -0x1.b13414fdae9d5p-19, -0x1.cea422d582be3p-19, -0x1.eb4a3bca066e6p-19, -0x1.0393f304ebde3p-18, -0x1.111f5567a21fep-18, -0x1.1e480b6404301p-18, -0x1.2b0edd472444p-18, -0x1.3774958220294p-18, -0x1.437a00d5e63a2p-18, -0x1.4f1fee7a5e04fp-18, -0x1.5a67303d7ee9dp-18, -0x1.65509a982d97p-18, -0x1.6fdd04c8baf5dp-18, -0x1.7a0d48e5f9abdp-18, -0x1.83e243e44f6e2p-18, -0x1.8d5cd5a5b6333p-18, -0x1.967de0fc36043p-18, -0x1.9f464bac2dcf4p-18, -0x1.a7b6fe70198cdp-18, -0x1.afd0e4f1027eep-18, -0x1.b794edbf1cf9ap-18, -0x1.bf040a489011fp-18, -0x1.c61f2ed0c0273p-18, -0x1.cce7525e0a0fep-18, -0x1.d35d6ea9c2314p-18, -0x1.d9828014568cfp-18, -0x1.df5785884627ep-18, -0x1.e4dd806ed20e2p-18, -0x1.ea157494a3a17p-18, -0x1.ef006813b20fbp-18, -0x1.f39f63371e948p-18, -0x1.f7f3706446166p-18, -0x1.fbfd9c004a01bp-18, -0x1.ffbef44de4c7ep-18, -0x1.019c44ac0dd83p-17, -0x1.0335b6698365ep-17, -0x1.04ac58fd8976p-17, -0x1.0600b6be2106cp-17, -0x1.07335aa7c5fbdp-17, -0x1.0844d04f8f8b1p-17, -0x1.0935a3d1dc5f5p-17, -0x1.0a0661c493e0cp-17, -0x1.0ab79726db5e5p-17, -0x1.0b49d1500bd51p-17, -0x1.0bbd9de239d65p-17, -0x1.0c138aba0eb8bp-17, -0x1.0c4c25df181a8p-17, -0x1.0c67fd74a3e78p-17, -0x1.0c679faa8505cp-17, -0x1.0c4b9aae681fep-17, -0x1.0c147c9bec893p-17, -0x1.0bc2d36f1ee19p-17, -0x1.0b572cf4f972fp-17, -0x1.0ad216bd8026cp-17, -0x1.0a341e0d590bcp-17, -0x1.097dcfd0415bfp-17, -0x1.08afb88c2f4c9p-17, -0x1.07ca6452a1cdep-17, -0x1.06ce5eb4b273fp-17, -0x1.05bc32b56605fp-17, -0x1.04946abe718a2p-17, -0x1.03579092bdfe5p-17, -0x1.02062d433a372p-17, -0x1.00a0c92310f56p-17, -0x1.fe4fd779c682cp-18, -0x1.fb38378d4e0bep-18, -0x1.f7fbbe314b4e7p-18, -0x1.f49b7544d0836p-18, -0x1.f11864c145b2ap-18, -0x1.ed7392a75fe0fp-18, -0x1.e9ae02ec82988p-18, -0x1.e5c8b7697e7dap-18, -0x1.e1c4afc8c2f1fp-18, -0x1.dda2e9750472cp-18, -0x1.d9645f8a5b58cp-18, -0x1.d50a0ac70f948p-18, -0x1.d094e17b52e33p-18, -0x1.cc05d77d05c2ep-18, -0x1.c75dde1a6d2cdp-18, -0x1.c29de40c1a3a8p-18, -0x1.bdc6d569206p-18, -0x1.b8d99b9b426cfp-18, -0x1.b3d71d559db26p-18, -0x1.aec03e8a3254ep-18, -0x1.a995e05e10044p-18, -0x1.a458e1226101ap-18, -0x1.9f0a1c4b40caep-18, -0x1.99aa6a67c8554p-18, -0x1.943aa11a5d268p-18, -0x1.8ebb9313102ep-18, -0x1.892e100922b6dp-18, -0x1.8392e4b3af24ep-18, -0x1.7deadac5390a3p-18, -0x1.7836b8e738563p-18, -0x1.727742b81f33ep-18, -0x1.6cad38c43c6bdp-18, -0x1.66d958844544fp-18, -0x1.60fc5c5a9f756p-18, -0x1.5b16fb909608fp-18, -0x1.5529ea54cd5ap-18, -0x1.4f35d9ba11d4cp-18, -0x1.493b77b7555f9p-18, -0x1.433b6f25a4372p-18, -0x1.3d3667c02e282p-18, -0x1.372d062471812p-18, -0x1.311febd3c02f1p-18, -0x1.2b0fb73594aa5p-18, -0x1.24fd039677356p-18, -0x1.1ee8692affba1p-18, -0x1.18d27d1229454p-18, -0x1.12bbd15687965p-18, -0x1.0ca4f4f23477cp-18, -0x1.068e73d223c1dp-18, -0x1.0078d6d936cc8p-18, -0x1.f4c947c780949p-19, -0x1.e8a4bb959aad4p-19, -0x1.dc8508d190c98p-19, -0x1.d06b293b6bb82p-19, }}, 
      std::vector<double>(550, 0.0), 
      {{0x1.018e5e71fd9b2p-8, 0x1.033f0ec94a15ep-7, 0x1.8906606a370fdp-7, 0x1.09ce499642df4p-6, 0x1.522c6da82c395p-6, 0x1.9e326885011fep-6, 0x1.ee5ce3beb669cp-6, 0x1.21880cb26020dp-5, 0x1.4e4c250a7c139p-5, 0x1.7d955f9b641aap-5, 0x1.af7396f11568ap-5, 0x1.e3ecac309273dp-5, 0x1.0d7eb4fd50d3fp-4, 0x1.2a4d37b488f71p-4, 0x1.48588dd306dcap-4, 0x1.67943a5071d86p-4, 0x1.87f1027d8c242p-4, 0x1.a95d57437691fp-4, 0x1.cbc5b7d34ef9cp-4, 0x1.ef150d4b8c868p-4, 0x1.099a7f8f8f0dcp-3, 0x1.1c07201f1be7cp-3, 0x1.2ec46a932ac52p-3, 0x1.41c6298ca7acbp-3, 0x1.55000c666120bp-3, 0x1.6865c07720277p-3, 0x1.7beb076f59b7bp-3, 0x1.8f83cb04dec3p-3, 0x1.a3242e1edafdbp-3, 0x1.b6c09bb35e4f6p-3, 0x1.ca4dd386023c7p-3, 0x1.ddc0f4f520826p-3, 0x1.f10f8800bd86bp-3, 0x1.0217c259e157fp-2, 0x1.0b8bac8adc52ap-2, 0x1.14def6e44fbd9p-2, 0x1.1e0d54ba14268p-2, 0x1.2712b98e96e5bp-2, 0x1.2feb59c310e13p-2, 0x1.3893aad976b18p-2, 0x1.4108635474deep-2, 0x1.49467a40c37e9p-2, 0x1.514b26724bfeep-2, 0x1.5913dd7ebe46fp-2, 0x1.609e527e69c3cp-2, 0x1.67e8749b7d4bdp-2, 0x1.6ef06d77180cbp-2, 0x1.75b49f6aefe4fp-2, 0x1.7c33a3adcb6c7p-2, 0x1.826c48605f4f8p-2, 0x1.885d8e87b6d73p-2, 0x1.8e06a7f9c01a8p-2, 0x1.9366f540242adp-2, 0x1.987e0375260c9p-2, 0x1.9d4b8a1de53p-2, 0x1.a1cf6904f61cfp-2, 0x1.a609a617f2a98p-2, 0x1.a9fa6b4a5af2ap-2, 0x1.ada2047fc1bd1p-2, 0x1.b100dd7f127c7p-2, 0x1.b4177ff06825cp-2, 0x1.b6e69166c937ep-2, 0x1.b96ed176d6922p-2, 0x1.bbb117db515c4p-2, 0x1.bdae52a8366e8p-2, 0x1.bf67848cfb163p-2, 0x1.c0ddc3265a0a8p-2, 0x1.c2123560017edp-2, 0x1.c30611e64e4d7p-2, 0x1.c3ba9da830601p-2, 0x1.c4312a693704dp-2, 0x1.c46b1563b245fp-2, 0x1.c469c5fac7672p-2, 0x1.c42eac7c418eap-2, 0x1.c3bb40f1e33a2p-2, 0x1.c3110201ea371p-2, 0x1.c23173de6f08ep-2, 0x1.c11e1f434adbep-2, 0x1.bfd890821a76cp-2, 0x1.be62569bf902fp-2, 0x1.bcbd026888ae7p-2, 0x1.baea25c9d65c1p-2, 0x1.b8eb52ecad12bp-2, 0x1.b6c21b94e5808p-2, 0x1.b47010753c243p-2, 0x1.b1f6c09241eb9p-2, 0x1.af57b8aff47d2p-2, 0x1.ac9482c98a816p-2, 0x1.a9aea5930a5fp-2, 0x1.a6a7a4043ec75p-2, 0x1.a380fcec979b1p-2, 0x1.a03c2a8f9c8e8p-2, 0x1.9cdaa2497de08p-2, 0x1.995dd43b6b303p-2, 0x1.95c72aff4e5c2p-2, 0x1.92180b6287e79p-2, 0x1.8e51d4275e9cfp-2, 0x1.8a75ddccbfe8ep-2, 0x1.86857a5c05b94p-2, 0x1.8281f53c6fa1ep-2, 0x1.7e6c930bfd082p-2, 0x1.7a46917d67afbp-2, 0x1.7611273aeb174p-2, 0x1.71cd83cd9e97fp-2, 0x1.6d7ccf8919454p-2, 0x1.69202b7b26d1ap-2, 0x1.64b8b15f494c2p-2, 0x1.60477395d442p-2, 0x1.5bcd7d1e68f8cp-2, 0x1.574bd1959b755p-2, 0x1.52c36d3591b1ap-2, 0x1.4e3544d96b4ep-2, 0x1.49a2460341cdfp-2, 0x1.450b56e49a3bfp-2, 0x1.4071566916f23p-2, 0x1.3bd51c434ba01p-2, 0x1.373778fb8169p-2, 0x1.32993600512a6p-2, 0x1.2dfb15b8ec528p-2, 0x1.295dd398f2dccp-2, 0x1.24c22435b8fb1p-2, 0x1.2028b55cde135p-2, 0x1.1b922e2c180bp-2, 0x1.16ff2f2a195dfp-2, 0x1.1270526074889p-2, 0x1.0de62b76681b2p-2, 0x1.096147cc7e578p-2, 0x1.04e22e98e040fp-2, 0x1.0069610452df4p-2, 0x1.f7eeb48f8d0c9p-3, 0x1.ef191f94bd3ddp-3, 0x1.e652e27fdbf9p-3, 0x1.dd9cd18f91095p-3, 0x1.d4f7b617c6406p-3, 0x1.cc644ec0643f3p-3, 0x1.c3e34fc4602c6p-3, 0x1.bb75633119751p-3, 0x1.b31b2925d1107p-3, 0x1.aad538133ce92p-3, 0x1.a2a41cfb09ae5p-3, 0x1.9a885baf46a86p-3, 0x1.92826f119f696p-3, 0x1.8a92c9524f1fap-3, 0x1.82b9d42ec7617p-3, 0x1.7af7f12fe1fbfp-3, 0x1.734d79e7af5ccp-3, 0x1.6bbac02eb2161p-3, 0x1.64400e6095917p-3, 0x1.5cdda7983da15p-3, 0x1.5593c7eb30b5ap-3, 0x1.4e62a4a45223fp-3, 0x1.474a6c7dd3e2bp-3, 0x1.404b47da706dbp-3, 0x1.396558fdc6204p-3, 0x1.3298bc43e75e8p-3, 0x1.2be58858060c8p-3, 0x1.254bce6a3dd65p-3, 0x1.1ecb9a647803cp-3, 0x1.1864f31e58205p-3, 0x1.1217da90406b4p-3, 0x1.0be44e05556fdp-3, 0x1.05ca464c933cdp-3, 0x1.ff936fd1ae6cap-4, 0x1.f3c5267ff1c6cp-4, 0x1.e8298991b06d7p-4, 0x1.dcc06a70dd069p-4, 0x1.d189935baf1dbp-4, 0x1.c684c7bab8df3p-4, 0x1.bbb1c474e6068p-4, 0x1.b11040417c9f1p-4, 0x1.a69febf8150bap-4, 0x1.9c6072de8248cp-4, 0x1.92517af4bf014p-4, 0x1.8872a53ed9ff4p-4, 0x1.7ec38e0cd988ep-4, 0x1.7543cd40abd2cp-4, 0x1.6bf2f6921eba3p-4, 0x1.62d099d0e1c4dp-4, 0x1.59dc43249d4dcp-4, 0x1.51157b4b1ee05p-4, 0x1.487bc7d4a3322p-4, 0x1.400eab5e416ep-4, 0x1.37cda5ca80f61p-4, 0x1.2fb834781c6d6p-4, 0x1.27cdd276fc3cdp-4, 0x1.200df8bb6b0a6p-4, 0x1.18781e4f91ae4p-4, 0x1.110bb8833a1eap-4, 0x1.09c83b19e7ec2p-4, 0x1.02ad187747b79p-4, 0x1.f773839406b2ap-5, 0x1.e9db4e69f9aep-5, 0x1.dc906fedf787cp-5, 0x1.cf91c521a7763p-5, 0x1.c2de29d419803p-5, 0x1.b67478e826ff4p-5, 0x1.aa538c97f85aap-5, 0x1.9e7a3eb5bcff7p-5, 0x1.92e768e9a9499p-5, 0x1.8799e4ed43845p-5, 0x1.7c908cc41a0adp-5, 0x1.71ca3af1ea46bp-5, 0x1.6745caae4eb71p-5, 0x1.5d02181600aaap-5, 0x1.52fe0059bddc7p-5, 0x1.493861eae38a3p-5, 0x1.3fb01ca5d1aa8p-5, 0x1.366411fa196dfp-5, 0x1.2d53251098d0fp-5, 0x1.247c3aef85b5fp-5, 0x1.1bde3a9c77a84p-5, 0x1.13780d3c89f75p-5, 0x1.0b489e3298466p-5, 0x1.034edb3bad243p-5, 0x1.f713691356362p-6, 0x1.e7f039b88946p-6, 0x1.d932133096192p-6, 0x1.cad6e5bac70bep-6, 0x1.bcdca7346bdc7p-6, 0x1.af41533e308e5p-6, 0x1.a202eb5e965c6p-6, 0x1.951f7721a5f11p-6, 0x1.88950435f4ee9p-6, 0x1.7c61a6870e422p-6, 0x1.70837855628dfp-6, 0x1.64f89a4bd025p-6, 0x1.59bf3392dbeep-6, 0x1.4ed571e1b482ap-6, 0x1.4439898d07481p-6, 0x1.39e9b593e081fp-6, 0x1.2fe437aa79841p-6, 0x1.2627584335c11p-6, 0x1.1cb16695c9c99p-6, 0x1.1380b8a4aa7c5p-6, 0x1.0a93ab40d54cbp-6, 0x1.01e8a20bf95b8p-6, 0x1.f2fc0ef25a094p-7, 0x1.e2a49998547cfp-7, 0x1.d2c7d42e4c6aap-7, 0x1.c362bc6ec8ff7p-7, 0x1.b4725da101ff8p-7, 0x1.a5f3d08d2036dp-7, 0x1.97e43b6e45552p-7, 0x1.8a40d1e259cdep-7, 0x1.7d06d4d7eb527p-7, 0x1.7033927a1eb78p-7, 0x1.63c4661acd32ap-7, 0x1.57b6b81aea7e1p-7, 0x1.4c07fdd162544p-7, 0x1.40b5b97065612p-7, 0x1.35bd79e9528ecp-7, 0x1.2b1cdacf3f59fp-7, 0x1.20d18438622c1p-7, 0x1.16d92a9e38bacp-7, 0x1.0d318ebcac4abp-7, 0x1.03d87d702cf03p-7, 0x1.f5979f25d5934p-8, 0x1.e412d3b265195p-8, 0x1.d31e795a16c0ap-8, 0x1.c2b688121bfd3p-8, 0x1.b2d70ea554e87p-8, 0x1.a37c3267980e9p-8, 0x1.94a22ee804818p-8, 0x1.864555a253c7ap-8, 0x1.78620daf667a2p-8, 0x1.6af4d37507e9dp-8, 0x1.5dfa385546cebp-8, 0x1.516ee25d0ff82p-8, 0x1.454f8bf2799d1p-8, 0x1.39990382b5ba1p-8, 0x1.2e482b2fca73p-8, 0x1.2359f87e29cedp-8, 0x1.18cb740213afep-8, 0x1.0e99b90d0c585p-8, 0x1.04c1f55b537efp-8, 0x1.f682d183275ebp-9, 0x1.e42ac9b55e70ap-9, 0x1.d276996b7b07dp-9, 0x1.c1612908e75bp-9, 0x1.b0e582939729cp-9, 0x1.a0fed11278ed9p-9, 0x1.91a85fec838b4p-9, 0x1.82dd9a48e43f5p-9, 0x1.749a0a70270dcp-9, 0x1.66d9592eb7b7ep-9, 0x1.59974d38b868ap-9, 0x1.4ccfca8ec2904p-9, 0x1.407ed1e4704dfp-9, 0x1.34a080080df58p-9, 0x1.29310d4c07307p-9, 0x1.1e2cccf1e21fcp-9, 0x1.13902c96aaa9dp-9, 0x1.0957b3a10cffap-9, 0x1.ff00056298c8fp-10, 0x1.ec0ba6255e626p-10, 0x1.d9cbec5e533adp-10, 0x1.c83aaa08c8dfdp-10, 0x1.b751df355304ap-10, 0x1.a70bb8fb9939ep-10, 0x1.9762906fc1a16p-10, 0x1.8850e99c147f8p-10, 0x1.79d1727e04fdep-10, 0x1.6bdf0206ebb02p-10, 0x1.5e749721239ep-10, 0x1.518d57b8b627ep-10, 0x1.45248fc83c67dp-10, 0x1.3935b069f06ep-10, 0x1.2dbc4eebb8b9p-10, 0x1.22b423e810ecep-10, 0x1.18190a6280448p-10, 0x1.0de6fee816357p-10, 0x1.041a1eb465f95p-10, 0x1.f55d4db2dd666p-11, 0x1.e341e6d84d034p-11, 0x1.d1dafd6945355p-11, 0x1.c121c0c490d6ap-11, 0x1.b10f9987abed3p-11, 0x1.a19e280792794p-11, 0x1.92c742cee32e4p-11, 0x1.8484f52570528p-11, 0x1.76d17d9ed8b6ep-11, 0x1.69a74cb0538c7p-11, 0x1.5d01034f11507p-11, 0x1.50d97194ec616p-11, 0x1.452b956be5ffcp-11, 0x1.39f2994242f86p-11, 0x1.2f29d2c4892f7p-11, 0x1.24ccc19f2930cp-11, 0x1.1ad70e47e5c8ap-11, 0x1.114488ccd1f5p-11, 0x1.081127aa23954p-11, 0x1.fe720d4f9b317p-12, 0x1.ed70cb7998e11p-12, 0x1.dd174ff2754a6p-12, 0x1.cd5ea4ef72ca9p-12, 0x1.be4016a8ca943p-12, 0x1.afb5315241a77p-12, 0x1.a1b7bf2448862p-12, 0x1.9441c66dc06dp-12, 0x1.874d87b39f303p-12, 0x1.7ad57bdc28b64p-12, 0x1.6ed45266659b3p-12, 0x1.6344efaa4b80dp-12, 0x1.58226b26d09ebp-12, 0x1.4d680dda23329p-12, 0x1.431150a43659fp-12, 0x1.3919dab546b9p-12, 0x1.2f7d8006c0b41p-12, 0x1.26383fdc4aed4p-12, 0x1.1d464350b7718p-12, 0x1.14a3dbecc6ce6p-12, 0x1.0c4d8246fd366p-12, 0x1.043fd4ad18eap-12, 0x1.f8ef2bb02e7b6p-13, 0x1.e9e35750e0b47p-13, 0x1.db563bd3aa40bp-13, 0x1.cd422a4385a11p-13, 0x1.bfa1b2ccacdfdp-13, 0x1.b26fa279b4502p-13, 0x1.a5a7010171579p-13, 0x1.99430ea7c4476p-13, 0x1.8d3f422b5ddfp-13, 0x1.819746c0b599fp-13, 0x1.7646fa21a1d0cp-13, 0x1.6b4a6aa7e116fp-13, 0x1.609dd5775c035p-13, 0x1.563da4b677267p-13, 0x1.4c266dd50d665p-13, 0x1.4254efdfc047ap-13, 0x1.38c611deaa0a8p-13, 0x1.2f76e144ce4e1p-13, 0x1.266490699baa1p-13, 0x1.1d8c750e65881p-13, 0x1.14ec06f2371eep-13, 0x1.0c80de6f9d45fp-13, 0x1.0448b325cd9acp-13, 0x1.f882b55895659p-14, 0x1.e8d18ea357f69p-14, 0x1.d97a0dcf5d6e3p-14, 0x1.ca7883297f369p-14, 0x1.bbc97165b0b21p-14, 0x1.ad698b717559ep-14, 0x1.9f55b2543bfbfp-14, 0x1.918af3246895ap-14, 0x1.8406850c62142p-14, 0x1.76c5c765fab6ep-14, 0x1.69c63fe3cd9a2p-14, 0x1.5d0598c9369aap-14, 0x1.50819f3731668p-14, 0x1.44384185c53ep-14, 0x1.38278dadde2b2p-14, 0x1.2c4dafbf908p-14, 0x1.20a8f067cb12ep-14, 0x1.1537b387a8761p-14, 0x1.09f876d4d0fb9p-14, 0x1.fdd3a10fd296ep-15, 0x1.e814dc3614902p-15, 0x1.d2b22621d0335p-15, 0x1.bda92f92cbab8p-15, 0x1.a8f7d0c092d82p-15, 0x1.949c07346b3bbp-15, 0x1.8093f3b72daa9p-15, 0x1.6cddd8505afb7p-15, 0x1.5978165f8eb66p-15, 0x1.46612cc99f5p-15, 0x1.3397b633e8b0bp-15, 0x1.211a67595634p-15, 0x1.0ee80d65a12a8p-15, 0x1.f9ff18e540f9ep-16, 0x1.d6bfbc1a63badp-16, 0x1.b4101f8f0b57dp-16, 0x1.91ee83c6e4192p-16, 0x1.70594c141141p-16, 0x1.4f4efc177707cp-16, 0x1.2ece3577b3f17p-16, 0x1.0ed5b58d13a4cp-16, 0x1.dec8a69724e95p-17, 0x1.a0f1fa7bddc56p-17, 0x1.64256f21cdac8p-17, 0x1.28613470e5f94p-17, 0x1.db473cecbfa3p-18, 0x1.67d643f7e3f5p-18, 0x1.ecd945ad041c1p-19, 0x1.0e0f6763c7ccep-19, 0x1.9a50021aca64cp-22, -0x1.46f70ff7766a6p-20, -0x1.76457f3e183dcp-19, -0x1.228bf961df4bfp-18, -0x1.87fb5c14f8e8cp-18, -0x1.eb72badd5d8f7p-18, -0x1.2679eaac2a3b1p-17, -0x1.56402dad3e142p-17, -0x1.850cf830d3569p-17, -0x1.b2e1178b31efbp-17, -0x1.dfbd561abb85dp-17, -0x1.05d13e63f1564p-16, -0x1.1b48aa2f4ede8p-16, -0x1.304553660af59p-16, -0x1.44c7a025d86f2p-16, -0x1.58cff83bebda9p-16, -0x1.6c5ec5aa33a62p-16, -0x1.7f74751a98d35p-16, -0x1.9211764b622ep-16, -0x1.a4363c7067f31p-16, -0x1.b5e33e9167c1p-16, -0x1.c718f7d83e1e9p-16, -0x1.d7d7e7dc68a68p-16, -0x1.e82092e61cf4cp-16, -0x1.f7f3822553839p-16, -0x1.03a8a1f4a063cp-15, -0x1.0b1d35e878c44p-15, -0x1.1257c9767f874p-15, -0x1.1958abf1a1758p-15, -0x1.20202f84f5d1p-15, -0x1.26aea93fd92b3p-15, -0x1.2d04711cc0cabp-15, -0x1.3321e208e9d73p-15, -0x1.390759e9fb953p-15, -0x1.3eb5399a58e28p-15, -0x1.442be4ef54004p-15, -0x1.496bc2b4200f3p-15, -0x1.4e753ca6b5e7fp-15, -0x1.5348bf715f1a5p-15, -0x1.57e6baa52b1d6p-15, -0x1.5c4fa0b10e40dp-15, -0x1.6083e6d60c5f7p-15, -0x1.6484051eed563p-15, -0x1.68507653e9f8fp-15, -0x1.6be9b7ea292cfp-15, -0x1.6f5049f8852bap-15, -0x1.7284af26c9338p-15, -0x1.75876c9e7793ep-15, -0x1.785909f7f78acp-15, -0x1.7afa112b248d4p-15, -0x1.7d6b0e7bc9158p-15, -0x1.7fac9065cbfadp-15, -0x1.81bf278ac0ac1p-15, -0x1.83a3669eb1414p-15, -0x1.8559e252ea624p-15, -0x1.86e331408b02dp-15, -0x1.883febd4a5d68p-15, -0x1.8970ac3a8dad2p-15, -0x1.8a760e4639399p-15, -0x1.8b50af5e8b1b6p-15, -0x1.8c012e67dfcd2p-15, -0x1.8c882bae571ebp-15, -0x1.8ce648ce064bdp-15, -0x1.8d1c289eb098fp-15, -0x1.8d2a6f1eb62c3p-15, -0x1.8d11c15aa2925p-15, -0x1.8cd2c558f2537p-15, -0x1.8c6e22035793ep-15, -0x1.8be47f1270e39p-15, -0x1.8b3684f6df084p-15, -0x1.8a64dcc454fccp-15, -0x1.8970301d1cab6p-15, -0x1.8859291d37dc2p-15, -0x1.87207243b22ap-15, -0x1.85c6b66093f58p-15, -0x1.844ca0805cac8p-15, -0x1.82b2dbd722ffap-15, -0x1.80fa13ad5877bp-15, -0x1.7f22f34c7a4f5p-15, -0x1.7d2e25ed506a5p-15, -0x1.7b1c56a3df979p-15, -0x1.78ee304d5bcabp-15, -0x1.76a45d7efc98cp-15, -0x1.743f887480a45p-15, -0x1.71c05afdcf22fp-15, -0x1.6f277e6f19fap-15, -0x1.6c759b912f6afp-15, -0x1.69ab5a90659e6p-15, -0x1.66c962ec99cf1p-15, -0x1.63d05b6a9cc8ap-15, -0x1.60c0ea05f8652p-15, -0x1.5d9bb3e2b1cbcp-15, -0x1.5a615d3d41c2ep-15, -0x1.5712895ef511bp-15, -0x1.53afda8ff3ec4p-15, -0x1.5039f20b04e2bp-15, -0x1.4cb16ff020182p-15, -0x1.4916f339ae4cap-15, -0x1.456b19b0e99b1p-15, -0x1.41ae7fe1a3a7p-15, -0x1.3de1c10fa45b4p-15, -0x1.3a05772cdc82p-15, -0x1.361a3ad0a1892p-15, -0x1.3220a32c4c382p-15, -0x1.2e19460249386p-15, -0x1.2a04b79df36p-15, -0x1.25e38acadc6eap-15, -0x1.21b650ccfc5f6p-15, -0x1.1d7d9958ac7d2p-15, -0x1.1939f28c19863p-15, -0x1.14ebe8e810708p-15, -0x1.10940748db647p-15, -0x1.0c32d6e0221ffp-15, -0x1.07c8df2fa9ba7p-15, -0x1.0356a6049c995p-15, -0x1.fdb95ee22dc0cp-16, -0x1.f4b6fb8f1cee1p-16, -0x1.eba7232d350eep-16, -0x1.e28ad349466c4p-16, -0x1.d96305d89c48p-16, -0x1.d030b131fef3ep-16, -0x1.c6f4c8068206bp-16, -0x1.bdb0395da7026p-16, -0x1.b463f08d4e51cp-16, -0x1.ab10d536311fap-16, -0x1.a1b7cb3f69c86p-16, }}, 
      {{0x1.f86a1525956cbp-1, 0x1.f7cd9891fc999p-1, 0x1.f6ce33151fe23p-1, 0x1.f572b7f44afdcp-1, 0x1.f3c3397976415p-1, 0x1.f1c8733ce0dd1p-1, 0x1.ef8b59fb3bda6p-1, 0x1.ed14c917ddb62p-1, 0x1.ea6d4775aed91p-1, 0x1.e79cde914f04ap-1, 0x1.e4aaffc973725p-1, 0x1.e19e74935ded6p-1, 0x1.de7d570204a6ep-1, 0x1.db4d108e9b9a4p-1, 0x1.d8125d7eeb59bp-1, 0x1.d4d1539e4425bp-1, 0x1.d18d6b44f193ap-1, 0x1.ce4989e32a9a6p-1, 0x1.cb080d72418edp-1, 0x1.c7cad8537c337p-1, 0x1.c4935d4130388p-1, 0x1.c162ab0e12ae1p-1, 0x1.be3978010c925p-1, 0x1.bb182caa81dffp-1, 0x1.b7feee1b65dc2p-1, 0x1.b4eda76f61894p-1, 0x1.b1e412a23dc53p-1, 0x1.aee1c0ae062abp-1, 0x1.abe620f35cbd4p-1, 0x1.a8f087f06ed4fp-1, 0x1.a600354d18ec5p-1, 0x1.a314594451ac5p-1, 0x1.a02c1973ebbe1p-1, 0x1.9d46951c5220ep-1, 0x1.9a62e8da38f65p-1, 0x1.978031e439a2bp-1, 0x1.949d90d6380e3p-1, 0x1.91ba2c142f0cep-1, 0x1.8ed531cd9d3e3p-1, 0x1.8bedd9aa641fap-1, 0x1.8903662974f9ep-1, 0x1.861525b923247p-1, 0x1.8322739076364p-1, 0x1.802ab850528e8p-1, 0x1.7d2d6a72cb928p-1, 0x1.7a2a0e8e7dc7dp-1, 0x1.772037734cfbp-1, 0x1.740f8625771bdp-1, 0x1.70f7a9bb793cep-1, 0x1.6dd85f22e0867p-1, 0x1.6ab170cfc10d3p-1, 0x1.6782b65a28a59p-1, 0x1.644c140c9de01p-1, 0x1.610d7a665e565p-1, 0x1.5dc6e593d1a3fp-1, 0x1.5a785cdf5b339p-1, 0x1.5721f21c7e45bp-1, 0x1.53c3c10f0a3cep-1, 0x1.505deecfd3885p-1, 0x1.4cf0a9304e3e5p-1, 0x1.497c261e31baep-1, 0x1.4600a3082cec1p-1, 0x1.427e64448305ap-1, 0x1.3ef5b47a572ep-1, 0x1.3b66e40e43b74p-1, 0x1.37d24892c5e31p-1, 0x1.34383c3cf2f6ep-1, 0x1.30991d5dca688p-1, 0x1.2cf54de076f0cp-1, 0x1.294d32cdaf1dap-1, 0x1.25a133d46472ep-1, 0x1.21f1bad7dad36p-1, 0x1.1e3f338338ea7p-1, 0x1.1a8a0ae29a5f9p-1, 0x1.16d2af01a0518p-1, 0x1.13198e8f766a2p-1, 0x1.0f5f18883e08fp-1, 0x1.0ba3bbe3c6a9ep-1, 0x1.07e7e7497c72p-1, 0x1.042c08c96acc6p-1, 0x1.00708d9a328abp-1, 0x1.f96bc3b7a209fp-2, 0x1.f1f8e0be1480fp-2, 0x1.ea8944e2adccp-2, 0x1.e31dbf5a46743p-2, 0x1.dbb71b9c728a2p-2, 0x1.d456211454cf7p-2, 0x1.ccfb92d9129c2p-2, 0x1.c5a82f6d98e4ap-2, 0x1.be5cb08756048p-2, 0x1.b719cadb94be8p-2, 0x1.afe02df3215b9p-2, 0x1.a8b08403e63c3p-2, 0x1.a18b71d02e7c8p-2, 0x1.9a71968b3cdefp-2, 0x1.93638bc2eb58p-2, 0x1.8c61e54e039f2p-2, 0x1.856d313f09f7p-2, 0x1.7e85f7db35201p-2, 0x1.77acbb9547cf7p-2, 0x1.70e1f90c0e895p-2, 0x1.6a26270c43698p-2, 0x1.6379b6959491ap-2, 0x1.5cdd12e29803ap-2, 0x1.5650a17370a9fp-2, 0x1.4fd4c21af267ep-2, 0x1.4969cf0e0e3a5p-2, 0x1.43101cf55758p-2, 0x1.3cc7fb0071d36p-2, 0x1.3691b2fb3f321p-2, 0x1.306d89649cff8p-2, 0x1.2a5bbd868f183p-2, 0x1.245c898fae879p-2, 0x1.1e7022adbb1c6p-2, 0x1.1896b92929ep-2, 0x1.12d07881936a7p-2, 0x1.0d1d878ae50b3p-2, 0x1.077e088b335afp-2, 0x1.01f219591adbfp-2, 0x1.f8f3a6f51611dp-3, 0x1.ee2a9887e44b5p-3, 0x1.e38929ef4fe9p-3, 0x1.d90f75cb0b703p-3, 0x1.cebd8f153ca0dp-3, 0x1.c4938161fba38p-3, 0x1.ba91511ec1813p-3, 0x1.b0b6fbd1ad436p-3, 0x1.a704785880f38p-3, 0x1.9d79b7273c163p-3, 0x1.9416a28631547p-3, 0x1.8adb1ecf99f5dp-3, 0x1.81c70aac7184ap-3, 0x1.78da3f50aa514p-3, 0x1.701490b6852dbp-3, 0x1.6775cdd9217d7p-3, 0x1.5efdc0ee18bc7p-3, 0x1.56ac2f9e2c88dp-3, 0x1.4e80db3cf3d2ap-3, 0x1.467b80ff810bfp-3, 0x1.3e9bda31f3445p-3, 0x1.36e19c6bf2318p-3, 0x1.2f4c79c4054e6p-3, 0x1.27dc2101cb588p-3, 0x1.20903dcf0418ap-3, 0x1.196878e76c77p-3, 0x1.126478476cda6p-3, 0x1.0b83df5990257p-3, 0x1.04c64f22ca5c5p-3, 0x1.fc56ccdb0fcf9p-4, 0x1.ef6583e70e738p-4, 0x1.e2b7f90cfd286p-4, 0x1.d64d5e6f169ffp-4, 0x1.ca24e2fae6dd4p-4, 0x1.be3db2b3588bdp-4, 0x1.b296f6f87a47p-4, 0x1.a72fd6ccdfac4p-4, 0x1.9c077718ac4adp-4, 0x1.911cfaea5c253p-4, 0x1.866f83b545315p-4, 0x1.7bfe318dd2e5dp-4, 0x1.71c8236394ce9p-4, 0x1.67cc7739202a9p-4, 0x1.5e0a4a59ca8bcp-4, 0x1.5480b98d4b06bp-4, 0x1.4b2ee1494c7f3p-4, 0x1.4213dde0f7c19p-4, 0x1.392ecbb27f153p-4, 0x1.307ec752bb78p-4, 0x1.2802edb6deaep-4, 0x1.1fba5c5c49f8ap-4, 0x1.17a4316e8f18ap-4, 0x1.0fbf8bebae998p-4, 0x1.080b8bc6941b1p-4, 0x1.00875207e4a68p-4, 0x1.f26401da452a3p-5, 0x1.e415780c724a6p-5, 0x1.d62150a2e6893p-5, 0x1.c885d8abdd3d4p-5, 0x1.bb41607922e39p-5, 0x1.ae523bcf23e63p-5, 0x1.a1b6c2112a75ep-5, 0x1.956d4e6aea6c6p-5, 0x1.89743ff7661f7p-5, 0x1.7dc9f9e54cde3p-5, 0x1.726ce398da215p-5, 0x1.675b68cb54becp-5, 0x1.5c93f9a840131p-5, 0x1.52150ae84a07dp-5, 0x1.47dd15ea15fc9p-5, 0x1.3dea98c8ee6b2p-5, 0x1.343c167177ac6p-5, 0x1.2ad016b46ca72p-5, 0x1.21a526577fcebp-5, 0x1.18b9d7246feabp-5, 0x1.100cbff6618c5p-5, 0x1.079c7cc58b43fp-5, 0x1.fecf5d6299066p-6, 0x1.eed9f8117159ep-6, 0x1.df5620a352a2ep-6, 0x1.d041389ccd718p-6, 0x1.c198ac03edd4fp-6, 0x1.b359f1664122ep-6, 0x1.a58289dc626d6p-6, 0x1.9810010b27b0cp-6, 0x1.8affed229017p-6, 0x1.7e4feeda86529p-6, 0x1.71fdb16d9fdf1p-6, 0x1.6606ea91d657fp-6, 0x1.5a695a6f7dbf4p-6, 0x1.4f22cb9662979p-6, 0x1.443112f14a396p-6, 0x1.39920fb7d6cbbp-6, 0x1.2f43ab5ef2104p-6, 0x1.2543d987ca43fp-6, 0x1.1b9097ed79022p-6, 0x1.1227ee516ee6ap-6, 0x1.0907ee66af325p-6, 0x1.002eb3bbe8cf7p-6, 0x1.ef34c7492ddfep-7, 0x1.de925a423391fp-7, 0x1.ce72918be4b3bp-7, 0x1.bed1f14449844p-7, 0x1.afad1049adefbp-7, 0x1.a10098046cd7ap-7, 0x1.92c9442f63f5ap-7, 0x1.8503e29f43016p-7, 0x1.77ad5308b34bp-7, 0x1.6ac286c584d1bp-7, 0x1.5e408098ed81bp-7, 0x1.5224547310148p-7, 0x1.466b2733af6a6p-7, 0x1.3b122e6c5014ep-7, 0x1.3016b021ceb24p-7, 0x1.2576028d79724p-7, 0x1.1b2d8bddcff4ep-7, 0x1.113ac1f6db708p-7, 0x1.079b2a3260d72p-7, 0x1.fc98b23fbc239p-8, 0x1.ea97e488b77d2p-8, 0x1.d92f4fb483c6ap-8, 0x1.c85a752242bbfp-8, 0x1.b814f29b27239p-8, 0x1.a85a81d26522p-8, 0x1.9926f7e571a66p-8, 0x1.8a7644dca4a29p-8, 0x1.7c44732c7c447p-8, 0x1.6e8da7374f162p-8, 0x1.614e1ecfae99dp-8, 0x1.548230bba2a28p-8, 0x1.48264c38a2f33p-8, 0x1.3c36f8806c6b3p-8, 0x1.30b0d44ebf427p-8, 0x1.2590956845f1ap-8, 0x1.1ad30822649b1p-8, 0x1.10750eec2fb72p-8, 0x1.0673a1d889751p-8, 0x1.f9979c52ea97bp-9, 0x1.e6f56bb953c72p-9, 0x1.d4fb1e72e3e6fp-9, 0x1.c3a348bf8e815p-9, 0x1.b2e8a5b1bd3f8p-9, 0x1.a2c616520b782p-9, 0x1.9336a0c5f2f74p-9, 0x1.84356f7935161p-9, 0x1.75bdd04a2edafp-9, 0x1.67cb33b90ce0ap-9, 0x1.5a592c1a5adcbp-9, 0x1.4d636ccc12a9ap-9, 0x1.40e5c96df06b3p-9, 0x1.34dc351cd022ep-9, 0x1.2942c1b12c57cp-9, 0x1.1e159f00b43ffp-9, 0x1.13511a22ce142p-9, 0x1.08f19cb85c3cfp-9, 0x1.fde7586d111eap-10, 0x1.eaa7d269b489ap-10, 0x1.d81e1d7c793d5p-10, 0x1.c643e34a40d52p-10, 0x1.b512ffb5887a9p-10, 0x1.a4857f9309f76p-10, 0x1.94959f6503244p-10, 0x1.853dca1bfb96fp-10, 0x1.767897ddf741bp-10, 0x1.6840ccd382843p-10, 0x1.5a9157fafac3cp-10, 0x1.4d65520237916p-10, 0x1.40b7fc2530951p-10, 0x1.3484bf134d363p-10, 0x1.28c729da189e5p-10, 0x1.1d7af0d6161cdp-10, 0x1.129beca96b9c3p-10, 0x1.08261937b5e62p-10, 0x1.fc2b294f828b6p-11, 0x1.e8cd3cd5c3b26p-11, 0x1.d62b2c9301049p-11, 0x1.c43df6eba477dp-11, 0x1.b2fed74610478p-11, 0x1.a26744442857cp-11, 0x1.9270ee077455bp-11, 0x1.8315bc7f59c92p-11, 0x1.744fcdc24d04ap-11, 0x1.661974701831p-11, 0x1.586d361daf20bp-11, 0x1.4b45c9cba3896p-11, 0x1.3e9e16656ae4dp-11, 0x1.3271314abae8bp-11, 0x1.26ba5ce2562d1p-11, 0x1.1b75073442a39p-11, 0x1.109cc88ecb3dfp-11, 0x1.062d623320fd2p-11, 0x1.f8457a1640987p-12, 0x1.e4f1d0d0ec335p-12, 0x1.d258319439dfdp-12, 0x1.c0714d56e7c9ap-12, 0x1.af361ab593dfbp-12, 0x1.9e9fd3aff61a1p-12, 0x1.8ea7f3759a6c6p-12, 0x1.7f4834437443ep-12, 0x1.707a8d4c08bd6p-12, 0x1.623930b1b8035p-12, 0x1.547e898e153e6p-12, 0x1.47453a06bafbbp-12, 0x1.3a881971e98e1p-12, 0x1.2e423286ddbb8p-12, 0x1.226ec199e184p-12, 0x1.170932e843437p-12, 0x1.0c0d20ee3c018p-12, 0x1.017652ca44419p-12, 0x1.ee81755bc9a9ap-13, 0x1.dad0e8afd3c97p-13, 0x1.c7d387337b724p-13, 0x1.b58225d5044f6p-13, 0x1.a3d5e4054d19bp-13, 0x1.92c8290681bffp-13, 0x1.8252a151d4c5bp-13, 0x1.726f3c0f66a6dp-13, 0x1.6318289e12af5p-13, 0x1.5447d43682345p-13, 0x1.45f8e79ad4c6ep-13, 0x1.382644dbce1a8p-13, 0x1.2acb052ffcccdp-13, 0x1.1de276dd69443p-13, 0x1.11681b2f56ed8p-13, 0x1.0557a481e3734p-13, 0x1.f359e8b834396p-14, 0x1.dcc8333174c57p-14, 0x1.c6f29d41e22dap-14, 0x1.b1d1ef6bb1203p-14, 0x1.9d5f428a6d793p-14, 0x1.8993fc9d66645p-14, 0x1.7669cdb006f01p-14, 0x1.63daacd86b5c4p-14, 0x1.51e0d552450f4p-14, 0x1.4076c3b639decp-14, 0x1.2f973347d93ffp-14, 0x1.1f3d1b55a615dp-14, 0x1.0f63acb817ea3p-14, 0x1.00064f66371cdp-14, 0x1.e24140399a1aap-15, 0x1.c55cdc3a6e418p-15, 0x1.a9577207e7be9p-15, 0x1.8e295d5f90737p-15, 0x1.73cb5270c83dp-15, 0x1.5a365a015ba2p-15, 0x1.4163cdac73184p-15, 0x1.294d5446a92cp-15, 0x1.11ecde671c4cdp-15, 0x1.f67946260cfp-16, 0x1.ca6e390feba96p-16, 0x1.9fae0a3b89a12p-16, 0x1.762ea8aa583ep-16, 0x1.4de677f7e6349p-16, 0x1.26cc4ad8062c9p-16, 0x1.00d75ddc71241p-16, 0x1.b7fea4c97841ap-17, 0x1.7078538af98ap-17, 0x1.2b0c813179fbbp-17, 0x1.cf59291760655p-18, 0x1.4c9533161c466p-18, 0x1.9b64e3c916cafp-19, 0x1.4a5d840af7692p-20, -0x1.26a34875aa65ep-21, -0x1.31509291a5b44p-19, -0x1.08fa9df8459ffp-18, -0x1.75e0d409e86e6p-18, -0x1.df6f7389589e7p-18, -0x1.22dd15deb90cp-17, -0x1.5469ef64760fep-17, -0x1.8467564d2d4fp-17, -0x1.b2ddfeba911f3p-17, -0x1.dfd645faf8d2dp-17, -0x1.05ac1bb09752ap-16, -0x1.1ab5c86b91656p-16, -0x1.2f0be3947264ap-16, -0x1.42b2051a45289p-16, -0x1.55aba46f50522p-16, -0x1.67fc1a6516e3ep-16, -0x1.79a6a2f68b36p-16, -0x1.8aae5efbf7ad8p-16, -0x1.9b1655caa6e76p-16, -0x1.aae176b91311ap-16, -0x1.ba129a913aa8p-16, -0x1.c8ac84f4b5a19p-16, -0x1.d6b1e5a821a7ep-16, -0x1.e42559cbcbaa1p-16, -0x1.f1096d0a8f468p-16, -0x1.fd609aafc0db8p-16, -0x1.0496a75d8a8d3p-15, -0x1.0a38f369bee1ap-15, -0x1.0f98599a6ad14p-15, -0x1.14b5fbca4446dp-15, -0x1.1992f5f80e2f2p-15, -0x1.1e305ea801154p-15, -0x1.228f4743c1bb7p-15, -0x1.26b0bc6c7a247p-15, -0x1.2a95c6527357ap-15, -0x1.2e3f68fe45cb2p-15, -0x1.31aea496bfd03p-15, -0x1.34e475a4a2984p-15, -0x1.37e1d551ac96p-15, -0x1.3aa7b99f0f316p-15, -0x1.3d37159d68dfdp-15, -0x1.3f90d99d3ee63p-15, -0x1.41b5f35b15879p-15, -0x1.43a74e2dc39edp-15, -0x1.4565d329dda02p-15, -0x1.46f2694550861p-15, -0x1.484df5792a87fp-15, -0x1.49795adf5b3aap-15, -0x1.4a757acb5fc58p-15, -0x1.4b4334e538ec6p-15, -0x1.4be3673ed0e06p-15, -0x1.4c56ee6599b27p-15, -0x1.4c9ea57773f6p-15, -0x1.4cbb662f45e3cp-15, -0x1.4cae08f3b285dp-15, -0x1.4c7764e2cd82cp-15, -0x1.4c184fdbdc459p-15, -0x1.4b919e878e6f1p-15, -0x1.4ae4245ede338p-15, -0x1.4a10b3b21407dp-15, -0x1.49181dab7fc98p-15, -0x1.47fb32530058fp-15, -0x1.46bac09009555p-15, -0x1.4557962b112a2p-15, -0x1.43d27fcc6775dp-15, -0x1.422c48fc5adebp-15, -0x1.4065bc2125a5fp-15, -0x1.3e7fa27ba238ap-15, -0x1.3c7ac4258e3aep-15, -0x1.3a57e80d60708p-15, -0x1.3817d3f114c0fp-15, -0x1.35bb4c5a15f04p-15, -0x1.3343149800fdcp-15, -0x1.30afeebabe73dp-15, -0x1.2e029b8be1733p-15, -0x1.2b3bda8925884p-15, -0x1.285c69de21a86p-15, -0x1.2565065b4b65cp-15, -0x1.22566b71c0979p-15, -0x1.1f315329dadd1p-15, -0x1.1bf6761ca3eadp-15, -0x1.18a68b6c93e53p-15, -0x1.154248be08c19p-15, -0x1.11ca622f6ebffp-15, -0x1.0e3f8a516940ep-15, -0x1.0aa272202872ap-15, -0x1.06f3c8fbc3832p-15, -0x1.03343ca05988bp-15, -0x1.fec8f23e049b5p-16, -0x1.f70a51ac5dfd9p-16, -0x1.ef2de8d618e8ap-16, -0x1.e7350584ffc2dp-16, -0x1.df20f1f4bb0a4p-16, -0x1.d6f2f4c4db468p-16, -0x1.ceac50ebd235p-16, -0x1.c64e45aac7043p-16, -0x1.bdda0e8185373p-16, -0x1.b550e323b4d7ep-16, -0x1.acb3f76b4214fp-16, -0x1.a4047b4e5801bp-16, -0x1.9b439ad4c34bbp-16, -0x1.92727e0f6465dp-16, -0x1.8992490d7e10dp-16, -0x1.80a41bd37e308p-16, -0x1.77a9125439887p-16, -0x1.6ea24465ebb8ep-16, -0x1.6590c5bcd4103p-16, -0x1.5c75a5e55abeap-16, -0x1.5351f03bf9e6dp-16, -0x1.4a26abe6dfac8p-16, -0x1.40f4dbd0ad9c2p-16, -0x1.37bd7ea525ab2p-16, -0x1.2e818ecc76225p-16, -0x1.25420265c0195p-16, -0x1.1bffcb45ad02ep-16, -0x1.12bbd6f37f1dcp-16, -0x1.09770ea46c813p-16, -0x1.0032573cad546p-16, -0x1.eddd229bc0b6ap-17, -0x1.db59322afbdbp-17, -0x1.c8da8cf6ff0c9p-17, -0x1.b662da268580bp-17, -0x1.a3f3b83c3f15fp-17, -0x1.918ebd162a994p-17, -0x1.7f3575eea907ep-17, -0x1.6ce96763f7695p-17, -0x1.5aac0d7c4f2c8p-17, -0x1.487edba949ba8p-17, -0x1.36633cd191b1ap-17, -0x1.245a93582d307p-17, -0x1.12663924aa87bp-17, -0x1.00877fa8a03c2p-17, -0x1.dd7f5fd71d262p-18, -0x1.ba201530ca27p-18, -0x1.96f390113fddep-18, -0x1.73fc3096127cdp-18, -0x1.513c466a128b5p-18, -0x1.2eb610dd86c0dp-18, -0x1.0c6bbf0123b62p-18, -0x1.d4bedf8a29ef7p-19, -0x1.9126642bd478fp-19, -0x1.4e120a0365c9fp-19, -0x1.0b85af9fdd3fep-19, -0x1.930a2891a8b8cp-20, -0x1.1027b09419844p-20, -0x1.1cd5f529a23e9p-21, -0x1.bb599fbfed53ep-25, 0x1.c60938299e95dp-22, 0x1.df4c0ff4af44ap-21, 0x1.6c8a4d5520a22p-20, 0x1.e8294501fba7fp-20, 0x1.313ea7d1d8f68p-19, 0x1.6dc0837e72368p-19, 0x1.a9979e9adaa8p-19, 0x1.e4c17e25023a3p-19, 0x1.0f9de15596f48p-18, 0x1.2c8213f6df27fp-18, 0x1.490c423ebe17ep-18, 0x1.653b64b811e79p-18, 0x1.810e8101c0b28p-18, 0x1.9c84a99dfecdap-18, 0x1.b79cfdc6f2bcbp-18, 0x1.d256a93e05409p-18, 0x1.ecb0e41a7af15p-18, 0x1.035579503d56ap-17, 0x1.10221284a4eabp-17, 0x1.1cbdebad2f46ep-17, 0x1.2928b89add33cp-17, 0x1.356232d3bd1e4p-17, }}, 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
      std::vector<double>(550, 0.0), 
    }}, 
    {
      40, 0x1.f333333333333p+1, 0x1.74876948918b6p+2, 0x1.5622de256fbacp+3, 0x1.245fe5da7c45p-5, 
      {{
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.74bead97f954cp-1, -0x1.01e96f0690cf3p+2, 0x1.774fa180f1b61p+3, -0x1.fefc2faa40178p+3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.1b9210c3a30f3p-1, -0x1.7d07617094c6bp+1, 0x1.2aa9cd8dce7f4p+3, -0x1.bd7d5335ce00bp+3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.b4d738be75707p-2, -0x1.12ed9e83b66ffp+1, 0x1.cfae02251264ap+2, -0x1.85ce5894fd18fp+3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.57db7e308c71ep-2, -0x1.83c5db160410cp+0, 0x1.5abce791f9aa6p+2, -0x1.4b7dc0840b6edp+3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.16d8abc2dd407p-2, -0x1.0cf7995e6daeap+0, 0x1.ee94c207ec777p+1, -0x1.11e3bc5ffb6e1p+3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.d3b2afca00933p-3, -0x1.74f7fbbaf71ccp-1, 0x1.4a3f510188cfbp+1, -0x1.b0220bf10b833p+2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.9495eb21a88b9p-3, -0x1.0acc3834558e8p-1, 0x1.9137013f3de8cp+0, -0x1.3cd509638a7bep+2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.65fba894fc78bp-3, -0x1.9b211f1de068bp-2, 0x1.a63b2a6d6f3e5p-1, -0x1.912f84ae56695p+1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.404a4040d3007p-3, -0x1.5ec11978d995ep-2, 0x1.6b0a1c09aa003p-2, -0x1.5f0c8c1365772p+0}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.1eadc3568f664p-3, -0x1.44fb584f81639p-2, 0x1.30d1f66273d57p-3, 0x1.2e1eb5b6757e3p-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe2ff838430fp-4, -0x1.31358195ed091p-2, 0x1.e617969cba538p-3, 0x1.39fe87163b984p+0}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.c4343b3ad94f1p-4, -0x1.0f7c0d0adccf7p-2, 0x1.af714f8ee753p-2, 0x1.1119066837b6ap-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.927ea09764c3dp-4, -0x1.c07cd9574c3fp-3, 0x1.00af9bf0af37fp-1, 0x1.b0292675d7f7p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.6ace7d39fb1b4p-4, -0x1.5900c4a71f83dp-3, 0x1.04bccb8030717p-1, -0x1.10db367990284p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4d3f897b121f8p-4, -0x1.f1c992bbc9e1ap-4, 0x1.b79e39dbe8d65p-2, -0x1.8453024511672p-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.385dde9fd7e88p-4, -0x1.593d57e2d9501p-4, 0x1.431eec60ca049p-2, -0x1.48a6cab7bb0c5p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.2a01db5dfd362p-4, -0x1.d76bb9136f22p-5, 0x1.c10cf8b9bd671p-3, -0x1.26fbfad4e0932p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.202c085f7fc38p-4, -0x1.4732da15e2299p-5, 0x1.100f623a0375fp-3, -0x1.fcb2a490ac7dbp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.191915c3027d2p-4, -0x1.f1cafe751defbp-6, 0x1.ddcd903a72102p-5, -0x1.af2949701d548p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.1341db1bcd81ap-4, -0x1.c5f8c176e1aefp-6, -0x1.3cb97260bc5c4p-8, -0x1.609fc7c0dca93p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.0d5b5771ce213p-4, -0x1.f83467d07182bp-6, -0x1.cebd513386bb3p-5, -0x1.125aea53d5778p-2}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.0656b14196de1p-4, -0x1.3ad66ded48cc6p-5, -0x1.8bfb9b98dd0cbp-4, -0x1.880744d944074p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.fac26cf8bed8p-5, -0x1.95cb876e88f7bp-5, -0x1.00cbb1b9d2541p-3, -0x1.d6c580af7b9acp-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e3c8b9100961cp-5, -0x1.01c995aa8c468p-4, -0x1.241a81c6fb99p-3, -0x1.3aeb8e5c54972p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.c70b807e1188p-5, -0x1.3d639bfed9cb3p-4, -0x1.2fe9bd840b91ep-3, 0x1.37a68de7b36aap-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a44e4be125ddfp-5, -0x1.7900c5d8b5fe8p-4, -0x1.2439e4fe8e715p-3, 0x1.d5305214cbfaep-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7bccf2c0df596p-5, -0x1.afede8ca2fac5p-4, -0x1.010978703257dp-3, 0x1.87220a4caa03ep-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.4e3b9b8e2155p-5, -0x1.dd7840b9135a2p-4, -0x1.8cbbedc964e22p-4, 0x1.121a3f2424f7fp-2}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1cc6bba3198dep-5, -0x1.fceb89ceb0cf7p-4, -0x1.d08b8fcdd09c1p-5, 0x1.5fa4a5d658a12p-2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.d2262e8680495p-6, -0x1.04cc8c694688p-3, -0x1.54964664cb8fp-8, 0x1.b0e6105a4e1d5p-2}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6a7b8336af3d9p-6, -0x1.febd5fcfd4f3bp-4, 0x1.dce7b1395de24p-5, 0x1.f44a3ee2dfeadp-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.07b83982d9c9fp-6, -0x1.d7e2c324e0944p-4, 0x1.0d50325f343fdp-3, 0x1.35b62cc397c38p-1}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.5fef66d35d0dap-7, -0x1.8f70c09fb36c9p-4, 0x1.c723e6d48f4e2p-3, 0x1.7d2cd6a3f504bp-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.a7c751f9cb739p-8, -0x1.28fa259e59a78p-4, 0x1.1cbf139c79344p-2, -0x1.1e58e618d7a75p-2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.caee59f8cc937p-9, -0x1.7f5686cb408f5p-5, 0x1.e396aefe4b4f8p-3, -0x1.03cf5fefe19b6p-1}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.baa44faad51f2p-10, -0x1.ba28d60ee16bdp-6, 0x1.47b3dbd4c3f2ep-3, -0x1.85c79feb800b2p-2}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6a9cb8ddddafdp-11, -0x1.c58ac4afefba3p-7, 0x1.a5898ae907ddap-4, -0x1.3786d50cbb82ep-2}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.caee59f8cc937p-13, -0x1.7e284494f9adcp-8, 0x1.d53e16292eb98p-5, -0x1.be6b1b5e21b14p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.6a9cb8ddddcefp-15, -0x1.c79d6090e230ap-10, 0x1.92c871e1683a2p-6, -0x1.ee3f8cde031e4p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.6a9cb8ddde401p-19, -0x1.8335844476b76p-13, 0x1.a8efa8a3ffccp-8, -0x1.4be03ddddf2edp-3}, 
      }}, 
      0x1.395cbbf540accp+1, -0x1.e3cf5dbfcf7bep+3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      {{0x1.44d7f3e3d3e79p-3, 0x1.39b8482f31848p-2, 0x1.bcec3000f3fb8p-2, 0x1.12ff9072aba85p-1, 0x1.38e2f1d3c2a24p-1, 0x1.4fc0f69e7aa4cp-1, 0x1.58290e80d36c5p-1, 0x1.5352d81eb7457p-1, 0x1.42e036a7affe3p-1, 0x1.28ab12bc2f382p-1, 0x1.069e9b313fddp-1, 0x1.bd36438b402c7p-2, 0x1.64c5c03a883e8p-2, 0x1.071bf113cb57dp-2, 0x1.4e10366b02c0ap-3, 0x1.1bcff6c2d2e95p-4, -0x1.71aeacd91c4b7p-6, -0x1.c5f95d9114ec8p-4, -0x1.8dcfe45aeabdcp-3, -0x1.1658d9e7d9995p-2, -0x1.5f18bb02a99dfp-2, -0x1.a0acf21f41d25p-2, -0x1.dad004788e6f5p-2, -0x1.06b4ccfdddf36p-1, -0x1.1c4385f9e67cdp-1, -0x1.2e2a48c652c68p-1, -0x1.3c8b87cfcc34dp-1, -0x1.4793478101d9p-1, -0x1.4f74ac4bd1129p-1, -0x1.5467d8bb1ddd1p-1, -0x1.56a81713688cep-1, -0x1.5672496dfc14bp-1, -0x1.54039b29a75dp-1, -0x1.4f986e72d2893p-1, -0x1.496b806401021p-1, -0x1.41b53e0d91b32p-1, -0x1.38ab448bb7d8fp-1, -0x1.2e8006b53370cp-1, -0x1.236292bbeb861p-1, -0x1.177e728d85973p-1, -0x1.0afba215d8d73p-1, -0x1.fbfd2e5fbeac7p-2, -0x1.e150aede6ed67p-2, -0x1.c62d30a55585bp-2, -0x1.aac7cdee439cp-2, -0x1.8f4fa9fbcd9cfp-2, -0x1.73ee51b59cbccp-2, -0x1.58c82022d8312p-2, -0x1.3dfca440df94bp-2, -0x1.23a70622cf348p-2, -0x1.09de69812cf01p-2, -0x1.e16c995218b97p-3, -0x1.b07dc4f8cd66ep-3, -0x1.810ace18dd758p-3, -0x1.5328dc8f46716p-3, -0x1.26e8593b0df8bp-3, -0x1.f8aae6b3b611ep-4, -0x1.a6f134f7d71bdp-4, -0x1.58addb847f6ep-4, -0x1.0de5425169583p-4, -0x1.8d2d668c6ff11p-5, -0x1.057a02e995e9dp-5, -0x1.093c82bdad314p-6, -0x1.502ba9d6fd54ep-10, 0x1.a3ec8a7409ef8p-7, 0x1.abf51af62119dp-6, 0x1.3ca44009fd077p-5, 0x1.9d22f0fa26e8dp-5, 0x1.f7a4111763938p-5, 0x1.262b9dbaf542bp-4, 0x1.4db6db7233061p-4, 0x1.728d01a7bfdeep-4, 0x1.94c7bb0ecfa1ep-4, 0x1.b480efb93c10ep-4, 0x1.d1d29e352adaep-4, 0x1.ecd6b81266bb9p-4, 0x1.02d38239e0214p-3, 0x1.0e2e824355d17p-3, 0x1.1888ef2553daap-3, 0x1.21ef23746fa53p-3, 0x1.2a6d3a6f3b244p-3, 0x1.320f071acd562p-3, 0x1.38e0107b65f0dp-3, 0x1.3eeb8a3187467p-3, 0x1.443c533ae4dedp-3, 0x1.48dcf0325be36p-3, 0x1.4cd78b7aee279p-3, 0x1.5035f1c506e2p-3, 0x1.5301927af06bdp-3, 0x1.55437ed5bc812p-3, 0x1.570469e725216p-3, 0x1.584ca9cdef414p-3, 0x1.59243798054f6p-3, 0x1.5992b19c2c62fp-3, 0x1.599f5bcf264ffp-3, 0x1.5951225dd382p-3, 0x1.58ae9ad7daa0dp-3, 0x1.57be06b1644fap-3, 0x1.5685552b9697fp-3, 0x1.550a25b9c862ap-3, 0x1.5351ca71520e8p-3, 0x1.51614a58b394ap-3, 0x1.4f3d642474feep-3, 0x1.4cea9088c41bdp-3, 0x1.4a6d04fa05a8ep-3, 0x1.47c8b6274f561p-3, 0x1.45015a8fa26d1p-3, 0x1.421a6d17c5ae5p-3, 0x1.3f172f8e25f0cp-3, 0x1.3bfaad29c8855p-3, 0x1.38c7bd0777b88p-3, 0x1.3581049f3d01fp-3, 0x1.3228fa15a25b5p-3, 0x1.2ec1e6a4e3d57p-3, 0x1.2b4de8e6e6678p-3, 0x1.27cef6fd360c9p-3, 0x1.2446e0cb9d33dp-3, 0x1.20b7521b7151dp-3, 0x1.1d21d489547e8p-3, 0x1.1987d186c6e65p-3, 0x1.15ea94555b328p-3, 0x1.124b4bb88bc3fp-3, 0x1.0eab0bada3f53p-3, 0x1.0b0acf47abaafp-3, 0x1.076b7a235c8ddp-3, 0x1.03cdd9d70b161p-3, 0x1.0032a79c51d29p-3, 0x1.f93513552dc66p-4, 0x1.f20c28ae02c75p-4, 0x1.eaeb96ece589fp-4, 0x1.e3d447675ad5fp-4, 0x1.dcc7070551b07p-4, 0x1.d5c4883485c64p-4, 0x1.cecd656a80a96p-4, 0x1.c7e22323a21b6p-4, 0x1.c10331253daa7p-4, 0x1.ba30ec555440fp-4, 0x1.b36ba0eb50ddbp-4, 0x1.acb38bad040dep-4, 0x1.a608dae3562edp-4, 0x1.9f6bb01b2b1b2p-4, 0x1.98dc21d012ddbp-4, 0x1.925a3c3314e5ap-4, 0x1.8be601f8eb67fp-4, 0x1.857f6dc59a933p-4, 0x1.7f267374a93cfp-4, 0x1.78db00b451d81p-4, 0x1.729cfd87ea447p-4, 0x1.6c6c4d4ba4b07p-4, 0x1.6648cfd7a1f08p-4, 0x1.60326203ec2b7p-4, 0x1.5a28ddce27d0dp-4, 0x1.542c1afe7e616p-4, 0x1.4e3bf03344d55p-4, 0x1.4858336164e54p-4, 0x1.4280b9b75ad9fp-4, 0x1.3cb557e436255p-4, 0x1.36f5e2ef15341p-4, 0x1.314230c9f613ep-4, 0x1.2b9a182e22f9fp-4, 0x1.25fd7087f502bp-4, 0x1.206c127394dfbp-4, 0x1.1ae5d8513968ep-4, 0x1.156a9e5720abep-4, 0x1.0ffa425694057p-4, 0x1.0a94a3c9c695dp-4, 0x1.0539a42be002cp-4, 0x1.ffd24e817f449p-5, 0x1.f5462611a7c9dp-5, 0x1.eace9f20c72bdp-5, 0x1.e06b8dc72ba6ep-5, 0x1.d61cca68135f2p-5, 0x1.cbe2321bb19a5p-5, 0x1.c1bba6a5c3902p-5, 0x1.b7a90df898526p-5, 0x1.adaa51cc76ad9p-5, 0x1.a3bf5fb5008d6p-5, 0x1.99e82993f6a46p-5, 0x1.9024a5a2cee1bp-5, 0x1.8674cdd7d7bfcp-5, 0x1.7cd89f488a4a5p-5, 0x1.73501a1773db5p-5, 0x1.69db41e0c9c21p-5, 0x1.607a1de1a011ap-5, 0x1.572cb866b4484p-5, 0x1.4df31e16f7087p-5, 0x1.44cd5db615a53p-5, 0x1.3bbb886965b05p-5, 0x1.32bdb1f7003cp-5, 0x1.29d3f073d5277p-5, 0x1.20fe5b95b1559p-5, 0x1.183d0c508834cp-5, 0x1.0f901cddaecb3p-5, 0x1.06f7a8ee8aa8p-5, 0x1.fce79b47ebdfep-6, 0x1.ec09523de4b78p-6, 0x1.db54b41690b6bp-6, 0x1.cac9feed80782p-6, 0x1.ba6971adc53fap-6, 0x1.aa334c209639ap-6, 0x1.9a27ceb572bc9p-6, 0x1.8a4739e707504p-6, 0x1.7a91cdb1da28cp-6, 0x1.6b07c9628bd04p-6, 0x1.5ba96b78e3eacp-6, 0x1.4c76f184ef6afp-6, 0x1.3d709805091aep-6, 0x1.2e969a228b1e6p-6, 0x1.1fe9316287e67p-6, 0x1.1168957379e59p-6, 0x1.0314fc008387ep-6, 0x1.e9dd30edbe46ep-7, 0x1.cdeb37e4fec2ap-7, 0x1.b2546a7dfcfd8p-7, 0x1.97192176c2a3dp-7, 0x1.7c39b058de147p-7, 0x1.61b6651db22e2p-7, 0x1.478f87c1c38dep-7, 0x1.2dc55a062b4e2p-7, 0x1.1458179453cedp-7, 0x1.f68fec6e73593p-8, 0x1.c52a4b77fb946p-8, 0x1.947f9f3ea636fp-8, 0x1.64902d803e38ep-8, 0x1.355c2e36dd31ep-8, 0x1.06e3cb82bc4f8p-8, 0x1.b24e4470c839cp-9, 0x1.584c84e809f25p-9, 0x1.ff84bdf92bffdp-10, 0x1.515f7d37a786bp-10, 0x1.4c51d12cc8aa1p-11, -0x1.0fcb3b51cbcafp-17, -0x1.4ef59b682cdfp-11, -0x1.49e9c0217091dp-10, -0x1.e96da383cfcd5p-10, -0x1.4303efdd68b64p-9, -0x1.8fdd07e928a2cp-9, -0x1.db43017360d4ep-9, -0x1.129b6f088420ap-8, -0x1.36dcdc815c9a8p-8, -0x1.5a66633ea486ep-8, -0x1.7d38a955dbe71p-8, -0x1.9f54606bf2dp-8, -0x1.c0ba45a2ef992p-8, -0x1.e16b21b4a9cc8p-8, -0x1.00b3e474fb844p-7, -0x1.10588d70d87bcp-7, -0x1.1fa401206d086p-7, -0x1.2e96ba2d28737p-7, -0x1.3d313865bdb69p-7, -0x1.4b7400911707fp-7, -0x1.595f9c5986a85p-7, -0x1.66f49a465fff7p-7, -0x1.74338da92d582p-7, -0x1.811d0e794ae9bp-7, -0x1.8db1b9299376cp-7, -0x1.99f22e80be89ap-7, -0x1.a5df13759ee2fp-7, -0x1.b179110224853p-7, -0x1.bcc0d4044497dp-7, -0x1.c7b70d2813d45p-7, -0x1.d25c70d293afbp-7, -0x1.dcb1b7000bd01p-7, -0x1.e6b79b1be5658p-7, -0x1.f06edbdb49044p-7, -0x1.f9d83b1ba3babp-7, -0x1.017a3ee04b7c9p-6, -0x1.05e235c801774p-6, -0x1.0a24678939fdp-6, -0x1.0e413abceaf71p-6, -0x1.1239174300859p-6, -0x1.160c663172813p-6, -0x1.19bb91c24570ap-6, -0x1.1d470542d90a1p-6, -0x1.20af2d0555f42p-6, -0x1.23f47650df91bp-6, -0x1.27174f545f7e7p-6, -0x1.2a182714fed88p-6, -0x1.2cf76d60f3257p-6, -0x1.2fb592c19cb2bp-6, -0x1.3253086c9e7d2p-6, -0x1.34d04034e69cdp-6, -0x1.372dac7c47a6bp-6, -0x1.396bc0264d4edp-6, -0x1.3b8aee8b8d981p-6, -0x1.3d8bab6c1e76bp-6, -0x1.3f6e6ae119619p-6, -0x1.4133a14e361c6p-6, -0x1.42dbc354f8039p-6, -0x1.446745c90501cp-6, -0x1.45d69da4d5e34p-6, -0x1.472a3ffe39a05p-6, -0x1.4862a1fa71362p-6, -0x1.498038c18f9ddp-6, -0x1.4a837972223d8p-6, -0x1.4b6cd9146a2b7p-6, -0x1.4c3ccc8ea9492p-6, -0x1.4cf3c89a90958p-6, -0x1.4d9241bc7cd21p-6, -0x1.4e18ac3b1f861p-6, -0x1.4e877c164f454p-6, -0x1.4edf24fbfa28fp-6, -0x1.4f201a3be08d1p-6, -0x1.4f4acebb61655p-6, -0x1.4f5fb4eb1213fp-6, -0x1.4f5f3ebebeae9p-6, -0x1.4f49dda76a8c4p-6, -0x1.4f20028dd6868p-6, -0x1.4ee21dcc417e2p-6, -0x1.4e909f2603ff8p-6, -0x1.4e2bf5bd5ce07p-6, -0x1.4db49007963efp-6, -0x1.4d2adbc1db209p-6, -0x1.4c8f45e887171p-6, -0x1.4be23ab1ea6e7p-6, -0x1.4b24258bf2a23p-6, -0x1.4a55711acbed8p-6, -0x1.497687360088bp-6, -0x1.4887d0e269bbbp-6, -0x1.4789b648cee2ep-6, -0x1.467c9eaad5cbbp-6, -0x1.4560f05888f3cp-6, -0x1.443710a89aa7bp-6, -0x1.42ff63f482b3bp-6, -0x1.41ba4d981421ap-6, -0x1.40682ff2c7f5p-6, -0x1.3f096c6851a4ep-6, -0x1.3d9e635e67f05p-6, -0x1.3c277436f3dd6p-6, -0x1.3aa4fd476e711p-6, -0x1.39175bcf60bd8p-6, -0x1.377eebf08b8f2p-6, -0x1.35dc08aa8d7cep-6, -0x1.342f0bda6ecc2p-6, -0x1.32784e3d02d5bp-6, -0x1.30b8277219b5p-6, -0x1.2eeeedfe4d325p-6, -0x1.2d1cf749d22cfp-6, -0x1.2b42979c19be5p-6, -0x1.29602215358fdp-6, -0x1.2775e8a6dd312p-6, -0x1.25843c0f05f11p-6, -0x1.238b6bd574ce5p-6, -0x1.218bc64c82cbbp-6, -0x1.1f859894646fcp-6, -0x1.1d792e9f43ab8p-6, -0x1.1b66d33488c2fp-6, -0x1.194ecff1f25dfp-6, -0x1.17316d4a2a6dfp-6, -0x1.150ef28153c1cp-6, -0x1.12e7a5a8cb86dp-6, -0x1.10bbcb9b97e6bp-6, -0x1.0e8ba7fc908e5p-6, -0x1.0c577d36df746p-6, -0x1.0a1f8c8089a65p-6, -0x1.07e415de3fffcp-6, -0x1.05a5582753c63p-6, -0x1.03639108d990dp-6, -0x1.011efd0768d48p-6, -0x1.fdafaefec8bc6p-7, -0x1.f91cb5485b1adp-7, -0x1.f4857efe1b562p-7, -0x1.efea7bdcf846cp-7, -0x1.eb4c194cc9c8cp-7, -0x1.e6aac2633d75p-7, -0x1.e206dfe9018fcp-7, -0x1.dd60d8603ab3p-7, -0x1.d8b9100b8bd72p-7, -0x1.d40fe8f47848bp-7, -0x1.cf65c2f0d0bd1p-7, -0x1.cabafba6d442ap-7, -0x1.c60fee90597e3p-7, -0x1.c164f4fd84812p-7, -0x1.bcba661798c5p-7, -0x1.b81096e45c1d2p-7, -0x1.b367da4a53cc5p-7, -0x1.aec08115e599cp-7, -0x1.aa1ad9ff28d1ap-7, -0x1.a57731b00ff01p-7, -0x1.a0d5d2cacd67ap-7, -0x1.9c3705effeb5p-7, -0x1.979b11c49aed4p-7, -0x1.93023af7a1f7dp-7, -0x1.8e6cc44789a29p-7, -0x1.89daee879e0bap-7, -0x1.854cf8a56643ep-7, -0x1.80c31fae30592p-7, -0x1.7c3d9ed4d5acep-7, -0x1.77bcaf77b1f41p-7, -0x1.73408926d3ebep-7, -0x1.6ec961aa4d03ep-7, -0x1.6a576d0888127p-7, -0x1.65eadd8cbd96ap-7, -0x1.6183e3cd4a6c1p-7, -0x1.5d22aeb20ab84p-7, -0x1.58c76b7aa55bep-7, -0x1.547245c4db9dap-7, -0x1.50236792cd927p-7, -0x1.4bdaf951458f3p-7, -0x1.479921de1435dp-7, -0x1.435e068e67296p-7, -0x1.3f29cb3539836p-7, -0x1.3afc9229bc677p-7, -0x1.36d67c4dc4a7ep-7, -0x1.32b7a914391edp-7, -0x1.2ea03687706b8p-7, -0x1.2a90414f8c936p-7, -0x1.2687e4b8cee58p-7, -0x1.22873ab9df339p-7, -0x1.1e8e5bfa1a8p-7, -0x1.1a9d5fd7dac73p-7, -0x1.16b45c6ec3014p-7, -0x1.12d3669e0adbcp-7, -0x1.0efa920ec48a7p-7, -0x1.0b29f13a1418ap-7, -0x1.0761956f56f7bp-7, -0x1.03a18eda479ccp-7, -0x1.ffd3d911f90d4p-8, -0x1.f87578e3bf9ccp-8, -0x1.f12816f34fb05p-8, -0x1.e9ebcaf27cd8fp-8, -0x1.e2c0aa8759c49p-8, -0x1.dba6c957ffaf1p-8, -0x1.d49e39165bbccp-8, -0x1.cda7098bd2abcp-8, -0x1.c6c148a4b5843p-8, -0x1.bfed027b9cf31p-8, -0x1.b92a41646b6b1p-8, -0x1.b2790df740a1dp-8, -0x1.abd96f1b31f1cp-8, -0x1.a54b6a1104b4p-8, -0x1.9ecf027de5c9ap-8, -0x1.98643a76294ecp-8, -0x1.920b12881aa11p-8, -0x1.8bc389c6b5e14p-8, -0x1.858d9dd4307b3p-8, -0x1.7f694aec5383cp-8, -0x1.79568bee6feadp-8, -0x1.73555a66db538p-8, -0x1.6d65ae984f5fep-8, -0x1.67877f84eb402p-8, -0x1.61bac2f75438ep-8, -0x1.5bff6d8beea65p-8, -0x1.565572ba4c7a2p-8, -0x1.50bcc4dec8c2dp-8, -0x1.4b3555444c037p-8, -0x1.45bf142dd5fefp-8, -0x1.4059f0dfa8187p-8, -0x1.3b05d9a7ebb05p-8, -0x1.35c2bbe6a3cc7p-8, -0x1.309084152d50cp-8, -0x1.2b6f1dcd3dbdfp-8, -0x1.265e73d009e81p-8, -0x1.215e700d9895fp-8, -0x1.1c6efbac90b2p-8, -0x1.178fff12a90c9p-8, -0x1.12c161ed6a4e1p-8, -0x1.0e030b3af523p-8, -0x1.0954e1527ea87p-8, -0x1.04b6c9ebe1882p-8, -0x1.0028aa2650277p-8, -0x1.f754cd1bbf238p-9, -0x1.ee77c640d9c18p-9, -0x1.e5ba06a4740c3p-9, -0x1.dd1b5425e0f3fp-9, -0x1.d49b73a6bbeefp-9, -0x1.cc3a2918f7e9dp-9, -0x1.c3f7378ed88c1p-9, -0x1.bbd2614c2aae9p-9, -0x1.b3cb67d75efbp-9, -0x1.abe20c08c60a5p-9, -0x1.a4160e1692194p-9, -0x1.9c672d9cf7b27p-9, -0x1.94d529a28e838p-9, -0x1.8d5fc09a4e454p-9, -0x1.8606b06577efcp-9, -0x1.7ec9b6571561bp-9, -0x1.77a88f3c18e9dp-9, -0x1.70a2f7686671cp-9, -0x1.69b8aac9301fdp-9, -0x1.62e964faca2e8p-9, -0x1.5c34e15f0ca09p-9, -0x1.559adb30ea038p-9, -0x1.4f1b0d91b716fp-9, -0x1.48b5338e25517p-9, -0x1.4269081a5de47p-9, -0x1.3c364606cab1p-9, -0x1.361ca7f15b141p-9, -0x1.301be8384c01fp-9, -0x1.2a33c0f330999p-9, -0x1.2463ebf718fdcp-9, -0x1.1eac22e7a092ep-9, -0x1.190c1f54f5a3cp-9, -0x1.13839ae2c5083p-9, -0x1.0e124f728cae4p-9, -0x1.08b7f7495ce39p-9, -0x1.03744d299a2abp-9, -0x1.fc8e18b56c9f7p-10, -0x1.f25fe13903bfap-10, -0x1.e85d6c0e3e55p-10, -0x1.de8631bb360eap-10, -0x1.d4d9aab81140bp-10, -0x1.cb574f17723ap-10, -0x1.c1fe96502305ep-10, -0x1.b8cef73760015p-10, -0x1.afc7e83428dadp-10, -0x1.a6e8dfa89dc1cp-10, -0x1.9e31548445b44p-10, -0x1.95a0bee91a249p-10, -0x1.8d3698c65465fp-10, -0x1.84f25e4b32083p-10, -0x1.7cd38e18d48c3p-10, -0x1.74d9a924bfba4p-10, -0x1.6d04324bc9916p-10, -0x1.6552ada5a33d1p-10, -0x1.5dc49fb4fa8d1p-10, -0x1.56598c99f928ap-10, -0x1.4f10f76c50f9cp-10, -0x1.47ea61dc85ec4p-10, -0x1.40e54c32b60dap-10, -0x1.3a0135b05aedcp-10, -0x1.333d9d4e03d13p-10, -0x1.2c9a02bdced43p-10, -0x1.2615e78e7237ep-10, -0x1.1fb0d042dbf91p-10, -0x1.196a452de5049p-10, -0x1.1341d2e8012bep-10, -0x1.0d370a4206b09p-10, -0x1.07497faf8865ap-10, -0x1.0178ca3b36001p-10, -0x1.f789046083acfp-11, -0x1.ec587f621cb1ap-11, -0x1.e15f32ecf810cp-11, -0x1.d69c47d4e875bp-11, -0x1.cc0ee17bf6ee4p-11, -0x1.c1b61e0f0eee9p-11, -0x1.b79117c80e63ep-11, -0x1.ad9ee70af33d1p-11, -0x1.a3dea522aa9dp-11, -0x1.9a4f6f48a9c08p-11, -0x1.90f06997a38b1p-11, -0x1.87c0c17a806cp-11, -0x1.7ebfaf2ab2df7p-11, -0x1.75ec75eb11ffcp-11, -0x1.6d4662daad3f7p-11, -0x1.64ccca7fe539fp-11, -0x1.5c7f056fdba96p-11, -0x1.545c6ca99e013p-11, -0x1.4c64564b87d75p-11, -0x1.449613300cc16p-11, -0x1.3cf0edc4d9dc8p-11, -0x1.35742a2a57129p-11, -0x1.2e1f076c12fadp-11, -0x1.26f0c1851e078p-11, -0x1.1fe893e0b710cp-11, -0x1.1905bc1937687p-11, -0x1.12477cc6d8397p-11, -0x1.0bad202ff29b2p-11, -0x1.0535fa9b86445p-11, -0x1.fdc2d7d9ddac2p-12, -0x1.f15dc04d8ffa9p-12, -0x1.e53b9d0f1f273p-12, -0x1.d95b6e59e9efcp-12, -0x1.cdbc3efae2926p-12, -0x1.c25d1bd96c133p-12, -0x1.b73d0bc6dacf7p-12, -0x1.ac5b092ff64a1p-12, -0x1.a1b5fecce5719p-12, -0x1.974cc7ab2335ap-12, -0x1.8d1e3201340fdp-12, -0x1.832903a499793p-12, -0x1.796bfec97934cp-12, -0x1.6fe5e617323f8p-12, -0x1.66957fc501d1fp-12, -0x1.5d79981df1885p-12, -0x1.549104173ddf6p-12, -0x1.4bdaa4795b0adp-12, -0x1.4355698862aa4p-12, -0x1.3b00567609731p-12, -0x1.32da8377c8af6p-12, -0x1.2ae31d669116ep-12, -0x1.23196250bb979p-12, -0x1.1b7c9b47d8872p-12, -0x1.140c14a042644p-12, -0x1.0cc71680de336p-12, -0x1.05acdfaf0dafdp-12, -0x1.fd7947dedd0ecp-13, -0x1.efeb1c5e2c67cp-13, -0x1.e2ad8accef914p-13, -0x1.d5bee46ae8c68p-13, -0x1.c91d860ce1c03p-13, -0x1.bcc7da6c13ea5p-13, -0x1.b0bc563191b35p-13, -0x1.a4f97040fb2e9p-13, -0x1.997d9a7fa613ep-13, -0x1.8e473f1987e79p-13, -0x1.8354c4465d29cp-13, -0x1.78a495bf874ap-13, -0x1.6e3530b357546p-13, -0x1.64052dde738e2p-13, -0x1.5a1345e82be0bp-13, -0x1.505e4df7c9132p-13, -0x1.46e52d1d5488bp-13, -0x1.3da6cdb9f42f2p-13, -0x1.34a20f9d2a3d4p-13, -0x1.2bd5bf649f771p-13, -0x1.234095f4e3818p-13, -0x1.1ae140304cac5p-13, -0x1.12b66c59ca065p-13, -0x1.0abed898a3aap-13, -0x1.02f95d73e91c7p-13, -0x1.f6c9e05bef2efp-14, -0x1.e80137615b6fp-14, -0x1.d996e4ccb2184p-14, -0x1.cb88fcff4bccep-14, -0x1.bdd56e348fb9bp-14, -0x1.b079fd9b9e178p-14, -0x1.a3745859d62b8p-14, -0x1.96c231a09ebddp-14, -0x1.8a6162b8e1a77p-14, -0x1.7e500237c08f8p-14, -0x1.728c6b4c4edfcp-14, -0x1.671533645bd41p-14, -0x1.5be91211e5acp-14, -0x1.5106c3a933f3bp-14, -0x1.466cf060c1f34p-14, -0x1.3c1a1f0a30b92p-14, -0x1.320cb54b04791p-14, -0x1.284302bec3c9p-14, -0x1.1ebb5276bf424p-14, -0x1.1573fe5f136c6p-14, -0x1.0c6b80345e7f4p-14, -0x1.03a07b0707e2p-14, -0x1.f62370941f2fbp-15, -0x1.e57c2c7bb7845p-15, -0x1.d548d73cedca9p-15, -0x1.c586d611660acp-15, -0x1.b63325f2644bbp-15, -0x1.a74a6541c605bp-15, -0x1.98c903b6ebdbfp-15, -0x1.8aab82f27d42cp-15, -0x1.7ceeae1712d65p-15, -0x1.6f8fb97b26f2fp-15, -0x1.628c49721b354p-15, -0x1.55e2655fe4a9ep-15, -0x1.49905c7241d15p-15, -0x1.3d94a2ed1604cp-15, -0x1.31edb25e7e4f2p-15, -0x1.2699f5c3c799bp-15, -0x1.1b97c30bd83f2p-15, -0x1.10e55cafbf47fp-15, -0x1.0680f5d9b920ap-15, -0x1.f8d16fbd53343p-16, -0x1.e53594700f488p-16, -0x1.d22ab97cfc121p-16, -0x1.bfad625a0f5e1p-16, -0x1.adba3f8746461p-16, -0x1.9c4e26831201ep-16, -0x1.8b65f4b09ab1ep-16, -0x1.7afe6301a1d8bp-16, -0x1.6b13deab8e61dp-16, -0x1.5ba2833cd75d2p-16, -0x1.4ca644e686bdap-16, -0x1.3e1b36e229cap-16, -0x1.2ffdbe0cb1b76p-16, -0x1.224a8f523ecb9p-16, -0x1.14fe8e195c223p-16, -0x1.0816befec4ff3p-16, -0x1.f720ca18ee45fp-17, -0x1.ded24ffd070f3p-17, -0x1.c73e2acae5828p-17, -0x1.b060e78681c1bp-17, -0x1.9a370846c6f93p-17, -0x1.84bcac7d39e7bp-17, -0x1.6fed8c723af2ap-17, -0x1.5bc549556269ap-17, -0x1.483fdb313a26fp-17, -0x1.3559c7b879ee5p-17, -0x1.230ff34064e74p-17, -0x1.115f346e5db15p-17, -0x1.0044070f58e9dp-17, -0x1.df752f73bb97p-18, -0x1.bf7e21d1180b7p-18, -0x1.a09bc0002c20fp-18, -0x1.82c76d6d32b71p-18, -0x1.65fa8970e140ap-18, -0x1.4a2dbcabe351ep-18, -0x1.2f58b7775707p-18, -0x1.1572a3c27c544p-18, -0x1.f8e599152b17bp-19, -0x1.c8a12bdcbdf95p-19, -0x1.9a05523393674p-19, -0x1.6cfd2806ee271p-19, -0x1.41743cbcbb99cp-19, -0x1.175b5aa0fd14p-19, -0x1.dd561e2176bd3p-20, -0x1.8ec2c3bfb812ap-20, -0x1.42f91ac037472p-20, -0x1.f3db0a2da0d43p-21, -0x1.67171ab48a5a1p-21, -0x1.bef0f78fe0fb8p-22, -0x1.736ce6e9e1175p-23, 0x1.06b1815d1c49dp-24, 0x1.3356af3a855a5p-22, 0x1.0dba8228d28fbp-21, 0x1.7d275330730f3p-21, 0x1.e820ce63e3546p-21, 0x1.276d1af01e43p-20, 0x1.58c19c809f131p-20, 0x1.88210a84c335ap-20, 0x1.b598675d1e237p-20, 0x1.e12f104dc3f05p-20, 0x1.057494e56a59ap-19, 0x1.1965ad4f1d92bp-19, 0x1.2c6eee1349855p-19, 0x1.3e9645ecdcb3ap-19, 0x1.4fe2269ae94ecp-19, 0x1.6059041cf77bap-19, 0x1.700346781179cp-19, 0x1.7eed5d47653b7p-19, 0x1.8d256f6da81dp-19, 0x1.9ab4fe4363e0bp-19, 0x1.a79d67ae1528dp-19, 0x1.b3dbe6bdf7a1ep-19, 0x1.bf70f8e85d10dp-19, 0x1.ca63c7ce6410dp-19, 0x1.d4bf18eb43112p-19, 0x1.de8b96bfc547cp-19, 0x1.e7cd2d1ff74d9p-19, 0x1.f08538365a1abp-19, 0x1.f8b61a620d1c1p-19, 0x1.003247471e777p-18, 0x1.03cb51c04409dp-18, 0x1.072925b45b3a2p-18, 0x1.0a4e523dd18b6p-18, 0x1.0d3cf361b98b2p-18, 0x1.0ff6c25b241d8p-18, 0x1.127d2010d148p-18, 0x1.14d11a3c56246p-18, 0x1.16f3781b0db18p-18, 0x1.18e4dc4fcbb0cp-18, 0x1.1aa6082281f34p-18, 0x1.1c383a593c41ap-18, 0x1.1d9d6c45b2a11p-18, 0x1.1ed802b0b1fc1p-18, 0x1.1fe9ebb54bc3cp-18, 0x1.20d40f7040e1dp-18, 0x1.2197194923cb1p-18, 0x1.2234edba218ddp-18, 0x1.22b06ee8d1764p-18, 0x1.230b1b0ce23bdp-18, 0x1.23440510d5493p-18, 0x1.235a4203d3901p-18, 0x1.234f8c6298ccp-18, 0x1.232798900d12p-18, 0x1.22e524e381778p-18, 0x1.22888e3e00919p-18, 0x1.221145d1c1e89p-18, 0x1.217f9eff79935p-18, 0x1.20d4ec7ec2a6ep-18, 0x1.2012afc3deedbp-18, 0x1.1f3a138326336p-18, 0x1.1e4be3ae43eedp-18, 0x1.1d48b93612769p-18, 0x1.1c312541f387ep-18, 0x1.1b05cc5e33032p-18, 0x1.19c77145a8ba6p-18, 0x1.1876f2f6580f5p-18, 0x1.1715453ade54ep-18, 0x1.15a363f48d345p-18, 0x1.1422419d8e683p-18, 0x1.1292af4ebd273p-18, 0x1.10f54da82e047p-18, 0x1.0f4a9f8412a92p-18, 0x1.0d933a24ef42bp-18, 0x1.0bcfd22ecccc7p-18, 0x1.0a00ef3d5bb7bp-18, 0x1.08268fde60ef4p-18, 0x1.06406955b5fa8p-18, 0x1.044ef4f0251aap-18, 0x1.0253da386b015p-18, 0x1.005046d1164b9p-18, 0x1.fc87bad2518fap-19, 0x1.f85cf583428c6p-19, 0x1.f4229645b7be3p-19, 0x1.efda34bc60bb8p-19, 0x1.eb82a2aa79247p-19, 0x1.e71aea520ae2p-19, 0x1.e2a461bc924b5p-19, 0x1.de215e88fb9a1p-19, 0x1.d993ba07d995ap-19, 0x1.d4fc8ea985762p-19, 0x1.d05c81f56c9b3p-19, 0x1.cbb4092e5969ep-19, 0x1.c7038cb07e6bep-19, 0x1.c24b760883b26p-19, 0x1.bd8c350321061p-19, 0x1.b8c6412a194c1p-19, 0x1.b3fa18dfaa9adp-19, 0x1.af283e90ce3e6p-19, 0x1.aa513598c28d7p-19, 0x1.a5757fd1a1c08p-19, 0x1.a0959a268f19p-19, 0x1.9bb1f522172bp-19, 0x1.96caea99334c9p-19, 0x1.91e0bb3c690c7p-19, 0x1.8cf3a604b7c09p-19, 0x1.8804177579d26p-19, 0x1.8312be76212eep-19, 0x1.7e205203860a2p-19, 0x1.792d250d33e2ep-19, 0x1.74390b04de5bcp-19, 0x1.6f443fa488e76p-19, 0x1.6a5056726278dp-19, 0x1.655e8337910b7p-19, 0x1.606e65d8ff31ep-19, 0x1.5b801d4386244p-19, 0x1.5694056012465p-19, 0x1.51a97266dcb77p-19, 0x1.4cc03bd63232bp-19, 0x1.47d932a624f3dp-19, 0x1.42f5003eb2c23p-19, 0x1.3e13d1fcda779p-19, 0x1.3935b6071a414p-19, 0x1.345adef343464p-19, 0x1.2f839f9e2f3e7p-19, 0x1.2ab04c80dbc36p-19, 0x1.25e129ff60887p-19, 0x1.21166c7b9ed36p-19, 0x1.1c503f5a7c1bp-19, 0x1.178ecaf3f82a5p-19, 0x1.12d2375df7102p-19, 0x1.0e1aacea3b38p-19, 0x1.0968538742eefp-19, 0x1.04bb5252ebfeep-19, 0x1.0013cf3333cd9p-19, 0x1.f6e3db0b36414p-20, 0x1.edaba1745291p-20, 0x1.e47f3515f2741p-20, 0x1.db5eda93f4b6dp-20, 0x1.d24ad8dcf5113p-20, 0x1.c94375f357582p-20, 0x1.c048ed758f1d1p-20, 0x1.b75b6be638e8dp-20, 0x1.ae7b19bd18a8p-20, 0x1.a5a82ea6ddeefp-20, 0x1.9ce306d50345bp-20, 0x1.942c0f6b783aep-20, 0x1.8b83457f13abbp-20, 0x1.82e8737344822p-20, 0x1.7a5bd60024de8p-20, 0x1.71ddb26fd4cd5p-20, 0x1.696ea28c1f297p-20, 0x1.610f013efe074p-20, 0x1.58be9286d5f5ep-20, 0x1.507d064802e9ap-20, 0x1.484a4b84dc8bp-20, 0x1.4026b007fe319p-20, 0x1.3812a1e327712p-20, 0x1.300e3a7fa1e55p-20, 0x1.28193f129c132p-20, 0x1.2033b58e0e094p-20, 0x1.185e235744c79p-20, 0x1.109905d72ef6dp-20, 0x1.08e465d5038d7p-20, 0x1.01400739b1513p-20, 0x1.f357794a8cf3p-21, 0x1.e44f04504aa67p-21, 0x1.d566ddc3c0147p-21, 0x1.c69f4188f870fp-21, 0x1.b7f861a30bdb8p-21, 0x1.a9725fe3baeep-21, 0x1.9b0d50ac61c5ap-21, 0x1.8cc93f16d4d78p-21, 0x1.7ea62f4f9badcp-21, 0x1.70a421921366fp-21, 0x1.62c31c89d0cedp-21, 0x1.550340adb255p-21, 0x1.4764cfd6f91bfp-21, 0x1.39e80a2438c6bp-21, 0x1.2c8cfc24aa481p-21, 0x1.1f537305b0b98p-21, 0x1.123af62eb6bc9p-21, 0x1.05432d755916cp-21, 0x1.f0db693d3450fp-22, 0x1.d779c1c61d706p-22, 0x1.be59a7153151p-22, 0x1.a5748efafc469p-22, 0x1.8cd00daf8f92fp-22, 0x1.747438fcc4348p-22, 0x1.5c5d301edb05fp-22, 0x1.44871b60040eap-22, 0x1.2cf208f1dfbc8p-22, 0x1.159ecc4285b63p-22, 0x1.fd1c48dbeb62ep-23, 0x1.cf8203932e279p-23, 0x1.a271d49f05cacp-23, 0x1.75ee3189a628ap-23, 0x1.49f3bc5c59cc6p-23, 0x1.1e793591785b5p-23, 0x1.e6f6def17b964p-24, 0x1.91fce248c8dfap-24, 0x1.3dfdbcb4d3cb3p-24, 0x1.d5e71d876fed4p-25, 0x1.31e9e026828abp-25, 0x1.20482f1696396p-26, -0x1.f0111620cc65ap-30, -0x1.5a457d0bc4262p-26, -0x1.48ce9c2356211p-25, -0x1.e283fedc747d1p-25, -0x1.3d200c70e2294p-24, -0x1.880094e55c83cp-24, -0x1.d1e37ccebe834p-24, -0x1.0d64a2ba4f455p-23, -0x1.315974562a28ep-23, -0x1.54d0d717c16c6p-23, -0x1.77cb615cb7a65p-23, -0x1.9a493eab2bfb3p-23, -0x1.bc4a012beb0dp-23, -0x1.ddcd273e38e5cp-23, -0x1.fed3071fe2ce9p-23, -0x1.0faea48a35c4cp-22, -0x1.1fb7730530f05p-22, -0x1.2f85a709f1533p-22, -0x1.3f1779e0da0b6p-22, -0x1.4e66eb7e8504ap-22, -0x1.5d7d2e11f136fp-22, -0x1.6c5c55d2017acp-22, -0x1.7afa50fd4fadfp-22, -0x1.895c2c3926d64p-22, -0x1.9784ef50221aap-22, -0x1.a573f58419c87p-22, -0x1.b328dd5cb3b2p-22, -0x1.c0a3c38954739p-22, -0x1.cde4f3ba40ebep-22, -0x1.daecc6c2a6e8bp-22, -0x1.e7bb9bdbaab11p-22, -0x1.f451dafcf768cp-22, -0x1.0057fc21a89f8p-21, -0x1.066b3b58aeac7p-21, -0x1.0c62f50c93a7ep-21, -0x1.123f6d1700a74p-21, -0x1.180086329813fp-21, -0x1.1da5030d6fe07p-21, -0x1.232b2382e63e6p-21, -0x1.28945f5278db2p-21, -0x1.2de4d1ccd3bd6p-21, -0x1.331e46e540cd4p-21, -0x1.383f3b5181c8cp-21, -0x1.3d433af41d64dp-21, -0x1.422a40a3de81fp-21, -0x1.46f7429e32dd1p-21, -0x1.4bab72dfb6583p-21, -0x1.5046b92795dcp-21, -0x1.54c8dc671b5c8p-21, -0x1.5931d041d37a3p-21, -0x1.5d81ad0534a09p-21, -0x1.61b89f4bfb508p-21, -0x1.65d6da7c802f9p-21, -0x1.69dc88d52ebep-21, -0x1.6dc9bec3e3608p-21, -0x1.719e89c27f178p-21, -0x1.755b151e776e8p-21, -0x1.78ffae45a27a6p-21, -0x1.7c8cab20055c1p-21, -0x1.80027b831be82p-21, -0x1.8361c304ff4bp-21, -0x1.86a9ea364c22dp-21, -0x1.89da478800c84p-21, -0x1.8cf40827693a3p-21, -0x1.8ff660fa77646p-21, -0x1.92e2efbc94f6fp-21, -0x1.95b9c370b2effp-21, -0x1.987ab14847dc1p-21, -0x1.9b25d1a1a0ecep-21, -0x1.9dbb53bebaa3ep-21, -0x1.a03b6aa82df9bp-21, -0x1.a2a6494139923p-21, -0x1.a4fc21f91c7fap-21, -0x1.a73d26f58c015p-21, -0x1.a9698a0e58de4p-21, -0x1.ab817c93169b3p-21, -0x1.ad852f0a50a0cp-21, -0x1.af74d14514fd2p-21, -0x1.b1509315431d5p-21, -0x1.b318a5b89d56p-21, -0x1.b4cd3d5a36377p-21, -0x1.b66e9174c784p-21, -0x1.b7fcdb8058599p-21, -0x1.b97856c56166ep-21, -0x1.bae14778e94e1p-21, -0x1.bc37fca787fc2p-21, -0x1.bd7c7352eb15ep-21, -0x1.bead942ec2e28p-21, -0x1.bfcb38f8aa74fp-21, -0x1.c0d8bb9eb1813p-21, -0x1.c1d607ce9b31bp-21, -0x1.c2c040d454e37p-21, -0x1.c398a6be68de7p-21, -0x1.c4609ce8e782p-21, -0x1.c5182b58b915dp-21, -0x1.c5bf35f599cedp-21, -0x1.c655cc88f7d6cp-21, -0x1.c6dc15ee7e678p-21, -0x1.c7523fe160efap-21, -0x1.c7b87267f5a5cp-21, -0x1.c80ed6c252695p-21, -0x1.c855a05f61a74p-21, -0x1.c88d06ebce925p-21, -0x1.c8b53ce3db42p-21, -0x1.c8ce74d285eefp-21, -0x1.c8d8ff4f3177dp-21, -0x1.c8d54265b0234p-21, -0x1.c8c2d56d5dd49p-21, -0x1.c8a184f7b9f55p-21, -0x1.c872326713224p-21, -0x1.c8353f29b8c08p-21, -0x1.c7ea9ce45141cp-21, -0x1.c792677285cedp-21, -0x1.c72ccbd41fee7p-21, -0x1.c6b9f8d32cae3p-21, -0x1.c63a1c91d0bc8p-21, -0x1.c5ad648a8197cp-21, -0x1.c513fdbd5b8e4p-21, -0x1.c46e14cf9bbdcp-21, -0x1.c3bbd61c2787cp-21, -0x1.c2fd6dbd8ae62p-21, -0x1.c2330797e0d92p-21, -0x1.c15ccf6136242p-21, -0x1.c07af0a80b47p-21, -0x1.bf8d96d414cc4p-21, -0x1.be94ed1efa9f3p-21, -0x1.bd911e84e4244p-21, -0x1.bc8255b0db3ffp-21, -0x1.bb68bcea4ac0fp-21, -0x1.ba447e12a6a07p-21, -0x1.b915c2ca9026ap-21, -0x1.b7dcb4bd1dec3p-21, -0x1.b6997df33d45ap-21, -0x1.b54c48ce8979cp-21, -0x1.b3f53f4e252e9p-21, -0x1.b29489c319e1dp-21, -0x1.b12a4f5a540afp-21, -0x1.afb6bd87a970bp-21, -0x1.ae3a12e1ec4c6p-21, -0x1.acb47b14eba32p-21, -0x1.ab25d02c435ccp-21, -0x1.a98e49a5a7c67p-21, -0x1.a7edf8553ef89p-21, -0x1.a645339cc8d53p-21, -0x1.a4945e928e668p-21, -0x1.a2db80f342789p-21, -0x1.a11aaa40a0b2bp-21, -0x1.9f51f9dabd10ap-21, -0x1.9d8194fd14664p-21, -0x1.9ba9a2ef2d039p-21, -0x1.99ca4a55f723ep-21, -0x1.97e3b04e5546p-21, -0x1.95f5f966acdb3p-21, -0x1.94014c593ee5dp-21, -0x1.9205dbd3fe988p-21, -0x1.9003bef985ceap-21, -0x1.8dfaedda66c3ep-21, -0x1.8bebc0984a562p-21, -0x1.89d6590204e05p-21, -0x1.87bacf2296ae4p-21, -0x1.85994459b1b11p-21, -0x1.8371db446fea1p-21, -0x1.8144b624049b5p-21, -0x1.7f11f6d408e33p-21, -0x1.7cd9bed6c60eep-21, -0x1.7a9c2f624213fp-21, -0x1.78596961ee10bp-21, -0x1.76118d7a9bf1fp-21, -0x1.73c4bc08959c9p-21, -0x1.71731522973d3p-21, -0x1.6f1cb8980a6a1p-21, -0x1.6cc1c5f101c19p-21, -0x1.6a625c6e677e1p-21, -0x1.67fe9b09ca80ap-21, -0x1.6596a075aa2d6p-21, -0x1.632a8b1d9765p-21, -0x1.60ba7925cfc0fp-21, -0x1.5e46886af018fp-21, -0x1.5bced68429721p-21, -0x1.595380c358be7p-21, -0x1.56d4a430d756fp-21, -0x1.54525d8f74c7bp-21, -0x1.51ccc95aeaab3p-21, -0x1.4f4403c6f0511p-21, -0x1.4cb828bd5bd1bp-21, -0x1.4a2953e1260dp-21, -0x1.4797a08e9218ep-21, -0x1.450329e082c61p-21, -0x1.426c0ab458863p-21, -0x1.3fd25da8615bbp-21, -0x1.3d363d20b4d9fp-21, -0x1.3a97c2dfc83a4p-21, -0x1.37f7071ec5b06p-21, -0x1.355426bf65f9bp-21, -0x1.32af397ac2951p-21, -0x1.30085c962eb8fp-21, -0x1.2d5fa5c8ee773p-21, -0x1.2ab520370e3f9p-21, -0x1.2808ec736c735p-21, -0x1.255b2b70a8deap-21, -0x1.22abf11691ceap-21, -0x1.1ffb526b1b6dfp-21, -0x1.1d496625a3264p-21, -0x1.1a9643219297fp-21, -0x1.17e1ffff54cfp-21, -0x1.152cb3657a1e3p-21, -0x1.127673c38213p-21, -0x1.0fbf54a1c91cep-21, -0x1.0d076d4a348fcp-21, -0x1.0a4ed3141194p-21, -0x1.07959a8c67ecdp-21, -0x1.04dbd863760f3p-21, -0x1.0221a11072c2fp-21, -0x1.fece1187238dcp-22, -0x1.f95846d89d5a7p-22, -0x1.f3e2096c7b7c6p-22, -0x1.ee6b801b99862p-22, -0x1.e8f4d13c06828p-22, -0x1.e37e22a221093p-22, -0x1.de0799a313a85p-22, -0x1.d8915b101b3f5p-22, -0x1.d31b8b06fcc19p-22, -0x1.cda64e2a542bp-22, -0x1.c831c70585f87p-22, -0x1.c2be18bede13dp-22, -0x1.bd4b65ba91a2ep-22, -0x1.b7d9cfe20d011p-22, -0x1.b26978a434c59p-22, -0x1.acfa80f5f77e7p-22, -0x1.a78d0953e982ep-22, -0x1.a22131c007b83p-22, -0x1.9cb719c683a9p-22, -0x1.974ee07ca1725p-22, -0x1.91e8a47eac562p-22, -0x1.8c8483f4d5457p-22, -0x1.87229c92dca33p-22, -0x1.81c30b94ea4cbp-22, -0x1.7c65edc700882p-22, -0x1.770b5f7d8bda4p-22, -0x1.71b37c9d6cc29p-22, -0x1.6c5e6099b6cf2p-22, -0x1.670c2672a8d2cp-22, -0x1.61bce8b9acb06p-22, -0x1.5c70c1916e6ap-22, -0x1.5727caac318c1p-22, -0x1.51e21d5277599p-22, -0x1.4c9fd259fa302p-22, -0x1.4761022c9709p-22, -0x1.4225c4bc27cffp-22, -0x1.3cee31a35b6ap-22, -0x1.37ba6046cb881p-22, -0x1.328a675b8f1f1p-22, -0x1.2d5e5d158f335p-22, -0x1.28365779fbeaep-22, -0x1.23126c2746ab5p-22, -0x1.1df2b02bacc49p-22, -0x1.18d737de62072p-22, -0x1.13c01805c3224p-22, -0x1.0ead660b4c826p-22, -0x1.099f33ebf2637p-22, -0x1.049594c58477ap-22, -0x1.ff2137c22ad06p-23, -0x1.f520b82ce23ffp-23, -0x1.eb29cf75b0fd6p-23, -0x1.e13c8bcd5755fp-23, -0x1.d75946b7cd417p-23, -0x1.cd7fef65d46abp-23, -0x1.c3b0b6f6d9121p-23, -0x1.b9ebbe684d411p-23, -0x1.b0312575e0c21p-23, -0x1.a6810b3c4a2aap-23, -0x1.9cdb8e27aa78fp-23, -0x1.9340cbee93548p-23, -0x1.89b0e19e56ae6p-23, -0x1.802beb8cf41b2p-23, -0x1.76b2056a177cep-23, -0x1.6d434a35421c1p-23, -0x1.63dfd4476de84p-23, -0x1.5a87bd4c8acdep-23, -0x1.513b1e528978dp-23, -0x1.47fa0fbc6b36fp-23, -0x1.3ec4a94e95493p-23, -0x1.359b022e35039p-23, -0x1.2c7d30dcfe855p-23, -0x1.236b4867c9c19p-23, -0x1.1a65669f816d1p-23, -0x1.116b97e56326ap-23, -0x1.087df30eb2d1dp-23, -0x1.ff39171ab1b98p-24, -0x1.ed8ee8cf0046ap-24, -0x1.dbfd800493994p-24, -0x1.ca850063cc976p-24, -0x1.b9258c7249b22p-24, -0x1.a7df4584d81f1p-24, -0x1.96b24bf237938p-24, -0x1.859ebeee50191p-24, -0x1.74a4bc9868ac8p-24, -0x1.63c461ff762bcp-24, -0x1.52fdcb1f13d5fp-24, -0x1.425112e8c3abfp-24, -0x1.31be534750e1dp-24, -0x1.2145a5128fecbp-24, -0x1.10e7202a73e72p-24, -0x1.00a2db65731b4p-24, -0x1.e0f1d9414b764p-25, -0x1.c0d2d175465b5p-25, -0x1.a0e8c73d69bb9p-25, -0x1.8133e07959e6p-25, -0x1.61b4413b83d36p-25, -0x1.426a0b9458f7fp-25, -0x1.23555fe05f5b4p-25, -0x1.04765c9dee369p-25, -0x1.cb9a3d06bf1a3p-26, -0x1.8eb38113dd5c6p-26, -0x1.5238b7ac994b2p-26, -0x1.162a0fd4643b6p-26, -0x1.b50f6a39872ffp-27, -0x1.3ea39f7119f6dp-27, -0x1.922217290b127p-28, -0x1.515fb6b84e7dbp-29, 0x1.f87799b3cb67ep-31, 0x1.2519db45ef874p-28, 0x1.04b80f03fd1c3p-27, 0x1.760b5dcf005ap-27, 0x1.e68012cc0a48bp-27, 0x1.2b0e1d5b15a25p-26, 0x1.626ee7bc98f23p-26, 0x1.99625249ae04p-26, 0x1.cfe85c08cb07cp-26, 0x1.0300818522a1ep-25, 0x1.1dd6235f0c28cp-25, 0x1.3875149d04689p-25, 0x1.52dd57b352c16p-25, 0x1.6d0ef09ced21dp-25, 0x1.8709e4b4b8d84p-25, 0x1.a0ce4a2dbcc0dp-25, 0x1.ba5bfa34012c7p-25, 0x1.d3b32c729d757p-25, 0x1.ecd3dc32f8b93p-25, 0x1.02df0a8cebbcp-24, 0x1.0f38f20ebd214p-24, 0x1.1b77abbfae753p-24, 0x1.279b3f51280cap-24, 0x1.33a3b5107b459p-24, 0x1.3f9115dbc7b31p-24, 0x1.4b636b20423d1p-24, 0x1.571abedca2694p-24, 0x1.62b71b939c45ep-24, 0x1.6e388c5453a9p-24, 0x1.799f1cb1d32ccp-24, 0x1.84ead8be37545p-24, 0x1.901bcd0d0a2p-24, 0x1.9b3206ac2f94bp-24, 0x1.a62d932bff843p-24, 0x1.b10e807f535fap-24, 0x1.bbd4dd28bc9ffp-24, 0x1.c680b7f6d1df7p-24, 0x1.d1121fc44524ap-24, 0x1.db89231cfeca6p-24, 0x1.e5e5c98321b69p-24, 0x1.f02856198dd4cp-24, 0x1.fa508c668ef9ep-24, 0x1.022f581432e42p-23, 0x1.0729638db1c6fp-23, 0x1.0c167153a3a81p-23, 0x1.10f68b0226d1bp-23, 0x1.15c9ba272b3c2p-23, 0x1.1a90089eff8d9p-23, 0x1.1f49804ab2102p-23, 0x1.23f62afaf3cc6p-23, 0x1.28960ec1592c6p-23, 0x1.2d297901d3c3p-23, 0x1.31afc837faca8p-23, 0x1.3629aa6bdc0d4p-23, 0x1.3a96f4c5fcda5p-23, 0x1.3ef7b388a617bp-23, 0x1.434bef0133198p-23, 0x1.4793b78dc65a4p-23, 0x1.4bcf155d3aac2p-23, 0x1.4ffe15692a65cp-23, 0x1.5420c33a18e04p-23, 0x1.58372af5072c2p-23, 0x1.5c4158d336cefp-23, 0x1.603f591ce4625p-23, 0x1.6431384d7b38cp-23, 0x1.681702f5d4b4ap-23, 0x1.6bf0c5c75fd64p-23, 0x1.6fbe8d92d61dcp-23, 0x1.73806745dacccp-23, 0x1.77365fee8ddbdp-23, 0x1.7ae084b152629p-23, 0x1.7e7ee2d3ae35p-23, 0x1.821187b2eda7cp-23, 0x1.859880c47df4p-23, }}, 
      {{0x1.1affc1b54b822p-3, 0x1.1615b2eab4ebdp-2, 0x1.958533683969dp-2, 0x1.044648837d547p-1, 0x1.3677b8d82cf9bp-1, 0x1.60b0e9b23c284p-1, 0x1.82b238bd278e5p-1, 0x1.9c8e5861e0f94p-1, 0x1.ae96d2965916bp-1, 0x1.b94a821c6c848p-1, 0x1.bd469942b6775p-1, 0x1.bb3a5279c2d42p-1, 0x1.b3dd29ef24184p-1, 0x1.a7e75d3f5289bp-1, 0x1.980c5f9ff0451p-1, 0x1.84f6ef4bd2b1cp-1, 0x1.6f467c5befc94p-1, 0x1.578d97b77064p-1, 0x1.3e512ac79901cp-1, 0x1.24084386f0206p-1, 0x1.091c4b2e214bbp-1, 0x1.dbd30df28da22p-2, 0x1.a57f94f3eb106p-2, 0x1.6fc69287c532dp-2, 0x1.3b1af5372940dp-2, 0x1.07dc0ab0c1862p-2, 0x1.acaeb321dd1c5p-3, 0x1.4d94e5672946ap-3, 0x1.e592c98778704p-4, 0x1.3923af4766df2p-4, 0x1.2c77d86ac4afp-5, -0x1.758a7df0caeb2p-11, -0x1.24711a8936a3fp-5, -0x1.17af6eda86bb1p-4, -0x1.9369f1a079043p-4, -0x1.02cac9667d9e6p-3, -0x1.3737c15dccceap-3, -0x1.6720be05baa17p-3, -0x1.92af7ee19887ep-3, -0x1.ba117019d88e6p-3, -0x1.dd769e726d93p-3, -0x1.fd10d18c724bdp-3, -0x1.0c89647f12fc9p-2, -0x1.18d7cc26aeac3p-2, -0x1.238d0f068924fp-2, -0x1.2cc24984c1082p-2, -0x1.3490176a0c72dp-2, -0x1.3b0e6f863f2a6p-2, -0x1.4054876337463p-2, -0x1.4478bdd4c1ab5p-2, -0x1.47908b5c05734p-2, -0x1.49b077890cd5dp-2, -0x1.4aec1291de1a2p-2, -0x1.4b55f2750326ep-2, -0x1.4affb3037c6a8p-2, -0x1.49f9f842e3b88p-2, -0x1.485472ac94a06p-2, -0x1.461de4e30a23fp-2, -0x1.43642a89f49c1p-2, -0x1.40343ffb8b05p-2, -0x1.3c9a4aa1dcec3p-2, -0x1.38a1a1bf85c8bp-2, -0x1.3454d77d688e4p-2, -0x1.2fbdc2174cbdep-2, -0x1.2ae5850a58359p-2, -0x1.25d49a304c118p-2, -0x1.2092dab954b63p-2, -0x1.1b2787f98f40bp-2, -0x1.1599540196061p-2, -0x1.0fee69f7e489ep-2, -0x1.0a2c7627aa2c4p-2, -0x1.0458adbe4ab11p-2, -0x1.fcefac596bca1p-3, -0x1.f11c9866cc6b6p-3, -0x1.e5401524b32c3p-3, -0x1.d96160dd8b459p-3, -0x1.cd870ece38c2ap-3, -0x1.c1b712ccf5164p-3, -0x1.b5f6cc502767ep-3, -0x1.aa4b10f34a0d4p-3, -0x1.9eb836507c0fp-3, -0x1.93421b5138b79p-3, -0x1.87ec30d7f7bbdp-3, -0x1.7cb981ebf774dp-3, -0x1.71acbb52e2ae1p-3, -0x1.66c832c3f510cp-3, -0x1.5c0deda1b30cp-3, -0x1.517fa75c7a72bp-3, -0x1.471ed769e02b5p-3, -0x1.3cecb6e8d0754p-3, -0x1.32ea45e057fcp-3, -0x1.2918502c5a91p-3, -0x1.1f77720a38e6dp-3, -0x1.16081c58996fcp-3, -0x1.0cca9881f3028p-3, -0x1.03bf0c2377e7ap-3, -0x1.f5caf8d7121f6p-4, -0x1.e47ba27f3ea2dp-4, -0x1.d38fb0492effbp-4, -0x1.c3068dec4bf44p-4, -0x1.b2df7cd40cfd5p-4, -0x1.a31998cac665dp-4, -0x1.93b3dc4da4505p-4, -0x1.84ad248916243p-4, -0x1.760435093d117p-4, -0x1.67b7bb1bef148p-4, -0x1.59c650edb5cb3p-4, -0x1.4c2e80628f8acp-4, -0x1.3eeec5b1c11e6p-4, -0x1.320591c5c583bp-4, -0x1.25714c682dd06p-4, -0x1.1930563ad76dfp-4, -0x1.0d410a82ad4fdp-4, -0x1.01a1c0c9315e9p-4, -0x1.eca19cab6c459p-5, -0x1.d6990f042de01p-5, -0x1.c12681dcfc63dp-5, -0x1.ac46a12be67a6p-5, -0x1.97f61d8986fc3p-5, -0x1.8431ade8ff43dp-5, -0x1.70f6112467cb7p-5, -0x1.5e400f4f8869ep-5, -0x1.4c0c7ae8a61cbp-5, -0x1.3a5831e5a3a93p-5, -0x1.29201e9226d0ep-5, -0x1.18613852d73ccp-5, -0x1.08188450ebf9ap-5, -0x1.f0862bfce1d0ap-6, -0x1.d1bc1f0c96d32p-6, -0x1.b3cd4452243aap-6, -0x1.96b41d0452b17p-6, -0x1.7a6b496d0eabfp-6, -0x1.5eed892c1b622p-6, -0x1.4435bb605961ep-6, -0x1.2a3edeaebcff9p-6, -0x1.110411286a4dep-6, -0x1.f101204c84715p-7, -0x1.c15f70321715bp-7, -0x1.931a08653f1d3p-7, -0x1.66281c031b7p-7, -0x1.3a811a28311a9p-7, -0x1.101cad0ccbc9cp-7, -0x1.cde571cc7213cp-8, -0x1.7df6b5af54ea5p-8, -0x1.305dcfc7a500ap-8, -0x1.ca17aef278e15p-9, -0x1.37e49ddbf931ep-9, -0x1.540c826f26079p-10, -0x1.0309cc46b2906p-12, 0x1.949449001760cp-11, 0x1.cd4cf44f4f37bp-10, 0x1.643c1a84a79a1p-9, 0x1.ddfe59505a8c3p-9, 0x1.2a02759aa6e72p-8, 0x1.63336c6e99f93p-8, 0x1.9a9d42331934fp-8, 0x1.d04ad75237138p-8, 0x1.02235efd3bba8p-7, 0x1.1b4d9e49f03cp-7, 0x1.33a92830b4fabp-7, 0x1.4b3ad802308e9p-7, 0x1.620766e0a8a23p-7, 0x1.78136cdc0a1c3p-7, 0x1.8d63621f0eba4p-7, 0x1.a1fba01b122a4p-7, 0x1.b5e06299c703fp-7, 0x1.c915c8bd3ad32p-7, 0x1.db9fd5fede36ap-7, 0x1.ed8273396727cp-7, 0x1.fec16fa4f7a25p-7, 0x1.07b040e04076fp-6, 0x1.0fb1a41865b42p-6, 0x1.1766a54ca8365p-6, 0x1.1ed0fd3c245d4p-6, 0x1.25f259fce04f1p-6, 0x1.2ccc5f5f6d1f1p-6, 0x1.3360a74c63368p-6, 0x1.39b0c21c498d7p-6, 0x1.3fbe36efdc967p-6, 0x1.458a840778e9dp-6, 0x1.4b171f17354bp-6, 0x1.50657593943dap-6, 0x1.5576ecf6b75abp-6, 0x1.5a4ce304846ddp-6, 0x1.5ee8ae1203ffep-6, 0x1.634b9d4b1085p-6, 0x1.6776f8f0d99f4p-6, 0x1.6b6c029069c27p-6, 0x1.6f2bf5354c593p-6, 0x1.72b805a174a93p-6, 0x1.76116285a1451p-6, 0x1.793934b488989p-6, 0x1.7c309f4e8ab9dp-6, 0x1.7ef8bfe834c66p-6, 0x1.8192aeb2c8c26p-6, 0x1.83ff7ea7ccee4p-6, 0x1.86403db2c23bbp-6, 0x1.8855f4d4f3f1bp-6, 0x1.8a41a8449b0b3p-6, 0x1.8c04578a44277p-6, 0x1.8d9efd9fbe21fp-6, 0x1.8f12910ff4671p-6, 0x1.906004150eaa2p-6, 0x1.918844b2115f8p-6, 0x1.928c3cca3d311p-6, 0x1.936cd237a96a3p-6, 0x1.942ae6e1a1df4p-6, 0x1.94c758d379a56p-6, 0x1.95430252282a5p-6, 0x1.959eb9ef7ffb1p-6, 0x1.95db529c5752ep-6, 0x1.95f99bba087c5p-6, 0x1.95fa612accc1ap-6, 0x1.95de6b617638ap-6, 0x1.95a67f713b263p-6, 0x1.95535f1cd0c11p-6, 0x1.94e5c8e4a57b9p-6, 0x1.945e7814acd2p-6, 0x1.93be24d163f48p-6, 0x1.93058423081e9p-6, 0x1.92354800e9c84p-6, 0x1.914e1f5d2f05ep-6, 0x1.9050b6307bdefp-6, 0x1.8f3db5853063p-6, 0x1.8e15c38222736p-6, 0x1.8cd983744a09cp-6, 0x1.8b8995d737dfep-6, 0x1.8a26985da8f07p-6, 0x1.88b125fb0eda8p-6, 0x1.8729d6ed351efp-6, 0x1.859140c567b35p-6, 0x1.83e7f6711a37cp-6, 0x1.822e8841dd235p-6, 0x1.806583f484c2bp-6, 0x1.7e8d74b838fe5p-6, 0x1.7ca6e33641b6bp-6, 0x1.7ab2559a75ae4p-6, 0x1.78b04f9b25dcp-6, 0x1.76a152808e4d8p-6, 0x1.7485dd2bead98p-6, 0x1.725e6c1e20292p-6, 0x1.702b797e1c45cp-6, 0x1.6ded7d1f77e43p-6, 0x1.6ba4ec89b76dp-6, 0x1.69523affa06c5p-6, 0x1.66f5d9861ae65p-6, 0x1.649036eac3db9p-6, 0x1.6221bfca4f3f7p-6, 0x1.5faade96d3699p-6, 0x1.5d2bfb9de4adfp-6, 0x1.5aa57d0ed09f8p-6, 0x1.5817c70149351p-6, 0x1.55833b7c1e01bp-6, 0x1.52e83a7b9721dp-6, 0x1.504721f79b60ep-6, 0x1.4da04de9cc85dp-6, 0x1.4af4185396f44p-6, 0x1.4842d94434a3ap-6, 0x1.458ce6dea90c7p-6, 0x1.42d2955fdb582p-6, 0x1.40143724e06a4p-6, 0x1.3d521cb123d75p-6, 0x1.3a8c94b452eefp-6, 0x1.37c3ec1044f4cp-6, 0x1.34f86ddedd052p-6, 0x1.322a6377f46abp-6, 0x1.2f5a1477281a3p-6, 0x1.2c87c6c19f257p-6, 0x1.29b3be8be210ep-6, 0x1.26de3e5fd1d41p-6, 0x1.240787227e7bcp-6, 0x1.212fd819db506p-6, 0x1.1e576ef272fd1p-6, 0x1.1b7e87c518317p-6, 0x1.18a55d1c9156ep-6, 0x1.15cc27fb3a6b6p-6, 0x1.12f31fe08cd36p-6, 0x1.101a7aceb53e5p-6, 0x1.0d426d5039062p-6, 0x1.0a6b2a7d91015p-6, 0x1.0794e402adcf9p-6, 0x1.04bfca246000ep-6, 0x1.01ec0bc5c7faep-6, 0x1.fe33acdb81dfep-7, 0x1.f892ac988292dp-7, 0x1.f2f56c7f626dap-7, 0x1.ed5c3fb47468bp-7, 0x1.e7c776ce26182p-7, 0x1.e2375fdf9a7f9p-7, 0x1.dcac46832a282p-7, 0x1.d72673e4af23ep-7, 0x1.d1a62ecbbbf4ap-7, 0x1.cc2bbba5d543dp-7, 0x1.c6b75c90a7611p-7, 0x1.c149516438f09p-7, 0x1.bbe1d7bcf7995p-7, 0x1.b6812b05ae2efp-7, 0x1.b1278481520b7p-7, 0x1.abd51b54d1d05p-7, 0x1.a68a2490c532ap-7, 0x1.a146d33b0eb33p-7, 0x1.9c0b5858737cep-7, 0x1.96d7e2f62ad2p-7, 0x1.91aca03362364p-7, 0x1.8c89bb4ab0b5cp-7, 0x1.876f5d9b5bbb1p-7, 0x1.825daeb26d729p-7, 0x1.7d54d453ba4b8p-7, 0x1.7854f282c8ea2p-7, 0x1.735e2b8bc82d6p-7, 0x1.6e70a00c690e7p-7, 0x1.698c6efcc52adp-7, 0x1.64b1b5b8221f8p-7, 0x1.5fe090059a269p-7, 0x1.5b191820a7268p-7, 0x1.565b66c18220ep-7, 0x1.51a7932565131p-7, 0x1.4cfdb316ade01p-7, 0x1.485ddaf4f8c93p-7, 0x1.43c81dbd29bb1p-7, 0x1.3f3c8d117d341p-7, 0x1.3abb394181a9fp-7, 0x1.36443151fcab8p-7, 0x1.31d78304a92a2p-7, 0x1.2d753adfd7395p-7, 0x1.291d6435e2493p-7, 0x1.24d0092c90b91p-7, 0x1.208d32c45a144p-7, 0x1.1c54e8df96eedp-7, 0x1.18273249aec93p-7, 0x1.140414be2aef1p-7, 0x1.0feb94efc6cd7p-7, 0x1.0bddb68f63026p-7, 0x1.07da7c52def3dp-7, 0x1.03e1e7fbcc67p-7, 0x1.ffe7f4bc0b12p-8, 0x1.f82166cc384p-8, 0x1.f070243f65d7cp-8, 0x1.e8d429778c468p-8, 0x1.e14d712dbe80ap-8, 0x1.d9dbf47e78d6cp-8, 0x1.d27faaf5d8fd6p-8, 0x1.cb388a9ba1727p-8, 0x1.c40687ff14ea4p-8, 0x1.bce99642906f5p-8, 0x1.b5e1a726ee56ap-8, 0x1.aeeeab169b3c6p-8, 0x1.a81091307d67p-8, 0x1.a14747529e859p-8, 0x1.9a92ba24b8b8dp-8, 0x1.93f2d5229e2bep-8, 0x1.8d6782a68cf94p-8, 0x1.86f0abf3564efp-8, 0x1.808e393e6ad46p-8, 0x1.7a4011b9b2263p-8, 0x1.74061b9d292e1p-8, 0x1.6de03c3046369p-8, 0x1.67ce57d3258bcp-8, 0x1.61d052078208ep-8, 0x1.5be60d797e5d1p-8, 0x1.560f6c0845c6ep-8, 0x1.504c4ece9333p-8, 0x1.4a9c962b0a79ep-8, 0x1.450021c87e30dp-8, 0x1.3f76d0a605a16p-8, 0x1.3a00811ef1d2bp-8, 0x1.349d10f28cceap-8, 0x1.2f4c5d4bb0fp-8, 0x1.2a0e42c82122dp-8, 0x1.24e29d7fcc995p-8, 0x1.1fc9490bcd89cp-8, 0x1.1ac2208d5559ap-8, 0x1.15ccfeb464251p-8, 0x1.10e9bdc6742c8p-8, 0x1.0c1837a4e5ecep-8, 0x1.075845d362ee3p-8, 0x1.02a9c17e0f981p-8, 0x1.fc1906ff2c5c9p-9, 0x1.f300c8ce299e8p-9, 0x1.ea0a78fbb9724p-9, 0x1.e135c79a1ddfbp-9, 0x1.d882644626569p-9, 0x1.cfeffe31dbad9p-9, 0x1.c77e442edf91ap-9, 0x1.bf2ce4b88f28dp-9, 0x1.b6fb8dfddec6ep-9, 0x1.aee9edeaf9f52p-9, 0x1.a6f7b232ab2f8p-9, 0x1.9f24885770dfdp-9, 0x1.97701db462802p-9, 0x1.8fda1f85d10e6p-9, 0x1.88623af1ab43fp-9, 0x1.81081d0f9f5fcp-9, 0x1.79cb72f108958p-9, 0x1.72abe9a898eedp-9, 0x1.6ba92e51ce426p-9, 0x1.64c2ee1832cf4p-9, 0x1.5df8d63e553a5p-9, 0x1.574a94249fe46p-9, 0x1.50b7d54fe290ep-9, 0x1.4a40476fc2b6dp-9, 0x1.43e39864d2501p-9, 0x1.3da1764694a45p-9, 0x1.37798f6941c74p-9, 0x1.316b926359ac7p-9, 0x1.2b772e12fdcf8p-9, 0x1.259c11a330671p-9, 0x1.1fd9ec90d5abp-9, 0x1.1a306eaf802f8p-9, 0x1.149f482e1f6aap-9, 0x1.0f26299b75edcp-9, 0x1.09c4c3ea6566dp-9, 0x1.047ac8761579cp-9, 0x1.fe8fd20bde824p-10, 0x1.f457afa2d78adp-10, 0x1.ea4c8f0786fc5p-10, 0x1.e06dd67ee9752p-10, 0x1.d6baed4327fe6p-10, 0x1.cd333b8a0cdddp-10, 0x1.c3d62a8b19d4bp-10, 0x1.baa3248540ebbp-10, 0x1.b19994c47816ep-10, 0x1.a8b8e7a7004a2p-10, 0x1.a0008aa2635edp-10, 0x1.976fec485ed5p-10, 0x1.8f067c4b5dfe5p-10, 0x1.86c3ab82f668ep-10, 0x1.7ea6ebefcd6b2p-10, 0x1.76afb0bf83517p-10, 0x1.6edd6e4ffb49dp-10, 0x1.672f9a32ac519p-10, 0x1.5fa5ab2f860d1p-10, 0x1.583f1947b197bp-10, 0x1.50fb5db857f57p-10, 0x1.49d9f2fd24f66p-10, 0x1.42da54d2e1befp-10, 0x1.3bfc0039bd1fcp-10, 0x1.353e7377974d9p-10, 0x1.2ea12e19aa585p-10, 0x1.2823b0f62f412p-10, 0x1.21c57e2d45ea2p-10, 0x1.1b861929cc21ep-10, 0x1.156506a1e27f1p-10, 0x1.0f61cc976959dp-10, 0x1.097bf258968a8p-10, 0x1.03b30080c189ap-10, 0x1.fc0d01f2c3c84p-11, 0x1.f0ebfdf660806p-11, 0x1.e6020e1e1bebep-11, 0x1.db4e4e1d4fbbap-11, 0x1.d0cfdc49267fdp-11, 0x1.c685d9972bf03p-11, 0x1.bc6f699af1706p-11, 0x1.b28bb2826f727p-11, 0x1.a8d9dd123755bp-11, 0x1.9f5914a22f4f2p-11, 0x1.9608871b1b75p-11, 0x1.8ce764f5f3825p-11, 0x1.83f4e13c8df9ep-11, 0x1.7b30318b0054fp-11, 0x1.72988e1189e75p-11, 0x1.6a2d31954d6cp-11, 0x1.61ed596f37183p-11, 0x1.59d8458856c91p-11, 0x1.51ed3853ad657p-11, 0x1.4a2b76c5d1e1dp-11, 0x1.4292484baa0d6p-11, 0x1.3b20f6c1817fap-11, 0x1.33d6ce6bd8125p-11, 0x1.2cb31df3488b3p-11, 0x1.25b536638dc1cp-11, 0x1.1edc6b2d82e8ap-11, 0x1.1828122b1e0a7p-11, 0x1.119783a36e215p-11, 0x1.0b2a1a4cd7f2bp-11, 0x1.04df334c1de92p-11, 0x1.fd6c5c5d5793ap-12, 0x1.f15cd9c16feb1p-12, 0x1.e58ea73ee577bp-12, 0x1.da0091d2d3b88p-12, 0x1.ceb16adecdf4ep-12, 0x1.c3a0080f87cd7p-12, 0x1.b8cb434d326f3p-12, 0x1.ae31fab62f30fp-12, 0x1.a3d310a4ea5fbp-12, 0x1.99ad6bbdbc95bp-12, 0x1.8fbff6fff14fep-12, 0x1.8609a1d50632dp-12, 0x1.7c896018bdbe9p-12, 0x1.733e2a159f173p-12, 0x1.6a26fc7418de3p-12, 0x1.6142d81d24b0ap-12, 0x1.5890c21394222p-12, 0x1.500fc348b938ap-12, 0x1.47bee8737dc04p-12, 0x1.3f9d41eee557ap-12, 0x1.37a9e3a51765bp-12, 0x1.2fe3e508e87abp-12, 0x1.284a611d641a9p-12, 0x1.20dc768841eabp-12, 0x1.199947aa0d22bp-12, 0x1.127ffab5f9201p-12, 0x1.0b8fb9c27a188p-12, 0x1.04c7b2ce5e3e3p-12, 0x1.fc4e2f6d4e58ep-13, 0x1.ef5a3c3ba1172p-13, 0x1.e2b1fe8cbfe99p-13, 0x1.d653efcae1fd9p-13, 0x1.ca3e8fe7d6092p-13, 0x1.be706507904edp-13, 0x1.b2e7fb3d5d8c6p-13, 0x1.a7a3e463ebb3dp-13, 0x1.9ca2b810b6beap-13, 0x1.91e313a188be5p-13, 0x1.87639a5eebe85p-13, 0x1.7d22f5a8d19f9p-13, 0x1.731fd5253a004p-13, 0x1.6958eee4e9fc5p-13, 0x1.5fccff75e6d71p-13, 0x1.567ac9dea25b2p-13, 0x1.4d61177fcaad8p-13, 0x1.447eb7df5f798p-13, 0x1.3bd280643ad4cp-13, 0x1.335b4c095bc09p-13, 0x1.2b17fb12b9617p-13, 0x1.230772c9be2e8p-13, 0x1.1b289d463c2ep-13, 0x1.137a69468d19cp-13, 0x1.0bfbca16d1cdfp-13, 0x1.04abb7871f7a9p-13, 0x1.fb125be094d5p-14, 0x1.ed265c8a38acdp-14, 0x1.df917c59221f5p-14, 0x1.d251d0401f5fp-14, 0x1.c565770efade6p-14, 0x1.b8ca9996490ap-14, 0x1.ac7f6aaf7186ap-14, 0x1.a082272102219p-14, 0x1.94d11566b1d68p-14, 0x1.896a8560ceaf4p-14, 0x1.7e4ccff80b7b1p-14, 0x1.737656ba78dd3p-14, 0x1.68e5837430c6fp-14, 0x1.5e98c7c383bap-14, 0x1.548e9ca8eb8dcp-14, 0x1.4ac582169e5f3p-14, 0x1.413bfe8d351e1p-14, 0x1.37f09ed55d011p-14, 0x1.2ee1f5e77b4c8p-14, 0x1.260e9d09f79e6p-14, 0x1.1d7534219ab78p-14, 0x1.15146220d8129p-14, 0x1.0cead57a3c5dfp-14, 0x1.04f74478d808ap-14, 0x1.fa70dad2bcaa3p-15, 0x1.eb5a2d22413fbp-15, 0x1.dca81be9688ddp-15, 0x1.ce58520d85d2bp-15, 0x1.c068888d56ae2p-15, 0x1.b2d685b739c2fp-15, 0x1.a5a01c52ae818p-15, 0x1.98c32aaf5ca5fp-15, 0x1.8c3d9991c8a65p-15, 0x1.800d5b060bc56p-15, 0x1.7430694006fc4p-15, 0x1.68a4c5c39c585p-15, 0x1.5d68791498ccp-15, 0x1.52799315ea059p-15, 0x1.47d62c149857ep-15, 0x1.3d7c6644ff5efp-15, 0x1.336a6f5249bd7p-15, 0x1.299e8196f8761p-15, 0x1.2016e4af88346p-15, 0x1.16d1ed4dadfb3p-15, 0x1.0dcdfc730669p-15, 0x1.05097e5a31f8fp-15, 0x1.f905d2cba17f2p-16, 0x1.e8717a9d75f21p-16, 0x1.d8530541f302dp-16, 0x1.c8a794d526084p-16, 0x1.b96c5bce81128p-16, 0x1.aa9e9be7c9166p-16, 0x1.9c3ba469fc04bp-16, 0x1.8e40d00c349cep-16, 0x1.80ab82f049b1p-16, 0x1.7379296fa322ep-16, 0x1.66a738568c074p-16, 0x1.5a332ebbc738cp-16, 0x1.4e1a991fc7ac9p-16, 0x1.425b14cda464p-16, 0x1.36f25283e114ep-16, 0x1.2bde17778b807p-16, 0x1.211c3c48a3bcbp-16, 0x1.16aaaa70c30fap-16, 0x1.0c87590c568aep-16, 0x1.02b04a10f04cp-16, 0x1.f24711647b8f8p-17, 0x1.dfbe52598e6dbp-17, 0x1.cdc29350bca23p-17, 0x1.bc50271544bc5p-17, 0x1.ab637902b89efp-17, 0x1.9af90d6cbc7d9p-17, 0x1.8b0d7fe48dc36p-17, 0x1.7b9d7fb055a52p-17, 0x1.6ca5cb92f8e8p-17, 0x1.5e232e511e36dp-17, 0x1.50127d6165bf6p-17, 0x1.42709a811c29ep-17, 0x1.353a77e9d9ccap-17, 0x1.286d1dd3d98dcp-17, 0x1.1c05af42de4ap-17, 0x1.10016c1de080dp-17, 0x1.045daf90133e3p-17, 0x1.f22fd645bc3cbp-18, 0x1.dc5b40d3a54dfp-18, 0x1.c738b75fa59e7p-18, 0x1.b2c362b56ed36p-18, 0x1.9ef67d3ad80d2p-18, 0x1.8bcd588e04136p-18, 0x1.7943643aeab79p-18, 0x1.67543266ed35ep-18, 0x1.55fb792c7a3c5p-18, 0x1.453510ff7f0cep-18, 0x1.34fcf14960d2ap-18, 0x1.254f2ca1d1436p-18, 0x1.1627ed64f81c2p-18, 0x1.078372f5a7158p-18, 0x1.f2bc1f273d763p-19, 0x1.d7684dccff2f1p-19, 0x1.bd045b7bb3c7p-19, 0x1.a3895778ea7abp-19, 0x1.8af07df3caea6p-19, 0x1.733340ac1dfb1p-19, 0x1.5c4b4c1592416p-19, 0x1.4632847c9d93fp-19, 0x1.30e2fab6d7c03p-19, 0x1.1c56dd40004afp-19, 0x1.08886e29be56fp-19, 0x1.eae4080c80ca8p-20, 0x1.c61c2b208ae11p-20, 0x1.a2ae91375b138p-20, 0x1.8090f5b87c6ap-20, 0x1.5fb97de7203cp-20, 0x1.401ea030207cap-20, 0x1.21b707ffb6a23p-20, 0x1.047985e989645p-20, 0x1.d0ba26b3061abp-21, 0x1.9ab1cafc0c631p-21, 0x1.66c906d912d6ep-21, 0x1.34efa36cca857p-21, 0x1.051616bbc6243p-21, 0x1.ae5aa5e499bbap-22, 0x1.564d100a8fc3p-22, 0x1.01e5e979f9081p-22, 0x1.620f751b4f5fbp-23, 0x1.8e55556892969p-24, 0x1.972410ac2eb92p-26, -0x1.6be75d370192fp-25, -0x1.c549ca3ece43fp-24, -0x1.644f3d575f8fcp-23, -0x1.e02a23e7ddbcap-23, -0x1.2b32efa2cbfe3p-22, -0x1.6398bc63ee21fp-22, -0x1.995d099b3afa7p-22, -0x1.cc9533ce35a8ep-22, -0x1.fd557781073c6p-22, -0x1.15d8b0902b8ebp-21, -0x1.2bde2b02e0ec7p-21, -0x1.40c4f125ee75fp-21, -0x1.5496d042a6486p-21, -0x1.675d68109668ep-21, -0x1.7921ebb74fb2cp-21, -0x1.89ecf8e7f5552p-21, -0x1.99c694ff9338ep-21, -0x1.a8b64d0e0695p-21, -0x1.b6c3669c5478ep-21, -0x1.c3f50fa5b51b1p-21, -0x1.d0528334c7dd9p-21, -0x1.dbe31cf7c1b2ap-21, -0x1.e6ae569b222bap-21, -0x1.f0bbac3477eep-21, -0x1.fa126f4d78672p-21, -0x1.015ccd6ae6384p-20, -0x1.055bddfae6becp-20, -0x1.09097c98630ecp-20, -0x1.0c689843866ebp-20, -0x1.0f7c0cf33cb02p-20, -0x1.1246ac1a40d8fp-20, -0x1.14cb37711a9abp-20, -0x1.170c5401f1242p-20, -0x1.190c8416bafe4p-20, -0x1.1ace314518521p-20, -0x1.1c53beaead88dp-20, -0x1.1d9f917a4ac98p-20, -0x1.1eb406789ddbep-20, -0x1.1f935dd1fe51p-20, -0x1.203fad9530f7bp-20, -0x1.20bae46291fbfp-20, -0x1.2106d7b06a55dp-20, -0x1.2125514b7b1d2p-20, -0x1.211813bcc02bdp-20, -0x1.20e0d752984dap-20, -0x1.208147b196e39p-20, -0x1.1ffb06f9697b5p-20, -0x1.1f4fb51d4fe09p-20, -0x1.1e80f5f3b1c85p-20, -0x1.1d907179472edp-20, -0x1.1c7fcca918035p-20, -0x1.1b509d20fc486p-20, -0x1.1a045c89ec8eap-20, -0x1.189c614aaf5e8p-20, -0x1.1719e03fbbaccp-20, -0x1.157df873e9769p-20, -0x1.13c9c5a62887p-20, -0x1.11fe712e2fdb6p-20, -0x1.101d31beffa56p-20, -0x1.0e274083e9ba5p-20, -0x1.0c1dc81403f17p-20, -0x1.0a01dfca4b27ap-20, -0x1.07d4970880166p-20, -0x1.0596f6cd4b2c2p-20, -0x1.0349f5d52816dp-20, -0x1.00ee6e7740778p-20, -0x1.fd0a4cf7f5bf2p-21, -0x1.f81dc38508b8p-21, -0x1.f318e1b19e0c7p-21, -0x1.edfd567dc757ap-21, -0x1.e8ccc6a253842p-21, -0x1.e388b97174ccep-21, -0x1.de329861b028ap-21, -0x1.d8cbb7de0089p-21, -0x1.d3555de82b517p-21, -0x1.cdd0c5584813ap-21, -0x1.c83f21bed38a9p-21, -0x1.c2a1a42961d33p-21, -0x1.bcf97cd7ae3a3p-21, -0x1.b747d67d054bep-21, -0x1.b18dcc67af2fap-21, -0x1.abcc60bdbdb22p-21, -0x1.a604786406ba3p-21, -0x1.a036df8f942eap-21, -0x1.9a64575e6d76cp-21, -0x1.948da90b0446bp-21, -0x1.8eb3b51ad7f34p-21, -0x1.88d770ad6712cp-21, -0x1.82f9ce07f015bp-21, -0x1.7d1ba530f0f38p-21, -0x1.773db3a504f9ep-21, -0x1.7160aaa82845bp-21, -0x1.6b85305efb2b3p-21, -0x1.65abd2e6f9c0cp-21, -0x1.5fd50b37a7d35p-21, -0x1.5a01576ee0976p-21, -0x1.54314da68266p-21, -0x1.4e6591e074982p-21, -0x1.489ebd347c332p-21, -0x1.42dd51d8c4f4cp-21, -0x1.3d21c37b74fd8p-21, -0x1.376c82d70ecd7p-21, -0x1.31bdff44a6d78p-21, -0x1.2c16a28475e56p-21, -0x1.2676ce1a74e97p-21, -0x1.20dedc03d2f89p-21, -0x1.1b4f2173e19c2p-21, -0x1.15c7f2012e1cbp-21, -0x1.1049a1c1e0a39p-21, -0x1.0ad484ed1c6d3p-21, -0x1.0568eddd284f2p-21, -0x1.0007292d823f2p-21, -0x1.f55ef9fc1d423p-22, -0x1.eac44fd244131p-22, -0x1.e03ec25df8eefp-22, -0x1.d5ceb37b98b63p-22, -0x1.cb74813474d5dp-22, -0x1.c13093f57caccp-22, -0x1.b703634152be3p-22, -0x1.aced6566cc709p-22, -0x1.a2eef8c4cf777p-22, -0x1.99085e2d40ep-22, -0x1.8f39c7dcc71fep-22, -0x1.858369dd8beb9p-22, -0x1.7be577170ca54p-22, -0x1.72601dd8dce28p-22, -0x1.68f3985ce0dfdp-22, -0x1.5fa02fb1e0877p-22, -0x1.5666216eabc9fp-22, -0x1.4d45924c119e6p-22, -0x1.443ea09202225p-22, -0x1.3b5171be0ad46p-22, -0x1.327e2c5fdf386p-22, -0x1.29c4f07d143bbp-22, -0x1.2125d684391bap-22, -0x1.18a0f1015cd9dp-22, -0x1.10364dff26824p-22, -0x1.07e5f7c584539p-22, -0x1.ff5feaf1a35f9p-23, -0x1.ef2897de08d71p-23, -0x1.df25fd1315fdcp-23, -0x1.cf581f2face35p-23, -0x1.bfbf003c62f49p-23, -0x1.b05a9eec2c43bp-23, -0x1.a12af6828be8dp-23, -0x1.922ffeb5b6c0dp-23, -0x1.8369aa3702ffbp-23, -0x1.74d7e3e4789dbp-23, -0x1.667a8d826a33dp-23, -0x1.585184b3fca3cp-23, -0x1.4a5cad8d169adp-23, -0x1.3c9bf6b36fd99p-23, -0x1.2f0f4cb5eda04p-23, -0x1.21b687832e869p-23, -0x1.149167dbdfc48p-23, -0x1.079fae4f0c73dp-23, -0x1.f5c2643e79515p-24, -0x1.dcab9a91dea2dp-24, -0x1.c3fa8f5139457p-24, -0x1.abaed45851cabp-24, -0x1.93c7f3280f898p-24, -0x1.7c4550ce5884dp-24, -0x1.65265847f0428p-24, -0x1.4e6a8b93ddfa6p-24, -0x1.38116b9b2637cp-24, -0x1.221a6eb21f30ap-24, -0x1.0c850416064acp-24, -0x1.eea12f90529dbp-25, -0x1.c4f92652da3ebp-25, -0x1.9c10b8c49c518p-25, -0x1.73e6acb8997e4p-25, -0x1.4c79c2982552ep-25, -0x1.25c8b681644dap-25, -0x1.ffa480f54db72p-26, -0x1.b52a27e495558p-26, -0x1.6c1fbb1b78faap-26, -0x1.248294f7f5bd3p-26, -0x1.bc9feea831bbep-27, -0x1.330971389476cp-27, -0x1.587cba112388fp-28, -0x1.41b6918958edbp-30, 0x1.64487d7c43931p-29, 0x1.af445834150bep-28, 0x1.537eff709c1afp-27, 0x1.ccae493baae16p-27, 0x1.219ae6e2ed749p-26, 0x1.5b8db65c65aa1p-26, 0x1.943285603bc9cp-26, 0x1.cb8c3e1fb076cp-26, 0x1.00cee2aab4f0dp-25, 0x1.1b3502847687fp-25, 0x1.34fa009161df7p-25, 0x1.4e1f62b0c215fp-25, 0x1.66a6a2af31a67p-25, 0x1.7e913a4703d84p-25, 0x1.95e09e43e320cp-25, 0x1.ac964d190b10fp-25, 0x1.c2b3d56497cc2p-25, 0x1.d83ac7c49c782p-25, 0x1.ed2caf0d4c5bp-25, 0x1.00c586a085057p-24, 0x1.0aabaf4aa7d16p-24, 0x1.144990d0447dep-24, 0x1.1d9fed8cb592bp-24, 0x1.26af88d3d3bddp-24, 0x1.2f7923a4de69bp-24, 0x1.37fd7ec658c65p-24, 0x1.403d5b617503cp-24, 0x1.48397974e1fe9p-24, 0x1.4ff29643775e9p-24, 0x1.57696cc7f203p-24, 0x1.5e9eb7c801902p-24, 0x1.659333fe98c79p-24, 0x1.6c47a10a9a7fcp-24, 0x1.72bcc0b83f01ep-24, 0x1.78f3555cb0a0cp-24, 0x1.7eec2085b31dbp-24, 0x1.84a7e25ef114dp-24, 0x1.8a2759a97b754p-24, 0x1.8f6b42d209bdcp-24, 0x1.947455c5e413ep-24, 0x1.994345170078dp-24, 0x1.9dd8c24275e5ap-24, 0x1.a235831377535p-24, 0x1.a65a40f347cp-24, 0x1.aa47b7fa23b41p-24, 0x1.adfea572e6db7p-24, 0x1.b17fb9e7049b5p-24, 0x1.b4cb9d5f217d9p-24, 0x1.b7e319f9a12e6p-24, 0x1.bac6f3f80d578p-24, 0x1.bd77c9fc560e3p-24, 0x1.bff6331a36ad4p-24, 0x1.c242ea783cfd7p-24, 0x1.c45ea9a796ee6p-24, 0x1.c64a1a274a344p-24, 0x1.c805ec0fc245fp-24, 0x1.c992d3d3767d1p-24, 0x1.caf16a02af267p-24, 0x1.cc225ebf448e4p-24, 0x1.cd26623acd9dfp-24, 0x1.cdfe24119ea8dp-24, 0x1.ceaa522aeaae5p-24, 0x1.cf2b91a8411fap-24, 0x1.cf828249ffe09p-24, 0x1.cfafcab007463p-24, 0x1.cfb4127ad430fp-24, 0x1.cf8ff5f4c30bp-24, 0x1.cf440ffb4f776p-24, 0x1.ced1018b95b46p-24, 0x1.ce376c1d2665ep-24, 0x1.cd77eee69b1b7p-24, 0x1.cc93283c5ee84p-24, 0x1.cb89b60d2cd42p-24, 0x1.ca5c35398e254p-24, 0x1.c90b4114df85ep-24, 0x1.c797739caf7efp-24, 0x1.c60166012f60ep-24, 0x1.c449b0c00e5dbp-24, 0x1.c270ea6579cc5p-24, 0x1.c077a4bf471bp-24, 0x1.be5e6b85707d6p-24, 0x1.bc25c8b68ac71p-24, 0x1.b9ce4bb8b7598p-24, 0x1.b7588b5ee817fp-24, 0x1.b4c5217891511p-24, 0x1.b214a45ef05b4p-24, 0x1.af479a7d9f209p-24, 0x1.ac5e7a4b00d0fp-24, 0x1.a959e805c80fp-24, 0x1.a63a71029721fp-24, 0x1.a3007c94febf3p-24, 0x1.9fac9ff1495eap-24, 0x1.9c3f6950d202dp-24, 0x1.98b95acdbd2ecp-24, 0x1.951af67104756p-24, 0x1.9164be944b9efp-24, 0x1.8d9734b857788p-24, 0x1.89b2d8ff03027p-24, 0x1.85b82a2e22f87p-24, 0x1.81a7a5ddbded8p-24, 0x1.7d81c8a529fd2p-24, 0x1.79470e1a115d2p-24, 0x1.74f7f0bf35e7bp-24, 0x1.7094ea134572ap-24, 0x1.6c1e720ca23f4p-24, 0x1.6794fceb5ff21p-24, 0x1.62f8fb08b4ae9p-24, 0x1.5e4ae65861a36p-24, 0x1.598b3a83205fap-24, 0x1.54ba6f27b3593p-24, 0x1.4fd8ec04c88aap-24, 0x1.4ae71ff4daf2cp-24, 0x1.45e5802a4a7edp-24, 0x1.40d46fba01d37p-24, 0x1.3bb4667e93dbdp-24, 0x1.3685cf42763a3p-24, 0x1.31491365a3827p-24, 0x1.2bfe9bd4fcbf3p-24, 0x1.26a6d1229ad95p-24, 0x1.21421b6be72cep-24, 0x1.1bd0e1c2c43a7p-24, 0x1.165388a1311f6p-24, 0x1.10ca70817d4d8p-24, 0x1.0b35f7f28f81dp-24, 0x1.0596807a317e8p-24, 0x1.ffd8ddd3fe71ap-25, 0x1.f4704dbee6d62p-25, 0x1.e8f412769784dp-25, 0x1.dd64eb6ca4626p-25, 0x1.d1c3863ca8b08p-25, 0x1.c6108e2119edp-25, 0x1.ba4cc3b3d25b8p-25, 0x1.ae78cd26cea9bp-25, 0x1.a2956c9a3f1e8p-25, 0x1.96a34eb5f5385p-25, 0x1.8aa31b4a548p-25, 0x1.7e957b537431p-25, 0x1.727b16d5c7f88p-25, 0x1.665493f0dd19cp-25, 0x1.5a2296c249626p-25, 0x1.4de5c167225fp-25, 0x1.419eb4439b34ep-25, 0x1.354e0d60509f5p-25, 0x1.28f468f07ce3fp-25, 0x1.1c9260d89d4aep-25, 0x1.10288cb03496dp-25, 0x1.03b781ea2e0cfp-25, 0x1.ee7fa8472375bp-26, 0x1.d5842af6f410cp-26, 0x1.bc7dad669d282p-26, 0x1.a36d4d8690988p-26, 0x1.8a5423f17e8f5p-26, 0x1.71334320b4851p-26, 0x1.580bb88b44408p-26, 0x1.3ede8bd0fa688p-26, 0x1.25acb9b6fc699p-26, 0x1.0c7748e6f2508p-26, 0x1.e67ec2047ecp-27, 0x1.b40bff87957d9p-27, 0x1.8197ff50c7fcep-27, 0x1.4f24c149a0d7ep-27, 0x1.1cb440933fbedp-27, 0x1.d490ac7d439dcp-28, 0x1.6fc5a6180bb6bp-28, 0x1.0b0b150d6cf62p-28, 0x1.4cc8dace03706p-29, 0x1.0755359e4bc64p-30, -0x1.14f785218cb54p-31, -0x1.0de9e71cffdbcp-29, -0x1.d652aec46f38fp-29, -0x1.4f38bc146e127p-28, -0x1.b3204fb6fcb85p-28, -0x1.0b6e32c7a7aebp-27, -0x1.3d3461a782441p-27, -0x1.6ee20929eb352p-27, -0x1.a0756a6d57b2p-27, -0x1.d1ed1538895fcp-27, -0x1.01a3b811d560bp-26, -0x1.1a41807450c87p-26, -0x1.32cf34af87dbp-26, -0x1.4b4c24a4693cp-26, -0x1.63b7a18825d2cp-26, -0x1.7c10ff8cf9d2p-26, -0x1.9457960ee8754p-26, -0x1.ac8abf79e5003p-26, -0x1.c4a9d9665c64bp-26, -0x1.dcb44484ed9bcp-26, -0x1.f4a9648f31b23p-26, -0x1.064450270053p-25, -0x1.1228b0c15ba61p-25, -0x1.1e018a6a0580dp-25, -0x1.29ce94e550625p-25, -0x1.358f895f40235p-25, -0x1.4144226c2dc4dp-25, -0x1.4cec1c11e31b5p-25, -0x1.588733be61fe2p-25, -0x1.64152852e5779p-25, -0x1.6f95ba2602509p-25, -0x1.7b08aaffa5cc6p-25, -0x1.866dbe05a108cp-25, -0x1.91c4b759ab449p-25, -0x1.9d0d5cb03698cp-25, -0x1.a84774b398c9bp-25, -0x1.b372c79be8876p-25, -0x1.be8f1f4c5140ap-25, -0x1.c99c4708ac814p-25, -0x1.d49a0ac82ad3ap-25, -0x1.df8837910e16cp-25, -0x1.ea669d0dac007p-25, -0x1.f5350afebb76ep-25, -0x1.fff35247d7099p-25, -0x1.0550a192a9815p-24, -0x1.0a9f591fac1b7p-24, -0x1.0fe5ba06554dep-24, -0x1.1523af82c20eap-24, -0x1.1a592555ea248p-24, -0x1.1f8607aae7ea6p-24, -0x1.24aa42f3139dfp-24, -0x1.29c5c4588c1acp-24, -0x1.2ed879939972ep-24, -0x1.33e2527ec3e01p-24, -0x1.38e33a2f60ad1p-24, -0x1.3ddb225188dcp-24, -0x1.42c9fb691175dp-24, -0x1.47afb66ec2c39p-24, -0x1.4c8c43166b58bp-24, -0x1.515f92ef135a5p-24, -0x1.56299847a98fp-24, -0x1.5aea45ae098bp-24, -0x1.5fa18e1791a23p-24, -0x1.644f64e353afbp-24, -0x1.68f3bdf84322cp-24, -0x1.6d8e8ddadbdfbp-24, -0x1.721fc999e4c84p-24, -0x1.76a766ab15063p-24, -0x1.7b255aec76097p-24, -0x1.7f999cafd24a9p-24, -0x1.840422be6272p-24, -0x1.8864e4508e7bbp-24, -0x1.8cbbd90d584bdp-24, -0x1.9108f9060f55fp-24, -0x1.954c3cbd296bcp-24, -0x1.99859d265766ap-24, -0x1.9db513a2b3a92p-24, -0x1.a1da99f8f6ebep-24, -0x1.a5f62a5c1df4p-24, -0x1.aa07bf62c1ef8p-24, -0x1.ae0f5408345acp-24, -0x1.b20ce3ac8a9f4p-24, -0x1.b6006a139c606p-24, -0x1.b9e9e35f0f696p-24, -0x1.bdc94c14bbb84p-24, -0x1.c19ea116be592p-24, -0x1.c569dfa72f685p-24, -0x1.c92b0563131c3p-24, -0x1.cce2104087113p-24, -0x1.d08efe88cae62p-24, -0x1.d431ced1c22ecp-24, -0x1.d7ca805699a2ep-24, -0x1.db591090cf3a4p-24, -0x1.dedd92d6cd083p-24, -0x1.e257d8794f92ap-24, -0x1.e5c808046cccdp-24, -0x1.e92e1ba6e0f1p-24, -0x1.ec8a10e9c75fap-24, -0x1.efdbe9417f56p-24, -0x1.f323a6301ca38p-24, -0x1.f661497910223p-24, -0x1.f994d5409f681p-24, -0x1.fcbe4bf2bb2cfp-24, -0x1.ffddb03d0436p-24, -0x1.01798288bbdabp-23, -0x1.02ff26d450f53p-23, -0x1.047fc6beadf7p-23, -0x1.05fb6425d9a73p-23, -0x1.077201118104bp-23, -0x1.08e39f9cf01afp-23, -0x1.0a5042086a234p-23, -0x1.0bb7eab8060fap-23, -0x1.0d1a9c2b97e4fp-23, -0x1.0e78590026471p-23, -0x1.0fd123f81390dp-23, -0x1.1124ffdbe03dcp-23, -0x1.1273efb1cbcd7p-23, -0x1.13bdf68560a94p-23, -0x1.15031784f7016p-23, -0x1.164355fa442cfp-23, -0x1.177eb54848519p-23, -0x1.18b538f2f3969p-23, -0x1.19e6e4ea5dc75p-23, -0x1.1b13bba2a8149p-23, -0x1.1c3bc234596cfp-23, -0x1.1d5efc0f03ffp-23, -0x1.1e7d6d2a986fbp-23, -0x1.1f971996aad88p-23, -0x1.20ac057a9e209p-23, -0x1.21bc3513382dap-23, -0x1.22c7acb34c857p-23, -0x1.23ce70c3190d5p-23, -0x1.24d085c059683p-23, -0x1.25cdf03b93363p-23, -0x1.26c6b4db6c29fp-23, -0x1.27bad8582db99p-23, -0x1.28aa5f7e10a5bp-23, -0x1.29954f2c317f6p-23, -0x1.2a7bac52a6e54p-23, -0x1.2b5d7bf4807d1p-23, -0x1.2c3ac323e1e7bp-23, -0x1.2d138703e172bp-23, -0x1.2de7ccc8ef654p-23, -0x1.2eb799b6b9836p-23, -0x1.2f82f320f50b4p-23, -0x1.3049de69363adp-23, -0x1.310c60fcca98dp-23, -0x1.31ca806a6b45bp-23, -0x1.32844278c8f7fp-23, -0x1.3339ad667adbdp-23, -0x1.33eac6a66a8c5p-23, -0x1.34979176837d5p-23, -0x1.354014490adc3p-23, -0x1.35e456fb7431ep-23, -0x1.36845f1de3195p-23, -0x1.3720321a275aap-23, -0x1.37b7d5bd09587p-23, -0x1.384b50016d879p-23, -0x1.38daa6f0d0c05p-23, -0x1.3965e09dd86f9p-23, -0x1.39ed0323e8858p-23, -0x1.3a7014a64440dp-23, -0x1.3aef1b4971b1bp-23, -0x1.3b6a1d1bcbc42p-23, -0x1.3be11fc90243cp-23, -0x1.3c5435eb0c6afp-23, -0x1.3cc3465a24658p-23, -0x1.3d2e74955e594p-23, -0x1.3d95bddf0f424p-23, -0x1.3df9285625b91p-23, -0x1.3e58ba8103679p-23, -0x1.3eb47ac473f09p-23, -0x1.3f0c6f9d3a5a3p-23, -0x1.3f609f86f9e56p-23, -0x1.3fb111032ec75p-23, -0x1.3ffdca97bf121p-23, -0x1.4046d2d0d2052p-23, -0x1.408c303d4db2p-23, -0x1.40cde97218c79p-23, -0x1.410c0507be702p-23, -0x1.41468999dbaafp-23, -0x1.417d7dc7f2832p-23, -0x1.41b0e835230a8p-23, -0x1.41e0cf874d115p-23, -0x1.420d3a68365fdp-23, -0x1.4236308700ed9p-23, -0x1.425bb5810e6dap-23, -0x1.427dd31a459c9p-23, -0x1.429c8f04395f7p-23, -0x1.42b7efe7af158p-23, -0x1.42cffc7dffca7p-23, -0x1.42e4bb7e1e435p-23, -0x1.42f6339e7fd4dp-23, -0x1.43046b8e99b9fp-23, -0x1.430f6a1695a4fp-23, -0x1.431735e85ec59p-23, -0x1.431bd5bd34544p-23, -0x1.431d504ddda1fp-23, -0x1.431bac53a5e4bp-23, -0x1.4316f0863c099p-23, -0x1.430f239e1cabep-23, -0x1.43044c53b1f4ep-23, -0x1.42f6715ae8d21p-23, -0x1.42e59968ef2a6p-23, -0x1.42d1cb313ea0ap-23, -0x1.42bb0d65c08c5p-23, -0x1.42a166b60a708p-23, -0x1.4284ddd0ca4e9p-23, -0x1.4265796166d43p-23, -0x1.4243401231fb9p-23, -0x1.421e388a00ec7p-23, -0x1.41f6696dcbf52p-23, -0x1.41cbd95f081cfp-23, -0x1.419e8efcc5102p-23, -0x1.416e90e269631p-23, -0x1.413be5a8a8d54p-23, -0x1.410693e4743acp-23, -0x1.40cea227f45c4p-23, -0x1.40941701fcd92p-23, -0x1.4056f8f7897d5p-23, -0x1.40174e9b55b85p-23, -0x1.3fd51e555d71cp-23, -0x1.3f906e92117fap-23, -0x1.3f4944e2a1e35p-23, -0x1.3effb4877abddp-23, -0x1.3eb3a45612cc4p-23, -0x1.3e6538052a28bp-23, -0x1.3e146c8727c25p-23, -0x1.3dc1483b4460ep-23, -0x1.3d6bd18a53bfcp-23, -0x1.3d140ed3574fap-23, -0x1.3cba06678043ap-23, -0x1.3c5dbe81b28a7p-23, -0x1.3bff3d5d3dfc9p-23, -0x1.3b9e894ccfcddp-23, -0x1.3b3ba8a052af7p-23, -0x1.3ad6a24c786a2p-23, -0x1.3a6f7a4ee201ep-23, -0x1.3a0638fd5ae7bp-23, -0x1.399ae3c713046p-23, -0x1.392d80c9f1268p-23, -0x1.38be1620b24cep-23, -0x1.384ca9df6572dp-23, -0x1.37d94214358e4p-23, -0x1.3763e4c6fda5dp-23, -0x1.36ec97f8c313ap-23, -0x1.367361a442a38p-23, -0x1.35f847bda140ap-23, -0x1.357b50329dc42p-23, -0x1.34fc80e9a79b2p-23, -0x1.347bdfc336ce9p-23, -0x1.33f97297a9fdbp-23, -0x1.33753f3933d0cp-23, -0x1.32ef4b7052298p-23, -0x1.32679d01ee1bfp-23, -0x1.31de39a0084f2p-23, -0x1.315326f3d338ep-23, -0x1.30c66a7dad625p-23, -0x1.3038094c0642ap-23, -0x1.2fa80875c3e3p-23, -0x1.2f167bacb71c9p-23, -0x1.2e835fee18a5bp-23, -0x1.2dee916a69c7bp-23, -0x1.2d58532225cc9p-23, -0x1.2cc0939f2f66ep-23, -0x1.2c2755b0d736p-23, -0x1.2b8c9f8e43c5ep-23, -0x1.2af0771058868p-23, -0x1.2a52e18f6dc28p-23, -0x1.29b3e471e4455p-23, -0x1.291384fd73ddcp-23, -0x1.2871c7c201af5p-23, -0x1.27cebd3545d31p-23, -0x1.272a4db66b6cp-23, -0x1.268499cada154p-23, -0x1.25dd9d954d39dp-23, -0x1.25355e6295a9ap-23, -0x1.248be18b8ccfbp-23, -0x1.23e12a9f8bde3p-23, -0x1.23354072644a3p-23, -0x1.22882727f78bcp-23, -0x1.21d9e3f8ccc49p-23, -0x1.212a7bbdc0446p-23, -0x1.2079f3584abddp-23, -0x1.1fc84fabc7455p-23, -0x1.1f159586a6c47p-23, -0x1.1e61c9b7e0ce1p-23, -0x1.1dacf103f941dp-23, -0x1.1cf7102732ec4p-23, -0x1.1c402bd557437p-23, -0x1.1b8848bbb5611p-23, -0x1.1acf6b7da356fp-23, -0x1.1a1598b808d7ep-23, -0x1.195ad4fe801d2p-23, -0x1.189f24dbc1d03p-23, }}, 
      {{-0x1.e06c7ba6feb55p-2, -0x1.ae2799a37c275p-2, -0x1.65f9a743e4d0ep-2, -0x1.127be829e617cp-2, -0x1.79a4fe124fda4p-3, -0x1.afe19c0af9dc1p-4, -0x1.257c8c7f37c72p-5, 0x1.64031ae093ab4p-6, 0x1.0ea9cd1bf92fp-4, 0x1.8e61c59d5a3b7p-4, 0x1.dbae9f1a22184p-4, 0x1.fc399aa86a34dp-4, 0x1.f6d2a7cd3fe61p-4, 0x1.d2b1c345e4ccbp-4, 0x1.96ef5a0d57e92p-4, 0x1.4a2a73e2abf13p-4, 0x1.e4a5b63f2d874p-5, 0x1.291c74c3087d2p-5, 0x1.a98429ae1d2fp-7, -0x1.41f4dc5d139dfp-7, -0x1.01ec51db43fc4p-5, -0x1.a5b31b23f6c96p-5, -0x1.1c64447588406p-4, -0x1.5c951214ed2c9p-4, -0x1.92d9e6c76ed5p-4, -0x1.befd048f9f755p-4, -0x1.e113c5f39540fp-4, -0x1.f96f2c6cf6459p-4, -0x1.0447228284393p-3, -0x1.078928bc338d1p-3, -0x1.06da4ebd70e8fp-3, -0x1.029eee072ceb6p-3, -0x1.f67eec5de81dbp-4, -0x1.e24ae2512d456p-4, -0x1.c97231ed2a3ddp-4, -0x1.acbedc90fe0e2p-4, -0x1.8cf181752c37ep-4, -0x1.6abf3258b37ep-4, -0x1.46cff0b873941p-4, -0x1.21bdb996db512p-4, -0x1.f82810a7daa7dp-5, -0x1.ac9f74e9a93f1p-5, -0x1.61be8169bae2bp-5, -0x1.184619c98baabp-5, -0x1.a1b8b862b14e3p-6, -0x1.181c3b7d4f3a7p-6, -0x1.2942530a66b9bp-7, -0x1.8063f30ee908bp-10, 0x1.7477329b9c2e6p-8, 0x1.94b132383cc31p-7, 0x1.2f5873d5b2476p-6, 0x1.8be8d3be10d57p-6, 0x1.dfeef541e44e6p-6, 0x1.15b3554df9a41p-5, 0x1.372fb07d7dbb2p-5, 0x1.547caf80f9131p-5, 0x1.6db19e5a567e4p-5, 0x1.82ebca48d98d1p-5, 0x1.944d75f6070c6p-5, 0x1.a1fce80f73b72p-5, 0x1.ac23931acc1b4p-5, 0x1.b2ed54b1a00c3p-5, 0x1.b687cae38ed9cp-5, 0x1.b721be03b65cfp-5, 0x1.b4ea9d49106f9p-5, 0x1.b0120cb3bc07cp-5, 0x1.a8c782aea29b4p-5, 0x1.9f39f3c18294cp-5, 0x1.93978b194e57dp-5, 0x1.860d6e40bc6f7p-5, 0x1.76c78b52bcb47p-5, 0x1.65f06ffd8514fp-5, 0x1.53b1292645af2p-5, 0x1.403129768ce03p-5, 0x1.2b9636c7ae04cp-5, 0x1.16045ca50d62dp-5, 0x1.ff3bc828a54aap-6, 0x1.d1069dfaa0e57p-6, 0x1.a1a6af105f101p-6, 0x1.7155e374b05f1p-6, 0x1.404aa148f8edep-6, 0x1.0eb7db61456d8p-6, 0x1.b99a463d678afp-7, 0x1.556d8028610dfp-7, 0x1.e2771dc6969eep-8, 0x1.1aa0e76e371f8p-8, 0x1.4f91d915a269bp-10, -0x1.c4f60ddb475dfp-10, -0x1.344f49de991a9p-8, -0x1.f4e595cd1e26ap-8, -0x1.594f8d5c2d4f9p-7, -0x1.b69206f395aa6p-7, -0x1.09096823bb419p-6, -0x1.35d764be83921p-6, -0x1.61a36a8aa63e5p-6, -0x1.8c5fd0d69c62ap-6, -0x1.b600b53f5320fp-6, -0x1.de7be04ff25p-6, -0x1.02e45467d9903p-5, -0x1.15efec9bae8afp-5, -0x1.285dcafadd936p-5, -0x1.3a2ba23b2afb2p-5, -0x1.4b57b9ef70efcp-5, -0x1.5be0e3132af0ap-5, -0x1.6bc66d7932171p-5, -0x1.7b081d4a73334p-5, -0x1.89a6217f5480fp-5, -0x1.97a10a5e13a02p-5, -0x1.a4f9c0bba9c1p-5, -0x1.b1b17da5b0acap-5, -0x1.bdc9c26651c9ap-5, -0x1.c9445125db5cep-5, -0x1.d42325edeeeaap-5, -0x1.de687033c270bp-5, -0x1.e8168caacb924p-5, -0x1.f12fffd031b02p-5, -0x1.f9b770aa8931fp-5, -0x1.00d7d1f20078bp-4, -0x1.048dbbcb7235ep-4, -0x1.07feef9a2add3p-4, -0x1.0b2cefcbef92p-4, -0x1.0e194601386b3p-4, -0x1.10c5816b06f0dp-4, -0x1.1333355b206cfp-4, -0x1.1563f7faf73a4p-4, -0x1.17596141ae468p-4, -0x1.191509c70fafap-4, -0x1.1a9889be11713p-4, -0x1.1be578449dec7p-4, -0x1.1cfd6a8a41532p-4, -0x1.1de1f2f033a9cp-4, -0x1.1e94a09beb82ep-4, -0x1.1f16fee33fd55p-4, -0x1.1f6a949b0fd4dp-4, -0x1.1f90e3c4f7995p-4, -0x1.1f8b692e630bbp-4, -0x1.1f5b9c03e1ca7p-4, -0x1.1f02ed8bdcc94p-4, -0x1.1e82c8d309e94p-4, -0x1.1ddc9279d0087p-4, -0x1.1d11a8a1e3834p-4, -0x1.1c236297602ebp-4, -0x1.1b131098e8c96p-4, -0x1.19e1fc070e12cp-4, -0x1.18916744a66c9p-4, -0x1.17228d5122646p-4, -0x1.1596a1ef52eabp-4, -0x1.13eed1e1417a7p-4, -0x1.122c42a426f47p-4, -0x1.105012486189p-4, -0x1.0e5b57c00af74p-4, -0x1.0c4f22f259b99p-4, -0x1.0a2c7c8deeebbp-4, -0x1.07f46621255a3p-4, -0x1.05a7da538c515p-4, -0x1.0347ccd20306fp-4, -0x1.00d52a63da069p-4, -0x1.fca1b24127f39p-5, -0x1.f7777106d8f46p-5, -0x1.f22d4291599ecp-5, -0x1.ecc4cb3f904fap-5, -0x1.e73fa322f21d7p-5, -0x1.e19f55ee70f21p-5, -0x1.dbe56276e47b8p-5, -0x1.d6133b2d4a516p-5, -0x1.d02a4732114f8p-5, -0x1.ca2be26249e06p-5, -0x1.c4195c9eee8bdp-5, -0x1.bdf3fa0679291p-5, -0x1.b7bcf42d70b4dp-5, -0x1.b1757a905cae2p-5, -0x1.ab1eb1e2db699p-5, -0x1.a4b9b3cad6e17p-5, -0x1.9e478fe53f938p-5, -0x1.97c94cba93219p-5, -0x1.913fe75eecebfp-5, -0x1.8aac52d9d93abp-5, -0x1.840f7899177c9p-5, -0x1.7d6a398fe2699p-5, -0x1.76bd6e90760ddp-5, -0x1.7009e7a239c1fp-5, -0x1.69506bca8ba8bp-5, -0x1.6291b9e9c560cp-5, -0x1.5bce89a94fcb3p-5, -0x1.55078b6192ae9p-5, -0x1.4e3d676af03acp-5, -0x1.4770be31547a1p-5, -0x1.40a22947d197cp-5, -0x1.39d23c1679a4dp-5, -0x1.330183a24e2fp-5, -0x1.2c3085d307309p-5, -0x1.255fc1a04cd4ep-5, -0x1.1e8fb01d1e2f7p-5, -0x1.17c0c545f3cfap-5, -0x1.10f36fb82fcfbp-5, -0x1.0a2817fccb70cp-5, -0x1.035f208210965p-5, -0x1.f931cd0fe7f94p-6, -0x1.ebab86277f305p-6, -0x1.de2c15f4269b5p-6, -0x1.d0b41c6016c6ap-6, -0x1.c3442ed90e299p-6, -0x1.b5dcd973ff898p-6, -0x1.a87ea0f0e5d96p-6, -0x1.9b2a03bbda002p-6, -0x1.8ddf7940669c4p-6, -0x1.809f70b431d7cp-6, -0x1.736a510b7a5dbp-6, -0x1.66407a8439b75p-6, -0x1.59224819e3b14p-6, -0x1.4c10104c66834p-6, -0x1.3f0a24176df8ap-6, -0x1.3210ce350399p-6, -0x1.2524534617ef5p-6, -0x1.1844f328e19fcp-6, -0x1.0b72ea4dd9d54p-6, -0x1.fd5ce4309f388p-7, -0x1.e3ef807d782d7p-7, -0x1.ca9e0c626d02cp-7, -0x1.b168e2407c9e4p-7, -0x1.9850560992f9cp-7, -0x1.7f54b79333784p-7, -0x1.6676537205d28p-7, -0x1.4db5726f5ff2p-7, -0x1.3512586445ed6p-7, -0x1.1c8d440cc6b62p-7, -0x1.042670309f3bp-7, -0x1.d7bc2ae3bd434p-8, -0x1.a768d720f7e11p-8, -0x1.775352f9a3deap-8, -0x1.477c09361caabp-8, -0x1.17e36051e6b43p-8, -0x1.d113763e78831p-9, -0x1.72def648d62d1p-9, -0x1.152a064dd319cp-9, -0x1.6feae1c454cd2p-10, -0x1.6d0814c1196e2p-11, 0x1.ded68061112bep-18, 0x1.727838a311873p-11, 0x1.6f921cf9c5e6fp-10, 0x1.126f92a80ce7bp-9, 0x1.6c90b6df2b504p-9, 0x1.c62b8d1ddd1d5p-9, 0x1.0f9f8e6d0a625p-8, 0x1.3be53258699d6p-8, 0x1.67e62deb26439p-8, 0x1.93a1f8c8c827dp-8, 0x1.bf1805aa53c26p-8, 0x1.ea47c1250bf09p-8, 0x1.0a98487b62c89p-7, 0x1.1fe8ea11f47c2p-7, 0x1.351571b5ac873p-7, 0x1.4a1d89012e1ddp-7, 0x1.5f00d6ec3262fp-7, 0x1.73beffad6d579p-7, 0x1.8857a4601b70fp-7, 0x1.9cca62a90662ep-7, 0x1.b116d4f1948d6p-7, 0x1.c53c922cca727p-7, 0x1.d93b2e6316d8dp-7, 0x1.ed123adcf22cbp-7, 0x1.0060a329ba706p-6, 0x1.0a23ee77567f7p-6, 0x1.13d2c40ddfcbap-6, 0x1.1d6ce7400e30ap-6, 0x1.26f21a02f3cb5p-6, 0x1.30621d03a3377p-6, 0x1.39bcafc7168edp-6, 0x1.430190d2b8b0bp-6, 0x1.4c307dc77ee94p-6, 0x1.5549336e862a7p-6, 0x1.5e4b6dbb914a9p-6, 0x1.6736e7d1082d7p-6, 0x1.700b5c0ea1f0dp-6, 0x1.78c884237a7b8p-6, 0x1.816e1939eb023p-6, 0x1.89fbd4040d36ap-6, 0x1.92716cf1ee972p-6, 0x1.9ace9c41e7da2p-6, 0x1.a3131a1056061p-6, 0x1.ab3e9e64531bap-6, 0x1.b350e13fd0493p-6, 0x1.bb499ab9533f5p-6, 0x1.c3288317958b5p-6, 0x1.caed52ee07f1p-6, 0x1.d297c33a4f937p-6, 0x1.da278d7f06f23p-6, 0x1.e19c6bda3ce3cp-6, 0x1.e8f619182f829p-6, 0x1.f03450c7e217bp-6, 0x1.f756cf53e58c6p-6, 0x1.fe5d521e44795p-6, 0x1.02a3cbc97fb93p-5, 0x1.060aafaa554ap-5, 0x1.0963350f5f8c2p-5, 0x1.0cad3d02b8895p-5, 0x1.0fe8a93a1a6d7p-5, 0x1.13155c2997a2bp-5, 0x1.1633390af47b1p-5, 0x1.194223f0eaa0ep-5, 0x1.1c4201cdcc25p-5, 0x1.1f32b879ec23fp-5, 0x1.22142eb6fe332p-5, 0x1.24e64c32bdc96p-5, 0x1.27a8f98c40f02p-5, 0x1.2a5c2060c3938p-5, 0x1.2cffab5c5e479p-5, 0x1.2f93864b5837fp-5, 0x1.32179e24c95ebp-5, 0x1.348be110035f8p-5, 0x1.36f03e60725ap-5, 0x1.3944a68f9c0f4p-5, 0x1.3b890b38674c4p-5, 0x1.3dbd5f1991b74p-5, 0x1.3fe196219341fp-5, 0x1.41f5a581cc7e9p-5, 0x1.43f983c20fbb1p-5, 0x1.45ed28cd540a7p-5, 0x1.47d08df32d095p-5, 0x1.49a3addde64c1p-5, 0x1.4b668482fda5cp-5, 0x1.4d190f1585707p-5, 0x1.4ebb4c014f1eap-5, 0x1.504d3af2020a1p-5, 0x1.51cedce41c1cbp-5, 0x1.5340343967b62p-5, 0x1.54a144c888148p-5, 0x1.55f213e0fc021p-5, 0x1.5732a841a9da8p-5, 0x1.58630a05918b4p-5, 0x1.5983428df83e7p-5, 0x1.5a935c72ee98p-5, 0x1.5b93637fca3b2p-5, 0x1.5c8364bc357eep-5, 0x1.5d636e7d620dp-5, 0x1.5e339077dc4bdp-5, 0x1.5ef3dbca07ef5p-5, 0x1.5fa462fa2fdfcp-5, 0x1.604539e7e0465p-5, 0x1.60d675b4c613dp-5, 0x1.61582cac78ec6p-5, 0x1.61ca763292fb6p-5, 0x1.622d6abc01957p-5, 0x1.628123d416d1bp-5, 0x1.62c5bc29704cp-5, 0x1.62fb4f9c32d5fp-5, 0x1.6321fb46da7cfp-5, 0x1.6339dd7d0490ap-5, 0x1.634315bf4739cp-5, 0x1.633dc4a6c67d3p-5, 0x1.632a0bcdd95a2p-5, 0x1.63080dbb7e141p-5, 0x1.62d7edd618aa5p-5, 0x1.6299d05f2b34p-5, 0x1.624dda76a8fc1p-5, 0x1.61f4322242174p-5, 0x1.618cfe53f4dabp-5, 0x1.611866ebdce2p-5, 0x1.609694b31146dp-5, 0x1.6007b14fa5086p-5, 0x1.5f6be734104a5p-5, 0x1.5ec3618d34cedp-5, 0x1.5e0e4c324ce92p-5, 0x1.5d4cd39923224p-5, 0x1.5c7f24cf35d17p-5, 0x1.5ba56d7717171p-5, 0x1.5abfdbc81d58p-5, 0x1.59ce9e8e1c2b2p-5, 0x1.58d1e5273815bp-5, 0x1.57c9df7ead89ap-5, 0x1.56b6be046a6d6p-5, 0x1.5598b1a23e82p-5, 0x1.546febaffcdcfp-5, 0x1.533c9de7dc5dbp-5, 0x1.51fefa5c33c19p-5, 0x1.50b7336f1d064p-5, 0x1.4f657bcbea489p-5, 0x1.4e0a0661ea4cap-5, 0x1.4ca5065fbced3p-5, 0x1.4b36af2e964d9p-5, 0x1.49bf346ccc23fp-5, 0x1.483ec9e78c0a8p-5, 0x1.46b5a393b6429p-5, 0x1.4523f58635f02p-5, 0x1.4389f3ec1789p-5, 0x1.41e7d302d086cp-5, 0x1.403dc710e01c3p-5, 0x1.3e8c045efa31cp-5, 0x1.3cd2bf31b6529p-5, 0x1.3b122bc3ac6p-5, 0x1.394a7e3fd14e6p-5, 0x1.377beabc0144dp-5, 0x1.35a6a5338a71bp-5, 0x1.33cae181ab8ddp-5, 0x1.31e8d35c006ebp-5, 0x1.3000ae4ce5724p-5, 0x1.2e12a5ade0326p-5, 0x1.2c1eeca21211bp-5, 0x1.2a25b610d93a8p-5, 0x1.282734a0979cfp-5, 0x1.26239ab1be2fap-5, 0x1.241b1a59fff21p-5, 0x1.220de55fc49e2p-5, 0x1.1ffc2d35bd7aep-5, 0x1.1de622f69708ap-5, 0x1.1bcbf760ca583p-5, 0x1.19addad272f49p-5, 0x1.178bfd454a72ap-5, 0x1.15668e4aa947bp-5, 0x1.133dbd07be835p-5, 0x1.1111b831e0de8p-5, 0x1.0ee2ae0b1a32bp-5, 0x1.0cb0cc5ee2ca8p-5, 0x1.0a7c407f02b26p-5, 0x1.084537409908bp-5, 0x1.060bdcf93810ep-5, 0x1.03d05d7c13912p-5, 0x1.0192e41734d27p-5, 0x1.fea737219b2c3p-6, 0x1.fa255c4937de1p-6, 0x1.f5a08b03023f7p-6, 0x1.f119158e9f69ep-6, 0x1.ec8f4d09a97a4p-6, 0x1.e803816c269f6p-6, 0x1.e376018572dc3p-6, 0x1.dee71af9301fap-6, 0x1.da571a3c4ce0ap-6, 0x1.d5c64a91e6231p-6, 0x1.d134f60815c81p-6, 0x1.cca36574be0e8p-6, 0x1.c811e0728ec6cp-6, 0x1.c380ad5e887c7p-6, 0x1.bef0115625b1fp-6, 0x1.ba6050364d5d8p-6, 0x1.b5d1ac9ae68adp-6, 0x1.b14467dedd485p-6, 0x1.acb8c21c1d05bp-6, 0x1.a82efa2b49819p-6, 0x1.a3a74da2bc88bp-6, 0x1.9f21f8d4fb30ep-6, 0x1.9a9f36ceb2bffp-6, 0x1.961f4154d04fbp-6, 0x1.91a250e3355dfp-6, 0x1.8d289cac98d64p-6, 0x1.88b25a9bd3ea3p-6, 0x1.843fbf5676d47p-6, 0x1.7fd0fe40549a5p-6, 0x1.7b66497f1fb17p-6, 0x1.76ffd1fd419c1p-6, 0x1.729dc76b687efp-6, 0x1.6e40584054768p-6, 0x1.69e7b1b72bbfcp-6, 0x1.6593ffcd205cap-6, 0x1.61456d3f66a58p-6, 0x1.5cfc238aa0ceep-6, 0x1.58b84aecb6619p-6, 0x1.547a0a692c0eap-6, 0x1.504187cfc4fa2p-6, 0x1.4c0ee7c450806p-6, 0x1.47e24dc615766p-6, 0x1.43bbdc358ec21p-6, 0x1.3f9bb45750568p-6, 0x1.3b81f653c1891p-6, 0x1.376ec1345002ep-6, 0x1.336232df6dc74p-6, 0x1.2f5c681544121p-6, 0x1.2b5d7c6ed22a7p-6, 0x1.27658a60de542p-6, 0x1.2374ab42daa93p-6, 0x1.1f8af7591cb4dp-6, 0x1.1ba885e07161ep-6, 0x1.17cd6d18f2eabp-6, 0x1.13f9c24db6f31p-6, 0x1.102d99d7f4f56p-6, 0x1.0c69071d51455p-6, 0x1.08ac1c8a68f21p-6, 0x1.04f6eb8be0429p-6, 0x1.01498488fd5fp-6, 0x1.fb47edc50891dp-7, 0x1.f40ca1ef8cb0dp-7, 0x1.ece140646c55p-7, 0x1.e5c5e22badf45p-7, 0x1.deba9ea74ea99p-7, 0x1.d7bf8bb34c631p-7, 0x1.d0d4bdb9858b8p-7, 0x1.c9fa47b3d9b17p-7, 0x1.c3303b1b40718p-7, 0x1.bc76a7c7842bfp-7, 0x1.b5cd9bc86dbadp-7, 0x1.af35234366f1cp-7, 0x1.a8ad4861cb179p-7, 0x1.a236135982d98p-7, 0x1.9bcf8a947d3e5p-7, 0x1.9579b2f4258c8p-7, 0x1.8f349027b74bfp-7, 0x1.89002504bcc97p-7, 0x1.82dc73cf3b1b7p-7, 0x1.7cc97e5f4f63dp-7, 0x1.76c74617ff173p-7, 0x1.70d5cbac55981p-7, 0x1.6af50eb9ef1cdp-7, 0x1.65250d4bc3b89p-7, 0x1.5f65c35d81f28p-7, 0x1.59b72a7bb3c8cp-7, 0x1.5419399929298p-7, 0x1.4e8be52afbeeep-7, 0x1.490f1f8fd838cp-7, 0x1.43a2d9b8e25bep-7, 0x1.3e4703fcacc8bp-7, 0x1.38fb8eeff1b71p-7, 0x1.33c06c1a690f6p-7, 0x1.2e958e5fff997p-7, 0x1.297aea01c4d56p-7, 0x1.2470742c884c2p-7, 0x1.1f762221f4d35p-7, 0x1.1a8be81dac8ebp-7, 0x1.15b1b827fa857p-7, 0x1.10e7810cb12a4p-7, 0x1.0c2d2da92a3b6p-7, 0x1.0782a4b82aadp-7, 0x1.02e7c92ee8d9fp-7, 0x1.fcb8f654b00b5p-8, 0x1.f3c132a87b295p-8, 0x1.eae80523ad44fp-8, 0x1.e22d2f788c081p-8, 0x1.d9907a2f99243p-8, 0x1.d111b682565fcp-8, 0x1.c8b0beb36ff04p-8, 0x1.c06d74b3fa066p-8, 0x1.b847bf37af057p-8, 0x1.b03f85a9f405ap-8, 0x1.a854abafa279cp-8, 0x1.a0870cf5ff68dp-8, 0x1.98d679fc91632p-8, 0x1.9142b65611594p-8, 0x1.89cb789b5285cp-8, 0x1.82706c1130c2bp-8, 0x1.7b3133cdff175p-8, 0x1.740d6f08fe093p-8, 0x1.6d04be179eaccp-8, 0x1.6616c77f0362ap-8, 0x1.5f433c60428d3p-8, 0x1.5889db7e7269ep-8, 0x1.51ea72393bcf1p-8, 0x1.4b64db2028949p-8, 0x1.44f8fa333a243p-8, 0x1.3ea6b763c6061p-8, 0x1.386df84e6fd25p-8, 0x1.324e9a54f8376p-8, 0x1.2c486e229dc7ep-8, 0x1.265b3547c94fcp-8, 0x1.2086a21dfe068p-8, 0x1.1aca59b13c621p-8, 0x1.1525f729475dep-8, 0x1.0f99101fea409p-8, 0x1.0a2339706fae1p-8, 0x1.04c40c2b34ecdp-8, 0x1.fef654cb08a8bp-9, 0x1.f49086fb16371p-9, 0x1.ea562e7ccb0bep-9, 0x1.e046ee5f158bp-9, 0x1.d6628ae3e04ep-9, 0x1.cca8e1d0ed91ap-9, 0x1.c319ddfa46243p-9, 0x1.b9b567f02da2bp-9, 0x1.b07b56aaa0c56p-9, 0x1.a76b6347b2ee2p-9, 0x1.9e85223fbd19fp-9, 0x1.95c80307bb786p-9, 0x1.8d33555d6e67bp-9, 0x1.84c652197b60bp-9, 0x1.7c8024db27794p-9, 0x1.745ff466ff3fcp-9, 0x1.6c64e8d6d5b6fp-9, 0x1.648e301d7aa01p-9, 0x1.5cdb0233aeb43p-9, 0x1.554aa6288395fp-9, 0x1.4ddc78572e9f6p-9, 0x1.468ff0b85b5f2p-9, 0x1.3f64a740c97b9p-9, 0x1.385a540add03bp-9, 0x1.3170c9cfc2bf2p-9, 0x1.2aa7eaccd0d9p-9, 0x1.23ff9a13aedep-9, 0x1.1d77acc76e13ep-9, 0x1.170fdf38c21d2p-9, 0x1.10c7d0ee22eccp-9, 0x1.0a9f0883dce3cp-9, 0x1.0494fdacbbd4bp-9, 0x1.fd524adb5ff7ep-10, 0x1.f1b5f7d459dfap-10, 0x1.e654105f5e748p-10, 0x1.db2bb2201b3c2p-10, 0x1.d03bfa5b474dbp-10, 0x1.c583f4f2c4cb6p-10, 0x1.bb029327f7b58p-10, 0x1.b0b6af80a1431p-10, 0x1.a69f1e752bc6ap-10, 0x1.9cbac635a6625p-10, 0x1.9308b4c71c6d6p-10, 0x1.89882bee7816p-10, 0x1.80389da284aebp-10, 0x1.7719990fad73p-10, 0x1.6e2aadcf5bab9p-10, 0x1.656b4ec43e4f2p-10, 0x1.5cdabe7ea50a2p-10, 0x1.54780c0679abbp-10, 0x1.4c42217a43e67p-10, 0x1.4437e001085abp-10, 0x1.3c583fd0a2381p-10, 0x1.34a269029d92dp-10, 0x1.2d15bb9a4e704p-10, 0x1.25b1c2b20570ep-10, 0x1.1e7616cc2937p-10, 0x1.17623a9ac820ap-10, 0x1.1075808c37a1p-10, 0x1.09af03fafa019p-10, 0x1.030db894fbf7fp-10, 0x1.f921131504794p-11, 0x1.ec6cf97645ec1p-11, 0x1.dffd9b9a5a84p-11, 0x1.d3d1f1a2c16cap-11, 0x1.c7e9639e2523fp-11, 0x1.bc4399abbd41cp-11, 0x1.b0e03eab3d5d7p-11, 0x1.a5beca863dfffp-11, 0x1.9ade63ebf5fa3p-11, 0x1.903dde855c459p-11, 0x1.85dbd0d8cec23p-11, 0x1.7bb6b8bc8fa61p-11, 0x1.71cd2538ca802p-11, 0x1.681ddcc8e4d4ap-11, 0x1.5ea7f4e44886dp-11, 0x1.556acecb7c701p-11, 0x1.4c65f31ad5ecep-11, 0x1.4398d33a74581p-11, 0x1.3b0287637bc25p-11, 0x1.32a1a6fdefb11p-11, 0x1.2a744fe54ead8p-11, 0x1.22785aa529606p-11, 0x1.1aaba3ded84ep-11, 0x1.130c4ca9c580ep-11, 0x1.0b98df5c76c7dp-11, 0x1.045056f8a6468p-11, 0x1.fa64204039c27p-12, 0x1.ec7b561c1e93p-12, 0x1.dee5cdcbe1c2bp-12, 0x1.d1a30268a4d32p-12, 0x1.c4b244e993b4p-12, 0x1.b812b040d75b3p-12, 0x1.abc32b91d9e31p-12, 0x1.9fc26ebf9709p-12, 0x1.940f08a1e52b5p-12, 0x1.88a76c68771aep-12, 0x1.7d8a07974f1ebp-12, 0x1.72b55a35a28dbp-12, 0x1.6828065097fb4p-12, 0x1.5de0cbe1b7c25p-12, 0x1.53de6a8d07985p-12, 0x1.4a1f6ead33c9p-12, 0x1.40a20175f9be1p-12, 0x1.3763df1aff47ep-12, 0x1.2e6286da88445p-12, 0x1.259b8ec45d616p-12, 0x1.1d0ce1a6cf2e3p-12, 0x1.14b4bd3c9ed5ep-12, 0x1.0c9185cefb341p-12, 0x1.04a1af20d46d5p-12, 0x1.f9c7b5c51de76p-13, 0x1.eaae135496476p-13, 0x1.dbf54c9f93079p-13, 0x1.cd9cb64039afp-13, 0x1.bfa39a3687691p-13, 0x1.b208cce701a31p-13, 0x1.a4ca9c7537faep-13, 0x1.97e724225e113p-13, 0x1.8b5cc819f1214p-13, 0x1.7f2a746e137e3p-13, 0x1.734f64e0b9cacp-13, 0x1.67caa4373174cp-13, 0x1.5c9ab29d32252p-13, 0x1.51bd99a14b0c6p-13, 0x1.473150f82db0fp-13, 0x1.3cf418cb52f5bp-13, 0x1.33047ef851f81p-13, 0x1.296108fd1fe9cp-13, 0x1.2007c3469cbbep-13, 0x1.16f6142508b0fp-13, 0x1.0e28fe68dbbb9p-13, 0x1.059d8908c60d9p-13, 0x1.faa17b80b2967p-14, 0x1.ea7e4e6afcd64p-14, 0x1.dac91f0504c33p-14, 0x1.cb79918c6a6c4p-14, 0x1.bc8a45577e979p-14, 0x1.adfa72345c5ddp-14, 0x1.9fcc973fa6ed3p-14, 0x1.9203482597008p-14, 0x1.849e91b0c7e81p-14, 0x1.779bb5a2529dcp-14, 0x1.6af7166081ad7p-14, 0x1.5eae7f0231e59p-14, 0x1.52c1d0fb210cfp-14, 0x1.4731b78b66b9bp-14, 0x1.3bfdbc98b9a0ep-14, 0x1.312347a9cb3dbp-14, 0x1.269df02ce5f2cp-14, 0x1.1c689827dd1cep-14, 0x1.127ea126098bcp-14, 0x1.08dcd393e0f77p-14, 0x1.ff0394addafd8p-15, 0x1.ecdb93b42abacp-15, 0x1.db43f6d2a4847p-15, 0x1.ca3e854e455bfp-15, 0x1.b9ca98b3fdf2ap-15, 0x1.a9e51fd288aa8p-15, 0x1.9a8a4ce060f27p-15, 0x1.8bb642df550b7p-15, 0x1.7d62bc581e4a3p-15, 0x1.6f848694ba19dp-15, 0x1.620e550bad601p-15, 0x1.54f86d004964ap-15, 0x1.4844bbc5e34fdp-15, 0x1.3bf9e1050ed2p-15, 0x1.301a51c75f81p-15, 0x1.24a0723723628p-15, 0x1.19826fb9cd191p-15, 0x1.0eb90bef82a91p-15, 0x1.044291a0bc86ep-15, 0x1.f4403a487ab24p-16, 0x1.e0a2d6e1d6494p-16, 0x1.cda6d5b2370aep-16, 0x1.bb42f7f3fda53p-16, 0x1.a96e33cc84d9ep-16, 0x1.982146668934fp-16, 0x1.8756d398d419ap-16, 0x1.770b21e42f286p-16, 0x1.673bf7a2e5041p-16, 0x1.57e889a18912cp-16, 0x1.49113a028b855p-16, 0x1.3ab6eabe49f81p-16, 0x1.2cd9b3c1d7c8p-16, 0x1.1f772647f6ec4p-16, 0x1.128949ea049f8p-16, 0x1.06083ab057c64p-16, 0x1.f3dcb352e99dfp-17, 0x1.dc7582973ac48p-17, 0x1.c5dadec993e18p-17, 0x1.b0013212864a8p-17, 0x1.9ad3f3e2a53b6p-17, 0x1.864b44104af96p-17, 0x1.727450c077efbp-17, 0x1.5f5b228729039p-17, 0x1.4cf424116f115p-17, 0x1.3b2357a33a6a8p-17, 0x1.29d5e15905481p-17, 0x1.190cf1d15a709p-17, 0x1.08d083828d3e9p-17, 0x1.f2414d2c9d449p-18, 0x1.d3eac4b66b602p-18, 0x1.b68b54bbe4c14p-18, 0x1.9a16c27c9e4c2p-18, 0x1.7e869b1fa2b9ap-18, 0x1.63d726bee372cp-18, 0x1.4a04add31b6abp-18, 0x1.3109e9fec4bb1p-18, 0x1.18df8af3f360bp-18, 0x1.017c75821b48cp-18, 0x1.d5aca5c12a7fep-19, 0x1.a9c49e71bf0bep-19, 0x1.7f2c537f6f61dp-19, 0x1.55d3258e6e11dp-19, 0x1.2dadc248b4fe1p-19, 0x1.06b369d67a4bdp-19, 0x1.c1b09bc7d84c3p-20, 0x1.781a7aba982b3p-20, 0x1.3093f9e5f188bp-20, 0x1.d65e68969fc61p-21, 0x1.501884fb229f8p-21, 0x1.9c56ee7664e15p-22, 0x1.3f69d3fbdf8bdp-23, -0x1.5a98adc286bdep-24, -0x1.463542558f82fp-22, -0x1.1758733398a16p-21, -0x1.887a181f03f56p-21, -0x1.f6bb4dba82201p-21, -0x1.30e3fede81a43p-20, -0x1.64b3df4933e73p-20, -0x1.96ef913653ddp-20, -0x1.c7d003886eaffp-20, -0x1.f77eb7e38dee8p-20, -0x1.13089fbdfdc73p-19, -0x1.29c8da3968172p-19, -0x1.4002e16cbdd9fp-19, -0x1.55b911a7a3559p-19, -0x1.6aedfd4764e8fp-19, -0x1.7fa4aafd49603p-19, -0x1.93e0a348a51bbp-19, -0x1.a7a5dc2fc683cp-19, -0x1.baf88e29ce3f9p-19, -0x1.cddd072e26be6p-19, -0x1.e05784c21672ap-19, -0x1.f26c00486a2cap-19, -0x1.020ee9bc219b3p-18, -0x1.0ab7a855125dap-18, -0x1.1330e8f226184p-18, -0x1.1b7b7556f7fd4p-18, -0x1.23992cc5a0757p-18, -0x1.2b8d35e2d1b9bp-18, -0x1.335a8585ffa89p-18, -0x1.3b01b280b673cp-18, -0x1.4280ed29871a9p-18, -0x1.49d9583f535cap-18, -0x1.5113539f0dfeap-18, -0x1.58346411323f3p-18, -0x1.5f39b7faf42fep-18, -0x1.66232987f6f3dp-18, -0x1.6cf196a8e525ep-18, -0x1.73a18611ea97ep-18, -0x1.7a327798699cbp-18, -0x1.80a8037ffbbap-18, -0x1.87049736b6d21p-18, -0x1.8d4863427194fp-18, -0x1.9373302b04af4p-18, -0x1.99858c64589b2p-18, -0x1.9f80a64f38cdfp-18, -0x1.a565b1a429cfbp-18, -0x1.ab3591144f96cp-18, -0x1.b0f0d730c3a65p-18, -0x1.b697e91256d0ep-18, -0x1.bc2b1bbaba77ap-18, -0x1.c1aac259d75d7p-18, -0x1.c71731a43830bp-18, -0x1.cc70bef14ccb9p-18, -0x1.d1b7bd20e2597p-18, -0x1.d6ec7a25d01b8p-18, -0x1.dc0f44d75fd7ep-18, -0x1.e1205fd48cac1p-18, -0x1.e62010a965b39p-18, -0x1.eb0e9c1a1913cp-18, -0x1.efec4894f0e6bp-18, -0x1.f4b956f8f2119p-18, -0x1.f975f439fba5fp-18, -0x1.fe22365bac0d7p-18, -0x1.015f1835cc8f1p-17, -0x1.03a507afddbb1p-17, -0x1.05e31c03f929bp-17, -0x1.08198de8888cbp-17, -0x1.0a483bf1ba2b4p-17, -0x1.0c6eea7d3e415p-17, -0x1.0e8db5169d462p-17, -0x1.10a4ba7308a4p-17, -0x1.12b44604d4ceap-17, -0x1.14bc745d748d4p-17, -0x1.16bd0fda59425p-17, -0x1.18b5dd630da83p-17, -0x1.1aa6c4e8da0f3p-17, -0x1.1c8fe241d8dccp-17, -0x1.1e7162efad5fdp-17, -0x1.204b44b1f0a16p-17, -0x1.221d55e16175cp-17, -0x1.23e7897472e2ap-17, -0x1.25aa1a796cdd2p-17, -0x1.27653fbb1139dp-17, -0x1.2918ee5609b85p-17, -0x1.2ac4f44456e0cp-17, -0x1.2c69271aff075p-17, -0x1.2e057318afabep-17, -0x1.2f99d3a8cae32p-17, -0x1.3126490a7331dp-17, -0x1.32aad291df447p-17, -0x1.34276d0e32a29p-17, -0x1.359c130ce8a16p-17, -0x1.3708bd73f993bp-17, -0x1.386d63fc1718cp-17, -0x1.39c9fe240512p-17, -0x1.3b1e854c9006ap-17, -0x1.3c6af7635fa3ap-17, -0x1.3daf562f6ba4ap-17, -0x1.3eeba0398d3e9p-17, -0x1.401fca3f39496p-17, -0x1.414bbfb6babf5p-17, -0x1.426f64e6e325fp-17, -0x1.438aaca54e8d6p-17, -0x1.449ddad9a3da8p-17, -0x1.45a935d8376d2p-17, -0x1.46ac189f83917p-17, -0x1.47a61f44073ccp-17, -0x1.4897b0f77127ep-17, -0x1.4981368953429p-17, -0x1.4a626838dd5d9p-17, -0x1.4b3b118daf804p-17, -0x1.4c0b339416638p-17, -0x1.4cd2d689f8ac9p-17, -0x1.4d9200a504723p-17, -0x1.4e48b8b2e0689p-17, -0x1.4ef70db244ce3p-17, -0x1.4f9d0bc5b5e2bp-17, -0x1.503a9ee45ec5ap-17, -0x1.50cf92b4cc764p-17, -0x1.515bd57540fccp-17, -0x1.51df7e4473683p-17, -0x1.525a7b523532ep-17, -0x1.52ccbd9366af4p-17, -0x1.5336860aceabp-17, -0x1.5398041761b53p-17, -0x1.53f11b0740914p-17, -0x1.5441a2ecc8ddap-17, -0x1.54898ebff2e16p-17, -0x1.54c8e3574d51cp-17, -0x1.54ffa9ec9c654p-17, -0x1.552deab8c771ap-17, -0x1.5553ac39a843cp-17, -0x1.5570f3b53a48cp-17, -0x1.5585c5cb03828p-17, -0x1.5592270076883p-17, -0x1.55961c92cae7ap-17, -0x1.5591ad8feaf21p-17, -0x1.5584e31605391p-17, -0x1.556fc67aee17bp-17, -0x1.55525eadf2e35p-17, -0x1.552caf0d6e75cp-17, -0x1.54feb76f7a50ap-17, -0x1.54c8776754d71p-17, -0x1.548a073a145dfp-17, -0x1.544397ab2330ep-17, -0x1.53f4f66139bbp-17, -0x1.539e23ae7a644p-17, -0x1.533f6a760f679p-17, -0x1.52d8b7f8aa706p-17, -0x1.526a0673c1243p-17, -0x1.51f366ec7dc61p-17, -0x1.5174e9513aab2p-17, -0x1.50ee9afba322p-17, -0x1.5060888305437p-17, -0x1.4fcabe874f009p-17, -0x1.4f2d49d6318efp-17, -0x1.4e883757918cep-17, -0x1.4ddb93f46520ap-17, -0x1.4d276c812bda1p-17, -0x1.4c6bcdaed4ceep-17, -0x1.4ba8c4d41823cp-17, -0x1.4ade64f67f696p-17, -0x1.4a0cd1610ca2ap-17, -0x1.493434cc32e6dp-17, -0x1.48548d0c63f9bp-17, -0x1.476db223f966p-17, -0x1.467f9d97b83a4p-17, -0x1.458a787f34185p-17, -0x1.448e955fe1fd2p-17, -0x1.438c08081203p-17, -0x1.4282bada93f11p-17, -0x1.4172b09df0346p-17, -0x1.405bfef7ea544p-17, -0x1.3f3ebda84d0d7p-17, -0x1.3e1b023459d3fp-17, -0x1.3cf0e0411e448p-17, -0x1.3bc06a5f77c6ap-17, -0x1.3a89b2c097f4ep-17, -0x1.394ccc6c48faep-17, -0x1.3809ccc0abdc7p-17, -0x1.36c0cac767bbap-17, -0x1.3571db8927321p-17, -0x1.341d10752b983p-17, -0x1.32c279b34ap-17, -0x1.31622598cb279p-17, -0x1.2ffc1d5098cadp-17, -0x1.2e9083884e07ap-17, -0x1.2d1f8222db88ep-17, -0x1.2ba917e24a05cp-17, -0x1.2a2d75e57e13p-17, -0x1.28ac8976e3ab7p-17, -0x1.27266803a64b4p-17, -0x1.259b306d819c9p-17, -0x1.240afad101ee5p-17, -0x1.2275dc8edd2ep-17, -0x1.20dbea7aaaa24p-17, -0x1.1f3d3963ee76cp-17, -0x1.1d99de27e0e45p-17, -0x1.1bf1edb21a8dfp-17, -0x1.1a457cfee9dbbp-17, -0x1.1894a12b2bd2fp-17, -0x1.16df6f7df1c9dp-17, -0x1.1525fd65a391ap-17, -0x1.13686052e86f6p-17, -0x1.11a6ad710e89ep-17, -0x1.0fe0f9581c78dp-17, -0x1.0e1757f91ca8ep-17, -0x1.0c49dcde5bed8p-17, -0x1.0a789b3c872ebp-17, -0x1.08a3a4a4ec93ap-17, -0x1.06cb08a97797fp-17, -0x1.04eee646384f4p-17, -0x1.030f90563dde3p-17, -0x1.012d2c2c9a325p-17, -0x1.fe8e6caffebddp-18, -0x1.fabba1422e0b2p-18, -0x1.f6e345bcbac3dp-18, -0x1.f3051d8ff5ac6p-18, -0x1.ef20dec6d66a6p-18, -0x1.eb36c1f7c16a4p-18, -0x1.e7470d041da45p-18, -0x1.e351f518431b8p-18, -0x1.df57a5261c9d1p-18, -0x1.db58475c291a9p-18, -0x1.d7540870c70ffp-18, -0x1.d34b15bdca8c4p-18, -0x1.cf3d96821f375p-18, -0x1.cb2bade3cb498p-18, -0x1.c7158018079b9p-18, -0x1.c2fb3496f3f47p-18, -0x1.bedce4108f934p-18, -0x1.baba8e6f2e08cp-18, -0x1.b694ac86426c2p-18, -0x1.b26baab6f8306p-18, -0x1.ae3f48dc542f5p-18, -0x1.aa0f8531a1967p-18, -0x1.a5dcaa874059dp-18, -0x1.a1a6eb5c5461p-18, -0x1.9d6e6e3008cffp-18, -0x1.9933578789bcbp-18, -0x1.94f5cbce118cp-18, -0x1.90b5ef73eed7ap-18, -0x1.8c73e6d693803p-18, -0x1.882fd62d55609p-18, -0x1.83e9e17d18bep-18, -0x1.7fa22c8bf81f4p-18, -0x1.7b58dad794f12p-18, -0x1.770e0f8892fb3p-18, -0x1.72c1ed6a0cfep-18, -0x1.6e7496e6afa8fp-18, -0x1.6a262e0e089bep-18, -0x1.65d6d4a61bfc3p-18, -0x1.6186ac44339c9p-18, -0x1.5d35d6619c316p-18, -0x1.58e4745ae6cb3p-18, -0x1.5492a745b563bp-18, -0x1.50408f99b6b11p-18, -0x1.4bee4ccd12c45p-18, -0x1.479bfd4f91a0ap-18, -0x1.4349bf628aa5bp-18, -0x1.3ef7b2a0c80b5p-18, -0x1.3aa5f76a5f38cp-18, -0x1.3654a60ddb11fp-18, -0x1.3203c1cff573cp-18, -0x1.2db363d293938p-18, -0x1.296405d42c4cep-18, -0x1.2515b183716d3p-18, -0x1.20c89e4aa6186p-18, -0x1.1c7caefbed1f7p-18, -0x1.1831b6f6e1b4bp-18, -0x1.13e7f669aeaa3p-18, -0x1.0f9fa398a0c86p-18, -0x1.0b58e1d47a59ep-18, -0x1.0713ccddfe5c4p-18, -0x1.02d07c73339a2p-18, -0x1.fd1e10123d23bp-19, -0x1.f49f118f856e8p-19, -0x1.ec24311451f94p-19, -0x1.e3ad98cb8bb2p-19, -0x1.db3b4bcdd9f84p-19, -0x1.d2cd9af9ecb84p-19, -0x1.ca65510ee8b09p-19, -0x1.c201eda4c98f4p-19, -0x1.b9a39ac7945efp-19, -0x1.b14aacaed1026p-19, -0x1.a8f75540fbaa1p-19, -0x1.a0a9bf7dad22ep-19, -0x1.986215c261165p-19, -0x1.9020822bccb58p-19, -0x1.87e52e5bc97ebp-19, -0x1.7fb043647b368p-19, -0x1.7781e9b4ce9a5p-19, -0x1.6f5a491af5cap-19, -0x1.673988b7a9831p-19, -0x1.5f1fcf020e68p-19, -0x1.570d41c4a6be2p-19, -0x1.4f02061f3b447p-19, -0x1.46fe408861771p-19, -0x1.3f0214d172b53p-19, -0x1.370da624eb78dp-19, -0x1.2f2117070f0ep-19, -0x1.273c8952b5936p-19, -0x1.1f601e36f2ba6p-19, -0x1.178bf6321eaecp-19, -0x1.0fc031176e98p-19, -0x1.07fcee0c2d3edp-19, -0x1.00424b995c29cp-19, -0x1.f120cf5fc0beap-20, -0x1.e1cebf5d8b124p-20, -0x1.d28ea0bc227ddp-20, -0x1.c360abe87309ep-20, -0x1.b44517ff50853p-20, -0x1.a53c1a801f659p-20, -0x1.9645e6fede8ecp-20, -0x1.8762af58c4e71p-20, -0x1.7892a5396cbfap-20, -0x1.69d5fb56ef639p-20, -0x1.5b2cd6e8ff955p-20, -0x1.4c979316bca06p-20, -0x1.3e1619e29e913p-20, -0x1.2fa84b6a629c8p-20, -0x1.214e99b8593cdp-20, -0x1.130a4737ee135p-20, -0x1.04dac95d3664dp-20, -0x1.ed7f0e0850ffp-21, -0x1.d171e865a8021p-21, -0x1.b58eccbb71d3p-21, -0x1.99d6118dd5fa8p-21, -0x1.7e47fad6c9d8cp-21, -0x1.62e4c92517f33p-21, -0x1.47aca900672c1p-21, -0x1.2c9fb25a71d8p-21, -0x1.11bec13645ef6p-21, -0x1.ee133ec75f08fp-22, -0x1.b900d15bca9p-22, -0x1.8446f015d5354p-22, -0x1.4fe60a6b45d6p-22, -0x1.1bde83a7c923dp-22, -0x1.d06177d8ee02bp-23, -0x1.69ba1fcdc832bp-23, -0x1.03c7b1d25cf1p-23, -0x1.3d15b13984485p-24, -0x1.d021bb26eeecap-26, 0x1.4e5cb213c539dp-26, 0x1.19c7f83e4b29fp-24, 0x1.de88dd09fa9e8p-24, 0x1.50ec747da4911p-23, 0x1.b1db63563da74p-23, 0x1.09087962505f7p-22, 0x1.38c6516d7c9a9p-22, 0x1.682705277042cp-22, 0x1.972a6363f27d7p-22, 0x1.c5d03e4ba2b89p-22, 0x1.f4186b654c995p-22, 0x1.110161bf9bc86p-21, 0x1.27c791516e623p-21, 0x1.3e5eb40989f2p-21, 0x1.54c6bb1f6754p-21, 0x1.6aff995cd3679p-21, 0x1.8109431fa98cep-21, 0x1.96e3ae46bc2dep-21, 0x1.ac8ed23ef9e44p-21, 0x1.c20aa7f51408dp-21, 0x1.d75729da3e57ap-21, 0x1.ec7453d080abdp-21, 0x1.00b111996d474p-20, 0x1.0b104b64ff6b1p-20, 0x1.1557d765470b8p-20, 0x1.1f87b6654ac85p-20, 0x1.299fe9df5e7e4p-20, 0x1.33a073eaefdcbp-20, 0x1.3d89576ef4598p-20, 0x1.475a97e82383fp-20, 0x1.511439cfba617p-20, 0x1.5ab641d985678p-20, 0x1.6440b4416ad12p-20, 0x1.6db3975c2d299p-20, 0x1.770ef28e16ed9p-20, 0x1.8052cc7be7b26p-20, 0x1.897f2c8390563p-20, 0x1.92941c65edd2dp-20, 0x1.9b91aa51ca041p-20, 0x1.a477daf138372p-20, 0x1.ad46a73d83a4cp-20, 0x1.b5fe2d5e364c8p-20, 0x1.be9e79d14ad31p-20, 0x1.c7279313e4dbbp-20, 0x1.cf99826ccbfaep-20, 0x1.d7f455cb57b0ap-20, 0x1.e03838567137bp-20, 0x1.e864e8e0e3cbfp-20, 0x1.f07abe652036dp-20, 0x1.f879b0b44be1p-20, 0x1.0030e7120c5e9p-19, 0x1.04199345fe44cp-19, 0x1.07f6e4d2e035cp-19, 0x1.0bc8e3f488a81p-19, 0x1.0f8f9912e371bp-19, 0x1.134b0ccb31e19p-19, 0x1.16fb47f3d3341p-19, 0x1.1aa05393f6027p-19, 0x1.1e3a38ea6e657p-19, 0x1.21c9016387342p-19, 0x1.254cb6a17202fp-19, 0x1.28c562716b72cp-19, 0x1.2c330ed03d435p-19, 0x1.2f95c5e8a6317p-19, 0x1.32ed920ec449ep-19, 0x1.363a7dc4d2f0ap-19, 0x1.397c96ec6ef74p-19, 0x1.3cb3de9e5fd58p-19, 0x1.3fe069875e882p-19, 0x1.43023f9b2c6fep-19, 0x1.46196c03a1cbep-19, 0x1.4925fa31ac91bp-19, 0x1.4c27f5a92a2c4p-19, 0x1.4f1f6a12dde94p-19, 0x1.520c6342f2f2p-19, 0x1.54eeed248725ep-19, 0x1.57c713c6b43cp-19, 0x1.5a94e355eea99p-19, 0x1.5d58682000d0ap-19, 0x1.6011ae8f97e9dp-19, 0x1.62c0c32da5634p-19, 0x1.6565b2a16940fp-19, 0x1.680089aedf2a8p-19, 0x1.6a91552fa7b87p-19, 0x1.6d18221e5eeedp-19, 0x1.6f94fd90bdfbcp-19, 0x1.7207f4b1dc169p-19, 0x1.747114c802f4ep-19, 0x1.76d06b2ef03d2p-19, 0x1.7926055a95f66p-19, 0x1.7b71f0d4b9367p-19, 0x1.7db43b3e891cep-19, 0x1.7fecf24cfa1cdp-19, 0x1.821c23c4bf464p-19, 0x1.8441dd7f1e35p-19, 0x1.865e2d6a1e556p-19, 0x1.887121838c9bdp-19, 0x1.8a7ac7da5f31cp-19, 0x1.8c7b2e8c8d35ep-19, 0x1.8e7263c6d9b37p-19, 0x1.906075971a054p-19, 0x1.9245729dd5a2fp-19, 0x1.942168eff5b87p-19, 0x1.95f466bbcba67p-19, 0x1.97be78f4db973p-19, 0x1.997fc4415037fp-19, 0x1.9b381f97adae8p-19, 0x1.9ce7cd314195fp-19, 0x1.9e8ecc1b05678p-19, 0x1.a02d291d0e87p-19, 0x1.a1c2f38c7bff6p-19, 0x1.a3503a4a85455p-19, 0x1.a4d50c0a46311p-19, 0x1.a651777ebb7ap-19, 0x1.a7c58b65e8c5p-19, 0x1.a9315692bf576p-19, 0x1.aa94e7e14f21p-19, 0x1.abf051982372ep-19, 0x1.ad43984a2747ep-19, 0x1.ae8ed511ff576p-19, 0x1.afd2137e2d66cp-19, 0x1.b10d6270e8dd8p-19, 0x1.b240d0d5c7369p-19, 0x1.b36c6d9b148fbp-19, 0x1.b49047b3fbe9p-19, 0x1.b5ac6e15c7494p-19, 0x1.b6c0efb1ff2ddp-19, 0x1.b7cddb7ccfb0dp-19, 0x1.b8d3406809f21p-19, 0x1.b9d12d650851p-19, 0x1.bac7b16367929p-19, 0x1.bbb6db4ed7228p-19, 0x1.bc9eba1179d1ep-19, 0x1.bd7f5c8fc6ea7p-19, 0x1.be58d1a926676p-19, 0x1.bf2b2840d8487p-19, 0x1.bff66f21f0d2bp-19, 0x1.c0bab525042d1p-19, 0x1.c1780909fffa5p-19, 0x1.c22e7970d2ef1p-19, 0x1.c2de150ebacc1p-19, 0x1.c386eee3be889p-19, 0x1.c4290ff8eaa0ap-19, 0x1.c4c4818e413ddp-19, 0x1.c5595ecb6c601p-19, 0x1.c5e7b134be47fp-19, 0x1.c66f86bf8c6bbp-19, 0x1.c6f0ee21523a9p-19, 0x1.c76bf61bfb827p-19, 0x1.c7e0ad0ece795p-19, 0x1.c84f217b60dd9p-19, 0x1.c8b761b206595p-19, 0x1.c9197a3cc7f03p-19, 0x1.c9759669573efp-19, 0x1.c9cb7a595cc85p-19, 0x1.ca1b7a92c39cp-19, 0x1.ca658e378c04cp-19, 0x1.caa9c45092a23p-19, 0x1.cae829b8de9bap-19, 0x1.cb20ccb1b1ee8p-19, 0x1.cb53bc978819p-19, 0x1.cb8106a14ec6cp-19, 0x1.cba8b913c981bp-19, 0x1.cbcae1cc787d6p-19, 0x1.cbe78eb5210ffp-19, 0x1.cbfecda749f8fp-19, 0x1.cc10ac74ca82p-19, 0x1.cc1d38e0fbdadp-19, 0x1.cc2480a037f8ap-19, 0x1.cc26915bd4315p-19, 0x1.cc2378aca9022p-19, 0x1.cc1b44233bbb9p-19, 0x1.cc0e013ae12f4p-19, 0x1.cbfbbd662ce72p-19, 0x1.cbe4860794b28p-19, 0x1.cbc868738cca9p-19, }}, 
      {{-0x1.ec9406926b521p-2, -0x1.db0e7e66fe99bp-2, -0x1.c07ece8380143p-2, -0x1.9f8a3aa1eff65p-2, -0x1.7ab6d7f059fdp-2, -0x1.5434e1606352bp-2, -0x1.2dca7ba782c98p-2, -0x1.08d24d95e0968p-2, -0x1.cc885095dcf3p-3, -0x1.8d84efcb737acp-3, -0x1.5552945acaa12p-3, -0x1.243a0c113d42ep-3, -0x1.f45f45acf0af8p-4, -0x1.add4b3661f045p-4, -0x1.73ee82a4b3218p-4, -0x1.45922a559d164p-4, -0x1.2188da00d89ffp-4, -0x1.0691eec07155bp-4, -0x1.e6e0e485436adp-5, -0x1.cde9270354cb3p-5, -0x1.c003e339c5faep-5, -0x1.bb26e638606abp-5, -0x1.bd7a898e6a2dep-5, -0x1.c55af934ec6e4p-5, -0x1.d15788e0704acp-5, -0x1.e030b00ee6b07p-5, -0x1.f0d5237210a78p-5, -0x1.012f30a6df029p-4, -0x1.0a067abdc4e99p-4, -0x1.12a250c6d0739p-4, -0x1.1ac4474d0cc45p-4, -0x1.223bcef5636b4p-4, -0x1.28e4759059df6p-4, -0x1.2ea444093b517p-4, -0x1.336a3cf3a5da4p-4, -0x1.372cfc5c6464cp-4, -0x1.39e979b5c2d37p-4, -0x1.3ba1ea77ee639p-4, -0x1.3c5cc548f1c93p-4, -0x1.3c23e2de89fa6p-4, -0x1.3b03baea68184p-4, -0x1.390abb22dfaf5p-4, -0x1.3648b65edd361p-4, -0x1.32ce697500f73p-4, -0x1.2ead131313df8p-4, -0x1.29f61d1be43c5p-4, -0x1.24bad538d2b66p-4, -0x1.1f0c3347b102ep-4, -0x1.18faab40a167cp-4, -0x1.129609cbe93aep-4, -0x1.0bed5940e2fc1p-4, -0x1.050ece2ab5dffp-4, -0x1.fc0f74769d82p-5, -0x1.edc90908ce6ecp-5, -0x1.df614ca5adcf2p-5, -0x1.d0ed56e0bb21p-5, -0x1.c2806b35012bcp-5, -0x1.b42c0440bd315p-5, -0x1.a5ffe2c0fb97p-5, -0x1.980a1f455dd8ap-5, -0x1.8a573dd9676bfp-5, -0x1.7cf2432047657p-5, -0x1.6fe4ca434f87bp-5, -0x1.63371b64c36a5p-5, -0x1.56f04227f0a0cp-5, -0x1.4b16243902f9dp-5, -0x1.3fad9731ca01fp-5, -0x1.34ba7612be535p-5, -0x1.2a3fb5d7be01ap-5, -0x1.203f7929c91c2p-5, -0x1.16bb231e64862p-5, -0x1.0db3690992fa4p-5, -0x1.052863678a388p-5, -0x1.fa333bcb65a0cp-6, -0x1.eb0c4d00928bap-6, -0x1.dcd9376be28fap-6, -0x1.cf96735ca394ep-6, -0x1.c33fccca11918p-6, -0x1.b7d079a7f67e6p-6, -0x1.ad432e3df3d4ep-6, -0x1.a3922fff85639p-6, -0x1.9ab766c9bff87p-6, -0x1.92ac6d09eeb27p-6, -0x1.8b6a9e907412bp-6, -0x1.84eb26526e694p-6, -0x1.7f270aec9f79fp-6, -0x1.7a1739fa53aeep-6, -0x1.75b4922c19aaep-6, -0x1.71f7ec33bc678p-6, -0x1.6eda229580bdp-6, -0x1.6c5418886f14dp-6, -0x1.6a5ebffd1d232p-6, -0x1.68f31efcebc3ep-6, -0x1.680a545bd4fb3p-6, -0x1.679d9c03d0ad5p-6, -0x1.67a6529fa49ecp-6, -0x1.681df8f564d2p-6, -0x1.68fe36a974296p-6, -0x1.6a40dc8fe6d15p-6, -0x1.6bdfe6ab54b6p-6, -0x1.6dd57d9a09e88p-6, -0x1.701bf7bb16f5fp-6, -0x1.72add9f06b16cp-6, -0x1.7585d8162b7a1p-6, -0x1.789ed53685e41p-6, -0x1.7bf3e38649841p-6, -0x1.7f8044319b713p-6, -0x1.833f6704f0a04p-6, -0x1.872ce9f2cb479p-6, -0x1.8b44987fc1438p-6, -0x1.8f826b15dded1p-6, -0x1.93e2863f693a7p-6, -0x1.986139d93a55dp-6, -0x1.9cfb0023c4c4cp-6, -0x1.a1ac7cd34b6afp-6, -0x1.a6727c081c19ep-6, -0x1.ab49f14131b6dp-6, -0x1.b02ff643578f2p-6, -0x1.b521c9f8d8f9bp-6, -0x1.ba1ccf497ea59p-6, -0x1.bf1e8bf8cd802p-6, -0x1.c424a77450b3bp-6, -0x1.c92ce9ad5aba3p-6, -0x1.ce3539f0b3dbfp-6, -0x1.d33b9dc47c327p-6, -0x1.d83e37c18c542p-6, -0x1.dd3b46756b9ccp-6, -0x1.e2312352a33b2p-6, -0x1.e71e419653ef4p-6, -0x1.ec012d3ed6a65p-6, -0x1.f0d88a12b96e9p-6, -0x1.f5a3129283f49p-6, -0x1.fa5f970b415c1p-6, -0x1.ff0cfca9a86e9p-6, -0x1.01d51e460cb5ap-5, -0x1.041b3170e5b79p-5, -0x1.0658470b13f31p-5, -0x1.088bf6fb8e6a6p-5, -0x1.0ab5e1751b141p-5, -0x1.0cd5ae9648f11p-5, -0x1.0eeb0e03ebd1p-5, -0x1.10f5b692851cap-5, -0x1.12f565ebde5eap-5, -0x1.14e9e03780567p-5, -0x1.16d2efc884d39p-5, -0x1.18b064cfeed5cp-5, -0x1.1a8215108bafdp-5, -0x1.1c47db914f069p-5, -0x1.1e01985a0e875p-5, -0x1.1faf30315e7bap-5, -0x1.21508c58ef8e5p-5, -0x1.22e59a4ceec06p-5, -0x1.246e4b8d6c6b2p-5, -0x1.25ea9564c221p-5, -0x1.275a70aa80803p-5, -0x1.28bdd99513dcfp-5, -0x1.2a14cf86ff25cp-5, -0x1.2b5f54dd3697p-5, -0x1.2c9d6ebfdfb1ep-5, -0x1.2dcf24f8f2096p-5, -0x1.2ef481cb240e8p-5, -0x1.300d91c76dd0ep-5, -0x1.311a63a5cbdb3p-5, -0x1.321b0823f6f3cp-5, -0x1.330f91e3453d9p-5, -0x1.33f815448c782p-5, -0x1.34d4a847bfdb2p-5, -0x1.35a5626fd4889p-5, -0x1.366a5ca8777b3p-5, -0x1.3723b127b9be3p-5, -0x1.37d17b5208ecdp-5, -0x1.3873d7a2619dcp-5, -0x1.390ae397caa4fp-5, -0x1.3996bd9bf60a7p-5, -0x1.3a1784ea810a5p-5, -0x1.3a8d597d9f66p-5, -0x1.3af85bfe278a6p-5, -0x1.3b58adb1c142dp-5, -0x1.3bae7067266eap-5, -0x1.3bf9c66324862p-5, -0x1.3c3ad25320503p-5, -0x1.3c71b7415b402p-5, -0x1.3c9e9886472cbp-5, -0x1.3cc199b7b79e1p-5, -0x1.3cdade9bbf3b9p-5, -0x1.3cea8b1fa7209p-5, -0x1.3cf0c34ef0655p-5, -0x1.3cedab4757b12p-5, -0x1.3ce1672b0c965p-5, -0x1.3ccc1b181a8c6p-5, -0x1.3cadeb229578bp-5, -0x1.3c86fb4dfe5e5p-5, -0x1.3c576f82b3cd4p-5, -0x1.3c1f6b8584066p-5, -0x1.3bdf12ef66885p-5, -0x1.3b96892ac2b4ap-5, -0x1.3b45f16f9a2b1p-5, -0x1.3aed6ebc324bp-5, -0x1.3a8d23ccef2dp-5, -0x1.3a25331702001p-5, -0x1.39b5bec707c97p-5, -0x1.393ee8bf0fcb2p-5, -0x1.38c0d292ca18p-5, -0x1.383b9d8159afdp-5, -0x1.37af6a7065bb4p-5, -0x1.371c59eab688ep-5, -0x1.36828c20a245cp-5, -0x1.35e220e71eca5p-5, -0x1.353b37b435d8fp-5, -0x1.348def9abdd3dp-5, -0x1.33da67487e0b6p-5, -0x1.3320bd06957b9p-5, -0x1.32610ebae74e2p-5, -0x1.319b79e7e0cd4p-5, -0x1.30d01baa1f07bp-5, -0x1.2fff10b64c676p-5, -0x1.2f287558a96bp-5, -0x1.2e4c6575ee2dcp-5, -0x1.2d6afc8e16c29p-5, -0x1.2c8455bd13d3bp-5, -0x1.2b988bb967a03p-5, -0x1.2aa7b8d398e56p-5, -0x1.29b1f6f6647a7p-5, -0x1.28b75fa89ce11p-5, -0x1.27b80c0f91ff2p-5, -0x1.26b414f0cccb9p-5, -0x1.25ab92b29014bp-5, -0x1.249e9d5bdb50ep-5, -0x1.238d4c952248p-5, -0x1.2277b7aa0f15ap-5, -0x1.215df58c1acadp-5, -0x1.20401cd4f3661p-5, -0x1.1f1e43c81450ap-5, -0x1.1df88053af4a4p-5, -0x1.1ccee811b1209p-5, -0x1.1ba190491ad7ap-5, -0x1.1a708df083134p-5, -0x1.193bf5b0a971ep-5, -0x1.1803dbe6c70dep-5, -0x1.16c854a64daecp-5, -0x1.158973ba28515p-5, -0x1.14474ca63c11cp-5, -0x1.1301f2a92c4abp-5, -0x1.11b978beba373p-5, -0x1.106df1a22dbb3p-5, -0x1.0f1f6fd09bb07p-5, -0x1.0dce058ad004ep-5, -0x1.0c79c4d6c7f62p-5, -0x1.0b22bf8109777p-5, -0x1.09c9071ea1b8bp-5, -0x1.086cad0f42a29p-5, -0x1.070dc27f39fap-5, -0x1.05ac58697fbb9p-5, -0x1.04487f99a68f4p-5, -0x1.02e248ad684f8p-5, -0x1.0179c41603c4bp-5, -0x1.000f0219ae151p-5, -0x1.fd4425aa68cf5p-6, -0x1.fa660c7ba1195p-6, -0x1.f783d845997a2p-6, -0x1.f49da85e2ad1fp-6, -0x1.f1b39bd5b66a3p-6, -0x1.eec5d178dfdfcp-6, -0x1.ebd467d37bf8fp-6, -0x1.e8df7d32a0695p-6, -0x1.e5e72fa72e06bp-6, -0x1.e2eb9d082ea92p-6, -0x1.dfece2f5a9432p-6, -0x1.dceb1eda8af1bp-6, -0x1.d9e66deed231fp-6, -0x1.d6deed39513d3p-6, -0x1.d3d4b9914e9e6p-6, -0x1.d0c7efa0164bdp-6, -0x1.cdb8abe270041p-6, -0x1.caa70aaa57d01p-6, -0x1.c793282047566p-6, -0x1.c47d2044b28dp-6, -0x1.c1650ef12f463p-6, -0x1.be4b0fd9a25dcp-6, -0x1.bb2f3e8d09ae9p-6, -0x1.b811b6764e799p-6, -0x1.b4f292dcc13fp-6, -0x1.b1d1eee4d7094p-6, -0x1.aeafe590a5fa7p-6, -0x1.ab8c91c0628dcp-6, -0x1.a8680e32bfff7p-6, -0x1.a542758541395p-6, -0x1.a21be234917cbp-6, -0x1.9ef46e9ca1f0ep-6, -0x1.9bcc34f836ef1p-6, -0x1.98a34f60b4a48p-6, -0x1.9579d7cddf08ep-6, -0x1.924fe815b5471p-6, -0x1.8f2599ec0997ep-6, -0x1.8bfb06e25bf62p-6, -0x1.88d048677c87dp-6, -0x1.85a577c70e5c6p-6, -0x1.827aae28c047ep-6, -0x1.7f50048f98be3p-6, -0x1.7c2593d8e9b82p-6, -0x1.78fb74bba0c79p-6, -0x1.75d1bfc77dd61p-6, -0x1.72a88d64817b2p-6, -0x1.6f7ff5d2219ecp-6, -0x1.6c58112690675p-6, -0x1.6930f74dcdacfp-6, -0x1.660ac0086ff1dp-6, -0x1.62e582ea72fb9p-6, -0x1.5fc15759f85a1p-6, -0x1.5c9e548e3172ap-6, -0x1.597c918e56e98p-6, -0x1.565c2530c33b6p-6, -0x1.533d261a12432p-6, -0x1.501faabc0bf93p-6, -0x1.4d03c954941ffp-6, -0x1.49e997ec457e8p-6, -0x1.46d12c550dd01p-6, -0x1.43ba9c28d224bp-6, -0x1.40a5fcc822093p-6, -0x1.3d9363591162dp-6, -0x1.3a82e4c63ea07p-6, -0x1.377495bdc69f9p-6, -0x1.34688ab0561f5p-6, -0x1.315ed7cffeaf8p-6, -0x1.2e57910f0fd83p-6, -0x1.2b52ca1ec98d8p-6, -0x1.2850966e0a6a6p-6, -0x1.2551092823375p-6, -0x1.22543533b22e3p-6, -0x1.1f5a2d319c80cp-6, -0x1.1c63037c2bc24p-6, -0x1.196eca2636934p-6, -0x1.167d92fa4ab61p-6, -0x1.138f6f79eb8aep-6, -0x1.10a470dc85f52p-6, -0x1.0dbca80e811a7p-6, -0x1.0ad825b03734ep-6, -0x1.07f6fa150b3edp-6, -0x1.051935428a95ap-6, -0x1.023ee6efac2a2p-6, -0x1.fed03d085a7e6p-7, -0x1.f929d62ffb47p-7, -0x1.f38ab6e58eb9dp-7, -0x1.edf2fc16fabadp-7, -0x1.e862c20f8707ap-7, -0x1.e2da2476dbab1p-7, -0x1.dd593e4fdad8fp-7, -0x1.d7e029f76b4eap-7, -0x1.d26f012365e2fp-7, -0x1.cd05dce19dd38p-7, -0x1.c7a4d59741bc3p-7, -0x1.c24c0300547b5p-7, -0x1.bcfb7c2f5cf99p-7, -0x1.b7b3578d52759p-7, -0x1.b273aad969d9ep-7, -0x1.ad3c8b28f28d8p-7, -0x1.a80e0ce7296aep-7, -0x1.a2e843d4e9efap-7, -0x1.9dcb430881336p-7, -0x1.98b71ced7ca5cp-7, -0x1.93abe344b3e84p-7, -0x1.8ea9a7245c827p-7, -0x1.89b078f863f42p-7, -0x1.84c068830213bp-7, -0x1.7fd984dd364f7p-7, -0x1.7afbdc777bd26p-7, -0x1.76277d1a84b2ep-7, -0x1.715c73e7e16cap-7, -0x1.6c9acd5a960f3p-7, -0x1.67e29547fb6c4p-7, -0x1.6333d6e05cb7cp-7, -0x1.5e8e9cafdb869p-7, -0x1.59f2f09f5ad68p-7, -0x1.5560dbf590165p-7, -0x1.50d8675822406p-7, -0x1.4c599acceef53p-7, -0x1.47e47dbb53cedp-7, -0x1.437916ed8512ep-7, -0x1.3f176c91f374p-7, -0x1.3abf843cbc18fp-7, -0x1.367162e908e08p-7, -0x1.322d0cfa94ad7p-7, -0x1.2df2863f33362p-7, -0x1.29c1d1f057fdp-7, -0x1.259af2b4b775ap-7, -0x1.217deaa1f90d9p-7, -0x1.1d6abb3e7b38fp-7, -0x1.1961658323e15p-7, -0x1.1561e9dd205dbp-7, -0x1.116c482fc5a44p-7, -0x1.0d807fd66f38dp-7, -0x1.099e8fa67c38dp-7, -0x1.05c675f1325e2p-7, -0x1.01f83085ba57p-7, -0x1.fc6779663e6dep-8, -0x1.f4f22e94b884p-8, -0x1.ed907940aaf0ap-8, -0x1.e64251200ca06p-8, -0x1.df07acf90a2f4p-8, -0x1.d7e082a64f197p-8, -0x1.d0ccc71b62573p-8, -0x1.c9cc6e68c705cp-8, -0x1.c2df6bc07de2ap-8, -0x1.bc05b17a4532dp-8, -0x1.b53f31180d4bep-8, -0x1.ae8bdb4a55307p-8, -0x1.a7eb9ff4a0c9dp-8, -0x1.a15e6e31f0d26p-8, -0x1.9ae4345920dap-8, -0x1.947ce0017be63p-8, -0x1.8e285e070873p-8, -0x1.87e69a8f10209p-8, -0x1.81b7810c9c1dbp-8, -0x1.7b9afc44d8ce5p-8, -0x1.7590f653acf36p-8, -0x1.6f9958b023828p-8, -0x1.69b40c30fd75p-8, -0x1.63e0f91107eb3p-8, -0x1.5e2006f3ad239p-8, -0x1.58711ce93148dp-8, -0x1.52d4217303cbcp-8, -0x1.4d48fa881d688p-8, -0x1.47cf8d9947162p-8, -0x1.4267bf956bf12p-8, -0x1.3d1174ee179ecp-8, -0x1.37cc919bb94c6p-8, -0x1.3298f9222d54fp-8, -0x1.2d768e94fa0f3p-8, -0x1.2865349b7f60bp-8, -0x1.2364cd74ebc56p-8, -0x1.1e753afc2e85ep-8, -0x1.19965eaba588ap-8, -0x1.14c819a110f0bp-8, -0x1.100a4ca16104fp-8, -0x1.0b5cd81cd4dffp-8, -0x1.06bf9c334bca4p-8, -0x1.023278b8940bfp-8, -0x1.fb6a9a71bd3b3p-9, -0x1.f28ff1f940681p-9, -0x1.e9d4b619092d7p-9, -0x1.e138a4690732ep-9, -0x1.d8bb7a0da65d5p-9, -0x1.d05cf3bd18238p-9, -0x1.c81ccdc4c4db8p-9, -0x1.bffac40f7d8f2p-9, -0x1.b7f6922c7007ep-9, -0x1.b00ff357cce45p-9, -0x1.a846a28453ecp-9, -0x1.a09a5a64c5ee4p-9, -0x1.990ad57523f6ap-9, -0x1.9197ce023fd92p-9, -0x1.8a40fe2f38315p-9, -0x1.83061ff8ce614p-9, -0x1.7be6ed36e5efep-9, -0x1.74e31f9d2d6b9p-9, -0x1.6dfa70bc95e6fp-9, -0x1.672c9a0694235p-9, -0x1.607954d3766cbp-9, -0x1.59e05a6bb8a24p-9, -0x1.536164144cd9bp-9, -0x1.4cfc2b1bc5c15p-9, -0x1.46b068e6a0632p-9, -0x1.407dd6f8f6c13p-9, -0x1.3a642efbabe45p-9, -0x1.34632abc8e337p-9, -0x1.2e7a842a10831p-9, -0x1.28a9f54c275p-9, -0x1.22f1383d28c9dp-9, -0x1.1d5007254525ap-9, -0x1.17c61c3b5c89ep-9, -0x1.125331cc83c84p-9, -0x1.0cf70249dcb2cp-9, -0x1.07b1485bb104ap-9, -0x1.0281bef632f14p-9, -0x1.fad042d887373p-10, -0x1.f0c856f96b59dp-10, -0x1.e6eb32ae24bd2p-10, -0x1.dd384f2e23996p-10, -0x1.d3af266eff8f5p-10, -0x1.ca4f32ff65727p-10, -0x1.c117efdfdfa2dp-10, -0x1.b808d862e5c3bp-10, -0x1.af21681db963p-10, -0x1.a6611aef0473dp-10, -0x1.9dc76d1ce4543p-10, -0x1.9553db870bef1p-10, -0x1.8d05e3e45775ep-10, -0x1.84dd0500e3d4ep-10, -0x1.7cd8bef151107p-10, -0x1.74f8933077b9p-10, -0x1.6d3c04a17e984p-10, -0x1.65a29775b7783p-10, -0x1.5e2bd0fa8ba4p-10, -0x1.56d737590356bp-10, -0x1.4fa45154154adp-10, -0x1.4892a612c8b41p-10, -0x1.41a1bd0186f8dp-10, -0x1.3ad11dd1ff8cp-10, -0x1.3420509aae608p-10, -0x1.2d8ede1240103p-10, -0x1.271c4fdc11c34p-10, -0x1.20c830d9e3e75p-10, -0x1.1a920d730d614p-10, -0x1.147973c5c2223p-10, -0x1.0e7df3b8a2dfap-10, -0x1.089f1eea44945p-10, -0x1.02dc888192f27p-10, -0x1.fa6b89ceec893p-11, -0x1.ef54d2ecf6c15p-11, -0x1.e474185de00ddp-11, -0x1.d9c886f5bbe78p-11, -0x1.cf514c1bc783cp-11, -0x1.c50d95c71873ap-11, -0x1.bafc92b9fd306p-11, -0x1.b11d72f2d7b32p-11, -0x1.a76f683ebaae1p-11, -0x1.9df1a6d7a566cp-11, -0x1.94a365f54c1c6p-11, -0x1.8b83e03abd9ddp-11, -0x1.829253efb4eap-11, -0x1.79ce030086464p-11, -0x1.713632c4cb22ep-11, -0x1.68ca2b9b47b96p-11, -0x1.6089386b0f5dep-11, -0x1.5872a61f729f8p-11, -0x1.5085c32fa4ce7p-11, -0x1.48c1df3f65a05p-11, -0x1.41264ae117723p-11, -0x1.39b2577b9a7bbp-11, -0x1.32655754dd721p-11, -0x1.2b3e9dbf5348bp-11, -0x1.243d7f66983fcp-11, -0x1.1d6152b36b9fap-11, -0x1.16a9703bc74ebp-11, -0x1.10153330a35a4p-11, -0x1.09a3f9b872008p-11, -0x1.0355252b5cb0ep-11, -0x1.fa50345036058p-12, -0x1.ee38810ac7826p-12, -0x1.e262064a2995fp-12, -0x1.d6cb9f69be06ep-12, -0x1.cb742cc603cb9p-12, -0x1.c05a9316c7b5ep-12, -0x1.b57dbab95da83p-12, -0x1.aadc8eec42f4p-12, -0x1.a075fd05423f9p-12, -0x1.9648f3bc3bf16p-12, -0x1.8c5462afbb2f8p-12, -0x1.82973a4c0110ep-12, -0x1.79106c2e416bdp-12, -0x1.6fbeec015f4d3p-12, -0x1.66a1b0b278b3ep-12, -0x1.5db7b5c056f4p-12, -0x1.54fffc6533fdcp-12, -0x1.4c798c6282b68p-12, -0x1.4423745a0bf4ap-12, -0x1.3bfcc9bab8911p-12, -0x1.3404a85c84fbcp-12, -0x1.2c3a31ef04e9cp-12, -0x1.249c8d4d345a2p-12, -0x1.1d2ae5b6fd131p-12, -0x1.15e469e4d8b7bp-12, -0x1.0ec84aec3ac17p-12, -0x1.07d5bafd8274p-12, -0x1.010bec267c267p-12, -0x1.f4d41ebb993c1p-13, -0x1.e7dea849f05b2p-13, -0x1.db35d1f2c80fep-13, -0x1.ced7f937eef9dp-13, -0x1.c2c37ff23e5b7p-13, -0x1.b6f6d08d5d74ap-13, -0x1.ab7061b180fd1p-13, -0x1.a02eb88992757p-13, -0x1.95306946f89e3p-13, -0x1.8a741614f1e65p-13, -0x1.7ff86d118f9e5p-13, -0x1.75bc26135f453p-13, -0x1.6bbe00d81404cp-13, -0x1.61fcc3d7bdf28p-13, -0x1.58773b959068ap-13, -0x1.4f2c39fa426efp-13, -0x1.461a953fa2924p-13, -0x1.3d4126296f0eep-13, -0x1.349ec5b1f5982p-13, -0x1.2c324ac3df6a8p-13, -0x1.23fa88da130c3p-13, -0x1.1bf6504f684f2p-13, -0x1.142470b7b4802p-13, -0x1.0c83bcdafca4ep-13, -0x1.05130f6d55bc1p-13, -0x1.fba29dfb48783p-14, -0x1.ed7adfe531d8p-14, -0x1.dface83af8afcp-14, -0x1.d236d041677f1p-14, -0x1.c516bf83e7f68p-14, -0x1.b84ae4e9174e9p-14, -0x1.abd17252a6e31p-14, -0x1.9fa89ba328905p-14, -0x1.93ce98b7425f7p-14, -0x1.8841a8dda107fp-14, -0x1.7d001607dfd3fp-14, -0x1.720836269715bp-14, -0x1.675869e83a01p-14, -0x1.5cef19133881ap-14, -0x1.52caadb718d9ep-14, -0x1.48e99005b1412p-14, -0x1.3f4a24b59b129p-14, -0x1.35eacf055701ap-14, -0x1.2cc9f63d3a744p-14, -0x1.23e60d2564d69p-14, -0x1.1b3d98e88e4d1p-14, -0x1.12cf34c6f80b9p-14, -0x1.0a99910ddc7f6p-14, -0x1.029b6da1967d9p-14, -0x1.f5a7247edff2ep-15, -0x1.e6818ef76b119p-15, -0x1.d7c3a61760f6p-15, -0x1.c96af03e81e24p-15, -0x1.bb74f5b819b6cp-15, -0x1.addf49c81b801p-15, -0x1.a0a791e8b82d6p-15, -0x1.93cb892ad467fp-15, -0x1.8748ffbec22b4p-15, -0x1.7b1dd7edca9fap-15, -0x1.6f480228ed795p-15, -0x1.63c57942d6436p-15, -0x1.58943f47dda5ap-15, -0x1.4db25afa40581p-15, -0x1.431dd619dd223p-15, -0x1.38d4bd2b777c1p-15, -0x1.2ed521b37e4e6p-15, -0x1.251d1f21d87b2p-15, -0x1.1baae0ee16488p-15, -0x1.127ca6c145f17p-15, -0x1.0990c39759facp-15, -0x1.00e5972f7d13p-15, -0x1.f0f309808a41ap-16, -0x1.e095d89e00fd4p-16, -0x1.d0b05602d38dap-16, -0x1.c13f45607b8a9p-16, -0x1.b23f8801a7c24p-16, -0x1.a3ae29f3eb265p-16, -0x1.95885fe6015f8p-16, -0x1.87cb7853c1314p-16, -0x1.7a74c9ce7db2ep-16, -0x1.6d81a9258958cp-16, -0x1.60ef6ca067908p-16, -0x1.54bb79d247b4ep-16, -0x1.48e355eaffa54p-16, -0x1.3d64af062c7p-16, -0x1.323d587864bffp-16, -0x1.276b3aac4dc67p-16, -0x1.1cec3d7eaaa23p-16, -0x1.12be374f63dabp-16, -0x1.08dee8d925e7bp-16, -0x1.fe980f3754b64p-17, -0x1.ec06a1a9642e6p-17, -0x1.da0534feb3a03p-17, -0x1.c88fb2a87dda5p-17, -0x1.b7a2343455759p-17, -0x1.a738eaac6ed67p-17, -0x1.975010b016669p-17, -0x1.87e3f520e8518p-17, -0x1.78f11829760fep-17, -0x1.6a7442646dbf8p-17, -0x1.5c6a7eb1c0aecp-17, -0x1.4ed0f48769a1fp-17, -0x1.41a4b9056fe76p-17, -0x1.34e2b45aa822fp-17, -0x1.2887ab0fe34c5p-17, -0x1.1c90646b47133p-17, -0x1.10f9d88d5dcc9p-17, -0x1.05c14f3125491p-17, -0x1.f5c8c5f68f285p-18, -0x1.e0c1d701b3fa9p-18, -0x1.cc69b57970809p-18, -0x1.b8bc3575a9a8fp-18, -0x1.a5b4e6957c737p-18, -0x1.934ef7e9cb6a4p-18, -0x1.81853c48d00a9p-18, -0x1.705252d61f02cp-18, -0x1.5fb0e965768cep-18, -0x1.4f9bfe58f7a4ap-18, -0x1.400f050fbac59p-18, -0x1.3105df02b4688p-18, -0x1.227cb2f6ac96ep-18, -0x1.146fbce287db3p-18, -0x1.06db34f80399ep-18, -0x1.f376ba172475ap-19, -0x1.da19491a054fcp-19, -0x1.c197747c9e865p-19, -0x1.a9eae2e1a1778p-19, -0x1.930d200c98b1bp-19, -0x1.7cf76fa092ec6p-19, -0x1.67a30a5a6ef6dp-19, -0x1.530993fe851bep-19, -0x1.3f256a14f0daep-19, -0x1.2bf196229ba6ap-19, -0x1.19697d82f19d6p-19, -0x1.0788955c113afp-19, -0x1.ec94958f9e1fep-20, -0x1.cb54298124becp-20, -0x1.ab4706769a3a9p-20, -0x1.8c645c6393e9dp-20, -0x1.6ea31adf07ee2p-20, -0x1.51f9af57a7822p-20, -0x1.365e06c9372e3p-20, -0x1.1bc5e471460a1p-20, -0x1.022773934a02bp-20, -0x1.d2f3b3e48cc83p-21, -0x1.a36b1734f0595p-21, -0x1.75a86ba4bf9fbp-21, -0x1.49a06f8c85af6p-21, -0x1.1f479f52b658ap-21, -0x1.ed21a696690d8p-22, -0x1.9ed9ff1fb92e9p-22, -0x1.539940da0eeb4p-22, -0x1.0b425f32156a5p-22, -0x1.8b7511e1c8afep-23, -0x1.05cf75f8e9ed7p-23, -0x1.0ac147051d4cep-24, -0x1.3f458e2be7ba5p-28, 0x1.b2287731ebf07p-25, 0x1.bc99d3af1be2p-24, 0x1.4b703f1e66d81p-23, 0x1.b41b53dee0537p-23, 0x1.0c3c9d11670ep-22, 0x1.3c5a1307396dcp-22, 0x1.6a7926322ff87p-22, 0x1.96aaf10ff8d49p-22, 0x1.c0ff50a3eb05cp-22, 0x1.e98572e79e861p-22, 0x1.08260f04e3073p-21, 0x1.1ab101e88cd4fp-21, 0x1.2c6b1121991b1p-21, 0x1.3d5bebf69f519p-21, 0x1.4d8b35e98c3fep-21, 0x1.5d0017b8c9035p-21, 0x1.6bc0d90584501p-21, 0x1.79d2bbedc64e5p-21, 0x1.873a36461999ep-21, 0x1.93fb85229b127p-21, 0x1.a01b748cd4a6ap-21, 0x1.ab9ff3433682dp-21, 0x1.b68fe399010f5p-21, 0x1.c0f218b4cb0c5p-21, 0x1.cacc65b479a8dp-21, 0x1.d423a9738ea2p-21, 0x1.dcfc6e3ec6b1ep-21, 0x1.e55af8d2c1e44p-21, 0x1.ed42c74826178p-21, 0x1.f4b6b1f48ecc8p-21, 0x1.fbb9eed46bb3bp-21, 0x1.01285ddfddc47p-20, 0x1.043ff3f67c01ep-20, 0x1.0725ee5690827p-20, 0x1.09dc19da282fep-20, 0x1.0c6408d2173bfp-20, 0x1.0ebf4a41f54eap-20, 0x1.10ef6f0c652b8p-20, 0x1.12f5f56a8df78p-20, 0x1.14d43dfb189dep-20, 0x1.168b90babd58ep-20, 0x1.181d2a7a4af2dp-20, 0x1.198a4afb4122bp-20, 0x1.1ad43ca2758fep-20, 0x1.1bfc536cabf47p-20, 0x1.1d03d54f7d95fp-20, 0x1.1dec024fa185cp-20, 0x1.1eb5f7a879c16p-20, 0x1.1f62ba455b27dp-20, 0x1.1ff3333293f8ep-20, 0x1.206834e17f48dp-20, 0x1.20c2902d2549dp-20, 0x1.2103335f23ff3p-20, 0x1.212b304728d4ap-20, 0x1.213b94517617ap-20, 0x1.213538612a387p-20, 0x1.2118bb8c39046p-20, 0x1.20e6a9bd0aa33p-20, 0x1.209f9de9fd124p-20, 0x1.2044346020b76p-20, 0x1.1fd4ff6cca36p-20, 0x1.1f52a9f075d7ap-20, 0x1.1ebdfc430722ep-20, 0x1.1e17a787c839fp-20, 0x1.1d602f75493d9p-20, 0x1.1c98104fd9c34p-20, 0x1.1bbfd62b09588p-20, 0x1.1ad80ef44966bp-20, 0x1.19e13c891c55ep-20, 0x1.18dbd3d687bacp-20, 0x1.17c8408d4da81p-20, 0x1.16a6e7e8e0541p-20, 0x1.15782a3a6725ep-20, 0x1.143c64316776p-20, 0x1.12f3f057ad8e2p-20, 0x1.119f284ed23d4p-20, 0x1.103e6511b2dc8p-20, 0x1.0ed1fe36fc352p-20, 0x1.0d5a490410a5p-20, 0x1.0bd7983700675p-20, 0x1.0a4a3b6901e2bp-20, 0x1.08b27db0bb003p-20, 0x1.0710a3a18ce52p-20, 0x1.0564eb3fc9f28p-20, 0x1.03af9105a6e06p-20, 0x1.01f0d81816fbfp-20, 0x1.00290baf3dff3p-20, 0x1.fcb0e7aaaecdp-21, 0x1.f8fe9095b36d5p-21, 0x1.f53b629bf9e3fp-21, 0x1.f167b4235c2d5p-21, 0x1.ed83fe65286d4p-21, 0x1.e990b8fdb0f47p-21, 0x1.e58e3e425a318p-21, 0x1.e17ceadb625ep-21, 0x1.dd5d160692d2p-21, 0x1.d92f00c6baf22p-21, 0x1.d4f2f2acc3e87p-21, 0x1.d0a941a9c633fp-21, 0x1.cc5242018c50bp-21, 0x1.c7ee40d6b4001p-21, 0x1.c37d8748d9dfp-21, 0x1.bf005ca1003d5p-21, 0x1.ba77066a1dfeep-21, 0x1.b5e1c808021cbp-21, 0x1.b140e2ae53a59p-21, 0x1.ac9495c11001bp-21, 0x1.a7dd1f2d5d8f1p-21, 0x1.a31abb87a9727p-21, 0x1.9e4da6092ccadp-21, 0x1.997618cf1ef2fp-21, 0x1.94944b171861cp-21, 0x1.8fa8740c42e0dp-21, 0x1.8ab2d744e5bdap-21, 0x1.85b38146e7d51p-21, 0x1.80aaccde4f9ccp-21, 0x1.7b98e002988abp-21, 0x1.767dedc67bd1ep-21, 0x1.715a28a130095p-21, 0x1.6c2dc26e1578p-21, 0x1.66f8eb7bb0b89p-21, 0x1.61bbd26c00884p-21, 0x1.5c76a58b7896ep-21, 0x1.572993c2a4d6ap-21, 0x1.51d4cc3ae2feap-21, 0x1.4c787d3a67df9p-21, 0x1.4714d1eefc85fp-21, 0x1.41a9f4b3703b4p-21, 0x1.3c381225b461ep-21, 0x1.36bf5695c0ad4p-21, 0x1.313feee209684p-21, 0x1.2bba05fe65e76p-21, 0x1.262dc4508ecbcp-21, 0x1.209b520b9c42cp-21, 0x1.1b02d83c5c50ep-21, 0x1.15648129083ebp-21, 0x1.0fc077d134952p-21, 0x1.0a16e69660036p-21, 0x1.0467f6aca3904p-21, 0x1.fd67a1629984cp-22, 0x1.f1f53bf292637p-22, 0x1.e6790f54fa3d3p-22, 0x1.daf36d2d40e7dp-22, 0x1.cf64a7135b323p-22, 0x1.c3cd0f5dc7428p-22, 0x1.b82cf8d35257ap-22, 0x1.ac84b5d032cdap-22, 0x1.a0d4979c884d7p-22, 0x1.951cee6c11176p-22, 0x1.895e09d00bb4ep-22, 0x1.7d983944a978p-22, 0x1.71cbcc5ef7d37p-22, 0x1.65f912fb9425fp-22, 0x1.5a205d15006ffp-22, 0x1.4e41fb51ca9a4p-22, 0x1.425e3fa7fb0f6p-22, 0x1.36757d21261d1p-22, 0x1.2a8805e91be7ep-22, 0x1.1e9629c97f657p-22, 0x1.12a036ff3f4cdp-22, 0x1.06a67af44b7fcp-22, 0x1.f55286cd44edp-23, 0x1.dd51c5b5d6a6bp-23, 0x1.c54b5990bed6p-23, 0x1.ad3fd03b2d136p-23, 0x1.952fbec27d9dcp-23, 0x1.7d1bcfd75acb1p-23, 0x1.6504ad87e677bp-23, 0x1.4ceaedc3fab09p-23, 0x1.34cf25513c955p-23, 0x1.1cb1e1d813811p-23, 0x1.0493da95b3228p-23, 0x1.d8ebabfb3cbf2p-24, 0x1.a8b04deea48dcp-24, 0x1.7876ef8806f66p-24, 0x1.4840d4badd57p-24, 0x1.180f2ce6ea07fp-24, 0x1.cfc64ab0ddcfdp-25, 0x1.6f7be1d1ba3eep-25, 0x1.0f418b07645acp-25, 0x1.5e33437e00528p-26, 0x1.3c19f286e0389p-27, -0x1.0f580af816284p-29, -0x1.c35fd7457693bp-27, -0x1.a13d22cd32d9ep-26, -0x1.304707014454bp-25, -0x1.8fcf095b3571cp-25, -0x1.ef344e5eaae0ep-25, -0x1.273a46a7aa37ep-24, -0x1.56c6c11040f32p-24, -0x1.863e761205a81p-24, -0x1.b5a0474bf6a22p-24, -0x1.e4eb189afaedap-24, -0x1.0a0ee7f2251a9p-23, -0x1.219baa2627359p-23, -0x1.391b4698b7b94p-23, -0x1.508d310708f29p-23, -0x1.67f0de5add519p-23, -0x1.7f45c60ff78ffp-23, -0x1.968b62bbe8594p-23, -0x1.adc130b422da4p-23, -0x1.c4e6acb47314fp-23, -0x1.dbfb515b21c32p-23, -0x1.f2fe975d8c9ddp-23, -0x1.04f801d692142p-22, -0x1.10678b699d2e4p-22, -0x1.1bcda53c37322p-22, -0x1.272a11efe1b2fp-22, -0x1.327c946ea29b5p-22, -0x1.3dc4eeb2f4dcfp-22, -0x1.4902e3cb6a1cap-22, -0x1.5436378db6f54p-22, -0x1.5f5eae85e17f4p-22, -0x1.6a7c0deb88e69p-22, -0x1.758e1b9b8c423p-22, -0x1.80949e234bf6p-22, -0x1.8b8f5cc85a6cdp-22, -0x1.967e1f894a3d8p-22, -0x1.a160af1d2e6bfp-22, -0x1.ac36d4fbd57dfp-22, -0x1.b7005b50053a8p-22, -0x1.c1bd0cc23c5ddp-22, -0x1.cc6cb725955d9p-22, -0x1.d70f1f5f26093p-22, -0x1.e1a41a540d1p-22, -0x1.ec2b75bbfbc3ap-22, -0x1.f6a504e73042cp-22, -0x1.00884619d9bcbp-21, -0x1.05b6eaee6882ap-21, -0x1.0ade62cbc511bp-21, -0x1.0ffe92c4f8043p-21, -0x1.1517643db6269p-21, -0x1.1a28c0e098de8p-21, -0x1.1f3292bf71609p-21, -0x1.2434c45f08e42p-21, -0x1.292f40be341b9p-21, -0x1.2e21f34c0937p-21, -0x1.330cc7c14846dp-21, -0x1.37efa9ea3a44cp-21, -0x1.3cca85c2e4719p-21, -0x1.419d4805a91f9p-21, -0x1.4667de64aaafap-21, -0x1.4b2a37198dc42p-21, -0x1.4fe44097d3808p-21, -0x1.5495e9b21f589p-21, -0x1.593f20e153b79p-21, -0x1.5ddfd4d49e31bp-21, -0x1.6277f5e4433bdp-21, -0x1.670773696385bp-21, -0x1.6b8e3f0c293e8p-21, -0x1.700c49be1bb28p-21, -0x1.74818495b95bcp-21, -0x1.78ede1435a595p-21, -0x1.7d5151f455aap-21, -0x1.81abc942ec52ap-21, -0x1.85fd3a30ab369p-21, -0x1.8a45982805c3p-21, -0x1.8e84d6f2c6838p-21, -0x1.92baead087499p-21, -0x1.96e7c857bf387p-21, -0x1.9b0b647ee81fap-21, -0x1.9f25b499cc1cp-21, -0x1.a336ae5995813p-21, -0x1.a73e47d6dc2b8p-21, -0x1.ab3c779ab47c9p-21, -0x1.af3134a3013cep-21, -0x1.b31c765230df5p-21, -0x1.b6fe3458fdd6ep-21, -0x1.bad666a26f9e6p-21, -0x1.bea50562e8efcp-21, -0x1.c26a0912e43b4p-21, -0x1.c6256a27bfbbep-21, -0x1.c9d722386c73cp-21, -0x1.cd7f2d3f8332bp-21, -0x1.d11d8584635f1p-21, -0x1.d4b223ee838cp-21, -0x1.d83d03f65590fp-21, -0x1.dbbe218023d21p-21, -0x1.df35781054b26p-21, -0x1.e2a303824e072p-21, -0x1.e606c11be5147p-21, -0x1.e960aac4b6e9cp-21, -0x1.ecb0c05714cd9p-21, -0x1.eff6fdec83853p-21, -0x1.f33360c927864p-21, -0x1.f665e6edeb21ep-21, -0x1.f98e8f32207cbp-21, -0x1.fcad5d7e17d38p-21, -0x1.ffc24b4f6735cp-21, -0x1.0166a6717f8a4p-20, -0x1.02e73b187382ep-20, -0x1.0462df2e70998p-20, -0x1.05d99216e6df5p-20, -0x1.074b54de565b5p-20, -0x1.08b8283ef27a2p-20, -0x1.0a200c8c4c7fbp-20, -0x1.0b83026a50b08p-20, -0x1.0ce10ab8a1e73p-20, -0x1.0e3a267e5ba89p-20, -0x1.0f8e56e885c3ep-20, -0x1.10dd9d45acff6p-20, -0x1.1227fb06f92d9p-20, -0x1.136d71c0871b4p-20, -0x1.14ae0326cd048p-20, -0x1.15e9b11014bd3p-20, -0x1.17207d747714dp-20, -0x1.18526a6ebdceep-20, -0x1.197f7a3ba440dp-20, -0x1.1aa7af38d2c26p-20, -0x1.1bcb0be56a2e8p-20, -0x1.1ce992dfeaa08p-20, -0x1.1e0346e4e51bp-20, -0x1.1f182accdb5a5p-20, -0x1.2028418b6714ap-20, -0x1.21338e30a9c1dp-20, -0x1.223a13e67644fp-20, -0x1.233bd5ff9e8c1p-20, -0x1.2438d7e61f267p-20, -0x1.25311d2d75f61p-20, -0x1.2624a97a1227ap-20, -0x1.2713807cc4495p-20, -0x1.27fda5fb9c65p-20, -0x1.28e31def98e88p-20, -0x1.29c3ec7229e6dp-20, -0x1.2aa0157901dd7p-20, -0x1.2b779d82fcaa5p-20, -0x1.2c4a889af9d45p-20, -0x1.2d18daf17051dp-20, -0x1.2de299e95c16cp-20, -0x1.2ea7c9b920311p-20, -0x1.2f686ef218b25p-20, -0x1.30248e3dc42dbp-20, -0x1.30dc2c687cd34p-20, -0x1.318f4e6c1269ep-20, -0x1.323df95dc32a7p-20, -0x1.32e832506c8fap-20, -0x1.338dfeb5cdd45p-20, -0x1.342f630eacd45p-20, -0x1.34cc655256ad9p-20, -0x1.35650ad2585e7p-20, -0x1.35f958543e069p-20, -0x1.368953ff524bep-20, -0x1.3715036e2c418p-20, -0x1.379c6c25f560fp-20, -0x1.381f93d86be8cp-20, -0x1.389e80463c06bp-20, -0x1.391937350f588p-20, -0x1.398fbe7f40017p-20, -0x1.3a021c1e62804p-20, -0x1.3a705622f8d9bp-20, -0x1.3ada72a3c1de6p-20, -0x1.3b4077bbba6c4p-20, -0x1.3ba26b8fbd6e5p-20, -0x1.3c005451cfccdp-20, -0x1.3c5a3841dc5aap-20, -0x1.3cb01daf0b66fp-20, -0x1.3d020af3dc4f8p-20, -0x1.3d50067580a24p-20, -0x1.3d9a16a37a1ddp-20, -0x1.3de041f834086p-20, -0x1.3e228ef5a03p-20, -0x1.3e61042a4230bp-20, -0x1.3e9ba82d266fdp-20, -0x1.3ed2819f60e1p-20, -0x1.3f059729f738dp-20, -0x1.3f34ef7f139a1p-20, -0x1.3f60915778081p-20, -0x1.3f888373e2a78p-20, -0x1.3faccc9ce43ccp-20, -0x1.3fcd73a1269abp-20, -0x1.3fea7f55f4adbp-20, -0x1.4003f6977b0c5p-20, -0x1.4019e04736bf9p-20, -0x1.402c434aee653p-20, -0x1.403b26979a901p-20, -0x1.404690bb16889p-20, -0x1.404e8e1f2eb59p-20, -0x1.40531875af332p-20, -0x1.405441b02033p-20, -0x1.40520f0b068ecp-20, -0x1.404c8695fdb5bp-20, -0x1.4043af2a4e115p-20, -0x1.40378ff43851p-20, -0x1.4028302571543p-20, -0x1.401596c7ef723p-20, -0x1.3fffcae3517d4p-20, -0x1.3fe6d38c4ef9dp-20, -0x1.3fcab7d89e381p-20, -0x1.3fab7edfaa7d1p-20, -0x1.3f892fbe7010ep-20, -0x1.3f63d19766567p-20, -0x1.3f3b6b5f287dap-20, -0x1.3f10044a5b1a6p-20, -0x1.3ee1a37ad2ffdp-20, -0x1.3eb05003b0b72p-20, -0x1.3e7c10ff1ff4ep-20, -0x1.3e44ed8762556p-20, -0x1.3e0aecb186fc5p-20, -0x1.3dce159cd1929p-20, -0x1.3d8e6f58e51dbp-20, -0x1.3d4c00fe67a23p-20, -0x1.3d06d1a126998p-20, -0x1.3cbee85397eafp-20, -0x1.3c744c24a2aefp-20, -0x1.3c27042940218p-20, -0x1.3bd717c564472p-20, -0x1.3b848cc37ed67p-20, -0x1.3b2f6b79c379ep-20, -0x1.3ad7ba7905405p-20, -0x1.3a7d80c01505fp-20, -0x1.3a20c54a80efdp-20, -0x1.39c18f11ac94ep-20, -0x1.395fe509c59dfp-20, -0x1.38fbce242a479p-20, -0x1.3895514cbb64ep-20, -0x1.382c756bb075fp-20, -0x1.37c141644a75bp-20, -0x1.3753bc166f71fp-20, -0x1.36e3ec5d6a082p-20, -0x1.3671d9105a621p-20, -0x1.35fd8900a6252p-20, -0x1.358702fa6bbdap-20, -0x1.350e4dc3a501fp-20, -0x1.3493701ba3c3fp-20, -0x1.341670bc491adp-20, -0x1.3397565979e23p-20, -0x1.331627a2d160ep-20, -0x1.3292eb4175938p-20, -0x1.320da7d83e5fdp-20, -0x1.3186640010ddbp-20, -0x1.30fd265ba25c6p-20, -0x1.3071f5a1ec509p-20, -0x1.2fe4d8d88ff55p-20, -0x1.2f55d65522d1dp-20, -0x1.2ec4f2a3dfca5p-20, -0x1.2e3234c6256fcp-20, -0x1.2d9da4c8ddeedp-20, -0x1.2d0748d6483e8p-20, -0x1.2c6f26e9c3ba8p-20, -0x1.2bd5453d36e7ep-20, -0x1.2b39aa1f8e225p-20, -0x1.2a9c5bd9e6809p-20, -0x1.29fd60aa3c3aep-20, -0x1.295cbecd33f79p-20, -0x1.28ba7c7457421p-20, -0x1.28169fc3b990dp-20, -0x1.27712ec70d969p-20, -0x1.26ca2f4f07e7dp-20, -0x1.2621ad931456dp-20, -0x1.25779fed817d1p-20, -0x1.24cc1ae27c031p-20, -0x1.241f1fe17fffap-20, -0x1.2370b4b49b29ap-20, -0x1.22c0df5b44de3p-20, -0x1.220fa5a2ceb28p-20, -0x1.215d0d687de1ap-20, -0x1.20a91c780d057p-20, -0x1.1ff3d8960c6b9p-20, -0x1.1f3d477d66d2fp-20, -0x1.1e856ee0f4f14p-20, -0x1.1dcc546a418cbp-20, -0x1.1d11fdb9be84cp-20, -0x1.1c567067ff918p-20, -0x1.1b99b2031fep-20, -0x1.1adbc8107707bp-20, -0x1.1a1cb80ccf3ap-20, -0x1.195c876ba82e4p-20, -0x1.189b3b984738ap-20, -0x1.17d8dae14eeb3p-20, -0x1.171567c658084p-20, -0x1.1650ea80bdc41p-20, -0x1.158b67630c645p-20, -0x1.14c4e390b4241p-20, -0x1.13fd644b656adp-20, -0x1.1334eebaa626bp-20, -0x1.126b87fc2c0ebp-20, -0x1.11a1352d73344p-20, -0x1.10d5fb581fe33p-20, -0x1.1009df821cf01p-20, -0x1.0f3ce6a5ba1b3p-20, -0x1.0e6f15b48f16bp-20, -0x1.0da071969bdb6p-20, -0x1.0cd0ff2a102b2p-20, -0x1.0c00c344bd892p-20, -0x1.0b2fc2b4409e6p-20, -0x1.0a5e0236a645ap-20, -0x1.098b8685e8fe7p-20, -0x1.08b8545203387p-20, -0x1.07e4703fe1c5cp-20, -0x1.070fdeeb9e6fcp-20, -0x1.063aa4e7e279cp-20, -0x1.0564c6bda686ep-20, -0x1.048e48ed1b7dcp-20, -0x1.03b72febe65bep-20, -0x1.02df802712f63p-20, -0x1.02073e01091fbp-20, -0x1.012e6dd364c89p-20, -0x1.005513edefeefp-20, -0x1.fef6692e5f7a3p-21, -0x1.fd41a8173ada8p-21, -0x1.fb8becfd5bb14p-21, -0x1.f9d5403395e4p-21, -0x1.f81da9f02a0fp-21, -0x1.f665327b905fdp-21, -0x1.f4abe1cb5af55p-21, -0x1.f2f1bfe0134bcp-21, -0x1.f136d3d9f64edp-21, -0x1.ef7b313ebf1fcp-21, -0x1.edbec32479858p-21, -0x1.ec01abd47a031p-21, -0x1.ea43ea6d7115fp-21, -0x1.e885868b04f0fp-21, -0x1.e6c687c1f50a3p-21, -0x1.e506f5907fb1dp-21, -0x1.e346d7518f78cp-21, -0x1.e18634300db73p-21, -0x1.dfc5134f45b86p-21, -0x1.de037bf58ff7bp-21, -0x1.dc41755cad99dp-21, -0x1.da7f07c842a2bp-21, -0x1.d8bc36762b4e4p-21, -0x1.d6f90beb38e4dp-21, -0x1.d5358dc3e901dp-21, -0x1.d371c2babed66p-21, -0x1.d1adb17c3639cp-21, -0x1.cfe960a1acdc3p-21, -0x1.ce24d6b7237b6p-21, -0x1.cc601a35d7878p-21, -0x1.ca9b3183ee48ep-21, -0x1.c8d622f6ad43ap-21, -0x1.c710f4d1d9bafp-21, -0x1.c54bad4892d36p-21, -0x1.c386527bef654p-21, -0x1.c1c0ea7caaa4cp-21, -0x1.bffb7b496cde5p-21, -0x1.be360ad036dd8p-21, -0x1.bc709eea7f6a7p-21, -0x1.baab3d67ad369p-21, -0x1.b8e5ebf22c501p-21, -0x1.b720b026556dcp-21, -0x1.b55b8f60aa9cep-21, -0x1.b3968e6fe7f2cp-21, -0x1.b1d1b2468d542p-21, -0x1.b00d1576b41d7p-21, -0x1.ae48a85ec16dep-21, -0x1.ac8444cb1d135p-21, -0x1.aac03c553adcdp-21, -0x1.a8fc767985056p-21, -0x1.a738f4d02ce5ap-21, -0x1.a575bd63fffd1p-21, -0x1.a3b2d5d4745edp-21, -0x1.a1f042f7b5d44p-21, -0x1.a02e09c3f7bacp-21, -0x1.9e6c2efee5c8fp-21, -0x1.9caab6c439861p-21, -0x1.9ae9af54e389ep-21, -0x1.992904cda0227p-21, -0x1.9768d2ee86bf2p-21, -0x1.95a9169418cdfp-21, -0x1.93e9d46fbf06fp-21, -0x1.922b115bbb97dp-21, -0x1.906ccf02f9b26p-21, -0x1.8eaf14cfd4947p-21, -0x1.8cf1e57da7cf1p-21, -0x1.8b3545a5a2c4cp-21, -0x1.8979393bbc4e2p-21, -0x1.87bdc4442d146p-21, -0x1.8602eabcdc349p-21, -0x1.8448b08e239aap-21, -0x1.828f1997a737ap-21, -0x1.80d629a93677bp-21, -0x1.7f1de484fba7cp-21, -0x1.7d664dde19c85p-21, -0x1.7baf695e16d31p-21, -0x1.79f93a9c5f2a5p-21, -0x1.7843c526f7327p-21, -0x1.768f0c7d408c1p-21, -0x1.74db14119dbe3p-21, }}, 
      {{-0x1.5b7243ddac2a2p-7, -0x1.3bdc822b0165ep-5, -0x1.360c69671a1dbp-4, -0x1.d1456560faef3p-4, -0x1.29cc1c3154fc9p-3, -0x1.54e95e83b098ep-3, -0x1.649fcb8bd221bp-3, -0x1.571b80a3c309dp-3, -0x1.2d31cb2dd4807p-3, -0x1.d31ee640e8824p-4, -0x1.200ff7180478fp-4, -0x1.284ec7e06bb2ap-6, 0x1.4b2b00c63c153p-5, 0x1.a5df1511493a9p-4, 0x1.572be95b1687cp-3, 0x1.dbb5d1b0763ccp-3, 0x1.2ea21665574bbp-2, 0x1.6c8b20f5e9b9bp-2, 0x1.a67990645eea7p-2, 0x1.db91b5fd16bdp-2, 0x1.0599dbe0b9c82p-1, 0x1.1a7abf9aa65c4p-1, 0x1.2c4e0db8517a9p-1, 0x1.3b0a80ca86dbfp-1, 0x1.46b7bb19a6b63p-1, 0x1.4f6b28f728a13p-1, 0x1.554520da78422p-1, 0x1.586e4b07e0e86p-1, 0x1.591555b49d314p-1, 0x1.576cf6d352a65p-1, 0x1.53aa39cc70c75p-1, 0x1.4e031542765cbp-1, 0x1.46ad4392f97e8p-1, 0x1.3ddd57daabc1bp-1, 0x1.33c608b56cfbep-1, 0x1.2897a9c7f7efep-1, 0x1.1c7fcd2144e8bp-1, 0x1.0fa90615c0c5bp-1, 0x1.023ac764f174p-1, 0x1.e8b2ae67173afp-2, 0x1.cc4ba7f9784abp-2, 0x1.af7c8cdf30c2dp-2, 0x1.927b7990a8891p-2, 0x1.7578d98047892p-2, 0x1.589fb38c82cb9p-2, 0x1.3c15fb920c113p-2, 0x1.1ffce69d9577ep-2, 0x1.04713fdaa843ep-2, 0x1.d317798c81cd7p-3, 0x1.9ec29efd19c7fp-3, 0x1.6c06ecad906dap-3, 0x1.3b011022c491ep-3, 0x1.0bc7f8b8e804dp-3, 0x1.bcdac1339d6afp-4, 0x1.65fc9aee7865ep-4, 0x1.130712179d05fp-4, 0x1.880846678a48fp-5, 0x1.e3dc16170c7dap-6, 0x1.8ee771fb0e59ap-7, -0x1.15239f9d72f0ep-8, -0x1.428cb9cb0b3e5p-6, -0x1.184d642a0347ap-5, -0x1.87e1fd7e4936fp-5, -0x1.f0327f945003ep-5, -0x1.28b91746eb46cp-4, -0x1.55ec2d878fa9p-4, -0x1.7fcfcaa0c3394p-4, -0x1.a682794e95632p-4, -0x1.ca23b322448fap-4, -0x1.ead394e0b43bdp-4, -0x1.04594da985eecp-3, -0x1.11f0b3765b018p-3, -0x1.1e40437edf92dp-3, -0x1.2958254c3c28cp-3, -0x1.33484c1dab887p-3, -0x1.3c20652a6e617p-3, -0x1.43efc90635154p-3, -0x1.4ac56ed961fafp-3, -0x1.50afe29a72d0dp-3, -0x1.55bd3c388a85ap-3, -0x1.59fb19eb488f1p-3, -0x1.5d769a3bd84c3p-3, -0x1.603c59a4d0bb1p-3, -0x1.62586ed5b1f41p-3, -0x1.63d66af081707p-3, -0x1.64c157d3c8f6fp-3, -0x1.6523ba14ffd33p-3, -0x1.6507916c5c188p-3, -0x1.64765b83f719ap-3, -0x1.63791669b76fdp-3, -0x1.62184393780fdp-3, -0x1.605bebd3a42f2p-3, -0x1.5e4ba27c0557bp-3, -0x1.5bee8a0cf0545p-3, -0x1.594b57aa7f54fp-3, -0x1.566857e34043cp-3, -0x1.534b7298b952bp-3, -0x1.4ffa2f913b675p-3, -0x1.4c79babc4f53fp-3, -0x1.48cee882ed00ep-3, -0x1.44fe3a2c4bd81p-3, -0x1.410be1fc0058ep-3, -0x1.3cfbc7729d599p-3, -0x1.38d18b4c1e547p-3, -0x1.34908b7120e3ep-3, -0x1.303be6c710668p-3, -0x1.2bd680deaabe8p-3, -0x1.276305697e313p-3, -0x1.22e3ebb50f1c8p-3, -0x1.1e5b79d3c8249p-3, -0x1.19cbc7ae318e2p-3, -0x1.1536c2152dd82p-3, -0x1.109e2d694f0bfp-3, -0x1.0c03a852c5729p-3, -0x1.0768ae6291e97p-3, -0x1.02ce9a4e7c49cp-3, -0x1.fc6d508cbe57ap-4, -0x1.f343f06ee1814p-4, -0x1.ea231f477a197p-4, -0x1.e10cb726d172ap-4, -0x1.d802651910b2ap-4, -0x1.cf05ac225856ep-4, -0x1.c617e8589ca8p-4, -0x1.bd3a5254b6a94p-4, -0x1.b46e01a9614efp-4, -0x1.abb3ef382641fp-4, -0x1.a30cf81acb5a8p-4, -0x1.9a79dfde6c3f2p-4, -0x1.91fb5229d58d6p-4, -0x1.8991e4f6cd829p-4, -0x1.813e1abf4498ap-4, -0x1.790063cbcf16ep-4, -0x1.70d91f92479ep-4, -0x1.68c89eabd955ep-4, -0x1.60cf244208091p-4, -0x1.58ece6c6725a9p-4, -0x1.5122113a1e5d6p-4, -0x1.496ec4ca1b9e6p-4, -0x1.41d3198e0eeefp-4, -0x1.3a4f1efe9ea7ap-4, -0x1.32e2dd255c1ap-4, -0x1.2b8e55c57cdcfp-4, -0x1.245184b72af24p-4, -0x1.1d2c603fc2b98p-4, -0x1.161ed9ff5188bp-4, -0x1.0f28dfc99fc6cp-4, -0x1.084a5bdf95903p-4, -0x1.018335142e357p-4, -0x1.f5a69ed787981p-5, -0x1.e87519ad6d19ep-5, -0x1.db719ac44186cp-5, -0x1.ce9bde41dd98ap-5, -0x1.c1f39d069652fp-5, -0x1.b5788e018768p-5, -0x1.a92a66a73e1cap-5, -0x1.9d08da793b24ep-5, -0x1.91139b284c9fp-5, -0x1.854a59a25c2adp-5, -0x1.79acc6bcbd461p-5, -0x1.6e3a92cb1c9b3p-5, -0x1.62f36d4930381p-5, -0x1.57d705650e62bp-5, -0x1.4ce50abc95e25p-5, -0x1.421d2d5c8e39cp-5, -0x1.377f1d4570dd5p-5, -0x1.2d0a8a5d20d69p-5, -0x1.22bf24dd3d9d6p-5, -0x1.189c9db177e3p-5, -0x1.0ea2a655f6fdep-5, -0x1.04d0f07dfe252p-5, -0x1.f64e5bf61335fp-6, -0x1.e34a21e763cffp-6, -0x1.d094985c86fp-6, -0x1.be2d260bb74c6p-6, -0x1.ac1332284e0d5p-6, -0x1.9a4623e6df9b8p-6, -0x1.88c562aef067dp-6, -0x1.779056c6bffa1p-6, -0x1.66a669734728fp-6, -0x1.5607044529329p-6, -0x1.45b1906a3710cp-6, -0x1.35a576b517f1dp-6, -0x1.25e2204b4c281p-6, -0x1.1666f6fe81989p-6, -0x1.073364bba9547p-6, -0x1.f08da5967accp-7, -0x1.d3415353f23dfp-7, -0x1.b680a312131eep-7, -0x1.9a4a65a0b2058p-7, -0x1.7e9d6bcdb2bb1p-7, -0x1.6378850f2ed85p-7, -0x1.48da7ee2485b4p-7, -0x1.2ec2253a78e98p-7, -0x1.152e43629f3cep-7, -0x1.f83b489bca72p-8, -0x1.c71e23c848d66p-8, -0x1.9702a8775665cp-8, -0x1.67e6632526e1ap-8, -0x1.39c6dd7d5781dp-8, -0x1.0ca19f3d4be5fp-8, -0x1.c0e85cbbc29b7p-9, -0x1.6a781c8e75914p-9, -0x1.15ed7e67928edp-9, -0x1.8686f9b64457p-10, -0x1.c9d435da9b967p-11, -0x1.1be90ae4d9b1cp-12, 0x1.4d4ad1e13c42cp-12, 0x1.d40df08fa8201p-11, 0x1.7d2cbee96980ep-10, 0x1.0667233afb0d3p-9, 0x1.4c7aea3028d36p-9, 0x1.90d6dabc21fcbp-9, 0x1.d3801e73c2cb7p-9, 0x1.0a3df097c335bp-8, 0x1.29e7a84a45247p-8, 0x1.48bfcdf4c489dp-8, 0x1.66c8fa0386b15p-8, 0x1.8405c5c4088bdp-8, 0x1.a078cb57bd80fp-8, 0x1.bc24a536b6718p-8, 0x1.d70bed987de25p-8, 0x1.f1313e3b7f57bp-8, 0x1.054b9835be7ffp-7, 0x1.11a02e896f0ebp-7, 0x1.1d97ae642f221p-7, 0x1.293363d16d06dp-7, 0x1.34749a590c138p-7, 0x1.3f5c9cb9e1cf1p-7, 0x1.49ecb4d4b33c6p-7, 0x1.54262bb6607efp-7, 0x1.5e0a499f5a3ddp-7, 0x1.679a560046db7p-7, 0x1.70d79762c534ep-7, 0x1.79c353368456bp-7, 0x1.825ecd97e14f8p-7, 0x1.8aab4936ce853p-7, 0x1.92aa075db2ecep-7, 0x1.9a5c47f882f6ep-7, 0x1.a1c3498e1400cp-7, 0x1.a8e0492d0cf74p-7, 0x1.afb4824d03b47p-7, 0x1.b6412ea77d14bp-7, 0x1.bc8786191867cp-7, 0x1.c288be9ae5b3fp-7, 0x1.c8460c48f34d3p-7, 0x1.cdc0a160eb2c8p-7, 0x1.d2f9ae3450476p-7, 0x1.d7f261149c15ep-7, 0x1.dcabe63da4ff8p-7, 0x1.e12767bf62ee8p-7, 0x1.e5660d6be2e65p-7, 0x1.e968fcd22cf8cp-7, 0x1.ed315940d6ec4p-7, 0x1.f0c043c2ac8d5p-7, 0x1.f416db128f02cp-7, 0x1.f7363b8c74143p-7, 0x1.fa1f7f209c9cp-7, 0x1.fcd3bd4864857p-7, 0x1.ff540afa9f63p-7, 0x1.00d0bd5260d4p-6, 0x1.01de8e1517aa5p-6, 0x1.02d3fe7184936p-6, 0x1.03b193caa05bep-6, 0x1.0477d23551294p-6, 0x1.05273c7430344p-6, 0x1.05c053f4949ep-6, 0x1.064398cbe8285p-6, 0x1.06b189b4d8be7p-6, 0x1.070aa40db2f3p-6, 0x1.074f63d819854p-6, 0x1.078043b81ddd5p-6, 0x1.079dbcf1c76f4p-6, 0x1.07a847663899p-6, 0x1.07a05991afc24p-6, 0x1.0786688a905d9p-6, 0x1.075ae800d8482p-6, 0x1.071e4a3d2e6c9p-6, 0x1.06d1001ffec3ep-6, 0x1.06737920f3ee6p-6, 0x1.0606234e78897p-6, 0x1.05896b4cdf278p-6, 0x1.04fdbc55a4511p-6, 0x1.046380374eda3p-6, 0x1.03bb1f55d5ebbp-6, 0x1.030500ab1c27ep-6, 0x1.024189c6ea099p-6, 0x1.01711ece5e57p-6, 0x1.0094227b6705cp-6, 0x1.ff55ec3a3f0cbp-7, 0x1.fd6bf331e3f66p-7, 0x1.fb6b16d83317bp-7, 0x1.f954115a0a1bp-7, 0x1.f7279a18749aep-7, 0x1.f4e665a9225a6p-7, 0x1.f29125d676c03p-7, 0x1.f028899fc3f2ap-7, 0x1.edad3d3b18765p-7, 0x1.eb1fea18e87dcp-7, 0x1.e88136e9b7821p-7, 0x1.e5d1c7a3db30bp-7, 0x1.e3123d87765bep-7, 0x1.e043371fb9dc8p-7, 0x1.dd655042539c3p-7, 0x1.da79220f0c115p-7, 0x1.d77f42f204747p-7, 0x1.d47846a96a32dp-7, 0x1.d164be4df5539p-7, 0x1.ce45385bb9e56p-7, 0x1.cb1a40b928fd8p-7, 0x1.c7e460ba83241p-7, 0x1.c4a41f21ed70cp-7, 0x1.c15a001db637dp-7, 0x1.be068547d6606p-7, 0x1.baaa2da944da5p-7, 0x1.b74575c2387f5p-7, 0x1.b3d8d79603c76p-7, 0x1.b064cab78444cp-7, 0x1.ace9c452af3ffp-7, 0x1.a96837310f8aep-7, 0x1.a5e093b979818p-7, 0x1.a25347ed6346ap-7, 0x1.9ec0bf677c7a4p-7, 0x1.9b29635e74f2ep-7, 0x1.978d9aad34c43p-7, 0x1.93edc9dfa193ep-7, 0x1.904a5340eb2ecp-7, 0x1.8ca396e7f562ep-7, 0x1.88f9f2bf0e8bap-7, 0x1.854dc2865da0fp-7, 0x1.819f5fd25af77p-7, 0x1.7def2209badb1p-7, 0x1.7a3d5e65ec392p-7, 0x1.768a67f8afedp-7, 0x1.72d68fb6cb80dp-7, 0x1.6f2224861edefp-7, 0x1.6b6d734bf7f0ap-7, 0x1.67b8c6f89b4a1p-7, 0x1.6404688e31755p-7, 0x1.60509f230f01ap-7, 0x1.5c9dafe10ba13p-7, 0x1.58ebde04b77f5p-7, 0x1.553b6adf13c2ep-7, 0x1.518c95db6d68ep-7, 0x1.4ddf9c897f0f1p-7, 0x1.4a34baaa59785p-7, 0x1.468c2a3dc5615p-7, 0x1.42e6238dcb0cep-7, 0x1.3f42dd36c275fp-7, 0x1.3ba28c2bb6899p-7, 0x1.380563b81bb0cp-7, 0x1.346b95809cba3p-7, 0x1.30d551850a63bp-7, 0x1.2d42c624b56e4p-7, 0x1.29b42025d2f94p-7, 0x1.26298abf4f10cp-7, 0x1.22a32fa3d7f44p-7, 0x1.1f21370c9dc9bp-7, 0x1.1ba3c7c287af8p-7, 0x1.182b07253c557p-7, 0x1.14b71930125efp-7, 0x1.1148207d8fe68p-7, 0x1.0dde3e4a9667ep-7, 0x1.0a79927a13a94p-7, 0x1.071a3b9a073a7p-7, 0x1.03c056e9f1a5dp-7, 0x1.006c00627cc58p-7, 0x1.fa3aa57b83b94p-8, 0x1.f3a8ceff114fp-8, 0x1.ed22adf9c533dp-8, 0x1.e6a870c5cf38p-8, 0x1.e03a4378e61dep-8, 0x1.d9d84fee63332p-8, 0x1.d382bdd09df33p-8, 0x1.cd39b2a2672fap-8, 0x1.c6fd51c90a347p-8, 0x1.c0cdbc974ca8p-8, 0x1.baab1259356c2p-8, 0x1.b495706068f55p-8, 0x1.ae8cf210b06b4p-8, 0x1.a891b0ec4b05fp-8, 0x1.a2a3c49fc108fp-8, 0x1.9cc3430d2460fp-8, 0x1.96f04056b310cp-8, 0x1.912acee917623p-8, 0x1.8b72ff8552cddp-8, 0x1.85c8e14a94e5ep-8, 0x1.802c81c0155afp-8, 0x1.7a9decdf03abdp-8, 0x1.751d2d1c8651bp-8, 0x1.6faa4b73c8465p-8, 0x1.6a454f6ffab86p-8, 0x1.64ee3f362fe7bp-8, 0x1.5fa51f8f1c641p-8, 0x1.5a69f3f08ff5bp-8, 0x1.553cbe86cb55ep-8, 0x1.501d803d8be0fp-8, 0x1.4b0c38c907851p-8, 0x1.4608e6aea56abp-8, 0x1.4113874da9f32p-8, 0x1.3c2c16e7c137bp-8, 0x1.375290a972bcap-8, 0x1.3286eeb27b3e8p-8, 0x1.2dc92a1e0f6acp-8, 0x1.29193b0afa912p-8, 0x1.247718a39c666p-8, 0x1.1fe2b925bd1e3p-8, 0x1.1b5c11ea3824cp-8, 0x1.16e3176c8cab2p-8, 0x1.1277bd5237e05p-8, 0x1.0e19f671fdffp-8, 0x1.09c9b4db17351p-8, 0x1.0586e9dc3eb5ep-8, 0x1.0151860aaea78p-8, 0x1.fa52f291ee633p-9, 0x1.f21d659b708a8p-9, 0x1.ea02425459e82p-9, 0x1.e20164a13d23dp-9, 0x1.da1aa7354156cp-9, 0x1.d24de39e578b9p-9, 0x1.ca9af2514d563p-9, 0x1.c301aab597eep-9, 0x1.bb81e330fc604p-9, 0x1.b41b71330a297p-9, 0x1.acce294074078p-9, 0x1.a599defe1f9d8p-9, 0x1.9e7e653be5266p-9, 0x1.977b8dff1acd8p-9, 0x1.90912a8ca39d6p-9, 0x1.89bf0b72d1f58p-9, 0x1.83050092f8ef8p-9, 0x1.7c62d92ad92cep-9, 0x1.75d863ddf72p-9, 0x1.6f656ebed9b0ap-9, 0x1.6909c758472f7p-9, 0x1.62c53ab651e02p-9, 0x1.5c97956f21861p-9, 0x1.5680a3ab7f937p-9, 0x1.5080312eeb70fp-9, 0x1.4a96095f23b84p-9, 0x1.44c1f74b8b679p-9, 0x1.3f03c5b412ab7p-9, 0x1.395b3f10350dp-9, 0x1.33c82d95f56p-9, 0x1.2e4a5b40fdb7dp-9, 0x1.28e191d9db82ap-9, 0x1.238d9afd4fe84p-9, 0x1.1e4e40236a1e8p-9, 0x1.19234aa633f69p-9, 0x1.140c83c7daafcp-9, 0x1.0f09b4b823153p-9, 0x1.0a1aa6996f44ap-9, 0x1.053f22853578dp-9, 0x1.0076f19091d86p-9, 0x1.f783b9a1ef978p-10, 0x1.ee3f5ac283ccfp-10, 0x1.e52058ceb5df2p-10, 0x1.dc26463436898p-10, 0x1.d350b58e7082dp-10, 0x1.ca9f39b1cacadp-10, 0x1.c21165b533ddfp-10, 0x1.b9a6ccfa22d91p-10, 0x1.b15f033262488p-10, 0x1.a9399c64a438p-10, 0x1.a1362cf078a27p-10, 0x1.99544992f5c56p-10, 0x1.9193876c7c2f9p-10, 0x1.89f37c08e2acbp-10, 0x1.8273bd6947479p-10, 0x1.7b13e20f03e84p-10, 0x1.73d38106a0b13p-10, 0x1.6cb231f126e7bp-10, 0x1.65af8d0aa6a9ap-10, 0x1.5ecb2b2d5530cp-10, 0x1.5804a5d14a65p-10, 0x1.515b970a123d6p-10, 0x1.4acf99841fb9fp-10, 0x1.446048835cb8cp-10, 0x1.3e0d3fe5d8c25p-10, 0x1.37d61c2a948d9p-10, 0x1.31ba7a7d06bb3p-10, 0x1.2bb9f8c3b4b21p-10, 0x1.25d435af6d9d7p-10, 0x1.2008d0c853977p-10, 0x1.1a576a75903ccp-10, 0x1.14bfa3fe0b121p-10, 0x1.0f411f8192bdcp-10, 0x1.09db7feba252fp-10, 0x1.048e68e30227cp-10, 0x1.feb2fd7514bb8p-11, 0x1.f478cccdfa2f4p-11, 0x1.ea6d8afc57a64p-11, 0x1.e0908481d7fe8p-11, 0x1.d6e1076043b4cp-11, 0x1.cd5e6352b011ep-11, 0x1.c407ea0d0dff2p-11, 0x1.badcef747d6c8p-11, 0x1.b1dcc9c40c35cp-11, 0x1.a906d193b6ca6p-11, 0x1.a05a61bd72a3cp-11, 0x1.97d6d721ed048p-11, 0x1.8f7b9056ae991p-11, 0x1.8747ed4c7d3abp-11, 0x1.7f3b4eff52959p-11, 0x1.775517418b73ap-11, 0x1.6f94a8aeecc1dp-11, 0x1.67f966cee1d16p-11, 0x1.6082b66367446p-11, 0x1.592ffdd9f8c8fp-11, 0x1.5200a5cca3c8cp-11, 0x1.4af4197b2d392p-11, 0x1.4409c72415255p-11, 0x1.3d412028b16afp-11, 0x1.369998f0bb2e6p-11, 0x1.3012a88cb1d9ap-11, 0x1.29abc824683fdp-11, 0x1.236472482c036p-11, 0x1.1d3c2243ae718p-11, 0x1.17325390aa4fep-11, 0x1.11468183302f3p-11, 0x1.0b782741e0f41p-11, 0x1.05c6c00e31ba1p-11, 0x1.0031c7d776f08p-11, 0x1.f571780b42d28p-12, 0x1.eab638bd11d3dp-12, 0x1.e030d7c4c1286p-12, 0x1.d5e062f01bec9p-12, 0x1.cbc3f08f069bep-12, 0x1.c1da9f55ec10ep-12, 0x1.b82395648ebb7p-12, 0x1.ae9dfe8f5984bp-12, 0x1.a5490a302ff07p-12, 0x1.9c23e8d992ecep-12, 0x1.932dca4b407b7p-12, 0x1.8a65dbf9b300ap-12, 0x1.81cb485c4a608p-12, 0x1.795d3715cc2e8p-12, 0x1.711acdee21addp-12, 0x1.6903327a75f2dp-12, 0x1.61158c44691fp-12, 0x1.5951072b81ae1p-12, 0x1.51b4d5b587dd8p-12, 0x1.4a4032f54aed1p-12, 0x1.42f263b1aa166p-12, 0x1.3bcab68b9d558p-12, 0x1.34c883067a9edp-12, 0x1.2deb278c79a1bp-12, 0x1.273206bf4afacp-12, 0x1.209c848d1c685p-12, 0x1.1a2a038e59216p-12, 0x1.13d9e31c3abcfp-12, 0x1.0dab7e618a0aap-12, 0x1.079e2c7089a89p-12, 0x1.01b141373516cp-12, 0x1.f7c81e288191ep-13, 0x1.ec6bd19927eb4p-13, 0x1.e14c475fb6ddfp-13, 0x1.d668338d2a70ep-13, 0x1.cbbe57cd09729p-13, 0x1.c14d86f725245p-13, 0x1.b714a7816512dp-13, 0x1.ad12b4390e193p-13, 0x1.a346bacb762f7p-13, 0x1.99afd800fbdb8p-13, 0x1.904d320ea580ep-13, 0x1.871df1e7f48cep-13, 0x1.7e213ccb650a6p-13, 0x1.75562f4d02e44p-13, 0x1.6cbbdabd60512p-13, 0x1.64514534fdf67p-13, 0x1.5c156bd0e9459p-13, 0x1.54074637824cp-13, 0x1.4c25ca543fc3cp-13, 0x1.446fef887a80dp-13, 0x1.3ce4b112f5e41p-13, 0x1.35830ff8e4371p-13, 0x1.2e4a14f6ed12ap-13, 0x1.2738d2e1e4388p-13, 0x1.204e696a8acb7p-13, 0x1.198a07b9d58cp-13, 0x1.12eaee017419ep-13, 0x1.0c706d251634fp-13, 0x1.0619e404f28adp-13, 0x1.ffcd7544de6bcp-14, 0x1.f3acb81e1a4e7p-14, 0x1.e7d0613637a3ap-14, 0x1.dc373387ccc8fp-14, 0x1.d0dfe1df15523p-14, 0x1.c5c9123e54b89p-14, 0x1.baf165889e5eap-14, 0x1.b057804efa64p-14, 0x1.a5fa114fe66c7p-14, 0x1.9bd7d348a2695p-14, 0x1.91ef89d7a0de6p-14, 0x1.883ffb667488dp-14, 0x1.7ec7eb6b827cep-14, 0x1.7586182827de6p-14, 0x1.6c793d79c0cadp-14, 0x1.63a01c205f874p-14, 0x1.5af982fedbbddp-14, 0x1.528456f22ecefp-14, 0x1.4a3f9636621dp-14, 0x1.422a55bea763fp-14, 0x1.3a43b8f52603bp-14, 0x1.328ae657b88e8p-14, 0x1.2afefc9bec884p-14, 0x1.239f0be8cc094p-14, 0x1.1c6a156105076p-14, 0x1.155f111f835ecp-14, 0x1.0e7cf8a87174ap-14, 0x1.07c2d242b0521p-14, 0x1.012fb92ed724dp-14, 0x1.f585bf06f0f62p-15, 0x1.e8f711486d478p-15, 0x1.dcb1fc53f2468p-15, 0x1.d0b5071484f63p-15, 0x1.c4fe9b1be6d2ap-15, 0x1.b98d02447a65cp-15, 0x1.ae5e73eebe607p-15, 0x1.a3712c7dc3721p-15, 0x1.98c38660ffa12p-15, 0x1.8e540c37ac5b6p-15, 0x1.84217e87fab1ep-15, 0x1.7a2acbab57f01p-15, 0x1.706efcfd9da7fp-15, 0x1.66ed1fe7a5d89p-15, 0x1.5da43264ba7bdp-15, 0x1.54931888e7887p-15, 0x1.4bb89c87f9375p-15, 0x1.43137742626a6p-15, 0x1.3aa25dda4bc61p-15, 0x1.326410deebcd7p-15, 0x1.2a5769ad237ep-15, 0x1.227b620aee775p-15, 0x1.1acf11f8b206p-15, 0x1.1351a1ea17082p-15, 0x1.0c02346dd3af6p-15, 0x1.04dfcf8704f9p-15, 0x1.fbd29fe5e24e5p-16, 0x1.ee3ad9da294e7p-16, 0x1.e0f5963b76504p-16, 0x1.d4002c4afa00fp-16, 0x1.c7582d2433a04p-16, 0x1.bafb7ca9de8e7p-16, 0x1.aee856b3314dep-16, 0x1.a31d44bb2838cp-16, 0x1.9799086a9d357p-16, 0x1.8c5a8078b1307p-16, 0x1.81608fee81638p-16, 0x1.76aa0ec181366p-16, 0x1.6c35c4b792b5bp-16, 0x1.62026a54a7c16p-16, 0x1.580eab843eda6p-16, 0x1.4e592b3f00162p-16, 0x1.44e08965c3c32p-16, 0x1.3ba36add1d6b2p-16, 0x1.32a08193d3e1p-16, 0x1.29d690e8fcf3fp-16, 0x1.21446b02b98ecp-16, 0x1.18e8e53e2df88p-16, 0x1.10c2c6020f069p-16, 0x1.08d0b45d8d1ap-16, 0x1.0111354426d29p-16, 0x1.f305793fbb7d3p-17, 0x1.e4479418b939cp-17, 0x1.d5e5fb28a7a1fp-17, 0x1.c7de2e2659d5ap-17, 0x1.ba2dd0c3fec7bp-17, 0x1.acd29f6eac2cep-17, 0x1.9fca86e7d2fa7p-17, 0x1.9313c3cb7352cp-17, 0x1.86ace4625b9a6p-17, 0x1.7a94a52819055p-17, 0x1.6ec9bec3b597ap-17, 0x1.634ac27d3b6afp-17, 0x1.581617e4cd3f5p-17, 0x1.4d2a1c6410e4bp-17, 0x1.42854ec419ea1p-17, 0x1.38266468e7396p-17, 0x1.2e0c35abd37c5p-17, 0x1.24359229ced89p-17, 0x1.1aa122b6e1622p-17, 0x1.114d7002d512cp-17, 0x1.0839039581239p-17, 0x1.fec5089b737d4p-18, 0x1.ed916b6f20bc6p-18, 0x1.dcd4b1e38c4ffp-18, 0x1.cc8c0bb2387e9p-18, 0x1.bcb4396ee9345p-18, 0x1.ad49bd2664155p-18, 0x1.9e49223ce0296p-18, 0x1.8faefa646e24ep-18, 0x1.817782ff337dbp-18, 0x1.739e7b896a42fp-18, 0x1.661fb6b71a201p-18, 0x1.58f81fe21d92ep-18, 0x1.4c2646b1ea9fp-18, 0x1.3fa9e43d8790cp-18, 0x1.3382bc274a62cp-18, 0x1.27afb62638501p-18, 0x1.1c2ec90fd7d42p-18, 0x1.10fda791c557p-18, 0x1.061a8bea6021fp-18, 0x1.f708e7eab52a5p-19, 0x1.e275577cc2759p-19, 0x1.ce783ed6a47ecp-19, 0x1.bb0dfcd4c34c5p-19, 0x1.a831ac686d44dp-19, 0x1.95ddeaaa087c2p-19, 0x1.840db3b6a489ep-19, 0x1.72bd0c107e76fp-19, 0x1.61e9534368514p-19, 0x1.51912b6180fe6p-19, 0x1.41b3ed5e0ad2p-19, 0x1.3250cf98d6544p-19, 0x1.236632d08665p-19, 0x1.14f19f7da2e8ap-19, 0x1.06f06075adcafp-19, 0x1.f2bf7c96ec067p-20, 0x1.d87832392189p-20, 0x1.beffe2b35a0cdp-20, 0x1.a649ed45cc211p-20, 0x1.8e4dea2a5bdf8p-20, 0x1.770ae33d4bbe2p-20, 0x1.6083a70ec070ep-20, 0x1.4ab7fc6b92f11p-20, 0x1.35a17e01bcb5fp-20, 0x1.21366e73fec31p-20, 0x1.0d6efb5f7ccebp-20, 0x1.f48f58d89210ep-21, 0x1.cf7ec2ca098eep-21, 0x1.aba80a2aec0b2p-21, 0x1.8902a7fb004e6p-21, 0x1.678391488e65dp-21, 0x1.471fd492fad59p-21, 0x1.27cde63bd39e9p-21, 0x1.0985c6e6d8519p-21, 0x1.d881b2b7bd898p-22, 0x1.9ff3ac16d4958p-22, 0x1.69599ebe56519p-22, 0x1.34ae180428c58p-22, 0x1.01ecf8a63615ep-22, 0x1.a22265a08edcep-23, 0x1.44232923e1fcbp-23, 0x1.d37ab41fac883p-24, 0x1.25954c571a19bp-24, 0x1.f960d5c88bb98p-26, -0x1.12c57d85691ffp-27, -0x1.7923596e4b2bcp-25, -0x1.508fc5a3ae5c7p-24, -0x1.deb0e5ee8c0ddp-24, -0x1.33923b07965eep-23, -0x1.74e4ac4a46f8p-23, -0x1.b33fb58ed95dp-23, -0x1.eebfee59d65f2p-23, -0x1.13d1aec07c0dap-22, -0x1.2f0c251f4745cp-22, -0x1.4912b1c4bfe41p-22, -0x1.61e1041e6c50ap-22, -0x1.797a2acb3f5a9p-22, -0x1.8fe97f411097dp-22, -0x1.a53bd2264af2p-22, -0x1.b97b0f5ec9387p-22, -0x1.ccae00ed24725p-22, -0x1.ded9ca978a027p-22, -0x1.f0036652b5ba7p-22, -0x1.00184b92f759bp-21, -0x1.07b422f7f2fbp-21, -0x1.0ed935c0c42f8p-21, -0x1.158bdf6345f71p-21, -0x1.1bd0a418f9473p-21, -0x1.21abe01fa4b17p-21, -0x1.27215a6e98df3p-21, -0x1.2c340254b096bp-21, -0x1.30e655c1ff4e1p-21, -0x1.353b563a1095fp-21, -0x1.3936ba834042ep-21, -0x1.3cdb48237dc9bp-21, -0x1.4028e2827a333p-21, -0x1.431dd97db04b4p-21, -0x1.45bc79efcbd6dp-21, -0x1.480d494fd5161p-21, -0x1.4a165cab8e3fdp-21, -0x1.4bd5bfaa9e0aap-21, -0x1.4d4ab571833c8p-21, -0x1.4e7b5c00f8e96p-21, -0x1.4f6bcbd037b4ap-21, -0x1.5018d6ee30441p-21, -0x1.507ff86bd488cp-21, -0x1.50a4d1269b89cp-21, -0x1.508dba4afb52dp-21, -0x1.503fd1fe4043p-21, -0x1.4fbe3f38973e6p-21, -0x1.4f0aebc1ca608p-21, -0x1.4e2735ae150b8p-21, -0x1.4d144db8b31cfp-21, -0x1.4bd3613889e1dp-21, -0x1.4a65aec1ac7dep-21, -0x1.48cc914984b7cp-21, -0x1.4709819098772p-21, -0x1.451e0e0a12cfep-21, -0x1.430bcfedd33b4p-21, -0x1.40d46228c0024p-21, -0x1.3e7952e52d199p-21, -0x1.3bfc026fb145ep-21, -0x1.395d74257d24bp-21, -0x1.369e41a2f9587p-21, -0x1.33beffe61e5c7p-21, -0x1.30c10cdbabe91p-21, -0x1.2da6e48c3f139p-21, -0x1.2a7314895a286p-21, -0x1.2726588a91511p-21, -0x1.23bf310c4bc0dp-21, -0x1.203e12881ac0bp-21, -0x1.1ca9b4d654f31p-21, -0x1.19076307d003dp-21, -0x1.15556fedc21f2p-21, -0x1.11944b6a58087p-21, -0x1.0dc54409d9866p-21, -0x1.09e4f642e6845p-21, -0x1.05f26b0f48816p-21, -0x1.01f136ae3c7fp-21, -0x1.fbc866cd7d494p-22, -0x1.f3979d2668a53p-22, -0x1.eb4f82e06de44p-22, -0x1.e2f122b3c9df1p-22, -0x1.da7f4e1e4487dp-22, -0x1.d1fd52562d7bcp-22, -0x1.c96df190e1552p-22, -0x1.c0d322b291d71p-22, -0x1.b82e459bc77fcp-22, -0x1.af806e20b486ep-22, -0x1.a6ca9d3f3dfe6p-22, -0x1.9e0de2c6f83abp-22, -0x1.954b6c8975e2bp-22, -0x1.8c8488233ebb6p-22, -0x1.83ba9d368ef45p-22, -0x1.7aef288ea5041p-22, -0x1.7223a1ac74aa2p-22, -0x1.69596c469ae99p-22, -0x1.6091ae433884fp-22, -0x1.57cd370c827b9p-22, -0x1.4f0cb1de4fa42p-22, -0x1.4651381c0c017p-22, -0x1.3d9c992a92688p-22, -0x1.34f0acfcd9b72p-22, -0x1.2c4e274406f8p-22, -0x1.23b34d80ea357p-22, -0x1.1b1d284d49a22p-22, -0x1.128f52c93009ep-22, -0x1.0a1079e0be3c6p-22, -0x1.01a0b52dc7247p-22, -0x1.f280170e90aa7p-23, -0x1.e1d3b00419c07p-23, -0x1.d139d80dda4b1p-23, -0x1.c0bee50467f71p-23, -0x1.b06cdb6242bd7p-23, -0x1.a045957576962p-23, -0x1.904565dbdbc04p-23, -0x1.80692f8b45972p-23, -0x1.70b2d968bd1e8p-23, -0x1.6126c37531c57p-23, -0x1.51c5bed06f027p-23, -0x1.428ccd75109c3p-23, -0x1.337a81abf2321p-23, -0x1.24912e59a9e81p-23, -0x1.15d4647985392p-23, -0x1.0746a52003e9p-23, -0x1.f1d2415113a33p-24, -0x1.d578b262aae5bp-24, -0x1.b981566bf94f5p-24, -0x1.9ded12b4d4c21p-24, -0x1.82bd0c7c2987fp-24, -0x1.67f29544ae94bp-24, -0x1.4d8f134362cdfp-24, -0x1.3393f255ec78dp-24, -0x1.1a02970fa0e8cp-24, -0x1.00dc41e6659f9p-24, -0x1.d043bb285b6d4p-25, -0x1.9fa7d7f2213fcp-25, -0x1.6fe5bd674a463p-25, -0x1.40ff29b895b5fp-25, -0x1.12f6f2c0098e7p-25, -0x1.cba24de168fb7p-26, -0x1.73221fafd64c9p-26, -0x1.1c6024f495628p-26, -0x1.8e8f46141b8aep-27, -0x1.d0063d0d8f269p-28, -0x1.1584b51edfd8p-29, 0x1.662b79c799521p-29, 0x1.ea1dfc69b65bep-28, 0x1.8d02475c96f0fp-27, 0x1.109e5db3cf8c4p-26, 0x1.58dedbb1d923cp-26, 0x1.9f462121d3cc5p-26, 0x1.e3d7204f35ce6p-26, 0x1.134ab0c8665f6p-25, 0x1.33c2fc0d89fa4p-25, 0x1.5355e9b74a9ecp-25, 0x1.71ffb9d46307ap-25, 0x1.8fb8e7cd4f337p-25, 0x1.ac7fff410dea4p-25, 0x1.c858dc6a6762fp-25, 0x1.e3423b51632bep-25, 0x1.fd3bc149c904cp-25, 0x1.0b26724189afp-24, 0x1.173cce069de4dp-24, 0x1.22df4e3f89556p-24, 0x1.2e0c5ab757e09p-24, 0x1.38c3d126a75ap-24, 0x1.43064b96d3509p-24, 0x1.4cd47c3cdc2e1p-24, 0x1.562efdd5ecf52p-24, 0x1.5f1656130522cp-24, 0x1.678b0078aca89p-24, 0x1.6f8d761b76291p-24, 0x1.771e324b929bdp-24, 0x1.7e3db6938c2ebp-24, 0x1.84ec8f609da79p-24, 0x1.8b2b563ff60c2p-24, 0x1.90faabe80568p-24, 0x1.965b2dae00dddp-24, 0x1.9b4d6ff1afc21p-24, 0x1.9fd1fdec21d91p-24, 0x1.a3e96303c1d68p-24, 0x1.a7947e17c4f9fp-24, 0x1.aad4919174746p-24, 0x1.ada98ef5e0dd3p-24, 0x1.b0140bea363cp-24, 0x1.b215b3454757bp-24, 0x1.b3aee0f578922p-24, 0x1.b4e023010e011p-24, 0x1.b5aa5edf57299p-24, 0x1.b60e78945adf7p-24, 0x1.b60d4cec0ca0bp-24, 0x1.b5a7b7c4e4fcp-24, 0x1.b4de96b6e3149p-24, 0x1.b3b2ca488fa67p-24, 0x1.b22536fb6ad6p-24, 0x1.b036c685bf72ap-24, 0x1.ade868da8e021p-24, 0x1.ab3b1541950aep-24, 0x1.a82fc9a8b7b21p-24, 0x1.a4c7766122e8cp-24, 0x1.a102ba20808fdp-24, 0x1.9ce1d81a1abep-24, 0x1.9865dc4dc1bfap-24, 0x1.9390fe6f946dfp-24, 0x1.8e651dfed4fcap-24, 0x1.88e2e2ed0d31fp-24, 0x1.83095c4fe5585p-24, 0x1.7cd93126cb713p-24, 0x1.765494eedab3cp-24, 0x1.6f7d21277c92ap-24, 0x1.6853ca6db4ecp-24, 0x1.60d968dfe8deap-24, 0x1.590ee67470e7fp-24, 0x1.50f54070b8facp-24, 0x1.488d80e5089afp-24, 0x1.3fd8b6bdc7ccep-24, 0x1.36d7e9a32d9cdp-24, 0x1.2d8c0fb66ba08p-24, 0x1.23f619fece8fcp-24, 0x1.1a171336c6cf9p-24, 0x1.0ff0234e0b0fap-24, 0x1.058279b36d071p-24, 0x1.f59eb78a40ceep-25, 0x1.dfb074a5542abp-25, 0x1.c93afe93313e8p-25, 0x1.b23f0b189427cp-25, 0x1.9ac0626f0d9d8p-25, 0x1.82bf8287e835ap-25, 0x1.6a40ef62678cp-25, 0x1.514692b5bff0ep-25, 0x1.37d1f52bc3884p-25, 0x1.1de50ef96340ap-25, 0x1.0381fdcdc304p-25, 0x1.d155c98d32f51p-26, 0x1.9ac3cbf2b1346p-26, 0x1.635243f4ba348p-26, 0x1.2b05700a2f1dfp-26, 0x1.e3c317889f09ep-27, 0x1.6fd59c78ceac6p-27, 0x1.f495a029e702cp-28, 0x1.06560bba6e10ep-28, 0x1.4fd129dd4ccffp-32, -0x1.bec952fad57ccp-29, -0x1.d6be5bcdfc00fp-28, -0x1.687f7f727134p-27, -0x1.e70ab5eb9a6e9p-27, -0x1.337c1993e4d6ep-26, -0x1.741f871264b21p-26, -0x1.b56af9e7a5f29p-26, -0x1.f75b4e284d2d6p-26, -0x1.1cf968738449ep-25, -0x1.3e97c3f2dccd7p-25, -0x1.607ebfee6b83ap-25, -0x1.82acd35f4eae6p-25, -0x1.a5280264548e8p-25, -0x1.c7ebae1aac1c1p-25, -0x1.eaf2a1c5b609fp-25, -0x1.071da3663cd11p-24, -0x1.18e23c51097cap-24, -0x1.2ac65274956ecp-24, -0x1.3cc8fb62e596bp-24, -0x1.4ee94a1a6ff78p-24, -0x1.612658c0e8c13p-24, -0x1.737f418f48fbbp-24, -0x1.85f30f80435d8p-24, -0x1.9880c80a020a6p-24, -0x1.ab277ae27141cp-24, -0x1.bde637d35404ep-24, -0x1.d0bbdf301d4ecp-24, -0x1.e3a733e3a107ap-24, -0x1.f6a842e7faa6ap-24, -0x1.04df63082638ep-23, -0x1.0e745e37da532p-23, -0x1.181279fa09d2bp-23, -0x1.21b977c0e4913p-23, -0x1.2b68f7df39cc6p-23, -0x1.35208da5bdb42p-23, -0x1.3edfcbbe022b7p-23, -0x1.48a64620fe603p-23, -0x1.5273921438eap-23, -0x1.5c474610f0469p-23, -0x1.6620f9a3168d2p-23, -0x1.70004562ba7a1p-23, -0x1.79e4c2ec45a47p-23, -0x1.83ce0cd8be633p-23, -0x1.8dbbbeb0aa7efp-23, -0x1.97ad74ea22aa9p-23, -0x1.a1a2cce41a403p-23, -0x1.ab9b64eb57288p-23, -0x1.b596dc525e2c2p-23, -0x1.bf94d37c42e32p-23, -0x1.c994ebf75de9fp-23, -0x1.d396c88a16416p-23, -0x1.dd9a0d09b126p-23, -0x1.e79e5e0bec017p-23, -0x1.f1a3608325876p-23, -0x1.fba8b9b065cedp-23, -0x1.02d707f2699bdp-22, -0x1.07d985f5c6372p-22, -0x1.0cdbac60b5518p-22, -0x1.11dd4de122fadp-22, -0x1.16de34315f9aep-22, -0x1.1bde32c8fb3dbp-22, -0x1.20dd49f21cf8ap-22, -0x1.25db48e52484ap-22, -0x1.2ad8149784406p-22, -0x1.2fd36ae25ad23p-22, -0x1.34cd01ac09406p-22, -0x1.39c4c2d9f57bbp-22, -0x1.3eba9508ded2ap-22, -0x1.43ae565a93d6ap-22, -0x1.489fe1d956ff9p-22, -0x1.4d8f119a8c954p-22, -0x1.527bc065ece06p-22, -0x1.5765ca4f430f3p-22, -0x1.5c4d0c41c2166p-22, -0x1.61316172de545p-22, -0x1.66129e9591619p-22, -0x1.6af0a9f4c332ep-22, -0x1.6fcb7de2c8b39p-22, -0x1.74a2d7d166d5cp-22, -0x1.797698290cb33p-22, -0x1.7e46a5dda4a13p-22, -0x1.8312e23dd2ebep-22, -0x1.87db2e2063b5bp-22, -0x1.8c9f6ae1c000ep-22, -0x1.915f7a71a754ap-22, -0x1.961b3f43f8b56p-22, -0x1.9ad29c4d42458p-22, -0x1.9f8574fbfc336p-22, -0x1.a433ad3a86509p-22, -0x1.a8dd296a968bdp-22, -0x1.ad81ce67d8674p-22, -0x1.b2218183bae87p-22, -0x1.b6bc2888ea30dp-22, -0x1.bb51a9b7b1766p-22, -0x1.bfe1ebc7a6853p-22, -0x1.c46cd5e4dca0bp-22, -0x1.c8f24fb1206acp-22, -0x1.cd724140a92efp-22, -0x1.d1ec931ef6f61p-22, -0x1.d6612e44ca472p-22, -0x1.dacffc1e89c32p-22, -0x1.df38e689424cbp-22, -0x1.e39bd7d54b1acp-22, -0x1.e7f8babd5bdbcp-22, -0x1.ec4f7a70e1831p-22, -0x1.f0a0028e84cb4p-22, -0x1.f4ea3f223ffcdp-22, -0x1.f92e1ca71f303p-22, -0x1.fd6b87fee7b54p-22, -0x1.00d1373740b6ep-21, -0x1.02e95ecf79c2cp-21, -0x1.04fe31d1ed195p-21, -0x1.070fa793dc30ap-21, -0x1.091db799026a1p-21, -0x1.0b2859cbe9d04p-21, -0x1.0d2f85356b61ep-21, -0x1.0f33300f19d36p-21, -0x1.11335410900f9p-21, -0x1.132ff0302d9fdp-21, -0x1.1528f9203f2b9p-21, -0x1.171e63219d2f4p-21, -0x1.1910290137b8ap-21, -0x1.1afe4522e97c8p-21, -0x1.1ce8b1202833bp-21, -0x1.1ecf668bb432bp-21, -0x1.20b25f226202ep-21, -0x1.229194a46ef0ap-21, -0x1.246d00fa744dep-21, -0x1.26449fb9d1da2p-21, -0x1.28186a5f43bdbp-21, -0x1.29e85b87394aap-21, -0x1.2bb46e4b70051p-21, -0x1.2d7c9db66ea48p-21, -0x1.2f40e4fac8cedp-21, -0x1.31013f79586e9p-21, -0x1.32bda8beccd0ep-21, -0x1.34761c830d283p-21, -0x1.362a96a838999p-21, -0x1.37db133abd4b7p-21, -0x1.39878e71330bp-21, -0x1.3b3004aa9b0abp-21, -0x1.3cd4726ed0685p-21, -0x1.3e74d46cdcaccp-21, -0x1.4011278243872p-21, -0x1.41a968a860efp-21, -0x1.433d95079c47p-21, -0x1.44cda9ed50343p-21, -0x1.4659a4cbbfc7ep-21, -0x1.47e1833c8000ap-21, -0x1.496542fc9bbc9p-21, -0x1.4ae4e1ef528b9p-21, -0x1.4c605e1bdcd5dp-21, -0x1.4dd7b5ada2f82p-21, -0x1.4f4ae6f30f6dep-21, -0x1.50b9f05f105abp-21, -0x1.5224d0868a4b8p-21, -0x1.538b862037eeap-21, -0x1.54ee1006d0052p-21, -0x1.564c6d340e2cap-21, -0x1.57a69cc5c9acdp-21, -0x1.58fc9df9158afp-21, -0x1.5a4e702b62d87p-21, -0x1.5b9c12db8369cp-21, -0x1.5ce585a5ef732p-21, -0x1.5e2ac84813c74p-21, -0x1.5f6bda9c2514dp-21, -0x1.60a8bc9be1074p-21, -0x1.61e16e5db0539p-21, -0x1.6315f0179d929p-21, -0x1.6446421f4c7dbp-21, -0x1.657264e2c36a7p-21, -0x1.669a58df3cf17p-21, -0x1.67be1ebf33fe8p-21, -0x1.68ddb74de262p-21, -0x1.69f9235cd515dp-21, -0x1.6b1063dd779c9p-21, -0x1.6c2379f83c54p-21, -0x1.6d32674587c56p-21, -0x1.6e3d2cbfea1cap-21, -0x1.6f43ca4c913dep-21, -0x1.704642f0f1839p-21, -0x1.7144987ba868bp-21, -0x1.723ecc22b7475p-21, -0x1.7334df566bd02p-21, -0x1.7426d44b733aep-21, -0x1.7514ac8dd9e89p-21, -0x1.75fe6ad4b0e91p-21, -0x1.76e410939adbap-21, -0x1.77c5a032976e8p-21, -0x1.78a31bfa3ec2bp-21, -0x1.797c8648ee6d3p-21, -0x1.7a51e19030b0bp-21, -0x1.7b23305883cabp-21, -0x1.7bf0753d5effep-21, -0x1.7cb9b2efda5f1p-21, -0x1.7d7eec339ad97p-21, -0x1.7e4023e13b4d9p-21, -0x1.7efd5ce2930ffp-21, -0x1.7fb69a363fe27p-21, -0x1.806bdeebe9f39p-21, -0x1.811d2e2538bffp-21, -0x1.81ca8b1634d6ap-21, -0x1.8273f902d4e41p-21, -0x1.83197b415bab8p-21, -0x1.83bb1536aa8d3p-21, -0x1.8458ca50b9822p-21, -0x1.84f29e2d88a68p-21, -0x1.8588944cbe8cfp-21, -0x1.861ab058c8b0cp-21, -0x1.86a8f60395c7fp-21, -0x1.8733690f2cd7ep-21, -0x1.87ba0d4c6a9f5p-21, -0x1.883ce6984126cp-21, -0x1.88bbf8defd00dp-21, -0x1.893748198850bp-21, -0x1.89aed84dd6ee8p-21, -0x1.8a22ad8fb6296p-21, -0x1.8a92cbfe963b8p-21, -0x1.8aff37c748b3ap-21, -0x1.8b67f521c4255p-21, -0x1.8bcd08530d761p-21, -0x1.8c2e75ab40ba8p-21, -0x1.8c8c418598d28p-21, -0x1.8ce67048576e2p-21, -0x1.8d3d066508272p-21, -0x1.8d900857bde4p-21, -0x1.8ddf7aa60e489p-21, -0x1.8e2b61e0a83b4p-21, -0x1.8e73c2a0eb4fcp-21, -0x1.8eb8a18a668c7p-21, -0x1.8efa03494859ap-21, -0x1.8f37ec91fed0cp-21, -0x1.8f7262239dc7ep-21, -0x1.8fa968c370581p-21, -0x1.8fdd054041938p-21, -0x1.900d3c6efcfb9p-21, -0x1.903a132e7643fp-21, -0x1.90638e62006f2p-21, -0x1.9089b2f759aabp-21, -0x1.90ac85e40102dp-21, -0x1.90cc0c1cb40dfp-21, -0x1.90e84a9ff126cp-21, -0x1.9101467aa79d3p-21, -0x1.911704bda6098p-21, -0x1.912989f6f6532p-21, -0x1.9138dca4a202p-21, -0x1.9145008b729e2p-21, -0x1.914dfb169ca69p-21, -0x1.9153d1ae2e3fdp-21, -0x1.9156896852ad1p-21, -0x1.91562770f9f49p-21, -0x1.9152b0fe78219p-21, -0x1.914c2b4b5527bp-21, -0x1.91429b9634ac2p-21, -0x1.913607224104p-21, -0x1.91267336fc9fep-21, -0x1.9113e512cdcf5p-21, -0x1.90fe62288e094p-21, -0x1.90e5efa55a3d7p-21, -0x1.90ca92e9e43adp-21, -0x1.90ac514e7d60ep-21, -0x1.908b302d59ac4p-21, -0x1.906734e47f3d1p-21, -0x1.904064d29de93p-21, -0x1.9016c55aad42fp-21, -0x1.8fea5bdf42dd3p-21, -0x1.8fbb2dc6e8c9bp-21, -0x1.8f89407772f0cp-21, -0x1.8f54995a36a9fp-21, -0x1.8f1d3dd769fdep-21, -0x1.8ee3335a437ecp-21, -0x1.8ea67f4c68875p-21, -0x1.8e67271a37bbcp-21, -0x1.8e25302e4bce7p-21, -0x1.8de09ff587836p-21, -0x1.8d997bda63a78p-21, -0x1.8d4fc949266dep-21, -0x1.8d038dab7d7e5p-21, -0x1.8cb4ce688d687p-21, -0x1.8c6390e824ac8p-21, -0x1.8c0fdb3b3a725p-21, -0x1.8bb9b1e8ac7cep-21, -0x1.8b611995be8c8p-21, -0x1.8b061983e0e34p-21, -0x1.8aa8b65899e5p-21, -0x1.8a48f5610cee5p-21, -0x1.89e6dc090a5e2p-21, -0x1.89826fbaad635p-21, -0x1.891bb5d612d78p-21, -0x1.88b2b3be4e33bp-21, -0x1.88476ed3b5bbfp-21, -0x1.87d9ec820ebddp-21, -0x1.876a3152f5585p-21, -0x1.86f844bd9c3a3p-21, -0x1.86842a1927339p-21, -0x1.860de765722a6p-21, -0x1.859581f2cb373p-21, -0x1.851aff28e22f6p-21, -0x1.849e6419a3d2dp-21, -0x1.841fb64cce75bp-21, -0x1.839efaf19fabbp-21, -0x1.831c375640c2fp-21, -0x1.829770bba3366p-21, -0x1.8210ac6174128p-21, -0x1.8187ef8569b72p-21, -0x1.80fd3f603c634p-21, -0x1.8070a128aff79p-21, -0x1.7fe21a116f676p-21, -0x1.7f51af49cfcb3p-21, -0x1.7ebf65fd19c1dp-21, -0x1.7e2b4354095c3p-21, -0x1.7d954c71b684fp-21, -0x1.7cfd867714217p-21, -0x1.7c63f67fdbee5p-21, -0x1.7bc8a1a4ca594p-21, }}, 
      {{0x1.30b90a04a7332p-3, 0x1.103c3f96cc534p-2, 0x1.5df531483ec4ap-2, 0x1.84aecdc75792fp-2, 0x1.8ca5e7bb8546bp-2, 0x1.7f1fc89d86afbp-2, 0x1.647c155c21beap-2, 0x1.43764f750482cp-2, 0x1.210771763008cp-2, 0x1.009224e9895acp-2, 0x1.c85661f73db26p-3, 0x1.99cb100ca3a37p-3, 0x1.762e6ecd39862p-3, 0x1.5d2692e67c119p-3, 0x1.4db01a40c94afp-3, 0x1.4665711f2ba05p-3, 0x1.45b3ea293942dp-3, 0x1.4a01e6e2ed2ep-3, 0x1.51c907ddb5258p-3, 0x1.5ba6ff47f4c93p-3, 0x1.66673bd75bd84p-3, 0x1.710741390f11cp-3, 0x1.7ab72ac0bb229p-3, 0x1.82d7866d34244p-3, 0x1.88f5748f6da25p-3, 0x1.8cc5bfc18be19p-3, 0x1.8e1f753851433p-3, 0x1.8cf66124d661ap-3, 0x1.8955b6dfae0eep-3, 0x1.835b143041407p-3, 0x1.7b31fd3e1bd3fp-3, 0x1.710fe0419bbc6p-3, 0x1.6530a68a7ed0ep-3, 0x1.57d3d0b925db4p-3, 0x1.493a1714f8a29p-3, 0x1.39a38370aa54ap-3, 0x1.294df817f5632p-3, 0x1.187415fcf0731p-3, 0x1.074c7463d4ab9p-3, 0x1.ec123a0243f7ep-4, 0x1.c9ae80b13a056p-4, 0x1.a7be2e433cb4ep-4, 0x1.8687cda6456b6p-4, 0x1.6648422cfb1fep-4, 0x1.47332e574b2b9p-4, 0x1.297376e475e46p-4, 0x1.0d2bd86e68a9bp-4, 0x1.e4ef100ce26e8p-5, 0x1.b2d5b1e82d01ap-5, 0x1.8427c6a216011p-5, 0x1.58f64fb85f50ep-5, 0x1.31485d198f9b6p-5, 0x1.0d1c3b75c611cp-5, 0x1.d8d1229260c7cp-6, 0x1.9e3ad20f69ad4p-6, 0x1.6a4a4f6418feep-6, 0x1.3ccadfd777c2cp-6, 0x1.157fe3c8c8d35p-6, 0x1.e84ca330e4643p-7, 0x1.b0ec1a843ec2dp-7, 0x1.84463d053531ep-7, 0x1.61bd8e9e41b18p-7, 0x1.48b0f90bd30e3p-7, 0x1.387d851d2cca1p-7, 0x1.307fdf829c44ep-7, 0x1.3015acb999429p-7, 0x1.369eafcbba98cp-7, 0x1.437dc7c57d8c1p-7, 0x1.5619c72a0c509p-7, 0x1.6dde292337eaep-7, 0x1.8a3ba65aada31p-7, 0x1.aaa8ad115ce1p-7, 0x1.cea1bd3c20525p-7, 0x1.f5a9acd9ae588p-7, 0x1.0fa4ea95a0298p-6, 0x1.258916f9416c6p-6, 0x1.3c4cab8cf65c3p-6, 0x1.53be4b062546dp-6, 0x1.6bafe2e216ab6p-6, 0x1.83f69f2491453p-6, 0x1.9c6ad8ac79829p-6, 0x1.b4e7ffacccadbp-6, 0x1.cd4c82a3abe9dp-6, 0x1.e579b14e37a33p-6, 0x1.fd539ed99f7b8p-6, 0x1.0a6080165cf8p-5, 0x1.15d586237b4b3p-5, 0x1.20feaca464c1dp-5, 0x1.2bd2de54505a7p-5, 0x1.364a14d0c4b57p-5, 0x1.405d48b150494p-5, 0x1.4a0661fcd6f9ep-5, 0x1.5340283f37b8bp-5, 0x1.5c06341537deap-5, 0x1.6454dfacb4c69p-5, 0x1.6c29392ae61aap-5, 0x1.7380f43c10c0ap-5, 0x1.7a5a5d4fd6b3ap-5, 0x1.80b44cbf39d99p-5, 0x1.868e1b0e2347bp-5, 0x1.8be795c0d8e03p-5, 0x1.90c0f4d1d5b0cp-5, 0x1.951ad112c904cp-5, 0x1.98f61ad8dfd19p-5, 0x1.9c5411adf663p-5, 0x1.9f363c257a5bep-5, 0x1.a19e60868f98cp-5, 0x1.a38e7dcea8549p-5, 0x1.a508c5188fcc6p-5, 0x1.a60f9394334f2p-5, 0x1.a6a56cd82787dp-5, 0x1.a6ccf57faecf4p-5, 0x1.a688ee58700c3p-5, 0x1.a5dc2fe8dc4b4p-5, 0x1.a4c9a613c0924p-5, 0x1.a3544c8160174p-5, 0x1.a17f2b1b21a24p-5, 0x1.9f4d52b181892p-5, 0x1.9cc1da5fcc5c7p-5, 0x1.99dfdce2915cdp-5, 0x1.96aa7613e1581p-5, 0x1.9324c10461016p-5, 0x1.8f51d6197e1fep-5, 0x1.8b34c92ed2e8bp-5, 0x1.86d0a817cb6c8p-5, 0x1.822879815ea7fp-5, 0x1.7d3f3b839ce2bp-5, 0x1.7817e26953759p-5, 0x1.72b5581c3604ap-5, 0x1.6d1a7b29d0f6bp-5, 0x1.674a1db4ef4c6p-5, 0x1.6147052a17474p-5, 0x1.5b13e9b956fbbp-5, 0x1.54b375853a4b5p-5, 0x1.4e28445cc0f02p-5, 0x1.4774e383c4a64p-5, 0x1.409bd15000338p-5, 0x1.399f7ce383684p-5, 0x1.328245f26cf34p-5, 0x1.2b467cbfa2e1bp-5, 0x1.23ee6227525bp-5, 0x1.1c7c2748b1c9cp-5, 0x1.14f1ed6ff70bp-5, 0x1.0d51c68c08291p-5, 0x1.059db526cacaep-5, 0x1.fbaf57fdf047fp-6, 0x1.ec031cc94f4bdp-6, 0x1.dc3a617ef6152p-6, 0x1.cc58b0b299ce2p-6, 0x1.bc617684844dap-6, 0x1.ac5801bc8a60dp-6, 0x1.9c3f846bfb6ddp-6, 0x1.8c1b13b97a63cp-6, 0x1.7beda84ef0861p-6, 0x1.6bba1f34110ebp-6, 0x1.5b833a0e483ecp-6, 0x1.4b4b9f7c5945fp-6, 0x1.3b15dbf1e4251p-6, 0x1.2ae4622237adfp-6, 0x1.1ab98af739025p-6, 0x1.0a9796593bc4bp-6, 0x1.f50158e3e9d87p-7, 0x1.d4edbbb149d53p-7, 0x1.b4f8465b970c4p-7, 0x1.9524bbf203851p-7, 0x1.7576b4903cc5ep-7, 0x1.55f19e1416877p-7, 0x1.3698babbe9bd8p-7, 0x1.176f221a44df7p-7, 0x1.f0ef894acf22bp-8, 0x1.b36adafa2e885p-8, 0x1.7655825ba165cp-8, 0x1.39b47aab86c5ep-8, 0x1.fb18ee37a7e5dp-9, 0x1.83c3d165af964p-9, 0x1.0d71fbd20da23p-9, 0x1.305680e2aa53fp-10, 0x1.1fb76dc50055bp-12, -0x1.3c9094dc4108dp-11, -0x1.823f259a73728p-10, -0x1.31f56b7ae925ap-9, -0x1.a1a036dd587b6p-9, -0x1.080d74ff972eap-8, -0x1.3eb06e18248d2p-8, -0x1.74b6e2e4c57d2p-8, -0x1.aa1ee2ae535f1p-8, -0x1.dee6af003b65ap-8, -0x1.09865af2a1d59p-7, -0x1.2347c6a1b82f6p-7, -0x1.3cb6f9a5ff931p-7, -0x1.55d3689db631cp-7, -0x1.6e9c9d1a6e5f7p-7, -0x1.871232bf37221p-7, -0x1.9f33d4dafe133p-7, -0x1.b7013ea5ecc65p-7, -0x1.ce7a3cbf3f6a4p-7, -0x1.e59ead14413acp-7, -0x1.fc6e7c633de6dp-7, -0x1.0974d1c52d56bp-6, -0x1.14881386c6068p-6, -0x1.1f710c410ccecp-6, -0x1.2a2fcba9fc007p-6, -0x1.34c4679f0d87cp-6, -0x1.3f2efac9c332cp-6, -0x1.496fa3da91b62p-6, -0x1.538685d2d6175p-6, -0x1.5d73c8b0be494p-6, -0x1.6737996ad74f7p-6, -0x1.70d228f8e0f7p-6, -0x1.7a43ab3545754p-6, -0x1.838c567b8a21cp-6, -0x1.8cac640abafd5p-6, -0x1.95a410879cda5p-6, -0x1.9e739bd85a217p-6, -0x1.a71b484883e66p-6, -0x1.af9b59a5691a9p-6, -0x1.b7f414f784145p-6, -0x1.c025c0d54ec5ep-6, -0x1.c830a5c880403p-6, -0x1.d0150e3e490d6p-6, -0x1.d7d345e635f56p-6, -0x1.df6b98f70751fp-6, -0x1.e6de53de27046p-6, -0x1.ee2bc36cdbe4bp-6, -0x1.f5543531647d8p-6, -0x1.fc57f78b54aa9p-6, -0x1.019baca8a29fp-5, -0x1.04f954a0b433ep-5, -0x1.08451acf6538ap-5, -0x1.0b7f2616bca3dp-5, -0x1.0ea79d38f9bd5p-5, -0x1.11bea6f40ee1dp-5, -0x1.14c469f8c7a32p-5, -0x1.17b90cbe93064p-5, -0x1.1a9cb5537f807p-5, -0x1.1d6f8945553fdp-5, -0x1.2031ada9fb3afp-5, -0x1.22e34739c84b6p-5, -0x1.25847a628a1a8p-5, -0x1.28156b402ea2ep-5, -0x1.2a963d7c8b90bp-5, -0x1.2d0714319fa7bp-5, -0x1.2f6811dc4a312p-5, -0x1.31b958650423p-5, -0x1.33fb0933e730dp-5, -0x1.362d45423373cp-5, -0x1.38502d1bbb93p-5, -0x1.3a63e0ce854p-5, -0x1.3c687fd69d8e3p-5, -0x1.3e5e2914b0edfp-5, -0x1.4044fad2b392cp-5, -0x1.421d12d2b1f95p-5, -0x1.43e68e5f70ce2p-5, -0x1.45a18a566cf17p-5, -0x1.474e2325c93cbp-5, -0x1.48ec74c20ecfdp-5, -0x1.4a7c9a9de0fc6p-5, -0x1.4bfeafabf6855p-5, -0x1.4d72ce655d529p-5, -0x1.4ed910d8a834ap-5, -0x1.503190b6b2d11p-5, -0x1.517c675b80c91p-5, -0x1.52b9adcec8b42p-5, -0x1.53e97cc06a207p-5, -0x1.550bec86d7e63p-5, -0x1.56211522378adp-5, -0x1.57290e43ece04p-5, -0x1.5823ef59daeacp-5, -0x1.5911cf9a561a4p-5, -0x1.59f2c60d442e9p-5, -0x1.5ac6e99010786p-5, -0x1.5b8e50d5ff3c7p-5, -0x1.5c491268deadap-5, -0x1.5cf744ac87126p-5, -0x1.5d98fde521fdap-5, -0x1.5e2e543f55aaap-5, -0x1.5eb75dda1f5b2p-5, -0x1.5f3430cf58117p-5, -0x1.5fa4e339aa82fp-5, -0x1.60098b36ef8f8p-5, -0x1.60623ee9c7734p-5, -0x1.60af147cd6b87p-5, -0x1.60f022281a504p-5, -0x1.61257e371c7ffp-5, -0x1.614f3f0f0a23cp-5, -0x1.616d7b3441e3ep-5, -0x1.6180494f0349cp-5, -0x1.6187c02ed5368p-5, -0x1.6183f6cd1f38bp-5, -0x1.617504506407cp-5, -0x1.615b0010dea75p-5, -0x1.6136019d8972fp-5, -0x1.610620bf6219p-5, -0x1.60cb757c3ec0ep-5, -0x1.60861814f5decp-5, -0x1.603621090f408p-5, -0x1.5fdba9189260cp-5, -0x1.5f76c9493c979p-5, -0x1.5f079aeae213ep-5, -0x1.5e8e379c661ffp-5, -0x1.5e0ab94d1010fp-5, -0x1.5d7d3a3b0ab65p-5, -0x1.5ce5d4ef91dfap-5, -0x1.5c44a43b69c59p-5, -0x1.5b99c336a3ed9p-5, -0x1.5ae54d453435fp-5, -0x1.5a275e1e8c4aap-5, -0x1.596011d4f114ep-5, -0x1.588f84d885b71p-5, -0x1.57b5d3f4bc6a6p-5, -0x1.56d31c48728f9p-5, -0x1.55e77b3c1542cp-5, -0x1.54f30e7a0e587p-5, -0x1.53f5f3ed14a76p-5, -0x1.52f049c5a0803p-5, -0x1.51e22e8401dbdp-5, -0x1.50cbc10233bp-5, -0x1.4fad20781c305p-5, -0x1.4e866c775a9ffp-5, -0x1.4d57c4df7b721p-5, -0x1.4c2149cef7e9fp-5, -0x1.4ae31b96a4d8bp-5, -0x1.499d5ab45c0dap-5, -0x1.485027d667051p-5, -0x1.46fba3e59cd4bp-5, -0x1.459ff010fee54p-5, -0x1.443d2dd5080dfp-5, -0x1.42d37efa525d4p-5, -0x1.4163058af7b2ap-5, -0x1.3febe3c1d010bp-5, -0x1.3e6e3bf96dca2p-5, -0x1.3cea30a0aaa5bp-5, -0x1.3b5fe4383cf9fp-5, -0x1.39cf795919493p-5, -0x1.383912bfd5fc4p-5, -0x1.369cd3577b56ep-5, -0x1.34fade3e37d3ep-5, -0x1.335356c13c0abp-5, -0x1.31a66050166cbp-5, -0x1.2ff41e6b3c0acp-5, -0x1.2e3cb4931bfa6p-5, -0x1.2c80463caa5dcp-5, -0x1.2abef6ce4e5eep-5, -0x1.28f8e9a4da73fp-5, -0x1.272e421d3d38ep-5, -0x1.255f239e4bf82p-5, -0x1.238bb19e01a7cp-5, -0x1.21b40f9f8e75ap-5, -0x1.1fd8612a1ff67p-5, -0x1.1df8c9bab9829p-5, -0x1.1c156cb516483p-5, -0x1.1a2e6d57575d9p-5, -0x1.1843eeb35084ap-5, -0x1.165613ae17ed9p-5, -0x1.1464ff04786dep-5, -0x1.1270d35186d56p-5, -0x1.1079b31425e0cp-5, -0x1.0e7fc0b0f0584p-5, -0x1.0c831e6f61187p-5, -0x1.0a83ee72ac139p-5, -0x1.088252affceecp-5, -0x1.067e6ce471b6ep-5, -0x1.04785e8ce38e5p-5, -0x1.027048e0dffbdp-5, -0x1.00664cd105de6p-5, -0x1.fcb516101010fp-6, -0x1.f89a47d9f965fp-6, -0x1.f47c6f4acdd79p-6, -0x1.f05bcc2b93503p-6, -0x1.ec389dc067bc4p-6, -0x1.e81322c196901p-6, -0x1.e3eb99520b778p-6, -0x1.dfc23ef4dab1ep-6, -0x1.db975083c558ep-6, -0x1.d76b0a27c6627p-6, -0x1.d33da7545e9eap-6, -0x1.cf0f62c52cfd5p-6, -0x1.cae0767d1fac3p-6, -0x1.c6b11bc6297f3p-6, -0x1.c2818b30bda5ap-6, -0x1.be51fc923c738p-6, -0x1.ba22a70262236p-6, -0x1.b5f3c0d7ad015p-6, -0x1.b1c57fa347bd2p-6, -0x1.ad98182cd08d6p-6, -0x1.a96bbe6e80b98p-6, -0x1.a540a591e737p-6, -0x1.a116ffed56025p-6, -0x1.9ceeff01fa771p-6, -0x1.98c8d37a7235ep-6, -0x1.94a4ad299d42ap-6, -0x1.9082bb09ab3ebp-6, -0x1.8c632b3b1386cp-6, -0x1.88462b037c6dep-6, -0x1.842be6cc9518dp-6, -0x1.80148a22e850ap-6, -0x1.7c003fb4a412ap-6, -0x1.77ef315090465p-6, -0x1.73e187e51ec8p-6, -0x1.6fd76b7faed27p-6, -0x1.6bd1034c22bdp-6, -0x1.67ce759487517p-6, -0x1.63cfe7c111af9p-6, -0x1.5fd57e5831992p-6, -0x1.5bdf5cfebf2ecp-6, -0x1.57eda6783d161p-6, -0x1.54007ca7252ccp-6, -0x1.5018008d4d29bp-6, -0x1.4c34524c46503p-6, -0x1.48559125efce1p-6, -0x1.447bdb7d1ccd9p-6, -0x1.40a74ed666288p-6, -0x1.3cd807d9302d6p-6, -0x1.390e2250c094bp-6, -0x1.3549b92d7a755p-6, -0x1.318ae6862798p-6, -0x1.2dd1c3993c29bp-6, -0x1.2a1e68ce222b1p-6, -0x1.2670edb6945bcp-6, -0x1.22c9690ff21bdp-6, -0x1.1f27f0c4c5438p-6, -0x1.1b8c99ee6eafp-6, -0x1.17f778d6fa322p-6, -0x1.1468a0fb1f953p-6, -0x1.10e0250c6bae7p-6, -0x1.0d5e16f35cd05p-6, -0x1.09e287d189c67p-6, -0x1.066d88039a60dp-6, -0x1.02ff272332a03p-6, -0x1.ff2ee811864a4p-7, -0x1.f86cf99ae1b01p-7, -0x1.f1b89d9a30045p-7, -0x1.eb11ed5144e0ap-7, -0x1.e479009139d3fp-7, -0x1.ddededc034215p-7, -0x1.d770c9df6b3b5p-7, -0x1.d101a8911a233p-7, -0x1.caa09c1e154ddp-7, -0x1.c44db57a7f59cp-7, -0x1.be09044a0d2f2p-7, -0x1.b7d296e37e0dp-7, -0x1.b1aa7a54247aep-7, -0x1.ab90ba63de683p-7, -0x1.a5856199f14b5p-7, -0x1.9f8879432cc29p-7, -0x1.999a09790650dp-7, -0x1.93ba1929a18a1p-7, -0x1.8de8ae1fd29f2p-7, -0x1.8825cd0a2ed77p-7, -0x1.827179810933p-7, -0x1.7ccbb60a962bp-7, -0x1.7734841d99161p-7, -0x1.71abe42352255p-7, -0x1.6c31d579844e9p-7, -0x1.66c65675a42acp-7, -0x1.6169646a2613fp-7, -0x1.5c1afbaddd6fbp-7, -0x1.56db17a572c63p-7, -0x1.51a9b2cdc4e27p-7, -0x1.4c86c6c5f2affp-7, -0x1.47724c57d09d6p-7, -0x1.426c3b7db2dcap-7, -0x1.3d748b654b303p-7, -0x1.388b32701e03ap-7, -0x1.33b02632b5155p-7, -0x1.2ee35b7443b3ep-7, -0x1.2a24c6304cac4p-7, -0x1.2574599b8b5b1p-7, -0x1.20d2082c440c1p-7, -0x1.1c3dc3a58b35p-7, -0x1.17b77d23afdffp-7, -0x1.133f25281056cp-7, -0x1.0ed4aba21ecbep-7, -0x1.0a77fff460a7dp-7, -0x1.062910f505f84p-7, -0x1.01e7cceb214e3p-7, -0x1.fb6843146aa25p-8, -0x1.f31bf7de02bf2p-8, -0x1.eaea913f6ab25p-8, -0x1.e2d3e722c6689p-8, -0x1.dad7d06627649p-8, -0x1.d2f622fa16febp-8, -0x1.cb2eb403ebbb8p-8, -0x1.c38157fc287acp-8, -0x1.bbede2c2cd8f4p-8, -0x1.b47427a492e13p-8, -0x1.ad13f94fa7e05p-8, -0x1.a5cd29bb06effp-8, -0x1.9e9f8a0795dd5p-8, -0x1.978aea644ab4ep-8, -0x1.908f19ffab1a5p-8, -0x1.89abe70ef227p-8, -0x1.82e11eeee7829p-8, -0x1.7c2e8e5c246dcp-8, -0x1.759401bb9f7b1p-8, -0x1.6f1145658837ap-8, -0x1.68a625e317b14p-8, -0x1.6252701031a7fp-8, -0x1.5c15f1164cc3p-8, -0x1.55f0763e0741ep-8, -0x1.4fe1cc9d1568fp-8, -0x1.49e9c0afdf1e9p-8, -0x1.44081df2a7e01p-8, -0x1.3e3cae91cadf7p-8, -0x1.38873b4501bfap-8, -0x1.32e78b646b3a2p-8, -0x1.2d5d653b5e592p-8, -0x1.27e88e9126fa7p-8, -0x1.2288cd54eddbcp-8, -0x1.1d3de84eff18dp-8, -0x1.1807a7b566e4p-8, -0x1.12e5d58383091p-8, -0x1.0dd83d7cb129cp-8, -0x1.08deacd1bd5dap-8, -0x1.03f8f17371c51p-8, -0x1.fe4db25a2f583p-9, -0x1.f4d0615ed78c7p-9, -0x1.eb79857081f28p-9, -0x1.e248af0056d82p-9, -0x1.d93d691baaa5bp-9, -0x1.d05739fcf8084p-9, -0x1.c795a485d3475p-9, -0x1.bef82a7a934cep-9, -0x1.b67e4f34caddep-9, -0x1.ae279a6658b6fp-9, -0x1.a5f39a73bb7b3p-9, -0x1.9de1e5f1258dcp-9, -0x1.95f21be8ea1acp-9, -0x1.8e23e2c44d872p-9, -0x1.8676e5f2040cep-9, -0x1.7eead2a62bfc8p-9, -0x1.777f543dfabb9p-9, -0x1.703410e1c1f4fp-9, -0x1.6908a6f0e089fp-9, -0x1.61fcab9b0a3bep-9, -0x1.5b0faad51c735p-9, -0x1.544128a9fadd4p-9, -0x1.4d90a3bc561c3p-9, -0x1.46fd98b52c998p-9, -0x1.4087863a51bc1p-9, -0x1.3a2df0f371454p-9, -0x1.33f06709c026bp-9, -0x1.2dce828994fd9p-9, -0x1.27c7ea23648fep-9, -0x1.21dc5003dd80dp-9, -0x1.1c0b6ed429999p-9, -0x1.16550557ba4a3p-9, -0x1.10b8d16ddb847p-9, -0x1.0b368b615fc03p-9, -0x1.05cde25a5138ap-9, -0x1.007e7a7a640adp-9, -0x1.f68fd994d0133p-10, -0x1.ec53918442b68p-10, -0x1.e2472dfe3e4c6p-10, -0x1.d869b9680bd6bp-10, -0x1.ceba3ee6918c3p-10, -0x1.c537d222dc5b7p-10, -0x1.bbe196cbce9efp-10, -0x1.b2b6c73544d75p-10, -0x1.a9b6b92de6d23p-10, -0x1.a0e0dff418ca2p-10, -0x1.9834ca54e256p-10, -0x1.8fb21c8eeacf3p-10, -0x1.8758867a8553p-10, -0x1.7f27b778f4a1cp-10, -0x1.771f52680401bp-10, -0x1.6f3ee4071a3c8p-10, -0x1.6785ddac64c74p-10, -0x1.5ff3950d4de59p-10, -0x1.5887487cc96fp-10, -0x1.514025eede74ap-10, -0x1.4a1d52a2ab95cp-10, -0x1.431df1be25687p-10, -0x1.3c41292679266p-10, -0x1.358624f97529ap-10, -0x1.2eec1ab508a67p-10, -0x1.28724d07a7141p-10, -0x1.221810833fb1ap-10, -0x1.1bdcd0690c21p-10, -0x1.15c011f6ecff8p-10, -0x1.0fc1747428c1fp-10, -0x1.09e0acd452413p-10, -0x1.041d7d04c3df5p-10, -0x1.fcef50e1b2973p-11, -0x1.f1ddd0f3c3868p-11, -0x1.e705c7ef50a4bp-11, -0x1.dc66584ac4b64p-11, -0x1.d1fe7f6938ee9p-11, -0x1.c7cd255c5039ap-11, -0x1.bdd1302b75825p-11, -0x1.b4099348f8eebp-11, -0x1.aa7555989a20ep-11, -0x1.a1138c8a7b652p-11, -0x1.97e34f99a432bp-11, -0x1.8ee3aad5cac5dp-11, -0x1.8613977035f34p-11, -0x1.7d71fe86ce4b3p-11, -0x1.74fdc5f2ab9e2p-11, -0x1.6cb5e2afc143ep-11, -0x1.64996a0d7e3e5p-11, -0x1.5ca79afbbb12bp-11, -0x1.54dfdb4f2203ep-11, -0x1.4d41a8fbc5167p-11, -0x1.45cc83a221cb4p-11, -0x1.3e7fd5c8533a8p-11, -0x1.375ae57896684p-11, -0x1.305cd1aa49fbbp-11, -0x1.29849d9f48be6p-11, -0x1.22d146b8d9c44p-11, -0x1.1c41dd8cd6f5fp-11, -0x1.15d599655ae34p-11, -0x1.0f8bde9a81b77p-11, -0x1.09643492a02d7p-11, -0x1.035e2e81b320ap-11, -0x1.faf29f89be3b7p-12, -0x1.ef69ee2373d97p-12, -0x1.e420b208d8055p-12, -0x1.d915182882094p-12, -0x1.ce4541d4b1197p-12, -0x1.c3af7bbe1f332p-12, -0x1.b9526856675ep-12, -0x1.af2d108209d9ep-12, -0x1.a53ed67884622p-12, -0x1.9b8750728a946p-12, -0x1.920618c827652p-12, -0x1.88baa3e2b862p-12, -0x1.7fa4285c03d99p-12, -0x1.76c19d3fc327bp-12, -0x1.6e11cacbbc78p-12, -0x1.659366b0a4d4cp-12, -0x1.5d4534d18d39ep-12, -0x1.552625721b88fp-12, -0x1.4d3568069d6d8p-12, -0x1.457269041509dp-12, -0x1.3ddcb55ef5fbep-12, -0x1.3673c930fd13bp-12, -0x1.2f36db77b2494p-12, -0x1.2824be8c94519p-12, -0x1.213be5ba6907ap-12, -0x1.1a7a8e7a8a1b1p-12, -0x1.13defa7b9a5c8p-12, -0x1.0d67a279ac4acp-12, -0x1.07135329bc6fdp-12, -0x1.00e132e1baf8p-12, -0x1.f5a16b310c6d6p-13, -0x1.e9c30a95a47bp-13, -0x1.de26cab4dbaeep-13, -0x1.d2cc32b4a7a4ep-13, -0x1.c7b2ac0d617c8p-13, -0x1.bcd9792fef07dp-13, -0x1.b23fb66d7e02fp-13, -0x1.a7e45bfd9bfcdp-13, -0x1.9dc6411f93361p-13, -0x1.93e42572cd72dp-13, -0x1.8a3cc242838cap-13, -0x1.80cedecdf18d4p-13, -0x1.77995e5bfd249p-13, -0x1.6e9b3e5f3fdebp-13, -0x1.65d37e8d37a17p-13, -0x1.5d40f71b9e008p-13, -0x1.54e230dfcd67ep-13, -0x1.4cb55c643d123p-13, -0x1.44b8789af858dp-13, -0x1.3ce99729cebb6p-13, -0x1.35470f13faf61p-13, -0x1.2dcf7b3772489p-13, -0x1.268195bc2bd0fp-13, -0x1.1f5c24b0203c6p-13, -0x1.185e129020bbap-13, -0x1.11869698224c9p-13, -0x1.0ad53f1deb4c3p-13, -0x1.0449d00caaae5p-13, -0x1.fbc817c27d7e9p-14, -0x1.ef471093dee13p-14, -0x1.e30f4d5ca332ap-14, -0x1.d71f697fb5e76p-14, -0x1.cb763a64a0b9p-14, -0x1.c012ffc22e084p-14, -0x1.b4f5344ba9cd4p-14, -0x1.aa1c25b735039p-14, -0x1.9f86af1a8c253p-14, -0x1.95334e05022c1p-14, -0x1.8b2078b7c717bp-14, -0x1.814ce8e336c56p-14, -0x1.77b79d0a46674p-14, -0x1.6e5f8c5e066b4p-14, -0x1.654344c30a94ep-14, -0x1.5c60c38073965p-14, -0x1.53b5ae096891dp-14, -0x1.4b3faad63bd7bp-14, -0x1.42fc60800a9bcp-14, -0x1.3ae906a922b54p-14, -0x1.33022d6022189p-14, -0x1.2b4467be1372p-14, -0x1.23ad8b1c33516p-14, -0x1.1c3d611c1d4cdp-14, -0x1.14f51a08d8643p-14, -0x1.0dd5f156e102ap-14, -0x1.06e011b568869p-14, -0x1.001277e2bf0e3p-14, -0x1.f2d787a082da8p-15, -0x1.e5d661bf69262p-15, -0x1.d921bd5d2f19bp-15, -0x1.ccba82aa1b9bap-15, -0x1.c0a09b0179b29p-15, -0x1.b4d21166740f4p-15, -0x1.a94b57af90e85p-15, -0x1.9e083c0eec46p-15, -0x1.9304fa1bf09e5p-15, -0x1.883f0b9102fd2p-15, -0x1.7db58c76585e5p-15, -0x1.736918e20fdf9p-15, -0x1.695b1b8640324p-15, -0x1.5f8cbd7cbb13cp-15, -0x1.55fe09eea2877p-15, -0x1.4cadf0487c9d8p-15, -0x1.439b0b70b1c0fp-15, -0x1.3ac3f166aebbdp-15, -0x1.32261c6a6453dp-15, -0x1.29bcbf76d649p-15, -0x1.218210bd0836dp-15, -0x1.1972d0d3aaa47p-15, -0x1.11902d3a8fa09p-15, -0x1.09dd79523ba18p-15, -0x1.025c1ad9ba0c9p-15, -0x1.f6137edbb906ep-16, -0x1.e7c445430ddc9p-16, -0x1.d9c45e3bf0d11p-16, -0x1.cc12b701de09ep-16, -0x1.beb0d5050932dp-16, -0x1.b19ef9a85753cp-16, -0x1.a4dacd751e1f5p-16, -0x1.9860828f6c209p-16, -0x1.8c2c556642e06p-16, -0x1.803b4297af69ap-16, -0x1.748b18d2d4dd4p-16, -0x1.691a64c317c0cp-16, -0x1.5de870c8903bcp-16, -0x1.52f54a55d36ep-16, -0x1.4841a83a37463p-16, -0x1.3dce9142a13cbp-16, -0x1.339caaf7b9958p-16, -0x1.29ab48cd4fefcp-16, -0x1.1ff7dc93971c6p-16, -0x1.167eca9af81ebp-16, -0x1.0d3d9b97732f1p-16, -0x1.04344a54a8cc9p-16, -0x1.f6c6914ae7df4p-17, -0x1.e5900ea991315p-17, -0x1.d4bb4c5dc6762p-17, -0x1.c44529c2f9786p-17, -0x1.b4357b085e1b9p-17, -0x1.a49363bca25bbp-17, -0x1.955994cd8ea22p-17, -0x1.867a126f49368p-17, -0x1.77eb91a33a0fdp-17, -0x1.69af3481c6e1p-17, -0x1.5bc9a5c0e6748p-17, -0x1.4e3b71457e7d9p-17, -0x1.4100f7fb1b51ep-17, -0x1.3416139768c95p-17, -0x1.27782dfe9812ep-17, -0x1.1b26371a8172bp-17, -0x1.0f1fd0b9cbe9fp-17, -0x1.03648e34379afp-17, -0x1.efe70a8ac2462p-18, -0x1.d9965c0a9881bp-18, -0x1.c3d2f240170f3p-18, -0x1.ae97f91d82579p-18, -0x1.99e0523131732p-18, -0x1.85a72ddf295eap-18, -0x1.71e8d297a9a01p-18, -0x1.5ea2fb77585cep-18, -0x1.4bd3eb120a4d6p-18, -0x1.3978a164f8043p-18, -0x1.278ce2c1d46aep-18, -0x1.160ec4ca2b8fdp-18, -0x1.05022a9d9fd6ep-18, -0x1.e8dac71747646p-19, -0x1.c89c068a90c6bp-19, -0x1.a92b2a526ac7bp-19, -0x1.8a7638d1ba85p-19, -0x1.6c89a9875881ep-19, -0x1.4f6cc946f2704p-19, -0x1.330f24e27e5e5p-19, -0x1.17689b86089e5p-19, -0x1.f9113d429086cp-20, -0x1.c4f38c094031cp-20, -0x1.92636684ec741p-20, -0x1.613c70a4b1912p-20, -0x1.31641182b56c9p-20, -0x1.02ccc9ad9ac23p-20, -0x1.aae1b77c5e25ap-21, -0x1.529b79649a2f3p-21, -0x1.f986e7dbf858ep-22, -0x1.52abaabe84fabp-22, -0x1.613558660ddf1p-23, -0x1.3457d837c156fp-26, 0x1.0acc10da6d6efp-23, 0x1.197cb77fda53bp-22, 0x1.a914cafca2df3p-22, 0x1.1a22638bce7f8p-21, 0x1.5d90e2a95dbd7p-21, 0x1.9ede24ed33ac7p-21, 0x1.de0e4be2d1451p-21, 0x1.0d90c56fcb5e3p-20, 0x1.2b0caf50c69f9p-20, 0x1.478083ea64c85p-20, 0x1.62f77c678c211p-20, 0x1.7d7bac1b2a48p-20, 0x1.970c4a3ac02aap-20, 0x1.af9de23b293cap-20, 0x1.c732e8917e8dap-20, 0x1.ddef872800df6p-20, 0x1.f3ec67ce65c76p-20, 0x1.048eb40cf8816p-19, 0x1.0ec0f383f1e51p-19, 0x1.188e7450494d7p-19, 0x1.21eed1a940a69p-19, 0x1.2ae0a15381315p-19, 0x1.336c1758e1f01p-19, 0x1.3b96ba0c591e9p-19, 0x1.436074978afdbp-19, 0x1.4ac7edfb6d21fp-19, 0x1.51cdf13fe401bp-19, 0x1.58757d1e40c77p-19, 0x1.5ec226063164ep-19, 0x1.64b6d84dc3855p-19, 0x1.6a558ecbf96d2p-19, 0x1.6f9f97027c51dp-19, 0x1.7495ee93047dcp-19, 0x1.793987346a9e1p-19, 0x1.7d8b6a5f1a178p-19, 0x1.818cc45eec3c7p-19, 0x1.853ee21a11adfp-19, 0x1.88a32933460c8p-19, 0x1.8bbb04ca2b697p-19, 0x1.8e87e5ba00216p-19, 0x1.910b1f44f2f84p-19, 0x1.9345d469cc317p-19, 0x1.9538edcabd7d6p-19, 0x1.96e551bbbbcfp-19, 0x1.984c540024e46p-19, 0x1.996fcde742efcp-19, 0x1.9a5183c2a58d5p-19, 0x1.9af2454478f5bp-19, 0x1.9b5106b59c4cep-19, 0x1.9b6c2faf5301ep-19, 0x1.9b476e0ba01c6p-19, 0x1.9ae7fbe8c46f5p-19, 0x1.9a4df84ffb7c8p-19, 0x1.99798bf56dde1p-19, 0x1.98686571b0e89p-19, 0x1.971ad3d34fdd9p-19, 0x1.95951d74d1581p-19, 0x1.93da86f50251p-19, 0x1.91ec105897e6p-19, 0x1.8fc94270a478p-19, 0x1.8d71d798b0f33p-19, 0x1.8ae6f4d94b0e3p-19, 0x1.882a70ab83336p-19, 0x1.853d1fbae58d1p-19, 0x1.821ec2ef45abfp-19, 0x1.7ecf8b68adfeap-19, 0x1.7b50b8fdef031p-19, 0x1.77a3e5db13736p-19, 0x1.73ca60e52b521p-19, 0x1.6fc51b94b35ebp-19, 0x1.6b94d70f4d984p-19, 0x1.673a494e95bb5p-19, 0x1.62b62cdd1735fp-19, 0x1.5e094366830afp-19, 0x1.59345395499e1p-19, 0x1.543826844ac62p-19, 0x1.4f1585df7d726p-19, 0x1.49cd39f7fd703p-19, 0x1.446006c23270cp-19, 0x1.3ecea85931d71p-19, 0x1.3919d3d85b4efp-19, 0x1.3342404fad459p-19, 0x1.2d48af116ce87p-19, 0x1.272deb1bd7f7cp-19, 0x1.20f2c68f357c3p-19, 0x1.1a97ff992dae9p-19, 0x1.141ded65bca25p-19, 0x1.0d84e25d16d0fp-19, 0x1.06ce551cf6d22p-19, 0x1.fff6d29fbb9dap-20, 0x1.f21886a484a2dp-20, 0x1.e40207b576b7cp-20, 0x1.d5b54d0f50d3dp-20, 0x1.c7341ac0d704fp-20, 0x1.b87fac56508f8p-20, 0x1.a9992b4f92aa4p-20, 0x1.9a81c65aad2d5p-20, 0x1.8b3aa838eep-20, 0x1.7bc4f00919a61p-20, 0x1.6c21c65673ef2p-20, 0x1.5c528b8a8837fp-20, 0x1.4c58c7b47ddc2p-20, 0x1.3c35bc84f838cp-20, 0x1.2bea6dd929a33p-20, 0x1.1b7816b9db866p-20, 0x1.0adfe5caa9912p-20, 0x1.f4455fc455f3bp-21, 0x1.d282dd719eb3ap-21, 0x1.b07ad6299b548p-21, 0x1.8e2fd490ee329p-21, 0x1.6ba41d4edde05p-21, 0x1.48d9cf825d6cfp-21, 0x1.25d3018e80933p-21, 0x1.0291c982e51ccp-21, 0x1.be30795b436d5p-22, 0x1.76d0db5e0767p-22, 0x1.2f08d614e972fp-22, 0x1.cdb8f95000333p-23, 0x1.3c9fae946845ap-23, 0x1.559b8874be099p-24, 0x1.84b1a3596e888p-27, -0x1.eb8215760919ap-25, -0x1.0ead624664c57p-23, -0x1.a313d472e0a15p-23, -0x1.1c0621f858f62p-22, -0x1.66c79682cda33p-22, -0x1.b1caa1b16bd5p-22, -0x1.fd0bb8c110b61p-22, -0x1.24438ab9ad5c2p-21, -0x1.4a1c8f8a040f6p-21, -0x1.700f3db316a94p-21, -0x1.9619cc43d1819p-21, -0x1.bc3a7c040152cp-21, -0x1.e26f9acf48f24p-21, -0x1.045bbda1800f8p-20, -0x1.17883a0f5b33bp-20, -0x1.2abc706725f15p-20, -0x1.3df790d4da5b6p-20, -0x1.5138ce02cc43fp-20, -0x1.647f5d2665599p-20, -0x1.77ca7615d1035p-20, -0x1.8b19535179953p-20, -0x1.9e6b3214b7e34p-20, -0x1.b1bf524b87ad6p-20, -0x1.c514f572ee0e1p-20, -0x1.d86b5acfcf13bp-20, -0x1.ebc1becc24403p-20, -0x1.ff176b7981b27p-20, -0x1.0935deba121b8p-19, -0x1.12df076345f03p-19, -0x1.1c86d5a29f6abp-19, -0x1.262ce4118c87cp-19, -0x1.2fd0da10e1fd4p-19, -0x1.39726cd2073e7p-19, -0x1.43114c9927804p-19, -0x1.4cad26c4cb771p-19, -0x1.5645a8fef3ec6p-19, -0x1.5fda828850344p-19, -0x1.696b644b45d8cp-19, -0x1.72f800bb6ff78p-19, -0x1.7c800b9d12992p-19, -0x1.8603398b0269dp-19, -0x1.8f813f5575aap-19, -0x1.98f9d24970f05p-19, -0x1.a26ca9b859a72p-19, -0x1.abd97fa0fcec1p-19, -0x1.b5400fb3a3707p-19, -0x1.bea0178821b86p-19, -0x1.c7f95800d31b6p-19, -0x1.d14b887ab817fp-19, -0x1.da965e705b935p-19, -0x1.e3d9a27b9a7d4p-19, -0x1.ed150948c4928p-19, -0x1.f64864eeb4a23p-19, -0x1.ff7377da93262p-19, -0x1.044b00cd30dcap-18, -0x1.08d7e2d0cb823p-18, -0x1.0d6044cd06dacp-18, -0x1.11e40a3c2b7b8p-18, -0x1.1663171f8ae27p-18, -0x1.1add4ffc31381p-18, -0x1.1f5299db1d3a2p-18, -0x1.23c2da44bf05ap-18, -0x1.282df73cb1addp-18, -0x1.2c93d73bd8f1bp-18, -0x1.30f4612dfd51ep-18, -0x1.354f7c791175p-18, -0x1.39a51112c583dp-18, -0x1.3df507994f65ep-18, -0x1.423f495f3b728p-18, -0x1.4683c05544ee1p-18, -0x1.4ac256ffcdefp-18, -0x1.4efaf8d237c89p-18, -0x1.532d925ad745p-18, -0x1.575a0c171829cp-18, -0x1.5b803eab887ep-18, -0x1.5fa0102cc7ef2p-18, -0x1.63b99d5704797p-18, -0x1.67ccd0949806ap-18, -0x1.6bd967509840dp-18, -0x1.6fdf5f7f2a31p-18, -0x1.73debb1894c46p-18, -0x1.77d766cb924fbp-18, -0x1.7bc94d1e35d53p-18, -0x1.7fb45bc122e1fp-18, -0x1.8398825ebaa36p-18, -0x1.8775b15e4b9f3p-18, -0x1.8b4bd8d490633p-18, -0x1.8f1ae92469458p-18, -0x1.92e2d44d4bc42p-18, -0x1.96a38d8213767p-18, -0x1.9a5d07c624bc6p-18, -0x1.9e0f3685171b2p-18, -0x1.a1ba10de3688fp-18, -0x1.a55d913034a77p-18, -0x1.a8f99bc32ad8dp-18, -0x1.ac8e173d0b43p-18, -0x1.b01b0d2b95cadp-18, -0x1.b3a07aee4cbd9p-18, -0x1.b71e4edc7af0fp-18, -0x1.ba947c7e8c0dap-18, -0x1.be02fa190725bp-18, -0x1.c169bea4ae594p-18, -0x1.c4c8c16fca568p-18, -0x1.c81ffa142111p-18, -0x1.cb6f607b67b05p-18, -0x1.ceb6ece03d9cdp-18, -0x1.d1f697d192f3fp-18, -0x1.d52e5a326482fp-18, -0x1.d85e2d3b9db24p-18, -0x1.db860a7e2a941p-18, -0x1.dea5ebe3dd52ap-18, -0x1.e1bdcbafde4f7p-18, -0x1.e4cda47d018e5p-18, -0x1.e7d5713809e36p-18, -0x1.ead52d16cb6bep-18, -0x1.edccd390e3925p-18, -0x1.f0bc605ddc08ap-18, -0x1.f3a3cf7d59edfp-18, -0x1.f6831d4c5f4ecp-18, -0x1.f95a46a21bd32p-18, -0x1.fc2948d580599p-18, -0x1.fef02189937fp-18, -0x1.00d7671bf6361p-17, -0x1.0232a625e6fd5p-17, -0x1.0389cdb5e36dcp-17, -0x1.04dce09370e07p-17, -0x1.062bdee9e62f6p-17, -0x1.0776bbd3648a9p-17, -0x1.08bd794ee364ap-17, -0x1.0a00132966244p-17, -0x1.0b3e911ee7aa3p-17, -0x1.0c78fd8e46534p-17, -0x1.0daf53a8a1941p-17, -0x1.0ee18fd5a80aap-17, -0x1.100fb130b2291p-17, -0x1.1139b80210406p-17, -0x1.125fa54606593p-17, -0x1.13817a1638fdcp-17, -0x1.149f3758ad5b9p-17, -0x1.15b8ddefa30dcp-17, -0x1.16ce6f6d31fp-17, -0x1.17dff0ba534d1p-17, -0x1.18ed608a82c52p-17, -0x1.19f6b3e1029b9p-17, -0x1.1afbfa39f407cp-17, -0x1.1bfd3586b7fa3p-17, -0x1.1cfa6468176edp-17, -0x1.1df388464dd99p-17, -0x1.1ee8a32349277p-17, -0x1.1fd9b716b4db1p-17, -0x1.20c6c64a214f6p-17, -0x1.21afd2f98342bp-17, -0x1.2294df7734c8bp-17, -0x1.2375ee2b5df8bp-17, -0x1.24530193ef4eap-17, -0x1.252c1c4568facp-17, -0x1.260140ea5f84dp-17, -0x1.26d27242135d6p-17, -0x1.279fb32272597p-17, -0x1.28690674e13b6p-17, -0x1.292e6f379e5d7p-17, -0x1.29eff07c509ep-17, -0x1.2aad8d6816124p-17, -0x1.2b6749338552bp-17, -0x1.2c1d272b3f091p-17, -0x1.2ccf2aae80c0cp-17, -0x1.2d7d573143598p-17, -0x1.2e27b038a80acp-17, -0x1.2ece395c7490dp-17, -0x1.2f70f642f0127p-17, -0x1.300feaa29b667p-17, -0x1.30ab1a4135bdap-17, -0x1.314288f287cbep-17, -0x1.31d63a9ac7fbap-17, -0x1.3266333283746p-17, -0x1.32f276cc1a12ap-17, -0x1.337b09929b703p-17, -0x1.33ffefb697036p-17, -0x1.34812d4f742f2p-17, -0x1.34fec6205bc9cp-17, -0x1.3578be9bdb9f6p-17, -0x1.35ef1cae0ae5p-17, -0x1.3661e9c83b1aap-17, -0x1.36d1269cdd04bp-17, -0x1.373cc65e90221p-17, -0x1.37a4d810ba6eep-17, -0x1.38096c73d88f6p-17, -0x1.386a83852dae9p-17, -0x1.38c81ee70bc6ep-17, -0x1.392242d3fc512p-17, -0x1.3978f419ee98cp-17, -0x1.39cc379ebb346p-17, -0x1.3a1c12f6717aap-17, -0x1.3a688c6916348p-17, -0x1.3ab1a33b7b83dp-17, -0x1.3af76069d476dp-17, -0x1.3b39c9fa85525p-17, -0x1.3b78e3ac20ac6p-17, -0x1.3bb4b272a494p-17, -0x1.3bed3b6fd00e7p-17, -0x1.3c2283c981ea9p-17, -0x1.3c5490a97d17p-17, -0x1.3c8367400ed71p-17, -0x1.3caf0cc31bedp-17, -0x1.3cd7866f6d383p-17, -0x1.3cfcd9887eff5p-17, -0x1.3d1f0b56de48ap-17, -0x1.3d3e2129942a7p-17, -0x1.3d5a20520421dp-17, -0x1.3d730e338d935p-17, -0x1.3d88f023471cp-17, -0x1.3d9bcb8769edp-17, -0x1.3daba5c870d48p-17, -0x1.3db88451c0b65p-17, -0x1.3dc26c941564fp-17, -0x1.3dc964028b025p-17, -0x1.3dcd701555c9ap-17, -0x1.3dce9646c057p-17, -0x1.3dccdc1532098p-17, -0x1.3dc84701a21e9p-17, -0x1.3dc0dc8fc740ap-17, -0x1.3db6a24627d04p-17, -0x1.3da99dacfeb46p-17, -0x1.3d99d44f953abp-17, -0x1.3d874bbb0b5f1p-17, -0x1.3d72097fa4fd2p-17, -0x1.3d5a132e9371p-17, -0x1.3d3f6e5b68d5p-17, -0x1.3d22209ac7109p-17, -0x1.3d022f82908e1p-17, -0x1.3cdfa0a9ecd7cp-17, -0x1.3cba79a78582fp-17, -0x1.3c92c012ec9a1p-17, -0x1.3c6879833fb5cp-17, -0x1.3c3bab921e521p-17, -0x1.3c0c5bde7d442p-17, -0x1.3bda9001fc081p-17, -0x1.3ba64d85b50aap-17, -0x1.3b6f9a07fb6e5p-17, -0x1.3b367b270db9fp-17, -0x1.3afaf65e9aef6p-17, -0x1.3abd1133320a1p-17, -0x1.3a7cd182d354ep-17, -0x1.3a3a3e26fa3dbp-17, -0x1.39f55bd3ae9a2p-17, -0x1.39ae2ba57ab75p-17, -0x1.3964b7e189141p-17, -0x1.391906cd71e9fp-17, -0x1.38cb1c984633fp-17, -0x1.387afdfad24abp-17, -0x1.3828b1698fbdfp-17, -0x1.37d43befd75fep-17, -0x1.377da389b1735p-17, -0x1.3724ed42c735p-17, -0x1.36ca1ec0f1974p-17, -0x1.366d3d7f91c94p-17, -0x1.360e4efaf6311p-17, -0x1.35ad58a5a1501p-17, -0x1.354a5ff492366p-17, -0x1.34e56a572f72bp-17, -0x1.347e7d3b11666p-17, -0x1.34159e09d2185p-17, -0x1.33aad22a0ad99p-17, -0x1.333e1efed97c3p-17, -0x1.32cf89e78ec12p-17, -0x1.325f183ff1cafp-17, -0x1.31eccf5f94544p-17, -0x1.3178b49a0abfbp-17, -0x1.3102cd3ea59ecp-17, -0x1.308b1e9876735p-17, -0x1.3011aded832fep-17, -0x1.2f968075efc0ap-17, -0x1.2f199b8dc38e7p-17, -0x1.2e9b044d5c843p-17, -0x1.2e1abff1e7aa3p-17, -0x1.2d98d3ab5ed27p-17, -0x1.2d1544a1f3457p-17, -0x1.2c9017f9ec435p-17, -0x1.2c0952d1ec4bp-17, -0x1.2b80fa43cadc3p-17, -0x1.2af71363cbdbbp-17, -0x1.2a6ba341516a1p-17, -0x1.29deaee5ff3fap-17, -0x1.29503b565a5a4p-17, -0x1.28c04d918c2cbp-17, -0x1.282eea90fde1ap-17, -0x1.279c174941aeap-17, -0x1.2707d8a7b9ddfp-17, -0x1.26723396e8badp-17, -0x1.25db2cf92c151p-17, -0x1.2542c9aca05ecp-17, -0x1.24a90e88cfc81p-17, -0x1.240e005fe5ca6p-17, -0x1.2371a3fe217dap-17, -0x1.22d3fe2992bap-17, -0x1.223513a2f6e0ap-17, -0x1.2194e9239f4eep-17, -0x1.20f3835f921fcp-17, -0x1.2050e705172aep-17, -0x1.1fad18bb750e3p-17, -0x1.1f081d242a32bp-17, -0x1.1e61f8d92ec3p-17, -0x1.1dbab06f85d59p-17, -0x1.1d12487465a4cp-17, -0x1.1c68c56fece56p-17, -0x1.1bbe2be78de5p-17, -0x1.1b12804e59014p-17, -0x1.1a65c717937bap-17, -0x1.19b804b6c69b6p-17, -0x1.19093d92476f1p-17, -0x1.185975c78e55ep-17, -0x1.17a8b276cfbeap-17, -0x1.16f6f72c40b1cp-17, -0x1.16444847ff35ap-17, -0x1.1590aa590e412p-17, -0x1.14dc2184abffep-17, -0x1.1426b1fcd5abcp-17, -0x1.13705ff33aac5p-17, -0x1.12b92f925e3d1p-17, -0x1.120124fdff9fap-17, -0x1.114844542877ep-17, -0x1.108e91aca6e9ep-17, -0x1.0fd4110cb5716p-17, -0x1.0f18c69e56982p-17, -0x1.0e5cb643b613ep-17, -0x1.0d9fe403cc8edp-17, -0x1.0ce253d3d9cf1p-17, -0x1.0c2409a2aeccep-17, -0x1.0b6509585151fp-17, -0x1.0aa556d586167p-17, -0x1.09e4f5f51426p-17, -0x1.0923ea898d595p-17, -0x1.0862385fce59ep-17, -0x1.079fe33cabdecp-17, -0x1.06dceedf2955ap-17, -0x1.06195efe13885p-17, -0x1.05553749d0f36p-17, -0x1.04907b6b28e66p-17, -0x1.03cb2f043206cp-17, -0x1.030555af48b5p-17, -0x1.023ef300cc38dp-17, -0x1.01780a83d2f55p-17, -0x1.00b09fbe3ac7bp-17, -0x1.ffd16c589236fp-18, -0x1.fe40a281e71a1p-18, -0x1.fcaee8c9913bfp-18, -0x1.fb1c46b6e1a86p-18, -0x1.f988c3352d68p-18, -0x1.f7f4619ace4cep-18, -0x1.f65f2cbfd66a2p-18, -0x1.f4c929c60edb5p-18, -0x1.f3325f0ffd7fep-18, -0x1.f19ad32f5a416p-18, -0x1.f0028c8c9716cp-18, -0x1.ee69919d62b02p-18, -0x1.eccfe8b4342efp-18, -0x1.eb35981ae0d7dp-18, -0x1.e99aa618da994p-18, -0x1.e7ff1826fbfd8p-18, -0x1.e662f63835b79p-18, -0x1.e4c644a68c2c1p-18, -0x1.e3290a097d9a2p-18, -0x1.e18b4c52915ddp-18, -0x1.dfed116648938p-18, -0x1.de4e5f55261d6p-18, -0x1.dcaf3baffe197p-18, -0x1.db0fac5788e61p-18, -0x1.d96fb6f7d9ce2p-18, -0x1.d7cf613be5528p-18, -0x1.d62eb0be79dd7p-18, -0x1.d48dab0d98ab5p-18, -0x1.d2ec55a8b54ep-18, -0x1.d14ab60348dbbp-18, -0x1.cfa8d182a1535p-18, -0x1.ce06ad7fbf35ap-18, -0x1.cc644f4485cecp-18, -0x1.cac1bc12da8f2p-18, -0x1.c91ef918a5a91p-18, -0x1.c77c0b7be1e0bp-18, -0x1.c5d8f853bbbfap-18, -0x1.c435c4ab1effbp-18, }}, 
      {{-0x1.3c42acba3d36dp-1, -0x1.0461cb9af74fep-1, -0x1.97faa37eef0dp-2, -0x1.3c403655430bap-2, -0x1.f682532de8dabp-3, -0x1.a5ba4932f75cap-3, -0x1.7bd534cba77f8p-3, -0x1.6d6261f8ae4edp-3, -0x1.7024c235fa832p-3, -0x1.7bf00b3f34c05p-3, -0x1.8ac60d15c3eebp-3, -0x1.989ba540b8753p-3, -0x1.a2fd5156a69a9p-3, -0x1.a8afd2bda3aeap-3, -0x1.a959f544ffba8p-3, -0x1.a53c5cda00b71p-3, -0x1.9cf81039e60efp-3, -0x1.9162921a5d64dp-3, -0x1.8365a42ed5ac6p-3, -0x1.73e8a43be97aep-3, -0x1.63c18eb700305p-3, -0x1.53abea859bddcp-3, -0x1.444424377d67p-3, -0x1.3606222cef342p-3, -0x1.294e188fc74e8p-3, -0x1.1e5ad9e707acbp-3, -0x1.15510e18fe665p-3, -0x1.0e3ede8f3c095p-3, -0x1.091fc48909554p-3, -0x1.05e03f85f89a8p-3, -0x1.04614d6e13433p-3, -0x1.047b8d0788fb7p-3, -0x1.0601fe394468cp-3, -0x1.08c45bbe385a8p-3, -0x1.0c910fd851dafp-3, -0x1.1136c974e48e5p-3, -0x1.1685b9d9bdf21p-3, -0x1.1c5084a9859a4p-3, -0x1.226cecac67966p-3, -0x1.28b447585762p-3, -0x1.2f03c0c755e42p-3, -0x1.353c794fca1a5p-3, -0x1.3b4384f53a44ap-3, -0x1.4101d38fd5dd1p-3, -0x1.46640773a0367p-3, -0x1.4b5a3f9cade9fp-3, -0x1.4fd7d9a2164cep-3, -0x1.53d32ed1282f7p-3, -0x1.57454efc88332p-3, -0x1.5a29baebe460ap-3, -0x1.5c7e1fe9a605ep-3, -0x1.5e4215a34685cp-3, -0x1.5f76df3b9a2fdp-3, -0x1.601f302e71cdbp-3, -0x1.603ef55b8ab8bp-3, -0x1.5fdb225d27bc9p-3, -0x1.5ef9832942fa3p-3, -0x1.5da091e3d14b3p-3, -0x1.5bd750bb3f2acp-3, -0x1.59a5279eb2e3ep-3, -0x1.5711c59998ddp-3, -0x1.5425059d5b514p-3, -0x1.50e6d682225ecp-3, -0x1.4d5f26090b4f1p-3, -0x1.4995cea79e0dp-3, -0x1.459287e6f16efp-3, -0x1.415cd91bbb41p-3, -0x1.3cfc0e406143dp-3, -0x1.38772ebcdabd2p-3, -0x1.33d4f5ead15b8p-3, -0x1.2f1bcd34daf4fp-3, -0x1.2a51c7a57e697p-3, -0x1.257c9ed2cdc35p-3, -0x1.20a1b0f43e6e2p-3, -0x1.1bc600116e491p-3, -0x1.16ee3209c705fp-3, -0x1.121e91694a1fap-3, -0x1.0d5b0ecad0929p-3, -0x1.08a742cbe4e75p-3, -0x1.04067065cbf9ep-3, -0x1.fef70f5d7540cp-4, -0x1.f61251fbd96f9p-4, -0x1.ed635085a7f4bp-4, -0x1.e4ee21908bad2p-4, -0x1.dcb651b850001p-4, -0x1.d4beebcbb9236p-4, -0x1.cd0a8035c57e7p-4, -0x1.c59b2d1c205e8p-4, -0x1.be72a5a03dfebp-4, -0x1.b792396bea064p-4, -0x1.b0fadbcf08628p-4, -0x1.aaad2a8f4ff64p-4, -0x1.a4a974e1f9502p-4, -0x1.9eefc19a29741p-4, -0x1.997fd5cd77a17p-4, -0x1.94593a89d4842p-4, -0x1.8f7b42dce5115p-4, -0x1.8ae5111b36d21p-4, -0x1.86959c203bf29p-4, -0x1.828bb415e79c9p-4, -0x1.7ec606ef6070ep-4, -0x1.7b4324a07a544p-4, -0x1.780182eae33b5p-4, -0x1.74ff8107a6ad6p-4, -0x1.723b6ae2892d1p-4, -0x1.6fb37c3decf5p-4, -0x1.6d65e37f47fcbp-4, -0x1.6b50c4507fd23p-4, -0x1.69723a1338668p-4, -0x1.67c85a1808e68p-4, -0x1.665135abaed3cp-4, -0x1.650adc008aceap-4, -0x1.63f35bdff8356p-4, -0x1.6308c531ccb46p-4, -0x1.62492a7588cacp-4, -0x1.61b2a1f11549ap-4, -0x1.614346d0cb377p-4, -0x1.60f93a3702da7p-4, -0x1.60d2a404d2e58p-4, -0x1.60cdb3a3268bep-4, -0x1.60e8a0b8d656p-4, -0x1.6121abb01aecap-4, -0x1.61771e2d942bap-4, -0x1.61e74b889bd1cp-4, -0x1.627091220aa0ap-4, -0x1.631156969c029p-4, -0x1.63c80e088e21bp-4, -0x1.6493345a8ceb9p-4, -0x1.6571512e94318p-4, -0x1.6660f705c9cffp-4, -0x1.6760c368053c6p-4, -0x1.686f5eca4a7c2p-4, -0x1.698b7c84c5611p-4, -0x1.6ab3dae22d7b8p-4, -0x1.6be74304f4393p-4, -0x1.6d2488c2f7a63p-4, -0x1.6e6a8a8f9c7f7p-4, -0x1.6fb8315f6addfp-4, -0x1.710c70874d9ap-4, -0x1.7266458897bddp-4, -0x1.73c4b7da0c008p-4, -0x1.7526d8d1bf154p-4, -0x1.768bc37a329fep-4, -0x1.77f29c3bd375ep-4, -0x1.795a90ae28f0dp-4, -0x1.7ac2d787f820ep-4, -0x1.7c2ab05669f85p-4, -0x1.7d916324ac18ep-4, -0x1.7ef6405d46232p-4, -0x1.8058a0a8b6e6cp-4, -0x1.81b7e49ab3dfdp-4, -0x1.8313746d6c1a3p-4, -0x1.846abfdedc3b7p-4, -0x1.85bd3dfb9a49ep-4, -0x1.870a6cdac19f7p-4, -0x1.8851d16c2ba96p-4, -0x1.8992f7466f7aep-4, -0x1.8acd7064ea01dp-4, -0x1.8c00d4f915fccp-4, -0x1.8d2cc34a03a9ap-4, -0x1.8e50df7696801p-4, -0x1.8f6cd329c7f6cp-4, -0x1.90804d78740f2p-4, -0x1.918b02d3b548dp-4, -0x1.928cacce031e4p-4, -0x1.938509c6e5824p-4, -0x1.9473dcc4e381ap-4, -0x1.9558ed76668ddp-4, -0x1.9634080b76fbcp-4, -0x1.9704fce18c00bp-4, -0x1.97cba04d872f1p-4, -0x1.9887ca9b987d4p-4, -0x1.99395803c37fcp-4, -0x1.99e0286821ab5p-4, -0x1.9a7c1f0ff7d52p-4, -0x1.9b0d2296e8bb7p-4, -0x1.9b931cf03a0f1p-4, -0x1.9c0dfb433e567p-4, -0x1.9c7dada86eeefp-4, -0x1.9ce227012fd3ap-4, -0x1.9d3b5cf908c16p-4, -0x1.9d8947fce93f1p-4, -0x1.9dcbe30a20978p-4, -0x1.9e032b77b6c89p-4, -0x1.9e2f20e42c071p-4, -0x1.9e4fc53c16df9p-4, -0x1.9e651ca828562p-4, -0x1.9e6f2d58375c9p-4, -0x1.9e6dff568edd5p-4, -0x1.9e619c8220f38p-4, -0x1.9e4a1097fd5cbp-4, -0x1.9e27692130a74p-4, -0x1.9df9b53f34c79p-4, -0x1.9dc105810a4acp-4, -0x1.9d7d6bdf8965fp-4, -0x1.9d2efbcb7da2fp-4, -0x1.9cd5ca23f019dp-4, -0x1.9c71ed0a4896cp-4, -0x1.9c037bb45b77bp-4, -0x1.9b8a8e5f67787p-4, -0x1.9b073e5f047b1p-4, -0x1.9a79a621fbc7fp-4, -0x1.99e1e11607e78p-4, -0x1.99400b7b138c2p-4, -0x1.98944247a84a5p-4, -0x1.97dea32bf1d62p-4, -0x1.971f4ca03774ap-4, -0x1.96565ddfd7ee2p-4, -0x1.9583f6c928541p-4, -0x1.94a837b985c0fp-4, -0x1.93c3417d97dbp-4, -0x1.92d53557c2f98p-4, -0x1.91de350a3fbbdp-4, -0x1.90de62cff2fc3p-4, -0x1.8fd5e14128006p-4, -0x1.8ec4d3373dadep-4, -0x1.8dab5bc11db0ep-4, -0x1.8c899e2816513p-4, -0x1.8b5fbdf73746p-4, -0x1.8a2ddef6ba609p-4, -0x1.88f42518c0ceep-4, -0x1.87b2b462c71cfp-4, -0x1.8669b0e1c438ap-4, -0x1.85193eabb354fp-4, -0x1.83c181e5a76a8p-4, -0x1.82629ec350998p-4, -0x1.80fcb97ba6aeep-4, -0x1.7f8ff63851553p-4, -0x1.7e1c790925f38p-4, -0x1.7ca265e10410ep-4, -0x1.7b21e099aa9f2p-4, -0x1.799b0cf6e8f61p-4, -0x1.780e0ea2cefccp-4, -0x1.767b09232af73p-4, -0x1.74e21fce7143fp-4, -0x1.734375c55ecbfp-4, -0x1.719f2df27ddcfp-4, -0x1.6ff56b0d49125p-4, -0x1.6e464f9c213c4p-4, -0x1.6c91fdf1285b5p-4, -0x1.6ad89822d0ebbp-4, -0x1.691a400480304p-4, -0x1.67571722f75bap-4, -0x1.658f3ec462573p-4, -0x1.63c2d7ea9760dp-4, -0x1.61f2035501b05p-4, -0x1.601ce17fa450bp-4, -0x1.5e43929edf266p-4, -0x1.5c66369a82fb9p-4, -0x1.5a84ed0b0ce33p-4, -0x1.589fd5398ac76p-4, -0x1.56b70e213f563p-4, -0x1.54cab6719491dp-4, -0x1.52daec8ee598ap-4, -0x1.50e7ce913417p-4, -0x1.4ef17a4179202p-4, -0x1.4cf80d175fef9p-4, -0x1.4afba438702a3p-4, -0x1.48fc5c78f7ab3p-4, -0x1.46fa525da848cp-4, -0x1.44f5a21d4134fp-4, -0x1.42ee67a1491dfp-4, -0x1.40e4be857e199p-4, -0x1.3ed8c2169e165p-4, -0x1.3cca8d517226ap-4, -0x1.3aba3ae2baf99p-4, -0x1.38a7e527f2049p-4, -0x1.3693a630bc012p-4, -0x1.347d97c07925bp-4, -0x1.3265d34f4d07ep-4, -0x1.304c720a46e54p-4, -0x1.2e318cd2eec36p-4, -0x1.2c153c3ee8e65p-4, -0x1.29f798981c2b1p-4, -0x1.27d8b9dd540d3p-4, -0x1.25b8b7c34f658p-4, -0x1.2397a9b608822p-4, -0x1.2175a6d9d3e75p-4, -0x1.1f52c60bf5509p-4, -0x1.1d2f1de293608p-4, -0x1.1b0ac4aca1d03p-4, -0x1.18e5d07220972p-4, -0x1.16c056f4cc316p-4, -0x1.149a6db0ef523p-4, -0x1.127429de2792ap-4, -0x1.104da06ffdf7ap-4, -0x1.0e26e6165788fp-4, -0x1.0c000f3dab533p-4, -0x1.09d9300f2ff86p-4, -0x1.07b25c7145104p-4, -0x1.058ba80832359p-4, -0x1.03652636f99ap-4, -0x1.013eea1fd3587p-4, -0x1.fe320d4837bbp-5, -0x1.f9e71cc86440ep-5, -0x1.f59d277e7f63cp-5, -0x1.f15451a749d97p-5, -0x1.ed0cbeff8a6a8p-5, -0x1.e8c692c625cd3p-5, -0x1.e481efbde7b1bp-5, -0x1.e03ef82e30911p-5, -0x1.dbfdcde22508fp-5, -0x1.d7be9226be761p-5, -0x1.d38165c903aafp-5, -0x1.cf466915c4ae4p-5, -0x1.cb0dbbdb809ffp-5, -0x1.c6d77d6dc95eep-5, -0x1.c2a3cca8c191cp-5, -0x1.be72c7f2e8833p-5, -0x1.ba448d3c62d27p-5, -0x1.b61939fbeb3eap-5, -0x1.b1f0eb2acc748p-5, -0x1.adcbbd41e2bd4p-5, -0x1.a9a9cc393e0d8p-5, -0x1.a58b338af9481p-5, -0x1.a1700e3837151p-5, -0x1.9d5876ce2568ep-5, -0x1.99448768bd33cp-5, -0x1.953459b1e1e82p-5, -0x1.912806dd3a8f2p-5, -0x1.8d1fa7a28edf1p-5, -0x1.891b54391c5f6p-5, -0x1.851b245618a82p-5, -0x1.811f2f2f06d08p-5, -0x1.7d278b7f1cc56p-5, -0x1.79344f8d7078ap-5, -0x1.75459131755adp-5, -0x1.715b65d3d7338p-5, -0x1.6d75e26b64f21p-5, -0x1.69951b77573fap-5, -0x1.65b924f95b412p-5, -0x1.61e21271f15f3p-5, -0x1.5e0ff6e09832cp-5, -0x1.5a42e4c7be5p-5, -0x1.567aee3301671p-5, -0x1.52b824bd58fd9p-5, -0x1.4efa9994d4807p-5, -0x1.4b425d7abba26p-5, -0x1.478f80c01fce7p-5, -0x1.43e2134058e8fp-5, -0x1.403a245ba7b6ap-5, -0x1.3c97c2f40a289p-5, -0x1.38fafd6d7f43dp-5, -0x1.3563e1b1a7ffbp-5, -0x1.31d27d3575cb8p-5, -0x1.2e46dcff0400ap-5, -0x1.2ac10da9b6b69p-5, -0x1.27411b677e751p-5, -0x1.23c711ff28d8p-5, -0x1.2052fcc8a38b6p-5, -0x1.1ce4e6a8cdfc8p-5, -0x1.197cda0e54af3p-5, -0x1.161ae0f0cac8bp-5, -0x1.12bf04d249f0bp-5, -0x1.0f694ec316b45p-5, -0x1.0c19c7662e2e6p-5, -0x1.08d076f57c142p-5, -0x1.058d6544b3ba5p-5, -0x1.025099c24cb4fp-5, -0x1.fe3436ed86e07p-6, -0x1.f7d3e205a31ap-6, -0x1.f180413af2697p-6, -0x1.eb39602578f3cp-6, -0x1.e4ff4987215b2p-6, -0x1.ded2074e463fdp-6, -0x1.d8b1a29a582fap-6, -0x1.d29e23c1a093ap-6, -0x1.cc979256d35bfp-6, -0x1.c69df52d9057ap-6, -0x1.c0b1525d585fep-6, -0x1.bad1af42ec7b7p-6, -0x1.b4ff1080a19c4p-6, -0x1.af3979fe425ccp-6, -0x1.a980eee9528e2p-6, -0x1.a3d571b5fa401p-6, -0x1.9e3704210609ep-6, -0x1.98a5a732bbd69p-6, -0x1.93215b424e059p-6, -0x1.8daa1ff98081ep-6, -0x1.883ff4583b8cep-6, -0x1.82e2d6b7b4482p-6, -0x1.7d92c4cd28e07p-6, -0x1.784fbbac3a34fp-6, -0x1.7319b7c9013c7p-6, -0x1.6df0b4fa143bp-6, -0x1.68d4ae7a9956bp-6, -0x1.63c59eec8df2cp-6, -0x1.5ec3805b45a29p-6, -0x1.59ce4c3e19aa4p-6, -0x1.54e5fb7b4d46p-6, -0x1.500a866aec509p-6, -0x1.4b3be4d9ca481p-6, -0x1.467a0e0c652d7p-6, -0x1.41c4f8c1bb048p-6, -0x1.3d1c9b360d08ep-6, -0x1.3880eb25941bdp-6, -0x1.33f1ddcf2886ep-6, -0x1.2f6f67f6e9bf7p-6, -0x1.2af97de8e4c14p-6, -0x1.2690137bc4435p-6, -0x1.22331c1394a0dp-6, -0x1.1de28aa47846bp-6, -0x1.199e51b57de83p-6, -0x1.156663636abd3p-6, -0x1.113ab1637fd33p-6, -0x1.0d1b2d063bd9cp-6, -0x1.0907c73a15e59p-6, -0x1.0500708e34ae8p-6, -0x1.0105193510b1fp-6, -0x1.fa2b620e4b9e9p-7, -0x1.f2644f0b30763p-7, -0x1.eab4d7b9bcbc6p-7, -0x1.e31cd9ceea86fp-7, -0x1.db9c32610c7d3p-7, -0x1.d432bded28a08p-7, -0x1.cce0585c39bf4p-7, -0x1.c5a4dd084c511p-7, -0x1.be8026c197198p-7, -0x1.b7720fd3763d2p-7, -0x1.b07a7209475fep-7, -0x1.a99926b366227p-7, -0x1.a2ce06ac10b26p-7, -0x1.9c18ea5c69e8ap-7, -0x1.9579a9c16d54dp-7, -0x1.8ef01c70fe066p-7, -0x1.887c199eb6004p-7, -0x1.821d7820c0ef8p-7, -0x1.7bd40e745896p-7, -0x1.759fb2c23a2c3p-7, -0x1.6f803ae2db052p-7, -0x1.69757c62a43c9p-7, -0x1.637f4c8628c33p-7, -0x1.5d9d804e8f7e3p-7, -0x1.57cfec7dfece7p-7, -0x1.5216659c476d4p-7, -0x1.4c70bffb7cfd1p-7, -0x1.46decfbc6b6adp-7, -0x1.416068d2dd724p-7, -0x1.3bf55f095a316p-7, -0x1.369d8604bf45bp-7, -0x1.3158b1475caa7p-7, -0x1.2c26b43418559p-7, -0x1.27076211a5abfp-7, -0x1.21fa8e0e015bep-7, -0x1.1d000b4264d81p-7, -0x1.1817acb7760efp-7, -0x1.13414569c7365p-7, -0x1.0e7ca84e3fa67p-7, -0x1.09c9a855fb58cp-7, -0x1.05281871b627p-7, -0x1.0097cb946ea16p-7, -0x1.f831296aa6f6fp-8, -0x1.ef548da2d0247p-8, -0x1.e69969da3ba7ap-8, -0x1.ddff642caa793p-8, -0x1.d58622ce5733dp-8, -0x1.cd2d4c130916cp-8, -0x1.c4f48676af68ep-8, -0x1.bcdb78a695225p-8, -0x1.b4e1c98a251ffp-8, -0x1.ad07204a60823p-8, -0x1.a54b2457120d7p-8, -0x1.9dad7d699a848p-8, -0x1.962dd385b911fp-8, -0x1.8ecbcef9371e8p-8, -0x1.8787185bbfc8fp-8, -0x1.805f589022c03p-8, -0x1.795438c80183dp-8, -0x1.7265628a0b12ap-8, -0x1.6b927fba7d201p-8, -0x1.64db3aa48fc1bp-8, -0x1.5e3f3e0378f77p-8, -0x1.57be35096cd23p-8, -0x1.5157cb637e7efp-8, -0x1.4b0bad3a20a15p-8, -0x1.44d9872efd125p-8, -0x1.3ec1065919764p-8, -0x1.38c1d841c5143p-8, -0x1.32dbaae387cdbp-8, -0x1.2d0e2cacb1654p-8, -0x1.27590c85edd69p-8, -0x1.21bbf9dbd042ep-8, -0x1.1c36a4a9f44f8p-8, -0x1.16c8bd84e24c3p-8, -0x1.1171f5a0b4274p-8, -0x1.0c31fed2a296bp-8, -0x1.07088b8ceaa12p-8, -0x1.01f54ed5f95fap-8, -0x1.f9eff87af4f0ap-9, -0x1.f0208fa438dcap-9, -0x1.e67bcc378a848p-9, -0x1.dd011839bdbc8p-9, -0x1.d3afdeb85ed38p-9, -0x1.ca878becab2a9p-9, -0x1.c1878d69389c7p-9, -0x1.b8af52488684fp-9, -0x1.affe4b525d164p-9, -0x1.a773eb0de81dap-9, -0x1.9f0fa5b98f07dp-9, -0x1.96d0f127764e2p-9, -0x1.8eb744829c39bp-9, -0x1.86c21807a0a0ap-9, -0x1.7ef0e4be31059p-9, -0x1.774324438d159p-9, -0x1.6fb850b2776c8p-9, -0x1.684fe4b2a0fc3p-9, -0x1.61095bb107255p-9, -0x1.59e4323b52496p-9, -0x1.52dfe6710172dp-9, -0x1.4bfbf875aaf5bp-9, -0x1.4537eacd61575p-9, -0x1.3e93428dcc4a3p-9, -0x1.380d8754dda75p-9, -0x1.31a64300c3cfap-9, -0x1.2b5d0131be6b5p-9, -0x1.25314ea8e6ddp-9, -0x1.1f22b8a077803p-9, -0x1.1930cc3b31c2fp-9, -0x1.135b162624de2p-9, -0x1.0da122815ce04p-9, -0x1.08027d17cb1ddp-9, -0x1.027eb1e4c892fp-9, -0x1.fa2a9bb054e49p-10, -0x1.ef8bbf7ca9024p-10, -0x1.e51ff25253a2bp-10, -0x1.dae65e612f0dfp-10, -0x1.d0de35c82f84p-10, -0x1.c706b2a1955bfp-10, -0x1.bd5f1621ead97p-10, -0x1.b3e6a6e24f3dp-10, -0x1.aa9cae98968bep-10, -0x1.a180779dde148p-10, -0x1.98914aac89093p-10, -0x1.8fce6d31c32aap-10, -0x1.8737207205df3p-10, -0x1.7ecaa19a37539p-10, -0x1.76882ab945cddp-10, -0x1.6e6ef480a431ap-10, -0x1.667e389bb646ep-10, -0x1.5eb5345779eb6p-10, -0x1.57132b48ca3b6p-10, -0x1.4f97698d16d26p-10, -0x1.48414540a55fcp-10, -0x1.41101ed5a8b84p-10, -0x1.3a03602138bbcp-10, -0x1.331a7a2f79796p-10, -0x1.2c54e23534f7fp-10, -0x1.25b20e284a805p-10, -0x1.1f31719e1c99cp-10, -0x1.18d27b7c58915p-10, -0x1.129494d17d24p-10, -0x1.0c7720e849d91p-10, -0x1.06797e69e8412p-10, -0x1.009b0942576bp-10, -0x1.f5b639eadfb26p-11, -0x1.ea722e4ed26fp-11, -0x1.df68b4578efa9p-11, -0x1.d4989eef34951p-11, -0x1.ca00d381b7a06p-11, -0x1.bfa04cfe26ce4p-11, -0x1.b5761cdfc2111p-11, -0x1.ab8169a116b3p-11, -0x1.a1c16a5e16454p-11, -0x1.98356007a2334p-11, -0x1.8edc8d3676ef9p-11, -0x1.85b62e22f0975p-11, -0x1.7cc1725f3cd92p-11, -0x1.73fd79890fe51p-11, -0x1.6b6953640d3ap-11, -0x1.630402e2196b7p-11, -0x1.5acc82eb35731p-11, -0x1.52c1cb7787737p-11, -0x1.4ae2d5de1cd59p-11, -0x1.432e9feb920a1p-11, -0x1.3ba42e103af1cp-11, -0x1.34428d5f983dfp-11, -0x1.2d08d60770ac1p-11, -0x1.25f62e5e2ada5p-11, -0x1.1f09cdf979fd3p-11, -0x1.1842ffba3c8ap-11, -0x1.11a121a469ea9p-11, -0x1.0b23a1c701febp-11, -0x1.04c9f84ff87f4p-11, -0x1.fd273fbd8fb96p-12, -0x1.f1001bdbd79adp-12, -0x1.e51d5ab1eb59p-12, -0x1.d97db90f764c5p-12, -0x1.ce1fdf4a2f84cp-12, -0x1.c3026bd6ea78ep-12, -0x1.b823fff418703p-12, -0x1.ad834992627dbp-12, -0x1.a31f06e69ddb5p-12, -0x1.98f602d3b20e8p-12, -0x1.8f070c810bdbfp-12, -0x1.8550ee8c0f43p-12, -0x1.7bd26a5c23c89p-12, -0x1.728a3a3d47768p-12, -0x1.697719f13a776p-12, -0x1.6097d2b6c2b33p-12, -0x1.57eb4649b9eb1p-12, -0x1.4f70748fe53f5p-12, -0x1.4726795f93ee5p-12, -0x1.3f0c8284992f3p-12, -0x1.3721c0f54f77fp-12, -0x1.2f655a0bb842p-12, -0x1.27d65db9770f7p-12, -0x1.2073c51e7c2f1p-12, -0x1.193c7a21850f8p-12, -0x1.122f65abb915cp-12, -0x1.0b4b7fcab9498p-12, -0x1.048fdc049563ap-12, -0x1.fbf75a1fdf5abp-13, -0x1.ef1c7c0d17da8p-13, -0x1.e28dc67637b0bp-13, -0x1.d649d104cabeap-13, -0x1.ca4f0846622b4p-13, -0x1.be9ba78bdfb49p-13, -0x1.b32dc8fe054c5p-13, -0x1.a803851af07e7p-13, -0x1.9d1b15ac0c092p-13, -0x1.9272f031e6f26p-13, -0x1.8809cfad6554ep-13, -0x1.7ddeab7204fbap-13, -0x1.73f09ed29d4b5p-13, -0x1.6a3eca74561cp-13, -0x1.60c839a21617fp-13, -0x1.578bd351c4162p-13, -0x1.4e885931258ep-13, -0x1.45bc7256ffbffp-13, -0x1.3d26bd2a4ce6ap-13, -0x1.34c5e41693f25p-13, -0x1.2c98b093238f8p-13, -0x1.249e16e28bedap-13, -0x1.1cd53473ed319p-13, -0x1.153d3da4647d1p-13, -0x1.0dd55e86d89bdp-13, -0x1.069c9a29bf4ccp-13, -0x1.ff236e819ee7ap-14, -0x1.f166889156d8cp-14, -0x1.e3ff63c65d15ap-14, -0x1.d6eaee9d213e1p-14, -0x1.ca2663d1db633p-14, -0x1.bdaf6d6c769e9p-14, -0x1.b1842aaec0506p-14, -0x1.a5a320423330bp-14, -0x1.9a0b1a5520e97p-14, -0x1.8ebb08d9636c6p-14, -0x1.83b1e0441368fp-14, -0x1.78ee86f918287p-14, -0x1.6e6fcf5ec1849p-14, -0x1.643478093f094p-14, -0x1.5a3b2c6f0353bp-14, -0x1.5082865a09547p-14, -0x1.470913777200fp-14, -0x1.3dcd6036beb76p-14, -0x1.34ce04dea0ec2p-14, -0x1.2c09aee3b576bp-14, -0x1.237f202363367p-14, -0x1.1b2d2007e644p-14, -0x1.131261558a2dp-14, -0x1.0b2d693bddefbp-14, -0x1.037c89e8fedecp-14, -0x1.f7fbf582bda1fp-15, -0x1.e9600560624cep-15, -0x1.db222e4a36a1p-15, -0x1.cd3fb5680a8e3p-15, -0x1.bfb60cb4a115cp-15, -0x1.b282bb5a89c64p-15, -0x1.a5a37c0129048p-15, -0x1.99166dbf4fea4p-15, -0x1.8cda1fc0eb0d1p-15, -0x1.80ed676e93cedp-15, -0x1.754f1d1489a19p-15, -0x1.69fde77476703p-15, -0x1.5ef8332554ce7p-15, -0x1.543c59ebc534cp-15, -0x1.49c8dca1daa72p-15, -0x1.3f9c7eddbc4dcp-15, -0x1.35b6297a3e008p-15, -0x1.2c14ac878d92p-15, -0x1.22b69762bb687p-15, -0x1.199a47a7b5fbcp-15, -0x1.10be1e259957bp-15, -0x1.0820ab1d2c7a4p-15, -0x1.ff815a133998ep-16, -0x1.ef39c14bb227cp-16, -0x1.df6789ada64dep-16, -0x1.d00706d2f27afp-16, -0x1.c114290164f4cp-16, -0x1.b28ae9d6ce159p-16, -0x1.a4674b203dfa6p-16, -0x1.96a4d1269aa9cp-16, -0x1.893e4089a0216p-16, -0x1.7c2e6d9a8cbc1p-16, -0x1.6f71ba9fb7397p-16, -0x1.6306e84d0d4ep-16, -0x1.56ee66bf278d4p-16, -0x1.4b28b45c1a32bp-16, -0x1.3fb50dc38dddp-16, -0x1.34914f8294d8bp-16, -0x1.29baf110c65c9p-16, -0x1.1f3029f2a2b52p-16, -0x1.14f0442cba59dp-16, -0x1.0afaef3afc4f7p-16, -0x1.014f455d5d9d4p-16, -0x1.efd6930170d4ap-17, -0x1.dd9824c2ee55dp-17, -0x1.cbdcba615270dp-17, -0x1.ba9e5f4895038p-17, -0x1.a9d8a6664612bp-17, -0x1.99891e437fabbp-17, -0x1.89af2456192dap-17, -0x1.7a4b0e4dbb9a9p-17, -0x1.6b5ce51591cc5p-17, -0x1.5ce36137e7415p-17, -0x1.4edbf23ba113dp-17, -0x1.4143adcef6082p-17, -0x1.3417ad8087f7p-17, -0x1.2753c3f741184p-17, -0x1.1af11e7d0b2b3p-17, -0x1.0ee7d0853f61cp-17, -0x1.0332fa084a81ap-17, -0x1.efa5e75d9f1f6p-18, -0x1.d9952f7bca69bp-18, -0x1.c434f81b669e8p-18, -0x1.af7dc84988264p-18, -0x1.9b63b9ae8cfefp-18, -0x1.87ddc38a5ce9cp-18, -0x1.74e8d7ddff666p-18, -0x1.6284f09716481p-18, -0x1.50b095ef1436fp-18, -0x1.3f675a933b3abp-18, -0x1.2ea32f17ed4a2p-18, -0x1.1e5e1c6d39bedp-18, -0x1.0e93125083443p-18, -0x1.fe7bf58ad682cp-19, -0x1.e0b749b4435p-19, -0x1.c3d38ec781dc8p-19, -0x1.a7ce11d7728ccp-19, -0x1.8ca5c20e26113p-19, -0x1.725a5b03ce211p-19, -0x1.58eac146961cap-19, -0x1.4052ce8a4e6c2p-19, -0x1.288a08719b7dep-19, -0x1.118598073d285p-19, -0x1.f67aceeb889c5p-20, -0x1.cb5e3ebece745p-20, -0x1.a1b30a2e5477ap-20, -0x1.7968f579531d4p-20, -0x1.5265518687eeep-20, -0x1.2c9cec3d4ea98p-20, -0x1.081dc92a8f455p-20, -0x1.c9e86f880157ap-21, -0x1.862013a621e05p-21, -0x1.449af9a20e955p-21, -0x1.05279160cf6e3p-21, -0x1.8f87f2c41f152p-22, -0x1.18fcac201acc8p-22, -0x1.4d48bb108a011p-23, -0x1.c2876f72f41bep-25, 0x1.917e5362c3d64p-25, 0x1.3202887f0c6a1p-23, 0x1.f871b80e69068p-23, 0x1.5be56ee67c9d6p-22, 0x1.b8162d8ea9a75p-22, 0x1.086f40af0ba2fp-21, 0x1.332b8da0ad9a5p-21, 0x1.5c4e8c47c7439p-21, 0x1.83e8308feab49p-21, 0x1.aa08e2a9e56d8p-21, 0x1.cec0280587c82p-21, 0x1.f21ae961be204p-21, 0x1.0a1155addb6f2p-20, 0x1.1a6fdaf87b621p-20, 0x1.2a2e8f82bd404p-20, 0x1.395450518f18ap-20, 0x1.47e53d791907cp-20, 0x1.55ded307a6224p-20, 0x1.633bd13a5f057p-20, 0x1.7000d405fff12p-20, 0x1.7c3fe80be8387p-20, 0x1.8804cbf3d327ep-20, 0x1.934a232c7a962p-20, 0x1.9e0d77a4c8314p-20, 0x1.a85977e050b0cp-20, 0x1.b23410a28fcccp-20, 0x1.bb9621669347ap-20, 0x1.c47b5121fd53bp-20, 0x1.ccead628c274p-20, 0x1.d4f0183c4b456p-20, 0x1.dc93b3f26afa5p-20, 0x1.e3da9a11136cep-20, 0x1.eac78d354ab3bp-20, 0x1.f15c6464f10b4p-20, 0x1.f79ab134081b3p-20, 0x1.fd840afe53448p-20, 0x1.018d1a1dea826p-19, 0x1.042f95ce825c7p-19, 0x1.06aa94928cd51p-19, 0x1.08ff4591448b2p-19, 0x1.0b2edfdc2ce69p-19, 0x1.0d3a9859fc55p-19, 0x1.0f2392a378f24p-19, 0x1.10eac5275ebb4p-19, 0x1.1290d99b872c6p-19, 0x1.141631f8da5d7p-19, 0x1.157b456394e46p-19, 0x1.16c1339760bf9p-19, 0x1.17e9d98b5c9b6p-19, 0x1.18f6e28783c7ep-19, 0x1.19e878ae8bbaep-19, 0x1.1abd553887715p-19, 0x1.1b761c141ac2ap-19, 0x1.1c17fc6bec0c1p-19, 0x1.1ca6863bef67p-19, 0x1.1d2050773c379p-19, 0x1.1d857d4c2d3bep-19, 0x1.1dd6a5bc6f3dbp-19, 0x1.1e11c68e17e9fp-19, 0x1.1e36bf1a1f96ap-19, 0x1.1e47f2257e6f1p-19, 0x1.1e4701b65983cp-19, 0x1.1e3410795257p-19, 0x1.1e0eeb63666f1p-19, 0x1.1dd7f085f7113p-19, 0x1.1d90120848b7fp-19, 0x1.1d38676bdb3a9p-19, 0x1.1cd1d8dfd299cp-19, 0x1.1c5d0bebd9501p-19, 0x1.1bda75dc9b44fp-19, 0x1.1b4a74e0f14e6p-19, 0x1.1aad623a903a3p-19, 0x1.1a039badcedap-19, 0x1.194d865fbb10bp-19, 0x1.188b8dfb2a45ep-19, 0x1.17be224149522p-19, 0x1.16e5b394b25f9p-19, 0x1.1602afe9c3592p-19, 0x1.15157ce8f7d71p-19, 0x1.141e71ebbf358p-19, 0x1.131dd662fb281p-19, 0x1.1213f0d13c3ccp-19, 0x1.110122d561567p-19, 0x1.0fe5edb505f96p-19, 0x1.0ec2ca9d2429fp-19, 0x1.0d97f33d7a81cp-19, 0x1.0c652990902afp-19, 0x1.0b2a1034f636bp-19, 0x1.09e79bdc81d2bp-19, 0x1.089f18a7f2f84p-19, 0x1.07508b010248bp-19, 0x1.05fbf992e8ac5p-19, 0x1.04a0d9c2d2c63p-19, 0x1.033f4748b06d7p-19, 0x1.01d844c33682bp-19, 0x1.006c91e41abap-19, 0x1.fdf8cf0c06ee4p-20, 0x1.fb0f50b739509p-20, 0x1.f81c8473797f4p-20, 0x1.f520ec0c6e8cdp-20, 0x1.f21d5992cddbap-20, 0x1.ef122609f32dbp-20, 0x1.ebff2923f0135p-20, 0x1.e8e46ccda506bp-20, 0x1.e5c276a0e6b4fp-20, 0x1.e299f4a15d6dp-20, 0x1.df6b70cb9f7efp-20, 0x1.dc3748c78f941p-20, 0x1.d8fdc2b7b70fp-20, 0x1.d5bf1e42f3897p-20, 0x1.d27b9bb62ffb5p-20, 0x1.cf337d31ae06cp-20, 0x1.cbe705cf3739fp-20, 0x1.c89678a201dfp-20, 0x1.c54217ef55c3p-20, 0x1.c1ea245854589p-20, 0x1.be8edba19b3c9p-20, 0x1.bb3077a67ddadp-20, 0x1.b7cf2f593c49cp-20, 0x1.b46b3a7c11b12p-20, 0x1.b104d41fb0471p-20, 0x1.ad9c39a82f175p-20, 0x1.aa31a8e17404bp-20, 0x1.a6c554929d3e7p-20, 0x1.a35749fc50715p-20, 0x1.9fe79d4989d0bp-20, 0x1.9c76c2c08edfp-20, 0x1.990502bb00df4p-20, 0x1.95925a934b51bp-20, 0x1.921ed7f253b6bp-20, 0x1.8eaabd3d98b47p-20, 0x1.8b363c6088f72p-20, 0x1.87c178221c4ap-20, 0x1.844c92d99567cp-20, 0x1.80d7af6ffba73p-20, 0x1.7d62f083cfd3ap-20, 0x1.79ee76c6e242bp-20, 0x1.767a628bb7786p-20, 0x1.7306d654c7503p-20, 0x1.6f93f5f7a8a31p-20, 0x1.6c21e0b8f14dp-20, 0x1.68b0b1cb6386bp-20, 0x1.654086a707f5fp-20, 0x1.61d17b6ba83cep-20, 0x1.5e63a6bcffb95p-20, 0x1.5af7209d99c25p-20, 0x1.578c04b949668p-20, 0x1.54226df54268cp-20, 0x1.50ba74bf8286ap-20, 0x1.4d542ff1a3363p-20, 0x1.49efb59e1ea7cp-20, 0x1.468d1b528f3ffp-20, 0x1.432c761adfdc6p-20, 0x1.3fcdda7730ab9p-20, 0x1.3c715c53e1f6bp-20, 0x1.39170f064394fp-20, 0x1.35bf0550a1652p-20, 0x1.32695171ec031p-20, 0x1.2f1605385f073p-20, 0x1.2bc531fc0027dp-20, 0x1.2876e87fc803fp-20, 0x1.252b38d992146p-20, 0x1.21e232725c14ep-20, 0x1.1e9be4194acd5p-20, 0x1.1b585ccbde0b2p-20, 0x1.1817ac616d932p-20, 0x1.14d9dedd095a1p-20, 0x1.119f00fb83e26p-20, 0x1.0e6722a1f4cf5p-20, 0x1.0b324f3c8ef1bp-20, 0x1.08009235a06ap-20, 0x1.04d1f7b1190aap-20, 0x1.01a68b72c8cebp-20, 0x1.fcfcb179e66d5p-21, 0x1.f6b2d4cee0ea4p-21, 0x1.f06f95d8df514p-21, 0x1.ea3308df04844p-21, 0x1.e3fd418a5eedbp-21, 0x1.ddce52f3ea163p-21, 0x1.d7a64fb1e8987p-21, 0x1.d18549e55c846p-21, 0x1.cb6b5339030abp-21, 0x1.c5587c4d83877p-21, 0x1.bf4cd2bd0bbbep-21, 0x1.b94860e0bb863p-21, 0x1.b34b362e7d499p-21, 0x1.ad556aa60e8dfp-21, 0x1.a7671301eb4b7p-21, 0x1.a1803a4469679p-21, 0x1.9ba0def1c1c7dp-21, 0x1.95c90b06c6031p-21, 0x1.8ff8d3913ad0bp-21, 0x1.8a3048ad131a8p-21, 0x1.846f75197806ep-21, 0x1.7eb6624ac86bap-21, 0x1.790519cbc1adfp-21, 0x1.735ba549ba2c9p-21, 0x1.6dba0e610f249p-21, 0x1.68205e5fef1b9p-21, 0x1.628e9df1275d6p-21, 0x1.5d04d4ed3f4e3p-21, 0x1.57830ad5af6d2p-21, 0x1.520947964102cp-21, 0x1.4c97935ea4a1ep-21, 0x1.472df60cdd7abp-21, 0x1.41cc77ba482bap-21, 0x1.3c73211fb8e44p-21, 0x1.3721f3a0a4bd5p-21, 0x1.31d8f0efed0afp-21, 0x1.2c9823f058b74p-21, 0x1.275f8df21532dp-21, 0x1.222f3a0ed4d25p-21, 0x1.1d072bb5b12bdp-21, 0x1.17e765bfc63e5p-21, 0x1.12cfebf708a9bp-21, 0x1.0dc0c22d63305p-21, 0x1.08b9ebf2d8b9fp-21, 0x1.03bb6c8d01899p-21, 0x1.fd8a8df2b387ap-22, 0x1.f3aefbe11c975p-22, 0x1.e9e427d4e033dp-22, 0x1.e02a163c43544p-22, 0x1.d680cb08dd752p-22, 0x1.cce849b1b58bfp-22, 0x1.c3609534b11dcp-22, 0x1.b9e9b01594c3p-22, 0x1.b0839c5d7fcc2p-22, 0x1.a72e5b983acf4p-22, 0x1.9de9eedcb0fe9p-22, 0x1.94b656d2db8e7p-22, 0x1.8b9393b3204d3p-22, 0x1.8281a547c3f43p-22, 0x1.79808b7d70ca6p-22, 0x1.709047afccf92p-22, 0x1.67b0d942d6d6fp-22, 0x1.5ee238f128409p-22, 0x1.562464e2cd7e6p-22, 0x1.4d77601eaf4fap-22, 0x1.44db25fec62ffp-22, 0x1.3c4fb11c4569fp-22, 0x1.33d4fe32365e8p-22, 0x1.2b6b09e03d70dp-22, 0x1.2311d03a549d1p-22, 0x1.1ac94bb2e7248p-22, 0x1.12917801ed49bp-22, 0x1.0a6a506b7ccb8p-22, 0x1.0253d09ff354ep-22, 0x1.f49be5e3d0734p-23, 0x1.e4b16075161dep-23, 0x1.d4e803a924b7fp-23, 0x1.c53fc07f75b0ap-23, 0x1.b5b881454d7dep-23, 0x1.a6522ca0b09aap-23, 0x1.970cca90ff49ep-23, 0x1.87e86cb4fd943p-23, 0x1.78e4dd271988p-23, 0x1.6a01f57bf3186p-23, 0x1.5b3fb2ce60985p-23, 0x1.4c9e091a405fp-23, 0x1.3e1ce65adeb42p-23, 0x1.2fbc370b2006fp-23, 0x1.217be71b1196fp-23, 0x1.135be217e58d1p-23, 0x1.055c132ba75ap-23, 0x1.eef8ca30e9626p-24, 0x1.d3798463ee5d5p-24, 0x1.b83a28bd9da2fp-24, 0x1.9d3a8a201d5eap-24, 0x1.827a7a705a005p-24, 0x1.67f9ca9184646p-24, 0x1.4db84a5b45704p-24, 0x1.33b5c8a5544fp-24, 0x1.19f21374138f2p-24, 0x1.006cf827bfb21p-24, 0x1.ce4c8763227e2p-25, 0x1.9c3b8556539a2p-25, 0x1.6aa682011cf0bp-25, 0x1.398d131080781p-25, 0x1.08eeca24948d2p-25, 0x1.b196692c2c72ep-26, 0x1.5243bc39e8927p-26, 0x1.e7c95c7aa19aap-27, 0x1.2cf0cd91ed1e6p-27, 0x1.cfeea54cf7ea6p-29, -0x1.0c65c1d324345p-29, -0x1.f0a169df005fbp-28, -0x1.aba6a5a4cced8p-27, -0x1.2e8f172c35819p-26, -0x1.865bc1785d3f6p-26, -0x1.dd3bfd5ac0ea4p-26, -0x1.1999813aeaebep-25, -0x1.44205de48d55ap-25, -0x1.6e32a8de2af25p-25, -0x1.97d0bdc34bdc2p-25, -0x1.c0fb166c80025p-25, -0x1.e9b23fd96c1b3p-25, -0x1.08fb645c42641p-24, -0x1.1ce49b679e8a1p-24, -0x1.309505f65a4d4p-24, -0x1.440ceee125068p-24, -0x1.574cd2b3f851bp-24, -0x1.6a54d03c1fb02p-24, -0x1.7d2466cc5b45cp-24, -0x1.8fbcb53274e7dp-24, -0x1.a21e089228d1fp-24, -0x1.b4487533552dfp-24, -0x1.c63c3a26db493p-24, -0x1.d7f99f14bd2d2p-24, -0x1.e980ebeee6a2dp-24, -0x1.fad2688debbbp-24, -0x1.05f72e62d421cp-23, -0x1.0e6a8851ceb78p-23, -0x1.16c3663995684p-23, -0x1.1f01ec5fa2b17p-23, -0x1.27263f331a0cbp-23, -0x1.2f308347d769ap-23, -0x1.3720dd505fceep-23, -0x1.3ef772287819bp-23, -0x1.46b466c33ed21p-23, -0x1.4e57e034ff61cp-23, -0x1.55e203ac52422p-23, -0x1.5d52f671f63f6p-23, -0x1.64aaddec1e411p-23, -0x1.6be9dfa0318b6p-23, -0x1.731021328d078p-23, -0x1.7a1dc87063638p-23, -0x1.8112fb38fe5bbp-23, -0x1.87efdf8337c22p-23, -0x1.8eb49b476569cp-23, -0x1.956154831fc21p-23, -0x1.9bf6313a7e34p-23, -0x1.a27357709e348p-23, -0x1.a8d8ed3a1fc78p-23, -0x1.af2718e7b8c22p-23, -0x1.b55e0139f62acp-23, -0x1.bb7dcd575b2c1p-23, -0x1.c186a42b5bfd5p-23, -0x1.c778ab2ab1771p-23, -0x1.cd5402ed61d7fp-23, -0x1.d318d6f430c08p-23, -0x1.d8c75943edce8p-23, -0x1.de5fdf6aff3abp-23, -0x1.e3e26d8f37a0fp-23, -0x1.e94e8aa16fbfep-23, -0x1.eea4bddd40f4ap-23, -0x1.f3e59e1f8cf0bp-23, -0x1.f9112725e8811p-23, -0x1.fe2763789efc4p-23, -0x1.01943a95e3876p-22, -0x1.040a419e1fc1ep-22, -0x1.0675da8faa22dp-22, -0x1.08d71c2bd0581p-22, -0x1.0b2e20716085dp-22, -0x1.0d7adfd2da42ep-22, -0x1.0fbd809cbbcbep-22, -0x1.11f61b1d993ep-22, -0x1.1424bc71822b8p-22, -0x1.1649774d80b5cp-22, -0x1.18645f17fff5bp-22, -0x1.1a75871e74245p-22, -0x1.1c7d0298a614ep-22, -0x1.1e7ae4b0f4484p-22, -0x1.206f408689b34p-22, -0x1.225a293134f5p-22, -0x1.243bb1c15d459p-22, -0x1.2613ed3b263a2p-22, -0x1.27e2ee993fa77p-22, -0x1.29a8c8b85650bp-22, -0x1.2b658ed3fc699p-22, -0x1.2d19537e5d3c5p-22, -0x1.2ec429a8bf02bp-22, -0x1.30662421f66b1p-22, -0x1.31ff55aaac20ap-22, -0x1.338fd0fbe74bbp-22, -0x1.3517a8c0300ecp-22, -0x1.3696ef9a81542p-22, -0x1.380db81e10083p-22, -0x1.397c14d4b63ep-22, -0x1.3ae2183aa5ea4p-22, -0x1.3c3fd4bd92717p-22, -0x1.3d955cbe8a47p-22, -0x1.3ee2c28e53d38p-22, -0x1.4028187140fa8p-22, -0x1.4165709f735b5p-22, -0x1.429add4584a48p-22, -0x1.43c8707ff0e78p-22, -0x1.44ee3c5f1c626p-22, -0x1.460c52e2474e6p-22, -0x1.4722c5fa7f6c9p-22, -0x1.4831a7888c4b7p-22, -0x1.4939095922362p-22, -0x1.4a38fd26f2b48p-22, -0x1.4b31949b1c9bp-22, -0x1.4c22e15080be9p-22, -0x1.4d0cf4e2efc2dp-22, -0x1.4defe0db2aab5p-22, -0x1.4ecbb69bf7aa7p-22, -0x1.4fa0878e3762ep-22, -0x1.506e64de5c1adp-22, -0x1.51355f42a4846p-22, -0x1.51f58794717d9p-22, -0x1.52aef067e39bp-22, -0x1.5361b14a93d4p-22, -0x1.540dd6b6df3c6p-22, -0x1.54b35a9bc14c9p-22, -0x1.55526602c1669p-22, -0x1.55eb0d566e266p-22, -0x1.567d5a3bd44fap-22, -0x1.5709590a131e9p-22, -0x1.578f1f171979bp-22, -0x1.580eb972e681p-22, -0x1.58883d2138bf9p-22, -0x1.58fbb5f2d7cbdp-22, -0x1.59693586ff95bp-22, -0x1.59d0cbf6437d5p-22, -0x1.5a32895f532b6p-22, -0x1.5a8e7d949f52ap-22, -0x1.5ae4b87c51fb9p-22, -0x1.5b3549d96ba1fp-22, -0x1.5b80415df23dcp-22, -0x1.5bc5aea570dadp-22, -0x1.5c05a136eb0aep-22, -0x1.5c402885a7593p-22, -0x1.5c7553edb3648p-22, -0x1.5ca532b68d043p-22, -0x1.5ccfd4134addcp-22, -0x1.5cf5472094a7ap-22, -0x1.5d159ae589bf7p-22, -0x1.5d30de5332331p-22, -0x1.5d472043d5f74p-22, -0x1.5d586f31491d4p-22, -0x1.5d64dac1a6fbbp-22, -0x1.5d6c708096b1cp-22, -0x1.5d6f3f4664751p-22, -0x1.5d6d5598f8035p-22, -0x1.5d66c1bf6563p-22, -0x1.5d5b91f820874p-22, -0x1.5d4bd46aed6e2p-22, -0x1.5d37972ab0fc4p-22, -0x1.5d1ee832d7fb9p-22, -0x1.5d01d568f53c2p-22, -0x1.5ce06c9af641bp-22, -0x1.5cbabb8172f14p-22, -0x1.5c90cfbe2b91ap-22, -0x1.5c62b6dd383e6p-22, -0x1.5c307e540acd4p-22, -0x1.5bfa33766e72dp-22, -0x1.5bbfe399e6ce3p-22, -0x1.5b819be9a62eap-22, -0x1.5b3f69817de47p-22, -0x1.5af9596453e78p-22, -0x1.5aaf788061d09p-22, -0x1.5a61d3ac9b626p-22, -0x1.5a1077a97638dp-22, -0x1.59bb712282617p-22, -0x1.5962cca76df23p-22, -0x1.590696b4a6f4dp-22, -0x1.58a6dbb258af8p-22, -0x1.5843a7ef665e6p-22, -0x1.57dd07a47c91ep-22, -0x1.577306f096aadp-22, -0x1.5705b1dfda854p-22, -0x1.5695146516453p-22, -0x1.56213a603179cp-22, -0x1.55aa2fb2b3357p-22, -0x1.552fffe526a85p-22, -0x1.54b2b68adf90ap-22, -0x1.54325f4dcf2f7p-22, -0x1.53af05ad2829cp-22, -0x1.5328b2a8e14f7p-22, -0x1.529f780555678p-22, -0x1.52135a968f216p-22, -0x1.5184668c61cb1p-22, -0x1.50f2a8763d386p-22, -0x1.505e2ab036bffp-22, -0x1.4fc6f7e9b788cp-22, -0x1.4f2d1ae15de98p-22, -0x1.4e909e3f13a7p-22, -0x1.4df18c93a6a74p-22, -0x1.4d4ff05b58b96p-22, -0x1.4cabd3fd81f7cp-22, -0x1.4c05417f9fcfp-22, -0x1.4b5c43fa1ec31p-22, -0x1.4ab0e4b47409ap-22, -0x1.4a032e0739fefp-22, -0x1.495329ec7ff24p-22, -0x1.48a0e249e629dp-22, -0x1.47ec60ef71aa2p-22, -0x1.4735af976f289p-22, -0x1.467cd7e934a1ap-22, -0x1.45c1e372657fep-22, -0x1.4504dbad8c54ap-22, -0x1.4445ca00ee298p-22, -0x1.4384b7c069a7ep-22, -0x1.42c1ae26a6f5p-22, -0x1.41fcb65a7dd18p-22, -0x1.4135d96d9d1b1p-22, -0x1.406d205d613dep-22, -0x1.3fa294100f63ep-22, -0x1.3ed63d5eba31ap-22, -0x1.3e0824ffa60e8p-22, -0x1.3d3853a2c772ap-22, -0x1.3c66d1d8c6082p-22, -0x1.3b93a818b5574p-22, -0x1.3abedeae35851p-22, -0x1.39e87d4f24626p-22, -0x1.391090b21fb7fp-22, -0x1.3837199f122b3p-22, -0x1.375c255ede1a9p-22, -0x1.367fbaa3d2c88p-22, -0x1.35a1e14e6c59ap-22, -0x1.34c2a167554fep-22, -0x1.33e20261c5a16p-22, -0x1.33000c605ea2fp-22, -0x1.321cc6ee4d5f4p-22, -0x1.313839a104769p-22, -0x1.30526c2bcd55p-22, -0x1.2f6b631d2f8d1p-22, -0x1.2e832d3ca6525p-22, -0x1.2d99cacfd2bb5p-22, -0x1.2caf455e9912p-22, -0x1.2bc3a3f1f2f52p-22, -0x1.2ad6ed2a900a8p-22, -0x1.29e929f726855p-22, -0x1.28fa5f17545a3p-22, -0x1.280a94692c2c9p-22, -0x1.2719d067bd346p-22, -0x1.262819e4a6bcap-22, -0x1.25357788a6c3bp-22, -0x1.2441efe9968b6p-22, -0x1.234d898a43dc3p-22, -0x1.22584add0b689p-22, -0x1.21623a4174d47p-22, -0x1.206b5e07217d9p-22, -0x1.1f73bc65ae751p-22, -0x1.1e7b5b978a108p-22, -0x1.1d8241a9e6b3ep-22, -0x1.1c8874ac52e4cp-22, -0x1.1b8dfa9776527p-22, -0x1.1a92d953d7d4cp-22, }}, 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      {{0x1.0bad9e7d0aa56p-12, 0x1.469bccaeaf97cp-11, 0x1.3cacce7d9855cp-10, 0x1.1385dbc17ea54p-9, 0x1.baef0bb2227e4p-9, 0x1.4ddd203bef5a8p-8, 0x1.dd353a992b2c7p-8, 0x1.463d2e384c87cp-7, 0x1.adbde1911feb2p-7, 0x1.1240d92ddf0d6p-6, 0x1.54c04d165189bp-6, 0x1.9dade2ec4cbdfp-6, 0x1.ec3970913ad2cp-6, 0x1.1fbde2f923452p-5, 0x1.4b3fa07c3d3dcp-5, 0x1.782395986d133p-5, 0x1.a5eaf6d33887ep-5, 0x1.d4191b28c7c33p-5, 0x1.011acbeb2828bp-4, 0x1.17e6fa7d5cc17p-4, 0x1.2e3b8457a27b5p-4, 0x1.43e701cbaff0dp-4, 0x1.58bc9bbc6c00fp-4, 0x1.6c944f49b8b1p-4, 0x1.7f4b14a297e0ep-4, 0x1.90c2eb80bfc9dp-4, 0x1.a0e2cfcb5acdep-4, 0x1.af96990046c7cp-4, 0x1.bccec73542d7p-4, 0x1.c88040b28396ep-4, 0x1.d2a40348ac69ep-4, 0x1.db36cc8d8e062p-4, 0x1.e238bc196d33p-4, 0x1.e7acf2b3c75fap-4, 0x1.eb99311c744ffp-4, 0x1.ee0578cb1ce91p-4, 0x1.eefbb09fd1f66p-4, 0x1.ee874f1addb16p-4, 0x1.ecb50b4c2d97bp-4, 0x1.e99295494065p-4, 0x1.e52e569e0be92p-4, 0x1.df973add62ba9p-4, 0x1.d8dc8030a6143p-4, 0x1.d10d8f8e77a9dp-4, 0x1.c839dc149f669p-4, 0x1.be70c8e164a91p-4, 0x1.b3c194b44f996p-4, 0x1.a83b4a932c4dep-4, 0x1.9becb6ae0f23ap-4, 0x1.8ee45ec19cf3bp-4, 0x1.81307d4122242p-4, 0x1.72defea04e08p-4, 0x1.63fd8025d1598p-4, 0x1.54994fc314cedp-4, 0x1.44bf6c812bc0fp-4, 0x1.347c8727032d8p-4, 0x1.23dd02d007212p-4, 0x1.12ecf53c83f16p-4, 0x1.01b826b58a27ep-4, 0x1.e09422d9b62fdp-5, 0x1.bd5bc09c57192p-5, 0x1.99dcda83b439ep-5, 0x1.762c7dd41eb1dp-5, 0x1.525f0bd46d75dp-5, 0x1.2e88339bc0c07p-5, 0x1.0abaeb4f7e154p-5, 0x1.ce12d20e1614ep-6, 0x1.870a371915aadp-6, 0x1.407d4662f64d4p-6, 0x1.f5172baf2154cp-7, 0x1.6aa607b138eb5p-7, 0x1.c3beaed813cb7p-8, 0x1.6bdeddf6fce1fp-9, -0x1.4eff2d3a3f818p-10, -0x1.58f48793586fdp-8, -0x1.2cade489934dfp-7, -0x1.aa550a5e13bf1p-7, -0x1.12a6db68ba293p-6, -0x1.4ebcd1fa46185p-6, -0x1.895f1c8b67bdp-6, -0x1.c2823d71ab91ap-6, -0x1.fa1c7b89e8987p-6, -0x1.1812eafe2f4b6p-5, -0x1.324bfb0899eb5p-5, -0x1.4bb70f9fec976p-5, -0x1.64528ed3dfbdap-5, -0x1.7c1d9991b428bp-5, -0x1.931801945a4abp-5, -0x1.a9423ed50766dp-5, -0x1.be9d649615f06p-5, -0x1.d32b1621b8a03p-5, -0x1.e6ed7b554a743p-5, -0x1.f9e7351135ddp-5, -0x1.060da8d20e80bp-4, -0x1.0ec6a0a35cea5p-4, -0x1.1720655e24262p-4, -0x1.1f1d0014eb22cp-4, -0x1.26be9a1a82a88p-4, -0x1.2e0777bc903fap-4, -0x1.34f9f32fd86cap-4, -0x1.3b9877b3f0ccep-4, -0x1.41e57cf3392f3p-4, -0x1.47e382a3174e6p-4, -0x1.4d950c67aa5fap-4, -0x1.52fc9dfd64868p-4, -0x1.581cb7aa4308ap-4, -0x1.5cf7d2f7aa808p-4, -0x1.61905fb54f086p-4, -0x1.65e8c144f9e9cp-4, -0x1.6a034c2e7c607p-4, -0x1.6de243fa97b44p-4, -0x1.7187d95348543p-4, -0x1.74f6286772424p-4, -0x1.782f378f9fb67p-4, -0x1.7b34f6313b746p-4, -0x1.7e093bdd7698ep-4, -0x1.80adc7a8cdd6bp-4, -0x1.83243fb80ebedp-4, -0x1.856e30ff88bcbp-4, -0x1.878d0f3117e5bp-4, -0x1.898234d59b0d8p-4, -0x1.8b4ee38e6bd9cp-4, -0x1.8cf4447b6c62bp-4, -0x1.8e7368c24b4e8p-4, -0x1.8fcd4a33a820bp-4, -0x1.9102cc0ad9099p-4, -0x1.9214bbc525a02p-4, -0x1.9303d20d6941fp-4, -0x1.93d0b3b92abebp-4, -0x1.947bf2d455637p-4, -0x1.95060fb8e6e45p-4, -0x1.956f7a3005a3bp-4, -0x1.95b8929a13664p-4, -0x1.95e1ab1b84ec8p-4, -0x1.95eb08cc56943p-4, -0x1.95d4e4e8381c3p-4, -0x1.959f6dfd91092p-4, -0x1.954ac919c22fp-4, -0x1.94d712f116715p-4, -0x1.944461010b251p-4, -0x1.9392c2abadf96p-4, -0x1.92c2424af961fp-4, -0x1.91d2e63b3588ap-4, -0x1.90c4b1db858fdp-4, -0x1.8f97a683e4bccp-4, -0x1.8e4bc46ff7abbp-4, -0x1.8ce10b9e2a17dp-4, -0x1.8b577ca2b46a2p-4, -0x1.89af196e35d88p-4, -0x1.87e7e607aaf67p-4, -0x1.8601e939967fcp-4, -0x1.83fd2d324f846p-4, -0x1.81d9c01770363p-4, -0x1.7f97b48c7d724p-4, -0x1.7d37222cdcd6cp-4, -0x1.7ab825f950476p-4, -0x1.781ae2b928aadp-4, -0x1.755f814f79971p-4, -0x1.728631049ce8ep-4, -0x1.6f8f27c459233p-4, -0x1.6c7aa2510eb05p-4, -0x1.6948e46c4c3dfp-4, -0x1.65fa38f537488p-4, -0x1.628ef1fd37a8ap-4, -0x1.5f0768d35a3f8p-4, -0x1.5b63fe06df0adp-4, -0x1.57a51961668ecp-4, -0x1.53cb29d93c5efp-4, -0x1.4fd6a57c360c9p-4, -0x1.4bc80953a063cp-4, -0x1.479fd941b4018p-4, -0x1.435e9fd907a5fp-4, -0x1.3f04ee2e77b81p-4, -0x1.3a935ba5f6e88p-4, -0x1.360a85bab911fp-4, -0x1.316b0fc32e8f3p-4, -0x1.2cb5a2b1336c9p-4, -0x1.27eaeccee2de4p-4, -0x1.230ba17870446p-4, -0x1.1e1878d36d01cp-4, -0x1.19122f83d8e85p-4, -0x1.13f9865f58b73p-4, -0x1.0ecf421eec34bp-4, -0x1.09942b0f7200cp-4, -0x1.04490cc14fad6p-4, -0x1.fddd6b6f0626ep-5, -0x1.f30bee2cd9ddap-5, -0x1.e81f48a522329p-5, -0x1.dd1925bf230fap-5, -0x1.d1fb33bf3b7abp-5, -0x1.c6c723a7196b2p-5, -0x1.bb7ea897addf3p-5, -0x1.b023773548fc5p-5, -0x1.a4b7450e2e189p-5, -0x1.993bc803fbdc3p-5, -0x1.8db2b5b82f8e7p-5, -0x1.821dc2fc01d2fp-5, -0x1.767ea343e933p-5, -0x1.6ad7081eec5p-5, -0x1.5f28a0b2009ep-5, -0x1.53751937a1478p-5, -0x1.47be1a83c4eep-5, -0x1.3c05498c4db92p-5, -0x1.304c46f616898p-5, -0x1.2494aea6aff51p-5, -0x1.18e0175ae6621p-5, -0x1.0d301242184a4p-5, -0x1.01862a9e732a7p-5, -0x1.ebc7cad4289e1p-6, -0x1.d49582022856p-6, -0x1.bd7869a0f0b8ep-6, -0x1.a67362141cf3bp-6, -0x1.8f893cba3a05dp-6, -0x1.78bcbb67e9513p-6, -0x1.62108fec8c427p-6, -0x1.4b875ba06afcfp-6, -0x1.3523aefc36619p-6, -0x1.1ee80939b7b22p-6, -0x1.08d6d7fd7b26cp-6, -0x1.e5e4ee12cec6bp-7, -0x1.ba7a5fefd94ep-7, -0x1.8f7273ff87ef4p-7, -0x1.64d1737fc1668p-7, -0x1.3a9b822703e5bp-7, -0x1.10d49ddc27308p-7, -0x1.cf013cfaa558dp-8, -0x1.7d466b6b6d0c7p-8, -0x1.2c7fddc2dd535p-8, -0x1.b968bbfd8733ep-9, -0x1.1bd4d2c0b8a37p-9, -0x1.00a0c21151c1cp-10, 0x1.918d0d9fecee2p-13, 0x1.60b725dd7c668p-10, 0x1.456d4cd845955p-9, 0x1.d843fcebdb279p-9, 0x1.346b1b8fbed0cp-8, 0x1.7b8d91e85fb89p-8, 0x1.c1853f334490cp-8, 0x1.032724f3b4d01p-7, 0x1.24f29036cc7aap-7, 0x1.46233c1f6451dp-7, 0x1.66b7a679c95dep-7, 0x1.86ae6fa2e109bp-7, 0x1.a6065a026c351p-7, 0x1.c4be497f17e2fp-7, 0x1.e2d542ed09e26p-7, 0x1.002535bb83386p-6, 0x1.0e8e84016a3d4p-6, 0x1.1ca63e488fe83p-6, 0x1.2a6c25cca4f37p-6, 0x1.37e00ab0da3aep-6, 0x1.4501cbaa3e0e1p-6, 0x1.51d155a8cb427p-6, 0x1.5e4ea37f08f1cp-6, 0x1.6a79bd88a2571p-6, 0x1.7652b94ff3f8bp-6, 0x1.81d9b932d69adp-6, 0x1.8d0eec06ace72p-6, 0x1.97f28cbc04b64p-6, 0x1.a284e201bbcbfp-6, 0x1.acc63de802181p-6, 0x1.b6b6fd832b695p-6, 0x1.c057888e8baf1p-6, 0x1.c9a8510f76691p-6, 0x1.d2a9d2f87cb92p-6, 0x1.db5c93ccefb64p-6, 0x1.e3c12244eec85p-6, 0x1.ebd815f1ecf05p-6, 0x1.f3a20ee3dc22bp-6, 0x1.fb1fb54f1a24bp-6, 0x1.0128dc998b3e4p-5, 0x1.049c6900fada2p-5, 0x1.07eadf248b9ap-5, 0x1.0b14a1ad4f627p-5, 0x1.0e1a167c0fff8p-5, 0x1.10fba67f308a9p-5, 0x1.13b9bd892bbc3p-5, 0x1.1654ca27af29ep-5, 0x1.18cd3d7b5da46p-5, 0x1.1b238b103be0bp-5, 0x1.1d5828b6cdc0fp-5, 0x1.1f6b8e5deb475p-5, 0x1.215e35ed4d8c4p-5, 0x1.23309b20d6893p-5, 0x1.24e33b64a2242p-5, 0x1.267695b1cbba6p-5, 0x1.27eb2a6c09972p-5, 0x1.29417b4005007p-5, 0x1.2a7a0b027fbe2p-5, 0x1.2b955d90433c6p-5, 0x1.2c93f7aee2c95p-5, 0x1.2d765eee41723p-5, 0x1.2e3d198af043bp-5, 0x1.2ee8ae5154626p-5, 0x1.2f79a481a098ap-5, 0x1.2ff083b49b50cp-5, 0x1.304dd3c131aeap-5, 0x1.30921ca2d8238p-5, 0x1.30bde660ba3e5p-5, 0x1.30d1b8f5ae1bep-5, 0x1.30ce1c38fb4c9p-5, 0x1.30b397c7dfb8ap-5, 0x1.3082b2efe745cp-5, 0x1.303bf499fa17fp-5, 0x1.2fdfe3363e47dp-5, 0x1.2f6f04a8ac551p-5, 0x1.2ee9de366c26ap-5, 0x1.2e50f473e84b7p-5, 0x1.2da4cb339ee08p-5, 0x1.2ce5e575a6417p-5, 0x1.2c14c557e6382p-5, 0x1.2b31ec0706056p-5, 0x1.2a3dd9b00297bp-5, 0x1.29390d72777f4p-5, 0x1.282405538bd6cp-5, 0x1.26ff3e31864ccp-5, 0x1.25cb33b805d6cp-5, 0x1.24886054d6425p-5, 0x1.23373d2d64824p-5, 0x1.21d84214c9936p-5, 0x1.206be5826b9d7p-5, 0x1.1ef29c8930be5p-5, 0x1.1d6cdacf41081p-5, 0x1.1bdb128654e1fp-5, 0x1.1a3db464891cfp-5, 0x1.18952f9db6f8dp-5, 0x1.16e1f1dd5507bp-5, 0x1.15246740cc872p-5, 0x1.135cfa524e716p-5, 0x1.118c140422a5dp-5, 0x1.0fb21bac66f4p-5, 0x1.0dcf770140da6p-5, 0x1.0be48a1579e0dp-5, 0x1.09f1b7558fb47p-5, 0x1.07f75f851da2bp-5, 0x1.05f5e1bcb162fp-5, 0x1.03ed9b680373fp-5, 0x1.01dee8448551dp-5, 0x1.ff9444c09a87p-6, 0x1.fb5f4432b9de2p-6, 0x1.f71f7c3a6cc73p-6, 0x1.f2d596d189c11p-6, 0x1.ee823a913584bp-6, 0x1.ea260ab2d67eep-6, 0x1.e5c1a711bdd73p-6, 0x1.e155ac2d42766p-6, 0x1.dce2b32b713bp-6, 0x1.d86951dc2dc59p-6, 0x1.d3ea1abce21d5p-6, 0x1.cf659cfc95c6ap-6, 0x1.cadc648076d8ap-6, 0x1.c64ef9e8dab34p-6, 0x1.c1bde29692722p-6, 0x1.bd29a0b0b4e45p-6, 0x1.b892b32ab536dp-6, 0x1.b3f995cae32d4p-6, 0x1.af5ec13133d54p-6, 0x1.aac2aade59be1p-6, 0x1.a625c53b30ed5p-6, 0x1.a1887fa074029p-6, 0x1.9ceb465e9fccfp-6, 0x1.984e82c63747ap-6, 0x1.93b29b301f843p-6, 0x1.8f17f3065389fp-6, 0x1.8a7eeaccaf6f1p-6, 0x1.85e7e02a011b2p-6, 0x1.81532df138b46p-6, 0x1.7cc12c2acf3c8p-6, 0x1.7832301e3ec47p-6, 0x1.73a68c5bb4542p-6, 0x1.6f1e90c5d41e5p-6, 0x1.6a9a8a9b9caa5p-6, 0x1.661ac48268402p-6, 0x1.619f8690058d7p-6, 0x1.5d291654dad85p-6, 0x1.58b7b6e62287dp-6, 0x1.544ba8e841011p-6, 0x1.4fe52a991213p-6, 0x1.4b8477da4745ap-6, 0x1.4729ca3bdf7ep-6, 0x1.42d559068ba2fp-6, 0x1.3e8759462911cp-6, 0x1.3a3ffdd42e005p-6, 0x1.35ff7762260e3p-6, 0x1.31c5f484222b8p-6, 0x1.2d93a1bb25af1p-6, 0x1.2968a97f936c8p-6, 0x1.2545344b8b4f2p-6, 0x1.212968a543bc3p-6, 0x1.1d156b29591acp-6, 0x1.19095e9514364p-6, 0x1.150563d093125p-6, 0x1.110999f8fdb59p-6, 0x1.0d161e6a8deafp-6, 0x1.092b0ccaa461fp-6, 0x1.05487f11a6eb7p-6, 0x1.016e8d94f1025p-6, 0x1.fb3a9e212a5dp-7, 0x1.f3a9b16224e34p-7, 0x1.ec2a7c39eecf5p-7, 0x1.e4bd22fcc1a09p-7, 0x1.dd61c718e656bp-7, 0x1.d618872955a1p-7, 0x1.cee17f0830a62p-7, 0x1.c7bcc7e115343p-7, 0x1.c0aa78431ee7fp-7, 0x1.b9aaa432c253dp-7, 0x1.b2bd5d3b7c869p-7, 0x1.abe2b281287f4p-7, 0x1.a51ab0d13cb44p-7, 0x1.9e6562b3bc9aap-7, 0x1.97c2d07be6a02p-7, 0x1.91330058bc24dp-7, 0x1.8ab5f66541aebp-7, 0x1.844bb4b87b8eap-7, 0x1.7df43b752e01cp-7, 0x1.77af88d97319cp-7, 0x1.717d994dfd9c4p-7, 0x1.6b5e67750fe2bp-7, 0x1.6551ec3961d6bp-7, 0x1.5f581edc9d60fp-7, 0x1.5970f505b09f4p-7, 0x1.539c62cecba97p-7, 0x1.4dda5ad346698p-7, 0x1.482ace3d1ce5cp-7, 0x1.428dacd24176cp-7, 0x1.3d02e501b0143p-7, 0x1.378a63f03265ap-7, 0x1.3224158503085p-7, 0x1.2ccfe4760f959p-7, 0x1.278dba5413f49p-7, 0x1.225d7f967122dp-7, 0x1.1d3f1ba6ba18fp-7, 0x1.183274ec1bd08p-7, 0x1.133770d672f43p-7, 0x1.0e4df3e924a04p-7, 0x1.0975e1c5d122ep-7, 0x1.04af1d36b7804p-7, 0x1.fff31071a7b9bp-8, 0x1.f6aa080bd14d8p-8, 0x1.ed82e23c3fc4cp-8, 0x1.e47d5ea3325dcp-8, 0x1.db993b934e042p-8, 0x1.d2d63623c1172p-8, 0x1.ca340a41cca83p-8, 0x1.c1b272c226094p-8, 0x1.b9512971b0511p-8, 0x1.b10fe725d1aa5p-8, 0x1.a8ee63cc7b841p-8, 0x1.a0ec567b9e225p-8, 0x1.990975806edefp-8, 0x1.9145766df1425p-8, 0x1.89a00e2b7efd1p-8, 0x1.8218f102aa17p-8, 0x1.7aafd2acaf5f8p-8, 0x1.7364665fcfd0fp-8, 0x1.6c365edc0e4bep-8, 0x1.65256e7793402p-8, 0x1.5e31472adc8b3p-8, 0x1.57599a9c562fap-8, 0x1.509e1a2bdad77p-8, 0x1.49fe76fd9d2fep-8, 0x1.437a6204e634p-8, 0x1.3d118c0e68399p-8, 0x1.36c3a5ca5f538p-8, 0x1.30905fd611435p-8, 0x1.2a776ac564c7ep-8, 0x1.2478772bd90aap-8, 0x1.1e9335a550dc9p-8, 0x1.18c756de85d8cp-8, 0x1.13148b9d47bc5p-8, 0x1.0d7a84c84adf5p-8, 0x1.07f8f36ed456bp-8, 0x1.028f88d00d23fp-8, 0x1.fa7becc3e4a15p-9, 0x1.f007dbb0d071ep-9, 0x1.e5c24256d79fap-9, 0x1.dbaa853b5782p-9, 0x1.d1c00984ab916p-9, 0x1.c80235060182cp-9, 0x1.be706e4a5f594p-9, 0x1.b50a1c9f52c5bp-9, 0x1.abcea81f19fafp-9, 0x1.a2bd79ba55b97p-9, 0x1.99d5fb4166ea6p-9, 0x1.9117976d6654bp-9, 0x1.8881b9e86f8p-9, 0x1.8013cf55ad1a1p-9, 0x1.77cd455957d98p-9, 0x1.6fad8a9f94957p-9, 0x1.67b40ee3bd537p-9, 0x1.5fe042f68f2bp-9, 0x1.583198c4af6afp-9, 0x1.50a7835c51418p-9, 0x1.494176f2bfce4p-9, 0x1.41fee8e99f95ap-9, 0x1.3adf4fd3b92bap-9, 0x1.33e223796a5ccp-9, 0x1.2d06dcdd2ddb4p-9, 0x1.264cf63f3dcd5p-9, 0x1.1fb3eb2169064p-9, 0x1.193b384a7e69p-9, 0x1.12e25bc935213p-9, 0x1.0ca8d4f745449p-9, 0x1.068e247bd672ep-9, 0x1.0091cc4df4a66p-9, 0x1.f5669f6d30bc9p-10, 0x1.e9e466a520c5dp-10, 0x1.de9bfa283f151p-10, 0x1.d38c6888fa6f8p-10, 0x1.c8b4c30a3d5a6p-10, 0x1.be141da10a2fp-10, 0x1.b3a98ef676e28p-10, 0x1.a9743068d7633p-10, 0x1.9f731e0ce5b51p-10, 0x1.95a576addbd6ep-10, 0x1.8c0a5bcddb579p-10, 0x1.82a0f1a6193f5p-10, 0x1.79685f25c014bp-10, 0x1.705fcdf1f8deep-10, 0x1.67866a643d0d5p-10, 0x1.5edb6389429f9p-10, 0x1.565deb1f7c36ap-10, 0x1.4e0d3594fca63p-10, 0x1.45e87a056c8a2p-10, 0x1.3deef2379de73p-10, 0x1.361fda9b52769p-10, 0x1.2e7a7245cfb2bp-10, 0x1.26fdfaef47af9p-10, 0x1.1fa9b8ef4a405p-10, 0x1.187cf339926fap-10, 0x1.1176f35a55dedp-10, 0x1.0a9705724c155p-10, 0x1.03dc7832ff733p-10, 0x1.fa8d39b4c79a9p-11, 0x1.eda98e5d33eb4p-11, 0x1.e10c9af380a6ap-11, 0x1.d4b511099f381p-11, 0x1.c8a1a72724fadp-11, 0x1.bcd118bed1c8bp-11, 0x1.b14226248b66fp-11, 0x1.a5f39483c749cp-11, 0x1.9ae42dd4aa3a4p-11, 0x1.9012c0d1f1cp-11, 0x1.857e20edfdef7p-11, 0x1.7b2526480af57p-11, 0x1.7106ada0f7cb7p-11, 0x1.672198504b852p-11, 0x1.5d74cc38c839ep-11, 0x1.53ff33bd1b6e1p-11, 0x1.4abfbdb3e55fap-11, 0x1.41b55d5c62ae1p-11, 0x1.38df0a52bd836p-11, 0x1.303bc083da548p-11, 0x1.27ca80219aa17p-11, 0x1.1f8a4d96c6c2p-11, 0x1.177a317b340c8p-11, 0x1.0f99388749c1bp-11, 0x1.07e673880e6dbp-11, 0x1.0060f752ffb23p-11, 0x1.f20fb9739838fp-12, 0x1.e3b480fbedd6ap-12, 0x1.d5ae8689610a7p-12, 0x1.c7fc1314c27e4p-12, 0x1.ba9b772de7144p-12, 0x1.ad8b0ae130b04p-12, 0x1.a0c92da151aa7p-12, 0x1.9454462c7c6cbp-12, 0x1.882ac275f9dc7p-12, 0x1.7c4b178c31976p-12, 0x1.70b3c181c737cp-12, 0x1.65634353c457ep-12, 0x1.5a5826d2d2a95p-12, 0x1.4f90fc8a6806ap-12, 0x1.450c5ba90aa51p-12, 0x1.3ac8e1e82afd4p-12, 0x1.30c53374e27c2p-12, 0x1.26fffad80c78ap-12, 0x1.1d77e8de9a285p-12, 0x1.142bb48273179p-12, 0x1.0b1a1ad33f904p-12, 0x1.0241dedf4d1f1p-12, 0x1.f343933920becp-13, 0x1.e27153a3a5d2ap-13, 0x1.d20aa801d16c2p-13, 0x1.c20d449df28adp-13, 0x1.b276e8deb7488p-13, 0x1.a3455f1a136b3p-13, 0x1.94767c69e6a03p-13, 0x1.8608207fecc4ep-13, 0x1.77f8357cb300cp-13, 0x1.6a44afc258836p-13, 0x1.5ceb8dcc89ba7p-13, 0x1.4fead805d7174p-13, 0x1.4340a09e92bdap-13, 0x1.36eb03639c2f1p-13, 0x1.2ae82596e3836p-13, 0x1.1f3635c5cf4b7p-13, 0x1.13d36ba2417e6p-13, 0x1.08be07dc134a8p-13, 0x1.fbe8a7f2a24c8p-14, 0x1.e6e94460f091cp-14, 0x1.d27a9a84c6271p-14, 0x1.be9970a87cf72p-14, 0x1.ab429d97cd4cbp-14, 0x1.987308540c6bap-14, 0x1.8627a7cc571bbp-14, 0x1.745d8297ce2f3p-14, 0x1.6311aeadf492dp-14, 0x1.52415120bd2cp-14, 0x1.41e99dd8d2269p-14, 0x1.3207d75020624p-14, 0x1.22994e5261b44p-14, 0x1.139b61b739e6fp-14, 0x1.050b7e238f9b8p-14, 0x1.edce3b909b655p-15, 0x1.d25790466d073p-15, 0x1.b7ae2383b8a94p-15, 0x1.9dcd3801d86efp-15, 0x1.84b029a6acbafp-15, 0x1.6c526d075e84bp-15, 0x1.54af8ef431ef1p-15, 0x1.3dc33407084cbp-15, 0x1.2789182c2090dp-15, 0x1.11fd0e35d9ec2p-15, 0x1.fa35fed21ddf6p-16, 0x1.d1bdd62d65ecap-16, 0x1.aa89cc5153e0dp-16, 0x1.84923579994c1p-16, 0x1.5fcf8f78a48bfp-16, 0x1.3c3a80e476782p-16, 0x1.19cbd850a965p-16, 0x1.f0f91710b5375p-17, 0x1.b08b6d92078aep-17, 0x1.72413805f966p-17, 0x1.360d443b41f97p-17, 0x1.f7c550da6bb98p-18, 0x1.876983d683242p-18, 0x1.1aee673595be7p-18, 0x1.6477928b1c47cp-19, 0x1.34e7f87fe83d4p-20, -0x1.42e230e644d0ep-22, -0x1.c84d0aa93767bp-20, -0x1.99171644b2ca9p-19, -0x1.23acab98c192fp-18, -0x1.778bda4d6a1e5p-18, -0x1.c83dd715bde16p-18, -0x1.0aeb76e8fcff8p-17, -0x1.30357c55d3b2fp-17, -0x1.5406b14262486p-17, -0x1.766894964f55bp-17, -0x1.97646fd5e1979p-17, -0x1.b703583409ebep-17, -0x1.d54e2fa913f97p-17, -0x1.f24da602ffaccp-17, -0x1.07051cf7dd5dap-16, -0x1.14461cffba1bep-16, -0x1.20ede2d4abc24p-16, -0x1.2d00671e43dbdp-16, -0x1.38818bf46f0c2p-16, -0x1.43751d4f4e95ep-16, -0x1.4dded181a73f6p-16, -0x1.57c249b14b8f8p-16, -0x1.61231241c0fc2p-16, -0x1.6a04a34ab83c3p-16, -0x1.726a610131acbp-16, -0x1.7a579c27ad4f2p-16, -0x1.81cf9273c1d0bp-16, -0x1.88d56ef793ccap-16, -0x1.8f6c4a8852b03p-16, -0x1.95972c215cdb1p-16, -0x1.9b590942b6deep-16, -0x1.a0b4c65623b3fp-16, -0x1.a5ad3707ac472p-16, -0x1.aa451ea69e85fp-16, -0x1.ae7f3078ff906p-16, -0x1.b25e101b29af9p-16, -0x1.b5e451d0bd37cp-16, -0x1.b9147adabdd53p-16, -0x1.bbf101ce26bdfp-16, -0x1.be7c4ede68bcdp-16, -0x1.c0b8bc32e615cp-16, -0x1.c2a896322ca24p-16, -0x1.c44e1bce2b69ap-16, -0x1.c5ab7ed10c835p-16, -0x1.c6c2e423655f5p-16, -0x1.c79664172257ap-16, -0x1.c8280aaaf9d9dp-16, -0x1.c879d7d23c74ep-16, -0x1.c88dbfb345624p-16, -0x1.c865aaeffbd6bp-16, -0x1.c80376dfca8cfp-16, -0x1.c768f5d350e6fp-16, -0x1.c697ef4f8d6f9p-16, -0x1.c592204ccb0cdp-16, -0x1.c4593b6e0d237p-16, -0x1.c2eee940bde6cp-16, -0x1.c154c86e308dep-16, -0x1.bf8c6df9ddfbfp-16, -0x1.bd976572f7884p-16, -0x1.bb77312ba3936p-16, -0x1.b92d4a6c47ddp-16, -0x1.b6bb21a807891p-16, -0x1.b4221eaa3925bp-16, -0x1.b163a0cd16bcbp-16, -0x1.ae80ff23d0ffp-16, -0x1.ab7b88ad2ed4p-16, -0x1.a854847d179b4p-16, -0x1.a50d31ee909bp-16, -0x1.a1a6c8c8bcf82p-16, -0x1.9e22796f5326p-16, -0x1.9a816d07fb43ep-16, -0x1.96c4c5a6593edp-16, -0x1.92ed9e71c6b27p-16, -0x1.8efd0bcc555f9p-16, -0x1.8af41b7afcac2p-16, -0x1.86d3d4c7d1aep-16, -0x1.829d38a8f2927p-16, -0x1.7e5141e34d55p-16, -0x1.79f0e52c54a56p-16, -0x1.757d114e8c95p-16, -0x1.70f6af478400ep-16, -0x1.6c5ea26d04191p-16, -0x1.67b5c88715617p-16, -0x1.62fcf9f4369fdp-16, -0x1.5e3509c4ed75fp-16, -0x1.595ec5daafbe8p-16, -0x1.547af703e03d2p-16, -0x1.4f8a6119c808p-16, -0x1.4a8dc31acb181p-16, -0x1.4585d746b5accp-16, -0x1.40735338a985bp-16, -0x1.3b56e80175c19p-16, -0x1.363142408da8p-16, -0x1.31030a3d25a39p-16, -0x1.2bcce3fe07a7cp-16, -0x1.268f6f62153e6p-16, -0x1.214b483672c9bp-16, -0x1.1c01064dbcaa1p-16, -0x1.16b13d962f9ddp-16, -0x1.115c7e2f60b7ep-16, -0x1.0c03547e036bdp-16, -0x1.06a6494401aedp-16, -0x1.0145e1b0300fcp-16, -0x1.f7c53eeaf2fep-17, -0x1.ecfa01b8fdaa9p-17, -0x1.e22b01af75181p-17, -0x1.d7592e28ae737p-17, -0x1.cc85701b1bb46p-17, -0x1.c1b0aa3bbe064p-17, -0x1.b6dbb9202d8b2p-17, -0x1.ac077360f062bp-17, -0x1.a134a9bae275cp-17, -0x1.9664272d2f98bp-17, -0x1.8b96b11c10e46p-17, -0x1.80cd076cb30f9p-17, -0x1.7607e4a57277ep-17, -0x1.6b47fe09fb20dp-17, -0x1.608e03b92ea89p-17, -0x1.55daa0c7b0c0ep-17, -0x1.4b2e7b5d71c63p-17, -0x1.408a34cf47853p-17, -0x1.35ee69b94c049p-17, -0x1.2b5bb21a3a87p-17, -0x1.20d2a1695f915p-17, -0x1.1653c6b2d3dc3p-17, -0x1.0bdfacad2e18cp-17, -0x1.0176d9d2ac05dp-17, -0x1.ee33a0eccff4dp-18, -0x1.d9921db8b8d5cp-18, -0x1.c50a1ea0a16dap-18, -0x1.b09c90716804bp-18, -0x1.9c4a585c2da1ap-18, -0x1.8814541c2486p-18, -0x1.73fb5a23ce24dp-18, -0x1.600039bfc72e4p-18, -0x1.4c23bb3fd6bfap-18, -0x1.3866a01c1569bp-18, -0x1.24c9a31aaaac5p-18, -0x1.114d7874b5bafp-18, -0x1.fbe59bede7c24p-19, -0x1.d5749652332c2p-19, -0x1.af4922d6a2835p-19, -0x1.89647835aeacp-19, -0x1.63c7c1625ca75p-19, -0x1.3e741dc713b64p-19, -0x1.196aa1887da8ep-19, -0x1.e958ab7d3f361p-20, -0x1.a074716718b45p-20, -0x1.582a7c36fcad7p-20, -0x1.107c9ea2bef71p-20, -0x1.92d92e382f06fp-21, -0x1.05f8208750ae8p-21, -0x1.e9650a21f4e0fp-23, 0x1.00063539173d8p-25, 0x1.3223dbac684acp-22, 0x1.20d89e28c83c8p-21, 0x1.a751d911d648ap-21, 0x1.163d931550e02p-20, 0x1.5829179555d85p-20, 0x1.996a5f8c00f61p-20, 0x1.da0060d70aaacp-20, 0x1.0cf5109f3ff1ep-19, 0x1.2c935b1c23badp-19, 0x1.4bdaa23b111aap-19, 0x1.6aca7fcf5500dp-19, 0x1.896294ffdd0a6p-19, 0x1.a7a28a1478636p-19, 0x1.c58a0e56673bp-19, 0x1.e318d7e5e9a24p-19, 0x1.002751c9f583ep-18, 0x1.0e959a5d26744p-18, 0x1.1cd72a8d715fbp-18, 0x1.2aebea5a52533p-18, 0x1.38d3c4d3ea8cap-18, 0x1.468ea8067ea68p-18, 0x1.541c84e98fae1p-18, 0x1.617d4f5102d1cp-18, 0x1.6eb0fdd95e5cap-18, 0x1.7bb789daf304fp-18, 0x1.8890ef56764a8p-18, 0x1.953d2ce865214p-18, 0x1.a1bc43b761f77p-18, 0x1.ae0e376608773p-18, 0x1.ba330e042f6fdp-18, 0x1.c62acfffe13f6p-18, 0x1.d1f5881762e29p-18, 0x1.dd93434c36108p-18, 0x1.e90410d1e2c39p-18, 0x1.f448020406704p-18, 0x1.ff5f2a58abc8fp-18, 0x1.0524cfa82c698p-17, 0x1.0a83bc35e7b6dp-17, 0x1.0fcc678f80138p-17, 0x1.14fedf622a0edp-17, 0x1.1a1b32481dbd4p-17, 0x1.1f216fc2ca30ep-17, 0x1.2411a8352b19p-17, 0x1.28ebecdda1b96p-17, 0x1.2db04fd027f3ep-17, 0x1.325ee3f1a624cp-17, 0x1.36f7bcf15c8e5p-17, 0x1.3b7aef4441476p-17, 0x1.3fe8901f079a6p-17, 0x1.4440b571f342dp-17, 0x1.488375e2d56bfp-17, 0x1.4cb0e8c84cef5p-17, 0x1.50c9262520156p-17, 0x1.54cc46a2d4ca5p-17, 0x1.58ba638d8a33p-17, 0x1.5c9396ced85d5p-17, 0x1.6057fae97258dp-17, 0x1.6407aaf4772d7p-17, 0x1.67a2c2974e9c1p-17, 0x1.6b295e04da603p-17, 0x1.6e9b99f743168p-17, 0x1.71f993ac8ee65p-17, 0x1.754368e0fa972p-17, 0x1.787937cc20574p-17, 0x1.7b9b1f1cc8f58p-17, 0x1.7ea93df4457ccp-17, 0x1.81a3b3e37d7b4p-17, 0x1.848aa0e6611e1p-17, 0x1.875e2560adf86p-17, 0x1.8a1e621a01177p-17, 0x1.8ccb783a7651p-17, 0x1.8f658946bbc83p-17, 0x1.91ecb71cd543bp-17, 0x1.946123f0ccc82p-17, 0x1.96c2f248e4601p-17, 0x1.991244faba011p-17, 0x1.9b4f3f28023c9p-17, 0x1.9d7a043af51e4p-17, 0x1.9f92b7e37663fp-17, 0x1.a1997e13ea1fp-17, 0x1.a38e7afe23475p-17, 0x1.a571d31098eb1p-17, 0x1.a743aaf33c41cp-17, 0x1.a9042784bdb68p-17, 0x1.aab36dd793fa9p-17, 0x1.ac51a32f4e085p-17, 0x1.addeecfe1be9bp-17, 0x1.af5b70e182349p-17, 0x1.b0c754a065f6p-17, 0x1.b222be27f6f24p-17, 0x1.b36dd38956aebp-17, 0x1.b4a8baf746b0dp-17, 0x1.b5d39ac3706a9p-17, 0x1.b6ee995c0db5ap-17, 0x1.b7f9dd49bdfb1p-17, 0x1.b8f58d2cf5099p-17, 0x1.b9e1cfbbd48fdp-17, 0x1.babecbc0282e5p-17, 0x1.bb8ca814b3271p-17, 0x1.bc4b8ba394327p-17, 0x1.bcfb9d63ec897p-17, 0x1.bd9d0457ac68p-17, 0x1.be2fe789c470ep-17, 0x1.beb46e0c17a89p-17, 0x1.bf2abef5bcb34p-17, 0x1.bf930160b066bp-17, 0x1.bfed5c68228fcp-17, 0x1.c039f726b44ecp-17, 0x1.c078f8b4a80a7p-17, 0x1.c0aa882632886p-17, 0x1.c0cecc895fef6p-17, 0x1.c0e5ece4e3b26p-17, 0x1.c0f01036247bbp-17, 0x1.c0ed5d6fcb3dfp-17, 0x1.c0ddfb77c67a2p-17, 0x1.c0c211264f7c9p-17, 0x1.c099c543ef145p-17, 0x1.c0653e88505f5p-17, 0x1.c024a3989d6aap-17, 0x1.bfd81b05efff7p-17, 0x1.bf7fcb4c4706p-17, 0x1.bf1bdad0d4bc6p-17, 0x1.beac6fe10b285p-17, 0x1.be31b0b0e3193p-17, 0x1.bdabc359e7292p-17, 0x1.bd1acdd9b0118p-17, 0x1.bc7ef610f3feep-17, 0x1.bbd861c200039p-17, 0x1.bb27368ffcbdfp-17, 0x1.ba6b99fd849e4p-17, 0x1.b9a5b16b65678p-17, 0x1.b8d5a217e1f46p-17, 0x1.b7fb911d80b0dp-17, 0x1.b717a371f293ep-17, 0x1.b629fde54acdep-17, 0x1.b532c520aefe4p-17, 0x1.b4321da5bcffbp-17, 0x1.b3282bcd539e6p-17, 0x1.b21513c6f29ffp-17, 0x1.b0f8f9978d903p-17, 0x1.afd40118e323ap-17, 0x1.aea64df8b374ep-17, 0x1.ad7003b7c5419p-17, 0x1.ac3145a9517a7p-17, 0x1.aaea36f21f8f6p-17, 0x1.a99afa87db611p-17, 0x1.a843b3304449dp-17, 0x1.a6e4838040c3cp-17, 0x1.a57d8ddc03e17p-17, 0x1.a40ef47580fcap-17, 0x1.a298d94c619fcp-17, 0x1.a11b5e2cf3b48p-17, 0x1.9f96a4afffb84p-17, 0x1.9e0ace39f3725p-17, 0x1.9c77fbfa7a2ffp-17, 0x1.9ade4eeb97a04p-17, 0x1.993de7d1da44bp-17, 0x1.9796e73b21453p-17, 0x1.95e96d7eb9432p-17, 0x1.94359abc41e1ap-17, 0x1.927b8edc3990cp-17, 0x1.90bb698e6b786p-17, 0x1.8ef54a4a573b7p-17, 0x1.8d29504e575b1p-17, 0x1.8b579a9fbf79fp-17, 0x1.89804809f455fp-17, 0x1.87a3771eb6b89p-17, 0x1.85c146352743ap-17, 0x1.83d9d369f48efp-17, 0x1.81ed3c9ea2b09p-17, 0x1.7ffb9f79e1b55p-17, 0x1.7e051966cb122p-17, 0x1.7c09c794e5f6fp-17, 0x1.7a09c6f7b1225p-17, 0x1.780534467bf7ep-17, 0x1.75fc2bfc8edaap-17, 0x1.73eeca5865bcep-17, 0x1.71dd2b5c121fbp-17, 0x1.6fc76acc9dfd4p-17, 0x1.6dada43250f57p-17, 0x1.6b8ff2d845a8cp-17, 0x1.696e71cc2ea22p-17, 0x1.67493bdea59a3p-17, 0x1.65206ba2b0f7bp-17, 0x1.62f41b6e14843p-17, 0x1.60c46558c14e5p-17, 0x1.5e91633d62e57p-17, 0x1.5c5b2eb87a35p-17, 0x1.5a21e12927477p-17, 0x1.57e593b094d5fp-17, 0x1.55a65f3296cf4p-17, 0x1.53645c54e3767p-17, 0x1.511fa37fa4f1cp-17, 0x1.4ed84cdd0b0acp-17, 0x1.4c8e7059f7413p-17, 0x1.4a4225a573e26p-17, 0x1.47f384310bf1fp-17, 0x1.45a2a330756a8p-17, 0x1.434f999a171f7p-17, 0x1.40fa7e271828cp-17, 0x1.3ea367533a459p-17, 0x1.3c4a6b5d05872p-17, 0x1.39efa045bc7f7p-17, 0x1.37931bd1db137p-17, 0x1.3534f388a6125p-17, 0x1.32d53cb518da8p-17, 0x1.30740c652dbfdp-17, 0x1.2e11776abfdf2p-17, 0x1.2bad925ada259p-17, 0x1.2948718edc717p-17, 0x1.26e22923a9e2ap-17, 0x1.247accfae1951p-17, 0x1.221270b9fccd1p-17, 0x1.1fa927cb68daap-17, 0x1.1d3f055dba4fep-17, 0x1.1ad41c64f9c43p-17, 0x1.18687f9a22203p-17, 0x1.15fc417bad8f4p-17, 0x1.138f744d37d3p-17, 0x1.11222a18b441p-17, 0x1.0eb474adce83bp-17, 0x1.0c4665a27689cp-17, 0x1.09d80e5314d69p-17, 0x1.07697fe2b34b1p-17, 0x1.04facb3bc0476p-17, 0x1.028c010fae1c5p-17, 0x1.001d31d7459f7p-17, 0x1.fb5cdba651c26p-18, 0x1.f67f8a186e627p-18, 0x1.f1a28ea6edd93p-18, 0x1.ecc6088545733p-18, 0x1.e7ea16783078cp-18, 0x1.e30ed6d6fa7ddp-18, 0x1.de34678bd5da3p-18, 0x1.d95ae614bbe7bp-18, 0x1.d4826f8395129p-18, 0x1.cfab207ef19bp-18, 0x1.cad5154237693p-18, 0x1.c600699f4c0e7p-18, 0x1.c12d38feb882fp-18, 0x1.bc5b9e5fc642p-18, 0x1.b78bb459b11a4p-18, 0x1.b2bd951bc8e68p-18, 0x1.adf15a6f6fb8fp-18, 0x1.a9271db6a2945p-18, 0x1.a45ef7eec9ff6p-18, 0x1.9f9901af6db0ap-18, 0x1.9ad5532cc1f93p-18, 0x1.961404363adebp-18, 0x1.91552c3966c53p-18, 0x1.8c98e240feea1p-18, 0x1.87df3cf6bd7eep-18, 0x1.832852a292754p-18, 0x1.7e74392ce51bfp-18, 0x1.79c3061e77966p-18, 0x1.7514cea1619ecp-18, 0x1.7069a7817567ep-18, 0x1.6bc1a52cf8a84p-18, 0x1.671cdbb5bb084p-18, 0x1.627b5ed161f03p-18, 0x1.5ddd41dab6e14p-18, 0x1.594297d12202p-18, 0x1.54ab735b05f61p-18, 0x1.5017e6c4db97p-18, 0x1.4b880403bf15ap-18, 0x1.46fbdcb3c2395p-18, 0x1.4273821ae8799p-18, 0x1.3def05287604dp-18, 0x1.396e7676c6b83p-18, 0x1.34f1e64a63caap-18, 0x1.30796494c519fp-18, 0x1.2c0500f304d62p-18, 0x1.2794cab0ab786p-18, 0x1.2328d0c613e16p-18, 0x1.1ec121db9ac0dp-18, 0x1.1a5dcc4808c11p-18, 0x1.15fede1362d12p-18, 0x1.11a464f5dbc85p-18, 0x1.0d4e6e5a1a9ffp-18, 0x1.08fd075c2dd1dp-18, 0x1.04b03ccc3ba3ap-18, 0x1.00681b2dd8f5fp-18, 0x1.f8495d72a1647p-19, 0x1.efcc06b810c5p-19, 0x1.e7584973497e4p-19, 0x1.deee3c589108bp-19, 0x1.d68df58c30cf2p-19, 0x1.ce378aa1a6a8p-19, 0x1.c5eb109eb565dp-19, 0x1.bda89bfc1cbabp-19, 0x1.b57040a8c1ff5p-19, 0x1.ad4212070c958p-19, 0x1.a51e22f2cf1e9p-19, 0x1.9d0485bfad0a3p-19, 0x1.94f54c3d93704p-19, 0x1.8cf087b52c90cp-19, 0x1.84f648ef06169p-19, 0x1.7d06a03091d2dp-19, 0x1.75219d40645ddp-19, 0x1.6d474f652f605p-19, 0x1.6577c5691595cp-19, 0x1.5db30d9a556e7p-19, 0x1.55f935cccab66p-19, 0x1.4e4a4b5b21427p-19, 0x1.46a65b27a6c58p-19, 0x1.3f0d719f122abp-19, 0x1.377f9ab88cce8p-19, 0x1.2ffce1f7e51eep-19, 0x1.2885526e47a6bp-19, 0x1.2118f6bc13b73p-19, 0x1.19b7d911ca0fap-19, 0x1.12620331e6b71p-19, 0x1.0b177e7196924p-19, 0x1.03d853ba5fa9fp-19, 0x1.f9491716f6169p-20, 0x1.eaf85bf54c12ap-20, 0x1.dcbe856c7a74bp-20, 0x1.ce9ba20d0d9p-20, 0x1.c08fbf99d0319p-20, 0x1.b29aeb116358fp-20, 0x1.a4bd30aa8f21ap-20, 0x1.96f69bdb7e5a1p-20, 0x1.89473756797edp-20, 0x1.7baf0d13b6f16p-20, 0x1.6e2e264e15f34p-20, 0x1.60c48b875cb2dp-20, 0x1.5372448b10f12p-20, 0x1.46375871a96dbp-20, 0x1.3913cda1722dbp-20, 0x1.2c07a9d02001ep-20, 0x1.1f12f208b23d9p-20, 0x1.1235aaaa5cdc1p-20, 0x1.056fd76c8425ap-20, 0x1.f182f6c0e76f2p-21, 0x1.d85531eb29754p-21, 0x1.bf5663f1fc1b6p-21, 0x1.a6868f3030ecp-21, 0x1.8de5b4c9e89e2p-21, 0x1.7573d4aebadedp-21, 0x1.5d30ed9e4d603p-21, 0x1.451cfd2c0d15bp-21, 0x1.2d37ffc2f96c9p-21, 0x1.1581f0ae63bb1p-21, 0x1.fbf594300eac7p-22, 0x1.cd450a24bf0bcp-22, 0x1.9ef2332f08954p-22, 0x1.70fcfd269fcbap-22, 0x1.436553c49bad7p-22, 0x1.162b20b033173p-22, 0x1.d29c970acb689p-23, 0x1.799d73c7dbb33p-23, 0x1.21589edb1fe46p-23, 0x1.939bb75ef731ep-24, 0x1.cbf3a74ca1b8p-25, 0x1.ce5851fa9cd22p-27, -0x1.c3c4d2913d585p-26, -0x1.1a3b7fff7d45ep-24, -0x1.c21475f06672bp-24, -0x1.343e5dd4aa5b8p-23, -0x1.86ba7ea0b84f9p-23, -0x1.d87ef6c482c3bp-23, -0x1.14c61181c952ep-22, -0x1.3cf131b30f52ap-22, -0x1.64c10d93fabd4p-22, -0x1.8c35d85aa482bp-22, -0x1.b34fc6c364872p-22, -0x1.da0f0f16df29bp-22, -0x1.0039f48a7c7ccp-21, -0x1.133f46ffd13fp-21, -0x1.26179c3d4f2f4p-21, -0x1.38c3124ffdbe8p-21, -0x1.4b41c7f01a85ap-21, -0x1.5d93dc8abfc03p-21, -0x1.6fb97030aefc7p-21, -0x1.81b2a39c920dbp-21, -0x1.937f982c7dbp-21, -0x1.a5206fdf8bf2dp-21, -0x1.b6954d513f662p-21, -0x1.c7de53b6978cap-21, -0x1.d8fba6da10d5bp-21, -0x1.e9ed6b1d8bd65p-21, -0x1.fab3c56eb8345p-21, -0x1.05a76da62def9p-20, -0x1.0ddf695ed8575p-20, -0x1.1601e9276c676p-20, -0x1.1e0f008b3fb7fp-20, -0x1.2606c351b22b1p-20, -0x1.2de94586a9562p-20, -0x1.35b69b6e0350dp-20, -0x1.3d6ed98d0bd76p-20, -0x1.4512149fd47b2p-20, -0x1.4ca0619e47f9bp-20, -0x1.5419d5b7d6483p-20, -0x1.5b7e8650eb7acp-20, -0x1.62ce89061dbb1p-20, -0x1.6a09f3a4eac6p-20, -0x1.7130dc300be08p-20, -0x1.784358d91e87cp-20, -0x1.7f41800452607p-20, -0x1.862b684135b1ep-20, -0x1.8d01285075ad7p-20, -0x1.93c2d71bbc419p-20, -0x1.9a708bb92febbp-20, -0x1.a10a5d68ebc75p-20, -0x1.a7906391e0941p-20, -0x1.ae02b5c486289p-20, -0x1.b4616bb49fcd9p-20, -0x1.baac9d3e2e264p-20, -0x1.c0e4625d92304p-20, -0x1.c708d333d362bp-20, -0x1.cd1a080327ee9p-20, -0x1.d318192d5b751p-20, -0x1.d9031f351e87cp-20, -0x1.dedb32b80cbb2p-20, -0x1.e4a06c752fc6bp-20, -0x1.ea52e54328629p-20, -0x1.eff2b617c61bp-20, -0x1.f57ff7fe9a3fep-20, -0x1.fafac41f83166p-20, -0x1.003199dc2480cp-19, -0x1.02dcb00f1da06p-19, -0x1.057eb15e46235p-19, -0x1.0817aa89864c5p-19, -0x1.0aa7a85b1fc8p-19, -0x1.0d2eb7a65d996p-19, -0x1.0face547efc1dp-19, -0x1.12223e24c669cp-19, -0x1.148ecf2a5c3dap-19, -0x1.16f2a54d2f96bp-19, -0x1.194dcd89f6e32p-19, -0x1.1ba054e315d32p-19, -0x1.1dea486230de9p-19, -0x1.202bb51638e6bp-19, -0x1.2264a813fec96p-19, -0x1.24952e7581d41p-19, -0x1.26bd5558c4016p-19, -0x1.28dd29e14cc76p-19, -0x1.2af4b934f83f1p-19, -0x1.2d04107ebe7edp-19, -0x1.2f0b3ceb4076fp-19, -0x1.310a4bab29d71p-19, -0x1.330149f0610e2p-19, -0x1.34f044ef9a3cbp-19, -0x1.36d749ded7489p-19, -0x1.38b665f53d348p-19, -0x1.3a8da66b61f28p-19, -0x1.3c5d18798ff06p-19, -0x1.3e24c9599a2dfp-19, -0x1.3fe4c643a75b5p-19, -0x1.419d1c70fca92p-19, -0x1.434dd918e4925p-19, -0x1.44f7097272ce6p-19, -0x1.4698bab2c904fp-19, -0x1.4832fa0d906fcp-19, -0x1.49c5d4b4af7ddp-19, -0x1.4b5157d7131cep-19, -0x1.4cd590a1fe39ap-19, -0x1.4e528c3eed9aap-19, -0x1.4fc857d4c154ep-19, -0x1.51370086ecb13p-19, -0x1.529e9374a7399p-19, -0x1.53ff1db9fdf6dp-19, -0x1.5558ac6d9b0dp-19, -0x1.56ab4ca313735p-19, -0x1.57f70b67ed733p-19, -0x1.593bf5c534c16p-19, -0x1.5a7a18bf1508fp-19, -0x1.5bb1815314d24p-19, -0x1.5ce23c7aa8682p-19, -0x1.5e0c572738f7p-19, -0x1.5f2fde4610bf3p-19, -0x1.604cdebc3de2dp-19, -0x1.616365699dc64p-19, -0x1.62737f25df85bp-19, -0x1.637d38c2e1d13p-19, -0x1.64809f09e6f63p-19, -0x1.657dbebe334bdp-19, -0x1.6674a4995c613p-19, -0x1.67655d4f724ap-19, -0x1.684ff58a16ef9p-19, -0x1.693479eca22dp-19, -0x1.6a12f7104e675p-19, -0x1.6aeb7986f6ae5p-19, -0x1.6bbe0dd8cfef9p-19, -0x1.6c8ac08560436p-19, -0x1.6d519e02f8088p-19, -0x1.6e12b2be87cf7p-19, -0x1.6ece0b1b9f334p-19, -0x1.6f83b373d9d9fp-19, -0x1.7033b81756c89p-19, -0x1.70de254bd94cp-19, -0x1.7183074d860d3p-19, -0x1.72226a4daa0c6p-19, -0x1.72bc5a7389948p-19, -0x1.7350e3dbbd176p-19, -0x1.73e01297e7f8p-19, -0x1.7469f2af98c8dp-19, -0x1.74ee901e35cc6p-19, -0x1.756df6d56cb0ap-19, -0x1.75e832ba5d5ebp-19, -0x1.765d4fa821586p-19, -0x1.76cd596d020fdp-19, -0x1.77385bccddae7p-19, -0x1.779e627f28566p-19, -0x1.77ff792fe651cp-19, }}, 
      {{0x1.be67691951745p-13, 0x1.f1bb8961dc26dp-12, 0x1.b450adedd38c8p-11, 0x1.5c2dc39493096p-10, 0x1.062507d92e022p-9, 0x1.79515798c3c42p-9, 0x1.0566199b95149p-8, 0x1.5e7028dec5329p-8, 0x1.c87cb2e3ffdb3p-8, 0x1.21ec93d510c0dp-7, 0x1.683a1ec249accp-7, 0x1.b6f493df299f1p-7, 0x1.06e2dcb73b916p-6, 0x1.361cb67b411aap-6, 0x1.68e1a6ee30426p-6, 0x1.9ee200ec2c55fp-6, 0x1.d7c6ff81dfeb9p-6, 0x1.099a751195a37p-5, 0x1.28667c62655d2p-5, 0x1.48177d89cc1f2p-5, 0x1.687d639c928fp-5, 0x1.8968ba78900d5p-5, 0x1.aaab34c144f35p-5, 0x1.cc181c60d5d0ep-5, 0x1.ed84af61e2e01p-5, 0x1.0764355ffae49p-4, 0x1.17dea251a0575p-4, 0x1.281febb153c76p-4, 0x1.3817bf4d340a7p-4, 0x1.47b733d16342p-4, 0x1.56f0cb5a484bcp-4, 0x1.65b87106b5d56p-4, 0x1.7403723436a97p-4, 0x1.81c8740f22c07p-4, 0x1.8eff661cf8cb7p-4, 0x1.9ba1726178222p-4, 0x1.a7a8ebb645eep-4, 0x1.b3113ae1ca5c4p-4, 0x1.bdd6caecba6bap-4, 0x1.c7f6f527940f6p-4, 0x1.d16fed41b8c86p-4, 0x1.da40adc48a26bp-4, 0x1.e268e53591614p-4, 0x1.e9e8e41427e37p-4, 0x1.f0c18bd96f1fp-4, 0x1.f6f43f1511e8p-4, 0x1.fc82d2b66fd0ap-4, 0x1.00b7c04414c2cp-3, 0x1.02de6d6e2343fp-3, 0x1.04b6e0b048215p-3, 0x1.0642ab86db5dbp-3, 0x1.07837c9006a64p-3, 0x1.087b1b8308acap-3, 0x1.092b6597a358cp-3, 0x1.09964a52a0f7ap-3, 0x1.09bdc8ac65553p-3, 0x1.09a3ec86c44e5p-3, 0x1.094acc67dedaap-3, 0x1.08b4877089f59p-3, 0x1.07e34385836ebp-3, 0x1.06d92ba3b43aap-3, 0x1.05986e589138bp-3, 0x1.04233c58c93e3p-3, 0x1.027bc7302007cp-3, 0x1.00a44006665d7p-3, 0x1.fd3dacec48685p-4, 0x1.f8db6ee4d748fp-4, 0x1.f4261873a7d08p-4, 0x1.ef21f2aa70407p-4, 0x1.e9d33b42c4c17p-4, 0x1.e43e22c638e23p-4, 0x1.de66cacb07df4p-4, 0x1.d851444581476p-4, 0x1.d2018deee2ddp-4, 0x1.cb7b92c26a06cp-4, 0x1.c4c32891d26c3p-4, 0x1.bddc0eb242989p-4, 0x1.b6c9ecc2ea559p-4, 0x1.af90518e4e4f2p-4, 0x1.a832b2074c67dp-4, 0x1.a0b468629a403p-4, 0x1.9918b34d58c24p-4, 0x1.9162b54135046p-4, 0x1.899573f640092p-4, 0x1.81b3d7f274e94p-4, 0x1.79c0ac36ac7eep-4, 0x1.71be9e088f07cp-4, 0x1.69b03cd8ce5f5p-4, 0x1.6197fa44d479ap-4, 0x1.59782a32da31fp-4, 0x1.51530307385d7p-4, 0x1.492a9df1a15d5p-4, 0x1.4100f750d21acp-4, 0x1.38d7ef2b370bap-4, 0x1.30b149bae9972p-4, 0x1.288eb00b6058fp-4, 0x1.2071b0a71fbb4p-4, 0x1.185bc053bad7bp-4, 0x1.104e3ada6e935p-4, 0x1.084a63dba49cp-4, 0x1.005167abbcd07p-4, 0x1.f0c8b86ee7beap-5, 0x1.e10883dcc013bp-5, 0x1.d1640963f7d29p-5, 0x1.c1dcf98fa61cfp-5, 0x1.b274df9addc19p-5, 0x1.a32d2359817e3p-5, 0x1.94070b1fa34cbp-5, 0x1.8503bda53735fp-5, 0x1.762443e40dc5p-5, 0x1.67698aee373edp-5, 0x1.58d465bb1a468p-5, 0x1.4a658ee9b8714p-5, 0x1.3c1daa76cb254p-5, 0x1.2dfd476586a93p-5, 0x1.2004e15a017e2p-5, 0x1.1234e2245fe2cp-5, 0x1.048da33c0ce5dp-5, 0x1.ee1ede54ee35cp-6, 0x1.d37505c9a10ap-6, 0x1.b91e1e292796ap-6, 0x1.9f1a729d21942p-6, 0x1.856a3a70e3739p-6, 0x1.6c0d9b3969666p-6, 0x1.5304aada813bfp-6, 0x1.3a4f71697931bp-6, 0x1.21edeaeddfbcap-6, 0x1.09e0090111996p-6, 0x1.e44b689a76fc5p-7, 0x1.b57d9bd9bf884p-7, 0x1.875661576eb76p-7, 0x1.59d5645422bd7p-7, 0x1.2cfa47c7a5165p-7, 0x1.00c4a8386369cp-7, 0x1.aa683abe028bp-8, 0x1.54907730d79c6p-8, 0x1.00012a51e136cp-8, 0x1.5972ed4c4df54p-9, 0x1.6ae1fa243c2efp-10, 0x1.3facb702ff576p-13, -0x1.15e2b5aaa208cp-10, -0x1.275521b4a2372p-9, -0x1.c1322c6005533p-9, -0x1.2c450a1e29285p-8, -0x1.76af342106562p-8, -0x1.bfd8566087b8p-8, -0x1.03e096df0c3aap-7, -0x1.273539056c279p-7, -0x1.49ea6b30d06a7p-7, -0x1.6c0084d07912dp-7, -0x1.8d77db807f7e4p-7, -0x1.ae50c36123992p-7, -0x1.ce8b8f788caf6p-7, -0x1.ee28921d762p-7, -0x1.06940eb495fp-6, -0x1.15c541d7bc2e1p-6, -0x1.24a80bfd832a7p-6, -0x1.333c974690b8dp-6, -0x1.41830eafbcf72p-6, -0x1.4f7b9e537b3fdp-6, -0x1.5d2673ab3c12ap-6, -0x1.6a83bdd06623fp-6, -0x1.7793adbc5b3e5p-6, -0x1.8456768746d05p-6, -0x1.90cc4da54e019p-6, -0x1.9cf56b21cb75ap-6, -0x1.a8d209d85f24ep-6, -0x1.b46267ab918e8p-6, -0x1.bfa6c5b8c114ap-6, -0x1.ca9f688947368p-6, -0x1.d54c984098708p-6, -0x1.dfaea0c744b9p-6, -0x1.e9c5d1f2bd273p-6, -0x1.f3927fa9cde22p-6, -0x1.fd150205b8a2ap-6, -0x1.0326dab7eebe6p-5, -0x1.079e7d5e032ccp-5, -0x1.0bf19b9f989e2p-5, -0x1.10206a717cd9dp-5, -0x1.142b211aca656p-5, -0x1.1811f93b3e84dp-5, -0x1.1bd52ecfdf838p-5, -0x1.1f7500360b35p-5, -0x1.22f1ae2ced511p-5, -0x1.264b7bd569498p-5, -0x1.2982aeb0865f5p-5, -0x1.2c978e9c65017p-5, -0x1.2f8a65cfd1ddp-5, -0x1.325b80d47da85p-5, -0x1.350b2e7fe8702p-5, -0x1.3799bfeb16eb2p-5, -0x1.3a07886916673p-5, -0x1.3c54dd7c63b85p-5, -0x1.3e8216cb4774ep-5, -0x1.408f8e1330ff2p-5, -0x1.427d9f1b25d3p-5, -0x1.444ca7a550592p-5, -0x1.45fd075fc19afp-5, -0x1.478f1fd4738e7p-5, -0x1.4903545899b4bp-5, -0x1.4a5a09fb55259p-5, -0x1.4b93a773d2b8fp-5, -0x1.4cb0950ee8c42p-5, -0x1.4db13c9c40ba9p-5, -0x1.4e96095b19048p-5, -0x1.4f5f67e6af92ap-5, -0x1.500dc6225f0acp-5, -0x1.50a193257f156p-5, -0x1.511b3f2712b5cp-5, -0x1.517b3b694dd0ep-5, -0x1.51c1fa2505f2cp-5, -0x1.51efee750b807p-5, -0x1.52058c4188318p-5, -0x1.5203482b58f67p-5, -0x1.51e997777f17ap-5, -0x1.51b8effaa454ap-5, -0x1.5171c804c5b6dp-5, -0x1.5114964d02fbfp-5, -0x1.50a1d1dda37bcp-5, -0x1.5019f2005087cp-5, -0x1.4f7d6e2a951c4p-5, -0x1.4eccbdea9ce59p-5, -0x1.4e0858d4475cbp-5, -0x1.4d30b66e87f19p-5, -0x1.4c464e211fee6p-5, -0x1.4b499722b6a51p-5, -0x1.4a3b08674d729p-5, -0x1.491b188f1f115p-5, -0x1.47ea3dd5e38d2p-5, -0x1.46a8ee027fe02p-5, -0x1.45579e5728f85p-5, -0x1.43f6c381f3746p-5, -0x1.4286d18ddb01fp-5, -0x1.41083bd43dd6bp-5, -0x1.3f7b74eecf168p-5, -0x1.3de0eeaa07e35p-5, -0x1.3c3919f80a6bfp-5, -0x1.3a8466e4072a2p-5, -0x1.38c3448619c09p-5, -0x1.36f620f7a4292p-5, -0x1.351d694825621p-5, -0x1.333989728c4fp-5, -0x1.314aec530618bp-5, -0x1.2f51fb9d4a28ep-5, -0x1.2d4f1fd35e20bp-5, -0x1.2b42c03cd6022p-5, -0x1.292d42de8aec3p-5, -0x1.270f0c72cc47cp-5, -0x1.24e8806205106p-5, -0x1.22ba00bbd8bdap-5, -0x1.2083ee30b1d19p-5, -0x1.1e46a80bbfefep-5, -0x1.1c028c2d6d3bdp-5, -0x1.19b7f7063a18ep-5, -0x1.1767439209285p-5, -0x1.1510cb53d52e6p-5, -0x1.12b4e651cdb5p-5, -0x1.1053eb11d95cap-5, -0x1.0dee2e967f9e7p-5, -0x1.0b84045c2bed6p-5, -0x1.0915be56d9afcp-5, -0x1.06a3acf01450bp-5, -0x1.042e1f055650dp-5, -0x1.01b561e6be8a9p-5, -0x1.fe7382ac34838p-6, -0x1.f9770f0c852d2p-6, -0x1.f475fa359460fp-6, -0x1.ef70d24fefee7p-6, -0x1.ea6822661b96cp-6, -0x1.e55c7265aebfp-6, -0x1.e04e472103184p-6, -0x1.db3e22515f216p-6, -0x1.d62c8299b305fp-6, -0x1.d119e389c4acfp-6, -0x1.cc06bda1dd40ep-6, -0x1.c6f38656eb88dp-6, -0x1.c1e0b01708109p-6, -0x1.bcceaa4e78af9p-6, -0x1.b7bde16d02df7p-6, -0x1.b2aebeebb4ff6p-6, -0x1.ada1a952f8c5ep-6, -0x1.a89704410b07ap-6, -0x1.a38f3070c0e65p-6, -0x1.9e8a8bc09b1bp-6, -0x1.9989713a2b95dp-6, -0x1.948c3919b6ed8p-6, -0x1.8f9338d621ceap-6, -0x1.8a9ec329176abp-6, -0x1.85af28176c6b5p-6, -0x1.80c4b4f9bae53p-6, -0x1.7bdfb4852cbc7p-6, -0x1.77006ed477ffbp-6, -0x1.722729710a67ep-6, -0x1.6d54275c54837p-6, -0x1.6887a91944badp-6, -0x1.63c1ecb5daf61p-6, -0x1.5f032dd4debd8p-6, -0x1.5a4ba5b7b2349p-6, -0x1.559b8b4838c81p-6, -0x1.50f31322d7e66p-6, -0x1.4c526fa08a035p-6, -0x1.47b9d0e0fb755p-6, -0x1.432964d4be8cap-6, -0x1.3ea1574781115p-6, -0x1.3a21d1ea4d05p-6, -0x1.35aafc5dd6c23p-6, -0x1.313cfc3cbfdap-6, -0x1.2cd7f525e8048p-6, -0x1.287c08c6b6536p-6, -0x1.242956e563cd5p-6, -0x1.1fdffd6b3d96fp-6, -0x1.1ba0186ee2e3ap-6, -0x1.1769c23e76ef8p-6, -0x1.133d1369d190ep-6, -0x1.0f1a22cc95c14p-6, -0x1.0b01059848d96p-6, -0x1.06f1cf5e512cep-6, -0x1.02ec9219ec345p-6, -0x1.fde2bc7411222p-7, -0x1.f60085562dd69p-7, -0x1.ee3299c1872f6p-7, -0x1.e67911bf309fcp-7, -0x1.ded4028d13057p-7, -0x1.d7437eb0d8d7dp-7, -0x1.cfc7960aa7acep-7, -0x1.c86055e7ab4c8p-7, -0x1.c10dc91462d72p-7, -0x1.b9cff7eec51bfp-7, -0x1.b2a6e8781ff94p-7, -0x1.ab929e66ceec2p-7, -0x1.a4931b37a168p-7, -0x1.9da85e3f1f671p-7, -0x1.96d264ba7af1ep-7, -0x1.901129e058d68p-7, -0x1.8964a6f144ee4p-7, -0x1.82ccd347fefbfp-7, -0x1.7c49a46974803p-7, -0x1.75db0e148513bp-7, -0x1.6f8102518062ap-7, -0x1.693b71816d44fp-7, -0x1.630a4a6cfc653p-7, -0x1.5ced7a5349a5ap-7, -0x1.56e4ecf85726bp-7, -0x1.50f08cb33f1e7p-7, -0x1.4b10427c2bfc7p-7, -0x1.4543f5fa05f61p-7, -0x1.3f8b8d8fe50afp-7, -0x1.39e6ee6a39922p-7, -0x1.3455fc8bb88afp-7, -0x1.2ed89ada00dbap-7, -0x1.296eab29fdd9dp-7, -0x1.24180e4c0e033p-7, -0x1.1ed4a417df42ap-7, -0x1.19a44b780f416p-7, -0x1.1486e2758a8e8p-7, -0x1.0f7c4642a9592p-7, -0x1.0a8453460ab92p-7, -0x1.059ee52534937p-7, -0x1.00cbd6ceeeacep-7, -0x1.f816050ac738ap-8, -0x1.eeb883cffee7dp-8, -0x1.e57edbfa2a8cap-8, -0x1.dc68be76850cfp-8, -0x1.d375db2533a7bp-8, -0x1.caa5e0eb1f238p-8, -0x1.c1f87dc35cf72p-8, -0x1.b96d5ed01a9f4p-8, -0x1.b104306b1d27p-8, -0x1.a8bc9e35c87f6p-8, -0x1.a0965328bf41bp-8, -0x1.9890f9a306e0fp-8, -0x1.90ac3b78cc26ep-8, -0x1.88e7c201ac68dp-8, -0x1.81433626a779cp-8, -0x1.79be406f92ab1p-8, -0x1.7258891035f34p-8, -0x1.6b11b7f4fd471p-8, -0x1.63e974cf42a4ep-8, -0x1.5cdf67213d7e3p-8, -0x1.55f33649896b3p-8, -0x1.4f24898e53ec8p-8, -0x1.4873082825f81p-8, -0x1.41de594c5c759p-8, -0x1.3b66243739fep-8, -0x1.350a1035ac9bcp-8, -0x1.2ec9c4aeb0bddp-8, -0x1.28a4e92c667cp-8, -0x1.229b2564d5c9dp-8, -0x1.1cac21425927bp-8, -0x1.16d784ebbb7bbp-8, -0x1.111cf8cc0a7bbp-8, -0x1.0b7c259a17be4p-8, -0x1.05f4b45faf344p-8, -0x1.00864e8088ad1p-8, -0x1.f6613b81d362ep-9, -0x1.ebe698980ef47p-9, -0x1.e19c09743dbeap-9, -0x1.d780e42c9c248p-9, -0x1.cd947fc84ff48p-9, -0x1.c3d6344a1196cp-9, -0x1.ba455aba5e734p-9, -0x1.b0e14d31204b9p-9, -0x1.a7a966deee1f7p-9, -0x1.9e9d0415d4992p-9, -0x1.95bb8251a4501p-9, -0x1.8d04403fd4864p-9, -0x1.84769dc704814p-9, -0x1.7c11fc0e058afp-9, -0x1.73d5bd82838e4p-9, -0x1.6bc145df4b2ffp-9, -0x1.63d3fa323153bp-9, -0x1.5c0d40e1930c3p-9, -0x1.546c81b1850b1p-9, -0x1.4cf125c8a1ac2p-9, -0x1.459a97b4804f9p-9, -0x1.3e68436de1449p-9, -0x1.3759965c7bb04p-9, -0x1.306dff5a86371p-9, -0x1.29a4eeb7e9842p-9, -0x1.22fdd63d32a3bp-9, -0x1.1c78292e33bcbp-9, -0x1.16135c4c601c6p-9, -0x1.0fcee5d8eae55p-9, -0x1.09aa3d969a4f1p-9, -0x1.03a4dccb668b2p-9, -0x1.fb7c7c8390524p-10, -0x1.efebbc93d26bp-10, -0x1.e4967574e8c78p-10, -0x1.d97ba5e2b42dap-10, -0x1.ce9a4fa865ca4p-10, -0x1.c3f177a12a54bp-10, -0x1.b98025b83670ap-10, -0x1.af4564e88f837p-10, -0x1.a540433c82579p-10, -0x1.9b6fd1cc9185p-10, -0x1.91d324be4f94bp-10, -0x1.88695342a4867p-10, -0x1.7f317793fcd16p-10, -0x1.762aaef3f4aa5p-10, -0x1.6d5419a8fb676p-10, -0x1.64acdafb65a75p-10, -0x1.5c3419327d371p-10, -0x1.53e8fd912f04p-10, -0x1.4bcab4527d61ep-10, -0x1.43d86ca5be86p-10, -0x1.3c1158aaa0767p-10, -0x1.3474ad6cf26d6p-10, -0x1.2d01a2e04b557p-10, -0x1.25b773db6836ep-10, -0x1.1e955e1360fc7p-10, -0x1.179aa216d3168p-10, -0x1.10c683489b866p-10, -0x1.0a1847dac4b53p-10, -0x1.038f38c8fa942p-10, -0x1.fa5543a61ece7p-11, -0x1.edd3a2ee9f9e9p-11, -0x1.e19831d94f4e5p-11, -0x1.d5a198399f19p-11, -0x1.c9ee833c767d2p-11, -0x1.be7da55be6c4dp-11, -0x1.b34db652e6aa1p-11, -0x1.a85d7310950e5p-11, -0x1.9dab9dab818d4p-11, -0x1.9336fd54c4a59p-11, -0x1.88fe5e4aeee62p-11, -0x1.7f0091ccdf1c8p-11, -0x1.753c6e0c7d0acp-11, -0x1.6bb0ce21504fp-11, -0x1.625c91faf464ap-11, -0x1.593e9e53ac2b5p-11, -0x1.5055dca2a1706p-11, -0x1.47a13b0e34017p-11, -0x1.3f1fac5e45987p-11, -0x1.36d027ee6e228p-11, -0x1.2eb1a9a003e44p-11, -0x1.26c331cc7d77p-11, -0x1.1f03c5374f5dcp-11, -0x1.17726d0039f81p-11, -0x1.100e36954c786p-11, -0x1.08d633a4f0a2bp-11, -0x1.01c97a102fbd6p-11, -0x1.f5ce47b970e9fp-12, -0x1.e85c9e4e28139p-12, -0x1.db3c3c29961a8p-12, -0x1.ce6b6d8d33c5p-12, -0x1.c1e88695ad924p-12, -0x1.b5b1e31f329ccp-12, -0x1.a9c5e6aa27771p-12, -0x1.9e22fc4046797p-12, -0x1.92c796594bddp-12, -0x1.87b22ec0238c2p-12, -0x1.7ce146781aff9p-12, -0x1.725365a25e51fp-12, -0x1.68071b633d7abp-12, -0x1.5dfafdc819f89p-12, -0x1.542da9ad14151p-12, -0x1.4a9dc2a32117p-12, -0x1.4149f2d64d97dp-12, -0x1.3830eaf420b96p-12, -0x1.2f51621212b8ap-12, -0x1.26aa15946b89bp-12, -0x1.1e39c91563a74p-12, -0x1.15ff464c17d8ep-12, -0x1.0df95cf43191ap-12, -0x1.0626e2b549805p-12, -0x1.fd0d6615ea84dp-13, -0x1.ee2f5e59a0476p-13, -0x1.dfb17bed7b043p-13, -0x1.d19197a2e6828p-13, -0x1.c3cd9536924a4p-13, -0x1.b663632281d7dp-13, -0x1.a950fa70575bp-13, -0x1.9c945e8c77897p-13, -0x1.902b9d196b971p-13, -0x1.8414cdc40fa51p-13, -0x1.784e12179a76p-13, -0x1.6cd59552dafacp-13, -0x1.61a98c3dd1bf3p-13, -0x1.56c834fefead9p-13, -0x1.4c2fd6f28a668p-13, -0x1.41dec280cac45p-13, -0x1.37d350f5d1faep-13, -0x1.2e0be4597669ep-13, -0x1.2486e74795e1fp-13, -0x1.1b42ccc9302f1p-13, -0x1.123e102dde697p-13, -0x1.097734e5b0f49p-13, -0x1.00ecc65bde767p-13, -0x1.f13aafa33145dp-14, -0x1.e10f0872b1a54p-14, -0x1.d153dc263f98bp-14, -0x1.c2067e91c6faap-14, -0x1.b3245216fe99cp-14, -0x1.a4aac7602840ap-14, -0x1.96975d1c42936p-14, -0x1.88e79fbbb371cp-14, -0x1.7b99292e79ccbp-14, -0x1.6ea9a0a274be1p-14, -0x1.6216ba4405353p-14, -0x1.55de36fdec2e9p-14, -0x1.49fde43bb5f1p-14, -0x1.3e739bac08789p-14, -0x1.333d430458016p-14, -0x1.2858cbc5292a4p-14, -0x1.1dc433001ca8bp-14, -0x1.137d811de24e3p-14, -0x1.0982c9a58b55ep-14, -0x1.ffa45609bfd84p-15, -0x1.ecd39cb25792fp-15, -0x1.da8fce7358087p-15, -0x1.c8d56703db23dp-15, -0x1.b7a0f63b7c182p-15, -0x1.a6ef1fab7d87dp-15, -0x1.96bc9a3a042e2p-15, -0x1.87062fbd666d9p-15, -0x1.77c8bc9c37e1p-15, -0x1.69012f6b3d2dp-15, -0x1.5aac889069a6p-15, -0x1.4cc7d9e539646p-15, -0x1.3f50465bb55ebp-15, -0x1.324301a4b03f3p-15, -0x1.259d4fd7477b5p-15, -0x1.195c851af539bp-15, -0x1.0d7e0551ec6fcp-15, -0x1.01ff43c5b96c4p-15, -0x1.edbb85ab16525p-16, -0x1.d82e27497e89fp-16, -0x1.c351ab99197c1p-16, -0x1.af216e1b66b9ap-16, -0x1.9b98e60967468p-16, -0x1.88b3a5bc4f09ap-16, -0x1.766d5a1ba43bfp-16, -0x1.64c1ca0cbc511p-16, -0x1.53acd5e488789p-16, -0x1.432a76dc65db5p-16, -0x1.3336be8a4c608p-16, -0x1.23cdd65a27c45p-16, -0x1.14ebff0b87169p-16, -0x1.068d902f226fp-16, -0x1.f15def528fbdap-17, -0x1.d699726ceac8cp-17, -0x1.bcc6dbe06bc3fp-17, -0x1.a3df87ae4dcbp-17, -0x1.8bdcfaba2afe8p-17, -0x1.74b8e1e648cd5p-17, -0x1.5e6d112fe2cddp-17, -0x1.48f382d4a902p-17, -0x1.3446567bf3403p-17, -0x1.205fd05da3243p-17, -0x1.0d3a587813c98p-17, -0x1.f5a0f38251cfep-18, -0x1.d239c2bfc88dcp-18, -0x1.b034bbce315cp-18, -0x1.8f87bd32648f5p-18, -0x1.7028e55224aafp-18, -0x1.520e9106e50e1p-18, -0x1.352f5a378d635p-18, -0x1.1982167148117p-18, -0x1.fdfbab265a36p-19, -0x1.cb33c0f65384bp-19, -0x1.9a9b6f6b46d97p-19, -0x1.6c222479070f1p-19, -0x1.3fb7b876b87eep-19, -0x1.154c6b9c491d8p-19, -0x1.d9a1c76dcefcap-20, -0x1.8c6c5389bb65fp-20, -0x1.42db4f6297f19p-20, -0x1.f9a4986ae54cep-21, -0x1.746b2871497c2p-21, -0x1.eba89961320ffp-22, -0x1.f6ad903d06326p-23, -0x1.77a4c8bd499c8p-26, 0x1.80a19086839f9p-23, 0x1.8c6bd38dcbcfap-22, 0x1.269ad7f928e41p-21, 0x1.8185625cb720dp-21, 0x1.d7228a4797623p-21, 0x1.13cf12e8033e8p-20, 0x1.3991739594245p-20, 0x1.5ced3198f55f6p-20, 0x1.7df68c2d66d2bp-20, 0x1.9cc13aac222f5p-20, 0x1.b9606fab01717p-20, 0x1.d3e6dc47dddfep-20, 0x1.ec66b31d378adp-20, 0x1.0178d5b1b397bp-19, 0x1.0bcc81e6e093dp-19, 0x1.1536c2bdd834bp-19, 0x1.1dbfc3607c42p-19, 0x1.256f76f8e5cdcp-19, 0x1.2c4d9a03084ep-19, 0x1.3261b3a8502a8p-19, 0x1.37b317009361cp-19, 0x1.3c48e45662dedp-19, 0x1.402a0a68fcccbp-19, 0x1.435d479217febp-19, 0x1.45e92b03849dp-19, 0x1.47d415dfdedb5p-19, 0x1.49243c62f9625p-19, 0x1.49dfa6f2e6547p-19, 0x1.4a0c333b21d2p-19, 0x1.49af952efc9c1p-19, 0x1.48cf5819f38cap-19, 0x1.4770df97fb084p-19, 0x1.4599688fed7fdp-19, 0x1.434e0a2de2e32p-19, 0x1.4093b6cb30cdap-19, 0x1.3d6f3cdc6e6d3p-19, 0x1.39e547d0b9bebp-19, 0x1.35fa60f24d71ap-19, 0x1.31b2f0425b13ap-19, 0x1.2d133d489ef1fp-19, 0x1.281f6fe5c3677p-19, 0x1.22db9119a3ecfp-19, 0x1.1d4b8bd07f157p-19, 0x1.17732d9b5696p-19, 0x1.1156277116589p-19, 0x1.0af80e67ebd0dp-19, 0x1.045c5c63a5607p-19, 0x1.fb0ce193bfb1dp-20, 0x1.ecf32257a750dp-20, 0x1.de71d3d41fc76p-20, 0x1.cf8f1dbf5f797p-20, 0x1.c050f7f120f4cp-20, 0x1.b0bd2ba68a354p-20, 0x1.a0d954aa9553ep-20, 0x1.90aae28553f3dp-20, 0x1.8037199302591p-20, 0x1.6f83142922ff6p-20, 0x1.5e93c3a35add2p-20, 0x1.4d6df17505e91p-20, 0x1.3c164027f61b9p-20, 0x1.2a912c664578bp-20, 0x1.18e30ded88fap-20, 0x1.07101885f4dadp-20, 0x1.ea38b9ddc637dp-21, 0x1.c6179392668e8p-21, 0x1.a1c458efcca54p-21, 0x1.7d4663f6bfd43p-21, 0x1.58a4cfa131c3bp-21, 0x1.33e67974704eep-21, 0x1.0f12032b6e9b5p-21, 0x1.d45ba8899d376p-22, 0x1.8a8036f49f2fep-22, 0x1.409da0b90de8cp-22, 0x1.ed7ed28bf6e36p-23, 0x1.59e156f168178p-23, 0x1.8cf0707c2c5a8p-24, 0x1.9ac0cd90365efp-26, -0x1.7dac8ad806a84p-25, -0x1.e37cae1b66f25p-24, -0x1.838f14727ca79p-23, -0x1.0a65cf2365b03p-22, -0x1.52b1729bfd661p-22, -0x1.9aa2415ff9712p-22, -0x1.e2305a5208942p-22, -0x1.14aa1615a490cp-21, -0x1.380339b6a6b7cp-21, -0x1.5b201c17f1f2p-21, -0x1.7dfd66149f95dp-21, -0x1.a097e450390f6p-21, -0x1.c2ec86415a2dbp-21, -0x1.e4f85d2e65e8fp-21, -0x1.035c4daf12364p-20, -0x1.14154987c7974p-20, -0x1.24a5dad701c63p-20, -0x1.350cc97414f0cp-20, -0x1.4548ebf10171fp-20, -0x1.5559272d768b1p-20, -0x1.653c6df39811fp-20, -0x1.74f1c09331c0ap-20, -0x1.84782c80bd595p-20, -0x1.93cecbf49125p-20, -0x1.a2f4c592c7a6fp-20, -0x1.b1e94c0de0177p-20, -0x1.c0ab9dcf27383p-20, -0x1.cf3b04a12a6e7p-20, -0x1.dd96d55e1bac1p-20, -0x1.ebbe6f9a6283cp-20, -0x1.f9b13d59f1dfbp-20, -0x1.03b7595ee901ep-19, -0x1.0a7b26df9e27dp-19, -0x1.1123caedae594p-19, -0x1.17b10dec8a9e9p-19, -0x1.1e22bcbcba316p-19, -0x1.2478a899ebccdp-19, -0x1.2ab2a6fc2e9c8p-19, -0x1.30d09175eda52p-19, -0x1.36d245946d59dp-19, -0x1.3cb7a4c0f2acbp-19, -0x1.42809422a579p-19, -0x1.482cfc821a9fbp-19, -0x1.4dbcca2be5afep-19, -0x1.532fecd54abd4p-19, -0x1.58865780589a2p-19, -0x1.5dc00061e21c1p-19, -0x1.62dce0c86e197p-19, -0x1.67dcf501f674cp-19, -0x1.6cc03c43f574p-19, -0x1.7186b89318028p-19, -0x1.76306eac3b6abp-19, -0x1.7abd65ef4f493p-19, -0x1.7f2da845626bp-19, -0x1.8381420e6e1dcp-19, -0x1.87b8420b8cedep-19, -0x1.8bd2b949c33cdp-19, -0x1.8fd0bb0df7a29p-19, -0x1.93b25cc2e28fcp-19, -0x1.9777b5e48da07p-19, -0x1.9b20dfee66fbbp-19, -0x1.9eadf64a0766cp-19, -0x1.a21f163c231b1p-19, -0x1.a5745ed3b7097p-19, -0x1.a8adf0db47e14p-19, -0x1.abcbeec58359bp-19, -0x1.aece7ca05b60dp-19, -0x1.b1b5c0037e5cbp-19, -0x1.b481e00295923p-19, -0x1.b733051d700cp-19, -0x1.b9c9593312436p-19, -0x1.bc450772ebedep-19, -0x1.bea63c4f94a31p-19, -0x1.c0ed25713612dp-19, -0x1.c319f1a8b228cp-19, -0x1.c52cd0e4b3c11p-19, -0x1.c725f42308346p-19, -0x1.c9058d65f0098p-19, -0x1.cacbcfa867a2p-19, -0x1.cc78eed30d46ap-19, -0x1.ce0d1fb10b3cep-19, -0x1.cf8897e5070c6p-19, -0x1.d0eb8ddf8f89cp-19, -0x1.d23638d3cb8bep-19, -0x1.d368d0ae7d445p-19, -0x1.d4838e0b86d26p-19, -0x1.d586aa2de3c1cp-19, -0x1.d6725ef4f6da2p-19, -0x1.d746e6d484314p-19, -0x1.d8047ccc02e94p-19, -0x1.d8ab5c5e6924dp-19, -0x1.d93bc18936de1p-19, -0x1.d9b5e8bcec7c6p-19, -0x1.da1a0ed59d16p-19, -0x1.da6871123c256p-19, -0x1.daa14d0e757e3p-19, -0x1.dac4e0bb64735p-19, -0x1.dad36a580945dp-19, -0x1.dacd286a81ff6p-19, -0x1.dab259b9def1ap-19, -0x1.da833d47adff8p-19, -0x1.da40124987a1bp-19, -0x1.d9e9182331cbdp-19, -0x1.d97e8e60ab2fap-19, -0x1.d900b4b0522afp-19, -0x1.d86fcadd15839p-19, -0x1.d7cc10c9a7f67p-19, -0x1.d715c66af58cbp-19, -0x1.d64d2bc2e1923p-19, -0x1.d57280db6fc56p-19, -0x1.d48605c22168p-19, -0x1.d387fa82807c2p-19, -0x1.d2789f22eae21p-19, -0x1.d158339eb00e5p-19, -0x1.d026f7e30ad95p-19, -0x1.cee52bc9ff2b1p-19, -0x1.cd930f167d598p-19, -0x1.cc30e171742f3p-19, -0x1.cabee26491c3cp-19, -0x1.c93d515763eb7p-19, -0x1.c7ac6d8b7c29bp-19, -0x1.c60c76197ffc6p-19, -0x1.c45da9ed1858ep-19, -0x1.c2a047c21da38p-19, -0x1.c0d48e215be2ep-19, -0x1.befabb5d89ae6p-19, -0x1.bd130d8fded7dp-19, -0x1.bb1dc2961dbecp-19, -0x1.b91b180f89178p-19, -0x1.b70b4b5916dadp-19, -0x1.b4ee998c7ebbcp-19, -0x1.b2c53f7cdb321p-19, -0x1.b08f79b4b239ap-19, -0x1.ae4d8472c8839p-19, -0x1.abff9ba8aac3p-19, -0x1.a9a5faf8546d5p-19, -0x1.a740ddb2052c5p-19, -0x1.a4d07ed20daa3p-19, -0x1.a25518ff93ab1p-19, -0x1.9fcee689fd6d7p-19, -0x1.9d3e2166f8afp-19, -0x1.9aa303315138fp-19, -0x1.97fdc5276162ep-19, -0x1.954ea02947c99p-19, -0x1.9295ccb692ac3p-19, -0x1.8fd382eda1651p-19, -0x1.8d07fa8b04bbfp-19, -0x1.8a336ae662ce6p-19, -0x1.87560af1d888dp-19, -0x1.847011397073ep-19, -0x1.8181b3e0fb086p-19, -0x1.7e8b28a3b1dfap-19, -0x1.7b8ca4d2ca39dp-19, -0x1.78865d5478806p-19, -0x1.757886a2bf537p-19, -0x1.726354cae5c3cp-19, -0x1.6f46fb6c59f98p-19, -0x1.6c23adb833893p-19, -0x1.68f99e704e053p-19, -0x1.65c8ffe6254d7p-19, -0x1.629203fa8c594p-19, -0x1.5f54dc1d07327p-19, -0x1.5c11b94af2c8cp-19, -0x1.58c8cc0f22f26p-19, -0x1.557a4481af1ep-19, -0x1.52265246f2f36p-19, -0x1.4ecd248f1826cp-19, -0x1.4b6eea163b5d9p-19, -0x1.480bd123bd839p-19, -0x1.44a40789b037dp-19, -0x1.4137baa4e4c9cp-19, -0x1.3dc7175cc87b8p-19, -0x1.3a524a22ad315p-19, -0x1.36d97ef1bd56ap-19, -0x1.335ce14ef4f31p-19, -0x1.2fdc9c49933aap-19, -0x1.2c58da79d3b34p-19, -0x1.28d1c60186f7bp-19, -0x1.2547888baefd9p-19, -0x1.21ba4b4d561a1p-19, -0x1.1e2a37048824bp-19, -0x1.1a9773f92bca1p-19, -0x1.170229fc416f4p-19, -0x1.136a806897ap-19, -0x1.0fd09e22d447fp-19, -0x1.0c34a999738bbp-19, -0x1.0896c8c4dbf5cp-19, -0x1.04f72127b333fp-19, -0x1.0155d7cf441fep-19, -0x1.fb6622a6ce394p-20, -0x1.f41de3ad88c32p-20, -0x1.ecd33a0e74061p-20, -0x1.e5866c3c321a5p-20, -0x1.de37bfc0de9abp-20, -0x1.d6e7793f0d701p-20, -0x1.cf95dc71c50dfp-20, -0x1.c8432c2e3ca05p-20, -0x1.c0efaa637b33bp-20, -0x1.b99b981bd0b6p-20, -0x1.b247357d85356p-20, -0x1.aaf2c1cba98dep-20, -0x1.a39e7b66a538ap-20, -0x1.9c4a9fce48a3cp-20, -0x1.94f76ba19829dp-20, -0x1.8da51a9fd78cp-20, -0x1.8653e7aa18db3p-20, -0x1.7f040cc3ff504p-20, -0x1.77b5c314be176p-20, -0x1.706942e7f2373p-20, -0x1.691ec3aef210fp-20, -0x1.61d67c029a8b6p-20, -0x1.5a90a1a39fc75p-20, -0x1.534d697ba796cp-20, -0x1.4c0d079dffa65p-20, -0x1.44cfaf4ab58bfp-20, -0x1.3d9592ee60969p-20, -0x1.365ee4234b42ep-20, -0x1.2f2bd3b3756ebp-20, -0x1.27fc919948346p-20, -0x1.20d14d00fb52ap-20, -0x1.19aa344a017f3p-20, -0x1.1287750831dafp-20, -0x1.0b693c0564937p-20, -0x1.044fb5430cdd9p-20, -0x1.fa7617f581c68p-21, -0x1.ec56d53f94cf2p-21, -0x1.de41f5c1b478p-21, -0x1.d037cb53d2805p-21, -0x1.c238a6498dc45p-21, -0x1.b444d575f5d97p-21, -0x1.a65ca62e07b38p-21, -0x1.9880644b7c5f9p-21, -0x1.8ab05a307556ap-21, -0x1.7cecd0c854c77p-21, -0x1.6f360f8f30c02p-21, -0x1.618c5c8f62c23p-21, -0x1.53effc6769b47p-21, -0x1.4661324bb40fp-21, -0x1.38e0400c7e583p-21, -0x1.2b6d6614b95ddp-21, -0x1.1e08e36f9b38bp-21, -0x1.10b2f5cbc0ceep-21, -0x1.036bd97c5e332p-21, -0x1.ec6792fcd302bp-22, -0x1.d215fef457404p-22, -0x1.b7e3678ef961ap-22, -0x1.9dd03add7aa52p-22, -0x1.83dce45ce91d5p-22, -0x1.6a09ccfb3b5cbp-22, -0x1.50575b1b4c904p-22, -0x1.36c5f29d77f67p-22, -0x1.1d55f4e593074p-22, -0x1.0407c0de9950dp-22, -0x1.d5b76604a4417p-23, -0x1.a3a44ac2baf44p-23, -0x1.71d6df53c9bb8p-23, -0x1.404fce4e78933p-23, -0x1.0f0fbd9e8968cp-23, -0x1.bc2e9d12948b4p-24, -0x1.5ace3b820c4b1p-24, -0x1.f3ff0da8375adp-25, -0x1.33874c93250bdp-25, -0x1.d0ddc2554e58p-27, 0x1.27b96c7942ae9p-27, 0x1.06e7fcc3559c3p-25, 0x1.c2b36bcf7249fp-25, 0x1.3ea7585e10bep-24, 0x1.9b5bf263c8a52p-24, 0x1.f77698fc5c77ap-24, 0x1.297b34ae1a7eap-23, 0x1.56ed446c8ad09p-23, 0x1.8411126a5380dp-23, 0x1.b0e639509883cp-23, 0x1.dd6c57b6b6e79p-23, 0x1.04d1880a49836p-22, 0x1.1ac5045d67381p-22, 0x1.309075e0d5dc8p-22, 0x1.4633b37debad7p-22, 0x1.5bae95f6c738ap-22, 0x1.7100f7e49f3f6p-22, 0x1.862ab5aaadb4ap-22, 0x1.9b2bad741cef3p-22, 0x1.b003bf2d15658p-22, 0x1.c4b2cc80729c3p-22, 0x1.d938b8cc6d042p-22, 0x1.ed95691ffcd2p-22, 0x1.00e4621ab5533p-21, 0x1.0ae95936dadd2p-21, 0x1.14d98ee399f9cp-21, 0x1.1eb4f8ed4fb5ep-21, 0x1.287b8deaa26eap-21, 0x1.322d4539da498p-21, 0x1.3bca16fd00ffep-21, 0x1.4551fc18d0a1p-21, 0x1.4ec4ee324188bp-21, 0x1.5822e7a892856p-21, 0x1.616be3960413fp-21, 0x1.6a9fddcb2a424p-21, 0x1.73bed2cec2f2dp-21, 0x1.7cc8bfd76bb0dp-21, 0x1.85bda2cce31ffp-21, 0x1.8e9d7a41308bp-21, 0x1.97684571035aap-21, 0x1.a01e044262e3dp-21, 0x1.a8beb73edc241p-21, 0x1.b14a5f916b426p-21, 0x1.b9c0ff0566a13p-21, 0x1.c222980482a8dp-21, 0x1.ca6f2d921ed26p-21, 0x1.d2a6c349c2f7p-21, 0x1.dac95d5e648a2p-21, 0x1.e2d70094fe667p-21, 0x1.eacfb2438b17fp-21, 0x1.f2b3784f7b3ffp-21, 0x1.fa825929a91b4p-21, 0x1.011e2de727c21p-20, 0x1.04f0c3df6b6adp-20, 0x1.08b8f2825c512p-20, 0x1.0c76be14c9833p-20, 0x1.102a2b1ce852bp-20, 0x1.13d33e5fa6b0ep-20, 0x1.1771fce079f39p-20, 0x1.1b066bde9866fp-20, 0x1.1e9090d69aa9p-20, 0x1.2210717ed9419p-20, 0x1.258613c7d7da9p-20, 0x1.28f17dda5a1b7p-20, 0x1.2c52b61685256p-20, 0x1.2fa9c313f8f09p-20, 0x1.32f6ab9e9c921p-20, 0x1.363976b78ce38p-20, 0x1.39722b91de688p-20, 0x1.3ca0d19533159p-20, 0x1.3fc57058ba91ep-20, 0x1.42e00fa48f8d4p-20, 0x1.45f0b7701c284p-20, 0x1.48f76fe13485cp-20, 0x1.4bf4414b058ccp-20, 0x1.4ee7342d4b25cp-20, 0x1.51d05132e0727p-20, 0x1.54afa131a7978p-20, 0x1.57852d284f0abp-20, 0x1.5a50fe3f1906fp-20, 0x1.5d131dc5852f3p-20, 0x1.5fcb9532397edp-20, 0x1.627a6e21658b2p-20, 0x1.651fb25490fp-20, 0x1.67bb6bb1b82f6p-20, 0x1.6a4da4417d382p-20, 0x1.6cd6662fc30afp-20, 0x1.6f55bbc917f35p-20, 0x1.71cbaf7c006b5p-20, 0x1.74384bd5db971p-20, 0x1.769b9b83b9b6ap-20, 0x1.78f5a950f2216p-20, 0x1.7b4680266d1cbp-20, 0x1.7d8e2b096a43dp-20, 0x1.7fccb51b5954ap-20, 0x1.82022998f5e87p-20, 0x1.842e93d96c66p-20, 0x1.8651ff4cd32a3p-20, 0x1.886c777d07e49p-20, 0x1.8a7e080b9f8d9p-20, 0x1.8c86bcb182188p-20, 0x1.8e86a13e7601ep-20, 0x1.907dc19833f5ep-20, 0x1.926c29b9d2166p-20, 0x1.9451e5b295ea2p-20, 0x1.962f01a6283e9p-20, 0x1.980389caef2f5p-20, 0x1.99cf8a6a432f9p-20, 0x1.9b930fdef72f3p-20, 0x1.9d4e2695aa76dp-20, 0x1.9f00db0a997ccp-20, 0x1.a0ab39cb0910dp-20, 0x1.a24d4f72b1bc3p-20, 0x1.a3e728aca5307p-20, 0x1.a578d231272e4p-20, 0x1.a70258c7153bep-20, 0x1.a883c94119873p-20, 0x1.a9fd307f04c5dp-20, 0x1.ab6e9b6b981fap-20, 0x1.acd816fd6600dp-20, 0x1.ae39b034f5f14p-20, 0x1.af93741d39072p-20, 0x1.b0e56fca8556ep-20, 0x1.b22fb05a27456p-20, 0x1.b37242f14dfb8p-20, 0x1.b4ad34bddaeccp-20, 0x1.b5e092f45669fp-20, 0x1.b70c6ad080e63p-20, 0x1.b830c9942aa99p-20, 0x1.b94dbc875d528p-20, 0x1.ba6350f6bf17p-20, 0x1.bb719434d46ebp-20, 0x1.bc7893978a944p-20, 0x1.bd785c797492fp-20, 0x1.be70fc37e26ffp-20, 0x1.bf62803437955p-20, 0x1.c04cf5d115a1fp-20, 0x1.c1306a747c975p-20, 0x1.c20ceb84efe5dp-20, 0x1.c2e2866b84282p-20, 0x1.c3b14890ba65fp-20, 0x1.c4793f5eed80ep-20, 0x1.c53a783f2a018p-20, 0x1.c5f5009b69f0fp-20, 0x1.c6a8e5dbb66f9p-20, 0x1.c7563567ddd13p-20, 0x1.c7fcfca573b76p-20, 0x1.c89d48f8a7832p-20, 0x1.c93727c351105p-20, 0x1.c9caa66439659p-20, 0x1.ca57d237f8107p-20, 0x1.cadeb896e6911p-20, 0x1.cb5f66d69270ep-20, 0x1.cbd9ea47f2658p-20, 0x1.cc4e5037e5232p-20, 0x1.ccbca5ee87e1bp-20, 0x1.cd24f8af1e27p-20, 0x1.cd8755b79e7bbp-20, 0x1.cde3ca40587dbp-20, 0x1.ce3a637bc34d2p-20, 0x1.ce8b2e960eddcp-20, 0x1.ced638b543184p-20, 0x1.cf1b8ef83c71ep-20, 0x1.cf5b3e770f131p-20, 0x1.cf9554425799p-20, 0x1.cfc9dd635ed35p-20, 0x1.cff8e6db6cd3bp-20, 0x1.d0227da374c45p-20, 0x1.d046aeacc8c2dp-20, 0x1.d06586df45ca1p-20, 0x1.d07f131ab22f7p-20, 0x1.d0936034fd263p-20, 0x1.d0a27afbcecf8p-20, 0x1.d0ac703229cb2p-20, 0x1.d0b14c9249ad8p-20, 0x1.d0b11ccbbc774p-20, 0x1.d0abed846ce8ap-20, 0x1.d0a1cb5789314p-20, 0x1.d092c2d59e9bap-20, 0x1.d07ee0850962ap-20, 0x1.d06630e029d47p-20, 0x1.d048c0576d71bp-20, 0x1.d0269b4e9a053p-20, 0x1.cfffce1f31d7ep-20, 0x1.cfd46515e849fp-20, 0x1.cfa46c7478373p-20, 0x1.cf6ff06fca1d9p-20, 0x1.cf36fd315299cp-20, 0x1.cef99ed55439p-20, 0x1.ceb7e16c779bbp-20, 0x1.ce71d0f9bdb9bp-20, 0x1.ce2779744d0dap-20, 0x1.cdd8e6c5a590cp-20, 0x1.cd8624ca65e17p-20, 0x1.cd2f3f5229d39p-20, 0x1.ccd4421ea750bp-20, 0x1.cc7538e4ce93p-20, 0x1.cc122f4b0acfap-20, 0x1.cbab30eb1e5f2p-20, 0x1.cb40494fd7e7p-20, 0x1.cad183f707dedp-20, 0x1.ca5eec4f59781p-20, 0x1.c9e88dbac00a4p-20, 0x1.c96e738b05175p-20, 0x1.c8f0a905a7ce6p-20, 0x1.c86f395f9001cp-20, 0x1.c7ea2fc104b8fp-20, 0x1.c7619741d8352p-20, 0x1.c6d57aecd79eep-20, 0x1.c645e5bc6ef1cp-20, 0x1.c5b2e29d6159cp-20, 0x1.c51c7c6c7c0ebp-20, 0x1.c482bdf833133p-20, 0x1.c3e5b1ff49a29p-20, 0x1.c3456331cd87p-20, 0x1.c2a1dc3020602p-20, 0x1.c1fb278bb82c6p-20, 0x1.c1514fc600357p-20, 0x1.c0a45f51d7d55p-20, 0x1.bff46091b64e2p-20, 0x1.bf415dd947892p-20, 0x1.be8b616c1484ap-20, 0x1.bdd2757e19353p-20, 0x1.bd16a43437d09p-20, 0x1.bc57f7a25a571p-20, 0x1.bb9679ce4eaecp-20, 0x1.bad234ac47f86p-20, 0x1.ba0b322260afdp-20, 0x1.b9417c054fe2ep-20, 0x1.b8751c1b2ac7ep-20, 0x1.b7a61c190c118p-20, 0x1.b6d485a5084cfp-20, 0x1.b600625473295p-20, 0x1.b529bbad46066p-20, 0x1.b4509b24f1e41p-20, 0x1.b3750a214ce2dp-20, 0x1.b29711f7e304fp-20, 0x1.b1b6bbee45bc3p-20, 0x1.b0d4113a2794fp-20, 0x1.afef1b00b87f6p-20, 0x1.af07e257a6e99p-20, 0x1.ae1e70440b0bap-20, 0x1.ad32cdbb68023p-20, 0x1.ac4503a2a98cbp-20, 0x1.ab551acf3d5e2p-20, 0x1.aa631c05e632cp-20, 0x1.a96f0ffc02178p-20, 0x1.a878ff5622b3ap-20, 0x1.a780f2a992f88p-20, 0x1.a686f27ae1962p-20, 0x1.a58b073f41c5fp-20, 0x1.a48d395b59c4ep-20, 0x1.a38d91241132fp-20, 0x1.a28c16de93612p-20, 0x1.a188d2bf5649fp-20, 0x1.a083ccec15da1p-20, 0x1.9f7d0d792e059p-20, 0x1.9e749c6c8ba39p-20, 0x1.9d6a81bb16a73p-20, 0x1.9c5ec54a9d44bp-20, 0x1.9b516ef0de5eep-20, 0x1.9a428673804dep-20, 0x1.993213894f141p-20, 0x1.98201dd81793bp-20, 0x1.970cacf76488ap-20, 0x1.95f7c86dc7526p-20, 0x1.94e177b3545d9p-20, 0x1.93c9c22f9fc9p-20, 0x1.92b0af3b5a245p-20, 0x1.9196461f53f3p-20, 0x1.907a8e151f14dp-20, 0x1.8f5d8e46c74a9p-20, 0x1.8e3f4dcef0304p-20, 0x1.8d1fd3b9181b5p-20, 0x1.8bff27011384fp-20, 0x1.8add4e93f4c68p-20, 0x1.89ba514f0d4ep-20, 0x1.889636011960bp-20, 0x1.877103692edcap-20, 0x1.864ac037d561fp-20, 0x1.8523730e1b209p-20, 0x1.83fb227e8943ap-20, 0x1.82d1d50c4d7fdp-20, 0x1.81a7912c3fca1p-20, 0x1.807c5d43d5b61p-20, 0x1.7f503faa5e5cdp-20, 0x1.7e233ea7f8097p-20, 0x1.7cf5607660e6dp-20, 0x1.7bc6ab40c31e4p-20, 0x1.7a97252378e37p-20, 0x1.7966d42d0c679p-20, 0x1.7835be5c9b1a2p-20, 0x1.7703e9a42adfcp-20, 0x1.75d15be611fcep-20, 0x1.749e1af7d0e26p-20, 0x1.736a2c9f757bep-20, 0x1.72359695ebc9ap-20, 0x1.71005e858291p-20, 0x1.6fca8a0ab76dap-20, 0x1.6e941eb444a7p-20, 0x1.6d5d22029dc1ep-20, 0x1.6c259968ee4bep-20, 0x1.6aed8a4c2a0c7p-20, 0x1.69b4fa03f5e94p-20, 0x1.687bedda29138p-20, 0x1.67426b0b2de08p-20, 0x1.660876c5de0c1p-20, 0x1.64ce162bcda92p-20, 0x1.63934e50e9223p-20, 0x1.6258243c54e4p-20, 0x1.611c9ce7732e7p-20, 0x1.5fe0bd3f1a377p-20, 0x1.5ea48a2263cb9p-20, 0x1.5d68086427771p-20, 0x1.5c2b3cc974d56p-20, 0x1.5aee2c0b78f2cp-20, 0x1.59b0dad56e426p-20, 0x1.58734dc732652p-20, 0x1.573589726b362p-20, 0x1.55f7925dde424p-20, 0x1.54b96d01f9083p-20, 0x1.537b1dcca9911p-20, 0x1.523ca91d67ddep-20, 0x1.50fe13498fa0bp-20, 0x1.4fbf60980683ap-20, 0x1.4e809545b629ep-20, 0x1.4d41b5816d437p-20, 0x1.4c02c56fb388cp-20, 0x1.4ac3c927b5219p-20, 0x1.4984c4b5c035cp-20, 0x1.4845bc19c6284p-20, 0x1.4706b3481783fp-20, 0x1.45c7ae29a928dp-20, 0x1.4488b09b36ef7p-20, 0x1.4349be6ed043cp-20, 0x1.420adb6a322d4p-20, 0x1.40cc0b4874318p-20, 0x1.3f8d51b8e37dp-20, 0x1.3e4eb25fcca5fp-20, 0x1.3d1030d64fdc8p-20, 0x1.3bd1d0aa5ap-20, 0x1.3a93955f10feep-20, 0x1.3955826c5d166p-20, 0x1.38179b3f96e9fp-20, 0x1.36d9e33afadb1p-20, 0x1.359c5db65a962p-20, 0x1.345f0dfea2dcdp-20, 0x1.3321f75665dfcp-20, }}, 
      {{0x1.fdfd2582704fep-2, 0x1.fda1f18b2dd5ep-2, 0x1.fd12431316c08p-2, 0x1.fc58994fdc275p-2, 0x1.fb80f29f61849p-2, 0x1.fa9775daf53d2p-2, 0x1.f9a767d2bd3e3p-2, 0x1.f8ba6fd3e26ebp-2, 0x1.f7d828e8defbp-2, 0x1.f705f79657feep-2, 0x1.f64716d52a0e8p-2, 0x1.f59ccc7d38d42p-2, 0x1.f506b577427dfp-2, 0x1.f4831c345fd6ep-2, 0x1.f40f4f230160ap-2, 0x1.f3a7f0485a9c6p-2, 0x1.f3493a34a3707p-2, 0x1.f2ef38ebf2b8bp-2, 0x1.f295f701b9984p-2, 0x1.f239a01c62503p-2, 0x1.f1d69a85ca5e9p-2, 0x1.f169997d8292fp-2, 0x1.f0efa9d8b3864p-2, 0x1.f0663a36ffb79p-2, 0x1.efcb1fc90504fp-2, 0x1.ef1c986119966p-2, 0x1.ee594a504c2a8p-2, 0x1.ed80426a48c8bp-2, 0x1.ec90f0719de15p-2, 0x1.eb8b222055fep-2, 0x1.ea6efcfb9af9fp-2, 0x1.e93cf72126ae1p-2, 0x1.e7f5cf3fb4328p-2, 0x1.e69a83eec7e8cp-2, 0x1.e52c4a9c142edp-2, 0x1.e3ac86453c2ecp-2, 0x1.e21cbe32f766dp-2, 0x1.e07e94e6f3446p-2, 0x1.ded3bf688129dp-2, 0x1.dd1dfd156f117p-2, 0x1.db5f101508781p-2, 0x1.d998b683828d6p-2, 0x1.d7cca4646fc1dp-2, 0x1.d5fc7e63a7fa4p-2, 0x1.d429d5659b41cp-2, 0x1.d25622e270c8fp-2, 0x1.d082c602ad723p-2, 0x1.ceb1017098e61p-2, 0x1.cce1f9cee7dc4p-2, 0x1.cb16b4c39c56ep-2, 0x1.c95018851725p-2, 0x1.c78eebd7469acp-2, 0x1.c5d3d6674012cp-2, 0x1.c41f6174767d1p-2, 0x1.c271f8b80a1c2p-2, 0x1.c0cbeb7c17f58p-2, 0x1.bf2d6dd68f19cp-2, 0x1.bd9699fcc9b53p-2, 0x1.bc0771a6b48ebp-2, 0x1.ba7fdf7a0221dp-2, 0x1.b8ffb87750e62p-2, 0x1.b786bd6485261p-2, 0x1.b6149c30d7d3ep-2, 0x1.b4a8f15011a7dp-2, 0x1.b343490b58303p-2, 0x1.b1e320c6a65eap-2, 0x1.b087e83a990c9p-2, 0x1.af3102a2ac7edp-2, 0x1.adddc7e0594b7p-2, 0x1.ac8d8593aa2p-2, 0x1.ab3f802a14b83p-2, 0x1.a9f2f3e45c5e2p-2, 0x1.a8a715d446f26p-2, 0x1.a75b14d2def6p-2, 0x1.a60e1a6fe6317p-2, 0x1.a4bf4bdafd5aap-2, 0x1.a36dcac6e25ccp-2, 0x1.a218b64709de5p-2, 0x1.a0bf2ba7b8f5ap-2, 0x1.9f6047409cdb2p-2, 0x1.9dfb2541c7859p-2, 0x1.9c8ee27ae1b19p-2, 0x1.9b1a9d1c45ce1p-2, 0x1.999d7571b350ap-2, 0x1.98168e962e41cp-2, 0x1.96850f20a567cp-2, 0x1.94e821c8f1feep-2, 0x1.933ef604b80b7p-2, 0x1.9188c09bcd1e2p-2, 0x1.8fc4bc33b08c4p-2, 0x1.8df229d1c896dp-2, 0x1.8c1051540dda5p-2, 0x1.8a1e81dfe3f22p-2, 0x1.881c1246f2e19p-2, 0x1.86086161d5ba5p-2, 0x1.83e2d66091bdep-2, 0x1.81aae110d0b2dp-2, 0x1.7f5ffa19e8fd4p-2, 0x1.7d01a32ed404bp-2, 0x1.7a8f67363d20ep-2, 0x1.7808da68e0072p-2, 0x1.756d9a66825d8p-2, 0x1.72bd4e41d3a8dp-2, 0x1.6ff7a683976b7p-2, 0x1.6d1c5d257cda1p-2, 0x1.6a2b358510c86p-2, 0x1.6723fc4f424f4p-2, 0x1.64068764f00a8p-2, 0x1.60d2b5b903a15p-2, 0x1.5d886f2892598p-2, 0x1.5a27a44d90525p-2, 0x1.56b04e4c8e792p-2, 0x1.53226e9e11b6p-2, 0x1.4f7e0ed3f99ffp-2, 0x1.4bc3405b7dbdp-2, 0x1.47f21c3c356adp-2, 0x1.440ac2d4aa6a6p-2, 0x1.400d5b94debc9p-2, 0x1.3bfa14b74082ap-2, 0x1.37d122f86991fp-2, 0x1.3392c14e12145p-2, 0x1.2f3f309d97d85p-2, 0x1.2ad6b77267b9bp-2, 0x1.2659a1b4a117bp-2, 0x1.21c840603b79bp-2, 0x1.1d22e93cf05b8p-2, 0x1.1869f69728047p-2, 0x1.139dc6fa2226fp-2, 0x1.0ebebceb8641cp-2, 0x1.09cd3ea88d778p-2, 0x1.04c9b5e4e5145p-2, 0x1.ff691f16de4b5p-3, 0x1.f51c7701f0e4bp-3, 0x1.eaae58d1ec97ep-3, 0x1.e01faed8cefc6p-3, 0x1.d5716805afd7ap-3, 0x1.caa4777b37e9cp-3, 0x1.bfb9d42a75b63p-3, 0x1.b4b278722d4f3p-3, 0x1.a98f61c28b63dp-3, 0x1.9e51904539cebp-3, 0x1.92fa0689c4ee7p-3, 0x1.8789c9363e6efp-3, 0x1.7c01debc007adp-3, 0x1.70634f108343ep-3, 0x1.64af236a0e587p-3, 0x1.58e666003c18dp-3, 0x1.4d0a21d01fcd4p-3, 0x1.411b6263e7a83p-3, 0x1.351b339dd5c3cp-3, 0x1.290aa1866ead4p-3, 0x1.1ceab81da532fp-3, 0x1.10bc832eed778p-3, 0x1.04810e27fe1d4p-3, 0x1.f072c7e43dfdp-4, 0x1.d7cd1d9bb8362p-4, 0x1.bf133061e8896p-4, 0x1.a647114cab9a8p-4, 0x1.8d6acf602292ep-4, 0x1.7480775623012p-4, 0x1.5b8a1368f3d8cp-4, 0x1.4289ab210598ap-4, 0x1.2981432585bfbp-4, 0x1.1072dd0f5fca2p-4, 0x1.eec0ee7d33e3ap-5, 0x1.bc9819636fb23p-5, 0x1.8a6f29be0df26p-5, 0x1.584a071f09ee3p-5, 0x1.262c9176b040ep-5, 0x1.e835419e25f8ep-6, 0x1.84300a13c8411p-6, 0x1.20510b40aec85p-6, 0x1.793f8593277f6p-7, 0x1.648e722ff92e3p-8, -0x1.4381bb124cc9dp-11, -0x1.b45fd5dd25b14p-8, -0x1.9f91cd10f8097p-7, -0x1.3227c0daa9aebp-6, -0x1.942d78420544dp-6, -0x1.f5d315068c922p-6, -0x1.2b88da28c257ap-5, -0x1.5bf1444cccc7p-5, -0x1.8c1f6d074a55dp-5, -0x1.bc100382248cdp-5, -0x1.ebbfc22e56357p-5, -0x1.0d95b77c63477p-4, -0x1.2527edbf61b34p-4, -0x1.3c94f2a113b9ep-4, -0x1.53db3aee9bc26p-4, -0x1.6af9419b0eedbp-4, -0x1.81ed87d8f450dp-4, -0x1.98b695339b5f7p-4, -0x1.af52f7a8202ep-4, -0x1.c5c143be2e162p-4, -0x1.dc0014a07e721p-4, -0x1.f20e0c34e478ep-4, -0x1.03f4e99a08227p-3, -0x1.0ec90ca06c68ap-3, -0x1.1982ca7f88ee8p-3, -0x1.24218214f5f7p-3, -0x1.2ea495d4dcc32p-3, -0x1.390b6bd499146p-3, -0x1.43556dd509c37p-3, -0x1.4d82094c8dc64p-3, -0x1.5790af70a5bb6p-3, -0x1.6180d53f3c9e6p-3, -0x1.6b51f38787cfdp-3, -0x1.750386f28ac14p-3, -0x1.7e95100b23008p-3, -0x1.88061345b0dep-3, -0x1.9156190740881p-3, -0x1.9a84adac47d5ap-3, -0x1.a391618edf3f8p-3, -0x1.ac7bc90c7d106p-3, -0x1.b5437c8b356ffp-3, -0x1.bde8187e6cdp-3, -0x1.c6693d6b082aap-3, -0x1.cec68feb1084p-3, -0x1.d6ffb8b0cc52ap-3, -0x1.df14648946e3ep-3, -0x1.e704445e49413p-3, -0x1.eecf0d37bf4f4p-3, -0x1.f674783c8bca4p-3, -0x1.fdf442b2c79b1p-3, -0x1.02a716ffb6b2dp-2, -0x1.0640ffd2b675fp-2, -0x1.09c7c0a216a6cp-2, -0x1.0d3b404ab95adp-2, -0x1.109b67b55ba62p-2, -0x1.13e821d4f4ab8p-2, -0x1.17215ba4c978cp-2, -0x1.1a4704263e088p-2, -0x1.1d590c5e5395ap-2, -0x1.20576752e728bp-2, -0x1.23420a07a40fap-2, -0x1.2618eb7ab1b96p-2, -0x1.28dc04a119p-2, -0x1.2b8b5062e85b6p-2, -0x1.2e26cb9713e91p-2, -0x1.30ae74ff10d75p-2, -0x1.33224d42325cfp-2, -0x1.358256e8c7cc4p-2, -0x1.37ce9656f98f5p-2, -0x1.3a0711c76dd84p-2, -0x1.3c2bd145adfcap-2, -0x1.3e3cdea85547bp-2, -0x1.403a458b08629p-2, -0x1.4224134834706p-2, -0x1.43fa56f29d598p-2, -0x1.45bd214eb6dedp-2, -0x1.476c84cbd1421p-2, -0x1.4908957d12784p-2, -0x1.4a9169124595p-2, -0x1.4c0716d0822fap-2, -0x1.4d69b78aa4488p-2, -0x1.4eb96599a5656p-2, -0x1.4ff63cd4c9b25p-2, -0x1.51205a89b0fdap-2, -0x1.5237dd744331ap-2, -0x1.533ce5b67f584p-2, -0x1.542f94d02e77bp-2, -0x1.55100d967abaap-2, -0x1.55de742b717cp-2, -0x1.569aedf56a0ddp-2, -0x1.5745a1965a07cp-2, -0x1.57deb6e318deep-2, -0x1.586656da9256ap-2, -0x1.58dcab9ce7ca9p-2, -0x1.5941e06287cb8p-2, -0x1.599621733abd6p-2, -0x1.59d99c1d278afp-2, -0x1.5a0c7eabcc796p-2, -0x1.5a2ef85efb101p-2, -0x1.5a413961c9014p-2, -0x1.5a4372c185e9fp-2, -0x1.5a35d664ad1bcp-2, -0x1.5a189701da7b7p-2, -0x1.59ebe816c5f7bp-2, -0x1.59affddf3f715p-2, -0x1.59650d4c38b58p-2, -0x1.590b4bface975p-2, -0x1.58a2f02b66445p-2, -0x1.582c30b8ceff2p-2, -0x1.57a7450f733e5p-2, -0x1.571465249a822p-2, -0x1.5673c96db709dp-2, -0x1.55c5aad7c7c47p-2, -0x1.550a42becc496p-2, -0x1.5441cae54ad99p-2, -0x1.536c7d6bef72p-2, -0x1.528a94c93a431p-2, -0x1.519c4bc14eb35p-2, -0x1.50a1dd5dcf945p-2, -0x1.4f9b84e5e048ap-2, -0x1.4e897dd636a08p-2, -0x1.4d6c03d94cd18p-2, -0x1.4c4352bfaeb3p-2, -0x1.4b0fa67864e21p-2, -0x1.49d13b097b9b6p-2, -0x1.48884c88a85e2p-2, -0x1.47351714132e4p-2, -0x1.45d7d6cb3959bp-2, -0x1.4470c7c7f3dcdp-2, -0x1.43002617a166cp-2, -0x1.41862db46cf49p-2, -0x1.40031a7ebc714p-2, -0x1.3e772836bb7c3p-2, -0x1.3ce292760f166p-2, -0x1.3b4594a9aa4b6p-2, -0x1.39a06a0bc67afp-2, -0x1.37f34d9dffb21p-2, -0x1.363e7a2398295p-2, -0x1.34822a1bdc4e5p-2, -0x1.32be97bcaf43fp-2, -0x1.30f3fced3a20ap-2, -0x1.2f229340c332cp-2, -0x1.2d4a93f1a5601p-2, -0x1.2b6c37dc730f3p-2, -0x1.2987b77b3a0dcp-2, -0x1.279d4ae0ef7c1p-2, -0x1.25ad29b4fd964p-2, -0x1.23b78b2efde8cp-2, -0x1.21bca6128e596p-2, -0x1.1fbcb0ab55af3p-2, -0x1.1db7e0c926742p-2, -0x1.1bae6bbc48fa6p-2, -0x1.19a08651eac3fp-2, -0x1.178e64d0b0a99p-2, -0x1.15783af56ca07p-2, -0x1.135e3beffc674p-2, -0x1.11409a6044c9ep-2, -0x1.0f1f885354ea3p-2, -0x1.0cfb3740aaf63p-2, -0x1.0ad3d8079dcf2p-2, -0x1.08a99aece4998p-2, -0x1.067caf98441f3p-2, -0x1.044d45125d9e9p-2, -0x1.021b89c29aa0dp-2, -0x1.ffcf56da81aacp-3, -0x1.fb63ae633ee0fp-3, -0x1.f6f47310bbeb1p-3, -0x1.f281fc83df065p-3, -0x1.ee0ca10a39fb8p-3, -0x1.e994b59b6856dp-3, -0x1.e51a8dd6a0a4ap-3, -0x1.e09e7c008a49fp-3, -0x1.dc20d101411a8p-3, -0x1.d7a1dc629bc87p-3, -0x1.d321ec4ea71aap-3, -0x1.cea14d8e55eap-3, -0x1.ca204b8865e58p-3, -0x1.c59f30407f455p-3, -0x1.c11e4456815a2p-3, -0x1.bc9dcf060301ep-3, -0x1.b81e162607029p-3, -0x1.b39f5e28de21dp-3, -0x1.af21ea1c36192p-3, -0x1.aaa5fba95aad4p-3, -0x1.a62bd315a1df2p-3, -0x1.a1b3af4301749p-3, -0x1.9d3dcdb0d15d2p-3, -0x1.98ca6a7cb5abdp-3, -0x1.9459c063b48c2p-3, -0x1.8fec08c36b002p-3, -0x1.8b817b9b703d1p-3, -0x1.871a4f8eda754p-3, -0x1.82b6b9e5e26a8p-3, -0x1.7e56ee8fb21b2p-3, -0x1.79fb20244dd1dp-3, -0x1.75a37fe6a065p-3, -0x1.71503dc6a63f6p-3, -0x1.6d018863b731cp-3, -0x1.68b78d0ee8e61p-3, -0x1.647277cd95629p-3, -0x1.6032735bf0811p-3, -0x1.5bf7a92fc41a8p-3, -0x1.57c2417b3c074p-3, -0x1.5392632fcba1cp-3, -0x1.4f6834012b094p-3, -0x1.4b43d8686c243p-3, -0x1.472573a71cd48p-3, -0x1.430d27ca86326p-3, -0x1.3efb15aef736ep-3, -0x1.3aef5d0323a1ap-3, -0x1.36ea1c4b97192p-3, -0x1.32eb70e62d93p-3, -0x1.2ef3770daa84dp-3, -0x1.2b0249dd4f33dp-3, -0x1.27180354845f4p-3, -0x1.2334bc5a95816p-3, -0x1.1f588cc26c113p-3, -0x1.1b838b4e5e1ddp-3, -0x1.17b5cdb40230ep-3, -0x1.13ef68a01143fp-3, -0x1.10306fba49973p-3, -0x1.0c78f5a95eb97p-3, -0x1.08c90c16efb8ep-3, -0x1.0520c3b37f15ep-3, -0x1.01802c3a7462ep-3, -0x1.fbcea8ec3d8a6p-4, -0x1.f4ac948784095p-4, -0x1.ed9a352f375f9p-4, -0x1.e697a301eae48p-4, -0x1.dfa4f45c67ccdp-4, -0x1.d8c23de1cc902p-4, -0x1.d1ef9283b1955p-4, -0x1.cb2d038a4ddf5p-4, -0x1.c47aa09c99f71p-4, -0x1.bdd877c86d8fp-4, -0x1.b746958a9d25bp-4, -0x1.b0c504d71424ap-4, -0x1.aa53cf20e6329p-4, -0x1.a3f2fc62640bp-4, -0x1.9da2932517b46p-4, -0x1.97629889c62a8p-4, -0x1.91331050675bfp-4, -0x1.8b13fce00fba8p-4, -0x1.85055f4ecee36p-4, -0x1.7f07376989e1ap-4, -0x1.791983bbbffap-4, -0x1.733c4197478c4p-4, -0x1.6d6f6d1bfe4ap-4, -0x1.67b3013f68b6ep-4, -0x1.6206f7d4425acp-4, -0x1.5c6b49920392cp-4, -0x1.56dfee1c4bf0ep-4, -0x1.5164dc0a4bbap-4, -0x1.4bfa08ee0b9d6p-4, -0x1.469f695bb35dcp-4, -0x1.4154f0f0aa207p-4, -0x1.3c1a925abbaa2p-4, -0x1.36f03f5f157e4p-4, -0x1.31d5e8e13b33fp-4, -0x1.2ccb7ee9e8511p-4, -0x1.27d0f0add410dp-4, -0x1.22e62c946d123p-4, -0x1.1e0b203e739a3p-4, -0x1.193fb88c8b63ap-4, -0x1.1483e1a5a850bp-4, -0x1.0fd786fd78792p-4, -0x1.0b3a935aa3785p-4, -0x1.06acf0dd04ce8p-4, -0x1.022e8903c66aap-4, -0x1.fb7e8966cce38p-5, -0x1.f2be18774f2p-5, -0x1.ea1b8ebace271p-5, -0x1.e196baa0bea6p-5, -0x1.d92f6991acc0bp-5, -0x1.d0e567fa52644p-5, -0x1.c8b881569552cp-5, -0x1.c0a8803c55555p-5, -0x1.b8b52e65f5781p-5, -0x1.b0de54bcdb11ep-5, -0x1.a923bb6399c31p-5, -0x1.a18529c001e67p-5, -0x1.9a02668505232p-5, -0x1.929b37bc5933cp-5, -0x1.8b4f62d002bfep-5, -0x1.841eac93a2497p-5, -0x1.7d08d94d8f239p-5, -0x1.760dacbfd69ep-5, -0x1.6f2cea30fa72dp-5, -0x1.6866547487cccp-5, -0x1.61b9adf381439p-5, -0x1.5b26b8b49ea08p-5, -0x1.54ad366452944p-5, -0x1.4e4ce85cb4477p-5, -0x1.48058fad2febap-5, -0x1.41d6ed2209345p-5, -0x1.3bc0c14bc1abp-5, -0x1.35c2cc863d911p-5, -0x1.2fdcceffcb34p-5, -0x1.2a0e88bffea0bp-5, -0x1.2457b9ae5e8b3p-5, -0x1.1eb82198da52fp-5, -0x1.192f803a3fad5p-5, -0x1.13bd954047d08p-5, -0x1.0e622051ba14dp-5, -0x1.091ce1143b8d7p-5, -0x1.03ed973200b82p-5, -0x1.fda804bece824p-6, -0x1.f39fc4c09ec5dp-6, -0x1.e9c1ee1acb972p-6, -0x1.e00e00b26362ap-6, -0x1.d6837caa0c1b5p-6, -0x1.cd21e26bbd93cp-6, -0x1.c3e8b2b1f0839p-6, -0x1.bad76e909c4a2p-6, -0x1.b1ed977e1b5c9p-6, -0x1.a92aaf5b7bed4p-6, -0x1.a08e387cca3dep-6, -0x1.9817b5b0e1e94p-6, -0x1.8fc6aa493af3ap-6, -0x1.879a9a2122614p-6, -0x1.7f9309a4fca67p-6, -0x1.77af7dd91780dp-6, -0x1.6fef7c6049da4p-6, -0x1.68528b826101ep-6, -0x1.60d832324298bp-6, -0x1.597ff813ca3d6p-6, -0x1.5249658176a96p-6, -0x1.4b340391f182ap-6, -0x1.443f5c1d2479dp-6, -0x1.3d6af9c160b43p-6, -0x1.36b667e7f1bb8p-6, -0x1.302132c9df92fp-6, -0x1.29aae7743ecd1p-6, -0x1.235313cc3f308p-6, -0x1.1d1946933d2cep-6, -0x1.16fd0f6a72342p-6, -0x1.10fdfed692c8p-6, -0x1.0b1ba6431d033p-6, -0x1.05559805990fbp-6, -0x1.ff56cec1186acp-7, -0x1.f439510cd7d0cp-7, -0x1.e951e1383ae02p-7, -0x1.de9fab77198d5p-7, -0x1.d421ddec1bfbap-7, -0x1.c9d7a8aca1bap-7, -0x1.bfc03dc54da92p-7, -0x1.b5dad13d5ad9ap-7, -0x1.ac26991a22ad1p-7, -0x1.a2a2cd62477b8p-7, -0x1.994ea8205dbf3p-7, -0x1.902965659ae0ap-7, -0x1.8732434c136c9p-7, -0x1.7e6881f8abe16p-7, -0x1.75cb639cfa019p-7, -0x1.6d5a2c78a8e4bp-7, -0x1.651422daa8f58p-7, -0x1.5cf88f224f0cbp-7, -0x1.5506bbc02a5cdp-7, -0x1.4d3df53672386p-7, -0x1.459d8a195ca02p-7, -0x1.3e24cb0f568ep-7, -0x1.36d30ad0cb19cp-7, -0x1.2fa79e281d8fdp-7, -0x1.28a1dbf0bdb4fp-7, -0x1.21c11d17135dfp-7, -0x1.1b04bc97188adp-7, -0x1.146c177b9f343p-7, -0x1.0df68cdd1fc11p-7, -0x1.07a37de03e054p-7, -0x1.01724db448e6cp-7, -0x1.f6c4c32353172p-8, -0x1.eae6416feb91cp-8, -0x1.df47e8d80c759p-8, -0x1.d3e88feba5e06p-8, -0x1.c8c7113c61212p-8, -0x1.bde24b5929158p-8, -0x1.b33920c8a961cp-8, -0x1.a8ca78049f5bbp-8, -0x1.9e953b7412e38p-8, -0x1.94985965e517p-8, -0x1.8ad2c40a8016ep-8, -0x1.8143716e7143ep-8, -0x1.77e95b7366d7cp-8, -0x1.6ec37fca36141p-8, -0x1.65d0dfec0b85ap-8, -0x1.5d108113abe2fp-8, -0x1.54816c3664b25p-8, -0x1.4c22adfcf3a68p-8, -0x1.43f356bc56e5cp-8, -0x1.3bf27a6e388d4p-8, -0x1.341f30a9b326p-8, -0x1.2c78949b465f6p-8, -0x1.24fdc4fd76a5p-8, -0x1.1dade41081f43p-8, -0x1.16881792c3c54p-8, -0x1.0f8b88b8535c8p-8, -0x1.08b7642310b9fp-8, -0x1.020ad9da31beap-8, -0x1.f70a3a843853bp-9, -0x1.ea4aca2798ed9p-9, -0x1.ddd5d6a915f42p-9, -0x1.d1a9da9a67923p-9, -0x1.c5c557039c031p-9, -0x1.ba26d35187dadp-9, -0x1.aeccdd4497222p-9, -0x1.a3b608df1095p-9, -0x1.98e0f05400a45p-9, -0x1.8e4c33f5136fp-9, -0x1.83f67a21b41dep-9, -0x1.79de6f346cb42p-9, -0x1.7002c5723a563p-9, -0x1.666234f7bef05p-9, -0x1.5cfb7ba846ad8p-9, -0x1.53cd5d1bea8fap-9, -0x1.4ad6a28d55046p-9, -0x1.42161ac86958bp-9, -0x1.398a9a187fa63p-9, -0x1.3132fa367cb8fp-9, -0x1.290e1a37127e4p-9, -0x1.211ade795f96p-9, -0x1.195830950588ap-9, -0x1.11c4ff48a2a0fp-9, -0x1.0a603e687f91p-9, -0x1.0328e6cc9d35fp-9, -0x1.f83bec7f3e125p-10, -0x1.ea7cdedb092e9p-10, -0x1.dd12b3a42ccf7p-10, -0x1.cffb834fa67c6p-10, -0x1.c3356fae34522p-10, -0x1.b6bea3c8b5382p-10, -0x1.aa9553c025741p-10, -0x1.9eb7bcaa7998bp-10, -0x1.93242471aa27cp-10, -0x1.87d8d9b2a30dfp-10, -0x1.7cd4339c0a96ap-10, -0x1.721491cc89259p-10, -0x1.67985c33720d6p-10, -0x1.5d5e02ef84e1dp-10, -0x1.5363fe2f008ffp-10, -0x1.49a8ce0f8ccccp-10, -0x1.402afa7eae012p-10, -0x1.36e9131a5c1c5p-10, -0x1.2de1af11647bbp-10, -0x1.25136d05864d4p-10, -0x1.1c7cf2eb3917ap-10, -0x1.141cedeccd318p-10, -0x1.0bf2124b9612cp-10, -0x1.03fb1b41ca23ap-10, -0x1.f86d95cc1fb5fp-11, -0x1.e947d419d077bp-11, -0x1.da8290594c05ap-11, -0x1.cc1b768035df3p-11, -0x1.be103f55b0086p-11, -0x1.b05eb038e9e29p-11, -0x1.a3049aea9489fp-11, -0x1.95ffdd554680ep-11, -0x1.894e6156d82f3p-11, -0x1.7cee1c8b291d9p-11, -0x1.70dd1016a7b8p-11, -0x1.65194871bc454p-11, -0x1.59a0dd34818dap-11, -0x1.4e71f0e4dc986p-11, -0x1.438ab0c143b47p-11, -0x1.38e95490773dcp-11, -0x1.2e8c1e6f6796fp-11, -0x1.24715aa04b202p-11, -0x1.1a975f5a6f888p-11, -0x1.10fc8c9a6f199p-11, -0x1.079f4bf2ccb1dp-11, -0x1.fcfc20bc60a8ap-12, -0x1.eb2eac226475ap-12, -0x1.d9d3449969567p-12, -0x1.c8e706649564cp-12, -0x1.b8671f2cf10f3p-12, -0x1.a850cdaf66ebap-12, -0x1.98a16162e6e1p-12, -0x1.89563a2623523p-12, -0x1.7a6cc7eae4645p-12, -0x1.6be28a6583eb7p-12, -0x1.5db510bbb7735p-12, -0x1.4fe1f9344bac3p-12, -0x1.4266f0e90d63ap-12, -0x1.3541b378eb3c1p-12, -0x1.28700abc887dep-12, -0x1.1befce7b6ca1fp-12, -0x1.0fbee420f529ap-12, -0x1.03db3e741de45p-12, -0x1.f085baa38ebdap-13, -0x1.d9e79ac4aeefdp-13, -0x1.c3d84fafd2d2bp-13, -0x1.ae54245123ec5p-13, -0x1.99577b9699fc5p-13, -0x1.84decfeb1ee5fp-13, -0x1.70e6b2b749d9p-13, -0x1.5d6bcbde3f4ap-13, -0x1.4a6ad9419c282p-13, -0x1.37e0ae45899bbp-13, -0x1.25ca33588f221p-13, -0x1.1424657913fd6p-13, -0x1.02ec55c334a4fp-13, -0x1.e43e51f41e5dcp-14, -0x1.c3742e34c1a93p-14, -0x1.a374d5ce0dd58p-14, -0x1.843b02fb837ep-14, -0x1.65c193d925da7p-14, -0x1.480389880933dp-14, -0x1.2afc0769c42cbp-14, -0x1.0ea6524d0bf6p-14, -0x1.e5fb9f4e78a32p-15, -0x1.affc09a78f0f8p-15, -0x1.7b452c99a8743p-15, -0x1.47ce8deb18c7fp-15, -0x1.158feeb28c503p-15, -0x1.c90293f29e9efp-16, -0x1.6935a69386d07p-16, -0x1.0ba9eab085b1bp-16, -0x1.60a1429bade55p-17, -0x1.5c6dd1c9aec9cp-18, 0x1.c5bad706de815p-31, 0x1.5467a872da72dp-18, 0x1.5069a3aa4fcb9p-17, 0x1.f2c21bddddefp-17, 0x1.48ab0d38b18c5p-16, 0x1.961ee431873d2p-16, 0x1.e1c84f72f5651p-16, 0x1.15d95aecce77dp-15, 0x1.39f495619387ep-15, 0x1.5d3b3816c0668p-15, 0x1.7fb27c72904dep-15, 0x1.a15f7538076a8p-15, 0x1.c2470fa0cb354p-15, 0x1.e26e14456b9e7p-15, 0x1.00ec9412771c1p-14, 0x1.104666c5e25adp-14, 0x1.1f46b2866727dp-14, 0x1.2def972de4c06p-14, 0x1.3c43249f1fc74p-14, 0x1.4a435b2f950aep-14, 0x1.57f22c180ec16p-14, 0x1.655179dc75e5dp-14, 0x1.726318b358a43p-14, 0x1.7f28ceef985f8p-14, 0x1.8ba4555e52172p-14, 0x1.97d757ab7347ep-14, 0x1.a3c374c0b9p-14, 0x1.af6a3f1f20b6cp-14, 0x1.bacd3d3e75b01p-14, 0x1.c5ede9e08afa5p-14, 0x1.d0cdb46da7b89p-14, 0x1.db6e0141189a6p-14, 0x1.e5d02a03db69p-14, 0x1.eff57df74be89p-14, 0x1.f9df4246e15eep-14, 0x1.01c759294364bp-13, 0x1.06827ffdf1237p-13, 0x1.0b21a9f6b036dp-13, 0x1.0fa566f0fbb07p-13, 0x1.140e4275bc4d5p-13, 0x1.185cc3da94dfcp-13, 0x1.1c916e6355741p-13, 0x1.20acc161fa766p-13, 0x1.24af3856602f6p-13, 0x1.28994b0c720a8p-13, 0x1.2c6b6dba62dfp-13, 0x1.3026111d75b9ep-13, 0x1.33c9a296e62e8p-13, 0x1.37568c46b7d31p-13, 0x1.3acd352684d65p-13, 0x1.3e2e01253c2cdp-13, 0x1.4179513e4118cp-13, 0x1.44af83942fd7dp-13, 0x1.47d0f387e6a5ep-13, 0x1.4addf9d08af4cp-13, 0x1.4dd6ec922ca71p-13, 0x1.50bc1f73e2304p-13, 0x1.538de3b5a5a75p-13, 0x1.564c884558c6ep-13, 0x1.58f859d2c7523p-13, 0x1.5b91a2e474235p-13, 0x1.5e18abe9dcce5p-13, 0x1.608dbb4ed0e36p-13, 0x1.62f1158d7db95p-13, 0x1.6542fd403ddfap-13, 0x1.6783b332bb9fcp-13, 0x1.69b37672c9a3p-13, 0x1.6bd284601b5dp-13, 0x1.6de118bc7b904p-13, 0x1.6fdf6dbae2977p-13, 0x1.71cdbc0e2a819p-13, 0x1.73ac3af7c414p-13, 0x1.757b2054d5938p-13, 0x1.773aa0aca0832p-13, 0x1.78eaef3d06673p-13, 0x1.7a8c3e079e8c5p-13, 0x1.7c1ebddd367b6p-13, 0x1.7da29e6a83c5dp-13, 0x1.7f180e4360ebfp-13, 0x1.807f3aeda2adap-13, 0x1.81d850ec20b33p-13, 0x1.83237bc942cf6p-13, 0x1.8460e620a7ac2p-13, 0x1.8590b9a98e05ap-13, 0x1.86b31f3f594edp-13, 0x1.87c83eeb70368p-13, 0x1.88d03fed960fap-13, 0x1.89cb48c4d457ap-13, 0x1.8ab97f36d9b83p-13, 0x1.8b9b0858f75e8p-13, 0x1.8c700896e6ddcp-13, 0x1.8d38a3ba85111p-13, 0x1.8df4fcf2d53ddp-13, 0x1.8ea536daaa23dp-13, 0x1.8f49737fb3eecp-13, 0x1.8fe1d4682891fp-13, 0x1.906e7a99a596ep-13, 0x1.90ef869e1b529p-13, 0x1.9165188a4c864p-13, 0x1.91cf5002d3b37p-13, 0x1.922e4c41582cbp-13, 0x1.92822c19961d2p-13, 0x1.92cb0dfe1e813p-13, 0x1.930910052107fp-13, 0x1.933c4fecc55d4p-13, 0x1.9364eb1f0740bp-13, 0x1.9382feb669e25p-13, 0x1.9396a7815ee18p-13, 0x1.93a0020604aaep-13, 0x1.939f2a85ecf0fp-13, 0x1.93943d0156a23p-13, 0x1.937f553a373b5p-13, 0x1.93608eb7e3869p-13, 0x1.933804c950f8bp-13, 0x1.9305d2884dd97p-13, 0x1.92ca12dc32506p-13, 0x1.9284e07c33c55p-13, 0x1.923655f1b2d91p-13, 0x1.91de8d9af2c03p-13, 0x1.917da1acaf7dp-13, 0x1.9113ac34bce86p-13, 0x1.90a0c71bafd5ep-13, 0x1.90250c267f1c6p-13, 0x1.8fa094f8897f7p-13, 0x1.8f137b1531513p-13, 0x1.8e7dd7e12701fp-13, 0x1.8ddfc4a40dc3bp-13, 0x1.8d395a89df528p-13, 0x1.8c8ab2a3e2c0dp-13, 0x1.8bd3e5ea185b9p-13, 0x1.8b150d3c40ac8p-13, 0x1.8a4e4162be8f1p-13, 0x1.897f9b0fc407bp-13, 0x1.88a932dffab2bp-13, 0x1.87cb215b65d92p-13, 0x1.86e57ef612fb7p-13, 0x1.85f86410c7a81p-13, 0x1.8503e8f9a81d8p-13, 0x1.840825ec81265p-13, 0x1.83053313a6938p-13, 0x1.81fb288820458p-13, 0x1.80ea1e5216429p-13, 0x1.7fd22c6925618p-13, 0x1.7eb36ab49abc5p-13, 0x1.7d8df10bccdc1p-13, 0x1.7c61d7362854fp-13, 0x1.7b2f34eb6deccp-13, 0x1.79f621d3c91f6p-13, 0x1.78b6b587d83a2p-13, 0x1.77710790a7dabp-13, 0x1.76252f67e5601p-13, 0x1.74d3447797c23p-13, 0x1.737b5e1a2dfb7p-13, 0x1.721d939a52e5ep-13, 0x1.70b9fc32fabe2p-13, 0x1.6f50af0f0743cp-13, 0x1.6de1c34922cb2p-13, 0x1.6c6d4febb6556p-13, 0x1.6af36bf081fadp-13, 0x1.69742e40737c3p-13, 0x1.67efadb35d4d8p-13, 0x1.6666010faa062p-13, 0x1.64d73f0a256f3p-13, 0x1.63437e458becdp-13, 0x1.61aad5524a8a4p-13, 0x1.600d5aae231a8p-13, 0x1.5e6b24c3e08f3p-13, 0x1.5cc449eae2c72p-13, 0x1.5b18e066afc49p-13, 0x1.5968fe66ccf2p-13, 0x1.57b4ba05ff47bp-13, 0x1.55fc294a407cbp-13, 0x1.543f62241bff1p-13, 0x1.527e7a6e4a128p-13, 0x1.50b987ed6fdccp-13, 0x1.4ef0a04f6df49p-13, 0x1.4d23d92b1b06bp-13, 0x1.4b5347ffdb5a1p-13, 0x1.497f0235127f9p-13, 0x1.47a71d19d0742p-13, 0x1.45cbade444374p-13, 0x1.43ecc9b160d1cp-13, 0x1.420a8584825cbp-13, 0x1.4024f646b80fcp-13, 0x1.3e3c30c69ad1ep-13, 0x1.3c5049b7adcc1p-13, 0x1.3a6155b20d58fp-13, 0x1.386f6931ee36ep-13, 0x1.367a98972956ep-13, 0x1.3482f824f3cdbp-13, 0x1.32889c0144cdfp-13, 0x1.308b98348ae5ap-13, 0x1.2e8c00a93999fp-13, 0x1.2c89e92b4a66dp-13, 0x1.2a856567e8143p-13, 0x1.287e88ed2a414p-13, 0x1.267567295f72cp-13, 0x1.246a136afb0f2p-13, 0x1.225ca0e015779p-13, 0x1.204d2295e31f5p-13, 0x1.1e3bab78ab899p-13, 0x1.1c284e5328f5cp-13, 0x1.1a131dce27185p-13, 0x1.17fc2c70879b8p-13, 0x1.15e38c9e7f916p-13, 0x1.13c9509976201p-13, 0x1.11ad8a7fb53e5p-13, 0x1.0f904c4bf3b52p-13, 0x1.0d71a7d542355p-13, 0x1.0b51aece99d9ep-13, 0x1.093072c68a30fp-13, 0x1.070e0526fce28p-13, 0x1.04ea77350e0eep-13, 0x1.02c5da108365bp-13, 0x1.00a03eb3dff6cp-13, 0x1.fcf36be7d8cd2p-14, 0x1.f8a4a0fefc5eap-14, 0x1.f4543dbe7dc42p-14, 0x1.f00262eb4bb17p-14, 0x1.ebaf30fccac9ap-14, 0x1.e75ac81d51eb8p-14, 0x1.e30548290bc3dp-14, 0x1.deaed0adaebebp-14, 0x1.da5780eaadab1p-14, 0x1.d5ff77d030b7fp-14, 0x1.d1a6d3ff91c14p-14, 0x1.cd4db3ca16404p-14, 0x1.c8f43531916cap-14, 0x1.c49a75e79a79bp-14, 0x1.c040934d8ac92p-14, 0x1.bbe6aa74156f7p-14, 0x1.b78cd81b43995p-14, 0x1.b33338b2404ddp-14, 0x1.aed9e856e356ap-14, 0x1.aa8102d60d1f6p-14, 0x1.a628a3aaed298p-14, 0x1.a1d0e5ff58843p-14, 0x1.9d79e4abaaa21p-14, 0x1.9923ba3633f94p-14, 0x1.94ce80d4047e6p-14, 0x1.907a5267df68cp-14, 0x1.8c274883029d8p-14, 0x1.87d57c64971ccp-14, 0x1.838506f9e796ep-14, 0x1.7f3600dea7c2bp-14, 0x1.7ae8825c60499p-14, 0x1.769ca36b26869p-14, 0x1.72527bb10676ep-14, 0x1.6e0a22828e28cp-14, 0x1.69c3aee2ca209p-14, 0x1.657f3782f167p-14, 0x1.613cd2c35b9c1p-14, 0x1.5cfc96b2b39a4p-14, 0x1.58be990f04992p-14, 0x1.5482ef45138b1p-14, 0x1.5049ae7109e41p-14, 0x1.4c12eb5e6e934p-14, 0x1.47deba8871da3p-14, 0x1.43ad3019fc403p-14, 0x1.3f7e5fee374d8p-14, 0x1.3b525d905d43ap-14, 0x1.37293c3c73eccp-14, 0x1.33030edef39dcp-14, 0x1.2edfe815d42afp-14, 0x1.2abfda2fe3ee5p-14, 0x1.26a2f72df7525p-14, 0x1.228950c27f9ep-14, 0x1.1e72f85270193p-14, 0x1.1a5ffef51cb95p-14, 0x1.16507574e0c32p-14, 0x1.12446c4f32117p-14, 0x1.0e3bf3b54fd25p-14, 0x1.0a371b8c126e1p-14, 0x1.0635f36d06e5p-14, 0x1.02388aa62ce06p-14, 0x1.fc7de07564d17p-15, 0x1.f49265c6b97a9p-15, 0x1.ecaec21d2985p-15, 0x1.e4d311c2b3ae9p-15, 0x1.dcff706e1be7p-15, 0x1.d533f9453a8b5p-15, 0x1.cd70c6dc8ae85p-15, 0x1.c5b5f338c7099p-15, 0x1.be0397cfbe18cp-15, 0x1.b659cd88e647ep-15, 0x1.aeb8acbebd8aap-15, 0x1.a7204d3f206a2p-15, 0x1.9f90c64d46071p-15, 0x1.980a2ea17e86bp-15, 0x1.908c9c6b2b7a3p-15, 0x1.89182550df371p-15, 0x1.81acde7250331p-15, 0x1.7a4adc6820cfap-15, 0x1.72f233465b9ecp-15, 0x1.6ba2f69c1ac16p-15, 0x1.645d3975c3524p-15, 0x1.5d210e5cb6223p-15, 0x1.55ee8759eb559p-15, 0x1.4ec5b5f5e9623p-15, 0x1.47a6ab39f9d3ap-15, 0x1.409177b1aa14ep-15, 0x1.39862b6b3ac4cp-15, 0x1.3284d5f9a2ebap-15, 0x1.2b8d86748e2edp-15, 0x1.24a04b7a921afp-15, 0x1.1dbd33312187dp-15, 0x1.16e44b46a39fap-15, 0x1.1015a0f2e9af4p-15, 0x1.095140f8dd555p-15, 0x1.029737a6df9ffp-15, 0x1.f7cf21b21981ap-16, 0x1.ea84aff1951f2p-16, 0x1.dd4f2fff7bb9ep-16, 0x1.d02eb6edd4b34p-16, 0x1.c32358f3feec3p-16, 0x1.b62d296c88172p-16, 0x1.a94c3adb94bf7p-16, 0x1.9c809eeda6d69p-16, 0x1.8fca667cd5a64p-16, 0x1.8329a19068ef5p-16, 0x1.769e5f621d1c4p-16, 0x1.6a28ae5ccad19p-16, 0x1.5dc89c2267eb1p-16, 0x1.517e358baeda7p-16, 0x1.454986ab33aebp-16, 0x1.392a9ad07bfe5p-16, 0x1.2d217c886ddefp-16, 0x1.212e35a268dc2p-16, 0x1.1550cf2f4ecedp-16, 0x1.09895186b1011p-16, 0x1.fbaf888ccb121p-17, 0x1.e4785caf27fe4p-17, 0x1.cd6d2bdd6c6dcp-17, 0x1.b68e011e08ee6p-17, 0x1.9fdae61865967p-17, 0x1.8953e31a59608p-17, 0x1.72f8ff1bf9d48p-17, 0x1.5cca3fc4dd109p-17, 0x1.46c7a96f6141fp-17, 0x1.30f13f2df3944p-17, 0x1.1b4702cf44bc4p-17, 0x1.05c8f4e3368cdp-17, 0x1.e0ee297bd0fd9p-18, 0x1.b6a2c0fb1646p-18, 0x1.8cafaa1e0d0e1p-18, 0x1.6314dc5eedebp-18, 0x1.39d24ceb67a55p-18, 0x1.10e7ee9ff7ad5p-18, 0x1.d0ab6440ef17ep-19, 0x1.80370b9c7f659p-19, 0x1.3072abc67c0a3p-19, 0x1.c2bc31a76dcbbp-20, 0x1.25f2454ebd185p-20, 0x1.150e53b48080bp-21, -0x1.f0b231a69165fp-25, -0x1.5068cbbaeecb7p-21, -0x1.3f85d403bfc83p-20, -0x1.d57a64c23061p-20, -0x1.35095448c7d24p-19, -0x1.7ea79bc025f57p-19, -0x1.c798588ac8265p-19, -0x1.07edef09e1d6ep-18, -0x1.2bb941b2e9b9ap-18, -0x1.4f2e5188595cep-18, -0x1.724d4d941c6c8p-18, -0x1.9516668e8b529p-18, -0x1.b789cee66cd2bp-18, -0x1.d9a7baaaf167fp-18, -0x1.fb705f8dc149fp-18, -0x1.0e71fa6959963p-17, -0x1.1f0159aa4ca14p-17, -0x1.2f666ab71e0b7p-17, -0x1.3fa14b80fc5afp-17, -0x1.4fb21ab26b417p-17, -0x1.5f98f7b2ca58ep-17, -0x1.6f56029a57326p-17, -0x1.7ee95c37ae352p-17, -0x1.8e532603ac89dp-17, -0x1.9d938224fc07ep-17, -0x1.acaa93665492fp-17, -0x1.bb987d394b3d7p-17, -0x1.ca5d63aca9447p-17, -0x1.d8f96b6eb2494p-17, -0x1.e76cb9c4a42dcp-17, -0x1.f5b7748c0ca21p-17, -0x1.01ece119822d1p-16, -0x1.08e9e4dc73c2ep-16, -0x1.0fd2d953e7c27p-16, -0x1.16a7d28a1086cp-16, -0x1.1d68e4caf1a53p-16, -0x1.241624a555a49p-16, -0x1.2aafa6e5be64cp-16, -0x1.313580987b113p-16, -0x1.37a7c7057cf47p-16, -0x1.3e068fb06470ep-16, -0x1.4451f0552783fp-16, -0x1.4a89fee9fb0cp-16, -0x1.50aed198ee5aap-16, -0x1.56c07ec337b86p-16, -0x1.5cbf1cfc7a8bfp-16, -0x1.62aac30b4ca8dp-16, -0x1.688387e63ed28p-16, -0x1.6e4982b439b09p-16, -0x1.73fccac950477p-16, -0x1.799d77a6560b3p-16, -0x1.7f2ba0f7b31d5p-16, -0x1.84a75e93111a9p-16, -0x1.8a10c8772a1b6p-16, -0x1.8f67f6c9e6a2ap-16, -0x1.94ad01d6ebf67p-16, -0x1.99e0020e8b06ap-16, -0x1.9f0110049a6e3p-16, -0x1.a410446ef4f12p-16, -0x1.a90db8247c904p-16, -0x1.adf9841b6525dp-16, -0x1.b2d3c168c7968p-16, -0x1.b79c893e72a7p-16, -0x1.bc53f4eb204e8p-16, -0x1.c0fa1dd79dee8p-16, -0x1.c58f1d86a3f8bp-16, -0x1.ca130d9434864p-16, -0x1.ce8607b34996cp-16, -0x1.d2e825ac848dcp-16, -0x1.d739816004bcp-16, -0x1.db7a34bfb716ep-16, -0x1.dfaa59d1f45b1p-16, -0x1.e3ca0aaf604bp-16, -0x1.e7d9618149311p-16, -0x1.ebd87880c373p-16, -0x1.efc769f6df9d3p-16, -0x1.f3a65039da87bp-16, -0x1.f77545ad8e778p-16, -0x1.fb3464c1e3ebbp-16, -0x1.fee3c7f184b57p-16, -0x1.0141c4e14588dp-15, -0x1.0309e26180fddp-15, -0x1.04ca49c4ffd27p-15, -0x1.0683085b2b31cp-15, -0x1.08342b76848c8p-15, -0x1.09ddc06c8d19bp-15, -0x1.0b7fd49567713p-15, -0x1.0d1a754ae5cabp-15, -0x1.0eadafe8a27dfp-15, -0x1.103991cba8196p-15, -0x1.11be285164f87p-15, -0x1.133b80d7d0bb4p-15, -0x1.14b1a8bd8e255p-15, -0x1.1620ad5fa6543p-15, -0x1.17889c1b88b7dp-15, -0x1.18e9824d05b2fp-15, -0x1.1a436d4e2d759p-15, -0x1.1b966a781b30cp-15, -0x1.1ce28720d4b17p-15, -0x1.1e27d09c2909p-15, -0x1.1f66543b8a5c5p-15, -0x1.209e1f4c09f54p-15, -0x1.21cf3f1858f3p-15, -0x1.22f9c0e69ff82p-15, -0x1.241db1f8f2d14p-15, -0x1.253b1f8d2142cp-15, -0x1.265216dbd57e1p-15, -0x1.2762a518c4698p-15, -0x1.286cd7725612fp-15, -0x1.2970bb10e8898p-15, -0x1.2a6e5d1753baep-15, -0x1.2b65caa1c2bc6p-15, -0x1.2c5710c5e3b5ap-15, -0x1.2d423c92f3c4ap-15, -0x1.2e275b106297cp-15, -0x1.2f06793f06794p-15, -0x1.2fdfa417ac75p-15, -0x1.30b2e88b65ce7p-15, -0x1.31805382fa0ccp-15, -0x1.3247f1df61d66p-15, -0x1.3309d078191e4p-15, -0x1.33c5fc1d0c5fbp-15, -0x1.347c8193d72d1p-15, -0x1.352d6d999ce2p-15, -0x1.35d8cce21233dp-15, -0x1.367eac16901f9p-15, -0x1.371f17d777e13p-15, -0x1.37ba1cba4da46p-15, -0x1.384fc74a8d16dp-15, -0x1.38e0240996abap-15, -0x1.396b3f6d572c4p-15, -0x1.39f125e1d0cb7p-15, -0x1.3a71e3c727c91p-15, -0x1.3aed8572c251p-15, -0x1.3b64172ec0a72p-15, -0x1.3bd5a538e1f78p-15, -0x1.3c423bc4af8a8p-15, -0x1.3ca9e6f822ec6p-15, -0x1.3d0cb2ee6b557p-15, -0x1.3d6aabb6207efp-15, -0x1.3dc3dd5140d5cp-15, -0x1.3e1853b5df236p-15, -0x1.3e681acd013ddp-15, -0x1.3eb33e732b1ap-15, -0x1.3ef9ca77f81d5p-15, -0x1.3f3bca9dff5f6p-15, -0x1.3f794a9aa1396p-15, -0x1.3fb256163c3c8p-15, -0x1.3fe6f8ab7e74ap-15, -0x1.40173de81a455p-15, -0x1.4043314b71953p-15, -0x1.406ade48191cep-15, -0x1.408e504227b27p-15, -0x1.40ad928fdd759p-15, -0x1.40c8b07a4b58cp-15, -0x1.40dfb53b16a16p-15, -0x1.40f2abff0a6e9p-15, -0x1.41019fe3be0aep-15, -0x1.410c9bf8e2304p-15, -0x1.4113ab3fc96acp-15, -0x1.4116d8aad3a7fp-15, -0x1.41162f1e8c48bp-15, -0x1.4111b96fde0abp-15, -0x1.410982661ee42p-15, -0x1.40fd94b8924e2p-15, -0x1.40edfb1106af1p-15, -0x1.40dac00927b99p-15, -0x1.40c3ee2c51b7fp-15, -0x1.40a98ff709b7dp-15, -0x1.408bafd5d0b31p-15, -0x1.406a582755f8dp-15, -0x1.40459339fe267p-15, -0x1.401d6b4d59dbp-15, -0x1.3ff1ea92450f5p-15, -0x1.3fc31b292a216p-15, -0x1.3f91072411a7p-15, -0x1.3f5bb88565bbfp-15, -0x1.3f23393fa93afp-15, -0x1.3ee79336e0c02p-15, -0x1.3ea8d03e8c341p-15, -0x1.3e66fa1b85fb6p-15, -0x1.3e221a82a633ep-15, -0x1.3dda3b194d0eap-15, -0x1.3d8f65757fa28p-15, -0x1.3d41a31d64c75p-15, -0x1.3cf0fd87df49ap-15, -0x1.3c9d7e1bae89fp-15, -0x1.3c472e30c8b94p-15, -0x1.3bee170e6b179p-15, -0x1.3b9241ed46f51p-15, -0x1.3b33b7f59361bp-15, -0x1.3ad282405732ep-15, -0x1.3a6ea9d6c1d77p-15, -0x1.3a0837b264445p-15, -0x1.399f34bd49d0bp-15, -0x1.3933a9d165ef5p-15, -0x1.38c59fb9d8144p-15, -0x1.38551f310f685p-15, -0x1.37e230e2f9973p-15, -0x1.376cdd6ac81d8p-15, -0x1.36f52d551c354p-15, -0x1.367b291e1decep-15, -0x1.35fed932ed729p-15, -0x1.358045f11916dp-15, -0x1.34ff77a602603p-15, -0x1.347c7690a686fp-15, -0x1.33f74adf3e4b1p-15, -0x1.336ffcb17acf6p-15, -0x1.32e694174c82dp-15, -0x1.325b1910bd4bbp-15, -0x1.31cd938f7f5e7p-15, -0x1.313e0b74a19cap-15, -0x1.30ac8892e88a5p-15, -0x1.301912ad33381p-15, -0x1.2f83b1773248fp-15, -0x1.2eec6c9581e3ep-15, -0x1.2e534b9d2ed7ep-15, -0x1.2db85614ad0b9p-15, -0x1.2d1b93727a02ep-15, -0x1.2c7d0b1ee2d57p-15, -0x1.2bdcc47246dd6p-15, -0x1.2b3ac6b6b668dp-15, -0x1.2a971926b0fcdp-15, -0x1.29f1c2ee58a8fp-15, -0x1.294acb2a38378p-15, -0x1.28a238e8c7357p-15, -0x1.27f81328c23f6p-15, -0x1.274c60db44ea9p-15, -0x1.269f28e16b67ap-15, -0x1.25f0720ee7a36p-15, -0x1.25404327c0747p-15, -0x1.248ea2e214b04p-15, -0x1.23db97e52fe62p-15, -0x1.232728c9f89efp-15, -0x1.22715c1ad7dd2p-15, -0x1.21ba38540b9e6p-15, -0x1.2101c3e34f4e9p-15, -0x1.20480528002bap-15, -0x1.1f8d0273c2487p-15, -0x1.1ed0c20958089p-15, -0x1.1e134a1e21d51p-15, -0x1.1d54a0d905164p-15, -0x1.1c94cc52f96f6p-15, -0x1.1bd3d29731d12p-15, -0x1.1b11b9a2bdb85p-15, -0x1.1a4e8765579fap-15, -0x1.198a41c02795ep-15, -0x1.18c4ee87b9d7fp-15, -0x1.17fe9381e2061p-15, -0x1.17373667af38p-15, -0x1.166edce437955p-15, -0x1.15a58c954c79fp-15, -0x1.14db4b0b3772ep-15, -0x1.14101dc9471d9p-15, }}, 
      {{0x1.fe11fd38a30cep-2, 0x1.fdf3235d06979p-2, 0x1.fdc1732281061p-2, 0x1.fd7f3291c9d95p-2, 0x1.fd2f1c241458ep-2, 0x1.fcd42004df6a3p-2, 0x1.fc712f86fc5e1p-2, 0x1.fc0913a0bbe38p-2, 0x1.fb9e4e90527c3p-2, 0x1.fb3308285d0cdp-2, 0x1.fac903a3c39ccp-2, 0x1.fa619d65fa0bp-2, 0x1.f9fdcecfb92e3p-2, 0x1.f99e3650e05c9p-2, 0x1.f943220fc18c3p-2, 0x1.f8ec9bc9150e6p-2, 0x1.f89a74e09c7aap-2, 0x1.f84c51ebc85afp-2, 0x1.f801b545a5efep-2, 0x1.f7ba087265bbp-2, 0x1.f774a440947cp-2, 0x1.f730d7b07bc87p-2, 0x1.f6ededb9525c6p-2, 0x1.f6ab320b3d488p-2, 0x1.f667f4eebed05p-2, 0x1.f6238e6082f73p-2, 0x1.f5dd60852cdffp-2, 0x1.f594d98ca748ap-2, 0x1.f5497518c5c3p-2, 0x1.f4fabd37935d4p-2, 0x1.f4a84aff10aebp-2, 0x1.f451c6d624a12p-2, 0x1.f3f6e87515633p-2, 0x1.f39776a6fbffep-2, 0x1.f33346d4f6ee2p-2, 0x1.f2ca3c6379724p-2, 0x1.f25c47e9b4e76p-2, 0x1.f1e9664ad2ab6p-2, 0x1.f1719fb83ff82p-2, 0x1.f0f506a3f17aap-2, 0x1.f073b6a8f0b33p-2, 0x1.efedd36ffa2e6p-2, 0x1.ef638795434adp-2, 0x1.eed50393e05a9p-2, 0x1.ee427cba7d96fp-2, 0x1.edac2c2c80c9ap-2, 0x1.ed124df1ea3e1p-2, 0x1.ec752017c023cp-2, 0x1.ebd4e1e22472fp-2, 0x1.eb31d310cd9bbp-2, 0x1.ea8c333606f09p-2, 0x1.e9e441201ca6fp-2, 0x1.e93a3a54ad499p-2, 0x1.e88e5a9d2cbb9p-2, 0x1.e7e0dba3a8397p-2, 0x1.e731f49ec1b3ap-2, 0x1.e681da0bbd28dp-2, 0x1.e5d0bd7571db5p-2, 0x1.e51ecd46f0cb5p-2, 0x1.e46c34a8b2c06p-2, 0x1.e3b91b672a4dp-2, 0x1.e305a5e1b0963p-2, 0x1.e251f500c109ep-2, 0x1.e19e2632a5779p-2, 0x1.e0ea536dac181p-2, 0x1.e036933737262p-2, 0x1.df82f8aee95bep-2, 0x1.decf939d60d56p-2, 0x1.de1c7085f6afap-2, 0x1.dd6998bb0bc42p-2, 0x1.dcb7127483106p-2, 0x1.dc04e0e80fa01p-2, 0x1.db53046305efep-2, 0x1.daa17a657d528p-2, 0x1.d9f03dbe7bdb2p-2, 0x1.d93f46a90af08p-2, 0x1.d88e8ae9fdfe7p-2, 0x1.d7ddfdee55b98p-2, 0x1.d72d90ea169dcp-2, 0x1.d67d32f77a06p-2, 0x1.d5ccd136605bbp-2, 0x1.d51c56ebf0923p-2, 0x1.d46bada245458p-2, 0x1.d3babd481f1f7p-2, 0x1.d3096c50813f7p-2, 0x1.d2579fd222889p-2, 0x1.d1a53ba6a8d7p-2, 0x1.d0f22289957bcp-2, 0x1.d03e3636d47bbp-2, 0x1.cf895788d7b23p-2, 0x1.ced3669637b06p-2, 0x1.ce1c42cebd51p-2, 0x1.cd63cb17ce49ep-2, 0x1.cca9dde8264c9p-2, 0x1.cbee5962d5adp-2, 0x1.cb311b7171527p-2, 0x1.ca7201dd6b989p-2, 0x1.c9b0ea688b20ap-2, 0x1.c8edb2e473b3dp-2, 0x1.c828394936a86p-2, 0x1.c7605bcae9772p-2, 0x1.c695f8ee34e02p-2, 0x1.c5c8ef9bda6abp-2, 0x1.c4f91f332af9fp-2, 0x1.c426679b71197p-2, 0x1.c350a95443229p-2, 0x1.c277c584c7c72p-2, 0x1.c19b9e09e4379p-2, 0x1.c0bc15835ee2p-2, 0x1.bfd90f5ff0a22p-2, 0x1.bef26fe84e801p-2, 0x1.be081c4930d42p-2, 0x1.bd19fa9c56ee5p-2, 0x1.bc27f1f094036p-2, 0x1.bb31ea50ed48bp-2, 0x1.ba37cccac62c9p-2, 0x1.b9398373342b6p-2, 0x1.b836f96b6ed3ep-2, 0x1.b7301ae4788f8p-2, 0x1.b624d521f7d4fp-2, 0x1.b515167c57a25p-2, 0x1.b400ce623172dp-2, 0x1.b2e7ed590bae4p-2, 0x1.b1ca64fd78721p-2, 0x1.b0a828029e61dp-2, 0x1.af812a312f029p-2, 0x1.ae556065dedd5p-2, 0x1.ad24c08f60b9bp-2, 0x1.abef41abed9e2p-2, 0x1.aab4dbc6696aep-2, 0x1.a97587f3224dp-2, 0x1.a831404c3fb58p-2, 0x1.a6e7ffeddd4ffp-2, 0x1.a599c2f1e23dfp-2, 0x1.a446866b98fe3p-2, 0x1.a2ee48630f77ap-2, 0x1.a19107d044e27p-2, 0x1.a02ec4962f3a1p-2, 0x1.9ec77f7d9d0f7p-2, 0x1.9d5b3a2ff5efp-2, 0x1.9be9f731e61a1p-2, 0x1.9a73b9ddf3d3p-2, 0x1.98f8865f06252p-2, 0x1.977861aae3c2dp-2, 0x1.95f3517ca916ep-2, 0x1.94695c4f3bb35p-2, 0x1.92da8957c1443p-2, 0x1.9146e08019262p-2, 0x1.8fae6a615a631p-2, 0x1.8e11303e62d55p-2, 0x1.8c6f3bfe680ep-2, 0x1.8ac898279ffa5p-2, 0x1.891d4fd9f2554p-2, 0x1.876d6ec9bfa5ep-2, 0x1.85b9013ab883dp-2, 0x1.840013faca684p-2, 0x1.8242b45d227cap-2, 0x1.8080f035411fbp-2, 0x1.7ebad5d22c341p-2, 0x1.7cf073f9af813p-2, 0x1.7b21d9e3bb6dbp-2, 0x1.794f1735d6a25p-2, 0x1.77783bfeab62ep-2, 0x1.759d58b1a7cfap-2, 0x1.73be7e22b9dcfp-2, 0x1.71dbbd8221473p-2, 0x1.6ff5285858d72p-2, 0x1.6e0ad08216841p-2, 0x1.6c1cc82c61236p-2, 0x1.6a2b21d0bf9a2p-2, 0x1.6835f03179a66p-2, 0x1.663d4655f1494p-2, 0x1.644137870dc92p-2, 0x1.6241d74bbee39p-2, 0x1.603f39659045dp-2, 0x1.5e3971cd51b07p-2, 0x1.5c3094afd1238p-2, 0x1.5a24b66aa8d54p-2, 0x1.5815eb891978fp-2, 0x1.560448c0fe795p-2, 0x1.53efe2efc7087p-2, 0x1.51d8cf178a753p-2, 0x1.4fbf225c22a86p-2, 0x1.4da2f2005adcfp-2, 0x1.4b84536329577p-2, 0x1.49635bfcfa442p-2, 0x1.4740215d0442p-2, 0x1.451ab926aa906p-2, 0x1.42f3390ef0634p-2, 0x1.40c9b6d9efbc7p-2, 0x1.3e9e4858639efp-2, 0x1.3c710365394b2p-2, 0x1.3a41fde32dcc5p-2, 0x1.38114dba76f4dp-2, 0x1.35df08d673d47p-2, 0x1.33ab45236bb2ap-2, 0x1.3176188c52bfep-2, 0x1.2f3f98f89b88ap-2, 0x1.2d07dc4a0f008p-2, 0x1.2acef85ab0deep-2, 0x1.289502faab03dp-2, 0x1.265a11ee41a9ep-2, 0x1.241e3aebd3773p-2, 0x1.21e19399dd83fp-2, 0x1.1fa4318d0b40fp-2, 0x1.1d662a46507bdp-2, 0x1.1b2793310676dp-2, 0x1.18e881a116a3bp-2, 0x1.16a90ad12bf6dp-2, 0x1.146943e0ec255p-2, 0x1.122941d33a1f2p-2, 0x1.0fe9198c80743p-2, 0x1.0da8dfd103a3dp-2, 0x1.0b68a9433fdcp-2, 0x1.09288a6249ccp-2, 0x1.06e897883d8a9p-2, 0x1.04a8e4e8b2522p-2, 0x1.0269868f385b2p-2, 0x1.002a905ddf818p-2, 0x1.fbd82c178ac93p-3, 0x1.f75c564757c46p-3, 0x1.f2e1c6053a67ap-3, 0x1.ee68a1ad20f96p-3, 0x1.e9f10f3a3d3afp-3, 0x1.e57b3444789dfp-3, 0x1.e10735fdfd967p-3, 0x1.dc953930ce1e9p-3, 0x1.d825623c73bc5p-3, 0x1.d3b7d513baf6ep-3, 0x1.cf4cb53a85aa7p-3, 0x1.cae425c3aef3bp-3, 0x1.c67e494efe0f6p-3, 0x1.c21b420730f9bp-3, 0x1.bdbb31a017c44p-3, 0x1.b95e3954bedfbp-3, 0x1.b50479e5b58bbp-3, 0x1.b0ae13975a6e8p-3, 0x1.ac5b263047d7ap-3, 0x1.a80bd0f7c62a5p-3, 0x1.a3c032b45ed3fp-3, 0x1.9f7869aa764bbp-3, 0x1.9b34939afcf1p-3, 0x1.96f4cdc237aap-3, 0x1.92b934d693f0ep-3, 0x1.8e81e50791df2p-3, 0x1.8a4ef9fcc0b19p-3, 0x1.86208ed4cce39p-3, 0x1.81f6be24a7cd3p-3, 0x1.7dd1a1f6b102cp-3, 0x1.79b153ca06695p-3, 0x1.7595ec91d8b05p-3, 0x1.717f84b4d4e7cp-3, 0x1.6d6e340ca251ep-3, 0x1.696211e570ea8p-3, 0x1.655b34fd98a59p-3, 0x1.6159b3854b26p-3, 0x1.5d5da31e562b2p-3, 0x1.596718dbf795bp-3, 0x1.55762942bf7f9p-3, 0x1.518ae8488932bp-3, 0x1.4da569547ead5p-3, 0x1.49c5bf3f2e9fep-3, 0x1.45ebfc52b15e8p-3, 0x1.4218324ade88cp-3, 0x1.3e4a725593683p-3, 0x1.3a82cd130761cp-3, 0x1.36c152962a13ep-3, 0x1.330612651cb94p-3, 0x1.2f511b79ab8bfp-3, 0x1.2ba27c41dee7bp-3, 0x1.27fa42a097dc7p-3, 0x1.24587bee382f3p-3, 0x1.20bd34f95a311p-3, 0x1.1d287a079242ap-3, 0x1.199a56d641ef1p-3, 0x1.1612d69b72112p-3, 0x1.12920406bbeb7p-3, 0x1.0f17e9423db0dp-3, 0x1.0ba48ff397d7ep-3, 0x1.0838013cfb259p-3, 0x1.04d245be38797p-3, 0x1.01736595e5b6fp-3, 0x1.fc36d0c501d77p-4, 0x1.f594aa874da08p-4, 0x1.ef0065b6a4286p-4, 0x1.e87a0e9e2c899p-4, 0x1.e201b092f2f93p-4, 0x1.db9755f68547ep-4, 0x1.d53b0839b291bp-4, 0x1.ceeccfdf5ac33p-4, 0x1.c8acb47f43661p-4, 0x1.c27abcc8ffc72p-4, 0x1.bc56ee86effb6p-4, 0x1.b6414ea131d2p-4, 0x1.b039e120bbff4p-4, 0x1.aa40a93273ffdp-4, 0x1.a455a92a4e8acp-4, 0x1.9e78e286851f7p-4, 0x1.98aa55f2c15ffp-4, 0x1.92ea034b6c20fp-4, 0x1.8d37e9a0e9a76p-4, 0x1.8794073af0495p-4, 0x1.81fe599bdd799p-4, 0x1.7c76dd8414ad1p-4, 0x1.76fd8ef55f21bp-4, 0x1.7192693659e51p-4, 0x1.6c3566d5dc4a7p-4, 0x1.66e681ae7133dp-4, 0x1.61a5b2e9c3b03p-4, 0x1.5c72f3041e6dp-4, 0x1.574e39cfdf8a9p-4, 0x1.52377e78f91cp-4, 0x1.4d2eb7886f02bp-4, 0x1.4833dae7d1fa1p-4, 0x1.4346dde4c2e71p-4, 0x1.3e67b534705a7p-4, 0x1.399654f715208p-4, 0x1.34d2b0bb75f03p-4, 0x1.301cbb825dde7p-4, 0x1.2b7467c218e2bp-4, 0x1.26d9a769edd3cp-4, 0x1.224c6be5904d4p-4, 0x1.1dcca62096fb3p-4, 0x1.195a4689e7b12p-4, 0x1.14f53d1725169p-4, 0x1.109d7948132dep-4, 0x1.0c52ea29fbdbp-4, 0x1.08157e5b0b7f7p-4, 0x1.03e5240da7f55p-4, 0x1.ff8392178c43ep-5, 0x1.f756b5746561bp-5, 0x1.ef438c37b705fp-5, 0x1.e749efaa1f95ep-5, 0x1.df69b85d6e06fp-5, 0x1.d7a2be3306ff9p-5, 0x1.cff4d86242eefp-5, 0x1.c85fdd7ea6d8bp-5, 0x1.c0e3a37e231c5p-5, 0x1.b97fffbf3a4f2p-5, 0x1.b234c70f18416p-5, 0x1.ab01cdaf92d8ap-5, 0x1.a3e6e75d24ef5p-5, 0x1.9ce3e754c76cap-5, 0x1.95f8a059cc1f7p-5, 0x1.8f24e4bb93a78p-5, 0x1.8868865b3e716p-5, 0x1.81c356b1407ecp-5, 0x1.7b3526d2eafa4p-5, 0x1.74bdc777db0e7p-5, 0x1.6e5d08ff56162p-5, 0x1.6812bb759ae54p-5, 0x1.61deae990e79dp-5, 0x1.5bc0b1df61a35p-5, 0x1.55b8947a9dafap-5, 0x1.4fc6255e1dbd4p-5, 0x1.49e9334370d53p-5, 0x1.44218caf26e86p-5, 0x1.3e6efff58acd5p-5, 0x1.38d15b3f477b6p-5, 0x1.33486c8df60d7p-5, 0x1.2dd401c097024p-5, 0x1.2873e897f7145p-5, 0x1.2327eebafd33dp-5, 0x1.1defe1bae68ep-5, 0x1.18cb8f1765616p-5, 0x1.13bac442b3269p-5, 0x1.0ebd4ea58964cp-5, 0x1.09d2fba3072bap-5, 0x1.04fb989c79595p-5, 0x1.0036f2f51a6f2p-5, 0x1.f709b02b6792cp-6, 0x1.edca2ae059cc2p-6, 0x1.e4aef105ffdb8p-6, 0x1.dbb79db954bb8p-6, 0x1.d2e3cc3ddd199p-6, 0x1.ca33180432d07p-6, 0x1.c1a51cb0489ccp-6, 0x1.b939761f8eda6p-6, 0x1.b0efc06eeb395p-6, 0x1.a8c7980092e42p-6, 0x1.a0c09981af2b9p-6, 0x1.98da61efdce69p-6, 0x1.91148e9e9114bp-6, 0x1.896ebd3c41b06p-6, 0x1.81e88bd779651p-6, 0x1.7a8198e3bab6dp-6, 0x1.7339833e3f477p-6, 0x1.6c0fea329553fp-6, 0x1.65046d7f11915p-6, 0x1.5e16ad59237bap-6, 0x1.57464a7179168p-6, 0x1.5092e5f80fae5p-6, 0x1.49fc21a010867p-6, 0x1.43819fa39702bp-6, 0x1.3d2302c747abfp-6, 0x1.36dfee5dd65p-6, 0x1.30b8064b55f3cp-6, 0x1.2aaaef08745c1p-6, 0x1.24b84da597552p-6, 0x1.1edfc7cdc5e6cp-6, 0x1.192103c996762p-6, 0x1.137ba881cbfa7p-6, 0x1.0def5d820090ep-6, 0x1.087bcafb1e19cp-6, 0x1.032099c5b893fp-6, 0x1.fbbae6c88d625p-7, 0x1.f164040a98aeep-7, 0x1.e73be10ac27e9p-7, 0x1.dd41d4e2275cbp-7, 0x1.d375380d7a3eep-7, 0x1.c9d5647061d51p-7, 0x1.c061b558ad099p-7, 0x1.b719878157a72p-7, 0x1.adfc39154a08fp-7, 0x1.a50929b1fb3c7p-7, 0x1.9c3fba69d8074p-7, 0x1.939f4dc678ab2p-7, 0x1.8b2747caa6cf9p-7, 0x1.82d70df4430d5p-7, 0x1.7aae073dedf57p-7, 0x1.72ab9c208b189p-7, 0x1.6acf369497047p-7, 0x1.631842135fb45p-7, 0x1.5b862b97f80aap-7, 0x1.541861a029e27p-7, 0x1.4cce542d13afdp-7, 0x1.45a774c3d8479p-7, 0x1.3ea3366de441cp-7, 0x1.37c10db958175p-7, 0x1.310070b90f2b4p-7, 0x1.2a60d704b47b3p-7, 0x1.23e1b9b89505ep-7, 0x1.1d82937567c7cp-7, 0x1.1742e05fe9aa9p-7, 0x1.11221e2054951p-7, 0x1.0b1fcbe1d873dp-7, 0x1.053b6a51c15c4p-7, 0x1.fee8f73d88384p-8, 0x1.f39506efcb786p-8, 0x1.e87a0e1725b8bp-8, 0x1.dd971a0cc2255p-8, 0x1.d2eb3b23aa265p-8, 0x1.c87584a6221d2p-8, 0x1.be350cd2b5ea5p-8, 0x1.b428ecd952adap-8, 0x1.aa5040d7ddeb3p-8, 0x1.a0aa27d6ede82p-8, 0x1.9735c3c65e47p-8, 0x1.8df23979632a8p-8, 0x1.84deb0a2d5c35p-8, 0x1.7bfa53d140215p-8, 0x1.7344506aa9675p-8, 0x1.6abbd6a86c69p-8, 0x1.62601992c63a3p-8, 0x1.5a304efc5a9c3p-8, 0x1.522baf7da7875p-8, 0x1.4a51767035271p-8, 0x1.42a0e1e9d7915p-8, 0x1.3b1932b7bc237p-8, 0x1.33b9ac5956386p-8, 0x1.2c8194fb5690ep-8, 0x1.257035726b909p-8, 0x1.1e84d935feaa9p-8, 0x1.17bece5acdc67p-8, 0x1.111d658d833dp-8, 0x1.0a9ff20d3d39dp-8, 0x1.0445c9a5e9c3bp-8, 0x1.fc1c89555f6fcp-9, 0x1.eff17be0707dbp-9, 0x1.e409258df8f39p-9, 0x1.d86245ead03f1p-9, 0x1.ccfba16418d92p-9, 0x1.c1d4013b77fd2p-9, 0x1.b6ea337b43cd8p-9, 0x1.ac3d0aea810ecp-9, 0x1.a1cb5f01138cbp-9, 0x1.97940bdb5f82cp-9, 0x1.8d95f22e96b7p-9, 0x1.83cff73c50e04p-9, 0x1.7a4104c65d787p-9, 0x1.70e80902aaf28p-9, 0x1.67c3f68ed8efbp-9, 0x1.5ed3c46434dap-9, 0x1.56166dcb2270ep-9, 0x1.4d8af24ef7bd2p-9, 0x1.453055b1a77aep-9, 0x1.3d059fdf7ab68p-9, 0x1.3509dce2969f2p-9, 0x1.2d3c1cd6d099p-9, 0x1.259b73dd54b6dp-9, 0x1.1e26fa1052f3dp-9, 0x1.16ddcb76cd155p-9, 0x1.0fbf07f85167bp-9, 0x1.08c9d350b72c2p-9, 0x1.01fd550401de4p-9, 0x1.f6b170a439024p-10, 0x1.e9b658558cee6p-10, 0x1.dd07c6434d42ap-10, 0x1.d0a426c41adb7p-10, 0x1.c489ed4637564p-10, 0x1.b8b79437591fep-10, 0x1.ad2b9ced79752p-10, 0x1.a1e48f8e7ec84p-10, 0x1.96e0faf96173bp-10, 0x1.8c1f74ae3a53dp-10, 0x1.819e98b742526p-10, 0x1.775d0991c58eap-10, 0x1.6d597016f39f2p-10, 0x1.63927b651648p-10, 0x1.5a06e0c8ef998p-10, 0x1.50b55ba70bacp-10, 0x1.479cad657d51ap-10, 0x1.3ebb9d558d45ap-10, 0x1.3610f89da868p-10, 0x1.2d9b92239ba9cp-10, 0x1.255a42768d8adp-10, 0x1.1d4be7b9b5df7p-10, 0x1.156f658ee52b8p-10, 0x1.0dc3a5012ca47p-10, 0x1.0647947008cdfp-10, 0x1.fdf44ef4e1af4p-11, 0x1.efb4add45c122p-11, 0x1.e1ce413ec8c3dp-11, 0x1.d43f0ef88d5f3p-11, 0x1.c70526a1f485bp-11, 0x1.ba1ea18fa9e3ap-11, 0x1.ad89a2a2a9b08p-11, 0x1.a1445622273cdp-11, 0x1.954cf1942809p-11, 0x1.89a1b3979435dp-11, 0x1.7e40e3be31c9p-11, 0x1.7328d267852fp-11, 0x1.6857d89be2d26p-11, 0x1.5dcc57e7030d9p-11, 0x1.5384ba34b65e7p-11, 0x1.497f71ac50d73p-11, 0x1.3fbaf88e0567cp-11, 0x1.3635d10f14c3p-11, 0x1.2cee8537f87f8p-11, 0x1.23e3a6c1732b4p-11, 0x1.1b13cef34eea4p-11, 0x1.127d9e82d06c5p-11, 0x1.0a1fbd71c9fd5p-11, 0x1.01f8daeda6b39p-11, 0x1.f40f5a601b49ep-12, 0x1.e495e2bc74313p-12, 0x1.d582d6d4a1b3bp-12, 0x1.c6d3cbe849829p-12, 0x1.b88664550598bp-12, 0x1.aa984f5aac4f7p-12, 0x1.9d0748df78ecbp-12, 0x1.8fd1193550d22p-12, 0x1.82f394e003853p-12, 0x1.766c9c5c6030ap-12, 0x1.6a3a1be6c9714p-12, 0x1.5e5a0b45a4c69p-12, 0x1.52ca6d900ecc8p-12, 0x1.478950fa11fccp-12, 0x1.3c94ce9deaa1ep-12, 0x1.31eb0a487c31dp-12, 0x1.278a32450333fp-12, 0x1.1d707f2a2b629p-12, 0x1.139c33a80039ep-12, 0x1.0a0b9c56825b1p-12, 0x1.00bd0f84a0047p-12, 0x1.ef5dda110a51dp-13, 0x1.ddbf3c1fc7bf5p-13, 0x1.cc9b29e3e18dcp-13, 0x1.bbee9a01910e2p-13, 0x1.abb694ba7e77cp-13, 0x1.9bf03392df4f2p-13, 0x1.8c98a0fb5ce2p-13, 0x1.7dad17fa9413fp-13, 0x1.6f2ae3d7d6ba1p-13, 0x1.610f5fc876622p-13, 0x1.5357f69d73fa3p-13, 0x1.4602227268ecdp-13, 0x1.390b6c5ecc9e9p-13, 0x1.2c716c2740399p-13, 0x1.2031c7f0f99cp-13, 0x1.144a33f631aep-13, 0x1.08b8723b9620fp-13, 0x1.faf4a49051594p-14, 0x1.e51b61b823c6ep-14, 0x1.cfe0ef56dbac4p-14, 0x1.bb413a2ee2c27p-14, 0x1.a73847d6d8efbp-14, 0x1.93c23633bf98bp-14, 0x1.80db3af262ed5p-14, 0x1.6e7fa3094aeabp-14, 0x1.5cabd2378bcdp-14, 0x1.4b5c42894ac1bp-14, 0x1.3a8d83db2d2cap-14, 0x1.2a3c3b643195p-14, 0x1.1a65233df8783p-14, 0x1.0b0509f0cf9f4p-14, 0x1.f831a40454763p-15, 0x1.db3ae30782271p-15, 0x1.bf1fe34d2dd1ap-15, 0x1.a3dadc9de6e5cp-15, 0x1.89662b53bb16cp-15, 0x1.6fbc4f8ab8bd8p-15, 0x1.56d7ec588298fp-15, 0x1.3eb3c6fcf46a4p-15, 0x1.274ac625b5cd9p-15, 0x1.1097f127c82e1p-15, 0x1.f52cde8afcf0ap-16, 0x1.ca830deb392f5p-16, 0x1.a1293a5867198p-16, 0x1.7916694e27c69p-16, 0x1.5241da86dd599p-16, 0x1.2ca3069d835bfp-16, 0x1.08319dc0e7ed4p-16, 0x1.c9cb0ccf3684cp-17, 0x1.856db824195c7p-17, 0x1.433bdc15a0f7bp-17, 0x1.03267c5d2a323p-17, 0x1.8a3dff129139cp-18, 0x1.122e5925afd29p-18, 0x1.3c04a2a5ebaa2p-19, 0x1.6cf74f0f334d6p-21, -0x1.f8b13b48bad4cp-21, -0x1.506cfaecc7e81p-19, -0x1.0ddb0832ed637p-18, -0x1.701c10871a664p-18, -0x1.cf113c7bdb7f5p-18, -0x1.1568c989f92c3p-17, -0x1.41b9c01ac0217p-17, -0x1.6c866c32a330bp-17, -0x1.95d96e40f818dp-17, -0x1.bdbd1ead31011p-17, -0x1.e43b8f9eb1915p-17, -0x1.04af475b4c411p-16, -0x1.1697d35fc1199p-16, -0x1.27dc10afaa793p-16, -0x1.38808451ae60ep-16, -0x1.48899455df007p-16, -0x1.57fb88962600dp-16, -0x1.66da8b7a69da4p-16, -0x1.752aaab41caf2p-16, -0x1.82efd7fd2bd8ep-16, -0x1.902de9c78a9fbp-16, -0x1.9ce89bf359946p-16, -0x1.a923907b13797p-16, -0x1.b4e2501bcf213p-16, -0x1.c0284afdd08f6p-16, -0x1.caf8d95369297p-16, -0x1.d5573bfc145e2p-16, -0x1.df469d192dd5fp-16, -0x1.e8ca10a9c823p-16, -0x1.f1e4951d95c5ep-16, -0x1.fa9913e4af7a7p-16, -0x1.017530fe449cp-15, -0x1.056da03c67bd4p-15, -0x1.09372e860b367p-15, -0x1.0cd32944acb9ap-15, -0x1.1042d4b255f3p-15, -0x1.13876c18dec2p-15, -0x1.16a2220dc225dp-15, -0x1.199420aedf829p-15, -0x1.1c5e89dca77e8p-15, -0x1.1f027771951e3p-15, -0x1.2180fb7bcd09fp-15, -0x1.23db20716c607p-15, -0x1.2611e96603a7dp-15, -0x1.2826523e2b5c1p-15, -0x1.2a194fe20fac7p-15, -0x1.2bebd06d2a921p-15, -0x1.2d9ebb5fc9fbbp-15, -0x1.2f32f1ccb0b3ap-15, -0x1.30a94e8658838p-15, -0x1.3202a64bde989p-15, -0x1.333fc7f3ef93ep-15, -0x1.34617c96c96a3p-15, -0x1.356887b7b0088p-15, -0x1.3655a76c6ef9p-15, -0x1.37299484be91p-15, -0x1.37e502b06a44bp-15, -0x1.3888a0a32aa0dp-15, -0x1.3915183a94dabp-15, -0x1.398b0e9f9f121p-15, -0x1.39eb246981b1dp-15, -0x1.3a35f5bf984a2p-15, -0x1.3a6c1a783ab72p-15, -0x1.3a8e263ac3cfdp-15, -0x1.3a9ca89ba9777p-15, -0x1.3a982d3cc2612p-15, -0x1.3a813be8d5947p-15, -0x1.3a5858b09fed7p-15, -0x1.3a1e0406e7dafp-15, -0x1.39d2bada5103ep-15, -0x1.3976f6b086ea8p-15, -0x1.390b2dbf237fcp-15, -0x1.388fd304a13e2p-15, -0x1.38055660608e7p-15, -0x1.376c24a9ed24ap-15, -0x1.36c4a7c8619ffp-15, -0x1.360f46c7af74fp-15, -0x1.354c65eeed7e1p-15, -0x1.347c66d4a861p-15, -0x1.339fa873decffp-15, -0x1.32b6873f1b5d6p-15, -0x1.31c15d34c8d86p-15, -0x1.30c081f027687p-15, -0x1.2fb44abd5202cp-15, -0x1.2e9d0aa966e14p-15, -0x1.2d7b12948ca34p-15, -0x1.2c4eb142403d3p-15, -0x1.2b183369b7717p-15, -0x1.29d7e3c54d92p-15, -0x1.288e0b21eca7dp-15, -0x1.273af06dc94d4p-15, -0x1.25ded8c6dc9aap-15, -0x1.247a07889dadp-15, -0x1.230cbe598693ap-15, -0x1.21973d38c927fp-15, -0x1.2019c28a4638cp-15, -0x1.1e948b2347438p-15, -0x1.1d07d256c033ep-15, -0x1.1b73d20044f37p-15, -0x1.19d8c290048bbp-15, -0x1.1836db151f1a6p-15, -0x1.168e514912466p-15, -0x1.14df5998a297fp-15, -0x1.132a272f71004p-15, -0x1.116eec006e61p-15, -0x1.0fadd8cfd2631p-15, -0x1.0de71d3bf1b62p-15, -0x1.0c1ae7c62e40ep-15, -0x1.0a4965db550aap-15, -0x1.0872c3dbd9ea8p-15, -0x1.06972d2419b3p-15, -0x1.04b6cc138d6dap-15, -0x1.02d1ca14fd648p-15, -0x1.00e84fa50b085p-15, -0x1.fdf508b3b9041p-16, -0x1.fa111dd29ed0bp-16, -0x1.f6252a600518ap-16, -0x1.f231786ee3f83p-16, -0x1.ee3650786292p-16, -0x1.ea33f9679777p-16, -0x1.e62ab8a52dabcp-16, -0x1.e21ad222e09cp-16, -0x1.de048865935e4p-16, -0x1.d9e81c8fe558ep-16, -0x1.d5c5ce6cd6c1ap-16, -0x1.d19ddc78dbc08p-16, -0x1.cd7083ebb5bb7p-16, -0x1.c93e00c142bd7p-16, -0x1.c5068dc22bb8p-16, -0x1.c0ca648cd680cp-16, -0x1.bc89bd9cee145p-16, -0x1.b844d0542394p-16, -0x1.b3fbd3011dc5ap-16, -0x1.afaefae7227bfp-16, -0x1.ab5e7c453c216p-16, -0x1.a70a8a5d00251p-16, -0x1.a2b3577960375p-16, -0x1.9e5914f54632dp-16, -0x1.99fbf340d56d9p-16, -0x1.959c21e871ffep-16, -0x1.9139cf99f68dfp-16, -0x1.8cd52a2a5d5b6p-16, -0x1.886e5e9b89146p-16, -0x1.84059920a0f94p-16, -0x1.7f9b052383e7cp-16, -0x1.7b2ecd49ce953p-16, -0x1.76c11b793b553p-16, -0x1.725218dbf6582p-16, -0x1.6de1ede556ccp-16, -0x1.6970c255b2d7dp-16, -0x1.64febd3e780bcp-16, -0x1.608c05060c558p-16, -0x1.5c18bf6ba9e8dp-16, -0x1.57a5118ab521cp-16, -0x1.53311fde8387bp-16, -0x1.4ebd0e454faffp-16, -0x1.4a490003dac86p-16, -0x1.45d517c82b27bp-16, -0x1.416177ace39fdp-16, -0x1.3cee413ba4611p-16, -0x1.387b957072dfep-16, -0x1.340994bbe1ca9p-16, -0x1.2f985f05dd4a4p-16, -0x1.2b2813b030a58p-16, -0x1.26b8d1989163ep-16, -0x1.224ab71ba1996p-16, -0x1.1ddde21689e89p-16, -0x1.19726fe96534ap-16, -0x1.15087d792faa5p-16, -0x1.10a02731dedbfp-16, -0x1.0c3989084542dp-16, -0x1.07d4be7c070c5p-16, -0x1.0371e2991c545p-16, -0x1.fe221ff387913p-17, -0x1.f564c19068e4ep-17, -0x1.ecabdd80529e4p-17, -0x1.e3f7a660fdd87p-17, -0x1.db484df8fc4c7p-17, -0x1.d29e053b5f9f9p-17, -0x1.c9f8fc49a1f0dp-17, -0x1.c159627706896p-17, -0x1.b8bf664ae4694p-17, -0x1.b02b35832a796p-17, -0x1.a79cfd1728ea1p-17, -0x1.9f14e9397f83cp-17, -0x1.9693255afe14ep-17, -0x1.8e17dc2c4ab3cp-17, -0x1.85a337a072e8ap-17, -0x1.7d3560ee9924bp-17, -0x1.74ce80946a8a4p-17, -0x1.6c6ebe57a85c1p-17, -0x1.64164148ca731p-17, -0x1.5bc52fc3fa00dp-17, -0x1.537baf7397324p-17, -0x1.4b39e5517dbc1p-17, -0x1.42fff5a92b3aep-17, -0x1.3ace04191d664p-17, -0x1.32a43394bf5f3p-17, -0x1.2a82a665b322ep-17, -0x1.22697e2d85a1fp-17, -0x1.1a58dbe75aa18p-17, -0x1.1250dfe906551p-17, -0x1.0a51a9e4e2c07p-17, -0x1.025b58eaf951p-17, -0x1.f4dc16d5331ddp-18, -0x1.e513be67f618cp-18, -0x1.d55de2f2aedc4p-18, -0x1.c5babd9f6c65cp-18, -0x1.b62a8661e5031p-18, -0x1.a6ad73fa19a57p-18, -0x1.9743bbf5c311ap-18, -0x1.87ed92b3fea88p-18, -0x1.78ab2b66ba264p-18, -0x1.697cb8159ab15p-18, -0x1.5a6269a149144p-18, -0x1.4b5c6fc4226d5p-18, -0x1.3c6af9159eeccp-18, -0x1.2d8e330ca1db6p-18, -0x1.1ec64a013d42ep-18, -0x1.101369301f4cfp-18, -0x1.0175babba945ap-18, -0x1.e5dacf5da6684p-19, -0x1.c8f52ffe0d251p-19, -0x1.ac3ae51c7e1d8p-19, -0x1.8fac3a5b4d51ep-19, -0x1.73497940c2c11p-19, -0x1.5712e9393a02ap-19, -0x1.3b08cf9d1c343p-19, -0x1.1f2b6fb370903p-19, -0x1.037b0ab7be24fp-19, -0x1.cfefbfbbad2e5p-20, -0x1.994458ae407adp-20, -0x1.62f456a95ec56p-20, -0x1.2d002c1c209c4p-20, -0x1.eed08f119e7abp-21, -0x1.845a27153b6f8p-21, -0x1.1a9dedcac9ffdp-21, -0x1.633952198dbe1p-22, -0x1.255c5c95a090bp-23, 0x1.e321124e9651ap-25, 0x1.09fc410887e29p-22, 0x1.d618de119bf5ep-22, 0x1.505c5c114882fp-21, 0x1.b4ed4e401ab2ap-21, 0x1.0c5f59b082b8dp-20, 0x1.3de8002ffbe89p-20, 0x1.6f10589d26006p-20, 0x1.9fd8246f3be47p-20, 0x1.d03f2896dc05ep-20, 0x1.002296b6e32b7p-19, 0x1.17f4ff59c1d5cp-19, 0x1.2f96b5c1b28b5p-19, 0x1.4707a324eea06p-19, 0x1.5e47b25f02199p-19, 0x1.7556cfec768fbp-19, 0x1.8c34e9e607532p-19, 0x1.a2e1effcd20ccp-19, 0x1.b95dd375476f3p-19, 0x1.cfa887246d15cp-19, 0x1.e5c1ff6a07e88p-19, 0x1.fbaa322c413bfp-19, 0x1.08b08b6a60be9p-18, 0x1.13735325727aep-18, 0x1.1e1d6d784b3ddp-18, 0x1.28aed84e1e12dp-18, 0x1.3327924b4fe1fp-18, 0x1.3d879acb0e9fcp-18, 0x1.47cef1dc4962cp-18, 0x1.51fd98406f966p-18, 0x1.5c138f693f82p-18, 0x1.6610d975a1d5bp-18, 0x1.6ff5793103ee7p-18, 0x1.79c172103bbe8p-18, 0x1.8374c82ef0025p-18, 0x1.8d0f804f2e2eap-18, 0x1.96919fd52655bp-18, 0x1.9ffb2cc67906dp-18, 0x1.a94c2dc820105p-18, 0x1.b284aa1aaeb07p-18, 0x1.bba4a99a0986ep-18, 0x1.c4ac34bab6933p-18, 0x1.cd9b54871e801p-18, 0x1.d672129e4b432p-18, 0x1.df3079313d94fp-18, 0x1.e7d693008f5f1p-18, 0x1.f0646b5b071f1p-18, 0x1.f8da0e1b3490bp-18, 0x1.009bc3d2aab31p-17, 0x1.04be72727ee1cp-17, 0x1.08d519a5e6ad9p-17, 0x1.0cdfc067132f7p-17, 0x1.10de6df0dc693p-17, 0x1.14d129be03c22p-17, 0x1.18b7fb87b5d5ep-17, 0x1.1c92eb44b72e6p-17, 0x1.206201287aa78p-17, 0x1.242545a1d0594p-17, 0x1.27dcc159f4333p-17, 0x1.2b887d33f864dp-17, 0x1.2f28824b25983p-17, 0x1.32bcd9f255c9bp-17, 0x1.36458db30f6d4p-17, 0x1.39c2a74be3ee1p-17, 0x1.3d3430b0808acp-17, 0x1.409a3407991bfp-17, 0x1.43f4bbaad50ep-17, 0x1.4743d22531561p-17, 0x1.4a87823257f9cp-17, 0x1.4dbfd6bdac5cp-17, 0x1.50ecdae105d3dp-17, 0x1.540e99e464031p-17, 0x1.57251f3c01f6ap-17, 0x1.5a307688746a6p-17, 0x1.5d30ab95005b3p-17, 0x1.6025ca56e6e29p-17, 0x1.630fdeecb9b6cp-17, 0x1.65eef59cc634bp-17, 0x1.68c31ad4e8b28p-17, 0x1.6b8c5b2925a72p-17, 0x1.6e4ac352e71bdp-17, 0x1.70fe603072528p-17, 0x1.73a73ec36fa1cp-17, 0x1.76456c303c13dp-17, 0x1.78d8f5bd761b8p-17, 0x1.7b61e8d271436p-17, 0x1.7de052f6b026dp-17, 0x1.805441d17e1f6p-17, 0x1.82bdc327f28bp-17, 0x1.851ce4dd45d32p-17, 0x1.8771b4f18313dp-17, 0x1.89bc418059775p-17, 0x1.8bfc98c108092p-17, 0x1.8e32c9050b0a5p-17, 0x1.905ee0b714361p-17, 0x1.9280ee5b3d32fp-17, 0x1.9499008cf258ap-17, 0x1.96a725ff815cap-17, 0x1.98ab6d7c225bep-17, 0x1.9aa5e5e1be356p-17, 0x1.9c969e248837ep-17, 0x1.9e7da54c4f3a8p-17, 0x1.a05b0a7498fep-17, 0x1.a22edccba76abp-17, 0x1.a3f92b918502p-17, 0x1.a5ba0617a8a2fp-17, 0x1.a7717bbf9ba99p-17, 0x1.a91f9bfb2f418p-17, 0x1.aac4764b1e331p-17, 0x1.ac601a3e2aa02p-17, 0x1.adf29771c812bp-17, 0x1.af7bfd8f50ad3p-17, 0x1.b0fc5c4d5c28ap-17, 0x1.b273c36df2a9fp-17, 0x1.b3e242bdf11cbp-17, 0x1.b547ea1514ba9p-17, 0x1.b6a4c9548a1c4p-17, 0x1.b7f8f066c08c3p-17, 0x1.b9446f3efc7fcp-17, 0x1.ba8755d7d27a9p-17, 0x1.bbc1b4338d614p-17, 0x1.bcf39a5b4ac56p-17, 0x1.be1d185df32a7p-17, 0x1.bf3e3e5056d8ep-17, 0x1.c0571c4bd11b5p-17, 0x1.c167c26eb4551p-17, 0x1.c27040da7884p-17, 0x1.c370a7b483929p-17, 0x1.c4690724afc2ep-17, 0x1.c5596f5514eafp-17, 0x1.c641f0711efdap-17, 0x1.c7229aa61b45fp-17, 0x1.c7fb7e215fb46p-17, 0x1.c8ccab106d75cp-17, 0x1.c99631a1023dfp-17, 0x1.ca5821fef8f7cp-17, 0x1.cb128c55a686dp-17, 0x1.cbc580ce46427p-17, 0x1.cc710f8f90c0ap-17, 0x1.cd1548be02746p-17, 0x1.cdb23c7a46b6ep-17, 0x1.ce47fae1c3921p-17, 0x1.ced6940d9205ap-17, 0x1.cf5e181210801p-17, 0x1.cfde96ff5a7c1p-17, 0x1.d05820df0c5d8p-17, 0x1.d0cac5b607f6fp-17, 0x1.d13695821740fp-17, 0x1.d19ba03b16abbp-17, 0x1.d1f9f5d158f3ap-17, 0x1.d251a62e16194p-17, 0x1.d2a2c1328d716p-17, 0x1.d2ed56b80e4a9p-17, 0x1.d331768efbb9ap-17, 0x1.d36f307fa9189p-17, 0x1.d3a694480e093p-17, 0x1.d3d7b19d66f38p-17, 0x1.d402982b191d2p-17, 0x1.d42757911c41ep-17, 0x1.d445ff66b2a77p-17, 0x1.d45e9f36446d1p-17, 0x1.d471468069c4ap-17, 0x1.d47e04b9b321fp-17, 0x1.d484e94ab6339p-17, 0x1.d48603902ab54p-17, 0x1.d48162da4be95p-17, 0x1.d477166cabeb6p-17, 0x1.d4672d7dda569p-17, 0x1.d451b73724dc6p-17, 0x1.d436c2b474ae5p-17, 0x1.d4165f03a18d8p-17, 0x1.d3f09b25202bep-17, 0x1.d3c5860a3ac5p-17, 0x1.d3952e96963a2p-17, 0x1.d35fa39ea2df6p-17, 0x1.d324f3e7d33f6p-17, 0x1.d2e52e28c8c81p-17, 0x1.d2a0610809c4dp-17, 0x1.d2569b1d62732p-17, 0x1.d207eaefd13a2p-17, 0x1.d1b45ef718befp-17, 0x1.d15c059a2f412p-17, 0x1.d0feed2fe2e53p-17, 0x1.d09d23fe6f0f2p-17, 0x1.d036b83ae9639p-17, 0x1.cfcbb809e1bfp-17, 0x1.cf5c317e7d119p-17, 0x1.cee8329a64139p-17, 0x1.ce6fc94e40a6fp-17, 0x1.cdf303788f32fp-17, 0x1.cd71eee66b48cp-17, 0x1.ccec9952aed1cp-17, 0x1.cc6310664b699p-17, 0x1.cbd561b7f8388p-17, 0x1.cb439acbf84e7p-17, 0x1.caadc9141ef59p-17, 0x1.ca13f9efb8a33p-17, 0x1.c9763aab1c002p-17, 0x1.c8d4987fe21cfp-17, 0x1.c82f2094e7e2cp-17, 0x1.c785dffd85c1bp-17, 0x1.c6d8e3ba58026p-17, 0x1.c62838b85b129p-17, 0x1.c573ebd17d137p-17, 0x1.c4bc09cbdcbc4p-17, 0x1.c4009f5a764aap-17, 0x1.c341b91c1492dp-17, 0x1.c27f639c8285dp-17, 0x1.c1b9ab530a67dp-17, 0x1.c0f09ca3b16ccp-17, 0x1.c02443de1d418p-17, 0x1.bf54ad3e3574p-17, 0x1.be81e4ebbd217p-17, 0x1.bdabf6fa6b75bp-17, 0x1.bcd2ef69b4e83p-17, 0x1.bbf6da24ec612p-17, 0x1.bb17c3031f322p-17, 0x1.ba35b5c7053c1p-17, 0x1.b950be1ee41c7p-17, 0x1.b868e7a4f57f8p-17, 0x1.b77e3ddea03f6p-17, 0x1.b690cc3d157a2p-17, 0x1.b5a09e1cf4558p-17, 0x1.b4adbec687f79p-17, 0x1.b3b8396d233cp-17, 0x1.b2c0193046b29p-17, 0x1.b1c5691a18a13p-17, 0x1.b0c83420d3113p-17, 0x1.afc88525b08cdp-17, 0x1.aec666f5a778bp-17, 0x1.adc1e448a614bp-17, 0x1.acbb07c2bb5ccp-17, 0x1.abb1dbf272376p-17, 0x1.aaa66b52ab99dp-17, 0x1.a998c048f282p-17, 0x1.a888e526efc7dp-17, 0x1.a776e428f1f94p-17, 0x1.a662c7778250ep-17, 0x1.a54c992623559p-17, 0x1.a4346333edf05p-17, 0x1.a31a2f8bb5739p-17, 0x1.a1fe08036ed82p-17, 0x1.a0dff65d244b4p-17, 0x1.9fc00445c5195p-17, 0x1.9e9e3b56a9595p-17, 0x1.9d7aa514226e8p-17, 0x1.9c554aee7cff8p-17, 0x1.9b2e3641cba43p-17, 0x1.9a0570559a83ap-17, 0x1.98db025da7cc1p-17, 0x1.97aef57936c2ap-17, 0x1.968152b367ac8p-17, 0x1.955223038b64dp-17, 0x1.94216f4cc5b02p-17, 0x1.92ef405df1dadp-17, 0x1.91bb9ef2aec68p-17, 0x1.908693b1f3beep-17, 0x1.8f50272f5bf09p-17, 0x1.8e1861eac4698p-17, 0x1.8cdf4c4ff14e3p-17, 0x1.8ba4eeb775ep-17, 0x1.8a695165dc512p-17, 0x1.892c7c8ca0874p-17, 0x1.87ee7849257e7p-17, 0x1.86af4ca624c7ap-17, 0x1.856f019a30a0fp-17, 0x1.842d9f0971467p-17, 0x1.82eb2cc41e64dp-17, 0x1.81a7b287ac4cfp-17, 0x1.806337fe785d6p-17, 0x1.7f1dc4bfaf11ap-17, 0x1.7dd7604fe6366p-17, 0x1.7c90122057793p-17, 0x1.7b47e19035f6p-17, 0x1.79fed5eb03a2dp-17, 0x1.78b4f66ac35bcp-17, 0x1.776a4a35edc02p-17, 0x1.761ed86111b05p-17, 0x1.74d2a7ee5e217p-17, 0x1.7385bfcd69e88p-17, 0x1.723826dbb3fdfp-17, 0x1.70e9e3e4e175ap-17, 0x1.6f9afda1d5786p-17, 0x1.6e4b7aba7e6f4p-17, 0x1.6cfb61c3e4d0cp-17, 0x1.6baab941e13d6p-17, 0x1.6a5987a6b1da1p-17, 0x1.6907d3522c3adp-17, 0x1.67b5a293b5c9cp-17, 0x1.6662fba83fd87p-17, 0x1.650fe4bc20528p-17, 0x1.63bc63e9dec6ap-17, 0x1.62687f3b675d9p-17, 0x1.61143ca8c244fp-17, 0x1.5fbfa21a0652ep-17, 0x1.5e6ab5653e084p-17, 0x1.5d157c50d9066p-17, 0x1.5bbffc916011dp-17, 0x1.5a6a3bcbd25abp-17, 0x1.59143f93c142dp-17, 0x1.57be0d6d0c3d8p-17, 0x1.5667aacab39c4p-17, 0x1.55111d0ff476ep-17, 0x1.53ba698f73614p-17, 0x1.5263958c13265p-17, 0x1.510ca638bf76p-17, 0x1.4fb5a0b86891cp-17, 0x1.4e5e8a1e70409p-17, 0x1.4d07676e78854p-17, 0x1.4bb03d9c5987bp-17, 0x1.4a59118d164a5p-17, 0x1.4901e81582ee5p-17, 0x1.47aac5fc0a609p-17, 0x1.4653aff738f26p-17, 0x1.44fcaaaedb48cp-17, 0x1.43a5babc1b09fp-17, 0x1.424ee4a854421p-17, 0x1.40f82cef79284p-17, 0x1.3fa197fd5ac35p-17, 0x1.3e4b2a308b126p-17, 0x1.3cf4e7d83fc0dp-17, 0x1.3b9ed535b0c82p-17, 0x1.3a48f67bd99a5p-17, 0x1.38f34fcf7135p-17, 0x1.379de5470ee0ep-17, 0x1.3648baeb97de1p-17, 0x1.34f3d4b7bacdbp-17, 0x1.339f3698ab558p-17, 0x1.324ae46dd5e34p-17, 0x1.30f6e2091548bp-17, 0x1.2fa3332edeb09p-17, 0x1.2e4fdb9634373p-17, 0x1.2cfcdee8eaaafp-17, 0x1.2baa40c3910cap-17, 0x1.2a5804b5d7beep-17, 0x1.29062e424142dp-17, 0x1.27b4c0de9b21ep-17, 0x1.2663bff3d4dafp-17, 0x1.25132ede61bd4p-17, 0x1.23c310edbb61ep-17, 0x1.227369658edf6p-17, 0x1.21243b7c5db92p-17, 0x1.1fd58a5d2ecb5p-17, 0x1.1e87592638051p-17, 0x1.1d39aae9fa509p-17, 0x1.1bec82aef7ee4p-17, 0x1.1a9fe36f7453ap-17, 0x1.1953d01aa8b7fp-17, 0x1.18084b932147ap-17, 0x1.16bd58b0e282ap-17, 0x1.1572fa3f797a7p-17, 0x1.142932ffd8b2fp-17, 0x1.12e005a723019p-17, 0x1.119774df65e5p-17, 0x1.104f8347ea82cp-17, 0x1.0f08337441ab2p-17, 0x1.0dc187edf0034p-17, 0x1.0c7b8332d8562p-17, 0x1.0b3627b6bcccfp-17, 0x1.09f177e2687dap-17, 0x1.08ad761435717p-17, 0x1.076a24a0082dcp-17, 0x1.062785cf7a375p-17, 0x1.04e59be1bbceap-17, 0x1.03a4690c040f6p-17, 0x1.0263ef794da2ap-17, 0x1.0124314aa2d74p-17, 0x1.ffca612e8196cp-18, 0x1.fd4dded8b8acbp-18, 0x1.fad2df9b779c1p-18, 0x1.f859676a86e44p-18, 0x1.f5e17a271fd47p-18, 0x1.f36b1b9eef7ap-18, 0x1.f0f64f8dd96bep-18, 0x1.ee83199c05ba7p-18, 0x1.ec117d609f5a4p-18, 0x1.e9a17e5f5240cp-18, 0x1.e733200acfdfap-18, 0x1.e4c665c34cea8p-18, 0x1.e25b52d794997p-18, 0x1.dff1ea8519aa4p-18, 0x1.dd8a2ff76dc1ap-18, 0x1.db24264a07619p-18, 0x1.d8bfd085f072p-18, 0x1.d65d31a50dde2p-18, 0x1.d3fc4c8ee4efap-18, 0x1.d19d241c240fcp-18, 0x1.cf3fbb13bbb8ap-18, 0x1.cce4142d93f0ap-18, 0x1.ca8a3210ef41bp-18, 0x1.c83217556b3fcp-18, 0x1.c5dbc68342d3ap-18, 0x1.c3874212aacep-18, 0x1.c1348c6d14252p-18, 0x1.bee3a7ec4b6ccp-18, 0x1.bc9496db64085p-18, 0x1.ba475b7683223p-18, 0x1.b7fbf7eb06decp-18, 0x1.b5b26e57f34fbp-18, 0x1.b36ac0cdae6e7p-18, 0x1.b124f14e6f142p-18, 0x1.aee101cea0fd9p-18, 0x1.ac9ef4342568cp-18, 0x1.aa5eca57f7e6p-18, 0x1.a8208604604f3p-18, 0x1.a5e428f7476aep-18, 0x1.a3a9b4e04321cp-18, 0x1.a1712b62a0c4ap-18, 0x1.9f3a8e13b5478p-18, 0x1.9d05de7d17a9ep-18, 0x1.9ad31e1a21ab9p-18, 0x1.98a24e5b7031ep-18, 0x1.967370a2ffbb7p-18, 0x1.94468648db6a4p-18, 0x1.921b909672dffp-18, 0x1.8ff290cb800b6p-18, 0x1.8dcb8819b3c6dp-18, 0x1.8ba677a8ef491p-18, 0x1.89836093b196ep-18, 0x1.876243ea8e1c1p-18, 0x1.854322b165076p-18, 0x1.8325fde1f3976p-18, 0x1.810ad66a3026ep-18, 0x1.7ef1ad2d54c9ep-18, 0x1.7cda8303faaf4p-18, 0x1.7ac558bb9419fp-18, 0x1.78b22f17a4d1fp-18, 0x1.76a106d0998dap-18, 0x1.7491e0952060ep-18, 0x1.7284bd0947ebbp-18, 0x1.70799cc761e66p-18, 0x1.6e70805fb068dp-18, 0x1.6c6968588c89fp-18, 0x1.6a64552effb67p-18, 0x1.68614755f6786p-18, 0x1.66603f37862a6p-18, 0x1.64613d33e2a4bp-18, 0x1.626441a28844ap-18, 0x1.60694cd177eddp-18, 0x1.5e705f061c2e8p-18, }}, 
      {{-0x1.cab71a7d45f77p-15, -0x1.d9d1f8d4ae376p-13, -0x1.176c6d93d0e06p-11, -0x1.068e4e25a3a54p-10, -0x1.b2c68ef64f7b7p-10, -0x1.4b37502adadedp-9, -0x1.dae86005a216p-9, -0x1.44bf405646b22p-8, -0x1.ab67b9af0900dp-8, -0x1.10613fa74bc04p-7, -0x1.51cd921f2a49ap-7, -0x1.99235dcf0e19fp-7, -0x1.e55d179000612p-7, -0x1.1aa887d6d4edcp-6, -0x1.43deb39000addp-6, -0x1.6da9bd3315b22p-6, -0x1.97612ca7eea62p-6, -0x1.c0600197aa369p-6, -0x1.e8089d37df5c3p-6, -0x1.06e3f692ba868p-5, -0x1.188beb664bb7bp-5, -0x1.28c0759af9fccp-5, -0x1.374db8cc48acdp-5, -0x1.4407ede088c95p-5, -0x1.4ecb5d2637ecfp-5, -0x1.577c240331f25p-5, -0x1.5e05d1d5ac2fap-5, -0x1.625ae71091341p-5, -0x1.6474409cd5332p-5, -0x1.645078436fc5p-5, -0x1.61f3417866483p-5, -0x1.5d64c86a1f9b8p-5, -0x1.56b117cf13938p-5, -0x1.4de7889ece4d8p-5, -0x1.431a3dbcf9e66p-5, -0x1.365daca392612p-5, -0x1.27c8334e8eebep-5, -0x1.1771bb0e4fc0fp-5, -0x1.0573677389f68p-5, -0x1.e3cea075b90bp-6, -0x1.b9d089e419afp-6, -0x1.8d2331fee81fap-6, -0x1.5dfded6f93e0cp-6, -0x1.2c98708379f2ap-6, -0x1.f2551494b304dp-7, -0x1.87d7ce2419b94p-7, -0x1.1a27b12d81ebcp-7, -0x1.53648a463ab09p-8, -0x1.b71ca9f0ca75dp-10, 0x1.eed153ee63048p-10, 0x1.683de7fd457bfp-8, 0x1.2b8542266df13p-7, 0x1.a3aa603c651bep-7, 0x1.0e175ad6e6e9fp-6, 0x1.4a5b06e478212p-6, 0x1.8673ed7c2be4cp-6, 0x1.c237ba77ca086p-6, 0x1.fd7e2899a7709p-6, 0x1.1c108d5a96778p-5, 0x1.38fe58bc88471p-5, 0x1.5577aed1304c6p-5, 0x1.716cf735e32a8p-5, 0x1.8ccfce0d3055cp-5, 0x1.a793074c25d5ap-5, 0x1.c1aab00de684fp-5, 0x1.db0c0df44e24bp-5, 0x1.f3ad9ca326ee6p-5, 0x1.05c384b4df89ap-4, 0x1.1148969a0f1ccp-4, 0x1.1c630270f0524p-4, 0x1.2710541251978p-4, 0x1.314e9f8576e3fp-4, 0x1.3b1c7b2f64852p-4, 0x1.4478f9804c34ap-4, 0x1.4d63a233b9f1fp-4, 0x1.55dc6b3821735p-4, 0x1.5de3b1521c406p-4, 0x1.657a308f0cabap-4, 0x1.6ca0fc9a13f6ep-4, 0x1.735979053c971p-4, 0x1.79a5519797fd4p-4, 0x1.7f8672afc404dp-4, 0x1.84ff01c8ed054p-4, 0x1.8a11562ef44efp-4, 0x1.8ebff1ecf4933p-4, 0x1.930d7affe0dcbp-4, 0x1.96fcb4d591348p-4, 0x1.9a907a1f28ab1p-4, 0x1.9dcbb6fc68b8p-4, 0x1.a0b163843152ep-4, 0x1.a3447ead4dda6p-4, 0x1.a58809998cf78p-4, 0x1.a77f0343e25cbp-4, 0x1.a92c6491c7275p-4, 0x1.aa931cc6cbbaep-4, 0x1.abb60e58c2f1fp-4, 0x1.ac980c223407ap-4, 0x1.ad3bd6f035a14p-4, 0x1.ada41b6845e0ep-4, 0x1.add370424819cp-4, 0x1.adcc54d2916a2p-4, 0x1.ad912fdf9e544p-4, 0x1.ad244ebeba841p-4, 0x1.ac87e4b2facc3p-4, 0x1.abbe0a89a68d9p-4, 0x1.aac8be6f2dbaep-4, 0x1.a9a9e3f7ef5e6p-4, 0x1.a8634457e507cp-4, 0x1.a6f68ec498758p-4, 0x1.a56558fcd51cep-4, 0x1.a3b11ff183aebp-4, 0x1.a1db488ba8b28p-4, 0x1.9fe5208b356e5p-4, 0x1.9dcfdf7b06b76p-4, 0x1.9b9ca7b62df46p-4, 0x1.994c877b4de2ap-4, 0x1.96e07a0aa2b7cp-4, 0x1.945968cbd9709p-4, 0x1.91b82c78dfbe1p-4, 0x1.8efd8e4b29bffp-4, 0x1.8c2a49291b747p-4, 0x1.893f0ad177278p-4, 0x1.863c7502f398cp-4, 0x1.83231e9e43a0dp-4, 0x1.7ff394c1110e2p-4, 0x1.7cae5bd8a057ep-4, 0x1.7953f0aaf48cdp-4, 0x1.75e4c95587395p-4, 0x1.72615640b88c5p-4, 0x1.6eca03075d447p-4, 0x1.6b1f3751dbe66p-4, 0x1.676157a479894p-4, 0x1.6390c6208fad7p-4, 0x1.5fade3387f7c5p-4, 0x1.5bb90e56537dep-4, 0x1.57b2a67515becp-4, 0x1.539b0aacf46fdp-4, 0x1.4f729ab26372p-4, 0x1.4b39b748788c2p-4, 0x1.46f0c2a6cea65p-4, 0x1.429820d34bde3p-4, 0x1.3e3037f029a17p-4, 0x1.39b9707eb208ep-4, 0x1.3534359722b07p-4, 0x1.30a0f51636e21p-4, 0x1.2c001fc0d10c6p-4, 0x1.2752295e50435p-4, 0x1.229788ca13174p-4, 0x1.1dd0b7fcb2098p-4, 0x1.18fe340d7cf25p-4, 0x1.14207d2cbf1c8p-4, 0x1.0f38169757b4ap-4, 0x1.0a45868426f83p-4, 0x1.0549560bdb1f1p-4, 0x1.0044110b9743p-4, 0x1.f66c8c05f17bep-5, 0x1.ec410bdbdccc2p-5, 0x1.e206c835bdd38p-5, 0x1.d7beebfb149ep-5, 0x1.cd6aa5fe36199p-5, 0x1.c30b289792dddp-5, 0x1.b8a1a93cee9b6p-5, 0x1.ae2f60154a6a6p-5, 0x1.a3b5878a3297dp-5, 0x1.99355bd71bffap-5, 0x1.8eb01a9772cc7p-5, 0x1.84270253ec46p-5, 0x1.799b520fae67fp-5, 0x1.6f0e48d5c863fp-5, 0x1.648125477f4eap-5, 0x1.59f5252bdb52bp-5, 0x1.4f6b8500d5206p-5, 0x1.44e57f8e8d7efp-5, 0x1.3a644d7cd7d64p-5, 0x1.2fe924eb7276cp-5, 0x1.2575390d29d81p-5, 0x1.1b09b9c625c95p-5, 0x1.10a7d34d98defp-5, 0x1.0650add2ffdaep-5, 0x1.f80ada4e2f867p-6, 0x1.e38e60d167a46p-6, 0x1.cf2e236b1d60cp-6, 0x1.baec4bbe533e6p-6, 0x1.a6caf84799281p-6, 0x1.92cc3bd776a32p-6, 0x1.7ef21d1533082p-6, 0x1.6b3e960a25facp-6, 0x1.57b393b57bb8bp-6, 0x1.4452f5a86580ep-6, 0x1.311e8daabfeeep-6, 0x1.1e181f67ebbbp-6, 0x1.0b416023f2e95p-6, 0x1.f137ecf165412p-7, 0x1.cc52f4360978fp-7, 0x1.a7d6e74f592bfp-7, 0x1.83c6b8efcbdfdp-7, 0x1.60253cfab305cp-7, 0x1.3cf5284aa6f6cp-7, 0x1.1a391085f3acep-7, 0x1.efe6d8014b554p-8, 0x1.ac4d235786cp-8, 0x1.69a972228ad75p-8, 0x1.27fff4b870c96p-8, 0x1.cea939b2ab7a8p-9, 0x1.4f563bdb54054p-9, 0x1.a41bb56846aebp-10, 0x1.5b5a173e594b8p-11, -0x1.124e6bf3513p-12, -0x1.329b460689951p-10, -0x1.0e2ff66d2a96p-9, -0x1.80ec39e94c939p-9, -0x1.f17e54a2a203dp-9, -0x1.2ff15091cac6cp-8, -0x1.660af5cdd0548p-8, -0x1.9b0ab805c61d1p-8, -0x1.ceef6c2cb63a2p-8, -0x1.00dc0e93abe44p-7, -0x1.19b20560646c1p-7, -0x1.31f9544b0643ep-7, -0x1.49b1ce7c76df6p-7, -0x1.60db5fe59bde5p-7, -0x1.77760ca96e3f3p-7, -0x1.8d81f0840813dp-7, -0x1.a2ff3e2ee2c28p-7, -0x1.b7ee3ec2bdbc7p-7, -0x1.cc4f51177b11cp-7, -0x1.e022e922421a6p-7, -0x1.f3698f5258cc7p-7, -0x1.0311eff660347p-6, -0x1.0c294533960b8p-6, -0x1.14fb28612ad33p-6, -0x1.1d8803720fd31p-6, -0x1.25d048f8db0a8p-6, -0x1.2dd473d4f5ca2p-6, -0x1.359506e00d73cp-6, -0x1.3d128c9bd8aa8p-6, -0x1.444d96e0585d5p-6, -0x1.4b46be8a9d1bap-6, -0x1.51fea32c354d7p-6, -0x1.5875eabb5698ep-6, -0x1.5ead4143cd04fp-6, -0x1.64a55898da10cp-6, -0x1.6a5ee8080528bp-6, -0x1.6fdaac0cee5bdp-6, -0x1.751966063ca8p-6, -0x1.7a1bdbebb3d1fp-6, -0x1.7ee2d805749a8p-6, -0x1.836f28a47f3dfp-6, -0x1.87c19fdc7ffacp-6, -0x1.8bdb133eea8ccp-6, -0x1.8fbc5b977c8a3p-6, -0x1.936654aa17265p-6, -0x1.96d9dcf214f27p-6, -0x1.9a17d5630ab8dp-6, -0x1.9d21212b02393p-6, -0x1.9ff6a57633b34p-6, -0x1.a2994934432cdp-6, -0x1.a509f4def3605p-6, -0x1.a74992427724p-6, -0x1.a9590c47338cdp-6, -0x1.ab394ebd1f218p-6, -0x1.aceb46289f283p-6, -0x1.ae6fdf90f6c2p-6, -0x1.afc808503f632p-6, -0x1.b0f4ade4e9f37p-6, -0x1.b1f6bdc4bebd4p-6, -0x1.b2cf25317146cp-6, -0x1.b37ed10ea91fep-6, -0x1.b406adb98db74p-6, -0x1.b467a6e1d0493p-6, -0x1.b4a2a7642c2bcp-6, -0x1.b4b8992660fb8p-6, -0x1.b4aa64f492f61p-6, -0x1.b478f26023196p-6, -0x1.b425279fe4fe8p-6, -0x1.b3afe971b75ccp-6, -0x1.b31a1afd7a491p-6, -0x1.b2649db95b72ap-6, -0x1.b190514f6f37ep-6, -0x1.b09e138498b04p-6, -0x1.af8ec020b2975p-6, -0x1.ae6330d7f9cdbp-6, -0x1.ad1c3d35ad79ap-6, -0x1.abbaba87e2aa1p-6, -0x1.aa3f7bcc830b4p-6, -0x1.a8ab519f6d86bp-6, -0x1.a6ff0a29b3e0dp-6, -0x1.a53b7111f4a1fp-6, -0x1.a3614f6dbac36p-6, -0x1.a1716bb3ef19fp-6, -0x1.9f6c89b049e3dp-6, -0x1.9d536a77b9ed5p-6, -0x1.9b26cc5dcc8dep-6, -0x1.98e76aeaf4028p-6, -0x1.9695fed3c9b44p-6, -0x1.94333df117a2ap-6, -0x1.91bfdb38d1c4p-6, -0x1.8f3c86b7d46dap-6, -0x1.8ca9ed8c768b6p-6, -0x1.8a08b9e1d705cp-6, -0x1.875992ebf7a18p-6, -0x1.849d1ce482df2p-6, -0x1.81d3f9084c538p-6, -0x1.7efec5957c005p-6, -0x1.7c1e1dca5ced4p-6, -0x1.793299e4cf037p-6, -0x1.763ccf224f7e8p-6, -0x1.733d4fc097f5bp-6, -0x1.7034aafecad5p-6, -0x1.6d236d1f24d6p-6, -0x1.6a0a1f693377bp-6, -0x1.66e9482c8ad49p-6, -0x1.63c16ac3ec0f8p-6, -0x1.60930798e3616p-6, -0x1.5d5e9c27d2849p-6, -0x1.5a24a30463462p-6, -0x1.56e593de5b324p-6, -0x1.53a1e386cef54p-6, -0x1.505a03f5b082p-6, -0x1.4d0e644faf8e2p-6, -0x1.49bf70ec6c62ap-6, -0x1.466d935cf273p-6, -0x1.431932727fa8cp-6, -0x1.3fc2b2458bb73p-6, -0x1.3c6a743d0bf42p-6, -0x1.3910d715f7399p-6, -0x1.35b636eafff66p-6, -0x1.325aed3c7ecdp-6, -0x1.2eff50f88f284p-6, -0x1.2ba3b68358d9cp-6, -0x1.28486fbf83f02p-6, -0x1.24edcc16ce556p-6, -0x1.21941882c3e6ep-6, -0x1.1e3b9f959eaaep-6, -0x1.1ae4a98335181p-6, -0x1.178f7c2a08bbep-6, -0x1.143c5b1c7106ep-6, -0x1.10eb87a9cd228p-6, -0x1.0d9d40e7d2a04p-6, -0x1.0a51c3bbe1167p-6, -0x1.07094ae46a24ep-6, -0x1.03c40f025b961p-6, -0x1.008246a29b17ep-6, -0x1.fa884c8ef5d5cp-7, -0x1.f413c0e479493p-7, -0x1.eda74b591f716p-7, -0x1.e743492422d55p-7, -0x1.e0e813b38e3ccp-7, -0x1.da9600bf2fe87p-7, -0x1.d44d625b84597p-7, -0x1.ce0e870c78474p-7, -0x1.c7d9b9d843ec2p-7, -0x1.c1af425a06fb3p-7, -0x1.bb8f64d4632f7p-7, -0x1.b57a6243f67b5p-7, -0x1.af707871beb43p-7, -0x1.a971e205546d1p-7, -0x1.a37ed69702a26p-7, -0x1.9d978ac1c7e12p-7, -0x1.97bc30352d355p-7, -0x1.91ecf5c6e094p-7, -0x1.8c2a07844ddd2p-7, -0x1.86738ec3df332p-7, -0x1.80c9b23637b18p-7, -0x1.7b2c95f7238bfp-7, -0x1.759c5b9e6666dp-7, -0x1.70192250559cbp-7, -0x1.6aa306ce44128p-7, -0x1.653a2386a7ad6p-7, -0x1.5fde90a52de51p-7, -0x1.5a9064227643ap-7, -0x1.554fb1d3adeefp-7, -0x1.501c8b79eeae2p-7, -0x1.4af700d162d26p-7, -0x1.45df1fa032851p-7, -0x1.40d4f3c5385dcp-7, -0x1.3bd8874683967p-7, -0x1.36e9e25f9308dp-7, -0x1.32090b8f5d817p-7, -0x1.2d3607a624dfcp-7, -0x1.2870d9d30368p-7, -0x1.23b983b148cf4p-7, -0x1.1f1005558eccbp-7, -0x1.1a745d5aa5222p-7, -0x1.15e688ee330e2p-7, -0x1.116683dd231e1p-7, -0x1.0cf4489fd9ce7p-7, -0x1.088fd066255fcp-7, -0x1.04391322fe3e4p-7, -0x1.ffe00f300bf02p-8, -0x1.f76946c1a711dp-8, -0x1.ef0db5fbedc69p-8, -0x1.e6cd43bfb12b6p-8, -0x1.dea7d4e28d171p-8, -0x1.d69d4c43c8778p-8, -0x1.cead8ae07eb9cp-8, -0x1.c6d86fe7a7fb9p-8, -0x1.bf1dd8cd6c3f4p-8, -0x1.b77da15e2fb1ep-8, -0x1.aff7a3d12b893p-8, -0x1.a88bb8da824e9p-8, -0x1.a139b7bd0eec3p-8, -0x1.9a01765baf264p-8, -0x1.92e2c94a1f769p-8, -0x1.8bdd83dd8f68bp-8, -0x1.84f1783ca7897p-8, -0x1.7e1e776f3c951p-8, -0x1.7764516dac844p-8, -0x1.70c2d52fb314dp-8, -0x1.6a39d0bb02163p-8, -0x1.63c911315f44ep-8, -0x1.5d7062de68a3cp-8, -0x1.572f91450583dp-8, -0x1.5106672c6f1f3p-8, -0x1.4af4aeacde014p-8, -0x1.44fa313bdbf3bp-8, -0x1.3f16b7b85065ap-8, -0x1.394a0a761b63ep-8, -0x1.3393f1495cf77p-8, -0x1.2df4339182d08p-8, -0x1.286a9843e7e31p-8, -0x1.22f6e5f62c84bp-8, -0x1.1d98e2e832376p-8, -0x1.1850550de82b1p-8, -0x1.131d0218a6077p-8, -0x1.0dfeaf8049a18p-8, -0x1.08f5228c13abep-8, -0x1.0400205b234afp-8, -0x1.fe3edbd98e517p-9, -0x1.f4a5a050dc892p-9, -0x1.eb3417cac0ef9p-9, -0x1.e1e9cbe46918ep-9, -0x1.d8c64637ef07ep-9, -0x1.cfc9106a48986p-9, -0x1.c6f1b438a099ep-9, -0x1.be3fbb8527af8p-9, -0x1.b5b2b063965ecp-9, -0x1.ad4a1d2518cffp-9, -0x1.a5058c63ab91bp-9, -0x1.9ce4890d52a41p-9, -0x1.94e69e6e8c9c1p-9, -0x1.8d0b583c982dcp-9, -0x1.8552429f2ea9ap-9, -0x1.7dbaea39e1979p-9, -0x1.7644dc34fd07dp-9, -0x1.6eefa64632b93p-9, -0x1.67bad6b8c1845p-9, -0x1.60a5fc753fe3ap-9, -0x1.59b0a7091b9c1p-9, -0x1.52da66ada8cfp-9, -0x1.4c22cc4f0402dp-9, -0x1.45896992529a2p-9, -0x1.3f0dd0dc0b2d1p-9, -0x1.38af9555b8772p-9, -0x1.326e4af354af9p-9, -0x1.2c498678a6025p-9, -0x1.2640dd7e0f6c6p-9, -0x1.2053e67525ebcp-9, -0x1.1a8238ad23586p-9, -0x1.14cb6c56d4f23p-9, -0x1.0f2f1a888f907p-9, -0x1.09acdd41a5265p-9, -0x1.04444f6dbeb33p-9, -0x1.fdea19cfd7c4cp-10, -0x1.f37d64fb2e2c6p-10, -0x1.e941bbe1e02cbp-10, -0x1.df365bf70f717p-10, -0x1.d55a84a0d2fe6p-10, -0x1.cbad773c3b21ep-10, -0x1.c22e7720de0ecp-10, -0x1.b8dcc9a431cbap-10, -0x1.afb7b61c3affcp-10, -0x1.a6be85e2277b5p-10, -0x1.9df084546e068p-10, -0x1.954cfed861744p-10, -0x1.8cd344dc38cc8p-10, -0x1.8482a7d78c45cp-10, -0x1.7c5a7b4cd413ap-10, -0x1.745a14c990eefp-10, -0x1.6c80cbe6cfd0ap-10, -0x1.64cdfa492571p-10, -0x1.5d40fba0801e2p-10, -0x1.55d92da7a9a24p-10, -0x1.4e95f0238b3d2p-10, -0x1.4776a4e244944p-10, -0x1.407aafba1e9c2p-10, -0x1.39a1768806085p-10, -0x1.32ea612dee16dp-10, -0x1.2c54d9915e249p-10, -0x1.25e04b9918722p-10, -0x1.1f8c252b58e7fp-10, -0x1.1957d62b2beafp-10, -0x1.1342d076434acp-10, -0x1.0d4c87e22fd0cp-10, -0x1.07747239a851p-10, -0x1.01ba0739abb14p-10, -0x1.f839811cd7c19p-11, -0x1.ed3833a0225e3p-11, -0x1.e26f20ff47272p-11, -0x1.d7dd4806e0017p-11, -0x1.cd81ab473c7c3p-11, -0x1.c35b510d3fd4bp-11, -0x1.b969435aa1206p-11, -0x1.afaa8fdebaaddp-11, -0x1.a61e47ee6cf58p-11, -0x1.9cc3807c6f6d5p-11, -0x1.939952111d2eap-11, -0x1.8a9ed8c239ba1p-11, -0x1.81d3342a8f73dp-11, -0x1.79358761934d9p-11, -0x1.70c4f8f2e05bap-11, -0x1.6880b2d535c39p-11, -0x1.6067e261f2512p-11, -0x1.5879b84c1806p-11, -0x1.50b5689794cabp-11, -0x1.491a2a8fde2fbp-11, -0x1.41a738bf0bf4dp-11, -0x1.3a5bd0e4ebcf8p-11, -0x1.333733ed4b6e3p-11, -0x1.2c38a5e76123p-11, -0x1.255f6dfc000f8p-11, -0x1.1eaad6648fc4fp-11, -0x1.181a2c61c42b5p-11, -0x1.11acc0321d1bfp-11, -0x1.0b61e508a302fp-11, -0x1.0538f1037f05bp-11, -0x1.fe627a45c13f4p-12, -0x1.f2944a7e8f4b1p-12, -0x1.e7061000d8b8bp-12, -0x1.dbb68da77b01dp-12, -0x1.d0a48bc66e0fcp-12, -0x1.c5ced81824b93p-12, -0x1.bb3445aac76a8p-12, -0x1.b0d3acce17b18p-12, -0x1.a6abeb00b9c26p-12, -0x1.9cbbe2dded3aap-12, -0x1.93027c0babab8p-12, -0x1.897ea327a09b8p-12, -0x1.802f49b6381b9p-12, -0x1.7713660fe3cbdp-12, -0x1.6e29f34f47cf5p-12, -0x1.6571f13fd27c4p-12, -0x1.5cea644bb177ap-12, -0x1.5492556a98af3p-12, -0x1.4c68d2103cc39p-12, -0x1.446cec1b0c7f4p-12, -0x1.3c9db9c300d28p-12, -0x1.34fa5588b5c41p-12, -0x1.2d81de247893ap-12, -0x1.26337675bba35p-12, -0x1.1f0e457215bd8p-12, -0x1.1811761540413p-12, -0x1.113c3750bb3cbp-12, -0x1.0a8dbbfb87258p-12, -0x1.04053ac23d979p-12, -0x1.fb43dc2e9b509p-13, -0x1.eec62846c1837p-13, -0x1.e28fdd6b6ec57p-13, -0x1.d69f8669d0199p-13, -0x1.caf3b51fa05e5p-13, -0x1.bf8b025d05a31p-13, -0x1.b4640dc6d191fp-13, -0x1.a97d7db95cc62p-13, -0x1.9ed5ff2b454f5p-13, -0x1.946c4591a21bp-13, -0x1.8a3f0ac259e3p-13, -0x1.804d0ed9e11aep-13, -0x1.7695181de3bbdp-13, -0x1.6d15f2e389675p-13, -0x1.63ce717377462p-13, -0x1.5abd6bf030173p-13, -0x1.51e1c03ad1683p-13, -0x1.493a51da37ffap-13, -0x1.40c609e0e6525p-13, -0x1.3883d6d41268fp-13, -0x1.3072ac9290a44p-13, -0x1.2891843cbe4fep-13, -0x1.20df5c1c2a73cp-13, -0x1.195b378b9d399p-13, -0x1.12041edfde45cp-13, -0x1.0ad91f509194fp-13, -0x1.03d94ae14c322p-13, -0x1.fa0770968249ep-14, -0x1.ecaf05cdc3889p-14, -0x1.dfa7952d9dceap-14, -0x1.d2ef6762adfb2p-14, -0x1.c684cdd847001p-14, -0x1.ba66228e303d2p-14, -0x1.ae91c7efc321cp-14, -0x1.a30628ab438a1p-14, -0x1.97c1b78b70d1fp-14, -0x1.8cc2ef4e8028ep-14, -0x1.8208528147d52p-14, -0x1.77906b58c68d6p-14, -0x1.6d59cb8cfa3edp-14, -0x1.63630c341c9c8p-14, -0x1.59aacd9f77e29p-14, -0x1.502fb736bcf9ap-14, -0x1.46f07755c7a3bp-14, -0x1.3debc32ae3d2fp-14, -0x1.3520569464fb3p-14, -0x1.2c8cf3fff0421p-14, -0x1.2430644a08133p-14, -0x1.1c09769d6d02ap-14, -0x1.14170054e1ea4p-14, -0x1.0c57dcdb3736ap-14, -0x1.04caed8d500cap-14, -0x1.fade33397ddd3p-15, -0x1.ec869be42e871p-15, -0x1.de8cfa203b0c5p-15, -0x1.d0ef3defb6ac5p-15, -0x1.c3ab6218869cap-15, -0x1.b6bf6bf069529p-15, -0x1.aa296b24b0c1fp-15, -0x1.9de77987750c4p-15, -0x1.91f7badb580e7p-15, -0x1.86585ca0de9cbp-15, -0x1.7b0795e6172dbp-15, -0x1.7003a7130fbf3p-15, -0x1.654ad9bd46c28p-15, -0x1.5adb80765e955p-15, -0x1.50b3f69ea60bp-15, -0x1.46d2a038f11c9p-15, -0x1.3d35e9bc5f3f8p-15, -0x1.33dc47eaa2a9bp-15, -0x1.2ac437a34bc4ep-15, -0x1.21ec3dbcbe132p-15, -0x1.1952e6d83e8cdp-15, -0x1.10f6c73b5fc64p-15, -0x1.08d67aa88441cp-15, -0x1.00f0a4371068dp-15, -0x1.f287dc5c2c8adp-16, -0x1.e39e13be8d86fp-16, -0x1.d5215f0449c3ep-16, -0x1.c70f3c207fcb9p-16, -0x1.b96536452fbdfp-16, -0x1.ac20e59bb1288p-16, -0x1.9f3fef053ceafp-16, -0x1.92c003d4c1429p-16, -0x1.869ee191107fap-16, -0x1.7ada51b456efep-16, -0x1.6f70296de1d13p-16, -0x1.645e496406b14p-16, -0x1.59a29d7b36802p-16, -0x1.4f3b1c9878a7ep-16, -0x1.4525c869d8b7cp-16, -0x1.3b60ad2db545cp-16, -0x1.31e9e17a7521fp-16, -0x1.28bf860b512e1p-16, -0x1.1fdfc588e1bd6p-16, -0x1.1748d456ed453p-16, -0x1.0ef8f060613cap-16, -0x1.06ee60e6ed404p-16, -0x1.fe4eeca3bd112p-17, -0x1.ef4513fc69a94p-17, -0x1.e0bbfc1ffcf0dp-17, -0x1.d2b07a8a2de29p-17, -0x1.c51f758eed056p-17, -0x1.b805e406e8237p-17, -0x1.ab60ccf2a0149p-17, -0x1.9f2d472d68aa6p-17, -0x1.9368791887009p-17, -0x1.880f9846d7449p-17, -0x1.7d1fe93459155p-17, -0x1.7296bef34358dp-17, -0x1.68717ae4d08bbp-17, -0x1.5ead8c6afa6b5p-17, -0x1.554870a3ac33ep-17, -0x1.4c3fb21facba5p-17, -0x1.4390e89c867f5p-17, -0x1.3b39b8c0fdc0cp-17, -0x1.3337d3dca8b07p-17, -0x1.2b88f7a27a857p-17, -0x1.242aedec9ef08p-17, -0x1.1d1b8c7a5c801p-17, -0x1.1658b4b7be969p-17, -0x1.0fe0537bdfdb8p-17, -0x1.09b060d242cf2p-17, -0x1.03c6dfc0c0745p-17, -0x1.fc43bc185064ep-18, -0x1.f17ee80ca5174p-18, -0x1.e73b88a7ac421p-18, -0x1.dd75f771dc264p-18, -0x1.d42aa1cdb24d4p-18, -0x1.cb56088d0b794p-18, -0x1.c2f4bf94f9646p-18, -0x1.bb036d759fc06p-18, -0x1.b37ecb1159ef6p-18, -0x1.ac63a33a3d7c9p-18, -0x1.a5aed25e1eb82p-18, -0x1.9f5d462425585p-18, -0x1.996bfd1ef030cp-18, -0x1.93d8067110ae3p-18, -0x1.8e9e817beeb86p-18, -0x1.89bc9d8bdb23dp-18, -0x1.852f998cb3dbap-18, -0x1.80f4c3b26af99p-18, -0x1.7d097937a1339p-18, -0x1.796b260799463p-18, -0x1.7617447bfbf09p-18, -0x1.730b5d1242b58p-18, -0x1.704506244fb65p-18, -0x1.6dc1e3a0ca767p-18, -0x1.6b7fa6d08654dp-18, -0x1.697c0e076cab4p-18, -0x1.67b4e46dc5ac8p-18, -0x1.662801ba3e027p-18, -0x1.64d349f90ea16p-18, -0x1.63b4ad472e282p-18, -0x1.62ca27a02c899p-18, -0x1.6211c09a3e09dp-18, -0x1.61898b33d9831p-18, -0x1.612fa595ffe4fp-18, -0x1.610238e1669acp-18, -0x1.60ff78f72cd6ep-18, -0x1.6125a440cdbc4p-18, -0x1.61730382349abp-18, -0x1.61e5e9a23eec8p-18, -0x1.627cb37965378p-18, -0x1.6335c7a4718fap-18, -0x1.640f964f7a3e9p-18, -0x1.6508990d15293p-18, -0x1.661f529fa0f79p-18, -0x1.67524ed7e02b4p-18, -0x1.68a0225f133f1p-18, -0x1.6a076a8fe95d2p-18, -0x1.6b86cd4b3f6ccp-18, -0x1.6d1cf8d043dap-18, -0x1.6ec8a3907d75ap-18, -0x1.70888c0ab526p-18, -0x1.725b78a1e74b5p-18, -0x1.74403777dfe7dp-18, -0x1.76359e47a6ef9p-18, -0x1.783a8a3fa43f6p-18, -0x1.7a4ddfdd77abfp-18, -0x1.7c6e8acb9b59ap-18, -0x1.7e9b7dbd854b4p-18, -0x1.80d3b24d8ee6fp-18, -0x1.831628dbb0e83p-18, -0x1.8561e86bd180fp-18, -0x1.87b5fe85ee592p-18, -0x1.8a117f18a907p-18, -0x1.8c7384541fbe7p-18, -0x1.8edb2e92c6b97p-18, -0x1.9147a4364972ep-18, -0x1.93b8118c6c9fp-18, -0x1.962ba8b080769p-18, -0x1.98a1a171aeb83p-18, -0x1.9b1939349d15dp-18, -0x1.9d91b2d949a6p-18, -0x1.a00a56a0d858ep-18, -0x1.a28272118c568p-18, -0x1.a4f957dd56472p-18, -0x1.a76e5fcb467e6p-18, -0x1.a9e0e699fa08bp-18, -0x1.ac504deb22a45p-18, -0x1.aebbfc2902edep-18, -0x1.b1235c70994d1p-18, -0x1.b385de7873b39p-18, -0x1.b5e2f67c4ae56p-18, -0x1.b83a1d24b5052p-18, -0x1.ba8acf719563cp-18, -0x1.bcd48ea57eb73p-18, -0x1.bf16e02ec90ap-18, -0x1.c1514d95c562ap-18, -0x1.c38364641e741p-18, -0x1.c5acb613eb5c9p-18, -0x1.c7ccd7f9f1578p-18, -0x1.c9e3633453e8bp-18, -0x1.cbeff4958d01ap-18, -0x1.cdf22c91ed619p-18, -0x1.cfe9af2efe972p-18, -0x1.d1d623eebd26fp-18, -0x1.d3b735bf347cep-18, -0x1.d58c92e884754p-18, -0x1.d755ecfcca438p-18, -0x1.d912f8c58774cp-18, -0x1.dac36e3378f77p-18, -0x1.dc67084f3a7d9p-18, -0x1.ddfd8527e48p-18, -0x1.df86a5c41bb69p-18, -0x1.e1022e112a784p-18, -0x1.e26fe4d5bdf3ep-18, -0x1.e3cf93a0db3e9p-18, -0x1.e52106bbf10dep-18, -0x1.e6640d1cfb99dp-18, -0x1.e7987856bcc69p-18, -0x1.e8be1c8b7399ep-18, -0x1.e9d4d05ea508cp-18, -0x1.eadc6ce840a9bp-18, -0x1.ebd4cda65b194p-18, -0x1.ecbdd0705abe9p-18, -0x1.ed975569a2db8p-18, -0x1.ee613ef5bd629p-18, -0x1.ef1b71aa53531p-18, -0x1.efc5d44445368p-18, -0x1.f0604f9a7551cp-18, -0x1.f0eace9285eafp-18, -0x1.f1653e14a97b6p-18, -0x1.f1cf8d00a0f1ep-18, -0x1.f229ac20da57dp-18, -0x1.f2738e21d8c12p-18, -0x1.f2ad2783f0fefp-18, -0x1.f2d66e93e68b2p-18, -0x1.f2ef5b5d26301p-18, -0x1.f2f7e7a0cc8c2p-18, -0x1.f2f00ecc4c9b3p-18, -0x1.f2d7cdecc48b4p-18, -0x1.f2af23a6cf745p-18, -0x1.f276102c5166fp-18, -0x1.f22c9533126d8p-18, -0x1.f1d2b5ea464b4p-18, -0x1.f16876f22444fp-18, -0x1.f0edde51f7c88p-18, -0x1.f062f3700dd06p-18, -0x1.efc7bf078b528p-18, -0x1.ef1c4b20654d9p-18, -0x1.ee60a3077c009p-18, -0x1.ed94d343ce362p-18, -0x1.ecb8e9909b4ccp-18, -0x1.ebccf4d394703p-18, -0x1.ead1051656045p-18, -0x1.e9c52b7c5c0dbp-18, -0x1.e8a97a3ca722p-18, -0x1.e77e0499f8c52p-18, -0x1.e642dedadd9f4p-18, -0x1.e4f81e41d7b15p-18, -0x1.e39dd907ba024p-18, -0x1.e23426529250ap-18, -0x1.e0bb1e2f0bb8p-18, -0x1.df32d98a58ce4p-18, -0x1.dd9b722abf441p-18, -0x1.dbf502a8e331cp-18, -0x1.da3fa668b7058p-18, -0x1.d87b79939cf7ep-18, -0x1.d6a89912895dcp-18, -0x1.d4c7228692e51p-18, -0x1.d2d7344314e7p-18, -0x1.d0d8ed481249fp-18, -0x1.cecc6d3b76b7cp-18, -0x1.ccb1d46481ce9p-18, -0x1.ca8943a4aa607p-18, -0x1.c852dc72dcad5p-18, -0x1.c60ec0d519463p-18, -0x1.c3bd135c0367bp-18, -0x1.c15df71c8dfcfp-18, -0x1.bef18fab655fp-18, -0x1.bc780117ad4c1p-18, -0x1.b9f16fe536d2bp-18, -0x1.b75e01086f84fp-18, -0x1.b4bdd9e0fbb1bp-18, -0x1.b2112034a7a9ap-18, -0x1.af57fa2b05aa5p-18, -0x1.ac928e4978bd5p-18, -0x1.a9c1036d40448p-18, -0x1.a6e380c78c124p-18, -0x1.a3fa2dd9be9f4p-18, -0x1.a10532705c013p-18, -0x1.9e04b69eea6aap-18, -0x1.9af8e2bc0e9f1p-18, -0x1.97e1df5d796b4p-18, -0x1.94bfd55374456p-18, -0x1.9192eda568afcp-18, -0x1.8e5b518d97815p-18, -0x1.8b192a76689a9p-18, -0x1.87cca1f5810eep-18, -0x1.8475e1c86badp-18, -0x1.811513d1082bap-18, -0x1.7daa621309d95p-18, -0x1.7a35f6af3183dp-18, -0x1.76b7fbe0de50ap-18, -0x1.73309bf9f5bb5p-18, -0x1.6fa00160982bfp-18, -0x1.6c06568b6dd7p-18, -0x1.6863c5fec4015p-18, -0x1.64b87a4939915p-18, -0x1.61049e014f0a4p-18, -0x1.5d485bc25b761p-18, -0x1.5983de2983e73p-18, -0x1.55b74fd30928dp-18, -0x1.51e2db57bea68p-18, -0x1.4e06ab4a4764ep-18, -0x1.4a22ea3441aeep-18, -0x1.4637c294a8087p-18, -0x1.42455edc31a82p-18, -0x1.3e4be96b708b5p-18, -0x1.3a4b8c90b5514p-18, -0x1.364472857fcbbp-18, -0x1.3236c56c10fe6p-18, -0x1.2e22af4d6404cp-18, -0x1.2a085a171bba2p-18, -0x1.25e7ef99a1aaep-18, -0x1.21c19985bbd3bp-18, -0x1.1d95816aa09fp-18, -0x1.1963d0b42fc78p-18, -0x1.152cb0a8f59dep-18, -0x1.10f04a684480cp-18, -0x1.0caec6e8888cep-18, -0x1.08684ef557484p-18, -0x1.041d0b2e48c5ep-18, -0x1.ff9a48097d5cap-19, -0x1.f6f18374df224p-19, -0x1.ee4018bea22eep-19, -0x1.e58657a2f53b1p-19, -0x1.dcc48f7537a1dp-19, -0x1.d3fb0f1ccb6a3p-19, -0x1.cb2a2513aa1b8p-19, -0x1.c2521f631cd64p-19, -0x1.b9734ba0bff0fp-19, -0x1.b08df6ec068e8p-19, -0x1.a7a26dec86d05p-19, -0x1.9eb0fccefe06fp-19, -0x1.95b9ef431726cp-19, -0x1.8cbd90791f5e4p-19, -0x1.83bc2b1facd66p-19, -0x1.7ab609618a9fdp-19, -0x1.71ab74e5276e4p-19, -0x1.689cb6c8333ap-19, -0x1.5f8a179fea30bp-19, -0x1.5673df75bd3d2p-19, -0x1.4d5a55c685f6ap-19, -0x1.443dc1805527ap-19, -0x1.3b1e69007ddcp-19, -0x1.31fc9214130c7p-19, -0x1.28d881f398d9p-19, -0x1.1fb27d4335894p-19, -0x1.168ac810ad9d9p-19, -0x1.0d61a5d372384p-19, -0x1.0437596995bddp-19, -0x1.f6184a2fb6ca9p-20, -0x1.e3c0951043efap-20, -0x1.d168158f9d205p-20, -0x1.bf0f4c9093647p-20, -0x1.acb6b9b8b3e75p-20, -0x1.9a5edb70edfd3p-20, -0x1.88082ee13cdf8p-20, -0x1.75b32ff19406bp-20, -0x1.6360594886706p-20, -0x1.51102447581fbp-20, -0x1.3ec3090b343ffp-20, -0x1.2c797e6a9ad31p-20, -0x1.1a33f9f3f7d47p-20, -0x1.07f2efed4a378p-20, -0x1.eb6da6a66a44ap-21, -0x1.c7002bb41695bp-21, -0x1.a29e4fcffeb28p-21, -0x1.7e48f132dd47fp-21, -0x1.5a00eb7a98c43p-21, -0x1.35c717af1ccdfp-21, -0x1.119c4c3b12ea8p-21, -0x1.db02b9d7b8fdep-22, -0x1.92ee35ec3d249p-22, -0x1.4afca9e58e0f8p-22, -0x1.032fadb94f747p-22, -0x1.7711a8488f54cp-23, -0x1.d026aaad0c128p-24, -0x1.659dccfe1cce8p-25, 0x1.a777befea1519p-26, 0x1.85d9e0972d31bp-24, 0x1.508f84b82cc89p-23, 0x1.ddd3ce3a4707dp-23, 0x1.355b782935426p-22, 0x1.7b9b0c717b36cp-22, 0x1.c1a740171ca0ap-22, 0x1.03bf5a33eb2a7p-21, 0x1.269007ededbe3p-21, 0x1.4944ff06cbdd5p-21, 0x1.6bdd97de2452ep-21, 0x1.8e592d679a4p-21, 0x1.b0b71d22d1997p-21, 0x1.d2f6c71c45d46p-21, 0x1.f5178deac5a5bp-21, 0x1.0b8c6b5861237p-20, 0x1.1c7d048a5de4cp-20, 0x1.2d5d47a0ab9ccp-20, 0x1.3e2ceaf29d178p-20, 0x1.4eeba617f3d72p-20, 0x1.5f9931e671273p-20, 0x1.70354870a496ep-20, 0x1.80bfa50680b29p-20, 0x1.9138043185e17p-20, 0x1.a19e23b4ba532p-20, 0x1.b1f1c28b8aec1p-20, 0x1.c232a0e96133dp-20, 0x1.d2608033dd497p-20, 0x1.e27b2305524d3p-20, 0x1.f2824d28cfce4p-20, 0x1.013ae1ce44266p-19, 0x1.092aa645475b8p-19, 0x1.111057a5a688p-19, 0x1.18ebda309433dp-19, 0x1.20bd12bc27104p-19, 0x1.2883e6b380976p-19, 0x1.30403c13d5458p-19, 0x1.37f1f96c561dfp-19, 0x1.3f9905dd559cep-19, 0x1.4735491838ba4p-19, 0x1.4ec6ab5ceef8ep-19, 0x1.564d157a54f96p-19, 0x1.5dc870ccf8005p-19, 0x1.6538a73d31286p-19, 0x1.6c9da33ebbe43p-19, 0x1.73f74fd0b0ce9p-19, 0x1.7b45987abada3p-19, 0x1.8288694e6c029p-19, 0x1.89bfaee33f3abp-19, 0x1.90eb565889e9ep-19, 0x1.980b4d51691a3p-19, 0x1.9f1f81f72f78fp-19, 0x1.a627e2f5da90cp-19, 0x1.ad245f7c4c6edp-19, 0x1.b414e738c2981p-19, 0x1.baf96a5c34ff5p-19, 0x1.c1d1d9952cc58p-19, 0x1.c89e261101db4p-19, 0x1.cf5e4179620cap-19, 0x1.d6121df4559d7p-19, 0x1.dcb9ae2394144p-19, 0x1.e354e5210be66p-19, 0x1.e9e3b680b5fafp-19, 0x1.f066164c2045ep-19, 0x1.f6dbf9061cdf5p-19, 0x1.fd4553a4b47ccp-19, 0x1.01d10dc9a4767p-18, 0x1.04f92357d1d46p-18, 0x1.081ae5a50a7a6p-18, 0x1.0b365011ed019p-18, 0x1.0e4b5e372debap-18, 0x1.115a0be493132p-18, 0x1.14625520c8b9ap-18, 0x1.176436288b15ap-18, 0x1.1a5fab6e89ca3p-18, 0x1.1d54b19aa8841p-18, 0x1.2043458952098p-18, 0x1.232b644a833bap-18, 0x1.260d0b2214df8p-18, 0x1.28e83787162cbp-18, 0x1.2bbce7223a6e8p-18, 0x1.2e8b17ce96621p-18, 0x1.3152c797ca1bep-18, 0x1.3413f4bb27064p-18, 0x1.36ce9da4e4c83p-18, 0x1.3982c0f1e6f1bp-18, 0x1.3c305d6d66e83p-18, 0x1.3ed77211779edp-18, 0x1.4177fe05b98cp-18, 0x1.4412009f5203fp-18, 0x1.46a579605198p-18, 0x1.493267f71a2c6p-18, 0x1.4bb8cc3d7cff8p-18, 0x1.4e38a6389af4ep-18, 0x1.50b1f61845c51p-18, 0x1.5324bc364a678p-18, 0x1.5590f91656d7fp-18, 0x1.57f6ad6483f73p-18, 0x1.5a55d9f602c4ap-18, 0x1.5cae7fc774abep-18, 0x1.5f009ffd7ecdap-18, 0x1.614c3be2f1033p-18, 0x1.639154e9715dfp-18, 0x1.65cfeca83391fp-18, 0x1.680804dc61036p-18, 0x1.6a399f66cd127p-18, 0x1.6c64be4da1b5p-18, 0x1.6e8963ba02c14p-18, 0x1.70a791f911562p-18, 0x1.72bf4b799e231p-18, 0x1.74d092cdf6498p-18, 0x1.76db6aa8d43d7p-18, 0x1.78dfd5df52fcdp-18, 0x1.7addd76643879p-18, 0x1.7cd5725372dd1p-18, 0x1.7ec6a9dbba3a2p-18, 0x1.80b18153a9719p-18, 0x1.8295fc2e44642p-18, 0x1.84741dfd108cdp-18, 0x1.864bea6ebedf8p-18, 0x1.881d655006d75p-18, 0x1.89e89289bde96p-18, 0x1.8bad7621accf7p-18, 0x1.8d6c1438d2ca5p-18, 0x1.8f24710c090f7p-18, 0x1.90d690f2844d4p-18, 0x1.9282785ede213p-18, 0x1.94282bdc71c49p-18, 0x1.95c7b0110c1bap-18, 0x1.976109badf6abp-18, 0x1.98f43db1b851ep-18, 0x1.9a8150e42bc8ep-18, 0x1.9c084859b66f3p-18, 0x1.9d8929306473fp-18, 0x1.9f03f89dac0fep-18, 0x1.a078bbecacbfcp-18, 0x1.a1e7787f3e338p-18, 0x1.a35033cc2c12cp-18, 0x1.a4b2f35ffbb68p-18, 0x1.a60fbcdb36571p-18, 0x1.a76695f31f34fp-18, 0x1.a8b78470ad99p-18, 0x1.aa028e3046c9bp-18, 0x1.ab47b921948a2p-18, 0x1.ac870b4661fd1p-18, 0x1.adc08ab367b62p-18, 0x1.aef43d8e72bd7p-18, 0x1.b0222a0f7b476p-18, 0x1.b14a567ef45c9p-18, 0x1.b26cc9363c8cp-18, 0x1.b389889eeaa41p-18, 0x1.b4a09b3280299p-18, 0x1.b5b20779f60dp-18, 0x1.b6bdd40d969ebp-18, 0x1.b7c407941fe89p-18, 0x1.b8c4a8c2f94aap-18, 0x1.b9bfbe5d81eep-18, 0x1.bab54f34ec73fp-18, 0x1.bba5622742c22p-18, 0x1.bc8ffe2015d4dp-18, 0x1.bd752a17482f9p-18, 0x1.be54ed112a662p-18, 0x1.bf2f4e1d9c055p-18, 0x1.c0045458b22cp-18, 0x1.c0d406e93fb0cp-18, 0x1.c19e6d0130805p-18, 0x1.c2638ddcdbd04p-18, 0x1.c32370c353f5bp-18, 0x1.c3de1d04fcf4ap-18, 0x1.c49399fc543e2p-18, 0x1.c543ef0ce04fdp-18, 0x1.c5ef23a35145cp-18, 0x1.c6953f34e37aap-18, 0x1.c736493f0b148p-18, 0x1.c7d24947f4dbp-18, 0x1.c86946dc9ac93p-18, 0x1.c8fb49927f0fap-18, 0x1.c98859052e3a3p-18, 0x1.ca107cd831896p-18, 0x1.ca93bcb4dbbedp-18, 0x1.cb12204b544ddp-18, 0x1.cb8baf5166b24p-18, 0x1.cc00718312d83p-18, 0x1.cc706ea15e2d9p-18, 0x1.ccdbae72f0b81p-18, 0x1.cd4238c302f9ep-18, 0x1.cda41561d9e1ep-18, 0x1.ce014c23f7453p-18, 0x1.ce59e4e200382p-18, 0x1.ceade778ace9fp-18, 0x1.cefd5bc82819bp-18, 0x1.cf4849b43a087p-18, 0x1.cf8eb923c1debp-18, 0x1.cfd0b20085401p-18, 0x1.d00e3c37140c9p-18, 0x1.d0475fb65437fp-18, 0x1.d07c246f3ea1bp-18, 0x1.d0ac92557821cp-18, 0x1.d0d8b15d40eb3p-18, 0x1.d100897dd21edp-18, 0x1.d12422ae2b81cp-18, 0x1.d14384e7f55c3p-18, 0x1.d15eb824343f5p-18, 0x1.d175c45e1a2c5p-18, 0x1.d188b18fe8783p-18, 0x1.d19787b56b585p-18, 0x1.d1a24ec95c9c9p-18, 0x1.d1a90ec749ee8p-18, 0x1.d1abcfa98edddp-18, 0x1.d1aa996ac25a3p-18, 0x1.d1a574042f48fp-18, 0x1.d19c676ebb64p-18, 0x1.d18f7ba17f84p-18, 0x1.d17eb8931ee87p-18, 0x1.d16a26381601fp-18, 0x1.d151cc83bf4b6p-18, 0x1.d135b3674eba8p-18, 0x1.d115e2d1f8f31p-18, 0x1.d0f262b15c312p-18, 0x1.d0cb3aefb5226p-18, 0x1.d0a073762442ap-18, 0x1.d0721429a7186p-18, 0x1.d04024edd32a2p-18, 0x1.d00aada21d0d8p-18, 0x1.cfd1b623c66e5p-18, 0x1.cf95464c0c903p-18, 0x1.cf5565f176a8p-18, 0x1.cf121ce653eaap-18, 0x1.cecb72f9c90c1p-18, 0x1.ce816ff6b7cc8p-18, 0x1.ce341ba44e38bp-18, 0x1.cde37dc57e9e3p-18, 0x1.cd8f9e18d24b3p-18, 0x1.cd388458e9d14p-18, 0x1.ccde383b1cce1p-18, 0x1.cc80c171019f9p-18, 0x1.cc2027a689741p-18, 0x1.cbbc72838720dp-18, 0x1.cb55a9aa25699p-18, 0x1.caebd4b7f83e1p-18, 0x1.ca7efb44d2691p-18, 0x1.ca0f24e3ac259p-18, 0x1.c99c592179aadp-18, 0x1.c9269f861f03ep-18, 0x1.c8adff93554efp-18, 0x1.c83280c578d2cp-18, 0x1.c7b42a92b28d2p-18, 0x1.c733046b297cbp-18, 0x1.c6af15b949d2p-18, 0x1.c62865e09cec9p-18, 0x1.c59efc3f4d064p-18, 0x1.c512e02c108cdp-18, 0x1.c48418f815dacp-18, 0x1.c3f2aded708eap-18, 0x1.c35ea64f993adp-18, 0x1.c2c8095ba6c13p-18, 0x1.c22ede470b37bp-18, 0x1.c1932c419ab94p-18, 0x1.c0f4fa72ac68bp-18, 0x1.c0544ffbe214bp-18, 0x1.bfb133f6c3baep-18, 0x1.bf0bad7626aa2p-18, 0x1.be63c3856cf8bp-18, 0x1.bdb97d2873efap-18, 0x1.bd0ce15c1293p-18, 0x1.bc5df7152ddcp-18, 0x1.bbacc54175cdap-18, 0x1.baf952c6c3c1dp-18, 0x1.ba43a6836a8a6p-18, 0x1.b98bc74dc6081p-18, 0x1.b8d1bbf4ade1dp-18, 0x1.b8158b3eb7492p-18, 0x1.b7573beb18f8p-18, 0x1.b696d4b05fb97p-18, 0x1.b5d45c3ddde83p-18, 0x1.b50fd93a0201p-18, 0x1.b4495243d4d43p-18, 0x1.b380cdf1a1162p-18, 0x1.b2b652d1e6a3ap-18, 0x1.b1e9e76a96cc6p-18, 0x1.b11b923978575p-18, 0x1.b04b59b40d915p-18, 0x1.af7944471bd2ep-18, 0x1.aea5585790a41p-18, 0x1.adcf9c4117b8cp-18, 0x1.acf81657ec6e1p-18, 0x1.ac1ecce674b9bp-18, 0x1.ab43c62ff32ffp-18, 0x1.aa67086daa0b6p-18, 0x1.a98899d1741f7p-18, 0x1.a8a880838de57p-18, 0x1.a7c6c2a41568cp-18, 0x1.a6e3664a56ff6p-18, 0x1.a5fe71849a45bp-18, 0x1.a517ea58f1116p-18, 0x1.a42fd6c3f0e0ep-18, 0x1.a3463cba081f1p-18, 0x1.a25b22265cc15p-18, 0x1.a16e8ceb7cf6cp-18, 0x1.a08082e2f5169p-18, 0x1.9f9109dd82ee8p-18, 0x1.9ea027a2faf41p-18, 0x1.9dade1f24dbfp-18, 0x1.9cba3e8150682p-18, 0x1.9bc542fd3879ep-18, 0x1.9acef509e986p-18, 0x1.99d75a42c0ed2p-18, 0x1.98de783992c02p-18, 0x1.97e45477ee02ap-18, 0x1.96e8f47d7abbbp-18, 0x1.95ec5dc1fe785p-18, 0x1.94ee95b2f4ebep-18, 0x1.93efa1b645b5ep-18, 0x1.92ef872756fb7p-18, 0x1.91ee4b5a00914p-18, 0x1.90ebf397a8f5dp-18, 0x1.8fe885221fb1ap-18, 0x1.8ee40530c9e1fp-18, 0x1.8dde78f35c9a6p-18, 0x1.8cd7e58f40c71p-18, 0x1.8bd050220c6a3p-18, 0x1.8ac7bdbf52947p-18, 0x1.89be33725f447p-18, 0x1.88b3b63d06be3p-18, 0x1.87a84b184f994p-18, 0x1.869bf6f455ee6p-18, 0x1.858ebeb7e879fp-18, 0x1.8480a74158234p-18, 0x1.8371b5656751ap-18, 0x1.8261edf084623p-18, 0x1.815155a5978dep-18, 0x1.803ff13ef6c1ap-18, 0x1.7f2dc56de5ee3p-18, 0x1.7e1ad6daabc96p-18, 0x1.7d072a24dfe9fp-18, 0x1.7bf2c3e2f24cap-18, 0x1.7adda8a2b0344p-18, 0x1.79c7dce8d6ec3p-18, 0x1.78b1653171752p-18, 0x1.779a45ef8b466p-18, 0x1.7682838d92037p-18, 0x1.756a226cef737p-18, 0x1.745126e681fc4p-18, }}, 
      {{-0x1.47d1023852e19p-8, -0x1.4569327929ab9p-7, -0x1.e2a8ef6899dp-7, -0x1.3d45e0fa72bdep-6, -0x1.864ff81a9dfacp-6, -0x1.cc7921ad003d8p-6, -0x1.07f7f6bf19a83p-5, -0x1.287bd5be228fap-5, -0x1.47ed03537a4c6p-5, -0x1.666ea89eceedep-5, -0x1.841f49ddfc624p-5, -0x1.a11730f1cd6b7p-5, -0x1.bd67d11de3279p-5, -0x1.d91bd49a0ae2ep-5, -0x1.f4379b4cd84f8p-5, -0x1.075d014d8e9c3p-4, -0x1.144eac9ad982ap-4, -0x1.20ec346ad9f5cp-4, -0x1.2d2fc24006a85p-4, -0x1.3912c6b0d2335p-4, -0x1.448e71a88a5c1p-4, -0x1.4f9c1c6a5ecf1p-4, -0x1.5a35a2a2a3fdep-4, -0x1.6455a91b2a1a9p-4, -0x1.6df7d1ce8b84ep-4, -0x1.7718de0f4fb7p-4, -0x1.7fb6c03a323cdp-4, -0x1.87d09ef45eb3p-4, -0x1.8f66cc48f58c4p-4, -0x1.967ab31ae226cp-4, -0x1.9d0ebd58e7147p-4, -0x1.a326353b9d0fp-4, -0x1.a8c52398a3e56p-4, -0x1.adf02d0ca32fcp-4, -0x1.b2ac6f6dc4f76p-4, -0x1.b6ff60a86a02bp-4, -0x1.baeeafdbfdbe5p-4, -0x1.be8029495f234p-4, -0x1.c1b99d6902688p-4, -0x1.c4a0cb4d7dbafp-4, -0x1.c73b4e4fe7ffp-4, -0x1.c98e8ee594d18p-4, -0x1.cb9fb66964618p-4, -0x1.cd73a5952d5d4p-4, -0x1.cf0eed6024b14p-4, -0x1.d075c9f4af461p-4, -0x1.d1ac1f715bb2dp-4, -0x1.d2b5782ccfc54p-4, -0x1.d395043a8c712p-4, -0x1.d44d99f583f93p-4, -0x1.d4e1b75d0642ap-4, -0x1.d55384185072ap-4, -0x1.d5a4d3fc20f6bp-4, -0x1.d5d729f49e626p-4, -0x1.d5ebbb3ba8cf5p-4, -0x1.d5e372c8d153p-4, -0x1.d5bef4ecb52a1p-4, -0x1.d57ea30cb50b6p-4, -0x1.d5229f76f752fp-4, -0x1.d4aad1488778bp-4, -0x1.d416e8611b56dp-4, -0x1.d3666160d10fap-4, -0x1.d29889ace4cd9p-4, -0x1.d1ac8378c8e38p-4, -0x1.d0a149d0d611cp-4, -0x1.cf75b4a3f92f8p-4, -0x1.ce287cc970cc1p-4, -0x1.ccb83fff61b54p-4, -0x1.cb2384def4336p-4, -0x1.c968bec250512p-4, -0x1.c7865198c3353p-4, -0x1.c57a95a512f6bp-4, -0x1.c343db224226ep-4, -0x1.c0e06dcac4f47p-4, -0x1.be4e983e78f7bp-4, -0x1.bb8ca743e0363p-4, -0x1.b898ece1415a6p-4, -0x1.b571c34ac4f71p-4, -0x1.b2158fa2f89f4p-4, -0x1.ae82c48b5febcp-4, -0x1.aab7e4836b773p-4, -0x1.a6b3841460dafp-4, -0x1.a2744bc950bd6p-4, -0x1.9df8f9f28aafep-4, -0x1.994064349cc1ap-4, -0x1.944978e30c2b7p-4, -0x1.8f134027ad029p-4, -0x1.899cdcf789c7cp-4, -0x1.83e58dd6d2c5cp-4, -0x1.7decad6d8e47ep-4, -0x1.77b1b2eef2e5ep-4, -0x1.71343255a5871p-4, -0x1.6a73dc772b9fap-4, -0x1.63707ef1255aap-4, -0x1.5c2a03f2e7a0ep-4, -0x1.54a071e62cdfap-4, -0x1.4cd3eaf9a4299p-4, -0x1.44c4ac901ca07p-4, -0x1.3c730e972848dp-4, -0x1.33df82c7d37bfp-4, -0x1.2b0a93d44f185p-4, -0x1.21f4e484f719ap-4, -0x1.189f2ec76e981p-4, -0x1.0f0a42b21750cp-4, -0x1.0537057e4c9c8p-4, -0x1.f64ce0f70284fp-5, -0x1.e1b31ffaafa97p-5, -0x1.cca3048d2aa73p-5, -0x1.b71eece5765fcp-5, -0x1.a12956bfbe736p-5, -0x1.8ac4dd3494a22p-5, -0x1.73f43696539fcp-5, -0x1.5cba32570971fp-5, -0x1.4519b6f924be6p-5, -0x1.2d15c00ca70a8p-5, -0x1.14b15c3a7fad2p-5, -0x1.f7df56bee7049p-6, -0x1.c5a7b96f47a44p-6, -0x1.92c25a37615f6p-6, -0x1.5f35caa042ea9p-6, -0x1.2b08b0cf4efc2p-6, -0x1.ec8388e1d0745p-7, -0x1.81cf97942ee3dp-7, -0x1.160331e19a7b2p-7, -0x1.52581caba46c6p-8, -0x1.dabf8736b5a24p-10, 0x1.9b5acdac166d5p-10, 0x1.462000d39ac1ap-8, 0x1.138831da6a297p-7, 0x1.84c6203856762p-7, 0x1.f6bc04d19ae26p-7, 0x1.34ae11b06481cp-6, 0x1.6e4c668f48cf8p-6, 0x1.a83231cc5f131p-6, 0x1.e258ada869136p-6, 0x1.0e5c8f896a5acp-5, 0x1.2ba66b62d5b0fp-5, 0x1.49069924ee7f1p-5, 0x1.6679ce72c7687p-5, 0x1.83fcc83b0824ep-5, 0x1.a18c4b1b321eep-5, 0x1.bf2523ba48101p-5, 0x1.dcc4271b1c2a6p-5, 0x1.fa6632e7470f1p-5, 0x1.0c0416d992efp-4, 0x1.1ad3839dddfcap-4, 0x1.299fdc4f63795p-4, 0x1.3867a246e3f48p-4, 0x1.47295bbe326cap-4, 0x1.55e393e5588c1p-4, 0x1.6494daf5df60dp-4, 0x1.733bc64480d28p-4, 0x1.81d6f051552fcp-4, 0x1.9064f8d6d9894p-4, 0x1.9ee484d7c2e3dp-4, 0x1.ad543eabf00f8p-4, 0x1.bbb2d60c89cbfp-4, 0x1.c9ff001f64663p-4, 0x1.d8377781db1cbp-4, 0x1.e65afc531b6e5p-4, 0x1.f468543e1bf87p-4, 0x1.012f254195c4dp-3, 0x1.081dd8009dcc3p-3, 0x1.0effad9f7855cp-3, 0x1.15d41439c2832p-3, 0x1.1c9a7cc7bfac1p-3, 0x1.23525b22a15cep-3, 0x1.29fb2608c4c67p-3, 0x1.30945721dbf33p-3, 0x1.371d6b0312964p-3, 0x1.3d95e13315d35p-3, 0x1.43fd3c2e214e4p-3, 0x1.4a530169e90abp-3, 0x1.5096b9597d23ep-3, 0x1.56c7ef7113214p-3, 0x1.5ce63229b94cfp-3, 0x1.62f11304eec65p-3, 0x1.68e8269022f2fp-3, 0x1.6ecb04680813ep-3, 0x1.7499473bca95ep-3, 0x1.7a528cd01d486p-3, 0x1.7ff6760213709p-3, 0x1.8584a6c9cee1cp-3, 0x1.8afcc63cf94f5p-3, 0x1.905e7e9100ec7p-3, 0x1.95a97d1d1bdffp-3, 0x1.9add725c063a4p-3, 0x1.9ffa11ed81781p-3, 0x1.a4ff12978cc51p-3, 0x1.a9ec2e4747ec9p-3, 0x1.aec1221193703p-3, 0x1.b37dae335c2d2p-3, 0x1.b82196118d49ap-3, 0x1.bcaca038b2f7ap-3, 0x1.c11e965c3d575p-3, 0x1.c57745556d259p-3, 0x1.c9b67d21e089fp-3, 0x1.cddc10e1c0e5ap-3, 0x1.d1e7d6d58fep-3, 0x1.d5d9a85b9492cp-3, 0x1.d9b161ece0eb3p-3, 0x1.dd6ee319faaeep-3, 0x1.e1120e871a122p-3, 0x1.e49ac9e8086dcp-3, 0x1.e808fdfb92c36p-3, 0x1.eb5c9686a60e7p-3, 0x1.ee95824ef4d5ep-3, 0x1.f1b3b315484c3p-3, 0x1.f4b71d8f68c38p-3, 0x1.f79fb961a018ap-3, 0x1.fa6d8117e5ea5p-3, 0x1.fd20721ea161ep-3, 0x1.ffb88cbb1305dp-3, 0x1.011aea01b0a7bp-2, 0x1.024c26eb24019p-2, 0x1.0370016938aa9p-2, 0x1.04867f26bcde2p-2, 0x1.058fa7254d764p-2, 0x1.068b81b88596bp-2, 0x1.077a1881025c7p-2, 0x1.085b7667435ecp-2, 0x1.092fa79665cd5p-2, 0x1.09f6b976b8db2p-2, 0x1.0ab0baa833d02p-2, 0x1.0b5dbafcc6486p-2, 0x1.0bfdcb728f61bp-2, 0x1.0c90fe2def163p-2, 0x1.0d176673820a7p-2, 0x1.0d9118a1ff025p-2, 0x1.0dfe2a2bf9823p-2, 0x1.0e5eb19191167p-2, 0x1.0eb2c65a05559p-2, 0x1.0efa810d3a0e1p-2, 0x1.0f35fb2d25054p-2, 0x1.0f654f2f2a8fep-2, 0x1.0f8898756cf8bp-2, 0x1.0f9ff3480a4f1p-2, 0x1.0fab7cce4fa84p-2, 0x1.0fab5307e0f0ap-2, 0x1.0f9f94c5d5be7p-2, 0x1.0f8861a3d06cfp-2, 0x1.0f65da010d4cbp-2, 0x1.0f381ef96e4f6p-2, 0x1.0eff525e808b6p-2, 0x1.0ebb96b083814p-2, 0x1.0e6d0f176bfbfp-2, 0x1.0e13df5bea757p-2, 0x1.0db02be0748f5p-2, 0x1.0d42199a4d39dp-2, 0x1.0cc9ce0a992b8p-2, 0x1.0c476f377358bp-2, 0x1.0bbb23a50cda3p-2, 0x1.0b25124ed2fcap-2, 0x1.0a8562a0a2f1ap-2, 0x1.09dc3c7003392p-2, 0x1.0929c7f56f831p-2, 0x1.086e2dc5ad5d1p-2, 0x1.07a996cb3277ep-2, 0x1.06dc2c3f973cbp-2, 0x1.060617a51e7fdp-2, 0x1.052782c049125p-2, 0x1.044097918113fp-2, 0x1.0351804ed58afp-2, 0x1.025a675dcb183p-2, 0x1.015b774d40756p-2, 0x1.0054dacf69d2cp-2, 0x1.fe8d7967c706cp-3, 0x1.fc628fc3b0e86p-3, 0x1.fa294ea48b546p-3, 0x1.f7e20c149f91p-3, 0x1.f58d1e2b7244cp-3, 0x1.f32adb02d106ap-3, 0x1.f0bb98ac256c4p-3, 0x1.ee3fad25f16fp-3, 0x1.ebb76e5185dfp-3, 0x1.e92331e8ed9d5p-3, 0x1.e6834d7517498p-3, 0x1.e3d816442a092p-3, 0x1.e121e16023515p-3, 0x1.de6103859c456p-3, 0x1.db95d11adb9bcp-3, 0x1.d8c09e270f18cp-3, 0x1.d5e1be49cfccep-3, 0x1.d2f984b2d7958p-3, 0x1.d0084419f26e3p-3, 0x1.cd0e4eb72d53cp-3, 0x1.ca0bf63b42baap-3, 0x1.c7018bc83bccp-3, 0x1.c3ef5fea52b9bp-3, 0x1.c0d5c2910d5e2p-3, 0x1.bdb5030898f37p-3, 0x1.ba8d6ff3570cbp-3, 0x1.b75f5743ac875p-3, 0x1.b42b06360c4d7p-3, 0x1.b0f0c94b36de2p-3, 0x1.adb0ec42b92b6p-3, 0x1.aa6bba15a2e1fp-3, 0x1.a7217cf175de3p-3, 0x1.a3d27e33508fdp-3, 0x1.a07f06634e058p-3, 0x1.9d275d3022aa3p-3, 0x1.99cbc96ae9632p-3, 0x1.966c91032f21ap-3, 0x1.9309f90331796p-3, 0x1.8fa4458c4d97dp-3, 0x1.8c3bb9d3b3d6fp-3, 0x1.88d0981f3a1a5p-3, 0x1.856321c274899p-3, 0x1.81f3971bf6c1cp-3, 0x1.7e823792cb8fdp-3, 0x1.7b0f41941b495p-3, 0x1.779af2910448ap-3, 0x1.742586fca74ecp-3, 0x1.70af3a4a57f56p-3, 0x1.6d3846ec08f17p-3, 0x1.69c0e650d9c23p-3, 0x1.664950e3d845fp-3, 0x1.62d1be0aec87fp-3, 0x1.5f5a6425ea604p-3, 0x1.5be3788dd5374p-3, 0x1.586d2f9445364p-3, 0x1.54f7bc82f7913p-3, 0x1.5183519b8828bp-3, 0x1.4e10201749138p-3, 0x1.4a9e58274e0ddp-3, 0x1.472e28f48a619p-3, 0x1.43bfc0a01e4e3p-3, 0x1.40534c43c880cp-3, 0x1.3ce8f7f26a052p-3, 0x1.3980eeb8bd3b4p-3, 0x1.361b5a9e2026ap-3, 0x1.32b864a5810bbp-3, 0x1.2f5834ce6b98ep-3, 0x1.2bfaf2162dcfbp-3, 0x1.28a0c27919134p-3, 0x1.2549caf3e8287p-3, 0x1.21f62f852d212p-3, 0x1.1ea6132eec22ep-3, 0x1.1b5997f83efap-3, 0x1.1810deef1937fp-3, 0x1.14cc082a1ecaap-3, 0x1.118b32ca9253cp-3, 0x1.0e4e7cfe5436p-3, 0x1.0b160401fc066p-3, 0x1.07e1e423000fdp-3, 0x1.04b238c1f1125p-3, 0x1.01871c54c4f5fp-3, 0x1.fcc150d269af7p-4, 0x1.f67deb4e5b1f4p-4, 0x1.f04437a689384p-4, 0x1.ea1463a294299p-4, 0x1.e3ee9b4db377dp-4, 0x1.ddd308fc079f3p-4, 0x1.d7c1d54ff4824p-4, 0x1.d1bb273f9b82ap-4, 0x1.cbbf241a6ab64p-4, 0x1.c5cdef8eb3261p-4, 0x1.bfe7abaf623bep-4, 0x1.ba0c78f9c5be5p-4, 0x1.b43c765b5513fp-4, 0x1.ae77c137986e7p-4, 0x1.a8be756e16ff3p-4, 0x1.a310ad604a734p-4, 0x1.9d6e81f7a4067p-4, 0x1.97d80aab9d8d3p-4, 0x1.924d5d87cc139p-4, 0x1.8cce8f31fa3a4p-4, 0x1.875bb2f04a505p-4, 0x1.81f4daaf5db51p-4, 0x1.7c9a170881802p-4, 0x1.774b7747d7ff6p-4, 0x1.720909728b2d7p-4, 0x1.6cd2da4cf797fp-4, 0x1.67a8f560e5586p-4, 0x1.628b6503aa2e3p-4, 0x1.5d7a325c6196ep-4, 0x1.5875656a10504p-4, 0x1.537d0509cc41p-4, 0x1.4e9116fce0286p-4, 0x1.49b19feee627cp-4, 0x1.44dea37be1113p-4, 0x1.401824364a199p-4, 0x1.3b5e23ad1b5fcp-4, 0x1.36b0a271d22fdp-4, 0x1.320fa01e6521dp-4, 0x1.2d7b1b5b34114p-4, 0x1.28f311e4ec1d4p-4, 0x1.2477809266623p-4, 0x1.2008635a71f11p-4, 0x1.1ba5b5599ed4bp-4, 0x1.174f70d7ef953p-4, 0x1.13058f4e8a06dp-4, 0x1.0ec8096d52fcep-4, 0x1.0a96d72083201p-4, 0x1.0671ef962702ap-4, 0x1.02594943963b9p-4, 0x1.fc99b3d5b883ep-5, 0x1.f4992d4019c09p-5, 0x1.ecb0e79d2287fp-5, 0x1.e4e0ca7cb661dp-5, 0x1.dd28bc322e4cfp-5, 0x1.d588a1de7a2fdp-5, 0x1.ce005f7a3b9a2p-5, 0x1.c68fd7dfba2cp-5, 0x1.bf36ecd4ab4e4p-5, 0x1.b7f57f13e095cp-5, 0x1.b0cb6e56d3ab4p-5, 0x1.a9b8995f13976p-5, 0x1.a2bcddff81263p-5, 0x1.9bd8192574127p-5, 0x1.950a26e1bb98ep-5, 0x1.8e52e27172b72p-5, 0x1.87b22646be3f3p-5, 0x1.8127cc11594f8p-5, 0x1.7ab3acc7043c9p-5, 0x1.7455a0abd159dp-5, 0x1.6e0d7f5a46216p-5, 0x1.67db1fcb5cb17p-5, 0x1.61be585e6382bp-5, 0x1.5bb6fee0ae534p-5, 0x1.55c4e895308cep-5, 0x1.4fe7ea3be5b4fp-5, 0x1.4a1fd819202d6p-5, 0x1.446c85fcaa37ep-5, 0x1.3ecdc748ceb2cp-5, 0x1.39436ef92b4bap-5, 0x1.33cd4fa976bcep-5, 0x1.2e6b3b9c0b39fp-5, 0x1.291d04c06106bp-5, 0x1.23e27cb95339ep-5, 0x1.1ebb74e356c6bp-5, 0x1.19a7be5a76c42p-5, 0x1.14a72a003f1d3p-5, 0x1.0fb98881808cap-5, 0x1.0adeaa5bebc8dp-5, 0x1.06165fe392a5dp-5, 0x1.016079484175ep-5, 0x1.f9798d3581ad3p-6, 0x1.f0562fa3c1366p-6, 0x1.e756799f056d1p-6, 0x1.de7a0acac0f61p-6, 0x1.d5c082b39f013p-6, 0x1.cd2980d8a7bfep-6, 0x1.c4b4a4b42f611p-6, 0x1.bc618dc48cc1ep-6, 0x1.b42fdb947fe59p-6, 0x1.ac1f2dc3753e4p-6, 0x1.a42f240d83ffbp-6, 0x1.9c5f5e531c398p-6, 0x1.94af7ca0905a2p-6, 0x1.8d1f1f356d6f5p-6, 0x1.85ade68b6f7abp-6, 0x1.7e5b735d78965p-6, 0x1.772766ae1dd83p-6, 0x1.701161ce1105bp-6, 0x1.6919066261779p-6, 0x1.623df66a69f43p-6, 0x1.5b7fd445a5e96p-6, 0x1.54de42b94a214p-6, 0x1.4e58e4f59935bp-6, 0x1.47ef5e9b28884p-6, 0x1.41a153bfd669fp-6, 0x1.3b6e68f398271p-6, 0x1.3556434522131p-6, 0x1.2f5888465c361p-6, 0x1.2974de1099c15p-6, 0x1.23aaeb48c1099p-6, 0x1.1dfa5723315a9p-6, 0x1.1862c9677c76ap-6, 0x1.12e3ea740d15bp-6, 0x1.0d7d63418218fp-6, 0x1.082edd65fbac2p-6, 0x1.02f803183cc53p-6, 0x1.fbb0fe653123bp-7, 0x1.f19ffa6b6887cp-7, 0x1.e7bc5296b0b19p-7, 0x1.de056091866ecp-7, 0x1.d47a7f625e581p-7, 0x1.cb1b0b7003ae6p-7, 0x1.c1e66285c054p-7, 0x1.b8dbe3d77112fp-7, 0x1.affaf005142ebp-7, 0x1.a742e91e63392p-7, 0x1.9eb332a5da894p-7, 0x1.964b3193bf495p-7, 0x1.8e0a4c58f4433p-7, 0x1.85efeae15f7e3p-7, 0x1.7dfb76961bc99p-7, 0x1.762c5a5fbdfbdp-7, 0x1.6e8202a807d36p-7, 0x1.66fbdd5ba3497p-7, 0x1.5f9959eb7727dp-7, 0x1.5859e94e219ep-7, 0x1.513cfe00c4535p-7, 0x1.4a420c081c782p-7, 0x1.436888f11ac4ap-7, 0x1.3cafebd174ff2p-7, 0x1.3617ad47ffa2p-7, 0x1.2f9f477ce964p-7, 0x1.29463621be751p-7, 0x1.230bf671430e5p-7, 0x1.1cf0072f4c9a7p-7, 0x1.16f1e8a83abdfp-7, 0x1.11111cb08c853p-7, 0x1.0b4d26a403b78p-7, 0x1.05a58b6501297p-7, 0x1.0019d15b93176p-7, 0x1.f55300e87f0ccp-8, 0x1.eaa8443dfa2cp-8, 0x1.e032829bb0bb5p-8, 0x1.d5f0d4e724802p-8, 0x1.cbe2570431e6cp-8, 0x1.c20627d1e67c9p-8, 0x1.b85b6926f76ecp-8, 0x1.aee13fce7205p-8, 0x1.a596d3838bc5fp-8, 0x1.9c7b4eedf57fp-8, 0x1.938ddf9dc9cefp-8, 0x1.8acdb606d8275p-8, 0x1.823a057cc7b27p-8, 0x1.79d2042e160ccp-8, 0x1.7194eb1f82a56p-8, 0x1.6981f6274b641p-8, 0x1.619863e7efb75p-8, 0x1.59d775cb54759p-8, 0x1.523e6ffd6e6dbp-8, 0x1.4acc9966e82fp-8, 0x1.43813ba7ca11p-8, 0x1.3c5ba311ec309p-8, 0x1.355b1ea32f012p-8, 0x1.2e7effffe6d0bp-8, 0x1.27c69b6d25842p-8, 0x1.213147cab41cp-8, 0x1.1abe5e8d20c4ep-8, 0x1.146d3bb7d70a5p-8, 0x1.0e3d3dd6e2bf9p-8, 0x1.082dc5f91765fp-8, 0x1.023e37a9639eap-8, 0x1.f8dbf1d26abafp-9, 0x1.ed78e4533b924p-9, 0x1.e2521c8a8bedcp-9, 0x1.d76674f439febp-9, 0x1.ccb4ccc58f2d6p-9, 0x1.c23c07e08c802p-9, 0x1.b7fb0ec7180b3p-9, 0x1.adf0ce8defd57p-9, 0x1.a41c38cfba02ap-9, 0x1.9a7c439ff3c6ep-9, 0x1.910fe97de83bdp-9, 0x1.87d62947c86cdp-9, 0x1.7ece062d2fe45p-9, 0x1.75f687a291297p-9, 0x1.6d4eb953c6202p-9, 0x1.64d5ab173e998p-9, 0x1.5c8a70e087226p-9, 0x1.546c22b3d476ap-9, 0x1.4c79dc9866d86p-9, 0x1.44b2be8bdc177p-9, 0x1.3d15ec752c986p-9, 0x1.35a28e17ab2afp-9, 0x1.2e57cf061f56ap-9, 0x1.2734de95e668cp-9, 0x1.2038efd235b8cp-9, 0x1.1963396f2c82fp-9, 0x1.12b2f5bd70cfcp-9, 0x1.0c27629d13b5p-9, 0x1.05bfc171806ep-9, 0x1.fef6ae28c7facp-10, 0x1.f2b2d7938e1cp-10, 0x1.e6b2966668236p-10, 0x1.daf488877e3cap-10, 0x1.cf7752671c015p-10, 0x1.c4399ee7abeeep-10, 0x1.b93a1f454906ap-10, 0x1.ae778afe24196p-10, 0x1.a3f09fba360ebp-10, 0x1.99a421342b2b9p-10, 0x1.8f90d92164296p-10, 0x1.85b5971b2cecdp-10, 0x1.7c1130873073ep-10, 0x1.72a2808102ddcp-10, 0x1.696867c2fe0e8p-10, 0x1.6061cc906836fp-10, 0x1.578d9a9e46561p-10, 0x1.4eeac2fe3da73p-10, 0x1.46783c07bdf59p-10, 0x1.3e35014300506p-10, 0x1.362013536fff9p-10, 0x1.2e3877e21d9b1p-10, 0x1.267d3988ef48cp-10, 0x1.1eed67bde0bd8p-10, 0x1.178816be3b5c7p-10, 0x1.104c5f7a2aa9cp-10, 0x1.09395f80cc95ep-10, 0x1.024e38ec046d2p-10, 0x1.f7142499afd8ap-11, 0x1.e9d82d301893p-11, 0x1.dce6ea252cd9cp-11, 0x1.d03ec27d6d0c8p-11, 0x1.c3de259287dfcp-11, 0x1.b7c38aedb3fbdp-11, 0x1.abed722308f67p-11, 0x1.a05a62ada0b58p-11, 0x1.9508ebcabe6b9p-11, 0x1.89f7a45791e94p-11, 0x1.7f252aad4b0a2p-11, 0x1.7490247f0795ap-11, 0x1.6a373eb7e560fp-11, 0x1.60192d595aec3p-11, 0x1.5634ab594623cp-11, 0x1.4c887a825d249p-11, 0x1.431363532e9bbp-11, 0x1.39d434de6d9cfp-11, 0x1.30c9c4aba6db8p-11, 0x1.27f2ee981fc54p-11, 0x1.1f4e94b887087p-11, 0x1.16db9f3a802bdp-11, 0x1.0e98fc47a445fp-11, 0x1.06859fe75c2bbp-11, 0x1.fd4107c5c2d1dp-12, 0x1.edd14f5117f5dp-12, 0x1.deba205f342e5p-12, 0x1.cff98fbac81edp-12, 0x1.c18dbcd2dd42bp-12, 0x1.b374d1865394ep-12, 0x1.a5ad01eed0741p-12, 0x1.98348c2da086fp-12, 0x1.8b09b837f8d8cp-12, 0x1.7e2ad7a58b562p-12, 0x1.7196457ebb5cfp-12, 0x1.654a660ba25ccp-12, 0x1.5945a6a52857bp-12, 0x1.4d867d8567cafp-12, 0x1.420b69996442cp-12, 0x1.36d2f253acec2p-12, 0x1.2bdba78043683p-12, 0x1.21242117409e1p-12, 0x1.16aaff126ccdbp-12, 0x1.0c6ee942bdf6ap-12, 0x1.026e8f2632925p-12, 0x1.f1514f7e3230cp-13, 0x1.de37e2d683cafp-13, 0x1.cb8e6378ec95p-13, 0x1.b9526aa383dbbp-13, 0x1.a7819f61a0e05p-13, 0x1.9619b6404f7dcp-13, 0x1.85187105accbp-13, 0x1.747b9e65e58fap-13, 0x1.644119bf5afa8p-13, 0x1.5466cad14137bp-13, 0x1.44eaa57929bdfp-13, 0x1.35caa96d8e317p-13, 0x1.2704e1fd8cbep-13, 0x1.189765ceb8a5bp-13, 0x1.0a80569dcd667p-13, 0x1.f97bc1ff06678p-14, 0x1.de9c784652cd5p-14, 0x1.c45f532dc7864p-14, 0x1.aac0ea18cd7ccp-14, 0x1.91bde83d0835bp-14, 0x1.79530c3078b79p-14, 0x1.617d277ceee86p-14, 0x1.4a391e2d351e2p-14, 0x1.3383e66666036p-14, 0x1.1d5a87fd2a967p-14, 0x1.07ba1c0e6bc33p-14, 0x1.e53f9933c9f29p-15, 0x1.bc11a840ce821p-15, 0x1.93e4fa836f39bp-15, 0x1.6cb444ba7189ap-15, 0x1.467a5a6b33c37p-15, 0x1.21322d2b861c2p-15, 0x1.f9ad97d7c9332p-16, 0x1.b2c6c49713dd9p-16, 0x1.6da66fd1e93cep-16, 0x1.2a435f7f2def7p-16, 0x1.d1291df709254p-17, 0x1.51225b996f68p-17, 0x1.a8c279a0c49a8p-18, 0x1.6b53a7a310507p-19, -0x1.b9313af54b096p-21, -0x1.1dcda79256452p-18, -0x1.fe6c2372f0b09p-18, -0x1.6c902e80a4de9p-17, -0x1.d7043307f0802p-17, -0x1.1f5069171ddddp-16, -0x1.51ba3573eb16p-16, -0x1.82c6851ceb3a3p-16, -0x1.b27c369e08447p-16, -0x1.e0e20184bdc96p-16, -0x1.06ff3ba8e8ef4p-15, -0x1.1cec0231f71cdp-15, -0x1.323a78726b00ep-15, -0x1.46edb0d35d11ap-15, -0x1.5b08ac82cc8d8p-15, -0x1.6e8e5bdd86ca7p-15, -0x1.81819edd665e8p-15, -0x1.93e5457a51735p-15, -0x1.a5bc10148e9c4p-15, -0x1.b708afd494e23p-15, -0x1.c7cdc70c27a1dp-15, -0x1.d80de9945add2p-15, -0x1.e7cb9d2b57c72p-15, -0x1.f70959c979e6dp-15, -0x1.02e4c4ff4ac46p-14, -0x1.0a0745a13fb67p-14, -0x1.10ed57261d3a3p-14, -0x1.17981bb096ad8p-14, -0x1.1e08af53b350dp-14, -0x1.24402837918a2p-14, -0x1.2a3f96c172872p-14, -0x1.300805b729c03p-14, -0x1.359a7a6429badp-14, -0x1.3af7f4bc2ab08p-14, -0x1.40216f7d031f1p-14, -0x1.4517e052003cbp-14, -0x1.49dc37f24275ep-14, -0x1.4e6f6241f5aa4p-14, -0x1.52d246716c9e6p-14, -0x1.5705c71a1b7e2p-14, -0x1.5b0ac25dc0a38p-14, -0x1.5ee21201f8f88p-14, -0x1.628c8b8d66ca5p-14, -0x1.660b00610754bp-14, -0x1.695e3dd5682c7p-14, -0x1.6c870d5279d78p-14, -0x1.6f86346a329cap-14, -0x1.725c74f0111f6p-14, -0x1.750a8d1236a72p-14, -0x1.7791376fe3cd5p-14, -0x1.79f12b305d4b6p-14, -0x1.7c2b1c19e0189p-14, -0x1.7e3fbaa5c1b66p-14, -0x1.802fb416e5aa6p-14, -0x1.81fbb28d19127p-14, -0x1.83a45d199466dp-14, -0x1.852a57d201d95p-14, -0x1.868e43e3a6a75p-14, -0x1.87d0bfa573099p-14, -0x1.88f266aa116b3p-14, -0x1.89f3d1d0dc3e1p-14, -0x1.8ad59757192acp-14, -0x1.8b984ae8d382fp-14, -0x1.8c3c7dafa8811p-14, -0x1.8cc2be63474c8p-14, -0x1.8d2b995822ebep-14, -0x1.8d77988e6b034p-14, -0x1.8da743c00df4cp-14, -0x1.8dbb206ea280ep-14, -0x1.8db3b1f1167e8p-14, -0x1.8d91798084aedp-14, -0x1.8d54f64513927p-14, -0x1.8cfea562abe4ap-14, -0x1.8c8f02046f834p-14, -0x1.8c06856879d65p-14, -0x1.8b65a6ebb631cp-14, -0x1.8aacdc145edc8p-14, -0x1.89dc989d3cd8cp-14, -0x1.88f54e7fc293cp-14, -0x1.87f76dfddba58p-14, -0x1.86e365ac1645dp-14, -0x1.85b9a27b5bcf3p-14, -0x1.847a8fc1bd71dp-14, -0x1.83269743efd26p-14, -0x1.81be213d6f204p-14, -0x1.804194692ec7ap-14, -0x1.7eb1560a0d279p-14, -0x1.7d0dc9f2b3ebcp-14, -0x1.7b57528cd44a1p-14, -0x1.798e50e17e41cp-14, -0x1.77b3249fffe4bp-14, -0x1.75c62c24e39cdp-14, -0x1.73c7c4807aca6p-14, -0x1.71b8497e6ae3dp-14, -0x1.6f9815ab4c457p-14, -0x1.6d67825b6fb7dp-14, -0x1.6b26e7b0821c3p-14, -0x1.68d69c9fd20c3p-14, -0x1.6676f6f7aff88p-14, -0x1.64084b65703abp-14, -0x1.618aed7a3ba07p-14, -0x1.5eff2fb0bad79p-14, -0x1.5c656371b73c4p-14, -0x1.59bdd9195cb44p-14, -0x1.5708dffbdb64p-14, -0x1.5446c6699a9ap-14, -0x1.5177d9b49ba15p-14, -0x1.4e9c6633f549ap-14, -0x1.4bb4b74864236p-14, -0x1.48c1176030db5p-14, -0x1.45c1cffb5b38ap-14, -0x1.42b729af505f6p-14, -0x1.3fa16c2ab59c5p-14, -0x1.3c80de38bd31fp-14, -0x1.3955c5c4c6a0fp-14, -0x1.362067ddd696p-14, -0x1.32e108ba11b9bp-14, -0x1.2f97ebb987242p-14, -0x1.2c45536951a46p-14, -0x1.28e98186f3669p-14, -0x1.2584b702cdb75p-14, -0x1.221734034a954p-14, -0x1.1ea137e7725bfp-14, -0x1.1b23014967dabp-14, -0x1.179cce01633d7p-14, -0x1.140edb27dabb5p-14, -0x1.1079651825682p-14, -0x1.0cdca772c7325p-14, -0x1.0938dd1fc8391p-14, -0x1.058e4050b43adp-14, -0x1.01dd0a8309e0fp-14, -0x1.fc4ae9043cdffp-15, -0x1.f4cf6cd323294p-15, -0x1.ed480f4daebadp-15, -0x1.e5b53df6d31dbp-15, -0x1.de1764fc8f0cdp-15, -0x1.d66eef3cb7992p-15, -0x1.cebc4647f3f92p-15, -0x1.c6ffd264fa326p-15, -0x1.bf39fa94826d9p-15, -0x1.b76b24940c5eap-15, -0x1.af93b4e164b5ap-15, -0x1.a7b40ebd87b5dp-15, -0x1.9fcc943025ee1p-15, -0x1.97dda609d3634p-15, -0x1.8fe7a3e78fe35p-15, -0x1.87eaec35e6dcp-15, -0x1.7fe7dc33026b1p-15, -0x1.77decff151125p-15, -0x1.6fd0225ac5fb4p-15, -0x1.67bc2d3318587p-15, -0x1.5fa3491a1ff59p-15, -0x1.5785cd8f266a9p-15, -0x1.4f6410f24944fp-15, -0x1.473e6886fe3a2p-15, -0x1.3f1528776f855p-15, -0x1.36e8a3d58ca47p-15, -0x1.2eb92c9dab5cfp-15, -0x1.268713b94ef0cp-15, -0x1.1e52a9008aa4cp-15, -0x1.161c3b3c819f5p-15, -0x1.0de418297e4c4p-15, -0x1.05aa8c7932d24p-15, -0x1.fadfc7a7e67d8p-16, -0x1.ea68d1b77791p-16, -0x1.d9f0ca5ab86b1p-16, -0x1.c97842c60a1ddp-16, -0x1.b8ffca2bcb32cp-16, -0x1.a887edc03e626p-16, -0x1.981138bce8637p-16, -0x1.879c34648db1bp-16, -0x1.77296806b5d54p-16, -0x1.66b95903fb4ebp-16, -0x1.564c8ad042afp-16, -0x1.45e37ef78fd23p-16, -0x1.357eb520df181p-16, -0x1.251eab10b5d68p-16, -0x1.14c3dcaf2d6cdp-16, -0x1.046ec4089d51fp-16, -0x1.e83fb2a5b5e8fp-17, -0x1.c7af25defe778p-17, -0x1.a72ccadd8f5c1p-17, -0x1.86b987296d379p-17, -0x1.66563cb5098edp-17, -0x1.4603c9e5dd979p-17, -0x1.25c3099adb9e6p-17, -0x1.0594d33151cd5p-17, -0x1.caf3f519138efp-18, -0x1.8ae6a03a45e5dp-18, -0x1.4b0341c784609p-18, -0x1.0b4b6cfa92e2dp-18, -0x1.97815c8b2f0bfp-19, -0x1.18c916cdf8eb7p-19, -0x1.34e20dd57256ep-20, -0x1.c7c1dd6ca6722p-23, 0x1.844b0269407b3p-21, 0x1.bc717b3948aedp-20, 0x1.5af30f5175ee5p-19, 0x1.d73ef8ac5bec3p-19, 0x1.298ce4b1e02ep-18, 0x1.67406ee85efb9p-18, 0x1.a4b8cf6b3a38ep-18, 0x1.e1f4c0e72912p-18, 0x1.0f79821a30394p-17, 0x1.2dd930284c8cp-17, 0x1.4c18d124c0b35p-17, 0x1.6a37ce9c3956bp-17, 0x1.8835951b76215p-17, 0x1.a61194245e5bcp-17, 0x1.c3cb3e2d7ce8dp-17, 0x1.e162089a905e4p-17, 0x1.fed56bb20cb5bp-17, 0x1.0e12714f27da9p-16, 0x1.1ca7f5b135141p-16, 0x1.2b2b036a64d52p-16, 0x1.399b5c4e2cd4cp-16, 0x1.47f8c392cbc89p-16, 0x1.5642fdd00ff18p-16, 0x1.6479d0fcbbdacp-16, 0x1.729d046954e38p-16, 0x1.80ac60bf00222p-16, 0x1.8ea7affc3f3e5p-16, 0x1.9c8ebd7125d35p-16, 0x1.aa6155bd44eecp-16, 0x1.b81f46cc9bcc7p-16, 0x1.c5c85fd33af1cp-16, 0x1.d35c714bb5b34p-16, 0x1.e0db4cf48d6fdp-16, 0x1.ee44c5cb7b529p-16, 0x1.fb98b00bd879cp-16, 0x1.046b7095cc08ap-15, 0x1.0aff97eb71405p-15, 0x1.1188b9f7615f9p-15, 0x1.1806c342f41dp-15, 0x1.1e79a0ee74f38p-15, 0x1.24e140b0073a2p-15, 0x1.2b3d90d1e2b36p-15, 0x1.318e80314a04cp-15, 0x1.37d3fe3c36702p-15, 0x1.3e0dfaf113bb8p-15, 0x1.443c66dc519d1p-15, 0x1.4a5f33173687fp-15, 0x1.50765146b278cp-15, 0x1.5681b3995319ap-15, 0x1.5c814cc673837p-15, 0x1.6275100c4f017p-15, 0x1.685cf12eff1a5p-15, 0x1.6e38e476550acp-15, 0x1.7408dead4abcep-15, 0x1.79ccd51fe2bf3p-15, 0x1.7f84bd99b97e9p-15, 0x1.85308e656eacep-15, 0x1.8ad03e49df7c3p-15, 0x1.9063c489ffb5ep-15, 0x1.95eb18e2b6734p-15, 0x1.9b66338995889p-15, 0x1.a0d50d2bb6c49p-15, 0x1.a6379eeb950efp-15, 0x1.ab8de2609bff4p-15, 0x1.b0d7d194e4858p-15, 0x1.b61567046e08ep-15, 0x1.bb469d9bc0349p-15, 0x1.c06b70b5da6cep-15, 0x1.c583dc1b87f41p-15, 0x1.ca8fdc018fdcbp-15, 0x1.cf8f6d07a78b7p-15, 0x1.d4828c36a3622p-15, 0x1.d96936ffdc8bdp-15, 0x1.de436b3ace4cdp-15, 0x1.e3112724a1ff1p-15, 0x1.e7d2695e9db61p-15, 0x1.ec8730ec69737p-15, 0x1.f12f7d331d0a3p-15, 0x1.f5cb4df7e63dep-15, 0x1.fa5aa35e460aap-15, 0x1.fedd7de79ca19p-15, 0x1.01a9ef3866104p-14, 0x1.03dee3191a4d8p-14, 0x1.060d9b5e87bdep-14, 0x1.083618fd72955p-14, 0x1.0a585d16315dap-14, 0x1.0c7468f3be73cp-14, 0x1.0e8a3e0b49c85p-14, 0x1.1099ddfbb41b5p-14, 0x1.12a34a8ca274fp-14, 0x1.14a685ae21bb7p-14, 0x1.16a39177bb9cbp-14, 0x1.189a7028413b8p-14, 0x1.1a8b2424d7178p-14, 0x1.1c75aff85aaacp-14, 0x1.1e5a165350662p-14, 0x1.20385a0a5087dp-14, 0x1.22107e1666392p-14, 0x1.23e28593e22ccp-14, 0x1.25ae73c1dd3d9p-14, 0x1.27744c01e44e1p-14, 0x1.293411d7000b5p-14, 0x1.2aedc8e578efep-14, 0x1.2ca174f21fb33p-14, 0x1.2e4f19e1924b9p-14, 0x1.2ff6bbb7d459bp-14, 0x1.31985e97fb92p-14, 0x1.333406c31d32ap-14, 0x1.34c9b898360dep-14, 0x1.365978934d812p-14, 0x1.37e34b4d39775p-14, 0x1.3967357a89b6p-14, 0x1.3ae53bebc9cbep-14, 0x1.3c5d638c45d06p-14, 0x1.3dcfb161d1768p-14, 0x1.3f3c2a8c11beep-14, 0x1.40a2d4445ff6cp-14, 0x1.4203b3dce09cfp-14, 0x1.435ecebfffe02p-14, 0x1.44b42a706ac7p-14, 0x1.4603cc87b6924p-14, 0x1.474dbab6bc401p-14, 0x1.4891fac4a5e4dp-14, 0x1.49d0928e7c189p-14, 0x1.4b098806d5cd4p-14, 0x1.4c3ce1350e8bap-14, 0x1.4d6aa43519c65p-14, 0x1.4e92d736e0006p-14, 0x1.4fb5807da6c27p-14, 0x1.50d2a6604d7e3p-14, 0x1.51ea4f478cff8p-14, 0x1.52fc81aee0b5ep-14, 0x1.5409442317c02p-14, 0x1.55109d427dff2p-14, 0x1.561293bc038d8p-14, 0x1.570f2e4f26971p-14, 0x1.580673cb0ac8p-14, 0x1.58f86b0ea799p-14, 0x1.59e51b07ae34p-14, 0x1.5acc8ab2f9532p-14, 0x1.5baec11b08802p-14, 0x1.5c8bc5589c722p-14, 0x1.5d639e91f64c6p-14, 0x1.5e3653f9b8a62p-14, 0x1.5f03ecd01fe97p-14, 0x1.5fcc70608ee1ep-14, 0x1.608fe6030c483p-14, 0x1.614e551accf5fp-14, 0x1.6207c515f75dfp-14, 0x1.62bc3d6d7a4bbp-14, 0x1.636bc5a4ae21ep-14, 0x1.64166548b87dp-14, 0x1.64bc23f061afap-14, 0x1.655d093bbea6ap-14, 0x1.65f91cd38e3ddp-14, 0x1.6690666929655p-14, 0x1.6722edb641eb8p-14, 0x1.67b0ba7bf313cp-14, 0x1.6839d4833aa4ap-14, 0x1.68be439c0330fp-14, 0x1.693e0f9d06ba6p-14, 0x1.69b940639f22cp-14, 0x1.6a2fddd3053ccp-14, 0x1.6aa1efd4c249ep-14, 0x1.6b0f7e57374bbp-14, 0x1.6b78914eb60a5p-14, 0x1.6bdd30b3d9618p-14, 0x1.6c3d648450186p-14, 0x1.6c9934c1d12fap-14, 0x1.6cf0a9721450ap-14, 0x1.6d43ca9ec788cp-14, 0x1.6d92a054b803ep-14, 0x1.6ddd32a3fc61bp-14, 0x1.6e23899fa8b06p-14, 0x1.6e65ad5d217c7p-14, 0x1.6ea3a5f45caaep-14, 0x1.6edd7b7f3bbdbp-14, 0x1.6f1336195b5e1p-14, 0x1.6f44dde020557p-14, 0x1.6f727af1dfbcep-14, 0x1.6f9c156e32095p-14, 0x1.6fc1b57566b66p-14, 0x1.6fe363283a0e6p-14, 0x1.700126a7b06a2p-14, 0x1.701b081520d26p-14, 0x1.70310f913ebd9p-14, 0x1.7043453cb07bcp-14, 0x1.7051b13746e45p-14, 0x1.705c5ba013accp-14, 0x1.70634c94d272cp-14, 0x1.70668c3250231p-14, 0x1.70662293510cap-14, 0x1.706217d1785cfp-14, 0x1.705a7403d2afap-14, 0x1.704f3f3fef14dp-14, 0x1.7040819867497p-14, 0x1.702e431db758fp-14, 0x1.70188bdd7774dp-14, 0x1.6fff63e244b78p-14, 0x1.6fe2d333bb8efp-14, 0x1.6fc2e1d6298d9p-14, 0x1.6f9f97ca32155p-14, 0x1.6f78fd0d2d47p-14, 0x1.6f4f19982edeep-14, 0x1.6f21f560bb4p-14, 0x1.6ef19857d2a35p-14, 0x1.6ebe0a6a4b869p-14, 0x1.6e875380755b8p-14, 0x1.6e4d7b7e05cbep-14, 0x1.6e108a41964cep-14, 0x1.6dd087a564278p-14, 0x1.6d8d7b7dd90d4p-14, 0x1.6d476d9aa3099p-14, 0x1.6cfe65c5cfb97p-14, 0x1.6cb26bc3f5302p-14, 0x1.6c638753c8665p-14, 0x1.6c11c02e93391p-14, 0x1.6bbd1e072f33fp-14, 0x1.6b65a88ac3147p-14, 0x1.6b0b676003d5ap-14, 0x1.6aae62278a702p-14, 0x1.6a4ea07b1b624p-14, 0x1.69ec29ee63d6cp-14, 0x1.6987060df0a7p-14, 0x1.691f3c5fac74cp-14, 0x1.68b4d462c7583p-14, 0x1.6847d58eebac8p-14, 0x1.67d8475543a1p-14, 0x1.6766311f21df1p-14, 0x1.66f19a4ef3788p-14, 0x1.667a8a3f82c11p-14, 0x1.6601084403606p-14, 0x1.65851ba835448p-14, 0x1.6506cbafe93bep-14, 0x1.64861f975f5a9p-14, 0x1.64031e92cb943p-14, 0x1.637dcfce40a87p-14, 0x1.62f63a6e2de05p-14, 0x1.626c658e7707dp-14, 0x1.61e05842d69bap-14, 0x1.61521996fec09p-14, 0x1.60c1b08df2731p-14, 0x1.602f2422485cfp-14, 0x1.5f9a7b466baf3p-14, 0x1.5f03bce3b7b5dp-14, 0x1.5e6aefdb3899p-14, 0x1.5dd01b0523b72p-14, 0x1.5d334530ed70bp-14, 0x1.5c947525243a9p-14, 0x1.5bf3b19fa4518p-14, 0x1.5b510154f9eb9p-14, 0x1.5aac6af13cff1p-14, 0x1.5a05f516eb9fcp-14, 0x1.595da65fb1987p-14, 0x1.58b3855c2b595p-14, 0x1.5807989361be7p-14, 0x1.5759e683a464dp-14, 0x1.56aa75a1732a5p-14, 0x1.55f94c587e85ap-14, 0x1.5546710a8072fp-14, 0x1.5491ea1080e48p-14, 0x1.53dbbdb964d2fp-14, 0x1.5323f24b09115p-14, 0x1.526a8e01c2c1cp-14, 0x1.51af971014c18p-14, 0x1.50f3139f30766p-14, 0x1.503509ceb832bp-14, 0x1.4f757fb44d2d6p-14, 0x1.4eb47b5c7f75bp-14, 0x1.4df202c9b20adp-14, 0x1.4d2e1bf4ba49ap-14, 0x1.4c68cccd0a13bp-14, 0x1.4ba21b37aeecep-14, 0x1.4ada0d10a0824p-14, 0x1.4a10a829a57a7p-14, 0x1.4945f24ad6104p-14, 0x1.4879f1329a739p-14, 0x1.47acaa9566555p-14, 0x1.46de241dce56fp-14, 0x1.460e636ced1a1p-14, 0x1.453d6e1955fp-14, 0x1.446b49b0b4fb8p-14, 0x1.4397fbb5d2a4ep-14, 0x1.42c389a285b32p-14, 0x1.41edf8e60f619p-14, 0x1.41174ee65cc06p-14, 0x1.403f90ff0b959p-14, 0x1.3f66c48254e91p-14, 0x1.3e8ceeb807736p-14, 0x1.3db214de8b058p-14, 0x1.3cd63c2a26ce9p-14, 0x1.3bf969c555aa9p-14, 0x1.3b1ba2d0d1a9ep-14, 0x1.3a3cec635c38ep-14, 0x1.395d4b89c836ap-14, 0x1.387cc547797f8p-14, 0x1.379b5e956b115p-14, 0x1.36b91c6355c22p-14, 0x1.35d60396cce94p-14, 0x1.34f2190b941e5p-14, 0x1.340d61941b586p-14, 0x1.3327e1f844938p-14, 0x1.32419ef727701p-14, 0x1.315a9d452c11dp-14, 0x1.3072e18dcfa5ap-14, 0x1.2f8a707258ea5p-14, 0x1.2ea14e8a7f5d3p-14, 0x1.2db780648a08p-14, 0x1.2ccd0a84c4127p-14, 0x1.2be1f166104bfp-14, 0x1.2af63979c0ff8p-14, 0x1.2a09e7274e743p-14, 0x1.291cfeccfbc1ep-14, 0x1.282f84bf43a3ep-14, 0x1.27417d492b56bp-14, 0x1.2652ecac66cd6p-14, 0x1.2563d720e1142p-14, 0x1.247440d56e1dap-14, 0x1.23842def31754p-14, 0x1.2293a28a2303cp-14, 0x1.21a2a2b8c44c4p-14, 0x1.20b1328443e98p-14, 0x1.1fbf55ec90d48p-14, 0x1.1ecd10e85c5f9p-14, 0x1.1dda6764ddafp-14, 0x1.1ce75d46969f3p-14, 0x1.1bf3f6683d71ap-14, 0x1.1b00369bef0bfp-14, 0x1.1a0c21aa583c5p-14, 0x1.1917bb5320029p-14, 0x1.1823074d146b5p-14, 0x1.172e0945961f9p-14, 0x1.1638c4e19edcep-14, 0x1.15433dbc8edadp-14, 0x1.144d7769808bp-14, 0x1.13577572223e6p-14, 0x1.12613b57b3c98p-14, 0x1.116acc9273b3cp-14, 0x1.10742c91bf47ap-14, 0x1.0f7d5ebcb6dd9p-14, 0x1.0e86667101e31p-14, 0x1.0d8f47047b6a7p-14, 0x1.0c9803c3ac563p-14, 0x1.0ba09ff2e76f2p-14, 0x1.0aa91ecdfb91ep-14, 0x1.09b18387e60abp-14, 0x1.08b9d14b88874p-14, 0x1.07c20b3b2424bp-14, 0x1.06ca34709cfdp-14, 0x1.05d24ffd9b1efp-14, 0x1.04da60eb4f492p-14, 0x1.03e26a3ac5f64p-14, 0x1.02ea6ee4cc574p-14, 0x1.01f271d9e32d2p-14, 0x1.00fa7602a4bebp-14, 0x1.00027e3f4042fp-14, 0x1.fe151ad06be56p-15, 0x1.fc254c9b2331ap-15, 0x1.fa35976fc59e4p-15, 0x1.f84600ce9a719p-15, 0x1.f6568e28fb02cp-15, 0x1.f46744dffaa67p-15, 0x1.f2782a4550de8p-15, 0x1.f089439b38914p-15, 0x1.ee9a961436bfcp-15, 0x1.ecac26d3fe39dp-15, 0x1.eabdfaee25f42p-15, 0x1.e8d017684e78ap-15, 0x1.e6e281378af86p-15, 0x1.e4f53d437ef94p-15, 0x1.e3085063622ap-15, 0x1.e11bbf60e6fp-15, 0x1.df2f8ef6085acp-15, 0x1.dd43c3ceabb69p-15, 0x1.db58628819712p-15, 0x1.d96d6fb0b566fp-15, 0x1.d782efc94b129p-15, 0x1.d598e7437610bp-15, 0x1.d3af5a8360856p-15, 0x1.d1c64ddeaa725p-15, 0x1.cfddc59cfbfd4p-15, 0x1.cdf5c5f84ef01p-15, 0x1.cc0e531c5cce1p-15, 0x1.ca277127948b3p-15, 0x1.c841242a60475p-15, 0x1.c65b7027b4571p-15, 0x1.c4765915379dep-15, 0x1.c291e2dab7672p-15, 0x1.c0ae1153761b5p-15, 0x1.becae84c7ff2fp-15, 0x1.bce86b86d6e2dp-15, 0x1.bb069eb56eadbp-15, 0x1.b925857f3a31p-15, 0x1.b745237d6a796p-15, 0x1.b5657c3d6f176p-15, 0x1.b386933edb7dcp-15, 0x1.b1a86bf5ff608p-15, 0x1.afcb09c9460cdp-15, 0x1.adee70142bbbep-15, 0x1.ac12a224611cp-15, 0x1.aa37a33cbf33p-15, 0x1.a85d7692c7db2p-15, 0x1.a6841f50e5dd1p-15, 0x1.a4aba094e26bbp-15, 0x1.a2d3fd710fd22p-15, 0x1.a0fd38ebb788fp-15, 0x1.9f2755ff9f284p-15, 0x1.9d52579be5757p-15, 0x1.9b7e40a3ef4a6p-15, 0x1.99ab13f023a79p-15, 0x1.97d8d44cfd8dcp-15, 0x1.9607847c537e4p-15, 0x1.94372734546eep-15, 0x1.9267bf204fbfdp-15, 0x1.90994ee097542p-15, 0x1.8ecbd90a71848p-15, 0x1.8cff60289342dp-15, 0x1.8b33e6ba8fa02p-15, 0x1.89696f35d515p-15, 0x1.879ffc04b3777p-15, 0x1.85d78f877f17bp-15, 0x1.84102c13bd431p-15, 0x1.8249d3f4ee62ep-15, 0x1.8084896c246c4p-15, 0x1.7ec04eb07e741p-15, }}, 
      {{0x1.14336d7168bffp-1, 0x1.1419bd9602653p-1, 0x1.13f61957d8352p-1, 0x1.13ce5b890fabap-1, 0x1.13a6a5b1a1a48p-1, 0x1.13812e4c2d76bp-1, 0x1.135e9b62d42f8p-1, 0x1.133e84fc1ce8bp-1, 0x1.131fee2ce106p-1, 0x1.1301a2907a906p-1, 0x1.12e275e61a986p-1, 0x1.12c16a577c61fp-1, 0x1.129dc3bb961cap-1, 0x1.12770db1b1318p-1, 0x1.124d1936d9f02p-1, 0x1.121ff51225194p-1, 0x1.11efe36ad7c79p-1, 0x1.11bd4e1ad72c3p-1, 0x1.1188baccad6a6p-1, 0x1.1152bf9d4b1c1p-1, 0x1.111bf8be8f241p-1, 0x1.10e4ff6d1d04cp-1, 0x1.10ae626b11a7fp-1, 0x1.1078a01600ba4p-1, 0x1.10442217d0d28p-1, 0x1.10113a9f370cfp-1, 0x1.0fe022fdbfe46p-1, 0x1.0fb0fb7ead2c6p-1, 0x1.0f83cc43652edp-1, 0x1.0f5886ef6b819p-1, 0x1.0f2f08ee55559p-1, 0x1.0f071e215a9bdp-1, 0x1.0ee083c728483p-1, 0x1.0ebaeb76f6fdap-1, 0x1.0e95fe0ececd6p-1, 0x1.0e715e7bf0f7ep-1, 0x1.0e4cac4b19c8bp-1, 0x1.0e2785f47164ap-1, 0x1.0e018adc52b3bp-1, 0x1.0dda5d068c53dp-1, 0x1.0db1a27d3f9c5p-1, 0x1.0d87066f3b79bp-1, 0x1.0d5a3a0b82727p-1, 0x1.0d2af520e60b7p-1, 0x1.0cf8f6893008dp-1, 0x1.0cc404677af1p-1, 0x1.0c8bec4119ad8p-1, 0x1.0c5082f7f2904p-1, 0x1.0c11a4ac8e316p-1, 0x1.0bcf348d50477p-1, 0x1.0b891c978e026p-1, 0x1.0b3f4d4e6d194p-1, 0x1.0af1bd6ab307ap-1, 0x1.0aa069860b34ep-1, 0x1.0a4b53c3abc43p-1, 0x1.09f28377c4fdep-1, 0x1.099604cebc29cp-1, 0x1.0935e874dcb8bp-1, 0x1.08d2433eef39fp-1, 0x1.086b2dd3edf82p-1, 0x1.0800c457f952bp-1, 0x1.0793261891542p-1, 0x1.0722753a17983p-1, 0x1.06aed666943bcp-1, 0x1.0638707dc3c5fp-1, 0x1.05bf6c4672706p-1, 0x1.0543f4213c564p-1, 0x1.04c633bcc9307p-1, 0x1.044657cbb0b38p-1, 0x1.03c48dbc31c7fp-1, 0x1.03410371f4774p-1, 0x1.02bbe702168c8p-1, 0x1.02356671bba3ep-1, 0x1.01adaf7768212p-1, 0x1.0124ef3f6234dp-1, 0x1.009b5233587c9p-1, 0x1.001103c58571ap-1, 0x1.ff0c5c7f06333p-2, 0x1.fdf5f529f428ap-2, 0x1.fcdf20749ca72p-2, 0x1.fbc829fecbb7ep-2, 0x1.fab159dd3093ap-2, 0x1.f99af45fa2e15p-2, 0x1.f88539dfc8e2p-2, 0x1.f77066980b3p-2, 0x1.f65cb282b03f6p-2, 0x1.f54a5140e7c34p-2, 0x1.f439720989483p-2, 0x1.f32a3f9f29363p-2, 0x1.f21ce04d35f16p-2, 0x1.f11175eba73bap-2, 0x1.f0081de8e148p-2, 0x1.ef00f15949c1ep-2, 0x1.edfc050c1ea17p-2, 0x1.ecf969a50e61bp-2, 0x1.ebf92bba127c4p-2, 0x1.eafb53f5148c5p-2, 0x1.e9ffe738db06cp-2, 0x1.e906e6c8c3456p-2, 0x1.e8105072daf09p-2, 0x1.e71c1ebbd7eb1p-2, 0x1.e62a490c8bca6p-2, 0x1.e53ac3e067fddp-2, 0x1.e44d80f4af3d4p-2, 0x1.e3626f77f936ap-2, 0x1.e2797c39b478fp-2, 0x1.e19291d95c49p-2, 0x1.e0ad98f514f8dp-2, 0x1.dfca785776046p-2, 0x1.dee9152448c7fp-2, 0x1.de09530407ea3p-2, 0x1.dd2b144df5411p-2, 0x1.dc4e3a30a7689p-2, 0x1.db72a4d8ec4c9p-2, 0x1.da983396e6427p-2, 0x1.d9bec5015bc7cp-2, 0x1.d8e637172144cp-2, 0x1.d80e675e9aa09p-2, 0x1.d737330350b0ap-2, 0x1.d66076f1976ffp-2, 0x1.d58a0ff04ab5fp-2, 0x1.d4b3dab8ac6afp-2, 0x1.d3ddb40c61273p-2, 0x1.d30778c9a993fp-2, 0x1.d23105fdd7ae6p-2, 0x1.d15a38f617abfp-2, 0x1.d082ef4e9ef8ap-2, 0x1.cfab07004f624p-2, 0x1.ced25e6ce5c01p-2, 0x1.cdf8d469cd287p-2, 0x1.cd1e48499f0f6p-2, 0x1.cc4299e47772cp-2, 0x1.cb65a99f2028ap-2, 0x1.ca87587136ee6p-2, 0x1.c9a787ea5ef09p-2, 0x1.c8c61a368cbe8p-2, 0x1.c7e2f2218a213p-2, 0x1.c6fdf319bf785p-2, 0x1.c617013254a58p-2, 0x1.c52e0124c377dp-2, 0x1.c442d851e06f1p-2, 0x1.c3556cc2751bp-2, 0x1.c265a5277633dp-2, 0x1.c17368d9e37efp-2, 0x1.c07e9fda60e52p-2, 0x1.bf8732d09428bp-2, 0x1.be8d0b0a52abbp-2, 0x1.bd90127aaab49p-2, 0x1.bc9033b8cf3bep-2, 0x1.bb8d59fef292cp-2, 0x1.ba8771291285ep-2, 0x1.b97e65b3c5d24p-2, 0x1.b87224bb022p-2, 0x1.b7629bf8f324p-2, 0x1.b64fb9c4d2a3p-2, 0x1.b5396d11d7c39p-2, 0x1.b41fa56e3402dp-2, 0x1.b302530224d4bp-2, 0x1.b1e1668f1e557p-2, 0x1.b0bcd16f08e54p-2, 0x1.af9485939f4fp-2, 0x1.ae687585dc539p-2, 0x1.ad3894658a132p-2, 0x1.ac04d5e8e29dp-2, 0x1.aacd2e5c4f48cp-2, 0x1.a99192a23855bp-2, 0x1.a851f832f1905p-2, 0x1.a70e551cb2d9p-2, 0x1.a5c6a003a9bbp-2, 0x1.a47ad0221754ep-2, 0x1.a32add488048ap-2, 0x1.a1d6bfdde6593p-2, 0x1.a07e70e00bb49p-2, 0x1.9f21e9e3c28eap-2, 0x1.9dc125153c4b5p-2, 0x1.9c5c1d3860938p-2, 0x1.9af2cda924da4p-2, 0x1.9985325be05ddp-2, 0x1.981347dd9df51p-2, 0x1.969d0b546906cp-2, 0x1.95227a7f9225dp-2, 0x1.93a393b7e83dfp-2, 0x1.922055efe813p-2, 0x1.9098c0b3dbec1p-2, 0x1.8f0cd429ef5d7p-2, 0x1.8d7c91122ae33p-2, 0x1.8be7f8c6647c3p-2, 0x1.8a4f0d3a1571ap-2, 0x1.88b1d0fa1ef74p-2, 0x1.8710472c7549bp-2, 0x1.856a738fb37d1p-2, 0x1.83c05a7a94e8ap-2, 0x1.821200db5743p-2, 0x1.805f6c36ffb73p-2, 0x1.7ea8a2a88444fp-2, 0x1.7cedaadfdabd4p-2, 0x1.7b2e8c20eab82p-2, 0x1.796b4e426212ep-2, 0x1.77a3f9ac6d489p-2, 0x1.75d897575252ep-2, 0x1.740930c9ee138p-2, 0x1.7235d0181597dp-2, 0x1.705e7fe0dac65p-2, 0x1.6e834b4cb1611p-2, 0x1.6ca43e0b7d9adp-2, 0x1.6ac1645280cep-2, 0x1.68dacada2ee4fp-2, 0x1.66f07edbe72b6p-2, 0x1.65028e0f939e1p-2, 0x1.631106a92f288p-2, 0x1.611bf75632d12p-2, 0x1.5f236f3aeb25bp-2, 0x1.5d277defb7398p-2, 0x1.5b28337e2fe3cp-2, 0x1.5925a05e3c14ap-2, 0x1.571fd573107e8p-2, 0x1.5516e4081a22fp-2, 0x1.530addcdd9ebbp-2, 0x1.50fbd4d6ac78dp-2, 0x1.4ee9db9383dc8p-2, 0x1.4cd504d092621p-2, 0x1.4abd63b1e50ffp-2, 0x1.48a30baff4ecap-2, 0x1.468610942b82ep-2, 0x1.446686755b155p-2, 0x1.424481b4326bfp-2, 0x1.402016f7a1adcp-2, 0x1.3df95b293eca1p-2, 0x1.3bd06371a0a4cp-2, 0x1.39a54534b41aep-2, 0x1.3778160e1339ep-2, 0x1.3548ebcd51079p-2, 0x1.3317dc724cc43p-2, 0x1.30e4fe297e939p-2, 0x1.2eb0674846c9ep-2, 0x1.2c7a2e493f6bp-2, 0x1.2a4269c88fdd9p-2, 0x1.2809308041eeep-2, 0x1.25ce99449ec25p-2, 0x1.2392bb008ed43p-2, 0x1.2155acb201063p-2, 0x1.1f17856658455p-2, 0x1.1cd85c36e1fa6p-2, 0x1.1a98484554668p-2, 0x1.185760b856ab7p-2, 0x1.1615bcb81362cp-2, 0x1.13d3736ad6a43p-2, 0x1.11909bf1b5b8bp-2, 0x1.0f4d4d6544e0fp-2, 0x1.0d099ed259dc5p-2, 0x1.0ac5a736dc835p-2, 0x1.08817d7ea2601p-2, 0x1.063d38805e126p-2, 0x1.03f8eefa97eefp-2, 0x1.01b4b790badadp-2, 0x1.fee151905f535p-3, 0x1.fa59b20b0dff5p-3, 0x1.f5d2bd136d1adp-3, 0x1.f14c9eded0a84p-3, 0x1.ecc78350a9d08p-3, 0x1.e84395f573b49p-3, 0x1.e3c101fdaf323p-3, 0x1.df3ff239128f6p-3, 0x1.dac09111d62b9p-3, 0x1.d643088828c7p-3, 0x1.d1c7822dc8badp-3, 0x1.cd4e2721c2235p-3, 0x1.c8d7200c58239p-3, 0x1.c462951b0dd3ep-3, 0x1.bff0adfcd7a62p-3, 0x1.bb8191de75412p-3, 0x1.b7156766f12d8p-3, 0x1.b2ac54b443b34p-3, 0x1.ae467f5820cfcp-3, 0x1.a9e40c54e87abp-3, 0x1.a585201abd9eap-3, 0x1.a129de84c82b3p-3, 0x1.9cd26ad6934d8p-3, 0x1.987ee7b99a469p-3, 0x1.942f773af40b5p-3, 0x1.8fe43ac92adfcp-3, 0x1.8b9d53322d73ep-3, 0x1.875ae0a172246p-3, 0x1.831d029e2f574p-3, 0x1.7ee3d809c5fbep-3, 0x1.7aaf7f1e40462p-3, 0x1.7680156cfe27p-3, 0x1.7255b7dd816fap-3, 0x1.6e3082ac52953p-3, 0x1.6a10916a14f4cp-3, 0x1.65f5fefab1149p-3, 0x1.61e0e5949e8fdp-3, 0x1.5dd15ec05678ap-3, 0x1.59c78357d58f2p-3, 0x1.55c36b864eda1p-3, 0x1.51c52ec7e8ccap-3, 0x1.4dcce3e9a3c49p-3, 0x1.49daa1095a0a1p-3, 0x1.45ee7b95d870dp-3, 0x1.4208884f115c6p-3, 0x1.3e28db467131ap-3, 0x1.3a4f87df40daap-3, 0x1.367ca0cf2c5b7p-3, 0x1.32b0381ed85acp-3, 0x1.2eea5f2a96737p-3, 0x1.2b2b26a326b87p-3, 0x1.27729e8e9c679p-3, 0x1.23c0d6494c491p-3, 0x1.2015dc86d3b09p-3, 0x1.1c71bf53365cbp-3, 0x1.18d48c1408a6dp-3, 0x1.153e4f89b79b6p-3, 0x1.11af15d0d496bp-3, 0x1.0e26ea637c267p-3, 0x1.0aa5d81acda14p-3, 0x1.072be93068e74p-3, 0x1.03b927400a09ep-3, 0x1.004d9b492250fp-3, 0x1.f9d29b6121d2dp-4, 0x1.f3188c84b3a53p-4, 0x1.ec6d1866e5906p-4, 0x1.e5d04c472ca9ep-4, 0x1.df42343e4d75p-4, 0x1.d8c2db4231878p-4, 0x1.d2524b29d24b1p-4, 0x1.cbf08cb138da6p-4, 0x1.c59da77d8a2fap-4, 0x1.bf59a2212db5bp-4, 0x1.b924821ff9206p-4, 0x1.b2fe4bf36c1acp-4, 0x1.ace7030f02d3p-4, 0x1.a6dea9e488871p-4, 0x1.a0e541e87d6b4p-4, 0x1.9afacb968014cp-4, 0x1.951f4675c281cp-4, 0x1.8f52b11d927a6p-4, 0x1.89950939d000dp-4, 0x1.83e64b8f825dp-4, 0x1.7e46740164302p-4, 0x1.78b57d947a9ccp-4, 0x1.73336274abe89p-4, 0x1.6dc01bf95b917p-4, 0x1.685ba2aa0473dp-4, 0x1.6305ee42d80a9p-4, 0x1.5dbef5b95ab1cp-4, 0x1.5886af4103137p-4, 0x1.535d104fd0c96p-4, 0x1.4e420da2eb6fep-4, 0x1.49359b43361c9p-4, 0x1.4437ac89e0b8bp-4, 0x1.3f483424fdc13p-4, 0x1.3a67241c05612p-4, 0x1.35946dd45f0e6p-4, 0x1.30d00215dd9a7p-4, 0x1.2c19d10f3b9d8p-4, 0x1.2771ca5a8b36fp-4, 0x1.22d7dd019f4b2p-4, 0x1.1e4bf7826db83p-4, 0x1.19ce07d36b8f8p-4, 0x1.155dfb67db3cp-4, 0x1.10fbbf34139f7p-4, 0x1.0ca73fb1bf9edp-4, 0x1.086068e40f6efp-4, 0x1.0427265be1f6ap-4, 0x1.fff6c677c5dc4p-5, 0x1.f7ba147937f4bp-5, 0x1.ef980b60fbba8p-5, 0x1.e7907f0fb2396p-5, 0x1.dfa342a99aad8p-5, 0x1.d7d0289e5998ap-5, 0x1.d01702b0a1957p-5, 0x1.c877a1fdc6004p-5, 0x1.c0f1d7052bd89p-5, 0x1.b98571afb4a7dp-5, 0x1.b2324156ec2f7p-5, 0x1.aaf814cc3f96ap-5, 0x1.a3d6ba5ffb98bp-5, 0x1.9ccdffe83f173p-5, 0x1.95ddb2c7cda6fp-5, 0x1.8f059ff4c2192p-5, 0x1.884593ff29cb4p-5, 0x1.819d5b1779f78p-5, 0x1.7b0cc114f697fp-5, 0x1.7493917bee5d3p-5, 0x1.6e319783de5e1p-5, 0x1.67e69e1d7b63ap-5, 0x1.61b26ff898064p-5, 0x1.5b94d789f337bp-5, 0x1.558d9f10e3445p-5, 0x1.4f9c909cec6b5p-5, 0x1.49c176132a149p-5, 0x1.43fc1933ae85ep-5, 0x1.3e4c439eb58f8p-5, 0x1.38b1bed9c4383p-5, 0x1.332c54549ff38p-5, 0x1.2dbbcd6e381f4p-5, 0x1.285ff37963858p-5, 0x1.23188fc189d0ep-5, 0x1.1de56b8f30db3p-5, 0x1.18c6502c63fbdp-5, 0x1.13bb06e911d6ap-5, 0x1.0ec3591f32932p-5, 0x1.09df1036ecabep-5, 0x1.050df5aa94716p-5, 0x1.004fd30a885efp-5, 0x1.f748e401f3746p-6, 0x1.ee1738ab39d9dp-6, 0x1.e50a37e273b2cp-6, 0x1.dc2175c249ecbp-6, 0x1.d35c86b53018cp-6, 0x1.cabaff7bf90c6p-6, 0x1.c23c753420eacp-6, 0x1.b9e07d5df5675p-6, 0x1.b1a6ade28183ep-6, 0x1.a98e9d194f164p-6, 0x1.a197e1cdf927fp-6, 0x1.99c213457c309p-6, 0x1.920cc94374b89p-6, 0x1.8a779c0f15811p-6, 0x1.83022477fa7cap-6, 0x1.7babfbdad5c83p-6, 0x1.7474bc25dbe69p-6, 0x1.6d5bffdd1db09p-6, 0x1.6661621e9861bp-6, 0x1.5f847ea63bcbp-6, 0x1.58c4f1d1aadbbp-6, 0x1.522258a3ed626p-6, 0x1.4b9c50c8d9542p-6, 0x1.4532789872ecfp-6, 0x1.3ee46f1a14854p-6, 0x1.38b1d40775546p-6, 0x1.329a47cf8a336p-6, 0x1.2c9d6b993fabbp-6, 0x1.26bae14613a78p-6, 0x1.20f24b7484e95p-6, 0x1.1b434d826bfedp-6, 0x1.15ad8b8f1f6dp-6, 0x1.1030aa7d8f6afp-6, 0x1.0acc4ff623af2p-6, 0x1.058022689720fp-6, 0x1.004bc90d99224p-6, 0x1.f65dd7d0cf9e1p-7, 0x1.ec52679077983p-7, 0x1.e274949336e88p-7, 0x1.d8c3b3af360bfp-7, 0x1.cf3f1b59d9ee2p-7, 0x1.c5e623a9d0dccp-7, 0x1.bcb82658f1098p-7, 0x1.b3b47ec5b487dp-7, 0x1.aada89f4aa085p-7, 0x1.a229a691bf94ap-7, 0x1.99a134f120ec8p-7, 0x1.914097103913p-7, 0x1.890730964343cp-7, 0x1.80f466d4c834cp-7, 0x1.7907a0c8036b5p-7, 0x1.71404716f6ef9p-7, 0x1.699dc41380694p-7, 0x1.621f83ba27dd8p-7, 0x1.5ac4f3b1d0de9p-7, 0x1.538d834b55375p-7, 0x1.4c78a380e8b32p-7, 0x1.4585c6f55f33ep-7, 0x1.3eb461f353ad8p-7, 0x1.3803ea6c34402p-7, 0x1.3173d7f724a9cp-7, 0x1.2b03a3cfc3298p-7, 0x1.24b2c8d4dc37fp-7, 0x1.1e80c386e92ffp-7, 0x1.186d1206978dep-7, 0x1.127734130e98ep-7, 0x1.0c9eab08335c1p-7, 0x1.06e2f9dcd61b2p-7, 0x1.0143a520bcdfcp-7, 0x1.f78065f5109e3p-8, 0x1.ecb0564b8beap-8, 0x1.e2162de0f5c61p-8, 0x1.d7b102722e52bp-8, 0x1.cd7fecd7fcb29p-8, 0x1.c38209022b9afp-8, 0x1.b9b675f2b31e2p-8, 0x1.b01c55b8741fap-8, 0x1.a6b2cd6a24322p-8, 0x1.9d790520ba3b6p-8, 0x1.946e27f2170c9p-8, 0x1.8b9163eb6c1ccp-8, 0x1.82e1ea0b8e8fcp-8, 0x1.7a5eee3d06671p-8, 0x1.7207a75063c8ep-8, 0x1.69db4ef61af64p-8, 0x1.61d921b8988d6p-8, 0x1.5a005ef607431p-8, 0x1.525048da344afp-8, 0x1.4ac8245830c19p-8, 0x1.4367392420688p-8, 0x1.3c2cd1acb0479p-8, 0x1.35183b14b7871p-8, 0x1.2e28c52cccbffp-8, 0x1.275dc26c9f0f3p-8, 0x1.20b687ec71c84p-8, 0x1.1a326d5e6d176p-8, 0x1.13d0cd0825862p-8, 0x1.0d9103bbac287p-8, 0x1.077270d123a43p-8, 0x1.0174761fb9914p-8, 0x1.f72cefee3eb73p-9, 0x1.ebafba317fbf2p-9, 0x1.e0701d61b2e0ep-9, 0x1.d56cf09fa8c77p-9, 0x1.caa50fc6d384p-9, 0x1.c0175b5fb6484p-9, 0x1.b5c2b892482cbp-9, 0x1.aba6111859382p-9, 0x1.a1c0532ffb57ep-9, 0x1.9810718e1ce21p-9, 0x1.8e9563509dac7p-9, 0x1.854e23f11f99dp-9, 0x1.7c39b3376cc1ap-9, 0x1.7357152bce646p-9, 0x1.6aa55209edcc5p-9, 0x1.6223763332935p-9, 0x1.59d0922193306p-9, 0x1.51abba5a2ca91p-9, 0x1.49b40760059c5p-9, 0x1.41e895a6e1a04p-9, 0x1.3a48858637874p-9, 0x1.32d2fb2be6578p-9, 0x1.2b871e8f8d847p-9, 0x1.24641b6548a75p-9, 0x1.1d692110f7657p-9, 0x1.16956299641edp-9, 0x1.0fe8169bb2acp-9, 0x1.0960773eaf052p-9, 0x1.02fdc22614078p-9, 0x1.f97e70ccaf4cfp-10, 0x1.ed483cf02b704p-10, 0x1.e1577857ff3b3p-10, 0x1.d5aab93c9cc2bp-10, 0x1.ca409c5645ecap-10, 0x1.bf17c4c416f43p-10, 0x1.b42edbf4c1476p-10, 0x1.a984918eca8a9p-10, 0x1.9f179b590aa8fp-10, 0x1.94e6b523484b9p-10, 0x1.8af0a0afab3c2p-10, 0x1.8134259b58db9p-10, 0x1.77b0114842d79p-10, 0x1.6e6336c67e87fp-10, 0x1.654c6ebe0500dp-10, 0x1.5c6a97591c082p-10, 0x1.53bc942de6ddfp-10, 0x1.4b414e297db5cp-10, 0x1.42f7b37a2d02dp-10, 0x1.3adeb77aa4959p-10, 0x1.32f5529c8b5ap-10, 0x1.2b3a8254ace8dp-10, 0x1.23ad49057fc2cp-10, 0x1.1c4cadebc3796p-10, 0x1.1517bd09f59adp-10, 0x1.0e0d8714db968p-10, 0x1.072d215fb04ecp-10, 0x1.0075a5c8ea736p-10, 0x1.f3cc654e48262p-11, 0x1.e6fbd56c3fcbfp-11, 0x1.da77ea0876f06p-11, 0x1.ce3ef9bfbfbb5p-11, 0x1.c24f638aac87fp-11, 0x1.b6a78e9988858p-11, 0x1.ab45ea30acaadp-11, 0x1.a028ed85bbb32p-11, 0x1.954f179c83ce3p-11, 0x1.8ab6ef24f342dp-11, 0x1.805f02598b2aep-11, 0x1.7645e6dd9a574p-11, 0x1.6c6a399c9c429p-11, 0x1.62ca9ea99eff2p-11, 0x1.5965c11f50e72p-11, 0x1.503a53004f9a3p-11, 0x1.47470d1806debp-11, 0x1.3e8aaedbad764p-11, 0x1.3603fe4c70963p-11, 0x1.2db1c7d8ec221p-11, 0x1.2592de40562bcp-11, 0x1.1da61a74b7b57p-11, 0x1.15ea5b7f095c9p-11, 0x1.0e5e8662065b4p-11, 0x1.070185ff0b4e9p-11, 0x1.ffa495f538fa9p-12, 0x1.f19f97417f138p-12, 0x1.e3f2079606e8ap-12, 0x1.d699e98bd2621p-12, 0x1.c9954a6e597c8p-12, 0x1.bce24207e25ep-12, 0x1.b07ef2708ef83p-12, 0x1.a46987dbe929p-12, 0x1.98a03868a5683p-12, 0x1.8d2143f1046ffp-12, 0x1.81eaf3dadf52fp-12, 0x1.76fb9ae9cf1b3p-12, 0x1.6c519511a82cep-12, 0x1.61eb4748e6cccp-12, 0x1.57c71f5cae452p-12, 0x1.4de393c5ec548p-12, 0x1.443f237cd86bap-12, 0x1.3ad855d08c42dp-12, 0x1.31adba3c6bbc7p-12, 0x1.28bde83f8f8a5p-12, 0x1.20077f35149b4p-12, 0x1.1789262c3d998p-12, 0x1.0f418bc14d0e1p-12, 0x1.072f65f819527p-12, 0x1.fea2e42bed71p-13, 0x1.ef4ce8fa38012p-13, 0x1.e05a710ff9cc5p-13, 0x1.d1c920cbfa684p-13, 0x1.c396a9f06d849p-13, 0x1.b5c0cb5d8d1e8p-13, 0x1.a84550cf9e4d6p-13, 0x1.9b221299860e4p-13, 0x1.8e54f56601b87p-13, 0x1.81dbe9f6384d1p-13, 0x1.75b4ece1fb38dp-13, 0x1.69de065ba7b9fp-13, 0x1.5e5549f108dc8p-13, 0x1.5318d651275f4p-13, 0x1.4826d5100f2d7p-13, 0x1.3d7d7a6eb1cap-13, 0x1.331b0520ae18cp-13, 0x1.28fdbe15d2055p-13, 0x1.1f23f842abaadp-13, 0x1.158c106b3c52fp-13, 0x1.0c346cedf29bfp-13, 0x1.031b7d90811abp-13, 0x1.f47f76996bc5cp-14, 0x1.e33f503c74e3dp-14, 0x1.d2739da6ad3c4p-14, 0x1.c21985b5275e9p-14, 0x1.b22e402aa927dp-14, 0x1.a2af155233c69p-14, 0x1.93995da4af022p-14, 0x1.84ea816f294d6p-14, 0x1.769ff87cd4f5ap-14, 0x1.68b749bfa5ac5p-14, 0x1.5b2e0afe1ea16p-14, 0x1.4e01e080458f3p-14, 0x1.41307cbe34491p-14, 0x1.34b7a01276e34p-14, 0x1.28951869c36ebp-14, 0x1.1cc6c0fa5b78fp-14, 0x1.114a81f68e97ep-14, 0x1.061e50447d8dp-14, 0x1.f6805a6b7cda7p-15, 0x1.e15c4c843783ap-15, 0x1.cccca984a69b1p-15, 0x1.b8cdbb572b253p-15, 0x1.a55be29cbf1adp-15, 0x1.9273962990ecfp-15, 0x1.80116285e5f31p-15, 0x1.6e31e9737d68dp-15, 0x1.5cd1e17064c72p-15, 0x1.4bee15404f872p-15, 0x1.3b83637a96bap-15, 0x1.2b8ebe10ab52fp-15, 0x1.1c0d29e3f7b7fp-15, 0x1.0cfbbe544bcc4p-15, 0x1.fcaf49aabe0ecp-16, 0x1.e03c310609d7dp-16, 0x1.c498cb793218dp-16, 0x1.a9bfd37ac2687p-16, 0x1.8fac2473b2a7bp-16, 0x1.7658b9fd7ba63p-16, 0x1.5dc0af253b5e8p-16, 0x1.45df3dadeb68cp-16, 0x1.2eafbd5d574ep-16, 0x1.182da34597819p-16, 0x1.0254811c50b05p-16, 0x1.da4009125a0f6p-17, 0x1.b117ed04409c3p-17, 0x1.89287552e103bp-17, 0x1.62699d4c5ea87p-17, 0x1.3cd39320c8de2p-17, 0x1.185eb6a267079p-17, 0x1.ea0730370206p-18, 0x1.a575ee6284e15p-18, 0x1.62fb83684559fp-18, 0x1.228a25322946fp-18, 0x1.c828c356bfa31p-19, 0x1.4f1a3986b995bp-19, 0x1.b39e392c1abp-20, 0x1.a0b9ffdcea793p-21, -0x1.77fa431efeaadp-25, -0x1.c1cf3c6c6234ap-21, -0x1.af48953deb96fp-20, -0x1.3b87df6ab2bddp-19, -0x1.9c348057523a6p-19, -0x1.f9bf92b01e1abp-19, -0x1.2a1ef8e974b55p-18, -0x1.55e1f9263855fp-18, -0x1.8032b2ac0bca9p-18, -0x1.a91acdf8f83f6p-18, -0x1.d0a3b503e1af5p-18, -0x1.f6d694c0d660bp-18, -0x1.0dde2f56bd1bbp-17, -0x1.1faee514b0fbcp-17, -0x1.30e1ab04d5be1p-17, -0x1.417aa4ee973dbp-17, -0x1.517ddbb08a4d6p-17, -0x1.60ef3de328d07p-17, -0x1.6fd2a087436c9p-17, -0x1.7e2bbf9f267d6p-17, -0x1.8bfe3ed7179c7p-17, -0x1.994daa18f384p-17, -0x1.a61d762a40293p-17, -0x1.b271013abde82p-17, -0x1.be4b93761433ep-17, -0x1.c9b05f972769dp-17, -0x1.d4a283693fba2p-17, -0x1.df25085336c0cp-17, -0x1.e93ae3dcf86fcp-17, -0x1.f2e6f8292607dp-17, -0x1.fc2c147a746c3p-17, -0x1.02867ad31a2f8p-16, -0x1.06c6234a691e6p-16, -0x1.0ad6505492484p-16, -0x1.0eb846203ad15p-16, -0x1.126d408c1af0ap-16, -0x1.15f6735efc5b6p-16, -0x1.19550a7b5f64dp-16, -0x1.1c8a2a14c5a8ep-16, -0x1.1f96eee05ccep-16, -0x1.227c6e46b2732p-16, -0x1.253bb6940708dp-16, -0x1.27d5cf25a369ep-16, -0x1.2a4bb8993262ap-16, -0x1.2c9e6cf815f51p-16, -0x1.2ecedfe318d91p-16, -0x1.30ddfebc594d8p-16, -0x1.32ccb0d13330cp-16, -0x1.349bd781f2493p-16, -0x1.364c4e695e5cbp-16, -0x1.37deeb82a3e82p-16, -0x1.39547f4de7491p-16, -0x1.3aadd4f778eccp-16, -0x1.3bebb2776ff02p-16, -0x1.3d0ed8b6f0b63p-16, -0x1.3e1803b0c192ep-16, -0x1.3f07ea92e7309p-16, -0x1.3fdf3fdd98041p-16, -0x1.409eb1833b16p-16, -0x1.4146e906bc37bp-16, -0x1.41d88b9896317p-16, -0x1.42543a34392d2p-16, -0x1.42ba91bce1bb9p-16, -0x1.430c2b176206dp-16, -0x1.43499b4636492p-16, -0x1.43737382d4387p-16, -0x1.438a415798f86p-16, -0x1.438e8eb822cdfp-16, -0x1.4380e219ce227p-16, -0x1.4361be8a3b8fbp-16, -0x1.4331a3c7099c6p-16, -0x1.42f10e540dae5p-16, -0x1.42a077907c9c5p-16, -0x1.424055cd083eap-16, -0x1.41d11c5ec561ap-16, -0x1.41533bb4d77c7p-16, -0x1.40c7216b3072dp-16, -0x1.402d385e0a3efp-16, -0x1.3f85e8bb2d1e9p-16, -0x1.3ed1981563792p-16, -0x1.3e10a975ac98p-16, -0x1.3d437d6b79a74p-16, -0x1.3c6a721def8f3p-16, -0x1.3b85e35c66f8ep-16, -0x1.3a962aadb6792p-16, -0x1.399b9f5f8561p-16, -0x1.3896969543c41p-16, -0x1.37876356ede3fp-16, -0x1.366e569ed2afdp-16, -0x1.354bbf67e1bc5p-16, -0x1.341feaba24224p-16, -0x1.32eb23b8e4fe8p-16, -0x1.31adb3ae6598ep-16, -0x1.3067e218eb6cbp-16, -0x1.2f19f4b66c631p-16, -0x1.2dc42f8fe26bdp-16, -0x1.2c66d505a9b36p-16, -0x1.2b0225d9b348ap-16, -0x1.2996613ab78ffp-16, -0x1.2823c4ce32259p-16, -0x1.26aa8cbb112bbp-16, -0x1.252af3b3819e2p-16, -0x1.23a532fea8302p-16, -0x1.2219828178a14p-16, -0x1.208818c87d05p-16, -0x1.1ef12b10552dfp-16, -0x1.1d54ed4ebc2p-16, -0x1.1bb3923a5ede3p-16, -0x1.1a0d4b536e921p-16, -0x1.186248eb7982dp-16, -0x1.16b2ba2d1af9fp-16, -0x1.14fecd2356d93p-16, -0x1.1346aec169ebfp-16, -0x1.118a8ae908246p-16, -0x1.0fca8c7257704p-16, -0x1.0e06dd31d1ba2p-16, -0x1.0c3fa5fefb7c1p-16, -0x1.0a750ebb30a94p-16, -0x1.08a73e5761362p-16, -0x1.06d65ada023bap-16, -0x1.0502896521b02p-16, -0x1.032bee3bfa961p-16, -0x1.0152acc8a9976p-16, -0x1.feedcf42ce42cp-17, -0x1.fb31811b3c648p-17, -0x1.f770b1163a2d5p-17, -0x1.f3ab9fa6851b1p-17, -0x1.efe28bbea9d1dp-17, -0x1.ec15b2db3326dp-17, -0x1.e845510b6107cp-17, -0x1.e471a0fa0a9e1p-17, -0x1.e09adbf5dd98ap-17, -0x1.dcc139fa3a8afp-17, -0x1.d8e4f1b71c4e2p-17, -0x1.d5063898c89d8p-17, -0x1.d12542cfd72c2p-17, -0x1.cd424358db0d1p-17, -0x1.c95d6c02c2158p-17, -0x1.c576ed76a3bd9p-17, -0x1.c18ef73e99914p-17, -0x1.bda5b7cbe09a3p-17, -0x1.b9bb5c7dc5fdep-17, -0x1.b5d011a84a1bdp-17, -0x1.b1e4029990b46p-17, -0x1.adf7599ff3e9fp-17, -0x1.aa0a4010598c3p-17, -0x1.a61cde4b556d2p-17, -0x1.a22f5bc2d8f11p-17, -0x1.9e41deffc8ae2p-17, -0x1.9a548da6e0c89p-17, -0x1.96678c7da647bp-17, -0x1.927aff6fb3359p-17, -0x1.8e8f0993855d4p-17, -0x1.8aa3cd2ea74ep-17, -0x1.86b96bbaa7739p-17, -0x1.82d005e94e119p-17, -0x1.7ee7bba929b6bp-17, -0x1.7b00ac2987405p-17, -0x1.771af5deb07acp-17, -0x1.7336b6859c16p-17, -0x1.6f540b27f9d5ep-17, -0x1.6b731020068d9p-17, -0x1.6793e11c40671p-17, -0x1.63b699226876p-17, -0x1.5fdb5293c88dbp-17, -0x1.5c0227303362fp-17, -0x1.582b3018d51fep-17, -0x1.545685d47093bp-17, -0x1.50844051ae122p-17, -0x1.4cb476ea95a65p-17, -0x1.48e7406747704p-17, -0x1.451cb300dac69p-17, -0x1.4154e46466d94p-17, -0x1.3d8fe9b5a1685p-17, -0x1.39cdd7917fc82p-17, -0x1.360ec21100f89p-17, -0x1.3252bccb95298p-17, -0x1.2e99dad9be505p-17, -0x1.2ae42ed73e06cp-17, -0x1.2731cae562d46p-17, -0x1.2382c0ae0f3bcp-17, -0x1.1fd7216518813p-17, -0x1.1c2efdcae3816p-17, -0x1.188a662e9221ap-17, -0x1.14e96a7020e54p-17, -0x1.114c1a0241114p-17, -0x1.0db283ec668cep-17, -0x1.0a1cb6ccd59cep-17, -0x1.068ac0da9f2ebp-17, -0x1.02fcafe730559p-17, -0x1.fee522c09e527p-18, -0x1.f7d8e4a413e79p-18, -0x1.f0d4bed07bc8bp-18, -0x1.e9d8c9e0db2fdp-18, -0x1.e2e51db66c23dp-18, -0x1.dbf9d17cd7c64p-18, -0x1.d516fbac29d49p-18, -0x1.ce3cb20c4c70bp-18, -0x1.c76b09b9295bap-18, -0x1.c0a217246cc09p-18, -0x1.b9e1ee185b8bfp-18, -0x1.b32aa1bbffe39p-18, -0x1.ac7c449477361p-18, -0x1.a5d6e88896f14p-18, -0x1.9f3a9ee38c5fcp-18, -0x1.98a778570659ap-18, -0x1.921d84feb71bp-18, -0x1.8b9cd46207346p-18, -0x1.852575768b9d3p-18, -0x1.7eb776a324f6ep-18, -0x1.7852e5c1e9414p-18, -0x1.71f7d02281b66p-18, -0x1.6ba6428d0933fp-18, -0x1.655e49434a703p-18, -0x1.5f1ff00395bd5p-18, -0x1.58eb420b66175p-18, -0x1.52c04a18c4d0dp-18, -0x1.4c9f126c50f77p-18, -0x1.4687a4cc3c944p-18, -0x1.407a0a858e9f8p-18, -0x1.3a764c6e01776p-18, -0x1.347c72e6e1dc9p-18, -0x1.2e8c85de4481ap-18, -0x1.28a68cd0d73fp-18, -0x1.22ca8ecc3ceadp-18, -0x1.1cf89270a85d1p-18, -0x1.17309df299c09p-18, -0x1.1172b71ca2cecp-18, -0x1.0bbee351968ddp-18, -0x1.0615278d85848p-18, -0x1.0075886807fc8p-18, -0x1.f5c0142bd4115p-19, -0x1.eaa960d4bf456p-19, -0x1.dfa6fdb21c285p-19, -0x1.d4b8f0eef24cfp-19, -0x1.c9df3ffd4fe79p-19, -0x1.bf19ef992c40ap-19, -0x1.b46903cc029e4p-19, -0x1.a9cc7feeb8ccdp-19, -0x1.9f4466ade0a18p-19, -0x1.94d0ba0c86d38p-19, -0x1.8a717b65a6391p-19, -0x1.8026ab710fe39p-19, -0x1.75f04a44a7997p-19, -0x1.6bce5757a43edp-19, -0x1.61c0d185d28cfp-19, -0x1.57c7b711794c2p-19, -0x1.4de305a6f282cp-19, -0x1.4412ba5e3e67ep-19, -0x1.3a56d1be9ad72p-19, -0x1.30af47c073a68p-19, -0x1.271c17cfca4edp-19, -0x1.1d9d3ccf6630cp-19, -0x1.1432b11aaddafp-19, -0x1.0adc6e88587c6p-19, -0x1.019a6e6cf1ccap-19, -0x1.f0d9533ad5453p-20, -0x1.dea630e07cbedp-20, -0x1.cc9b65830a58dp-20, -0x1.bab8dfe81847ep-20, -0x1.a8fe8de7d630ap-20, -0x1.976c5c71aef83p-20, -0x1.860237909259p-20, -0x1.74c00a6f34175p-20, -0x1.63a5bf5d65acep-20, -0x1.52b33fd233016p-20, -0x1.41e87472800e9p-20, -0x1.31454512247edp-20, -0x1.20c998bbbe4cdp-20, -0x1.107555b3025dfp-20, -0x1.0048617731a81p-20, -0x1.e085419370ab8p-21, -0x1.c0c7ef621a724p-21, -0x1.a15892f7b7725p-21, -0x1.8236f18bc9c9fp-21, -0x1.6362cef59487p-21, -0x1.44dbedb6c7d8cp-21, -0x1.26a20efe6bb13p-21, -0x1.08b4f2b52a8e3p-21, -0x1.d628af02fd626p-22, -0x1.9b7ff59659be1p-22, -0x1.616f319aaff04p-22, -0x1.27f5d922cc0a2p-22, -0x1.de26bff4319f8p-23, -0x1.6d8e6f5ebc41cp-23, -0x1.fc433e761413dp-24, -0x1.1fbe540b53571p-24, -0x1.162f302ff69a1p-26, 0x1.24ad6a484c3cp-25, 0x1.67eb92f386ee5p-24, 0x1.1d9a9c4815053p-23, 0x1.861b0c69686ddp-23, 0x1.ed7856e5b8473p-23, 0x1.29d9de2ea081ap-22, 0x1.5c67407665c24p-22, 0x1.8e64f60e93a3dp-22, 0x1.bfd3a4589a2b6p-22, 0x1.f0b3f257d8f16p-22, 0x1.1083444dcefadp-21, 0x1.2866089bd3cf3p-21, 0x1.40029bd969865p-21, 0x1.5759548408b95p-21, 0x1.6e6a89c86207cp-21, 0x1.8536937dbe0adp-21, 0x1.9bbdca25386a2p-21, 0x1.b20086dbd7dd9p-21, 0x1.c7ff235d57d68p-21, 0x1.ddb9f9fc54071p-21, 0x1.f331659bba6c5p-21, 0x1.0432e0d5d00dep-20, 0x1.0eabb51154ecbp-20, 0x1.19035dbde7e3ep-20, 0x1.233a0956dbe62p-20, 0x1.2d4fe69366a47p-20, 0x1.37452468149a2p-20, 0x1.4119f1fcb96cdp-20, 0x1.4ace7eb1e41cp-20, 0x1.5462fa1a4f33p-20, 0x1.5dd793f9e3244p-20, 0x1.672c7c427143fp-20, 0x1.7061e313c19dbp-20, 0x1.7977f8b70c452p-20, 0x1.826eed9e72715p-20, 0x1.8b46f260f69fap-20, 0x1.940037bce43c9p-20, 0x1.9c9aee8ef4ffp-20, 0x1.a51747d667c28p-20, 0x1.ad7574b1030a5p-20, 0x1.b5b5a655864cep-20, 0x1.bdd80e1a35258p-20, 0x1.c5dcdd6801813p-20, 0x1.cdc445c2518fap-20, 0x1.d58e78c0b8973p-20, 0x1.dd3ba80be1347p-20, 0x1.e4cc055ed5ef8p-20, 0x1.ec3fc284c7b0ep-20, 0x1.f3971155070b3p-20, 0x1.fad223b31ebfap-20, 0x1.00f895c70469fp-19, 0x1.047a2d6dc7d64p-19, 0x1.07edf1cc9eeddp-19, 0x1.0b53fbe5a2684p-19, 0x1.0eac64bb429ccp-19, 0x1.11f745526439cp-19, 0x1.1534b6b008c0ap-19, 0x1.1864d1d85e231p-19, 0x1.1b87afceb462bp-19, 0x1.1e9d69941b0b5p-19, 0x1.21a618281ad17p-19, 0x1.24a1d4851aa8cp-19, 0x1.2790b7a363a53p-19, 0x1.2a72da753d6f1p-19, 0x1.2d4855e8788fap-19, 0x1.301142e46e8b2p-19, 0x1.32cdba49a511cp-19, 0x1.357dd4f24baa8p-19, 0x1.3821abaf80742p-19, 0x1.3ab9574a72ae3p-19, 0x1.3d44f0838c47fp-19, 0x1.3fc49010728dep-19, 0x1.42384e9da7855p-19, 0x1.44a044cc3797dp-19, 0x1.46fc8b3174663p-19, 0x1.494d3a579f6a9p-19, 0x1.4b926abba048dp-19, 0x1.4dcc34cdc1e35p-19, 0x1.4ffab0f0e92b7p-19, 0x1.521df77937cb9p-19, 0x1.543620aca8f38p-19, 0x1.564344c2f1103p-19, 0x1.58457be2c6956p-19, 0x1.5a3cde23c6cbap-19, 0x1.5c29838d2f893p-19, 0x1.5e0b84151b331p-19, 0x1.5fe2f79ff132ep-19, 0x1.61aff60129629p-19, 0x1.637296f8f3f4p-19, 0x1.652af23627779p-19, 0x1.66d91f5331739p-19, 0x1.687d35d8aa6ffp-19, 0x1.6a174d39b8be8p-19, 0x1.6ba77cd683177p-19, 0x1.6d2ddbfa6aecfp-19, 0x1.6eaa81db59238p-19, 0x1.701d859abfbfap-19, 0x1.7186fe4418d23p-19, 0x1.72e702cc89a94p-19, 0x1.743daa140f26p-19, 0x1.758b0ae2bf9bcp-19, 0x1.76cf3beae4a65p-19, 0x1.780a53c6f73b6p-19, 0x1.793c68fa1d55ap-19, 0x1.7a6591eff176ap-19, 0x1.7b85e4fba82bfp-19, 0x1.7c9d7857d2f4cp-19, 0x1.7dac6227ee037p-19, 0x1.7eb2b8748fb7ap-19, 0x1.7fb0912e7a557p-19, 0x1.80a6022d18101p-19, 0x1.8193212ddbef7p-19, 0x1.827803d42b54fp-19, 0x1.8354bfaa69758p-19, 0x1.84296a1f94e12p-19, 0x1.84f6188903627p-19, 0x1.85bae02101c74p-19, 0x1.8677d6076807p-19, 0x1.872d0f402eaadp-19, 0x1.87daa0b5759dfp-19, 0x1.88809f3484553p-19, 0x1.891f1f6fdc274p-19, 0x1.89b635fead5f1p-19, 0x1.8a45f75ad9112p-19, 0x1.8ace77e42038cp-19, 0x1.8b4fcbdc6108p-19, 0x1.8bca076a35e74p-19, 0x1.8c3d3e97900ddp-19, 0x1.8ca985516639cp-19, 0x1.8d0eef6896a8ep-19, 0x1.8d6d909098bfep-19, 0x1.8dc57c60b6a2bp-19, 0x1.8e16c652a738ep-19, 0x1.8e6181c2b0309p-19, 0x1.8ea5c1f122755p-19, 0x1.8ee399ffc0f3ap-19, 0x1.8f1b1cf30b7cap-19, 0x1.8f4c5db318193p-19, 0x1.8f776f094303bp-19, 0x1.8f9c63a16e975p-19, 0x1.8fbb4e0ae2678p-19, 0x1.8fd440b5d2df2p-19, 0x1.8fe74df55d1d1p-19, 0x1.8ff487febd317p-19, 0x1.8ffc00e91a3c1p-19, 0x1.8ffdcaadba4ddp-19, 0x1.8ff9f7283086dp-19, 0x1.8ff098153c47cp-19, 0x1.8fe1bf15214a5p-19, 0x1.8fcd7da85c44ap-19, 0x1.8fb3e5324437bp-19, 0x1.8f9506f85975dp-19, 0x1.8f70f420dd596p-19, 0x1.8f47bdb565298p-19, 0x1.8f1974a01d203p-19, 0x1.8ee629ae2b76ep-19, 0x1.8eaded8d531dap-19, 0x1.8e70d0cedffa4p-19, 0x1.8e2ee3e43bd6cp-19, 0x1.8de83721e8769p-19, 0x1.8d9cdabe5c795p-19, 0x1.8d4cded0f6b97p-19, 0x1.8cf853540925fp-19, 0x1.8c9f4823d39f2p-19, 0x1.8c41ccfd93949p-19, 0x1.8bdff1823fd79p-19, 0x1.8b79c53375294p-19, 0x1.8b0f57754f811p-19, 0x1.8aa0b78f14ae2p-19, 0x1.8a2df4a857a93p-19, 0x1.89b71dcccc903p-19, 0x1.893c41e95bd3ap-19, 0x1.88bd6fcd7f8c7p-19, 0x1.883ab62b81be2p-19, 0x1.87b42397a42a2p-19, 0x1.8729c688c091fp-19, 0x1.869bad5908acbp-19, 0x1.8609e643afc9bp-19, 0x1.85747f690a506p-19, 0x1.84db86c99c6b5p-19, 0x1.843f0a4b0223ep-19, 0x1.839f17b43e909p-19, 0x1.82fbbcb052c32p-19, 0x1.825506cca760dp-19, 0x1.81ab037abe22p-19, 0x1.80fdc00e26652p-19, 0x1.804d49bedcc59p-19, 0x1.7f99ada7c8e11p-19, 0x1.7ee2f8c74b26fp-19, 0x1.7e2937fff01fbp-19, 0x1.7d6c78175f2edp-19, 0x1.7cacc5b7167fep-19, 0x1.7bea2d6d6535ep-19, 0x1.7b24bbab16344p-19, 0x1.7a5c7cc694dc6p-19, 0x1.79917cf997436p-19, 0x1.78c3c86210e29p-19, 0x1.77f36b0389962p-19, 0x1.772070c41f7f5p-19, 0x1.764ae570e39f1p-19, 0x1.7572d4b96753bp-19, 0x1.74984a33ead56p-19, 0x1.73bb515a9548bp-19, 0x1.72dbf58cadc2ep-19, 0x1.71fa420f98eedp-19, 0x1.7116420cc86f5p-19, 0x1.70300093fda3bp-19, 0x1.6f47889a78f9ap-19, 0x1.6e5ce4fa714eap-19, 0x1.6d702074e8991p-19, 0x1.6c8145b009f9ap-19, 0x1.6b905f3844323p-19, 0x1.6a9d77808ac9dp-19, 0x1.69a898e15d984p-19, 0x1.68b1cd9a673fdp-19, 0x1.67b91fd14958bp-19, 0x1.66be9992af69ep-19, 0x1.65c244d1f7dd7p-19, 0x1.64c42b693775dp-19, 0x1.63c45719ec95bp-19, 0x1.62c2d18ca0b57p-19, 0x1.61bfa450ae2a7p-19, 0x1.60bad8de261bcp-19, 0x1.5fb478930a4f3p-19, 0x1.5eac8cb67e95p-19, 0x1.5da31e76ac0f9p-19, 0x1.5c9836e9d5537p-19, 0x1.5b8bdf0edf99bp-19, 0x1.5a7e1fcbe5d9ep-19, 0x1.596f01f0d04b7p-19, 0x1.585e8e34731adp-19, 0x1.574ccd37e1445p-19, 0x1.5639c78386acdp-19, 0x1.55258589f00f3p-19, 0x1.54100fa6001fep-19, 0x1.52f96e1bbc313p-19, 0x1.51e1a91994353p-19, 0x1.50c8c8b599152p-19, 0x1.4faed4f19a766p-19, 0x1.4e93d5b765316p-19, 0x1.4d77d2db92bdcp-19, 0x1.4c5ad41cf50bfp-19, 0x1.4b3ce1239ea44p-19, 0x1.4a1e0182e4dadp-19, 0x1.48fe3cb81f4cbp-19, 0x1.47dd9a2b29003p-19, 0x1.46bc212f10caap-19, 0x1.4599d9012f453p-19, 0x1.4476c8ca5a0e1p-19, 0x1.4352f79e60596p-19, 0x1.422e6c7c2c608p-19, 0x1.41092e4e9f977p-19, 0x1.3fe343eb7d659p-19, 0x1.3ebcb41512452p-19, 0x1.3d95857888073p-19, 0x1.3c6dbeb0341f6p-19, 0x1.3b45664158e8dp-19, 0x1.3a1c829e96881p-19, 0x1.38f31a2638d81p-19, 0x1.37c9332372bd2p-19, 0x1.369ed3ce25a68p-19, 0x1.3574024ad1fe2p-19, 0x1.3448c4ab71a2fp-19, 0x1.331d20ee388d1p-19, 0x1.31f11cfff33d9p-19, 0x1.30c4beb92f4p-19, 0x1.2f980be1c83ebp-19, 0x1.2e6b0a2d8b5adp-19, 0x1.2d3dbf3f97499p-19, 0x1.2c1030a7d7455p-19, 0x1.2ae263e4f7fecp-19, 0x1.29b45e63ceda7p-19, 0x1.2886257f065a2p-19, 0x1.2757be80c1c6dp-19, 0x1.26292ea0a9661p-19, 0x1.24fa7b0613e0ep-19, 0x1.23cba8c6cb84cp-19, 0x1.229cbce7911e5p-19, 0x1.216dbc5ccfd4fp-19, 0x1.203eac0995b94p-19, 0x1.1f0f90c10f14bp-19, 0x1.1de06f45826ddp-19, 0x1.1cb14c4911a58p-19, 0x1.1b822c6de93c1p-19, 0x1.1a531445a821bp-19, 0x1.19240852eb2a1p-19, 0x1.17f50d07630ebp-19, 0x1.16c626c65e1adp-19, 0x1.159759e288dc2p-19, 0x1.1468aaa02c4b2p-19, 0x1.133a1d33727e2p-19, 0x1.120bb5c25fa46p-19, 0x1.10dd7862d3479p-19, 0x1.0faf691d2a2d7p-19, 0x1.0e818be98fc7bp-19, 0x1.0d53e4b32b02dp-19, 0x1.0c2677550a40dp-19, 0x1.0af9479d70707p-19, 0x1.09cc594b1094dp-19, 0x1.089fb00f8f5f6p-19, 0x1.07734f8de9529p-19, 0x1.06473b5ba696bp-19, 0x1.051b7700581e3p-19, 0x1.03f005f62d872p-19, 0x1.02c4eba9c0a5fp-19, 0x1.019a2b7a1ebeap-19, 0x1.006fc8b996e42p-19, 0x1.fe8b8d5963e71p-20, 0x1.fc3851175603ap-20, 0x1.f9e5e302b1db8p-20, 0x1.f794495803decp-20, 0x1.f5438a3aa8335p-20, 0x1.f2f3abb49484dp-20, 0x1.f0a4b3b79e4bbp-20, 0x1.ee56a81bf3f5ep-20, 0x1.ec098ea2d1ceap-20, 0x1.e9bd6cf3d6501p-20, 0x1.e77248a008e65p-20, 0x1.e528271fd0d0dp-20, 0x1.e2df0dd4c24d5p-20, 0x1.e0970208d971ep-20, 0x1.de5008ef7ebbfp-20, }}, 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
    }}, 
    {
      26, 0x1.beb851eb851ecp+2, 0x1.30c2fb732a886p+1, 0x1.389feb3f04a55p+3, -0x1.5cd171d47cf24p-8, 
      {{
        {0x1.6e147ae147ae1p+2, 0x1.7p+2, 0x1.059ca268cf401p-6, -0x1.9f41dba6851d1p-5, 0x1.ee5a7c9e94335p-5, -0x1.039e78cf5d11bp-5}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.db24fbebdf3c1p-7, -0x1.824c09980917bp-5, 0x1.d6fcdd443c76ap-5, -0x1.f4b41677dcbfep-6}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.9278429c11be6p-7, -0x1.55136d26c808ep-5, 0x1.b16f5b94d8b53p-5, -0x1.df6bc2165ea93p-6}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.527815e7136eep-7, -0x1.2b87bc14c7d6dp-5, 0x1.8d7a79d32b357p-5, -0x1.cacd62807566bp-6}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.1a6c51ed9349dp-7, -0x1.0580bcbf81657p-5, 0x1.6b1178d6559ap-5, -0x1.b60178c50612dp-6}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.d34997004e002p-8, -0x1.c5ad59ea1a0ap-6, 0x1.4a37c2fac1f25p-5, -0x1.a141c2d415455p-6}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.7ef2a03e95e0dp-8, -0x1.86c355050f92p-6, 0x1.2aec6df7a6c07p-5, -0x1.8c7ec7deb6083p-6}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.36934bf6c4586p-8, -0x1.4df3b790b88bdp-6, 0x1.0d2fb893bf8p-5, -0x1.77bcad308cac8p-6}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.f1f62fd2d9d95p-9, -0x1.1aeec9b57494fp-6, 0x1.e20323f9d04cap-6, -0x1.62fa5669fdf76p-6}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8a12e66de10afp-9, -0x1.dac9a9adbce87p-7, 0x1.acc3fd69ea339p-6, -0x1.4e380fbdcfe5p-6}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.335b7cbefadfep-9, -0x1.8a0c440833bf6p-7, 0x1.7aa1fb0d716bp-6, -0x1.3975c4c0802fcp-6}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.d79d2d0c3d656p-10, -0x1.4305f4c5d74ebp-7, 0x1.4b9d1d8a2afdap-6, -0x1.24b37aed5602ap-6}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.63157485bd4d7p-10, -0x1.05174e2616667p-7, 0x1.1fb564b35e16ep-6, -0x1.0ff130c2bf8d4p-6}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.059ca268cf46dp-10, -0x1.9f41c4d712087p-8, 0x1.edd5a12c4f83bp-7, -0x1.f65dcd9753e69p-7}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.77de9d66055a4p-11, -0x1.440687b07a6c5p-8, 0x1.a27ac2559c867p-7, -0x1.ccd938bc0b62ep-7}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.0613adc238d4cp-11, -0x1.ee7c12b4fe427p-9, 0x1.5d5a2d06346b1p-7, -0x1.a354a72e34ca1p-7}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.60a177bc5bb7fp-12, -0x1.6f52dcc0b28edp-9, 0x1.1e73e0bf4619dp-7, -0x1.79d009578c938p-7}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.c63662c111eafp-13, -0x1.0813b65588d0fp-9, 0x1.cb8fbeb1153bp-8, -0x1.504b995708fb9p-7}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.150680b51eed1p-13, -0x1.6c81d28d4c3dbp-10, 0x1.66ac43e3c5bccp-8, -0x1.26c67e468a802p-7}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.3b1dca436e24p-14, -0x1.dd72ee95cd75dp-11, 0x1.0e3d846835c82p-8, -0x1.fa87c33f9194p-8}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.46a55f357e181p-15, -0x1.23a60622689c9p-11, 0x1.848581708cb13p-9, -0x1.a76fecc44c03p-8}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.296e63c24e401p-16, -0x1.434ad59beeeap-12, 0x1.057d8735a9175p-9, -0x1.549d8e2d06eddp-8}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.be4c5b8a68p-18, -0x1.35f2a315c6b5ap-13, 0x1.3e9c85e9e7a0cp-10, -0x1.00c7ed32650abp-8}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.e5b3568330002p-20, -0x1.d2be90534ef56p-15, 0x1.4915ef30ef9cp-11, -0x1.6173bbc46f53ep-9}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.169f2f3338p-22, -0x1.b7750b26cc5b9p-17, 0x1.d40ec6ec4ccc6p-13, -0x1.4a43292d62811p-10}, 
        {0x1.bcccccccccccdp+2, 0x1.beb851eb851ecp+2, 0x1.60a177d4p-28, -0x1.e777fb3121a41p-23, 0x1.1ef8bc70f4p-15, -0x1.f32622b486a2ap-9}, 
      }}, 
      0x1.2268ba26a2e43p-3, -0x1.b17de686c0edp+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.2eae0da0eaaep-1, -0x1.2b337b046522dp-1, -0x1.2587f4d3aad53p-1, -0x1.1dd4b808d284fp-1, -0x1.144a835df498dp-1, -0x1.091e28fce32c1p-1, -0x1.f90c11f7cf0f5p-2, -0x1.dd70807332bc9p-2, -0x1.bfd2b96c9aae8p-2, -0x1.a096e911478bfp-2, -0x1.801b103fece83p-2, -0x1.5eb63ce1ec717p-2, -0x1.3cb826544237bp-2, -0x1.1a690c0dcb859p-2, -0x1.f01386c005a3bp-3, -0x1.aba7e22cdc3ap-3, -0x1.67f4be8b8a852p-3, -0x1.2552b09562fcdp-3, -0x1.c81c4feeb619cp-4, -0x1.48d0c38f556aep-4, -0x1.9a60f84a94a41p-5, -0x1.5659c2bf710ccp-6, 0x1.db389a98ae728p-8, 0x1.18e6046b0954ep-5, 0x1.ecf69fddc3821p-5, 0x1.5bac15df34282p-4, 0x1.bbefdb888f412p-4, 0x1.0b9d5e5bd0ad2p-3, 0x1.36c49fe4ce896p-3, 0x1.5f6f9df84fa42p-3, 0x1.85a36eff25e75p-3, 0x1.a967e6b6f0e38p-3, 0x1.cac72b192a4cap-3, 0x1.e9cd66f71d157p-3, 0x1.0344325affea4p-2, 0x1.1083a4ea87c9dp-2, 0x1.1cad55e13f6d6p-2, 0x1.27c9cb7821488p-2, 0x1.31e210831ac45p-2, 0x1.3aff693aaf064p-2, 0x1.432b4fb1f4eafp-2, 0x1.4a6f59a23fe57p-2, 0x1.50d52e47c3fd8p-2, 0x1.566676bf5ce57p-2, 0x1.5b2ccf4ef60fap-2, 0x1.5f31c0709e3aap-2, 0x1.627eb2041c9f8p-2, 0x1.651ce7fb3d265p-2, 0x1.6715768823013p-2, 0x1.687140ea93aa7p-2, 0x1.6938f0655ca4cp-2, 0x1.6974f3bc6c88p-2, 0x1.692d7a2980474p-2, 0x1.686a71640d786p-2, 0x1.67338336a96d1p-2, 0x1.659011b95ef6fp-2, 0x1.6387441f57b4ap-2, 0x1.611fe97ceea08p-2, 0x1.5e6096ed870b1p-2, 0x1.5b4f989ce538dp-2, 0x1.57f2efe60f177p-2, 0x1.545060bbbc6cbp-2, 0x1.506d669edb707p-2, 0x1.4c4f3b8d7437ep-2, 0x1.47fad7acd564p-2, 0x1.4374f4b31ac3p-2, 0x1.3ec20de211562p-2, 0x1.39e662aee0323p-2, 0x1.34e5f8e011f16p-2, 0x1.2fc49d51a2c5p-2, 0x1.2a85e7bab14a5p-2, 0x1.252d3baffff2ap-2, 0x1.1fbdcad9e6571p-2, 0x1.1a3a960a97054p-2, 0x1.14a6713bcc3e1p-2, 0x1.0f0404a91b426p-2, 0x1.0955cd9f61e57p-2, 0x1.039e224400217p-2, 0x1.fbbe656d9ae14p-3, 0x1.f036156e01014p-3, 0x1.e4a72743f7598p-3, 0x1.d9152cd7b8334p-3, 0x1.cd837943e4a26p-3, 0x1.c1f52690e7bf7p-3, 0x1.b66d15e22c8dep-3, 0x1.aaedf595e764ep-3, 0x1.9f7a400aebbd1p-3, 0x1.9414433aabb6bp-3, 0x1.88be20d62e53dp-3, 0x1.7d79cd19f745ap-3, 0x1.72491aeba1ed6p-3, 0x1.672db487ca4cep-3, 0x1.5c292260fbfa9p-3, 0x1.513ccb8ccc5dep-3, 0x1.4669f90233b4fp-3, 0x1.3bb1d6382a7c1p-3, 0x1.311573554d8d7p-3, 0x1.2695c6f5ced57p-3, 0x1.1c33af4df4c53p-3, 0x1.11eff426a2421p-3, 0x1.07cb473ca37dep-3, 0x1.fb8c8e93dcc4ap-4, 0x1.e7c2fed5c3af8p-4, 0x1.d43ad5ff73b1dp-4, 0x1.c0f4dd33723afp-4, 0x1.adf1d14d4cfcep-4, 0x1.9b3245fb5a0b2p-4, 0x1.88b6b6c6c5ebep-4, 0x1.767f866c1abb8p-4, 0x1.648cffd9e83dep-4, 0x1.52df588b7ce2bp-4, 0x1.4176b193c85eap-4, 0x1.305319de6bf07p-4, 0x1.1f748d8c32414p-4, 0x1.0edafa9aa4341p-4, 0x1.fd0c7f1f2d7dap-5, 0x1.dcec5980e30d5p-5, 0x1.bd550e474bea7p-5, 0x1.9e460fad096cdp-5, 0x1.7fbebb340c44ep-5, 0x1.61be5b954c2dep-5, 0x1.44442a273a2e1p-5, 0x1.274f50ec6c826p-5, 0x1.0adeeb73b98d6p-5, 0x1.dde410f75829fp-6, 0x1.a70f56dd83805p-6, 0x1.713d99aa08c2ap-6, 0x1.3c6cb949c59d6p-6, 0x1.089a82f0defb1p-6, 0x1.ab896d103cdabp-7, 0x1.47d20c46145aep-7, 0x1.cc146099ff953p-8, 0x1.0c5a25a114325p-8, 0x1.41aecfb29f1d6p-10, -0x1.9f0318c6ce42p-10, -0x1.1c352c6e33d69p-8, -0x1.ccfb82b8e7481p-8, -0x1.3d0ee9b111579p-7, -0x1.91d321d885149p-7, -0x1.e4cf7a8731976p-7, -0x1.1b0485443561fp-6, -0x1.42c2746871005p-6, -0x1.69a418af36d5fp-6, -0x1.8fabfc0ffaep-6, -0x1.b4dca9cef636dp-6, -0x1.d938aa1c610ddp-6, -0x1.fcc2837e43ac5p-6, -0x1.0fbe5ca9bdac6p-5, -0x1.20b4e5eed2fa5p-5, -0x1.31461c0f4cc7ep-5, -0x1.41733acff12e3p-5, -0x1.513d7c4521c73p-5, -0x1.60a618e95f94cp-5, -0x1.6fae44a3b53fdp-5, -0x1.7e5732d73b09ep-5, -0x1.8ca2131acc5d1p-5, -0x1.9a9012804a5cap-5, -0x1.a8225b15653d6p-5, -0x1.b55a1408f21b3p-5, -0x1.c238612ba85b3p-5, -0x1.cebe6423594cp-5, -0x1.daed3a9bb2de9p-5, -0x1.e6c5ff5665a2p-5, -0x1.f249ca94340c6p-5, -0x1.fd79b089002cbp-5, -0x1.042b6192e3bf7p-4, -0x1.097108603a0d3p-4, -0x1.0e8e526f3d1a2p-4, -0x1.1383c3e2fc447p-4, -0x1.1851df82e444bp-4, -0x1.1cf926a3a96fap-4, -0x1.217a19102ba27p-4, -0x1.25d535086c71bp-4, -0x1.2a0af7b3f1009p-4, -0x1.2e1bdc86a0b33p-4, -0x1.32085e21c5de3p-4, -0x1.35d0f5708c081p-4, -0x1.39761a183f297p-4, -0x1.3cf842a73d6d4p-4, -0x1.4057e49628974p-4, -0x1.43957454925ddp-4, -0x1.46b164d51b3cfp-4, -0x1.49ac2806b2a4bp-4, -0x1.4c862efa72af1p-4, -0x1.4f3fe9f474faep-4, -0x1.51d9c7b81b68dp-4, -0x1.545436f6db74bp-4, -0x1.56afa485d5223p-4, -0x1.58ec7cdb74506p-4, -0x1.5b0b2bbc835acp-4, -0x1.5d0c1c5153076p-4, -0x1.5eefb8b154b4dp-4, -0x1.60b66a0962147p-4, -0x1.6260991d28e17p-4, -0x1.63eeae1d402c6p-4, -0x1.656110ef7e984p-4, -0x1.66b8288b428d9p-4, -0x1.67f45afe5f968p-4, -0x1.69160ebe4148dp-4, -0x1.6a1da80446a85p-4, -0x1.6b0b8d0dd2ccap-4, -0x1.6be021fda1aecp-4, -0x1.6c9bcaef5878ap-4, -0x1.6d3eeb57de78cp-4, -0x1.6dc9e6625ec07p-4, -0x1.6e3d1ee8d0ec7p-4, -0x1.6e98f7a1dd08p-4, -0x1.6eddd30812ed8p-4, -0x1.6f0c12dc9dbd1p-4, -0x1.6f24184e6b02ap-4, -0x1.6f2644852b4ddp-4, -0x1.6f12f8846388cp-4, -0x1.6eea9507282ap-4, -0x1.6ead7a6a22856p-4, -0x1.6e5c08d409b6fp-4, -0x1.6df69fc465b45p-4, -0x1.6d7d9e7bf5596p-4, -0x1.6cf164244de2dp-4, -0x1.6c524f9cea5e7p-4, -0x1.6ba0bfd057f45p-4, -0x1.6add1341dd078p-4, -0x1.6a07a7557c6bdp-4, -0x1.6920d951ba371p-4, -0x1.6829078eebf82p-4, -0x1.67208e3253dcp-4, -0x1.6607ca57b828cp-4, -0x1.64df1873e9dedp-4, -0x1.63a6d489ba513p-4, -0x1.625f5a233de17p-4, -0x1.6109045e8801ep-4, -0x1.5fa42e0497f6p-4, -0x1.5e313189e535cp-4, -0x1.5cb06952d9b01p-4, -0x1.5b222ee9dc781p-4, -0x1.5986db87605d2p-4, -0x1.57dec7cade0a6p-4, -0x1.562a4bd90f2e6p-4, -0x1.5469bf615e05cp-4, -0x1.529d79a0c7b36p-4, -0x1.50c5d16d5ef13p-4, -0x1.4ee31d0f24363p-4, -0x1.4cf5b20e35505p-4, -0x1.4afde57dc80c9p-4, -0x1.48fc0bb99146dp-4, -0x1.46f0785f285e9p-4, -0x1.44db7eb21c1f1p-4, -0x1.42bd715f56f7cp-4, -0x1.4096a1fd0f112p-4, -0x1.3e6762d04231p-4, -0x1.3c3002bc16b9fp-4, -0x1.39f0d2db633a1p-4, -0x1.37aa2187dca69p-4, -0x1.355c3d15c29bbp-4, -0x1.3307730ed982ap-4, -0x1.30ac104d53aa9p-4, -0x1.2e4a60d20503fp-4, -0x1.2be2afc130bc6p-4, -0x1.297547636e4c1p-4, -0x1.2702711f631dbp-4, -0x1.248a75b4d7ca6p-4, -0x1.220d9c6686502p-4, -0x1.1f8c2c7fb3e94p-4, -0x1.1d066bc5198cbp-4, -0x1.1a7c9f6356e15p-4, -0x1.17ef0b6e4b8ecp-4, -0x1.155df324c514bp-4, -0x1.12c998b3d13e8p-4, -0x1.10323d6671edep-4, -0x1.0d982180d5f17p-4, -0x1.0afb845be88a2p-4, -0x1.085ca45e5a46ep-4, -0x1.05bbbeec07cc9p-4, -0x1.0319107120dfap-4, -0x1.0074d457b633bp-4, -0x1.fb9e89db6792ep-5, -0x1.f651372d4c25dp-5, -0x1.f10221375b56bp-5, -0x1.ebb1b6893388dp-5, -0x1.e660639cea17fp-5, -0x1.e10e92d69d382p-5, -0x1.dbbcadb99884cp-5, -0x1.d66b18e5fcc74p-5, -0x1.d11a3998b13f3p-5, -0x1.cbca71c66aa95p-5, -0x1.c67c21f600f6p-5, -0x1.c12fa79109861p-5, -0x1.bbe55e9573659p-5, -0x1.b69da0e4a55cep-5, -0x1.b158c6172afacp-5, -0x1.ac17240c370b7p-5, -0x1.a6d90e4ead37bp-5, -0x1.a19ed66a8b58bp-5, -0x1.9c68cbd8e31b2p-5, -0x1.97373c070c9a2p-5, -0x1.920a72449833bp-5, -0x1.8ce2b7405f15fp-5, -0x1.87c0549e27ccap-5, -0x1.82a38bd77ff08p-5, -0x1.7d8ca42a7d257p-5, -0x1.787bdbead2ba6p-5, -0x1.7371757637279p-5, -0x1.6e6daa0708c0ep-5, -0x1.6970b8c84077ap-5, -0x1.647ad99bcaf53p-5, -0x1.5f8c446afc9eep-5, -0x1.5aa52ed6d2915p-5, -0x1.55c5cccb06209p-5, -0x1.50ee50382d1c1p-5, -0x1.4c1ee93fe44dfp-5, -0x1.4757c63600e1dp-5, -0x1.429913bbf3efp-5, -0x1.3de2fc5999b1dp-5, -0x1.3935a9441c7eep-5, -0x1.349141ad3224ep-5, -0x1.2ff5eb16c0133p-5, -0x1.2b63c96659e76p-5, -0x1.26dafeca15d3ep-5, -0x1.225babbbf4244p-5, -0x1.1de5ef25227e9p-5, -0x1.1979e6756be0ap-5, -0x1.1517ad52c7eadp-5, -0x1.10bf5df8ae673p-5, -0x1.0c71111312068p-5, -0x1.082cddcd71fd4p-5, -0x1.03f2d9d7ed5fcp-5, -0x1.ff8632e17543bp-6, -0x1.f73b5eb316b6dp-6, -0x1.ef055a753b0ebp-6, -0x1.e6e445b882d28p-6, -0x1.ded83e0ab8b17p-6, -0x1.d6e15e482a9eap-6, -0x1.ceffbe811f023p-6, -0x1.c733744de4e53p-6, -0x1.bf7c92ca1c6a2p-6, -0x1.b7db2aa1bfafep-6, -0x1.b04f4a1d21b62p-6, -0x1.a8d8fd4d04cebp-6, -0x1.a1784df8e4c1ap-6, -0x1.9a2d438915736p-6, -0x1.92f7e364ea4cbp-6, -0x1.8bd830af908dp-6, -0x1.84ce2c4dd9f65p-6, -0x1.7dd9d511ef51bp-6, -0x1.76fb2768e0d97p-6, -0x1.70321f1cf2e45p-6, -0x1.697eb58499af6p-6, -0x1.62e0e17be0843p-6, -0x1.5c58997ef8638p-6, -0x1.55e5d1e79c89dp-6, -0x1.4f887d332dfb6p-6, -0x1.49408bf949635p-6, -0x1.430decea92287p-6, -0x1.3cf08bcc5f00dp-6, -0x1.36e857dd3372ep-6, -0x1.30f5356be7822p-6, -0x1.2b171181dd7eap-6, -0x1.254dd387f634cp-6, -0x1.1f99634c2cc48p-6, -0x1.19f9a7035ac33p-6, -0x1.146e83c58ed45p-6, -0x1.0ef7dc91063b9p-6, -0x1.099592465abcdp-6, -0x1.04478375e4e8cp-6, -0x1.fe1b1ad487845p-7, -0x1.f3cf194677241p-7, -0x1.e9aac0920477fp-7, -0x1.dfadc69e9203fp-7, -0x1.d5d7eabfad951p-7, -0x1.cc28eb534375bp-7, -0x1.c2a0851a56d39p-7, -0x1.b93e70695ef7bp-7, -0x1.b0025f6c24466p-7, -0x1.a6ebfc793056p-7, -0x1.9dfaeb2606141p-7, -0x1.952ecad70609ep-7, -0x1.8c87391fb3f25p-7, -0x1.8403e1ac1312dp-7, -0x1.7ba45dd922f03p-7, -0x1.73687548cb34cp-7, -0x1.6b4fd579d888fp-7, -0x1.635a3d008db59p-7, -0x1.5b8764c57878bp-7, -0x1.53d6fbb67d87dp-7, -0x1.4c48a4e1c36dfp-7, -0x1.44dbf6baf36ep-7, -0x1.3d907eed97ff1p-7, -0x1.3665c858b8e82p-7, -0x1.2f5b629b2510cp-7, -0x1.2870e76cd3427p-7, -0x1.21a601421c913p-7, -0x1.1afa6613a5411p-7, -0x1.146dd1e7a9a3ep-7, -0x1.0e0007d578818p-7, -0x1.07b0b4ff6652bp-7, -0x1.017f84fa7bd14p-7, -0x1.f6d80976f813dp-8, -0x1.eaeb720f647b9p-8, -0x1.df383c1cc0b32p-8, -0x1.d3bd66774dcedp-8, -0x1.c87a0cbfe3343p-8, -0x1.bd6d75cef0e07p-8, -0x1.b297186eb157fp-8, -0x1.a7f69332219bdp-8, -0x1.9d8b9863e758ep-8, -0x1.9355d29ec322cp-8, -0x1.8954c319af7fp-8, -0x1.7f87c4e458e92p-8, -0x1.75ede358129a4p-8, -0x1.6c85f4f5ac6fep-8, -0x1.634ebaea86b27p-8, -0x1.5a46f284ba858p-8, -0x1.516d7749cc258p-8, -0x1.48c15c1429b9cp-8, -0x1.4041f9d9c30e7p-8, -0x1.37eee9ae0702cp-8, -0x1.2fc7fe65e74cfp-8, -0x1.27cd2e6f6f78ap-8, -0x1.1ffe674db0cfep-8, -0x1.185b7afbf04ebp-8, -0x1.10e3ec163dfb2p-8, -0x1.099710d1c0739p-8, -0x1.0273ef2945299p-8, -0x1.f6f2d0f611f3cp-9, -0x1.e94ca05292a77p-9, -0x1.dbf3014d202f6p-9, -0x1.cee3d8443591dp-9, -0x1.c21d46c6df5a3p-9, -0x1.b59dc4fcb6192p-9, -0x1.a9645aa2693dap-9, -0x1.9d700f5a4680ep-9, -0x1.91c0894527c67p-9, -0x1.865579ff08762p-9, -0x1.7b2e7bd5a93f9p-9, -0x1.704ae740f976fp-9, -0x1.65a9c25b866cbp-9, -0x1.5b49e9273d42p-9, -0x1.512a1cae9c2bfp-9, -0x1.474925b1448b6p-9, -0x1.3da5ca902bffp-9, -0x1.343ea823b00e6p-9, -0x1.2b12192257275p-9, -0x1.221e5b766b2eep-9, -0x1.1961a1014bc35p-9, -0x1.10da7a8213bd4p-9, -0x1.0887e41dc0df8p-9, -0x1.0069325934bdap-9, -0x1.f0fbb2b6fbdb1p-10, -0x1.e18a6e3d657ap-10, -0x1.d27d08f2152b6p-10, -0x1.c3d1e161931bdp-10, -0x1.b58796ae40cb6p-10, -0x1.a79d18084ab11p-10, -0x1.9a11cb86e82dep-10, -0x1.8ce416fb53487p-10, -0x1.80122b62d673ap-10, -0x1.73987c7012fa3p-10, -0x1.67732198e1febp-10, -0x1.5b9e40b8c2272p-10, -0x1.50173ac7381f7p-10, -0x1.44dc438f5017cp-10, -0x1.39ecee8843008p-10, -0x1.2f48892d91965p-10, -0x1.24ee127c1fac8p-10, -0x1.1adc3e5058151p-10, -0x1.1111e93f64d1ap-10, -0x1.078e7f4db374fp-10, -0x1.fca4234a65b27p-11, -0x1.eaba03f2bc1e2p-11, -0x1.d95ea60ab970fp-11, -0x1.c88fbcc22e8ap-11, -0x1.b847ac29999dep-11, -0x1.a87df8b15f637p-11, -0x1.9929031b0b6f1p-11, -0x1.8a4065fe16d4bp-11, -0x1.7bbea26e029d3p-11, -0x1.6da162d407be2p-11, -0x1.5fe86c42d69bfp-11, -0x1.52940d8b8ca8p-11, -0x1.45a404e30d876p-11, -0x1.39174887fe52dp-11, -0x1.2cec6227cd263p-11, -0x1.21224ddf578ep-11, -0x1.15b8b57e4c727p-11, -0x1.0aaff32921ab4p-11, -0x1.000926d53f712p-11, -0x1.eb86ac27e38b1p-12, -0x1.d7bca273d2407p-12, -0x1.c4ab82274ea7cp-12, -0x1.b24cfbc60d71ap-12, -0x1.a0948b4027537p-12, -0x1.8f755e9a23e2cp-12, -0x1.7ee2e55d7ce82p-12, -0x1.6ed29bf4b15b1p-12, -0x1.5f3e0468b6f59p-12, -0x1.50232676a837ap-12, -0x1.418315bee6402p-12, -0x1.335ea68232ae6p-12, -0x1.25b5d845febb7p-12, -0x1.1888b856b933cp-12, -0x1.0bd87f1ee6b4ap-12, -0x1.ff49bbd3767ccp-13, -0x1.e7d3cdaf80a03p-13, -0x1.d14356e627a2bp-13, -0x1.bb903d69c8407p-13, -0x1.a6b9df7644211p-13, -0x1.92c3ce3845e42p-13, -0x1.7faf1db300474p-13, -0x1.6d75f606cb86ep-13, -0x1.5c0b0a421aadep-13, -0x1.4b5b5a33d39b8p-13, -0x1.3b4f29659d5eap-13, -0x1.2bdea2174f4b9p-13, -0x1.1d0b83c87d01ap-13, -0x1.0ed8f7679a862p-13, -0x1.013df7f847deap-13, -0x1.e857b23768ddfp-14, -0x1.cf3d10c7b99eep-14, -0x1.b73b1aedc093dp-14, -0x1.a05cd5081c829p-14, -0x1.8a960402db53dp-14, -0x1.75d8d2ad712ebp-14, -0x1.620efbc25fc31p-14, -0x1.4f26c8851390ap-14, -0x1.3d25ff2cabafbp-14, -0x1.2c1e137ddc78ap-14, -0x1.1c138523b07e1p-14, -0x1.0d06aae83d2f9p-14, -0x1.fdc90392e25d6p-15, -0x1.e31acdc1d75c4p-15, -0x1.c9b8c2d18c80cp-15, -0x1.b185c794fa3a8p-15, -0x1.9ab24ba6557c5p-15, -0x1.85690bd476586p-15, -0x1.718d1bbe43f57p-15, -0x1.5ef349bc51edcp-15, -0x1.4d996bf450c06p-15, -0x1.3d7b7e20ca4cfp-15, -0x1.2e7574100c4cfp-15, -0x1.20642bdc14bf5p-15, -0x1.133e36a7342abp-15, -0x1.07093ec25b414p-15, -0x1.f78b8e2b69a84p-16, -0x1.e2c628da05a9fp-16, -0x1.cfbdbe3e39116p-16, -0x1.be91758f29a2ap-16, -0x1.af42ccef703f8p-16, -0x1.a1db62f10083cp-16, -0x1.963029e1ff46cp-16, -0x1.8c0109fe55087p-16, -0x1.8311b3a6e4654p-16, -0x1.7b199fdc1a039p-16, -0x1.7441609be0793p-16, -0x1.6ebb7f7e2fe5bp-16, -0x1.6a4a322a2e0e2p-16, -0x1.66d9c9611925ap-16, -0x1.64ab00bd858a4p-16, -0x1.63c7b535d7c44p-16, -0x1.6403ad43aeb8dp-16, -0x1.652de924b3fe7p-16, -0x1.6709bd7e73633p-16, -0x1.698c0841e507ep-16, -0x1.6ca476c2f63e5p-16, -0x1.7066ab55fe488p-16, -0x1.74e7be89dce52p-16, -0x1.7a07206992604p-16, -0x1.7fb7785779852p-16, -0x1.860f2133a7d7ep-16, -0x1.8d168568d0639p-16, -0x1.94a997bb586efp-16, -0x1.9ca901370fae1p-16, -0x1.a5222e5c9d1cdp-16, -0x1.ae05fe082df56p-16, -0x1.b72a518969bd7p-16, -0x1.c09eeae7000b5p-16, -0x1.ca4b0ef8faa22p-16, -0x1.d430019328f14p-16, -0x1.de7669a8d2976p-16, -0x1.e90a118e1b89ep-16, -0x1.f3cf7032e315ep-16, -0x1.fec53c4424575p-16, -0x1.04fa01414dbddp-15, -0x1.0aa76a62d901ap-15, -0x1.106c21f52cf9p-15, -0x1.163c48175a292p-15, -0x1.1c0461987d71ep-15, -0x1.21d9aa640d962p-15, -0x1.27b43ce19b99ap-15, -0x1.2d8c9ccc2959p-15, -0x1.336d56ac08b29p-15, -0x1.3955dbca0bd6ep-15, -0x1.3f3beae17dab8p-15, -0x1.4518657847af7p-15, -0x1.4aeb535b7b98ap-15, -0x1.50be5512e8758p-15, -0x1.569198aadb757p-15, -0x1.5c549ab61d7bfp-15, -0x1.61fcda363df4bp-15, -0x1.679f365d6db5cp-15, -0x1.6d38d8a1d608cp-15, -0x1.72c4a13868826p-15, -0x1.783d39dcc96aep-15, -0x1.7da1b8df4bd97p-15, -0x1.82f28f879937p-15, -0x1.882ff48d1d906p-15, -0x1.8d5a48808ab99p-15, -0x1.92733aecec52cp-15, -0x1.97753863546b7p-15, -0x1.9c6303463d1fcp-15, -0x1.a13a1b2be5413p-15, -0x1.a5f26e8d16ce2p-15, -0x1.aa8fe4431ca05p-15, -0x1.af186ae4396b2p-15, -0x1.b38898ba2e62ep-15, -0x1.b7dc11c4c715ap-15, -0x1.bc13171c42deep-15, -0x1.c02ee321f55c7p-15, -0x1.c42dd83aaf2cbp-15, -0x1.c810f13ef9775p-15, -0x1.cbdb2f0e0f9a5p-15, -0x1.cf88f98027918p-15, -0x1.d3161fd672fbbp-15, -0x1.d6868e364c917p-15, -0x1.d9dbad3fc467bp-15, -0x1.dd135a65a97aep-15, -0x1.e02cd290fde6cp-15, -0x1.e328a5c37d091p-15, -0x1.e5ffab05ee999p-15, -0x1.e8c07df3637d3p-15, -0x1.eb68eabecd894p-15, -0x1.eded3ee6db791p-15, -0x1.f054f33b2311dp-15, -0x1.f2a0b1b8ed054p-15, -0x1.f4cba8e0a6d3bp-15, -0x1.f6dde2609b292p-15, -0x1.f8ce5973d4ec4p-15, -0x1.faa3d18e802c2p-15, -0x1.fc5bf553ce389p-15, -0x1.fdf72ceabc8f3p-15, -0x1.ff761172eae76p-15, -0x1.0071324fa2dc5p-14, -0x1.010eeadaaf947p-14, -0x1.01a3c3f274683p-14, -0x1.022abdd22402cp-14, -0x1.02a4037a6afdfp-14, -0x1.030fb234878a3p-14, -0x1.036de08740063p-14, -0x1.03bedb2ddcb28p-14, -0x1.04005be9cc28fp-14, -0x1.0438d2e22ff73p-14, -0x1.0462840f22e09p-14, -0x1.047f56664ad05p-14, -0x1.049006ca46525p-14, -0x1.04916d2cd145ap-14, -0x1.048b0e66584d3p-14, -0x1.0476d58cceb07p-14, -0x1.0455fd74d21f2p-14, -0x1.042a33097d9d8p-14, -0x1.03f22e967b4f2p-14, -0x1.03af29b2b6063p-14, -0x1.0360d156ce97p-14, -0x1.0307517b503ecp-14, -0x1.02a33f3a48f5fp-14, -0x1.023452273e88dp-14, -0x1.01bb0dc31f3d8p-14, -0x1.013779aeb98d5p-14, -0x1.00a9c645345f2p-14, -0x1.00123a6025b92p-14, -0x1.fee1f87e45f23p-15, -0x1.fd8bac4e553cep-15, -0x1.fc240c34e6675p-15, -0x1.faa96d5664723p-15, -0x1.f91d1dac64106p-15, -0x1.f77f2cc17502ep-15, -0x1.f5d004c3e25b1p-15, -0x1.f40ff46a8d3b9p-15, -0x1.f23f96f80e8e9p-15, -0x1.f05f62867db88p-15, -0x1.ee6dd76c52da1p-15, -0x1.ec6e384b9dbd1p-15, -0x1.ea6251f07abdfp-15, -0x1.e8459de5530e9p-15, -0x1.e61ae22c37b63p-15, -0x1.e3e2896eaafc6p-15, -0x1.e19c5b8b678ccp-15, -0x1.df49a6e859ca5p-15, -0x1.dce98a7d510a4p-15, -0x1.da7dbd0abf1fp-15, -0x1.d80981d6bc773p-15, -0x1.d581c356860b2p-15, -0x1.d2f3003ac5fddp-15, -0x1.d05920596a09ep-15, -0x1.cdb4cbcf26fc5p-15, -0x1.cb049cef158c6p-15, -0x1.c8426c59775b6p-15, -0x1.c58bd5aa70f0ap-15, -0x1.c2bacad16063ep-15, -0x1.bfed15be5565p-15, -0x1.bd0e5f68ca33ep-15, -0x1.ba2846e94699bp-15, -0x1.b73ab86430492p-15, -0x1.b445679e37cf8p-15, -0x1.b1489e0fadf61p-15, -0x1.ae4797ac8c938p-15, -0x1.ab3b12e7833ap-15, -0x1.a82a247a68868p-15, -0x1.a512fedbce2c6p-15, -0x1.a1f609de766d5p-15, -0x1.9ed388b3c1fcfp-15, -0x1.9bab7eca8ccdfp-15, -0x1.987e9027156d2p-15, -0x1.954cbb82f3586p-15, -0x1.9215f3572c81p-15, -0x1.8edb0d4a3860bp-15, -0x1.8b9c4d38c929cp-15, -0x1.8859b67884f81p-15, -0x1.851389b9282b2p-15, -0x1.81ca18b28ac2p-15, -0x1.7e7d964c1ad83p-15, -0x1.7b2e3d564bed3p-15, -0x1.77dc459445136p-15, -0x1.7487f5905bc7dp-15, -0x1.71317bd430826p-15, -0x1.6dd906e7c7335p-15, -0x1.6a800e17b3f9bp-15, -0x1.672362ca416cap-15, -0x1.63c6492e08fe3p-15, -0x1.60684bf9a831ap-15, -0x1.5d096ff3c1137p-15, -0x1.59a9d8817ef8bp-15, -0x1.5649aef25daa1p-15, -0x1.52e9275511d72p-15, -0x1.4f888fece8b48p-15, -0x1.4c28301dc1756p-15, -0x1.48c70d5d6c2d6p-15, -0x1.4567ea5fc895ep-15, -0x1.42087635292bap-15, -0x1.3ea9bb7f38e2p-15, -0x1.3b4f1022068b1p-15, -0x1.37eef10673f9cp-15, -0x1.34935653fd231p-15, -0x1.313671e57359ep-15, -0x1.2de5e84adb591p-15, -0x1.2a7d73aa99787p-15, -0x1.27367f72a2eb9p-15, -0x1.23df484324793p-15, -0x1.208d215998cebp-15, -0x1.1d3defe14e4a2p-15, -0x1.19efa78ccb55fp-15, -0x1.16a63d71942e1p-15, -0x1.135cd3df594b3p-15, -0x1.10170f0d9d01cp-15, -0x1.0cd3ee38a70e3p-15, -0x1.09939b583d047p-15, -0x1.065648982548ap-15, -0x1.031c2aeca0f2fp-15, -0x1.ffc9e9ceda13dp-16, -0x1.f961f8e88ff3p-16, -0x1.f300be8d060fap-16, -0x1.eca686268c605p-16, -0x1.e6532c5ff0d4ep-16, -0x1.e007296593b91p-16, -0x1.d9c205628a7d7p-16, -0x1.d384c427cb691p-16, -0x1.cd4f08413e21fp-16, -0x1.c72136b10e96fp-16, -0x1.c0fb62d164e07p-16, -0x1.badd5faa30696p-16, -0x1.b4c7e1dff71f7p-16, -0x1.aeb901c6b5e0ap-16, -0x1.a8b5f12e7adcfp-16, -0x1.a2b9460e9f826p-16, -0x1.9cc5892f5d7fdp-16, -0x1.96d9cf98cd905p-16, -0x1.90f8c66dec69p-16, -0x1.8b2036b0e4963p-16, -0x1.8548247f28ca2p-16, -0x1.7f8a7490f7844p-16, -0x1.79cc142ec15d8p-16, -0x1.7417c6a36f7fep-16, -0x1.6e706980c47bep-16, -0x1.68d0b452a0019p-16, -0x1.633579db6cc4bp-16, -0x1.5dc03626ce17cp-16, -0x1.5823f27f25212p-16, -0x1.52a851b82fd7ep-16, -0x1.4d379b0fb5e87p-16, -0x1.47d0efc652983p-16, -0x1.4274d6f83115ep-16, -0x1.3d24403c72ff2p-16, -0x1.37d9ce86c8ed7p-16, -0x1.3299d7d88fb6p-16, -0x1.2d650240c2379p-16, -0x1.283aaf158edd8p-16, -0x1.231bf1eb29347p-16, -0x1.1dfd43ca44e43p-16, -0x1.18f7f1f32a31dp-16, -0x1.13f5df9579beap-16, -0x1.0efd41cab9a4dp-16, -0x1.0a07733e22b35p-16, -0x1.052d7782247c3p-16, -0x1.005578863ecdcp-16, -0x1.f70b42f1c1674p-17, -0x1.ed860dfe05f02p-17, -0x1.e4114a388258cp-17, -0x1.dab17fe6fe22bp-17, -0x1.d16678d6ca2c8p-17, -0x1.c830ce6bfd779p-17, -0x1.bf0f7db5fe1fep-17, -0x1.b602ad633320bp-17, -0x1.ad0a95aa3a4b5p-17, -0x1.a428bd913d14ap-17, -0x1.9b4cd50b6b096p-17, -0x1.929d4b267e5b7p-17, -0x1.89f5a004405bbp-17, -0x1.81635dce35cc4p-17, -0x1.78e58f968969ap-17, -0x1.707c10921223ep-17, -0x1.6826cdfa5cd3fp-17, -0x1.5fe5d6980d267p-17, -0x1.57b96c5189724p-17, -0x1.4fa10653e609dp-17, -0x1.4787f9b0b6b66p-17, -0x1.3fab59629c049p-17, -0x1.37cdcc1be3d96p-17, -0x1.3004cde31ee55p-17, -0x1.284f4bc013bf8p-17, -0x1.20abe6b4cf70dp-17, -0x1.191f959a531e3p-17, -0x1.11a5ae597eaa8p-17, -0x1.0a3f8391c87fcp-17, -0x1.02b778a1b4647p-17, -0x1.f74f907ebcffap-18, -0x1.e8fd2cacc6d46p-18, -0x1.dac6db15faaacp-18, -0x1.ccb89dcc0d219p-18, -0x1.bed07f1d9da8ap-18, -0x1.b10e24fb7acefp-18, -0x1.a3717004af06fp-18, -0x1.9604d1a1d7f8fp-18, -0x1.88ab90cf5c536p-18, -0x1.7b6eb2fbfb1e8p-18, -0x1.6e72dbe5d2f07p-18, -0x1.618ef495a1e42p-18, -0x1.54adbaf124a4fp-18, -0x1.483694cf6f78ap-18, -0x1.3bb8685c4461fp-18, -0x1.2f63d1e8ee6a1p-18, -0x1.23348531b10c1p-18, -0x1.172c2b8d155c6p-18, -0x1.0b589a6969ef9p-18, -0x1.fee8f56fd3fd1p-19, -0x1.e79cb31c5be29p-19, -0x1.d0986ffc07c13p-19, -0x1.b9d7493a7072bp-19, -0x1.a35c0fbdd0f32p-19, -0x1.8d27c2a0ac26ep-19, -0x1.7699946c170d9p-19, -0x1.61791e64cb3e5p-19, -0x1.4c03cc551ece8p-19, -0x1.36cf505e099b7p-19, -0x1.21e65acb1ed16p-19, -0x1.0d2f6d8e0c219p-19, -0x1.f17f03a44629p-20, -0x1.c93750dd77e11p-20, -0x1.a10e2f754b432p-20, -0x1.797d989e18e6ap-20, -0x1.53077a0aa2de3p-20, -0x1.2c877a2b55fb5p-20, -0x1.069325b96cac5p-20, -0x1.c19174bca74e1p-21, -0x1.783fe0dfbd7efp-21, -0x1.2f2d23ce2541ap-21, -0x1.ce7c6323252e7p-22, -0x1.3db2adf0a247dp-22, -0x1.66a07c235b89ap-23, -0x1.44737ff29336dp-25, 0x1.81fed26a48e5fp-24, 0x1.cf604cddca213p-23, 0x1.6d17d0d5cd5d4p-22, 0x1.f0b74228860dp-22, 0x1.394a0edfd1f5ap-21, 0x1.7978ef4493796p-21, 0x1.b99c66ccdae11p-21, 0x1.f75658d118b6ap-21, 0x1.1a4a7822307e5p-20, 0x1.38ac43d0f391ap-20, 0x1.5699b76167e2fp-20, 0x1.74483cba4c6f9p-20, 0x1.914e6ee67e63ep-20, 0x1.adfd22b231704p-20, 0x1.ca5a217980bf6p-20, 0x1.e6ef96886eb87p-20, 0x1.00e91956ca9b4p-19, 0x1.0e7c453399189p-19, 0x1.1bdc506e708dp-19, 0x1.295d267912befp-19, 0x1.36133e2dda77ep-19, 0x1.42e605983a112p-19, 0x1.4f805a1a74a45p-19, 0x1.5c5e06f119f81p-19, 0x1.683eef029c0ddp-19, 0x1.7457086759c2bp-19, 0x1.8037d1f62741dp-19, 0x1.8b0653a00332p-19, 0x1.9772b94bc2ff2p-19, 0x1.a2ec66f01d82bp-19, 0x1.ae25f4f020e1bp-19, 0x1.b933fe9e54681p-19, 0x1.c40b8fa8d8885p-19, 0x1.cec7d582659ccp-19, 0x1.d9533affddd02p-19, 0x1.e3b1908c37d14p-19, 0x1.edec3aadf4456p-19, 0x1.f7f90cd40fec6p-19, 0x1.00f068fe719f1p-18, 0x1.05caf374f23b7p-18, 0x1.0ab2fb94e6de3p-18, 0x1.0f505be457a3ep-18, 0x1.13f15591936b8p-18, 0x1.1854e412deb82p-18, 0x1.1d012a0822372p-18, 0x1.215d3d68ede1bp-18, 0x1.25c661c6e8de6p-18, 0x1.2a0a6e472cc2fp-18, 0x1.2e3797d9eef5bp-18, 0x1.325df6029f256p-18, 0x1.366c4b1986bcp-18, 0x1.3a924ae9e8ddap-18, 0x1.3e556cb4215bep-18, 0x1.422eccedf545bp-18, 0x1.45f79fa1415c4p-18, 0x1.49b060036aedp-18, 0x1.4d561dc8892b4p-18, 0x1.5161df5926b07p-18, 0x1.546c3a00c3b2ep-18, 0x1.57e60fd944f9dp-18, 0x1.5b5f35617df35p-18, 0x1.5e9d92e57b33p-18, 0x1.61e5331d4ef78p-18, 0x1.6516f2c98f87cp-18, 0x1.67f1d9a7ffb63p-18, 0x1.6b764c1d01277p-18, 0x1.6e5d7fffb572ep-18, 0x1.7156cbe5819cdp-18, 0x1.746462c126891p-18, 0x1.771cdef729a8bp-18, 0x1.79e789bdd8824p-18, 0x1.7ca414c0e4a87p-18, 0x1.7f683cac0ab3ep-18, 0x1.81e8ddcc39f37p-18, 0x1.848aab0b112ccp-18, 0x1.870ea036f26c3p-18, 0x1.8927ba21d04fcp-18, 0x1.8be294b811da3p-18, 0x1.8e53613039db8p-18, 0x1.90a816ce54695p-18, 0x1.93025b27cb3e7p-18, 0x1.95128862cea2cp-18, 0x1.973ab5a2b7467p-18, 0x1.99607043b0fa1p-18, 0x1.9b9bcc652b95bp-18, 0x1.9dacf69ad22afp-18, 0x1.9f7011a662857p-18, 0x1.a16227ee7889dp-18, 0x1.a3435659f7c7ep-18, 0x1.a518992c36c5p-18, 0x1.a6e24b0155e53p-18, 0x1.a8a1ff975929bp-18, 0x1.aa610f8476ed3p-18, 0x1.abf953276b199p-18, 0x1.ad870e4c2e694p-18, 0x1.af2e5bafeae4dp-18, 0x1.b0b3145abab27p-18, 0x1.b22d58b13a822p-18, 0x1.b39f6c61d81b8p-18, 0x1.b506e563bf069p-18, 0x1.b661f44a4cfd3p-18, 0x1.b7d56ab956f5fp-18, 0x1.b8fed75cb970cp-18, 0x1.ba3d7fd7ba9f1p-18, 0x1.bb7f72dfc4321p-18, 0x1.bc9cfd6b76389p-18, 0x1.bd59ad45d5191p-18, 0x1.bed8bca998547p-18, 0x1.bfe9a1007fd58p-18, 0x1.c0ee1df4ef26bp-18, 0x1.c1f2a3f71765cp-18, 0x1.c2e05577e53a5p-18, 0x1.c39ed02b5d291p-18, 0x1.c4acac4fe2f92p-18, 0x1.c58fd1fe994f4p-18, 0x1.c6542792c69a4p-18, 0x1.c71ccde23d61p-18, 0x1.c7dccf43ddd13p-18, 0x1.c894a717d76a6p-18, 0x1.c946074384022p-18, 0x1.c9ec5ff84715ep-18, 0x1.ca8b2327cbd65p-18, 0x1.cb222a3743ee9p-18, 0x1.cbbb38f65805ep-18, 0x1.cc2dc3f64017fp-18, 0x1.ccb874d527ac7p-18, 0x1.cd39da04ef006p-18, 0x1.cda36797dec05p-18, 0x1.ce1758006ef32p-18, 0x1.ce738a06167f4p-18, 0x1.cea6ef24c1a8fp-18, 0x1.cf14995962966p-18, 0x1.cf718c99cfa81p-18, 0x1.cfb85a9912d76p-18, 0x1.cff8dc2c13782p-18, 0x1.d0321d38a548p-18, 0x1.d06565702743ap-18, 0x1.d08ec1d22c6ep-18, 0x1.d075ddc389b38p-18, 0x1.d0d78ead862ccp-18, 0x1.d0f1ac3794e2ep-18, 0x1.d104643eec841p-18, 0x1.d1134231be912p-18, 0x1.d11abfffb090ap-18, 0x1.d11a3e3bac8f3p-18, 0x1.d1169bbb8cdaap-18, 0x1.d10cb2ff2fe3ep-18, 0x1.d0fbc4fa21442p-18, 0x1.d0e6bfb7428f9p-18, 0x1.d0cc3d07ea02ep-18, 0x1.d0ae0ce5a96a9p-18, 0x1.d08de57c6531cp-18, 0x1.d05cda469f5dcp-18, 0x1.d015b7bc5725fp-18, 0x1.cff445a4076e7p-18, 0x1.cfba4053e90fap-18, 0x1.cf7a9b957668bp-18, 0x1.cf35d418d8121p-18, 0x1.ceecb601bfdfap-18, 0x1.ce9fac9f1e25ep-18, 0x1.ce5e3192dbbd1p-18, 0x1.cdf458d1afff8p-18, 0x1.cd95c1aa3a0f1p-18, 0x1.cd17528a32ca3p-18, 0x1.ccdb6ead2d804p-18, 0x1.cc6495640d9e5p-18, 0x1.cbf8dd4cc26d4p-18, 0x1.cb78e75191382p-18, 0x1.cb0dddf9d0c7bp-18, 0x1.ca93b1d0d1c85p-18, 0x1.ca14970924941p-18, 0x1.c990bda6c1a28p-18, 0x1.c9098cb6866bbp-18, 0x1.c88ce2971f206p-18, }}, 
      {{-0x1.2f75e8ceba768p-1, -0x1.2e4a348f8f728p-1, -0x1.2c5d9eb92e3a5p-1, -0x1.29b92eb3a702p-1, -0x1.2667d15454b22p-1, -0x1.2275d28682d17p-1, -0x1.1df02f891c797p-1, -0x1.18e440f0ce31p-1, -0x1.135f664c7ed8cp-1, -0x1.0d6ecf62edfe4p-1, -0x1.071f4ead32a73p-1, -0x1.007d3033edcc2p-1, -0x1.f328648366b41p-2, -0x1.e4ded9dcbdd98p-2, -0x1.d632941a5a6fcp-2, -0x1.c73701607b8fp-2, -0x1.b7fe2c72f3f07p-2, -0x1.a898bcf576f07p-2, -0x1.9915fd8486442p-2, -0x1.8983f10b24608p-2, -0x1.79ef537c1dd9p-2, -0x1.6a63b6d3a443bp-2, -0x1.5aeb892788c2cp-2, -0x1.4b9029623921cp-2, -0x1.3c59fba6bfe0cp-2, -0x1.2d5077b1fc0f8p-2, -0x1.1e7a375fb8b82p-2, -0x1.0fdd0c2f26b6bp-2, -0x1.017e08530c572p-2, -0x1.e6c328b099154p-3, -0x1.cb16f16056155p-3, -0x1.affdd0c5132c3p-3, -0x1.957d3046281ffp-3, -0x1.7b99747999a42p-3, -0x1.62562d29f8e0fp-3, -0x1.49b6201226871p-3, -0x1.31bb4428f5ad5p-3, -0x1.1a6709985f1c1p-3, -0x1.03ba346d91e99p-3, -0x1.db6a0a557324cp-4, -0x1.b0ae775c09361p-4, -0x1.87405fa01452ap-4, -0x1.5f1da5d8398c9p-4, -0x1.38437bcf9e1cap-4, -0x1.12ae7bbefea45p-4, -0x1.dcb5735f0965dp-5, -0x1.96875a30862a1p-5, -0x1.52c932d55af14p-5, -0x1.117099fd1cb72p-5, -0x1.a4e4da51ca78cp-6, -0x1.2b867f5eba036p-6, -0x1.6d5c53b59c8e7p-7, -0x1.190cd6b46beb6p-8, 0x1.2e9c8f927b38bp-9, 0x1.1b5fa5c7a5fbap-7, 0x1.e2d70db7378fbp-7, 0x1.5120e6f269407p-6, 0x1.acea3009f6a1ap-6, 0x1.0270e723099d5p-5, 0x1.2c910dd114b47p-5, 0x1.54e29600c7a04p-5, 0x1.7b7298206dd42p-5, 0x1.a04decc064f43p-5, 0x1.c38153e94bde2p-5, 0x1.e5197b95532bfp-5, 0x1.029164896062ap-4, 0x1.11d4baf49746bp-4, 0x1.205cc5da4aaabp-4, 0x1.2e2f6ee48c05fp-4, 0x1.3b527a0992089p-4, 0x1.47cb9aa1ab438p-4, 0x1.53a05a3016a09p-4, 0x1.5ed6262fecc02p-4, 0x1.69724b7c8badcp-4, 0x1.7379f60665817p-4, 0x1.7cf23102988bcp-4, 0x1.85dfe69cef7ffp-4, 0x1.8e47ded3d73c9p-4, 0x1.962ec5e6aa92fp-4, 0x1.9d99202a6f2e1p-4, 0x1.a48b5672a5fddp-4, 0x1.ab09af93d1ac8p-4, 0x1.b11854def2b3ap-4, 0x1.b6bb514b46cb7p-4, 0x1.bbf687f37c2c1p-4, 0x1.c0cdd0ac2aaa3p-4, 0x1.c544d0aed4522p-4, 0x1.c95f1e1ed0e84p-4, 0x1.cd20310ea94cbp-4, 0x1.d08b5eb1fa8e7p-4, 0x1.d3a3e886da7e4p-4, 0x1.d66cf32dee5d2p-4, 0x1.d8e989954419dp-4, 0x1.db1c9d47fcefdp-4, 0x1.dd0907e0d83adp-4, 0x1.deb18ad7def2bp-4, 0x1.e018cfc08d8f5p-4, 0x1.e1416d231bb0dp-4, 0x1.e22dde5657183p-4, 0x1.e2e08ef547d5fp-4, 0x1.e35bcdfeff407p-4, 0x1.e3a1e18d200adp-4, 0x1.e3b4f3709aa1fp-4, 0x1.e3971ebceaeb7p-4, 0x1.e34a69d22177ap-4, 0x1.e2d0cbcd431a1p-4, 0x1.e22c290f3f483p-4, 0x1.e15e55a871a85p-4, 0x1.e06915b2fe08cp-4, 0x1.df4e1d785e809p-4, 0x1.de0f1249f1b1bp-4, 0x1.dcad8a5cbae7cp-4, 0x1.db2b0c1bb39a5p-4, 0x1.d9891e4992f53p-4, 0x1.d7c919b7c955p-4, 0x1.d5ec70abd909cp-4, 0x1.d3f46ed9e2e97p-4, 0x1.d1e25ff4daf62p-4, 0x1.cfb77f71c4633p-4, 0x1.cd74ff5ca5456p-4, 0x1.cb1c067531b19p-4, 0x1.c8adb10ff1041p-4, 0x1.c62b11a28f5cbp-4, 0x1.c39530961e80ap-4, 0x1.c0ed0c644fcf2p-4, 0x1.be339bf72e835p-4, 0x1.bb69cc1b967f2p-4, 0x1.b890817e9ba67p-4, 0x1.b5a8990c23463p-4, 0x1.b2b2e6a94381fp-4, 0x1.afb037dc0afd9p-4, 0x1.aca152122e15dp-4, 0x1.a986f3cf6803fp-4, 0x1.a661d49ac6454p-4, 0x1.a332a4016ba4cp-4, 0x1.9ffa101fb275dp-4, 0x1.9cb8ba23aa17fp-4, 0x1.996f4362f9207p-4, 0x1.961e4089307d6p-4, 0x1.92c6469fa84a2p-4, 0x1.8f67e3f3f33f5p-4, 0x1.8c03a15829c46p-4, 0x1.889a008f600bbp-4, 0x1.852b81b6968b6p-4, 0x1.81b89e29ff5c5p-4, 0x1.7e41cbe086d39p-4, 0x1.7ac77be22da99p-4, 0x1.774a1b4b4d7afp-4, 0x1.73ca1305e401cp-4, 0x1.7047c842c314bp-4, 0x1.6cc39c1e43ac5p-4, 0x1.693dea63ae55ap-4, 0x1.65b715d4ff2e5p-4, 0x1.622f67ba2c30cp-4, 0x1.5ea73d26a8b1dp-4, 0x1.5b1ee4e3c497cp-4, 0x1.5796aaa7bdcbp-4, 0x1.540ed9adc6ddap-4, 0x1.5087b7fab5efp-4, 0x1.4d018fd420fbcp-4, 0x1.497c9c3be4a11p-4, 0x1.45f9215201b92p-4, 0x1.42775b8d96c5ep-4, 0x1.3ef784953b292p-4, 0x1.3b79d74f2d337p-4, 0x1.37fe86722532dp-4, 0x1.3485c9714476p-4, 0x1.310fd15535483p-4, 0x1.2d9cce4daf6c6p-4, 0x1.2a2cee89f87cp-4, 0x1.26c05e6c2a229p-4, 0x1.235748987394ep-4, 0x1.1ff1d5fe4e374p-4, 0x1.1c902d3a3d18fp-4, 0x1.193274c29db01p-4, 0x1.15d8cfec098b1p-4, 0x1.1283616bf5b55p-4, 0x1.0f324a22fb429p-4, 0x1.0be5a9c2817eep-4, 0x1.089d9e860ef5fp-4, 0x1.055a455cc336dp-4, 0x1.021bb9c999864p-4, 0x1.fdc42ca4e2e39p-5, 0x1.f75ae83358136p-5, 0x1.f0fbdd939b6b3p-5, 0x1.eaa7251a0408cp-5, 0x1.e45cffcbf4fbep-5, 0x1.de1d8d8b83849p-5, 0x1.d7e8fd61079bap-5, 0x1.d1bf6cc740cafp-5, 0x1.cba102e294ebbp-5, 0x1.c58de0a623ec1p-5, 0x1.bf862683e5ebp-5, 0x1.b989f256fbd6ep-5, 0x1.b39960cc6b7f3p-5, 0x1.adb48ca5ff121p-5, 0x1.a7db8ec833bfdp-5, 0x1.a20e7b75c2bcbp-5, 0x1.9c4d78099fa03p-5, 0x1.96987ece0eac8p-5, 0x1.90efbe982c87p-5, 0x1.8b53386bda9cap-5, 0x1.85c301031bb4p-5, 0x1.803f282356823p-5, 0x1.7ac7bbbf750cep-5, 0x1.755cc87acf302p-5, 0x1.6ffe5a19d0c91p-5, 0x1.6aac7afb1a94ep-5, 0x1.6567342f60a99p-5, 0x1.602e8e251ac6dp-5, 0x1.5b028fe4ecc0bp-5, 0x1.55e33f659ca2p-5, 0x1.50d0a1b67acf1p-5, 0x1.4bcabaf77f252p-5, 0x1.46d18e2afe875p-5, 0x1.41e51d84ec4a2p-5, 0x1.3d056a2986b7bp-5, 0x1.38327440666e3p-5, 0x1.336c3a1505fdep-5, 0x1.2eb2bbafd7d56p-5, 0x1.2a05fd5b72d84p-5, 0x1.2565f1b30a591p-5, 0x1.20d28ee242d74p-5, 0x1.1c4be6f44e591p-5, 0x1.17d1e397c1c35p-5, 0x1.13648286650c6p-5, 0x1.0f03bd969ac29p-5, 0x1.0aaf8d38af62fp-5, 0x1.0667e955b41b1p-5, 0x1.022cc92dbc725p-5, 0x1.fbfc46c89a232p-6, 0x1.f3b7dc0afc7f7p-6, 0x1.eb8c3cbc8d882p-6, 0x1.e37952615a542p-6, 0x1.db7f060c4acbap-6, 0x1.d39d3ee03d83cp-6, 0x1.cbd3e2ff4cebcp-6, 0x1.c422d7f3e10cdp-6, 0x1.bc8a01ee94a69p-6, 0x1.b5094436dd1c1p-6, 0x1.ada080fed5c03p-6, 0x1.a64f9aafdfa54p-6, 0x1.9f1670e3763c2p-6, 0x1.97f4e2c1ceb45p-6, 0x1.90ead0cfcfce5p-6, 0x1.89f817f249601p-6, 0x1.831c955e954a2p-6, 0x1.7c581e9511193p-6, 0x1.75aaac06d8e0ep-6, 0x1.6f13ea49f7d99p-6, 0x1.6893dafba974ep-6, 0x1.622a45889858ap-6, 0x1.5bd70716ef39ep-6, 0x1.5599f83007751p-6, 0x1.4f72f09075e85p-6, 0x1.4961c7ed69d27p-6, 0x1.43665404d4c1cp-6, 0x1.3d806c3c6da64p-6, 0x1.37afe4ebfb95p-6, 0x1.31f499126f4d1p-6, 0x1.2c4e5088c2d9bp-6, 0x1.26bced02c7569p-6, 0x1.21403c9efe32bp-6, 0x1.1bd813d2ef39bp-6, 0x1.16844629e2acbp-6, 0x1.1144a674d3ae5p-6, 0x1.0c1907644a594p-6, 0x1.07013af02677bp-6, 0x1.01fd1385db5a9p-6, 0x1.fa18c5952e20dp-7, 0x1.f05df493ce5a9p-7, 0x1.e6c956baa018cp-7, 0x1.dd5a8e3f69084p-7, 0x1.d4113ce11bd5ep-7, 0x1.caed0485b0ba4p-7, 0x1.c1ed860ec6e0dp-7, 0x1.b912628d572d2p-7, 0x1.b05b3a7ea9627p-7, 0x1.a7c7acbcfc569p-7, 0x1.9f575502bc1f1p-7, 0x1.9709f5bada5f2p-7, 0x1.8edef96c48f2ep-7, 0x1.86d61e3632f58p-7, 0x1.7eeefaf895fc7p-7, 0x1.77294349e2b85p-7, 0x1.6f8482697adf5p-7, 0x1.68005d9a9332fp-7, 0x1.609c77ef5167dp-7, 0x1.59586c5c4356fp-7, 0x1.5233e060371bdp-7, 0x1.4b2e72eb0ef98p-7, 0x1.4447c4b953f4bp-7, 0x1.3d7f76c64492fp-7, 0x1.36d52a53d9ee7p-7, 0x1.304880789c323p-7, 0x1.29d90dc0460e7p-7, 0x1.2386a51280c5ap-7, 0x1.1d5096a06b755p-7, 0x1.1736dad24484ap-7, 0x1.1138d5a3973fbp-7, 0x1.0b566436a6fb4p-7, 0x1.058ed9f3f39e8p-7, 0x1.ffc4476e70fc7p-8, 0x1.f49f8d8760983p-8, 0x1.e9aedbdb7844fp-8, 0x1.def17ea626d17p-8, 0x1.d466c012a5e88p-8, 0x1.ca0dee2e58f05p-8, 0x1.bfe6570ee25f5p-8, 0x1.b5ef4a50964cfp-8, 0x1.ac28174cde3f7p-8, 0x1.a29012511505cp-8, 0x1.99268c2251f04p-8, 0x1.8fead88a5850dp-8, 0x1.86dc4e91a3f3fp-8, 0x1.7dfa4342a0f82p-8, 0x1.75440e7b4f5a1p-8, 0x1.6cb909f6c59dp-8, 0x1.64589015cecc1p-8, 0x1.5c21fb52196a1p-8, 0x1.5414a9b3144fep-8, 0x1.4c2ff95d5b46dp-8, 0x1.44734a12ed15cp-8, 0x1.3cddfcf611a9p-8, 0x1.356f74b83e6a4p-8, 0x1.2e271524d2f26p-8, 0x1.27043e26a4dbap-8, 0x1.2006678611aa7p-8, 0x1.192ce8c85088cp-8, 0x1.127731e40605ep-8, 0x1.0be4acb27c659p-8, 0x1.0574c6c90c032p-8, 0x1.fe4ddd19a8cb8p-9, 0x1.f1f527c9396b2p-9, 0x1.e5de504d63dc8p-9, 0x1.da083b942e9d2p-9, 0x1.ce71d337922ffp-9, 0x1.c31a019898234p-9, 0x1.b7ffb58d6772bp-9, 0x1.ad21e5fbfb745p-9, 0x1.a27f81db3976ep-9, 0x1.9817832248e8ep-9, 0x1.8de8e735ea1acp-9, 0x1.83f29dad39c39p-9, 0x1.7a33c084e2779p-9, 0x1.70ab51f91c747p-9, 0x1.6758442ea96p-9, 0x1.5e39aedf62ef7p-9, 0x1.554e9f7a145b9p-9, 0x1.4c962649c7516p-9, 0x1.440f572a52a3bp-9, 0x1.3bb949c5da509p-9, 0x1.3392f816fbdbfp-9, 0x1.2b9bedcafe687p-9, 0x1.23d2abbc982a4p-9, 0x1.1c36c373e432fp-9, 0x1.14c738d9a9406p-9, 0x1.0d8335a64918ap-9, 0x1.0669ee007774dp-9, 0x1.fef5170f2bdafp-10, 0x1.f16880d89d849p-10, 0x1.e42c806037bbbp-10, 0x1.d73f843e805b7p-10, 0x1.ca9ff77a79b4p-10, 0x1.be4c4b9ef7984p-10, 0x1.b24378d839207p-10, 0x1.a683710d77b33p-10, 0x1.9b0af544b3fa7p-10, 0x1.8fd89d1febc55p-10, 0x1.84eaffc8dc882p-10, 0x1.7a40b5905216ap-10, 0x1.6fd8645552141p-10, 0x1.65b0b2766afc1p-10, 0x1.5bc84d2c68bc3p-10, 0x1.521de6246df65p-10, 0x1.48b0081bc8fafp-10, 0x1.3f7e50da057a8p-10, 0x1.3685a3a2c1e27p-10, 0x1.2dc6f7e4c516ap-10, 0x1.253fcad1439f1p-10, 0x1.1cef3f1c277c4p-10, 0x1.14d42a25ca759p-10, 0x1.0ced6f4581f19p-10, 0x1.0539ead0e5bcbp-10, 0x1.fb710a0f2df18p-11, 0x1.ecd046c458ce4p-11, 0x1.de8f651e1186fp-11, 0x1.d0ac5baf5aa8ep-11, 0x1.c324f8e1d894ep-11, 0x1.b5f76f57cf4ep-11, 0x1.a921b18dc9e21p-11, 0x1.9ca16324211c3p-11, 0x1.9075dcaf7575dp-11, 0x1.849b8db270fc1p-11, 0x1.791229dc7fa78p-11, 0x1.6dd6e2ebdc3d2p-11, 0x1.62e84d6dde6dcp-11, 0x1.58447ab4b6162p-11, 0x1.4de9cce9252c2p-11, 0x1.43d69738aad1bp-11, 0x1.3a09316e8282ap-11, 0x1.307ffea05aa8bp-11, 0x1.27396ca2dfe5fp-11, 0x1.1e33f2ab7fd12p-11, 0x1.156e118501d23p-11, 0x1.0ce5df2c74831p-11, 0x1.049acee264ef7p-11, 0x1.f916092ea82dep-12, 0x1.e9695dcfde7bdp-12, 0x1.da2d5c3765692p-12, 0x1.cb5f3760ce966p-12, 0x1.bcfc2c3e514aep-12, 0x1.af01b138861f1p-12, 0x1.a16dc1f086372p-12, 0x1.943d38bb98a84p-12, 0x1.876d6d40a3dd5p-12, 0x1.7afd354d75e33p-12, 0x1.6ee9674692335p-12, 0x1.6330a38ab3287p-12, 0x1.57ce7685734c7p-12, 0x1.4cc2dc6112bdep-12, 0x1.420ad4876fbf6p-12, 0x1.37a42b737f462p-12, 0x1.2d8caec2bc134p-12, 0x1.23c262d905b2ep-12, 0x1.1a434c9ab33a7p-12, 0x1.110ceac2f2dbep-12, 0x1.081d58fb40348p-12, 0x1.feebb7e6f332bp-13, 0x1.ee21586f431ecp-13, 0x1.dddb4c96f23a6p-13, 0x1.ce1628acccc66p-13, 0x1.bece809f3917p-13, 0x1.b00111e7c550dp-13, 0x1.a1aa0a794e95ap-13, 0x1.93c7017237f2p-13, 0x1.865433f0aeb71p-13, 0x1.794e4540adfe2p-13, 0x1.6cb27c273c6cep-13, 0x1.607df59ba9ed5p-13, 0x1.54ae79b03d0fap-13, 0x1.493f83123ca33p-13, 0x1.3e30290fb7584p-13, 0x1.337d3b877ccf8p-13, 0x1.292452a425103p-13, 0x1.1f22be406050cp-13, 0x1.157617debfad8p-13, 0x1.0c1c22e925882p-13, 0x1.031259b83247dp-13, 0x1.f4acca6189248p-14, 0x1.e3cc045b5c3f4p-14, 0x1.d37bf43d01d44p-14, 0x1.c3bfc1826c7fap-14, 0x1.b48631e1ca0eap-14, 0x1.a5d8195365db1p-14, 0x1.97a9a70545847p-14, 0x1.89fab6924317bp-14, 0x1.7cc56650d579ep-14, 0x1.700a4db601e4ep-14, 0x1.63bd6dd14f298p-14, 0x1.57e31486bae96p-14, 0x1.4c75a16cd23efp-14, 0x1.4171b63f2a844p-14, 0x1.36d3eed48bb13p-14, 0x1.2c994efa29836p-14, 0x1.22bea994509d8p-14, 0x1.19410b1dbf4ccp-14, 0x1.101d83ef78367p-14, 0x1.07511b8611e2ep-14, 0x1.fdb152a1a7ad6p-15, 0x1.ed63b64e8361fp-15, 0x1.ddb279578ee9p-15, 0x1.ce98a86c52971p-15, 0x1.c0117d55ea82fp-15, 0x1.b218a5f606cdbp-15, 0x1.a4a9fb1e40444p-15, 0x1.97c138ec6c98fp-15, 0x1.8b59e37128d33p-15, 0x1.7f6f7f3717aa8p-15, 0x1.73fdd3ee271b7p-15, 0x1.69002dbb9e29ap-15, 0x1.5e755f0fd9238p-15, 0x1.5457e907e7a67p-15, 0x1.4a9f3483f390bp-15, 0x1.4159fb79c12e2p-15, 0x1.386982bbfcfa7p-15, 0x1.2fe9f72bc53d9p-15, 0x1.27ad5d7e8eec5p-15, 0x1.1fd2d56c57fbep-15, 0x1.184be51a5b76ep-15, 0x1.111586a7a6569p-15, 0x1.0a2d16355d459p-15, 0x1.0390307990bcbp-15, 0x1.fa7853d897dc2p-16, 0x1.ee5641faceb76p-16, 0x1.e2bf0f7b8bc1dp-16, 0x1.d7a62708951dap-16, 0x1.cd0e456fc606p-16, 0x1.c2ea11ef1ab67p-16, 0x1.b93b947721076p-16, 0x1.affd9386e4f5p-16, 0x1.a72b3f6b8677p-16, 0x1.9ebf8aff0fd22p-16, 0x1.96b655bd99c2ep-16, 0x1.8f0b383179f87p-16, 0x1.87ba2898122a6p-16, 0x1.80c02421b2ad5p-16, 0x1.7a190298af094p-16, 0x1.73c17bf70637bp-16, 0x1.6dbf96c876a52p-16, 0x1.67f057bc15846p-16, 0x1.626fe626403f5p-16, 0x1.5d30ed18f48d4p-16, 0x1.583104ddefcfdp-16, 0x1.536d466a823f1p-16, 0x1.4ee2b6b91d417p-16, 0x1.4a8f502d2918dp-16, 0x1.4670bca971ea1p-16, 0x1.42848a30c5a3ep-16, 0x1.3eb29adae801bp-16, 0x1.3b2501535b48cp-16, 0x1.37d350473fae1p-16, 0x1.3496cbc953b59p-16, 0x1.317b3d808912cp-16, 0x1.2e9a31f773324p-16, 0x1.2bc575f7a707ap-16, 0x1.291a2d08b14fdp-16, 0x1.269013c2c1588p-16, 0x1.24217b7821f7dp-16, 0x1.21ce8fc75d762p-16, 0x1.1f9477f1163cep-16, 0x1.1d73ed4daf1d5p-16, 0x1.1b6ab79fd7d48p-16, 0x1.1977aba5d9848p-16, 0x1.17993a7d9f9cbp-16, 0x1.15cdc3f57ffa7p-16, 0x1.141378590cc1bp-16, 0x1.12697214a6623p-16, 0x1.10cececb6951fp-16, 0x1.0f4274497e6c7p-16, 0x1.0dc3e92cb0b8bp-16, 0x1.0c51d2ee4fb45p-16, 0x1.0adf4cfa8e5ap-16, 0x1.097d882b0ab59p-16, 0x1.083bc92321f54p-16, 0x1.06f158bada3b5p-16, 0x1.05afcdb700f2ap-16, 0x1.047b4ccce448ep-16, 0x1.03413be388662p-16, 0x1.0212443c43143p-16, 0x1.00e81046b4a82p-16, 0x1.ff81600abea18p-17, 0x1.fd41d07ee8a87p-17, 0x1.fb05953ba9e9ap-17, 0x1.f8cf6e240980ep-17, 0x1.f69dd4fa01ce2p-17, 0x1.f46fa53ea789fp-17, 0x1.f2450175e81bcp-17, 0x1.f0183a1c29104p-17, 0x1.edcba734d4e2bp-17, 0x1.ebac7093113dp-17, 0x1.e99cf856ba3cdp-17, 0x1.e7701c402070ep-17, 0x1.e541658b9d83fp-17, 0x1.e3123b3271ab3p-17, 0x1.e0e46e2435a63p-17, 0x1.dea1a6dabd009p-17, 0x1.dc668381d0a23p-17, 0x1.da34863c05e85p-17, 0x1.d7e9838f6602ap-17, 0x1.d59f1248f22c1p-17, 0x1.d353367364669p-17, 0x1.d0fdcb6f1cb9bp-17, 0x1.cea23328e7f9p-17, 0x1.cc3fe7302e632p-17, 0x1.c9d7de4e42af6p-17, 0x1.c768b49840bdcp-17, 0x1.c4f279b315f1cp-17, 0x1.c274f8264de8dp-17, 0x1.bff03e6a1a403p-17, 0x1.bd651a2cc2972p-17, 0x1.bab4c995d8e96p-17, 0x1.b811159cc38f5p-17, 0x1.b591ee7067df9p-17, 0x1.b2e4fe4f1c034p-17, 0x1.b0317a4f8e41dp-17, 0x1.ad764e546898ep-17, 0x1.aab29c762f85ep-17, 0x1.a7e7f7b1e8517p-17, 0x1.a515584da2359p-17, 0x1.a23c12ae96a62p-17, 0x1.9f59bc3cb4364p-17, 0x1.9c6fbef3e5ea7p-17, 0x1.997dce0a68af6p-17, 0x1.9686067975d48p-17, 0x1.93871a5f250e7p-17, 0x1.9065988fe2676p-17, 0x1.8d69685f23455p-17, 0x1.8a5b105961c56p-17, 0x1.873df921ae504p-17, 0x1.841ac88737f84p-17, 0x1.80f1220560fd2p-17, 0x1.7dc11361d52d2p-17, 0x1.7a8ad6cd22fe4p-17, 0x1.774ead0d5bdc7p-17, 0x1.740d74fae562bp-17, 0x1.70b31276fc02fp-17, 0x1.6d68a0f196528p-17, 0x1.6a24b76b275cdp-17, 0x1.66cb31e911b54p-17, 0x1.636d7c78951dap-17, 0x1.600b5844032c1p-17, 0x1.5ca4e2b803179p-17, 0x1.5938d5f553892p-17, 0x1.55c865e74f363p-17, 0x1.5256a0b2fcceep-17, 0x1.4edf17d99703p-17, 0x1.4b62d2d2ec3b7p-17, 0x1.47e41eebe43c8p-17, 0x1.446237241a733p-17, 0x1.40ddafc4b73a7p-17, 0x1.3d59c1268261dp-17, 0x1.39cb1c1a0dbf8p-17, 0x1.363e1cd732884p-17, 0x1.32aefe3bc59b3p-17, 0x1.2f1e7b7a6601ep-17, 0x1.2b717b38496ddp-17, 0x1.27df5ec170114p-17, 0x1.246001733004cp-17, 0x1.20c7900013683p-17, 0x1.1d2e8512d1ca1p-17, 0x1.1995566db713p-17, 0x1.15f07812635a9p-17, 0x1.1265c8b75f548p-17, 0x1.0ec499c57cd54p-17, 0x1.0b29f2020faebp-17, 0x1.078e4fda4edcp-17, 0x1.03f39749af61p-17, 0x1.005a43e203a9ep-17, 0x1.f9c2b53b6fd0dp-18, 0x1.f24e15a5aa0ddp-18, 0x1.eb1cb51e219ccp-18, 0x1.e3ed2b264385dp-18, 0x1.dcc0aca9ab26cp-18, 0x1.d5986065b9d56p-18, 0x1.ce72600c168eep-18, 0x1.c7512d3e32b0dp-18, 0x1.c01ac99dce015p-18, 0x1.b91624439d523p-18, 0x1.b200b4a93e5e6p-18, 0x1.aaeecdbd90341p-18, 0x1.a3eccd9be1b9p-18, 0x1.9cbea8aae1ccdp-18, 0x1.95d998417b6c8p-18, 0x1.8ee1d6bed983fp-18, 0x1.87e57fe28b01ep-18, 0x1.80fa82ae988ep-18, 0x1.7a116129286abp-18, 0x1.732eb3a787691p-18, 0x1.6c535e7d199b5p-18, 0x1.657fe8ade91f7p-18, 0x1.5eb73e44d5552p-18, 0x1.57f1aa264df7ap-18, 0x1.5135d750426aep-18, 0x1.4a81f36274ae5p-18, 0x1.43d5897020e49p-18, 0x1.3d330af131d9ap-18, 0x1.3699a30d0e6dp-18, 0x1.2ffeff31ad45bp-18, 0x1.2981728c67e3p-18, 0x1.23033db232e91p-18, 0x1.1c8e8ec8a242ep-18, 0x1.162385bf07eadp-18, 0x1.0fc23e60f4ba1p-18, 0x1.096b994a4b8a6p-18, 0x1.031f419523104p-18, 0x1.f9bb0ec43a22p-19, 0x1.ed35f48998063p-19, 0x1.e0d5f5bc44c06p-19, 0x1.d4acb2e9fe542p-19, 0x1.c87b1b9a27507p-19, 0x1.bc602f9d65394p-19, 0x1.b05cb1e06134fp-19, 0x1.a47053fa7dabdp-19, 0x1.989c35bf04428p-19, 0x1.8cdcbbb33db75p-19, 0x1.813854c48dbfcp-19, 0x1.75d0b99245692p-19, 0x1.6a2809ff59fp-19, 0x1.5ec8c1a477543p-19, 0x1.537f6decf25fcp-19, 0x1.484f08bb5f6a3p-19, 0x1.3d28b296e2c4dp-19, 0x1.31c706a856151p-19, 0x1.274d5f58a0c1bp-19, 0x1.1c4d1a58d6ec7p-19, 0x1.11cd331a09deap-19, 0x1.07211c1a7eedap-19, 0x1.f924ea01a0c7ap-20, 0x1.e44687f10966p-20, 0x1.cf93c64b163bap-20, 0x1.bb0b4f257b802p-20, 0x1.a714ccfe92ba4p-20, 0x1.92bbc318397b6p-20, 0x1.7eda1e7a25c44p-20, 0x1.6b23cd3aa3934p-20, 0x1.57a34d7449afep-20, 0x1.445a7aa503d5bp-20, 0x1.313e7ffe4921fp-20, 0x1.1e53096dd47dbp-20, 0x1.0b9b3ce67a4dbp-20, 0x1.f22c6794eb2aap-21, 0x1.cd8545ed46579p-21, 0x1.a9465e6c50d5p-21, 0x1.856a0684993b6p-21, 0x1.61f0a7dfb497ep-21, 0x1.3eddebac17adcp-21, 0x1.1c2f65583b173p-21, 0x1.f3c98b04fe1b8p-22, 0x1.aff9550321912p-22, 0x1.6cf32d27de7e3p-22, 0x1.2ab116f83f025p-22, 0x1.d26107cb7c4bdp-23, 0x1.51ea5123452f5p-23, 0x1.a260c272c1b4ap-24, 0x1.4ad22c33da70bp-25, -0x1.508cbb1b0f012p-26, -0x1.4a9522cf023ebp-24, -0x1.1f04ef6227795p-23, -0x1.97414420fe639p-23, -0x1.070446cf8cf1cp-22, -0x1.419c76f1f9ddfp-22, -0x1.7b67af904120ap-22, -0x1.b4a17a085936bp-22, -0x1.ecdc0cd0b39e2p-22, -0x1.123b24e9980f1p-21, -0x1.2db21938d0278p-21, -0x1.487aa244cdd89p-21, -0x1.637e12f1a15cp-21, -0x1.7dcbd381d2e41p-21, -0x1.98100fbd02bc1p-21, -0x1.b094a6336d959p-21, -0x1.cbfe5650a19f9p-21, -0x1.e332d05355604p-21, -0x1.fc3763d5d3edfp-21, -0x1.0a3e5c989a53ap-20, -0x1.161c5d900ec6cp-20, -0x1.220601b764696p-20, -0x1.2d5f874aac45ap-20, -0x1.38f19da4934f1p-20, -0x1.442f0e4eda34bp-20, -0x1.4f43a9b58f131p-20, -0x1.5a2eaed9bae6fp-20, -0x1.64ece6532475bp-20, -0x1.6f7b8c408a3a4p-20, -0x1.79e5cee13b13bp-20, -0x1.84290c57852bcp-20, -0x1.8e3f2b21c7c9ap-20, -0x1.982b569fd3aeap-20, -0x1.a1ef3f287f8c2p-20, -0x1.ab88a68f83328p-20, -0x1.b5017e8975a15p-20, -0x1.be4cae3968003p-20, -0x1.c770f342df1e8p-20, -0x1.d06d14a7b742dp-20, -0x1.d9434a80706b9p-20, -0x1.e1f2c615f7836p-20, -0x1.ea7b23dcd8dd4p-20, -0x1.f2e5171b2dec8p-20, -0x1.fb1a2c6d4dea3p-20, -0x1.0199fadd9880bp-19, -0x1.0593a0faf5cep-19, -0x1.097f5210bed7dp-19, -0x1.0d4fb6a2fe809p-19, -0x1.1111fe67604ddp-19, -0x1.14d782cd5adeap-19, -0x1.186024eb52a42p-19, -0x1.1bf039b64ae9ep-19, -0x1.1f6dac7ab47e4p-19, -0x1.22c36b87b5c91p-19, -0x1.26154d996b05p-19, -0x1.297b0f91d8b78p-19, -0x1.2c711d5b55cb4p-19, -0x1.2fd8df879883bp-19, -0x1.32f382c26bdcdp-19, -0x1.35fb29d9fee8p-19, -0x1.38f255046a74fp-19, -0x1.3bd7b62d3f97ep-19, -0x1.3ea9014406fe3p-19, -0x1.417606810f003p-19, -0x1.443149344cf63p-19, -0x1.46db3741c07ffp-19, -0x1.4973bbdc039b4p-19, -0x1.4bee0d387a91dp-19, -0x1.4e87c1b1675dcp-19, -0x1.50e909d3850ddp-19, -0x1.534b68f7b947ap-19, -0x1.559f9166d5be3p-19, -0x1.57fdeb977246cp-19, -0x1.5a15a2bc17cc2p-19, -0x1.5c3a64280e39ap-19, -0x1.5e541486ef91bp-19, -0x1.605ce7894e6e9p-19, -0x1.625c32fa21dfp-19, -0x1.644f25ba57e12p-19, -0x1.6634071dce699p-19, -0x1.6809f9572aa23p-19, -0x1.69d3b89270635p-19, -0x1.6b91205a8cfedp-19, -0x1.6d41f0d56fde4p-19, -0x1.6ee5078d3fe5cp-19, -0x1.708959a443069p-19, -0x1.720b46ef2a322p-19, -0x1.738d034c71e3cp-19, -0x1.750206ac89458p-19, -0x1.766b5395f044p-19, -0x1.77c92bb9a8765p-19, -0x1.791bd5e5aef7dp-19, -0x1.7a630427f4d98p-19, -0x1.7b9e947933437p-19, -0x1.7ccef721a8532p-19, -0x1.7e0a726815c34p-19, -0x1.7f12410b249ddp-19, -0x1.8023fb1116c23p-19, -0x1.812aa4b2296f4p-19, -0x1.8227da2b3c06fp-19, -0x1.831e61c92cb9cp-19, -0x1.8403c597f1ee4p-19, -0x1.84e0917c84ff8p-19, -0x1.85b55958240f6p-19, -0x1.86b8d71b04b2ap-19, -0x1.8744cc22f5749p-19, -0x1.87fd25a1cb6a9p-19, -0x1.88acf06d742bbp-19, -0x1.89530f18dc647p-19, -0x1.89f0737132abep-19, -0x1.8a850c4879833p-19, -0x1.8b10c8ba2cc21p-19, -0x1.8b7eba7ae026ap-19, -0x1.8c0ce9a37be97p-19, -0x1.8c882bf50deedp-19, -0x1.8ceb24ea7eb49p-19, -0x1.8d4c7405b8fd8p-19, -0x1.8db2c40cc86c3p-19, -0x1.8df7af743ccdbp-19, -0x1.8e457f8173d01p-19, -0x1.8e88a5ae3f189p-19, -0x1.8ec1ed8b00b5p-19, -0x1.8eee9135e10f4p-19, -0x1.8f0c74889f738p-19, -0x1.8f482ff575c23p-19, -0x1.8f66b24f1646dp-19, -0x1.8f7c4ebc7d769p-19, -0x1.8f8c477209af8p-19, -0x1.8f947c1dc5573p-19, -0x1.8f9aaaba8b884p-19, -0x1.8fb100240313fp-19, -0x1.8f895356e2541p-19, -0x1.8f78babaf88e4p-19, -0x1.8f61e4c8185a9p-19, -0x1.8f4354ca0bc2ep-19, -0x1.8f210b3ca4262p-19, -0x1.8ef7aed43f4fap-19, -0x1.8ebe142455a53p-19, -0x1.8e9cc9c738741p-19, -0x1.8e7505faa7f93p-19, -0x1.8e11274c4aff8p-19, -0x1.8dd235fa9482bp-19, -0x1.8d84a1fa8226ap-19, -0x1.8d39e66963d27p-19, -0x1.8cdf07628a2e5p-19, -0x1.8c844b6f9f2fap-19, -0x1.8c20a86d06644p-19, -0x1.8bc490168a55ep-19, -0x1.8b50660f1d436p-19, -0x1.8ae02203cf7fbp-19, -0x1.8a6d0e473c0c2p-19, -0x1.89f44c627108cp-19, -0x1.89766d47b2ee4p-19, -0x1.88f3c2cf9b00fp-19, -0x1.886cb4603f837p-19, -0x1.87e3af8d4b791p-19, -0x1.876191a575c4p-19, -0x1.86c13985cd2fdp-19, -0x1.8627fa094e341p-19, -0x1.858cfdacc7afbp-19, -0x1.84ecb7a9c0c2bp-19, -0x1.844bf43d79518p-19, -0x1.83a21ee91c934p-19, -0x1.82f53a8491eccp-19, -0x1.8247ec4dff9abp-19, -0x1.81a43a5609511p-19, -0x1.80deb15eb76cfp-19, -0x1.802467a090d5cp-19, -0x1.7f66b766bd2f8p-19, -0x1.7eb8b71a8569fp-19, -0x1.7de303e0ab1eep-19, -0x1.7d1c2e95b4aa8p-19, -0x1.7c511bba37c41p-19, -0x1.7b8e0543b3c49p-19, -0x1.7ab3d05b1ca28p-19, -0x1.79e07c72688c3p-19, -0x1.7908d96dc8ed7p-19, -0x1.780bf38c16ce2p-19, -0x1.7752b857308b4p-19, -0x1.7675d6f4a0d6cp-19, -0x1.7594842284207p-19, -0x1.74b0e1408c83cp-19, -0x1.73c81717b1e46p-19, -0x1.72e0d12aaaa88p-19, -0x1.71f539c68477ap-19, -0x1.7105496a7c0ffp-19, -0x1.7015c4b748031p-19, -0x1.6f21e7292ba51p-19, -0x1.6e2ee8d04dccep-19, -0x1.6d36600a0a46ap-19, -0x1.6c424b58f20ebp-19, -0x1.6b4133cfd528dp-19, -0x1.6a42d50624017p-19, -0x1.6934603e3c692p-19, -0x1.68424e265ad19p-19, -0x1.6734e8904fc7fp-19, -0x1.6639d70eab234p-19, -0x1.65336ff807f2ep-19, -0x1.640e57add8687p-19, -0x1.631e62ae1f8b3p-19, -0x1.62116d94e137p-19, -0x1.6146182d757b3p-19, -0x1.5ff53323195bdp-19, -0x1.5ee37d8cd495ep-19, -0x1.5dd0e501a417dp-19, -0x1.5cbd1e76c0d77p-19, -0x1.5ba7658665cc9p-19, -0x1.5ab352d4fd102p-19, -0x1.59771feed2403p-19, -0x1.585f24a97e009p-19, -0x1.574963d01e257p-19, -0x1.56260eae17e42p-19, -0x1.550a41c326f2p-19, -0x1.53ea3502b37dfp-19, -0x1.52c0669a59466p-19, -0x1.51ad6ec2b6da5p-19, -0x1.50890b9322691p-19, -0x1.4f65aaa50d67ep-19, -0x1.4e5b8d8b7afe5p-19, -0x1.4d1ee3fc99ed2p-19, -0x1.4bf83663d7861p-19, -0x1.4ad1baab30326p-19, -0x1.49aaf629a8243p-19, -0x1.487399e17ae93p-19, -0x1.4759337d468cbp-19, -0x1.462f673634087p-19, -0x1.44ed04c08c0dcp-19, -0x1.43ce5b5f36a75p-19, -0x1.42af15e879cfep-19, -0x1.41881b25dd99dp-19, -0x1.4055937802226p-19, -0x1.3f1fc6200164ap-19, -0x1.3ded4d0d56076p-19, -0x1.3cca7cd44811bp-19, -0x1.3ba2fa3117c05p-19, -0x1.3a70d1c2a9b1dp-19, -0x1.393b873f1e14bp-19, -0x1.380c27d637a44p-19, -0x1.36db6c2be4706p-19, -0x1.35aa285f1b9e1p-19, -0x1.3478aa2e5b28dp-19, -0x1.3347bdd4ad59bp-19, -0x1.3215612a1777fp-19, -0x1.30e2cfe1c2876p-19, -0x1.2fa967f43d96cp-19, -0x1.2e7e8cefa30dcp-19, -0x1.2d4b39c41f619p-19, -0x1.2c1785d4ad865p-19, -0x1.2ae4656f4782dp-19, -0x1.29b13575aa99bp-19, -0x1.287db35bc9fbbp-19, -0x1.274b5d1c07f5fp-19, -0x1.2616cab180beap-19, -0x1.24e2dd53b1d39p-19, -0x1.23b0818ba351ep-19, -0x1.227bd4de2efccp-19, -0x1.213e8ef3dfb3dp-19, -0x1.2015716e99d72p-19, -0x1.1ee24e4415feap-19, -0x1.1dade3c779817p-19, -0x1.1c7be4c96af25p-19, -0x1.1b48d37dc3dbfp-19, -0x1.1a019b99342f9p-19, -0x1.18e25625b0427p-19, -0x1.17b0603011f6fp-19, -0x1.167e8a0fa1cd9p-19, -0x1.154a22c16413p-19, -0x1.1417e204398d5p-19, -0x1.12e65915cbb77p-19, -0x1.11b6dc281b8e6p-19, -0x1.10849e1d6777p-19, -0x1.0f531cefec52ep-19, -0x1.0e2257b3eec34p-19, -0x1.0cf20763da02dp-19, -0x1.0bc14d7c9c945p-19, -0x1.0a921e4af984bp-19, -0x1.09640db90b98ep-19, -0x1.0833c14f05d0cp-19, -0x1.0705cfb4e3dd9p-19, -0x1.05dbf75d743d3p-19, -0x1.0496ba662f7dp-19, -0x1.0376f7b39700cp-19, -0x1.024f5e23a263fp-19, -0x1.0122bc0d415e4p-19, -0x1.ffed916cf8357p-20, -0x1.fd95f13298f94p-20, -0x1.fb4004eba6101p-20, -0x1.f8ea5f8a06b2ep-20, -0x1.f6911e96fc337p-20, -0x1.f4442789a0558p-20, -0x1.f1f2471ca9aeap-20, -0x1.efa003a2074cbp-20, -0x1.ed51abf442071p-20, -0x1.eb03380387f55p-20, -0x1.e8b39473f63fep-20, -0x1.e66816a095327p-20, -0x1.e41d617a8b341p-20, -0x1.e1d48bce049b3p-20, -0x1.df8e2a3b9f355p-20, -0x1.dd43e07f33bd5p-20, -0x1.dafd103a68e6ap-20, -0x1.d8cb4ffb5b76cp-20, -0x1.d6749e18b77f9p-20, -0x1.d42fe78c4b0bp-20, -0x1.d1ef66042dcdap-20, -0x1.cfaff549ea616p-20, -0x1.cd71818b0f029p-20, -0x1.cb34280180542p-20, -0x1.c8f8c6ef275b8p-20, -0x1.c6bf5aafa3e91p-20, -0x1.c4912e42d6511p-20, -0x1.c24eb5e05f23dp-20, -0x1.c017e1852b639p-20, -0x1.bde16c82ed896p-20, -0x1.bbb0c2492b6c9p-20, -0x1.b97c9e1972ed5p-20, -0x1.b74f8d74a3a6dp-20, -0x1.b518a5ff5336cp-20, -0x1.b2f1cb779984cp-20, -0x1.b0c72cdfc1441p-20, -0x1.ae9d1bc715246p-20, -0x1.ac73ed70e1b5fp-20, -0x1.aa4d3634ac986p-20, -0x1.a828cbb7b0313p-20, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.6928d44414183p-8, 0x1.455e95a71ce0ap-7, 0x1.9adeec2e03276p-7, 0x1.a7c615020b1bep-7, 0x1.6626a20d6157dp-7, 0x1.aaafba502d521p-8, -0x1.e92935fef5c47p-13, -0x1.2b550310646a4p-7, -0x1.475619c40eb6p-6, -0x1.0a6d09d746ac2p-5, -0x1.7d02f2cd84dcbp-5, -0x1.f950ccee4d987p-5, -0x1.3ea3c92883c04p-4, -0x1.837872e43a978p-4, -0x1.ca3b5c0a0c68fp-4, -0x1.090a0f517b9bcp-3, -0x1.2d1f2743400fap-3, -0x1.5104fa303354cp-3, -0x1.746da35d6ff93p-3, -0x1.97152d7e31455p-3, -0x1.b8c0ee298d45ep-3, -0x1.d93f227a24492p-3, -0x1.f866343d4cc6bp-3, -0x1.0b0a0c3d6080ap-2, -0x1.1916d220d2eeap-2, -0x1.264ef382225f3p-2, -0x1.32aabb6bc5634p-2, -0x1.3e24f2b64d1dep-2, -0x1.48ba8f9f8bf7bp-2, -0x1.526a7391a477cp-2, -0x1.5b352c8e4d25fp-2, -0x1.631cb64c3b1f7p-2, -0x1.6a244d191705p-2, -0x1.705037254d68dp-2, -0x1.75a59de5b7716p-2, -0x1.7a2a5b68eb335p-2, -0x1.7de50c16b580cp-2, -0x1.80dc8ddb0201ep-2, -0x1.8318463446ff8p-2, -0x1.849fdcdb51799p-2, -0x1.857b2b5547025p-2, -0x1.85b22f90c220ap-2, -0x1.854cfb3c7251cp-2, -0x1.84539e301edc3p-2, -0x1.82ce2bcad865p-2, -0x1.80c497ffec5ep-2, -0x1.7e3ec40918edfp-2, -0x1.7b4468c498ed9p-2, -0x1.77dd16d74ac84p-2, -0x1.74102fcced8b1p-2, -0x1.6fe4e06d52a95p-2, -0x1.6b621dab10a49p-2, -0x1.668ea25f4a80dp-2, -0x1.6170ec7ce16fbp-2, -0x1.5c0f3af1f7423p-2, -0x1.566f8bb781563p-2, -0x1.5097a4dc75bbbp-2, -0x1.4a8d00a07b3dp-2, -0x1.4454e0e277d75p-2, -0x1.3df446571b6ecp-2, -0x1.376fef2e2de8p-2, -0x1.30cc62ddaa4d9p-2, -0x1.2a0de81ede309p-2, -0x1.23388ab121883p-2, -0x1.1c501ddb4c84p-2, -0x1.15583d622671fp-2, -0x1.0e544dd90a9dp-2, -0x1.0747806418dp-2, -0x1.0034d30f78c6p-2, -0x1.f23e29131886ep-3, -0x1.e411c7af0753fp-3, -0x1.d5e967ade9036p-3, -0x1.c7c996e595de2p-3, -0x1.b9b6970de221bp-3, -0x1.abb457185a82cp-3, -0x1.9dc67c33a116ep-3, -0x1.8ff0667c87b75p-3, -0x1.8235331957901p-3, -0x1.7497be15c73e9p-3, -0x1.671aa7f32b98dp-3, -0x1.59c0576dd0355p-3, -0x1.4c8afe4755923p-3, -0x1.3f7c9b38cb672p-3, -0x1.3296f9333b0eep-3, -0x1.25dbc02e90cffp-3, -0x1.194c5f8c0aac1p-3, -0x1.0cea26ba71004p-3, -0x1.00b63eb18468ap-3, -0x1.e96358b82d565p-4, -0x1.d1baa2822d3b4p-4, -0x1.ba73e8007e07fp-4, -0x1.a3907634c4ba6p-4, -0x1.8d11638d6230dp-4, -0x1.76f797863021ap-4, -0x1.6143c4bf29479p-4, -0x1.4bf675969eb6dp-4, -0x1.37100742af8d7p-4, -0x1.2290b3cf5e139p-4, -0x1.0e788e2149a29p-4, -0x1.f58f0e8dbc0e1p-5, -0x1.cefaf229e1d7dp-5, -0x1.a9342873c739ep-5, -0x1.8439edf71304ap-5, -0x1.600b4d7000ea6p-5, -0x1.3ca70fe9f12ddp-5, -0x1.1a0bf552b2059p-5, -0x1.f071059d30f9ap-6, -0x1.ae5638d6d6511p-6, -0x1.6dc40e0653303p-6, -0x1.2eb6da1b272edp-6, -0x1.e2556f6536843p-7, -0x1.6a372a3ab40ap-7, -0x1.ea14d50e4908ap-8, -0x1.058cba6aae2c5p-8, -0x1.36209d625d121p-11, 0x1.64af9bd617d57p-9, 0x1.85d9b10c342ddp-8, 0x1.29ea7f956730ap-7, 0x1.8e2e9e1ee0d72p-7, 0x1.efc322eecbfa6p-7, 0x1.275903a652e09p-6, 0x1.5582b3bdb8ecep-6, 0x1.8263b371d2dbep-6, 0x1.ae012ca41d7dbp-6, 0x1.d86005a6c16fbp-6, 0x1.00c2c8cac9cb1p-5, 0x1.14bb6ecbe50ebp-5, 0x1.281c8118c4cap-5, 0x1.3ae88dbfdb4d4p-5, 0x1.4d221eceef3b1p-5, 0x1.5ecbb7f8549ep-5, 0x1.6fe7e14638a0dp-5, 0x1.80791ab436edcp-5, 0x1.9081de5e6e146p-5, 0x1.a004a1508b087p-5, 0x1.af03dbecc5cbep-5, 0x1.bd81f852b61fap-5, 0x1.cb815a6ebe1a2p-5, 0x1.d90467e0423a6p-5, 0x1.e60d7bdf72c09p-5, 0x1.f29ee8e456f05p-5, 0x1.febafd3618f8ep-5, 0x1.053200e05c5efp-4, 0x1.0ace1a7a63065p-4, 0x1.1032e913eb461p-4, 0x1.1561851e8f93ep-4, 0x1.1a5b0455907c4p-4, 0x1.1f2077b079139p-4, 0x1.23b2eee0adcdfp-4, 0x1.28137073b02dcp-4, 0x1.2c4306e9e0b35p-4, 0x1.3042b30810555p-4, 0x1.34137223ee534p-4, 0x1.37b6424f25e08p-4, 0x1.3b2c17e637c7dp-4, 0x1.3e75e7ddc90c5p-4, 0x1.41949fa7d92bp-4, 0x1.44892cca6d49ep-4, 0x1.475477c83bb22p-4, 0x1.49f7638987357p-4, 0x1.4c72ceae0aa48p-4, 0x1.4ec799dd05bd3p-4, 0x1.50f6a575273e5p-4, 0x1.5300ac78d96b4p-4, 0x1.54e699d72a61cp-4, 0x1.56a935232f93fp-4, 0x1.584949f3634f8p-4, 0x1.59c79df8a512cp-4, 0x1.5b24f613ec9b7p-4, 0x1.5c62124e8e198p-4, 0x1.5d7fb1c3711eap-4, 0x1.5e7e8deacd589p-4, 0x1.5f5f5d2ca3c5bp-4, 0x1.6022d42b0ff2cp-4, 0x1.60c9a4adcccf3p-4, 0x1.61547ad9a93cp-4, 0x1.61c403388b709p-4, 0x1.6218e44df133ap-4, 0x1.6253c3b86e9d3p-4, 0x1.6275451ad565p-4, 0x1.627e050cc966cp-4, 0x1.626ea383b5a72p-4, 0x1.6247b8142fb57p-4, 0x1.6209d9b473746p-4, 0x1.61b5a363df48ap-4, 0x1.614ba1cbf7bedp-4, 0x1.60cc659a98505p-4, 0x1.60387c0f5895fp-4, 0x1.5f9073769c855p-4, 0x1.5ed4d32bbcb41p-4, 0x1.5e0620a947652p-4, 0x1.5d24e2098e674p-4, 0x1.5c3198348314fp-4, 0x1.5b2cc3c6f6d4bp-4, 0x1.5a16e42bcfbd8p-4, 0x1.58f072c8ad06dp-4, 0x1.57b9eb4a87dd3p-4, 0x1.5673c71408e4fp-4, 0x1.551e757839eeap-4, 0x1.53ba73ea3a55bp-4, 0x1.52482f4cc28e1p-4, 0x1.50c8179775632p-4, 0x1.4f3a9c5a00defp-4, 0x1.4da02b85540bbp-4, 0x1.4bf92c6ada78dp-4, 0x1.4a460cfc6620fp-4, 0x1.488734c55f641p-4, 0x1.46bd04dae2118p-4, 0x1.44e7e30749849p-4, 0x1.4308373041733p-4, 0x1.411e5e4e2b488p-4, 0x1.3f2ab54902f09p-4, 0x1.3d2d9cecea353p-4, 0x1.3b2774d3b31d1p-4, 0x1.391892bf6d5e4p-4, 0x1.3701521948536p-4, 0x1.34e20b2a32767p-4, 0x1.32bb12f847472p-4, 0x1.308cc1f293cf7p-4, 0x1.2e57664ad8be9p-4, 0x1.2c1b560dd9609p-4, 0x1.29d8e3d083107p-4, 0x1.27905d51e84c4p-4, 0x1.25420ae78bb6ap-4, 0x1.22ee42fc8fc7dp-4, 0x1.20954ab5caf4dp-4, 0x1.1e376e93bb6a2p-4, 0x1.1bd4f7f577c8bp-4, 0x1.196e2c92f8455p-4, 0x1.1703520d192e8p-4, 0x1.1494af57e1efdp-4, 0x1.12228b2ec4b9fp-4, 0x1.0fad1f5d5944dp-4, 0x1.0d34b4ceb1d52p-4, 0x1.0ab988600bcb3p-4, 0x1.083bda467dd5dp-4, 0x1.05bbe71c698b3p-4, 0x1.0339e9e7f6de8p-4, 0x1.00b620cec291bp-4, 0x1.fc6185f32aa27p-5, 0x1.f75415d68a332p-5, 0x1.f24461b2d81c8p-5, 0x1.ed32d3139421cp-5, 0x1.e81fd5f947f7fp-5, 0x1.e30bd4e25a21dp-5, 0x1.ddf732c905972p-5, 0x1.d8e2508fbc508p-5, 0x1.d3cd9a87fbf57p-5, 0x1.ceb9650a23fc5p-5, 0x1.c9a61784a2ac4p-5, 0x1.c4940456c9b62p-5, 0x1.bf8385011f79bp-5, 0x1.ba74f5ded0cb5p-5, 0x1.b568a983647e7p-5, 0x1.b05ef14014a42p-5, 0x1.ab581cb71b93p-5, 0x1.a65479706afb9p-5, 0x1.a15459293620ap-5, 0x1.9c58025f5fc44p-5, 0x1.975fbc00c303cp-5, 0x1.926bcfafbdc6fp-5, 0x1.8d7c7e000ab24p-5, 0x1.88920dadabdddp-5, 0x1.83acb9a202dc8p-5, 0x1.7eccc5fb54ae9p-5, 0x1.79f26b799f23ap-5, 0x1.751de78fff769p-5, 0x1.704f6e94cb25ep-5, 0x1.6b873d6f0d9f6p-5, 0x1.66c5855348a4cp-5, 0x1.620a790f062d3p-5, 0x1.5d564d1048ed6p-5, 0x1.58a92f6dabc7ap-5, 0x1.54034e5d0706bp-5, 0x1.4f64d6c386f7cp-5, 0x1.4acdf2e24ce83p-5, 0x1.463ecbd8b3101p-5, 0x1.41b7895a1996p-5, 0x1.3d3852164fc63p-5, 0x1.38c148326bf3ap-5, 0x1.345289ad1256dp-5, 0x1.2fec438eea15ap-5, 0x1.2b8e8e540b08p-5, 0x1.273986b7f062dp-5, 0x1.22ed4ad136864p-5, 0x1.1ea9f56d4677p-5, 0x1.1a6fa0d6ddaf3p-5, 0x1.163e65690ac24p-5, 0x1.12165990916dfp-5, 0x1.0df7923a5a4cfp-5, 0x1.09e22436535a2p-5, 0x1.05d6221c82467p-5, 0x1.01d39dbbfa0aep-5, 0x1.fbb54c29ae806p-6, 0x1.f3d69a279b229p-6, 0x1.ec0b420b87432p-6, 0x1.e45346cea8ef6p-6, 0x1.dcaedf4fa362fp-6, 0x1.d51e0a63212a4p-6, 0x1.cda0ea36de655p-6, 0x1.c6377bbba8ef3p-6, 0x1.bee1e2da5b8bp-6, 0x1.b7a0194107173p-6, 0x1.b072324bc3ff2p-6, 0x1.a958332a03004p-6, 0x1.a25225e4c175fp-6, 0x1.9b60082ae8415p-6, 0x1.9481de536c83ep-6, 0x1.8db7a9d0bbdd4p-6, 0x1.870168fad9545p-6, 0x1.805f1a39d1f42p-6, 0x1.79d0b59abed97p-6, 0x1.73563794b74bep-6, 0x1.6cef96bf9851ap-6, 0x1.669ccbb8f63fcp-6, 0x1.605dc709e994fp-6, 0x1.5a327c9e270e5p-6, 0x1.541ae3b659d86p-6, 0x1.4e16ebc60545cp-6, 0x1.48267fadf7799p-6, 0x1.4249908c9f953p-6, 0x1.3c800b6372797p-6, 0x1.36c9dbb48238cp-6, 0x1.3126ec2811686p-6, 0x1.2b972685b3345p-6, 0x1.261a720ade5ebp-6, 0x1.20b0b1afaab93p-6, 0x1.1b59d5d33bacfp-6, 0x1.1615bbfdd8a65p-6, 0x1.10e44bf7a8402p-6, 0x1.0bc5663191334p-6, 0x1.06b8effce4a69p-6, 0x1.01beca766d02bp-6, 0x1.f9adab5a52203p-7, 0x1.f001e37fc8c5dp-7, 0x1.e679fe7a910dep-7, 0x1.dd15b894ce7b3p-7, 0x1.d3d4ca71ea3e3p-7, 0x1.cab6f7057fe8ap-7, 0x1.c1bbf70f72deap-7, 0x1.b8e379b5a321fp-7, 0x1.b02d3b08fda87p-7, 0x1.a798f3a70c8f1p-7, 0x1.9f2659b049f04p-7, 0x1.96d51fc2a654p-7, 0x1.8ea4f509f31b5p-7, 0x1.86959515e37b1p-7, 0x1.7ea6aeecfa622p-7, 0x1.76d7f27462d66p-7, 0x1.6f2912ae4b72bp-7, 0x1.6799c03ff0b1bp-7, 0x1.6029aa21cde37p-7, 0x1.58d87fe121e85p-7, 0x1.51a5e4d88be13p-7, 0x1.4a919a6ece9c5p-7, 0x1.439b4489610b7p-7, 0x1.3cc28e67a2312p-7, 0x1.36072a7422621p-7, 0x1.2f68c5b3e9c46p-7, 0x1.28e70f49f0b1ap-7, 0x1.2281aff1252fbp-7, 0x1.1c3857b1e0333p-7, 0x1.160ab461faa04p-7, 0x1.0ff86cb623ee6p-7, 0x1.0a012b4c438a4p-7, 0x1.042494bb855e1p-7, 0x1.fcc4c3908fe93p-8, 0x1.f1747e22d270cp-8, 0x1.e657b9190b014p-8, 0x1.db6ddb07a2017p-8, 0x1.d0b62fa378c01p-8, 0x1.c63028555eda6p-8, 0x1.bbdb133279cd2p-8, 0x1.b1b63ef8464fp-8, 0x1.a7c0f9c8f9c9p-8, 0x1.9dfaa47c11f1bp-8, 0x1.946268bf2599bp-8, 0x1.8af7fd56af626p-8, 0x1.81ba61de2b123p-8, 0x1.78a94aac5ea4ap-8, 0x1.6fc4196d1ed3p-8, 0x1.670a36ae65966p-8, 0x1.5e7b172d8f6dcp-8, 0x1.56161a9328f35p-8, 0x1.4dda9cb26e0e6p-8, 0x1.45c7e6f341496p-8, 0x1.3ddd459ac9b05p-8, 0x1.361a166068c3p-8, 0x1.2e7dbf709c6cbp-8, 0x1.2707a44796b2ep-8, 0x1.1fb71cf2bf5d5p-8, 0x1.188c3494a17fcp-8, 0x1.1185d59dc1434p-8, 0x1.0aa3d68e5ba78p-8, 0x1.03e582406cd17p-8, 0x1.fa94ac64db016p-9, 0x1.eda346d7f0934p-9, 0x1.e0f57942f03cfp-9, 0x1.d489eb195c155p-9, 0x1.c85f5c4613477p-9, 0x1.bc74c0d0add5p-9, 0x1.b0c93ab17beb8p-9, 0x1.a55c119559171p-9, 0x1.9a2ca191f477bp-9, 0x1.8f3a41aef285bp-9, 0x1.84843d97f122bp-9, 0x1.7a0974631e39bp-9, 0x1.6fc8c6db456c3p-9, 0x1.65c0e93f0413fp-9, 0x1.5bf057bd97688p-9, 0x1.52559f2a58603p-9, 0x1.48ef6a660b41fp-9, 0x1.3fbc95da1d8c6p-9, 0x1.36bc2ce2ea7f7p-9, 0x1.2deda2ed2f113p-9, 0x1.2550940480faep-9, 0x1.1ce49a59bce2fp-9, 0x1.14a975be0a999p-9, 0x1.0ca138e9ef7e6p-9, 0x1.04c3a0fe39774p-9, 0x1.fa2edbff23cf6p-10, 0x1.eb31f07c312b7p-10, 0x1.dc8dff83697a5p-10, 0x1.ce4079e4f634dp-10, 0x1.c046d622f8065p-10, 0x1.b29ec0d3e97d9p-10, 0x1.a5464b1e5bca8p-10, 0x1.983baef6c6e1p-10, 0x1.8b7cec7294122p-10, 0x1.7f09bd7f46619p-10, 0x1.72e10ab8fad0cp-10, 0x1.670233689f813p-10, 0x1.5b6c8001406c3p-10, 0x1.501f56e0452f7p-10, 0x1.45192e957e0b2p-10, 0x1.3a589c3cf2421p-10, 0x1.2fdc589cf4e94p-10, 0x1.25a30e8ac22b9p-10, 0x1.1bab3c99d1961p-10, 0x1.11f35085ad0c7p-10, 0x1.0879b38c2bd3cp-10, 0x1.fe7859aca11c4p-11, 0x1.ec7287e2fbab6p-11, 0x1.dade90e249f6ep-11, 0x1.c9ba0237e13b2p-11, 0x1.b90348e53f8a9p-11, 0x1.a8b927922a573p-11, 0x1.98d9cf7d0004cp-11, 0x1.8963740b3ff5bp-11, 0x1.7a543ee6508d6p-11, 0x1.6baa70ae9b4b6p-11, 0x1.5d64f02a88352p-11, 0x1.4f81b86a49dc3p-11, 0x1.4200f800b71edp-11, 0x1.34decf508c3ecp-11, 0x1.2816d007b87a7p-11, 0x1.1baa92a72863ep-11, 0x1.0f90abedf4788p-11, 0x1.03c7e12a66d9bp-11, 0x1.f09ed04932044p-12, 0x1.da4b1dc47e1b2p-12, 0x1.c4936e6ffae13p-12, 0x1.af7561f35f49dp-12, 0x1.9aee9a3d17034p-12, 0x1.86fb012818c12p-12, 0x1.739a887dfda43p-12, 0x1.60cc461b9bb6dp-12, 0x1.4e90819002545p-12, 0x1.3ce6a22cebfeap-12, 0x1.2bc9f76b0af54p-12, 0x1.1b3ba70ca4a45p-12, 0x1.0b2d0db3528dap-12, 0x1.f72e8f6dc795bp-13, 0x1.d8e4f12c3f978p-13, 0x1.bb72b3501c67bp-13, 0x1.9ed2f53f3500fp-13, 0x1.8304984643b45p-13, 0x1.68076f2184934p-13, 0x1.4dda54f2069bfp-13, 0x1.347ac7ebad84ap-13, 0x1.1be5ad0ed3676p-13, 0x1.0417f2e8d9c2p-13, 0x1.da22110f7adb4p-14, 0x1.ada4eb55799aep-14, 0x1.82af73ab62e71p-14, 0x1.594df131e66cdp-14, 0x1.316b60b45be0cp-14, 0x1.0b0f766521d4dp-14, 0x1.cc32d826e4b47p-15, 0x1.84f0124ccc544p-15, 0x1.402a424537692p-15, 0x1.fb5d3bf6a472bp-16, 0x1.7ab02d2c2bd4dp-16, 0x1.fc39e7007769ap-17, 0x1.0b2c864e43518p-17, 0x1.1130eeb6206e3p-20, -0x1.7d7df9040c182p-18, -0x1.979b4ceaa4195p-17, -0x1.342aa503ad1a7p-16, -0x1.987bfc8b31a89p-16, -0x1.f8c52fe69acbp-16, -0x1.2a90554285eeap-15, -0x1.56e38d8f7868p-15, -0x1.81662b4e9e07p-15, -0x1.aa1cd4e7e2cfep-15, -0x1.d1039d694f927p-15, -0x1.f61826bcc4873p-15, -0x1.0cb38cf4b1af8p-14, -0x1.1d85335d7b42p-14, -0x1.2d95b4f4e7177p-14, -0x1.3cee9aad20d9fp-14, -0x1.4ba3776682b3p-14, -0x1.59ae7f443d738p-14, -0x1.670ec89acea68p-14, -0x1.73cc923813ba1p-14, -0x1.7ff4c12401593p-14, -0x1.8b8d08abd5917p-14, -0x1.968f05593ad38p-14, -0x1.a0f395b78944p-14, -0x1.aabb41829f62ep-14, -0x1.b3fb8cb18b632p-14, -0x1.bcbb479bed58bp-14, -0x1.c4f8b408dc14fp-14, -0x1.ccb6123d32cf9p-14, -0x1.d3f659266daebp-14, -0x1.daa7e59abe985p-14, -0x1.e0d22a1e5013fp-14, -0x1.e67fae5231c13p-14, -0x1.ebbe9f75d02a9p-14, -0x1.f09da1c12bbacp-14, -0x1.f522855a28072p-14, -0x1.f9459ca4a1ebap-14, -0x1.fcfca5df7f87ep-14, -0x1.00275a5d06fccp-13, -0x1.01a383fa3c533p-13, -0x1.02f27ecce59bfp-13, -0x1.04141963a3267p-13, -0x1.050d0c45d7c49p-13, -0x1.05e20af1c301ap-13, -0x1.0693a3c610b4bp-13, -0x1.07229dad4815fp-13, -0x1.078dac7fe0e88p-13, -0x1.07d5b86cc5accp-13, -0x1.07fd70797494bp-13, -0x1.0806740fa1ddbp-13, -0x1.07ea08888c03ap-13, -0x1.07ab09e39689bp-13, -0x1.07314e65b05abp-13, -0x1.06d02bb926423p-13, -0x1.063b3a5f00a77p-13, -0x1.0591389622cbap-13, -0x1.04d96f302af05p-13, -0x1.03f4856cc97ffp-13, -0x1.0302d87513e22p-13, -0x1.01fc8dfb2fe68p-13, -0x1.00dded3b7df62p-13, -0x1.ff4da93caae4bp-14, -0x1.fcb29f43dcfcp-14, -0x1.f9f0ac57cba2bp-14, -0x1.f708825d8da47p-14, -0x1.f40ad041ed57bp-14, -0x1.f0f3893f0770cp-14, -0x1.edb8826606467p-14, -0x1.ea5daee3619d4p-14, -0x1.e6e6a8a92b534p-14, -0x1.e355d26a1ce02p-14, -0x1.dfa4fde415a53p-14, -0x1.dbd9ae098bb8dp-14, -0x1.d7f6df7cff99cp-14, -0x1.d3fae79529563p-14, -0x1.cfea0aae4c606p-14, -0x1.cbc5b1176a04p-14, -0x1.c790410ec9389p-14, -0x1.c3474f5faf78ep-14, -0x1.bef025472095fp-14, -0x1.ba8b3b58abbb3p-14, -0x1.b613e5ef0da24p-14, -0x1.b18c6cc63658ep-14, -0x1.acf7dd0923cc3p-14, -0x1.a856bda172e74p-14, -0x1.a3a8ca127e05p-14, -0x1.9ee93b3097a0ep-14, -0x1.9a22af6842279p-14, -0x1.955c1299a459ap-14, -0x1.9088ce8fb933ep-14, -0x1.8bad5158406a3p-14, -0x1.86cab089b061cp-14, -0x1.81e0f2390d97bp-14, -0x1.7cf2762b2da2ep-14, -0x1.77fde6d5943cp-14, -0x1.73070bbf70bb6p-14, -0x1.6e0a19374ecf2p-14, -0x1.690abaf323613p-14, -0x1.64063fc86cfdfp-14, -0x1.5f00028b9fe16p-14, -0x1.59f91272b3b4ep-14, -0x1.54ee8ed0c09b9p-14, -0x1.4feb068f3968dp-14, -0x1.4ae3fccdc5d5dp-14, -0x1.45db602617d74p-14, -0x1.40d3fea6ecd7p-14, -0x1.3bce18db6cc79p-14, -0x1.36ca12a41a906p-14, -0x1.31c7e83eed3ap-14, -0x1.2cc7e70ebc014p-14, -0x1.27ca4550dcb04p-14, -0x1.22cba426a7c51p-14, -0x1.1dd4e4a080a61p-14, -0x1.18e3e9149c777p-14, -0x1.13f469f956f2ap-14, -0x1.0f0952d4b1a6dp-14, -0x1.0a22f149e2aacp-14, -0x1.0542142b29e0ap-14, -0x1.0065e8242ab0ep-14, -0x1.f71c91952caf1p-15, -0x1.ed7e07487051ap-15, -0x1.e3e885e848afap-15, -0x1.da591bbdd8851p-15, -0x1.d0dab7f9d4498p-15, -0x1.c76bb094c5f44p-15, -0x1.be093dde847d2p-15, -0x1.b4b3a0b1bf883p-15, -0x1.ab6eb098604a2p-15, -0x1.a236c4e7e8754p-15, -0x1.990dc9168d728p-15, -0x1.8ff44d6aafab8p-15, -0x1.86e074ee37b2p-15, -0x1.7de73ba6a71ebp-15, -0x1.7504f620649b8p-15, -0x1.6c2a38d14a23bp-15, -0x1.63601ef1e58a4p-15, -0x1.5aa7e3f3709edp-15, -0x1.522475c42c467p-15, -0x1.496e15bd2f0c9p-15, -0x1.40e907ba3ec2fp-15, -0x1.3874733d123bcp-15, -0x1.300fd0d6dcb1bp-15, -0x1.27bfe99e00e88p-15, -0x1.1f80de24c4439p-15, -0x1.175b0b7dbfdcp-15, -0x1.0f3de80ecb04dp-15, -0x1.0739688c68d9cp-15, -0x1.fe87986b89cefp-16, -0x1.eebe5fee5171dp-16, -0x1.df25fad56e318p-16, -0x1.cfaab48e523dbp-16, -0x1.c05048deceeep-16, -0x1.b119339ea1d6bp-16, -0x1.a21c48744317bp-16, -0x1.933b71ec9baap-16, -0x1.847f57caa5877p-16, -0x1.75ed6ee12f3cep-16, -0x1.676c783409b71p-16, -0x1.592dd02c83085p-16, -0x1.4b0aa5c5b355dp-16, -0x1.3d09018ff564fp-16, -0x1.2f3458f14a23ap-16, -0x1.21880ed0db68cp-16, -0x1.13f4ddf5f5258p-16, -0x1.068b28a8746e4p-16, -0x1.f296fce65207bp-17, -0x1.d87aa297aaa94p-17, -0x1.be9699799d157p-17, -0x1.a4f66f2565f22p-17, -0x1.8ba3ec9096389p-17, -0x1.7290ee3cacc18p-17, -0x1.59d8b4f9d8d1cp-17, -0x1.416dc38a07c85p-17, -0x1.2a470c9b79dbdp-17, -0x1.1170b199974dp-17, -0x1.f3c0ba8aa2621p-18, -0x1.c52ff246d06dcp-18, -0x1.9732348d5dfa4p-18, -0x1.69c81cb547388p-18, -0x1.3cf8e31358bdfp-18, -0x1.10c35623f829p-18, -0x1.ca2b166a4313ep-19, -0x1.73bcbdfe25208p-19, -0x1.1e898697a7746p-19, -0x1.95811f55d8642p-20, -0x1.defa53fb8c99ep-21, -0x1.2e2d25167289ep-22, 0x1.5809bbb0ba643p-22, 0x1.ea5944ac2606dp-21, 0x1.92d55df631471p-20, 0x1.167be0a6b0b53p-19, 0x1.62cfd626e7058p-19, 0x1.ad9d2e724835fp-19, 0x1.f92dd0e9d1c38p-19, 0x1.20e8218ab427cp-18, 0x1.44ecfaf068147p-18, 0x1.6888f4b92724p-18, 0x1.8bade70e529cep-18, 0x1.ae90a04a153dbp-18, 0x1.d040046389285p-18, 0x1.f1f1e1fbee062p-18, 0x1.0955e3222e11bp-17, 0x1.1991bf113f119p-17, 0x1.29a9a03023f3dp-17, 0x1.3967a617328bfp-17, 0x1.48ff09a3d3d01p-17, 0x1.584f59711dad9p-17, 0x1.67443b78c211dp-17, 0x1.76186e0b423bap-17, 0x1.84a784f09374p-17, 0x1.9310119049627p-17, 0x1.a12b5c56f65e6p-17, 0x1.aefa9d375f32ap-17, 0x1.bca0e5104bcaap-17, 0x1.ca12d63b1a979p-17, 0x1.d746ae29e1f6bp-17, 0x1.e43e0be8d35a4p-17, 0x1.f0f7de8b55f25p-17, 0x1.fd8647547ad7ap-17, 0x1.04eba97336fcdp-16, 0x1.0af88c8e16cb8p-16, 0x1.10e9f16129822p-16, 0x1.16bf71922a3a2p-16, 0x1.1c79c6c06e9b2p-16, 0x1.221aaeb59102ep-16, 0x1.279ffdf8c97dep-16, 0x1.2d0c8647609eap-16, 0x1.325f53720df5fp-16, 0x1.379338feb8be3p-16, 0x1.3cb643cd33e6p-16, 0x1.41be2e637916ap-16, 0x1.46ab4e17445c4p-16, 0x1.4b7f1b5913af9p-16, 0x1.503d128ff8d3ep-16, 0x1.54ddcb19a86d1p-16, 0x1.5969ee5f78519p-16, 0x1.5de0ef5055b45p-16, 0x1.6237d279407e6p-16, 0x1.667c171c12f2ap-16, 0x1.6aa747d0d26adp-16, 0x1.6ec37ed4b8f53p-16, 0x1.72c6db2325ffap-16, 0x1.76ab02431a821p-16, 0x1.7a8660910fb3p-16, 0x1.7e38da4f5cb94p-16, 0x1.81ed36a81cbd7p-16, 0x1.85695850ea15p-16, 0x1.890bb3a66b4efp-16, 0x1.8c5cdec94aefp-16, 0x1.8fb68f093d0fp-16, 0x1.92f48f68fe22ep-16, 0x1.961c761fffd1p-16, 0x1.993797112a61ep-16, 0x1.9c33066f15223p-16, 0x1.9f2604c7bd2abp-16, 0x1.a1fe584c6249fp-16, 0x1.a4c6a0e0b5c0bp-16, 0x1.a784a654853c4p-16, 0x1.aa266b7e55babp-16, 0x1.acac706d9d3ap-16, 0x1.af2ce2e50474bp-16, 0x1.b19bb288ade9dp-16, 0x1.b3f1241e8b58bp-16, 0x1.b6373ecaf1fd2p-16, 0x1.b86c3522a01d9p-16, 0x1.ba94c63112349p-16, 0x1.bca6b90f2f856p-16, 0x1.bea8339582fc9p-16, 0x1.c09942074b6b3p-16, 0x1.c2781e134b2a9p-16, 0x1.c448b476a3203p-16, 0x1.c609b8376544fp-16, 0x1.c7b8899f6cc25p-16, 0x1.c959a87a55c59p-16, 0x1.cae80fad7da02p-16, 0x1.cc6919ad73fcbp-16, 0x1.cdda8e9490c56p-16, 0x1.cf3c0c417e408p-16, 0x1.d091527e4c7cbp-16, 0x1.d1d80b55bcea9p-16, 0x1.d318a82d80783p-16, 0x1.d4319cacddc99p-16, 0x1.d5499541a145ep-16, 0x1.d654dbb74f7e4p-16, 0x1.d7516bd2b956bp-16, 0x1.d8466fd552244p-16, 0x1.d92d358532216p-16, 0x1.d9ea25d0d1755p-16, 0x1.dac9a5cac4765p-16, 0x1.db849c5d4a5p-16, 0x1.dc33c93e7f23ap-16, 0x1.dcd6563e93af4p-16, 0x1.dd6b1d171e302p-16, 0x1.ddf28cedc7193p-16, 0x1.de7554d92936dp-16, 0x1.dee26fdcbbf83p-16, 0x1.df48e8e58a892p-16, 0x1.df9d28681022fp-16, 0x1.dfec80483dda1p-16, 0x1.e03db40fa1988p-16, 0x1.e06f7c8a36004p-16, 0x1.e09b24e948639p-16, 0x1.e0b4a7cb5fbecp-16, 0x1.e0dc7599b7448p-16, 0x1.e0e9253906aa6p-16, 0x1.e0ef3eec82f3p-16, 0x1.e0d7e450226e3p-16, 0x1.e0c4a396bdb87p-16, 0x1.e0aa66605e7c4p-16, 0x1.e08c568ed78b1p-16, 0x1.e056d4057bca1p-16, 0x1.e0236eb5414d4p-16, 0x1.dfdfba9461c6dp-16, 0x1.df93be75dd365p-16, 0x1.df3ff60c66ef2p-16, 0x1.dee1e347a4608p-16, 0x1.de8122906ce6ap-16, 0x1.de0f5a33f29cap-16, 0x1.dd96c21fd4293p-16, 0x1.dd171b0c8b70bp-16, 0x1.dc8f305a86ddbp-16, 0x1.dbff779f32ecep-16, 0x1.db6915c3846f2p-16, 0x1.dac87809366f5p-16, 0x1.da1b8b1b5abf5p-16, 0x1.d96c2d7f9c526p-16, 0x1.d8c207c57284dp-16, 0x1.d7fb8a9786687p-16, 0x1.d7348cdb8f48dp-16, 0x1.d667aa921ddf4p-16, 0x1.d5946c714b6a2p-16, 0x1.d4bb88f44c8cap-16, 0x1.d3dc82b2e34d9p-16, 0x1.d2e8ec8914186p-16, 0x1.d1fe13dfd559p-16, 0x1.d11c76c105f1ep-16, 0x1.cff7ff3d57b47p-16, 0x1.cf12a70618ff1p-16, 0x1.ce07d5b4744d5p-16, 0x1.ccf81bbad6e8bp-16, 0x1.cbe40d9d4eef8p-16, 0x1.caca62c19fdc1p-16, 0x1.c9aa3640397cp-16, 0x1.c88738f17eea6p-16, 0x1.c75e34b046bd3p-16, 0x1.c630112c634a8p-16, 0x1.c4fa45c1c1f71p-16, 0x1.c3b944939405ep-16, 0x1.c281f80331a01p-16, 0x1.c1339c9859284p-16, 0x1.bff7057a9be2p-16, 0x1.bea91e49f8892p-16, 0x1.bd4bb30657daep-16, 0x1.bbf3dfd4ac3cap-16, 0x1.ba985e9544dcap-16, 0x1.b942144500bep-16, 0x1.b7df04812b38fp-16, 0x1.b66e10e98dea3p-16, 0x1.b501b5f8702acp-16, 0x1.b38d4f4f79597p-16, 0x1.b20d6c54633d6p-16, 0x1.b0be572026458p-16, 0x1.af2dfc5b832cfp-16, 0x1.adacb5d616db7p-16, 0x1.ac297f0d2e29p-16, 0x1.aab4ba2f25066p-16, 0x1.a9193f75b807ap-16, 0x1.a78c134f1d25ep-16, 0x1.a5fed4a4ca874p-16, 0x1.a46b230edf8d9p-16, 0x1.a2da0f5af6d3dp-16, 0x1.a137b8c2728a5p-16, 0x1.9f9f29b1e68p-16, 0x1.9df6fd6dbb4ffp-16, 0x1.9c579a85132e4p-16, 0x1.9ab2948bc69e7p-16, 0x1.9910285595bd1p-16, 0x1.97617d4e79372p-16, 0x1.95baefbaaf01cp-16, 0x1.94049a2273619p-16, 0x1.92565ffe94a3dp-16, 0x1.90a051b71ac86p-16, 0x1.8eec62e754a34p-16, 0x1.8d2f6a1d72a6bp-16, 0x1.8b7515f6bbd8dp-16, 0x1.89b97db297aap-16, 0x1.880036005bba5p-16, 0x1.864c2ec308406p-16, 0x1.847d4160c8005p-16, 0x1.82b8194f578c7p-16, 0x1.80ef914d91fd6p-16, 0x1.7f2dfdc23f0c4p-16, 0x1.7d6677ccacf72p-16, 0x1.7b9a2450a7be3p-16, 0x1.79c819b57100fp-16, 0x1.780540668c4e8p-16, 0x1.7535f0af6e6a6p-16, 0x1.7469d2fb8071dp-16, 0x1.7292df9bb0075p-16, 0x1.70c3f1b70d428p-16, 0x1.6efad41993a46p-16, 0x1.6d1ea5c36ed04p-16, 0x1.6b4a0b76f5c7bp-16, 0x1.6973bff10a36ep-16, 0x1.67a78dd8a7914p-16, 0x1.65c6e8228f52ap-16, 0x1.63ef2465b13dap-16, 0x1.6217892f29813p-16, 0x1.60241f610af38p-16, 0x1.5e613da74adbap-16, 0x1.5c89041d63dedp-16, 0x1.5aae6072cc862p-16, 0x1.58cae55a409b7p-16, 0x1.56f7ae8727978p-16, 0x1.551f9b210961cp-16, 0x1.534455674ee66p-16, 0x1.515acce35e592p-16, 0x1.4f85103465bbdp-16, 0x1.4da224a8d9753p-16, 0x1.4bd0da98995afp-16, 0x1.49f01385bb4cbp-16, 0x1.4815e21e91a35p-16, 0x1.4632d1d7a6029p-16, 0x1.4454c1cd427ep-16, 0x1.426def0261c47p-16, 0x1.409c305dc30e3p-16, 0x1.3eba4198eac4cp-16, 0x1.3cf75903a6451p-16, 0x1.3b0a3f8bd11c8p-16, 0x1.392b35b6dbf55p-16, 0x1.374941fbdb0ecp-16, 0x1.356ae2c21ed5fp-16, 0x1.3388aeb3ef8a7p-16, 0x1.31bca68731266p-16, 0x1.2fe046c996dc2p-16, 0x1.2e06dd643df1bp-16, 0x1.2c2aae6659acp-16, 0x1.2a4e62c9960cfp-16, 0x1.288c551985b1p-16, 0x1.269eea92fe777p-16, 0x1.24d474735b11bp-16, 0x1.22f8da3b8ce8p-16, 0x1.21188dd25d11bp-16, 0x1.1f4edfff111b6p-16, 0x1.1d71c3b97ccc1p-16, 0x1.1b9187c60f51bp-16, 0x1.19d3e85403fffp-16, 0x1.17fbe2ae21716p-16, 0x1.162ceb2556da2p-16, 0x1.14638e277765bp-16, 0x1.128a9afb50f57p-16, 0x1.10bc9415ad398p-16, 0x1.0ef03164bbc57p-16, 0x1.0d278629df196p-16, 0x1.0b5cf0e5a3302p-16, 0x1.098d00e333e6ep-16, 0x1.07c4444e371a9p-16, 0x1.05e8927369b2p-16, 0x1.043d7fae632b4p-16, 0x1.026d39503cf33p-16, 0x1.00a264256118dp-16, 0x1.fdd36cc8a4a0ep-17, 0x1.fa3fb5c1ca4b3p-17, 0x1.f6bd788012243p-17, 0x1.f3410a851e993p-17, 0x1.efcfd5d080fp-17, 0x1.ec5bff6d1fbf1p-17, 0x1.e8f4c74c8ac75p-17, 0x1.e55f59a952f6dp-17, 0x1.e1eb8f0269f91p-17, 0x1.de78f81c0a4a1p-17, 0x1.db0a86e1002a7p-17, 0x1.d79ecf2f4057p-17, 0x1.d43d15a7c70cfp-17, 0x1.d0d2262a8e965p-17, 0x1.cd67368730e1p-17, 0x1.ca11175102f4ep-17, 0x1.c6b70076e117ap-17, 0x1.c3597fa3532adp-17, 0x1.c0030e8349b1ep-17, 0x1.bcb08351318e9p-17, 0x1.b95ade4ced58ep-17, 0x1.b628a726c67a6p-17, 0x1.b2cafe2ae4b8fp-17, 0x1.af7baac3f93aap-17, 0x1.ac30a84ca8b53p-17, 0x1.a8fce288879bap-17, 0x1.a597464020238p-17, 0x1.a28b0611bf46ap-17, 0x1.9f56d873d6cdcp-17, 0x1.9c1152fddc1fep-17, 0x1.98a62d26fb6fcp-17, 0x1.95c2c0930d6c9p-17, 0x1.926ddb363a41ap-17, 0x1.8f6a813073a7ep-17, 0x1.8c5121834514ep-17, 0x1.893aef7ab8172p-17, 0x1.8600f39d9688bp-17, 0x1.82e3112f39d02p-17, 0x1.7fd293dfe5454p-17, 0x1.7cdce981aff97p-17, 0x1.79c13b40f7433p-17, 0x1.76afd4f5b7f3dp-17, 0x1.73a742ab6d348p-17, 0x1.70a69a4ad1508p-17, 0x1.6d9e282e5024bp-17, 0x1.6aa4e54cb271cp-17, 0x1.67af141af8a71p-17, 0x1.64b68ffe87c75p-17, 0x1.61c88e85df37bp-17, 0x1.5ed4356520d06p-17, 0x1.5bd904918655cp-17, 0x1.590cce528e55ep-17, 0x1.561ec2c7eb3dbp-17, 0x1.533ea99bb433fp-17, 0x1.5064ab9da6b11p-17, 0x1.4d8644a77658ep-17, 0x1.4ab253997d2eep-17, 0x1.47e41435ba5d4p-17, 0x1.450056294d46fp-17, 0x1.424cb8b561b9ep-17, 0x1.3f857ec2b4d5p-17, 0x1.3cb56e3f578ddp-17, 0x1.3a0c72da070e3p-17, 0x1.375192010d493p-17, 0x1.3483a8a8a947cp-17, 0x1.31d87a11b27a4p-17, 0x1.2f2b5257d0f58p-17, 0x1.2c7ed5b776a1bp-17, 0x1.29d5ee8877ce1p-17, 0x1.272baccb9ab66p-17, 0x1.248b528f73531p-17, 0x1.21eda60459d74p-17, 0x1.1f5f0d8ff1947p-17, 0x1.1cb14e8d0a721p-17, 0x1.1a2c3d983402ap-17, 0x1.179ebca44ccb3p-17, 0x1.1513589a5c11ap-17, 0x1.128b49281a9c7p-17, 0x1.1003d8a271d25p-17, 0x1.0d878487e1cep-17, 0x1.0b138003a07eap-17, 0x1.0892e2eef7a8ap-17, 0x1.061d6eb2e0594p-17, 0x1.03a1e66d22534p-17, 0x1.00ccb650aae7ep-17, 0x1.fdad1b0c6739bp-18, 0x1.f8ed146458781p-18, 0x1.f41cb3141ad73p-18, 0x1.ef4e33c550942p-18, 0x1.eaaf46cd9cc75p-18, 0x1.e600fbf364ec4p-18, 0x1.e14d3fb3aff35p-18, 0x1.dcb5ea5f53595p-18, 0x1.d838a6fc4fbe6p-18, }}, 
      {{-0x1.08a04c5ef31ecp-1, -0x1.ed8b68840e869p-2, -0x1.bbb90717fb5eap-2, -0x1.817db453bce11p-2, -0x1.4313d67168a36p-2, -0x1.03931dee244e9p-2, -0x1.8a690a6a2632ep-3, -0x1.130d02485bccdp-3, -0x1.46549dd32b77fp-4, -0x1.e09322d601e7ap-6, 0x1.0bfdea11f7a46p-6, 0x1.d5077994f9bb4p-5, 0x1.7e7aac67e0a63p-4, 0x1.ff7029894e3f7p-4, 0x1.3722c3f186f98p-3, 0x1.660ae739e5031p-3, 0x1.8d1005ee56bb9p-3, 0x1.acdb913d30531p-3, 0x1.c61a57518eb6cp-3, 0x1.d978253c3538bp-3, 0x1.e79bd5edef99p-3, 0x1.f1254ba8538adp-3, 0x1.f6ab7e70571fbp-3, 0x1.f8bb7babf6409p-3, 0x1.f7d7cc75f5e5fp-3, 0x1.f47827eb9694bp-3, 0x1.ef099f9993ceap-3, 0x1.e7eec1264728cp-3, 0x1.df80073dc891fp-3, 0x1.d60c5d2159951p-3, 0x1.cbd9ae43d941ap-3, 0x1.c1257dbd9d56cp-3, 0x1.b62581fccfcbcp-3, 0x1.ab088cc24757fp-3, 0x1.9ff684319f394p-3, 0x1.9511a2338bc56p-3, 0x1.8a76b7f335331p-3, 0x1.803db841d185p-3, 0x1.767a4921715abp-3, 0x1.6d3c325c0858fp-3, 0x1.648fc64153919p-3, 0x1.5c7e4b2c72cf3p-3, 0x1.550e7ff38abffp-3, 0x1.4e449b2c92153p-3, 0x1.4822c7b8eebbap-3, 0x1.42a9aaebb5aa9p-3, 0x1.3dd830fa06ea7p-3, 0x1.39ac102ed84cep-3, 0x1.3621e418989adp-3, 0x1.33355b1329d0bp-3, 0x1.30e16ae8ac461p-3, 0x1.2f2066a6f478ep-3, 0x1.2dec28e640a9dp-3, 0x1.2d3e2adcc63ecp-3, 0x1.2d0f9f41ae8c9p-3, 0x1.2d598818e32c4p-3, 0x1.2e14cbcbcfa1bp-3, 0x1.2f3a43d6b17afp-3, 0x1.30c2c681afc39p-3, 0x1.32a73e56f3991p-3, 0x1.34e0aa9b46d9dp-3, 0x1.37682cd9072p-3, 0x1.3a370f04c76aap-3, 0x1.3d46c97601546p-3, 0x1.4091062443e98p-3, 0x1.440faa7ea4b2p-3, 0x1.47bcd272bbf73p-3, 0x1.4b92d902f584ap-3, 0x1.4f8c552ab7ca8p-3, 0x1.53a41d5b7e12cp-3, 0x1.57d5459cb142bp-3, 0x1.5c1b24e112ebp-3, 0x1.60714bb88edf2p-3, 0x1.64d38cb386a51p-3, 0x1.693df324f450dp-3, 0x1.6dacc942cb386p-3, 0x1.721c8f3b1f0cap-3, 0x1.768a016fc3dadp-3, 0x1.7af20f8b84198p-3, 0x1.7f51dfd092a6cp-3, 0x1.83a6c855ad5adp-3, 0x1.87ee53604b0f7p-3, 0x1.8c26377e9ce6dp-3, 0x1.904c5b971dd99p-3, 0x1.945ec4d815e9dp-3, 0x1.985bb5046e0b9p-3, 0x1.9c4186dbb572ep-3, 0x1.a00ebddf96e28p-3, 0x1.a3c1ff6a136e2p-3, 0x1.a75a14288e56p-3, 0x1.aad5e44490e9p-3, 0x1.ae347395ba136p-3, 0x1.b174e3675013cp-3, 0x1.b4967074217c7p-3, 0x1.b7986eebc8f62p-3, 0x1.ba7a4ceaf7d4ep-3, 0x1.bd3b8d1ad4de4p-3, 0x1.bfdbc7a0265f4p-3, 0x1.c25aa8d0e3e7dp-3, 0x1.c4b7f04e39a4bp-3, 0x1.c6f369a0fa42p-3, 0x1.c90cf8fcaa3afp-3, 0x1.cb048e8c6b345p-3, 0x1.ccda2752d06p-3, 0x1.ce8dcc92efe4p-3, 0x1.d01f9809fb8c1p-3, 0x1.d18fae1bb7aacp-3, 0x1.d2de3a436260fp-3, 0x1.d40b747afa01dp-3, 0x1.d5179f56ac698p-3, 0x1.d603042dfd633p-3, 0x1.d6cdf4614a34bp-3, 0x1.d778c97ea611bp-3, 0x1.d803deb109f2fp-3, 0x1.d86fa0777186dp-3, 0x1.d8bc746374221p-3, 0x1.d8eacdce1533dp-3, 0x1.d8fb1e6ec0da4p-3, 0x1.d8ede0ca0e09dp-3, 0x1.d8c3912fe4206p-3, 0x1.d87cb03d06448p-3, 0x1.d819bf1f0b24ep-3, 0x1.d79b433bb89cfp-3, 0x1.d701c8ee075aep-3, 0x1.d64dce6742a38p-3, 0x1.d57fe8a85b66p-3, 0x1.d498a0ebb477dp-3, 0x1.d398858c93651p-3, 0x1.d28023b50fb54p-3, 0x1.d1500cfff30bap-3, 0x1.d008cf3cf8431p-3, 0x1.ceaafb2a897e4p-3, 0x1.cd371fdaeeeaep-3, 0x1.cbadce683ea59p-3, 0x1.ca0f9950a6dccp-3, 0x1.c85d0b6b04dbp-3, 0x1.c696b6cb5ae16p-3, 0x1.c4bd28b524c75p-3, 0x1.c2d0ef9f2ce39p-3, 0x1.c0d298a2a3f15p-3, 0x1.bec2af12ec458p-3, 0x1.bca1be852bee3p-3, 0x1.ba70506990ea8p-3, 0x1.b82eedbb74bfdp-3, 0x1.b5de1e4909d5cp-3, 0x1.b37e672829701p-3, 0x1.b1104d91cdf2dp-3, 0x1.ae945453dfe92p-3, 0x1.ac0afca0ea674p-3, 0x1.a974c6fc68698p-3, 0x1.a6d231b2de59bp-3, 0x1.a423b9ea084f8p-3, 0x1.a169d8ff4e033p-3, 0x1.9ea50b65e30c9p-3, 0x1.9bd5c4e5e88a5p-3, 0x1.98fc7c3ee9182p-3, 0x1.9619a5fa430ecp-3, 0x1.932db3fbecec9p-3, 0x1.903916bdd364ap-3, 0x1.8d3c39315dacap-3, 0x1.8a378c2252854p-3, 0x1.872b770557c67p-3, 0x1.8418650348a98p-3, 0x1.80feb657c9fdcp-3, 0x1.7dded62c01c0ep-3, 0x1.7ab9259a7ba72p-3, 0x1.778e04b01660cp-3, 0x1.745dd1dfe19d8p-3, 0x1.7128ea32091d9p-3, 0x1.6defa9f93f2fp-3, 0x1.6ab2690b82a98p-3, 0x1.67717f54eb29p-3, 0x1.642d423cac2d3p-3, 0x1.60e604afa6c71p-3, 0x1.5d9c1881e98f9p-3, 0x1.5a4fcdbb57b08p-3, 0x1.5701721e5c0b5p-3, 0x1.53b1529b53788p-3, 0x1.505fb895d9fcap-3, 0x1.4d0cedc36a0fdp-3, 0x1.49b938307c4f5p-3, 0x1.4664dd79b20ffp-3, 0x1.431020967ed9fp-3, 0x1.3fbb439a7928bp-3, 0x1.3c6685da5711ep-3, 0x1.3912283007ee5p-3, 0x1.35be64d7a373dp-3, 0x1.326b78b254c17p-3, 0x1.2f199afdad457p-3, 0x1.2bc9061828b8p-3, 0x1.2879efc1dc258p-3, 0x1.252c8c63464fbp-3, 0x1.21e10f2763e9ep-3, 0x1.1e97abc90c418p-3, 0x1.1b5090976b3aep-3, 0x1.180bef2a153f4p-3, 0x1.14c9f39930ac8p-3, 0x1.118aca5d4f792p-3, 0x1.0e4e9c47ebb23p-3, 0x1.0b1597428d82fp-3, 0x1.07dfdf7bef97cp-3, 0x1.04ad9e9069e22p-3, 0x1.017ef7f55ba72p-3, 0x1.fca822c1983ep-4, 0x1.f65a1bb0a9bc1p-4, 0x1.f0141df9d391cp-4, 0x1.e9d66a9f0d6bdp-4, 0x1.e3a141772362p-4, 0x1.dd74ded9dd65ep-4, 0x1.d7517d58be439p-4, 0x1.d137553eaab4ep-4, 0x1.cb269bec532e6p-4, 0x1.c51f86c8e69adp-4, 0x1.bf224533753bap-4, 0x1.b92f09f552a16p-4, 0x1.b34600c564b3dp-4, 0x1.ad6754fcf5473p-4, 0x1.a793317d4cf3ep-4, 0x1.a1c9bd8907738p-4, 0x1.9c0b1f862d19ap-4, 0x1.9657792ca3a5bp-4, 0x1.90aeee7c9e18ep-4, 0x1.8b11a55a9369dp-4, 0x1.857fb279b9ccfp-4, 0x1.7ff9392988daep-4, 0x1.7a7e54c8e7988p-4, 0x1.750f1e31422a8p-4, 0x1.6fabac0a512bdp-4, 0x1.6a5416cb84687p-4, 0x1.650873e1520a9p-4, 0x1.5fc8d63b590cbp-4, 0x1.5a954ee8b3942p-4, 0x1.556df11f1b467p-4, 0x1.5052c9cddf751p-4, 0x1.4b43e901acbe5p-4, 0x1.464159c4c8947p-4, 0x1.414b28415831p-4, 0x1.3c615fc33c1bcp-4, 0x1.378405c3b9c36p-4, 0x1.32b3249812252p-4, 0x1.2deec1f1f7fb6p-4, 0x1.2936e2321c83ap-4, 0x1.248b8ba2616bfp-4, 0x1.1fecbf33d5fb4p-4, 0x1.1b5a8016c1ebap-4, 0x1.16d4cdef1177ep-4, 0x1.125ba9de287cap-4, 0x1.0def12f3a4a15p-4, 0x1.098f03a8441a9p-4, 0x1.053b8004be47bp-4, 0x1.00f47caf4cf5ep-4, 0x1.f973f32a0fa9ap-5, 0x1.f117dee9b47fap-5, 0x1.e8d4af61c086dp-5, 0x1.e0aa544f0d193p-5, 0x1.d898bd96e1c0bp-5, 0x1.d09fdcf70cb6bp-5, 0x1.c8bf9cb46d566p-5, 0x1.c0f7e6e25270ap-5, 0x1.b948a40437fb1p-5, 0x1.b1b1c607fef95p-5, 0x1.aa3326e4ef85bp-5, 0x1.a2ccb389740fbp-5, 0x1.9b7e4fb70cffp-5, 0x1.9447de61f4691p-5, 0x1.8d2940e4d024ap-5, 0x1.86225829c7fa3p-5, 0x1.7f33064d125ddp-5, 0x1.785b278c01b6p-5, 0x1.719a9b8c4bce3p-5, 0x1.6af13f95d0ad6p-5, 0x1.645eee21da61cp-5, 0x1.5de3835a9b102p-5, 0x1.577ed96f778cp-5, 0x1.5130c9a589dc7p-5, 0x1.4af92cc40dd55p-5, 0x1.44d7daaae2455p-5, 0x1.3eccaa6c84911p-5, 0x1.38d772692ab4ap-5, 0x1.32f80a22a7887p-5, 0x1.2d2e442869b37p-5, 0x1.2779f6b02aa64p-5, 0x1.21daf5aad6883p-5, 0x1.1c51161f33fcdp-5, 0x1.16dc278d0731bp-5, 0x1.117bff29f779fp-5, 0x1.0c306f2f42a9cp-5, 0x1.06f9491069c58p-5, 0x1.01d65d9c934a8p-5, 0x1.f98ef78bc69f5p-6, 0x1.ef98f1cdb7b14p-6, 0x1.e5ca435f8d82fp-6, 0x1.dc22919870331p-6, 0x1.d2a17a5eaff5bp-6, 0x1.c9469b1c58b1bp-6, 0x1.c01191ae2c96bp-6, 0x1.b701f23ee3836p-6, 0x1.ae177a3d72b0dp-6, 0x1.a551a70053efdp-6, 0x1.9cb0267e35d45p-6, 0x1.94328a4f79b05p-6, 0x1.8bd88730615b1p-6, 0x1.83a19e02cb7fep-6, 0x1.7b8d79909bf39p-6, 0x1.739bb4c887d1p-6, 0x1.6bcbebfd837fbp-6, 0x1.641dba68bbb34p-6, 0x1.5c90bd733efebp-6, 0x1.5524940641af2p-6, 0x1.4dd8dd6a4ca77p-6, 0x1.46ad2fdb23ae7p-6, 0x1.3fa12a04c6c37p-6, 0x1.38b47033f0693p-6, 0x1.31e69a9c7da3fp-6, 0x1.2b374917e97afp-6, 0x1.24a616a9ef8a7p-6, 0x1.1e32a4d35d87fp-6, 0x1.17dc90ecdbd37p-6, 0x1.11a37ad18af65p-6, 0x1.0b87048e59ee6p-6, 0x1.0586cc98d3464p-6, 0x1.ff44e7c3785d7p-7, 0x1.f3b334d916344p-7, 0x1.e857bdf16dae8p-7, 0x1.dd31d448a5a11p-7, 0x1.d240b4531f174p-7, 0x1.c783aa9b8fc8cp-7, 0x1.bcf9f82dbae92p-7, 0x1.b2a2e203aafa7p-7, 0x1.a87db6c59989ap-7, 0x1.9e89c37e25b27p-7, 0x1.94c652f46f2dcp-7, 0x1.8b32b11c78bd4p-7, 0x1.81ce2b4bf331p-7, 0x1.7898114553e5cp-7, 0x1.6f8fb5d17b7d8p-7, 0x1.66b46b9e796d6p-7, 0x1.5e058a252d50ep-7, 0x1.5582608b2fe44p-7, 0x1.4d2a44ebe8c13p-7, 0x1.44fc939a79d29p-7, 0x1.3cf8a130a0ac9p-7, 0x1.351dc895ec2d9p-7, 0x1.2d6b6fa44cb09p-7, 0x1.25e0f1697409ap-7, 0x1.1e7da00e746fcp-7, 0x1.1740f07fe5901p-7, 0x1.102a3b50bb6dep-7, 0x1.0938e222a2364p-7, 0x1.026c4dbe022b1p-7, 0x1.f787cc8db413ep-8, 0x1.ea7e289008409p-8, 0x1.ddba921789e6ep-8, 0x1.d13bb0dda2735p-8, 0x1.c5009f19356bfp-8, 0x1.b908114493b1bp-8, 0x1.ad50f78de3a36p-8, 0x1.a1da38bcb51bp-8, 0x1.96a2b739d770ep-8, 0x1.8ba963d2332fbp-8, 0x1.80ed32486964ap-8, 0x1.766d05f790fafp-8, 0x1.6c27cf32a2ea2p-8, 0x1.621ca0a1feeb8p-8, 0x1.584a5a38913cfp-8, 0x1.4eb0067602e5dp-8, 0x1.454ca4da22ab1p-8, 0x1.3c1f340520a81p-8, 0x1.3326c7dca1092p-8, 0x1.2a62785dfeab4p-8, 0x1.21d140c129e03p-8, 0x1.197246dc690dp-8, 0x1.11449615a2156p-8, 0x1.09473a1d255fp-8, 0x1.017945588e59dp-8, 0x1.f3b3d09bbb80ep-9, 0x1.e4d04dc220fc1p-9, 0x1.d64695b389274p-9, 0x1.c8149bbec02c1p-9, 0x1.ba3911cb8199fp-9, 0x1.acb2471e47e66p-9, 0x1.9f7ea3ce949ccp-9, 0x1.929c9b8569bp-9, 0x1.860a9d39eb07bp-9, 0x1.79c70b3257a57p-9, 0x1.6dd0511cdcbddp-9, 0x1.6224df7bbda16p-9, 0x1.56c31eaeaf317p-9, 0x1.4ba99553986acp-9, 0x1.40d6dae2e7ebbp-9, 0x1.36496693d244ap-9, 0x1.2c007bd5c1c8bp-9, 0x1.21fa4245a7c5p-9, 0x1.183590caa235fp-9, 0x1.0eb114f2a1e5p-9, 0x1.056b9dce6fe8p-9, 0x1.f8c7222e3927cp-10, 0x1.e72f663ea7af1p-10, 0x1.d60d549af752cp-10, 0x1.c55e0f56575fbp-10, 0x1.b51f4d483bc0ap-10, 0x1.a54eed7e7ac35p-10, 0x1.95eae8ec85fa1p-10, 0x1.86f147ae8103dp-10, 0x1.785febfe42d44p-10, 0x1.6a35335913b7ap-10, 0x1.5c6eac38e413fp-10, 0x1.4f09e9fc36dafp-10, 0x1.4204fadf6a4dcp-10, 0x1.355cdb941c24ep-10, 0x1.290f1a0bcf5c5p-10, 0x1.1d198bd7f9bfcp-10, 0x1.117a077be4b65p-10, 0x1.062eb8278bc84p-10, 0x1.f66bfa4b80a39p-11, 0x1.e11c6209a512dp-11, 0x1.cc6c30a12d599p-11, 0x1.b858dd66fa22ap-11, 0x1.a4e2f0cf80b6ap-11, 0x1.91fda7279a3b7p-11, 0x1.7faf00a371083p-11, 0x1.6df0069889922p-11, 0x1.5cbcb6d441ec4p-11, 0x1.4c110be2bf7f6p-11, 0x1.3be91055a0209p-11, 0x1.2c4108ba20192p-11, 0x1.1d15a52aeb9adp-11, 0x1.0e63bad17b355p-11, 0x1.0027b861184d9p-11, 0x1.e4c0381cda6ecp-12, 0x1.ca148991b2bb2p-12, 0x1.b0484b858293bp-12, 0x1.97574f2be3f8ep-12, 0x1.7f3e2f17894d6p-12, 0x1.67f709b6e85f2p-12, 0x1.517c4b531a4b7p-12, 0x1.3bc981f014841p-12, 0x1.26d9ed69c8163p-12, 0x1.12a81e4333b38p-12, 0x1.fe5d93323a4dcp-13, 0x1.d8d14fc981e3bp-13, 0x1.b4a02fbf91f8ep-13, 0x1.91bf9a275cfebp-13, 0x1.70254563b42dcp-13, 0x1.4fc998c872047p-13, 0x1.30a3dca33458ap-13, 0x1.12afe7d771f56p-13, 0x1.ebca51c380fdbp-14, 0x1.b47ab83159c55p-14, 0x1.7f62db524f173p-14, 0x1.4c7096a6d7d65p-14, 0x1.1b9baa8a702e2p-14, 0x1.d9b1d3e39f471p-15, 0x1.803f72f2cc12fp-15, 0x1.2abd572c05031p-15, 0x1.b1fbe03eb6d4dp-16, 0x1.15bf98843a14bp-16, 0x1.00f9b5736f0c2p-17, -0x1.c23f11be2588dp-21, -0x1.2c07831f907dp-17, -0x1.179401d1392b5p-16, -0x1.92deda1f94a21p-16, -0x1.04058a6f9dd05p-15, -0x1.3b9eadb6ee51cp-15, -0x1.70550a618c8bp-15, -0x1.a2319eb9b9633p-15, -0x1.d1426d9e6043fp-15, -0x1.fd90e96ae3d5ep-15, -0x1.139499379d228p-14, -0x1.27140b67679dbp-14, -0x1.39443f26dbc57p-14, -0x1.4a46fa3461024p-14, -0x1.5a29fe25bb045p-14, -0x1.68fe636e461p-14, -0x1.76d0cb2db111bp-14, -0x1.83a9272b9202p-14, -0x1.8f8c7bdc6ef3cp-14, -0x1.9a7f04eb74dc9p-14, -0x1.a484f3ba71f2dp-14, -0x1.ada3b52065e36p-14, -0x1.b5e20c81f3575p-14, -0x1.bd46d7342ac27p-14, -0x1.c3d431ffa2fb7p-14, -0x1.c98d91e2bce16p-14, -0x1.ce77249851478p-14, -0x1.d29375d8ba3d4p-14, -0x1.d5eb8d6fd8757p-14, -0x1.d87e33bbd2fbep-14, -0x1.da5d78f3431d4p-14, -0x1.db9219d1367fp-14, -0x1.dc2773497fbdap-14, -0x1.dc2a64c92fea9p-14, -0x1.dba460baba345p-14, -0x1.da9edb1a4dfcbp-14, -0x1.d919778e59a46p-14, -0x1.d71a9078db4b5p-14, -0x1.d4a09b397c3c5p-14, -0x1.d1b0f6376b526p-14, -0x1.ce4c4dc102993p-14, -0x1.ca74591c3f40ap-14, -0x1.c62cb4b75ab7cp-14, -0x1.c17bc5d93df97p-14, -0x1.bc626fb753f22p-14, -0x1.b6eb0b25ad29cp-14, -0x1.b1122c0e9f9fap-14, -0x1.aadd367059962p-14, -0x1.a44d9352e8cfcp-14, -0x1.9d657292b8485p-14, -0x1.962d3cc5f9e14p-14, -0x1.8eafa17588c62p-14, -0x1.86ea67d26f669p-14, -0x1.7eee2a3097bf9p-14, -0x1.76b4d819de517p-14, -0x1.6e42ce9421604p-14, -0x1.659c736916b0fp-14, -0x1.5cc662a2645aep-14, -0x1.53c5c54da4d62p-14, -0x1.4a98de009970bp-14, -0x1.413b1a4070461p-14, -0x1.37b0b03b3ee4ap-14, -0x1.2e0147e7d1575p-14, -0x1.242f7d3580d08p-14, -0x1.1a3eb0b2e8c3cp-14, -0x1.10314abc496f3p-14, -0x1.06027ea0aaaf8p-14, -0x1.f76c7de5bfa7ap-15, -0x1.e28f78dd24c5p-15, -0x1.cd7f407320463p-15, -0x1.b846f0194e9fp-15, -0x1.a2f11d86d9b27p-15, -0x1.8d85426e78b4dp-15, -0x1.78000ec63f69p-15, -0x1.62597fba62557p-15, -0x1.4c975b2c32e53p-15, -0x1.36c4c9dfbbe4ap-15, -0x1.20e1234c6874p-15, -0x1.0aed55424a518p-15, -0x1.e9e1dc4b152e6p-16, -0x1.bde81f587ebe4p-16, -0x1.91fb712795748p-16, -0x1.660abf20d3c23p-16, -0x1.3a255ed6521b4p-16, -0x1.0e3c73b8ee2bap-16, -0x1.c4db293eb0b37p-17, -0x1.6d779f2408184p-17, -0x1.16174cab095dfp-17, -0x1.7da761a12f579p-18, -0x1.9e9e3a900e601p-19, -0x1.0ee50d4becce6p-21, 0x1.1618803d8aaap-19, 0x1.370924656a98p-18, 0x1.e17d03639b79p-18, 0x1.465ebbb10ff89p-17, 0x1.9b1d728a662d8p-17, 0x1.ef606e727acf1p-17, 0x1.21a23f761d18p-16, 0x1.4b6029e2bbfd2p-16, 0x1.74ec19b8dfc6ap-16, 0x1.9e2a5661ddbd1p-16, 0x1.c720d051812bp-16, 0x1.efb99b6d27b63p-16, 0x1.0c0213e713961p-15, 0x1.20000a75ee5d8p-15, 0x1.33d6a2669b9edp-15, 0x1.4782adf6c4733p-15, 0x1.5b034f9dac4a4p-15, 0x1.6e5e3ff31c505p-15, 0x1.818d516593ae6p-15, 0x1.948dea852a373p-15, 0x1.a7627cfdaf407p-15, 0x1.ba05010760959p-15, 0x1.cc7b36dfa357dp-15, 0x1.debc92d76da1ep-15, 0x1.f0d5b07c8597bp-15, 0x1.015b58db5ede3p-14, 0x1.0a31ec313f8d6p-14, 0x1.12f0436da0584p-14, 0x1.1b963425bee0fp-14, 0x1.24229ab412228p-14, 0x1.2c9548902a44ap-14, 0x1.34ee4e493528bp-14, 0x1.3d2f69a8231e2p-14, 0x1.4555684d17628p-14, 0x1.4d5e2f0aa8dafp-14, 0x1.554d8df57ed5p-14, 0x1.5d22d6d0241fap-14, 0x1.64dd470e3d015p-14, 0x1.6c7b4c0a37f25p-14, 0x1.7400dae3864b2p-14, 0x1.7b68faa8ed1dp-14, 0x1.82b7b1639eaf5p-14, 0x1.89eb416e7e8c4p-14, 0x1.91032bdfcefd9p-14, 0x1.980285d248d27p-14, 0x1.9ee57b41cfd6ap-14, 0x1.a5ace42eaa12ep-14, 0x1.ac5a5468116c5p-14, 0x1.b2e9718cec32ap-14, 0x1.b95f10613d67ap-14, 0x1.bfba910f34d73p-14, 0x1.c5faf36c3d89p-14, 0x1.cc20588bd1dcep-14, 0x1.d22aeab23ad14p-14, 0x1.d81ac59459e8fp-14, 0x1.ddf0202f3d84dp-14, 0x1.e3ab492ca1542p-14, 0x1.e94c73881b7dfp-14, 0x1.eed3557a084fcp-14, 0x1.f43c9bf148404p-14, 0x1.f98f749bb2a54p-14, 0x1.fec68224bed63p-14, 0x1.01f37a67dd4bbp-13, 0x1.047521ac6ceabp-13, 0x1.06e997a19b103p-13, 0x1.095256c4a7c28p-13, 0x1.0badda34e3855p-13, 0x1.0dfd0bb14e9c8p-13, 0x1.104082add1734p-13, 0x1.1276f0cf1789cp-13, 0x1.14a09b1e8d397p-13, 0x1.16be1b70abf35p-13, 0x1.18cf985762125p-13, 0x1.1ad4c691baafap-13, 0x1.1cce0d87c7e15p-13, 0x1.1ebb6458b465fp-13, 0x1.209cdfb3f6abep-13, 0x1.2272bba1d7622p-13, 0x1.243cc78e2dcedp-13, 0x1.25fb2dc09f205p-13, 0x1.27ae4a32ec8e6p-13, 0x1.295629442d084p-13, 0x1.2af2a6e61a19cp-13, 0x1.2c814527cff92p-13, 0x1.2e08117e0a562p-13, 0x1.2f832f22fa055p-13, 0x1.30f49105658e8p-13, 0x1.325a0d1212ac8p-13, 0x1.33b4612281464p-13, 0x1.35040ed624cb7p-13, 0x1.364a27bc9ff76p-13, 0x1.37854331b8417p-13, 0x1.38b59255c5c5fp-13, 0x1.39dc3bd782d2cp-13, 0x1.3af90cd70bb8bp-13, 0x1.3c0b4898492a2p-13, 0x1.3d140b7d24b9bp-13, 0x1.3e1347bd15696p-13, 0x1.3f08fa8e28bd5p-13, 0x1.3ff40268ce6ccp-13, 0x1.40d61a5833d8dp-13, 0x1.41aee65abaadfp-13, 0x1.427e35698ed52p-13, 0x1.4345b1ee459e3p-13, 0x1.44023fea88b93p-13, 0x1.44b69348eea59p-13, 0x1.4562752bc3531p-13, 0x1.460503716df84p-13, 0x1.469f0f6611c9fp-13, 0x1.4730e482f01a6p-13, 0x1.47ba567ef9c74p-13, 0x1.483b7975b3c67p-13, 0x1.48b466687ecffp-13, 0x1.4922c571adcafp-13, 0x1.498c148a5df51p-13, 0x1.49ec47f183c85p-13, 0x1.4a45d8e870814p-13, 0x1.4a9766a75fc57p-13, 0x1.4ae0fad6b8929p-13, 0x1.4b1c2a055d4ddp-13, 0x1.4b5cc448a6762p-13, 0x1.4b8fe6393493p-13, 0x1.4bbbe4dde5ea1p-13, 0x1.4be0bf8b6a6dcp-13, 0x1.4bfe8b2d03624p-13, 0x1.4c154f26c21ffp-13, 0x1.4c254ab10dd35p-13, 0x1.4c2ea2f741c5ap-13, 0x1.4c3109c9b68efp-13, 0x1.4c2d144f72359p-13, 0x1.4c22fcf3192bap-13, 0x1.4c12510ecb9d2p-13, 0x1.4bfb6b311ad7dp-13, 0x1.4bde50a10bff6p-13, 0x1.4bbafff449235p-13, 0x1.4b91df744fcfdp-13, 0x1.4b62bfb563251p-13, 0x1.4b2dd53d05e45p-13, 0x1.4af17600e86fbp-13, 0x1.4ab35dacbea18p-13, 0x1.4a6ca047acde2p-13, 0x1.4a21b82c2ced5p-13, 0x1.49d0dea8cb82fp-13, 0x1.497b0a7ee5ba6p-13, 0x1.4920d7f90656dp-13, 0x1.48c02411036b1p-13, 0x1.485ac1d412371p-13, 0x1.47ef3809325ap-13, 0x1.477fb188f9479p-13, 0x1.470d34a1ca2f3p-13, 0x1.46944590aa2d8p-13, 0x1.46177eafbeddcp-13, 0x1.4595e6655850ep-13, 0x1.450ecfe5e68ffp-13, 0x1.448492388a5d8p-13, 0x1.43f59178fea1dp-13, 0x1.436286f15864ep-13, 0x1.42cb3dfa960adp-13, 0x1.422fc5ebcd9e3p-13, 0x1.4190655d7a396p-13, 0x1.40ed2b20e9d41p-13, 0x1.404609324fb65p-13, 0x1.3f9b050d46464p-13, 0x1.3eec1ea197e5fp-13, 0x1.3e3a0963a67b2p-13, 0x1.3d842922a887bp-13, 0x1.3ccac583d8d6bp-13, 0x1.3c0de98bdddabp-13, 0x1.3b4dd0fe41febp-13, 0x1.3a8abca18f32cp-13, 0x1.39c3f5e227a1dp-13, 0x1.38f9693974024p-13, 0x1.382c5e3d0e94cp-13, 0x1.375d121bb461dp-13, 0x1.368a0734fb59p-13, 0x1.35b4401ce662p-13, 0x1.34db69439348fp-13, 0x1.33ffd829b8371p-13, 0x1.3321a42576923p-13, 0x1.324106ed7592p-13, 0x1.315d6bb050026p-13, 0x1.307787778847dp-13, 0x1.2f8f750cda147p-13, 0x1.2ea3f8f9ac606p-13, 0x1.2db68c19ce2e3p-13, 0x1.2cc6cc3aa13ffp-13, 0x1.2bd6954577533p-13, 0x1.2ae21f27efae2p-13, 0x1.29eb9e25d57p-13, 0x1.28f2c827295b8p-13, 0x1.27f85c3bbb3cbp-13, 0x1.26fcc4fa4073p-13, 0x1.25fe940f7abe2p-13, 0x1.24ff17a4dfcfep-13, 0x1.23fcbcbb99f67p-13, 0x1.22f90ad1c5745p-13, 0x1.21f3970406baep-13, 0x1.20ec6fb970521p-13, 0x1.1fe3e67726abp-13, 0x1.1ed9658e3d71p-13, 0x1.1dcdc2051c346p-13, 0x1.1cc0714dee7e6p-13, 0x1.1bb1b1cb2968p-13, 0x1.1aa1af536fc36p-13, 0x1.199035c66200fp-13, 0x1.187d5d3c3c714p-13, 0x1.1769829aa5106p-13, 0x1.16549e5e2819ep-13, 0x1.153d896910bdcp-13, 0x1.14259cabc3995p-13, 0x1.130cdf800769ep-13, 0x1.11f40d471a84dp-13, 0x1.10d96096d8e39p-13, 0x1.0fbd61ccb639fp-13, 0x1.0ea0ad27b4bbap-13, 0x1.0d830beacaa11p-13, 0x1.0c64b2e119372p-13, 0x1.0b458f55b2341p-13, 0x1.0a257e0aabc61p-13, 0x1.0904e2fbb17cdp-13, 0x1.07e33aa68d075p-13, 0x1.06c11c91a1658p-13, 0x1.059e5080bc698p-13, 0x1.047afa5933c09p-13, 0x1.035717b8286c5p-13, 0x1.0233194998be1p-13, 0x1.010eac93ba827p-13, 0x1.ffcf603566f58p-14, 0x1.fd83037722431p-14, 0x1.fb37cd174ba3cp-14, 0x1.f8eaa409673afp-14, 0x1.f69cf14e8ef85p-14, 0x1.f44e44d6fab4ap-14, 0x1.f1fc56087d4f5p-14, 0x1.efae792bc34b9p-14, 0x1.ed5e3e0061d08p-14, 0x1.eb0daf20534d7p-14, 0x1.e8bccfb795b49p-14, 0x1.e66bcfdc26d54p-14, 0x1.e41a67d0a0d9p-14, 0x1.e1c7a793bc224p-14, 0x1.df75fde35336fp-14, 0x1.dd24b4545d292p-14, 0x1.dad301868fcb4p-14, 0x1.d87f92a19d516p-14, 0x1.d62e21dcc18efp-14, 0x1.d3dd399ee7e76p-14, 0x1.d18b7bd7b1e3bp-14, 0x1.cf396fc13b1aap-14, 0x1.cce85a6ea73ep-14, 0x1.ca98ddeef95fcp-14, 0x1.c84a4ebcd7c84p-14, 0x1.c5f7c7605c8c9p-14, 0x1.c3a714e94c2ffp-14, 0x1.c157d84fbf709p-14, 0x1.bf0aca2e5388bp-14, 0x1.bcbbe4cec70adp-14, 0x1.ba6ed8d75cb1dp-14, 0x1.b821d05551b51p-14, 0x1.b5d58db0447dp-14, 0x1.b38a2247d4169p-14, 0x1.b13f4c904eba3p-14, 0x1.aef60bd6d6105p-14, 0x1.acac7af22fd9p-14, 0x1.aa6424cfa3baep-14, 0x1.a81ccd44b353fp-14, 0x1.a5d6664a97e9ep-14, 0x1.a3911822a6ea3p-14, 0x1.a14d3ff818cacp-14, 0x1.9f09a73f1755fp-14, 0x1.9cc57eeee6a78p-14, 0x1.9a844f12882bbp-14, 0x1.984658e1e5b8ap-14, 0x1.9606cffc6f7ffp-14, 0x1.93c862671a974p-14, 0x1.918b59745c64fp-14, 0x1.8f502a08173fdp-14, 0x1.8d164eca18793p-14, 0x1.8add76407f5e9p-14, 0x1.88a5062e4f26cp-14, 0x1.866f92314ffeap-14, 0x1.843bd8f280a9ep-14, 0x1.820339a206e44p-14, 0x1.7fd45f9c5a20ap-14, 0x1.7da490f211b3dp-14, 0x1.7b75a2512ff38p-14, 0x1.7947519329825p-14, 0x1.771af7aeffcdep-14, 0x1.74f0600207466p-14, 0x1.72c7b8ff738fbp-14, 0x1.709f30f76a98ap-14, 0x1.6e7980f55a2p-14, 0x1.6c54d65286e7cp-14, 0x1.6a32d385335edp-14, 0x1.681227b8ddd2dp-14, 0x1.65f18b84accf3p-14, 0x1.63d41ec958773p-14, 0x1.61b7d1e326b7p-14, 0x1.5f9d172d86ac9p-14, 0x1.5d846a6d35d71p-14, 0x1.5b6e2424cdc4p-14, 0x1.59590b8148a71p-14, 0x1.5746738109265p-14, 0x1.55335c93b836ap-14, 0x1.53237c9ce028ep-14, 0x1.511555016eea6p-14, 0x1.4f0c4c8be5eb2p-14, 0x1.4d015312f2735p-14, 0x1.4af73da2ea57dp-14, 0x1.48f030f414deap-14, 0x1.46eb7b98a56c3p-14, 0x1.44e995d9cbc1p-14, 0x1.42e7e1956a51p-14, 0x1.40e8edde85589p-14, 0x1.3eec251588e91p-14, 0x1.3cf17faffd352p-14, 0x1.3af83709c2102p-14, 0x1.3900a8c063ee2p-14, 0x1.370bed059eeb1p-14, 0x1.351708e2848a1p-14, 0x1.33257dc88d5f3p-14, 0x1.3136f9b7a1db3p-14, 0x1.2f4aa078685cfp-14, 0x1.2d5e972f48579p-14, 0x1.2b75e6e963394p-14, 0x1.298dbafc416cp-14, 0x1.27a8bf669e107p-14, 0x1.25c5849dce8e9p-14, 0x1.23e4fd6b8f746p-14, 0x1.22048d0027c03p-14, 0x1.20270af1127b5p-14, 0x1.1e4c07118d29fp-14, 0x1.1c74bca8ee89cp-14, 0x1.1a9e11442f3d3p-14, 0x1.18c8eb855df6dp-14, 0x1.16f60d709e2a9p-14, 0x1.15233d5a8b191p-14, 0x1.13554de88865ap-14, 0x1.118a594e5832dp-14, 0x1.0fbfeb69dd7f7p-14, 0x1.0df63c84c6efp-14, 0x1.0c2fd267c9b42p-14, 0x1.0a7f1445006a8p-14, 0x1.08aaabfe6ec8cp-14, 0x1.06ea5f02f05a2p-14, 0x1.052ca4dc27c0ap-14, 0x1.03704b8f00763p-14, 0x1.01b752b0a33b6p-14, 0x1.ffff95dc7c045p-15, 0x1.fc94b22a3bccfp-15, 0x1.f930590971179p-15, 0x1.f5cbcedc471ebp-15, 0x1.f26dbbf9e9a12p-15, 0x1.ef141fe7c6f28p-15, 0x1.ebbb945efaafep-15, 0x1.e86c0ed2158cbp-15, 0x1.e51f571fcb233p-15, 0x1.e1d67bcc794aep-15, 0x1.deb68aa58b312p-15, 0x1.db54bfed7fffdp-15, 0x1.d81594df04e43p-15, 0x1.d4dd9334639dp-15, 0x1.d1a7b6de38348p-15, 0x1.ce79193a9bd2ap-15, 0x1.cb4cbd45bbdd1p-15, 0x1.c8275204581fep-15, 0x1.c503bc065c5e5p-15, 0x1.c1e55ba24028ep-15, 0x1.bec9c604ad441p-15, 0x1.bbb353375998ep-15, 0x1.b8a0cdb3601ep-15, 0x1.b593206779efdp-15, 0x1.b286e51fad4cdp-15, 0x1.af866b5b23175p-15, 0x1.ac8250237d808p-15, 0x1.a984ea9f4417ep-15, 0x1.a68abae937c7cp-15, 0x1.a3948add59226p-15, 0x1.a0a94e48c267p-15, 0x1.9db8e2d2434b3p-15, 0x1.9acea0bd6338cp-15, 0x1.97ea581cea476p-15, 0x1.9509ca3188463p-15, 0x1.922b98d774ee5p-15, 0x1.8f568cb8ee51bp-15, 0x1.8c81b6e4e4bf9p-15, 0x1.89b43560f940cp-15, 0x1.86e4131fd4a68p-15, 0x1.84186cf6877f1p-15, 0x1.81574259d99b2p-15, 0x1.7e9976457a79bp-15, 0x1.7bdaccc52425ep-15, 0x1.7925494d5ad18p-15, 0x1.766faed6ff0c1p-15, 0x1.73bfe16066981p-15, 0x1.7115588ee639ep-15, 0x1.6e6b9544adbaap-15, 0x1.6bc7b52031f3cp-15, 0x1.6927ed95168aap-15, 0x1.668d14962e092p-15, 0x1.63f0beada9cf8p-15, 0x1.615ee7bcf753fp-15, 0x1.5ececfad82fd7p-15, 0x1.5c41ebca70a92p-15, 0x1.59b97dff876fcp-15, 0x1.57341c96e607cp-15, 0x1.54b17493c91f6p-15, 0x1.52373e64b6f6ap-15, 0x1.4fbc8590c4139p-15, 0x1.4d46ff2b118cp-15, 0x1.4ad5c00927519p-15, 0x1.48688dddf4f03p-15, 0x1.45ff5dd21af64p-15, 0x1.439925f1086bp-15, 0x1.4134eee79ca23p-15, 0x1.3ed61856237f8p-15, 0x1.3c7b2293de8a5p-15, 0x1.3a23d2f57374p-15, 0x1.37d0424211f2fp-15, 0x1.3580cf5eddcfbp-15, 0x1.3333f1fb8544bp-15, 0x1.30e98689cd39fp-15, 0x1.2ea627582a648p-15, 0x1.2c651fbf2c4b5p-15, 0x1.2a2735b0d5f5cp-15, 0x1.27ed10a42671dp-15, 0x1.25b6a1393b01ap-15, 0x1.23839ab63cde2p-15, 0x1.21559d009284cp-15, 0x1.1f28510df8a4ap-15, 0x1.1d000276baebep-15, 0x1.1adb09da1c281p-15, 0x1.18ba9394bdbe5p-15, 0x1.169b1727ca8f5p-15, 0x1.148149dd754d3p-15, 0x1.126a0b4f96919p-15, 0x1.105897e7eba7ep-15, 0x1.0e48e011aee48p-15, 0x1.0c3b480d31c96p-15, 0x1.0a2d9101c427bp-15, 0x1.083171debff7fp-15, 0x1.062d929178368p-15, 0x1.042c3210ff623p-15, 0x1.022d6970667a8p-15, 0x1.00357f5a39a53p-15, 0x1.fc818c52aabc8p-16, 0x1.f8a56a4c47054p-16, 0x1.f4c509700c26ap-16, 0x1.f0eceab832098p-16, 0x1.ed1cd9fcba56fp-16, 0x1.e9540e7153326p-16, 0x1.e5903b72d6ebcp-16, 0x1.e1d4283b934eep-16, 0x1.de1dcae994192p-16, 0x1.da6e96188a885p-16, 0x1.d6c586b9412d9p-16, 0x1.d3210d26536cep-16, 0x1.cf81f52a61c61p-16, 0x1.cbeda84cc7dbep-16, 0x1.c85e04a0bc75ep-16, 0x1.c4d39f8239cc5p-16, 0x1.c14fa15d976fap-16, 0x1.bdd08c2602de3p-16, 0x1.ba58ddcc39defp-16, 0x1.b6e8920893effp-16, 0x1.b37a601d0ac1p-16, 0x1.b016a88d422c6p-16, 0x1.acb7d3c4b4e1p-16, 0x1.a95bb38f80c0dp-16, 0x1.a6078d8dfa54p-16, 0x1.a2b9e04b4d646p-16, 0x1.9f7154030e307p-16, 0x1.9c2f1d68663b7p-16, 0x1.98f26bf0f806p-16, 0x1.95bae8fa90b01p-16, 0x1.928a5d0b10b0ap-16, 0x1.8f5f705f73d77p-16, 0x1.8c354b338bd64p-16, 0x1.8903dd19c94cap-16, 0x1.85fbda06d7c9bp-16, 0x1.82e8ecb94c5f3p-16, 0x1.7fd8b48179c2cp-16, 0x1.7cce440766552p-16, 0x1.79c98e60af787p-16, 0x1.76cacb77b1deap-16, 0x1.73d291bc3b25cp-16, 0x1.70d951404f2e1p-16, 0x1.6ded27981fbfcp-16, 0x1.6b04f4eea115bp-16, 0x1.6820449fd5618p-16, 0x1.653f1eaaee012p-16, 0x1.627363e9a03d2p-16, 0x1.5f91c0c46015fp-16, 0x1.5cc5baff874e1p-16, 0x1.59f41cd904311p-16, 0x1.572faf46e7c64p-16, 0x1.54727573b126bp-16, 0x1.51b76c6c75baep-16, 0x1.4efffd98ca2d4p-16, 0x1.4c4fd9bda14cdp-16, 0x1.49a65763e9a0ap-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.b002197c1894ap-2, -0x1.b0746bd09b03dp-2, -0x1.b131abfa1e5e5p-2, -0x1.b237f79780f23p-2, -0x1.b384bf8ab7cdfp-2, -0x1.b514d8ac873fap-2, -0x1.b6e48e2314247p-2, -0x1.b8efb463c99ddp-2, -0x1.bb31bc2509387p-2, -0x1.bda5c4b771cdbp-2, -0x1.c046ad68ddc34p-2, -0x1.c30f25b4fe161p-2, -0x1.c5f9bc21a5604p-2, -0x1.c900ebb880e7fp-2, -0x1.cc1f281e3ed6fp-2, -0x1.cf4ee85119cap-2, -0x1.d28ab01f573d8p-2, -0x1.d5cd186a40f14p-2, -0x1.d910d64c3b407p-2, -0x1.dc50c13950efdp-2, -0x1.df87d83154a6ap-2, -0x1.e2b14619e2faep-2, -0x1.e5c86555445c2p-2, -0x1.e8c8c2a9da2e7p-2, -0x1.ebae1f8c27a25p-2, -0x1.ee7473dc16467p-2, -0x1.f117ef249b347p-2, -0x1.f394f96b9296dp-2, -0x1.f5e8339e5babfp-2, -0x1.f80e77a6a73f2p-2, -0x1.fa04d831e2411p-2, -0x1.fbc8a034aefaap-2, -0x1.fd5752331cf2bp-2, -0x1.feaea75571f4ep-2, -0x1.ffcc8e50c7b74p-2, -0x1.00579514fef3ep-1, -0x1.00aa686c87b08p-1, -0x1.00de04e91983ep-1, -0x1.00f1c63ce3dbp-1, -0x1.00e51f43c5f69p-1, -0x1.00b7992e9aec7p-1, -0x1.0068d2aa0bf8ap-1, -0x1.fff0fe0520682p-2, -0x1.feccca8e2376bp-2, -0x1.fd64bed70fac4p-2, -0x1.fbb8b2d957d45p-2, -0x1.f9c8a0eb92621p-2, -0x1.f794a4130e19dp-2, -0x1.f51cf65cd785ap-2, -0x1.f261ef3f6b6dbp-2, -0x1.ef6402062701cp-2, -0x1.ec23bc4744692p-2, -0x1.e8a1c46511e2ap-2, -0x1.e4ded81ae21f4p-2, -0x1.e0dbcb161150fp-2, -0x1.dc99859b53b57p-2, -0x1.d8190338713c5p-2, -0x1.d35b518268204p-2, -0x1.ce618edfe8d13p-2, -0x1.c92ce96000f67p-2, -0x1.c3be9d9cbc5cep-2, -0x1.be17f5a97b99bp-2, -0x1.b83a480cab817p-2, -0x1.b226f6c4857c3p-2, -0x1.abdf6e567ccbfp-2, -0x1.a56524e8f16a7p-2, -0x1.9eb99966bd2efp-2, -0x1.97de52ac3cac9p-2, -0x1.90d4debd5c28cp-2, -0x1.899ed2044e10ap-2, -0x1.823dc698749e6p-2, -0x1.7ab35b8d2799fp-2, -0x1.73013447e52cdp-2, -0x1.6b28f7dd9dbebp-2, -0x1.632c5076b6938p-2, -0x1.5b0ceab96d67cp-2, -0x1.52cc753a4d716p-2, -0x1.4a6c9ff26c518p-2, -0x1.41ef1bbb1af6bp-2, -0x1.395599ced1438p-2, -0x1.30a1cb4f12807p-2, -0x1.27d560cf0e581p-2, -0x1.1ef209e2c7648p-2, -0x1.15f974b294a45p-2, -0x1.0ced4d92c6dd3p-2, -0x1.03cf3e9f52425p-2, -0x1.f541deb69d40ap-3, -0x1.e2c808a864b55p-3, -0x1.d0343d914bd6dp-3, -0x1.bd89b8a5ab056p-3, -0x1.aacbad2c54aeap-3, -0x1.97fd45e09fe8p-3, -0x1.8521a45af3408p-3, -0x1.723be07f9e8a3p-3, -0x1.5f4f07f3ecba5p-3, -0x1.4c5e1d9951bc5p-3, -0x1.396c190e93aa9p-3, -0x1.267be636e8646p-3, -0x1.139064c6df0aap-3, -0x1.00ac67d719c88p-3, -0x1.dba56af967b23p-4, -0x1.b60c0cce997dfp-4, -0x1.90920b09615bbp-4, -0x1.6b3c9f54004dep-4, -0x1.4610e684b3b9p-4, -0x1.2113e005dc496p-4, -0x1.f894da91d0facp-5, -0x1.af72a287c8127p-5, -0x1.66ca5ff329074p-5, -0x1.1ea51c17feebbp-5, -0x1.ae1741650e993p-6, -0x1.200cee8a89011p-6, -0x1.2677a1ecdb5e2p-7, -0x1.ecfdcef485ae1p-12, 0x1.04f62783a62aep-7, 0x1.0b424994bebbdp-6, 0x1.929328e521e9dp-6, 0x1.0c2fdaf5f9e3ep-5, 0x1.4e4d3d64a0bd5p-5, 0x1.8f9b43db3e3bfp-5, 0x1.d013b98ae0ce7p-5, 0x1.07d85657a48e8p-4, 0x1.2736373a4540bp-4, 0x1.4620c966216b5p-4, 0x1.649578196e829p-4, 0x1.8291cfb2a6befp-4, 0x1.a0137d83dbe76p-4, 0x1.bd184f9ec4818p-4, 0x1.d99e3499a695cp-4, 0x1.f5a33b4d806f7p-4, 0x1.0892c946c0ff5p-3, 0x1.1611c46c25388p-3, 0x1.234dc60176d9p-3, 0x1.3046146f203f2p-3, 0x1.3cfa056b38279p-3, 0x1.4968fdc6aafa9p-3, 0x1.55927137d84e9p-3, 0x1.6175e222c0c6p-3, 0x1.6d12e15ef3c8ap-3, 0x1.78690dfb4b2abp-3, 0x1.837814ffa3607p-3, 0x1.8e3fb12cac643p-3, 0x1.98bfaab9f1367p-3, 0x1.a2f7d7123684bp-3, 0x1.ace8188e53a4fp-3, 0x1.b6905e2e9e878p-3, 0x1.bff0a35310726p-3, 0x1.c908ef723de89p-3, 0x1.d1d955cf3c216p-3, 0x1.da61f52e99e2ap-3, 0x1.e2a2f78a853fp-3, 0x1.ea9c91c62d2ddp-3, 0x1.f24f03609584cp-3, 0x1.f9ba9626df15ap-3, 0x1.006fcef314715p-2, 0x1.03df3c0e91846p-2, 0x1.072bc5d6b7c41p-2, 0x1.0a55a4466f0ccp-2, 0x1.0d5d13bb52b0cp-2, 0x1.104254ce57be1p-2, 0x1.1305ac2c81582p-2, 0x1.15a7626fb67d4p-2, 0x1.1827c3f7bd9fdp-2, 0x1.1a8720c36a61ep-2, 0x1.1cc5cc4a032c4p-2, 0x1.1ee41d54ed23dp-2, 0x1.20e26dd9a353ap-2, 0x1.22c11ad3ff347p-2, 0x1.24808420e2664p-2, 0x1.26210c593da72p-2, 0x1.27a318ad870f7p-2, 0x1.290710c19d601p-2, 0x1.2a4d5e8926762p-2, 0x1.2b766e24655fp-2, 0x1.2c82adbd9933fp-2, 0x1.2d728d66ddb38p-2, 0x1.2e467ef89d6eap-2, 0x1.2efef5f091937p-2, 0x1.2f9c67515821fp-2, 0x1.301f4982a39e6p-2, 0x1.308814320674fp-2, 0x1.30d740345c40bp-2, 0x1.310d4767da335p-2, 0x1.312aa496bf92ep-2, 0x1.312fd35ab06cap-2, 0x1.311d5000b8b95p-2, 0x1.30f3976dfa975p-2, 0x1.30b3270508ebap-2, 0x1.305c7c8befbc6p-2, 0x1.2ff01612eb253p-2, 0x1.2f6e71dbcd56bp-2, 0x1.2ed80e421481bp-2, 0x1.2e2d69a3b3521p-2, 0x1.2d6f024a839e1p-2, 0x1.2c9d56566f9a2p-2, 0x1.2bb8e3a847747p-2, 0x1.2ac227cd4438ap-2, 0x1.29b99feb3db38p-2, 0x1.289fc8ad8939dp-2, 0x1.27751e3288caep-2, 0x1.263a1bf9e2a61p-2, 0x1.24ef3cd364658p-2, 0x1.2394face8b775p-2, 0x1.222bcf2aba6e1p-2, 0x1.20b432480b549p-2, 0x1.1f2e9b98cca61p-2, 0x1.1d9b81939ad8ap-2, 0x1.1bfb59a6191d1p-2, 0x1.1a4e98284aa65p-2, 0x1.1895b05082cbp-2, 0x1.16d11427ef15ep-2, 0x1.1501347fb5fdp-2, 0x1.132680e6ac039p-2, 0x1.1141679f9678cp-2, 0x1.0f525597fe792p-2, 0x1.0d59b65f8d979p-2, 0x1.0b57f41ff5f26p-2, 0x1.094d77955ea92p-2, 0x1.073aa80753629p-2, 0x1.051feb4236017p-2, 0x1.02fda5912c5f4p-2, 0x1.00d439b88a0ddp-2, 0x1.fd4811e161af6p-3, 0x1.f8dae5c2cd5cfp-3, 0x1.f461ab3b3b039p-3, 0x1.efdd1b3f583bdp-3, 0x1.eb4deb8bddabp-3, 0x1.e6b4ce9fad1f5p-3, 0x1.e21273b6b6766p-3, 0x1.dd6786c5a34e5p-3, 0x1.d8b4b076451bbp-3, 0x1.d3fa9624bf7c7p-3, 0x1.cf39d9dd66dbbp-3, 0x1.ca731a5b4c5f3p-3, 0x1.c5a6f3077aa0fp-3, 0x1.c0d5fbf8d0bddp-3, 0x1.bc00c9f47c99ap-3, 0x1.b727ee6f12963p-3, 0x1.b24bf78e358c4p-3, 0x1.ad6d702acd435p-3, 0x1.a88cdfd3ca878p-3, 0x1.a3aacad16826fp-3, 0x1.9ec7b228ee1e2p-3, 0x1.99e413a0f0cap-3, 0x1.950069c5feef5p-3, 0x1.901d2befc4bebp-3, 0x1.8b3ace4694004p-3, 0x1.8659c1c9578fbp-3, 0x1.817a7453e4148p-3, 0x1.7c9d50a5a4361p-3, 0x1.77c2be68a12adp-3, 0x1.72eb2238dc342p-3, 0x1.6e16ddabf3c01p-3, 0x1.69464f5917b4cp-3, 0x1.6479d2e144fbbp-3, 0x1.5fb1c0f7bf80fp-3, 0x1.5aee6f6acb86ep-3, 0x1.5630312ca3abbp-3, 0x1.5177565ca577ep-3, 0x1.4cc42c50abaa4p-3, 0x1.4816fd9ea0cf3p-3, 0x1.4370122633451p-3, 0x1.3ecfaf1abb63dp-3, 0x1.3a36170d3f8c6p-3, 0x1.35a389f69c48dp-3, 0x1.31184541ccf83p-3, 0x1.2c9483d64b589p-3, 0x1.28187e228cf9bp-3, 0x1.23a46a268ec28p-3, 0x1.1f387b7e7f3f8p-3, 0x1.1ad4e36d69d2dp-3, 0x1.1679d0e7fb66p-3, 0x1.1227709f4d44cp-3, 0x1.0ddded0bb53dfp-3, 0x1.099d6e77a3d83p-3, 0x1.05661b0a7f011p-3, 0x1.013816d38041dp-3, 0x1.fa2707a927a8ep-4, 0x1.f1f1041a66a7p-4, 0x1.e9ce5f0a78073p-4, 0x1.e1bf50af8331p-4, 0x1.d9c40d7ba5ce1p-4, 0x1.d1dcc6326f1bbp-4, 0x1.ca09a7fe49a43p-4, 0x1.c24adc85c0074p-4, 0x1.baa08a00a59c1p-4, 0x1.b30ad34d26729p-4, 0x1.ab89d804ad1c6p-4, 0x1.a41db4909ffeep-4, 0x1.9cc6823efd38ep-4, 0x1.95845756c6273p-4, 0x1.8e57472c3ec14p-4, 0x1.873f6234ff384p-4, 0x1.803cb61bd3a08p-4, 0x1.794f4dd464028p-4, 0x1.727731aeae55bp-4, 0x1.6bb4676a458b4p-4, 0x1.6506f249565e8p-4, 0x1.5e6ed323748dbp-4, 0x1.57ec08782f404p-4, 0x1.517e8e816563ep-4, 0x1.4b265f455b3bfp-4, 0x1.44e372a894205p-4, 0x1.3eb5be7f6c068p-4, 0x1.389d369f6dd69p-4, 0x1.3299ccf06b4cdp-4, 0x1.2cab717d514cfp-4, 0x1.26d21284b73fcp-4, 0x1.210d9c892d865p-4, 0x1.1b5dfa614750dp-4, 0x1.15c315475fdap-4, 0x1.103cd4e91916ap-4, 0x1.0acb1f7697043p-4, 0x1.056dd9b1765cp-4, 0x1.0024e6fb7a711p-4, 0x1.f5e052c9f1d08p-5, 0x1.eb9f0375f71b8p-5, 0x1.e1859f2a44f67p-5, 0x1.d793e2c6736eep-5, 0x1.cdc988f51b7dp-5, 0x1.c4264a45f086bp-5, 0x1.baa9dd4750aadp-5, 0x1.b153f69f500cep-5, 0x1.a82449242e3e5p-5, 0x1.9f1a85f450826p-5, 0x1.96365c8dabd0bp-5, 0x1.8d777ae4a4eb5p-5, 0x1.84dd8d7a75aa4p-5, 0x1.7c683f72ff33fp-5, 0x1.74173aaa23e24p-5, 0x1.6bea27c8940f7p-5, 0x1.63e0ae5818b57p-5, 0x1.5bfa74d767d47p-5, 0x1.543720cd6ab48p-5, 0x1.4c9656dc11cddp-5, 0x1.4517bad2a3b1cp-5, 0x1.3dbaefbf8eb21p-5, 0x1.367f9801c5b88p-5, 0x1.2f655559a3078p-5, 0x1.286bc8f94fd52p-5, 0x1.21929394b5ae5p-5, 0x1.1ad95571048a3p-5, 0x1.143fae73b5fa4p-5, 0x1.0dc53e3128358p-5, 0x1.0769a3facf3bep-5, 0x1.012c7eece96c2p-5, 0x1.f61adbf7a10e8p-6, 0x1.ea182001c7ee7p-6, 0x1.de50078df2b0dp-6, 0x1.d2c1d02cf3406p-6, 0x1.c76cb782117efp-6, 0x1.bc4ffb59a4491p-6, 0x1.b16ad9bedc4b5p-6, 0x1.a6bc9110cd54bp-6, 0x1.9c446016c8703p-6, 0x1.92018613e44c3p-6, 0x1.87f342d9de276p-6, 0x1.7e18d6db3b566p-6, 0x1.7471833ccc753p-6, 0x1.6afc89e672998p-6, 0x1.61b92d9349b58p-6, 0x1.58a6b1e11a9d1p-6, 0x1.4fc45b5f35bfbp-6, 0x1.47116f9cb47b4p-6, 0x1.3e8d35361023fp-6, 0x1.3636f3e22c4f3p-6, 0x1.2e0df47ece0ccp-6, 0x1.2611811c6fde4p-6, 0x1.1e40e50993801p-6, 0x1.169b6cdd95086p-6, 0x1.0f206682d7f45p-6, 0x1.07cf214087225p-6, 0x1.00a6edc3c8c4bp-6, 0x1.f34e3c5104e0cp-7, 0x1.e59e0c030bc29p-7, 0x1.d83bf4c0c5f03p-7, 0x1.cb26a3b95f96cp-7, 0x1.be5cc935c47d4p-7, 0x1.b1dd18a5a0758p-7, 0x1.a5a648ab39a8ep-7, 0x1.99b71326bb57cp-7, 0x1.8e0e35408e87dp-7, 0x1.82aa6f72fe8cbp-7, 0x1.778a859310177p-7, 0x1.6cad3ed89d17p-7, 0x1.621165e5bf44cp-7, 0x1.57b5c8cd74408p-7, 0x1.4d993919d27d6p-7, 0x1.43ba8bd13d569p-7, 0x1.3a18997b44468p-7, 0x1.30b23e24b69c7p-7, 0x1.278659632cfd7p-7, 0x1.1e93ce580869ep-7, 0x1.15d983b2d98acp-7, 0x1.0d5663b33e13dp-7, 0x1.05095c2a357cfp-7, 0x1.f9e2bcf613041p-8, 0x1.ea1abf373564ep-8, 0x1.dab8b028a1ebap-8, 0x1.cbba87fef1b6p-8, 0x1.bd1e4610b9d94p-8, 0x1.aee1f0d384c4p-8, 0x1.a10395d8587fep-8, 0x1.938149c7306cfp-8, 0x1.86592859e40e3p-8, 0x1.798954562dc8ep-8, 0x1.6d0ff787183c5p-8, 0x1.60eb42b5c9c01p-8, 0x1.55196da1af2a3p-8, 0x1.4998b6f7cb077p-8, 0x1.3e676449e7469p-8, 0x1.3383c204b4727p-8, 0x1.28ec2365d8996p-8, 0x1.1e9ee27112548p-8, 0x1.149a5fe53c8fap-8, 0x1.0add0330940b9p-8, 0x1.01653a64a59d8p-8, 0x1.f062f453fa34p-9, 0x1.de807b663b24dp-9, 0x1.cd200d5e8e6p-9, 0x1.bc3eba7a332fep-9, 0x1.abd99fb8b8e4cp-9, 0x1.9bede6bfd7f2ep-9, 0x1.8c78c5be76d3dp-9, 0x1.7d777f4ed1ab9p-9, 0x1.6ee7625864904p-9, 0x1.60c5c9f1761fp-9, 0x1.53101d3fd9174p-9, 0x1.45c3cf59790b3p-9, 0x1.38de5f24b346p-9, 0x1.2c5d5737ec598p-9, 0x1.203e4db8f6f2fp-9, 0x1.147ee43c80509p-9, 0x1.091cc7a4acfc8p-9, 0x1.fc2b5fffb43efp-10, 0x1.e6cec0ce41cd9p-10, 0x1.d21f4db8d186p-10, 0x1.be18b851968ebp-10, 0x1.aab6c7746a831p-10, 0x1.97f5570337bedp-10, 0x1.85d057a06ea39p-10, 0x1.7443ce6b4cfd7p-10, 0x1.634bd4ba9134dp-10, 0x1.52e497d7d8a3cp-10, 0x1.430a58ba7b4fbp-10, 0x1.33b96bc2e7fe9p-10, 0x1.24ee3875ef675p-10, 0x1.16a53937d296ep-10, 0x1.08dafb0810bbdp-10, 0x1.f7183a787da62p-11, 0x1.dd6aa2790d1c4p-11, 0x1.c4a6b47cf010dp-11, 0x1.acc61a04ccbbcp-11, 0x1.95c29f1e654cfp-11, 0x1.7f9631dd94d28p-11, 0x1.6a3ae1d79fb8bp-11, 0x1.55aadf9ca6e86p-11, 0x1.41e07c33550dap-11, 0x1.2ed62896aff45p-11, 0x1.1c86753031287p-11, 0x1.0aec11579c56bp-11, 0x1.f40395a1a4059p-12, 0x1.d3851a97633b1p-12, 0x1.b452c3c8ee016p-12, 0x1.9662dd4ae23ccp-12, 0x1.79abec13342ffp-12, 0x1.5e24acffa3605p-12, 0x1.43c413df3d4c6p-12, 0x1.2a814a7e4b61ep-12, 0x1.1253afb2e554ap-12, 0x1.f665acdb35ff5p-13, 0x1.ca2d0994ab556p-13, 0x1.9fed664dde5cap-13, 0x1.7797167124b1p-13, 0x1.511ace46d9c84p-13, 0x1.2c69a13988ba9p-13, 0x1.097500035e188p-13, 0x1.d05d6df227f91p-14, 0x1.9111d898204b8p-14, 0x1.54ec3cac74fc9p-14, 0x1.1bd243d9ad2c3p-14, 0x1.cb5482d17a86ap-15, 0x1.64b65df6051fap-15, 0x1.0399528821e15p-15, 0x1.4f9bb360838d8p-16, 0x1.44969813ab941p-17, -0x1.18c552ab145cdp-24, -0x1.35d0b6606aa63p-17, -0x1.2b790221f8645p-16, -0x1.b31e04f924d16p-16, -0x1.19143c3df43d9p-15, -0x1.5473a398bca7ep-15, -0x1.8bd39e658edfcp-15, -0x1.bf5988c59d879p-15, -0x1.ef29bab622d56p-15, -0x1.0db3c6cdb29a9p-14, -0x1.221ab0d40668p-14, -0x1.34da51962b128p-14, -0x1.4602e7f406d11p-14, -0x1.55a43e1d17688p-14, -0x1.63cdac1af61d5p-14, -0x1.708e1a53ef67dp-14, -0x1.7bf4040706da6p-14, -0x1.860d79b77aa6fp-14, -0x1.8ee8239414672p-14, -0x1.969143cc7dc69p-14, -0x1.9d15b8e76c9fap-14, -0x1.a282000a8fe7ap-14, -0x1.a6e237313ba68p-14, -0x1.aa421f640a78ap-14, -0x1.acad1ee1ea7aep-14, -0x1.ae2e433fbf86fp-14, -0x1.aed0437e74611p-14, -0x1.ae9d821a8c443p-14, -0x1.ada00f0bc9936p-14, -0x1.abe1a9c7e0909p-14, -0x1.a96bc3271c208p-14, -0x1.a6477f5358dfbp-14, -0x1.a27db7aa6941dp-14, -0x1.9e16fc924f93bp-14, -0x1.991b97455b77bp-14, -0x1.93938b995bd13p-14, -0x1.8d8699ba074a9p-14, -0x1.86fc3fe00a4a5p-14, -0x1.7ffbbbf791497p-14, -0x1.788c0d489ba66p-14, -0x1.70b3f6115ce9fp-14, -0x1.6879fd1932f8ap-14, -0x1.5fe46f37c97c1p-14, -0x1.56f960d9a68cfp-14, -0x1.4dbeaf8096191p-14, -0x1.443a033350d03p-14, -0x1.3a70cfe8dd98bp-14, -0x1.306856efd04e5p-14, -0x1.2625a84a80075p-14, -0x1.1bada40721d95p-14, -0x1.1104fb86915fbp-14, -0x1.063032ce8cebap-14, -0x1.f6674387c9d8ep-15, -0x1.e026ead3e8164p-15, -0x1.c9a762222839ep-15, -0x1.b2f05f022ef1p-15, -0x1.9c09484bd143ap-15, -0x1.84f9385acff7p-15, -0x1.6dc6ff37a5c96p-15, -0x1.567924c649559p-15, -0x1.3f15eae1aa9f7p-15, -0x1.27a34f653c126p-15, -0x1.10270e31237c3p-15, -0x1.f14d4622afaf7p-16, -0x1.c24e977ca817bp-16, -0x1.935c13609b099p-16, -0x1.647f47efde43p-16, -0x1.35c15200f3cf9p-16, -0x1.072ae0a557c16p-16, -0x1.b188712af2609p-17, -0x1.552a6ef464cfp-17, -0x1.f2955c9bdff1ep-18, -0x1.3beec32ff4d9p-18, -0x1.0cf8008b74dfcp-19, 0x1.6d4b3ccb1ec4cp-21, 0x1.c0d29ca348a02p-19, 0x1.91ace0f2879c8p-18, 0x1.20af4a186ab7ep-17, 0x1.77b50cd46d33p-17, 0x1.cdde2a8fa2b91p-17, 0x1.1190d49894a6bp-16, 0x1.3bbb8ec25784fp-16, 0x1.656b53233bc2fp-16, 0x1.8e9c73b4f61a5p-16, 0x1.b74b82be3a8ebp-16, 0x1.df75508681bf7p-16, 0x1.038b748f00e63p-15, 0x1.1716c918e97fbp-15, 0x1.2a5b647dc0844p-15, 0x1.3d58201c3d7aap-15, 0x1.500bef18125a8p-15, 0x1.6275dd5edfbdep-15, 0x1.74950eb76b91ep-15, 0x1.8668bdddb3bbap-15, 0x1.97f03b9e16302p-15, 0x1.a92aedf298014p-15, 0x1.ba184f329ce84p-15, 0x1.cab7ed3d7ded3p-15, 0x1.db0968b935b91p-15, 0x1.eb0c74468ef64p-15, 0x1.fac0d3c23f931p-15, 0x1.05132dc538bdep-14, 0x1.0c9e77e6345fep-14, 0x1.140241eb2c112p-14, 0x1.1b3e8cb7975c8p-14, 0x1.2253601668d5cp-14, 0x1.2940ca6c6c6ebp-14, 0x1.3006e06aee389p-14, 0x1.36a5bcc54728p-14, 0x1.3d1d7fe5f297cp-14, 0x1.436e4fa82e722p-14, 0x1.4998571542a84p-14, 0x1.4f9bc621e8e93p-14, 0x1.5578d170dfdd1p-14, 0x1.5b2fb210d9f75p-14, 0x1.60c0a541c9da7p-14, 0x1.662bec3c7045ep-14, 0x1.6b71cbf72b189p-14, 0x1.70928cf3706bp-14, 0x1.758e7b06964d1p-14, 0x1.7a65e5276579ep-14, 0x1.7f191d3e55b56p-14, 0x1.83a877f7bb00cp-14, 0x1.88144c92f2da7p-14, 0x1.8c5cf4b7a059fp-14, 0x1.9082cc49d2b21p-14, 0x1.9486314288974p-14, 0x1.9867838925391p-14, 0x1.9c2724cbd9e58p-14, 0x1.9fc5785a94f3ep-14, 0x1.a342e304161f7p-14, 0x1.a69fcaf3fac2dp-14, 0x1.a9dc979200a57p-14, 0x1.acf9b16236c0bp-14, 0x1.aff781e6841d6p-14, 0x1.b2d673813414dp-14, 0x1.b596f15a08345p-14, 0x1.b8396744a4019p-14, 0x1.babe41a348ca4p-14, 0x1.bd25ed5066a69p-14, 0x1.bf70d785ba953p-14, 0x1.c19f6dc5b2746p-14, 0x1.c3b21dc669e8ap-14, 0x1.c5a9555dc5b1p-14, 0x1.c785826a2c7d6p-14, 0x1.c94712c34ad08p-14, 0x1.caee7423f8ad6p-14, 0x1.cc7c141cb339p-14, 0x1.cdf06000c0dfp-14, 0x1.cf4bc4d6801b2p-14, 0x1.d08eaf48d2e43p-14, 0x1.d1b98b9814fedp-14, 0x1.d2ccc58e1554p-14, 0x1.d3c8c871ae014p-14, 0x1.d4adfef6d07b1p-14, 0x1.d57cd3366a4aep-14, 0x1.d635aea26e9c4p-14, 0x1.d6d8f9fa4be09p-14, 0x1.d7671d424409ap-14, 0x1.d7e07fbb54e1ap-14, 0x1.d84587d78f0edp-14, 0x1.d8969b33c9c9cp-14, 0x1.d8d41e901eedp-14, 0x1.d8fe75c8a9ac8p-14, 0x1.d91603cdba96cp-14, 0x1.d91b2a9fd4c27p-14, 0x1.d90e4b46a4c25p-14, 0x1.d8efc5cdd431fp-14, 0x1.d8bff940a035p-14, 0x1.d87f43a45a8acp-14, 0x1.d82e01f30b0e2p-14, 0x1.d7cc901a5fb19p-14, 0x1.d75b48f572389p-14, 0x1.d6da864bc3027p-14, 0x1.d64aa0cccbefp-14, 0x1.d5abf00ec184p-14, 0x1.d4feca8bfa31cp-14, 0x1.d443859f6d355p-14, 0x1.d37a75860711p-14, 0x1.d2a3ed5b9bb9bp-14, 0x1.d1c03f198e835p-14, 0x1.d0cfbb9737024p-14, 0x1.cfd2b288cb9fcp-14, 0x1.cec9727d75ce7p-14, 0x1.cdb448e0dc8e7p-14, 0x1.cc9381fb85b48p-14, 0x1.cb6768f145febp-14, 0x1.ca3047c2cf325p-14, 0x1.c8ee674f5b0d2p-14, 0x1.c7a20f528ed6dp-14, 0x1.c64b8668632d5p-14, 0x1.c4eb120c12335p-14, 0x1.c380f69ac41c8p-14, 0x1.c20d77536ec02p-14, 0x1.c090d6595181fp-14, 0x1.bf0b54b5ef865p-14, 0x1.bd7d325a084b9p-14, 0x1.bbe6ae1faeb1p-14, 0x1.ba4805ccf7505p-14, 0x1.b8a17614fbe59p-14, 0x1.b6f33a9a6cd61p-14, 0x1.b53d8df1cfd9p-14, 0x1.b380a9a32ae83p-14, 0x1.b1bcc62dc805bp-14, 0x1.aff21b09e593fp-14, 0x1.ae20deab2ea42p-14, 0x1.ac494683a85c2p-14, 0x1.aa6b8705f09fap-14, 0x1.a887d3a890574p-14, 0x1.a69e5ee7b6986p-14, 0x1.a4af5a4971824p-14, 0x1.a2baf65ef1f5ep-14, 0x1.a0c162c8b5235p-14, 0x1.9ec2ce38e4e24p-14, 0x1.9cbf6675f0c98p-14, 0x1.9ab7585f2bedbp-14, 0x1.98aacfedbfe4cp-14, 0x1.9699f838cdadap-14, 0x1.9484fb78f296ap-14, 0x1.926c03096a45bp-14, 0x1.904f376c4d873p-14, 0x1.8e2ec04ebfd21p-14, 0x1.8c0ac48a706d5p-14, 0x1.89e36a291487ap-14, 0x1.87b8d66789378p-14, 0x1.858b2db98b5cep-14, 0x1.835a93cbe52cdp-14, 0x1.81272b871ee2p-14, 0x1.7ef11714754b5p-14, 0x1.7cb877df943aap-14, 0x1.7a7d6e98f84e5p-14, 0x1.78401b3a27445p-14, 0x1.76009d08ff8dbp-14, 0x1.73bf12998caecp-14, 0x1.717b99d17efeap-14, 0x1.6f364febaf4bp-14, 0x1.6cef517b3c296p-14, 0x1.6aa6ba6cc33c7p-14, 0x1.685ca60a03771p-14, 0x1.66112efe6a1a9p-14, 0x1.63c46f58954d1p-14, 0x1.6176808c948fep-14, 0x1.5f277b77c72d7p-14, 0x1.5cd778633dd56p-14, 0x1.5a868f06edb97p-14, 0x1.5834d68b3bf83p-14, 0x1.55e2658d023c2p-14, 0x1.538f522051706p-14, 0x1.513bb1d1e281ap-14, 0x1.4ee799aa1c72ap-14, 0x1.4c931e3066d16p-14, 0x1.4a3e536d75e33p-14, 0x1.47e94cecd60edp-14, 0x1.45941dc014595p-14, 0x1.433ed882772d9p-14, 0x1.40e98f5a2f86dp-14, 0x1.3e9453f9a1e1ap-14, 0x1.3c3f37a2fa446p-14, 0x1.39ea4b2b89b2p-14, 0x1.37959efcca4abp-14, 0x1.354143167a77ap-14, 0x1.32ed4710cc441p-14, 0x1.3099ba2004ecbp-14, 0x1.2e46ab14d4f71p-14, 0x1.2bf4285f55fc5p-14, 0x1.29a2401167957p-14, 0x1.2750ffe081359p-14, 0x1.250075277a4a1p-14, 0x1.22b0ace852882p-14, 0x1.2061b3ceff9ebp-14, 0x1.1e139633084cfp-14, 0x1.1bc66018aabd6p-14, 0x1.197a1d32fc042p-14, 0x1.172ed8e6e0549p-14, 0x1.14e49e4c55bf6p-14, 0x1.129b782f527fp-14, 0x1.1053711163d6dp-14, 0x1.0e0c932cfe03p-14, 0x1.0bc6e875dbe0ep-14, 0x1.09827a9b91b7dp-14, 0x1.073f5309bcf6cp-14, 0x1.04fd7aea77d2fp-14, 0x1.02bcfb288c977p-14, 0x1.007ddc6f5f20ap-14, 0x1.fc804e5b74bf2p-15, 0x1.f807c72dcf829p-15, 0x1.f39233478b029p-15, 0x1.ef1fa229c1251p-15, 0x1.eab022e554f8cp-15, 0x1.e643c4205c6p-15, 0x1.e1da9416f04ffp-15, 0x1.dd74a09d0cb7bp-15, 0x1.d911f7227d586p-15, 0x1.d4b2a4b5c901dp-15, 0x1.d056b606265f2p-15, 0x1.cbfe3764d915bp-15, 0x1.c7a934c6dd11ep-15, 0x1.c357b9ca4c3bcp-15, 0x1.bf09d1b514709p-15, 0x1.babf8779cee74p-15, 0x1.b678e5b82458ep-15, 0x1.b235f6befc881p-15, 0x1.adf6c48f4857fp-15, 0x1.a9bb58dce241cp-15, 0x1.a583bd11f46dap-15, 0x1.a14ffa4efb37bp-15, 0x1.9d20196e0ca91p-15, 0x1.98f423043aa17p-15, 0x1.94cc1f632600ap-15, 0x1.90a8169a11e9p-15, 0x1.8c8810790507ap-15, 0x1.886c1490afa31p-15, 0x1.84542a343f9f2p-15, 0x1.8040587c0b981p-15, 0x1.7c30a646b0f42p-15, 0x1.78251a3a8643bp-15, 0x1.741dbac599743p-15, 0x1.701a8e20828d1p-15, 0x1.6c1b9a4fd3e67p-15, 0x1.6820e5246e77dp-15, 0x1.642a743d72526p-15, 0x1.60384d091a0b1p-15, 0x1.5c4a74c6a967ap-15, 0x1.5860f0863d171p-15, 0x1.547bc52a8d0e3p-15, 0x1.509af76b4b40ep-15, 0x1.4cbe8bd3eb9fdp-15, 0x1.48e686c5e999ap-15, 0x1.4512ec7ace8f4p-15, 0x1.4143c1037a14dp-15, 0x1.3d790849c0a27p-15, 0x1.39b2c61101199p-15, 0x1.35f0fdf769632p-15, 0x1.3233b3767e441p-15, 0x1.2e7ae9e40081ap-15, 0x1.2ac6a473c92eap-15, 0x1.2716e6379458bp-15, 0x1.236bb21fd1a39p-15, 0x1.1fc50afc16db9p-15, 0x1.1c22f37d02063p-15, 0x1.18856e336135fp-15, 0x1.14ec7d92e9891p-15, 0x1.115823f088facp-15, 0x1.0dc8638499e07p-15, 0x1.0a3d3e6baadf6p-15, 0x1.06b6b6a5cfd39p-15, 0x1.0334ce17e8f38p-15, 0x1.ff6f0d1a10705p-16, 0x1.f87dc36b0ce95p-16, 0x1.f195c250156a4p-16, 0x1.eab70cc649f23p-16, 0x1.e3e1a59a62c17p-16, 0x1.dd158f67bc137p-16, 0x1.d652cc9ae0ccbp-16, 0x1.cf995f7217b65p-16, 0x1.c8e949fe2271ep-16, 0x1.c2428e241068bp-16, 0x1.bba52d9ced5e6p-16, 0x1.b51129f85b414p-16, 0x1.ae86849b5dc22p-16, 0x1.a8053ec204309p-16, 0x1.a18d59808f796p-16, 0x1.9b1ed5c16e388p-16, 0x1.94b9b44a3c768p-16, 0x1.8e5df5b9e250cp-16, 0x1.880b9a88dd79p-16, 0x1.81c2a30b0e608p-16, 0x1.7b830f70618dep-16, 0x1.754cdfc439bcp-16, 0x1.6f2013eead9ffp-16, 0x1.68fcabb5503bp-16, 0x1.62e2a6bb014bep-16, 0x1.5cd20480ffd8ep-16, 0x1.56cac4687fdecp-16, 0x1.50cce5b2ee0dp-16, 0x1.4ad8677f81ea5p-16, 0x1.44ed48cdc3776p-16, 0x1.3f0b887e45176p-16, 0x1.393325527348fp-16, 0x1.33641dedaa11fp-16, 0x1.2d9e70d49678bp-16, 0x1.27e21c6f43d0bp-16, 0x1.222f1f074478cp-16, 0x1.1c8576cb3522ep-16, 0x1.16e521cc19a59p-16, 0x1.114e1dfdb374ap-16, 0x1.0bc0693938fb9p-16, 0x1.063c013c500c8p-16, 0x1.00c0e3a877461p-16, 0x1.f69e1c09e475dp-17, 0x1.ebccfb7d19d46p-17, 0x1.e10e60508e7e4p-17, 0x1.d66244f51f416p-17, 0x1.cbc8a3a68d18p-17, 0x1.c141766ee7f04p-17, 0x1.b6ccb7271794ep-17, 0x1.ac6a5f73a7a93p-17, 0x1.a21a68cc0abf3p-17, 0x1.97dccc7732722p-17, 0x1.8db183878bdb7p-17, 0x1.839886e1679b3p-17, 0x1.7991cf3a65677p-17, 0x1.6f9d551810156p-17, 0x1.65bb10d2a8694p-17, 0x1.5beafa9340dbdp-17, 0x1.522d0a57a452ap-17, 0x1.488137ed2c4cdp-17, 0x1.3ee77af992985p-17, 0x1.355fcaf4a5d33p-17, 0x1.2bea1f275ac3bp-17, 0x1.22866eb1d58c8p-17, 0x1.1934b08a86b14p-17, 0x1.0ff4db7ad7397p-17, 0x1.06c6e6226dff4p-17, 0x1.fb558dee12fep-18, 0x1.e940e88e9bee7p-18, 0x1.d74fc86fd7cc1p-18, 0x1.c58219865d3bap-18, 0x1.b3d7c7777f76cp-18, 0x1.a250bd9c0f98ap-18, 0x1.90ece6fb76d0cp-18, 0x1.7fac2e4be2328p-18, 0x1.6e8e7e00ae5cbp-18, 0x1.5d93c039bfaedp-18, 0x1.4cbbdec998bf5p-18, 0x1.3c06c33a6ad17p-18, 0x1.2b7456c9bc1c3p-18, 0x1.1b04826cf6d5ep-18, 0x1.0ab72ece98a0bp-18, 0x1.f51888a1febe1p-19, 0x1.d5075624dbc9dp-19, 0x1.b53a95ca0dcf4p-19, 0x1.95b216b5dcc5p-19, 0x1.766da77ee2dfep-19, 0x1.576d162b80986p-19, 0x1.38b03041ae4e2p-19, 0x1.1a36c2c37d094p-19, 0x1.f8013442106b9p-20, 0x1.bc1b049ff4647p-20, 0x1.80ba8d8260071p-20, 0x1.45df64dac215dp-20, 0x1.0b891f946fb6dp-20, 0x1.a36ea31ffee38p-21, 0x1.30d31b6610c1ap-21, 0x1.7e7d980ff4091p-22, 0x1.3ac35d24a47c1p-23, -0x1.06bd167762efep-24, -0x1.1eb707a92f895p-22, -0x1.f9b75e2bf2674p-22, -0x1.695909f118e8ap-21, -0x1.d4d47b6704f41p-21, -0x1.1fa77611a2b03p-20, -0x1.5464a3587b432p-20, -0x1.88a23b9e998ap-20, -0x1.bc60b5dc1c15dp-20, -0x1.efa089da3deb4p-20, -0x1.11311816f3777p-19, -0x1.2a53111f46341p-19, -0x1.43366d1a72e4dp-19, -0x1.5bdb6982a7a9cp-19, -0x1.7442443df7c1p-19, -0x1.8c6b3b85b502bp-19, -0x1.a4568df317963p-19, -0x1.bc047a8ccf1fap-19, -0x1.d37540acf4856p-19, -0x1.eaa920057990ep-19, -0x1.00d02c51eb257p-18, -0x1.0c2d9572578c2p-18, -0x1.176cebc4ebd0dp-18, -0x1.228e4fd4b2353p-18, -0x1.2d91e2536167dp-18, -0x1.3877c4186989dp-18, -0x1.43401625fcdc2p-18, -0x1.4deaf9a7872dfp-18, -0x1.58788fea2ed2dp-18, -0x1.62e8fa63b11cbp-18, -0x1.6d3c5ab1fb75cp-18, -0x1.7772d290bb7b5p-18, -0x1.818c83e09f7bap-18, -0x1.8b8990a5ede27p-18, -0x1.956a1b063f92cp-18, -0x1.9f2e45493a634p-18, -0x1.a8d631d44b923p-18, -0x1.b262032f54814p-18, -0x1.bbd1dbff59656p-18, -0x1.c525df04c68e1p-18, -0x1.ce5e2f1ca483dp-18, -0x1.d77aef45fe185p-18, -0x1.e07c4295243a6p-18, -0x1.e9624c39be148p-18, -0x1.f22d2f804b478p-18, -0x1.fadd0fcdaecffp-18, -0x1.01b9084e99b99p-17, -0x1.05f62ac1596c1p-17, -0x1.0a2601123d83fp-17, -0x1.0e489d2244abfp-17, -0x1.125e10dd2bfecp-17, -0x1.16666e374f6d3p-17, -0x1.1a61c72e998cdp-17, -0x1.1e502dc9ab21fp-17, -0x1.2231b41b2ed81p-17, -0x1.26066c3bcc988p-17, -0x1.29ce684bfc2f8p-17, -0x1.2d89ba761eb42p-17, -0x1.313874ebdf196p-17, -0x1.34daa9e3c195ep-17, -0x1.38706b9ca85c4p-17, -0x1.3bf9cc5bf92d7p-17, -0x1.3f76de6c383b3p-17, -0x1.42e7b41e88826p-17, -0x1.464c5fc79c627p-17, -0x1.49a4f3c2f221fp-17, -0x1.4cf1826f36916p-17, -0x1.50321e2f32fa5p-17, -0x1.5366d96a24e3dp-17, -0x1.568fc68b3957p-17, -0x1.59acf7fd8877cp-17, -0x1.5cbe803121825p-17, -0x1.5fc471999136ap-17, -0x1.62bedeac25f84p-17, -0x1.65add9dc9d871p-17, -0x1.689175a1904cap-17, -0x1.6b69c4733b83ap-17, -0x1.6e36d8c9dc66ep-17, -0x1.70f8c51f2f89ap-17, -0x1.73af9bec7870cp-17, -0x1.765b6fa8dfa38p-17, -0x1.78fc52ca74a2bp-17, -0x1.7b9257c748602p-17, -0x1.7e1d9114bedd8p-17, -0x1.809e1125e1b5bp-17, -0x1.8313ea6a6c8ecp-17, -0x1.857f2f525906fp-17, -0x1.87dff24851bbp-17, -0x1.8a3645b38dda8p-17, -0x1.8c823bf943884p-17, -0x1.8ec3e77b385bdp-17, -0x1.90fb5a9628181p-17, -0x1.9328a7a3808b2p-17, -0x1.954be0f6e8e3cp-17, -0x1.976518df95ce7p-17, -0x1.997461a6f6c93p-17, -0x1.9b79cd91f8f54p-17, -0x1.9d756ede82e53p-17, -0x1.9f6757c520a26p-17, -0x1.a14f9a781e88ap-17, -0x1.a32e49222830cp-17, -0x1.a50375e75a42cp-17, -0x1.a6cf32e567ed7p-17, -0x1.a8919231f0526p-17, -0x1.aa4aa5d860a5ep-17, -0x1.abfa7fdf78837p-17, -0x1.ada1324329f48p-17, -0x1.af3ecef861e4bp-17, -0x1.b0d367eae5ef9p-17, -0x1.b25f0efdb4ef2p-17, -0x1.b3e1d608f1c21p-17, -0x1.b55bcedac8705p-17, -0x1.b6cd0b390321cp-17, -0x1.b8359cde73303p-17, -0x1.b995957be7972p-17, -0x1.baed06b6b7b1ep-17, -0x1.bc3c022b3a74bp-17, -0x1.bd829968e1264p-17, }}, 
      {{-0x1.afe89ccd3a4f8p-2, -0x1.b00ec8d9bd77dp-2, -0x1.b04e257c179aep-2, -0x1.b0a6512ea8df5p-2, -0x1.b116c66e2fed2p-2, -0x1.b19ede4a23888p-2, -0x1.b23dd3468ba1ep-2, -0x1.b2f2c46c3c3dep-2, -0x1.b3bcb86b7e265p-2, -0x1.b49aa0bb66c87p-2, -0x1.b58b5ca598fb9p-2, -0x1.b68dbc329b129p-2, -0x1.b7a082eeaabd2p-2, -0x1.b8c26a81e51c9p-2, -0x1.b9f22518e3b0ap-2, -0x1.bb2e5f9cbde03p-2, -0x1.bc75c3ba9bf91p-2, -0x1.bdc6f9bc0b8fbp-2, -0x1.bf20aa31e3797p-2, -0x1.c0817f73f1cffp-2, -0x1.c1e826f7fc42bp-2, -0x1.c3535282a7bd1p-2, -0x1.c4c1b934f73cap-2, -0x1.c6321878f8ap-2, -0x1.c7a334d031d1bp-2, -0x1.c913da862b0a6p-2, -0x1.ca82de4972e59p-2, -0x1.cbef1dad3467ep-2, -0x1.cd577f956cf9p-2, -0x1.cebaf48f9a39ep-2, -0x1.d0187719a8abep-2, -0x1.d16f0bd8b7583p-2, -0x1.d2bdc1c135405p-2, -0x1.d403b231bf785p-2, -0x1.d540010201dcdp-2, -0x1.d671dc86d548bp-2, -0x1.d7987d8cab192p-2, -0x1.d8b3274957fe4p-2, -0x1.d9c12746241d6p-2, -0x1.dac1d5430a7f5p-2, -0x1.dbb49313f1a83p-2, -0x1.dc98cc789d1b9p-2, -0x1.dd6df6f00cfe9p-2, -0x1.de339187e4053p-2, -0x1.dee924a87826ep-2, -0x1.df8e41de07edfp-2, -0x1.e022839f9b66ep-2, -0x1.e0a58d1403ea7p-2, -0x1.e11709d55950ep-2, -0x1.e176adb3604f7p-2, -0x1.e1c434752452fp-2, -0x1.e1ff619a1787ap-2, -0x1.e228001afe19dp-2, -0x1.e23de22adf9ecp-2, -0x1.e240e0f836105p-2, -0x1.e230dc6e8b2cbp-2, -0x1.e20dbaf8aee35p-2, -0x1.e1d76943a6ea2p-2, -0x1.e18dda027e2f8p-2, -0x1.e13105b30782p-2, -0x1.e0c0ea63b005p-2, -0x1.e03d8b7a6dc25p-2, -0x1.dfa6f17cde943p-2, -0x1.defd29d9a347ap-2, -0x1.de4046b2f8b8cp-2, -0x1.dd705eaa9f307p-2, -0x1.dc8d8caf0c7c8p-2, -0x1.db97efc9eeedp-2, -0x1.da8faaefff01ap-2, -0x1.d974e4d221fb4p-2, -0x1.d847c7afd4863p-2, -0x1.d708812ae170cp-2, -0x1.d5b7421c5a53p-2, -0x1.d4543e6acdbf3p-2, -0x1.d2dface1b626fp-2, -0x1.d159c70a1ad9dp-2, -0x1.cfc2c90459022p-2, -0x1.ce1af16311191p-2, -0x1.cc6281073078bp-2, -0x1.ca99bafd0ced2p-2, -0x1.c8c0e45a8b3c2p-2, -0x1.c6d8441e4d8e2p-2, -0x1.c4e0230fdb369p-2, -0x1.c2d8cba0bde4ep-2, -0x1.c0c289ce8da5fp-2, -0x1.be9dab05e2799p-2, -0x1.bc6a7e062553fp-2, -0x1.ba2952c63980bp-2, -0x1.b7da7a59fa034p-2, -0x1.b57e46d87ff3cp-2, -0x1.b3150b4330184p-2, -0x1.b09f1b6d8ae21p-2, -0x1.ae1ccbe5b19e6p-2, -0x1.ab8e71dda853ep-2, -0x1.a8f4631540f3cp-2, -0x1.a64ef5c4b8a96p-2, -0x1.a39e8087f8551p-2, -0x1.a0e35a4a7ad5p-2, -0x1.9e1dda33d1327p-2, -0x1.9b4e5794c3d11p-2, -0x1.987529d50a086p-2, -0x1.9592a86198973p-2, -0x1.92a72a9b80c9cp-2, -0x1.8fb307c75beb9p-2, -0x1.8cb696fd48bd3p-2, -0x1.89b22f196b18fp-2, -0x1.86a626acf7e35p-2, -0x1.8392d3efc1687p-2, -0x1.80788cb2481a4p-2, -0x1.7d57a6504bbb8p-2, -0x1.7a3075a3d7affp-2, -0x1.77034ef8cc33ap-2, -0x1.73d08600e3996p-2, -0x1.70986dc82cf5cp-2, -0x1.6d5b58a9fd8a5p-2, -0x1.6a199846564cp-2, -0x1.66d37d77be66cp-2, -0x1.638958498bb45p-2, -0x1.603b77ee9c3b1p-2, -0x1.5cea2ab87bddep-2, -0x1.5995be0ef950cp-2, -0x1.563e7e6821176p-2, -0x1.52e4b740a361cp-2, -0x1.4f88b314a2966p-2, -0x1.4c2abb58e4d07p-2, -0x1.48cb187468c3ep-2, -0x1.456a11ba618adp-2, -0x1.4207ed648ada7p-2, -0x1.3ea4f08de5731p-2, -0x1.3b415f2dc8724p-2, -0x1.37dd7c1355292p-2, -0x1.347988e13da19p-2, -0x1.3115c609ea23p-2, -0x1.2db272cbee51bp-2, -0x1.2a4fcd2eda397p-2, -0x1.26ee120056fep-2, -0x1.238d7cd197fc8p-2, -0x1.202e47f51c68dp-2, -0x1.1cd0ac7cb9ed1p-2, -0x1.1974e237f7c51p-2, -0x1.161b1fb2af56dp-2, -0x1.12c39a33f6ae2p-2, -0x1.0f6e85bd51c7ap-2, -0x1.0c1c150a24115p-2, -0x1.08cc798f68ba8p-2, -0x1.057fe37ba9779p-2, -0x1.023681b731f69p-2, -0x1.fde103c902afep-3, -0x1.f75c20c1eeed6p-3, -0x1.f0deb08b74179p-3, -0x1.ea6906d19c4fbp-3, -0x1.e3fb74bcd693fp-3, -0x1.dd9648f4fb0b8p-3, -0x1.d739cfa4b7ffp-3, -0x1.d0e6527d58893p-3, -0x1.ca9c18baec09dp-3, -0x1.c45b6728bcc23p-3, -0x1.be24802625717p-3, -0x1.b7f7a3abae306p-3, -0x1.b1d50f507958dp-3, -0x1.abbcfe4ffa4f8p-3, -0x1.a5afa98ff0eafp-3, -0x1.9fad47a6ab37cp-3, -0x1.99b60ce17c046p-3, -0x1.93ca2b4b7d123p-3, -0x1.8de9d2b477191p-3, -0x1.881530b811ecp-3, -0x1.824c70c5260a9p-3, -0x1.7c8fbc25475edp-3, -0x1.76df3a047b152p-3, -0x1.713b0f790ee13p-3, -0x1.6ba35f8ba265bp-3, -0x1.66184b3f43f65p-3, -0x1.6099f199bf7d3p-3, -0x1.5b286fabfb728p-3, -0x1.55c3e09a79e56p-3, -0x1.506c5da5ecde1p-3, -0x1.4b21fe33e6051p-3, -0x1.45e4d7d78f15cp-3, -0x1.40b4fe5a80396p-3, -0x1.3b9283c59ac8p-3, -0x1.367d7869f3de4p-3, -0x1.3175eae9c8a0cp-3, -0x1.2c7be8417b4a9p-3, -0x1.278f7bd091feap-3, -0x1.22b0af62bca23p-3, -0x1.1ddf8b38dd5b5p-3, -0x1.191c16120ca8cp-3, -0x1.146655349c994p-3, -0x1.0fbe4c771ce3ep-3, -0x1.0b23fe495390dp-3, -0x1.06976bbd313c7p-3, -0x1.0218948fb909cp-3, -0x1.fb4eee63cf67fp-4, -0x1.f28821a305bf7p-4, -0x1.e9dcbac3c80d5p-4, -0x1.e14caf4960128p-4, -0x1.d8d7f2650dab4p-4, -0x1.d07e75072a4cdp-4, -0x1.c84025f04033p-4, -0x1.c01cf1c1f20d5p-4, -0x1.b814c30fbf7d7p-4, -0x1.b027826f8f87dp-4, -0x1.a855168a27a9dp-4, -0x1.a09d642b639b7p-4, -0x1.99004e5243324p-4, -0x1.917db640c4e5cp-4, -0x1.8a157b8b950cfp-4, -0x1.82c77c2980c4ap-4, -0x1.7b939482b9b01p-4, -0x1.74799f7fe1c7ep-4, -0x1.6d797698df65p-4, -0x1.6692f1e37bfd6p-4, -0x1.5fc5e821c6b68p-4, -0x1.59122ed03f339p-4, -0x1.52779a33c3df2p-4, -0x1.4bf5fd67489d7p-4, -0x1.458d2a694d48bp-4, -0x1.3f3cf2291bb4ap-4, -0x1.39052493c6e44p-4, -0x1.32e590a0ed8eap-4, -0x1.2cde045f3f6ap-4, -0x1.26ee4d00c45ebp-4, -0x1.211636e6e8158p-4, -0x1.1b558dae43075p-4, -0x1.15ac1c3a2a5fcp-4, -0x1.1019acbffd8dp-4, -0x1.0a9e08d23b84bp-4, -0x1.0538f96b51d6cp-4, -0x1.ffd48df06ac97p-5, -0x1.f56372c5745cep-5, -0x1.eb1e30375bcc7p-5, -0x1.e10454496af3ap-5, -0x1.d7156c33dce13p-5, -0x1.cd510476a4613p-5, -0x1.c3b6a8ebbf1e6p-5, -0x1.ba45e4d90aceap-5, -0x1.b0fe4301aa21ep-5, -0x1.a7df4db6f102ap-5, -0x1.9ee88ee8dc60cp-5, -0x1.9619903615ep-5, -0x1.8d71dafb8695fp-5, -0x1.84f0f863798adp-5, -0x1.7c9671744b2cap-5, -0x1.7461cf1eaa47fp-5, -0x1.6c529a4b6ebe8p-5, -0x1.64685be9010fcp-5, -0x1.5ca29cf8579eep-5, -0x1.5500e6998ac5ep-5, -0x1.4d82c21803edcp-5, -0x1.4627b8f64156dp-5, -0x1.3eef54f935402p-5, -0x1.37d92033493acp-5, -0x1.30e4a50ef469fp-5, -0x1.2a116e58f9cdep-5, -0x1.235f074a42a1dp-5, -0x1.1cccfb91600ffp-5, -0x1.165ad75bac7dbp-5, -0x1.1008275e15964p-5, -0x1.09d478dd8e5ebp-5, -0x1.03bf59b72a08bp-5, -0x1.fb90b0cfbfba9p-6, -0x1.efde0827f83d1p-6, -0x1.e465d91c82163p-6, -0x1.d92744bd70066p-6, -0x1.ce216d925d2d1p-6, -0x1.c35377a6d57a7p-6, -0x1.b8bc88962f489p-6, -0x1.ae5bc796bc111p-6, -0x1.a4305d847c963p-6, -0x1.9a3974eb3fdcbp-6, -0x1.90763a1038ee2p-6, -0x1.86e5dafb09463p-6, -0x1.7d87877e50cf8p-6, -0x1.745a713fb994bp-6, -0x1.6b5dcbbf808f8p-6, -0x1.6290cc5f8c77cp-6, -0x1.59f2aa6a096dap-6, -0x1.51829f1790882p-6, -0x1.493fe594df807p-6, -0x1.4129bb081e5e3p-6, -0x1.393f5e95c29f4p-6, -0x1.3180116503316p-6, -0x1.29eb16a3df58cp-6, -0x1.227fb38adaffep-6, -0x1.1b3d2f60414a5p-6, -0x1.1422d37b17a33p-6, -0x1.0d2feb45b605p-6, -0x1.0663c44005e36p-6, -0x1.ff7b5c02cf6cdp-7, -0x1.f279f474a2e6bp-7, -0x1.e5c1f96b21ad7p-7, -0x1.d95216b29007fp-7, -0x1.cd28fc4f3ae2ap-7, -0x1.c1455e7e4dbb9p-7, -0x1.b5a5f5b606b52p-7, -0x1.aa497ea5898c7p-7, -0x1.9f2eba3409adfp-7, -0x1.94546d7f8ef4cp-7, -0x1.89b961db361f2p-7, -0x1.7f5c64cd064dp-7, -0x1.753c480b4c0d6p-7, -0x1.6b57e17991e7cp-7, -0x1.61ae0b251fdccp-7, -0x1.583da3412d7ebp-7, -0x1.4f058c22abe5p-7, -0x1.4604ac3ba1493p-7, -0x1.3d39ee164e98ap-7, -0x1.34a4404fe3bafp-7, -0x1.2c429592ee2eap-7, -0x1.2413e4917b81ap-7, -0x1.1c1727fef036ap-7, -0x1.144b5e899bf4dp-7, -0x1.0caf8ad40073bp-7, -0x1.0542b36de49c5p-7, -0x1.fc07c59a45b0ap-8, -0x1.ede44e8c857d2p-8, -0x1.e0192609ba40dp-8, -0x1.d2a478078de6cp-8, -0x1.c584780a1b93p-8, -0x1.b8b761139b2b3p-8, -0x1.ac3b75938e353p-8, -0x1.a00eff55e5f46p-8, -0x1.94304f71856d9p-8, -0x1.889dbe36c2022p-8, -0x1.7d55ab1d76d55p-8, -0x1.72567cb2f279cp-8, -0x1.679ea087a3994p-8, -0x1.5d2c8b1c9893cp-8, -0x1.52feb7d0cd945p-8, -0x1.4913a8ce363f5p-8, -0x1.3f69e6f6c4492p-8, -0x1.360001d1453b9p-8, -0x1.2cd48f75f7e4cp-8, -0x1.23e62c7b4daf4p-8, -0x1.1b337be24ade2p-8, -0x1.12bb2702f643fp-8, -0x1.0a7bdd78c160bp-8, -0x1.0274550ec0ed9p-8, -0x1.f5469357ed295p-9, -0x1.e60efa7f0c379p-9, -0x1.d73f6f59d9112p-9, -0x1.c8d58d705a437p-9, -0x1.bacefbe3f6204p-9, -0x1.ad296d47d802fp-9, -0x1.9fe29f79751c7p-9, -0x1.92f85b78e9d7p-9, -0x1.86687541cfb3p-9, -0x1.7a30cba3a16bdp-9, -0x1.6e4f481aa3f86p-9, -0x1.62c1dea8ccbbp-9, -0x1.57868daec858p-9, -0x1.4c9b5dc54bdb6p-9, -0x1.41fe61965c4c8p-9, -0x1.37adb5b700177p-9, -0x1.2da78080f1971p-9, -0x1.23e9f1ec8f8acp-9, -0x1.1a73436b279fbp-9, -0x1.1141b7c16fb2ep-9, -0x1.08539ae2228abp-9, -0x1.ff4e83921b6fcp-10, -0x1.ee7614ac59f17p-10, -0x1.de1ab65253a27p-10, -0x1.ce3946fa6a6afp-10, -0x1.beceb609fbd3fp-10, -0x1.afd8038e1630dp-10, -0x1.a1523ff51eba4p-10, -0x1.933a8bc867e5dp-10, -0x1.858e1766e7f8ep-10, -0x1.784a22c08c1afp-10, -0x1.6b6bfd11ef9d2p-10, -0x1.5ef104a0ec8d8p-10, -0x1.52d6a679fa553p-10, -0x1.471a5e2e2f978p-10, -0x1.3bb9b591a7253p-10, -0x1.30b2447b0acc6p-10, -0x1.2601b08358b3fp-10, -0x1.1ba5acc6bff02p-10, -0x1.119bf9a648e17p-10, -0x1.07e26489ca223p-10, -0x1.fced8f45e4678p-11, -0x1.eaae1361d9c49p-11, -0x1.d9023b8991eaap-11, -0x1.c7e6060d443fap-11, -0x1.b75588f6b9ee4p-11, -0x1.a74cf196ed122p-11, -0x1.97c8841445107p-11, -0x1.88c49afb6116ep-11, -0x1.7a3da6d0803a5p-11, -0x1.6c302da2f0d9ep-11, -0x1.5e98caa1130c9p-11, -0x1.51742daf63edbp-11, -0x1.44bf1aff5b33ep-11, -0x1.38766aa9125f5p-11, -0x1.2c970845b7798p-11, -0x1.211df28b91525p-11, -0x1.16083aebbf1fdp-11, -0x1.0b530530dd923p-11, -0x1.00fb871ff9341p-11, -0x1.edfe1033c1e2ep-12, -0x1.dab5c17dd53e3p-12, -0x1.c818f5271ee81p-12, -0x1.b6229f4d284efp-12, -0x1.a4cdd47188425p-12, -0x1.9415c8cc359c9p-12, -0x1.83f5cf9f48849p-12, -0x1.74695a900490ap-12, -0x1.656bf8ff78a0ep-12, -0x1.56f957693fc74p-12, -0x1.490d3ec1cca47p-12, -0x1.3ba393da0b9c5p-12, -0x1.2eb856c397db9p-12, -0x1.2247a2395a51ap-12, -0x1.164dab0911806p-12, -0x1.0ac6bf80cdb4ap-12, -0x1.ff5e8dbc0b717p-13, -0x1.ea07817f6b7fdp-13, -0x1.d5818936371b7p-13, -0x1.c1c60265366a3p-13, -0x1.aece781dc332dp-13, -0x1.9c94a1f72ceep-13, -0x1.8b126309ce165p-13, -0x1.7a41c8f1927e1p-13, -0x1.6a1d0ad25f87ap-13, -0x1.5a9e886460ae7p-13, -0x1.4bc0c90201b4cp-13, -0x1.3d7e7abcbd1d7p-13, -0x1.2fd271744b88ap-13, -0x1.22b7a5f3c5485p-13, -0x1.16293513310f6p-13, -0x1.0a225edc27a8dp-13, -0x1.fd3d0b66200c9p-14, -0x1.e7325b0b4692p-14, -0x1.d21bf5f78f8bdp-14, -0x1.bdf1655b8a43p-14, -0x1.aaaa70bdc03fp-14, -0x1.983f1c730c5f7p-14, -0x1.86a7a82652492p-14, -0x1.75dc8d607e3e6p-14, -0x1.65d67e1d650f9p-14, -0x1.568e6363e4d98p-14, -0x1.47fd5be9050ecp-14, -0x1.3a1cbab6da173p-14, -0x1.2ce605deecd0dp-14, -0x1.2052f52e7e2e7p-14, -0x1.145d70ecbc188p-14, -0x1.08ff90a1459eep-14, -0x1.fc6733bbc5a6dp-15, -0x1.e7e7fe22870dp-15, -0x1.d476bcbc9c24cp-15, -0x1.c20900f6a4902p-15, -0x1.b094af2a13004p-15, -0x1.a00ffc79e911dp-15, -0x1.90716caf7d3fbp-15, -0x1.81afd028ac7b6p-15, -0x1.73c241d59eb6cp-15, -0x1.66a0253b35c9dp-15, -0x1.5a412484e918ep-15, -0x1.4e9d2ea16d003p-15, -0x1.43ac7564077c6p-15, -0x1.39676bb98acd5p-15, -0x1.2fc6c3e3ec031p-15, -0x1.26c36dbff3b01p-15, -0x1.1e56951341b61p-15, -0x1.16799fe7e29c3p-15, -0x1.0f262cf399c53p-15, -0x1.08561200ddcb4p-15, -0x1.02035a683754dp-15, -0x1.f8508b1e2d191p-16, -0x1.ed7e8adf0c1bcp-16, -0x1.e385fa56cb505p-16, -0x1.da5c7f4fcf52ap-16, -0x1.d1f81c5d84183p-16, -0x1.ca4f2e3579f2p-16, -0x1.c35869149e7a7p-16, -0x1.bd0ad641c8781p-16, -0x1.b75dd188c9e75p-16, -0x1.b24906d7da7c1p-16, -0x1.adc46fe22982bp-16, -0x1.a9c851d06fe66p-16, -0x1.a64d3b0f55704p-16, -0x1.a34c0117e7c64p-16, -0x1.a0bdbe52ebb47p-16, -0x1.9e9bd0033a10dp-16, -0x1.9cdfd4420c21ep-16, -0x1.9b83a80b8394ap-16, -0x1.9a8165502a437p-16, -0x1.99d3611318fa5p-16, -0x1.99742999766bcp-16, -0x1.995e84a1c676ap-16, -0x1.998d6dabf25dcp-16, -0x1.99fc144859b6fp-16, -0x1.9aa5da741e0fap-16, -0x1.9b8652fe83256p-16, -0x1.9c993ffd07ba6p-16, -0x1.9dda9149b61bfp-16, -0x1.9f466306f1c78p-16, -0x1.a0d8fc3397aecp-16, -0x1.a28ecd3f39251p-16, -0x1.a4646eb1cf062p-16, -0x1.a6569fd8b561ep-16, -0x1.a862457fd8b1bp-16, -0x1.aa8468adbad55p-16, -0x1.acba356f17fabp-16, -0x1.af00f9a5aaa48p-16, -0x1.b15623e4a091cp-16, -0x1.b3b742536c262p-16, -0x1.b62201944fdd7p-16, -0x1.b8942bb80b3b2p-16, -0x1.bb0ba734c7fe1p-16, -0x1.bd8675e92568dp-16, -0x1.c002b423c0225p-16, -0x1.c27e97b13ef2p-16, -0x1.c4f86ef29ec51p-16, -0x1.c76e9ffb47d08p-16, -0x1.c9dfa7b2503b6p-16, -0x1.cc4a18fe9a0bap-16, -0x1.ceac9bfa0eb0cp-16, -0x1.d105ed224db6ep-16, -0x1.d354dc96b0d83p-16, -0x1.d5984d5a2b3eap-16, -0x1.d7cf349be3ab7p-16, -0x1.d9f89903ed8adp-16, -0x1.dc139205d4e6fp-16, -0x1.de1f473ad0e14p-16, -0x1.e01aefbba6301p-16, -0x1.e205d184b0bap-16, -0x1.e3df40dc3423fp-16, -0x1.e5a69fc00cffcp-16, -0x1.e75b5d565ff42p-16, -0x1.e8fcf55e31d56p-16, -0x1.ea8aefacc2d5dp-16, -0x1.ec04dfaa0772fp-16, -0x1.ed6a63d1c0928p-16, -0x1.eebb25399c034p-16, -0x1.eff6d71b3762ep-16, -0x1.f11d3663650ccp-16, -0x1.f22e093f004bep-16, -0x1.f3291eb4b714ap-16, -0x1.f40e4e3afc289p-16, -0x1.f4dd7755909ecp-16, -0x1.f5968134e8488p-16, -0x1.f6395a567f7a2p-16, -0x1.f6c5f82c7eb97p-16, -0x1.f73c56c56efe3p-16, -0x1.f79c78795ed2ep-16, -0x1.f7e66596e36d8p-16, -0x1.f81a2c167fa74p-16, -0x1.f837df4e460a4p-16, -0x1.f83f97a86d50fp-16, -0x1.f831725dd160fp-16, -0x1.f80d913163811p-16, -0x1.f7d41a2e16d45p-16, -0x1.f7853769be294p-16, -0x1.f72116c647dafp-16, -0x1.f6a7e9b7ffeb5p-16, -0x1.f619e50d81becp-16, -0x1.f57740b9e1a6cp-16, -0x1.f4c0379f9f78p-16, -0x1.f3f5075e9b6b7p-16, -0x1.f315f02401f65p-16, -0x1.f223347bc339fp-16, -0x1.f11d1923f248ep-16, -0x1.f003e4e2f5b74p-16, -0x1.eed7e05dca2f6p-16, -0x1.ed9955ef03f98p-16, -0x1.ec4891838467ap-16, -0x1.eae5e074da9d1p-16, -0x1.e971916647854p-16, -0x1.e7ebf423060b9p-16, -0x1.e655598023947p-16, -0x1.e4ae133c8d732p-16, -0x1.e2f673e400f8p-16, -0x1.e12eceb382c3ap-16, -0x1.df57777e847bap-16, -0x1.dd70c2944b593p-16, -0x1.db7b04a99b1cap-16, -0x1.d97692bfd147p-16, -0x1.d763c20d9df0bp-16, -0x1.d542e7eca0438p-16, -0x1.d31459c46cbf2p-16, -0x1.d0d86cf748e1ep-16, -0x1.ce8f76ceb8b2bp-16, -0x1.cc39cc6b72c0cp-16, -0x1.c9d7c2b58ae5ap-16, -0x1.c769ae4bde146p-16, -0x1.c4efe375b5403p-16, -0x1.c26ab614ae283p-16, -0x1.bfda7997bbb8ep-16, -0x1.bd3f80ed8f1b6p-16, -0x1.ba9a1e7b5f1a4p-16, -0x1.b7eaa40e9747ap-16, -0x1.b53162d43c783p-16, -0x1.b26eab4ffb7e1p-16, -0x1.afa2cd52f145cp-16, -0x1.acce17f16121dp-16, -0x1.a9f0d97a6888cp-16, -0x1.a70b5f73188f4p-16, -0x1.a41df68dca887p-16, -0x1.a128eaa41fc17p-16, -0x1.9e2c86b1e9fb6p-16, -0x1.9b2914ce2ef3cp-16, -0x1.981ede2722affp-16, -0x1.950e2afc07846p-16, -0x1.91f7429b53387p-16, -0x1.8eda6b5bcc7fp-16, -0x1.8bb7ea9b5a28cp-16, -0x1.889004bc5e855p-16, -0x1.8562fd2286f99p-16, -0x1.8231162ff7d2p-16, -0x1.7efa91425cb2ep-16, -0x1.7bbfaeb297e44p-16, -0x1.7880add31422bp-16, -0x1.753dccedf03f7p-16, -0x1.71f74944f16f9p-16, -0x1.6ead5f1032c9bp-16, -0x1.6b60497df4fedp-16, -0x1.681042b19980ap-16, -0x1.64bd83c43b454p-16, -0x1.616844c517fafp-16, -0x1.5e10bcb8f7454p-16, -0x1.5ab7219ca6497p-16, -0x1.575ba8646c9bdp-16, -0x1.53fe84fe12585p-16, -0x1.509fea501fbd5p-16, -0x1.4d400a3c5ae1bp-16, -0x1.49df15a0e1733p-16, -0x1.467d3c5a23474p-16, -0x1.431aad43fb616p-16, -0x1.3fb7963c8a9dp-16, -0x1.3c542424720b5p-16, -0x1.38f082e29c201p-16, -0x1.358cdd63a0543p-16, -0x1.32295d9e4d6f8p-16, -0x1.2ec62c951061ep-16, -0x1.2b63725865002p-16, -0x1.28015609b2d7dp-16, -0x1.249ffddd7ae8ap-16, -0x1.213f8f1e6e1d7p-16, -0x1.1de02e2f40f39p-16, -0x1.1a81fe8cd370dp-16, -0x1.172522d27f9edp-16, -0x1.13c9bcbc19df3p-16, -0x1.106fed2873acap-16, -0x1.0d17d41cc09e7p-16, -0x1.09c190c74d0b7p-16, -0x1.066d418269ffp-16, -0x1.031b03d657ef5p-16, -0x1.ff95e8f9e06b6p-17, -0x1.f8fa5eca9e7e2p-17, -0x1.f2639f6b6775ap-17, -0x1.ebd1df9fd260ap-17, -0x1.e54552a597548p-17, -0x1.debe2a3ce1734p-17, -0x1.d83c96adf8b7ep-17, -0x1.d1c0c6ccbb274p-17, -0x1.cb4ae800f8ec6p-17, -0x1.c4db264d556edp-17, -0x1.be71ac5307216p-17, -0x1.b80ea35941814p-17, -0x1.b1b2335395e97p-17, -0x1.ab5c82e6cc675p-17, -0x1.a50db76fc6427p-17, -0x1.9ec5f5060ad3bp-17, -0x1.98855e85fc545p-17, -0x1.924c15949bffap-17, -0x1.8c1a3aa592fcap-17, -0x1.85efed02095e8p-17, -0x1.7fcd4acd7653ap-17, -0x1.79b2710b4cd3dp-17, -0x1.739f7ba567fb6p-17, -0x1.6d94856fd942bp-17, -0x1.6791a82f3dca5p-17, -0x1.6196fc9f7cdadp-17, -0x1.5ba49a77c2c99p-17, -0x1.55ba9870336b2p-17, -0x1.4fd90c477e41ap-17, -0x1.4a000ac882aa4p-17, -0x1.442fa7ced010dp-17, -0x1.3e67f64a2b60ap-17, -0x1.38a90845be80dp-17, -0x1.32f2eeed53729p-17, -0x1.2d45ba90b5badp-17, -0x1.27a17aa9eb6e6p-17, -0x1.22063de1f4f41p-17, -0x1.1c7412155670ap-17, -0x1.16eb0457d0cfep-17, -0x1.116b20fb06e75p-17, -0x1.0bf473900068ep-17, -0x1.068706ee0c8f9p-17, -0x1.0122e5372099bp-17, -0x1.f7902fb5652eep-18, -0x1.eced4f366df34p-18, -0x1.e25d3924b1b5ap-18, -0x1.d7dffc6a3e3c9p-18, -0x1.cd75a6ad95fc2p-18, -0x1.c31e445a63d19p-18, -0x1.b8d9e0aac8155p-18, -0x1.aea885af5190dp-18, -0x1.a48a3c53fa5abp-18, -0x1.9a7f0c6b6b4b8p-18, -0x1.9086fcb47b6cp-18, -0x1.86a212e1747b8p-18, -0x1.7cd0539dca48ep-18, -0x1.7311c29931303p-18, -0x1.6966628907d5fp-18, -0x1.5fce3531a5f36p-18, -0x1.56493b6dd9127p-18, -0x1.4cd77534ce0cbp-18, -0x1.4378e19de87cep-18, -0x1.3a2d7eeb24ce4p-18, -0x1.30f54a8d15b99p-18, -0x1.27d0412891d0dp-18, -0x1.1ebe5e9b20d1cp-18, -0x1.15bf9e029a64p-18, -0x1.0cd3f9c452b3cp-18, -0x1.03fb6b8f39786p-18, -0x1.f66bd8c47da18p-19, -0x1.e506e9282e5fap-19, -0x1.d3c7f7aabfbbp-19, -0x1.c2aef26eb1203p-19, -0x1.b1bbc65eba616p-19, -0x1.a0ee5f3c59612p-19, -0x1.9046a7a2ce75p-19, -0x1.7fc48913dc517p-19, -0x1.6f67ec033b578p-19, -0x1.5f30b7db2d866p-19, -0x1.4f1ed304d3635p-19, -0x1.3f3222f48b0cbp-19, -0x1.2f6a8c3243671p-19, -0x1.1fc7f25bd153cp-19, -0x1.104a3832122fap-19, -0x1.00f13f9c7168dp-19, -0x1.e379d36b308cep-20, -0x1.c55a2da0f25c5p-20, -0x1.a7834cfaa9251p-20, -0x1.89f4ef25fda11p-20, -0x1.6caed06cd8f7p-20, -0x1.4fb0abbd204b5p-20, -0x1.32fa3aba24dc8p-20, -0x1.168b35c89ec91p-20, -0x1.f4c6a83690a2p-21, -0x1.bd0497756f385p-21, -0x1.85cfa32b5ae8cp-21, -0x1.4f273325f3a8ap-21, -0x1.190aad110c905p-21, -0x1.c6f2e95b989d8p-22, -0x1.5ce5d7c411b59p-22, -0x1.e7d9cb482407fp-23, -0x1.180d9f5dbcc9fp-23, -0x1.29927bd61d61cp-25, 0x1.0247927edb77dp-24, 0x1.4a8e32568b3a7p-23, 0x1.08ee9d80afbe4p-22, 0x1.6b89c3b365a93p-22, 0x1.cd19e0675fd77p-22, 0x1.16d0255669c8fp-21, 0x1.468f2df34bb6ep-21, 0x1.75cab7d1b7161p-21, 0x1.a48371bfaae59p-21, 0x1.d2ba0b82d90e4p-21, 0x1.00379ae70248dp-20, 0x1.16d1d1180048dp-20, 0x1.2d2c017da7153p-20, 0x1.434685a5d8756p-20, 0x1.5921b77d42ba2p-20, 0x1.6ebdf142d4026p-20, 0x1.841b8d7e100ffp-20, 0x1.993ae701d7a1ap-20, 0x1.ae1c58e7bcdeep-20, 0x1.c2c03e7f97caap-20, 0x1.d726f3566c89ap-20, 0x1.eb50d325e5513p-20, 0x1.ff3e39d363bf2p-20, 0x1.0977c1b7b57c8p-19, 0x1.13328616ad74p-19, 0x1.1ccf9830c56c2p-19, 0x1.264f263c853c4p-19, 0x1.2fb15e7ca644dp-19, 0x1.38f66f3b07025p-19, 0x1.421e86c8ecc4ep-19, 0x1.4b29d37c2016dp-19, 0x1.541883ad1000fp-19, 0x1.5ceac5b4959ddp-19, 0x1.65a0c7eb1a328p-19, 0x1.6e3ab8a807115p-19, 0x1.76b8c63f6a0bcp-19, 0x1.7f1b1efd0c2fcp-19, 0x1.8761f124e5129p-19, 0x1.8f8d6af4ac082p-19, 0x1.979dba9ee63a9p-19, 0x1.9f930e4b375eep-19, 0x1.a76d94123d98p-19, 0x1.af2d79fc676f8p-19, 0x1.b6d2ee045808bp-19, 0x1.be5e1e135b342p-19, 0x1.c5cf38011cccep-19, 0x1.cd26699236a23p-19, 0x1.d463e0773eee1p-19, 0x1.db87ca4b4c721p-19, 0x1.e2925492d2332p-19, 0x1.e983acb8be2eap-19, 0x1.f05c000ff53d7p-19, 0x1.f71b7bd1bdd3dp-19, 0x1.fdc24d1dab405p-19, 0x1.0228507bbb937p-18, 0x1.05635223b73a3p-18, 0x1.089241ed3ab3bp-18, 0x1.0bb5362ee95e2p-18, 0x1.0ecc452faf791p-18, 0x1.11d78527b48c5p-18, 0x1.14d70c3fbadc8p-18, 0x1.17caf0906f05ap-18, 0x1.1ab34821718afp-18, 0x1.1d9028e785ecdp-18, 0x1.2061a8c787d6fp-18, 0x1.2327dd956fca4p-18, 0x1.25e2dd131a17fp-18, 0x1.2892bcf0d8706p-18, 0x1.2b3792cd237cap-18, 0x1.2dd174338ed0bp-18, 0x1.3060769d2775dp-18, 0x1.32e4af70f1956p-18, 0x1.355e33fff47edp-18, 0x1.37cd1989cb243p-18, 0x1.3a317539af359p-18, 0x1.3c8b5c284f853p-18, 0x1.3edae359a5c33p-18, 0x1.41201fbe46918p-18, 0x1.435b2632580d7p-18, 0x1.458c0b7d3e3a3p-18, 0x1.47b2e451b2a2bp-18, 0x1.49cfc54e52731p-18, 0x1.4be2c2fd81a5dp-18, 0x1.4debf1d4c7e04p-18, 0x1.4feb66344e2adp-18, 0x1.51e134649d0a7p-18, 0x1.53cd709ac98c1p-18, 0x1.55b02ef68660cp-18, 0x1.57898382d4431p-18, 0x1.59598234196a2p-18, 0x1.5b203eea61fffp-18, 0x1.5cddcd6f1ecd9p-18, 0x1.5e9241767598ep-18, 0x1.603dae9f40471p-18, 0x1.61e02870e04a1p-18, 0x1.6379c25bf1e7fp-18, 0x1.650a8fbc43314p-18, 0x1.6692a3d7b050ap-18, 0x1.681211dd619p-18, 0x1.6988ece6c9473p-18, 0x1.6af747f6f57a8p-18, 0x1.6c5d35fa62e42p-18, 0x1.6dbac9c6b6a02p-18, 0x1.6f10161bc67bp-18, 0x1.705d2da3091e1p-18, 0x1.71a222efc34ffp-18, 0x1.72df087f22c2dp-18, 0x1.7413f0b752985p-18, 0x1.7540ede533b73p-18, 0x1.76661241085f5p-18, 0x1.77836fecca28fp-18, 0x1.789918f43cc08p-18, 0x1.79a71f4bc0b35p-18, 0x1.7aad94d1cebf7p-18, 0x1.7bac8b4dadcd5p-18, 0x1.7ca4147070de4p-18, 0x1.7d9441d4a4e71p-18, 0x1.7e7d24fe3c595p-18, 0x1.7f5ecf582a5c1p-18, 0x1.8039523825c62p-18, 0x1.810cbeddb38bdp-18, 0x1.81d92671430bp-18, 0x1.829e9a049bdbfp-18, 0x1.835d2a93418bcp-18, 0x1.8414e9019e9bcp-18, 0x1.84c5e61d23588p-18, 0x1.8570329cc2f1ap-18, 0x1.8613df2116102p-18, 0x1.86b0fc346a1dp-18, 0x1.87479a4a63de6p-18, 0x1.87d7c9c04ddd9p-18, 0x1.88619adc3dec8p-18, 0x1.88e51dcba3a2fp-18, 0x1.896262a740613p-18, 0x1.89d97971a27e1p-18, 0x1.8a4a7216a5e08p-18, 0x1.8ab55c6b99c2p-18, 0x1.8b1a482f69e5fp-18, 0x1.8b79450a4a263p-18, 0x1.8bd2628ee3a65p-18, 0x1.8c25b038adfe4p-18, 0x1.8c733d6d7bd51p-18, 0x1.8cbb197ab0a4dp-18, 0x1.8cfd53981197ep-18, 0x1.8d39fae818d56p-18, 0x1.8d711e764f3f2p-18, 0x1.8da2cd37fdfe9p-18, 0x1.8dcf160cc5d6dp-18, 0x1.8df607bd8010ep-18, 0x1.8e17b0fd1b8e6p-18, 0x1.8e342067d70f8p-18, 0x1.8e4b648421715p-18, 0x1.8e5d8bc2f881bp-18, 0x1.8e6aa47eeb111p-18, 0x1.8e72bcfca147bp-18, 0x1.8e75e36b42642p-18, 0x1.8e7425e327403p-18, 0x1.8e6d9265090f2p-18, 0x1.8e6236ddc73a3p-18, 0x1.8e522124a4df5p-18, 0x1.8e3d5efa6c524p-18, 0x1.8e23fe0aa25d5p-18, 0x1.8e060beae5fffp-18, 0x1.8de3961b02975p-18, 0x1.8dbcaa05a16bp-18, 0x1.8d9154ff7e2f7p-18, 0x1.8d61a4486cbc8p-18, 0x1.8d2da5090017ap-18, 0x1.8cf564547faf7p-18, 0x1.8cb8ef2a0ff25p-18, 0x1.8c7852729955ap-18, 0x1.8c339b019b518p-18, 0x1.8bead5961dea8p-18, 0x1.8b9e0ed91b49cp-18, 0x1.8b4d535eeea8p-18, 0x1.8af8afa5ec977p-18, 0x1.8aa030176c2f8p-18, 0x1.8a43e1084d5ddp-18, 0x1.89e3ceb86b171p-18, 0x1.8980055246e32p-18, 0x1.891890eb945e4p-18, 0x1.88ad7d85b1fd9p-18, 0x1.883ed70bbabeap-18, 0x1.87cca953aab52p-18, 0x1.87570020221f5p-18, 0x1.86dde71eaf005p-18, 0x1.866169e7f2e23p-18, 0x1.85e1940085f5bp-18, 0x1.855e70d7e94a2p-18, 0x1.84d80bc96bf1dp-18, 0x1.844e701c053ffp-18, 0x1.83c1a90226aaap-18, 0x1.8331c19a5ca03p-18, 0x1.829ec4eddebefp-18, 0x1.8208bdf163f83p-18, 0x1.816fb7867b49ep-18, 0x1.80d3bc7a477bcp-18, 0x1.8034d785926f7p-18, 0x1.7f93134db526dp-18, 0x1.7eee7a639a1f9p-18, 0x1.7e4717448bfc4p-18, 0x1.7d9cf459e519fp-18, 0x1.7cf01bf8e1bcp-18, 0x1.7c40986350bb9p-18, 0x1.7b8e73c791392p-18, 0x1.7ad9b8401fe58p-18, 0x1.7a226fd3dde92p-18, 0x1.7968a47678142p-18, 0x1.78ac600854ff7p-18, 0x1.77edac557dc0ep-18, 0x1.772c9316d9d26p-18, 0x1.76691df2c25a5p-18, 0x1.75a3567be15dbp-18, 0x1.74db4631d77b1p-18, 0x1.7410f68199042p-18, 0x1.734470c4b17cdp-18, 0x1.7275be41fb7f9p-18, 0x1.71a4e82d46cf9p-18, 0x1.70d1f7a7cdf21p-18, 0x1.6ffcf5c008a3ep-18, 0x1.6f25eb716bdcbp-18, 0x1.6e4ce1a4ceb09p-18, 0x1.6d71e130a5f9ep-18, 0x1.6c94f2d8bc4a6p-18, 0x1.6bb61f4e84ee2p-18, 0x1.6ad56f316dc6cp-18, 0x1.69f2eb0e7d4bfp-18, 0x1.690e9b604b56ep-18, 0x1.6828888f9a78bp-18, 0x1.6740baf28da46p-18, 0x1.66573acdcc288p-18, 0x1.656c1054179dfp-18, 0x1.647f43a632d47p-18, 0x1.6390dcd2eded7p-18, 0x1.62a0e3d75a87bp-18, 0x1.61af609f58facp-18, 0x1.60bc5b04ce4a6p-18, 0x1.5fc7dacfd3b58p-18, 0x1.5ed1e7b7a55dap-18, 0x1.5dda8961fc8b6p-18, 0x1.5ce1c76300fb8p-18, 0x1.5be7a93ddb945p-18, 0x1.5aec36649cbe9p-18, 0x1.59ef76381eb5bp-18, 0x1.58f17008681aap-18, 0x1.57f22b148ace8p-18, 0x1.56f1ae8ac7b02p-18, 0x1.55f001889f09fp-18, 0x1.54ed2b1a93771p-18, 0x1.53e9323c9adfep-18, 0x1.52e41dda95842p-18, 0x1.51ddf4cf7258fp-18, 0x1.50d6bde5930d4p-18, 0x1.4fce7fd796f3bp-18, 0x1.4ec5414fba2d4p-18, 0x1.4dbb08e7c0e92p-18, 0x1.4cafdd29c85bcp-18, 0x1.4ba3c48f81054p-18, 0x1.4a96c582bff5ep-18, 0x1.4988e65dccea7p-18, 0x1.487a2d6b28135p-18, 0x1.476aa0e56d41bp-18, 0x1.465a46f761738p-18, 0x1.454925bcaa6ddp-18, 0x1.443743414fa0ep-18, 0x1.4324a581da264p-18, 0x1.4211526b7e424p-18, 0x1.40fd4fdc80d9p-18, 0x1.3fe8a3a42da1ap-18, 0x1.3ed3538229589p-18, 0x1.3dbd65277ef4fp-18, 0x1.3ca6de364a575p-18, 0x1.3b8fc44194d6p-18, 0x1.3a781ccdda66bp-18, 0x1.395fed5113fecp-18, 0x1.38473b3283fb4p-18, 0x1.372e0bcae2846p-18, 0x1.361464648ed6bp-18, 0x1.34fa4a3b4fda6p-18, 0x1.33dfc27d1de5cp-18, 0x1.32c4d249c22fp-18, 0x1.31a97eb27b239p-18, 0x1.308dccbad4de7p-18, 0x1.2f71c1586f828p-18, 0x1.2e5561730dedep-18, 0x1.2d38b1e473239p-18, 0x1.2c1bb77912fa8p-18, 0x1.2afe76ef79ee5p-18, 0x1.29e0f4f89b858p-18, 0x1.28c336387ef75p-18, 0x1.27a53f45858dap-18, 0x1.268714a8bcc99p-18, 0x1.2568baddf495ap-18, 0x1.244a3653e7e96p-18, 0x1.232b8b6c8bc31p-18, 0x1.220cbe7c54181p-18, 0x1.20edd3cb16614p-18, 0x1.1fcecf9435b46p-18, 0x1.1eafb6062fc37p-18, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.6911bb2cb5e2cp-8, 0x1.6917152d0358ap-7, 0x1.0ed57528fb492p-6, 0x1.691e071955cfep-6, 0x1.c35bd2a302263p-6, 0x1.0ebfda892d319p-5, 0x1.3bba67c98fc6cp-5, 0x1.689064a80561ap-5, 0x1.953221eb3d918p-5, 0x1.c18db80dcf2e7p-5, 0x1.ed8f5b592e60dp-5, 0x1.0c90da417bd01p-4, 0x1.22171cfeb7f9ep-4, 0x1.374ec39652108p-4, 0x1.4c2bd7bd96357p-4, 0x1.60a245f4274e5p-4, 0x1.74a60112da2cbp-4, 0x1.882b225e4509bp-4, 0x1.9b2605fec2317p-4, 0x1.ad8b63dcd7a8p-4, 0x1.bf5064f6dd6c9p-4, 0x1.d06ab5553154ap-4, 0x1.e0d092cdb8098p-4, 0x1.f078d8cf73c33p-4, 0x1.ff5b097395f52p-4, 0x1.06b7aa0a023f6p-3, 0x1.0d574cd3d79b8p-3, 0x1.138937920e2f4p-3, 0x1.194a8f10a8c15p-3, 0x1.1e98d1fd42d6ap-3, 0x1.2371d7d1192f9p-3, 0x1.27d3cf2e3db87p-3, 0x1.2bbd3bc72cb15p-3, 0x1.2f2cf3e6196c2p-3, 0x1.32221da6f9073p-3, 0x1.349c2bf5543dcp-3, 0x1.369adb5d102f2p-3, 0x1.381e2ebb4489cp-3, 0x1.39266bdab1a15p-3, 0x1.39b41805a4d75p-3, 0x1.39c7f495b741dp-3, 0x1.3962fb8866549p-3, 0x1.38865c1e6b13dp-3, 0x1.3733778a87855p-3, 0x1.356bddb3a003ap-3, 0x1.33314a0d14eb4p-3, 0x1.3085a087a2eedp-3, 0x1.2d6aea9c65b94p-3, 0x1.29e35473181cp-3, 0x1.25f12a242e594p-3, 0x1.2196d51717123p-3, 0x1.1cd6d97c9769ap-3, 0x1.17b3d3e4e8a1fp-3, 0x1.123076f12f6c6p-3, 0x1.0c4f891f8e087p-3, 0x1.0613e2b123ebap-3, 0x1.ff00d752159dfp-4, 0x1.f13033c6f6c8cp-4, 0x1.e2bbde8838bd7p-4, 0x1.d3a9eff51c9e6p-4, 0x1.c40091b87ddc3p-4, 0x1.b3c5fba51947ep-4, 0x1.a30070b8bcd66p-4, 0x1.91b63c447fa5cp-4, 0x1.7fedaf385c65fp-4, 0x1.6dad1d908f541p-4, 0x1.5afadbe33708bp-4, 0x1.47dd3d0cb94c9p-4, 0x1.345a8ff99f74p-4, 0x1.20791d8c9c2f3p-4, 0x1.0c3f269f93c8bp-4, 0x1.ef65c43d0ebc6p-5, 0x1.c5b4f676c30d7p-5, 0x1.9b781f735d44fp-5, 0x1.70bb5ca2c05bcp-5, 0x1.458aaa4f8d828p-5, 0x1.19f1e0bc09223p-5, 0x1.dbf962d0f5b6dp-6, 0x1.836d49037f16dp-6, 0x1.2a562ced8b8aap-6, 0x1.a194d6cf5acd9p-7, 0x1.db800414743p-8, 0x1.cac861af42f79p-10, -0x1.edd6a799d9b06p-9, -0x1.308296469f9a4p-7, -0x1.e5a50c05ae55dp-7, -0x1.4d5aa09d48374p-6, -0x1.a7c62a2c009c9p-6, -0x1.01011444c14adp-5, -0x1.2dfe0d34cc0edp-5, -0x1.5ad0fcabf9038p-5, -0x1.87711dbf5aa0ep-5, -0x1.b3d5ea9b3c51dp-5, -0x1.dff71d30a65eep-5, -0x1.05e657e485f21p-4, -0x1.1ba76ec07a153p-4, -0x1.313b1155277adp-4, -0x1.469d9e8b9a1f5p-4, -0x1.5bcb9626e29f5p-4, -0x1.70c198d2f6659p-4, -0x1.857c6828db56cp-4, -0x1.99f8e6a87d9f8p-4, -0x1.ae3417a88bd3cp-4, -0x1.c22b1f3cb4daap-4, -0x1.d5db4212aca13p-4, -0x1.e941e54644fb7p-4, -0x1.fc5c8e2d00906p-4, -0x1.0794710cc5d3cp-3, -0x1.10d2530baa72bp-3, -0x1.19e6df4f5c29p-3, -0x1.22d117a10dd34p-3, -0x1.2b900d2a1f5ecp-3, -0x1.3422e0441da5p-3, -0x1.3c88c045b1ab3p-3, -0x1.44c0eb4cc21e1p-3, -0x1.4ccaae05d9847p-3, -0x1.54a5637118668p-3, -0x1.5c5074a4bdf96p-3, -0x1.63cb588d8e8dap-3, -0x1.6b1593ad2958ap-3, -0x1.722eb7d68887bp-3, -0x1.791663e8bef76p-3, -0x1.7fcc4388303fdp-3, -0x1.86500ed652eb9p-3, -0x1.8ca18a2834434p-3, -0x1.92c085bbd730cp-3, -0x1.98acdd6c8fa55p-3, -0x1.9e66786684bd7p-3, -0x1.a3ed48d974e4cp-3, -0x1.a9414baadc877p-3, -0x1.ae628827a19e2p-3, -0x1.b3510fb55a124p-3, -0x1.b80cfd8357331p-3, -0x1.bc96763b86f27p-3, -0x1.c0eda7b3454bep-3, -0x1.c512c89c464d6p-3, -0x1.c90618359b63dp-3, -0x1.ccc7ddfd028b7p-3, -0x1.d058696082e78p-3, -0x1.d3b8117079105p-3, -0x1.d6e7349222ebbp-3, -0x1.d9e63832c1f01p-3, -0x1.dcb5887b5e5ebp-3, -0x1.df559805487d3p-3, -0x1.e1c6df8f5fb8bp-3, -0x1.e409ddb439342p-3, -0x1.e61f16a1207bep-3, -0x1.e80713ce21dd3p-3, -0x1.e9c263b7031ddp-3, -0x1.eb5199955cb64p-3, -0x1.ecb54d1bc1f7bp-3, -0x1.edee1a32119fbp-3, -0x1.eefca0b2f7a5p-3, -0x1.efe1842aa2009p-3, -0x1.f09d6b96b5a3bp-3, -0x1.f13101278aa55p-3, -0x1.f19cf202b40c6p-3, -0x1.f1e1ee06dea5ep-3, -0x1.f200a790ffdep-3, -0x1.f1f9d342e5528p-3, -0x1.f1ce27cb27c1ap-3, -0x1.f17e5dae7889dp-3, -0x1.f10b2f125b525p-3, -0x1.f075578943f17p-3, -0x1.efbd93e0215c5p-3, -0x1.eee4a1ed4cd51p-3, -0x1.edeb4060e7035p-3, -0x1.ecd22e969e92p-3, -0x1.eb9a2c68e051fp-3, -0x1.ea43fa056f1f6p-3, -0x1.e8d057c362a88p-3, -0x1.e74005fa8fb91p-3, -0x1.e593c4dc4a362p-3, -0x1.e3cc544d9422fp-3, -0x1.e1ea73c2a10ecp-3, -0x1.dfeee21bb4138p-3, -0x1.ddda5d835e8dep-3, -0x1.dbada34e03684p-3, -0x1.d9696fdab79abp-3, -0x1.d70e7e7560348p-3, -0x1.d49d893a2691p-3, -0x1.d21748fa1c036p-3, -0x1.cf7c75212ca3ep-3, -0x1.cccdc39d3a8b3p-3, -0x1.ca0be8c673f39p-3, -0x1.c7379748d54ccp-3, -0x1.c451800ecf57cp-3, -0x1.c15a522d130c6p-3, -0x1.be52bacf7b5e8p-3, -0x1.bb3b6527042c4p-3, -0x1.b814fa58dd498p-3, -0x1.b4e0216e80266p-3, -0x1.b19d7f46cb94cp-3, -0x1.ae4db6881ea4fp-3, -0x1.aaf167936b8e3p-3, -0x1.a78930783d5d7p-3, -0x1.a415ace9a87efp-3, -0x1.a09776341e388p-3, -0x1.9d0f233425b72p-3, -0x1.997d484debbd6p-3, -0x1.95e277659d81cp-3, -0x1.923f3fd8a217cp-3, -0x1.8e942e7786689p-3, -0x1.8ae1cd80bc46bp-3, -0x1.8728a49c05e95p-3, -0x1.836938d69da3cp-3, -0x1.7fa40ca00d88ep-3, -0x1.7bd99fc7a725ep-3, -0x1.780a6f7aab283p-3, -0x1.7436f64303081p-3, -0x1.705fac069825cp-3, -0x1.6c8506073c09cp-3, -0x1.68a776e31abe5p-3, -0x1.64c76e95bac68p-3, -0x1.60e55a797678ep-3, -0x1.5d01a54974032p-3, -0x1.591cb7241b375p-3, -0x1.5536f58df323cp-3, -0x1.5150c374f5895p-3, -0x1.4d6a813443f4bp-3, -0x1.49848c9847464p-3, -0x1.459f40e321e8ep-3, -0x1.41baf6d18d594p-3, -0x1.3dd8049ffb66ep-3, -0x1.39f6be101594ap-3, -0x1.3617746e80336p-3, -0x1.323a7698ed881p-3, -0x1.2e60110470473p-3, -0x1.2a888dc40d648p-3, -0x1.26b4348f90bd4p-3, -0x1.22e34aca92229p-3, -0x1.1f16138bb6349p-3, -0x1.1b4ccfa41c196p-3, -0x1.1787bda6fb953p-3, -0x1.13c719f16c79cp-3, -0x1.100b1eb25063fp-3, -0x1.0c5403f26bf8dp-3, -0x1.08a1ff9c937cep-3, -0x1.04f54585fe1f3p-3, -0x1.014e0776af41ep-3, -0x1.fb58ea63f44cap-4, -0x1.f42178fe33a7fp-4, -0x1.ecf61263b36c9p-4, -0x1.e5d70a66a4ea3p-4, -0x1.dec4b1155f327p-4, -0x1.d7bf52cc03032p-4, -0x1.d0c73846358eap-4, -0x1.c9dca6b0e410bp-4, -0x1.c2ffdfbc0924fp-4, -0x1.bc3121ac88fccp-4, -0x1.b570a76dfa3acp-4, -0x1.aebea8a4779a1p-4, -0x1.a81b59be6e112p-4, -0x1.a186ec0654159p-4, -0x1.9b018db45f1dfp-4, -0x1.948b6a0020552p-4, -0x1.8e24a93217471p-4, -0x1.87cd70b5250f7p-4, -0x1.8185e327eaf3fp-4, -0x1.7b4e206e0d5f2p-4, -0x1.752645c15899ap-4, -0x1.6f0e6dc2c1f9bp-4, -0x1.6906b08b4995cp-4, -0x1.630f23bcb86dp-4, -0x1.5d27da9233a43p-4, -0x1.5750e5f0a7ff2p-4, -0x1.518a54770f888p-4, -0x1.4bd4328e8623ep-4, -0x1.462e8a7a3063p-4, -0x1.40996466f68c6p-4, -0x1.3b14c67b0fc8bp-4, -0x1.35a0b4e557d51p-4, -0x1.303d31ec72652p-4, -0x1.2aea3dfdbf5efp-4, -0x1.25a7d7bc169f5p-4, -0x1.2075fc0e4dbaep-4, -0x1.1b54a62d87646p-4, -0x1.1643cfb34fcd2p-4, -0x1.114370a77c283p-4, -0x1.0c537f8dd31cbp-4, -0x1.0773f1737c657p-4, -0x1.02a4b9fc3ac8ep-4, -0x1.fbcb96decf949p-5, -0x1.f26e2d8967c8fp-5, -0x1.e931176165644p-5, -0x1.e014316255237p-5, -0x1.d7175632498e9p-5, -0x1.ce3a5e3993179p-5, -0x1.c57d1fb9fc05p-5, -0x1.bcdf6ee593121p-5, -0x1.b4611df4fb433p-5, -0x1.ac01fd3d4e4ebp-5, -0x1.a3c1db4580009p-5, -0x1.9ba084db5db2fp-5, -0x1.939dc5280a2ecp-5, -0x1.8bb965c40d2eap-5, -0x1.83f32ecaf4c12p-5, -0x1.7c4ae6ee7a77bp-5, -0x1.74c05389444ecp-5, -0x1.6d5338b127a0bp-5, -0x1.660359490cbe7p-5, -0x1.5ed0771254932p-5, -0x1.57ba52bddc771p-5, -0x1.50c0abfc8f4fdp-5, -0x1.49e3418f8cc81p-5, -0x1.4321d157ead93p-5, -0x1.3c7c18660825ap-5, -0x1.35f1d3087a0d1p-5, -0x1.2f82bcda94035p-5, -0x1.292e90d2882a8p-5, -0x1.22f5094f2568dp-5, -0x1.1cd5e02533546p-5, -0x1.16d0ceac6d03p-5, -0x1.10e58dcc1a0a2p-5, -0x1.0b13d60746bdp-5, -0x1.055b5f88a7f95p-5, -0x1.ff77c45c31d68p-6, -0x1.f46a2b278f15ap-6, -0x1.e98d623e09d44p-6, -0x1.dee0d81169848p-6, -0x1.d463facef44bdp-6, -0x1.ca163872f76abp-6, -0x1.bff6fedbcf912p-6, -0x1.b605bbdc31ccdp-6, -0x1.ac41dd4cd8f2cp-6, -0x1.a2aad11da37cp-6, -0x1.99400566087ffp-6, -0x1.9000e874fc6c5p-6, -0x1.86ece8e0484d3p-6, -0x1.7e0375934157dp-6, -0x1.7543fddcf6891p-6, -0x1.6cadf17dd9f95p-6, -0x1.6440c0b4dedb6p-6, -0x1.5bfbdc4c03014p-6, -0x1.53deb5a47a15ap-6, -0x1.4be8bec22c6ddp-6, -0x1.44196a56d6289p-6, -0x1.3c702bcca856cp-6, -0x1.34ec775063bcbp-6, -0x1.2d8dc1db0ef2ap-6, -0x1.2653813b3701cp-6, -0x1.1f3d2c1dc23a3p-6, -0x1.184a3a164fa18p-6, -0x1.117a23a72cd3dp-6, -0x1.0acc6248ea14dp-6, -0x1.044070718a74p-6, -0x1.fbab93369a692p-7, -0x1.ef17d4964df86p-7, -0x1.e2c4a02d7b814p-7, -0x1.d6b0f3545a3b6p-7, -0x1.cadbcd9aaa4eep-7, -0x1.bf4430d1dda85p-7, -0x1.b3e9211676235p-7, -0x1.a8c9a4d8cd1eap-7, -0x1.9de4c4e54ceb1p-7, -0x1.93398c6bead2ap-7, -0x1.88c7090729804p-7, -0x1.7e8c4ac28a71p-7, -0x1.748864207411p-7, -0x1.6aba6a1f8141ep-7, -0x1.6121743f72956p-7, -0x1.57bc9c856f9c6p-7, -0x1.4e8aff7fe4496p-7, -0x1.458bbc49f6bdcp-7, -0x1.3cbdf48e6c8d2p-7, -0x1.3420cc8a34cefp-7, -0x1.2bb36b0e88c56p-7, -0x1.2374f9829de67p-7, -0x1.1b64a3e4e4e91p-7, -0x1.138198cc06652p-7, -0x1.0bcb0967629d4p-7, -0x1.0440297f4669dp-7, -0x1.f9c05ee9a52f7p-8, -0x1.eb54a8830e79cp-8, -0x1.dd3ba6ecfb66bp-8, -0x1.cf73d676ad2adp-8, -0x1.c1fbb8999eaeep-8, -0x1.b4d1d3f63aab6p-8, -0x1.a7f4b4503d534p-8, -0x1.9b62ea8a1ffbcp-8, -0x1.8f1b0ca062b5cp-8, -0x1.831bb5a458152p-8, -0x1.776385b64033fp-8, -0x1.6bf121ff2daacp-8, -0x1.60c334aa60544p-8, -0x1.55d86cde5a8b5p-8, -0x1.4b2f7eb564e29p-8, -0x1.40c72336069a2p-8, -0x1.369e184ae6164p-8, -0x1.2cb320ba74b2ap-8, -0x1.2305041e245e6p-8, -0x1.19928ed9923d1p-8, -0x1.105a9211287c2p-8, -0x1.075be3a0b6061p-8, -0x1.fd2abc236148p-9, -0x1.ec0bc12249ddcp-9, -0x1.db589dcb894cdp-9, -0x1.cb0f22ca86477p-9, -0x1.bb2d29d3efc54p-9, -0x1.abb0958fd5776p-9, -0x1.9c975184177f5p-9, -0x1.8ddf51fe3885p-9, -0x1.7f8693fcf1502p-9, -0x1.718b1d198dc68p-9, -0x1.63eafb7140e88p-9, -0x1.56a4458db214cp-9, -0x1.49b51a4dff63dp-9, -0x1.3d1ba0cee1166p-9, -0x1.30d6085379d6ap-9, -0x1.24e2882d2c767p-9, -0x1.193f5fa40fde1p-9, -0x1.0dead5deb6272p-9, -0x1.02e339ca7261fp-9, -0x1.f04dc405c387fp-10, -0x1.db6859740e689p-10, -0x1.c712ff3f6325fp-10, -0x1.b34a8f92f51f8p-10, -0x1.a00bf335212b8p-10, -0x1.8d542156a2db4p-10, -0x1.7b201f6208cc1p-10, -0x1.696d00cc16893p-10, -0x1.5837e6e281574p-10, -0x1.477e009c4d951p-10, -0x1.373c8a69508f8p-10, -0x1.2770ce025c584p-10, -0x1.1818223949d55p-10, -0x1.092feac9bb76dp-10, -0x1.f56b305298dc8p-11, -0x1.d94d4eb0e3943p-11, -0x1.be014368321dfp-11, -0x1.a382398ca90a6p-11, -0x1.89cb742fc57a4p-11, -0x1.70d84e04c6b3cp-11, -0x1.58a4390407edcp-11, -0x1.412abe106b0d4p-11, -0x1.2a677c9d03562p-11, -0x1.14562a5238c74p-11, -0x1.fde5256c9b74ep-12, -0x1.d4712da72a63fp-12, -0x1.ac4859c37681bp-12, -0x1.8562bfdafea89p-12, -0x1.5fb89f06cebfbp-12, -0x1.3b425eb32fdecp-12, -0x1.17f88df8098f3p-12, -0x1.eba7c5ddfb447p-13, -0x1.a99a741ba89f8p-13, -0x1.69bb2b077d86fp-13, -0x1.2bfc39291cb0ep-13, -0x1.e0a06be55bc15p-14, -0x1.6d5400fbd3435p-14, -0x1.fbf2f94bf2007p-15, -0x1.24ef68b489a54p-15, -0x1.55b02cbe00731p-17, 0x1.cb1d641eeac65p-17, 0x1.33d9f7330fab5p-15, 0x1.edfa00a48a45bp-15, 0x1.50aa54b272e75p-14, 0x1.a70b165f70a67p-14, 0x1.fa34e8d52f738p-14, 0x1.251e7bd634ebp-13, 0x1.4b9bfc5fd98e9p-13, 0x1.709d172b69f19p-13, 0x1.942bb4a367af7p-13, 0x1.b651858774a4ep-13, 0x1.d71803f4ae878p-13, 0x1.f6887468566c2p-13, 0x1.0a55f362e8e4bp-12, 0x1.18c59baa393f4p-12, 0x1.269787dc51015p-12, 0x1.33cff3f72aab9p-12, 0x1.4073039d26588p-12, 0x1.4c84c28e18ce9p-12, 0x1.5809251c9fcf1p-12, 0x1.630408a3b330dp-12, 0x1.6d7933f9fa06ap-12, 0x1.776c57df0578ep-12, 0x1.80e10f6f45cc2p-12, 0x1.89dae08f8f07ap-12, 0x1.925d3c5983bdfp-12, 0x1.9a6b7f866cc3p-12, 0x1.a208f2d664fbep-12, 0x1.a938cb78b3d22p-12, 0x1.affe2b6fe22ecp-12, 0x1.b65c21f6703b5p-12, 0x1.bc55abe06164fp-12, 0x1.c1edb3fa82f45p-12, 0x1.c72713697158ap-12, 0x1.cc04920886ee1p-12, 0x1.d088e6c3c2bc5p-12, 0x1.d4b6b7f2ed29cp-12, 0x1.d8909bb1186fbp-12, 0x1.dc191834a0825p-12, 0x1.df52a42432504p-12, 0x1.e23fa6ea80563p-12, 0x1.e4e2790925c82p-12, 0x1.e73d646965302p-12, 0x1.e952a4ac1689ap-12, 0x1.eb246777147f4p-12, 0x1.ecb4ccc321015p-12, 0x1.ee05e7271a9ccp-12, 0x1.ef19bc2194d6dp-12, 0x1.eff24461985cdp-12, 0x1.f0916c0ea933dp-12, 0x1.f0f9130e04e3dp-12, 0x1.f12b0d47abf1ap-12, 0x1.f12922e947b55p-12, 0x1.f0f510a898658p-12, 0x1.f09088050841bp-12, 0x1.effd2f867e60cp-12, 0x1.ef3ca2fc19a02p-12, 0x1.ee5073b9cef2dp-12, 0x1.ed3a28d3e9e7dp-12, 0x1.ebfb3f5a57989p-12, 0x1.ea952a9289c18p-12, 0x1.e909542fa5e7p-12, 0x1.e7591c8aea13p-12, 0x1.e585dad89975ep-12, 0x1.e390dd5dc5b47p-12, 0x1.e17b69a560042p-12, 0x1.df46bcb34dd15p-12, 0x1.dcf40b35dcd19p-12, 0x1.da8481b795a81p-12, 0x1.d7f944cf39b7dp-12, 0x1.d553714ef6bf5p-12, 0x1.d2941c7235c4cp-12, 0x1.cfbc540ba574cp-12, 0x1.cccd1eb148802p-12, 0x1.c9c77be7d0ba7p-12, 0x1.c6ac644c97573p-12, 0x1.c37cc9bf70abep-12, 0x1.c039978c68fa1p-12, 0x1.bce3b292cc92bp-12, 0x1.b97bf96bdb4ddp-12, 0x1.b60344922fb44p-12, 0x1.b27a668639366p-12, 0x1.aee22bf33d0b4p-12, 0x1.ab3b5bd245e35p-12, 0x1.a786b78eb1097p-12, 0x1.a3c4fb273d19cp-12, 0x1.9ff6dd5057935p-12, 0x1.9c1d0f946f4ebp-12, 0x1.98383e73bd98ap-12, 0x1.944911848f339p-12, 0x1.90502b919df3dp-12, 0x1.8c4e2ab77d781p-12, 0x1.8843a882dce71p-12, 0x1.84313a0ce5e42p-12, 0x1.80177016fc165p-12, 0x1.7bf6d726b9ef1p-12, 0x1.77cff79fbfe59p-12, 0x1.73a355df24ba4p-12, 0x1.6f7172543520dp-12, 0x1.6b3ac99a3f612p-12, 0x1.66ffd49035068p-12, 0x1.62c1087105a85p-12, 0x1.5e7ed6eb0a1b2p-12, 0x1.5a39ae36df112p-12, 0x1.55f1f92d24737p-12, 0x1.51a81f5d0271p-12, 0x1.4d5c85210ad16p-12, 0x1.490f8bb42f71bp-12, 0x1.44c19146216fcp-12, 0x1.4072f10ea7127p-12, 0x1.3c2403615b13ap-12, 0x1.37d51dc090243p-12, 0x1.338692f028472p-12, 0x1.2f38b306def48p-12, 0x1.2aebcb8022e72p-12, 0x1.26a0274dc67aep-12, 0x1.22560ee84ae9p-12, 0x1.1e0dc85f39ecfp-12, 0x1.19c7976943109p-12, 0x1.1583bd73c6275p-12, 0x1.114279b2304cp-12, 0x1.0d04092cf317cp-12, 0x1.08c8a6cfc6cc4p-12, 0x1.04908b77aba53p-12, 0x1.005bee010b224p-12, 0x1.f85606ab0eb5cp-13, 0x1.effbfcf0ca5dap-13, 0x1.e7aa2126c99aep-13, 0x1.df60d207a7c4ap-13, 0x1.d7206acd6ebedp-13, 0x1.cee94348fbdc7p-13, 0x1.c6bbaff879acdp-13, 0x1.be98021f09526p-13, 0x1.b67e87da68a45p-13, 0x1.ae6f8c38b6ef7p-13, 0x1.a66b574dc839bp-13, 0x1.9e722e474c94fp-13, 0x1.968453802daf3p-13, 0x1.8ea2069576e62p-13, 0x1.86cb8478bc0b7p-13, 0x1.7f0107818faa6p-13, 0x1.7742c78016d5p-13, 0x1.6f90f9cf7d6acp-13, 0x1.67ebd1673ad47p-13, 0x1.60537eeab4d08p-13, 0x1.58c830ba2e9dap-13, 0x1.514a1301f1479p-13, 0x1.49d94fca6c8dep-13, 0x1.42760f07794fdp-13, 0x1.3b2076a670eeap-13, 0x1.33d8aa9de5b82p-13, 0x1.2c9eccf9bb935p-13, 0x1.2572fdea6c3a3p-13, 0x1.1e555bd1b9056p-13, 0x1.1746034ecd81ap-13, 0x1.10450f4b11a8fp-13, 0x1.095299072109dp-13, 0x1.026eb8271ee69p-13, 0x1.f733057b0a708p-14, 0x1.e9a61aad56e1dp-14, 0x1.dc36d60788a9bp-14, 0x1.cee55acae87dfp-14, 0x1.c1b1c96d8855cp-14, 0x1.b49c3fae6722bp-14, 0x1.a7a4d8a9c8c6dp-14, 0x1.9acbacec4d354p-14, 0x1.8e10d285ee87ep-14, 0x1.81745d1cd3ab9p-14, 0x1.74f65dfe46068p-14, 0x1.6896e43042393p-14, 0x1.5c55fc81b9a02p-14, 0x1.5033b19de881p-14, 0x1.44300c1ae6d78p-14, 0x1.384b1288d6c29p-14, 0x1.2c84c98255668p-14, 0x1.20dd33ba5fb09p-14, 0x1.1554520a6f206p-14, 0x1.09ea238255256p-14, 0x1.fd3d4ae8d105fp-15, 0x1.e6e3a70a83bffp-15, 0x1.d0c74f6c47d98p-15, 0x1.bae834e77d41ep-15, 0x1.a546454299366p-15, 0x1.8fe16b4a525edp-15, 0x1.7ab98ee8a7d55p-15, 0x1.65ce953aa83f3p-15, 0x1.512060a88e40fp-15, 0x1.3caed0fdcb4b1p-15, 0x1.2879c379471ffp-15, 0x1.148112e46905ep-15, 0x1.00c497a7d5b35p-15, 0x1.da884fba63908p-16, 0x1.b3ff2ec4a4aa2p-16, 0x1.8ded6fda4c6a5p-16, 0x1.6852b23daee7fp-16, 0x1.432e9126872bcp-16, 0x1.1e80a3e3fe3bap-16, 0x1.f490fc04737fp-17, 0x1.ad0b5ec827d05p-17, 0x1.666f88d38917dp-17, 0x1.20bc8c13b4a1ap-17, 0x1.b7e2e7c46b0f4p-18, 0x1.301a8a92d63ep-18, 0x1.543bfccf74a9ep-19, 0x1.2f59aa269df77p-21, -0x1.71ffa8c40f3aap-20, -0x1.ba4b089f3badep-19, -0x1.5c07c7fe74b39p-18, -0x1.d928ee5735f8p-18, -0x1.2a459d1e897a5p-17, -0x1.67187bf617dd6p-17, -0x1.a30e3e5ee05b6p-17, -0x1.de2813603f36fp-17, -0x1.0c3397169dc16p-16, -0x1.28e66300cf6b2p-16, -0x1.452d0af9fa1adp-16, -0x1.61082e652a55cp-16, -0x1.7c786e6d377e1p-16, -0x1.977e6deb63d48p-16, -0x1.b21ad157d67e9p-16, -0x1.cc4e3eba23f5fp-16, -0x1.e6195d937886ap-16, -0x1.ff7cd6ced5152p-16, -0x1.0c3caa580b622p-15, -0x1.1887c1626248dp-15, -0x1.24a006e917d69p-15, -0x1.3085d1e15d19ep-15, -0x1.3c3979cd771ddp-15, -0x1.47bb56b4a34b9p-15, -0x1.530bc11bda748p-15, -0x1.5e2b11ffa328p-15, -0x1.6919a2cc047e5p-15, -0x1.73d7cd56466b3p-15, -0x1.7e65ebd601e16p-15, -0x1.88c458e07ec1ap-15, -0x1.92f36f5e1f917p-15, -0x1.9cf38a87f907ap-15, -0x1.a6c505e272777p-15, -0x1.b0683d34a149ep-15, -0x1.b9dd8c84cd46ap-15, -0x1.c32550120bcacp-15, -0x1.cc3fe45037329p-15, -0x1.d52da5e0a885bp-15, -0x1.ddeef18d6971p-15, -0x1.e68424453fde1p-15, -0x1.eeed9b1688602p-15, -0x1.f72bb3297558fp-15, -0x1.ff3ec9be00973p-15, -0x1.03939e12edf81p-14, -0x1.0772b3dfa040cp-14, -0x1.0b3cd4f8a3273p-14, -0x1.0ef23014f10e9p-14, -0x1.1292f3eb110f7p-14, -0x1.161f4f2fd568ep-14, -0x1.19977094ba781p-14, -0x1.1cfb86c687143p-14, -0x1.204bc069e47aap-14, -0x1.23884c1affbbbp-14, -0x1.26b1586b73c84p-14, -0x1.29c713e06f1ffp-14, -0x1.2cc9acf08840ep-14, -0x1.2fb95202b78b9p-14, -0x1.3296316d2c953p-14, -0x1.35607972ab27ap-14, -0x1.381858418553cp-14, -0x1.3abdfbf322349p-14, -0x1.3d5192894c29cp-14, -0x1.3fd349ed22cecp-14, -0x1.42434feda3eb3p-14, -0x1.44a1d23f4d69ep-14, -0x1.46eefe7985566p-14, -0x1.492b0215d639cp-14, -0x1.4b560a6ef59acp-14, -0x1.4d7044bf63cfap-14, -0x1.4f79de20607a3p-14, -0x1.517303885acaep-14, -0x1.535be1cabc2dfp-14, -0x1.5534a595fd952p-14, -0x1.56fd7b72d6dc8p-14, -0x1.58b68fc343d97p-14, -0x1.5a600ec1d56f6p-14, -0x1.5bfa248076d98p-14, -0x1.5d84fce7337f1p-14, -0x1.5f00c3b3be9d2p-14, -0x1.606da478c4897p-14, -0x1.61cbca9c5f47dp-14, -0x1.631b61578867ep-14, -0x1.645c93b5a7e3ep-14, -0x1.658f8c93905bfp-14, -0x1.66b4769e680b1p-14, -0x1.67cb7c5332105p-14, -0x1.68d4c7fe8603cp-14, -0x1.69d083ba99p-14, -0x1.6abed96fffd48p-14, -0x1.6b9ff2d40c2f8p-14, -0x1.6c73f968fc5b5p-14, -0x1.6d3b167c16a7dp-14, -0x1.6df573266a87bp-14, -0x1.6ea3384b5a0b8p-14, -0x1.6f448e98c8b84p-14, -0x1.6fd99e85f163bp-14, -0x1.706290530b0d6p-14, -0x1.70df8c08b3e3fp-14, -0x1.7150b977bea65p-14, -0x1.71b6403824c8ap-14, -0x1.721047a91d27p-14, -0x1.725ef6f0a3dd8p-14, -0x1.72a274fad4025p-14, -0x1.72dae8798cacdp-14, -0x1.730877e3eac06p-14, -0x1.732b4976923ep-14, -0x1.7343833273ea6p-14, -0x1.73514adc77322p-14, -0x1.7354c5fdc6e75p-14, -0x1.734e19e36f142p-14, -0x1.733d6b9d941e5p-14, -0x1.7322dffed1babp-14, -0x1.72fe9b9d35de2p-14, -0x1.72d0c2d0f2085p-14, -0x1.729979b4d7624p-14, -0x1.7258e425884c6p-14, -0x1.720f25c16b943p-14, -0x1.71bc61e862f4bp-14, -0x1.7160bbbb7eb4cp-14, -0x1.70fc561cd4f0bp-14, -0x1.708f53af48232p-14, -0x1.7019d6d72496fp-14, -0x1.6f9c01b91b03cp-14, -0x1.6f15f63a29ad4p-14, -0x1.6e87d5ffa3c5ap-14, -0x1.6df1c26f44e2bp-14, -0x1.6d53dcaee3871p-14, -0x1.6cae45a406abbp-14, -0x1.6c011df40d32ep-14, -0x1.6b4c86049072ap-14, -0x1.6a909dfae816p-14, -0x1.69cd85bb5af28p-14, -0x1.69035cea49e46p-14, -0x1.683242eb582c6p-14, -0x1.675a56e228969p-14, -0x1.667bb7b203c44p-14, -0x1.659683fd5395cp-14, -0x1.64aada2624debp-14, -0x1.63b8d84dd3a1bp-14, -0x1.62c09c55191d6p-14, -0x1.61c243dc29295p-14, -0x1.60bdec42a962bp-14, -0x1.5fb3b2a80c812p-14, -0x1.5ea3b3eb9cf7dp-14, -0x1.5d8e0cabecd7ep-14, -0x1.5c72d9477314bp-14, -0x1.5b5235dc3c3ffp-14, -0x1.5a2c3e484a605p-14, -0x1.59010e2979ebdp-14, -0x1.57d0c0dd8533bp-14, -0x1.569b71828af62p-14, -0x1.55613af6e183p-14, -0x1.542237d8c29b3p-14, -0x1.52de8286d908ap-14, -0x1.5196352030f1ep-14, -0x1.50496984dc816p-14, -0x1.4ef839563c4fdp-14, -0x1.4da2bdf635cffp-14, -0x1.4c491087834a1p-14, -0x1.4aeb49ee5ea3p-14, -0x1.498982d01068ep-14, -0x1.4823d39358207p-14, -0x1.46ba5460dc525p-14, -0x1.454d1d231ea6bp-14, -0x1.43dc4586968fp-14, -0x1.4267e4fa9b47cp-14, -0x1.40f012b05dea4p-14, -0x1.3f74e59c16a05p-14, -0x1.3df6747446f33p-14, -0x1.3c74d5b2e4d56p-14, -0x1.3af01f94dff52p-14, -0x1.3968681ada344p-14, -0x1.37ddc50936115p-14, -0x1.36504be80fa0fp-14, -0x1.34c012039f463p-14, -0x1.332d2c6c696f4p-14, -0x1.3197aff727e2fp-14, -0x1.2fffb13ddf5a9p-14, -0x1.2e6544a072af8p-14, -0x1.2cc87e4373505p-14, -0x1.2b29721109191p-14, -0x1.298833b8effcp-14, -0x1.27e4d6b14c08bp-14, -0x1.263f6e3646584p-14, -0x1.24980d4ae5957p-14, -0x1.22eec6b8f0fcp-14, -0x1.2143ad1163473p-14, -0x1.1f96d2acea0e7p-14, -0x1.1de849ac22d6ep-14, -0x1.1c3823f76c3cfp-14, -0x1.1a86733f37ebcp-14, -0x1.18d348fce6638p-14, -0x1.171eb67278122p-14, -0x1.1568ccab09fcap-14, -0x1.13b19c7b96dbdp-14, -0x1.11f93682d4e29p-14, -0x1.103fab29467e5p-14, -0x1.0e850aa1d686bp-14, -0x1.0cc964ea003b2p-14, -0x1.0b0cc9ca1da02p-14, -0x1.094f48d6054d3p-14, -0x1.0790f16e0c646p-14, -0x1.05d1d2bde90b3p-14, -0x1.0411fbbd517b7p-14, -0x1.02517b3085489p-14, -0x1.00905fa8b57f4p-14, -0x1.fd9d6f0881ap-15, -0x1.fa1921de4905fp-15, -0x1.f693f3c61565cp-15, -0x1.f30e004fd541fp-15, -0x1.ef8762a8488a4p-15, -0x1.ec00359b3e8bcp-15, -0x1.e878939204f09p-15, -0x1.e4f096945baa7p-15, -0x1.e168584a38071p-15, -0x1.dddff1fbf100fp-15, -0x1.da577c9241c51p-15, -0x1.d6cf109819bfep-15, -0x1.d346c63b45f33p-15, -0x1.cfbeb54c2d964p-15, -0x1.cc36f53ecfbabp-15, -0x1.c8af9d2b5c6b7p-15, -0x1.c528c3cef9c0fp-15, -0x1.c1a27f8ca7385p-15, -0x1.be1ce66dd61a5p-15, -0x1.ba980e24e61c9p-15, -0x1.b7140c0acafa4p-15, -0x1.b390f5205daf8p-15, -0x1.b00ede1025ad8p-15, -0x1.ac8ddb2e67fc8p-15, -0x1.a90e0079f9481p-15, -0x1.a58f619cd927dp-15, -0x1.a21211ecc1e0ap-15, -0x1.9e96246cb8ac7p-15, -0x1.9b1babcc2ce82p-15, -0x1.97a2ba6a2bbb8p-15, -0x1.942b6253d8d36p-15, -0x1.90b5b54502197p-15, -0x1.8d41c4aa2c486p-15, -0x1.89cfa1a095cep-15, -0x1.865f5cf6603ap-15, -0x1.82f1072c3f255p-15, -0x1.7f84b075bfe4fp-15, -0x1.7c1a68baafaa1p-15, -0x1.78b23f963c7d9p-15, -0x1.754c445836fc5p-15, -0x1.71e886062de3bp-15, -0x1.6e87135c1d2aap-15, -0x1.6b27facc999a5p-15, -0x1.67cb4a822c7b9p-15, -0x1.647110611ddffp-15, -0x1.61195a051362dp-15, -0x1.5dc434c362a2ep-15, -0x1.5a71adac0588ap-15, -0x1.5721d189bc245p-15, -0x1.53d4ace324fbcp-15, -0x1.508a4bfaf3157p-15, -0x1.4d42bad0bd22ep-15, -0x1.49fe05222775fp-15, -0x1.46bc366ab1ec6p-15, -0x1.437d59e5f2fe3p-15, -0x1.40417a8ee05abp-15, -0x1.3d08a31fd2df1p-15, -0x1.39d2de14e1598p-15, -0x1.36a035abe98aep-15, -0x1.3370b3e447037p-15, -0x1.30446280ada27p-15, -0x1.2d1b4b06fa078p-15, -0x1.29f576c23806cp-15, -0x1.26d2eec21cfe6p-15, -0x1.23b3bbdb4515fp-15, -0x1.2097e6a869d05p-15, -0x1.1d7f778b29488p-15, -0x1.1a6a76acdb2p-15, -0x1.1758ebfdfaf9fp-15, -0x1.144adf38c5e5p-15, -0x1.114057e14ee4fp-15, -0x1.0e395d4429c14p-15, -0x1.0b35f678d5feap-15, -0x1.08362a623115p-15, -0x1.0539ffae721d1p-15, -0x1.02417cd87d904p-15, -0x1.fe99504fae779p-16, -0x1.f8b70f6365fb7p-16, -0x1.f2dc42b300667p-16, -0x1.ed08f5a236e1dp-16, -0x1.e73d3334d614ep-16, -0x1.e179060ea099ep-16, -0x1.dbbc7872ead51p-16, -0x1.d6079448399dbp-16, -0x1.d05a6318c6d41p-16, -0x1.cab4ee1213daap-16, -0x1.c5173e07d2a92p-16, -0x1.bf815b7496573p-16, -0x1.b9f34e7ad9668p-16, -0x1.b46d1ee6f28fcp-16, -0x1.aeeed42ec40ep-16, -0x1.a978757309f7fp-16, -0x1.a40a0981415b9p-16, -0x1.9ea396d51369fp-16, -0x1.994523979e708p-16, -0x1.93eeb5a17122p-16, -0x1.8ea0527da6d32p-16, -0x1.8959ff68fa689p-16, -0x1.841bc151cc1bp-16, -0x1.7ee59cdb4d8dcp-16, -0x1.79b7965d81cebp-16, -0x1.7491b1e638192p-16, -0x1.6f73f33a6a08cp-16, -0x1.6a5e5dd6d17b4p-16, -0x1.6550f4f1c64d9p-16, -0x1.604bbb7ba3f69p-16, -0x1.5b4eb41fd8763p-16, -0x1.5659e1461ae73p-16, -0x1.516d45136d769p-16, -0x1.4c88e16a726a7p-16, -0x1.47acb7edc00cep-16, -0x1.42d8c9ffb11cfp-16, -0x1.3e0d18c28259ep-16, -0x1.3949a51b0643cp-16, -0x1.348e6fb1b916bp-16, -0x1.2fdb78f218e5cp-16, -0x1.2b30c10d26eb1p-16, -0x1.268e47f8ef31cp-16, -0x1.21f40d71f75bfp-16, -0x1.1d6210fc67831p-16, -0x1.18d851e544641p-16, -0x1.1456cf434561dp-16, -0x1.0fdd87f60e5dp-16, -0x1.0b6c7aa8e9f0bp-16, -0x1.0703a5d3598ffp-16, -0x1.02a307b97bd85p-16, -0x1.fc953cd9b830ep-17, -0x1.f3f4cf9c7d85p-17, -0x1.eb64c31a63783p-17, -0x1.e2e512531ea2p-17, -0x1.da75b7e81f839p-17, -0x1.d216ae1e4e674p-17, -0x1.c9c7eee04bd6dp-17, -0x1.c18973bf360b5p-17, -0x1.b95b35f4c9aeap-17, -0x1.b13d2e650f51fp-17, -0x1.a92f55a02cebfp-17, -0x1.a131a3e1dcefap-17, -0x1.99441115be38bp-17, -0x1.916694d7eb5dcp-17, -0x1.89992674d6a8ap-17, -0x1.81dbbcec57318p-17, -0x1.7a2e4ef3e672ap-17, -0x1.7290d2f6b193bp-17, -0x1.6b033f17bd0d3p-17, -0x1.6385893288f2bp-17, -0x1.5c17a6dc8d6a2p-17, -0x1.54b98d6759fbap-17, -0x1.4d6b31e1a4132p-17, -0x1.462c8919c3b39p-17, -0x1.3efd879d2e722p-17, -0x1.37de21ba7a3e1p-17, -0x1.30ce4b8319652p-17, -0x1.29cdf8cc9373cp-17, -0x1.22dd1d30ad204p-17, -0x1.1bfbac0f92d9p-17, -0x1.15299892d4b91p-17, -0x1.0e66d5abb3e1p-17, -0x1.07b356165b868p-17, -0x1.010f0c5a594a4p-17, -0x1.f4f3d59712d8dp-18, -0x1.e7e7c718997a8p-18, -0x1.daf9d11b65aep-18, -0x1.ce29d722263b6p-18, -0x1.c177bc5274785p-18, -0x1.b4e36378a4ce5p-18, -0x1.a86caf0630e72p-18, -0x1.9c138117a0983p-18, -0x1.8fd7bb75bfbb9p-18, -0x1.83b93f95be2ecp-18, -0x1.77b7ee9e734c3p-18, -0x1.6bd3a9682f3a4p-18, -0x1.600c5082e4b11p-18, -0x1.5461c431e5bccp-18, -0x1.48d3e47329ff5p-18, -0x1.3d6290ff42df8p-18, -0x1.320da9498cd1fp-18, -0x1.26d50c855f3a2p-18, -0x1.1bb899a6c7305p-18, -0x1.10b82f661eacp-18, -0x1.05d3ac3ed7889p-18, -0x1.f615dce627ad8p-19, -0x1.e0bba81dbeb5cp-19, -0x1.cb9875cfdfb38p-19, -0x1.b6ac013cc98a1p-19, -0x1.a1f6054197d9fp-19, }}, 
      {{-0x1.115b79433d2dbp-1, -0x1.117e63fea0de4p-1, -0x1.11b6262bb92a1p-1, -0x1.11ffc7e5a54b8p-1, -0x1.1257e3a27b9f7p-1, -0x1.12baec3e7c5d2p-1, -0x1.13255e554b116p-1, -0x1.1393e2272fd3ap-1, -0x1.140361f64c734p-1, -0x1.147117cd6a76p-1, -0x1.14da94e842741p-1, -0x1.153dc46aec5adp-1, -0x1.1598eaaee5ad7p-1, -0x1.15eaa21ea1d9bp-1, -0x1.1631d65e0b4c3p-1, -0x1.166dbe51dfa37p-1, -0x1.169dd575ba543p-1, -0x1.16c1d4d64bbe1p-1, -0x1.16d9abf0c0a9ep-1, -0x1.16e579a851effp-1, -0x1.16e585764056fp-1, -0x1.16da38ee817e9p-1, -0x1.16c419ab5de35p-1, -0x1.16a3c3abe95cap-1, -0x1.1679e42c33fc4p-1, -0x1.164734fa146bfp-1, -0x1.160c78464d54bp-1, -0x1.15ca74ef6a469p-1, -0x1.1581f341d67ap-1, -0x1.1533ba2761f46p-1, -0x1.14e08cbf6cf02p-1, -0x1.14892858600adp-1, -0x1.142e42c2b377cp-1, -0x1.13d088f5adb9ep-1, -0x1.13709dfe05ec4p-1, -0x1.130f1a2eca301p-1, -0x1.12ac8a8d2981cp-1, -0x1.124970702050bp-1, -0x1.11e6414d71dc2p-1, -0x1.118366adc530ep-1, -0x1.11213e4238021p-1, -0x1.10c01a16336a4p-1, -0x1.106040d8c40f5p-1, -0x1.1001ee3932491p-1, -0x1.0fa5535304a6p-1, -0x1.0f4a972607176p-1, -0x1.0ef1d717566dap-1, -0x1.0e9b2778ce961p-1, -0x1.0e46941494db9p-1, -0x1.0df420bac9732p-1, -0x1.0da3c9cfaf1e6p-1, -0x1.0d5584d8e9453p-1, -0x1.0d0941089aae7p-1, -0x1.0cbee7c576e82p-1, -0x1.0c765d2efcf1bp-1, -0x1.0c2f809d3faf1p-1, -0x1.0bea2d1bc798fp-1, -0x1.0ba639df33f0bp-1, -0x1.0b637ab564478p-1, -0x1.0b21c07005d64p-1, -0x1.0ae0d9497347cp-1, -0x1.0aa09143ed1d5p-1, -0x1.0a60b28336554p-1, -0x1.0a2105a0b05f9p-1, -0x1.09e151fa1b8aep-1, -0x1.09a15dfb26221p-1, -0x1.0960ef61f716dp-1, -0x1.091fcb7eedd67p-1, -0x1.08ddb76fc657ep-1, -0x1.089a78565ebdcp-1, -0x1.0855d38b538a9p-1, -0x1.080f8eccac764p-1, -0x1.07c77068cf8b7p-1, -0x1.077d3f65f230fp-1, -0x1.0730c3a63aeap-1, -0x1.06e1c608c9053p-1, -0x1.06901087cf878p-1, -0x1.063b6e53f45c1p-1, -0x1.05e3abed1e3abp-1, -0x1.05889738dc25cp-1, -0x1.0529ff968976fp-1, -0x1.04c7b5f15b8f4p-1, -0x1.04618cd071cb4p-1, -0x1.03f758650fc0cp-1, -0x1.0388ee971c2a5p-1, -0x1.0316271000a5ap-1, -0x1.029edb4406324p-1, -0x1.0222e67a44df1p-1, -0x1.01a225d33e2e2p-1, -0x1.011c784e37123p-1, -0x1.0091becd65c2p-1, -0x1.0001dc1902fddp-1, -0x1.fed969c2a7c6ap-2, -0x1.fda45f7f6f7eep-2, -0x1.fc646a6d959a8p-2, -0x1.fb195f6359aa5p-2, -0x1.f9c31704e9d28p-2, -0x1.f8616dbfc4284p-2, -0x1.f6f443c4a2aa8p-2, -0x1.f57b7d000bc83p-2, -0x1.f3f7011199ed9p-2, -0x1.f266bb420a5e3p-2, -0x1.f0ca9a782c6c4p-2, -0x1.ef22912cbb2cbp-2, -0x1.ed6e955d35e15p-2, -0x1.ebaea07dca742p-2, -0x1.e9e2af6a5517ap-2, -0x1.e80ac25696083p-2, -0x1.e626dcbd9b3b7p-2, -0x1.e43705507239ap-2, -0x1.e23b45e435095p-2, -0x1.e033ab5f722dbp-2, -0x1.de2045a708c9dp-2, -0x1.dc01278a7f0ffp-2, -0x1.d9d666afdd1b5p-2, -0x1.d7a01b7f1dcbcp-2, -0x1.d55e610d3a79dp-2, -0x1.d3115506e1c84p-2, -0x1.d0b9179ae17f5p-2, -0x1.ce55cb644c3bbp-2, -0x1.cbe7955469e6dp-2, -0x1.c96e9c9c783ep-2, -0x1.c6eb0a9746d99p-2, -0x1.c45d0ab2b9406p-2, -0x1.c1c4ca5934c0ap-2, -0x1.bf2278db05ed7p-2, -0x1.bc764757c459dp-2, -0x1.b9c068a7bdcdep-2, -0x1.b701114571516p-2, -0x1.b43877371d1f4p-2, -0x1.b166d1f86f583p-2, -0x1.ae8c5a645821ep-2, -0x1.aba94a9f08318p-2, -0x1.a8bdde0021eacp-2, -0x1.a5ca50fd21782p-2, -0x1.a2cee11405196p-2, -0x1.9fcbccb634569p-2, -0x1.9cc15333b65cfp-2, -0x1.99afb4a6b00cbp-2, -0x1.969731df38a9dp-2, -0x1.93780c4f821e4p-2, -0x1.905285f85e786p-2, -0x1.8d26e1562387fp-2, -0x1.89f5614deecc1p-2, -0x1.86be491b50bc7p-2, -0x1.8381dc3e604d9p-2, -0x1.80405e6a38e45p-2, -0x1.7cfa1373e55bcp-2, -0x1.79af3f41bba1ap-2, -0x1.766025bb2aacep-2, -0x1.730d0ab8f9ebap-2, -0x1.6fb631f5fe1f7p-2, -0x1.6c5bdf0046baap-2, -0x1.68fe552abcb62p-2, -0x1.659dd77f4081ep-2, -0x1.623aa8b139ddbp-2, -0x1.5ed50b10a4298p-2, -0x1.5b6d407d93a7bp-2, -0x1.58038a5c31efp-2, -0x1.5498298933bffp-2, -0x1.512b5e4ec91d9p-2, -0x1.4dbd685a02d43p-2, -0x1.4a4e86b0b162ep-2, -0x1.46def7a7b8004p-2, -0x1.436ef8d9d7b14p-2, -0x1.3ffec71eed997p-2, -0x1.3c8e9e83a3a5bp-2, -0x1.391eba4195c25p-2, -0x1.35af54b7e261ep-2, -0x1.3240a76430e1ep-2, -0x1.2ed2eadc202adp-2, -0x1.2b6656c720308p-2, -0x1.27fb21d8b9d5cp-2, -0x1.249181cb39c4fp-2, -0x1.2129ab5ac4d68p-2, -0x1.1dc3d240cbe72p-2, -0x1.1a60292fe7e9dp-2, -0x1.16fee1d00c9e6p-2, -0x1.13a02cbb2231cp-2, -0x1.10443979f26e6p-2, -0x1.0ceb36817248fp-2, -0x1.0995513063627p-2, -0x1.0642b5cd44b5p-2, -0x1.02f38f849c178p-2, -0x1.ff5010cf0fc47p-3, -0x1.f8c092d549282p-3, -0x1.f238f4ca71ac4p-3, -0x1.ebb9842155e3bp-3, -0x1.e5428c107ccffp-3, -0x1.ded45592237b4p-3, -0x1.d86f2764c38cep-3, -0x1.d213460c0fbc1p-3, -0x1.cbc0f3d26e0b4p-3, -0x1.c57870cae7008p-3, -0x1.bf39fad382d15p-3, -0x1.b905cd981481bp-3, -0x1.b2dc229567883p-3, -0x1.acbd311cd7df8p-3, -0x1.a6a92e583da97p-3, -0x1.a0a04d4e3df88p-3, -0x1.9aa2bee6e49c3p-3, -0x1.94b0b1f09cec3p-3, -0x1.8eca53256c8c9p-3, -0x1.88efcd3078f5dp-3, -0x1.832148b3dd088p-3, -0x1.7d5eec4ead3f6p-3, -0x1.77a8dca34a2acp-3, -0x1.71ff3c5de189ep-3, -0x1.6c622c3b28919p-3, -0x1.66d1cb0f4bda8p-3, -0x1.614e35cd09886p-3, -0x1.5bd7878cf68a8p-3, -0x1.566dd994f0b9p-3, -0x1.5111435fb09c5p-3, -0x1.4bc1daa47e63dp-3, -0x1.467fb35f05a5dp-3, -0x1.414adfd74707cp-3, -0x1.3c2370a99d404p-3, -0x1.370974cedb9b4p-3, -0x1.31fcf9a47ef77p-3, -0x1.2cfe0af4ee982p-3, -0x1.280cb2ffce8f9p-3, -0x1.2328fa825309bp-3, -0x1.1e52e8bfadfafp-3, -0x1.198a83896f9cep-3, -0x1.14cfcf47fdc99p-3, -0x1.1022cf02ff06cp-3, -0x1.0b838469d484cp-3, -0x1.06f1efdc00c38p-3, -0x1.026e10719c4a8p-3, -0x1.fbefc8077a5e3p-4, -0x1.f31ece69a6569p-4, -0x1.ea692af20aee3p-4, -0x1.e1ced23cfc51ep-4, -0x1.d94fb6ab5b571p-4, -0x1.d0ebc87303c67p-4, -0x1.c8a2f5af15b5p-4, -0x1.c0752a7029c0fp-4, -0x1.b86250cc59538p-4, -0x1.b06a50ef2e417p-4, -0x1.a88d11296129fp-4, -0x1.a0ca760071216p-4, -0x1.9922623e1b2a7p-4, -0x1.9194b6ff9b26p-4, -0x1.8a2153c4be7efp-4, -0x1.82c8167ecf405p-4, -0x1.7b88db9f47eeap-4, -0x1.74637e26564bfp-4, -0x1.6d57d7b12c7fdp-4, -0x1.6665c0881c102p-4, -0x1.5f8d0fac7bb9p-4, -0x1.58cd9ae65228fp-4, -0x1.522736d1d3863p-4, -0x1.4b99b6ec99d16p-4, -0x1.4524eda2ad9b3p-4, -0x1.3ec8ac5b4e572p-4, -0x1.3884c38588306p-4, -0x1.325902a4848f5p-4, -0x1.2c45385ba8a7ep-4, -0x1.2649327a73d2ap-4, -0x1.2064be08237d5p-4, -0x1.1a97a74f1a102p-4, -0x1.14e1b9e808c78p-4, -0x1.0f42c0c4e1c97p-4, -0x1.09ba863b8950ap-4, -0x1.0448d4104aadp-4, -0x1.fddae70028e49p-5, -0x1.f3505a94efe87p-5, -0x1.e8f19376d0c0bp-5, -0x1.debe21698642ep-5, -0x1.d4b5936f3b011p-5, -0x1.cad777daa63d5p-5, -0x1.c1235c60b790ap-5, -0x1.b798ce29d039bp-5, -0x1.ae3759e2884fp-5, -0x1.a4fe8bcbfcab2p-5, -0x1.9bedefcbb0203p-5, -0x1.9305117afbbb1p-5, -0x1.8a437c360e147p-5, -0x1.81a8bb2a7a0bbp-5, -0x1.793459655a316p-5, -0x1.70e5e1e10f913p-5, -0x1.68bcdf92898fap-5, -0x1.60b8dd762764ep-5, -0x1.58d9669c3c5a3p-5, -0x1.511e06351f37bp-5, -0x1.4986479cde91cp-5, -0x1.4211b6668cf04p-5, -0x1.3abfde672a189p-5, -0x1.33904bc031365p-5, -0x1.2c828ae9c1557p-5, -0x1.259628bc6d8c3p-5, -0x1.1ecab27aab554p-5, -0x1.181fb5d9f0573p-5, -0x1.1194c10b6be58p-5, -0x1.0b2962c46ee0ep-5, -0x1.04dd2a4682abp-5, -0x1.fd5f4ece47d6ep-6, -0x1.f140d52e5ba04p-6, -0x1.e55e09d3e9775p-6, -0x1.d9b610382d6c7p-6, -0x1.ce480d33ee262p-6, -0x1.c313270be3369p-6, -0x1.b816857c82be3p-6, -0x1.ad5151c54a0e7p-6, -0x1.a2c2b6b365dcp-6, -0x1.9869e0abe0b47p-6, -0x1.8e45fdb5434dep-6, -0x1.84563d80a9836p-6, -0x1.7a99d1725cdf1p-6, -0x1.710feca9f4b42p-6, -0x1.67b7c409f4099p-6, -0x1.5e908e3ef6ee3p-6, -0x1.559983c65d9e1p-6, -0x1.4cd1def493bb1p-6, -0x1.4438dbfade7d6p-6, -0x1.3bcdb8ecc642bp-6, -0x1.338fb5c517446p-6, -0x1.2b7e146a7757ap-6, -0x1.239818b390b7dp-6, -0x1.1bdd086af2ed6p-6, -0x1.144c2b5277dc2p-6, -0x1.0ce4cb2671393p-6, -0x1.05a633a05f158p-6, -0x1.fd1f64f2bd421p-7, -0x1.ef412ed880881p-7, -0x1.e1b0686ea9132p-7, -0x1.d46bb93bc38f7p-7, -0x1.c771ccd2b7b72p-7, -0x1.bac152d4904f7p-7, -0x1.ae58fef1a8566p-7, -0x1.a23788ea75ac2p-7, -0x1.965bac8fb61c7p-7, -0x1.8ac429c2154cp-7, -0x1.7f6fc471880ecp-7, -0x1.745d449bf399ap-7, -0x1.698b764b7edap-7, -0x1.5ef9299486eadp-7, -0x1.54a532930293dp-7, -0x1.4a8e6967a0d29p-7, -0x1.40b3aa3480eebp-7, -0x1.3713d51987c18p-7, -0x1.2dadce3050edfp-7, -0x1.24807d87d4f03p-7, -0x1.1b8acf1fb90c6p-7, -0x1.12cbb2e35b672p-7, -0x1.0a421ca47cbddp-7, -0x1.01ed0415d0821p-7, -0x1.f396c989fa866p-8, -0x1.e3b87c293f89cp-8, -0x1.d43d266bdb131p-8, -0x1.c522d64442ec1p-8, -0x1.b667a12778d01p-8, -0x1.a809a3fefedcbp-8, -0x1.9a07031a91bdfp-8, -0x1.8c5dea214612ap-8, -0x1.7f0c8c0276cf2p-8, -0x1.721122e651f3cp-8, -0x1.6569f01e2b48p-8, -0x1.59153c145b1d5p-8, -0x1.4d11563c1530ap-8, -0x1.415c9500b1f72p-8, -0x1.35f555b4e23dep-8, -0x1.2ad9fc81be32fp-8, -0x1.2008f4557399cp-8, -0x1.1580aed1e43ccp-8, -0x1.0b3fa43b24007p-8, -0x1.01445365a7de1p-8, -0x1.ef1a8348c7f5fp-9, -0x1.dc31f56da9d6bp-9, -0x1.c9cc216da5d54p-9, -0x1.b7e6380ca4febp-9, -0x1.a67d767a52206p-9, -0x1.958f262d5e44p-9, -0x1.85189cbe897f3p-9, -0x1.75173bc3b314cp-9, -0x1.658870aaa3c75p-9, -0x1.5669b49404159p-9, -0x1.47b88c2e5e487p-9, -0x1.39728790ac898p-9, -0x1.2b9542156092cp-9, -0x1.1e1e62353d344p-9, -0x1.110b996239fcap-9, -0x1.045aa3e272232p-9, -0x1.f01291563e88fp-10, -0x1.d82ab277a779dp-10, -0x1.c0f962f324355p-10, -0x1.aa7a6f14c9d5dp-10, -0x1.94a9b76151aep-10, -0x1.7f83304dc5dbep-10, -0x1.6b02e1f695ddbp-10, -0x1.5724e7d8094d4p-10, -0x1.43e57086119bap-10, -0x1.3140bd6579f3ap-10, -0x1.1f332264b889p-10, -0x1.0db905b598144p-10, -0x1.f99dbf0ed63b1p-11, -0x1.d8e2738283838p-11, -0x1.b9395f7a65802p-11, -0x1.9a9bdc06b4e34p-11, -0x1.7d03640cbd48bp-11, -0x1.606993bf1cbb9p-11, -0x1.44c82818677fdp-11, -0x1.2a18fe567ad2fp-11, -0x1.105613771716p-11, -0x1.eef30769d8441p-12, -0x1.befb140e205d1p-12, -0x1.90b8ff4025062p-12, -0x1.6421b6e0ef44dp-12, -0x1.392a634fe75a5p-12, -0x1.0fc866742fd8ap-12, -0x1.cfe2b58af084ap-13, -0x1.833624b45d3a4p-13, -0x1.39772be99b2c5p-13, -0x1.e524905ef12adp-14, -0x1.5ce8c05f2472dp-14, -0x1.b42b099f15878p-15, -0x1.72191afbc85fap-16, 0x1.be8c8424544d1p-18, 0x1.1eb5634d9dfc8p-15, 0x1.fbe37aab516a7p-15, 0x1.67cf75203b035p-14, 0x1.cd14a81f39d97p-14, 0x1.16f0b706eb77cp-13, 0x1.452a954bac12cp-13, 0x1.7147484c4a56ep-13, 0x1.9b55d2aab0037p-13, 0x1.c364e1d3eb4d1p-13, 0x1.e982cf9126b63p-13, 0x1.06ded1c83d6afp-12, 0x1.18118a76c4232p-12, 0x1.286045d8fe4fbp-12, 0x1.37d19127939c7p-12, 0x1.466bd38b11eb1p-12, 0x1.54354ed3d2cd3p-12, 0x1.6134202f0f116p-12, 0x1.6d6e40db4bae6p-12, 0x1.78e986d6d55cfp-12, 0x1.83aba58efe4dp-12, 0x1.8dba2e8a44f62p-12, 0x1.971a92125921ep-12, 0x1.9fd21fd8e43c9p-12, 0x1.a7e6079be7d0ep-12, 0x1.af5b59c5eedbfp-12, 0x1.b637080d8cc94p-12, 0x1.bc7de611125cp-12, 0x1.c234a9ef752b5p-12, 0x1.c75fece01b64dp-12, 0x1.cc042bc6956d4p-12, 0x1.d025c7c6251p-12, 0x1.d3c906d0ebd81p-12, 0x1.d6f21436757a9p-12, 0x1.d9a5012d35455p-12, 0x1.dbe5c55cd244bp-12, 0x1.ddb83f64bf67cp-12, 0x1.df20355f785a3p-12, 0x1.e0215565b643fp-12, 0x1.e0bf360e10f32p-12, 0x1.e0fd56e98afe8p-12, 0x1.e0df21016310ep-12, 0x1.e067e74ebebedp-12, 0x1.df9ae732afe2bp-12, 0x1.de7b48eb09ea8p-12, 0x1.dd0c2005f43e3p-12, 0x1.db506bd2bc481p-12, 0x1.d94b17d04aa8dp-12, 0x1.d6fefc1b33894p-12, 0x1.d46eddd866aeep-12, 0x1.d19d6f9e1c4dcp-12, 0x1.ce8d51db8e418p-12, 0x1.cb41133e08c82p-12, 0x1.c7bb3114d934ap-12, 0x1.c3fe17b271e9p-12, 0x1.c00c22cc8fdc1p-12, 0x1.bbe79ddacbb31p-12, 0x1.b792c470c975dp-12, 0x1.b30fc29b5a29ap-12, 0x1.ae60b537d757ep-12, 0x1.a987aa4bf9fa4p-12, 0x1.a486a15b36d89p-12, 0x1.9f5f8bba27734p-12, 0x1.9a144ce14b65dp-12, 0x1.94a6babd3bdc4p-12, 0x1.8f189dfe68976p-12, 0x1.896bb2663b4ecp-12, 0x1.83a1a712f89e2p-12, 0x1.7dbc1ec9d1f9bp-12, 0x1.77bcb04118835p-12, 0x1.71a4e66710fc1p-12, 0x1.6b7640a88fdcap-12, 0x1.6532333548d03p-12, 0x1.5eda27439e474p-12, 0x1.586f7b5276633p-12, 0x1.51f38369e3f18p-12, 0x1.4b67895a83efap-12, 0x1.44ccccfbd819dp-12, 0x1.3e24846912e8dp-12, 0x1.376fdc3be3f32p-12, 0x1.30aff7c7c2dbfp-12, 0x1.29e5f152fdd92p-12, 0x1.2312da4e526d5p-12, 0x1.1c37bb8bc06c8p-12, 0x1.1555957493b0cp-12, 0x1.0e6d603d7975fp-12, 0x1.07800c1a26eafp-12, 0x1.008e816f65efcp-12, 0x1.f333420957a85p-13, 0x1.e544886914e96p-13, 0x1.d7527a3662fd1p-13, 0x1.c95ead8a4448ap-13, 0x1.bb6aaab8473b1p-13, 0x1.ad77eca758fa3p-13, 0x1.9f87e127f6521p-13, 0x1.919be9493c69bp-13, 0x1.83b559ab4f9f5p-13, 0x1.75d57ad154816p-13, 0x1.67fd896edfc0ap-13, 0x1.5a2eb6b643b59p-13, 0x1.4c6a28a55d4a8p-13, 0x1.3eb0fa4ec3dbfp-13, 0x1.31043c2249742p-13, 0x1.2364f43430774p-13, 0x1.15d41e824794p-13, 0x1.0852ad37a01e8p-13, 0x1.f5c311dcc5112p-14, 0x1.db0321e2a5601p-14, 0x1.c06736f617376p-14, 0x1.a5f0ebe6f1b8ap-14, 0x1.8ba1ca5846e53p-14, 0x1.717b4b36e0fb9p-14, 0x1.577ed72d9611cp-14, 0x1.3dadc714f4929p-14, 0x1.24096461db63ep-14, 0x1.0a92e9918f79fp-14, 0x1.e2970525ea43ap-15, 0x1.b0689a5991f6cp-15, 0x1.7e9cb2c24b1d1p-15, 0x1.4d3553a38bb28p-15, 0x1.1c34683c68a56p-15, 0x1.d737850ac0f0ap-16, 0x1.76da37c93871ap-16, 0x1.17542bc087e48p-16, 0x1.7150eb35b2b06p-17, 0x1.6b67f3d814552p-18, -0x1.0a4129f8faef7p-23, -0x1.7881db9b958dap-18, -0x1.728ef149d3847p-17, -0x1.1387477e7c8e4p-16, -0x1.6cddca42ad0aep-16, -0x1.c5490d7f7187ep-16, -0x1.0e63a12bc5bc3p-15, -0x1.39ab5eb87af9fp-15, -0x1.647afaef39023p-15, -0x1.8ed1c20d8a3d3p-15, -0x1.b8af1081a2bc3p-15, -0x1.e212526bbf50ep-15, -0x1.057d8190eefaep-14, -0x1.19b4565be8d5ep-14, -0x1.2dad73c4bd86fp-14, -0x1.4168ace321dc1p-14, -0x1.54e5db8127244p-14, -0x1.6824dfe46e792p-14, -0x1.7b25a099ef2ep-14, -0x1.8de80a40ab9b8p-14, -0x1.a06c0f578e0b7p-14, -0x1.b2b1a80bac25p-14, -0x1.c4b8d208e37d3p-14, -0x1.d681904af130cp-14, -0x1.e80beaef3b1dbp-14, -0x1.f957ef0801c26p-14, -0x1.0532d7391f82ap-13, -0x1.0d9a9fd561371p-13, -0x1.15e35ed243698p-13, -0x1.1e0d23d0906c5p-13, -0x1.261800849b3b1p-13, -0x1.2e0408a378559p-13, -0x1.35d151d042517p-13, -0x1.3d7ff38a17f7ap-13, -0x1.4510071a197b1p-13, -0x1.4c81a78304eb7p-13, -0x1.53d4f17062102p-13, -0x1.5b0a0325e61bep-13, -0x1.6220fc6fc8c4ep-13, -0x1.6919fe932c471p-13, -0x1.6ff52c400e1d8p-13, -0x1.76b2a981b71fbp-13, -0x1.7d529bb10ace4p-13, -0x1.83d529667e5a2p-13, -0x1.8a3a7a6cc2eap-13, -0x1.9082b7b3969b1p-13, -0x1.96ae0b4351c1ap-13, -0x1.9cbca0301afe1p-13, -0x1.a2aea28e3c734p-13, -0x1.a8843f66a8ba2p-13, -0x1.ae3da4ab65b5ep-13, -0x1.b3db012c61b1bp-13, -0x1.b95c848c54339p-13, -0x1.bec25f3701b1bp-13, -0x1.c40cc256d33dfp-13, -0x1.c93bdfcb1c087p-13, -0x1.ce4fea1e5a60dp-13, -0x1.d349147cdcb2fp-13, -0x1.d82792ac05f04p-13, -0x1.dceb9900cbd13p-13, -0x1.e1955c57e0078p-13, -0x1.e625120cee599p-13, -0x1.ea9aeff2d8bf2p-13, -0x1.eef72c4c0ae9p-13, -0x1.f339fdc2d97dep-13, -0x1.f7639b61efc18p-13, -0x1.fb743c8d191a4p-13, -0x1.ff6c18fa5c8f1p-13, -0x1.01a5b455d2d7p-12, -0x1.038931f3e2f58p-12, -0x1.0560a19a47f59p-12, -0x1.072c1fa82ea56p-12, -0x1.08ebc89627decp-12, -0x1.0a9fb8f33e481p-12, -0x1.0c480d6208edfp-12, -0x1.0de4e2962ca73p-12, -0x1.0f76555196506p-12, -0x1.10fc826213273p-12, -0x1.1277869ed148p-12, -0x1.13e77ee601f17p-12, -0x1.154c881a7747fp-12, -0x1.16a6bf216779fp-12, -0x1.17f640e05f2e1p-12, -0x1.193b2a3b16379p-12, -0x1.1a75981174089p-12, -0x1.1ba5a73db503cp-12, -0x1.1ccb74924c40dp-12, -0x1.1de71cd85d15fp-12, -0x1.1ef8bccda15d6p-12, -0x1.20007122f90ffp-12, -0x1.20fe567aa3dbdp-12, -0x1.21f28966b21f2p-12, -0x1.22dd26679075dp-12, -0x1.23be49ea89d18p-12, -0x1.2496104847519p-12, -0x1.256495c391db8p-12, -0x1.2629f687d0259p-12, -0x1.26e64ea7ed3dp-12, -0x1.2799ba1d223a2p-12, -0x1.284454c59852p-12, -0x1.28e63a6372f0fp-12, -0x1.297f869baafecp-12, -0x1.2a1054f5035b4p-12, -0x1.2a98c0d7089cdp-12, -0x1.2b18e5890f021p-12, -0x1.2b90de315b2c5p-12, -0x1.2c00c5d429863p-12, -0x1.2c68b752f276dp-12, -0x1.2cc8cd6b73227p-12, -0x1.2d2122b6ff93cp-12, -0x1.2d71d1a9cbe32p-12, -0x1.2dbaf492164afp-12, -0x1.2dfca5978fd55p-12, -0x1.2e36febabceefp-12, -0x1.2e6a19d44a43bp-12, -0x1.2e96109470054p-12, -0x1.2ebafc827b05ep-12, -0x1.2ed8f6fc2856bp-12, -0x1.2ef019353be59p-12, -0x1.2f007c36f3865p-12, -0x1.2f0a38dfa0b7bp-12, -0x1.2f0d67e2338b4p-12, -0x1.2f0a21c5d7914p-12, -0x1.2f007ee59d605p-12, -0x1.2ef097701219ep-12, -0x1.2eda8366e3fdbp-12, -0x1.2ebe5a9ea8c49p-12, -0x1.2e9c34be8d032p-12, -0x1.2e74293fec945p-12, -0x1.2e464f6e4d325p-12, -0x1.2e12be6702234p-12, -0x1.2dd98d18f2942p-12, -0x1.2d9ad2446d75fp-12, -0x1.2d56a47b0910ep-12, -0x1.2d0d1a1f5f03p-12, -0x1.2cbe4964f86f6p-12, -0x1.2c6a485039ba4p-12, -0x1.2c112cb632586p-12, -0x1.2bb30c3c94b3fp-12, -0x1.2b4ffc598996dp-12, -0x1.2ae81253be204p-12, -0x1.2a7b63423815dp-12, -0x1.2a0a040c597dap-12, -0x1.29940969eb6d6p-12, -0x1.291987e2f3b4ep-12, -0x1.289a93cfc9222p-12, -0x1.28174159291fap-12, -0x1.278fa47815edp-12, -0x1.2703d0f6041bdp-12, -0x1.2673da6cc0e41p-12, -0x1.25dfd4469f2cep-12, -0x1.2547d1be73f2bp-12, -0x1.24abe5dfa84acp-12, -0x1.240c238663451p-12, -0x1.23689d5f8fc7bp-12, -0x1.22c165e8f22c3p-12, -0x1.22168f71513bap-12, -0x1.21682c188e0dp-12, -0x1.20b64dcfb9a3p-12, -0x1.200106593c1acp-12, -0x1.1f486749095cdp-12, -0x1.1e8c8204bd7c9p-12, -0x1.1dcd67c3ac7b9p-12, -0x1.1d0b298f1e2f6p-12, -0x1.1c45d84287002p-12, -0x1.1b7d848b95df1p-12, -0x1.1ab23eea767ap-12, -0x1.19e417b1f3e92p-12, -0x1.19131f07b087p-12, -0x1.183f64e449f84p-12, -0x1.1768f9139aebdp-12, -0x1.168feb34fdc28p-12, -0x1.15b44abb6554p-12, -0x1.14d626ed919ffp-12, -0x1.13f58ee65f116p-12, -0x1.13129194ea12ep-12, -0x1.122d3dbccc4e5p-12, -0x1.1145a1f65ca03p-12, -0x1.105bccaeee24cp-12, -0x1.0f6fcc290c1dap-12, -0x1.0e81ae7ca93bap-12, -0x1.0d918197673a3p-12, -0x1.0c9f533ccf2afp-12, -0x1.0bab3106a045bp-12, -0x1.0ab52864fcf1bp-12, -0x1.09bd469eb922ap-12, -0x1.08c398d18a156p-12, -0x1.07c82bf25d3b7p-12, -0x1.06cb0ccd81a9fp-12, -0x1.05cc480712626p-12, -0x1.04cbea1b1d816p-12, -0x1.03c9ff5de7cbfp-12, -0x1.02c693fc2dfd9p-12, -0x1.01c1b3fb764b5p-12, -0x1.00bb6b3a4996ap-12, -0x1.ff678ae0fb781p-13, -0x1.fd559c5ef7aap-13, -0x1.fb4121c52711dp-13, -0x1.f92a319e6062dp-13, -0x1.f710e22a3a9ep-13, -0x1.f4f5495db3b42p-13, -0x1.f2d77ce39566cp-13, -0x1.f0b7921d49dacp-13, -0x1.ee959e2321d94p-13, -0x1.ec71b5c511106p-13, -0x1.ea4bed8b185b9p-13, -0x1.e82459b5f81bep-13, -0x1.e5fb0e3fa29bap-13, -0x1.e3d01edc0a52bp-13, -0x1.e1a39ef974c3ep-13, -0x1.df75a1c11736ep-13, -0x1.dd463a179a394p-13, -0x1.db157a9dc2f4cp-13, -0x1.d8e375b0ebe11p-13, -0x1.d6b03d6ba6e58p-13, -0x1.d47be3a640d9ep-13, -0x1.d24679f7665bbp-13, -0x1.d01011b4bc06ep-13, -0x1.cdd8bbf33c226p-13, -0x1.cba08987ed79p-13, -0x1.c9678b085b24fp-13, -0x1.c72dd0cb31498p-13, -0x1.c4f36ae8d7192p-13, -0x1.c2b8693beb21dp-13, -0x1.c07cdb61d0b71p-13, -0x1.be40d0bb3d5b8p-13, -0x1.bc04586ccd5f5p-13, -0x1.b9c7815f8afbdp-13, -0x1.b78a5a41a52c4p-13, -0x1.b54cf186cd5a5p-13, -0x1.b30f5568c6955p-13, -0x1.b0d193e7e7462p-13, -0x1.ae93bacbc2851p-13, -0x1.ac55d7a39263p-13, -0x1.aa17f7c6d83dp-13, -0x1.a7da2855e3d86p-13, -0x1.a59c763a6ab4bp-13, -0x1.a35eee2804584p-13, -0x1.a1219c9ca950bp-13, -0x1.9ee48de135cdap-13, -0x1.9ca7ce09fc71fp-13, -0x1.9a6b68f74d6f3p-13, -0x1.982f6a56013cp-13, -0x1.95f3dd9ffa47dp-13, -0x1.93b8ce1c9cc6fp-13, -0x1.917e46e15de91p-13, -0x1.8f4452d23f3fdp-13, -0x1.8d0afca24209p-13, -0x1.8ad24ed430f1dp-13, -0x1.889a53baf20e1p-13, -0x1.86631579f2078p-13, -0x1.842c9e05b354cp-13, -0x1.81f6f72450d43p-13, -0x1.7fc22a6e014d3p-13, -0x1.7d8e414d8c87dp-13, -0x1.7b5b4500c9673p-13, -0x1.79293e99169b3p-13, -0x1.76f836fc03f6ap-13, -0x1.74c836e39d31dp-13, -0x1.729946def66d6p-13, -0x1.706b6f5283915p-13, -0x1.6e3eb878beeecp-13, -0x1.6c132a6286ed1p-13, -0x1.69e8ccf7b2a7ep-13, -0x1.67bfa7f765b3cp-13, -0x1.6597c2f899ed8p-13, -0x1.6371256a90f7ap-13, -0x1.614bd69536684p-13, -0x1.5f27dd999c159p-13, -0x1.5d05417293356p-13, -0x1.5ae408f51a401p-13, -0x1.58c43ad0994a2p-13, -0x1.56a5dd8f6838dp-13, -0x1.5488f79743da8p-13, -0x1.526d8f29c217dp-13, -0x1.5053aa64b5ee8p-13, -0x1.4e3b4f42af588p-13, -0x1.4c24839b435a9p-13, -0x1.4a0f4d239d087p-13, -0x1.47fbb16ef5509p-13, -0x1.45e9b5eedb0acp-13, -0x1.43d95ff39c5aap-13, -0x1.41cab4acaf2b4p-13, -0x1.3fbdb92937646p-13, -0x1.3db272583fa94p-13, -0x1.3ba8e50956122p-13, -0x1.39a115ecc6b86p-13, -0x1.379b09941635cp-13, -0x1.3596c4725c9dcp-13, -0x1.33944adc9f8fdp-13, -0x1.3193a10a37ff5p-13, -0x1.2f94cb15521aap-13, -0x1.2d97ccfb4676fp-13, -0x1.2b9caa9ce4d2dp-13, -0x1.29a367becf0f2p-13, -0x1.27ac0809d7c26p-13, -0x1.25b68f0b7d9efp-13, -0x1.23c300362e19fp-13, -0x1.21d15ee1b2687p-13, -0x1.1fe1ae4b6af18p-13, -0x1.1df3f196d102bp-13, -0x1.1c082bcdc4463p-13, -0x1.1a1e5fe0f08adp-13, -0x1.183690a80b03dp-13, -0x1.1650c0e220a59p-13, -0x1.146cf3361e27fp-13, -0x1.128b2a32f9753p-13, -0x1.10ab685018587p-13, -0x1.0ecdafeda442p-13, -0x1.0cf20354e1a66p-13, -0x1.0b1864b8858f5p-13, -0x1.0940d634ef419p-13, -0x1.076b59d0889d2p-13, -0x1.0597f17c1baf1p-13, -0x1.03c69f132e90bp-13, -0x1.01f7645c4d43ep-13, -0x1.002a430949a65p-13, -0x1.fcbe796f03669p-14, -0x1.f92ca5e076c5fp-14, -0x1.f59f0e51e9a94p-14, -0x1.f215b5874debcp-14, -0x1.ee909e1e3f2a2p-14, -0x1.eb0fca8e4904p-14, -0x1.e7933d29d880bp-14, -0x1.e41af81e8d1fbp-14, -0x1.e0a6fd761bd41p-14, -0x1.dd374f1688a98p-14, -0x1.d9cbeec2a6abcp-14, -0x1.d664de1af0127p-14, -0x1.d3021e9de053dp-14, -0x1.cfa3b1a87eda9p-14, -0x1.cc49987704c13p-14, -0x1.c8f3d425334a7p-14, -0x1.c5a265af14a23p-14, -0x1.c2554df14ebb1p-14, -0x1.bf0c8da99f9b3p-14, -0x1.bbc825777a161p-14, -0x1.b88815dc941c6p-14, -0x1.b54c5f3d3f01dp-14, -0x1.b21501e10b6b1p-14, -0x1.aee1fdf321931p-14, -0x1.abb35382af2e8p-14, -0x1.a889028397f65p-14, -0x1.a5630acebdb63p-14, -0x1.a2416c229460dp-14, -0x1.9f2426237cdacp-14, -0x1.9c0b385c2c055p-14, -0x1.98f6a23e62d9fp-14, -0x1.95e66323129fap-14, -0x1.92da7a4b17ba3p-14, -0x1.8fd2e6df6aaa3p-14, -0x1.8ccfa7f186e94p-14, -0x1.89d0bc7c1078p-14, -0x1.86d62363206d4p-14, -0x1.83dfdb748ca8dp-14, -0x1.80ede36895d82p-14, -0x1.7e0039e21423bp-14, -0x1.7b16dd6f0d99fp-14, -0x1.7831cc88f7f0cp-14, -0x1.755105950f2adp-14, -0x1.727486e4d522fp-14, -0x1.6f9c4eb69002p-14, -0x1.6cc85b358077dp-14, -0x1.69f8aa7a234e1p-14, -0x1.672d3a8af0b82p-14, -0x1.6466095c53dbcp-14, -0x1.61a314d12bcc9p-14, -0x1.5ee45abb4bcf8p-14, -0x1.5c29d8dba77d2p-14, -0x1.59738ce2bb3dep-14, -0x1.56c17470e1acdp-14, -0x1.54138d16a2adap-14, -0x1.5169d4551118cp-14, -0x1.4ec4479e1f0a9p-14, -0x1.4c22e455160b2p-14, -0x1.4985a7cea490cp-14, -0x1.46ec8f513d1e3p-14, -0x1.44579815a0f81p-14, -0x1.41c6bf47025f8p-14, -0x1.3f3a020343ccfp-14, -0x1.3cb15d5b6b3afp-14, -0x1.3a2cce53c6e61p-14, -0x1.37ac51e46e76ap-14, -0x1.352fe4f96db28p-14, -0x1.32b78472eadbdp-14, -0x1.30432d25aee17p-14, -0x1.2dd2dbdb4c765p-14, -0x1.2b668d527b66cp-14, -0x1.28fe3e3f43a63p-14, -0x1.2699eb4b4a0d3p-14, -0x1.2439911617ddcp-14, -0x1.21dd2c3554689p-14, -0x1.1f84b935198ap-14, -0x1.1d3034983b8adp-14, -0x1.1adf9ad86bb64p-14, -0x1.1892e86693af9p-14, -0x1.164a19aaf32b5p-14, -0x1.14052b057b164p-14, -0x1.11c418ce025ddp-14, -0x1.0f86df547dc84p-14, -0x1.0d4d7ae146c08p-14, -0x1.0b17e7b544f35p-14, -0x1.08e6220a2d5cp-14, -0x1.06b82612cb681p-14, -0x1.048deffb2303p-14, -0x1.02677be8b19edp-14, -0x1.0044c5faa91c1p-14, -0x1.fc4b949442a7ep-15, -0x1.f81509d493451p-15, -0x1.f3e5e3d13370cp-15, -0x1.efbe1a9a10601p-15, -0x1.eb9da6348a33cp-15, -0x1.e7847e9bd70cbp-15, -0x1.e3729bc17092dp-15, -0x1.df67f58d5a36fp-15, -0x1.db6483de6c7f3p-15, -0x1.d7683e8ad6032p-15, -0x1.d3731d605ad47p-15, -0x1.cf851824c93b2p-15, -0x1.cb9e269672c3ap-15, -0x1.c7be406c55adfp-15, -0x1.c3e55d5681ceep-15, -0x1.c01374fe61b3ep-15, -0x1.bc487f070f4d6p-15, -0x1.b884730dd150bp-15, -0x1.b4c748aa3ba4ap-15, -0x1.b110f76e9c305p-15, -0x1.ad6176e835954p-15, -0x1.a9b8be9f6841ep-15, -0x1.a616c61869786p-15, -0x1.a27b84d35948ep-15, -0x1.9ee6f24c70af7p-15, -0x1.9b5905fc57afep-15, -0x1.97d1b7587551bp-15, -0x1.9450fdd36008cp-15, -0x1.90d6d0dcea51fp-15, -0x1.8d6327e28288dp-15, -0x1.89f5fa4f3ad51p-15, -0x1.868f3f8c38dafp-15, -0x1.832eef012c441p-15, -0x1.7fd5001451fd8p-15, -0x1.7c816a2ad073bp-15, -0x1.793424a8d9ccap-15, -0x1.75ed26f1ef478p-15, -0x1.72ac68691298dp-15, -0x1.6f71e070df22ap-15, -0x1.6c3d866c18451p-15, -0x1.690f51bddb166p-15, -0x1.65e739c99b24dp-15, -0x1.62c535f38e30cp-15, -0x1.5fa93da0b194p-15, -0x1.5c9348371c671p-15, -0x1.59834d1e2eb3ep-15, -0x1.567943bebb41p-15, -0x1.537523834dd2ep-15, -0x1.5076e3d847466p-15, -0x1.4d7e7c2c0e905p-15, -0x1.4a8be3ef28854p-15, -0x1.479f1294a72d4p-15, -0x1.44b7ff9245261p-15, -0x1.41d6a2604b55bp-15, -0x1.3efaf27a129efp-15, -0x1.3c24e75e1020ep-15, -0x1.3954788dfc7cdp-15, -0x1.36899d8f0a3d2p-15, -0x1.33c44de9ed0a5p-15, -0x1.3104812af1724p-15, -0x1.2e4a2ee25304p-15, -0x1.2b954ea470e9fp-15, -0x1.28e5d809db3ebp-15, -0x1.263bc2af67f23p-15, -0x1.2397063680405p-15, -0x1.20f79a4502c98p-15, -0x1.1e5d76858d12p-15, -0x1.1bc892a77a6dbp-15, -0x1.1938e65f0c59fp-15, -0x1.16ae6965e5b5cp-15, -0x1.1429137ac36b2p-15, -0x1.11a8dc61bb7c7p-15, -0x1.0f2dbbe464a5dp-15, -0x1.0cb7a9d1eb42bp-15, -0x1.0a469dff0960fp-15, -0x1.07da904660d31p-15, -0x1.057378888bc2fp-15, -0x1.03114eabf9bf3p-15, -0x1.00b40a9d47484p-15, -0x1.fcb7489e5eccdp-16, -0x1.f810277551b2dp-16, -0x1.f372a1be81c5bp-16, -0x1.eedea785b2af7p-16, -0x1.ea5428e3e94b1p-16, -0x1.e5d315ff697b6p-16, -0x1.e15b5f0c08505p-16, -0x1.dcecf44b22a8bp-16, -0x1.d887c60bf0104p-16, -0x1.d42bc4abc3996p-16, -0x1.cfd8e095a3619p-16, -0x1.cb8f0a42ef055p-16, -0x1.c74e323b68fe3p-16, -0x1.c316491578eddp-16, -0x1.bee73f7644d66p-16, -0x1.bac10611874f6p-16, -0x1.b6a38daa3993ep-16, -0x1.b28ec7122c77ep-16, -0x1.ae82a32a2a461p-16, -0x1.aa7f12e25978p-16, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
    }}, 
    {
      31, 0x1.5cccccccccccdp+2, 0x1.e067df0cecc0dp+0, 0x1.42129de6eeeeap+2, -0x1.bf33d2f2ddcdfp-6, 
      {{
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3086c520bb00ep-4, -0x1.86a2f47679473p-3, 0x1.6e8805251575bp-3, -0x1.082a8961df2bdp-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.0b432e6b0a507p-4, -0x1.62f95a39365e3p-3, 0x1.5ab807a424b8ap-3, -0x1.082b675625491p-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.d2ee62b6d168dp-5, -0x1.414af3c452325p-3, 0x1.46e7f97daeb9bp-3, -0x1.0827ef85099dep-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.95e02b3e68cbcp-5, -0x1.2197be98925c5p-3, 0x1.33182ded4e014p-3, -0x1.0834f0d5315dep-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.5ef645c7973c9p-5, -0x1.03dfc3ddccfc6p-3, 0x1.1f4768aa1d80bp-3, -0x1.08046365b282bp-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2dcb41ad192cdp-5, -0x1.d045c2e7c7f75p-4, 0x1.0b7a479c16836p-3, -0x1.08b997d381517p-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.01f9ae49ab116p-5, -0x1.9cc32d66f3276p-4, 0x1.ef3f1ed8733a7p-4, -0x1.03710f3e0adccp-4}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.b6388c7ffbe6ap-6, -0x1.6d2efe459c318p-4, 0x1.c8548fc258001p-4, -0x1.f0559301e0e1ap-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.719f972473f36p-6, -0x1.41696b01dce0ap-4, 0x1.a31af1889a556p-4, -0x1.db948c1cbe086p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3569c77301d92p-6, -0x1.1948e175971ep-4, 0x1.7f6fcd6cd8e1dp-4, -0x1.c65864970b40dp-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.00e085dbc5989p-6, -0x1.e94a24d3fbe5fp-5, 0x1.5d5c5f7b1e6fap-4, -0x1.b13d3afe8b9d7p-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.a6aab099774dbp-7, -0x1.a6aab0411bfaap-5, 0x1.3cde2e41a0c3fp-4, -0x1.9c193a51c859p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.5843c46379d0ep-7, -0x1.6a62481498d98p-5, 0x1.1df5e37b7e8a3p-4, -0x1.86f79808e8fap-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.154fc8e8fd67ep-7, -0x1.341fc2c3a5213p-5, 0x1.00a351ae06aacp-4, -0x1.71d55344b16f1p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.b944f5f24b485p-8, -0x1.0391fa17c149ap-5, 0x1.c9cd0a11bf851p-5, -0x1.5cb33a0a09d9ap-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.5a3fa4bd9df15p-8, -0x1.b0cf8dec1c6ap-6, 0x1.957ef4903e0ap-5, -0x1.4791152466882p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0b7803c11d7ecp-8, -0x1.64a00501ba818p-6, 0x1.645c6497950f6p-5, -0x1.326ef3612c542p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.95eddd02cccaap-9, -0x1.21f30b943acccp-6, 0x1.366559af6802ep-5, -0x1.1d4cd0bf49254p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.2dcb6cf50dc47p-9, -0x1.d04ca7a05afd9p-7, 0x1.0b99d3f91d0a6p-5, -0x1.082aae75a0bd4p-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.b6388c7ffbe49p-10, -0x1.6d2f1fc03d286p-7, 0x1.c7f3a6cef0429p-6, -0x1.e61117535f00dp-6}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.3569c77301d6p-10, -0x1.1948e3dbf1161p-7, 0x1.7f0ab01c0867cp-6, -0x1.bbccd51d66047p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.a6aab099774bp-11, -0x1.a6aab0a0c097bp-8, 0x1.3c78c3579f80dp-6, -0x1.9188866450a39p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.154fc8e8fd5ap-11, -0x1.341fc2aecae46p-8, 0x1.003de2622d023p-6, -0x1.6744665595d6ep-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.5a3fa4bd9de1fp-12, -0x1.b0cf8eb805028p-9, 0x1.94b40c7779dddp-7, -0x1.3cff9820e0e9cp-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.95eddd02ccc8p-13, -0x1.21f3089eae8f6p-9, 0x1.359a92073664fp-7, -0x1.12bd53d9881ap-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b6388c7ffbd7fp-14, -0x1.6d2f35d6d1493p-10, 0x1.c65d24f24e518p-8, -0x1.d0e32c05629bp-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.a6aab099771p-15, -0x1.a6aa0bb93c8d9p-11, 0x1.3ae5caf0b0bd1p-8, -0x1.7c9268f91cefbp-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.5a3fa4bd9c4p-16, -0x1.b0d45c938e3bep-12, 0x1.9173bd4be9b7fp-9, -0x1.2739b685dba31p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.b6388c7ffbp-18, -0x1.6d0b3e0c9f4f5p-13, 0x1.c0a2392a657a4p-10, -0x1.ab74121bcfba7p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.5a3fa4bd9p-20, -0x1.b2e733ee7ad11p-15, 0x1.8052c30038171p-11, -0x1.d778dc3a71d47p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.5a3fa4bfp-24, -0x1.725704288029fp-18, 0x1.95c2950e35801p-13, -0x1.3b7b9656df6ecp-8}, 
      }}, 
      0x1.28dc303e02d2cp-4, -0x1.c98cd910b26f5p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.36eabc22bad2fp-2, 0x1.35c36419ef383p-2, 0x1.33dbb276a8959p-2, 0x1.313a3eefa9a09p-2, 0x1.2de7b441984b7p-2, 0x1.29ee542edfcf7p-2, 0x1.255986dc424bdp-2, 0x1.20357c46d2a7ep-2, 0x1.1a8ede2ab6d8bp-2, 0x1.14728f27c4e5bp-2, 0x1.0ded74ba65422p-2, 0x1.070c4a8c22cbbp-2, 0x1.ffb6fcd987575p-3, 0x1.f0ce26f08a9d5p-3, 0x1.e17519ad027e1p-3, 0x1.d1c1bc0b8d60dp-3, 0x1.c1c8c1a6a4e54p-3, 0x1.b19d9fe87c6b6p-3, 0x1.a1528ad9c9ebep-3, 0x1.90f8780a82a5p-3, 0x1.809f25e4a59b8p-3, 0x1.705525f14bb25p-3, 0x1.6027e8d8207f2p-3, 0x1.5023cb231e66fp-3, 0x1.4054220d1838bp-3, 0x1.30c347d8077e1p-3, 0x1.217aa759d312dp-3, 0x1.1282c69b91dc6p-3, 0x1.03e3508d525d3p-3, 0x1.eb463bd7d7b7fp-4, 0x1.cf907b0ceda1cp-4, 0x1.b4aff83025b3p-4, 0x1.9aadd7d3cdb69p-4, 0x1.8191d8d710f95p-4, 0x1.696263ccf7bb6p-4, 0x1.52249acc13662p-4, 0x1.3bdc69c308b8fp-4, 0x1.268c97584f551p-4, 0x1.1236d6498a751p-4, 0x1.fdb7ae6064a9p-5, 0x1.d8f6b50e29c01p-5, 0x1.b628858cc901cp-5, 0x1.95494cd55df8fp-5, 0x1.7653c37f5a044p-5, 0x1.59415091904a9p-5, 0x1.3e0a2b1c443fap-5, 0x1.24a57af43e165p-5, 0x1.0d0977a8d332p-5, 0x1.ee570c97cb8a1p-6, 0x1.c600aae326141p-6, 0x1.a0f7ef14e0f82p-6, 0x1.7f23f75876751p-6, 0x1.606b093cbb7a9p-6, 0x1.44b2bc948fe8p-6, 0x1.2be022dd044p-6, 0x1.15d7ebad522d2p-6, 0x1.027e85d22008bp-6, 0x1.e3707b0269696p-7, 0x1.c6d2af49ee3eap-7, 0x1.aeec55112ef98p-7, 0x1.9b866695fdf4dp-7, 0x1.8c6a55340453cp-7, 0x1.81622736f82cdp-7, 0x1.7a389c3436731p-7, 0x1.76b93ef60fbf9p-7, 0x1.76b0844fd025bp-7, 0x1.79ebd6924af6p-7, 0x1.8039ac402ce06p-7, 0x1.8969896a38b51p-7, 0x1.954c24eee8af2p-7, 0x1.a3b33c213010ap-7, 0x1.b471e66349d96p-7, 0x1.c75c4708b762p-7, 0x1.dc47c496faad8p-7, 0x1.f30b18a1abf24p-7, 0x1.05befb8096d04p-6, 0x1.12bccb2a1ad23p-6, 0x1.206c123709474p-6, 0x1.2eba97ff2426dp-6, 0x1.3d96ab2ba793dp-6, 0x1.4cef45e4f9a97p-6, 0x1.5cb3e84480235p-6, 0x1.6cd4aced06191p-6, 0x1.7d424fdc1b7bdp-6, 0x1.8dee07c9b22dap-6, 0x1.9ec9b1d0f811fp-6, 0x1.afc7b0fb8480bp-6, 0x1.c0daf5e7e4223p-6, 0x1.d1f70363031ddp-6, 0x1.e30fe5248bcc6p-6, 0x1.f41a35045ea53p-6, 0x1.02858c0f5abb2p-5, 0x1.0aec1f6607a06p-5, 0x1.133bf1e18149cp-5, 0x1.1b706554a7dbp-5, 0x1.23851f51ce6b6p-5, 0x1.2b7608359dce1p-5, 0x1.333f4a1c6ce86p-5, 0x1.3add4fbbd7e66p-5, 0x1.424cc324464c4p-5, 0x1.498a8c64e085cp-5, 0x1.5093d010bb1a5p-5, 0x1.5765ed9e4dc04p-5, 0x1.5dfe7d9f48ac5p-5, 0x1.645b4fd4245eep-5, 0x1.6a7a691d2146dp-5, 0x1.705a01522f6e2p-5, 0x1.75f8810d397d1p-5, 0x1.7b547f6e16396p-5, 0x1.806cbfe4b3dedp-5, 0x1.8540300ad7446p-5, 0x1.89cde590e9ab7p-5, 0x1.8e151c42ce8b7p-5, 0x1.921534287fc73p-5, 0x1.95cdafbdf10eap-5, 0x1.993e3241d6dc4p-5, 0x1.9c667e1abe553p-5, 0x1.9f46734d7393ap-5, 0x1.a1de0e02b39cep-5, 0x1.a42d6519d9812p-5, 0x1.a634a8cc29459p-5, 0x1.a7f421564df96p-5, 0x1.a96c2daffcf7ap-5, 0x1.aa9d42500a67p-5, 0x1.ab87e7f4e2375p-5, 0x1.ac2cba80b8ac6p-5, 0x1.ac8c67d4f25b3p-5, 0x1.aca7aebccfbb4p-5, 0x1.ac7f5de8d40fdp-5, 0x1.ac1452dd95c84p-5, 0x1.ab677902498ap-5, 0x1.aa79c8b2b89dep-5, 0x1.a94c464319edfp-5, 0x1.a7e001319b5aap-5, 0x1.a6361349f0cfep-5, 0x1.a44f9fc09528dp-5, 0x1.a22dd287522ap-5, 0x1.9fd1df84abbafp-5, 0x1.9d3d01c6b997ap-5, 0x1.9a707afb1f95ap-5, 0x1.976d92c1ceae9p-5, 0x1.943595f551922p-5, 0x1.90c9d643487b8p-5, 0x1.8d2ba9a2006b5p-5, 0x1.895c69aa2e822p-5, 0x1.855d7346de4abp-5, 0x1.813026529d58bp-5, 0x1.7cd5e4ff6cb3ep-5, 0x1.7850138edc9a9p-5, 0x1.73a018175b04bp-5, 0x1.6ec759fdfd0bfp-5, 0x1.69c741a51791bp-5, 0x1.64a1385243fdap-5, 0x1.5f56a7c7c4ffbp-5, 0x1.59e8f9deb3ddfp-5, 0x1.54599878dbfbfp-5, 0x1.4ea9ed4b9ee8ep-5, 0x1.48db616efbdfep-5, 0x1.42ef5d39b91adp-5, 0x1.3ce7483f4763ap-5, 0x1.36c488f93ab4p-5, 0x1.30888476f92a1p-5, 0x1.2a349e6714463p-5, 0x1.23ca390339c22p-5, 0x1.1d4ab4b152635p-5, 0x1.16b76fdb3f11dp-5, 0x1.1011c707ee581p-5, 0x1.095b14b5293e4p-5, 0x1.0294b1010dabep-5, 0x1.f77fe33690e03p-6, 0x1.e9bc53ba228fep-6, 0x1.dbe155332ee49p-6, 0x1.cdf183a4af44ep-6, 0x1.bfef7563e5a7bp-6, 0x1.b1ddbb39c1ad3p-6, 0x1.a3bedffca2438p-6, 0x1.95956806a75a7p-6, 0x1.8763d12ccc0dep-6, 0x1.792c92d4094c4p-6, 0x1.6af21d8688c4cp-6, 0x1.5cb6da680ef34p-6, 0x1.4e7d2b2832224p-6, 0x1.40476a1c2957p-6, 0x1.3217e9d716309p-6, 0x1.23f0f48597073p-6, 0x1.15d4cbc7f37a8p-6, 0x1.07c5a8e7bb46bp-6, 0x1.f38b7935298d2p-7, 0x1.d7ae5c7f65c3ap-7, 0x1.bbf836db22eedp-7, 0x1.a06d3059ec088p-7, 0x1.85115e47d22ccp-7, 0x1.69e8c202b45bp-7, 0x1.4ef747435f513p-7, 0x1.3440c3b911684p-7, 0x1.19c8f7eda9ecdp-7, 0x1.ff271f00e7bd8p-8, 0x1.cb483f5d11c3ep-8, 0x1.97fc4b149018bp-8, 0x1.654a0b8d0b9f2p-8, 0x1.33381bb9f84fcp-8, 0x1.01cce90ba3cadp-8, 0x1.a21d616f67112p-9, 0x1.4206f7aeb992ap-9, 0x1.c6c479bf4254ap-10, 0x1.0c74e78469dabp-10, 0x1.54d3f09d8e709p-12, -0x1.7b9932cb31f33p-12, -0x1.0fc8cf356c5bcp-10, -0x1.bd5f48f6c3d99p-10, -0x1.33cba95d61c26p-9, -0x1.872fa98b80c78p-9, -0x1.d8d33d4db6f82p-9, -0x1.145733cde5349p-8, -0x1.3b5ccede37613p-8, -0x1.6176e4695c69p-8, -0x1.86a21fec5d5c5p-8, -0x1.aadb60522cfd3p-8, -0x1.ce1fb7b75ba92p-8, -0x1.f06c6eabffd26p-8, -0x1.08df83c2a76bap-7, -0x1.190a9f18d8529p-7, -0x1.28b6824754771p-7, -0x1.37e23f6107f1ep-7, -0x1.468d017844b9cp-7, -0x1.54b60e1defae9p-7, -0x1.625cc6df534ap-7, -0x1.6f80a920df63fp-7, -0x1.7c214c49e6eabp-7, -0x1.883e5fcb7d5b2p-7, -0x1.93d7aa9766152p-7, -0x1.9eed0c2f84159p-7, -0x1.a97e7e0092486p-7, -0x1.b38c13851a6fbp-7, -0x1.bd15f8cf04d68p-7, -0x1.c61c708393e2ap-7, -0x1.ce9fd2bd031cp-7, -0x1.d6a08d5be2ea4p-7, -0x1.de1f250ddce0dp-7, -0x1.e51c35c87aa6p-7, -0x1.eb98720080fd7p-7, -0x1.f194a0f991f76p-7, -0x1.f7119d3f95c5cp-7, -0x1.fc10541aa83a4p-7, -0x1.0048e2f4b8159p-6, -0x1.024b834e38d75p-6, -0x1.04109ec6eb944p-6, -0x1.0598d24168a85p-6, -0x1.06e4c3246017bp-6, -0x1.07f51ecfb002dp-6, -0x1.08ca9a65e9903p-6, -0x1.0965f2cef8afdp-6, -0x1.09c7ecb34fb9dp-6, -0x1.09f154425dd9p-6, -0x1.09e2fcc49a22bp-6, -0x1.099dc01d8dd13p-6, -0x1.09227e6862f69p-6, -0x1.08721dbd78506p-6, -0x1.078d8a0a79258p-6, -0x1.0675b4dc26722p-6, -0x1.052b950e2b287p-6, -0x1.03b0266eaeb2fp-6, -0x1.0204696a6e4dbp-6, -0x1.002962cd4ebbcp-6, -0x1.fc403722c3f33p-7, -0x1.f7d3414ddeeafp-7, -0x1.f30e054514593p-7, -0x1.edf2aaaa5291p-7, -0x1.e8835ed096506p-7, -0x1.e2c2542eccd8p-7, -0x1.dcb1c21623778p-7, -0x1.d653e4886df27p-7, -0x1.cfaafbf497452p-7, -0x1.c8b94ca91fd0bp-7, -0x1.c1811df81fd75p-7, -0x1.ba04b94136cb4p-7, -0x1.b246692e4f33cp-7, -0x1.aa4879525ccf2p-7, -0x1.a20d361c98a5ap-7, -0x1.9996ece30c61fp-7, -0x1.90e7ebbcde8a5p-7, -0x1.880280fdf5232p-7, -0x1.7ee8fa58eb37dp-7, -0x1.759da3e26047p-7, -0x1.6c22c7478cdb8p-7, -0x1.627aab6e8685dp-7, -0x1.58a7947a60cc4p-7, -0x1.4eabc3f8e2156p-7, -0x1.448978efa91c2p-7, -0x1.3a42ef92e8febp-7, -0x1.2fda609bc40bcp-7, -0x1.25520064ed44dp-7, -0x1.1aabfe14e10bfp-7, -0x1.0fea83178f5f6p-7, -0x1.050fb3007e25p-7, -0x1.f43b5770b1d97p-8, -0x1.de2d0b6e99034p-8, -0x1.c7f8a81c65f48p-8, -0x1.b1a24839b82e9p-8, -0x1.9b2df9f6537f4p-8, -0x1.849fbd7af1246p-8, -0x1.6dfb839de005fp-8, -0x1.57452d252cadbp-8, -0x1.40808ab51b214p-8, -0x1.29b15d36fe5d3p-8, -0x1.12db56521e31ap-8, -0x1.f804312580ee6p-9, -0x1.ca526e1acbb7fp-9, -0x1.9ca86914d05d2p-9, -0x1.6f0d04f467571p-9, -0x1.4187000e7750fp-9, -0x1.141cf32069d95p-9, -0x1.cdaaa29ca6232p-10, -0x1.736cd1d761a2ep-10, -0x1.198cc8e7770bfp-10, -0x1.802d2c0d24a2bp-11, -0x1.9c57ff64a32eap-12, -0x1.d2d05ccc4cdf3p-15, 0x1.2572c6d94e64ep-12, 0x1.41717e2defcb4p-11, 0x1.eee62f5dcda56p-11, 0x1.4d817e411c7d9p-10, 0x1.a2da02fd64e9fp-10, 0x1.f772fff4b6307p-10, 0x1.25a18b4153e3fp-9, 0x1.4f209791bda5dp-9, 0x1.78323e1f50379p-9, 0x1.a0d23f9b5ae63p-9, 0x1.c8fc86fd9fee9p-9, 0x1.f0ad2b6e1c14bp-9, 0x1.0bf03830b331p-8, 0x1.1f4961bf24ddbp-8, 0x1.32605c50e796dp-8, 0x1.45338288a8528p-8, 0x1.57c13db28f237p-8, 0x1.6a0804dd04c14p-8, 0x1.7c065d96582e6p-8, 0x1.8dbade4df53f6p-8, 0x1.9f2431c3fe9dep-8, 0x1.b0411a7a4d8cbp-8, 0x1.c11074f00b74ep-8, 0x1.d19137a7100f1p-8, 0x1.e1c270817914ep-8, 0x1.f1a33fcc710d6p-8, 0x1.0099690c27a4fp-7, 0x1.08382d4672464p-7, 0x1.0fad87c4347efp-7, 0x1.16f915748885cp-7, 0x1.1e1a773a55714p-7, 0x1.251155cecb6bfp-7, 0x1.2bdd665fe957p-7, 0x1.327e6e9c1f9dep-7, 0x1.38f446d69982fp-7, 0x1.3f3ed94da0c48p-7, 0x1.455e1e4e600b4p-7, 0x1.4b5215cefaeedp-7, 0x1.511abfe8b0a99p-7, 0x1.56b81621e5139p-7, 0x1.5c2a0782a7a6bp-7, 0x1.617078ec653cdp-7, 0x1.668b4a2ef5664p-7, 0x1.6b7a5f163571bp-7, 0x1.703daa792a57p-7, 0x1.74d538861c024p-7, 0x1.7941356019c0ep-7, 0x1.7d81edbf7a90dp-7, 0x1.8197c8939f961p-7, 0x1.85833a5d9e127p-7, 0x1.8944b4b882daep-7, 0x1.8cdc95cf74477p-7, 0x1.904b1bf9e84c2p-7, 0x1.93906123a7812p-7, 0x1.96ac6014d948bp-7, 0x1.999f036a5fa85p-7, 0x1.9c683b9ae214ap-7, 0x1.9f08175764e55p-7, 0x1.a17ed87ee5869p-7, 0x1.a3cd00140978dp-7, 0x1.a5f34d40f6402p-7, 0x1.a7f2ae332a66p-7, 0x1.a9cc24e78bdb7p-7, 0x1.ab80a51c9ece9p-7, 0x1.ad10f2c510da5p-7, 0x1.ae7d88e648456p-7, 0x1.afc68f8a420d2p-7, 0x1.b0ebe47d97c4fp-7, 0x1.b1ed368c46da2p-7, 0x1.b2ca2eacb4e59p-7, 0x1.b3829efc4ca7fp-7, 0x1.b416ad72f2678p-7, 0x1.b486f053092a4p-7, 0x1.b4d474bc11b8p-7, 0x1.b500ac0e7cefep-7, 0x1.b50d422e454b5p-7, 0x1.b4fbe4041592ep-7, 0x1.b4ce01a26fe1cp-7, 0x1.b484992a8c00ep-7, 0x1.b420166a45689p-7, 0x1.b3a04f5a2b159p-7, 0x1.b3049fe5a7f9ep-7, 0x1.b24c20f62096ap-7, 0x1.b175f0ea07c0ap-7, 0x1.b0817f99f0883p-7, 0x1.af6ecea2bfd14p-7, 0x1.ae3e9836c05a7p-7, 0x1.acf2531883bf4p-7, 0x1.ab8c10f482064p-7, 0x1.aa0e3be9e3679p-7, 0x1.a87b3f2c9c064p-7, 0x1.a6d52b9c90adp-7, 0x1.a51d6aa697e7p-7, 0x1.a3548f40c850cp-7, 0x1.a17a4eddba28ap-7, 0x1.9f8da43bb24afp-7, 0x1.9d8d15db54cffp-7, 0x1.9b771355c0cbdp-7, 0x1.994a58c6146a4p-7, 0x1.9706466b2b06ap-7, 0x1.94ab1c7e883fcp-7, 0x1.923a0fb7003cbp-7, 0x1.8fb5318f5c91dp-7, 0x1.8d1f2f6306d26p-7, 0x1.8a7af37c3abafp-7, 0x1.87cb39948d12bp-7, 0x1.85122b4dfe1bbp-7, 0x1.825117b2a160fp-7, 0x1.7f8852f7f217p-7, 0x1.7cb7432f0d271p-7, 0x1.79dc95a10a844p-7, 0x1.76f6918d67a18p-7, 0x1.740378f6b219ap-7, 0x1.7101e716be0a3p-7, 0x1.6df11d636bcd5p-7, 0x1.6ad13340ea08cp-7, 0x1.67a32146a15a7p-7, 0x1.6468a6f0e35fp-7, 0x1.61240ff0a819p-7, 0x1.5dd7e3ea391ep-7, 0x1.5a868f2fcb2b8p-7, 0x1.573213ee186bep-7, 0x1.53dbd100a3dd7p-7, 0x1.508466c8530dp-7, 0x1.4d2bbc51b4bacp-7, 0x1.49d12173cdd89p-7, 0x1.4673864d6f76p-7, 0x1.4311bdc8c007bp-7, 0x1.3faabf6fb8e1ep-7, 0x1.3c3ddd2c6eac2p-7, 0x1.38cae41abf0d8p-7, 0x1.3552244a9e165p-7, 0x1.31d461060b51cp-7, 0x1.2e52b0045c3a2p-7, 0x1.2ace508ee3b8cp-7, 0x1.2748839ed4b54p-7, 0x1.23c26bd3b3f3fp-7, 0x1.203cf8ab69a01p-7, 0x1.1cb8dcfd33633p-7, 0x1.19368eda23db1p-7, 0x1.15b64f003949ep-7, 0x1.12383694d99c1p-7, 0x1.0ebc48fcf55dfp-7, 0x1.0b42856fc1099p-7, 0x1.07caf2be4372p-7, 0x1.0455a21b71b4ap-7, 0x1.00e2aaef957e4p-7, 0x1.fae44c995965cp-8, 0x1.f40860c35f926p-8, 0x1.ed31e0d1603fp-8, 0x1.e6613fcd4771ep-8, 0x1.df970e1e9e10fp-8, 0x1.d8d3d314d815cp-8, 0x1.d217d4f0cfb94p-8, 0x1.cb62f2912a81dp-8, 0x1.c4b4b5a6ad9dbp-8, 0x1.be0cadc9f5fbbp-8, 0x1.b76af9a4b77eep-8, 0x1.b0d0ba69a1951p-8, 0x1.aa40254296905p-8, 0x1.a3bc0d1c8e91bp-8, 0x1.9d4704a5872d7p-8, 0x1.96e275707b94bp-8, 0x1.908e1b474d841p-8, 0x1.8a482ea3fefefp-8, 0x1.840e3dce9213fp-8, 0x1.7dde60b03b408p-8, 0x1.77b83c3fc0d28p-8, 0x1.719d4d823acc3p-8, 0x1.6b903dc872759p-8, 0x1.65937e1943d97p-8, 0x1.5fa7db57e48f8p-8, 0x1.59cbdb845a4e9p-8, 0x1.53fc57317af75p-8, 0x1.4e3613bdb2916p-8, 0x1.48778e8967bd4p-8, 0x1.42c20b1bb42ecp-8, 0x1.3d195608a76c2p-8, 0x1.37824d079e18fp-8, 0x1.3200cc443c885p-8, 0x1.2c95e7ad75265p-8, 0x1.273f3c78641c8p-8, 0x1.21f7bbca17462p-8, 0x1.1cb9baacb021ap-8, 0x1.17817da150532p-8, 0x1.124f1531ea2fp-8, 0x1.0d2680e5c95b3p-8, 0x1.080ddd1425a7cp-8, 0x1.030a8e817e401p-8, 0x1.fc3e220571e03p-9, 0x1.f295275222488p-9, 0x1.e9147d031fd23p-9, 0x1.dfb605f3f8872p-9, 0x1.d675c6340b926p-9, 0x1.cd5298e03275cp-9, 0x1.c44d87806c1bep-9, 0x1.bb68b8dc8f27fp-9, 0x1.b2a688021a641p-9, 0x1.aa0876286480bp-9, 0x1.a18d888c5a758p-9, 0x1.9930cf9dc8842p-9, 0x1.90e9e032a08f2p-9, 0x1.88b0212a1300dp-9, 0x1.807f5e87cb92cp-9, 0x1.785a7c61dda34p-9, 0x1.704a2b58b90b6p-9, 0x1.68587a58a95d8p-9, 0x1.608c6eddbd3d6p-9, 0x1.58e853d1e6544p-9, 0x1.516b0bb5ad151p-9, 0x1.4a12f118cfbe1p-9, 0x1.42e05c24dde21p-9, 0x1.3bd5fe80e785bp-9, 0x1.34f698726ceffp-9, 0x1.2e42015a9d3f8p-9, 0x1.27b4335b790efp-9, 0x1.2146dba78f2bep-9, 0x1.1af3b18847518p-9, 0x1.14b5ce847e089p-9, 0x1.0e89c0413f0f6p-9, 0x1.086d3000a90cep-9, 0x1.025edaaa42e7ep-9, 0x1.f8bdcfd206d9p-10, 0x1.ecde74413fa03p-10, 0x1.e12608caa9277p-10, 0x1.d59b0d560d9fcp-10, 0x1.ca4216723ff86p-10, 0x1.bf1dc89da5ae3p-10, 0x1.b4301d102bf76p-10, 0x1.a97c723f6a58p-10, 0x1.9f0887fa1ca25p-10, 0x1.94d9530b170bcp-10, 0x1.8aee33c7d9e9fp-10, 0x1.8140b3b1a077fp-10, 0x1.77c917e9fa64cp-10, 0x1.6e831486346d8p-10, 0x1.656f78396aad8p-10, 0x1.5c92590ee158p-10, 0x1.53eec74617fe4p-10, 0x1.4b82956065fabp-10, 0x1.4344ca697c13dp-10, 0x1.3b272676edf76p-10, 0x1.331b03aafca22p-10, 0x1.2b19e1f5e9164p-10, 0x1.232b5bf34b424p-10, 0x1.1b5fe4a25a9e7p-10, 0x1.13c3172db59dfp-10, 0x1.0c5356866ee69p-10, 0x1.0508cf3da42ep-10, 0x1.fbc63e8dec4d5p-11, 0x1.edd5ee7975a06p-11, 0x1.e04f5f0de7882p-11, 0x1.d3306ddc8e0eap-11, 0x1.c669af07340a2p-11, 0x1.b9e8cdfd31f64p-11, 0x1.ada080d26a0cap-11, 0x1.a18c8b81483e6p-11, 0x1.95b29d67a4106p-11, 0x1.8a1f5865caee6p-11, 0x1.7edfb7bf06a56p-11, 0x1.73fa77d1dff5bp-11, 0x1.696b1dadfb8cbp-11, 0x1.5f1e308aeccc3p-11, 0x1.54fb36e699cfp-11, 0x1.4b0036fc8db76p-11, 0x1.414607f9413a6p-11, 0x1.37da033e4ac7p-11, 0x1.2ea4f2793254dp-11, 0x1.258b64684de2dp-11, 0x1.1c95338f51261p-11, 0x1.13de0731d4117p-11, 0x1.0b7112f7899d4p-11, 0x1.0342ac0d1e9ecp-11, 0x1.f681d85949711p-12, 0x1.e6cb1583236e2p-12, 0x1.d77103e132f57p-12, 0x1.c8847b959a856p-12, 0x1.ba032be4d4108p-12, 0x1.abe2277c7673p-12, 0x1.9e1fed118644p-12, 0x1.90c5a25b254fdp-12, 0x1.83dc2175a6ccep-12, 0x1.7763cd59c4e88p-12, 0x1.6b477192f1c16p-12, 0x1.5f556ce5efd06p-12, 0x1.5377ca1143c78p-12, 0x1.47dfa9c3ae8e1p-12, 0x1.3cb37d890685ep-12, 0x1.31d60f0d79483p-12, 0x1.27373903e15f3p-12, 0x1.1cfd777d27f7cp-12, 0x1.133fe32518d62p-12, 0x1.09ebc4d5efeabp-12, 0x1.00e0a69790632p-12, 0x1.effe204c7db1dp-13, 0x1.de6ac59cad66p-13, 0x1.cd1fa17bcc58dp-13, 0x1.bc54f17ad3292p-13, 0x1.ac18c08eef048p-13, 0x1.9c445cb1a8a16p-13, 0x1.8cc7a5f5fc90cp-13, 0x1.7dcd18bc58bf4p-13, 0x1.6f7dc16089c55p-13, 0x1.61d3356d0e509p-13, 0x1.54b43692549fdp-13, 0x1.4810cc1f69088p-13, 0x1.3bba36310b902p-13, 0x1.2f80d8240ea3dp-13, 0x1.239b0972c4f49p-13, 0x1.1828eba86a02p-13, 0x1.0cef3d9136596p-13, 0x1.0200228fea761p-13, 0x1.ef293ea669eap-14, 0x1.db361bb4dad1ep-14, 0x1.c7dcf88e49a53p-14, 0x1.b503fa17ca843p-14, 0x1.a2ae4b4f02fc5p-14, 0x1.90e65947c9ec1p-14, 0x1.7fb84c72a99d8p-14, 0x1.6f30c9eeedfebp-14, 0x1.5f5b48c875c05p-14, 0x1.503c7dae676p-14, 0x1.41be6b3792acfp-14, 0x1.33a6e0631b52bp-14, 0x1.25d750a23cd4ep-14, 0x1.187f7cd75875ap-14, 0x1.0bb9515e36dbap-14, 0x1.fea918746549ap-15, 0x1.e6d17bdd0b6bp-15, 0x1.d077ca7747113p-15, 0x1.bb17691c4ad04p-15, 0x1.a673fb641c59dp-15, 0x1.925d7549bdde5p-15, 0x1.7e8001ea2f71p-15, 0x1.6b9c2f5c8b416p-15, 0x1.59d055dcdd796p-15, 0x1.48b1ab48ebaecp-15, 0x1.381d7585d27d7p-15, 0x1.281c968e219cap-15, 0x1.18b7c07bd890ap-15, 0x1.09efe53215ad2p-15, 0x1.f78387604edffp-16, 0x1.dc52d8c5f7771p-16, 0x1.c247511f2069dp-16, 0x1.a95a74d07631fp-16, 0x1.9181f4942c8afp-16, 0x1.7aada5ecb8091p-16, 0x1.64cafa06e81b6p-16, 0x1.4fce7045f58b2p-16, 0x1.3bb86a9b2078bp-16, 0x1.288288d0986fdp-16, 0x1.1621042c8e247p-16, 0x1.04fb773bcc0bap-16, 0x1.eb76ef8e05424p-17, 0x1.ceba9c6312933p-17, 0x1.b1fc13412a77dp-17, 0x1.955feda9a638p-17, 0x1.797dbf20eb596p-17, 0x1.5ff46cf54ca5ep-17, 0x1.48a3d0a4f789cp-17, 0x1.32bccaab27533p-17, 0x1.1dbc5bbba0121p-17, 0x1.0994d132ffafap-17, 0x1.ecbd710a89d4dp-18, 0x1.c8542dad0e8c7p-18, 0x1.a5f274bef2a3dp-18, 0x1.858e06cc2253fp-18, 0x1.6718d006e4567p-18, 0x1.4a86001b28a7cp-18, 0x1.2fc8f33417f07p-18, 0x1.16cfb05dc7af1p-18, 0x1.fefbc970bf4a1p-19, 0x1.d35d2c3fecb44p-19, 0x1.aa812aeaf2f63p-19, 0x1.844d1eb1e3f84p-19, 0x1.60b3d7a7347c7p-19, 0x1.3f597111f41d3p-19, 0x1.202ab63751807p-19, 0x1.05377fc636983p-19, 0x1.dcd78d1ec82f4p-20, 0x1.aed4523640cdap-20, 0x1.8018cea0c4d44p-20, 0x1.57ffad72d3e2ep-20, 0x1.35eab02671775p-20, 0x1.160c60fa889adp-20, 0x1.f364827aae0fdp-21, 0x1.c5b2aa11e170fp-21, 0x1.9ef0b50c2e21p-21, 0x1.797046cfa579fp-21, 0x1.54812770abbcdp-21, 0x1.34a8bed926a01p-21, 0x1.1e0ff6d546ef7p-21, 0x1.0cf6fb252d03ep-21, 0x1.fd5bdb9ab5212p-22, 0x1.e6765433a9994p-22, 0x1.d618b86cda0dep-22, 0x1.cc7b6f780c6efp-22, 0x1.c94595fca2ac9p-22, 0x1.cbce682aca575p-22, 0x1.d35ee7676ec27p-22, 0x1.df7e6cd701511p-22, 0x1.f01c510c6543dp-22, 0x1.027f605f006edp-21, 0x1.0e75ec92b6dabp-21, 0x1.1c0f88094a81cp-21, 0x1.2e2f63a70a34dp-21, 0x1.40d6db0d36a7fp-21, 0x1.5148f0fc1e59fp-21, 0x1.65495f306007cp-21, 0x1.7af0d90af0c98p-21, 0x1.908d704e2bdc5p-21, 0x1.a684d5c9b0cb7p-21, 0x1.bd05b85fbb009p-21, 0x1.d401abba86492p-21, 0x1.eb57f406b2155p-21, 0x1.0172af4e30f84p-20, 0x1.0d452a3f221c2p-20, 0x1.1915a10564032p-20, 0x1.24d47c3655bb3p-20, 0x1.307097bcf3b0ap-20, 0x1.3bf90e3ea97cp-20, 0x1.47bc28590057ap-20, 0x1.5387525aa2d0fp-20, 0x1.5ea2ab5decfefp-20, 0x1.694eeae392c3ap-20, 0x1.740b748d550fap-20, 0x1.7e89a2342be98p-20, 0x1.889786eda6e1fp-20, 0x1.923d4d5ed9d3cp-20, 0x1.9b84a8f32134ap-20, 0x1.a46d3c60325f2p-20, 0x1.ace82c408a642p-20, 0x1.b4f182b019abfp-20, 0x1.bcafb22987899p-20, 0x1.c3d60cf870a94p-20, 0x1.ca9566572a711p-20, 0x1.d0e7f71f038c6p-20, 0x1.d6b1538c44904p-20, 0x1.dbf8da634a0cep-20, 0x1.e0c0a1e14e5aep-20, 0x1.e50774e644a1p-20, 0x1.e8cbca2d68777p-20, 0x1.ec0c7093c6e97p-20, 0x1.eec89e8e35c1fp-20, 0x1.f0ffe38a3ebep-20, 0x1.f2b216483cfabp-20, 0x1.f3df42601c6c1p-20, 0x1.f487920d6f3bdp-20, 0x1.f4ab31b4d81a4p-20, 0x1.f44a3c5011ce3p-20, 0x1.f364d52f8625cp-20, 0x1.f1fb8a0e21114p-20, 0x1.f00fc1181c4f3p-20, 0x1.eda3ad534d1dbp-20, 0x1.eab9a5c535a0dp-20, 0x1.e7538ba576303p-20, 0x1.e37369481542fp-20, 0x1.df1cb57722d97p-20, 0x1.da4d0b33e3cd2p-20, 0x1.d4f22bf3031fbp-20, 0x1.cf2b4d9ca0601p-20, 0x1.c90b42e84c8dep-20, 0x1.c255224f4e5bp-20, 0x1.bb38c6b0dd20fp-20, 0x1.b3a94354c4c2dp-20, 0x1.abbf13af9d3c6p-20, 0x1.a37567cf7979cp-20, 0x1.9ac725e77e17fp-20, 0x1.91b61787e04e4p-20, 0x1.88454cbceb246p-20, 0x1.7e77dc5846ac2p-20, 0x1.7450cb701cad9p-20, 0x1.69d3170174e3ap-20, 0x1.5f01b855237c1p-20, 0x1.53dfa60f547ep-20, 0x1.486fd56d6ec12p-20, 0x1.3cb53bfd4e0e6p-20, 0x1.30b2cd4b3f15ap-20, 0x1.246b708629454p-20, 0x1.17e1ef1570a3ap-20, 0x1.0b18f27c36defp-20, 0x1.fc26592ae46ap-21, 0x1.e1a721094279bp-21, 0x1.c6baae0ec794ap-21, 0x1.ab67aa7b7efep-21, 0x1.8fb4e40109bcap-21, 0x1.73a94c8d15ce3p-21, 0x1.574a658fa1d92p-21, 0x1.3a98e78f8db53p-21, 0x1.1d940ef89b37dp-21, 0x1.0045081dfe0b5p-21, 0x1.c58faa151a76bp-22, 0x1.8a6c112ff3df3p-22, 0x1.4e92e6f819922p-22, 0x1.12055fc0048a4p-22, 0x1.aabf495b293dap-23, 0x1.311a44e141531p-23, 0x1.6e14c0cc5c4bp-24, 0x1.e715049e7ef86p-26, -0x1.ed02f1a5d5605p-26, -0x1.71a74f9de43c8p-24, -0x1.34b022591297dp-23, -0x1.b07d0b87fbe36p-23, -0x1.15f67f551cebcp-22, -0x1.539b458c351cfp-22, -0x1.9131ca5804348p-22, -0x1.ceb2869f6737bp-22, -0x1.0609da1fc2e08p-21, -0x1.24a5df1bfe239p-21, -0x1.4328c918230e2p-21, -0x1.618e53fcf53dp-21, -0x1.7fd285eb331eap-21, -0x1.9df19d31a89c5p-21, -0x1.bbe7d91c03c76p-21, -0x1.d9b154c263ad5p-21, -0x1.f74a21aeeedb2p-21, -0x1.0a5734f50e3e4p-20, -0x1.18ed2bdb73047p-20, -0x1.2764fbdc43f77p-20, -0x1.35bcfe5d6539p-20, -0x1.43f4c80cb4bf3p-20, -0x1.520c488afb20ep-20, -0x1.60016f2d50551p-20, -0x1.6dcf318b8bf88p-20, -0x1.7b683f456ae5ap-20, -0x1.88e11e2b196ffp-20, -0x1.96457eb67fc1ap-20, -0x1.a3711f171b41ep-20, -0x1.b06d23dc19773p-20, -0x1.bd3cb95abb0d9p-20, -0x1.c9deb103cad71p-20, -0x1.d651b8969202p-20, }}, 
      {{0x1.36fca84c95884p-2, 0x1.360a795b9fd5ap-2, 0x1.3479607135bd7p-2, 0x1.324d19b32210fp-2, 0x1.2f8aa5ca4f296p-2, 0x1.2c3810399ecf6p-2, 0x1.285c367c24faap-2, 0x1.23fe95428940dp-2, 0x1.1f271cca5af34p-2, 0x1.19de0b99c092ap-2, 0x1.142bcea17b50ep-2, 0x1.0e18e5f737f0cp-2, 0x1.07adcd974772ap-2, 0x1.00f2e9c5f6f4dp-2, 0x1.f3e0ed7a8042p-3, 0x1.e55cf6d02f206p-3, 0x1.d6697dd38492cp-3, 0x1.c7158168f2e8cp-3, 0x1.b76f65c3e9b7ap-3, 0x1.a784ecf0826efp-3, 0x1.9763328d2e752p-3, 0x1.8716aa1afa7cap-3, 0x1.76ab1f5cb2044p-3, 0x1.662bb849f9a13p-3, 0x1.55a2f82a4db7bp-3, 0x1.451ac37affa47p-3, 0x1.349c64527973ap-3, 0x1.24308f04bb38p-3, 0x1.13df66dc7df4p-3, 0x1.03b082cbb4ef2p-3, 0x1.e755e4032b4e6p-4, 0x1.c7aa80bd30374p-4, 0x1.a86af58b61231p-4, 0x1.89a2669e6c875p-4, 0x1.6b5b0ac95710bp-4, 0x1.4d9e339b02634p-4, 0x1.30745569f7b48p-4, 0x1.13e50f6020738p-4, 0x1.efee6722457acp-5, 0x1.b9619e4400e69p-5, 0x1.842e65097d385p-5, 0x1.505df38e28751p-5, 0x1.1df829e06dc68p-5, 0x1.da07419e55babp-6, 0x1.7b0b757434feep-6, 0x1.1f0568a4e1c1fp-6, 0x1.8bf6d4ed8fd96p-7, 0x1.bfc703d2c9ecap-8, 0x1.ceac947a2a39fp-10, -0x1.98c74467c6b6dp-9, -0x1.0034d55f4ff67p-7, -0x1.9438be8bd8e1dp-7, -0x1.1122d743e42a5p-6, -0x1.55333619327a2p-6, -0x1.965416a0be26dp-6, -0x1.d48d30d5e9e0ep-6, -0x1.07f3a07e071c6p-5, -0x1.2435f7d189dc5p-5, -0x1.3f12dd8ac1978p-5, -0x1.588ff0fcd1573p-5, -0x1.70b3277cbae6fp-5, -0x1.8782c2c922bb9p-5, -0x1.9d0547f0721f6p-5, -0x1.b14176e81afcbp-5, -0x1.c43e42bfddca4p-5, -0x1.d602ca83dc021p-5, -0x1.e6965270f6a4dp-5, -0x1.f6003d864eba5p-5, -0x1.022403b273029p-4, -0x1.08ba9f6ea2bbbp-4, -0x1.0ec7c09b56923p-4, -0x1.144f3b2561075p-4, -0x1.1954e6180b901p-4, -0x1.1ddc99e21444bp-4, -0x1.21ea2e066270ep-4, -0x1.2581778ecba63p-4, -0x1.28a64783ff2a6p-4, -0x1.2b5c69d823a28p-4, -0x1.2da7a482cbc1cp-4, -0x1.2f8bb6766c5aap-4, -0x1.310c567a6944ap-4, -0x1.322d31cb8bd4p-4, -0x1.32f1eb13e12c2p-4, -0x1.335e194979ec6p-4, -0x1.3375471ad264cp-4, -0x1.333af27fd518p-4, -0x1.32b28c3e0db5p-4, -0x1.31df778ac3a73p-4, -0x1.30c5096df44b5p-4, -0x1.2f668819c7fd5p-4, -0x1.2dc72a3ffb9a5p-4, -0x1.2bea167809c17p-4, -0x1.29d262cd96fd9p-4, -0x1.27831476ba1acp-4, -0x1.24ff1fadd119p-4, -0x1.224967a06b674p-4, -0x1.1f64be6516db3p-4, -0x1.1c53e4ecd90e8p-4, -0x1.19198aeb43e18p-4, -0x1.15b84eb60d5cp-4, -0x1.1232bd2151ce1p-4, -0x1.0e8b515fb704dp-4, -0x1.0ac474ecd9396p-4, -0x1.06e07f86990f6p-4, -0x1.02e1b736e31ffp-4, -0x1.fd94a0da5fd15p-5, -0x1.f538dc49f772ap-5, -0x1.ecb4442b5781fp-5, -0x1.e40ad9d068e61p-5, -0x1.db407cdf18348p-5, -0x1.d258ebc3fb705p-5, -0x1.c957c424c8a48p-5, -0x1.c0408352f3312p-5, -0x1.b71686bfdf205p-5, -0x1.addd0c74a7fa8p-5, -0x1.a497338f6b32fp-5, -0x1.9b47fcc7a5dfap-5, -0x1.91f24af9d1b62p-5, -0x1.8898e3ba1a9aap-5, -0x1.7f3e6feccfb92p-5, -0x1.75e57c633becep-5, -0x1.6c907a7aa254ap-5, -0x1.6341c0bc529dfp-5, -0x1.59fb8b7d3d97cp-5, -0x1.50bffd7bedc3ap-5, -0x1.4791207d563d4p-5, -0x1.3e70e5e722afep-5, -0x1.356127590f987p-5, -0x1.2c63a7452d475p-5, -0x1.237a11864d2c1p-5, -0x1.1aa5fbf7baeabp-5, -0x1.11e8e70b90ac7p-5, -0x1.09443e6074d8fp-5, -0x1.00b9595921ea2p-5, -0x1.f092f761fb4ecp-6, -0x1.dfebac202a6e4p-6, -0x1.cf7f0d3fc37b6p-6, -0x1.bf4f3334a4ffbp-6, -0x1.af5e13af23d5cp-6, -0x1.9fad82b715274p-6, -0x1.903f33b659971p-6, -0x1.8114ba7f88ec1p-6, -0x1.722f8c5588c47p-6, -0x1.639100e02419cp-6, -0x1.553a531b47fc8p-6, -0x1.472ca24c8bc19p-6, -0x1.3968f2e673122p-6, -0x1.2bf02f6273983p-6, -0x1.1ec329276e5efp-6, -0x1.11e299638f7f8p-6, -0x1.054f21d4c06c8p-6, -0x1.f2129b3e2d34dp-7, -0x1.da232444d43f1p-7, -0x1.c2d09f6d44ceep-7, -0x1.ac1ba4d8bde5ap-7, -0x1.9604a5b6b3343p-7, -0x1.808bedb3b1152p-7, -0x1.6bb1a449ddf77p-7, -0x1.5775ce36177edp-7, -0x1.43d84ee4cfbbep-7, -0x1.30d8e9a3128d3p-7, -0x1.1e7742d3c8ef7p-7, -0x1.0cb2e1465f019p-7, -0x1.f7165ecdd6599p-8, -0x1.d5fef87d70e56p-8, -0x1.b61df91edfe2dp-8, -0x1.97719802be4bp-8, -0x1.79f7dc3e16ff5p-8, -0x1.5dae9e65b38fp-8, -0x1.42938a9019521p-8, -0x1.28a4226872b3bp-8, -0x1.0fddbedbe58b5p-8, -0x1.f07b234289c48p-9, -0x1.c3814e1402ebap-9, -0x1.98c7cfbbfd987p-9, -0x1.704835b4cdc2fp-9, -0x1.49fbcc1de64f5p-9, -0x1.25dba0feb3e07p-9, -0x1.03e087b11385bp-9, -0x1.c806375205749p-10, -0x1.8c7785c675b47p-10, -0x1.55056185fc4ffp-10, -0x1.219fd27ac1d98p-10, -0x1.e46d0e290192bp-11, -0x1.8d71b15c6029ep-11, -0x1.3e2ba0d09dp-11, -0x1.ecf0b399697f6p-12, -0x1.6c699eb5a5612p-12, -0x1.f4f5caf856f46p-13, -0x1.2db8ede9aea1cp-13, -0x1.051588253d5adp-14, 0x1.a5056376aad1ap-18, 0x1.03e995fc1f90ep-14, 0x1.b8e2b9c27ba7ep-14, 0x1.1d3559bf5fb5dp-13, 0x1.44d94deedf63cp-13, 0x1.53f6b3f8d4dddp-13, 0x1.4b27d57fcf50ep-13, 0x1.2b07b15ed636fp-13, 0x1.e863c0896adeep-14, 0x1.4e84e8828c3bcp-14, 0x1.13575c68c6831p-15, -0x1.93ba95bd06cf6p-16, -0x1.7c1083881ed93p-14, -0x1.5d40231731063p-13, -0x1.07c119f7a8334p-12, -0x1.6a18f04605c41p-12, -0x1.d5597052a41c2p-12, -0x1.249a53802809dp-11, -0x1.62ae6df718ddp-11, -0x1.a4c24e36dd16p-11, -0x1.eaaf647bda65p-11, -0x1.1a27a8cda1a05p-10, -0x1.40bdf6665ad19p-10, -0x1.6907a3f29c579p-10, -0x1.92f1d9a1fa75ap-10, -0x1.be69e17a9e4ddp-10, -0x1.eb5d2a8ba835p-10, -0x1.0cdca5fe487efp-9, -0x1.24b603a1160a3p-9, -0x1.3d31a4cb52567p-9, -0x1.564696c55d5edp-9, -0x1.6febfeaed6af9p-9, -0x1.8a191aef40a3cp-9, -0x1.a4c5447cbdc0bp-9, -0x1.bfe7efa9a5c62p-9, -0x1.db78ac9d5f29p-9, -0x1.f76f27e8227f4p-9, -0x1.09e195bdefb6bp-8, -0x1.18364ff163607p-8, -0x1.26b1c6a65a204p-8, -0x1.35500e11fd0f3p-8, -0x1.440d4aaa33483p-8, -0x1.52e5b14fcfd95p-8, -0x1.61d587a5d30e7p-8, -0x1.70d92489661e2p-8, -0x1.7fecf07e309c4p-8, -0x1.8f0d65ea9e5f4p-8, -0x1.9e371128b061p-8, -0x1.ad669091aecb3p-8, -0x1.bc9894a8ac32bp-8, -0x1.cbc9e067911abp-8, -0x1.daf749906d90cp-8, -0x1.ea1db8e0aaee5p-8, -0x1.f93a2a1a8a61dp-8, -0x1.0424d5fd498ebp-7, -0x1.0ba4b01c0c711p-7, -0x1.131b3dd0f95c1p-7, -0x1.1a872326868b4p-7, -0x1.21e70ddd0c4c1p-7, -0x1.2939b56f27602p-7, -0x1.307ddb080bb9dp-7, -0x1.37b24975cb65dp-7, -0x1.3ed5d52203eb5p-7, -0x1.45e75c1416505p-7, -0x1.4ce5c5f786f3ap-7, -0x1.53d0041d38a91p-7, -0x1.5aa511719e881p-7, -0x1.6163f269ce0c3p-7, -0x1.680bb4ee4f573p-7, -0x1.6e9b704ab2c5p-7, -0x1.7512452354641p-7, -0x1.7b6f5d6d6a4c8p-7, -0x1.81b1ec6324b2cp-7, -0x1.87d92e6fc1937p-7, -0x1.8de469162daaep-7, -0x1.93d2ead369bdfp-7, -0x1.99a40b070b7b7p-7, -0x1.9f5729ddc176cp-7, -0x1.a4ebb03f11439p-7, -0x1.aa610fb8341a6p-7, -0x1.afb6c26176ee1p-7, -0x1.b4ec4abe2d6cfp-7, -0x1.ba01339a5fc3p-7, -0x1.bef50fea27043p-7, -0x1.c3c77aacef6afp-7, -0x1.c87816d3706c9p-7, -0x1.cd068f2509fe2p-7, -0x1.d172962159931p-7, -0x1.d5bbe5dcd406ep-7, -0x1.d9e23fd9fc95bp-7, -0x1.dde56ce2746c5p-7, -0x1.e1c53ce2ccb96p-7, -0x1.e58186ca2adep-7, -0x1.e91a286be8af3p-7, -0x1.ec8f0660440d1p-7, -0x1.efe00be15447dp-7, -0x1.f30d2aa3cc47dp-7, -0x1.f6165aacfe6e9p-7, -0x1.f8fb9a29023e6p-7, -0x1.fbbced4388ce9p-7, -0x1.fe5a5e047f26cp-7, -0x1.0069fe1794f63p-6, -0x1.0194ee90b002cp-6, -0x1.02ae0dd7fbbdp-6, -0x1.03b56bffd6198p-6, -0x1.04ab1bad7c1d8p-6, -0x1.058f3203991bep-6, -0x1.0661c68dc045ep-6, -0x1.0722f32d7b8efp-6, -0x1.07d2d4091da0ep-6, -0x1.0871877b6095dp-6, -0x1.08ff2e02d3701p-6, -0x1.097bea2febf31p-6, -0x1.09e7e0919f4ecp-6, -0x1.0a4337a0e36e3p-6, -0x1.0a8e17ac163cbp-6, -0x1.0ac8aac362f2bp-6, -0x1.0af31ca6a6318p-6, -0x1.0b0d9ab4f0975p-6, -0x1.0b1853dd06a75p-6, -0x1.0b13788e0a366p-6, -0x1.0aff3aa7462ep-6, -0x1.0adbcd66c7811p-6, -0x1.0aa96556ed89dp-6, -0x1.0a68383b864cap-6, -0x1.0a187cff59352p-6, -0x1.09ba6ba2c38f1p-6, -0x1.094e3d2bc88bfp-6, -0x1.08d42b976e1fdp-6, -0x1.084c71cc15ca9p-6, -0x1.07b74b8c004d3p-6, -0x1.0714f5677fbedp-6, -0x1.0665acae50e54p-6, -0x1.05a9af6079688p-6, -0x1.04e13c1e39955p-6, -0x1.040c92182eaebp-6, -0x1.032bf1000ea5bp-6, -0x1.023f98f9c9dbp-6, -0x1.0147ca8df091fp-6, -0x1.0044c69d33fa5p-6, -0x1.fe6d9ca9d5c57p-7, -0x1.fc3c4648c932fp-7, -0x1.f9f60d6558c88p-7, -0x1.f79b75a8863c1p-7, -0x1.f52d030129258p-7, -0x1.f2ab398d45cbep-7, -0x1.f0169d81d4409p-7, -0x1.ed6fb310cabf4p-7, -0x1.eab6fe4e592c2p-7, -0x1.e7ed0316627e4p-7, -0x1.e51244f3f672ep-7, -0x1.e227470c3adcfp-7, -0x1.df2c8c0dcd267p-7, -0x1.dc2296248f597p-7, -0x1.d909e6f1176f6p-7, -0x1.d5e2ff8196655p-7, -0x1.d2ae6049c905fp-7, -0x1.cf6c89176833ap-7, -0x1.cc1df90159283p-7, -0x1.c8c32e512770bp-7, -0x1.c55ca667ebfa7p-7, -0x1.c1eadda175fbfp-7, -0x1.be6e4f3968e5p-7, -0x1.bae77535db16ap-7, -0x1.b756c85a7b71cp-7, -0x1.b3bcc024ead84p-7, -0x1.b019d2d18e712p-7, -0x1.ac6e75654244ep-7, -0x1.a8bb1bb7c59f2p-7, -0x1.a5003879b20f6p-7, -0x1.a13e3d31c42a9p-7, -0x1.9d759a2f3940fp-7, -0x1.99a6be713f376p-7, -0x1.95d2178607c2fp-7, -0x1.91f81166b536dp-7, -0x1.8e191655e80cap-7, -0x1.8a358ec72bed5p-7, -0x1.864de153bb04p-7, -0x1.826272bf0172ep-7, -0x1.7e73a60a136eap-7, -0x1.7a81dc9283354p-7, -0x1.768d76365982bp-7, -0x1.7296d1756a7a8p-7, -0x1.6e9e4b87f5011p-7, -0x1.6aa44063b01cp-7, -0x1.66a90aab24023p-7, -0x1.62ad0386f900cp-7, -0x1.5eb0826d9b12fp-7, -0x1.5ab3dce205028p-7, -0x1.56b766358d5dap-7, -0x1.52bb6f5a24e1fp-7, -0x1.4ec046d0e2129p-7, -0x1.4ac638bcb7ec3p-7, -0x1.46cd8f1ad3d97p-7, -0x1.42d6921a42c64p-7, -0x1.3ee18884ac75ap-7, -0x1.3aeeb82443c16p-7, -0x1.36fe661047a17p-7, -0x1.3310d6cb6212dp-7, -0x1.2f264e2642dbfp-7, -0x1.2b3f0ee3ca0dfp-7, -0x1.275b5a29c8e58p-7, -0x1.237b6ed6e7145p-7, -0x1.1f9f88e03e2adp-7, -0x1.1bc7e0dce5082p-7, -0x1.17f4abe028cb1p-7, -0x1.14261bb5655d1p-7, -0x1.105c5f7bdf1ddp-7, -0x1.0c97a48b05cbep-7, -0x1.08d8177614ec8p-7, -0x1.051de4fbab299p-7, -0x1.01693aafa4daap-7, -0x1.fb748e6e661a1p-8, -0x1.f4227402c94p-8, -0x1.ecdc84f9cf3dfp-8, -0x1.e5a31dca74f51p-8, -0x1.de7695b597733p-8, -0x1.d7573c1acf0aap-8, -0x1.d045568fff212p-8, -0x1.c941204164959p-8, -0x1.c24acade5731fp-8, -0x1.bb6280f805c0bp-8, -0x1.b48869598716fp-8, -0x1.adbcaaa536cc2p-8, -0x1.a6ff6e7ce0ef7p-8, -0x1.a050e3a47e965p-8, -0x1.99b13ecf8a787p-8, -0x1.9320ba05ea0b8p-8, -0x1.8c9f92b3e9ad5p-8, -0x1.862e0697a1c89p-8, -0x1.7fcc4fe4943f4p-8, -0x1.797aa131199fbp-8, -0x1.733921fe8cda3p-8, -0x1.6d07ecc3b186fp-8, -0x1.66e70f2609f91p-8, -0x1.60d68c8106cb6p-8, -0x1.5ad662256c8f8p-8, -0x1.54e68c34a845cp-8, -0x1.4f0709e2b176ap-8, -0x1.4937e0486d3a7p-8, -0x1.43791b8af88d1p-8, -0x1.3dcace9d98bb3p-8, -0x1.382d120d775efp-8, -0x1.32a0021bbe14p-8, -0x1.2d23bc2a49a0ap-8, -0x1.27b85b718c463p-8, -0x1.225df540aa293p-8, -0x1.1d1495810d965p-8, -0x1.17dc3c87f3e6ap-8, -0x1.12b4df126ca58p-8, -0x1.0d9e68986b7b7p-8, -0x1.0898bf3f35358p-8, -0x1.03a3c81cacf98p-8, -0x1.fd7ed50e912dap-9, -0x1.f3d723991a9ecp-9, -0x1.ea505ae95a4a4p-9, -0x1.e0ea6177b828p-9, -0x1.d7a523cbe1eap-9, -0x1.ce80934ab7ab6p-9, -0x1.c57ca4b0d62p-9, -0x1.bc994d7d271d9p-9, -0x1.b3d6802d1366p-9, -0x1.ab342834dfb0dp-9, -0x1.a2b2273c6051dp-9, -0x1.9a5054cb3a665p-9, -0x1.920e8050000dp-9, -0x1.89ec7435b0611p-9, -0x1.81e9f8528118bp-9, -0x1.7a06d2ab9ab1ep-9, -0x1.7242c6cb55465p-9, -0x1.6a9d94e28deb7p-9, -0x1.6316fa058b587p-9, -0x1.5baeb1f34efp-9, -0x1.5464798830377p-9, -0x1.4d3810309c828p-9, -0x1.4629372582bf1p-9, -0x1.3f37aed2a0fedp-9, -0x1.3863345ffd434p-9, -0x1.31ab819c886e9p-9, -0x1.2b10500372dffp-9, -0x1.24915d4a48ee3p-9, -0x1.1e2e6e93111dcp-9, -0x1.17e7501d2af02p-9, -0x1.11bbd17bcc633p-9, -0x1.0babc03354784p-9, -0x1.05b6e2f87257cp-9, -0x1.ffb9ee136d9fdp-10, -0x1.f43b6083da0bdp-10, -0x1.e8f1779d9c768p-10, -0x1.dddb88e04d805p-10, -0x1.d2f8ec0f05bc9p-10, -0x1.c848fcb143f35p-10, -0x1.bdcb15aecfdeap-10, -0x1.b37e8c0669c19p-10, -0x1.a962af2ce29dfp-10, -0x1.9f76d13a45bfp-10, -0x1.95ba51d18e13p-10, -0x1.8c2ca32fda103p-10, -0x1.82cd44ed7a2b5p-10, -0x1.799bb86e47a02p-10, -0x1.709777acd4944p-10, -0x1.67bff388bf9a9p-10, -0x1.5f14979635edep-10, -0x1.5694ce80196cdp-10, -0x1.4e4004b82fc9ap-10, -0x1.4615a9adc83a9p-10, -0x1.3e152e6bd5b06p-10, -0x1.363dff44615eep-10, -0x1.2e8f7a41a1b0ap-10, -0x1.2708eaf52bc38p-10, -0x1.1fa994dcc3ba4p-10, -0x1.1870cb438193bp-10, -0x1.115e07b348c6fp-10, -0x1.0a70ec3d5a601p-10, -0x1.03a92b6aa0d1ap-10, -0x1.fa0cc8503b635p-11, -0x1.ed1015dfb0f3ap-11, -0x1.e05ade4cbcf63p-11, -0x1.d3eba81029294p-11, -0x1.c7c10c8343ecfp-11, -0x1.bbd9c00b93c77p-11, -0x1.b034835a92b72p-11, -0x1.a4d01c8c9eb4dp-11, -0x1.99ab649210308p-11, -0x1.8ec555f547886p-11, -0x1.841cffeae99fap-11, -0x1.79b15a79346ep-11, -0x1.6f81229c6323ep-11, -0x1.658af0d8f8d05p-11, -0x1.5bcd8d74f580fp-11, -0x1.524840a7d8466p-11, -0x1.48facf84ad2afp-11, -0x1.3fe51b2952b7ep-11, -0x1.3706ad51bc16bp-11, -0x1.2e5e8b6a977dep-11, -0x1.25eb6405aeebdp-11, -0x1.1dabde9ef7a83p-11, -0x1.159ecdd937ed1p-11, -0x1.0dc3348bbe039p-11, -0x1.061831248c3e2p-11, -0x1.fd39c09dbcff5p-12, -0x1.eea08131d8ec5p-12, -0x1.e0624b1dc7bb7p-12, -0x1.d27c8a86af00ep-12, -0x1.c4ecad11b7974p-12, -0x1.b7b05235c3cdap-12, -0x1.aac563b759907p-12, -0x1.9e2a375c0e29fp-12, -0x1.91ddbc540b5d7p-12, -0x1.85df71fe11653p-12, -0x1.7a2efca53037ep-12, -0x1.6ecb9d5655915p-12, -0x1.63b40124700c7p-12, -0x1.58e67fd7122bbp-12, -0x1.4e616a7c077dfp-12, -0x1.442315fcf5cp-12, -0x1.3a29c7231c265p-12, -0x1.3073cb7280103p-12, -0x1.26ffb014567f3p-12, -0x1.1dcc511acf07fp-12, -0x1.14d8a895ed3f4p-12, -0x1.0c23839179fe9p-12, -0x1.03ab57a2877e4p-12, -0x1.f6dca35472435p-13, -0x1.e6d4f9e240c7bp-13, -0x1.d73bb937180e9p-13, -0x1.c80d1ab585601p-13, -0x1.b9462347bc694p-13, -0x1.aae516e2d7762p-13, -0x1.9ce8f997de2dfp-13, -0x1.8f506fe5ac785p-13, -0x1.82194db238682p-13, -0x1.7541440cf2cc8p-13, -0x1.68c6938c28b35p-13, -0x1.5ca7c82f19a67p-13, -0x1.50e3112685f05p-13, -0x1.457626b82cf51p-13, -0x1.3a5ea0ee01dadp-13, -0x1.2f9a3e56d5c35p-13, -0x1.2526f809a6007p-13, -0x1.1b02e40b42224p-13, -0x1.112bfc1a671a6p-13, -0x1.07a0096560497p-13, -0x1.fcb9cb2a4721fp-14, -0x1.eac1c1acac29p-14, -0x1.d955a0ebd93aap-14, -0x1.c8732451d8002p-14, -0x1.b8170221be9a1p-14, -0x1.a83cde73b2a69p-14, -0x1.98dfcdbdd02ddp-14, -0x1.89fabc0ac05aap-14, -0x1.7b897e7f95785p-14, -0x1.6d89fa6d5769ep-14, -0x1.5ffb330740181p-14, -0x1.52db06738a2b6p-14, -0x1.4625ca3aa059cp-14, -0x1.39d7cce89fda9p-14, -0x1.2dee358cad063p-14, -0x1.2266d3a928f4p-14, -0x1.173fb08ae031cp-14, -0x1.0c76a91d25883p-14, -0x1.02094b8dcaeb6p-14, -0x1.efe9aa6dffd19p-15, -0x1.dc6c403ff194p-15, -0x1.c993e65052edbp-15, -0x1.b75bba2f5a5b2p-15, -0x1.a5c169520da11p-15, -0x1.94c39e02f96b2p-15, -0x1.845ef94b1a5a1p-15, -0x1.748d2d1c03bdfp-15, -0x1.6546baade8712p-15, -0x1.5684aab446b66p-15, -0x1.4842c8e704efbp-15, -0x1.3a80b7f2d578cp-15, -0x1.2d3ddffdb4778p-15, -0x1.20762d42cd697p-15, -0x1.1424ec63a24dp-15, -0x1.08472cb41db21p-15, -0x1.f9b3c51985ff9p-16, -0x1.e3b158c245dap-16, -0x1.ce7d1470837e3p-16, -0x1.ba0d5f4bdb07ap-16, -0x1.a65aa8754adc8p-16, -0x1.9360cc1ff7695p-16, -0x1.811dc1ca2e56p-16, -0x1.6f8ddcb9cb344p-16, -0x1.5eaa8a8631b1cp-16, -0x1.4e6da4ac118a4p-16, -0x1.3ed4250edd28dp-16, -0x1.2fdbd2973f5c5p-16, -0x1.217f062a844a1p-16, -0x1.13b4485c4c80dp-16, -0x1.06723f19dc48dp-16, -0x1.f36467a259689p-17, -0x1.dae28ebe4d856p-17, -0x1.c360a21d12914p-17, -0x1.acda1f2ec3af9p-17, -0x1.974142ca5c3c7p-17, -0x1.828d1916719e7p-17, -0x1.6eb8f87198302p-17, -0x1.5bbd23b7d185bp-17, -0x1.4990a30a6053ap-17, -0x1.382b4a7f08d2ap-17, -0x1.2785ac0065d3p-17, -0x1.17994ef1f2217p-17, -0x1.0860e7c5a6b2bp-17, -0x1.f3af2c4a79204p-18, -0x1.d7eecf50a584dp-18, -0x1.bd7136af0aea9p-18, -0x1.a424f92b727f5p-18, -0x1.8bfae351f2693p-18, -0x1.74eb6aa79cf97p-18, -0x1.5ef5deeb96a45p-18, -0x1.4a131c04b7afdp-18, -0x1.362ec7c25a8e7p-18, -0x1.23372de4ea561p-18, -0x1.11262ffb5520ep-18, -0x1.ffea88e607436p-19, -0x1.df3ab2b4202e2p-19, -0x1.c02598ab61ca1p-19, -0x1.a29247f699c2dp-19, -0x1.867c830ce90a4p-19, -0x1.6bd9fc71ef6f4p-19, -0x1.5299025f62fccp-19, -0x1.3aaac5b09daf9p-19, -0x1.240174dc9a7b6p-19, -0x1.0e8e40ce23941p-19, -0x1.f483c39ecffd2p-20, -0x1.ce1bd1e77f7ebp-20, -0x1.a9cbb0711ea19p-20, -0x1.877ec85be4083p-20, -0x1.67232054efd78p-20, -0x1.48a63f554c8eep-20, -0x1.2bf31b631d984p-20, -0x1.10f2e73be3f08p-20, -0x1.ef21a682582efp-21, -0x1.bf7a12b185c5cp-21, -0x1.92cd4addad72ap-21, -0x1.68e58de2a6cc8p-21, -0x1.4196979961ffp-21, -0x1.1cd7d43140069p-21, -0x1.f4fbda7461947p-22, -0x1.b4a733bf02fb8p-22, -0x1.786b3811db5dfp-22, -0x1.4016bdb9b17d1p-22, -0x1.0ba290b4c75f9p-22, -0x1.b5ba889736d74p-23, -0x1.5b0fe211b8c73p-23, -0x1.06d810b7d15afp-23, -0x1.71721eb15a3ap-24, -0x1.c171e52f4b54dp-25, -0x1.6b4fc9c5124adp-26, 0x1.0752e5ba4cebfp-27, 0x1.2643d3d1a955cp-25, 0x1.f8bb98d3a2ce8p-25, 0x1.5d13e2c546493p-24, 0x1.b5af5804c428dp-24, 0x1.0351ddb656374p-23, 0x1.283df97410ea9p-23, 0x1.49eb461a46a7ep-23, 0x1.68a577e0d45cap-23, 0x1.84a38ced39592p-23, 0x1.9e099d19b3aabp-23, 0x1.b503be527ed76p-23, 0x1.c9bf6f606a329p-23, 0x1.dc44f4112cc77p-23, 0x1.ecc617f74b056p-23, 0x1.fbb97c088de2bp-23, 0x1.04a555649de6fp-22, 0x1.0ab08b38e8e97p-22, 0x1.100dd69fa7efep-22, 0x1.14d94c4dc6a28p-22, 0x1.191ccf123b9b6p-22, 0x1.1cde5e8d8f071p-22, 0x1.2031933657638p-22, 0x1.232e6e2f6de1bp-22, 0x1.25e49f8912147p-22, 0x1.28591819b2735p-22, 0x1.2a8f2f1ac396fp-22, 0x1.2c95bedf119a8p-22, 0x1.2e78b7023c221p-22, 0x1.303e8b3de3acep-22, 0x1.31ec74addf573p-22, 0x1.33889646f7a0cp-22, 0x1.351aa41329b98p-22, 0x1.36ab52d5565d1p-22, 0x1.3842ddf81c56dp-22, 0x1.39e739cd9c649p-22, 0x1.3b9b122634301p-22, 0x1.3d5feee3d6497p-22, 0x1.3f39a3b35f338p-22, 0x1.412c8f5ef2546p-22, 0x1.4338da34323f3p-22, 0x1.456a2747742dap-22, 0x1.47c7aebf8fc74p-22, 0x1.4a480b073d57bp-22, 0x1.4cefeb78a91c5p-22, 0x1.4fc376bd432ebp-22, 0x1.52c2ce7c57cc9p-22, 0x1.55ee4f5b1a458p-22, 0x1.5946bc3405fb7p-22, 0x1.5cccf18647e0ep-22, 0x1.6081b2f7096c1p-22, 0x1.64656cc157ad6p-22, 0x1.687808c3277f3p-22, 0x1.6cb90d3792c95p-22, 0x1.7127e03b57268p-22, 0x1.75c390eeeb3ecp-22, 0x1.7a8a7d8312c55p-22, 0x1.7f7c8deea3d2cp-22, 0x1.849b29fbced8ep-22, 0x1.89e452824f9d7p-22, 0x1.8f55199bb55abp-22, 0x1.94ed208163f72p-22, 0x1.9aab8d4597107p-22, 0x1.a08e8ffa49faep-22, 0x1.a6940834d5fc8p-22, 0x1.acb9edb283059p-22, 0x1.b2feb9899c049p-22, 0x1.b960e39291036p-22, 0x1.bfde1009de6d1p-22, 0x1.c67558b3326a4p-22, 0x1.cd23ec7251c67p-22, 0x1.d3e7c97b17d09p-22, 0x1.dabf454382727p-22, 0x1.e1a830e9a5471p-22, 0x1.e8a071033f28dp-22, 0x1.efa5f32cc9e82p-22, 0x1.f6b6a01a03aa4p-22, 0x1.fdd0578a73829p-22, 0x1.027878ed0d5cp-21, 0x1.060b21fe87061p-21, 0x1.099f11b7ccc2p-21, 0x1.0d33352d915fbp-21, 0x1.10c67dd56f783p-21, 0x1.1457e4206b5b1p-21, 0x1.17e669c45ab5dp-21, 0x1.1b7117dd2c403p-21, 0x1.1ef6f6734e90ep-21, 0x1.227702c7e29cep-21, 0x1.25f02fefdd7b2p-21, 0x1.29617350e76adp-21, 0x1.2cc9d130de54ap-21, 0x1.30285f203ad3cp-21, 0x1.337c41d4a1669p-21, 0x1.36c4b5807c6d6p-21, 0x1.3a0100436350bp-21, 0x1.3d2ff473873f5p-21, 0x1.40507f5049bcp-21, 0x1.43623ca6ac937p-21, 0x1.46641c52ce229p-21, 0x1.49557f0474ba6p-21, 0x1.4c357ccde3e27p-21, 0x1.4f036a385f16dp-21, 0x1.51bea28c9d147p-21, 0x1.54667a77d0f6ap-21, 0x1.56fa4a5c59469p-21, 0x1.59796fc2fc543p-21, 0x1.5be34cf6cf606p-21, 0x1.5e3749325f6b4p-21, 0x1.6074d1911c7bfp-21, 0x1.629b59f3fb4cdp-21, 0x1.64aa5d5291696p-21, 0x1.66a15d7ab6b4ap-21, 0x1.687fe32e27dccp-21, 0x1.6a457ef455f92p-21, 0x1.6bf1caa8e47dfp-21, 0x1.6d84697265378p-21, 0x1.6efd03703fc4cp-21, 0x1.705b3ff9442eep-21, 0x1.719ec59b3d626p-21, 0x1.72c73f6c71f4dp-21, 0x1.73d45ff60b96bp-21, 0x1.74c5e0d587e06p-21, 0x1.759b898ce80f9p-21, 0x1.76553f4fc5c01p-21, 0x1.76f2f30381e41p-21, 0x1.77746ed79be7fp-21, 0x1.77d95f66c7c8cp-21, 0x1.78218958d29c2p-21, 0x1.784d1d3aefcf6p-21, 0x1.785c0f5ef475ap-21, 0x1.784e1456bd302p-21, 0x1.78233de33d652p-21, 0x1.77db963bbb5c3p-21, 0x1.7777098175b18p-21, 0x1.76f5a48bb3655p-21, 0x1.765783733d13cp-21, 0x1.759cba55ccf7cp-21, 0x1.74c53de409fbcp-21, 0x1.73d11b9a9d667p-21, 0x1.72c07e3e42871p-21, 0x1.71938b41e9e29p-21, 0x1.704a67250f5c6p-21, 0x1.6ee539607876fp-21, 0x1.6d642d36b9487p-21, 0x1.6bc771eb47c9ep-21, 0x1.6a0f3b4bf413dp-21, 0x1.683bc2694ce4dp-21, 0x1.664d44dff4369p-21, 0x1.644402214d275p-21, 0x1.6220398ab74p-21, 0x1.5fe22c05f3bb9p-21, 0x1.5d8a1e5242787p-21, 0x1.5b18588581684p-21, 0x1.588d24e13eb42p-21, 0x1.55e8d3174798ep-21, 0x1.532bc118f40d2p-21, 0x1.50565127f70f4p-21, 0x1.4d68d25b2ff9ep-21, 0x1.4a638c413d96ep-21, 0x1.4746c237b9746p-21, 0x1.4412ff03ca8d5p-21, 0x1.40c8bcb511dd4p-21, 0x1.3d6819531f2f9p-21, 0x1.39f18c86293c8p-21, 0x1.36658439aa873p-21, 0x1.32c467fdd7715p-21, 0x1.2f0ea08ab6b4p-21, }}, 
      {{0x1.37328675f9073p-2, 0x1.36e1560f89e8ap-2, 0x1.365a88bea883cp-2, 0x1.359ee16e9c37ep-2, 0x1.34af69452769fp-2, 0x1.338d66a80f086p-2, 0x1.323a539b27b3cp-2, 0x1.30b7d48de942cp-2, 0x1.2f07b0082c76p-2, 0x1.2d2bc74a3c66bp-2, 0x1.2b260fcf50ef7p-2, 0x1.28f88d9889ccfp-2, 0x1.26a54e285a90ep-2, 0x1.242e641aef878p-2, 0x1.2195e34c17157p-2, 0x1.1edddd7e6edd7p-2, 0x1.1c085f7a1a81cp-2, 0x1.19176e9b5b5b1p-2, 0x1.160d06ca0a41dp-2, 0x1.12eb18d1cebebp-2, 0x1.0fb389113c6d2p-2, 0x1.0c682e74ffd73p-2, 0x1.090ad1b4ab6a4p-2, 0x1.059d2cc765f23p-2, 0x1.0220ea87b3346p-2, 0x1.fd2f4cfcd8186p-3, 0x1.f605d99aefc03p-3, 0x1.eec874688ca6p-3, 0x1.e779f85071c78p-3, 0x1.e01d21f9237dfp-3, 0x1.d8b4902bb1012p-3, 0x1.d142c44bb3005p-3, 0x1.c9ca22db9497p-3, 0x1.c24cf4099d81p-3, 0x1.bacd64435f8p-3, 0x1.b34d84cd7ffa5p-3, 0x1.abcf4c5f06521p-3, 0x1.a45497bf58549p-3, 0x1.9cdf2a669213bp-3, 0x1.9570af201a5edp-3, 0x1.8e0ab8af445c5p-3, 0x1.86aec276062eap-3, 0x1.7f5e311d9c2d6p-3, 0x1.781a534103978p-3, 0x1.70e462191715dp-3, 0x1.69bd822a0952dp-3, 0x1.62a6c3f1e5b29p-3, 0x1.5ba12497d0cbap-3, 0x1.54ad8e9b89163p-3, 0x1.4dccda84d35fep-3, 0x1.46ffcf92401fap-3, 0x1.4047246718672p-3, 0x1.39a37fb7ced69p-3, 0x1.331578f52b1bcp-3, 0x1.2c9d98f49291ep-3, 0x1.263c5a967503ap-3, 0x1.1ff22b686d07dp-3, 0x1.19bf6c45a50cep-3, 0x1.13a471f3cda83p-3, 0x1.0da185bceaa8cp-3, 0x1.07b6e604efebp-3, 0x1.01e4c6d91e2a3p-3, 0x1.f856a4f502d49p-4, 0x1.ed1553cb092e7p-4, 0x1.e205cab04c5c5p-4, 0x1.d72829a949524p-4, 0x1.cc7c813852db6p-4, 0x1.c202d3402bd55p-4, 0x1.b7bb13da46593p-4, 0x1.ada52a2ad537ap-4, 0x1.a3c0f1380bfa2p-4, 0x1.9a0e38be41f73p-4, 0x1.908cc5f32952ap-4, 0x1.873c542fabe29p-4, 0x1.7e1c95844aa65p-4, 0x1.752d334a7241ep-4, 0x1.6c6dcebcf7867p-4, 0x1.63de019af4edbp-4, 0x1.5b7d5ec579fb6p-4, 0x1.534b72cba95aep-4, 0x1.4b47c45cf5113p-4, 0x1.4371d4a9078cbp-4, 0x1.3bc91fb96ea22p-4, 0x1.344d1cd17a686p-4, 0x1.2cfd3ed910a06p-4, 0x1.25d8f4cdae875p-4, 0x1.1edfaa315e0ffp-4, 0x1.1810c76e949bep-4, 0x1.116bb22cdfe5fp-4, 0x1.0aefcd97cc923p-4, 0x1.049c7a9d19bf2p-4, 0x1.fce2305113934p-5, 0x1.f0da06c45162dp-5, 0x1.e51f2fe1fd16dp-5, 0x1.d9b060828b3d6p-5, 0x1.ce8c4b9660d16p-5, 0x1.c3b1a2ad9d09p-5, 0x1.b91f167473cdcp-5, 0x1.aed3572133e1ap-5, 0x1.a4cd14d4082cfp-5, 0x1.9b0affeacbbf3p-5, 0x1.918bc94c9d582p-5, 0x1.884e22b0beedfp-5, 0x1.7f50bee38cd8p-5, 0x1.7692520b0a5d4p-5, 0x1.6e1191eb25c89p-5, 0x1.65cd3628fece2p-5, 0x1.5dc3f88be53c6p-5, 0x1.55f4953aa8616p-5, 0x1.4e5dcaf43051ap-5, 0x1.46fe5b42a41f3p-5, 0x1.3fd50aa90ab5dp-5, 0x1.38e0a0cbaed6dp-5, 0x1.321fe8940216ap-5, 0x1.2b91b050b794ap-5, 0x1.2534c9d305539p-5, 0x1.1f080a8981b6cp-5, 0x1.190a4b994227ep-5, 0x1.133a69f534361p-5, 0x1.0d974673c6a47p-5, 0x1.081fc5e2b8e3dp-5, 0x1.02d2d118cdc3ap-5, 0x1.fb5eaa0a8d3a9p-6, 0x1.f168857a02a55p-6, 0x1.e7c11f0a664d5p-6, 0x1.de6669b7dd0a9p-6, 0x1.d55660fd1049bp-6, 0x1.cc8f08dc6c8bfp-6, 0x1.c40e6de638c66p-6, 0x1.bbd2a53c2d65bp-6, 0x1.b3d9cc92ca4c6p-6, 0x1.ac220a3133a3bp-6, 0x1.a4a98cef57922p-6, 0x1.9d6e8c32feb21p-6, 0x1.966f47eb608a2p-6, 0x1.8faa088b81b21p-6, 0x1.891d1f0318ca9p-6, 0x1.82c6e4b5cea72p-6, 0x1.7ca5bb70d1ebep-6, 0x1.76b80d5e99887p-6, 0x1.70fc4cf8adf37p-6, 0x1.6b70f4f79fda8p-6, 0x1.6614884147042p-6, 0x1.60e591d52f5a9p-6, 0x1.5be2a4b7a07d4p-6, 0x1.570a5bdb7a411p-6, 0x1.525b5a0af59adp-6, 0x1.4dd449cf87e03p-6, 0x1.4973dd597b712p-6, 0x1.4538ce66fd0dap-6, 0x1.4121de2ad789ap-6, 0x1.3d2dd53351fcep-6, 0x1.395b83511934cp-6, 0x1.35a9bf7dcb8eep-6, 0x1.321767c2e04e8p-6, 0x1.2ea36120c0e87p-6, 0x1.2b4c9775aeefbp-6, 0x1.2811fd647cf9dp-6, 0x1.24f28c3baabbp-6, 0x1.21ed43dc5b225p-6, 0x1.1f012aa0d8771p-6, 0x1.1c2d4d432cde1p-6, 0x1.1970bec3e2faep-6, 0x1.16ca985062a54p-6, 0x1.1439f928f38b7p-6, 0x1.11be06870416fp-6, 0x1.0f55eb838a5a4p-6, 0x1.0d00d8fcf3b3ep-6, 0x1.0abe057d17416p-6, 0x1.088cad1f8e5bbp-6, 0x1.066c1178352f6p-6, 0x1.045b797971a19p-6, 0x1.025a315aaac1fp-6, 0x1.00678a7f5c75cp-6, 0x1.fd05b6bcbe692p-7, 0x1.f956fed236bafp-7, 0x1.f5c1ade634464p-7, 0x1.f2448e344939dp-7, 0x1.eede735d932a5p-7, 0x1.eb8e3a39b2faep-7, 0x1.e852c8a8436f6p-7, 0x1.e52b0d63a2ec1p-7, 0x1.e215ffd494896p-7, 0x1.df129fe5d47d6p-7, 0x1.dc1ff5d810711p-7, 0x1.d93d1216dffa8p-7, 0x1.d6690d0ec87dfp-7, 0x1.d3a307037520cp-7, 0x1.d0ea27e5f5c68p-7, 0x1.ce3d9f2ba14f6p-7, 0x1.cb9ca3a622333p-7, 0x1.c906735bf51c7p-7, 0x1.c67a5360f42d1p-7, 0x1.c3f78faf1ec87p-7, 0x1.c17d7b0038b0ep-7, 0x1.bf0b6ea835372p-7, 0x1.bca0ca7010304p-7, 0x1.ba3cf4709ba93p-7, 0x1.b7df58edb186ep-7, 0x1.b5876a3221bcdp-7, 0x1.b334a06c6f661p-7, 0x1.b0e6798bde168p-7, 0x1.ae9c791d9e22cp-7, 0x1.ac56282a5cd41p-7, 0x1.aa13151465928p-7, 0x1.a7d2d3768db7bp-7, 0x1.a594fc037eae1p-7, 0x1.a3592c655e5a1p-7, 0x1.a11f071daa2edp-7, 0x1.9ee633658b4b1p-7, 0x1.9cae5d0ec12cep-7, 0x1.9a77346533dfcp-7, 0x1.98406e10fc63p-7, 0x1.9609c2f895e04p-7, 0x1.93d2f0235f1a9p-7, 0x1.919bb69c75efdp-7, 0x1.8f63db5653a9dp-7, 0x1.8d2b270f02b65p-7, 0x1.8af16634b2aadp-7, 0x1.88b668ca6f777p-7, 0x1.867a024cfd311p-7, 0x1.843c09984200bp-7, 0x1.81fc58cd69d9p-7, 0x1.7fbacd3999b8dp-7, 0x1.7d77473d05728p-7, 0x1.7b31aa31f48edp-7, 0x1.78e9dc54051dbp-7, 0x1.769fc6a7f2d0dp-7, 0x1.745354e434031p-7, 0x1.7204755a291d5p-7, 0x1.6fb318df28cbfp-7, 0x1.6d5f32b66d63p-7, 0x1.6b08b87a45ab1p-7, 0x1.68afa206679ap-7, 0x1.6653e962b7db5p-7, 0x1.63f58aaeb49a2p-7, 0x1.6194840d23d87p-7, 0x1.5f30d58fe92f7p-7, 0x1.5cca8123e8395p-7, 0x1.5a618a7d73b8bp-7, 0x1.57f5f7055085cp-7, 0x1.5587cdc639f64p-7, 0x1.5317175ae4ef4p-7, 0x1.50a3dddc1f1c8p-7, 0x1.4e2e2ccf15903p-7, 0x1.4bb61113fc7e6p-7, 0x1.493b98d523568p-7, 0x1.46bed376a1b46p-7, 0x1.443fd18666d55p-7, 0x1.41bea4acac8d5p-7, 0x1.3f3b5f9c87a6dp-7, 0x1.3cb61604c074ap-7, 0x1.3a2edc8108b37p-7, 0x1.37a5c88ba616cp-7, 0x1.351af06f9019fp-7, 0x1.328e6b3aeb8cp-7, 0x1.300050b1da44cp-7, 0x1.2d70b941755a9p-7, 0x1.2adfbdf32147p-7, 0x1.284d78602724bp-7, 0x1.25ba02a5ca9fbp-7, 0x1.23257759b4326p-7, 0x1.208ff17eba862p-7, 0x1.1df98c79ec494p-7, 0x1.1b62640829da2p-7, 0x1.18ca9432cc50dp-7, 0x1.163239470b607p-7, 0x1.13996fcac54fap-7, 0x1.11005473febf3p-7, 0x1.0e67041f8797ep-7, 0x1.0bcd9bc8327abp-7, 0x1.0934387e4aad1p-7, 0x1.069af75f36371p-7, 0x1.0401f58d74bfdp-7, 0x1.01695028e023cp-7, 0x1.fda2488e82b01p-8, 0x1.f8731dda8389ep-8, 0x1.f3455a0f0a98ep-8, 0x1.ee1936c8388dap-8, 0x1.e8eeed5822723p-8, 0x1.e3c6b6ba78fb5p-8, 0x1.dea0cb88a190dp-8, 0x1.d97d63ee7cb9dp-8, 0x1.d45cb79fa1e8dp-8, 0x1.cf3efdcd43e1fp-8, 0x1.ca246d1c6c1b9p-8, 0x1.c50d3b9ca66d9p-8, 0x1.bff99ebef9e03p-8, 0x1.bae9cb4d48c8bp-8, 0x1.b5ddf5621dd37p-8, 0x1.b0d65060fbf18p-8, 0x1.abd30eef2dc8p-8, 0x1.a6d462ed14e98p-8, 0x1.a1da7d6fd5aaap-8, 0x1.9ce58ebb54073p-8, 0x1.97f5c63c7bae6p-8, 0x1.930b5283d2eeep-8, 0x1.8e2661405b526p-8, 0x1.89471f3adce6ep-8, 0x1.846db851b07aap-8, 0x1.7f9a5774ea62dp-8, 0x1.7acd26a2e6171p-8, 0x1.76064ee522049p-8, 0x1.7145f84d4a1b5p-8, 0x1.6c8c49f26e43ep-8, 0x1.67d969ee7c638p-8, 0x1.632d7d5be6d8dp-8, 0x1.5e88a853c5f9fp-8, 0x1.59eb0dec36ef3p-8, 0x1.5554d03743e9fp-8, 0x1.50c610420025cp-8, 0x1.4c3eee13fc93fp-8, 0x1.47bf88aed2339p-8, 0x1.4347fe0dbb9c7p-8, 0x1.3ed86b254fc0ep-8, 0x1.3a70ebe3537c5p-8, 0x1.36119b2ebcabep-8, 0x1.31ba92e801d6cp-8, 0x1.2d6bebe9d243bp-8, 0x1.2925be0a158d6p-8, 0x1.24e8201b5e9e9p-8, 0x1.20b327ee5ead9p-8, 0x1.1c86ea53ae12p-8, 0x1.18637b1de7db5p-8, 0x1.1448ed21b3f28p-8, 0x1.103752390c359p-8, 0x1.0c2ebb449b2f7p-8, 0x1.082f382be25f9p-8, 0x1.0438d7e0aa1e2p-8, 0x1.004ba860d8843p-8, 0x1.f8cf6d723f50ap-9, 0x1.f11a1e103a042p-9, 0x1.e9777903445c1p-9, 0x1.e1e792e41a5ap-9, 0x1.da6a7e82dd11dp-9, 0x1.d3004ced1023ap-9, 0x1.cba90d72bc389p-9, 0x1.c464cdab6506cp-9, 0x1.bd33997adc6dfp-9, 0x1.b6157b1683eadp-9, 0x1.af0a7b0b61b5bp-9, 0x1.a812a0453f077p-9, 0x1.a12df016cdd3ep-9, 0x1.9a5c6e42a501p-9, 0x1.939e1d0424683p-9, 0x1.8cf2fd18235d3p-9, 0x1.865b0dc4837aep-9, 0x1.7fd64cdeb4a86p-9, 0x1.7964b6d11582ep-9, 0x1.7306469fd87dfp-9, 0x1.6cbaf5ee37d42p-9, 0x1.6682bd0486b49p-9, 0x1.605d92d7c6e0ap-9, 0x1.5a4b6d130646p-9, 0x1.544c4021d853fp-9, 0x1.4e5fff3b31437p-9, 0x1.48869c6bd0c91p-9, 0x1.42c0089ed1155p-9, 0x1.3d0c33a43b2d4p-9, 0x1.376b0c35525b5p-9, 0x1.31dc7ff79b5e4p-9, 0x1.2c607b7fb20d3p-9, 0x1.26f6ea5584758p-9, 0x1.219fb6fb46e72p-9, 0x1.1c5acaf775607p-9, 0x1.17280ee1d297p-9, 0x1.12076a71f862cp-9, 0x1.0cf8c48d93b76p-9, 0x1.07fc0353f7729p-9, 0x1.03110c25ace85p-9, 0x1.fc6f874dd167p-10, 0x1.f2e01b7badf9cp-10, 0x1.e9739b1cf4855p-10, 0x1.e029caee69662p-10, 0x1.d7026e217e551p-10, 0x1.cdfd4668a1cc4p-10, 0x1.c51a1411485aep-10, 0x1.bc58962a64e45p-10, 0x1.b3b88ab1ce2ap-10, 0x1.ab39aec106b52p-10, 0x1.a2dbbeb057c59p-10, 0x1.9a9e7629dfd82p-10, 0x1.92819028e7836p-10, 0x1.8a84c6e6bead8p-10, 0x1.82a7d3bbc1b55p-10, 0x1.7aea6efe2967ep-10, 0x1.734c4fe9fa14p-10, 0x1.6bcd2c9c1d49ap-10, 0x1.646cba262b462p-10, 0x1.5d2aacbaeacf3p-10, 0x1.5606b7ecfd462p-10, 0x1.4f008ef48227p-10, 0x1.4817e4ed5dc75p-10, 0x1.414c6d017d3bbp-10, 0x1.3a9dda7623106p-10, 0x1.340be09a392b8p-10, 0x1.2d96329a8095bp-10, 0x1.273c83479fbf2p-10, 0x1.20fe84dc76929p-10, 0x1.1adbe8d5018bap-10, 0x1.14d45fe1562d5p-10, 0x1.0ee799fb322b4p-10, 0x1.0915469cd9038p-10, 0x1.035d150f7962fp-10, 0x1.fb7d69844f754p-11, 0x1.f073ab2dcf06ap-11, 0x1.e59c502a532adp-11, 0x1.daf6baedabc8p-11, 0x1.d0824f1beb6c8p-11, 0x1.c63e7116e18c7p-11, 0x1.bc2a856bf1403p-11, 0x1.b245f04925b11p-11, 0x1.a890151a87e2ep-11, 0x1.9f085665a730ap-11, 0x1.95ae15eaf5402p-11, 0x1.8c80b50669a1dp-11, 0x1.837f953d53cecp-11, 0x1.7aaa18e3f63ecp-11, 0x1.71ffa3bae02dfp-11, 0x1.697f9b658c084p-11, 0x1.6129679efba71p-11, 0x1.58fc721ad605fp-11, 0x1.50f82617dc05p-11, 0x1.491befbf05a44p-11, 0x1.41673b7d0b60bp-11, 0x1.39d97585f7cbp-11, 0x1.327209a5d9204p-11, 0x1.2b30636577d9cp-11, 0x1.2413ee70cc509p-11, 0x1.1d1c171dc170cp-11, 0x1.16484af343c26p-11, 0x1.0f97f91b8530ep-11, 0x1.090a92b9e5b2dp-11, 0x1.029f8b20b7a37p-11, 0x1.f8acafc012863p-12, 0x1.ec5ce1451403dp-12, 0x1.e04e9da1a1da8p-12, 0x1.d480da094a22ap-12, 0x1.c8f28cd556a89p-12, 0x1.bda2ac861c829p-12, 0x1.b2902f56b71cep-12, 0x1.a7ba0b8d78089p-12, 0x1.9d1f386aaba34p-12, 0x1.92beaf61af344p-12, 0x1.88976d3a2df48p-12, 0x1.7ea872d40e8cp-12, 0x1.74f0c57e4455bp-12, 0x1.6b6f6ef77d36p-12, 0x1.62237d3becc81p-12, 0x1.590c0234ab785p-12, 0x1.502813447ffdbp-12, 0x1.4776c8a8ceb47p-12, 0x1.3ef73cb9fdc2cp-12, 0x1.36a88b3172494p-12, 0x1.2e89d0bc2d012p-12, 0x1.269a2af9ee022p-12, 0x1.1ed8b8fcbe0eap-12, 0x1.17449c0f9c6d8p-12, 0x1.0fdcf87dc1d68p-12, 0x1.08a0f61b67081p-12, 0x1.018fc07b2680bp-12, 0x1.f5510dcade96ep-13, 0x1.e7d4f874af0dp-13, 0x1.daa9ada9c1515p-13, 0x1.cdcda0ce6cc6dp-13, 0x1.c13f4b6562e9ep-13, 0x1.b4fd2c199842bp-13, 0x1.a905c59879615p-13, 0x1.9d579dbbdeab3p-13, 0x1.91f13d80981f4p-13, 0x1.86d131e6659p-13, 0x1.7bf60d57bbf44p-13, 0x1.715e68e952964p-13, 0x1.6708e4e470939p-13, 0x1.5cf4287a886ebp-13, 0x1.531ee0f4d6ebcp-13, 0x1.4987c0e155617p-13, 0x1.402d7fa55ca4ep-13, 0x1.370ed9947e504p-13, 0x1.2e2a90574e64ap-13, 0x1.257f6b2b8b03fp-13, 0x1.1d0c36821cb0ap-13, 0x1.14cfc2cf17332p-13, 0x1.0cc8e30ba4d2dp-13, 0x1.04f66bd1f210dp-13, 0x1.faae67e546ad9p-14, 0x1.ebd42d204fa2bp-14, 0x1.dd5bebab460e3p-14, 0x1.cf4379bd8353cp-14, 0x1.c188bfa055c81p-14, 0x1.b429b4585c375p-14, 0x1.a72458c5170cbp-14, 0x1.9a76b3a6512e1p-14, 0x1.8e1ed0111a8a3p-14, 0x1.821abe84039d9p-14, 0x1.766897b13b2aep-14, 0x1.6b067f6415a35p-14, 0x1.5ff2a5a9594c2p-14, 0x1.552b44ffa98cbp-14, 0x1.4aae9e0d630e1p-14, 0x1.407af348fbef9p-14, 0x1.368e8796de887p-14, 0x1.2ce7a13393c83p-14, 0x1.23848f5dbdd22p-14, 0x1.1a63af3d96c38p-14, 0x1.11836d2ab2936p-14, 0x1.08e24223d6f84p-14, 0x1.007eafe08c6f9p-14, 0x1.f0ae7c888fa3bp-15, 0x1.e0d4f62ffb06fp-15, 0x1.d16df5c3e3fd4p-15, 0x1.c276b2be5ecb9p-15, 0x1.b3ec72ac98671p-15, 0x1.a5cc89031d07bp-15, 0x1.98145801aca7dp-15, 0x1.8ac15135029c5p-15, 0x1.7dd0f3474de45p-15, 0x1.7140c51711e53p-15, 0x1.650e51eeb56b4p-15, 0x1.59372bceb4b9ep-15, 0x1.4db8f456dc47bp-15, 0x1.42916629cbd1dp-15, 0x1.37be56a4db683p-15, 0x1.2d3dad7f914dbp-15, 0x1.230d583d74b33p-15, 0x1.192b423e7a1bp-15, 0x1.0f9555a8aa5b2p-15, 0x1.064982b516976p-15, 0x1.fa8b901c50ce8p-16, 0x1.e91070c90603dp-16, 0x1.d81df72f42597p-16, 0x1.c7b096343ba66p-16, 0x1.b7c4d5af998dcp-16, 0x1.a857440ef711cp-16, 0x1.99646f83eeb01p-16, 0x1.8ae8e94ba8918p-16, 0x1.7ce14f7c356e6p-16, 0x1.6f4a58c175b98p-16, 0x1.6220dff7a5722p-16, 0x1.5561ec26181cep-16, 0x1.490aae64305p-16, 0x1.3d18732eacca5p-16, 0x1.31888f55a4b7cp-16, 0x1.26585453b1825p-16, 0x1.1b850fe1b6d68p-16, 0x1.110c114a956e5p-16, 0x1.06eaaf371c251p-16, 0x1.fa3c9dfd6e218p-17, 0x1.e748de8918385p-17, 0x1.d4f5620c76cc4p-17, 0x1.c33dadceb68f2p-17, 0x1.b21d709be6639p-17, 0x1.a1905f0e878fbp-17, 0x1.91921d313a0c3p-17, 0x1.821e423201b36p-17, 0x1.73306f1a7b614p-17, 0x1.64c4687b9c829p-17, 0x1.56d62adb47884p-17, 0x1.4961f784f372ap-17, 0x1.3c64514ee5e96p-17, 0x1.2fd9e27666ad7p-17, 0x1.23bf5a7b02c62p-17, 0x1.18115f915250cp-17, 0x1.0ccc9e765ebe5p-17, 0x1.01eddc2d26ebcp-17, 0x1.eee3ef4623bc2p-18, 0x1.daabbe8632a93p-18, 0x1.c72d1ae2e5d04p-18, 0x1.b4622152cf3b8p-18, 0x1.a24529bb9203fp-18, 0x1.90d0c7df8e4f4p-18, 0x1.7fffb7678344dp-18, 0x1.6fccc2372d2b7p-18, 0x1.6032b78761c8ep-18, 0x1.512c7e9954aa7p-18, 0x1.42b536899c29cp-18, 0x1.34c8460512767p-18, 0x1.27614989b44ffp-18, 0x1.1a7bf2e7718b1p-18, 0x1.0e13f64d5a784p-18, 0x1.02250c8839af7p-18, 0x1.ed560206b9148p-19, 0x1.d74395a7119d7p-19, 0x1.c20b4e90c657p-19, 0x1.ada62bb0efe3p-19, 0x1.9a0d651645973p-19, 0x1.873a309383fdcp-19, 0x1.7525c68d22a02p-19, 0x1.63c9882d4e915p-19, 0x1.531f1b9396fe4p-19, 0x1.43206a5f09a2ap-19, 0x1.33c78a774dfadp-19, 0x1.250ea79b36e0ap-19, 0x1.16eff996bbf36p-19, 0x1.0965ca3050728p-19, 0x1.f8d52267d3cfep-20, 0x1.dff23f2518b7ep-20, 0x1.c819695e7d131p-20, 0x1.b141b515c6c29p-20, 0x1.9b623bf1176abp-20, 0x1.8671d5ec2f9ecp-20, 0x1.72674fd6125f1p-20, 0x1.5f39bd325013ep-20, 0x1.4ce0b0471c5ddp-20, 0x1.3b544cb3ea9d9p-20, 0x1.2a8d0de9e818cp-20, 0x1.1a838feb8d2b6p-20, 0x1.0b30a6595b6f3p-20, 0x1.f91af54c131fp-21, 0x1.dd26e07ebc17ap-21, 0x1.c27800862b881p-21, 0x1.a90166b5e87fcp-21, 0x1.90b66be3b2d9cp-21, 0x1.798aee18cfbd1p-21, 0x1.63737eef0df99p-21, 0x1.4e65527ac23acp-21, 0x1.3a55f43d55ce5p-21, 0x1.273b24b2caf6cp-21, 0x1.150b141bccf06p-21, 0x1.03bc95d79cd54p-21, 0x1.e68db72cfee8p-22, 0x1.c741d8ee75b54p-22, 0x1.a983088c53e76p-22, 0x1.8d3f2b71bdfafp-22, 0x1.7265a0671e393p-22, 0x1.58e771d1c32f2p-22, 0x1.40b6b840a1c12p-22, 0x1.29c5a62fa2c9bp-22, 0x1.14067ac1adaaap-22, 0x1.fed83b5373d8fp-23, 0x1.d7d4474a50afep-23, 0x1.b2e8dd3e012b7p-23, 0x1.8ffe025cdbeb6p-23, 0x1.6efbff802fd8cp-23, 0x1.4fcbade9ea533p-23, 0x1.3256f751a11cep-23, 0x1.16893334618f8p-23, 0x1.f89e17a197d67p-24, 0x1.c72beee7c7037p-24, 0x1.98979de462246p-24, 0x1.6cbdf26d200bdp-24, 0x1.437ddcec32912p-24, 0x1.1cb8ddc848f15p-24, 0x1.f0a406f4c9f2ap-25, 0x1.ac57abe519089p-25, 0x1.6c4f11333b3ebp-25, 0x1.304ea79f46551p-25, 0x1.f043840ec3ab5p-26, 0x1.8731811b116fep-26, 0x1.250a31b16049ap-26, 0x1.92e14578768f4p-27, 0x1.d0328706e4b63p-28, 0x1.24702915a46b1p-29, -0x1.2ab75abec6ec4p-29, -0x1.a7aec3f7e37adp-28, -0x1.52f0ab35a3bf3p-27, -0x1.c8884c81f7ed2p-27, -0x1.1a956f105be53p-26, -0x1.4cb0414002df5p-26, -0x1.7ad4e1c2d7538p-26, -0x1.a53e93e1155c2p-26, -0x1.cc2360c1977abp-26, -0x1.efb522bb260aap-26, -0x1.0811a8b4624adp-25, -0x1.16ce3489ad993p-25, -0x1.24271fe2e15c6p-25, -0x1.30329e640161fp-25, -0x1.3b05ac6738c43p-25, -0x1.44b466c7539a4p-25, -0x1.4d52f0e53b064p-25, -0x1.54f4626b0492cp-25, -0x1.5ba9115153a47p-25, -0x1.618014815039p-25, -0x1.66886d2a1319ep-25, -0x1.6ad08b345f42dp-25, -0x1.6e65c7a28c367p-25, -0x1.71543ab82cc48p-25, -0x1.73a7570cf0149p-25, -0x1.756a09e3cd749p-25, -0x1.76a6dd1e0cf23p-25, -0x1.77680f9fc4a97p-25, -0x1.77b78e410bbabp-25, -0x1.779ecd2c01b23p-25, -0x1.77269872693aep-25, -0x1.7656f0fc93d91p-25, -0x1.7536ff1a93947p-25, -0x1.73cd229e8d95ep-25, -0x1.721f2cc7153e7p-25, -0x1.7032b7ffe542ap-25, -0x1.6e0d6997345c2p-25, -0x1.6bb4ec7f8d486p-25, -0x1.692ea178b3f13p-25, -0x1.667f3fb47c126p-25, -0x1.63aacb8d1f2cdp-25, -0x1.60b4f802fb136p-25, -0x1.5da13becb5afp-25, -0x1.5a72a5b11f3d9p-25, -0x1.572c47d87fdc6p-25, -0x1.53d13f9ef0d47p-25, -0x1.50642242ddcb1p-25, -0x1.4ce719f4c9df7p-25, -0x1.495c1168464e7p-25, -0x1.45c4d76c951a3p-25, -0x1.422300a5869adp-25, -0x1.3e77ea61e498ap-25, -0x1.3ac4e5165aa42p-25, -0x1.370b385305fd1p-25, -0x1.334c0855b30acp-25, -0x1.2f8842b6e09c8p-25, -0x1.2bc0a5a57d147p-25, -0x1.27f5d1dbd3067p-25, -0x1.24283d2408ef7p-25, -0x1.2058325cea12ap-25, -0x1.1c85e07e90408p-25, -0x1.18b16f0c4d4efp-25, -0x1.14db0b4046009p-25, -0x1.1102e203347c7p-25, -0x1.0d290d08397c1p-25, -0x1.094d813de2ddap-25, -0x1.05700a9e8a9cdp-25, -0x1.01905f4ac869cp-25, -0x1.fb5c7345da7e6p-26, -0x1.f392b7828edcbp-26, -0x1.ebc3087668554p-26, -0x1.e3ece48c91fa7p-26, -0x1.dc0f9b0be858fp-26, -0x1.d42a3e0c0b4eep-26, -0x1.cc3bf5f36cddap-26, -0x1.c443eaaec4929p-26, -0x1.bc41141c2bcfbp-26, -0x1.b4329597b819bp-26, -0x1.ac1770404cf87p-26, -0x1.a3eeb81a6f2f1p-26, -0x1.9bb7832c78487p-26, -0x1.9370e544febfbp-26, -0x1.8b19e9a273433p-26, -0x1.82b191c989ddcp-26, -0x1.7a37150449717p-26, -0x1.71a99f8889c49p-26, -0x1.69079840f1b57p-26, -0x1.6050c2a5837a2p-26, -0x1.57844832ee992p-26, -0x1.4ea11897422f2p-26, -0x1.45a67aa4b7f3bp-26, -0x1.3c93b343f9b35p-26, -0x1.33680c92673cap-26, -0x1.2a22d3bc6ddf8p-26, -0x1.20c35b6a509aap-26, -0x1.1749009a1f054p-26, -0x1.0db330da4492ep-26, -0x1.0401675ee319cp-26, -0x1.f4664c81cc93bp-27, -0x1.e08ff89c8f8c9p-27, -0x1.cc7efd11a235ep-27, -0x1.b832a08ba3f28p-27, -0x1.a3aa447135fe9p-27, -0x1.8ee5608e06ea3p-27, -0x1.79e385661082dp-27, -0x1.64a45aa7af6dbp-27, -0x1.4f279cf27e366p-27, -0x1.396d1cc6fde95p-27, -0x1.2374bf54f45f5p-27, -0x1.0d3e7fdf118c3p-27, -0x1.ed94def349f2cp-28, -0x1.c03170f4bd53p-28, -0x1.925338dd6421ap-28, -0x1.63faebe426596p-28, -0x1.35297263bed5fp-28, -0x1.05dfe4bd0421dp-28, -0x1.ac3f075f175cfp-29, -0x1.4bd36447c0f52p-29, -0x1.d4fff1cc5f664p-30, -0x1.1090a39103b87p-30, -0x1.2982bdaf65353p-32, 0x1.f622c8a1de86bp-32, 0x1.47257ade13811p-30, 0x1.09371f2b5e7c8p-29, 0x1.6fac22093f4dep-29, 0x1.d6eb8d42a7aep-29, 0x1.1f77cef2b2e55p-28, 0x1.53d97da9e97d4p-28, 0x1.88981e62a874ep-28, 0x1.bdb0c33e6d757p-28, 0x1.f3205a89197fcp-28, 0x1.1471d63a976c7p-27, 0x1.2f7bb2123ce1dp-27, 0x1.4aac0a178811p-27, 0x1.66011c3d35f42p-27, 0x1.81791c9a2d70dp-27, 0x1.9d12369c22cc3p-27, 0x1.b8ca8d23d67f7p-27, 0x1.d4a03a1aa925bp-27, 0x1.f0914db8c1a46p-27, 0x1.064de77aaffa1p-26, 0x1.145ede27cf9ddp-26, 0x1.227a864755b25p-26, 0x1.309fd763c61d5p-26, 0x1.3ecdc52c0a1edp-26, 0x1.4d033fbef24aap-26, 0x1.5b3f35112f017p-26, 0x1.698092bfb90cbp-26, 0x1.77c6461924a0fp-26, 0x1.860f3ad10625ap-26, 0x1.945a5a46968aap-26, 0x1.a2a68bfeb19e6p-26, 0x1.b0f2b5595a069p-26, 0x1.bf3db840b1661p-26, 0x1.cd86758a6a801p-26, 0x1.dbcbd25e77acp-26, 0x1.ea0cb6897ed7ap-26, 0x1.f848080b914dep-26, 0x1.033e550cef785p-25, 0x1.0a54c0abea285p-25, 0x1.1166ba017b6cp-25, 0x1.1873b3985d58ep-25, 0x1.1f7b2113936d1p-25, 0x1.267c7739d30bbp-25, 0x1.2d77281052b01p-25, 0x1.346aa89c3d60bp-25, 0x1.3b5680fa5e17ap-25, 0x1.423a19ccc9727p-25, 0x1.4914ead6f06f5p-25, 0x1.4fe6721c1a59bp-25, 0x1.56ae2b4cdefc2p-25, 0x1.5d6b932817032p-25, 0x1.641e280f2e078p-25, 0x1.6ac569ce98e97p-25, 0x1.7160d990c334ep-25, 0x1.77eff9e3705d6p-25, 0x1.7e724ec669b6cp-25, 0x1.84e75dcbbb878p-25, 0x1.8b4eaea07d03bp-25, 0x1.91a7cad7b2191p-25, 0x1.97f23e2443d6dp-25, 0x1.9e2d968688305p-25, 0x1.a4596320b03b6p-25, 0x1.aa7535399174fp-25, 0x1.b0809ff45d162p-25, 0x1.b67b37f2d56ep-25, 0x1.bc6493e742ddcp-25, 0x1.c23c4dd499fe6p-25, 0x1.c80202367506bp-25, 0x1.cdb54f46b0572p-25, 0x1.d355d49f180e1p-25, 0x1.d8e33459fb8d5p-25, 0x1.de5d13d392534p-25, 0x1.e3c319c86ba66p-25, 0x1.e914ef55c8b88p-25, 0x1.ee52407011411p-25, 0x1.f37ab954e3989p-25, }}, 
      {{0x1.d09d46918c971p-8, 0x1.bf4c11b46c401p-7, 0x1.3abf2887526f8p-6, 0x1.7f2421c924d91p-6, 0x1.a822d33a39515p-6, 0x1.b2a06b3246524p-6, 0x1.9cf6ec2b6afbap-6, 0x1.66c378bbaf83ap-6, 0x1.10aeac6d56d24p-6, 0x1.3869f0af3bf6cp-7, 0x1.6e5671cb1a9dbp-11, -0x1.3e140320affcap-7, -0x1.60690a6e77b11p-6, -0x1.1ad4542ca31fdp-5, -0x1.8ddc34a197967p-5, -0x1.03e36875c4b13p-4, -0x1.438cdb8175b44p-4, -0x1.8535a5081c9a6p-4, -0x1.c8338040b869p-4, -0x1.05f40f94a03f1p-3, -0x1.27e10105a3c2cp-3, -0x1.499e6a602f8a2p-3, -0x1.6af0b5f74d533p-3, -0x1.8ba2bd6d521a6p-3, -0x1.ab858b8c4575dp-3, -0x1.ca700d8a6c9ebp-3, -0x1.e83eba27e3293p-3, -0x1.026999b2530c7p-2, -0x1.1009f32678475p-2, -0x1.1cf5d5b5e3622p-2, -0x1.2924b4dda1193p-2, -0x1.348fdeaaa34abp-2, -0x1.3f32515856969p-2, -0x1.4908936d802dcp-2, -0x1.52108e6d3c5d7p-2, -0x1.5a496c1921e77p-2, -0x1.61b3762f6cf3p-2, -0x1.684ff883cf4e6p-2, -0x1.6e212549cf324p-2, -0x1.7329fb6485a0fp-2, -0x1.776e2e904fe1ep-2, -0x1.7af2113edb7a5p-2, -0x1.7dba8003775aap-2, -0x1.7fccce73d175ap-2, -0x1.812eb5660480ap-2, -0x1.81e642759091ap-2, -0x1.81f9c8c7c8f93p-2, -0x1.816fd2f4ee5aep-2, -0x1.804f161376698p-2, -0x1.7e9e65cfe72ecp-2, -0x1.7c64a98778c6fp-2, -0x1.79a8d25ae5bb3p-2, -0x1.7671d22a4ec7p-2, -0x1.72c69370f3e24p-2, -0x1.6eadf1f1dfa74p-2, -0x1.6a2eb430db74ep-2, -0x1.654f85a416852p-2, -0x1.6016f19dca55ep-2, -0x1.5a8b5ed952153p-2, -0x1.54b30baaa3f2ep-2, -0x1.4e940ac2ae8e4p-2, -0x1.4834407959ea1p-2, -0x1.419960b28327ap-2, -0x1.3ac8ed02d6dfdp-2, -0x1.33c8339858cb8p-2, -0x1.2c9c4e1b30bddp-2, -0x1.254a21567e831p-2, -0x1.1dd65cee3ee7ep-2, -0x1.16457bab74b3cp-2, -0x1.0e9bc3614d321p-2, -0x1.06dd469dbd299p-2, -0x1.fe1bc70398bbcp-3, -0x1.ee628dd20104dp-3, -0x1.de95d85d3edadp-3, -0x1.cebc3ba26f51ap-3, -0x1.bedbf4493642ep-3, -0x1.aefadf24d923ap-3, -0x1.9f1e869e063fcp-3, -0x1.8f4c1d507f36bp-3, -0x1.7f8886a159061p-3, -0x1.6fd85581ffae8p-3, -0x1.603fd3df131c7p-3, -0x1.50c303a786c1cp-3, -0x1.4165a00eaf5dbp-3, -0x1.322b263debabep-3, -0x1.2316d0e08fde5p-3, -0x1.142b9f688116fp-3, -0x1.056c573ee3e1p-3, -0x1.edb70a4b8e83dp-4, -0x1.d0f7027afa659p-4, -0x1.b49ce0c6ab409p-4, -0x1.98ac8da85646fp-4, -0x1.7d2994446e00cp-4, -0x1.621725f0bb372p-4, -0x1.47781d9e0f211p-4, -0x1.2d4f02c7d7b7fp-4, -0x1.139e0c65235fdp-4, -0x1.f4ce47d18d6bbp-5, -0x1.c357d07f237d5p-5, -0x1.92db620fae7f7p-5, -0x1.635b23cc8b41fp-5, -0x1.34d8bbb2c370ep-5, -0x1.07555559f8ec5p-5, -0x1.b5a351735c34fp-6, -0x1.5e9c01643bcaep-6, -0x1.0994832d4ddfap-6, -0x1.6d17bdc7b1c56p-7, -0x1.9601a033d43c3p-8, -0x1.66fc99d7be35cp-10, 0x1.b547734ee9043p-9, 0x1.039a878c6724bp-7, 0x1.960281646e9aep-7, 0x1.12496ae590a52p-6, 0x1.57aab905b602ep-6, 0x1.9b2a8837af216p-6, 0x1.dcce91ff1d5afp-6, 0x1.0e4e715ad2d42p-5, 0x1.2d4de836022ebp-5, 0x1.4b68f918ea639p-5, 0x1.68a30bfd616cbp-5, 0x1.84ffa192cf36bp-5, 0x1.a0824fb1190fep-5, 0x1.bb2ebe1149a44p-5, 0x1.d508a350e937bp-5, 0x1.ee13c21f64ff3p-5, 0x1.0329f35327556p-4, 0x1.0ee6720b3c8bp-4, 0x1.1a414934aa27cp-4, 0x1.253c6627611e1p-4, 0x1.2fd9b68dd5234p-4, 0x1.3a1b277ee27bbp-4, 0x1.4402a4a4ccd89p-4, 0x1.4d92175fea416p-4, 0x1.56cb661278696p-4, 0x1.5fb0736deb328p-4, 0x1.68431dc1fec75p-4, 0x1.70853e7aeb224p-4, 0x1.7878a9943f1cp-4, 0x1.801f2d117d5ap-4, 0x1.877a90adf0bbdp-4, 0x1.8e8c9578221bbp-4, 0x1.9556f56d2db0bp-4, 0x1.9bdb6351b2c72p-4, 0x1.a21b8a7665811p-4, 0x1.a8190e6ea763bp-4, 0x1.add58b0674db2p-4, 0x1.b352942c1fc6ap-4, 0x1.b891b5ba68291p-4, 0x1.bd94737e7870bp-4, 0x1.c25c494437be2p-4, 0x1.c6eaaaaffa3fep-4, 0x1.cb410343eefaap-4, 0x1.cf60b68a87ec8p-4, 0x1.d34b200802e59p-4, 0x1.d7019332236e1p-4, 0x1.da855ba7e700ap-4, 0x1.ddd7bd48cd459p-4, 0x1.e0f9f422d8ae6p-4, 0x1.e3ed349c62d2ap-4, 0x1.e6b2abb33e61p-4, 0x1.e94b7efbc4599p-4, 0x1.ebb8cca7d9f9fp-4, 0x1.edfbabd09b8fap-4, 0x1.f0152ca6ecde5p-4, 0x1.f206586c554b8p-4, 0x1.f3d031962d4f7p-4, 0x1.f573b4205ef7ap-4, 0x1.f6f1d5af66841p-4, 0x1.f84b858ebf8aap-4, 0x1.f981ace56c6ebp-4, 0x1.fa952f05f8f65p-4, 0x1.fb86e9880fdc4p-4, 0x1.fc57b44d7d483p-4, 0x1.fd0861bd08c2p-4, 0x1.fd99bf0cec15ap-4, 0x1.fe0c94583b4bp-4, 0x1.fe61a4a66afdap-4, 0x1.fe99ae25b7f66p-4, 0x1.feb56a723e49p-4, 0x1.feb58ea923ca3p-4, 0x1.fe9acb6b5981fp-4, 0x1.fe65cd1309984p-4, 0x1.fe173bfdee8f1p-4, 0x1.fdafbca37cbd5p-4, 0x1.fd2fef89f3642p-4, 0x1.fc98716aa55bap-4, 0x1.fbe9db8427916p-4, 0x1.fb24c3c54eb49p-4, 0x1.fa49bcb82d478p-4, 0x1.f959557e7f123p-4, 0x1.f8541a183707fp-4, 0x1.f73a93b50f71cp-4, 0x1.f60d48baea7c7p-4, 0x1.f4ccbc9a39bd2p-4, 0x1.f3796fd7711dep-4, 0x1.f213e06397ad3p-4, 0x1.f09c89e871097p-4, 0x1.ef13e5b942f3p-4, 0x1.ed7a6a97ca179p-4, 0x1.ebd08cbb53582p-4, 0x1.ea16be2e723f8p-4, 0x1.e84d6f21afedcp-4, 0x1.e6750ddc9fd44p-4, 0x1.e48e0673d25f4p-4, 0x1.e298c2b6a7d35p-4, 0x1.e095aa81a9051p-4, 0x1.de8524238f613p-4, 0x1.dc67946aa29aap-4, 0x1.da3d5e588835bp-4, 0x1.d806e2e50aa71p-4, 0x1.d5c48126d7bc1p-4, 0x1.d37696c150ebp-4, 0x1.d11d8026eb9dcp-4, 0x1.ceb99870a5ce5p-4, 0x1.cc4b390188b3bp-4, 0x1.c9d2b965e6905p-4, 0x1.c7506f9bc7199p-4, 0x1.c4c4b07f50e65p-4, 0x1.c22fcff136fc4p-4, 0x1.bf922097426d5p-4, 0x1.bcebf37fddd0ep-4, 0x1.ba3d980d80679p-4, 0x1.b7875c44884b7p-4, 0x1.b4c98d324b32ap-4, 0x1.b204770e3962fp-4, 0x1.af3864fbea57p-4, 0x1.ac65a0af549e9p-4, 0x1.a98c724ea66acp-4, 0x1.a6ad20b0c768bp-4, 0x1.a3c7f1c03f6dcp-4, 0x1.a0dd2aaba0299p-4, 0x1.9ded0fbe3f37p-4, 0x1.9af7e409c6a85p-4, 0x1.97fde9305a8f6p-4, 0x1.94ff5f7fa735ep-4, 0x1.91fc8645599bp-4, 0x1.8ef59c15e5a49p-4, 0x1.8beadececda7cp-4, 0x1.88dc8b58a74ffp-4, 0x1.85cadd5f9ac6dp-4, 0x1.82b60f3dcf75ep-4, 0x1.7f9e5a28b8173p-4, 0x1.7c83f67c010dap-4, 0x1.79671be8965fbp-4, 0x1.7648016863621p-4, 0x1.7326dd0584d6dp-4, 0x1.7003e3a286a1p-4, 0x1.6cdf48edeea7ep-4, 0x1.69b93f895a22ep-4, 0x1.6691f9461c8c1p-4, 0x1.6369a74c79f2bp-4, 0x1.60407a15e13d4p-4, 0x1.5d16a142fea3dp-4, 0x1.59ec4b6d429f1p-4, 0x1.56c1a6146b3cdp-4, 0x1.5396ddb421ec9p-4, 0x1.506c1df1ac5ddp-4, 0x1.4d4191c3253d7p-4, 0x1.4a1763795a189p-4, 0x1.46edbcaa27953p-4, 0x1.43c4c60bfe1afp-4, 0x1.409ca75acd18dp-4, 0x1.3d7587578f9d6p-4, 0x1.3a4f8be21abb9p-4, 0x1.372ada1c4e803p-4, 0x1.34079682119dfp-4, 0x1.30e5e4eaf3f25p-4, 0x1.2dc5e87764a44p-4, 0x1.2aa7c37680872p-4, 0x1.278b975473d1dp-4, 0x1.2471849c129c7p-4, 0x1.2159ab0a557dfp-4, 0x1.1e4429a80bf83p-4, 0x1.1b311edc59ff7p-4, 0x1.1820a87055db2p-4, 0x1.1512e3844129ep-4, 0x1.1207ec7d8f1e3p-4, 0x1.0effdef8526c2p-4, 0x1.0bfad5c49e521p-4, 0x1.08f8eaf159e4bp-4, 0x1.05fa37de4bf15p-4, 0x1.02fed54c850fdp-4, 0x1.0006db66955f6p-4, 0x1.fa24c37d0c859p-5, 0x1.f442fe87e2d02p-5, 0x1.ee68947020487p-5, 0x1.e895b04d3268fp-5, 0x1.e2ca7bcf80a5dp-5, 0x1.dd071f5483ad9p-5, 0x1.d74bc20102cf5p-5, 0x1.d19889d693dfp-5, 0x1.cbed9bbde6deep-5, 0x1.c64b1b83fddd9p-5, 0x1.c0b12bcd977aep-5, 0x1.bb1fee081316ap-5, 0x1.b5978260d1b2ep-5, 0x1.b01807c8a6441p-5, 0x1.aaa19c020a591p-5, 0x1.a5345bb3a8206p-5, 0x1.9fd062785ecb5p-5, 0x1.9a75cae898faap-5, 0x1.9524ae9b97209p-5, 0x1.8fdd2621bd1c4p-5, 0x1.8a9f48fb9df6bp-5, 0x1.856b2d936ac6ep-5, 0x1.8040e93dac77ap-5, 0x1.7b2090420b5bap-5, 0x1.760a35e8c3ba1p-5, 0x1.70fdec879e286p-5, 0x1.6bfbc58afff29p-5, 0x1.6703d179a2242p-5, 0x1.62161ff325b99p-5, 0x1.5d32bfab30d25p-5, 0x1.5859be644692bp-5, 0x1.538b28ee68004p-5, 0x1.4ec70b2c2ec0cp-5, 0x1.4a0d701dde806p-5, 0x1.455e61eec3adbp-5, 0x1.40b9ea00480a4p-5, 0x1.3c2010efc45f6p-5, 0x1.3790de9639118p-5, 0x1.330c5a0300b68p-5, 0x1.2e92897406e3cp-5, 0x1.2a23724f7012p-5, 0x1.25bf1922c3573p-5, 0x1.216581aad55fap-5, 0x1.1d16aee3c83dap-5, 0x1.18d2a31d3441fp-5, 0x1.1499600c616dep-5, 0x1.106ae6d67913cp-5, 0x1.0c47380f90404p-5, 0x1.082e53aeaa3eap-5, 0x1.042038fa48d29p-5, 0x1.001ce673fa30fp-5, 0x1.f848b3959c91dp-6, 0x1.f06d1fb76fbecp-6, 0x1.e8a70986d0215p-6, 0x1.e0f667ff4674ap-6, 0x1.d95b313041a09p-6, 0x1.d1d55a86f7bb9p-6, 0x1.ca64d8f8eaadbp-6, 0x1.c309a0ff6ffeep-6, 0x1.bbc3a660c3c14p-6, 0x1.b492dbd26a61dp-6, 0x1.ad77328ddf4acp-6, 0x1.a67099f838dbp-6, 0x1.9f7eff7cbf36ap-6, 0x1.98a24eaf7d257p-6, 0x1.91da71b9efe06p-6, 0x1.8b2751fdb4b26p-6, 0x1.8488d8c5e6679p-6, 0x1.7dfeefd66aa32p-6, 0x1.778981ac95c99p-6, 0x1.71287955b5fdp-6, 0x1.6adbc1db089ecp-6, 0x1.64a3456072e68p-6, 0x1.5e7eec2cca46ep-6, 0x1.586e9bdf82eb9p-6, 0x1.527237134ca5ap-6, 0x1.4c899d96fee11p-6, 0x1.46b4ad41cf6cdp-6, 0x1.40f3433dea44p-6, 0x1.3b453d803cc63p-6, 0x1.35aa7c0f7b69ap-6, 0x1.3022e1bf64701p-6, 0x1.2aae54200fd08p-6, 0x1.254cba8f7b09p-6, 0x1.1ffdfc936d778p-6, 0x1.1ac1ffd51d5efp-6, 0x1.1598a6397031ep-6, 0x1.1081cc95e36b9p-6, 0x1.0b7d4a67a340dp-6, 0x1.068af2bb3a53fp-6, 0x1.01aa962c22ddbp-6, 0x1.f9b80b36fd0e4p-7, 0x1.f03e2a0e60d16p-7, 0x1.e6e73ba947949p-7, 0x1.ddb2ffe9957c9p-7, 0x1.d4a14300e641dp-7, 0x1.cbb1d982b510ap-7, 0x1.c2e499f80eee6p-7, 0x1.ba39554204a0cp-7, 0x1.b1afcf7b42599p-7, 0x1.a947bb0c559c2p-7, 0x1.a100b744baeb6p-7, 0x1.98da531376427p-7, 0x1.90d413944edc8p-7, 0x1.88ed7d43b76afp-7, 0x1.81261dfdc5177p-7, 0x1.797d959f3b1d2p-7, 0x1.71f39b47b23a2p-7, 0x1.6a87fdd922603p-7, 0x1.633a9f47434a4p-7, 0x1.5c0b6b6865a7ap-7, 0x1.54fa4c015c402p-7, 0x1.4e071c7ad058cp-7, 0x1.47319fe071648p-7, 0x1.40797b69e788p-7, 0x1.39de36ec1baf5p-7, 0x1.335f435f1d319p-7, 0x1.2cfc06630f222p-7, 0x1.26b3e89ffaff3p-7, 0x1.20866436045e3p-7, 0x1.1a73105709255p-7, 0x1.1479a7974dafp-7, 0x1.0e9a0778ae037p-7, 0x1.08d429026d237p-7, 0x1.032813a114b8p-7, 0x1.fb2b9988e9749p-8, 0x1.f03a8ee5459eep-8, 0x1.e57cae383ef3ep-8, 0x1.daf150b45a3d2p-8, 0x1.d0978218d6065p-8, 0x1.c66e0f9ddb609p-8, 0x1.bc73a2b060671p-8, 0x1.b2a6e27c7e3c2p-8, 0x1.a90696280da7ap-8, 0x1.9f91c19c0811ep-8, 0x1.9647b7b3dd20fp-8, 0x1.8d281e7b5a29fp-8, 0x1.8432e48cdd4d1p-8, 0x1.7b682953a47f2p-8, 0x1.72c81c7e231p-8, 0x1.6a52dabee646ep-8, 0x1.62084e996c0f1p-8, 0x1.59e81b1d93bdep-8, 0x1.51f1944618fa7p-8, 0x1.4a23c5c38e4ffp-8, 0x1.427d86250fe8ep-8, 0x1.3afd923994858p-8, 0x1.33a2ab80f1ed8p-8, 0x1.2c6bb47c828eap-8, 0x1.2557c66ce1ca7p-8, 0x1.1e663d527b973p-8, 0x1.1796b8b2a20bbp-8, 0x1.10e9118239b9ap-8, 0x1.0a5d475e0e446p-8, 0x1.03f368a085226p-8, 0x1.fb56f3459301dp-9, 0x1.ef0abedcb7fa2p-9, 0x1.e301a2909f602p-9, 0x1.d73aa61305255p-9, 0x1.cbb470fc427a4p-9, 0x1.c06d60f8fd0c3p-9, 0x1.b563aa7e9c36cp-9, 0x1.aa957dbf9e0dfp-9, 0x1.a00129135d026p-9, 0x1.95a5329a6a2bbp-9, 0x1.8b8064e3a2037p-9, 0x1.8191cd92e5ef5p-9, 0x1.77d8b091e7175p-9, 0x1.6e5474cf23f8fp-9, 0x1.6504902b0f0acp-9, 0x1.5be876f0c4732p-9, 0x1.52ff90f5d2a7p-9, 0x1.4a49342f28b8fp-9, 0x1.41c4a32f29c24p-9, 0x1.39710e0c5033ap-9, 0x1.314d9544da7ecp-9, 0x1.29594f119f615p-9, 0x1.21934f109b962p-9, 0x1.19faae64defb1p-9, 0x1.128e9102564b1p-9, 0x1.0b4e257ebb6d2p-9, 0x1.04389f8c187b8p-9, 0x1.fa9a60d3ef5fp-10, 0x1.ed1603899bdcep-10, 0x1.dfe26b15d513cp-10, 0x1.d2fdd315e864bp-10, 0x1.c666761ae68e2p-10, 0x1.ba1a8e61f1a23p-10, 0x1.ae1850b979241p-10, 0x1.a25dea56fe609p-10, 0x1.96e98d623adb2p-10, 0x1.8bb991d718df2p-10, 0x1.80cca244ae7d2p-10, 0x1.7621ddb100bb8p-10, 0x1.6bb8d4f2b76ccp-10, 0x1.619157bff0432p-10, 0x1.57ab1e7ddedc6p-10, 0x1.4e0572da73608p-10, 0x1.449efe28c3f76p-10, 0x1.3b75d666f1f32p-10, 0x1.3287c833378d7p-10, 0x1.29d2c027c4214p-10, 0x1.215524cd42fe3p-10, 0x1.190df45a3f01cp-10, 0x1.10fc9206addb1p-10, 0x1.09205755e7d58p-10, 0x1.01782376825d8p-10, 0x1.f40459b478be5p-11, 0x1.e57873ad7a015p-11, 0x1.d74854e906669p-11, 0x1.c9711823a15ffp-11, 0x1.bbf1ce8f0f1d3p-11, 0x1.aecb38b7ed3bap-11, 0x1.a1feb6306aa3cp-11, 0x1.958ce4fa7be1cp-11, 0x1.89748cc85c93fp-11, 0x1.7db24dbfcc5c1p-11, 0x1.72413709144ebp-11, 0x1.671c0dc2125dbp-11, 0x1.5c3ec364be514p-11, 0x1.51a77690c5438p-11, 0x1.475677364ae71p-11, 0x1.3d4d3b4059374p-11, 0x1.338cd0bb488d5p-11, 0x1.2a14b2fa7d369p-11, 0x1.20e29eeb3637p-11, 0x1.17f34cb0ad872p-11, 0x1.0f43711c5ce07p-11, 0x1.06d07320b287dp-11, 0x1.fd313e25a8a16p-12, 0x1.ed35e7d758ef4p-12, 0x1.ddad938f27ccdp-12, 0x1.ce96ffc7fc4a4p-12, 0x1.bff05c648573fp-12, 0x1.b1b68fc6a1399p-12, 0x1.a3e4ac2857b63p-12, 0x1.96744b1c37517p-12, 0x1.895f1a01c1e1ep-12, 0x1.7ca0da16701f4p-12, 0x1.70387979310b2p-12, 0x1.64276acaa50ecp-12, 0x1.586faa9e35ea7p-12, 0x1.4d11d91768abep-12, 0x1.420c903922664p-12, 0x1.375d0b4099cfbp-12, 0x1.2d006b172723bp-12, 0x1.22f4be64665b1p-12, 0x1.193915893e6f4p-12, 0x1.0fcc8243b3625p-12, 0x1.06ace17eea526p-12, 0x1.fbad1352ea66ep-13, 0x1.ea8a0e678f813p-13, 0x1.d9e84b3dd1764p-13, 0x1.c9c10b188658dp-13, 0x1.ba0f35b29ffd7p-13, 0x1.aacecd5bd970bp-13, 0x1.9bfc8a0cfa623p-13, 0x1.8d95d4d4f8aa4p-13, 0x1.7f98ef594e869p-13, 0x1.7204cb17faddfp-13, 0x1.64d86a723ecb8p-13, 0x1.58125d6dc396p-13, 0x1.4bb0b357bc3e9p-13, 0x1.3fb13522630ebp-13, 0x1.3411f5333fc09p-13, 0x1.28d1bf1c8b5f9p-13, 0x1.1def58aac34c8p-13, 0x1.1368273f49e9ap-13, 0x1.093807f94568dp-13, 0x1.feb50c4148e52p-14, 0x1.eb982bae8af5dp-14, 0x1.d914e3ce3e07ap-14, 0x1.c728419a03ca2p-14, 0x1.b5cf0daa13dap-14, 0x1.a5042e110d395p-14, 0x1.94c031271d527p-14, 0x1.84fa0fb420ad4p-14, 0x1.75a918bf5cd1fp-14, 0x1.66c7eb5177ac9p-14, 0x1.5856410816455p-14, 0x1.4a56c3dd338adp-14, 0x1.3cca2f3531157p-14, 0x1.2fac96449db07p-14, 0x1.22f81699e6e74p-14, 0x1.16a98c8a12475p-14, 0x1.0ac0b949f20cep-14, 0x1.fe78ca86c0ad4p-15, 0x1.e830cb349a731p-15, 0x1.d29e14e4d523bp-15, 0x1.bdb662a34fd83p-15, 0x1.a9723dc1acb6fp-15, 0x1.95cc9bae073dp-15, 0x1.82c1e33f3c39p-15, 0x1.704f144e5c5ecp-15, 0x1.5e7125dfba003p-15, 0x1.4d249eaac055ap-15, 0x1.3c6543b811e24p-15, 0x1.2c2db4a3b252ep-15, 0x1.1c77e232d3eb4p-15, 0x1.0d3ecfd13c619p-15, 0x1.fcfdf6f049713p-16, 0x1.e0686865bccp-16, 0x1.c4b167a187253p-16, 0x1.a9cfcbf4fe13ep-16, 0x1.8fc0d7d7c946dp-16, 0x1.7682d4cd2a368p-16, 0x1.5e0eec5adff9ap-16, 0x1.465b197cae197p-16, 0x1.2f5f43467739p-16, 0x1.1915d6805844cp-16, 0x1.0378c65d5e8aep-16, 0x1.dd0209011a65bp-17, 0x1.b451263ed1752p-17, 0x1.8cd52cd491e81p-17, 0x1.6682dd0b32e35p-17, 0x1.414cca6087bb2p-17, 0x1.1d2678216e531p-17, 0x1.f40dab2e5780ep-18, 0x1.afdab51759f9cp-18, 0x1.6dc9deede1541p-18, 0x1.2ddac794492e9p-18, 0x1.dfa813a7dc2c7p-19, 0x1.670bbe1fb6f66p-19, 0x1.e3df9e657bb0dp-20, 0x1.0099832dc4089p-20, 0x1.1bf1c432f1c8fp-23, -0x1.6816c98afa1d8p-21, -0x1.86114589ee9b8p-20, -0x1.2931aa00ea859p-19, -0x1.8c5918a11cd99p-19, -0x1.ec629d9bb786ap-19, -0x1.24ba5066c6fa8p-18, -0x1.51f68d61440bdp-18, -0x1.7dff2d2d32ed1p-18, -0x1.a8c4788a6fcc7p-18, -0x1.d242823f18b04p-18, -0x1.faa769acbe36p-18, -0x1.11136bcd628abp-17, -0x1.24656e0d0f04cp-17, -0x1.3743db983d49bp-17, -0x1.49ab5ba23aab4p-17, -0x1.5b88c85a7a598p-17, -0x1.6cc8e8c57cc7p-17, -0x1.7d8b73800db52p-17, -0x1.8de5246c03a9fp-17, -0x1.9dbd419b89674p-17, -0x1.ad2156eb94c87p-17, -0x1.bc32086d860f8p-17, -0x1.caea9a4786b35p-17, -0x1.d93c5231519abp-17, -0x1.e723fbd07efc8p-17, -0x1.f4a56e90bae7dp-17, -0x1.00e34bd271b63p-16, -0x1.07473c038edc6p-16, -0x1.0d825c606cf09p-16, -0x1.13985a3b57d53p-16, -0x1.198bbdfbd5d62p-16, -0x1.1f5abb6addbbap-16, -0x1.24fd345bfac4p-16, -0x1.2a6f2606e333cp-16, -0x1.2fba75580d8ep-16, -0x1.34e59156134c6p-16, -0x1.39e8865721c9ep-16, -0x1.3ec8d70ce489p-16, -0x1.4395e14b807a2p-16, -0x1.48441b456925ep-16, -0x1.4ccef6df344d3p-16, -0x1.513267429f0d2p-16, -0x1.5566a4483864fp-16, -0x1.5980a2310fb33p-16, -0x1.5d84bdd4547b7p-16, -0x1.61692ef59df93p-16, -0x1.652b861c24ec5p-16, -0x1.68cdb6513fc1bp-16, -0x1.6c519394d7628p-16, -0x1.6fb81537ea48ap-16, -0x1.7301c2123ceb8p-16, -0x1.762f1aa579ef1p-16, -0x1.7940c0d21a085p-16, -0x1.7c3754282d3p-16, -0x1.7f1323c74a51bp-16, -0x1.81d401c57075bp-16, -0x1.8479831c985bep-16, -0x1.8703b97132116p-16, -0x1.897395e6822d8p-16, -0x1.8bc97226f9d5bp-16, -0x1.8e050877964acp-16, -0x1.902ec4591d02dp-16, -0x1.9254a4d23b741p-16, -0x1.94646fe235705p-16, -0x1.964db731965c2p-16, -0x1.98125014412cp-16, -0x1.99b8490373677p-16, -0x1.9b4ff7a38caa7p-16, -0x1.9cd9b6f10ee06p-16, -0x1.9e4e9ab302693p-16, -0x1.9fa9c61769598p-16, -0x1.a0eafba86b1c3p-16, -0x1.a213bf4e994f2p-16, -0x1.a325588e8c4c8p-16, -0x1.a4208550c196cp-16, -0x1.a505b584b73fp-16, -0x1.a5d5469b7b669p-16, -0x1.a68f9f0c0257ap-16, -0x1.a73522d630ad3p-16, -0x1.a7c60a66eeb09p-16, -0x1.a8423dd39627dp-16, -0x1.a8a960cba32efp-16, -0x1.a8fb2bfc27b87p-16, -0x1.a937e0ea8492cp-16, -0x1.a95feebec25b6p-16, -0x1.a972ac34a47b1p-16, -0x1.a9706d145de3dp-16, -0x1.a961093692b02p-16, -0x1.a944c9ececb64p-16, -0x1.a90cda3260289p-16, -0x1.a8b937a79d902p-16, -0x1.a8575638edcd6p-16, -0x1.a7e69bfb5444ep-16, -0x1.a760cce2aed9dp-16, -0x1.a6c8ca1d2192ep-16, -0x1.a622f3f593f93p-16, -0x1.a56c2cd73ceecp-16, -0x1.a49f4ec9bf274p-16, -0x1.a3bbc06e086acp-16, -0x1.a2c661283d268p-16, -0x1.a1c43d19c9daep-16, -0x1.a0b20e534c18bp-16, -0x1.9f8d5c22de24ep-16, -0x1.9e5693900af61p-16, -0x1.9d0ea3509516fp-16, -0x1.9bb623c59dd3cp-16, -0x1.9a4d55a8de265p-16, -0x1.98d444afb7206p-16, -0x1.974af11c73c31p-16, -0x1.95b183fe66abfp-16, -0x1.94086c2d12f47p-16, -0x1.924ff9c502168p-16, -0x1.9087c926340c2p-16, -0x1.8eb07455d2cbcp-16, -0x1.8cce63a6d67dep-16, -0x1.8adc81f3dfd4fp-16, -0x1.88d77383ca20fp-16, -0x1.86c791a7090cdp-16, -0x1.84aaa384cb656p-16, -0x1.827eb8b062701p-16, -0x1.8044c1d26f45ep-16, -0x1.7dfd6285ada99p-16, -0x1.7ba8e7854fb37p-16, -0x1.794780155da37p-16, -0x1.76d9534a6e3ecp-16, -0x1.745e8a145aa7fp-16, -0x1.71d75296dd68fp-16, -0x1.6f43d4bffe7d3p-16, -0x1.6ca42f3de8e5p-16, -0x1.69f8f1e2e8d8fp-16, -0x1.6743b7cf2b138p-16, -0x1.64844a322181fp-16, -0x1.61b7f3c5b5ae4p-16, -0x1.5edfde9cfc4c5p-16, -0x1.5bfecca96d10fp-16, -0x1.5913c55bd2f5p-16, -0x1.561e0dabed2fdp-16, -0x1.531e19ac1b492p-16, -0x1.50147fd198244p-16, -0x1.4d019b31a3895p-16, -0x1.49e553117b761p-16, -0x1.46bfe59385f74p-16, -0x1.4392eaed3b3b5p-16, -0x1.405c422a0788ap-16, -0x1.3d1dd27195f73p-16, -0x1.39d7bd985294bp-16, -0x1.36896817a0779p-16, -0x1.33335b4eb1eccp-16, -0x1.2fd5f2b2748dap-16, -0x1.2c716bf865285p-16, -0x1.2905ff37f022p-16, -0x1.2593e445ccf1ep-16, -0x1.221b535724274p-16, -0x1.1e9c84f152689p-16, -0x1.1b17b1d3efa2cp-16, -0x1.178d12edbe73ap-16, -0x1.13fce15268f18p-16, -0x1.1067562e2b1b3p-16, -0x1.0cccaaa2361dap-16, -0x1.092d176c3958bp-16, -0x1.0588d456487cdp-16, -0x1.01e017e8037d6p-16, -0x1.fc66302e7eb3ep-17, -0x1.f5041734c51bcp-17, -0x1.ed9a5301ae257p-17, -0x1.e62949a5bfa09p-17, -0x1.deb1563614957p-17, -0x1.d733055a09257p-17, -0x1.cfaf31543fdecp-17, -0x1.c825a60fb8245p-17, -0x1.c0969f7ecc751p-17, -0x1.b903649fea322p-17, -0x1.b16bb4fdd8517p-17, -0x1.a9d03dd184f28p-17, -0x1.a23119cf4fde7p-17, -0x1.9a8ec4fc992a6p-17, -0x1.92e9bd1fecfccp-17, -0x1.8b426875b00a9p-17, -0x1.8399289bc7517p-17, -0x1.7bee5e9eaa882p-17, -0x1.74426b3303c01p-17, -0x1.6c95ae79bb20cp-17, -0x1.64e887cfb1076p-17, -0x1.5d3b55aecd748p-17, -0x1.558e759ce5d4p-17, -0x1.4de24420c95f1p-17, -0x1.46371cb8f8a6bp-17, -0x1.3e8d59c769eebp-17, -0x1.36e554796841fp-17, -0x1.2f3f64c2d48e8p-17, -0x1.279be1905c936p-17, -0x1.1ffb210f1c873p-17, -0x1.185d78b169cdp-17, -0x1.10c33cf9b900cp-17, -0x1.092cc169af44bp-17, -0x1.019a587c472b2p-17, -0x1.f418a54a6cd5cp-18, -0x1.e505f87248c5p-18, -0x1.d5fd3ee30fd79p-18, -0x1.c6ff16f894795p-18, -0x1.b80c33f151bfbp-18, -0x1.a92544218efffp-18, -0x1.9a4a7f5dddca5p-18, -0x1.8b7c7146acad2p-18, -0x1.7cbc005b36bddp-18, -0x1.6e09a3c7672aep-18, -0x1.5f65d9e2dc969p-18, -0x1.50d1451b1deecp-18, -0x1.424c4eb264a58p-18, -0x1.33d74b06dd424p-18, -0x1.2572ab1ff085p-18, -0x1.171f339b9d1c1p-18, -0x1.08dd80abee799p-18, -0x1.f55bd6a2f04fep-19, -0x1.d921b85a95c1ep-19, -0x1.bd0d8b0c0168dp-19, -0x1.a12033cba4791p-19, -0x1.855a9339eb5dbp-19, -0x1.69bd84a6e8c48p-19, -0x1.4e49ddcb8b6b5p-19, -0x1.33006e8cb72b1p-19, -0x1.17e2015edd3fep-19, -0x1.f9deb91d43295p-20, -0x1.c4528655ba471p-20, -0x1.8f20e8b7cf957p-20, -0x1.5a4b55211ccb6p-20, -0x1.25d33834ce066p-20, -0x1.e373ef94b08a4p-21, -0x1.7c01d36aacdd7p-21, -0x1.15527b9e3d48fp-21, -0x1.5ed04d278252ep-22, -0x1.29158f5103cfbp-23, 0x1.a12bdbcf790e1p-25, 0x1.f66ec79d3164ep-23, 0x1.c0aead6f7e076p-22, 0x1.4245f12e39148p-21, 0x1.a35ed5175d18bp-21, 0x1.01d0f602a36fdp-20, 0x1.3187081c3b974p-20, 0x1.60d0ad1f14d27p-20, 0x1.8facf59c0da5fp-20, }}, 
      {{0x1.94eb9d29b1bc9p-8, 0x1.8d56124ff3849p-7, 0x1.20ce10bc2eb73p-6, 0x1.7096819810e0fp-6, 0x1.b3803330ceef2p-6, 0x1.e79550e7f4845p-6, 0x1.05b4ced7c3564p-5, 0x1.0f07eca482317p-5, 0x1.0f85f5fe66e2cp-5, 0x1.0721d53495a11p-5, 0x1.ebef6dd2014e1p-6, 0x1.b88b51ac5e931p-6, 0x1.74c995bb3e458p-6, 0x1.2186685542756p-6, 0x1.7f7a63fb53e1fp-7, 0x1.41fd5fa6b5495p-8, -0x1.589d043efd9d3p-9, -0x1.63a95da5163aap-7, -0x1.429ac17475eeap-6, -0x1.dc3f31b361f86p-6, -0x1.3ed0a76598122p-5, -0x1.92d48fa1ff47p-5, -0x1.e9a4bb13d7fb8p-5, -0x1.21605db9f3b41p-4, -0x1.4ed7680cf7257p-4, -0x1.7cfe1cdf4ca7dp-4, -0x1.ab9eb300d92a3p-4, -0x1.da86fd686709p-4, -0x1.04c43226ad398p-3, -0x1.1c3bea479bf9ep-3, -0x1.3396d3e676ab7p-3, -0x1.4ac2c38eaed06p-3, -0x1.61af24fe0521bp-3, -0x1.784ce956f0fe4p-3, -0x1.8e8e748fb838ep-3, -0x1.a4678a8254714p-3, -0x1.b9cd3bea6011fp-3, -0x1.ceb5d38b387e5p-3, -0x1.e318c3a98b683p-3, -0x1.f6ee93f7b8b08p-3, -0x1.0518680575165p-2, -0x1.0e6cfb33d7567p-2, -0x1.1772b417ba995p-2, -0x1.2027acba18963p-2, -0x1.288a611a5db79p-2, -0x1.3099a80118809p-2, -0x1.3854ac26be4eep-2, -0x1.3fbae5ad89e6ap-2, -0x1.46cc13ed03ab3p-2, -0x1.4d88378d96fb3p-2, -0x1.53ef8cf23f4edp-2, -0x1.5a0286ee8261dp-2, -0x1.5fc1c9c662275p-2, -0x1.652e26772918bp-2, -0x1.6a489644a1bcfp-2, -0x1.6f12368ae08d3p-2, -0x1.738c44cef003fp-2, -0x1.77b81b109d3b2p-2, -0x1.7b972c596a108p-2, -0x1.7f2b0186fe2a3p-2, -0x1.8275364cf7533p-2, -0x1.85777668c4e9fp-2, -0x1.88337b07dedc5p-2, -0x1.8aab0863203dp-2, -0x1.8cdfeb8f4e3d4p-2, -0x1.8ed3f87f201fbp-2, -0x1.908908278c63ep-2, -0x1.9200f6c44bd7ep-2, -0x1.933da23cd0928p-2, -0x1.9440e8b8409f5p-2, -0x1.950ca7624bd53p-2, -0x1.95a2b95d5c133p-2, -0x1.9604f6be685bap-2, -0x1.963533a0b6d99p-2, -0x1.96353f2cd48e4p-2, -0x1.9606e2d323022p-2, -0x1.95abe1a5387ebp-2, -0x1.9525f7df3f8bbp-2, -0x1.9476da8d10decp-2, -0x1.93a0372a175d7p-2, -0x1.92a3b339f111bp-2, -0x1.9182ebd49e2bfp-2, -0x1.903f7548e7939p-2, -0x1.8edadacdcaacep-2, -0x1.8d569e624e728p-2, -0x1.8bb438c788f03p-2, -0x1.89f51981fa43fp-2, -0x1.881aa6e0e295dp-2, -0x1.86263df3e44f8p-2, -0x1.841932772321cp-2, -0x1.81f4cebbb2561p-2, -0x1.7fba5394ce9fcp-2, -0x1.7d6af8541bd06p-2, -0x1.7b07ead79c74fp-2, -0x1.78924fa85944dp-2, -0x1.760b42249e2b6p-2, -0x1.7373d4aec30a5p-2, -0x1.70cd10da62f22p-2, -0x1.6e17f7941e175p-2, -0x1.6b55814258f04p-2, -0x1.68869de054ce8p-2, -0x1.65ac35164eba6p-2, -0x1.62c72651a78aep-2, -0x1.5fd848e02646bp-2, -0x1.5ce06c101a3ffp-2, -0x1.59e05755f828ep-2, -0x1.56d8ca7758a16p-2, -0x1.53ca7dba2d2a8p-2, -0x1.50b622168469ap-2, -0x1.4d9c61698bf4cp-2, -0x1.4a7ddea852caep-2, -0x1.475b361131ab4p-2, -0x1.4434fd5b781a7p-2, -0x1.410bc3e533db7p-2, -0x1.3de012df32f95p-2, -0x1.3ab26d77b47b8p-2, -0x1.37835104661aap-2, -0x1.3453352bf8675p-2, -0x1.31228c0fb5242p-2, -0x1.2df1c2755cdfp-2, -0x1.2ac13ff160764p-2, -0x1.279167114708ap-2, -0x1.24629586548cap-2, -0x1.213524502b20ap-2, -0x1.1e0967e72ec7ep-2, -0x1.1adfb0668633dp-2, -0x1.17b849b577801p-2, -0x1.14937bb00d898p-2, -0x1.11718a4ed3bb2p-2, -0x1.0e52b5cd6ac01p-2, -0x1.0b373ad038f21p-2, -0x1.081f5288d402fp-2, -0x1.050b32d931f1cp-2, -0x1.01fb0e75ec10cp-2, -0x1.fdde2a0e47ecdp-3, -0x1.f7cee690b5a7ap-3, -0x1.f1c8a64eeee61p-3, -0x1.ebcbb7c4d4545p-3, -0x1.e5d86447f1b96p-3, -0x1.dfeef03fd6ad8p-3, -0x1.da0f9b5b9b65fp-3, -0x1.d43aa0c5efaa4p-3, -0x1.ce7037586a09ap-3, -0x1.c8b091cbf895dp-3, -0x1.c2fbdee7c9505p-3, -0x1.bd5249b00b027p-3, -0x1.b7b3f991e2f61p-3, -0x1.b221128d71b39p-3, -0x1.ac99b56028ac2p-3, -0x1.a71dffaceb2f4p-3, -0x1.a1ae0c2150e5fp-3, -0x1.9c49f29b49f1cp-3, -0x1.96f1c84dd045dp-3, -0x1.91a59fe1f2da5p-3, -0x1.8c658997436dcp-3, -0x1.87319364d567dp-3, -0x1.8209c91719a7ap-3, -0x1.7cee346b3672p-3, -0x1.77dedd2b5f574p-3, -0x1.72dbc94a45c23p-3, -0x1.6de4fcfaba0b3p-3, -0x1.68fa7ac6c6d75p-3, -0x1.641c43a7fcd04p-3, -0x1.5f4a571d6bbep-3, -0x1.5a84b33e8f6a4p-3, -0x1.55cb54cf018c6p-3, -0x1.511e3752e54d8p-3, -0x1.4c7d55206803dp-3, -0x1.47e8a76f2dc35p-3, -0x1.43602669098b8p-3, -0x1.3ee3c93b07431p-3, -0x1.3a738623813c9p-3, -0x1.360f527ebb7fep-3, -0x1.31b722d4ea5aap-3, -0x1.2d6aeae864ec1p-3, -0x1.292a9dc136ca3p-3, -0x1.24f62db73a0e9p-3, -0x1.20cd8c7d913bap-3, -0x1.1cb0ab2e9a84cp-3, -0x1.189f7a5593fd3p-3, -0x1.1499e9f6960bep-3, -0x1.109fe9978dd7p-3, -0x1.0cb1684a35e4p-3, -0x1.08ce54b480418p-3, -0x1.04f69d16dbd0dp-3, -0x1.012a2f52c8b97p-3, -0x1.fad1f1e5a5ba8p-4, -0x1.f365ce64538ffp-4, -0x1.ec0fce0409956p-4, -0x1.e4cfca1c5660ap-4, -0x1.dda59b8538277p-4, -0x1.d6911aa45e47ep-4, -0x1.cf921f77d3972p-4, -0x1.c8a8819d20732p-4, -0x1.c1d4185801841p-4, -0x1.bb14ba9bce59p-4, -0x1.b46a3f1600872p-4, -0x1.add47c360222fp-4, -0x1.a7534831ed5edp-4, -0x1.a0e6790b45206p-4, -0x1.9a8de496414a9p-4, -0x1.9449608246469p-4, -0x1.8e18c2603913ep-4, -0x1.87fbdfa5d264ap-4, -0x1.81f28db06d41bp-4, -0x1.7bfca1ca14114p-4, -0x1.7619f1306218p-4, -0x1.704a511a593a2p-4, -0x1.6a8d96bb45074p-4, -0x1.64e3974401978p-4, -0x1.5f4c27e59a55ap-4, -0x1.59c71dd6640a6p-4, -0x1.54544e57a9458p-4, -0x1.4ef38eb929481p-4, -0x1.49a4b459ee1d2p-4, -0x1.446794a8bd30cp-4, -0x1.3f3c0526ac9a7p-4, -0x1.3a21db6be4d83p-4, -0x1.3518ed2c20be5p-4, -0x1.30211038a6028p-4, -0x1.2b3a1a7ffdcf7p-4, -0x1.2663e20de6579p-4, -0x1.219e3d0d9a8adp-4, -0x1.1ce901ce07c8ep-4, -0x1.184406c587e79p-4, -0x1.13af229325f34p-4, -0x1.0f2a2bfdd0e1cp-4, -0x1.0ab4f9f3caf6cp-4, -0x1.064f638c41065p-4, -0x1.01f9400acfb42p-4, -0x1.fb64cdc5af3bep-5, -0x1.f2f55f71a5fe9p-5, -0x1.eaa3e4c2fe7dep-5, -0x1.e2700dc19af82p-5, -0x1.da598ad4dab79p-5, -0x1.d2600cc8a60aap-5, -0x1.ca8344d39fac6p-5, -0x1.c2c2e49ab8f7bp-5, -0x1.bb1e9e30c74c1p-5, -0x1.b39624140b6f6p-5, -0x1.ac29292d0fa36p-5, -0x1.a4d760d0ea6d5p-5, -0x1.9da07ec610db4p-5, -0x1.96843748d5bfp-5, -0x1.8f823f0d16ee6p-5, -0x1.889a4b3cf9eacp-5, -0x1.81cc1176b0225p-5, -0x1.7b1747cbd4bc9p-5, -0x1.747ba4c37c5ebp-5, -0x1.6df8df5e06f16p-5, -0x1.678eaf187154bp-5, -0x1.613ccbed763d4p-5, -0x1.5b02ee547622fp-5, -0x1.54e0cf3f91013p-5, -0x1.4ed6281ad5b2bp-5, -0x1.48e2b2cd6a31bp-5, -0x1.430629bc32a71p-5, -0x1.3d4047cc776aep-5, -0x1.3790c865274ebp-5, -0x1.31f7676e5b69dp-5, -0x1.2c73e14fe1cafp-5, -0x1.2705f2f0099b6p-5, -0x1.21ad59b3b0238p-5, -0x1.1c69d37fa0a3p-5, -0x1.173b1eba93e51p-5, -0x1.1220fa4e874d3p-5, -0x1.0d1b25a9417bdp-5, -0x1.082960bb56bd3p-5, -0x1.034b6bf713145p-5, -0x1.fd02109f3f788p-6, -0x1.f393ee722db87p-6, -0x1.ea4bf552e6f96p-6, -0x1.e129aa3392863p-6, -0x1.d82c930e356f6p-6, -0x1.cf5436e4d4525p-6, -0x1.c6a01dc025186p-6, -0x1.be0fd0ad9f91ep-6, -0x1.b5a2d9bde5527p-6, -0x1.ad58c40453ea9p-6, -0x1.a5311b97b7a45p-6, -0x1.9d2b6d9394226p-6, -0x1.9547481927551p-6, -0x1.8d843a4f89d92p-6, -0x1.85e1d462cf31bp-6, -0x1.7e5fa7827f3cbp-6, -0x1.76fd45dfef47dp-6, -0x1.6fba42ad29fffp-6, -0x1.6896321c89677p-6, -0x1.6190a960fd353p-6, -0x1.5aa93eae75162p-6, -0x1.53df8939fc1ebp-6, -0x1.4d33213935341p-6, -0x1.46a39fe14fa5ap-6, -0x1.40309f6589124p-6, -0x1.39d9baf5b6584p-6, -0x1.339e8ebd12e26p-6, -0x1.2d7eb7e18c837p-6, -0x1.2779d483782aap-6, -0x1.218f83bd5342cp-6, -0x1.1bbf65a366cf6p-6, -0x1.16091b430b8a3p-6, -0x1.106c46a19772fp-6, -0x1.0ae88abafc8f3p-6, -0x1.057d8b8053f5dp-6, -0x1.002aedd67f5fap-6, -0x1.f5e0af2a1c8a5p-7, -0x1.eb9adf0ad14eap-7, -0x1.e183bac446b7fp-7, -0x1.d79a93ac7fe5dp-7, -0x1.cddebcf8b334fp-7, -0x1.c44f8bbb174cp-7, -0x1.baec56e06e03p-7, -0x1.b1b4772d33cfep-7, -0x1.a8a7473aad6bfp-7, -0x1.9fc423743095ep-7, -0x1.970a6a14943b5p-7, -0x1.8e797b23f94cfp-7, -0x1.8610b875a7468p-7, -0x1.7dcf85a5e47dap-7, -0x1.75b54817a5a11p-7, -0x1.6dc166f215cefp-7, -0x1.65f34b1dffb57p-7, -0x1.5e4a5f43202e4p-7, -0x1.56c60fc57339ap-7, -0x1.4f65cac2284e5p-7, -0x1.4829000d2ea99p-7, -0x1.410f212e814d4p-7, -0x1.3a17a15f12dedp-7, -0x1.3341f58632228p-7, -0x1.2c8d9436795eep-7, -0x1.25f9f5aac5ea1p-7, -0x1.1f8693c36579cp-7, -0x1.1932ea0362459p-7, -0x1.12fe758e018cp-7, -0x1.0ce8b5247238ep-7, -0x1.06f129237cac3p-7, -0x1.01175380f7d1p-7, -0x1.f6b56f9226469p-8, -0x1.eb75b635fb795p-8, -0x1.e06e884a6bae8p-8, -0x1.d59ef642dbd4fp-8, -0x1.cb0613a0f2332p-8, -0x1.c0a2f6ed0c9c7p-8, -0x1.b674b9b021306p-8, -0x1.ac7a786f09ec3p-8, -0x1.a2b352a7661f4p-8, -0x1.991e6acd1787dp-8, -0x1.8fbae6480104cp-8, -0x1.8687ed7055ac2p-8, -0x1.7d84ab88f99dp-8, -0x1.74b04eb795f8p-8, -0x1.6c0a07fa01b51p-8, -0x1.63910b1a98e06p-8, -0x1.5b448ea449889p-8, -0x1.5323cbd8681a1p-8, -0x1.4b2dfea72c9d7p-8, -0x1.436265abdd36bp-8, -0x1.3bc0422c3355ap-8, -0x1.3446d81a1d39dp-8, -0x1.2cf56e15d1173p-8, -0x1.25cb4d6e74003p-8, -0x1.1ec7c21f18587p-8, -0x1.17ea1ac72c284p-8, -0x1.1131a89dfc665p-8, -0x1.0a9dbf6287e8ap-8, -0x1.042db549a1fcap-8, -0x1.fbc1c5da397a8p-9, -0x1.ef6d467d1efccp-9, -0x1.e35ca6ffbbca9p-9, -0x1.d78ea6843e8eap-9, -0x1.cc0208d4d8dadp-9, -0x1.c0b596751f96cp-9, -0x1.b5a81cb53c6cbp-9, -0x1.aad86dc02ed49p-9, -0x1.a045609e741efp-9, -0x1.95edd12922e1dp-9, -0x1.8bd09feb91229p-9, -0x1.81ecb1f66b35ap-9, -0x1.7840f0a977b5ap-9, -0x1.6ecc497c8e006p-9, -0x1.658dadd0d555ep-9, -0x1.5c8412d286983p-9, -0x1.53ae7170ec483p-9, -0x1.4b0bc66d91b16p-9, -0x1.429b127f9c54ep-9, -0x1.3a5b5a834450bp-9, -0x1.324ba7aa2cd3ap-9, -0x1.2a6b07a0590d4p-9, -0x1.22b88c9a0ea55p-9, -0x1.1b334d43113d7p-9, -0x1.13da648c97639p-9, -0x1.0cacf15f18121p-9, -0x1.05aa163a23b32p-9, -0x1.fda1f1a62a0efp-10, -0x1.f0418387b6d12p-10, -0x1.e33138b698adep-10, -0x1.d66f6d3203637p-10, -0x1.c9fa82b04df17p-10, -0x1.bdd0e1423520ap-10, -0x1.b1f0f8238a55dp-10, -0x1.a6593e8cb8512p-10, -0x1.9b083455d0cabp-10, -0x1.8ffc62447a44ap-10, -0x1.853459eb36392p-10, -0x1.7aaeb51496c85p-10, -0x1.706a14cab07c8p-10, -0x1.6665201dd8f1dp-10, -0x1.5c9e82de3a8b4p-10, -0x1.5314ec85bdcc1p-10, -0x1.49c70f8c310e8p-10, -0x1.40b3a150426dap-10, -0x1.37d95a9f91fcfp-10, -0x1.2f36f8c381e93p-10, -0x1.26cb3ed6be3a3p-10, -0x1.1e94f716c4033p-10, -0x1.1692f3ea69baap-10, -0x1.0ec4106b77016p-10, -0x1.07273061d2a65p-10, -0x1.ff767f68229fep-11, -0x1.f0fe62c5ce042p-11, -0x1.e2e3fc5b20dep-11, -0x1.d525460e9e4f4p-11, -0x1.c7c03f2ef3659p-11, -0x1.bab2ea1847a22p-11, -0x1.adfb4b13495a7p-11, -0x1.a19768cbd4058p-11, -0x1.95854e54b0437p-11, -0x1.89c30e33194afp-11, -0x1.7e4ec59ba1773p-11, -0x1.73269f0af56p-11, -0x1.6848d3b83567ep-11, -0x1.5db3abd2121d2p-11, -0x1.53657dd1ac86bp-11, -0x1.495cad42230fap-11, -0x1.3f97a93459341p-11, -0x1.3614ea6369134p-11, -0x1.2cd2f0fc57d3ep-11, -0x1.23d0422ecae1cp-11, -0x1.1b0b65f7a0f06p-11, -0x1.1282e5cc096ccp-11, -0x1.0a354ca8ad042p-11, -0x1.02212893c9854p-11, -0x1.f48a1a17fedefp-12, -0x1.e53f2b0834871p-12, -0x1.d65ece3be5455p-12, -0x1.c7e662925d20bp-12, -0x1.b9d35aed887e2p-12, -0x1.ac233ccb930c3p-12, -0x1.9ed39f06b2976p-12, -0x1.91e2290f36ca2p-12, -0x1.854c9240ea1cep-12, -0x1.7910a0b1dbfc6p-12, -0x1.6d2c27348e051p-12, -0x1.619d02eb7c4e3p-12, -0x1.566119586deefp-12, -0x1.4b76579f66293p-12, -0x1.40dab328619aep-12, -0x1.368c2af75dbcbp-12, -0x1.2c88c8c825dap-12, -0x1.22cea14524bcp-12, -0x1.195bd35cc1ff4p-12, -0x1.102e874fe3d05p-12, -0x1.0744ee3de4ba8p-12, -0x1.fd3a851fed0dep-13, -0x1.ec6b91fbf5d25p-13, -0x1.dc19a2d5baaa9p-13, -0x1.cc416ddaf825bp-13, -0x1.bcdfbe07fb9e8p-13, -0x1.adf17150bd946p-13, -0x1.9f73785d9032p-13, -0x1.9162d87db3d1ap-13, -0x1.83bcae9940c04p-13, -0x1.767e30d296741p-13, -0x1.69a4ad34288c9p-13, -0x1.5d2d85944bd34p-13, -0x1.51162a52a0e73p-13, -0x1.455c15b11bf24p-13, -0x1.39fcc8e75f472p-13, -0x1.2ef5cb7110a03p-13, -0x1.2444acbe5bebfp-13, -0x1.19e7079c5d4f8p-13, -0x1.0fda858ad186fp-13, -0x1.061cdffa3563dp-13, -0x1.f957be084752ap-14, -0x1.e70aaed567ea2p-14, -0x1.d54e5523d4016p-14, -0x1.c41e92c34c404p-14, -0x1.b377701fae58cp-14, -0x1.a3551ecc956b4p-14, -0x1.93b3f3b7ad134p-14, -0x1.84905cbe56c41p-14, -0x1.75e6d90456ab2p-14, -0x1.67b3f80e44094p-14, -0x1.59f45d35b0ba8p-14, -0x1.4ca4c27b21285p-14, -0x1.3fc1f869dcccdp-14, -0x1.3348e417bccbfp-14, -0x1.27367c42c6009p-14, -0x1.1b87c52b2d733p-14, -0x1.1039cbf3f09b7p-14, -0x1.0549a59c7e423p-14, -0x1.f568ec33a238cp-15, -0x1.e0eefd388be3ep-15, -0x1.cd2054d55396ep-15, -0x1.b9f81efb01097p-15, -0x1.a771be982a3afp-15, -0x1.9588a09aba9b3p-15, -0x1.84381e8fa04ebp-15, -0x1.737b830e7b57dp-15, -0x1.634e260233ae9p-15, -0x1.53ab861b0d4abp-15, -0x1.448f4f025fc4fp-15, -0x1.35f55307f32f2p-15, -0x1.27d9888d2856ap-15, -0x1.1a38108198097p-15, -0x1.0d0d3b15a08bep-15, -0x1.00557ca6fad3dp-15, -0x1.e81aa76801f14p-16, -0x1.d0626a4f1a82ap-16, -0x1.b97b2f70d8c71p-16, -0x1.a35e3bda107e1p-16, -0x1.8e057a4452bbp-16, -0x1.796b76df8b8fep-16, -0x1.658b0216ec3eap-16, -0x1.525ec499cf5d6p-16, -0x1.3fe1183874fb9p-16, -0x1.2e0c343dcf64ap-16, -0x1.1cda747e6a4c7p-16, -0x1.0c467f2511705p-16, -0x1.f8967f2544ffp-17, -0x1.d9c79eb46da7cp-17, -0x1.bc16c16245607p-17, -0x1.9f7a61a82b9bp-17, -0x1.83e910d5a7d6dp-17, -0x1.695998e7b4aadp-17, -0x1.4fc328389b0ap-17, -0x1.371d635465776p-17, -0x1.1f605b134130cp-17, -0x1.08848c73a9109p-17, -0x1.e505efaf33c8fp-18, -0x1.baaa444f52ba7p-18, -0x1.91e9acfe9f524p-18, -0x1.6ab79c311268fp-18, -0x1.45071f2a77d02p-18, -0x1.20cb3ade82782p-18, -0x1.fbeecba5cf07ap-19, -0x1.b8ff36857a2ddp-19, -0x1.78b057a81217dp-19, -0x1.3aeb6ff5ba0c5p-19, -0x1.ff355db1d54d2p-20, -0x1.8d529f413d8fbp-20, -0x1.2006a435eaaadp-20, -0x1.6e543757f1015p-21, -0x1.4a57cb33f7a4dp-22, 0x1.bb8e578f4f245p-25, 0x1.a94b07ebb7053p-22, 0x1.85e2e5c57a352p-21, 0x1.17db71c07cc46p-20, 0x1.69315892c5f11p-20, 0x1.b710fbd19976fp-20, 0x1.00cb35ba732bfp-19, 0x1.246edb960547ap-19, 0x1.4681b2a2cc446p-19, 0x1.67118f70a14a9p-19, 0x1.862b4bf948a6p-19, 0x1.a3db15c3aa001p-19, 0x1.c02d0719cc57bp-19, 0x1.db2d3f542a49dp-19, 0x1.f4e7a064c6a98p-19, 0x1.06b3cf9df7c17p-18, 0x1.125c17bbda6cp-18, 0x1.1d71df4c5679p-18, 0x1.27fa22361756ep-18, 0x1.31f9af69d3019p-18, 0x1.3b753168ec7b4p-18, 0x1.44712e2fbf014p-18, 0x1.4cf2053a49707p-18, 0x1.54fbf258c667ep-18, 0x1.5c930fc1c9859p-18, 0x1.63bb53125aca3p-18, 0x1.6a788dc8a0b87p-18, 0x1.70ce74e061962p-18, 0x1.76c0a04500eccp-18, 0x1.7c52820db78ffp-18, 0x1.81876b3af29b8p-18, 0x1.866298636bf5ep-18, 0x1.8ae72a47277b1p-18, 0x1.8f1814b3ad0eep-18, 0x1.92f8258d1781ap-18, 0x1.968a1cc2f109ap-18, 0x1.99d0b48d867adp-18, 0x1.9cce937f98f27p-18, 0x1.9f863c2bb126ep-18, 0x1.a1fa087f685e1p-18, 0x1.a42c2e624a24bp-18, 0x1.a61ece6a166efp-18, 0x1.a7d40d0d51c45p-18, 0x1.a94e20ae90117p-18, 0x1.aa8f3a82b262fp-18, 0x1.ab9959e313818p-18, 0x1.ac6e3f705dba8p-18, 0x1.ad0f881ad915p-18, 0x1.ad7ec79faf61ap-18, 0x1.adbdaa2ac58cfp-18, 0x1.adce044414908p-18, 0x1.adb1965babd1dp-18, 0x1.ad69de798c573p-18, 0x1.acf8479a7ada4p-18, 0x1.ac5e4eaee5518p-18, 0x1.ab9d61f411765p-18, 0x1.aab6c579726d2p-18, 0x1.a9ab988fe8b4dp-18, 0x1.a87ce53d13d1ep-18, 0x1.a72bb913676bep-18, 0x1.a5b941d6934d9p-18, 0x1.a426c8ab17d44p-18, 0x1.a2758130629b1p-18, 0x1.a0a66df670798p-18, 0x1.9eba8acba437p-18, 0x1.9cb2f9793a9fep-18, 0x1.9a90ddf397fb5p-18, 0x1.985512687be18p-18, 0x1.96001e91737fcp-18, 0x1.9392815c65e25p-18, 0x1.910ce253b378ep-18, 0x1.8e702992467efp-18, 0x1.8bbd7ddfa9db9p-18, 0x1.88f5c7a9b1f0ap-18, 0x1.861994745e83ep-18, 0x1.832996a4b4b31p-18, 0x1.80269f102c8aep-18, 0x1.7d115781ae03cp-18, 0x1.79ea525e10949p-18, 0x1.76b21dca81eb9p-18, 0x1.736946a62ee5ap-18, 0x1.701060603c60ap-18, 0x1.6ca80bb1187e7p-18, 0x1.6930ee370db6ep-18, 0x1.65ab9c2b7962dp-18, 0x1.6218898217b6fp-18, 0x1.5e7813447585cp-18, 0x1.5aca9d87df1b8p-18, 0x1.5710bb8fe5f48p-18, 0x1.534b2d8749661p-18, 0x1.4f7a829265f51p-18, 0x1.4b9ee1c50dd3ep-18, 0x1.47b87c1eecd1ap-18, 0x1.43c7d4be27df3p-18, 0x1.3fcd694273c3cp-18, 0x1.3bc9aee348729p-18, 0x1.37bcf3ae84251p-18, 0x1.33a77c9c37cf8p-18, 0x1.2f89db14f9787p-18, 0x1.2b648634a0aa2p-18, 0x1.2737d46b592eep-18, 0x1.2304216feb5d4p-18, 0x1.1ec9c67e1b98bp-18, 0x1.1a891342caaf8p-18, 0x1.1642514bfda26p-18, 0x1.11f5cb140d005p-18, 0x1.0da3d20d5c7ffp-18, 0x1.094cc04b81f52p-18, 0x1.04f0f3cac5c8ep-18, 0x1.0090c5d9ab1dfp-18, 0x1.f8590a5762ec2p-19, 0x1.ef88efce82dadp-19, 0x1.e6b1cc2f7b6a1p-19, 0x1.ddd444cf081d1p-19, 0x1.d4f0f2bc4bd2cp-19, 0x1.cc082f6cc8d37p-19, 0x1.c31a66bdd281ap-19, 0x1.ba2863f377344p-19, 0x1.b1328e89d38aep-19, 0x1.a8392d0072772p-19, 0x1.9f3cb2a374c36p-19, 0x1.963da9cc19884p-19, 0x1.8d3cd3324e2d7p-19, 0x1.843ab3f9a1ed5p-19, 0x1.7b37b79db825p-19, 0x1.72344cbcd4228p-19, 0x1.6930e9d734939p-19, 0x1.602e0329cd959p-19, 0x1.572c0709f782ep-19, 0x1.4e2b615ffc877p-19, 0x1.452c809da5b08p-19, 0x1.3c2fd9600a85dp-19, 0x1.3335e69ff3731p-19, 0x1.2a3f2450a7897p-19, 0x1.214c0587c24ecp-19, 0x1.185cecb12717ep-19, 0x1.0f722d59154b1p-19, 0x1.068c19e6522d2p-19, 0x1.fb562a99d99e2p-20, 0x1.e99f232baf84p-20, 0x1.d7f3e9c190f88p-20, 0x1.c65540c8c67a4p-20, 0x1.b4c42fa066a2cp-20, 0x1.a341621e0bcabp-20, 0x1.91ccf088c5d54p-20, 0x1.806783fd194dcp-20, 0x1.6f1249537364cp-20, 0x1.5dcdf6898462bp-20, 0x1.4c9b084ef9833p-20, 0x1.3b7a4025b2e8bp-20, 0x1.2a6c6bcccf425p-20, 0x1.197217e5db6c9p-20, 0x1.088bb1baf5a93p-20, 0x1.ef738373a70cp-21, 0x1.cdf9fb5c2e111p-21, 0x1.acac442ce47b6p-21, 0x1.8b8b5df8c30e9p-21, 0x1.6a9857bb42491p-21, 0x1.49d46d95acd6fp-21, 0x1.2940de6ef2ec6p-21, 0x1.08ded2b9e5992p-21, 0x1.d15ea6a2fec7cp-22, 0x1.9166a09571b21p-22, 0x1.51d767ff68979p-22, 0x1.12b2f4bf80bd9p-22, 0x1.a7f6f8b53b1f8p-23, 0x1.2b6677a2c8c05p-23, 0x1.5f70813a0f411p-24, 0x1.a77f3e4a9bc1dp-26, -0x1.13b9485b21d64p-25, -0x1.7bc139a10d0e1p-24, -0x1.35e46f2394aa3p-23, -0x1.acf4186034dafp-23, -0x1.11866b95e8774p-22, -0x1.4c15f717e89e5p-22, -0x1.8626facf30ea5p-22, -0x1.bfb7d66c8fbefp-22, -0x1.f8c707e694aep-22, -0x1.18a991ac4a8d3p-21, -0x1.34ad679f45296p-21, -0x1.506e5dcccb2bep-21, -0x1.6bebcc899d24dp-21, -0x1.87250c67ddf65p-21, -0x1.a2197939cc482p-21, -0x1.bcc86f61e69a7p-21, -0x1.d731467addecp-21, -0x1.f15375212b584p-21, -0x1.05974fa1de26cp-20, -0x1.12611a333c16cp-20, -0x1.1f06c8450bc5ap-20, -0x1.2b8826b00cc12p-20, -0x1.37e502064c071p-20, -0x1.441d1d8901aecp-20, -0x1.503039bdb2293p-20, -0x1.5c1e1c257ed98p-20, -0x1.67e69781c5e51p-20, -0x1.73898222369ebp-20, -0x1.7f06a61192eap-20, -0x1.8a5dec618c2fp-20, -0x1.958f1cbc814e3p-20, -0x1.a09a1114fc19dp-20, -0x1.ab7eac8477f81p-20, -0x1.b63ccad01e15p-20, -0x1.c0d44bab04288p-20, -0x1.cb451220e5ba6p-20, -0x1.d58f03cbae8bcp-20, -0x1.dfb208a2b9104p-20, -0x1.e9ae0ae4e0daap-20, -0x1.f382f70037c0fp-20, -0x1.fd30bb811a562p-20, -0x1.035ba47d51111p-19, -0x1.080b490240ff7p-19, -0x1.0ca74599ef0d1p-19, -0x1.112f958e73c6cp-19, -0x1.15a435360dd2ap-19, -0x1.1a05220dd226cp-19, -0x1.1e525acd55b0ep-19, -0x1.228bdf4d6a99dp-19, -0x1.26b1b04c98f46p-19, -0x1.2ac3cf4984ff9p-19, -0x1.2ec23e9abc577p-19, -0x1.32ad01843c581p-19, -0x1.36841bd6ef95fp-19, -0x1.3a47921d12ca4p-19, -0x1.3df76c5c2a752p-19, -0x1.4193b293de8fdp-19, -0x1.451c6b0bd2089p-19, -0x1.48919fd717471p-19, -0x1.4bf35a128c35dp-19, -0x1.4f41a51489184p-19, -0x1.527c8c3aea6bdp-19, -0x1.55a41bb6b0857p-19, -0x1.58b860be56599p-19, -0x1.5bb9695f55073p-19, -0x1.5ea744705623dp-19, -0x1.6182018c01d63p-19, -0x1.6449b10f84adcp-19, -0x1.66fe641881e73p-19, -0x1.69a02c825a7bcp-19, -0x1.6c2f1ce3f26ebp-19, -0x1.6eab488d48911p-19, -0x1.7114c383c23a3p-19, -0x1.736ba2808cce5p-19, -0x1.75affaeec9a88p-19, -0x1.77e1e2e7a83ffp-19, -0x1.7a01712932bcep-19, -0x1.7c0ebd0a712d2p-19, -0x1.7e09de77b6f78p-19, -0x1.7ff2edf66f593p-19, -0x1.81ca04a651cdbp-19, -0x1.838f3c3dfde88p-19, -0x1.8542af11ee4a7p-19, -0x1.86e478278455fp-19, -0x1.8874b31985904p-19, -0x1.89f37bcc52d7fp-19, -0x1.8b60ee760d73fp-19, -0x1.8cbd27e4bf498p-19, -0x1.8e0845f1a2317p-19, -0x1.8f4266934f5fp-19, -0x1.906ba7dbef531p-19, -0x1.918428d5a706ep-19, -0x1.928c08e809628p-19, -0x1.938367a74ecabp-19, -0x1.946a6537d7818p-19, -0x1.95412244d6387p-19, -0x1.9607bfded9477p-19, -0x1.96be5f05cf045p-19, -0x1.97652145ec63ep-19, -0x1.97fc28c33dae7p-19, -0x1.988397e3f13fap-19, -0x1.98fb915614ec6p-19, -0x1.99643815be0e7p-19, -0x1.99bdaf6bdc06cp-19, -0x1.9a081aec28342p-19, -0x1.9a439e750c024p-19, -0x1.9a705e2f71a46p-19, -0x1.9a8e7e89371cp-19, -0x1.9a9e242a3ae47p-19, -0x1.9a9f73e886121p-19, -0x1.9a9292ce076a3p-19, -0x1.9a77a6201b127p-19, -0x1.9a4ed355be624p-19, -0x1.9a184014ae044p-19, -0x1.99d41239b2cbfp-19, -0x1.99826ff53eccp-19, -0x1.99237fa6628e9p-19, -0x1.98b76786dbc78p-19, -0x1.983e4dd089066p-19, -0x1.97b858c7a8087p-19, -0x1.9725afbdd88adp-19, -0x1.968679df65b9bp-19, -0x1.95dadd2b98f0cp-19, -0x1.952300e85a063p-19, -0x1.945f0c4837dd1p-19, -0x1.938f267615eb6p-19, -0x1.92b376a32a5acp-19, }}, 
      {{-0x1.25e4f6df27797p+1, -0x1.1e4077c518e33p+1, -0x1.12519097cb09fp+1, -0x1.02fb49c05afefp+1, -0x1.e2536385aafa8p+0, -0x1.bb7879f27ddb7p+0, -0x1.92f402760c955p+0, -0x1.6a18951ec9c54p+0, -0x1.41fa7cab7a777p+0, -0x1.1b7202ffdcc02p+0, -0x1.ee415a66bb8e9p-1, -0x1.aaefef2d8d286p-1, -0x1.6d80ed1859ff8p-1, -0x1.364232b4d6fa1p-1, -0x1.054b262de2509p-1, -0x1.b51156c99dcf6p-2, -0x1.6b8e751da0f74p-2, -0x1.2d76d6dc4cdb8p-2, -0x1.f424400b1d306p-3, -0x1.a12406ea0f4b8p-3, -0x1.60374e305c93fp-3, -0x1.2f9e454c7e575p-3, -0x1.0d9aba0e644b8p-3, -0x1.f0f21278399bp-4, -0x1.dd2d694ce38d4p-4, -0x1.dcce0de6c6e56p-4, -0x1.ecec4783f692ap-4, -0x1.056ad72b61e3ep-3, -0x1.1a076b49b6aabp-3, -0x1.3329be9d6743ep-3, -0x1.4fcacb97aa0c8p-3, -0x1.6efdc862279d6p-3, -0x1.8feefe1e75e75p-3, -0x1.b1e2703640a84p-3, -0x1.d43266d52df04p-3, -0x1.f64deb28f2988p-3, -0x1.0bdba033e557ap-2, -0x1.1c0130df26a73p-2, -0x1.2b69c58022a0ep-2, -0x1.39eee816bd2f7p-2, -0x1.4770e33857369p-2, -0x1.53d6201115d94p-2, -0x1.5f0a8e3dde7bdp-2, -0x1.68ff1585932a8p-2, -0x1.71a9114052267p-2, -0x1.7901d5177de3ap-2, -0x1.7f063abc62267p-2, -0x1.83b6382146441p-2, -0x1.87147dca4572dp-2, -0x1.89261cc3cdd2fp-2, -0x1.89f233d563afcp-2, -0x1.8981a38abb5e4p-2, -0x1.87dec8ae10183p-2, -0x1.85153cd5bfd6p-2, -0x1.81319ca6acb21p-2, -0x1.7c41537834ef5p-2, -0x1.76526bfdf5fecp-2, -0x1.6f7365aa4bf48p-2, -0x1.67b30e78aef11p-2, -0x1.5f2060cf243cfp-2, -0x1.55ca653badc5ap-2, -0x1.4bc017bc8f9b3p-2, -0x1.4110505f92929p-2, -0x1.35c9aee2b0ef4p-2, -0x1.29fa892845817p-2, -0x1.1db0dc318b07fp-2, -0x1.10fa3f8ef28e2p-2, -0x1.03e3daeb78578p-2, -0x1.ecf4bbb58897cp-3, -0x1.d193f19adab21p-3, -0x1.b5bcb181f60a2p-3, -0x1.998544c66a67dp-3, -0x1.7d02e20c7764dp-3, -0x1.6049a93e9a56dp-3, -0x1.436ca353b7d8fp-3, -0x1.267dc6da7f96dp-3, -0x1.098df64b92897p-3, -0x1.d95a12731e656p-4, -0x1.9fd39a6bdb813p-4, -0x1.66a41fbecdc32p-4, -0x1.2de54459e516ep-4, -0x1.eb5d93da03eb8p-5, -0x1.7c2d3b5269da7p-5, -0x1.0e61d09b1b701p-5, -0x1.4440a2d07eb8bp-6, -0x1.bc539ebbd2f29p-8, 0x1.8a0930ea9470bp-8, 0x1.304da01accc23p-6, 0x1.fa1b64312c0a1p-6, 0x1.5fdfa02b20647p-5, 0x1.c088f9f0f8224p-5, 0x1.0f7c43836c197p-4, 0x1.3d8fab4e38e25p-4, 0x1.6a7850186c0a7p-4, 0x1.9630d2d9f5a94p-4, 0x1.c0b4cb8a53991p-4, 0x1.ea00bb42d2e43p-4, 0x1.0908ff63ef4eap-3, 0x1.1c7360a57117fp-3, 0x1.2f3ef7b8a08efp-3, 0x1.416b955432a6bp-3, 0x1.52f95e640cef5p-3, 0x1.63e8c6112c8b9p-3, 0x1.743a87ffe0a5ep-3, 0x1.83efa2c5b2f84p-3, 0x1.9309529e8ae52p-3, 0x1.a1890c57d0815p-3, 0x1.af7078713dc0dp-3, 0x1.bcc16e76bd8d4p-3, 0x1.c97df089c9b2bp-3, 0x1.d5a8271c067b8p-3, 0x1.e1425ce0c4b18p-3, 0x1.ec4efaee75b08p-3, 0x1.f6d08512956a9p-3, 0x1.0064cb2f7e776p-2, 0x1.051e6ef5a030ap-2, 0x1.09968de4262e3p-2, 0x1.0dce8f15fa8e2p-2, 0x1.11c7df6857123p-2, 0x1.1583f0409b5dep-2, 0x1.1904366aad601p-2, 0x1.1c4a290dd96b2p-2, 0x1.1f5740b559aa6p-2, 0x1.222cf66ba9efcp-2, 0x1.24ccc2e82e04fp-2, 0x1.27381dd021acfp-2, 0x1.29707d0460a03p-2, 0x1.2b7753ff4a247p-2, 0x1.2d4e13443a7bdp-2, 0x1.2ef627d857964p-2, 0x1.3070facb31ae9p-2, 0x1.31bff0cc0fe79p-2, 0x1.32e469c725c4dp-2, 0x1.33dfc0939dd8dp-2, 0x1.34b34aa818cb9p-2, 0x1.356057d57a056p-2, 0x1.35e832138753bp-2, 0x1.364c1d4f81724p-2, 0x1.368d573eab4b9p-2, 0x1.36ad17425f258p-2, 0x1.36ac8e4bf058ap-2, 0x1.368ce6c20a57cp-2, 0x1.364f44770f94dp-2, 0x1.35f4c49e514a2p-2, 0x1.357e7dbf94bc9p-2, 0x1.34ed7fbb84211p-2, 0x1.3442d3d05133fp-2, 0x1.337f7c97dd503p-2, 0x1.32a476150fa37p-2, 0x1.31b2b5c62ba77p-2, 0x1.30ab2aac8689ap-2, 0x1.2f8ebd5dc50bep-2, 0x1.2e5e502021624p-2, 0x1.2d1abefc0d5aap-2, 0x1.2bc4dfce37088p-2, 0x1.2a5d826841ba8p-2, 0x1.28e570acc3468p-2, 0x1.275d6ea1ecc1ap-2, 0x1.25c63a9008274p-2, 0x1.24208d2604c0ap-2, 0x1.226d19914d6edp-2, 0x1.20ac8d95a5fe8p-2, 0x1.1edf91b2816dfp-2, 0x1.1d06c944a7805p-2, 0x1.1b22d29c2c857p-2, 0x1.193447194c4fcp-2, 0x1.173bbb52d7505p-2, 0x1.1539bf33d7dbep-2, 0x1.132ede118b44cp-2, 0x1.111b9eca9add3p-2, 0x1.0f0083ebc95b6p-2, 0x1.0cde0bca8c583p-2, 0x1.0ab4b09b079bcp-2, 0x1.0884e88f395f6p-2, 0x1.064f25f9169f8p-2, 0x1.0413d762ecd0ep-2, 0x1.01d367a47ea2ep-2, 0x1.ff1c7c012af47p-3, 0x1.fa897c899102fp-3, 0x1.f5ee91bffed83p-3, 0x1.f14c75eac3192p-3, 0x1.eca3dcee7c19cp-3, 0x1.e7f5748ab972ep-3, 0x1.e341e4851330ap-3, 0x1.de89cec80ca0cp-3, 0x1.d9cdcf8fa3fa5p-3, 0x1.d50e7da3db639p-3, 0x1.d04c6a86da949p-3, 0x1.cb88228e9a668p-3, 0x1.c6c22d0278815p-3, 0x1.c1fb0c4da0fc5p-3, 0x1.bd333e342c3f6p-3, 0x1.b86b3bf23afe9p-3, 0x1.b3a37a4c41558p-3, 0x1.aedc69acdf111p-3, 0x1.aa167657513a2p-3, 0x1.a5520895dd9b9p-3, 0x1.a08f84cfbeaa4p-3, 0x1.9bcf4b93208b9p-3, 0x1.9711b9af13032p-3, 0x1.925728623edb8p-3, 0x1.8d9fed863fee3p-3, 0x1.88ec5ba2e6785p-3, 0x1.843cc1f2d005p-3, 0x1.7f916c7439ffp-3, 0x1.7aeaa4107e28ep-3, 0x1.7648aec7667c9p-3, 0x1.71abcfc673a49p-3, 0x1.6d14476b73548p-3, 0x1.688253496be2dp-3, 0x1.63f62e431308fp-3, 0x1.5f7010b411ff2p-3, 0x1.5af03090f8178p-3, 0x1.5676c1700e75cp-3, 0x1.5203f48635dafp-3, 0x1.4d97f8af5fc34p-3, 0x1.4932fa8c7e6f2p-3, 0x1.44d524a8f35a2p-3, 0x1.407e9f918689fp-3, 0x1.3c2f91d62728p-3, 0x1.37e82005196ap-3, 0x1.33a86cb4142cap-3, 0x1.2f70989cad14p-3, 0x1.2b40c2bd611c7p-3, 0x1.2719086c6c60fp-3, 0x1.22f98557ce81ap-3, 0x1.1ee2537fa570bp-3, 0x1.1ad38b3c5e80dp-3, 0x1.16cd43561660ap-3, 0x1.12cf9121b5278p-3, 0x1.0eda8893a8345p-3, 0x1.0aee3c423cb5fp-3, 0x1.070abd603e334p-3, 0x1.03301bbe45accp-3, 0x1.febccbb48f34ap-4, 0x1.f72b51ef577abp-4, 0x1.efabe2669725bp-4, 0x1.e83e93160d7d6p-4, 0x1.e0e377b6e622bp-4, 0x1.d99aa1bb2ffa6p-4, 0x1.d264205b0998ep-4, 0x1.cb4000b53e82dp-4, 0x1.c42e4df4fdc48p-4, 0x1.bd2f116b86629p-4, 0x1.b6425297dd321p-4, 0x1.af68172443b19p-4, 0x1.a8a062e7371f4p-4, 0x1.a1eb37f1932f9p-4, 0x1.9b4896a8555c7p-4, 0x1.94b87de03b054p-4, 0x1.8e3aeaf0f645ap-4, 0x1.87cfd9bd2c1b4p-4, 0x1.817744b40effep-4, 0x1.7b3124d49179bp-4, 0x1.74fd71b7aec75p-4, 0x1.6edc21a1f3b1cp-4, 0x1.68cd29974adc1p-4, 0x1.62d07d6b47b16p-4, 0x1.5ce60fcb5263bp-4, 0x1.570dd2443f391p-4, 0x1.5147b546d1ffcp-4, 0x1.4b93a82e6e4dcp-4, 0x1.45f1994b6870fp-4, 0x1.406175f00829cp-4, 0x1.3ae32a7da7318p-4, 0x1.3576a26fdd5d5p-4, 0x1.301bc86511d63p-4, 0x1.2ad286253889dp-4, 0x1.259ac4a793dd3p-4, 0x1.20746c18c9684p-4, 0x1.1b5f63e227bdbp-4, 0x1.165b92b248e06p-4, 0x1.1168de866200ep-4, 0x1.0c872cb374723p-4, 0x1.07b661eecc0e9p-4, 0x1.02f6625545e06p-4, 0x1.fc8e22e23bf14p-5, 0x1.f350a47d4c82dp-5, 0x1.ea340e61df8aep-5, 0x1.e138246ea9fp-5, 0x1.d85ca98855ab4p-5, 0x1.cfa15fa8ba194p-5, 0x1.c70607eeaa2e4p-5, 0x1.be8a62ac8498dp-5, 0x1.b62e2f73e7b51p-5, 0x1.adf12d1e1a7aep-5, 0x1.a5d319d27e49ap-5, 0x1.9dd3b30d698d7p-5, 0x1.95f2b5a8f65cp-5, 0x1.8e2fdde844c2dp-5, 0x1.868ae7846e336p-5, 0x1.7f038db9d08b6p-5, 0x1.77998b53d8328p-5, 0x1.704c9ab60a2dcp-5, 0x1.691c75e23d457p-5, 0x1.6208d67d7623dp-5, 0x1.5b1175d54cabcp-5, 0x1.54360ce7129d1p-5, 0x1.4d765468f15c8p-5, 0x1.46d204d43db44p-5, 0x1.4048d66fdc787p-5, 0x1.39da815980ad8p-5, 0x1.3386bd8cde231p-5, 0x1.2d4d42e8e21b6p-5, 0x1.272dc933ddbbap-5, 0x1.2128082010e3dp-5, 0x1.1b3bb75185639p-5, 0x1.15688e6546dc3p-5, 0x1.0fae44f949268p-5, 0x1.0a0c92b41b5a4p-5, 0x1.04832f4b9a569p-5, 0x1.fe23a5145bf9ep-6, 0x1.f37068a573261p-6, 0x1.e8ec1947ef561p-6, 0x1.de9627389aa36p-6, 0x1.d46e02fde3a55p-6, 0x1.ca731d7508ce4p-6, 0x1.c0a4e7e0b04c7p-6, 0x1.b702d3f66c11fp-6, 0x1.ad8c53e90252fp-6, 0x1.a440da6e78eefp-6, 0x1.9b1fdac23a508p-6, 0x1.9228c8a562d57p-6, 0x1.895b18600fc34p-6, 0x1.80b63ec6e718dp-6, 0x1.7839b14663b63p-6, 0x1.6fe4e5f3bc55ep-6, 0x1.67b753a08819ep-6, 0x1.5fb071ec75cfap-6, 0x1.57cfb950cfaf2p-6, 0x1.5014a322cbdc3p-6, 0x1.487ea98cb7089p-6, 0x1.410d4780f83b8p-6, 0x1.39bff8ac6f3c2p-6, 0x1.3296396ed050dp-6, 0x1.2b8f86de66303p-6, 0x1.24ab5ed99a1f7p-6, 0x1.1de940245cb2dp-6, 0x1.1748aa8aeb72ep-6, 0x1.10c91f00e8f99p-6, 0x1.0a6a1fb37d0f7p-6, 0x1.042b3008320c3p-6, 0x1.fc17a90ea5a33p-7, 0x1.f017256dc83fdp-7, 0x1.e453e1e142da9p-7, 0x1.d8ccec8093611p-7, 0x1.cd8154ad610f3p-7, 0x1.c2702b32b3825p-7, 0x1.b798829d4703fp-7, 0x1.acf96fbc44d08p-7, 0x1.a2920a2acf9c3p-7, 0x1.98616cbce8dbp-7, 0x1.8e66b5ad8affep-7, 0x1.84a1067a0f2f4p-7, 0x1.7b0f836c42767p-7, 0x1.71b152eb744fcp-7, 0x1.68859cbfa928dp-7, 0x1.5f8b897add92cp-7, 0x1.56c2423729e84p-7, 0x1.4e28f0c6669d1p-7, 0x1.45bec053f670ep-7, 0x1.3d82de5a65b15p-7, 0x1.35747bb4a1a98p-7, 0x1.2d92cd85959e2p-7, 0x1.25dd0db49f84dp-7, 0x1.1e527ad35351cp-7, 0x1.16f25763daac4p-7, 0x1.0fbbe89fce0b6p-7, 0x1.08ae75035bb3bp-7, 0x1.01c942f5d1202p-7, 0x1.f6172fd209dbfp-8, 0x1.e8e970669b986p-8, 0x1.dc07cf7ce36ep-8, 0x1.cf70d6e6f0b2dp-8, 0x1.c32316350557cp-8, 0x1.b71d26874575bp-8, 0x1.ab5dad84e2cb6p-8, 0x1.9fe35eaf2424fp-8, 0x1.94acfa9bb7d09p-8, 0x1.89b94c191bccfp-8, 0x1.7f0723c01ff7p-8, 0x1.749552dd03327p-8, 0x1.6a62a6d2f7c6bp-8, 0x1.606de612645b4p-8, 0x1.56b5cf6ec27fep-8, 0x1.4d391c2180571p-8, 0x1.43f6843005146p-8, 0x1.3aecc45d5e882p-8, 0x1.321aa46ad5505p-8, 0x1.297efc48a658bp-8, 0x1.2118b700168bfp-8, 0x1.18e6d2907b13ap-8, 0x1.10e85c9a279b3p-8, 0x1.091c6c6445782p-8, 0x1.01821b6620e4cp-8, 0x1.f430fbb8fcd21p-9, 0x1.e5bd39ffbb368p-9, 0x1.d7a6e846f9e6cp-9, 0x1.c9ebe2df7a4cfp-9, 0x1.bc89f457f3f2fp-9, 0x1.af7ee39f15aeep-9, 0x1.a2c884f89c03ap-9, 0x1.9664ca6bbfd3fp-9, 0x1.8a51d057e9b39p-9, 0x1.7e8de38bc4f9bp-9, 0x1.73177f73542b8p-9, 0x1.67ed447cf1f63p-9, 0x1.5d0de86bd2969p-9, 0x1.5278239772c3bp-9, 0x1.482a9eca9b51ep-9, 0x1.3e23e55e2ac61p-9, 0x1.34625e4c0fbcdp-9, 0x1.2ae44d8632343p-9, 0x1.21a7dd30fde52p-9, 0x1.18ab2ce0b1f83p-9, 0x1.0fec63eb8c52fp-9, 0x1.0769c370132fdp-9, 0x1.fe4369a9078f8p-10, 0x1.ee25a45eb947ep-10, 0x1.de77ce377482ap-10, 0x1.cf37d39fa6bddp-10, 0x1.c063db65ef0f5p-10, 0x1.b1fa23dce533dp-10, 0x1.a3f8de84a582bp-10, 0x1.965e111bdfb86p-10, 0x1.892781c4dd087p-10, 0x1.7c52b17934403p-10, 0x1.6fdce4fd0c1a9p-10, 0x1.63c339b7dbdacp-10, 0x1.5802c1ed1b943p-10, 0x1.4c98a303b69abp-10, 0x1.418230bcaa3c7p-10, 0x1.36bd0123141fap-10, 0x1.2c46f666b227p-10, 0x1.221e3d8d0c4e9p-10, 0x1.184142bf6fec5p-10, 0x1.0eae9dae9d54ap-10, 0x1.0564f9c371c77p-10, 0x1.f8c5fcbfa394fp-11, 0x1.e74e76655a7ecp-11, 0x1.d6603738d73b7p-11, 0x1.c5f7c53d36b82p-11, 0x1.b6115e5aefd08p-11, 0x1.a6a90eb8e7cd1p-11, 0x1.97bacfe49e08bp-11, 0x1.8942aae9e208fp-11, 0x1.7b3cd74a90badp-11, 0x1.6da5d183ef6p-11, 0x1.607a65aea04dep-11, 0x1.53b7ad914713fp-11, 0x1.475b0468ecfa7p-11, 0x1.3b61f4aafdb42p-11, 0x1.2fca24913aa68p-11, 0x1.2491455c3ed66p-11, 0x1.19b5078cc4bf9p-11, 0x1.0f33147a94179p-11, 0x1.05090c626ec3ep-11, 0x1.f6690f5ceb8bp-12, 0x1.e3663562f63d2p-12, 0x1.d104b6f3f1bep-12, 0x1.bf3fd1f6bf214p-12, 0x1.ae12e37e4ad1p-12, 0x1.9d796f9ab7df8p-12, 0x1.8d6f20f81311dp-12, 0x1.7defc216286d9p-12, 0x1.6ef735b2e57d2p-12, 0x1.60817405f01bdp-12, 0x1.528a8e06eb6f1p-12, 0x1.450eb249ba0b4p-12, 0x1.380a2c9ee88b4p-12, 0x1.2b795d1463ad5p-12, 0x1.1f58aa52adce1p-12, 0x1.13a479b1631aep-12, 0x1.085937cc821e1p-12, 0x1.fae6e9c0a3f6p-13, 0x1.e5e016a9d2f36p-13, 0x1.d198780bb5257p-13, 0x1.be0b573be9eep-13, 0x1.ab34730adf0b5p-13, 0x1.990f7a47a5d9cp-13, 0x1.87978b4edfc3p-13, 0x1.76c6f48e20dp-13, 0x1.669757e0c24dbp-13, 0x1.570226f89607p-13, 0x1.4801450d0c52cp-13, 0x1.398f83f6110efp-13, 0x1.2ba8bcde4fa89p-13, 0x1.1e496fed3cff6p-13, 0x1.116e1433945dep-13, 0x1.0512730ecfc8bp-13, 0x1.f262dcf783574p-14, 0x1.db8ab8a3c097cp-14, 0x1.c59198e615935p-14, 0x1.b06ea3a584f59p-14, 0x1.9c1bc8c8605d3p-14, 0x1.8895510fdffbep-14, 0x1.75d86927aad0cp-14, 0x1.63e1512998035p-14, 0x1.52a9fe399659cp-14, 0x1.4229c5e23dc7bp-14, 0x1.32563a59edc15p-14, 0x1.2324e49918dddp-14, 0x1.148d290f85bd7p-14, 0x1.06897bd508572p-14, 0x1.f22e7e3b5daa3p-15, 0x1.d86a942462b3ap-15, 0x1.bfc3c4a77c2a9p-15, 0x1.a832a19321ec7p-15, 0x1.91ab8d6fa15d4p-15, 0x1.7c20b552ee96fp-15, 0x1.6784962fab78cp-15, 0x1.53cba3cbb85d7p-15, 0x1.40eca47cfb20cp-15, 0x1.2ee020f129024p-15, 0x1.1d9f8f067aca9p-15, 0x1.0d24a0a997801p-15, 0x1.fad1398dea0c1p-16, 0x1.dcc71bb07c1c7p-16, 0x1.c0174d3c057bep-16, 0x1.a4ab686396dap-16, 0x1.8a6dd35f185a1p-16, 0x1.714e3974668bp-16, 0x1.5943cc41a1666p-16, 0x1.424b862207c5fp-16, 0x1.2c639b6f00cc8p-16, 0x1.17874bb3c679p-16, 0x1.03ad880db4a5dp-16, 0x1.e194eed2ff9ecp-17, 0x1.bda47fe088b08p-17, 0x1.9b7677c668f34p-17, 0x1.7afc308dc9fefp-17, 0x1.5c276c9989871p-17, 0x1.3ee577cda7b1dp-17, 0x1.231e1d044db6fp-17, 0x1.08b6c6ba23771p-17, 0x1.df2d1807d2868p-18, 0x1.af508e88d3ad8p-18, 0x1.81b4c5a77ae49p-18, 0x1.563b8c1a982ffp-18, 0x1.2cca4f888d1bp-18, 0x1.054a3410217d2p-18, 0x1.bf516e71f7c6cp-19, 0x1.77adc71e98dbbp-19, 0x1.338d15cd10339p-19, 0x1.e5a00822f6397p-20, 0x1.6aa7cc27b463ap-20, 0x1.ebd423f4e5f11p-21, 0x1.0e4c9c2d8667bp-21, 0x1.e27f43319163cp-24, -0x1.1518743715217p-22, -0x1.46d98b6ac6a92p-21, -0x1.f950f0f7fca0dp-21, -0x1.51560a1435be4p-20, -0x1.a1c1301b7daa6p-20, -0x1.ee20808d68756p-20, -0x1.1b4ed2e456dbp-19, -0x1.3db1bd0177d69p-19, -0x1.5e54d6bdc6654p-19, -0x1.7d5bd33d7b82ep-19, -0x1.9aef466869949p-19, -0x1.b735778599badp-19, -0x1.d247b5c1d56b4p-19, -0x1.ec2ca140850bcp-19, -0x1.027059bf91c9cp-18, -0x1.0e33abc9209f7p-18, -0x1.1969baa71b842p-18, -0x1.241ecdbf5c19ap-18, -0x1.2e5a450347f54p-18, -0x1.381ea2b32b74cp-18, -0x1.416fd844d0d12p-18, -0x1.4a564ef5fa469p-18, -0x1.52dc9052bc1cp-18, -0x1.5b0c04207529bp-18, -0x1.62eba076fd652p-18, -0x1.6a803da979e24p-18, -0x1.71cd6538dc6c1p-18, -0x1.78d608584ee32p-18, -0x1.7f9d071f13cb4p-18, -0x1.86258172bc8b5p-18, -0x1.8c730fb9d95dbp-18, -0x1.928a02349123dp-18, -0x1.986ef39bf6b15p-18, -0x1.9e25755cb6fa4p-18, -0x1.a3afe2e54d179p-18, -0x1.a911139bed6c7p-18, -0x1.ae4cf403f2e75p-18, -0x1.b36670104105bp-18, -0x1.b85e0f272e6d4p-18, -0x1.bd33f165bf369p-18, -0x1.c1e9f5df7d2d3p-18, -0x1.c683009b2e5c4p-18, -0x1.cb0130aced2f8p-18, -0x1.cf65b0f8df222p-18, -0x1.d3b1cc4af0ceap-18, -0x1.d7e72177bcdadp-18, -0x1.dc06e8ad2dacbp-18, -0x1.e011e5bc48745p-18, -0x1.e40907658b6f9p-18, -0x1.e7ed82b9c4d4p-18, -0x1.ebc057868a46dp-18, -0x1.ef81f15e5a829p-18, -0x1.f33151717c0dp-18, -0x1.f6cba7e65482ep-18, -0x1.fa5011602d142p-18, -0x1.fdc2311bf6d86p-18, -0x1.009258bf76354p-17, -0x1.023aedb2060c7p-17, -0x1.03da78f279cdbp-17, -0x1.057258db07d0ap-17, -0x1.07036e50735d8p-17, -0x1.088d4cd8457a3p-17, -0x1.0a0efc5b2d55cp-17, -0x1.0b873dc91e7e3p-17, -0x1.0cf506e70a04fp-17, -0x1.0e5887e3f878fp-17, -0x1.0fb2f7bce6f65p-17, -0x1.1104c04ffa3a9p-17, -0x1.124ccb2cf00dcp-17, -0x1.138a72c0ad1aep-17, -0x1.14bee8e349011p-17, -0x1.15eb9010b7257p-17, -0x1.1710437898aebp-17, -0x1.182c17aa2fbafp-17, -0x1.193e518ff5d88p-17, -0x1.1a45156d541bp-17, -0x1.1b3e97f0af6fap-17, -0x1.1c2cabeda17dep-17, -0x1.1d10554676007p-17, -0x1.1de77c8a6475p-17, -0x1.1eb2b0c20c638p-17, -0x1.1f73bef15467dp-17, -0x1.2029ed2c1a5efp-17, -0x1.20d3e18e2341ep-17, -0x1.21710d714b553p-17, -0x1.22015bb7d1715p-17, -0x1.2284dc10b070bp-17, -0x1.22fbb27dfc05p-17, -0x1.2366103fb3997p-17, -0x1.23c42340fe495p-17, -0x1.2415f5345d65fp-17, -0x1.245b029d10dc4p-17, -0x1.2491fa00e0011p-17, -0x1.24ba17fe43a7bp-17, -0x1.24d46c531cb33p-17, -0x1.24e194bc12249p-17, -0x1.24e0519a36186p-17, -0x1.24d1256cb587bp-17, -0x1.24b5d94e15ceap-17, -0x1.248cbeb2c82d8p-17, -0x1.245517062f7b4p-17, -0x1.240e3504faab5p-17, -0x1.23b6f1fbbb10fp-17, -0x1.2351df9cd5b08p-17, -0x1.22df71bc612a3p-17, -0x1.225e4b8f220d5p-17, -0x1.21ce03c841e6ep-17, -0x1.212ec452344fap-17, -0x1.2080b5b66b494p-17, -0x1.1fc3e655293d6p-17, -0x1.1ef8586f0d7c4p-17, -0x1.1e1e104dc7a26p-17, -0x1.1d3519efbda61p-17, -0x1.1c3d849e14cf1p-17, -0x1.1b37586674398p-17, -0x1.1a228f724f667p-17, -0x1.18ff1d7f0cf69p-17, -0x1.17cd0801db63cp-17, -0x1.168c744fb3241p-17, -0x1.153d76e3a9fdap-17, -0x1.13e00f4bb7641p-17, -0x1.12756526aae1ep-17, -0x1.10ff6bfc59241p-17, -0x1.0f7bcdabd4d83p-17, -0x1.0de85e5425343p-17, -0x1.0c45615d95a55p-17, -0x1.0a93b9a102c18p-17, -0x1.08d5d2a2be0f6p-17, -0x1.070bd18802c35p-17, -0x1.0534d3a5af9ebp-17, -0x1.03504a3db99fdp-17, -0x1.015e4e12a1aa6p-17, -0x1.febe6c342bc91p-18, -0x1.faa6a1e4d0f96p-18, -0x1.f675b5bdb9395p-18, -0x1.f22c0d8ab5601p-18, -0x1.edca0e5e099d5p-18, -0x1.e950257f2d794p-18, -0x1.e4bec51a18592p-18, -0x1.e01655f2d5fe5p-18, -0x1.db572865dc744p-18, -0x1.d681745f7ca62p-18, -0x1.d19574dc1b218p-18, -0x1.cc939202b00f1p-18, -0x1.c77c4be9d4a94p-18, -0x1.c24fccf6e884ap-18, -0x1.bd0e87c62149dp-18, -0x1.b7bb711393ac7p-18, -0x1.b2572f39e681ap-18, -0x1.acdd18d427dc1p-18, -0x1.a74d49c8ae1fbp-18, -0x1.a1aceb674ec65p-18, -0x1.9bfc5ab02a25bp-18, -0x1.9639abbfb55b2p-18, -0x1.9066529882ee5p-18, -0x1.8a8464a397d86p-18, -0x1.84931598e4b7ep-18, -0x1.7e90cf2330048p-18, -0x1.787dbdb3eeccap-18, -0x1.725c2cbdd7906p-18, -0x1.6c2e790fc494dp-18, -0x1.65f3c5624a533p-18, -0x1.5fab853aa091dp-18, -0x1.59564e0bca26cp-18, -0x1.52f4e9d65f212p-18, -0x1.4c88015349758p-18, -0x1.461017ff7c3b6p-18, -0x1.3f8d9776a7f7ap-18, -0x1.3900e0e51e20bp-18, -0x1.326a66e3eec4ap-18, -0x1.2bcac0ce0964cp-18, -0x1.2522800181bp-18, -0x1.1e71df9e4228ap-18, -0x1.17b9822214efcp-18, -0x1.10fbf5b245ba3p-18, -0x1.0a3728f30aed3p-18, -0x1.036991d6026d7p-18, -0x1.f92ff9f4df75ap-19, -0x1.eb8360f02396cp-19, -0x1.ddcbc9b3aff96p-19, -0x1.d00ae8ae64d31p-19, -0x1.c2422bdf63da5p-19, -0x1.b4729c4ca387ap-19, -0x1.a69d1b2415adep-19, -0x1.98c27b470b95fp-19, -0x1.8ae38ef0a4d93p-19, -0x1.7d012cd24a58cp-19, -0x1.6f1c20a296fabp-19, -0x1.613526b249c4ep-19, -0x1.534d94a11d93cp-19, -0x1.45682eb22fc13p-19, -0x1.378535ec4b391p-19, -0x1.29a17c272fb12p-19, -0x1.1bbf22fb5189dp-19, -0x1.0de277822bcdp-19, -0x1.000aa0e7d7c37p-19, -0x1.e46e2d8894088p-20, -0x1.c8d1e2772ee31p-20, -0x1.ad42fe62e0d34p-20, -0x1.91c382b368b0dp-20, -0x1.7653ffd61de69p-20, -0x1.5af5d8a345bb8p-20, -0x1.3faee23416facp-20, -0x1.2479024991b93p-20, -0x1.095b2469c851ap-20, -0x1.dcad1ecce13bp-21, -0x1.a6d34a051cabcp-21, -0x1.712d9efd7e24cp-21, -0x1.3bbfc597636a1p-21, -0x1.068c83ae263f9p-21, -0x1.a32ccdb8e2213p-22, -0x1.39bfda561d1ep-22, -0x1.a1ae2c60719a2p-23, -0x1.a1dd5f25200a5p-24, -0x1.4ac643b509c49p-31, 0x1.9a6859a844aedp-24, 0x1.9a84ec52f4d63p-23, 0x1.334f30e31ae31p-22, 0x1.98bbd0ef0f46fp-22, 0x1.fd83fbcc64p-22, 0x1.30d1be2e94833p-21, 0x1.628b24cf7aeedp-21, 0x1.93ec3d3ff2562p-21, 0x1.c4f31618cab9bp-21, 0x1.f59dc47314687p-21, 0x1.12f5474a1fa49p-20, 0x1.2aebfce6c99cfp-20, 0x1.42b1d17958a9fp-20, 0x1.5a44da51f8b68p-20, 0x1.71a5bb7e32a4bp-20, 0x1.88d4195e372b4p-20, 0x1.9fcd194961b99p-20, 0x1.b69188ea096a2p-20, 0x1.cd1ff58b67f1cp-20, 0x1.e3786c520d5edp-20, 0x1.f99a08e245543p-20, 0x1.07c1ef6e3a239p-19, 0x1.129aa0efc1377p-19, 0x1.1d56cad2d590ap-19, 0x1.27f6218bbbf75p-19, 0x1.32785bbb13effp-19, 0x1.3cdd3262d46d8p-19, 0x1.4724611c372c2p-19, 0x1.514da6390e9dbp-19, 0x1.5b58c2cf8df4cp-19, 0x1.65457abad4a5ap-19, 0x1.6f13949f10345p-19, 0x1.78c2d9fa76b85p-19, 0x1.82531744013ebp-19, 0x1.8bc41be830919p-19, 0x1.9515b9efd3898p-19, 0x1.9e47c57c2c654p-19, 0x1.a75a14ad1797cp-19, 0x1.b04c7fee41784p-19, 0x1.b91ee20af5f5cp-19, 0x1.c1d1182691695p-19, 0x1.ca63033db974cp-19, 0x1.d2d48b7c9d77cp-19, 0x1.db259d3204354p-19, 0x1.e3561d8973dddp-19, 0x1.eb65e1cae6729p-19, 0x1.f354c2e657656p-19, 0x1.fb22f6fc39f39p-19, 0x1.01683a6a7a3a6p-18, 0x1.052e75659ddccp-18, 0x1.08e42f7cc1231p-18, 0x1.0c89693fc54ccp-18, 0x1.101e14faea98bp-18, 0x1.13a23beae09f1p-18, 0x1.1715efb9ce0dp-18, 0x1.1a79369ef0e4cp-18, 0x1.1dcbf590f0e7cp-18, 0x1.210e21a8a1b0ap-18, 0x1.243fcad7f270ep-18, 0x1.2760fad2c76eap-18, 0x1.2a71b76cde5p-18, 0x1.2d72065435ce9p-18, 0x1.3061ee0d0840ap-18, 0x1.3341761a15a1fp-18, 0x1.3610a70724c48p-18, 0x1.38cf8a720ef5p-18, 0x1.3b7e2af13d418p-18, 0x1.3e1c93cb91155p-18, 0x1.40aad0c6dfdap-18, 0x1.4328ee48816f4p-18, 0x1.4596f97e7de8p-18, 0x1.47f5003a263d3p-18, 0x1.4a4310c9c8b96p-18, 0x1.4c813ae6bfd35p-18, 0x1.4eaf91e1c974dp-18, 0x1.50ce2a663ef67p-18, 0x1.52dd14c7bfd8cp-18, 0x1.54dc5acf1e021p-18, 0x1.56cbf3456a6bfp-18, 0x1.58ac2660c7058p-18, 0x1.5a7d2687b2a34p-18, 0x1.5c3eb5f2cb79cp-18, 0x1.5df102dcb973fp-18, 0x1.5f942d7aa6eb5p-18, 0x1.61284c3f00c4ap-18, 0x1.62ad75c67d3fdp-18, }}, 
      {{-0x1.27a714576c317p+1, -0x1.250dada73397ep+1, -0x1.20e58b12fd02dp+1, -0x1.1b62e93c27ea9p+1, -0x1.14bf2b6146a8fp+1, -0x1.0d3409366f26fp+1, -0x1.04f88ac68e721p+1, -0x1.f87e7e005b219p+0, -0x1.e66a93ac3d447p+0, -0x1.d4040af4345d5p+0, -0x1.c18e0c6375d13p+0, -0x1.af40bc13c4dp+0, -0x1.9d4a0e5bb8742p+0, -0x1.8bcec58bd3d0bp+0, -0x1.7aeb7f5bb4242p+0, -0x1.6ab5bfd0a2773p+0, -0x1.5b3cef16eb285p+0, -0x1.4c8b43c6ad552p+0, -0x1.3ea69751ca4a4p+0, -0x1.31912421d25a3p+0, -0x1.254a2dc8abc74p+0, -0x1.19ce942703a1cp+0, -0x1.0f1952d864379p+0, -0x1.0523ee84262a4p+0, -0x1.f7cda3a5ea3b7p-1, -0x1.e6b33798d7d35p-1, -0x1.d6e6c2a5a0d6dp-1, -0x1.c855c6b358c56p-1, -0x1.baed76aa8952bp-1, -0x1.ae9afe8047c69p-1, -0x1.a34bbce296612p-1, -0x1.98ed70b555ca7p-1, -0x1.8f6e5c4bca6dap-1, -0x1.86bd600bbbbe7p-1, -0x1.7eca0ded2710fp-1, -0x1.7784b714cfbedp-1, -0x1.70de7498de9f2p-1, -0x1.6ac92c5577ea7p-1, -0x1.6537929327b71p-1, -0x1.601d2921fad7dp-1, -0x1.5b6e3c7156652p-1, -0x1.571fdf15c977dp-1, -0x1.5327e41a942abp-1, -0x1.4f7cd86c39b0bp-1, -0x1.4c15fb9b84453p-1, -0x1.48eb382cd2825p-1, -0x1.45f51b9dd2f5ep-1, -0x1.432cce43cf1e5p-1, -0x1.408c0b1dfac3bp-1, -0x1.3e0d17b1c6477p-1, -0x1.3baabc02a8c54p-1, -0x1.39603ab33639cp-1, -0x1.3729495a3b62cp-1, -0x1.3502091449129p-1, -0x1.32e6ff576e539p-1, -0x1.30d50f0ddb7b5p-1, -0x1.2ec971f9eb04ap-1, -0x1.2cc1b266672e2p-1, -0x1.2abba523fd628p-1, -0x1.28b563d41f667p-1, -0x1.26ad47800d11ap-1, -0x1.24a1e37a00422p-1, -0x1.22920087cb1f2p-1, -0x1.207c9857014bap-1, -0x1.1e60d13a1dfa5p-1, -0x1.1c3dfa2b369e9p-1, -0x1.1a13870e4dff8p-1, -0x1.17e10d2ebcd62p-1, -0x1.15a63ff76ea65p-1, -0x1.1362ede833d8ap-1, -0x1.1116fdc8bb8aap-1, -0x1.0ec26c14687b9p-1, -0x1.0c6548936e90ep-1, -0x1.09ffb41dbf003p-1, -0x1.0791de81058bep-1, -0x1.051c0495c087bp-1, -0x1.029e6e81b1f3dp-1, -0x1.00196e2999fe3p-1, -0x1.fb1abb8f784fp-2, -0x1.f5f53d3afc347p-2, -0x1.f0c32f72e8036p-2, -0x1.eb8569a32dbaep-2, -0x1.e63cca72fa5f4p-2, -0x1.e0ea35e746811p-2, -0x1.db8e93c98b9ebp-2, -0x1.d62ace43e690cp-2, -0x1.d0bfd0a4611cep-2, -0x1.cb4e8640b1a43p-2, -0x1.c5d7d96b57ecdp-2, -0x1.c05cb27c894eap-2, -0x1.baddf6f0fb26p-2, -0x1.b55c88a2ee5ecp-2, -0x1.afd94521a5bcap-2, -0x1.aa55052702b6dp-2, -0x1.a4d09c289cffap-2, -0x1.9f4cd7feff92p-2, -0x1.99ca809d42e2ep-2, -0x1.944a57d414366p-2, -0x1.8ecd191cd9465p-2, -0x1.8953796b93e6dp-2, -0x1.83de27079d692p-2, -0x1.7e6dc96c38618p-2, -0x1.7903013207bc5p-2, -0x1.739e68022bc4bp-2, -0x1.6e40909307bfcp-2, -0x1.68ea06ae1efa6p-2, -0x1.639b4f3ddab31p-2, -0x1.5e54e861d5839p-2, -0x1.591749883d0d4p-2, -0x1.53e2e38aebd36p-2, -0x1.4eb820cf44f74p-2, -0x1.4997656818bp-2, -0x1.44810f391cf03p-2, -0x1.3f75761bdda2cp-2, -0x1.3a74ec060e834p-2, -0x1.357fbd31467a2p-2, -0x1.3096304415fb4p-2, -0x1.2bb8867c6f99dp-2, -0x1.26e6fbdb2fcd4p-2, -0x1.2221c75078b32p-2, -0x1.1d691ae8aa628p-2, -0x1.18bd23f99efa8p-2, -0x1.141e0b4fe0887p-2, -0x1.0f8bf55b9b335p-2, -0x1.0b07025d1e5f3p-2, -0x1.068f4e90cc3e1p-2, -0x1.0224f25a47dc3p-2, -0x1.fb9004dde682ep-3, -0x1.f2f11fff4765bp-3, -0x1.ea6d51c2e6ea3p-3, -0x1.e204af6ba253bp-3, -0x1.d9b7482346e1ap-3, -0x1.d1852546fb715p-3, -0x1.c96e4ab1fa3c4p-3, -0x1.c172b706125bep-3, -0x1.b99263f217c75p-3, -0x1.b1cd467673edfp-3, -0x1.aa234f2713a8dp-3, -0x1.a2946a6b1344dp-3, -0x1.9b2080ba76eeep-3, -0x1.93c776d90121cp-3, -0x1.8c892e0ecff8bp-3, -0x1.8565845f25adp-3, -0x1.7e5c54bc63511p-3, -0x1.776d7739d7a0cp-3, -0x1.7098c13c33425p-3, -0x1.69de05a76db6ap-3, -0x1.633d150a74b4p-3, -0x1.5cb5bdc9f50b1p-3, -0x1.5647cc49158a8p-3, -0x1.4ff30b0fc15c4p-3, -0x1.49b742f027336p-3, -0x1.43943b2ae24d8p-3, -0x1.3d89b9909263fp-3, -0x1.379782a229c1bp-3, -0x1.31bd59b0b2219p-3, -0x1.2bfb00faca5dfp-3, -0x1.265039c81eeadp-3, -0x1.20bcc48477e0fp-3, -0x1.1b4060d99e9b5p-3, -0x1.15dacdc6c67e5p-3, -0x1.108bc9b6d9a1ep-3, -0x1.0b53129695fcp-3, -0x1.063065e8f6418p-3, -0x1.012380d98a222p-3, -0x1.f858409cc9eep-4, -0x1.ee9401f38de6dp-4, -0x1.e4f9bed3dbf92p-4, -0x1.db88f02ec36e9p-4, -0x1.d2410ee680ee8p-4, -0x1.c92193ea4540bp-4, -0x1.c029f84ea190cp-4, -0x1.b759b563b7f2ap-4, -0x1.aeb044cbaec02p-4, -0x1.a62d209064363p-4, -0x1.9dcfc33650c9dp-4, -0x1.9597a7cd6ea88p-4, -0x1.8d844a0273e7cp-4, -0x1.8595262faffe8p-4, -0x1.7dc9b96b8f974p-4, -0x1.762181952cf17p-4, -0x1.6e9bfd610425bp-4, -0x1.6738ac65c8aa3p-4, -0x1.5ff70f27887d2p-4, -0x1.58d6a720c7758p-4, -0x1.51d6f6cb4514fp-4, -0x1.4af781a9415d1p-4, -0x1.4437cc4df8bdcp-4, -0x1.3d975c643f0b7p-4, -0x1.3715b8b415638p-4, -0x1.30b269289c3fdp-4, -0x1.2a6cf6d629f46p-4, -0x1.2444ebff4104ap-4, -0x1.1e39d4180e863p-4, -0x1.184b3bc97cd9ep-4, -0x1.1278b0f4bc42dp-4, -0x1.0cc1c2b6c4ce5p-4, -0x1.0726016ad5fa7p-4, -0x1.01a4feabd417bp-4, -0x1.f87c9aaaca8ecp-5, -0x1.ede3030af1773p-5, -0x1.e37c613bca5ffp-5, -0x1.d947e28a9e63cp-5, -0x1.cf44b6ce2a247p-5, -0x1.c5721065c6774p-5, -0x1.bbcf243935b9fp-5, -0x1.b25b29b91cdc1p-5, -0x1.a9155adecfa5fp-5, -0x1.9ffcf42a6e583p-5, -0x1.9711349fd18aap-5, -0x1.8e515dc3b5b99p-5, -0x1.85bcb399e96fp-5, -0x1.7d527ca3bc284p-5, -0x1.751201dd4c04ap-5, -0x1.6cfa8eb9452bp-5, -0x1.650b711c168e7p-5, -0x1.5d43f957f757ep-5, -0x1.55a37a29f1072p-5, -0x1.4e2948b6d5857p-5, -0x1.46d4bc86ddd27p-5, -0x1.3fa52f7fffb7p-5, -0x1.3899fde02b8bep-5, -0x1.31b2863891e1dp-5, -0x1.2aee2969dca41p-5, -0x1.244c4aa021819p-5, -0x1.1dcc4f4d96fa4p-5, -0x1.176d9f2432684p-5, -0x1.112fa40f5bda5p-5, -0x1.0b11ca2e9d255p-5, -0x1.05137fd136b6ap-5, -0x1.fe686ae2f565fp-6, -0x1.f2e6bb5e8d1a2p-6, -0x1.e7a0da92c0a3dp-6, -0x1.dc95b62dd2d78p-6, -0x1.d1c440030c7b7p-6, -0x1.c72b6e00cbbf5p-6, -0x1.bcca3a26cbff1p-6, -0x1.b29fa27b237dfp-6, -0x1.a8aaa8fd9a37ap-6, -0x1.9eea539a69661p-6, -0x1.955dac1dd4778p-6, -0x1.8c03c0293861dp-6, -0x1.82dba128ee106p-6, -0x1.79e46449bcef6p-6, -0x1.711d226d2c3ffp-6, -0x1.6884f81ce9641p-6, -0x1.601b057e38b8ap-6, -0x1.57de6e4646e9ap-6, -0x1.4fce59af71f8fp-6, -0x1.47e9f26ef901fp-6, -0x1.403066aa4e662p-6, -0x1.38a0e7eb98471p-6, -0x1.313aab15d585p-6, -0x1.29fce8590c984p-6, -0x1.22e6db2721301p-6, -0x1.1bf7c229541ccp-6, -0x1.152edf36028e8p-6, -0x1.0e8b774645aap-6, -0x1.080cd26b23a22p-6, -0x1.01b23bc285b5bp-6, -0x1.f6f602d86ea6ap-7, -0x1.eacce8fe8cb12p-7, -0x1.dee7d1ff8fe4bp-7, -0x1.d3456ba9d0283p-7, -0x1.c7e4697e329b9p-7, -0x1.bcc3849b8a87bp-7, -0x1.b1e17bab1f0a1p-7, -0x1.a73d12cb87b98p-7, -0x1.9cd5137d2e193p-7, -0x1.92a84c8ea90b9p-7, -0x1.88b59209bb86dp-7, -0x1.7efbbd20983fbp-7, -0x1.7579ac1b2c5d3p-7, -0x1.6c2e42446a2cfp-7, -0x1.631867d7ae948p-7, -0x1.5a3709ee38cecp-7, -0x1.51891a6d06157p-7, -0x1.490d8ff2e9cf5p-7, -0x1.40c365c6e4cb3p-7, -0x1.38a99bc6b5328p-7, -0x1.30bf36558c9f8p-7, -0x1.29033e4ae6b6bp-7, -0x1.2174c0e1965abp-7, -0x1.1a12cfa6fb20dp-7, -0x1.12dc806a8649dp-7, -0x1.0bd0ed2d51be5p-7, -0x1.04ef3411fc916p-7, -0x1.fc6cee994168bp-8, -0x1.ef4bba25f0786p-8, -0x1.e2791f196e043p-8, -0x1.d5f3798847c0dp-8, -0x1.c9b92d2dcc956p-8, -0x1.bdc8a54e1982cp-8, -0x1.b220549876c2fp-8, -0x1.a6beb509fa6f4p-8, -0x1.9ba247d0570eap-8, -0x1.90c9952d07982p-8, -0x1.86332c58dff11p-8, -0x1.7bdda367f9be7p-8, -0x1.71c7972e39c5cp-8, -0x1.67efab2432307p-8, -0x1.5e54894c67e3bp-8, -0x1.54f4e218e3481p-8, -0x1.4bcf6c50e28f6p-8, -0x1.42e2e4f6d842bp-8, -0x1.3a2e0f2ea0231p-8, -0x1.31afb424156e7p-8, -0x1.2966a2f223ddap-8, -0x1.2151b08a25c1fp-8, -0x1.196fb79bd3a8cp-8, -0x1.11bf987d781cfp-8, -0x1.0a40391470882p-8, -0x1.02f084bded209p-8, -0x1.f79ed86fb620bp-9, -0x1.e9b7cb141be12p-9, -0x1.dc29d7df4b03bp-9, -0x1.cef2ff81a2ceap-9, -0x1.c2114cb9d847bp-9, -0x1.b582d429e955p-9, -0x1.a945b42cc763bp-9, -0x1.9d5814acb3629p-9, -0x1.91b826fa25e9bp-9, -0x1.866425a379097p-9, -0x1.7b5a544d370b5p-9, -0x1.7098ff88f005ap-9, -0x1.661e7cafd5751p-9, -0x1.5be929bbc3535p-9, -0x1.51f76d1f4aba3p-9, -0x1.4847b5a15df4cp-9, -0x1.3ed87a378f359p-9, -0x1.35a839e15121cp-9, -0x1.2cb57b84284d8p-9, -0x1.23fecdc8a0106p-9, -0x1.1b82c6f7cb865p-9, -0x1.134004d9a3cdfp-9, -0x1.0b352c93af76p-9, -0x1.0360ea87d5436p-9, -0x1.f783e466eaab4p-10, -0x1.e8adfc1ca2a34p-10, -0x1.da3d9ed352edcp-10, -0x1.cc305c9ef817cp-10, -0x1.be83d2c4ee7e1p-10, -0x1.b135ab7d63808p-10, -0x1.a4439db6fbe8ap-10, -0x1.97ab6cdd07562p-10, -0x1.8b6ae89fc3b75p-10, -0x1.7f7fecbde503dp-10, -0x1.73e860cf1269bp-10, -0x1.68a2380dbcd84p-10, -0x1.5dab7120145dp-10, -0x1.530215dfabbb6p-10, -0x1.48a43b1fff2ap-10, -0x1.3e900074d5e8cp-10, -0x1.34c38ff998289p-10, -0x1.2b3d1e1b2c579p-10, -0x1.21fae964abc25p-10, -0x1.18fb3a502d2bp-10, -0x1.103c631ac9c99p-10, -0x1.07bcbf9b4936ep-10, -0x1.fef56a331bbeep-11, -0x1.eee9644aea1ebp-11, -0x1.df525cd715268p-11, -0x1.d02d550d161d4p-11, -0x1.c1775f9c0fcbp-11, -0x1.b32da045806f1p-11, -0x1.a54d4b74ccf3bp-11, -0x1.97d3a5da2036ap-11, -0x1.8abe040c12ae1p-11, -0x1.7e09ca3402abp-11, -0x1.71b46bc5aadb2p-11, -0x1.65bb6b4130a9p-11, -0x1.5a1c59fccd4a7p-11, -0x1.4ed4d7f1159eap-11, -0x1.43e29382fdc25p-11, -0x1.39434945845b8p-11, -0x1.2ef4c3b10433dp-11, -0x1.24f4dacd748d3p-11, -0x1.1b4173d2aba42p-11, -0x1.11d880c24fbacp-11, -0x1.08b800021ac77p-11, -0x1.ffbbf7fc13c66p-12, -0x1.ee9115b14bcc6p-12, -0x1.ddeb9c5bf863ap-12, -0x1.cdc7e5d402663p-12, -0x1.be22625ed3a1p-12, -0x1.aef7989180457p-12, -0x1.a0442534c0adep-12, -0x1.9204bb17f7e94p-12, -0x1.843622c096e35p-12, -0x1.76d539ec4bffdp-12, -0x1.69def2e26b20ep-12, -0x1.5d50539eb5932p-12, -0x1.512674e618c45p-12, -0x1.455e815f911fdp-12, -0x1.39f5b4cb028bfp-12, -0x1.2ee95b6e66b9p-12, -0x1.2436d1c68dc42p-12, -0x1.19db847c26ab9p-12, -0x1.0fd4f08f92ad1p-12, -0x1.0620a39fd02edp-12, -0x1.f978785bc915bp-13, -0x1.e74ad371c9169p-13, -0x1.d5b3d936b9133p-13, -0x1.c4af2b36d5ac1p-13, -0x1.b4388a5c540f6p-13, -0x1.a44bd4fcfe184p-13, -0x1.94e504a516fa7p-13, -0x1.86002be89d54cp-13, -0x1.7799748ac9e94p-13, -0x1.69ad1e42fb3e7p-13, -0x1.5c377e4cb7b4dp-13, -0x1.4f34ffc3889f6p-13, -0x1.42a2249e5b19ap-13, -0x1.367b86f4bcc6ep-13, -0x1.2abdda2aa0428p-13, -0x1.1f65ebab91ba9p-13, -0x1.1470a2fab682dp-13, -0x1.09db011243ee7p-13, -0x1.ff443e32fdfbep-14, -0x1.eb8659364512dp-14, -0x1.d876dad63e3d7p-14, -0x1.c6106edb6798fp-14, -0x1.b44de111ff08bp-14, -0x1.a32a1a1f2ec3ep-14, -0x1.92a01de0993d8p-14, -0x1.82ab0ba406db2p-14, -0x1.7346200fd0a74p-14, -0x1.646cb80e9e379p-14, -0x1.561a53c75c7efp-14, -0x1.484a98b8731cbp-14, -0x1.3af9527566a52p-14, -0x1.2e227204e4abbp-14, -0x1.21c20c3dd0854p-14, -0x1.15d4579410522p-14, -0x1.0a55a999dcba8p-14, -0x1.fe84e88d29cbbp-15, -0x1.e92e86091a67cp-15, -0x1.d4a16f696dad7p-15, -0x1.c0d7103528bd2p-15, -0x1.adc8f89ad690ep-15, -0x1.9b70dd2a44f86p-15, -0x1.89c899520bcdep-15, -0x1.78ca3370de649p-15, -0x1.686fe0c07e6e2p-15, -0x1.58b407a363a21p-15, -0x1.49913fc8a9e46p-15, -0x1.3b02509a498abp-15, -0x1.2d022ef1d2094p-15, -0x1.1f8bfaea692c2p-15, -0x1.129afe10904d8p-15, -0x1.062aa99b710e7p-15, -0x1.f46d286af0b8fp-16, -0x1.dd74ee71fcdc8p-16, -0x1.c76457adabbd3p-16, -0x1.b23351abb9221p-16, -0x1.9dda033698824p-16, -0x1.8a50cc73bc41p-16, -0x1.779047f101c4ap-16, -0x1.65914aec776d3p-16, -0x1.544ce3fe51a2ap-16, -0x1.43bc588d76927p-16, -0x1.33d9223cc1ccap-16, -0x1.249ced8c4eaa5p-16, -0x1.16019a06e6659p-16, -0x1.08013b2cfbf17p-16, -0x1.f52c31480b01dp-17, -0x1.db75595037f2p-17, -0x1.c2d3421281ff9p-17, -0x1.ab3b9870f490bp-17, -0x1.94a4601b0d91cp-17, -0x1.7f03f54543645p-17, -0x1.6a510ffadd7b7p-17, -0x1.5682c4c8ec243p-17, -0x1.43908028ffd37p-17, -0x1.3171fd640ed91p-17, -0x1.201f3c135b1f1p-17, -0x1.0f9077476c6ebp-17, -0x1.ff7c40242b36ap-18, -0x1.e141b7cf466edp-18, -0x1.c4630d73e406ep-18, -0x1.a8d26ed4acd5cp-18, -0x1.8e82877e5842cp-18, -0x1.7566814227201p-18, -0x1.5d71fd6cd584ap-18, -0x1.46990b95b5d76p-18, -0x1.30d026847a865p-18, -0x1.1c0c38fdf5ab8p-18, -0x1.0842a45b162bcp-18, -0x1.ead27f18ebb3dp-19, -0x1.c6ec960d297dap-19, -0x1.a4c0c0237cb55p-19, -0x1.843ccba2f7abep-19, -0x1.654f208678aeap-19, -0x1.47e6c89441c8p-19, -0x1.2bf37351f3f9p-19, -0x1.116570c24c667p-19, -0x1.f05b4e905e8e9p-20, -0x1.c07b0ea07b54cp-20, -0x1.930df6e672cf2p-20, -0x1.67f8b0cceadf4p-20, -0x1.3f20b35e03a87p-20, -0x1.186c6de20aae4p-20, -0x1.e7872c933a9adp-21, -0x1.a21ec74498f8fp-21, -0x1.6074f2b34a70dp-21, -0x1.2260f5fb66802p-21, -0x1.cf76128f6fae9p-22, -0x1.60b77cd91322ap-22, -0x1.f070d24d41da5p-23, -0x1.2b5b14a2b2214p-23, -0x1.c6789da6fd468p-25, 0x1.ea72fb6af5651p-26, 0x1.c3d94e6cbb45bp-24, 0x1.7cb91397a8b55p-23, 0x1.0714ef9bd9209p-22, 0x1.4b57665bd3829p-22, 0x1.8b5910aeb0cecp-22, 0x1.c74d69fb64622p-22, 0x1.ff67129430136p-22, 0x1.19ebaa9c15a45p-21, 0x1.326640f3d145bp-21, 0x1.493844c12efb7p-21, 0x1.5e74a8e92abf8p-21, 0x1.722d5dbddf3dcp-21, 0x1.847461b504d2dp-21, 0x1.955c13cf8be06p-21, 0x1.a4f6b6bac5057p-21, 0x1.b355bf81e63cfp-21, 0x1.c08981f9e7c78p-21, 0x1.cca1493db161ep-21, 0x1.d7ab99be2aeb8p-21, 0x1.e1b66d8143d88p-21, 0x1.eacf5a903f07ap-21, 0x1.f303949885556p-21, 0x1.fa5fc5705a76ep-21, 0x1.0077ed70b666fp-20, 0x1.035f79fbe8a65p-20, 0x1.05ebb7a2979bp-20, 0x1.08217776639ffp-20, 0x1.0a0524141ae24p-20, 0x1.0b9ac738a5f65p-20, 0x1.0ce6313810e71p-20, 0x1.0deb28f7a8ae4p-20, 0x1.0ead79ea402acp-20, 0x1.0f30d9016e974p-20, 0x1.0f78c6531b6adp-20, 0x1.0f888c13a6569p-20, 0x1.0f634d342a3e9p-20, 0x1.0f0c06f986454p-20, 0x1.0e85873ab3995p-20, 0x1.0dd26a30d5938p-20, 0x1.0cf52558acbf3p-20, 0x1.0bf0162802608p-20, 0x1.0ac58927773bfp-20, 0x1.0977b659366f5p-20, 0x1.0808badad6ab5p-20, 0x1.067a969789f37p-20, 0x1.04cf28b2afdccp-20, 0x1.030823f4260ap-20, 0x1.012708256f949p-20, 0x1.fe5a64c7f876dp-21, 0x1.fa37f1ab50672p-21, 0x1.f5e95f9fcbb5p-21, 0x1.f17133d857311p-21, 0x1.ecd1acd1ef657p-21, 0x1.e80cd99990085p-21, 0x1.e324be30c4666p-21, 0x1.de1b581813f4bp-21, 0x1.d8f28f8dec7e5p-21, 0x1.d3ac2e1593cecp-21, 0x1.ce49db02acd43p-21, 0x1.c8cd1b56759b1p-21, 0x1.c337560211c2ep-21, 0x1.bd89da5070639p-21, 0x1.b7c5e40d62674p-21, 0x1.b1ec9ce678efap-21, 0x1.abff1a94bd5a4p-21, 0x1.a5fe64b8ce2efp-21, 0x1.9feb746854a3ap-21, 0x1.99c732945743p-21, 0x1.939279332a23bp-21, 0x1.8d4e16034b78p-21, 0x1.86facac53be95p-21, 0x1.80994a823685bp-21, 0x1.7a2a3c944968ap-21, 0x1.73ae421779507p-21, 0x1.6d25f2b0dee7p-21, 0x1.6691d5e0efb5p-21, 0x1.5ff266a701e14p-21, 0x1.59481dc217fa3p-21, 0x1.52937536bb55fp-21, 0x1.4bd4e2b21003cp-21, 0x1.450cd0f140686p-21, 0x1.3e3b9e203f371p-21, 0x1.37619e16b581bp-21, 0x1.307f206ce89b7p-21, 0x1.29947a013f421p-21, 0x1.22a209992230bp-21, 0x1.1ba82e95dbbeep-21, 0x1.14a738b646541p-21, 0x1.0d9f65024dfcp-21, 0x1.0690e8ec75d18p-21, 0x1.fef7f7d679887p-22, 0x1.f0c1c632e2432p-22, 0x1.e27feb5d10578p-22, 0x1.d4330cdc0c615p-22, 0x1.c5dba5eeb7ca5p-22, 0x1.b77a2f3752574p-22, 0x1.a90f34008aac7p-22, 0x1.9a9b3e1bbdd28p-22, 0x1.8c1ec2754f7f7p-22, 0x1.7d9a2556ae726p-22, 0x1.6f0dc4cc87b6ap-22, 0x1.607a0906eda06p-22, 0x1.51df77527c689p-22, 0x1.433eae74f1682p-22, 0x1.34984587aa0dp-22, 0x1.25ecb99c75459p-22, 0x1.173c89f251e9p-22, 0x1.0888555756d48p-22, 0x1.f3a182bfc907ep-23, 0x1.d62c91cfb51b1p-23, 0x1.b8b271ea69c4cp-23, 0x1.9b33c3831f92cp-23, 0x1.7db1698e47917p-23, 0x1.602ca460b1fdcp-23, 0x1.42a70d5d61b0cp-23, 0x1.2521f6f6ad86ep-23, 0x1.079e4c3d65c7cp-23, 0x1.d43a648f5699ep-24, 0x1.993ff9a31e70dp-24, 0x1.5e4fafb797f05p-24, 0x1.236bb8712213bp-24, 0x1.d12c9b5829d1fp-25, 0x1.5ba36e384bf43p-25, 0x1.cc817161582d9p-26, 0x1.c4269d96203ddp-27, -0x1.fe336410b8dbbp-32, -0x1.e3313a2ffcceap-27, -0x1.dac2deb8bba4ep-26, -0x1.61b77d2ffdb6p-25, -0x1.d5c9ee9bbacb4p-25, -0x1.24c99ee1671fp-24, -0x1.5e867c2a7655p-24, -0x1.9818c3cca174dp-24, -0x1.d17e9c3934bf5p-24, -0x1.055b05e24a585p-23, -0x1.21de26f9a0788p-23, -0x1.3e4752a86bfabp-23, -0x1.5a95303aa2dc3p-23, -0x1.76c693947a457p-23, -0x1.92da57db4efebp-23, -0x1.aecefb2e32e61p-23, -0x1.caa3181defe47p-23, -0x1.e6556e1b1b004p-23, -0x1.00f25a926301fp-22, -0x1.0ea7d3e5c1679p-22, -0x1.1c4a8627418b4p-22, -0x1.29d9d8781d166p-22, -0x1.375531b884209p-22, -0x1.44bbf4af7a02bp-22, -0x1.520d7ec63dad4p-22, -0x1.5f492ab15ee5bp-22, -0x1.6c6e55be710fap-22, -0x1.797c63d453f3fp-22, -0x1.8672bee20f65dp-22, -0x1.9350d0d00247fp-22, -0x1.a015fe6bd68a8p-22, -0x1.acc1b15d53dcep-22, -0x1.b9536836fcaffp-22, -0x1.c5ca9d8f01b5cp-22, -0x1.d226aec52e945p-22, -0x1.de67183dd0ce3p-22, -0x1.ea8b633cba0dbp-22, -0x1.f6930dadc00ffp-22, -0x1.013ec7a34ad4bp-21, -0x1.0725273af80b7p-21, -0x1.0cfc634efd4f9p-21, -0x1.12c43e9abad0fp-21, -0x1.187c7c2d41068p-21, -0x1.1e24def892e87p-21, -0x1.23bd2b9e39d58p-21, -0x1.294529013ad74p-21, -0x1.2ebc9f95b43abp-21, -0x1.34235863bfafep-21, -0x1.39791c3fa9c4ap-21, -0x1.3ebdb39e8c1c4p-21, -0x1.43f0e776a972fp-21, -0x1.4912832ea817bp-21, -0x1.4e22566971818p-21, -0x1.53203520e0375p-21, -0x1.580bf54359acap-21, -0x1.5ce56b11f6b43p-21, -0x1.61ac68ce3dedep-21, -0x1.6660c3b83586ap-21, -0x1.6b025332a52ebp-21, -0x1.6f90e9289d815p-21, -0x1.740c6150e8769p-21, -0x1.7874a7f646e9bp-21, -0x1.7cc99d11f566bp-21, -0x1.810b13f203577p-21, -0x1.8538ebf03b047p-21, -0x1.89530c3cb2f22p-21, -0x1.8d59560bbdc04p-21, -0x1.914baa2b53d75p-21, -0x1.9529f1ea69d05p-21, -0x1.98f41b7b41bdep-21, -0x1.9caa1368df49dp-21, -0x1.a04bc27d2b36ap-21, -0x1.a3d911ff92e41p-21, -0x1.a751f322ff0a8p-21, -0x1.aab657504c625p-21, -0x1.ae062e53e78cap-21, -0x1.b14168b4485a9p-21, -0x1.b467f952a8b4fp-21, -0x1.b779d64aad752p-21, -0x1.ba76f8c1d936p-21, -0x1.bd5f5ba8814aep-21, -0x1.c032f9f2a794cp-21, -0x1.c2f1cd51f55e3p-21, -0x1.c59bcfbf9f418p-21, -0x1.c830febcaf472p-21, -0x1.cab15a5d9828ap-21, -0x1.cd1ce0f322965p-21, -0x1.cf739cf4decc1p-21, -0x1.d1b5972728ea3p-21, -0x1.d3e2c94c57bb1p-21, -0x1.d5fb3c2202fdap-21, -0x1.d7fef9809999dp-21, -0x1.d9ee095cdf142p-21, -0x1.dbc873f916a54p-21, -0x1.dd8e44a8c2747p-21, -0x1.df3f88388613bp-21, -0x1.e0dc4d2375a11p-21, -0x1.e264a31cd8841p-21, -0x1.e3d89a9f83dc8p-21, -0x1.e53844f2808edp-21, -0x1.e683b3235688cp-21, -0x1.e7baf7411c25ap-21, -0x1.e8de27c1cc3bcp-21, -0x1.e9ed574da066ap-21, -0x1.eae8a14aa41c7p-21, -0x1.ebd01d49dc8cdp-21, -0x1.eca3e0953efffp-21, -0x1.ed6407196623ep-21, -0x1.ee10ad58fceb5p-21, -0x1.eea9ee61b27a5p-21, -0x1.ef2fe4e2f4eccp-21, -0x1.efa2acc019ff4p-21, -0x1.f0026535f54d2p-21, -0x1.f04f2effa72ecp-21, -0x1.f089285263247p-21, -0x1.f0b076bdc35a8p-21, -0x1.f0c538351dd71p-21, -0x1.f0c78f165bbc2p-21, -0x1.f0b7a06729602p-21, -0x1.f0958f74f51a5p-21, -0x1.f06180a608359p-21, -0x1.f01b995d2ee9dp-21, -0x1.efc3ffc31bcd1p-21, -0x1.ef5adab6d3df4p-21, -0x1.eee051c316a32p-21, -0x1.ee548d1121386p-21, -0x1.edb7b5610d8a7p-21, -0x1.ed09f3f916fabp-21, -0x1.ec4b72a8cb566p-21, -0x1.eb7c5bbc5373p-21, -0x1.ea9cd9fda6c7dp-21, -0x1.e9ad18b720838p-21, -0x1.e8ad43c0650dfp-21, -0x1.e79d878649a36p-21, -0x1.e67e10f0d149dp-21, -0x1.e54f0d2dae698p-21, -0x1.e410a9a767778p-21, -0x1.e2c314793b16cp-21, -0x1.e1667caaf3f69p-21, -0x1.dffb111d3c316p-21, -0x1.de80fff93e532p-21, -0x1.dcf87903dc4c4p-21, -0x1.db61ac25ce4f3p-21, -0x1.d9bcc841f1c78p-21, -0x1.d809fe8d837b1p-21, -0x1.d6497f17d5fdfp-21, -0x1.d47b7b1bba181p-21, -0x1.d2a0236a3f345p-21, -0x1.d0b7a8fd435cap-21, -0x1.cec23d21cf604p-21, -0x1.ccc01154f0468p-21, -0x1.cab157379d2dp-21, -0x1.c8964089c29b4p-21, -0x1.c66eff25f6294p-21, -0x1.c43bc4ffa52dfp-21, -0x1.c1fcc420694b5p-21, -0x1.bfb22ea570948p-21, -0x1.bd5c36bb73d82p-21, -0x1.bafb0e9b4d671p-21, -0x1.b88ee88771d4ap-21, -0x1.b617f6cb0a881p-21, -0x1.b3966bb606154p-21, -0x1.b10a79944396bp-21, -0x1.ae7452a187892p-21, -0x1.abd429062dc7cp-21, -0x1.a92a2eda88651p-21, -0x1.a67696287e7d3p-21, -0x1.a3b990e76fd28p-21, -0x1.a0f35102e433bp-21, -0x1.9e24086d44de4p-21, -0x1.9b4be906eab16p-21, -0x1.986b245918bc6p-21, -0x1.9581eb9b8a7dp-21, -0x1.92906ff544f3p-21, -0x1.8f96e2e5511fdp-21, -0x1.8c95756fd8dc9p-21, -0x1.898c58183a878p-21, -0x1.867bbbaa05d3ep-21, -0x1.8363d0add0ab3p-21, -0x1.8044c73edca4ap-21, -0x1.7d1ecf79aa3d1p-21, -0x1.79f2195019149p-21, -0x1.76bed4097c1ep-21, -0x1.73852f146b4ffp-21, -0x1.70455974ae54p-21, -0x1.6cff8204b48cp-21, -0x1.69b3d75eb688dp-21, -0x1.666287cfbc036p-21, -0x1.630bc15a2e2ddp-21, -0x1.5fafb1b739e14p-21, -0x1.5c4e8656a956bp-21, -0x1.58e86c5ec0a47p-21, -0x1.557d90ad1f412p-21, -0x1.520e1fd2c7d44p-21, -0x1.4e9a4609833cdp-21, -0x1.4b222f3052ae6p-21, -0x1.47a606cc58dp-21, -0x1.4425f80b4fb14p-21, -0x1.40a22dca3df34p-21, -0x1.3d1ad28b05d9dp-21, -0x1.3990107e5d672p-21, -0x1.3602119ffca5ep-21, -0x1.3270ff94649c7p-21, -0x1.2edd035de09f1p-21, -0x1.2b4645828ce3bp-21, -0x1.27acee15ff0fcp-21, -0x1.241125a7a0d2cp-21, -0x1.207314273454bp-21, -0x1.1cd2dffc7d38ep-21, -0x1.1930b0417863ep-21, -0x1.158cab88383f6p-21, -0x1.11e6f7edb3ca4p-21, -0x1.0e3fbb07bb4cdp-21, }}, 
      {{-0x1.154f6080dc8b6p-12, -0x1.e97bc8ea52169p-11, -0x1.c32f01fa85e88p-10, -0x1.2c7c29fe774a9p-9, -0x1.31a2c315e565ep-9, -0x1.9d2544b009p-10, 0x1.650e96582c84dp-13, 0x1.8d70e89c8b17ap-9, 0x1.cf4ae2d69cb8ep-8, 0x1.927e240b2a6a3p-7, 0x1.313181c031418p-6, 0x1.aa4a1e24a419cp-6, 0x1.19598f738a386p-5, 0x1.6422a0b9c7ac6p-5, 0x1.b4539c10633d2p-5, 0x1.0459f8509b358p-4, 0x1.3004e15bf5767p-4, 0x1.5c9124c6f37efp-4, 0x1.896c17563bc0bp-4, 0x1.b60c1d2d8bd3ep-4, 0x1.e1f246b46567p-4, 0x1.0655a8e3c0a5p-3, 0x1.1ae81576f3267p-3, 0x1.2e83046b72145p-3, 0x1.40ff1d0ff31b6p-3, 0x1.523add0a5155ap-3, 0x1.621a4ebe575e1p-3, 0x1.7086b28ad279bp-3, 0x1.7d6e202b89a18p-3, 0x1.88c324558e45bp-3, 0x1.927c5da8a7efep-3, 0x1.9a941b4399261p-3, 0x1.a107fea0d057cp-3, 0x1.a5d8a1d8d32f8p-3, 0x1.a90942fd11bc1p-3, 0x1.aa9f74ebfbdcbp-3, 0x1.aaa2d5c0ba512p-3, 0x1.a91ccad2643e2p-3, 0x1.a6184214ff3b5p-3, 0x1.a1a17898acf5ep-3, 0x1.9bc5c5d7e9671p-3, 0x1.94936b82c1fedp-3, 0x1.8c19697782b87p-3, 0x1.8267559f3e1aep-3, 0x1.778d376af4d5ep-3, 0x1.6b9b66b390527p-3, 0x1.5ea26dc5f40b9p-3, 0x1.50b2ee63c7a79p-3, 0x1.41dd89891a3aap-3, 0x1.3232c9c5f2d07p-3, 0x1.21c30ffee6a17p-3, 0x1.109e826a318a2p-3, 0x1.fda9fb40714a8p-4, 0x1.d8ec0f32b4cf8p-4, 0x1.b32188eb32a1p-4, 0x1.8c67d9d9b8e3ep-4, 0x1.64db8c8a6a731p-4, 0x1.3c98376a35129p-4, 0x1.13b87217c7601p-4, 0x1.d4ab9a4f73885p-5, 0x1.8111981f4dde9p-5, 0x1.2cd1c236b9f2p-5, 0x1.b031ad5df11fep-6, 0x1.0622d6b7b6ebbp-6, 0x1.6f1f82c341648p-8, -0x1.3a4a662f596dfp-8, -0x1.f14864d7ea741p-7, -0x1.a228a8cd2e48fp-6, -0x1.256fe4812ced4p-5, -0x1.7946ac2685d4ep-5, -0x1.cc7c7846697a7p-5, -0x1.0f7b7d9c583ddp-4, -0x1.384ed949a5fecp-4, -0x1.60aceec90604dp-4, -0x1.888b37c408678p-4, -0x1.afdff654a3075p-4, -0x1.d6a23a9d1d19dp-4, -0x1.fcc9cc262fa6dp-4, -0x1.1127968818b73p-3, -0x1.2395c5267a288p-3, -0x1.35ac5c59e7575p-3, -0x1.4768937baec42p-3, -0x1.58c7ebf93d5d2p-3, -0x1.69c82eaa5b4b2p-3, -0x1.7a67643c78c7p-3, -0x1.8aa3d6c1ffa79p-3, -0x1.9a7c0b5310118p-3, -0x1.a9eebfd69b7cdp-3, -0x1.b8fae8a6ec491p-3, -0x1.c79fac5bffb76p-3, -0x1.d5dc6170819acp-3, -0x1.e3b08b21278b4p-3, -0x1.f11bd6e1920dfp-3, -0x1.fe1e1a1d0d46p-3, -0x1.055ba81383f34p-2, -0x1.0b73cc365c2a4p-2, -0x1.11579a5cec02p-2, -0x1.170743bd7ea1cp-2, -0x1.1c8308fe8e5adp-2, -0x1.21cb394c3fce6p-2, -0x1.26e03165d4fcdp-2, -0x1.2bc25aacea9b9p-2, -0x1.30722a347b5dcp-2, -0x1.34f01fd7d94a1p-2, -0x1.393cc56030b1dp-2, -0x1.3d58adb40d74bp-2, -0x1.4144741472bap-2, -0x1.4500bb685596p-2, -0x1.488e2d8f30146p-2, -0x1.4bed7abb115dcp-2, -0x1.4f1f58d247906p-2, -0x1.522482d308a56p-2, -0x1.54fdb839bd1e5p-2, -0x1.57abbc6c954c2p-2, -0x1.5a2f562a1f5dp-2, -0x1.5c894efbdbf61p-2, -0x1.5eba72b0a064dp-2, -0x1.60c38ede7034fp-2, -0x1.62a5726bad2d8p-2, -0x1.6460ed218f922p-2, -0x1.65f6cf490e348p-2, -0x1.6767e94f6892dp-2, -0x1.68b50b7378cdfp-2, -0x1.69df057bf349dp-2, -0x1.6ae6a673e9643p-2, -0x1.6bccbc6e66c31p-2, -0x1.6c92144e8f5d5p-2, -0x1.6d3779956e967p-2, -0x1.6dbdb6349d479p-2, -0x1.6e2592619511cp-2, -0x1.6e6fd46f3fbccp-2, -0x1.6e9d40aa15744p-2, -0x1.6eae9933d8f24p-2, -0x1.6ea49de686e13p-2, -0x1.6e800c37a20bp-2, -0x1.6e419f1c4c7b7p-2, -0x1.6dea0ef5a4177p-2, -0x1.6d7a117b62202p-2, -0x1.6cf259a82a284p-2, -0x1.6c5397af7a24bp-2, -0x1.6b9e78f05275fp-2, -0x1.6ad3a7e8aa73ep-2, -0x1.69f3cc337c5f3p-2, -0x1.68ff8a834d7b5p-2, -0x1.67f7849b40c39p-2, -0x1.66dc595305a19p-2, -0x1.65aea4982e892p-2, -0x1.646eff6aeb949p-2, -0x1.631dffe567f62p-2, -0x1.61bc39435bbf9p-2, -0x1.604a3be12e38cp-2, -0x1.5ec895435ec03p-2, -0x1.5d37d0238146ep-2, -0x1.5b987472eb878p-2, -0x1.59eb075f51e68p-2, -0x1.58300b623bedap-2, -0x1.56680049b626p-2, -0x1.5493633a30294p-2, -0x1.52b2aebb61ce4p-2, -0x1.50c65ac7f389ep-2, -0x1.4ecedcd14915ap-2, -0x1.4ccca7c55f5dfp-2, -0x1.4ac02c206a446p-2, -0x1.48a9d7f907acdp-2, -0x1.468a1702871ccp-2, -0x1.446152973c84p-2, -0x1.422ff1caed25p-2, -0x1.3ff65973d2cb4p-2, -0x1.3db4ec2d79d49p-2, -0x1.3b6c0a65a8902p-2, -0x1.391c126dc6775p-2, -0x1.36c56081ee69fp-2, -0x1.34684ecc9311p-2, -0x1.320535740d5ebp-2, -0x1.2f9c6aaaa4cf8p-2, -0x1.2d2e42b49c68fp-2, -0x1.2abb0febd396fp-2, -0x1.284322cce6b86p-2, -0x1.25c6ca0661316p-2, -0x1.2346527e1bcf2p-2, -0x1.20c207539ad4dp-2, -0x1.1e3a31ebeb45fp-2, -0x1.1baf1a01595adp-2, -0x1.192105a94aea4p-2, -0x1.16903953befd7p-2, -0x1.13fcf7d3968cep-2, -0x1.1167826fa0aedp-2, -0x1.0ed018ec6a50dp-2, -0x1.0c36f989dbc49p-2, -0x1.099c6103cc868p-2, -0x1.07008aa089c9ep-2, -0x1.0463b041ce6c3p-2, -0x1.01c60a67c1898p-2, -0x1.fe4fa05467b5fp-3, -0x1.f9126e76e6628p-3, -0x1.f3d4e7f470835p-3, -0x1.ee9773037bb7fp-3, -0x1.e95a73518ff96p-3, -0x1.e41e49efe5b95p-3, -0x1.dee355582ba96p-3, -0x1.d9a9f19274bcfp-3, -0x1.d4727858166f9p-3, -0x1.cf3d41122b04ep-3, -0x1.ca0aa0c0f94a1p-3, -0x1.c4dae9f790725p-3, -0x1.bfae6cfd74422p-3, -0x1.ba8577f8732f3p-3, -0x1.b56056f631ee1p-3, -0x1.b03f53d394152p-3, -0x1.ab22b628e45e6p-3, -0x1.a60ac35bfba1p-3, -0x1.a0f7becd26ac6p-3, -0x1.9be9e9f4bc98cp-3, -0x1.96e18458cb8dap-3, -0x1.91decb6e9cdc9p-3, -0x1.8ce1fa91cc2ep-3, -0x1.87eb4b22cfb62p-3, -0x1.82faf4b3fe9bap-3, -0x1.7e112d1d3e7d5p-3, -0x1.792e28699a7fep-3, -0x1.745218b9130e5p-3, -0x1.6f7d2e3c87ff7p-3, -0x1.6aaf975696ecfp-3, -0x1.65e980c71789ep-3, -0x1.612b15bd597a9p-3, -0x1.5c747fc6c5e86p-3, -0x1.57c5e6b14a11ap-3, -0x1.531f7083d0107p-3, -0x1.4e8141998d1c2p-3, -0x1.49eb7ccc1d25ap-3, -0x1.455e438be1e97p-3, -0x1.40d9b5d7945f9p-3, -0x1.3c5df22111bf3p-3, -0x1.37eb153d31cfap-3, -0x1.33813a71c8325p-3, -0x1.2f207b9a47a8bp-3, -0x1.2ac8f1488a6e8p-3, -0x1.267ab2cc4ee4ep-3, -0x1.2235d621b353p-3, -0x1.1dfa6fdad09acp-3, -0x1.19c8931b7e8b2p-3, -0x1.15a051aedaa0dp-3, -0x1.1181bc294199cp-3, -0x1.0d6ce200a69c2p-3, -0x1.0961d18e3f952p-3, -0x1.056097fe44abap-3, -0x1.0169413f0a54ep-3, -0x1.faf7b000cb47bp-4, -0x1.f330cb8ebaa6fp-4, -0x1.eb7de6164a904p-4, -0x1.e3df0e94c6aeap-4, -0x1.dc54521dbaaf9p-4, -0x1.d4ddbbc4b7301p-4, -0x1.cd7b548237614p-4, -0x1.c62d232df931ep-4, -0x1.bef32c9964399p-4, -0x1.b7cd73be018e9p-4, -0x1.b0bbf9e761badp-4, -0x1.a9bebec5b1a9p-4, -0x1.a2d5c066593dfp-4, -0x1.9c00fb201d722p-4, -0x1.954069868d4dp-4, -0x1.8e94047321c8ep-4, -0x1.87fbc323bc883p-4, -0x1.81779b60d201ep-4, -0x1.7b07819a49eadp-4, -0x1.74ab68f195914p-4, -0x1.6e634332fddb1p-4, -0x1.682f00c8f4a27p-4, -0x1.620e90b6e5616p-4, -0x1.5c01e0a3fce14p-4, -0x1.5608dcf45ccffp-4, -0x1.502370e6d0adp-4, -0x1.4a5186abd9adcp-4, -0x1.4493076ff54c6p-4, -0x1.3ee7db5a03bcbp-4, -0x1.394fe9845d171p-4, -0x1.33cb17f968124p-4, -0x1.2e594bba60403p-4, -0x1.28fa68d0c7a78p-4, -0x1.23ae5264fc6f9p-4, -0x1.1e74ead283d9cp-4, -0x1.194e13b4e268ep-4, -0x1.1439adebe9dafp-4, -0x1.0f37999a19a1fp-4, -0x1.0a47b62211574p-4, -0x1.0569e2288f9c2p-4, -0x1.009dfb9dc33fbp-4, -0x1.f7c7bf992075bp-5, -0x1.ee76d6d6d1e17p-5, -0x1.e548f554e65d8p-5, -0x1.dc3dd2793617bp-5, -0x1.d35524b7014e5p-5, -0x1.ca8ea18fc90cep-5, -0x1.c1e9fd93595fap-5, -0x1.b966ec65a7b37p-5, -0x1.b10520cdf4fc3p-5, -0x1.a8c44ccd7ce36p-5, -0x1.a0a421b811e4bp-5, -0x1.98a450499de6ep-5, -0x1.90c488b5bc5cap-5, -0x1.89047ab0fe66p-5, -0x1.8163d5753b40bp-5, -0x1.79e247c3ed196p-5, -0x1.727f7feabeb49p-5, -0x1.6b3b2bcd46d61p-5, -0x1.6414f8f456091p-5, -0x1.5d0c949fdc55p-5, -0x1.5621abd7c224cp-5, -0x1.4f53eb798981fp-5, -0x1.48a30041fd86bp-5, -0x1.420e96d34c8d2p-5, -0x1.3b965bb8ba4aep-5, -0x1.3539fb69e3cc6p-5, -0x1.2ef922502b7a9p-5, -0x1.28d37ccfebffp-5, -0x1.22c8b7552551ap-5, -0x1.1cd87e6132b74p-5, -0x1.17027e9702ff5p-5, -0x1.114664c4391c3p-5, -0x1.0ba3dde7053b6p-5, -0x1.061a9731469fdp-5, -0x1.00aa3e0a1dc9ep-5, -0x1.f6a5001f3eb1p-6, -0x1.ec261635773fap-6, -0x1.e1d71a8da7902p-6, -0x1.d7b769fa12409p-6, -0x1.cdc662025c28p-6, -0x1.c40360fb4f038p-6, -0x1.ba6dc61756e16p-6, -0x1.b104f16d8488bp-6, -0x1.a7c843f7cb1d3p-6, -0x1.9eb71f8b3693p-6, -0x1.95d0e6ceef546p-6, -0x1.8d14fd3824938p-6, -0x1.8482c70ff2676p-6, -0x1.7c19a98633f21p-6, -0x1.73d90acfcf6b4p-6, -0x1.6bc05249cb4a5p-6, -0x1.63cee898af91cp-6, -0x1.5c0437bb74cf1p-6, -0x1.545fab0ce6c37p-6, -0x1.4ce0af3308b5bp-6, -0x1.4586b2010fc59p-6, -0x1.3e512254f6a4cp-6, -0x1.373f6ffc20618p-6, -0x1.30510ba9ed914p-6, -0x1.29856707a1092p-6, -0x1.22dbf4dd75e26p-6, -0x1.1c54294d9f6c6p-6, -0x1.15ed7a12eab1cp-6, -0x1.0fa75eb1d21afp-6, -0x1.0981508d7690cp-6, -0x1.037acad7ae195p-6, -0x1.fb2694bab9b4bp-7, -0x1.ef949a73545dcp-7, -0x1.e43ea5065e81bp-7, -0x1.d923b413d00a1p-7, -0x1.ce42c8759adf1p-7, -0x1.c39ae46c1eefcp-7, -0x1.b92b0c314a5d3p-7, -0x1.aef246d715f01p-7, -0x1.a4ef9f3f4a13bp-7, -0x1.9b2224ed56559p-7, -0x1.9188ec775bd6ap-7, -0x1.88230f6e7478bp-7, -0x1.7eefabb5cc173p-7, -0x1.75ede264a2128p-7, -0x1.6d1cd67063427p-7, -0x1.647bab6f5c81cp-7, -0x1.5c0984c6c5a04p-7, -0x1.53c5858398a77p-7, -0x1.4baed0f8f5bb7p-7, -0x1.43c48c0fce2d9p-7, -0x1.3c05df065d7bcp-7, -0x1.3471f73c50d82p-7, -0x1.2d08089c61aa2p-7, -0x1.25c74e433eb9dp-7, -0x1.1eaf0a2971097p-7, -0x1.17be83cde90bap-7, -0x1.10f5061baf964p-7, -0x1.0a51dcf75e1ffp-7, -0x1.03d452ff07ef3p-7, -0x1.faf76008e162bp-8, -0x1.ee8e71515aa91p-8, -0x1.e26c5e8983297p-8, -0x1.d68fac030e0d9p-8, -0x1.caf6e3776207ep-8, -0x1.bfa09a370b92p-8, -0x1.b48b76670eb9bp-8, -0x1.a9b6321113148p-8, -0x1.9f1f9b3429166p-8, -0x1.94c6909e62f92p-8, -0x1.8aa9fc0c5bb5fp-8, -0x1.80c8caa8cd6b3p-8, -0x1.7721e5733908ap-8, -0x1.6db42b28f7d42p-8, -0x1.647e6d0bf8755p-8, -0x1.5b7f6f50bb76ap-8, -0x1.52b5ed3f9d0bfp-8, -0x1.4a20a051d5f55p-8, -0x1.41be48f082ea5p-8, -0x1.398db71ee6f62p-8, -0x1.318dd14e5dbf7p-8, -0x1.29bd97e97d1d3p-8, -0x1.221c24bf0b6fbp-8, -0x1.1aa8a641bbf33p-8, -0x1.1362576acf77ep-8, -0x1.0c4875c681744p-8, -0x1.055a379c1eb86p-8, -0x1.fd2d8850ecdc1p-9, -0x1.effa5eecbbdb3p-9, -0x1.e318f547ddd29p-9, -0x1.d68730fdd6d73p-9, -0x1.ca42eb1aa32cp-9, -0x1.be4a03f5c212ep-9, -0x1.b29a773080243p-9, -0x1.a7326c3e5f92cp-9, -0x1.9c1040812239p-9, -0x1.9132891fef506p-9, -0x1.86980c305d5b7p-9, -0x1.7c3fb25af3c6p-9, -0x1.722873974a624p-9, -0x1.6851429c3559bp-9, -0x1.5eb8faecbf07p-9, -0x1.555e54d9f06f5p-9, -0x1.4c3fe1815cbfdp-9, -0x1.435c0f1adf1c4p-9, -0x1.3ab134459c42ep-9, -0x1.323d9fd8eff57p-9, -0x1.29ffaa36ec567p-9, -0x1.21f5c528a9b68p-9, -0x1.1a1e87c814cd6p-9, -0x1.1278b4c24036p-9, -0x1.0b033a364ae89p-9, -0x1.03bd2b8752541p-9, -0x1.f94b6cdeb6f5fp-10, -0x1.eb782ac761aa2p-10, -0x1.ddff036adb622p-10, -0x1.d0de4f94d0cc4p-10, -0x1.c4143e8b3fd84p-10, -0x1.b79ed047426c8p-10, -0x1.ab7bd9ad5db1ep-10, -0x1.9fa9112e6272fp-10, -0x1.942420f958304p-10, -0x1.88eabb33023ep-10, -0x1.7dfaac6a6c3a9p-10, -0x1.7351e8ea552dp-10, -0x1.68ee92b273ce7p-10, -0x1.5ecef7c077b66p-10, -0x1.54f18a49d762p-10, -0x1.4b54d5d7c6fa1p-10, -0x1.41f7746ea4123p-10, -0x1.38d8060963fafp-10, -0x1.2ff52b5596d0ap-10, -0x1.274d834ec3e02p-10, -0x1.1edfaaadf6987p-10, -0x1.16aa3c51126f5p-10, -0x1.0eabd2749fd65p-10, -0x1.06e309277dca9p-10, -0x1.fe9d0420e867p-11, -0x1.efd9d1190c421p-11, -0x1.e179e8a4fc182p-11, -0x1.d37ad2162d1b6p-11, -0x1.c5da25a8fd15ep-11, -0x1.b89582eaa5af6p-11, -0x1.abaa899b40f8ap-11, -0x1.9f16d852a77dap-11, -0x1.92d810414c942p-11, -0x1.86ebda43a33bcp-11, -0x1.7b4fe99265a02p-11, -0x1.7001fb92757fdp-11, -0x1.64ffd84f44ab8p-11, -0x1.5a4758fb1f569p-11, -0x1.4fd6773e6a335p-11, -0x1.45ab61938befap-11, -0x1.3bc48a0f59fb4p-11, -0x1.3220a37a4c5e9p-11, -0x1.28be873e30d6dp-11, -0x1.1f9d0a9f04eadp-11, -0x1.16bad3bc18df3p-11, -0x1.0e164112054aap-11, -0x1.05ad6f4f72018p-11, -0x1.fafcb9077af74p-12, -0x1.eb0e34f894966p-12, -0x1.db8bf4138ba1ap-12, -0x1.cc7333ccfc81cp-12, -0x1.bdc19f3360bcbp-12, -0x1.af74e7c102a4ep-12, -0x1.a18a5c19b187ap-12, -0x1.93febd3d28492p-12, -0x1.86ce74efdb093p-12, -0x1.79f61832d88f1p-12, -0x1.6d72f17cce721p-12, -0x1.61434716381ddp-12, -0x1.55663516bba29p-12, -0x1.49db2914a6941p-12, -0x1.3ea13aa7ac9adp-12, -0x1.33b6aaf286f35p-12, -0x1.2918c1f5081fdp-12, -0x1.1ec417a738cd8p-12, -0x1.14b52c5df619ep-12, -0x1.0ae91400c36acp-12, -0x1.015de96744141p-12, -0x1.f0259c749137ap-13, -0x1.de0ee0ea16cd1p-13, -0x1.cc76ac572485fp-13, -0x1.bb5aae6254f5cp-13, -0x1.aab714cc3c278p-13, -0x1.9a87347cf4db9p-13, -0x1.8ac672805f3e7p-13, -0x1.7b70e7d2ca111p-13, -0x1.6c838f1f8c867p-13, -0x1.5dfc14ff5867dp-13, -0x1.4fd8833a7e36fp-13, -0x1.4216f26142502p-13, -0x1.34b541cba49acp-13, -0x1.27b0c77b2120ep-13, -0x1.1b061873a7007p-13, -0x1.0eb134b0a342cp-13, -0x1.02ae337aef0ebp-13, -0x1.edf43b0571d82p-14, -0x1.d726c309ccb56p-14, -0x1.c0f3119fbf00ep-14, -0x1.ab58ba99e20a5p-14, -0x1.96563561b3f23p-14, -0x1.81e8510a0bdp-14, -0x1.6e0ac75fc3c89p-14, -0x1.5ab9514fb6075p-14, -0x1.47f082fd7379cp-14, -0x1.35add7b859506p-14, -0x1.23eed74c26574p-14, -0x1.12b01218b67ecp-14, -0x1.01ece0421e439p-14, -0x1.e340084fd3e26p-15, -0x1.c389172729054p-15, -0x1.a4ac9c31f11b4p-15, -0x1.86a3d1c8e710ap-15, -0x1.6968fb688be87p-15, -0x1.4cf7007f76c36p-15, -0x1.31495b074abe4p-15, -0x1.165c32c8c6b18p-15, -0x1.f858833593211p-16, -0x1.c56cbf6feb356p-16, -0x1.93ee4709d48c8p-16, -0x1.63d5a7a91252p-16, -0x1.351b19a33daa2p-16, -0x1.07b7579db4095p-16, -0x1.b748b0d927ec9p-17, -0x1.61b876d0631e5p-17, -0x1.0eae6e411014dp-17, -0x1.7c2d46532a91fp-18, -0x1.bf716e90dd9dbp-19, -0x1.1f6dfd1086b9p-20, 0x1.2e18ee44919cfp-20, 0x1.b506b3303a671p-19, 0x1.6532fb7d831bdp-18, 0x1.ebb0dd9e98ecfp-18, 0x1.370f3784dcebfp-17, 0x1.76504da196cacp-17, 0x1.b3ad4d19c1561p-17, 0x1.ef332530861abp-17, 0x1.1473faac2b385p-16, 0x1.306705c0f16b6p-16, 0x1.4b751e725c13p-16, 0x1.65a3a7611cef3p-16, 0x1.7ef92b81fc1c2p-16, 0x1.977a584fe8e5ep-16, 0x1.af2a004149447p-16, 0x1.c60ba7a1f8ap-16, 0x1.dc24ad733d093p-16, 0x1.f17b306add147p-16, 0x1.030a56664203dp-15, 0x1.0cfac88da491dp-15, 0x1.1690c820c322dp-15, 0x1.1fce0a97a4898p-15, 0x1.28b4416174f01p-15, 0x1.31451d3c9d6a3p-15, 0x1.3982457a1ec93p-15, 0x1.416d5290eae8dp-15, 0x1.4907d2034a3f7p-15, 0x1.50535b27a638ap-15, 0x1.5751aef221861p-15, 0x1.5e04b6181a24cp-15, 0x1.646e455ba701p-15, 0x1.6a8fdba889aa9p-15, 0x1.706aa39ba0d3ep-15, 0x1.75ffbdab4a924p-15, 0x1.7b5086b53e378p-15, 0x1.805e939d28aap-15, 0x1.852b61cd9c9fp-15, 0x1.89b81f52b6029p-15, 0x1.8e05eba6c12d7p-15, 0x1.92162eb7e466ap-15, 0x1.95ea6854a109ep-15, 0x1.9983d0954ae33p-15, 0x1.9ce36edbb3a66p-15, 0x1.a00a7181cf7f3p-15, 0x1.a2fa3831ac5c4p-15, 0x1.a5b4146802a3p-15, 0x1.a83918847dbeap-15, 0x1.aa89bda1e948ep-15, 0x1.aca5b22c9905ap-15, 0x1.ae8d6765ac1b8p-15, 0x1.b04344747a46ep-15, 0x1.b1c95d7457dd9p-15, 0x1.b31fdf6c90da5p-15, 0x1.b447573e9ac6ep-15, 0x1.b541df3bbd056p-15, 0x1.b6112889de13ep-15, 0x1.b6b5b39d70c32p-15, 0x1.b72f846ab4657p-15, 0x1.b77e73c6332b5p-15, 0x1.b7a29db024727p-15, 0x1.b79d26c565b76p-15, 0x1.b76ff79d6265fp-15, 0x1.b71c455ae271ep-15, 0x1.b6a21acdd24b8p-15, 0x1.b601e1e7fbe08p-15, 0x1.b53d662cf869dp-15, 0x1.b4568d3711873p-15, 0x1.b34e16533cfd6p-15, 0x1.b2242ecc0388fp-15, 0x1.b0d92c1b6b98fp-15, 0x1.af6c8f0b3d98ap-15, 0x1.adddd6b9aff19p-15, 0x1.ac2f35419b51fp-15, 0x1.aa6245103245dp-15, 0x1.a876348576607p-15, 0x1.a66c3a255986cp-15, 0x1.a446905d74c96p-15, 0x1.a2057593027b2p-15, 0x1.9fa8a0c2f8fb1p-15, 0x1.9d3066152c707p-15, 0x1.9a9d79282842ap-15, 0x1.97f0a80cda176p-15, 0x1.952acc27405f3p-15, 0x1.924cc4a84504dp-15, 0x1.8f576b58906dfp-15, 0x1.8c4b7bf0b66d1p-15, 0x1.8929431b2eb8ap-15, 0x1.85f06f304bf23p-15, 0x1.82a11910734a7p-15, 0x1.7f3cb225f5fe3p-15, 0x1.7bc4517753bb9p-15, 0x1.7837aea2e62fp-15, 0x1.7497c9c5afb2cp-15, 0x1.70e68cfa00a99p-15, 0x1.6d23586678fbdp-15, 0x1.694e3425d595bp-15, 0x1.656737976943ap-15, 0x1.616e205d2770fp-15, 0x1.5d6557a52044dp-15, 0x1.594db8d6c0408p-15, 0x1.5526ccadea236p-15, 0x1.50f0ca9863c51p-15, 0x1.4cac52363e501p-15, 0x1.4859ffc8b64e2p-15, 0x1.43fa5a4f83592p-15, 0x1.3f8ddd481fc1dp-15, 0x1.3b1502415b78dp-15, 0x1.3690447dcd477p-15, 0x1.32001e0765457p-15, 0x1.2d65012622448p-15, 0x1.28bf54ad42713p-15, 0x1.240f796aad446p-15, 0x1.1f55d9b6ce4f9p-15, 0x1.1a92f1b1b0082p-15, 0x1.15c7302746d81p-15, 0x1.10f2f65814784p-15, 0x1.0c175dc5c1127p-15, 0x1.0735f27842a9dp-15, 0x1.024d8f1fdacb9p-15, 0x1.faba6efa507fp-16, 0x1.f0caea0b6a823p-16, 0x1.e6ce5644a8832p-16, 0x1.dcc82a33a6fcdp-16, 0x1.d2b92357a010bp-16, 0x1.c8a0cfcb405bp-16, 0x1.be7f1f4cdea3cp-16, 0x1.b454c1aa962afp-16, 0x1.aa22aa6a5af76p-16, 0x1.9fe9bf249b57ap-16, 0x1.95aacc4ad4fa6p-16, 0x1.8b668f39643afp-16, 0x1.811dbfca48f45p-16, 0x1.76d114bef16fep-16, 0x1.6c8142329d1e7p-16, 0x1.622ef39a8e2f3p-16, 0x1.57dac6612a89p-16, 0x1.4d854bae5271cp-16, 0x1.432f158a3d872p-16, 0x1.38d8c7d6df8f3p-16, 0x1.2e830afc9838fp-16, 0x1.242e5c2cde5cbp-16, 0x1.19db5aefe8439p-16, 0x1.0f8bbc7198171p-16, 0x1.054019f77927fp-16, 0x1.f5edaeb191306p-17, 0x1.e160fd31a601fp-17, 0x1.ccdf1a264af31p-17, 0x1.b868e4f59034ep-17, 0x1.a3fd951db05efp-17, 0x1.8f9f005c11e85p-17, 0x1.7b4f5e030b661p-17, 0x1.670ebe656c886p-17, 0x1.52dca8dd1256ap-17, 0x1.3eb9eed95c159p-17, 0x1.2aa8d8ae1fd92p-17, 0x1.16aba60612005p-17, 0x1.02c2516d1aa46p-17, 0x1.ddda23115dec2p-18, 0x1.b659bf358cef1p-18, 0x1.8f05a176b0847p-18, 0x1.67dfbbd03f495p-18, 0x1.40e9c9cfe611ep-18, 0x1.1a256369afb19p-18, 0x1.e72823f17754cp-19, 0x1.9a6ed3a1ffdf5p-19, 0x1.4e2230bcb7464p-19, 0x1.02456757000d7p-19, 0x1.6db5ca05b1d1ep-20, 0x1.af97e5e6645dap-21, 0x1.0b6c5f979f318p-22, -0x1.4485689d4b2c6p-22, -0x1.c8558d134e398p-21, -0x1.762c2ea4d5ff6p-20, -0x1.0392850222d8ep-19, -0x1.4b8a33a9ea43ap-19, -0x1.92f9f7107fb7p-19, -0x1.d9defdeac6324p-19, -0x1.101b6d4bd37eap-18, -0x1.32ffa57cd59c5p-18, -0x1.559b11c9f7984p-18, -0x1.77eca32fe08d1p-18, -0x1.99f35052cd2p-18, -0x1.bbae1ac40af4ep-18, -0x1.dd1c0f95c8b76p-18, -0x1.fe3c1335cc3d4p-18, -0x1.0f8653dfd809ap-17, -0x1.1fc68ee9a2d02p-17, -0x1.2fdee010261bep-17, -0x1.3fcea603643c8p-17, -0x1.4f94fe256d6f5p-17, -0x1.5f31c0de0c83bp-17, -0x1.6ea4b8ecdb377p-17, -0x1.7ded7d589119dp-17, -0x1.8d0ba47647f1bp-17, -0x1.9bfed2ac3eda1p-17, -0x1.aac6c2596eb6dp-17, -0x1.b96323d210537p-17, -0x1.c7d374c34c816p-17, -0x1.d617cb024eb8bp-17, -0x1.e42f9e9896283p-17, -0x1.f21ab1aa6056p-17, -0x1.ffd8e73949e2ap-17, -0x1.06b4fbe86e43fp-16, -0x1.0d66d3305e071p-16, -0x1.1401ded4594fap-16, -0x1.1a860632987f7p-16, -0x1.20f332358a669p-16, -0x1.27494d42024c5p-16, -0x1.2d884335884edp-16, -0x1.33b001676ca5cp-16, -0x1.39c076a6fa774p-16, -0x1.3fb9933abea7bp-16, -0x1.459b48e42db79p-16, -0x1.4b658adf8d6cdp-16, -0x1.51184ddde6ddap-16, -0x1.56b387f1392fep-16, -0x1.5c373071d04d4p-16, -0x1.61a33ff177b5fp-16, -0x1.66f7b049d1d5ap-16, -0x1.6c347cbf5a89fp-16, -0x1.7159a21747732p-16, -0x1.76671e60579f1p-16, -0x1.7b5cf0dd81e5p-16, -0x1.803b1b6984c4dp-16, -0x1.85019d9d86664p-16, -0x1.89b077ec29aecp-16, -0x1.8e47b64266579p-16, -0x1.92c75875adfd6p-16, -0x1.972f66613d5afp-16, -0x1.9b7fe4c47d214p-16, -0x1.9fb8dd46ccc0fp-16, -0x1.a3da5aa903d1fp-16, -0x1.a7e467dc6f5b7p-16, -0x1.abd710b5abf1fp-16, -0x1.afb2621190c9ep-16, -0x1.b37669d368507p-16, -0x1.b72336e0864e5p-16, -0x1.bab8d91b37974p-16, -0x1.be37615dd225ap-16, -0x1.c19ee176b01f4p-16, -0x1.c4ef6c235929ep-16, -0x1.c829150bf8d97p-16, -0x1.cb4bf0c1c848bp-16, -0x1.ce5814bea373dp-16, -0x1.d14d9760d4ae2p-16, -0x1.d42c8fdb6c11dp-16, -0x1.d6f51621d80b6p-16, -0x1.d9a742e23681bp-16, -0x1.dc432f8ba7403p-16, -0x1.dec8f64cbcc3bp-16, -0x1.e138b20f7fe4ap-16, -0x1.e3927eab01e7p-16, -0x1.e5d679507dedbp-16, -0x1.e804c016f69aap-16, -0x1.ea1d707079edcp-16, -0x1.ec20a5fae881bp-16, -0x1.ee0e7d4bc5c58p-16, -0x1.efe720348fd44p-16, -0x1.f1aaafd1d31cp-16, -0x1.f35943aa2d4a8p-16, -0x1.f4f2ff80fc802p-16, -0x1.f67806d6e42bbp-16, -0x1.f7e87a4a59176p-16, -0x1.f94480173c2b9p-16, -0x1.fa8c3fc7fb16fp-16, -0x1.fbbfde5726da2p-16, -0x1.fcdf7adc9b5d7p-16, -0x1.fdeb3888268fdp-16, -0x1.fee33fb8ad5bap-16, -0x1.ffc7b7b2df013p-16, -0x1.004c63a1dfbbdp-15, -0x1.00ab4abb06d4cp-15, -0x1.0100a4ddc727p-15, -0x1.014c85f7d0b35p-15, -0x1.018f022a5df19p-15, -0x1.01c82dc91e08bp-15, -0x1.01f81d56c38b5p-15, -0x1.021ee57f02658p-15, -0x1.023c9b118b6ffp-15, -0x1.02515302c710ap-15, -0x1.025d226cdc9a3p-15, -0x1.02601e8c1628p-15, -0x1.025a5cbab5721p-15, -0x1.024bf27f3131dp-15, -0x1.0234f5b04ba32p-15, -0x1.02157c4f05c56p-15, -0x1.01ed9c2370102p-15, -0x1.01bd6a942509fp-15, -0x1.0184fbcd763c5p-15, -0x1.01446977a556ap-15, -0x1.00fbcbe6250ebp-15, -0x1.00ab33d805b5cp-15, -0x1.0052b95c1fc52p-15, -0x1.ffe4e73a8c6d2p-16, -0x1.ff14f245b1c89p-16, -0x1.fe35c0f6efb9p-16, }}, 
      {{0x1.88e5855436eep-4, 0x1.5f6aa8bcb69ebp-3, 0x1.bdaa07f91fb35p-3, 0x1.db33091994b3ap-3, 0x1.bca400411cc2ep-3, 0x1.6b06142c26e6fp-3, 0x1.e25f0e60a7025p-4, 0x1.68ac1ad0dbc2fp-5, -0x1.3edb106ca495p-5, -0x1.035e50799f3f7p-3, -0x1.b92404f115c13p-3, -0x1.356c9648be5bp-2, -0x1.89da6d2faa0b5p-2, -0x1.d818a9c537bdbp-2, -0x1.0f7887486c06ap-1, -0x1.2ed204dbc8508p-1, -0x1.49e9c26d7884cp-1, -0x1.60b7bae85342bp-1, -0x1.73524fa631506p-1, -0x1.81e6d6624079bp-1, -0x1.8cb34a14f5b9dp-1, -0x1.940108861682ap-1, -0x1.9820821b5230cp-1, -0x1.9965c07e912bp-1, -0x1.9825a8d717b95p-1, -0x1.94b3df02d34ap-1, -0x1.8f61309c95fb6p-1, -0x1.887a709bfaeb8p-1, -0x1.8047aed00d696p-1, -0x1.770bb91f629a7p-1, -0x1.6d03d719efb71p-1, -0x1.6267b2dda8affp-1, -0x1.5769648682e6ap-1, -0x1.4c35975673543p-1, -0x1.40f3c17121fbep-1, -0x1.35c668743fc96p-1, -0x1.2acb6e661c6f6p-1, -0x1.201c636f8e4b5p-1, -0x1.15ced9a42f7bp-1, -0x1.0bf4b8c435fdep-1, -0x1.029c906c5961ep-1, -0x1.f3a3cf2f4aa93p-2, -0x1.e33b1160d5f9bp-2, -0x1.d40b9366ee612p-2, -0x1.c61da03bb17a7p-2, -0x1.b975a108eae48p-2, -0x1.ae14939ff77edp-2, -0x1.a3f87856bb752p-2, -0x1.9b1cb77eefb02p-2, -0x1.937a7ebf77468p-2, -0x1.8d0916a2ff9fap-2, -0x1.87be30b7037bbp-2, -0x1.838e2e9bbde72p-2, -0x1.806c6268136f1p-2, -0x1.7e4b48c51a39bp-2, -0x1.7d1cbd23e0dddp-2, -0x1.7cd2287140acbp-2, -0x1.7d5caaa7da7eep-2, -0x1.7ead3f9e64316p-2, -0x1.80b4df6ed46b6p-2, -0x1.83649ac4015f6p-2, -0x1.86adb365de2fdp-2, -0x1.8a81b14b6628fp-2, -0x1.8ed274909c34bp-2, -0x1.9392448c24e0bp-2, -0x1.98b3dc5510e2bp-2, -0x1.9e2a74d43a25bp-2, -0x1.a3e9ccb485e82p-2, -0x1.a9e62e399b0d4p-2, -0x1.b01473c908d77p-2, -0x1.b66a0a4bf1b46p-2, -0x1.bcdcf37a1e99cp-2, -0x1.c363c551d41b4p-2, -0x1.c9f5a9cebd908p-2, -0x1.d08a5d2322ad4p-2, -0x1.d71a2a2afce55p-2, -0x1.dd9de8f6c90eep-2, -0x1.e40ef992c210ep-2, -0x1.ea67419cd91f5p-2, -0x1.f0a126a3b495cp-2, -0x1.f6b78aa35b06fp-2, -0x1.fca5c56b67c7dp-2, -0x1.0133d01ba490ep-1, -0x1.03fca85a1d36cp-1, -0x1.06abb92df8c3cp-1, -0x1.093f81b687ccdp-1, -0x1.0bb6af4d4e516p-1, -0x1.0e101b44cc2ffp-1, -0x1.104ac88d76db3p-1, -0x1.1265e105f73c7p-1, -0x1.1460b3315ce41p-1, -0x1.163aafd037d13p-1, -0x1.17f367aeb8224p-1, -0x1.198a8991bedf5p-1, -0x1.1affe044448dbp-1, -0x1.1c5350c1f2ae2p-1, -0x1.1d84d874bccffp-1, -0x1.1e948b81570d4p-1, -0x1.1f82931d49033p-1, -0x1.204f2bef31eebp-1, -0x1.20faa479479acp-1, -0x1.21855b90ee982p-1, -0x1.21efbee73a5bbp-1, -0x1.223a49a313b1ap-1, -0x1.2265830f3bc5ap-1, -0x1.2271fd5ce78bep-1, -0x1.22605478a66c8p-1, -0x1.22312cf175a0dp-1, -0x1.21e532f0bbe67p-1, -0x1.217d194034745p-1, -0x1.20f9985d91c67p-1, -0x1.205b6d9b827e1p-1, -0x1.1fa35a4e31784p-1, -0x1.1ed22303d3904p-1, -0x1.1de88eca22e96p-1, -0x1.1ce7667fcb4dcp-1, -0x1.1bcf7431f16aap-1, -0x1.1aa18286d1941p-1, -0x1.195e5c34c462ep-1, -0x1.1806cb84762ffp-1, -0x1.169b99df139a4p-1, -0x1.151d8f6759177p-1, -0x1.138d729c758a7p-1, -0x1.11ec080637507p-1, -0x1.103a11e9d0c4cp-1, -0x1.0e7850073f018p-1, -0x1.0ca77f5cf30dfp-1, -0x1.0ac859f27518ep-1, -0x1.08db96aa22baep-1, -0x1.06e1e917151c5p-1, -0x1.04dc01596261dp-1, -0x1.02ca8bff4dffp-1, -0x1.00ae31e9b3a68p-1, -0x1.fd0f306d8502fp-2, -0x1.f8aec05eeeddcp-2, -0x1.f43c4e6f8b266p-2, -0x1.efb90d8a403dap-2, -0x1.eb2628ac47de2p-2, -0x1.e684c2d878fedp-2, -0x1.e1d5f71701e5p-2, -0x1.dd1ad87568956p-2, -0x1.d8547208b64cbp-2, -0x1.d383c6fb82e72p-2, -0x1.cea9d29b4b148p-2, -0x1.c9c7886578433p-2, -0x1.c4ddd41fdfccep-2, -0x1.bfed99f0fed8fp-2, -0x1.baf7b67472a24p-2, -0x1.b5fcfed9ccc26p-2, -0x1.b0fe4105bc4ddp-2, -0x1.abfc43ac2d0ebp-2, -0x1.a6f7c67147b9dp-2, -0x1.a1f18210dd403p-2, -0x1.9cea287decc8ap-2, -0x1.97e26502f2368p-2, -0x1.92dadc6bb37d9p-2, -0x1.8dd42d2a9d103p-2, -0x1.88ceef77debc6p-2, -0x1.83cbb578c1702p-2, -0x1.7ecb0b6a0e7b8p-2, -0x1.79cd77c11c86ep-2, -0x1.74d37b4d3803ep-2, -0x1.6fdd9161f401bp-2, -0x1.6aec2ffde916ap-2, -0x1.65ffc7e932975p-2, -0x1.6118c4d8df51p-2, -0x1.5c378d9866067p-2, -0x1.575c842c3ce74p-2, -0x1.528805ef0eae5p-2, -0x1.4dba6bb55c9ecp-2, -0x1.48f409f44558ap-2, -0x1.443530e0b7b33p-2, -0x1.3f7e2c8b599afp-2, -0x1.3acf4502ae10dp-2, -0x1.3628be76c84e3p-2, -0x1.318ad955b37ffp-2, -0x1.2cf5d2656df09p-2, -0x1.2869e2e3a439bp-2, -0x1.23e740a698d7ep-2, -0x1.1f6e1e3717dbp-2, -0x1.1afeaae7aa05cp-2, -0x1.169912f13d2f1p-2, -0x1.123d7f920cc8cp-2, -0x1.0dec1725f2dep-2, -0x1.09a4fd3a06a56p-2, -0x1.056852a4de1acp-2, -0x1.013635a3c4e01p-2, -0x1.fa1d83e6d795ep-3, -0x1.f1e421c1baa6bp-3, -0x1.e9c072b6be204p-3, -0x1.e1b2a01b87fddp-3, -0x1.d9bacef1c141cp-3, -0x1.d1d9200be4554p-3, -0x1.ca0db0262a991p-3, -0x1.c258980871be5p-3, -0x1.bab9ecb755642p-3, -0x1.b331bfa2eb89ep-3, -0x1.abc01ec34247bp-3, -0x1.a46514aae323dp-3, -0x1.9d20a8a4365f9p-3, -0x1.95f2dede9229p-3, -0x1.8edbb8996604cp-3, -0x1.87db343d6975ap-3, -0x1.80f14d69bb376p-3, -0x1.7a1dfd0959ecp-3, -0x1.7361397979081p-3, -0x1.6cbaf6b3528bcp-3, -0x1.662b266709138p-3, -0x1.5fb1b80669e64p-3, -0x1.594e98d091f48p-3, -0x1.5301b3ed66522p-3, -0x1.4ccaf2944c87dp-3, -0x1.46aa3c2c44c38p-3, -0x1.409f765a7ee82p-3, -0x1.3aaa850770604p-3, -0x1.34cb4a6bf276fp-3, -0x1.2f01a72e12bf4p-3, -0x1.294d7a83bc93fp-3, -0x1.23aea24adb777p-3, -0x1.1e24fb119b054p-3, -0x1.18b06019223bep-3, -0x1.1350ab61e4e2fp-3, -0x1.0e05b5c5f478fp-3, -0x1.08cf571726c57p-3, -0x1.03ad663332337p-3, -0x1.fd3f72138e401p-4, -0x1.f34c493b32fcfp-4, -0x1.e980fa1a78f4ep-4, -0x1.dfdd2b50a4476p-4, -0x1.d660821349e24p-4, -0x1.cd0aa2548685bp-4, -0x1.c3db2ed126c18p-4, -0x1.bad1c91143874p-4, -0x1.b1ee117073276p-4, -0x1.a92fa739fee8bp-4, -0x1.a09628d32478p-4, -0x1.982133e133c3ap-4, -0x1.8fd0655dfc423p-4, -0x1.87a3599bc7e38p-4, -0x1.7f99ac469c79p-4, -0x1.77b2f870fb0fap-4, -0x1.6feed8afbe187p-4, -0x1.684ce73c0165p-4, -0x1.60ccbe0daff2dp-4, -0x1.596df6e7f1d1fp-4, -0x1.52302b5b629c6p-4, -0x1.4b12f4c867f2fp-4, -0x1.4415ec6aaff51p-4, -0x1.3d38ab6f0f9d8p-4, -0x1.367acb0cf2dbap-4, -0x1.2fdbe49a726b9p-4, -0x1.295b919697ef3p-4, -0x1.22f96bac3e567p-4, -0x1.1cb50cb403345p-4, -0x1.168e0ebb8b1e6p-4, -0x1.10840c13ec2a2p-4, -0x1.0a969f63de397p-4, -0x1.04c563b7e39b4p-4, -0x1.fe1fe9192205ep-5, -0x1.f2ebdba5d8ca9p-5, -0x1.e7edd7e450967p-5, -0x1.dd251795a2368p-5, -0x1.d290d57c667ffp-5, -0x1.c8304d7348a49p-5, -0x1.be02bc857e6c7p-5, -0x1.b4076102bfcbfp-5, -0x1.aa3d7a8b77641p-5, -0x1.a0a44a164d25p-5, -0x1.973b11f2f1f42p-5, -0x1.8e0115cef7382p-5, -0x1.84f59abfa1d34p-5, -0x1.7c17e7504e4b4p-5, -0x1.73674391fa614p-5, -0x1.6ae2f928522d8p-5, -0x1.628a535247251p-5, -0x1.5a5c9eee3f1d5p-5, -0x1.52592a7bcd27dp-5, -0x1.4a7f461d8856cp-5, -0x1.42ce439d687dbp-5, -0x1.3b45767429b43p-5, -0x1.33e433d23b51fp-5, -0x1.2ca9d2a824febp-5, -0x1.2595abacbcad3p-5, -0x1.1ea719607df08p-5, -0x1.17dd780e8317p-5, -0x1.113825cc327b1p-5, -0x1.0ab682797d247p-5, -0x1.0457efc2cc6adp-5, -0x1.fc37a2492b9eap-6, -0x1.f00317df51385p-6, -0x1.e4110e99d51c1p-6, -0x1.d860587f65c79p-6, -0x1.ccefcb4cca5bdp-6, -0x1.c1be4072f770dp-6, -0x1.b6ca95135211ap-6, -0x1.ac13a9fc87331p-6, -0x1.a19863a954abfp-6, -0x1.9757aa418b75fp-6, -0x1.8d50699be9f6cp-6, -0x1.8381913f7b23ap-6, -0x1.79ea14635678dp-6, -0x1.7088e9ec4651ep-6, -0x1.675d0c684ce74p-6, -0x1.5e657a08c7576p-6, -0x1.55a1349c7e633p-6, -0x1.4d0f418abda5cp-6, -0x1.44aea9d0001d5p-6, -0x1.3c7e79fb78428p-6, -0x1.347dc22c4b6b2p-6, -0x1.2cab960de38d7p-6, -0x1.25070cd2b58a5p-6, -0x1.1d8f412da14a7p-6, -0x1.1643514a47dcbp-6, -0x1.0f225ec529493p-6, -0x1.082b8ea4795a1p-6, -0x1.015e095242a4p-6, -0x1.f571f52f8f40ap-7, -0x1.e87723325f8d1p-7, -0x1.dbca01a0c3155p-7, -0x1.cf68fc0c6540bp-7, -0x1.c3528493a4ba9p-7, -0x1.b78513cd4ba4p-7, -0x1.abff28b34a71ap-7, -0x1.a0bf488e4a1d7p-7, -0x1.95c3fee4f01a8p-7, -0x1.8b0bdd6fa01b3p-7, -0x1.80957c108d3a1p-7, -0x1.765f78cd6e88p-7, -0x1.6c6877c779afep-7, -0x1.62af232e4d697p-7, -0x1.59322b2bcfaacp-7, -0x1.4ff045c9ae1bep-7, -0x1.46e82ed2a836ap-7, -0x1.3e18a7b3db82p-7, -0x1.3580776303b5bp-7, -0x1.2d1e6a4d2a7aep-7, -0x1.24f1524f67f0bp-7, -0x1.1cf806b827eafp-7, -0x1.1531644bb46fap-7, -0x1.0d9c4d45c6655p-7, -0x1.0637a95152e55p-7, -0x1.fe04cae5657f8p-8, -0x1.eff6e7c712c0cp-8, -0x1.e24397c912b23p-8, -0x1.d4e8d3194899ep-8, -0x1.c7e49b3de6767p-8, -0x1.bb34fadf755c4p-8, -0x1.aed805bb9d00ep-8, -0x1.a2cbd8beeb316p-8, -0x1.970e9a39ae9b1p-8, -0x1.8b9e7a192c37ep-8, -0x1.8079b20b2a8cap-8, -0x1.759e857575cc4p-8, -0x1.6b0b41349c9d8p-8, -0x1.60be3b24c7d11p-8, -0x1.56b5d185ed60bp-8, -0x1.4cf06a59f4c8fp-8, -0x1.436c72dfa0756p-8, -0x1.3a285f492f35dp-8, -0x1.3122aac03ac0dp-8, -0x1.2859d7b5cb864p-8, -0x1.1fcc70683c2cap-8, -0x1.17790778912fep-8, -0x1.0f5e3860d9521p-8, -0x1.077aa7a0ec832p-8, -0x1.ff9a050d2817fp-9, -0x1.f0a7fd1b459c7p-9, -0x1.e21cb0de63b18p-9, -0x1.d3f5a61cbdaaap-9, -0x1.c6306cfa8b371p-9, -0x1.b8ca9ea817cd8p-9, -0x1.abc1dd08bba4dp-9, -0x1.9f13d36fc3eb5p-9, -0x1.92be384e3806bp-9, -0x1.86becf6e7bdafp-9, -0x1.7b136c31662ddp-9, -0x1.6fb9f3342c2b5p-9, -0x1.64b05ae1ba235p-9, -0x1.59f4aaa9ba6a4p-9, -0x1.4f84f8e5f5833p-9, -0x1.455f67c85f4edp-9, -0x1.3b8221eae791bp-9, -0x1.31eb573ba8117p-9, -0x1.28993af47186bp-9, -0x1.1f8a031a5383bp-9, -0x1.16bbe9aebdb36p-9, -0x1.0e2d2f5bb6e9cp-9, -0x1.05dc1f0dd77a4p-9, -0x1.fb8e2361dcecap-10, -0x1.ebd8e268f218dp-10, -0x1.dc9574325b7fap-10, -0x1.cdc0f62685d68p-10, -0x1.bf58a5657b985p-10, -0x1.b159d6e3e8e82p-10, -0x1.a3c1edd006067p-10, -0x1.968e522a315a6p-10, -0x1.89bc69810f029p-10, -0x1.7d49935a73e63p-10, -0x1.71332a13e3041p-10, -0x1.65768818a12bcp-10, -0x1.5a11106834effp-10, -0x1.4f0038b545c82p-10, -0x1.4441930ef3c5fp-10, -0x1.39d2d512f7e2ap-10, -0x1.2fb1db1a72aebp-10, -0x1.25dca69800cfp-10, -0x1.1c5157cda52a1p-10, -0x1.130e23f551e2ap-10, -0x1.0a1149b600396p-10, -0x1.01590620f3fb6p-10, -0x1.f1c718b815d24p-11, -0x1.e15e031ae2d17p-11, -0x1.d172fb7874cecp-11, -0x1.c20222b0cf87ep-11, -0x1.b3079c76d703ep-11, -0x1.a47fa4b2bfd3fp-11, -0x1.9666a44036b01p-11, -0x1.88b94142ff7c2p-11, -0x1.7b7468246a916p-11, -0x1.6e954b9d0ec8dp-11, -0x1.62195bbee737bp-11, -0x1.55fe3594f8b7ap-11, -0x1.4a418e57272bbp-11, -0x1.3ee11e0e54dd8p-11, -0x1.33da8da117ffdp-11, -0x1.292b6b7d84a52p-11, -0x1.1ed1289e31d4bp-11, -0x1.14c91de380845p-11, -0x1.0b109820bf693p-11, -0x1.01a4e82cb0c72p-11, -0x1.f106e7be5954fp-12, -0x1.df538a22d4d2ap-12, -0x1.ce2b28959992cp-12, -0x1.bd899b396801dp-12, -0x1.ad6b1e5e18f91p-12, -0x1.9dcc441898781p-12, -0x1.8ea9dd4ecc1acp-12, -0x1.8000de7a4fd05p-12, -0x1.71ce44e4aea13p-12, -0x1.640f00c291cdap-12, -0x1.56bfe75e85906p-12, -0x1.49ddaed41f34cp-12, -0x1.3d64f307461cdp-12, -0x1.315242084127dp-12, -0x1.25a22d147fbdcp-12, -0x1.1a515ae8fa7bap-12, -0x1.0f5c980b6c56p-12, -0x1.04c0e22a0907cp-12, -0x1.f4f6d999d0179p-13, -0x1.e1133e5b33774p-13, -0x1.cdd219569bf24p-13, -0x1.bb2ed4bdbe5bp-13, -0x1.a925090252c3p-13, -0x1.97b06b582305ep-13, -0x1.86ccc1ee72db9p-13, -0x1.7675ddc93236dp-13, -0x1.66a798dac8966p-13, -0x1.575dd6f2b4be4p-13, -0x1.489488d2d651fp-13, -0x1.3a47b15890409p-13, -0x1.2c736c31bc626p-13, -0x1.1f13f443f0fdap-13, -0x1.1225a72f0b882p-13, -0x1.05a50442575a1p-13, -0x1.f31d4f4e4b5f7p-14, -0x1.dbbe897ea43afp-14, -0x1.c527460da0c55p-14, -0x1.af513d4976972p-14, -0x1.9a36559f1d771p-14, -0x1.85d0a53253b32p-14, -0x1.721a6c1a320d8p-14, -0x1.5f0e09fc06b4ep-14, -0x1.4ca5f81a40bb4p-14, -0x1.3adcd1ddbeabfp-14, -0x1.29ad6f19e4936p-14, -0x1.191307303c2dap-14, -0x1.090949b67b816p-14, -0x1.f318b225ca7c8p-15, -0x1.d531404614ac2p-15, -0x1.b8551f391ec6dp-15, -0x1.9c7cbd21e610bp-15, -0x1.819fd5b8f3c29p-15, -0x1.67b592fe5cc99p-15, -0x1.4eb503a940866p-15, -0x1.3695b5803848ep-15, -0x1.1f502d3e0d065p-15, -0x1.08ddff75a706p-15, -0x1.e672ede3099acp-16, -0x1.bcb9df0beeac4p-16, -0x1.9484771ef209dp-16, -0x1.6dc4dd11f177cp-16, -0x1.486c6877b5f86p-16, -0x1.246d182f4218dp-16, -0x1.01bb0a1c2dff3p-16, -0x1.c09a5561b86d1p-17, -0x1.80397ac7ae3dfp-17, -0x1.4247e3dcc6a02p-17, -0x1.06b8550df6c15p-17, -0x1.9af2d9cef01e3p-18, -0x1.2cea2cd18ef22p-18, -0x1.8648c6f973b8p-19, -0x1.75be5598ee93fp-20, 0x1.17b92a1079122p-24, 0x1.89988637cb1ddp-20, 0x1.797472be23542p-19, 0x1.1369aca8166edp-18, 0x1.6684bc72365f1p-18, 0x1.b622846857e5bp-18, 0x1.0130a8ebc7925p-17, 0x1.25b185f7b70a6p-17, 0x1.48a452f56d66ap-17, 0x1.6a1792f17cf48p-17, 0x1.8a1781df229d6p-17, 0x1.a8ae9c17d7a5cp-17, 0x1.c5e66867c6192p-17, 0x1.e1c8226962d47p-17, 0x1.fc5d5454ead34p-17, 0x1.0ad845663c36dp-16, 0x1.16e6e91baffb4p-16, 0x1.226125a849ac8p-16, 0x1.2d4d4e5375bfdp-16, 0x1.37b085cfa5f9ap-16, 0x1.418e46f22fe9bp-16, 0x1.4ae8c7ee208fep-16, 0x1.53c1f54d8fdcdp-16, 0x1.5c1c55a002bb6p-16, 0x1.63fb508fd20c7p-16, 0x1.6b62d9b892accp-16, 0x1.7256d8b24ebb4p-16, 0x1.78dab36c9269bp-16, 0x1.7ef14a7bc49bbp-16, 0x1.849d6d103f544p-16, 0x1.89e25bdb07763p-16, 0x1.8ec3e35832257p-16, 0x1.934605bc9a118p-16, 0x1.976c8cbfe072ap-16, 0x1.9b3ad1367f0f8p-16, 0x1.9eb3c1e423e3fp-16, 0x1.a1da03d704e6cp-16, 0x1.a4b009172273ep-16, 0x1.a73812fae82d3p-16, 0x1.a9742b0e9cb91p-16, 0x1.ab662bf46fc68p-16, 0x1.ad0fe1da85884p-16, 0x1.ae7325457f965p-16, 0x1.af91de0f84089p-16, 0x1.b06df74e3499ap-16, 0x1.b1094495fc1fap-16, 0x1.b16570408e6cdp-16, 0x1.b1841fbdc0bf6p-16, 0x1.b1672e0e09bebp-16, 0x1.b110acb4b08ecp-16, 0x1.b082aadee859bp-16, 0x1.afbf01a3f23cdp-16, 0x1.aec7490676904p-16, 0x1.ad9cf0420a148p-16, 0x1.ac416560790dp-16, 0x1.aab63497750bap-16, 0x1.a8fd0f11a0ecep-16, 0x1.a717b9dd15578p-16, 0x1.a507e75ec7df2p-16, 0x1.a2cf00830be17p-16, 0x1.a06e098655004p-16, 0x1.9de5d090a652cp-16, 0x1.9b3746c499a97p-16, 0x1.9863ab0fe90c3p-16, 0x1.956c55a02eb7cp-16, 0x1.9252686289844p-16, 0x1.8f16d229969bfp-16, 0x1.8bba913749811p-16, 0x1.883ecf6e8028bp-16, 0x1.84a4c53fc2b2fp-16, 0x1.80ed96dd9dbccp-16, 0x1.7d1a4a4e403eap-16, 0x1.792bd0133b2a7p-16, 0x1.75230ed3f8182p-16, 0x1.7100e9c475b42p-16, 0x1.6cc6415285089p-16, 0x1.6873f18488c12p-16, 0x1.640ad0f131e52p-16, 0x1.5f8bb17e6c825p-16, 0x1.5af7646973179p-16, 0x1.564ec039baea9p-16, 0x1.5192a016acc9ap-16, 0x1.4cc3d8b3942f5p-16, 0x1.47e32cd04f032p-16, 0x1.42f14df843a24p-16, 0x1.3deee9a5daee6p-16, 0x1.38dcb5afb06c4p-16, 0x1.33bb6fc5ef9d3p-16, 0x1.2e8bcf8ea7928p-16, 0x1.294e7c991044bp-16, 0x1.240419af5b6ecp-16, 0x1.1ead5467dd56fp-16, 0x1.194adcea0ca4ap-16, 0x1.13dd552de2dcp-16, 0x1.0e65548a5e1c7p-16, 0x1.08e37651f2514p-16, 0x1.03585b7cc6026p-16, 0x1.fb894124c437bp-17, 0x1.f051ac5fda9b6p-17, 0x1.e50ae4741ad23p-17, 0x1.d9b5921d66972p-17, 0x1.ce529ee8592b2p-17, 0x1.c2e390f81c71bp-17, 0x1.b769c9f6acbd4p-17, 0x1.abe60eb697e79p-17, 0x1.a059425109865p-17, 0x1.94c4bd28ff003p-17, 0x1.8929b0dce942fp-17, 0x1.7d88f0ce811cfp-17, 0x1.71e32a6fa5eep-17, 0x1.6638fc2ba3dcp-17, 0x1.5a8b14e40558cp-17, 0x1.4eda6e37d88p-17, 0x1.4328387c5337cp-17, 0x1.37756c0e37cap-17, 0x1.2bc2a6607cf9p-17, 0x1.20109e155925cp-17, 0x1.14606eacf68afp-17, 0x1.08b33751d9117p-17, 0x1.fa137acf792b9p-18, 0x1.e2c933150232ep-18, 0x1.cb88da2114e9fp-18, 0x1.b45332b0c7945p-18, 0x1.9d28ff7552cc8p-18, 0x1.860c851c52e6dp-18, 0x1.6effa86c8374cp-18, 0x1.5802f48fffbcp-18, 0x1.41180e3fb2353p-18, 0x1.2a411ae0f4d9bp-18, 0x1.137f2672a9bb8p-18, 0x1.f9a5e54686e7bp-19, 0x1.cc7b225559cf6p-19, 0x1.9f80814590a67p-19, 0x1.72b88f65c4c4fp-19, 0x1.4625dab7e28a4p-19, 0x1.19caec307c9b9p-19, 0x1.db54775b3c88ap-20, 0x1.838c2d0063a27p-20, 0x1.2c4098229d852p-20, 0x1.aae7f76e5d828p-21, 0x1.fca59df454a67p-22, 0x1.4b352c1be265dp-23, -0x1.5e7a9a2493fcep-23, -0x1.00ecfad314709p-21, -0x1.a9147ae13eb2cp-21, -0x1.28042b792e0fbp-20, -0x1.7ae33427a04c7p-20, -0x1.cd24f377f795ap-20, -0x1.0f637e558399bp-19, -0x1.37e3d897c85f9p-19, -0x1.60100108fd9dbp-19, -0x1.87e611d8e3413p-19, -0x1.af658c67d3b1ap-19, -0x1.d68d48962df24p-19, -0x1.fd5bbc425afb8p-19, -0x1.11e7b4fd5c7b3p-18, -0x1.24f379ce0a18bp-18, -0x1.37d0880e897ddp-18, -0x1.4a7e409edf4f1p-18, -0x1.5cfc07a9f0a7cp-18, -0x1.6f494606dd533p-18, -0x1.81656cb2a1518p-18, -0x1.934ff6f7fa79p-18, -0x1.a50867d4e13bap-18, -0x1.b68e41d30475p-18, -0x1.c7e10241ad77dp-18, -0x1.d900315067f62p-18, -0x1.e9eb6318ed68ep-18, -0x1.faa1ce655f131p-18, -0x1.05913692f6601p-17, -0x1.0db6d67282612p-17, -0x1.15c1f80fd1bfdp-17, -0x1.1db267018553cp-17, -0x1.2587d6904839ap-17, -0x1.2d41bbb5fb286p-17, -0x1.34dff0b97001fp-17, -0x1.3c627cfdd65d4p-17, -0x1.43c95aaadecbcp-17, -0x1.4b146abfc0885p-17, -0x1.524386dc68341p-17, -0x1.59568c867fd6cp-17, -0x1.604d5e95a785ep-17, -0x1.6727e3a808946p-17, -0x1.6de604aa84b91p-17, -0x1.7487ac1b83d34p-17, -0x1.7b0cc63b9d3bbp-17, -0x1.8175421169406p-17, -0x1.87c1127aa181fp-17, -0x1.8df02e22a8ef6p-17, -0x1.94028d7541e44p-17, -0x1.99f827803af8p-17, -0x1.9fd0f37816ad7p-17, -0x1.a58cf0b694ebbp-17, -0x1.ab2c1b39201fbp-17, -0x1.b0ae421ba8c04p-17, -0x1.b613614021d91p-17, -0x1.bb5bd939083fep-17, -0x1.c087b36b946bap-17, -0x1.c5969ccf68d39p-17, -0x1.ca889d5ec7aa2p-17, -0x1.cf5de93da0ecdp-17, -0x1.d41677bb21daep-17, -0x1.d8b236e4e8ef6p-17, -0x1.dd314add12e0ap-17, -0x1.e193e623054dcp-17, -0x1.e5da1c4e9420cp-17, -0x1.ea03dda58051ap-17, -0x1.ee111c40e5d59p-17, -0x1.f2020386db15ep-17, -0x1.f5d6b9e3d8489p-17, -0x1.f98f53a82a72bp-17, -0x1.fd2be32cb508bp-17, -0x1.00563f2bfc688p-16, -0x1.02089f5b4eefbp-16, -0x1.03ad2055c6ebep-16, -0x1.0543d127ddeb1p-16, -0x1.06ccc0eb518e4p-16, -0x1.0847fe2dc4132p-16, -0x1.09b59836ceba5p-16, -0x1.0b15a1705de52p-16, -0x1.0c6829b1357b8p-16, -0x1.0dad328df5008p-16, -0x1.0ee4e1a89cea9p-16, -0x1.100f590c00922p-16, -0x1.112c8a78a312ep-16, -0x1.123c92a5d9945p-16, -0x1.133f8f278bbbep-16, -0x1.143591762e96fp-16, -0x1.151eac8689faap-16, -0x1.15faf5377d88ep-16, -0x1.16ca815f2283fp-16, -0x1.178d6762ff208p-16, -0x1.1843be03eca95p-16, -0x1.18ed9c4e29c22p-16, -0x1.198b19d046483p-16, -0x1.1a1c4ea06331fp-16, -0x1.1aa1511a53996p-16, -0x1.1b1a335c83ddap-16, -0x1.1b87106bca2ap-16, -0x1.1be80e04469f3p-16, -0x1.1c3d40cd9233bp-16, -0x1.1c86b7d4f48b1p-16, -0x1.1cc4923a43aa7p-16, -0x1.1cf6edeb542d1p-16, -0x1.1d1de452623a5p-16, -0x1.1d398ea3c68c8p-16, -0x1.1d4a072aad664p-16, -0x1.1d4f6a3d551b5p-16, -0x1.1d49d35f2a4d7p-16, -0x1.1d3958b4e617dp-16, -0x1.1d1e1f77ee2d6p-16, -0x1.1cf83cc8897d8p-16, -0x1.1cc7ccfc635cdp-16, -0x1.1c8cf02da865bp-16, -0x1.1c47c191a4eb5p-16, -0x1.1bf85d3b7a907p-16, -0x1.1b9edfea7a0a4p-16, -0x1.1b3b669ccff49p-16, -0x1.1ace0e7314d7bp-16, -0x1.1a56f4aa4f0d1p-16, -0x1.19d6369a67269p-16, -0x1.194bf1b4a94e9p-16, -0x1.18b84382d272p-16, -0x1.181b49a63a3dfp-16, -0x1.177521d781b29p-16, -0x1.16c5e9e6a18c6p-16, -0x1.160dbfb89c1ddp-16, -0x1.154cc140fe37dp-16, -0x1.14830c7919d9ep-16, -0x1.13b0bf5b02207p-16, -0x1.12d5f7e571fd6p-16, -0x1.11f2d425e5a4bp-16, -0x1.1107723efaa79p-16, -0x1.1013f057d48e7p-16, -0x1.0f186c975043bp-16, -0x1.0e15058fed84dp-16, -0x1.0d09d8c6485b3p-16, -0x1.0bf70396586aep-16, -0x1.0adca6709cedap-16, -0x1.09baddcd9cd4cp-16, -0x1.0891c8398e198p-16, -0x1.076182d19d0bcp-16, -0x1.062a2bd949015p-16, -0x1.04ebe191140f8p-16, -0x1.03a6c1e387bebp-16, -0x1.025aea9d7dad2p-16, -0x1.0108797a7ae3p-16, -0x1.ff5f18492bc35p-17, -0x1.fca08064e6dacp-17, -0x1.f9d5664c582c3p-17, -0x1.f6fe04d8fc438p-17, -0x1.f41a96b6f4504p-17, -0x1.f12b5661e08b1p-17, -0x1.ee307e23147b6p-17, -0x1.eb2a48115be11p-17, -0x1.e818ee126ba4p-17, -0x1.e4fca9d9373fp-17, -0x1.e1d5b4dacf97ep-17, -0x1.dea4483efc014p-17, -0x1.db689cdc78fb7p-17, -0x1.d822eb40100dfp-17, -0x1.d4d36bae33f33p-17, -0x1.d17a561f74ab5p-17, -0x1.ce17e26826f59p-17, -0x1.caac4893ab268p-17, -0x1.c737c08d902ebp-17, -0x1.c3ba80e94a962p-17, -0x1.c034bdf3c8d1fp-17, -0x1.bca6abd4c635cp-17, -0x1.b910883ccef34p-17, -0x1.b572896da9e62p-17, -0x1.b1ccdd2a0ef1fp-17, -0x1.ae1fba01e6b19p-17, -0x1.aa6b558ed51ecp-17, -0x1.a6afe25320463p-17, -0x1.a2ed96845a98cp-17, -0x1.9f24a89b12cb8p-17, -0x1.9b554c3a48b77p-17, -0x1.977faf91d66bap-17, -0x1.93a40352a9758p-17, -0x1.8fc27b910718dp-17, -0x1.8bdb4ac17d4bdp-17, -0x1.87eea23c92248p-17, -0x1.83fcb2d165871p-17, -0x1.8005ace939b3p-17, -0x1.7c09c08b80e46p-17, -0x1.78091d5d6897cp-17, -0x1.7403f2a26c8ap-17, -0x1.6ffa6f38c0b45p-17, -0x1.6becc19189a0ap-17, -0x1.67db17ab58151p-17, -0x1.63c59f15379fep-17, -0x1.5fac84f25ffc9p-17, -0x1.5b8ff5f6a3631p-17, -0x1.57701e6222eecp-17, -0x1.534d2a1a18027p-17, -0x1.4f2744e4ae526p-17, -0x1.4afe9a2ba52c9p-17, -0x1.46d354609b159p-17, -0x1.42a59cc2036a6p-17, -0x1.3e759a08d8a41p-17, -0x1.3a437b13c070fp-17, -0x1.360f6bef5bb06p-17, -0x1.31d98c3c48c56p-17, -0x1.2da20693d046p-17, -0x1.29690391bbc37p-17, -0x1.252eaa482326p-17, -0x1.20f3214ce4265p-17, }}, 
      {{-0x1.b8c2ffd1ea08cp+1, -0x1.a040301ca6e5ep+1, -0x1.821d92bceb2c8p+1, -0x1.6338bf5bc1cc9p+1, -0x1.464c45d458243p+1, -0x1.2cb497bcc85cap+1, -0x1.16f2e9063000cp+1, -0x1.0503f3dada4f6p+1, -0x1.ed327a6fff194p+0, -0x1.d67cf6cf4ed38p+0, -0x1.c4e30b7f8e168p+0, -0x1.b76240eaeb8eep+0, -0x1.ad0b34370d4d8p+0, -0x1.a50a8d253c2c8p+0, -0x1.9eac8db160006p+0, -0x1.995d374b8f67dp+0, -0x1.94a6663cfab5cp+0, -0x1.902cd2df1f76p+0, -0x1.8bac979e6178p+0, -0x1.86f5a112a2a5cp+0, -0x1.81e844b5f7badp+0, -0x1.7c721f9f98a0dp+0, -0x1.768b4d83e13c5p+0, -0x1.7033fd967b3dep+0, -0x1.6972642212dcep+0, -0x1.62510359ec7a8p+0, -0x1.5add43659e6e7p+0, -0x1.532650771f009p+0, -0x1.4b3c357d2f8cdp+0, -0x1.432f2a620eee2p+0, -0x1.3b0f0d7a86843p+0, -0x1.32eb00a65ded3p+0, -0x1.2ad1238e03c26p+0, -0x1.22ce655115aedp+0, -0x1.1aee68d341c0fp+0, -0x1.133b779b45165p+0, -0x1.0bbe7fe787a2bp+0, -0x1.047f1b34fe7e4p+0, -0x1.fb0735f1d2abdp-1, -0x1.eda2337b994bep-1, -0x1.e0d71e65626edp-1, -0x1.d4abcc14e89e6p-1, -0x1.c9242594549dcp-1, -0x1.be4255b5a11a7p-1, -0x1.b406f6ba8d143p-1, -0x1.aa713ec2ee2c2p-1, -0x1.a17f2a786c165p-1, -0x1.992da59816256p-1, -0x1.9178b11a7c003p-1, -0x1.8a5b86d3d12dbp-1, -0x1.83d0ba7906c7p-1, -0x1.7dd25805c1efp-1, -0x1.7859ff8a931adp-1, -0x1.7360fe738aa6ep-1, -0x1.6ee0665d57485p-1, -0x1.6ad12193c2908p-1, -0x1.672c05580d562p-1, -0x1.63e9e20fe8b8ap-1, -0x1.6103917ee4fbbp-1, -0x1.5e72032d74b9ep-1, -0x1.5c2e471b860dp-1, -0x1.5a3196e2199d3p-1, -0x1.58755d6162e6fp-1, -0x1.56f33d21e3042p-1, -0x1.55a515855a756p-1, -0x1.548506e55e1ebp-1, -0x1.538d75b170499p-1, -0x1.52b90caa46076p-1, -0x1.5202be43b0ed7p-1, -0x1.5165c57afe20dp-1, -0x1.50dda5dbffd8p-1, -0x1.50662b6b36c75p-1, -0x1.4ffb698e0b0f9p-1, -0x1.4f99b9f78eb34p-1, -0x1.4f3dbb05c6331p-1, -0x1.4ee44d8cb4c5fp-1, -0x1.4e8a9340b5e4fp-1, -0x1.4e2debf509a11p-1, -0x1.4dcbf3bc6e3fdp-1, -0x1.4d627fff2ecfap-1, -0x1.4cef9d4aef372p-1, -0x1.4c718c15978a7p-1, -0x1.4be6be4d4c429p-1, -0x1.4b4dd4ba5b797p-1, -0x1.4aa59bddac604p-1, -0x1.49ed0a130fc95p-1, -0x1.49233c9eae416p-1, -0x1.48477562801dbp-1, -0x1.4759188ac44cep-1, -0x1.4657aa0b02dfbp-1, -0x1.4542cb6b74721p-1, -0x1.441a398c30f6dp-1, -0x1.42ddca973cd2p-1, -0x1.418d6c1102035p-1, -0x1.402921074026cp-1, -0x1.3eb1005cde02fp-1, -0x1.3d253329f78d6p-1, -0x1.3b85f32e36502p-1, -0x1.39d38951dcc71p-1, -0x1.380e4c350286dp-1, -0x1.36369ece1ca1p-1, -0x1.344cef18bdca5p-1, -0x1.3251b4d660e3ap-1, -0x1.304570622b9ep-1, -0x1.2e28a99796bfdp-1, -0x1.2bfbeecc08244p-1, -0x1.29bfd3da11f5cp-1, -0x1.2774f13d0df3ep-1, -0x1.251be33c3ad5bp-1, -0x1.22b54923d1ba5p-1, -0x1.2041c48b2f2bep-1, -0x1.1dc1f8a7dd211p-1, -0x1.1b3689acb2953p-1, -0x1.18a01c34bf0b1p-1, -0x1.15ff54ba42da2p-1, -0x1.1354d7194c0ap-1, -0x1.10a1461d6cfa4p-1, -0x1.0de5431a97648p-1, -0x1.0b216d90a532p-1, -0x1.085662d86ed9cp-1, -0x1.0584bdda4779ep-1, -0x1.02ad16cd18526p-1, -0x1.ffa005fac8753p-2, -0x1.f9dc2936fed28p-2, -0x1.f40fb520ae235p-2, -0x1.ee3bc0b1ed27dp-2, -0x1.e8615bce5e105p-2, -0x1.e2818f0f3c1dap-2, -0x1.dc9d5b9a5c21ep-2, -0x1.d6b5bb007c5eep-2, -0x1.d0cb9f254869cp-2, -0x1.cadff22f0c4ccp-2, -0x1.c4f3967bba9dfp-2, -0x1.bf07669f1abe5p-2, -0x1.b91c35654a86fp-2, -0x1.b332cdd905c4cp-2, -0x1.ad4bf352603a8p-2, -0x1.a76861873cb7p-2, -0x1.a188cc9e1abeap-2, -0x1.9bade1487c95p-2, -0x1.95d844dd6b9fap-2, -0x1.90089574dca4ap-2, -0x1.8a3f6a0a21e03p-2, -0x1.847d529db0b26p-2, -0x1.7ec2d856126fdp-2, -0x1.79107da785cb7p-2, -0x1.7366be7b50a5cp-2, -0x1.6dc61054231ccp-2, -0x1.682ee2782c1f3p-2, -0x1.62a19e1c91cdp-2, -0x1.5d1ea68c1ec9fp-2, -0x1.57a659514e757p-2, -0x1.52390e63ef72cp-2, -0x1.4cd71851c2d7p-2, -0x1.4780c466ad642p-2, -0x1.42365ad9f3978p-2, -0x1.3cf81ef8a9471p-2, -0x1.37c64f4baaa1fp-2, -0x1.32a125c17f81bp-2, -0x1.2d88d7d9a8405p-2, -0x1.287d96ca156b7p-2, -0x1.237f8fa3ddf3ep-2, -0x1.1e8eeb7c558b9p-2, -0x1.19abcf93c4161p-2, -0x1.14d65d76d8a74p-2, -0x1.100eb322035fap-2, -0x1.0b54eb2799872p-2, -0x1.06a91cd1cced2p-2, -0x1.020b5c41034cdp-2, -0x1.faf77519f7c89p-3, -0x1.f1f48bce68b04p-3, -0x1.e90e137192bp-3, -0x1.e0441d7be3783p-3, -0x1.d796b6488b465p-3, -0x1.cf05e552c67c3p-3, -0x1.c691ad6a9d633p-3, -0x1.be3a0ce5feab5p-3, -0x1.b5fefdd6e44d3p-3, -0x1.ade07641e49d9p-3, -0x1.a5de684cbc9c1p-3, -0x1.9df8c26913912p-3, -0x1.962f6f83ee75cp-3, -0x1.8e82573699307p-3, -0x1.86f15df044691p-3, -0x1.7f7c651a12656p-3, -0x1.78234b3ee7113p-3, -0x1.70e5ec3753296p-3, -0x1.69c421506eda9p-3, -0x1.62bdc16a7d3b5p-3, -0x1.5bd2a117cf1bp-3, -0x1.550292c1ea38dp-3, -0x1.4e4d66cf23b58p-3, -0x1.47b2ebc0019d9p-3, -0x1.4132ee46967e7p-3, -0x1.3acd3961661a9p-3, -0x1.3481967c8e853p-3, -0x1.2e4fcd913b32bp-3, -0x1.2837a53c5eb52p-3, -0x1.2238e2d089aaap-3, -0x1.1c534a6c15fa9p-3, -0x1.16869f15983dap-3, -0x1.10d2a2d6f3f11p-3, -0x1.0b3716d03a473p-3, -0x1.05b3bb44e9ed7p-3, -0x1.00484fac5f195p-3, -0x1.f5e92591d341ep-4, -0x1.eb70857fe23a6p-4, -0x1.e1263a56fb1edp-4, -0x1.d709be492c154p-4, -0x1.cd1a8a9b4e8e5p-4, -0x1.c35817c60000cp-4, -0x1.b9c1dd9f72c18p-4, -0x1.b057537f29f38p-4, -0x1.a717f052bc216p-4, -0x1.9e032aaa122abp-4, -0x1.951878c982ce6p-4, -0x1.8c5750c834869p-4, -0x1.83bf28b2d10edp-4, -0x1.7b4f76a5382a8p-4, -0x1.7307b0d6c514dp-4, -0x1.6ae74da194fc3p-4, -0x1.62edc391188e3p-4, -0x1.5b1a897b881c4p-4, -0x1.536d169dedbfcp-4, -0x1.4be4e2afa5a95p-4, -0x1.448165ea40a8p-4, -0x1.3d42190d2aa87p-4, -0x1.362675675c6fap-4, -0x1.2f2df4ea7a746p-4, -0x1.28581241375a1p-4, -0x1.21a448df9dd0ep-4, -0x1.1b12150996f63p-4, -0x1.14a0f3d43f9fp-4, -0x1.0e50632a49aaep-4, -0x1.081fe1d7ef4c2p-4, -0x1.020eef9ba20fbp-4, -0x1.f83a1a68d26dcp-5, -0x1.ec9378d22958bp-5, -0x1.e1290012b897bp-5, -0x1.d5f9b7dca41d8p-5, -0x1.cb04a9fe7c551p-5, -0x1.c048e27752912p-5, -0x1.b5c56f8db5a2cp-5, -0x1.ab7961e001874p-5, -0x1.a163cc6a2b7c6p-5, -0x1.9783c484eb05bp-5, -0x1.8dd861e5bcbddp-5, -0x1.8460bea56504fp-5, -0x1.7b1bf74cbf3p-5, -0x1.72092ae29e73cp-5, -0x1.69277af50e814p-5, -0x1.60760b9bdec94p-5, -0x1.57f40376ec164p-5, -0x1.4fa08bac6486p-5, -0x1.477acfea8714ep-5, -0x1.3f81fe6d41f42p-5, -0x1.37b5480530042p-5, -0x1.3013e01c91ccfp-5, -0x1.289cfcb895c33p-5, -0x1.214fd6776e2a2p-5, -0x1.1a2ba88d42ed4p-5, -0x1.132fb0c1fceb1p-5, -0x1.0c5b2f71112e2p-5, -0x1.05ad678ae11f2p-5, -0x1.fe4b3d2c4434bp-6, -0x1.f186395fcd2bbp-6, -0x1.e50a5913972b6p-6, -0x1.d8d636cd2fae3p-6, -0x1.cce8722c4e619p-6, -0x1.c13fafe305f8ap-6, -0x1.b5da99afa23efp-6, -0x1.aab7de5828dd4p-6, -0x1.9fd631a6467bbp-6, -0x1.95344c62610c2p-6, -0x1.8ad0ec4d16dcdp-6, -0x1.80aad416be17cp-6, -0x1.76c0cb555d00dp-6, -0x1.6d119e79c48b1p-6, -0x1.639c1ec51c397p-6, -0x1.5a5f223f7f06bp-6, -0x1.515983af8843p-6, -0x1.488a22923ebc9p-6, -0x1.3fefe312a0e9p-6, -0x1.3789ae000b9e4p-6, -0x1.2f5670c3452cep-6, -0x1.27551d521872fp-6, -0x1.1f84aa2289e59p-6, -0x1.17e4121e713bap-6, -0x1.107254980a16dp-6, -0x1.092e753f630a1p-6, -0x1.02177c182dbbfp-6, -0x1.f658eadebb8dfp-7, -0x1.e8d8e39fddbb4p-7, -0x1.dbad0bed2b5b4p-7, -0x1.ced39588c9504p-7, -0x1.c24aba6265bb2p-7, -0x1.b610bc7ccef3ep-7, -0x1.aa23e5d530b8bp-7, -0x1.9e82884bae64p-7, -0x1.932afd8cc0c34p-7, -0x1.881ba6fa5600ap-7, -0x1.7d52ed93f871bp-7, -0x1.72cf41dd8e84cp-7, -0x1.688f1bc4bf0f3p-7, -0x1.5e90fa860b046p-7, -0x1.54d36492646e3p-7, -0x1.4b54e7762f17dp-7, -0x1.421417c13db3dp-7, -0x1.390f90ef5d036p-7, -0x1.3045f550d17b3p-7, -0x1.27b5edf221bfp-7, -0x1.1f5e2a8307413p-7, -0x1.173d613cbb7c7p-7, -0x1.0f524ec823f7p-7, -0x1.079bb6249a117p-7, -0x1.0018608fe658ep-7, -0x1.f18e3adee40fep-8, -0x1.e34d847453714p-8, -0x1.d56c54c43c28dp-8, -0x1.c7e86e7a7f12bp-8, -0x1.babf9fda019bcp-8, -0x1.adefc289e9c6ap-8, -0x1.a176bb627d953p-8, -0x1.95527a3b17fbap-8, -0x1.8980f9bba8bc7p-8, -0x1.7e003f3243794p-8, -0x1.72ce5a6cb7373p-8, -0x1.67e965940c8e7p-8, -0x1.5d4f850742323p-8, -0x1.52fee73279c66p-8, -0x1.48f5c46107015p-8, -0x1.3f325e8aae38ap-8, -0x1.35b3011e1f965p-8, -0x1.2c7600cbd5616p-8, -0x1.2379bb559e8b8p-8, -0x1.1abc976584081p-8, -0x1.123d046d58b8ep-8, -0x1.09f97a8da0c3ap-8, -0x1.01f07a7f856f2p-8, -0x1.f4411af98bcdep-9, -0x1.e5108a406fa2bp-9, -0x1.d64c767777fa8p-9, -0x1.c7f223464d9a3p-9, -0x1.b9fee3df16456p-9, -0x1.ac701a8234f2cp-9, -0x1.9f43380e0582cp-9, -0x1.9275bba7e0b3ap-9, -0x1.86053286b964cp-9, -0x1.79ef37dd6e772p-9, -0x1.6e3174db4df82p-9, -0x1.62c9a0b036eap-9, -0x1.57b580800410ep-9, -0x1.4cf2e7336bedep-9, -0x1.427fb51ccb46p-9, -0x1.3859d7735c865p-9, -0x1.2e7f47b2dc547p-9, -0x1.24ee0af7f8c6ap-9, -0x1.1ba43174f3df8p-9, -0x1.129fd6166d84bp-9, -0x1.09df1e658100fp-9, -0x1.01603aa5c437bp-9, -0x1.f242cc3a58559p-10, -0x1.e241cecee7f69p-10, -0x1.d2ba21622693fp-10, -0x1.c3a87f71a4d42p-10, -0x1.b509bb079b49dp-10, -0x1.a6dabb8456c77p-10, -0x1.99187bee4ade1p-10, -0x1.8bc009119e4edp-10, -0x1.7ece7fc9ba149p-10, -0x1.72410bcce8aadp-10, -0x1.6614e7394882cp-10, -0x1.5a475af6b5ec6p-10, -0x1.4ed5bfcf19313p-10, -0x1.43bd7fef79dfp-10, -0x1.38fc186694d07p-10, -0x1.2e8f1a2d47877p-10, -0x1.24742a5bedd8fp-10, -0x1.1aa9015ac5d18p-10, -0x1.112b691714525p-10, -0x1.07f93a843494p-10, -0x1.fe20b5bab93b1p-11, -0x1.ecdd72684c656p-11, -0x1.dc24999a9b363p-11, -0x1.cbf2294ae2274p-11, -0x1.bc423071833b4p-11, -0x1.ad10d2c1b7978p-11, -0x1.9e5a4db98870cp-11, -0x1.901afdd58fd72p-11, -0x1.824f62a6c3b8fp-11, -0x1.74f420b60620dp-11, -0x1.68060092b0db5p-11, -0x1.5b81eb011653bp-11, -0x1.4f64e2df0b6bep-11, -0x1.43abfddb2092dp-11, -0x1.38545d67da287p-11, -0x1.2d5b295184ef4p-11, -0x1.22bd8d0cdfa61p-11, -0x1.1878b84753173p-11, -0x1.0e89e2940d4f9p-11, -0x1.04ee516f4e88cp-11, -0x1.f746bea6babb9p-12, -0x1.e54d04c6ca58p-12, -0x1.d3eaa27d4590fp-12, -0x1.c31b09cdfb3b9p-12, -0x1.b2d9ee6d63d1ap-12, -0x1.a3233c1913fa4p-12, -0x1.93f30806b1c4ep-12, -0x1.85458018900a9p-12, -0x1.7716db07259c3p-12, -0x1.69634c814fe22p-12, -0x1.5c26ff6d15ebfp-12, -0x1.4f5e172ebf6bp-12, -0x1.4304b770210bdp-12, -0x1.371710a96ed5ap-12, -0x1.2b916ede15591p-12, -0x1.207047ba0cadap-12, -0x1.15b04572608d7p-12, -0x1.0b4e4c6d20405p-12, -0x1.01477aa58c6d4p-12, -0x1.ef3241b43497cp-13, -0x1.dc816d62d341dp-13, -0x1.ca7797f0b7bfdp-13, -0x1.b90ff35480705p-13, -0x1.a845aafaf3b39p-13, -0x1.9813d43b0ac27p-13, -0x1.88756a65f354ep-13, -0x1.796556416a233p-13, -0x1.6ade7e8ddf8cep-13, -0x1.5cdbddd341027p-13, -0x1.4f589931ddf4cp-13, -0x1.42501441ef84bp-13, -0x1.35bdfee105812p-13, -0x1.299e5afbbe957p-13, -0x1.1ded79c076eap-13, -0x1.12a7f112ed4eap-13, -0x1.07ca8b5742fb2p-13, -0x1.faa46907d4f6p-14, -0x1.e677cf742ea47p-14, -0x1.d30940b2791c4p-14, -0x1.c052a14ce09d7p-14, -0x1.ae4dbdeb7ec6p-14, -0x1.9cf4520bf77dap-14, -0x1.8c40188797aa4p-14, -0x1.7c2ae20be55ecp-14, -0x1.6caead1a8eb73p-14, -0x1.5dc5bb23c764ep-14, -0x1.4f6a9efeea29fp-14, -0x1.41984280c1c44p-14, -0x1.3449e3017bf88p-14, -0x1.277b06bfe56b1p-14, -0x1.1b276e670a494p-14, -0x1.0f4b063f31f78p-14, -0x1.03e1d9c1857ffp-14, -0x1.f1d015f6e0c99p-15, -0x1.dcb39ba8ccab2p-15, -0x1.c866ccc25e4acp-15, -0x1.b4e252a76e9f2p-15, -0x1.a21efbef0267fp-15, -0x1.9015c30ad978fp-15, -0x1.7ebfd6aecfda4p-15, -0x1.6e16a182c9896p-15, -0x1.5e13cdf46a217p-15, -0x1.4eb1445573d39p-15, -0x1.3fe9247f59004p-15, -0x1.31b5bed1b3b67p-15, -0x1.2411907c2802fp-15, -0x1.16f7441abf36cp-15, -0x1.0a61b3e30d431p-15, -0x1.fc97d1f600b0fp-16, -0x1.e5622b5b6352p-16, -0x1.cf1919a11a8adp-16, -0x1.b9b379553f58dp-16, -0x1.a52867d6f0a0cp-16, -0x1.916f650b542acp-16, -0x1.7e8080922e7b5p-16, -0x1.6c5478fbbf5a1p-16, -0x1.5ae4b3fa21455p-16, -0x1.4a2b074bfa954p-16, -0x1.3a216358dbf47p-16, -0x1.2ac182df597f2p-16, -0x1.1c04c429b0a8cp-16, -0x1.0de43f5146acfp-16, -0x1.0059122824ddep-16, -0x1.e6b9828ee8931p-17, -0x1.cdd3031295f3cp-17, -0x1.b5f4889ecdb13p-17, -0x1.9f14f7468baf5p-17, -0x1.892b604d86519p-17, -0x1.742e3f5528555p-17, -0x1.60133915277e7p-17, -0x1.4ccf8a223a23dp-17, -0x1.3a58f086bd347p-17, -0x1.28a6933824f1cp-17, -0x1.17b16bc0515d7p-17, -0x1.0773f98db6eecp-17, -0x1.efd2c192645a9p-18, -0x1.d218b5000e5bap-18, -0x1.b5acdbc9acd81p-18, -0x1.9a7f8d604dd8cp-18, -0x1.807f726b0d5f9p-18, -0x1.679b7eb5b93f3p-18, -0x1.4fc50d1c41843p-18, -0x1.38f129e06b6e6p-18, -0x1.23185ba75434bp-18, -0x1.0e34f3a79b455p-18, -0x1.f48198a46062dp-19, -0x1.ce677be22b343p-19, -0x1.aa0713b6aa1cfp-19, -0x1.8749ebfcdc437p-19, -0x1.661a5ceb1ab98p-19, -0x1.466550e337038p-19, -0x1.281a9c9df186cp-19, -0x1.0b2c55b43bf06p-19, -0x1.df1bbd4179a6p-20, -0x1.aa6638a0694e4p-20, -0x1.781f7d9fbbaf7p-20, -0x1.482cd115d0a39p-20, -0x1.1a702d98b478dp-20, -0x1.dd928b601bedp-21, -0x1.8a327c691ab53p-21, -0x1.3a8e67a8f2ea1p-21, -0x1.dd099288fd671p-22, -0x1.4c0110bec7804p-22, -0x1.83be2af82a6c1p-23, -0x1.f3a402cc7648ep-25, 0x1.f3ef3cfce497ep-25, 0x1.6a8221d0cd732p-23, 0x1.261c60630c6cap-22, 0x1.914d0f6f622d1p-22, 0x1.f705f96f38cd5p-22, 0x1.2bbc16129bcd6p-21, 0x1.596e3cc3f9d38p-21, 0x1.84baa9f6ff6b5p-21, 0x1.adc43fa24fdb5p-21, 0x1.d4ab8b997b0c5p-21, 0x1.f98cc764e310ep-21, 0x1.0e401103ddd66p-20, 0x1.1ecd77808657bp-20, 0x1.2e783b550fac3p-20, 0x1.3d490579f9814p-20, 0x1.4b47651de93aap-20, 0x1.5879fdb833102p-20, 0x1.64e722e95ebcdp-20, 0x1.70955744f878dp-20, 0x1.7b8b594de849fp-20, 0x1.85cfe96f91d79p-20, 0x1.8f694f11a5decp-20, 0x1.985d0b0279c0ep-20, 0x1.a0b0823fef1a8p-20, 0x1.a86a095f1949ep-20, 0x1.af90e4750abc3p-20, 0x1.b62c404ce83d9p-20, 0x1.bc424709a35dbp-20, 0x1.c1d7f13ede45dp-20, 0x1.c6f1785e5ad93p-20, 0x1.cb930ddd9a9dep-20, 0x1.cfc16b2e7f0a1p-20, 0x1.d381f01cae267p-20, 0x1.d6da53fe59f3dp-20, 0x1.d9cff5491653cp-20, 0x1.dc66e01ce1b2bp-20, 0x1.dea154cc083f9p-20, 0x1.e0809f7c87f3fp-20, 0x1.e206ae257e317p-20, 0x1.e336d1141f474p-20, 0x1.e414cb0dedcc8p-20, 0x1.e4a36a98a983cp-20, 0x1.e4e49a3854951p-20, 0x1.e4da8cc090a0dp-20, 0x1.e4883b65fcacp-20, 0x1.e3f0e2a9239c2p-20, 0x1.e3176671a5e19p-20, 0x1.e1fe2639ae802p-20, 0x1.e0a72497bd759p-20, 0x1.df143c21f077ap-20, 0x1.dd473c427293p-20, 0x1.db41ec93fa932p-20, 0x1.d906058d2dd75p-20, 0x1.d6952c03963ccp-20, 0x1.d3f0f4c14bb59p-20, 0x1.d11af6c79c0e2p-20, 0x1.ce14e601b9364p-20, 0x1.cae0903cb8cf5p-20, 0x1.c77fabe41e032p-20, 0x1.c3f3a5520516cp-20, 0x1.c03da26b6aa66p-20, 0x1.bc5ebcc2409d7p-20, 0x1.b85838a0cd4c9p-20, 0x1.b42b83312a589p-20, 0x1.afd9f55c83032p-20, 0x1.ab64a72e14aa6p-20, 0x1.a6cca19ba1909p-20, 0x1.a213235d4aad8p-20, 0x1.9d397cee0fbf1p-20, 0x1.9840c6d38d528p-20, 0x1.9329f13908115p-20, 0x1.8df603e76d641p-20, 0x1.88a62536972a2p-20, 0x1.833b6deb80b2bp-20, 0x1.7db6c9048f0d8p-20, 0x1.7818b37dd102bp-20, 0x1.72611fe1d780ep-20, 0x1.6c9096909da27p-20, 0x1.66a8fa52e9ec7p-20, 0x1.60abe257ce281p-20, 0x1.5a999837b64c1p-20, 0x1.5472aedeeece6p-20, 0x1.4e38bb7aa883dp-20, 0x1.47ed0480b8fb6p-20, 0x1.41900cb634af3p-20, 0x1.3b220cfbf18c9p-20, 0x1.34a324bd05c2fp-20, 0x1.2e139ca0f40e1p-20, 0x1.277462ed8faedp-20, 0x1.20c6e0cad531ep-20, 0x1.1a0c0de219e92p-20, 0x1.134425b8d4fd8p-20, 0x1.0c6f9f849527cp-20, 0x1.058fcf64daf64p-20, 0x1.fd4c2cdfae448p-21, 0x1.ef6637283589fp-21, 0x1.e16e58ec84b73p-21, 0x1.d3655e74fc934p-21, 0x1.c54b10c8cf4c6p-21, 0x1.b71f4819598b5p-21, 0x1.a8e515ae64ep-21, 0x1.9a9ec7b04fb37p-21, 0x1.8c4be5fc38f2dp-21, 0x1.7dee508dc9d4fp-21, 0x1.6f88f69a91a06p-21, 0x1.611c88202bfe2p-21, 0x1.52a9296ae98e6p-21, 0x1.442faf9a7c8edp-21, 0x1.35b15583c9c34p-21, 0x1.272f6f7fffffcp-21, 0x1.18ab5bb224621p-21, 0x1.0a267bf5417ddp-21, 0x1.f744525d99258p-22, 0x1.da3f32d927f0ep-22, 0x1.bd3f1852bdb6ep-22, 0x1.a04434f3bcba4p-22, 0x1.834f9d04a8dbp-22, 0x1.666537b68f70ap-22, 0x1.49882618d8bb7p-22, 0x1.2cb8a29681a86p-22, 0x1.0ff996cf60f4ap-22, 0x1.e69f864f3d0b9p-23, 0x1.ad752eb85a35ep-23, 0x1.7475dbb279085p-23, 0x1.3ba377f222dbap-23, 0x1.02fe82bb3424fp-23, 0x1.95249310bde21p-24, 0x1.24c76077b83bep-24, 0x1.69c91ca5ce947p-25, 0x1.1602e03d7e63bp-26, -0x1.4ae2e426a322ep-27, -0x1.2f563ed52baf4p-25, -0x1.0564c1d187ad6p-24, -0x1.7282e4f95c3bp-24, -0x1.deff4bc687f56p-24, -0x1.2569de6bda0aap-23, -0x1.5afd0ce635a0fp-23, -0x1.90364a7efabecp-23, -0x1.c512e84f9ae3p-23, -0x1.f9905a51aacaap-23, -0x1.16d5fc90f128p-22, -0x1.30b170437be38p-22, -0x1.4a593641a2b5p-22, -0x1.63cc1ec0aafb8p-22, -0x1.7d078f5611d8ap-22, -0x1.96080855d403dp-22, -0x1.aecf72dca0e18p-22, -0x1.c75f732c6f9b2p-22, -0x1.dfb6aa1336cb6p-22, -0x1.f7d3043ac5291p-22, -0x1.07d856468e178p-21, -0x1.13a75057caf7ep-21, -0x1.1f568ea97c417p-21, -0x1.2ae5fe08f69dfp-21, -0x1.36552b9e053b1p-21, -0x1.41a38540fa93p-21, -0x1.4cd082fd1ead1p-21, -0x1.57dbac86ef7f1p-21, -0x1.62c493cc12f76p-21, -0x1.6d8acfc85a3acp-21, -0x1.782dfa0195bfp-21, -0x1.82adaf50a8786p-21, -0x1.8d09937497bedp-21, -0x1.974154a43cb5dp-21, -0x1.a154ab39cccb8p-21, -0x1.ab43528161432p-21, -0x1.b50cfe3beba29p-21, -0x1.beb16087fdcbdp-21, -0x1.c830455d7d9e2p-21, -0x1.d18969d343057p-21, -0x1.dabbef14a2bbap-21, -0x1.e3c79118d81c1p-21, -0x1.ecad5d1b69ebfp-21, -0x1.f56d30fa90d83p-21, -0x1.fe05b5dfad14p-21, -0x1.033b63f59b1p-20, -0x1.076068c014239p-20, -0x1.0b71b84c6362bp-20, -0x1.0f6f11ca37bbfp-20, -0x1.13588cd7c396ep-20, -0x1.172e57f352403p-20, -0x1.1af06de021c36p-20, -0x1.1e9e8e624f81cp-20, -0x1.22387b7bf0189p-20, -0x1.25be54de1d08bp-20, -0x1.293031580bfdbp-20, -0x1.2c8e093c44a89p-20, -0x1.2fd7d101bfcb4p-20, -0x1.330d825b8c534p-20, -0x1.362f1c582e99ep-20, -0x1.393ca206d96fbp-20, -0x1.3c3618a418992p-20, -0x1.3f1b850e20749p-20, -0x1.41ece9f4421f9p-20, -0x1.44aa4bfe62e3dp-20, -0x1.4753b95ccc894p-20, -0x1.49e9376ff1eb9p-20, -0x1.4c6a9e5ddfcbp-20, -0x1.4ed838005d507p-20, -0x1.513241515fc83p-20, -0x1.5378606d9f071p-20, -0x1.55aac1b5fe825p-20, -0x1.57c993475c24ep-20, -0x1.59d4dd7cf6dfp-20, -0x1.5bccad19809cp-20, -0x1.5db114978857cp-20, -0x1.5f82292bc540ap-20, -0x1.6140018b26dd7p-20, -0x1.62eab54ec9799p-20, -0x1.64825cc66cf4ap-20, -0x1.660711a2df4f1p-20, -0x1.6778eefee3fd9p-20, -0x1.68d80a97ee083p-20, -0x1.6a246d522f8f9p-20, -0x1.6b5e3ab7d1247p-20, -0x1.6c85b6d01a7e8p-20, -0x1.6d9af1c498d05p-20, -0x1.6e9deaa23ced8p-20, -0x1.6f8ed118178ffp-20, -0x1.706dd1229157ep-20, -0x1.713b08fe96572p-20, -0x1.71f6963d3e0e7p-20, -0x1.72a099b6279a2p-20, -0x1.73393a5c12b1fp-20, -0x1.73c09c9482186p-20, -0x1.7436d4bfe97cdp-20, -0x1.749c244e1146bp-20, -0x1.74f09c9f1a6e6p-20, -0x1.753464a597b51p-20, -0x1.7567ae6f2c375p-20, -0x1.758a9d91fa241p-20, -0x1.759d58447ec65p-20, -0x1.75a006c5adf01p-20, -0x1.7592d21a69328p-20, -0x1.7575e3bb8b006p-20, -0x1.75496585d2c07p-20, -0x1.750d81b72b485p-20, -0x1.74c262eb7ce6ap-20, -0x1.7468341b78672p-20, -0x1.73ff209bec70ap-20, -0x1.7387541d625ecp-20, -0x1.7300faae30998p-20, -0x1.726c40b4d0357p-20, -0x1.71c952ddfe28bp-20, -0x1.71185e046aab9p-20, -0x1.70598f23738f8p-20, -0x1.6f8d13639dd6dp-20, -0x1.6eb31838f2b3fp-20, -0x1.6dcbcb776c093p-20, -0x1.6cd75b2406f76p-20, -0x1.6bd5f56675093p-20, -0x1.6ac7c9c0a58b6p-20, -0x1.69ad04cddd457p-20, -0x1.6885d2dd5cd53p-20, -0x1.6752694db1963p-20, -0x1.6612f22bf38b9p-20, -0x1.64c79dacc4c7fp-20, -0x1.63709811db138p-20, -0x1.620e1118128e2p-20, -0x1.60a0389d8884p-20, -0x1.5f273db5b565fp-20, -0x1.5da34f4c6340cp-20, -0x1.5c149c49cc2b3p-20, -0x1.5a7b5393506f6p-20, -0x1.58d7a405e2128p-20, -0x1.5729bc73d7f89p-20, -0x1.5571cba3760ap-20, -0x1.53b0004bb0403p-20, -0x1.51e48910207a4p-20, -0x1.500f947f2dc9dp-20, -0x1.4e31511219224p-20, -0x1.4c49ed2fef5aep-20, -0x1.4a59972b971f5p-20, -0x1.48607d3455311p-20, -0x1.465ecd4032fdep-20, -0x1.4454b50751e4ap-20, -0x1.4242620ee4e06p-20, -0x1.402801abd0afbp-20, -0x1.3e05c0fe32fbp-20, -0x1.3bdbcd2a4045p-20, -0x1.39aa53d96b662p-20, -0x1.377182be68781p-20, -0x1.353185dcaa1f2p-20, -0x1.32ea863b36b6fp-20, -0x1.309cacea7d0f1p-20, -0x1.2e48309e34ed4p-20, -0x1.2bed3dc1a21b7p-20, -0x1.298bf5120d6cfp-20, -0x1.272483e6da586p-20, -0x1.24b71673b2afap-20, -0x1.2243d4cfa925fp-20, -0x1.1fcaec79c0992p-20, -0x1.1d4c8b88a7fe3p-20, -0x1.1ac8dc525ed6dp-20, -0x1.184001cdd2644p-20, -0x1.15b222aacb942p-20, -0x1.131f6a908a6fp-20, -0x1.1088031c1b6f5p-20, -0x1.0dec1498945f9p-20, -0x1.0b4bc6cc1043dp-20, -0x1.08a74129a96fcp-20, -0x1.05feaad780d38p-20, -0x1.03522aae330e9p-20, -0x1.00a1e73990c9cp-20, -0x1.fbdc0d67f9a43p-21, -0x1.f66d5df6c63p-21, -0x1.f0f80b13a006cp-21, -0x1.eb7c5ef353179p-21, -0x1.e5faa31640217p-21, -0x1.e073203f2c0c4p-21, -0x1.dae61e6739d71p-21, -0x1.d553e502d884ap-21, -0x1.cfbcbba72dea3p-21, -0x1.ca20e95ec42aep-21, -0x1.c480b2fb50f88p-21, -0x1.bedc5a7591885p-21, -0x1.b9341b4c928fbp-21, -0x1.b38847eda8e6ep-21, -0x1.add92b624d5cbp-21, -0x1.a826ef0601083p-21, -0x1.a271dadc4c14cp-21, -0x1.9cba31debb38bp-21, -0x1.9700334246e63p-21, -0x1.91441d598658ap-21, }}, 
      {{-0x1.ee8871b20a199p-1, -0x1.ee36158609365p-1, -0x1.edacfd55c0fbbp-1, -0x1.eced6ace2c1f4p-1, -0x1.ebf7b8ed52f87p-1, -0x1.eacc5b17501f4p-1, -0x1.e96bdc008bed1p-1, -0x1.e7d6dc7c53186p-1, -0x1.e60e123991533p-1, -0x1.e4124672cefafp-1, -0x1.e1e45493ff9e8p-1, -0x1.df8528d85c71bp-1, -0x1.dcf5bee366804p-1, -0x1.da3720596366p-1, -0x1.d74a637c72b9cp-1, -0x1.d430a9d3809b5p-1, -0x1.d0eb1edfbd0bap-1, -0x1.cd7af6e42a698p-1, -0x1.c9e16dc1740bap-1, -0x1.c61fc5e6d5f54p-1, -0x1.c2374757b0ee4p-1, -0x1.be293ec46cb15p-1, -0x1.b9f6fcb4bd24fp-1, -0x1.b5a1d4c11508ep-1, -0x1.b12b1cd919143p-1, -0x1.ac942c9521003p-1, -0x1.a7de5c912bb82p-1, -0x1.a30b05d0211c9p-1, -0x1.9e1b8126a7c13p-1, -0x1.991126ad3800dp-1, -0x1.93ed4d396fec3p-1, -0x1.8eb149dee178fp-1, -0x1.895e6f77bec64p-1, -0x1.83f60e35d7418p-1, -0x1.7e79733c4dae2p-1, -0x1.78e9e842652f5p-1, -0x1.7348b33f957bdp-1, -0x1.6d971620f9255p-1, -0x1.67d64e87f2fccp-1, -0x1.62079591c5beap-1, -0x1.5c2c1fa7a515fp-1, -0x1.56451c56ad0fcp-1, -0x1.5053b62f08d25p-1, -0x1.4a5912a97e808p-1, -0x1.445652128ba3dp-1, -0x1.3e4c8f7a32b27p-1, -0x1.383ce0a79f1a4p-1, -0x1.3228560fd03c7p-1, -0x1.2c0fface83037p-1, -0x1.25f4d4a0abb1ap-1, -0x1.1fd7e3dfe38f7p-1, -0x1.19ba237e43e43p-1, -0x1.139c890246a6p-1, -0x1.0d80048259fb2p-1, -0x1.0765809fed25ap-1, -0x1.014de281d48d6p-1, -0x1.f674139bf27f3p-2, -0x1.ea55a144b6bbbp-2, -0x1.de42171af61fcp-2, -0x1.d23b130c9ea73p-2, -0x1.c64227c7f306ap-2, -0x1.ba58dcaadbb9fp-2, -0x1.ae80adb298644p-2, -0x1.a2bb0b6c5966ep-2, -0x1.97095ae73fe9ep-2, -0x1.8b6cf5a846f42p-2, -0x1.7fe729a091296p-2, -0x1.747939268d87bp-2, -0x1.69245af25e036p-2, -0x1.5de9ba1dd6a5bp-2, -0x1.52ca7628676d3p-2, -0x1.47c7a2ff2afc3p-2, -0x1.3ce249094dfd3p-2, -0x1.321b6538eb608p-2, -0x1.2773e9206a364p-2, -0x1.1cecbb0c65ef5p-2, -0x1.1286b6220d3b4p-2, -0x1.0842aa81da7bfp-2, -0x1.fc42badd17b8bp-3, -0x1.e84712f02cdccp-3, -0x1.d493bd54cb621p-3, -0x1.c12a057f44e51p-3, -0x1.ae0b22ab57776p-3, -0x1.9b38384cf6ccep-3, -0x1.88b256863a2f2p-3, -0x1.767a7aa1b59dbp-3, -0x1.64918f90953a5p-3, -0x1.52f86e6bb7b95p-3, -0x1.41afdef71ef48p-3, -0x1.30b89826f43bfp-3, -0x1.201340a57be7ap-3, -0x1.0fc06f59483dap-3, -0x1.ff8157d61c75dp-4, -0x1.e028de94fbd0bp-4, -0x1.c178486326879p-4, -0x1.a3704f4bab43dp-4, -0x1.861192ee1902cp-4, -0x1.695c9976078bep-4, -0x1.4d51d08bcf49p-4, -0x1.31f18e3df311bp-4, -0x1.173c11e2857cp-4, -0x1.fa6309e035605p-5, -0x1.c7a3f79bb6dfdp-5, -0x1.963aed34d55c2p-5, -0x1.6627c3d2ce5a2p-5, -0x1.376a2eeec8664p-5, -0x1.0a01bda884909p-5, -0x1.bbdbb80fe386dp-6, -0x1.665ba85746b9bp-6, -0x1.13819ec941d22p-6, -0x1.86975cff22c6cp-7, -0x1.d6deb3eae0dep-8, -0x1.56199f752e45ep-9, 0x1.d945d11de918fp-10, 0x1.8d477c25de755p-8, 0x1.4cf0c444f1415p-7, 0x1.ce1658bb33737p-7, 0x1.250db85b24b95p-6, 0x1.6083b43ce5cabp-6, 0x1.9971009ef65a2p-6, 0x1.cfd9afa55c091p-6, 0x1.01e1020e52b44p-5, 0x1.1a973855c9225p-5, 0x1.3211cb89e77aep-5, 0x1.485323c004c08p-5, 0x1.5d5dbfee9f3bdp-5, 0x1.7134359ee505ep-5, 0x1.83d930a22265bp-5, 0x1.954f72ca428d2p-5, 0x1.a599d3a4ac19bp-5, 0x1.b4bb403691208p-5, 0x1.c2b6baba22df9p-5, 0x1.cf8f5a5bdc4d8p-5, 0x1.db484af74f0d6p-5, 0x1.e5e4ccd2e0c35p-5, 0x1.ef683459d9668p-5, 0x1.f7d5e9d45524fp-5, 0x1.ff31691ca2ec7p-5, 0x1.02bf20a8d1c9ep-4, 0x1.05600a42e2559p-4, 0x1.077d4bb52ba1cp-4, 0x1.0918c87b7230dp-4, 0x1.0a346d063013bp-4, 0x1.0ad22e89f2382p-4, 0x1.0af40acc7a255p-4, 0x1.0a9c07ef7ceb2p-4, 0x1.09cc34390f742p-4, 0x1.0886a5d99e72ap-4, 0x1.06cd7aaf83ae1p-4, 0x1.04a2d808360cep-4, 0x1.0208ea5f0b8ebp-4, 0x1.fe03ca33547dfp-5, 0x1.f720048453679p-5, 0x1.ef6b047dd846fp-5, 0x1.e6e95710a8b8dp-5, 0x1.dd9f94b8b2ff6p-5, 0x1.d39260e032cap-5, 0x1.c8c6693efde1ap-5, 0x1.bd4065362aafbp-5, 0x1.b1051528580cfp-5, 0x1.a41941ceb54dbp-5, 0x1.9681bb8b25accp-5, 0x1.884359b7ac1ep-5, 0x1.7962f9f369c5cp-5, 0x1.69e57f6d6c4d8p-5, 0x1.59cfd22d9f1f4p-5, 0x1.4926de5c090b5p-5, 0x1.37ef9386c4d41p-5, 0x1.262ee3e6d33bp-5, 0x1.13e9c3a425e97p-5, 0x1.012528192992bp-5, 0x1.dbcc0e2c16f3cp-6, 0x1.b462ac47f84fcp-6, 0x1.8c181391991a4p-6, 0x1.62f62996274f8p-6, 0x1.3906ceee50a5ap-6, 0x1.0e53ddca56d34p-6, 0x1.c5ce5101b356bp-7, 0x1.6d94f04199274p-7, 0x1.140f160df2fdbp-7, 0x1.72a04ddefaf32p-8, 0x1.75adb1ea00786p-9, 0x1.d04a54f8b2bbbp-17, -0x1.760b6cdb31feap-9, -0x1.78cce8c0072e3p-8, -0x1.1c23f5f38032ep-7, -0x1.7ca8c51ea7c91p-7, -0x1.dde271ab10069p-7, -0x1.1fdf5c35ddb46p-6, -0x1.5115c2cdc112cp-6, -0x1.828b7b95c9e9ep-6, -0x1.b437af80df9ap-6, -0x1.e611a293200ap-6, -0x1.0c085a77fe73fp-5, -0x1.251631efd00ebp-5, -0x1.3e2e2565a9406p-5, -0x1.574c12184b537p-5, -0x1.706be5457b917p-5, -0x1.89899c9a2d3ap-5, -0x1.a2a1469dcd99ap-5, -0x1.bbaf0318bee94p-5, -0x1.d4af0375e4106p-5, -0x1.ed9d8b1f39c2fp-5, -0x1.033b77eab8294p-4, -0x1.0f9bcd0149c7dp-4, -0x1.1bee0283cde55p-4, -0x1.28305fc28c6e6p-4, -0x1.346135cf57b86p-4, -0x1.407edf9ce25ep-4, -0x1.4c87c21b8a5f4p-4, -0x1.587a4c53a8a71p-4, -0x1.6454f77d6ea2p-4, -0x1.70164716556c5p-4, -0x1.7bbcc8f413dadp-4, -0x1.874715553c72dp-4, -0x1.92b3ceef75965p-4, -0x1.9e01a2fb56a21p-4, -0x1.a92f493e0052cp-4, -0x1.b43b841062331p-4, -0x1.bf2520644f5fcp-4, -0x1.c9eaf5c75651cp-4, -0x1.d48be6636f077p-4, -0x1.df06defda2369p-4, -0x1.e95ad6f271399p-4, -0x1.f386d0306d8e6p-4, -0x1.fd89d730a7f07p-4, -0x1.03b18176a6a04p-3, -0x1.0888ba6b29a9ep-3, -0x1.0d4a2c622f0fap-3, -0x1.11f57274e4f32p-3, -0x1.168a2ce10bfefp-3, -0x1.1b0800ffc834ap-3, -0x1.1f6e993bb1183p-3, -0x1.23bda5060c1cap-3, -0x1.27f4d8cb53a06p-3, -0x1.2c13ede6f63d1p-3, -0x1.301aa2966c544p-3, -0x1.3408b9eba0536p-3, -0x1.37ddfbbead33dp-3, -0x1.3b9a349f0854p-3, -0x1.3f3d35c406d37p-3, -0x1.42c6d4fce6e8bp-3, -0x1.4636eca03ae26p-3, -0x1.498d5b7ae3922p-3, -0x1.4cca04be87a69p-3, -0x1.4feccfef9b508p-3, -0x1.52f5a8d2f66fp-3, -0x1.55e47f5b09fa6p-3, -0x1.58b94794b4acep-3, -0x1.5b73f993b8ac3p-3, -0x1.5e14915ee9124p-3, -0x1.609b0edc05a7fp-3, -0x1.630775bb4bdbfp-3, -0x1.6559cd62d5961p-3, -0x1.679220d9b28d7p-3, -0x1.69b07eb2d3e14p-3, -0x1.6bb4f8f7c750ep-3, -0x1.6d9fa5134e63p-3, -0x1.6f709bbbced9cp-3, -0x1.7127f8dda9a3ap-3, -0x1.72c5db857aeeap-3, -0x1.744a65ca3fd73p-3, -0x1.75b5bcb77dda3p-3, -0x1.770808375367bp-3, -0x1.784172fc8bfadp-3, -0x1.79622a6cb6d51p-3, -0x1.7a6a5e8a3f7bap-3, -0x1.7b5a41de9285dp-3, -0x1.7c32096452408p-3, -0x1.7cf1ec719a452p-3, -0x1.7d9a24a25bb2bp-3, -0x1.7e2aedc2d3c94p-3, -0x1.7ea485ba214f5p-3, -0x1.7f072c74fc45p-3, -0x1.7f5323d08e22bp-3, -0x1.7f88af8577d59p-3, -0x1.7fa8151301132p-3, -0x1.7fb19baa772c8p-3, -0x1.7fa58c1abb619p-3, -0x1.7f8430bc097fep-3, -0x1.7f4dd55bf0a42p-3, -0x1.7f02c7298a701p-3, -0x1.7ea354a1e625bp-3, -0x1.7e2fcd7cbf683p-3, -0x1.7da88299663e9p-3, -0x1.7d0dc5ebf640bp-3, -0x1.7c5fea6ac6f13p-3, -0x1.7b9f43fc2c228p-3, -0x1.7acc276476921p-3, -0x1.79e6ea3443adfp-3, -0x1.78efe2b711f6p-3, -0x1.77e767e228edfp-3, -0x1.76cdd143c68bbp-3, -0x1.75a376f2a117dp-3, -0x1.7468b17db7566p-3, -0x1.731dd9dc70bb8p-3, -0x1.71c3495f0f6dep-3, -0x1.7059599f70917p-3, -0x1.6ee064722b92ap-3, -0x1.6d58c3d7f1a6bp-3, -0x1.6bc2d1ef55f96p-3, -0x1.6a1ee8e6dd199p-3, -0x1.686d62ef5f14cp-3, -0x1.66ae9a2ed07d4p-3, -0x1.64e2e8b349028p-3, -0x1.630aa8667011fp-3, -0x1.612633013a656p-3, -0x1.5f35e1fff87d1p-3, -0x1.5d3a0e96c3385p-3, -0x1.5b3311a632519p-3, -0x1.592143b0739b8p-3, -0x1.5704fcceade46p-3, -0x1.54de94a6bbcf2p-3, -0x1.52ae62613bfe9p-3, -0x1.5074bc9fef8a2p-3, -0x1.4e31f974722aap-3, -0x1.4be66e573d2b8p-3, -0x1.4992701f05d6bp-3, -0x1.473652f8615dbp-3, -0x1.44d26a5dc43d6p-3, -0x1.4267090fc8e17p-3, -0x1.3ff4810dcd5cbp-3, -0x1.3d7b238ed2385p-3, -0x1.3afb40fabae6dp-3, -0x1.387528e3c21bbp-3, -0x1.35e92a004fc6fp-3, -0x1.335792250ca29p-3, -0x1.30c0ae3f4246ep-3, -0x1.2e24ca4f85224p-3, -0x1.2b843164a4cecp-3, -0x1.28df2d96e488ep-3, -0x1.2636080379237p-3, -0x1.238908c842cbcp-3, -0x1.20d876ffdde25p-3, -0x1.1e2498bde0b02p-3, -0x1.1b6db30b605b4p-3, -0x1.18b409e3c4249p-3, -0x1.15f7e031be784p-3, -0x1.133977cc9c31cp-3, -0x1.10791175b8d17p-3, -0x1.0db6ecd642bdap-3, -0x1.0af3487d29bc5p-3, -0x1.082e61dd51279p-3, -0x1.0568754bf0c0ap-3, -0x1.02a1bdff31533p-3, -0x1.ffb4ec19f8ba6p-4, -0x1.fa25acd402bcdp-4, -0x1.f4962dd1d008ap-4, -0x1.ef06dc7373811p-4, -0x1.e97823d2f77f6p-4, -0x1.e3ea6cc3d81fcp-4, -0x1.de5e1dd2ffbcap-4, -0x1.d8d39b46f66e3p-4, -0x1.d34b472082216p-4, -0x1.cdc5811b86035p-4, -0x1.c842a6b042af3p-4, -0x1.c2c31314dcb9dp-4, -0x1.bd471f3f37afp-4, -0x1.b7cf21e7095a5p-4, -0x1.b25b6f884f93cp-4, -0x1.acec5a65eafe5p-4, -0x1.a782328c9fcf5p-4, -0x1.a21d45d6347dbp-4, -0x1.9cbddfecf1336p-4, -0x1.97644a4f32113p-4, -0x1.9210cc5361115p-4, -0x1.8cc3ab2c02e94p-4, -0x1.877d29ec0b58cp-4, -0x1.823d898b5e27cp-4, -0x1.7d0508eb84bdfp-4, -0x1.77d3e4dc90969p-4, -0x1.72aa582226b1fp-4, -0x1.6d889b78c18f9p-4, -0x1.686ee59b08cc4p-4, -0x1.635d6b47659e2p-4, -0x1.5e545f45a6182p-4, -0x1.5953f26cd6154p-4, -0x1.545c53a92a6f8p-4, -0x1.4f6db002158e8p-4, -0x1.4a8832a06e6eep-4, -0x1.45ac04d4c15aap-4, -0x1.40d94e1dac11dp-4, -0x1.3c10342e58078p-4, -0x1.3750daf50c04ep-4, -0x1.329b64a1ce56p-4, -0x1.2deff1ad1e018p-4, -0x1.294ea0deb79dcp-4, -0x1.24b78f54715dap-4, -0x1.202ad8891c0b2p-4, -0x1.1ba8965b76a76p-4, -0x1.1730e115301dfp-4, -0x1.12c3cf71e626bp-4, -0x1.0e6176a63e8c5p-4, -0x1.0a09ea66f25ecp-4, -0x1.05bd3ceff5d36p-4, -0x1.017b7f0b8b625p-4, -0x1.fa898032e9f29p-5, -0x1.f2321c2c1ebc1p-5, -0x1.e9f0eb42f6924p-5, -0x1.e1c6040d8b402p-5, -0x1.d9b17a860af5fp-5, -0x1.d1b3601907aefp-5, -0x1.c9cbc3b3afb84p-5, -0x1.c1fab1d1f87edp-5, -0x1.ba40348ccd96ap-5, -0x1.b29c53a82e83fp-5, -0x1.ab0f14a127934p-5, -0x1.a3987abbe5148p-5, -0x1.9c38871188a9cp-5, -0x1.94ef389e0274ap-5, -0x1.8dbc8c4dd364fp-5, -0x1.86a07d0baf82cp-5, -0x1.7f9b03ce10098p-5, -0x1.78ac17a4a361bp-5, -0x1.71d3adc5b0703p-5, -0x1.6b11b99b46e11p-5, -0x1.64662cd06700ep-5, -0x1.5dd0f75e04fdep-5, -0x1.57520797ddb8bp-5, -0x1.50e94a393e8f3p-5, -0x1.4a96aa71a50c5p-5, -0x1.445a11f1329bfp-5, -0x1.3e3368f504196p-5, -0x1.382296536c844p-5, -0x1.32277f87f6b52p-5, -0x1.2c4208bf4f7fcp-5, -0x1.267214e306aabp-5, -0x1.20b785a52770dp-5, -0x1.1b123b8ba0cecp-5, -0x1.158215fb990e3p-5, -0x1.1006f34480eep-5, -0x1.0aa0b0ab0c0cdp-5, -0x1.054f2a73fae26p-5, -0x1.00123beeb7552p-5, -0x1.f5d37effa12f5p-6, -0x1.ebab1d5672e5cp-6, -0x1.e1ab043ce2353p-6, -0x1.d7d2e374dd91dp-6, -0x1.ce22693ad5bdbp-6, -0x1.c4994258f272dp-6, -0x1.bb371a39e8c1ep-6, -0x1.b1fb9afb8b128p-6, -0x1.a8e66d80e9f4dp-6, -0x1.9ff7398429a7cp-6, -0x1.972da5a7fc247p-6, -0x1.8e895788bc2a1p-6, -0x1.8609f3cd44085p-6, -0x1.7daf1e374e30cp-6, -0x1.757879b3923b5p-6, -0x1.6d65a86981824p-6, -0x1.65764bcabb43fp-6, -0x1.5daa04a204eaap-6, -0x1.5600732211c72p-6, -0x1.4e7936f3f2d4ap-6, -0x1.4713ef4502e63p-6, -0x1.3fd03ad4b545dp-6, -0x1.38adb801ebff4p-6, -0x1.31ac04d809e8ap-6, -0x1.2acabf1bb0399p-6, -0x1.2409845716ce2p-6, -0x1.1d67f1e62a016p-6, -0x1.16e5a5024af0ep-6, -0x1.10823acdb7ca4p-6, -0x1.0a3d505eb62c3p-6, -0x1.041682ca6591p-6, -0x1.fc1ade5e5a32ap-7, -0x1.f043657e14bf3p-7, -0x1.e4a5d592cfef8p-7, -0x1.d94169897b7ebp-7, -0x1.ce155cafae367p-7, -0x1.c320eac5ddf9dp-7, -0x1.b8635010a184cp-7, -0x1.addbc969cefd1p-7, -0x1.a3899450ae12fp-7, -0x1.996beef9b6b92p-7, -0x1.8f82185e20048p-7, -0x1.85cb504a3ad3bp-7, -0x1.7c46d76be89cbp-7, -0x1.72f3ef602b6b4p-7, -0x1.69d1dac0535b7p-7, -0x1.60dfdd2eb1a26p-7, -0x1.581d3b62bd72ep-7, -0x1.4f893b34cdeb4p-7, -0x1.472323a947d73p-7, -0x1.3eea3cfb53647p-7, -0x1.36ddd0a74a358p-7, -0x1.2efd29746e7e4p-7, -0x1.2747937e347e9p-7, -0x1.1fbc5c3d7da1cp-7, -0x1.185ad290d1393p-7, -0x1.112246c4cb8a4p-7, -0x1.0a120a9b73aa7p-7, -0x1.03297153de337p-7, -0x1.f8cf9f61a9c6cp-8, -0x1.eb98f7ff09b6ap-8, -0x1.dead9c3b0efddp-8, -0x1.d20c3efd77cddp-8, -0x1.c5b3966534f8bp-8, -0x1.b9a25bd2b052dp-8, -0x1.add74bf145e37p-8, -0x1.a25126bfd0a47p-8, -0x1.970eaf98fe666p-8, -0x1.8c0ead3a92652p-8, -0x1.814fe9cc7f9b9p-8, -0x1.76d132e6a9713p-8, -0x1.6c91599715d67p-8, -0x1.628f3266c8435p-8, -0x1.58c9955e034dfp-8, -0x1.4f3f5e0889f9ep-8, -0x1.45ef6b78d557dp-8, -0x1.3cd8a04b189bep-8, -0x1.33f9e2a791e6dp-8, -0x1.2b521c4479634p-8, -0x1.22e03a67554b6p-8, -0x1.1aa32de639621p-8, -0x1.1299eb27ddbffp-8, -0x1.0ac36a23fa05bp-8, -0x1.031ea662f9149p-8, -0x1.f7553df96f397p-9, -0x1.e8ccad306a09bp-9, -0x1.daa1a6d29f276p-9, -0x1.ccd23e5e8091p-9, -0x1.bf5c8e6498146p-9, -0x1.b23eb881f049fp-9, -0x1.a576e55a9ec69p-9, -0x1.9903449316fdfp-9, -0x1.8ce20cc8fc3aap-9, -0x1.81117b8bc20b7p-9, -0x1.758fd553ee8ap-9, -0x1.6a5b657a70548p-9, -0x1.5f727e2f44544p-9, -0x1.54d3786fbcf02p-9, -0x1.4a7cb3fbce2bdp-9, -0x1.406c974b3da2p-9, -0x1.36a18f82b807ep-9, -0x1.2d1a1067baa47p-9, -0x1.23d4945510d59p-9, -0x1.1acf9c2d0b7d9p-9, -0x1.1209af4e9a78ep-9, -0x1.09815b862553bp-9, -0x1.01353501081afp-9, -0x1.f247ac7f4ea5cp-10, -0x1.e297c00df5233p-10, -0x1.d357f2a46e611p-10, -0x1.c4859e889be87p-10, -0x1.b61e2a3178e23p-10, -0x1.a81f0828ec2a3p-10, -0x1.9a85b6ecd319ap-10, -0x1.8d4fc0cf5cadap-10, -0x1.807abbd8f57f7p-10, -0x1.740449a5ac0fdp-10, -0x1.67ea1747c7e25p-10, -0x1.5c29dd255f52ep-10, -0x1.50c15ed847c6p-10, -0x1.45ae6b0c0590fp-10, -0x1.3aeedb5e187cap-10, -0x1.3080943a93277p-10, -0x1.266184bbb122fp-10, -0x1.1c8fa6876cc96p-10, -0x1.1308fdade67dcp-10, -0x1.09cb9886cc57bp-10, -0x1.00d58f8fb53adp-10, -0x1.f04a0a92d9664p-11, -0x1.df704c2b4933cp-11, -0x1.cf1a502a62dfbp-11, -0x1.bf449608d5d3dp-11, -0x1.afebb0351de32p-11, -0x1.a10c43cb19588p-11, -0x1.92a30852f5b2dp-11, -0x1.84acc779f5788p-11, -0x1.77265cd014301p-11, -0x1.6a0cb58227346p-11, -0x1.5d5cd01731101p-11, -0x1.5113bc2b4b676p-11, -0x1.452e9a2d83031p-11, -0x1.39aa9b1b2d968p-11, -0x1.2e85003e6f207p-11, -0x1.23bb1aea45a39p-11, -0x1.194a4c395454ep-11, -0x1.0f3004cab5b6bp-11, -0x1.0569c48211919p-11, -0x1.f7ea34880d25cp-12, -0x1.e59f47715214ep-12, -0x1.d3ee1a0ec5742p-12, -0x1.c2d22135dbce6p-12, -0x1.b246edbdf9dbfp-12, -0x1.a2482c064a9d4p-12, -0x1.92d1a37872ea8p-12, -0x1.83df360b066a2p-12, -0x1.756cdfc8b37dep-12, -0x1.6776b6561228cp-12, -0x1.59f8e87893a3p-12, -0x1.4cefbda059065p-12, -0x1.4057957142eaap-12, -0x1.342ce74e12a31p-12, -0x1.286c41e48a619p-12, -0x1.1d124abc39e6ep-12, -0x1.121bbdc2aa5c4p-12, -0x1.07856cdc4cd97p-12, -0x1.fa987eedccbe6p-13, -0x1.e6da64338c55cp-13, -0x1.d3caabf417d73p-13, -0x1.c163a1224d8bp-13, -0x1.af9fb660d344cp-13, -0x1.9e798536adf7cp-13, -0x1.8debcd3d04ff9p-13, -0x1.7df1735491e04p-13, -0x1.6e8580dd7484bp-13, -0x1.5fa322f0c0d69p-13, -0x1.5145a998f4371p-13, -0x1.43688716ab45dp-13, -0x1.36074f1f5aa1bp-13, -0x1.291db61f4f21cp-13, -0x1.1ca790862a33ep-13, -0x1.10a0d20afbd06p-13, -0x1.05058cfd46f97p-13, -0x1.f3a3e31e92b1ap-14, -0x1.de049a58d5b52p-14, -0x1.c92613911c732p-14, -0x1.b5015a7364e9p-14, -0x1.a18fb124759ccp-14, -0x1.8eca8ef513eb9p-14, -0x1.7cab9f2621c33p-14, -0x1.6b2cbfa7398dap-14, -0x1.5a47ffddd22c7p-14, -0x1.49f79f74a3ddfp-14, -0x1.3a360d2e8ef7ep-14, -0x1.2afde5bb871bbp-14, -0x1.1c49f29856cb8p-14, -0x1.0e1528ee529aep-14, -0x1.005aa875fb36p-14, -0x1.e62b74d764d29p-15, -0x1.cc83a0f015d7p-15, -0x1.b3b50751286ccp-15, -0x1.9bb726d5c1c56p-15, -0x1.8481c918300e3p-15, -0x1.6e0d00757e9b8p-15, -0x1.5851261b87aa2p-15, -0x1.4346d82c34d2dp-15, -0x1.2ee6f7d90cb6ap-15, -0x1.1b2aa799f61ecp-15, -0x1.080b495b34b5fp-15, -0x1.eb04f98318ab5p-16, -0x1.c7143aded81abp-16, -0x1.a43882b058cf5p-16, -0x1.82666e2bec8a1p-16, -0x1.619308a467922p-16, -0x1.41b3c85572e64p-16, -0x1.22be8b5d3e715p-16, -0x1.04a99494ab066p-16, -0x1.ced71161d2772p-17, -0x1.95f6d6a00aa25p-17, -0x1.5ea138456251fp-17, -0x1.28c5a84f77c7cp-17, -0x1.e8a88bd787a6bp-18, -0x1.827bb039ad578p-18, -0x1.1ee790e4447cfp-18, -0x1.7ba0786691f0bp-19, -0x1.7c6bc625c6d3p-20, -0x1.570be2b93f1b8p-25, 0x1.5e3b3135a15f5p-20, 0x1.5f6642410f999p-19, 0x1.05d5419a4ce75p-18, 0x1.5a0a85e157819p-18, 0x1.ac674bdc8fe2ep-18, 0x1.fcfeffcef3f3ap-18, 0x1.25f21237dd644p-17, 0x1.4c942d6ecc50fp-17, 0x1.726e3544f219cp-17, 0x1.9788246e8285p-17, 0x1.bbe9905388c9ap-17, 0x1.df99ac9c47d3ep-17, 0x1.014fa76a5b044p-16, 0x1.128078e1f7e9bp-16, 0x1.23625c6819d48p-16, 0x1.33f8399cc8256p-16, 0x1.4444cfa9651a9p-16, 0x1.544ab6cbbfb01p-16, 0x1.640c61d582a41p-16, 0x1.738c1fa4fa98fp-16, 0x1.82cc1c8ac5458p-16, 0x1.91ce63ac3591fp-16, 0x1.a094e068523d7p-16, 0x1.af215f985a92p-16, 0x1.bd7590dea1b5cp-16, 0x1.cb9307df68856p-16, 0x1.d97b3d7386e2fp-16, 0x1.e72f90d50cd2ep-16, 0x1.f4b148b563503p-16, 0x1.0100ca327f7b6p-15, 0x1.0790c66de2ef9p-15, 0x1.0e091ae34289ap-15, 0x1.146a3f3f02b78p-15, 0x1.1ab4a18645a55p-15, 0x1.20e8a6883a627p-15, 0x1.2706aa573d10bp-15, 0x1.2d0f00b509d4dp-15, 0x1.3301f586034dfp-15, 0x1.38dfcd378c86cp-15, 0x1.3ea8c52697817p-15, 0x1.445d1403abf64p-15, 0x1.49fcea319780cp-15, 0x1.4f88721e69309p-15, 0x1.54ffd0a2c099bp-15, 0x1.5a632552ea4dep-15, 0x1.5fb28ad686994p-15, 0x1.64ee1734cfacbp-15, 0x1.6a15dc250cc25p-15, 0x1.6f29e757fd418p-15, 0x1.742a42bec6e6bp-15, 0x1.7916f4ce77b1ep-15, 0x1.7df000c7705a9p-15, 0x1.82b566f2b6c79p-15, 0x1.876724e183952p-15, 0x1.8c0535a48d6f6p-15, 0x1.908f9209e35e3p-15, 0x1.950630cf4f70cp-15, 0x1.996906d8cb006p-15, 0x1.9db807611264p-15, 0x1.a1f3242cb9969p-15, 0x1.a61a4db6b9da6p-15, 0x1.aa2d735cffb7fp-15, 0x1.ae2c838a5f2d3p-15, 0x1.b2176be0958dcp-15, 0x1.b5ee195983306p-15, 0x1.b9b07870ad684p-15, 0x1.bd5e7546e49cfp-15, 0x1.c0f7fbbf8b007p-15, 0x1.c47cf7a36ac46p-15, 0x1.c7ed54be2a917p-15, 0x1.cb48fefae9d2ep-15, 0x1.ce8fe2811087p-15, 0x1.d1c1ebc85be9p-15, 0x1.d4df07b5ef1b9p-15, 0x1.d7e723b337f6ep-15, 0x1.dada2dc367963p-15, 0x1.ddb814964026ap-15, 0x1.e080c79bbbf6fp-15, 0x1.e3343717e3011p-15, 0x1.e5d254312016ap-15, 0x1.e85b10ffbc67ep-15, 0x1.eace609d0b6b7p-15, 0x1.ed2c3731901f1p-15, 0x1.ef748a03fcfafp-15, 0x1.f1a74f7fb9e0fp-15, 0x1.f3c47f434dd21p-15, 0x1.f5cc1228fe0e3p-15, 0x1.f7be024f838a7p-15, 0x1.f99a4b202aea5p-15, 0x1.fb60e959de3c9p-15, 0x1.fd11db15868f1p-15, 0x1.fead1fcc3546p-15, 0x1.00195c2d9038bp-14, 0x1.00d15384100f9p-14, 0x1.017e77c39d4e1p-14, 0x1.0220cb7e56e52p-14, 0x1.02b851fde295dp-14, 0x1.03450f46c133fp-14, 0x1.03c70817a1b5dp-14, 0x1.043e41eaf9978p-14, 0x1.04aac2f58100fp-14, 0x1.050c9226b8147p-14, 0x1.0563b72921d72p-14, 0x1.05b03a606f184p-14, 0x1.05f224e9be933p-14, 0x1.06298098b0cbep-14, 0x1.065657f87478ep-14, 0x1.0678b6494c3a4p-14, 0x1.0690a77eb8f69p-14, 0x1.069e383e9fe19p-14, 0x1.06a175deb279ap-14, 0x1.069a6e621fa82p-14, 0x1.0689307727292p-14, 0x1.066dcb75eb152p-14, 0x1.06484f5d1ff0dp-14, 0x1.0618cccf50d15p-14, 0x1.05df5510f0811p-14, 0x1.059bfa04ff4afp-14, 0x1.054ece29de879p-14, 0x1.04f7e49701336p-14, 0x1.049750f919c01p-14, 0x1.042d278eb11a7p-14, 0x1.03b97d2663c3ep-14, 0x1.033c671a95aeap-14, 0x1.02b5fb4e5d35ep-14, 0x1.02265029b42d8p-14, 0x1.018d7c9668fap-14, 0x1.00eb97fccbbeap-14, 0x1.0040ba3f95ed7p-14, 0x1.ff19f77131cbdp-15, 0x1.fda0ea6a0325ep-15, 0x1.fc167fe488eefp-15, 0x1.fa7aeb3358dd9p-15, 0x1.f8ce607a955fep-15, 0x1.f71114a701be1p-15, 0x1.f5433d696f2a9p-15, 0x1.f365112da99f8p-15, 0x1.f176c71243bfbp-15, 0x1.ef7896e1aa959p-15, 0x1.ed6ab90be9233p-15, 0x1.eb4d669e19793p-15, 0x1.e920d93c14761p-15, 0x1.e6e54b181fc0cp-15, 0x1.e49af6eccaed5p-15, 0x1.e24217f45a73fp-15, 0x1.dfdae9e2fd1bp-15, 0x1.dd65a8ddcd013p-15, 0x1.dae29174823efp-15, 0x1.d851e09b0bf35p-15, 0x1.d5b3d3a26fc41p-15, 0x1.d308a831be444p-15, 0x1.d0509c3edf5bbp-15, 0x1.cd8bee0810aacp-15, 0x1.cabadc0d007d9p-15, 0x1.c7dda50895527p-15, 0x1.c4f487e98d956p-15, 0x1.c1ffc3cc8915cp-15, 0x1.beff97f65c57cp-15, 0x1.bbf443cc4662cp-15, 0x1.b8de06cf06455p-15, 0x1.b5bd2093d9ed6p-15, 0x1.b291d0bf2db63p-15, 0x1.af5c56fda5b3ap-15, 0x1.ac1cf2ffb93cdp-15, 0x1.a8d3e4723d094p-15, 0x1.a5816afa8b9a9p-15, 0x1.a225c62fbe735p-15, 0x1.9ec1359574574p-15, 0x1.9b53f89702e8dp-15, 0x1.97de4e819daa7p-15, 0x1.9460767fc5947p-15, 0x1.90daaf93c51cdp-15, 0x1.8d4d389335c8p-15, 0x1.89b85021a7106p-15, 0x1.861c34ac060f7p-15, 0x1.82792464b43ffp-15, 0x1.7ecf5d3dfd0a3p-15, 0x1.7b1f1ce6271e8p-15, 0x1.7768a0c3c81bcp-15, 0x1.73ac25f103253p-15, 0x1.6fe9e9376150cp-15, 0x1.6c22270c8e813p-15, 0x1.68551b8d6af3p-15, 0x1.6483027a77befp-15, 0x1.60ac17355ee7ap-15, 0x1.5cd094bc71b56p-15, 0x1.58f0b5a735493p-15, 0x1.550cb423b8f26p-15, 0x1.5124c9f27e77p-15, 0x1.4d3930640a6b6p-15, }}, 
      {{-0x1.ee8d70099a421p-1, -0x1.ee4a08ff691dcp-1, -0x1.edd9cb2051c49p-1, -0x1.ed3cdb05febf3p-1, -0x1.ec736b898f9f3p-1, -0x1.eb7dbd6087e19p-1, -0x1.ea5c1ea4c5c81p-1, -0x1.e90eea4d8d7e7p-1, -0x1.e796879e581dp-1, -0x1.e5f3698e6911bp-1, -0x1.e4260e2ae3805p-1, -0x1.e22efdf479bcep-1, -0x1.e00ecb39b3c21p-1, -0x1.ddc6116efda65p-1, -0x1.db557485ffc42p-1, -0x1.d8bda045f711fp-1, -0x1.d5ff47a6cdd33p-1, -0x1.d31b2430a08fbp-1, -0x1.d011f56110ed5p-1, -0x1.cce480176ef4cp-1, -0x1.c9938e0862bf1p-1, -0x1.c61fed395a7e8p-1, -0x1.c28a6f83b3debp-1, -0x1.bed3ea1f52727p-1, -0x1.bafd35342dc34p-1, -0x1.b7072b7243ab1p-1, -0x1.b2f2a9af581eep-1, -0x1.aec08e89f09fp-1, -0x1.aa71ba1109554p-1, -0x1.a6070d7017b15p-1, -0x1.a1816a9f09963p-1, -0x1.9ce1b4160385cp-1, -0x1.9828cc84bd3fbp-1, -0x1.9357968d67b64p-1, -0x1.8e6ef4831c5ap-1, -0x1.896fc82bd8272p-1, -0x1.845af2860fa64p-1, -0x1.7f315391e7886p-1, -0x1.79f3ca1e16ec6p-1, -0x1.74a333987a905p-1, -0x1.6f406be25255ep-1, -0x1.69cc4d281b05bp-1, -0x1.6447afbcf16a4p-1, -0x1.5eb369f95ab05p-1, -0x1.5910501d4f86ep-1, -0x1.535f3435568afp-1, -0x1.4da0e6027d9bdp-1, -0x1.47d632e4f5691p-1, -0x1.41ffe5c914491p-1, -0x1.3c1ec71682c6dp-1, -0x1.36339ca154c4p-1, -0x1.303f299cd1d67p-1, -0x1.2a422e8fb3b26p-1, -0x1.243d6949a5336p-1, -0x1.1e3194d9cfa7bp-1, -0x1.181f698648688p-1, -0x1.12079cc4395cfp-1, -0x1.0beae130a1004p-1, -0x1.05c9e6898c73ep-1, -0x1.ff4ab34f6f343p-2, -0x1.f2fbc8f0fae97p-2, -0x1.e6a85bf020675p-2, -0x1.da51b457d8d64p-2, -0x1.cdf9143b0e70ep-2, -0x1.c19fb7aa6965fp-2, -0x1.b546d4aa90d4dp-2, -0x1.a8ef9b2af1ee7p-2, -0x1.9c9b34fd10bf4p-2, -0x1.904ac5cc7fa81p-2, -0x1.83ff6b1789d7ap-2, -0x1.77ba3c28a6c14p-2, -0x1.6b7c4a10d5cbcp-2, -0x1.5f469fa2e62c6p-2, -0x1.531a416fd6796p-2, -0x1.46f82dc448dfep-2, -0x1.3ae15ca733916p-2, -0x1.2ed6bfd9cac68p-2, -0x1.22d942d8bf2a3p-2, -0x1.16e9caded513p-2, -0x1.0b0936e8df1a3p-2, -0x1.fe70bf7638fd6p-3, -0x1.e6f02fd012d35p-3, -0x1.cf9257b11ef52p-3, -0x1.b858c3ab4a3fap-3, -0x1.a144f4268e1f9p-3, -0x1.8a585d799debbp-3, -0x1.739468052713bp-3, -0x1.5cfa7051960f2p-3, -0x1.468bc72f4063cp-3, -0x1.3049b1d8cecf9p-3, -0x1.1a356a17c469bp-3, -0x1.04501e6b04d04p-3, -0x1.dd35e45e42305p-4, -0x1.b22dfb90a3fa2p-4, -0x1.878a9d9bd3253p-4, -0x1.5d4dd06e28b53p-4, -0x1.3379851179147p-4, -0x1.0a0f9808cd017p-4, -0x1.c223a35f523f3p-5, -0x1.7103cd35451a9p-5, -0x1.20c2eff1a78d9p-5, -0x1.a2c84fd7e359dp-6, -0x1.05d4d87353835p-6, -0x1.aac47b99d9585p-8, 0x1.74ebf87b10699p-9, 0x1.8c23d3339d033p-7, 0x1.5ba74d4bbd87bp-6, 0x1.ef59199fc9beap-6, 0x1.40917fbea74a1p-5, 0x1.888077e17b624p-5, 0x1.cf778cebb92bfp-5, 0x1.0aba7a9041607p-4, 0x1.2d3b82511053cp-4, 0x1.4f3e1662a6bfap-4, 0x1.70c17db43fe3p-4, 0x1.91c50d27c2bc2p-4, 0x1.b2482741b051ep-4, 0x1.d24a3bdb527cep-4, 0x1.f1cac7d720a12p-4, 0x1.0864aa6bbef0cp-3, 0x1.17a2bc7bd01fep-3, 0x1.269f6b436b552p-3, 0x1.355a8de2fe5b6p-3, 0x1.43d4015396cfap-3, 0x1.520ba847cef1bp-3, 0x1.60016b0dcdc58p-3, 0x1.6db537724d549p-3, 0x1.7b2700a4a0e63p-3, 0x1.8856bf1bba4ebp-3, 0x1.9544707c122e5p-3, 0x1.a1f0177e7becdp-3, 0x1.ae59bbd7cf73ap-3, 0x1.ba816a216440fp-3, 0x1.c66733c24c3bdp-3, 0x1.d20b2ed94902dp-3, 0x1.dd6d762767795p-3, 0x1.e88e28fb43563p-3, 0x1.f36d6b1cd76fdp-3, 0x1.fe0b64b9dba52p-3, 0x1.043421294e85dp-2, 0x1.09421a53a5fd9p-2, 0x1.0e2fb852d56d6p-2, 0x1.12fd17ab8d86dp-2, 0x1.17aa56e781caep-2, 0x1.1c37968cb8732p-2, 0x1.20a4f914fe69fp-2, 0x1.24f2a2e57374p-2, 0x1.2920ba462cc79p-2, 0x1.2d2f6759e85a4p-2, 0x1.311ed415cf22dp-2, 0x1.34ef2c393df3ep-2, 0x1.38a09d459793p-2, 0x1.3c3356761a543p-2, 0x1.3fa788b7aeacap-2, 0x1.42fd66a0be1ffp-2, 0x1.46352468f8965p-2, 0x1.494ef7e11a937p-2, 0x1.4c4b186aa55afp-2, 0x1.4f29beef89e2cp-2, 0x1.51eb25d9ca18dp-2, 0x1.548f890b09723p-2, 0x1.571725d40a203p-2, 0x1.59823aec1ca35p-2, 0x1.5bd108687f186p-2, 0x1.5e03cfb3a140cp-2, 0x1.601ad38460a0bp-2, 0x1.621657d52795dp-2, 0x1.63f6a1dafe5b4p-2, 0x1.65bbf7fc87d2dp-2, 0x1.6766a1c8ea128p-2, 0x1.68f6e7eea408ep-2, 0x1.6a6d1432518a2p-2, 0x1.6bc971655f876p-2, 0x1.6d0c4b5caa48cp-2, 0x1.6e35eee711facp-2, 0x1.6f46a9c3fc519p-2, 0x1.703eca99c88acp-2, 0x1.711ea0ec386fdp-2, 0x1.71e67d12cde9ap-2, 0x1.7296b02f1b61fp-2, 0x1.732f8c23102fbp-2, 0x1.73b163873a757p-2, 0x1.741c89a103b8p-2, 0x1.74715258ead27p-2, 0x1.74b01230bb45bp-2, 0x1.74d91e39c1044p-2, 0x1.74eccc0b01138p-2, 0x1.74eb71b7714cap-2, 0x1.74d565c434f39p-2, 0x1.74aaff1ee36bbp-2, 0x1.746c9513ce0b6p-2, 0x1.741a7f4457f75p-2, 0x1.73b5159d53b67p-2, 0x1.733cb04d6f481p-2, 0x1.72b1a7bbaebebp-2, 0x1.7214547df63ebp-2, 0x1.71650f4fa594cp-2, 0x1.70a4310848784p-2, 0x1.6fd212925a982p-2, 0x1.6eef0ce222f6dp-2, 0x1.6dfb78eca4d34p-2, 0x1.6cf7af9ead98bp-2, 0x1.6be409d3fc513p-2, 0x1.6ac0e04e837adp-2, 0x1.698e8badcb68dp-2, 0x1.684d646672fdep-2, 0x1.66fdc2b9ce4dbp-2, 0x1.659ffeada94fdp-2, 0x1.643470042d505p-2, 0x1.62bb6e33e83e6p-2, 0x1.6135505ff87bcp-2, 0x1.5fa26d5062742p-2, 0x1.5e031b6a87a17p-2, 0x1.5c57b0a9c91abp-2, 0x1.5aa0829850d67p-2, 0x1.58dde6480444fp-2, 0x1.5710304ba2041p-2, 0x1.5537b4b008098p-2, 0x1.5354c6f5a78a4p-2, 0x1.5167ba0a246cbp-2, 0x1.4f70e0421ef2fp-2, 0x1.4d708b532b231p-2, 0x1.4b670c4df9007p-2, 0x1.4954b398a2273p-2, 0x1.4739d0e92fb39p-2, 0x1.4516b340451a7p-2, 0x1.42eba8e400394p-2, 0x1.40b8ff5b016c2p-2, 0x1.3e7f0367a7f97p-2, 0x1.3c3e01037ae9ap-2, 0x1.39f6435abe4a1p-2, 0x1.37a814c83b75p-2, 0x1.3553bed13401fp-2, 0x1.32f98a218517cp-2, 0x1.3099be87f87b7p-2, 0x1.2e34a2f2c3cd4p-2, 0x1.2bca7d6c35126p-2, 0x1.295b93178d6cfp-2, 0x1.26e8282e08af8p-2, 0x1.24707ffc115cep-2, 0x1.21f4dcdea264ep-2, 0x1.1f758040d3fbp-2, 0x1.1cf2aa9992351p-2, 0x1.1a6c9b69847b9p-2, 0x1.17e3913918999p-2, 0x1.1557c996bd4c7p-2, 0x1.12c9811541c54p-2, 0x1.1038f34a6357dp-2, 0x1.0da65acd808c3p-2, 0x1.0b11f1367202bp-2, 0x1.087bef1c8f532p-2, 0x1.05e48c15d5c97p-2, 0x1.034bfeb638e9dp-2, 0x1.00b27c8f13f23p-2, 0x1.fc30745d87a1bp-3, 0x1.f6fad640c5115p-3, 0x1.f1c483d748e4bp-3, 0x1.ec8de029b4df1p-3, 0x1.e7574c3a2b14dp-3, 0x1.e2212704d01a6p-3, 0x1.dcebcd8091cecp-3, 0x1.d7b79aa02d7afp-3, 0x1.d284e75370e13p-3, 0x1.cd540a88b71b6p-3, 0x1.c825592e9ea6dp-3, 0x1.c2f92635f5f95p-3, 0x1.bdcfc293e3e5cp-3, 0x1.b8a97d443dbecp-3, 0x1.b386a34c16a5cp-3, 0x1.ae677fbc7f3aep-3, 0x1.a94c5bb572294p-3, 0x1.a4357e68f1f51p-3, 0x1.9f232d1e5649bp-3, 0x1.9a15ab35bf1a4p-3, 0x1.950d3a2bb57fep-3, 0x1.900a199cf5efp-3, 0x1.8b0c874a5af89p-3, 0x1.8614bf1cf4068p-3, 0x1.8122fb2a3f46bp-3, 0x1.7c3773b87fbc5p-3, 0x1.77525f433bc75p-3, 0x1.7273f27fd44cap-3, 0x1.6d9c60623fef5p-3, 0x1.68cbda21de092p-3, 0x1.64028f3e64066p-3, 0x1.5f40ad84ea6dp-3, 0x1.5a8661150b7a2p-3, 0x1.55d3d4661b43p-3, 0x1.5129304c732f2p-3, 0x1.4c869bfeda797p-3, 0x1.47ec3d1bf0742p-3, 0x1.435a37afbbbdcp-3, 0x1.3ed0ae393a57cp-3, 0x1.3a4fc1b0097c7p-3, 0x1.35d7918a1803cp-3, 0x1.31683bc167bb8p-3, 0x1.2d01dcd9d78b9p-3, 0x1.28a48fe6f7477p-3, 0x1.24506e91ea735p-3, 0x1.2005911f4dacdp-3, 0x1.1bc40e75231dbp-3, 0x1.178bfc20c97bep-3, 0x1.135d6e5cf4cc7p-3, 0x1.0f387817a9cap-3, 0x1.0b1d2af840545p-3, 0x1.070b976565e07p-3, 0x1.0303cc8b1f06ep-3, 0x1.fe0bb0c19cb33p-4, 0x1.f6238f5e6da74p-4, 0x1.ee4f4c2cf74aep-4, 0x1.e68efc284a907p-4, 0x1.dee2b21230fcbp-4, 0x1.d74a7e7f25359p-4, 0x1.cfc66fe23d7ecp-4, 0x1.c856929902dbap-4, 0x1.c0faf0f74831ap-4, 0x1.b9b39352f3576p-4, 0x1.b280800fabc0fp-4, 0x1.ab61bbaa83e46p-4, 0x1.a45748c591071p-4, 0x1.9d6128336c2c9p-4, 0x1.967f5902a27b5p-4, 0x1.8fb1d8891058fp-4, 0x1.88f8a26f27968p-4, 0x1.8253b0bb1e0a6p-4, 0x1.7bc2fbdc06868p-4, 0x1.75467ab4ce3p-4, 0x1.6ede22a725c8fp-4, 0x1.6889e79e48ab7p-4, 0x1.6249bc19b3f06p-4, 0x1.5c1d9137b6879p-4, 0x1.560556bfed41cp-4, 0x1.5000fb2d9e7c8p-4, 0x1.4a106bb9f7e55p-4, 0x1.443394662da14p-4, 0x1.3e6a60057dd4fp-4, 0x1.38b4b84710a45p-4, 0x1.331285bfb85a1p-4, 0x1.2d83aff397b33p-4, 0x1.28081d5fa00e7p-4, 0x1.229fb382edd43p-4, 0x1.1d4a56e80c6b4p-4, 0x1.1807eb2e0e8c2p-4, 0x1.12d853118852p-4, 0x1.0dbb707566fe7p-4, 0x1.08b1246ba77c3p-4, 0x1.03b94f3de5a7fp-4, 0x1.fda7a0eb96744p-5, 0x1.f4010dcaba2cep-5, 0x1.ea7ea15e41b3cp-5, 0x1.e120169c45d5cp-5, 0x1.d7e5273bad13ep-5, 0x1.cecd8bc3a3a37p-5, 0x1.c5d8fb9aced21p-5, 0x1.bd072d163957ep-5, 0x1.b457d587f7e22p-5, 0x1.abcaa94d7f823p-5, 0x1.a35f5bddbee48p-5, 0x1.9b159fd6e85c4p-5, 0x1.92ed270bf9cabp-5, 0x1.8ae5a291f885fp-5, 0x1.82fec2ccf1ca6p-5, 0x1.7b38377c9e487p-5, 0x1.7391afc8d9b7cp-5, 0x1.6c0ada4dc544bp-5, 0x1.64a36527a6ca6p-5, 0x1.5d5afdfe87a95p-5, 0x1.5631521184cdfp-5, 0x1.4f260e41e3f53p-5, 0x1.4838df1dea502p-5, 0x1.416970eb5e5c9p-5, 0x1.3ab76fb1d4f67p-5, 0x1.34228744b42c5p-5, 0x1.2daa634d0639ep-5, 0x1.274eaf52e9fe8p-5, 0x1.210f16c6ea1e7p-5, 0x1.1aeb450af4168p-5, 0x1.14e2e57b24089p-5, 0x1.0ef5a3764b92bp-5, 0x1.09232a663cd4fp-5, 0x1.036b25c7d2f8cp-5, 0x1.fb9a826586f4p-6, 0x1.f09250c26a116p-6, 0x1.e5bd0e6e31afdp-6, 0x1.db1a1392968e7p-6, 0x1.d0a8b8c8f22bap-6, 0x1.c6685727945b4p-6, 0x1.bc58484ec0e7ap-6, 0x1.b277e6751fc0bp-6, 0x1.a8c68c73de5b6p-6, 0x1.9f4395d243a05p-6, 0x1.95ee5ed0fd7bep-6, 0x1.8cc64474f348cp-6, 0x1.83caa491bedcdp-6, 0x1.7afaddd3ac8cfp-6, 0x1.72564fc96e7cfp-6, 0x1.69dc5aed687ecp-6, 0x1.618c60ae95e83p-6, 0x1.5965c3791c607p-6, 0x1.5167e6be70e66p-6, 0x1.49922efd475c7p-6, 0x1.41e401c8f286cp-6, 0x1.3a5cc5d09f723p-6, 0x1.32fbe2e62da2bp-6, 0x1.2bc0c2049fd0bp-6, 0x1.24aacd5649ccdp-6, 0x1.1db9703ab264p-6, 0x1.16ec174c288ffp-6, 0x1.10423064f9a82p-6, 0x1.09bb2aa46d2aap-6, 0x1.03567673704d2p-6, 0x1.fa270b11edec2p-7, 0x1.ede395dc449bep-7, 0x1.e1e1760425bf7p-7, 0x1.d61f96fb020a1p-7, 0x1.ca9ce6ec23893p-7, 0x1.bf5856c2d316dp-7, 0x1.b450da2ffdb8dp-7, 0x1.a98567af7bb59p-7, 0x1.9ef4f88ca7bc9p-7, 0x1.949e88e6c4cc8p-7, 0x1.8a8117b4c0d86p-7, 0x1.809ba6c8a89c8p-7, 0x1.76ed3ad287acbp-7, 0x1.6d74db6325543p-7, 0x1.643192ee04de2p-7, 0x1.5b226ecb61a58p-7, 0x1.52467f3961e44p-7, 0x1.499cd75d58fccp-7, 0x1.41248d4452cebp-7, 0x1.38dcb9e3935d1p-7, 0x1.30c479187cc4ep-7, 0x1.28dae9a8548cfp-7, 0x1.211f2d3fae9bap-7, 0x1.199068716f9bp-7, 0x1.122dc2b5b1869p-7, 0x1.0af666682556ap-7, 0x1.03e980c68be45p-7, 0x1.fa0c83dcc2a6ep-8, 0x1.ec97b9b5c87e9p-8, 0x1.df730ec4a6bbep-8, 0x1.d29cf46697dd1p-8, 0x1.c613e1a399a1bp-8, 0x1.b9d65327df2aep-8, 0x1.ade2cb3d2395cp-8, 0x1.a237d1c33aa62p-8, 0x1.96d3f4288c0c8p-8, 0x1.8bb5c5623de39p-8, 0x1.80dbdde37a9f8p-8, 0x1.7644db94ed4f9p-8, 0x1.6bef61cbd40aap-8, 0x1.61da19405f9eep-8, 0x1.5803b00455f74p-8, 0x1.4e6ad978f519bp-8, 0x1.450e4e44c030fp-8, 0x1.3beccc49237dbp-8, 0x1.330516979f3f8p-8, 0x1.2a55f566e7eafp-8, 0x1.21de3607c8bb6p-8, 0x1.199caad997a65p-8, 0x1.11902b3edfe97p-8, 0x1.09b7939180249p-8, 0x1.0211c516bca05p-8, 0x1.f53b4be6689f9p-9, 0x1.e6b4423d61538p-9, 0x1.d88c4caf63591p-9, 0x1.cac1542de9113p-9, 0x1.bd514b05d6c01p-9, 0x1.b03a2cc5aaa4fp-9, 0x1.a379fe2455f5p-9, 0x1.970ecce6e1564p-9, 0x1.8af6afc6c5803p-9, 0x1.7f2fc657bd501p-9, 0x1.73b838ed64a37p-9, 0x1.688e3880c88f1p-9, 0x1.5daffe96643cbp-9, 0x1.531bcd22c9327p-9, 0x1.48cfee70c9c9fp-9, 0x1.3ecab50667461p-9, 0x1.350a7b8a0767bp-9, 0x1.2b8da4a815887p-9, 0x1.22529af7d6cb7p-9, 0x1.1957d0e13cc1ep-9, 0x1.109bc081a5e7fp-9, 0x1.081ceb916d4bep-9, 0x1.ffb3b692ab3b1p-10, 0x1.efa2408fdc198p-10, 0x1.e002a4ed8479ap-10, 0x1.d0d221e0ae43ep-10, 0x1.c20e03cb0dbbap-10, 0x1.b3b3a506789f2p-10, 0x1.a5c06db09a144p-10, 0x1.9831d3775abap-10, 0x1.8b055963d40d8p-10, 0x1.7e388fa7cd745p-10, 0x1.71c91369c6dacp-10, 0x1.65b48e920d089p-10, 0x1.59f8b79816045p-10, 0x1.4e93514fcff43p-10, 0x1.43822ab7d12c9p-10, 0x1.38c31ec6e2bd2p-10, 0x1.2e54143b9e6a8p-10, 0x1.2432fd6a5e8f9p-10, 0x1.1a5dd80d6c35p-10, 0x1.10d2ad13c4de4p-10, 0x1.078f9071d67e3p-10, 0x1.fd2541e45b5c8p-11, 0x1.ebb4100b03518p-11, 0x1.dac7f32973935p-11, 0x1.ca5d67a548b94p-11, 0x1.ba70fe1bdc505p-11, 0x1.aaff5b07d3662p-11, 0x1.9c053667471a9p-11, 0x1.8d7f5b625aa09p-11, 0x1.7f6aa7f49bf7fp-11, 0x1.71c40c940f06bp-11, 0x1.64888bdc7f4bbp-11, 0x1.57b53a3a4dd61p-11, 0x1.4b473d94f3946p-11, 0x1.3f3bccfd68f55p-11, 0x1.3390305aec80ap-11, 0x1.2841c019a41d3p-11, 0x1.1d4de4daf0442p-11, 0x1.12b217251b0acp-11, 0x1.086bdf161453ap-11, 0x1.fcf1a82ba0a51p-12, 0x1.e9ad391242eccp-12, 0x1.d705db0ecc1bap-12, 0x1.c4f7151f916adp-12, 0x1.b37c8a7ee8d5bp-12, 0x1.a291fa12c9dc2p-12, 0x1.92333ddf2b7bp-12, 0x1.825c4a78f2b51p-12, 0x1.73092e79483dep-12, 0x1.643611f7915a3p-12, 0x1.55df35ff8f5ccp-12, 0x1.4800f4106bd07p-12, 0x1.3a97bd94f6a47p-12, 0x1.2da01b679f582p-12, 0x1.2116ad4facc58p-12, 0x1.14f829867f83cp-12, 0x1.09415c3c076p-12, 0x1.fbde4e397115ep-13, 0x1.e5fd01b61de7ep-13, 0x1.d0d8e9747227ap-13, 0x1.bc6c443374d43p-13, 0x1.a8b1780a0eaf4p-13, 0x1.95a3118670c8p-13, 0x1.833bc2d2c134p-13, 0x1.717662dcc2b1ap-13, 0x1.604dec80f4658p-13, 0x1.4fbd7dbab51fap-13, 0x1.3fc056d610aa2p-13, 0x1.3051d9a7a6f1cp-13, 0x1.216d88c34fd2p-13, 0x1.130f06be261dap-13, 0x1.0532156beaff8p-13, 0x1.efa52a4987565p-14, 0x1.d5d908178706fp-14, 0x1.bcf7fab6ea2adp-14, 0x1.a4fa716688811p-14, 0x1.8dd912d097b6dp-14, 0x1.778cbbb7f008bp-14, 0x1.620e7da4f6a38p-14, 0x1.4d579da104d32p-14, 0x1.396192ee02f43p-14, 0x1.262605cdb4125p-14, 0x1.139ece46f3801p-14, 0x1.01c5f2f8f0994p-14, 0x1.e12b4fda1acdap-15, 0x1.c0109ae80a4bep-15, 0x1.a030de0d64612p-15, 0x1.8181845a548d5p-15, 0x1.63f84ad6e8dadp-15, 0x1.478b3e66d5ba6p-15, 0x1.2c30b9b5cdd3bp-15, 0x1.11df633832e15p-15, 0x1.f11c565013f7bp-16, 0x1.c06893369e55p-16, 0x1.91927935c708cp-16, 0x1.64898c8c8a824p-16, 0x1.393dd60a2dddfp-16, 0x1.0f9fdf836a3ap-16, 0x1.cf41608d7433fp-17, 0x1.8263938537274p-17, 0x1.388a4853fea92p-17, 0x1.e334acd90f0adp-18, 0x1.5af2ebe1cd27fp-18, 0x1.b038e5abfeee8p-19, 0x1.6a003e03e8869p-20, -0x1.e11d36c461cf1p-22, -0x1.238e743a2606p-19, -0x1.00cca2e9aad28p-18, -0x1.6b4d117478feap-18, -0x1.d172197888299p-18, -0x1.19b1f4bae8351p-17, -0x1.48a4aa784ef41p-17, -0x1.75a3ef4e47efep-17, -0x1.a0c1e1180a093p-17, -0x1.ca0ffefe673dcp-17, -0x1.f19f2e267b41p-17, -0x1.0bbfdf2bf3625p-16, -0x1.1de0b733c9803p-16, -0x1.2f39b84acc192p-16, -0x1.3fd237673ab99p-16, -0x1.4fb1476c42544p-16, -0x1.5eddbb2ce4effp-16, -0x1.6d5e276084f3ap-16, -0x1.7b38e491dc44fp-16, -0x1.887411056649bp-16, -0x1.9515927e21fdp-16, -0x1.a123181386bc2p-16, -0x1.aca21be4ba48ep-16, -0x1.b797e4ca001dcp-16, -0x1.c20987fbc5d4dp-16, -0x1.cbfbeaa8650fp-16, -0x1.d573c38587063p-16, -0x1.de759c54d9ed7p-16, -0x1.e705d359bf297p-16, -0x1.ef289ccceacb3p-16, -0x1.f6e204420e6d7p-16, -0x1.fe35ee00aaa3dp-16, -0x1.02940c2bd4982p-15, -0x1.05de0e7341dc2p-15, -0x1.08fab8f079336p-15, -0x1.0bebb59fc67c7p-15, -0x1.0eb29df85de39p-15, -0x1.1150fb7f3ad18p-15, -0x1.13c848555b576p-15, -0x1.1619efc0b935dp-15, -0x1.18474eb7f0e0ep-15, -0x1.1a51b45f1e3f4p-15, -0x1.1c3a628a0b4dep-15, -0x1.1e028e370d9fbp-15, -0x1.1fab600478099p-15, -0x1.2135f4a652ebap-15, -0x1.22a35d5649e51p-15, -0x1.23f4a040e3fa4p-15, -0x1.252ab8ee878c3p-15, -0x1.264698ac26c3bp-15, -0x1.274926eab7574p-15, -0x1.283341a3578e5p-15, -0x1.2905bdb1bc327p-15, -0x1.29c16731403dfp-15, -0x1.2a6701d2b67f8p-15, -0x1.2af7493115f83p-15, -0x1.2b72f123ee681p-15, -0x1.2bdaa60f42afcp-15, -0x1.2c2f0d2e26332p-15, -0x1.2c70c4e002d28p-15, -0x1.2ca064ee51f0fp-15, -0x1.2cbe7ed435062p-15, -0x1.2ccb9dfefb61cp-15, -0x1.2cc84810cca67p-15, -0x1.2cb4fd1dca9dep-15, -0x1.2c9237eac23fdp-15, -0x1.2c606e26ab42ep-15, -0x1.2c2010a1ef244p-15, -0x1.2bd18b8693873p-15, -0x1.2b75468c81d2dp-15, -0x1.2b0ba52a6f33dp-15, -0x1.2a9506c947bbep-15, -0x1.2a11c6f0c4a9bp-15, -0x1.29823d77a2cbcp-15, -0x1.28e6bead2364bp-15, -0x1.283f9b844c8a2p-15, -0x1.278d21bb56f86p-15, -0x1.26cf9c03fbffcp-15, -0x1.26075227cab66p-15, -0x1.2534892d29bdfp-15, -0x1.24578379c3e85p-15, -0x1.237080f41a2a9p-15, -0x1.227fbf23388a7p-15, -0x1.2185794d4ad0dp-15, -0x1.2081e89518362p-15, -0x1.1f754416d332dp-15, -0x1.1e5fc10379758p-15, -0x1.1d4192b9ed434p-15, -0x1.1c1aeae09bb72p-15, -0x1.1aebf97d6d9ddp-15, -0x1.19b4ed0cae10fp-15, -0x1.1875f29552ef6p-15, -0x1.172f35c05eb03p-15, -0x1.15e0e0eb4f7p-15, -0x1.148b1d3bda8a1p-15, -0x1.132e12b25ff8p-15, -0x1.11c9e83a4e3c2p-15, -0x1.105ec3bb889ebp-15, -0x1.0eecca29a5756p-15, -0x1.0d741f93d8463p-15, -0x1.0bf4e73223d6cp-15, -0x1.0a6f4373e5cp-15, -0x1.08e3560caad09p-15, -0x1.0751400064302p-15, -0x1.05b921ae745acp-15, -0x1.041b1add3f40dp-15, -0x1.02774ac4153a5p-15, -0x1.00cdd0166dc3bp-15, -0x1.fe3d9217a156bp-16, -0x1.fad4a6d24443ap-16, -0x1.f761191236991p-16, -0x1.f3e322c95e0f4p-16, -0x1.f05afd30938b8p-16, -0x1.ecc8e0da6f21bp-16, -0x1.e92d05bcc5241p-16, -0x1.e587a33f10352p-16, -0x1.e1d8f04498656p-16, -0x1.de2123373d2b4p-16, -0x1.da607211b5011p-16, -0x1.d69712670967ep-16, -0x1.d2c5396cb9b2bp-16, -0x1.ceeb1c023d85cp-16, -0x1.cb08eeb7998b3p-16, -0x1.c71ee5d52c2a9p-16, -0x1.c32d35601765ap-16, -0x1.bf3411221129fp-16, -0x1.bb33acabf9868p-16, -0x1.b72c3b5bd3036p-16, -0x1.b31df05f48441p-16, -0x1.af08feb99767p-16, -0x1.aaed9945194bp-16, -0x1.a6cbf2b6b7262p-16, -0x1.a2a43d9f5892cp-16, -0x1.9e76ac6fef079p-16, -0x1.9a4371791ea6ep-16, -0x1.960abeec7c04cp-16, -0x1.91ccc6df965ffp-16, -0x1.8d89bb4ada48bp-16, -0x1.8941ce0bde56bp-16, -0x1.84f530e479b18p-16, -0x1.80a4157adb1fdp-16, -0x1.7c4ead598e124p-16, -0x1.77f529ede7d6ap-16, -0x1.7397bc890030ap-16, -0x1.6f36965e15e77p-16, -0x1.6ad1e8818e3efp-16, -0x1.6669e3e83df14p-16, -0x1.61feb9654925ap-16, -0x1.5d9099aa35742p-16, -0x1.591fb5435329ep-16, -0x1.54ac3c9718fe4p-16, -0x1.50365fe451dc8p-16, -0x1.4bbe4f40350f5p-16, -0x1.47443a94b52fep-16, -0x1.42c8519d7bb0dp-16, -0x1.3e4ac3e66baeep-16, -0x1.39cbc0c98358ep-16, -0x1.354b776c874cep-16, -0x1.30ca16bde93d4p-16, -0x1.2c47cd731d5c2p-16, -0x1.27c4ca0657bc2p-16, -0x1.23413ab382cfcp-16, -0x1.1ebd4d76e7b29p-16, -0x1.1a39300a19215p-16, -0x1.15b50fe11a40fp-16, -0x1.11311a284e6fcp-16, -0x1.0cad7bc12e32ep-16, -0x1.082a61414bbaap-16, -0x1.03a7f6ee861cp-16, -0x1.fe4cd17a79bafp-17, -0x1.f54bc49b525e4p-17, -0x1.ec4d1dd2a0b4bp-17, -0x1.e351330312e91p-17, -0x1.da5859576412p-17, -0x1.d162e53f50885p-17, -0x1.c8712a69914f4p-17, -0x1.bf837bc1e51ebp-17, -0x1.b69a2b6bb8bb6p-17, -0x1.adb58abc9fc17p-17, -0x1.a4d5ea384702fp-17, -0x1.9bfb998cf5936p-17, -0x1.9326e78f9a884p-17, -0x1.8a582235eaf86p-17, -0x1.818f9694723a1p-17, -0x1.78cd90da06e0ap-17, -0x1.70125c4cf7474p-17, -0x1.675e4345c4a5ep-17, -0x1.5eb18f2d2d8bcp-17, -0x1.560c88785e36bp-17, -0x1.4d6f76a671dbp-17, -0x1.44daa03bf16dep-17, -0x1.3c4e4abff10e3p-17, -0x1.33cababad5454p-17, -0x1.2b5033b1b21c5p-17, -0x1.22def82478092p-17, -0x1.1a77498be0248p-17, -0x1.1219685613fa9p-17, -0x1.09c593e5bf767p-17, -0x1.017c0a8f37a95p-17, -0x1.f27a132acaf13p-18, -0x1.e2119a52bc935p-18, -0x1.d1bf20d02f747p-18, -0x1.c1831ab363823p-18, -0x1.b15df9dded53fp-18, -0x1.a1502e001ea97p-18, -0x1.915a249850d5p-18, -0x1.817c48ee9d2b1p-18, -0x1.71b704117c517p-18, -0x1.620abcd7f9731p-18, -0x1.5277d7dd55a4fp-18, -0x1.42feb78094084p-18, -0x1.339fbbe362c83p-18, -0x1.245b42e9845b9p-18, -0x1.1531a83702a35p-18, -0x1.06234532344a2p-18, -0x1.ee60e200b9e25p-19, -0x1.d0b30110d204ap-19, -0x1.b33d8ce4ce2c5p-19, -0x1.9601264fab8c4p-19, -0x1.78fe69a840616p-19, -0x1.5c35eeca6e0c4p-19, -0x1.3fa84919ff7a6p-19, -0x1.235607862f4f3p-19, -0x1.073fb48c72b44p-19, -0x1.d6cbac73cb56cp-20, -0x1.9f91dc5f461aap-20, -0x1.68d2f34c95658p-20, -0x1.328fe2ebb4d6ep-20, -0x1.f99328515f3a1p-21, -0x1.8f01ce866713ep-21, -0x1.256d679f8233cp-21, -0x1.79af2325c820ep-22, -0x1.550764d888781p-23, 0x1.15245ae273e75p-25, 0x1.db8d80ef852e6p-23, 0x1.b6e038d16eda2p-22, 0x1.3ef730e79937ep-21, 0x1.a17764f76c082p-21, 0x1.0177c826b0aep-20, 0x1.31af4d819cf72p-20, 0x1.6161beb4a9affp-20, 0x1.908e9feeebe0cp-20, 0x1.bf357d5b36314p-20, 0x1.ed55eb0ddd31p-20, 0x1.0d77c2790a46cp-19, 0x1.2400f75971c8fp-19, 0x1.3a4669d60dc64p-19, 0x1.5047f36cafccdp-19, 0x1.6605715ef33bp-19, 0x1.7b7ec4a6c71p-19, 0x1.90b3d1f106fe1p-19, 0x1.a5a4818fdcfb2p-19, 0x1.ba50bf7212ff4p-19, 0x1.ceb87b15308f8p-19, 0x1.e2dba77f134ap-19, 0x1.f6ba3b2f6e7d2p-19, 0x1.052a180ac05d8p-18, 0x1.0ed4c1c31b3p-18, 0x1.185d1b184cb8fp-18, 0x1.21c32608b664fp-18, }}, 
      {{-0x1.ee9c6c0c2c406p-1, -0x1.ee85f3238aafcp-1, -0x1.ee6083de37fffp-1, -0x1.ee2c2592da7e8p-1, -0x1.ede8e2794c62ep-1, -0x1.ed96c79c428eep-1, -0x1.ed35e4c787704p-1, -0x1.ecc64c73898cp-1, -0x1.ec4813aef23ddp-1, -0x1.ebbb5206c97e4p-1, -0x1.eb20216d7dfc1p-1, -0x1.ea769e2110ddap-1, -0x1.e9bee6908e4adp-1, -0x1.e8f91b40f543ep-1, -0x1.e8255eb1be7eep-1, -0x1.e743d54129df9p-1, -0x1.e654a510886b2p-1, -0x1.e557f5e8b8265p-1, -0x1.e44df11f02e9p-1, -0x1.e336c17a90becp-1, -0x1.e212931a92574p-1, -0x1.e0e1935d44818p-1, -0x1.dfa3f0c7ddd8cp-1, -0x1.de59daef791d3p-1, -0x1.dd038262f7286p-1, -0x1.dba11895df4ecp-1, -0x1.da32cfcc31de6p-1, -0x1.d8b8db07229ccp-1, -0x1.d7336df2b2076p-1, -0x1.d5a2bcd4134efp-1, -0x1.d406fc78d8746p-1, -0x1.d2606226d3289p-1, -0x1.d0af238ca2bbcp-1, -0x1.cef376b2e76b5p-1, -0x1.cd2d91ee115fdp-1, -0x1.cb5dabd0c880fp-1, -0x1.c983fb1ee6f52p-1, -0x1.c7a0b6c106167p-1, -0x1.c5b415b89894ap-1, -0x1.c3be4f1492a5bp-1, -0x1.c1bf99e69f63bp-1, -0x1.bfb82d38e0443p-1, -0x1.bda8400435ffcp-1, -0x1.bb90092712795p-1, -0x1.b96fbf5ccfe87p-1, -0x1.b74799358b4b7p-1, -0x1.b517cd0e7d83ap-1, -0x1.b2e0910ad23a5p-1, -0x1.b0a21b0cf3c29p-1, -0x1.ae5ca0b04b16bp-1, -0x1.ac1057436aeddp-1, -0x1.a9bd73c2a3453p-1, -0x1.a7642ad2f572ep-1, -0x1.a504b0bd6261dp-1, -0x1.a29f396a8f398p-1, -0x1.a033f85eb61c1p-1, -0x1.9dc320b5e1a8p-1, -0x1.9b4ce52069921p-1, -0x1.98d177dfad095p-1, -0x1.96510ac304861p-1, -0x1.93cbcf24e6648p-1, -0x1.9141f5e83a1e4p-1, -0x1.8eb3af75d5bc5p-1, -0x1.8c212bba218c8p-1, -0x1.898a9a22df05cp-1, -0x1.86f0299d1070fp-1, -0x1.84520892fe796p-1, -0x1.81b064ea58c9ap-1, -0x1.7f0b6c0271b4ep-1, -0x1.7c634ab292f1ap-1, -0x1.79b82d4867a92p-1, -0x1.770a3f8680b21p-1, -0x1.7459aca2ec958p-1, -0x1.71a69f45e6022p-1, -0x1.6ef1418898e5dp-1, -0x1.6c39bcf3fbfa9p-1, -0x1.69803a7fc0512p-1, -0x1.66c4e291582acp-1, -0x1.6407dcfb11651p-1, -0x1.614950fb4816ap-1, -0x1.5e89653bb00a3p-1, -0x1.5bc83fd0b38e6p-1, -0x1.59060638eaae2p-1, -0x1.5642dd5ca90fbp-1, -0x1.537ee98da4e54p-1, -0x1.50ba4e86b288ep-1, -0x1.4df52f6b9aedp-1, -0x1.4b2faec9087adp-1, -0x1.4869ee948a5e7p-1, -0x1.45a4102cb155cp-1, -0x1.42de345941d3cp-1, -0x1.40187b4b7dabp-1, -0x1.3d53049e85407p-1, -0x1.3a8def57cbdf2p-1, -0x1.37c959e7a3cc6p-1, -0x1.35056229decefp-1, -0x1.3242256680866p-1, -0x1.2f7fc05287a0cp-1, -0x1.2cbe4f10c604fp-1, -0x1.29fded32cd6fdp-1, -0x1.273eb5b9ea5cdp-1, -0x1.2480c3183167ap-1, -0x1.21c42f3198fd9p-1, -0x1.1f09135d22acep-1, -0x1.1c4f886612158p-1, -0x1.1997a68d2c6e2p-1, -0x1.16e1858a07dd9p-1, -0x1.142d3c8c616dcp-1, -0x1.117ae23d7ce3cp-1, -0x1.0eca8cc18e0c6p-1, -0x1.0c1c51b92717ap-1, -0x1.09704642af4f5p-1, -0x1.06c67efbddc33p-1, -0x1.041f1003393bfp-1, -0x1.017a0cf99c239p-1, -0x1.fdaf120774d08p-2, -0x1.f86f2d9755583p-2, -0x1.f3349104dee8dp-2, -0x1.edff5fc30669fp-2, -0x1.e8cfbc58c3e04p-2, -0x1.e3a5c86429325p-2, -0x1.de81a49d74f84p-2, -0x1.d96370da20e5p-2, -0x1.d44b4c0fed1c1p-2, -0x1.cf395457e8022p-2, -0x1.ca2da6f16d421p-2, -0x1.c5286045214d1p-2, -0x1.c0299be7e2bd6p-2, -0x1.bb31749db5201p-2, -0x1.b640045ca444dp-2, -0x1.b155644f9d702p-2, -0x1.ac71acd940a2fp-2, -0x1.a794f596a672bp-2, -0x1.a2bf55621ed86p-2, -0x1.9df0e255e2cd9p-2, -0x1.9929b1cebedffp-2, -0x1.9469d86eb3371p-2, -0x1.8fb16a1f85f75p-2, -0x1.8b007a15505e2p-2, -0x1.86571ad0fe3bep-2, -0x1.81b55e22c512ap-2, -0x1.7d1b552c9035cp-2, -0x1.78891064633dp-2, -0x1.73fe9f96b48ccp-2, -0x1.6f7c11e8baacbp-2, -0x1.6b0175dab4c7bp-2, -0x1.668ed94a27bcdp-2, -0x1.6224497412643p-2, -0x1.5dc1d2f719e92p-2, -0x1.596781d5adc9cp-2, -0x1.5515617825ad5p-2, -0x1.50cb7caed43cap-2, -0x1.4c89ddb41604ep-2, -0x1.48508e2e57ff1p-2, -0x1.441f9732170e5p-2, -0x1.3ff70143db18p-2, -0x1.3bd6d45a2a318p-2, -0x1.37bf17df7686cp-2, -0x1.33afd2b4092c9p-2, -0x1.2fa90b2fe4276p-2, -0x1.2baac724a3201p-2, -0x1.27b50bdf56611p-2, -0x1.23c7de2a58fd4p-2, -0x1.1fe3424f25342p-2, -0x1.1c073c1823ffap-2, -0x1.1833ced276ea9p-2, -0x1.1468fd4fc56b2p-2, -0x1.10a6c9e80101cp-2, -0x1.0ced367b28e7p-2, -0x1.093c44730db93p-2, -0x1.0593f4c50f72ep-2, -0x1.01f447f3dc426p-2, -0x1.fcba7c2257b86p-3, -0x1.f59dad7ef1361p-3, -0x1.ee92226778485p-3, -0x1.e797d86e44bdep-3, -0x1.e0aecc5188addp-3, -0x1.d9d6f9feb4a43p-3, -0x1.d3105c95e65d3p-3, -0x1.cc5aee6d4c0ffp-3, -0x1.c5b6a9148d01dp-3, -0x1.bf2385582e938p-3, -0x1.b8a17b44f4e98p-3, -0x1.b230822b48dafp-3, -0x1.abd090a297b83p-3, -0x1.a5819c8cb4d41p-3, -0x1.9f439b1937884p-3, -0x1.991680c8da1adp-3, -0x1.92fa4170d8a3cp-3, -0x1.8ceed03e4d4fp-3, -0x1.86f41fb98bbd7p-3, -0x1.810a21c97c658p-3, -0x1.7b30c7b6f550ap-3, -0x1.7568023013b99p-3, -0x1.6fafc14b93079p-3, -0x1.6a07f48c2125bp-3, -0x1.64708ae3b49c7p-3, -0x1.5ee972b6e0083p-3, -0x1.597299e01f67p-3, -0x1.540bedb32aadap-3, -0x1.4eb55b0041534p-3, -0x1.496ece1773399p-3, -0x1.443832cbedfaap-3, -0x1.3f1174773a617p-3, -0x1.39fa7dfc8633bp-3, -0x1.34f339cbe0c8ap-3, -0x1.2ffb91e575deep-3, -0x1.2b136fdccbf5dp-3, -0x1.263abcdbf1f18p-3, -0x1.217161a6b74cp-3, -0x1.1cb7469dd553p-3, -0x1.180c53c21946cp-3, -0x1.137070b78af41p-3, -0x1.0ee384c888cp-3, -0x1.0a6576e8e4952p-3, -0x1.05f62db8f9c72p-3, -0x1.01958f88bcce1p-3, -0x1.fa8704b587f0bp-4, -0x1.f1ffd7cea5808p-4, -0x1.e995633e9c855p-4, -0x1.e147715e8153cp-4, -0x1.d915cc04846a4p-4, -0x1.d1003c89d6178p-4, -0x1.c9068bd06c38dp-4, -0x1.c1288248b49ebp-4, -0x1.b965e7f75583dp-4, -0x1.b1be847ab2346p-4, -0x1.aa321f109121cp-4, -0x1.a2c07e9b8b6d7p-4, -0x1.9b6969a8837dp-4, -0x1.942ca67403479p-4, -0x1.8d09faef88b0fp-4, -0x1.86012cc6c50dfp-4, -0x1.7f120164cb3d8p-4, -0x1.783c3df9262f3p-4, -0x1.717fa77ce9419p-4, -0x1.6adc02b7a33f5p-4, -0x1.6451144445663p-4, -0x1.5ddea095f713bp-4, -0x1.57846bfcd5eaep-4, -0x1.51423aaaa5712p-4, -0x1.4b17d0b766636p-4, -0x1.4504f225e26f2p-4, -0x1.3f0962e81ef0cp-4, -0x1.3924e6e3bdeccp-4, -0x1.335741f64b54fp-4, -0x1.2da037f977a82p-4, -0x1.27ff8cc73da25p-4, -0x1.2275043df2d0bp-4, -0x1.1d00624448502p-4, -0x1.17a16acd32bdep-4, -0x1.1257e1dbbefb6p-4, -0x1.0d238b86d6c26p-4, -0x1.08042bfcebe45p-4, -0x1.02f98787921eep-4, -0x1.fc06c51e06403p-5, -0x1.f243033b22f42p-5, -0x1.e8a752c60374dp-5, -0x1.df333d6fac9f8p-5, -0x1.d5e64d41010a2p-5, -0x1.ccc00ca10240cp-5, -0x1.c3c0065aedc5fp-5, -0x1.bae5c5a4232f9p-5, -0x1.b230d621f5279p-5, -0x1.a9a0c3ef43899p-5, -0x1.a1351ba1f9003p-5, -0x1.98ed6a50559e6p-5, -0x1.90c93d9620237p-5, -0x1.88c82399a4947p-5, -0x1.80e9ab109493ep-5, -0x1.792d6344bb0ap-5, -0x1.7192dc188f141p-5, -0x1.6a19a60b9d15bp-5, -0x1.62c1523ecd4ebp-5, -0x1.5b89727884715p-5, -0x1.547199289e389p-5, -0x1.4d79596c47fa3p-5, -0x1.46a04711acc7p-5, -0x1.3fe5f69b8f998p-5, -0x1.3949fd44aefb8p-5, -0x1.32cbf10314438p-5, -0x1.2c6b688b3622dp-5, -0x1.2627fb5305636p-5, -0x1.20014194c6fb1p-5, -0x1.19f6d451e1749p-5, -0x1.14084d5575917p-5, -0x1.0e354736e6087p-5, -0x1.087d5d5c36cdep-5, -0x1.02e02bfc51448p-5, -0x1.fabaa0424c99fp-6, -0x1.efe8cf536d4cep-6, -0x1.e54a2297f1a82p-6, -0x1.daddd92d47d56p-6, -0x1.d0a333e5b34c9p-6, -0x1.c699754b7dce8p-6, -0x1.bcbfe1a3ce4ep-6, -0x1.b315bef16c248p-6, -0x1.a99a54f737af4p-6, -0x1.a04ced3a69397p-6, -0x1.972cd304b30b5p-6, -0x1.8e3953661c681p-6, -0x1.8571bd36ae18dp-6, -0x1.7cd56117fb158p-6, -0x1.7463917667076p-6, -0x1.6c1ba28a4563ep-6, -0x1.63fcea58d5584p-6, -0x1.5c06c0b4fa27p-6, -0x1.54387f3fe6db5p-6, -0x1.4c91816974d6ap-6, -0x1.451124708167cp-6, -0x1.3db6c762f63ccp-6, -0x1.3681cb1dc962dp-6, -0x1.2f71924cc7171p-6, -0x1.2885816a38689p-6, -0x1.21bcfebe65426p-6, -0x1.1b17725ef4aecp-6, -0x1.1494462e25b2bp-6, -0x1.0e32e5d9eb4efp-6, -0x1.07f2bedae3361p-6, -0x1.01d340732952ap-6, -0x1.f7a7b75a3a763p-7, -0x1.ebe806b3d3716p-7, -0x1.e066582029801p-7, -0x1.d52198539a88dp-7, -0x1.ca18b7868191p-7, -0x1.bf4aa9716ba5ep-7, -0x1.b4b6654949f5ap-7, -0x1.aa5ae5bb5d896p-7, -0x1.a03728e8e7e3bp-7, -0x1.964a3062c952dp-7, -0x1.8c930124cda2cp-7, -0x1.8310a390f05cfp-7, -0x1.79c2236a68bd3p-7, -0x1.70a68fd0802b1p-7, -0x1.67bcfb39522ecp-7, -0x1.5f047b6c71a8fp-7, -0x1.567c297d4372cp-7, -0x1.4e2321c55a665p-7, -0x1.45f883deac8fbp-7, -0x1.3dfb729d9d281p-7, -0x1.362b140aed60fp-7, -0x1.2e86915d99c24p-7, -0x1.270d16f4871f7p-7, -0x1.1fbdd45035994p-7, -0x1.1897fc0c358f1p-7, -0x1.119ac3d8ac9b5p-7, -0x1.0ac564739ca38p-7, -0x1.041719a23966fp-7, -0x1.fb1e44542d4b2p-8, -0x1.ee597f9483751p-8, -0x1.e1de6e68c08f8p-8, -0x1.d5aba00b46812p-8, -0x1.c9bfa97f71187p-8, -0x1.be19258364c43p-8, -0x1.b2b6b481baacfp-8, -0x1.a796fc8318d26p-8, -0x1.9cb8a91fa398fp-8, -0x1.921a6b7077c9p-8, -0x1.87bafa010627dp-8, -0x1.7d9910c059f47p-8, -0x1.73b370f25c038p-8, -0x1.6a08e121103a1p-8, -0x1.60982d0da7affp-8, -0x1.576025a1ba395p-8, -0x1.4e5fa0e055b87p-8, -0x1.459579d715989p-8, -0x1.3d00908f3fea4p-8, -0x1.349fc9fecf5bbp-8, -0x1.2c720ff97af09p-8, -0x1.24765121e7627p-8, -0x1.1cab80daa3de3p-8, -0x1.151097374f923p-8, -0x1.0da490eda62f3p-8, -0x1.06666f46d7d85p-8, -0x1.feaa7020f2fccp-9, -0x1.f0dfeb1be3488p-9, -0x1.e36b6cd33b49fp-9, -0x1.d64b1b4c52b79p-9, -0x1.c97d251fd339dp-9, -0x1.bcffc15c9d36ep-9, -0x1.b0d12f6a9faaep-9, -0x1.a4efb6edeb1d2p-9, -0x1.9959a7a9f73f1p-9, -0x1.8e0d5964ebec2p-9, -0x1.83092bcb22755p-9, -0x1.784b8652c0419p-9, -0x1.6dd2d81f7c374p-9, -0x1.639d97e6a7232p-9, -0x1.59aa43d34472cp-9, -0x1.4ff7616a616b9p-9, -0x1.46837d6f70e31p-9, -0x1.3d4d2bc923f08p-9, -0x1.3453076629494p-9, -0x1.2b93b22253123p-9, -0x1.230dd4abcbe47p-9, -0x1.1ac01e689aa2p-9, -0x1.12a9455c45d0cp-9, -0x1.0ac8060dc4a58p-9, -0x1.031b236da0791p-9, -0x1.f742cd784d209p-10, -0x1.e8b33ee074aadp-10, -0x1.da85463ba3fefp-10, -0x1.ccb69aba59ffdp-10, -0x1.bf44ff6424a3ep-10, -0x1.b22e42e67b063p-10, -0x1.a5703f6412318p-10, -0x1.9908da44fdb47p-10, -0x1.8cf604071964cp-10, -0x1.8135b80ebd721p-10, -0x1.75c5fc785ca82p-10, -0x1.6aa4e1ea2f13ep-10, -0x1.5fd083669aef7p-10, -0x1.5547061f3e8ecp-10, -0x1.4b0699481d34p-10, -0x1.410d75eb920bap-10, -0x1.3759debeb05fbp-10, -0x1.2dea1ff62e46ep-10, -0x1.24bc8f1b9882cp-10, -0x1.1bcf8ae382919p-10, -0x1.13217b03ab7dbp-10, -0x1.0ab0d00a0bbd2p-10, -0x1.027c033425f11p-10, -0x1.f5032c8e2793bp-11, -0x1.e58026cf71f01p-11, -0x1.d66c19e812cd2p-11, -0x1.c7c43ab82fe5cp-11, -0x1.b985cdf8cab37p-11, -0x1.abae27effdadap-11, -0x1.9e3aac27816dfp-11, -0x1.9128cd22f82e5p-11, -0x1.84760c1857834p-11, -0x1.781ff8a880b2bp-11, -0x1.6c24309936f8fp-11, -0x1.60805f901e2a2p-11, -0x1.55323ece45635p-11, -0x1.4a3794ed653b6p-11, -0x1.3f8e359d2e9dap-11, -0x1.35340162ba93cp-11, -0x1.2b26e5576537ep-11, -0x1.2164daea5e349p-11, -0x1.17ebe7a1ad34dp-11, -0x1.0eba1cdcf66ffp-11, -0x1.05cd97991c559p-11, -0x1.fa490068e5632p-12, -0x1.e97a1468d1eb2p-12, -0x1.d92ae816d51c7p-12, -0x1.c9580dc09f2dbp-12, -0x1.b9fe2cad3c22ep-12, -0x1.ab1a00ae224d1p-12, -0x1.9ca859b373183p-12, -0x1.8ea61b619f2e1p-12, -0x1.81103ca826c7p-12, -0x1.73e3c75b03d2ap-12, -0x1.671dd7cd07528p-12, -0x1.5abb9c6c12493p-12, -0x1.4eba555f80b5dp-12, -0x1.431754276e162p-12, -0x1.37cffb3e37373p-12, -0x1.2ce1bdbba529cp-12, -0x1.224a1ef8c1195p-12, -0x1.1806b236c787p-12, -0x1.0e151a465e9e6p-12, -0x1.04730930fff16p-12, -0x1.f63c7fc73834fp-13, -0x1.e4291bb647b7ep-13, -0x1.d2a7a1a460402p-13, -0x1.c1b3e8e08c1bbp-13, -0x1.b149e3f56ac99p-13, -0x1.a165a00d36428p-13, -0x1.92034459c946cp-13, -0x1.831f117d8425dp-13, -0x1.74b560f949c51p-13, -0x1.66c2a49b5050ap-13, -0x1.594365f1fbf3fp-13, -0x1.4c3445c074b93p-13, -0x1.3f91fb76cb09cp-13, -0x1.335954ab3367dp-13, -0x1.2787349842faap-13, -0x1.1c18939b48073p-13, -0x1.110a7eb625539p-13, -0x1.065a17142225dp-13, -0x1.f809231fb4fap-14, -0x1.e40e6c7b696f7p-14, -0x1.d0bebfebe84bep-14, -0x1.be14f7c637c6dp-14, -0x1.ac0c12245c5a2p-14, -0x1.9a9f3009ad63ep-14, -0x1.89c9948bc0ae7p-14, -0x1.7986a40000256p-14, -0x1.69d1e32e37e5p-14, -0x1.5aa6f684f510ap-14, -0x1.4c01a1553e423p-14, -0x1.3dddc5110383fp-14, -0x1.3037608ba88efp-14, -0x1.230a8f42034d8p-14, -0x1.165388a3eef82p-14, -0x1.0a0e9f625e232p-14, -0x1.fc7081830be96p-15, -0x1.e599e7dc6972bp-15, -0x1.cf92b2ad84e53p-15, -0x1.ba54540fa9518p-15, -0x1.a5d86e1b25e43p-15, -0x1.9218d1aca7987p-15, -0x1.7f0f7d361c32ap-15, -0x1.6cb69b914d243p-15, -0x1.5b0882dc8ca7cp-15, -0x1.49ffb35ec88a2p-15, -0x1.3996d66ca79p-15, -0x1.29c8bd5939dddp-15, -0x1.1a90606b96bdbp-15, -0x1.0be8ddd8c3d5dp-15, -0x1.fb9af1886fd6ap-16, -0x1.e07330904aa41p-16, -0x1.c6518cfed81cfp-16, -0x1.ad2d5f33b28dcp-16, -0x1.94fe41e2ea8fdp-16, -0x1.7dbc10517b859p-16, -0x1.675ee499f0f7ep-16, -0x1.51df15f85a903p-16, -0x1.3d353725037efp-16, -0x1.295a14b6357b6p-16, -0x1.1646b38b78d3dp-16, -0x1.03f44f4599058p-16, -0x1.e4b8b186a9892p-17, -0x1.c2f0e959fc386p-17, -0x1.a284f40bb111ap-17, -0x1.8368e18577f9fp-17, -0x1.659120e1cfdd6p-17, -0x1.48f27dc1f72bap-17, -0x1.2d821db09cd4ap-17, -0x1.13357d9c3adc9p-17, -0x1.f404dec3f20cbp-18, -0x1.c3be2ece1ea54p-18, -0x1.9583d46f175b7p-18, -0x1.69435486b14dfp-18, -0x1.3eeacb3868387p-18, -0x1.1668e7a27e5dap-18, -0x1.df59cf181b427p-19, -0x1.954d26a241f1dp-19, -0x1.4e8c73a4a1b6fp-19, -0x1.0af959216452ep-19, -0x1.94ecef58fd04fp-20, -0x1.19cecbd3e1a5dp-20, -0x1.48c2a56f50286p-21, -0x1.a37af452a06a3p-23, 0x1.b1d3a3e876804p-23, 0x1.379bab9218393p-21, 0x1.f8f59b106e75ap-21, 0x1.586fc93e35f3dp-20, 0x1.afd9a869e0056p-20, 0x1.0171e4302cc7fp-19, 0x1.28dc080d59781p-19, 0x1.4e3f7dd81c105p-19, 0x1.71afd3ad00919p-19, 0x1.933fed2e05596p-19, 0x1.b30208baffe8p-19, 0x1.d107c4884926bp-19, 0x1.ed6223aa58602p-19, 0x1.0410c972d94b4p-18, 0x1.10aaf6afd6167p-18, 0x1.1c87409b3883p-18, 0x1.27ad09fe3125bp-18, 0x1.3223737f2f123p-18, 0x1.3bf15dc09a6cdp-18, 0x1.451d6b620217fp-18, 0x1.4dae030794961p-18, 0x1.55a951426d8d7p-18, 0x1.5d154a73cc7ebp-18, 0x1.63f7ac9afc251p-18, 0x1.6a56011fa13b4p-18, 0x1.70359e8526ae2p-18, 0x1.759baa1784f68p-18, 0x1.7a8d198717deap-18, 0x1.7f0eb47a445f3p-18, 0x1.83251617ba8a9p-18, 0x1.86d4ae8217a55p-18, 0x1.8a21c442fb415p-18, 0x1.8d1075b78d497p-18, 0x1.8fa4ba63f5c4bp-18, 0x1.91e26447c9e2fp-18, 0x1.93cd212434945p-18, 0x1.95687bb1a651fp-18, 0x1.96b7dcd5f300cp-18, 0x1.97be8cd10e952p-18, 0x1.987fb45a3450fp-18, 0x1.98fe5db7c0714p-18, 0x1.993d75ce0d7dap-18, 0x1.993fcd262db05p-18, 0x1.990818ec43ee6p-18, 0x1.9898f3e5c61b2p-18, 0x1.97f4df5b4de58p-18, 0x1.971e440520818p-18, 0x1.961772ea19f79p-18, 0x1.94e2a63828595p-18, 0x1.9382021460c42p-18, 0x1.91f795694f93cp-18, 0x1.90455aa9a03fp-18, 0x1.8e6d388e05bcbp-18, 0x1.8c7102cd2662ep-18, 0x1.8a527acd61764p-18, 0x1.8813504f5e07bp-18, 0x1.85b52218ca887p-18, 0x1.83397e93e2ff6p-18, 0x1.80a1e468684dbp-18, 0x1.7defc31593a69p-18, 0x1.7b247b82c020ep-18, 0x1.7841608bf3eb3p-18, 0x1.7547b78794ce6p-18, 0x1.7238b8ca9cc41p-18, 0x1.6f159028bd2c6p-18, 0x1.6bdf5d6be4c4p-18, 0x1.689734ce77ap-18, 0x1.653e1f69f01e6p-18, 0x1.61d51ba726ac7p-18, 0x1.5e5d1da7bac4cp-18, 0x1.5ad70facb9c36p-18, 0x1.5743d279283e2p-18, 0x1.53a43db217e32p-18, 0x1.4ff920383d62ep-18, 0x1.4c4340833011dp-18, 0x1.48835cf7b3e2p-18, 0x1.44ba2c378694cp-18, 0x1.40e85d71f3cc9p-18, 0x1.3d0e98b0e0a83p-18, 0x1.392d7f235eb2dp-18, 0x1.3545ab620d469p-18, 0x1.3157b1b4fc955p-18, 0x1.2d642055a7acp-18, 0x1.296b7fad74b13p-18, 0x1.256e5291cc09bp-18, 0x1.216d168240ae3p-18, 0x1.1d6843dd6d734p-18, 0x1.19604e190c18ep-18, 0x1.1555a3f6532c7p-18, 0x1.1148afb2623efp-18, 0x1.0d39d738263fap-18, 0x1.09297c4ded561p-18, 0x1.0517fcc15b1c7p-18, 0x1.0105b2923ce7bp-18, 0x1.f9e5e83a17d61p-19, 0x1.f1c028808b104p-19, 0x1.e99ac507780d1p-19, 0x1.e1765676f236ap-19, 0x1.d9536f58129c2p-19, 0x1.d1329c5645e1ep-19, 0x1.c914647e4b528p-19, 0x1.c0f9497c79298p-19, 0x1.b8e1c7d6e5678p-19, 0x1.b0ce5725058e2p-19, 0x1.a8bf6a47b2a96p-19, 0x1.a0b56f9a7127cp-19, 0x1.98b0d128183c2p-19, 0x1.90b1f4d4a3514p-19, 0x1.88b93c8f94eccp-19, 0x1.80c7067c4b18bp-19, 0x1.78dbad1da73bap-19, 0x1.70f7877ab3fedp-19, 0x1.691ae94558ef7p-19, 0x1.61462300135e1p-19, 0x1.5979821f2c962p-19, 0x1.51b551279b73cp-19, 0x1.49f9d7d216c3ap-19, 0x1.42475b258e22bp-19, 0x1.3a9e1d97836d5p-19, 0x1.32fe5f2425c29p-19, 0x1.2b685d68aeb81p-19, 0x1.23dc53bc725c1p-19, 0x1.1c5a7b49f2195p-19, 0x1.14e30b21fc054p-19, 0x1.0d763853c394bp-19, 0x1.061435ffc589ep-19, 0x1.fd7a6ada12556p-20, 0x1.eee2cc316992dp-20, 0x1.e061eb91a9be8p-20, 0x1.d1f821391d10bp-20, 0x1.c3a5c239cb238p-20, 0x1.b56b20965bc9fp-20, 0x1.a7488b5d2945bp-20, 0x1.993e4ec2c4ae7p-20, 0x1.8b4cb43db07afp-20, 0x1.7d74029ff07dp-20, 0x1.6fb47e27c749fp-20, 0x1.620e689bed486p-20, 0x1.5482015ccf399p-20, 0x1.470f8578a0cb9p-20, 0x1.39b72fbf12ef7p-20, 0x1.2c7938d060e9fp-20, 0x1.1f55d72fc3d83p-20, 0x1.124d3f51d8939p-20, 0x1.055fa3ad2657p-20, 0x1.f11a698a677b1p-21, 0x1.d7ac42754dd14p-21, 0x1.be752bae87767p-21, 0x1.a5757b324240bp-21, 0x1.8cad83790c581p-21, 0x1.741d938e99272p-21, 0x1.5bc5f727f3a57p-21, 0x1.43a6f6b576f54p-21, 0x1.2bc0d7717fe97p-21, 0x1.1413db72db3c8p-21, 0x1.f94083789ec04p-22, 0x1.cacc8ca2a850ap-22, 0x1.9ccc446fca88ep-22, 0x1.6f4017216953ap-22, 0x1.42286b40277eap-22, 0x1.1585a1b3df804p-22, 0x1.d2b02bb5a0cc9p-23, 0x1.7b403b3f1dbdbp-23, 0x1.24bc1312486f4p-23, 0x1.9e4893485b796p-24, 0x1.e9e5abd7c4cbap-25, 0x1.35dfc5a23b723p-26, -0x1.609cad2d27012p-26, -0x1.f7d34abf363acp-25, -0x1.9dceb5ec3793bp-24, -0x1.1eead4ca7a084p-23, -0x1.6dfef04535417p-23, -0x1.bc2367199a546p-23, -0x1.04abfe3ee1641p-22, -0x1.2ace3e8c1f3c2p-22, -0x1.50785f6f9b78bp-22, -0x1.75aa508442473p-22, -0x1.9a6405fa8182ep-22, -0x1.bea57884f20fbp-22, -0x1.e26ea5527c97ep-22, -0x1.02dfc7067926p-21, -0x1.144c1c5ff9b63p-21, -0x1.257c57eadf825p-21, -0x1.3670810390e11p-21, -0x1.4728a12b9d905p-21, -0x1.57a4c404e365ep-21, -0x1.67e4f74c594d3p-21, -0x1.77e94ad501b3bp-21, -0x1.87b1d082aab06p-21, -0x1.973e9c4581622p-21, -0x1.a68fc415242e7p-21, -0x1.b5a55feb0e48ap-21, -0x1.c47f89becfb3ep-21, -0x1.d31e5d7fbb40dp-21, -0x1.e181f91284a7fp-21, -0x1.efaa7c4839296p-21, -0x1.fd9808db08d34p-21, -0x1.05a5613577dd7p-20, -0x1.0c61673adf94cp-20, -0x1.13002a2aa8e99p-20, -0x1.1981be9c623aep-20, -0x1.1fe63a0f58b5ap-20, -0x1.262db2e7ce712p-20, -0x1.2c58406d32565p-20, -0x1.3265fac73bf3p-20, -0x1.3856fafaa54d6p-20, -0x1.3e2b5ae7637c7p-20, -0x1.43e335432ddb5p-20, -0x1.497ea598ea768p-20, -0x1.4efdc8456b548p-20, -0x1.5460ba74af2dep-20, -0x1.59a79a1fa9092p-20, -0x1.5ed28607df971p-20, -0x1.63e19db4d892fp-20, -0x1.68d50172686a1p-20, -0x1.6dacd24c71e03p-20, -0x1.7269320b7e73bp-20, -0x1.770a433225212p-20, -0x1.7b9028fae598fp-20, -0x1.7ffb07540a7a5p-20, -0x1.844b02dc409p-20, -0x1.888040df733a8p-20, -0x1.8c9ae753358efp-20, -0x1.909b1cd48fb72p-20, -0x1.948108a4f9551p-20, -0x1.984cd2a686ae9p-20, -0x1.9bfea3585e7afp-20, -0x1.9f96a3d412d0dp-20, -0x1.a314fdc985af6p-20, -0x1.a679db7cdeb83p-20, -0x1.a9c567c1c63dcp-20, -0x1.acf7cdf91133fp-20, -0x1.b0113a0cbba0ep-20, -0x1.b311d86d33b53p-20, -0x1.b5f9d60cbc0d3p-20, -0x1.b8c9605c63c6ap-20, -0x1.bb80a5498204bp-20, -0x1.be1fd33a2bbep-20, -0x1.c0a71909927b3p-20, -0x1.c316a6049f09bp-20, -0x1.c56ea9e6c384fp-20, -0x1.c7af54d639cd5p-20, -0x1.c9d8d76092b2ep-20, -0x1.cbeb6277823b9p-20, -0x1.cde7276df115ap-20, -0x1.cfcc57f41d146p-20, -0x1.d19b2614fb578p-20, -0x1.d353c430e8ffap-20, -0x1.d4f664fb425dfp-20, -0x1.d6833b77b745cp-20, -0x1.d7fa7af699a74p-20, -0x1.d95c5711d108p-20, -0x1.daa903a953c6ap-20, -0x1.dbe0b4dfd1f0ep-20, -0x1.dd039f17601abp-20, -0x1.de11f6ee0fc1dp-20, -0x1.df0bf13b66361p-20, -0x1.dff1c30c8d39cp-20, -0x1.e0c3a1a1cc381p-20, -0x1.e181c26a242bap-20, -0x1.e22c5b015d8ecp-20, -0x1.e2c3a12bc5b16p-20, -0x1.e347cad3e9a6bp-20, -0x1.e3b90e06bc856p-20, -0x1.e417a0f16a8bbp-20, -0x1.e463b9de671c3p-20, -0x1.e49d8f31e03d7p-20, -0x1.e4c55766b8fdep-20, -0x1.e4db490c343cep-20, -0x1.e4df9ac219c48p-20, -0x1.e4d283369057bp-20, -0x1.e4b43923baa5ep-20, -0x1.e484f34bdc64bp-20, -0x1.e444e8769d558p-20, -0x1.e3f44f6eb40f7p-20, -0x1.e3935eff82f27p-20, -0x1.e3224df1ec7f6p-20, -0x1.e2a1530895444p-20, -0x1.e210a4feac91fp-20, -0x1.e1707a85a9b86p-20, -0x1.e0c10a428384bp-20, -0x1.e0028ac9e0e27p-20, -0x1.df35329ed0463p-20, -0x1.de593830c579ep-20, -0x1.dd6ed1d791bfp-20, -0x1.dc7635d1ef6a5p-20, -0x1.db6f9a43eae81p-20, -0x1.da5b3533a93edp-20, -0x1.d9393c86edf35p-20, -0x1.d809e60163c5bp-20, -0x1.d6cd6742bd13dp-20, -0x1.d583f5c39e18ep-20, -0x1.d42dc6d373865p-20, -0x1.d2cb0f97d11b6p-20, -0x1.d15c050943ae8p-20, -0x1.cfe0dbf1bff5fp-20, -0x1.ce59c8ea66ae4p-20, -0x1.ccc70059f7ffbp-20, -0x1.cb28b6726aaddp-20, -0x1.c97f1f2f8c736p-20, -0x1.c7ca6e54e54a4p-20, -0x1.c60ad76c57c71p-20, -0x1.c4408dc471e7ep-20, -0x1.c26bc46de1adbp-20, -0x1.c08cae3ad8505p-20, }}, 
      {{0x1.8516e77ec5b71p-7, 0x1.85216788d6942p-6, 0x1.23e5684ac1578p-5, 0x1.8546db79ce154p-5, 0x1.e6b60a1b6c2e5p-5, 0x1.2418bf08a2f9p-4, 0x1.54da838831ad9p-4, 0x1.859cca3444184p-4, 0x1.b65a95a067228p-4, 0x1.e70d7a3103fbep-4, 0x1.0bd6d73537d3bp-3, 0x1.241911407e59cp-3, 0x1.3c484ea0649c4p-3, 0x1.545eee527609fp-3, 0x1.6c56dc5a403acp-3, 0x1.8429a3bb41fafp-3, 0x1.9bd08081bf713p-3, 0x1.b34471769ae4ap-3, 0x1.ca7e4930554e6p-3, 0x1.e176be46e7bf3p-3, 0x1.f8267a813eaebp-3, 0x1.07431470b77dfp-2, 0x1.1247414062d61p-2, 0x1.1d1c2d1b449e3p-2, 0x1.27be5385d6c56p-2, 0x1.322a46c1bd79ap-2, 0x1.3c5cb3e296c0fp-2, 0x1.4652665aa008bp-2, 0x1.50084b0761564p-2, 0x1.597b72c6eb734p-2, 0x1.62a9149e4f7ecp-2, 0x1.6b8e8f79d23ep-2, 0x1.74296b8f16b89p-2, 0x1.7c775b6911ab6p-2, 0x1.84763ca53be76p-2, 0x1.8c241868fef6dp-2, 0x1.937f2395f1601p-2, 0x1.9a85bec3100eep-2, 0x1.a1367600c2fd3p-2, 0x1.a790006d22cf7p-2, 0x1.ad913f9da5ec2p-2, 0x1.b3393ee30878ep-2, 0x1.b887326c0babap-2, 0x1.bd7a764b50eaap-2, 0x1.c2128d646d2dbp-2, 0x1.c64f2043f91fap-2, 0x1.ca2ffbe63dfc6p-2, 0x1.cdb5106fc9d64p-2, 0x1.d0de6fdb139eap-2, 0x1.d3ac4c9dfa119p-2, 0x1.d61ef849cf91ep-2, 0x1.d836e22849891p-2, 0x1.d9f495d7847afp-2, 0x1.db58b9e70882p-2, 0x1.dc640e7782ed1p-2, 0x1.dd176bdeb5629p-2, 0x1.dd73c150e777fp-2, 0x1.dd7a1390f0419p-2, 0x1.dd2b7ba7c1d49p-2, 0x1.dc8925a43d86p-2, 0x1.db944f63d9ae2p-2, 0x1.da4e47649b1efp-2, 0x1.d8b86ba0a75a3p-2, 0x1.d6d42873a7625p-2, 0x1.d4a2f78a1b40dp-2, 0x1.d2265eda9424cp-2, 0x1.cf5fefa8d3c7cp-2, 0x1.cc514592a6e09p-2, 0x1.c8fc05a64ffa5p-2, 0x1.c561dd824b456p-2, 0x1.c184827e296aap-2, 0x1.bd65b0dc3a205p-2, 0x1.b9072b03ba6acp-2, 0x1.b46ab8c339924p-2, 0x1.af92269ae3e0fp-2, 0x1.aa7f450e638dep-2, 0x1.a533e7fe0d823p-2, 0x1.9fb1e60704349p-2, 0x1.99fb17ea10656p-2, 0x1.941157f8e334bp-2, 0x1.8df681897d667p-2, 0x1.87ac706f8075cp-2, 0x1.8135007b270d8p-2, 0x1.7a920cfdb1e26p-2, 0x1.73c5705311f44p-2, 0x1.6cd103709e13fp-2, 0x1.65b69d78a9e4fp-2, 0x1.5e781352d341ap-2, 0x1.57173748dc39ap-2, 0x1.4f95d8a7f270dp-2, 0x1.47f5c366411ffp-2, 0x1.4038bfccaeedbp-2, 0x1.38609224a947cp-2, 0x1.306efa69e9e19p-2, 0x1.2865b4001086p-2, 0x1.2046756c0b146p-2, 0x1.1812f01124f3dp-2, 0x1.0fcccff1b36fbp-2, 0x1.0775bb73488ebp-2, 0x1.fe1ea64ca6a55p-3, 0x1.ed3663224a0d7p-3, 0x1.dc35d5fc77e0bp-3, 0x1.cb201a9b98b4fp-3, 0x1.b9f83f94dc0f8p-3, 0x1.a8c14601bd4e4p-3, 0x1.977e213590481p-3, 0x1.8631b678ec4c2p-3, 0x1.74dedccad251cp-3, 0x1.63885ca769671p-3, 0x1.5230efd432948p-3, 0x1.40db41317bea6p-3, 0x1.2f89ec91082a9p-3, 0x1.1e3f7e91a9f5bp-3, 0x1.0cfe747fc004ap-3, 0x1.f7927874c255fp-4, 0x1.d544683a2f2fdp-4, 0x1.b31755dbf96b6p-4, 0x1.910fbfa038d4bp-4, 0x1.6f320473cfe8ap-4, 0x1.4d8263df44cb8p-4, 0x1.2c04fe0329eb4p-4, 0x1.0abdd39bd6ca3p-4, 0x1.d3618c183fb2dp-5, 0x1.91c32edd8d54fp-5, 0x1.50a7d55cac961p-5, 0x1.101687464c41cp-5, 0x1.a02c1cdce6f52p-6, 0x1.2159ee3ee2c3bp-6, 0x1.478641dde562p-7, 0x1.3b9ecd05ae1c6p-9, -0x1.4e20ee7914de4p-8, -0x1.9a4bd4e3195bfp-7, -0x1.455a752792f64p-6, -0x1.bc1b93a316e31p-6, -0x1.18afb91a96d56p-5, -0x1.528e58345e055p-5, -0x1.8ba52fe020b86p-5, -0x1.c3f0013369a2p-5, -0x1.fb6ac4ea83231p-5, -0x1.1908d55aa7e1p-4, -0x1.33f08c3f6c8b7p-4, -0x1.4e6ad4d7ff30bp-4, -0x1.68761736c9d95p-4, -0x1.8210d5692396p-4, -0x1.9b39ab1254414p-4, -0x1.b3ef4d04c3983p-4, -0x1.cc3088d98de77p-4, -0x1.e3fc448686e8bp-4, -0x1.fb517df2ef9c6p-4, -0x1.0917a545706fbp-3, -0x1.144a6b68cba06p-3, -0x1.1f40b2f96527ap-3, -0x1.29fa28a98890bp-3, -0x1.3476840fc7f3ap-3, -0x1.3eb5876e74a0ap-3, -0x1.48b6ff7ad4f0fp-3, -0x1.527ac3241c85ap-3, -0x1.5c00b35a2a78ap-3, -0x1.6548bad42fcd3p-3, -0x1.6e52cdd7300eap-3, -0x1.771ee9fc72f9ep-3, -0x1.7fad15f7efffep-3, -0x1.87fd615ec0d08p-3, -0x1.900fe46d9689cp-3, -0x1.97e4bfcf4cce5p-3, -0x1.9f7c1c6392da8p-3, -0x1.a6d62b05bd0eap-3, -0x1.adf32453c4374p-3, -0x1.b4d34875799c1p-3, -0x1.bb76dee3f35a8p-3, -0x1.c1de36313f1e4p-3, -0x1.c809a3d06160ep-3, -0x1.cdf983dd9f6dcp-3, -0x1.d3ae38e7231ep-3, -0x1.d9282bb5f92e2p-3, -0x1.de67cb177ae4p-3, -0x1.e36d8ba7132ebp-3, -0x1.e839e7987e0b5p-3, -0x1.eccd5e8273392p-3, -0x1.f1287529ceb6bp-3, -0x1.f54bb54d35451p-3, -0x1.f937ad713bfb8p-3, -0x1.fcecf0ad14ac7p-3, -0x1.00360b3be5b7p-2, -0x1.01dadd3b08ep-2, -0x1.03653e244d6a3p-2, -0x1.04d57fad8a355p-2, -0x1.062bf559df7p-2, -0x1.0768f461ce456p-2, -0x1.088cd39ba72fp-2, -0x1.0997eb6447e1bp-2, -0x1.0a8a958832f26p-2, -0x1.0b652d2cf7f77p-2, -0x1.0c280ebafbfa9p-2, -0x1.0cd397c793b92p-2, -0x1.0d6826ff8067ep-2, -0x1.0de61c11c1ca1p-2, -0x1.0e4dd79acacbbp-2, -0x1.0e9fbb10143afp-2, -0x1.0edc28ac0a8aep-2, -0x1.0f03835a64b4p-2, -0x1.0f162ea4d3eb7p-2, -0x1.0f148ea01b95ep-2, -0x1.0eff07d9898c6p-2, -0x1.0ed5ff44d4d9ap-2, -0x1.0e99da2a5b072p-2, -0x1.0e4afe15ca7cp-2, -0x1.0de9d0c52afa2p-2, -0x1.0d76b818508a5p-2, -0x1.0cf21a00b23e2p-2, -0x1.0c5c5c71a538bp-2, -0x1.0bb5e55104585p-2, -0x1.0aff1a68358f1p-2, -0x1.0a3861559e7f3p-2, -0x1.09621f7e77a7cp-2, -0x1.087cba010b50bp-2, -0x1.078895a758be2p-2, -0x1.068616da1ac8ap-2, -0x1.0575a19437222p-2, -0x1.045799569251bp-2, -0x1.032c611c44718p-2, -0x1.01f45b4f37ea5p-2, -0x1.00afe9bd256cep-2, -0x1.febedb19f04d4p-3, -0x1.fc068e691f47cp-3, -0x1.f937acddcbf28p-3, -0x1.f652f4652c7bp-3, -0x1.f35921517ebfdp-3, -0x1.f04aee4895a82p-3, -0x1.ed29143319ecfp-3, -0x1.e9f44a2c8aa2bp-3, -0x1.e6ad4573ee90cp-3, -0x1.e354b95d41c4ep-3, -0x1.dfeb57439150dp-3, -0x1.dc71ce7bcb594p-3, -0x1.d8e8cc4839ca3p-3, -0x1.d550fbccadd8p-3, -0x1.d1ab06034e3b8p-3, -0x1.cdf791b21477dp-3, -0x1.ca374360e6b35p-3, -0x1.c66abd5057ceep-3, -0x1.c2929f71032e5p-3, -0x1.beaf875b86d51p-3, -0x1.bac2104913eccp-3, -0x1.b6cad30c98591p-3, -0x1.b2ca660c788dp-3, -0x1.aec15d3cda82ep-3, -0x1.aab04a1a7e52ap-3, -0x1.a697bba623846p-3, -0x1.a2783e606d0d5p-3, -0x1.9e525c4653cb6p-3, -0x1.9a269cce15e91p-3, -0x1.95f584e49cfffp-3, -0x1.91bf96eb6f35cp-3, -0x1.8d8552b704a08p-3, -0x1.8947358da25dp-3, -0x1.8505ba26990bep-3, -0x1.80c158aa01161p-3, -0x1.7c7a86b0cee88p-3, -0x1.7831b74564167p-3, -0x1.73e75ae4740c9p-3, -0x1.6f9bdf7e54136p-3, -0x1.6b4fb078aa51dp-3, -0x1.670336b073e3dp-3, -0x1.62b6d87c691p-3, -0x1.5e6af9afb2691p-3, -0x1.5a1ffb9cf423bp-3, -0x1.55d63d19a9771p-3, -0x1.518e1a81cba36p-3, -0x1.4d47edbbc1f9fp-3, -0x1.49040e3c9d8bp-3, -0x1.44c2d10c94289p-3, -0x1.408488cbc004cp-3, -0x1.3c4985b71ce3ap-3, -0x1.381215adc2decp-3, -0x1.33de843657b27p-3, -0x1.2faf1a84bcbc2p-3, -0x1.2b841f7fe8f43p-3, -0x1.275dd7c7fa516p-3, -0x1.233c85bc74092p-3, -0x1.1f206982ad308p-3, -0x1.1b09c10c60c9bp-3, -0x1.16f8c81e6f143p-3, -0x1.12edb857be86cp-3, -0x1.0ee8c9383ff96p-3, -0x1.0aea302819824p-3, -0x1.06f2207ee66fdp-3, -0x1.0300cb8b1a71dp-3, -0x1.fe2cc132f9036p-4, -0x1.f66619f97be35p-4, -0x1.eeadf82a3b96ep-4, -0x1.e704aeb059767p-4, -0x1.df6a8cb1338c4p-4, -0x1.d7dfdd9c2677ep-4, -0x1.d064e93a6d39cp-4, -0x1.c8f9f3bf161adp-4, -0x1.c19f3dd70e736p-4, -0x1.ba5504b947126p-4, -0x1.b31b8236dc29bp-4, -0x1.abf2eccb5256fp-4, -0x1.a4db77acde39ep-4, -0x1.9dd552dca33fdp-4, -0x1.96e0ab3707e47p-4, -0x1.8ffdaa83ff0b5p-4, -0x1.892c77874e2e4p-4, -0x1.826d3610d3048p-4, -0x1.7bc0070cbf7d6p-4, -0x1.75250893c77a8p-4, -0x1.6e9c55fb47db2p-4, -0x1.682607e559a5dp-4, -0x1.61c23450d55dbp-4, -0x1.5b70eea94356ep-4, -0x1.553247d6b41ecp-4, -0x1.4f064e4d855cfp-4, -0x1.48ed0e1e08722p-4, -0x1.42e6910411ddfp-4, -0x1.3cf2de7667389p-4, -0x1.3711fbb613a94p-4, -0x1.3143ebdd98a77p-4, -0x1.2b88afeffb8cp-4, -0x1.25e046e7b4b39p-4, -0x1.204aadc575d0ap-4, -0x1.1ac7df9ecbffbp-4, -0x1.1557d5ac9aa12p-4, -0x1.0ffa87596d07fp-4, -0x1.0aafea4fa175p-4, -0x1.0577f28764bf9p-4, -0x1.005292548857fp-4, -0x1.f67f74e84e108p-5, -0x1.ec7eb43440bbp-5, -0x1.e2a2bdfcc705ep-5, -0x1.d8eb6ad41a284p-5, -0x1.cf589088aa2a7p-5, -0x1.c5ea023e99c8ap-5, -0x1.bc9f9088d9945p-5, -0x1.b3790981e0eafp-5, -0x1.aa7638e4051d1p-5, -0x1.a196e8216b9adp-5, -0x1.98dade7b9a4fdp-5, -0x1.9041e11a9ecc6p-5, -0x1.87cbb323d0cd9p-5, -0x1.7f7815d034037p-5, -0x1.7746c8826dd38p-5, -0x1.6f3788dc5403fp-5, -0x1.674a12d41aa4ep-5, -0x1.5f7e20c914338p-5, -0x1.57d36b980e848p-5, -0x1.5049aaaf4a002p-5, -0x1.48e0942202092p-5, -0x1.4197dcbb9c5fdp-5, -0x1.3a6f3812624cep-5, -0x1.33665899e3f26p-5, -0x1.2c7cefb4e50aep-5, -0x1.25b2adc6f049fp-5, -0x1.1f074245823d8p-5, -0x1.187a5bc8ceda6p-5, -0x1.120ba81c231c2p-5, -0x1.0bbad44de2b9p-5, -0x1.05878cbf27e43p-5, -0x1.fee2fa65f19d1p-6, -0x1.f2f0a1ba49ae1p-6, -0x1.e73764e178199p-6, -0x1.dbb6985c490d3p-6, -0x1.d06d8fe1b3c25p-6, -0x1.c55b9e798ed0dp-6, -0x1.ba8016968fa91p-6, -0x1.afda4a2f94806p-6, -0x1.a5698ad82ed6bp-6, -0x1.9b2d29d884652p-6, -0x1.9124784481897p-6, -0x1.874ec7124e661p-6, -0x1.7dab67301c883p-6, -0x1.7439a9994d13fp-6, -0x1.6af8df6aee0d4p-6, -0x1.61e859f784e4cp-6, -0x1.59076ada4cfbcp-6, -0x1.50556409b3f09p-6, -0x1.47d197e94d66dp-6, -0x1.3f7b595b30393p-6, -0x1.3751fbd097141p-6, -0x1.2f54d35a0da93p-6, -0x1.278334b6edf6dp-6, -0x1.1fdc75645b608p-6, -0x1.185febaba2442p-6, -0x1.110ceeb00f0aap-6, -0x1.09e2d67c387c5p-6, -0x1.02e0fc0eb215dp-6, -0x1.f80d72ccb64a4p-7, -0x1.eaa6d31bfec49p-7, -0x1.dd8cd14f2a092p-7, -0x1.d0be27edd9643p-7, -0x1.c43993d7c4238p-7, -0x1.b7fdd45849d77p-7, -0x1.ac09ab38eb1a6p-7, -0x1.a05bdcd2e5633p-7, -0x1.94f3301ff1e2ap-7, -0x1.89ce6eca26028p-7, -0x1.7eec653ae06bfp-7, -0x1.744be2a904b8dp-7, -0x1.69ebb9263ca1dp-7, -0x1.5fcabdab94838p-7, -0x1.55e7c82521981p-7, -0x1.4c41b37d173c3p-7, -0x1.42d75da601eacp-7, -0x1.39a7a7a43f04ep-7, -0x1.30b17596df8f4p-7, -0x1.27f3aebfaa09cp-7, -0x1.1f6d3d8ab4b17p-7, -0x1.171d0f951e4cep-7, -0x1.0f0215b3263f4p-7, -0x1.071b43f5dae9fp-7, -0x1.fecf235fdcaafp-8, -0x1.efcbf2f43c214p-8, -0x1.e12af26df2235p-8, -0x1.d2ea242c40e9fp-8, -0x1.c507912df1ec2p-8, -0x1.b78149159da76p-8, -0x1.aa55622d3881bp-8, -0x1.9d81f9683be2bp-8, -0x1.910532652aa2fp-8, -0x1.84dd376e3886ap-8, -0x1.79083978b6bfp-8, -0x1.6d847023f9e0cp-8, -0x1.625019b74e59p-8, -0x1.57697b1f1c077p-8, -0x1.4ccedfe93fbedp-8, -0x1.427e9a40c40d6p-8, -0x1.387702e8c2f83p-8, -0x1.2eb6793692ba6p-8, -0x1.253b630b866dep-8, -0x1.1c042ccdbee2ep-8, -0x1.130f4960760c5p-8, -0x1.0a5b321bdb3dap-8, -0x1.01e666c429cfep-8, -0x1.f35edb00a3707p-9, -0x1.e369a5a03717cp-9, -0x1.d3ea53037f8dp-9, -0x1.c4de154e42ec6p-9, -0x1.b6422b14c87b4p-9, -0x1.a813df44b03acp-9, -0x1.9a50890c62317p-9, -0x1.8cf58bc250aafp-9, -0x1.800056cb08c9cp-9, -0x1.736e657ebb6cbp-9, -0x1.673d3f0e2a24dp-9, -0x1.5b6a7666ce92fp-9, -0x1.4ff3aa16a7b22p-9, -0x1.44d6842f51de3p-9, -0x1.3a10ba2890fbep-9, -0x1.2fa00cc255c6fp-9, -0x1.258247e6d6439p-9, -0x1.1bb5428b26d17p-9, -0x1.1236de90a419ap-9, -0x1.090508a554665p-9, -0x1.001db823d7d36p-9, -0x1.eefddde73dba7p-10, -0x1.de4d72d07b02ap-10, -0x1.ce265c41f6563p-10, -0x1.be84dbcff2b63p-10, -0x1.af654721e5729p-10, -0x1.a0c407b0846b8p-10, -0x1.929d9a82e4828p-10, -0x1.84ee8feb493a8p-10, -0x1.77b38b443485cp-10, -0x1.6ae942ad45098p-10, -0x1.5e8c7ec742f67p-10, -0x1.529a1a7115f12p-10, -0x1.470f0284253bep-10, -0x1.3be8359097399p-10, -0x1.3122c399ff479p-10, -0x1.26bbcdd40dd78p-10, -0x1.1cb0865edb35p-10, -0x1.12fe30044ce47p-10, -0x1.09a21df4bcbb9p-10, -0x1.0099b383c728p-10, -0x1.efc4c7ce27c7cp-11, -0x1.def363e4a3296p-11, -0x1.ceba5fad17602p-11, -0x1.bf14fdbfbfd06p-11, -0x1.affe9e680d2cap-11, -0x1.a172bf236ef8fp-11, -0x1.936cfa1f9d99bp-11, -0x1.85e905ba756e8p-11, -0x1.78e2b40209523p-11, -0x1.6c55f236037e8p-11, -0x1.603ec84a7782cp-11, -0x1.5499586ab26c4p-11, -0x1.4961de7cc8166p-11, -0x1.3e94afa848df3p-11, -0x1.342e39db17812p-11, -0x1.2a2b0352414aap-11, -0x1.2087aa20df493p-11, -0x1.1740e3bb4fd79p-11, -0x1.0e537c80b0109p-11, -0x1.05bc5748007b4p-11, -0x1.faf0d9d9142d5p-12, -0x1.eb0997b981c34p-12, -0x1.dbbd2f5327a49p-12, -0x1.cd06112f6167ep-12, -0x1.beded663605cap-12, -0x1.b1423fb69f20fp-12, -0x1.a42b34cd57233p-12, -0x1.9794c353fc3fdp-12, -0x1.8b7a1e2f4166p-12, -0x1.7fd69cab69fe3p-12, -0x1.74a5b9b324a84p-12, -0x1.69e313057e7d8p-12, -0x1.5f8a686e779c1p-12, -0x1.55979b0527bcdp-12, -0x1.4c06ac69b1b1ap-12, -0x1.42d3be07ca472p-12, -0x1.39fb105ab7331p-12, -0x1.317902353d775p-12, -0x1.294a100af9dbcp-12, -0x1.216ad33e8d32p-12, -0x1.19d8016f595b7p-12, -0x1.128e6bcd5167cp-12, -0x1.0b8afe6deee24p-12, -0x1.04cabfa25229p-12, -0x1.fc959ea9120f9p-13, -0x1.f010ccc489654p-13, -0x1.e401abfc5a362p-13, -0x1.d8630e24832cp-13, -0x1.cd2ff34955366p-13, -0x1.c26388808d768p-13, -0x1.b7f926be8de9bp-13, -0x1.adec51af722a8p-13, -0x1.a438b6994bdebp-13, -0x1.9ada2b3ee4732p-13, -0x1.91ccaccac80a1p-13, -0x1.890c5ebe3bd02p-13, -0x1.809589e6daadep-13, -0x1.78649b56958fdp-13, -0x1.707623628546fp-13, -0x1.68c6d4a6c38a4p-13, -0x1.6153830e2f5f2p-13, -0x1.5a1922e0e561p-13, -0x1.5314c7d33b89dp-13, -0x1.4c43a421de77cp-13, -0x1.45a307a7afeb5p-13, -0x1.3f305f01dfc8ap-13, -0x1.38e932b386fedp-13, -0x1.32cb264f24704p-13, -0x1.2cd3f7a48f116p-13, -0x1.27017df3e28bfp-13, -0x1.2151a923f1818p-13, -0x1.1bc280fdd90d9p-13, -0x1.1652246c8b644p-13, -0x1.10fec8c0655eap-13, -0x1.0bc6b8f91eb9cp-13, -0x1.06a8550dee11dp-13, -0x1.01a21142615c5p-13, -0x1.f964eaef8e921p-14, -0x1.efb0390e3c5a6p-14, -0x1.e6236737ddd8ap-14, -0x1.dcbbf32c0329p-14, -0x1.d3777cd89fdddp-14, -0x1.ca53c52956da1p-14, -0x1.c14eacdfab30ep-14, -0x1.b866337096b93p-14, -0x1.af9875e88456cp-14, -0x1.a6e3add96e23p-14, -0x1.9e46304d1f8d5p-14, -0x1.95be6cbeeefddp-14, -0x1.8d4aec1e9ef5ap-14, -0x1.84ea4fd4fb9a6p-14, -0x1.7c9b50d4819d7p-14, -0x1.745cbeaa7da8bp-14, -0x1.6c2d7e9cd6054p-14, -0x1.640c8ac7eb23ep-14, -0x1.5bf8f1488b989p-14, -0x1.53f1d3650a824p-14, -0x1.4bf664c27a838p-14, -0x1.4405ea9b81a7dp-14, -0x1.3c1fbaff66732p-14, -0x1.34433c14534c6p-14, -0x1.2c6fe361052abp-14, -0x1.24a53519b1279p-14, -0x1.1ce2c3743c499p-14, -0x1.15282e006054cp-14, -0x1.0d75210599637p-14, -0x1.05c954e37cdap-14, -0x1.fc491afa094ebp-15, -0x1.ed0d333bd54adp-15, -0x1.dddea4e16d96ap-15, -0x1.cebd35e118ccfp-15, -0x1.bfa8bec6f84d9p-15, -0x1.b0a129b02f628p-15, -0x1.a1a6714ca2b54p-15, -0x1.92b89fecb05f2p-15, -0x1.83d7ce939fa9cp-15, -0x1.750424139851dp-15, -0x1.663dd434273a2p-15, -0x1.57851ed82b708p-15, -0x1.48da4f32e392ap-15, -0x1.3a3dbb00d9fd9p-15, -0x1.2bafc1c846e03p-15, -0x1.1d30cc21bdd75p-15, -0x1.0ec14b04068bdp-15, -0x1.0061b71b21a47p-15, -0x1.e42520444259p-16, -0x1.c7a8b8846ef98p-16, -0x1.ab4f4efb10b1bp-16, -0x1.8f1a063540487p-16, -0x1.730a0a2e31d78p-16, -0x1.57208f41028c1p-16, -0x1.3b5ed1245efb2p-16, -0x1.1fc611f12a308p-16, -0x1.045799323ac34p-16, -0x1.d2296602da8fcp-17, -0x1.9bfd5e5d79776p-17, -0x1.662dc0d3240eep-17, -0x1.30bd36effeaa9p-17, -0x1.f75cd9f75c81ep-18, -0x1.8e0820fbf33eep-18, -0x1.25819de63f546p-18, -0x1.7b9d51bfc8c33p-19, -0x1.5bd2538d031e1p-20, 0x1.e0ea5398a485p-23, 0x1.d07f3005a8b84p-20, 0x1.b09f42fe0a92p-19, 0x1.3b91ab28cd7a9p-18, 0x1.9de0d0d8cb47cp-18, 0x1.ff380be57ea66p-18, 0x1.2fc934744a933p-17, 0x1.5f75849e98d57p-17, 0x1.8e9e9244f853cp-17, 0x1.bd42050f8953ep-17, 0x1.eb5d911eb9345p-17, 0x1.0c777bd440a09p-16, 0x1.22fa03c8d7319p-16, 0x1.39354ef1b8592p-16, 0x1.4f28532c0c214p-16, 0x1.64d20de3247f3p-16, 0x1.7a3184439c6d3p-16, 0x1.8f45c36f8311ep-16, 0x1.a40de0a3eeb87p-16, 0x1.b888f968685b3p-16, 0x1.ccb633ad816b5p-16, 0x1.e094bdecc9f4p-16, 0x1.f423cf454d8e1p-16, 0x1.03b153ca4a7c1p-15, 0x1.0d2847c42eb2ap-15, 0x1.16766c5a7f0ddp-15, 0x1.1f9b6ed04dd0ap-15, 0x1.289700e750668p-15, 0x1.3168d8e4a6ecep-15, 0x1.3a10b191c8e8fp-15, 0x1.428e4a3f5f953p-15, 0x1.4ae166c581543p-15, 0x1.5309cf81db837p-15, 0x1.5b075154c0666p-15, 0x1.62d9bd9f23938p-15, 0x1.6a80ea3d25d75p-15, 0x1.71fcb17fe8faap-15, 0x1.794cf2275a881p-15, 0x1.80718f5b3a91cp-15, 0x1.876a70a21134p-15, 0x1.8e3781d8cd6d9p-15, 0x1.94d8b326b62d5p-15, 0x1.9b4df8f407335p-15, 0x1.a1974bdee300ep-15, 0x1.a7b4a8acf2dd4p-15, 0x1.ada610410c8e9p-15, 0x1.b36b878c48bd4p-15, 0x1.b90517804f308p-15, 0x1.be72cd00d2133p-15, 0x1.c3b4b8d46f614p-15, 0x1.c8caef943e37cp-15, 0x1.cdb5899da938p-15, 0x1.d274a3013834cp-15, 0x1.d7085b71a52d1p-15, 0x1.db70d632e280bp-15, 0x1.dfae3a0955634p-15, 0x1.e3c0b12728d67p-15, 0x1.e7a8691b44bd7p-15, 0x1.eb6592be9a5aep-15, 0x1.eef86222b73bp-15, 0x1.f2610e7ec26ecp-15, 0x1.f59fd21c55bf3p-15, 0x1.f8b4ea459da8fp-15, 0x1.fba09730ed38bp-15, 0x1.fe631befe6d6bp-15, 0x1.007e5f2d2ba79p-14, 0x1.01b6e37e4cc4cp-14, 0x1.02db4081d2164p-14, 0x1.03eb9d14eb76cp-14, 0x1.04e8215261517p-14, 0x1.05d0f687c8531p-14, 0x1.06a6472d3ce6bp-14, 0x1.07683edb2be15p-14, 0x1.08170a40fe285p-14, 0x1.08b2d71b5e623p-14, 0x1.093bd42b2e4afp-14, 0x1.09b2312b78a04p-14, 0x1.0a161ec8e0f54p-14, 0x1.0a67ce976cba9p-14, 0x1.0aa7730a137eep-14, 0x1.0ad53f6929036p-14, 0x1.0af167c9a7971p-14, 0x1.0afc21039d694p-14, 0x1.0af5a0a9c3ff2p-14, 0x1.0ade1d0009fc7p-14, 0x1.0ab5ccf39485ap-14, 0x1.0a7ce8116e816p-14, 0x1.0a33a67e9215ap-14, 0x1.09da40eeb068dp-14, 0x1.0970f09ca930dp-14, 0x1.08f7ef41c3f17p-14, 0x1.086f770dbeb37p-14, 0x1.07d7c29e64c1bp-14, 0x1.07310cf8417cap-14, 0x1.067b917e78d82p-14, 0x1.05b78beb1943fp-14, 0x1.04e538478e8bfp-14, 0x1.0404d2e56bba3p-14, 0x1.03169856c7cefp-14, 0x1.021ac5670d384p-14, 0x1.0111971432226p-14, 0x1.fff6950efb55fp-15, 0x1.fdb03a1da636fp-15, 0x1.fb50982c5db75p-15, 0x1.f8d82a418eadp-15, 0x1.f6476b85ca27dp-15, 0x1.f39ed7366cd5p-15, 0x1.f0dee89a30047p-15, 0x1.ee081af48478dp-15, 0x1.eb1ae979a667bp-15, 0x1.e817cf43bf54cp-15, 0x1.e4ff4746ee2e3p-15, 0x1.e1d1cc46686f7p-15, 0x1.de8fd8ca2fb45p-15, 0x1.db39e71324a47p-15, 0x1.d7d0711280af6p-15, 0x1.d453f05edd9b3p-15, 0x1.d0c4de2ab75fbp-15, 0x1.cd23b33a76648p-15, 0x1.c970e7dc17b77p-15, 0x1.c5acf3ddd2373p-15, 0x1.c1d84e8499dfcp-15, 0x1.bdf36e8456ad4p-15, 0x1.b9fec9f80cb9cp-15, 0x1.b5fad658e648fp-15, 0x1.b1e80877173f5p-15, 0x1.adc6d47202013p-15, 0x1.a997adb13e957p-15, 0x1.a55b06ddaf1bap-15, 0x1.a11151d9e18f8p-15, 0x1.9cbaffbc3b1c3p-15, 0x1.985880c87b2f2p-15, 0x1.93ea4469215b5p-15, 0x1.8f70b92a6ab99p-15, 0x1.8aec4cb43dd3p-15, 0x1.865d6bc44fd4bp-15, 0x1.81c48229194a1p-15, 0x1.7d21fabd184d7p-15, 0x1.78763f61ae8fdp-15, 0x1.73c1b8fae313ep-15, 0x1.6f04cf6a66c31p-15, 0x1.6a3fe98bc6353p-15, 0x1.65736d30145d1p-15, 0x1.609fbf1ab6e0cp-15, 0x1.5bc542fd3d72bp-15, 0x1.56e45b73e1c8dp-15, 0x1.51fd6a02700edp-15, 0x1.4d10cf11351c6p-15, 0x1.481ee9ea5750cp-15, 0x1.432818b6aca55p-15, 0x1.3e2cb87b3e68cp-15, 0x1.392d25174f0adp-15, 0x1.3429b941bfefep-15, 0x1.2f22ce874e5cdp-15, 0x1.2a18bd47e06e2p-15, 0x1.250bdcb60e8fap-15, 0x1.1ffc82d4cc535p-15, 0x1.1aeb0475f558ep-15, 0x1.15d7b5395b30ap-15, 0x1.10c2e78b1cfp-15, 0x1.0baceca337815p-15, 0x1.069614847375ep-15, 0x1.017eadfbd711bp-15, 0x1.f8ce0d3ea6878p-16, 0x1.ee9ed59c63cb1p-16, 0x1.e4704b60eb864p-16, 0x1.da43026cb9bb8p-16, 0x1.d0178c3132b12p-16, 0x1.c5ee77b05748bp-16, 0x1.bbc8517db439ap-16, 0x1.b1a5a3be4bbb3p-16, 0x1.a786f6284b4c3p-16, 0x1.9d6cce05d5cap-16, 0x1.9357ae35f13b4p-16, 0x1.8948172c9c6d6p-16, 0x1.7f3e86f48cfe5p-16, 0x1.753b79321b519p-16, 0x1.6b3f672439p-16, 0x1.614ac7a6b6595p-16, 0x1.575e0f342d1a1p-16, 0x1.4d79afe9508a1p-16, 0x1.439e1986447abp-16, 0x1.39cbb97226523p-16, 0x1.3002fabe05f94p-16, 0x1.26444627fd0c1p-16, 0x1.1c90021d8c235p-16, 0x1.12e692bfb56d6p-16, 0x1.094859e604bddp-16, 0x1.ff6b6e44e5568p-17, 0x1.ec5e0f8aad9c6p-17, 0x1.d9694dc10dbfbp-17, 0x1.c68dda977cdadp-17, 0x1.b3cc6350276c9p-17, 0x1.a12590c8ecdccp-17, 0x1.8e9a078646ff6p-17, 0x1.7c2a67b930684p-17, 0x1.69d74d481f0e3p-17, 0x1.57a14fd7df397p-17, 0x1.458902d62fa78p-17, 0x1.338ef583ccd87p-17, 0x1.21b3b2fc4fef1p-17, 0x1.0ff7c23fda033p-17, 0x1.fcb74c7a604e1p-18, 0x1.d9bfbbba6d441p-18, 0x1.b709c81700ffbp-18, 0x1.94965f7fc432dp-18, 0x1.7266681666e79p-18, 0x1.507ac0405cb4ep-18, 0x1.2ed43eba9ce17p-18, 0x1.0d73b2b1ad43p-18, 0x1.d8b3c7b088801p-19, 0x1.970f24eeb6062p-19, 0x1.55faef11f3e08p-19, 0x1.157889977db2fp-19, 0x1.ab12936b625a2p-20, 0x1.2c5ced106a913p-20, 0x1.5da524cfd7d37p-21, 0x1.93aed1eb1515ep-23, -0x1.22dbff4e6777cp-22, -0x1.8563b60835a19p-21, -0x1.3b78b10a0532bp-20, -0x1.b30995b3c4b57p-20, -0x1.14b15b48860acp-19, -0x1.4f412d526432ep-19, -0x1.893370fe72ce9p-19, -0x1.c28762acb488dp-19, -0x1.fb3c4aed24f0bp-19, -0x1.19a8bf258a9p-18, -0x1.35632e90011e2p-18, -0x1.50cd29b82878p-18, -0x1.6be66c5c5c301p-18, -0x1.86aeb7dbf20dap-18, }}, 
      {{0x1.50f48d592e2afp-7, 0x1.50f927d9b392fp-6, 0x1.f980cafb6b1e6p-6, 0x1.510a3d4a5ae1ap-5, 0x1.a55b24ba2caf6p-5, 0x1.f9b364e614a27p-5, 0x1.270935a62d8ap-4, 0x1.513b5b9b5d071p-4, 0x1.7b6ee77e81643p-4, 0x1.a5a21e1257f07p-4, 0x1.cfd2c6aa32234p-4, 0x1.f9fe2e8dc44fdp-4, 0x1.121097282484bp-3, 0x1.271c1857cdf2fp-3, 0x1.3c1f9d4def8dep-3, 0x1.5118fa09fbd25p-3, 0x1.6605d8c74edadp-3, 0x1.7ae3bed908db7p-3, 0x1.8fb011935eecfp-3, 0x1.a4681b2cd61f3p-3, 0x1.b9090f861dc0ap-3, 0x1.cd9010cac6e5p-3, 0x1.e1fa33e05ad98p-3, 0x1.f644849c16467p-3, 0x1.053604dcffa42p-2, 0x1.0f36e448f766ap-2, 0x1.1923644474d31p-2, 0x1.22fa0b1f2daa6p-2, 0x1.2cb9633aef106p-2, 0x1.365ffc5f87184p-2, 0x1.3fec6ceead324p-2, 0x1.495d52f932031p-2, 0x1.52b15536cc5fbp-2, 0x1.5be723e1fbe61p-2, 0x1.64fd79798207cp-2, 0x1.6df31b68f5de8p-2, 0x1.76c6da99f39ffp-2, 0x1.7f7793ef63ad9p-2, 0x1.880430ac48ee4p-2, 0x1.906ba6c77c014p-2, 0x1.98acf92db0ef8p-2, 0x1.a0c737f30b7e6p-2, 0x1.a8b980758878fp-2, 0x1.b082fd716c48dp-2, 0x1.b822e708d7d1dp-2, 0x1.bf9882bf9deb3p-2, 0x1.c6e3236c65be8p-2, 0x1.ce02292014bc4p-2, 0x1.d4f501047984bp-2, 0x1.dbbb25330fb72p-2, 0x1.e2541c84c8d3cp-2, 0x1.e8bf7a5b95fc6p-2, 0x1.eefcde6681b9ap-2, 0x1.f50bf46103f98p-2, 0x1.faec73ce4579fp-2, 0x1.004f0fd87413dp-1, 0x1.0310631ff4c53p-1, 0x1.05ba204c95fcfp-1, 0x1.084c39390d5c4p-1, 0x1.0ac6a4e372b51p-1, 0x1.0d295f44584a7p-1, 0x1.0f74692592243p-1, 0x1.11a7c7f8d248dp-1, 0x1.13c385ae436d9p-1, 0x1.15c7b08b4350ap-1, 0x1.17b45b0158733p-1, 0x1.19899b8581fc7p-1, 0x1.1b478c67f3955p-1, 0x1.1cee4bac556d8p-1, 0x1.1e7dfae298071p-1, 0x1.1ff6bf0067a77p-1, 0x1.2158c03b4e63dp-1, 0x1.22a429e38e3b1p-1, 0x1.23d92a3fb7a5cp-1, 0x1.24f7f26907d11p-1, 0x1.2600b6288ddd6p-1, 0x1.26f3abd51df04p-1, 0x1.27d10c3211727p-1, 0x1.2899124ed8de8p-1, 0x1.294bfb675968ep-1, 0x1.29ea06c51c71ap-1, 0x1.2a7375a14a5fp-1, 0x1.2ae88b0770e0bp-1, 0x1.2b498bb913bafp-1, 0x1.2b96be1201b8dp-1, 0x1.2bd069ed6fcp-1, 0x1.2bf6d88bd2548p-1, 0x1.2c0a547974aa3p-1, 0x1.2c0b2975cb12p-1, 0x1.2bf9a45b7a61dp-1, 0x1.2bd6130912948p-1, 0x1.2ba0c44a79569p-1, 0x1.2b5a07c301a25p-1, 0x1.2b022dd82a443p-1, 0x1.2a99879d03b7ep-1, 0x1.2a2066be37ddfp-1, 0x1.29971d6eaf251p-1, 0x1.28fdfe54d4b0ap-1, 0x1.28555c7870b0ap-1, 0x1.279d8b3119ccp-1, 0x1.26d6de153970ap-1, 0x1.2601a8e9a0d4dp-1, 0x1.251e3f91a99c9p-1, 0x1.242cf5ffe3739p-1, 0x1.232e20274803dp-1, 0x1.222211ecf4d76p-1, 0x1.21091f1a6882fp-1, 0x1.1fe39b503eea4p-1, 0x1.1eb1d9f96c2eap-1, 0x1.1d742e3ef3dc7p-1, 0x1.1c2aeafc16672p-1, 0x1.1ad662b2f8786p-1, 0x1.1976e781bbb7ep-1, 0x1.180ccb180b3e2p-1, 0x1.16985ead166b3p-1, 0x1.1519f2f5f9b15p-1, 0x1.1391d81c9124fp-1, 0x1.12005db6b624dp-1, 0x1.1065d2bde02edp-1, 0x1.0ec285872bf63p-1, 0x1.0d16c3bbc41cep-1, 0x1.0b62da51a80a5p-1, 0x1.09a71584d314dp-1, 0x1.07e3c0d0bb671p-1, 0x1.061926ea2d0acp-1, 0x1.044791b978ba4p-1, 0x1.026f4a54faa94p-1, 0x1.009098fbf1203p-1, 0x1.fd578a234a3aap-2, 0x1.f9822a31befa3p-2, 0x1.f5a19d5f5a989p-2, 0x1.f1b66d16d480cp-2, 0x1.edc120ea2daadp-2, 0x1.e9c23e8be52e8p-2, 0x1.e5ba49c8b59d6p-2, 0x1.e1a9c481d56cbp-2, 0x1.dd912ea7ba6fp-2, 0x1.d971063555cfap-2, 0x1.d549c72bcd663p-2, 0x1.d11beb8ea4bfep-2, 0x1.cce7eb605ab54p-2, 0x1.c8ae3c9f74124p-2, 0x1.c46f5343efcbcp-2, 0x1.c02ba13d20cdap-2, 0x1.bbe3966fee422p-2, 0x1.b797a0b570351p-2, 0x1.b3482bd9e9e4cp-2, 0x1.aef5a19c1e3c1p-2, 0x1.aaa069acfaf07p-2, 0x1.a648e9af94fd3p-2, 0x1.a1ef8539759acp-2, 0x1.9d949dd337b1fp-2, 0x1.993892f96acc6p-2, 0x1.94dbc21dc139bp-2, 0x1.907e86a88341ap-2, 0x1.8c2139fa413a5p-2, 0x1.87c4336dc8e8ep-2, 0x1.8367c85a56b23p-2, 0x1.7f0c4c16022b5p-2, 0x1.7ab20ff85fe1bp-2, 0x1.7659635d5fd3fp-2, 0x1.720293a85694bp-2, 0x1.6dadec4741ccdp-2, 0x1.695bb6b633712p-2, 0x1.650c3a82ef1c3p-2, 0x1.60bfbd50b281p-2, 0x1.5c7682dc25033p-2, 0x1.5830ccff7035p-2, 0x1.53eedbb67cd74p-2, 0x1.4fb0ed23553acp-2, 0x1.4b773d92a6dbep-2, 0x1.4742078064fa7p-2, 0x1.4311839c8c2dbp-2, 0x1.3ee5e8cffe995p-2, 0x1.3abf6c417e7b7p-2, 0x1.369e415ac0eabp-2, 0x1.328299cd98c4dp-2, 0x1.2e6ca599379b3p-2, 0x1.2a5c930f87b06p-2, 0x1.26528eda93984p-2, 0x1.224ec40204465p-2, 0x1.1e515bf0b124p-2, 0x1.1a5a7e7a3c77ap-2, 0x1.166a51e0c081cp-2, 0x1.1280fada8b1dep-2, 0x1.0e9e9c97e3103p-2, 0x1.0ac358c8d9339p-2, 0x1.06ef4fa32586dp-2, 0x1.03229fe809f25p-2, 0x1.febacdd47c93p-3, 0x1.f73f8127c86e7p-3, 0x1.efd38ed8ff202p-3, 0x1.e877293de4526p-3, 0x1.e12a7ffefe529p-3, 0x1.d9edc023984d6p-3, 0x1.d2c1141dd29d7p-3, 0x1.cba4a3d6b077p-3, 0x1.c49894ba22ef7p-3, 0x1.bd9d09c3186b4p-3, 0x1.b6b223878887p-3, 0x1.afd8004476534p-3, 0x1.a90ebbe9f4532p-3, 0x1.a25670271b48dp-3, 0x1.9baf3475f9f9p-3, 0x1.95191e277c225p-3, 0x1.8e94406f4524p-3, 0x1.8820ac6f7c925p-3, 0x1.81be71448f5b3p-3, 0x1.7b6d9c10de71dp-3, 0x1.752e380860497p-3, 0x1.6f004e7c2ef52p-3, 0x1.68e3e6e6020d4p-3, 0x1.62d906f39a819p-3, 0x1.5cdfb2921326ep-3, 0x1.56f7ebf91ecc2p-3, 0x1.5121b3b630519p-3, 0x1.4b5d08b78b008p-3, 0x1.45a9e85736bcdp-3, 0x1.40084e65e0dd2p-3, 0x1.3a7835359e391p-3, 0x1.34f995a4981b6p-3, 0x1.2f8c67279442fp-3, 0x1.2a309fd46b4b8p-3, 0x1.24e6346c5be7bp-3, 0x1.1fad186641f4fp-3, 0x1.1a853df8b088bp-3, 0x1.156e9623ea90dp-3, 0x1.106910bbc2d2cp-3, 0x1.0b749c715536fp-3, 0x1.069126dca069ap-3, 0x1.01be9c8606daap-3, 0x1.f9f9d1df4ccbep-4, 0x1.f097ed3d24275p-4, 0x1.e7575e47d152ap-4, 0x1.de37f64b9c67bp-4, 0x1.d53984d07a36ep-4, 0x1.cc5bd7ab70dc3p-4, 0x1.c39ebb0fb2714p-4, 0x1.bb01f99f7a2c6p-4, 0x1.b2855c7c9a563p-4, 0x1.aa28ab58c7649p-4, 0x1.a1ebac859e7a9p-4, 0x1.99ce250463c6ap-4, 0x1.91cfd89574883p-4, 0x1.89f089c77d70dp-4, 0x1.822ffa065e2aep-4, 0x1.7a8de9a9ccd5bp-4, 0x1.730a1803af458p-4, 0x1.6ba4436e2e3eap-4, 0x1.645c2959819e4p-4, 0x1.5d31865975f79p-4, 0x1.56241632a7f41p-4, 0x1.4f3393e7805ecp-4, 0x1.485fb9c4e26cfp-4, 0x1.41a8416e983cbp-4, 0x1.3b0ce3eb783f7p-4, 0x1.348d59b1479eep-4, 0x1.2e295ab053185p-4, 0x1.27e09e5ec8292p-4, 0x1.21b2dbc3c61a6p-4, 0x1.1b9fc9822f30ap-4, 0x1.15a71de334b82p-4, 0x1.0fc88ee09d946p-4, 0x1.0a03d22ed1b2fp-4, 0x1.04589d469db84p-4, 0x1.fd8d4add71d87p-5, 0x1.f29b3f8a0f8cep-5, 0x1.e7da828f48d85p-5, 0x1.dd4a7dbb4308ep-5, 0x1.d2ea9abf25fcp-5, 0x1.c8ba433fafb4fp-5, 0x1.beb8e0e54ddc1p-5, 0x1.b4e5dd6bbe354p-5, 0x1.ab40a2b138de9p-5, 0x1.a1c89ac524b03p-5, 0x1.987d2ff657271p-5, 0x1.8f5dcce0e08d6p-5, 0x1.8669dc7b6bc59p-5, 0x1.7da0ca2427dc1p-5, 0x1.750201ad480ccp-5, 0x1.6c8cef6916b4cp-5, 0x1.644100359da9ap-5, 0x1.5c1da187e6c47p-5, 0x1.54224176ce4ccp-5, 0x1.4c4e4ec57d6d7p-5, 0x1.44a138ed6ecb9p-5, 0x1.3d1a702820c8p-5, 0x1.35b965785e343p-5, 0x1.2e7d8ab32ad73p-5, 0x1.276652884f8b9p-5, 0x1.2073308a90dd9p-5, 0x1.19a3993785f5fp-5, 0x1.12f701ff1a04bp-5, 0x1.0c6ce14ab502ap-5, 0x1.0604ae8414edap-5, 0x1.ff7bc437987e1p-6, 0x1.f32feb1ee75c4p-6, 0x1.e724c6df1d154p-6, 0x1.db594eca2ef73p-6, 0x1.cfcc7c6d9a69bp-6, 0x1.c47d4b9c540e7p-6, 0x1.b96aba78307a2p-6, 0x1.ae93c97abe13cp-6, 0x1.a3f77b7d858d4p-6, 0x1.9994d5c1d4d79p-6, 0x1.8f6adff7f920fp-6, 0x1.8578a445f6a52p-6, 0x1.7bbd2f4dcc619p-6, 0x1.72379033283bcp-6, 0x1.68e6d8a0b8a44p-6, 0x1.5fca1cccfaa23p-6, 0x1.56e0737e95dfcp-6, 0x1.4e28f61052ad8p-6, 0x1.45a2c07497b14p-6, 0x1.3d4cf13886794p-6, 0x1.3526a986abb0dp-6, 0x1.2d2f0d2951bep-6, 0x1.2565428c6b3a1p-6, 0x1.1dc872bf2627fp-6, 0x1.1657c975202b3p-6, 0x1.0f1275073f449p-6, 0x1.07f7a67439a19p-6, 0x1.01069160cf505p-6, 0x1.f47cd82f3ea5fp-7, 0x1.e73cdf1192a85p-7, 0x1.da4bae9255766p-7, 0x1.cda7c322cf5b3p-7, 0x1.c14f9e7940a6cp-7, 0x1.b541c78dc7eb9p-7, 0x1.a97cca96d2043p-7, 0x1.9dff3904fa8b1p-7, 0x1.92c7a97e7a535p-7, 0x1.87d4b7da2dbc3p-7, 0x1.7d250519fecc5p-7, 0x1.72b737651b3abp-7, 0x1.6889fa01a08bp-7, 0x1.5e9bfd4dd62b1p-7, 0x1.54ebf6b9337d2p-7, 0x1.4b78a0bcdec71p-7, 0x1.4240bad3f53dep-7, 0x1.394309735dd58p-7, 0x1.307e56016ba69p-7, 0x1.27f16ecd20c49p-7, 0x1.1f9b270521901p-7, 0x1.177a56ae78e29p-7, 0x1.0f8dda9b0e8b9p-7, 0x1.07d4945fcd6ffp-7, 0x1.004d6a4ab1997p-7, 0x1.f1ee8eb10047cp-8, 0x1.e3a23654a99c1p-8, 0x1.d5b3b3f60d2bep-8, 0x1.c820f928945fbp-8, 0x1.bae800876efe1p-8, 0x1.ae06cd9f300f3p-8, 0x1.a17b6cd74ee24p-8, 0x1.9543f35b2dea4p-8, 0x1.895e7f02eddp-8, 0x1.7dc9363c07186p-8, 0x1.728247f1c323ep-8, 0x1.6787eb75533a4p-8, 0x1.5cd86065d6229p-8, 0x1.5271ee9842fd7p-8, 0x1.4852e5fef97d8p-8, 0x1.3e799e916662ep-8, 0x1.34e478337f6f9p-8, 0x1.2b91da9d0b485p-8, 0x1.22803540fd0ap-8, 0x1.19adff348d71p-8, 0x1.1119b7167928bp-8, 0x1.08c1e2f61ebbcp-8, 0x1.00a5103a8f4a5p-8, 0x1.f183a7135473cp-9, 0x1.e22d915e44c1fp-9, 0x1.d34525077ffep-9, 0x1.c4c7b5a89654fp-9, 0x1.b6b2a491d97e2p-9, 0x1.a903609868c3p-9, 0x1.9bb765e4fabd1p-9, 0x1.8ecc3dc2854d7p-9, 0x1.823f7e6d01b99p-9, 0x1.760ecae07f089p-9, 0x1.6a37d2a848144p-9, 0x1.5eb851ae64ccdp-9, 0x1.538e100b46458p-9, 0x1.48b6e1d597e87p-9, 0x1.3e30a6f27c31p-9, 0x1.33f94ae5e46b8p-9, 0x1.2a0ec4a374a13p-9, 0x1.206f165f5e832p-9, 0x1.17184d5febf84p-9, 0x1.0e0881cef1772p-9, 0x1.053dd68c05679p-9, 0x1.f96cf1fd738a1p-10, 0x1.e8e141d2f9e5ap-10, 0x1.d8d5207908458p-10, 0x1.c94525d2cabecp-10, 0x1.ba2dfd6ddde5fp-10, 0x1.ab8c662ac3c52p-10, 0x1.9d5d31e664c99p-10, 0x1.8f9d4523e5219p-10, 0x1.824996b81f31bp-10, 0x1.755f2f74f7c12p-10, 0x1.68db29d6585d5p-10, 0x1.5cbab1aff1055p-10, 0x1.50fb03db55091p-10, 0x1.45996de7784fap-10, 0x1.3a934dc8f868p-10, 0x1.2fe6118b556a3p-10, 0x1.258f3702fc441p-10, 0x1.1b8c4b801ccf1p-10, 0x1.11daeb82df2e2p-10, 0x1.0878c27003017p-10, 0x1.fec7148db00dfp-11, 0x1.ed3216afb8edap-11, 0x1.dc2e37f8edf8cp-11, 0x1.cbb7409f4a03bp-11, 0x1.bbc913cebddb7p-11, 0x1.ac5faf1e9e8bp-11, 0x1.9d772a085c9dap-11, 0x1.8f0bb5603475fp-11, 0x1.81199ad04a56p-11, 0x1.739d3c54e5f65p-11, 0x1.669313bb31acap-11, 0x1.59f7b22157f4cp-11, 0x1.4dc7bf7920eecp-11, 0x1.41fffa0bab248p-11, 0x1.369d35fff5c8cp-11, 0x1.2b9c5ce22449bp-11, 0x1.20fa6d2dbff27p-11, 0x1.16b479d8e71dfp-11, 0x1.0cc7a9e20db67p-11, 0x1.033137deefba1p-11, 0x1.f3dce31b90f92p-12, 0x1.e1f96ed06e349p-12, 0x1.d0b2f86f73a45p-12, 0x1.c00489589bd1fp-12, 0x1.afe94de8f9225p-12, 0x1.a05c94af58391p-12, 0x1.9159cda27006ep-12, 0x1.82dc895d2970cp-12, 0x1.74e0785bc825p-12, 0x1.67616a3e5a84ep-12, 0x1.5a5b4d0da89dep-12, 0x1.4dca2c8380accp-12, 0x1.41aa31569fc3ep-12, 0x1.35f7a08973944p-12, 0x1.2aaedabc81ce3p-12, 0x1.1fcc5b8437685p-12, 0x1.154cb8c109ecdp-12, 0x1.0b2ca1fb76371p-12, 0x1.0168dfc33b685p-12, 0x1.effca62125877p-13, 0x1.ddd3e95446058p-13, 0x1.cc51a918b3656p-13, 0x1.bb7032a92bb45p-13, 0x1.ab29ff5eba953p-13, 0x1.9b79b3917efb8p-13, 0x1.8c5a1d80955bbp-13, 0x1.7dc6343f4ba48p-13, 0x1.6fb916a691afp-13, 0x1.622e0a4e9b761p-13, 0x1.55207a8b8003bp-13, 0x1.488bf7701abfcp-13, 0x1.3c6c34d63ea26p-13, 0x1.30bd096c74eefp-13, 0x1.257a6dc7aa09ep-13, 0x1.1aa07b7b07121p-13, 0x1.102b6c35128e6p-13, 0x1.061798e00bf7bp-13, 0x1.f8c2f1926b5ccp-14, 0x1.e60b419559b66p-14, 0x1.d40184f7f8c9ap-14, 0x1.c29f56cc212b4p-14, 0x1.b1de88780618fp-14, 0x1.a1b9203048a1p-14, 0x1.9229577df52b2p-14, 0x1.832999c67d304p-14, 0x1.74b482e394f62p-14, 0x1.66c4ddbeb0abep-14, 0x1.5955a2f537b58p-14, 0x1.4c61f78800654p-14, 0x1.3fe52b8ea8b25p-14, 0x1.33dab8f5e8d28p-14, 0x1.283e4242c3579p-14, 0x1.1d0b915f22265p-14, 0x1.123e966e26be1p-14, 0x1.07d366a6322b8p-14, 0x1.fb8c76647cf7p-15, 0x1.e826e03a13737p-15, 0x1.d56f067e17db7p-15, 0x1.c35e266a62a67p-15, 0x1.b1edbcbcbaaf9p-15, 0x1.a11783bfd8169p-15, 0x1.90d5715a8cde6p-15, 0x1.8121b535e8affp-15, 0x1.71f6b6e807544p-15, 0x1.634f142c2d575p-15, 0x1.55259f27d2471p-15, 0x1.47755cbb0d4fep-15, 0x1.3a3982dbac792p-15, 0x1.2d6d76fa9fac8p-15, 0x1.210ccc781b456p-15, 0x1.1513431dbcb1bp-15, 0x1.097cc5a676a8p-15, 0x1.fc8ad097d3d1fp-16, 0x1.e6d2cec7814a3p-16, 0x1.d1ca4c093ef1ap-16, 0x1.bd6a59601e9dep-16, 0x1.a9ac501a7e605p-16, 0x1.9689cf529cba6p-16, 0x1.83fcb97fffb3ep-16, 0x1.71ff32192479ap-16, 0x1.608b9b4c42439p-16, 0x1.4f9c93c1451edp-16, 0x1.3f2cf47553f06p-16, 0x1.2f37ce9aace19p-16, 0x1.1fb8699459bb2p-16, 0x1.10aa40fc0ef9dp-16, 0x1.020902af62252p-16, 0x1.e7a119f2e1b39p-17, 0x1.cbf9d97f735cap-17, 0x1.b114b7824977fp-17, 0x1.96ea7dca0514dp-17, 0x1.7d7449206b874p-17, 0x1.64ab8622ebe76p-17, 0x1.4c89ee23f9e06p-17, 0x1.350984264244bp-17, 0x1.1e2491f5d4de2p-17, 0x1.07d5a559993e6p-17, 0x1.e42f1aa4a6e12p-18, 0x1.b9caaeeea4c5fp-18, 0x1.90749adb94fb4p-18, 0x1.6823e4d9220e4p-18, 0x1.40d001a72995dp-18, 0x1.1a70cfbb56511p-18, 0x1.e9fd257ba9e5ep-19, 0x1.a0e3de87eea66p-19, 0x1.5987cd1466ab6p-19, 0x1.13dba4fdc896cp-19, 0x1.9fa5873393592p-20, 0x1.1ac2507904123p-20, 0x1.31edb3a16fa4ep-21, 0x1.a2d7e6b37148ep-24, -0x1.86b932db27ffep-22, -0x1.b5600c311f237p-21, -0x1.50ea2c4546283p-20, -0x1.c46e49fa5b80dp-20, -0x1.1aa680ef99fafp-19, -0x1.51cb0ce3f7198p-19, -0x1.87ac42d8021dp-19, -0x1.bc5139207526p-19, -0x1.efc0a7655e05bp-19, -0x1.110075c5948eep-18, -0x1.298c072b9ff4ep-18, -0x1.4185e3f8566c2p-18, -0x1.58f0c21ab1fb6p-18, -0x1.6fcf335fe6216p-18, -0x1.8623a786bf98dp-18, -0x1.9bf06e1db2199p-18, -0x1.b137b85af07ecp-18, -0x1.c5fb9adf799cap-18, -0x1.da3e0f6959d82p-18, -0x1.ee00f66bad3a9p-18, -0x1.00a30c516296ap-17, -0x1.0a079440d6839p-17, -0x1.132ee1d687632p-17, -0x1.1c19ba250767fp-17, -0x1.24c8d92bd4df3p-17, -0x1.2d3cf26f184b3p-17, -0x1.3576b195783cp-17, -0x1.3d76baf339a68p-17, -0x1.453dac184b52ep-17, -0x1.4ccc1c508eafep-17, -0x1.54229d2020471p-17, -0x1.5b41babd0053bp-17, -0x1.6229fc7fc9efap-17, -0x1.68dbe54ccba6cp-17, -0x1.6f57f3fef74c4p-17, -0x1.759ea3c4911a8p-17, -0x1.7bb06c7bb396dp-17, -0x1.818dc30b23811p-17, -0x1.873719b12446cp-17, -0x1.8cace051fea3ep-17, -0x1.91ef84c394195p-17, -0x1.96ff731080a98p-17, -0x1.9bdd15b8e6813p-17, -0x1.a088d5f0c265ep-17, -0x1.a5031bd926765p-17, -0x1.a94c4eb496519p-17, -0x1.ad64d51ba6fa7p-17, -0x1.b14d152864ae5p-17, -0x1.b50574a4c2f52p-17, -0x1.b88e5931d240dp-17, -0x1.bbe8286f78b1bp-17, -0x1.bf13481d6f3dp-17, -0x1.c2101e3d4dc33p-17, -0x1.c4df112ec21d1p-17, -0x1.c78087ca88ab6p-17, -0x1.c9f4e97ce04f7p-17, -0x1.cc3c9e5ad92dfp-17, -0x1.ce580f34cffbdp-17, -0x1.d047a5ad20b81p-17, -0x1.d20bcc45aae01p-17, -0x1.d3a4ee6d020e5p-17, -0x1.d513788f1efep-17, -0x1.d657d81cb3ecbp-17, -0x1.d7727b96945fcp-17, -0x1.d863d2947686fp-17, -0x1.d92c4dcbecd23p-17, -0x1.d9cc5f140a5e9p-17, -0x1.da447969cfb55p-17, -0x1.da9510f36bc8p-17, -0x1.dabe9b005e871p-17, -0x1.dac18e08f2dadp-17, -0x1.da9e61af7e92fp-17, -0x1.da558ebc88a73p-17, -0x1.d9e78f1b7cb35p-17, -0x1.d954ddd979713p-17, -0x1.d89df71c7cfe9p-17, -0x1.d7c358229103ep-17, -0x1.d6c57f38e890fp-17, -0x1.d5a4ebb5230ddp-17, -0x1.d4621def9e1bap-17, -0x1.d2fd9738c4d54p-17, -0x1.d177d9d463a73p-17, -0x1.cfd168ecfc475p-17, -0x1.ce0ac88c10c5p-17, -0x1.cc247d8fe7855p-17, -0x1.ca1f0da1c9bf3p-17, -0x1.c7faff29841fbp-17, -0x1.c5b8d945cead1p-17, -0x1.c35923bdd674fp-17, -0x1.c0dc66f773629p-17, -0x1.be432bec112d2p-17, -0x1.bb8dfc1a57499p-17, -0x1.b8bd617d22c03p-17, -0x1.b5d1e67d01715p-17, -0x1.b2cc15e5cf28cp-17, -0x1.afac7ad8bcadp-17, -0x1.ac73a0c17c6a1p-17, -0x1.a9221347f0266p-17, -0x1.a5b85e456e2d8p-17, -0x1.a2370db6edd7fp-17, -0x1.9e9eadb178dbap-17, -0x1.9aefca55895a4p-17, -0x1.972aefc1f0519p-17, -0x1.9350aa08b5e45p-17, -0x1.8f6185214a35p-17, -0x1.8b5e0cddb4f18p-17, -0x1.8746ccde48691p-17, -0x1.831c5084ff99cp-17, -0x1.7edf22eada6a1p-17, -0x1.7a8fced2b5afbp-17, -0x1.762ede9f120ep-17, -0x1.71bcdc45a756dp-17, -0x1.6d3a5144d6616p-17, -0x1.68a7c69860f8bp-17, -0x1.6405c4aeffba6p-17, -0x1.5f54d35f77b1cp-17, -0x1.5a9579de16454p-17, -0x1.55c83eb262771p-17, -0x1.50eda7ad4451cp-17, -0x1.4c0639df21abp-17, -0x1.4712798eb4858p-17, -0x1.4212ea2edf0c2p-17, -0x1.3d080e559f105p-17, -0x1.37f267b361f1bp-17, -0x1.32d2770b57e54p-17, -0x1.2da8bc28a483ap-17, -0x1.2875b5d84d147p-17, -0x1.2339e1e0f662ep-17, -0x1.1df5bcfa724acp-17, -0x1.18a9c2c5eeaebp-17, -0x1.13566dc851005p-17, -0x1.0dfc3761e07b9p-17, -0x1.089b97c7ab892p-17, -0x1.033505fd8a809p-17, -0x1.fb91ef9e1cdedp-18, -0x1.f0afc394cf684p-18, -0x1.e5c46e73b0fb7p-18, -0x1.dad0d43de52e6p-18, -0x1.cfd5d659c62bbp-18, -0x1.c4d453875836fp-18, -0x1.b9cd27d4dfe27p-18, -0x1.aec12c97642c8p-18, -0x1.a3b13862b418fp-18, -0x1.989e1efe8132cp-18, -0x1.8d88b160d9337p-18, -0x1.8271bda4df91ep-18, -0x1.775a0f062c97fp-18, -0x1.6c426dd926927p-18, -0x1.612b9f8494056p-18, -0x1.5616667dd7d44p-18, -0x1.4b038242dd1a2p-18, -0x1.3ff3af53e3973p-18, -0x1.34e7a730db805p-18, -0x1.29e02055e3a8ap-18, -0x1.1eddce367deeep-18, -0x1.13e1613a744cep-18, -0x1.08eb86bc4a384p-18, -0x1.fbf9d20b1cd13p-19, -0x1.e62c5e9d5e0fep-19, -0x1.d06ffb75f180cp-19, -0x1.bac5eab3474e5p-19, -0x1.a52f684966974p-19, -0x1.8fada9ff437a2p-19, -0x1.7a41df6c3e0fap-19, -0x1.64ed31fdb36cdp-19, -0x1.4fb0c4f49e0cap-19, -0x1.3a8db56721d6fp-19, -0x1.25851a42bb4b6p-19, -0x1.1098044ffb47p-19, -0x1.f78efc6a1014cp-20, -0x1.ce2918f36b9d6p-20, -0x1.a5005b174b645p-20, -0x1.7c16b38c77038p-20, -0x1.536e06edcfc38p-20, -0x1.2b082dc0b6e89p-20, -0x1.02e6f48585ee9p-20, -0x1.b618378dce3a6p-21, -0x1.66f2b054ad84dp-21, -0x1.1860a4fa98c21p-21, -0x1.94ca9f1747bfap-22, -0x1.f40f4aa492153p-23, -0x1.81f9cd9110e2ap-24, 0x1.be5871c71779fp-25, 0x1.9d9e49d733a0fp-23, 0x1.648843b480e7fp-22, 0x1.f8f10ac608ecp-22, 0x1.4602239f623cbp-21, 0x1.8ede79691552dp-21, 0x1.d70b19af45ec7p-21, 0x1.0f42d6a2b8564p-20, 0x1.32a5f959bb96dp-20, 0x1.55addf02fd0c7p-20, 0x1.78597c4a43bdcp-20, 0x1.9aa7d06a98e88p-20, 0x1.bc97e5101b6ecp-20, 0x1.de28ce3cc1d0fp-20, 0x1.ff59aa2d9afaep-20, 0x1.1014d09e60fc4p-19, 0x1.204bf2e23e236p-19, 0x1.3051da033b87fp-19, 0x1.402629064f0dep-19, 0x1.4fc887c4caaep-19, 0x1.5f38a2dd8ecefp-19, 0x1.6e762ba624fb6p-19, 0x1.7d80d81cd1e5bp-19, 0x1.8c5862d7499c6p-19, 0x1.9afc8af4552dap-19, 0x1.a96d140c75764p-19, 0x1.b7a9c620fdf27p-19, 0x1.c5b26d8bbfabbp-19, 0x1.d386daef81f2fp-19, 0x1.e126e329b794cp-19, 0x1.ee925f417276dp-19, 0x1.fbc92c581c4ebp-19, 0x1.046595cbcb0e2p-18, 0x1.0acc21119260fp-18, 0x1.11182c83b7c4bp-18, 0x1.1749ae954a916p-18, 0x1.1d609f9d6c2d9p-18, 0x1.235cf9cfb1062p-18, 0x1.293eb933dc146p-18, 0x1.2f05db9ddcf97p-18, 0x1.34b260a54af3cp-18, 0x1.3a44499cfc5e6p-18, 0x1.3fbb998bd49bfp-18, 0x1.45185524c7f5fp-18, 0x1.4a5a82be9037ap-18, 0x1.4f822a4b149e5p-18, 0x1.548f554f84336p-18, 0x1.59820eddb38b7p-18, 0x1.5e5a638a34a2dp-18, 0x1.63186165fdd25p-18, 0x1.67bc17f5ceddcp-18, 0x1.6c45982a7bbap-18, 0x1.70b4f4590e65cp-18, 0x1.750a403311afbp-18, 0x1.794590bea5cd4p-18, 0x1.7d66fc4e70e96p-18, 0x1.816e9a7b5c015p-18, 0x1.855c841c029d2p-18, 0x1.8930d33d8baedp-18, 0x1.8ceba31bb37ecp-18, 0x1.908d1019a363bp-18, 0x1.941537badfacdp-18, 0x1.9784389b9549bp-18, 0x1.9ada326963acfp-18, 0x1.9e1745dcaa1d4p-18, 0x1.a13b94b0e65f6p-18, 0x1.a447419dbf287p-18, 0x1.a73a704f8232cp-18, 0x1.aa154560f0173p-18, 0x1.acd7e65459c65p-18, 0x1.af82798ca37c2p-18, 0x1.b21526465b97ep-18, 0x1.b49014917a11p-18, 0x1.b6f36d4a43b6ap-18, 0x1.b93f5a13662a3p-18, 0x1.bb74054edede7p-18, 0x1.bd919a181711ep-18, 0x1.bf98443d4751ap-18, 0x1.c1883039bdd2ap-18, 0x1.c3618b2f0241ap-18, 0x1.c52482df53bd7p-18, 0x1.c6d145a71592dp-18, 0x1.c86802772e157p-18, 0x1.c9e8e8cf767afp-18, 0x1.cb5428b882f4fp-18, 0x1.cca9f2be5f373p-18, 0x1.cdea77eac4acap-18, 0x1.cf15e9bf008bep-18, 0x1.d02c7a2f46d1dp-18, 0x1.d12e5b9cfb7ccp-18, 0x1.d21bc0d153669p-18, 0x1.d2f4dcf880eap-18, 0x1.d3b9e39bed8d3p-18, 0x1.d46b089d6783ep-18, 0x1.d508803217daep-18, 0x1.d5927eddf11e4p-18, 0x1.d609396e94ccdp-18, 0x1.d66ce4f619ab1p-18, 0x1.d6bdb6c6ef6ecp-18, 0x1.d6fbe46f6f67dp-18, 0x1.d727a3b4cd7bfp-18, 0x1.d7412a8eb8f33p-18, 0x1.d748af235f455p-18, 0x1.d73e67c2cdc72p-18, 0x1.d7228ae2a4a05p-18, 0x1.d6f54f19d549p-18, 0x1.d6b6eb1d511f2p-18, 0x1.d66795bb516d8p-18, 0x1.d60785d761b6cp-18, 0x1.d596f266a2355p-18, 0x1.d516126c6525cp-18, 0x1.d4851cf65f1dep-18, 0x1.d3e4491859253p-18, 0x1.d333cde95cacp-18, 0x1.d273e27fdaa95p-18, 0x1.d1a4bdee77e0ap-18, 0x1.d0c6974082afcp-18, 0x1.cfd9a576dd4e7p-18, 0x1.cede1f84a60cep-18, 0x1.cdd43c4c4550fp-18, 0x1.ccbc329be0cbep-18, 0x1.cb96392ae7b64p-18, 0x1.ca628696d74d8p-18, 0x1.c921516055363p-18, 0x1.c7d2cfe8dcdd6p-18, }}, 
      {{0x1.f8368f06e414bp-1, 0x1.f75b9cd9f0706p-1, 0x1.f5f3d7914caecp-1, 0x1.f4066a9b5eeb7p-1, 0x1.f19c7fe6c6b2ep-1, 0x1.eec0a9b035b32p-1, 0x1.eb7e564db206fp-1, 0x1.e7e1556823c88p-1, 0x1.e3f571821bf9fp-1, 0x1.dfc61df5186e1p-1, 0x1.db5e38102fa39p-1, 0x1.d6c7d9480bb2ep-1, 0x1.d20c3822c6aecp-1, 0x1.cd33958862b5p-1, 0x1.c84534432be09p-1, 0x1.c34758af85c42p-1, 0x1.be3f4ed59f096p-1, 0x1.b931756333875p-1, 0x1.b4214c349d62ap-1, 0x1.af1185517275ap-1, 0x1.aa041770fc532p-1, 0x1.a4fa5145e44bbp-1, 0x1.9ff4ecf664531p-1, 0x1.9af423477bd02p-1, 0x1.95f7be1e41054p-1, 0x1.90ff2a12ccc33p-1, 0x1.8c0986e4bfcf9p-1, 0x1.8715b6b265afep-1, 0x1.82226be153fdap-1, 0x1.7d2e35b289fc6p-1, 0x1.78378b84c0848p-1, 0x1.733cd6ce42244p-1, 0x1.6e3c7bdc89001p-1, 0x1.6934e16b47066p-1, 0x1.64247726bc84fp-1, 0x1.5f09bb2e82e7p-1, 0x1.59e33eae6d68p-1, 0x1.54afa9a30ae2cp-1, 0x1.4f6dbddec4113p-1, 0x1.4a1c5963baf39p-1, 0x1.44ba78256e3fp-1, 0x1.3f473543f19a4p-1, 0x1.39c1cbd135ec9p-1, 0x1.3429972f89424p-1, 0x1.2e7e1317235eep-1, 0x1.28bedb4f46b26p-1, 0x1.22ebab2646e8cp-1, 0x1.1d045cb29ac8fp-1, 0x1.1708e7e60ae51p-1, 0x1.10f9617b13b58p-1, 0x1.0ad5f9c39fd4p-1, 0x1.049efb5f7057cp-1, 0x1.fca993bf92ad8p-2, 0x1.efefc0ba833e8p-2, 0x1.e311a00806bcfp-2, 0x1.d6107d34710a5p-2, 0x1.c8edca07c59d1p-2, 0x1.bbab1b8ddc1a7p-2, 0x1.ae4a2723d7e56p-2, 0x1.a0ccbf8f18c1ap-2, 0x1.9334d221304eep-2, 0x1.858463ebe1167p-2, 0x1.77bd8f07ab0d2p-2, 0x1.69e27feeff695p-2, 0x1.5bf572efd0885p-2, 0x1.4df8b1b4eaebap-2, 0x1.3fee90e81c1ccp-2, 0x1.31d96dee0c2a3p-2, 0x1.23bbacbc54b7bp-2, 0x1.1597b5ca3f2fdp-2, 0x1.076ff41c59966p-2, 0x1.f28da6d5e2bffp-3, 0x1.d63d7cc6adbp-3, 0x1.b9f43a076a5d8p-3, 0x1.9db6a6224e736p-3, 0x1.81897d4f3eb1ap-3, 0x1.65716dc63ee17p-3, 0x1.497315435a66ap-3, 0x1.2d92febacd2bep-3, 0x1.11d5a03bffdf9p-3, 0x1.ec7eb203da366p-4, 0x1.b5a8df5ed71a4p-4, 0x1.7f32216b9544ap-4, 0x1.492299c8458cep-4, 0x1.1382303b7bd8cp-4, 0x1.bcb120d7a4bf3p-5, 0x1.535a4fbe23fe3p-5, 0x1.d61c90f63bed8p-6, 0x1.07b5c759974dcp-6, 0x1.dcd74c29fbf21p-9, -0x1.1c34e0295e13p-7, -0x1.5551bea17842cp-6, -0x1.0cf9c7a81a19fp-5, -0x1.6df4c27837c09p-5, -0x1.cd8f2c6c6e5f4p-5, -0x1.15df76c872eeap-4, -0x1.443d3c8fa6067p-4, -0x1.71dc668047834p-4, -0x1.9eb8b8846f119p-4, -0x1.cace3af9832b5p-4, -0x1.f6193a1003e75p-4, -0x1.104b2287f1bb3p-3, -0x1.252116c1c6d57p-3, -0x1.398d0325ee491p-3, -0x1.4d8d914f84aecp-3, -0x1.61218a7a469c5p-3, -0x1.7447d6efe21f4p-3, -0x1.86ff7d6d9a4a1p-3, -0x1.9947a28309c7ap-3, -0x1.ab1f87ead1662p-3, -0x1.bc868bddfa47ep-3, -0x1.cd7c2862bd65cp-3, -0x1.ddfff2975a28ep-3, -0x1.ee1199f99fb62p-3, -0x1.fdb0e7abc117cp-3, -0x1.066ededb82b4p-2, -0x1.0dcc0b26655ep-2, -0x1.14f0018336e92p-2, -0x1.1bdad61239e14p-2, -0x1.228ca7e6b8dadp-2, -0x1.2905a0a687f0ap-2, -0x1.2f45f429befdep-2, -0x1.354de01adf287p-2, -0x1.3b1dab9782139p-2, -0x1.40b5a6d1bdd4cp-2, -0x1.46162ab25b94p-2, -0x1.4b3f987bfcfbep-2, -0x1.5032596f55dcp-2, -0x1.54eede708259ap-2, -0x1.59759fada1b3ap-2, -0x1.5dc71c46c1796p-2, -0x1.61e3d9f725f69p-2, -0x1.65cc64c0114p-2, -0x1.69814e9502494p-2, -0x1.6d032f098908ep-2, -0x1.7052a300b4f43p-2, -0x1.73704c5e22369p-2, -0x1.765cd1b8b81ep-2, -0x1.7918de0f16faep-2, -0x1.7ba5207dbcec4p-2, -0x1.7e024bf6eb45ap-2, -0x1.803116fc44a49p-2, -0x1.82323b5a32387p-2, -0x1.840675e50a856p-2, -0x1.85ae8637faf3cp-2, -0x1.872b2e75b2dadp-2, -0x1.887d330ad62eap-2, -0x1.89a55a72286c4p-2, -0x1.8aa46cfa7eb8fp-2, -0x1.8b7b348e64881p-2, -0x1.8c2a7c7d7ff99p-2, -0x1.8cb31147a3e91p-2, -0x1.8d15c06994f44p-2, -0x1.8d53582b798e6p-2, -0x1.8d6ca770f0ba4p-2, -0x1.8d627d8ac7817p-2, -0x1.8d35aa0a4af3fp-2, -0x1.8ce6fc96316afp-2, -0x1.8c7744c10f9dfp-2, -0x1.8be751e15b4dfp-2, -0x1.8b37f2eaede2ep-2, -0x1.8a69f64a03781p-2, -0x1.897e29bfb1f0ep-2, -0x1.88755a3fcd875p-2, -0x1.875053d034ad6p-2, -0x1.860fe169802bbp-2, -0x1.84b4ccd909dbcp-2, -0x1.833fdea4483cp-2, -0x1.81b1dded79956p-2, -0x1.800b90598d1bdp-2, -0x1.7e4db9f752646p-2, -0x1.7c791d27d8c31p-2, -0x1.7a8e7a8804b8ep-2, -0x1.788e90db49d9ap-2, -0x1.767a1cf7899b4p-2, -0x1.7451d9b20b2dbp-2, -0x1.72167fcd8a99cp-2, -0x1.6fc8c5e951f4fp-2, -0x1.6d6960715924fp-2, -0x1.6af9018f6a71dp-2, -0x1.6878591d381aap-2, -0x1.65e814976c2acp-2, -0x1.6348df119ec35p-2, -0x1.609b612b33bbep-2, -0x1.5de0410519e0ep-2, -0x1.5b1822385c6d4p-2, -0x1.5843a5cd8f17ep-2, -0x1.55636a34fe498p-2, -0x1.52780b3fad25dp-2, -0x1.4f8222190d2dfp-2, -0x1.4c82454173e1bp-2, -0x1.4979088945941p-2, -0x1.4666fd0ccb54fp-2, -0x1.434cb130b4611p-2, -0x1.402ab09f3b9e3p-2, -0x1.3d018445e9a9p-2, -0x1.39d1b253eff0ap-2, -0x1.369bbe3917277p-2, -0x1.336028a53c339p-2, -0x1.301f6f885656dp-2, -0x1.2cda0e130067p-2, -0x1.29907cb78201ap-2, -0x1.2643312b53e4cp-2, -0x1.22f29e6917123p-2, -0x1.1f9f34b3000ddp-2, -0x1.1c496195abaa4p-2, -0x1.18f18feb5d62ap-2, -0x1.159827dfa26b9p-2, -0x1.123d8ef34fce5p-2, -0x1.0ee22800df836p-2, -0x1.0b86534123c0bp-2, -0x1.082a6e504a533p-2, -0x1.04ced4333236ep-2, -0x1.0173dd5d0b824p-2, -0x1.fc33bf6a7b60fp-3, -0x1.f5825d3b226bp-3, -0x1.eed435f136164p-3, -0x1.e829e660c6596p-3, -0x1.e184067a879dfp-3, -0x1.dae3295a046b3p-3, -0x1.d447dd542462ep-3, -0x1.cdb2ac0625979p-3, -0x1.c7241a64dc418p-3, -0x1.c09ca8cc5172bp-3, -0x1.ba1cd30fa9ebfp-3, -0x1.b3a5108950acap-3, -0x1.ad35d42b67e11p-3, -0x1.a6cf8c9072fdp-3, -0x1.a072a40c38417p-3, -0x1.9a1f80bcd3837p-3, -0x1.93d6849bf40d9p-3, -0x1.8d980d9042f75p-3, -0x1.8764757ef1f2ap-3, -0x1.813c125d5e54fp-3, -0x1.7b1f3642d3ca5p-3, -0x1.750e2f7a688b3p-3, -0x1.6f094894e42p-3, -0x1.6910c87ab7bc4p-3, -0x1.6324f27dff662p-3, -0x1.5d46066c8ccap-3, -0x1.577440a1eda9p-3, -0x1.51afda19786f7p-3, -0x1.4bf9088051c1ap-3, -0x1.464ffe47677abp-3, -0x1.40b4eab56664ap-3, -0x1.3b27f9f8a2be3p-3, -0x1.35a95538e900fp-3, -0x1.303922a944fabp-3, -0x1.2ad78599ada23p-3, -0x1.25849e88984a8p-3, -0x1.20408b3475d94p-3, -0x1.1b0b66ad0f711p-3, -0x1.15e54964c452ap-3, -0x1.10ce4941a6513p-3, -0x1.0bc679ae769c3p-3, -0x1.06cdebab7931ap-3, -0x1.01e4addf219ccp-3, -0x1.fa15994d390a3p-4, -0x1.f080a44c4ff71p-4, -0x1.e70a8cb288658p-4, -0x1.ddb35e456cf32p-4, -0x1.d47b20b8bb2eap-4, -0x1.cb61d7cdab8e3p-4, -0x1.c2678371da669p-4, -0x1.b98c1fddc7548p-4, -0x1.b0cfa5b2f7698p-4, -0x1.a8320a19a4fe7p-4, -0x1.9fb33ede10879p-4, -0x1.9753328d5aa87p-4, -0x1.8f11d091f9d5p-4, -0x1.86ef014fc0694p-4, -0x1.7eeaaa3f6fb3dp-4, -0x1.7704ae09de47fp-4, -0x1.6f3ceca2aae82p-4, -0x1.679343627d715p-4, -0x1.60078d20d4e5ap-4, -0x1.5899a24d634a7p-4, -0x1.51495908f18c8p-4, -0x1.4a16853dd3adcp-4, -0x1.4300f8b7e4cb9p-4, -0x1.3c08833c0e825p-4, -0x1.352cf29f5ce93p-4, -0x1.2e6e12dd9c56p-4, -0x1.27cbae2f81159p-4, -0x1.21458d205be98p-4, -0x1.1adb76a3592f9p-4, -0x1.148d30284b387p-4, -0x1.0e5a7db00137p-4, -0x1.084321e02c03ap-4, -0x1.0246de16cd5b4p-4, -0x1.f8cae4fa6a3dap-5, -0x1.ed3d3c352030bp-5, -0x1.e1e43dcc016a6p-5, -0x1.d6bf63b09c09fp-5, -0x1.cbce25fa384dap-5, -0x1.c10ffb07775f9p-5, -0x1.b684579f163c1p-5, -0x1.ac2aaf0fcd4cfp-5, -0x1.a202734f67783p-5, -0x1.980b1518fa771p-5, -0x1.8e44040a51b2ep-5, -0x1.84acaec0839p-5, -0x1.7b4482f3bf3afp-5, -0x1.720aed92491b1p-5, -0x1.68ff5adab45bp-5, -0x1.602136754b172p-5, -0x1.576feb8cc5925p-5, -0x1.4eeae4e629623p-5, -0x1.46918cf7fb809p-5, -0x1.3e634e00ad53cp-5, -0x1.365f921c5808fp-5, -0x1.2e85c359b8e1cp-5, -0x1.26d54bce7d953p-5, -0x1.1f4d95aae8dcap-5, -0x1.17ee0b4cb84ddp-5, -0x1.10b617516fbf2p-5, -0x1.09a524a7efd2dp-5, -0x1.02ba9ea172669p-5, -0x1.f7ebe203c4b44p-6, -0x1.eaad101f1213cp-6, -0x1.ddb7a14463bc9p-6, -0x1.d10a70634e291p-6, -0x1.c4a459c745b1dp-6, -0x1.b8843b323dc43p-6, -0x1.aca8f3f64b78dp-6, -0x1.a111650e106fp-6, -0x1.95bc71341fe1ep-6, -0x1.8aa8fcf9536a8p-6, -0x1.7fd5eeda10d59p-6, -0x1.75422f529847bp-6, -0x1.6aeca8f248621p-6, -0x1.60d4486defa26p-6, -0x1.56f7fcb13bdfcp-6, -0x1.4d56b6ef1a28ep-6, -0x1.43ef6ab157ee4p-6, -0x1.3ac10de74841ap-6, -0x1.31ca98f398166p-6, -0x1.290b06b94f66ap-6, -0x1.208154a7fe892p-6, -0x1.182c82c71d58ep-6, -0x1.100b93c0a770fp-6, -0x1.081d8ceb038f5p-6, -0x1.00617652204e1p-6, -0x1.f1acb57fb3cebp-7, -0x1.e2f68f8783499p-7, -0x1.d49e9b74587a5p-7, -0x1.c6a2ffa52a66p-7, -0x1.b901e82ae81c1p-7, -0x1.abb986d2a72c2p-7, -0x1.9ec8132efeff9p-7, -0x1.922bca9fda236p-7, -0x1.85e2f0597fb89p-7, -0x1.79ebcd6a457ebp-7, -0x1.6e44b0bf56d5fp-7, -0x1.62ebef2889afdp-7, -0x1.57dfe35b102c8p-7, -0x1.4d1eedf35884bp-7, -0x1.42a77575e926ep-7, -0x1.3877e64f86933p-7, -0x1.2e8eb2d44d881p-7, -0x1.24ea533e1e1b9p-7, -0x1.1b8945aa3b2edp-7, -0x1.126a0e160967cp-7, -0x1.098b365b455e4p-7, -0x1.00eb4e2b61e61p-7, -0x1.f111d6148a1d6p-8, -0x1.e0c55090d388ap-8, -0x1.d0ee4df89cd73p-8, -0x1.c18a1bf6be654p-8, -0x1.b29613a4ad7b5p-8, -0x1.a40f9979f1cbcp-8, -0x1.95f41d3aba9a5p-8, -0x1.884119e573779p-8, -0x1.7af4159f74fd5p-8, -0x1.6e0aa1a09d31bp-8, -0x1.61825a1e70dap-8, -0x1.5558e635f8d36p-8, -0x1.498bf7d5354d5p-8, -0x1.3e194ba3dfb08p-8, -0x1.32fea8eb1c0d6p-8, -0x1.2839e17cf870cp-8, -0x1.1dc8d19b0f8bp-8, -0x1.13a95fdcb5678p-8, -0x1.09d97d1498cf5p-8, -0x1.00572435e0a8dp-8, -0x1.ee40b471c023bp-9, -0x1.dc665bfe793ap-9, -0x1.cb1b706ffd346p-9, -0x1.ba5c3685ad6b8p-9, -0x1.aa250626ded46p-9, -0x1.9a724a2884108p-9, -0x1.8b40801245202p-9, -0x1.7c8c37e35d18dp-9, -0x1.6e5213d6d019dp-9, -0x1.608ec8273649cp-9, -0x1.533f1ad24a093p-9, -0x1.465fe35c60bf5p-9, -0x1.39ee0a932a724p-9, -0x1.2de68a50c65f5p-9, -0x1.22466d3e3332cp-9, -0x1.170ace9623738p-9, -0x1.0c30d9e730edfp-9, -0x1.01b5cad69e8bep-9, -0x1.ef2dd9c582752p-10, -0x1.dba3364ad0806p-10, -0x1.c8c6802d580d5p-10, -0x1.b692aa9eb944fp-10, -0x1.a502c69882691p-10, -0x1.94120261e86fp-10, -0x1.83bba915f812fp-10, -0x1.73fb222b2cf51p-10, -0x1.64cbf0fa7bf95p-10, -0x1.5629b447a1e98p-10, -0x1.481025c9aa63ap-10, -0x1.3a7b19b494c1bp-10, -0x1.2d667e43206a8p-10, -0x1.20ce5b41aab9fp-10, -0x1.14aed19a28a34p-10, -0x1.09041ae02a75ep-10, -0x1.fb9511bcc0edcp-11, -0x1.e5fd0a4a6cba8p-11, -0x1.d1392133016aap-11, -0x1.bd428609f0713p-11, -0x1.aa12954ec3461p-11, -0x1.97a2d791757aap-11, -0x1.85ed0098dc26fp-11, -0x1.74eaee8b9ad01p-11, -0x1.6496a91af5e94p-11, -0x1.54ea60af8076cp-11, -0x1.45e06d996f82bp-11, -0x1.37734f41a310dp-11, -0x1.299dab5dd9b7fp-11, -0x1.1c5a4d277efd8p-11, -0x1.0fa424942d30cp-11, -0x1.037645914dc2ap-11, -0x1.ef97ce83153a6p-12, -0x1.d940c67af1fa5p-12, -0x1.c3de69ac68bcp-12, -0x1.af67f0b4d5e56p-12, -0x1.9bd4d4bd2b564p-12, -0x1.891cce0dde697p-12, -0x1.7737d2a921ccdp-12, -0x1.661e14e9b5705p-12, -0x1.55c80226dee9p-12, -0x1.462e415d7f06bp-12, -0x1.3749b1de0c504p-12, -0x1.29136a009a49bp-12, -0x1.1b84b5dce3ff9p-12, -0x1.0e97160830783p-12, -0x1.02443e579df18p-12, -0x1.ed0c295244b0fp-13, -0x1.d6ad5f5d921d5p-13, -0x1.c160ab8413649p-13, -0x1.ad1af775984ccp-13, -0x1.99d18794f55f1p-13, -0x1.8779f8bcf8297p-13, -0x1.760a3e0a40664p-13, -0x1.65789eb296812p-13, -0x1.55bbb3e54fa86p-13, -0x1.46ca66b32be69p-13, -0x1.389bee0371a49p-13, -0x1.2b27cc90c4f3fp-13, -0x1.1e65ceeee3de8p-13, -0x1.124e099b67c3ep-13, -0x1.06d8d717f758cp-13, -0x1.f7fdac16f3f6dp-14, -0x1.e371cedea362ep-14, -0x1.d0005989bae1fp-14, -0x1.bd9c0ca6c10ffp-14, -0x1.ac3822dd6ba05p-14, -0x1.9bc84d918417dp-14, -0x1.8c40b191e13c4p-14, -0x1.7d95e3def46b8p-14, -0x1.6fbce67c937cfp-14, -0x1.62ab2556dbbe9p-14, -0x1.5656733d65d94p-14, -0x1.4ab506e353fc3p-14, -0x1.3fbd77fb6c34dp-14, -0x1.3566bc5d3e88p-14, -0x1.2ba8253b6d01ep-14, -0x1.22795c6cd5373p-14, -0x1.19d261c1fa71bp-14, -0x1.11ab886aebbbcp-14, -0x1.09fd746bb5ad8p-14, -0x1.02c1181f6702ap-14, -0x1.f7df639858af5p-15, -0x1.eb0592865c952p-15, -0x1.dee85b1c2c14ap-15, -0x1.d37be55d02d0dp-15, -0x1.c8b4decdb413ep-15, -0x1.be887628ea956p-15, -0x1.b4ec57244b587p-15, -0x1.abd6a65d1580bp-15, -0x1.a33dfd4fa04bp-15, -0x1.9b1966779f4a5p-15, -0x1.9360597d8ef8ep-15, -0x1.8c0ab781f5f4p-15, -0x1.8510c77d865e1p-15, -0x1.7e6b32bcdde7dp-15, -0x1.78130172e7a3ap-15, -0x1.7201975e23cbap-15, -0x1.6c30b086cba7bp-15, -0x1.669a5e171d67cp-15, -0x1.61390341f427fp-15, -0x1.5c0752412256dp-15, -0x1.5700496be8333p-15, -0x1.521f305ef7149p-15, -0x1.4d5f9535732d9p-15, -0x1.48bd49dd4a75cp-15, -0x1.443461774e245p-15, -0x1.3fc12dceccf99p-15, -0x1.3b603ce0040cfp-15, -0x1.370e5674886bdp-15, -0x1.32c879cd5dff5p-15, -0x1.2e8bdb62302bfp-15, -0x1.2a55e2ad1eb16p-15, -0x1.2624280c55f6ap-15, -0x1.21f472b0569c3p-15, -0x1.1dc4b698f157ep-15, -0x1.199312a83ba24p-15, -0x1.155dcebb8c94fp-15, -0x1.112359d952bb9p-15, -0x1.0ce2486eef697p-15, -0x1.089952966374ep-15, -0x1.0447526fdf2e3p-15, -0x1.ffd6850bd0d7cp-16, -0x1.f708787ab5dfap-16, -0x1.ee22ecae5743p-16, -0x1.e52486f484b7dp-16, -0x1.dc0c2196897c8p-16, -0x1.d2d8c91fc9baap-16, -0x1.c989b9c018249p-16, -0x1.c01e5cbe5c089p-16, -0x1.b6964606da012p-16, -0x1.acf131cbb09c6p-16, -0x1.a32f023c0b57p-16, -0x1.994fbd50ac476p-16, -0x1.8f538aa978f14p-16, -0x1.853ab1876c456p-16, -0x1.7b0596ca084e1p-16, -0x1.70b4bb10eeefap-16, -0x1.6648b8e15c553p-16, -0x1.5bc242e73702bp-16, -0x1.51222241e04e8p-16, -0x1.466934e246b44p-16, -0x1.3b986bfa1ea0ep-16, -0x1.30b0ca7b6f4d6p-16, -0x1.25b363a6d101ep-16, -0x1.1aa159a9a1bbcp-16, -0x1.0f7bdc4a0b224p-16, -0x1.0444279c484b1p-16, -0x1.f1f705a0a456bp-17, -0x1.db467e041c21bp-17, -0x1.c4796c3d7a5a7p-17, -0x1.ad9293a22e589p-17, -0x1.9694c4f5ed5fep-17, -0x1.7f82dc7e2c3fbp-17, -0x1.685fc01b2309bp-17, -0x1.512e5d8bffddp-17, -0x1.39f1a8b7abc2ap-17, -0x1.22ac9a116ba85p-17, -0x1.0b622d110284p-17, -0x1.e82abd7f2ee23p-18, -0x1.b99258a775c41p-18, -0x1.8b0123cc2e2e7p-18, -0x1.5c7d12623c953p-18, -0x1.2e0c10c9fe9dbp-18, -0x1.ff680427d6c91p-19, -0x1.a2f57be17a1c5p-19, -0x1.46cc1d6654e48p-19, -0x1.d5eebdf481159p-20, -0x1.1f0529d64ccp-20, -0x1.a3c772dd45a47p-22, 0x1.30d46e87619d9p-22, 0x1.005a078fd45a4p-20, 0x1.b3678aeb13e67p-20, 0x1.32a454fc22e85p-19, 0x1.8af46707f3a57p-19, 0x1.e299e4e1bd84bp-19, 0x1.1cc5773069e33p-18, 0x1.47deeddb06042p-18, 0x1.72949f8a3bff4p-18, 0x1.9ce1f308d04c1p-18, 0x1.c6c26d96924bbp-18, 0x1.f031b36db1f7dp-18, 0x1.0c95c427b8dd3p-17, 0x1.20d5e7ffc2ecdp-17, 0x1.34d74754acac8p-17, 0x1.4897f4a0555e3p-17, 0x1.5c1612e2aecb4p-17, 0x1.6f4fd5c56b24bp-17, 0x1.824381b10d83ep-17, 0x1.94ef6bdce9619p-17, 0x1.a751fa615113p-17, 0x1.b969a43c16b5dp-17, 0x1.cb34f150ca28p-17, 0x1.dcb27a66b3a89p-17, 0x1.ede0e91cd6303p-17, 0x1.febef7e0013ffp-17, 0x1.07a5b8eb557fcp-16, 0x1.0fc2996675c04p-16, 0x1.17b5938d96a9ep-16, 0x1.1f7e25c36e33ep-16, 0x1.271bd68facb69p-16, 0x1.2e8e348e6972p-16, 0x1.35d4d65b4e4b6p-16, 0x1.3cef5a7cc94d7p-16, 0x1.43dd674ce75cdp-16, 0x1.4a9eaae285647p-16, 0x1.5132daf662954p-16, 0x1.5799b4c88cb9p-16, 0x1.5dd2fd0678bc1p-16, 0x1.63de7faed66fp-16, 0x1.69bc0ff23bcb8p-16, 0x1.6f6b8816dec4cp-16, 0x1.74ecc957925d9p-16, 0x1.7a3fbbc62aeb1p-16, 0x1.7f644e2a11f6ap-16, 0x1.845a75df8cd31p-16, 0x1.89222eb78cd3cp-16, 0x1.8dbb7ad3e3bbfp-16, 0x1.92266285e77aep-16, 0x1.9662f42c37f77p-16, 0x1.9a71440e52176p-16, 0x1.9e516c3b1c6bcp-16, 0x1.a2038c643e698p-16, 0x1.a587c9bb44cc3p-16, 0x1.a8de4ecd9dd19p-16, 0x1.ac074b602p-16, 0x1.af02f44c10466p-16, 0x1.b1d1835abfd1fp-16, 0x1.b4733721c7b24p-16, 0x1.b6e852df0c496p-16, 0x1.b9311e552cd18p-16, 0x1.bb4de5a78eb9cp-16, 0x1.bd3ef936e1597p-16, 0x1.bf04ad7d73851p-16, 0x1.c09f5aed30d6p-16, 0x1.c20f5dcba00f3p-16, 0x1.c355160fdc125p-16, 0x1.c470e73fa63f1p-16, 0x1.c563384cdb8b1p-16, 0x1.c62c7374822a2p-16, 0x1.c6cd061cc6d65p-16, 0x1.c74560b4028b8p-16, 0x1.c795f68ff4244p-16, 0x1.c7bf3dccead59p-16, 0x1.c7c1af2d868abp-16, 0x1.c79dc5fbc97d4p-16, 0x1.c753ffe9c7cc5p-16, 0x1.c6e4dcf235eeep-16, 0x1.c650df3a5c8e1p-16, 0x1.c5988af41cf1ap-16, 0x1.c4bc6640b3a87p-16, 0x1.c3bcf91326e1ep-16, 0x1.c29acd13970a3p-16, 0x1.c1566d838c53p-16, 0x1.bff0672315eb8p-16, 0x1.be69481429beap-16, 0x1.bcc19fc12bf55p-16, 0x1.baf9fec24fc15p-16, 0x1.b912f6c38c989p-16, 0x1.b70d1a6c83ea5p-16, 0x1.b4e8fd46d630ap-16, 0x1.b2a733a70a9d3p-16, 0x1.b0485293a265bp-16, 0x1.adccefaf5ea44p-16, 0x1.ab35a121c603ep-16, 0x1.a882fd80c4e54p-16, 0x1.a5b59bbc4a3ccp-16, 0x1.a2ce130855f69p-16, 0x1.9fccfac9091f8p-16, 0x1.9cb2ea7db4cf8p-16, 0x1.998079add81cbp-16, 0x1.96363fd670348p-16, 0x1.92d4d45645c41p-16, 0x1.8f5cce5ce0713p-16, 0x1.8bcec4d919c46p-16, 0x1.882b4e6704939p-16, 0x1.847301407f884p-16, 0x1.80a6732c24fdbp-16, 0x1.7cc6396e41afep-16, 0x1.78d2e8b9d6f21p-16, 0x1.74cd1520cb352p-16, 0x1.70b5520795e7dp-16, 0x1.6c8c32157e673p-16, 0x1.68524728b6d68p-16, 0x1.64082249479b7p-16, 0x1.5fae539b5ae1fp-16, 0x1.5b456a552558bp-16, 0x1.56cdf4b27b026p-16, 0x1.52487fe906e14p-16, 0x1.4db5981f510c8p-16, 0x1.4915c8613f228p-16, 0x1.44699a95e81fdp-16, 0x1.3fb19776f315ap-16, 0x1.3aee46879047p-16, 0x1.36202e0abe20fp-16, 0x1.3147d2fc16b6bp-16, 0x1.2c65b907e7a95p-16, 0x1.277a62826378ap-16, 0x1.22865061f4d51p-16, 0x1.1d8a0237c0734p-16, 0x1.1885f628ac2e1p-16, 0x1.137aa8e884c11p-16, 0x1.0e6895b3439b1p-16, 0x1.095036477fbaep-16, 0x1.043202e1d8969p-16, 0x1.fe1ce4707884ep-17, 0x1.f3cbf2e91f93ep-17, 0x1.e97218625ab23p-17, 0x1.df1038e9ccebap-17, 0x1.d4a7355f4c618p-17, 0x1.ca37eb6c5f452p-17, 0x1.bfc335801a099p-17, 0x1.b549eaca3de93p-17, 0x1.aaccdf335466ep-17, 0x1.a04ce35a01511p-17, 0x1.95cac49088a66p-17, 0x1.8b474cd5ec0e4p-17, 0x1.80c342d5b6f75p-17, 0x1.763f69e43ec8dp-17, 0x1.6bbc81fd9f7a1p-17, 0x1.613b47c233f8cp-17, 0x1.56bc7477b09fap-17, 0x1.4c40be0743998p-17, 0x1.41c8d6fce5ec1p-17, 0x1.37556e87cdc0cp-17, 0x1.2ce7307c86a56p-17, 0x1.227ec552f1816p-17, 0x1.181cd22958e57p-17, 0x1.0dc1f8c604daep-17, 0x1.036ed79740a77p-17, 0x1.f2481371293f2p-18, 0x1.ddc44de67204ep-18, 0x1.c95387836a23cp-18, 0x1.b4f6e2a40e10ap-18, 0x1.a0af7b172d594p-18, 0x1.8c7e66228e2cep-18, 0x1.7864b289461d9p-18, 0x1.64636896d866bp-18, 0x1.507b8a29e2ecdp-18, 0x1.3cae12bba962cp-18, 0x1.28fbf76835bbap-18, 0x1.156626fcdc08cp-18, 0x1.01ed8a00c66eap-18, 0x1.dd26058421715p-19, 0x1.b6aedabdd5868p-19, 0x1.90773fa939cc7p-19, 0x1.6a80d415b1eb8p-19, 0x1.44cd2bbdafeaap-19, 0x1.1f5dce68ed3c1p-19, 0x1.f468700a94a6bp-20, 0x1.aaa3b1799fa3cp-20, 0x1.61702a2c033e2p-20, 0x1.18d08c2215e9cp-20, 0x1.a18ee519634ap-21, 0x1.12aec40c11243p-21, 0x1.0a0b232de0127p-22, -0x1.da00819046d4ep-27, -0x1.252ae49815a92p-22, -0x1.1c7e65eb66716p-21, -0x1.a51eae59ca424p-21, -0x1.163923a4503dp-20, -0x1.593aab196ad2ap-20, -0x1.9b9214dcbb7d6p-20, -0x1.dd3d9c9a0e70cp-20, -0x1.0f1dc90abad82p-19, -0x1.2f452c73db5p-19, -0x1.4f14341b30a92p-19, -0x1.6e8a25397577p-19, -0x1.8da64e8b34d99p-19, -0x1.ac680831bed32p-19, -0x1.caceb38930c89p-19, -0x1.e8d9bb0c67f4fp-19, -0x1.03444917d6b62p-18, -0x1.11ed5a9ee8ec9p-18, -0x1.2067d49bea505p-18, -0x1.2eb37dd7f3c22p-18, -0x1.3cd02153c2914p-18, -0x1.4abd8e35cbda8p-18, -0x1.587b97b9d1451p-18, -0x1.660a151f210e9p-18, -0x1.7368e1964bbddp-18, -0x1.8097dc31a4118p-18, -0x1.8d96e7d31389cp-18, -0x1.9a65eb1a284ddp-18, -0x1.a704d05398537p-18, -0x1.b3738567a97b7p-18, -0x1.bfb1fbcba9f52p-18, -0x1.cbc0286cfc901p-18, -0x1.d79e03a186cc4p-18, -0x1.e34b89184cbe1p-18, -0x1.eec8b7c882ef8p-18, -0x1.fa1591dea182ep-18, -0x1.02990e5704eb3p-17, -0x1.080f304f6429p-17, -0x1.0d6d348f7e53p-17, -0x1.12b322487ef14p-17, -0x1.17e1021e4d091p-17, -0x1.1cf6de1f14a13p-17, -0x1.21f4c1bb254d4p-17, -0x1.26dab9bce982cp-17, -0x1.2ba8d441e617fp-17, -0x1.305f20b2153b3p-17, -0x1.34fdafb8ae512p-17, -0x1.3984933c3681ep-17, -0x1.3df3de5685e42p-17, -0x1.424ba54e00571p-17, -0x1.468bfd8dc453dp-17, -0x1.4ab4fd9e76f93p-17, -0x1.4ec6bd1ec501cp-17, -0x1.52c154bbb149cp-17, -0x1.56a4de29e6043p-17, -0x1.5a71741ec2349p-17, -0x1.5e27324990a99p-17, -0x1.61c6354ba2323p-17, -0x1.654e9ab1beacep-17, -0x1.68c080edc2c3p-17, -0x1.6c1c074fb1da7p-17, -0x1.6f614dff36fe6p-17, -0x1.729075f4bc946p-17, -0x1.75a9a0f339a6fp-17, -0x1.78acf181c86dp-17, -0x1.7b9a8ae50eb2cp-17, -0x1.7e7291193c247p-17, -0x1.813528cc0727ap-17, -0x1.83e277567b974p-17, -0x1.867aa2b6959d2p-17, -0x1.88fdd189fe382p-17, -0x1.8b6c2b07f5599p-17, -0x1.8dc5d6fb6e732p-17, -0x1.900afdbd87dp-17, -0x1.923bc82fa4414p-17, -0x1.94585fb6bd849p-17, -0x1.9660ee351a808p-17, -0x1.98559e056dc97p-17, -0x1.9a3699f5a654ep-17, -0x1.9c040d418515fp-17, -0x1.9dbe238d5dd63p-17, -0x1.9f6508e13e609p-17, -0x1.a0f8e9a46d958p-17, -0x1.a279f297fe25cp-17, -0x1.a3e850d282f92p-17, -0x1.a54431bae9f7bp-17, -0x1.a68dc30410bc7p-17, -0x1.a7c532a821127p-17, -0x1.a8eaaee48635dp-17, -0x1.a9fe66356ec9dp-17, -0x1.ab008750e70b1p-17, }}, 
      {{0x1.f8678ccf5d9fdp-1, 0x1.f81e4d99d77dfp-1, 0x1.f7a544b78e89p-1, 0x1.f6fdeddbd8acdp-1, 0x1.f62a39a025f47p-1, 0x1.f52c749b9d58dp-1, 0x1.f4072ef600d73p-1, 0x1.f2bd25d00c446p-1, 0x1.f1512f3519f55p-1, 0x1.efc628dd9e2d8p-1, 0x1.ee1ee9c681547p-1, 0x1.ec5e36796e2b9p-1, 0x1.ea86b7cc6987fp-1, 0x1.e89af3d4f2549p-1, 0x1.e69d48c81d491p-1, 0x1.e48fe982ac744p-1, 0x1.e274db782d5fap-1, 0x1.e04df5cd81e43p-1, 0x1.de1ce169169a9p-1, 0x1.dbe319c90fc29p-1, 0x1.d9a1ee7583631p-1, 0x1.d75a84ea65eb1p-1, 0x1.d50ddad9e0ef4p-1, 0x1.d2bcc8ac885dbp-1, 0x1.d06804290e5d5p-1, 0x1.ce102330eccbp-1, 0x1.cbb59e82ca57ap-1, 0x1.c958d4765c214p-1, 0x1.c6fa0ba80c765p-1, 0x1.c499758cec132p-1, 0x1.c23730e94f772p-1, 0x1.bfd34c26198efp-1, 0x1.bd6dc78200fb8p-1, 0x1.bb06971d4148ap-1, 0x1.b89da4df08969p-1, 0x1.b632d234adcf3p-1, 0x1.b3c5f9ab4cdaap-1, 0x1.b156f064d66bbp-1, 0x1.aee58769f84c2p-1, 0x1.ac718cda7a088p-1, 0x1.a9faccfdd8b35p-1, 0x1.a781133603557p-1, 0x1.a5042ad6269b1p-1, 0x1.a283dfdf779edp-1, 0x1.9fffffa5e9861p-1, 0x1.9d78595eaa765p-1, 0x1.9aecbe9a39a3fp-1, 0x1.985d03abce102p-1, 0x1.95c8ffffb150fp-1, 0x1.93308e621f0c8p-1, 0x1.90938d381b3fdp-1, 0x1.8df1deab9ac3bp-1, 0x1.8b4b68cc47b17p-1, 0x1.88a015a60934cp-1, 0x1.85efd34e68ebbp-1, 0x1.833a93e9d8a98p-1, 0x1.80804da9c10b9p-1, 0x1.7dc0fac436893p-1, 0x1.7afc99661a079p-1, 0x1.78332ba05da93p-1, 0x1.7564b75111742p-1, 0x1.72914608d14d1p-1, 0x1.6fb8e4ed20ccp-1, 0x1.6cdba4982c8bp-1, 0x1.69f998f668ffp-1, 0x1.6712d9227209bp-1, 0x1.64277f3f8928cp-1, 0x1.6137a853075dp-1, 0x1.5e43741d0d564p-1, 0x1.5b4b04f0b44bfp-1, 0x1.584e7f8bff80ep-1, 0x1.554e0aefc1e71p-1, 0x1.5249d037a844ap-1, 0x1.4f41fa729363dp-1, 0x1.4c36b67b6859ep-1, 0x1.492832d2768e5p-1, 0x1.46169f77908a7p-1, 0x1.43022dc4f14adp-1, 0x1.3feb104b04f2p-1, 0x1.3cd17aad220e4p-1, 0x1.39b5a17f4a17cp-1, 0x1.3697ba24f66f5p-1, 0x1.3377fab10294p-1, 0x1.305699c6b7f4bp-1, 0x1.2d33ce7c00de1p-1, 0x1.2a0fd03cca364p-1, 0x1.26ead6af943f6p-1, 0x1.23c5199b3493bp-1, 0x1.209ed0cdc7278p-1, 0x1.1d783404d1d74p-1, 0x1.1a517ad692cdcp-1, 0x1.172adc9c79fbfp-1, 0x1.1404905ec93c1p-1, 0x1.10deccc15486dp-1, 0x1.0db9c7f16040ep-1, 0x1.0a95b7949349fp-1, 0x1.0772d0b8fb0b5p-1, 0x1.045147c616f85p-1, 0x1.0131506ee86b8p-1, 0x1.fc263b49f4b13p-2, 0x1.f5edc318bd3fbp-2, 0x1.efb99ae12b272p-2, 0x1.e98a2374b4d17p-2, 0x1.e35fbbcc94095p-2, 0x1.dd3ac0f8bd4ffp-2, 0x1.d71b8e106ee6cp-2, 0x1.d1027c2448265p-2, 0x1.caefe231d7fd7p-2, 0x1.c4e4151894f4ap-2, 0x1.bedf67902ee18p-2, 0x1.b8e22a202a044p-2, 0x1.b2ecab18b50b2p-2, 0x1.acff368cab795p-2, 0x1.a71a164cb8201p-2, 0x1.a13d91e383dfdp-2, 0x1.9b69ee92e9a76p-2, 0x1.959f6f521d398p-2, 0x1.8fde54ccbd3d6p-2, 0x1.8a26dd62ba9dcp-2, 0x1.8479452914c58p-2, 0x1.7ed5c5eb552cap-2, 0x1.793c972dc40ddp-2, 0x1.73adee3049837p-2, 0x1.6e29fdf1eebbp-2, 0x1.68b0f734f987ep-2, 0x1.63430883920f2p-2, 0x1.5de05e34ee26dp-2, 0x1.58892272f8bbcp-2, 0x1.533d7d4066497p-2, 0x1.4dfd947f3907dp-2, 0x1.48c98bf7a093fp-2, 0x1.43a1855f3583cp-2, 0x1.3e85a060888ap-2, 0x1.3975faa2f8697p-2, 0x1.3472afd2d0e97p-2, 0x1.2f7bd9a9a1a5cp-2, 0x1.2a918ff6d1901p-2, 0x1.25b3e8a8610fap-2, 0x1.20e2f7d3d96d9p-2, 0x1.1c1ecfbf60c2dp-2, 0x1.176780eaf2662p-2, 0x1.12bd1a19b14dep-2, 0x1.0e1fa85b5544ep-2, 0x1.098f3715aa281p-2, 0x1.050bd00e1e18p-2, 0x1.00957b7360d19p-2, 0x1.f8587fce06ed9p-3, 0x1.efa0450e4a326p-3, 0x1.e7024df033fa2p-3, 0x1.de7e9edc2f661p-3, 0x1.d615396db1adp-3, 0x1.cdc61c867709ep-3, 0x1.c5914461aa8e8p-3, 0x1.bd76aaa6fc5dfp-3, 0x1.b576467d9133bp-3, 0x1.ad900c9edcce1p-3, 0x1.a5c3ef6953e2cp-3, 0x1.9e11def2f2f8dp-3, 0x1.9679c91ba2145p-3, 0x1.8efb999f61d85p-3, 0x1.87973a285113ep-3, 0x1.804c926074bc8p-3, 0x1.791b880354ce8p-3, 0x1.7203feef58169p-3, 0x1.6b05d936e971cp-3, 0x1.6420f73163e0ep-3, 0x1.5d55378bbca36p-3, 0x1.56a27758f0a0dp-3, 0x1.500892222d368p-3, 0x1.498761f6c27b9p-3, 0x1.431ebf7bc1141p-3, 0x1.3cce81fb66c1fp-3, 0x1.36967f7439282p-3, 0x1.30768ca7e21a4p-3, 0x1.2a6e7d29c2e99p-3, 0x1.247e236d4235cp-3, 0x1.1ea550d3d6023p-3, 0x1.18e3d5bac225ap-3, 0x1.13398188905bfp-3, 0x1.0da622ba465f4p-3, 0x1.082986f04e98bp-3, 0x1.02c37afb1992ap-3, 0x1.fae795cefe674p-4, 0x1.f07484159fdd6p-4, 0x1.e62d561d4b7acp-4, 0x1.dc119ff8d82f3p-4, 0x1.d220f49144dd3p-4, 0x1.c85ae5bbb0926p-4, 0x1.bebf044ec603cp-4, 0x1.b54ce037aa22p-4, 0x1.ac04088e4fde7p-4, 0x1.a2e40ba950ca7p-4, 0x1.99ec77313e413p-4, 0x1.911cd8336a0dep-4, 0x1.8874bb3431a2cp-4, 0x1.7ff3ac40bf375p-4, 0x1.7799370051b02p-4, 0x1.6f64e6c501fedp-4, 0x1.6756469c0c4ddp-4, 0x1.5f6ce15d9c9eep-4, 0x1.57a841bc22345p-4, 0x1.5007f25328882p-4, 0x1.488b7db5bcafbp-4, 0x1.41326e7c59888p-4, 0x1.39fc4f526402fp-4, 0x1.32e8ab0335404p-4, 0x1.2bf70c86b256fp-4, 0x1.2526ff0d79a8ep-4, 0x1.1e780e0ca1917p-4, 0x1.17e9c5490db32p-4, 0x1.117bb0e25ca6fp-4, 0x1.0b2d5d5d6bf16p-4, 0x1.04fe57ae7c9dbp-4, 0x1.fddc5a85dc3ccp-5, 0x1.f1f8d8153c74ep-5, 0x1.e6514501cb844p-5, 0x1.dae4bf6a75542p-5, 0x1.cfb266a6e6a82p-5, 0x1.c4b95b5769bf6p-5, 0x1.b9f8bf7409895p-5, 0x1.af6fb65b113eep-5, 0x1.a51d64dedc106p-5, 0x1.9b00f15305ca3p-5, 0x1.91198398fc16fp-5, 0x1.8766452be8fbfp-5, 0x1.7de6612c0ed61p-5, 0x1.7499046984401p-5, 0x1.6b7d5d6e6828ep-5, 0x1.62929c8878a42p-5, 0x1.59d7f3d22b6a9p-5, 0x1.514c973b33fc6p-5, 0x1.48efbc908c283p-5, 0x1.40c09b83f4c1ep-5, 0x1.38be6db2fd51p-5, 0x1.30e86ead8c06dp-5, 0x1.293ddbfbf13e7p-5, 0x1.21bdf52484c55p-5, 0x1.1a67fbb0d1d7bp-5, 0x1.133b333256656p-5, 0x1.0c36e146d4ea6p-5, 0x1.055a4d9c3dc73p-5, 0x1.fd4983e86ac3fp-6, 0x1.f02b144e7255bp-6, 0x1.e357e84ec3852p-6, 0x1.d6cea0058f13bp-6, 0x1.ca8ddfcb2d3c7p-6, 0x1.be94503780a55p-6, 0x1.b2e09e24be81p-6, 0x1.a7717ab1936f4p-6, 0x1.9c459b42a7381p-6, 0x1.915bb9838c0cdp-6, 0x1.86b293670ec08p-6, 0x1.7c48eb2710c81p-6, 0x1.721d8743bd91p-6, 0x1.682f32824d245p-6, 0x1.5e7cbbeb427e7p-6, 0x1.5504f6c8302a7p-6, 0x1.4bc6baa0fd7f2p-6, 0x1.42c0e338c8a39p-6, 0x1.39f2508a4f8b1p-6, 0x1.3159e6c3f504fp-6, 0x1.28f68e43612bp-6, 0x1.20c73390b6db1p-6, 0x1.18cac7597d3p-6, 0x1.11003e6b250f2p-6, 0x1.096691ad38274p-6, 0x1.01fcbe1b3d59p-6, 0x1.f583897c9864p-7, 0x1.e769554ca8d27p-7, 0x1.d9a8f1c64501ep-7, 0x1.cc4078fa404e6p-7, 0x1.bf2e0cdba2108p-7, 0x1.b26fd73038853p-7, 0x1.a6040980a49a2p-7, 0x1.99e8dd08076eap-7, 0x1.8e1c92a340a62p-7, 0x1.829d72bfd13f9p-7, 0x1.7769cd4a69fbap-7, 0x1.6c7ff99d18a75p-7, 0x1.61de566d26962p-7, 0x1.578349b8bd687p-7, 0x1.4d6d40b42c1e8p-7, 0x1.439aafb7126ap-7, 0x1.3a0a12291a489p-7, 0x1.30b9ea6ebbe3fp-7, 0x1.27a8c1d590db9p-7, 0x1.1ed52880ac0efp-7, 0x1.163db554abbd9p-7, 0x1.0de105e3b3063p-7, 0x1.05bdbe5938e4ep-7, 0x1.fba512cb8dbcap-8, 0x1.ec3c30552e4fcp-8, 0x1.dd3e444a35367p-8, 0x1.cea8ca34e8c71p-8, 0x1.c0794a05cd375p-8, 0x1.b2ad57ea54c08p-8, 0x1.a54294239a758p-8, 0x1.9836aadd0694ap-8, 0x1.8b875402e86ebp-8, 0x1.7f32531922e2dp-8, 0x1.73357711dc39dp-8, 0x1.678e9a242d2a9p-8, 0x1.5c3ba1a2ffb7p-8, 0x1.513a7dd3dff76p-8, 0x1.468929c60e7ap-8, 0x1.3c25ab29952bep-8, 0x1.320e1226999e3p-8, 0x1.28407934cc913p-8, 0x1.1ebb04f2ff375p-8, 0x1.157be3fefc4dcp-8, 0x1.0c814ecd8f5efp-8, 0x1.03c98782b99ddp-8, 0x1.f6a5b3946341bp-9, 0x1.e637356037f15p-9, 0x1.d64450f413294p-9, 0x1.c6c9d5005d76ap-9, 0x1.b7c4a20de0d91p-9, 0x1.a931aa317a65dp-9, 0x1.9b0df0c04b248p-9, 0x1.8d568a0495bfap-9, 0x1.80089af344874p-9, 0x1.732158e20532cp-9, 0x1.669e093e42ff7p-9, 0x1.5a7c0144684e4p-9, 0x1.4eb8a5b84a0e6p-9, 0x1.43516a9df2db2p-9, 0x1.3843d2f349a74p-9, 0x1.2d8d706a73ddfp-9, 0x1.232be324e2a7ap-9, 0x1.191cd96f37ca2p-9, 0x1.0f5e0f7dd63c8p-9, 0x1.05ed4f2a3e847p-9, 0x1.f990df6296426p-10, 0x1.e7daaae3dce2fp-10, 0x1.d6b3e35a28698p-10, 0x1.c618848c0d8fp-10, 0x1.b604a307657a3p-10, 0x1.a6746ba5974f2p-10, 0x1.976423114107p-10, 0x1.88d0254da3c3fp-10, 0x1.7ab4e53f7bcfcp-10, 0x1.6d0eec37ba7c9p-10, 0x1.5fdad97faf115p-10, 0x1.531561e69fe0dp-10, 0x1.46bb4f51712d2p-10, 0x1.3ac9804b9caf5p-10, 0x1.2f3ce799ad8efp-10, 0x1.24128bcda19cbp-10, 0x1.194786dca554p-10, 0x1.0ed905b698fa5p-10, 0x1.04c447df07f07p-10, 0x1.f60d3e0f9eeb3p-11, 0x1.e33add5a7514dp-11, 0x1.d10c57678c5bp-11, 0x1.bf7cb80f2b6e6p-11, 0x1.ae872c7a751b7p-11, 0x1.9e2702683749dp-11, 0x1.8e57a774d879p-11, 0x1.7f14a86591e3p-11, 0x1.7059b0763b25ap-11, 0x1.622288aa4b611p-11, 0x1.546b17211d872p-11, 0x1.472f5e6c98082p-11, 0x1.3a6b7ceb4e68cp-11, 0x1.2e1bac256a2fep-11, 0x1.223c402c2e96bp-11, 0x1.16c9a6fcd04d2p-11, 0x1.0bc067e59c1e3p-11, 0x1.011d22ee6e478p-11, 0x1.edb920875b37dp-12, 0x1.d9f6ff47f7f37p-12, 0x1.c6edafa19bb26p-12, 0x1.b4972c02f4527p-12, 0x1.a2ed9ab2b9e6ap-12, 0x1.91eb4cbfbfe01p-12, 0x1.818abcf81c42dp-12, 0x1.71c68ee3a5a43p-12, 0x1.62998dc4dab84p-12, 0x1.53feab9e57679p-12, 0x1.45f1003cc9ea7p-12, 0x1.386bc84690b2ep-12, 0x1.2b6a644faeed1p-12, 0x1.1ee857f2a3329p-12, 0x1.12e148ee2df3cp-12, 0x1.0750fe472d9d7p-12, 0x1.f866bedf49ffcp-13, 0x1.e308e6e37aa7cp-13, 0x1.ce80c03fdf9abp-13, 0x1.bac6d291243f2p-13, 0x1.a7d3dfdd5c469p-13, 0x1.95a0e30cac344p-13, 0x1.84270e6b78235p-13, 0x1.735fca33eb41p-13, 0x1.6344b3206f1b3p-13, 0x1.53cf9905252aap-13, 0x1.44fa7d7200073p-13, 0x1.36bf925ca7b4fp-13, 0x1.291938d15476ep-13, 0x1.1c01ffabd6e7ep-13, 0x1.0f74a2570db12p-13, 0x1.036c079505b9cp-13, 0x1.efc680995125ep-14, 0x1.d9ab0cbee8454p-14, 0x1.c47c770c1b9e5p-14, 0x1.b031d06571245p-14, 0x1.9cc274f66c3f7p-14, 0x1.8a260a11e4b7cp-14, 0x1.78547c1f8bb94p-14, 0x1.6745fc95707abp-14, 0x1.56f2fffd52ce3p-14, 0x1.47543c07c1999p-14, 0x1.3862a5a97c587p-14, 0x1.2a176f45a5951p-14, 0x1.1c6c06e258a9bp-14, 0x1.0f5a1469970e5p-14, 0x1.02db77f41936p-14, 0x1.edd4903f32c9p-15, 0x1.d701a0dffda33p-15, 0x1.c1331f73975a3p-15, 0x1.ac5e6d2f0898fp-15, 0x1.98794bd330e03p-15, 0x1.8579dabcf172dp-15, 0x1.7356940b7e788p-15, 0x1.620649d792245p-15, 0x1.5180237e71cabp-15, 0x1.41bb9afcf652ap-15, 0x1.32b07a5ee50c6p-15, 0x1.2456d93c5f03ep-15, 0x1.16a71a4b3727dp-15, 0x1.0999e8fe2fba5p-15, 0x1.fa506e6d1f7e2p-16, 0x1.e29676081a743p-16, 0x1.cbf8d8e930663p-16, 0x1.b66b06e736f88p-16, 0x1.a1e0eb6fda27bp-16, 0x1.8e4ee97dfbd3dp-16, 0x1.7ba9d7b121053p-16, 0x1.69e6fc7e4f08dp-16, 0x1.58fc0a7795834p-16, 0x1.48df1cb6e3175p-16, 0x1.3986b359e6954p-16, 0x1.2ae9b01ceb89cp-16, 0x1.1cff530c9bf84p-16, 0x1.0fbf374fbb39bp-16, 0x1.03215006fb8a6p-16, 0x1.ee3bca8c89c22p-17, 0x1.d75b224633112p-17, 0x1.c19279b1a91cdp-17, 0x1.acd43c054784bp-17, 0x1.991367d4abf22p-17, 0x1.864389d6fef02p-17, 0x1.7458b7d19929cp-17, 0x1.63478bb0bb0b2p-17, 0x1.53051ebe44493p-17, 0x1.438705011445bp-17, 0x1.34c348c2f4255p-17, 0x1.26b066329683cp-17, 0x1.1945472cc0f66p-17, 0x1.0c793f276a4bbp-17, 0x1.00440736752cp-17, 0x1.e93b74741455fp-18, 0x1.d2fda24995244p-18, 0x1.bdc03ec184533p-18, 0x1.a9759ea627edfp-18, 0x1.9610bdfa5830cp-18, 0x1.83853968087a1p-18, 0x1.71c747f0309ccp-18, 0x1.60cbb4d0f1ae6p-18, 0x1.5087d993175dfp-18, 0x1.40f19851e2b06p-18, 0x1.31ff562ebbfe7p-18, 0x1.23a7f5f87022fp-18, 0x1.15e2d2fbb5e92p-18, 0x1.08a7bc0138102p-18, 0x1.f7dddcf46f6f9p-19, 0x1.df6223af8f6b9p-19, 0x1.c7ce65ff070a4p-19, 0x1.b1157feddaf91p-19, 0x1.9b2b0757c8a1ep-19, 0x1.860343c5d3ed6p-19, 0x1.719326a596b2p-19, 0x1.5dd043b388e6fp-19, 0x1.4ab0c9b18209ap-19, 0x1.382b7b5db16dcp-19, 0x1.2637a8ac9039fp-19, 0x1.14cd28412bdc4p-19, 0x1.03e4512160267p-19, 0x1.e6ebe945ce92p-20, 0x1.c6f6b144feba6p-20, 0x1.a7dc63b266913p-20, 0x1.89913ce8f1f81p-20, 0x1.6c0a41c4da9b5p-20, 0x1.4f3d35a8c3937p-20, 0x1.332090c70ea22p-20, 0x1.17ab76f9078b3p-20, 0x1.f9ab5dafaa501p-21, 0x1.c52f324ac46e1p-21, 0x1.91d4512719784p-21, 0x1.5f8db3da1ea1ap-21, 0x1.2e4f590a19c08p-21, 0x1.fc1c6b99cd941p-22, 0x1.9d804fbd013e4p-22, 0x1.40b7d098daeeap-22, 0x1.cb63fa801ed6cp-23, 0x1.18bed22e906acp-23, 0x1.a590a4ae3b87fp-25, -0x1.0b1549dedc1bep-25, -0x1.d7a8e1bc37dap-24, -0x1.91dda910e10d8p-23, -0x1.1a79a00af5648p-22, -0x1.6a92b760b3c11p-22, -0x1.b94142ca260bp-22, -0x1.0345c3b537678p-21, -0x1.293b7bd49f853p-21, -0x1.4e84214f79527p-21, -0x1.7321b19023a9ap-21, -0x1.9715d6c98b0bep-21, -0x1.ba61eeb448d2fp-21, -0x1.dd071105c9e7bp-21, -0x1.ff0615731dd25p-21, -0x1.102fccbd6aee7p-20, -0x1.208a02f18c80bp-20, -0x1.3091c9ed0ea52p-20, -0x1.404728f8f80f2p-20, -0x1.4faa145a76cd7p-20, -0x1.5eba6f870e39cp-20, -0x1.6d780f43403f6p-20, -0x1.7be2bb9227c2p-20, -0x1.89fa318f603dp-20, -0x1.97be25304e5dfp-20, -0x1.a52e42eb61e2cp-20, -0x1.b24a313a4eff3p-20, -0x1.bf11920ce1eb3p-20, -0x1.cb84042c1d0d7p-20, -0x1.d7a1247828a0fp-20, -0x1.e3688f1f6c383p-20, -0x1.eed9e0b21c3d7p-20, -0x1.f9f4b73006048p-20, -0x1.025c597c669e3p-19, -0x1.0792bbd773036p-19, -0x1.0c9d568363234p-19, -0x1.117bffc6402ep-19, -0x1.162e90aa58693p-19, -0x1.1ab4e54c56d81p-19, -0x1.1f0edd2996d82p-19, -0x1.233c5b63b1602p-19, -0x1.273d46f896f19p-19, -0x1.2b118afc24d99p-19, -0x1.2eb916c7210bcp-19, -0x1.3233de23b3cf1p-19, -0x1.3581d974df5eap-19, -0x1.38a305d33f965p-19, -0x1.3b97652c946f2p-19, -0x1.3e5efe5a2b82dp-19, -0x1.40f9dd33126ccp-19, -0x1.4368129d9e899p-19, -0x1.45a9b49630132p-19, -0x1.47bede3a81b14p-19, -0x1.49a7afcea0252p-19, -0x1.4b644ebaa8accp-19, -0x1.4cf4e58b510ep-19, -0x1.4e59a3ed26ae5p-19, -0x1.4f92bea362a5cp-19, -0x1.50a06f7f4c353p-19, -0x1.5182f552b4db8p-19, -0x1.523a93e27ecacp-19, -0x1.52c793d5ba078p-19, -0x1.532a42a3ddd3cp-19, -0x1.5362f280138cfp-19, -0x1.5371fa424b747p-19, -0x1.5357b55239ba9p-19, -0x1.5314838e14e9cp-19, -0x1.52a8c92f74b2ep-19, -0x1.5214eeb15be9bp-19, -0x1.515960b4bfb28p-19, -0x1.50768fe2295b8p-19, -0x1.4f6cf0cc3ac37p-19, -0x1.4e3cfbd2dfafep-19, -0x1.4ce72d01f189p-19, -0x1.4b6c03f2193d5p-19, -0x1.49cc03a9129e4p-19, -0x1.4807b27830fbp-19, -0x1.461f99dc47fc6p-19, -0x1.4414465ba6796p-19, -0x1.41e64765758c6p-19, -0x1.3f962f2e5457ep-19, -0x1.3d24928ffe02fp-19, -0x1.3a9208e6d2fe4p-19, -0x1.37df2bf11582ep-19, -0x1.350c97ab66c94p-19, -0x1.321aea3119f61p-19, -0x1.2f0ac39984e0fp-19, -0x1.2bdcc5d6ce78ep-19, -0x1.2891949592728p-19, -0x1.2529d51b716bp-19, -0x1.21a62e2748bd2p-19, -0x1.1e0747cfa1c7ap-19, -0x1.1a4dcb63e9b5dp-19, -0x1.167a634da3837p-19, -0x1.128dbaf076e46p-19, -0x1.0e887e8c03b1bp-19, -0x1.0a6b5b1ee2403p-19, -0x1.0636fe477d31ep-19, -0x1.01ec1626d8276p-19, -0x1.fb16a28c0a037p-20, -0x1.f22abcee8b84ep-20, -0x1.e915d97a14bedp-20, -0x1.dfd9565afef84p-20, -0x1.d67691b34d84p-20, -0x1.cceee9654c2cp-20, -0x1.c343bae0ef344p-20, -0x1.b97662f3e2812p-20, -0x1.af883d9a49237p-20, -0x1.a57aa5cc3b54ep-20, -0x1.9b4ef55458be7p-20, -0x1.910684a1c9ae9p-20, -0x1.86a2aa9c843b8p-20, -0x1.7c24bc7da5f0ap-20, -0x1.718e0da42d629p-20, -0x1.66dfef7390a8bp-20, -0x1.5c1bb126987abp-20, -0x1.51429faeb048ep-20, -0x1.465605902af4fp-20, -0x1.3b572abc98efcp-20, -0x1.304754766fbcbp-20, -0x1.2527c52e3b035p-20, -0x1.19f9bc63f8151p-20, -0x1.0ebe768b0bd69p-20, -0x1.03772cee5e5bbp-20, -0x1.f04a2b2961403p-21, -0x1.d992c64abe642p-21, -0x1.c2ca89a56cae1p-21, -0x1.abf3cc7d453a9p-21, -0x1.9510decdc93b1p-21, -0x1.7e24091c9b8a1p-21, -0x1.672f8c50525aap-21, -0x1.5035a18c80ae1p-21, -0x1.39387a0eb435ap-21, -0x1.223a3f08ca0ep-21, -0x1.0b3d1186671e5p-21, -0x1.e8861492510b8p-22, -0x1.ba9c735a3efa9p-22, -0x1.8cc14f27353d4p-22, -0x1.5ef8a68a73c37p-22, -0x1.314666bb4205dp-22, -0x1.03ae6b6e51fa2p-22, -0x1.ac68fd64458adp-23, -0x1.51b8b1950787ap-23, -0x1.eea68052ae976p-24, -0x1.3a7fa3c0bc6e6p-24, -0x1.0e15acfbe697dp-25, 0x1.5d5138a7f4f5dp-27, 0x1.bb23bb455fb59p-25, 0x1.8e9f1f0d86286p-24, 0x1.1f62834786ad2p-23, 0x1.76fb7c81bca77p-23, 0x1.ce14526cf742cp-23, 0x1.12538083410d5p-22, 0x1.3d56d49737cd2p-22, 0x1.68114842d696fp-22, 0x1.928010b42f71p-22, 0x1.bca0757e97331p-22, 0x1.e66fd078e7d5fp-22, 0x1.07f5c6e1438e9p-21, 0x1.1c8895d80a81ep-21, 0x1.30ef1d5f7b60fp-21, 0x1.45282ebd08d08p-21, 0x1.5932a4346876fp-21, 0x1.6d0d60ff06bdfp-21, 0x1.80b7513b7f234p-21, 0x1.942f69de8eedcp-21, 0x1.a774a8a97c11cp-21, 0x1.ba86141dd5b54p-21, 0x1.cd62bb65b6e7fp-21, 0x1.e009b6474a0c4p-21, 0x1.f27a25161dc6cp-21, 0x1.0259984ef9536p-20, 0x1.0b5a0508933p-20, 0x1.143df57b0e61bp-20, 0x1.1d050a8885b0bp-20, 0x1.25aee928ba3f9p-20, 0x1.2e3b3a5cdaa12p-20, 0x1.36a9ab2627135p-20, 0x1.3ef9ec7c68c2ep-20, 0x1.472bb33ee26cep-20, 0x1.4f3eb82bd8e0cp-20, 0x1.5732b7d3d3144p-20, 0x1.5f07728d84d9fp-20, 0x1.66bcac6b07f02p-20, 0x1.6e522d2afbe74p-20, 0x1.75c7c02ddc03dp-20, 0x1.7d1d346992555p-20, 0x1.84525c5abff6ap-20, 0x1.8b670df888a37p-20, 0x1.925b22a9c6039p-20, 0x1.992e7735c9072p-20, 0x1.9fe0ebb64953cp-20, 0x1.a672638cb8d81p-20, 0x1.ace2c55373d62p-20, 0x1.b331facfbe267p-20, 0x1.b95ff0e5aa789p-20, 0x1.bf6c97891b189p-20, 0x1.c557e1b0a6eecp-20, 0x1.cb21c548dd094p-20, 0x1.d0ca3b23770f4p-20, 0x1.d6513eecc3e39p-20, 0x1.dbb6cf1ddfb3ap-20, 0x1.e0faeced52bdep-20, 0x1.e61d9c41d4e1cp-20, 0x1.eb1ee3a557841p-20, 0x1.effecc36fd0e5p-20, 0x1.f4bd619d57e8cp-20, 0x1.f95ab1f8721dcp-20, 0x1.fdd6cdd51458cp-20, 0x1.0118e40f67ecp-19, 0x1.0335db088bb41p-19, 0x1.0542579574c4fp-19, 0x1.073e66915a1eap-19, 0x1.092a15eb75dafp-19, 0x1.0b0574a126eb9p-19, 0x1.0cd092b6c19dap-19, 0x1.0e8b81317f313p-19, 0x1.103652106b2f2p-19, 0x1.11d1184701182p-19, 0x1.135be7b578e5cp-19, 0x1.14d6d523279e1p-19, 0x1.1641f6380600bp-19, 0x1.179d61765090dp-19, 0x1.18e92e33f4517p-19, 0x1.1a2574951f31cp-19, 0x1.1b524d85eb9eap-19, 0x1.1c6fd2b40a59ep-19, 0x1.1d7e1e8930e35p-19, 0x1.1e7d4c24bc656p-19, 0x1.1f6d775631fd1p-19, 0x1.204ebc970e097p-19, 0x1.212139059e614p-19, 0x1.21e50a5eb43c5p-19, 0x1.229a4ef85a17dp-19, 0x1.234125bc30419p-19, 0x1.23d9ae2200261p-19, 0x1.2464082a1b29bp-19, 0x1.24e054584220fp-19, 0x1.254eb3ae7d37dp-19, 0x1.25af47a7bd164p-19, 0x1.260232329fc1dp-19, 0x1.264795ac614ecp-19, 0x1.267f94dc4d1e8p-19, 0x1.26aa52ee36a9ap-19, 0x1.26c7f36e20ee3p-19, 0x1.26d89a435935ap-19, 0x1.26dc6bab94bd5p-19, 0x1.26d38c363be8bp-19, 0x1.26be20c02c33fp-19, 0x1.269c4e6f25fd1p-19, 0x1.266e3aad54d0fp-19, 0x1.26340b2505432p-19, 0x1.25ede5bc7549dp-19, 0x1.259bf09191003p-19, 0x1.253e51f5d575p-19, 0x1.24d5306a4275fp-19, 0x1.2460b29b6ca2ep-19, 0x1.23e0ff5d9f11ep-19, 0x1.23563da8f16bcp-19, 0x1.22c09495be4d6p-19, 0x1.22202b58c7cd7p-19, 0x1.2175293f5ee4p-19, 0x1.20bfb5ac52473p-19, 0x1.1ffff814602f7p-19, 0x1.1f3617faaf079p-19, 0x1.1e623ced7030cp-19, 0x1.1d848e82d09a1p-19, 0x1.1c9d3455cbf0ep-19, 0x1.1bac5602b69bep-19, 0x1.1ab21b2496a8cp-19, 0x1.19aeab5214f6dp-19, 0x1.18a22e1a66e36p-19, 0x1.178ccb0294c4ep-19, 0x1.166ea982e0aedp-19, 0x1.1547f103d7e46p-19, 0x1.1418c8dba6027p-19, 0x1.12e1584b9f811p-19, 0x1.11a1c67daf62p-19, 0x1.105a3a81f6725p-19, 0x1.0f0adb4c6b205p-19, 0x1.0db3cfb27795dp-19, 0x1.0c553e68b942ap-19, 0x1.0aef4e00b4dedp-19, 0x1.098224e6bb6d5p-19, 0x1.080de9601f5ecp-19, 0x1.0692c188cf372p-19, 0x1.0510d35169d4dp-19, 0x1.0388447d726cep-19, 0x1.01f93aa19de45p-19, 0x1.0063db21cbff4p-19, 0x1.fd90965e98295p-20, 0x1.fa4d5f8e36d5bp-20, 0x1.f6fe5b60fc297p-20, 0x1.f3a3d2f6bd7adp-20, 0x1.f03e0efd90c98p-20, 0x1.eccd57ae63fb8p-20, 0x1.e951f4ca940d2p-20, 0x1.e5cc2d990d80ap-20, 0x1.e23c48e3cc7fp-20, 0x1.dea28cf4f8ab2p-20, 0x1.daff3f94d3f0ep-20, 0x1.d752a6072f1e8p-20, 0x1.d39d050941a4cp-20, 0x1.cfdea0cf93c9ap-20, 0x1.cc17bd034f83fp-20, 0x1.c8489cc0f90d6p-20, 0x1.c4718295fa8bp-20, 0x1.c092b07f31f6bp-20, 0x1.bcac67e767f9dp-20, 0x1.b8bee9a51afe8p-20, 0x1.b4ca75f902b92p-20, 0x1.b0cf4c8cf9266p-20, 0x1.accdac7236993p-20, 0x1.a8c5d41fe1f2cp-20, 0x1.a4b80171df1c4p-20, 0x1.a0a471a83488fp-20, 0x1.9c8b61657c4dp-20, 0x1.986d0cadd2dfcp-20, 0x1.9449aee598e66p-20, 0x1.902182d10c983p-20, 0x1.8bf4c292d7a7cp-20, 0x1.87c3a7abdb619p-20, 0x1.838e6afacc5e2p-20, 0x1.7f5544bac2b98p-20, 0x1.7b186c82b6a4dp-20, 0x1.76d81945369c7p-20, 0x1.729481503b98dp-20, 0x1.6e4dda4c5e23ep-20, 0x1.6a04593c61e79p-20, 0x1.65b8327cf76bbp-20, 0x1.616999c51bc7p-20, 0x1.5d18c225bb3c9p-20, 0x1.58c5de08de3f8p-20, 0x1.54711f3223a89p-20, 0x1.501ab6be67f02p-20, 0x1.4bc2d523c8a31p-20, 0x1.4769aa324cb6ep-20, 0x1.430f6513803b8p-20, 0x1.3eb4344ad65bp-20, 0x1.3a5845b5b6084p-20, 0x1.35fbc68b6416fp-20, 0x1.319ee35de1bf5p-20, 0x1.2d41c819ea4fbp-20, 0x1.28e4a00761dafp-20, 0x1.248795c9e42e7p-20, }}, 
      {{-0x1.495d8555127edp-17, -0x1.4aa0437aed753p-15, -0x1.75fef42baee7bp-14, -0x1.4e7911ece773fp-13, -0x1.06c7038618574p-12, -0x1.7bf0f1f89eceep-12, -0x1.02f92f55385bdp-11, -0x1.51a3b794bcd7fp-11, -0x1.a8cd98b0a9d36p-11, -0x1.036f90505f4c8p-10, -0x1.34e9e41e9f3dep-10, -0x1.679f5c05789e6p-10, -0x1.9a2942be1d7afp-10, -0x1.caf5aa73c2b38p-10, -0x1.f84d52eb5363dp-10, -0x1.102d0a550976bp-9, -0x1.2096c6af20473p-9, -0x1.2c63eab10b469p-9, -0x1.328f086afaa99p-9, -0x1.32105c3f272f4p-9, -0x1.29e0bfa5abc51p-9, -0x1.18fc609805858p-9, -0x1.fcca6ead55908p-10, -0x1.b24a6e34fa42p-10, -0x1.50a0714c707acp-10, -0x1.ac167e5518178p-11, -0x1.038de6020ca64p-12, 0x1.c18876da06f04p-12, 0x1.3f32d5041ce4fp-10, 0x1.166e54d082d03p-9, 0x1.9d46a4a20baffp-9, 0x1.1a545b73563ecp-8, 0x1.6e85224dd1637p-8, 0x1.cb682e280ad39p-8, 0x1.1893deb8b27bdp-7, 0x1.4ff2efdced9e2p-7, 0x1.8bde4db5df908p-7, 0x1.cc5f0ecb5fac9p-7, 0x1.08bd3c912e54bp-6, 0x1.2d9910fdd7296p-6, 0x1.54c2084428e4fp-6, 0x1.7e357182421b7p-6, 0x1.a9eefadce01cfp-6, 0x1.d7e8c5ba94fbcp-6, 0x1.040dbdc2fb04cp-5, 0x1.1d3f31647828cp-5, 0x1.3783ba3c2dbefp-5, 0x1.52d5b8a5aa053p-5, 0x1.6f2efb7f09a03p-5, 0x1.8c88cab1ccc38p-5, 0x1.aadbf1967c299p-5, 0x1.ca20c92829504p-5, 0x1.ea4f41fe4bc9bp-5, 0x1.05af77026c022p-4, 0x1.16a384f5e3c4dp-4, 0x1.27ff432434344p-4, 0x1.39be0832017d5p-4, 0x1.4bdb0d5a276b9p-4, 0x1.5e51727d984ebp-4, 0x1.711c42060ec48p-4, 0x1.8436749b1a6fp-4, 0x1.979af4a9721e9p-4, 0x1.ab44a1bcc3081p-4, 0x1.bf2e53ac6f33dp-4, 0x1.d352dd9c08cb9p-4, 0x1.e7ad10d04f7dep-4, 0x1.fc37bf59f34dbp-4, 0x1.0876df4b937d9p-3, 0x1.12e4f4c6b98dp-3, 0x1.1d63918e8eaeap-3, 0x1.27f02c07d2aefp-3, 0x1.328840816343fp-3, 0x1.3d295218c2ddfp-3, 0x1.47d0eb8e65f43p-3, 0x1.527ca00a8147bp-3, 0x1.5d2a0bd314782p-3, 0x1.67d6d4f3ec451p-3, 0x1.7280abd93f371p-3, 0x1.7d254bdd99e27p-3, 0x1.87c27bcbbadbdp-3, 0x1.92560e54f3e5fp-3, 0x1.9cdde27ca9667p-3, 0x1.a757e3f97a3b1p-3, 0x1.b1c20b8c9764fp-3, 0x1.bc1a5f4fc4ec5p-3, 0x1.c65ef2fa79db7p-3, 0x1.d08de81e97d22p-3, 0x1.daa56e5d168dbp-3, 0x1.e4a3c393131b2p-3, 0x1.ee8733ff98e74p-3, 0x1.f84e1a627f46fp-3, 0x1.00fb700a58d4bp-2, 0x1.05bffe8d17ef6p-2, 0x1.0a73fc17097b8p-2, 0x1.0f16b3647130bp-2, 0x1.13a77690bafd7p-2, 0x1.18259f145778dp-2, 0x1.1c908dc024499p-2, 0x1.20e7aab67b561p-2, 0x1.252a656207176p-2, 0x1.2958346a7e5c1p-2, 0x1.2d7095a75b458p-2, 0x1.31730e10ae0c3p-2, 0x1.355f29ae23ba7p-2, 0x1.39347b845bb26p-2, 0x1.3cf29d80a5807p-2, 0x1.409930633d69bp-2, 0x1.4427dba821a79p-2, 0x1.479e4d6e98827p-2, 0x1.4afc3a5f7c66ap-2, 0x1.4e415d926543bp-2, 0x1.516d7871c6f56p-2, 0x1.5480529e172f6p-2, 0x1.5779b9d010e92p-2, 0x1.5a5981ba2deaep-2, 0x1.5d1f83e9625bep-2, 0x1.5fcb9fa535964p-2, 0x1.625db9cf45723p-2, 0x1.64d5bcc24ae77p-2, 0x1.67339830ae179p-2, 0x1.69774102bae83p-2, 0x1.6ba0b1348a687p-2, 0x1.6dafe7b3ac70ep-2, 0x1.6fa4e83ca2a4cp-2, 0x1.717fbb383a77p-2, 0x1.73406d98d7cacp-2, 0x1.74e710b7b5e6cp-2, 0x1.7673ba3232f6fp-2, 0x1.77e683c72e06fp-2, 0x1.793f8b348273bp-2, 0x1.7a7ef214afc94p-2, 0x1.7ba4ddbcb03eap-2, 0x1.7cb1771a0f683p-2, 0x1.7da4ea914514ep-2, 0x1.7e7f67dc5e754p-2, 0x1.7f4121e9fad21p-2, 0x1.7fea4ebca50f7p-2, 0x1.807b274a9176cp-2, 0x1.80f3e75dc1891p-2, 0x1.8154cd7498691p-2, 0x1.819e1aa2de19p-2, 0x1.81d012733d6ep-2, 0x1.81eafac93d282p-2, 0x1.81ef1bc3b42f9p-2, 0x1.81dcbf9fc3f61p-2, 0x1.81b4329c52632p-2, 0x1.8175c2de0f2bdp-2, 0x1.8121c053fedd2p-2, 0x1.80b87c9c8f1eep-2, 0x1.803a4aeb39056p-2, 0x1.7fa77feeaecdbp-2, 0x1.7f0071b79423ep-2, 0x1.7e45779fc86d3p-2, 0x1.7d76ea323a4a8p-2, 0x1.7c9523134a7a9p-2, 0x1.7ba07ce9be1d4p-2, 0x1.7a995348394dp-2, 0x1.7980029749196p-2, 0x1.7854e7fff8ebep-2, 0x1.77186156f206bp-2, 0x1.75cacd08243aep-2, 0x1.746c8a02f533ap-2, 0x1.72fdf7a6fceedp-2, 0x1.717f75b13ffddp-2, 0x1.6ff16429f450cp-2, 0x1.6e542352c66ddp-2, 0x1.6ca813959ea43p-2, 0x1.6aed9573e94ecp-2, 0x1.692509765a3c4p-2, 0x1.674ed01d2e509p-2, 0x1.656b49d0e5371p-2, 0x1.637ad6d3778cp-2, 0x1.617dd73202735p-2, 0x1.5f74aab6e66a3p-2, 0x1.5d5fb0dc5f0adp-2, 0x1.5b3f48bf861ffp-2, 0x1.5913d113cd074p-2, 0x1.56dda816dfa18p-2, 0x1.549d2b84f768bp-2, 0x1.5252b88d9652p-2, 0x1.4ffeabc8acff3p-2, 0x1.4da1612c27da5p-2, 0x1.4b3b3401e0782p-2, 0x1.48cc7eddf5736p-2, 0x1.46559b9582296p-2, 0x1.43d6e335b889ep-2, 0x1.4150adfb59757p-2, 0x1.3ec3534a8aca3p-2, 0x1.3c2f29a708096p-2, 0x1.399486acb03aap-2, 0x1.36f3bf0868402p-2, 0x1.344d26715753bp-2, 0x1.31a10fa277143p-2, 0x1.2eefcc547a372p-2, 0x1.2c39ad3801f3bp-2, 0x1.297f01f0284fdp-2, 0x1.26c0190d57644p-2, 0x1.23fd40086eea4p-2, 0x1.2136c33e36bfcp-2, 0x1.1e6cedeb1df28p-2, 0x1.1ba00a27409abp-2, 0x1.18d060e2b878cp-2, 0x1.15fe39e233826p-2, 0x1.1329dbbbcf0a2p-2, 0x1.10538bd439b74p-2, 0x1.0d7b8e5c13f0ap-2, 0x1.0aa2264d94027p-2, 0x1.07c7956a6d1e6p-2, 0x1.04ec1c39ece3bp-2, 0x1.020ffa075fb79p-2, 0x1.fe66d9c151235p-3, 0x1.f8ad632a303bbp-3, 0x1.f2f40768f853p-3, 0x1.ed3b3b1cca53p-3, 0x1.e783706347357p-3, 0x1.e1cd16d7f453bp-3, 0x1.dc189b9405be9p-3, 0x1.d666692e9142cp-3, 0x1.d0b6e7bd1eaa6p-3, 0x1.cb0a7cd498c05p-3, 0x1.c5618b8a9e34p-3, 0x1.bfbc747729927p-3, 0x1.ba1b95b692f7p-3, 0x1.b47f4aebe46bdp-3, 0x1.aee7ed4380f85p-3, 0x1.a955d37622c56p-3, 0x1.a3c951cc16d34p-3, 0x1.9e42ba20d5ed8p-3, 0x1.98c25be6da4f9p-3, 0x1.9348842bb8233p-3, 0x1.8dd57d9c898f6p-3, 0x1.8869908a87a31p-3, 0x1.830502eff0a79p-3, 0x1.7da8187521782p-3, 0x1.78531275ec6b2p-3, 0x1.7306300725e4p-3, 0x1.6dc1adfc668cfp-3, 0x1.6885c6edfed28p-3, 0x1.6352b33f1ac03p-3, 0x1.5e28a924147bdp-3, 0x1.5907dca8ef36cp-3, 0x1.53f07fb800bep-3, 0x1.4ee2c220bd584p-3, 0x1.49ded19ea8954p-3, 0x1.44e4d9e06cd17p-3, 0x1.3ff5048f0b5aap-3, 0x1.3b0f795539704p-3, 0x1.36345de6c44dfp-3, 0x1.3163d6082758bp-3, 0x1.2c9e039625d11p-3, 0x1.27e3068d8a581p-3, 0x1.2332fd12f102p-3, 0x1.1e8e037aa8486p-3, 0x1.19f43450a3931p-3, 0x1.1565a8607a125p-3, 0x1.10e276bd72c9fp-3, 0x1.0c6ab4caa1539p-3, 0x1.07fe764301bf1p-3, 0x1.039dcd41ab528p-3, 0x1.fe919493f175ap-4, 0x1.f5fef89f8c75fp-4, 0x1.ed83e17f4c5b6p-4, 0x1.e520670e375edp-4, 0x1.dcd49e39b35cbp-4, 0x1.d4a09911f9668p-4, 0x1.cc8466da80892p-4, 0x1.c480141a6f9bep-4, 0x1.bc93aaacf66fp-4, 0x1.b4bf31d1a8bc4p-4, 0x1.ad02ae3cb7ab2p-4, 0x1.a55e2227309b5p-4, 0x1.9dd18d5f1379cp-4, 0x1.965ced576238dp-4, 0x1.8f003d3813145p-4, 0x1.87bb75ede7bedp-4, 0x1.808e8e3a2b38bp-4, 0x1.79797ac25327fp-4, 0x1.727c2e1f7d7ap-4, 0x1.6b9698edd3474p-4, 0x1.64c8a9dbc313ep-4, 0x1.5e124db91ab1bp-4, 0x1.57736f85fa9bbp-4, 0x1.50ebf881a242bp-4, 0x1.4a7bd0391114p-4, 0x1.4422dc95858b8p-4, 0x1.3de101eac563p-4, 0x1.37b623054751cp-4, 0x1.31a2213825358p-4, 0x1.2ba4dc6ae51p-4, 0x1.25be33271177ap-4, 0x1.1fee02a5a395ap-4, 0x1.1a3426dc3aa7dp-4, 0x1.14907a8a22f3bp-4, 0x1.0f02d7452ba4dp-4, 0x1.098b158647306p-4, 0x1.04290cb5faa34p-4, 0x1.fdb926712ff9bp-5, 0x1.f34afcf48ee89p-5, 0x1.e90745f5a9dbcp-5, 0x1.deeda8b29eb18p-5, 0x1.d4fdcabedece4p-5, 0x1.cb3750199359bp-5, 0x1.c199db43940fp-5, 0x1.b8250d54ef38ep-5, 0x1.aed8861211f9bp-5, 0x1.a5b3e4006f736p-5, 0x1.9cb6c47acddcbp-5, 0x1.93e0c3c5202f5p-5, 0x1.8b317d1fee8a3p-5, 0x1.82a88adb5b01bp-5, 0x1.7a458669b470ep-5, 0x1.720808719f626p-5, 0x1.69efa8dfd45dfp-5, 0x1.61fbfef870159p-5, 0x1.5a2ca167dfa56p-5, 0x1.528126535804dp-5, 0x1.4af92368ef858p-5, 0x1.43942def476fdp-5, 0x1.3c51dad4d20dp-5, 0x1.3531bebeaec98p-5, 0x1.2e336e171f9a4p-5, 0x1.27567d1b990d8p-5, 0x1.209a7fea74c41p-5, 0x1.19ff0a9030dd5p-5, 0x1.1383b11460ed4p-5, 0x1.0d280786285fep-5, 0x1.06eba20867cf2p-5, 0x1.00ce14dd7b842p-5, 0x1.f59de8e5483d8p-6, 0x1.e9dbaad62298p-6, 0x1.de54995518295p-6, 0x1.d307debf980dp-6, 0x1.c7f4a61ce3e25p-6, 0x1.bd1a1b31430dap-6, 0x1.b2776a90a8898p-6, 0x1.a80bc1b093af1p-6, 0x1.9dd64ef949841p-6, 0x1.93d641d67af74p-6, 0x1.8a0acac72e85ep-6, 0x1.80731b6d215cfp-6, 0x1.770e669b750a8p-6, 0x1.6ddbe064d0719p-6, 0x1.64dabe28e5ee9p-6, 0x1.5c0a36a157a29p-6, 0x1.536981ee1bac4p-6, 0x1.4af7d9a14645dp-6, 0x1.42b478ca385e6p-6, 0x1.3a9e9c006d17fp-6, 0x1.32b5816d8aaedp-6, 0x1.2af868d71244bp-6, 0x1.236693a78890cp-6, 0x1.1bff44f7106a1p-6, 0x1.14c1c19398f45p-6, 0x1.0dad500881dffp-6, 0x1.06c138a5dd262p-6, 0x1.fff98b0e5082fp-7, 0x1.f2be85333a807p-7, 0x1.e5cffb4426815p-7, 0x1.d92c8c84f32fap-7, 0x1.ccd2dbfdaa064p-7, 0x1.c0c19083e5ecdp-7, 0x1.b4f754c33c806p-7, 0x1.a972d744fd119p-7, 0x1.9e32ca772ed24p-7, 0x1.9335e4b2dc47ep-7, 0x1.887ae04199b46p-7, 0x1.7e007b626ddfbp-7, 0x1.73c5784df740ap-7, 0x1.69c89d3a0b73p-7, 0x1.6008b45cadca4p-7, 0x1.56848bee55f96p-7, 0x1.4d3af62bb3d6cp-7, 0x1.442ac956d8515p-7, 0x1.3b52dfb7e06f5p-7, 0x1.32b2179cf49a4p-7, 0x1.2a475359f5dep-7, 0x1.221179476b788p-7, 0x1.1a0f73c130f0cp-7, 0x1.1240312498fd4p-7, 0x1.0aa2a3cdfcebep-7, 0x1.0335c2160c918p-7, 0x1.f7f10c9d1b5edp-8, 0x1.e9d3dd7da6dc4p-8, 0x1.dc11fb3f73fe9p-8, 0x1.cea9722e9b534p-8, 0x1.c198566835273p-8, 0x1.b4dcc3d01564ap-8, 0x1.a874de0644bc2p-8, 0x1.9c5ed05b5e5adp-8, 0x1.9098cdc4bee7ap-8, 0x1.852110cfc7ap-8, 0x1.79f5db94d8d5dp-8, 0x1.6f1577a999b0bp-8, 0x1.647e3612ec0e5p-8, 0x1.5a2e6f361d527p-8, 0x1.502482c9f9f16p-8, 0x1.465ed7c73938p-8, 0x1.3cdbdc588d089p-8, 0x1.339a05ca75a3ep-8, 0x1.2a97d07a68568p-8, 0x1.21d3bfc608ba1p-8, 0x1.194c5df99c161p-8, 0x1.11003c3e992e7p-8, 0x1.08edf289c2f9ep-8, 0x1.01141f88dfb47p-8, 0x1.f2e2d120efa66p-9, 0x1.e408f3123fbffp-9, 0x1.d59809b97216fp-9, 0x1.c78d86c6e9e5ap-9, 0x1.b9e6e8a10295ep-9, 0x1.aca1ba3dd05dcp-9, 0x1.9fbb92fbe6e91p-9, 0x1.9332167b40a93p-9, 0x1.8702f475da25ep-9, 0x1.7b2be8981f242p-9, 0x1.6faaba5935765p-9, 0x1.647d3cd2ec095p-9, 0x1.59a14e9a03746p-9, 0x1.4f14d995e39a6p-9, 0x1.44d5d2d88ea82p-9, 0x1.3ae23a769da43p-9, 0x1.31381b5ed7aa6p-9, 0x1.27d58b32365d2p-9, 0x1.1eb8aa1bbc2e2p-9, 0x1.15dfa2a8675cp-9, 0x1.0d48a99f2c422p-9, 0x1.04f1fdd91b911p-9, 0x1.f9b3d0332af3ap-10, 0x1.e9fd75cd2a1c3p-10, 0x1.dabda4c28cff1p-10, 0x1.cbf1283d5143ap-10, 0x1.bd94de00b1499p-10, 0x1.afa5b61b3d18cp-10, 0x1.a220b29963e74p-10, 0x1.9502e73821a75p-10, 0x1.88497918b9ac3p-10, 0x1.7bf19e745408bp-10, 0x1.6ff89e509601ap-10, 0x1.645bd0344c83cp-10, 0x1.59189bdd40f69p-10, 0x1.4e2c78f5e3466p-10, 0x1.4394eecc719cep-10, 0x1.394f9409ea0e2p-10, 0x1.2f5a0e6a2e84ap-10, 0x1.25b21274777d2p-10, 0x1.1c5563349dcecp-10, 0x1.1341d1f519b83p-10, 0x1.0a753df9a2ed8p-10, 0x1.01ed943a90f42p-10, 0x1.f3519e4194be2p-11, 0x1.e349ec85d354cp-11, 0x1.d3c03c4442ecep-11, 0x1.c4b0cfd28a601p-11, 0x1.b6180256ce327p-11, 0x1.a7f247476a201p-11, 0x1.9a3c29ec9f04p-11, 0x1.8cf24ce28a286p-11, 0x1.8011699e2d567p-11, 0x1.73964ff32209fp-11, 0x1.677de59ab033cp-11, 0x1.5bc525bd9c1dap-11, 0x1.5069207e74355p-11, 0x1.4566fa85eb491p-11, 0x1.3abbec90c7307p-11, 0x1.306542ffa2086p-11, 0x1.26605d67a3942p-11, 0x1.1caaae25c4f19p-11, 0x1.1341b9f32042ap-11, 0x1.0a23177ad90bep-11, 0x1.014c6ef1d724ep-11, 0x1.f176f3600ca3cp-12, 0x1.e0dc039650f96p-12, 0x1.d0c3c366e9be9p-12, 0x1.c12a07a36dc5ep-12, 0x1.b20ac44cef393p-12, 0x1.a3620bd91b36ap-12, 0x1.952c0e74a706p-12, 0x1.8765194ec90f4p-12, 0x1.7a0995e3d763ep-12, 0x1.6d16094c76f74p-12, 0x1.6087139098119p-12, 0x1.54596efc534b9p-12, 0x1.4889ef785b78ep-12, 0x1.3d1581e50a8e1p-12, 0x1.31f92b7887291p-12, 0x1.27320921843d9p-12, 0x1.1cbd4eea0c03ep-12, 0x1.1298475edcf0dp-12, 0x1.08c052fb3ccaap-12, 0x1.fe65cf27eba37p-13, 0x1.ebdb1f914968fp-13, 0x1.d9dbd4ea99899p-13, 0x1.c863545200bbap-13, 0x1.b76d2939faf63p-13, 0x1.a6f504616befdp-13, 0x1.96f6bace6277ap-13, 0x1.876e44cea57cdp-13, 0x1.7857bcfd25176p-13, 0x1.69af5f4e9ca21p-13, 0x1.5b718820c0f47p-13, 0x1.4d9ab3504e9dbp-13, 0x1.40277b53f31e5p-13, 0x1.3314985b475d6p-13, 0x1.265edf743eef9p-13, 0x1.1a0341b22f65p-13, 0x1.0dfecb5de8bf2p-13, 0x1.024ea32802a68p-13, 0x1.ede012bdc8c8bp-14, 0x1.d7c0ae584050dp-14, 0x1.c239fba8f04e2p-14, 0x1.ad470bfa65ceap-14, 0x1.98e31de78d167p-14, 0x1.85099bf93c37ap-14, 0x1.71b61b47ea46cp-14, 0x1.5ee45a29e8fb7p-14, 0x1.4c903ee3f23b5p-14, 0x1.3ab5d6677e1f7p-14, 0x1.29515318050dfp-14, 0x1.185f0b9227224p-14, 0x1.07db798424067p-14, 0x1.ef8671082fd8ep-15, 0x1.d02609eac8ddep-15, 0x1.b18f75e2d773p-15, 0x1.93bcaa6ec37b2p-15, 0x1.76a7d84af2a4p-15, 0x1.5a4b696e3bb53p-15, 0x1.3ea1ff1370eap-15, 0x1.23a66fd13674cp-15, 0x1.0953c5bf9fdeep-15, 0x1.df4a7953e78bfp-16, 0x1.ad2c809635e2p-16, 0x1.7c44d539753bdp-16, 0x1.4c8b045311e5dp-16, 0x1.1df6f0e5b8d33p-16, 0x1.e101a16e54293p-17, 0x1.8842528810a75p-17, 0x1.31a1999b07522p-17, 0x1.ba235db8f5c79p-18, 0x1.150ab16ead7b4p-18, 0x1.cf7f3224ebde1p-20, -0x1.4bad5eb7180dcp-21, -0x1.861a2bbad4d6dp-19, -0x1.58fcdd060244ap-18, -0x1.eb5a83abedac7p-18, -0x1.3d1d5637062b2p-17, -0x1.82d8919645fbp-17, -0x1.c6e872ed39583p-17, -0x1.04ab0b3c2790dp-16, -0x1.25151cedb583dp-16, -0x1.44b6a007a6f7fp-16, -0x1.63939aab7d759p-16, -0x1.81afe972849bcp-16, -0x1.9f0f41421e81bp-16, -0x1.bbb5310946503p-16, -0x1.d7a523709803ep-16, -0x1.f2e2607d93a78p-16, -0x1.06b80790884fp-15, -0x1.13a89b62f8e35p-15, -0x1.20446060f411fp-15, -0x1.2c8cbce2cd4bap-15, -0x1.3883099e39e3fp-15, -0x1.4428924e1dd7ep-15, -0x1.4f7e9655bca25p-15, -0x1.5a86495f78ffbp-15, -0x1.6540d3f12ba3ep-15, -0x1.6faf5402178d1p-15, -0x1.79d2dd831b714p-15, -0x1.83ac7aea6b21ap-15, -0x1.8d3d2db1e5836p-15, -0x1.9685eed7bf871p-15, -0x1.9f87af51e65e4p-15, -0x1.a84358867936bp-15, -0x1.b0b9ccb695ae3p-15, -0x1.b8ebe76ae41dp-15, -0x1.c0da7dd86368cp-15, -0x1.c8865f42a2f51p-15, -0x1.cff055598223ap-15, -0x1.d719249392064p-15, -0x1.de018c8320d9ap-15, -0x1.e4aa4827ba4c9p-15, -0x1.eb140e3daf5f1p-15, -0x1.f13f918897abap-15, -0x1.f72d81191c151p-15, -0x1.fcde88948f58dp-15, -0x1.0129a83940b01p-14, -0x1.03c63f1e7f04dp-14, -0x1.06455a6523016p-14, -0x1.08a74a3a88777p-14, -0x1.0aec5da8a84c9p-14, -0x1.0d14e2af8a4dcp-14, -0x1.0f21265cd3dddp-14, -0x1.111174e2ad1f3p-14, -0x1.12e619ac5d02cp-14, -0x1.149f5f73b7348p-14, -0x1.163d905309188p-14, -0x1.17c0f5d7def4p-14, -0x1.1929d913640edp-14, -0x1.1a7882a9f8e3cp-14, -0x1.1bad3ae298517p-14, -0x1.1cc849b44bc69p-14, -0x1.1dc9f6d2ccd73p-14, -0x1.1eb289bbc6cacp-14, -0x1.1f8249c092b8p-14, -0x1.20397e116f328p-14, -0x1.20d86dc7188dbp-14, -0x1.215f5feb33065p-14, -0x1.21ce9b80d4443p-14, -0x1.2226678b7fd27p-14, -0x1.22670b165692dp-14, -0x1.2290cd398b095p-14, -0x1.22a3f5202aaf4p-14, -0x1.22a0ca0d19305p-14, -0x1.2287935f647bcp-14, -0x1.225898959e6e5p-14, -0x1.22142151d13b6p-14, -0x1.21ba755b910c2p-14, -0x1.214bdca29e477p-14, -0x1.20c89f40cae04p-14, -0x1.2031057abbfd6p-14, -0x1.1f8557c23b5eap-14, -0x1.1ec5deb571be3p-14, -0x1.1df2e31ff16ep-14, -0x1.1d0cadfa7d0e5p-14, -0x1.1c13886a4f727p-14, -0x1.1b07bbc116f18p-14, -0x1.19e9917af9c17p-14, -0x1.18b9533e25037p-14, -0x1.17774ad8a9d93p-14, -0x1.1623c23edd15p-14, -0x1.14bf038911e68p-14, -0x1.134958f225513p-14, -0x1.11c30cd3dd87bp-14, -0x1.102c69a526d78p-14, -0x1.0e85b9f711e74p-14, -0x1.0ccf487157a49p-14, -0x1.0b095fcfe4617p-14, -0x1.09344adf0d091p-14, -0x1.07505478a8edfp-14, -0x1.055dc7800cceap-14, -0x1.035ceede8d802p-14, -0x1.014e157ff066ap-14, -0x1.fe630c9d3b8fbp-15, -0x1.fa0f185eb2acbp-15, -0x1.f5a0e3fbd2dbap-15, -0x1.f119051145e2fp-15, -0x1.ec781118bd75dp-15, -0x1.e7be9d6189ed6p-15, -0x1.e2ed3f0706864p-15, -0x1.de048ae944ff6p-15, -0x1.d90515a44f7e3p-15, -0x1.d3ef738813c86p-15, -0x1.cec4388f6cf3dp-15, -0x1.c983f85833bc7p-15, -0x1.c42f461a7428ap-15, -0x1.bec6b4a04042fp-15, -0x1.b94ad63d154d8p-15, -0x1.b3bc3cc5af345p-15, -0x1.ae1b798803458p-15, -0x1.a8691d4310659p-15, -0x1.a2a5b81db98c8p-15, -0x1.9cd1d99fe05cap-15, -0x1.96ee10a9c5a67p-15, -0x1.90faeb6c541cbp-15, -0x1.8af8f76196fccp-15, -0x1.84e8c1445c815p-15, -0x1.7ecad50900213p-15, -0x1.789fbdd5f2268p-15, -0x1.726805fcac14ep-15, -0x1.6c2436f1886ebp-15, -0x1.65d4d945b4bfcp-15, -0x1.5f7a749fd3819p-15, -0x1.59158fb4fa98p-15, -0x1.52a6b041e8352p-15, -0x1.4c2e5b053619ep-15, -0x1.45ad13b86b2b7p-15, -0x1.3f235d09a11b9p-15, -0x1.3891b895c279p-15, -0x1.31f8a6e259c71p-15, -0x1.2b58a758098f3p-15, -0x1.24b2383ce68b1p-15, -0x1.1e05d6af0386cp-15, -0x1.1753fe9f29f06p-15, -0x1.109d2acc44bebp-15, -0x1.09e1d4bce4f5p-15, -0x1.032274bc2cf72p-15, -0x1.f8bf03a9840cp-16, -0x1.eb32e3979c9cfp-16, -0x1.dda1723abf751p-16, -0x1.d00b95eefa31ap-16, -0x1.c272326e3b61bp-16, -0x1.b4d628c82034dp-16, -0x1.a738575b01614p-16, -0x1.999999ccb518fp-16, -0x1.8bfac9045f362p-16, -0x1.7e5cbb238a616p-16, -0x1.70c043812e17p-16, -0x1.632632a43a2cfp-16, -0x1.558f563d705ep-16, -0x1.47fc792324efcp-16, -0x1.3a6e634cfde8ep-16, -0x1.2ce5d9cf0c8adp-16, -0x1.1f639ed6064fp-16, -0x1.11e871a3ed938p-16, -0x1.04750e8cfb228p-16, -0x1.ee145de8b6191p-17, -0x1.d3511292b3d72p-17, -0x1.b8a1a208a9ccfp-17, -0x1.9e076d4c94011p-17, -0x1.8383cf6c1d758p-17, -0x1.69181d7ddf6e6p-17, -0x1.4ec5a69db517fp-17, -0x1.348db3ec775c1p-17, -0x1.1a71888d5d4e7p-17, -0x1.007261a549c2ap-17, -0x1.cd22ecb7ac654p-18, -0x1.999fefb6f7ecep-18, -0x1.665e22a283606p-18, -0x1.335fcfd95b366p-18, -0x1.00a735c6d43b4p-18, -0x1.9c6d0dca43d7bp-19, -0x1.381fd38cc7a97p-19, -0x1.a8d5e45860f04p-20, -0x1.c54a1d10b8ebbp-21, -0x1.db53187ec2573p-24, 0x1.4be3abfe5dbf3p-21, 0x1.68485a760f57cp-20, 0x1.14a36e8c4b7aep-19, 0x1.747306ef522p-19, 0x1.d38f65a035404p-19, 0x1.18fa88818702cp-18, 0x1.47d05346be052p-18, 0x1.76476d5270155p-18, 0x1.a45e3c3eaff92p-18, 0x1.d21330fe56ba4p-18, 0x1.ff64c7cef9b42p-18, 0x1.1628c4123d995p-17, 0x1.2c6c024d5a594p-17, 0x1.427b6d70775a9p-17, 0x1.585659d31cd92p-17, 0x1.6dfc2143510a9p-17, 0x1.836c22fbafb13p-17, 0x1.98a5c398f9347p-17, 0x1.ada86d109897fp-17, 0x1.c2738ea511ea2p-17, 0x1.d7069cda2cf76p-17, 0x1.eb61116a4a4e4p-17, 0x1.ff826b3a8c816p-17, 0x1.09b517286ffp-16, 0x1.138bf1e2fa469p-16, 0x1.1d458cdd32b2dp-16, 0x1.26e1b1a56e781p-16, 0x1.30602c40b7bddp-16, 0x1.39c0cb24e1789p-16, 0x1.43035f32bf599p-16, 0x1.4c27bbaf52695p-16, 0x1.552db63d2e8ecp-16, 0x1.5e1526d61a74dp-16, 0x1.66dde7c3e88e9p-16, 0x1.6f87d599d3404p-16, 0x1.7812cf2df2f9fp-16, 0x1.807eb592714d9p-16, 0x1.88cb6c0df977fp-16, 0x1.90f8d8158c275p-16, 0x1.9906e145495dep-16, 0x1.a0f5715942f9fp-16, 0x1.a8c47425c4e4p-16, 0x1.b073d790f383p-16, 0x1.b8038b8b9aaa6p-16, 0x1.bf73820a48e8fp-16, 0x1.c6c3aefda9bbp-16, 0x1.cdf4084b48f08p-16, 0x1.d50485c5f584bp-16, 0x1.dbf52127a768ap-16, 0x1.e2c5d608e11bfp-16, 0x1.e976a1da8091dp-16, 0x1.f00783de31e2cp-16, 0x1.f6787d1ea34e1p-16, 0x1.fcc99068c6b98p-16, 0x1.017d61221d267p-15, 0x1.04860c75e8bd1p-15, 0x1.077ece233252p-15, 0x1.0a67aaf0295f6p-15, 0x1.0d40a871b86fp-15, 0x1.1009cd0809074p-15, 0x1.12c31fdab517p-15, 0x1.156ca8d547a5p-15, 0x1.180670a3dcd71p-15, 0x1.1a9080af29ef6p-15, 0x1.1d0ae3191733ap-15, 0x1.1f75a2b9591c9p-15, 0x1.21d0cb19c739ap-15, 0x1.241c6872a5085p-15, 0x1.265887a71777fp-15, 0x1.28853641e3912p-15, 0x1.2aa28271e6db8p-15, 0x1.2cb07b068ab86p-15, 0x1.2eaf2f6c5b688p-15, 0x1.309eafa982f74p-15, 0x1.327f0c5a61556p-15, 0x1.345056ae51d8ap-15, 0x1.3612a0641761bp-15, 0x1.37c5fbc6b88ecp-15, 0x1.396a7ba9ef1f7p-15, 0x1.3b003366fe63dp-15, 0x1.3c8736d978039p-15, 0x1.3dff9a5bf1476p-15, 0x1.3f6972c4956fdp-15, 0x1.40c4d5621cecfp-15, 0x1.4211d7f8c326p-15, 0x1.435090bed1f75p-15, 0x1.44811659ce3dp-15, 0x1.45a37fdb40ed6p-15, 0x1.46b7e4bd65e5bp-15, 0x1.47be5ce082f8ep-15, 0x1.48b70087ae83ap-15, 0x1.49a1e855c872p-15, 0x1.4a7f2d4ad0f15p-15, 0x1.4b4ee8c09ad79p-15, 0x1.4c11346814487p-15, 0x1.4cc62a466a3e2p-15, 0x1.4d6de4b221434p-15, 0x1.4e087e506d394p-15, 0x1.4e961212386b5p-15, 0x1.4f16bb3170296p-15, 0x1.4f8a952e7e10dp-15, 0x1.4ff1bbcd52b94p-15, 0x1.504c4b12e5d55p-15, 0x1.509a5f42b87cep-15, 0x1.50dc14dbf7454p-15, 0x1.511188971a166p-15, 0x1.513ad76322b98p-15, 0x1.51581e639fc28p-15, 0x1.51697aedca557p-15, 0x1.516f0a8623d27p-15, 0x1.5168eade01da3p-15, 0x1.515739d189a71p-15, 0x1.513a156533c82p-15, 0x1.51119bc326c9fp-15, 0x1.50ddeb39683dfp-15, 0x1.509f22377279dp-15, 0x1.50555f4c06811p-15, 0x1.5000c122e4b6cp-15, 0x1.4fa16682dffdep-15, 0x1.4f376e4ba0815p-15, 0x1.4ec2f773aa383p-15, 0x1.4e44210615972p-15, 0x1.4dbb0a20df383p-15, 0x1.4d27d1f2ade0cp-15, 0x1.4c8a97b8f5d88p-15, 0x1.4be37abe41b88p-15, }}, 
      {{0x1.6377b769203a5p-7, 0x1.643fe065f8af6p-6, 0x1.0c12effe87c1cp-5, 0x1.66e175f8e1554p-5, 0x1.c291e3112a964p-5, 0x1.0f84f39a67634p-4, 0x1.3e0a3fcdb9ad5p-4, 0x1.6cb4682abd63p-4, 0x1.9b586ef3da48cp-4, 0x1.c9c7cf5b0055fp-4, 0x1.f7d3125fa345cp-4, 0x1.12a5f32e71afdp-3, 0x1.29035e6a3cdd2p-3, 0x1.3eedfc897bebep-3, 0x1.54545ecd39e64p-3, 0x1.6927b3a305e2bp-3, 0x1.7d5be26297808p-3, 0x1.90e78bfe0064p-3, 0x1.a3c3f6b39ffe2p-3, 0x1.b5ecea08e0e16p-3, 0x1.c7607f8d640c3p-3, 0x1.d81eec29e96d9p-3, 0x1.e82a45121c133p-3, 0x1.f78642d6c9fe6p-3, 0x1.031c0247c422dp-2, 0x1.0a22ea4f5908fp-2, 0x1.10db7817fdce3p-2, 0x1.1749a91f90d4p-2, 0x1.1d71c157c5f1ep-2, 0x1.235834e30e174p-2, 0x1.29019414bbe78p-2, 0x1.2e7279b4ffae9p-2, 0x1.33af7b7bd11c9p-2, 0x1.38bd1cabd5a0dp-2, 0x1.3d9fc2af20c7cp-2, 0x1.425bab92e8db5p-2, 0x1.46f4e63c6411ep-2, 0x1.4b6f4c2facdd5p-2, 0x1.4fce7cc16bd11p-2, 0x1.5415d98cc6a93p-2, 0x1.58488408879e6p-2, 0x1.5c695c18612d8p-2, 0x1.607aff797461fp-2, 0x1.647fc9eba6f93p-2, 0x1.6879d5fbe9fc6p-2, 0x1.6c6afe560c7f7p-2, 0x1.7054df8743c2dp-2, 0x1.7438da1cddf87p-2, 0x1.7818150cebf24p-2, 0x1.7bf38058c379fp-2, 0x1.7fcbd7db29181p-2, 0x1.83a1a635ce232p-2, 0x1.877547d35bbfp-2, 0x1.8b46edf4d2606p-2, 0x1.8f16a1c24834dp-2, 0x1.92e447584a68ap-2, 0x1.96afa0cc2e738p-2, 0x1.9a7851228b73dp-2, 0x1.9e3ddf33eff51p-2, 0x1.a1ffb87c91d25p-2, 0x1.a5bd33d464f18p-2, 0x1.a975940d874fp-2, 0x1.ad280a777222bp-2, 0x1.b0d3b945c1172p-2, 0x1.b477b5d9c6243p-2, 0x1.b8130aee64cb4p-2, 0x1.bba4baa5f6b15p-2, 0x1.bf2bc07a3996dp-2, 0x1.c2a7130e6dd28p-2, 0x1.c615a5e3fbf22p-2, 0x1.c9766af21f4bap-2, 0x1.ccc8542121587p-2, 0x1.d00a54a9e0c76p-2, 0x1.d33b625a59e74p-2, 0x1.d65a76c00cc35p-2, 0x1.d966903919c32p-2, 0x1.dc5eb2ed024cfp-2, 0x1.df41e9adfd1c8p-2, 0x1.e20f46c3d5792p-2, 0x1.e4c5e4a14f8b5p-2, 0x1.e764e6850cf2bp-2, 0x1.e9eb7906efd0cp-2, 0x1.ec58d292f8bc3p-2, 0x1.eeac33d294238p-2, 0x1.f0e4e80555c59p-2, 0x1.f302454a0dfbcp-2, 0x1.f503acd92b2b2p-2, 0x1.f6e88b314eb28p-2, 0x1.f8b05836fc3bcp-2, 0x1.fa5a974838be4p-2, 0x1.fbe6d744f90e3p-2, 0x1.fd54b28d2a495p-2, 0x1.fea3cef51c3c9p-2, 0x1.ffd3ddb111799p-2, 0x1.00724d9c5722p-1, 0x1.00eae7917b5a4p-1, 0x1.0153a5fdc2e99p-1, 0x1.01ac7788d2657p-1, 0x1.01f55020ecf8ep-1, 0x1.022e28dd402b6p-1, 0x1.0256ffddfcb4dp-1, 0x1.026fd82a7de6p-1, 0x1.0278b98dbc1f3p-1, 0x1.0271b071481f2p-1, 0x1.025acdb7050b8p-1, 0x1.02342691d630dp-1, 0x1.01fdd45d71bd4p-1, 0x1.01b7f47583c75p-1, 0x1.0162a80c50073p-1, 0x1.00fe1400f6c35p-1, 0x1.008a60b5836ccp-1, 0x1.0007b9e4e61e9p-1, 0x1.feec9cf1efc81p-2, 0x1.fdaca0c14f5a8p-2, 0x1.fc4fe8ccce13p-2, 0x1.fad6e40de6eacp-2, 0x1.f94206911ebeep-2, 0x1.f791c9257ffccp-2, 0x1.f5c6a90d400eap-2, 0x1.f3e127afb9a11p-2, 0x1.f1e1ca4cc7a1bp-2, 0x1.efc919b1add39p-2, 0x1.ed97a1ef97536p-2, 0x1.eb4df213c48f3p-2, 0x1.e8ec9be17885ep-2, 0x1.e674338db6e62p-2, 0x1.e3e54f7cd9a61p-2, 0x1.e14088020c261p-2, 0x1.de867720b43a5p-2, 0x1.dbb7b84fcb4d9p-2, 0x1.d8d4e83f2f18p-2, 0x1.d5dea49eec8c9p-2, 0x1.d2d58be885dedp-2, 0x1.cfba3d2a316e3p-2, 0x1.cc8d57d413c95p-2, 0x1.c94f7b876dc05p-2, 0x1.c60147e7c19a1p-2, 0x1.c2a35c6de38c1p-2, 0x1.bf36583cf3b3ep-2, 0x1.bbbad9f93e7bdp-2, 0x1.b8317fa0f4eap-2, 0x1.b49ae666bcd7ap-2, 0x1.b0f7aa8e0e834p-2, 0x1.ad486749539e8p-2, 0x1.a98db699c4c1fp-2, 0x1.a5c83130f9687p-2, 0x1.a1f86e5420539p-2, 0x1.9e1f03c0d63bep-2, 0x1.9a3c859393c38p-2, 0x1.9651862fa3b6ep-2, 0x1.925e96289f691p-2, 0x1.8e64442d5a4c8p-2, 0x1.8a631cf43f6bfp-2, 0x1.865bab290e4b1p-2, 0x1.824e775bedf18p-2, 0x1.7e3c07f1cf184p-2, 0x1.7a24e1160c50fp-2, 0x1.760984ad46d64p-2, 0x1.71ea72496c3aap-2, 0x1.6dc8271ee3a3p-2, 0x1.69a31dfacf34dp-2, 0x1.657bcf3a61452p-2, 0x1.6152b0c333421p-2, 0x1.5d2835fc9bb23p-2, 0x1.58fccfc9f141dp-2, 0x1.54d0ec85bb4f6p-2, 0x1.50a4f7fdc0204p-2, 0x1.4c795b6fe632p-2, 0x1.484e7d87e986dp-2, 0x1.4424c25dcef17p-2, 0x1.3ffc8b7518744p-2, 0x1.3bd637bcab4e3p-2, 0x1.37b2238f61febp-2, 0x1.3390a8b54255cp-2, 0x1.2f721e6551678p-2, 0x1.2b56d947f7c1ap-2, 0x1.273f2b79f8859p-2, 0x1.232b648fe9d08p-2, 0x1.1f1bd19a2fc1fp-2, 0x1.1b10bd296cf0dp-2, 0x1.170a6f5368bdcp-2, 0x1.13092db85b3ep-2, 0x1.0f0d3b88a557bp-2, 0x1.0b16d98ae3778p-2, 0x1.0726462259fe6p-2, 0x1.033bbd55b7e36p-2, 0x1.feaef1ac4bb75p-3, 0x1.f6f3600d3eccap-3, 0x1.ef45300720e6dp-3, 0x1.e7a4c7555cd65p-3, 0x1.e0128746257a2p-3, 0x1.d88ecccb0495dp-3, 0x1.d119f089db201p-3, 0x1.c9b446ee335f4p-3, 0x1.c25e203ae776bp-3, 0x1.bb17c89c0f33fp-3, 0x1.b3e1883933594p-3, 0x1.acbba347b852p-3, 0x1.a5a65a1d7f70dp-3, 0x1.9ea1e943b184ap-3, 0x1.97ae8989b4882p-3, 0x1.90cc70183ad2dp-3, 0x1.89fbce847032cp-3, 0x1.833cd2e33d036p-3, 0x1.7c8fa7dc92102p-3, 0x1.75f474bec28a7p-3, 0x1.6f6b5d91dfc19p-3, 0x1.68f4832b177e3p-3, 0x1.62900340060d6p-3, 0x1.5c3df87a092cdp-3, 0x1.55fe7a897b374p-3, 0x1.4fd19e38e03dfp-3, 0x1.49b77580034cdp-3, 0x1.43b00f96ecfadp-3, 0x1.3dbb7908cbe76p-3, 0x1.37d9bbc6b4c1bp-3, 0x1.320adf3a40e2ap-3, 0x1.2c4ee85807f6p-3, 0x1.26a5d9b1f12ccp-3, 0x1.210fb3895955bp-3, 0x1.1b8c73e10a579p-3, 0x1.161c168f024a5p-3, 0x1.10be954e0cd2fp-3, 0x1.0b73e7cf22718p-3, 0x1.063c03ca9930bp-3, 0x1.0116dd11151ecp-3, 0x1.f808cb388f0a6p-4, 0x1.ee091b3edd954p-4, 0x1.e42e872f3c13dp-4, 0x1.da78e8b78aa73p-4, 0x1.d0e81658efefp-4, 0x1.c77be386fa4b9p-4, 0x1.be3420c630df8p-4, 0x1.b5109bca209f5p-4, 0x1.ac111f92f7088p-4, 0x1.a335748a874fap-4, 0x1.9a7d60a0cf21fp-4, 0x1.91e8a767f4d2fp-4, 0x1.89770a2fc1989p-4, 0x1.812848208c942p-4, 0x1.78fc1e55a271bp-4, 0x1.70f247f71fc2fp-4, 0x1.690a7e5348a5p-4, 0x1.614478f750242p-4, 0x1.599fedc798de3p-4, 0x1.521c9117704bdp-4, 0x1.4aba15c03b302p-4, 0x1.43782d381deabp-4, 0x1.3c5687a81c9f7p-4, 0x1.3554d401b1cc7p-4, 0x1.2e72c013e30b7p-4, 0x1.27aff89fc7ad8p-4, 0x1.210c296c975d3p-4, 0x1.1a86fd5b277p-4, 0x1.14201e78ef5cfp-4, 0x1.0dd7361284db8p-4, 0x1.07abecc59e73p-4, 0x1.019dea928d866p-4, 0x1.f759adda882dp-5, 0x1.ebb0b19baccep-5, 0x1.e0402d810c7b5p-5, 0x1.d5076deaa3828p-5, 0x1.ca05be9e129fcp-5, 0x1.bf3a6ae3e380cp-5, 0x1.b4a4bda3dfc95p-5, 0x1.aa4401807cb5bp-5, 0x1.a01780f169c7ap-5, 0x1.961e865d3b74dp-5, 0x1.8c585c3236c3dp-5, 0x1.82c44cfe48bf6p-5, 0x1.7961a386214ebp-5, 0x1.702faadb80edbp-5, 0x1.672dae72b50c9p-5, 0x1.5e5afa3746411p-5, 0x1.55b6da9fe43fep-5, 0x1.4d409cc187e0fp-5, 0x1.44f78e61d8e72p-5, 0x1.3cdafe08d406cp-5, 0x1.34ea3b11baaabp-5, 0x1.2d2495bb494d6p-5, 0x1.25895f373e40bp-5, 0x1.1e17e9b9324aep-5, 0x1.16cf8884c8bc6p-5, 0x1.0faf8ffb2ff29p-5, 0x1.08b755a80f238p-5, 0x1.01e6304dbe9b7p-5, 0x1.f676efe1f327ep-6, 0x1.e96d0bc7d3f04p-6, 0x1.dcad69a14aa06p-6, 0x1.d036c1862a64ep-6, 0x1.c407ce64aa278p-6, 0x1.b81f4e1308d3ap-6, 0x1.ac7c016022aebp-6, 0x1.a11cac230ce1dp-6, 0x1.9600154998f1fp-6, 0x1.8b2506e5f8728p-6, 0x1.808a4e3b62afbp-6, 0x1.762ebbc9d005p-6, 0x1.6c112358cfcdp-6, 0x1.62305c0185946p-6, 0x1.588b4037c73bbp-6, 0x1.4f20add26fbb2p-6, 0x1.45ef8612e3047p-6, 0x1.3cf6adabc9576p-6, 0x1.34350cc71b5e8p-6, 0x1.2ba98f0b57ac2p-6, 0x1.235323a0295dcp-6, 0x1.1b30bd3242ae2p-6, 0x1.134151f69f87ep-6, 0x1.0b83dbad209e1p-6, 0x1.03f757a291562p-6, 0x1.f9358d6410a85p-7, 0x1.eada5a8b87775p-7, 0x1.dcdb26aee3558p-7, 0x1.cf3608dfe8d34p-7, 0x1.c1e91f4d3c2d2p-7, 0x1.b4f28f3feacaap-7, 0x1.a8508517fd0abp-7, 0x1.9c0134482c82ep-7, 0x1.9002d75095e1cp-7, 0x1.8453afb8c4bebp-7, 0x1.78f20608d0293p-7, 0x1.6ddc29c1cb85p-7, 0x1.6310715557a05p-7, 0x1.588d3a1cb24f8p-7, 0x1.4e50e84eebe43p-7, 0x1.4459e6f69618fp-7, 0x1.3aa6a7e6c9ae4p-7, 0x1.3135a3af9e4e5p-7, 0x1.28055992122fcp-7, 0x1.1f144f736d489p-7, 0x1.166111d01f82ap-7, 0x1.0dea33ae3d67bp-7, 0x1.05ae4e8f631ep-7, 0x1.fb5804c4b0209p-8, 0x1.ebc3eae8654e7p-8, 0x1.dc9da8c240809p-8, 0x1.cde2a409cb039p-8, 0x1.bf904ed5ed5bdp-8, 0x1.b1a4277ca2a96p-8, 0x1.a41bb87202518p-8, 0x1.96f49826f145ap-8, 0x1.8a2c68e731722p-8, 0x1.7dc0d8b6f8232p-8, 0x1.71afa1304dcf1p-8, 0x1.65f6875ff12f9p-8, 0x1.5a935ba1d54d2p-8, 0x1.4f83f97d87e69p-8, 0x1.44c647820bf3bp-8, 0x1.3a583721cdc4fp-8, 0x1.3037c48e1c6a3p-8, 0x1.2662f692a511fp-8, 0x1.1cd7de70abb2ap-8, 0x1.139497ba31f8dp-8, 0x1.0a97482d24f6p-8, 0x1.01de1f8e4a5aep-8, 0x1.f2ceaf087f6a8p-9, 0x1.e26266e4e3976p-9, 0x1.d27400a8510cap-9, 0x1.c300292eecd1fp-9, 0x1.b4039ff0b05fap-9, 0x1.a57b36b7b6e9ep-9, 0x1.9763d156955ebp-9, 0x1.89ba655f44318p-9, 0x1.7c7bf9da0535fp-9, 0x1.6fa5a6fca14c9p-9, 0x1.633495e216a6bp-9, 0x1.5726004278044p-9, 0x1.4b77302b5aefp-9, 0x1.40257fb8ae1aap-9, 0x1.352e58cdd6b3ep-9, 0x1.2a8f34cf6fd09p-9, 0x1.20459c5d81384p-9, 0x1.164f270e42592p-9, 0x1.0ca97b29359f7p-9, 0x1.03524d6334be4p-9, 0x1.f48ec13537dbdp-10, 0x1.e30d0b28de3d3p-10, 0x1.d21b357420cf7p-10, 0x1.c1b517ae860fp-10, 0x1.b1d6a3b282356p-10, 0x1.a27be51c76537p-10, 0x1.93a100cb3cdd9p-10, 0x1.85423462037bap-10, 0x1.775bd5cb80c06p-10, 0x1.69ea52beb2d12p-10, 0x1.5cea3044c50ap-10, 0x1.50580a410fcfcp-10, 0x1.443092f9ae20cp-10, 0x1.387092a23bf74p-10, 0x1.2d14e6e7d58c6p-10, 0x1.221a827e81266p-10, 0x1.177e6cb06203dp-10, 0x1.0d3dc0ee376acp-10, 0x1.0355ae61599fep-10, 0x1.f386eefec5dd3p-11, 0x1.e108e33f04573p-11, 0x1.cf2c0921f7b76p-11, 0x1.bdeb54674cb0fp-11, 0x1.ad41dc22e0eb8p-11, 0x1.9d2ad9f406afap-11, 0x1.8da1a93ec0fbap-11, 0x1.7ea1c669246a7p-11, 0x1.7026ce1b3f458p-11, 0x1.622c7c81ca821p-11, 0x1.54aeac94b4952p-11, 0x1.47a9575fc962ap-11, 0x1.3b18934f7faccp-11, 0x1.2ef89380023dep-11, 0x1.2345a70f16b62p-11, 0x1.17fc3871df4f5p-11, 0x1.0d18ccccc0b76p-11, 0x1.0298034eb97fap-11, 0x1.f0ed291ee6c0fp-12, 0x1.dd62a3e10cb0fp-12, 0x1.ca8a4a023fa9cp-12, 0x1.b85e1dc9de24cp-12, 0x1.a6d84f7c18cep-12, 0x1.95f33c323326cp-12, 0x1.85a96cb994669p-12, 0x1.75f594785495ap-12, 0x1.66d29055f0f3ap-12, 0x1.583b65ab1103dp-12, 0x1.4a2b4135cd6bcp-12, 0x1.3c9d761397859p-12, 0x1.2f8d7cc01f849p-12, 0x1.22f6f219b5ec7p-12, 0x1.16d5966ab91d1p-12, 0x1.0b254c77bc89ep-12, 0x1.ffc43127461cep-13, 0x1.ea103f6f45bafp-13, 0x1.d5274d41aad6dp-13, 0x1.c10221e4bcad6p-13, 0x1.ad99c0b884241p-13, 0x1.9ae7678e875f7p-13, 0x1.88e48d0998811p-13, 0x1.778adf08a6bf3p-13, 0x1.66d44118f132ap-13, 0x1.56bacaf126c4fp-13, 0x1.4738c6f690c5fp-13, 0x1.3848b0c9580f8p-13, 0x1.29e533da43cc2p-13, 0x1.1c092a0898e7ep-13, 0x1.0eaf9a483f18dp-13, 0x1.01d3b74f384d2p-13, 0x1.eae1bc97c4325p-14, 0x1.d3052b465024p-14, 0x1.bc09176b1c1d7p-14, 0x1.a5e52b597fe92p-14, 0x1.90915c9f6fdccp-14, 0x1.7c05e9be4cb7ep-14, 0x1.683b57ee96b34p-14, 0x1.552a70f62ad08p-14, 0x1.42cc41099b327p-14, 0x1.311a14ba9521p-14, 0x1.200d76f6faf32p-14, 0x1.0fa02f108e528p-14, 0x1.ff987da92841ap-15, 0x1.e117c15fac6bep-15, 0x1.c3b30bb9797dep-15, 0x1.a75fa9411a6bbp-15, 0x1.8c134d2605d14p-15, 0x1.71c40de207f27p-15, 0x1.586861f715346p-15, 0x1.3ff71cc477357p-15, 0x1.28676b6e67ddcp-15, 0x1.11b0d1de067f6p-15, 0x1.f7964fae9c22bp-16, 0x1.cd5d2c4233193p-16, 0x1.a4a72780e5814p-16, 0x1.7d65c696ae511p-16, 0x1.578b209613dc4p-16, 0x1.3309d9693fe9cp-16, 0x1.0fd51ce166394p-16, 0x1.dbc133dc30d0ep-17, 0x1.9a40fbfa3e815p-17, 0x1.5b12e0da48b3p-17, 0x1.1e211c6794557p-17, 0x1.c6ad96656317cp-18, 0x1.553fc85cffa18p-18, 0x1.cfa4c2d5f0dedp-19, 0x1.f90226133a3cap-20, 0x1.866eece66667ep-22, -0x1.2771241900d93p-20, -0x1.51531dbffb957p-19, -0x1.041ff7f4a9beep-18, -0x1.5c5d4b1701873p-18, -0x1.b17e0da0d8541p-18, -0x1.01cec7eeb8eddp-17, -0x1.296afc9573c28p-17, -0x1.4fa029d389ee1p-17, -0x1.747a4bc644618p-17, -0x1.9804db0cbf393p-17, -0x1.ba4ad21d5a22dp-17, -0x1.db56b25b3ca06p-17, -0x1.fb328910b6c9dp-17, -0x1.0cf3fa1c30b5fp-16, -0x1.1bc013921d5adp-16, -0x1.2a01f778fc6a3p-16, -0x1.37bddb6d4e5cp-16, -0x1.44f7c633047p-16, -0x1.51b391b859f2p-16, -0x1.5df4ed04c7051p-16, -0x1.69bf5e1c3d1d8p-16, -0x1.751643ceb5efcp-16, -0x1.7ffcd77646decp-16, -0x1.8a762ea56157bp-16, -0x1.94853cc8af331p-16, -0x1.9e2cd4b44104p-16, -0x1.a76faa25aeb3cp-16, -0x1.b0505337c283ep-16, -0x1.b8d149c7d0558p-16, -0x1.c0f4eccce0d66p-16, -0x1.c8bd81a360031p-16, -0x1.d02d35496e08dp-16, -0x1.d7461d9329125p-16, -0x1.de0a3a4ce2d2bp-16, -0x1.e47b7658416bcp-16, -0x1.ea9ba8b8ccdcap-16, -0x1.f06c95996bcap-16, -0x1.f5efef4629f65p-16, -0x1.fb27571aeb41bp-16, -0x1.000a2f340580bp-15, -0x1.025c43a772ebfp-15, -0x1.048aa2ca22e6cp-15, -0x1.0695ffb4344cfp-15, -0x1.087f0715a92fcp-15, -0x1.0a465f9093ed1p-15, -0x1.0becaa12a8a1ep-15, -0x1.0d7282284d5c8p-15, -0x1.0ed87e4e8a13cp-15, -0x1.101f303e1b221p-15, -0x1.114725353ec5cp-15, -0x1.1250e63decfa2p-15, -0x1.133cf86f57a0ep-15, -0x1.140bdd2e4acd1p-15, -0x1.14be1268a5cfcp-15, -0x1.155412ceb2ca7p-15, -0x1.15ce560949297p-15, -0x1.162d50ede6c76p-15, -0x1.167175aef571ep-15, -0x1.169b340ad3603p-15, -0x1.16aaf9771a6a3p-15, -0x1.16a1314a6a106p-15, -0x1.167e44e37d0a8p-15, -0x1.16429bcf0280fp-15, -0x1.15ee9be94bbdap-15, -0x1.1582a97fe0489p-15, -0x1.14ff27705efb9p-15, -0x1.146477450902bp-15, -0x1.13b2f951311e1p-15, -0x1.12eb0cc986903p-15, -0x1.120d0fdcc4edbp-15, -0x1.11195fc9963b8p-15, -0x1.101058f378d93p-15, -0x1.0ef256f61f3a6p-15, -0x1.0dbfb4b763602p-15, -0x1.0c78cc77be933p-15, -0x1.0b1df7e1e105fp-15, -0x1.09af9018510e4p-15, -0x1.082dedc2d3f86p-15, -0x1.0699691a3547p-15, -0x1.04f259f2f31ffp-15, -0x1.033917c6f10a6p-15, -0x1.016df9be9079bp-15, -0x1.ff22ad7023956p-16, -0x1.fb470a9f1e31ep-16, -0x1.f749b7c859f9p-16, -0x1.f32b613d14fe9p-16, -0x1.eeecb2e861deep-16, -0x1.ea8e58597db3dp-16, -0x1.e610fcc9b2154p-16, -0x1.e1754b2127723p-16, -0x1.dcbbedfc2d95dp-16, -0x1.d7e58fadb7ec9p-16, -0x1.d2f2da4129f69p-16, -0x1.cde4777bf3733p-16, -0x1.c8bb10ddc66bep-16, -0x1.c3774f9f39b9cp-16, -0x1.be19dcb106772p-16, -0x1.b8a360b902d21p-16, -0x1.b314840fadb4ep-16, -0x1.ad6deebc27a0fp-16, -0x1.a7b048705b18dp-16, -0x1.a1dc388435cf3p-16, -0x1.9bf265ef94ed2p-16, -0x1.95f377450814dp-16, -0x1.8fe012aa9a8b1p-16, -0x1.89b8ddd550da8p-16, -0x1.837e7dff5f628p-16, -0x1.7d3197e39032ep-16, -0x1.76d2cfb33e84p-16, -0x1.7062c90fcefaap-16, -0x1.69e2270214224p-16, -0x1.63518bf23bd0dp-16, -0x1.5cb1999f45a47p-16, -0x1.5602f115c9b02p-16, -0x1.4f4632a7c400fp-16, -0x1.487bfde3d176cp-16, -0x1.41a4f18ba674dp-16, -0x1.3ac1ab8bb9418p-16, -0x1.33d2c8f23f761p-16, -0x1.2cd8e5e5af7dep-16, -0x1.25d49d9be2c64p-16, -0x1.1ec68a5168ed7p-16, -0x1.17af453f89b78p-16, -0x1.108f66951be8fp-16, -0x1.0967856c0e2cep-16, -0x1.023837c24ff3ap-16, -0x1.f60424df9b467p-17, -0x1.e78b523cde8dp-17, -0x1.d9071c83bc9cap-17, -0x1.ca78a61f2553ap-17, -0x1.bbe10eebcd18dp-17, -0x1.ad4174299e0a6p-17, -0x1.9e9af06b6bdbp-17, -0x1.8fee9b88189efp-17, -0x1.813d8a8bf4af3p-17, -0x1.7288cfa9d22afp-17, -0x1.63d17a2e96e7ap-17, -0x1.55189670af741p-17, -0x1.465f2dc5a51c3p-17, -0x1.37a64673711d4p-17, -0x1.28eee3a4219bbp-17, -0x1.1a3a055b036b9p-17, -0x1.0b88a867e370cp-17, -0x1.f9b78cb95234p-18, -0x1.dc68ab05ab884p-18, -0x1.bf2691a0dde89p-18, -0x1.a1f31fbf5aa8dp-18, -0x1.84d02dc6fc99ep-18, -0x1.67bf8d43c7c06p-18, -0x1.4ac308d04bfcap-18, -0x1.2ddc640a48386p-18, -0x1.110d5b830808fp-18, -0x1.e8af495b2856p-19, -0x1.af79dbaf1a398p-19, -0x1.767dbc355a07ap-19, -0x1.3dbe2a9f4ef96p-19, -0x1.053e580db1f1cp-19, -0x1.9a02cdf4c3509p-20, -0x1.2a14d6488c94bp-20, -0x1.7571a625a4c65p-21, -0x1.2fd2c275a16a4p-22, 0x1.118e14649c9a7p-23, 0x1.1f69ab67333a3p-21, 0x1.f91dec1224446p-21, 0x1.68baaead71b85p-20, 0x1.d432a8c0b9035p-20, 0x1.1f78d5b349024p-19, 0x1.54794de5cbe4fp-19, 0x1.89183e9022b25p-19, 0x1.bd533850f1806p-19, 0x1.f127dac5ec42cp-19, 0x1.1249ea43b01fap-18, 0x1.2bca71942f5b2p-18, 0x1.45146995b0e5cp-18, 0x1.5e26bff9ddb2ep-18, 0x1.770069e425e9p-18, 0x1.8fa063df0f8e9p-18, 0x1.a805b1d6eebd2p-18, 0x1.c02f5f170af75p-18, 0x1.d81c7e3ae6d62p-18, 0x1.efcc292c46309p-18, 0x1.039ec08b57cecp-17, 0x1.0f37d730ec916p-17, 0x1.1ab0f051b127ep-17, 0x1.2609a74b7d7dfp-17, 0x1.31419b0a2a8bdp-17, 0x1.3c586e0034bbdp-17, 0x1.474dc621b94a4p-17, 0x1.52214cdded17fp-17, 0x1.5cd2af19b6064p-17, 0x1.67619d27a577dp-17, 0x1.71cdcac0a73f8p-17, 0x1.7c16eeff0db3fp-17, 0x1.863cc4554efd9p-17, 0x1.903f0886dd622p-17, 0x1.9a1d7ca1928ffp-17, 0x1.a3d7e4f3d59ap-17, 0x1.ad6e090625f79p-17, 0x1.b6dfb391d7613p-17, 0x1.c02cb278d9bcp-17, 0x1.c954d6bec6b81p-17, 0x1.d257f47d1dce5p-17, 0x1.db35e2dd3e385p-17, 0x1.e3ee7c0dceb0dp-17, 0x1.ec819d3a2c04fp-17, 0x1.f4ef2681ceffap-17, 0x1.fd36faedf675p-17, 0x1.02ac803419c88p-16, 0x1.06aa8fd91f5d7p-16, 0x1.0a95a22d3190ep-16, 0x1.0e6dae598e6e7p-16, 0x1.1232ace4ad24dp-16, 0x1.15e497ad20bcp-16, 0x1.198369e441271p-16, 0x1.1d0f200a2871ap-16, 0x1.2087b7e7c30e5p-16, 0x1.23ed3089efccfp-16, 0x1.273f8a3d11abp-16, 0x1.2a7ec6872ffbdp-16, 0x1.2daae8230008cp-16, 0x1.30c3f2fb7b33fp-16, 0x1.33c9ec2595345p-16, 0x1.36bcd9dbe383cp-16, 0x1.399cc37976b79p-16, 0x1.3c69b1748168ap-16, 0x1.3f23ad58d7793p-16, 0x1.41cac1c3935a1p-16, 0x1.445efa5d2efe3p-16, 0x1.46e063d4dc059p-16, 0x1.494f0bdafa5dbp-16, 0x1.4bab011c77a17p-16, 0x1.4df4533d3e845p-16, 0x1.502b12d2d2339p-16, 0x1.524f515ff8a5ap-16, 0x1.5461214f6b992p-16, 0x1.566095ee35442p-16, 0x1.584dc36776065p-16, 0x1.5a28bebeada42p-16, 0x1.5bf19dcb290f4p-16, 0x1.5da877329b9e1p-16, 0x1.5f4d6264e34c7p-16, 0x1.60e077964727ap-16, 0x1.6261cfbaf20fdp-16, 0x1.63d184822e103p-16, 0x1.652fb051632fep-16, 0x1.667c6e3f0891bp-16, 0x1.67b7da0e67449p-16, 0x1.68e2102a80945p-16, 0x1.69fb2da14a1a5p-16, 0x1.6b03501f7427bp-16, 0x1.6bfa95eb1a0bbp-16, 0x1.6ce11ddf979f7p-16, 0x1.6db70768ee697p-16, 0x1.6e7c727f5a4f8p-16, 0x1.6f317fa273b6ep-16, 0x1.6fd64fd50b8c4p-16, 0x1.706b0498c89bcp-16, 0x1.70efbfe9ceffp-16, 0x1.7164a43a2c757p-16, 0x1.71c9d46dccec1p-16, 0x1.721f73d661554p-16, 0x1.7265a62ef2e9ep-16, 0x1.729c8f97fe9acp-16, 0x1.72c45493090a2p-16, 0x1.72dd19ff0b6a9p-16, 0x1.72e7051408305p-16, 0x1.72e23b5f68162p-16, 0x1.72cee2c01c0a7p-16, 0x1.72ad2162770eap-16, 0x1.727d1dbc96c28p-16, 0x1.723efe8ad26cp-16, 0x1.71f2eacbc0126p-16, 0x1.719909bca5af2p-16, 0x1.713182d5e49bbp-16, 0x1.70bc7dc79a513p-16, 0x1.703a2275f9d23p-16, 0x1.6faa98f5dbd85p-16, 0x1.6f0e098970defp-16, 0x1.6e649c9cb8186p-16, 0x1.6dae7ac2839e7p-16, 0x1.6cebccb102235p-16, 0x1.6c1cbb3ebe16fp-16, 0x1.6b416f5f61b5ep-16, 0x1.6a5a1220824cdp-16, 0x1.6966cca6d05dbp-16, 0x1.6867c82b1bd02p-16, 0x1.675d2df73d78ep-16, 0x1.664727635d94fp-16, 0x1.6525ddd319d86p-16, 0x1.63f97ab2b4225p-16, 0x1.62c22774388b6p-16, 0x1.61800d8d1c82bp-16, 0x1.6033567385497p-16, 0x1.5edc2b9b7e943p-16, 0x1.5d7ab6749f6b6p-16, 0x1.5c0f2067c8fd5p-16, 0x1.5a9992d463bb1p-16, 0x1.591a370e17ae7p-16, 0x1.5791365a6fe94p-16, 0x1.55feb9eea7c09p-16, 0x1.5462eaed6d38bp-16, 0x1.52bdf264c0437p-16, 0x1.510ff94bba37ap-16, 0x1.4f5928807c317p-16, 0x1.4d99a8c609fe1p-16, 0x1.4bd1a2c263001p-16, 0x1.4a013efcc7077p-16, 0x1.4828a5db73b2bp-16, 0x1.4647ffa1d4618p-16, 0x1.445f746eebcd5p-16, 0x1.426f2c3b903cp-16, 0x1.40774ed865681p-16, 0x1.3e7803ec6685cp-16, 0x1.3c7172f323e71p-16, 0x1.3a63c33b4c48dp-16, 0x1.384f1be51fc8ap-16, 0x1.3633a3e0de893p-16, 0x1.341181ed444dbp-16, 0x1.31e8dc962a471p-16, 0x1.2fb9da3319beep-16, 0x1.2d84a0e600a02p-16, 0x1.2b495699d1d39p-16, 0x1.2908210149a26p-16, 0x1.26c12595da743p-16, 0x1.2474899648d7bp-16, 0x1.222272058d717p-16, 0x1.1fcb03a9a59ebp-16, 0x1.1d6e630ab414ep-16, 0x1.1b0cb471b622cp-16, 0x1.18a61be7bccf9p-16, 0x1.163abd34f7237p-16, 0x1.13cabbdf935dbp-16, 0x1.11563b2ad57d1p-16, 0x1.0edd5e166a4f9p-16, 0x1.0c60475d79a87p-16, 0x1.09df1975c6469p-16, 0x1.0759f68eea8dep-16, 0x1.04d10091d5624p-16, 0x1.0244591fffac4p-16, 0x1.ff6843254aeffp-17, 0x1.fa40f5f429644p-17, 0x1.f5130c3a780d6p-17, 0x1.efdec6f1a9bbfp-17, 0x1.eaa4667e60671p-17, 0x1.e5642aaf5fad7p-17, 0x1.e01e52bbdc7cdp-17, 0x1.dad31d42dd1a7p-17, 0x1.d582c84a78056p-17, 0x1.d02d913f15bbbp-17, 0x1.cad3b4f29158ep-17, 0x1.c5756f9b6a80dp-17, 0x1.c012fcd3f014dp-17, 0x1.baac979a2a962p-17, 0x1.b5427a4f47b53p-17, 0x1.afd4deb672e25p-17, 0x1.aa63fdf4d82f7p-17, 0x1.a4f0109105c93p-17, 0x1.9f794e727fe1p-17, 0x1.99ffeee1dc0e8p-17, 0x1.948428880e9cp-17, 0x1.8f06316e6d683p-17, 0x1.89863efe5c4fdp-17, 0x1.84048600d8721p-17, 0x1.7e813a9ecea8bp-17, 0x1.78fc9060dd8fbp-17, 0x1.7376ba2f471c2p-17, 0x1.6defea52091bep-17, }}, 
      {{0x1.f3ea4ecd41f8bp-1, 0x1.f35b5e9d51af8p-1, 0x1.f279f084c03eep-1, 0x1.f1536a7afdb02p-1, 0x1.eff4e6fdb191ep-1, 0x1.ee69ec8399557p-1, 0x1.ecbbe59760cacp-1, 0x1.eaf20bc49d344p-1, 0x1.e91192617cb72p-1, 0x1.e71df0af7431fp-1, 0x1.e5193739c11afp-1, 0x1.e30464917e79dp-1, 0x1.e0dfb2dd6a585p-1, 0x1.deaadb165f8acp-1, 0x1.dc654cdff739fp-1, 0x1.da0e5b2917be3p-1, 0x1.d7a55e6fc9bc4p-1, 0x1.d529cdda33df8p-1, 0x1.d29b5075fad92p-1, 0x1.cff9c7eda9656p-1, 0x1.cd4555ef66de3p-1, 0x1.ca7e5d621b007p-1, 0x1.c7a58063d1b3ap-1, 0x1.c4bb9be937abcp-1, 0x1.c1c1c1b450765p-1, 0x1.beb931394b887p-1, 0x1.bba34fec26c02p-1, 0x1.b881a158d0f14p-1, 0x1.b555bf51be7e7p-1, 0x1.b221526e46793p-1, 0x1.aee60b0257d1cp-1, 0x1.aba59aac04881p-1, 0x1.a861ae889a593p-1, 0x1.a51bea1a63a87p-1, 0x1.a1d5e2e14e256p-1, 0x1.9e911ca377b98p-1, 0x1.9b4f065eacbf8p-1, 0x1.9810f7d91302fp-1, 0x1.94d82fc553848p-1, 0x1.91a5d26d6a5f3p-1, 0x1.8e7ae8d6b4927p-1, 0x1.8b586051bbed9p-1, 0x1.883f0a687d984p-1, 0x1.852f9d1e751cep-1, 0x1.822ab376615bp-1, 0x1.7f30ce32940afp-1, 0x1.7c4254c5835ddp-1, 0x1.795f96693ed04p-1, 0x1.7688cb555e583p-1, 0x1.73be160beb4c7p-1, 0x1.70ff84b6a405p-1, 0x1.6e4d128eccc32p-1, 0x1.6ba6a94a8abf7p-1, 0x1.690c228b75102p-1, 0x1.667d494ab4605p-1, 0x1.63f9db3f9bcd5p-1, 0x1.61818a3e29a04p-1, 0x1.5f13fd8b5a2ffp-1, 0x1.5cb0d325a0fd3p-1, 0x1.5a57a10030c47p-1, 0x1.5807f63018b6bp-1, 0x1.55c15c0a76a67p-1, 0x1.53835733448f2p-1, 0x1.514d689c7364fp-1, 0x1.4f1f0e7537403p-1, 0x1.4cf7c5098bb5ep-1, 0x1.4ad707921585ep-1, 0x1.48bc50f4a2f01p-1, 0x1.46a71c75a0013p-1, 0x1.4496e65ae51a9p-1, 0x1.428b2c8056a9ep-1, 0x1.40836eded3dbdp-1, 0x1.3e7f3005fdf18p-1, 0x1.3c7df589660e5p-1, 0x1.3a7f4861b42c4p-1, 0x1.3882b5425d66dp-1, 0x1.3687cce47f5e8p-1, 0x1.348e244777ff7p-1, 0x1.329554e7ce8a7p-1, 0x1.309cfced02c0dp-1, 0x1.2ea4bf4ed46f2p-1, 0x1.2cac43f28fda9p-1, 0x1.2ab337c0ed58fp-1, 0x1.28b94cb507224p-1, 0x1.26be39e4ec28ep-1, 0x1.24c1bb844ce0ap-1, 0x1.22c392e1bb55dp-1, 0x1.20c3865ef474fp-1, 0x1.1ec16164a1c56p-1, 0x1.1cbcf45201552p-1, 0x1.1ab61468d45cdp-1, 0x1.18ac9bb5fdba2p-1, 0x1.16a068f724093p-1, 0x1.14915f7db5b2bp-1, 0x1.127f670f9c8f8p-1, 0x1.106a6bc5f12ccp-1, 0x1.0e525de9f561p-1, 0x1.0c3731d09c584p-1, 0x1.0a18dfb4dc8fbp-1, 0x1.07f763910c68dp-1, 0x1.05d2bcf77b765p-1, 0x1.03aaeeea7fb4bp-1, 0x1.017fffb4254e2p-1, 0x1.fea3f17b58756p-2, 0x1.fa41cccdf5c3bp-2, 0x1.f5d9afbc5b863p-2, 0x1.f16bbdeec8104p-2, 0x1.ecf82009cabd9p-2, 0x1.e87f035f834cep-2, 0x1.e40099a1fc068p-2, 0x1.df7d1896d3744p-2, 0x1.daf4b9cc57192p-2, 0x1.d667ba5035db7p-2, 0x1.d1d65a67e729p-2, 0x1.cd40dd4adfe6cp-2, 0x1.c8a788deacebap-2, 0x1.c40aa5750894p-2, 0x1.bf6a7d8bf3c84p-2, 0x1.bac75d8fe722ap-2, 0x1.b62193a0210b1p-2, 0x1.b1796f5517d18p-2, 0x1.accf418917b2ep-2, 0x1.a8235c230be5cp-2, 0x1.a37611e37401cp-2, 0x1.9ec7b63384e07p-2, 0x1.9a189cf674153p-2, 0x1.95691a5ce1adep-2, 0x1.90b982ba634ep-2, 0x1.8c0a2a5d27696p-2, 0x1.875b65679fe8p-2, 0x1.82ad87ac38982p-2, 0x1.7e00e48b04c34p-2, 0x1.7955ced15dbe6p-2, 0x1.74ac989b65b2ep-2, 0x1.700593376565ap-2, 0x1.6b610f0af2116p-2, 0x1.66bf5b79d75f5p-2, 0x1.6220c6ceb1b48p-2, 0x1.5d859e252cf27p-2, 0x1.58ee2d55e0324p-2, 0x1.545abee3aba58p-2, 0x1.4fcb9bea9c928p-2, 0x1.4b410c103a652p-2, 0x1.46bb5575378c8p-2, 0x1.423abca879656p-2, 0x1.3dbf849b61a3ap-2, 0x1.3949ee9757e9p-2, 0x1.34da3a347dfcbp-2, 0x1.3070a5518172p-2, 0x1.2c0d6c0c8657cp-2, 0x1.27b0c8bd1563ap-2, 0x1.235af3ef053eep-2, 0x1.1f0c245e56985p-2, 0x1.1ac48ef3f1d52p-2, 0x1.168466c33a809p-2, 0x1.124bdd087728p-2, 0x1.0e1b2127f503dp-2, 0x1.09f260adea0f1p-2, 0x1.05d1c74f00726p-2, 0x1.01b97ee98b427p-2, 0x1.fb535f0ea511dp-3, 0x1.f344febfe8cb1p-3, 0x1.eb4825b79b4a4p-3, 0x1.e35d192ec90e2p-3, 0x1.db841ace92c16p-3, 0x1.d3bd68b8d6b9fp-3, 0x1.cc093d91a4c6ap-3, 0x1.c467d0897d2e3p-3, 0x1.bcd955683b33fp-3, 0x1.b55dfc98af887p-3, 0x1.adf5f334cd9fap-3, 0x1.a6a163126daep-3, 0x1.9f6072d08c6e8p-3, 0x1.983345e4fd41ep-3, 0x1.9119fcaa906a4p-3, 0x1.8a14b46f93df5p-3, 0x1.83238784acfa7p-3, 0x1.7c468d4bfb24ap-3, 0x1.757dda4887ecp-3, 0x1.6ec9802de4d6ap-3, 0x1.68298df0096c2p-3, 0x1.619e0fd3538cap-3, 0x1.5b270f7cacb93p-3, 0x1.54c49401d0cap-3, 0x1.4e76a1f9a2b65p-3, 0x1.483d3b8c991dp-3, 0x1.42186085290a5p-3, 0x1.3c080e603fb24p-3, 0x1.360c405db19bfp-3, 0x1.3024ef90a80b8p-3, 0x1.2a5212effe963p-3, 0x1.24939f6695473p-3, 0x1.1ee987e383fb5p-3, 0x1.1953bd6a44f0fp-3, 0x1.13d22f22b27b7p-3, 0x1.0e64ca68ecf71p-3, 0x1.090b7add1f4fcp-3, 0x1.03c62a7316ac2p-3, 0x1.fd29830371567p-4, 0x1.f2ee4da484702p-4, 0x1.e8da7f5ecba37p-4, 0x1.deeddfe8614cap-4, 0x1.d52834357791bp-4, 0x1.cb893e955f52ap-4, 0x1.c210becf1cc07p-4, 0x1.b8be723d7d4a7p-4, 0x1.af9213ead5959p-4, 0x1.a68b5cac37fd6p-4, 0x1.9daa033c31b34p-4, 0x1.94edbc551c8c8p-4, 0x1.8c563acae7124p-4, 0x1.83e32fa466df8p-4, 0x1.7b944a342b74cp-4, 0x1.73693830ce826p-4, 0x1.6b61a5ccc7ffdp-4, 0x1.637d3dcdbc354p-4, 0x1.5bbba9a34bfcep-4, 0x1.541c917d60317p-4, 0x1.4c9f9c61f3fccp-4, 0x1.454470425b081p-4, 0x1.3e0ab210076d4p-4, 0x1.36f205d0c9f49p-4, 0x1.2ffa0eb294e39p-4, 0x1.29226f1eb9462p-4, 0x1.226ac8cca6146p-4, 0x1.1bd2bcd425b13p-4, 0x1.1559ebbf1c375p-4, 0x1.0efff59ac966cp-4, 0x1.08c47a08888fdp-4, 0x1.02a7184e1aa0bp-4, 0x1.f94edecada9f1p-5, 0x1.ed8a3c17e19a1p-5, 0x1.e1ff85a2dac8cp-5, 0x1.d6adf84ccccf9p-5, 0x1.cb94d0d40c618p-5, 0x1.c0b34bef27764p-5, 0x1.b608a666f3312p-5, 0x1.ab941d2fae0bp-5, 0x1.a154ed814b5dcp-5, 0x1.974a54eedd66p-5, 0x1.8d73917d29001p-5, 0x1.83cfe1b8626abp-5, 0x1.7a5e84c91ce97p-5, 0x1.711eba886a77p-5, 0x1.680fc3932c3adp-5, 0x1.5f30e15ca5b41p-5, 0x1.5681564046497p-5, 0x1.4e006592b371cp-5, 0x1.45ad53b21da94p-5, 0x1.3d876615d5a5fp-5, 0x1.358de35d3524bp-5, 0x1.2dc0135dcd96p-5, 0x1.261d3f30f8768p-5, 0x1.1ea4b140b0b21p-5, 0x1.1755b553d082dp-5, 0x1.102f9899a999p-5, 0x1.0931a9b503da4p-5, 0x1.025b38c67c0b5p-5, 0x1.f7572eeca8a7bp-6, 0x1.ea4431fb554e1p-6, 0x1.dd7c245e52f1dp-6, 0x1.d0fdb2fe4a0e7p-6, 0x1.c4c78e166692ep-6, 0x1.b8d869428a6cap-6, 0x1.ad2efb8c76156p-6, 0x1.a1c9ff77f69cfp-6, 0x1.96a8330e295f3p-6, 0x1.8bc857e7cda8cp-6, 0x1.81293336aed7fp-6, 0x1.76c98dce3e338p-6, 0x1.6ca8342b41b8ep-6, 0x1.62c3f67ac437dp-6, 0x1.591ba8a03035ep-6, 0x1.4fae223aaa032p-6, 0x1.467a3ea9ac837p-6, 0x1.3d7edd10ea15dp-6, 0x1.34bae05b854d2p-6, 0x1.2c2d2f3e93677p-6, 0x1.23d4b43b03f6p-6, 0x1.1bb05d9edcd1dp-6, 0x1.13bf1d85e3b23p-6, 0x1.0bffe9d9b1e11p-6, 0x1.0471bc513c9a4p-6, 0x1.fa2724df8da86p-7, 0x1.ebc8db06c0aafp-7, 0x1.ddc6a545a63fcp-7, 0x1.d01e95564e9cfp-7, 0x1.c2cec4794af1ap-7, 0x1.b5d5536ee1e25p-7, 0x1.a9306a6f616e3p-7, 0x1.9cde3922a08a7p-7, 0x1.90dcf696d0d16p-7, 0x1.852ae136706bap-7, 0x1.79c63ebdb6462p-7, 0x1.6ead5c2f1e825p-7, 0x1.63de8dc7864f3p-7, 0x1.59582ef189c37p-7, 0x1.4f18a2385ed55p-7, 0x1.451e513a20a03p-7, 0x1.3b67ac9998103p-7, 0x1.31f32bef8a1c7p-7, 0x1.28bf4dbb89bbfp-7, 0x1.1fca975467c23p-7, 0x1.171394d82676cp-7, 0x1.0e98d91baa0acp-7, 0x1.0658fd99e7701p-7, 0x1.fca544c5cd6e3p-8, 0x1.ed08dc14b536ap-8, 0x1.ddda1b2be4395p-8, 0x1.cf1668d6eb7dfp-8, 0x1.c0bb387d3733fp-8, 0x1.b2c609fd3cf1fp-8, 0x1.a534698752b35p-8, 0x1.9803ef782c536p-8, 0x1.8b324032f5acp-8, 0x1.7ebd0bfb269e6p-8, 0x1.72a20ece13459p-8, 0x1.66df103c56b98p-8, 0x1.5b71e342fc3c5p-8, 0x1.505866246d4c4p-8, 0x1.459082416af6dp-8, 0x1.3b182bf1c2371p-8, 0x1.30ed625d1f00fp-8, 0x1.270e2f538d1cdp-8, 0x1.1d78a72642316p-8, 0x1.142ae88035b37p-8, 0x1.0b231c3ed07abp-8, 0x1.025f754aadcap-8, 0x1.f3bc60e0d714dp-9, 0x1.e33b287328d8ap-9, 0x1.d337e18b50dbdp-9, 0x1.c3af3f467f1f3p-9, 0x1.b49e0752e41cbp-9, 0x1.a60111a2783acp-9, 0x1.97d5481e88d76p-9, 0x1.8a17a65b695b4p-9, 0x1.7cc5394cada8dp-9, 0x1.6fdb1ef9f1d7dp-9, 0x1.63568633fa538p-9, 0x1.5734ae4a74695p-9, 0x1.4b72e6c23070ap-9, 0x1.400e8f0c19191p-9, 0x1.3505163c999fap-9, 0x1.2a53fac38f102p-9, 0x1.1ff8ca2523b6cp-9, 0x1.15f120b3242a2p-9, 0x1.0c3aa946ec551p-9, 0x1.02d31cfc405ffp-9, 0x1.f37085d916ff2p-10, 0x1.e1cfdfd668982p-10, 0x1.d0c00c84abba6p-10, 0x1.c03ceae0dcb0ap-10, 0x1.b04273cd509c9p-10, 0x1.a0ccb98ff1c9ap-10, 0x1.91d7e7523d3b8p-10, 0x1.836040a263d8cp-10, 0x1.756220f635d2cp-10, 0x1.67d9fb2fa2405p-10, 0x1.5ac45922f253bp-10, 0x1.4e1ddb1e4d532p-10, 0x1.41e337731e744p-10, 0x1.36113a0103a82p-10, 0x1.2aa4c3c23fb65p-10, 0x1.1f9aca5a197cbp-10, 0x1.14f057a49b97dp-10, 0x1.0aa28947fb616p-10, 0x1.00ae9047c9d68p-10, 0x1.ee2361333747ep-11, 0x1.db928176ee189p-11, 0x1.c9a55297bc713p-11, 0x1.b856c946b1961p-11, 0x1.a7a1fcdf889cap-11, 0x1.978226a272969p-11, 0x1.87f2a0f12b5c5p-11, 0x1.78eee68ed5afep-11, 0x1.6a7291e3da318p-11, 0x1.5c795c44090aap-11, 0x1.4eff1d38a619ap-11, 0x1.41ffc9cd703fap-11, 0x1.357773e02ef2ep-11, 0x1.29624974279d6p-11, 0x1.1dbc94083bedap-11, 0x1.1282b7f02e85dp-11, 0x1.07b133b0f1e39p-11, 0x1.fa893ebfb6721p-12, 0x1.e6735809fae39p-12, 0x1.d31a46005a522p-12, 0x1.c077cae31fc11p-12, 0x1.ae85d748544bp-12, 0x1.9d3e88f7f7c82p-12, 0x1.8c9c29cd73ebep-12, 0x1.7c992e9e67218p-12, 0x1.6d30362787745p-12, 0x1.5e5c07fe92e73p-12, 0x1.501793897dde5p-12, 0x1.425deefb5f0ffp-12, 0x1.352a5656c041ep-12, 0x1.28782a7488459p-12, 0x1.1c42f010c9a86p-12, 0x1.10864edbb3bc9p-12, 0x1.053e10909646ep-12, 0x1.f4cc4021973cap-13, 0x1.dff51108e02cdp-13, 0x1.cbeee8fee0e44p-13, 0x1.b8b25a55ea782p-13, 0x1.a63832e888f9p-13, 0x1.94797a7eb9b1dp-13, 0x1.836f713e07d53p-13, 0x1.73138e214f55p-13, 0x1.635f7d78d5882p-13, 0x1.544d1f748696dp-13, 0x1.45d686b5510edp-13, 0x1.37f5f6e7929fdp-13, 0x1.2aa5e3656bdb8p-13, 0x1.1de0ede1a2831p-13, 0x1.11a1e519603c5p-13, 0x1.05e3c38eaea9ap-13, 0x1.f5435c954c914p-14, 0x1.dfade74c56b73p-14, 0x1.cafe1436404e9p-14, 0x1.b72b1e397019p-14, 0x1.a42c8beb89e95p-14, 0x1.91fa2d5efa45bp-14, 0x1.808c19fc957dp-14, 0x1.6fdaae6b4d09ep-14, 0x1.5fde8a84b3386p-14, 0x1.50908f56adcbp-14, 0x1.41e9dd320889ap-14, 0x1.33e3d1c4b6346p-14, 0x1.26780641d6579p-14, 0x1.19a04d94242b7p-14, 0x1.0d56b29d2fc12p-14, 0x1.0195767f7a30dp-14, 0x1.ecae1de7f3d4ap-15, 0x1.d72c4956554a5p-15, 0x1.c29b236f7c733p-15, 0x1.aef0c00bcb05fp-15, 0x1.9c238fb639a43p-15, 0x1.8a2a5cc10074cp-15, 0x1.78fc486ff41a4p-15, 0x1.6890c8341d4f4p-15, 0x1.58dfa2fba2b49p-15, 0x1.49e0ee946454bp-15, 0x1.3b8d0d20d4d7fp-15, 0x1.2ddcaa9ccb451p-15, 0x1.20c8ba75e51f1p-15, 0x1.144a7534b14dcp-15, 0x1.085b56352984fp-15, 0x1.f9ea32e29ed71p-16, 0x1.e42372b3f5cf6p-16, 0x1.cf56d9817b2fdp-16, 0x1.bb79499cb4613p-16, 0x1.a88016171665cp-16, 0x1.9660feebe67d1p-16, 0x1.85122d45ecf54p-16, 0x1.748a2fe655696p-16, 0x1.64bff79e37b26p-16, 0x1.55aad3e86921ap-16, 0x1.47426f9c2d75bp-16, 0x1.397ecdb54f11cp-16, 0x1.2c584639c318p-16, 0x1.1fc78334663aep-16, 0x1.13c57dc6081fap-16, 0x1.084b7b4e93ec6p-16, 0x1.faa6155a2ab7dp-17, 0x1.e5ac032432d23p-17, 0x1.d19cf3d3c0fcdp-17, 0x1.be6d9eb707c8cp-17, 0x1.ac1339b457b05p-17, 0x1.9a83749129f58p-17, 0x1.89b47465f6bf3p-17, 0x1.799ccf2ffb425p-17, 0x1.6a33878cd68eep-17, 0x1.5b7008938ef0bp-17, 0x1.4d4a21d2b1a88p-17, 0x1.3fba0372f8679p-17, 0x1.32b83a6ef6f01p-17, 0x1.263dacf6a7079p-17, 0x1.1a4396e926dfbp-17, 0x1.0ec3866e1f178p-17, 0x1.03b758af9cfaap-17, 0x1.f2326d58089cp-18, 0x1.ddc72446bba97p-18, 0x1.ca22453fb6b35p-18, 0x1.b739c52f9a98ap-18, 0x1.a5041954a06e9p-18, 0x1.937831e437a11p-18, 0x1.828d74defd145p-18, 0x1.723bb91af33b2p-18, 0x1.627b416fa3adp-18, 0x1.5344b81464c9cp-18, 0x1.44912a219b416p-18, 0x1.365a034556aa1p-18, 0x1.289909923b257p-18, 0x1.1b4859844ad8dp-18, 0x1.0e62621ec608ap-18, 0x1.01e1e1325f9d1p-18, 0x1.eb83bf835417ap-19, 0x1.d3fb5d20e17e6p-19, 0x1.bd21c5a14a09p-19, 0x1.a6eea5d26a59p-19, 0x1.915a26c19d056p-19, 0x1.7c5ce7d847904p-19, 0x1.67eff91a2b648p-19, 0x1.540cd5abd6496p-19, 0x1.40ad5e8c0d54ap-19, 0x1.2dcbd582ce79ep-19, 0x1.1b62d83cf2665p-19, 0x1.096d5ba5e9263p-19, 0x1.efcd4ecfe0658p-20, 0x1.cd94a334b93c2p-20, 0x1.ac28753de27a7p-20, 0x1.8b811256d4f48p-20, 0x1.6b974cf2ac083p-20, 0x1.4c647549673dp-20, 0x1.2de2524cc7036p-20, 0x1.100b1b09532bp-20, 0x1.e5b2e05fd383ep-21, 0x1.ac90abfc43f71p-21, 0x1.74a65cb6d1609p-21, 0x1.3deb667076818p-21, 0x1.0857e2672fa67p-21, 0x1.a7c90a10c4ed2p-22, 0x1.4115282ce8e7bp-22, 0x1.b90f7555caff6p-23, 0x1.e8556d6f99c34p-24, 0x1.9b3911bb1d23cp-26, -0x1.129d006863a39p-24, -0x1.4207cd7f3edf9p-23, -0x1.f6d4e4c47921p-23, -0x1.53e241c89a528p-22, -0x1.aa720ffddc3cp-22, -0x1.ff20011710d7fp-22, -0x1.28f8d718ad879p-21, -0x1.5176185f7c65cp-21, -0x1.790a16bd38df8p-21, -0x1.9fb6ef42ab6dfp-21, -0x1.c57e8e8ed0defp-21, -0x1.ea62b55e37e37p-21, -0x1.07327e77514cp-20, -0x1.18c36d83b1209p-20, -0x1.29e4d2f25c388p-20, -0x1.3a974be6820d4p-20, -0x1.4adb6940856adp-20, -0x1.5ab1b13c578e3p-20, -0x1.6a1aa0fa81e97p-20, -0x1.7916ade128bd2p-20, -0x1.87a646f6aad9ep-20, -0x1.95c9d61f1cd3fp-20, -0x1.a381c1429996p-20, -0x1.b0ce6b6ccaa76p-20, -0x1.bdb035c482a44p-20, -0x1.ca278081af705p-20, -0x1.d634abc99e738p-20, -0x1.e1d8187bcf78cp-20, -0x1.ed1228f3fe4d7p-20, -0x1.f7e341b4ff71ep-20, -0x1.0125e505c311fp-19, -0x1.0626164f8aff9p-19, -0x1.0af26bfa5c1d6p-19, -0x1.0f8b1f759777p-19, -0x1.13f06c94176f8p-19, -0x1.182291bbdb6dap-19, -0x1.1c21d011952fdp-19, -0x1.1fee6b9f96a6bp-19, -0x1.2388ab75bc229p-19, -0x1.26f0d9c9fffbfp-19, -0x1.2a27440d4b611p-19, -0x1.2d2c3b0305d82p-19, -0x1.300012cda679cp-19, -0x1.32a322ff9e504p-19, -0x1.3515c6a4a9291p-19, -0x1.37585c4641d24p-19, -0x1.396b45f212345p-19, -0x1.3b4ee938156f6p-19, -0x1.3d03af28ce257p-19, -0x1.3e8a045170c3ep-19, -0x1.3fe258b580188p-19, -0x1.410d1fc449d23p-19, -0x1.420ad04f44fbap-19, -0x1.42dbe47c1d13ap-19, -0x1.4380d9b6aebc9p-19, -0x1.43fa30a0a3ad9p-19, -0x1.44486d0050fbbp-19, -0x1.446c15ae10473p-19, -0x1.4465b47dd19b2p-19, -0x1.4435d62af011bp-19, -0x1.43dd0a406006bp-19, -0x1.435be3052ca2fp-19, -0x1.42b2f55f34c0dp-19, -0x1.41e2d8bf7aedp-19, -0x1.40ec27041bfdep-19, -0x1.3fcf7c5fc3136p-19, -0x1.3e8d773fb4ba8p-19, -0x1.3d26b8301ababp-19, -0x1.3b9be1c0d3e5fp-19, -0x1.39ed9868836c9p-19, -0x1.381c8269e824fp-19, -0x1.362947b7b22cbp-19, -0x1.341491d77a998p-19, -0x1.31df0bc6fe824p-19, -0x1.2f8961df24858p-19, -0x1.2d1441b7ddf25p-19, -0x1.2a805a0b37d63p-19, -0x1.27ce5a9a634bbp-19, -0x1.24fef4101d0ddp-19, -0x1.2212d7e800092p-19, -0x1.1f0ab85096774p-19, -0x1.1be74812c6f42p-19, -0x1.18a93a74e3d1dp-19, -0x1.155143209c4a9p-19, -0x1.11e016096dac8p-19, -0x1.0e56675418812p-19, -0x1.0ab4eb3aaeac8p-19, -0x1.06fc55f5859f4p-19, -0x1.032d5ba1e24e9p-19, -0x1.fe916054c7dcdp-20, -0x1.f69e0e5fbbda2p-20, -0x1.ee8227e390e2p-20, -0x1.e63f1272ebc53p-20, -0x1.ddd6328246643p-20, -0x1.d548eb4279afp-20, -0x1.cc989e73d952ep-20, -0x1.c3c6ac3cb14p-20, -0x1.bad473047924p-20, -0x1.b1c34f4a74864p-20, -0x1.a8949b829d858p-20, -0x1.9f49aff01204ep-20, -0x1.95e3e2818fbbcp-20, -0x1.8c6486b1738c9p-20, -0x1.82cced602ec3ep-20, -0x1.791e64bb5bfafp-20, -0x1.6f5a381811c0ap-20, -0x1.6581afd938192p-20, -0x1.5b961152561a6p-20, -0x1.51989ea915cbcp-20, -0x1.478a96bff6d47p-20, -0x1.3d6d351bb1deap-20, -0x1.3341b1c8ad459p-20, -0x1.290941478ac5p-20, -0x1.1ec51474a66d7p-20, -0x1.147658728c37dp-20, -0x1.0a1e369a56584p-20, -0x1.ff7ba8c7d88dp-21, -0x1.eaaca6ad32a77p-21, -0x1.d5d1a1f0fb365p-21, -0x1.c0eccd7b10d9ap-21, -0x1.ac0053f4b074ep-21, -0x1.970e57aa892ccp-21, -0x1.8218f2741ceaep-21, -0x1.6d22359aa9365p-21, -0x1.582c29c5b3f68p-21, -0x1.4338cee2c6d17p-21, -0x1.2e4a1c157fac1p-21, -0x1.1961ffa75589ap-21, -0x1.04825ef36bafap-21, -0x1.df5a2cbb74edap-22, -0x1.b5c7f29643618p-22, -0x1.8c51a419489b4p-22, -0x1.62fac3c10f56bp-22, -0x1.39c6c1d02d104p-22, -0x1.10b8fc356dc8dp-22, -0x1.cfa97d3b99481p-23, -0x1.7e3a84b235cfdp-23, -0x1.2d2b5cc3ef797p-23, -0x1.b9045d4b8ae85p-24, -0x1.1889fdd451f02p-24, -0x1.e3cd6bcfc2471p-26, 0x1.2da0a602d177fp-27, 0x1.86c2475129f6ep-25, 0x1.6008ecfea1ea2p-24, 0x1.fba0d496b572ep-24, 0x1.4b0f4360c6755p-23, 0x1.97bbfbee1d73fp-23, 0x1.e3d1b1fb66a5dp-23, 0x1.17a5d3acba891p-22, 0x1.3d12a0ae0b652p-22, 0x1.622d04536a55p-22, 0x1.86f2d4841ec93p-22, 0x1.ab61f892d6edep-22, 0x1.cf786927fc454p-22, 0x1.f334301c4eb76p-22, 0x1.0b49b42c95b23p-21, 0x1.1cca1ede0304cp-21, 0x1.2e1a76710c90bp-21, 0x1.3f39e18933bdap-21, 0x1.50278f068b6bp-21, 0x1.60e2b5f2fcefap-21, 0x1.716a956ffcef2p-21, 0x1.81be749d2f04ep-21, 0x1.91dda283683acp-21, 0x1.a1c77602d0ef5p-21, 0x1.b17b4db4f1372p-21, 0x1.c0f88fda8c33fp-21, 0x1.d03eaa449ef52p-21, 0x1.df4d123a59f71p-21, 0x1.ee23445f5b32bp-21, 0x1.fcc0c4a07c97fp-21, 0x1.05928f0afd217p-20, 0x1.0ca7f175565c3p-20, 0x1.13a05623a015dp-20, 0x1.1a7b8d196601bp-20, 0x1.213969bd3e596p-20, 0x1.27d9c2cde52c9p-20, 0x1.2e5c7251780d8p-20, 0x1.34c1558a74539p-20, 0x1.3b084ceacdae2p-20, 0x1.41313c05f12b5p-20, 0x1.473c098207b4bp-20, 0x1.4d289f0d3f429p-20, 0x1.52f6e94de9a85p-20, 0x1.58a6d7d678962p-20, 0x1.5e385d16c94eap-20, 0x1.63ab6e5040f0bp-20, 0x1.69000386c652p-20, 0x1.6e361772859c6p-20, 0x1.734da774a5ee3p-20, 0x1.7846b3892655p-20, 0x1.7d213e3785cc8p-20, 0x1.81dd4c87fe9c2p-20, 0x1.867ae5f4015f4p-20, 0x1.8afa145a0e7p-20, 0x1.8f5ae3ef2e946p-20, 0x1.939d6333e5b92p-20, 0x1.97c1a2e450971p-20, 0x1.9bc7b5ec33271p-20, 0x1.9fafb15ac7ac4p-20, 0x1.a379ac546209dp-20, 0x1.a725c0052b40fp-20, 0x1.aab407961fb35p-20, 0x1.ae24a01edbfa3p-20, 0x1.b177a898e3e5p-20, 0x1.b4ad41d4a1e37p-20, 0x1.b7c58e6aa60cbp-20, 0x1.bac0b2b0aec28p-20, 0x1.bd9ed4ad2a7c9p-20, 0x1.c0601c0b81092p-20, 0x1.c304b20e968cep-20, 0x1.c58cc186036afp-20, 0x1.c7f876c250d66p-20, 0x1.ca47ff89343cdp-20, 0x1.cc7b8b0906b2p-20, 0x1.ce9349ce085eep-20, 0x1.d08f6db780338p-20, 0x1.d27029ebb90fdp-20, 0x1.d435b2cdc08f7p-20, 0x1.d5e03df13051p-20, 0x1.d7700210da427p-20, 0x1.d8e53702ca666p-20, 0x1.da4015aeb3b7ap-20, 0x1.db80d80378c56p-20, 0x1.dca7b8ec00747p-20, 0x1.ddb4f445d34f1p-20, 0x1.dea8c6d787414p-20, 0x1.df836e4603084p-20, 0x1.e045290b0225p-20, 0x1.e0ee366b840dep-20, 0x1.e17ed66f09c05p-20, 0x1.e1f749d5bd772p-20, 0x1.e257d20f4751cp-20, 0x1.e2a0b13219e22p-20, 0x1.e2d229f1f994dp-20, 0x1.e2ec7f9821ff3p-20, 0x1.e2eff5fa1025cp-20, 0x1.e2dcd171c24e9p-20, 0x1.e2b356d521629p-20, 0x1.e273cb6d6114dp-20, 0x1.e21e74efb8c3dp-20, 0x1.e1b399756bf4dp-20, 0x1.e1337f73ba99p-20, 0x1.e09e6db4cef76p-20, 0x1.dff4ab504e335p-20, 0x1.df367fa3d09dbp-20, 0x1.de64324b76d7dp-20, 0x1.dd7e0b1bbc05p-20, 0x1.dc84521a54b6fp-20, 0x1.db774f76d8d21p-20, 0x1.da574b84be18bp-20, 0x1.d9248eb59ece3p-20, 0x1.d7df6191e273ap-20, 0x1.d6880cb2dc10dp-20, 0x1.d51ed8bc96a19p-20, 0x1.d3a40e5848af8p-20, 0x1.d217f62e6cd72p-20, 0x1.d07ad8e18d00fp-20, 0x1.ceccff085e5bap-20, 0x1.cd0eb1284d2c9p-20, 0x1.cb4037b02b35ap-20, 0x1.c961daf34706p-20, 0x1.c773e3250a2fbp-20, 0x1.c5769853051d7p-20, 0x1.c36a42607f728p-20, 0x1.c14f290280512p-20, 0x1.bf2593bb3f98bp-20, 0x1.bcedc9d4e2225p-20, 0x1.baa8125ddf69fp-20, 0x1.b854b4247d2d8p-20, 0x1.b5f3f5b3363d5p-20, 0x1.b3861d4ce680bp-20, 0x1.b10b70e8c7b51p-20, 0x1.ae84362e8f9c4p-20, 0x1.abf0b272f83dp-20, 0x1.a9512ab45bbc4p-20, 0x1.a6a5e39761822p-20, 0x1.a3ef216388c86p-20, 0x1.a12d280020afbp-20, 0x1.9e603af1c29d3p-20, 0x1.9b889d56ab34fp-20, 0x1.98a691e413488p-20, 0x1.95ba5ae33124fp-20, 0x1.92c43a2f13c8dp-20, 0x1.8fc471317614ep-20, 0x1.8cbb40e104132p-20, 0x1.89a8e9bed1de9p-20, 0x1.868dabd39ea96p-20, 0x1.8369c6adc4b31p-20, 0x1.803d795f5e47cp-20, 0x1.7d09027c2b55ap-20, 0x1.79cca017692dcp-20, 0x1.76888fc1ed222p-20, 0x1.733d0e8908e7ep-20, 0x1.6fea58f4a40e7p-20, 0x1.6c90ab0554504p-20, 0x1.693040328cf1ep-20, 0x1.65c95369c28dp-20, 0x1.625c1f0c5c2dep-20, 0x1.5ee8dcef412f6p-20, 0x1.5b6fc659ae9ffp-20, 0x1.57f11403229b3p-20, 0x1.546cfe1295fc6p-20, 0x1.50e3bc1dbf4a7p-20, 0x1.4d558528073d3p-20, 0x1.49c28fa1adafap-20, 0x1.462b1166bf4cbp-20, 0x1.428f3fbe35e47p-20, 0x1.3eef4f59d6fccp-20, 0x1.3b4b7455a977ep-20, 0x1.37a3e236812f4p-20, 0x1.33f8cbea04b78p-20, 0x1.304a63c5fbd39p-20, 0x1.2c98db87d78d6p-20, 0x1.28e46454fbff5p-20, 0x1.252d2eb9d9be9p-20, 0x1.21736aaa10719p-20, 0x1.1db7477fda16p-20, 0x1.19f8f3fbd0343p-20, 0x1.16389e4532333p-20, 0x1.127673e9af28cp-20, 0x1.0eb2a1dd65d94p-20, 0x1.0aed547ae7b76p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      17, 0x1.2ae147ae147aep+2, -0x1.04476717b71f8p+1, 0x1p+0, 0x1p+0, 
      {{
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.61c240ca9b8fcp-6, -0x1.4d8097a1397f2p-5, -0x1.53139ef76e3b8p-5, 0x1.9894408a90dc9p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3eeadfb6c1e0cp-6, -0x1.694802b7e3a07p-5, -0x1.b1017d9bb8c06p-6, 0x1.8ee6806298a44p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.19e80222e05c6p-6, -0x1.78f2b5272803ep-5, -0x1.8354c78ded859p-7, 0x1.8559a11206b3fp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.e7d80e8d542a1p-7, -0x1.7cca85ce462c3p-5, 0x1.3f8e4d5203a85p-9, 0x1.8093bba4806abp-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.9c45220afa4b3p-7, -0x1.750675115fbe5p-5, 0x1.0eb0d3d9c0b41p-6, 0x1.594f04892e598p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.535d1feac6e05p-7, -0x1.624fa1728236ap-5, 0x1.dde03cf8dc82ap-6, 0x1.0f6834115ae47p-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.0f298f5835726p-7, -0x1.46589d9e201p-5, 0x1.405c2e1b3cba6p-5, 0x1.956469117e615p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.a2994c30731f9p-8, -0x1.23450b6b4533dp-5, 0x1.7d2b3ddddc7bep-5, 0x1.093202ab11b5ep-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.35fac12e807abp-8, -0x1.f653e40652862p-6, 0x1.a4f2be445257p-5, 0x1.f6de5eec1edefp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.b41e07a4bfeecp-9, -0x1.a04096934ae6cp-6, 0x1.b7ce4839f9e5bp-5, -0x1.bb8b372ae2a1cp-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.1f2e4f25a3179p-9, -0x1.487fc1cbc1e8ep-6, 0x1.b5ba07916009p-5, -0x1.3384592587a37p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.59f734d620893p-10, -0x1.e6852adca5d46p-7, 0x1.9ea9b414f5dc5p-5, -0x1.2446f353a5ec8p-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.6eb916794cebp-11, -0x1.496c5fe392b4bp-7, 0x1.72d242c869c5dp-5, -0x1.b3fe0911a1207p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.3e0e3c34ed1a1p-12, -0x1.845961ef8da9dp-8, 0x1.316c27d2919adp-5, -0x1.18267779e4602p-4}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.80963120e24p-14, -0x1.634225f3217eap-9, 0x1.bac13b28cd631p-6, -0x1.7a8522a40f9e9p-4}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.98afa88d066p-17, -0x1.6f98f1810dfcbp-11, 0x1.af49198cbb3cep-7, -0x1.45e625e743cbp-4}, 
        {0x1.299999999999ap+2, 0x1.2ae147ae147aep+2, 0x1.5f54ed0cb4d8p-24, 0x1.331592d29ab8p-16, 0x1.41a760868217fp-10, -0x1.1f28b7786a32cp-1}, 
      }}, 
      0x1.19668771a1bbbp+5, -0x1.44f923ab0273ep+9
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_f() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.601545d868dedp-2, -0x1.38927ab282936p-2, -0x1.f3d752c0958abp-3, -0x1.4fa7e8008cedfp-3, -0x1.194e178030b35p-4, 0x1.348a4e1fe6dep-5, 0x1.3621894419a3ep-3, 0x1.13bbc7298a425p-2, 0x1.8d8ddf75a0fcdp-2, 0x1.02f948de186bcp-1, 0x1.3d61c12443b8dp-1, 0x1.75211b5cea18ap-1, 0x1.a987a775cbbd4p-1, 0x1.da10408320049p-1, 0x1.032d8ec82822p+0, 0x1.17145eb4b84e5p+0, 0x1.28aa8f23a855bp+0, 0x1.37e9ad99e9fabp+0, 0x1.44d4dd396740cp+0, 0x1.4f77182b64767p+0, 0x1.57e1a88167dccp+0, 0x1.5e2ad44e4df27p+0, 0x1.626cb78e5a7ebp+0, 0x1.64c4469d0a1eep+0, 0x1.655074c425d2bp+0, 0x1.64317b30c5a5cp+0, 0x1.61883d045e639p+0, 0x1.5d75c54114888p+0, 0x1.581adb4d9390ap+0, 0x1.5197ab055c86ep+0, 0x1.4a0b7db475de1p+0, 0x1.419481c633cb5p+0, 0x1.384f9f40131cap+0, 0x1.2e585757a1c7dp+0, 0x1.23c8ada1bf8eap+0, 0x1.18b9197745c9ap+0, 0x1.0d407e5a5043cp+0, 0x1.01742a34bebd2p+0, 0x1.eacfb0efeffa4p-1, 0x1.d25b7255639e9p-1, 0x1.b9acf68a1fe49p-1, 0x1.a0e2b32b35d02p-1, 0x1.881852f98c4bbp-1, 0x1.6f66d62b355abp-1, 0x1.56e4b52f5e1fcp-1, 0x1.3ea6040c59961p-1, 0x1.26bc969a0babcp-1, 0x1.0f3825310536bp-1, 0x1.f04ce0526ba68p-2, 0x1.c326c69a920f4p-2, 0x1.971270185b658p-2, 0x1.6c212c634ab1ap-2, 0x1.42616746bc371p-2, 0x1.19dee48c6c388p-2, 0x1.e545f22948c86p-3, 0x1.99698163d1286p-3, 0x1.5032a2044f0dbp-3, 0x1.09a7d2b875c7fp-3, 0x1.8b987fb21949ap-4, 0x1.094030744dd1bp-4, 0x1.1883730ed0a31p-5, 0x1.49355f30fb384p-8, -0x1.7763eb50325b3p-6, -0x1.9629e68f82175p-5, -0x1.33358f869ad4ep-4, -0x1.96529e2ab68e4p-4, -0x1.f48659f1e05c5p-4, -0x1.26f685f4cbd77p-3, -0x1.51525ac85fc92p-3, -0x1.7966613c2963ap-3, -0x1.9f42e0626c3dp-3, -0x1.c2f89011bfadfp-3, -0x1.e4987b62b1e3bp-3, -0x1.0219f3042c3dp-2, -0x1.10ee1a2d1be86p-2, -0x1.1ed16af09f07ap-2, -0x1.2bcc991a51259p-2, -0x1.37e84bf9657f6p-2, -0x1.432d16d0e75e6p-2, -0x1.4da3722c0a82dp-2, -0x1.5753b6029bb17p-2, -0x1.604614ab0527fp-2, -0x1.688296864bec9p-2, -0x1.70111664de6b1p-2, -0x1.76f93e8b0da2dp-2, -0x1.7d42864aa24bdp-2, -0x1.82f4301c1b6ccp-2, -0x1.881548237a094p-2, -0x1.8caca31b5e414p-2, -0x1.90c0dd91101edp-2, -0x1.94585b75ce17bp-2, -0x1.977947fbc5e03p-2, -0x1.9a2995b48c5a5p-2, -0x1.9c6efefd2f0eep-2, -0x1.9e4f0693c8359p-2, -0x1.9fcef86f186e3p-2, -0x1.a0f3eab0c649bp-2, -0x1.a1c2bebba6ba2p-2, -0x1.a24022656014p-2, -0x1.a270912cac238p-2, -0x1.a2585590a10eep-2, -0x1.a1fb8a5d2d9cap-2, -0x1.a15e1c17445a5p-2, -0x1.a083ca5feb5bap-2, -0x1.9f70296a70471p-2, -0x1.9e26a373ef7ap-2, -0x1.9caa7a3cb5b87p-2, -0x1.9afec8871fec1p-2, -0x1.9926839079c47p-2, -0x1.97247c894c16p-2, -0x1.94fb620222d06p-2, -0x1.92adc15a3b23fp-2, -0x1.903e08173f9ebp-2, -0x1.8dae853fb5767p-2, -0x1.8b016aa786e1ap-2, -0x1.8838ce2a95859p-2, -0x1.8556aaed32be4p-2, -0x1.825ce284acfp-2, -0x1.7f4d3e1b0b329p-2, -0x1.7c296f8f7b3d4p-2, -0x1.78f31283b3a6dp-2, -0x1.75abad647f373p-2, -0x1.7254b26c3e4f5p-2, -0x1.6eef8097c1a0ep-2, -0x1.6b7d648ec2592p-2, -0x1.67ff998b4f552p-2, -0x1.64774a35a1374p-2, -0x1.60e5916ca3ebep-2, -0x1.5d4b7b116e0b3p-2, -0x1.59aa04cb7138fp-2, -0x1.56021eb6332ffp-2, -0x1.5254ac0e55904p-2, -0x1.4ea283dea365p-2, -0x1.4aec719b8158ep-2, -0x1.473335b319adap-2, -0x1.4377861f849d7p-2, -0x1.3fba0ef51e2bdp-2, -0x1.3bfb72dfb3a1ep-2, -0x1.383c4b975f11ap-2, -0x1.347d2a5c43d39p-2, -0x1.30be986aea0ddp-2, -0x1.2d01175d7c16ap-2, -0x1.2945218c97346p-2, -0x1.258b2a7650f11p-2, -0x1.21d39f19eafedp-2, -0x1.1e1ee645f9eebp-2, -0x1.1a6d60e6e139ap-2, -0x1.16bf6a5879d8fp-2, -0x1.131558b159323p-2, -0x1.0f6f7d023f8e7p-2, -0x1.0bce23918e2edp-2, -0x1.0831941c71871p-2, -0x1.049a121693e0fp-2, -0x1.0107dcdc918afp-2, -0x1.faf65fc16f1d1p-3, -0x1.f3e885bdb91b4p-3, -0x1.ece69421f1e0dp-3, -0x1.e5f0ecb1c6246p-3, -0x1.df07eac803e9p-3, -0x1.d82be3a4f9812p-3, -0x1.d15d26c0c4987p-3, -0x1.ca9bfe14f278cp-3, -0x1.c3e8ae5b1b668p-3, -0x1.bd4377462fdf3p-3, -0x1.b6ac93be00b5cp-3, -0x1.b0243a1f0f2d4p-3, -0x1.a9aa9c75a802bp-3, -0x1.a33fe8abf3785p-3, -0x1.9ce448b2e7a2dp-3, -0x1.9697e2b347a46p-3, -0x1.905ad9430548bp-3, -0x1.8a2d4b90c6268p-3, -0x1.840f558496ddap-3, -0x1.7e010fe1fe2cep-3, -0x1.780290709ace5p-3, -0x1.7213ea23e810dp-3, -0x1.6c352d3c287fep-3, -0x1.66666762bdc97p-3, -0x1.60a7a3c62528fp-3, -0x1.5af8eb36cdf6cp-3, -0x1.555a4444cec26p-3, -0x1.4fcbb35d191f2p-3, -0x1.4a4d3ae2e5de9p-3, -0x1.44dedb43d4f02p-3, -0x1.3f80930b5ab05p-3, -0x1.3a325efac7047p-3, -0x1.34f43a23b6d3dp-3, -0x1.2fc61dfd7ea28p-3, -0x1.2aa802739aafbp-3, -0x1.2599ddf3b5865p-3, -0x1.209ba5814a136p-3, -0x1.1bad4ccbcb5ebp-3, -0x1.16cec6401732ap-3, -0x1.1200031416b54p-3, -0x1.0d40f352500d5p-3, -0x1.089185e9a926dp-3, -0x1.03f1a8bea5942p-3, -0x1.fec291722dd67p-4, -0x1.f5c0a39bed38cp-4, -0x1.ecdd5e13a1d82p-4, -0x1.e418953c2759fp-4, -0x1.db721bdd28c9p-4, -0x1.d2e9c337b8f6p-4, -0x1.ca7f5b159773ap-4, -0x1.c232b1da9a72ap-4, -0x1.ba03949c1db15p-4, -0x1.b1f1cf3906f39p-4, -0x1.a9fd2c6b157bap-4, -0x1.a22575d18fdd6p-4, -0x1.9a6a73fceba12p-4, -0x1.92cbee8124f8p-4, -0x1.8b49ac0c02409p-4, -0x1.83e3727752c04p-4, -0x1.7c9906d2fbd8ep-4, -0x1.756a2d6b5f0b1p-4, -0x1.6e56a9d400ecep-4, -0x1.675e3ef8fe759p-4, -0x1.6080af320fde5p-4, -0x1.59bdbc4ff4361p-4, -0x1.531527a2b2188p-4, -0x1.4c86b1fdf1162p-4, -0x1.46121bc22b5dbp-4, -0x1.3fb724ec04a91p-4, -0x1.39758d24787f2p-4, -0x1.334d13cba3ffbp-4, -0x1.2d3d77fd078cbp-4, -0x1.27467891f235cp-4, -0x1.2167d4280ae97p-4, -0x1.1ba1492ddb62bp-4, -0x1.15f295f15f69fp-4, -0x1.105b78aa9d057p-4, -0x1.0adbaf7fb80abp-4, -0x1.0572f88560f31p-4, -0x1.002111c157265p-4, -0x1.f5cb7265436a2p-5, -0x1.eb8159bc4cd31p-5, -0x1.e16355b52bb1dp-5, -0x1.d770e2ae2b4efp-5, -0x1.cda97d3835006p-5, -0x1.c40ca21483e12p-5, -0x1.ba99ce38acc65p-5, -0x1.b1507ede0399fp-5, -0x1.a8303198567f2p-5, -0x1.9f38646a6c83fp-5, -0x1.966895d03bd46p-5, -0x1.8dc044be12cp-5, -0x1.853ef09b9f761p-5, -0x1.7ce41944a5927p-5, -0x1.74af3f14e7e59p-5, -0x1.6c9fe2fc7968cp-5, -0x1.64b586935faedp-5, -0x1.5cefac2382b83p-5, -0x1.554dd6a6680e7p-5, -0x1.4dcf89bc907bep-5, -0x1.467449a8f6b37p-5, -0x1.3f3b9b58da9f4p-5, -0x1.3825047781b8fp-5, -0x1.31300b84dd121p-5, -0x1.2a5c37e2d3a87p-5, -0x1.23a911d21110dp-5, -0x1.1d162261e7be9p-5, -0x1.16a2f3601aaa9p-5, -0x1.104f0f5726938p-5, -0x1.0a1a01a1b9818p-5, -0x1.0403568c5ab9p-5, -0x1.fc1536e7142d5p-6, -0x1.f05ebd97f2fcap-6, -0x1.e4e2601b2066dp-6, -0x1.d99f3f16ec187p-6, -0x1.ce947ca28fa21p-6, -0x1.c3c13c3c07c11p-6, -0x1.b924a30ebe108p-6, -0x1.aebdd87118127p-6, -0x1.a48c065a80eebp-6, -0x1.9a8e598d0acbep-6, -0x1.90c4014ee6303p-6, -0x1.872c2ecaa2821p-6, -0x1.7dc61463da99bp-6, -0x1.7490e560be43cp-6, -0x1.6b8bd6281842bp-6, -0x1.62b61d0b6e8e2p-6, -0x1.5a0ef3478ee16p-6, -0x1.519595bce83bcp-6, -0x1.494944f45a54cp-6, -0x1.412944533c7bcp-6, -0x1.3934d8c89d435p-6, -0x1.316b478d73497p-6, -0x1.29cbd59c735afp-6, -0x1.2255c83ef7784p-6, -0x1.1b08668ea2a9dp-6, -0x1.13e2fb507f435p-6, -0x1.0ce4d652091efp-6, -0x1.060d4c930308ep-6, -0x1.feb76e01f9552p-7, -0x1.f19ee059ec189p-7, -0x1.e4cfa3d4a9ed5p-7, -0x1.d84867d963ca4p-7, -0x1.cc07d8442d926p-7, -0x1.c00ca19e3c357p-7, -0x1.b45577540f77p-7, -0x1.a8e11967006b8p-7, -0x1.9dae571ba5da5p-7, -0x1.92bc0d32b3e5cp-7, -0x1.88091ff428ea6p-7, -0x1.7d9473207ca9bp-7, -0x1.735ce2f9ec059p-7, -0x1.696141705b35cp-7, -0x1.5fa058f45a18dp-7, -0x1.5618f42d6f7c6p-7, -0x1.4cc9e7c7b61e8p-7, -0x1.43b21aa11f8d9p-7, -0x1.3ad0891860bbbp-7, -0x1.322441e016a4p-7, -0x1.29ac5cff319d7p-7, -0x1.2167efed4812ep-7, -0x1.1956032c549dep-7, -0x1.11758d94a3e7cp-7, -0x1.09c57780a215p-7, -0x1.0244a4eb8ac17p-7, -0x1.f5e405c1aadc1p-8, -0x1.e79926f8e35a6p-8, -0x1.d9a6e8ccad423p-8, -0x1.cc0bbb03d6f0ep-8, -0x1.bec62fa42455ep-8, -0x1.b1d4de04d4dd6p-8, -0x1.a53644652880cp-8, -0x1.98e8b3254689p-8, -0x1.8cea4a1ab501dp-8, -0x1.8139096ffb3e7p-8, -0x1.75d2ef7da3413p-8, -0x1.6ab618a035d72p-8, -0x1.5fe0d703376f4p-8, -0x1.5551bc81457cep-8, -0x1.4b0794a387284p-8, -0x1.41014f84304b5p-8, -0x1.373de1a58ab2ap-8, -0x1.2dbc21a2a35a3p-8, -0x1.247ab03985f5cp-8, -0x1.1b77f501775b3p-8, -0x1.12b2312579eadp-8, -0x1.0a279f06b48d6p-8, -0x1.01d69161567bcp-8, -0x1.f37b11ce4d33bp-9, -0x1.e3b67d939fa72p-9, -0x1.d45d4bb84e6a8p-9, -0x1.c56dc2eacf43ep-9, -0x1.b6e65e91676bcp-9, -0x1.a8c58c36f8f16p-9, -0x1.9b0969757c259p-9, -0x1.8dafa267c72a9p-9, -0x1.80b581bd07ea9p-9, -0x1.741824cc9b2d6p-9, -0x1.67d4b1e28467p-9, -0x1.5be877d80b95dp-9, -0x1.5050fa09223a7p-9, -0x1.450bfd3896fd6p-9, -0x1.3a179e7324791p-9, -0x1.2f7261f75eb5fp-9, -0x1.251b1dd17fa69p-9, -0x1.1b10baba67af2p-9, -0x1.1151eb0746145p-9, -0x1.07dd057c2821dp-9, -0x1.fd602e4f90807p-10, -0x1.eb922608ed3fap-10, -0x1.da4be31dfdb8p-10, -0x1.c98953b3ccff5p-10, -0x1.b9463670a38dbp-10, -0x1.a97e292110598p-10, -0x1.9a2d15e25d1bdp-10, -0x1.8b4fba6556da1p-10, -0x1.7ce3d6e4568a4p-10, -0x1.6ee7d242799dbp-10, -0x1.615a15a0a5cd4p-10, -0x1.54389b493ef73p-10, -0x1.4780f52e62bdbp-10, -0x1.3b30a1260ee09p-10, -0x1.2f45413a6a878p-10, -0x1.23bc6df83a838p-10, -0x1.189340729f6f7p-10, -0x1.0dc60cd06525fp-10, -0x1.0350b2040cdp-10, -0x1.f25ebf9b62d33p-11, -0x1.debe83cf976bbp-11, -0x1.cbbd23cc349bep-11, -0x1.b958281d31235p-11, -0x1.a78cf4aec1357p-11, -0x1.96584db9ab545p-11, -0x1.85b6bca804ea4p-11, -0x1.75a53db65b28bp-11, -0x1.6621793c8a8e3p-11, -0x1.57291da6fd6b1p-11, -0x1.48b8aa5f32c0cp-11, -0x1.3acab4f726a72p-11, -0x1.2d588079bf2eep-11, -0x1.205b9401263f8p-11, -0x1.13cf1b685a2cdp-11, -0x1.07b027ce916a7p-11, -0x1.f7f9b495e235cp-12, -0x1.e16685abd011bp-12, -0x1.cba1908ebf0b8p-12, -0x1.b6a4a79f5d149p-12, -0x1.a269e5943c0fp-12, -0x1.8eece0f9feb13p-12, -0x1.7c2aabeac3924p-12, -0x1.6a2039500cd05p-12, -0x1.58c858edb6f8p-12, -0x1.481b234fa074dp-12, -0x1.380f677f33bf8p-12, -0x1.289cc9372bdeap-12, -0x1.19bd19568df3cp-12, -0x1.0b6cb2ec4094cp-12, -0x1.fb53cd3db5e4dp-13, -0x1.e0e6d66a89537p-13, -0x1.c78d35111fa6ap-13, -0x1.af3d7a7dad015p-13, -0x1.97ebeec88726bp-13, -0x1.818d93eb2ce51p-13, -0x1.6c196032ad137p-13, -0x1.5787c895f5373p-13, -0x1.43d1e886fb888p-13, -0x1.30f0946cc06bep-13, -0x1.1edbd891b46efp-13, -0x1.0d8acee5d5b35p-13, -0x1.f9e6d6477e5a4p-14, -0x1.da18cd1df6c49p-14, -0x1.bba2abda69e26p-14, -0x1.9e868cf46fbedp-14, -0x1.82c7b517a2c1p-14, -0x1.686173d32ad05p-14, -0x1.4f483aa480524p-14, -0x1.376e1437c26eep-14, -0x1.20c189cde208dp-14, -0x1.0b2d00b9d2b6ep-14, -0x1.ed38b363cfb56p-15, -0x1.c604415784aeap-15, -0x1.a0ada27621097p-15, -0x1.7d2ae7e5e91e5p-15, -0x1.5b6f835a54ef6p-15, -0x1.3b62c809f9411p-15, -0x1.1ce5b04c0a588p-15, -0x1.ffd549300bca7p-16, -0x1.c8efeaae724c5p-16, -0x1.951e0f57edd4bp-16, -0x1.64486047e4b2ap-16, -0x1.365f49271adb9p-16, -0x1.0b5ef6ec14305p-16, -0x1.c6573f14f1b3ap-17, -0x1.7b17501e6b081p-17, -0x1.348b28338f33dp-17, -0x1.e4d18b766897dp-18, -0x1.6903177bc7f79p-18, -0x1.ea8b5b037b8ebp-19, -0x1.124bf5756c569p-19, -0x1.2121a5805eb63p-21, 0x1.d33bc58d3a58cp-21, 0x1.25b30b8a2a1a6p-19, 0x1.c9bbf352342e6p-19, 0x1.3043fdb980532p-18, 0x1.75932c54d0a1dp-18, 0x1.b54741e9d887fp-18, 0x1.ef5136e58297fp-18, 0x1.11d2ddb7ef79p-17, 0x1.294bd9e26fa4dp-17, 0x1.3e51d3f0fd634p-17, 0x1.5117bb24b732fp-17, 0x1.61b7963e55624p-17, 0x1.703aab57ba36bp-17, 0x1.7cb0331affab9p-17, 0x1.8734bf442b367p-17, 0x1.8fed58f110f6cp-17, 0x1.971c21d688083p-17, 0x1.9d0315dda6c26p-17, 0x1.a198f5d7a3aafp-17, 0x1.a4c7a43abb5fbp-17, 0x1.a6b0d638d2b1p-17, 0x1.a76996dcc445ep-17, 0x1.a6e97533894a9p-17, 0x1.a541a148e6a21p-17, 0x1.a2936b427bc09p-17, 0x1.9ef38544d1014p-17, 0x1.9a6cdd98b0cdfp-17, 0x1.950bd459c550fp-17, 0x1.8edf0b3d53c3bp-17, 0x1.87f481169b3f6p-17, 0x1.805bd53539157p-17, 0x1.782343ddb204ap-17, 0x1.6f50917a5d6c5p-17, 0x1.65f253fd32c3cp-17, 0x1.5c1dbd7207ef2p-17, 0x1.51cffcabf1fa7p-17, 0x1.47163f065bf93p-17, 0x1.3c104b545976p-17, 0x1.30c111d787f32p-17, 0x1.252767ab4d14fp-17, 0x1.194e2239d3651p-17, 0x1.0d3eb2bd5446fp-17, 0x1.0100af5fc7749p-17, 0x1.e937dc38d93acp-18, 0x1.d02c534c9748dp-18, 0x1.b6e593fee8dfp-18, 0x1.9d6d1cf8d071fp-18, 0x1.83d23c489aff6p-18, 0x1.6a263f4e69c56p-18, 0x1.5075d8a179418p-18, 0x1.36c6cd70ea047p-18, 0x1.1d2347d8e3b02p-18, 0x1.0396a41d3fd71p-18, 0x1.d44b8efbb2baap-19, 0x1.a1b75f3ac564dp-19, 0x1.6f7868ed5a6f9p-19, 0x1.3d95d92c223b5p-19, 0x1.0c26aea53e034p-19, 0x1.b6814eccba242p-20, 0x1.55e47e6d8d8eap-20, 0x1.ed08c0fb7bdc7p-21, 0x1.30cf6e8382093p-21, 0x1.dce6a27fa61e3p-23, -0x1.fc921a31f92e5p-24, -0x1.e6f2027b90413p-22, -0x1.a453e79b5249p-21, -0x1.28f75440384b7p-20, -0x1.7e193fde6f504p-20, -0x1.d171b65821b81p-20, -0x1.11714b19c2ea6p-19, -0x1.3954a7761b1f5p-19, -0x1.6064191554edp-19, -0x1.86a0bfae14cfcp-19, -0x1.abf2e917ddcbdp-19, -0x1.d04c0b8dda62bp-19, -0x1.f3ba2bf5813afp-19, -0x1.0b1f73830872ap-18, -0x1.1be9dda2fffa2p-18, -0x1.2c381eda57724p-18, -0x1.3c057833d4d5dp-18, -0x1.4b4e2a6d4b54ep-18, -0x1.5a13f46b62fe9p-18, -0x1.6861c06503092p-18, -0x1.76424ebdf5a75p-18, -0x1.83b046610d24ap-18, -0x1.90a21f4e50bbcp-18, -0x1.9d20dace8cdabp-18, -0x1.a92c73b0226fcp-18, -0x1.b4a57da64888ap-18, -0x1.bf99ff2102f17p-18, -0x1.ca2582f5a7e19p-18, -0x1.d44cabfcb1615p-18, -0x1.ddfa46544bd06p-18, -0x1.e731d3d17738p-18, -0x1.efff086245a2p-18, -0x1.f861878f5e19bp-18, -0x1.002bf35778c99p-17, -0x1.03f1021bb0951p-17, -0x1.07803b785a09ap-17, -0x1.0ada47397e2d1p-17, -0x1.0e0049fdef6dcp-17, -0x1.10f3be64b6639p-17, -0x1.13b5dadf95992p-17, -0x1.164688fa562a2p-17, -0x1.18a397677b9eap-17, -0x1.1acb561f974b6p-17, -0x1.1cc342cb17e09p-17, -0x1.1e93845838544p-17, -0x1.20332cb5341adp-17, -0x1.21a1e5df9e17dp-17, -0x1.22f2606cb01c8p-17, -0x1.241b47ee2da7ep-17, -0x1.250dc76bf5ef5p-17, -0x1.25d650336bf2bp-17, -0x1.267b7db25135p-17, -0x1.26fd362b47c7ap-17, -0x1.275ae2efffa46p-17, -0x1.27947dc5bbd4bp-17, -0x1.27aa62633ea19p-17, -0x1.279d27fad5e3dp-17, -0x1.276da77b9a627p-17, -0x1.271cff4244696p-17, -0x1.26ac7a2970409p-17, -0x1.261d6efde3ce4p-17, -0x1.2571080613704p-17, -0x1.24a7d5aab358dp-17, -0x1.23c20eeaf892dp-17, -0x1.22c0f8913bc86p-17, -0x1.21a711c856455p-17, -0x1.207197df994d6p-17, -0x1.1f1cba45ee91ap-17, -0x1.1db31dab81efep-17, -0x1.1c2f68de9f3dap-17, -0x1.1a949c807af2ap-17, -0x1.18e7e2f19ac75p-17, -0x1.172a5f850cc07p-17, -0x1.1556f53267413p-17, -0x1.136c4b3fc68b8p-17, -0x1.116f5860712adp-17, -0x1.0f623b7c33886p-17, -0x1.0d44ff6eeff3bp-17, -0x1.0b17aca736881p-17, -0x1.08dab0f4e39b6p-17, -0x1.068ebb9b51ed2p-17, -0x1.0434947e2e4edp-17, -0x1.01cd0aec3f904p-17, }}, 
      {{-0x1.6917bf7ed73a8p-2, -0x1.5bb6fc24357a8p-2, -0x1.461b502437aa5p-2, -0x1.291a2bba6e8e5p-2, -0x1.05a6f12fc6c8fp-2, -0x1.b97fea509b65ep-3, -0x1.5ec3491bcd13cp-3, -0x1.f9f838b56aec5p-4, -0x1.2bde024b53732p-4, -0x1.59d5ec2f53a6bp-6, 0x1.06ab7ae04302bp-5, 0x1.5eeb9e90de379p-4, 0x1.1d031bfb24a08p-3, 0x1.89570c539edcp-3, 0x1.f39ab26e0c21ep-3, 0x1.2d8c8b629c604p-2, 0x1.5f9e1d0e2d846p-2, 0x1.8fc5098056614p-2, 0x1.bdd0d03049af4p-2, 0x1.e99c1080120b6p-2, 0x1.09859e31dce79p-1, 0x1.1d05b1fb99213p-1, 0x1.2f488d4c6c092p-1, 0x1.404bba98e85b2p-1, 0x1.500f9058ed679p-1, 0x1.5e96c7babd928p-1, 0x1.6be61e0d5488cp-1, 0x1.780400199cc5dp-1, 0x1.82f83eaa028b8p-1, 0x1.8ccbcb89b6fc7p-1, 0x1.95887e49ff8cdp-1, 0x1.9d38e020eb64ep-1, 0x1.a3e7fe3cb6771p-1, 0x1.a9a141f0d52a5p-1, 0x1.ae704e2bbae7ep-1, 0x1.b260e1ae98d33p-1, 0x1.b57ebd8a2ce5ap-1, 0x1.b7d58f6dcff77p-1, 0x1.b970df5ef94c2p-1, 0x1.ba5c0078d85aap-1, 0x1.baa2045b56facp-1, 0x1.ba4db0f9055cbp-1, 0x1.b969787af2404p-1, 0x1.b7ff72f895b53p-1, 0x1.b61959c5a39fep-1, 0x1.b3c0841f0e728p-1, 0x1.b0fde50788e92p-1, 0x1.adda0a2620f1cp-1, 0x1.aa5d1b823dc97p-1, 0x1.a68edbfb4b74fp-1, 0x1.a276aa5c34c52p-1, 0x1.9e1b82f17ccd4p-1, 0x1.998401896ac53p-1, 0x1.94b663cb3d525p-1, 0x1.8fb88bd4918d9p-1, 0x1.8a90030e4de2cp-1, 0x1.8541fd2bc988p-1, 0x1.7fd35b480e703p-1, 0x1.7a48af171f2e8p-1, 0x1.74a63e2348fb5p-1, 0x1.6ef0050ff5fa9p-1, 0x1.6929badc030bp-1, 0x1.6356d41dbe7bdp-1, 0x1.5d7a86335d084p-1, 0x1.5797ca6444e36p-1, 0x1.51b160f147bf6p-1, 0x1.4bc9d412d898cp-1, 0x1.45e37ae403eafp-1, 0x1.40007c37dd9edp-1, 0x1.3a22d156696c4p-1, 0x1.344c489e705a6p-1, 0x1.2e7e880b43d69p-1, 0x1.28bb0f9f534efp-1, 0x1.23033bb58ac8fp-1, 0x1.1d58473b517cfp-1, 0x1.17bb4dd3a2bap-1, 0x1.122d4de25f038p-1, 0x1.0caf2a7e10a02p-1, 0x1.0741ad46ca94cp-1, 0x1.01e588220dce4p-1, 0x1.f936adba68dedp-2, 0x1.eec7417204caep-2, 0x1.e47db3c21f097p-2, 0x1.da5ac9a2310cep-2, 0x1.d05f2751c69cp-2, 0x1.c68b52dcccd6ap-2, 0x1.bcdfb67a4eb28p-2, 0x1.b35ca2c400a62p-2, 0x1.aa0250c67931cp-2, 0x1.a0d0e3ebb2d1ap-2, 0x1.97c86bc368617p-2, 0x1.8ee8e5ad4d201p-2, 0x1.86323e693efb4p-2, 0x1.7da453906bfecp-2, 0x1.753ef4f915845p-2, 0x1.6d01e605790a7p-2, 0x1.64ecdedd85698p-2, 0x1.5cff8d92b8ccfp-2, 0x1.5539972e245b8p-2, 0x1.4d9a98a89983dp-2, 0x1.462227ce80e17p-2, 0x1.3ecfd410b3169p-2, 0x1.37a327448a145p-2, 0x1.309ba65522632p-2, 0x1.29b8d1e778cbcp-2, 0x1.22fa26f306a08p-2, 0x1.1c5f1f4f9088ep-2, 0x1.15e7323902d56p-2, 0x1.0f91d4c98ecf9p-2, 0x1.095e7a6a4d339p-2, 0x1.034c953a89e15p-2, 0x1.fab72cdc32319p-3, 0x1.ef15dd45995b8p-3, 0x1.e3b41c5bae0fbp-3, 0x1.d890cac3006afp-3, 0x1.cdaac99787d7bp-3, 0x1.c300fadda9cd4p-3, 0x1.b89241e79c71fp-3, 0x1.ae5d83b0c289p-3, 0x1.a461a7300eb8bp-3, 0x1.9a9d95a20490ap-3, 0x1.91103acb414aap-3, 0x1.87b8853417419p-3, 0x1.7e95665dbba78p-3, 0x1.75a5d2f13358cp-3, 0x1.6ce8c2e8c839dp-3, 0x1.645d31b416f49p-3, 0x1.5c021e56dae8ap-3, 0x1.53d68b83589b3p-3, 0x1.4bd97fb05a556p-3, 0x1.440a052ae92acp-3, 0x1.3c672a2498263p-3, 0x1.34f000be74f6bp-3, 0x1.2da39f10ca17fp-3, 0x1.26811f302d9b3p-3, 0x1.1f879f302e5e7p-3, 0x1.18b64123f3422p-3, 0x1.120c2b1cabd12p-3, 0x1.0b88872642f34p-3, 0x1.052a8342df843p-3, 0x1.fde2a2c9c3c8p-4, 0x1.f1b84eceb5f6bp-4, 0x1.e5d47e0b81b5fp-4, 0x1.da35aba5ab0e6p-4, 0x1.ceda5a5cb58edp-4, 0x1.c3c114741fc31p-4, 0x1.b8e86b9c79f7ap-4, 0x1.ae4ef8db17decp-4, 0x1.a3f35c70d131cp-4, 0x1.99d43dbfe4a93p-4, 0x1.8ff04b30d39a2p-4, 0x1.86463a17121fap-4, 0x1.7cd4c6956dbadp-4, 0x1.739ab3817a244p-4, 0x1.6a96ca468cff1p-4, 0x1.61c7dac9412e7p-4, 0x1.592cbb4ad9461p-4, 0x1.50c4484bde872p-4, 0x1.488d646ee2df5p-4, 0x1.4086f85be2a51p-4, 0x1.38aff2a39515cp-4, 0x1.310747a291e78p-4, 0x1.298bf164dc026p-4, 0x1.223cef89c949cp-4, 0x1.1b194727fd0b9p-4, 0x1.142002b1c92c8p-4, 0x1.0d5031da14ad5p-4, 0x1.06a8e9795d753p-4, 0x1.00294372d77cap-4, 0x1.f3a0bd347af3ap-5, 0x1.e73abd34a4b4bp-5, 0x1.db1ed7b6e84e6p-5, 0x1.cf4b66d474b0ap-5, 0x1.c3becdbd8a9edp-5, 0x1.b87778899f602p-5, 0x1.ad73dc07ff834p-5, 0x1.a2b27590a1206p-5, 0x1.9831cad5f8032p-5, 0x1.8df069b82519p-5, 0x1.83ece818e6af5p-5, 0x1.7a25e3affd812p-5, 0x1.709a01e07bbeep-5, 0x1.6747ef8f38785p-5, 0x1.5e2e60f9f4b4p-5, 0x1.554c118ef719fp-5, 0x1.4c9fc3c59359cp-5, 0x1.442840f7e6d66p-5, 0x1.3be4593d6650ep-5, 0x1.33d2e345bbcafp-5, 0x1.2bf2bc34274dp-5, 0x1.2442c77c08fa3p-5, 0x1.1cc1eebe89e63p-5, 0x1.156f21a8e6c31p-5, 0x1.0e4955d2f2db3p-5, 0x1.074f869e2a98ap-5, 0x1.0080b515d5519p-5, 0x1.f3b7cfa05c866p-6, 0x1.e6c055a0310cfp-6, 0x1.da191ece37b4p-6, 0x1.cdc0582fd05b6p-6, 0x1.c1b438f376d4cp-6, 0x1.b5f302394d4aap-6, 0x1.aa7afedcc7deap-6, 0x1.9f4a833ef263p-6, 0x1.945fed11b584ap-6, 0x1.89b9a3248d649p-6, 0x1.7f561532cd12ap-6, 0x1.7533bbb2ec06dp-6, 0x1.6b5117a682d22p-6, 0x1.61acb26b0ef46p-6, 0x1.58451d8bf08a2p-6, 0x1.4f18f295c887p-6, 0x1.4626d2eb00984p-6, 0x1.3d6d6798f0a8ap-6, 0x1.34eb612d9f32ep-6, 0x1.2c9f778e5c6d9p-6, 0x1.248869cf9c3c5p-6, 0x1.1ca4fe0df7acbp-6, 0x1.14f40148148f4p-6, 0x1.0d74473906189p-6, 0x1.0624aa333d0fdp-6, 0x1.fe0815f886b65p-7, 0x1.f022a15318314p-7, 0x1.e296d0fca273dp-7, 0x1.d5628b9442192p-7, 0x1.c883c38fe01ap-7, 0x1.bbf876fb2e2f5p-7, 0x1.afbeaf38111f8p-7, 0x1.a3d480c0ca974p-7, 0x1.98380aebfeb3fp-7, 0x1.8ce777b209eadp-7, 0x1.81e0fb734798fp-7, 0x1.7722d4bf2a46ap-7, 0x1.6cab4c1c52a6fp-7, 0x1.6278b3d22b062p-7, 0x1.588967b3fbe61p-7, 0x1.4edbcced785ebp-7, 0x1.456e51d03e413p-7, 0x1.3c3f6da20fb87p-7, 0x1.334da06bc5478p-7, 0x1.2a9772c92ca4ap-7, 0x1.221b75ba29bap-7, 0x1.19d8427532917p-7, 0x1.11cc7a3b0c223p-7, 0x1.09f6c62b82316p-7, 0x1.0255d71acfd35p-7, 0x1.f5d0caceef56p-8, 0x1.e75a61a147643p-8, 0x1.d946009a94e94p-8, 0x1.cb9143c8e87fdp-8, 0x1.be39d50dcd45bp-8, 0x1.b13d6bd4494fap-8, 0x1.a499ccc91a5a6p-8, 0x1.984cc99396dd1p-8, 0x1.8c54408e83919p-8, 0x1.80ae1c8089494p-8, 0x1.755854554a59fp-8, 0x1.6a50ead891199p-8, 0x1.5f95ee754fe8fp-8, 0x1.552578f8aad2cp-8, 0x1.4afdaf57f3cc8p-8, 0x1.411cc1772cab2p-8, 0x1.3780e9edb61fcp-8, 0x1.2e286dc86744ep-8, 0x1.25119c4a1922cp-8, 0x1.1c3aceada7278p-8, 0x1.13a267ecba02ap-8, 0x1.0b46d48ce10acp-8, 0x1.03268a721046p-8, 0x1.f68011663984ep-9, 0x1.e723aed7b9364p-9, 0x1.d8350f13d6b92p-9, 0x1.c9b165285a7b9p-9, 0x1.bb95f4e0e95f2p-9, 0x1.ade01258c1d99p-9, 0x1.a08d219bd4b99p-9, 0x1.939a965a34ec3p-9, 0x1.8705f3a8e0edap-9, 0x1.7acccbc4f0b77p-9, 0x1.6eecbfcd5b61fp-9, 0x1.63637f6bfde83p-9, 0x1.582ec86ed911bp-9, 0x1.4d4c665a86a7fp-9, 0x1.42ba32032bf0fp-9, 0x1.38761137b5168p-9, 0x1.2e7df6838a776p-9, 0x1.24cfe1028dc63p-9, 0x1.1b69dc3c1e57bp-9, 0x1.1249fff6e2774p-9, 0x1.096e6ffabd74fp-9, 0x1.00d55bbdd42aep-9, 0x1.f0f9fc05095c3p-10, 0x1.e0c738e574ea4p-10, 0x1.d10f0e8c7dfcfp-10, 0x1.c1ce31fb918a2p-10, 0x1.b3016c6c159ccp-10, 0x1.a4a59b1c5be2bp-10, 0x1.96b7af2d4e069p-10, 0x1.8934ad750705ap-10, 0x1.7c19ae2d3edeap-10, 0x1.6f63dc71e216ep-10, 0x1.631075946145p-10, 0x1.571cc85796502p-10, 0x1.4b86342fe4cdfp-10, 0x1.404a28a4c2b56p-10, 0x1.356624ebb032ep-10, 0x1.2ad7b7c669fd6p-10, 0x1.209c7f977facfp-10, 0x1.16b22a895555fp-10, 0x1.0d1676982f16fp-10, 0x1.03c73158add15p-10, 0x1.f5846ed5dc381p-11, 0x1.e40ae74a9e585p-11, 0x1.d31dbc31e203dp-11, 0x1.c2b8f6467085cp-11, 0x1.b2d8b58f9022bp-11, 0x1.a3793103d61afp-11, 0x1.9496b72953441p-11, 0x1.862daf5333d99p-11, 0x1.783a9ad0daeeep-11, 0x1.6aba15643618cp-11, 0x1.5da8d4a1da764p-11, 0x1.5103a64097823p-11, 0x1.44c76da544efep-11, 0x1.38f1212d38cf5p-11, 0x1.2d7dc7e528b3bp-11, 0x1.226a786761bb9p-11, 0x1.17b4595aa8867p-11, 0x1.0d58a36590815p-11, 0x1.0354a3b06c403p-11, 0x1.f34b7b8988cc2p-12, 0x1.e092d7e94d9d5p-12, 0x1.ce7a7c505b253p-12, 0x1.bcfdaef379a89p-12, 0x1.ac17d65b6af65p-12, 0x1.9bc4731b073f3p-12, 0x1.8bff1aad5ea5ep-12, 0x1.7cc37543b03eap-12, 0x1.6e0d3fd9eb519p-12, 0x1.5fd85223f95d6p-12, 0x1.5220a5ac995fep-12, 0x1.44e25aab7bf8fp-12, 0x1.3819b8881d30ap-12, 0x1.2bc32a86f3f9cp-12, 0x1.1fdb3a9645913p-12, 0x1.145e8bc3e0e48p-12, 0x1.0949d4bbe7f9p-12, 0x1.fd33b513cfbp-13, 0x1.e896d9f7d04c9p-13, 0x1.d4b6cdd99fedap-13, 0x1.c18d66ff53406p-13, 0x1.af14ac835867bp-13, 0x1.9d46e39e8ece7p-13, 0x1.8c1e92f21318ep-13, 0x1.7b967bf9f80c2p-13, 0x1.6ba990db3431ep-13, 0x1.5c52ec60334aap-13, 0x1.4d8dccaa61f19p-13, 0x1.3f558d325f8fbp-13, 0x1.31a59e522ab3p-13, 0x1.24797dd662edp-13, 0x1.17ccb6f4fe05bp-13, 0x1.0b9aec6648b68p-13, 0x1.ffbfcee6d14ffp-14, 0x1.e92f4400bc9cfp-14, 0x1.d37c8a99cd098p-14, 0x1.bea0410604fdbp-14, 0x1.aa93404b13f66p-14, 0x1.974e987f8511cp-14, 0x1.84cb959fef06ep-14, 0x1.7303bee4d42d9p-14, 0x1.61f0c9bed8dbfp-14, 0x1.518c87dd790bep-14, 0x1.41d0de82d7d9dp-14, 0x1.32b7cee042802p-14, 0x1.243b89852e518p-14, 0x1.16567d81102b3p-14, 0x1.090356b45aa0ap-14, 0x1.f879dab122ff9p-15, 0x1.dffc6e861ac11p-15, 0x1.c88493bafd2f9p-15, 0x1.b208d2923cb88p-15, 0x1.9c80251865c3ep-15, 0x1.87e1eab89bb04p-15, 0x1.7425c8f19ba7ap-15, 0x1.61439686e959fp-15, 0x1.4f335c435ea43p-15, 0x1.3ded5f938fba6p-15, 0x1.2d6a2950f3eecp-15, 0x1.1da2844ad4f3ap-15, 0x1.0e8f71027e7b9p-15, 0x1.002a10d893023p-15, 0x1.e4d7380b862fap-16, 0x1.ca9aedc992e61p-16, 0x1.b192afb4c91f2p-16, 0x1.99b2a72309b44p-16, 0x1.82ef834877f2fp-16, 0x1.6d3e3b256910bp-16, 0x1.589411d77b534p-16, 0x1.44e6c7a41681ep-16, 0x1.322ca7d81919ep-16, 0x1.205c5a316bbddp-16, 0x1.0f6cb06bc75bap-16, 0x1.fea93dce592afp-17, 0x1.e01691d016c39p-17, 0x1.c30ffe48bdd3dp-17, 0x1.a7849271e6e5dp-17, 0x1.8d642db8d9e04p-17, 0x1.749fccfbd418ap-17, 0x1.5d293970d511cp-17, 0x1.46f26860cab14p-17, 0x1.31ed60aed652fp-17, 0x1.1e0cc8cc8780fp-17, 0x1.0b44582901f63p-17, 0x1.f3111efa69186p-18, 0x1.d19c17c30efddp-18, 0x1.b2126d2686ae9p-18, 0x1.945d200a5c4a5p-18, 0x1.78664f970b793p-18, 0x1.5e197d4500809p-18, 0x1.45633703a8ba7p-18, 0x1.2e3100a1f243ap-18, 0x1.18718307a5a59p-18, 0x1.04141f98cd4d2p-18, 0x1.e21031dde81bbp-19, 0x1.be795662c923bp-19, 0x1.9d445b17233b3p-19, 0x1.7e556216838ecp-19, 0x1.61928493be87p-19, 0x1.46e16c28285ddp-19, 0x1.2e26374d8c7c6p-19, 0x1.17441e59ba448p-19, 0x1.021f620d544cdp-19, 0x1.dd3e6d938862bp-20, 0x1.b95c0f0eb44aep-20, 0x1.987023f765c8fp-20, 0x1.7a545c7d646c4p-20, 0x1.5ee346753748ep-20, 0x1.45f7a9cb1a16fp-20, 0x1.2f6bc57afc155p-20, 0x1.1b1ba3a6863d3p-20, 0x1.08e80d300a041p-20, 0x1.f16aac8f3a1b4p-21, 0x1.d4d02ce20a9f5p-21, 0x1.bbc7f4b9059e5p-21, 0x1.a6178845b95dp-21, 0x1.93823d8c6edf2p-21, 0x1.83cbb993cea4cp-21, 0x1.76bd771820b4bp-21, 0x1.6c2a0c51f04e7p-21, 0x1.63ea2d31ae081p-21, 0x1.5dd667c70f913p-21, 0x1.59c5693c9869p-21, 0x1.578f0e18293e3p-21, 0x1.570d78426a0dfp-21, 0x1.581e5f17c2a6bp-21, 0x1.5aa572a1cb91p-21, 0x1.5e889ecf8909p-21, 0x1.63ab34f803d5fp-21, 0x1.69f011626bdadp-21, 0x1.713ca4534a8b3p-21, 0x1.797760ecb1f2bp-21, 0x1.8285e788f2773p-21, 0x1.8c4e0e822a346p-21, 0x1.96b89479ff16ep-21, 0x1.a1b2d446b1553p-21, 0x1.ad2d0b44014b1p-21, 0x1.b91613c23007ep-21, 0x1.c559ebe129758p-21, 0x1.d1e4dbf4d996cp-21, 0x1.dea576c16bc97p-21, 0x1.eb8d895d8895bp-21, 0x1.f8933b245f5acp-21, 0x1.02d68ac505b9ap-20, 0x1.096764e9b5b0fp-20, 0x1.0ff60b113c459p-20, 0x1.167d64917c27fp-20, 0x1.1cf8d9ee8fbcep-20, 0x1.236409b8b8339p-20, 0x1.29bab62c4c411p-20, 0x1.2ff8d0b8103a2p-20, 0x1.361acd330c5e5p-20, 0x1.3c1dd8c2bb1a2p-20, 0x1.41ff83e0067dap-20, 0x1.47bd0dc11c85ap-20, 0x1.4d5353b46f2e4p-20, 0x1.52bf9fe2d5f43p-20, 0x1.57ffe6cf92249p-20, 0x1.5d129e7d9ddd6p-20, 0x1.61f691d563c34p-20, 0x1.66aa10908c4bdp-20, 0x1.6b2b3def56cefp-20, 0x1.6f78f8373f1d3p-20, 0x1.73927ba481a65p-20, 0x1.77770864a6fp-20, 0x1.7b26036eea26ap-20, 0x1.7e9efeaca67c9p-20, 0x1.81e1aac2e0ba8p-20, 0x1.84edcf024d15ep-20, 0x1.87c34b5d5b6c7p-20, 0x1.8a621a8dca469p-20, 0x1.8cca4a6906144p-20, 0x1.8efbeb2cc35adp-20, 0x1.90f719cb74cafp-20, 0x1.92bc1f542a4p-20, 0x1.944b650130519p-20, 0x1.95a56209f67dp-20, 0x1.96ca9a0d8042cp-20, 0x1.97bb94833342dp-20, 0x1.9878f97f3d4e3p-20, 0x1.990381e658e3ep-20, 0x1.995be373e0eaep-20, 0x1.9982d99cd273dp-20, 0x1.99792a6055f95p-20, 0x1.993fad874b2d4p-20, 0x1.98d75249731adp-20, 0x1.984119034b0b2p-20, 0x1.977e05e9f8bb1p-20, 0x1.968f14cdf95c2p-20, 0x1.95753609781e4p-20, 0x1.94316b5ec30edp-20, 0x1.92c4d8f23b1fep-20, 0x1.913082da4cd33p-20, 0x1.8f7546ed7a4fp-20, 0x1.8d943b2ebbfep-20, 0x1.8b8e824079fd6p-20, 0x1.896545f6220b4p-20, 0x1.871995c75dd7dp-20, 0x1.84ac833f41818p-20, 0x1.821f319d838adp-20, 0x1.7f72b38abaaedp-20, 0x1.7ca80d16ce013p-20, 0x1.79c03b7448c73p-20, 0x1.76bc3fd91bf38p-20, 0x1.739d2d9bd3002p-20, 0x1.706432c7c21afp-20, 0x1.6d1290286ee67p-20, 0x1.69a9755c7f73p-20, 0x1.6629d85de3dfep-20, 0x1.6294965859d8dp-20, 0x1.5eeaba7d82c05p-20, 0x1.5b2d41227f9ffp-20, 0x1.575ceca3c47eap-20, 0x1.537ad99c394cap-20, 0x1.4f883655498bcp-20, 0x1.4b85fb4c0e13ap-20, 0x1.4774f0e59219ep-20, 0x1.4356063a6fe7ap-20, 0x1.3f2a34ad3dc05p-20, 0x1.3af25cadb45dap-20, 0x1.36af53e43050dp-20, 0x1.3261e63a2340fp-20, 0x1.2e0ad7e1659a8p-20, 0x1.29aaef853f5a1p-20, 0x1.2542ffcd2ed8ep-20, 0x1.20d3e5266c91ep-20, 0x1.1c5e781cef9eep-20, 0x1.17e37c8f7341cp-20, 0x1.1363995d8ccedp-20, 0x1.0edf7207a2e6fp-20, 0x1.0a57ccf64ecb2p-20, 0x1.05cd6b114961dp-20, 0x1.0140d177aeb1ap-20, 0x1.f9654d283e106p-21, 0x1.f0478636fb44bp-21, 0x1.e7295a75b1488p-21, 0x1.de0ba9eea8e42p-21, 0x1.d4efd8b5026afp-21, 0x1.cbd717ddb4ff9p-21, 0x1.c2c26f5eba7bep-21, 0x1.b9b2df27d268dp-21, 0x1.b0a95dc6d29bap-21, 0x1.a7a6d41ea0e84p-21, 0x1.9eac22c581a86p-21, 0x1.95ba2ee1dee95p-21, 0x1.8cd1e74b3e161p-21, 0x1.83f43bd5d5691p-21, 0x1.7b2212184e5a4p-21, 0x1.725c3c06709eep-21, 0x1.69a36a1c9b9e3p-21, 0x1.60f832ea503b9p-21, 0x1.585b3a8b662ddp-21, 0x1.4fcd39c38e952p-21, 0x1.474eccc7f3496p-21, 0x1.3ee0850b0ca24p-21, 0x1.36834b81aa14dp-21, 0x1.2e378334a36dbp-21, 0x1.25fdade7dea5bp-21, 0x1.1dd665813373p-21, 0x1.15c22838979a4p-21, 0x1.0dc15db99fde8p-21, 0x1.05d4700ea0971p-21, 0x1.fbf7a3e8186b5p-22, 0x1.ec6fc5f8a4e1bp-22, 0x1.dd11e966e53f6p-22, 0x1.cddeace7e7856p-22, 0x1.bed6b5eae41f5p-22, 0x1.affaaba859965p-22, 0x1.a14b2becbffbp-22, 0x1.92c8c6e7b501fp-22, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.6d224f2def8afp-8, 0x1.1582ff9e7e36fp-9, -0x1.e731b12b6cbc6p-7, -0x1.7daea50b30777p-5, -0x1.79dafb9032b6bp-4, -0x1.32faa26add151p-3, -0x1.bc6cbbc5299b1p-3, -0x1.29ddbd153fa43p-2, -0x1.79bd5f0b8a186p-2, -0x1.cb535ec6786fbp-2, -0x1.0e3375dd166e8p-1, -0x1.3588d03c3d136p-1, -0x1.5ae09e250c15ep-1, -0x1.7d9a44d5310abp-1, -0x1.9d3ab24cad963p-1, -0x1.b9689be831c0ep-1, -0x1.d1e86d5a2145ep-1, -0x1.e698341fa83fdp-1, -0x1.f76bb7d6352c6p-1, -0x1.02346dcace5b1p+0, -0x1.06d22b3e532d8p+0, -0x1.099f641237acp+0, -0x1.0ab113a86f34p+0, -0x1.0a1fc2c263debp+0, -0x1.08069056b9181p+0, -0x1.04825de34a0ebp+0, -0x1.ff623799f15e8p-1, -0x1.f362650e2e891p-1, -0x1.e5420aa454013p-1, -0x1.d53d1705e6aebp-1, -0x1.c38dfafcddf5cp-1, -0x1.b06d25beb7f53p-1, -0x1.9c109effcfee2p-1, -0x1.86abbab9ebdcbp-1, -0x1.706ee3054d6ap-1, -0x1.598774b9a6935p-1, -0x1.421fabfdd91a2p-1, -0x1.2a5e9e1f00549p-1, -0x1.12683e6fda472p-1, -0x1.f4bad80a989bep-2, -0x1.c4b80d9dc04fep-2, -0x1.94fe14c839816p-2, -0x1.65bd59f59023ep-2, -0x1.372102c3f1f8ep-2, -0x1.094f373f544c8p-2, -0x1.b8d2d9ffaf6bdp-3, -0x1.611966ec72d4dp-3, -0x1.0ba4023f35cc9p-3, -0x1.7139fb277f1b9p-4, -0x1.a09e8e5b1efb8p-5, -0x1.a60c7c3650449p-7, 0x1.85058264dd17ap-6, 0x1.e32d22907d88bp-5, 0x1.7c24e47b1b8b8p-4, 0x1.006e14b772273p-3, 0x1.3fda1f201c5fep-3, 0x1.7c561f8e7a946p-3, 0x1.b5e4e15796dd1p-3, 0x1.ec8c11aa86729p-3, 0x1.1029f52a569ecp-2, 0x1.28a3713b2358p-2, 0x1.3fb8b276d56e4p-2, 0x1.5570c620c0957p-2, 0x1.69d371e763b28p-2, 0x1.7ce91705e5dbap-2, 0x1.8eba97d90c467p-2, 0x1.9f513fce92adep-2, 0x1.aeb6ad93372adp-2, 0x1.bcf4bf563aac4p-2, 0x1.ca1580fbfbdcp-2, 0x1.d6231c1297854p-2, 0x1.e127c96a17e01p-2, 0x1.eb2dc432987acp-2, 0x1.f43f3e8e43a89p-2, 0x1.fc66577eb3136p-2, 0x1.01d6890b4bd0cp-1, 0x1.050ea6e699c2ap-1, 0x1.07e05feb8dff2p-1, 0x1.0a5076b114c5dp-1, 0x1.0c63935258f85p-1, 0x1.0e1e4155eaa59p-1, 0x1.0f84edf3d172bp-1, 0x1.109be6b36c1d2p-1, 0x1.1167585e9691bp-1, 0x1.11eb4e400bb83p-1, 0x1.122bb1a3216abp-1, 0x1.122c498ae3c44p-1, 0x1.11f0ba93d9728p-1, 0x1.117c86fcbbeffp-1, 0x1.10d30ecde935ep-1, 0x1.0ff7902017ad6p-1, 0x1.0eed27819d1b7p-1, 0x1.0db6d076117a4p-1, 0x1.0c57661550dfp-1, 0x1.0ad1a3bd2cb14p-1, 0x1.092825db0ffa8p-1, 0x1.075d6ac00e07p-1, 0x1.0573d37ec0f7fp-1, 0x1.036da4cf1a479p-1, 0x1.014d07efb40bap-1, 0x1.fe28171a08a83p-2, 0x1.f9894941969bap-2, 0x1.f4c15eb12f9d3p-2, 0x1.efd3dfeb78891p-2, 0x1.eac42763d859dp-2, 0x1.e5956343c8553p-2, 0x1.e04a972dbc0e1p-2, 0x1.dae69dff6b82fp-2, 0x1.d56c2b8a5ce77p-2, 0x1.cfddce46a60cp-2, 0x1.ca3df0f59f5b3p-2, 0x1.c48edc3ee5c52p-2, 0x1.bed2b83594729p-2, 0x1.b90b8dd64123p-2, 0x1.b33b48748f157p-2, 0x1.ad63b714e8717p-2, 0x1.a7868dc2adafbp-2, 0x1.a1a566d0cede9p-2, 0x1.9bc1c41196e5dp-2, 0x1.95dd10060365p-2, 0x1.8ff89efca9704p-2, 0x1.8a15b028d0aabp-2, 0x1.84356eafc9a66p-2, 0x1.7e58f2aa40b63p-2, 0x1.788142191672bp-2, 0x1.72af51d3c92d7p-2, 0x1.6ce4066c154cbp-2, 0x1.672035015a603p-2, 0x1.6164a41069762p-2, 0x1.5bb20c3a7134cp-2, 0x1.560918fb13deap-2, 0x1.506a69599eee3p-2, 0x1.4ad690951f3d2p-2, 0x1.454e16c360f01p-2, 0x1.3fd17966845fep-2, 0x1.3a612bfec85cdp-2, 0x1.34fd989705e32p-2, 0x1.2fa72045a6ec3p-2, 0x1.2a5e1ba575eefp-2, 0x1.2522db4ec638p-2, 0x1.1ff5a84a4bf94p-2, 0x1.1ad6c4776dbbep-2, 0x1.15c66aefde0d4p-2, 0x1.10c4d06b78053p-2, 0x1.0bd2239bbed44p-2, 0x1.06ee8d7f22378p-2, 0x1.021a31b21af79p-2, 0x1.faaa5d7d55bd9p-3, 0x1.f13f3cce86a66p-3, 0x1.e7f32bd574812p-3, 0x1.dec64c873fdd8p-3, 0x1.d5b8b8d06abfbp-3, 0x1.ccca83116f42p-3, 0x1.c3fbb68b39ba9p-3, 0x1.bb4c57c2659bp-3, 0x1.b2bc64e7141d4p-3, 0x1.aa4bd63a44569p-3, 0x1.a1fa9e65900acp-3, 0x1.99c8aacbfc151p-3, 0x1.91b5e3dc4d9b1p-3, 0x1.89c22d61156d5p-3, 0x1.81ed66ca3507ap-3, 0x1.7a376b71592e2p-3, 0x1.72a012da509cp-3, 0x1.6b2730f086dd6p-3, 0x1.63cc9644adc72p-3, 0x1.5c9010484592fp-3, 0x1.557169819dc2ep-3, 0x1.4e7069bac81c2p-3, 0x1.478cd632fa65fp-3, 0x1.40c671d13921bp-3, 0x1.3a1cfd50e650bp-3, 0x1.33903767d467ap-3, 0x1.2d1fdcec89a31p-3, 0x1.26cba8fe6aa9p-3, 0x1.2093552b7baedp-3, 0x1.1a769991c4845p-3, 0x1.14752cfee7b45p-3, 0x1.0e8ec50f07f73p-3, 0x1.08c3164a0227ap-3, 0x1.0311d43f6fd62p-3, 0x1.faf56345340d2p-4, 0x1.effac0c9b061ep-4, 0x1.e533239851215p-4, 0x1.da9ded0f8d866p-4, 0x1.d03a7d8d06002p-4, 0x1.c608349ce986dp-4, 0x1.bc06712342834p-4, 0x1.b234917bdedbbp-4, 0x1.a891f398afb38p-4, 0x1.9f1df52623aecp-4, 0x1.95d7f3b14c31bp-4, 0x1.8cbf4cc6c32d4p-4, 0x1.83d35e09c651p-4, 0x1.7b13854bbfd78p-4, 0x1.727f20a93859ep-4, 0x1.6a158ea739686p-4, 0x1.61d62e49dfdeap-4, 0x1.59c05f250bfap-4, 0x1.51d3816e86bd9p-4, 0x1.4a0ef614e3713p-4, 0x1.42721ed62a69ap-4, 0x1.3afc5e504e2f9p-4, 0x1.33ad180c5f068p-4, 0x1.2c83b08b23656p-4, 0x1.257f8d5695b3ep-4, 0x1.1ea0151445522p-4, 0x1.17e4af925db9p-4, 0x1.114cc5cec96d4p-4, 0x1.0ad7c1fdf15fap-4, 0x1.04850f961cf5ep-4, 0x1.fca836bc294c8p-5, 0x1.f088a6f234597p-5, 0x1.e4aa4ed96996dp-5, 0x1.d90c10461a76bp-5, 0x1.cdaccfdf2ef54p-5, 0x1.c28b7530d2732p-5, 0x1.b7a6eac1c79ecp-5, 0x1.acfe1e21246d6p-5, 0x1.a28fffe9582ap-5, 0x1.985b83bf7208ep-5, 0x1.8e5fa0583429bp-5, 0x1.849b4f8565a91p-5, 0x1.7b0d8e44983eap-5, 0x1.71b55cc6bec42p-5, 0x1.6891be6e66facp-5, 0x1.5fa1b9ca992aap-5, 0x1.56e458969cac4p-5, 0x1.4e58a7c16a333p-5, 0x1.45fdb777f0c76p-5, 0x1.3dd29b2a4ec71p-5, 0x1.35d66988754aap-5, 0x1.2e083c79a7a34p-5, 0x1.2667311613694p-5, 0x1.1ef267a74498p-5, 0x1.17a903ade7c77p-5, 0x1.108a2be6bb671p-5, 0x1.09950a490a9a3p-5, 0x1.02c8cbfe249f2p-5, 0x1.f84942acab3a9p-6, 0x1.eb4f7b82b7748p-6, 0x1.dea2af9a65c56p-6, 0x1.d2415251b382bp-6, 0x1.c629dd4b3570cp-6, 0x1.ba5ad06521bd9p-6, 0x1.aed2b1a473037p-6, 0x1.a3900d1bcc1a6p-6, 0x1.989174d868b8fp-6, 0x1.8dd580da77184p-6, 0x1.835acf15996dep-6, 0x1.7920037042aadp-6, 0x1.6f23c7b947fd1p-6, 0x1.6564cb91bbe75p-6, 0x1.5be1c450ba6c1p-6, 0x1.52996ceb513b8p-6, 0x1.498a85e7db712p-6, 0x1.40b3d55c36c6p-6, 0x1.381426ee5f14ap-6, 0x1.2faa4bccb664ap-6, 0x1.27751a97cd02cp-6, 0x1.1f736f40f1d99p-6, 0x1.17a42ae897dd6p-6, 0x1.100633c9168adp-6, 0x1.089875335941bp-6, 0x1.0159df97a0834p-6, 0x1.f492d1173c7c9p-7, 0x1.e6cc157ddbae8p-7, 0x1.d95d8baf5c23fp-7, 0x1.cc453c7f38975p-7, 0x1.bf8139e9ce2fbp-7, 0x1.b30f9ee543859p-7, 0x1.a6ee8f72b5467p-7, 0x1.9b1c38dc2448fp-7, 0x1.8f96d1ee19e03p-7, 0x1.845c9af71144cp-7, 0x1.796bdd6ff7cdap-7, 0x1.6ec2eb5eec62fp-7, 0x1.64601eaf7939cp-7, 0x1.5a41d8ca6071ep-7, 0x1.5066829e9d5d6p-7, 0x1.46cc8d161de33p-7, 0x1.3d7271b64772ep-7, 0x1.3456b30cbd56bp-7, 0x1.2b77dc97210d5p-7, 0x1.22d4820ec0649p-7, 0x1.1a6b3e4e3bf72p-7, 0x1.123ab242a2eb7p-7, 0x1.0a418462ad4acp-7, 0x1.027e60f1bfe7fp-7, 0x1.f5dff5f0a3dd6p-8, 0x1.e72a1b0129f4fp-8, 0x1.d8d8b8f4a3ecap-8, 0x1.cae969839de45p-8, 0x1.bd59d63c34177p-8, 0x1.b027b50292b96p-8, 0x1.a350c46d33569p-8, 0x1.96d2c98aa55fap-8, 0x1.8aab9020f9eb5p-8, 0x1.7ed8ed6e9bcfbp-8, 0x1.7358c45789a94p-8, 0x1.68290937ab32p-8, 0x1.5d47c39801e5bp-8, 0x1.52b30cc437e0ep-8, 0x1.48690b7581a77p-8, 0x1.3e67ee08623b3p-8, 0x1.34ade577add62p-8, 0x1.2b392337a2921p-8, 0x1.2207daf9f40f5p-8, 0x1.191847ce3aa06p-8, 0x1.1068b2ac11ee1p-8, 0x1.07f777d83ea2dp-8, 0x1.ff8611e1d1cbfp-9, 0x1.ef93d520e6218p-9, 0x1.e0155c0b53e57p-9, 0x1.d107d24b4d59ap-9, 0x1.c2685e5dcd271p-9, 0x1.b4341b1a29801p-9, 0x1.a6681bd1a1bb7p-9, 0x1.990179aad350cp-9, 0x1.8bfd654308361p-9, 0x1.7f59363312b81p-9, 0x1.731273156ab78p-9, 0x1.6726cf2f2f291p-9, 0x1.5b941ded111f6p-9, 0x1.50583f91f1142p-9, 0x1.45710d33dac93p-9, 0x1.3adc4b3e5efd3p-9, 0x1.3097a7e0fc5fcp-9, 0x1.26a0c62b7f921p-9, 0x1.1cf5516417c35p-9, 0x1.139311538e4a3p-9, 0x1.0a77f90426fa8p-9, 0x1.01a22c48eabc4p-9, 0x1.f21ff620cae2ap-10, 0x1.e17fa697dc3f9p-10, 0x1.d1605867ad852p-10, 0x1.c1bee12b7dd7ap-10, 0x1.b297dff8ee0acp-10, 0x1.a3e7ba0ebb1b8p-10, 0x1.95aab3300785bp-10, 0x1.87dd15c984a09p-10, 0x1.7a7b59b0b2403p-10, 0x1.6d823dfcb9fdap-10, 0x1.60eed44c5a77bp-10, 0x1.54be8021fe295p-10, 0x1.48eeea0b45eb2p-10, 0x1.3d7de39bc390cp-10, 0x1.32693ea65f039p-10, 0x1.27aea567d6527p-10, 0x1.1d4b86e79e236p-10, 0x1.133d21b19e05p-10, 0x1.0980a44c458cfp-10, 0x1.00134e89c9479p-10, 0x1.ede50885dac28p-11, 0x1.dc37a67f39b99p-11, 0x1.cb19f213864p-11, 0x1.ba87dd973f9b3p-11, 0x1.aa7de22c63e13p-11, 0x1.9af8e5ce20982p-11, 0x1.8bf5f1158b813p-11, 0x1.7d71d9d6c1302p-11, 0x1.6f691857137a3p-11, 0x1.61d7dd745d19ap-11, 0x1.54ba4bbc875c7p-11, 0x1.480c9d3bab6fp-11, 0x1.3bcb1b2e616f8p-11, 0x1.2ff2025193dbbp-11, 0x1.247d889b6fc34p-11, 0x1.196a19adeefb5p-11, 0x1.0eb4a34a5804ep-11, 0x1.045ab01ec3982p-11, 0x1.f4b46749b434cp-12, 0x1.e162596feda74p-12, 0x1.cebacaebfc499p-12, 0x1.bcb8ee42cb318p-12, 0x1.ab57f42244556p-12, 0x1.9a934b7f8de57p-12, 0x1.8a666e5f80c73p-12, 0x1.7acc5ca5c7727p-12, 0x1.6bbf4c3e08e5dp-12, 0x1.5d38ff4bf7175p-12, 0x1.4f339e525a9acp-12, 0x1.41aa7536a7aap-12, 0x1.349a07242cc69p-12, 0x1.27ff7e7b04e7cp-12, 0x1.1bd800e9ed19cp-12, 0x1.10206ca019076p-12, 0x1.04d58f706e2adp-12, 0x1.f3e90871cb2ap-13, 0x1.def5a02e96abap-13, 0x1.cacc0e49764d8p-13, 0x1.b7664abc7f8ecp-13, 0x1.a4bc54f3d4b95p-13, 0x1.92c4d69aefc9bp-13, 0x1.8176d5d530906p-13, 0x1.70cb2b20bfb59p-13, 0x1.60bcc2a282289p-13, 0x1.5147b7fcd6b51p-13, 0x1.4268265024753p-13, 0x1.34198cbbeaeaep-13, 0x1.26570079a3ac3p-13, 0x1.191bd69cf2151p-13, 0x1.0c643fb2ceac9p-13, 0x1.002d405d78805p-13, 0x1.e8e7ae91f1a99p-14, 0x1.d267e54e3eec9p-14, 0x1.bcd04fe5302f1p-14, 0x1.a814e746f4a6fp-14, 0x1.942a9f5bc309cp-14, 0x1.8108bfba8a89ap-14, 0x1.6ea9352c459a5p-14, 0x1.5d07f164a79cfp-14, 0x1.4c2158b97a6c1p-14, 0x1.3bf085fe9dd6p-14, 0x1.2c6ea1c5a3573p-14, 0x1.1d93d7bdecbadp-14, 0x1.0f58d753de397p-14, 0x1.01b764b51ccb5p-14, 0x1.e9541fbebc1fp-15, 0x1.d05789b24d5ep-15, 0x1.b86eb73efd76fp-15, 0x1.a18ebc34f763ap-15, 0x1.8babecb365ffdp-15, 0x1.76b9ab52bdf95p-15, 0x1.62ac3830d76e3p-15, 0x1.4f7c8e8b8f7b5p-15, 0x1.3d28f2890fe1fp-15, 0x1.2bb0417cc6601p-15, 0x1.1b0d9a40cac8fp-15, 0x1.0b38f2112de8ep-15, 0x1.f852949284b0cp-16, 0x1.dba85f5db49dfp-16, 0x1.c05abb2490c7bp-16, 0x1.a652ad8de744ep-16, 0x1.8d7fb04446e4ap-16, 0x1.75d70d0d3e7f2p-16, 0x1.5f50a997d560dp-16, 0x1.49e3612607c5cp-16, 0x1.3580a3f67d923p-16, 0x1.221711442b1b3p-16, 0x1.0f9d41e980169p-16, 0x1.fc25e4049a74dp-17, 0x1.daeb83ddda5f6p-17, 0x1.bb7ae8f5e022fp-17, 0x1.9dc728f3a1575p-17, 0x1.81c8efdf27fd4p-17, 0x1.676e9b9dafad8p-17, 0x1.4e999047baf8fp-17, 0x1.372b723cbfc97p-17, 0x1.210f20feae345p-17, 0x1.0c35d0628695ep-17, 0x1.f12085f603ad7p-18, 0x1.cc1c31b8ce89fp-18, 0x1.a93be87455725p-18, 0x1.8854eae1abb98p-18, 0x1.694c79b2514e3p-18, 0x1.4c2d0fb24839bp-18, 0x1.30f9f532e66d5p-18, 0x1.178fe838ed8ep-18, 0x1.ff9cd1c5afd45p-19, 0x1.d364a9f5f7924p-19, 0x1.aa6fd1afc5c23p-19, 0x1.848fd89f0b041p-19, 0x1.6185e696aa1afp-19, 0x1.411d65b55ac36p-19, 0x1.233698dbfc471p-19, 0x1.07bfb45d51b0dp-19, 0x1.dd457a9b540acp-20, 0x1.af7ef7444277p-20, 0x1.85deb0fa0a15cp-20, 0x1.5fec005a86d84p-20, 0x1.3d304e4c73ed4p-20, 0x1.1daa166b27d3cp-20, 0x1.016c82de677f8p-20, 0x1.d06a90f1ac3eep-21, 0x1.a3aaedd3fbbecp-21, 0x1.7c97a83ac6cd6p-21, 0x1.5ae1bd602a5e4p-21, 0x1.3e0a597fcb02ep-21, 0x1.25b9e8681d0ccp-21, 0x1.11b7101c5b42ap-21, 0x1.01c50e28e0a61p-21, 0x1.eb4334404e3dfp-22, 0x1.da1c72cd7d2a9p-22, 0x1.cf95afb93c976p-22, 0x1.cb38c97b7d923p-22, 0x1.ccbbcc5822a2ep-22, 0x1.d3a8cae2273bep-22, 0x1.df68ec7e76a92p-22, 0x1.efdfbf1ee3afap-22, 0x1.02510e27c3e8fp-21, 0x1.0e757a2296479p-21, 0x1.1c45f15da8fa7p-21, 0x1.2bb6cfb1bd396p-21, 0x1.3c9d9722ab93p-21, 0x1.4ed2db92125bp-21, 0x1.6235470a6187bp-21, 0x1.76a543a5ed6edp-21, 0x1.8c08c3e8d1dd7p-21, 0x1.a248f8b0aa58p-21, 0x1.b94a97b4433dp-21, 0x1.d0ef0284cff2dp-21, 0x1.e91b775b7a45dp-21, 0x1.00dce480ab52ep-20, 0x1.0d5a6f3499c69p-20, 0x1.19fd4e3db3e4ep-20, 0x1.26bcec3257d54p-20, 0x1.338fbca576181p-20, 0x1.406dd85579177p-20, 0x1.4d4e1e6a64645p-20, 0x1.5a272a773eaf9p-20, 0x1.66f0e0380094cp-20, 0x1.73a3cc4ff4ebap-20, 0x1.803ab18b4e724p-20, 0x1.8cb2da50bdb76p-20, 0x1.9908d4d00a93bp-20, 0x1.a53656355769p-20, 0x1.b135a0ce5bdddp-20, 0x1.bd03cc7f4bb0bp-20, 0x1.c89b6f75085e3p-20, 0x1.d3f4c1617735ap-20, 0x1.df0d0e8341cb4p-20, 0x1.e9dcd263cdcdep-20, 0x1.f45bd1140469bp-20, 0x1.fe9a795f6f115p-20, 0x1.044c80274847ap-19, 0x1.092bd69e438c8p-19, 0x1.0de49c59ddc84p-19, 0x1.1272b368bc41cp-19, 0x1.16d9d503700adp-19, 0x1.1b1a5975ddc1cp-19, 0x1.1f326e19fe03cp-19, 0x1.231fd492186fp-19, 0x1.26e021ad4dd3bp-19, 0x1.2a717a043a872p-19, 0x1.2dd4a459b1ffp-19, 0x1.310e8ff6812f1p-19, 0x1.3423d8ac2c7e4p-19, 0x1.3711bbb87ebd1p-19, 0x1.39d3c6da8d526p-19, 0x1.3c6dc6aaae3c8p-19, 0x1.3edf918886c23p-19, 0x1.411b944b78bccp-19, 0x1.4327c07e254d3p-19, 0x1.450fba5896046p-19, 0x1.46d54742a9959p-19, 0x1.486f2f272ae8ap-19, 0x1.49dec79f075d3p-19, 0x1.4b28eb115885dp-19, 0x1.4c4d572a8bc98p-19, 0x1.4d4b59cbffa0bp-19, 0x1.4e22d0729a338p-19, 0x1.4ed3e88be7584p-19, 0x1.4f5f19186299ap-19, 0x1.4fc537f5107e1p-19, 0x1.50075a34802efp-19, 0x1.50265e1588fa5p-19, 0x1.502224357801cp-19, 0x1.4ff8f9fc73648p-19, 0x1.4fa99e20f106ep-19, 0x1.4f384e8dba355p-19, 0x1.4eab3bdf6eb14p-19, 0x1.4dfba549269ddp-19, 0x1.4d2941ab14b6bp-19, 0x1.4c41fd8eb21eep-19, 0x1.4b3eddb9c26a1p-19, 0x1.4a14ed3246544p-19, 0x1.48cd7670844dep-19, 0x1.476d53930aa71p-19, 0x1.45f4689545b15p-19, 0x1.4462484719851p-19, 0x1.42b6f6056bba1p-19, 0x1.40f2bf94fe963p-19, 0x1.3f161e3a85217p-19, 0x1.3d21b8a1c2051p-19, 0x1.3b16646b59b6bp-19, 0x1.38f514f98487p-19, 0x1.36bec55044fb9p-19, 0x1.34745244682dap-19, 0x1.321631850d757p-19, 0x1.2fa49c85991f8p-19, 0x1.2d207fbdf4746p-19, 0x1.2a8b982b0e6fcp-19, 0x1.27e423bed14bp-19, 0x1.2527abe463addp-19, 0x1.225d5b178433p-19, 0x1.1f81c5396e94ap-19, 0x1.1c96fa2ece22cp-19, 0x1.19a0742900dc7p-19, 0x1.169ef8dd00e38p-19, 0x1.138f496bb9954p-19, 0x1.1070ac1ea5544p-19, 0x1.0d4669dbff626p-19, 0x1.0a11ef4f09ef5p-19, 0x1.06d358f171c64p-19, 0x1.038ac48781f86p-19, 0x1.00388fe1b477p-19, 0x1.f9ba821562fffp-20, 0x1.f2f2d95833bf7p-20, 0x1.ec1b56a5f007p-20, }}, 
      {{-0x1.67853dbe2809ap-4, 0x1.55232cc96f7e7p-4, 0x1.341b260749394p-2, 0x1.0ffef124c2de1p-1, 0x1.81a7e7b1f6b9bp-1, 0x1.e8ae11247c177p-1, 0x1.20e07a15a81bdp+0, 0x1.45cc648892054p+0, 0x1.63205d810bf74p+0, 0x1.794b8ce390929p+0, 0x1.88fa1bff2b0c5p+0, 0x1.92f68b16db9a3p+0, 0x1.9815046b88978p+0, 0x1.9925d68cb92ccp+0, 0x1.96ed04b96516ap+0, 0x1.921d6ad633c4ep+0, 0x1.8b565bc7f29c2p+0, 0x1.8322ed5e1fddfp+0, 0x1.79fa5e8c24cebp+0, 0x1.70412e40235p+0, 0x1.664a987abaf36p+0, 0x1.5c5a4613d1695p+0, 0x1.52a60c6b5d77ep+0, 0x1.4957a64f14ca6p+0, 0x1.408e57bdbd286p+0, 0x1.386073eb70dd5p+0, 0x1.30dcc0e608246p+0, 0x1.2a0bb7194a465p+0, 0x1.23f09d03d6b5fp+0, 0x1.1e8a80bf3dc85p+0, 0x1.19d511ad03537p+0, 0x1.15c95ce0b9e07p+0, 0x1.125e6ef0c7f0ep+0, 0x1.0f89ddcf748c1p+0, 0x1.0d403d36dccc2p+0, 0x1.0b7580132fb0bp+0, 0x1.0a1d492ce89fdp+0, 0x1.092b2d2ce0065p+0, 0x1.0892e7e249e4fp+0, 0x1.0848868b6a41fp+0, 0x1.084088a779993p+0, 0x1.086ff8bc04652p+0, 0x1.08cc7e4e667e9p+0, 0x1.094c6a2799643p+0, 0x1.09e6bdc387017p+0, 0x1.0a932ee127ddcp+0, 0x1.0b4a27daf55abp+0, 0x1.0c04c55b76e6ep+0, 0x1.0cbcd21e4530ap+0, 0x1.0d6cc10ccd6efp+0, 0x1.0e0fa6311e0c3p+0, 0x1.0ea12ed64fbc9p+0, 0x1.0f1d99090c297p+0, 0x1.0f81aaca65be8p+0, 0x1.0fcaa9131b138p+0, 0x1.0ff64ed664bp+0, 0x1.1002c41de63fcp+0, 0x1.0fee95550197dp+0, 0x1.0fb8aad414a96p+0, 0x1.0f6040b82e10bp+0, 0x1.0ee4df10ec099p+0, 0x1.0e46526b35bcfp+0, 0x1.0d84a4bd78f68p+0, 0x1.0ca016b7fff96p+0, 0x1.0b99197bbd47ap+0, 0x1.0a7048b91d95bp+0, 0x1.0926653757c29p+0, 0x1.07bc4fc347d6dp+0, 0x1.06330481ea48dp+0, 0x1.048b96a23c822p+0, 0x1.02c72c6888202p+0, 0x1.00e6fb8f465fap+0, 0x1.fdd88bf329d07p-1, 0x1.f9b0ad69bf5aep-1, 0x1.f558fe8bdae09p-1, 0x1.f0d42a7abe5cp-1, 0x1.ec24e01b05614p-1, 0x1.e74dce383269p-1, 0x1.e251a01391c92p-1, 0x1.dd32fa57aff04p-1, 0x1.d7f478689da8bp-1, 0x1.d298aa0f03c51p-1, 0x1.cd2211782c75ep-1, 0x1.c793218796694p-1, 0x1.c1ee3c71e7c02p-1, 0x1.bc35b2993d2a3p-1, 0x1.b66bc1a25814p-1, 0x1.b09293b99394bp-1, 0x1.aaac3f02e2af2p-1, 0x1.a4bac52f5f1f8p-1, 0x1.9ec0133641dadp-1, 0x1.98be0130990ffp-1, 0x1.92b65252fe78cp-1, 0x1.8caab50772d9dp-1, 0x1.869cc31e7220fp-1, 0x1.808e02188a356p-1, 0x1.7a7fe3803dc43p-1, 0x1.7473c5518d13fp-1, 0x1.6e6af26d239f9p-1, 0x1.6866a3108e18dp-1, 0x1.6267fd57f679cp-1, 0x1.5c7015c10a7edp-1, 0x1.567fefb663992p-1, 0x1.50987e1b87efp-1, 0x1.4abaa3df31bedp-1, 0x1.44e7348f0d081p-1, 0x1.3f1ef4eda9093p-1, 0x1.39629b89e70c3p-1, 0x1.33b2d155110e5p-1, 0x1.2e103238e681ep-1, 0x1.287b4da988dfbp-1, 0x1.22f4a736b92d6p-1, 0x1.1d7cb716d3162p-1, 0x1.1813eaafd7b1ap-1, 0x1.12baa51c2a24bp-1, 0x1.0d713fa979fa4p-1, 0x1.08380a56a2bf1p-1, 0x1.030f4c4b25574p-1, 0x1.fbee8897069b3p-2, 0x1.f1e05255ced82p-2, 0x1.e7f4546f0a1ap-2, 0x1.de2adf477b619p-2, 0x1.d48435d80421cp-2, 0x1.cb008e713b218p-2, 0x1.c1a013757a019p-2, 0x1.b862e40db8caep-2, 0x1.af4914d761ce3p-2, 0x1.a652b086886fcp-2, 0x1.9d7fb883c73dfp-2, 0x1.94d025848a6d4p-2, 0x1.8c43e81811402p-2, 0x1.83dae92eccep-2, 0x1.7b950a9dd4e5ap-2, 0x1.7372279a2ed99p-2, 0x1.6b72152c3a7aap-2, 0x1.6394a29edbbe2p-2, 0x1.5bd999eb05b3ap-2, 0x1.5440c01b9b71cp-2, 0x1.4cc9d5aa389d6p-2, 0x1.457496da7214p-2, 0x1.3e40bc1133be9p-2, 0x1.372dfa23d76aep-2, 0x1.303c02a333dbfp-2, 0x1.296a84259dd05p-2, 0x1.22b92a8c18434p-2, 0x1.1c279f418b798p-2, 0x1.15b58976b7fd4p-2, 0x1.0f628e5c5a0c2p-2, 0x1.092e515a77576p-2, 0x1.03187442cc99ep-2, 0x1.fa412efe366b7p-3, 0x1.ee8cb47d78aebp-3, 0x1.e312b545d7205p-3, 0x1.d7d26bcc7f945p-3, 0x1.cccb1100afa6p-3, 0x1.c1fbdc92caf4ep-3, 0x1.b7640539a5581p-3, 0x1.ad02c0f05228dp-3, 0x1.a2d7452e1d18dp-3, 0x1.98e0c71cccfbep-3, 0x1.8f1e7bccf83b9p-3, 0x1.858f9866cd886p-3, 0x1.7c335256dbcc7p-3, 0x1.7308df76d95f6p-3, 0x1.6a0f7633d31fcp-3, 0x1.61464db3db1fcp-3, 0x1.58ac9df9f1711p-3, 0x1.5041a005353d1p-3, 0x1.48048dec5a9aep-3, 0x1.3ff4a2f91f84dp-3, 0x1.38111bc3e7817p-3, 0x1.3059364c18f2ep-3, 0x1.28cc320c94ebfp-3, 0x1.2169500ef5001p-3, 0x1.1a2fd2fedb8bep-3, 0x1.131eff3c004bap-3, 0x1.0c361ae9fccdp-3, 0x1.05746dfe56842p-3, 0x1.fdb2849aad8d9p-4, 0x1.f0c7c72b43702p-4, 0x1.e4273f1631c5bp-4, 0x1.d7cf8bc2b31a9p-4, 0x1.cbbf50a9e0a1dp-4, 0x1.bff53564d3294p-4, 0x1.b46fe5b82245bp-4, 0x1.a92e11a02f90dp-4, 0x1.9e2e6d5e17452p-4, 0x1.936fb1819fb84p-4, 0x1.88f09aeea58e1p-4, 0x1.7eafeae0fcfap-4, 0x1.74ac66f1dd97ep-4, 0x1.6ae4d91dc36edp-4, 0x1.61580fc774ffdp-4, 0x1.5804ddb79d69ep-4, 0x1.4eea1a1bb9188p-4, 0x1.4606a0864732dp-4, 0x1.3d5950eeec71p-4, 0x1.34e10fb02c1abp-4, 0x1.2c9cc582d2cdfp-4, 0x1.248b5f795fde1p-4, 0x1.1cabcefc8311bp-4, 0x1.14fd09c73ada6p-4, 0x1.0d7e09e0ce063p-4, 0x1.062dcd94f3f3cp-4, 0x1.fe16aed87bbbdp-5, 0x1.f02b5c4b99fdfp-5, 0x1.e297b96229b06p-5, 0x1.d559e44b6e725p-5, 0x1.c8700372f13f1p-5, 0x1.bbd8456c08c67p-5, 0x1.af90e0e020c01p-5, 0x1.a398147eca4acp-5, 0x1.97ec26ebf0405p-5, 0x1.8c8b66aa1477fp-5, 0x1.81742a0272b5cp-5, 0x1.76a4ceee923a4p-5, 0x1.6c1bbb04a94cap-5, 0x1.61d75b64ade17p-5, 0x1.57d624a311e04p-5, 0x1.4e1692b0508b5p-5, 0x1.449728bf84342p-5, 0x1.3b56712ee3982p-5, 0x1.3252fd72c8bdep-5, 0x1.298b660114b58p-5, 0x1.20fe4a3a6c028p-5, 0x1.18aa5050c9d99p-5, 0x1.108e252d620afp-5, 0x1.08a87c58470a7p-5, 0x1.00f80fe291076p-5, 0x1.f2f740a2e66d7p-6, 0x1.e463e90f843fep-6, 0x1.d633b359f5398p-6, 0x1.c8644625ff0b8p-6, 0x1.baf35439b3f38p-6, 0x1.adde9c4ff2987p-6, 0x1.a123e8eea0ce2p-6, 0x1.94c1103cae0e3p-6, 0x1.88b3f3d43ee32p-6, 0x1.7cfa8090986d3p-6, 0x1.7192ae5b0d2adp-6, 0x1.667a7ffae1bcfp-6, 0x1.5bb002ea1a744p-6, 0x1.51314f2d8a08cp-6, 0x1.46fc872c5ed73p-6, 0x1.3d0fd7841d533p-6, 0x1.336976d8f4aep-6, 0x1.2a07a5a505facp-6, 0x1.20e8ae0a76443p-6, 0x1.180ae3aa3e7f8p-6, 0x1.0f6ca37e9823dp-6, 0x1.070c53b587505p-6, 0x1.fdd0c71082aa5p-7, 0x1.edfe961d785fep-7, 0x1.de9f1622fcf88p-7, 0x1.cfaf59bb3f0dcp-7, 0x1.c12c843b94672p-7, 0x1.b313c96ff7454p-7, 0x1.a5626d5944c58p-7, 0x1.9815c3e5c39a1p-7, 0x1.8b2b309f23a2ep-7, 0x1.7ea026511028bp-7, 0x1.727226b139ddfp-7, 0x1.669ec212d5d74p-7, 0x1.5b23972977504p-7, 0x1.4ffe52d6086aep-7, 0x1.452caff1aa946p-7, 0x1.3aac770aae8a4p-7, 0x1.307b7e0f44d9cp-7, 0x1.2697a7edceef7p-7, 0x1.1cfee43a93a9cp-7, 0x1.13af2eeb12b3cp-7, 0x1.0aa6902be9935p-7, 0x1.01e31c488343cp-7, 0x1.f2c5e71f4236p-8, 0x1.e248843ec5772p-8, 0x1.d24a7f1db7f3ep-8, 0x1.c2c85cfc37765p-8, 0x1.b3beb84bdc934p-8, 0x1.a52a400a36d45p-8, 0x1.9707b77a3f07ep-8, 0x1.8953f63321182p-8, 0x1.7c0be84c4325p-8, 0x1.6f2c8e5916395p-8, 0x1.62b2fcf6dbdafp-8, 0x1.569c5be09eef9p-8, 0x1.4ae5e4bb012cbp-8, 0x1.3f8ce1f5ba086p-8, 0x1.348eae226eec6p-8, 0x1.29e8b3f16aba4p-8, 0x1.1f986eb9d7b32p-8, 0x1.159b6b2d65f1fp-8, 0x1.0bef47ba0c844p-8, 0x1.0291b436dcf5p-8, 0x1.f300e1862c4dp-9, 0x1.e1729837566e2p-9, 0x1.d07443e7c7bffp-9, 0x1.c001b3d5ea15fp-9, 0x1.b016cf010880ep-9, 0x1.a0af95fed1a0cp-9, 0x1.91c825d1a7d1cp-9, 0x1.835cba56ce4bp-9, 0x1.7569aef7a4a24p-9, 0x1.67eb7ceac02a7p-9, 0x1.5adeb747b108bp-9, 0x1.4e400620dc063p-9, 0x1.420c225f7bcbfp-9, 0x1.363fd3f2be73cp-9, 0x1.2ad7f3027d3ap-9, 0x1.1fd16b9ed0201p-9, 0x1.1529425e243bbp-9, 0x1.0adc97f6962c9p-9, 0x1.00e8aa35b99fcp-9, 0x1.ee95a341841f8p-10, 0x1.dc00f86fbc27cp-10, 0x1.ca0e4dea108eap-10, 0x1.b8b8b08a62741p-10, 0x1.a7fb3b10ac424p-10, 0x1.97d119173baa5p-10, 0x1.883590bab4339p-10, 0x1.79240f2348834p-10, 0x1.6a98333336a14p-10, 0x1.5c8dd27bd4228p-10, 0x1.4f00f68592c06p-10, 0x1.41edd2ba29d03p-10, 0x1.3550b59066619p-10, 0x1.2925f988b2cf6p-10, 0x1.1d69fb352f17dp-10, 0x1.1219180df908p-10, 0x1.072fb6618cb77p-10, 0x1.f954a5ead699p-11, 0x1.e50b1e2e3d9dcp-11, 0x1.d17c750af2609p-11, 0x1.bea2ad60d25bcp-11, 0x1.ac782560d1fe5p-11, 0x1.9af78128b9656p-11, 0x1.8a1b8c33f55e4p-11, 0x1.79df19ea1b00fp-11, 0x1.6a3cf06551eb4p-11, 0x1.5b2fc613248a1p-11, 0x1.4cb2529b2865ep-11, 0x1.3ebf6a5d15692p-11, 0x1.31521893a153cp-11, 0x1.2465b06def385p-11, 0x1.17f5d430fda53p-11, 0x1.0bfe7420165d7p-11, 0x1.007bc4bbf1c6bp-11, 0x1.ead454a2ce0acp-12, 0x1.d58c37ca49c02p-12, 0x1.c1180e9e2d4b4p-12, 0x1.ad70876c22e28p-12, 0x1.9a8e31ad7515fp-12, 0x1.8869a95d89cf5p-12, 0x1.76fbc29fbee92p-12, 0x1.663da1b928681p-12, 0x1.5628c2ad643ep-12, 0x1.46b70175c2c66p-12, 0x1.37e2a9ce5bcf7p-12, 0x1.29a67ff64c7d4p-12, 0x1.1bfdac78e93ecp-12, 0x1.0ee3880d17895p-12, 0x1.02536196768eep-12, 0x1.ec90c3a7d02efp-13, 0x1.d57b344c979e8p-13, 0x1.bf5c52e00e4a7p-13, 0x1.aa2aa70ca9819p-13, 0x1.95dcf5ee5b2ap-13, 0x1.826a1f6e4babdp-13, 0x1.6fc929469633fp-13, 0x1.5df18f8154b75p-13, 0x1.4cdba4f09c05ap-13, 0x1.3c80af3b096fap-13, 0x1.2cda9cb12406dp-13, 0x1.1de38847e7ffbp-13, 0x1.0f9566f5b4583p-13, 0x1.01ea0d7e853d1p-13, 0x1.e9b6da87ec2dfp-14, 0x1.d0c776436c163p-14, 0x1.b8fa9a831cd47p-14, 0x1.a2448fa6b2eap-14, 0x1.8c98dd6dfdd37p-14, 0x1.77eac01235a43p-14, 0x1.642e3b945c546p-14, 0x1.51590019aafaep-14, 0x1.3f627564bbc53p-14, 0x1.2e42fc4118d58p-14, 0x1.1df313d85d841p-14, 0x1.0e6b065fa6a32p-14, 0x1.ff465b72036a6p-15, 0x1.e328cbf22c3e6p-15, 0x1.c8705f0411a9ap-15, 0x1.af107bc58fc63p-15, 0x1.96fb5b5c9fbc2p-15, 0x1.8021210e275cfp-15, 0x1.6a70ad016011fp-15, 0x1.55d9ad7f4c718p-15, 0x1.424e5936b9da4p-15, 0x1.2fc3ae3690141p-15, 0x1.1e30514ca9c11p-15, 0x1.0d8b17a8307e9p-15, 0x1.fb948e224efe8p-16, 0x1.ddc79ddedb1f6p-16, 0x1.c19c245cd838dp-16, 0x1.a701421e842e7p-16, 0x1.8de8629d26947p-16, 0x1.76433c41ebabfp-16, 0x1.600163234003fp-16, 0x1.4b0fa7c9d1b4ap-16, 0x1.3759dc3904fd7p-16, 0x1.24cd59d737d82p-16, 0x1.135a8b723f1c2p-16, 0x1.02f54605dd5p-16, 0x1.e728071d0c08ap-17, 0x1.ca5bfe732cd6dp-17, 0x1.af724db989581p-17, 0x1.9652ae353df59p-17, 0x1.7ee2f2fae7efap-17, 0x1.690a7fdb4201bp-17, 0x1.54b39e9b56719p-17, 0x1.41cae5a06b695p-17, 0x1.303e36dd52397p-17, 0x1.1ffbb064600b8p-17, 0x1.10f11bf78324p-17, 0x1.030bc1e465dap-17, 0x1.ec706e4bda2e2p-18, 0x1.d4c8f186e849fp-18, 0x1.bf087c59ddb1bp-18, 0x1.ab22d814a18fcp-18, 0x1.990d6e909d369p-18, 0x1.88b5b4cce790cp-18, 0x1.7a02983eda32fp-18, 0x1.6cd95605c6a9bp-18, 0x1.611c6440bd6f9p-18, 0x1.56aadc7a3e193p-18, 0x1.4d6643362f765p-18, 0x1.4537acda4ebe9p-18, 0x1.3e0eca8edf583p-18, 0x1.37de5ce6ff33ep-18, 0x1.32984ab28eaebp-18, 0x1.2e28ff2f6e59p-18, 0x1.2a7a6bfe02fccp-18, 0x1.277fa0ed0c8f4p-18, 0x1.2535a78a0ce9dp-18, 0x1.23974ddebe2b3p-18, 0x1.2299629575c86p-18, 0x1.2232edce3335ep-18, 0x1.225e0f86c9438p-18, 0x1.230f92daec623p-18, 0x1.2435bc37cf9aep-18, 0x1.25bf595f2f964p-18, 0x1.27a05d6331f3dp-18, 0x1.29d030be81f85p-18, 0x1.2c46169114791p-18, 0x1.2ef8dbf46575ep-18, 0x1.31deee784ed57p-18, 0x1.34ecd8aa5f265p-18, 0x1.381b9b7e0a938p-18, 0x1.3b6dfe98bf057p-18, 0x1.3ee4dbc931b03p-18, 0x1.42773a9a520f2p-18, 0x1.461d10f1af599p-18, 0x1.49d5e8719a66dp-18, 0x1.4da126e17792ap-18, 0x1.51795eb8da9eap-18, 0x1.5557313dbcef3p-18, 0x1.5934a4fa9e258p-18, 0x1.5d0e7339f4dc8p-18, 0x1.60e320bcdf691p-18, 0x1.64b0b5a04684ep-18, 0x1.6874079f187p-18, 0x1.6c2937a952ec7p-18, 0x1.6fc9bd0cdfcfdp-18, 0x1.734f49f42e8dap-18, 0x1.76bae5f476226p-18, 0x1.7a0ed351113e7p-18, 0x1.7d48194839838p-18, 0x1.806505f31cf81p-18, 0x1.8366af2eb1a85p-18, 0x1.864bd3dece4fp-18, 0x1.8911ce6fdb2b5p-18, 0x1.8bb73685d2108p-18, 0x1.8e3b9207b6b3bp-18, 0x1.909e4d04b8b92p-18, 0x1.92dea919c1a53p-18, 0x1.94fc05c36ab2cp-18, 0x1.96f5b8473dffcp-18, 0x1.98cb42cc63a78p-18, 0x1.9a7cd55683b7p-18, 0x1.9c09f43fd9c1cp-18, 0x1.9d71a8d4189d3p-18, 0x1.9eb4d2930cd91p-18, 0x1.9fd3240140458p-18, 0x1.a0caffe32f976p-18, 0x1.a19cfe1c48c4ep-18, 0x1.a24a0609df804p-18, 0x1.a2d2195f31de5p-18, 0x1.a3355211eef15p-18, 0x1.a373f4f834f4bp-18, 0x1.a38e509ff4a02p-18, 0x1.a384d9e65f973p-18, 0x1.a3581b16e0098p-18, 0x1.a3087a45341d6p-18, 0x1.a29641d37cd5dp-18, 0x1.a201d5d1eccfep-18, 0x1.a14bb90bc8a2fp-18, 0x1.a0747322d40aep-18, 0x1.9f7c9e8693175p-18, 0x1.9e64d88e7ca85p-18, 0x1.9d2dac7556667p-18, 0x1.9bd7b9651dc1dp-18, 0x1.9a6388f648b6bp-18, 0x1.98d19d53eec44p-18, 0x1.972286ed0054fp-18, 0x1.9556db624a933p-18, 0x1.936f4bd828957p-18, 0x1.916ca9a0feb86p-18, 0x1.8f4fb7bd4a72bp-18, 0x1.8d190c7420d01p-18, 0x1.8ac9410a2f7adp-18, 0x1.88611221a4e31p-18, 0x1.85e114d0eb3a6p-18, 0x1.8349b9093c283p-18, 0x1.809bb17b50891p-18, 0x1.7dd7681f33448p-18, 0x1.7afd3c7ee6b86p-18, 0x1.780ee445afdf6p-18, 0x1.750d28b54c46dp-18, 0x1.71f8cedcbc957p-18, 0x1.6ed1dd4951266p-18, 0x1.6b989ec652435p-18, 0x1.684e305fc93fbp-18, 0x1.64f34d378cc88p-18, 0x1.61887186ad51p-18, 0x1.5e0e0aa3c8854p-18, 0x1.5a847db04b06dp-18, 0x1.56ec3b801c32ep-18, 0x1.5345f88590cccp-18, 0x1.4f92d5bfae02cp-18, 0x1.4bd3e6eac8c6bp-18, 0x1.4809740556538p-18, 0x1.4433944490991p-18, 0x1.40533aadc15efp-18, 0x1.3c68ea4273f55p-18, 0x1.3873b939d0c8p-18, 0x1.3474cc049088ep-18, 0x1.306dd97a6e38ap-18, 0x1.2c5f8a3f5c14ep-18, 0x1.28495fc8f80a1p-18, 0x1.242bf2c6e3d2cp-18, 0x1.20083480f5757p-18, 0x1.1bde8b3395b06p-18, 0x1.17af4edd20259p-18, 0x1.137ae374654aep-18, 0x1.0f41b24af3fb1p-18, 0x1.0b04297edcbdap-18, 0x1.06c2be3e751cp-18, 0x1.027de97b1b52dp-18, 0x1.fc6c3759ccd8fp-19, 0x1.f3d750afdd775p-19, 0x1.eb3d6db3a598p-19, 0x1.e29eefc5385bp-19, 0x1.d9fd542c4f147p-19, 0x1.d15a781c63517p-19, 0x1.c8b58c5febf37p-19, 0x1.c00f13495b916p-19, 0x1.b76a70fe89828p-19, 0x1.aec6bd0d6b1fep-19, 0x1.a6223d3001dd1p-19, 0x1.9d7f54c4a65dep-19, 0x1.94df7a8683dfep-19, 0x1.8c431dea5ec44p-19, 0x1.83aa99ad5b368p-19, 0x1.7b165b7da76cfp-19, 0x1.7286dc4b9ccaep-19, 0x1.69fc9a1b9e846p-19, 0x1.617818a0b569cp-19, 0x1.58f9e1b4e5f7ep-19, 0x1.508281e332187p-19, 0x1.481283daecaep-19, 0x1.3faa68bc7a123p-19, 0x1.374a992ee12ccp-19, 0x1.2ef36e27158dap-19, 0x1.26a561ef828aap-19, 0x1.1e61167447e3p-19, 0x1.162674d460b0dp-19, 0x1.0df53e219367dp-19, 0x1.05cf2789dd0a6p-19, 0x1.fb6775a11e174p-20, 0x1.eb47387df45dep-20, 0x1.db3f7242b6bfdp-20, 0x1.cb50dd05b8605p-20, 0x1.bb7a892c4d6f9p-20, 0x1.abbc89f05f64cp-20, 0x1.9c18915d5c9c8p-20, 0x1.8c8f8a58b381dp-20, 0x1.7d21d1eb9d512p-20, 0x1.6dcfc16d671a5p-20, 0x1.5e99c885c5f09p-20, 0x1.4f80639ba34ecp-20, 0x1.408411580caddp-20, 0x1.31a54e38fa7ddp-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.50fdcafa47c74p-1, -0x1.51359d6d4ea27p-1, -0x1.518f50a223883p-1, -0x1.5206282954a34p-1, -0x1.5293f65209fd3p-1, -0x1.53316fc86e6fp-1, -0x1.53d67e63484aep-1, -0x1.547a8e64b6afcp-1, -0x1.5514d3931a9b1p-1, -0x1.559c84fcbcb2p-1, -0x1.56090f251bf68p-1, -0x1.56523ced6c1c5p-1, -0x1.567057df5b1e2p-1, -0x1.565c40ae6617ap-1, -0x1.560f80d6c8f63p-1, -0x1.55845643167b1p-1, -0x1.54b5b9d91ac72p-1, -0x1.539f61c00b412p-1, -0x1.523dc02005823p-1, -0x1.508dff075778dp-1, -0x1.4e8dfa0e28dcfp-1, -0x1.4c3c363dc6f88p-1, -0x1.4997d8ae71346p-1, -0x1.46a09c3d828ffp-1, -0x1.4356c6ae46662p-1, -0x1.3fbb1d79dee0bp-1, -0x1.3bceda8642411p-1, -0x1.3793a0f18e91p-1, -0x1.330b72158d5bbp-1, -0x1.2e38a2df4d333p-1, -0x1.291dd18fe7d44p-1, -0x1.23bddbf5ded7bp-1, -0x1.1e1bd629c58ddp-1, -0x1.183b01d50a7d7p-1, -0x1.121ec6069922ap-1, -0x1.0bcaa79677bcep-1, -0x1.05424217974f3p-1, -0x1.fd1282aad9f8fp-2, -0x1.ef46b6b38a874p-2, -0x1.e12895eca7578p-2, -0x1.d2bf9599bf353p-2, -0x1.c41321a0e8b11p-2, -0x1.b52a94736ae63p-2, -0x1.a60d2fd08448p-2, -0x1.96c21656116ebp-2, -0x1.875045d2d0fd7p-2, -0x1.77be924e224d5p-2, -0x1.6813a1b95773p-2, -0x1.5855e83f06c87p-2, -0x1.488ba52512763p-2, -0x1.38bae0369569dp-2, -0x1.28e967ab3dff2p-2, -0x1.191cce8218e55p-2, -0x1.095a6b4642038p-2, -0x1.f34eae68c4509p-3, -0x1.d410db70ac5cap-3, -0x1.b5049875b24bap-3, -0x1.9632a46edeb7ep-3, -0x1.77a34326a2c7dp-3, -0x1.595e3e5cf5fe5p-3, -0x1.3b6ae750f0fddp-3, -0x1.1dd018a5cd067p-3, -0x1.00943898255dep-3, -0x1.c77a76f1ffa4cp-4, -0x1.8ea14cc9cf6dbp-4, -0x1.56a7245c43f66p-4, -0x1.1f955ce357aa9p-4, -0x1.d2e9133d78978p-5, -0x1.6898f0f8b0f8ap-5, -0x1.004871d84772ap-5, -0x1.34088b4e68a2ep-6, -0x1.aebdd961dc562p-8, 0x1.61998d76a9179p-8, 0x1.18279361da53fp-6, 0x1.d385186055f8dp-6, 0x1.453921090a2ap-5, 0x1.9e724ababee64p-5, 0x1.f569d8b3c562ap-5, 0x1.250e4cec29f7fp-4, 0x1.4e4427a58198cp-4, 0x1.7655cfbf7d652p-4, 0x1.9d4304cce20a3p-4, 0x1.c30bec94f176dp-4, 0x1.e7b10d1b4173ap-4, 0x1.0599a36ae5e5ep-3, 0x1.16c9e78941a3p-3, 0x1.276a1546c2eeap-3, 0x1.377b141c31a72p-3, 0x1.46fdee19833e4p-3, 0x1.55f3cd7b261d2p-3, 0x1.645dfa580cdc7p-3, 0x1.723dd86867b74p-3, 0x1.7f94e4e4b363ep-3, 0x1.8c64b47cda767p-3, 0x1.98aef166fd1dfp-3, 0x1.a475598566b95p-3, 0x1.afb9bca33a857p-3, 0x1.ba7dfac7382e2p-3, 0x1.c4c4029c13708p-3, 0x1.ce8dcfedb4298p-3, 0x1.d7dd6a3aba53ep-3, 0x1.e0b4e359a963bp-3, 0x1.e9165630fb3ep-3, 0x1.f103e5817d59dp-3, 0x1.f87fbac23e70dp-3, 0x1.ff8c050d621b6p-3, 0x1.03157c0e91b14p-2, 0x1.062f65ac31c64p-2, 0x1.0914dc7708dabp-2, 0x1.0bc6fe7f60b6ap-2, 0x1.0e46ea69ea56cp-2, 0x1.1095bf11c34ap-2, 0x1.12b49b30a2e16p-2, 0x1.14a49d0ce077dp-2, 0x1.1666e22d06bc9p-2, 0x1.17fc8710ab6e3p-2, 0x1.1966a6ee48ad4p-2, 0x1.1aa65b75ce733p-2, 0x1.1bbcbc97b1afcp-2, 0x1.1caae05035c26p-2, 0x1.1d71da76b6b2p-2, 0x1.1e12bc90b934fp-2, 0x1.1e8e95a889feap-2, 0x1.1ee672273aa1dp-2, 0x1.1f1b5bb1c1f82p-2, 0x1.1f2e59091ce0bp-2, 0x1.1f206ded35477p-2, 0x1.1ef29b026cb67p-2, 0x1.1ea5ddb99ee7ap-2, 0x1.1e3b303a73df8p-2, 0x1.1db3894fe41a1p-2, 0x1.1d0fdc56bf4a1p-2, 0x1.1c51192e2412cp-2, 0x1.1b782c29be139p-2, 0x1.1a85fe05b3d67p-2, 0x1.197b73dc26ba1p-2, 0x1.18596f1c2c35fp-2, 0x1.1720cd8226f6cp-2, 0x1.15d269116b971p-2, 0x1.146f180f1a878p-2, 0x1.12f7acfe17d5bp-2, 0x1.116cf69c1482ep-2, 0x1.0fcfbfdf94bd1p-2, 0x1.0e20cff6e0f3ep-2, 0x1.0c60ea47d658bp-2, 0x1.0a90ce708370bp-2, 0x1.08b13848893ecp-2, 0x1.06c2dfe331a01p-2, 0x1.04c679922daa9p-2, 0x1.02bcb5e8f3b11p-2, 0x1.00a641c0b1ef6p-2, 0x1.fd078c799a22ep-3, 0x1.f8abd19fbf2f7p-3, 0x1.f43a96826e08ap-3, 0x1.efb5176578af7p-3, 0x1.eb1c894ea234cp-3, 0x1.e6721a131264bp-3, 0x1.e1b6f0658bd71p-3, 0x1.dcec2be55570ap-3, 0x1.d812e52dc3fadp-3, 0x1.d32c2de6620ffp-3, 0x1.ce3910d3a8494p-3, 0x1.c93a91e83ce23p-3, 0x1.c431ae56b66bep-3, 0x1.bf1f5ca3cd54fp-3, 0x1.ba048cb909783p-3, 0x1.b4e227f7ca441p-3, 0x1.afb9114cbcd6ap-3, 0x1.aa8a2543a0616p-3, 0x1.a5563a1b6a6efp-3, 0x1.a01e1fdab0a4dp-3, 0x1.9ae2a0645f0c9p-3, 0x1.95a47f8cb0552p-3, 0x1.90647b2e672bap-3, 0x1.8b234b4038d65p-3, 0x1.85e1a1ea70fbdp-3, 0x1.80a02b9cc78e1p-3, 0x1.7b5f8f245740ep-3, 0x1.76206dc1c29e9p-3, 0x1.70e3633f79a9p-3, 0x1.6ba906081739dp-3, 0x1.6671e73cdeeebp-3, 0x1.613e92cc4f50ap-3, 0x1.5c0f8f88c04bcp-3, 0x1.56e55f3f1967p-3, 0x1.51c07ecd86397p-3, 0x1.4ca1663a3e399p-3, 0x1.478888ca4907bp-3, 0x1.4276551841d7cp-3, 0x1.3d6b352b1bbb5p-3, 0x1.38678e8cde01dp-3, 0x1.336bc261560a7p-3, 0x1.2e782d7cbe878p-3, 0x1.298d287a53682p-3, 0x1.24ab07d2da52cp-3, 0x1.1fd21bf30e187p-3, 0x1.1b02b151f50bbp-3, 0x1.163d1087215a5p-3, 0x1.11817e60cb944p-3, 0x1.0cd03bf9d491p-3, 0x1.082986cfa1831p-3, 0x1.038d98d7d4dbbp-3, 0x1.fdf9512bbd703p-4, 0x1.f4edd260cef9bp-4, 0x1.ebf9150d15e1p-4, 0x1.e31b7289ceb81p-4, 0x1.da553df5015f7p-4, 0x1.d1a6c45addc3p-4, 0x1.c9104cdeb0cb9p-4, 0x1.c09218e37c12dp-4, 0x1.b82c64340b697p-4, 0x1.afdf652ab0a3dp-4, 0x1.a7ab4cd880be1p-4, 0x1.9f90472c195e6p-4, 0x1.978e7b17f1b57p-4, 0x1.8fa60ab830934p-4, 0x1.87d71378004d4p-4, 0x1.8021ae366833ep-4, 0x1.7885ef6a9e37bp-4, 0x1.7103e747d7f59p-4, 0x1.699ba1e095015p-4, 0x1.624d27495ff85p-4, 0x1.5b187bbb0878p-4, 0x1.53fd9fb450b22p-4, 0x1.4cfc901b10068p-4, 0x1.4615465cc74a7p-4, 0x1.3f47b88eaa431p-4, 0x1.3893d98d13f0bp-4, 0x1.31f9991a7256ap-4, 0x1.2b78e3fd9ed6cp-4, 0x1.2511a41fa212ap-4, 0x1.1ec3c0a8ef1bbp-4, 0x1.188f1e1e050ecp-4, 0x1.12739e7b84a7ap-4, 0x1.0c712151b20d7p-4, 0x1.068783df64f6p-4, 0x1.00b6a12c68e15p-4, 0x1.f5fca44699732p-5, 0x1.eabcdb5540deep-5, 0x1.dfad917b482dbp-5, 0x1.d4ce6d08cb68bp-5, 0x1.ca1f10d6a879fp-5, 0x1.bf9f1c7480704p-5, 0x1.b54e2c55a5449p-5, 0x1.ab2bd9fceb554p-5, 0x1.a137bc2769d98p-5, 0x1.977166f61eb09p-5, 0x1.8dd86c168b5dp-5, 0x1.846c5aea3afdp-5, 0x1.7b2cc0ad3cdc2p-5, 0x1.7219289b9722ap-5, 0x1.69311c15b1fd4p-5, 0x1.607422c3bcff5p-5, 0x1.57e1c2b813524p-5, 0x1.4f798090a5079p-5, 0x1.473adf975f92ap-5, 0x1.3f2561e1a37c6p-5, 0x1.3738886ec264bp-5, 0x1.2f73d34591a18p-5, 0x1.27d6c1910476dp-5, 0x1.2060d1bbe9b3fp-5, 0x1.1911818bb9019p-5, 0x1.11e84e3a800f7p-5, 0x1.0ae4b48ff2739p-5, 0x1.040630f99e55fp-5, 0x1.fa987f448b1efp-6, 0x1.ed6cb910cf199p-6, 0x1.e0880727f1934p-6, 0x1.d3e961569bc17p-6, 0x1.c78fbf8e81bdcp-6, 0x1.bb7a1a0d19423p-6, 0x1.afa76980de41p-6, 0x1.a416a72d13c1bp-6, 0x1.98c6cd0c14026p-6, 0x1.8db6d5f0384f4p-6, 0x1.82e5bda35ee62p-6, 0x1.7852810518bedp-6, 0x1.6dfc1e277e85dp-6, 0x1.63e1946abfc79p-6, 0x1.5a01e4976a314p-6, 0x1.505c10f77a7dap-6, 0x1.46ef1d6e34f1fp-6, 0x1.3dba0f8ed216p-6, 0x1.34bbeeb20763ep-6, 0x1.2bf3c40a6ca49p-6, 0x1.23609ab7d5312p-6, 0x1.1b017fd98cea3p-6, 0x1.12d5829f97dbcp-6, 0x1.0adbb45aeb666p-6, 0x1.0313288cace65p-6, 0x1.f6f5e9e8fc906p-7, 0x1.e824633bc79d9p-7, 0x1.d9aff1d96b562p-7, 0x1.cb96cf5190a54p-7, 0x1.bdd73a1146f21p-7, 0x1.b06f7576fbb57p-7, 0x1.a35dc9e4ceaa5p-7, 0x1.96a084d13fc7p-7, 0x1.8a35f8d68468cp-7, 0x1.7e1c7dc05adfcp-7, 0x1.725270987cbb3p-7, 0x1.66d633b1bb171p-7, 0x1.5ba62eb1b9aa4p-7, 0x1.50c0ce9983afap-7, 0x1.462485ccd5cc2p-7, 0x1.3bcfcc183d735p-7, 0x1.31c11eb62f01fp-7, 0x1.27f70052de574p-7, 0x1.1e6ff90f2514fp-7, 0x1.152a96826001p-7, 0x1.0c256bbb51bfbp-7, 0x1.035f114024a87p-7, 0x1.f5ac4a1ae1142p-8, 0x1.e5129528ef363p-8, 0x1.d4ee55710aa7p-8, 0x1.c53ce79712be8p-8, 0x1.b5fbb313db0fdp-8, 0x1.a7282a2b89f92p-8, 0x1.98bfc9e25c3efp-8, 0x1.8ac019f036b13p-8, 0x1.7d26acb2fa96bp-8, 0x1.6ff11f1f9b787p-8, 0x1.631d18b233ef4p-8, 0x1.56a84b5cd7084p-8, 0x1.4a9073757a00ep-8, 0x1.3ed357a2dc2f4p-8, 0x1.336ec8c87fa8bp-8, 0x1.2860a1f1d7875p-8, 0x1.1da6c83c9d73p-8, 0x1.133f2ac25d598p-8, 0x1.0927c28140568p-8, 0x1.febd248871273p-9, 0x1.ebc34d1521e01p-9, 0x1.d95e2add94687p-9, 0x1.c789fd1a33f35p-9, 0x1.b64315d28c131p-9, 0x1.a585d9a7ee6eep-9, 0x1.954ebf9fa1afap-9, 0x1.859a50ebe9707p-9, 0x1.766528b489e48p-9, 0x1.67abf3de9366ep-9, 0x1.596b70d3bbc2ep-9, 0x1.4ba06f48dec07p-9, 0x1.3e47d00443041p-9, 0x1.315e84a37879bp-9, 0x1.24e18f60c9898p-9, 0x1.18ce02d8694ebp-9, 0x1.0d2101cd995cfp-9, 0x1.01d7beef044bdp-9, 0x1.eddef93761a3bp-10, 0x1.d8cb194ea21b4p-10, 0x1.c46ea03d9c174p-10, 0x1.b0c46e195fa91p-10, 0x1.9dc7807b54267p-10, 0x1.8b72f20a55f6p-10, 0x1.79c1fa03cfdb1p-10, 0x1.68afebc57e447p-10, 0x1.583836574da03p-10, 0x1.485663f5e2b2bp-10, 0x1.3906199d52373p-10, 0x1.2a431694c610fp-10, 0x1.1c0933fa5f48fp-10, 0x1.0e54644fb12a8p-10, 0x1.0120b307774acp-10, 0x1.e8d48826cc094p-11, 0x1.d05aa6e6a8518p-11, 0x1.b8cc6989e71bdp-11, 0x1.a222a5a8cfc37p-11, 0x1.8c565e5bab792p-11, 0x1.7760c36012c34p-11, 0x1.633b303fa875cp-11, 0x1.4fdf2b792cc4ep-11, 0x1.3d4665abb87bfp-11, 0x1.2b6ab8c465b38p-11, 0x1.1a46272d7da38p-11, 0x1.09d2db0058dd2p-11, 0x1.f4164a72e8149p-12, 0x1.d5d2f9dd34b63p-12, 0x1.b8d0fd10fcc0cp-12, 0x1.9d05d5f9ee1cbp-12, 0x1.82674e1a65767p-12, 0x1.68eb750bbc08fp-12, 0x1.50889f032f8c2p-12, 0x1.3935635c29164p-12, 0x1.22e89b275efbdp-12, 0x1.0d995fbf45deep-12, 0x1.f27e12c39459dp-13, 0x1.cba25b9e0bdd5p-13, 0x1.a68f3dd909265p-13, 0x1.8334d2ddcbde2p-13, 0x1.6183a70f4ac37p-13, 0x1.416cb73110de5p-13, 0x1.22e16dd7e7356p-13, 0x1.05d3a0e5b267ap-13, 0x1.d46b1e1e7c35cp-14, 0x1.9ff3bad7b6459p-14, 0x1.6e272a2109ba6p-14, 0x1.3eec41682413p-14, 0x1.122a94bc80552p-14, 0x1.cf94e4816273cp-15, 0x1.7f69bb66b431fp-15, 0x1.33a7180bdfe58p-15, 0x1.d8437c39b7f8bp-16, 0x1.515f8526c1acep-16, 0x1.a4a20d8b201d7p-17, 0x1.6b24fa5e21a92p-18, -0x1.584245122544bp-20, -0x1.fb844449ee91fp-18, -0x1.c32a48b6fd227p-17, -0x1.3de5b7a0c4b45p-16, -0x1.9415efee160a7p-16, -0x1.e466cc7654f24p-16, -0x1.178b9a69e5ccep-15, -0x1.3a320385b3094p-15, -0x1.5a44129834307p-15, -0x1.77de41732ad9bp-15, -0x1.931c193dae2d5p-15, -0x1.ac1838e0bc5bp-15, -0x1.c2ec5b59904c2p-15, -0x1.d7b15de593666p-15, -0x1.ea7f46062db1fp-15, -0x1.fb6d47716578ep-15, -0x1.0548e4eb68ae8p-14, -0x1.0c013740937e6p-14, -0x1.11ea0af4ff34dp-14, -0x1.170d728e01f53p-14, -0x1.1b75257edd793p-14, -0x1.1f2a82be005e1p-14, -0x1.2236934ded04dp-14, -0x1.24a20cb25c058p-14, -0x1.2675535c22f74p-14, -0x1.27b87d057e2f4p-14, -0x1.287352fa9c335p-14, -0x1.28ad545dea8afp-14, -0x1.286db8581cccbp-14, -0x1.27bb703cefbdbp-14, -0x1.269d29a2887c3p-14, -0x1.2519506b2a2afp-14, -0x1.233610c3dd8cdp-14, -0x1.20f95914bbe31p-14, -0x1.1e68dbe8af077p-14, -0x1.1b8a11c416f19p-14, -0x1.18623af1b8593p-14, -0x1.14f66145be69ep-14, -0x1.114b59d4ce4e3p-14, -0x1.0d65c69daae05p-14, -0x1.094a182ab2a6bp-14, -0x1.04fc8f278d31fp-14, -0x1.00813de9814fbp-14, -0x1.f7b813e887a24p-15, -0x1.ee215add9455fp-15, -0x1.e4457121f30c5p-15, -0x1.da2b260a37fbbp-15, -0x1.cfd8fa854e701p-15, -0x1.c55523bf010d3p-15, -0x1.baa58daa67c6ap-15, -0x1.afcfdd83883d6p-15, -0x1.a4d9743a0680dp-15, -0x1.99c770c3be66cp-15, -0x1.8e9eb270fe1a1p-15, -0x1.8363db2048758p-15, -0x1.781b5169244b7p-15, -0x1.6cc942b584b8fp-15, -0x1.6171a54c56444p-15, -0x1.56183a4c912dfp-15, -0x1.4ac08f99fae7ap-15, -0x1.3f6e01be668ccp-15, -0x1.3423bdb9e8d3fp-15, -0x1.28e4c2c33f68dp-15, -0x1.1db3e3ff67111p-15, -0x1.1293ca2bac2cbp-15, -0x1.0786f53a4be65p-15, -0x1.f91f7bc146ca3p-16, -0x1.e360ae3a89a25p-16, -0x1.cdd59f60bbf75p-16, -0x1.b8822706289a3p-16, -0x1.a369da20cc582p-16, -0x1.8e900d711c256p-16, -0x1.79f7d81c956c5p-16, -0x1.65a4162cdc06ap-16, -0x1.51976b008af73p-16, -0x1.3dd443a780dd3p-16, -0x1.2a5cd929a3465p-16, -0x1.173332bec786bp-16, -0x1.045927f0f87f4p-16, -0x1.e3a0c5607adabp-17, -0x1.bf34c28e5a48p-17, -0x1.9b70f0b1bbd0fp-17, -0x1.7857a9722e358p-17, -0x1.55eafa78c0ce1p-17, -0x1.342ca8ec09b2cp-17, -0x1.131e34d5c993fp-17, -0x1.e581b8c0316f5p-18, -0x1.a62b3dfe56e6p-18, -0x1.683a80f3c573cp-18, -0x1.2bb097c5675efp-18, -0x1.e11c599d11759p-19, -0x1.6da7081371a37p-19, -0x1.fa02019b5390fp-20, -0x1.1e52a38e62a46p-20, -0x1.20f2d6be8a57ap-22, 0x1.1088a342709fp-21, 0x1.53363322e7f8p-20, 0x1.0c4fea8efcdb7p-19, 0x1.6c44995939f7bp-19, 0x1.c97da5ba6ce5p-19, 0x1.120004ec2ef66p-18, 0x1.3de899524875bp-18, 0x1.687b7c635196dp-18, 0x1.91bbccc9e0ff8p-18, 0x1.b9acd830fdd16p-18, 0x1.e0521808deae9p-18, 0x1.02d7973f3d4ccp-17, 0x1.14e3f1b896e95p-17, 0x1.265010d5f05b1p-17, 0x1.371dfa0eee3b2p-17, 0x1.474fc1ac06cdap-17, 0x1.56e7897a59ddep-17, 0x1.65e77f9a37f36p-17, 0x1.7451dd5b3c006p-17, 0x1.8228e62313375p-17, 0x1.8f6ee65f69c7fp-17, 0x1.9c26328687937p-17, 0x1.a851262149834p-17, 0x1.b3f222e0b234fp-17, 0x1.bf0b8fbc20422p-17, 0x1.c99fd8193631bp-17, 0x1.d3b16b03985fbp-17, 0x1.dd42ba6c4190ep-17, 0x1.e6563a707b2adp-17, 0x1.eeee60a5749c1p-17, 0x1.f70da3760c915p-17, 0x1.feb67980e0c8dp-17, 0x1.02f5ac81a4ab7p-16, 0x1.06575ba425f6fp-16, 0x1.098184126b69cp-16, 0x1.0c755ebc0b37ap-16, 0x1.0f342356cb4ap-16, 0x1.11bf082744f5fp-16, 0x1.141741c8d9997p-16, 0x1.163e02fd07d8ep-16, 0x1.18347c7b272fcp-16, 0x1.19fbdcc36ddb1p-16, 0x1.1b954ff47e90cp-16, 0x1.1d01ffa3da3e5p-16, 0x1.1e4312b8fa016p-16, 0x1.1f59ad4a20ad3p-16, 0x1.2046f07dd706dp-16, 0x1.210bfa6ba855ap-16, 0x1.21a9e602e66c7p-16, 0x1.2221caee2e27ap-16, 0x1.2274bd7db7637p-16, 0x1.22a3ce9081d56p-16, 0x1.22b00b81580b4p-16, 0x1.229a7e152514fp-16, 0x1.22642c6a7480cp-16, 0x1.220e18eb4cbdfp-16, 0x1.2199423ef9a4dp-16, 0x1.2106a3400db32p-16, 0x1.205732f031f41p-16, 0x1.1f8be470dbb56p-16, 0x1.1ea5a6faf34d1p-16, 0x1.1da565d9f29eep-16, 0x1.1c8c0865d897bp-16, 0x1.1b5a71feb5f29p-16, 0x1.1a11820ac1118p-16, 0x1.18b213f3b387bp-16, 0x1.173cff25fe2d8p-16, 0x1.15b317117d455p-16, 0x1.14152b2951921p-16, 0x1.126406e724ee3p-16, 0x1.10a071cc39f3ap-16, 0x1.0ecb2f6529a14p-16, 0x1.0ce4ff4d9cad3p-16, 0x1.0aee9d34fcb82p-16, 0x1.08e8c0e3e97f7p-16, 0x1.06d41e422a004p-16, 0x1.04b1655ccd28fp-16, 0x1.0281426cdb60ap-16, 0x1.00445ddf917e4p-16, 0x1.fbf6b8b9f0bd9p-17, 0x1.f74dbda1af37bp-17, 0x1.f28f04e82b90ap-17, 0x1.edbbc1a864942p-17, 0x1.e8d51fbcf6cf5p-17, 0x1.e3dc43d0cab2fp-17, 0x1.ded24b74df462p-17, 0x1.d9b84d33d2f2ap-17, 0x1.d48f58a7087cp-17, 0x1.cf58768ca1418p-17, 0x1.ca14a8ddb4074p-17, 0x1.c4c4eae3cb476p-17, 0x1.bf6a3151f816p-17, 0x1.ba056a588a7c8p-17, 0x1.b4977dbe56cd9p-17, 0x1.af214cf86774ap-17, 0x1.a9a3b33fdeb7ap-17, 0x1.a41f85ac930a1p-17, 0x1.9e95934b9f2ffp-17, 0x1.9906a53780234p-17, }}, 
      {{-0x1.50f12bd53354bp-1, -0x1.5103f303db81bp-1, -0x1.51229231d985fp-1, -0x1.514c108ba572bp-1, -0x1.517f238648feep-1, -0x1.51ba3c5c960cbp-1, -0x1.51fb95f21def3p-1, -0x1.524142563793bp-1, -0x1.5289376aa976dp-1, -0x1.52d15a65e9fd7p-1, -0x1.53178a0d7c023p-1, -0x1.5359a79dc21e2p-1, -0x1.53959e65153d8p-1, -0x1.53c96a225679ep-1, -0x1.53f31c3d7272ap-1, -0x1.5410dff3a4e47p-1, -0x1.5420fd92a4b46p-1, -0x1.5421dcdde9a99p-1, -0x1.541206b85c52ep-1, -0x1.53f0262b5de09p-1, -0x1.53bb08e24cc71p-1, -0x1.53719f2fc5e35p-1, -0x1.5312fbafdae24p-1, -0x1.529e529881bcdp-1, -0x1.5212f8c78f043p-1, -0x1.5170629bbcf6fp-1, -0x1.50b622a48f057p-1, -0x1.4fe3e83349f48p-1, -0x1.4ef97dd5d2924p-1, -0x1.4df6c7c2f4b7dp-1, -0x1.4cdbc23e720c5p-1, -0x1.4ba87ffa2b0c8p-1, -0x1.4a5d2878da0dep-1, -0x1.48f9f675fee87p-1, -0x1.477f3655f9317p-1, -0x1.45ed44a0aae87p-1, -0x1.44448c888481ap-1, -0x1.4285867f6607bp-1, -0x1.40b0b6da651f7p-1, -0x1.3ec6ac8533f32p-1, -0x1.3cc7ffc5a9a9dp-1, -0x1.3ab5510fa9c4p-1, -0x1.388f47e98257p-1, -0x1.365691e0af1e1p-1, -0x1.340be18ecc9acp-1, -0x1.31afedae743d3p-1, -0x1.2f43703f9f103p-1, -0x1.2cc725bb1f6b4p-1, -0x1.2a3bcc54b8486p-1, -0x1.27a2234b477a9p-1, -0x1.24faea467cda3p-1, -0x1.2246e0c186e3ap-1, -0x1.1f86c5822610dp-1, -0x1.1cbb561b8fa25p-1, -0x1.19e54e7c8a888p-1, -0x1.17056888334e9p-1, -0x1.141c5bb8d45b4p-1, -0x1.112adccc43cf7p-1, -0x1.0e319d7938f46p-1, -0x1.0b314c2d1234p-1, -0x1.082a93d1881b6p-1, -0x1.051e1b99c77b5p-1, -0x1.020c86d67e8bap-1, -0x1.fdece9a0bfe17p-2, -0x1.f7b90151576c4p-2, -0x1.f17e827e9e608p-2, -0x1.eb3e923c6b79fp-2, -0x1.e4fa4cd2c59f7p-2, -0x1.deb2c5a6f16acp-2, -0x1.d869072ca1296p-2, -0x1.d21e12de9a0f3p-2, -0x1.cbd2e13e3196bp-2, -0x1.c58861d902fap-2, -0x1.bf3f7b544f957p-2, -0x1.b8f90b7d801bfp-2, -0x1.b2b5e75f4710ap-2, -0x1.ac76db5aeb953p-2, -0x1.a63cab454b12dp-2, -0x1.a008128728a28p-2, -0x1.99d9c440657c4p-2, -0x1.93b26b6dca77ep-2, -0x1.8d92ab1107957p-2, -0x1.877b1e5a9c954p-2, -0x1.816c58d564b24p-2, -0x1.7b66e69375032p-2, -0x1.756b4c5c1ee2cp-2, -0x1.6f7a07dace3f7p-2, -0x1.69938fce95a3fp-2, -0x1.63b8543a34f44p-2, -0x1.5de8be946d228p-2, -0x1.582531f87b77fp-2, -0x1.526e0b5692abfp-2, -0x1.4cc3a1a4305acp-2, -0x1.4726460c37fd9p-2, -0x1.4196441eabcf9p-2, -0x1.3c13e1fff43a5p-2, -0x1.369f60979fccbp-2, -0x1.3138fbbe7dd3cp-2, -0x1.2be0ea6c14e7bp-2, -0x1.26975ee351cd1p-2, -0x1.215c86de729fp-2, -0x1.1c308bba18b69p-2, -0x1.1713929f7ce86p-2, -0x1.1205bcadbd4d1p-2, -0x1.0d0727223a06bp-2, -0x1.0817eb8004f7bp-2, -0x1.03381fb656599p-2, -0x1.fccfac8c144f2p-3, -0x1.f34e3ccc422d3p-3, -0x1.e9ec084e8e9bcp-3, -0x1.e0a9212cbab5bp-3, -0x1.d78593bc0ce9dp-3, -0x1.ce8166ce749cap-3, -0x1.c59c9bf1c83f9p-3, -0x1.bcd72fad08bfap-3, -0x1.b43119bbcad8bp-3, -0x1.abaa4d47bbbe5p-3, -0x1.a342b9204d6afp-3, -0x1.9afa47f094428p-3, -0x1.92d0e0735df3p-3, -0x1.8ac665a5889c4p-3, -0x1.82dab6f6a148ep-3, -0x1.7b0db077ddf2bp-3, -0x1.735f2b09707p-3, -0x1.6bcefc863f7b1p-3, -0x1.645cf7ee1bd09p-3, -0x1.5d08ed8e6434cp-3, -0x1.55d2ab293e30dp-3, -0x1.4eb9fc1b55762p-3, -0x1.47bea9803d2cp-3, -0x1.40e07a5575cb3p-3, -0x1.3a1f339c1f71cp-3, -0x1.337a98796dcc7p-3, -0x1.2cf26a55da0f4p-3, -0x1.268668fb23b57p-3, -0x1.203652b128d3p-3, -0x1.1a01e459a40c7p-3, -0x1.13e8d98acf518p-3, -0x1.0deaeca8f96f6p-3, -0x1.0807d6ff1e4f4p-3, -0x1.023f50d67bb85p-3, -0x1.f922231a78306p-4, -0x1.edf99f585d0aep-4, -0x1.e30481f745b6fp-4, -0x1.d842352eccd4ap-4, -0x1.cdb22203e5a51p-4, -0x1.c353b06d9006fp-4, -0x1.b92647781cc5dp-4, -0x1.af294d66df0d3p-4, -0x1.a55c27d47a7e6p-4, -0x1.9bbe3bd1cfacap-4, -0x1.924eee0393a92p-4, -0x1.890da2be975f2p-4, -0x1.7ff9be22de11p-4, -0x1.7712a4357894cp-4, -0x1.6e57b8f93d696p-4, -0x1.65c8608662eddp-4, -0x1.5d63ff2108bbfp-4, -0x1.5529f94eb705dp-4, -0x1.4d19b3eadf36dp-4, -0x1.4532943a66d1p-4, -0x1.3d73fffe45ad7p-4, -0x1.35dd5d853d6d6p-4, -0x1.2e6e13bcb6c68p-4, -0x1.27258a40c85c7p-4, -0x1.2003296b712e7p-4, -0x1.19065a630be06p-4, -0x1.122e872805c71p-4, -0x1.0b7b1aa1db7a9p-4, -0x1.04eb80ab654f7p-4, -0x1.fcfe4c3cee774p-5, -0x1.f06af1bdbc022p-5, -0x1.e41bcfc974a43p-5, -0x1.d80fc68c88fc1p-5, -0x1.cc45b881f854cp-5, -0x1.c0bc8a848dd25p-5, -0x1.b57323df101c2p-5, -0x1.aa686e5b62cf1p-5, -0x1.9f9b5650aa428p-5, -0x1.950acab0784e3p-5, -0x1.8ab5bd1309cf8p-5, -0x1.809b21c29fd6p-5, -0x1.76b9efc5fb265p-5, -0x1.6d1120ea011d7p-5, -0x1.639fb1ca95363p-5, -0x1.5a64a1daabc44p-5, -0x1.515ef36b9c399p-5, -0x1.488dabb3be92ep-5, -0x1.3fefd2d4549f3p-5, -0x1.378473dec9b13p-5, -0x1.2f4a9cd950d08p-5, -0x1.27415ec2e0b8fp-5, -0x1.1f67cd9699f62p-5, -0x1.17bd004e9a47dp-5, -0x1.104010e643fd3p-5, -0x1.08f01c5bfccc1p-5, -0x1.01cc42b26c969p-5, -0x1.f5a74de278ef4p-6, -0x1.e80ade4ac2b5ap-6, -0x1.dac188c1e002p-6, -0x1.cdc9a575089a5p-6, -0x1.c12192987e076p-6, -0x1.b4c7b464ba4cbp-6, -0x1.a8ba7512de864p-6, -0x1.9cf844d8621dcp-6, -0x1.917f99e2164e2p-6, -0x1.864ef04e7a6dep-6, -0x1.7b64ca276f158p-6, -0x1.70bfaf5b4dc17p-6, -0x1.665e2db56d622p-6, -0x1.5c3ed8d618c74p-6, -0x1.52604a29fbd24p-6, -0x1.48c120e116389p-6, -0x1.3f6001e52ee72p-6, -0x1.363b97cfd8ebbp-6, -0x1.2d5292e0065ecp-6, -0x1.24a3a8ef36accp-6, -0x1.1c2d9566430f4p-6, -0x1.13ef1931cc06fp-6, -0x1.0be6fab653183p-6, -0x1.041405c3ff626p-6, -0x1.f8ea17142b06cp-7, -0x1.ea11c51459434p-7, -0x1.db9ccd162d843p-7, -0x1.cd88f1172476fp-7, -0x1.bfd3fd697eb17p-7, -0x1.b27bc898b728p-7, -0x1.a57e334da260cp-7, -0x1.98d9283222b1cp-7, -0x1.8c8a9bd49a59p-7, -0x1.80908c8b021a3p-7, -0x1.74e90255c357cp-7, -0x1.69920ec2516efp-7, -0x1.5e89cccd895fep-7, -0x1.53ce60c5e8a54p-7, -0x1.495df82d8d28fp-7, -0x1.3f36c99c1e6c1p-7, -0x1.355714a08eda6p-7, -0x1.2bbd21a2cb3e9p-7, -0x1.226741c552015p-7, -0x1.1953cec6c0d69p-7, -0x1.10812ae3552fdp-7, -0x1.07edc0b6709f5p-7, -0x1.ff30063830e59p-8, -0x1.eefcda24f1139p-8, -0x1.df3f0336f572ap-8, -0x1.cff3973cc4cf2p-8, -0x1.c117bb92f8d87p-8, -0x1.b2a8a4e7d59c7p-8, -0x1.a4a396ff0aacp-8, -0x1.9705e475b07b6p-8, -0x1.89ccee868096dp-8, -0x1.7cf624ce6ef33p-8, -0x1.707f0511708fap-8, -0x1.64651affae757p-8, -0x1.58a5fffb02772p-8, -0x1.4d3f5adce4cebp-8, -0x1.422edfbca76b6p-8, -0x1.37724fb63109fp-8, -0x1.2d0778b1101eep-8, -0x1.22ec352815fc2p-8, -0x1.191e6bf154c3cp-8, -0x1.0f9c10069932fp-8, -0x1.0663204e70e2ep-8, -0x1.fae34ecb48708p-9, -0x1.e98b76d25d6aap-9, -0x1.d8bafb819aa4bp-9, -0x1.c86e35d422d2cp-9, -0x1.b8a19487e4071p-9, -0x1.a9519bb5fcdf9p-9, -0x1.9a7ae46c2d193p-9, -0x1.8c1a1c477a12fp-9, -0x1.7e2c050fe187bp-9, -0x1.70ad7455559bep-9, -0x1.639b530ddad5ep-9, -0x1.56f29d34cf54p-9, -0x1.4ab0616b78847p-9, -0x1.3ed1c09ac04c2p-9, -0x1.3353ed961eca8p-9, -0x1.28342cbfc8efdp-9, -0x1.1d6fd3ae15437p-9, -0x1.130448d22d5d6p-9, -0x1.08ef031fe38c7p-9, -0x1.fe5b136d8537fp-10, -0x1.eb7ae718fe44ep-10, -0x1.d938ce3106d31p-10, -0x1.c79034019495bp-10, -0x1.b67ca18fe198dp-10, -0x1.a5f9bcf905fa8p-10, -0x1.960348d312481p-10, -0x1.86952390adde2p-10, -0x1.77ab46e71545ep-10, -0x1.6941c7367f4f9p-10, -0x1.5b54d2f51ef63p-10, -0x1.4de0b21c5a76ap-10, -0x1.40e1c598986e4p-10, -0x1.345486bb837abp-10, -0x1.283586b059649p-10, -0x1.1c816df2ed97bp-10, -0x1.1134fbc8d10bep-10, -0x1.064d05bd14b5ep-10, -0x1.f78cee3c43117p-11, -0x1.e33ca0fbb24aep-11, -0x1.cfa34e683648dp-11, -0x1.bcbb49c716573p-11, -0x1.aa7f0e010cba7p-11, -0x1.98e93cb4ebab9p-11, -0x1.87f49d4e32756p-11, -0x1.779c1c2049fefp-11, -0x1.67dac985e783p-11, -0x1.58abd904dbb5p-11, -0x1.4a0aa0762a4d5p-11, -0x1.3bf29732129d1p-11, -0x1.2e5f554033b9cp-11, -0x1.214c928be65e5p-11, -0x1.14b6261c7b389p-11, -0x1.089805519ae1dp-11, -0x1.f9dc86478846p-12, -0x1.e36a1ecff07dbp-12, -0x1.cdd16c2f86745p-12, -0x1.b90b3d39d9c7bp-12, -0x1.a51096415bd08p-12, -0x1.91daafbe49061p-12, -0x1.7f62f4fb8499ap-12, -0x1.6da302cae2d6dp-12, -0x1.5c94a640cc385p-12, -0x1.4c31db765faa4p-12, -0x1.3c74cc52b0b49p-12, -0x1.2d57cf5b1c982p-12, -0x1.1ed5668988a1dp-12, -0x1.10e83e28fa4abp-12, -0x1.038b2bb945d73p-12, -0x1.ed7259b13d0a4p-13, -0x1.d4dacc665e034p-13, -0x1.bd4644f399c0ep-13, -0x1.a6aba2bac9aedp-13, -0x1.91020d20eebbcp-13, -0x1.7c40f19e4faeep-13, -0x1.686001d820719p-13, -0x1.555731c6987d4p-13, -0x1.431eb5e5e6b6p-13, -0x1.31af0171d68ecp-13, -0x1.2100c4aadccd3p-13, -0x1.110ceb26c8c97p-13, -0x1.01cc9a2b6d6aap-13, -0x1.e6725e261ee0fp-14, -0x1.ca987b75ef392p-14, -0x1.afff1df89d204p-14, -0x1.969a3e57fefbdp-14, -0x1.7e5e394cf5f02p-14, -0x1.673fccc665a5p-14, -0x1.5134152275719p-14, -0x1.3c308a7a00457p-14, -0x1.282afdfd42ffdp-14, -0x1.15199760bf7dap-14, -0x1.02f2d2593c6d5p-14, -0x1.e35af8543d802p-15, -0x1.c28162841ee7ap-15, -0x1.a347b5d08f7f9p-15, -0x1.859d59f06bb36p-15, -0x1.6972475a48037p-15, -0x1.4eb702f4331cep-15, -0x1.355c99e251197p-15, -0x1.1d549d72cb817p-15, -0x1.06911f2238314p-15, -0x1.e2095978f3e55p-16, -0x1.b9449931334cdp-16, -0x1.92baf3d74c313p-16, -0x1.6e544269b255p-16, -0x1.4bf93986eb36ep-16, -0x1.2b9362a5829bbp-16, -0x1.0d0d157cd45ep-16, -0x1.e0a2e3377ac99p-17, -0x1.aa98b0597c99bp-17, -0x1.77d4cbc4b568bp-17, -0x1.4831da1cf03bp-17, -0x1.1b8bdfc99097ap-17, -0x1.e3806b8cae7f2p-18, -0x1.955afd9a2d937p-18, -0x1.4c673981501eep-18, -0x1.08674cdadc77dp-18, -0x1.923f763f9866fp-19, -0x1.1cae947f4234bp-19, -0x1.5f5bbf2aa6439p-20, -0x1.2b4df4d681c4ap-21, 0x1.24655df927a7bp-23, 0x1.a005a1c49b182p-21, 0x1.6d776ca0d51ebp-20, 0x1.fd9f12066530ap-20, 0x1.409397582037bp-19, 0x1.7c5b2433bbbd2p-19, 0x1.b2761c5e2bff2p-19, 0x1.e3313384febeap-19, 0x1.076b0020abacbp-18, 0x1.1ad58bb597f56p-18, 0x1.2bfa134883941p-18, 0x1.3af906ca49017p-18, 0x1.47f17bd09d832p-18, 0x1.530139a4982d5p-18, 0x1.5c44c502bef27p-18, 0x1.63d76b6cf509ap-18, 0x1.69d34e323787p-18, 0x1.6e516d18aa4dep-18, 0x1.7169b0b85c67ap-18, 0x1.7332f47a7bbaap-18, 0x1.73c3105d59ed1p-18, 0x1.732ee2537397ap-18, 0x1.718a576c32c3ap-18, 0x1.6ee8749e6667ep-18, 0x1.6b5b5f5fde87ep-18, 0x1.66f465e76aff1p-18, 0x1.61c40739e7fabp-18, 0x1.5bd9fae11e729p-18, 0x1.5545387dec4ap-18, 0x1.4e13ff0156367p-18, 0x1.4653dbc2e662cp-18, 0x1.3e11b1493bc2ep-18, 0x1.3559bde034369p-18, 0x1.2c37a1f97e9dep-18, 0x1.22b66657fdca4p-18, 0x1.18e081fe38a9bp-18, 0x1.0ebfdff8c71b3p-18, 0x1.045de4ea5da5dp-18, 0x1.f386e8dcff462p-19, 0x1.ddf1ec9ec03a9p-19, 0x1.c80cb712adb6ap-19, 0x1.b1e6464a356eep-19, 0x1.9b8cbdd2f2496p-19, 0x1.850d6fc2debe8p-19, 0x1.6e74e571a3b3ep-19, 0x1.57cee7ecd872p-19, 0x1.4126881c25473p-19, 0x1.2a862698e04d9p-19, 0x1.13f77b4c839d4p-19, 0x1.fb07397173a2p-20, 0x1.ce660e1527c71p-20, 0x1.a21b45cd2eef1p-20, 0x1.763597e41596p-20, 0x1.4ac2ae5b72836p-20, 0x1.1fcf320b70ab5p-20, 0x1.eacdace73a73cp-21, 0x1.9728c9f281ae8p-21, 0x1.44c38fac6e08bp-21, 0x1.e760522d8b3d4p-22, 0x1.47fe5825d606ep-22, 0x1.56feb32340a8cp-23, 0x1.1fea0987f8a9fp-26, -0x1.08d6853afa494p-23, -0x1.17a8577ffdb4bp-22, -0x1.a7a51b9862469p-22, -0x1.1a28314784f2dp-21, -0x1.5ecd9bab88b1fp-21, -0x1.a1bc5f67ff194p-21, -0x1.e2ef0d95cd51dp-21, -0x1.1130942c85b7dp-20, -0x1.30078aeb89ffap-20, -0x1.4dfb09c90273dp-20, -0x1.6b0a1529f3bf3p-20, -0x1.87341162037cbp-20, -0x1.a278bd0a86c85p-20, -0x1.bcd82bc38ed12p-20, -0x1.d652c1128c1dbp-20, -0x1.eee92b824053ep-20, -0x1.034e2ff99d187p-19, -0x1.0eb6ca8f6e5f2p-19, -0x1.19af1fa8b54eep-19, -0x1.2438062332732p-19, -0x1.2e526fa2a20cep-19, -0x1.37ff66af24693p-19, -0x1.41400ce88f3bdp-19, -0x1.4a159950b9c1dp-19, -0x1.528156a7268e9p-19, -0x1.5a84a1d9e025ep-19, -0x1.6220e887d0138p-19, -0x1.6957a794e5cfcp-19, -0x1.702a69d1c2fbdp-19, -0x1.769ac6ad9c224p-19, -0x1.7caa60fcc4cd8p-19, -0x1.825ae5cce0f82p-19, -0x1.87ae0b48ab054p-19, -0x1.8ca58faadfp-19, -0x1.9143383c7569bp-19, -0x1.9588d05f195f2p-19, -0x1.997828a567d4bp-19, -0x1.9d1315f8d835dp-19, -0x1.a05b70c66d516p-19, -0x1.a353144003c5ap-19, -0x1.a5fbdd9d002a3p-19, -0x1.a857ab6c9f7e3p-19, -0x1.aa685cef5918ap-19, -0x1.ac2fd179e21eep-19, -0x1.adafe7e206f5dp-19, -0x1.aeea7df4ab6fep-19, -0x1.afe16ff12afddp-19, -0x1.b0969810cc6efp-19, -0x1.b10bce126c3fcp-19, -0x1.b142e6ce165bap-19, -0x1.b13db3d3aad5p-19, -0x1.b0fe030ad189cp-19, -0x1.b0859e5b49071p-19, -0x1.afd64b5c7b64ap-19, -0x1.aef1cb0a33267p-19, -0x1.add9d97f428dap-19, -0x1.ac902db42583ap-19, -0x1.ab1679444815ap-19, -0x1.a96e68384af2ap-19, -0x1.a799a0d1d2365p-19, -0x1.a599c35efb049p-19, -0x1.a3706a143b7a9p-19, -0x1.a11f28e515232p-19, -0x1.9ea78d63fdd25p-19, -0x1.9c0b1ea435f47p-19, -0x1.994b5d20d5f21p-19, -0x1.9669c2a46cd8fp-19, -0x1.9367c2373dd04p-19, -0x1.9046c80cb45d5p-19, -0x1.8d083978a336cp-19, -0x1.89ad74e2b0283p-19, -0x1.8637d1bc31ff5p-19, -0x1.82a8a07d66501p-19, -0x1.7f012a9fb8ab1p-19, -0x1.7b42b29bbeaefp-19, -0x1.776e73eb6048p-19, -0x1.7385a30b6572bp-19, -0x1.6f896d804fed7p-19, -0x1.6b7af9db304e9p-19, -0x1.675b67c12f6e6p-19, -0x1.632bcff42bf0fp-19, -0x1.5eed445dad9a5p-19, -0x1.5aa0d01a5089fp-19, -0x1.56477786901a8p-19, -0x1.51e2384e020ffp-19, -0x1.4d72097860e04p-19, -0x1.48f7db7bcc7ep-19, -0x1.4474984ba25fcp-19, -0x1.3fe9236baeadp-19, -0x1.3b565a0348168p-19, -0x1.36bd12ef8c97ep-19, -0x1.321e1ed747132p-19, -0x1.2d7a484038056p-19, -0x1.28d253a359192p-19, -0x1.2426ff8371523p-19, -0x1.1f790482e9d72p-19, -0x1.1ac9157ad1f2ap-19, -0x1.1617df9036c57p-19, -0x1.11660a4ccd3fdp-19, -0x1.0cb437b50f8d9p-19, -0x1.080304613aa57p-19, -0x1.035307940632dp-19, -0x1.fd49a6a85213bp-20, -0x1.f3f1e9058c41p-20, -0x1.ea9fe5e8082afp-20, -0x1.e154a30f27ffap-20, -0x1.d8111c8108c6cp-20, -0x1.ced644bd49921p-20, -0x1.c5a504eb4d25cp-20, -0x1.bc7e3d0ddc36ep-20, -0x1.b362c43003fa3p-20, -0x1.aa53689825f6dp-20, -0x1.a150eff5568ebp-20, -0x1.985c179138fc8p-20, -0x1.8f75947e31ff5p-20, -0x1.869e13c84ad0dp-20, -0x1.7dd63aa1e632bp-20, -0x1.751ea693ce1acp-20, -0x1.6c77eda9ee84p-20, -0x1.63e29ea28ca92p-20, -0x1.5b5f4119ebfadp-20, -0x1.52ee55b8cce32p-20, -0x1.4a90565e73d52p-20, -0x1.4245b64f370d5p-20, -0x1.3a0ee25dcd29ep-20, -0x1.31ec4116350d1p-20, -0x1.29de32e81b774p-20, -0x1.21e512509a9c3p-20, -0x1.1a01340397b8bp-20, -0x1.1232e71337d0fp-20, -0x1.0a7a751858894p-20, -0x1.02d82259e1094p-20, -0x1.f6985be7a28c2p-21, -0x1.e7ada3f7aa3a3p-21, -0x1.d8f087508b90dp-21, -0x1.ca6166e9f215bp-21, -0x1.bc009a8c2a61ep-21, -0x1.adce711a676c1p-21, -0x1.9fcb30d6b16e3p-21, -0x1.91f717a790ac1p-21, -0x1.84525b5963cd8p-21, -0x1.76dd29e3db24bp-21, -0x1.6997a9a8f3d33p-21, -0x1.5c81f9b42c5a2p-21, -0x1.4f9c31f99a43ap-21, -0x1.42e66394e45c2p-21, -0x1.36609900fb90ap-21, -0x1.2a0ad655c3cf7p-21, -0x1.1de5198125648p-21, -0x1.11ef5a7fe825ap-21, -0x1.06298b9375a4p-21, -0x1.f52732f19d77ep-22, -0x1.de5ad737d6d6fp-22, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.244205a7b5447p-8, 0x1.244f2db254a56p-7, 0x1.b66e6192f25cfp-7, 0x1.2411b2504a7fap-6, 0x1.6c673b5815015p-6, 0x1.b3c8073cf462ep-6, 0x1.f9a9a81a9f29ep-6, 0x1.1eb6ce729a5bbp-5, 0x1.3f342238ccf09p-5, 0x1.5df3c6d3a888dp-5, 0x1.7a9c836edc9fp-5, 0x1.94d78dbb51d8bp-5, 0x1.ac52b67473b99p-5, 0x1.c0c223f7f4c5ap-5, 0x1.d1e1a1523aa4bp-5, 0x1.df758b959eebcp-5, 0x1.e94b6905f941cp-5, 0x1.ef3a362a0dee5p-5, 0x1.f122749b633b8p-5, 0x1.eeee06bc3f378p-5, 0x1.e88fe2868acc9p-5, 0x1.de03a48fe39b6p-5, 0x1.cf4d0b3eff856p-5, 0x1.bc776113efff8p-5, 0x1.a594dbd9baab4p-5, 0x1.8abdf5a1b907bp-5, 0x1.6c10c38b30c8ep-5, 0x1.49b04d94b8a61p-5, 0x1.23c3ea08b0325p-5, 0x1.f4ed3d03153f5p-6, 0x1.9bed1007ad857p-6, 0x1.3ce8968269e7bp-6, 0x1.b08a36f9a80e9p-7, 0x1.b9abc26cd4af9p-8, -0x1.dbcedc71dce89p-17, -0x1.cd09a75ac2ec8p-8, -0x1.d47b3ae7e4902p-7, -0x1.64c0fa9082e0fp-6, -0x1.e2612c96ffef3p-6, -0x1.315a18a75b3dap-5, -0x1.72a8eac33c595p-5, -0x1.b4ea1141bbbbap-5, -0x1.f7ebde922762p-5, -0x1.1dbf0dead5d26p-4, -0x1.3fb915c88464p-4, -0x1.61cd9350d7526p-4, -0x1.83e6f9f4edeeep-4, -0x1.a5f0ad91a75b7p-4, -0x1.c7d709a1bc43dp-4, -0x1.e987666b7474ep-4, -0x1.05780e2d300adp-3, -0x1.160042d945ec7p-3, -0x1.26547f640ba76p-3, -0x1.366d7271b3767p-3, -0x1.464449fbbaaf9p-3, -0x1.55d2b1a69bc29p-3, -0x1.6512d0a2566b3p-3, -0x1.73ff4724d8247p-3, -0x1.82932b8c38126p-3, -0x1.90ca07359bbb6p-3, -0x1.9e9fd314a1d9bp-3, -0x1.ac10f4162448ep-3, -0x1.b91a375841c4ap-3, -0x1.c5b8ce40c98eap-3, -0x1.d1ea4a7a3d7cfp-3, -0x1.ddac99def0cap-3, -0x1.e8fe025905d62p-3, -0x1.f3dd1dbd62674p-3, -0x1.fe48d5a71b89ap-3, -0x1.04202fac17c6ep-2, -0x1.08e19bd1fca8fp-2, -0x1.0d688f738f911p-2, -0x1.11b50a8836653p-2, -0x1.15c72adebf9f3p-2, -0x1.199f2a36e5f01p-2, -0x1.1d3d5c671b2bcp-2, -0x1.20a22d8f7babcp-2, -0x1.23ce205ab325fp-2, -0x1.26c1cc4d6ce65p-2, -0x1.297ddc24c85e4p-2, -0x1.2c030c4433aafp-2, -0x1.2e522932e7747p-2, -0x1.306c0e292f3e1p-2, -0x1.3251a3ad90a09p-2, -0x1.3403de41cc287p-2, -0x1.3583bd1f9ec5p-2, -0x1.36d2490529d7p-2, -0x1.37f09310c2182p-2, -0x1.38dfb3abec2fp-2, -0x1.39a0c98539f8ap-2, -0x1.3a34f898b567fp-2, -0x1.3a9d69467bbd8p-2, -0x1.3adb477723f08p-2, -0x1.3aefc1cd8d548p-2, -0x1.3adc08e5a5023p-2, -0x1.3aa14e9fb01cap-2, -0x1.3a40c577af302p-2, -0x1.39bb9fe85b925p-2, -0x1.39130fd9521fbp-2, -0x1.38484617ef522p-2, -0x1.375c71da67b1fp-2, -0x1.3650c04ca9681p-2, -0x1.35265c268e6eap-2, -0x1.33de6d4af2bf3p-2, -0x1.327a186f366cbp-2, -0x1.30fa7ecac44f7p-2, -0x1.2f60bdce2bc9bp-2, -0x1.2dadeee1695f8p-2, -0x1.2be32728f422ep-2, -0x1.2a0177512f32ep-2, -0x1.2809eb5fdcc95p-2, -0x1.25fd8a8b3d13bp-2, -0x1.23dd57167420dp-2, -0x1.21aa4e32ee51dp-2, -0x1.1f6567e668b43p-2, -0x1.1d0f96f54fddfp-2, -0x1.1aa9c8d12bd8ap-2, -0x1.1834e58ad01a2p-2, -0x1.15b1cfc80e021p-2, -0x1.132164bc9f89cp-2, -0x1.10847c261b15bp-2, -0x1.0ddbe84aa5a63p-2, -0x1.0b2875fa3a0ep-2, -0x1.086aec924337bp-2, -0x1.05a40e036568cp-2, -0x1.02d496d93c74ap-2, -0x1.fffa7c87cdb4p-3, -0x1.fa3d6c466d4c8p-3, -0x1.f4735626bcac6p-3, -0x1.ee9d88f5e8a56p-3, -0x1.e8bd49345b9ep-3, -0x1.e2d3d1365bb2fp-3, -0x1.dce251469e392p-3, -0x1.d6e9efca879eep-3, -0x1.d0ebc967fc666p-3, -0x1.cae8f12c7bfb6p-3, -0x1.c4e270b566997p-3, -0x1.bed948593a5e8p-3, -0x1.b8ce6f51b0a96p-3, -0x1.b2c2d3e680d71p-3, -0x1.acb75b98bdcf1p-3, -0x1.a6ace34ea427p-3, -0x1.a0a43f7fbbd67p-3, -0x1.9a9e3c613cc4p-3, -0x1.949b9e1295a0fp-3, -0x1.8e9d20ca01b87p-3, -0x1.88a379011ebf3p-3, -0x1.82af53a16ae2ep-3, -0x1.7cc156309c25fp-3, -0x1.76da1efcc678fp-3, -0x1.70fa454839b39p-3, -0x1.6b225975176ccp-3, -0x1.6552e5308d57cp-3, -0x1.5f8c6b9da7d69p-3, -0x1.59cf697fc207bp-3, -0x1.541c5564780b6p-3, -0x1.4e739fcd252dp-3, -0x1.48d5b357e1a09p-3, -0x1.4342f4e7f1c03p-3, -0x1.3dbbc3cdb5bfap-3, -0x1.384079ee03d61p-3, -0x1.32d16be8ece03p-3, -0x1.2d6ee93ff445p-3, -0x1.28193c7baa678p-3, -0x1.22d0ab50ab67bp-3, -0x1.1d9576c404d5ep-3, -0x1.1867db4f0096dp-3, -0x1.134811024dee4p-3, -0x1.0e364ba88c355p-3, -0x1.0932bae83ba28p-3, -0x1.043d8a65052ecp-3, -0x1.feadc3c0dd696p-4, -0x1.f4fdcab3d1a16p-4, -0x1.eb6b6a5c821fcp-4, -0x1.e1f6dc6ce8118p-4, -0x1.d8a053cbd0511p-4, -0x1.cf67fcd00b8cfp-4, -0x1.c64dfd7a6fd7ep-4, -0x1.bd5275aea81ecp-4, -0x1.b4757f6aca7a6p-4, -0x1.abb72efdc5329p-4, -0x1.a317933ca0af5p-4, -0x1.9a96b5b69659ep-4, -0x1.92349ae7fd2p-4, -0x1.89f1426c16dcap-4, -0x1.81cca72dbed3p-4, -0x1.79c6bf96f6983p-4, -0x1.71df7dbf5c814p-4, -0x1.6a16cf9989ff6p-4, -0x1.626c9f1f5e512p-4, -0x1.5ae0d27d3c0a7p-4, -0x1.53734c3c3648bp-4, -0x1.4c23eb6b3821bp-4, -0x1.44f28bc7256b8p-4, -0x1.3ddf05e1f9708p-4, -0x1.36e92f48e741bp-4, -0x1.3010daa98093cp-4, -0x1.2955d7f5e1eb9p-4, -0x1.22b7f487ef032p-4, -0x1.1c36fb439be1ap-4, -0x1.15d2b4b84aeaep-4, -0x1.0f8ae741409b8p-4, -0x1.095f572533732p-4, -0x1.034fc6b4f80d1p-4, -0x1.fab7ecd29f794p-5, -0x1.ef0749ffb7ed1p-5, -0x1.e38d1f2e77f7bp-5, -0x1.d848e394a4f8bp-5, -0x1.cd3a0b9581798p-5, -0x1.c26008f520c7fp-5, -0x1.b7ba4b0a2d555p-5, -0x1.ad483eee2126bp-5, -0x1.a3094fabfb3d1p-5, -0x1.98fce66d78a6bp-5, -0x1.8f226aa6d3ae2p-5, -0x1.857942411795cp-5, -0x1.7c00d1c308de8p-5, -0x1.72b87c78adb66p-5, -0x1.699fa4997c30dp-5, -0x1.60b5ab6d3009ep-5, -0x1.57f9f16f59e6ep-5, -0x1.4f6bd671a1bf3p-5, -0x1.470ab9bccf6c7p-5, -0x1.3ed5fa3094758p-5, -0x1.36ccf66227441p-5, -0x1.2eef0cb9b0d1bp-5, -0x1.273b9b8e964dep-5, -0x1.1fb20142a240ap-5, -0x1.18519c5c1433ap-5, -0x1.1119cb9ea49aap-5, -0x1.0a09ee2371b88p-5, -0x1.0321636ff41ep-5, -0x1.f8bf1717d46f3p-6, -0x1.eb878e2c9bd73p-6, -0x1.de9aeeb2b31d6p-6, -0x1.d1f7fcbb34da2p-6, -0x1.c59d7df844fedp-6, -0x1.b98a39dfaada3p-6, -0x1.adbcf9cbb34fp-6, -0x1.a234891a72754p-6, -0x1.96efb54b5476ep-6, -0x1.8bed4e1b2ccd7p-6, -0x1.812c259eaec4ep-6, -0x1.76ab105b7109cp-6, -0x1.6c68e55f73d14p-6, -0x1.62647e574c16bp-6, -0x1.589cb7a2e526bp-6, -0x1.4f107068f1195p-6, -0x1.45be8aa91431fp-6, -0x1.3ca5eb4ccf5d3p-6, -0x1.33c57a373022dp-6, -0x1.2b1c22535856ep-6, -0x1.22a8d1a1e8cc4p-6, -0x1.1a6a79454b848p-6, -0x1.12600d8cee403p-6, -0x1.0a8885ff7e52ep-6, -0x1.02e2dd641f65ap-6, -0x1.f6dc23955ee81p-7, -0x1.e852492643bb6p-7, -0x1.da2634e7e47f9p-7, -0x1.cc55f6ff7d252p-7, -0x1.bedfa65413e58p-7, -0x1.b1c16096735d1p-7, -0x1.a4f94a47965b4p-7, -0x1.98858ebd9a85ep-7, -0x1.8c6460273e07dp-7, -0x1.8093f78e2a716p-7, -0x1.751294d7bf618p-7, -0x1.69de7ec4b5a2ep-7, -0x1.5ef602ef9abc7p-7, -0x1.545775ca12a9bp-7, -0x1.4a01329918065p-7, -0x1.3ff19b7014893p-7, -0x1.3627192b1adap-7, -0x1.2ca01b68117b8p-7, -0x1.235b187f07a57p-7, -0x1.1a568d79aac58p-7, -0x1.1190fe09e2fb8p-7, -0x1.0908f47fb1727p-7, -0x1.00bd01be4a89ep-7, -0x1.f1577a6113da3p-8, -0x1.e1a789796d7c4p-8, -0x1.d267796f4d385p-8, -0x1.c3949fae96ae2p-8, -0x1.b52c5e496d6d9p-8, -0x1.a72c23db517dcp-8, -0x1.99916b6b0403ep-8, -0x1.8c59bc4bbf5e9p-8, -0x1.7f82a9fd73568p-8, -0x1.7309d40c54c2cp-8, -0x1.66ece5efab3e3p-8, -0x1.5b2996e7f0e9p-8, -0x1.4fbda9dc462edp-8, -0x1.44a6ed377e881p-8, -0x1.39e33ac47495cp-8, -0x1.2f70778a27111p-8, -0x1.254c93a74797p-8, -0x1.1b758a2d52aaep-8, -0x1.11e960fb80512p-8, -0x1.08a6289952b62p-8, -0x1.ff53f821fd199p-9, -0x1.ede6019321702p-9, -0x1.dcfeccc197ca6p-9, -0x1.cc9acd0a20008p-9, -0x1.bcb6899e197bcp-9, -0x1.ad4e9d36dfd7fp-9, -0x1.9e5fb5c945eb3p-9, -0x1.8fe6943881d0bp-9, -0x1.81e00c09a2df2p-9, -0x1.74490316e037dp-9, -0x1.671e714329c28p-9, -0x1.5a5d602e19fdfp-9, -0x1.4e02eae7be271p-9, -0x1.420c3da4f4afcp-9, -0x1.36769573f82ddp-9, -0x1.2b3f3ff16aa5p-9, -0x1.20639afdb8126p-9, -0x1.15e1147337cf2p-9, -0x1.0bb529dc391eap-9, -0x1.01dd6829eeaacp-9, -0x1.f0aed6d7d67a6p-10, -0x1.de41bd0ffa194p-10, -0x1.cc6ef5e616dd4p-10, -0x1.bb3210d47930cp-10, -0x1.aa86b9595c9a7p-10, -0x1.9a68b66c60c47p-10, -0x1.8ad3e9f4c4abap-10, -0x1.7bc45041678c4p-10, -0x1.6d35ff829e2d9p-10, -0x1.5f252744df3aap-10, -0x1.518e0fecec27ap-10, -0x1.446d1a36252ap-10, -0x1.37bebeb1ec876p-10, -0x1.2b7f8d48c0fe7p-10, -0x1.1fac2cbd8581ep-10, -0x1.14415a31c888p-10, -0x1.093be8ab73a37p-10, -0x1.fd31813a2bbc7p-11, -0x1.e8a9bede04671p-11, -0x1.d4daae1521c58p-11, -0x1.c1be9ace4964ap-11, -0x1.af4ff831d8811p-11, -0x1.9d895fc164ab3p-11, -0x1.8c65907c3a901p-11, -0x1.7bdf6e06c6c86p-11, -0x1.6bf1ffd552bbcp-11, -0x1.5c98705a96a01p-11, -0x1.4dce0c3a254f7p-11, -0x1.3f8e417c7de13p-11, -0x1.31d49ec84e45cp-11, -0x1.249cd29e4ed8p-11, -0x1.17e2aa98aba8p-11, -0x1.0ba212adc6cf9p-11, -0x1.ffae28edb1c6fp-12, -0x1.e8fbacf2f0fc3p-12, -0x1.d32536e7a5ab7p-12, -0x1.be23835a55dbp-12, -0x1.a9ef849288bd1p-12, -0x1.9682613e0405fp-12, -0x1.83d573246faa2p-12, -0x1.71e245e2af173p-12, -0x1.60a295aa9aeb4p-12, -0x1.50104e090a90dp-12, -0x1.402588b3e6325p-12, -0x1.30dc8c5ca63c8p-12, -0x1.222fcb89be97bp-12, -0x1.1419e37611436p-12, -0x1.06959af65a5dfp-12, -0x1.f33bc2c7dd065p-13, -0x1.da5b9b1a8a351p-13, -0x1.c2813959a8ad1p-13, -0x1.aba362ca568dfp-13, -0x1.95b9258539b6ep-13, -0x1.80b9d6861e354p-13, -0x1.6c9d0fc551e56p-13, -0x1.595aae5b70818p-13, -0x1.46ead0afaaf1p-13, -0x1.3545d4b051161p-13, -0x1.246456181d9eep-13, -0x1.143f2cb949b89p-13, -0x1.04cf6ad5ed7abp-13, -0x1.ec1cb703a01b9p-14, -0x1.cfeb0218701e3p-14, -0x1.b4fd26e7e7491p-14, -0x1.9b46fdc8018acp-14, -0x1.82bcc475ad884p-14, -0x1.6b531b336d515p-14, -0x1.54ff01f96486p-14, -0x1.3fb5d5b746af8p-14, -0x1.2b6d4da825f96p-14, -0x1.181b78b51e60dp-14, -0x1.05b6bae895153p-14, -0x1.e86b95e306fa7p-15, -0x1.c71f5f71dce7dp-15, -0x1.a7777c083eb4dp-15, -0x1.89632c4cd67d3p-15, -0x1.6cd2438897102p-15, -0x1.51b523445031bp-15, -0x1.37fcb704ba5fdp-15, -0x1.1f9a7020f8b9bp-15, -0x1.088041b92761cp-15, -0x1.e5413985cb23bp-16, -0x1.bbdcd866579a2p-16, -0x1.94ba228224061p-16, -0x1.6fc0bf876268fp-16, -0x1.4cd93548b511dp-16, -0x1.2bece0daab93cp-16, -0x1.0ce5efd532eeep-16, -0x1.df5eb3aabf0f4p-17, -0x1.a869b43905be9p-17, -0x1.74c5d2c1fbc09p-17, -0x1.444d6f96525f4p-17, -0x1.16dc4e432be21p-17, -0x1.d89f143eba832p-18, -0x1.890b16ad96c5bp-18, -0x1.3ebbf814b6e57p-18, -0x1.f2e6f7b51130cp-19, -0x1.71eb808f0eddep-19, -0x1.f424aaea2e527p-20, -0x1.15d951cbee178p-20, -0x1.207f8154d45a3p-22, 0x1.d7520914f4f05p-22, 0x1.24c8b8321988bp-20, 0x1.c579f0e4a7a9ap-20, 0x1.2c4ef60c51e6cp-19, 0x1.6f719cccc03a2p-19, 0x1.ac78bbd6e8578p-19, 0x1.e3b4c7dfdf13fp-19, 0x1.0ab97c50d6031p-18, 0x1.20feb2935899fp-18, 0x1.34cd8fd3ec78cp-18, 0x1.4648282f28c83p-18, 0x1.558f27a3eee9fp-18, 0x1.62c1ded8add82p-18, 0x1.6dfe4f3b909acp-18, 0x1.776136e5c208bp-18, 0x1.7f061c16852bcp-18, 0x1.8507585077157p-18, 0x1.897e2324ac474p-18, 0x1.8c829ca00e505p-18, 0x1.8e2bd77ed376p-18, 0x1.8e8fe2e79a885p-18, 0x1.8dc3d3e97adccp-18, 0x1.8bdbceb26affbp-18, 0x1.88eb0f7ad50cp-18, 0x1.8503f316fe5a5p-18, 0x1.8037ff54a2dc2p-18, 0x1.7a97eb0d50e0ep-18, 0x1.7433a5e0e22a8p-18, 0x1.6d1a5fdca3439p-18, 0x1.655a90bf43f96p-18, 0x1.5d01ff060730bp-18, 0x1.541dc6bdb2f27p-18, 0x1.4aba6021c229bp-18, 0x1.40e3a60067d73p-18, 0x1.36a4dbd8d0171p-18, 0x1.2c08b3e0ed13ap-18, 0x1.211954c784486p-18, 0x1.15e05f25db006p-18, 0x1.0a66f3078322cp-18, 0x1.fd6b6a05c741ep-19, 0x1.e5a9a685007a5p-19, 0x1.cd9814b375948p-19, 0x1.b54553dff8a7bp-19, 0x1.9cbf3282d1a34p-19, 0x1.8412b6e3dd23fp-19, 0x1.6b4c2795f58eep-19, 0x1.52771388f001cp-19, 0x1.399e59bed4dp-19, 0x1.20cc30e3129fp-19, 0x1.080a2e8895cebp-19, 0x1.dec29c5a7bfdcp-20, 0x1.adb3efd1a57aep-20, 0x1.7cf80df3ad939p-20, 0x1.4c9da0033efebp-20, 0x1.1cb24de74ba5p-20, 0x1.da8593f6abf0cp-21, 0x1.7cb5b85c24291p-21, 0x1.200ad991266bbp-21, 0x1.89323a85e3d8p-22, 0x1.a9cc494728122p-23, 0x1.1a9c3ed81b564p-25, -0x1.16cccfe7bc612p-23, -0x1.372b35f37663ap-22, -0x1.dfe10a4876b49p-22, -0x1.42b8448405637p-21, -0x1.93e25a04eb61fp-21, -0x1.e36565aa6c8ap-21, -0x1.189c8c17626d8p-20, -0x1.3eab12a266f34p-20, -0x1.63db1b1260b9cp-20, -0x1.8829ee5970e15p-20, -0x1.ab954396f0f08p-20, -0x1.ce1b3a2de909ep-20, -0x1.efba54266a10cp-20, -0x1.0838b84de2461p-19, -0x1.181fe34ad619bp-19, -0x1.2792701a6a709p-19, -0x1.36904add61803p-19, -0x1.4519847d74cb8p-19, -0x1.532e508424e79p-19, -0x1.60cf02fdaf41ep-19, -0x1.6dfc0e7a1031fp-19, -0x1.7ab602174c0efp-19, -0x1.86fd87ba0f42p-19, -0x1.92d36248846e4p-19, -0x1.9e386bf1bf485p-19, -0x1.a92d9496edc3cp-19, -0x1.b3b3e0512b866p-19, -0x1.bdcc65f09d33dp-19, -0x1.c7784d98cb5ep-19, -0x1.d0b8cf6c569ebp-19, -0x1.d98f3251b83d4p-19, -0x1.e1fccab27b0a9p-19, -0x1.ea02f958e0cd1p-19, -0x1.f1a32a50840f8p-19, -0x1.f8ded3f282a75p-19, -0x1.ffb775d177b8ap-19, -0x1.03174be75fdbap-18, -0x1.0622e49bdfb97p-18, -0x1.08ff4ff63fff3p-18, -0x1.0bad5bc6c890fp-18, -0x1.0e2dd85eb68dbp-18, -0x1.1081983281fedp-18, -0x1.12a96f84648bep-18, -0x1.14a6340e4b74cp-18, -0x1.1678bcb08d9f4p-18, -0x1.1821e12b61f5ap-18, -0x1.19a279dac04eep-18, -0x1.1afb5f7120622p-18, -0x1.1c2d6ab95298p-18, -0x1.1d39745ce428ap-18, -0x1.1e2054ab0cb57p-18, -0x1.1ee2e36724707p-18, -0x1.1f81f794f5785p-18, -0x1.1ffe674dfb297p-18, -0x1.20590797a692p-18, -0x1.2092ac385c0b3p-18, -0x1.20ac279213b4ap-18, -0x1.20a64a7f67ef6p-18, -0x1.2081e4355c66bp-18, -0x1.203fc2248d7bap-18, -0x1.1fe0afddbef1ep-18, -0x1.1f6576f7a8869p-18, -0x1.1ecedef653bf4p-18, -0x1.1e1dad377e138p-18, -0x1.1d52a4db8f279p-18, -0x1.1c6e86b5a3ff6p-18, -0x1.1b72113a8fde9p-18, -0x1.1a5e00740392dp-18, -0x1.19330dee8527ep-18, -0x1.17f1f0af962d2p-18, -0x1.169b5d2ad3676p-18, -0x1.153005381e427p-18, -0x1.13b0980c3a9a1p-18, -0x1.121dc23138a12p-18, -0x1.10782d804e918p-18, -0x1.0ec0811c2e956p-18, -0x1.0cf7616f2fcfbp-18, -0x1.0b1d70248f487p-18, -0x1.09334c2878dbep-18, -0x1.073991a5f8a22p-18, -0x1.0530da07cbe66p-18, -0x1.0319bbf656973p-18, -0x1.00f4cb5866b22p-18, -0x1.fd8532ac4105bp-19, -0x1.f90768b25aa89p-19, -0x1.f471501fafa49p-19, -0x1.efc3fae237f21p-19, -0x1.eb00757cdc653p-19, -0x1.e627c71305a7p-19, -0x1.e13af1706c872p-19, -0x1.dc3af1105626cp-19, -0x1.d728bd28c0f27p-19, -0x1.d20547b6aef46p-19, -0x1.ccd17d89886aap-19, -0x1.c78e46506a154p-19, -0x1.c23c84a3e140fp-19, -0x1.bcdd161647c37p-19, -0x1.b770d34068cf6p-19, -0x1.b1f88fcdd2c58p-19, -0x1.ac751a8db0dc5p-19, -0x1.a6e73d82d668cp-19, -0x1.a14fbdedf0814p-19, -0x1.9baf5c6386037p-19, -0x1.9606d4d7313c1p-19, -0x1.9056deabcdc61p-19, -0x1.8aa02cc4829ebp-19, -0x1.84e36d941ab9cp-19, -0x1.7f214b2faa1a1p-19, -0x1.795a6b5ca54f6p-19, -0x1.738f6fa1b4c6cp-19, -0x1.6dc0f559c07f2p-19, -0x1.67ef95c094dd2p-19, -0x1.621be6055dae6p-19, -0x1.5c46775d15a59p-19, -0x1.566fd71106c29p-19, -0x1.50988e8f67732p-19, -0x1.4ac1237e8a052p-19, -0x1.44ea17cae9c3ap-19, }}, 
      {{-0x1.6b53cddfa04f1p-1, -0x1.6b8b88544276ep-1, -0x1.6bdce34b0b339p-1, -0x1.6c3b49c150a07p-1, -0x1.6c99ef1425144p-1, -0x1.6ced21e2c68ep-1, -0x1.6d2affeb367ccp-1, -0x1.6d4bc0f50e85bp-1, -0x1.6d49bec2406a5p-1, -0x1.6d21544a21532p-1, -0x1.6cd0a622dee62p-1, -0x1.6c576010969abp-1, -0x1.6bb66f8b39d45p-1, -0x1.6aefc02bd53f8p-1, -0x1.6a05fcf7e44c1p-1, -0x1.68fc58297b344p-1, -0x1.67d65a2ca532cp-1, -0x1.6697b7f2a9b67p-1, -0x1.6544305b135d6p-1, -0x1.63df7037367e9p-1, -0x1.626cfc4be3e4ep-1, -0x1.60f020a5a6ceep-1, -0x1.5f6be49099978p-1, -0x1.5de302897e5c7p-1, -0x1.5c57e3876dcc9p-1, -0x1.5acc9d0a2c1b1p-1, -0x1.5942f1677ad89p-1, -0x1.57bc51e0a89ecp-1, -0x1.5639e21864ea9p-1, -0x1.54bc7c8f12996p-1, -0x1.5344b7d91f1f9p-1, -0x1.51d2ec4f1caeep-1, -0x1.50673a0265b5ap-1, -0x1.4f018ecae7c3fp-1, -0x1.4da1ac4b51136p-1, -0x1.4c472dd066aa6p-1, -0x1.4af18df6abd69p-1, -0x1.49a02c0705bcp-1, -0x1.485250ff9057bp-1, -0x1.47073441a6f3dp-1, -0x1.45bdffe13c1dap-1, -0x1.4475d49414bc9p-1, -0x1.432dcd4178beap-1, -0x1.41e502346e2d1p-1, -0x1.409a8bf3bbe97p-1, -0x1.3f4d85c3ca5f6p-1, -0x1.3dfd0fd709989p-1, -0x1.3ca85131ede73p-1, -0x1.3b4e7947bb481p-1, -0x1.39eec1557a5a2p-1, -0x1.38886d805c774p-1, -0x1.371acdbcc074p-1, -0x1.35a53e82dc0afp-1, -0x1.34272955d6fa9p-1, -0x1.32a00521e865fp-1, -0x1.310f5675c1c36p-1, -0x1.2f74af9b5661fp-1, -0x1.2dcfb093ba57ap-1, -0x1.2c2006f99ffafp-1, -0x1.2a656dcda8953p-1, -0x1.289fad2f84af5p-1, -0x1.26ce9a069feb5p-1, -0x1.24f2159cd6227p-1, -0x1.230a0d2d7a0fap-1, -0x1.2116796ac0cf3p-1, -0x1.1f175dfb723f3p-1, -0x1.1d0cc8f28fe73p-1, -0x1.1af6d2427bcep-1, -0x1.18d59b2cfc726p-1, -0x1.16a94db15b008p-1, -0x1.14721bf9af14ep-1, -0x1.12303fc8540eep-1, -0x1.0fe3f9e662c0dp-1, -0x1.0d8d9193ebf1dp-1, -0x1.0b2d53fa9f003p-1, -0x1.08c393a36bca9p-1, -0x1.0650a7ef9be8cp-1, -0x1.03d4ec95cb356p-1, -0x1.0150c1231a0afp-1, -0x1.fd891101bb2fep-2, -0x1.f86150fe17476p-2, -0x1.f32b12c7186b2p-2, -0x1.ede72afd23539p-2, -0x1.e89671881e582p-2, -0x1.e339c0d4b6752p-2, -0x1.ddd1f51bfd43p-2, -0x1.d85febb562827p-2, -0x1.d2e48272f25f3p-2, -0x1.cd609707b61b2p-2, -0x1.c7d50678114eep-2, -0x1.c242ac93e7da6p-2, -0x1.bcaa637a5125ep-2, -0x1.b70d0326972bap-2, -0x1.b16b61063d8e8p-2, -0x1.abc64f97c2054p-2, -0x1.a61e9e11c8b18p-2, -0x1.a075181265a99p-2, -0x1.9aca8556298b6p-2, -0x1.951fa976a2d0bp-2, -0x1.8f7543aff7f7ap-2, -0x1.89cc0ead48431p-2, -0x1.8424c05b7a3a1p-2, -0x1.7e8009c224576p-2, -0x1.78de96e23862fp-2, -0x1.73410e9a216a7p-2, -0x1.6da8128eff76ap-2, -0x1.68143f1ab1d3ap-2, -0x1.62862b3e6527ap-2, -0x1.5cfe68995238bp-2, -0x1.577d83636d2b2p-2, -0x1.5204026bb60f1p-2, -0x1.4c926719eaf66p-2, -0x1.47292d735a0c6p-2, -0x1.41c8cc2290d5p-2, -0x1.3c71b481b0477p-2, -0x1.372452a729143p-2, -0x1.31e10d74ad80fp-2, -0x1.2ca846a81c9b5p-2, -0x1.277a5aee407d1p-2, -0x1.2257a1f722f29p-2, -0x1.1d406e8bda28fp-2, -0x1.18350ea599efcp-2, -0x1.1335cb85e3bbdp-2, -0x1.0e42e9cfb38cap-2, -0x1.095ca9a18615bp-2, -0x1.048346b013399p-2, -0x1.ff6df0c34a2dfp-3, -0x1.f5efe3d3d395p-3, -0x1.ec8cc4cc53cedp-3, -0x1.e344e9f38d416p-3, -0x1.da18a1d5ddd79p-3, -0x1.d108337ee1922p-3, -0x1.c813deb32bf76p-3, -0x1.bf3bdc29fb5acp-3, -0x1.b6805dc6b3d87p-3, -0x1.ade18ed21cbefp-3, -0x1.a55f943332a86p-3, -0x1.9cfa8ca775a2bp-3, -0x1.94b290faafe29p-3, -0x1.8c87b43e0ac75p-3, -0x1.847a03fe706edp-3, -0x1.7c89887a1cd15p-3, -0x1.74b644d55f46bp-3, -0x1.6d00374e704fep-3, -0x1.6567597061cbep-3, -0x1.5deba0450bb13p-3, -0x1.568cfc86027c4p-3, -0x1.4f4b5acc8318bp-3, -0x1.4826a3c05282cp-3, -0x1.411ebc458bd9ap-3, -0x1.3a3385a95dc3dp-3, -0x1.3364ddcdad791p-3, -0x1.2cb29f53a67acp-3, -0x1.261ca1c52aaa7p-3, -0x1.1fa2b9bd2ff05p-3, -0x1.1944b90eff20cp-3, -0x1.13026eec60726p-3, -0x1.0cdba80ab03bep-3, -0x1.06d02ec6dbfb8p-3, -0x1.00dfcb485235p-3, -0x1.f6148745c3436p-4, -0x1.ea9eb7ef20fe5p-4, -0x1.df5dad28c65e8p-4, -0x1.d450e8264e8ecp-4, -0x1.c977e6ee79cb4p-4, -0x1.bed22494bad67p-4, -0x1.b45f1970e9704p-4, -0x1.aa1e3b54fbe88p-4, -0x1.a00efdc0f3c6cp-4, -0x1.9630d214e9d3bp-4, -0x1.8c8327c15414fp-4, -0x1.83056c7595901p-4, -0x1.79b70c4cc9949p-4, -0x1.709771f8ed636p-4, -0x1.67a606ec6290bp-4, -0x1.5ee23381db8c8p-4, -0x1.564b5f22ba957p-4, -0x1.4de0f06bea1fep-4, -0x1.45a24d513d1ddp-4, -0x1.3d8edb3f5fc6ep-4, -0x1.35a5ff3c5f8f5p-4, -0x1.2de71e06d6cbap-4, -0x1.26519c33c68f8p-4, -0x1.1ee4de4b240ep-4, -0x1.17a048e327627p-4, -0x1.108340ba61e89p-4, -0x1.098d2ad0a5d22p-4, -0x1.02bd6c7ec8d39p-4, -0x1.f826d71a923cap-5, -0x1.eb1d1c93b9d98p-5, -0x1.de5c7737f459fp-5, -0x1.d1e3b630a90d8p-5, -0x1.c5b1aa26c59bp-5, -0x1.b9c52565e35a3p-5, -0x1.ae1cfbfd8d763p-5, -0x1.a2b803e0c34cp-5, -0x1.97951503bdb46p-5, -0x1.8cb309780767p-5, -0x1.8210bd86fa6a4p-5, -0x1.77ad0fcaa9f27p-5, -0x1.6d86e1454b559p-5, -0x1.639d1577262dp-5, -0x1.59ee927320655p-5, -0x1.507a40f1ea1cep-5, -0x1.473f0c63d870cp-5, -0x1.3e3be3017e007p-5, -0x1.356fb5db0b00cp-5, -0x1.2cd978e679ccdp-5, -0x1.2478230ca03ap-5, -0x1.1c4aae3523948p-5, -0x1.145017515fcc6p-5, -0x1.0c875e664af93p-5, -0x1.04ef86955fc39p-5, -0x1.fb0f2c492b784p-6, -0x1.ec9d2d0ae5144p-6, -0x1.de8728b67e64cp-6, -0x1.d0cb3f00c9f8ap-6, -0x1.c3679615fd3e1p-6, -0x1.b65a5aa14b9d8p-6, -0x1.a9a1bfd306fe1p-6, -0x1.9d3bff6553c85p-6, -0x1.9127599f86ea7p-6, -0x1.85621558386ccp-6, -0x1.79ea7ff613086p-6, -0x1.6ebeed6f7d996p-6, -0x1.63ddb84917638p-6, -0x1.594541932c74cp-6, -0x1.4ef3f0e6162fbp-6, -0x1.44e8345da36efp-6, -0x1.3b2080939bf59p-6, -0x1.319b50994a10bp-6, -0x1.285725f03e7cap-6, -0x1.1f5288823cf58p-6, -0x1.168c06986528bp-6, -0x1.0e0234d1aa511p-6, -0x1.05b3ae188ab8ap-6, -0x1.fb3e273064161p-7, -0x1.eb861961f237p-7, -0x1.dc3c8dd898859p-7, -0x1.cd5eebe01c4ccp-7, -0x1.beeaa6e2e9994p-7, -0x1.b0dd3e4ed5ae3p-7, -0x1.a3343d79004c4p-7, -0x1.95ed3b80df0cfp-7, -0x1.8905db32743a9p-7, -0x1.7c7bcae7e0fep-7, -0x1.704cc46a3c5eap-7, -0x1.64768cd1c869p-7, -0x1.58f6f465a7435p-7, -0x1.4dcbd67af5724p-7, -0x1.42f3195378df9p-7, -0x1.386aadfbd03b4p-7, -0x1.2e30902956c84p-7, -0x1.2442c61797ff5p-7, -0x1.1a9f60657d629p-7, -0x1.114479f236efcp-7, -0x1.083037b9e79d6p-7, -0x1.fec191642ce8cp-8, -0x1.eda8cb4c0ca8dp-8, -0x1.dd12a225ab20ap-8, -0x1.ccfbae072d937p-8, -0x1.bd6099da900aap-8, -0x1.ae3e23158d95ap-8, -0x1.9f9119717fcfap-8, -0x1.91565ea33b04dp-8, -0x1.838ae612f2394p-8, -0x1.762bb4945d0d2p-8, -0x1.6935e01edec15p-8, -0x1.5ca68f85f1599p-8, -0x1.507afa31d254fp-8, -0x1.44b067d870b26p-8, -0x1.39443036be52cp-8, -0x1.2e33baca440ffp-8, -0x1.237c7e8b293b9p-8, -0x1.191c01a6a583bp-8, -0x1.0f0fd939e2062p-8, -0x1.0555a90d65285p-8, -0x1.f7d646a1d2c95p-9, -0x1.e59c10afa010dp-9, -0x1.d3f84cac22f55p-9, -0x1.c2e6b23bb14d4p-9, -0x1.b26313bb5374fp-9, -0x1.a2695dbe560e4p-9, -0x1.92f5968d116p-9, -0x1.8403dda521708p-9, -0x1.75906b3aee34fp-9, -0x1.67978fbc88568p-9, -0x1.5a15b355f3e28p-9, -0x1.4d075576d2421p-9, -0x1.40690c599ac39p-9, -0x1.3437848c3ece7p-9, -0x1.286f807a4c555p-9, -0x1.1d0dd7f87fe34p-9, -0x1.120f77d1ff1fbp-9, -0x1.07716156e8788p-9, -0x1.fa6153d97879ap-10, -0x1.e694f540325a2p-10, -0x1.d3781f700517cp-10, -0x1.c1057095b2afdp-10, -0x1.af37aba9a7879p-10, -0x1.9e09b7a047cc8p-10, -0x1.8d769e9d4fd65p-10, -0x1.7d798d2a117ep-10, -0x1.6e0dd16f3cef5p-10, -0x1.5f2eda71b6d9ap-10, -0x1.50d837527e416p-10, -0x1.4305969213a92p-10, -0x1.35b2c55678828p-10, -0x1.28dbaeb4aa557p-10, -0x1.1c7c5afd2ea88p-10, -0x1.1090ef0bafa8ep-10, -0x1.0515ab99e8841p-10, -0x1.f40dd92a8f10bp-11, -0x1.dec250efadafp-11, -0x1.ca41df483f91fp-11, -0x1.b685d78813c3p-11, -0x1.a387be5585c77p-11, -0x1.91414873d3767p-11, -0x1.7fac599212cfp-11, -0x1.6ec30320c0a6fp-11, -0x1.5e7f832d25a56p-11, -0x1.4edc43420eb43p-11, -0x1.3fd3d74ee17edp-11, -0x1.3160fc93952a4p-11, -0x1.237e9892661a2p-11, -0x1.1627b8072ce2ap-11, -0x1.09578de3e3fddp-11, -0x1.fa12e4a55dce3p-12, -0x1.e271c37b2c5dcp-12, -0x1.cbc2f7b58966fp-12, -0x1.b5fe057c14b6bp-12, -0x1.a11ab3dfbe9dfp-12, -0x1.8d110b121f81bp-12, -0x1.79d952a6bd3f3p-12, -0x1.676c0fdf048e3p-12, -0x1.55c203ff0cd57p-12, -0x1.44d42aaae9a5ep-12, -0x1.349bb84f70f4cp-12, -0x1.251218925cbccp-12, -0x1.1630eccc78a1p-12, -0x1.07f20a8c830b3p-12, -0x1.f49ef4465f4f4p-13, -0x1.da86ea6d52a14p-13, -0x1.c190cabec7765p-13, -0x1.a9b1c59a8fcc3p-13, -0x1.92df65e994829p-13, -0x1.7d0f8e88bbaf6p-13, -0x1.683877c43d4fbp-13, -0x1.5450acdf998e7p-13, -0x1.414f09b03b295p-13, -0x1.2f2ab84553a52p-13, -0x1.1ddb2e9e86a28p-13, -0x1.0d582c714a358p-13, -0x1.fb3371faaca45p-14, -0x1.dd3041dc5d008p-14, -0x1.c097e892012bep-14, -0x1.a55c08d3de998p-14, -0x1.8b6ec41b4e77cp-14, -0x1.72c2b6cfc2dbp-14, -0x1.5b4af48c641e4p-14, -0x1.44fb0480d3ae4p-14, -0x1.2fc6dde728b15p-14, -0x1.1ba2e491569dbp-14, -0x1.0883e59120d3p-14, -0x1.ecbe27e66fc41p-15, -0x1.ca540b2645d9p-15, -0x1.a9b56007bdaccp-15, -0x1.8acecb1bb31c8p-15, -0x1.6d8da4839534ap-15, -0x1.51dff23efee6dp-15, -0x1.37b462a1ea69ep-15, -0x1.1efa46f183445p-15, -0x1.07a18e2757962p-15, -0x1.e3357fb83cfa3p-16, -0x1.b9adeea602f69p-16, -0x1.928fbd53cd1e7p-16, -0x1.6dbf545841a0fp-16, -0x1.4b22278e598cep-16, -0x1.2a9ead4788342p-16, -0x1.0c1c55b025e25p-16, -0x1.df0705015911ep-17, -0x1.a97afdd161bf2p-17, -0x1.7768ef69be38bp-17, -0x1.48a6e75a5a24cp-17, -0x1.1d0c985bb08e7p-17, -0x1.e8e697ec391cbp-18, -0x1.9d6ba9289f5c2p-18, -0x1.5760fffa81e92p-18, -0x1.1682146635948p-18, -0x1.b51a4303d3923p-19, -0x1.468619891a357p-19, -0x1.c19d384d27089p-20, -0x1.06ff623ff88dep-20, -0x1.71504245c6072p-22, 0x1.f9d1097aacb32p-23, 0x1.98ef600ac1942p-21, 0x1.4c28834d04d8fp-20, 0x1.bf083bfb05857p-20, 0x1.12e540bec2adfp-19, 0x1.408da60fad452p-19, 0x1.68cf9674696b1p-19, 0x1.8bf9c9c44575cp-19, 0x1.aa5788d2ddf74p-19, 0x1.c430ce1b1071ep-19, 0x1.d9ca6551a3ad2p-19, 0x1.eb660a084503fp-19, 0x1.f942853837dd5p-19, 0x1.01cde4f697e5bp-18, 0x1.05558867f5d36p-18, 0x1.0753797fa3f68p-18, 0x1.07e1c1f48961fp-18, 0x1.07193524e6dffp-18, 0x1.05117c21aed67p-18, 0x1.01e12166747bdp-18, 0x1.fb3b381ba2c3ap-19, 0x1.f0b6b59a47126p-19, 0x1.e45b9cd9fe5ebp-19, 0x1.d64ee7db0387ep-19, 0x1.c6b3bcb0846p-19, 0x1.b5ab807621aedp-19, 0x1.a355e97ee53cep-19, 0x1.8fd1110f9615cp-19, 0x1.7b39845474e27p-19, 0x1.65aa54b49e055p-19, 0x1.4f3d27ca86df3p-19, 0x1.380a468975372p-19, 0x1.2028abf9b365bp-19, 0x1.07ae135eaed12p-19, 0x1.dd5e0bd4916dp-20, 0x1.aa7dcfab03dbep-20, 0x1.76e00a3792f01p-20, 0x1.42a73b5ed6b2bp-20, 0x1.0df3e2492fa77p-20, 0x1.b1c92877c3911p-21, 0x1.472c248d9731p-21, 0x1.b88d7915bb652p-22, 0x1.c52e77d6115c6p-23, 0x1.9a91be924fb27p-27, -0x1.90c3511366c1dp-23, -0x1.9cb84bb43dd45p-22, -0x1.37f0e353d663bp-21, -0x1.a0cae4ddb8a5ap-21, -0x1.046442b962e28p-20, -0x1.37e54210b37fap-20, -0x1.6ad9f34bcb087p-20, -0x1.9d34ee921bd8cp-20, -0x1.cee9d3ba3828bp-20, -0x1.ffed3d540e75ap-20, -0x1.181a5a25b2902p-19, -0x1.2fdb51e4a5f0ap-19, -0x1.473526e8b3f45p-19, -0x1.5e23e022f906cp-19, -0x1.74a3e530f8522p-19, -0x1.8ab1f949c77e3p-19, -0x1.a04b366cda39cp-19, -0x1.b56d08c6b079fp-19, -0x1.ca152a32bce0bp-19, -0x1.de419e024d5a1p-19, -0x1.f1f0ad00529dap-19, -0x1.029070b9ce677p-18, -0x1.0be881bddb506p-18, -0x1.15000abf9e582p-18, -0x1.1dd6a8619e488p-18, -0x1.266c1119a861cp-18, -0x1.2ec013a4d8e6cp-18, -0x1.36d2958cbc269p-18, -0x1.3ea391bcd26d8p-18, -0x1.4633172c0767bp-18, -0x1.4d814795b76a8p-18, -0x1.548e5641ed0a5p-18, -0x1.5b5a86d9984eep-18, -0x1.61e62c4b4104dp-18, -0x1.6831a7bb69c1fp-18, -0x1.6e3d6784c2d1bp-18, -0x1.7409e643e49bcp-18, -0x1.7997a9f030934p-18, -0x1.7ee742fc4bb3bp-18, -0x1.83f94b85aaf43p-18, -0x1.88ce66899965ep-18, -0x1.8d673f2f2c3afp-18, -0x1.91c48810d5632p-18, -0x1.95e6fa944fa5fp-18, -0x1.99cf564573d13p-18, -0x1.9d7e6040c79dep-18, -0x1.a0f4e2a2fbe5p-18, -0x1.a433abfcefc9fp-18, -0x1.a73b8edc7692ap-18, -0x1.aa0d614aeebdfp-18, -0x1.aca9fc5acba6cp-18, -0x1.af123bbe22255p-18, -0x1.b146fd613deb8p-18, -0x1.b349210a0e456p-18, -0x1.b51987fe86f59p-18, -0x1.b6b914acfc5b5p-18, -0x1.b828aa61e0a2ap-18, -0x1.b9692cf765e24p-18, -0x1.ba7b8091e42dap-18, -0x1.bb608963165d9p-18, -0x1.bc192b68307b5p-18, -0x1.bca64a315924dp-18, -0x1.bd08c8ae40f4p-18, -0x1.bd4188fd6019dp-18, -0x1.bd516c3eb25adp-18, -0x1.bd395265c4607p-18, -0x1.bcfa1a156ef57p-18, -0x1.bc94a07c66f89p-18, -0x1.bc09c12fabfabp-18, -0x1.bb5a560e491f1p-18, -0x1.ba873727babf5p-18, -0x1.b9913a9e7d7c4p-18, -0x1.b8793492fb24cp-18, -0x1.b73ff70c67002p-18, -0x1.b5e651e8f8d9ap-18, -0x1.b46d12ca210c1p-18, -0x1.b2d505051a4f4p-18, -0x1.b11ef1938d1a8p-18, -0x1.af4b9f0cee8b2p-18, -0x1.ad5bd1969addbp-18, -0x1.ab504adc3f9fap-18, -0x1.a929ca0a85789p-18, -0x1.a6e90bc4e97b3p-18, -0x1.a48eca22753e1p-18, -0x1.a21bbca9941dap-18, -0x1.9f90984ccd5ap-18, -0x1.9cee0f6985045p-18, -0x1.9a34d1c5f4e4bp-18, -0x1.97658c8e48036p-18, -0x1.9480ea5761b94p-18, -0x1.91879320717f4p-18, -0x1.8e7a2c52f3cbfp-18, -0x1.8b5958c6ccf6cp-18, -0x1.8825b8c50c89p-18, -0x1.84dfea0865b94p-18, -0x1.818887c5dbf1ep-18, -0x1.7e202aad0c071p-18, -0x1.7aa768ef87ccap-18, -0x1.771ed646402fbp-18, -0x1.738703f5b087cp-18, -0x1.6fe080d32b93ep-18, -0x1.6c2bd94b5d735p-18, -0x1.686997695311bp-18, -0x1.649a42dc47b0fp-18, -0x1.60be60ff917a4p-18, -0x1.5cd674e126a24p-18, -0x1.58e2ff4655f5ep-18, -0x1.54e47eb6c727p-18, -0x1.50db6f8094d22p-18, -0x1.4cc84bc0ad819p-18, -0x1.48ab8b6af871fp-18, -0x1.4485a451e758ap-18, -0x1.40570a2c3f511p-18, -0x1.3c202e9d0b30fp-18, -0x1.37e1813c94276p-18, -0x1.339b6f9db2c26p-18, -0x1.2f4e6556f88dep-18, -0x1.2afacc0a1ef8fp-18, -0x1.26a10b6af111dp-18, -0x1.22418945b4b55p-18, -0x1.1ddca98939e5p-18, -0x1.1972ce4acc297p-18, -0x1.150457cf09c1ap-18, -0x1.1091a4914468bp-18, -0x1.0c1b114a4ed33p-18, -0x1.07a0f8f704feep-18, -0x1.0323b4dec8fb7p-18, -0x1.fd473937ade92p-19, -0x1.f4420c4002fc6p-19, -0x1.eb388b777200dp-19, -0x1.e22b5c4c9a0b7p-19, -0x1.d91b21039dd39p-19, -0x1.d00878c5d9aa5p-19, -0x1.c6f3ffae289d3p-19, -0x1.bdde4ed28c534p-19, -0x1.b4c7fc50319efp-19, -0x1.abb19b5991357p-19, -0x1.a29bbc4009b5ep-19, -0x1.9986ec80655c1p-19, -0x1.9073b6cb10ee3p-19, -0x1.8762a312e02afp-19, -0x1.7e5436941c6a3p-19, -0x1.7548f3de6a28bp-19, -0x1.6c415ae18f4abp-19, -0x1.633de8f822fe7p-19, -0x1.5a3f18ec43b08p-19, -0x1.514563068c79ap-19, -0x1.48513d14719f6p-19, -0x1.3f631a701582p-19, -0x1.367b6c0b142a2p-19, -0x1.2d9aa07673e29p-19, -0x1.24c123ed6e779p-19, -0x1.1bef605a70f4bp-19, -0x1.1325bd6038018p-19, -0x1.0a64a0641eeabp-19, -0x1.01ac6c90e3872p-19, -0x1.f1fb05c1f3bbfp-20, -0x1.e0b0844f65c64p-20, -0x1.cf7a0e2f01836p-20, -0x1.be58588c4cffap-20, -0x1.ad4c147175ac6p-20, -0x1.9c55eeccc4905p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      28, 0x1.1851eb851eb85p+2, -0x1.c31757aa57c29p-2, 0x1p+0, 0x1p+0, 
      {{
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.769c2f04b5143p-5, -0x1.edfb0ecda5cc2p-5, -0x1.b3372ae5d1d3fp-7, 0x1.2ecbd2497b15bp-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.5dad49285ed98p-5, -0x1.f697117fa45c1p-5, -0x1.fb135973765cp-8, 0x1.2c472884f9207p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.446d2cda14b8ap-5, -0x1.faad2d315e361p-5, -0x1.257beb4163993p-9, 0x1.2998c13af9d6dp-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.2b15800712dddp-5, -0x1.fa475d88b1c28p-5, 0x1.a4bf7e18f4011p-9, 0x1.28ed2708f8742p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.11df76a1ab01ep-5, -0x1.f56c11e4a1924p-5, 0x1.1b57c3bed213dp-7, 0x1.1a2317e62a1b8p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.f2073f0d68b1p-6, -0x1.ec38f8faef342p-5, 0x1.c4a00548eb571p-7, 0x1.fa6248f2bf531p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c16f64b2b5819p-6, -0x1.df020b2270ec4p-5, 0x1.2e45272f45913p-6, 0x1.c4bc98603bf55p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9258babddbeep-6, -0x1.ce325bcdcbf07p-5, 0x1.722e3e0a81c33p-6, 0x1.8df3db18e084p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.651a24c8a3066p-6, -0x1.ba32031489babp-5, 0x1.addf9ee7d6a38p-6, 0x1.57791a5dd0b6p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.3a000d7bf96e2p-6, -0x1.a369e59898227p-5, 0x1.e164fc75e9258p-6, 0x1.20e974266ab13p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.114c668ff55f8p-6, -0x1.8a42b12d6f471p-5, 0x1.065d9a243c933p-5, 0x1.d4becea80ddddp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d66d5197a952bp-7, -0x1.6f252255f9d59p-5, 0x1.17f18eb0f04b7p-5, 0x1.67a7b4d407b1bp-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.8fd7a80bf9603p-7, -0x1.5279f1a5cdf32p-5, 0x1.256e3f127d623p-5, 0x1.f522d1e5b8bdfp-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.4f1cde47f4dbfp-7, -0x1.34a9d8be61519p-5, 0x1.2ed3b301ff3f4p-5, 0x1.1af5caeb086a5p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.146d103504e44p-7, -0x1.161d90f900068p-5, 0x1.3421e8699a9afp-5, 0x1.032393b0e3d9p-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.bfc6cfb5c387ap-8, -0x1.ee7ba78379fbdp-6, 0x1.3558dfe7a212cp-5, -0x1.32c82b94208fdp-9}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.630c3abf25dcap-8, -0x1.b0e6b50372e16p-6, 0x1.32789918a4f7dp-5, -0x1.7390de9debfddp-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.128cee0ede06bp-8, -0x1.744dbd362d0c5p-6, 0x1.2b8114ec1557dp-5, -0x1.26df2d223d6edp-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.9c0324d46f35ap-9, -0x1.3982331dcec54p-6, 0x1.2072500799708p-5, -0x1.93f49e41151fbp-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.29f1d9a63906bp-9, -0x1.015588d2ee8f8p-6, 0x1.114c56e528a5ap-5, -0x1.00877464466c8p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.9b5f7a2054035p-10, -0x1.993267acfc002p-7, 0x1.fc1df5ee79ee4p-6, -0x1.370b8d30ee51p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.0b6594111e9f8p-10, -0x1.383d39e324a16p-7, 0x1.cd75d3f3efc8bp-6, -0x1.6db16b2585df3p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.4074cffbcb2bp-11, -0x1.c2dd71915b72p-8, 0x1.969b3714b54dep-6, -0x1.a3d940f19859fp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.55eb36e0d78cp-12, -0x1.2cd16529ebf73p-8, 0x1.57a106f0780c2p-6, -0x1.dbd77237a11c3p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.30e07020af67fp-13, -0x1.63487ed43f00ep-9, 0x1.1040b5ce86483p-6, -0x1.067d1edf4084cp-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8d7c5300ac2p-15, -0x1.51f59041b6a5p-10, 0x1.830325e3e5db1p-7, -0x1.2bda2263f6c06p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.083b0e7ea6p-17, -0x1.91416de9b4bbp-12, 0x1.9e33bc1ca39d7p-8, -0x1.1f3a4fa0cb3b6p-5}, 
        {0x1.1666666666666p+2, 0x1.1851eb851eb85p+2, 0x1.55bf6c02b8112p-23, -0x1.c8ab45a922e82p-17, 0x1.161d723b8bc43p-10, -0x1.3055f783a45p-4}, 
      }}, 
      0x1.39b6f267ad419p+1, -0x1.c2e2b7a4d62b1p+4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.8d0c82bed100bp-7, 0x1.88883acba91b8p-6, 0x1.2148ef2aaf2a4p-5, 0x1.790fec7fbdd2ep-5, 0x1.cab6a8e845a86p-5, 0x1.0ad303cb67f1fp-4, 0x1.2cc12e9a288c7p-4, 0x1.4b0f5d6b34182p-4, 0x1.65b95a7133ecap-4, 0x1.7cc910605914fp-4, 0x1.90532feb53a2ep-4, 0x1.a07474a3a4aap-4, 0x1.ad4f71ad18f5fp-4, 0x1.b70ad7ca783dap-4, 0x1.bdd0217d5f51ap-4, 0x1.c1ca8a475fae1p-4, 0x1.c326392c5c46ap-4, 0x1.c20f913ac96c3p-4, 0x1.beb2a297f4bebp-4, 0x1.b93ab7a90d326p-4, 0x1.b1d1fd7ff195p-4, 0x1.a8a13eb98870ep-4, 0x1.9dcfb2332d714p-4, 0x1.9182d9ea63d29p-4, 0x1.83de6a3b0176ap-4, 0x1.75043eb18d62ep-4, 0x1.651455430f18fp-4, 0x1.542cd0c1a141dp-4, 0x1.4269febf95fc7p-4, 0x1.2fe6647129dfep-4, 0x1.1cbaca05d5e55p-4, 0x1.08fe4e0c58c7ap-4, 0x1.e98ce976da19cp-5, 0x1.c04e75a8d24a6p-5, 0x1.96665715d6479p-5, 0x1.6bf6e1b6b1a6ep-5, 0x1.411fd1e1d312ap-5, 0x1.15fe74835d8bp-5, 0x1.d55b9346b47adp-6, 0x1.7e8d54480a45p-6, 0x1.27bfd97d4f344p-6, 0x1.a23a1f7e1ca34p-7, 0x1.eb2d8807146ffp-8, 0x1.276faf09e5376p-9, -0x1.82d8a67aac5ap-9, -0x1.09e4e5e0e8379p-7, -0x1.b17af0234a0f2p-7, -0x1.2ba3e78f5045cp-6, -0x1.7d8fcbc56f76ep-6, -0x1.ce6d4a89fced6p-6, -0x1.0f1540ada9805p-5, -0x1.365bb2604b1e9p-5, -0x1.5d02d0c599b79p-5, -0x1.83043f92905c5p-5, -0x1.a85a6322221b7p-5, -0x1.cd00551eb87e1p-5, -0x1.f0f1d8034d284p-5, -0x1.0a15a624b6e7dp-4, -0x1.1b54d33fe3429p-4, -0x1.2c353284f2ffp-4, -0x1.3cb5c33f4b52ap-4, -0x1.4cd5c0403dd8dp-4, -0x1.5c949b58bd97ap-4, -0x1.6bf1f8f449176p-4, -0x1.7aedac64acbc3p-4, -0x1.8987b3fd26202p-4, -0x1.97c0353076f68p-4, -0x1.a5977965e3dfap-4, -0x1.b30dead2e062p-4, -0x1.c024118089bb6p-4, -0x1.ccda909170766p-4, -0x1.d93223b7649bp-4, -0x1.e52b9cdc29fc6p-4, -0x1.f0c7e1f475p-4, -0x1.fc07eb0293177p-4, -0x1.03766017f1097p-3, -0x1.08bbbc0385b42p-3, -0x1.0dd49afbc84a5p-3, -0x1.12c194702dd38p-3, -0x1.178344c96e667p-3, -0x1.1c1a4ccbb9fbep-3, -0x1.208751053419p-3, -0x1.24caf94196e3fp-3, -0x1.28e5f007ae4d6p-3, -0x1.2cd8e22299a5p-3, -0x1.30a47e32131afp-3, -0x1.34497444f63f1p-3, -0x1.37c875790e766p-3, -0x1.3b2233a469f49p-3, -0x1.3e576102b0f9ap-3, -0x1.4168afeb52886p-3, -0x1.4456d28b06561p-3, -0x1.47227aa4b72ap-3, -0x1.49cc5956dcd08p-3, -0x1.4c551ee2a75dcp-3, -0x1.4ebd7a7b383f1p-3, -0x1.51061a17e3fd9p-3, -0x1.532faa5003f51p-3, -0x1.553ad62c6f8a3p-3, -0x1.57284702c66aep-3, -0x1.58f8a4666f4e1p-3, -0x1.5aac93f73c5cbp-3, -0x1.5c44b95203e85p-3, -0x1.5dc1b5fed3293p-3, -0x1.5f24295009beap-3, -0x1.606cb0586c7dfp-3, -0x1.619be5d891664p-3, -0x1.62b2622f2a0d8p-3, -0x1.63b0bb4e12129p-3, -0x1.649784b1fbd1bp-3, -0x1.65674f55fbcf9p-3, -0x1.6620a9ae90ce8p-3, -0x1.66c41fa63b3c8p-3, -0x1.67523a957ad43p-3, -0x1.67cb81416fa64p-3, -0x1.683077dc4e356p-3, -0x1.6881a0024ed93p-3, -0x1.68bf78ba6838fp-3, -0x1.68ea7e7a2b186p-3, -0x1.69032b26e902fp-3, -0x1.6909f6186eb4fp-3, -0x1.68ff541f78036p-3, -0x1.68e3b78a1b097p-3, -0x1.68b7902796c3cp-3, -0x1.687b4b50a81e5p-3, -0x1.682f53ef6d893p-3, -0x1.67d412853e4ecp-3, -0x1.6769ed3256be9p-3, -0x1.66f147bff0782p-3, -0x1.666a83a9ac8c1p-3, -0x1.65d600257d398p-3, -0x1.65341a2e09de9p-3, -0x1.64852c8e36f03p-3, -0x1.63c98feaab5fdp-3, -0x1.63019acb9c5fcp-3, -0x1.622da1a81443cp-3, -0x1.614df6f1cc469p-3, -0x1.6062eb1f574dfp-3, -0x1.5f6cccb69af6bp-3, -0x1.5e6be85912e8ap-3, -0x1.5d6088cf7cde6p-3, -0x1.5c4af7155edb6p-3, -0x1.5b2b7a6424b53p-3, -0x1.5a02583f1198dp-3, -0x1.58cfd47fb5817p-3, -0x1.579431612a6c5p-3, -0x1.564faf8b0f93cp-3, -0x1.55028e1c99c6cp-3, -0x1.53ad0ab8e9353p-3, -0x1.524f6191521b7p-3, -0x1.50e9cd6fff264p-3, -0x1.4f7c87c28867fp-3, -0x1.4e07c8a4fca5ep-3, -0x1.4c8bc6ecb5e03p-3, -0x1.4b08b832c44b8p-3, -0x1.497ed0df9fap-3, -0x1.47ee44283546cp-3, -0x1.4657443ba06dfp-3, -0x1.44ba0224cdcf2p-3, -0x1.4316ade3d029ap-3, -0x1.416d7679d006p-3, -0x1.3fbe89f5812c9p-3, -0x1.3e0a15714b2dp-3, -0x1.3c504520f7f9p-3, -0x1.3a91446019747p-3, -0x1.38cd3da966ffep-3, -0x1.37045aaf7e2d6p-3, -0x1.3536c45d3813p-3, -0x1.3364a2db422cbp-3, -0x1.318e1d98b724fp-3, -0x1.2fb35b543ff3bp-3, -0x1.2dd482218df78p-3, -0x1.2bf1b76cc469p-3, -0x1.2a0b20048ee3bp-3, -0x1.2820e01dc6a96p-3, -0x1.26331b5f90234p-3, -0x1.2441f4d98d5b3p-3, -0x1.224d8f1d21c02p-3, -0x1.20560c31e0815p-3, -0x1.1e5b8da23508fp-3, -0x1.1c5e347e1499ap-3, -0x1.1a5e215ffd41ep-3, -0x1.185b746ee4338p-3, -0x1.16564d62b2884p-3, -0x1.144ecb891bbfbp-3, -0x1.12450dc7333edp-3, -0x1.1039329cf811fp-3, -0x1.0e2b5828b20fep-3, -0x1.0c1b9c298bb76p-3, -0x1.0a0a1c008b1c9p-3, -0x1.07f6f4b5e2abp-3, -0x1.05e242f926cd2p-3, -0x1.03cc2323cd667p-3, -0x1.01b4b13b1ecep-3, -0x1.ff3811e44d92ap-4, -0x1.fb048b56dc38ep-4, -0x1.f6cf04f28fe3fp-4, -0x1.f297b4411340fp-4, -0x1.ee5ece3255821p-4, -0x1.ea24871e1b78fp-4, -0x1.e5e912c6111cep-4, -0x1.e1aca4573e7f4p-4, -0x1.dd6f6e6b6b281p-4, -0x1.d931a30a8172dp-4, -0x1.d4f373aa385abp-4, -0x1.d0b5112f9682p-4, -0x1.cc76abeff68f4p-4, -0x1.c83873b094d3cp-4, -0x1.c3fa97a6f00dap-4, -0x1.bfbd4678e74f9p-4, -0x1.bb80ae3ca3229p-4, -0x1.b744fc7872566p-4, -0x1.b30a5e22a6d29p-4, -0x1.aed0ffa0f741ep-4, -0x1.aa990cc79518ap-4, -0x1.a662b0d97bbe9p-4, -0x1.a22e1687733b7p-4, -0x1.9dfb67ef247a7p-4, -0x1.99cace9a5b4b8p-4, -0x1.959c737e301d4p-4, -0x1.91707efa18626p-4, -0x1.8d4718d6eb86dp-4, -0x1.89206845e4bafp-4, -0x1.84fc93dfa9519p-4, -0x1.80dbc1a2fad99p-4, -0x1.7cbe16f37c915p-4, -0x1.78a3b89904893p-4, -0x1.748ccabe52d73p-4, -0x1.707970efcf7ap-4, -0x1.6c69ce1a740a1p-4, -0x1.685e048ab26cfp-4, -0x1.645635eb5eb3ap-4, -0x1.605283449c231p-4, -0x1.5c530cfad4cb1p-4, -0x1.5857f2cdb908p-4, -0x1.546153d752b82p-4, -0x1.506f4e8b0bf3dp-4, -0x1.4c8200b4accc6p-4, -0x1.48998777b8652p-4, -0x1.44b5ff4ec8496p-4, -0x1.40d7840abd8a4p-4, -0x1.3cfe30d21186ep-4, -0x1.392a20203ece5p-4, -0x1.355b6bc543ddfp-4, -0x1.31922ce54a779p-4, -0x1.2dce7bf86b76dp-4, -0x1.2a1070ca77edfp-4, -0x1.2658227ab0d83p-4, -0x1.22a5a77b7410cp-4, -0x1.1ef915920b97bp-4, -0x1.1b5281d6ced1dp-4, -0x1.17b200b5a8c33p-4, -0x1.1417a5ed85de2p-4, -0x1.10838494ffc1p-4, -0x1.0cf5af18a1023p-4, -0x1.096e37353fa34p-4, -0x1.05ed2deb2ae4bp-4, -0x1.0272a3b5269aap-4, -0x1.fdfd5094d48cp-5, -0x1.f72295808c143p-5, -0x1.f05533140e1bap-5, -0x1.e99544e9f5917p-5, -0x1.e2e2e5502bfddp-5, -0x1.dc3e2d3c033ecp-5, -0x1.d5a7345a8f6a9p-5, -0x1.cf1e110108cf8p-5, -0x1.c8a2d854b2ae5p-5, -0x1.c2359e4ed13d8p-5, -0x1.bbd675c4b71cep-5, -0x1.b585705b9589cp-5, -0x1.af429e70c6026p-5, -0x1.a90e0f05e2df9p-5, -0x1.a2e7cfc266dbcp-5, -0x1.9ccfed11af3aap-5, -0x1.96c672545c79ep-5, -0x1.90cb6a0c545a6p-5, -0x1.8adedde7392a2p-5, -0x1.8500d699701dep-5, -0x1.7f315b96f4086p-5, -0x1.797072d01b9f2p-5, -0x1.73be209f7307ep-5, -0x1.6e1a68027a6aap-5, -0x1.68854b0f965bap-5, -0x1.62fecb74b4252p-5, -0x1.5d86eab493e5bp-5, -0x1.581daa00e16adp-5, -0x1.52c3099e618ebp-5, -0x1.4d770827f9d1bp-5, -0x1.4839a20b22ed9p-5, -0x1.430ad194f26c1p-5, -0x1.3dea8fa6bdd35p-5, -0x1.38d8d4d440286p-5, -0x1.33d59a6a6490dp-5, -0x1.2ee0dad52c03fp-5, -0x1.29fa9117c15b9p-5, -0x1.2522b777221f7p-5, -0x1.205945e333ccdp-5, -0x1.1b9e30ddd3d05p-5, -0x1.16f1697c79ddap-5, -0x1.1252deae93567p-5, -0x1.0dc27f5e2a625p-5, -0x1.09403c8c022e4p-5, -0x1.04cc0a6e84fcdp-5, -0x1.0065dff2d0b1ep-5, -0x1.f81b6955688c7p-6, -0x1.ef86fbcff51p-6, -0x1.e70e58673241dp-6, -0x1.deb154865ff46p-6, -0x1.d66fbc11da25bp-6, -0x1.ce49574dff3e5p-6, -0x1.c63df27baa514p-6, -0x1.be4d64270b4c2p-6, -0x1.b6778f6a8e5afp-6, -0x1.aebc60e613772p-6, -0x1.a71bc7484dedcp-6, -0x1.9f95aa140a51p-6, -0x1.9829e20d80dcdp-6, -0x1.90d83644b5b9cp-6, -0x1.89a05f3c4e23dp-6, -0x1.82820f979bc0bp-6, -0x1.7b7cff8aeed15p-6, -0x1.7490f6d52729ap-6, -0x1.6dbdd138f8bf1p-6, -0x1.67037b7a5283cp-6, -0x1.6061e9ce285d9p-6, -0x1.59d90b830b5bdp-6, -0x1.5368bef987a37p-6, -0x1.4d10cb339a723p-6, -0x1.46d0dfbbc0dc1p-6, -0x1.40a89cacf6135p-6, -0x1.3a97a0e8d9a01p-6, -0x1.349d99fb32fabp-6, -0x1.2eba4f6e1d46dp-6, -0x1.28eda4be9637bp-6, -0x1.2337915679bb7p-6, -0x1.1d98124100d0fp-6, -0x1.180f1aef15c95p-6, -0x1.129c88fd3c9d1p-6, -0x1.0d401cf99e3ccp-6, -0x1.07f979f239175p-6, -0x1.02c82e0820e46p-6, -0x1.fb57883368391p-7, -0x1.f147b204236ffp-7, -0x1.e76057aa7a268p-7, -0x1.dda1409c671a5p-7, -0x1.d40a6864c274p-7, -0x1.ca9bdb492094p-7, -0x1.c15596619bf41p-7, -0x1.b8377233a1c6ep-7, -0x1.af41133d533afp-7, -0x1.a671dcd791a3cp-7, -0x1.9dc8ef6248a6ap-7, -0x1.9545401faf359p-7, -0x1.8ce5cac501ad9p-7, -0x1.84a9c6cb527f7p-7, -0x1.7c90c3fdafd45p-7, -0x1.749aa10a50818p-7, -0x1.6cc766bef91ebp-7, -0x1.6517220c1b427p-7, -0x1.5d89d18ed1d6fp-7, -0x1.561f62ca9de51p-7, -0x1.4ed7a7efd0bb9p-7, -0x1.47b23a80e82bp-7, -0x1.40ae5f8a012c3p-7, -0x1.39cb0f71911c9p-7, -0x1.330728ae5cf4ep-7, -0x1.2c61af3233343p-7, -0x1.25d9f47a81fecp-7, -0x1.1f6f9adeb544p-7, -0x1.19227b50e7e7ap-7, -0x1.12f2826cf343fp-7, -0x1.0cdfa092c252ep-7, -0x1.06e9d65f96c1bp-7, -0x1.011142540c9aep-7, -0x1.f6ac11c2b8016p-8, -0x1.eb702a5d17892p-8, -0x1.e06dc91b28766p-8, -0x1.d5a31c565ba1fp-8, -0x1.cb0df4094fa24p-8, -0x1.c0ac299d60251p-8, -0x1.b67be6d4dc082p-8, -0x1.ac7be1e2c1a7dp-8, -0x1.a2ab643f71665p-8, -0x1.9909fc0e5d8f9p-8, -0x1.8f973116608b5p-8, -0x1.8652ab8fc0b37p-8, -0x1.7d3ca84189d5bp-8, -0x1.74560daf67b05p-8, -0x1.6b9fc33543206p-8, -0x1.6319d62531d73p-8, -0x1.5ac344d5db745p-8, -0x1.529a647e1d864p-8, -0x1.4a9d22eff84d5p-8, -0x1.42c92b760908bp-8, -0x1.3b1c96f65cc23p-8, -0x1.3396a45e1134ep-8, -0x1.2c374e974fc8ap-8, -0x1.24fe212ec59c5p-8, -0x1.1de9e067ef2b7p-8, -0x1.16f986406946cp-8, -0x1.102d4e7a6414p-8, -0x1.0986802c5328fp-8, -0x1.030632299e4bfp-8, -0x1.f958a5bd161d2p-9, -0x1.ecefa1d78af65p-9, -0x1.e0ce87b3356e5p-9, -0x1.d4f192aa8be8dp-9, -0x1.c953b492515cep-9, -0x1.bdf18ff2f9a1cp-9, -0x1.b2cc28f0b55ep-9, -0x1.a7e602997be69p-9, -0x1.9d3e75726c924p-9, -0x1.92d1d8347d074p-9, -0x1.889d67055d069p-9, -0x1.7ea15093f3762p-9, -0x1.74dfa3db78249p-9, -0x1.6b5a8238bbd6bp-9, -0x1.6212702d80d43p-9, -0x1.59057caaddb89p-9, -0x1.5030ab578bcd6p-9, -0x1.47910cb6b16a9p-9, -0x1.3f21c184c5fc5p-9, -0x1.36dd041e2a48bp-9, -0x1.2ec258c754044p-9, -0x1.26d62584913a3p-9, -0x1.1f1a00a9c1949p-9, -0x1.178b15466c3f9p-9, -0x1.10273d7e511c7p-9, -0x1.08eea2111283ap-9, -0x1.01e16e58862dfp-9, -0x1.f5ff70b9876fbp-10, -0x1.e895d57ac5e19p-10, -0x1.db89d0a55a91bp-10, -0x1.cedb11e5c2c5p-10, -0x1.c2857fe4a7929p-10, -0x1.b6860ccb2012fp-10, -0x1.aad6f41334cf2p-10, -0x1.9f6b0991f40a9p-10, -0x1.943b2ac466878p-10, -0x1.894b9c68141f3p-10, -0x1.7e9b2f0e82809p-10, -0x1.74236821d3462p-10, -0x1.69e67dc1e5bf4p-10, -0x1.5fea5334e4885p-10, -0x1.562e50983d8b1p-10, -0x1.4cae5547b6773p-10, -0x1.43686c56c7ca8p-10, -0x1.3a5e5e2de538p-10, -0x1.3193ae29478fep-10, -0x1.29092897ed4ep-10, -0x1.20bccc394d0bdp-10, -0x1.18b02a339ed3dp-10, -0x1.10e6252dac6d5p-10, -0x1.09575b3a3c744p-10, -0x1.01fb80db1baedp-10, -0x1.f5a4babcb562dp-11, -0x1.e7a7899a0c576p-11, -0x1.d9f34029e7fe2p-11, -0x1.cc924276c26cep-11, -0x1.bf86d25950d71p-11, -0x1.b2ca14a1895fdp-11, -0x1.a659d054645c8p-11, -0x1.9a37aad1b54f2p-11, -0x1.8e64e0dae3293p-11, -0x1.82e29069d6122p-11, -0x1.77b1c4da4e0a5p-11, -0x1.6cced50ed4137p-11, -0x1.6234fff0c95f7p-11, -0x1.57edc2100d9bep-11, -0x1.4e0950db587e2p-11, -0x1.44786f9f207f1p-11, -0x1.3b28ffbdc1384p-11, -0x1.3218acadbb8bep-11, -0x1.293f12cfda1aap-11, -0x1.20aabaea3948p-11, -0x1.1860943f3bb6p-11, -0x1.10555ee08cd7dp-11, -0x1.087ff9e0291b7p-11, -0x1.00da4caac0106p-11, -0x1.f2c151ad8e0a7p-12, -0x1.e426987f2a5abp-12, -0x1.d5ec67dce294bp-12, -0x1.c81c8dc47f9cfp-12, -0x1.bab72f0f580dep-12, -0x1.adac7e680205ap-12, -0x1.a0f475198a4c1p-12, -0x1.94abe867354a6p-12, -0x1.88ed12e60ea7bp-12, -0x1.7d8a2a61a44a5p-12, -0x1.726d8256e738ap-12, -0x1.678baeb944d9ap-12, -0x1.5cfbd907e9bf9p-12, -0x1.52c2765a604aep-12, -0x1.48d1874f134cep-12, -0x1.3f2b5210f3c67p-12, -0x1.35d680f3bae3dp-12, -0x1.2cd6078388ba5p-12, -0x1.242679f049466p-12, -0x1.1bbcbfb3baa0ep-12, -0x1.1389ba8f73f87p-12, -0x1.0b857d6f43294p-12, -0x1.03b631065e5eep-12, -0x1.f8466cfb5121cp-13, -0x1.e9916904957e3p-13, -0x1.db4107bfcdf5p-13, -0x1.cd75acfb4137dp-13, -0x1.c03ec99315669p-13, -0x1.b364d86c1a601p-13, -0x1.a6dd0210be666p-13, -0x1.9ac7fc0b91982p-13, -0x1.8f0f9285df84fp-13, -0x1.839c3c96f32bap-13, -0x1.78748937e5ed6p-13, -0x1.6d9ed479ad4c1p-13, -0x1.631c6e1bb7a49p-13, -0x1.58ec4a5c05d11p-13, -0x1.4f0dd9508efb3p-13, -0x1.4582bf00684dcp-13, -0x1.3c4efdc15ea1ap-13, -0x1.3376b2ff4303dp-13, -0x1.2af6f5c41cb5bp-13, -0x1.22bc26ce38897p-13, -0x1.1aaf012efd86cp-13, -0x1.12ceaf03f0fbdp-13, -0x1.0b2709579fc5ep-13, -0x1.03cee8c647ea1p-13, -0x1.f945ae479a8d4p-14, -0x1.eb5543a62d30ap-14, -0x1.de1c01047ed9fp-14, -0x1.d147766d42888p-14, -0x1.c4b83fcae6b5ep-14, -0x1.b8791709dd1acp-14, -0x1.ac92b27129212p-14, -0x1.a107e3a518c93p-14, -0x1.95d7516a99adcp-14, -0x1.8afdb81fa83f9p-14, -0x1.80775c4e1e273p-14, -0x1.7640422b7a2d7p-14, -0x1.6c53dbc42ce3dp-14, -0x1.62ade864c4b62p-14, -0x1.594f1bb69a9dfp-14, -0x1.504144d1f158fp-14, -0x1.479213e4e6472p-14, -0x1.3f4455ee384ebp-14, -0x1.3733813a05a36p-14, -0x1.2f46ec4c6e11ap-14, -0x1.279954ab86b15p-14, -0x1.200a7121039c6p-14, -0x1.18bf14d037402p-14, -0x1.11bb1950fb554p-14, -0x1.0af43afd6995cp-14, -0x1.0455b936f152p-14, -0x1.fbbb6123a8156p-15, -0x1.ef209c76ec1p-15, -0x1.e2df13b1fba4bp-15, -0x1.d6f61a215347fp-15, -0x1.cb631146d93p-15, -0x1.c022d9791f236p-15, -0x1.b5321d65213b1p-15, -0x1.aa8d1ec676e5dp-15, -0x1.a02fa291310adp-15, -0x1.9616dc3fed1e2p-15, -0x1.8c43abe7382ddp-15, -0x1.82b4419c6005ap-15, -0x1.7960e506cb7d2p-15, -0x1.7041bb9bb29f9p-15, -0x1.67511ddaf67fep-15, -0x1.5eb871de6f213p-15, -0x1.567498c6d5551p-15, -0x1.4e6b342a80a15p-15, -0x1.4673f5130f6bp-15, -0x1.3e9491ac02a15p-15, -0x1.36fb705e0db2cp-15, -0x1.2fa2b07831d51p-15, -0x1.286a3c18c84edp-15, -0x1.21530352d2ed8p-15, -0x1.1a621e4dd5c7p-15, -0x1.1398bb29fed89p-15, -0x1.0cf60c516d8b5p-15, -0x1.0678b25a059fbp-15, -0x1.001f340fb217cp-15, -0x1.f3d020ab7ae66p-16, -0x1.e7a360a26913p-16, -0x1.dbb580cd4a37ap-16, -0x1.d00617a97a80dp-16, -0x1.c493eddd575a9p-16, -0x1.b95af3fd73a34p-16, -0x1.ae586742cd27dp-16, -0x1.a386f0ef5616ap-16, -0x1.98e23f18f25ddp-16, -0x1.8e77a6ddd317dp-16, -0x1.843ba9af9848bp-16, -0x1.7a21db8ec47b6p-16, -0x1.70398db044fd5p-16, -0x1.669c90523786ap-16, -0x1.5d1f1e512e71bp-16, -0x1.53ad42efab9c4p-16, -0x1.4a7afbd1e0ad4p-16, -0x1.41707e2c8a3fp-16, -0x1.3880f6ed5e714p-16, }}, 
      {{0x1.7c9ae8403f5c4p-6, 0x1.a2db691b0b544p-6, 0x1.d7fb64584dd25p-6, 0x1.0ab97c91b533ap-5, 0x1.2b1c39075d6b1p-5, 0x1.4b39df9c3f7fdp-5, 0x1.69a09b12163dcp-5, 0x1.85404272de395p-5, 0x1.9d56a4a0e4f06p-5, 0x1.b15fa48eb58f6p-5, 0x1.c1085dbe03a4bp-5, 0x1.cc24b52cd5f0ap-5, 0x1.d2a6e1b3710ecp-5, 0x1.d498960530f09p-5, 0x1.d215848cd28adp-5, 0x1.cb46f7c5ff72bp-5, 0x1.c06041a73bea3p-5, 0x1.b19bd564e163dp-5, 0x1.9f38ed5c1fbdep-5, 0x1.8979a52721f8p-5, 0x1.70a1777e01f75p-5, 0x1.54f40990624fep-5, 0x1.36b43afd6f185p-5, 0x1.16236e9127d9cp-5, 0x1.e701f67a8f23ap-6, 0x1.9e138d13bedf3p-6, 0x1.51eff67020ea2p-6, 0x1.0305b2f79d4e3p-6, 0x1.637a613aa2591p-7, 0x1.79e2de6feae11p-8, 0x1.328c15ac676cdp-11, -0x1.326733987f8a5p-8, -0x1.4783833e3bef8p-7, -0x1.f7326f6e391a3p-7, -0x1.53db73b7c9ff5p-6, -0x1.ac4914907a19ap-6, -0x1.0253e67a98fb3p-5, -0x1.2e610ebf73e87p-5, -0x1.5a338c18cd0bep-5, -0x1.85b50d90db908p-5, -0x1.b0d1458755b55p-5, -0x1.db75c918df801p-5, -0x1.02c8f8ff18368p-4, -0x1.178b60664dadcp-4, -0x1.2bfb5e789a2e3p-4, -0x1.4012ee376a3a3p-4, -0x1.53ccb40f2efbap-4, -0x1.6723f1daded41p-4, -0x1.7a147c7bbeafdp-4, -0x1.8c9ab042ae10ep-4, -0x1.9eb36781faf6p-4, -0x1.b05bf1dd506dcp-4, -0x1.c1920bfedfdcp-4, -0x1.d253d75898454p-4, -0x1.e29fd340d8a9bp-4, -0x1.f274d6d0a8705p-4, -0x1.00e904e70e7dcp-3, -0x1.085b6f5c83328p-3, -0x1.0f9186b8acbb8p-3, -0x1.168b46cd6c4c4p-3, -0x1.1d48c8b806464p-3, -0x1.23ca40766774fp-3, -0x1.2a0ffa7fc063ap-3, -0x1.301a596fcb9dfp-3, -0x1.35e9d43946ce9p-3, -0x1.3b7ef421fb55fp-3, -0x1.40da52b52474dp-3, -0x1.45fc983c3e04cp-3, -0x1.4ae67a2bcd702p-3, -0x1.4f98b9a597e8bp-3, -0x1.5414221ece9b8p-3, -0x1.585988209c88ep-3, -0x1.5c69c8224588ap-3, -0x1.6045c57ada107p-3, -0x1.63ee696c25f2ep-3, -0x1.6764a2347205cp-3, -0x1.6aa9622eb343ap-3, -0x1.6dbd9f2be780bp-3, -0x1.70a251c42259ep-3, -0x1.735874962b006p-3, -0x1.75e103b8f6e96p-3, -0x1.783cfc3b383fep-3, -0x1.7a6d5ba1f368cp-3, -0x1.7c731f72c5d62p-3, -0x1.7e4f44ca36206p-3, -0x1.8002c7fa7fe0ap-3, -0x1.818ea433ae675p-3, -0x1.82f3d33278c33p-3, -0x1.84334cf7a092cp-3, -0x1.854e0784bdbd3p-3, -0x1.8644f6a084326p-3, -0x1.87190ba0679ecp-3, -0x1.87cb35381674bp-3, -0x1.885c5f4e799cep-3, -0x1.88cd72d27775bp-3, -0x1.891f559799863p-3, -0x1.8952ea3c325p-3, -0x1.89691011fb918p-3, -0x1.8962a2fdb5b6fp-3, -0x1.89407b60914d2p-3, -0x1.89036e11ca0dap-3, -0x1.88ac4c45c59e4p-3, -0x1.883be38628119p-3, -0x1.87b2fdaaee867p-3, -0x1.871260cd07ccfp-3, -0x1.865acf44ad4eep-3, -0x1.858d07a54468cp-3, -0x1.84a9c4bab2f56p-3, -0x1.83b1bd896d604p-3, -0x1.82a5a550f9a46p-3, -0x1.81862b8c69905p-3, -0x1.8053fbf7457eap-3, -0x1.7f0fbe9348675p-3, -0x1.7dba17ad051b2p-3, -0x1.7c53a7e2f41a2p-3, -0x1.7add0c2ee6809p-3, -0x1.7956ddeda6c28p-3, -0x1.77c1b2e80670fp-3, -0x1.761e1d5e7b4e5p-3, -0x1.746cac13abb4fp-3, -0x1.72adea5712bd8p-3, -0x1.70e26011c5c0ep-3, -0x1.6f0a91d29b85ep-3, -0x1.6d2700d9c4efcp-3, -0x1.6b382b2627276p-3, -0x1.693e8b848fe0cp-3, -0x1.673a999be8d94p-3, -0x1.652cc9f9cebaep-3, -0x1.63158e21f31f4p-3, -0x1.60f5549d117fcp-3, -0x1.5ecc890679c04p-3, -0x1.5c9b941a9e352p-3, -0x1.5a62dbc676878p-3, -0x1.5822c335bbedap-3, -0x1.55dbaae0fdcebp-3, -0x1.538df09c0671cp-3, -0x1.5139efa4e5eb7p-3, -0x1.4ee000b1f1a57p-3, -0x1.4c8079ff9a8e6p-3, -0x1.4a1baf5f19e92p-3, -0x1.47b1f244f221ep-3, -0x1.454391d74e35dp-3, -0x1.42d0dafbde0b2p-3, -0x1.405a1865f6843p-3, -0x1.3ddf92a4f0e71p-3, -0x1.3b61903180a14p-3, -0x1.38e0557adc2efp-3, -0x1.365c24f3f95c3p-3, -0x1.33d53f2054898p-3, -0x1.314be2a08cd63p-3, -0x1.2ec04c3ea14b9p-3, -0x1.2c32b6f9d7d45p-3, -0x1.29a35c12e70dap-3, -0x1.2712731803117p-3, -0x1.248031f087bc8p-3, -0x1.21eccce8b0262p-3, -0x1.1f5876bae65dcp-3, -0x1.1cc360a0da985p-3, -0x1.1a2dba57fff58p-3, -0x1.1797b22ea2edcp-3, -0x1.1501750e96452p-3, -0x1.126b2e87d1ea1p-3, -0x1.0fd508d85a0fbp-3, -0x1.0d3f2cf66f385p-3, -0x1.0aa9c29a8cfe1p-3, -0x1.0814f0455aebp-3, -0x1.0580db4b273f8p-3, -0x1.02eda7db260acp-3, -0x1.005b79073d004p-3, -0x1.fb94e1993f89ap-4, -0x1.f67560371d242p-4, -0x1.f158adbea85ebp-4, -0x1.ec3f080a41875p-4, -0x1.e728ab0842a0ep-4, -0x1.e215d0ca9004cp-4, -0x1.dd06b189d337dp-4, -0x1.d7fb83cd0737ep-4, -0x1.d2f47c4df8179p-4, -0x1.cdf1ce2b84283p-4, -0x1.c8f3aae1ba276p-4, -0x1.c3fa4257c8f0ap-4, -0x1.bf05c2ec570c2p-4, -0x1.ba16597f1c4f8p-4, -0x1.b52c317b26238p-4, -0x1.b04774e0b23c5p-4, -0x1.ab684c4e1f58p-4, -0x1.a68edf09180a4p-4, -0x1.a1bb530765932p-4, -0x1.9cedccf77c567p-4, -0x1.9826704853d4cp-4, -0x1.93655f3229525p-4, -0x1.8eaababdbc1fp-4, -0x1.89f6a2cbe369bp-4, -0x1.8549361ccffc4p-4, -0x1.80a292570d0dap-4, -0x1.7c02d40e43dadp-4, -0x1.776a16c939b12p-4, -0x1.72d875088bc9ap-4, -0x1.6e4e084c5c93ap-4, -0x1.69cae919eb5b8p-4, -0x1.654f2f0112c9bp-4, -0x1.60daf0a183797p-4, -0x1.5c6e43afcf6a2p-4, -0x1.58093cfa4cap-4, -0x1.53abf06d7d544p-4, -0x1.4f567118bd1aep-4, -0x1.4b08d132aee08p-4, -0x1.46c3221d50d67p-4, -0x1.4285746a17ee6p-4, -0x1.3e4fd7dde908dp-4, -0x1.3a225b74f13d4p-4, -0x1.35fd0d66630b3p-4, -0x1.31dffb28262c5p-4, -0x1.2dcb317253dacp-4, -0x1.29bebc429502dp-4, -0x1.25baa6dfaada1p-4, -0x1.21befbdca1c99p-4, -0x1.1dcbc51bf3fc8p-4, -0x1.19e10bd2a7b55p-4, -0x1.15fed88b52e59p-4, -0x1.122533290c7a1p-4, -0x1.0e5422ea493fp-4, -0x1.0a8bae6ba8c19p-4, -0x1.06cbdbaab33d5p-4, -0x1.0314b00875c33p-4, -0x1.fecc609831243p-5, -0x1.f780c14b03d93p-5, -0x1.f046895fa5852p-5, -0x1.e91dbee7a7643p-5, -0x1.e20666d4c8a3fp-5, -0x1.db0084fdc19eep-5, -0x1.d40c1c22f567ap-5, -0x1.cd292df319217p-5, -0x1.c657bb0fce52cp-5, -0x1.bf97c3122a389p-5, -0x1.b8e9448f3d73dp-5, -0x1.b24c3d1c8315ap-5, -0x1.abc0a95441988p-5, -0x1.a54684da0f09p-5, -0x1.9eddca5f444aep-5, -0x1.988673a7510dep-5, -0x1.9240798c08b8bp-5, -0x1.8c0bd401f49b9p-5, -0x1.85e87a1ca3522p-5, -0x1.7fd662130d412p-5, -0x1.79d581440836p-5, -0x1.73e5cc3aa1b09p-5, -0x1.6e0736b2570c6p-5, -0x1.6839b39b2316bp-5, -0x1.627d351d9a11ep-5, -0x1.5cd1ac9f450dbp-5, -0x1.57370ac74cc3ap-5, -0x1.51ad3f82c13b4p-5, -0x1.4c343a0af29a8p-5, -0x1.46cbe8e80b8a3p-5, -0x1.417439f2cc889p-5, -0x1.3c2d1a5383ad7p-5, -0x1.36f67699a9b0ep-5, -0x1.31d03aaadd09fp-5, -0x1.2cba51d43c4f6p-5, -0x1.27b4a6cf1c56cp-5, -0x1.22bf23c2aae5dp-5, -0x1.1dd9b245634cep-5, -0x1.19043b5bda89ep-5, -0x1.143ea77f74a1bp-5, -0x1.0f88dea0280a7p-5, -0x1.0ae2c83521715p-5, -0x1.064c4b4510831p-5, -0x1.01c54e6c41c1cp-5, -0x1.fa9b6fb2f7391p-6, -0x1.f1cada899e209p-6, -0x1.e918a7cfa77a1p-6, -0x1.e084a1003678ap-6, -0x1.d80e8ebfbe358p-6, -0x1.cfb639113eb51p-6, -0x1.c77b6786fdc2ep-6, -0x1.bf5de152b370dp-6, -0x1.b75d6d26d3ca7p-6, -0x1.af79d0f51e251p-6, -0x1.a7b2d1af62e7ep-6, -0x1.a0083336e675ap-6, -0x1.9879b8946d5c8p-6, -0x1.9107246cbe20fp-6, -0x1.89b0397f27453p-6, -0x1.8274bae8eb54cp-6, -0x1.7b546c03750e8p-6, -0x1.744f0fd6ecc88p-6, -0x1.6d64686657d66p-6, -0x1.66943630ccd72p-6, -0x1.5fde383b5c806p-6, -0x1.59422cbb39fb7p-6, -0x1.52bfd22668b0bp-6, -0x1.4c56e8315d85p-6, -0x1.46073036bcb7fp-6, -0x1.3fd06cbef731cp-6, -0x1.39b2604485b6fp-6, -0x1.33accbb703a48p-6, -0x1.2dbf6d70daa8ep-6, -0x1.27ea0133233c9p-6, -0x1.222c4150bcdc7p-6, -0x1.1c85e8a734c1cp-6, -0x1.16f6b49718d33p-6, -0x1.117e6614de6fdp-6, -0x1.0c1cc13c6aed6p-6, -0x1.06d18b6fb95e8p-6, -0x1.019c88b0a0241p-6, -0x1.f8faf296bb839p-7, -0x1.eee831b92723ap-7, -0x1.e5003e841d5b1p-7, -0x1.db42868a7d7bbp-7, -0x1.d1ae7c1e12d6bp-7, -0x1.c8439c0e42a1p-7, -0x1.bf016fc1027a4p-7, -0x1.b5e78a8494691p-7, -0x1.acf582e1d8bfbp-7, -0x1.a42aea55b774ep-7, -0x1.9b874684544adp-7, -0x1.930a0e8ae6f0dp-7, -0x1.8ab2adc3b628ep-7, -0x1.82808b74418ep-7, -0x1.7a7314ee55593p-7, -0x1.7289c6656c305p-7, -0x1.6ac42ee75a648p-7, -0x1.6321edb9dd323p-7, -0x1.5ba2aa01ae81ap-7, -0x1.544607bcf9726p-7, -0x1.4d0b9d9d9780fp-7, -0x1.45f2ef13ad6c5p-7, -0x1.3efb6c67df0bp-7, -0x1.382479a8d7c6fp-7, -0x1.316d7af58bd2fp-7, -0x1.2ad5e232ed9acp-7, -0x1.245d38cb8c93p-7, -0x1.1e03215569f15p-7, -0x1.17c7509f893b8p-7, -0x1.11a981634bb41p-7, -0x1.0ba9673b55b3cp-7, -0x1.05c6a4463efd6p-7, -0x1.0000c31e399a5p-7, -0x1.f4ae6d24f9fb6p-8, -0x1.e992c1e570874p-8, -0x1.dead45e4fb427p-8, -0x1.d3fcdb2d83223p-8, -0x1.c9809f653c385p-8, -0x1.bf37efe75f591p-8, -0x1.b522578651ddep-8, -0x1.ab3f70ad43443p-8, -0x1.a18eca9abe0ccp-8, -0x1.980fd7c1d808ap-8, -0x1.8ec1e16b7ff5p-8, -0x1.85a3fd4fede6p-8, -0x1.7cb50c50e2f7fp-8, -0x1.73f3ce2b05b0bp-8, -0x1.6b5f0a34d4242p-8, -0x1.62f5bb1b6be45p-8, -0x1.5ab7261f7c37bp-8, -0x1.52a2d2f7cfbc8p-8, -0x1.4ab86d399694dp-8, -0x1.42f7a4df830e1p-8, -0x1.3b601f1b449c3p-8, -0x1.33f174623946cp-8, -0x1.2cab28b7837c6p-8, -0x1.258c9469808fap-8, -0x1.1e94cdd10c5b6p-8, -0x1.17c2af99e2cc1p-8, -0x1.1115019485851p-8, -0x1.0a8aabba83fdp-8, -0x1.0422d644b62fap-8, -0x1.fbb9d8201f946p-9, -0x1.ef710a846997fp-9, -0x1.e36a95fe47b4bp-9, -0x1.d7a5d4c145236p-9, -0x1.cc223c5fee6a5p-9, -0x1.c0df73b0f452p-9, -0x1.b5dd2d8cecfa7p-9, -0x1.ab1ac5586f774p-9, -0x1.a096ec1e01f4bp-9, -0x1.964fb4aae35f3p-9, -0x1.8c42ea7b8224ap-9, -0x1.826e63d26afcfp-9, -0x1.78d0397425561p-9, -0x1.6f66f5abad6c3p-9, -0x1.663199d49a266p-9, -0x1.5d2f60dfed8cdp-9, -0x1.545f83b2f8401p-9, -0x1.4bc155a61054bp-9, -0x1.43549dcd711ffp-9, -0x1.3b19a7c90cb85p-9, -0x1.3310c1ce0ea02p-9, -0x1.2b3993bb598fp-9, -0x1.2392f63bac7a8p-9, -0x1.1c1b41da11d72p-9, -0x1.14d082a0224f3p-9, -0x1.0db0949d8f4cbp-9, -0x1.06b9aa5957915p-9, -0x1.ffd5b457e8e7bp-10, -0x1.f2879c3c94afp-10, -0x1.e587be76fd5eep-10, -0x1.d8d3a1703a5dbp-10, -0x1.cc691d1116192p-10, -0x1.c047f07915d88p-10, -0x1.b4716ff98752p-10, -0x1.a8e6a94b3372bp-10, -0x1.9da6ef12240acp-10, -0x1.92b0175833487p-10, -0x1.87ff7ab78f311p-10, -0x1.7d91c2cbef78dp-10, -0x1.7362a96929e18p-10, -0x1.696f2e12db3fp-10, -0x1.5fb7969879d6ep-10, -0x1.563d4ab12d75fp-10, -0x1.4cff5c6a588edp-10, -0x1.43faa4f5ef813p-10, -0x1.3b2ca8c031554p-10, -0x1.32951a0963708p-10, -0x1.2a350a97cb28ep-10, -0x1.220d971ed1aacp-10, -0x1.1a1eaf868635bp-10, -0x1.12667c7d113e3p-10, -0x1.0ae268be0b7ep-10, -0x1.038fef42f8eb1p-10, -0x1.f8d658ccd35c7p-11, -0x1.eadf38b3f5059p-11, -0x1.dd3925fc1445dp-11, -0x1.cfe9dca55c199p-11, -0x1.c2f3089061384p-11, -0x1.b64ff2629303ap-11, -0x1.a9fce3e9bec36p-11, -0x1.9df9812d38e56p-11, -0x1.9245706d4a557p-11, -0x1.86e02fb51b2bp-11, -0x1.7bcb1e5bd40dep-11, -0x1.71084ade430f3p-11, -0x1.6696e3bf06467p-11, -0x1.5c736b0a7e7f9p-11, -0x1.529b221d05665p-11, -0x1.49096da2ca0c8p-11, -0x1.3fb48db163153p-11, -0x1.36970dfbe07f9p-11, -0x1.2db38498313e5p-11, -0x1.2508b4ff461cdp-11, -0x1.1c91aa9b16331p-11, -0x1.144f8bac4a5ccp-11, -0x1.0c461549d90b1p-11, -0x1.0474790c09695p-11, -0x1.f9aeda25c0afep-12, -0x1.eada55f811294p-12, -0x1.dc6d0dda3e483p-12, -0x1.ce6b15523d3c3p-12, -0x1.c0d4ca81eee94p-12, -0x1.b3a6ae3198f07p-12, -0x1.a6e21a6e371d9p-12, -0x1.9a8a3d378fdp-12, -0x1.8e94582293d34p-12, -0x1.82f47b15f0649p-12, -0x1.77a9ba8f25443p-12, -0x1.6ca85e7532c3ap-12, -0x1.61e78e9e23b29p-12, -0x1.576ddc7b22d3bp-12, -0x1.4d3c58faab35cp-12, -0x1.434de2b8a7d84p-12, -0x1.39a07b3e94bbp-12, -0x1.3034c1c830e57p-12, -0x1.270b0cd82822dp-12, -0x1.1e239b6643004p-12, -0x1.157ea5c62ffap-12, -0x1.0d194ef55b90fp-12, -0x1.04f000774a35p-12, -0x1.fa110d161703fp-13, -0x1.eada3d0c7dc0ep-13, -0x1.dc26a1cbaac41p-13, -0x1.cddd8a34d9121p-13, -0x1.bffb222a98e6dp-13, -0x1.b273a0c9e94a1p-13, -0x1.a559706038704p-13, -0x1.98b25191f9064p-13, -0x1.8c6eba12a27dap-13, -0x1.808203c83b509p-13, -0x1.74e3a54019d15p-13, -0x1.698e53a7546e2p-13, -0x1.5e81e37366819p-13, -0x1.53c2f641e3eecp-13, -0x1.4957484a0c042p-13, -0x1.3f3e5dacef382p-13, -0x1.356d907c40ab7p-13, -0x1.2bdf3e1390236p-13, -0x1.22a5460ff8b4fp-13, -0x1.19cfd348c2a88p-13, -0x1.114132be8bfbfp-13, -0x1.08eb1d3bc13dbp-13, -0x1.00c5e7f71dff6p-13, -0x1.f1bfe4e5cbe3bp-14, -0x1.e2776011dde5p-14, -0x1.d39f9ae0e7481p-14, -0x1.c53a9c2b52ef7p-14, -0x1.b75000051e745p-14, -0x1.a9e2aefe9cc8fp-14, -0x1.9ced8c8346079p-14, -0x1.9061ea1347573p-14, -0x1.842c31f93bbdcp-14, -0x1.7841ea7789cf1p-14, -0x1.6caa320512c55p-14, -0x1.616dab5522591p-14, -0x1.568706a635d2dp-14, -0x1.4bee16dc1605fp-14, -0x1.41b62ca1dd18ap-14, -0x1.37e82eca52108p-14, -0x1.2e616bf5f63b9p-14, -0x1.251ab0923ed29p-14, -0x1.1c27a2c1b0fbbp-14, -0x1.137a4116be28cp-14, -0x1.0b03b04332d49p-14, -0x1.02c783f176b0fp-14, -0x1.f592636559cdbp-15, -0x1.e6123bc5c6549p-15, -0x1.d70c8217e2ep-15, -0x1.c87fc115e8a19p-15, -0x1.ba6d2d419484ap-15, -0x1.acd8cfe81a5aap-15, -0x1.9fc6c04100057p-15, -0x1.933294414cee6p-15, -0x1.8703ff227dbf3p-15, -0x1.7b1eb149efbccp-15, -0x1.6f8150453c4e3p-15, -0x1.643967324f19p-15, -0x1.59614ce29922bp-15, -0x1.4ece91c406b73p-15, -0x1.4489d0e2c5315p-15, -0x1.3ac14fe73a48ap-15, -0x1.3143eaf96bbc4p-15, -0x1.27feb8e9a77b3p-15, -0x1.1ef7a09e5fd13p-15, -0x1.16334ce3ede9fp-15, -0x1.0db2f02de2303p-15, -0x1.05754ff5cec06p-15, -0x1.faf02fef14994p-16, -0x1.eb71662140efep-16, -0x1.dc68d8b7e48ecp-16, -0x1.cdd08133187fcp-16, -0x1.bfa2bd45673a8p-16, -0x1.b1dfa58bc8e68p-16, -0x1.a491ce894e3d4p-16, -0x1.97c83d6dbad1dp-16, -0x1.8b8562acfe299p-16, -0x1.7f9e95150515p-16, -0x1.73f6f404961b2p-16, -0x1.68ac9b8801a9ap-16, -0x1.5d9a34ad5755cp-16, -0x1.52e94360a17ccp-16, -0x1.489d772e56072p-16, -0x1.3eaa89fdd703ap-16, -0x1.34f87fdff7f7ep-16, -0x1.2b84c9ea21912p-16, -0x1.2253afa4492e6p-16, -0x1.1966f5e7a7719p-16, -0x1.10bdc8a5ed6f1p-16, -0x1.08563ec2912c4p-16, -0x1.002e2b74b30f6p-16, -0x1.f086902e125b4p-17, -0x1.e1262e4927e95p-17, -0x1.d235b16de2b72p-17, -0x1.c3b13c9c3d02p-17, -0x1.b5991aa1d1683p-17, -0x1.a7ea9834945d7p-17, -0x1.9a9c6613bf946p-17, -0x1.8da518686b81fp-17, -0x1.80fdc2551dbe3p-17, -0x1.74d4131ceb4p-17, -0x1.6923ee24089a4p-17, -0x1.5dcf4db43a7f8p-17, -0x1.52a89ec52afe2p-17, -0x1.47b5ba5a5fc69p-17, -0x1.3d29f55901dep-17, -0x1.32fe4af129aebp-17, -0x1.290e60df27decp-17, -0x1.1f5ac737cfe56p-17, -0x1.15e8bb63e55ffp-17, -0x1.0cb91f7154851p-17, -0x1.03caa17dc15edp-17, -0x1.f6369f22c199dp-18, -0x1.e5523a3685c9ep-18, -0x1.d4e3eb9bd5736p-18, -0x1.c4e7598d73bf2p-18, -0x1.b558c9a2fbc68p-18, -0x1.a6372444c9ef2p-18, -0x1.978063434e2f4p-18, -0x1.892f2d987806ap-18, -0x1.7b3fb2ee0b626p-18, -0x1.6dab2436b771ep-18, -0x1.606be47f4ec06p-18, -0x1.5390f1d45d87cp-18, -0x1.470c4ddbe513dp-18, -0x1.3aced6558b338p-18, -0x1.2ee9da401aa9ap-18, -0x1.237ba65d80a02p-18, -0x1.185034339a4e5p-18, -0x1.0d4e8116d0df6p-18, -0x1.02b4b9a98e51dp-18, -0x1.f0cbe4d36b5c4p-19, -0x1.dca3940a3b569p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.ad6d50c7984a6p-8, 0x1.ad9ef503ea222p-7, 0x1.427493882fe53p-6, 0x1.ae618496065dfp-6, 0x1.0d55ca5c39282p-5, 0x1.43b31410023a7p-5, 0x1.7a5149a7587abp-5, 0x1.b138006ce54dcp-5, 0x1.e86db2d2870b7p-5, 0x1.0ffbe014b3089p-4, 0x1.2bed38535a00ap-4, 0x1.480c7e54e3326p-4, 0x1.645acb36b124bp-4, 0x1.80d8babc6b25fp-4, 0x1.9d8671a404fdep-4, 0x1.ba63a45ed826dp-4, 0x1.d76f9e04b707ep-4, 0x1.f4a9475f22e81p-4, 0x1.090796f921a9ap-3, 0x1.17cfc577a361dp-3, 0x1.26ac25004efp-3, 0x1.359b87f2547ffp-3, 0x1.449ca06726a02p-3, 0x1.53ae0342c4ff6p-3, 0x1.62ce2b222393ep-3, 0x1.71fb7b266c3c9p-3, 0x1.8134419ca6c04p-3, 0x1.9076ba81a780fp-3, 0x1.9fc111e2a4c34p-3, 0x1.af11661b06508p-3, 0x1.be65c9f048b6dp-3, 0x1.cdbc468cf6c23p-3, 0x1.dd12dd5bce423p-3, 0x1.ec6789c44e879p-3, 0x1.fbb842c9ea9ebp-3, 0x1.05817e4795722p-2, 0x1.0d22d4df03e7p-2, 0x1.14bf1e6b6bcbfp-2, 0x1.1c5554b37f261p-2, 0x1.23e4729463846p-2, 0x1.2b6b7486bffdp-2, 0x1.32e9591991735p-2, 0x1.3a5d2163580b7p-2, 0x1.41c5d16a2936p-2, 0x1.4922708333115p-2, 0x1.507209aa35815p-2, 0x1.57b3abd16b424p-2, 0x1.5ee66a2a604eep-2, 0x1.66095c6820785p-2, 0x1.6d1b9efb2f386p-2, 0x1.741c5347ac93cp-2, 0x1.7b0a9fd6075d5p-2, 0x1.81e5b07e98553p-2, 0x1.88acb690769fdp-2, 0x1.8f5ee8f3e02e2p-2, 0x1.95fb844872583p-2, 0x1.9c81caff88ddap-2, 0x1.a2f10572f56efp-2, 0x1.a94881f85bd6p-2, 0x1.af8794f1600bp-2, 0x1.b5ad98d8e2755p-2, 0x1.bbb9ee4d7a4a1p-2, 0x1.c1abfc195ed8ep-2, 0x1.c7832f37e529cp-2, 0x1.cd3efad8c089bp-2, 0x1.d2ded86128c56p-2, 0x1.d862476b08d0ap-2, 0x1.ddc8cdc257467p-2, 0x1.e311f760b4e8dp-2, 0x1.e83d5667721bap-2, 0x1.ed4a83180f25p-2, 0x1.f2391bcb55fd9p-2, 0x1.f708c4e71d13bp-2, 0x1.fbb928d2d3ff9p-2, 0x1.0024fbf56f7eap-1, 0x1.025d7439706bfp-1, 0x1.0485db437f229p-1, 0x1.069e120615426p-1, 0x1.08a5fc4fc9da1p-1, 0x1.0a9d80c298133p-1, 0x1.0c8488cac5547p-1, 0x1.0e5b0095666a7p-1, 0x1.1020d7068d2a7p-1, 0x1.11d5fdaf23d72p-1, 0x1.137a68c27bfefp-1, 0x1.150e0f0b95007p-1, 0x1.1690e9e21e9cdp-1, 0x1.1802f51f40298p-1, 0x1.19642f122381fp-1, 0x1.1ab498744c132p-1, 0x1.1bf4345dbb1b2p-1, 0x1.1d230838e977ep-1, 0x1.1e411bb69499cp-1, 0x1.1f4e78c1687ecp-1, 0x1.204b2b7184bcep-1, 0x1.213741ffe5d6fp-1, 0x1.2212ccb9b070cp-1, 0x1.22ddddf364c4p-1, 0x1.239889fbfdd95p-1, 0x1.2442e70ffcf79p-1, 0x1.24dd0d4c67703p-1, 0x1.256716a1b6209p-1, 0x1.25e11ec6bc988p-1, 0x1.264b432b888dcp-1, 0x1.26a5a2ec3cea4p-1, 0x1.26f05ec3eadf7p-1, 0x1.272b98ff6b6ap-1, 0x1.275775703c92fp-1, 0x1.2774195f62a5dp-1, 0x1.2781ab8051fa6p-1, 0x1.278053e3e18a4p-1, 0x1.27703beb4b28dp-1, 0x1.27518e3b379a9p-1, 0x1.272476aedb9c4p-1, 0x1.26e9224b287bp-1, 0x1.269fbf320d63ep-1, 0x1.26487c95d18c1p-1, 0x1.25e38aac83ae4p-1, 0x1.25711aa385046p-1, 0x1.24f15e932d538p-1, 0x1.246489728d179p-1, 0x1.23cacf0b4d5f4p-1, 0x1.232463edaf1a3p-1, 0x1.22717d64ac7ccp-1, 0x1.21b2516a3c40dp-1, 0x1.20e7169bba116p-1, 0x1.2010042e73057p-1, 0x1.1f2d51e459407p-1, 0x1.1e3f3800e0404p-1, 0x1.1d45ef3dffep-1, 0x1.1c41b0c163c5dp-1, 0x1.1b32b611c4992p-1, 0x1.1a19390c6d6bbp-1, 0x1.18f573daed8efp-1, 0x1.17c7a0e8f977ap-1, 0x1.168ffada79274p-1, 0x1.154ebc81c5a45p-1, 0x1.140420d618251p-1, 0x1.12b062ea2849ap-1, 0x1.1153bde2fbd0bp-1, 0x1.0fee6ceee9179p-1, 0x1.0e80ab3ccaa53p-1, 0x1.0d0ab3f3677abp-1, 0x1.0b8cc2290b1cfp-1, 0x1.0a0710db55788p-1, 0x1.0879dae73ab62p-1, 0x1.06e55b013927bp-1, 0x1.0549cbadc31adp-1, 0x1.03a76739dd39ep-1, 0x1.01fe67b3eff1bp-1, 0x1.004f06e4d0416p-1, 0x1.fd32fc91f4798p-2, 0x1.f9bc0e14034f5p-2, 0x1.f639b3f06dce7p-2, 0x1.f2ac5f08ff40cp-2, 0x1.ef147f74cadeap-2, 0x1.eb728474ab50ap-2, 0x1.e7c6dc682fb48p-2, 0x1.e411f4c2ec078p-2, 0x1.e0543a02331e4p-2, 0x1.dc8e17a333914p-2, 0x1.d8bff8197b939p-2, 0x1.d4ea44c5e180bp-2, 0x1.d10d65edceee5p-2, 0x1.cd29c2b2ef947p-2, 0x1.c93fc10b40157p-2, 0x1.c54fc5b9809cep-2, 0x1.c15a344604badp-2, 0x1.bd5f6ef7e15d7p-2, 0x1.b95fd6ce7b1c3p-2, 0x1.b55bcb7b6ce93p-2, 0x1.b153ab5ccdc25p-2, 0x1.ad47d377cd76cp-2, 0x1.a9389f73a9632p-2, 0x1.a5266994fa74bp-2, 0x1.a1118ab955dc3p-2, 0x1.9cfa5a5346973p-2, 0x1.98e12e66929f5p-2, 0x1.94c65b84d8f09p-2, 0x1.90aa34ca7a53fp-2, 0x1.8c8d0bdbd1c4fp-2, 0x1.886f30e2b9cddp-2, 0x1.8450f28c5c388p-2, 0x1.80329e074d63ep-2, 0x1.7c147f01ec361p-2, 0x1.77f6dfa90b1p-2, 0x1.73da08a6dceccp-2, 0x1.6fbe412223982p-2, 0x1.6ba3cebda2813p-2, 0x1.678af597ce3e7p-2, 0x1.6373f84abc47fp-2, 0x1.5f5f17ec4f62bp-2, 0x1.5b4c940e9c582p-2, 0x1.573caac08a7d1p-2, 0x1.532f988ea9e16p-2, 0x1.4f2598844159fp-2, 0x1.4b1ee42c8e3ddp-2, 0x1.471bb39438e9dp-2, 0x1.431c3d4af8c4p-2, 0x1.3f20b66569109p-2, 0x1.3b29527f09c1ep-2, 0x1.373643bc6d246p-2, 0x1.3347bacd90a4bp-2, 0x1.2f5de6f05e0bep-2, 0x1.2b78f5f353dffp-2, 0x1.279914385408p-2, 0x1.23be6cb7959f8p-2, 0x1.1fe92902bc2bcp-2, 0x1.1c1971480d9a4p-2, 0x1.184f6c55c93c2p-2, 0x1.148b3f9d9b56fp-2, 0x1.10cd0f383293dp-2, 0x1.0d14fde8e9a8fp-2, 0x1.09632d21918f7p-2, 0x1.05b7bd0650d4fp-2, 0x1.0212cc719bff2p-2, 0x1.fce8f1f08373ap-3, 0x1.f5b9bddb1f4bep-3, 0x1.ee9832cf0eddp-3, 0x1.e78484864cac3p-3, 0x1.e07ee4517e7b3p-3, 0x1.d9878120c57a9p-3, 0x1.d29e878cafe94p-3, 0x1.cbc421df40b1bp-3, 0x1.c4f8781d1088ep-3, 0x1.be3bb00e89714p-3, 0x1.b78ded4932f33p-3, 0x1.b0ef51390fee5p-3, 0x1.aa5ffb2a0a7c6p-3, 0x1.a3e0085177952p-3, 0x1.9d6f93d7980dcp-3, 0x1.970eb6e12eb56p-3, 0x1.90bd88991bb7ep-3, 0x1.8a7c1e39faa51p-3, 0x1.844a8b17ca243p-3, 0x1.7e28e0a992c68p-3, 0x1.78172e9314025p-3, 0x1.721582ae669f6p-3, 0x1.6c23e915ab743p-3, 0x1.66426c2ca7aa6p-3, 0x1.607114aa6ab04p-3, 0x1.5aafe9a2df0d9p-3, 0x1.54fef090608p-3, 0x1.4f5e2d5d407f6p-3, 0x1.49cda26d41159p-3, 0x1.444d50a70d123p-3, 0x1.3edd377d95db7p-3, 0x1.397d54f96bf7cp-3, 0x1.342da5c208a2ep-3, 0x1.2eee252702479p-3, 0x1.29becd29366a2p-3, 0x1.249f9683dbd3dp-3, 0x1.1f9078b58407ap-3, 0x1.1a916a090c007p-3, 0x1.15a25f9e71aadp-3, 0x1.10c34d7398a83p-3, 0x1.0bf4266cfad77p-3, 0x1.0734dc5e3bd59p-3, 0x1.02856012a9256p-3, 0x1.fbcb42ab41a8fp-4, 0x1.f2ab1df5c0c05p-4, 0x1.e9aa2dcd75f42p-4, 0x1.e0c84c2c62052p-4, 0x1.d805514de30cep-4, 0x1.cf6113be86362p-4, 0x1.c6db686b985dfp-4, 0x1.be7422b27ca7bp-4, 0x1.b62b146fe3656p-4, 0x1.ae000e0ea5867p-4, 0x1.a5f2de967e989p-4, 0x1.9e0353ba8cbbdp-4, 0x1.963139e7832ddp-4, 0x1.8e7c5c51bbc31p-4, 0x1.86e48502f718ep-4, 0x1.7f697ce7ee296p-4, 0x1.780b0bdda321dp-4, 0x1.70c8f8be78b27p-4, 0x1.69a3096f0a907p-4, 0x1.629902eacadb6p-4, 0x1.5baaa95063b33p-4, 0x1.54d7bfeddc48fp-4, 0x1.4e20094c7ec86p-4, 0x1.4783473c867c9p-4, 0x1.41013ae08bcf5p-4, 0x1.3a99a4b8bcbcdp-4, 0x1.344c44adcb375p-4, 0x1.2e18da1bafbc9p-4, 0x1.27ff23dc24d95p-4, 0x1.21fee050eb6e8p-4, 0x1.1c17cd6dd1921p-4, 0x1.1649a8c282e5bp-4, 0x1.10942f84196bep-4, 0x1.0af71e967779dp-4, 0x1.0572329565d92p-4, 0x1.000527dd79f7cp-4, 0x1.f55f752982ac9p-5, 0x1.eae34d666faa6p-5, 0x1.e09550160625dp-5, 0x1.d674f4a0ea493p-5, 0x1.cc81b243b9a2ap-5, 0x1.c2bb001e377efp-5, 0x1.b9205542111fp-5, 0x1.afb128c134811p-5, 0x1.a66cf1bbbd41fp-5, 0x1.9d53276d838d6p-5, 0x1.9463413b309d3p-5, 0x1.8b9cb6bf013d8p-5, 0x1.82feffd519229p-5, 0x1.7a8994a773ba3p-5, 0x1.723bedb97765dp-5, 0x1.6a1583f324c8ep-5, 0x1.6215d0abe9333p-5, 0x1.5a3c4db51266bp-5, 0x1.52887563e46bcp-5, 0x1.4af9c29b5a99ep-5, 0x1.438fb0d5850ebp-5, 0x1.3c49bc2c9807fp-5, 0x1.35276163a12c3p-5, 0x1.2e281deee4828p-5, 0x1.274b6ffbecb7p-5, 0x1.2090d6793f307p-5, 0x1.19f7d11dc85edp-5, 0x1.137fe06ff8e04p-5, 0x1.0d2885cc89fb5p-5, 0x1.06f1436d05ef4p-5, 0x1.00d99c6df46f6p-5, 0x1.f5c229a99750bp-6, 0x1.ea0e632b22cdfp-6, 0x1.de96f1306ffa5p-6, 0x1.d35ae17b6f31fp-6, 0x1.c85943c9c05e6p-6, 0x1.bd9129ddd76d4p-6, 0x1.b301a787a385dp-6, 0x1.a8a9d2aca5fc9p-6, 0x1.9e88c34fac63ep-6, 0x1.949d9397f56e6p-6, 0x1.8ae75fd7e1b55p-6, 0x1.8165469349046p-6, 0x1.781668853d476p-6, 0x1.6ef9e8a57df3fp-6, 0x1.660eec2d6cc8ep-6, 0x1.5d549a9ca442cp-6, 0x1.54ca1dbd1e2d1p-6, 0x1.4c6ea1a6fd50dp-6, 0x1.444154c3f76f6p-6, 0x1.3c4167d2625a1p-6, 0x1.346e0de7d4ac1p-6, 0x1.2cc67c7392715p-6, 0x1.2549eb40741a2p-6, 0x1.1df7947698a7fp-6, 0x1.16ceb49cc8562p-6, 0x1.0fce8a99697cp-6, 0x1.08f657b350d74p-6, 0x1.02455f9222a81p-6, 0x1.f775d07d0d873p-7, 0x1.eaac74440ac9fp-7, 0x1.de2d400d4d8aap-7, 0x1.d1f6ce2c9a13fp-7, 0x1.c607bdb3b006bp-7, 0x1.ba5eb26fff79bp-7, 0x1.aefa54e7fa2d7p-7, 0x1.a3d95257e1dc9p-7, 0x1.98fa5cae2fcf9p-7, 0x1.8e5c2a87944b4p-7, 0x1.83fd772a8c717p-7, 0x1.79dd02828ffc6p-7, 0x1.6ff9911af89bdp-7, 0x1.6651ec19585c9p-7, 0x1.5ce4e137b2818p-7, 0x1.53b142be4696bp-7, 0x1.4ab5e77cfd39p-7, 0x1.41f1aac4a016ap-7, 0x1.39636c5fb6097p-7, 0x1.310a108b2b8a3p-7, 0x1.28e47fee9b042p-7, 0x1.20f1a79476c2ep-7, 0x1.193078e1cbfeap-7, 0x1.119fe98df30cfp-7, 0x1.0a3ef399fcff7p-7, 0x1.030c9547d3b76p-7, 0x1.f80fa22296aadp-8, 0x1.ea5f5b3dd14d3p-8, 0x1.dd066b7d2c3b1p-8, 0x1.d002f0b427aadp-8, 0x1.c35310da949e6p-8, 0x1.b6f4f9f9076bp-8, 0x1.aae6e214d2a0cp-8, 0x1.9f27071c0f2c1p-8, 0x1.93b3aed10d097p-8, 0x1.888b26b5e065dp-8, 0x1.7dabc3f76ead6p-8, 0x1.7313e3589266fp-8, 0x1.68c1e91cda4a9p-8, 0x1.5eb440f361adbp-8, 0x1.54e95de137374p-8, 0x1.4b5fba2bf5f74p-8, 0x1.4215d74403928p-8, 0x1.390a3daed608fp-8, 0x1.303b7cf12a002p-8, 0x1.27a82b78fe82p-8, 0x1.1f4ee687cdd02p-8, 0x1.172e521c600a2p-8, 0x1.0f4518dce6bacp-8, 0x1.0791ec00f3cddp-8, 0x1.0013833b5b218p-8, 0x1.f19139485daap-9, 0x1.e35ff9457cd0cp-9, 0x1.d590dbaf10b1dp-9, 0x1.c821820cbfa0ep-9, 0x1.bb0f9a00b021dp-9, 0x1.ae58dd1c13e41p-9, 0x1.a1fb10b359cc5p-9, 0x1.95f405b2d515cp-9, 0x1.8a4198733e2bap-9, 0x1.7ee1b08ec3106p-9, 0x1.73d240b5f68dap-9, 0x1.69114684ea2d3p-9, 0x1.5e9cca58e932dp-9, 0x1.5472df25e826bp-9, 0x1.4a91a24c742a2p-9, 0x1.40f73b701763cp-9, 0x1.37a1dc4d74cd7p-9, 0x1.2e8fc091344ccp-9, 0x1.25bf2daefdfdcp-9, 0x1.1d2e72b89f279p-9, 0x1.14dbe835b64b9p-9, 0x1.0cc5effb9b717p-9, 0x1.04eaf5058c00bp-9, 0x1.fa92d69a6dbcep-10, 0x1.ebbf9f475a9dep-10, 0x1.dd594f15292aap-10, 0x1.cf5d021b56e76p-10, 0x1.c1c7e539b690cp-10, 0x1.b49735ccce01cp-10, 0x1.a7c841630464cp-10, 0x1.9b58657319278p-10, 0x1.8f450f1298aedp-10, 0x1.838bbaadc6d6cp-10, 0x1.7829f3bfb8bc5p-10, 0x1.6d1d548bc4cd7p-10, 0x1.626385d6f0984p-10, 0x1.57fa3ea34a9f2p-10, 0x1.4ddf43eaf9ddcp-10, 0x1.4410685cc79bp-10, 0x1.3a8b8c1910d0dp-10, 0x1.314e9c6ff0937p-10, 0x1.2857939fdc304p-10, 0x1.1fa4789541213p-10, 0x1.17335eab1872cp-10, 0x1.0f02656bd79cap-10, 0x1.070fb853c1c2cp-10, 0x1.feb31d2682d01p-11, 0x1.efbc55a68e827p-11, 0x1.e137b5f2c025p-11, 0x1.d321efda2dd57p-11, 0x1.c577cabca92b1p-11, 0x1.b8362317fee9p-11, 0x1.ab59ea18000e9p-11, 0x1.9ee025286fb85p-11, 0x1.92c5ed8661566p-11, 0x1.87086fd5de9cep-11, 0x1.7ba4ebb76a538p-11, 0x1.7098b36013feap-11, 0x1.65e12b328bc9ap-11, 0x1.5b7bc95a3c94fp-11, 0x1.51661567c5bf4p-11, 0x1.479da7ef09218p-11, 0x1.3e202a26cc56ap-11, 0x1.34eb558a3f807p-11, 0x1.2bfcf37b65ae8p-11, 0x1.2352dce789eefp-11, 0x1.1aeaf9ece292p-11, 0x1.12c341824ac62p-11, 0x1.0ad9b91ffbc99p-11, 0x1.032c7469661cbp-11, 0x1.f77329b507e19p-12, 0x1.e8fe92e6f7632p-12, 0x1.daf79cd0e86f1p-12, 0x1.cd5ad9a293cd7p-12, 0x1.c024f4b680122p-12, 0x1.b352b1f8891bap-12, 0x1.a6e0ed4eb264ap-12, 0x1.9acc9a04eb3bep-12, 0x1.8f12c23ae50f2p-12, 0x1.83b08655639f8p-12, 0x1.78a31c72976e8p-12, 0x1.6de7cfe1139a2p-12, 0x1.637c00976f4f5p-12, 0x1.595d22b145bbbp-12, 0x1.4f88bdec5d2e7p-12, 0x1.45fc6d2a7979ap-12, 0x1.3cb5ddf3f5636p-12, 0x1.33b2cffe1d287p-12, 0x1.2af114b323b89p-12, 0x1.226e8ebceed53p-12, 0x1.1a2931919a498p-12, 0x1.121f01031fedep-12, 0x1.0a4e10d1f6f96p-12, 0x1.02b4843fe29dap-12, 0x1.f6a11b4bf7e3cp-13, 0x1.e840dc1bd7d6dp-13, 0x1.da44e9988b22ap-13, 0x1.cca9fe3a4c1adp-13, 0x1.bf6cef86b51c5p-13, 0x1.b28aad5277d16p-13, 0x1.a60041084d202p-13, 0x1.99caccf1e2e8bp-13, 0x1.8de78b860a88ep-13, 0x1.8253cebc776a2p-13, 0x1.770cff6241eaap-13, 0x1.6c109c750152fp-13, 0x1.615c3a7f15565p-13, 0x1.56ed82f9ca5fcp-13, 0x1.4cc233b1c83ccp-13, 0x1.42d81e300b9d2p-13, 0x1.392d27249e541p-13, 0x1.2fbf45d88c618p-13, 0x1.268c839fe9318p-13, 0x1.1d92fb4e5545dp-13, 0x1.14d0d8b1e145bp-13, 0x1.0c44580f95b11p-13, 0x1.03ebc5a32aa0fp-13, 0x1.f78afa452aa1p-14, 0x1.e79fd2866629bp-14, 0x1.d81306888e3c9p-14, 0x1.c8e1a4f2e03d6p-14, 0x1.ba08d7b43d854p-14, 0x1.ab85e3259eda6p-14, 0x1.9d562535a7a71p-14, 0x1.8f7714961edbbp-14, 0x1.81e63fee105e3p-14, 0x1.74a14d146149p-14, 0x1.67a5f84dca9e2p-14, 0x1.5af21390df3c1p-14, 0x1.4e8385cc38868p-14, 0x1.42584a3521c0ep-14, 0x1.366e6f9af4126p-14, 0x1.2ac417ba971bcp-14, 0x1.1f57769b22bcbp-14, 0x1.1426d1ebae3b6p-14, 0x1.093080698799cp-14, 0x1.fce5d29144617p-15, 0x1.e7d9073c4fb4cp-15, 0x1.d337aba228917p-15, 0x1.befeea2044805p-15, 0x1.ab2c0994548f2p-15, 0x1.97bc6c503882p-15, 0x1.84ad8f1e9f6e7p-15, 0x1.71fd084887b73p-15, 0x1.5fa886aa8dc94p-15, 0x1.4dadd0c17e8a3p-15, 0x1.3c0ac3ca9a909p-15, 0x1.2abd52e50127dp-15, 0x1.19c3863f8b8e6p-15, 0x1.091b7a4767275p-15, 0x1.f186bdbb084c2p-16, 0x1.d172ed2bb0f5bp-16, 0x1.b1f82bf252345p-16, 0x1.9313459f62293p-16, 0x1.74c126d4a1ceap-16, 0x1.56fedbf178abap-16, 0x1.39c98fc61b48cp-16, 0x1.1d1e8a5adeba8p-16, 0x1.00fb2faa6e4a1p-16, 0x1.cab9fcf2dc087p-17, 0x1.94831e5b511a7p-17, 0x1.5f4d25756c73cp-17, 0x1.2b13a318dde26p-17, 0x1.efa4a9f2d2c68p-18, 0x1.8b0a4752c74c5p-18, 0x1.28504177dd09dp-18, 0x1.8ede137b257dp-19, 0x1.a17d7052860bap-20, 0x1.63477114a24fdp-23, -0x1.419c4449afa94p-20, -0x1.5456049d3efc5p-19, -0x1.0237d345a9424p-18, -0x1.5893849c1a449p-18, -0x1.ad43df7ea80d6p-18, -0x1.00273c19338f9p-17, -0x1.28dc587478c46p-17, -0x1.50c3de2c51a51p-17, -0x1.77e050112f65dp-17, -0x1.9e341ba8c5d45p-17, -0x1.c3c19a3650ec1p-17, -0x1.e88b11ee60f7dp-17, -0x1.06495b7eab944p-16, -0x1.17ed5649ee566p-16, -0x1.293282ec01c66p-16, -0x1.3a19e36bc6c24p-16, -0x1.4aa472b2d12bap-16, -0x1.5ad3250349a05p-16, -0x1.6aa6e8597ecd2p-16, -0x1.7a20a4d2583b4p-16, -0x1.89413d0c7a1c1p-16, -0x1.98098e8458c44p-16, -0x1.a67a71f16ffbep-16, -0x1.b494bb92bc525p-16, -0x1.c2593b80cdabfp-16, -0x1.cfc8bdf6db925p-16, }}, 
      {{0x1.bd8c821633d8fp-2, 0x1.bda2a7cad5c0ep-2, 0x1.bdc7e2383fb11p-2, 0x1.bdfc9218c1b58p-2, 0x1.be4122d160fd1p-2, 0x1.be95ff9662608p-2, 0x1.befb8b64aa738p-2, 0x1.bf721b363491bp-2, 0x1.bff9f1f813673p-2, 0x1.c0933de185af8p-2, 0x1.c13e16df2fd5fp-2, 0x1.c1fa7dd50636ap-2, 0x1.c2c85c85ac144p-2, 0x1.c3a785f7dfe72p-2, 0x1.c497b73a52743p-2, 0x1.c598986ca71bep-2, 0x1.c6a9bdf975964p-2, 0x1.c7caa9f13819ap-2, 0x1.c8facd797d006p-2, 0x1.ca398a465bd2fp-2, 0x1.cb863416695bap-2, 0x1.cce0122b2701bp-2, 0x1.ce4660b961429p-2, 0x1.cfb8524e1212fp-2, 0x1.d135112552acdp-2, 0x1.d2bbc071a1777p-2, 0x1.d44b7d9255cecp-2, 0x1.d5e361389d2dcp-2, 0x1.d782807ab2207p-2, 0x1.d927edd54c1ccp-2, 0x1.dad2ba1b7b46dp-2, 0x1.dc81f55553f64p-2, 0x1.de34af8de835bp-2, 0x1.dfe9f99127698p-2, 0x1.e1a0e59a4accp-2, 0x1.e35887f383125p-2, 0x1.e50ff78799c8dp-2, 0x1.e6c64e6647ea6p-2, 0x1.e87aaa3bf6058p-2, 0x1.ea2c2cbda4cddp-2, 0x1.ebd9fc09a8c05p-2, 0x1.ed8342fdf749p-2, 0x1.ef273184a0aa2p-2, 0x1.f0c4fcd72691ap-2, 0x1.f25bdfb943931p-2, 0x1.f3eb1aabc24afp-2, 0x1.f571f417e9dfdp-2, 0x1.f6efb87413a5cp-2, 0x1.f863ba61dc3ecp-2, 0x1.f9cd52c67ac24p-2, 0x1.fb2be0dda2309p-2, 0x1.fc7eca4764d49p-2, 0x1.fdc57b1179738p-2, 0x1.feff65bc437cbp-2, 0x1.0016019dfd12ep-1, 0x1.00a5697b2101p-1, 0x1.012dad5e417cep-1, 0x1.01ae9361a7888p-1, 0x1.0227e4cb880bcp-1, 0x1.02996e0725456p-1, 0x1.0302fe9cd375cp-1, 0x1.03646928fcb16p-1, 0x1.03bd835241fb1p-1, 0x1.040e25becb054p-1, 0x1.04562c08de55p-1, 0x1.049574b2d63a5p-1, 0x1.04cbe11a82e32p-1, 0x1.04f9556c0cab3p-1, 0x1.051db8946645p-1, 0x1.0538f4335ccfep-1, 0x1.054af48d5262ap-1, 0x1.0553a87cb351ep-1, 0x1.055301632be87p-1, 0x1.0548f31aad169p-1, 0x1.053573e64801ep-1, 0x1.05187c62e9417p-1, 0x1.04f20777fc5acp-1, 0x1.04c21247fd35dp-1, 0x1.04889c2100c62p-1, 0x1.0445a66d37fb3p-1, 0x1.03f934a374e4dp-1, 0x1.03a34c37b5fefp-1, 0x1.0343f48bbc0c1p-1, 0x1.02db36dfafc4ep-1, 0x1.02691e42d98ffp-1, 0x1.01edb78471a21p-1, 0x1.0169112486c54p-1, 0x1.00db3b4504ca3p-1, 0x1.0044479ad8a93p-1, 0x1.ff4892be6c91p-2, 0x1.fdf6aa820668ep-2, 0x1.fc9302accc207p-2, 0x1.fb1dca1cfddc5p-2, 0x1.f997324691fdep-2, 0x1.f7ff6f174c833p-2, 0x1.f656b6db33a37p-2, 0x1.f49d42215b80ap-2, 0x1.f2d34ba1130b6p-2, 0x1.f0f9101f71a86p-2, 0x1.ef0ece5543657p-2, 0x1.ed14c6d55dd9fp-2, 0x1.eb0b3bf3586d7p-2, 0x1.e8f271aaacd99p-2, 0x1.e6caad863f778p-2, 0x1.e4943688542fp-2, 0x1.e24f5512ec82bp-2, 0x1.dffc52d0923d7p-2, 0x1.dd9b7a9d91d68p-2, 0x1.db2d1871a1e74p-2, 0x1.d8b17949f6d24p-2, 0x1.d628eb13cbd83p-2, 0x1.d393bc97593eap-2, 0x1.d0f23d633a2cdp-2, 0x1.ce44bdb848d77p-2, 0x1.cb8b8e75e5fbep-2, 0x1.c8c70106b94e1p-2, 0x1.c5f7674ddda6dp-2, 0x1.c31d139485b3dp-2, 0x1.c03858780e2a2p-2, 0x1.bd4988d88485ep-2, 0x1.ba50f7c7a2c64p-2, 0x1.b74ef87837cbp-2, 0x1.b443de2e08349p-2, 0x1.b12ffc2e1b03bp-2, 0x1.ae13a5af7c886p-2, 0x1.aaef2dcc6fb4dp-2, 0x1.a7c2e774123a1p-2, 0x1.a48f255c6c65bp-2, 0x1.a15439f4f6ddp-2, 0x1.9e1277598a57p-2, 0x1.9aca2f45be9b7p-2, 0x1.977bb308b774dp-2, 0x1.942753795eb5cp-2, 0x1.90cd60eb091cdp-2, 0x1.8d6e2b2283e52p-2, 0x1.8a0a014b927d7p-2, 0x1.86a131eecc1ffp-2, 0x1.83340ae7e8aecp-2, 0x1.7fc2d95c7086p-2, 0x1.7c4de9b2d1047p-2, 0x1.78d58789d86edp-2, 0x1.7559fdb08f81p-2, 0x1.71db961e7b3adp-2, 0x1.6e5a99ec38d62p-2, 0x1.6ad7514c7bdp-2, 0x1.67520385684e2p-2, 0x1.63caf6ea4a50dp-2, 0x1.604270d5a62c3p-2, 0x1.5cb8b5a3a39bbp-2, 0x1.592e08acce277p-2, 0x1.55a2ac412df08p-2, 0x1.5216e1a3b1da3p-2, 0x1.4e8ae905efe6cp-2, 0x1.4aff0184344e9p-2, 0x1.47736921dfc02p-2, 0x1.43e85cc614cbap-2, 0x1.405e1838b1d43p-2, 0x1.3cd4d61f92b1ep-2, 0x1.394ccffc1f4a9p-2, 0x1.35c63e291c944p-2, 0x1.324157d8c77a1p-2, 0x1.2ebe53132f169p-2, 0x1.2b3d64b4d46b5p-2, 0x1.27bec06d888bdp-2, 0x1.244298bf89ad4p-2, 0x1.20c91efedc063p-2, 0x1.1d528350e0411p-2, 0x1.19def4ac20072p-2, 0x1.166ea0d854994p-2, 0x1.1301b46ea3815p-2, 0x1.0f985ada0c86p-2, 0x1.0c32be580e26ep-2, 0x1.08d107f978b83p-2, 0x1.05735fa370fd8p-2, 0x1.0219ec10a0f26p-2, 0x1.fd89a5a52679cp-3, 0x1.f6e870a678b98p-3, 0x1.f0507fad4fd68p-3, 0x1.e9c216f9a1e9fp-3, 0x1.e33d78873be61p-3, 0x1.dcc2e41201aa5p-3, 0x1.d652971a77f9cp-3, 0x1.cfecccea8960fp-3, 0x1.c991be9a917a4p-3, 0x1.c341a3169c179p-3, 0x1.bcfcaf23e9085p-3, 0x1.b6c315669af8fp-3, 0x1.b0950667a141dp-3, 0x1.aa72b09ad216fp-3, 0x1.a45c406530b26p-3, 0x1.9e51e023605b2p-3, 0x1.9853b8303fe28p-3, 0x1.9261eeebae786p-3, 0x1.8c7ca8c172cddp-3, 0x1.86a40830401fep-3, 0x1.80d82dd0e3b8ap-3, 0x1.7b19385d86ab2p-3, 0x1.756744b90d77bp-3, 0x1.6fc26df693d61p-3, 0x1.6a2acd60f8545p-3, 0x1.64a07a827fb66p-3, 0x1.5f238b2c8baebp-3, 0x1.59b4137f608bap-3, 0x1.545225f1f734fp-3, 0x1.4efdd359de1d8p-3, 0x1.49b72af324c34p-3, 0x1.447e3a684d574p-3, 0x1.3f530dda4ab64p-3, 0x1.3a35afe8791a6p-3, 0x1.352629b8aa268p-3, 0x1.302482ff21fddp-3, 0x1.2b30c206a34f6p-3, 0x1.264aebb871b49p-3, 0x1.217303a455d1ep-3, 0x1.1ca90c0898ac4p-3, 0x1.17ed05da0282bp-3, 0x1.133ef0cbcb957p-3, 0x1.0e9ecb578886ap-3, 0x1.0a0c92c50c2dap-3, 0x1.0588433244226p-3, 0x1.0111d79b03b21p-3, 0x1.f95293c193176p-4, 0x1.f09d25a4e4279p-4, 0x1.e8035467c0145p-4, 0x1.df850d8b28f3dp-4, 0x1.d7223c986da7bp-4, 0x1.cedacb301dec4p-4, 0x1.c6aea118d0aa8p-4, 0x1.be9da44dd36b6p-4, 0x1.b6a7b90daa4b1p-4, 0x1.aeccc1e86938ep-4, 0x1.a70c9fcded8c5p-4, 0x1.9f67321be2d34p-4, 0x1.97dc56aba4f85p-4, 0x1.906be9dff1dbp-4, 0x1.8915c6b273262p-4, 0x1.81d9c6c1154e6p-4, 0x1.7ab7c25b3295fp-4, 0x1.73af908e8f723p-4, 0x1.6cc1073425814p-4, 0x1.65ebfafcbf5aep-4, 0x1.5f303f7d5ff3fp-4, 0x1.588da73b7d802p-4, 0x1.520403b9059d6p-4, 0x1.4b9325802f2f1p-4, 0x1.453adc2f1bab1p-4, 0x1.3efaf68342bf3p-4, 0x1.38d34264aa109p-4, 0x1.32c38cf0ea7ep-4, 0x1.2ccba286009b9p-4, 0x1.26eb4ecce9483p-4, 0x1.21225cc405f84p-4, 0x1.1b7096c954d7dp-4, 0x1.15d5c6a46b874p-4, 0x1.1051b59042df7p-4, 0x1.0ae42c44cb78bp-4, 0x1.058cf30051495p-4, 0x1.004bd190a591p-4, 0x1.f6411eb833efbp-5, 0x1.ec15e6d48a49ep-5, 0x1.e21588d92a085p-5, 0x1.d83f918d57d6dp-5, 0x1.ce938d2d162a9p-5, 0x1.c5110779191bdp-5, 0x1.bbb78bc64ffdbp-5, 0x1.b286a50d0b09ap-5, 0x1.a97dddf7c1b18p-5, 0x1.a09cc0f1728e5p-5, 0x1.97e2d833a1d95p-5, 0x1.8f4fadd3f6c93p-5, 0x1.86e2cbd17cc07p-5, 0x1.7e9bbc2180e92p-5, 0x1.767a08bc11858p-5, 0x1.6e7d3ba8232e8p-5, 0x1.66a4df075a3cdp-5, 0x1.5ef07d21747edp-5, 0x1.575fa06f5e7d2p-5, 0x1.4ff1d3a5ed9eap-5, 0x1.48a6a1c044188p-5, 0x1.417d9609dacc4p-5, 0x1.3a763c28392aap-5, 0x1.339020245bd05p-5, 0x1.2ccace73c43a1p-5, 0x1.2625d40132a06p-5, 0x1.1fa0be351b362p-5, 0x1.193b1afdc4dap-5, 0x1.12f478d718f7ep-5, 0x1.0ccc66d22c574p-5, 0x1.06c2749c76a35p-5, 0x1.00d63286c6655p-5, 0x1.f60e6317d095ep-6, 0x1.eaaa06ae10d1p-6, 0x1.df7e749396b4cp-6, 0x1.d48ad304545c2p-6, 0x1.c9ce49c0032e4p-6, 0x1.bf480214c4538p-6, 0x1.b4f726e94e766p-6, 0x1.aadae4c686564p-6, 0x1.a0f269e0a8df9p-6, 0x1.973ce61ff699bp-6, 0x1.8db98b28ef325p-6, 0x1.84678c64112f5p-6, 0x1.7b461f052b262p-6, 0x1.72547a123822fp-6, 0x1.6991d669dd10dp-6, 0x1.60fd6ec96e811p-6, 0x1.58967fd292865p-6, 0x1.505c481085ac9p-6, 0x1.484e07fcef5a2p-6, 0x1.406b02045eeeap-6, 0x1.38b27a8a6a973p-6, 0x1.3123b7ed71f2fp-6, 0x1.29be028a09769p-6, 0x1.2280a4be0837ep-6, 0x1.1b6aeaeb49068p-6, 0x1.147c237a17129p-6, 0x1.0db39edb483eep-6, 0x1.0710af8a13e57p-6, 0x1.0092aa0d91a58p-6, 0x1.f471c9f3e51p-7, 0x1.e80571e2f4344p-7, 0x1.dbdf014a4ea05p-7, 0x1.cffd31aa5b1c3p-7, 0x1.c45ec0a231162p-7, 0x1.b9026fef72a2ep-7, 0x1.ade7056dba1fap-7, 0x1.a30b4b157f504p-7, 0x1.986e0efa95c02p-7, 0x1.8e0e234a4466ap-7, 0x1.83ea5e48ecb3ep-7, 0x1.7a019a4f39fd5p-7, 0x1.7052b5c70ec4fp-7, 0x1.66dc932805a1dp-7, 0x1.5d9e18f38462bp-7, 0x1.549631b0a4f7ep-7, 0x1.4bc3cbe79e4a6p-7, 0x1.4325da1ce378dp-7, 0x1.3abb52cc172a9p-7, 0x1.328330627ff1ap-7, 0x1.2a7c713962a28p-7, 0x1.22a6179002521p-7, 0x1.1aff298569701p-7, 0x1.1386b111e9228p-7, 0x1.0c3bbc005f112p-7, 0x1.051d5be7478a8p-7, 0x1.fc554c433f571p-8, 0x1.eec5678f000f1p-8, 0x1.e189434d60d7cp-8, 0x1.d49f20759c48fp-8, 0x1.c805474afe66dp-8, 0x1.bbba074cbceb3p-8, 0x1.afbbb7259473ep-8, 0x1.a408b49b277adp-8, 0x1.989f647cff94ap-8, 0x1.8d7e329376c0ep-8, 0x1.82a3918e2e2bep-8, 0x1.780dfaf2725c3p-8, 0x1.6dbbef09651c4p-8, 0x1.63abf4ce01649p-8, 0x1.59dc99dadb6f6p-8, 0x1.504c7257e6b66p-8, 0x1.46fa18e7dccc1p-8, 0x1.3de42e959ffdp-8, 0x1.35095ac19416ap-8, 0x1.2c684b0eb8693p-8, 0x1.23ffb34fc49adp-8, 0x1.1bce4d743a7f3p-8, 0x1.13d2d9754b77cp-8, 0x1.0c0c1d42beaa5p-8, 0x1.0478e4afd468ap-8, 0x1.fa3002c01b727p-9, 0x1.ebd09567f0331p-9, 0x1.ddd13b6c10e65p-9, 0x1.d02fba0ed1ac8p-9, 0x1.c2e9e19989074p-9, 0x1.b5fd8d363c32p-9, 0x1.a968a2c931952p-9, 0x1.9d2912cad178dp-9, 0x1.913cd821a90f6p-9, 0x1.85a1f7fc29f1ap-9, 0x1.7a5681aae3c4p-9, 0x1.6f588e7acb5e9p-9, 0x1.64a6418f91288p-9, 0x1.5a3dc7be247c3p-9, 0x1.501d57676775ap-9, 0x1.4643305326debp-9, 0x1.3cad9b8b133b8p-9, 0x1.335aeb364573ap-9, 0x1.2a497a74a003bp-9, 0x1.2177ad3ab6baap-9, 0x1.18e3f02d9ae19p-9, 0x1.108cb87f4fb5bp-9, 0x1.087083cb180abp-9, 0x1.008dd7f2702fcp-9, 0x1.f1c685f3f384fp-10, 0x1.e2deb5cdadefep-10, 0x1.d4617b38d4354p-10, 0x1.c64c21742e918p-10, 0x1.b89c02f34f872p-10, 0x1.ab4e891b33153p-10, 0x1.9e612c004ab8ep-10, 0x1.91d172249ff34p-10, 0x1.859cf036dc7e3p-10, 0x1.79c148d1fa436p-10, 0x1.6e3c2c3dabf9bp-10, 0x1.630b582f0ef0bp-10, 0x1.582c978aa11f6p-10, 0x1.4d9dc226240e5p-10, 0x1.435cbc8c301a9p-10, 0x1.396777bf6b65bp-10, 0x1.2fbbf0ff5738fp-10, 0x1.2658318d374d7p-10, 0x1.1d3a4e7241d83p-10, 0x1.14606845c3331p-10, 0x1.0bc8aaf4d9199p-10, 0x1.03714d89fb745p-10, 0x1.f6b123ebb255cp-11, 0x1.e6f989b1f34d8p-11, 0x1.d7b87a9b69d76p-11, 0x1.c8eab9660e797p-11, 0x1.ba8d1cf128d22p-11, 0x1.ac9c8fd506ee7p-11, 0x1.9f160ffdd31d2p-11, 0x1.91f6ae469705p-11, 0x1.853b8e165c498p-11, 0x1.78e1e4fe8f31dp-11, 0x1.6ce6fa5b34c8ep-11, 0x1.614826f3cb39ap-11, 0x1.5602d49df803ep-11, 0x1.4b147de261b59p-11, 0x1.407aada18068fp-11, 0x1.3632febaae44ep-11, 0x1.2c3b1bb4c5e27p-11, 0x1.2290be6769947p-11, 0x1.1931afa6695e7p-11, 0x1.101bc6ee71aecp-11, 0x1.074cea122ae94p-11, 0x1.fd8619d4d859ap-12, 0x1.ecf8620c29da2p-12, 0x1.dceccab8cfb7fp-12, 0x1.cd5f8bff524f3p-12, 0x1.be4cf7a4379b7p-12, 0x1.afb17876f4ab8p-12, 0x1.a18991c129f53p-12, 0x1.93d1deb627b88p-12, 0x1.868711e69a95fp-12, 0x1.79a5f4b736a81p-12, 0x1.6d2b66d826851p-12, 0x1.61145dc0bdecdp-12, 0x1.555de42baf848p-12, 0x1.4a0519970bbf1p-12, 0x1.3f0731c5abaa4p-12, 0x1.34617444e5b5p-12, 0x1.2a113bf210ec7p-12, 0x1.2013f6836faaep-12, 0x1.16672414ab9b5p-12, 0x1.0d0856b3651a7p-12, 0x1.03f531ef0a83dp-12, 0x1.f656d4d792f55p-13, 0x1.e5518ae98531fp-13, 0x1.d4d6312770e19p-13, 0x1.c4e09251e84adp-13, 0x1.b56c980bda2a7p-13, 0x1.a6764a129ce2bp-13, 0x1.97f9cd7b90e97p-13, 0x1.89f363f6d43fep-13, 0x1.7c5f6b11fe04ep-13, 0x1.6f3a5b81dd2a7p-13, 0x1.6280c86fd09a7p-13, 0x1.562f5ec8f4a23p-13, 0x1.4a42e493900b8p-13, 0x1.3eb83845fb83p-13, 0x1.338c5023019d8p-13, 0x1.28bc39984f95dp-13, 0x1.1e4518a098b32p-13, 0x1.1424272cdb715p-13, 0x1.0a56b489d0e0dp-13, 0x1.00da24cec00bdp-13, 0x1.ef57e098fe95cp-14, 0x1.dd93460214ae4p-14, 0x1.cc61b81da2a38p-14, 0x1.bbbe9a6a38a31p-14, 0x1.aba5749b1af87p-14, 0x1.9c11f1957be6dp-14, 0x1.8cffde771b84p-14, 0x1.7e6b29a247b13p-14, 0x1.704fe1cf47e93p-14, 0x1.62aa351fa7e03p-14, 0x1.5576703c08bc2p-14, 0x1.48b0fd753401ep-14, 0x1.3c5663eb7f1eap-14, 0x1.306346b9da659p-14, 0x1.24d4642695608p-14, 0x1.19a694dafa7d7p-14, 0x1.0ed6cb1d9b6cap-14, 0x1.046212127b2c8p-14, 0x1.f48b19fd656f6p-15, 0x1.e0fced2a05a6cp-15, 0x1.ce14407fde5cep-15, 0x1.bbcbe2eac5fc9p-15, 0x1.aa1ece1c9fed4p-15, 0x1.99082543a1109p-15, 0x1.888333c5b976dp-15, 0x1.788b6c0b52b16p-15, 0x1.691c664d27dbbp-15, 0x1.5a31df6c97fc7p-15, 0x1.4bc7b7d11bd07p-15, 0x1.3dd9f24cc9b46p-15, 0x1.3064b30f23903p-15, 0x1.23643e96f4162p-15, 0x1.16d4f8afc6384p-15, 0x1.0ab36374d2898p-15, 0x1.fdf83cb85434bp-16, 0x1.e757ca8c74883p-16, 0x1.d17f1f2db7217p-16, 0x1.bc681e9f6e89ep-16, 0x1.a80ce076633b5p-16, 0x1.9467ae2743defp-16, 0x1.8173016138ac2p-16, 0x1.6f29827f47c45p-16, 0x1.5d860702498cdp-16, 0x1.4c83900fff5d5p-16, 0x1.3c1d4900a361ap-16, 0x1.2c4e85fc40c0cp-16, 0x1.1d12c29e13f5bp-16, 0x1.0e65a09c918c1p-16, 0x1.0042e67f7d95p-16, 0x1.e54cfccd45a88p-17, 0x1.cb18e9a4f922cp-17, 0x1.b1e1eef114f2dp-17, 0x1.99a0a8362b892p-17, 0x1.824deee8ed047p-17, 0x1.6be2d849582e2p-17, 0x1.5658b34320877p-17, 0x1.41a90675950b2p-17, 0x1.2dcd8e41b80f3p-17, 0x1.1ac03aeb9a7bbp-17, 0x1.087b2eb701567p-17, 0x1.edf1785591318p-18, 0x1.cc66c8ad27791p-18, 0x1.ac4baa5731acdp-18, 0x1.8d95cfc659b4cp-18, 0x1.703b3ee1cdd6bp-18, 0x1.54324dfaaed08p-18, 0x1.3971a0ea01a03p-18, 0x1.1ff02636e4e8dp-18, 0x1.07a5145cf3198p-18, 0x1.e10fce7af2e1dp-19, 0x1.b520bb0142407p-19, 0x1.8b6cec7b3ad93p-19, 0x1.63e4dce070c5p-19, 0x1.3e797d96e9f69p-19, 0x1.1b1c32cb0072p-19, 0x1.f37d9ebf06105p-20, 0x1.b4a72191353d6p-20, 0x1.799a361c13652p-20, 0x1.423ce9a8cdc41p-20, 0x1.0e7607a9ed58dp-20, 0x1.bc5a24b8e847bp-21, 0x1.629477dfffd33p-21, 0x1.0f6cbfdf08148p-21, 0x1.856bf315228acp-22, 0x1.f1116e6852204p-23, 0x1.df6a525f9e964p-24, 0x1.874bf9180f8d5p-29, -0x1.98b0108c39ec4p-24, -0x1.8847d6bb15d5ap-23, -0x1.1725c38fc68e6p-22, -0x1.5f7c41c03eac7p-22, -0x1.9d703cccb2ba4p-22, -0x1.d148be8d753fp-22, -0x1.fb4b15685b5dap-22, -0x1.0ddd72bfcc131p-21, -0x1.196d1c080f3f6p-21, -0x1.2074c5c6b614fp-21, -0x1.2313f0d9e8791p-21, -0x1.2169672da79c2p-21, -0x1.1b934240aa698p-21, -0x1.11aef26a008a8p-21, -0x1.03d943ed70b9bp-21, -0x1.e45cca38aaff3p-22, -0x1.b993d8d46d0fcp-22, -0x1.878dbcaca9731p-22, -0x1.4e7f6478f396bp-22, -0x1.0e9cad367e934p-22, -0x1.9030dbb8bf145p-23, -0x1.ec91fc5fee00cp-24, -0x1.3f8e2529f0b37p-25, 0x1.8a7e52738136ep-25, 0x1.20e2357d045c7p-23, 0x1.ea87ee10148e8p-23, 0x1.5f9afeafe9786p-22, 0x1.cf499fea828a9p-22, 0x1.2212092b44898p-21, 0x1.5effa805646cdp-21, 0x1.9e58875ab25e8p-21, 0x1.e007dc9cb3229p-21, 0x1.11fc9b1a5db17p-20, 0x1.350c3c3ddaae6p-20, 0x1.5928edb064bf6p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      22, 0x1.f333333333333p+1, 0x1.c00343faf8a8cp+1, 0x1.81126c6e97b9ap+2, -0x1.1d4ee08774e1cp-8, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.2d48508c06e44p-6, -0x1.460ae7fb44e77p-4, 0x1.1d4b9f56774acp-3, -0x1.9c38c9f75ee2ap-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.e325c34e0dae1p-7, -0x1.10133f6382e05p-4, 0x1.fcc1ed2e39f32p-4, -0x1.9c73dd230fa74p-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.801483b84a587p-7, -0x1.c095ed89d2b7fp-5, 0x1.bee3bf35c466fp-4, -0x1.9b8790744c0d2p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.2ee3a6fef6ff4p-7, -0x1.6d6173b4039dep-5, 0x1.812903245297fp-4, -0x1.9efdb003aa382p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.da33e3948db85p-8, -0x1.2692d0985317cp-5, 0x1.42e95bf092a96p-4, -0x1.852430676d465p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.7082efe210572p-8, -0x1.d7a817775ce14p-6, 0x1.088a54addbdf1p-4, -0x1.4df466a6b58b9p-4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.1c1806f29aacap-8, -0x1.77dbee6f23f9ep-6, 0x1.ace4f0f68146ep-5, -0x1.1b3b0a0eb9224p-4}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.b1ddee6458725p-9, -0x1.2a93c11a70f4cp-6, 0x1.57ecd4587cf03p-5, -0x1.ce21e9d5894f6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4744cf93aa5a6p-9, -0x1.d972c11555551p-7, 0x1.129af14541f0ap-5, -0x1.6866a99be9d6fp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.e5af627ed9bb2p-10, -0x1.766b0e9f96743p-7, 0x1.b917160ef0ee1p-6, -0x1.f652648229d32p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.608e895c06564p-10, -0x1.25bc27e11ca7fp-7, 0x1.6dbded61d10e9p-6, -0x1.7dec4c2adb7f7p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f1db7417e6dfp-11, -0x1.c4a182736c458p-8, 0x1.3474152830218p-6, -0x1.677da87a7a7bcp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.540b0ec173264p-11, -0x1.5408c4299503ep-8, 0x1.fd0f44920851ap-7, -0x1.4262bbadf649bp-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.be3465d878048p-12, -0x1.efc9ab5b8246bp-9, 0x1.9c580c443e6e3p-7, -0x1.2136701c56266p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.169039f689c02p-12, -0x1.5c33f4db82f48p-9, 0x1.4594843bbe2fcp-7, -0x1.fdf7d17692cbdp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.4693d5f428405p-13, -0x1.d28a3574be406p-10, 0x1.f22b7cd3e9efbp-8, -0x1.ba175eba14b1ep-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.608e895c065afp-14, -0x1.25cc22cefb83cp-10, 0x1.6d8ae068e3b9ap-8, -0x1.7600f38602938p-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.540b0ec173353p-15, -0x1.540a909793152p-11, 0x1.faaec84e2c4ecp-9, -0x1.322dce2aa6a38p-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.169039f689db1p-16, -0x1.5c38230f53aa7p-12, 0x1.42f9b30161ebap-9, -0x1.db0713c805c3ep-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.608e895c06e4p-18, -0x1.25af40f0497cap-13, 0x1.68ef26f126c94p-10, -0x1.57e4f6e397c15p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.169039f68bffep-20, -0x1.5de336b6ac2a5p-15, 0x1.3531f26acaac2p-11, -0x1.7b4ed2649b349p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.169039f6acp-24, -0x1.29f2065ba78fcp-18, 0x1.467103ece95fep-13, -0x1.fb9f6e6e03a42p-9}, 
      }}, 
      0x1.dda86810857ep-5, -0x1.701b4a1a2ffdp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.737238f13b227p-2, 0x1.7696c22cf8b2ep-2, 0x1.7b65dbd7f3c12p-2, 0x1.81925945b412cp-2, 0x1.88d8d25faf3f3p-2, 0x1.90fe8075a9c62p-2, 0x1.99d03876d411fp-2, 0x1.a32181d76e5c8p-2, 0x1.accbc95211cfep-2, 0x1.b6adab341c142p-2, 0x1.c0aa5458ee80cp-2, 0x1.caa8f66e1eb14p-2, 0x1.d4944d00424d9p-2, 0x1.de5a31959f722p-2, 0x1.e7eb3cb39a86bp-2, 0x1.f13a721e950a5p-2, 0x1.fa3cf6f706ab8p-2, 0x1.0174e827410e1p-1, 0x1.059cd48cb7e9ap-1, 0x1.09934f36dc251p-1, 0x1.0d5608c22be5p-1, 0x1.10e33ec946e4bp-1, 0x1.1439a972e127ap-1, 0x1.17586aa474e8cp-1, 0x1.1a3effd05263ep-1, 0x1.1ced35b3a316fp-1, 0x1.1f631ef4b4c05p-1, 0x1.21a10c766593ep-1, 0x1.23a7877104adbp-1, 0x1.25774c15edd79p-1, 0x1.27114421f6291p-1, 0x1.287680b87e10ap-1, 0x1.29a83444a61f7p-1, 0x1.2aa7ac418e92bp-1, 0x1.2b764bc547b8ap-1, 0x1.2c15868fa6cd5p-1, 0x1.2c86dd1ea874ep-1, 0x1.2ccbd9105eacbp-1, 0x1.2ce60a3e7826dp-1, 0x1.2cd70413ec2d2p-1, 0x1.2ca05b97148f1p-1, 0x1.2c43a5436c99bp-1, 0x1.2bc2738cbbd6p-1, 0x1.2b1e5555a2da8p-1, 0x1.2a58d4c9d6e5dp-1, 0x1.297376329baffp-1, 0x1.286fb72bbb154p-1, 0x1.274f0dcfd7a7bp-1, 0x1.2612e807827b6p-1, 0x1.24bcab17bb03bp-1, 0x1.234db332c11e7p-1, 0x1.21c75302795e9p-1, 0x1.202ad38628b48p-1, 0x1.1e7973d4de884p-1, 0x1.1cb46904e9accp-1, 0x1.1adcde1451b0cp-1, 0x1.18f3f3d8cfee9p-1, 0x1.16fac1186df2fp-1, 0x1.14f2528e34d57p-1, 0x1.12dbab111e0e2p-1, 0x1.10b7c3b376b02p-1, 0x1.0e878bd120792p-1, 0x1.0c4be94c8ffb6p-1, 0x1.0a05b8bfe7553p-1, 0x1.07b5cdb5017f6p-1, 0x1.055cf2d81ec8p-1, 0x1.02fbea3b68b41p-1, 0x1.00936d8c1adfcp-1, 0x1.fc485ca0e143fp-2, 0x1.f75dac3b3cc77p-2, 0x1.f2680dcd41217p-2, 0x1.ed68b65cebe15p-2, 0x1.e860ccb6d80aap-2, 0x1.e35169d04db1ap-2, 0x1.de3b996471e82p-2, 0x1.d9205a64751acp-2, 0x1.d4009f58ea66p-2, 0x1.cedd4ef722e21p-2, 0x1.c9b7448363f31p-2, 0x1.c48f504f5dbe7p-2, 0x1.bf66382891044p-2, 0x1.ba3cb7c87ecdcp-2, 0x1.b5138153bcc75p-2, 0x1.afeb3db61241ap-2, 0x1.aac48d0bce60cp-2, 0x1.a5a0070d06eap-2, 0x1.a07e3b5d2e376p-2, 0x1.9b5fb1f132866p-2, 0x1.9644eb5f71991p-2, 0x1.912e612fbada5p-2, 0x1.8c1c863974a97p-2, 0x1.870fc6e5c76ddp-2, 0x1.820889885d045p-2, 0x1.7d072ea312cf7p-2, 0x1.780c11216e79fp-2, 0x1.731786c2aaa9fp-2, 0x1.6e29e028f483p-2, 0x1.69436945d200dp-2, 0x1.6464696e0d7fep-2, 0x1.5f8d23a927303p-2, 0x1.5abdd6e8cd0ep-2, 0x1.55f6be27f125dp-2, 0x1.513810a307064p-2, 0x1.4c820216b89edp-2, 0x1.47d4c2c9f23a2p-2, 0x1.43307fd6e6307p-2, 0x1.3e95633b44a93p-2, 0x1.3a03940febdfcp-2, 0x1.357b36a1e4a7dp-2, 0x1.30fc6c980fc9p-2, 0x1.2c87550cc932dp-2, 0x1.281c0cc1ecd54p-2, 0x1.23baae1d1a7e4p-2, 0x1.1f6351610e873p-2, 0x1.1b160cb86292p-2, 0x1.16d2f44e8fc59p-2, 0x1.129a1a7708c1cp-2, 0x1.0e6b8fa6213afp-2, 0x1.0a4762a35b75p-2, 0x1.062da08c514a6p-2, 0x1.021e54ed5a0d3p-2, 0x1.fc33139bca52cp-3, 0x1.f43e8f9e95d78p-3, 0x1.ec5f2c4d7f07ap-3, 0x1.e494f580967ap-3, 0x1.dcdff4888af1fp-3, 0x1.d540304a4b302p-3, 0x1.cdb5ad5d9c3b3p-3, 0x1.c6406e1d4af8bp-3, 0x1.bee072d2451dap-3, 0x1.b795b9ac29b55p-3, 0x1.b0603ef46efep-3, 0x1.a93ffd0e8d835p-3, 0x1.a234ec9335be1p-3, 0x1.9b3f0464af487p-3, 0x1.945e39bbe7624p-3, 0x1.8d928037d91b9p-3, 0x1.86dbc9fa1ae29p-3, 0x1.803a07a344aedp-3, 0x1.79ad287282bc4p-3, 0x1.73351a4ac5c0ep-3, 0x1.6cd1c9c36a642p-3, 0x1.66832233eef43p-3, 0x1.60490dc153b7dp-3, 0x1.5a23756b483b8p-3, 0x1.54124116c0839p-3, 0x1.4e155795af4a7p-3, 0x1.482c9ebb12858p-3, 0x1.4257fb5b3f0a7p-3, 0x1.3c97515c3d42dp-3, 0x1.36ea83bde1878p-3, 0x1.315174a2fd15bp-3, 0x1.2bcc055ae617cp-3, 0x1.265a166a631cap-3, 0x1.20fb8793e07adp-3, 0x1.1bb037e0478c8p-3, 0x1.167805a7d1858p-3, 0x1.1152ce98341c1p-3, 0x1.0c406fbde6b84p-3, 0x1.0740c58a5ef18p-3, 0x1.0253abdd829aap-3, 0x1.faf1fc173bc1fp-4, 0x1.f1612dc7090bp-4, 0x1.e7f4a16b0fe6cp-4, 0x1.deac0ab5c4a77p-4, 0x1.d5871c7795298p-4, 0x1.cc8588afeca76p-4, 0x1.c3a700910b205p-4, 0x1.baeb349047a82p-4, 0x1.b251d47376e16p-4, 0x1.a9da8f5daddb7p-4, 0x1.a18513d5044c8p-4, 0x1.99510fcf9a766p-4, 0x1.913e30be388d4p-4, 0x1.894c239c6f405p-4, 0x1.817a94f64e2ap-4, 0x1.79c930f008976p-4, 0x1.7237a35026fbp-4, 0x1.6ac5978bd6bep-4, 0x1.6372b8d350c28p-4, 0x1.5c3eb21820c97p-4, 0x1.55292e1293c26p-4, 0x1.4e31d74adf6cap-4, 0x1.4758582603ff4p-4, 0x1.409c5aef64bbcp-4, 0x1.39fd89ddd19cbp-4, 0x1.337b8f1b2b3c4p-4, 0x1.2d1614c84d0ep-4, 0x1.26ccc509e0c6ep-4, 0x1.209f4a12dd381p-4, 0x1.1a8d4e29e57d1p-4, 0x1.14967babebff2p-4, 0x1.0eba7d125b98bp-4, 0x1.08f8fcfce2d2bp-4, 0x1.0351a63b13266p-4, 0x1.fb8847a3e9e51p-5, 0x1.f0a041fec9f17p-5, 0x1.e5ea927bc212cp-5, 0x1.db6690979bf1ap-5, 0x1.d1139468661f1p-5, 0x1.c6f0f6aaf4f1dp-5, 0x1.bcfe10c9ecab4p-5, 0x1.b33a3ce242753p-5, 0x1.a9a4d5cdbd861p-5, 0x1.a03d37304e7ap-5, 0x1.9702bd83da7e3p-5, 0x1.8df4c623f53f9p-5, 0x1.8512af526404dp-5, 0x1.7c5bd83bb58b3p-5, 0x1.73cfa10205503p-5, 0x1.6b6d6ac3e7ce3p-5, 0x1.633497a7c18c7p-5, 0x1.5b248ae51195dp-5, 0x1.533ca8cb8b189p-5, 0x1.4b7c56c6cdd77p-5, 0x1.43e2fb61edb26p-5, 0x1.3c6ffe4c3028dp-5, 0x1.3522c860c399ep-5, 0x1.2dfac3aecf2edp-5, 0x1.26f75b834ea15p-5, 0x1.2017fc7164ff4p-5, 0x1.195c1456b045dp-5, 0x1.12c3125a2f8d6p-5, 0x1.0c4c66e83a067p-5, 0x1.05f783afdbc94p-5, 0x1.ff87b75239697p-6, 0x1.f361c64ac855fp-6, 0x1.e77c1fc9d45cdp-6, 0x1.dbd5b248e3e5ap-6, 0x1.d06d6f3408403p-6, 0x1.c5424aba0b975p-6, 0x1.ba533b8f640b1p-6, 0x1.af9f3ad5f03ddp-6, 0x1.a5254441ef38cp-6, 0x1.9ae4567ad7545p-6, 0x1.90db738a9d991p-6, 0x1.8709a1168eb5ep-6, 0x1.7d6de82aa3a4ap-6, 0x1.7407548fdfb4bp-6, 0x1.6ad4f42d72ed7p-6, 0x1.61d5d69f07295p-6, 0x1.59090d8ee367dp-6, 0x1.506dadc074da9p-6, 0x1.4802d02871176p-6, 0x1.3fc79296a2469p-6, 0x1.37bb174c88af3p-6, 0x1.2fdc838ae6c2cp-6, 0x1.282afdbd09086p-6, 0x1.20a5ac4acdd3bp-6, 0x1.194bb5e6d5a84p-6, 0x1.121c438ef9c92p-6, 0x1.0b168335d698fp-6, 0x1.0439a9ecc810cp-6, 0x1.fb09e7cef374bp-7, 0x1.edef444ea9663p-7, 0x1.e121ed11a656ep-7, 0x1.d4a0608d8a08ap-7, 0x1.c86915e5e86fcp-7, 0x1.bc7a81c12c296p-7, 0x1.b0d3205436ac8p-7, 0x1.a5717fe1151p-7, 0x1.9a54460a0f295p-7, 0x1.8f7a2c5b15d51p-7, 0x1.84e1f4a24947cp-7, 0x1.7a8a5a3816e6ep-7, 0x1.707207c4801c3p-7, 0x1.66979795e3277p-7, 0x1.5cf99f54dd3f9p-7, 0x1.5396c1ce7c259p-7, 0x1.4a6dbe02e4e52p-7, 0x1.417d73db6b959p-7, 0x1.38c4dba3d9d75p-7, 0x1.3042f335036eep-7, 0x1.27f6a9309b286p-7, 0x1.1fded10fc7d31p-7, 0x1.17fa274a76e82p-7, 0x1.1047647213555p-7, 0x1.08c554be7741fp-7, 0x1.0172e739b314cp-7, 0x1.f49e5b859b688p-8, 0x1.e6b29f59304dep-8, 0x1.d920ead5d4b6p-8, 0x1.cbe769b8894bfp-8, 0x1.bf040dc70ecd3p-8, 0x1.b2749cf37416ep-8, 0x1.a636e1fd0203p-8, 0x1.9a48e2e64027bp-8, 0x1.8ea8f59cc2762p-8, 0x1.8355a430cfcf3p-8, 0x1.784d7a503931ap-8, 0x1.6d8ee25daf9e5p-8, 0x1.63181cf6a9c72p-8, 0x1.58e7496c069b3p-8, 0x1.4efa7470d5a9ap-8, 0x1.454fbf4c0423ep-8, 0x1.3be59a6191c16p-8, 0x1.32bae680b63b3p-8, 0x1.29cecce828723p-8, 0x1.21205797b4242p-8, 0x1.18ae1b2db12c1p-8, 0x1.107638e0ca47fp-8, 0x1.0876ad28f303fp-8, 0x1.00ad98adadcb2p-8, 0x1.f232b4bd4d16bp-9, 0x1.e371336d10a4fp-9, 0x1.d514c6142166p-9, 0x1.c71c73a2a2de8p-9, 0x1.b987c44def224p-9, 0x1.ac55b28345b9cp-9, 0x1.9f83b1ec9ff29p-9, 0x1.930db96353239p-9, 0x1.86ef5863d0975p-9, 0x1.7b24e1577fb65p-9, 0x1.6fabcfe47ea14p-9, 0x1.64827dd829a06p-9, 0x1.59a7be67e8fe8p-9, 0x1.4f1ab6a3cdea5p-9, 0x1.44dada346ce8dp-9, 0x1.3ae7a13c01d9cp-9, 0x1.313fbab901cdfp-9, 0x1.27e067d80dfa7p-9, 0x1.1ec5dcac3b8c3p-9, 0x1.15ec634cdc72bp-9, 0x1.0d515c2ba1e7ep-9, 0x1.04f39aeee3123p-9, 0x1.f9a5cce7df343p-10, 0x1.e9dd9e811aea8p-10, 0x1.da8be31b8fc3cp-10, 0x1.cbacf1fd0235ep-10, 0x1.bd3df05dcc8d8p-10, 0x1.af3c9f96e7c67p-10, 0x1.a1a62d92a203fp-10, 0x1.9476b48a36264p-10, 0x1.87a98220b662p-10, 0x1.7b3a0b3ecfaa5p-10, 0x1.6f2635b4cbc0bp-10, 0x1.636f7d02dcf43p-10, 0x1.58170b4ea485ap-10, 0x1.4d19390c3ca7cp-10, 0x1.426f7ca0e09b8p-10, 0x1.3814b34798524p-10, 0x1.2e05da86fa186p-10, 0x1.2441e1a888b41p-10, 0x1.1ac90eb5c84bcp-10, 0x1.119adba4868b7p-10, 0x1.08b49d3316d73p-10, 0x1.001247ee40ccp-10, 0x1.ef6563ce3122p-11, 0x1.df3324961546p-11, 0x1.cf8f03d0cb1c1p-11, 0x1.c06c23f5e008ap-11, 0x1.b1be026a883f8p-11, 0x1.a37c47745e983p-11, 0x1.959f2e5acb22ap-11, 0x1.8825491feebp-11, 0x1.7b13856f90692p-11, 0x1.6e6cacc87a29ap-11, 0x1.622ea8a40cf78p-11, 0x1.56542ded070dap-11, 0x1.4ad74118f59c1p-11, 0x1.3fbc60024269cp-11, 0x1.350706a12c2p-11, 0x1.2aac4f7860c6dp-11, 0x1.20a69a637d40bp-11, 0x1.16f2a2dd793f2p-11, 0x1.0d85054cafda8p-11, 0x1.0456eacc8aa65p-11, 0x1.f6d78fbb9d9bep-12, 0x1.e5921af6d58b5p-12, 0x1.d4ddb289a5fbfp-12, 0x1.c4b7e86aa2accp-12, 0x1.b51f98be5ac1dp-12, 0x1.a60792324e44ap-12, 0x1.9770a5ac8177fp-12, 0x1.89542ab4c2a2fp-12, 0x1.7ba6e4376a677p-12, 0x1.6e78051053e29p-12, 0x1.61c123fccba29p-12, 0x1.556b5fbe4585bp-12, 0x1.4968c15fc3a2cp-12, 0x1.3dbb898a6bc37p-12, 0x1.326cbdec9a9a3p-12, 0x1.277ccb4b8467p-12, 0x1.1ce7d826d85b9p-12, 0x1.12b6dc0c7cbb8p-12, 0x1.08e51def3a78fp-12, 0x1.febee6b174b86p-13, 0x1.ec404cc0af52dp-13, 0x1.da43abb091716p-13, 0x1.c8ef59ed84bafp-13, 0x1.b83eaad73f25bp-13, 0x1.a825e76058d0bp-13, 0x1.9895c6fcc4753p-13, 0x1.8972369dc851fp-13, 0x1.7ab88d587e564p-13, 0x1.6c7878f4c3da3p-13, 0x1.5eab8bba5256bp-13, 0x1.5151544b6dcf6p-13, 0x1.447e83c44c65fp-13, 0x1.382a500f9dd43p-13, 0x1.2c2800134a963p-13, 0x1.206ebdc45c3cep-13, 0x1.15166afd6558bp-13, 0x1.0a258b7a6130bp-13, 0x1.ff13460e68c2dp-14, 0x1.ea95b62b2b5c7p-14, 0x1.d6e838b35da68p-14, 0x1.c3ee6df2ddf01p-14, 0x1.b16d4af8a1876p-14, 0x1.9f75dcd556af2p-14, 0x1.8e0b9c1a0991ep-14, 0x1.7d2cceef1044bp-14, 0x1.6ced61904f9fcp-14, 0x1.5d55ba9d9fc9fp-14, 0x1.4e36090c36646p-14, 0x1.3f639abc69579p-14, 0x1.3110f1984352ap-14, 0x1.23428d9b233e6p-14, 0x1.15d633b4ce61ap-14, 0x1.08ce6cd40bf7cp-14, 0x1.f8623177d3f96p-15, 0x1.e0134d0f83e3bp-15, 0x1.c8c3cfa3cdff1p-15, 0x1.b23016b996929p-15, 0x1.9c2d795a942fap-15, 0x1.86c70be6ada29p-15, 0x1.721202de54273p-15, 0x1.5e267a613a8dbp-15, 0x1.4ae6abf28ab5dp-15, 0x1.384485b3a096p-15, 0x1.25ff6f157bef1p-15, 0x1.1476a0d9df5ebp-15, 0x1.0376339297714p-15, 0x1.e5e83addea93fp-16, 0x1.c5e9aec93926dp-16, 0x1.a6ea2c2d3c9cap-16, 0x1.88e10490d88bcp-16, 0x1.6bc9d914abcd1p-16, 0x1.4fbf05a2f30f3p-16, 0x1.34db3a7adce88p-16, 0x1.1aabbfbd3375p-16, 0x1.011609975baaep-16, 0x1.d0ff2df858ce8p-17, 0x1.a1803f282e179p-17, 0x1.737feedc7f8adp-17, 0x1.46b78548a923ap-17, 0x1.1b839ade0e5c3p-17, 0x1.e37356fa08e3ap-18, 0x1.92637230fe006p-18, 0x1.43f779cb2888ep-18, 0x1.f03ae1f1504dap-19, 0x1.5d80ed63bb34bp-19, 0x1.9f3b1d4911c9dp-20, 0x1.196e3c8a9d7bap-21, -0x1.f4ad11fdf7911p-22, -0x1.7eb2464567303p-20, -0x1.3a87adc1fdb5ap-19, -0x1.b165ec052391ep-19, -0x1.12be78be84f0dp-18, -0x1.4a3363392480fp-18, -0x1.800b4c3e64e59p-18, -0x1.b40b18715a377p-18, -0x1.e613d36923p-18, -0x1.0b383200517f4p-17, -0x1.228db1f962fa8p-17, -0x1.3907c5c59b3c1p-17, -0x1.4ead0b4cc566p-17, -0x1.6383c1fa0e8acp-17, -0x1.7791c194211edp-17, -0x1.8ad8f96baa787p-17, -0x1.9d61917cc12fap-17, -0x1.af30a128c3b04p-17, -0x1.c04eb49112075p-17, -0x1.d0c68b9f14ea6p-17, -0x1.e0873fd8bbd82p-17, -0x1.ef788eb939e5ep-17, -0x1.fdea650366e8ap-17, -0x1.05d4e779124ccp-16, -0x1.0c6694bafa2f5p-16, -0x1.12ab33f5fbbcp-16, -0x1.18a86e814f3a8p-16, -0x1.1e5a0eb3e444bp-16, -0x1.23c3e904b228cp-16, -0x1.28e57db294ef4p-16, -0x1.2dc1f2c43581p-16, -0x1.325a5f3a44ffdp-16, -0x1.36b024c779873p-16, -0x1.3ac4d4d4a9fdep-16, -0x1.3e9a129fad70fp-16, -0x1.42306410e35bep-16, -0x1.4589fe950214bp-16, -0x1.48a83d49e1c3dp-16, -0x1.4b8ba116a17d8p-16, -0x1.4e37664ab4bbbp-16, -0x1.50a939fe22dfbp-16, -0x1.52e3bdb93a36bp-16, -0x1.54e17df6e2f73p-16, -0x1.56b18c1bbed1dp-16, -0x1.584daf5d9dbdbp-16, -0x1.59b65279d1c89p-16, -0x1.5aecfac5dd658p-16, -0x1.5bf2b6e333699p-16, -0x1.5cc889bf5f2d1p-16, -0x1.5d6f693b0fcd6p-16, -0x1.5de845bb5a01bp-16, -0x1.5e3410dcdf742p-16, -0x1.5e53b5d37984ap-16, -0x1.5e481d2a0c3dbp-16, -0x1.5e1234e91b6f4p-16, -0x1.5db2d5693e1abp-16, -0x1.5d2a98a49e33cp-16, -0x1.5c7a59c61d014p-16, -0x1.5ba36cbfefca8p-16, -0x1.5aa7ab8874208p-16, -0x1.598467a93667dp-16, -0x1.583ec69fd7eeap-16, -0x1.56d1519afb0c7p-16, -0x1.55436d225f46dp-16, -0x1.53936fcf1dacfp-16, -0x1.51c1be226c456p-16, -0x1.4fcf2f3e9455bp-16, -0x1.4dbc896f209dap-16, -0x1.4b8a89902e96ep-16, -0x1.4939ea8b5234p-16, -0x1.46cb6423b1ad5p-16, -0x1.443faa8ad6b14p-16, -0x1.4197709570307p-16, -0x1.3ed36a8c247f8p-16, -0x1.3bf440ec1b509p-16, -0x1.38fa95e9b0abdp-16, -0x1.35e720e69591p-16, -0x1.32baa4b4758c2p-16, -0x1.2f75b550c91d4p-16, -0x1.2c18bba6ff797p-16, -0x1.28a4caf72183ap-16, -0x1.251a37a031eb3p-16, -0x1.217a83f7d8e7p-16, -0x1.1dc5bb383583bp-16, -0x1.19f9bbbb40c2bp-16, -0x1.161b752ee0a99p-16, -0x1.1229d1b3a783ep-16, -0x1.0e254ce0c2da9p-16, -0x1.0a0e903d00e3dp-16, -0x1.05e684f4f1628p-16, -0x1.01aceaa7c2c0dp-16, -0x1.fac63a7a66b09p-17, -0x1.f2133b85f2ab8p-17, -0x1.e94127d84212fp-17, -0x1.e0521a766430cp-17, -0x1.d74769cc6025cp-17, -0x1.ce2071b868a08p-17, -0x1.c4e0127553122p-17, -0x1.bb86972bd4423p-17, -0x1.b215734721e4ap-17, -0x1.a88d89fa822e3p-17, -0x1.9eeff89fcbbep-17, -0x1.953dce87e7f41p-17, -0x1.8b78187ccc21dp-17, -0x1.819fe1a9d7f76p-17, -0x1.77b63411c8873p-17, -0x1.6dbc0d135f519p-17, -0x1.63b2b5a7c5901p-17, -0x1.599a9e9f39e02p-17, -0x1.4f75101369e9fp-17, -0x1.454333d709146p-17, -0x1.3b05cfa2dbfa4p-17, -0x1.30bdde074608p-17, -0x1.266c52de345aap-17, -0x1.1c121c30ece19p-17, -0x1.11b0286566672p-17, -0x1.07475fd1ad719p-17, -0x1.f9b16b1d9ab91p-18, -0x1.e4c9dcc6ec685p-18, -0x1.cfda14241405cp-18, -0x1.bae3b672c02a6p-18, -0x1.a5e87e2719fbcp-18, -0x1.90e9c4fe12d94p-18, -0x1.7beae7fd2ae4fp-18, -0x1.66e9831c48fc8p-18, -0x1.51ec4bfec9693p-18, -0x1.3cf193eb79919p-18, -0x1.27fbc63a3a636p-18, -0x1.130c729d81648p-18, -0x1.fc4a3a66401bbp-19, -0x1.d28e89bde4dc9p-19, -0x1.a8e8c2c04da48p-19, -0x1.7f5bb20db4a06p-19, -0x1.55ed59318ed8ep-19, -0x1.2c9aefccf0712p-19, -0x1.03668a9dded1dp-19, -0x1.b4b2745f39ccp-20, -0x1.62e50b6157e9bp-20, -0x1.116a0aae3ba73p-20, -0x1.80911cd6a5d59p-21, -0x1.be01ad6c80c17p-22, -0x1.f1bdfc309cff5p-24, 0x1.8712ffbc96359p-23, 0x1.00ebc88bcdcf5p-21, 0x1.9f2a44753e80dp-21, 0x1.1e48153828885p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.c3b16481285c1p-1, -0x1.c3a94ff54a195p-1, -0x1.c39b9f4c66534p-1, -0x1.c38804f267784p-1, -0x1.c36e1e30f1cb6p-1, -0x1.c34d77e3c5ce4p-1, -0x1.c325928709e91p-1, -0x1.c2f5e5b453087p-1, -0x1.c2bde320b2635p-1, -0x1.c27cf92bc76eep-1, -0x1.c232950dd7828p-1, -0x1.c1de24b1338e2p-1, -0x1.c17f1841a98a5p-1, -0x1.c114e37b6c6e3p-1, -0x1.c09efec1b29a3p-1, -0x1.c01ce80443719p-1, -0x1.bf8e237a49e89p-1, -0x1.bef23c37f3c3ep-1, -0x1.be48c4a3bf75p-1, -0x1.bd9156cfb3d17p-1, -0x1.bccb94ba429d7p-1, -0x1.bbf7287a18e2ap-1, -0x1.bb13c457b990bp-1, -0x1.ba2122d76a05bp-1, -0x1.b91f06b5a1ae2p-1, -0x1.b80d3ad7ec65cp-1, -0x1.b6eb9233f2205p-1, -0x1.b5b9e7ae20811p-1, -0x1.b4781df142de5p-1, -0x1.b3261f403005ap-1, -0x1.b1c3dd428adcdp-1, -0x1.b05150cd7b39ep-1, -0x1.aece79a91f5ep-1, -0x1.ad3b5e5366deep-1, -0x1.ab980bc0ec4fbp-1, -0x1.a9e4951c520bdp-1, -0x1.a821138496759p-1, -0x1.a64da5cac3f18p-1, -0x1.a46a702f553bfp-1, -0x1.a2779c1f9bf0fp-1, -0x1.a07557f36783ap-1, -0x1.9e63d6ab2dbabp-1, -0x1.9c434faedeb2ep-1, -0x1.9a13fe8d95397p-1, -0x1.97d622be45cc2p-1, -0x1.9589ff618c214p-1, -0x1.932fdb04b0baap-1, -0x1.90c7ff65ffcd1p-1, -0x1.8e52b93a80a89p-1, -0x1.8bd057f51f00bp-1, -0x1.89412d8f529e3p-1, -0x1.86a58e534cf35p-1, -0x1.83fdd0a7b6b0fp-1, -0x1.814a4cdd00384p-1, -0x1.7e8b5cfc4ad84p-1, -0x1.7bc15c97eb10dp-1, -0x1.78eca89d83d99p-1, -0x1.760d9f29bc3fep-1, -0x1.73249f5d8cefbp-1, -0x1.703209351f0f1p-1, -0x1.6d363d604060ep-1, -0x1.6a319d1c5fb65p-1, -0x1.67248a1013a9p-1, -0x1.640f662820d79p-1, -0x1.60f29375fc91p-1, -0x1.5dce740fc554bp-1, -0x1.5aa369f1a743ap-1, -0x1.5771d6e0a9349p-1, -0x1.543a1c4ed8873p-1, -0x1.50fc9b40cd1ccp-1, -0x1.4db9b4347c729p-1, -0x1.4a71c709550c8p-1, -0x1.472532e99aee5p-1, -0x1.43d45634f944p-1, -0x1.407f8e6c46954p-1, -0x1.3d27381e6e52p-1, -0x1.39cbaed67aaa7p-1, -0x1.366d4d0ab5043p-1, -0x1.330c6c0cd4eaap-1, -0x1.2fa963fb37c28p-1, -0x1.2c448bb314b74p-1, -0x1.28de38c3a926bp-1, -0x1.2576bf62544cap-1, -0x1.220e725f98f3dp-1, -0x1.1ea5a31cffabbp-1, -0x1.1b3ca183d198bp-1, -0x1.17d3bbfca1c1dp-1, -0x1.146b3f67a1ff3p-1, -0x1.11037715b8fb9p-1, -0x1.0d9cacc253209p-1, -0x1.0a37288de7d53p-1, -0x1.06d330f92cad3p-1, -0x1.03710ae0ee2ebp-1, -0x1.0010f97a88aedp-1, -0x1.f9667ca1fa2eap-2, -0x1.f2b032852b6a3p-2, -0x1.ebff90fe38546p-2, -0x1.e555110d2780dp-2, -0x1.deb12850ed28cp-2, -0x1.d8144906e0a0ap-2, -0x1.d17ee20b1762ap-2, -0x1.caf15ed9a9311p-2, -0x1.c46c2790c8361p-2, -0x1.bdefa0f3a6156p-2, -0x1.b77c2c6e1ee8p-2, -0x1.b11228191abcep-2, -0x1.aab1eebfa1382p-2, -0x1.a45bd7e493e22p-2, -0x1.9e1037c905793p-2, -0x1.97cf5f73273c6p-2, -0x1.91999cb5c445p-2, -0x1.8b6f3a383fefap-2, -0x1.85507f7f119dcp-2, -0x1.7f3db0f4b5e46p-2, -0x1.79370ff30e1f6p-2, -0x1.733cdacd24bb4p-2, -0x1.6d4f4cd954038p-2, -0x1.676e9e7bc0f1ap-2, -0x1.619b05312e62ap-2, -0x1.5bd4b39a178c1p-2, -0x1.561bd98610cfcp-2, -0x1.5070a3ff6bd93p-2, -0x1.4ad33d5711d43p-2, -0x1.4543cd30950d8p-2, -0x1.3fc2788e7132p-2, -0x1.3a4f61de75c69p-2, -0x1.34eaa90656e35p-2, -0x1.2f946b705cb7fp-2, -0x1.2a4cc418324a4p-2, -0x1.2513cb97caa2bp-2, -0x1.1fe9983456afp-2, -0x1.1ace3deb50419p-2, -0x1.15c1ce7f8d6bep-2, -0x1.10c459865a71cp-2, -0x1.0bd5ec749cf9p-2, -0x1.06f692abf3b45p-2, -0x1.02265587d60e3p-2, -0x1.faca78d55c38bp-3, -0x1.f1669995d631bp-3, -0x1.e82114800c723p-3, -0x1.def9ed1efc90ap-3, -0x1.d5f123737d2cep-3, -0x1.cd06b40de89edp-3, -0x1.c43a9827a3943p-3, -0x1.bb8cc5bc6a82p-3, -0x1.b2fd2fa3769fdp-3, -0x1.aa8bc5a865502p-3, -0x1.a23874a3eac21p-3, -0x1.9a03269440d83p-3, -0x1.91ebc2b55c01bp-3, -0x1.89f22d98d54edp-3, -0x1.8216493d936e3p-3, -0x1.7a57f5272642ap-3, -0x1.72b70e74d7b41p-3, -0x1.6b336ff86ffa3p-3, -0x1.63ccf24ca2d26p-3, -0x1.5c836beb36569p-3, -0x1.5556b142c751p-3, -0x1.4e4694cc42cacp-3, -0x1.4752e720009b3p-3, -0x1.407b770a8d0bp-3, -0x1.39c011a10d4f5p-3, -0x1.33208255569d1p-3, -0x1.2c9c93099acd8p-3, -0x1.26340c23c5d8ap-3, -0x1.1fe6b4a070e0fp-3, -0x1.19b45225828fap-3, -0x1.139ca91466c58p-3, -0x1.0d9f7c9bf0171p-3, -0x1.07bc8ec9d17e2p-3, -0x1.01f3a09bc0155p-3, -0x1.f888e42061194p-4, -0x1.ed5d846d697bep-4, -0x1.e2649e7ffd4f4p-4, -0x1.d79dad1afc7f3p-4, -0x1.cd08298149598p-4, -0x1.c2a38b938bbbp-4, -0x1.b86f49ed363d9p-4, -0x1.ae6ada00dd3cbp-4, -0x1.a495b033bc814p-4, -0x1.9aef3ff89e988p-4, -0x1.9176fbe9f24bap-4, -0x1.882c55e339d7dp-4, -0x1.7f0ebf19c27d3p-4, -0x1.761da834a3289p-4, -0x1.6d5881640e89p-4, -0x1.64beba77f42b3p-4, -0x1.5c4fc2f5f17bep-4, -0x1.540b0a2e9a6eap-4, -0x1.4befff5213cdfp-4, -0x1.43fe11840aa46p-4, -0x1.3c34afef01004p-4, -0x1.349349d6fb284p-4, -0x1.2d194eab8960ep-4, -0x1.25c62e19343f8p-4, -0x1.1e99581a4b2f7p-4, -0x1.17923d071a173p-4, -0x1.10b04da586a45p-4, -0x1.09f2fb38191dp-4, -0x1.0359b78c71f24p-4, -0x1.f9c7ea125f8a5p-5, -0x1.ed224d768dd97p-5, -0x1.e0c180c59fe12p-5, -0x1.d4a46cfe9720fp-5, -0x1.c8c9fcb6c5b6p-5, -0x1.bd311c3043d5p-5, -0x1.b1d8b96f6b76p-5, -0x1.a6bfc44f4eedep-5, -0x1.9be52e9540479p-5, -0x1.9147ec0364c9p-5, -0x1.86e6f26a5c61ep-5, -0x1.7cc139ba01f0fp-5, -0x1.72d5bc114ab5ep-5, -0x1.692375cd49271p-5, -0x1.5fa9659759dc6p-5, -0x1.56668c72797fep-5, -0x1.4d59edc7d55b9p-5, -0x1.44828f728cab9p-5, -0x1.3bdf79cab4fefp-5, -0x1.336fb7af9d6f4p-5, -0x1.2b3256915920ap-5, -0x1.2326667996507p-5, -0x1.1b4afa13c8a34p-5, -0x1.139f26b4a3e08p-5, -0x1.0c220460f859fp-5, -0x1.04d2add3e7248p-5, -0x1.fb608108fe0d4p-6, -0x1.ed73b955859e1p-6, -0x1.dfdd4a882c899p-6, -0x1.d29b802e4ce4p-6, -0x1.c5acab6e797fbp-6, -0x1.b90f230e2e8f7p-6, -0x1.acc143766fd81p-6, -0x1.a0c16eb7714c7p-6, -0x1.950e0c8b57713p-6, -0x1.89a58a57f79cep-6, -0x1.7e865b2fd1128p-6, -0x1.73aef7d218444p-6, -0x1.691ddea9f8d43p-6, -0x1.5ed193cd0f08cp-6, -0x1.54c8a0f91a1bdp-6, -0x1.4b019590efd71p-6, -0x1.417b0698c8b62p-6, -0x1.38338eb1d45fp-6, -0x1.2f29ce152538p-6, -0x1.265c6a8e099f9p-6, -0x1.1dca0f73c3ff9p-6, -0x1.15716da2aae0dp-6, -0x1.0d513b74cbbdap-6, -0x1.056834b9ffaefp-6, -0x1.fb6a355efd3dbp-7, -0x1.ec6d67edf5b61p-7, -0x1.ddd7991aa6326p-7, -0x1.cfa66b8188d3p-7, -0x1.c1d78c4d8595ap-7, -0x1.b468b322c7f06p-7, -0x1.a757a208f8353p-7, -0x1.9aa22554952fcp-7, -0x1.8e46138fd4b99p-7, -0x1.82414d62c9215p-7, -0x1.7691bd7b07e6ap-7, -0x1.6b355872ae9e2p-7, -0x1.602a1cb6f73dap-7, -0x1.556e126e56305p-7, -0x1.4aff4b5e1dfa1p-7, -0x1.40dbe2cfb484p-7, -0x1.3701fd7584b73p-7, -0x1.2d6fc94f7d87fp-7, -0x1.24237d8f43517p-7, -0x1.1b1b5a7c22fc4p-7, -0x1.1255a956c0beep-7, -0x1.09d0bc3c86f9cp-7, -0x1.018aee0adbeeep-7, -0x1.f30544846dee6p-8, -0x1.e36c89d208135p-8, -0x1.d44894dcca66fp-8, -0x1.c5965f19bacefp-8, -0x1.b752f259c3f12p-8, -0x1.a97b688eb4f8bp-8, -0x1.9c0ceb9022f58p-8, -0x1.8f04b4e047fb2p-8, -0x1.82600d70e8284p-8, -0x1.761c4d6824638p-8, -0x1.6a36dbe55540fp-8, -0x1.5ead2ec61d137p-8, -0x1.537cca6b96fbcp-8, -0x1.48a3417f82defp-8, -0x1.3e1e34b9ced03p-8, -0x1.33eb52a6339e2p-8, -0x1.2a08576a30cbfp-8, -0x1.20730c8b34736p-8, -0x1.172948b51046cp-8, -0x1.0e28ef80b6e92p-8, -0x1.056ff13b71301p-8, -0x1.f9f8955c6e473p-9, -0x1.e99809cb500eep-9, -0x1.d9ba69f48251bp-9, -0x1.ca5bf7b1eef15p-9, -0x1.bb790c18b7d37p-9, -0x1.ad0e170c30f32p-9, -0x1.9f179ed216d28p-9, -0x1.91923fa76aff1p-9, -0x1.847aab565feccp-9, -0x1.77cda8cd4fa82p-9, -0x1.6b8813b6c3905p-9, -0x1.5fa6dc127e75dp-9, -0x1.542705cfcf7c7p-9, -0x1.4905a8688ddffp-9, -0x1.3e3fee7d95c78p-9, -0x1.33d315742fd92p-9, -0x1.29bc6d14c3408p-9, -0x1.1ff9572ac1468p-9, -0x1.168747257b182p-9, -0x1.0d63c1ba5c76bp-9, -0x1.048c5c88301e4p-9, -0x1.f7fd7b778a49p-10, -0x1.e771376b487e3p-10, -0x1.d76f7962af18cp-10, -0x1.c7f3ecdac5205p-10, -0x1.b8fa5ba958184p-10, -0x1.aa7ead52cb0d2p-10, -0x1.9c7ce6616c519p-10, -0x1.8ef127c073fbp-10, -0x1.81d7ae18bcd91p-10, -0x1.752cd12f87d79p-10, -0x1.68ed0348e39fcp-10, -0x1.5d14d08b85847p-10, -0x1.51a0de678aa7p-10, -0x1.468deb003c59fp-10, -0x1.3bd8cc976f779p-10, -0x1.317e70fb4a763p-10, -0x1.277bdcf75b4a9p-10, -0x1.1dce2bc7471d2p-10, -0x1.14728e8c1b49ep-10, -0x1.0b664bc4c1241p-10, -0x1.02a6bec7f2e5cp-10, -0x1.f462ae80d1466p-11, -0x1.e4073158f3baap-11, -0x1.d43633bdbf4aap-11, -0x1.c4eb09053870cp-11, -0x1.b6212942121e8p-11, -0x1.a7d43054bcb84p-11, -0x1.99ffdcff4a5f4p-11, -0x1.8ca00fffa119p-11, -0x1.7fb0cb2d50c1ep-11, -0x1.732e309bfa229p-11, -0x1.671481c24d022p-11, -0x1.5b601ea5f57b6p-11, -0x1.500d8509f41cdp-11, -0x1.45194fa2a43f6p-11, -0x1.3a80354da1283p-11, -0x1.303f084dbedefp-11, -0x1.2652b58b18c1bp-11, -0x1.1cb843d7817d9p-11, -0x1.136cd33731126p-11, -0x1.0a6d9c2ba2a2ep-11, -0x1.01b7ef040708dp-11, -0x1.f2926662addb1p-12, -0x1.e23dcd3b2d79fp-12, -0x1.d26d3a0e27eb9p-12, -0x1.c31bfec09e9cp-12, -0x1.b445966461133p-12, -0x1.a5e5a402f035p-12, -0x1.97f7f172872e8p-12, -0x1.8a786e3008d7p-12, -0x1.7d632e4008f85p-12, -0x1.70b46916ec173p-12, -0x1.646878889a7c3p-12, -0x1.587bd7bcd16d9p-12, -0x1.4ceb2229a7eecp-12, -0x1.41b31296462dp-12, -0x1.36d08222ce626p-12, -0x1.2c406755f2955p-12, -0x1.21ffd5317f84cp-12, -0x1.180bfa4cfb1eep-12, -0x1.0e621ff5003dbp-12, -0x1.04ffa94faa85bp-12, -0x1.f7c4250f179ccp-13, -0x1.e60ddffb4ec2dp-13, -0x1.d4d7dafaff7eap-13, -0x1.c41d9af13b0b6p-13, -0x1.b3dad09047246p-13, -0x1.a40b56e221309p-13, -0x1.94ab31dcd2f27p-13, -0x1.85b68cff69962p-13, -0x1.7729b9fc34106p-13, -0x1.69012f689c568p-13, -0x1.5b398776f853bp-13, -0x1.4dcf7ebbd7b7dp-13, -0x1.40bff2f92f467p-13, -0x1.3407e1f402185p-13, -0x1.27a4684fa4cecp-13, -0x1.1b92c072dacb8p-13, -0x1.0fd0417818e32p-13, -0x1.045a5e20f0022p-13, -0x1.f25d47a549caep-14, -0x1.dc95733c99901p-14, -0x1.c758be9474116p-14, -0x1.b2a2d8ce3033dp-14, -0x1.9e6f9ecf22fd9p-14, -0x1.8abb1986a7a7p-14, -0x1.77817c40c7fe6p-14, -0x1.64bf22ff802b4p-14, -0x1.527090e6a1c59p-14, -0x1.40926eb66068dp-14, -0x1.2f21894aa2bffp-14, -0x1.1e1ad02daf267p-14, -0x1.0d7b542c1a341p-14, -0x1.fa808c0204088p-15, -0x1.dacdea0fd5483p-15, -0x1.bbd99beaddf54p-15, -0x1.9d9eb33feec88p-15, -0x1.801877a92be58p-15, -0x1.6342645a0e777p-15, -0x1.471825f791948p-15, -0x1.2b9598625b619p-15, -0x1.10b6c4b1e8e1ap-15, -0x1.ecefbe74b6c49p-16, -0x1.b9aa8b3522e4p-16, -0x1.8796f9bf34405p-16, -0x1.56ae5f8aa4f96p-16, -0x1.26ea59e313251p-16, -0x1.f089954a870eap-17, -0x1.956faa02f1dc5p-17, -0x1.3c7bb4b11f054p-17, -0x1.cb45dd472a5b7p-18, -0x1.21b604056538bp-18, -0x1.f0d021663ad1fp-20, 0x1.2a98f89561e64p-21, 0x1.85e37354955f7p-19, 0x1.5cb957050628bp-18, 0x1.f2bad82a2b665p-18, 0x1.42833c58873a2p-17, 0x1.89d5ebcfc8cbp-17, 0x1.cf5cffb5f13d1p-17, 0x1.098fdb8ba247cp-16, 0x1.2a92875895a24p-16, 0x1.4ab9e2433d4cdp-16, 0x1.6a092dba4dc72p-16, 0x1.88838f4545cbep-16, 0x1.a62c12266279fp-16, 0x1.c305a8e8b88bcp-16, 0x1.df132edac351dp-16, 0x1.fa57696c54242p-16, 0x1.0a6a84c931ea1p-15, 0x1.17475687bc7ebp-15, 0x1.23c36fd266784p-15, 0x1.2fe00e22ef99p-15, 0x1.3b9e6717aafd2p-15, 0x1.46ffa8fb5b251p-15, 0x1.5204fb4b22909p-15, 0x1.5caf7f2cea694p-15, 0x1.67004fe371a87p-15, 0x1.70f8833bf3204p-15, 0x1.7a9929fac597p-15, 0x1.83e350391cb88p-15, 0x1.8cd7fdc3ca31dp-15, 0x1.95783679104a8p-15, 0x1.9dc4fa914db87p-15, 0x1.a5bf46f8ce1fbp-15, 0x1.ad6815953b0a4p-15, 0x1.b4c05d8ca4002p-15, 0x1.bbc91382c295dp-15, 0x1.c28329db36a7cp-15, 0x1.c8ef90f22689fp-15, 0x1.cf0f374be54d6p-15, 0x1.d4e309ce1fceep-15, 0x1.da6bf3ed67a24p-15, 0x1.dfaadfd25bc17p-15, 0x1.e4a0b68929592p-15, 0x1.e94e602277a4p-15, 0x1.edb4c3d824273p-15, 0x1.f1d4c826d7a6cp-15, 0x1.f5af52f0dba27p-15, 0x1.f9454995788e5p-15, 0x1.fc9791051423fp-15, 0x1.ffa70ddab2e1ep-15, 0x1.013a52376f5b6p-14, 0x1.02809c73160c4p-14, 0x1.03a6d7a067be1p-14, 0x1.04ad75b439aap-14, 0x1.0594e89dd12d5p-14, 0x1.065da24a1b3a1p-14, 0x1.070814a8e6165p-14, 0x1.0794b1af8c1b9p-14, 0x1.0803eb5b38db7p-14, 0x1.085633b1c260bp-14, 0x1.088bfcc3b4dcdp-14, 0x1.08a5b8ad49d0cp-14, 0x1.08a3d9941ddc1p-14, 0x1.0886d1a8520d1p-14, 0x1.084f132227918p-14, 0x1.07fd104173051p-14, 0x1.07913b4975f47p-14, 0x1.070c067fbc4abp-14, 0x1.066de4289c76p-14, 0x1.05b746845cbe1p-14, 0x1.04e89fc9d014dp-14, 0x1.0402622437db4p-14, 0x1.0304ffae63a95p-14, 0x1.01f0ea6d6b7c9p-14, 0x1.00c6944c708c9p-14, 0x1.ff0cde2ee3312p-15, 0x1.fc61d8ecf3469p-15, 0x1.f98cfbce78d7cp-15, 0x1.f68f296ff5e3ep-15, 0x1.f3694403ac796p-15, 0x1.f01c2d47136efp-15, 0x1.eca8c67464647p-15, 0x1.e90ff037bc2dap-15, 0x1.e5528aa4d1797p-15, 0x1.e1717527d1905p-15, 0x1.dd6d8e796eecdp-15, 0x1.d947b492f0307p-15, 0x1.d500c4a2297a9p-15, 0x1.d0999afd65e51p-15, 0x1.cc131313bfac4p-15, 0x1.c76e076384232p-15, 0x1.c2ab516c86c86p-15, 0x1.bdcbc9a5702aap-15, 0x1.b8d0476be22f1p-15, 0x1.b3b9a0fbfcf8ep-15, 0x1.ae88ab6347dfbp-15, 0x1.a93e3a731ca7bp-15, 0x1.a3db20b546385p-15, 0x1.9e602f610dedcp-15, 0x1.98ce3651a832dp-15, 0x1.932603f7d0331p-15, 0x1.8d68654f70d15p-15, 0x1.879625d54f6c2p-15, 0x1.81b00f7c7cfcp-15, 0x1.7bb6eaa4264ffp-15, 0x1.75ab7e0b7aa84p-15, 0x1.6f8e8ecb1b543p-15, 0x1.6960e048f5546p-15, 0x1.6323342ef09bfp-15, 0x1.5cd64a614d884p-15, 0x1.567ae0f6cb8dbp-15, 0x1.5011b43179f24p-15, 0x1.499b7e73c6909p-15, 0x1.4318f8393a659p-15, 0x1.3c8ad80e96defp-15, 0x1.35f1d28a3bf1p-15, 0x1.2f4e9a45d2cabp-15, 0x1.28a1dfd5fb73ap-15, 0x1.21ec51c4e0f81p-15, 0x1.1b2e9c8bf6208p-15, 0x1.14696a8bf92bcp-15, 0x1.0d9d64088e44dp-15, 0x1.06cb2f2171e1p-15, 0x1.ffe6dfa1613fcp-16, 0x1.f22d8fc466dp-16, 0x1.e46bade22ce96p-16, 0x1.d6a274c356766p-16, 0x1.c8d31abc6e23bp-16, 0x1.bafed1a5acdabp-16, 0x1.ad26c6d77a143p-16, 0x1.9f4c231e1eeddp-16, 0x1.91700ab96b5f1p-16, 0x1.83939d53b96cfp-16, 0x1.75b7f5fcdb67bp-16, 0x1.67de2b268305fp-16, 0x1.5a074ea17d10ap-16, 0x1.4c346d9bf4cb4p-16, 0x1.3e66909b4fa74p-16, 0x1.309ebb7bc357cp-16, 0x1.22dded6d95183p-16, 0x1.152520f26f49dp-16, 0x1.07754be00dff9p-16, 0x1.f39ebebe9f86p-17, 0x1.d8688fd3c4c43p-17, 0x1.bd49da9b17b1ep-17, 0x1.a24465571a774p-17, 0x1.8759ecf1d1375p-17, 0x1.6c8c25038c178p-17, 0x1.51dcb7d994744p-17, 0x1.374d467d3df52p-17, 0x1.1cdf68b3da27dp-17, 0x1.0294ad0a7d15cp-17, 0x1.d0dd31b47e6aep-18, 0x1.9cdd50a1be44ep-18, 0x1.692c9cf60883ep-18, 0x1.35cdeaa9fb394p-18, 0x1.02c3fb975afeap-18, 0x1.a022ff3075bf1p-19, 0x1.3b72294315ad3p-19, 0x1.aef51b4e969dcp-20, 0x1.d10484a891a11p-21, 0x1.1cab56b8437cep-23, -0x1.3f901b657dd77p-21, -0x1.618d0f59b908dp-20, -0x1.10d8639986042p-19, -0x1.701553614c3d8p-19, -0x1.ce7931cf38bbp-19, -0x1.15fffdb32e3e7p-18, -0x1.4452e70cd63cep-18, -0x1.723374789598dp-18, -0x1.9f9fd5f60fa0cp-18, -0x1.cc964bc6fb11dp-18, -0x1.f9152654c9367p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      30, 0x1.cp+1, 0x1.bfb7a0756786cp+1, 0x1.c69223a4009b5p+1, -0x1.507c9b5d07048p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, -0x1.2bb4837750841p-7, -0x1.c97124664bb1ap-4, 0x1.9002569411df1p-3, -0x1.81772d1df2889p-5}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, -0x1.d2dfd1046fdc7p-7, -0x1.7ae2b8b16f1c4p-4, 0x1.818dde7c8bf9ep-3, -0x1.cf30ee4180555p-5}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, -0x1.2d9e7599e300cp-6, -0x1.2f8302d96908ep-4, 0x1.702f3bf3b0c38p-3, -0x1.08a2ce8a74d13p-4}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, -0x1.631707c361551p-6, -0x1.cfb82174b384ap-5, 0x1.5c563942e800cp-3, -0x1.2b3d20b5a0817p-4}, 
        {0x1.199999999999ap+1, 0x1.2p+1, -0x1.8aa50fbd6b44cp-6, -0x1.48df84a457d78p-5, 0x1.45e4d6cee25d4p-3, -0x1.4d6a11030d595p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, -0x1.a52e5044b9a4ep-6, -0x1.970896448cea8p-6, 0x1.2ce348bb74902p-3, -0x1.6fbc8e05f3567p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.b3b2de1405c6ap-6, -0x1.62b5f3e2a6423p-7, 0x1.114ebe149be9dp-3, -0x1.91e63a10ba071p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.b74d1fe40977ap-6, 0x1.d3bd4b324067dp-10, 0x1.e6548d0d1bec1p-4, -0x1.b48d9d4683593p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.b131ce6b7f012p-6, 0x1.a556a548b2a98p-7, 0x1.a4d8e8a8ee9e9p-4, -0x1.d566f4c85f6b1p-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.a2aff45f2128dp-6, 0x1.6ced13e1e91eap-6, 0x1.5e6fdd8ae04e5p-4, -0x1.fcfac3eef5508p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.8d30ee71ab30fp-6, 0x1.e9d4dc61a7005p-6, 0x1.12170cf3d51c2p-4, -0x1.f7a5513c7bad2p-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.7235e270a6678p-6, 0x1.242dd73e201b4p-5, 0x1.8d161b2251eb4p-5, -0x1.c566a98b49f27p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.533bdd813f5d4p-6, 0x1.451631034edecp-5, 0x1.0510e8455554fp-5, -0x1.99e252efb193bp-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.319ff25d1b1bap-6, 0x1.590b86fef74c9p-5, 0x1.14339ec7a6857p-6, -0x1.6c907e026a16dp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.0e9cb06f24b3bp-6, 0x1.6162fb1ff3cb5p-5, 0x1.cbb432fe6a19cp-9, -0x1.3fba5146417b5p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d69447a71a807p-7, 0x1.5f76c09fd93c2p-5, -0x1.0cbf54c7e73f4p-7, -0x1.12c302174f7ccp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.913baaaf97c6cp-7, 0x1.549faf1d0fb3bp-5, -0x1.2b3b120b89b6bp-6, -0x1.cba92904c79aep-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.4ed594f53b912p-7, 0x1.4236fb57f7f57p-5, -0x1.b52104c02bff8p-6, -0x1.71c785f04ed04p-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.10c30ad80c48bp-7, 0x1.2995c1243cd92p-5, -0x1.120809aa88385p-5, -0x1.17e73f524e397p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.b040143538c9fp-8, 0x1.0c1522e6683d1p-5, -0x1.3c04532a13f47p-5, -0x1.7c0c9d8a251edp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.4b8713c414e37p-8, 0x1.d61c83587b919p-6, -0x1.588545613d237p-5, -0x1.909aa5f9183p-7}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.e8fdead804274p-9, 0x1.8fb47a9b75f8dp-6, -0x1.678b1200fad86p-5, -0x1.4850219f7d839p-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.57831a02db674p-9, 0x1.47a477a17857ap-6, -0x1.69150bc2ed6fp-5, 0x1.3e439803231cp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.c57a84777503fp-10, 0x1.009e9772d0fdp-6, -0x1.5d25b60f9c1ep-5, 0x1.53459ee45405dp-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.136fac7fb96p-10, 0x1.7aab4d9374259p-7, -0x1.43b3b08b4903dp-5, 0x1.02cb70b890626p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.29a8b95ab5dep-11, 0x1.00f3c5385108bp-7, -0x1.1ce1f93c668edp-5, 0x1.5f5ab04755c83p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.0dbc428e44ec1p-12, 0x1.33145cfce9a6bp-8, -0x1.d05bf0c9ccfb9p-6, 0x1.af38bedf9aa33p-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.6de0f19f452p-14, 0x1.266b1a7d7510fp-9, -0x1.4efe1ded1e96bp-6, 0x1.173a7984b6b62p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.25da771f36c2fp-16, 0x1.75c19d92ee982p-11, -0x1.4ee943a161edbp-7, 0x1.9eb3c48d65785p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.25da771f36bbep-20, 0x1.27a4cf9a7b4bp-14, -0x1.585c039894299p-9, 0x1.37776e959f27ep-4}, 
      }}, 
      -0x1.44cf94802afe1p+0, 0x1.06795fc7c8388p+3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.ae2f11c8f7e34p-6, 0x1.a364d16e88195p-5, 0x1.2dd1c0bb49757p-4, 0x1.7c681c9d78f0fp-4, 0x1.bb1c83e8cd406p-4, 0x1.e8a1803c50ab2p-4, 0x1.0245c8a7c3f31p-3, 0x1.0792625faf74ap-3, 0x1.04a0dac362ce5p-3, 0x1.f41a60e8817c8p-4, 0x1.d12852d1a1a79p-4, 0x1.a20ac2eb681c2p-4, 0x1.68707f6424ff6p-4, 0x1.26071c4fb8768p-4, 0x1.b8dd644209d0ep-5, 0x1.1a62bcda508cp-5, 0x1.cdedd7eb91445p-7, -0x1.c9c6682ddfb55p-8, -0x1.d2b62dd7d3f74p-6, -0x1.9acdb3d109e79p-5, -0x1.25d97331c53cep-4, -0x1.7d352669f7a9dp-4, -0x1.d2c6ae777fbfep-4, -0x1.12fad4d003a35p-3, -0x1.3b2136860f687p-3, -0x1.61a1e67df56bbp-3, -0x1.865277a64474ap-3, -0x1.a91199bf04372p-3, -0x1.c9c61c64766cdp-3, -0x1.e85e031ca18dep-3, -0x1.0266d5512b53cp-2, -0x1.0f877f9beebbap-2, -0x1.1b9061e6b9d3cp-2, -0x1.2682f53950a89p-2, -0x1.30627d8d8c07ep-2, -0x1.3933c5b86fa8bp-2, -0x1.40fce28f798cbp-2, -0x1.47c4fcd30c50cp-2, -0x1.4d942125fd429p-2, -0x1.5273154af72cep-2, -0x1.566b31b2cd04fp-2, -0x1.59863fc56fe4fp-2, -0x1.5bce5b88d9228p-2, -0x1.5d4dd926956e6p-2, -0x1.5e0f2cdf27351p-2, -0x1.5e1cd68a233a4p-2, -0x1.5d814f3a8b393p-2, -0x1.5c46f987a352p-2, -0x1.5a78143c526dp-2, -0x1.581eae9964c3fp-2, -0x1.55449eb74325p-2, -0x1.51f3792b7bab7p-2, -0x1.4e348aa6b0ac9p-2, -0x1.4a10d1eda9f64p-2, -0x1.4590fc1534a31p-2, -0x1.40bd60d977734p-2, -0x1.3b9e004f394ap-2, -0x1.363a817faeb87p-2, -0x1.309a31264906ap-2, -0x1.2ac401d644c59p-2, -0x1.24be8c0dc1cc4p-2, -0x1.1e900ee0067f4p-2, -0x1.183e718138dbcp-2, -0x1.11cf441fea0cfp-2, -0x1.0b47c2acdde33p-2, -0x1.04acd59ae916fp-2, -0x1.fc062b90e9da1p-3, -0x1.ee9d9a196e4f4p-3, -0x1.e127f585e4632p-3, -0x1.d3aca9617ad3bp-3, -0x1.c632963bf5cbfp-3, -0x1.b8c015c64cf51p-3, -0x1.ab5b00afeb3d9p-3, -0x1.9e08b5174df2p-3, -0x1.90ce1aaf7aec6p-3, -0x1.83afa9be9f4a3p-3, -0x1.76b16f5b2166ep-3, -0x1.69d71386a0f98p-3, -0x1.5d23ddcd031e1p-3, -0x1.509abaaaa6499p-3, -0x1.443e4057429f8p-3, -0x1.3810b38bdeadfp-3, -0x1.2c140c5636f36p-3, -0x1.2049fa78294ep-3, -0x1.14b3ea0555bdfp-3, -0x1.09530797fa1bap-3, -0x1.fc5089648ef02p-4, -0x1.e668b742d7605p-4, -0x1.d0efa75cf873bp-4, -0x1.bbe609a3869c3p-4, -0x1.a74c3710ad63cp-4, -0x1.932238bf852acp-4, -0x1.7f67cebaf276ap-4, -0x1.6c1c76d9324f6p-4, -0x1.593f72a9811aap-4, -0x1.46cfcdc6c89cdp-4, -0x1.34cc633990af7p-4, -0x1.2333e2e47ea62p-4, -0x1.1204d6c1fcd0ap-4, -0x1.013da71f140e2p-4, -0x1.e1b93edb75d03p-5, -0x1.c1bfe4922924cp-5, -0x1.a28b79efd3e8fp-5, -0x1.841816fb79312p-5, -0x1.6661b6ca67928p-5, -0x1.49643df72353bp-5, -0x1.2d1b8070060ebp-5, -0x1.118345f91882ep-5, -0x1.ed2e9e778d17fp-6, -0x1.b8a6b4572a54ap-6, -0x1.85664aba3a33p-6, -0x1.5364e80565844p-6, -0x1.229a21e012065p-6, -0x1.e5fb44f82d27ap-7, -0x1.890e5c95fdcfap-7, -0x1.2e5d507d6991dp-7, -0x1.abb0552d83772p-8, -0x1.fdbd02d79784dp-9, -0x1.5899d55049f0ep-10, 0x1.3a574a0141fb7p-10, 0x1.dee747781fc1ap-9, 0x1.8c8f8e6ca8f7ap-8, 0x1.1302af6c96d66p-7, 0x1.5df80d4cd6d52p-7, 0x1.a734fe4e13bb9p-7, 0x1.eec6387fb6489p-7, 0x1.1a5c05676b856p-6, 0x1.3c8b2e9e7a256p-6, 0x1.5df657c5855cep-6, 0x1.7ea30d0c04bb2p-6, 0x1.9e96a7f7e4fb9p-6, 0x1.bdd64f71bdcdap-6, 0x1.dc66f80cb6c67p-6, 0x1.fa4d657b0c821p-6, 0x1.0bc715bbc6fb1p-5, 0x1.1a16d70dbbb56p-5, 0x1.2818118df83eep-5, 0x1.35ccc9af86045p-5, 0x1.4336ede7947e8p-5, 0x1.505857201fa5fp-5, 0x1.5d32c9808d2b6p-5, 0x1.69c7f51be7b1ep-5, 0x1.76197670d20d8p-5, 0x1.8228d71c7626p-5, 0x1.8df78e696adbap-5, 0x1.9987022e3510fp-5, 0x1.a4d8874bb9fd8p-5, 0x1.afed623146b24p-5, 0x1.bac6c7e97544ap-5, 0x1.c565de23aaa37p-5, 0x1.cfcbbc5bab823p-5, 0x1.d9f96c4bcb86p-5, 0x1.e3efea6dfab1bp-5, 0x1.edb026b24226ap-5, 0x1.f73b04a7ad1fep-5, 0x1.0048ae762cdfep-4, 0x1.04d9fea2cc22cp-4, 0x1.0951d457368e9p-4, 0x1.0db08c250aba8p-4, 0x1.11f67e1c1dc7dp-4, 0x1.1623fdf96563fp-4, 0x1.1a395b263f981p-4, 0x1.1e36e0f88b5e9p-4, 0x1.221cd7297dec7p-4, 0x1.25eb82240b8dep-4, 0x1.29a322f8c01e4p-4, 0x1.2d43f76835716p-4, 0x1.30ce3a42c850bp-4, 0x1.344223d982baep-4, 0x1.379fea161f4dep-4, 0x1.3ae7c05ac4dd7p-4, 0x1.3e19d79f79951p-4, 0x1.41365ee10a1dfp-4, 0x1.443d837830353p-4, 0x1.472f710e2a5e5p-4, 0x1.4a0c5174f9398p-4, 0x1.4cd44cde3e2bcp-4, 0x1.4f878a3cb8e09p-4, 0x1.52262f6be6f18p-4, 0x1.54b0615e33415p-4, 0x1.572643b059e31p-4, 0x1.5987f8ed48c87p-4, 0x1.5bd5a2f60c987p-4, 0x1.5e0f6309954eap-4, 0x1.60355a1207329p-4, 0x1.6247a82e3eedp-4, 0x1.64466cc3c1f81p-4, 0x1.6631c6dea7af8p-4, 0x1.6809d57b91e54p-4, 0x1.69ceb7760f1fcp-4, 0x1.6b808b7661273p-4, 0x1.6d1f6fc6240c2p-4, 0x1.6eab8284fbcbbp-4, 0x1.7024e1e85494dp-4, 0x1.718bac6f4785ep-4, 0x1.72e000c5413ap-4, 0x1.7421fd92e21edp-4, 0x1.7551c17cd00b9p-4, 0x1.766f6b502610bp-4, 0x1.777b1a45ef4a8p-4, 0x1.7874ee124881p-4, 0x1.795d06c4248a3p-4, 0x1.7a3384a08d387p-4, 0x1.7af8882100219p-4, 0x1.7bac321e68c65p-4, 0x1.7c4ea4042886fp-4, 0x1.7cdfffdbb8a53p-4, 0x1.7d606831edac2p-4, 0x1.7dcffff38eb7p-4, 0x1.7e2eea663142ap-4, 0x1.7e7d4b458cd1ep-4, 0x1.7ebb46ed3d862p-4, 0x1.7ee9026a9322ep-4, 0x1.7f06a36c29f9ep-4, 0x1.7f145021aa336p-4, 0x1.7f122f28e65a6p-4, 0x1.7f00679957b8p-4, 0x1.7edf212362989p-4, 0x1.7eae8428b887ap-4, 0x1.7e6eb9bb5d18dp-4, 0x1.7e1feb866ff7cp-4, 0x1.7dc243b475621p-4, 0x1.7d55ece6a6ad8p-4, 0x1.7cdb12428fa51p-4, 0x1.7c51df892f896p-4, 0x1.7bba81245a43fp-4, 0x1.7b1524204e588p-4, 0x1.7a61f61695964p-4, 0x1.79a12518dcfc6p-4, 0x1.78d2dfa99190dp-4, 0x1.77f754c4c636fp-4, 0x1.770eb3eff0d27p-4, 0x1.76192d428a736p-4, 0x1.7516f160fcdb7p-4, 0x1.7408316b60912p-4, 0x1.72ed1eea17a79p-4, 0x1.71c5ebc3a3af2p-4, 0x1.7092ca3f2f638p-4, 0x1.6f53ed0fd55f5p-4, 0x1.6e09875784eaap-4, 0x1.6cb3cca641df9p-4, 0x1.6b52f0f091e63p-4, 0x1.69e7287fc3025p-4, 0x1.6870a7e2481ffp-4, 0x1.66efa3e5b12ecp-4, 0x1.65645199c5c64p-4, 0x1.63cee6557df0bp-4, 0x1.622f97b81cb35p-4, 0x1.60869ba3db40ep-4, 0x1.5ed42832b02bdp-4, 0x1.5d1873a8ca502p-4, 0x1.5b53b469afce9p-4, 0x1.598620f31864cp-4, 0x1.57afefdc99837p-4, 0x1.55d157d884d8ap-4, 0x1.53ea8fb2b5ae4p-4, 0x1.51fbce4b77bf9p-4, 0x1.50054a8e85f21p-4, 0x1.4e073b67f3d52p-4, 0x1.4c01d7ba3f365p-4, 0x1.49f55658020b9p-4, 0x1.47e1ee0131e2ap-4, 0x1.45c7d561cdc14p-4, 0x1.43a7430fe323fp-4, 0x1.41806d878c5ddp-4, 0x1.3f538b24735dfp-4, 0x1.3d20d21a06e7dp-4, 0x1.3ae87869cb225p-4, 0x1.38aab3dc9739bp-4, 0x1.3667b9fda153cp-4, 0x1.341fc017338bcp-4, 0x1.31d2fb305684p-4, 0x1.2f81a009c7ffap-4, 0x1.2d2be31a1fc9fp-4, 0x1.2ad1f888bea3cp-4, 0x1.28741427802e3p-4, 0x1.2612696be96bap-4, 0x1.23ad2b68fadcp-4, 0x1.21448cca49fcep-4, 0x1.1ed8bfd02603cp-4, 0x1.1c69f64c51f37p-4, 0x1.19f8619f43ddep-4, 0x1.178432b5dab85p-4, 0x1.150d9a071678bp-4, 0x1.1294c790f6efap-4, 0x1.1019ead41acf6p-4, 0x1.0d9d32ce4a7fbp-4, 0x1.0b1ecdf49dca3p-4, 0x1.089eea2deb974p-4, 0x1.061db4ce19f72p-4, 0x1.039b5a93289d2p-4, 0x1.011807a49e54bp-4, 0x1.fd27cf2a0f9eep-5, 0x1.f81e4ac830f41p-5, 0x1.f313d6fe9a124p-5, 0x1.ee08c77edeaecp-5, 0x1.e8fd6ec509a8ep-5, 0x1.e3f21e0646e22p-5, 0x1.dee7251e533d8p-5, 0x1.d9dcd281051ep-5, 0x1.d4d37334fd949p-5, 0x1.cfcb52da3d5a8p-5, 0x1.cac4bbbb0e41dp-5, 0x1.c5bff6e0e1f42p-5, 0x1.c0bd4c24375f8p-5, 0x1.bbbd022f551f2p-5, 0x1.b6bf5e6ffdf4ep-5, 0x1.b1c4a4fa394a8p-5, 0x1.accd186448cc1p-5, 0x1.a7d8f9a79eb7ep-5, 0x1.a2e888121bc5cp-5, 0x1.9dfc014fa2726p-5, 0x1.9913a18b68be8p-5, 0x1.942fa3a09a2ccp-5, 0x1.8f504149c3113p-5, 0x1.8a75b33e1cd24p-5, 0x1.85a0312fcfc52p-5, 0x1.80cff1a804eep-5, 0x1.7c0529c975878p-5, 0x1.77400d0b2b039p-5, 0x1.7280cd009c5fbp-5, 0x1.6dc7994523234p-5, 0x1.69149f9be3c6ap-5, 0x1.64680c39d0d64p-5, 0x1.5fc20a2348c83p-5, 0x1.5b22c38a9c098p-5, 0x1.568a6207c2468p-5, 0x1.51f90e974a16cp-5, 0x1.4d6ef16311d5ap-5, 0x1.48ec315b584c9p-5, 0x1.4470f3bac735ap-5, 0x1.3ffd5b9b99d8ep-5, 0x1.3b9189c34a017p-5, 0x1.372d9cbb4d877p-5, 0x1.32d1b134b22f8p-5, 0x1.2e7de29ed58dfp-5, 0x1.2a324bcb289cap-5, 0x1.25ef076fe5d41p-5, 0x1.21b43061702e7p-5, 0x1.1d81e16d998ap-5, 0x1.195834de10755p-5, 0x1.153743c0e7831p-5, 0x1.111f25281f8e6p-5, 0x1.0d0fed9669a82p-5, 0x1.0909aec55181bp-5, 0x1.050c77da714b9p-5, 0x1.01185603da948p-5, 0x1.fa5aaaaf76001p-6, 0x1.f2970380602b7p-6, 0x1.eae5cf6ea2e9ap-6, 0x1.e347294452bbp-6, 0x1.dbbb2d620929fp-6, 0x1.d441f89409c89p-6, 0x1.ccdba6416832dp-6, 0x1.c5884e66c9c8dp-6, 0x1.be4803dbf913ep-6, 0x1.b71ad35404eb2p-6, 0x1.b000c35a21103p-6, 0x1.a8f9d55236f64p-6, 0x1.a2060741d304ap-6, 0x1.9b25560018c1fp-6, 0x1.9457bf4f8b0ep-6, 0x1.8d9d436ce1a96p-6, 0x1.86f5e5c1d5f6fp-6, 0x1.8061ac94723d8p-6, 0x1.79e09fc7f8b0cp-6, 0x1.7372c6f3ad5fdp-6, 0x1.6d1827356a22bp-6, 0x1.66d0c1322e842p-6, 0x1.609c8faad921p-6, 0x1.5a7b86eb28d93p-6, 0x1.546d952d9b2e9p-6, 0x1.4e72a3e14ea3ap-6, 0x1.488a99988d402p-6, 0x1.42b55c4bcb2dcp-6, 0x1.3cf2d3910082ap-6, 0x1.3742ea6934b5ep-6, 0x1.31a5905576dfbp-6, 0x1.2c1ab97eaf56fp-6, 0x1.26a25dde69e45p-6, 0x1.213c777df91e2p-6, 0x1.1be90008ff1f5p-6, 0x1.16a7ee1296d8dp-6, 0x1.1179328397a0ap-6, 0x1.0c5cb6ae39678p-6, 0x1.07525b7128a85p-6, 0x1.0259f9acf6cp-6, 0x1.fae6c82496e78p-7, 0x1.f13cd41de693dp-7, 0x1.e7b5b6d2c7098p-7, 0x1.de5117eb6cf8p-7, 0x1.d50ead7fec01dp-7, 0x1.cbee401dcd5p-7, 0x1.c2efab8258782p-7, 0x1.ba12db81fa065p-7, 0x1.b157c541cb87dp-7, 0x1.a8be5db872385p-7, 0x1.a0468f2fc2e6cp-7, 0x1.97f02ff490cddp-7, 0x1.8fbafc4a82bc8p-7, 0x1.87a695090968cp-7, 0x1.7fb283327e389p-7, 0x1.77de3fc68bdabp-7, 0x1.70293e5bb0008p-7, 0x1.6892f8c9b9b2bp-7, 0x1.611afa2b97c22p-7, 0x1.59c0e786edbf8p-7, 0x1.5284849371b4cp-7, 0x1.4b65b33dbccfep-7, 0x1.44646d0bf6646p-7, 0x1.3d80b6ff901a5p-7, 0x1.36ba923dc9926p-7, 0x1.3011ed12a9692p-7, 0x1.298697c9ba0cp-7, 0x1.23183fe17736cp-7, 0x1.1cc6723c5837ep-7, 0x1.1690a2e31cc9ap-7, 0x1.107637cb23601p-7, 0x1.0a7694477dfe6p-7, 0x1.049123df9f189p-7, 0x1.fd8ac86be3627p-8, 0x1.f225db40420f2p-8, 0x1.e6f2f23b93534p-8, 0x1.dbf1c2dcda1f7p-8, 0x1.d1223a9589aafp-8, 0x1.c6846548f8445p-8, 0x1.bc184b19d621cp-8, 0x1.b1ddcf0de2b85p-8, 0x1.a7d49886d67b5p-8, 0x1.9dfc0d96ea56p-8, 0x1.94535d95972c2p-8, 0x1.8ad99545730a1p-8, 0x1.818db34f3409ap-8, 0x1.786eb608f50dbp-8, 0x1.6f7ba13be06c5p-8, 0x1.66b380822fb63p-8, 0x1.5e156d12f0003p-8, 0x1.55a09a887201ep-8, 0x1.4d54674d89128p-8, 0x1.453067a8b7c4ap-8, 0x1.3d34623a67229p-8, 0x1.35603b1b1941cp-8, 0x1.2db3d4202ff81p-8, 0x1.262eef59cebc3p-8, 0x1.1ed12037f8dcep-8, 0x1.1799d0392fca7p-8, 0x1.10885266d91a9p-8, 0x1.099bfaa78002cp-8, 0x1.02d42d6b811e4p-8, 0x1.f860c0face203p-9, 0x1.eb601973da728p-9, 0x1.dea5304052e54p-9, 0x1.d22e89e2de2e9p-9, 0x1.c5fa63ccd2d3fp-9, 0x1.ba06df0c2c282p-9, 0x1.ae52455de2de5p-9, 0x1.a2db46755b8dp-9, 0x1.97a10b9aeadcbp-9, 0x1.8ca31603ffd9fp-9, 0x1.81e0fc608062fp-9, 0x1.775a2f7b6df2cp-9, 0x1.6d0de56f44b61p-9, 0x1.62fb2f368ed2dp-9, 0x1.592124a60d1f5p-9, 0x1.4f7f0d1f84aa5p-9, 0x1.461471be67cc6p-9, 0x1.3ce10e10c0235p-9, 0x1.33e49dedd5797p-9, 0x1.2b1e957258a5bp-9, 0x1.228ddf5c75d4fp-9, 0x1.1a30c3d7c81a5p-9, 0x1.12050e9c9ba37p-9, 0x1.0a086efa3ce37p-9, 0x1.0238ebbc7606ep-9, 0x1.f52a6945e40e3p-10, 0x1.e63953ac362p-10, 0x1.d79e35bb6b103p-10, 0x1.c958d1004cc52p-10, 0x1.bb68807456b7fp-10, 0x1.adcc1c221e88bp-10, 0x1.a0823c03252e8p-10, 0x1.9389a6d0b56b1p-10, 0x1.86e1afd846196p-10, 0x1.7a8a48a980a5dp-10, 0x1.6e83ac2bfc539p-10, 0x1.62cdc8378bec4p-10, 0x1.5767b0d35f214p-10, 0x1.4c4f54a29b866p-10, 0x1.4181835da22bep-10, 0x1.36fa444a658cap-10, 0x1.2cb56f4b45d5fp-10, 0x1.22af63ba4fd16p-10, 0x1.18e5a1953fa4p-10, 0x1.0f5705b5d3779p-10, 0x1.060384c86f919p-10, 0x1.f9d6fa215d25ep-11, 0x1.e81df11d20f22p-11, 0x1.d6da8e2b377a2p-11, 0x1.c60a415e097cdp-11, 0x1.b5aa68cac96d7p-11, 0x1.a5b98e1c0b25ap-11, 0x1.9637c8943c3cdp-11, 0x1.8725cd6edddfp-11, 0x1.788368e735c39p-11, 0x1.6a4ea0f21453dp-11, 0x1.5c83f93765c41p-11, 0x1.4f1f414f13117p-11, 0x1.421c21f136c84p-11, 0x1.3576349462fffp-11, 0x1.29290887cdeb9p-11, 0x1.1d3074ef4353p-11, 0x1.11892016d01ecp-11, 0x1.0630e7a81bce6p-11, 0x1.f64dec84fe411p-12, 0x1.e0d6c2b9f03b9p-12, 0x1.cbfc9820664c5p-12, 0x1.b7be00a97e997p-12, 0x1.a41758353d1c1p-12, 0x1.91043e66f604bp-12, 0x1.7e82217d948a5p-12, 0x1.6c911b34a9b1p-12, 0x1.5b31a70aad11fp-12, 0x1.4a61adc5895a9p-12, 0x1.3a1c161cb6146p-12, 0x1.2a5aa310a5ba6p-12, 0x1.1b17d9c86bfd2p-12, 0x1.0c4fa23d54ceap-12, 0x1.fbfd92eae0e58p-13, 0x1.e0444589056ddp-13, 0x1.c56c236c5ea1fp-13, 0x1.ab6db7d39632cp-13, 0x1.924251ef21aep-13, 0x1.79e36d3cced74p-13, 0x1.6249c2907991p-13, 0x1.4b6f54a6647fcp-13, 0x1.355259f03f962p-13, 0x1.1ff369e8311fep-13, 0x1.0b508c78c228dp-13, 0x1.eec8ca6d0e767p-14, 0x1.c854eb39c96d3p-14, 0x1.a34252d7b5abbp-14, 0x1.7f8c50e3e9c4fp-14, 0x1.5d265d625cb5fp-14, 0x1.3bffd0b40e52fp-14, 0x1.1c0a8856b92abp-14, 0x1.fa7a2b786412p-15, 0x1.bf224a1c6ace9p-15, 0x1.86026763eb14ep-15, 0x1.4f0e0953e5e52p-15, 0x1.1a35ec63fc696p-15, 0x1.ced0dcb0cde82p-16, 0x1.6d28a383b24c6p-16, 0x1.0f5989f43750fp-16, 0x1.6aa0e5bc8adcbp-17, 0x1.7bb06097af024p-18, 0x1.7e8faee5922f9p-21, -0x1.0f0128f32dd4p-18, -0x1.205acb5104c89p-17, -0x1.b281f42de749dp-17, -0x1.1f0e70364178bp-16, -0x1.61c22df2997bp-16, -0x1.a1781fc8a2804p-16, -0x1.de413f682770cp-16, -0x1.0c1d754f37d5bp-15, -0x1.27c41a0d5ed57p-15, -0x1.4221df685ef76p-15, -0x1.5b3f4448658a5p-15, -0x1.732250c2eac82p-15, -0x1.89d06883133d5p-15, -0x1.9f4f9af7296ccp-15, -0x1.b3a82f7a26219p-15, -0x1.c6e63d6366177p-15, -0x1.d9194ff76ec3cp-15, -0x1.ea4f4b6e74a5ap-15, -0x1.fa8dc8d020986p-15, -0x1.04e9acf84f1c8p-14, -0x1.0c1111b7c6192p-14, -0x1.12c471771c49ep-14, -0x1.190db82ebb5ebp-14, -0x1.1eef21793062ep-14, -0x1.2464ed186a5d4p-14, -0x1.2972c4432ddedp-14, -0x1.2e22a2e05de8bp-14, -0x1.3278836a30b49p-14, -0x1.3673d79d7db05p-14, -0x1.3a1767e70056p-14, -0x1.3d6814a0d18a2p-14, -0x1.4069b36d57a74p-14, -0x1.431ef8b1648bbp-14, -0x1.458a206f9974ep-14, -0x1.47ad18801202dp-14, -0x1.49897d040bb27p-14, -0x1.4b20dd14cd08ap-14, -0x1.4c75781d2294ap-14, -0x1.4d8b5990ba1c6p-14, -0x1.4e681ca014431p-14, -0x1.4f0f38a5daee5p-14, -0x1.4f80028c418bap-14, -0x1.4fbaae28e302p-14, -0x1.4fc3304e5c2eap-14, -0x1.4f9b9840021f3p-14, -0x1.4f42a3fe48c3fp-14, -0x1.4ebae75576669p-14, -0x1.4e09b99a6557cp-14, -0x1.4d31066395fd4p-14, -0x1.4c33214b1d905p-14, -0x1.4b12322d94d0cp-14, -0x1.49cd30a8e5066p-14, -0x1.48650111bc36ep-14, -0x1.46dc90aa57f0ep-14, -0x1.4536188beda8fp-14, -0x1.43730f117fdd4p-14, -0x1.4194bc0debc81p-14, -0x1.3f9c5b465bb2cp-14, -0x1.3d8b0676e187bp-14, -0x1.3b61aa343603fp-14, -0x1.392111afc681bp-14, -0x1.36ca2714e617dp-14, -0x1.345ee0c3ccbddp-14, -0x1.31e2181918a2fp-14, -0x1.2f549a16a11ddp-14, -0x1.2cb6426016a92p-14, -0x1.2a091a66a072cp-14, -0x1.274df73e88d34p-14, -0x1.2484513e2e9fbp-14, -0x1.21ad717aaebf9p-14, -0x1.1eca8352e854dp-14, -0x1.1bdbdefc4e1e6p-14, -0x1.18e389a68147p-14, -0x1.15e316c5c731p-14, -0x1.12db537fa5667p-14, -0x1.0fcc6db12b1f3p-14, -0x1.0cb57d8fe336p-14, -0x1.0997d0e610672p-14, -0x1.0674f14196bacp-14, -0x1.034d9709d8372p-14, -0x1.00223e8efcd81p-14, -0x1.f9e6da99a4164p-15, -0x1.f3835e119daf7p-15, -0x1.ed1b1037d4e1p-15, -0x1.e6aee060b7132p-15, -0x1.e03f622347cf3p-15, -0x1.d9cc69681f44bp-15, -0x1.d35718ac5accbp-15, -0x1.cce2e0994d8b7p-15, -0x1.c6706790760eap-15, -0x1.c001021d0c1f9p-15, -0x1.b994bcd3182bdp-15, -0x1.b329be99a975fp-15, -0x1.acc21e234fd5bp-15, -0x1.a65feeb66b6p-15, -0x1.a003f10f737cbp-15, -0x1.99ae9219dbc98p-15, -0x1.935f302962406p-15, -0x1.8d1494783d46p-15, -0x1.86d1bf1e2fe2cp-15, -0x1.8099afdece22dp-15, -0x1.7a6b8b57f0701p-15, -0x1.744462e76d6d1p-15, -0x1.6e2610acdf1aep-15, -0x1.68127ad241387p-15, -0x1.6209dae79605ep-15, -0x1.5c0c3bfdbe528p-15, -0x1.5619dd32cb955p-15, -0x1.50331be5dafc1p-15, -0x1.4a585cc89d646p-15, -0x1.448a08e320d41p-15, -0x1.3ec84e3c11538p-15, -0x1.3911f085a8b4ep-15, -0x1.3365e9d5b4af7p-15, -0x1.2dc7adbf428d1p-15, -0x1.28391e0419e2p-15, -0x1.22b94475a4e7fp-15, -0x1.1d44ceaa74092p-15, -0x1.17dd3ed5543cp-15, -0x1.128458b312753p-15, -0x1.0d3a23eb902adp-15, -0x1.07fe6cceaffddp-15, -0x1.02d113de6d70cp-15, -0x1.fb641d08cc2cfp-16, -0x1.f14322105763bp-16, -0x1.e73fa1384cc94p-16, -0x1.dd5707089ef88p-16, -0x1.d38971db06f25p-16, -0x1.c9de0cbc87608p-16, -0x1.c0501e1c11b38p-16, -0x1.b6dc38ad8cad6p-16, -0x1.ad867f31e16p-16, -0x1.a44f47836ed27p-16, -0x1.9b35ce14369dep-16, -0x1.9239cb48ab205p-16, -0x1.895b4751a283dp-16, -0x1.809a578784b92p-16, -0x1.77f70ed137b3dp-16, -0x1.6f71a31ab66fap-16, -0x1.67093345809cap-16, -0x1.5eb9a6bbf946p-16, -0x1.5685d4f486dbap-16, -0x1.4e746104353bap-16, -0x1.467f225a2d007p-16, -0x1.3ea2fd97d70f1p-16, -0x1.36e3e7cf1e61dp-16, -0x1.2f41e5e87e4e9p-16, -0x1.27bc1738fd1e7p-16, -0x1.205210eda94cep-16, -0x1.1903a45c7a08p-16, -0x1.11d0aec206c23p-16, -0x1.0ab8fd992a71ep-16, -0x1.03bc3b3615d49p-16, -0x1.f9b412c144932p-17, -0x1.ec24c6eca615dp-17, -0x1.decb5f4204bd5p-17, -0x1.d1a55a2b69f83p-17, -0x1.c4b16442ce9eap-17, -0x1.b7f3cb66c7ea2p-17, -0x1.ab65c818cf12p-17, -0x1.9f0aa0ddb80f6p-17, -0x1.92e29dd0d7c81p-17, -0x1.86ec462a449ddp-17, -0x1.7b26e01cbb45cp-17, -0x1.6f91ff12680dbp-17, -0x1.642d24ac64eaap-17, -0x1.58f7cd840c535p-17, -0x1.4df1f0a2575afp-17, -0x1.431a81b9cdbe6p-17, -0x1.386d215a77377p-17, -0x1.2def9c88656ddp-17, -0x1.239fc3e59f8aap-17, -0x1.1979a09ee166cp-17, -0x1.0f8078fcdb965p-17, -0x1.05b34291c235cp-17, -0x1.f8219f90f9c4p-18, -0x1.e530eae7cbb69p-18, -0x1.d2936f358b022p-18, -0x1.c04836e0342e7p-18, -0x1.ae4e2fd6a3859p-18, -0x1.9ca45ac325007p-18, -0x1.8b49cc9c513e4p-18, -0x1.7a3d7ffe4ce3cp-18, -0x1.697e5f38cb6a7p-18, -0x1.590b3bc63d336p-18, -0x1.48e2fd0c6831cp-18, -0x1.3904f3ddca2f1p-18, -0x1.2970d9812625cp-18, -0x1.1a24c9e3c88dcp-18, -0x1.0b1f1ab3a4404p-18, -0x1.f8bd29552d0b3p-19, -0x1.dbc743a6be6fep-19, -0x1.bf5afe29e6dffp-19, -0x1.a3755b4bd756fp-19, }}, 
      {{0x1.76273a5e731a3p-6, 0x1.716a2ffa1ffcp-5, 0x1.0f5f1ec697869p-4, 0x1.5fc2f7799b048p-4, 0x1.a882d618cf8a9p-4, 0x1.e8a428668cc63p-4, 0x1.0fc3032618c11p-3, 0x1.266ab0239ad5ep-3, 0x1.3840452c767c6p-3, 0x1.45558585d211bp-3, 0x1.4dd1212f636aep-3, 0x1.51e9a3fc5bf01p-3, 0x1.51e11505f656cp-3, 0x1.4e014761fa741p-3, 0x1.4698d01315c67p-3, 0x1.3bf8907e291cbp-3, 0x1.2e71c44927b82p-3, 0x1.1e547feb3234dp-3, 0x1.0bee8d8eb6ce2p-3, 0x1.ef152f3cb19ebp-4, 0x1.c2df25358f5b3p-4, 0x1.93c0b3d55221ap-4, 0x1.6236ea9b56dbep-4, 0x1.2eb5fc4f1b837p-4, 0x1.f352767682114p-5, 0x1.86e675d3f2337p-5, 0x1.18dc1d10f59c4p-5, 0x1.53ae6bf78cbe3p-6, 0x1.d35f7f6e545ap-8, -0x1.a7026952356c9p-8, -0x1.472c073cab311p-6, -0x1.114abcbd0a2a6p-5, -0x1.7da027f6b1043p-5, -0x1.e8433eb6e9837p-5, -0x1.2875b667554d7p-4, -0x1.5bace0972419bp-4, -0x1.8dac1498bd7c7p-4, -0x1.be5c5ad68daf9p-4, -0x1.edaa74c212bb4p-4, -0x1.0dc344c1bf98p-3, -0x1.23f1eb91fc6acp-3, -0x1.395c352143951p-3, -0x1.4dfe6ca580adep-3, -0x1.61d6031c47811p-3, -0x1.74e17114c8d7ap-3, -0x1.87201c2fa3b95p-3, -0x1.98923d64bfd79p-3, -0x1.a938c9893c254p-3, -0x1.b9155cec1c13dp-3, -0x1.c82a26a5aae21p-3, -0x1.d679d69ed3c8p-3, -0x1.e4078da871241p-3, -0x1.f0d6cda91c38bp-3, -0x1.fceb6bbaa08d8p-3, -0x1.0424c1ea90685p-2, -0x1.097ab69a599e2p-2, -0x1.0e79d7ee94904p-2, -0x1.13247d787be37p-2, -0x1.177d0e33da5c5p-2, -0x1.1b85fc942737ep-2, -0x1.1f41c31bf24f2p-2, -0x1.22b2e130b6711p-2, -0x1.25dbd837cea8dp-2, -0x1.28bf293851ecep-2, -0x1.2b5f529ab893bp-2, -0x1.2dbece2210ff7p-2, -0x1.2fe00f3a8c062p-2, -0x1.31c5818281a9cp-2, -0x1.3371874dfe5a8p-2, -0x1.34e678864849cp-2, -0x1.3626a1d3d0a2p-2, -0x1.37344390afda6p-2, -0x1.3811911f9ff94p-2, -0x1.38c0b0493353fp-2, -0x1.3943b8e2ba87cp-2, -0x1.399cb43d22a87p-2, -0x1.39cd9cdbfc1bdp-2, -0x1.39d85e589fa4ap-2, -0x1.39bed536c5d6bp-2, -0x1.3982cec4cd37fp-2, -0x1.3926091f9a736p-2, -0x1.38aa333a4e30ep-2, -0x1.3810ecf01418fp-2, -0x1.375bc72c41268p-2, -0x1.368c441ddf1bfp-2, -0x1.35a3d75006beap-2, -0x1.34a3e5e6ff357p-2, -0x1.338dc6fca4ed3p-2, -0x1.3262c3d2ec4b6p-2, -0x1.3124182029722p-2, -0x1.2fd2f2614406p-2, -0x1.2e70742d8ef76p-2, -0x1.2cfdb28d04812p-2, -0x1.2b7bb650408dfp-2, -0x1.29eb7c6962741p-2, -0x1.284df64af5f76p-2, -0x1.26a40a4f07206p-2, -0x1.24ee94035716ap-2, -0x1.232e6484616b6p-2, -0x1.216442e9c0414p-2, -0x1.1f90eca0188d5p-2, -0x1.1db515be5cb76p-2, -0x1.1bd169620b78ap-2, -0x1.19e68a0a66687p-2, -0x1.17f511efa1a18p-2, -0x1.15fd9359653dbp-2, -0x1.140098f27058ap-2, -0x1.11fea61c24c2fp-2, -0x1.0ff8373ebad92p-2, -0x1.0dedc21698a45p-2, -0x1.0bdfb600161d7p-2, -0x1.09ce7c44eb2c7p-2, -0x1.07ba7865898e8p-2, -0x1.05a40856c41aep-2, -0x1.038b84c463643p-2, -0x1.0171415a4a673p-2, -0x1.feab1a0215ddbp-3, -0x1.fa71642d4ed07p-3, -0x1.f635ed532fdd4p-3, -0x1.f1f939611cb62p-3, -0x1.edbbc4805c279p-3, -0x1.e97e037bc49dcp-3, -0x1.e5406422ef57ap-3, -0x1.e1034da77e46ap-3, -0x1.dcc720f71663p-3, -0x1.d88c39117485dp-3, -0x1.d452eb5a7452ap-3, -0x1.d01b87e84966ep-3, -0x1.cbe659cf5d2p-3, -0x1.c7b3a767bcdf7p-3, -0x1.c383b2913141dp-3, -0x1.bf56b8f4510b5p-3, -0x1.bb2cf44373871p-3, -0x1.b7069a72baf4fp-3, -0x1.b2e3ddeaa1598p-3, -0x1.aec4edbe87ceap-3, -0x1.aaa9f5e396c17p-3, -0x1.a6931f5e43e36p-3, -0x1.a280906d186c3p-3, -0x1.9e726cb33643fp-3, -0x1.9a68d560f7a21p-3, -0x1.9663e95a3a4c5p-3, -0x1.9263c55a77e25p-3, -0x1.8e688415ca07fp-3, -0x1.8a723e59c0d2cp-3, -0x1.86810b2ba581bp-3, -0x1.8294ffe48ea82p-3, -0x1.7eae304c9cd78p-3, -0x1.7accaeb38930cp-3, -0x1.76f08c09f578ep-3, -0x1.7319d7f5d4fa9p-3, -0x1.6f48a0ea0cb76p-3, -0x1.6b7cf43913c46p-3, -0x1.67b6de26553c1p-3, -0x1.63f669fadbf8ap-3, -0x1.603ba211d9a29p-3, -0x1.5c868fe8e2d7ep-3, -0x1.58d73c300d6b7p-3, -0x1.552daed6e3a44p-3, -0x1.5189ef1afdb36p-3, -0x1.4dec039256affp-3, -0x1.4a53f2333654dp-3, -0x1.46c1c05f680bdp-3, -0x1.433572f15f6f7p-3, -0x1.3faf0e44eb766p-3, -0x1.3c2e963e782fbp-3, -0x1.38b40e51e0c9p-3, -0x1.353f798ab84bbp-3, -0x1.31d0da9346bc8p-3, -0x1.2e6833ba8726p-3, -0x1.2b0586f9d91b5p-3, -0x1.27a8d5fa28226p-3, -0x1.2452221a41b3dp-3, -0x1.21016c730c829p-3, -0x1.1db6b5dbd865p-3, -0x1.1a71feedca6c2p-3, -0x1.17334807a2b3p-3, -0x1.13fa9151b370dp-3, -0x1.10c7dac20cd11p-3, -0x1.0d9b241dae2dp-3, -0x1.0a746cfc23654p-3, -0x1.0753b4c8cf9d5p-3, -0x1.0438fac60beadp-3, -0x1.01243e1125711p-3, -0x1.fc2afb41abe71p-4, -0x1.f6197091f725cp-4, -0x1.f013d977897e6p-4, -0x1.ea1a3315c4a54p-4, -0x1.e42c7a522c1p-4, -0x1.de4aabd99df72p-4, -0x1.d874c41d6eb47p-4, -0x1.d2aabf572241ep-4, -0x1.ccec9989384bep-4, -0x1.c73a4e84ab90bp-4, -0x1.c193d9e858d38p-4, -0x1.bbf93721a277cp-4, -0x1.b66a616c91eep-4, -0x1.b0e753d472838p-4, -0x1.ab70093713411p-4, -0x1.a6047c45572c5p-4, -0x1.a0a4a78328f74p-4, -0x1.9b508547a376ap-4, -0x1.96080fbd17161p-4, -0x1.90cb40e1392a7p-4, -0x1.8b9a1286b674cp-4, -0x1.86747e55d1fd2p-4, -0x1.815a7dcbf340dp-4, -0x1.7c4c0a3b7496p-4, -0x1.77491ccb5c464p-4, -0x1.7251ae77376ffp-4, -0x1.6d65b80fc802ep-4, -0x1.6885323b8120ap-4, -0x1.63b0157699958p-4, -0x1.5ee65a12859dep-4, -0x1.5a27f835561b7p-4, -0x1.5574e7d98c6d3p-4, -0x1.50cd20ce3dcb8p-4, -0x1.4c309ab76ffe2p-4, -0x1.479f4d0e4178ap-4, -0x1.43192f20975f6p-4, -0x1.3e9e3810a09ffp-4, -0x1.3a2e5ed45dc9cp-4, -0x1.35c99a358f765p-4, -0x1.316fe0d2078fep-4, -0x1.2d21291bf0eb3p-4, -0x1.28dd6959bfcc3p-4, -0x1.24a497a5e4511p-4, -0x1.2076a9ee708d2p-4, -0x1.1c5395f4ed14cp-4, -0x1.183b514e665c1p-4, -0x1.142dd163679dp-4, -0x1.102b0b708685ep-4, -0x1.0c32f485e137bp-4, -0x1.08458187614dp-4, -0x1.0462a72cbf047p-4, -0x1.008a5a032202fp-4, -0x1.f9791cdb7d346p-5, -0x1.f1f27144534fdp-5, -0x1.ea809951508eep-5, -0x1.e3237cbda6b7bp-5, -0x1.dbdb02f4a4a5cp-5, -0x1.d4a71307947f4p-5, -0x1.cd8793ac96452p-5, -0x1.c67c6b480344cp-5, -0x1.bf857fef899cap-5, -0x1.b8a2b766df75bp-5, -0x1.b1d3f71e51edcp-5, -0x1.ab192433ee0c2p-5, -0x1.a4722375166edp-5, -0x1.9dded95fa2653p-5, -0x1.975f2a22ae3a9p-5, -0x1.90f2f99f79edcp-5, -0x1.8a9a2b6a8c2adp-5, -0x1.8454a2cd01996p-5, -0x1.7e2242c5f30a1p-5, -0x1.7802ee0bd3e64p-5, -0x1.71f6870da2e24p-5, -0x1.6bfceff4031d1p-5, -0x1.66160aa24e362p-5, -0x1.6041b8b7c8defp-5, -0x1.5a7fdb91241f6p-5, -0x1.54d0544a26b71p-5, -0x1.4f3303bf5e3bep-5, -0x1.49a7ca8fdac6bp-5, -0x1.442e891e97f17p-5, -0x1.3ec71f939fd06p-5, -0x1.39716ddeed775p-5, -0x1.342d53b81c0d3p-5, -0x1.2efab0a1624c2p-5, -0x1.29d963e90c62cp-5, -0x1.24c94caac4edap-5, -0x1.1fca49d20901ap-5, -0x1.1adc3a1bf5ca8p-5, -0x1.15fefc1917378p-5, -0x1.11326e2f39d2ap-5, -0x1.0c766e9b28e41p-5, -0x1.07cadb72696aap-5, -0x1.032f92a4fe3a9p-5, -0x1.fd48e3fecb9f1p-6, -0x1.f452ae58ef81p-6, -0x1.eb7c3f6ee8533p-6, -0x1.e2c5521c60943p-6, -0x1.da2da10629614p-6, -0x1.d1b4e69e2a24fp-6, -0x1.c95add27233bcp-6, -0x1.c11f3eb82602p-6, -0x1.b901c54016bbap-6, -0x1.b1022a89547b8p-6, -0x1.a920283da985cp-6, -0x1.a15b77ea74b1fp-6, -0x1.99b3d3050de92p-6, -0x1.9228f2ef31ad3p-6, -0x1.8aba90fb4f128p-6, -0x1.836866706fb07p-6, -0x1.7c322c8dacdebp-6, -0x1.75179c8d4fcc9p-6, -0x1.6e186fa7d4bf4p-6, -0x1.67345f171f919p-6, -0x1.606b241a04a4fp-6, -0x1.59bc77f8616p-6, -0x1.5328140794611p-6, -0x1.4cadb1af2f637p-6, -0x1.464d0a6d7fa18p-6, -0x1.4005d7db85f41p-6, -0x1.39d7d3b020104p-6, -0x1.33c2b7c273c64p-6, -0x1.2dc63e0bee95cp-6, -0x1.27e220aa4e68cp-6, -0x1.221619e2110aep-6, -0x1.1c61e42266a87p-6, -0x1.16c53a091098dp-6, -0x1.113fd6679f4d5p-6, -0x1.0bd17447fe374p-6, -0x1.0679cef1aee5ep-6, -0x1.0138a1eca428p-6, -0x1.f81b52064555p-7, -0x1.edf14084d3b52p-7, -0x1.e3f287f44a198p-7, -0x1.da1ea175fc8c4p-7, -0x1.d07506af6158cp-7, -0x1.c6f531e084c3fp-7, -0x1.bd9e9e0272a53p-7, -0x1.b470c6b6859c1p-7, -0x1.ab6b283adcfcp-7, -0x1.a28d3f84becap-7, -0x1.99d68a3046a63p-7, -0x1.91468698d593cp-7, -0x1.88dcb3f9de5eep-7, -0x1.809892524b0abp-7, -0x1.7879a24febd3ap-7, -0x1.707f65550d144p-7, -0x1.68a95d81c48c9p-7, -0x1.60f70dbeddd5ep-7, -0x1.5967f9cd4071bp-7, -0x1.51fba653dcabp-7, -0x1.4ab198e6e2104p-7, -0x1.4389580abbcbap-7, -0x1.3c826b32e231p-7, -0x1.359c5abbaef71p-7, -0x1.2ed6afe1f021bp-7, -0x1.2830f4bbf6124p-7, -0x1.21aab4374a33ap-7, -0x1.1b437a1ca0a13p-7, -0x1.14fad31a126e4p-7, -0x1.0ed04cd14ab4bp-7, -0x1.08c375e6720e7p-7, -0x1.02d3de0c74d49p-7, -0x1.fa022c1540627p-8, -0x1.ee955f75c9f1p-8, -0x1.e3607c03dedcbp-8, -0x1.d862a984f9163p-8, -0x1.cd9b11a1a71e7p-8, -0x1.c308dfd49255bp-8, -0x1.b8ab416714288p-8, -0x1.ae81657d7a323p-8, -0x1.a48a7d3001e99p-8, -0x1.9ac5bbaa2cf9cp-8, -0x1.9132564906443p-8, -0x1.87cf84b31a98p-8, -0x1.7e9c80dc63973p-8, -0x1.759886fd73785p-8, -0x1.6cc2d57ef2acp-8, -0x1.641aacd9a6da6p-8, -0x1.5b9f4f7eac459p-8, -0x1.535001c176093p-8, -0x1.4b2c09d1269e2p-8, -0x1.4332afc1d8106p-8, -0x1.3b633da0fb729p-8, -0x1.33bcff8efb747p-8, -0x1.2c3f43d6f72e1p-8, -0x1.24e95afeb06a3p-8, -0x1.1dba97cbc1d74p-8, -0x1.16b24f3e40966p-8, -0x1.0fcfd8836b917p-8, -0x1.09128ce3bc583p-8, -0x1.0279c7b0b7cf4p-8, -0x1.f809cc6bbc86fp-9, -0x1.eb668f5ffed6ep-9, -0x1.df089a98c1161p-9, -0x1.d2eeb45d9b426p-9, -0x1.c717a6f5d930ep-9, -0x1.bb8240b69f727p-9, -0x1.b02d5402b1e81p-9, -0x1.a517b739b3c5bp-9, -0x1.9a4044a0f2c26p-9, -0x1.8fa5da48fbd09p-9, -0x1.85475a08c8015p-9, -0x1.7b23a99113194p-9, -0x1.7139b28b90635p-9, -0x1.678862b9ac1b9p-9, -0x1.5e0eac0919e42p-9, -0x1.54cb8495770adp-9, -0x1.4bbde6995318fp-9, -0x1.42e4d0544455ep-9, -0x1.3a3f43e727e62p-9, -0x1.31cc4722a9ac6p-9, -0x1.298ae344228cep-9, -0x1.217a24a61f6a6p-9, -0x1.19991a79a39dp-9, -0x1.11e6d6a697cc8p-9, -0x1.0a626dec40c4cp-9, -0x1.030af841fe718p-9, -0x1.f7bf22b6cf4dp-10, -0x1.e9beb234cd717p-10, -0x1.dc12e78220621p-10, -0x1.ceba1410b9c54p-10, -0x1.c1b292dbcea65p-10, -0x1.b4fac7a440707p-10, -0x1.a8911c7fc975p-10, -0x1.9c7400a7faa2fp-10, -0x1.90a1e8f12fbdcp-10, -0x1.8519507b79d0bp-10, -0x1.79d8b6eb1ffaep-10, -0x1.6ede9ef4467f7p-10, -0x1.64298e6c79fc8p-10, -0x1.59b80f32e80f1p-10, -0x1.4f88b0a7db078p-10, -0x1.459a0962e7522p-10, -0x1.3beab89ce4675p-10, -0x1.327966d6bf4e9p-10, -0x1.2944c59bdba23p-10, -0x1.204b8e9a6d495p-10, -0x1.178c828148778p-10, -0x1.0f066804388e7p-10, -0x1.06b80b2b71fd9p-10, -0x1.fd407996e5bc8p-11, -0x1.ed7ba3ce53754p-11, -0x1.de1f45bb19669p-11, -0x1.cf2915212861ep-11, -0x1.c096cbdf2c645p-11, -0x1.b2662897c155cp-11, -0x1.a494f11b2b47fp-11, -0x1.9720f5dcc234bp-11, -0x1.8a081525c8f76p-11, -0x1.7d483cd587a33p-11, -0x1.70df6a4232464p-11, -0x1.64cba8c124ecdp-11, -0x1.590b0fe5454ebp-11, -0x1.4d9bc24977452p-11, -0x1.427bed0b7e47ep-11, -0x1.37a9c76963a67p-11, -0x1.2d2391cfcb754p-11, -0x1.22e7941103d5p-11, -0x1.18f41b3917987p-11, -0x1.0f4777e857816p-11, -0x1.05dffde0fc203p-11, -0x1.f97809e31a478p-12, -0x1.e7b3d5c5753fap-12, -0x1.d6702b32c13ebp-12, -0x1.c5a9e927dd11ap-12, -0x1.b55e0243df42bp-12, -0x1.a5897b124e798p-12, -0x1.9629680015ce4p-12, -0x1.873aed6088c41p-12, -0x1.78bb42b599745p-12, -0x1.6aa7b763b5fc8p-12, -0x1.5cfdb4fe77189p-12, -0x1.4fbabc564f3e1p-12, -0x1.42dc5dbcccacbp-12, -0x1.3660304e2ecdcp-12, -0x1.2a43cd55e38fp-12, -0x1.1e84d19c1161ap-12, -0x1.1320e259d5218p-12, -0x1.0815b18f17c52p-12, -0x1.fac1fe0c7c80ep-13, -0x1.e6012c97ab4e8p-13, -0x1.d1e4978128bafp-13, -0x1.be67f4235053p-13, -0x1.ab870142afe6dp-13, -0x1.993d87bdd31bep-13, -0x1.878761ea84fap-13, -0x1.76608af8c1635p-13, -0x1.65c530f465fdcp-13, -0x1.55b1be483aa4bp-13, -0x1.4622d1d915367p-13, -0x1.371527bbd1c1bp-13, -0x1.28857fe206573p-13, -0x1.1a7091f39f34cp-13, -0x1.0cd313a17a5cap-13, -0x1.ff53929e379fp-14, -0x1.e5e326a01c567p-14, -0x1.cd4eded11af28p-14, -0x1.b590e0312b043p-14, -0x1.9ea3616937c95p-14, -0x1.8880994761f8ep-14, -0x1.7322b9bb2f463p-14, -0x1.5e83f6f827fdep-14, -0x1.4a9e959601e2bp-14, -0x1.376cfa16bf956p-14, -0x1.24e9babc5027ep-14, -0x1.130fc0b593749p-14, -0x1.01da64a979e7cp-14, -0x1.e28a8cef75dccp-15, -0x1.c2982ee7e307fp-15, -0x1.a3d530f49a948p-15, -0x1.8639213e8a0f9p-15, -0x1.69bb7bafa3c03p-15, -0x1.4e53d41306b22p-15, -0x1.33fa08201b2d6p-15, -0x1.1aa64b6d1c743p-15, -0x1.0251150f3598fp-15, -0x1.d5e601e840a53p-16, -0x1.a90962f9b1f47p-16, -0x1.7dfd7c8777c97p-16, -0x1.54b3778bee40fp-16, -0x1.2d1cb2ba8c0a6p-16, -0x1.072b0252bdbe7p-16, -0x1.c5a1944293581p-17, -0x1.8001e64d3e66ap-17, -0x1.3d5dd0830f8ebp-17, -0x1.fb3ad13f8a986p-18, -0x1.81546e80cd724p-18, -0x1.0cddd714ca628p-18, -0x1.3b5a848f7f23bp-19, -0x1.9cc58f8bc89d8p-21, 0x1.8c4e709fc7fdcp-21, 0x1.23c63eed93f31p-19, 0x1.db350feda9a2p-19, 0x1.44d61388ecdc9p-18, 0x1.97bb2014e243p-18, 0x1.e66e79db54618p-18, 0x1.188a1fe158ec6p-17, 0x1.3be7ecdfb6198p-17, 0x1.5d61ff34dccc3p-17, 0x1.7d095a24f3bafp-17, 0x1.9aee969c2c127p-17, 0x1.b721c40d6328dp-17, 0x1.d1b25693636b2p-17, 0x1.eaaf31e1f4ddcp-17, 0x1.01135bf847a63p-16, 0x1.0c135fd7a9c07p-16, 0x1.165e42f945505p-16, 0x1.1ffa6c10ddcfp-16, 0x1.28ee3570aa2c6p-16, 0x1.313fed164ea95p-16, 0x1.38f5968322be7p-16, 0x1.4014c50aa14dbp-16, 0x1.46a2d0178836cp-16, 0x1.4ca51fdef9439p-16, 0x1.522133f0c8c68p-16, 0x1.571c7203647d3p-16, 0x1.5b9c03e9b515cp-16, 0x1.5fa4d341ec5cep-16, 0x1.633b8f13443a1p-16, 0x1.6664b9a2cc4e8p-16, 0x1.6924bdca7ff2ep-16, 0x1.6b7ffd70682c2p-16, 0x1.6d7acc73a2851p-16, 0x1.6f1959286b9a5p-16, 0x1.705f927c0635bp-16, 0x1.715124fdbf9b3p-16, 0x1.71f19b576a509p-16, 0x1.724487a778452p-16, 0x1.724d8a4374fb9p-16, 0x1.721034b20da75p-16, 0x1.718fe52d8b09ap-16, 0x1.70cfa8e64b5cap-16, 0x1.6fd2433bc3f07p-16, 0x1.6e9a6bc667538p-16, 0x1.6d2b00374cd13p-16, 0x1.6b86eb3967547p-16, 0x1.69b0f0041ac74p-16, 0x1.67aba27a3e7dp-16, 0x1.6579793660695p-16, 0x1.631cd2c7e4e66p-16, 0x1.6097f5ef9c624p-16, 0x1.5ded16abfbdb9p-16, 0x1.5b1e5acc2c2d7p-16, 0x1.582dda3dcbf8dp-16, 0x1.551d9f32d9141p-16, 0x1.51efa253696e9p-16, 0x1.4ea5c8701b8d4p-16, 0x1.4b41f182a8c7cp-16, 0x1.47c5ce301584cp-16, 0x1.4432c34ba7335p-16, 0x1.408a8a3a010cp-16, 0x1.3ccf05f3896f1p-16, 0x1.3901b132f2eb6p-16, 0x1.3523e74059d43p-16, 0x1.3136fa8055715p-16, 0x1.2d3c2b09ef588p-16, 0x1.2934c3758b67cp-16, 0x1.252213c64e84fp-16, 0x1.21054e618877dp-16, 0x1.1cdf8a70e6b0cp-16, 0x1.18b1d98681b3ap-16, 0x1.147d47cff94fdp-16, 0x1.1042d6b4c54a5p-16, 0x1.0c037d0ed0de7p-16, 0x1.07c02731a048ap-16, 0x1.0379b4f1ca951p-16, 0x1.fe61f211cfb2dp-17, 0x1.f5cd7d27e5a03p-17, 0x1.ed379c3cab26p-17, 0x1.e4a1da8bbd8bcp-17, 0x1.dc0db702a6811p-17, 0x1.d37c894957b67p-17, 0x1.caef7fe8d55fp-17, 0x1.c267bc0c6c2f7p-17, 0x1.b9e674b0a385cp-17, 0x1.b16cde6db4fbep-17, 0x1.a8fc0ab02d529p-17, 0x1.a094f6ea2feccp-17, 0x1.983894f8415ep-17, 0x1.8fe7c27ada786p-17, 0x1.87a35c708b15bp-17, 0x1.7f6c32e270951p-17, 0x1.7742f7023d4abp-17, 0x1.6f285664234a9p-17, 0x1.671cff0d78eddp-17, 0x1.5f21954e02872p-17, 0x1.5736b4e20bd31p-17, 0x1.4f5cf210ac455p-17, 0x1.4794d637f83e3p-17, 0x1.3fdedc36dc84ap-17, 0x1.383b7253ede27p-17, 0x1.30ab026426995p-17, 0x1.292df6fe3cb82p-17, 0x1.21c4b25f0b9e4p-17, 0x1.1a6f807dadbf5p-17, 0x1.132ea6a81fa42p-17, 0x1.0c02800f5e5b8p-17, 0x1.04eb65ced5dbcp-17, 0x1.fbd3169ad6c72p-18, 0x1.edfa452a655a7p-18, 0x1.e04ce98917e37p-18, 0x1.d2cb69aba04afp-18, 0x1.c575ee40d46a3p-18, 0x1.b84ca58951c69p-18, 0x1.ab4fbfd5a363ep-18, 0x1.9e7f6429af4d4p-18, 0x1.91dbaa5db0939p-18, 0x1.8564971d407dcp-18, 0x1.791a3da555e7ap-18, 0x1.6cfcad7143ce2p-18, 0x1.610be86f788b5p-18, 0x1.5547e90b194afp-18, 0x1.49b0a4de96728p-18, 0x1.3e460bce67474p-18, 0x1.330806ccf7e1ap-18, 0x1.27f679cf7e1ecp-18, 0x1.1d11473349736p-18, 0x1.12584c186adbep-18, 0x1.07cb5c82aa244p-18, 0x1.fad48a0454056p-19, 0x1.e6698dee090eap-19, 0x1.d255585870784p-19, 0x1.be977528484d5p-19, 0x1.ab2f5672d5338p-19, 0x1.981c73225826dp-19, 0x1.855e28078cfb6p-19, 0x1.72f3bba71e591p-19, 0x1.60dcaf5ce931p-19, 0x1.4f190dd7aa129p-19, 0x1.3da7bcde7e93ap-19, 0x1.2c867d9b84a5cp-19, 0x1.1bb6271bbb8d6p-19, 0x1.0b36cdf6ec58bp-19, 0x1.f60d54d6a8cfcp-20, 0x1.d6497b38d33aap-20, 0x1.b720db74a043bp-20, 0x1.98920d6a02557p-20, 0x1.7a9b71bd36763p-20, 0x1.5d3b7a54bec64p-20, 0x1.40707fb813d6dp-20, 0x1.2438f2170b767p-20, 0x1.089325daf6aecp-20, 0x1.dafaea47f7db1p-21, 0x1.a5ec503008851p-21, 0x1.71f6f085a09efp-21, 0x1.3f17a8cb08454p-21, 0x1.0d4b3cb2f9332p-21, 0x1.b91c4218f3052p-22, 0x1.59b901c67e4adp-22, 0x1.f8cc3a6d6fe4ep-23, 0x1.423a49726354fp-23, 0x1.1f5d6640a48fap-24, -0x1.ee4490b0fdf6fp-27, -0x1.93198d097bbaep-24, -0x1.70591a279d543p-23, -0x1.09abb810a2837p-22, -0x1.594afee30e531p-22, -0x1.a7106b9492cf3p-22, -0x1.f303321e664fp-22, -0x1.1e94734d00cbep-21, -0x1.42c46376832bfp-21, -0x1.661505ed28c86p-21, -0x1.888964bb2737dp-21, -0x1.aa24d63d3f3bcp-21, -0x1.caeacbaf43fd2p-21, -0x1.eadeb4110429fp-21, -0x1.050200ad3b73ep-20, -0x1.142f17fa05c1dp-20, -0x1.22f860757b571p-20, -0x1.315f8cf22bcbap-20, -0x1.3f663a3104782p-20, -0x1.4d0dfb212b5bep-20, -0x1.5a5820e7e704p-20, -0x1.6745eb449947fp-20, -0x1.73d90d43a34cfp-20, -0x1.80133ed9fe60bp-20, -0x1.8bf60b42a6f5ap-20, -0x1.9782fdb0e84dbp-20, -0x1.a2bb790683bd4p-20, -0x1.ada0aea3e59a1p-20, -0x1.b833b3d5d97bp-20, -0x1.c275a0e4974cep-20, -0x1.cc67ac9b2053fp-20, -0x1.d60b3a5cf58fcp-20, -0x1.df61d1ea5605ap-20, -0x1.e86d03a65b1e7p-20, -0x1.f12e5455af2f3p-20, -0x1.f9a74dc9cda8p-20, -0x1.00ecb4c657c54p-19, -0x1.04e2fc479844ap-19, -0x1.08b73960b8038p-19, -0x1.0c6a08e34c1edp-19, -0x1.0ffc0962ea31fp-19, -0x1.136dd8ac39927p-19, -0x1.16c00ea93ceb6p-19, -0x1.19f3402c51c99p-19, -0x1.1d08020637402p-19, -0x1.1ffee9d082576p-19, -0x1.22d88a5143cb4p-19, -0x1.259571c4ab46dp-19, -0x1.28362df35ed51p-19, -0x1.2abb3b57e174ap-19, -0x1.2d2528855b755p-19, -0x1.2f748bae2464dp-19, -0x1.31a9fd5d329dap-19, -0x1.33c61655631dbp-19, -0x1.35c9093190036p-19, -0x1.37b2d37ef12fap-19, -0x1.3985254874d5ep-19, -0x1.3b405ba4e4389p-19, -0x1.3ce3cc3bfae51p-19, -0x1.3e708d6ea585ep-19, -0x1.3fe7705d5d329p-19, -0x1.4148cb466e41ap-19, -0x1.4294f9d33272ep-19, -0x1.43cc65ddf5a1fp-19, -0x1.44ef7dc1e1bc2p-19, -0x1.45feaeabd3676p-19, -0x1.46fa63b6162e6p-19, -0x1.47e308c583fb9p-19, -0x1.48b908032f91bp-19, -0x1.497cc931c0ecep-19, -0x1.4a2eb01b560dcp-19, -0x1.4acf2007515fcp-19, -0x1.4b5e7b5d6a9cep-19, }}, 
      {{-0x1.725a15de61abfp-3, -0x1.5e63e41d3fe5fp-3, -0x1.4467fbd9c9128p-3, -0x1.2b2a26335966fp-3, -0x1.187ac11de091cp-3, -0x1.10ade122121c3p-3, -0x1.168824a41c376p-3, -0x1.2b65eaef44b45p-3, -0x1.4f7aa653ae295p-3, -0x1.82153ff7f9b25p-3, -0x1.c1e00c989bb24p-3, -0x1.068c21fd2ca96p-2, -0x1.30dde96936afdp-2, -0x1.5ed6e2e1353a7p-2, -0x1.8f691326cafe9p-2, -0x1.c19131fb8ad0cp-2, -0x1.f45dbd4e7522ep-2, -0x1.1379c0550c225p-1, -0x1.2c480d05db343p-1, -0x1.44457a569d38p-1, -0x1.5b2a8fda06ebp-1, -0x1.70bc2afa5f564p-1, -0x1.84cabd45fa06ep-1, -0x1.97316040af59p-1, -0x1.a7d4d361238c1p-1, -0x1.b6a2734520ff7p-1, -0x1.c38f353034ccp-1, -0x1.ce96adce45032p-1, -0x1.d7ba2808ec1bap-1, -0x1.deffcdc8185cp-1, -0x1.e471e3937a576p-1, -0x1.e81e1742ed931p-1, -0x1.ea14e05ace727p-1, -0x1.ea68f165915efp-1, -0x1.e92eb97bf15p-1, -0x1.e67bf4f468cb7p-1, -0x1.e2674b9274407p-1, -0x1.dd07fb5d9b1cdp-1, -0x1.d6758f31b647dp-1, -0x1.cec79fb6f6cd9p-1, -0x1.c6159d470444bp-1, -0x1.bc76a217b1f96p-1, -0x1.b2014b846a94ap-1, -0x1.a6cb9a2baaf93p-1, -0x1.9aead79ec872cp-1, -0x1.8e73819c32a3ap-1, -0x1.8179399d73173p-1, -0x1.740eb88ea8276p-1, -0x1.6645c643faa78p-1, -0x1.582f33dcf9a15p-1, -0x1.49dad90ddb876p-1, -0x1.3b5793d9f7f95p-1, -0x1.2cb34a5ba9e2ep-1, -0x1.1dfaee075ffdep-1, -0x1.0f3a80fe0db34p-1, -0x1.007d1bc35e577p-1, -0x1.e399ea14b0be5p-2, -0x1.c666d191cc186p-2, -0x1.a972041d40e11p-2, -0x1.8ccb04db49409p-2, -0x1.707fdb0e6a3e4p-2, -0x1.549d1fd9c846ap-2, -0x1.392e18150976ap-2, -0x1.1e3cc0346bd15p-2, -0x1.03d1e7d5dc6a8p-2, -0x1.d3ea777000042p-3, -0x1.a15ac282234ccp-3, -0x1.6ffffff736d6dp-3, -0x1.3fe3b49eaafc8p-3, -0x1.110db15614ebap-3, -0x1.c708745d09f51p-4, -0x1.6e9844fc1e512p-4, -0x1.18d1d16b7dd9dp-4, -0x1.8b7357c3fcde1p-5, -0x1.d54898418337ep-6, -0x1.3cdc5c79054d8p-7, 0x1.1b5dba629b495p-7, 0x1.af1b949fb8b05p-6, 0x1.62f59404b938cp-5, 0x1.e91b27c22f91p-5, 0x1.3506afa748788p-4, 0x1.72eea7f636c9bp-4, 0x1.ae4f05b6975c4p-4, 0x1.e73233664ecc2p-4, 0x1.0ed1b0b7d014fp-3, 0x1.28d7369f0deefp-3, 0x1.41afe4851da9bp-3, 0x1.5962330a9c011p-3, 0x1.6ff4cfd4f6463p-3, 0x1.856e94247fc2p-3, 0x1.99d67bdd68d55p-3, 0x1.ad339d50dd5dbp-3, 0x1.bf8d21ce888e7p-3, 0x1.d0ea3e7dcb985p-3, 0x1.e1522e4faf094p-3, 0x1.f0cc2bffb4007p-3, 0x1.ff5f6cf030e5dp-3, 0x1.06898e455a8fbp-2, 0x1.0cf72be54cfcdp-2, 0x1.12fc14e86ce6cp-2, 0x1.189bc41c23455p-2, 0x1.1dd9a80cf55a7p-2, 0x1.22b921f134bfbp-2, 0x1.273d843d543b3p-2, 0x1.2b6a11e26345fp-2, 0x1.2f41fd65a93bp-2, 0x1.32c86820fcbcap-2, 0x1.360061c48e552p-2, 0x1.38ece7d6b6aedp-2, 0x1.3b90e5499b976p-2, 0x1.3def324a59acp-2, 0x1.400a94005e0fbp-2, 0x1.41e5bc704d727p-2, 0x1.43834a7aca0cp-2, 0x1.44e5c9d793e23p-2, 0x1.460fb324b3d1bp-2, 0x1.47036c11d7588p-2, 0x1.47c34782e022ap-2, 0x1.485185bfc16fcp-2, 0x1.48b054ba5fcf8p-2, 0x1.48e1d054043bcp-2, 0x1.48e802a5e4a5fp-2, 0x1.48c4e44d68a74p-2, 0x1.487a5cd067a9fp-2, 0x1.480a42f49691fp-2, 0x1.47765d13726f9p-2, 0x1.46c06187b1d02p-2, 0x1.45e9f71743cf7p-2, 0x1.44f4b54731feap-2, 0x1.43e224c9475ccp-2, 0x1.42b3bfef4766p-2, 0x1.416af3098b705p-2, 0x1.40091cc61818ep-2, 0x1.3e8f8ea5da6a8p-2, 0x1.3cff8d63e1164p-2, 0x1.3b5a5150475adp-2, 0x1.39a106b69488fp-2, 0x1.37d4ce49b9418p-2, 0x1.35f6bd814894p-2, 0x1.3407def2f4195p-2, 0x1.320932b5e64b9p-2, 0x1.2ffbaec16c333p-2, 0x1.2de03f41f52d6p-2, 0x1.2bb7c6f20c676p-2, 0x1.29831f6ee56adp-2, 0x1.2743198f74e3fp-2, 0x1.24f87db2c82a2p-2, 0x1.22a40c0d0b736p-2, 0x1.20467cfa22c2p-2, 0x1.1de0813da5fap-2, 0x1.1b72c25400e54p-2, 0x1.18fde2b687c7bp-2, 0x1.16827e1c0a4efp-2, 0x1.140129ba3ee4fp-2, 0x1.117a747eddcb2p-2, 0x1.0eeee75cfe62dp-2, 0x1.0c5f057eb75fbp-2, 0x1.09cb4c7333a94p-2, 0x1.0734346dacb68p-2, 0x1.049a3081abd2ep-2, 0x1.01fdaed2d2d81p-2, 0x1.febe317713012p-3, 0x1.f97da5f80e837p-3, 0x1.f43a7be2f915fp-3, 0x1.eef56b8c070b4p-3, 0x1.e9af2520f33d6p-3, 0x1.e46850eb77f9ap-3, 0x1.df218fab71cb2p-3, 0x1.d9db7af594269p-3, 0x1.d496a57606668p-3, 0x1.cf539b1ef523bp-3, 0x1.ca12e1650d172p-3, 0x1.c4d4f791f37bdp-3, 0x1.bf9a57100c153p-3, 0x1.ba637398e91a4p-3, 0x1.b530bb5882535p-3, 0x1.b00297273cd2ep-3, 0x1.aad96ace87e05p-3, 0x1.a5b5953e08ec7p-3, 0x1.a09770c08d77bp-3, 0x1.9b7f5306bf0dcp-3, 0x1.966d8d5cecacep-3, 0x1.91626ce826a03p-3, 0x1.8c5e3acae8cefp-3, 0x1.87613c5bcd3cdp-3, 0x1.826bb3280aa27p-3, 0x1.7d7ddd16a3a09p-3, 0x1.7897f49ccb085p-3, 0x1.73ba30ec4695p-3, 0x1.6ee4c60b18ca8p-3, 0x1.6a17e4ec55e55p-3, 0x1.6553bb7f73643p-3, 0x1.609874d535317p-3, 0x1.5be63944f6475p-3, 0x1.573d2e90accp-3, 0x1.529d77f5a669bp-3, 0x1.4e073638b7debp-3, 0x1.497a87bb3d929p-3, 0x1.44f788989c25cp-3, 0x1.407e52c730545p-3, 0x1.3c0efe302af86p-3, 0x1.37a9a0bb38ac1p-3, 0x1.334e4e59db237p-3, 0x1.2efd1918464b7p-3, 0x1.2ab611364ddbp-3, 0x1.26794541cd1eep-3, 0x1.2246c228e14ddp-3, 0x1.1e1e934486a53p-3, 0x1.1a00c26103742p-3, 0x1.15ed57cb03d12p-3, 0x1.11e45a62c32eap-3, 0x1.0de5cfb1422f6p-3, 0x1.09f1bbf8bbfa5p-3, 0x1.0608223ebcc3p-3, 0x1.02290452ecc66p-3, 0x1.fca8c5af95009p-4, 0x1.f5147aa08bd74p-4, 0x1.ed952460de075p-4, 0x1.e62abdd94ecb4p-4, 0x1.ded5400895ba5p-4, 0x1.d794a21085ed6p-4, 0x1.d068d941c1f1fp-4, 0x1.c951d92c75ba6p-4, 0x1.c24f93b7a5e2ep-4, 0x1.bb61f93b298a4p-4, 0x1.b488f89614e3dp-4, 0x1.adc47f3e4b9b4p-4, 0x1.a714794ae1404p-4, 0x1.a078d17e05962p-4, 0x1.99f17152b16c4p-4, 0x1.937e410eed424p-4, 0x1.8d1f27d7d8e05p-4, 0x1.86d40bc2d60b7p-4, 0x1.809cd1e283824p-4, 0x1.7a795e4f93defp-4, 0x1.7469943159e26p-4, 0x1.6e6d55c70affcp-4, 0x1.688484776195cp-4, 0x1.62af00da7feb7p-4, 0x1.5cecaace230fp-4, 0x1.573d617d03018p-4, 0x1.51a1036855fffp-4, 0x1.4c176e6e22774p-4, 0x1.46a07fd0b17b9p-4, 0x1.413c143fa7fcep-4, 0x1.3bea07e2a497bp-4, 0x1.36aa3664458c1p-4, 0x1.317c7afc1f6ep-4, 0x1.2c60b076bfb16p-4, 0x1.2756b13bdbc89p-4, 0x1.225e5753ab0cp-4, 0x1.1d777c6cadb3ap-4, 0x1.18a1f9e2b4df7p-4, 0x1.13dda8c6e6e52p-4, 0x1.0f2a61e7d3a06p-4, 0x1.0a87fdd8c8d4ep-4, 0x1.05f654f7ef88bp-4, 0x1.01753f7349085p-4, 0x1.fa092a99ee7e5p-5, 0x1.f1485cbf19f5p-5, 0x1.e8a7c4c63098fp-5, 0x1.e02711e5a007p-5, 0x1.d7c5f325d6006p-5, 0x1.cf84176c495fp-5, 0x1.c7612d851d9p-5, 0x1.bf5ce42b4c2d9p-5, 0x1.b776ea101b81cp-5, 0x1.afaeede100107p-5, 0x1.a8049e4ec9377p-5, 0x1.a077aa150a524p-5, 0x1.9907c001e608dp-5, 0x1.91b48efe2f76dp-5, 0x1.8a7dc614e0551p-5, 0x1.8363147a09149p-5, 0x1.7c6429911f7aep-5, 0x1.7580b4f278bb4p-5, 0x1.6eb8667022c48p-5, 0x1.680aee1a6cfc5p-5, 0x1.6177fc4496a0cp-5, 0x1.5aff41895d24ep-5, 0x1.54a06ecfc1705p-5, 0x1.4e5b35503057ep-5, 0x1.482f469a15b14p-5, 0x1.421c54999ff51p-5, 0x1.3c22119d1295bp-5, 0x1.36403058dd6f7p-5, 0x1.307663ea475c3p-5, 0x1.2ac45fd8e5f89p-5, 0x1.2529d81770bedp-5, 0x1.1fa68104df6d8p-5, 0x1.1a3a0f6ecde2fp-5, 0x1.14e4389601537p-5, 0x1.0fa4b234c87ep-5, 0x1.0a7b328618762p-5, 0x1.0567704b7b332p-5, 0x1.006922d032781p-5, 0x1.f70003d182836p-6, 0x1.ed578bdedeff9p-6, 0x1.e3d84f7f25d03p-6, 0x1.da81c1644c13bp-6, 0x1.d153553c1215bp-6, 0x1.c84c7fba94fcfp-6, 0x1.bf6cb6adbe912p-6, 0x1.b6b3711487214p-6, 0x1.ae2027326f23fp-6, 0x1.a5b2529819c1bp-6, 0x1.9d696e1d36deap-6, 0x1.9544f5ccdd24bp-6, 0x1.8d4466cad178ap-6, 0x1.85673f3bdb858p-6, 0x1.7dacfe3a2a112p-6, 0x1.761523dd6232p-6, 0x1.6e9f31559e395p-6, 0x1.674aa913c5045p-6, 0x1.60170ef13bef6p-6, 0x1.5903e84a1a629p-6, 0x1.5210bbff24795p-6, 0x1.4b3d125c2e0cdp-6, 0x1.448874e8e5931p-6, 0x1.3df26e32725e5p-6, 0x1.377a89a05b7fcp-6, 0x1.312053642cd66p-6, 0x1.2ae3588941be9p-6, 0x1.24c3272589305p-6, 0x1.1ebf4ea07953fp-6, 0x1.18d75ff66941cp-6, 0x1.130aede6a1673p-6, 0x1.0d598cf9eebf2p-6, 0x1.07c2d35850d91p-6, 0x1.0246587ad4b7ep-6, 0x1.f9c7699dc4bc5p-7, 0x1.ef3502c99ef1ap-7, 0x1.e4d4af86b7b72p-7, 0x1.daa5a3e173a3fp-7, 0x1.d0a71562f5df3p-7, 0x1.c6d83bdb20b52p-7, 0x1.bd3852417371fp-7, 0x1.b3c6976bfd00dp-7, 0x1.aa824e63a2fabp-7, 0x1.a16abe36c99eep-7, 0x1.987f314f5a9bbp-7, 0x1.8fbef474294dap-7, 0x1.872955b782bc7p-7, 0x1.7ebda39c16e6cp-7, 0x1.767b2caf2c65ep-7, 0x1.6e613fb6403bap-7, 0x1.666f2c6a3df92p-7, 0x1.5ea44491eb685p-7, 0x1.56ffdd345a706p-7, 0x1.4f814f94a08e6p-7, 0x1.4827f9b2ab424p-7, 0x1.40f33e2d36b8ep-7, 0x1.39e28386d5aecp-7, 0x1.32f532f78a638p-7, 0x1.2c2ab71264d5fp-7, 0x1.25827a90a6317p-7, 0x1.1efbe78cfac6ap-7, 0x1.1896675d630c3p-7, 0x1.12516315f2839p-7, 0x1.0c2c44924e8p-7, 0x1.062677cda1dbp-7, 0x1.003f6c38d57adp-7, 0x1.f4ed2b87231ebp-8, 0x1.e996dac1e26afp-8, 0x1.de7ae1ceb0ac8p-8, 0x1.d39844a681209p-8, 0x1.c8ee0d25ce8adp-8, 0x1.be7b48308fb42p-8, 0x1.b43f02f4cb44dp-8, 0x1.aa3848d444c7ep-8, 0x1.a066225ac7b51p-8, 0x1.96c79570d13eap-8, 0x1.8d5ba6bfa0546p-8, 0x1.84215c0570cb2p-8, 0x1.7b17beef6ea89p-8, 0x1.723ddff8ce74dp-8, 0x1.6992d8cbb8522p-8, 0x1.6115cdb3cc8d7p-8, 0x1.58c5edd5f97aep-8, 0x1.50a272127cb92p-8, 0x1.48aa9aaf2e049p-8, 0x1.40ddac1e9fe72p-8, 0x1.393aeb66da16ep-8, 0x1.31c19ac72bfd4p-8, 0x1.2a70f73ecd0e2p-8, 0x1.2348377cb2ff7p-8, 0x1.1c468c7d6d26p-8, 0x1.156b23dfab0c7p-8, 0x1.0eb52b8a69308p-8, 0x1.0823d60ffdce4p-8, 0x1.01b65f0b9a788p-8, 0x1.f6d81d6054431p-9, 0x1.ea8877ac3450ep-9, 0x1.de7c980c42bb6p-9, 0x1.d2b3629492579p-9, 0x1.c72bcbe8d547ep-9, 0x1.bbe4cdf431d62p-9, 0x1.b0dd5bdce0f6cp-9, 0x1.a61457ae6bec1p-9, 0x1.9b888c04674ap-9, 0x1.9138ab24baf4fp-9, 0x1.872353b38f192p-9, 0x1.7d4719f000754p-9, 0x1.73a293a57fb08p-9, 0x1.6a3464cb1a257p-9, 0x1.60fb4af70e3aep-9, 0x1.57f625ff27a1p-9, 0x1.4f23fc0dc975cp-9, 0x1.4683f7ddce124p-9, 0x1.3e1560d7355bap-9, 0x1.35d78de92ab83p-9, 0x1.2dc9d56cdabd7p-9, 0x1.25eb7d7382de2p-9, 0x1.1e3bb0720732cp-9, 0x1.16b978efe44c8p-9, 0x1.0f63c499b4f53p-9, 0x1.08396d019f5b6p-9, 0x1.013943368db67p-9, 0x1.f4c4373463e52p-10, 0x1.e765b12b19e45p-10, 0x1.da54e7cf00804p-10, 0x1.cd900cc2574c8p-10, 0x1.c11599f9b44dp-10, 0x1.b4e45289641bdp-10, 0x1.a8fb36535649fp-10, 0x1.9d596860b308ep-10, 0x1.91fe0d0741393p-10, 0x1.86e82934b3dc7p-10, 0x1.7c168cb6565aep-10, 0x1.7187cd6223037p-10, 0x1.673a5265f171cp-10, 0x1.5d2c68ee3fcfcp-10, 0x1.535c58c759cffp-10, 0x1.49c871d3620a3p-10, 0x1.406f10f95d4bbp-10, 0x1.374ea12a2fbdfp-10, 0x1.2e659f7a3a8b5p-10, 0x1.25b2a632179d9p-10, 0x1.1d347bf96a598p-10, 0x1.14ea1e7e8bdeap-10, 0x1.0cd2bfa3a99d7p-10, 0x1.04edb21ec21c7p-10, 0x1.fa74971790defp-11, 0x1.eb6f90ac2389cp-11, 0x1.dcca7ae17be34p-11, 0x1.ce833951c202cp-11, 0x1.c0978e38ba9f3p-11, 0x1.b30546b0920ebp-11, 0x1.a5ca583d4670ap-11, 0x1.98e4e1e594c29p-11, 0x1.8c531086c283bp-11, 0x1.8012f4b782009p-11, 0x1.7422626af0303p-11, 0x1.687ef10253b54p-11, 0x1.5d262353e27cfp-11, 0x1.5215a883c5d07p-11, 0x1.474b957b5f149p-11, 0x1.3cc6775cd111ep-11, 0x1.3285342fd37cap-11, 0x1.2886ccd019873p-11, 0x1.1eca2548a85c5p-11, 0x1.154df0d21bc31p-11, 0x1.0c10c505a56dcp-11, 0x1.031141cc40e5cp-11, 0x1.f49c6c32f5717p-12, 0x1.e38d6010b53b5p-12, 0x1.d2f3dc1cbae0dp-12, 0x1.c2ce62d4bfe2cp-12, 0x1.b31afc71ad496p-12, 0x1.a3d6c4cdff03fp-12, 0x1.94fdc3ad6ce94p-12, 0x1.868b34d012412p-12, 0x1.787a339e8d6abp-12, 0x1.6ac685da3d7afp-12, 0x1.5d6d26783e236p-12, 0x1.506c4d6dfc79dp-12, 0x1.43c2f9a327addp-12, 0x1.37704a8042dap-12, 0x1.2b7308afe1204p-12, 0x1.1fc98eeb9718p-12, 0x1.1472058d02095p-12, 0x1.096ac2a3ed3a6p-12, 0x1.fd65326b66152p-13, 0x1.e891cb8a1c53bp-13, 0x1.d45a86fdf4f0fp-13, 0x1.c0be17e7992d7p-13, 0x1.adb9c514ca5e7p-13, 0x1.9b48f40576092p-13, 0x1.89653f2c81d5ep-13, 0x1.78070e4cf535fp-13, 0x1.6726994a6941dp-13, 0x1.56bd16418a3ep-13, 0x1.46c5a9fecaf2bp-13, 0x1.373dbd20997e7p-13, 0x1.282485a51c71cp-13, 0x1.1979e58775756p-13, 0x1.0b3d32829f104p-13, 0x1.fad92ae10f97fp-14, 0x1.e00a90ef79cd3p-14, 0x1.c609007c5261bp-14, 0x1.acd0d3e678736p-14, 0x1.9460ebdca8c21p-14, 0x1.7cb926a8d925dp-14, 0x1.65d7eb378d787p-14, 0x1.4fb8cd2c7a64fp-14, 0x1.3a55049319b12p-14, 0x1.25a4c039ae1e9p-14, 0x1.11a00b5f5e56ep-14, 0x1.fc7dea89e3e82p-15, 0x1.d6f33427d4708p-15, 0x1.b29145ccd1849p-15, 0x1.8f4c27fc4ed9p-15, 0x1.6d1bc49d6a5e9p-15, 0x1.4bfc0aead074cp-15, 0x1.2bebb079d0df2p-15, 0x1.0ce9906f33922p-15, 0x1.dde3f296f607ep-16, 0x1.a3fbd0e6a4713p-16, 0x1.6c0a94d9fe1d4p-16, 0x1.3605abbc4cd8cp-16, 0x1.01eab301274a8p-16, 0x1.9f70fa5f48166p-17, 0x1.3ecc38cd0a003p-17, 0x1.c38685e689528p-18, 0x1.10574f9ade435p-18, 0x1.8efebebbe9274p-20, -0x1.09e96fab64254p-20, -0x1.c50b8b4cc2fe2p-19, -0x1.7c90c5b3e9917p-18, -0x1.08670deb179cdp-17, -0x1.4fb88ad8df267p-17, -0x1.9453da319de01p-17, -0x1.d64f408ec7b51p-17, -0x1.0ae19f65e8312p-16, -0x1.296252bb5428p-16, -0x1.46adf58eb461p-16, -0x1.62c52c382b749p-16, -0x1.7dac3fbaf1e12p-16, -0x1.976c6bb263d1cp-16, -0x1.b00db2a0d1e0dp-16, -0x1.c793ce7b8e83fp-16, -0x1.de0373fa933a5p-16, -0x1.f366e6816bcabp-16, -0x1.03e5a8300361ep-15, -0x1.0d9dfe0e5b152p-15, -0x1.16e06380b7c15p-15, -0x1.1fafa6f1b0779p-15, -0x1.280e4b4257a83p-15, -0x1.2fff1569b0a14p-15, -0x1.3785457fd6434p-15, -0x1.3ea47dd6140ap-15, -0x1.456041d10b7e4p-15, -0x1.4bbb423313b92p-15, -0x1.51b796a75b3e3p-15, -0x1.57588feeff891p-15, -0x1.5ca3779ef391ep-15, -0x1.619c5d25daa77p-15, -0x1.66433d02ffab2p-15, -0x1.6a96f11398d25p-15, -0x1.6e998f435b116p-15, -0x1.724f542de6ed3p-15, -0x1.75bb047fcea18p-15, -0x1.78de674faa4b4p-15, -0x1.7bbc50ef90dbcp-15, -0x1.7e58140b57935p-15, -0x1.80b449c7f2c41p-15, -0x1.82d2b5bc7639dp-15, -0x1.84b4ad4bde364p-15, -0x1.865b690b719b7p-15, -0x1.87c83bec0f091p-15, -0x1.88fcd63a6a779p-15, -0x1.89fb927503459p-15, -0x1.8ac75a9036c46p-15, -0x1.8b62c14da9c8cp-15, -0x1.8bcee8a84dea6p-15, -0x1.8c0bda2996e12p-15, -0x1.8c1a44486b054p-15, -0x1.8bfcd3f675798p-15, -0x1.8bb6ff7dcefcfp-15, -0x1.8b49c090c9cb6p-15, -0x1.8ab425229550cp-15, -0x1.89f79f094a5c9p-15, -0x1.8917a58067b67p-15, -0x1.8815ba532ff21p-15, -0x1.86f1e6c712c8p-15, -0x1.85ad4887bd3a2p-15, -0x1.8449aa0c7b35p-15, -0x1.82c87e40e88ep-15, -0x1.812ad8dc66f03p-15, -0x1.7f71a51f8354dp-15, -0x1.7d9db449e10afp-15, -0x1.7bafbd426b59cp-15, -0x1.79a87348f5328p-15, -0x1.7788c0dfc04cdp-15, -0x1.75521e7459449p-15, -0x1.73067c959ddd1p-15, -0x1.70a71c15e71e6p-15, -0x1.6e33f7610c549p-15, -0x1.6bad5081d4336p-15, -0x1.69148e34d2901p-15, -0x1.666a8096a3db5p-15, -0x1.63aef79b3f4f4p-15, -0x1.60e2eaa72b1d3p-15, -0x1.5e082237ccffdp-15, -0x1.5b1f5dc3a6132p-15, -0x1.58297af595541p-15, -0x1.55274a18e1fd6p-15, -0x1.5218a6b6d5b71p-15, -0x1.4efdfec223fc4p-15, -0x1.4bd85aec26c22p-15, -0x1.48a88d0d46f65p-15, -0x1.456f2be1c1d07p-15, -0x1.422cbf52ef707p-15, -0x1.3ee1cace90d3dp-15, -0x1.3b8ec714a87bcp-15, -0x1.38341f62493ddp-15, -0x1.34d23532ece3ap-15, -0x1.316972e5e40bbp-15, -0x1.2dfa8dec8ceap-15, -0x1.2a8677c2b9c3ep-15, -0x1.270d8cab5563p-15, -0x1.238fea2b65612p-15, -0x1.200e4771bd931p-15, -0x1.1c88ff5b9c745p-15, -0x1.19000f866ab9p-15, -0x1.1573f92cdec36p-15, -0x1.11e531e2bb33ap-15, -0x1.0e53f19fc5eaep-15, -0x1.0ac0e2dfa29eap-15, -0x1.072c91d9609ebp-15, -0x1.0397553fd0b6ap-15, -0x1.000158529300ap-15, -0x1.f8d4f5e573a99p-16, -0x1.f1a668ab11631p-16, -0x1.ea781629a3f64p-16, -0x1.e34a99cf49d8fp-16, -0x1.dc1e6d6015002p-16, -0x1.d4f40e1df5cc1p-16, -0x1.cdcbfb4d75072p-16, -0x1.c6a6af26193bcp-16, -0x1.bf849c2e7a7b5p-16, -0x1.b8661c0de7eaep-16, -0x1.b14b5785d119ap-16, -0x1.aa34cd9b1fa42p-16, -0x1.a3238e3ba6dcdp-16, -0x1.9c17f1dcfc8dcp-16, -0x1.951279147c81p-16, -0x1.8e135331811e9p-16, -0x1.871a3f1e3eaa1p-16, -0x1.8027ec8225d67p-16, -0x1.793d03f937d8fp-16, -0x1.7259db982c8a1p-16, -0x1.6b7eb843ab332p-16, -0x1.64aba7a8ce728p-16, -0x1.5de088c6b7468p-16, -0x1.571e1fc69cf73p-16, -0x1.506550ff83423p-16, -0x1.49b619994ad97p-16, -0x1.430fea2a90d2dp-16, -0x1.3c734e0381172p-16, -0x1.35e0d69ea73cep-16, -0x1.2f58b380e9e89p-16, -0x1.28db077620807p-16, -0x1.2268008f57d05p-16, -0x1.1bffd0ba39a57p-16, -0x1.15a2ab8a1331dp-16, -0x1.0f50c314ad599p-16, -0x1.090a3ba5480acp-16, -0x1.02ceef2bec119p-16, -0x1.f93d913f00dfcp-17, -0x1.ecf52e13a1085p-17, -0x1.e0c5994916b6cp-17, -0x1.d4ae965b54f87p-17, -0x1.c8af1818f5518p-17, -0x1.bcc7e4225ec4bp-17, -0x1.b0f9c68e7dc03p-17, -0x1.a544e65aecd03p-17, -0x1.99a9572deaa8fp-17, -0x1.8e27342acf0fep-17, -0x1.82be9df846e42p-17, -0x1.776fc907635bfp-17, -0x1.6c3af2bfa727cp-17, -0x1.611fb4349204ap-17, -0x1.561e446b6f73bp-17, -0x1.4b37e11e23695p-17, -0x1.406bdf84e6f8p-17, -0x1.35b9ced519c76p-17, -0x1.2b226a11bc51bp-17, -0x1.20a5d3cb7eccp-17, -0x1.1644014cf908p-17, -0x1.0bfcf875cd646p-17, -0x1.01d0c7c0c21e2p-17, -0x1.ef7ef90ceef07p-18, -0x1.db9244b9c97d7p-18, -0x1.c7db906af4bbdp-18, -0x1.b45ab1d972fc8p-18, -0x1.a10ed42d85e34p-18, -0x1.8df8c9ae429e8p-18, -0x1.7b19dfc25ddddp-18, -0x1.6870c77eecd27p-18, -0x1.55fd14ffba265p-18, -0x1.43bf75129d845p-18, -0x1.31b7d4b956359p-18, -0x1.1fe60939c2aap-18, -0x1.0e49fe250870ep-18, -0x1.f9c74c82ba608p-19, -0x1.d765e538a0c84p-19, -0x1.b56f9e88f1044p-19, -0x1.93e4451005612p-19, -0x1.72c39a1d2d442p-19, -0x1.520d53bb30308p-19, -0x1.31c11ea074d5fp-19, -0x1.11deac390e8adp-19, -0x1.e4cb4e3438973p-20, -0x1.a6ab4dadd432cp-20, -0x1.695cc8f25ab41p-20, -0x1.2cdef32855807p-20, -0x1.e26228639e6b7p-21, -0x1.6ca4e979dc3afp-21, -0x1.f10915d4d0968p-22, -0x1.0bfe7ed252b01p-22, -0x1.5133595306ac2p-25, 0x1.6905108f6eb62p-23, 0x1.90005c37b84a3p-22, 0x1.342b3cada68dcp-21, 0x1.9ec05d86d0e5ep-21, 0x1.03e3cc6a57cb5p-20, 0x1.37a10bdbb1c85p-20, 0x1.6a96056870c12p-20, 0x1.9cc6cf140ed91p-20, 0x1.ce345f2e214bp-20, 0x1.fedef6b53ca8bp-20, 0x1.17637e3ee0cabp-19, 0x1.2ef7683b2e94ap-19, 0x1.462b838e019acp-19, 0x1.5cffd50a136f5p-19, 0x1.7375a5f1f070dp-19, 0x1.898d6a2eb841ap-19, 0x1.9f47c1ad555b4p-19, 0x1.b4a52d56159b2p-19, 0x1.c9a61f52f15e7p-19, 0x1.de4b21cce226fp-19, 0x1.f2951a438259dp-19, 0x1.0342a38b68fe7p-18, 0x1.0d0dc582228b4p-18, 0x1.16abfb3a00f0ep-18, 0x1.201d7af189c4dp-18, 0x1.296328b5ed11ep-18, 0x1.327d6bfdabcaap-18, 0x1.3b6c62926b894p-18, }}, 
      {{-0x1.77658986729efp-3, -0x1.7045680550598p-3, -0x1.660a32d2f3fbap-3, -0x1.5a616ff3c1ddfp-3, -0x1.4ee6ddba12b98p-3, -0x1.44fd0d63ccb2bp-3, -0x1.3dbd961608221p-3, -0x1.39f6d04ded38dp-3, -0x1.3a30fb680fce1p-3, -0x1.3eb6fe7ab980ap-3, -0x1.47a0766e05701p-3, -0x1.54dbbe02faa08p-3, -0x1.66373bc9dba3dp-3, -0x1.7b69a1096e56dp-3, -0x1.9418fe90fc5a9p-3, -0x1.afe0b2deacdf8p-3, -0x1.ce5643475f0d5p-3, -0x1.ef0d3b01f123bp-3, -0x1.08cd1781b48b8p-2, -0x1.1aca83153f9fdp-2, -0x1.2d4d51dd6d7fap-2, -0x1.402707e965b7p-2, -0x1.532c9b4c3ea6bp-2, -0x1.6636a9e66f0fcp-2, -0x1.79218e8003cd1p-2, -0x1.8bcd5d014eefep-2, -0x1.9e1dcbea7a2fap-2, -0x1.affa1095754f5p-2, -0x1.c14cb1eab363dp-2, -0x1.d203553fe92e2p-2, -0x1.e20e87d8e1071p-2, -0x1.f16186889823bp-2, -0x1.fff205906cac9p-2, -0x1.06dbfcde0943cp-1, -0x1.0d56b1789f03ap-1, -0x1.13670c7bf7031p-1, -0x1.190bcd91ce966p-1, -0x1.1e447170108e9p-1, -0x1.23111c7eb1b4cp-1, -0x1.277286eb9a034p-1, -0x1.2b69ea32571cbp-1, -0x1.2ef8f02d111ffp-1, -0x1.3221a37b29a37p-1, -0x1.34e6614ae597fp-1, -0x1.3749cc3ffc32bp-1, -0x1.394ec0aca6f81p-1, -0x1.3af849cc19ed3p-1, -0x1.3c499813248eep-1, -0x1.3d45f89c61333p-1, -0x1.3df0cd4b40c95p-1, -0x1.3e4d85e0dda06p-1, -0x1.3e5f99e6344cp-1, -0x1.3e2a832a9bef7p-1, -0x1.3db1b8fad7fc6p-1, -0x1.3cf8abfc06bafp-1, -0x1.3c02c289b102cp-1, -0x1.3ad355970a17cp-1, -0x1.396dae000fd44p-1, -0x1.37d50254330b3p-1, -0x1.360c74f1c2e95p-1, -0x1.34171283763e7p-1, -0x1.31f7d0c19d60fp-1, -0x1.2fb18d77f32ffp-1, -0x1.2d470dd46af7p-1, -0x1.2abafde5f7dccp-1, -0x1.280ff045da5d8p-1, -0x1.25485df5ca575p-1, -0x1.2266a6615d42bp-1, -0x1.1f6d0f71b4d17p-1, -0x1.1c5dc5caf2bf2p-1, -0x1.193add2674accp-1, -0x1.160650ad739acp-1, -0x1.12c20372eff72p-1, -0x1.0f6fc0f69a125p-1, -0x1.0c113dc1839a5p-1, -0x1.08a817f3c8ccp-1, -0x1.0535d7e9c4f2p-1, -0x1.01bbf0eb7644ep-1, -0x1.fc7783b1cad49p-2, -0x1.f56d2bac33e33p-2, -0x1.ee5b49ffd3239p-2, -0x1.e7442a3b02b4dp-2, -0x1.e029f4a1f449cp-2, -0x1.d90eaf9677ba9p-2, -0x1.d1f440fb53c66p-2, -0x1.cadc6f7e7654p-2, -0x1.c3c8e3ef1a9f2p-2, -0x1.bcbb2a9cff5dp-2, -0x1.b5b4b493b0205p-2, -0x1.aeb6d8d8099a9p-2, -0x1.a7c2d5a1ea6bap-2, -0x1.a0d9d18980129p-2, -0x1.99fcdcadf2a9p-2, -0x1.932cf1d287b4cp-2, -0x1.8c6af7704cd67p-2, -0x1.85b7c0c32bbffp-2, -0x1.7f140ed1fe566p-2, -0x1.7880915abfeb6p-2, -0x1.71fde7bf33021p-2, -0x1.6b8ca1f4a23fap-2, -0x1.652d415e66b0dp-2, -0x1.5ee0399d3eeebp-2, -0x1.58a5f159d0a75p-2, -0x1.527ec30910d7ap-2, -0x1.4c6afda3f9ddcp-2, -0x1.466ae5597d8edp-2, -0x1.407eb4373f4f5p-2, -0x1.3aa69acba7af7p-2, -0x1.34e2c0bd85936p-2, -0x1.2f33455ef818bp-2, -0x1.29984037d22bap-2, -0x1.2411c18b96037p-2, -0x1.1e9fd2d93d5d2p-2, -0x1.1942774ce91dbp-2, -0x1.13f9ac2f85257p-2, -0x1.0ec569586dd46p-2, -0x1.09a5a1912c759p-2, -0x1.049a42f33ae79p-2, -0x1.ff466e86c7e25p-3, -0x1.f580c88e424b2p-3, -0x1.ebe3582c4567dp-3, -0x1.e26ddacaf8bfep-3, -0x1.d92007a1bcd82p-3, -0x1.cff9903acf9ap-3, -0x1.c6fa20f2daf12p-3, -0x1.be21617198c1cp-3, -0x1.b56ef51a352bap-3, -0x1.ace27b74bf1cp-3, -0x1.a47b909441e4bp-3, -0x1.9c39cd70d4acbp-3, -0x1.941cc840297d2p-3, -0x1.8c2414c7e1926p-3, -0x1.844f44ad36395p-3, -0x1.7c9de7ba02cc4p-3, -0x1.750f8c1cecc3bp-3, -0x1.6da3bea8ad3c6p-3, -0x1.665a0b1249cfbp-3, -0x1.5f31fc263c21cp-3, -0x1.582b1bf918451p-3, -0x1.5144f416d7ab8p-3, -0x1.4a7f0dae600a6p-3, -0x1.43d8f1bab41c4p-3, -0x1.3d52292955be3p-3, -0x1.36ea3cfb43112p-3, -0x1.30a0b665f1d81p-3, -0x1.2a751ef0c1b9p-3, -0x1.246700906866p-3, -0x1.1e75e5c029113p-3, -0x1.18a15998b4dd2p-3, -0x1.12e8e7e4ccea8p-3, -0x1.0d4c1d35cca63p-3, -0x1.07ca86f58eca7p-3, -0x1.0263b376a6019p-3, -0x1.fa2e6404ddcc8p-4, -0x1.efc925cc7aa0cp-4, -0x1.e596cef9d6d01p-4, -0x1.db96847398298p-4, -0x1.d1c76d6883d37p-4, -0x1.c828b362d137bp-4, -0x1.beb98258b6361p-4, -0x1.b57908b55d2a3p-4, -0x1.ac66775c6eea8p-4, -0x1.a38101b6dcb07p-4, -0x1.9ac7ddc2cc343p-4, -0x1.923a441b17dcdp-4, -0x1.89d76ffa71d59p-4, -0x1.819e9f3de4efcp-4, -0x1.798f1268465b8p-4, -0x1.71a80ca58e0acp-4, -0x1.69e8d3cc3aef6p-4, -0x1.6250b05c9ce69p-4, -0x1.5adeed81f1e49p-4, -0x1.5392d91190bccp-4, -0x1.4c6bc3899d85p-4, -0x1.4569000e01c4cp-4, -0x1.3e89e465a182ep-4, -0x1.37cdc8f6b54d9p-4, -0x1.313408c373122p-4, -0x1.2abc016640bd2p-4, -0x1.2465130c14a8ap-4, -0x1.1e2ea0700ce56p-4, -0x1.18180ed538311p-4, -0x1.1220c6011bddap-4, -0x1.0c483036d7dfbp-4, -0x1.068dba2f7697ap-4, -0x1.00f0d314cc445p-4, -0x1.f6e1d8f427b3cp-5, -0x1.ec1af4aa2da6fp-5, -0x1.e18be5eef87efp-5, -0x1.d7339e113dcfbp-5, -0x1.cd1112f9c47bfp-5, -0x1.c3233f1de1078p-5, -0x1.b9692170417eep-5, -0x1.afe1bd54f6504p-5, -0x1.a68c1a9174f26p-5, -0x1.9d67453ca0dfdp-5, -0x1.94724daeeb17bp-5, -0x1.8bac48745d7e4p-5, -0x1.83144e3b82a1fp-5, -0x1.7aa97bcd118eap-5, -0x1.726af1f57ea8fp-5, -0x1.6a57d57aed3cfp-5, -0x1.626f4f0a3bec1p-5, -0x1.5ab08b29a5961p-5, -0x1.531aba2a21077p-5, -0x1.4bad10183ba7ap-5, -0x1.4466c4af2b53fp-5, -0x1.3d471349370edp-5, -0x1.364d3ad07696fp-5, -0x1.2f787db0716a1p-5, -0x1.28c821c87b128p-5, -0x1.223b705dbb5d8p-5, -0x1.1bd1b60d52b76p-5, -0x1.158a42be539abp-5, -0x1.0f646993daf61p-5, -0x1.095f80df6462p-5, -0x1.037ae2136ee96p-5, -0x1.fb6bd36d4a1ccp-6, -0x1.f01feeadc4a9fp-6, -0x1.e510daf7f728cp-6, -0x1.da3d6335b2874p-6, -0x1.cfa458118afcfp-6, -0x1.c5448fddf913ep-6, -0x1.bb1ce67d1a6fp-6, -0x1.b12c3d48ae5fcp-6, -0x1.a7717afa1d0aep-6, -0x1.9deb8b92a75cap-6, -0x1.94996043ff232p-6, -0x1.8b79ef59344d7p-6, -0x1.828c341ff5e86p-6, -0x1.79cf2ed28e49p-6, -0x1.7141e480568f8p-6, -0x1.68e35ef7a8437p-6, -0x1.60b2acae8bf2ap-6, -0x1.58aee0b282d7cp-6, -0x1.50d7129bdb8edp-6, -0x1.492a5e83bc9f9p-6, -0x1.41a7e4bebaf93p-6, -0x1.3a4ec9f5a5e9ep-6, -0x1.331e36ed6199p-6, -0x1.2c1558a6f78b6p-6, -0x1.2533601e7d34ep-6, -0x1.1e7782376f6bap-6, -0x1.17e0f7c5e0b8ep-6, -0x1.116efd831273ep-6, -0x1.0b20d3eea3b76p-6, -0x1.04f5bf35fdb6bp-6, -0x1.fdda0e47dc7cep-7, -0x1.f20bee240bf47p-7, -0x1.e67fbbb27cb92p-7, -0x1.db341b83f1811p-7, -0x1.d027b8e7e8cb5p-7, -0x1.c55945cd20d69p-7, -0x1.bac77aa294a09p-7, -0x1.b07116392a3a4p-7, -0x1.a654dda5c507ep-7, -0x1.9c719c23e4be1p-7, -0x1.92c622f87e12cp-7, -0x1.895149554134ap-7, -0x1.8011ec3c8383cp-7, -0x1.7706ee660be0cp-7, -0x1.6e2f3824569c5p-7, -0x1.6589b749ee837p-7, -0x1.5d155f0ee91a1p-7, -0x1.54d127f7f558fp-7, -0x1.4cbc0fbe0adbep-7, -0x1.44d5193246cb9p-7, -0x1.3d1b4c29a8d8cp-7, -0x1.358db5622799ap-7, -0x1.2e2b666c3b69cp-7, -0x1.26f3759575888p-7, -0x1.1fe4fdd0180ebp-7, -0x1.18ff1e9cf3d6fp-7, -0x1.1240fbf5a09d3p-7, -0x1.0ba9be370f78p-7, -0x1.0538920c6eaacp-7, -0x1.fdd950b4a68cap-8, -0x1.f18a6c5484f9fp-8, -0x1.e582e92d0c842p-8, -0x1.d9c1416df187ep-8, -0x1.ce43f71bd97f9p-8, -0x1.c30993ea616e5p-8, -0x1.b810a917467dfp-8, -0x1.ad57cf459bp-8, -0x1.a2dda6598afb7p-8, -0x1.98a0d55494b2ep-8, -0x1.8ea00a328e5c4p-8, -0x1.84d9f9c7a8e45p-8, -0x1.7b4d5f9f13b35p-8, -0x1.71f8fdda40e24p-8, -0x1.68db9d1142a1ep-8, -0x1.5ff40c3390c6ep-8, -0x1.5741206986fbep-8, -0x1.4ec1b4f5e96cap-8, -0x1.4674ab177c959p-8, -0x1.3e58e9eaf604dp-8, -0x1.366d5e4d73a78p-8, -0x1.2eb0fabf945fbp-8, -0x1.2722b74973789p-8, -0x1.1fc1915f998d1p-8, -0x1.188c8bc8f2a45p-8, -0x1.1182ae856b7f6p-8, -0x1.0aa306b4f5ecfp-8, -0x1.03eca67e95d65p-8, -0x1.fabd49ee5d5f5p-9, -0x1.edf03c104cce8p-9, -0x1.e17064ac05f7cp-9, -0x1.d53c0e4f60cb7p-9, -0x1.c9518c9df17b3p-9, -0x1.bdaf3c216c9c5p-9, -0x1.b253822169bbep-9, -0x1.a73ccc797e0c4p-9, -0x1.9c6991745858ap-9, -0x1.91d84fa05f248p-9, -0x1.87878da95be42p-9, -0x1.7d75da2e73527p-9, -0x1.73a1cb944e308p-9, -0x1.6a09ffd0d482ep-9, -0x1.60ad1c2d31236p-9, -0x1.5789cd16fedbcp-9, -0x1.4e9ec6493de7cp-9, -0x1.45eac30d20f7p-9, -0x1.3d6c8592cce49p-9, -0x1.3522d66bdc866p-9, -0x1.2d0c84c11119ep-9, -0x1.252865cbdc20bp-9, -0x1.1d7555248c3f6p-9, -0x1.15f23543a564dp-9, -0x1.0e9deeeaa3e82p-9, -0x1.0777709cb2ba2p-9, -0x1.007dae8343599p-9, -0x1.f35f44e9de977p-10, -0x1.e61897e0a6bdep-10, -0x1.d9255ff7ddef6p-10, -0x1.cc83b21073633p-10, -0x1.c031adc2e0cf1p-10, -0x1.b42d7d3230f3fp-10, -0x1.a87554c595f52p-10, -0x1.9d0772dfd01dcp-10, -0x1.91e21f99cbae4p-10, -0x1.8703ac80f72cfp-10, -0x1.7c6a745d80f45p-10, -0x1.7214db01be019p-10, -0x1.68014d27d2eddp-10, -0x1.5e2e4052e6205p-10, -0x1.549a32b6c2528p-10, -0x1.4b43ab1973b81p-10, -0x1.422938b032b16p-10, -0x1.394972f05269ep-10, -0x1.30a2f954fcec3p-10, -0x1.283473217800ap-10, -0x1.1ffc8f223d6ddp-10, -0x1.17fa03744fc08p-10, -0x1.102b8d57b41b1p-10, -0x1.088ff10e933b6p-10, -0x1.0125f9c72185bp-10, -0x1.f3d8f31a54d24p-11, -0x1.e5c49276715fp-11, -0x1.d80c90bacc3cap-11, -0x1.caaeba3bfb2p-11, -0x1.bda8e83bc2405p-11, -0x1.b0f9007cef5cbp-11, -0x1.a49cf4eb1e27bp-11, -0x1.9892c3121c40dp-11, -0x1.8cd873ce06ceep-11, -0x1.816c1b03d5542p-11, -0x1.764bd768bca5dp-11, -0x1.6b75d25e4a00bp-11, -0x1.60e83fd9c18b7p-11, -0x1.56a15e4c6bc41p-11, -0x1.4c9f76846fa67p-11, -0x1.42e0db81bd956p-11, -0x1.3963ea3eb0461p-11, -0x1.3027096ee571cp-11, -0x1.2728a93807f05p-11, -0x1.1e6742e951f65p-11, -0x1.15e158b5bf798p-11, -0x1.0d957575d27b3p-11, -0x1.05822c737a85dp-11, -0x1.fb4c327e943d8p-12, -0x1.ebffbf18eaf72p-12, -0x1.dd1c561aa88a2p-12, -0x1.ce9f5e9667a3ep-12, -0x1.c0864eea132d7p-12, -0x1.b2ceac5977706p-12, -0x1.a5760a9833555p-12, -0x1.987a0bbdffa46p-12, -0x1.8bd85fe076dabp-12, -0x1.7f8ec50c91084p-12, -0x1.739b072f67755p-12, -0x1.67faffe1df537p-12, -0x1.5cac961e8e537p-12, -0x1.51adbde1ba815p-12, -0x1.46fc77be9e796p-12, -0x1.3c96d06ee5bdp-12, -0x1.327ae0547b062p-12, -0x1.28a6caf3d6463p-12, -0x1.1f18be5f8978fp-12, -0x1.15cef2b488642p-12, -0x1.0cc7a9ce3a27ep-12, -0x1.04012f4dcc179p-12, -0x1.f6f3b1a9feeaep-13, -0x1.e6600cd75e8a9p-13, -0x1.d644452d69aa6p-13, -0x1.c69d43804ae09p-13, -0x1.b768051ae37b7p-13, -0x1.a8a1a2ca892ep-13, -0x1.9a474efae4cd4p-13, -0x1.8c56478ff465cp-13, -0x1.7ecbd146fbc36p-13, -0x1.71a53f9e1f336p-13, -0x1.64dffec1f1423p-13, -0x1.58798b256e657p-13, -0x1.4c6f6a8f7fc77p-13, -0x1.40bf2d1128d97p-13, -0x1.35666f15b9342p-13, -0x1.2a62db32a61a6p-13, -0x1.1fb22be23a272p-13, -0x1.15522cd57ca4fp-13, -0x1.0b40bb6638fc3p-13, -0x1.017bc6026f9a7p-13, -0x1.f00295a84bd6dp-14, -0x1.dd9eac5a75b36p-14, -0x1.cbc8024e26d43p-14, -0x1.ba7ae146faabp-14, -0x1.a9b3a905e8837p-14, -0x1.996ecd8ead6ap-14, -0x1.89a8d4f896fcbp-14, -0x1.7a5e553623245p-14, -0x1.6b8bf2c12309bp-14, -0x1.5d2e611073e98p-14, -0x1.4f42650655e14p-14, -0x1.41c4d882bf23ap-14, -0x1.34b2ad9cf785ap-14, -0x1.2808f0320437cp-14, -0x1.1bc4c555a2c51p-14, -0x1.0fe3694b251c1p-14, -0x1.04622d3f7b3dcp-14, -0x1.f27ceb3b94f83p-15, -0x1.dceb72a07cacdp-15, -0x1.c80b01db26be9p-15, -0x1.b3d6cb1f0a6acp-15, -0x1.a04a1d3c989d2p-15, -0x1.8d605e8383fccp-15, -0x1.7b1508453782bp-15, -0x1.6963a5ab3975dp-15, -0x1.5847d6489693p-15, -0x1.47bd52090b4aep-15, -0x1.37bfece9a7cd5p-15, -0x1.284b9908b5e44p-15, -0x1.195c672265c89p-15, -0x1.0aee846988f97p-15, -0x1.f9fc6fb5a82cap-16, -0x1.df0fc40521p-16, -0x1.c50fffdf6a954p-16, -0x1.abf65fbd51691p-16, -0x1.93bc675913ce2p-16, -0x1.7c5bda8b99fa5p-16, -0x1.65ceab4cded88p-16, -0x1.500ee786ec31cp-16, -0x1.3b16ae8dc0742p-16, -0x1.26e0333955e89p-16, -0x1.1365c5d26f249p-16, -0x1.00a1dc3104a36p-16, -0x1.dd1e304da8eeep-17, -0x1.ba506cb31a0c6p-17, -0x1.98d02cebb8e6ep-17, -0x1.789364e80f953p-17, -0x1.599023124ddedp-17, -0x1.3bbca59fbded3p-17, -0x1.1f0f60cf52128p-17, -0x1.037f1dcecd89dp-17, -0x1.d2063af67774ap-18, -0x1.9f26542bf8c5bp-18, -0x1.6e4f0d2c3e89p-18, -0x1.3f717f4b919e2p-18, -0x1.127ef11a086c6p-18, -0x1.ced148f2a7a6dp-19, -0x1.7c3fdaf8a643dp-19, -0x1.2d2ce62bd85b6p-19, -0x1.c2f98b144b205p-20, -0x1.3229d7a3a5fb2p-20, -0x1.4f6e7b9e88b4p-21, -0x1.1b799ccf60011p-23, 0x1.6b81bef8f136fp-22, 0x1.a6d32edba8629p-21, 0x1.465db6af129b8p-20, 0x1.b3ed70ba326c7p-20, 0x1.0e24481a8f3e7p-19, 0x1.3fcf028f4d6e8p-19, 0x1.6f0c836df21e6p-19, 0x1.9beed8a865d7cp-19, 0x1.c687b6c6af202p-19, 0x1.eeeae5954a256p-19, 0x1.0a958b41fbe4ep-18, 0x1.1cac8a3ad0d95p-18, 0x1.2dc2f613f7e7cp-18, 0x1.3de172f011da8p-18, 0x1.4d106193838a2p-18, 0x1.5b57c29e02a44p-18, 0x1.68bf47ed1c48bp-18, 0x1.754e737aecaccp-18, 0x1.810cb4a2645d2p-18, 0x1.8c01785265613p-18, 0x1.9634225ebbd0bp-18, 0x1.9fabf2c2bf5edp-18, 0x1.a86fe967ee7e9p-18, 0x1.b086bb1f4a3d4p-18, 0x1.b7f6d6d48c99p-18, 0x1.bec667632ea6p-18, 0x1.c4fb466c2af46p-18, 0x1.ca9af18ed062bp-18, 0x1.cfaa9c877d9bap-18, 0x1.d42f5bb4b6acfp-18, 0x1.d82e4291b31dfp-18, 0x1.dbac5c2ef6b23p-18, 0x1.deae8d516008ep-18, 0x1.e139858ba0224p-18, 0x1.e351cb29c0959p-18, 0x1.e4fbcc3c10fe6p-18, 0x1.e63be3d18d62bp-18, 0x1.e71650b5a516ap-18, 0x1.e78f4009333a4p-18, 0x1.e7aac7efaa03p-18, 0x1.e76ce33eb2befp-18, 0x1.e6d96b0fa2cfep-18, 0x1.e5f415b7c206ep-18, 0x1.e4c0748fc3d9p-18, 0x1.e341f160c98fp-18, 0x1.e17bd338e7db1p-18, 0x1.df713fa01ebd7p-18, 0x1.dd253a3e9c673p-18, 0x1.da9aafe5d84f6p-18, 0x1.d7d4895b55fcap-18, 0x1.d4d5aa386c596p-18, 0x1.d1a0d4b74d7cfp-18, 0x1.ce3897e418157p-18, 0x1.ca9f6449a8e47p-18, 0x1.c6d7ab69a2b74p-18, 0x1.c2e3e24219ep-18, 0x1.bec66d05b69ccp-18, 0x1.ba8191dcd8d67p-18, 0x1.b617787bc6cc3p-18, 0x1.b18a2d9cb1bedp-18, 0x1.acdba99021864p-18, 0x1.a80dd90bfa3ccp-18, 0x1.a322a3a19ac4p-18, 0x1.9e1bea1f2d7d3p-18, 0x1.98fb7c9e582dbp-18, 0x1.93c30f89296abp-18, 0x1.8e743a272dfbbp-18, 0x1.89108405aa1d7p-18, 0x1.839975f164eep-18, 0x1.7e109cc4af067p-18, 0x1.78777db1d08dep-18, 0x1.72cf87afc23afp-18, 0x1.6d1a07bca6307p-18, 0x1.67582bc90b117p-18, 0x1.618b1b5fd6556p-18, 0x1.5bb40b85a0e9cp-18, 0x1.55d434c39d31ep-18, 0x1.4fecbe59b7ac4p-18, 0x1.49febb4330168p-18, 0x1.440b318a9f462p-18, 0x1.3e131c644545ap-18, 0x1.38176c0f994f2p-18, 0x1.321907a264a2ap-18, 0x1.2c18d257ff341p-18, 0x1.2617be8aff087p-18, 0x1.201687211c734p-18, 0x1.1a15a813a4443p-18, 0x1.14163b7ce31e5p-18, 0x1.0e19591cc456ap-18, 0x1.081f8ac5b4e06p-18, 0x1.0228b0f6672f8p-18, 0x1.f86b41060aafp-19, 0x1.ec8f7c14a2d9fp-19, 0x1.e0bef23237aecp-19, 0x1.d4fa2dd1bb6bap-19, 0x1.c9422970da176p-19, 0x1.bd97f070076d8p-19, 0x1.b1fc8d2157852p-19, 0x1.a6710443b48dp-19, 0x1.9af63f09a2bb5p-19, 0x1.8f8d0f4ef66b4p-19, 0x1.843640bc990dbp-19, 0x1.78f2994fa031ap-19, 0x1.6dc2d57b38f2bp-19, 0x1.62a7a878dbc64p-19, 0x1.57a1bc91f7f94p-19, 0x1.4cb1b17dc6e3ep-19, 0x1.41d81d931d0c1p-19, 0x1.37158cac5bee1p-19, 0x1.2c6a8912b2bd6p-19, 0x1.21d7a321c67d3p-19, 0x1.175d5a1928706p-19, 0x1.0cfc232875d85p-19, 0x1.02b457ce299c1p-19, 0x1.f10cae60a451dp-20, 0x1.dce50e6a57e65p-20, 0x1.c8f2925b3984dp-20, 0x1.b535e1c847567p-20, 0x1.a1af93b52004cp-20, 0x1.8e60333e4b106p-20, 0x1.7b4837e7bc19bp-20, 0x1.6868117a549f6p-20, 0x1.55c02178a7b5fp-20, 0x1.4350b3e76a5c3p-20, 0x1.311a10e526595p-20, 0x1.1f1c7d477f695p-20, 0x1.0d583ab1ea92cp-20, 0x1.f79b1e0edae7cp-21, 0x1.d4f9807a449acp-21, 0x1.b2cc0d3879496p-21, 0x1.911309bc51417p-21, 0x1.6fcea0b7af895p-21, 0x1.4eff172f03dedp-21, 0x1.2ea4dc82d3903p-21, 0x1.0ebfd67b7461p-21, 0x1.de9d75ed2b8ccp-22, 0x1.a0a24d495b3ep-22, 0x1.6392101998b7ep-22, 0x1.276eda4f1db8cp-22, 0x1.d86b62fb6ff2p-23, 0x1.63ca888216f95p-23, 0x1.e20118fddbf7bp-24, 0x1.001e644387b43p-24, 0x1.0f2bc77ef8b1cp-27, -0x1.71632b19608b7p-25, -0x1.8fac99c4c88cbp-24, -0x1.318839b5a660cp-23, -0x1.9970eb2ec7b45p-23, -0x1.ff92c510a0fp-23, -0x1.31f7f40001bcfp-22, -0x1.63453396088b3p-22, -0x1.93b23592e6746p-22, -0x1.c340161aece8fp-22, -0x1.f1effa37d59d3p-22, -0x1.0fe18add10cecp-21, -0x1.265d56090cd6bp-21, -0x1.3c6c032560757p-21, -0x1.520e37e1d8858p-21, -0x1.6744a07f4de49p-21, -0x1.7c0ff1cbb4d51p-21, -0x1.9070e6be4488ep-21, -0x1.a4684252608ccp-21, -0x1.b7f6c4be72735p-21, -0x1.cb1d334a57bbap-21, -0x1.dddc5fcf4db56p-21, -0x1.f0352751363b6p-21, -0x1.01144372175f4p-20, -0x1.09dbc89c40818p-20, -0x1.127160fc13ce6p-20, -0x1.1ad4950e3fbf4p-20, -0x1.230646b26b2aep-20, -0x1.2b08e1370f685p-20, -0x1.32db1b1a883e8p-20, -0x1.3a7c64d9db249p-20, -0x1.41ee47667a4eep-20, -0x1.49318e9c977f8p-20, -0x1.504695097ed22p-20, -0x1.572daff45fcfap-20, -0x1.5de73634c0a7ap-20, -0x1.6473a21e9e11ap-20, -0x1.6ad362b23ca8dp-20, -0x1.7106fb59e337ap-20, -0x1.770edee35ba03p-20, -0x1.7ceb8381781dp-20, -0x1.829d621b841e7p-20, -0x1.8824f3ea8ae9bp-20, -0x1.8d82aed32104cp-20, -0x1.92b7099394f2fp-20, -0x1.97c27d3078223p-20, -0x1.9ca5848ca8e04p-20, -0x1.a16096d9386f9p-20, -0x1.a5f42ad4934d6p-20, -0x1.aa60b8560f718p-20, -0x1.aea6b7e41eb8bp-20, -0x1.b2c6a3bd674fap-20, -0x1.b6c0f90d4f812p-20, -0x1.ba961cf45d595p-20, -0x1.be45f1a35fb52p-20, -0x1.c1d27bfb45179p-20, -0x1.c53b271515e9ep-20, -0x1.c8802255197bdp-20, -0x1.cba244f3eacf2p-20, -0x1.cea2008262ec3p-20, -0x1.d17fc1771bbd1p-20, -0x1.d43bf95271719p-20, -0x1.d6d71e2ba8b16p-20, -0x1.d951abdcde073p-20, -0x1.dbac24d7e7534p-20, -0x1.dde710142e7c8p-20, -0x1.e002f39116912p-20, -0x1.e2004d235e038p-20, -0x1.e3df8da4a7dc2p-20, -0x1.e5a119df14819p-20, -0x1.e7454f573b2afp-20, -0x1.e8cc9012214bfp-20, -0x1.ea374d60df2b1p-20, -0x1.eb8603e0b8df4p-20, -0x1.ecb9319f16e9dp-20, -0x1.edd14a234c151p-20, -0x1.eeceabb76c5aep-20, -0x1.efb19eb6daa1fp-20, -0x1.f07a5f2c8aab1p-20, -0x1.f1292bb5e7b73p-20, -0x1.f1be5271e7561p-20, -0x1.f23a36d7ab395p-20, -0x1.f29d4f8931798p-20, -0x1.f2e81ef379bap-20, -0x1.f31b2ab49466dp-20, -0x1.f336f4ce8eb62p-20, -0x1.f33bf7f59202dp-20, -0x1.f32aa6445dca2p-20, -0x1.f3036bdd63513p-20, -0x1.f2c6ac964af52p-20, -0x1.f274c9a6a393dp-20, -0x1.f20e21297dce1p-20, -0x1.f1930faac1aedp-20, -0x1.f103f0f5be90ap-20, -0x1.f06120e201726p-20, -0x1.efaafbc261b3ap-20, -0x1.eee1dc4d090c5p-20, -0x1.ee06194a8c474p-20, -0x1.ed180665d2ba5p-20, -0x1.ec17f94bcd0a5p-20, -0x1.eb064bee2f09ep-20, -0x1.e9e36084f37b3p-20, -0x1.e8afa319ea4f9p-20, -0x1.e76b8426ac826p-20, -0x1.e616faf0bad94p-20, -0x1.e4b19f98f774cp-20, -0x1.e33dfea4a4038p-20, -0x1.e1bb35a3c5e48p-20, -0x1.e027b354c2715p-20, -0x1.de867d0c7543dp-20, -0x1.dcd6f462f098fp-20, -0x1.db19904f5b211p-20, -0x1.d94e8298f86b9p-20, -0x1.d7760c16d4b1fp-20, -0x1.d59078af2fbd9p-20, -0x1.d39e16519e625p-20, -0x1.d19f324dac632p-20, -0x1.cf94179416056p-20, -0x1.cd7d0fe7de6d7p-20, -0x1.cb5a6443ab456p-20, -0x1.c92c5db4e4222p-20, -0x1.c6f343e6492e9p-20, -0x1.c4af5d768b8abp-20, }}, 
      {{-0x1.0f5e989415d4fp-7, -0x1.040ce54ad707cp-5, -0x1.1314df3e012bdp-4, -0x1.c5c0b212812b4p-4, -0x1.45c3194da469fp-3, -0x1.abef81a3b2e1ap-3, -0x1.0827f40521bcdp-2, -0x1.377e8adbef4adp-2, -0x1.629413edd0f29p-2, -0x1.887bec8b3e8cp-2, -0x1.a8b01ac39723ap-2, -0x1.c2fcd95522e2fp-2, -0x1.d76d7b46be5d3p-2, -0x1.e63ba9c50056ep-2, -0x1.efc16b259910ep-2, -0x1.f46deb7ca0293p-2, -0x1.f4bcbba64d2ccp-2, -0x1.f12f2267ae5d6p-2, -0x1.ea471b6684da1p-2, -0x1.e083abaa39c68p-2, -0x1.d45e428184d6ep-2, -0x1.c648ed9964b71p-2, -0x1.b6ad3167a44edp-2, -0x1.a5eb62450cfc4p-2, -0x1.945a61075c60cp-2, -0x1.8247a2ee2ff4cp-2, -0x1.6ff771dd7164bp-2, -0x1.5da554d63ca89p-2, -0x1.4b849403c9af5p-2, -0x1.39c0ce3198b1cp-2, -0x1.287e980643381p-2, -0x1.17dc1f144fa8ap-2, -0x1.07f1cc02f0827p-2, -0x1.f1a5c1386a935p-3, -0x1.d51c1d39b72f1p-3, -0x1.ba5c0b56452fp-3, -0x1.a173ecf4694c7p-3, -0x1.8a6c155ae7811p-3, -0x1.7547a35df1b03p-3, -0x1.6205459c3f21ap-3, -0x1.509fe9cdb1d8p-3, -0x1.410f5974ac519p-3, -0x1.3348c471136b3p-3, -0x1.273f3c007a3d4p-3, -0x1.1ce41e238649cp-3, -0x1.14277448df611p-3, -0x1.0cf844eda7c71p-3, -0x1.0744da4078fa1p-3, -0x1.02faff413841dp-3, -0x1.0008333d134b2p-3, -0x1.fcb3ac0185597p-4, -0x1.fbba9a8bab1b3p-4, -0x1.fd004775e4f52p-4, -0x1.00302333a4906p-3, -0x1.02db69ff0b363p-3, -0x1.06707caf579d6p-3, -0x1.0ade5401e26d1p-3, -0x1.1014686b82a35p-3, -0x1.1602ba87c4623p-3, -0x1.1c99da098ac25p-3, -0x1.23caea50c0af6p-3, -0x1.2b87a5d9e42d1p-3, -0x1.33c25fc95563ep-3, -0x1.3c6e057bb5583p-3, -0x1.457e1d2a588dep-3, -0x1.4ee6c6804c912p-3, -0x1.589cb73b95962p-3, -0x1.62953a9515bp-3, -0x1.6cc62d2c5e2fap-3, -0x1.7725fadb6deeap-3, -0x1.81ab9ab94d20fp-3, -0x1.8c4e8b7424e28p-3, -0x1.9706cfaa0a46fp-3, -0x1.a1cce94c0ca1bp-3, -0x1.ac99d6047ecf6p-3, -0x1.b7670a5a88f3ap-3, -0x1.c22e6de92f9d2p-3, -0x1.ccea56a804cfdp-3, -0x1.d79584c13cfb7p-3, -0x1.e22b1e4b544cfp-3, -0x1.eca6aae9dc6c3p-3, -0x1.f7040f9e41924p-3, -0x1.009fc54cb4011p-2, -0x1.05aad784b2745p-2, -0x1.0aa1b08137bffp-2, -0x1.0f82e8c5e255bp-2, -0x1.144d3d49cafdbp-2, -0x1.18ff8d8931a4ep-2, -0x1.1d98d996d93fep-2, -0x1.22184045c8768p-2, -0x1.267cfd50fe108p-2, -0x1.2ac6679487535p-2, -0x1.2ef3ef57f30abp-2, -0x1.33051c97ba0b7p-2, -0x1.36f98d764ae2cp-2, -0x1.3ad0f49d991f4p-2, -0x1.3e8b17c6003c9p-2, -0x1.4227ce4bc156bp-2, -0x1.45a6ffca21aap-2, -0x1.4908a2d4c3703p-2, -0x1.4c4cbbad32c55p-2, -0x1.4f735b1e477d2p-2, -0x1.527c9d6275726p-2, -0x1.5568a9096029p-2, -0x1.5837ae06fb8ep-2, -0x1.5ae9e4c0215d6p-2, -0x1.5d7f8d22a14e7p-2, -0x1.5ff8ede15f6e3p-2, -0x1.625653abe179bp-2, -0x1.6498106b2c891p-2, -0x1.66be7aae47d4ep-2, -0x1.68c9ecf92b5d7p-2, -0x1.6abac539741dep-2, -0x1.6c916443d1931p-2, -0x1.6e4e2d5630ae4p-2, -0x1.6ff1859e7b4cdp-2, -0x1.717bd3dbd88dap-2, -0x1.72ed7ff95bc6fp-2, -0x1.7446f2b826a62p-2, -0x1.758895634348dp-2, -0x1.76b2d18767551p-2, -0x1.77c610b1a1481p-2, -0x1.78c2bc368ac2dp-2, -0x1.79a93d0190ffbp-2, -0x1.7a79fb66952cap-2, -0x1.7b355ef770ee3p-2, -0x1.7bdbce6457c49p-2, -0x1.7c6daf5f65332p-2, -0x1.7ceb667dfe8dbp-2, -0x1.7d555723d8135p-2, -0x1.7dabe3759cf84p-2, -0x1.7def6c4659971p-2, -0x1.7e205107410bbp-2, -0x1.7e3eefc3fa4d4p-2, -0x1.7e4ba51e574e9p-2, -0x1.7e46cc43e0578p-2, -0x1.7e30beeb47595p-2, -0x1.7e09d55843bbep-2, -0x1.7dd2665a4179dp-2, -0x1.7d8ac74c4d55cp-2, -0x1.7d334c1b795ddp-2, -0x1.7ccc474be0b5dp-2, -0x1.7c5609fb88435p-2, -0x1.7bd0e3ea17296p-2, -0x1.7b3d237f39f9dp-2, -0x1.7a9b15d45020bp-2, -0x1.79eb06b97647ap-2, -0x1.792d40bd60ae3p-2, -0x1.78620d3cc97d8p-2, -0x1.7789b4605df02p-2, -0x1.76a47d2d3c014p-2, -0x1.75b2ad8cf3797p-2, -0x1.74b48a55cc084p-2, -0x1.73aa57537950ep-2, -0x1.729457486c3ebp-2, -0x1.7172cc069ba4cp-2, -0x1.7045f672744e4p-2, -0x1.6f0e1681291b8p-2, -0x1.6dcb6b44e760fp-2, -0x1.6c7e32fb1c5c9p-2, -0x1.6b26ab157081ep-2, -0x1.69c510395672dp-2, -0x1.68599e443586p-2, -0x1.66e49058ef0a4p-2, -0x1.656620ec3cde9p-2, -0x1.63de89c3f0cf5p-2, -0x1.624e03f522d5fp-2, -0x1.60b4c7ed5be4ep-2, -0x1.5f130d81e17c2p-2, -0x1.5d690bf4c2b03p-2, -0x1.5bb6f9ef2d3f5p-2, -0x1.59fd0d810c5f4p-2, -0x1.583b7c2cc57c5p-2, -0x1.56727af3a4e3bp-2, -0x1.54a23e55df15ap-2, -0x1.52cafa4b47ffdp-2, -0x1.50ece243f627fp-2, -0x1.4f082933bbb03p-2, -0x1.4d1d019bd2e0fp-2, -0x1.4b2b9d89ac7f1p-2, -0x1.49342e8e099bdp-2, -0x1.4736e5bcad4b6p-2, -0x1.4533f3b63e672p-2, -0x1.432b88b0d8db4p-2, -0x1.411dd477cd713p-2, -0x1.3f0b066257c93p-2, -0x1.3cf34d5012281p-2, -0x1.3ad6d7afa3dddp-2, -0x1.38b5d387fb059p-2, -0x1.36906e7981442p-2, -0x1.3466d5b7528d2p-2, -0x1.3239360019c01p-2, -0x1.3007bb9f86eddp-2, -0x1.2dd29275f014cp-2, -0x1.2b99e5fd935e6p-2, -0x1.295de1477247cp-2, -0x1.271eaef3790afp-2, -0x1.24dc792c16f65p-2, -0x1.229769a955315p-2, -0x1.204fa9b78c2c9p-2, -0x1.1e056239bd48bp-2, -0x1.1bb8bba52d60bp-2, -0x1.1969ddfa3b3e3p-2, -0x1.1718f0c125a5ap-2, -0x1.14c61b0ce72bap-2, -0x1.1271838065fabp-2, -0x1.101b5050354dap-2, -0x1.0dc3a73ebe08cp-2, -0x1.0b6aad9617586p-2, -0x1.0910882489e31p-2, -0x1.06b55b3e11efbp-2, -0x1.04594ac07e0c7p-2, -0x1.01fc7a15a03f4p-2, -0x1.ff3e18626e716p-3, -0x1.fa824717f7616p-3, -0x1.f5c5c43f17ba8p-3, -0x1.f108d2cbeeadap-3, -0x1.ec4bb4b8faecbp-3, -0x1.e78eab0ccc2e2p-3, -0x1.e2d1f5da48a9ep-3, -0x1.de15d43ab99ep-3, -0x1.d95a8445d5402p-3, -0x1.d4a0430d151cdp-3, -0x1.cfe74c9d03764p-3, -0x1.cb2fdc023a384p-3, -0x1.c67a2b4d33562p-3, -0x1.c1c67391a9949p-3, -0x1.bd14ece1bbe4cp-3, -0x1.b865ce481288fp-3, -0x1.b3b94dc4d7443p-3, -0x1.af0fa04f5b909p-3, -0x1.aa68f9d9eabf4p-3, -0x1.a5c58d559ddb3p-3, -0x1.a1258cb25ba9p-3, -0x1.9c8928dbf4055p-3, -0x1.97f091b53288ep-3, -0x1.935bf61570a65p-3, -0x1.8ecb83caa8f29p-3, -0x1.8a3f679dbabd9p-3, -0x1.85b7cd538fdc4p-3, -0x1.8134dfaebaf41p-3, -0x1.7cb6c870c5bbep-3, -0x1.783db0584b702p-3, -0x1.73c9bf1d1fa99p-3, -0x1.6f5b1b6fcdf0ep-3, -0x1.6af1eafcafa23p-3, -0x1.668e526fb29e3p-3, -0x1.623075773b47ap-3, -0x1.5dd876c599783p-3, -0x1.598678110b23ap-3, -0x1.553a9a12e6993p-3, -0x1.50f4fc873d468p-3, -0x1.4cb5be2de63d3p-3, -0x1.487cfccd09fd2p-3, -0x1.444ad53449efap-3, -0x1.401f633fbb06bp-3, -0x1.3bfac1da0a9d1p-3, -0x1.37dd0afdb4f72p-3, -0x1.33c657b580678p-3, -0x1.2fb6c01d22ad9p-3, -0x1.2bae5b62c0777p-3, -0x1.27ad3fc97cb15p-3, -0x1.23b382ac94913p-3, -0x1.1fc1388272d71p-3, -0x1.1bd674df9e1b6p-3, -0x1.17f34a7949e0ap-3, -0x1.1417cb2607605p-3, -0x1.104407e082977p-3, -0x1.0c7810c84ad3cp-3, -0x1.08b3f524755c7p-3, -0x1.04f7c36706051p-3, -0x1.0143892fbf93ap-3, -0x1.fb2ea69ec7ba2p-4, -0x1.f3e65b95a6ab4p-4, -0x1.ecae47bb9b44ap-4, -0x1.e5867ffab7ec7p-4, -0x1.de6f17b3fd7d5p-4, -0x1.d76820c3d80b8p-4, -0x1.d071ab8762746p-4, -0x1.c98bc6e24bc7bp-4, -0x1.c2b680452d46fp-4, -0x1.bbf1e3b436996p-4, -0x1.b53dfbce1791cp-4, -0x1.ae9ad1d2df669p-4, -0x1.a8086daa5b7d9p-4, -0x1.a186d5e99dd52p-4, -0x1.9b160fd7de101p-4, -0x1.94b61f7320cd4p-4, -0x1.8e6707750f8d2p-4, -0x1.8828c95869a52p-4, -0x1.81fb655f55d95p-4, -0x1.7bdeda9ad587dp-4, -0x1.75d326f327f62p-4, -0x1.6fd8473052bdp-4, -0x1.69ee3701c1a31p-4, -0x1.6414f104241abp-4, -0x1.5e4c6ec56cf2cp-4, -0x1.5894a8c797d4cp-4, -0x1.52ed96833d80dp-4, -0x1.4d572e6b4b5d7p-4, -0x1.47d165f2f82e6p-4, -0x1.425c319685538p-4, -0x1.3cf784e64ae74p-4, -0x1.37a352926c38cp-4, -0x1.325f8c750be26p-4, -0x1.2d2c2399082c9p-4, -0x1.2809083c7ffbep-4, -0x1.22f629cfd144p-4, -0x1.1df376f3225ap-4, -0x1.1900dd758856bp-4, -0x1.141e4a57fbba7p-4, -0x1.0f4ba9d63cadfp-4, -0x1.0a88e774ecbfdp-4, -0x1.05d5ee13256fep-4, -0x1.0132a7faf4b9cp-4, -0x1.f93dfdda47b58p-5, -0x1.f035b84ad088ep-5, -0x1.e74c50ad1978dp-5, -0x1.de819741f8a61p-5, -0x1.d5d55b0fad469p-5, -0x1.cd4769d1742bbp-5, -0x1.c4d78ff7dc333p-5, -0x1.bc8598c690d7ep-5, -0x1.b4514e842b306p-5, -0x1.ac3a7aad8b84ap-5, -0x1.a440e62b906a1p-5, -0x1.9c645970cb83p-5, -0x1.94a49c7bcbab4p-5, -0x1.8d0176c6e96fp-5, -0x1.857aaf1ec8e18p-5, -0x1.7e100b6dffe2fp-5, -0x1.76c150991e064p-5, -0x1.6f8e4274b1204p-5, -0x1.6876a3d807f26p-5, -0x1.617a36d2afec9p-5, -0x1.5a98bcfd71eb7p-5, -0x1.53d1f7ccc715cp-5, -0x1.4d25a8ce8b1fcp-5, -0x1.469391c4ed22dp-5, -0x1.401b7496ce184p-5, -0x1.39bd1318b9611p-5, -0x1.33782ebdcb769p-5, -0x1.2d4c88478ef6cp-5, -0x1.2739df8d278d3p-5, -0x1.213ff36cc1d05p-5, -0x1.1b5e81ef422cap-5, -0x1.15954898ad285p-5, -0x1.0fe404d39432ap-5, -0x1.0a4a745dd6ae5p-5, -0x1.04c8559c1d48bp-5, -0x1.febacf7e859e6p-6, -0x1.f412d56442d7dp-6, -0x1.e9983da8c5abcp-6, -0x1.df4a89275c5d8p-6, -0x1.d52937fb35a8fp-6, -0x1.cb33c8cd33bcfp-6, -0x1.c169b87a8093cp-6, -0x1.b7ca822d27f37p-6, -0x1.ae559fe5af354p-6, -0x1.a50a8b52efbc6p-6, -0x1.9be8becdddea5p-6, -0x1.92efb641cd4d7p-6, -0x1.8a1eefcc73aeap-6, -0x1.8175ebfcc1793p-6, -0x1.78f42d9d7a7d7p-6, -0x1.7099391eb9de3p-6, -0x1.686493bffbbd2p-6, -0x1.6055c2a8099a2p-6, -0x1.586c4a1b92717p-6, -0x1.50a7acfb048a6p-6, -0x1.49076ca09112ep-6, -0x1.418b0923b5053p-6, -0x1.3a3201f4ca58cp-6, -0x1.32fbd6b495c51p-6, -0x1.2be8082307a41p-6, -0x1.24f618fe69087p-6, -0x1.1e258eaf4189dp-6, -0x1.1775f1a5820dp-6, -0x1.10e6cd567884bp-6, -0x1.0a77afd8af6cbp-6, -0x1.0428292979434p-6, -0x1.fbef946b8e243p-7, -0x1.efcc4797fb9ddp-7, -0x1.e3e58b47cac24p-7, -0x1.d83a7b5682213p-7, -0x1.ccca2f7b253b2p-7, -0x1.c193bbbc01732p-7, -0x1.b69631e9d47b5p-7, -0x1.abd0a3f06defep-7, -0x1.a14226a6c856ap-7, -0x1.96e9d4ac67862p-7, -0x1.8cc6d0d65c874p-7, -0x1.82d847b34e531p-7, -0x1.791d6fc555097p-7, -0x1.6f95883d4a617p-7, -0x1.663fd647ff60cp-7, -0x1.5d1ba14efe8d4p-7, -0x1.54282edc66e41p-7, -0x1.4b64befc51a0dp-7, -0x1.42d089eae69b3p-7, -0x1.3a6abf96d73bfp-7, -0x1.323289135337ep-7, -0x1.2a270bac9b425p-7, -0x1.22476d0e24459p-7, -0x1.1a92d7d0f596fp-7, -0x1.13087fc2bbc44p-7, -0x1.0ba7a53549a16p-7, -0x1.046f96cedafbp-7, -0x1.fabf62a73db39p-8, -0x1.eceeb9f92c3f8p-8, -0x1.df6c1139a836ep-8, -0x1.d236471d4b2d6p-8, -0x1.c54c2fd4d3cb2p-8, -0x1.b8ac8c8f32526p-8, -0x1.ac5607e4b786fp-8, -0x1.a04737a635519p-8, -0x1.947ea2ec3aa02p-8, -0x1.88faca6d17fc2p-8, -0x1.7dba3152ae482p-8, -0x1.72bb659e610fap-8, -0x1.67fd07d495729p-8, -0x1.5d7dd194f12d9p-8, -0x1.533c9a075174dp-8, -0x1.49385660218fap-8, -0x1.3f70150c87ba6p-8, -0x1.35e2f39803001p-8, -0x1.2c901172b2bdp-8, -0x1.237683491d6f3p-8, -0x1.1a954aaa19d26p-8, -0x1.11eb541e41686p-8, -0x1.09777b504bda5p-8, -0x1.013892ae8c76ap-8, -0x1.f25ad62a0d24cp-9, -0x1.e2a9b1ee02e5bp-9, -0x1.d35b6d495ad2bp-9, -0x1.c46dcad1028dbp-9, -0x1.b5de9fd89269fp-9, -0x1.a7abde143dad8p-9, -0x1.99d39f4fad3d5p-9, -0x1.8c542c8bfcfc2p-9, -0x1.7f2bfa1a9d73cp-9, -0x1.7259972e44b12p-9, -0x1.65db961d00816p-9, -0x1.59b076ff561cbp-9, -0x1.4dd69d7839be8p-9, -0x1.424c54b72158ep-9, -0x1.370fdde3a791ap-9, -0x1.2c1f80ed24674p-9, -0x1.2179979a4ee5ep-9, -0x1.171c8def4066dp-9, -0x1.0d06d7fe0edd3p-9, -0x1.0336e298fe71dp-9, -0x1.f3560fc011c88p-10, -0x1.e0c31fcbfae9bp-10, -0x1.ceb17fd8876efp-10, -0x1.bd1de4ab2a68bp-10, -0x1.ac055693a53d4p-10, -0x1.9b653cfa98876p-10, -0x1.8b3b4517b5d27p-10, -0x1.7b8532ed3b604p-10, -0x1.6c40b876d77dp-10, -0x1.5d6b684faaffdp-10, -0x1.4f02c58726f24p-10, -0x1.4104624092457p-10, -0x1.336dfb5631819p-10, -0x1.263d844a97787p-10, -0x1.19711c1e2a81fp-10, -0x1.0d06ea93dcd2p-10, -0x1.00fceee058aa1p-10, -0x1.eaa1a597984b7p-11, -0x1.d3ffb3cfef693p-11, -0x1.be0df864b1baep-11, -0x1.a8c6503f0855fp-11, -0x1.942323399d7ecp-11, -0x1.801fd1a47872p-11, -0x1.6cb8bc0e75093p-11, -0x1.59eae8ce5335dp-11, -0x1.47b38378fe928p-11, -0x1.360f806d0892dp-11, -0x1.24fb8a8059a16p-11, -0x1.14743079806ffp-11, -0x1.04762f6304eb5p-11, -0x1.e9fd61d7e1b93p-12, -0x1.cc16acdf42e92p-12, -0x1.af33feb7f8049p-12, -0x1.9350c7fee5702p-12, -0x1.78676ddeb3494p-12, -0x1.5e70e441af25bp-12, -0x1.4564b6b4cc2c6p-12, -0x1.2d397dbb00d3ap-12, -0x1.15e5ad4f347eep-12, -0x1.fec114a05393ap-13, -0x1.d345f149f20efp-13, -0x1.a94f94b8d4387p-13, -0x1.80d6bbf6d16b5p-13, -0x1.59d564a553b26p-13, -0x1.3444d27b02e32p-13, -0x1.101c813d0e8cp-13, -0x1.daa5050c6e4fdp-14, -0x1.97b9f5a5ff4a3p-14, -0x1.57678c656ec6ep-14, -0x1.19a1ef2316c0cp-14, -0x1.bcbe61b7198e3p-15, -0x1.4b26847a0904bp-15, -0x1.bcb69514a9196p-16, -0x1.d8d0ff67f4ca8p-17, -0x1.285bc127b04bcp-19, 0x1.3370c1c461e45p-17, 0x1.503a796165f05p-16, 0x1.fed18c0fb1d9bp-16, 0x1.52e814ce4bd2p-15, 0x1.a2bf89bca6c74p-15, 0x1.ef0c7e4924e9cp-15, 0x1.1bf2759f8acafp-14, 0x1.3eacc4abccc4ap-14, 0x1.5fbd33d0ff201p-14, 0x1.7f2dcfddc2c52p-14, 0x1.9d0b56742d2b3p-14, 0x1.b963449ea3082p-14, 0x1.d4407f132ca6ap-14, 0x1.edaa2944e7f36p-14, 0x1.02d353e0d1848p-13, 0x1.0e1fc8dbe7f62p-13, 0x1.18c128bfce041p-13, 0x1.22bed85cdf5c2p-13, 0x1.2c1fa9b5a65d4p-13, 0x1.34e9707b2d6ddp-13, 0x1.3d215450e8762p-13, 0x1.44cc62a563398p-13, 0x1.4befd9e611264p-13, 0x1.5290ef5692fa1p-13, 0x1.58b478cb4c0b9p-13, 0x1.5e5f261a08c97p-13, 0x1.6395debf1962bp-13, 0x1.685d1778682ep-13, 0x1.6cb7c87082985p-13, 0x1.70a7f74a65b3dp-13, 0x1.743067af06acap-13, 0x1.7754fbf8e7eap-13, 0x1.7a1949a4e1605p-13, 0x1.7c7fd1f8f8e9bp-13, 0x1.7e8b389150106p-13, 0x1.803f678d0ad65p-13, 0x1.81a0fac4f926bp-13, 0x1.82b418aa8b3dap-13, 0x1.837c0a9304abbp-13, 0x1.83fb823e9d9b4p-13, 0x1.8435030260ef8p-13, 0x1.842b292b52a3dp-13, 0x1.83e0c5149c889p-13, 0x1.8358cb0311175p-13, 0x1.82960f4fb0cf6p-13, 0x1.819aeb09ed9d8p-13, 0x1.80695d12ae938p-13, 0x1.7f0407e7fc18p-13, 0x1.7d6ea6da94985p-13, 0x1.7bac51fce9614p-13, 0x1.79bdcb9cb9dccp-13, 0x1.77a30c4ea419ap-13, 0x1.755dd99445b8bp-13, 0x1.72f1463ac7d7ap-13, 0x1.705f816a15f96p-13, 0x1.6daa05838defbp-13, 0x1.6ad2e6ada423fp-13, 0x1.67dc966b3ee41p-13, 0x1.64c91f2f47073p-13, 0x1.619a01fce1f68p-13, 0x1.5e506d736f9c4p-13, 0x1.5aed701d7b1dcp-13, 0x1.57722316d85e4p-13, 0x1.53dfdde2ad256p-13, 0x1.503868f69d459p-13, 0x1.4c7defad1f5f8p-13, 0x1.48b25f9277842p-13, 0x1.44d69ec6a9ca7p-13, 0x1.40eabba52a8cfp-13, 0x1.3cef3468d64dfp-13, 0x1.38e601948a178p-13, 0x1.34d1b71f635dbp-13, 0x1.30b313e9436a8p-13, 0x1.2c8946958ddd6p-13, 0x1.28554506e0245p-13, 0x1.2419c101dcd0ep-13, 0x1.1fd7dc7126a48p-13, 0x1.1b8f5922057e2p-13, 0x1.1740e215bb5bp-13, 0x1.12edd58d3aef8p-13, 0x1.0e9750423fc65p-13, 0x1.0a3e1372f39dep-13, 0x1.05e2b11ce1a76p-13, 0x1.018597f2b24dep-13, 0x1.fa4e272a1a4dp-14, 0x1.f18ecf05fd4b8p-14, 0x1.e8ce2b3a7b5edp-14, 0x1.e00e8c3d22698p-14, 0x1.d753651572fecp-14, 0x1.ce9ea02aee384p-14, 0x1.c5ef2bb3672cfp-14, 0x1.bd449553052e8p-14, 0x1.b4a12d6d96e45p-14, 0x1.ac05f6aca2367p-14, 0x1.a3716dc3fc547p-14, 0x1.9ae4b2f25c479p-14, 0x1.926313fc4819p-14, 0x1.89ed5ff4b4cecp-14, 0x1.8184d78b09d9fp-14, 0x1.792ab9e91de11p-14, 0x1.70dd51d274976p-14, 0x1.689c6fa6460a5p-14, 0x1.6069e3d1b0db6p-14, 0x1.5846f5f8d9f81p-14, 0x1.5034353cd4ep-14, 0x1.4831fecbae08cp-14, 0x1.4040a17f87411p-14, 0x1.3860492873b1bp-14, 0x1.3090f510b057ap-14, 0x1.28d28747b72e7p-14, 0x1.21250a9a2202bp-14, 0x1.1989aa614076fp-14, 0x1.12027e1308685p-14, 0x1.0a8f74fc3b947p-14, 0x1.032f9b1e426e4p-14, 0x1.f7c8a4cd22f91p-15, 0x1.e95b23f54b73p-15, 0x1.db13d1e004498p-15, 0x1.ccf4071c9c5b1p-15, 0x1.befcbc1a67146p-15, 0x1.b12cda5b0430dp-15, 0x1.a3873cb0f25abp-15, 0x1.960e03b75e5cdp-15, 0x1.88c191d27b38dp-15, 0x1.7ba0c3aad64fap-15, 0x1.6ea7d6983983cp-15, 0x1.61d85d318017ap-15, 0x1.553486a92e57fp-15, 0x1.48bc930bf2c1fp-15, 0x1.3c703a9bcf181p-15, 0x1.304f54d023e63p-15, 0x1.2459d0fb208b5p-15, 0x1.188f951ab8f8dp-15, 0x1.0cf07134b54b8p-15, 0x1.017bd2d428888p-15, 0x1.ec60a2c89eb72p-16, 0x1.d61c1f527d144p-16, 0x1.c02fc83746e16p-16, 0x1.aa9ae398b662ep-16, 0x1.955e599b39f3ep-16, 0x1.807822b89eb25p-16, 0x1.6be1d6ffe1c01p-16, 0x1.579e37b36d7b3p-16, 0x1.43b00fb135acfp-16, 0x1.30172969072b8p-16, 0x1.1cd2944781ef8p-16, 0x1.09df16da67e1cp-16, 0x1.ee70db6679df4p-17, 0x1.c9c7175cffeadp-17, 0x1.a5c9f33c0f3p-17, 0x1.827221b34c823p-17, 0x1.5fb0e960445dfp-17, 0x1.3d8b32b2e5a8cp-17, 0x1.1c0584634b7b1p-17, 0x1.f63baccb30303p-18, 0x1.b5a33b93b60bep-18, 0x1.763e5a92cda73p-18, 0x1.380aaf7b87d4p-18, 0x1.f60c50fd556ap-19, 0x1.7e5dd02cb4b11p-19, 0x1.0903186b633fp-19, 0x1.2bc3eb507e141p-20, 0x1.271a76d6e2edp-22, -0x1.274722b35958bp-21, -0x1.6c577b8e557acp-20, -0x1.204027d8edf18p-19, -0x1.8845289acf017p-19, -0x1.ee2de80c68b76p-19, -0x1.28f4fe7c6acbap-18, -0x1.59c07d4e3b534p-18, -0x1.897ec016975e4p-18, -0x1.b83458bf34764p-18, -0x1.e5e510f2bcb5bp-18, -0x1.094984ac04223p-17, -0x1.1f2043984fbacp-17, -0x1.347c69bee1ec8p-17, -0x1.495f353cd4aadp-17, -0x1.5dbffea84c6d4p-17, -0x1.71a762f16b11ep-17, -0x1.851b6f4e4d295p-17, -0x1.9817feaae6a83p-17, -0x1.aa9e42957368dp-17, -0x1.bcb0c5d44eaeap-17, -0x1.ce5160565b6dap-17, -0x1.df817d9f66216p-17, -0x1.f042739a0582ep-17, -0x1.004acb7613cfcp-16, -0x1.083e07486677fp-16, -0x1.0ffc237e580bbp-16, -0x1.17883b1ae762ep-16, -0x1.1ee14b670eb38p-16, -0x1.2604101fb43adp-16, -0x1.2cf4d517ece16p-16, -0x1.33b6150c8e95fp-16, -0x1.3a46199777ec4p-16, -0x1.40a57e7e2d3c3p-16, -0x1.46d5659c895aap-16, -0x1.4cd6a9bbc0211p-16, -0x1.52aa00ab1e76cp-16, -0x1.5850175db963dp-16, -0x1.5dc9a0cc7838p-16, -0x1.63175e8942304p-16, -0x1.683a1157c07f3p-16, -0x1.6d3249b27c305p-16, -0x1.7200670a27ec7p-16, -0x1.76a59e523390dp-16, -0x1.7b22c957b5b2ep-16, -0x1.7f776d6679dedp-16, -0x1.83a5a813b362dp-16, -0x1.87ad3d013bda5p-16, -0x1.8b8ea8ee73bb5p-16, -0x1.8f4ac76ae9dcp-16, -0x1.92e245b6802e9p-16, -0x1.9655be48b957p-16, -0x1.99a5cd71454ecp-16, -0x1.9cd30ef323837p-16, -0x1.9fde043ac0126p-16, -0x1.a2c760f41c8a9p-16, -0x1.a590820c19fbdp-16, -0x1.a838b6f46b80bp-16, -0x1.aac0e8c397786p-16, -0x1.ad2a5a7f8acb7p-16, -0x1.af74d8b774c6ep-16, -0x1.b1a10c8a83a04p-16, -0x1.b3afa5024918fp-16, -0x1.b5a13755e7cadp-16, -0x1.b77640c70a30dp-16, -0x1.b92f51a464875p-16, -0x1.baccf56401581p-16, -0x1.bc4fa035ed32fp-16, -0x1.bdb7db663fd86p-16, -0x1.bf06267b92b5ep-16, -0x1.c03b02845ba4dp-16, -0x1.c156f0c11b9dp-16, -0x1.c25a6eb8ad93ap-16, -0x1.c345f00e9c62ep-16, -0x1.c419df946f1c5p-16, -0x1.c4d6c82cbe5bcp-16, -0x1.c57d2c64668afp-16, -0x1.c60d835266cep-16, -0x1.c68825037c334p-16, -0x1.c6ed7fe641f68p-16, -0x1.c73e0d9d7e5b6p-16, }}, 
      {{0x1.15c13c2d48a5ap-3, 0x1.d91d4784b01ap-3, 0x1.16fdb4ae49a9bp-2, 0x1.0bef4bb93c4acp-2, 0x1.a891d3d007626p-3, 0x1.ed8b87d93eb13p-4, 0x1.90f15e51ab933p-7, -0x1.b9180c81748f1p-4, -0x1.d98a9be0395ccp-3, -0x1.688bb4c8fad34p-2, -0x1.dce300767e386p-2, -0x1.23485bc761564p-1, -0x1.51cb18c37cc0dp-1, -0x1.7978ee7ca21dbp-1, -0x1.9a330421e2861p-1, -0x1.b423872ff0eefp-1, -0x1.c7a8b166beedep-1, -0x1.d5439ac1822f7p-1, -0x1.dd8a82691afa7p-1, -0x1.e11e232d3f4fp-1, -0x1.e0a1a10513c3ap-1, -0x1.dcb4a0a64b50cp-1, -0x1.d5ef21d52d5d1p-1, -0x1.ccdec105b12a2p-1, -0x1.c20511136acfap-1, -0x1.b5d6ca0bd71cbp-1, -0x1.a8bb95e47c4dfp-1, -0x1.9b0e4ec03723bp-1, -0x1.8d1d8b58d1a4p-1, -0x1.7f2c5e8767e89p-1, -0x1.71733561aa7f8p-1, -0x1.6420c481c7879p-1, -0x1.575af9bad377p-1, -0x1.4b3fea5e77bdfp-1, -0x1.3fe6b82a9c3d6p-1, -0x1.3560696e64a2cp-1, -0x1.2bb8b22c2f424p-1, -0x1.22f6ad0884a36p-1, -0x1.1b1d83ae698acp-1, -0x1.142d07159b109p-1, -0x1.0e223863b1637p-1, -0x1.08f7c38473dfap-1, -0x1.04a66c2cfceecp-1, -0x1.01256e7a7e07bp-1, -0x1.fcd5a7aaaf0bp-2, -0x1.f8d77af98394p-2, -0x1.f6394a96ff01dp-2, -0x1.f4e32ba86c2p-2, -0x1.f4bcb58af043p-2, -0x1.f5ad53f33e0a2p-2, -0x1.f79c8cac5d949p-2, -0x1.fa723a1d1714p-2, -0x1.fe16bb832258ap-2, -0x1.01398e3754e03p-1, -0x1.03b89a3984015p-1, -0x1.067de00674bd5p-1, -0x1.097f39a2c926cp-1, -0x1.0cb303cd36f8bp-1, -0x1.101022521a213p-1, -0x1.138e0303be8b4p-1, -0x1.17249e36aca57p-1, -0x1.1acc76f1ac29cp-1, -0x1.1e7e987ae0477p-1, -0x1.223494cabcd2ap-1, -0x1.25e87ff49a858p-1, -0x1.2994ed6d6df2fp-1, -0x1.2d34ea2fa8b36p-1, -0x1.30c3f90cb0e82p-1, -0x1.343e0c7317d1dp-1, -0x1.379f81b7eab8fp-1, -0x1.3ae51b524a4a1p-1, -0x1.3e0bfb35225cp-1, -0x1.41119da8c1e8dp-1, -0x1.43f3d34a273fep-1, -0x1.46b0bc4ccdaadp-1, -0x1.4946c2b946aa4p-1, -0x1.4bb495c12c99dp-1, -0x1.4df924a6c1e2fp-1, -0x1.50139a2c5316bp-1, -0x1.5203580ac41d8p-1, -0x1.53c7f2a71a9e5p-1, -0x1.55612d001a85fp-1, -0x1.56cef4c46130ap-1, -0x1.58115ea4b7bb5p-1, -0x1.5928a2d00ed03p-1, -0x1.5a1519a324412p-1, -0x1.5ad7387dd0465p-1, -0x1.5b6f8eda2f15fp-1, -0x1.5bdec37824da1p-1, -0x1.5c2591c36ff3bp-1, -0x1.5c44c75d72ff7p-1, -0x1.5c3d41cee3c7ap-1, -0x1.5c0fec67a5bd5p-1, -0x1.5bbdbe36d208ep-1, -0x1.5b47b83a4dc96p-1, -0x1.5aaee39e8f49ap-1, -0x1.59f4502fb35c6p-1, -0x1.591912e29768dp-1, -0x1.581e44779cd3dp-1, -0x1.5705004dd92f3p-1, -0x1.55ce633caf19fp-1, -0x1.547b8a91d7623p-1, -0x1.530d932cb429bp-1, -0x1.518598a0b6b72p-1, -0x1.4fe4b47fd54dcp-1, -0x1.4e2bfdaee1752p-1, -0x1.4c5c87c82b67bp-1, -0x1.4a77629e996bp-1, -0x1.487d99c45f244p-1, -0x1.4670341ecab29p-1, -0x1.445033977586ap-1, -0x1.421e94c926322p-1, -0x1.3fdc4ec109b93p-1, -0x1.3d8a52cb2e0cfp-1, -0x1.3b298c445cac3p-1, -0x1.38bae076becc3p-1, -0x1.363f2e83f9939p-1, -0x1.33b74f4ed2eccp-1, -0x1.3124156e5aa48p-1, -0x1.2e864d2a1f535p-1, -0x1.2bdebc79d7f18p-1, -0x1.292e2308460d9p-1, -0x1.26753a3c47f71p-1, -0x1.23b4b5480fa8p-1, -0x1.20ed41389891cp-1, -0x1.1e1f8507374c3p-1, -0x1.1b4c21b26ba97p-1, -0x1.1873b257cd953p-1, -0x1.1596cc4b7bccp-1, -0x1.12b5ff353eb8fp-1, -0x1.0fd1d53191af2p-1, -0x1.0cead2eeca9dfp-1, -0x1.0a0177cb698a6p-1, -0x1.07163df9df0dp-1, -0x1.04299aa245066p-1, -0x1.013bfe019c786p-1, -0x1.fc9ba7198f032p-2, -0x1.f6bf042a0b6e5p-2, -0x1.f0e2d7d1dc63ep-2, -0x1.eb07ddea4b501p-2, -0x1.e52ec9cf9664bp-2, -0x1.df5846a597318p-2, -0x1.d984f797cfe09p-2, -0x1.d3b5781b9c724p-2, -0x1.cdea5c316d3dbp-2, -0x1.c82430a565506p-2, -0x1.c2637b4bd8d4dp-2, -0x1.bca8bb3ec071cp-2, -0x1.b6f4691d243d6p-2, -0x1.b146f73f47497p-2, -0x1.aba0d1f40a4cp-2, -0x1.a6025fb8e6381p-2, -0x1.a06c016fa791ep-2, -0x1.9ade1291fcf89p-2, -0x1.9558e960e85aep-2, -0x1.8fdcd720082efp-2, -0x1.8a6a2842bf45dp-2, -0x1.85012494bd8b9p-2, -0x1.7fa20f6a3ff13p-2, -0x1.7a4d27d0e0982p-2, -0x1.7502a8ba94eeap-2, -0x1.6fc2c9210012p-2, -0x1.6a8dbc2ba41abp-2, -0x1.6563b15ba4d0cp-2, -0x1.6044d4b511ef3p-2, -0x1.5b314ede8b76ep-2, -0x1.5629453ef81a5p-2, -0x1.512cda20eaf99p-2, -0x1.4c3c2cd92e367p-2, -0x1.475759e67b81fp-2, -0x1.427e7b09c5304p-2, -0x1.3db1a760467fbp-2, -0x1.38f0f383933bp-2, -0x1.343c71a9a5996p-2, -0x1.2f9431bd526c9p-2, -0x1.2af84171a386ep-2, -0x1.2668ac587dad2p-2, -0x1.21e57bfe457c4p-2, -0x1.1d6eb8043a03bp-2, -0x1.190466348eeccp-2, -0x1.14a68a91aaddfp-2, -0x1.10552768dcf3ap-2, -0x1.0c103d698f6ecp-2, -0x1.07d7cbbb6b782p-2, -0x1.03abd00fbe263p-2, -0x1.ff188d5b8af9ep-3, -0x1.f6f2550200023p-3, -0x1.eee4ea5767243p-3, -0x1.e6f03e34818e5p-3, -0x1.df143f24d51d3p-3, -0x1.d750d97cf7433p-3, -0x1.cfa5f76f36201p-3, -0x1.c8138126db526p-3, -0x1.c0995ce81e938p-3, -0x1.b9376f2d5ecafp-3, -0x1.b1ed9abc33d24p-3, -0x1.aabbc0b5aa9c4p-3, -0x1.a3a1c0a8a3996p-3, -0x1.9c9f78a9cbc05p-3, -0x1.95b4c56ced842p-3, -0x1.8ee1825b7164p-3, -0x1.882589a3baa6cp-3, -0x1.8180b446298e7p-3, -0x1.7af2da2446d2p-3, -0x1.747bd21404f1cp-3, -0x1.6e1b71f447008p-3, -0x1.67d18ebe4ee5dp-3, -0x1.619dfc9258a76p-3, -0x1.5b808ec1e93cap-3, -0x1.557917db72acfp-3, -0x1.4f8769b92b179p-3, -0x1.49ab55913d6c2p-3, -0x1.43e4ac0430bcbp-3, -0x1.3e333d27cf3e2p-3, -0x1.3896d88f8f90ap-3, -0x1.330f4d5515c81p-3, -0x1.2d9c6a22cde59p-3, -0x1.283dfd404c31bp-3, -0x1.22f3d49e6494ep-3, -0x1.1dbdbde102acp-3, -0x1.189b8666969e6p-3, -0x1.138cfb4e6a3c7p-3, -0x1.0e91e97fb33c2p-3, -0x1.09aa1db23d98cp-3, -0x1.04d56477ef36ap-3, -0x1.00138a459d5c7p-3, -0x1.f6c8b6f45a057p-4, -0x1.ed8f48c80841ep-4, -0x1.e47a628bbcd1p-4, -0x1.db899cb87d23dp-4, -0x1.d2bc8fc82e17p-4, -0x1.ca12d4431a174p-4, -0x1.c18c02cdc6703p-4, -0x1.b927b432f83cdp-4, -0x1.b0e5816cdd71ap-4, -0x1.a8c503ac4cd63p-4, -0x1.a0c5d46031fap-4, -0x1.98e78d3f854dap-4, -0x1.9129c850ad2f6p-4, -0x1.898c1ff6cec19p-4, -0x1.820e2ef86f08fp-4, -0x1.7aaf9086416e3p-4, -0x1.736fe0405a3d2p-4, -0x1.6c4eba3c143aap-4, -0x1.654bbb0a26416p-4, -0x1.5e667fbd0e03fp-4, -0x1.579ea5efe0d7cp-4, -0x1.50f3cbccc7e1dp-4, -0x1.4a65901285451p-4, -0x1.43f39218d05b7p-4, -0x1.3d9d71d3f06bep-4, -0x1.3762cfd83e65p-4, -0x1.31434d5e2243fp-4, -0x1.2b3e8c46851e9p-4, -0x1.25542f1f55a5bp-4, -0x1.1f83d927b23b7p-4, -0x1.19cd2e5363fe9p-4, -0x1.142fd34daacbp-4, -0x1.0eab6d7b7b9c3p-4, -0x1.093fa2fd89a1fp-4, -0x1.03ec1ab290c63p-4, -0x1.fd60f873cf99cp-5, -0x1.f318dfec459fep-5, -0x1.e8ff3e1ee1e44p-5, -0x1.df1366ebcdcap-5, -0x1.d554afc6eb0ap-5, -0x1.cbc26fb8422dp-5, -0x1.c25bff60b7f67p-5, -0x1.b920b8f9d843ap-5, -0x1.b00ff85872e69p-5, -0x1.a7291aefd2425p-5, -0x1.9e6b7fd326653p-5, -0x1.95d687b7b3c31p-5, -0x1.8d6994f69b32ep-5, -0x1.85240b8e24aa1p-5, -0x1.7d05512276324p-5, -0x1.750cccfdbfe3ep-5, -0x1.6d39e810147e8p-5, -0x1.658c0cef69c2cp-5, -0x1.5e02a7d74401p-5, -0x1.569d26a8aeb5dp-5, -0x1.4f5af8ea74217p-5, -0x1.483b8fc94aab1p-5, -0x1.413e5e181a8bp-5, -0x1.3a62d84ff4a4fp-5, -0x1.33a8748f32c2p-5, -0x1.2d0eaa97da806p-5, -0x1.2694f3cd4cd2p-5, -0x1.203acb31bb135p-5, -0x1.19ffad63c70fp-5, -0x1.13e3189cd6182p-5, -0x1.0de48cb05a6edp-5, -0x1.08038b0bfb5c7p-5, -0x1.023f96b7f703bp-5, -0x1.f93068ad8f33ep-6, -0x1.ee19d446a04f1p-6, -0x1.e33a7fda6d79fp-6, -0x1.d8917e27a666ap-6, -0x1.ce1de501458f1p-6, -0x1.c3decd4510438p-6, -0x1.b9d352d5bc83fp-6, -0x1.affa9499f8997p-6, -0x1.a653b47f7f37p-6, -0x1.9cddd77f98d1fp-6, -0x1.939825a16ef39p-6, -0x1.8a81c9f6bcfbcp-6, -0x1.8199f2916fb57p-6, -0x1.78dfd072e5c58p-6, -0x1.7052977829568p-6, -0x1.67f17e48d6759p-6, -0x1.5fbbbe4b31fddp-6, -0x1.57b093a28d3c8p-6, -0x1.4fcf3d35a0dddp-6, -0x1.4816fcbbff5cfp-6, -0x1.408716c951b11p-6, -0x1.391ed2d1dcdep-6, -0x1.31dd7b2361ff3p-6, -0x1.2ac25cd0f6d7ap-6, -0x1.23ccc795175e7p-6, -0x1.1cfc0db1823bp-6, -0x1.164f83d62cc57p-6, -0x1.0fc68115bddeap-6, -0x1.09605ee6b7999p-6, -0x1.031c7933cdf2ep-6, -0x1.f9f45cef693b1p-7, -0x1.edf1bfa7c74e6p-7, -0x1.e22fe23da9247p-7, -0x1.d6ad91c0f701cp-7, -0x1.cb69a06a8bcc3p-7, -0x1.c062e54015a92p-7, -0x1.b5983bafbe95ap-7, -0x1.ab08833f49b19p-7, -0x1.a0b29f5eb15e3p-7, -0x1.969577668db2bp-7, -0x1.8caff6c850ca8p-7, -0x1.83010d63cd4d8p-7, -0x1.7987afe2040c3p-7, -0x1.7042d7f6c53ddp-7, -0x1.6731847338c2ap-7, -0x1.5e52b91db6ad1p-7, -0x1.55a57e529526fp-7, -0x1.4d28e0825c528p-7, -0x1.44dbefab3efbcp-7, -0x1.3cbdbef1bdfa2p-7, -0x1.34cd646ea8ad6p-7, -0x1.2d09f9422b182p-7, -0x1.257299e40edf2p-7, -0x1.1e06669a7007bp-7, -0x1.16c483f5d82c7p-7, -0x1.0fac1b3015ad1p-7, -0x1.08bc5a5059263p-7, -0x1.01f47407bb833p-7, -0x1.f6a73e946258p-8, -0x1.e9b22d720b4afp-8, -0x1.dd08300012b0cp-8, -0x1.d0a7c693599b3p-8, -0x1.c48f75d23f077p-8, -0x1.b8bdc698cc4c5p-8, -0x1.ad314670b939p-8, -0x1.a1e888727ffaep-8, -0x1.96e2265f8809ep-8, -0x1.8c1cc1af70726p-8, -0x1.8197044a33db7p-8, -0x1.774fa0d00cc4ap-8, -0x1.6d45524c9f7d6p-8, -0x1.6376db6b7568p-8, -0x1.59e305536a2cbp-8, -0x1.50889e5f2e1eep-8, -0x1.476678f11560bp-8, -0x1.3e7b6a9886524p-8, -0x1.35c64badd3b3ap-8, -0x1.2d45f7716ea6ep-8, -0x1.24f94ca3160f7p-8, -0x1.1cdf2e70f4e76p-8, -0x1.14f6859067b2dp-8, -0x1.0d3e414ca1907p-8, -0x1.05b55858f570bp-8, -0x1.fcb5927d01ed2p-9, -0x1.ee5b34981a653p-9, -0x1.e059b2040d127p-9, -0x1.d2af3214b08cbp-9, -0x1.c559e5be8fdcap-9, -0x1.b85804a9d8568p-9, -0x1.aba7ca844497dp-9, -0x1.9f47751635456p-9, -0x1.9335435c13eb5p-9, -0x1.876f761646d18p-9, -0x1.7bf451832dfb8p-9, -0x1.70c2202d85e6fp-9, -0x1.65d7363c84646p-9, -0x1.5b31f4ba8422bp-9, -0x1.50d0cc35c0054p-9, -0x1.46b23e31e6c34p-9, -0x1.3cd4dd0704322p-9, -0x1.33374a02e066cp-9, -0x1.29d831f60aea6p-9, -0x1.20b648a873ce6p-9, -0x1.17d0440ad8e0ap-9, -0x1.0f24d81c2ea45p-9, -0x1.06b2b46713782p-9, -0x1.fcf10744a4189p-10, -0x1.ece9dafcd1844p-10, -0x1.dd4d3467f7cd6p-10, -0x1.ce186e35f8ed9p-10, -0x1.bf48f701ab311p-10, -0x1.b0dc5a17c0d73p-10, -0x1.a2d0461ba7d86p-10, -0x1.95228ff75a9b9p-10, -0x1.87d13102c862ep-10, -0x1.7ada407cae5a8p-10, -0x1.6e3be91db780dp-10, -0x1.61f45c7d0d04cp-10, -0x1.5601c6aaf0925p-10, -0x1.4a6245505edd2p-10, -0x1.3f13e46689841p-10, -0x1.3414a0a27c3bcp-10, -0x1.29626e2e8567fp-10, -0x1.1efb41841fdfbp-10, -0x1.14dd18726e8fep-10, -0x1.0b06024c81bfep-10, -0x1.017427077af2p-10, -0x1.f04b9a27cac87p-11, -0x1.de32ba167a817p-11, -0x1.cc9ac336bbca3p-11, -0x1.bb8104a9a6528p-11, -0x1.aae2f2df6ea45p-11, -0x1.9abe0d4266faep-11, -0x1.8b0fc541ddf26p-11, -0x1.7bd56e16ca571p-11, -0x1.6d0c396f563e2p-11, -0x1.5eb140271f603p-11, -0x1.50c191c52636dp-11, -0x1.433a43c610ad8p-11, -0x1.36187b8a990d8p-11, -0x1.2959721afa3efp-11, -0x1.1cfa7539a8e5fp-11, -0x1.10f8eac7541dep-11, -0x1.055259027f038p-11, -0x1.f408e27972ce5p-12, -0x1.de1a2d387e43p-12, -0x1.c8d4b56ef20a4p-12, -0x1.b434dc6096226p-12, -0x1.a037147729f16p-12, -0x1.8cd7b864be1aep-12, -0x1.7a12f754fa346p-12, -0x1.67e4dc300ebd1p-12, -0x1.564968bd7ae15p-12, -0x1.453cb5584b967p-12, -0x1.34bb059cf08d2p-12, -0x1.24c0c8ae3e76cp-12, -0x1.154a854700c92p-12, -0x1.0654bc263bcd8p-12, -0x1.efb7a3d0e6eb5p-13, -0x1.d3b81faf53bd5p-13, -0x1.b8a380bafde4ap-13, -0x1.9e72b7c473406p-13, -0x1.851f5edd17d24p-13, -0x1.6ca3cf00cd784p-13, -0x1.54faf0e90065ap-13, -0x1.3e1fe4f61ea8p-13, -0x1.280db66bdb1cap-13, -0x1.12bf4166100b8p-13, -0x1.fc5e9dab763cfp-14, -0x1.d4b1979690b91p-14, -0x1.ae6df820481fp-14, -0x1.898b194976632p-14, -0x1.660101d4d6d7p-14, -0x1.43c7e583c05bcp-14, -0x1.22d771db94d68p-14, -0x1.032635ea19a32p-14, -0x1.c952d75074a74p-15, -0x1.8eaab8e00f852p-15, -0x1.563c997dc32ccp-15, -0x1.1ff32069c6d9cp-15, -0x1.d7790f66ae7e3p-16, -0x1.7315513e906cp-16, -0x1.12a366004a0fbp-16, -0x1.6c1998a5434ep-17, -0x1.74e674491dbebp-18, -0x1.02026a8843e96p-21, 0x1.2628c29ad94p-18, 0x1.2f5c4d8b30f1ep-17, 0x1.c4e3747c9df54p-17, 0x1.29e78ce3637d3p-16, 0x1.6e208dd179c7p-16, 0x1.af2eac7130829p-16, 0x1.ed274b829b3fbp-16, 0x1.14123e8c809f5p-15, 0x1.3022642720dbep-15, 0x1.4ad4c754c8e32p-15, 0x1.643a261660f6cp-15, 0x1.7c61b22373ab8p-15, 0x1.9357d6b22977bp-15, 0x1.a925cf1966e01p-15, 0x1.bdd242fcc50e4p-15, 0x1.d162cb4f98ddap-15, 0x1.e3dd99d12aadep-15, 0x1.f54a4f0d04d78p-15, 0x1.02d8d24e06034p-14, 0x1.0a8e1ada3a40ap-14, 0x1.11c8976b76564p-14, 0x1.188af6a67b58ep-14, 0x1.1ed782e7de732p-14, 0x1.24b0f36085a74p-14, 0x1.2a1adfceb23d8p-14, 0x1.2f199938d61dbp-14, 0x1.33b1ba1386e9p-14, 0x1.37e7da33e0e5ep-14, 0x1.3bc081842fc97p-14, 0x1.3f40248fc3f0dp-14, 0x1.426af94e72892p-14, 0x1.4544b2640ce25p-14, 0x1.47d04e87e8539p-14, 0x1.4a10151a5d8e2p-14, 0x1.4c05cd715a2ecp-14, 0x1.4db32e86bd94cp-14, 0x1.4f1a4f7f77d61p-14, 0x1.503dc726bcf11p-14, 0x1.51204dbad996dp-14, 0x1.51c41acbc220fp-14, 0x1.522aacf18db92p-14, 0x1.52555d16355a7p-14, 0x1.52461d83f72eep-14, 0x1.51ff9764d9febp-14, 0x1.5184b24819d9cp-14, 0x1.50d81a9eba858p-14, 0x1.4ffc1a8902a7bp-14, 0x1.4ef2b995f684bp-14, 0x1.4dbdf2bae1aafp-14, 0x1.4c5fceef91a2p-14, 0x1.4ada4ebc76e7bp-14, 0x1.492f4ad22821ep-14, 0x1.47608b2fc4bf1p-14, 0x1.456fec14191e1p-14, 0x1.435f20786e1cbp-14, 0x1.412f4f479ecc5p-14, 0x1.3ee14405d8eb9p-14, 0x1.3c760d1d96766p-14, 0x1.39ef2131b71f4p-14, 0x1.374ddb8487f4dp-14, 0x1.349331b41610cp-14, 0x1.31c022abdede4p-14, 0x1.2ed620b0c5f1fp-14, 0x1.2bd6dc6f92533p-14, 0x1.28c3dae8de48bp-14, 0x1.259e5081119ecp-14, 0x1.22673a8b212e2p-14, 0x1.1f1f857bfd237p-14, 0x1.1bc8267d98479p-14, 0x1.1862246affab8p-14, 0x1.14ee90ff1ff59p-14, 0x1.116e7019c3f5dp-14, 0x1.0de297f6d9e91p-14, 0x1.0a4bbdeac047ap-14, 0x1.06aacfcaf419ap-14, 0x1.03011ce7cc392p-14, 0x1.fe9f76e7f98bdp-15, 0x1.f72de2a25ee41p-15, 0x1.efad7bee02e84p-15, 0x1.e81f819fe3347p-15, 0x1.e086181357cdp-15, 0x1.d8e2c1d761ec8p-15, 0x1.d136801922affp-15, 0x1.c982bc5dd9443p-15, 0x1.c1c920afaced1p-15, 0x1.ba0b104130ad6p-15, 0x1.b2498f334225dp-15, 0x1.aa85684ffd3acp-15, 0x1.a2bf50494d127p-15, 0x1.9af801a0946c8p-15, 0x1.93305fcc879b9p-15, 0x1.8b699dc675ed3p-15, 0x1.83a52f77569d8p-15, 0x1.7be4567acf6ap-15, 0x1.74279b354d126p-15, 0x1.6c6f02ec4cea1p-15, 0x1.64bae5bb06a3fp-15, 0x1.5d0c8813ee10dp-15, 0x1.55658db913a7dp-15, 0x1.4dc66bd65a432p-15, 0x1.462e96ac0482p-15, 0x1.3e9ea821a605bp-15, 0x1.3718566cee08ep-15, 0x1.2f9c532d560e8p-15, 0x1.282a6bb69ad8dp-15, 0x1.20c30438d1a1bp-15, 0x1.1966f49ea7a53p-15, 0x1.1216e9d785917p-15, 0x1.0ad354dbfec98p-15, 0x1.039c8769c7e6p-15, 0x1.f8e578ac1b0d5p-16, 0x1.eaac30ab4f4aep-16, 0x1.dc8d775176245p-16, 0x1.ce89dc19bf6fdp-16, 0x1.c0a2bc902330dp-16, 0x1.b2da2591822bap-16, 0x1.a53128d281f5ep-16, 0x1.97a7015f531afp-16, 0x1.8a3b518a5be3p-16, 0x1.7cef6ab5f9f2bp-16, 0x1.6fc3cf99ed1e4p-16, 0x1.62b77e0a72d2ep-16, 0x1.55cb0aec78865p-16, 0x1.4900556ebbf33p-16, 0x1.3c57bae593e9ep-16, 0x1.2fd1dc0f9f185p-16, 0x1.236f58efd642p-16, 0x1.172f0ca2093dcp-16, 0x1.0b10ba8479057p-16, 0x1.fe2aaee10b6e4p-17, 0x1.e67b0b4354d36p-17, 0x1.cf12f03c5a95ep-17, 0x1.b7f2867ae392p-17, 0x1.a119e4a43d844p-17, 0x1.8a88f7b947c14p-17, 0x1.743f773611e7p-17, 0x1.5e3cf32ebc8d6p-17, 0x1.488125b370e69p-17, 0x1.330d2252ef514p-17, 0x1.1de323ae23d94p-17, 0x1.0902d59a0922fp-17, 0x1.e8d55c4aabe8ep-18, 0x1.c037b39d27cd8p-18, 0x1.982c5c7bbfed1p-18, 0x1.70afc048efb6cp-18, 0x1.49c27b009f579p-18, 0x1.2364d658f4ebbp-18, 0x1.fb2a271934c43p-19, 0x1.b0ab5f3fd072ep-19, 0x1.6750a3a0ddedcp-19, 0x1.1f19751a3e524p-19, 0x1.b0041177ea2bdp-20, 0x1.2401da16cb9b1p-20, 0x1.34609a7b6717p-21, 0x1.29611aad261b8p-24, -0x1.cb3a219f88fdfp-22, -0x1.ec02fe0debc9p-21, -0x1.770651eda4c47p-20, -0x1.f5e020bbde25cp-20, -0x1.39491a0c213b8p-19, -0x1.769018a3c77f4p-19, -0x1.b2c7abaf8c41bp-19, -0x1.edf41e2aa21e7p-19, -0x1.140b41248c8fdp-18, -0x1.309548d3b2f86p-18, -0x1.4c9948414e47bp-18, -0x1.68179b8b5b779p-18, -0x1.83120e4f2a123p-18, -0x1.9d8c6d4f75668p-18, -0x1.b7861f4c526d4p-18, -0x1.d0fe9d6421f2ap-18, -0x1.e9f6d2007e3a4p-18, -0x1.0137fa3821bd7p-17, -0x1.0d3618c301324p-17, -0x1.18f725dfdc47cp-17, -0x1.247a7e6fbeb3cp-17, -0x1.2fbf6db75ef27p-17, -0x1.3ac722215e743p-17, -0x1.4593b998f024p-17, -0x1.502510c26fd31p-17, -0x1.5a7b09a0917a6p-17, -0x1.6496449f9f5dfp-17, -0x1.6e777291e49eap-17, -0x1.781f2ab380bd9p-17, -0x1.818df80000f6bp-17, -0x1.8ac460b00ae0bp-17, -0x1.93c2e9d2266e7p-17, -0x1.9c8a2db063202p-17, -0x1.a51b4481ef621p-17, -0x1.ad7726279958bp-17, -0x1.b59d3c968f805p-17, -0x1.bd8d8f326a7f3p-17, -0x1.c5491c65372a8p-17, -0x1.ccd1947bbf753p-17, -0x1.d427114c6918ep-17, -0x1.db49a4f75e7e3p-17, -0x1.e239ee53158f2p-17, -0x1.e8f89a2256f6fp-17, -0x1.ef864ab419a03p-17, -0x1.f5e3995fbe6d3p-17, -0x1.fc110d91a0511p-17, -0x1.0107957390937p-16, -0x1.03ef7145d909cp-16, -0x1.06c05ab76a61ep-16, -0x1.097a3364273d4p-16, -0x1.0c1d8baa8eff3p-16, -0x1.0eaad861e9133p-16, -0x1.1122289e156c2p-16, -0x1.1383c03d9e92cp-16, -0x1.15cff05456c33p-16, -0x1.1807032600905p-16, -0x1.1a293f33f9b5dp-16, -0x1.1c36ea68cb273p-16, -0x1.1e304a5234c73p-16, -0x1.2015a29653033p-16, -0x1.21e74097184fbp-16, -0x1.23a58a041cbb7p-16, -0x1.2550a5102b2a1p-16, -0x1.26e8a4e682959p-16, -0x1.286dfeccfaa2ap-16, -0x1.29e105a68ee1cp-16, -0x1.2b41e1f382aafp-16, -0x1.2c90d7a8b140bp-16, -0x1.2dce2d4adcaa1p-16, -0x1.2efa2525b5e32p-16, -0x1.3014ff9960207p-16, -0x1.311efc7f655e2p-16, -0x1.32185bb681c71p-16, -0x1.33015d439554p-16, -0x1.33da4147193cfp-16, -0x1.34a347e878632p-16, -0x1.355cb11f597b4p-16, -0x1.3606bbc8b98cap-16, -0x1.36a1a66982cc9p-16, -0x1.372dafda153c4p-16, -0x1.37ab143a2d333p-16, -0x1.381a10c440909p-16, -0x1.387ae15c34f29p-16, -0x1.38cdc12c8ed5dp-16, -0x1.3912eb521c118p-16, -0x1.394a9ad5b934fp-16, -0x1.39750a246e492p-16, -0x1.3992729df866p-16, -0x1.39a30df86e779p-16, -0x1.39a71456ef99cp-16, -0x1.399eb127915ep-16, -0x1.398a2fbb56793p-16, -0x1.3969c49028d6ep-16, -0x1.393d938394ab4p-16, -0x1.3905e679f8fp-16, -0x1.38c2f27e4805fp-16, -0x1.3874e6c8c0674p-16, -0x1.381bf7589b989p-16, -0x1.37b84d435c0afp-16, -0x1.374a3043dce6ep-16, -0x1.36d1d9f0f824bp-16, -0x1.364f57e6226p-16, -0x1.35c2f97f71db2p-16, -0x1.352cea3e75d1ap-16, -0x1.348d59b5f1be3p-16, -0x1.33e476ce67a19p-16, -0x1.3332710339dbbp-16, -0x1.32777add4104ep-16, -0x1.31b3c973ef91ap-16, -0x1.30e783350ef2cp-16, -0x1.3012d0cace09bp-16, -0x1.2f35de6045148p-16, -0x1.2e50e3ea6793bp-16, -0x1.2d640ef2a4416p-16, -0x1.2c6f878191bb4p-16, }}, 
      {{-0x1.48efd8f53191dp-1, -0x1.1e764a229a72bp-1, -0x1.fa122020e3e2fp-2, -0x1.dd3345fad7929p-2, -0x1.e905a0eb852cep-2, -0x1.0c099f7a379cfp-1, -0x1.30d94685f33e1p-1, -0x1.5e59e60a85f4ep-1, -0x1.905c858093be8p-1, -0x1.c36502d0b5722p-1, -0x1.f4bd8a3fc5569p-1, -0x1.1136b8f5c9bcap+0, -0x1.25913b0c22017p+0, -0x1.370a71d4de8fep+0, -0x1.4575bb822e52cp+0, -0x1.50d0b6f664663p+0, -0x1.5937f6b7aec1ap+0, -0x1.5edd89c7b7212p+0, -0x1.62014e819cabfp+0, -0x1.62eae6b47aa99p+0, -0x1.61e5172b1dd74p+0, -0x1.5f3a59a5d887fp+0, -0x1.5b326a3e8a92p+0, -0x1.56109e55ecf7bp+0, -0x1.5012d97d5d998p+0, -0x1.4970fb58a3e6p+0, -0x1.425ca7e0060e7p+0, -0x1.3b0151510078ap+0, -0x1.33847006f3992p+0, -0x1.2c05d90f561acp+0, -0x1.24a027d2fd591p+0, -0x1.1d6931fb600b6p+0, -0x1.16727f6793cf5p+0, -0x1.0fc9c19a2d2a1p+0, -0x1.0979472ca3f2cp+0, -0x1.0388693015e92p+0, -0x1.fbf7e27d9fa9cp-1, -0x1.f1aceee573dccp-1, -0x1.e8316fc1fd62dp-1, -0x1.df83bf6bd467cp-1, -0x1.d79fa4a0c14fep-1, -0x1.d07ecdaaf985p-1, -0x1.ca193d4df521ep-1, -0x1.c465aa78348e1p-1, -0x1.bf59d3acfc23ap-1, -0x1.baeac754c0f44p-1, -0x1.b70d21ea70156p-1, -0x1.b3b54313e6cb2p-1, -0x1.b0d77a96f5865p-1, -0x1.ae682deca5a52p-1, -0x1.ac5bf75ce1a83p-1, -0x1.aaa7bf5789d15p-1, -0x1.a940d0ba8eec1p-1, -0x1.a81ce8a6b8b0dp-1, -0x1.a732428546a32p-1, -0x1.a677a0ba083ebp-1, -0x1.a5e4526640997p-1, -0x1.a57036eb1d722p-1, -0x1.a513bf00a25abp-1, -0x1.a4c7eca230a2p-1, -0x1.a48650b1f0d06p-1, -0x1.a449089025e58p-1, -0x1.a40ab945eb0cfp-1, -0x1.a3c68bbc88d2dp-1, -0x1.a3782647d868bp-1, -0x1.a31ba80e053c3p-1, -0x1.a2ada1c6c16aap-1, -0x1.a22b108974fc6p-1, -0x1.a1915692f1afdp-1, -0x1.a0de357596d0fp-1, -0x1.a00fc78ee837cp-1, -0x1.9f2479b577d4cp-1, -0x1.9e1b0583ddbe4p-1, -0x1.9cf26afcecd79p-1, -0x1.9ba9eb6dc4c9p-1, -0x1.9a410390f100ap-1, -0x1.98b766ba67759p-1, -0x1.970cf9c197473p-1, -0x1.9541ce797f8ccp-1, -0x1.93561f47e3724p-1, -0x1.914a4b07e0f67p-1, -0x1.8f1ed1307fde7p-1, -0x1.8cd44e2fb6192p-1, -0x1.8a6b780c47e08p-1, -0x1.87e51b37457b5p-1, -0x1.8542179cf0dd4p-1, -0x1.82835de09be4bp-1, -0x1.7fa9ecd97f90fp-1, -0x1.7cb6cf30b9408p-1, -0x1.79ab1937d9298p-1, -0x1.7687e6e71dabcp-1, -0x1.734e5a04e1cf4p-1, -0x1.6fff987b0b87fp-1, -0x1.6c9ccac74481fp-1, -0x1.69271a9db486ap-1, -0x1.659fb19f9053dp-1, -0x1.6207b83c12588p-1, -0x1.5e6054abaed23p-1, -0x1.5aaaaa01ca042p-1, -0x1.56e7d7670d9c8p-1, -0x1.5318f75d7e6fp-1, -0x1.4f3f1f22306a1p-1, -0x1.4b5b5e281ea6fp-1, -0x1.476ebd9a7362fp-1, -0x1.437a3ffdd6d89p-1, -0x1.3f7ee0dbc3094p-1, -0x1.3b7d9478cbb8bp-1, -0x1.377747a399426p-1, -0x1.336cdf87646aap-1, -0x1.2f5f3989a7b06p-1, -0x1.2b4f2b3af606dp-1, -0x1.273d824793532p-1, -0x1.232b0473d3ffp-1, -0x1.1f186fa33443fp-1, -0x1.1b0679e11227dp-1, -0x1.16f5d170e3b4cp-1, -0x1.12e71ce76ce28p-1, -0x1.0edafb43e17ddp-1, -0x1.0ad2040d69387p-1, -0x1.06ccc777424bp-1, -0x1.02cbce867b90ep-1, -0x1.fd9f36706a01bp-2, -0x1.f5b15157b9ddep-2, -0x1.edced6a1c06ccp-2, -0x1.e5f8a225c4b77p-2, -0x1.de2f830d91225p-2, -0x1.d6743c37c420fp-2, -0x1.cec78498db043p-2, -0x1.c72a0796ea448p-2, -0x1.bf9c656b4fe0dp-2, -0x1.b81f338756b01p-2, -0x1.b0b2fcf18891p-2, -0x1.a95842a28737fp-2, -0x1.a20f7be70aa3bp-2, -0x1.9ad916bd8ad34p-2, -0x1.93b5782e85d0ep-2, -0x1.8ca4fca7582p-2, -0x1.85a7f85590509p-2, -0x1.7ebeb77c48eeap-2, -0x1.77e97ec6c9caap-2, -0x1.71288b9cb90b1p-2, -0x1.6a7c1473fb61cp-2, -0x1.63e4491de63adp-2, -0x1.5d615313628f2p-2, -0x1.56f355bfb6073p-2, -0x1.509a6ec8b473fp-2, -0x1.4a56b653fb0dep-2, -0x1.44283f4abeabp-2, -0x1.3e0f179bc600dp-2, -0x1.380b4878e40d2p-2, -0x1.321cd6952c886p-2, -0x1.2c43c26075d9bp-2, -0x1.2680083f9d928p-2, -0x1.20d1a0c23620ap-2, -0x1.1b3880d6ce0f8p-2, -0x1.15b49a00924b9p-2, -0x1.1045da86fe3abp-2, -0x1.0aec2da25e323p-2, -0x1.05a77ba9b77b8p-2, -0x1.0077aa40698aap-2, -0x1.f6b938ff61fbfp-3, -0x1.ecac6637d271ap-3, -0x1.e2c899141017dp-3, -0x1.d90d8a4d3c4eap-3, -0x1.cf7aeeb53ea43p-3, -0x1.c610777670df1p-3, -0x1.bccdd24fabec8p-3, -0x1.b3b2a9d35677dp-3, -0x1.aabea5a74073fp-3, -0x1.a1f16abd8185ap-3, -0x1.994a9b85c8494p-3, -0x1.90c9d81e3e48ap-3, -0x1.886ebe87bbe2bp-3, -0x1.8038ead894702p-3, -0x1.7827f7684ca75p-3, -0x1.703b7cf6090a5p-3, -0x1.687312cfcb0a2p-3, -0x1.60ce4efc74028p-3, -0x1.594cc663b871ap-3, -0x1.51ee0cf0403f8p-3, -0x1.4ab1b5ad4a408p-3, -0x1.439752e55253p-3, -0x1.3c9e7642f963ep-3, -0x1.35c6b0f08bd8dp-3, -0x1.2f0f93b313205p-3, -0x1.2878af00fa51dp-3, -0x1.22019319100a9p-3, -0x1.1ba9d01b8bbe9p-3, -0x1.1570f622eef8cp-3, -0x1.0f569559753cap-3, -0x1.095a3e0af6647p-3, -0x1.037b80b571117p-3, -0x1.fb73dc3619681p-4, -0x1.f02a2eaa1226p-4, -0x1.e5191bca63a88p-4, -0x1.da3fc788291aep-4, -0x1.cf9d56da15d52p-4, -0x1.c530efd4ff877p-4, -0x1.baf9b9c5a893p-4, -0x1.b0f6dd4d6d423p-4, -0x1.a7278477d273ep-4, -0x1.9d8adace7fa7ap-4, -0x1.94200d691e154p-4, -0x1.8ae64afdf07bep-4, -0x1.81dcc3f4158d6p-4, -0x1.7902aa75d5f67p-4, -0x1.705732803694dp-4, -0x1.67d991ef1d5bcp-4, -0x1.5f890087642a9p-4, -0x1.5764b801057f9p-4, -0x1.4f6bf4125924dp-4, -0x1.479df27bb2ac7p-4, -0x1.3ff9f3115b4cap-4, -0x1.387f37c2fbb78p-4, -0x1.312d04a11b4e6p-4, -0x1.2a029fe225c4cp-4, -0x1.22ff51e827b8bp-4, -0x1.1c2265470cf2fp-4, -0x1.156b26ca51bd2p-4, -0x1.0ed8e57914dep-4, -0x1.086af2986b181p-4, -0x1.0220a1acbf2fp-4, -0x1.f7f290f67f4a1p-5, -0x1.ebe87e1798bcbp-5, -0x1.e021bf561d52fp-5, -0x1.d49d0dd7d1255p-5, -0x1.c959274f62763p-5, -0x1.be54cdfaaa806p-5, -0x1.b38ec89fbc2afp-5, -0x1.a905e28a37595p-5, -0x1.9eb8eb88e1e52p-5, -0x1.94a6b7ec25a58p-5, -0x1.8ace20828b5c9p-5, -0x1.812e0294e133cp-5, -0x1.77c53fdfff1f8p-5, -0x1.6e92be8e6c4c4p-5, -0x1.6595693365cbep-5, -0x1.5ccc2ebd6d8ddp-5, -0x1.5436027a83f02p-5, -0x1.4bd1dc060df79p-5, -0x1.439eb74ab8be6p-5, -0x1.3b9b9474dd7f7p-5, -0x1.33c777e98f6fap-5, -0x1.2c216a3e6ac0dp-5, -0x1.24a878307518p-5, -0x1.1d5bb29a4659bp-5, -0x1.163a2e6a70179p-5, -0x1.0f430499f5e0dp-5, -0x1.0875522250696p-5, -0x1.01d037f2ce236p-5, -0x1.f6a5b5cafbf4ep-6, -0x1.e9f8c767f1f92p-6, -0x1.dd97fdd8c7345p-6, -0x1.d181b9cd0b894p-6, -0x1.c5b46371eeeafp-6, -0x1.ba2e6a5c14b6ep-6, -0x1.aeee4570fe36p-6, -0x1.a3f272cfc8026p-6, -0x1.993977b9778ap-6, -0x1.8ec1e07926ca7p-6, -0x1.848a404c6df94p-6, -0x1.7a91314c170fdp-6, -0x1.70d554550a565p-6, -0x1.675550f14bd2ap-6, -0x1.5e0fd5404ae74p-6, -0x1.550395deb294ap-6, -0x1.4c2f4dd0eaa3p-6, -0x1.4391be683e042p-6, -0x1.3b29af2d3fd74p-6, -0x1.32f5edc7c312ap-6, -0x1.2af54de6a5d76p-6, -0x1.2326a9299550cp-6, -0x1.1b88df09e252ap-6, -0x1.141ad4c38739dp-6, -0x1.0cdb753e53cc5p-6, -0x1.05c9b0f71d526p-6, -0x1.fdc8fbd1d0b4bp-7, -0x1.f055aeec303adp-7, -0x1.e3377ca337907p-7, -0x1.d66c70d106693p-7, -0x1.c9f2a1979d7e3p-7, -0x1.bdc82f3508262p-7, -0x1.b1eb43d8d4e16p-7, -0x1.a65a137a0df86p-7, -0x1.9b12dbad9606ap-7, -0x1.9013e37c43c89p-7, -0x1.855b7b384f651p-7, -0x1.7ae7fc527688dp-7, -0x1.70b7c92f05c3ap-7, -0x1.66c94cfbbaa27p-7, -0x1.5d1afb8716847p-7, -0x1.53ab5119aab01p-7, -0x1.4a78d2513a777p-7, -0x1.41820bfcd804ep-7, -0x1.38c592f8d02dp-7, -0x1.3042040965fa4p-7, -0x1.27f603b39e8cp-7, -0x1.1fe03e149d35p-7, -0x1.17ff66b8c653ap-7, -0x1.10523874499a3p-7, -0x1.08d7753ec957bp-7, -0x1.018de612a20d6p-7, -0x1.f4e8b59efa5b4p-8, -0x1.e713543d2745cp-8, -0x1.d99962ac5f55dp-8, -0x1.cc78a8b4af939p-8, -0x1.bfaefaf311045p-8, -0x1.b33a3a8b74efp-8, -0x1.a71854d85bc08p-8, -0x1.9b47431be63cap-8, -0x1.8fc50a3bea80fp-8, -0x1.848fba893fca1p-8, -0x1.79a56f94e6c7fp-8, -0x1.6f04500a9d554p-8, -0x1.64aa8d8eaa9ffp-8, -0x1.5a96649370328p-8, -0x1.50c61c214e491p-8, -0x1.4738058fd24b8p-8, -0x1.3dea7c32fb803p-8, -0x1.34dbe50693298p-8, -0x1.2c0aae6594b3p-8, -0x1.23754fd28c2fdp-8, -0x1.1b1a49c88c928p-8, -0x1.12f825a0be33ep-8, -0x1.0b0d758d172eap-8, -0x1.0358d488e2bcbp-8, -0x1.f7b1cc8ff1005p-9, -0x1.e918ae22eac57p-9, -0x1.dae3b6e721efap-9, -0x1.cd105fd74327fp-9, -0x1.bf9c311a87fdcp-9, -0x1.b284c152ddc32p-9, -0x1.a5c7b5151ad3ap-9, -0x1.9962beae4bc19p-9, -0x1.8d539e1fdabcap-9, -0x1.819821328af45p-9, -0x1.762e2398f826bp-9, -0x1.6b138f04ad513p-9, -0x1.60465b05d1539p-9, -0x1.55c48ca7f5f3bp-9, -0x1.4b8c35d1aeeb6p-9, -0x1.419b747cd499ap-9, -0x1.37f071ebcc77fp-9, -0x1.2e8961f7269a6p-9, -0x1.256482a22020fp-9, -0x1.1c801bf30f3e9p-9, -0x1.13da801400554p-9, -0x1.0b720ba2503p-9, -0x1.03452607790e4p-9, -0x1.f6a4836afb612p-10, -0x1.e72fb850e9133p-10, -0x1.d828fb3750d85p-10, -0x1.c98d70eb592dbp-10, -0x1.bb5a5101c9474p-10, -0x1.ad8ce4267ccdep-10, -0x1.a02282966a544p-10, -0x1.9318930b2c24fp-10, -0x1.866c8a3e5b218p-10, -0x1.7a1beb02e7522p-10, -0x1.6e2446eb4846ap-10, -0x1.62833f2c0ef2cp-10, -0x1.573685759f5aep-10, -0x1.4c3bdc9073cd5p-10, -0x1.4191186b4647ep-10, -0x1.37341da7c7417p-10, -0x1.2d22e097e3391p-10, -0x1.235b63d23c542p-10, -0x1.19dbb69b8b4adp-10, -0x1.10a1f364e69bap-10, -0x1.07ac3e9aec2b6p-10, -0x1.fdf18be2c3806p-11, -0x1.ed0b807a5c804p-11, -0x1.dca2dba928c38p-11, -0x1.ccb432ad1fa7ep-11, -0x1.bd3c3150c24a9p-11, -0x1.ae379be0041a3p-11, -0x1.9fa350a49e285p-11, -0x1.917c488dd2d72p-11, -0x1.83bf96c8c8377p-11, -0x1.766a6737bb35cp-11, -0x1.6979fbede42f6p-11, -0x1.5ceba9fe50febp-11, -0x1.50bcd6117dd72p-11, -0x1.44eaf14cd757p-11, -0x1.397376df6ebfdp-11, -0x1.2e53eb42795a7p-11, -0x1.2389dc1ab1f33p-11, -0x1.1912e233c63a6p-11, -0x1.0eeca40c0e37dp-11, -0x1.0514d9080ffa2p-11, -0x1.f71298f94e2c5p-12, -0x1.e48fbff8d2dap-12, -0x1.d29d18c7f0256p-12, -0x1.c136c29c06fa1p-12, -0x1.b05905ad0ea23p-12, -0x1.a0004bb3134d5p-12, -0x1.902916919d523p-12, -0x1.80cff6ac2c277p-12, -0x1.71f182dc83a6ep-12, -0x1.638a53a434bb6p-12, -0x1.55970290ef392p-12, -0x1.48142dce9b9adp-12, -0x1.3afe7ee5a8bbfp-12, -0x1.2e52b32e3a9ddp-12, -0x1.220da46d90037p-12, -0x1.162c5071e1a7dp-12, -0x1.0aabdeb623351p-12, -0x1.ff13445edda92p-13, -0x1.e9862cab7abf1p-13, -0x1.d4abb0c8b2ad1p-13, -0x1.c07f3b71222f5p-13, -0x1.acfc51158f848p-13, -0x1.9a1e78e19c376p-13, -0x1.87e12c9b71805p-13, -0x1.763fd3567358ep-13, -0x1.6535c662c59e3p-13, -0x1.54be5dbd921e6p-13, -0x1.44d4ffe1f2f68p-13, -0x1.3575315fd6456p-13, -0x1.269aa265f4c1ep-13, -0x1.184139f9decbdp-13, -0x1.0a651ebae50dbp-13, -0x1.fa0577e230bbp-14, -0x1.e02d80bafbf32p-14, -0x1.c73c292dc7d38p-14, -0x1.af2b9234b89bbp-14, -0x1.97f5ff3716e2fp-14, -0x1.8195ab70f7dc2p-14, -0x1.6c04ae9e4d328p-14, -0x1.573cf7e01a4e9p-14, -0x1.43385d2bc403fp-14, -0x1.2ff0b6067239fp-14, -0x1.1d5ff56519707p-14, -0x1.0b8039c24626ep-14, -0x1.f497a42286b8p-15, -0x1.d37a7b2a1fab9p-15, -0x1.b39e5ee6a5dap-15, -0x1.94f93584ca1eap-15, -0x1.77818675bd7c1p-15, -0x1.5b2e912b1f8e6p-15, -0x1.3ff8419a94212p-15, -0x1.25d6ff473bf3ap-15, -0x1.0cc3636396dd9p-15, -0x1.e96beb042c7a4p-16, -0x1.bb4e1438bc238p-16, -0x1.8f1d9b9aefb31p-16, -0x1.64cae3113ea6p-16, -0x1.3c46bbb7bdde6p-16, -0x1.1582a730c69d8p-16, -0x1.e0e1ab15d5f79p-17, -0x1.9a07c46169e36p-17, -0x1.565ce2ae04b7bp-17, -0x1.15c5cbc639284p-17, -0x1.b04d8a6b24143p-18, -0x1.3ac89391bd5cbp-18, -0x1.9590a8c429ffep-19, -0x1.807433e702d8bp-20, 0x1.58f5e055a97f5p-24, 0x1.9783c74a2c4edp-20, 0x1.82fe254310f58p-19, 0x1.186333b1f22b7p-18, 0x1.6ab328a10b35ep-18, 0x1.b894f76ff5a13p-18, 0x1.0116bceafb492p-17, 0x1.23cfb49443605p-17, 0x1.44851a1ab0284p-17, 0x1.6345ab62d1464p-17, 0x1.801fde0a35bd9p-17, 0x1.9b22a92d0c80ap-17, 0x1.b45eb553206c7p-17, 0x1.cbe687fe62179p-17, 0x1.e1cde70b90fcdp-17, 0x1.f628716359e9dp-17, 0x1.0484014922d3dp-16, 0x1.0d3dd17a174bcp-16, 0x1.1547c3e7618acp-16, 0x1.1ca708922dc2bp-16, 0x1.23609142e2f5ap-16, 0x1.29798ac34f2e4p-16, 0x1.2ef772e99a4adp-16, 0x1.33dfdbdcf822ap-16, 0x1.38380cbbc84b2p-16, 0x1.3c04b546953aap-16, 0x1.3f49e52d0b284p-16, 0x1.420b58a2d77fdp-16, 0x1.444cf662ae9b9p-16, 0x1.46133e5770d0dp-16, 0x1.47637d02f97dbp-16, 0x1.4843bb9141e2dp-16, 0x1.48ba7393a75d3p-16, 0x1.48ce0f3769293p-16, 0x1.4884581a8fc5fp-16, 0x1.47e2156afebb3p-16, 0x1.46eaf1183b0b3p-16, 0x1.45a1aa34ec4d9p-16, 0x1.44089bc1e31a7p-16, 0x1.42225457e9641p-16, 0x1.3ff1de1c9d168p-16, 0x1.3d7a9dabcd97fp-16, 0x1.3abfe68563f4p-16, 0x1.37c489c008158p-16, 0x1.348ab779c75c2p-16, 0x1.3114598cf5504p-16, 0x1.2d63a0ffb215ap-16, 0x1.297b5231bd963p-16, 0x1.255ea7c7b9529p-16, 0x1.2111059d05135p-16, 0x1.1c95c4d70daa6p-16, 0x1.17f02a6b9f565p-16, 0x1.132364a74effcp-16, 0x1.0e326f7bab386p-16, 0x1.091fe9b764997p-16, 0x1.03edf93d05e1p-16, 0x1.fd3c99b4d19f9p-17, 0x1.f2648326c4122p-17, 0x1.e756514972afbp-17, 0x1.dc151953e4c02p-17, 0x1.d0a4891ecceddp-17, 0x1.c5087126055c6p-17, 0x1.b943faa44727p-17, 0x1.ad5964aaf7ee3p-17, 0x1.a14ab4b4351a3p-17, 0x1.951aaff334921p-17, 0x1.88ccf52fd28d9p-17, 0x1.7c6568cd203ap-17, 0x1.6fe79c1b7f9a7p-17, 0x1.6356a16bf49ep-17, 0x1.56b535156e2acp-17, 0x1.4a05fd5b514e1p-17, 0x1.3d4ba83c8a3c8p-17, 0x1.3088cefdeb921p-17, 0x1.23bfd19845c5dp-17, 0x1.16f2f59e8b1afp-17, 0x1.0a24961500744p-17, 0x1.faadb97b591b8p-18, 0x1.e1169899a09b4p-18, 0x1.c785edb8f1cd1p-18, 0x1.adfe6e2184572p-18, 0x1.9483bc4e2d3f4p-18, 0x1.7b1937aa0f1cp-18, 0x1.61c14adddccd9p-18, 0x1.487e67b881436p-18, 0x1.2f53fd7bc7e4p-18, 0x1.16460203cd152p-18, 0x1.faafff2434556p-19, 0x1.c91980eb0392ep-19, 0x1.97cd166bef75bp-19, 0x1.66cef7b9f28d7p-19, 0x1.36237dc4028d6p-19, 0x1.05cf4819806e2p-19, 0x1.abae2c95dc26cp-20, 0x1.4c7ea2cd2a826p-20, 0x1.dc2dfd14fe173p-21, 0x1.20fa08d18fa88p-21, 0x1.9dc24e3792e27p-23, -0x1.4163020c1cfd5p-23, -0x1.06502e55e8b7ap-21, -0x1.ba71f2b76f424p-21, -0x1.365f8ff290999p-20, -0x1.8e9722e997146p-20, -0x1.e5d74605f27e5p-20, -0x1.1e0d32eb049c3p-19, -0x1.48ae9dbeb06bap-19, -0x1.72cd6e8b5f1e4p-19, -0x1.9c66abd0216ddp-19, -0x1.c577f49541fb1p-19, -0x1.edffb6050549ep-19, -0x1.0afe6d37ffadfp-18, -0x1.1eb738014ecd9p-18, -0x1.3229d03681236p-18, -0x1.4555b7dba8616p-18, -0x1.5839ea9c61d72p-18, -0x1.6ad538d6357cep-18, -0x1.7d26c9461c44ep-18, -0x1.8f2e87806e07bp-18, -0x1.a0ecc5999e5d4p-18, -0x1.b26174fbf5ae4p-18, -0x1.c38bc29c84425p-18, -0x1.d46a90c61b0fp-18, -0x1.e4fdd50c17d01p-18, -0x1.f5466c6558078p-18, -0x1.02a215cefb28dp-17, -0x1.0a7af61f01fc7p-17, -0x1.122dbd89e2d8ep-17, -0x1.19babba13a2f6p-17, -0x1.2121fba55ecd1p-17, -0x1.286354ed7379ep-17, -0x1.2f7eb3ca7dfdap-17, -0x1.36742178e54e5p-17, -0x1.3d43b6be4f56ap-17, -0x1.43ed975d6d22p-17, -0x1.4a71f0b5d1e01p-17, -0x1.50d0f242856ffp-17, -0x1.570abaed563d3p-17, -0x1.5d1f3f39e1251p-17, -0x1.630e541468e99p-17, -0x1.68d8059ac6c98p-17, -0x1.6e7cbf8a93d22p-17, -0x1.73fcd51b2232p-17, -0x1.79584694b5fa4p-17, -0x1.7e8f3f70277f5p-17, -0x1.83a233fe37b05p-17, -0x1.88914bc4e271dp-17, -0x1.8d5c7389ab97p-17, -0x1.9203e1776c2bep-17, -0x1.9687c04880436p-17, -0x1.9ae83afa5d073p-17, -0x1.9f25cfb0d680bp-17, -0x1.a340d284a2444p-17, -0x1.a7396047c5f99p-17, -0x1.ab0fa59d0c5cap-17, -0x1.aec3e433e17a3p-17, -0x1.b25663ed8ff19p-17, -0x1.b5c76e91e87e6p-17, -0x1.b917519f75e9dp-17, -0x1.bc4660066c5p-17, -0x1.bf54f2ec85ae9p-17, -0x1.c24362d95e60fp-17, -0x1.c511e526f1d53p-17, -0x1.c7c089c601bfcp-17, -0x1.ca4f9ef312063p-17, -0x1.ccbfa664c632ep-17, -0x1.cf10e2f0a74d9p-17, -0x1.d1438f5e02f66p-17, -0x1.d3580e33bb1edp-17, -0x1.d54ebbf3606c5p-17, -0x1.d727f004cec01p-17, -0x1.d8e4034a9e5bp-17, -0x1.da832f160e166p-17, -0x1.dc05b6d96c2c5p-17, -0x1.dd6bee0dbfeb3p-17, -0x1.deb634d44ad4bp-17, -0x1.dfe50062ee2a7p-17, -0x1.e0f89a9a4b411p-17, -0x1.e1f1484744d6bp-17, -0x1.e2cf5dd221bd5p-17, -0x1.e39333fd56acdp-17, -0x1.e43d22b78ec9ep-17, -0x1.e4cd814b1c3c3p-17, -0x1.e544a71947a0fp-17, -0x1.e5a2ebc883933p-17, -0x1.e5e8a93a90898p-17, -0x1.e6163cd0123f1p-17, -0x1.e62bf9514d47fp-17, -0x1.e62a26273d683p-17, -0x1.e6111c3c2b7dep-17, -0x1.e5e132afab065p-17, -0x1.e59ac574ec7adp-17, -0x1.e53e3155d8bfp-17, -0x1.e4cbc68426ea1p-17, -0x1.e443d8e025a9cp-17, -0x1.e3a6bff07a88p-17, -0x1.e2f4d17faa433p-17, -0x1.e22e5f8a4e005p-17, -0x1.e153c1161f77ap-17, -0x1.e06552c7de819p-17, -0x1.df6361cc4715ap-17, -0x1.de4e3e77d085fp-17, -0x1.dd26418833883p-17, -0x1.dbebbfa123baep-17, -0x1.da9f0af70cb96p-17, -0x1.d94075fc91bb5p-17, -0x1.d7d052d33416cp-17, -0x1.d64ef3d7fa6e7p-17, -0x1.d4bcaa6cbca36p-17, -0x1.d319c8af5a80dp-17, -0x1.d1669ff0708a2p-17, -0x1.cfa380fe823dcp-17, -0x1.cdd0b72341899p-17, -0x1.cbee899eff502p-17, -0x1.c9fd5190dc873p-17, -0x1.c7fd684ea0d89p-17, -0x1.c5ef19d4d9084p-17, -0x1.c3d29d5ee89ecp-17, -0x1.c1a8454270922p-17, -0x1.bf7069b6da97bp-17, -0x1.bd2b56e751a14p-17, -0x1.bad955ab453bp-17, -0x1.b87aae7a6a275p-17, -0x1.b60faa3ad5d2fp-17, -0x1.b3989277c62e2p-17, -0x1.b115a8b1bb457p-17, -0x1.ae873e3b725dap-17, -0x1.abed8c6b1ba4ap-17, -0x1.a948f6d441235p-17, -0x1.a699b2af3e47ap-17, -0x1.a3dff721f3f5cp-17, -0x1.a11c1ad99739fp-17, -0x1.9e4e62fe84192p-17, -0x1.9b770fd8cab2p-17, -0x1.98966388416ddp-17, -0x1.95aca15b0109ap-17, -0x1.92ba0c914be8ap-17, -0x1.8fbee7b147f2ap-17, -0x1.8cbb7536e35ecp-17, -0x1.89aff121fb6fbp-17, -0x1.869c81f75b92fp-17, -0x1.8381744387206p-17, -0x1.805f33b2d1b11p-17, -0x1.7d35d84c84a2dp-17, -0x1.7a0586609116fp-17, -0x1.76ce97c7e81dp-17, -0x1.73914a9615ff8p-17, -0x1.704dd3d22e547p-17, -0x1.6d046aaa106f9p-17, -0x1.69b5475cbee43p-17, -0x1.6660a1feccde6p-17, -0x1.6306b1b4aa532p-17, -0x1.5fa7ac22e711ap-17, -0x1.5c43c699b8b1p-17, -0x1.58db39a99a1e3p-17, -0x1.556e410e7e8d6p-17, -0x1.51fd070d327e6p-17, -0x1.4e87bc228b384p-17, -0x1.4b0eaa64262e9p-17, -0x1.4791e75656778p-17, -0x1.4411b625c2a43p-17, -0x1.408e4adc8d082p-17, -0x1.3d07d14ae269cp-17, -0x1.397e784a274b7p-17, -0x1.35f26f9e4289cp-17, -0x1.3263e612639e5p-17, -0x1.2ed3096970d42p-17, -0x1.2b40092643395p-17, -0x1.27ab0f707b8aep-17, -0x1.241431015b7efp-17, -0x1.207bbe9703ac4p-17, -0x1.1ce1daab6d858p-17, -0x1.194695ee64f4bp-17, -0x1.15aa350fce35dp-17, -0x1.120cde67fe34dp-17, -0x1.0e6eb3fd665a4p-17, -0x1.0acff0ed8bf2dp-17, -0x1.07305b4f57177p-17, -0x1.03908ba2273c7p-17, -0x1.ffe1d39e439f1p-18, -0x1.f8a185d4e6e36p-18, -0x1.f16195aab22a6p-18, -0x1.ea2211b6c5e8cp-18, -0x1.e2e33ce488953p-18, -0x1.dba55a9b7966dp-18, -0x1.d468aeb448d29p-18, -0x1.cd2d8177e83eap-18, -0x1.c5f41ee0d4656p-18, -0x1.bebcbace40cd4p-18, -0x1.b7878c6b5cc8ap-18, -0x1.b054d053a688ap-18, -0x1.a924d5ec9deacp-18, -0x1.a1f7db638822bp-18, -0x1.9ace158f96eap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.0cdf2c8e19329p-7, 0x1.0d281d1fbfaep-6, 0x1.946ea7415e4fbp-6, 0x1.0e40862bdd9ecp-5, 0x1.52c9acc656c2dp-5, 0x1.97e70b0de3ad8p-5, 0x1.dda6a31bfc8e9p-5, 0x1.120804d09fe61p-4, 0x1.35923facf288cp-4, 0x1.596fa083b6427p-4, 0x1.7d9aff3d3c2c9p-4, 0x1.a20cb525616ep-4, 0x1.c6baeb25218e5p-4, 0x1.eb99e9de53201p-4, 0x1.084e344b89c46p-3, 0x1.1ad9ec81ee104p-3, 0x1.2d6857659f1c2p-3, 0x1.3ff1510fca5dcp-3, 0x1.526c768af12a1p-3, 0x1.64d141c4e6ebap-3, 0x1.771722bb0df98p-3, 0x1.893595dd1c321p-3, 0x1.9b2437aab3befp-3, 0x1.acdad59929493p-3, 0x1.be517c584c9fap-3, 0x1.cf808396ce6b8p-3, 0x1.e060976fadc39p-3, 0x1.f0eabfb18c4bfp-3, 0x1.008c329b2ee82p-2, 0x1.0871aac293c0dp-2, 0x1.1022e27c5150cp-2, 0x1.179d27d26e65dp-2, 0x1.1eddfc9987098p-2, 0x1.25e315f392437p-2, 0x1.2caa5b7eaf15ep-2, 0x1.3331e6445ef2ep-2, 0x1.3977ff7aae63bp-2, 0x1.3f7b1f25db3b8p-2, 0x1.4539eaa633515p-2, 0x1.4ab3333b64a0ep-2, 0x1.4fe5f484168f2p-2, 0x1.54d152fea5751p-2, 0x1.59749a8e2f648p-2, 0x1.5dcf3d05b6b6fp-2, 0x1.61e0d0ba12ad7p-2, 0x1.65a90f1a949ecp-2, 0x1.6927d34fbbe66p-2, 0x1.6c5d18defd023p-2, 0x1.6f48fa526a34ap-2, 0x1.71ebafe30d53bp-2, 0x1.74458e24db0d3p-2, 0x1.765704b33bb39p-2, 0x1.78209cdd77e4dp-2, 0x1.79a2f8527da0cp-2, 0x1.7adecfcbc8269p-2, 0x1.7bd4f1b764e1bp-2, 0x1.7c8640e15b549p-2, 0x1.7cf3b31cf162fp-2, 0x1.7d1e4fee715a9p-2, 0x1.7d072f364cbfep-2, 0x1.7caf77de8648fp-2, 0x1.7c185e8b7a4cfp-2, 0x1.7b4324510fbe5p-2, 0x1.7a31156d84a9fp-2, 0x1.78e3880ae83c3p-2, 0x1.775bdb086814ep-2, 0x1.759b74cc74d79p-2, 0x1.73a3c220c4f9p-2, 0x1.7176351914535p-2, 0x1.6f144405740e4p-2, 0x1.6c7f6870e1cf9p-2, 0x1.69b91e2cbadb8p-2, 0x1.66c2e269879cap-2, 0x1.639e32dd852a9p-2, 0x1.604c8cf926de8p-2, 0x1.5ccf6d29bc5fep-2, 0x1.59284e2a45d77p-2, 0x1.5558a86269867p-2, 0x1.5161f15366421p-2, 0x1.4d459b12c4cedp-2, 0x1.490513d27dc93p-2, 0x1.44a1c57631262p-2, 0x1.401d1534fd62fp-2, 0x1.3b7863477c202p-2, 0x1.36b50aa1592d5p-2, 0x1.31d460b5eeedfp-2, 0x1.2cd7b547536fp-2, 0x1.27c0523f2e2d6p-2, 0x1.228f7b90b9183p-2, 0x1.1d466f23445edp-2, 0x1.17e664c492d49p-2, 0x1.12708e226a6ecp-2, 0x1.0ce616cab5b1bp-2, 0x1.074824318e0acp-2, 0x1.0197d5bc94b98p-2, 0x1.f7ac89a5feeebp-3, 0x1.ec0909e3878bdp-3, 0x1.e04747869ea27p-3, 0x1.d46952749bb4p-3, 0x1.c8712f5ddfd79p-3, 0x1.bc60d7fc81cc7p-3, 0x1.b03a3b56307c7p-3, 0x1.a3ff3e0070068p-3, 0x1.97b1ba6670ae9p-3, 0x1.8b53810fc7ddap-3, 0x1.7ee658e766b38p-3, 0x1.726bff8228cdep-3, 0x1.65e6296489cbdp-3, 0x1.59568246eea8bp-3, 0x1.4cbead5823ef4p-3, 0x1.4020457dae403p-3, 0x1.337cdd9198bc1p-3, 0x1.26d6009d8037fp-3, 0x1.1a2d32129e8bep-3, 0x1.0d83edfea2164p-3, 0x1.00dba93d39b2cp-3, 0x1.e86ba34c5093fp-4, 0x1.cf279c6fce05bp-4, 0x1.b5edfe7d5d005p-4, 0x1.9cc17cf004df3p-4, 0x1.83a4be6561f99p-4, 0x1.6a9a5cd6bc852p-4, 0x1.51a4e5cb4857ep-4, 0x1.38c6da83cece8p-4, 0x1.2002b01fe8225p-4, 0x1.075acfbd0fa6cp-4, 0x1.dda32d1fa4e42p-5, 0x1.acd2abeed3c59p-5, 0x1.7c48a7181718fp-5, 0x1.4c09925095ceap-5, 0x1.1c19c9dbbff02p-5, 0x1.d8fb2518c2d57p-6, 0x1.7a72337bd96b8p-6, 0x1.1ca0ea8d76a95p-6, 0x1.7f1e8d8feca5cp-7, 0x1.8d1455002fee1p-8, 0x1.f27cd9ecab41fp-12, -0x1.4b6ac4dcf979fp-8, -0x1.5943368ec64fcp-7, -0x1.0583bdf9c60b3p-6, -0x1.5d7a3d5c0856dp-6, -0x1.b47e6eb1a3ccfp-6, -0x1.0544ec677000fp-5, -0x1.2fcb1a3a37136p-5, -0x1.59ceb65542bb1p-5, -0x1.834ccf8d2ed17p-5, -0x1.ac428e329b257p-5, -0x1.d4ad343bd7628p-5, -0x1.fc8a1d6c72886p-5, -0x1.11eb5fbd0eacep-4, -0x1.254855174d64dp-4, -0x1.385ac3c32c8a1p-4, -0x1.4b218de5aea76p-4, -0x1.5d9ba2d621679p-4, -0x1.6fc7ff2784e5dp-4, -0x1.81a5acafb5d75p-4, -0x1.9333c28c4ef0cp-4, -0x1.a47165251dffp-4, -0x1.b55dc62c1fdb6p-4, -0x1.c5f8249af447p-4, -0x1.d63fccadbd5d9p-4, -0x1.e63417db57f89p-4, -0x1.f5d46ccafd063p-4, -0x1.02901fa3951cdp-3, -0x1.0a0b8816f7fe6p-3, -0x1.115c36af45203p-3, -0x1.1881f8d22f46ep-3, -0x1.1f7ca24fab46fp-3, -0x1.264c0d54d0ca6p-3, -0x1.2cf01a5d7cab5p-3, -0x1.3368b024aa551p-3, -0x1.39b5bb9399486p-3, -0x1.3fd72fafbfa3dp-3, -0x1.45cd05879600bp-3, -0x1.4b973c1e3f48cp-3, -0x1.5135d85618d3ep-3, -0x1.56a8e4da4548p-3, -0x1.5bf072072cf3p-3, -0x1.610c95d20c409p-3, -0x1.65fd6baf920d7p-3, -0x1.6ac314799f707p-3, -0x1.6f5db65430e39p-3, -0x1.73cd7c918264bp-3, -0x1.7812979570502p-3, -0x1.7c2d3cb82e77ep-3, -0x1.801da62852d34p-3, -0x1.83e412cc5290cp-3, -0x1.8780c62368bdep-3, -0x1.8af4082601ca1p-3, -0x1.8e3e2525b7539p-3, -0x1.915f6dacdfc35p-3, -0x1.9458365dc26dep-3, -0x1.9728d7d182b29p-3, -0x1.99d1ae76be944p-3, -0x1.9c531a6ffcf07p-3, -0x1.9ead7f71ea754p-3, -0x1.a0e144a173676p-3, -0x1.a2eed471cd936p-3, -0x1.a4d69c826d223p-3, -0x1.a6990d7cfa4f6p-3, -0x1.a8369af3528e1p-3, -0x1.a9afbb3d96e01p-3, -0x1.ab04e75853af2p-3, -0x1.ac369ac2d03b1p-3, -0x1.ad45535d8a032p-3, -0x1.ae319148e1714p-3, -0x1.aefbd6c4079d1p-3, -0x1.afa4a80c30aa1p-3, -0x1.b02c8b3c100a1p-3, -0x1.b094082ba76d6p-3, -0x1.b0dba85073d24p-3, -0x1.b103f69df8b1ep-3, -0x1.b10d7f66b055ap-3, -0x1.b0f8d03d6cc2dp-3, -0x1.b0c677d722344p-3, -0x1.b07705ed36664p-3, -0x1.b00b0b203b327p-3, -0x1.af8318db36c91p-3, -0x1.aedfc13767f16p-3, -0x1.ae2196e095443p-3, -0x1.ad492cf9eca7ep-3, -0x1.ac57170366bd4p-3, -0x1.ab4be8bfc8a13p-3, -0x1.aa28361b334c2p-3, -0x1.a8ec93124879dp-3, -0x1.a7999399f24bdp-3, -0x1.a62fcb87b889bp-3, -0x1.a4afce7ac0865p-3, -0x1.a31a2fc55f08fp-3, -0x1.a16f825753f9ep-3, -0x1.9fb058a89d5a5p-3, -0x1.9ddd44a4f4e15p-3, -0x1.9bf6d797e15e4p-3, -0x1.99fda21978e93p-3, -0x1.97f233fbbc205p-3, -0x1.95d51c38933e8p-3, -0x1.93a6e8e06fae4p-3, -0x1.916827098bf19p-3, -0x1.8f1962bfcf24fp-3, -0x1.8cbb26f54b52p-3, -0x1.8a4dfd735d9b7p-3, -0x1.87d26ecc6938bp-3, -0x1.8549024e33692p-3, -0x1.82b23df4d08a7p-3, -0x1.800ea65e384edp-3, -0x1.7d5ebebe61696p-3, -0x1.7aa308d40297bp-3, -0x1.77dc04dddc02cp-3, -0x1.750a31909709cp-3, -0x1.722e0c0d356cbp-3, -0x1.6f480fd8127b7p-3, -0x1.6c58b6d068356p-3, -0x1.696079285f63cp-3, -0x1.665fcd5daf145p-3, -0x1.63572832b5767p-3, -0x1.6046fca8190fdp-3, -0x1.5d2fbbf6e7b93p-3, -0x1.5a11d58b3607fp-3, -0x1.56edb6ff2d8bep-3, -0x1.53c3cc16a607ep-3, -0x1.50947ebb204d2p-3, -0x1.4d6036f83edf7p-3, -0x1.4a275af8a9e93p-3, -0x1.46ea4f0364a7ep-3, -0x1.43a97579855c6p-3, -0x1.40652ed45a4dfp-3, -0x1.3d1dd9a3f1511p-3, -0x1.39d3d28e00106p-3, -0x1.3687744d2d17p-3, -0x1.333917b0b6185p-3, -0x1.2fe9139c69c7bp-3, -0x1.2c97bd08fb68ap-3, -0x1.29456704b0f84p-3, -0x1.25f262b4534fbp-3, -0x1.229eff547c643p-3, -0x1.1f4b8a3b25bdcp-3, -0x1.1bf84ed983749p-3, -0x1.18a596be2ad32p-3, -0x1.1553a9976f82bp-3, -0x1.1202cd3610c21p-3, -0x1.0eb3459017defp-3, -0x1.0b6554c3fc2c8p-3, -0x1.08193b1bfadfbp-3, -0x1.04cf3711a6554p-3, -0x1.01878551ab007p-3, -0x1.fc84c17f89751p-4, -0x1.f60004f5cc69fp-4, -0x1.ef8143c31549fp-4, -0x1.e908e92c618c3p-4, -0x1.e2975d0808f6fp-4, -0x1.dc2d03c757408p-4, -0x1.d5ca3e8063429p-4, -0x1.cf6f6af841a8cp-4, -0x1.c91ce3ad60149p-4, -0x1.c2d2ffe228631p-4, -0x1.bc9213a7e1847p-4, -0x1.b65a6fe9b383p-4, -0x1.b02c6277e3d5fp-4, -0x1.aa083613483cep-4, -0x1.a3ee3278d07a3p-4, -0x1.9dde9c6d4311fp-4, -0x1.97d9b5c910ba5p-4, -0x1.91dfbd845399fp-4, -0x1.8bf0efc2dcc67p-4, -0x1.860d85e05faaap-4, -0x1.8035b67cb41edp-4, -0x1.7a69b588260cap-4, -0x1.74a9b44fd7317p-4, -0x1.6ef5e18a2a8e4p-4, -0x1.694e69633d08ap-4, -0x1.63b3758960afbp-4, -0x1.5e252d399dfcp-4, -0x1.58a3b54c372c3p-4, -0x1.532f30412ba15p-4, -0x1.4dc7be4cb67b6p-4, -0x1.486d7d63ca65p-4, -0x1.4320894883dffp-4, -0x1.3de0fb96926a9p-4, -0x1.38aeebcf9a15cp-4, -0x1.338a6f678328cp-4, -0x1.2e7399d0bcc04p-4, -0x1.296a7c88715acp-4, -0x1.246f2722a4865p-4, -0x1.1f81a7563de86p-4, -0x1.1aa2090901728p-4, -0x1.15d0565b6f7dcp-4, -0x1.110c97b489ce2p-4, -0x1.0c56d3cd8400ap-4, -0x1.07af0fbd53f53p-4, -0x1.03154f0429107p-4, -0x1.fd13272d9124cp-5, -0x1.f417bbd38e8b7p-5, -0x1.eb3859f94ec63p-5, -0x1.e274fcc9a9b4ep-5, -0x1.d9cd9cb0ff512p-5, -0x1.d1422f72b0e2ep-5, -0x1.c8d2a83e4c73cp-5, -0x1.c07ef7c478926p-5, -0x1.b8470c4b92aebp-5, -0x1.b02ad1c40e213p-5, -0x1.a82a31dc775ccp-5, -0x1.a0451415414c6p-5, -0x1.987b5dd43b143p-5, -0x1.90ccf277b64ecp-5, -0x1.8939b3696d40dp-5, -0x1.81c180310decdp-5, -0x1.7a6436867cab5p-5, -0x1.7321b263c2522p-5, -0x1.6bf9ce16b4b18p-5, -0x1.64ec62524829p-5, -0x1.5df9463f9212bp-5, -0x1.57204f8e7e206p-5, -0x1.506152862cd0dp-5, -0x1.49bc221505e5ep-5, -0x1.43308fe07d725p-5, -0x1.3cbe6c5484d0dp-5, -0x1.366586b2a9ap-5, -0x1.3025ad20e918fp-5, -0x1.29feacb831c5p-5, -0x1.23f051929609ep-5, -0x1.1dfa66d92af79p-5, -0x1.181cb6d1a1c73p-5, -0x1.12570aeb8c33ep-5, -0x1.0ca92bcd52034p-5, -0x1.0712e160dec82p-5, -0x1.0193f2e0023c2p-5, -0x1.f8584dc0f5823p-6, -0x1.edb686bf7b777p-6, -0x1.e3421b9ce7df1p-6, -0x1.d8fa96375956cp-6, -0x1.cedf7f7f7eab2p-6, -0x1.c4f05f8ddf7e3p-6, -0x1.bb2cbdb77c0bfp-6, -0x1.b19420a1f54e1p-6, -0x1.a8260e5713fbp-6, -0x1.9ee20c57d5138p-6, -0x1.95c79faee1f64p-6, -0x1.8cd64d0284dc5p-6, -0x1.840d98a61d436p-6, -0x1.7b6d06aafdc17p-6, -0x1.72f41af0daa95p-6, -0x1.6aa25935a6519p-6, -0x1.627745250535fp-6, -0x1.5a7262672d9eap-6, -0x1.529334af5fd5dp-6, -0x1.4ad93fc9d471dp-6, -0x1.434407a941c53p-6, -0x1.3bd31073e40d5p-6, -0x1.3485de900f68cp-6, -0x1.2d5bf6b058407p-6, -0x1.2654dddf4f51fp-6, -0x1.1f70198ac078bp-6, -0x1.18ad2f8e9c51cp-6, -0x1.120ba63f66bap-6, -0x1.0b8b047441602p-6, -0x1.052ad1909a28p-6, -0x1.fdd52b1ad1eccp-7, -0x1.f193b20439217p-7, -0x1.e5904a5a2afa8p-7, -0x1.d9ca07f7a58e7p-7, -0x1.ce40002585286p-7, -0x1.c2f149a94e1edp-7, -0x1.b7dcfcd3725f4p-7, -0x1.ad02338ce875dp-7, -0x1.a2600963f0e27p-7, -0x1.97f59b987077fp-7, -0x1.8dc209277907ep-7, -0x1.83c472d667195p-7, -0x1.79fbfb3d419fcp-7, -0x1.7067c6d08cf5fp-7, -0x1.6706fbea9c5e3p-7, -0x1.5dd8c2d441a8ep-7, -0x1.54dc45ccfcc9bp-7, -0x1.4c10b112b0fb2p-7, -0x1.437532e8c10afp-7, -0x1.3b08fb9ebd985p-7, -0x1.32cb3d9685086p-7, -0x1.2abb2d4a116e8p-7, -0x1.22d801509dfdap-7, -0x1.1b20f2637b698p-7, -0x1.13953b6274409p-7, -0x1.0c341957b0ebcp-7, -0x1.04fccb7b4be22p-7, -0x1.fbdd266d09387p-8, -0x1.ee11684cd7685p-8, -0x1.e094e83ca4726p-8, -0x1.d36636539caacp-8, -0x1.c683e71ce67f2p-8, -0x1.b9ec939a41c85p-8, -0x1.ad9ed94608eb4p-8, -0x1.a1995a14b1e77p-8, -0x1.95dabc7576f1fp-8, -0x1.8a61ab52b5987p-8, -0x1.7f2cd6118ad51p-8, -0x1.743af090bc652p-8, -0x1.698ab32780e99p-8, -0x1.5f1adaa361c7ep-8, -0x1.54ea2845ed797p-8, -0x1.4af761c1a7a32p-8, -0x1.41415136d4056p-8, -0x1.37c6c52f627e8p-8, -0x1.2e86909b09c6cp-8, -0x1.257f8aca7ba4dp-8, -0x1.1cb08f6a635ffp-8, -0x1.14187e7df42a9p-8, -0x1.0bb63c5949f3cp-8, -0x1.0388b19b32822p-8, -0x1.f71d964dbd41ap-9, -0x1.e78ef43a73066p-9, -0x1.d86367ab6134dp-9, -0x1.c998e3ae637dp-9, -0x1.bb2d63a093b3p-9, -0x1.ad1eeb1f6973fp-9, -0x1.9f6b85f835d46p-9, -0x1.92114817960dbp-9, -0x1.850e4d78addf5p-9, -0x1.7860ba13676d2p-9, -0x1.6c06b9cb0c9f9p-9, -0x1.5ffe805c4525p-9, -0x1.5446494a27715p-9, -0x1.48dc57cbfe737p-9, -0x1.3dbef6b9c958p-9, -0x1.32ec7879155dfp-9, -0x1.286336e97e293p-9, -0x1.1e219350e8d76p-9, -0x1.1425f6471ea35p-9, -0x1.0a6ecfa1fe676p-9, -0x1.00fa9660cab1ap-9, -0x1.ef8f912f5864ep-10, -0x1.dda9d6b67b7a5p-10, -0x1.cc411556f8b1bp-10, -0x1.bb5272bd5c9e1p-10, -0x1.aadb221927f3bp-10, -0x1.9ad863f28cc24p-10, -0x1.8b4785ff6105bp-10, -0x1.7c25e2fa19616p-10, -0x1.6d70e2754ca6p-10, -0x1.5f25f8b27400fp-10, -0x1.5142a67662d3ap-10, -0x1.43c478df1952cp-10, -0x1.36a90938fce51p-10, -0x1.29edfcd42166p-10, -0x1.1d9104d9b66fbp-10, -0x1.118fde215abf9p-10, -0x1.05e85106a0787p-10, -0x1.f530627e333f9p-11, -0x1.df3abb605fd5ap-11, -0x1.c9eb8088b2928p-11, -0x1.b53e9b84b79f6p-11, -0x1.a1300b44a9197p-11, -0x1.8dbbe3caeac49p-11, -0x1.7ade4dd78d825p-11, -0x1.68938697a0027p-11, -0x1.56d7df52ea5a8p-11, -0x1.45a7bd1abd027p-11, -0x1.34ff9878d85cfp-11, -0x1.24dbfd1fe3b74p-11, -0x1.1539899c2f7fap-11, -0x1.0614ef051b696p-11, -0x1.eed5e15a6b368p-12, -0x1.d270c7abd1704p-12, -0x1.b6f45ec45bdb4p-12, -0x1.9c5a971315cbp-12, -0x1.829d831a934a8p-12, -0x1.69b756d9f4f7ap-12, -0x1.51a267390a5b3p-12, -0x1.3a592973ec3eap-12, -0x1.23d63288e6551p-12, -0x1.0e1436a9b651ep-12, -0x1.f21c1159097dbp-13, -0x1.c97d32fd46a8ep-13, -0x1.a241ef2ff6d47p-13, -0x1.7c609ce36bd21p-13, -0x1.57cfcbf979055p-13, -0x1.34864437e8a51p-13, -0x1.127b0439cad8ap-13, -0x1.e34a80d9e2a39p-14, -0x1.a3f8c416fd346p-14, -0x1.66f00c2e1acdcp-14, -0x1.2c1ff8bd3362bp-14, -0x1.e6f11a07031f5p-15, -0x1.79d45be87dca2p-15, -0x1.10cb409ef35cfp-15, -0x1.57701af7bf9eap-16, -0x1.29f6ffaf86c4bp-17, 0x1.2fff63531fddp-19, 0x1.b372c8e0f675cp-17, 0x1.8666c855d1f8dp-16, 0x1.161e52557d0fdp-15, 0x1.65b71cb334ecfp-15, 0x1.b216c05ff890ep-15, 0x1.fb559aee1e5e5p-15, 0x1.20c5b6de99cf2p-14, 0x1.4267b09905c6dp-14, 0x1.629c03fbcfdp-14, 0x1.816db10f66edbp-14, 0x1.9ee7701b871p-14, 0x1.bb13b335633acp-14, 0x1.d5fca7bb4ec91p-14, 0x1.efac37d5abf85p-14, 0x1.041605f471aap-13, 0x1.0fc2c60090115p-13, 0x1.1ae0f09fdf7c2p-13, 0x1.2574fb9ede519p-13, 0x1.2f833eb25e487p-13, 0x1.390ff424a621p-13, 0x1.421f397f5ed07p-13, 0x1.4ab5102ed401cp-13, 0x1.52d55e25589e3p-13, 0x1.5a83ee78887a9p-13, 0x1.61c47202c02dep-13, 0x1.689a7ffa72d56p-13, 0x1.6f09968af3d7dp-13, 0x1.75151b67c9d75p-13, 0x1.7ac05c5f52e5dp-13, 0x1.800e8fe9ea4f6p-13, 0x1.8502d5b562f0fp-13, 0x1.89a0372fa4e25p-13, 0x1.8de9a80de4207p-13, 0x1.91e206d296908p-13, 0x1.958c1d4e2a228p-13, 0x1.98eaa11fad718p-13, 0x1.9c00342f93af2p-13, 0x1.9ecf652c44d36p-13, 0x1.a15ab0020c74p-13, 0x1.a3a47e514abffp-13, 0x1.a5af27e1c4b19p-13, 0x1.a77cf31455eb9p-13, 0x1.a910155134626p-13, 0x1.aa6ab374aee94p-13, 0x1.ab8ee238b64a5p-13, 0x1.ac7ea69e8c334p-13, 0x1.ad3bf654415ffp-13, 0x1.adc8b818f5d12p-13, 0x1.ae26c41f53f2bp-13, 0x1.ae57e46bd4b2bp-13, 0x1.ae5dd5327c7bep-13, 0x1.ae3a4532ddfp-13, 0x1.adeed6127f339p-13, 0x1.ad7d1cb40c78bp-13, 0x1.ace6a18d41c65p-13, 0x1.ac2ce0fc58735p-13, 0x1.ab514b9862b13p-13, 0x1.aa554682922d5p-13, 0x1.a93a2bb2dc73p-13, 0x1.a8014a476090dp-13, 0x1.a6abe6cdcb364p-13, 0x1.a53b3b8dd5a56p-13, 0x1.a3b078d10360bp-13, 0x1.a20cc527623c4p-13, 0x1.a0513dac0b622p-13, 0x1.9e7ef649126c1p-13, 0x1.9c96f9f8214fp-13, 0x1.9a9a4b01e3d4fp-13, 0x1.9889e33d22ed5p-13, 0x1.9666b44b02ccfp-13, 0x1.9431a7d2d4f8dp-13, 0x1.91eb9fbbd0951p-13, 0x1.8f9576657e572p-13, 0x1.8d2ffede00d43p-13, 0x1.8abc051936c96p-13, 0x1.883a4e24941dap-13, 0x1.85ab985a4b409p-13, 0x1.83109b9420f6cp-13, 0x1.806a095ad75acp-13, 0x1.7db88d1628fadp-13, 0x1.7afccc3be1e2ep-13, 0x1.7837667ba65ddp-13, 0x1.7568f5eb678eap-13, 0x1.72920f329112bp-13, 0x1.6fb341b3ddaa8p-13, 0x1.6ccd17b697442p-13, 0x1.69e0168ca8c55p-13, 0x1.66ecbebac7c33p-13, 0x1.63f38c1cf6614p-13, 0x1.60f4f60be3a9fp-13, 0x1.5df16f8045178p-13, 0x1.5ae9673509935p-13, 0x1.57dd47c9cc688p-13, 0x1.54cd77e3e0d43p-13, 0x1.51ba5a4e0bcfbp-13, 0x1.4ea44e181d6e3p-13, 0x1.4b8baeb43a74dp-13, 0x1.4870d414da16cp-13, 0x1.455412c98c0cp-13, 0x1.4235bc1aa039bp-13, 0x1.3f161e247362p-13, 0x1.3bf583f25e26cp-13, 0x1.38d43597926cap-13, 0x1.35b2784797778p-13, 0x1.32908e6f8dfc4p-13, 0x1.2f6eb7cd0fb52p-13, 0x1.2c4d318476bdep-13, 0x1.292c363788ea1p-13, 0x1.260bfe1ba982fp-13, 0x1.22ecbf0df965dp-13, 0x1.1fceaca87f0b4p-13, 0x1.1cb1f854c6f08p-13, 0x1.1996d15fc3c2p-13, 0x1.167d650bafd1p-13, 0x1.1365dea2793fp-13, 0x1.105067879423p-13, 0x1.0d3d2748358f2p-13, 0x1.0a2c43ac95986p-13, 0x1.071de0c79b256p-13, 0x1.04122105a3dadp-13, 0x1.0109253cc9efep-13, 0x1.fc061973f0505p-14, 0x1.f5ffea9e7b1ddp-14, 0x1.effff6c4bce41p-14, 0x1.ea0673f295774p-14, 0x1.e413958e67725p-14, 0x1.de278c72dd15dp-14, 0x1.d8428704de93bp-14, 0x1.d264b14bc19b8p-14, 0x1.cc8e3507a9ee7p-14, 0x1.c6bf39c771419p-14, 0x1.c0f7e4fdd592ep-14, 0x1.bb385a14b9e6dp-14, 0x1.b580ba82c61b8p-14, 0x1.afd125dcfe82p-14, 0x1.aa29b9e9d5c56p-14, 0x1.a48a92b337cefp-14, 0x1.9ef3ca96735ecp-14, 0x1.99657a5565eb5p-14, 0x1.93dfb9272bed3p-14, 0x1.8e629cc798cb7p-14, 0x1.88ee3985498f1p-14, 0x1.8382a250ff728p-14, 0x1.7e1fe8cbd0203p-14, 0x1.78c61d53a9606p-14, 0x1.73754f10e94d5p-14, 0x1.6e2d8c037475fp-14, 0x1.68eee10d74aabp-14, 0x1.63b959ffa1f18p-14, 0x1.5e8d01a4c6f08p-14, 0x1.5969e1cc77712p-14, 0x1.54500355b05e7p-14, 0x1.4f3f6e38d431bp-14, 0x1.4a3829916f2a3p-14, 0x1.453a3ba693696p-14, 0x1.4045a9f583364p-14, 0x1.3b5a7938f5e07p-14, 0x1.3678ad72346f4p-14, 0x1.31a049f0f3adep-14, 0x1.2cd1515b5edaap-14, 0x1.280bc5b45dd12p-14, 0x1.234fa863a0ap-14, 0x1.1e9cfa3d53c0ap-14, 0x1.19f3bb875d9f4p-14, 0x1.1553ebffbda0dp-14, 0x1.10bd8ae31665ap-14, 0x1.0c3096f22fc54p-14, 0x1.07ad0e7873327p-14, 0x1.0332ef4feee8cp-14, 0x1.fd846dcf05bdp-15, 0x1.f4b5c48eb32aep-15, 0x1.ebf9dc2c57e1ap-15, 0x1.e350ad3a3e8fdp-15, 0x1.daba2f996640dp-15, 0x1.d2365a81a3bf1p-15, 0x1.c9c52487da693p-15, 0x1.c16683a965697p-15, 0x1.b91a6d4f60facp-15, 0x1.b0e0d657a4b05p-15, 0x1.a8b9b31b9736fp-15, 0x1.a0a4f777a1564p-15, 0x1.98a296cf5244bp-15, 0x1.90b2841363e24p-15, 0x1.88d4b1c79aecep-15, 0x1.8109120959e77p-15, 0x1.794f9692bdb33p-15, 0x1.71a830c152b13p-15, 0x1.6a12d1997d60ap-15, 0x1.628f69cafdd03p-15, 0x1.5b1de9b605b2fp-15, 0x1.53be416e6e313p-15, 0x1.4c7060c08d235p-15, 0x1.453437334654fp-15, 0x1.3e09b40c5fc3fp-15, 0x1.36f0c654807cp-15, 0x1.2fe95cd8e0929p-15, 0x1.28f3662ed5146p-15, 0x1.220ed0b710a51p-15, 0x1.1b3b8aa0d6cadp-15, 0x1.147981eb7130ap-15, 0x1.0dc8a46928378p-15, 0x1.0728dfc01335bp-15, 0x1.009a216f41477p-15, 0x1.f438ad9cb1807p-16, 0x1.e75eda1fdf895p-16, 0x1.daa6a28996f3p-16, 0x1.ce0fe0b68f397p-16, 0x1.c19a6e475a947p-16, 0x1.b546249ff7b8p-16, 0x1.a912dcecd0218p-16, 0x1.9d00702327c86p-16, 0x1.910eb705badc5p-16, 0x1.853d8a2666e99p-16, 0x1.798cc1e95bfa9p-16, 0x1.6dfc368577632p-16, 0x1.628bc0076b845p-16, 0x1.573b36580e9bep-16, 0x1.4c0a71369ccafp-16, 0x1.40f9484005facp-16, 0x1.360792edaea5ep-16, 0x1.2b352897b1065p-16, 0x1.2081e077c8527p-16, 0x1.15ed91a95c445p-16, 0x1.0b78132b4aaadp-16, }}, 
      {{0x1.d19dd305c2ea6p-8, 0x1.d1dd472b5284fp-7, 0x1.5db4258e97897p-6, 0x1.d2d46e5829e0dp-6, 0x1.24347c486bdffp-5, 0x1.5f43d3c6cc387p-5, 0x1.9aa12d8adee88p-5, 0x1.d65357f00390bp-5, 0x1.092f79d38ba8ap-4, 0x1.27633c1b361ddp-4, 0x1.45c522f1d3646p-4, 0x1.645460e422117p-4, 0x1.830f3c869a45bp-4, 0x1.a1f3245baed5ep-4, 0x1.c0fcc3f8d109dp-4, 0x1.e02819a0c128ep-4, 0x1.ff708bc0ce971p-4, 0x1.0f687ef53e65ep-3, 0x1.1f21f28168d65p-3, 0x1.2ee1ad3b95135p-3, 0x1.3ea4972b7e85bp-3, 0x1.4e677c1e288fep-3, 0x1.5e27137a5e4fp-3, 0x1.6de0077137e1ap-3, 0x1.7d8efb8925b34p-3, 0x1.8d3092843c45ep-3, 0x1.9cc173a4a6dd7p-3, 0x1.ac3e4f542ca7cp-3, 0x1.bba3e33566805p-3, 0x1.caeefda6bbeaep-3, 0x1.da1c80c077e2bp-3, 0x1.e92964d819395p-3, 0x1.f812ba937e453p-3, 0x1.036ad64b69e09p-2, 0x1.0ab7c06c0b0e9p-2, 0x1.11eeccd151c9ep-2, 0x1.190ebb2a750f4p-2, 0x1.201659f0bf307p-2, 0x1.2704868e26ebep-2, 0x1.2dd82d6dd2d36p-2, 0x1.349049fa03d0ep-2, 0x1.3b2be68a744ffp-2, 0x1.41aa1c45d15acp-2, 0x1.480a12f891c3p-2, 0x1.4e4b00e30ced2p-2, 0x1.546c2a8071bdcp-2, 0x1.5a6ce247e1ca5p-2, 0x1.604c8868c09bp-2, 0x1.660a8a8313c56p-2, 0x1.6ba6635c969a8p-2, 0x1.711f9a930f05ap-2, 0x1.7675c44c454p-2, 0x1.7ba880e3f56ccp-2, 0x1.80b77c97f6ee9p-2, 0x1.85a26f32ceadap-2, 0x1.8a691bb4da7cap-2, 0x1.8f0b4ffc35b6fp-2, 0x1.9388e46b83f48p-2, 0x1.97e1bb8fbbc7p-2, 0x1.9c15c1c51b472p-2, 0x1.a024ecdb6cb6p-2, 0x1.a40f3bb9bed27p-2, 0x1.a7d4b601c3055p-2, 0x1.ab756bb2f3421p-2, 0x1.aef174cdbc4dep-2, 0x1.b248f0f6d1cddp-2, 0x1.b57c071ae4da2p-2, 0x1.b88ae512f019ap-2, 0x1.bb75bf4946b26p-2, 0x1.be3cd05fa3321p-2, 0x1.c0e058d65c405p-2, 0x1.c3609eb4fa0a2p-2, 0x1.c5bded34538b2p-2, 0x1.c7f8946a63341p-2, 0x1.ca10e8f7f9a2fp-2, 0x1.cc0743b878a49p-2, 0x1.cddc0173b154ap-2, 0x1.cf8f82920cf05p-2, 0x1.d1222ad317abcp-2, 0x1.d294610681c48p-2, 0x1.d3e68ec7b2163p-2, 0x1.d519203bf28c7p-2, 0x1.d62c83d34a3cdp-2, 0x1.d7212a0c03659p-2, 0x1.d7f78538efcb4p-2, 0x1.d8b0094a61c76p-2, 0x1.d94b2b99dbca8p-2, 0x1.d9c962b87965fp-2, 0x1.da2b263ffb6fdp-2, 0x1.da70eea6800bap-2, 0x1.da9b3514c8b0ap-2, 0x1.daaa733f0f0eep-2, 0x1.da9f23404e6edp-2, 0x1.da79bf77f45abp-2, 0x1.da3ac269e6189p-2, 0x1.d9e2a6a0c4161p-2, 0x1.d971e69257ec3p-2, 0x1.d8e8fc86145a3p-2, 0x1.d848627d96102p-2, 0x1.d790921f04bdfp-2, 0x1.d6c204a14653cp-2, 0x1.d5dd32b9e5aa6p-2, 0x1.d4e2948c98c94p-2, 0x1.d3d2a19c4db84p-2, 0x1.d2add0bda6ff2p-2, 0x1.d174980acddecp-2, 0x1.d0276cd889ff5p-2, 0x1.cec6c3ac7fc9ep-2, 0x1.cd531034898d4p-2, 0x1.cbccc53f0d153p-2, 0x1.ca3454b43fa1dp-2, 0x1.c88a2f9044741p-2, 0x1.c6cec5de0ff1cp-2, 0x1.c50286b2fffd2p-2, 0x1.c325e02b18c88p-2, 0x1.c1393f65d4ffdp-2, 0x1.bf3d10837a54p-2, 0x1.bd31bea2e454cp-2, 0x1.bb17b3dfb8675p-2, 0x1.b8ef5950f294bp-2, 0x1.b6b91707c7a9fp-2, 0x1.b475540ec8702p-2, 0x1.b224766941251p-2, 0x1.afc6e312cc68ep-2, 0x1.ad5cfdff0b8dap-2, 0x1.aae72a1983d95p-2, 0x1.a865c94593f7p-2, 0x1.a5d93c5e7e857p-2, 0x1.a341e33781664p-2, 0x1.a0a01c9bf72aap-2, 0x1.9df4464f7ce62p-2, 0x1.9b3ebd0e1791p-2, 0x1.987fdc8c5655fp-2, 0x1.95b7ff77715b9p-2, 0x1.92e77f755d8efp-2, 0x1.900eb524d812cp-2, 0x1.8d2df81d64edep-2, 0x1.8a459eef3f35cp-2, 0x1.8755ff233f8c8p-2, 0x1.845f6d3aaf447p-2, 0x1.81623caf10f6p-2, 0x1.7e5ebff1d62bep-2, 0x1.7b55486c09a01p-2, 0x1.7846267dec47p-2, 0x1.7531a97e80c36p-2, 0x1.72181fbb0f5f8p-2, 0x1.6ef9d6769aa29p-2, 0x1.6bd719e94bfadp-2, 0x1.68b0353fd5d9ep-2, 0x1.6585729acf37ep-2, 0x1.62571b0e06bbfp-2, 0x1.5f25769fd4217p-2, 0x1.5bf0cc4860d29p-2, 0x1.58b961f0f5c8ep-2, 0x1.557f7c7340a2ep-2, 0x1.52435f98a2662p-2, 0x1.4f054e197a4c3p-2, 0x1.4bc5899c76b7bp-2, 0x1.488452b5eef58p-2, 0x1.4541e8e73ec01p-2, 0x1.41fe8a9e2f64dp-2, 0x1.3eba75346864p-2, 0x1.3b75e4eeeb0f4p-2, 0x1.383114fd9d1bcp-2, 0x1.34ec3f7adf14ap-2, 0x1.31a79d6b3313ap-2, 0x1.2e6366bcf3beap-2, 0x1.2b1fd2481cddap-2, 0x1.27dd15ce24364p-2, 0x1.249b65f9e8648p-2, 0x1.215af65fb22ccp-2, 0x1.1e1bf97d4cac1p-2, 0x1.1adea0ba2f90fp-2, 0x1.17a31c67c2658p-2, 0x1.14699bc1b6b86p-2, 0x1.11324cee76f1ap-2, 0x1.0dfd5cffaffb3p-2, 0x1.0acaf7f2f0768p-2, 0x1.079b48b262c61p-2, 0x1.046e79159ca3fp-2, 0x1.0144b1e289fcfp-2, 0x1.fc3c359cdc72cp-3, 0x1.f5f5b4fe0358fp-3, 0x1.efb62d17475d4p-3, 0x1.e97de6fd51bbdp-3, 0x1.e34d29ad7f994p-3, 0x1.dd243a10e1077p-3, 0x1.d7035aff5f9f8p-3, 0x1.d0eacd431e48ap-3, 0x1.cadacf9c02567p-3, 0x1.c4d39ec36eca2p-3, 0x1.bed57570280a6p-3, 0x1.b8e08c5a68dd4p-3, 0x1.b2f51a40227bbp-3, 0x1.ad1353e96359p-3, 0x1.a73b6c2cee4bap-3, 0x1.a16d93f4f240fp-3, 0x1.9ba9fa43f0901p-3, 0x1.95f0cc39c4b94p-3, 0x1.90423518d1172p-3, 0x1.8a9e5e4b5405bp-3, 0x1.85056f68d5ab3p-3, 0x1.7f778e3bc37d4p-3, 0x1.79f4dec71d5ebp-3, 0x1.747d834c4a51cp-3, 0x1.6f119c51078dep-3, 0x1.69b148a56e744p-3, 0x1.645ca56a1bf16p-3, 0x1.5f13ce1668946p-3, 0x1.59d6dc7ebb0aap-3, 0x1.54a5e8daf0982p-3, 0x1.4f8109ccd5659p-3, 0x1.4a685466b48dfp-3, 0x1.455bdc31f63f4p-3, 0x1.405bb335ca2bdp-3, 0x1.3b67e9fde7179p-3, 0x1.36808fa14facbp-3, 0x1.31a5b1c929c8ep-3, 0x1.2cd75cb796acp-3, 0x1.28159b4e9e80ap-3, 0x1.23607717177e4p-3, 0x1.1eb7f8479b1f3p-3, 0x1.1a1c25cb7df95p-3, 0x1.158d0549c7973p-3, 0x1.110a9b2c2eb6ep-3, 0x1.0c94eaa6166a1p-3, 0x1.082bf5bb8cf88p-3, 0x1.03cfbd4840345p-3, 0x1.ff00820cf5342p-4, 0x1.f67aff2c2bc54p-4, 0x1.ee0eed06ced9bp-4, 0x1.e5bc449c5407bp-4, 0x1.dd82fce0c4bb9p-4, 0x1.d5630aca65c98p-4, 0x1.cd5c615f60c09p-4, 0x1.c56ef1c3549dfp-4, 0x1.bd9aab44bfcbp-4, 0x1.b5df7b6a6bdeap-4, 0x1.ae3d4e00b2aa5p-4, 0x1.a6b40d26a8e38p-4, 0x1.9f43a15b2e6a8p-4, 0x1.97ebf189e07aep-4, 0x1.90ace317f2e22p-4, 0x1.898659f0de1b8p-4, 0x1.82783892f4f84p-4, 0x1.7b82601bd2dfep-4, 0x1.74a4b054a8fd7p-4, 0x1.6ddf07be63aadp-4, 0x1.6731439dac7fap-4, 0x1.609b4006c5255p-4, 0x1.5a1cd7e938d39p-4, 0x1.53b5e51b66beep-4, 0x1.4d664065e3b6bp-4, 0x1.472dc18eaee78p-4, 0x1.410c3f643f8eap-4, 0x1.3b018fc86497p-4, 0x1.350d87baf9fdp-4, 0x1.2f2ffb6470cf3p-4, 0x1.2968be202ad9bp-4, 0x1.23b7a286a8677p-4, 0x1.1e1c7a778abccp-4, 0x1.1897172364c81p-4, 0x1.1327491561409p-4, 0x1.0dcce03cb7dccp-4, 0x1.0887abf5f6336p-4, 0x1.03577b1417b54p-4, 0x1.fc7837d2dec37p-5, 0x1.f26ab8a0ca4d8p-5, 0x1.e8861368001e3p-5, 0x1.dec9e2308a53ap-5, 0x1.d535be44cc21ap-5, 0x1.cbc9404180edcp-5, 0x1.c284002560a49p-5, 0x1.b965956064015p-5, 0x1.b06d96e2ae0f2p-5, 0x1.a79b9b2b1a2f4p-5, 0x1.9eef38556d96bp-5, 0x1.966804282d511p-5, 0x1.8e05942219223p-5, 0x1.85c77d874eccfp-5, 0x1.7dad556e12925p-5, 0x1.75b6b0cb3d9efp-5, 0x1.6de3247e58baep-5, 0x1.6632455d5a16dp-5, 0x1.5ea3a84015b14p-5, 0x1.5736e20b4b375p-5, 0x1.4feb87bb6fa44p-5, 0x1.48c12e6f16d26p-5, 0x1.41b76b710f4bp-5, 0x1.3acdd4422b0c8p-5, 0x1.3403fea2bd05ep-5, 0x1.2d59809bc003dp-5, 0x1.26cdf087b2acfp-5, 0x1.2060e51b26702p-5, 0x1.1a11f56d03813p-5, 0x1.13e0b8fe7b8f9p-5, 0x1.0dccc7c2bc195p-5, 0x1.07d5ba2652482p-5, 0x1.01fb291643834p-5, 0x1.f8795c0dd2453p-6, 0x1.ed33c5f50044bp-6, 0x1.e224c50eebfa4p-6, 0x1.d74b8fbceaf9ap-6, 0x1.cca75da0583dep-6, 0x1.c23767a5acf27p-6, 0x1.b7fae80f0d33dp-6, 0x1.adf11a7e6384fp-6, 0x1.a4193bfeffb74p-6, 0x1.9a728b0eb891p-6, 0x1.90fc47a6a1154p-6, 0x1.87b5b34346dfcp-6, 0x1.7e9e10ec836e9p-6, 0x1.75b4a53ce5462p-6, 0x1.6cf8b6689bd3cp-6, 0x1.64698c441317ep-6, 0x1.5c06704a142afp-6, 0x1.53ceada192b98p-6, 0x1.4bc19123125a9p-6, 0x1.43de695da691bp-6, 0x1.3c24869ba1e48p-6, 0x1.34933ae6e31f9p-6, 0x1.2d29da0ccaa65p-6, 0x1.25e7b9a1e3c24p-6, 0x1.1ecc31052abaep-6, 0x1.17d6996312e3fp-6, 0x1.11064db82a277p-6, 0x1.0a5aaad38444bp-6, 0x1.03d30f58cbfc7p-6, 0x1.faddb7842e09p-7, 0x1.ee5ae4c2d927bp-7, 0x1.e21c6ec40c887p-7, 0x1.d6212192a7765p-7, 0x1.ca67ccef80cd4p-7, 0x1.beef44525bdbdp-7, 0x1.b3b65eea8e757p-7, 0x1.a8bbf79f11d5bp-7, 0x1.9dfeed0e22ecdp-7, 0x1.937e218c8899bp-7, 0x1.89387b2463ab9p-7, 0x1.7f2ce393a200fp-7, 0x1.755a484a06b06p-7, 0x1.6bbf9a66daefbp-7, 0x1.625bceb63c76cp-7, 0x1.592dddae14a08p-7, 0x1.5034c36ac92dap-7, 0x1.476f7fab8acb2p-7, 0x1.3edd15ce5a45dp-7, 0x1.367c8ccbd6028p-7, 0x1.2e4cef3297ff4p-7, 0x1.264d4b2270ed9p-7, 0x1.1e7cb2475f52dp-7, 0x1.16da39d42d922p-7, 0x1.0f64fa7cf7e57p-7, 0x1.081c107158f8ap-7, 0x1.00fe9b567ba29p-7, 0x1.f4177c81be258p-8, 0x1.e6853f5bf979p-8, 0x1.d944d2fb613b5p-8, 0x1.cc5491d712e89p-8, 0x1.bfb2dd0fb4176p-8, 0x1.b35e1c61621fap-8, 0x1.a754be153cfdcp-8, 0x1.9b9536f2c2eb5p-8, 0x1.901e0230e2c93p-8, 0x1.84eda166cf7cep-8, 0x1.7a029c7c94d09p-8, 0x1.6f5b819b8f9dep-8, 0x1.64f6e51e829bep-8, 0x1.5ad36181aed6p-8, 0x1.50ef9752ad16p-8, 0x1.474a2d201a44ep-8, 0x1.3de1cf692a766p-8, 0x1.34b5308d16cd2p-8, 0x1.2bc308ba8454dp-8, 0x1.230a15dea11e3p-8, 0x1.1a891b945e1p-8, 0x1.123ee3136d0c5p-8, 0x1.0a2a3b1f4d289p-8, 0x1.0249f7f63d904p-8, 0x1.f539e68039677p-9, 0x1.e64417fa9ac0dp-9, 0x1.d7b04ceafed59p-9, 0x1.c97c584d34cf5p-9, 0x1.bba6176705eb2p-9, 0x1.ae2b71a5d451p-9, 0x1.a10a587c57c0dp-9, 0x1.9440c7404d4cfp-9, 0x1.87ccc308565eep-9, 0x1.7bac5a89ac624p-9, 0x1.6fdda5f636f47p-9, 0x1.645ec6da6397cp-9, 0x1.592de7fb7a5f4p-9, 0x1.4e493d35b41ebp-9, 0x1.43af035adde6dp-9, 0x1.395d8010b6237p-9, 0x1.2f5301afcaa42p-9, 0x1.258ddf223ddf6p-9, 0x1.1c0c77c2eeba1p-9, 0x1.12cd333cc3369p-9, 0x1.09ce8169fa747p-9, 0x1.010eda341f21dp-9, 0x1.f1197ae75bd96p-10, 0x1.e08d65a0b68ap-10, 0x1.d0769342ecc98p-10, 0x1.c0d2319ceae0ep-10, 0x1.b19d7d5f86e9fp-10, 0x1.a2d5c1e005db1p-10, 0x1.947858da858cfp-10, 0x1.8682aa35b886p-10, 0x1.78f22bc64692dp-10, 0x1.6bc461138ca67p-10, 0x1.5ef6db1c5a7a5p-10, 0x1.5287381c9a5e4p-10, 0x1.4673235346b7ep-10, 0x1.3ab854c941d0fp-10, 0x1.2f549118aa9ecp-10, 0x1.2445a934937dep-10, 0x1.19897a31c7252p-10, 0x1.0f1ded0fc4c3bp-10, 0x1.0500f682626afp-10, 0x1.f6612d78caf5cp-11, 0x1.e355b2748ff4ep-11, 0x1.d0dba91c1c963p-11, 0x1.beef5456a9695p-11, 0x1.ad8d0c68ab87bp-11, 0x1.9cb13e8eda981p-11, 0x1.8c586c9a78d3fp-11, 0x1.7c7f2c8ed613ep-11, 0x1.6d2228403c45bp-11, 0x1.5e3e1cf4151c1p-11, 0x1.4fcfdb02734ep-11, 0x1.41d4457895558p-11, 0x1.344851bd4abep-11, 0x1.27290735dfe18p-11, 0x1.1a737eec88e76p-11, 0x1.0e24e338ae6c3p-11, 0x1.023a6f67688c3p-11, 0x1.ed62decc98d03p-12, 0x1.d70e7edd652a9p-12, 0x1.c17297659e017p-12, 0x1.ac8a2016eb107p-12, 0x1.98502f4fdaff6p-12, 0x1.84bff97bfa1d2p-12, 0x1.71d4d077ddf65p-12, 0x1.5f8a22f6f66f8p-12, 0x1.4ddb7bebd96ep-12, 0x1.3cc481f3320a6p-12, 0x1.2c40f6c11527cp-12, 0x1.1c4cb6907ea1ep-12, 0x1.0ce3b7950f64ap-12, 0x1.fc0412df773b3p-13, 0x1.df47a948a967fp-13, 0x1.c38ab4276ccd8p-13, 0x1.a8c5e4eb98922p-13, 0x1.8ef21baea96b6p-13, 0x1.76086632e00e8p-13, 0x1.5e01fee67c917p-13, 0x1.46d84bec447b1p-13, 0x1.3084de2876d48p-13, 0x1.1b01704f695f1p-13, 0x1.0647e5fbd88fbp-13, 0x1.e4a4958dfcd09p-14, 0x1.be35a2ccbc905p-14, 0x1.9937a5989144ap-14, 0x1.759f9a9adb271p-14, 0x1.5362c7953b97ap-14, 0x1.3276b9ba0e085p-14, 0x1.12d1441153d6p-14, 0x1.e8d0fbc0ccdfcp-15, 0x1.ae65823948352p-15, 0x1.764d51c81af2bp-15, 0x1.40761ffa583f2p-15, 0x1.0cce1ebf5939bp-15, 0x1.b687f30ff97dfp-16, 0x1.578da4dcd23e7p-16, 0x1.f918fde28f316p-17, 0x1.4ac91f64a3f86p-17, 0x1.47db0a514710fp-18, 0x1.126d6e6970f83p-23, -0x1.28ba45fffb5cap-18, -0x1.26403db29e7dp-17, -0x1.b19741879550bp-17, -0x1.1b4c26dfbb8fdp-16, -0x1.5abc01950fc59p-16, -0x1.9734c6ae74387p-16, -0x1.d0cf55e10199p-16, -0x1.03d1ee9b89abp-15, -0x1.1de4eeb7aac62p-15, -0x1.36ac171d1d153p-15, -0x1.4e328133dc461p-15, -0x1.6482f5fa1bc8bp-15, -0x1.79a7f00431f46p-15, -0x1.8dab9d70e7856p-15, -0x1.a097e1d2444f7p-15, -0x1.b276580b746c8p-15, -0x1.c3505427cff07p-15, -0x1.d32ee5222dcb7p-15, -0x1.e21ad6a327247p-15, -0x1.f01cb2bc317e4p-15, -0x1.fd3cc3930edb7p-15, -0x1.04c18a82b2759p-14, -0x1.0a7bbb2061522p-14, -0x1.0fd0bdab41ad8p-14, -0x1.14c43f60ba09ep-14, -0x1.1959d1732ff09p-14, -0x1.1d94e9c4f44fcp-14, -0x1.2178e39f6b5b3p-14, -0x1.2509006683bf7p-14, -0x1.28486846203c4p-14, -0x1.2b3a2adeaed69p-14, -0x1.2de13feabfc9ap-14, -0x1.304087e28b06ap-14, -0x1.325acc9b38e0cp-14, -0x1.3432c1e275e7bp-14, -0x1.35cb06160cc3dp-14, -0x1.372622b8b9393p-14, -0x1.38468d02496cdp-14, -0x1.392ea66cd759bp-14, -0x1.39e0bd3fd039p-14, -0x1.3a5f0d163d34bp-14, -0x1.3aabbf627e2d4p-14, -0x1.3ac8ebedf6546p-14, -0x1.3ab89956da7fcp-14, -0x1.3a7cbd8a3aa1p-14, -0x1.3a173e3ae37a9p-14, -0x1.3989f1568b1e3p-14, -0x1.38d69d76d85ffp-14, -0x1.37fefa4f86caap-14, -0x1.3704b11b344edp-14, -0x1.35e95d035e37dp-14, -0x1.34ae8b8882288p-14, -0x1.3355bce51d4d1p-14, -0x1.31e0646fe1407p-14, -0x1.304fe8fa5b371p-14, -0x1.2ea5a52dd47a9p-14, -0x1.2ce2e7e568a0ap-14, -0x1.2b08f485e6a4bp-14, -0x1.291903543b211p-14, -0x1.271441c8422c5p-14, -0x1.24fbd2df0975fp-14, -0x1.22d0cf696918cp-14, -0x1.2094465976cb1p-14, -0x1.1e473d0d7dde4p-14, -0x1.1beaaf99eca21p-14, -0x1.197f910fdd4e3p-14, -0x1.1706cbc2d3b7dp-14, -0x1.1481418cca24dp-14, -0x1.11efcc0f9cbdbp-14, -0x1.0f533cf513327p-14, -0x1.0cac5e2d0314ep-14, -0x1.09fbf22a22697p-14, -0x1.0742b41d5fea6p-14, -0x1.0481582f654c4p-14, -0x1.01b88bb7ee7c4p-14, -0x1.fdd1eae968d83p-15, -0x1.f8266b7b0ef1fp-15, -0x1.f26fcd7136b81p-15, -0x1.ecaf39174c985p-15, -0x1.e6e5cb1a020cp-15, -0x1.e11494e65e534p-15, -0x1.db3c9d04b9a24p-15, -0x1.d55edf72a9bafp-15, -0x1.cf7c4df90a53cp-15, -0x1.c995d08055274p-15, -0x1.c3ac4563bc986p-15, -0x1.bdc081c04e55p-15, -0x1.b7d351c298c7cp-15, -0x1.b1e578f0b749ap-15, -0x1.abf7b27501889p-15, -0x1.a60ab163a8d02p-15, -0x1.a01f20fff7494p-15, -0x1.9a35a4fee92a7p-15, -0x1.944ed9c8a382bp-15, -0x1.8e6b54b76f796p-15, -0x1.888ba454d20b5p-15, -0x1.82b05094b6e8bp-15, -0x1.7cd9db0f495ffp-15, -0x1.7708bf384e217p-15, -0x1.713d7296f6caap-15, -0x1.6b7864f8a634bp-15, -0x1.65ba00a4a28dbp-15, -0x1.6002aa8e0ecfbp-15, -0x1.5a52c283bad0ep-15, -0x1.54aaa35eaa625p-15, -0x1.4f0aa32e4bc2ap-15, -0x1.4973136574384p-15, -0x1.43e44103fff2ap-15, -0x1.3e5e74c0889cfp-15, -0x1.38e1f3300ea4bp-15, -0x1.336efcec782efp-15, -0x1.2e05ceba1bc65p-15, -0x1.28a6a1ac1645dp-15, -0x1.2351ab471b49ap-15, -0x1.1e071da326d74p-15, -0x1.18c7278c952cdp-15, -0x1.1391f4a46208ap-15, -0x1.0e67ad7f0a192p-15, -0x1.094877c1f4a59p-15, -0x1.0434764053392p-15, -0x1.fe57922e6ac2dp-16, -0x1.f45d1b90f4ca9p-16, -0x1.ea79beaa9c7eep-16, -0x1.e0adacaddca7dp-16, -0x1.d6f9123086deep-16, -0x1.cd5c1758d6dcep-16, -0x1.c3d6e00ca689p-16, -0x1.ba698c1d4fbfdp-16, -0x1.b11437716ca13p-16, -0x1.a7d6fa2ee4f7cp-16, -0x1.9eb1e8e2b3f5bp-16, -0x1.95a514a7fd677p-16, -0x1.8cb08b4d7f85dp-16, -0x1.83d457784b43ep-16, -0x1.7b1080c8526dcp-16, -0x1.72650bf8311f7p-16, -0x1.69d1fafef61eep-16, -0x1.61574d2e98ee9p-16, -0x1.58f4ff51fb24dp-16, -0x1.50ab0bcc1e2a5p-16, -0x1.48796ab1b2c74p-16, -0x1.406011e5e782fp-16, -0x1.385ef533b24b5p-16, -0x1.307606673d6b8p-16, -0x1.28a53565e9567p-16, -0x1.20ec70454f5c3p-16, -0x1.194ba3632e8f6p-16, -0x1.11c2b97a73e9ap-16, -0x1.0a519bb7ccfc7p-16, -0x1.02f831cef8dcbp-16, -0x1.f76cc419ccf7fp-17, -0x1.e91822d71c516p-17, -0x1.daf247457d58dp-17, -0x1.ccfaf6759bd6fp-17, -0x1.bf31f3391e9p-17, -0x1.b196fe42f0455p-17, -0x1.a429d645abb13p-17, -0x1.96ea3812b7554p-17, -0x1.89d7deb51a021p-17, -0x1.7cf2838e06ebdp-17, -0x1.7039de6cd8f92p-17, -0x1.63ada5acb4fcp-17, -0x1.574d8e47e2ef2p-17, -0x1.4b194bf2c2c5dp-17, -0x1.3f109131b5871p-17, -0x1.33330f6d255b1p-17, -0x1.278077074908fp-17, -0x1.1bf8776f60f54p-17, -0x1.109abf3605f17p-17, -0x1.0566fc1e04797p-17, -0x1.f4b9b65ab7a87p-18, -0x1.def8117f327afp-18, -0x1.c988612728e75p-18, -0x1.b469fbbb34a2p-18, -0x1.9f9c36a75776dp-18, -0x1.8b1e6677d0939p-18, -0x1.76efdef4c4e97p-18, -0x1.630ff33e4d4c9p-18, -0x1.4f7df5de7ec08p-18, -0x1.3c3938e6b19c6p-18, -0x1.29410e053caddp-18, -0x1.1694c695e5625p-18, -0x1.0433b3bccdac9p-18, -0x1.e43a4cebe548ep-19, -0x1.c0a0df55a53e8p-19, -0x1.9d99c07fa4869p-19, -0x1.7b23924f20962p-19, -0x1.593cf6e939134p-19, -0x1.37e490c6cb103p-19, -0x1.171902d80d31dp-19, -0x1.edb1e1470647p-20, -0x1.ae45fcaf28a73p-20, -0x1.6feba1d2049eep-20, -0x1.32a01c5bdc963p-20, -0x1.ecc173a9b5305p-21, -0x1.765593a6a68bep-21, -0x1.01f73c64c1903p-21, -0x1.1f422c6674e1cp-22, -0x1.f4dce7bd2b69dp-25, 0x1.3c1fa063e2932p-23, 0x1.76caaa8727116p-22, 0x1.25cfbb0bf2c53p-21, 0x1.8e4c5586dfb13p-21, 0x1.f4e05a88c84a9p-21, 0x1.2cc87cbd82b8ep-20, 0x1.5e31ada2bb4b2p-20, 0x1.8eae510c092d3p-20, 0x1.be40f4987e1dep-20, 0x1.ecec226943eddp-20, 0x1.0d59307d3f1c4p-19, 0x1.23cb199233019p-19, 0x1.39cd0c06176afp-19, 0x1.4f6045853a398p-19, 0x1.648601d2709b9p-19, 0x1.793f7ac30314cp-19, 0x1.8d8de834cf709p-19, 0x1.a17280087eadfp-19, 0x1.b4ee762053791p-19, 0x1.c802fc5a4ff27p-19, 0x1.dab1428fca768p-19, 0x1.ecfa768b31998p-19, 0x1.fedfc4063af4p-19, 0x1.08312a57d89ffp-18, 0x1.10c1a80f260afp-18, 0x1.1921edea5fa5p-18, 0x1.21528da047942p-18, 0x1.295417d991eb9p-18, 0x1.31271c30784bfp-18, 0x1.38cc29341fc44p-18, 0x1.4043cc6422dap-18, 0x1.478e9231aa457p-18, 0x1.4ead05fff187fp-18, 0x1.559fb224a294p-18, 0x1.5c671fe402f8cp-18, 0x1.6303d774d4429p-18, 0x1.697660000a317p-18, 0x1.6fbf3fa10fe61p-18, 0x1.75defb6627dcbp-18, 0x1.7bd6174f1fe2cp-18, 0x1.81a5164ed95ecp-18, 0x1.874c7a4dca0cbp-18, 0x1.8cccc427d8eebp-18, 0x1.922673ae70111p-18, 0x1.975a07aa19935p-18, 0x1.9c67fdd974777p-18, 0x1.a150d2f1a1df5p-18, 0x1.a61502a272f61p-18, 0x1.aab507943323cp-18, 0x1.af315b691f9e8p-18, 0x1.b38a76bf821dbp-18, 0x1.b7c0d132fa4cfp-18, 0x1.bbd4e15b9e213p-18, 0x1.bfc71ccff4d8p-18, 0x1.c397f82657c2fp-18, 0x1.c747e6f6b8d17p-18, 0x1.cad75bdb3ac0ap-18, 0x1.ce46c8712cbbp-18, 0x1.d1969d59f822ep-18, 0x1.d4c74a3c9de6ap-18, 0x1.d7d93dc710f47p-18, 0x1.dacce5ae9b65bp-18, 0x1.dda2aeb2c33f5p-18, 0x1.e05b049f5672ep-18, 0x1.e2f65248f119ap-18, 0x1.e57501928b96p-18, 0x1.e7d77b6f1c38ap-18, 0x1.ea1e27df3886bp-18, 0x1.ec496df557509p-18, 0x1.ee59b3d5d9573p-18, 0x1.f04f5eb9a9298p-18, 0x1.f22ad2ee947eap-18, }}, 
      {{0x1.528f0fda11b6bp-1, 0x1.528e113d4ed44p-1, 0x1.528d38cd83f08p-1, 0x1.528d7438f313dp-1, 0x1.528fa44770169p-1, 0x1.529463a003c1p-1, 0x1.529bdc420e8e9p-1, 0x1.52a5acce3ddf9p-1, 0x1.52b0dc44c980bp-1, 0x1.52bbd9c110cd8p-1, 0x1.52c4856c01a21p-1, 0x1.52c840000ec57p-1, 0x1.52c3fe8edc706p-1, 0x1.52b4609f5b74ep-1, 0x1.5295c720b450fp-1, 0x1.52646b0abf5f7p-1, 0x1.521c72d4bbd9cp-1, 0x1.51ba062e0724bp-1, 0x1.51395f9b578fp-1, 0x1.5096dbc6bc9f8p-1, 0x1.4fcf06728d116p-1, 0x1.4edea518f21d4p-1, 0x1.4dc2bf5423c9bp-1, 0x1.4c78a537eca4fp-1, 0x1.4afdf3ccc3fe9p-1, 0x1.495097e0cc7b4p-1, 0x1.476ecf6416dc7p-1, 0x1.45572984812c3p-1, 0x1.430885bafeb25p-1, 0x1.408211f889584p-1, 0x1.3dc3481ce1c37p-1, 0x1.3acbeadcda774p-1, 0x1.379c02397f1e6p-1, 0x1.3433d7a515088p-1, 0x1.3093f1eeec51p-1, 0x1.2cbd110b2f98dp-1, 0x1.28b029c8854ccp-1, 0x1.246e618246963p-1, 0x1.1ff909db6fa05p-1, 0x1.1b519c8c12c2ap-1, 0x1.1679b74920c5dp-1, 0x1.117317cca2366p-1, 0x1.0c3f98030dd0ap-1, 0x1.06e12a6132e3fp-1, 0x1.0159d6652dea9p-1, 0x1.f7576a880faabp-2, 0x1.ebb1dd89e7d35p-2, 0x1.dfc76c9517444p-2, 0x1.d39c9013f8127p-2, 0x1.c735ccdf669b3p-2, 0x1.ba97af61a97eap-2, 0x1.adc6c71105455p-2, 0x1.a0c7a23fad0a1p-2, 0x1.939eca3e82292p-2, 0x1.8650bfcfe183dp-2, 0x1.78e1f7e786ccap-2, 0x1.6b56d8b47d2a7p-2, 0x1.5db3b6f1f779ep-2, 0x1.4ffcd37be0564p-2, 0x1.42365923ee1e5p-2, 0x1.34645ac404157p-2, 0x1.268ad18aab123p-2, 0x1.18ad9b7e7d544p-2, 0x1.0ad07a355fc83p-2, 0x1.f9ee2378f11ap-3, 0x1.de49cf5bc76e1p-3, 0x1.c2bac4e26f21bp-3, 0x1.a7479147ecb8p-3, 0x1.8bf6814e6c7ap-3, 0x1.70cda09f83aafp-3, 0x1.55d2b96c4d46ap-3, 0x1.3b0b54486355ep-3, 0x1.207cb83ae6467p-3, 0x1.062beb01076ebp-3, 0x1.d83b62fb66f35p-4, 0x1.a4ad20a4670e6p-4, 0x1.71b59937b2331p-4, 0x1.3f5cd9a5caa8cp-4, 0x1.0daa738e5729cp-4, 0x1.b94afedc5dbebp-5, 0x1.58a93df7a985p-5, 0x1.f2f7feb21d654p-6, 0x1.379d75716a21bp-6, 0x1.fd6051432950cp-8, -0x1.ae2502e4fd648p-9, -0x1.cf4d908aa0f57p-7, -0x1.963e1b0888ae7p-6, -0x1.20bdedf948af1p-5, -0x1.74a966ca1f7d9p-5, -0x1.c6db92a134dddp-5, -0x1.0ba79fa24b836p-4, -0x1.32fff3a764b2cp-4, -0x1.5974d5f5d43bcp-4, -0x1.7f04a74edea1bp-4, -0x1.a3ae1587fa857p-4, -0x1.c770187b9776fp-4, -0x1.ea49ef0377041p-4, -0x1.061d8dfeecb6fp-3, -0x1.16a1b1af6c06dp-3, -0x1.26b163a772febp-3, -0x1.364cc2abb3938p-3, -0x1.457409cf1a2c3p-3, -0x1.54278f1846653p-3, -0x1.6267c22f2095cp-3, -0x1.70352b129b0afp-3, -0x1.7d9068d6f52cep-3, -0x1.8a7a306c808dp-3, -0x1.96f34b6f0f739p-3, -0x1.a2fc96fe1bdf7p-3, -0x1.ae97029d9aa8dp-3, -0x1.b9c38f1f96eb3p-3, -0x1.c4834d966b7f5p-3, -0x1.ced75e4fa7b63p-3, -0x1.d8c0efd77de7dp-3, -0x1.e2413e04a254ap-3, -0x1.eb59910c8b64ap-3, -0x1.f40b3c9fe121p-3, -0x1.fc579f0f0dd5fp-3, -0x1.0220103b5ae72p-2, -0x1.05e318fa01677p-2, -0x1.0975a67045f43p-2, -0x1.0cd8790ad9e58p-2, -0x1.100c549bada7ep-2, -0x1.13120002d38fap-2, -0x1.15ea44dae21d5p-2, -0x1.1895ef28b6092p-2, -0x1.1b15cd0e80bafp-2, -0x1.1d6aae820b6f7p-2, -0x1.1f9565061d01bp-2, -0x1.2196c366e23e9p-2, -0x1.236f9d794d52bp-2, -0x1.2520c7dd4df98p-2, -0x1.26ab17c2d0d6cp-2, -0x1.280f62b170dd9p-2, -0x1.294e7e52bff14p-2, -0x1.2a69403f1ca2p-2, -0x1.2b607dccf55bap-2, -0x1.2c350be26b638p-2, -0x1.2ce7bec9432cfp-2, -0x1.2d796a0509d3ep-2, -0x1.2deae02b628bfp-2, -0x1.2e3cf2be63d3bp-2, -0x1.2e707208fc104p-2, -0x1.2e862cfd401a9p-2, -0x1.2e7ef1149ee72p-2, -0x1.2e5b8a31dfe55p-2, -0x1.2e1cc284e50c8p-2, -0x1.2dc3627018d73p-2, -0x1.2d50306f7e7f8p-2, -0x1.2cc3f10156696p-2, -0x1.2c1f66904442cp-2, -0x1.2b63515eea178p-2, -0x1.2a906f74ef1dep-2, -0x1.29a77c8d60322p-2, -0x1.28a9320660556p-2, -0x1.279646d21a3acp-2, -0x1.266f6f68ea179p-2, -0x1.25355dbcb1a3cp-2, -0x1.23e8c12d4b4b4p-2, -0x1.228a467e14356p-2, -0x1.211a97cc7e2edp-2, -0x1.1f9a5c87a1fa9p-2, -0x1.1e0a3968c94p-2, -0x1.1c6ad06cdfceep-2, -0x1.1abcc0cecedcep-2, -0x1.1900a702a92c1p-2, -0x1.17371cb1af935p-2, -0x1.1560b8b715479p-2, -0x1.137e0f1d8bd1bp-2, -0x1.118fb11d7eefep-2, -0x1.0f962d1c05aa3p-2, -0x1.0d920eaa75b0cp-2, -0x1.0b83de869a559p-2, -0x1.096c229b8493ap-2, -0x1.074b5e02e8b4p-2, -0x1.052211070d156p-2, -0x1.02f0b925379dcp-2, -0x1.00b7d1109cea7p-2, -0x1.fcefa16b88f8bp-3, -0x1.f8625a7cc2e22p-3, -0x1.f3c8b22b260e8p-3, -0x1.ef2387d92004p-3, -0x1.ea73b57f5b0ecp-3, -0x1.e5ba0fb78add1p-3, -0x1.e0f765c7df5b7p-3, -0x1.dc2c81af1ceep-3, -0x1.d75a28314bf5p-3, -0x1.d28118e4f6d07p-3, -0x1.cda20e40ecb5ep-3, -0x1.c8bdbdaa85d3ep-3, -0x1.c3d4d78453a62p-3, -0x1.bee8073d48098p-3, -0x1.b9f7f360398c8p-3, -0x1.b5053da3c41c4p-3, -0x1.b01082fa844a9p-3, -0x1.ab1a5ba398f2cp-3, -0x1.a6235b3b76ab9p-3, -0x1.a12c10ccee3eap-3, -0x1.9c3506e2789bfp-3, -0x1.973ec397b24ddp-3, -0x1.9249c8ab03c8fp-3, -0x1.8d56938f73137p-3, -0x1.88659d7e997cfp-3, -0x1.83775b8ab49adp-3, -0x1.7e8c3eb0cf045p-3, -0x1.79a4b3eb0290fp-3, -0x1.74c12442befd1p-3, -0x1.6fe1f4e324c91p-3, -0x1.6b07872b6018fp-3, -0x1.663238c107f9ap-3, -0x1.616263a27be4p-3, -0x1.5c985e3939556p-3, -0x1.57d47b6c27ba9p-3, -0x1.53170ab1db8ffp-3, -0x1.4e605822c8ca6p-3, -0x1.49b0ac8b591a8p-3, -0x1.45084d7dfb271p-3, -0x1.40677d650cd5p-3, -0x1.3bce7b94add04p-3, -0x1.373d845c75ee7p-3, -0x1.32b4d11908628p-3, -0x1.2e3498458745dp-3, -0x1.29bd0d8cdc077p-3, -0x1.254e61dae3b5ep-3, -0x1.20e8c36d64bf3p-3, -0x1.1c8c5de4e96cep-3, -0x1.18395a5560521p-3, -0x1.13efdf569989dp-3, -0x1.0fb011148f2f6p-3, -0x1.0b7a115f7d751p-3, -0x1.074dffbbcfa19p-3, -0x1.032bf971ce995p-3, -0x1.fe28333a51683p-4, -0x1.f60cf27872b85p-4, -0x1.ee065e7e4b284p-4, -0x1.e614a12d708c6p-4, -0x1.de37e0861c658p-4, -0x1.d6703ec40fa1fp-4, -0x1.cebdda7b04057p-4, -0x1.c720ceb2b2413p-4, -0x1.bf993302622dap-4, -0x1.b8271babfe1cbp-4, -0x1.b0ca99b6c8eecp-4, -0x1.a983bb098af04p-4, -0x1.a2528a8456eaep-4, -0x1.9b371019d2509p-4, -0x1.943150e813d79p-4, -0x1.8d414f50fb831p-4, -0x1.86670b122c05dp-4, -0x1.7fa2815c7caf3p-4, -0x1.78f3aceb02d9p-4, -0x1.725a8619a1982p-4, -0x1.6bd702fb29037p-4, -0x1.6569176efff68p-4, -0x1.5f10b5365e789p-4, -0x1.58cdcc091407cp-4, -0x1.52a049a9dbe4fp-4, -0x1.4c8819fa44a73p-4, -0x1.4685270e2684bp-4, -0x1.4097593ea8228p-4, -0x1.3abe973cdb6cap-4, -0x1.34fac623e89cp-4, -0x1.2f4bc98acfdb2p-4, -0x1.29b18395bf147p-4, -0x1.242bd507018a5p-4, -0x1.1eba9d4f8121bp-4, -0x1.195dba9ee6369p-4, -0x1.141509f34d2fp-4, -0x1.0ee06728992fcp-4, -0x1.09bfad07641fap-4, -0x1.04b2b55388751p-4, -0x1.ff72b1b49da9dp-5, -0x1.f5a6df0072b38p-5, -0x1.ec01a09ce06cbp-5, -0x1.e282a2ffa39d8p-5, -0x1.d929911b5016p-5, -0x1.cff61478072ebp-5, -0x1.c6e7d54b75915p-5, -0x1.bdfe7a902ba3bp-5, -0x1.b539aa1c42dbdp-5, -0x1.ac9908b75e6abp-5, -0x1.a41c3a3001418p-5, -0x1.9bc2e170434cap-5, -0x1.938ca091e5897p-5, -0x1.8b7918f1c7c76p-5, -0x1.8387eb42c1234p-5, -0x1.7bb8b79fe4bc5p-5, -0x1.740b1d9e2e0fap-5, -0x1.6c7ebc5d9c049p-5, -0x1.65133299b99a7p-5, -0x1.5dc81eb99b9c8p-5, -0x1.569d1edf58a1ep-5, -0x1.4f91d0f6ee563p-5, -0x1.48a5d2c4b0893p-5, -0x1.41d8c1f326ef9p-5, -0x1.3b2a3c2079f1dp-5, -0x1.3499deeb5eb53p-5, -0x1.2e2747ff7fe7dp-5, -0x1.27d215217cff1p-5, -0x1.2199e43a6df6bp-5, -0x1.1b7e5362f83b6p-5, -0x1.157f00edf1efcp-5, -0x1.0f9b8b7298d3bp-5, -0x1.09d391d66106p-5, -0x1.0426b3565a927p-5, -0x1.fd291f2060866p-6, -0x1.f2398d159adb2p-6, -0x1.e77df17d286ccp-6, -0x1.dcf58e3a7f7dap-6, -0x1.d29fa632d7c9ap-6, -0x1.c87b7d5b79ebfp-6, -0x1.be8858c771d86p-6, -0x1.b4c57eb488f75p-6, -0x1.ab323697a4bd6p-6, -0x1.a1cdc92882022p-6, -0x1.9897806cd099fp-6, -0x1.8f8ea7c2beae2p-6, -0x1.86b28beaf04f5p-6, -0x1.7e027b11dfbc7p-6, -0x1.757dc4d8b525bp-6, -0x1.6d23ba5d9a254p-6, -0x1.64f3ae438566fp-6, -0x1.5cecf4b99451cp-6, -0x1.550ee381ce19fp-6, -0x1.4d58d1f7893bcp-6, -0x1.45ca19154e142p-6, -0x1.3e62137a46113p-6, -0x1.37201d6f4912ep-6, -0x1.300394eb7c50dp-6, -0x1.290bd99884e2ap-6, -0x1.22384cd65e187p-6, -0x1.1b8851bec3761p-6, -0x1.14fb4d28539b1p-6, -0x1.0e90a5a93f0f8p-6, -0x1.0847c399b86f7p-6, -0x1.02201116037acp-6, -0x1.f831f4005dfffp-7, -0x1.ec63d8031237dp-7, -0x1.e0d4ad1794964p-7, -0x1.d58355b3dc4cbp-7, -0x1.ca6eb7e199936p-7, -0x1.bf95bd3ee866p-7, -0x1.b4f752fe6f7ap-7, -0x1.aa9269e6ff23p-7, -0x1.a065f652dd2d8p-7, -0x1.9670f02e6aa85p-7, -0x1.8cb252f6861fcp-7, -0x1.83291db679095p-7, -0x1.79d453055e132p-7, -0x1.70b2f90359028p-7, -0x1.67c419564e8p-7, -0x1.5f06c1264d131p-7, -0x1.567a0119a1ad4p-7, -0x1.4e1ced50a19d1p-7, -0x1.45ee9d611d1cp-7, -0x1.3dee2c51815b3p-7, -0x1.361ab893c4cdbp-7, -0x1.2e73640004c67p-7, -0x1.26f753ceeba2cp-7, -0x1.1fa5b093d26b2p-7, -0x1.187da636b7aabp-7, -0x1.117e63edecd09p-7, -0x1.0aa71c37936e4p-7, -0x1.03f704d2ff4d7p-7, -0x1.fadaad739cfc2p-8, -0x1.ee129c31da89p-8, -0x1.e1945492d924cp-8, -0x1.d55e5b924e32ap-8, -0x1.c96f3c669c516p-8, -0x1.bdc58871b9043p-8, -0x1.b25fd731b13f8p-8, -0x1.a73cc63110f89p-8, -0x1.9c5af8f70c7f3p-8, -0x1.91b918f798f51p-8, -0x1.8755d5832360cp-8, -0x1.7d2fe3b650c22p-8, -0x1.7345fe697bba1p-8, -0x1.6996e62015c39p-8, -0x1.602160f81f81dp-8, -0x1.56e43a992ccedp-8, -0x1.4dde4423a505fp-8, -0x1.450e541fce1b9p-8, -0x1.3c73466ccddb1p-8, -0x1.340bfc2f9cc97p-8, -0x1.2bd75bc1eceddp-8, -0x1.23d450a115aadp-8, -0x1.1c01cb5cf1851p-8, -0x1.145ec186d2b63p-8, -0x1.0cea2da04ea7fp-8, -0x1.05a30f0a38b85p-8, -0x1.fd10d3e712945p-9, -0x1.ef328e909b1e9p-9, -0x1.e1a96941584dep-9, -0x1.d473885fe72cap-9, -0x1.c78f196770785p-9, -0x1.bafa52c5efcb1p-9, -0x1.aeb373bac9958p-9, -0x1.a2b8c43557868p-9, -0x1.970894b3bd91bp-9, -0x1.8ba13e21cf496p-9, -0x1.808121b85f9eap-9, -0x1.75a6a8dc6db94p-9, -0x1.6b1044fedd6dap-9, -0x1.60bc6f7c30d18p-9, -0x1.56a9a97c9eb4dp-9, -0x1.4cd67bd4357c6p-9, -0x1.434176e367427p-9, -0x1.39e93277bbaebp-9, -0x1.30cc4dacfa478p-9, -0x1.27e96ece36ec2p-9, -0x1.1f3f433787c2ap-9, -0x1.16cc7f37b4f38p-9, -0x1.0e8fddf27d04ap-9, -0x1.06882142c7c02p-9, -0x1.fd68233b183f5p-10, -0x1.ee24fbe923423p-10, -0x1.df44773396932p-10, -0x1.d0c44c461df87p-10, -0x1.c2a23e9ba2a3p-10, -0x1.b4dc1dc6b06d8p-10, -0x1.a76fc53ae5f2bp-10, -0x1.9a5b1c161db48p-10, -0x1.8d9c14eafb0c9p-10, -0x1.8130ad8c223f5p-10, -0x1.7516eed745c67p-10, -0x1.694cec81aba87p-10, -0x1.5dd0c4e515e45p-10, -0x1.52a0a0cd4cfe9p-10, -0x1.47bab34633e9ep-10, -0x1.3d1d396ad9445p-10, -0x1.32c67a34c8c11p-10, -0x1.28b4c64c1e3a3p-10, -0x1.1ee677d8bd7dep-10, -0x1.1559f25358921p-10, -0x1.0c0da257b5b9p-10, -0x1.02fffd777d5bbp-10, -0x1.f45f041b24331p-11, -0x1.e3356e24915a1p-11, -0x1.d28057dfe79b7p-11, -0x1.c23cf0b0fc205p-11, -0x1.b2687835e7584p-11, -0x1.a3003df532bb5p-11, -0x1.9401a10c015e3p-11, -0x1.856a0fddedd34p-11, -0x1.773707c5c8ffcp-11, -0x1.696614c84c2a9p-11, -0x1.5bf4d14771e6ap-11, -0x1.4ee0e5b72ceb5p-11, -0x1.42280853e2dcap-11, -0x1.35c7fcd8e1384p-11, -0x1.29be9439311f4p-11, -0x1.1e09ac58b3db5p-11, -0x1.12a72fc7a4542p-11, -0x1.0795157e1a52bp-11, -0x1.f9a2c131eac19p-12, -0x1.e4b440312ff65p-12, -0x1.d05add3f6e81ep-12, -0x1.bc92e467fc39cp-12, -0x1.a958b8015f2d7p-12, -0x1.96a8d02f967a4p-12, -0x1.847fba6dac82ep-12, -0x1.72da1916aeae4p-12, -0x1.61b4a2f2184d7p-12, -0x1.510c22c1ac8dcp-12, -0x1.40dd76d1accbdp-12, -0x1.3125908b15b8p-12, -0x1.21e17407947b2p-12, -0x1.130e37a78d06ep-12, -0x1.04a903ab3dfd9p-12, -0x1.ed5e23982e133p-13, -0x1.d23b59b2534a9p-13, -0x1.b7e460a92b446p-13, -0x1.9e541028c8afbp-13, -0x1.85855fc7246adp-13, -0x1.6d73664a9125ep-13, -0x1.561958f8933c7p-13, -0x1.3f728adf81b17p-13, -0x1.297a6c2ac2d7p-13, -0x1.142c897726af1p-13, -0x1.ff0916587d09fp-14, -0x1.d6fc69b0e0c5ap-14, -0x1.b02ac9208391dp-14, -0x1.8a8c24a245f1cp-14, -0x1.66189ecd88f73p-14, -0x1.42c88ba7f3adap-14, -0x1.20946f7f0651ap-14, -0x1.fee9fb934700fp-15, -0x1.bec6300c13072p-15, -0x1.80af99502a732p-15, -0x1.4498ac0f14cc7p-15, -0x1.0a7432afce3f7p-15, -0x1.a46a9688a0472p-16, -0x1.379ecb1d56b05p-16, -0x1.9cd90438dc2a3p-17, -0x1.a2ef58af73c82p-18, -0x1.9d5e75e4aec46p-22, 0x1.61f5303e2ffd2p-18, 0x1.686547f6c55c9p-17, 0x1.0cc0292aaee2bp-16, 0x1.623aed17ebd95p-16, 0x1.b4b77ac686c15p-16, 0x1.0224ed069663cp-15, 0x1.2882c96398cf5p-15, 0x1.4d7ed7fa0a1aep-15, 0x1.7122616066533p-15, 0x1.937672c1c0279p-15, 0x1.b483df5806c11p-15, 0x1.d45341d7aa68p-15, 0x1.f2ecfdd06e301p-15, 0x1.082ca0864da7dp-14, 0x1.16500272958b2p-14, 0x1.23e487c775584p-14, 0x1.30edfaaf5d4f9p-14, 0x1.3d700d0465f57p-14, 0x1.496e58ea64c22p-14, 0x1.54ec6168aa2b7p-14, 0x1.5fed92f9388c4p-14, 0x1.6a75441c49e31p-14, 0x1.7486b5e613fd3p-14, 0x1.7e251487d57c4p-14, 0x1.875377d4fc80cp-14, 0x1.9014e3c81b6d7p-14, 0x1.986c49013c887p-14, 0x1.a05c85446e88ep-14, 0x1.a7e863f1ec2dp-14, 0x1.af129e7f2c326p-14, 0x1.b5dddceade788p-14, 0x1.bc4cb62df344cp-14, 0x1.c261b0a89318ep-14, 0x1.c81f428f46a21p-14, 0x1.cd87d254f0686p-14, 0x1.d29db710eee79p-14, 0x1.d76338e2bd586p-14, 0x1.dbda915436feap-14, 0x1.e005ebb8eedeep-14, 0x1.e3e7658ad3b3p-14, 0x1.e7810ec2ea44fp-14, 0x1.ead4ea344da71p-14, 0x1.ede4ede149d1ap-14, 0x1.f0b3034fef23ap-14, 0x1.f34107daf4231p-14, 0x1.f590cd00af0c4p-14, 0x1.f7a418b23368p-14, 0x1.f97ca59f0ef1ap-14, 0x1.fb1c237da798dp-14, 0x1.fc84375465135p-14, 0x1.fdb67bc0454e8p-14, 0x1.feb481382232ap-14, 0x1.ff7fce4fca5dep-14, 0x1.000ceffb325a8p-13, 0x1.004214dc9fa11p-13, 0x1.00600affbdb53p-13, 0x1.0067832362604p-13, 0x1.005929ae52acfp-13, 0x1.0035a6cbce717p-13, 0x1.fffb3d0f01db2p-14, 0x1.ff6361d078ec4p-14, 0x1.fea4f4141260bp-14, 0x1.fdc1246f9dd77p-14, 0x1.fcb91c09613e5p-14, 0x1.fb8dfcc7f803ap-14, 0x1.fa40e1818c8dp-14, 0x1.f8d2de2838184p-14, 0x1.f744fff8bc4b5p-14, 0x1.f5984da54a27dp-14, 0x1.f3cdc780743b3p-14, 0x1.f1e667a58d7aep-14, 0x1.efe3222102b95p-14, 0x1.edc4e5180c91ap-14, 0x1.eb8c98ee2d7a7p-14, 0x1.e93b2069c5a7bp-14, 0x1.e6d158d833a2bp-14, 0x1.e4501a318c65ep-14, 0x1.e1b8373aa6ba3p-14, 0x1.df0a7da63e328p-14, 0x1.dc47b634c1ad4p-14, 0x1.d970a4d3bb283p-14, 0x1.d68608bcb5dfap-14, 0x1.d3889c93a486dp-14, 0x1.d079168268837p-14, 0x1.cd582855ada22p-14, 0x1.ca267f98f3064p-14, 0x1.c6e4c5b08d48ep-14, 0x1.c3939ff426b1bp-14, 0x1.c033afc6456e1p-14, 0x1.bcc592ae7c86p-14, 0x1.b949e270d70dcp-14, 0x1.b5c1352558f48p-14, 0x1.b22c1d4ed1169p-14, 0x1.ae8b29f044d24p-14, 0x1.aadee6a235c8ep-14, 0x1.a727dba8574f8p-14, 0x1.a3668e05497e1p-14, 0x1.9f9b7f8dc085cp-14, 0x1.9bc72efc67056p-14, 0x1.97ea18045cf0ep-14, 0x1.9404b36403c0dp-14, 0x1.901776f5f27a4p-14, 0x1.8c22d5c22dcdbp-14, 0x1.8827400e696bp-14, 0x1.8425236f4ffb4p-14, 0x1.801cead7d19e4p-14, 0x1.7c0efea8a086fp-14, 0x1.77fbc4bffed59p-14, 0x1.73e3a086fcb9p-14, 0x1.6fc6f300a81eep-14, 0x1.6ba61ad7cbfe4p-14, 0x1.6781746bcd8e1p-14, 0x1.635959ddfc983p-14, 0x1.5f2e231e7f192p-14, 0x1.5b0025f920972p-14, 0x1.56cfb62168a5ep-14, 0x1.529d253d8ae0ap-14, 0x1.4e68c2f2b2642p-14, 0x1.4a32dcef88f0fp-14, 0x1.45fbbef79f0dbp-14, 0x1.41c3b2eddea01p-14, 0x1.3d8b00dee2245p-14, 0x1.3951ef0b29d7fp-14, 0x1.3518c1f0b2bafp-14, 0x1.30dfbc54b10cbp-14, 0x1.2ca71f4cd35a9p-14, 0x1.286f2a484652ep-14, 0x1.24381b18141f2p-14, 0x1.20022df8600fcp-14, 0x1.1bcd9d990e8efp-14, 0x1.179aa325233cfp-14, 0x1.1369764b93948p-14, 0x1.0f3a4d46ac0dbp-14, 0x1.0b0d5ce363f42p-14, 0x1.06e2d88917063p-14, 0x1.02baf240de291p-14, 0x1.fd2bb5795cee6p-15, 0x1.f4e782bb3a81fp-15, 0x1.eca9a8772ab16p-15, 0x1.e4728055d006p-15, 0x1.dc426186f7bfap-15, 0x1.d419a0cdd34a8p-15, 0x1.cbf8908c49af2p-15, 0x1.c3df80cea766fp-15, 0x1.bbcebf59eed97p-15, 0x1.b3c697b41eda9p-15, 0x1.abc75330befe9p-15, 0x1.a3d138fc49895p-15, 0x1.9be48e267523p-15, 0x1.940195ab5ab73p-15, 0x1.8c28907f3b43dp-15, 0x1.8459bd989fc2dp-15, 0x1.7c9559f83503p-15, 0x1.74dba0b4445d4p-15, 0x1.6d2ccb01429dap-15, 0x1.6589103a11768p-15, 0x1.5df0a5eaf22e9p-15, 0x1.5663bfd92ead3p-15, 0x1.4ee2900aa4fbp-15, 0x1.476d46cf93958p-15, 0x1.400412cb23a8ep-15, 0x1.38a720f9d7382p-15, 0x1.31569cba2fcdbp-15, 0x1.2a12afd554739p-15, 0x1.22db8285e17ebp-15, 0x1.1bb13b7ebe1dbp-15, 0x1.1493fff38f28p-15, 0x1.0d83f39fe663p-15, 0x1.068138ccab184p-15, 0x1.ff17e0b17f62cp-16, 0x1.f148737f4b1dap-16, 0x1.e394663c8ee6cp-16, 0x1.d5fbf2765d6eap-16, 0x1.c87f4f1af904fp-16, 0x1.bb1eb082eea88p-16, 0x1.adda487ebfb43p-16, 0x1.a0b24664e7c82p-16, 0x1.93a6d71b8e732p-16, 0x1.86b82522e179fp-16, 0x1.79e658a4dc643p-16, 0x1.6d31977d7c3dfp-16, 0x1.609a054716995p-16, 0x1.541fc3640f8b1p-16, 0x1.47c2f10c46179p-16, 0x1.3b83ab5489ba1p-16, 0x1.2f620d3a1cd38p-16, 0x1.235e2faea3306p-16, 0x1.177829a015a8fp-16, 0x1.0bb0100278d69p-16, 0x1.0005f5db4ef07p-16, 0x1.e8f3d8959263cp-17, 0x1.d21805275a23ap-17, 0x1.bb788c4f8a69ap-17, 0x1.a515855bfb977p-17, 0x1.8eef041aca9e5p-17, 0x1.790518e73d3b6p-17, 0x1.6357d0c142c73p-17, 0x1.4de7355d4cc39p-17, 0x1.38b34d30fe7ep-17, 0x1.23bc1b8a95a94p-17, 0x1.0f01a09c04755p-17, 0x1.f507b31b74cb1p-18, 0x1.cc85811c7c124p-18, 0x1.a47c99c476941p-18, 0x1.7cece5eb27fadp-18, 0x1.55d648caecddcp-18, 0x1.2f38a02cc7c4ap-18, 0x1.0913c47cc46e2p-18, 0x1.c6cf11d1038bep-19, 0x1.7c6777047fe43p-19, 0x1.32f04ab8ee3e5p-19, 0x1.d4d22a70dc87bp-20, 0x1.45a2aa889d802p-20, 0x1.70a200caabccp-21, 0x1.66e0241c143cap-23, -0x1.72f60a700fd42p-22, -0x1.c8f9bfcf74c12p-21, -0x1.6a636f50454f6p-20, -0x1.ee729d935a761p-20, -0x1.3855f3d1ffcb5p-19, -0x1.78886d2aa6ddbp-19, -0x1.b7d188fd9e3a6p-19, -0x1.f6321d050a2e6p-19, -0x1.19d5832c738dbp-18, -0x1.381e949e37e89p-18, -0x1.55f4b87e8948dp-18, -0x1.735867de179f3p-18, -0x1.904a1f1eba7fdp-18, -0x1.acca5dd8fe505p-18, -0x1.c8d9a6d3b448p-18, -0x1.e4787fe4da614p-18, -0x1.ffa771db913d4p-18, -0x1.0d338436d6c2bp-17, -0x1.1a5be910a49bfp-17, -0x1.274d301daf1a4p-17, -0x1.3407a351e7bb2p-17, -0x1.408b8dece66bcp-17, -0x1.4cd93c7030f47p-17, -0x1.58f0fc912860fp-17, -0x1.64d31d3285286p-17, -0x1.707fee5b06ef6p-17, -0x1.7bf7c12b48149p-17, -0x1.873ae7d26984bp-17, -0x1.9249b587ea1b1p-17, -0x1.9d247e84792a4p-17, -0x1.a7cb97f6d271bp-17, -0x1.b23f57f74033p-17, -0x1.bc801583b027ap-17, -0x1.c68e2877d354cp-17, -0x1.d069e983387fep-17, -0x1.da13b21fd1486p-17, -0x1.e38bdc8ad318ep-17, -0x1.ecd2c3bee9539p-17, -0x1.f5e8c3686a1b6p-17, }}, 
      {{0x1.528f57452b28ap-1, 0x1.528ef6d2d24f2p-1, 0x1.528e81f5a1e4cp-1, 0x1.528e2ed7230c9p-1, 0x1.528e3799b2f8cp-1, 0x1.528ecfefe5107p-1, 0x1.52901c76d17d8p-1, 0x1.52922c39f211p-1, 0x1.5294f464767bep-1, 0x1.52984dedb80cp-1, 0x1.529bf4f4e29eep-1, 0x1.529f897828bcfp-1, 0x1.52a2911655a94p-1, 0x1.52a479914b4dep-1, 0x1.52a49bd1f3e0ap-1, 0x1.52a23f38a7471p-1, 0x1.529c9d0ef9946p-1, 0x1.5292e3f9098b6p-1, 0x1.52843b4c518fap-1, 0x1.526fc638e5e31p-1, 0x1.5254a6b7bfa7cp-1, 0x1.5232003579e1cp-1, 0x1.5206f9f4bab22p-1, 0x1.51d2c1268fe45p-1, 0x1.51948ab957da6p-1, 0x1.514b94e099136p-1, 0x1.50f72859699a1p-1, 0x1.5096996fe23ffp-1, 0x1.502948caa288bp-1, 0x1.4faea401acca2p-1, 0x1.4f262605f2f5ap-1, 0x1.4e8f575ed5668p-1, 0x1.4de9ce42a1661p-1, 0x1.4d352e8edd4e4p-1, 0x1.4c7129a4d054dp-1, 0x1.4b9d7e2e6acd7p-1, 0x1.4ab9f7cf462fep-1, 0x1.49c66ec525e47p-1, 0x1.48c2c77afee54p-1, 0x1.47aef2113b8f1p-1, 0x1.468ae9dd9cc1fp-1, 0x1.4556b4e4d4d79p-1, 0x1.4412634fb062ap-1, 0x1.42be0edd63c11p-1, 0x1.4159da545eabbp-1, 0x1.3fe5f0f2d2251p-1, 0x1.3e6285dfec7d7p-1, 0x1.3ccfd39ea4752p-1, 0x1.3b2e1b82c922ep-1, 0x1.397da528f3673p-1, 0x1.37bebdf1d1a6ep-1, 0x1.35f1b88139c65p-1, 0x1.3416ec414c995p-1, 0x1.322eb4e9f1973p-1, 0x1.3039720cd5ed5p-1, 0x1.2e3786a613a79p-1, 0x1.2c2958b199caep-1, 0x1.2a0f50c5605d8p-1, 0x1.27e9d9b06ddf4p-1, 0x1.25b9601eab8bbp-1, 0x1.237e52417e82fp-1, 0x1.21391f7d18a66p-1, 0x1.1eea381a6b9c3p-1, 0x1.1c920cfda94eep-1, 0x1.1a310f613551bp-1, 0x1.17c7b094ec562p-1, 0x1.155661c19f2c7p-1, 0x1.12dd93b0a5614p-1, 0x1.105db6975e217p-1, 0x1.0dd739e6833d8p-1, 0x1.0b4a8c1d2486p-1, 0x1.08b81a9f28179p-1, 0x1.0620518f2e9c1p-1, 0x1.03839babaedbap-1, 0x1.00e2622f2b5f4p-1, 0x1.fc7a1966b27bdp-2, 0x1.f728022e28e72p-2, 0x1.f1cf46cdfc476p-2, 0x1.ec70ab9148e5dp-2, 0x1.e70cf0d01af89p-2, 0x1.e1a4d2cf0cc23p-2, 0x1.dc3909a32e00dp-2, 0x1.d6ca4919edde6p-2, 0x1.d15940a4d45dep-2, 0x1.cbe69b48c6a87p-2, 0x1.c672ff90a2c6ep-2, 0x1.c0ff0f82fa7ap-2, 0x1.bb8b689ab5599p-2, 0x1.b618a3c26dcb3p-2, 0x1.b0a7555251698p-2, 0x1.ab380d10586e6p-2, 0x1.a5cb5632ad6cfp-2, 0x1.a061b7640ed21p-2, 0x1.9afbb2ca0e761p-2, 0x1.9599c60d0263dp-2, 0x1.903c6a618101ep-2, 0x1.8ae414934b26cp-2, 0x1.8591351180e92p-2, 0x1.804437fc002e8p-2, 0x1.7afd8531d5ab4p-2, 0x1.75bd80609c41bp-2, 0x1.70848914ba7bp-2, 0x1.6b52faca60329p-2, 0x1.66292cff2d237p-2, 0x1.610773446f317p-2, 0x1.5bee1d51dfccap-2, 0x1.56dd7718d25cep-2, 0x1.51d5c8d7bcd5ap-2, 0x1.4cd7572e12f99p-2, 0x1.47e2633059077p-2, 0x1.42f72a7c69ddp-2, 0x1.3e15e74de35ccp-2, 0x1.393ed092a3196p-2, 0x1.347219ff55eaep-2, 0x1.2faff42403fefp-2, 0x1.2af88c809ab61p-2, 0x1.264c0d9960f45p-2, 0x1.21aa9f0b57363p-2, 0x1.1d1465a078dd1p-2, 0x1.18898363d493ep-2, 0x1.140a17b57a7bfp-2, 0x1.0f963f5e3c2b5p-2, 0x1.0b2e14a32f897p-2, 0x1.06d1af5900697p-2, 0x1.028124f6fb559p-2, 0x1.fc791153b9158p-3, 0x1.f407d6ccabe2cp-3, 0x1.ebaeb7f6a014cp-3, 0x1.e36dce47c02e7p-3, 0x1.db452f31e296dp-3, 0x1.d334ec4540497p-3, 0x1.cb3d13528fd7bp-3, 0x1.c35dae8c7a29bp-3, 0x1.bb96c4a872ae1p-3, 0x1.b3e858fee15fbp-3, 0x1.ac526baab0395p-3, 0x1.a4d4f9a8299eap-3, 0x1.9d6ffcf3378fbp-3, 0x1.96236ca4f20f1p-3, 0x1.8eef3d108f339p-3, 0x1.87d35fdfa5108p-3, 0x1.80cfc42dcb872p-3, 0x1.79e456a38f0d2p-3, 0x1.73110190cdeaap-3, 0x1.6c55ad0661267p-3, 0x1.65b23eef2fe95p-3, 0x1.5f269b289ca2bp-3, 0x1.58b2a39a575d5p-3, 0x1.5256384d8d59ep-3, 0x1.4c11378384021p-3, 0x1.45e37dcb92e3ap-3, 0x1.3fcce61892b15p-3, 0x1.39cd49d5a6e59p-3, 0x1.33e480fa8536ep-3, 0x1.2e12621f1f98cp-3, 0x1.2856c28ec504bp-3, 0x1.22b1765abacd8p-3, 0x1.1d22506c4069cp-3, 0x1.17a9229619dbep-3, 0x1.1245bda589d83p-3, 0x1.0cf7f172cf03ap-3, 0x1.07bf8cf120c67p-3, 0x1.029c5e3e2e55bp-3, 0x1.fb1c65623c63ep-4, 0x1.f129add23be01p-4, 0x1.e7602db6e168ap-4, 0x1.ddbf7bc2267e8p-4, 0x1.d4472d87cef0ap-4, 0x1.caf6d796ecd63p-4, 0x1.c1ce0d927c521p-4, 0x1.b8cc62493f945p-4, 0x1.aff167ccb0e22p-4, 0x1.a73caf87412d2p-4, 0x1.9eadca51c00aap-4, 0x1.96444888076e6p-4, 0x1.8dffba1ce5b4bp-4, 0x1.85dfaead5495fp-4, 0x1.7de3b592f40a9p-4, 0x1.760b5df5d86dcp-4, 0x1.6e5636ddaa767p-4, 0x1.66c3cf42206a5p-4, 0x1.5f53b61ad13e9p-4, 0x1.58057a6e69919p-4, 0x1.50d8ab6144126p-4, 0x1.49ccd8436880ep-4, 0x1.42e1909df95e3p-4, 0x1.3c1664400ee4fp-4, 0x1.356ae34b07076p-4, 0x1.2ede9e3e4d9d8p-4, 0x1.287126029c0f1p-4, 0x1.22220bf4bc70bp-4, 0x1.1bf0e1efcb52dp-4, 0x1.15dd3a56ffa73p-4, 0x1.0fe6a81efda94p-4, 0x1.0a0cbed6b3e85p-4, 0x1.044f12afc9aa7p-4, 0x1.fd5a710d3f109p-5, 0x1.f24d8bd3ccf8p-5, 0x1.e776a243a0651p-5, 0x1.dcd4e26db5d3bp-5, 0x1.d2677bf07b364p-5, 0x1.c82da003eb001p-5, 0x1.be268184f3be8p-5, 0x1.b45155002c41dp-5, 0x1.aaad50bbdf3d5p-5, 0x1.a139acc1723ddp-5, 0x1.97f5a2e62904bp-5, 0x1.8ee06ed351f2p-5, 0x1.85f94e0dd8534p-5, 0x1.7d3f7ffd4a4fp-5, 0x1.74b245f24ff7ap-5, 0x1.6c50e32c9926p-5, 0x1.641a9ce04e6c7p-5, 0x1.5c0eba3afb482p-5, 0x1.542c846807076p-5, 0x1.4c734694af06p-5, 0x1.44e24df398c46p-5, 0x1.3d78e9bfed6c2p-5, 0x1.36366b401385p-5, 0x1.2f1a25c7fdb3ap-5, 0x1.28236ebb1a79p-5, 0x1.21519d8de38a6p-5, 0x1.1aa40bc715e6dp-5, 0x1.141a15008f269p-5, 0x1.0db316e7d9ddfp-5, 0x1.076e713e69135p-5, 0x1.014b85d9853f5p-5, 0x1.f6937143e474dp-6, 0x1.ead0df269309dp-6, 0x1.df4e25762ead4p-6, 0x1.d40a186f5f1b5p-6, 0x1.c903906d96bf9p-6, 0x1.be3969e7cc9dcp-6, 0x1.b3aa856cc873dp-6, 0x1.a955c79f081eap-6, 0x1.9f3a193033002p-6, 0x1.955666dc3135cp-6, 0x1.8ba9a163e8bd3p-6, 0x1.8232bd879b991p-6, 0x1.78f0b400f2391p-6, 0x1.6fe2817cb92dcp-6, 0x1.67072694500dp-6, 0x1.5e5da7c6d2ab5p-6, 0x1.55e50d71fcabbp-6, 0x1.4d9c63cacd05ep-6, 0x1.4582bad5ee709p-6, 0x1.3d97265fe6cc6p-6, 0x1.35d8bdf50faafp-6, 0x1.2e469cd95efccp-6, 0x1.26dfe20002b56p-6, 0x1.1fa3b002cd4a6p-6, 0x1.18912d1976914p-6, 0x1.11a78310c6cc9p-6, 0x1.0ae5df41896dcp-6, 0x1.044b72877278bp-6, 0x1.fbaee26fb1f32p-7, 0x1.ef122630c4008p-7, 0x1.e2bf26ab1679ap-7, 0x1.d6b460f24ad9ap-7, 0x1.caf058c16816p-7, 0x1.bf719867918c6p-7, 0x1.b436b0b48003cp-7, 0x1.a93e38e4f50c9p-7, 0x1.9e86ce8f150b3p-7, 0x1.940f158ea9563p-7, 0x1.89d5b7f157119p-7, 0x1.7fd965e2c7f7cp-7, 0x1.7618d598da2bbp-7, 0x1.6c92c33fa8a2cp-7, 0x1.6345f0e5baf72p-7, 0x1.5a31266819143p-7, 0x1.5153315e7837fp-7, 0x1.48aae50755a8ep-7, 0x1.40371a34327ebp-7, 0x1.37f6af35d2a79p-7, 0x1.2fe887c885eb4p-7, 0x1.280b8d00862fp-7, 0x1.205ead366b897p-7, 0x1.18e0dbf3add9ap-7, 0x1.119111df40435p-7, 0x1.0a6e4caa4593fp-7, 0x1.03778efce52acp-7, 0x1.f957c0c663c9p-8, 0x1.ec149a7458a9p-8, 0x1.df23cd39ec7fdp-8, 0x1.d28384a428581p-8, 0x1.c631f571b3b24p-8, 0x1.ba2d5d6df0c0bp-8, 0x1.ae74034c5de12p-8, 0x1.a304368445e6dp-8, 0x1.97dc4f2cc054ep-8, 0x1.8cfaadd8fb0f6p-8, 0x1.825dbb74d2953p-8, 0x1.7803e921cd052p-8, 0x1.6debb01451605p-8, 0x1.6413917142b84p-8, 0x1.5a7a162c02f2dp-8, 0x1.511dcee4a5f74p-8, 0x1.47fd53c69e74fp-8, 0x1.3f174467b420cp-8, 0x1.366a47a76a415p-8, 0x1.2df50b8eafb27p-8, 0x1.25b6452fee9c6p-8, 0x1.1dacb0877a75cp-8, 0x1.15d7105c65535p-8, 0x1.0e342e21aba0ep-8, 0x1.06c2d9d7c4571p-8, 0x1.ff03d3dd19e7cp-9, 0x1.f0e0764f2adcfp-9, 0x1.e31960f1957dep-9, 0x1.d5ac65df11659p-9, 0x1.c8976328189a5p-9, 0x1.bbd8429a84f47p-9, 0x1.af6cf989e47a2p-9, 0x1.a35388989d75dp-9, 0x1.9789fb81ce02dp-9, 0x1.8c0e68e3eef23p-9, 0x1.80def20c4b7b2p-9, 0x1.75f9c2c305a7dp-9, 0x1.6b5d1117f91fep-9, 0x1.61071d30641c1p-9, 0x1.56f6311526a76p-9, 0x1.4d28a08207a72p-9, 0x1.439cc8b567185p-9, 0x1.3a511040ce1bp-9, 0x1.3143e6da3562bp-9, 0x1.2873c52dfb4acp-9, 0x1.1fdf2cb19b929p-9, 0x1.1784a77727a0ep-9, 0x1.0f62c80160585p-9, 0x1.077829186d8c2p-9, 0x1.ff86db3ee324p-10, 0x1.f08680d57dea2p-10, 0x1.e1eca82d3c8c8p-10, 0x1.d3b6c5be197f6p-10, 0x1.c5e25cef9b524p-10, 0x1.b86cffca992d8p-10, 0x1.ab544eac72dcdp-10, 0x1.9e95f7fb486d7p-10, 0x1.922fb7dbbbdd4p-10, 0x1.861f57e7e8692p-10, 0x1.7a62aee79f3dep-10, 0x1.6ef7a089bec2ep-10, 0x1.63dc1d1edcca8p-10, 0x1.590e215536249p-10, 0x1.4e8bb5f5c9ae8p-10, 0x1.4452efa2993f4p-10, 0x1.3a61ee965e1f8p-10, 0x1.30b6de64d1p-10, 0x1.274ff5bca368bp-10, 0x1.1e2b762a5b75ap-10, 0x1.1547abdc52104p-10, 0x1.0ca2ed67ec683p-10, 0x1.043b9b8fcdafap-10, 0x1.f820421666a1ep-11, 0x1.e83de49c646c5p-11, 0x1.d8cd1aa64df73p-11, 0x1.c9caf2ca51f58p-11, 0x1.bb348dd70d30ep-11, 0x1.ad071e6c670edp-11, 0x1.9f3fe896b3bap-11, 0x1.91dc416b4062bp-11, 0x1.84d98ea71d07p-11, 0x1.7835464ff47aep-11, 0x1.6becee565b95ap-11, 0x1.5ffe1c3a3d08bp-11, 0x1.546674b13e493p-11, 0x1.4923ab4e7d018p-11, 0x1.3e33822c443bbp-11, 0x1.3393c9978b1ep-11, 0x1.29425fbcf72f1p-11, 0x1.1f3d3057a2fe2p-11, 0x1.15823461aa87ap-11, 0x1.0c0f71c64aabdp-11, 0x1.02e2fb156abd6p-11, 0x1.f3f5de71ae9cp-12, 0x1.e2aaf255d799fp-12, 0x1.d1e19f5da1977p-12, 0x1.c1966a14e0048p-12, 0x1.b1c5ed82d85ep-12, 0x1.a26cdaa3d21f6p-12, 0x1.9387f7e53bd41p-12, 0x1.851420a47bcf9p-12, 0x1.770e44b08cf71p-12, 0x1.697367ce0fcc4p-12, 0x1.5c40a13e7e75bp-12, 0x1.4f731b496eccap-12, 0x1.430812c8f0a72p-12, 0x1.36fcd6b7e2bc8p-12, 0x1.2b4ec7c331c88p-12, 0x1.1ffb57dcbf058p-12, 0x1.150009d194e05p-12, 0x1.0a5a70e176732p-12, 0x1.00083059b184dp-12, 0x1.ec0df662efc9ep-13, 0x1.d8a9275121529p-13, 0x1.c5dd95d10f27bp-13, 0x1.b3a7014eb1279p-13, 0x1.a201459995f2cp-13, 0x1.90e85a3246c69p-13, 0x1.8058519d1e8ebp-13, 0x1.704d58b81f7a1p-13, 0x1.60c3b614c513dp-13, 0x1.51b7c955afbf4p-13, 0x1.43260a9089f7ep-13, 0x1.350b09b1d5c1bp-13, 0x1.27636de6802edp-13, 0x1.1a2bf50673cc2p-13, 0x1.0d6173053be56p-13, 0x1.0100d1638e5edp-13, 0x1.ea0e1d4bcd304p-14, 0x1.d2e27b99ecf98p-14, 0x1.bc790ba57ca84p-14, 0x1.a6cc42516cc8p-14, 0x1.91d6ba75ebc3fp-14, 0x1.7d9333e92c471p-14, 0x1.69fc9290252e3p-14, 0x1.570ddd7495ac7p-14, 0x1.44c23de0002c9p-14, 0x1.3314fe7baa85ap-14, 0x1.22018a781ee1ep-14, 0x1.11836cb6b5fbap-14, 0x1.01964efafe483p-14, 0x1.e46bf23d32eaap-15, 0x1.c6bca097b015fp-15, 0x1.aa16ac7859a13p-15, 0x1.8e7250f82e651p-15, 0x1.73c7ff648073ep-15, 0x1.5a105dd812f2dp-15, 0x1.414445de130b4p-15, 0x1.295cc31a1cda9p-15, 0x1.125311fac1362p-15, 0x1.f8413ce9aadd8p-16, 0x1.cd7e0587c7375p-16, 0x1.a4500c6b13f2ep-16, 0x1.7cab37f7369c5p-16, 0x1.5683c405af4a3p-16, 0x1.31ce3fad111cdp-16, 0x1.0e7f8b0bb9b3p-16, 0x1.d919aa4eddc99p-17, 0x1.97d733aa30f33p-17, 0x1.59233f6572b84p-17, 0x1.1ce9ec52cfc88p-17, 0x1.c62fce0abb265p-18, 0x1.5734cc09f9b5ep-18, 0x1.d97c988a2fb3bp-19, 0x1.0d519baab2fb2p-19, 0x1.268e722ff32d6p-21, -0x1.c741e99684b38p-21, -0x1.254bdcb695081p-19, -0x1.d10de8d86bb7fp-19, -0x1.3aaa1a6320a9ap-18, -0x1.892d4d16338b6p-18, -0x1.d42da13d3aac2p-18, -0x1.0de3aca2bb81ap-17, -0x1.300af57acd32fp-17, -0x1.509a027d6288dp-17, -0x1.6f9dca2758cdap-17, -0x1.8d22e4b61b5ep-17, -0x1.a9358ec10048ap-17, -0x1.c3e1abb0ad4e3p-17, -0x1.dd32c82df0ecdp-17, -0x1.f5341c7d54ea5p-17, -0x1.05f84767fbbcbp-16, -0x1.10b95ac044b6dp-16, -0x1.1ae26c9e036c8p-16, -0x1.24787b9546f6bp-16, -0x1.2d80617e0301dp-16, -0x1.35fed476f4382p-16, -0x1.3df867e2513d9p-16, -0x1.45718d58bd095p-16, -0x1.4c6e9598b034ap-16, -0x1.52f3b16d9d3c2p-16, -0x1.5904f2921fd1fp-16, -0x1.5ea64c8c93ae6p-16, -0x1.63db95813ceccp-16, -0x1.68a88706767fcp-16, -0x1.6d10beed3806p-16, -0x1.7117c007a3377p-16, -0x1.74c0f2e9910ddp-16, -0x1.780fa6a0c4423p-16, -0x1.7b07116d22465p-16, -0x1.7daa517081001p-16, -0x1.7ffc6d5c0256ep-16, -0x1.82005516142aap-16, -0x1.83b8e25d839dcp-16, -0x1.8528d96754193p-16, -0x1.8652e97ab4f83p-16, -0x1.8739ad86d965p-16, -0x1.87dfacb49193bp-16, -0x1.88475af41002p-16, -0x1.8873198717427p-16, -0x1.886537882e213p-16, -0x1.881ff26c62316p-16, -0x1.87a576829a551p-16, -0x1.86f7df6f3898cp-16, -0x1.861938a48ff8p-16, -0x1.850b7dd62963fp-16, -0x1.83d09b6d4ae2fp-16, -0x1.826a6ef5d7714p-16, -0x1.80dac78a75b16p-16, -0x1.7f23663c505ap-16, -0x1.7d45fe7a2b24cp-16, -0x1.7b443671d9775p-16, -0x1.791fa77103124p-16, -0x1.76d9de421b3f1p-16, -0x1.74745b8780bd8p-16, -0x1.71f09414244d6p-16, -0x1.6f4ff14061b92p-16, -0x1.6c93d13efb77p-16, -0x1.69bd876d01a5fp-16, -0x1.66ce5ca128edap-16, -0x1.63c78f7896b01p-16, -0x1.60aa54a135493p-16, -0x1.5d77d722017e2p-16, -0x1.5a3138a237b15p-16, -0x1.56d791ac949bp-16, -0x1.536bf1f1fa5d1p-16, -0x1.4fef608b0ddb3p-16, -0x1.4c62dc3671397p-16, -0x1.48c75b95da84cp-16, -0x1.451dcd693eed4p-16, -0x1.416718c93384ep-16, -0x1.3da41d5df81c1p-16, -0x1.39d5b3960e1bbp-16, -0x1.35fcacdbd6c4fp-16, -0x1.3219d3c915031p-16, -0x1.2e2dec57c1f8cp-16, -0x1.2a39b413ab502p-16, -0x1.263de248c395bp-16, -0x1.223b2831fe5edp-16, -0x1.1e323124e667ap-16, -0x1.1a23a2bd5fa5fp-16, -0x1.16101d083fc34p-16, -0x1.11f83aab37e0bp-16, -0x1.0ddc910cc5906p-16, -0x1.09bdb07a834ffp-16, -0x1.059c244f93accp-16, -0x1.0178731848148p-16, -0x1.faa63d6bb0714p-17, -0x1.f25949016af51p-17, -0x1.ea0afad436234p-17, -0x1.e1bc3c37aab11p-17, -0x1.d96dee30b50edp-17, -0x1.d120e9b2e4fdbp-17, -0x1.c8d5ffdbea367p-17, -0x1.c08dfa2d2883ap-17, -0x1.b8499ac3a2b79p-17, -0x1.b0099c8f01efp-17, -0x1.a7ceb385f3292p-17, -0x1.9f998cdad2b2ap-17, -0x1.976acf2ce1413p-17, -0x1.8f431aba5b525p-17, -0x1.8723098e68f7cp-17, -0x1.7f0b2faf331cbp-17, -0x1.76fc1b49a4274p-17, -0x1.6ef654df5090fp-17, -0x1.66fa5f6e001bfp-17, -0x1.5f08b89a27511p-17, -0x1.5721d8d5f071ep-17, -0x1.4f4633881b0f2p-17, -0x1.477637318edb7p-17, -0x1.3fb24d91f653ep-17, -0x1.37fadbcadfd33p-17, -0x1.305042831e7d6p-17, -0x1.28b2de08347e2p-17, -0x1.2123066e7e5a8p-17, -0x1.19a10faf6ded4p-17, -0x1.122d49ca5488dp-17, -0x1.0ac800e1c7a73p-17, -0x1.03717d586baf2p-17, -0x1.f85407d93a1bdp-18, -0x1.e9e3aba972dbp-18, -0x1.db9261b2700a8p-18, -0x1.cd609edda0a7ep-18, -0x1.bf4ed19fa86a8p-18, -0x1.b15d622a192b8p-18, -0x1.a38cb29952444p-18, -0x1.95dd1f26a49c1p-18, -0x1.884efe50c1df8p-18, -0x1.7ae2a1078738fp-18, -0x1.6d9852d7f0adp-18, -0x1.60705a182e79cp-18, -0x1.536af80cfd67p-18, -0x1.4688690f4d7c8p-18, -0x1.39c8e4b534f25p-18, -0x1.2d2c9df49d1c1p-18, -0x1.20b3c347fe80dp-18, -0x1.145e7ed1fdde8p-18, -0x1.082cf6804578dp-18, -0x1.f83e9856f2ba9p-19, -0x1.e06b3b706dafap-19, -0x1.c8e00a6ce63f2p-19, -0x1.b19d31f93bf5bp-19, -0x1.9aa2d78dd87d8p-19, -0x1.83f119abff7dfp-19, -0x1.6d88101727553p-19, -0x1.5767cc04df91dp-19, -0x1.41905854dbe6dp-19, -0x1.2c01b9c4d8221p-19, -0x1.16bbef2005036p-19, -0x1.01bef173a78bep-19, -0x1.da15687533473p-20, -0x1.b13e4b2926b9cp-20, -0x1.88f85cd4c6a6fp-20, -0x1.6143653dd3b27p-20, -0x1.3a1f226df677bp-20, -0x1.138b48fe86987p-20, -0x1.db0f08e319779p-21, -0x1.9026eefd63d2ap-21, -0x1.465d78cf02a16p-21, -0x1.fb6394e1b2362p-22, -0x1.6c45f04471d8cp-22, -0x1.bec01b8ed47adp-23, -0x1.52bf675c9970dp-24, 0x1.9e66dc159c529p-25, 0x1.7430bb6f548abp-23, 0x1.3e3512949a568p-22, 0x1.c0257940f70b2p-22, 0x1.1ff614bdf6c6ep-21, 0x1.5ec5e9490705cp-21, 0x1.9c839d4b513ecp-21, 0x1.d9309ebb4abfp-21, 0x1.0a673309cc94cp-20, 0x1.27af3af058832p-20, 0x1.44712d2c403e9p-20, 0x1.60add4818998dp-20, 0x1.7c66002b1d1fdp-20, 0x1.979a83a7e3b77p-20, 0x1.b24c36923c004p-20, 0x1.cc7bf46d682f7p-20, 0x1.e62a9c80e7956p-20, 0x1.ff59119ed8232p-20, 0x1.0c041d0336c75p-19, 0x1.181c7f9c7b7f1p-19, 0x1.23f626e9e33c3p-19, 0x1.2f918ab515633p-19, 0x1.3aef242f6c088p-19, 0x1.460f6de07f379p-19, 0x1.50f2e393732b7p-19, 0x1.5b9a0242a52c9p-19, 0x1.6605480e04472p-19, 0x1.70353425dcc34p-19, 0x1.7a2a46bab5cd6p-19, 0x1.83e500f088e55p-19, 0x1.8d65e4cceb25p-19, 0x1.96ad752b657e1p-19, 0x1.9fbc35a9d44bp-19, 0x1.a892aa9c8c3e7p-19, 0x1.b13159040877ap-19, 0x1.b998c67bc14d8p-19, 0x1.c1c979305c172p-19, 0x1.c9c3f7d15a08ep-19, 0x1.d188c98556809p-19, 0x1.d91875de8faecp-19, 0x1.e07384ccc82e9p-19, 0x1.e79a7e9496753p-19, 0x1.ee8debc4a27e2p-19, 0x1.f54e552984f95p-19, 0x1.fbdc43c302156p-19, 0x1.011c205e2f094p-18, 0x1.04316ab03d0fdp-18, 0x1.072e458886a78p-18, 0x1.0a12f59d239fp-18, 0x1.0cdfbfa6a7076p-18, 0x1.0f94e85b722efp-18, 0x1.1232b46ab0d9fp-18, 0x1.14b9687952c92p-18, 0x1.1729491d952dfp-18, 0x1.19829ada281bp-18, 0x1.1bc5a21baa9c1p-18, 0x1.1df2a3340f458p-18, 0x1.2009e256b93bep-18, 0x1.220ba39675199p-18, 0x1.23f82ae066742p-18, 0x1.25cfbbf988916p-18, 0x1.27929a7b7206fp-18, 0x1.294109d19169bp-18, 0x1.2adb4d356240cp-18, 0x1.2c61a7aaf13d4p-18, 0x1.2dd45bff65869p-18, 0x1.2f33acc5c12fap-18, 0x1.307fdc53d2aa9p-18, 0x1.31b92cc00e8e1p-18, 0x1.32dfdfdf2bf4bp-18, 0x1.33f437418fdddp-18, 0x1.34f6742ff3b0dp-18, 0x1.35e6d7ab7d739p-18, 0x1.36c5a26903345p-18, 0x1.379314cfd93a2p-18, 0x1.384f6ef89f56fp-18, 0x1.38faf0a9bb08cp-18, 0x1.3995d9568074p-18, 0x1.3a20681d0990ap-18, 0x1.3a9adbc4b1ea7p-18, 0x1.3b0572bbb9a2fp-18, 0x1.3b606b153892ap-18, 0x1.3bac02893353dp-18, 0x1.3be87671f75cp-18, 0x1.3c1603ca1ba9ep-18, 0x1.3c34e72c71c85p-18, 0x1.3c455cd1a55a3p-18, 0x1.3c47a08f2bb97p-18, 0x1.3c3bedd5a8a96p-18, 0x1.3c227fb0d6205p-18, 0x1.3bfb90c57e9e5p-18, 0x1.3bc75b5019362p-18, 0x1.3b86192452835p-18, 0x1.3b3803ac0c6dbp-18, 0x1.3add53e59ccf1p-18, 0x1.3a7642641f4f2p-18, 0x1.3a03074dc2291p-18, 0x1.3983da5b16eccp-18, 0x1.38f8f2d5f8e55p-18, 0x1.386287991eb47p-18, 0x1.37c0cf1059bb8p-18, 0x1.3713ff36aaadp-18, 0x1.365c4d95b8a38p-18, 0x1.3599ef45d72f4p-18, 0x1.34cd18ecff2edp-18, 0x1.33f5febe7ca97p-18, 0x1.3314d47a4aceap-18, 0x1.3229cd6d1a036p-18, 0x1.31351c7006ac9p-18, 0x1.3036f3e769f6ep-18, 0x1.2f2f85c33ddadp-18, 0x1.2e1f037e39b2fp-18, 0x1.2d059e1df565dp-18, 0x1.2be38632ac4b2p-18, 0x1.2ab8ebd761c6dp-18, 0x1.2985feb087fcp-18, 0x1.284aeded440f7p-18, 0x1.2707e845d6e2ap-18, 0x1.25bd1bfd6cd7p-18, 0x1.246ab6e0fddcap-18, 0x1.2310e6472c031p-18, 0x1.21afd7101bfc6p-18, 0x1.2047b5a5fcdf2p-18, 0x1.1ed8adfc87e2bp-18, 0x1.1d62eb918de53p-18, 0x1.1be6996ccd562p-18, 0x1.1a63e220a7cc7p-18, 0x1.18daefc9bb6a5p-18, 0x1.174bec0ee69c5p-18, 0x1.15b700224d866p-18, 0x1.141c54bfb8f1cp-18, 0x1.127c122ef0fddp-18, 0x1.10d66042d9b61p-18, 0x1.0f2b665a3cd4fp-18, 0x1.0d7b4b5f150bap-18, }}, 
      {{0x1.9de7ae2c1d56p-13, 0x1.9ad941b1f7ae6p-11, 0x1.c8b0521638d22p-10, 0x1.8f7293d4a24d4p-9, 0x1.31f4c9c1e14ebp-8, 0x1.ae9323f14b3a9p-8, 0x1.1d96cf7cd9e4ap-7, 0x1.6aaf7e5d7375fp-7, 0x1.bd6d4b92b36f7p-7, 0x1.0a5f5b936533ep-6, 0x1.37d651e25cec3p-6, 0x1.66aea8320273ep-6, 0x1.968aa75bba554p-6, 0x1.c71b883c76992p-6, 0x1.f820c7f315a46p-6, 0x1.14b39d64a6af2p-5, 0x1.2d63fef5bad79p-5, 0x1.4613ad549f228p-5, 0x1.5eb9d27f4f527p-5, 0x1.77520d0c4654ap-5, 0x1.8fdbe0ab1366p-5, 0x1.a85a28e5c89a2p-5, 0x1.c0d28f4ef6834p-5, 0x1.d94d0688604ecp-5, 0x1.f1d34bb977a79p-5, 0x1.05383807d1e5p-4, 0x1.119835ddcfb6cp-4, 0x1.1e0fddcbad71bp-4, 0x1.2aa5852137c4cp-4, 0x1.375f728e89508p-4, 0x1.4443be92734eap-4, 0x1.515839ae0048p-4, 0x1.5ea2580b22bdfp-4, 0x1.6c2722272f109p-4, 0x1.79eb29fd4b143p-4, 0x1.87f2842113a6fp-4, 0x1.9640c43569338p-4, 0x1.a4d8fc2d5757bp-4, 0x1.b3bdbdcc2933ep-4, 0x1.c2f11de465df5p-4, 0x1.d274b8e2dcc43p-4, 0x1.e249b8413a482p-4, 0x1.f270d88b14164p-4, 0x1.017537d77cf1dp-3, 0x1.09db39b1acc5fp-3, 0x1.126a3fb9f69aap-3, 0x1.1b21edec08e63p-3, 0x1.2401c13e1e8fep-3, 0x1.2d091258c6f0ap-3, 0x1.3637181e9c18ap-3, 0x1.3f8aea0384d3cp-3, 0x1.490382355744p-3, 0x1.529fbf9919886p-3, 0x1.5c5e67a137649p-3, 0x1.663e280191781p-3, 0x1.703d984685856p-3, 0x1.7a5b3b54148eap-3, 0x1.849580d1f47a7p-3, 0x1.8eeac6890ae5cp-3, 0x1.995959b635bd3p-3, 0x1.a3df7855c86c9p-3, 0x1.ae7b526a6bbe8p-3, 0x1.b92b0b41943ecp-3, 0x1.c3ecbab712284p-3, 0x1.cebe6e78c5631p-3, 0x1.d99e2b4aec52p-3, 0x1.e489ee4d2c395p-3, 0x1.ef7fae3ff8a51p-3, 0x1.fa7d5cc9be1d8p-3, 0x1.02c073dd78d01p-2, 0x1.08441d27f6929p-2, 0x1.0dc89f37af964p-2, 0x1.134ceef20622p-2, 0x1.18d001c83dd26p-2, 0x1.1e50ce4da4b9ap-2, 0x1.23ce4cc95b703p-2, 0x1.294777c3268c2p-2, 0x1.2ebb4c8ab1548p-2, 0x1.3428cbb8b7968p-2, 0x1.398ef9a9a210ap-2, 0x1.3eecdef12b04ap-2, 0x1.444188c6b4bdp-2, 0x1.498c096a10ee6p-2, 0x1.4ecb78807cb41p-2, 0x1.53fef369b7a5fp-2, 0x1.59259d8d2079fp-2, 0x1.5e3ea09ed4ff2p-2, 0x1.63492cdcdfffbp-2, 0x1.6844794497c93p-2, 0x1.6d2fc3c04a612p-2, 0x1.720a514d6fb2bp-2, 0x1.76d36e1b9c325p-2, 0x1.7b8a6da47905ap-2, 0x1.802eaabd0e351p-2, 0x1.84bf87a0ae824p-2, 0x1.893c6df5e4c43p-2, 0x1.8da4cecdaf4f9p-2, 0x1.91f8229d76ee3p-2, 0x1.9635e93414f55p-2, 0x1.9a5da9aa5279cp-2, 0x1.9e6ef24f38268p-2, 0x1.a2695890928c4p-2, 0x1.a64c78e00e4ecp-2, 0x1.aa17f6953bcb2p-2, 0x1.adcb7bcce03fep-2, 0x1.b166b945e16ep-2, 0x1.b4e9663c287f4p-2, 0x1.b8534041bd495p-2, 0x1.bba40b16787cfp-2, 0x1.bedb907e7e021p-2, 0x1.c1f9a017d7784p-2, 0x1.c4fe0f2f5d791p-2, 0x1.c7e8b89530b41p-2, 0x1.cab97c70fa4ebp-2, 0x1.cd7040161e316p-2, 0x1.d00cedd81245ep-2, 0x1.d28f74df007a7p-2, 0x1.d4f7c8fcd95b7p-2, 0x1.d745e282f52c9p-2, 0x1.d979be18632b9p-2, 0x1.db935c90ff9d7p-2, 0x1.dd92c2c565527p-2, 0x1.df77f96bcc37ap-2, 0x1.e1430cf1e61dfp-2, 0x1.e2f40d57c6063p-2, 0x1.e48b0e0bd7aafp-2, 0x1.e60825c7f2b64p-2, 0x1.e76b6e6f8e7b2p-2, 0x1.e8b504ef13fe8p-2, 0x1.e9e5091c5559fp-2, 0x1.eafb9d98221ccp-2, 0x1.ebf8e7b0fe631p-2, 0x1.ecdd0f46f1336p-2, 0x1.eda83eb06941cp-2, 0x1.ee5aa2a0309e6p-2, 0x1.eef46a0c6531ep-2, 0x1.ef75c61674456p-2, 0x1.efdee9f40a21ep-2, 0x1.f0300ad8eddc6p-2, 0x1.f0695fe1c2b62p-2, 0x1.f08b21ffa24f9p-2, 0x1.f0958be4843efp-2, 0x1.f088d9f06c011p-2, 0x1.f0654a1f5163fp-2, 0x1.f02b1bf7b558fp-2, 0x1.efda9079e0fb4p-2, 0x1.ef73ea0fbbe12p-2, 0x1.eef76c7d35c31p-2, 0x1.ee655cd13646ap-2, 0x1.edbe01570a219p-2, 0x1.ed01a188499fep-2, 0x1.ec3085ff23e0cp-2, 0x1.eb4af86914f3p-2, 0x1.ea514379f2252p-2, 0x1.e943b2df4f9d5p-2, 0x1.e82293342cbfep-2, 0x1.e6ee31f4ecacap-2, 0x1.e5a6dd738d2efp-2, 0x1.e44ce4cc15198p-2, 0x1.e2e097d9399a4p-2, 0x1.e162472935b32p-2, 0x1.dfd243f2c946ap-2, 0x1.de30e00a5f49bp-2, 0x1.dc7e6dd75c6bbp-2, 0x1.dabb404986cfap-2, 0x1.d8e7aace9246ep-2, 0x1.d7040147c1a81p-2, 0x1.d51097ffa2f99p-2, 0x1.d30dc39fe3cd2p-2, 0x1.d0fbd92736513p-2, 0x1.cedb2ddf50c65p-2, 0x1.ccac1752f8d3ep-2, 0x1.ca6eeb44262c9p-2, 0x1.c823ffa23507bp-2, 0x1.c5cbaa802b13bp-2, 0x1.c366420b0d1ecp-2, 0x1.c0f41c8046c7ap-2, 0x1.be7590242588ap-2, 0x1.bbeaf3386559fp-2, 0x1.b9549bf2d11eep-2, 0x1.b6b2e073f89f8p-2, 0x1.b40616bdfabdep-2, 0x1.b14e94ab65381p-2, 0x1.ae8cafe62ecd5p-2, 0x1.abc0bddec8b2fp-2, 0x1.a8eb13c348391p-2, 0x1.a60c0676b01a9p-2, 0x1.a323ea88534ebp-2, 0x1.a033142b5714ap-2, 0x1.9d39d72e566c4p-2, 0x1.9a3886f32376ap-2, 0x1.972f7666af19dp-2, 0x1.941ef7f91130fp-2, 0x1.91075d95ba12bp-2, 0x1.8de8f89bc7483p-2, 0x1.8ac419d6827b7p-2, 0x1.879911760a9f2p-2, 0x1.84682f08251bep-2, 0x1.8131c1713e0c8p-2, 0x1.7df616e593945p-2, 0x1.7ab57ce29206bp-2, 0x1.777040285c09ep-2, 0x1.7426acb3862ecp-2, 0x1.70d90db702e94p-2, 0x1.6d87ad963e08cp-2, 0x1.6a32d5df707c2p-2, 0x1.66dacf4623246p-2, 0x1.637fe19de8311p-2, 0x1.602253d548d28p-2, 0x1.5cc26bf0e7b32p-2, 0x1.59606f06da69ep-2, 0x1.55fca13a39066p-2, 0x1.529745b6e1816p-2, 0x1.4f309ead761d3p-2, 0x1.4bc8ed4f8eca7p-2, 0x1.486071cc22671p-2, 0x1.44f76b4c292b3p-2, 0x1.418e17ef71a87p-2, 0x1.3e24b4c9ae164p-2, 0x1.3abb7ddfba58fp-2, 0x1.3752ae25142d2p-2, 0x1.33ea7f798c0e7p-2, 0x1.30832aa72a047p-2, 0x1.2d1ce76046549p-2, 0x1.29b7ec3dda0fep-2, 0x1.26546ebdff901p-2, 0x1.22f2a342a7bc3p-2, 0x1.1f92bd1082c1ap-2, 0x1.1c34ee4e199f5p-2, 0x1.18d96803173p-2, 0x1.15805a17c66c8p-2, 0x1.1229f354bae5fp-2, 0x1.0ed66162a8c07p-2, 0x1.0b85d0ca6ed04p-2, 0x1.08386cf5468a7p-2, 0x1.04ee602d26187p-2, 0x1.01a7d39d4a70fp-2, 0x1.fcc9dea5d2ee8p-3, 0x1.f64bb47c21ec6p-3, 0x1.efd5746553576p-3, 0x1.e96767d34adc3p-3, 0x1.e301d6049916ap-3, 0x1.dca5040769e05p-3, 0x1.d65134bcb81c8p-3, 0x1.d006a8dbbf161p-3, 0x1.c9c59ef5b6a28p-3, 0x1.c38e5379ccd7p-3, 0x1.bd6100b959cbap-3, 0x1.b73ddeec50f0fp-3, 0x1.b1252435eff85p-3, 0x1.ab1704a99c5b1p-3, 0x1.a513b24fff549p-3, 0x1.9f1b5d2c4a53cp-3, 0x1.992e3341b1137p-3, 0x1.934c609915d6fp-3, 0x1.8d760f46d5508p-3, 0x1.87ab6770c910fp-3, 0x1.81ec8f5466feap-3, 0x1.7c39ab4d0da85p-3, 0x1.7692ddda6f614p-3, 0x1.70f847a71c26cp-3, 0x1.6b6a078f31587p-3, 0x1.65e83aa71f6e2p-3, 0x1.6072fc428e767p-3, 0x1.5b0a65fb59752p-3, 0x1.55ae8fb8a1801p-3, 0x1.505f8fb5f3562p-3, 0x1.4b1d7a8a83d3cp-3, 0x1.45e863307b5c7p-3, 0x1.40c05b0c4f569p-3, 0x1.3ba571f429ba3p-3, 0x1.3697b6375f941p-3, 0x1.319734a5ee91ep-3, 0x1.2ca3f897ffd5ep-3, 0x1.27be0bf57c61dp-3, 0x1.22e5773d98b61p-3, 0x1.1e1a418e6e83fp-3, 0x1.195c70ac9740fp-3, 0x1.14ac090abecf5p-3, 0x1.10090dd1451afp-3, 0x1.0b7380e5cd3d3p-3, 0x1.06eb62f2d64dfp-3, 0x1.0270b36f45406p-3, 0x1.fc06e14be80dfp-4, 0x1.f3472f7a5e3fep-4, 0x1.eaa2497c6480bp-4, 0x1.e21825392f9afp-4, 0x1.d9a8b67b829a1p-4, 0x1.d153ef006547p-4, 0x1.c919be85bafa2p-4, 0x1.c0fa12d8d426ap-4, 0x1.b8f4d7e4cb1ebp-4, 0x1.b109f7c0d102dp-4, 0x1.a9395abe5943bp-4, 0x1.a182e777273c8p-4, 0x1.99e682db2c4d9p-4, 0x1.9264103e52c95p-4, 0x1.8afb71661691ep-4, 0x1.83ac8696ffa12p-4, 0x1.7c772ea1f11c7p-4, 0x1.755b46f14ee4bp-4, 0x1.6e58ab95fadcap-4, 0x1.676f37542931bp-4, 0x1.609ec3b00309p-4, 0x1.59e728fa251bfp-4, 0x1.53483e5be635fp-4, 0x1.4cc1d9e37a566p-4, 0x1.4653d08fe0b17p-4, 0x1.3ffdf65ca3129p-4, 0x1.39c01e4d68086p-4, 0x1.339a1a79512b5p-4, 0x1.2d8bbc162a3e7p-4, 0x1.2794d383681c5p-4, 0x1.21b53054f2835p-4, 0x1.1beca15dc2409p-4, 0x1.163af4ba454d6p-4, 0x1.109ff7da974bbp-4, 0x1.0b1b778c834c1p-4, 0x1.05ad400556145p-4, 0x1.00551ceb7c261p-4, 0x1.f625b2bfd982bp-5, 0x1.ebcc800ec6ef3p-5, 0x1.e19e3626cdcf4p-5, 0x1.d79a689635bfp-5, 0x1.cdc0aa27c982dp-5, 0x1.c4108cf3af935p-5, 0x1.ba89a26fecd0cp-5, 0x1.b12b7b807536p-5, 0x1.a7f5a886e0b79p-5, 0x1.9ee7b971beac6p-5, 0x1.96013dcb84efep-5, 0x1.8d41c4c91fab1p-5, 0x1.84a8dd581de4cp-5, 0x1.7c36162c7f6c9p-5, 0x1.73e8fdce24d53p-5, 0x1.6bc122a5e230cp-5, 0x1.63be130a2de15p-5, 0x1.5bdf5d4b814d8p-5, 0x1.54248fc04a659p-5, 0x1.4c8d38d096712p-5, 0x1.4518e70156d3p-5, 0x1.3dc728ff504e3p-5, 0x1.36978da9b7419p-5, 0x1.2f89a41c6fb4dp-5, 0x1.289cfbb9fd872p-5, 0x1.21d1243521eecp-5, 0x1.1b25ad9a18eaep-5, 0x1.149a28579bf3ep-5, 0x1.0e2e2547800a8p-5, 0x1.07e135b70ba6bp-5, 0x1.01b2eb6f0ada9p-5, 0x1.f745b176fe5e3p-6, 0x1.eb6120e63357fp-6, 0x1.dfb74bfcb64d2p-6, 0x1.d4475abcf5073p-6, 0x1.c9107667eba5cp-6, 0x1.be11c989d2073p-6, 0x1.b34a800626a3p-6, 0x1.a8b9c723508b6p-6, 0x1.9e5ecd95a0497p-6, 0x1.9438c389db35dp-6, 0x1.8a46daaf4bab8p-6, 0x1.808846414e583p-6, 0x1.76fc3b1066842p-6, 0x1.6da1ef8adc216p-6, 0x1.64789bc4e50b1p-6, 0x1.5b7f79805759p-6, 0x1.52b5c433ebcf9p-6, 0x1.4a1ab9121e802p-6, 0x1.41ad970f987cep-6, 0x1.396d9ee937bcdp-6, 0x1.315a1329a71cdp-6, 0x1.2972382ea1ef1p-6, 0x1.21b5542dcd497p-6, 0x1.1a22af392ecf2p-6, 0x1.12b9934359974p-6, 0x1.0b794c2320a2cp-6, 0x1.046127971f194p-6, 0x1.fae0ea918ac1fp-7, 0x1.ed4d0d9e41186p-7, 0x1.e0055f62ab8ecp-7, 0x1.d3088ad188d1cp-7, 0x1.c6553ec5e0d28p-7, 0x1.b9ea2e0614aefp-7, 0x1.adc60f46850cdp-7, 0x1.a1e79d2b9f0cdp-7, 0x1.964d964b58487p-7, 0x1.8af6bd2e4c84ap-7, 0x1.7fe1d850246e9p-7, 0x1.750db21fc13c8p-7, 0x1.6a7918feb6faep-7, 0x1.6022df408e8cfp-7, 0x1.5609db29646cap-7, 0x1.4c2ce6ec4ae6p-7, 0x1.428ae0a90ed66p-7, 0x1.3922aa69e2f2p-7, 0x1.2ff32a20560d3p-7, 0x1.26fb49a237f15p-7, 0x1.1e39f6a5fff4bp-7, 0x1.15ae22bed8ef2p-7, 0x1.0d56c358860eep-7, 0x1.0532d1b2ae227p-7, 0x1.fa8295b84ceb2p-8, 0x1.eb025f5bc2283p-8, 0x1.dbe3098acc787p-8, 0x1.cd22a4fe9d9acp-8, 0x1.bebf49e2b5dd3p-8, 0x1.b0b717c8910f9p-8, 0x1.a308359b28acap-8, 0x1.95b0d1919a2f7p-8, 0x1.88af2121c585cp-8, 0x1.7c0160f264f83p-8, 0x1.6fa5d4ccac08ap-8, 0x1.639ac78dba682p-8, 0x1.57de8b17aef11p-8, 0x1.4c6f78426046dp-8, 0x1.414beecbb2192p-8, 0x1.36725547fc6b3p-8, 0x1.2be11911c9afep-8, 0x1.2196ae398883cp-8, 0x1.17918f7519efdp-8, 0x1.0dd03e0eeeccbp-8, 0x1.045141d539b2bp-8, 0x1.f6265211841bfp-9, 0x1.e42910971cc51p-9, 0x1.d2a7f51f19bfcp-9, 0x1.c1a04209edfdp-9, 0x1.b10f46115e686p-9, 0x1.a0f25c24cefa2p-9, 0x1.9146eb458877ap-9, 0x1.820a6662d75c3p-9, 0x1.733a4c35d49fap-9, 0x1.64d4271d67e96p-9, 0x1.56d58cf9f4318p-9, 0x1.493c1f08a26dfp-9, 0x1.3c0589bf78094p-9, 0x1.2f2f84a868243p-9, 0x1.22b7d23d4de6ap-9, 0x1.169c3fc31445cp-9, 0x1.0adaa5257ada2p-9, 0x1.fee1c9a4bed95p-10, 0x1.e8b9d72ba8dbp-10, 0x1.d33960eb20712p-10, 0x1.be5c69198d804p-10, 0x1.aa1f05cfea488p-10, 0x1.967d60c23f238p-10, 0x1.8373b6f7659c5p-10, 0x1.70fe5881ef23ap-10, 0x1.5f19a839368b9p-10, 0x1.4dc21b71f24acp-10, 0x1.3cf439b88fdcp-10, 0x1.2cac9c8a30f6bp-10, 0x1.1ce7ef101e28p-10, 0x1.0da2edd9d7e38p-10, 0x1.fdb4cd30dbf45p-11, 0x1.e1166fb4a4b47p-11, 0x1.c564a18e1d85cp-11, 0x1.aa9961b8e4dp-11, 0x1.90aecf5743464p-11, 0x1.779f292c788b2p-11, 0x1.5f64cd1aa3bf8p-11, 0x1.47fa379ee1d3p-11, 0x1.315a0350ad38dp-11, 0x1.1b7ee86165049p-11, 0x1.0663bc1db94a5p-11, 0x1.e406e0dde7624p-12, 0x1.bcb226bdcd6d5p-12, 0x1.96bf9d384835ep-12, 0x1.7225cdff4c56fp-12, 0x1.4edb7829cfcddp-12, 0x1.2cd78f4253d2ap-12, 0x1.0c113a5a03dfcp-12, 0x1.d8ffa63e5e39dp-13, 0x1.9c35c9ece8615p-13, 0x1.61b458267f5d5p-13, 0x1.296b2934ffec2p-13, 0x1.e694e6f1adf21p-14, 0x1.7e859371e9caap-14, 0x1.1a8a32d29590fp-14, 0x1.750aa3f4e0c3bp-15, 0x1.7968b1f0175d1p-16, 0x1.7b2a52f30e045p-20, -0x1.3b7aa1efbfb7ep-16, -0x1.404529a759d9cp-15, -0x1.dbf28bd56bfd5p-15, -0x1.387c47454addbp-14, -0x1.7fc488cb5f37dp-14, -0x1.c3ea61d961eafp-14, -0x1.0282ca1996896p-13, -0x1.2196a780fa81cp-13, -0x1.3f3c18d7e947p-13, -0x1.5b7e27668ddfdp-13, -0x1.7667976e36b2ap-13, -0x1.9002e98e8dd0dp-13, -0x1.a85a5c23603b6p-13, -0x1.bf77eca06da7cp-13, -0x1.d56558e26bf51p-13, -0x1.ea2c207d53462p-13, -0x1.fdd5860646027p-13, -0x1.0835482d5087ap-12, -0x1.10fa05ee62108p-12, -0x1.193d45d6fd87fp-12, -0x1.21033572da9c9p-12, -0x1.284fe6df7b569p-12, -0x1.2f2751629a5f8p-12, -0x1.358d51fc86b49p-12, -0x1.3b85abf98b40ep-12, -0x1.411409807d55ap-12, -0x1.463bfc1d78f38p-12, -0x1.4b00fd4bc14dcp-12, -0x1.4f666efc825dp-12, -0x1.536f9c1c6119bp-12, -0x1.571fb91556ce7p-12, -0x1.5a79e44f257ap-12, -0x1.5d8126acb31c3p-12, -0x1.60387408b79f4p-12, -0x1.62a2abad7fff6p-12, -0x1.64c298ccf8276p-12, -0x1.669af2f64f699p-12, -0x1.682e5e886c775p-12, -0x1.697f6d22c62bfp-12, -0x1.6a909e13b3d1dp-12, -0x1.6b645ec57f008p-12, -0x1.6bfd0b28b7d1dp-12, -0x1.6c5cee1cfa84ep-12, -0x1.6c8641d7631b7p-12, -0x1.6c7b3047ac7d7p-12, -0x1.6c3dd37a168e7p-12, -0x1.6bd035f87f584p-12, -0x1.6b34532914918p-12, -0x1.6a6c17abcb3dep-12, -0x1.697961b517d77p-12, -0x1.685e0167e69dep-12, -0x1.671bb92c96492p-12, -0x1.65b43e075434cp-12, -0x1.642937ebbd235p-12, -0x1.627c420f30bccp-12, -0x1.60aeeb3a1014bp-12, -0x1.5ec2b6164ebddp-12, -0x1.5cb9197d85503p-12, -0x1.5a9380c425d97p-12, -0x1.58534c03c9442p-12, -0x1.55f9d063e7df1p-12, -0x1.5388586149954p-12, -0x1.5100241329135p-12, -0x1.4e62696fbb8d2p-12, -0x1.4bb0548f3a28bp-12, -0x1.48eb07ecc5119p-12, -0x1.46139ca5ff969p-12, -0x1.432b22b95bdc5p-12, -0x1.4032a1441ef3ap-12, -0x1.3d2b16bd65872p-12, -0x1.3a157931159dap-12, -0x1.36f2b67893818p-12, -0x1.33c3b4730a1e8p-12, -0x1.3089513bb1f64p-12, -0x1.2d44635f5b61ep-12, -0x1.29f5ba1098a47p-12, -0x1.269e1d5abe4e1p-12, -0x1.233e4e542af8cp-12, -0x1.1fd7074e962aap-12, -0x1.1c68fc06d977p-12, -0x1.18f4d9d307ec6p-12, -0x1.157b47d00cd0cp-12, -0x1.11fce70e27e1fp-12, -0x1.0e7a52bc02a6bp-12, -0x1.0af42051887f6p-12, -0x1.076adfb8c39c5p-12, -0x1.03df1b7633bebp-12, -0x1.005158d028528p-12, -0x1.f9842fea30f57p-13, -0x1.f263a8429b71fp-13, -0x1.eb42078701a46p-13, -0x1.e4203140d82b5p-13, -0x1.dcfeffebda1aep-13, -0x1.d5df45393aef4p-13, -0x1.cec1ca51f7523p-13, -0x1.c7a750176c851p-13, -0x1.c0908f62d15dfp-13, -0x1.b97e394292d5cp-13, -0x1.b270f7360b0dp-13, -0x1.ab696b689d64p-13, -0x1.a46830e9facb3p-13, -0x1.9d6ddbe5e8dfdp-13, -0x1.967af9d98c39dp-13, -0x1.8f9011c9762e9p-13, -0x1.88ada47426a67p-13, -0x1.81d42c8444fdp-13, -0x1.7b041ec1ffcecp-13, -0x1.743dea419fcd5p-13, -0x1.6d81f891df214p-13, -0x1.66d0ade95782dp-13, -0x1.602a69522edc7p-13, -0x1.598f84d46da83p-13, -0x1.530055a04a7d2p-13, -0x1.4c7d2c35e6caap-13, -0x1.4606548d47ecbp-13, -0x1.3f9c163c3f872p-13, -0x1.393eb49bea7e7p-13, -0x1.32ee6eec794ap-13, -0x1.2cab8078e6433p-13, -0x1.267620b9001bep-13, -0x1.204e8372c598dp-13, -0x1.1a34d8db793cp-13, -0x1.14294db65974cp-13, -0x1.0e2c0b739ff73p-13, -0x1.083d384e74a9bp-13, -0x1.025cf769518ddp-13, -0x1.f916d1d5937a5p-14, -0x1.ed915430f9da5p-14, -0x1.e229aae40eb12p-14, -0x1.d6e00595a675bp-14, -0x1.cbb48ec5006a4p-14, -0x1.c0a76bfc96ce9p-14, -0x1.b5b8bdff82298p-14, -0x1.aae8a0f856dfcp-14, -0x1.a0372ca543b0fp-14, -0x1.95a4748367b3ep-14, -0x1.8b3087f915f7ep-14, -0x1.80db727ec254ap-14, -0x1.76a53bc62b542p-14, -0x1.6c8de7e0aea45p-14, -0x1.6295776482589p-14, -0x1.58bbe790bd5d8p-14, -0x1.4f0132704f8c9p-14, -0x1.45654efbec9c6p-14, -0x1.3be8313ac9bp-14, -0x1.3289ca638736ep-14, -0x1.294a08f9c6e62p-14, -0x1.2028d8ec5e998p-14, -0x1.172623b27147ap-14, -0x1.0e41d0678cd72p-14, -0x1.057bc3e682cb4p-14, -0x1.f9a7c1c7bfadbp-15, -0x1.e894101053393p-15, -0x1.d7bc300efe64ap-15, -0x1.c71fdb73f9d73p-15, -0x1.b6bec864f3c46p-15, -0x1.a698a9aaad935p-15, -0x1.96ad2edb8fa97p-15, -0x1.86fc0484d0f52p-15, -0x1.7784d4548736fp-15, -0x1.6847453ebc3c1p-15, -0x1.5942fba518396p-15, -0x1.4a77997a81677p-15, -0x1.3be4be662393ep-15, -0x1.2d8a07e58fabfp-15, -0x1.1f67116dec0c4p-15, -0x1.117b748a60d93p-15, -0x1.03c6c8fcf90aep-15, -0x1.ec9149b4b1b76p-16, -0x1.d201394dd5d22p-16, -0x1.b7dc86e660f3cp-16, -0x1.9e2255e93297bp-16, -0x1.84d1c73f3530cp-16, -0x1.6be9f983c2f5ep-16, -0x1.536a0930145edp-16, -0x1.3b5110cad4c1dp-16, -0x1.239e2912bfd89p-16, -0x1.0c50692c5b81dp-16, -0x1.eacdcd8db45d4p-17, -0x1.bdc16c8c98a33p-17, -0x1.9179d5d08b181p-17, -0x1.65f52dcfacb99p-17, -0x1.3b31974035fdap-17, -0x1.112d3360a38b5p-17, -0x1.cfcc44685b488p-18, -0x1.7eb50579dd0aap-18, -0x1.2f10e67f8ba84p-18, -0x1.c1b845d835a9bp-19, -0x1.2825eb1d4b0d9p-19, -0x1.22c664023e16ap-20, 0x1.4bb7f765e42d3p-26, 0x1.27a308472bcdcp-20, 0x1.2252923ef044cp-19, 0x1.ae221f67f6c39p-19, 0x1.1ba3d6ccae2bbp-18, 0x1.5ee55d87bbfe5p-18, 0x1.a0d960cfa4666p-18, 0x1.e1839b1485438p-18, 0x1.1073e20536dd1p-17, 0x1.2f84c83071afcp-17, 0x1.4df658c1e092ap-17, 0x1.6bca6aaee9cb7p-17, 0x1.8902d31289dd6p-17, 0x1.a5a1650dfc5aap-17, 0x1.c1a7f1b2bf2fdp-17, 0x1.dd1847e7c06a3p-17, 0x1.f7f4344c040d7p-17, 0x1.091ec09439775p-16, 0x1.15fafb2ca31f7p-16, 0x1.228fac9c4555p-16, 0x1.2eddb6462a6e5p-16, 0x1.3ae5f838af499p-16, 0x1.46a951284ef54p-16, 0x1.52289e6568d55p-16, 0x1.5d64bbd4e0baep-16, 0x1.685e83e9e5b29p-16, 0x1.7316cf9fdfbc4p-16, 0x1.7d8e7672ff4fap-16, 0x1.87c64e5b2b9a7p-16, 0x1.91bf2bc862662p-16, 0x1.9b79e19b9063ep-16, 0x1.a4f74123abb3ap-16, 0x1.ae381a18d6039p-16, 0x1.b73d3a97dc5d2p-16, 0x1.c0076f1f00f74p-16, 0x1.c897828b931eep-16, 0x1.d0ee3e17458cep-16, 0x1.d90c69555ba9p-16, 0x1.e0f2ca2f85604p-16, 0x1.e8a224e4613d4p-16, 0x1.f01b3c05a18c2p-16, 0x1.f75ed076bc90bp-16, 0x1.fe6da16b06db6p-16, 0x1.02a43632acf7ap-15, 0x1.05f7f69bb17f9p-15, 0x1.09326eff95dap-15, 0x1.0c53fb948f0ddp-15, 0x1.0f5cf7b740226p-15, 0x1.124dbdeaca563p-15, 0x1.1526a7d91b4d3p-15, 0x1.17e80e52bc6dbp-15, 0x1.1a92494e5b9ebp-15, 0x1.1d25afea45957p-15, 0x1.1fa2986c3cc2ap-15, 0x1.22095841e0013p-15, 0x1.245a44018b0bep-15, 0x1.2695af6a58a67p-15, 0x1.28bbed652df38p-15, 0x1.2acd5004e835ap-15, 0x1.2cca288742adp-15, 0x1.2eb2c7562d397p-15, 0x1.30877c0780b13p-15, 0x1.3248955ed0bb7p-15, 0x1.33f6614dd89eap-15, 0x1.35912cf5d691fp-15, 0x1.371944a82aa03p-15, 0x1.388ef3e7a7869p-15, 0x1.39f28569a3cdap-15, 0x1.3b444316f14dfp-15, 0x1.3c84760cc02b4p-15, 0x1.3db3669d3d5b7p-15, 0x1.3ed15c526cf43p-15, 0x1.3fde9dedf534ap-15, 0x1.40db716afd58p-15, 0x1.41c81bff5f781p-15, 0x1.42a4e21cd44f8p-15, 0x1.4372077209022p-15, 0x1.442fceebecbd7p-15, }}, 
      {{0x1.c0ecfba0a3e7p-7, 0x1.c207db302c4b7p-6, 0x1.52b96ca934c2p-5, 0x1.c57d11be7c619p-5, 0x1.1c9ab360bd938p-4, 0x1.56ccd22250507p-4, 0x1.911fde883be55p-4, 0x1.cb54fcdacb2cbp-4, 0x1.0294ac086ca2bp-3, 0x1.1f2d646f0d889p-3, 0x1.3b55a3f6101bdp-3, 0x1.56f1a5da10595p-3, 0x1.71e99f5d019d5p-3, 0x1.8c2a1e2b5cb45p-3, 0x1.a5a41f479898ep-3, 0x1.be4cf0e8356e3p-3, 0x1.d61deeb35d11bp-3, 0x1.ed1424ed754a8p-3, 0x1.0197f253cf598p-2, 0x1.0c3a286436729p-2, 0x1.167374f508b2bp-2, 0x1.20478ebb91a82p-2, 0x1.29baed91a0003p-2, 0x1.32d29967aaf06p-2, 0x1.3b93fe096869fp-2, 0x1.4404c3fe09ef3p-2, 0x1.4c2aae8e29d14p-2, 0x1.540b7ecb5dbbcp-2, 0x1.5bacdb551f7d5p-2, 0x1.63143c81d56d4p-2, 0x1.6a46dc8685c69p-2, 0x1.7149ab325c315p-2, 0x1.782144d2be476p-2, 0x1.7ed1ebd7d66f3p-2, 0x1.855f84d724af1p-2, 0x1.8bcd9490c8efp-2, 0x1.921f3fa450b8dp-2, 0x1.98574baa27231p-2, 0x1.9e78216f1e96ep-2, 0x1.a483d01795167p-2, 0x1.aa7c10f743b0ep-2, 0x1.b0624bf1ba2eap-2, 0x1.b6379c3dee45fp-2, 0x1.bbfcd56cf1044p-2, 0x1.c1b28898e709bp-2, 0x1.c75909a5e4e5p-2, 0x1.ccf074822d1acp-2, 0x1.d278b256ae0cp-2, 0x1.d7f17e9b8bcc7p-2, 0x1.dd5a6c0704f9ap-2, 0x1.e2b2e94f1aa1cp-2, 0x1.e7fa45b83c866p-2, 0x1.ed2fb56cbaf87p-2, 0x1.f252559a0a47dp-2, 0x1.f7613051fbe7ap-2, 0x1.fc5b402eee32p-2, 0x1.009fb9dd5c5ddp-1, 0x1.0306584c57e99p-1, 0x1.0560eb39d1457p-1, 0x1.07aee0d8894d9p-1, 0x1.09efa6f59f57fp-1, 0x1.0c22ac19ec674p-1, 0x1.0e476090b65bp-1, 0x1.105d3754d6921p-1, 0x1.1263a6e572f7bp-1, 0x1.145a2a037dc97p-1, 0x1.1640405929ca1p-1, 0x1.18156f0c899a8p-1, 0x1.19d9413e8fd89p-1, 0x1.1b8b48779fb2p-1, 0x1.1d2b1d02dc12p-1, 0x1.1eb85e395b6b1p-1, 0x1.2032b2be60a0cp-1, 0x1.2199c8adaecd3p-1, 0x1.22ed55bd0696p-1, 0x1.242d1751d24f4p-1, 0x1.2558d28bf6c5ap-1, 0x1.26705446bd382p-1, 0x1.27737110b57dp-1, 0x1.2862051b6dc1ep-1, 0x1.293bf423cb893p-1, 0x1.2a012953ca43ap-1, 0x1.2ab1971e575d3p-1, 0x1.2b4d3715fa56ap-1, 0x1.2bd409beea554p-1, 0x1.2c46165d2aa67p-1, 0x1.2ca36abf3eafdp-1, 0x1.2cec1b05f70cp-1, 0x1.2d204169d67bep-1, 0x1.2d3ffdfe7e9c1p-1, 0x1.2d4b767490567p-1, 0x1.2d42d5da625c1p-1, 0x1.2d264c5be2894p-1, 0x1.2cf60f01f9b96p-1, 0x1.2cb25771bb7c3p-1, 0x1.2c5b63aba21c9p-1, 0x1.2bf175cb1927ap-1, 0x1.2b74d3c68b74ep-1, 0x1.2ae5c73027b3p-1, 0x1.2a449cf785096p-1, 0x1.2991a52c53582p-1, 0x1.28cd32c235e16p-1, 0x1.27f79b55e91dap-1, 0x1.271136f3cc266p-1, 0x1.261a5fdfe3ea5p-1, 0x1.2513725f6e2afp-1, 0x1.23fccc840db64p-1, 0x1.22d6cdf8a3e0dp-1, 0x1.21a1d7cfd972ap-1, 0x1.205e4c546589ap-1, 0x1.1f0c8edb10e96p-1, 0x1.1dad03967e494p-1, 0x1.1c400f6cb4c7dp-1, 0x1.1ac617ce6cf14p-1, 0x1.193f82901f09cp-1, 0x1.17acb5c4cf4d2p-1, 0x1.160e179a8fca3p-1, 0x1.14640e38b768p-1, 0x1.12aeff9fc3178p-1, 0x1.10ef518ada5eep-1, 0x1.0f256952f1504p-1, 0x1.0d51abd37a484p-1, 0x1.0b747d50a3b81p-1, 0x1.098e415f11edp-1, 0x1.079f5acd0f56dp-1, 0x1.05a82b8d25a9ap-1, 0x1.03a914a218628p-1, 0x1.01a2760c2f4e2p-1, 0x1.ff295d6f9f119p-2, 0x1.fb0038da99816p-2, 0x1.f6ca3783e5774p-2, 0x1.f288101462b43p-2, 0x1.ee3a7699d31c1p-2, 0x1.e9e21c6f92eaap-2, 0x1.e57fb0295e79fp-2, 0x1.e113dd8012afap-2, 0x1.dc9f4d404f719p-2, 0x1.d822a53ae7e5dp-2, 0x1.d39e88370e757p-2, 0x1.cf1395e625b4ap-2, 0x1.ca826ad92507dp-2, 0x1.c5eba0777f6f7p-2, 0x1.c14fccf7759a6p-2, 0x1.bcaf8357c67efp-2, 0x1.b80b535aa79b9p-2, 0x1.b363c981fc12ep-2, 0x1.aeb96f0cb0406p-2, 0x1.aa0cc9f534eeep-2, 0x1.a55e5cf0fe0b2p-2, 0x1.a0aea7710624p-2, 0x1.9bfe25a337ef9p-2, 0x1.974d5074bd645p-2, 0x1.929c9d951e68p-2, 0x1.8dec7f7a279c2p-2, 0x1.893d65648ac26p-2, 0x1.848fbb652e9dp-2, 0x1.7fe3ea631e754p-2, 0x1.7b3a58221715p-2, 0x1.769367499cf86p-2, 0x1.71ef776c99144p-2, 0x1.6d4ee5116f6fap-2, 0x1.68b209ba8816dp-2, 0x1.64193bef3e88p-2, 0x1.5f84cf4534854p-2, 0x1.5af51469f9c7fp-2, 0x1.566a592d0826p-2, 0x1.51e4e88a07d7dp-2, 0x1.4d650ab354648p-2, 0x1.48eb051cc153fp-2, 0x1.44771a8694187p-2, 0x1.40098b08a982ap-2, 0x1.3ba2941dcce79p-2, 0x1.374270af2d2ffp-2, 0x1.32e9591ff6d7ep-2, 0x1.2e978359045d6p-2, 0x1.2a4d22d4a9f33p-2, 0x1.260a68aa8f46bp-2, 0x1.21cf839b96e7ap-2, 0x1.1d9ca01dd4a48p-2, 0x1.1971e86883055p-2, 0x1.154f84800121ep-2, 0x1.11359a41cc11dp-2, 0x1.0d244d70785d2p-2, 0x1.091bbfbfa0ddep-2, 0x1.051c10dfcf09cp-2, 0x1.01255e8a5598cp-2, 0x1.fa6f891a3bf54p-3, 0x1.f2a6b9acc949ep-3, 0x1.eaf07f00c32dap-3, 0x1.e34d05b9b69f7p-3, 0x1.dbbc77014f7c2p-3, 0x1.d43ef89e1be79p-3, 0x1.ccd4ad0a249c6p-3, 0x1.c57db3894b2dbp-3, 0x1.be3a283f6b975p-3, 0x1.b70a24464744ap-3, 0x1.afedbdc327f77p-3, 0x1.a8e507fc49812p-3, 0x1.a1f0136df9996p-3, 0x1.9b0eeddf7b035p-3, 0x1.9441a27794415p-3, 0x1.8d8839d0e43aep-3, 0x1.86e2ba0ddfcddp-3, 0x1.805126ec91cccp-3, 0x1.79d381d9fea1ep-3, 0x1.7369ca054b401p-3, 0x1.6d13fc7288994p-3, 0x1.66d2140d37d5ap-3, 0x1.60a409ba7d9dcp-3, 0x1.5a89d46b01d5p-3, 0x1.5483692c82cd1p-3, 0x1.4e90bb3b178cfp-3, 0x1.48b1bc121f693p-3, 0x1.42e65b7cde0c1p-3, 0x1.3d2e87a6ce7b3p-3, 0x1.378a2d2b9d46ep-3, 0x1.31f93726d0eb3p-3, 0x1.2c7b8f432a104p-3, 0x1.27111dc9abd4dp-3, 0x1.21b9c9b04fa74p-3, 0x1.1c7578a878e8cp-3, 0x1.17440f2d04499p-3, 0x1.1225709019932p-3, 0x1.0d197f08a3b94p-3, 0x1.08201bbf7fea4p-3, 0x1.033926dc5d73dp-3, 0x1.fcc8ff249ebf2p-4, 0x1.f34408582a1b2p-4, 0x1.e9e324302acdcp-4, 0x1.e0a60be8178e1p-4, 0x1.d78c7730e79cfp-4, 0x1.ce961c474349p-4, 0x1.c5c2b00930825p-4, 0x1.bd11e60b2ba72p-4, 0x1.b48370acb7193p-4, 0x1.ac17012c570c3p-4, 0x1.a3cc47bb0963fp-4, 0x1.9ba2f38f361c2p-4, 0x1.939ab2f71401bp-4, 0x1.8bb3336a92fbcp-4, 0x1.83ec219cb6f33p-4, 0x1.7c45298c7c55ap-4, 0x1.74bdf6953af1p-4, 0x1.6d56337e8c6e1p-4, 0x1.660d8a8bb6c55p-4, 0x1.5ee3a58aa1e33p-4, 0x1.57d82de254172p-4, 0x1.50eacca0f9b26p-4, 0x1.4a1b2a897dff4p-4, 0x1.4368f020af0e9p-4, 0x1.3cd3c5b9f7f7p-4, 0x1.365b5383a942cp-4, 0x1.2fff4192df32ep-4, 0x1.29bf37eef65d3p-4, 0x1.239ade9ca2b32p-4, 0x1.1d91dda89c743p-4, 0x1.17a3dd31ef2edp-4, 0x1.11d08573e501ep-4, 0x1.0c177ecf979ebp-4, 0x1.067871d520b6dp-4, 0x1.00f3074c76248p-4, 0x1.f70dd07bcfec5p-5, 0x1.ec677bf4962b5p-5, 0x1.e1f26445a0667p-5, 0x1.d7addd610f4e1p-5, 0x1.cd993bf728ccap-5, 0x1.c3b3d5841f9c8p-5, 0x1.b9fd005d44fb1p-5, 0x1.b07413bda1a8ap-5, 0x1.a71867d1fea6ap-5, 0x1.9de955c459d61p-5, 0x1.94e637c6d80c6p-5, 0x1.8c0e691e2a127p-5, 0x1.8361462b6ca35p-5, 0x1.7ade2c758b2a3p-5, 0x1.72847ab221058p-5, 0x1.6a5390cde8169p-5, 0x1.624acff4a4c88p-5, 0x1.5a699a98aa4c1p-5, 0x1.52af5479e6248p-5, 0x1.4b1b62ac82db7p-5, 0x1.43ad2b9f1eaffp-5, 0x1.3c6417209c3d8p-5, 0x1.353f8e658aa3p-5, 0x1.2e3efc0d36c26p-5, 0x1.2761cc264cf6fp-5, 0x1.20a76c3333059p-5, 0x1.1a0f4b2dfb4f7p-5, 0x1.1398d98c05b04p-5, 0x1.0d4389414dad3p-5, 0x1.070ecdc3675dap-5, 0x1.00fa1c0c3108p-5, 0x1.f609d53864205p-6, 0x1.ea5d62f970e87p-6, 0x1.deedd48351c2bp-6, 0x1.d3ba20161f9bep-6, 0x1.c8c13f0cdca35p-6, 0x1.be022ddf8d34ep-6, 0x1.b37bec24d4355p-6, 0x1.a92d7c931b52ep-6, 0x1.9f15e5014e337p-6, 0x1.95342e671d4e7p-6, 0x1.8b8764dcde425p-6, 0x1.820e979afc46fp-6, 0x1.78c8d8f917b42p-6, 0x1.6fb53e6cb0031p-6, 0x1.66d2e0878d13ap-6, 0x1.5e20daf5bcc6dp-6, 0x1.559e4c7b41c97p-6, 0x1.4d4a56f17c008p-6, 0x1.45241f443796ep-6, 0x1.3d2acd6e7c024p-6, 0x1.355d8c7713415p-6, 0x1.2dbb8a6cc89f1p-6, 0x1.2643f8626d0e2p-6, 0x1.1ef60a6a9a12dp-6, 0x1.17d0f793409a5p-6, 0x1.10d3f9e102572p-6, 0x1.09fe4e4a49ac3p-6, 0x1.034f34b23db44p-6, 0x1.f98bdfc6fa943p-7, 0x1.ecc38b1565509p-7, 0x1.e043fc62064bcp-7, 0x1.d40bca6c8eb7p-7, 0x1.c819919659881p-7, 0x1.bc6bf3d64d9e9p-7, 0x1.b10198ac9880dp-7, 0x1.a5d92d1618e15p-7, 0x1.9af1637f97e1p-7, 0x1.9048f3b8d11p-7, 0x1.85de9ae732a7dp-7, 0x1.7bb11b7885d85p-7, 0x1.71bf3d156b73ep-7, 0x1.6807cc939c174p-7, 0x1.5e899be824184p-7, 0x1.5543821971039p-7, 0x1.4c345b312b073p-7, 0x1.435b082e2019p-7, 0x1.3ab66ef5f0102p-7, 0x1.32457a46bfecp-7, 0x1.2a0719a8cdb8dp-7, 0x1.21fa4160005f6p-7, 0x1.1a1dea5d5b72ep-7, 0x1.127112306f7a6p-7, 0x1.0af2baf8cb35fp-7, 0x1.03a1eb5761a23p-7, 0x1.f8fb5cbfc8e19p-8, 0x1.eb0a27147b373p-8, 0x1.dd6e5d47a5dap-8, 0x1.d0262f82011e4p-8, 0x1.c32fd65d06477p-8, 0x1.b68992c5c2506p-8, 0x1.aa31addfde75ap-8, 0x1.9e2678e8a2471p-8, 0x1.92664d1a2232p-8, 0x1.86ef8b8e6792cp-8, 0x1.7bc09d22d8626p-8, 0x1.70d7f25ba70edp-8, 0x1.66340347830fdp-8, 0x1.5bd34f6347839p-8, 0x1.51b45d7dfa94p-8, 0x1.47d5bb9cd5059p-8, 0x1.3e35fedf7be06p-8, 0x1.34d3c36483907p-8, 0x1.2badac2dfd6fcp-8, 0x1.22c2630655d14p-8, 0x1.1a1098655d1c3p-8, 0x1.1197035570265p-8, 0x1.09546158f8efbp-8, 0x1.014776501cb02p-8, 0x1.f2de18bd295a8p-9, 0x1.e393e7a3980d5p-9, 0x1.d4ae060e80ff9p-9, 0x1.c62a2ca64daf5p-9, 0x1.b8061fce5efe7p-9, 0x1.aa3faf7353c5dp-9, 0x1.9cd4b6d999b84p-9, 0x1.8fc31c6caba84p-9, 0x1.8308d18ee46c9p-9, 0x1.76a3d26976ec6p-9, 0x1.6a9225bd583c9p-9, 0x1.5ed1dcb4740cep-9, 0x1.536112b38ba76p-9, 0x1.483ded2c72636p-9, 0x1.3d669b70f02a4p-9, 0x1.32d9568634199p-9, 0x1.289460f8bbad8p-9, 0x1.1e9606b0ecef5p-9, 0x1.14dc9cc7f792ep-9, 0x1.0b66815d9350ep-9, 0x1.02321b6e025fcp-9, 0x1.f27bb551ad677p-10, 0x1.e1106e9015204p-10, 0x1.d01f63cfe04a4p-10, 0x1.bfa5a6beb891ap-10, 0x1.afa0593146581p-10, 0x1.a00cacd5cc3e2p-10, 0x1.90e7e2e824361p-10, 0x1.822f4be6bc2a9p-10, 0x1.73e0474878544p-10, 0x1.65f8433427819p-10, 0x1.5874bc383e4d9p-10, 0x1.4b533d0466b5ep-10, 0x1.3e915e23d158ep-10, 0x1.322cc5b86d829p-10, 0x1.2623273751384p-10, 0x1.1a7243263f3e1p-10, 0x1.0f17e6d9e4a2ap-10, 0x1.0411ec35c11e8p-10, 0x1.f2bc72d86c5dcp-11, 0x1.ddf58180911f3p-11, 0x1.c9cb009022b1cp-11, 0x1.b639036093a8p-11, 0x1.a33bb40151757p-11, 0x1.90cf52c32e2cep-11, 0x1.7ef035c4a7995p-11, 0x1.6d9ac880ccecap-11, 0x1.5ccb8b6053c6fp-11, 0x1.4c7f134bb0a6ep-11, 0x1.3cb2093f6b879p-11, 0x1.2d6129e2d9702p-11, 0x1.1e89451f885a6p-11, 0x1.10273dbb7f0dfp-11, 0x1.023808f50083ap-11, 0x1.e9715c3eb7684p-12, 0x1.cf4c8c84e8348p-12, 0x1.b5fbf776f4dc5p-12, 0x1.9d7a13bf27bd7p-12, 0x1.85c1793fa212ep-12, 0x1.6ecce05e9705cp-12, 0x1.5897215509dbep-12, 0x1.431b3380982b8p-12, 0x1.2e542cba238f3p-12, 0x1.1a3d40ad55526p-12, 0x1.06d1c03434409p-12, 0x1.e81a316d17781p-13, 0x1.c3d5a715ed21ep-13, 0x1.a0cd2ab8c27edp-13, 0x1.7ef83b220e0c4p-13, 0x1.5e4e8b6b1fd71p-13, 0x1.3ec801d2f9e41p-13, 0x1.205cb6a1278a1p-13, 0x1.0304f30a9e505p-13, 0x1.cd72603a9521bp-14, 0x1.96e42b6049e7ap-14, 0x1.6250f2b5100fep-14, 0x1.2faabadd02ca7p-14, 0x1.fdc7bfe6c2547p-15, 0x1.9fde272fdc8e2p-15, 0x1.457eb5ff9b425p-15, 0x1.dd20345d24617p-16, 0x1.35f3429d2e1ebp-16, 0x1.2a8cd45d9ddf1p-17, -0x1.4554147e3b5f7p-22, -0x1.329b7c14b5365p-17, -0x1.278f8ca45a5bbp-16, -0x1.b0064d003ae46p-16, -0x1.196e3cd8a89e4p-15, -0x1.581dbea96c483p-15, -0x1.9425dc70026d2p-15, -0x1.cd9a44e027f75p-15, -0x1.024713f3db214p-14, -0x1.1c8a1ccd5d45p-14, -0x1.359f5a89b1539p-14, -0x1.4d8fafa04c3b3p-14, -0x1.6463c4d3c28f8p-14, -0x1.7a240a8ade9b8p-14, -0x1.8ed8ba22224cbp-14, -0x1.a289d7352e949p-14, -0x1.b53f30e191c2dp-14, -0x1.c70063042fa02p-14, -0x1.d7d4d76f5d9fcp-14, -0x1.e7c3c7181da67p-14, -0x1.f6d43b3ec218cp-14, -0x1.0286874943dc7p-13, -0x1.093a7723ebfe6p-13, -0x1.0f892d99ebeffp-13, -0x1.1575d56bed9b4p-13, -0x1.1b0384363b5ccp-13, -0x1.20353af1d2ec5p-13, -0x1.250de6734ba11p-13, -0x1.29905fe6fa8b9p-13, -0x1.2dbf6d4a1725ap-13, -0x1.319dc1e1c561p-13, -0x1.352dfeaeafb55p-13, -0x1.3872b2de7d8a8p-13, -0x1.3b6e5c3940831p-13, -0x1.3e23678fca296p-13, -0x1.409431243706dp-13, -0x1.42c305122c44fp-13, -0x1.44b21fb2f6905p-13, -0x1.4663ae011d5efp-13, -0x1.47d9cdf85dad2p-13, -0x1.49168ef4169ccp-13, -0x1.4a1bf20b711cfp-13, -0x1.4aebea6c35cd2p-13, -0x1.4b885db20ed7ap-13, -0x1.4bf3243bcbfdbp-13, -0x1.4c2e09801204fp-13, -0x1.4c3acc5fc6fb5p-13, -0x1.4c1b1f756df3fp-13, -0x1.4bd0a9638eab8p-13, -0x1.4b5d05217970ep-13, -0x1.4ac1c24573388p-13, -0x1.4a00654d86e92p-13, -0x1.491a67e69d4e4p-13, -0x1.481139329288dp-13, -0x1.46e63e0c0689p-13, -0x1.459ad147cd8b8p-13, -0x1.443043f61fbd3p-13, -0x1.42a7dda176648p-13, -0x1.4102dc8c8c5e3p-13, -0x1.3f4275ee1e23cp-13, -0x1.3d67d62c1e35ap-13, -0x1.3b74211497f22p-13, -0x1.3968721639408p-13, -0x1.3745dc75cf4f7p-13, -0x1.350d6b8450bdap-13, -0x1.32c022d334b57p-13, -0x1.305efe66b21b9p-13, -0x1.2deaf2e75d82ep-13, -0x1.2b64edd27d761p-13, -0x1.28cdd5a928027p-13, -0x1.26268a1e4006fp-13, -0x1.236fe44343df8p-13, -0x1.20aab6b45fcfep-13, -0x1.1dd7cdc33a5efp-13, -0x1.1af7efa055b5p-13, -0x1.180bdc83abb78p-13, -0x1.15144ed471f8ep-13, -0x1.1211fb4ffe476p-13, -0x1.0f05912f29bap-13, -0x1.0befba4b7a17bp-13, -0x1.08d11b42d73f8p-13, -0x1.05aa539ab0733p-13, -0x1.027bfde1d7f7fp-13, -0x1.fe8d5fa394316p-14, -0x1.f815f4df25c25p-14, -0x1.f192d4564f109p-14, -0x1.eb050dfd49a93p-14, -0x1.e46da9183c05p-14, -0x1.ddcda475e255fp-14, -0x1.d725f6a8e2dbbp-14, -0x1.d0778e3fbbbbdp-14, -0x1.c9c351fb24889p-14, -0x1.c30a210332ba5p-14, -0x1.bc4cd31b7ac08p-14, -0x1.b58c38d4d3c9ep-14, -0x1.aec91bbef050fp-14, -0x1.a8043e976e239p-14, -0x1.a13e5d79e6c2cp-14, -0x1.9a782e0c9f3ffp-14, -0x1.93b25fadb1285p-14, -0x1.8ced9b9daa61cp-14, -0x1.862a8529f9538p-14, -0x1.7f69b9d5b329ep-14, -0x1.78abd1821461fp-14, -0x1.71f15e9570b23p-14, -0x1.6b3aee2100bc4p-14, -0x1.64890806ab0fep-14, -0x1.5ddc2f1ca2b21p-14, -0x1.5734e15119d1ap-14, -0x1.509397cbd868ep-14, -0x1.49f8c7101ac07p-14, -0x1.4364df1d69d5ap-14, -0x1.3cd84b8f5410bp-14, -0x1.365373bc639a3p-14, -0x1.2fd6bad4374bbp-14, -0x1.29627ffcd1247p-14, -0x1.22f71e6f8d8d9p-14, -0x1.1c94ed94a5003p-14, -0x1.163c411e952b8p-14, -0x1.0fed6924c2dd7p-14, -0x1.09a8b23d37ad8p-14, -0x1.036e6596268c8p-14, -0x1.fa7d921c0c7a6p-15, -0x1.ee343e96dfa0ep-15, -0x1.e2014fa8cb414p-15, -0x1.d5e53e4b3214fp-15, -0x1.c9e07d8f5d79ep-15, -0x1.bdf37acab8372p-15, -0x1.b21e9dc0a29bdp-15, -0x1.a66248caec043p-15, -0x1.9abed90261453p-15, -0x1.8f34a663c513bp-15, -0x1.83c403f7bc4eap-15, -0x1.786d3ff63e685p-15, -0x1.6d30a3eb1e1d8p-15, -0x1.620e74d981138p-15, -0x1.5706f35d05b4dp-15, -0x1.4c1a5bcaaf0c7p-15, -0x1.4148e6525a427p-15, -0x1.3692c71d3d53ep-15, -0x1.2bf82e6c91bffp-15, -0x1.217948b82c1c2p-15, -0x1.17163ecaa4b88p-15, -0x1.0ccf35ded8b37p-15, -0x1.02a44fbaa490bp-15, -0x1.f12b5593be9bp-16, -0x1.dd46c4713b6d3p-16, -0x1.c99b1c194256ep-16, -0x1.b628867c6b17ep-16, -0x1.a2ef27a1123e3p-16, -0x1.8fef1dd380c3p-16, -0x1.7d2881d1d224dp-16, -0x1.6a9b66fa222c4p-16, -0x1.5847db758de1ep-16, -0x1.462de8621a0c2p-16, -0x1.344d91fd1938cp-16, -0x1.22a6d7ca2d7a5p-16, -0x1.1139b4bbf1d9p-16, -0x1.00061f59f0028p-16, -0x1.de1813c7e9ea7p-17, -0x1.bc96c4f2d54e8p-17, -0x1.9b8826738e714p-17, -0x1.7aec04cfc9011p-17, -0x1.5ac225183dbfp-17, -0x1.3b0a452777693p-17, -0x1.1bc41be40b6e3p-17, -0x1.f9deb2f9a0af6p-18, -0x1.bd174f4a5dbdp-18, -0x1.8131539ef407p-18, -0x1.462bface29705p-18, -0x1.0c06740d38f9fp-18, -0x1.a57fc6b6c2d1dp-19, -0x1.34aec3e316b3ep-19, -0x1.8b2ffa80cc832p-20, -0x1.60e5f1db392e4p-21, 0x1.36ec80d261b02p-23, 0x1.f58bb183fd7a3p-21, 0x1.cb4a3ccaa27e4p-20, 0x1.4c379d076d8a5p-19, 0x1.b11cb79ec7567p-19, 0x1.0a2b669e41c32p-18, 0x1.3af425ffafaa5p-18, 0x1.6ae9d8402450ep-18, 0x1.9a0dc29540d78p-18, 0x1.c86130d2a56fcp-18, 0x1.f5e5751fe5e33p-18, 0x1.114df3d91e616p-17, 0x1.2742f3408171dp-17, 0x1.3cd26a82c54ccp-17, 0x1.51fd0dfc7e62ep-17, 0x1.66c394869cf3ep-17, 0x1.7b26b75852109p-17, 0x1.8f2731e9c500cp-17, 0x1.a2c5c1d4b2484p-17, 0x1.b60326b6d3846p-17, 0x1.c8e022185d8fap-17, 0x1.db5d774ba7a65p-17, 0x1.ed7beb55efc4p-17, 0x1.ff3c44d541758p-17, 0x1.084fa5f20121fp-16, 0x1.10d2e50169b5bp-16, 0x1.1928450072e84p-16, 0x1.21502bf16d118p-16, 0x1.294b00661bf81p-16, 0x1.31192975859cbp-16, 0x1.38bb0eb0fc4ddp-16, 0x1.4031181833bc9p-16, 0x1.477bae10d7e83p-16, 0x1.4e9b395bc8316p-16, 0x1.5590230bed287p-16, 0x1.5c5ad47c94942p-16, 0x1.62fbb74957a0ap-16, 0x1.697335437154ap-16, 0x1.6fc1b86a2f1a1p-16, 0x1.75e7aae3ddefp-16, 0x1.7be576f3889ecp-16, 0x1.81bb86f23c237p-16, 0x1.876a45479167p-16, 0x1.8cf21c6239e5bp-16, 0x1.925376afedca2p-16, 0x1.978ebe97808e3p-16, 0x1.9ca45e729cfa4p-16, 0x1.a194c08580186p-16, 0x1.a6604ef9b953fp-16, 0x1.ab0773d7c77d7p-16, 0x1.af8a990107f31p-16, 0x1.b3ea282a26c4ep-16, 0x1.b8268ad586339p-16, 0x1.bc402a4dfca79p-16, 0x1.c0376fa0a706bp-16, 0x1.c40cc398360ffp-16, 0x1.c7c08eb8e7ef9p-16, 0x1.cb53393a37fddp-16, 0x1.cec52b0350a95p-16, 0x1.d216cba6a75d6p-16, 0x1.d548825c9e5edp-16, 0x1.d85ab60027b52p-16, 0x1.db4dcd0a6a6fcp-16, 0x1.de222d8f5896bp-16, 0x1.e0d83d3950d52p-16, 0x1.e3706145272efp-16, 0x1.e5eafe7fa0cecp-16, 0x1.e84879411216p-16, 0x1.ea89356aff2b1p-16, 0x1.ecad96642ec5p-16, 0x1.eeb5ff1643852p-16, 0x1.f0a2d1ea5edffp-16, 0x1.f27470c5d9a51p-16, 0x1.f42b3d089740bp-16, 0x1.f5c797898a61cp-16, 0x1.f749e094a0783p-16, 0x1.f8b277e848522p-16, 0x1.fa01bcb3778b5p-16, 0x1.fb380d92700dp-16, 0x1.fc55c88da08b6p-16, 0x1.fd5b4b16e313ep-16, 0x1.fe48f2089c3b9p-16, 0x1.ff1f19a2820fap-16, 0x1.ffde1d88a5a5cp-16, 0x1.00432c60bad4bp-15, 0x1.008c12da25458p-15, 0x1.00c9ef14053acp-15, 0x1.00fceda0a39f5p-15, 0x1.01253ac0c2f72p-15, 0x1.014302628d319p-15, 0x1.015670211af74p-15, 0x1.015faf43ecea6p-15, 0x1.015eeabe3fcb8p-15, 0x1.01544d2ed4a1p-15, 0x1.014000df120efp-15, 0x1.01222fc2feef8p-15, 0x1.00fb03785b04bp-15, 0x1.00caa546953e5p-15, 0x1.00913e1e1fde7p-15, 0x1.004ef69879d75p-15, 0x1.0003f6f7aa91cp-15, 0x1.ff60ce4bd9135p-16, 0x1.fea8dd6aeaebep-16, 0x1.fde069c0bdba2p-16, 0x1.fd07c11073fe6p-16, 0x1.fc1f306c4018fp-16, 0x1.fb270434d14b3p-16, 0x1.fa1f88192c159p-16, 0x1.f909071639163p-16, 0x1.f7e3cb768e458p-16, 0x1.f6b01ed292451p-16, 0x1.f56e4a106f671p-16, 0x1.f41e95639b588p-16, 0x1.f2c1484d8b45bp-16, 0x1.f156a99d25e6ap-16, 0x1.efdeff6f33e76p-16, 0x1.ee5a8f2dee0ecp-16, 0x1.ecc99d9191ae3p-16, 0x1.eb2c6ea0b2c74p-16, 0x1.e98345b053d31p-16, 0x1.e7ce6563aefe9p-16, 0x1.e60e0fad22843p-16, }}, 
      {{0x1.8eb3fd8d74f2bp-1, 0x1.8ebd9d8914a06p-1, 0x1.8ed2edb087c1bp-1, 0x1.8ef6c6a6aee6fp-1, 0x1.8f295335c014dp-1, 0x1.8f681c5982c0cp-1, 0x1.8fae948b30dc6p-1, 0x1.8ff6cbcf27226p-1, 0x1.903a1f8a2db19p-1, 0x1.9071d09c45c1ep-1, 0x1.909777e4664e9p-1, 0x1.90a558f499c9fp-1, 0x1.9096969c7cd36p-1, 0x1.90674e822f277p-1, 0x1.9014a143587f6p-1, 0x1.8f9cac2b44343p-1, 0x1.8efe78d314c4p-1, 0x1.8e39e63616154p-1, 0x1.8d4f8e0340e29p-1, 0x1.8c40a84b4b2f2p-1, 0x1.8b0eef1c14318p-1, 0x1.89bc83264be36p-1, 0x1.884bd22e1e74ep-1, 0x1.86bf7fc00214bp-1, 0x1.851a506c0ed34p-1, 0x1.835f17a15f8bep-1, 0x1.8190a82521956p-1, 0x1.7fb1c70be9321p-1, 0x1.7dc5210da4f08p-1, 0x1.7bcd42039fcdbp-1, 0x1.79cc8e5b27095p-1, 0x1.77c53e45837f9p-1, 0x1.75b95a6e605bap-1, 0x1.73aaba039d9edp-1, 0x1.719b01dc90d5ap-1, 0x1.6f8ba4926a515p-1, 0x1.6d7de35f7d77cp-1, 0x1.6b72cf9f6585cp-1, 0x1.696b4cce399c7p-1, 0x1.676812e90e3e4p-1, 0x1.6569b115e6c0dp-1, 0x1.6370907cd0daep-1, 0x1.617cf73f3742fp-1, 0x1.5f8f0b7d7361ep-1, 0x1.5da6d65d5ec54p-1, 0x1.5bc44707061cp-1, 0x1.59e7358ebf231p-1, 0x1.580f65c5b7129p-1, 0x1.563c89ebabdeap-1, 0x1.546e453ddf623p-1, 0x1.52a42e607e632p-1, 0x1.50ddd1a0b1616p-1, 0x1.4f1ab30e64332p-1, 0x1.4d5a506d781ffp-1, 0x1.4b9c22feabe6fp-1, 0x1.49dfa120eee4fp-1, 0x1.48243fcc3a23dp-1, 0x1.466973e743854p-1, 0x1.44aeb379a40ccp-1, 0x1.42f376bc1fa18p-1, 0x1.41373908e66b6p-1, 0x1.3f7979adac18p-1, 0x1.3db9bca17de1p-1, 0x1.3bf78b203f10ep-1, 0x1.3a32742dad9d8p-1, 0x1.386a0d01c8827p-1, 0x1.369df1606060ap-1, 0x1.34cdc3dd8d7d5p-1, 0x1.32f92e10b5137p-1, 0x1.311fe0b7aff31p-1, 0x1.2f4193cb93b3ep-1, 0x1.2d5e06888a6a9p-1, 0x1.2b74ff6a0d111p-1, 0x1.29864c1cc33bdp-1, 0x1.2791c16731d9fp-1, 0x1.25973b0a535bdp-1, 0x1.23969b9b1a897p-1, 0x1.218fcc55d2cd6p-1, 0x1.1f82bcec39a47p-1, 0x1.1d6f634f22508p-1, 0x1.1b55bb745b6f7p-1, 0x1.1935c71986cffp-1, 0x1.170f8d847ec74p-1, 0x1.14e31b41d89dep-1, 0x1.12b081e2075d7p-1, 0x1.1077d7b5954d5p-1, 0x1.0e393788db403p-1, 0x1.0bf4c05f99fa5p-1, 0x1.09aa9530c5821p-1, 0x1.075adca2d461cp-1, 0x1.0505c0c8d0dd8p-1, 0x1.02ab6ee06b02p-1, 0x1.004c17113e577p-1, 0x1.fbcfd85aee691p-2, 0x1.f6fe46e800bfdp-2, 0x1.f223e8a8b3f6dp-2, 0x1.ed41306866094p-2, 0x1.e856946dbf995p-2, 0x1.e3648e0d7b5bbp-2, 0x1.de6b994127a8dp-2, 0x1.d96c3441f35adp-2, 0x1.d466df279f09fp-2, 0x1.cf5c1b8b8eb24p-2, 0x1.ca4c6c300ce97p-2, 0x1.c53854abb5f7cp-2, 0x1.c020591907c01p-2, 0x1.bb04fdca112ffp-2, 0x1.b5e6c70031626p-2, 0x1.b0c638a7d7812p-2, 0x1.aba3d618338fdp-2, 0x1.a68021d6c4558p-2, 0x1.a15b9d5ea872ap-2, 0x1.9c36c8eb9fb98p-2, 0x1.97122348a3477p-2, 0x1.91ee29a1f7c7fp-2, 0x1.8ccb575a9fef2p-2, 0x1.87aa25e51619ep-2, 0x1.828b0c9f2b36cp-2, 0x1.7d6e80b0f64a8p-2, 0x1.7854f4eeadde1p-2, 0x1.733ed9bd58dcp-2, 0x1.6e2c9cfa317b9p-2, 0x1.691ea9e4a198bp-2, 0x1.6415690aba909p-2, 0x1.5f1140380cedp-2, 0x1.5a129266c49b2p-2, 0x1.5519bfb2eae3cp-2, 0x1.5027254fb8977p-2, 0x1.4b3b1d7ed773dp-2, 0x1.4655ff897e85cp-2, 0x1.41781fbb4d62bp-2, 0x1.3ca1cf5ece79cp-2, 0x1.37d35cbb868a1p-2, 0x1.330d13157e539p-2, 0x1.2e4f3aae2acedp-2, 0x1.299a18c6a253p-2, 0x1.24edefa3067a4p-2, 0x1.204afe8f0f6a5p-2, 0x1.1bb181e3a6e97p-2, 0x1.1721b30d7cd24p-2, 0x1.129bc894834e6p-2, 0x1.0e1ff62445355p-2, 0x1.09ae6c94ff419p-2, 0x1.054759f5734e4p-2, 0x1.00eae9955d6ecp-2, 0x1.f93288211076ep-3, 0x1.f0a51eb4c3f6dp-3, 0x1.e82ddd942fe43p-3, 0x1.dfcd064e2f6bap-3, 0x1.d782d56bfc12bp-3, 0x1.cf4f828ba7fc6p-3, 0x1.c733407b3f4ebp-3, 0x1.bf2e3d5469229p-3, 0x1.b740a2987acd9p-3, 0x1.af6a954ce6a65p-3, 0x1.a7ac3617f9f2fp-3, 0x1.a005a15dd94b9p-3, 0x1.9876ef5da1edep-3, 0x1.9100344eae409p-3, 0x1.89a1807de787dp-3, 0x1.825ae06b179a4p-3, 0x1.7b2c5ce638d36p-3, 0x1.7415fb2ca3b7cp-3, 0x1.6d17bd06293fdp-3, 0x1.6631a0e1f77ap-3, 0x1.5f63a1f3585a9p-3, 0x1.58adb84e24e5fp-3, 0x1.520fd903000f5p-3, 0x1.4b89f63b4510dp-3, 0x1.451bff549dcd8p-3, 0x1.3ec5e0fc45a36p-3, 0x1.38878549f2851p-3, 0x1.3260d3da4c9afp-3, 0x1.2c51b1e914173p-3, 0x1.265a026ac69cep-3, 0x1.2079a625e060ep-3, 0x1.1ab07bcbaaf17p-3, 0x1.14fe601090d87p-3, 0x1.0f632dc3fa7e4p-3, 0x1.09debde7b28afp-3, 0x1.0470e7c6ce41cp-3, 0x1.fe33021827595p-4, 0x1.f3b0bbafc785bp-4, 0x1.e95aa1ab42fd3p-4, 0x1.df3056a139dap-4, 0x1.d5317a90ebcdcp-4, 0x1.cb5dab0a02019p-4, 0x1.c1b48353581dbp-4, 0x1.b8359c90b11ecp-4, 0x1.aee08de7806e8p-4, 0x1.a5b4eca29eca4p-4, 0x1.9cb24c5501d55p-4, 0x1.93d83efb7d8e5p-4, 0x1.8b26551d7f4a8p-4, 0x1.829c1deccf695p-4, 0x1.7a3927645cbd9p-4, 0x1.71fcfe6610707p-4, 0x1.69e72ed7afa6ep-4, 0x1.61f743becbc8ap-4, 0x1.5a2cc75bc6b1bp-4, 0x1.52874343ed706p-4, 0x1.4b06407aac07dp-4, 0x1.43a94789e003dp-4, 0x1.3c6fe0994b741p-4, 0x1.355993852cb4cp-4, 0x1.2e65e7f4004b4p-4, 0x1.2794656b6ef35p-4, 0x1.20e493646bbbfp-4, 0x1.1a55f95e893d2p-4, 0x1.13e81ef286c78p-4, 0x1.0d9a8be41b5c6p-4, 0x1.076cc833016bbp-4, 0x1.015e5c2b4abb5p-4, 0x1.f6dda0e9f56a3p-5, 0x1.eb3b5c45e571ep-5, 0x1.dfd4fd825d044p-5, 0x1.d4a998c4b172p-5, 0x1.c9b8435971d5ep-5, 0x1.bf0013cd06b71p-5, 0x1.b480220313998p-5, 0x1.aa37874ca890ap-5, 0x1.a0255e7d4c9f8p-5, 0x1.9648c3fee7efdp-5, 0x1.8ca0d5e492195p-5, 0x1.832cb3fc555bcp-5, 0x1.79eb7fdfe2ee5p-5, 0x1.70dc5d044c711p-5, 0x1.67fe70c8c1cd3p-5, 0x1.5f50e2845a33p-5, 0x1.56d2db92fd528p-5, 0x1.4e8387615c441p-5, 0x1.466213781a277p-5, 0x1.3e6daf861d6ddp-5, 0x1.36a58d6a0fcbap-5, 0x1.2f08e13b21398p-5, 0x1.2796e150fe2f2p-5, 0x1.204ec64b1a858p-5, 0x1.192fcb174292dp-5, 0x1.12392cf77fdf1p-5, 0x1.0b6a2b875dc22p-5, 0x1.04c208c0873b8p-5, 0x1.fc8011fd9f374p-6, 0x1.efc6e6075252ap-6, 0x1.e3571ff210b61p-6, 0x1.d72f56e781512p-6, 0x1.cb4e26eac566p-6, 0x1.bfb230db2cf6ep-6, 0x1.b45a1a75fec35p-6, 0x1.a9448e575c471p-6, 0x1.9e703bfa48c34p-6, 0x1.93dbd7b7d78bdp-6, 0x1.89861ac58ef68p-6, 0x1.7f6dc3331aaacp-6, 0x1.759193e72f0e4p-6, 0x1.6bf0549bcfc61p-6, 0x1.6288d1d9e0aa7p-6, 0x1.5959dcf425108p-6, 0x1.50624c019d3b5p-6, 0x1.47a0f9d75bfcfp-6, 0x1.3f14c601ce321p-6, 0x1.36bc94bd88819p-6, 0x1.2e974eef9454bp-6, 0x1.26a3e21d4c392p-6, 0x1.1ee14063d0d13p-6, 0x1.174e606f10b24p-6, 0x1.0fea3d706fdaep-6, 0x1.08b3d71521c1fp-6, 0x1.01aa317c1f782p-6, 0x1.f598aa57ad708p-7, 0x1.e8329e0f1b55bp-7, 0x1.db2060890d439p-7, 0x1.ce601cbdc793dp-7, 0x1.c1f0061c92d7fp-7, 0x1.b5ce5874a4df3p-7, 0x1.a9f957dda468ep-7, 0x1.9e6f509fcff2dp-7, 0x1.932e971bd7207p-7, 0x1.883587b266b9bp-7, 0x1.7d8286ab78263p-7, 0x1.7314001d5d59ap-7, 0x1.68e867d3a558ep-7, 0x1.5efe3935d956dp-7, 0x1.5553f72dfa7bfp-7, 0x1.4be82c0ef46c2p-7, 0x1.42b9697af84b2p-7, 0x1.39c64849bc4fbp-7, 0x1.310d686eae643p-7, 0x1.288d70df20057p-7, 0x1.20450f7868fcp-7, 0x1.1832f8e613ef5p-7, 0x1.1055e8880d5dap-7, 0x1.08aca058db4d2p-7, 0x1.0135e8d3db76fp-7, 0x1.f3e121b74ee35p-8, 0x1.e5b6db40e6bdcp-8, 0x1.d7eab50d4787bp-8, 0x1.ca7a721ae40a7p-8, 0x1.bd63e16b4a05dp-8, 0x1.b0a4ddd0fcad7p-8, 0x1.a43b4dbd8921ep-8, 0x1.9825231003572p-8, 0x1.8c605ae3c761p-8, 0x1.80eafd5f87df7p-8, 0x1.75c31d84cf425p-8, 0x1.6ae6d8ffe97a8p-8, 0x1.605457f822ac5p-8, 0x1.5609cce09ac8bp-8, 0x1.4c0574494b886p-8, 0x1.424594b0a9c6fp-8, 0x1.38c87e55af4b7p-8, 0x1.2f8c8b0a6069fp-8, 0x1.26901e06de1a3p-8, 0x1.1dd1a3bcd3d11p-8, 0x1.154f91ab74e7p-8, 0x1.0d086633f6f86p-8, 0x1.04faa86e93196p-8, 0x1.fa49d00013d94p-9, 0x1.eb0b79df90e52p-9, 0x1.dc378efcbe13cp-9, 0x1.cdcb5ff931316p-9, 0x1.bfc44d465a2a7p-9, 0x1.b21fc6d5b3576p-9, 0x1.a4db4bca76c74p-9, 0x1.97f46a2c00ee9p-9, 0x1.8b68be995ed27p-9, 0x1.7f35f3fe1384ap-9, 0x1.7359c347d5512p-9, 0x1.67d1f31d6e884p-9, 0x1.5c9c5796ea6c2p-9, 0x1.51b6d1f68e789p-9, 0x1.471f5062e812cp-9, 0x1.3cd3cda22bfecp-9, 0x1.32d250d681b4dp-9, 0x1.2918ed3b5aadep-9, 0x1.1fa5c1e42c583p-9, 0x1.1676f97be6a2fp-9, 0x1.0d8aca05698dfp-9, 0x1.04df749d6e45p-9, 0x1.f8e68a7a2b7bap-10, 0x1.e88924fb8db3fp-10, 0x1.d8a37abc10594p-10, 0x1.c932620ed34f9p-10, 0x1.ba32c52a73069p-10, 0x1.aba1a1b8eb08bp-10, 0x1.9d7c08695b8d6p-10, 0x1.8fbf1c83c0b0ap-10, 0x1.8268137eb4164p-10, 0x1.757434976de23p-10, 0x1.68e0d86ad3e83p-10, 0x1.5cab68914acc5p-10, 0x1.50d15f3c04d13p-10, 0x1.455046d43eeb8p-10, 0x1.3a25b99c5e97cp-10, 0x1.2f4f6152ff15cp-10, 0x1.24caf6d7c2201p-10, 0x1.1a9641d17a4a4p-10, 0x1.10af1856a117ap-10, 0x1.07135e97499fbp-10, 0x1.fb820d11b4cc3p-11, 0x1.e96c1f26b7044p-11, 0x1.d7e10c81a31d2p-11, 0x1.c6dd07db66661p-11, 0x1.b65c5cf62f295p-11, 0x1.a65b7005a891ap-11, 0x1.96d6bd1996524p-11, 0x1.87cad78c0250dp-11, 0x1.7934697263a46p-11, 0x1.6b103311b41a9p-11, 0x1.5d5b0a555b44fp-11, 0x1.5011da49075f1p-11, 0x1.4331a2957c9d9p-11, 0x1.36b7770017563p-11, 0x1.2aa07eed27111p-11, 0x1.1ee9f4e534f8fp-11, 0x1.1391261cb0cf9p-11, 0x1.089371fe3d5ecp-11, 0x1.fbdc936efc73p-12, 0x1.e73e5f910d8d6p-12, 0x1.d3476f2c7bcd7p-12, 0x1.bff309fc79273p-12, 0x1.ad3c97dbd2c8p-12, 0x1.9b1f9ff795ab4p-12, 0x1.8997c805d0204p-12, 0x1.78a0d380f09b3p-12, 0x1.6836a2e7953b9p-12, 0x1.585533014b087p-12, 0x1.48f89c271e015p-12, 0x1.3a1d119095637p-12, 0x1.2bbee0a49a6f9p-12, 0x1.1dda704efc7aep-12, 0x1.106c4059298e4p-12, 0x1.0370e8c731p-12, 0x1.edca327077d1ap-13, 0x1.d58b30977a06dp-13, 0x1.be1e861280111p-13, 0x1.a77e189889bep-13, 0x1.91a3f867dadbp-13, 0x1.7c8a5f2b2e0afp-13, 0x1.682baee61e159p-13, 0x1.548270e784224p-13, 0x1.418954c3e665ep-13, 0x1.2f3b2f549a2d3p-13, 0x1.1d92f9be23964p-13, 0x1.0c8bd07c5d2aep-13, 0x1.f841e4ea3c6dcp-14, 0x1.d89b801ecee15p-14, 0x1.ba1b74a3408f7p-14, 0x1.9cb9040768531p-14, 0x1.806badb27c204p-14, 0x1.652b2d3d56624p-14, 0x1.4aef78d95c08ep-14, 0x1.31b0bfc0f0383p-14, 0x1.196768b414d2p-14, 0x1.020c107a41818p-14, 0x1.d72f10e770917p-15, 0x1.ac05aa5a60fd8p-15, 0x1.828e5a03fb69fp-15, 0x1.5abbed8d77f2dp-15, 0x1.348190f49d062p-15, 0x1.0fd2cbff7633bp-15, 0x1.d946ff8f7a508p-16, 0x1.95cfc8978272ap-16, 0x1.55290c2f7831ap-16, 0x1.173c87f85b71ep-16, 0x1.b7e933388556p-17, 0x1.467874f92c2d5p-17, 0x1.b3fbeddde5db8p-18, 0x1.c948062870063p-19, 0x1.e9bf7c75a0e37p-22, -0x1.3cce70170821cp-19, -0x1.52ae71f72d95bp-18, -0x1.fe808bef6a238p-18, -0x1.51112d50f5e6dp-17, -0x1.9eeb5fd59c001p-17, -0x1.e8ef5b97e95b5p-17, -0x1.179e594c7394bp-16, -0x1.38f908a69192ap-16, -0x1.5896a270ca9eep-16, -0x1.7685a0b3ddee5p-16, -0x1.92d413e5fee8ep-16, -0x1.ad8fa5da301ap-16, -0x1.c6c59c8fa180ep-16, -0x1.de82dcf5c6cf4p-16, -0x1.f4d3ed99f54c9p-16, -0x1.04e27ca3622a4p-15, -0x1.0eb0e8c60266dp-15, -0x1.17daf89bc098bp-15, -0x1.20663f5ec3876p-15, -0x1.28582745ee4f7p-15, -0x1.2fb5f2ab30867p-15, -0x1.3684bd25a0df6p-15, -0x1.3cc97c9d9bdd9p-15, -0x1.428902575035ep-15, -0x1.47c7fbf90612fp-15, -0x1.4c8af4891b2bcp-15, -0x1.50d65562e4df2p-15, -0x1.54ae672888cebp-15, -0x1.581752ac7f7dap-15, -0x1.5b1521d08cbcbp-15, -0x1.5dabc06822de5p-15, -0x1.5fdefd0b1c454p-15, -0x1.61b289e81a284p-15, -0x1.6329fd8e8d59bp-15, -0x1.6448d3b470fp-15, -0x1.65126df5ed9aep-15, -0x1.658a148eca42dp-15, -0x1.65b2f71197278p-15, -0x1.65902d1748161p-15, -0x1.6524b6e9b040bp-15, -0x1.64737e2a99134p-15, -0x1.637f567577496p-15, -0x1.624afdfdeaec8p-15, -0x1.60d91e2740b01p-15, -0x1.5f2c4c1a40cbep-15, -0x1.5d470955e7c1bp-15, -0x1.5b2bc4397588bp-15, -0x1.58dcd8901c22p-15, -0x1.565c901428a28p-15, -0x1.53ad22f1499d4p-15, -0x1.50d0b840435ebp-15, -0x1.4dc966818bda5p-15, -0x1.4a993413e0881p-15, -0x1.474217a744ccbp-15, -0x1.43c5f8ad74fc7p-15, -0x1.4026afc5fe45fp-15, -0x1.3c660728f4cf2p-15, -0x1.3885bb0b07c9bp-15, -0x1.34877a03fbd11p-15, -0x1.306ce56f88d1p-15, -0x1.2c3791caa46e3p-15, -0x1.27e9070f2d61bp-15, -0x1.2382c10d3cc9cp-15, -0x1.1f062fc1e765p-15, -0x1.1a74b7aafd3a6p-15, -0x1.15cfb218a6b2cp-15, -0x1.11186d7df2c26p-15, -0x1.0c502dbdbcaf8p-15, -0x1.07782c7387752p-15, -0x1.0291993ed9be2p-15, -0x1.fb3b3413ee2c7p-16, -0x1.f13a969b89d98p-16, -0x1.e72380a9c3051p-16, -0x1.dcf806fa4a4fap-16, -0x1.d2ba2cedf5989p-16, -0x1.c86be504c43cfp-16, -0x1.be0f1154c5a92p-16, -0x1.b3a58400af365p-16, -0x1.a930ffa847f7bp-16, -0x1.9eb337d336fbep-16, -0x1.942dd15ea7e51p-16, -0x1.89a262e4360c4p-16, -0x1.7f12751ed5dfdp-16, -0x1.747f834b64f76p-16, -0x1.69eafb896b277p-16, -0x1.5f563f37b8566p-16, -0x1.54c2a34fe2ce6p-16, -0x1.4a3170b982abdp-16, -0x1.3fa3e4a2e55f8p-16, -0x1.351b30d3cbbbdp-16, -0x1.2a987bfc4aa79p-16, -0x1.201ce203aeb33p-16, -0x1.15a9745564647p-16, -0x1.0b3f3a2a70afap-16, -0x1.00df30d0871cbp-16, -0x1.ed1497e006982p-17, -0x1.d882eba1c9acdp-17, -0x1.c40b1f3d9f636p-17, -0x1.afaee34d5bd87p-17, -0x1.9b6fd72bd10fap-17, -0x1.874f89707a2d2p-17, -0x1.734f78645854dp-17, -0x1.5f711275771a1p-17, -0x1.4bb5b6a936305p-17, -0x1.381eb507e4506p-17, -0x1.24ad4f084436fp-17, -0x1.1162b7f46ac4ep-17, -0x1.fc802a9becc3dp-18, -0x1.d68cfe6596c87p-18, -0x1.b0ee017b5f57bp-18, -0x1.8ba530c1ba5e7p-18, -0x1.66b47080c14b9p-18, -0x1.421d8d14eb205p-18, -0x1.1de23b966545dp-18, -0x1.f40835078035bp-19, -0x1.ad0964cac2b6cp-19, -0x1.66caeccec5af8p-19, -0x1.214f89f296361p-19, -0x1.b933a1779b88dp-20, -0x1.31585cf7d5d45p-20, -0x1.5623a997ba354p-21, -0x1.33226bb8931dap-23, 0x1.72b0f1c3277e9p-22, 0x1.bc382452443c5p-21, 0x1.5de7c0c82eebap-20, 0x1.dc0c174e1512p-20, 0x1.2c431263309e5p-19, 0x1.69a99b2ac9057p-19, 0x1.a6386abfd8046p-19, 0x1.e1ee6333118dfp-19, 0x1.0e6541813ed21p-18, 0x1.2b65f225cdddp-18, 0x1.47f8ddfdc5f99p-18, 0x1.641dac80fcb34p-18, 0x1.7fd411c292044p-18, 0x1.9b1bce1387e09p-18, 0x1.b5f4ada5bf361p-18, 0x1.d05e882e2ae02p-18, 0x1.ea59408efd94cp-18, 0x1.01f2623fc9a9cp-17, 0x1.0e8086195b017p-17, 0x1.1ad70d0554b57p-17, 0x1.26f5fd2320629p-17, 0x1.32dd6157f85e4p-17, 0x1.3e8d4929f92eap-17, 0x1.4a05c89adcae5p-17, 0x1.5546f80232c4dp-17, 0x1.6050f3e95340ep-17, 0x1.6b23dcea1271p-17, 0x1.75bfd78c36cedp-17, 0x1.80250c250efc9p-17, 0x1.8a53a6b6d52d9p-17, 0x1.944bd6d1a4a35p-17, 0x1.9e0dcf7341f6ep-17, 0x1.a799c6e99ce78p-17, 0x1.b0eff6b822bbcp-17, 0x1.ba109b77e71ap-17, 0x1.c2fbf4bdb8f87p-17, 0x1.cbb244feed866p-17, 0x1.d433d1766a7f7p-17, 0x1.dc80e2099f333p-17, 0x1.e499c13083728p-17, 0x1.ec7ebbdcad06p-17, 0x1.f4302162112a1p-17, 0x1.fbae435f0d92bp-17, 0x1.017cbad2b560dp-16, 0x1.050907124db51p-16, 0x1.087c3268d732ep-16, 0x1.0bd669ca3c4e9p-16, 0x1.0f17db193525dp-16, 0x1.1240b51ce6043p-16, 0x1.15512776e944cp-16, 0x1.1849629a2b9c3p-16, 0x1.1b2997c143cd4p-16, 0x1.1df1f8e4640a3p-16, 0x1.20a2b8b14dd4dp-16, 0x1.233c0a822e485p-16, 0x1.25be2255a6decp-16, 0x1.282934c617fa7p-16, 0x1.2a7d7701555cbp-16, 0x1.2cbb1ec12c4c1p-16, 0x1.2ee2624315293p-16, 0x1.30f378408f118p-16, 0x1.32ee97e8db263p-16, 0x1.34d3f8d87dd9cp-16, 0x1.36a3d31317094p-16, 0x1.385e5efc0c2abp-16, 0x1.3a03d55092d6fp-16, 0x1.3b946f20530aep-16, 0x1.3d1065c7489edp-16, 0x1.3e77f2e7aed5p-16, 0x1.3fcb506427b6dp-16, 0x1.410ab859e1486p-16, 0x1.4236651a86daap-16, 0x1.434e9126bee08p-16, 0x1.445377293ea58p-16, 0x1.454551f0a03dfp-16, 0x1.46245c6aae71dp-16, 0x1.46f0d19fbce7ap-16, 0x1.47aaecacf7dbfp-16, 0x1.4852e8c01887ap-16, 0x1.48e90112845e3p-16, 0x1.496d70e540dd7p-16, 0x1.49e0737bf5401p-16, 0x1.4a424419019ccp-16, 0x1.4a931df8ff6aep-16, 0x1.4ad33c4ed5bf9p-16, 0x1.4b02da401fafap-16, 0x1.4b2232e0dd1c3p-16, 0x1.4b31812fa0e01p-16, 0x1.4b310012a4dacp-16, 0x1.4b20ea539d535p-16, 0x1.4b017a9c3e564p-16, 0x1.4ad2eb73b3313p-16, 0x1.4a95773a756fdp-16, 0x1.4a4958277e71dp-16, 0x1.49eec8451fa7p-16, 0x1.4986016e2e617p-16, 0x1.490f3d4b93d09p-16, 0x1.488ab550ce0cfp-16, 0x1.47f8a2b9a0801p-16, 0x1.47593e8744c22p-16, 0x1.46acc17df6fafp-16, 0x1.45f3642291644p-16, 0x1.452d5eb7e4c96p-16, 0x1.445ae93cdb818p-16, 0x1.437c3b6a2079dp-16, 0x1.42918cafdf784p-16, 0x1.419b143364384p-16, 0x1.409908ce0fcdep-16, 0x1.3f8ba10a4b8b3p-16, 0x1.3e7313222f1ffp-16, 0x1.3d4f94fd9ff98p-16, 0x1.3c215c3031f2ap-16, 0x1.3ae89df8e7ea6p-16, 0x1.39a58f3f20e58p-16, 0x1.385864916fe66p-16, 0x1.3701522451e7p-16, 0x1.35a08bd0999abp-16, 0x1.343645120219p-16, 0x1.32c2b105db79cp-16, 0x1.3146026a0038p-16, 0x1.2fc06b9bfdbe2p-16, 0x1.2e321e96e764dp-16, 0x1.2c9b4cf300b3p-16, 0x1.2afc27e47edfcp-16, 0x1.2954e03b02caep-16, 0x1.27a5a65f71074p-16, 0x1.25eeaa5453219p-16, 0x1.24301bb3cd35bp-16, 0x1.226a29afd84c6p-16, 0x1.209d0311e61fap-16, 0x1.1ec8d638bd773p-16, 0x1.1cedd118b8d96p-16, 0x1.1b0c213ab79b5p-16, 0x1.1923f3bbdfe8bp-16, 0x1.1735754ca62a7p-16, 0x1.1540d230b3161p-16, 0x1.1346363e7b31cp-16, 0x1.1145ccdef0495p-16, 0x1.0f3fc10c543b2p-16, 0x1.0d343d5279d1ep-16, 0x1.0b236bce69f9dp-16, 0x1.090d762e795ebp-16, 0x1.06f285b0f2de5p-16, 0x1.04d2c324ad69bp-16, 0x1.02ae56e8aa057p-16, 0x1.008568ebb33b4p-16, 0x1.fcb0415b316dp-17, 0x1.f84d4a7afc66dp-17, 0x1.f3e23a745413fp-17, 0x1.ef6f5da49ecc1p-17, 0x1.eaf4ff889687fp-17, 0x1.e6736abc3906dp-17, 0x1.e1eae8fb734dcp-17, 0x1.dd5bc321c3fafp-17, 0x1.d8c6412c058fp-17, 0x1.d42aaa36a8766p-17, 0x1.cf89447e3a813p-17, 0x1.cae2556033885p-17, 0x1.c636215c9d1fbp-17, 0x1.c184ec14e8456p-17, 0x1.bccef84c1a0e1p-17, 0x1.b81487e833ef3p-17, 0x1.b355dbf250915p-17, 0x1.ae933498106ccp-17, 0x1.a9ccd12cd6d76p-17, 0x1.a502f028bf677p-17, 0x1.a035cf299181dp-17, 0x1.9b65aaf415e75p-17, 0x1.9692bf74a10eap-17, 0x1.91bd47bfd5b26p-17, 0x1.8ce57e13f32a4p-17, 0x1.880b9bd933177p-17, 0x1.832fd9a40e2dcp-17, 0x1.7e526f34aaa4cp-17, 0x1.797393781ab6ep-17, 0x1.74937c889364ap-17, 0x1.6fb25fb17451ep-17, 0x1.6ad0716dafedbp-17, 0x1.65ede56961d98p-17, 0x1.610aee8288d22p-17, 0x1.5c27becb3d0edp-17, 0x1.57448789beaadp-17, 0x1.5261793c00216p-17, 0x1.4d7ec396b2bfbp-17, 0x1.489c95868d7f6p-17, 0x1.43bb1d31c3013p-17, 0x1.3eda87f9845adp-17, 0x1.39fb027b2356dp-17, 0x1.351cb891a6fc2p-17, 0x1.303fd5569731p-17, 0x1.2b648324696f2p-17, 0x1.268aeb973bd34p-17, 0x1.21b3378dfa886p-17, 0x1.1cdd8f2b6e6dfp-17, 0x1.180a19d7653f9p-17, 0x1.1338fe42ccc27p-17, 0x1.0e6a626646976p-17, 0x1.099e6b8400ed9p-17, 0x1.04d53e298441p-17, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      33, 0x1.470a3d70a3d71p+2, 0x1.85c2d69b3e127p-2, -0x1.2d38ab1ba9836p-1, -0x1.b279742b9325cp-4, 
      {{
        {0x1.c28f5c28f5c29p+1, 0x1.c666666666666p+1, 0x1.4255b011bea3bp-5, -0x1.c56efed0ff247p-5, 0x1.592d61b7379e1p-7, 0x1.6413850d258ebp-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.34cfd0bf5f462p-5, -0x1.c003fc13ac518p-5, 0x1.793960e3eba3p-7, 0x1.5f8dd93065c9fp-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1ea8626d53106p-5, -0x1.b5ed01165d46ap-5, 0x1.adf50e44c7b4cp-7, 0x1.5a0d8582d01e8p-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.090a7ef011bf6p-5, -0x1.aa872c290a223p-5, 0x1.e1dd7be533b92p-7, 0x1.55c97fa31e04bp-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.e80d8a36e0198p-6, -0x1.9dd72d76af061p-5, 0x1.0a910deba2837p-6, 0x1.4c8a2ebfe98ffp-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.bf5b2539c8bb1p-6, -0x1.8fe3817adcb35p-5, 0x1.2381d16d3a6e2p-6, 0x1.2a8d46f70826p-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.981d5611d9b43p-6, -0x1.80c0e8f49e157p-5, 0x1.39e6038c8e3ddp-6, 0x1.07e385d78b8bdp-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.7270c33100632p-6, -0x1.709057ba25451p-5, 0x1.4db0ad96524edp-6, 0x1.cab6566f239adp-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4e6ec2749301p-6, -0x1.5f73049115d76p-5, 0x1.5ee450d416d7ap-6, 0x1.8593bafc66266p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.2c2d585fe659ep-6, -0x1.4d8a1a8290715p-5, 0x1.6d804170c112ep-6, 0x1.4075eb559380fp-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.0bbf381c4dcf9p-6, -0x1.3af6c7bcc42bep-5, 0x1.7984ad7729cdfp-6, 0x1.f6ada5641f1d4p-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.da6786f236ad6p-7, -0x1.27da399629444p-5, 0x1.82f188910a634p-6, 0x1.6c70246ac2e8cp-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a12e15d73ef29p-7, -0x1.14559d9f04e58p-5, 0x1.89c6d60ca4714p-6, 0x1.c464e8676abfap-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.6be39b1e52a8p-7, -0x1.008a21581f6d9p-5, 0x1.8e049507363e5p-6, 0x1.5fd3429880cebp-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.3a92f24a0d344p-7, -0x1.d931e48ccf009p-6, 0x1.8faac5bd86d8dp-6, -0x1.9246b27b8aac5p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0d4054290722ap-7, -0x1.b1467bdb5ed3p-6, 0x1.8eb9681f3cb8fp-6, -0x1.790cf89e6a76fp-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c7d2adabac4f9p-8, -0x1.899463a42933cp-6, 0x1.8b307c30f3b97p-6, -0x1.46c422bd85ceap-9}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7d09db6e1a42ap-8, -0x1.625df6ef488e6p-6, 0x1.851001f099371p-6, -0x1.d101c8680d76p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3a06d2fe78282p-8, -0x1.3be590c4c2d84p-6, 0x1.7c57f961d8f66p-6, -0x1.2d9fb8594fac8p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.fd39e0b3c0be8p-9, -0x1.166d8c2d1056bp-6, 0x1.71086278192cdp-6, -0x1.72be87a06eb22p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.9524942acf2a8p-9, -0x1.e470885de8dbap-7, 0x1.63213d6215061p-6, -0x1.b7dd691093be6p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3b3f62bc398e1p-9, -0x1.9f1027af27c4ep-7, 0x1.52a2897175e24p-6, -0x1.fcfc06ba30b95p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.ddc2c7e425148p-10, -0x1.5d3eac38857ebp-7, 0x1.3f8c4930e0db7p-6, -0x1.210dd0aab1aa2p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.5e8e490cc2bb2p-10, -0x1.1f80cc966d0d9p-7, 0x1.29de73241387dp-6, -0x1.439bc5f8502b3p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.ee4a998c87b08p-11, -0x1.ccb6799bbf049p-8, 0x1.11992ab173eb1p-6, -0x1.66309cccee231p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.4b2d828912eep-11, -0x1.64a5751f84dd4p-8, 0x1.ed77d7775db77p-7, -0x1.88abc585d1138p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9ef1fc6d777bp-12, -0x1.07d7bee9a72d9p-8, 0x1.b29146a34b283p-7, -0x1.ab86c5264db14p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.d9da49f3a527fp-13, -0x1.6eaf2f2a2d81ap-9, 0x1.727042aa591aap-7, -0x1.ccfc174472c44p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.d82cd016a9783p-14, -0x1.d0ad491cfbe16p-10, 0x1.2d4a726014af4p-7, -0x1.f3a8488407834p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.79b442f8ba8p-15, -0x1.fb3f54915cb16p-11, 0x1.c4af35655a514p-8, -0x1.036f55603a7dp-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.90a54a7ada3fep-17, -0x1.9eba7caebfd7p-12, 0x1.2906022b9da08p-8, -0x1.315ab4f3fbcf1p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.38cbb14b5ffffp-20, -0x1.583e73784e30ep-14, 0x1.c73e5664e6fa4p-10, -0x1.6f9336f411b95p-7}, 
        {0x1.4666666666666p+2, 0x1.470a3d70a3d71p+2, 0x1.eeb2cf96821ffp-31, 0x1.f460af726d6ap-18, 0x1.c4e8f4cd6a19fp-15, -0x1.e3e8f4926ba14p-2}, 
      }}, 
      0x1.f4f412e4e038fp+5, -0x1.251b07a395be7p+11
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.4260344e60682p-4, -0x1.13083a6addfc5p-4, -0x1.931f2aee439b9p-5, -0x1.afbdf028c04ccp-6, -0x1.48f75d0ad1af7p-14, 0x1.cdffbe0586681p-6, 0x1.d4db131a26bafp-5, 0x1.602bf9f65ea13p-4, 0x1.d144d986588a8p-4, 0x1.1d85cb1e61489p-3, 0x1.4dc5514423995p-3, 0x1.78b65c0f45199p-3, 0x1.9df27e3a9c698p-3, 0x1.bd4be1ad173d7p-3, 0x1.d6c283686b1ep-3, 0x1.ea7a802ee67ecp-3, 0x1.f8b39cf09879p-3, 0x1.00e0fedc091c2p-2, 0x1.0303fede96ac6p-2, 0x1.02f885e66d9e3p-2, 0x1.00f6b968e54eep-2, 0x1.fa6ef3294cf3fp-3, 0x1.efe617258d3eap-3, 0x1.e2c0252e398aap-3, 0x1.d36597fff4dffp-3, 0x1.c239083a4b519p-3, 0x1.af96706731c1dp-3, 0x1.9bd2bd3be0becp-3, 0x1.873b9919d44fap-3, 0x1.721766cf9b16bp-3, 0x1.5ca5603046f04p-3, 0x1.471dcfe262825p-3, 0x1.31b25e7cd32dep-3, 0x1.1c8e6d0aff3d1p-3, 0x1.07d7783b1e538p-3, 0x1.e75b009326459p-4, 0x1.c056e576e9b51p-4, 0x1.9acf274cf52d6p-4, 0x1.76e7c9f18417bp-4, 0x1.54bd14e32de3ap-4, 0x1.3464534d04b31p-4, 0x1.15ec8b05bc2f5p-4, 0x1.f2be54065703fp-5, 0x1.bd8153cf2e7c3p-5, 0x1.8c2252ce31aa7p-5, 0x1.5e99f6ad19f33p-5, 0x1.34da5694ed65p-5, 0x1.0ecfefa6277dp-5, 0x1.d8c509241eb8dp-6, 0x1.9aebd8736fb5p-6, 0x1.63d58b40e7b6cp-6, 0x1.333e4a6de2452p-6, 0x1.08de4fabe855dp-6, 0x1.c8d5e39012276p-7, 0x1.8b2f2aa71f13cp-7, 0x1.582d04aef66b3p-7, 0x1.2f33387981a24p-7, 0x1.0fa5f0e660c59p-7, 0x1.f1d5cfc8deb17p-8, 0x1.d4d49bbeea25ap-8, 0x1.c71f0da7cf4dp-8, 0x1.c7939eac06ae1p-8, 0x1.d5198888fcd94p-8, 0x1.eea188d65a011p-8, 0x1.09933ed8f0bbap-7, 0x1.20d6efb8d4fe9p-7, 0x1.3ca404510b2cp-7, 0x1.5c88319951ffbp-7, 0x1.8016bd4b3738ep-7, 0x1.a6e8755a26a4p-7, 0x1.d09ba0b9d8d2bp-7, 0x1.fcd3e38a77e99p-7, 0x1.159d11f89fa27p-6, 0x1.2dbe316051872p-6, 0x1.46a6cb196958p-6, 0x1.6032c0247b61bp-6, 0x1.7a403fd313d3fp-6, 0x1.94afb18d3e61ep-6, 0x1.af639ac6f9feep-6, 0x1.ca4086ff49094p-6, 0x1.e52cef2c6dfeep-6, 0x1.0008910acf2bdp-5, 0x1.0d6b9671e70b5p-5, 0x1.1ab5631d5ca13p-5, 0x1.27dc9c063dcb4p-5, 0x1.34d8a5d49b012p-5, 0x1.41a19ae66b869p-5, 0x1.4e30419a0511cp-5, 0x1.5a7e0309d4117p-5, 0x1.6684e1b994b48p-5, 0x1.723f7166f9961p-5, 0x1.7da8ce4c63ddap-5, 0x1.88bc9587fef4ep-5, 0x1.9376dd9aea8f3p-5, 0x1.9dd42f630430fp-5, 0x1.a7d17f6b6f53fp-5, 0x1.b16c279c6685bp-5, 0x1.baa1e13ff6d5p-5, 0x1.c370bf1d457dp-5, 0x1.cbd7285552d2ap-5, 0x1.d3d3d2e088479p-5, 0x1.db65bec42a0f9p-5, 0x1.e28c3154ec0bap-5, 0x1.e946b0bd034a7p-5, 0x1.ef94ffc45dc5fp-5, 0x1.f57719ca55e88p-5, 0x1.faed2f015dde3p-5, 0x1.fff7a0dbadfebp-5, 0x1.024b7f4ce4fb3p-4, 0x1.04660114e28d3p-4, 0x1.064bc68ba6d92p-4, 0x1.07fd52cddc1d9p-4, 0x1.097b39f3f5678p-4, 0x1.0ac61fc57b68dp-4, 0x1.0bdeb6719ece5p-4, 0x1.0cc5bd664b676p-4, 0x1.0d7c00247b164p-4, 0x1.0e02553093f2cp-4, 0x1.0e599d042e898p-4, 0x1.0e82c109d78bbp-4, 0x1.0e7eb2bcfb8fcp-4, 0x1.0e4e6aa8c0eeap-4, 0x1.0df2e79760c8cp-4, 0x1.0d6d2dd00167fp-4, 0x1.0cbe462cb00e7p-4, 0x1.0be73d7792702p-4, 0x1.0ae923b60133bp-4, 0x1.09c50b6990abcp-4, 0x1.087c090d28c78p-4, 0x1.070f326d8f074p-4, 0x1.057f9e0eaebbbp-4, 0x1.03ce62caf440dp-4, 0x1.01fc9738da609p-4, 0x1.000b5128998ecp-4, 0x1.fbf74acbd447fp-5, 0x1.f79d4e672bde8p-5, 0x1.f30acfa66192p-5, 0x1.ee41ecc419d24p-5, 0x1.e944bee87917dp-5, 0x1.e415594e8fb84p-5, 0x1.deb5c909bab5dp-5, 0x1.d928149d28f04p-5, 0x1.d36e3b190aba6p-5, 0x1.cd8a33f94c6aep-5, 0x1.c77def013e8ebp-5, 0x1.c14b537ce28a1p-5, 0x1.baf43fdc023abp-5, 0x1.b47a8a205e933p-5, 0x1.addfff335f21cp-5, 0x1.a7266252993b9p-5, 0x1.a04f6d4f09263p-5, 0x1.995cd0d2142abp-5, 0x1.925033ab7f198p-5, 0x1.8b2b32620dee8p-5, 0x1.83ef5fd891149p-5, 0x1.7c9e457f6f40bp-5, 0x1.7539628a82077p-5, 0x1.6dc22bd6a355ap-5, 0x1.663a0cb361521p-5, 0x1.5ea266f460d5cp-5, 0x1.56fc923906bc6p-5, 0x1.4f49dc078a821p-5, 0x1.478b88b61e70ep-5, 0x1.3fc2d36f88e55p-5, 0x1.37f0ed65ff0ebp-5, 0x1.3016fdf9ddc76p-5, 0x1.283623df1cca4p-5, 0x1.204f755bb51b3p-5, 0x1.1863ff49de5cep-5, 0x1.1074c4daf48bep-5, 0x1.0882c0da609f6p-5, 0x1.008ee69d652c1p-5, 0x1.f134427d6dbc7p-6, 0x1.e14aa5407a839p-6, 0x1.d162a8359a4bp-6, 0x1.c17df024de2a5p-6, 0x1.b19e14770f8cep-6, 0x1.a1c49cdb71cbp-6, 0x1.91f300328cb1ap-6, 0x1.822aa6e84e0ecp-6, 0x1.726cedb3c8749p-6, 0x1.62bb2546d4cfbp-6, 0x1.531690085907ap-6, 0x1.438061adb3c98p-6, 0x1.33f9c1af7be2bp-6, 0x1.2483cd809a028p-6, 0x1.151f9804b8b08p-6, 0x1.05ce27914148bp-6, 0x1.ed20eb88f6e54p-7, 0x1.cecee34478e63p-7, 0x1.b0a80328ecb99p-7, 0x1.92ae0615831ebp-7, 0x1.74e2918a296c3p-7, 0x1.574734bd4ab9cp-7, 0x1.39dd6c01ce138p-7, 0x1.1ca6a4b4ae6cap-7, 0x1.ff487b29c3afep-8, 0x1.c5af07f7aa9adp-8, 0x1.8c8363f051e6ep-8, 0x1.53c7e03e1a466p-8, 0x1.1b7eb2af979e6p-8, 0x1.c753f2d6bb0b2p-9, 0x1.58977023fbc86p-9, 0x1.d5974b0429243p-10, 0x1.f7d06b46d7fb2p-11, 0x1.21421e992067ap-13, -0x1.634476d002497p-11, -0x1.857148c4b56eap-10, -0x1.2b9fa12c22dap-9, -0x1.9383793d44143p-9, -0x1.fa61c70822447p-9, -0x1.301c28825afb5p-8, -0x1.62828068f22bap-8, -0x1.9462f0e3b5e65p-8, -0x1.c5bc93743ef9p-8, -0x1.f68e98055ba4fp-8, -0x1.136c22a6ba445p-7, -0x1.2b4c7a7f1b394p-7, -0x1.42e808186897bp-7, -0x1.5a3e87229ecfdp-7, -0x1.714fbb44dcbe8p-7, -0x1.881b715c123ebp-7, -0x1.9ea17fde54e43p-7, -0x1.b4e1c5db0c7f3p-7, -0x1.cadc296999b54p-7, -0x1.e09096be1b3f5p-7, -0x1.f5ff0051154f1p-7, -0x1.0593afdac7ff5p-6, -0x1.1004db2736c9ap-6, -0x1.1a530690afef2p-6, -0x1.247e39e579b06p-6, -0x1.2e867fb1e7986p-6, -0x1.386be5032d384p-6, -0x1.422e798309785p-6, -0x1.4bce4fc1cce5ep-6, -0x1.554b7d69c20fcp-6, -0x1.5ea61b1f43b6fp-6, -0x1.67de4417e35a2p-6, -0x1.70f415b2e23afp-6, -0x1.79e7af48bd77ep-6, -0x1.82b9323469bc2p-6, -0x1.8b68c1fed5363p-6, -0x1.93f684847bb4bp-6, -0x1.9c62a1e7ba81ep-6, -0x1.a4ad444a9310cp-6, -0x1.acd6977d35359p-6, -0x1.b4dec8cc31096p-6, -0x1.bcc606f4cffbap-6, -0x1.c48c8235ed043p-6, -0x1.cc326c6b999fdp-6, -0x1.d3b7f917822b7p-6, -0x1.db1d5d3f8762dp-6, -0x1.e262cf31d5823p-6, -0x1.e98886521ba65p-6, -0x1.f08ebafee207cp-6, -0x1.f775a68c09e69p-6, -0x1.fe3d834afd1f9p-6, -0x1.0273464a7baf5p-5, -0x1.05b87f6eceee6p-5, -0x1.08ee8bb8b9455p-5, -0x1.0c158a3925e9cp-5, -0x1.0f2d9a4ddeafdp-5, -0x1.1236db9b85e8bp-5, -0x1.15316e0887f39p-5, -0x1.181d71bce1e42p-5, -0x1.1afb072543b6bp-5, -0x1.1dca4ef38fae1p-5, -0x1.208b6a16bba25p-5, -0x1.233e79ab9909bp-5, -0x1.25e39eeedde3p-5, -0x1.287afb33b70fcp-5, -0x1.2b04afdda3f08p-5, -0x1.2d80de5d34e02p-5, -0x1.2fefa83044e7ep-5, -0x1.32512ee3961b7p-5, -0x1.34a594108d68ap-5, -0x1.36ecf95449964p-5, -0x1.39278043fe727p-5, -0x1.3b554a63de6e8p-5, -0x1.3d7679216f9e3p-5, -0x1.3f8b2dcfbc67fp-5, -0x1.419389a5398dp-5, -0x1.438fadbb7759p-5, -0x1.457fbb0f65e44p-5, -0x1.4763d27ec64bap-5, -0x1.493c14c17fe54p-5, -0x1.4b08a261dd0ap-5, -0x1.4cc99bb735942p-5, -0x1.4e7f20e30fdebp-5, -0x1.502951ced09e8p-5, -0x1.51c84e2953825p-5, -0x1.535c35651d3a2p-5, -0x1.54e526b79614dp-5, -0x1.5663411831f82p-5, -0x1.57d6a33de13e3p-5, -0x1.593f6b9b44373p-5, -0x1.5a9db85b66d3ap-5, -0x1.5bf1a75fb40b3p-5, -0x1.5d3b563df15b5p-5, -0x1.5e7ae23de19aep-5, -0x1.5fb06856b9b76p-5, -0x1.60dc052e5394cp-5, -0x1.61fdd519f3c9dp-5, -0x1.6315f41f5c6aap-5, -0x1.64247df46cfabp-5, -0x1.65298dfd124efp-5, -0x1.66253f48e7459p-5, -0x1.6717ac910bacap-5, -0x1.6800f036d1c93p-5, -0x1.68e1244281ae1p-5, -0x1.69b862636a799p-5, -0x1.6a86c3f0f08cep-5, -0x1.6b4c61ec769c1p-5, -0x1.6c095502f08a6p-5, -0x1.6cbdb58ced9e7p-5, -0x1.6d699b8cfa097p-5, -0x1.6e0d1eadccb5dp-5, -0x1.6ea856415d4d4p-5, -0x1.6f3b594172b7ep-5, -0x1.6fc63e50fb36bp-5, -0x1.70491bbdc26f3p-5, -0x1.70c40781fb21ep-5, -0x1.713717456c581p-5, -0x1.71a2605e44d8ep-5, -0x1.7205f7d187e1ap-5, -0x1.7261f25307defp-5, -0x1.72b6644573cbp-5, -0x1.730361bb2399ep-5, -0x1.7348fe77e631cp-5, -0x1.73874df342cb2p-5, -0x1.73be635a8313ep-5, -0x1.73ee519201151p-5, -0x1.74172b35e5e67p-5, -0x1.7439029aac372p-5, -0x1.7453e9ce0012fp-5, -0x1.7467f2984027dp-5, -0x1.74752e7e7325fp-5, -0x1.747baec458384p-5, -0x1.747b846e82648p-5, -0x1.7474c0442f4fbp-5, -0x1.746772d0f58c3p-5, -0x1.7453ac6600e86p-5, -0x1.74397d1b15639p-5, -0x1.7418f4cfb5528p-5, -0x1.73f2232c40799p-5, -0x1.73c517a44db47p-5, -0x1.7391e178aa8a6p-5, -0x1.73588fba18c21p-5, -0x1.7319314b9d204p-5, -0x1.72d3d4e41027dp-5, -0x1.7288890f557b9p-5, -0x1.72375c2f6744fp-5, -0x1.71e05c7d88a89p-5, -0x1.7183980bd301cp-5, -0x1.71211cc723854p-5, -0x1.70b8f879537bdp-5, -0x1.704b38cb80516p-5, -0x1.6fd7eb4826f5cp-5, -0x1.6f5f1d5ce368p-5, -0x1.6ee0dc5bd250cp-5, -0x1.6e5d357ca3ccap-5, -0x1.6dd435dd92107p-5, -0x1.6d45ea847ec1ep-5, -0x1.6cb2606076588p-5, -0x1.6c19a44ba5247p-5, -0x1.6b7bc30da4a4ep-5, -0x1.6ad8c95db6ed1p-5, -0x1.6a30c3e4b4fb6p-5, -0x1.6983bf3e6f457p-5, -0x1.68d1c7fa78bbcp-5, -0x1.681aea9c95f86p-5, -0x1.675f339d2bb9bp-5, -0x1.669eaf69f2acdp-5, -0x1.65d96a67227f4p-5, -0x1.650f70f11ec46p-5, -0x1.6440cf5e8d68cp-5, -0x1.636d92028c1c1p-5, -0x1.6295c52ead6f1p-5, -0x1.61b975345fb51p-5, -0x1.60d8ae659cf01p-5, -0x1.5ff37d14ea768p-5, -0x1.5f09ed9519f86p-5, -0x1.5e1c0c38ecf69p-5, -0x1.5d29e553319c5p-5, -0x1.5c3385376dbe9p-5, -0x1.5b38f83b44af2p-5, -0x1.5a3a4ab855be5p-5, -0x1.5937890e5308dp-5, -0x1.5830bfa4ce618p-5, -0x1.5725faec78cb5p-5, -0x1.5617475f84a3p-5, -0x1.5504b181501f9p-5, -0x1.53ee45dd8641p-5, -0x1.52d411070c5fdp-5, -0x1.51b61f972970cp-5, -0x1.50947e2d3e3e2p-5, -0x1.4f6f396f34f0bp-5, -0x1.4e465e0aa4634p-5, -0x1.4d19f8b6770dp-5, -0x1.4bea16349e96fp-5, -0x1.4ab6c35396e2fp-5, -0x1.49800cef2e989p-5, -0x1.4845fff0433dbp-5, -0x1.4708a94c8078bp-5, -0x1.45c816046947ep-5, -0x1.44845321e4cfap-5, -0x1.433d6db6c7fd7p-5, -0x1.41f372dbc9c78p-5, -0x1.40a66fb03786fp-5, -0x1.3f56715a750a5p-5, -0x1.3e0385090d431p-5, -0x1.3cadb7f40e3efp-5, -0x1.3b55175e74426p-5, -0x1.39f9b096ec5ap-5, -0x1.389b90f80ae41p-5, -0x1.373ac5e7954f1p-5, -0x1.35d75cd523a9fp-5, -0x1.347163383e439p-5, -0x1.3308e68e4a07dp-5, -0x1.319df458bcfd8p-5, -0x1.30309a1bc1f36p-5, -0x1.2ec0e55d964cbp-5, -0x1.2d4ee3a699d65p-5, -0x1.2bdaa28200759p-5, -0x1.2a642f7ed7ed5p-5, -0x1.28eb983115074p-5, -0x1.2770ea324271ap-5, -0x1.25f43321a11ep-5, -0x1.247580a384a58p-5, -0x1.22f4e05ffcf11p-5, -0x1.21726000f2ca5p-5, -0x1.1fee0d3003557p-5, -0x1.1e67f5945c991p-5, -0x1.1ce026d0f472dp-5, -0x1.1b56ae8342149p-5, -0x1.19cb9a4299b4bp-5, -0x1.183ef7a02f049p-5, -0x1.16b0d4278e398p-5, -0x1.15213d5f5d361p-5, -0x1.139040ca165e7p-5, -0x1.11fdebe6765edp-5, -0x1.106a4c2f6e72bp-5, -0x1.0ed56f1b6a9eap-5, -0x1.0d3f621b0b87ep-5, -0x1.0ba832976363bp-5, -0x1.0a0fedefebd4bp-5, -0x1.0876a1788872cp-5, -0x1.06dc5a77be735p-5, -0x1.054126254d14p-5, -0x1.03a511a94ff16p-5, -0x1.02082a1be76aap-5, -0x1.006a7c854c561p-5, -0x1.fd982bbc77558p-6, -0x1.fa5a0620f2132p-6, -0x1.f71aa1ee6fe0fp-6, -0x1.f3da18be777e3p-6, -0x1.f098840d03067p-6, -0x1.ed55fd36ecbaep-6, -0x1.ea129d776df32p-6, -0x1.e6ce7de50a48p-6, -0x1.e389b76e3cd13p-6, -0x1.e04462d640d4fp-6, -0x1.dcfe98b25921ap-6, -0x1.d9b87167c4826p-6, -0x1.d672052a7032ep-6, -0x1.d32b6bfc72e05p-6, -0x1.cfe4bdae2fd88p-6, -0x1.cc9e11de7aed3p-6, -0x1.c9577ffb88691p-6, -0x1.c6111f42cf81fp-6, -0x1.c2cb06c1137e7p-6, -0x1.bf854d51963c1p-6, -0x1.bc40099c8f86dp-6, -0x1.b8fb52153b973p-6, -0x1.b5b73cf780b77p-6, -0x1.b273e045ad88cp-6, -0x1.af3151c67806cp-6, -0x1.abefa703adde8p-6, -0x1.a8aef54993fep-6, -0x1.a56f51a6f8df9p-6, -0x1.a230d0edd0c2p-6, -0x1.9ef387b3fccd7p-6, -0x1.9bb78a540912p-6, -0x1.987ceced5a454p-6, -0x1.9543c363a48a1p-6, -0x1.920c215d7a013p-6, -0x1.8ed61a41ef059p-6, -0x1.8ba1c13573bf6p-6, -0x1.886f2916626b9p-6, -0x1.853e64798da38p-6, -0x1.820f85a793acep-6, -0x1.7ee29e9b6f268p-6, -0x1.7bb7c102b4f5p-6, -0x1.788efe3fa4bbp-6, -0x1.7568676d1aa39p-6, -0x1.72440d63d50e9p-6, -0x1.6f2200c06974bp-6, -0x1.6c0251e8d1dap-6, -0x1.68e511109798ap-6, -0x1.65ca4e3aa04aep-6, -0x1.62b21937de227p-6, -0x1.5f9c81a2a6747p-6, -0x1.5c8996d6a77p-6, -0x1.597967e675674p-6, -0x1.566c038f93a85p-6, -0x1.5361782eb5a23p-6, -0x1.5059d3b5df3fap-6, -0x1.4d5523a60ee7p-6, -0x1.4a53750e18be8p-6, -0x1.4754d48f5ccb4p-6, -0x1.44594e68ba6e6p-6, -0x1.4160ee870bb4cp-6, -0x1.3e6bc0999ae29p-6, -0x1.3b79d0284cfc7p-6, -0x1.388b28a8b4f34p-6, -0x1.359fd58ef664dp-6, -0x1.32b7e257af1afp-6, -0x1.2fd35a88a6f77p-6, -0x1.2cf249a7083bfp-6, -0x1.2a14bb2326828p-6, -0x1.273aba3b2a655p-6, -0x1.246451d767dabp-6, -0x1.21918c643d5b9p-6, -0x1.1ec273ae102d9p-6, -0x1.1bf710c441391p-6, -0x1.192f6be79de1dp-6, -0x1.166b8c87c70a9p-6, -0x1.13ab7951bb973p-6, -0x1.10ef384f82e6dp-6, -0x1.0e36cf1746837p-6, -0x1.0b82430596e62p-6, -0x1.08d1997d67324p-6, -0x1.0624d82698e9ep-6, -0x1.037c0523ba6d2p-6, -0x1.00d72737d415fp-6, -0x1.fc6c8bac91704p-7, -0x1.f732d2320f26cp-7, -0x1.f201333710f12p-7, -0x1.ecd7c079290dap-7, -0x1.e7b68b9650233p-7, -0x1.e29da54c649dfp-7, -0x1.dd8d1cb104631p-7, -0x1.d884fe775366p-7, -0x1.d385545980fe6p-7, -0x1.ce8e24b9675bcp-7, -0x1.c99f728741992p-7, -0x1.c4b93d771cd43p-7, -0x1.bfdb8285a4b98p-7, -0x1.bb063cc4c09aap-7, -0x1.b63966605baa3p-7, -0x1.b174f9c461c35p-7, -0x1.acb8f2c8e473ap-7, -0x1.a8054fc647dep-7, -0x1.a35a1272ae287p-7, -0x1.9eb740721739cp-7, -0x1.9a1ce381cc2bfp-7, -0x1.958b09382bf93p-7, -0x1.9101c2535029bp-7, -0x1.8c8121a742be3p-7, -0x1.88093abb7494dp-7, -0x1.839a20371921ap-7, -0x1.7f33e2402d44fp-7, -0x1.7ad68cf3fab8cp-7, -0x1.7682271f21b5bp-7, -0x1.7236b15753a4ep-7, -0x1.6df42590a39bap-7, -0x1.69ba773e78c18p-7, -0x1.65899403a4879p-7, -0x1.616164e8dd903p-7, -0x1.5d41d0040f8c8p-7, -0x1.592aba7067cf6p-7, -0x1.551c0a6e44615p-7, -0x1.5115a97cc3efp-7, -0x1.4d17863d7409p-7, -0x1.492195f4e1d3dp-7, -0x1.4533d5823bf79p-7, -0x1.414e49b2d9dadp-7, -0x1.3d70fee510b6ep-7, -0x1.399c07fd61eafp-7, -0x1.35cf7cc1884a9p-7, -0x1.320b77bb0becdp-7, -0x1.2e5013cdfdd76p-7, -0x1.2a9d69b6bfddap-7, -0x1.26f38da29bfd2p-7, -0x1.23528d14214a3p-7, -0x1.1fba6d3cbc6ep-7, -0x1.1c2b29ec05ea9p-7, -0x1.18a4b52a9b3fep-7, -0x1.1526f78a7c11dp-7, -0x1.11b1d12b7d86dp-7, -0x1.0e451b64e3e56p-7, -0x1.0ae0aaf8fbfa5p-7, -0x1.078452ab01e83p-7, -0x1.042fe6054f1b4p-7, -0x1.00e33c17aecbp-7, -0x1.fb3c63e9ce096p-8, -0x1.f4c15971c0031p-8, -0x1.ee5535dc62467p-8, -0x1.e7f7ea6d4a6fp-8, -0x1.e1a97c596d1acp-8, -0x1.db6a030df255cp-8, -0x1.d539a52c8adc6p-8, -0x1.cf18948821501p-8, -0x1.c9070978fb9d6p-8, -0x1.c3053de1d9083p-8, -0x1.bd1368370104cp-8, -0x1.b731b6cf217bdp-8, -0x1.b1604bbaf3f9ap-8, -0x1.ab9f395ca5cadp-8, -0x1.a5ee7ff5ff4d1p-8, -0x1.a04e0c6120e1p-8, -0x1.9abdb81b16243p-8, -0x1.953d4aae6a894p-8, -0x1.8fcc7c6633cep-8, -0x1.8a6afa068836ap-8, -0x1.851869254df83p-8, -0x1.7fd46cad24e0fp-8, -0x1.7a9ea91fb6c86p-8, -0x1.7576c84b05f58p-8, -0x1.705c7c52c053ep-8, -0x1.6b4f8212ea5fdp-8, -0x1.664fa2f77454p-8, -0x1.615cb661124e2p-8, -0x1.5c76a299520fep-8, -0x1.579d5d3cd5b3bp-8, -0x1.52d0eae91047bp-8, -0x1.4e115df958521p-8, -0x1.495ed42d1cf68p-8, -0x1.44b973396b561p-8, -0x1.4021647978ce4p-8, -0x1.3b96d02581c31p-8, -0x1.3719d89fc7f7cp-8, -0x1.32aa9676da7f8p-8, -0x1.2e4915acc8ea1p-8, -0x1.29f554a017bb3p-8, -0x1.25af44a5165a4p-8, -0x1.2176cc02518bcp-8, -0x1.1d4bc8b137772p-8, -0x1.192e13110c286p-8, -0x1.151d7fbc73c2dp-8, -0x1.1119dff178926p-8, -0x1.0d2300728520cp-8, -0x1.0938a75ba2925p-8, -0x1.055a91ee1b341p-8, -0x1.018873999e00ap-8, -0x1.fb83eecd7a882p-9, -0x1.f40d88a6a6b5p-9, -0x1.ecad089f4f1bdp-9, -0x1.e561d940b078cp-9, -0x1.de2b8b82182c4p-9, -0x1.d709e17eeecb4p-9, -0x1.cffcd0f8d8e2fp-9, -0x1.c9047c7042327p-9, -0x1.c22124153ac96p-9, -0x1.bb531208fb3e9p-9, -0x1.b49a86b3e1f7p-9, -0x1.adf7a9d2f14ffp-9, -0x1.a76a83683a22ep-9, -0x1.a0f2fd610416ap-9, -0x1.9a90ec64dc1afp-9, -0x1.94441c9c21cc8p-9, -0x1.8e0c5eb79c67ap-9, -0x1.87e99201d7266p-9, -0x1.81dba95076085p-9, -0x1.7be2a9c21859ep-9, -0x1.75fea325701edp-9, -0x1.702fa2cb71ad3p-9, -0x1.6a75a2961e57fp-9, -0x1.64d077593c8b4p-9, -0x1.5f3fc2c279431p-9, -0x1.59c2ed578c4ffp-9, -0x1.54592c2bbef3bp-9, -0x1.4f01937e279ffp-9, -0x1.49bb34036f0e3p-9, -0x1.44853d2312f13p-9, -0x1.3f5f1c222f496p-9, -0x1.3a4890000023p-9, -0x1.3541ac161d228p-9, -0x1.304ac802e8306p-9, -0x1.2b6460d513ed9p-9, -0x1.268ef3ff1da66p-9, -0x1.21cade68215d1p-9, -0x1.1d18480e5456p-9, -0x1.18771fdae63a1p-9, -0x1.13e725b152796p-9, -0x1.0f67fcdd73ff5p-9, -0x1.0af9401a59791p-9, -0x1.069a921286bedp-9, -0x1.024ba7cbf17c7p-9, -0x1.fc1899486f43ep-10, -0x1.f3b8c16c3b28bp-10, -0x1.eb77a6d04440dp-10, -0x1.e355389154f41p-10, -0x1.db5167f3ace0ap-10, -0x1.d36c1b371ac9cp-10, -0x1.cba51f55b0a45p-10, -0x1.c3fc167b3148cp-10, -0x1.bc7064f73aff4p-10, -0x1.b501242fb3627p-10, -0x1.adad25ec6dff9p-10, -0x1.a6730eba85152p-10, -0x1.9f518500ea363p-10, -0x1.984768bd61d0ap-10, -0x1.9154033b22f91p-10, -0x1.8a77203b5f1f7p-10, -0x1.83b1091205c96p-10, -0x1.7d0263609dd55p-10, -0x1.766bfe2800c6bp-10, -0x1.6fee9dcc8e6cp-10, -0x1.698ad6981a55bp-10, -0x1.6340fc97ca5f9p-10, -0x1.5d112501079a3p-10, -0x1.56fb306595e3ep-10, -0x1.50fed88882d03p-10, -0x1.4b1bc1951ce33p-10, -0x1.45518d0173879p-10, -0x1.3f9fe5b2ccd89p-10, -0x1.3a067b1085363p-10, -0x1.3484e95d5da36p-10, -0x1.2f1a9c44dcc21p-10, -0x1.29c6bf8220dadp-10, -0x1.24884ab105babp-10, -0x1.1f5e2643eef99p-10, -0x1.1a475ab69beebp-10, -0x1.154336b7a78d1p-10, -0x1.10515d8668708p-10, -0x1.0b71b95752b01p-10, -0x1.06a459e1c129p-10, -0x1.01e94f8903d4dp-10, -0x1.fa8124aaeaaabp-11, -0x1.f153f1ee788d1p-11, -0x1.e84a6fecda51cp-11, -0x1.df63c0c96fb91p-11, -0x1.d69ec38447a0ep-11, -0x1.cdfa39b4d675fp-11, -0x1.c57519a877006p-11, -0x1.bd0eeca961fdfp-11, -0x1.b4c80390075c9p-11, -0x1.aca15fc4b80b2p-11, -0x1.a49c54bbc180fp-11, -0x1.9cba05bd6eb16p-11, -0x1.94fafad611d68p-11, -0x1.8d5f0a20c8f7p-11, -0x1.85e5a6e14aa45p-11, -0x1.7e8e5ab48dd73p-11, -0x1.77590551e7b5ep-11, -0x1.7045b20595a5cp-11, -0x1.695432389b0f3p-11, -0x1.6283d65036bfap-11, -0x1.5bd3718fd4e9ap-11, -0x1.5541915dc6efap-11, -0x1.4eccb7667f801p-11, -0x1.48737b834f55cp-11, -0x1.423498d1abb6ep-11, -0x1.3c0ef5f1ff963p-11, -0x1.3601b1e5fa841p-11, -0x1.300c3235ba066p-11, -0x1.2a2e281e8b255p-11, -0x1.2467866b6e198p-11, -0x1.1eb86d5208abbp-11, -0x1.19211a4021ddbp-11, -0x1.13a1de6b50ap-11, -0x1.0e3b015eef9f1p-11, -0x1.08ec6b1802a9fp-11, -0x1.03b52f2e159a2p-11, -0x1.fd26e4a70d4dfp-12, -0x1.f30a2e0f15d1cp-12, -0x1.e911d37c2b8ffp-12, -0x1.df3ebad211582p-12, -0x1.d59452d46a071p-12, -0x1.cc161989da8fp-12, -0x1.c2c55b7fa8645p-12, -0x1.b9a0e1e0b690bp-12, -0x1.b0a6ad9b6fa5fp-12, -0x1.a7d61503ab4bcp-12, -0x1.9f303e2995c54p-12, -0x1.96b69f5733fcfp-12, -0x1.8e692bf582857p-12, -0x1.8645d836da216p-12, -0x1.7e498069918a7p-12, -0x1.76712659e7e7dp-12, -0x1.6ebaaf14ec485p-12, -0x1.6724fde99c03dp-12, -0x1.5fafae37650cdp-12, -0x1.585ab4cdefcdp-12, -0x1.512617c932c6ep-12, -0x1.4a11d125d80ecp-12, -0x1.431ddc7245058p-12, -0x1.3c4a5c8d0ae13p-12, -0x1.3597b76eb36a4p-12, -0x1.2f0682aeeb008p-12, -0x1.28972ce230a3p-12, -0x1.22497d7828782p-12, -0x1.1c1c42556b83p-12, -0x1.160d908f85384p-12, -0x1.101b86530971ep-12, -0x1.0a44b5815833ap-12, -0x1.048774d44c297p-12, -0x1.fdc1ffccfb302p-13, -0x1.f29d0a9bfeaap-13, -0x1.e7a008665065bp-13, -0x1.dcd2b1c477fcbp-13, -0x1.d23e48891abe1p-13, -0x1.c7e4e427a010ap-13, -0x1.bdbfb0a0bdfc6p-13, -0x1.b3c62dc7df33p-13, -0x1.a9f6cca9932aep-13, -0x1.a057b6d650082p-13, -0x1.96efe001e8b9dp-13, -0x1.8dc0f35ab752bp-13, -0x1.84c737896ab6ap-13, -0x1.7bfce21c1f5a1p-13, -0x1.735ce2f66808ap-13, -0x1.6ae3ea2261f09p-13, -0x1.629042b79de37p-13, -0x1.5a614bf719c2dp-13, -0x1.5256f92f8eb4ep-13, -0x1.4a717449108d4p-13, -0x1.42b0def5efc57p-13, -0x1.3b152b39146b3p-13, -0x1.339e0b81ce841p-13, -0x1.2c4affc88b7c1p-13, -0x1.251b800bd157cp-13, -0x1.1e0f386a05c43p-13, -0x1.17264079af20fp-13, -0x1.1061322f35ce1p-13, -0x1.09c1012dfb9f8p-13, -0x1.03467ea64d4b2p-13, -0x1.f9e370161228bp-14, -0x1.ed83942db4336p-14, -0x1.e16b3eea0f1b1p-14, -0x1.d599795c485bep-14, -0x1.ca0c2b63e8d92p-14, -0x1.beba442d49734p-14, -0x1.b394abfd1134p-14, -0x1.a8940f7fa2bcdp-14, -0x1.9dc1912b2cad8p-14, -0x1.9329babab20ddp-14, -0x1.88cc37ca809a6p-14, -0x1.7ea03ed233816p-14, -0x1.74a3b61d38e73p-14, -0x1.6adc468b22a76p-14, -0x1.614da809fb95bp-14, -0x1.57f77bf39ef14p-14, -0x1.4ed89f19ccfeap-14, -0x1.45ef7f2f0fdc3p-14, -0x1.3d39186a77cap-14, -0x1.34b194183bf3p-14, -0x1.2c55a8426182cp-14, -0x1.242345c3ec4f6p-14, -0x1.1c1975229a3a6p-14, -0x1.1437e4befad76p-14, -0x1.0c7e86a073b3fp-14, -0x1.04ed56261f867p-14, -0x1.fb087532052eep-15, -0x1.ec85edd7a0fbap-15, -0x1.de52414e08bf2p-15, -0x1.d06c375f5424fp-15, -0x1.c2d23b31a23d7p-15, -0x1.b58282bc1e79p-15, -0x1.a87b3a83c7b9dp-15, -0x1.9bbabbc0f15ccp-15, -0x1.8f3fd09238307p-15, -0x1.8309d8059fbcap-15, -0x1.77185fbfc4c72p-15, -0x1.6b6a07bf71d3cp-15, -0x1.5ffbc7296d15bp-15, -0x1.54cac967dc769p-15, -0x1.49d9334957f61p-15, -0x1.3f306ca059358p-15, -0x1.34d7ee1ae2965p-15, -0x1.2ac6e014edfb4p-15, -0x1.20edfc8c64a5ep-15, -0x1.174b57c1825d8p-15, -0x1.0dda78cf22c35p-15, -0x1.048ca1788822ep-15, -0x1.f6ca46f179f8ep-16, -0x1.e4eff668d3c36p-16, -0x1.d399325b00d43p-16, -0x1.c2b32bd15f2d3p-16, -0x1.b22541733697p-16, -0x1.a1e8af43b420ep-16, -0x1.9209d8ac4e617p-16, -0x1.829500985a3d2p-16, -0x1.738909c88c1cbp-16, -0x1.64dc429e059fp-16, -0x1.5685adeff1485p-16, -0x1.488072793bcb8p-16, -0x1.3acaceaf58541p-16, -0x1.2d64495215598p-16, -0x1.204c9a345f72fp-16, -0x1.1383452196f4fp-16, -0x1.07078e376b59bp-16, -0x1.f5b1105f36bafp-17, -0x1.ddea3e3ea492bp-17, -0x1.c6b82b8134772p-17, -0x1.b01810c924f4fp-17, -0x1.9a06a7e70f8ep-17, -0x1.848066e7cfd6p-17, -0x1.6f81806854c1dp-17, -0x1.5b06371a6a874p-17, -0x1.470b47ddc387bp-17, -0x1.338e59b6cca29p-17, -0x1.208df7a747e5dp-17, -0x1.0e086c711ab93p-17, -0x1.f7f3cc589277fp-18, -0x1.d4b8d118f5cb4p-18, -0x1.b257f3a4d153fp-18, -0x1.90dbc41e87391p-18, -0x1.706352e54d5b5p-18, -0x1.50ef538029c8ep-18, -0x1.323fb14ae45e5p-18, -0x1.1436025de7626p-18, -0x1.edad0ce467453p-19, -0x1.b46b3f9569a62p-19, -0x1.7d0b54d603c4dp-19, -0x1.4785698d53f23p-19, -0x1.13863d92820f8p-19, -0x1.c19093ccce6c7p-20, -0x1.5e7cc73223151p-20, -0x1.fc130b3a7100bp-21, -0x1.40462d7c91fc4p-21, -0x1.1215cc485d5d4p-22, 0x1.49a5dbb0d7f9bp-24, 0x1.ab76e7fc35843p-22, 0x1.7cae673af00bep-21, 0x1.0f5886e29b166p-20, 0x1.5e1966d6d23cbp-20, 0x1.aaad65f6c2329p-20, 0x1.f518f5bbeff79p-20, 0x1.1eaf88faa00a2p-19, 0x1.41c2a283eae0ap-19, 0x1.63c9c7af31877p-19, 0x1.84c9b60fe1f14p-19, 0x1.a4c783d8d3099p-19, 0x1.c3c86d50ce1e5p-19, 0x1.e1d1cb006ab77p-19, 0x1.fee9198caeaa6p-19, 0x1.0d89fe3c639a6p-18, 0x1.1b2c185559cbfp-18, 0x1.285db9ab87a9ap-18, 0x1.3521b3b63fdbcp-18, 0x1.417abaf13d57fp-18, 0x1.4d6b4af2adc0fp-18, 0x1.58f57fd857fe3p-18, 0x1.641b123d495cfp-18, 0x1.6eddba6351296p-18, 0x1.793fd6f35ac9cp-18, 0x1.8344c31f6e46dp-18, 0x1.8cf05b497c1d2p-18, 0x1.9643cf073dd98p-18, 0x1.9f386ebbf3abep-18, 0x1.a7cd0c4cf977cp-18, 0x1.b0159fe1412a8p-18, 0x1.b81a6bfdf136p-18, 0x1.bfce125319a3dp-18, 0x1.c72a41d25984bp-18, 0x1.ce39885f1375p-18, 0x1.d501b8090079ap-18, 0x1.db83d7918b63fp-18, 0x1.e1c03f4673d34p-18, 0x1.e7b5e3135f27ep-18, 0x1.ed61ef7d1a732p-18, 0x1.f2c5c4d62420ep-18, 0x1.f7ea7a69ba68fp-18, 0x1.fcd67dabc7288p-18, 0x1.00c5f97e53b25p-17, 0x1.0303c15cf0a7dp-17, 0x1.05211acc188b9p-17, 0x1.071f630bf901ep-17, 0x1.0901e74e6ffb4p-17, 0x1.0aca325c05478p-17, 0x1.0c78ad7bcb2d8p-17, 0x1.0e0d9e241edfbp-17, 0x1.0f896b65021e2p-17, 0x1.10ec9850689aap-17, 0x1.1237b4facf9ep-17, 0x1.136b54b006c71p-17, 0x1.148809b6ac016p-17, 0x1.158e66be85cb5p-17, 0x1.167efc29d0e38p-17, 0x1.175a456366541p-17, 0x1.1820d78119fecp-17, 0x1.18d3450d644d2p-17, 0x1.1972122875fedp-17, 0x1.19fdc3bee044fp-17, 0x1.1a76dd7f2c99cp-17, 0x1.1adde059bb52ap-17, 0x1.1b33424a07da4p-17, 0x1.1b776cf9506d4p-17, 0x1.1baab565e62a7p-17, 0x1.1bcd7269cf6a7p-17, 0x1.1be018f81eb52p-17, 0x1.1be351afa1807p-17, 0x1.1bd7ea8bb7467p-17, 0x1.1bbe1cb8c3cc7p-17, 0x1.1b94d0e031ff4p-17, 0x1.1b5dbc9b777a6p-17, 0x1.1b1a7bd38a63ep-17, 0x1.1ac8c0ed6c50fp-17, 0x1.1a69ce985feb4p-17, 0x1.19fee7018101cp-17, 0x1.198829f6106d5p-17, 0x1.1905b92444454p-17, 0x1.1877dcf0b0d6fp-17, 0x1.17deebb6bfad4p-17, 0x1.173b3b62361f3p-17, 0x1.168d212332e0cp-17, 0x1.15d4fd4d1a0fcp-17, 0x1.151331f6a6b32p-17, 0x1.1447ab8a2bd4ap-17, 0x1.137161781c2c4p-17, 0x1.1290a1e03f687p-17, 0x1.11a8ba954ca4cp-17, 0x1.10ba41055ab77p-17, 0x1.0fc24fa87585cp-17, 0x1.0ec1061bc9518p-17, 0x1.0db8320a61cf5p-17, 0x1.0ca8558a7fc81p-17, 0x1.0b91695a90546p-17, 0x1.0a7379100b35bp-17, 0x1.094eabe4e4b19p-17, 0x1.0823352469eeap-17, 0x1.06f14ae236c0cp-17, 0x1.05b92250c82f6p-17, 0x1.047aeef6c82e8p-17, 0x1.0336e3497d2c3p-17, 0x1.01ed318fc402dp-17, 0x1.009e0c22506aap-17, 0x1.fe9349c92cbf2p-18, 0x1.fbe059311995bp-18, 0x1.f923a57cbf7f5p-18, 0x1.f65d8c4eaf41dp-18, 0x1.f38e6b839d908p-18, 0x1.f0b6a082e97adp-18, 0x1.edd68080d3a7fp-18, 0x1.eaee4995f4cf1p-18, 0x1.e7fe2021f9395p-18, 0x1.e5062f5bff34cp-18, 0x1.e206ce3437346p-18, 0x1.df007eb283c0ap-18, 0x1.dbf3fde452abep-18, 0x1.d8e237bc3668dp-18, 0x1.d5ca55bd50efp-18, 0x1.d2ab9de9563b1p-18, 0x1.cf864509c5205p-18, 0x1.cc5b2641de22cp-18, 0x1.c92c0c055fd11p-18, 0x1.c5f89dc636cafp-18, 0x1.c2c0a2144afddp-18, 0x1.bf8435c8e9c4p-18, 0x1.bc438e51b62edp-18, 0x1.b8fee4e351b73p-18, 0x1.b5b67422c1f3bp-18, 0x1.b26a792b3d12ap-18, 0x1.af1b3329c37cdp-18, 0x1.abc8df226760fp-18, 0x1.a873af8cc181ep-18, 0x1.a51bc562aae63p-18, 0x1.a1c13bff4ae7cp-18, 0x1.9e645d8b5d211p-18, 0x1.9b05d87157e83p-18, 0x1.97a5f3d030b8dp-18, 0x1.9442e5db6e89ep-18, 0x1.90dd8a5f6b7b3p-18, 0x1.8d7759a241122p-18, 0x1.8a0e07b5ddb5ep-18, 0x1.86a3dbc0299a7p-18, 0x1.8339a2ed5fbebp-18, 0x1.7fced84ecbe2p-18, 0x1.7c634513cf152p-18, 0x1.78f6f67e236e8p-18, 0x1.758a0caaa4f67p-18, 0x1.721cafa404fe8p-18, 0x1.6eaf1576d2997p-18, 0x1.6b413b86d67dcp-18, 0x1.67d342987c4cbp-18, 0x1.64656ea67d65ap-18, 0x1.60f7ca4b31a07p-18, 0x1.5d8a712971b2bp-18, 0x1.5a1d824d1f09p-18, 0x1.56b11a4a45a6ep-18, 0x1.534554aa40b8ap-18, 0x1.4fda4e185f628p-18, 0x1.4c70229f80d21p-18, 0x1.4906ec0d2776ap-18, 0x1.459ebb57ec29ap-18, 0x1.4237986486fadp-18, 0x1.3ed1904ff632cp-18, 0x1.3b6cbf655a4dcp-18, 0x1.380946ec32213p-18, 0x1.34a754da30ecap-18, 0x1.31474cd5458abp-18, 0x1.2de9865a6c812p-18, 0x1.2a8cee0fbc3cep-18, 0x1.2730b841b716bp-18, 0x1.23d6b9dd972a8p-18, 0x1.207f3bc924128p-18, 0x1.1d29d35025cefp-18, 0x1.19d66f01f7edap-18, }}, 
      {{-0x1.4d4da6fda26cp-4, -0x1.3d2dfe4811079p-4, -0x1.237d3a40a71d3p-4, -0x1.019b9889fe04cp-4, -0x1.b214c8c69abp-5, -0x1.56957b7fb0e61p-5, -0x1.e7255f9f6af65p-6, -0x1.174ba28b07d3fp-6, -0x1.08e6513006b17p-8, 0x1.28277a3f5b5b9p-7, 0x1.683bfea4d324cp-6, 0x1.1bb9bd267f779p-5, 0x1.7fbbba37e7e2cp-5, 0x1.df4060ecdc6b3p-5, 0x1.1ccd71044adc5p-4, 0x1.472724a029ebfp-4, 0x1.6e8372ae61dfdp-4, 0x1.92ca12f9d358cp-4, 0x1.b3f17fe0d77d6p-4, 0x1.d1fc6f3a008d8p-4, 0x1.ecf7928fe8ec9p-4, 0x1.027bcd24b1b6ep-3, 0x1.0d0bbdd60a6fdp-3, 0x1.163b78b076074p-3, 0x1.1e1c992fe6316p-3, 0x1.24c1eeacaae02p-3, 0x1.2a3f06e774accp-3, 0x1.2ea7cd739fb6fp-3, 0x1.32103c004dc01p-3, 0x1.348c19dc46cbep-3, 0x1.362ec82dbc3ap-3, 0x1.370b19bdda251p-3, 0x1.373333f490f9p-3, 0x1.36b877b3f1c49p-3, 0x1.35ab71083c43p-3, 0x1.341bcc5d502f9p-3, 0x1.3218504466f3bp-3, 0x1.2faedad8b9898p-3, 0x1.2cec625b0e279p-3, 0x1.29dcf81a0ee5bp-3, 0x1.268bcd7114f7fp-3, 0x1.23033a307c676p-3, 0x1.1f4cc4394b91p-3, 0x1.1b7127fd438d6p-3, 0x1.1778619ee3492p-3, 0x1.1369b67a93f07p-3, 0x1.0f4bbeeb03be2p-3, 0x1.0b2470366eb3p-3, 0x1.06f9266ea4024p-3, 0x1.02ceae36580c5p-3, 0x1.fd529c9cb66b7p-4, 0x1.f519a1e892257p-4, 0x1.ecf919cc71c35p-4, 0x1.e4f6dc169a0abp-4, 0x1.dd17fb84369f6p-4, 0x1.d560d5c10305bp-4, 0x1.cdd5227e60a6dp-4, 0x1.c678014669acap-4, 0x1.bf4c0761afa9ap-4, 0x1.b8534c66622b3p-4, 0x1.b18f75bdcd6c9p-4, 0x1.ab01c1b7f906cp-4, 0x1.a4ab120dc169cp-4, 0x1.9e8bf55074de4p-4, 0x1.98a4afc2b51f3p-4, 0x1.92f5439f87908p-4, 0x1.8d7d7862b8d18p-4, 0x1.883ce19a38b58p-4, 0x1.8332e54bdc36bp-4, 0x1.7e5ec1ad15f87p-4, 0x1.79bf92a4b8851p-4, 0x1.7554567846d53p-4, 0x1.711bf295224b8p-4, 0x1.6d153710d8011p-4, 0x1.693ee2578715fp-4, 0x1.6597a44315e8cp-4, 0x1.621e20c938005p-4, 0x1.5ed0f2e21391fp-4, 0x1.5baeae9f19aa2p-4, 0x1.58b5e380d41e7p-4, 0x1.55e51e595264ep-4, 0x1.533aeb0622c6cp-4, 0x1.50b5d5be25592p-4, 0x1.4e546c8ec9eaep-4, 0x1.4c15402bb0853p-4, 0x1.49f6e4fd51d45p-4, 0x1.47f7f3e77265ap-4, 0x1.46170b02b81cap-4, 0x1.4452ce4e88ef3p-4, 0x1.42a9e81aff3bap-4, 0x1.411b09d394a87p-4, 0x1.3fa4ec237aa6bp-4, 0x1.3e464f749f4fcp-4, 0x1.3cfdfc2d359e3p-4, 0x1.3bcac2e4abe65p-4, 0x1.3aab7c897e39fp-4, 0x1.399f0a7b0e4ccp-4, 0x1.38a4569e20eabp-4, 0x1.37ba5341d4acdp-4, 0x1.36dffb5c841f6p-4, 0x1.36145247e5134p-4, 0x1.355663d5e64f3p-4, 0x1.34a54439f7957p-4, 0x1.34000ff63aa8bp-4, 0x1.3365ebc51345dp-4, 0x1.32d6047f06973p-4, 0x1.324f8efd3b688p-4, 0x1.31d1c7ff72c26p-4, 0x1.315bf3f37ea5ep-4, 0x1.30ed5eee99039p-4, 0x1.30855c73170cep-4, 0x1.3023474696f34p-4, 0x1.2fc6814df00e4p-4, 0x1.2f6e735ee56b4p-4, 0x1.2f1a8d1420125p-4, 0x1.2eca449fe91dcp-4, 0x1.2e7d169f719cdp-4, 0x1.2e3285ed2e5fep-4, 0x1.2dea1b738d4fcp-4, 0x1.2da366004fc96p-4, 0x1.2d5dfa1aa2325p-4, 0x1.2d1971ccbef87p-4, 0x1.2cd56c804ef49p-4, 0x1.2c918eda17983p-4, 0x1.2c4d827d5abfep-4, 0x1.2c08f5ed0e47ap-4, 0x1.2bc39c5efcdfap-4, 0x1.2b7d2d9339c6fp-4, 0x1.2b3565aa645bdp-4, 0x1.2aec04fe02a5ap-4, 0x1.2aa0cff9f3f06p-4, 0x1.2a538ef4afb89p-4, 0x1.2a040e0a13049p-4, 0x1.29b21cf705c66p-4, 0x1.295d8ef3eea9dp-4, 0x1.29063a91e1ffbp-4, 0x1.28abf999eb287p-4, 0x1.284ea8ea5669bp-4, 0x1.27ee284adb3a4p-4, 0x1.278a5a655b671p-4, 0x1.27232490eff1bp-4, 0x1.26b86eb9388bp-4, 0x1.264a23437cadcp-4, 0x1.25d82ef0a3a86p-4, 0x1.256280c03975fp-4, 0x1.24e909d695442p-4, 0x1.246bbd631eefap-4, 0x1.23ea90866dcc6p-4, 0x1.23657a3944904p-4, 0x1.22dc733744194p-4, 0x1.224f75e783b48p-4, 0x1.21be7e457618fp-4, 0x1.212989cd144c6p-4, 0x1.2090976770544p-4, 0x1.1ff3a755ccf5dp-4, 0x1.1f52bb1de4eeep-4, 0x1.1eadd578bb80dp-4, 0x1.1e04fa4246f4ap-4, 0x1.1d582e6511ed9p-4, 0x1.1ca777c6cf81ep-4, 0x1.1bf2dd432f3ep-4, 0x1.1b3a6693c0ec8p-4, 0x1.1a7e1c42bce7ep-4, 0x1.19be079d28496p-4, 0x1.18fa32a675703p-4, 0x1.1832a80ceaf8ap-4, 0x1.1767731c87acbp-4, 0x1.16989fb2b096ap-4, 0x1.15c63a33cdf1cp-4, 0x1.14f04f84099b7p-4, 0x1.1416ecfb681bep-4, 0x1.133a205b4f99p-4, 0x1.1259f7c5db87ap-4, 0x1.117681b751037p-4, 0x1.108fccfdf1297p-4, 0x1.0fa5e8afd58b3p-4, 0x1.0eb8e4223e3e2p-4, 0x1.0dc8cee3dd008p-4, 0x1.0cd5b8b75119ep-4, 0x1.0bdfb18b25dd6p-4, 0x1.0ae6c9711b9f5p-4, 0x1.09eb1098178cbp-4, 0x1.08ec97489b9b1p-4, 0x1.07eb6de0972b6p-4, 0x1.06e7a4cc706c4p-4, 0x1.05e14c7ea3832p-4, 0x1.04d8756fe4da2p-4, 0x1.03cd301a3099ap-4, 0x1.02bf8cf879e86p-4, 0x1.01af9c7dab394p-4, 0x1.009d6f1337528p-4, 0x1.ff122a2ab7de5p-5, 0x1.fce53da4cf3f6p-5, 0x1.fab43911ed186p-5, 0x1.f87f3cc892a39p-5, 0x1.f64668f08c66ap-5, 0x1.f409dd7e71e92p-5, 0x1.f1c9ba326b81dp-5, 0x1.ef861e9682a0bp-5, 0x1.ed3f29f9aa98ap-5, 0x1.eaf4fb690a38p-5, 0x1.e8a7b1ab23888p-5, 0x1.e6576b3e4acd3p-5, 0x1.e40446584674bp-5, 0x1.e1ae60e418fb1p-5, 0x1.df55d87d582a4p-5, 0x1.dcfaca6b75929p-5, 0x1.da9d539f6e63cp-5, 0x1.d83d90b3d10e2p-5, 0x1.d5db9dece4aa9p-5, 0x1.d3779736fb06ap-5, 0x1.d11198232b41p-5, 0x1.cea9bbe3f3c56p-5, 0x1.cc401d500ebe9p-5, 0x1.c9d4d6d701b16p-5, 0x1.c768029a0ebefp-5, 0x1.c4f9ba4eb66e1p-5, 0x1.c28a175176d11p-5, 0x1.c019329af26b8p-5, 0x1.bda724c1ce5a3p-5, 0x1.bb3405fd86c55p-5, 0x1.b8bfee25a9d81p-5, 0x1.b64af4b1e2a8ep-5, 0x1.b3d530b9ba98ep-5, 0x1.b15eb8f3a3bd4p-5, 0x1.aee7a3b4be777p-5, 0x1.ac7006f1ac366p-5, 0x1.a9f7f83fce95bp-5, 0x1.a77f8cd62e2cep-5, 0x1.a506d98d7fd68p-5, 0x1.a28df2dfa00bp-5, 0x1.a014ece74d907p-5, 0x1.9d9bdb608c58ep-5, 0x1.9b22d1a99b727p-5, 0x1.98a9e2c4071dcp-5, 0x1.963121555913cp-5, 0x1.93b89fa73c0f1p-5, 0x1.91406fa75463ep-5, 0x1.8ec8a2e7540e2p-5, 0x1.8c514a9d876e2p-5, 0x1.89da77a5bd265p-5, 0x1.87643a82436ebp-5, 0x1.84eea35cb372dp-5, 0x1.8279c20672ccp-5, 0x1.8005a5f8e5d1ep-5, 0x1.7d925e55eef83p-5, 0x1.7b1ff9e896a34p-5, 0x1.78ae872611a1bp-5, 0x1.763e142ed7216p-5, 0x1.73ceaecfbadcfp-5, 0x1.71606482d98c5p-5, 0x1.6ef34270562f8p-5, 0x1.6c87556f1dae7p-5, 0x1.6a1caa05cc9a4p-5, 0x1.67b34c6bb92b6p-5, 0x1.654b48898ca94p-5, 0x1.62e4a9fbe3c99p-5, 0x1.607f7c1ab0715p-5, 0x1.5e1bc9dc0feeep-5, 0x1.5bb99e0ec9cc4p-5, 0x1.5959031d31ab8p-5, 0x1.56fa0335bc2abp-5, 0x1.549ca83f8666bp-5, 0x1.5240fbdbe336fp-5, 0x1.4fe70767de341p-5, 0x1.4d8ed3fd8e8bbp-5, 0x1.4b386a753c704p-5, 0x1.48e3d3663bf1dp-5, 0x1.46911727ff142p-5, 0x1.44403dd2fb8fap-5, 0x1.41f14f41a933cp-5, 0x1.3fa453118c3eep-5, 0x1.3d5950a43bd8bp-5, 0x1.3b104f2073196p-5, 0x1.38c9557317841p-5, 0x1.36846a5032d54p-5, 0x1.34419433e027bp-5, 0x1.3200d9632dd6bp-5, 0x1.2fc23fed15308p-5, 0x1.2d85cdab76bc1p-5, 0x1.2b4b88441f4a9p-5, 0x1.29137529bc7f5p-5, 0x1.26dd999cec6f6p-5, 0x1.24a9faad2d96ap-5, 0x1.22789d39d5222p-5, 0x1.204985f2fc6eep-5, 0x1.1e1cb95a73755p-5, 0x1.1bf23bc4b4f72p-5, 0x1.19ca1159e649fp-5, 0x1.17a43e16c90e7p-5, 0x1.1580c5cda638ap-5, 0x1.135fac273daadp-5, 0x1.1140f4a3aec74p-5, 0x1.0f24a29b69194p-5, 0x1.0d0ab9401a2ep-5, 0x1.0af33b9d9572p-5, 0x1.08de2c9ab3428p-5, 0x1.06cb8efa39254p-5, 0x1.04bb655baf5a1p-5, 0x1.02adb23bfe7b4p-5, 0x1.00a277f67f76fp-5, 0x1.fd33718b704cp-6, 0x1.f926ed887bc47p-6, 0x1.f51f67db1a68fp-6, 0x1.f11ce43da9b09p-6, 0x1.ed1f662f6f33p-6, 0x1.e926f0f5e147cp-6, 0x1.e533879e4bd44p-6, 0x1.e1452cfed779cp-6, 0x1.dd5be3b84e0dfp-6, 0x1.d977ae374443bp-6, 0x1.d5988eb5df8c3p-6, 0x1.d1be873d9b436p-6, 0x1.cde999a85d3ccp-6, 0x1.ca19c7a17262ep-6, 0x1.c64f12a6ba7cep-6, 0x1.c2897c09e58b7p-6, 0x1.bec904f1b6126p-6, 0x1.bb0dae5b59e7ap-6, 0x1.b757791bb927ap-6, 0x1.b3a665e0ca16bp-6, 0x1.affa7532a87e6p-6, 0x1.ac53a774a6013p-6, 0x1.a8b1fce633ba5p-6, 0x1.a51575a3d9f04p-6, 0x1.a17e11a829726p-6, 0x1.9debd0ccd0257p-6, 0x1.9a5eb2cbb9868p-6, 0x1.96d6b74031feap-6, 0x1.9353dda7f3b2p-6, 0x1.8fd625640f6b6p-6, 0x1.8c5d8db9b745bp-6, 0x1.88ea15d2e1ed6p-6, 0x1.857bbcbf0682dp-6, 0x1.82128173cea3p-6, 0x1.7eae62cdff52cp-6, 0x1.7b4f5f925e66p-6, 0x1.77f5766eb8455p-6, 0x1.74a0a5fa8dbd4p-6, 0x1.7150ecb8028b8p-6, 0x1.6e064914522e7p-6, 0x1.6ac0b9684bbebp-6, 0x1.67803bf8cdc88p-6, 0x1.6444cef70870fp-6, 0x1.610e7081b47e2p-6, 0x1.5ddd1ea4d2996p-6, 0x1.5ab0d75b734cdp-6, 0x1.5789988fd762p-6, 0x1.5467601bf378ep-6, 0x1.514a2bca41ba8p-6, 0x1.4e31f9560a53fp-6, 0x1.4b1ec66b8f175p-6, 0x1.481090a8425fp-6, 0x1.4507559b2a45dp-6, 0x1.420312c54547bp-6, 0x1.3f03c59a164a4p-6, 0x1.3c096b804459ap-6, 0x1.391401d21a068p-6, 0x1.362385de0f523p-6, 0x1.3337f4e70903bp-6, 0x1.30514c2495e04p-6, 0x1.2d6f88c3047bcp-6, 0x1.2a92a7e370977p-6, 0x1.27baa69beca69p-6, 0x1.24e781f7bf06cp-6, 0x1.221936f7b941ep-6, 0x1.1f4fc292b062dp-6, 0x1.1c8b21b60410dp-6, 0x1.19cb51461413fp-6, 0x1.17104e1eb3081p-6, 0x1.145a1513449f9p-6, 0x1.11a8a2ee28746p-6, 0x1.0efbf46fb7134p-6, 0x1.0c54064e5717fp-6, 0x1.09b0d53853f1bp-6, 0x1.07125dd54e9e8p-6, 0x1.04789cc5c11dcp-6, 0x1.01e38ea1a21cep-6, 0x1.fea65feff6d3ap-7, 0x1.f98efa9f96421p-7, 0x1.f480e651aac0fp-7, 0x1.ef7c1bf7f5aa9p-7, 0x1.ea8094764fb09p-7, 0x1.e58e48a232a3ep-7, 0x1.e0a531425c91bp-7, 0x1.dbc5470eab2bep-7, 0x1.d6ee82b02f7d3p-7, 0x1.d220dcc178805p-7, 0x1.cd5c4dcf00e69p-7, 0x1.c8a0ce57b79b9p-7, 0x1.c3ee56cd5ca89p-7, 0x1.bf44df94e9596p-7, 0x1.baa46106a559p-7, 0x1.b60cd36e12fd8p-7, 0x1.b17e2f09cc18cp-7, 0x1.acf86c0b4574p-7, 0x1.a87b82967ffffp-7, 0x1.a4076ac212aebp-7, 0x1.9f9c1c972201cp-7, 0x1.9b399011a2301p-7, 0x1.96dfbd2077842p-7, 0x1.928e9ba5abd75p-7, 0x1.8e462378fe67ep-7, 0x1.8a064c63903e4p-7, 0x1.85cf0e2439303p-7, 0x1.81a0606e0be2fp-7, 0x1.7d7a3ae7bdccp-7, 0x1.795c952bdf7cdp-7, 0x1.754766c89be56p-7, 0x1.713aa73f93bcfp-7, 0x1.6d364e05c594ep-7, 0x1.693a52841d663p-7, 0x1.6546ac16a87fep-7, 0x1.615b520df9979p-7, 0x1.5d783baeef15bp-7, 0x1.599d6033267d6p-7, 0x1.55cab6c919fa4p-7, 0x1.52003694357cep-7, 0x1.4e3dd6acf5b0fp-7, 0x1.4a838e20b3eadp-7, 0x1.46d153f180b7cp-7, 0x1.43271f1613667p-7, 0x1.3f84e679a44f9p-7, 0x1.3beaa0fc0161cp-7, 0x1.38584571a7beep-7, 0x1.34cdcaa3f3bap-7, 0x1.314b275170c78p-7, 0x1.2dd0522e2ab1ep-7, 0x1.2a5d41e3f5f0ap-7, 0x1.26f1ed12b1a95p-7, 0x1.238e4a50783e2p-7, 0x1.20325029b3017p-7, 0x1.1cddf5212b3d6p-7, 0x1.19912faffbfd2p-7, 0x1.164bf645899bp-7, 0x1.130e3f47704cep-7, 0x1.0fd80111915fp-7, 0x1.0ca931f643c1fp-7, 0x1.0981c83e77edcp-7, 0x1.0661ba2a135cdp-7, 0x1.0348fdf00d1ddp-7, 0x1.003789becc42cp-7, 0x1.fa5aa778dcc72p-8, 0x1.f454a40e36269p-8, 0x1.ee5cf56a83e13p-8, 0x1.e87387ab6fd79p-8, 0x1.e29846dfdaa3fp-8, 0x1.dccb1f07f7779p-8, 0x1.d70bfc156b116p-8, 0x1.d15ac9eb94147p-8, 0x1.cbb7745fabf71p-8, 0x1.c621e7391ae3bp-8, 0x1.c09a0e31d64c3p-8, 0x1.bb1fd4f6f3d85p-8, 0x1.b5b32729202dap-8, 0x1.b053f05d5a1ddp-8, 0x1.ab021c1d6d182p-8, 0x1.a5bd95e89ed46p-8, 0x1.a086493411476p-8, 0x1.9b5c216b623b7p-8, 0x1.963f09f0f797fp-8, 0x1.912eee1e6d281p-8, 0x1.8c2bb944f916dp-8, 0x1.873556add18c8p-8, 0x1.824bb19a951b7p-8, 0x1.7d6eb545d89d7p-8, 0x1.789e4ce32a946p-8, 0x1.73da63a107e89p-8, 0x1.6f22e4a752202p-8, 0x1.6a77bb19f061p-8, 0x1.65d8d21814426p-8, 0x1.614614bd26cd3p-8, 0x1.5cbf6e21243f2p-8, 0x1.5844c95903576p-8, 0x1.53d61176ef9bp-8, 0x1.4f73318aa5ef9p-8, 0x1.4b1c14a1de28dp-8, 0x1.46d0a5c8a2dacp-8, 0x1.4290d009e9a0ap-8, 0x1.3e5c7e701647ep-8, 0x1.3a339c05cccb1p-8, 0x1.361613d6c5d56p-8, 0x1.3203d0f0a6a6dp-8, 0x1.2dfcbe64196d8p-8, 0x1.2a00c745894c2p-8, 0x1.260fd6adf214bp-8, 0x1.2229d7bb43a47p-8, 0x1.1e4eb59025fp-8, 0x1.1a7e5b539f38bp-8, 0x1.16b8b430ed7ccp-8, 0x1.12fdab5865f54p-8, 0x1.0f4d2c009d325p-8, 0x1.0ba7216686e9ep-8, 0x1.080b76cc7c4cbp-8, 0x1.047a1779a496fp-8, 0x1.00f2eebab477dp-8, 0x1.faebcfc72bf04p-9, 0x1.f405dca23475fp-9, 0x1.ed33dad44c367p-9, 0x1.e675a141e229fp-9, 0x1.dfcb06e7050ep-9, 0x1.d933e2d9616dfp-9, 0x1.d2b00c4929928p-9, 0x1.cc3f5a81bdd4p-9, 0x1.c5e1a4e986e2ep-9, 0x1.bf96c301dfd31p-9, 0x1.b95e8c6675ab2p-9, 0x1.b338d8cc9a00ep-9, 0x1.ad25800307dd3p-9, 0x1.a72459f1ec2dfp-9, 0x1.a1353e9baa3ddp-9, 0x1.9b58061e0a92bp-9, 0x1.958c88b3dca2dp-9, 0x1.8fd29eb6c112dp-9, 0x1.8a2a20a12d5efp-9, 0x1.8492e7105c60ep-9, 0x1.7f0ccac5d07e9p-9, 0x1.7997a4a84f4ep-9, 0x1.74334dc43b173p-9, 0x1.6edf9f4b641aep-9, 0x1.699c72945b2edp-9, 0x1.6469a119b1c6cp-9, 0x1.5f4704797cfa9p-9, 0x1.5a34767523fc7p-9, 0x1.5531d0f2128d3p-9, 0x1.503eedfb4edf4p-9, 0x1.4b5ba7c3eb06dp-9, 0x1.4687d8aa4a152p-9, 0x1.41c35b3bbc756p-9, 0x1.3d0e0a38203afp-9, 0x1.3867c09584cfep-9, 0x1.33d059828dc1dp-9, 0x1.2f47b066acbe1p-9, 0x1.2acda0dfd8a9cp-9, 0x1.266206bf2f315p-9, 0x1.2204be04f6777p-9, 0x1.1db5a2dbbc75ap-9, 0x1.1974919215644p-9, 0x1.15416694a4725p-9, 0x1.111bfe69ba5fbp-9, 0x1.0d0435af9ef3dp-9, 0x1.08f9e91d57b5ep-9, 0x1.04fcf586be736p-9, 0x1.010d37e34a833p-9, 0x1.fa551aaf24dp-10, 0x1.f2a9a680f1725p-10, 0x1.eb17ce7dd133cp-10, 0x1.e39f4e8609c5bp-10, 0x1.dc3fe32a2dac5p-10, 0x1.d4f949b71bb34p-10, 0x1.cdcb4038c9dfap-10, 0x1.c6b5857472bf3p-10, 0x1.bfb7d8d0cfeb4p-10, 0x1.b8d1fa5086643p-10, 0x1.b203aa5d29ba3p-10, 0x1.ab4ca9b6e795ep-10, 0x1.a4acb93aeeef2p-10, 0x1.9e2399e9419ddp-10, 0x1.97b10cb628f42p-10, 0x1.9154d2890c813p-10, 0x1.8b0eac3eb0472p-10, 0x1.84de5ab7d2181p-10, 0x1.7ec39ef39de05p-10, 0x1.78be3a3217d0bp-10, 0x1.72cdee1ccaf1dp-10, 0x1.6cf27cf112aadp-10, 0x1.672ba9a80c2ep-10, 0x1.6179381925caep-10, 0x1.5bdaed135015dp-10, 0x1.56508e6ae9614p-10, 0x1.50d9e2fa76636p-10, 0x1.4b76b295c2b3ep-10, 0x1.4626c5efdbf92p-10, 0x1.40e9e675eb6dfp-10, 0x1.3bbfde219dad8p-10, 0x1.36a87747b816dp-10, 0x1.31a37c66c8155p-10, 0x1.2cb0b7fc485c6p-10, 0x1.27cff463a4a75p-10, 0x1.2300fbc42be7ap-10, 0x1.1e43980f2b01ep-10, 0x1.1997930e932dp-10, 0x1.14fcb68217674p-10, 0x1.1072cc4672bfdp-10, 0x1.0bf99e817d3b7p-10, 0x1.0790f7ce35779p-10, 0x1.0338a3631ce03p-10, 0x1.fde0da6207d45p-11, 0x1.f57043ef3b6b3p-11, 0x1.ed1f1ea3d7a49p-11, 0x1.e4ed0775be10ap-11, 0x1.dcd99d1a5d667p-11, 0x1.d4e47ffe635d4p-11, 0x1.cd0d5237b787dp-11, 0x1.c553b76feedf2p-11, 0x1.bdb754b8a27fbp-11, 0x1.b637d060488f3p-11, 0x1.aed4d1ac1843bp-11, 0x1.a78e008d29e53p-11, 0x1.a0630552ff333p-11, 0x1.995388694e52ep-11, 0x1.925f322c3738ep-11, 0x1.8b85aadd57d3ap-11, 0x1.84c69abc29fb2p-11, 0x1.7e21aa3d96162p-11, 0x1.779682542893fp-11, 0x1.7124ccb8cae72p-11, 0x1.6acc341f8885p-11, 0x1.648c644be294cp-11, 0x1.5e650a008273p-11, 0x1.5855d2d0e6243p-11, 0x1.525e6ce6be483p-11, 0x1.4c7e86cfee6c4p-11, 0x1.46b5cf697a2e6p-11, 0x1.4103f5f2fd25cp-11, 0x1.3b68aa4b517f4p-11, 0x1.35e39d48f6938p-11, 0x1.3074811b08f83p-11, 0x1.2b1b099882fdfp-11, 0x1.25d6ec6c760f9p-11, 0x1.20a7e11136759p-11, 0x1.1b8da09e53c5fp-11, 0x1.1687e575df2a9p-11, 0x1.11966ae5a9a38p-11, 0x1.0cb8ecd59afedp-11, 0x1.07ef27986bff6p-11, 0x1.0338d7e4b82b5p-11, 0x1.fd2b75f003f9ap-12, 0x1.f40b1da14278fp-12, 0x1.eb1024ce6f863p-12, 0x1.e23a0b9979e52p-12, 0x1.d98854356dc3ap-12, 0x1.d0fa825f80434p-12, 0x1.c8901a850df7p-12, 0x1.c048a0c83cc17p-12, 0x1.b823982444927p-12, 0x1.b02081ef1c684p-12, 0x1.a83edde2a26ebp-12, 0x1.a07e2ab354967p-12, 0x1.98dde7184bcbdp-12, 0x1.915d93093e2efp-12, 0x1.89fcb0ea5e15ep-12, 0x1.82bac6683ecafp-12, 0x1.7b975ce0e23efp-12, 0x1.7492015a0873ap-12, 0x1.6daa4425928ap-12, 0x1.66dfb865a79dap-12, 0x1.6031f39f9d0bdp-12, 0x1.59a08d797c3ffp-12, 0x1.532b1fa588827p-12, 0x1.4cd145e4d24d1p-12, 0x1.46929e052f201p-12, 0x1.406ec7b91364cp-12, 0x1.3a656441a6d93p-12, 0x1.347615f0896ecp-12, 0x1.2ea07fa120212p-12, 0x1.28e444449f08cp-12, 0x1.2341069b6cce8p-12, 0x1.1db6691d15ccdp-12, 0x1.18440e00a4916p-12, 0x1.12e997530ccd5p-12, 0x1.0da6a7117e118p-12, 0x1.087adf4df6571p-12, 0x1.0365e27116778p-12, 0x1.fccea74204a71p-13, 0x1.f2fdae7e2d49fp-13, 0x1.e95826a636762p-13, 0x1.dfdd5f6381b55p-13, 0x1.d68cab8766497p-13, 0x1.cd65600d1e63ap-13, 0x1.c466d31b53134p-13, 0x1.bb905bcb2a1f3p-13, 0x1.b2e153331f52ep-13, 0x1.aa5916b3eefe9p-13, 0x1.a1f70ad439453p-13, 0x1.99ba9d8f26dddp-13, 0x1.91a346f523c33p-13, 0x1.89b0877b87a3dp-13, 0x1.81e1e42510f07p-13, 0x1.7a36e1813f05p-13, 0x1.72aefeffcba1bp-13, 0x1.6b49b40ec0bacp-13, 0x1.64066fe4a8dc1p-13, 0x1.5ce49be519188p-13, 0x1.55e39facbbedcp-13, 0x1.4f02e554dd037p-13, 0x1.4841dc9b365b9p-13, 0x1.419ffc35a3074p-13, 0x1.3b1cc1846c8dfp-13, 0x1.34b7aef73aeadp-13, 0x1.2e704a6ebdf85p-13, 0x1.28461bf7eb2ffp-13, 0x1.2238ad1d3f692p-13, 0x1.1c4788b3223p-13, 0x1.16723a95e276ep-13, 0x1.10b84ee95d20dp-13, 0x1.0b1950cb5ebe8p-13, 0x1.0594c902b04f5p-13, 0x1.002a3dad11ac5p-13, 0x1.f5b267cd1e80ep-14, 0x1.eb4267445204cp-14, 0x1.e103992fadf6cp-14, 0x1.d6f534fd12bfp-14, 0x1.cd168d023d552p-14, 0x1.c367095af004ep-14, 0x1.b9e61c1b9102bp-14, 0x1.b09332e34acc7p-14, 0x1.a76daadba0e5bp-14, 0x1.9e74cafc19a3ep-14, 0x1.95a7c5bb9195bp-14, 0x1.8d05c154bd6c1p-14, 0x1.848de388d8d94p-14, 0x1.7c3f572f2855fp-14, 0x1.74194db5baffbp-14, 0x1.6c1b037fc96e5p-14, 0x1.6443c0d53b1d4p-14, 0x1.5c92d772c7a01p-14, 0x1.55079f96b894fp-14, 0x1.4da176c125272p-14, 0x1.465fbce61092p-14, 0x1.3f41d1e4e28c9p-14, 0x1.3847143df82dp-14, 0x1.316ee18c05d86p-14, 0x1.2ab89889bb569p-14, 0x1.24239b4d65cep-14, 0x1.1daf50240f578p-14, 0x1.175b207c001cdp-14, 0x1.112676f87ddd2p-14, 0x1.0b10bf0bd70b9p-14, 0x1.051967df0acabp-14, 0x1.fe7fd3c876ac8p-15, 0x1.f3079764386eep-15, 0x1.e7c94434675dfp-15, 0x1.dcc413f602f47p-15, 0x1.d1f73ccb5030dp-15, 0x1.c761e0b7d46dcp-15, 0x1.bd0308ef2acdep-15, 0x1.b2d9ae7cb179ep-15, 0x1.a8e4c9fb1f5a4p-15, 0x1.9f23606edd39fp-15, 0x1.959485e6e373fp-15, 0x1.8c375608d0d8p-15, 0x1.830ae9b904aa6p-15, 0x1.7a0e5248af1e6p-15, 0x1.71409d1895c95p-15, 0x1.68a0dc0c5878fp-15, 0x1.602e2cd76021ep-15, 0x1.57e7bb8ad9d93p-15, 0x1.4fccc035d00b3p-15, 0x1.47dc793200feep-15, 0x1.40162410c47fp-15, 0x1.3878f75a40c95p-15, 0x1.31041f94dfa83p-15, 0x1.29b6c165a3633p-15, 0x1.229000bdfe8e6p-15, 0x1.1b8f0a8ee9cc2p-15, 0x1.14b31cdbc483fp-15, 0x1.0dfb898d35c1dp-15, 0x1.0767b34bd1be5p-15, 0x1.00f70433785b6p-15, 0x1.f551d31e38ea2p-16, 0x1.e8f99be27ea41p-16, 0x1.dce43810549d5p-16, 0x1.d1107d335cddcp-16, 0x1.c57d372ed6945p-16, 0x1.ba291a9b6ddd3p-16, 0x1.af12c68e1ddfap-16, 0x1.a438df752a2d5p-16, 0x1.999a33a2696ep-16, 0x1.8f35cc2a8408ep-16, 0x1.850ad9e40ef3dp-16, 0x1.7b188b9b52834p-16, 0x1.715dec99c3015p-16, 0x1.67d9e0c1aa697p-16, 0x1.5e8b389604afdp-16, 0x1.5570c7402c303p-16, 0x1.4c896c0f58b85p-16, 0x1.43d412614883ep-16, 0x1.3b4fb131f36b3p-16, 0x1.32fb4d7139fb7p-16, 0x1.2ad5fbfe487b9p-16, 0x1.22dee037f3c76p-16, 0x1.1b1526ce969a6p-16, 0x1.1377fd768d731p-16, 0x1.0c068c61b0addp-16, 0x1.04bff075f77dap-16, 0x1.fb467b12eca37p-17, 0x1.ed5f0e637ee18p-17, 0x1.dfc7dc3e2837cp-17, 0x1.d27f56d8c9498p-17, 0x1.c584250a50516p-17, 0x1.b8d50ac659bfep-17, 0x1.ac70bc5eb75aep-17, 0x1.a055b533f4d0ep-17, 0x1.9482323d5ede4p-17, 0x1.88f45a179019p-17, 0x1.7daa6f89f235dp-17, 0x1.72a2de034a55dp-17, 0x1.67dc239103cf4p-17, 0x1.5d54d16b7f73p-17, 0x1.530bb73a9cb1bp-17, 0x1.4900029ce263p-17, 0x1.3f31019e25e4fp-17, 0x1.359dd483b3049p-17, 0x1.2c45457a7feacp-17, 0x1.2325f19834edbp-17, 0x1.1a3e875e2ef1bp-17, 0x1.118ddd30b4b5p-17, 0x1.0912d77259504p-17, 0x1.00cc4d712fb27p-17, 0x1.f17214538e2c5p-18, 0x1.e1afb7f8c190ep-18, 0x1.d24f3ffcc741fp-18, 0x1.c34e8926b7ee8p-18, 0x1.b4ab8f9f34d25p-18, 0x1.a6646af108756p-18, 0x1.98774a73746e7p-18, 0x1.8ae26fe6f44b9p-18, 0x1.7da4265130be8p-18, 0x1.70bab6da9f32ep-18, 0x1.6424617247e94p-18, 0x1.57df5fd90adb5p-18, 0x1.4be9f433e838bp-18, 0x1.40427c20f82a6p-18, 0x1.34e77cbaae5eep-18, 0x1.29d79ea355548p-18, 0x1.1f1196e98be14p-18, 0x1.1493fe90516dbp-18, 0x1.0a5d2679466b5p-18, 0x1.006b09c91c569p-18, 0x1.ed76fb45e74bcp-19, 0x1.da99094a3c93bp-19, 0x1.c838f4d0d7b5dp-19, 0x1.b653f5e1bb6e4p-19, 0x1.a4e78f725631ap-19, 0x1.93f1b23001dc6p-19, 0x1.8370a58457cf2p-19, 0x1.73625a15ee363p-19, 0x1.63c4080407c2cp-19, 0x1.5492c3129bca7p-19, 0x1.45cc3b2a54f9ep-19, 0x1.376e9543f3a45p-19, 0x1.2977c638bf0b1p-19, 0x1.1be56e7608d03p-19, 0x1.0eb51af2da34ep-19, 0x1.01e469454f299p-19, 0x1.eae20f64eddb5p-20, 0x1.d2b16900638d1p-20, 0x1.bb328429666b9p-20, 0x1.a4613307abfb5p-20, 0x1.8e39752dbc12bp-20, 0x1.78b777148fe05p-20, 0x1.63d79218ba6cbp-20, 0x1.4f9647a425fcfp-20, 0x1.3bf0284edde2dp-20, 0x1.28e1b1e22483ep-20, 0x1.1667e8d2685dcp-20, 0x1.0480108750fd9p-20, 0x1.e64c5334e7961p-21, 0x1.c4ad4fe34248bp-21, 0x1.a41cd0424e8dep-21, 0x1.84947ee9fb1e1p-21, 0x1.660e3a8915b68p-21, 0x1.488445845c2f9p-21, 0x1.2bf1240f1aa2ep-21, 0x1.104f12d0b7a96p-21, 0x1.eb2f035bba419p-22, 0x1.b786eb479484cp-22, 0x1.8599e167a541bp-22, 0x1.555fc776908c6p-22, 0x1.26d216b90c6bcp-22, 0x1.f3cd8af2954b7p-23, 0x1.9d217c559260fp-23, 0x1.49881d9089335p-23, 0x1.f1d2ec1dd7481p-24, 0x1.5659182f2f1f3p-24, 0x1.81057d9a01e27p-25, 0x1.81f7476a28af9p-27, -0x1.6a2a8ea9d7c1cp-26, -0x1.bffb681d3f078p-25, -0x1.6041add995b8p-24, -0x1.db7ad90185bbp-24, -0x1.28e4568af8d54p-23, -0x1.61a4b25cfae97p-23, -0x1.980e64523eb78p-23, -0x1.cc31a79e4adcap-23, -0x1.fe1e2740ed405p-23, -0x1.16f15b41e947p-22, -0x1.2dc6bdacefb46p-22, -0x1.439610ff649dcp-22, -0x1.5865f9daacf5p-22, -0x1.6c3ceb61aa2c8p-22, -0x1.7f2124396a37cp-22, -0x1.9118b06ae0a3dp-22, -0x1.a22981f11442fp-22, -0x1.b258f57d671dp-22, -0x1.c1ae570e1c978p-22, -0x1.d02da63dd2eb7p-22, -0x1.ddddf75e5190bp-22, -0x1.eac4f4681ef81p-22, -0x1.f6e86fa13f40cp-22, -0x1.0126fbc7422d6p-21, -0x1.067d59552e88fp-21, -0x1.0b79ad5fd6d4cp-21, -0x1.101e3f410f3e2p-21, -0x1.146d77faef24cp-21, -0x1.1869eadae310ep-21, -0x1.1c16096ce7be4p-21, -0x1.1f73d6412016dp-21, -0x1.2285046d3f90ep-21, -0x1.254bb494271fep-21, -0x1.27cac90fa57f1p-21, -0x1.2a04a7b8769c9p-21, -0x1.2bfb3c645498ap-21, -0x1.2db046abc17cdp-21, -0x1.2f253afb2d8a9p-21, -0x1.305c21b1c95bep-21, -0x1.31573ced61ef7p-21, -0x1.32187f8de9af3p-21, -0x1.32a182cfd286ap-21, -0x1.32f3bf4528e82p-21, -0x1.3310e5b4237fcp-21, -0x1.32fac5b2787d2p-21, -0x1.32b2ed66554cap-21, -0x1.323ac5f105b32p-21, -0x1.3193d8edb30ccp-21, -0x1.30bfbc58950f6p-21, -0x1.2fbff7eac5fc8p-21, -0x1.2e95f49314a7fp-21, -0x1.2d430e68198c9p-21, -0x1.2bc899643cf3fp-21, -0x1.2a27e2a793b9dp-21, -0x1.28622fd11a9d6p-21, -0x1.2678be1b1b371p-21, -0x1.246cc238af973p-21, -0x1.223f69459a07bp-21, -0x1.1ff1dac7bf646p-21, -0x1.1d853a9e3a275p-21, -0x1.1afaa9c062cd4p-21, -0x1.1853454ae72b6p-21, -0x1.1590247ebeffep-21, -0x1.12b256e911b8dp-21, -0x1.0fbae31a55aaap-21, -0x1.0caac551645e7p-21, -0x1.0982edb78135fp-21, -0x1.0644405eed191p-21, -0x1.02ef9acc89b53p-21, -0x1.ff0bb82e5dc3bp-22, -0x1.f80fce316c421p-22, -0x1.f0ed3d68943dap-22, -0x1.e9a5b639295a7p-22, -0x1.e23aae3fcb661p-22, -0x1.daada85b711f3p-22, -0x1.d3009199cdd3dp-22, -0x1.cb35046848218p-22, -0x1.c34c13b0fd148p-22, -0x1.bb46f5a826211p-22, -0x1.b3273b9411941p-22, -0x1.aaee519a05644p-22, -0x1.a29d7fab9eec4p-22, -0x1.9a3605731c333p-22, -0x1.91b916f7d7eefp-22, -0x1.8927d79ee9e16p-22, -0x1.80836eeff93b3p-22, -0x1.77cd1b2ab95f3p-22, -0x1.6f060e8a1b8a7p-22, -0x1.662f663a09ac8p-22, -0x1.5d4a21e4de663p-22, -0x1.545729b6e7b9cp-22, -0x1.4b5780389e53ap-22, -0x1.424c2eac85eedp-22, -0x1.39362b228500bp-22, -0x1.30165d688c268p-22, -0x1.26eda626fe63fp-22, -0x1.1dbce07b9dd8dp-22, -0x1.1484e1149a4c1p-22, -0x1.0b46745cdfa84p-22, -0x1.02025dbf84b25p-22, -0x1.f172d27c2a8bep-23, -0x1.ded9b23752221p-23, -0x1.cc3bb8c0a81bfp-23, -0x1.b994e16946c16p-23, -0x1.a6e969d120776p-23, -0x1.943d14e8377dbp-23, -0x1.818fca35a83fcp-23, -0x1.6ee274f00e565p-23, -0x1.5c3657b7cf339p-23, -0x1.498c9054d4982p-23, -0x1.36e6a22db0a67p-23, -0x1.24453dc29c4a4p-23, -0x1.11a99f728d23ep-23, -0x1.fe297975db785p-24, -0x1.d90f34fc61629p-24, -0x1.b4068b3b1f91bp-24, -0x1.8f1193ba35fc5p-24, -0x1.6a3230d7170dp-24, -0x1.4569eb088e076p-24, -0x1.20babbaa5f12bp-24, -0x1.f84d0d8b0c3a4p-25, -0x1.af5cd0d28b0f5p-25, -0x1.66a832b8408ffp-25, -0x1.1e328d399d929p-25, -0x1.abfd779cdba29p-26, -0x1.1c1f1623755e5p-26, -0x1.199f19331224ep-27, 0x1.ebb9ab0601991p-34, 0x1.201bb9f5caef3p-27, 0x1.1d91d8f9d6193p-26, 0x1.aa730aed04b4fp-26, 0x1.1b56cbb8e43c5p-25, 0x1.611e66512f7f1p-25, 0x1.a68e42231a02p-25, 0x1.eba3b43d9082p-25, 0x1.182dff82324a3p-24, 0x1.3a5ac3f252266p-24, 0x1.5c57c852e0374p-24, 0x1.7e242a5e787bcp-24, 0x1.9fbed3464720ep-24, 0x1.c126e19cf0687p-24, 0x1.e25b9147a391ep-24, 0x1.01ae1317eb28cp-23, 0x1.1213f4e4660fep-23, 0x1.225f164033485p-23, 0x1.328f23b66504cp-23, 0x1.42a3ce6f4390bp-23, 0x1.529ccbb80d633p-23, 0x1.6279d3e4cca4ep-23, 0x1.723aa123a3145p-23, 0x1.81deef324816fp-23, 0x1.91667c1d35c7bp-23, 0x1.a0d1092bf737cp-23, 0x1.b01e5b416c5bfp-23, 0x1.bf4e3a85799ddp-23, 0x1.ce6071b2ccc2cp-23, 0x1.dd54ce0eda908p-23, 0x1.ec2b21294d17cp-23, 0x1.fae3445ca612ep-23, 0x1.04be8caa43aap-22, 0x1.0bfc40f006013p-22, 0x1.132aabb60d303p-22, 0x1.1a49b767d815bp-22, 0x1.21594fac5608p-22, 0x1.28596280aec5cp-22, 0x1.2f49ea4a74823p-22, 0x1.362ae15679719p-22, 0x1.3cfc3d08d92fcp-22, 0x1.43bdf063ad832p-22, 0x1.4a6fea56cb1c4p-22, 0x1.511226e1e66fbp-22, 0x1.57a4a0f88c3b5p-22, 0x1.5e2752530333p-22, 0x1.649a35dd0361ap-22, 0x1.6afd47f21bc23p-22, 0x1.71508530b1971p-22, 0x1.7793eb99e34ep-22, 0x1.7dc778a92a9dfp-22, 0x1.83eb295c2201bp-22, 0x1.89fefd57f4e47p-22, 0x1.9002f67f8734ep-22, 0x1.95f718c320b4ap-22, 0x1.9bdb67e850fe2p-22, 0x1.a1afe4b0210dp-22, 0x1.a7748f784fa1ep-22, 0x1.ad2970675c32bp-22, 0x1.b2ce884ad976cp-22, 0x1.b863d7db8e6a7p-22, 0x1.bde96e54c3182p-22, 0x1.c35f4ac99870ap-22, 0x1.c8c571bf82a89p-22, 0x1.ce1bed1fcb1e5p-22, 0x1.d362c9096895fp-22, 0x1.d89a213e4695p-22, 0x1.ddc24a170c9d9p-22, 0x1.e2dae078332f6p-22, 0x1.e7e176b824b34p-22, 0x1.ecdac0c58399fp-22, 0x1.f1c6b4170d5d2p-22, 0x1.f6a0b2ad09cebp-22, 0x1.fb6b6e8c3a2bbp-22, 0x1.0013a07f0c998p-21, 0x1.0269f6bff0d4fp-21, 0x1.04b8b7a154e9ap-21, 0x1.06ffe6f30b08p-21, 0x1.093f8d547e21p-21, 0x1.0b77b01955274p-21, 0x1.0da856da7b66cp-21, 0x1.0fd189882a03ep-21, 0x1.11f3511f385efp-21, 0x1.140db746ff73ap-21, 0x1.1620c653cee26p-21, 0x1.182c83b6f9c1p-21, 0x1.1a30ba3cbcd78p-21, 0x1.1c2d57f0549e1p-21, 0x1.1e238f68763f8p-21, 0x1.20125d189c24fp-21, 0x1.21f9c60051c0bp-21, 0x1.23da08ddac014p-21, 0x1.25b331aab5534p-21, 0x1.2785480d905fdp-21, 0x1.295053a44c29fp-21, }}, 
      std::vector<double>(1100, 0.0), 
      {{0x1.08c9ab058d1ebp-4, 0x1.f6b59b555bdb2p-4, 0x1.5df6890ffcb3bp-3, 0x1.aa0c2e8b4fbfap-3, 0x1.e041b9cde1cf2p-3, 0x1.0162b4026ccd2p-2, 0x1.0a3da20a42004p-2, 0x1.0c3df9eb50becp-2, 0x1.08e46b2170c0ap-2, 0x1.019115cf540fep-2, 0x1.eef29c891e729p-3, 0x1.d7480d202acfep-3, 0x1.bdd48af5ee395p-3, 0x1.a3f40452159d4p-3, 0x1.8ab49f4b02908p-3, 0x1.72e03f0850696p-3, 0x1.5d0650136ead8p-3, 0x1.4985409de55ecp-3, 0x1.38934db575abp-3, 0x1.2a4675dd5e5a8p-3, 0x1.1e9b7b953266ap-3, 0x1.157bf29d99907p-3, 0x1.0ec35f0c554ffp-3, 0x1.0a4377658263ep-3, 0x1.07c7a02e6281p-3, 0x1.0717b8d344ac6p-3, 0x1.07fa51636f9ddp-3, 0x1.0a365f33624e4p-3, 0x1.0d9484f4bb188p-3, 0x1.11e001100e252p-3, 0x1.16e752de38d4ep-3, 0x1.1c7ca54018852p-3, 0x1.22760afa8aaa9p-3, 0x1.28ad9734bcb66p-3, 0x1.2f015ab1c1d38p-3, 0x1.35534cc7d5a5dp-3, 0x1.3b8925b71d37ap-3, 0x1.418c2ed514f5dp-3, 0x1.47490c0d133e5p-3, 0x1.4caf816ac4a28p-3, 0x1.51b236b14a24cp-3, 0x1.56467a81d2e59p-3, 0x1.5a640627cb109p-3, 0x1.5e04c2d4db34ep-3, 0x1.612490e129ca3p-3, 0x1.63c1117ead68ep-3, 0x1.65d97330f768cp-3, 0x1.676e4140d086bp-3, 0x1.688136493a5d7p-3, 0x1.6915120e61b1cp-3, 0x1.692d722f8efbdp-3, 0x1.68ceae6f72467p-3, 0x1.67fdb7a3317ap-3, 0x1.66bff9aeb6f03p-3, 0x1.651b4060707c5p-3, 0x1.63159f0e3b4e9p-3, 0x1.60b55ab668c32p-3, 0x1.5e00d65b038dp-3, 0x1.5afe8225942e8p-3, 0x1.57b4cc5e94953p-3, 0x1.542a1456ee33ep-3, 0x1.50649f5a5a3d7p-3, 0x1.4c6a8f6ce0264p-3, 0x1.4841db7cdee7fp-3, 0x1.43f0490ce74c2p-3, 0x1.3f7b67205309p-3, 0x1.3ae88a2d8e6edp-3, 0x1.363cc9261b246p-3, 0x1.317cfb740161cp-3, 0x1.2cadb7ca01c36p-3, 0x1.27d353ba1a2a2p-3, 0x1.22f1e3ca2ed23p-3, 0x1.1e0d3c1b6d5f5p-3, 0x1.1928f141f58a4p-3, 0x1.1448598c3424fp-3, 0x1.0f6e8e851ffc8p-3, 0x1.0a9e6eb8a23edp-3, 0x1.05da9fc1537fap-3, 0x1.0125906d7c93p-3, 0x1.f902f61811bacp-4, 0x1.efe0cf7ec4e3dp-4, 0x1.e6e85d99a80ecp-4, 0x1.de1cf5bb7d11bp-4, 0x1.d581968a34541p-4, 0x1.cd18ec496b6bp-4, 0x1.c4e5553853bebp-4, 0x1.bce8e5cae370ep-4, 0x1.b5256cdb6acebp-4, 0x1.ad9c77c34259fp-4, 0x1.a64f564d5c325p-4, 0x1.9f3f1ea1f808bp-4, 0x1.986cb0e5383e1p-4, 0x1.91d8bac736b47p-4, 0x1.8b83badef596ap-4, 0x1.856e03d9cdcecp-4, 0x1.7f97bf8621686p-4, 0x1.7a00f1b54f8aap-4, 0x1.74a97afbf7b3ap-4, 0x1.6f911b47a65edp-4, 0x1.6ab77468a59c3p-4, 0x1.661c0c609022dp-4, 0x1.61be4fa7c5059p-4, 0x1.5d9d9349fe647p-4, 0x1.59b916e8c8f8ep-4, 0x1.5610069dfe1e9p-4, 0x1.52a17cc49a0a7p-4, 0x1.4f6c83a317b1ap-4, 0x1.4c701700ea405p-4, 0x1.49ab25990ef62p-4, 0x1.471c92875caf3p-4, 0x1.44c3368e45b67p-4, 0x1.429de1542dd93p-4, 0x1.40ab5a8c4ece1p-4, 0x1.3eea630a6e84bp-4, 0x1.3d59b5ce75b6ep-4, 0x1.3bf808f6b528dp-4, 0x1.3ac40eaf8f1cfp-4, 0x1.39bc7609cd013p-4, 0x1.38dfebcc01c4ep-4, 0x1.382d1b3a96756p-4, 0x1.37a2aec25c831p-4, 0x1.373f50b0096b7p-4, 0x1.3701abcd4b782p-4, 0x1.36e86beecb789p-4, 0x1.36f23e8df2cadp-4, 0x1.371dd33e6dfecp-4, 0x1.3769dc26adcaap-4, 0x1.37d50e7c807d6p-4, 0x1.385e22d71590fp-4, 0x1.3903d59879d86p-4, 0x1.39c4e74c8201p-4, 0x1.3aa01cdd98686p-4, 0x1.3b943fee81f53p-4, 0x1.3ca01f247a8fbp-4, 0x1.3dc28e41c2393p-4, 0x1.3efa666b34a79p-4, 0x1.40468666f0111p-4, 0x1.41a5d2a2fb649p-4, 0x1.4317355fd92c7p-4, 0x1.44999eeb590ffp-4, 0x1.462c05968745cp-4, 0x1.47cd65cb47359p-4, 0x1.497cc23b2d4b8p-4, 0x1.4b3923d6e5d57p-4, 0x1.4d0199bf4e7fap-4, 0x1.4ed53976d7e64p-4, 0x1.50b31edbfd0fdp-4, 0x1.529a6c07d3f27p-4, 0x1.548a49505a16ap-4, 0x1.5681e57a249eap-4, 0x1.588075844e534p-4, 0x1.5a853478c0542p-4, 0x1.5c8f6395bcec2p-4, 0x1.5e9e4a569ee01p-4, 0x1.60b1362aaa48cp-4, 0x1.62c77a52c91bcp-4, 0x1.64e07004661a8p-4, 0x1.66fb765df96f3p-4, 0x1.6917f216f615bp-4, 0x1.6b354d648ec71p-4, 0x1.6d52f81879a51p-4, 0x1.6f7067826ee13p-4, 0x1.718d161c76289p-4, 0x1.73a8837741e9dp-4, 0x1.75c2345eb0a78p-4, 0x1.77d9b2b7da9acp-4, 0x1.79ee8d1c1e136p-4, 0x1.7c0056b98df82p-4, 0x1.7e0ea78a76ae1p-4, 0x1.80191c50a447dp-4, 0x1.821f5625f49ep-4, 0x1.8420fa28d1f0fp-4, 0x1.861db1a6ccd58p-4, 0x1.88152a5427444p-4, 0x1.8a071606a84e6p-4, 0x1.8bf32a30daa66p-4, 0x1.8dd91fbec8ab3p-4, 0x1.8fb8b35c893f6p-4, 0x1.9191a58ebedf9p-4, 0x1.9363ba4e88b4fp-4, 0x1.952eb89646f38p-4, 0x1.96f26a5c45dfap-4, 0x1.98ae9cd5a4ad5p-4, 0x1.9a632079894c5p-4, 0x1.9c0fc89f41ca1p-4, 0x1.9db46b2221c62p-4, 0x1.9f50e065237cbp-4, 0x1.a0e5038c77b24p-4, 0x1.a270b277a20ccp-4, 0x1.a3f3cd735500bp-4, 0x1.a56e36e8bbcb5p-4, 0x1.a6dfd35d9a1cfp-4, 0x1.a84889a1fd249p-4, 0x1.a9a842d6b6813p-4, 0x1.aafeea2d1f14ep-4, 0x1.ac4c6c9d2b1acp-4, 0x1.ad90b8d4f14dep-4, 0x1.aecbbf5b6d0a6p-4, 0x1.affd72a61ccd9p-4, 0x1.b125c6f393bf6p-4, 0x1.b244b2064f292p-4, 0x1.b35a2afe23f75p-4, 0x1.b4662a65ef169p-4, 0x1.b568aa529387p-4, 0x1.b661a66088143p-4, 0x1.b7511b841300ep-4, 0x1.b83707d43cdc6p-4, 0x1.b9136a79e7125p-4, 0x1.b9e643c32eac8p-4, 0x1.baaf9539a05b8p-4, 0x1.bb6f6198f6cc5p-4, 0x1.bc25aca5ef2d4p-4, 0x1.bcd27b06ea9e3p-4, 0x1.bd75d238511cp-4, 0x1.be0fb8a03aa08p-4, 0x1.bea0359866003p-4, 0x1.bf2751722c778p-4, 0x1.bfa51551858d6p-4, 0x1.c0198b0f8f8bbp-4, 0x1.c084bd2dbe8ep-4, 0x1.c0e6b6de27e1fp-4, 0x1.c13f8411e2505p-4, 0x1.c18f317b125c7p-4, 0x1.c1d5cc7aad4cap-4, 0x1.c2136305f0d28p-4, 0x1.c24803957291ap-4, 0x1.c273bd23e1b47p-4, 0x1.c2969f36c82adp-4, 0x1.c2b0b9e57efe2p-4, 0x1.c2c21dd382f6bp-4, 0x1.c2cadc1e52078p-4, 0x1.c2cb064a83b2p-4, 0x1.c2c2ae39fe236p-4, 0x1.c2b1e62c1b25ep-4, 0x1.c298c0c2f9c36p-4, 0x1.c277510680cf5p-4, 0x1.c24daa5e3bebp-4, 0x1.c21be0835a3c4p-4, 0x1.c1e20772ee3abp-4, 0x1.c1a0336647ad9p-4, 0x1.c15678d1ae37p-4, 0x1.c104ec66fc123p-4, 0x1.c0aba317a349ap-4, 0x1.c04ab21154f98p-4, 0x1.bfe22eb4ac4bp-4, 0x1.bf722e8ab0208p-4, 0x1.befac73de083ep-4, 0x1.be7c0e977371cp-4, 0x1.bdf61a7fb2164p-4, 0x1.bd6900ff82de2p-4, 0x1.bcd4d84015051p-4, 0x1.bc39b6861bb02p-4, 0x1.bb97b22a6ac4cp-4, 0x1.baeee1938d8ecp-4, 0x1.ba3f5b32160d3p-4, 0x1.b989357f344e8p-4, 0x1.b8cc86fc7396ep-4, 0x1.b809663306ef7p-4, 0x1.b73fe9b948865p-4, 0x1.b6702822dd67dp-4, 0x1.b59a3808a7268p-4, 0x1.b4be2ffc6c4cdp-4, 0x1.b3dc2688d69a9p-4, 0x1.b2f4322f9d4eep-4, 0x1.b2066968c8ebdp-4, 0x1.b112e2a2ca14bp-4, 0x1.b019b44211c36p-4, 0x1.af1af49f05087p-4, 0x1.ae16ba0282e18p-4, 0x1.ad0d1aa2a098p-4, 0x1.abfe2ca0474e3p-4, 0x1.aaea06058f8b7p-4, 0x1.a9d0bcc4bcdebp-4, 0x1.a8b266b803d09p-4, 0x1.a78f19a19471dp-4, 0x1.a666eb2ae8ac9p-4, 0x1.a539f0e2b0fbep-4, 0x1.a408403a2d5cdp-4, 0x1.a2d1ee831a059p-4, 0x1.a19710ee6f38p-4, 0x1.a057bc8b83986p-4, 0x1.9f14064792ca8p-4, 0x1.9dcc02eda30e2p-4, 0x1.9c7fc7264cf3dp-4, 0x1.9b2f67770b708p-4, 0x1.99daf840bfe01p-4, 0x1.98828dbe2b1f4p-4, 0x1.97263c02f76e5p-4, 0x1.95c616fb4aaa8p-4, 0x1.9462326b6a1f4p-4, 0x1.92faa1ef3a73ep-4, 0x1.918f78f9c8bf8p-4, 0x1.9020cad503a33p-4, 0x1.8eaeaaa190308p-4, 0x1.8d392b56735b7p-4, 0x1.8bc05fc09c49ap-4, 0x1.8a445a82879c2p-4, 0x1.88c52e13fbb4dp-4, 0x1.8742ecc1a9029p-4, 0x1.85bda8acaa495p-4, 0x1.843573c9ffa2ap-4, 0x1.82aa5fe28449fp-4, 0x1.811c7e935c8fap-4, 0x1.7f8be14e7fc5ap-4, 0x1.7df8995af6ep-4, 0x1.7c62b7d4a99dap-4, 0x1.7aca4dabe95e5p-4, 0x1.792f6ba5192c7p-4, 0x1.77922258426d9p-4, 0x1.75f2823130dabp-4, 0x1.74509b6faacbep-4, 0x1.72ac7e2816c34p-4, 0x1.71063a442f0abp-4, 0x1.6f5ddf837ef57p-4, 0x1.6db37d7b6c32fp-4, 0x1.6c072396e0f57p-4, 0x1.6a58e115ee5abp-4, 0x1.68a8c50dc4276p-4, 0x1.66f6de69104d8p-4, 0x1.65433be8a666dp-4, 0x1.638dec2433d9ap-4, 0x1.61d6fd8accc28p-4, 0x1.601e7e633d955p-4, 0x1.5e647ccc23eadp-4, 0x1.5ca906bbec64bp-4, 0x1.5aec2a00d8a88p-4, 0x1.592df4412cc3p-4, 0x1.576e72fba9f35p-4, 0x1.55adb38846279p-4, 0x1.53ebc318eaafbp-4, 0x1.5228aeba028fbp-4, 0x1.50648352bf75bp-4, 0x1.4e9f4da524cf6p-4, 0x1.4cd91a4e0ce3cp-4, 0x1.4b11f5c5503b7p-4, 0x1.4949ec5e38db1p-4, 0x1.47810a4828af9p-4, 0x1.45b75b8f4ddfbp-4, 0x1.43ecec1d55893p-4, 0x1.4221c7b9e1441p-4, 0x1.4055fa0ad48b2p-4, 0x1.3e898e94710e7p-4, 0x1.3cbc90b96ac15p-4, 0x1.3aef0bbb00d5dp-4, 0x1.39210ab98c0e8p-4, 0x1.375298b4cc807p-4, 0x1.3583c08ce2275p-4, 0x1.33b48d02e9fe3p-4, 0x1.31e508b98ec86p-4, 0x1.30153e35507ep-4, 0x1.2e4537dc9ad09p-4, 0x1.2c74fff7cce8ap-4, 0x1.2aa4a0b15423p-4, 0x1.28d42415fa004p-4, 0x1.2703941562a0fp-4, 0x1.2532fa82b54e8p-4, 0x1.23626115477a3p-4, 0x1.2191d1692a2dep-4, 0x1.1fc154ff852cep-4, 0x1.1df0f53ebaaa1p-4, 0x1.1c20bb726200ep-4, 0x1.1a50b0cb3f9ddp-4, 0x1.1880de5f560ebp-4, 0x1.16b14d2a2f5ecp-4, 0x1.14e2060d5e641p-4, 0x1.131311d1260cfp-4, 0x1.1144792522154p-4, 0x1.0f7644a0c7f9ep-4, 0x1.0da87cc3a91e5p-4, 0x1.0bdb29f575f73p-4, 0x1.0a0e5485d1e24p-4, 0x1.084204ac2400fp-4, 0x1.067642878681bp-4, 0x1.04ab161ee61d6p-4, 0x1.02e087615d384p-4, 0x1.01169e26c5046p-4, 0x1.fe9ac460ce06p-5, 0x1.fb09b6533b9efp-5, 0x1.f77a21506404ap-5, 0x1.f3ec1458dabcp-5, 0x1.f05f9e41c7d7dp-5, 0x1.ecd4cdb423a41p-5, 0x1.e94bb12c05ac2p-5, 0x1.e5c456f82cbffp-5, 0x1.e23ecd3a1c825p-5, 0x1.debb21e6c42ebp-5, 0x1.db3962c7ab131p-5, 0x1.d7b99d7c44714p-5, 0x1.d43bdf7b2a0b3p-5, 0x1.d0c03612e2edcp-5, 0x1.cd46ae6a06fa3p-5, 0x1.c9cf557ed395cp-5, 0x1.c65a382642be7p-5, 0x1.c2e7630afb10fp-5, 0x1.bf76e2ac6f4f2p-5, 0x1.bc08c35e6bac6p-5, 0x1.b89d114938fcbp-5, 0x1.b533d86a64e7cp-5, 0x1.b1cd2495ed545p-5, 0x1.ae690177971ap-5, 0x1.ab077a9401261p-5, 0x1.a7a89b4940b2dp-5, 0x1.a44c6ecf7bbdap-5, 0x1.a0f3003738424p-5, 0x1.9d9c5a6954d76p-5, 0x1.9a4888257956bp-5, 0x1.96f79400e24cp-5, 0x1.93a98865c6d9ap-5, 0x1.905e6f93363d4p-5, 0x1.8d16539d918dp-5, 0x1.89d13e6f88b0fp-5, 0x1.868f39cb543bbp-5, 0x1.83504f4c09a5ap-5, 0x1.801488666813p-5, 0x1.7cdbee6949451p-5, 0x1.79a68a7d6cd32p-5, 0x1.767465a4a9a29p-5, 0x1.734588b8ca38cp-5, 0x1.7019fc6a5ed9bp-5, 0x1.6cf1c93f997fep-5, 0x1.69ccf793a7169p-5, 0x1.66ab8f968979bp-5, 0x1.638d994d84e25p-5, 0x1.60731c94038b5p-5, 0x1.5d5c211ccbaaep-5, 0x1.5a48ae732ebc2p-5, 0x1.5738cbfc072d9p-5, 0x1.542c80f641f3p-5, 0x1.5123d47adfedap-5, 0x1.4e1ecd7c6fdfp-5, 0x1.4b1d72c625d72p-5, 0x1.481fcafabd823p-5, 0x1.4525dc936a2ebp-5, 0x1.422faddeff1fap-5, 0x1.3f3d450182d3fp-5, 0x1.3c4ea7f441acap-5, 0x1.3963dc8654aep-5, 0x1.367ce85d949fap-5, 0x1.3399d0f7b32bdp-5, 0x1.30ba9bab664afp-5, 0x1.2ddf4da94eb88p-5, 0x1.2b07ebfc8455dp-5, 0x1.28347b8ab35e1p-5, 0x1.25650113c145dp-5, 0x1.2299813123d81p-5, 0x1.1fd20054fea04p-5, 0x1.1d0e82c944327p-5, 0x1.1a4f0caf0801ep-5, 0x1.1793a1fe0f8c2p-5, 0x1.14dc4684d14bp-5, 0x1.1228fde8d24bap-5, 0x1.0f79cba75c6fcp-5, 0x1.0cceb31676d4bp-5, 0x1.0a27b765f3564p-5, 0x1.0784dba06b2e8p-5, 0x1.04e622ac09f98p-5, 0x1.024b8f4b03392p-5, 0x1.ff6a483761e28p-6, 0x1.fa45c730a95a9p-6, 0x1.f529a02d53726p-6, 0x1.f015d78e99917p-6, 0x1.eb0a716a66e67p-6, 0x1.e607718a8aed8p-6, 0x1.e10cdb6c66671p-6, 0x1.dc1ab24125bffp-6, 0x1.d730f8ee9a819p-6, 0x1.d24fb2105417dp-6, 0x1.cd76dff9b69e2p-6, 0x1.c8a684b719fa6p-6, 0x1.c3dea2101fff4p-6, 0x1.bf1f3988c5741p-6, 0x1.ba684c628297fp-6, 0x1.b5b9db9cceb88p-6, 0x1.b113e7f5354e6p-6, 0x1.ac7671e70cce4p-6, 0x1.a7e179ab0bb2dp-6, 0x1.a354ff36ee6a5p-6, 0x1.9ed1023d64571p-6, 0x1.9a55822e56e15p-6, 0x1.95e27e378ed5dp-6, 0x1.9177f545cddeep-6, 0x1.8d15e606166f9p-6, 0x1.88bc4ee710891p-6, 0x1.846b2e1a64a52p-6, 0x1.80228195d6985p-6, 0x1.7be247140d6aep-6, 0x1.77aa7c15033b6p-6, 0x1.737b1dddf50fap-6, 0x1.6f542979389c2p-6, 0x1.6b359bb5d099bp-6, 0x1.671f71274afedp-6, 0x1.6311a625f5124p-6, 0x1.5f0c36cfa0735p-6, 0x1.5b0f1f091daf7p-6, 0x1.571a5a80682bcp-6, 0x1.532de4af673d6p-6, 0x1.4f49b8defec64p-6, 0x1.4b6dd22a067c1p-6, 0x1.479a2b7fa38fap-6, 0x1.43cebfa4deb4p-6, 0x1.400b8934de864p-6, 0x1.3c5082a004f73p-6, 0x1.389da6299f7e5p-6, 0x1.34f2ede4dab6p-6, 0x1.315053b101d33p-6, 0x1.2db5d13607ffap-6, 0x1.2a235fe1b92f2p-6, 0x1.2698f8e665899p-6, 0x1.2316953b80737p-6, 0x1.1f9c2da09aa61p-6, 0x1.1c29baa2a50adp-6, 0x1.18bf34a355a6bp-6, 0x1.155c93e1ef2e2p-6, 0x1.1201d08496bep-6, 0x1.0eaee2a0fc791p-6, 0x1.0b63c24341c98p-6, 0x1.08206771fd772p-6, 0x1.04e4ca2e8c943p-6, 0x1.01b0e27148cebp-6, 0x1.fd09504387a37p-7, 0x1.f6c026173c992p-7, 0x1.f08635a25adf4p-7, 0x1.ea5b6dbaeda3dp-7, 0x1.e43fbcaea4f67p-7, 0x1.de33102f27614p-7, 0x1.d8355547bedc1p-7, 0x1.d246785edea44p-7, 0x1.cc66654511aadp-7, 0x1.c6950750c4dcp-7, 0x1.c0d24985892fep-7, 0x1.bb1e16c352a4ep-7, 0x1.b57859f9229e3p-7, 0x1.afe0fe557f4ddp-7, 0x1.aa57ef6ec6cdap-7, 0x1.a4dd195eba115p-7, 0x1.9f7068cca88bep-7, 0x1.9a11cae39d346p-7, 0x1.94c12d339539cp-7, 0x1.8f7e7d7fdcd26p-7, 0x1.8a49a97e65b17p-7, 0x1.85229e8e5fc16p-7, 0x1.8009496d3f5d1p-7, 0x1.7afd95f2a157bp-7, 0x1.75ff6edafbaccp-7, 0x1.710ebda87046ap-7, 0x1.6c2b6a9ebfc29p-7, 0x1.67555cdd6ab13p-7, 0x1.628c7a975caacp-7, 0x1.5dd0a964e00bcp-7, 0x1.5921cea9850ebp-7, 0x1.547fd004c9b94p-7, 0x1.4fea93c34fee8p-7, 0x1.4b6201440250fp-7, 0x1.46e6014afe6d8p-7, 0x1.42767e2fd1bdep-7, 0x1.3e1363eb5756dp-7, 0x1.39bc9ff66dd41p-7, 0x1.357221081611dp-7, 0x1.3133d6a706a47p-7, 0x1.2d01b0a43885fp-7, 0x1.28db9e83ab9c8p-7, 0x1.24c18ee26343p-7, 0x1.20b36ee8120d4p-7, 0x1.1cb129d23fbf8p-7, 0x1.18baa8a52d2e8p-7, 0x1.14cfd20b8b945p-7, 0x1.10f08a6a129e2p-7, 0x1.0d1cb427c5c66p-7, 0x1.09543026ab0b7p-7, 0x1.0596de64aebf8p-7, 0x1.01e49eb80798cp-7, 0x1.fc7aa3302f37p-8, 0x1.f541b1c30db5ap-8, 0x1.ee1e31088d164p-8, 0x1.e70fee16c4f9ap-8, 0x1.e016bbe2a7b22p-8, 0x1.d932736f150ddp-8, 0x1.d262f37b3328ep-8, 0x1.cba81fb350b51p-8, 0x1.c501df74acc54p-8, 0x1.be701c3d229cp-8, 0x1.b7f2bfe821d18p-8, 0x1.b189b2de1bd4ep-8, 0x1.ab34da5b52b5dp-8, 0x1.a4f416f14d3e2p-8, 0x1.9ec7435fa202ap-8, 0x1.98ae33dae103ap-8, 0x1.92a8b5d04285cp-8, 0x1.8cb6902bf3bc2p-8, 0x1.86d78420a04cbp-8, 0x1.810b4e63b7767p-8, 0x1.7b51a8ca7c96dp-8, 0x1.75aa4c2a27674p-8, 0x1.7014f25757738p-8, 0x1.6a91581b38bcap-8, 0x1.651f3ef655cf7p-8, 0x1.5fbe6e8bf59e3p-8, 0x1.5a6eb596b5d54p-8, 0x1.552fea56376bfp-8, 0x1.5001ea6e8fe35p-8, 0x1.4ae49a4192e93p-8, 0x1.45d7e3d4a694p-8, 0x1.40dbb55e78861p-8, 0x1.3befff9b26629p-8, 0x1.3714b4073ef54p-8, 0x1.3249c31cfcc61p-8, 0x1.2d8f1aad72ed3p-8, 0x1.28e4a46a55a0ep-8, 0x1.244a44b4b1d67p-8, 0x1.1fbfd9c3e068bp-8, 0x1.1b453b36fdb22p-8, 0x1.16da3a1e76714p-8, 0x1.127ea18235dd1p-8, 0x1.0e32375b51db3p-8, 0x1.09f4bde8d62b7p-8, 0x1.05c5f53b5b71p-8, 0x1.01a59ccda6471p-8, 0x1.fb26ea0aa5ecp-9, 0x1.f31e81017a5c5p-9, 0x1.eb318a5199db7p-9, 0x1.e35f9a0fe06b2p-9, 0x1.dba84de089e22p-9, 0x1.d40b4df19f3ap-9, 0x1.cc884da212408p-9, 0x1.c51f0bc3e8317p-9, 0x1.bdcf52546343dp-9, 0x1.b698f587e235ep-9, 0x1.af7bd2109d135p-9, 0x1.a877caa57e67fp-9, 0x1.a18cc4f090b2p-9, 0x1.9abaa62f1d2efp-9, 0x1.94014fe8ab069p-9, 0x1.8d609d2ad9a53p-9, 0x1.86d860ab667e6p-9, 0x1.8068640d75889p-9, 0x1.7a106851d4f59p-9, 0x1.73d0273972899p-9, 0x1.6da7552c7fa87p-9, 0x1.6795a31598befp-9, 0x1.619abfa4f4538p-9, 0x1.5bb6579be7dap-9, 0x1.55e8151430783p-9, 0x1.502f9e1a4fa81p-9, 0x1.4a8c934d8cf1dp-9, 0x1.44fe8f6240e34p-9, 0x1.3f85284681324p-9, 0x1.3a1ff241ed93bp-9, 0x1.34ce84cd97af6p-9, 0x1.2f908044c813bp-9, 0x1.2a6593224d79cp-9, 0x1.254d7d6da59fdp-9, 0x1.2048115309e64p-9, 0x1.1b55308ca1b0ap-9, 0x1.1674c7199ab2ep-9, 0x1.11a6c47925a72p-9, 0x1.0ceb15081babep-9, 0x1.08419d09cf793p-9, 0x1.03aa36614581fp-9, 0x1.fe496266fd91cp-10, 0x1.f561adc582bd4p-10, 0x1.ec9cdc9b27568p-10, 0x1.e3fa802ca3f56p-10, 0x1.db7a33cf74704p-10, 0x1.d31ba00eb1cb7p-10, 0x1.cade79c061f3fp-10, 0x1.c2c27cfcdcb41p-10, 0x1.bac7647bac661p-10, 0x1.b2ecde8c71ad1p-10, 0x1.ab3281b654a11p-10, 0x1.a397c3c76064bp-10, 0x1.9c1bf64eed0a8p-10, 0x1.94be4ad9793aep-10, 0x1.8d7ddf9b9bc2p-10, 0x1.8659d2f35ba6bp-10, 0x1.7f5159e09ab28p-10, 0x1.7863d424aec9cp-10, 0x1.7190d8aed590cp-10, 0x1.6ad836994933fp-10, 0x1.6439e9f506a6bp-10, 0x1.5db60730090b1p-10, 0x1.574ca2c8a11acp-10, 0x1.50fdbc0a131abp-10, 0x1.4ac930340ad82p-10, 0x1.44aeb834b2b73p-10, 0x1.3eadef7ce1a73p-10, 0x1.38c660058bf3ap-10, 0x1.32f78f1f54307p-10, 0x1.2d4107d2862e5p-10, 0x1.27a261462e1cbp-10, 0x1.221b411228577p-10, 0x1.1cab5a1d30738p-10, 0x1.1752693031fcap-10, 0x1.12103098b8ca1p-10, 0x1.0ce473e689c1bp-10, 0x1.07cef3f1a22b2p-10, 0x1.02cf6a6d00d43p-10, 0x1.fbcb08a85eec7p-11, 0x1.f221b7b07c918p-11, 0x1.e8a1e892ff04cp-11, 0x1.df4a76a77651cp-11, 0x1.d61a234181041p-11, 0x1.cd0fb3f58dfdbp-11, 0x1.c42a15f3af469p-11, 0x1.bb687bccd7c54p-11, 0x1.b2ca6c8ac515dp-11, 0x1.aa4fbfa8d0c4ep-11, 0x1.a1f88747d03b3p-11, 0x1.99c4efa1dcbebp-11, 0x1.91b51e4a8a7fp-11, 0x1.89c91aecf8de9p-11, 0x1.8200c5a6956dfp-11, 0x1.7a5bd861ed758p-11, 0x1.72d9ed5ad45d6p-11, 0x1.6b7a87af6d81p-11, 0x1.643d1e324a7e8p-11, 0x1.5d2126eaa9061p-11, 0x1.56261e514dacap-11, 0x1.4f4b83c52e0a8p-11, 0x1.4890caeb61b11p-11, 0x1.41f549badd802p-11, 0x1.3b782fabe8467p-11, 0x1.35188dd52cdb6p-11, 0x1.2ed56e53c5154p-11, 0x1.28adf19293862p-11, 0x1.22a16579bbfeep-11, 0x1.1caf4d95abd27p-11, 0x1.16d759ed1527fp-11, 0x1.111951decf6f4p-11, 0x1.0b74fd5d1d223p-11, 0x1.05ea15d6984cap-11, 0x1.00784122116c1p-11, 0x1.f63e22a4cc19bp-12, 0x1.ebbc081f3d091p-12, 0x1.e16907c0a80a1p-12, 0x1.d743e7d94e003p-12, 0x1.cd4b92829b38fp-12, 0x1.c37f4ed35c728p-12, 0x1.b9dedfadda532p-12, 0x1.b06a7415bca1dp-12, 0x1.a7226c7933d66p-12, 0x1.9e070b7399dacp-12, 0x1.951835d7fdd6bp-12, 0x1.8c556657f99cbp-12, 0x1.83bdde23f8ebdp-12, 0x1.7b50eda10ea87p-12, 0x1.730e1991dccb8p-12, 0x1.6af50093abbafp-12, 0x1.63051e6a137fdp-12, 0x1.5b3da294b6fdap-12, 0x1.539d74048a2e9p-12, 0x1.4c2352fb0a809p-12, 0x1.44cdfbf04591bp-12, 0x1.3d9c3babc7383p-12, 0x1.368cf6f5be067p-12, 0x1.2f9f2f6d496b7p-12, 0x1.28d20af26c98dp-12, 0x1.2224db69d94b3p-12, 0x1.1b9720c669bdcp-12, 0x1.152881e6b0e62p-12, 0x1.0ed8bfe290388p-12, 0x1.08a7ac9bc25d6p-12, 0x1.029525b61f4dfp-12, 0x1.f94207c6fbf07p-13, 0x1.ed95d0d5cd826p-13, 0x1.e223f14607ccdp-13, 0x1.d6e99f7066659p-13, 0x1.cbe3cc9a18432p-13, 0x1.c1108702d0db9p-13, 0x1.b66fd2c74b2ffp-13, 0x1.ac032f36c2de1p-13, 0x1.a1cc1ef4e7bd4p-13, 0x1.97cad86a3cafep-13, 0x1.8dfe1c33270a5p-13, 0x1.84643ca956d14p-13, 0x1.7afc58e3624f1p-13, 0x1.71c69ee2edb2bp-13, 0x1.68c36878572bep-13, 0x1.5ff22c62da36fp-13, 0x1.575139de5e01ep-13, 0x1.4ede421def8b9p-13, 0x1.4697113cd7dc6p-13, 0x1.3e79fb4f1c94bp-13, 0x1.3685ea9b150c7p-13, 0x1.2eba35da49fa1p-13, 0x1.271668f49cc7bp-13, 0x1.1f9a1b4c3d64cp-13, 0x1.1844df2538fafp-13, 0x1.11164a1353a86p-13, 0x1.0a0e0b0fe6c4p-13, 0x1.032bfa4f15368p-13, 0x1.f8e01a8a846fcp-14, 0x1.ebb4477d8f366p-14, 0x1.ded37af5691fp-14, 0x1.d23b962e0f4c3p-14, 0x1.c5e9a8d60d686p-14, 0x1.b9dad16b54e52p-14, 0x1.ae0cb677f890bp-14, 0x1.a27cbc34de8e8p-14, 0x1.97270663c3934p-14, 0x1.8c07b3cc15955p-14, 0x1.811e261b45936p-14, 0x1.766e2b41f7675p-14, 0x1.6bfc6af1d182bp-14, 0x1.61c9726799a3ap-14, 0x1.57d0bf95f2bc5p-14, 0x1.4e0ce76285918p-14, 0x1.447c76914214ep-14, 0x1.3b225a2b243c6p-14, 0x1.3201ee84fd129p-14, 0x1.291b92527af49p-14, 0x1.206c9adba46fbp-14, 0x1.17f13699509f1p-14, 0x1.0fa600ff2750cp-14, 0x1.078895cc77573p-14, 0x1.ff2ef7b25d86cp-15, 0x1.efa3b18d5e7bbp-15, 0x1.e06e50f444fbp-15, 0x1.d18e1039b8705p-15, 0x1.c30224d5f54d3p-15, 0x1.b4c9928ffb88ep-15, 0x1.a6e319890cb63p-15, 0x1.994d454ed1e3ap-15, 0x1.8c069d23b6aecp-15, 0x1.7f0de7f0a902dp-15, 0x1.72626a5c1086ap-15, 0x1.6603ffbc700ep-15, 0x1.59f2eb1c46436p-15, 0x1.4e2f4a8def648p-15, 0x1.42b861a651739p-15, 0x1.378c67f5a7bd1p-15, 0x1.2ca9608d604a9p-15, 0x1.220dff445e72dp-15, 0x1.17b8599e328c2p-15, 0x1.0da2a2529eccbp-15, 0x1.03c3b4c66f29bp-15, 0x1.f42d9c419811fp-16, 0x1.e140c82dd7826p-16, 0x1.cecda51db54cp-16, 0x1.bcd28825a668fp-16, 0x1.ab44563e7bbbap-16, 0x1.9a1f74943d375p-16, 0x1.8968ffd7e8ae3p-16, 0x1.7923f44e26425p-16, 0x1.694ec0cef6f52p-16, 0x1.59e6f93774008p-16, 0x1.4ae9b7f26cfebp-16, 0x1.3c52801d4f017p-16, 0x1.2e1befd90fe8cp-16, 0x1.2041490b6b24dp-16, 0x1.12bf334d585dep-16, 0x1.059394337e389p-16, 0x1.f17a2008d356ep-17, 0x1.d875384cf937ap-17, 0x1.c0167c51501cep-17, 0x1.a85bd508f9f1fp-17, 0x1.9142e37e416d4p-17, 0x1.7ac8f6014555dp-17, 0x1.64eaf9e07a4e2p-17, 0x1.4fa56a33e62f8p-17, 0x1.3af495845be02p-17, 0x1.26d4ccfa9ab45p-17, 0x1.134298ec868e1p-17, 0x1.003b06db049bp-17, 0x1.db77aa2a7286ap-18, 0x1.b786050640dcp-18, 0x1.949b184de7bd8p-18, 0x1.72ad1edefc0c2p-18, 0x1.51b2b938dab52p-18, 0x1.31add309ca23ap-18, 0x1.12b12298fbe7ep-18, 0x1.e9970d28a1e21p-19, 0x1.afcdc4ee82266p-19, 0x1.77bbbb12bbddbp-19, 0x1.41525bb71a31ep-19, 0x1.0c77414cbe227p-19, 0x1.b1c0c42e85bc1p-20, 0x1.4d2fce8eb281dp-20, 0x1.d7dd76b3ff35dp-21, 0x1.1c79c632a7322p-21, 0x1.9dd27e8bfac17p-23, -0x1.20aa46c386cf2p-23, -0x1.e569571f011e2p-22, -0x1.97c632e998b3ep-21, -0x1.1b7df1246ee3bp-20, -0x1.68376c86e682fp-20, -0x1.b244097c586dcp-20, -0x1.f9d4e6a30ea7ap-20, -0x1.1f83dcc5d5f5p-19, -0x1.40f5d6e91a2e6p-19, -0x1.6144e93410b81p-19, -0x1.80751502706f1p-19, -0x1.9e8abd62072afp-19, -0x1.bb8abd6f41fecp-19, -0x1.d77a430b4e6cfp-19, -0x1.f25eb5244dea5p-19, -0x1.061edf5fa5b6dp-18, -0x1.128eaa0f495cep-18, -0x1.1e81fc0205861p-18, -0x1.29fc4382c8c84p-18, -0x1.35011dff4bd39p-18, -0x1.3f9425f8f14bep-18, -0x1.49b8ab66413d3p-18, -0x1.537160d660f5dp-18, -0x1.5cc04ebe17efbp-18, -0x1.65a7875581d81p-18, -0x1.6e2a6f1435914p-18, -0x1.764dedc0b9219p-18, -0x1.7e15bc70b70a2p-18, -0x1.857f6827204bap-18, -0x1.8c812eea9fdf7p-18, -0x1.931ad1e48ade6p-18, -0x1.996289a515468p-18, -0x1.9f643873f7be5p-18, -0x1.a51ff4742da19p-18, -0x1.aa8f9c01d93f1p-18, -0x1.afa0ade810811p-18, -0x1.b4542f38d9062p-18, -0x1.b8ba580a28e6ap-18, -0x1.bce14bdb57279p-18, -0x1.c0cc3589bdd89p-18, -0x1.c4761c7bf47bp-18, -0x1.c7e1460edd132p-18, -0x1.cb1498e7e8d33p-18, -0x1.ce0b5dd4909a7p-18, -0x1.d0bce02fde4dcp-18, -0x1.d32b494fe0f4p-18, -0x1.d55ed1bb5e442p-18, -0x1.d75d30a962edbp-18, -0x1.d928a2c086451p-18, -0x1.dac1ee63dae8bp-18, -0x1.dc29b3711194dp-18, -0x1.dd60cd8d8d9f6p-18, -0x1.de6850bfe30a7p-18, -0x1.df416f9d14106p-18, -0x1.dfed663987e05p-18, -0x1.e06d70256febfp-18, -0x1.e0c2c8f96ac28p-18, -0x1.e0eeb2f17dcf6p-18, -0x1.e0f27cf72214bp-18, -0x1.e0cf82fca7d3dp-18, -0x1.e0872867572a1p-18, -0x1.e01acfe3e8e81p-18, -0x1.df8bd18a65ce6p-18, -0x1.dedb69eec4656p-18, -0x1.de0a9eeb45c33p-18, -0x1.dd1a3096e9ad9p-18, -0x1.dc0ac69b63b97p-18, -0x1.dadd571859258p-18, -0x1.d99371beb80dp-18, -0x1.d82f1d4b534ccp-18, -0x1.d6b112ab36d6p-18, -0x1.d51519f5aedc3p-18, -0x1.d35968f1393e2p-18, -0x1.d18a326f55f3ap-18, -0x1.cfadadcf8967dp-18, -0x1.cdba905008dfcp-18, -0x1.cbaae20cdc29dp-18, -0x1.c985a2bce60e3p-18, -0x1.c74f0bd9a5286p-18, -0x1.c507878e89839p-18, -0x1.c2aebe76f7a78p-18, -0x1.c0430e0580c0ap-18, -0x1.bdc1467ee107dp-18, -0x1.bb29e32971ad4p-18, -0x1.b88418b0d7d6bp-18, -0x1.b5d4cfee9533p-18, -0x1.b31d3c43c2eep-18, -0x1.b059d014b28b9p-18, -0x1.ad83da4d98ad7p-18, -0x1.aa9d19314dc7dp-18, -0x1.a7aaab8769a7bp-18, -0x1.a4aea3c9a5c18p-18, -0x1.a1a91fd4dce57p-18, -0x1.9e9a01d54031ap-18, -0x1.9b8168cb0828fp-18, -0x1.985fa67768a24p-18, -0x1.953524c788778p-18, -0x1.9202544681784p-18, -0x1.8ec7a4e513602p-18, -0x1.8b858a7ccc74cp-18, -0x1.883c782802838p-18, -0x1.84ecb864fd2f1p-18, -0x1.8196d296c4011p-18, -0x1.7e3b4cb434fdep-18, -0x1.7ada90d12fd1p-18, -0x1.77750e0e348b5p-18, -0x1.740b3490f661bp-18, -0x1.709d70c027fd6p-18, -0x1.6d2c1c751d4aap-18, -0x1.69b76cdadc7e3p-18, -0x1.663f6c0405924p-18, -0x1.62c42a219e22p-18, -0x1.5f4609ee2201fp-18, -0x1.5bc5f59ff9e99p-18, -0x1.584539a906d68p-18, -0x1.54c3b0ffc740ap-18, -0x1.513de73ce1133p-18, -0x1.4db76d4c2d5cdp-18, -0x1.4a33947a8c5aep-18, -0x1.46abffe2f4f79p-18, -0x1.432338f11401bp-18, -0x1.3f9bb023d5421p-18, -0x1.3c150e943f266p-18, -0x1.388f0c3759ec9p-18, -0x1.3509c426b6a5dp-18, -0x1.3185761b2bf12p-18, -0x1.2e0262ab80fap-18, -0x1.2a80cc06f08fap-18, -0x1.27010f624f61cp-18, -0x1.23838ef8e82bfp-18, -0x1.2007a6b23dda9p-18, -0x1.1c8a88d2c51d5p-18, -0x1.190c72cc22b79p-18, -0x1.15946b46e784fp-18, -0x1.1223535989b9ap-18, -0x1.0eb22ef933e48p-18, -0x1.0b40d90bb8f3ap-18, -0x1.07d2fb31b4ff4p-18, -0x1.046952fccfa04p-18, -0x1.0103692b166ep-18, -0x1.fb41e5c50eb5fp-19, -0x1.f483cb2de61cep-19, -0x1.edcca7d3d1a23p-19, -0x1.e71cb1caab36fp-19, -0x1.e0741fce97beap-19, -0x1.d9d3258d220f5p-19, -0x1.d339f54eb4a09p-19, -0x1.cca8c272c29fep-19, -0x1.c61fc1bd9b001p-19, -0x1.bf9f276538ec7p-19, -0x1.b9272513620cap-19, -0x1.b2b7e9e454b5ap-19, -0x1.ac51a47d41c19p-19, -0x1.a5f4855664097p-19, -0x1.9fa0bcb1fd363p-19, -0x1.99566d07fa262p-19, -0x1.931593ef13f7fp-19, -0x1.8cde0a8f8d05cp-19, -0x1.86afbd1e99c8cp-19, -0x1.808ae12cf2945p-19, -0x1.7a6fefc50b21p-19, -0x1.745fc1b401d97p-19, -0x1.6e5b6fa0e7c4fp-19, -0x1.6861234659abbp-19, -0x1.626f689bb1bb9p-19, -0x1.5c866258688bcp-19, -0x1.56a72a2130cbdp-19, -0x1.50d41af8a83f2p-19, -0x1.4b0c515e20909p-19, -0x1.454f2d01c88b1p-19, -0x1.3f9c92f233f82p-19, -0x1.39f48cb5746dap-19, -0x1.34572942d7e11p-19, -0x1.2ec479ac21e1cp-19, -0x1.293c929cd8bf1p-19, -0x1.23bf8c0d395ap-19, -0x1.1e4d7bccac947p-19, -0x1.18e66a6e08749p-19, -0x1.138a4a30886a9p-19, -0x1.0e390676e03b4p-19, -0x1.08f2c84a26df8p-19, -0x1.03b83c3fc6c46p-19, -0x1.fd131232a6eaap-20, -0x1.f2c8493145c99p-20, -0x1.e891f12852b6dp-20, -0x1.de7376cdc46d5p-20, -0x1.d4667562d5777p-20, -0x1.ca70776c21abap-20, -0x1.c0932ee73054fp-20, -0x1.b6ccdd23182bep-20, -0x1.ad1c8fc2ec3a1p-20, -0x1.a3820409b3809p-20, -0x1.99fd1f14fcfa6p-20, -0x1.908dff134b601p-20, -0x1.87354a07bbe74p-20, -0x1.7df1bbe0eaccap-20, -0x1.74c353ca14979p-20, -0x1.6bab464f888a8p-20, -0x1.62a8d5c6f7f4cp-20, -0x1.59bbe29fa3ec4p-20, -0x1.50e473174a673p-20, -0x1.48227dcaba091p-20, -0x1.3f75f53ce5023p-20, -0x1.36decd72deb22p-20, -0x1.2e5cfa5f930bp-20, -0x1.25f06acf22d7p-20, -0x1.1d98fb910a6c7p-20, -0x1.1556782a714d4p-20, -0x1.0d28b8fbe8225p-20, -0x1.050fb5d0dd80dp-20, -0x1.fa16e2b2b2fc5p-21, -0x1.ea3833d2c33dbp-21, -0x1.da848be5c2ed5p-21, -0x1.cafc224133231p-21, -0x1.bb9a7eb71ef9p-21, -0x1.ac5c11c9e95b6p-21, -0x1.9d47c615d4feep-21, -0x1.8e5e28d70cda1p-21, -0x1.7f9d0edb9c915p-21, -0x1.7103bd9252141p-21, }}, 
      {{-0x1.fed04723adcc5p-5, -0x1.828915e50947ap-7, 0x1.9235148a8939p-5, 0x1.c1ca7c1e3e205p-4, 0x1.5123013a2d4a1p-3, 0x1.afc64e1287e0fp-3, 0x1.fb24a167d3878p-3, 0x1.19ea03d2c14cep-2, 0x1.2dd2541aaafe3p-2, 0x1.3a7cfb2d94e8dp-2, 0x1.41319a205f10cp-2, 0x1.432ec1a07ca9cp-2, 0x1.419881ca26a15p-2, 0x1.3d6fb4c71815bp-2, 0x1.378ed6a3b47bap-2, 0x1.30aa4dea1fd69p-2, 0x1.2952bfef5e8e9p-2, 0x1.21f8830c32a6ap-2, 0x1.1aef941c60834p-2, 0x1.1473aba082054p-2, 0x1.0eac33bad5994p-2, 0x1.09aff8830eacp-2, 0x1.05887d106a01dp-2, 0x1.0234ebbb0ae1ep-2, 0x1.ff59409aa8488p-3, 0x1.fbc29faa88f0bp-3, 0x1.f981a943f470cp-3, 0x1.f86d4d51da34ep-3, 0x1.f85a12d4d3d88p-3, 0x1.f91bf1752b788p-3, 0x1.fa87bb48736e2p-3, 0x1.fc742841da53bp-3, 0x1.feba93579af37p-3, 0x1.009bbbe20c8ccp-2, 0x1.01e55d8c7abep-2, 0x1.032be78d4c5c1p-2, 0x1.0462da5c9f504p-2, 0x1.057f73f5ffc0bp-2, 0x1.06789d6b3b5d4p-2, 0x1.0746d2b26e5afp-2, 0x1.07e406b8f228ep-2, 0x1.084b8550d8801p-2, 0x1.0879d42de5c2cp-2, 0x1.086c93d967278p-2, 0x1.0822614874e7fp-2, 0x1.079ab89206aa6p-2, 0x1.06d5d91d73c27p-2, 0x1.05d4ab8360d81p-2, 0x1.0498a94239138p-2, 0x1.0323c6541d37ap-2, 0x1.01785ca80a975p-2, 0x1.ff3232e0d57e9p-3, 0x1.fb11d86db1d1dp-3, 0x1.f695ef39c9b1ap-3, 0x1.f1c5076889dd5p-3, 0x1.eca5e3b1fc8ebp-3, 0x1.e73f63eb3a868p-3, 0x1.e198722a71263p-3, 0x1.dbb7f2461c58fp-3, 0x1.d5a4b385901ap-3, 0x1.cf65645fb0786p-3, 0x1.c900882a75ac7p-3, 0x1.c27c6e92f81b1p-3, 0x1.bbdf2ca8e827dp-3, 0x1.b52e97412e5e6p-3, 0x1.ae703e7c4cfe1p-3, 0x1.a7a96a5aa3507p-3, 0x1.a0df18577deb1p-3, 0x1.9a15f9fd6a327p-3, 0x1.93527465fb554p-3, 0x1.8c98a074cf58fp-3, 0x1.85ec4b9da2d11p-3, 0x1.7f50f9109891ap-3, 0x1.78c9e32cc9c9cp-3, 0x1.7259fd3f12023p-3, 0x1.6c03f5877b7b4p-3, 0x1.65ca37942bbc4p-3, 0x1.5faeeee141808p-3, 0x1.59b409b4c93ebp-3, 0x1.53db3c1616d12p-3, 0x1.4e2602ce877c2p-3, 0x1.4895a65d64f0dp-3, 0x1.432b3dd88b606p-3, 0x1.3de7b1b768442p-3, 0x1.38cbbe8c6ddb9p-3, 0x1.33d7f7b4829bap-3, 0x1.2f0cc9fcd458bp-3, 0x1.2a6a7e43af216p-3, 0x1.25f13c0d26c2cp-3, 0x1.21a10c092cff3p-3, 0x1.1d79da8248ab7p-3, 0x1.197b79b28a5cdp-3, 0x1.15a5a3f85a969p-3, 0x1.11f7fdecf488bp-3, 0x1.0e721859311e6p-3, 0x1.0b13720d8ed65p-3, 0x1.07db799c7046ap-3, 0x1.04c98efa885c2p-3, 0x1.01dd0507a74a3p-3, 0x1.fe2a45ff8bb77p-4, 0x1.f8e24bb12ac36p-4, 0x1.f3e083134d92bp-4, 0x1.ef234480fe098p-4, 0x1.eaa8db04395dp-4, 0x1.e66f866e27e74p-4, 0x1.e2757d4c3ae44p-4, 0x1.deb8eeb5d2fe3p-4, 0x1.db3803f798d41p-4, 0x1.d7f0e21a412fp-4, 0x1.d4e1ab4fa1412p-4, 0x1.d20880397340dp-4, 0x1.cf63811d11f98p-4, 0x1.ccf0cefa98bd3p-4, 0x1.caae8c899019ap-4, 0x1.c89adf2799443p-4, 0x1.c6b3efaa1b614p-4, 0x1.c4f7eb2770a3cp-4, 0x1.c36503a3d50a2p-4, 0x1.c1f970b7135e2p-4, 0x1.c0b37024d102dp-4, 0x1.bf914655adf0fp-4, 0x1.be913edd4e46p-4, 0x1.bdb1ace1c8444p-4, 0x1.bcf0eb725a249p-4, 0x1.bc4d5decbdc43p-4, 0x1.bbc5703a439d6p-4, 0x1.bb57970ff3cecp-4, 0x1.bb0250312f7d5p-4, 0x1.bac4228ac96dep-4, 0x1.ba9b9e627eb3cp-4, 0x1.ba875d7c07ea4p-4, 0x1.ba8603176bf4ep-4, 0x1.ba963c11194eep-4, 0x1.bab6bef3c07e3p-4, 0x1.bae64bdedfee5p-4, 0x1.bb23ac9428a7dp-4, 0x1.bb6db47f4078ap-4, 0x1.bbc3408c3e83cp-4, 0x1.bc23372008c32p-4, 0x1.bc8c88196bbfp-4, 0x1.bcfe2c9e475f7p-4, 0x1.bd7726ffc829ap-4, 0x1.bdf682ba47955p-4, 0x1.be7b543e9c2ffp-4, 0x1.bf04b8bc5035bp-4, 0x1.bf91d6231a0a3p-4, 0x1.c021dafea3613p-4, 0x1.c0b3fe22b104dp-4, 0x1.c1477e924d047p-4, 0x1.c1dba3816ceb3p-4, 0x1.c26fbc0d613f7p-4, 0x1.c3031eebdca3p-4, 0x1.c3952a636d7b6p-4, 0x1.c425443c849b1p-4, 0x1.c4b2d96d1e5dfp-4, 0x1.c53d5dd6019c9p-4, 0x1.c5c44c39bf187p-4, 0x1.c6472618cb53fp-4, 0x1.c6c57360481fdp-4, 0x1.c73ec23c9122bp-4, 0x1.c7b2a70dd54dep-4, 0x1.c820bc2da83a9p-4, 0x1.c888a199d82acp-4, 0x1.c8e9fcde3f474p-4, 0x1.c944791f1d01fp-4, 0x1.c997c6d7ed2c9p-4, 0x1.c9e39b6a9dea9p-4, 0x1.ca27b10180decp-4, 0x1.ca63c6beefd4ap-4, 0x1.ca97a0a6b7f6p-4, 0x1.cac3071b57615p-4, 0x1.cae5c682c54b6p-4, 0x1.caffaf6d83283p-4, 0x1.cb1096c99a118p-4, 0x1.cb18559593b2p-4, 0x1.cb16c8512d495p-4, 0x1.cb0bcecf63c6ap-4, 0x1.caf74c76a829dp-4, 0x1.cad928593326p-4, 0x1.cab14cd1bf754p-4, 0x1.ca7fa70a7d35fp-4, 0x1.ca4426ec60c68p-4, 0x1.c9febf5a09085p-4, 0x1.c9af663451419p-4, 0x1.c95613fd9b7e9p-4, 0x1.c8f2c37c72115p-4, 0x1.c88571b5b907p-4, 0x1.c80e1e1b6fe15p-4, 0x1.c78cca8ab52c8p-4, 0x1.c7017afed6491p-4, 0x1.c66c35450656p-4, 0x1.c5cd00f57b73fp-4, 0x1.c523e79891969p-4, 0x1.c470f4aa42ec1p-4, 0x1.c3b4355dab394p-4, 0x1.c2edb856a269ap-4, 0x1.c21d8d96e143fp-4, 0x1.c143c699d9c48p-4, 0x1.c06076654512bp-4, 0x1.bf73b16492b33p-4, 0x1.be7d8d2795669p-4, 0x1.bd7e203cec3bep-4, 0x1.bc75823be452cp-4, 0x1.bb63cbde021c8p-4, 0x1.ba4916fa372fbp-4, 0x1.b9257e5734c12p-4, 0x1.b7f91d793dd3bp-4, 0x1.b6c41090f3e51p-4, 0x1.b586748b138a4p-4, 0x1.b440672265c17p-4, 0x1.b2f206d4e9a83p-4, 0x1.b19b72bc60cf1p-4, 0x1.b03cca68bbd12p-4, 0x1.aed62dd50f43cp-4, 0x1.ad67bd7480cd7p-4, 0x1.abf19a3fa14fap-4, 0x1.aa73e5ae01c9fp-4, 0x1.a8eec198361fcp-4, 0x1.a762501973969p-4, 0x1.a5ceb382fd777p-4, 0x1.a4340e62626dbp-4, 0x1.a292838cf124ep-4, 0x1.a0ea361fb13fdp-4, 0x1.9f3b496d1bd26p-4, 0x1.9d85e0e3e691dp-4, 0x1.9bca1ffee4b3cp-4, 0x1.9a082a434d5e6p-4, 0x1.98402347d3df7p-4, 0x1.96722eb9e2cadp-4, 0x1.949e70574e99p-4, 0x1.92c50bdd2f2c1p-4, 0x1.90e624f67bc16p-4, 0x1.8f01df332a08cp-4, 0x1.8d185e08596b4p-4, 0x1.8b29c4d50388cp-4, 0x1.893636e44fe41p-4, 0x1.873dd767bb245p-4, 0x1.8540c96a740e4p-4, 0x1.833f2fc54d7ebp-4, 0x1.81392d186ddfp-4, 0x1.7f2ee3cac5387p-4, 0x1.7d20760cd1fe9p-4, 0x1.7b0e05dacc44ap-4, 0x1.78f7b4f9ec36p-4, 0x1.76dda4f088f75p-4, 0x1.74bff6fd84711p-4, 0x1.729ecc130197cp-4, 0x1.707a44d4f166ep-4, 0x1.6e52819a56ed6p-4, 0x1.6c27a26f9a9f2p-4, 0x1.69f9c71701148p-4, 0x1.67c90f0562226p-4, 0x1.6595995ca1bc5p-4, 0x1.635f84e73f261p-4, 0x1.6126f0165532p-4, 0x1.5eebf90195dbp-4, 0x1.5caebd68a44e6p-4, 0x1.5a6f5ab4c1777p-4, 0x1.582dedf9ea666p-4, 0x1.55ea93f3a04b5p-4, 0x1.53a569032863cp-4, 0x1.515e892c7ee2ep-4, 0x1.4f161015c9daap-4, 0x1.4ccc190782bffp-4, 0x1.4a80beed6df0cp-4, 0x1.48341c5832d75p-4, 0x1.45e64b7e7c134p-4, 0x1.4397663ca2ae2p-4, 0x1.414786132ec61p-4, 0x1.3ef6c42599d6ap-4, 0x1.3ca53939e7a1fp-4, 0x1.3a52fdb8daca4p-4, 0x1.380029aeab9a7p-4, 0x1.35acd4cc65ee8p-4, 0x1.3359166985ea3p-4, 0x1.31050584e8fc3p-4, 0x1.2eb0b8c49b33ap-4, 0x1.2c5c467527db9p-4, 0x1.2a07c4896dacbp-4, 0x1.27b3489b039afp-4, 0x1.255ee7eb01bcfp-4, 0x1.230ab7630a3bdp-4, 0x1.20b6cb96a9588p-4, 0x1.1e6338c4bdb56p-4, 0x1.1c1012d862231p-4, 0x1.19bd6d691e2e5p-4, 0x1.176b5bbaeab32p-4, 0x1.1519f0bea219ap-4, 0x1.12c93f12dcc4p-4, 0x1.10795904dee76p-4, 0x1.0e2a50917cb7ap-4, 0x1.0bdc37660cff8p-4, 0x1.098f1ee17ee91p-4, 0x1.074318155dd38p-4, 0x1.04f833c6924fap-4, 0x1.02ae826ddd9f4p-4, 0x1.0066143872c28p-4, 0x1.fc3df211764c2p-5, 0x1.f7b280ee1cf36p-5, 0x1.f329f3a4ac979p-5, 0x1.eea468414290fp-5, 0x1.ea21fc3fe870dp-5, 0x1.e5a2cc8ea587ep-5, 0x1.e126f58f9a46ap-5, 0x1.dcae931a9427bp-5, 0x1.d839c07e15ec8p-5, 0x1.d3c8988028f57p-5, 0x1.cf5b355f549bp-5, 0x1.caf1b0d3941ddp-5, 0x1.c68c240f734bp-5, 0x1.c22aa7c157757p-5, 0x1.bdcd54151ce05p-5, 0x1.b97440b5e67a3p-5, 0x1.b51f84cfcac28p-5, 0x1.b0cf371105e46p-5, 0x1.ac836daa99195p-5, 0x1.a83c3e50cef3ep-5, 0x1.a3f9be3bf3bep-5, 0x1.9fbc02296b133p-5, 0x1.9b831e5cef004p-5, 0x1.974f26a1dde96p-5, 0x1.93202e4c6ca4fp-5, 0x1.8ef6483ad5115p-5, 0x1.8ad186d6541cdp-5, 0x1.86b1fc1417f88p-5, 0x1.8297b975ebcb6p-5, 0x1.7e82d00adfe0ap-5, 0x1.7a7350700cedbp-5, 0x1.76694ad193829p-5, 0x1.7264ceebb853ep-5, 0x1.6e65ec0becd11p-5, 0x1.6a6cb111b0526p-5, 0x1.66792c6f481cdp-5, 0x1.628b6c2a66dbfp-5, 0x1.5ea37ddce4a5dp-5, 0x1.5ac16eb59bf06p-5, 0x1.56e54b7941993p-5, 0x1.530f2083455fcp-5, 0x1.4f3ef9c6a44c6p-5, 0x1.4b74e2ceb7929p-5, 0x1.47b0e6c000a2bp-5, 0x1.43f31058de034p-5, 0x1.403b69f235415p-5, 0x1.3c89fd8022dcbp-5, 0x1.38ded492a7095p-5, 0x1.3539f85675458p-5, 0x1.319b7195d2b7dp-5, 0x1.2e0348b980dccp-5, 0x1.2a7185c99ad62p-5, 0x1.26e6306e4a9e5p-5, 0x1.23614ff07e3afp-5, 0x1.1fe2eb3a85039p-5, 0x1.1c6b08d8cacf9p-5, 0x1.18f9aefa9e0cdp-5, 0x1.158ee373049d5p-5, 0x1.122aabb99db96p-5, 0x1.0ecd0ceb81b55p-5, 0x1.0b760bcc1c803p-5, 0x1.0825acc6038fap-5, 0x1.04dbf3ebb7637p-5, 0x1.0198e4f8699c2p-5, 0x1.fcb906a17a2c2p-6, 0x1.f64da40716984p-6, 0x1.efefa79582996p-6, 0x1.e99f161899bc6p-6, 0x1.e35bf3b633a64p-6, 0x1.dd2643f023a86p-6, 0x1.d6fe09a61ac76p-6, 0x1.d0e3471763c1dp-6, 0x1.cad5fde485c22p-6, 0x1.c4d62f10d2a7ep-6, 0x1.bee3db0406e8dp-6, 0x1.b8ff018c0b393p-6, 0x1.b327a1dee8dddp-6, 0x1.ad5dba9cb9119p-6, 0x1.a7a149d1d6904p-6, 0x1.a1f24cf90db95p-6, 0x1.9c50c0fdd3bbbp-6, 0x1.96bca23e5004cp-6, 0x1.9135ec8d3faefp-6, 0x1.8bbc9b33a4de5p-6, 0x1.8650a8f27d261p-6, 0x1.80f210048498cp-6, 0x1.7ba0ca20122e2p-6, 0x1.765cd0792e902p-6, 0x1.71261bc3c92adp-6, 0x1.6bfca4361990ep-6, 0x1.66e0618b02fcep-6, 0x1.61d14b04744d8p-6, 0x1.5ccf576d9fe6p-6, 0x1.57da7d1cfb42bp-6, 0x1.52f2b1f63e8d8p-6, 0x1.4e17eb6c2f6c4p-6, 0x1.494a1e827f822p-6, 0x1.44893fcfb4cbep-6, 0x1.3fd5437f3c346p-6, 0x1.3b2e1d539902fp-6, 0x1.3693c0a8c36f8p-6, 0x1.320620769c531p-6, 0x1.2d852f5357b25p-6, 0x1.2910df75f3f2dp-6, 0x1.24a922b871baep-6, 0x1.204dea99ffdbbp-6, 0x1.1bff284106dc5p-6, 0x1.17bccc7d0a4c2p-6, 0x1.1386c7c88c31cp-6, 0x1.0f5d0a4b00a95p-6, 0x1.0b3f83dad7532p-6, 0x1.072e23ff9b46fp-6, 0x1.0328d9f439073p-6, 0x1.fe5f2952ba29ap-7, 0x1.f684858fa7d7fp-7, 0x1.eec1a565eebdfp-7, 0x1.e7166515dc684p-7, 0x1.df82a05dc53b5p-7, 0x1.d806327e2293p-7, 0x1.d0a0f63d64e3p-7, 0x1.c952c5ebb7c3cp-7, 0x1.c21b7b66bd8e2p-7, 0x1.bafaf01d31a1ep-7, 0x1.b3f0fd12d10a1p-7, 0x1.acfd7ae46380fp-7, 0x1.a62041cbe90a5p-7, 0x1.9f5929a4f497dp-7, 0x1.98a809f1216a9p-7, 0x1.920cb9dc5b6b4p-7, 0x1.8b87104139ce5p-7, 0x1.8516e3acf2fb4p-7, 0x1.7ebc0a6346991p-7, 0x1.78765a620517dp-7, 0x1.7245a96495d0bp-7, 0x1.6c29cce73b014p-7, 0x1.66229a2a76253p-7, 0x1.602fe6365e3d1p-7, 0x1.5a5185de1aac7p-7, 0x1.54874dc384183p-7, 0x1.4ed1125ac815p-7, 0x1.492ea7ee3e182p-7, 0x1.439fe2a20e1a8p-7, 0x1.3e2496780661dp-7, 0x1.38bc9753136a2p-7, 0x1.3367b8fab3bacp-7, 0x1.2e25cf1e2df23p-7, 0x1.28f6ad5797d13p-7, 0x1.23da272ecd5dbp-7, 0x1.1ed0101c2b5ddp-7, 0x1.19d83b8b697d8p-7, 0x1.14f27cde73bf7p-7, 0x1.101ea77029791p-7, 0x1.0b5c8e9757b2ap-7, 0x1.06ac05a9aba57p-7, 0x1.020cdffea3d2p-7, 0x1.fafde1e51b814p-8, 0x1.f20417d2d131bp-8, 0x1.e92c08a3540c3p-8, 0x1.e0755b4defb55p-8, 0x1.d7dfb6e946fb5p-8, 0x1.cf6ac2b031edp-8, 0x1.c71626064b708p-8, 0x1.bee1887c53806p-8, 0x1.b6cc91d493f27p-8, 0x1.aed6ea072e70bp-8, 0x1.a700394679ee2p-8, 0x1.9f4828036bedep-8, 0x1.97ae5ef204e3p-8, 0x1.9032870dc3994p-8, 0x1.88d4499df0ee9p-8, 0x1.81935039cc055p-8, 0x1.7a6f44cc88dd9p-8, 0x1.7367d199040f3p-8, 0x1.6c7ca13d28439p-8, 0x1.65ad5eb530386p-8, 0x1.5ef9b55e9f933p-8, 0x1.586150fb2da25p-8, 0x1.51e3ddb391b75p-8, 0x1.4b81081a9bc94p-8, 0x1.45387d30170bcp-8, 0x1.3f09ea6442d51p-8, 0x1.38f4fd9b2583fp-8, 0x1.32f9653003fd4p-8, 0x1.2d16cff8f39f3p-8, 0x1.274ced4a04e7p-8, 0x1.219b6cf853e96p-8, 0x1.1c01ff5c6f589p-8, 0x1.168055544dd2dp-8, 0x1.11162044c907ep-8, 0x1.0bc3121a8b01bp-8, 0x1.0686dd4a9077p-8, 0x1.016134d2c1eaap-8, 0x1.f8a39874bf835p-9, 0x1.eeb0af25b8d02p-9, 0x1.e4e916f27971bp-9, 0x1.db4c3a30738b2p-9, 0x1.d1d98455f77b1p-9, 0x1.c89062017ce91p-9, 0x1.bf7041014284fp-9, 0x1.b678905b3db69p-9, 0x1.ada8c05499266p-9, 0x1.a50042779f135p-9, 0x1.9c7e8997cb57ep-9, 0x1.942309d2f5373p-9, 0x1.8bed38900deb5p-9, 0x1.83dc8c7a87841p-9, 0x1.7bf07d7c3b47dp-9, 0x1.742884b55d4dcp-9, 0x1.6c841c74f4635p-9, 0x1.6502c0324eb5ap-9, 0x1.5da3ec88a4ecbp-9, 0x1.56671f36c019p-9, 0x1.4f4bd722801c5p-9, 0x1.48519460aa229p-9, 0x1.4177d8409a666p-9, 0x1.3abe255ac5f8dp-9, 0x1.3423ffa0331cp-9, 0x1.2da8ec699159bp-9, 0x1.274c72832663cp-9, 0x1.210e1a348067ap-9, 0x1.1aed6d41e999fp-9, 0x1.14e9f6e6af6b5p-9, 0x1.0f0343c913e04p-9, 0x1.0938e1e791cc6p-9, 0x1.038a6082207bp-9, 0x1.fbeea0030b658p-10, 0x1.f0fe83bed981bp-10, 0x1.e643912581085p-10, 0x1.dbbcef051e3c7p-10, 0x1.d169c6038606bp-10, 0x1.c74940aaa99e2p-10, 0x1.bd5a8b88cc9f8p-10, 0x1.b39cd56326696p-10, 0x1.aa0f4f75e5951p-10, 0x1.a0b12dbb1f9adp-10, 0x1.9781a7301c7fp-10, 0x1.8e7ff6107accbp-10, 0x1.85ab58000f465p-10, 0x1.7d030e1b4ec22p-10, 0x1.74865cec1a7efp-10, 0x1.6c348c3ef1c2p-10, 0x1.640ce6de1b417p-10, 0x1.5c0eba3444086p-10, 0x1.543955e24c5c8p-10, 0x1.4c8c0b505fec7p-10, 0x1.45062d46c171ep-10, 0x1.3da70f99b91ddp-10, 0x1.366e06f2e2e79p-10, 0x1.2f5a68beacc3ap-10, 0x1.286b8b42cb7b8p-10, 0x1.21a0c5dceea2bp-10, 0x1.1af971652ad95p-10, 0x1.1474e8ac1a5b6p-10, 0x1.0e128907a86f4p-10, 0x1.07d1b2e20486p-10, 0x1.01b1ca3a63da1p-10, 0x1.f7646e1329b4p-11, 0x1.eba4cafe066f8p-11, 0x1.e0238c19c81fbp-11, 0x1.d4df9a7eef99dp-11, 0x1.c9d7e6beb9a62p-11, 0x1.bf0b67cf2046fp-11, 0x1.b47919afc399dp-11, 0x1.aa1ffbe6d02f9p-11, 0x1.9fff0ff971147p-11, 0x1.96155803bfbdp-11, 0x1.8c61d59262971p-11, 0x1.82e388dbfb54fp-11, 0x1.7999706d7a74fp-11, 0x1.708289562c7e7p-11, 0x1.679dcfd03e36dp-11, 0x1.5eea405b5bdbcp-11, 0x1.5666d930ded76p-11, 0x1.4e129bf38dfe7p-11, 0x1.45ec8f743d53ep-11, 0x1.3df3c163917d1p-11, 0x1.362747c8b1b36p-11, 0x1.2e8642190ec36p-11, 0x1.270fd9d49ac9ep-11, 0x1.1fc342952aed5p-11, 0x1.189fb98b2ecd4p-11, 0x1.11a484704eea9p-11, 0x1.0ad0f00570cp-11, 0x1.04244e3c7c048p-11, 0x1.fb3be86b5ec52p-12, 0x1.ee7a7079f5a16p-12, 0x1.e202dfde66eedp-12, 0x1.d5d3dd600b87p-12, 0x1.c9ec0915731a4p-12, 0x1.be49fb286b08p-12, 0x1.b2ec43ade22a4p-12, 0x1.a7d16b9048f0bp-12, 0x1.9cf7f67bd6741p-12, 0x1.925e65a43a6d4p-12, 0x1.88033b2ea7594p-12, 0x1.7de4fdfd6e7b2p-12, 0x1.74023d8f13ff4p-12, 0x1.6a5995a16819bp-12, 0x1.60e9b14b3939ap-12, 0x1.57b14d4a4024fp-12, 0x1.4eaf39563bce6p-12, 0x1.45e2586122117p-12, 0x1.3d499fc454aa8p-12, 0x1.34e415759f8b4p-12, 0x1.2cb0cd72fe8fep-12, 0x1.24aee6a37f48dp-12, 0x1.1cdd876ecedd3p-12, 0x1.153bda50ce902p-12, 0x1.0dc90a9e70359p-12, 0x1.068441aef7cabp-12, 0x1.fed94916237c5p-13, 0x1.f102a47ca6b3ep-13, 0x1.e382c5c0b04aep-13, 0x1.d657cecd085e9p-13, 0x1.c97fd4827df2ep-13, 0x1.bcf8e17855e2p-13, 0x1.b0c0fa05964a5p-13, 0x1.a4d62129673aap-13, 0x1.99365dd12af25p-13, 0x1.8ddfbfeb90ca1p-13, 0x1.82d064d899266p-13, 0x1.78067ae59fb0dp-13, 0x1.6d8043cacd79bp-13, 0x1.633c163dccde6p-13, 0x1.59385ed0f1b23p-13, 0x1.4f73a04fd6e56p-13, 0x1.45ec73aa942a4p-13, 0x1.3ca1876bef76p-13, 0x1.33919e901badbp-13, 0x1.2abb8e9186824p-13, 0x1.221e3c8e16502p-13, 0x1.19b8998f28071p-13, 0x1.11899e2e343f3p-13, 0x1.099046009fdfep-13, 0x1.01cb8b5af72a2p-13, 0x1.f474c7f6d2f51p-14, 0x1.e5b77e33c9d69p-14, 0x1.d75d0a39382b6p-14, 0x1.c96331c63ed6ap-14, 0x1.bbc7b47ddde32p-14, 0x1.ae8851e500343p-14, 0x1.a1a2cecd7d0aep-14, 0x1.9514f8b6a68bcp-14, 0x1.88dca63c5501dp-14, 0x1.7cf7b48a63ac7p-14, 0x1.716402d4fc13bp-14, 0x1.661f6daf1ef2ep-14, 0x1.5b27cc7b8f80dp-14, 0x1.507af2e05f47ep-14, 0x1.4616b721d7fa5p-14, 0x1.3bf8fcc8821d8p-14, 0x1.321fc1875bc24p-14, 0x1.288929446e893p-14, 0x1.1f3386105fe1p-14, 0x1.161d59a18664cp-14, 0x1.0d454f7aca52bp-14, 0x1.04aa30df8e6afp-14, 0x1.f895aac83e731p-15, 0x1.e84c27c076b31p-15, 0x1.d8756ea9f07aap-15, 0x1.c90ef448bb2f5p-15, 0x1.ba161026e61fbp-15, 0x1.ab880b72bd2a6p-15, 0x1.9d62357440f7dp-15, 0x1.8fa1f7a2d99b9p-15, 0x1.8244e45034004p-15, 0x1.7548bcc46d324p-15, 0x1.68ab6d9356b26p-15, 0x1.5c6b019f6675dp-15, 0x1.50858db4448dcp-15, 0x1.44f917f6bb332p-15, 0x1.39c37fc423658p-15, 0x1.2ee26ba025094p-15, 0x1.2453429d52999p-15, 0x1.1a13352a1794cp-15, 0x1.101f55e01dc1ep-15, 0x1.0674bed728dbep-15, 0x1.fa2177e6fa9fdp-16, 0x1.e7e1e0aef6f5fp-16, 0x1.d626da699cea5p-16, 0x1.c4ed66af5767dp-16, 0x1.b4333c6d7c54dp-16, 0x1.a3f67b930eca2p-16, 0x1.9435534c9496p-16, 0x1.84edb386d2353p-16, 0x1.761d1d8fb747fp-16, 0x1.67c09bfc5ad6p-16, 0x1.59d4dcb02a0ddp-16, 0x1.4c565ed47b221p-16, 0x1.3f41a46be991fp-16, 0x1.32935b1beb115p-16, 0x1.264875abcb0dap-16, 0x1.1a5e3508c51cap-16, 0x1.0ed22284a3828p-16, 0x1.03a1ff98c2da4p-16, 0x1.f19761b2ed122p-17, 0x1.dc9a52c46e883p-17, 0x1.c848b2ac3d9e5p-17, 0x1.b49e3cccf350cp-17, 0x1.a196685a947f5p-17, 0x1.8f2c4a1b00844p-17, 0x1.7d5a8288b6178p-17, 0x1.6c1b49116b59ep-17, 0x1.5b689f4eb652p-17, 0x1.4b3ca76c00e1p-17, 0x1.3b9208194948fp-17, 0x1.2c6440950e47bp-17, 0x1.1dafd35563d62p-17, 0x1.0f723a6ef5875p-17, 0x1.01a9a913af062p-17, 0x1.e8a95b642a45ap-18, 0x1.cee3a5012706bp-18, 0x1.b5feb0c25db16p-18, 0x1.9df63080ee59ep-18, 0x1.86c508eed6538p-18, 0x1.70657ae148218p-18, 0x1.5ad15d4fa894ep-18, 0x1.46025f90644c3p-18, 0x1.31f252c0e153fp-18, 0x1.1e9b5b8f0e1fdp-18, 0x1.0bf7e930fdac7p-18, 0x1.f404d1add92d5p-19, 0x1.d169cb245d7f9p-19, 0x1.b011a85b8835cp-19, 0x1.8fee69d1a6a55p-19, 0x1.70f20534acc02p-19, 0x1.530f7eaab6e24p-19, 0x1.363bc73c8052fp-19, 0x1.1a6e0bafe63fp-19, 0x1.ff3ebf22a6593p-20, 0x1.cb93ea7d3bbf5p-20, 0x1.99d07f4cfec93p-20, 0x1.69e8a67cbd511p-20, 0x1.3bcf44be01762p-20, 0x1.0f75e35202b99p-20, 0x1.c99966a784cecp-21, 0x1.7785920cc0724p-21, 0x1.288e0c0be16ddp-21, 0x1.b92745d3295cep-22, 0x1.26fbb9e782d6ap-22, 0x1.34f32d89aab8dp-23, 0x1.38f9d91aa8fafp-26, -0x1.b73309613cbb6p-24, -0x1.d35395d11abf2p-23, -0x1.60219604de96p-22, -0x1.d15b6a6ca97e5p-22, -0x1.1ec29381be89p-21, -0x1.5264cbb93bab9p-21, -0x1.83a5b18a594fap-21, -0x1.b2941e265702ep-21, -0x1.df404dd7ed23ap-21, -0x1.04df4c2f391fap-20, -0x1.1913a87dd6599p-20, -0x1.2c4a593b8fac4p-20, -0x1.3e905783b054ap-20, -0x1.4ff1da0902e4ap-20, -0x1.607a2666f35b9p-20, -0x1.70338653009f3p-20, -0x1.7f272a69daf21p-20, -0x1.8d5cfb62454bep-20, -0x1.9adb7cfa4caf2p-20, -0x1.a7a7e2be2e81p-20, -0x1.b3c64fc1dc622p-20, -0x1.bf3a22955b885p-20, -0x1.ca063a183cc4ep-20, -0x1.d42d88c52cba6p-20, -0x1.ddb453859491bp-20, -0x1.e6a1b854babp-20, -0x1.eeffed0684a2cp-20, -0x1.f6d9e5a142401p-20, -0x1.fe37680cab844p-20, -0x1.028d52a1d8dcep-19, -0x1.05c0c405640b4p-19, -0x1.08b4e54d6d0f8p-19, -0x1.0b6a54195989fp-19, -0x1.0de3b4691084bp-19, -0x1.10244d1f5833cp-19, -0x1.122e515e061f4p-19, -0x1.1402733e1047ap-19, -0x1.15a106729a20cp-19, -0x1.170b6850df126p-19, -0x1.1844611dc034cp-19, -0x1.194f762ca77dp-19, -0x1.1a2ffd778975bp-19, -0x1.1ae894a1156dbp-19, -0x1.1b7b12183a505p-19, -0x1.1be8bba3b4a99p-19, -0x1.1c328c3ae3e6p-19, -0x1.1c5968b77c3f6p-19, -0x1.1c5e39046008cp-19, -0x1.1c41e75fcc0acp-19, -0x1.1c0551483a436p-19, -0x1.1ba93bc425285p-19, -0x1.1b2e5c8e1f04cp-19, -0x1.1a95809154e44p-19, -0x1.19dfc24dcb961p-19, -0x1.190ea72136489p-19, -0x1.1823f61d164b9p-19, -0x1.1721550dd3742p-19, -0x1.1608151dd57cfp-19, -0x1.14d98a9bfd57bp-19, -0x1.13977fd5c29b3p-19, -0x1.1243c1e2bb98cp-19, -0x1.10ded4664d07fp-19, -0x1.0f677b0d9ab8cp-19, -0x1.0ddc26aa99ebbp-19, -0x1.0c3cef16c352cp-19, -0x1.0a8bee7f629d4p-19, -0x1.08cb93b52ab75p-19, -0x1.06fcb2dbba513p-19, -0x1.051e664761a6ap-19, -0x1.032fa4baadad8p-19, -0x1.01309371c7201p-19, -0x1.fe44f270ddfa4p-20, -0x1.fa0decc4cce27p-20, -0x1.f5bed4eb2f2abp-20, -0x1.f1598d8eaee92p-20, -0x1.ecdf443b1a2b5p-20, -0x1.e850b908ceea5p-20, -0x1.e3ae78d97f126p-20, -0x1.def9015f3b96dp-20, -0x1.da30d4563905p-20, -0x1.d556804ee5011p-20, -0x1.d06aa29e98d56p-20, -0x1.cb6de301abbe4p-20, -0x1.c660e99f61a17p-20, -0x1.c144519d724d4p-20, -0x1.bc189cb48f078p-20, -0x1.b6de2d5d59e9cp-20, -0x1.b1954e46af71p-20, -0x1.ac3e4b7e792e3p-20, -0x1.a6d994b43ffbap-20, -0x1.a167cb71f0b83p-20, -0x1.9be9a57c1f79cp-20, -0x1.965fc899a2c27p-20, -0x1.90caf8f713d75p-20, -0x1.8b2c8e091fd6dp-20, -0x1.8586468c0cdabp-20, -0x1.7fd901a10dc17p-20, -0x1.7a2408e6c9429p-20, -0x1.7466617d9c6a9p-20, -0x1.6ea05c1823811p-20, -0x1.68d32792aa42cp-20, -0x1.62ff517a49a5ep-20, -0x1.5d24945970894p-20, -0x1.5742c7c016913p-20, -0x1.515a39469db3bp-20, -0x1.4b6b68703aee3p-20, -0x1.4576dbb73bfecp-20, -0x1.3f7d152cff318p-20, -0x1.397e83e883ed1p-20, -0x1.337b7b1a68406p-20, -0x1.2d7436f2dfbc9p-20, -0x1.2768e7e60808fp-20, -0x1.2159bbe9cb727p-20, -0x1.1b46e30abba7dp-20, -0x1.15309055f6b4p-20, -0x1.0f16f83a164ap-20, -0x1.08fa4e2e08005p-20, -0x1.02dacb46d6e4fp-20, -0x1.f97154ebdfbcdp-21, -0x1.ed282bcd221c7p-21, -0x1.e0da766ce030dp-21, -0x1.d48895e87012ap-21, -0x1.c832e6f404111p-21, -0x1.bbd9c575a56c7p-21, -0x1.af7d8e58c1a6cp-21, -0x1.a31e9bcc170a5p-21, -0x1.96bd3b5188b56p-21, -0x1.8a59a73804a68p-21, -0x1.7df41677a0adbp-21, -0x1.718ce6c48a77dp-21, -0x1.6524b5e5c2e5fp-21, -0x1.58bc15edf37f9p-21, -0x1.4c531cd2db82bp-21, -0x1.3fe9aeb7917e5p-21, -0x1.338020b9aa4b2p-21, -0x1.2716a40504d63p-21, -0x1.1aacf177f3f79p-21, -0x1.0e43462795ca7p-21, -0x1.01da89aeb4bb1p-21, -0x1.eae6c47302343p-22, -0x1.d21bae7442c8dp-22, -0x1.b953425f71fa1p-22, -0x1.a08d864ba6e8fp-22, -0x1.87cba5b2716d1p-22, -0x1.6f0f0c38a6a11p-22, -0x1.56585d820c31ap-22, -0x1.3da788787ef53p-22, -0x1.24fc6506024e5p-22, -0x1.0c570abfa1acep-22, -0x1.e76f9ee9aa511p-23, -0x1.b63e536396811p-23, -0x1.851b33eb67a77p-23, -0x1.54074051a2405p-23, -0x1.230371c052c86p-23, -0x1.e42175059330ep-24, -0x1.8260094c286b6p-24, -0x1.20c46a896c4ddp-24, -0x1.7ea02d04ac80fp-25, -0x1.7812cb5c9a363p-26, 0x1.8e44d515a1823p-31, 0x1.90499bb8814dbp-26, 0x1.89b77b9dd7a2ap-25, 0x1.25774d2ad993bp-24, 0x1.85e3903276ab9p-24, 0x1.e61eb7782392bp-24, 0x1.23138190f305ap-23, 0x1.52fdb3f2cfe6cp-23, 0x1.82cdd395b6002p-23, 0x1.b28379bee2f5bp-23, 0x1.e21cb76343e6fp-23, 0x1.08cae63a78224p-22, 0x1.2076b096956e8p-22, 0x1.3813e2db56d47p-22, 0x1.4fa35a215351p-22, 0x1.67247a87be7fp-22, 0x1.7e95e398b79d8p-22, 0x1.95f4a692092d6p-22, 0x1.ad404063c1b1p-22, 0x1.c47a16a8c447ap-22, 0x1.dba363ab6128dp-22, 0x1.f2bc0872609cdp-22, 0x1.04e164208f6e4p-21, 0x1.105bb3dbadab2p-21, 0x1.1bcd33300fa24p-21, 0x1.273544ae52c42p-21, 0x1.3292ecfb30baap-21, 0x1.3de60005bd56fp-21, 0x1.492ed4a9b412cp-21, 0x1.546d988cc58c5p-21, 0x1.5fa2345b2fc4dp-21, 0x1.6acc71cbe95e2p-21, 0x1.75ec16b634a9ep-21, 0x1.8100edde2f425p-21, 0x1.8c0ac735642acp-21, 0x1.970975f82784cp-21, 0x1.a1fccefbc42c1p-21, 0x1.ace4a7f5aa59ap-21, 0x1.b7c0d7ade5e4fp-21, 0x1.c29136caebe25p-21, 0x1.cd55a07cb5952p-21, 0x1.d80df2818f4bcp-21, 0x1.e2ba0c82b8123p-21, 0x1.ed59cf28c411dp-21, 0x1.f7ed1b078c184p-21, 0x1.0139e76218255p-20, 0x1.0676e2110b6d1p-20, 0x1.0bad6737b5c6ap-20, 0x1.10dd5fb528619p-20, 0x1.1606b93654883p-20, 0x1.1b296a460e4ap-20, 0x1.2045706696be6p-20, 0x1.255ab793adf92p-20, 0x1.2a68e7e8cef16p-20, 0x1.2f6fcb823aa46p-20, 0x1.346fee62d7f79p-20, 0x1.39698a5033f6bp-20, 0x1.3e5c0322a0a28p-20, 0x1.4346eb3f48248p-20, 0x1.482a88f45fc0ap-20, 0x1.4d06fcbd00f4cp-20, 0x1.51dc330978491p-20, 0x1.56aa0e6105c76p-20, 0x1.5b705e88e0793p-20, 0x1.602edabe7ca5ep-20, 0x1.64e56e0f539bcp-20, 0x1.69946a0e76172p-20, 0x1.6e3c036720ba4p-20, 0x1.72dc391ca8031p-20, 0x1.7774bfbb98203p-20, 0x1.7c051614208a3p-20, 0x1.808d3e4b41d81p-20, 0x1.850d73b1fdf7fp-20, 0x1.8985c31ba0806p-20, 0x1.8df61a13676bfp-20, 0x1.925e6244b4bc2p-20, 0x1.96be8966f9312p-20, 0x1.9b1680cd580ccp-20, 0x1.9f663bc3f2ce9p-20, 0x1.a3adae6cbe85ap-20, 0x1.a7eccd710c764p-20, 0x1.ac238f59ef29cp-20, 0x1.b051eb06a1b42p-20, 0x1.b477cda11d437p-20, 0x1.b89532b54f39p-20, 0x1.bcaa15bdefa5ep-20, 0x1.c0b66c42c5846p-20, 0x1.c4ba2dd307781p-20, 0x1.c8b552f543be5p-20, 0x1.cca7d44511e09p-20, 0x1.d091a9d023281p-20, 0x1.d472c88b5890bp-20, 0x1.d84b2320339b5p-20, 0x1.dc1aace48804cp-20, 0x1.dfe1600332bf4p-20, 0x1.e39f417bb72bp-20, 0x1.e7545e4519d79p-20, 0x1.eb00a78028f9ep-20, 0x1.eea3cde4e1757p-20, 0x1.f23e0c143172dp-20, 0x1.f5cf9836d4683p-20, 0x1.f957eb3f33727p-20, 0x1.fcd72ccb3838ap-20, 0x1.0026c179f7bp-19, 0x1.01dd6ee89e682p-19, 0x1.038f978aaafbbp-19, 0x1.053d3842eec81p-19, 0x1.06e64f939f751p-19, 0x1.088adc44818a2p-19, 0x1.0a2add3937421p-19, 0x1.0bc6529b5589ap-19, 0x1.0d5d3d28a7f2ep-19, 0x1.0eef930de3c2dp-19, 0x1.107d338e12019p-19, 0x1.12061d54c961fp-19, 0x1.138a98f5a1d42p-19, 0x1.150aaeda35cbcp-19, 0x1.168610c705a8cp-19, 0x1.17fcb9f788206p-19, 0x1.196ed0bdfd196p-19, 0x1.1adc5bd8106d7p-19, 0x1.1c455491baaa9p-19, 0x1.1da9b6248edf5p-19, 0x1.1f097ebae003fp-19, 0x1.2064adf1655d3p-19, 0x1.21bb43efccbbcp-19, 0x1.230d410aa0c41p-19, 0x1.245aa5af38aa9p-19, 0x1.25a3726e906fcp-19, 0x1.26e7a80cb9aadp-19, 0x1.28274782433fdp-19, 0x1.296251ee41965p-19, 0x1.2a98c88813f1ep-19, 0x1.2bcaac9f116f1p-19, 0x1.2cf7ffa71b64ep-19, 0x1.2e20c346e79d7p-19, 0x1.2f44f94a0dbc6p-19, 0x1.3064a347df6fbp-19, 0x1.317fc20aaf238p-19, 0x1.32965591fa9p-19, 0x1.33a85e7e6cc26p-19, 0x1.34b5df753f25ap-19, 0x1.35bedcf9c5de2p-19, 0x1.36c35e212b277p-19, 0x1.37c36bc4dff54p-19, 0x1.38befbb1c2cd6p-19, 0x1.39b606589d48p-19, 0x1.3aa88eaf873f9p-19, 0x1.3b969e1a65583p-19, 0x1.3c8046526de76p-19, 0x1.3d6583f9f62f3p-19, 0x1.3e465587fff31p-19, 0x1.3f22bcf7c4b6ap-19, 0x1.3ffabd4e18b04p-19, 0x1.40ce59ce54f18p-19, 0x1.419d95e8d03bbp-19, 0x1.42687545c5a4fp-19, 0x1.432efbc5ed5bcp-19, 0x1.43f12d5bf1f3p-19, 0x1.44af0dba08399p-19, 0x1.4568a008b5e08p-19, 0x1.461de74bdbda2p-19, 0x1.46cee84cd75fap-19, 0x1.477babb3060f2p-19, 0x1.482436b8e4cabp-19, 0x1.48c87b1c39b42p-19, 0x1.4968835f7cb6bp-19, 0x1.4a04604a6db16p-19, 0x1.4a9bfe489ce09p-19, 0x1.4b2f764215555p-19, 0x1.4bbed34bfac04p-19, 0x1.4c4a138005daap-19, 0x1.4cd137e7fa453p-19, 0x1.4d5444349d9a1p-19, 0x1.4dd33cbefbc99p-19, 0x1.4e4e26e0cef3p-19, 0x1.4ec50a42d7229p-19, 0x1.4f37e6a094689p-19, 0x1.4fa6c11199a0ep-19, 0x1.5011a3d1b438ep-19, 0x1.5078910988eacp-19, 0x1.50db8d89f0841p-19, 0x1.513a9ed2af4b1p-19, 0x1.5195ca3248056p-19, 0x1.51ed14fae0747p-19, 0x1.5240848d9d00dp-19, 0x1.52901e63b3497p-19, 0x1.52dbe7ea36f4ap-19, 0x1.5323e64b50662p-19, 0x1.53681e7219f3dp-19, 0x1.53a8958f3a84cp-19, 0x1.53e5516e420a5p-19, 0x1.541e581ec227p-19, 0x1.5453b0c2944a8p-19, 0x1.54856439ea36bp-19, 0x1.54b377d6a63afp-19, 0x1.54dde8dfdc0b3p-19, 0x1.5504b58f15c4dp-19, 0x1.5527f388ea4f6p-19, 0x1.5547aa5a77635p-19, 0x1.5563db7bf3741p-19, 0x1.557c8bb03b7cfp-19, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{-0x1.3ea66a72e719fp-1, -0x1.3eae5feb508fbp-1, -0x1.3ebaa45c2c6f2p-1, -0x1.3ec9d5ced907bp-1, -0x1.3eda343d19b43p-1, -0x1.3ee9c14f1a5c6p-1, -0x1.3ef65d7379c1bp-1, -0x1.3efde0eb6e1f9p-1, -0x1.3efe3077d33f9p-1, -0x1.3ef54dd04f047p-1, -0x1.3ee1643aba592p-1, -0x1.3ec0d1a4d785bp-1, -0x1.3e922ca479793p-1, -0x1.3e5447c3632bcp-1, -0x1.3e06327db6402p-1, -0x1.3da7385a6970ap-1, -0x1.3d36de835ca81p-1, -0x1.3cb4e03d80b2fp-1, -0x1.3c212a9909338p-1, -0x1.3b7bd7a6aa6c5p-1, -0x1.3ac5297250704p-1, -0x1.39fd84f6b71c8p-1, -0x1.39256d30c1e23p-1, -0x1.383d7e6e0691dp-1, -0x1.374669e8442f7p-1, -0x1.3640f1b782675p-1, -0x1.352de51e81c23p-1, -0x1.340e1d30abea3p-1, -0x1.32e279cdccebfp-1, -0x1.31abdeee16bcbp-1, -0x1.306b3238286a6p-1, -0x1.2f2158dab2783p-1, -0x1.2dcf35a3a37dcp-1, -0x1.2c75a74f6524ap-1, -0x1.2b15870b69028p-1, -0x1.29afa727fd895p-1, -0x1.2844d1f612174p-1, -0x1.26d5c8ce236d1p-1, -0x1.2563433dfc9bp-1, -0x1.23edee5b41bp-1, -0x1.22766c38fc4efp-1, -0x1.20fd537e68066p-1, -0x1.1f832f1d4f2fbp-1, -0x1.1e087e2634001p-1, -0x1.1c8db3b86c8f4p-1, -0x1.1b13370c3ff8dp-1, -0x1.19996394f035bp-1, -0x1.182089388aec5p-1, -0x1.16a8ec9b3ab21p-1, -0x1.1532c77bcf5cfp-1, -0x1.13be491f226cp-1, -0x1.124b96c80b825p-1, -0x1.10dacc399104ep-1, -0x1.0f6bfc41264ddp-1, -0x1.0dff3146d4577p-1, -0x1.0c946de14c474p-1, -0x1.0b2bad6c0a65ep-1, -0x1.09c4e49dd68c4p-1, -0x1.0860021e1519dp-1, -0x1.06fcef1791675p-1, -0x1.059b8fc78da14p-1, -0x1.043bc4081963ap-1, -0x1.02dd67d4d6b63p-1, -0x1.018053c980c79p-1, -0x1.00245d99ae7d6p-1, -0x1.fd92b102eb9cdp-2, -0x1.fade2b5d56258p-2, -0x1.f82ac9454983ap-2, -0x1.f5782718f3e45p-2, -0x1.f2c5df37aa393p-2, -0x1.f0138a99041e2p-2, -0x1.ed60c155e54eap-2, -0x1.eaad1b2408e1p-2, -0x1.e7f82fc4b4873p-2, -0x1.e54197675476fp-2, -0x1.e288eb00c33fbp-2, -0x1.dfcdc4980ee7p-2, -0x1.dd0fbf89917a9p-2, -0x1.da4e78c12d8fbp-2, -0x1.d7898eec83fe6p-2, -0x1.d4c0a2a5ee089p-2, -0x1.d1f356990328cp-2, -0x1.cf214fa161eep-2, -0x1.cc4a34e477b16p-2, -0x1.c96dafe6e345fp-2, -0x1.c68b6c9e11693p-2, -0x1.c3a3197ea7293p-2, -0x1.c0b467882d0c3p-2, -0x1.bdbf0a4e7d976p-2, -0x1.bac2b80157167p-2, -0x1.b7bf29726d702p-2, -0x1.b4b41a1a4d64cp-2, -0x1.b1a1481c54f19p-2, -0x1.ae867449f9249p-2, -0x1.ab6362258db78p-2, -0x1.a837d7e4b210ap-2, -0x1.a5039e728354bp-2, -0x1.a1c68171ad0c5p-2, -0x1.9e804f3e66dfap-2, -0x1.9b30d8f06a678p-2, -0x1.97d7f25ce7acfp-2, -0x1.947572187a89cp-2, -0x1.91093179181e5p-2, -0x1.8d930c97f7e2p-2, -0x1.8a12e25367967p-2, -0x1.8688945083f72p-2, -0x1.82f406fcc810fp-2, -0x1.7f55218f66815p-2, -0x1.7babce0a604c4p-2, -0x1.77f7f93b47412p-2, -0x1.743992bba4743p-2, -0x1.70708cf0eb7d7p-2, -0x1.6c9cdd0bf6171p-2, -0x1.68be7b07f845fp-2, -0x1.64d561a8dda84p-2, -0x1.60e18e790e27p-2, -0x1.5ce301c6839cap-2, -0x1.58d9be9f38cc6p-2, -0x1.54c5caccdc1cfp-2, -0x1.50a72ecfc6f7ap-2, -0x1.4c7df5d935d74p-2, -0x1.484a2dc4bf43bp-2, -0x1.440be71101dp-2, -0x1.3fc334d791056p-2, -0x1.3b702cc41b12fp-2, -0x1.3712e70acf9dap-2, -0x1.32ab7e5e050c1p-2, -0x1.2e3a0fe324aa7p-2, -0x1.29bebb26def7ap-2, -0x1.2539a210b38b1p-2, -0x1.20aae8d5d017fp-2, -0x1.1c12b5eb4931ap-2, -0x1.177131f7bfba1p-2, -0x1.12c687c473dc3p-2, -0x1.0e12e42dcecdep-2, -0x1.0956761371dd6p-2, -0x1.04916e47cdde6p-2, -0x1.ff87fefeaca14p-3, -0x1.f5dcbc7e97b37p-3, -0x1.ec21819878d72p-3, -0x1.e256be305df32p-3, -0x1.d87ce561295e3p-3, -0x1.ce946d57ff4f8p-3, -0x1.c49dcf2f64246p-3, -0x1.ba9986ca0e204p-3, -0x1.b08812ad8cf31p-3, -0x1.a669f3dcce10cp-3, -0x1.9c3fadb2a0282p-3, -0x1.9209c5bc33142p-3, -0x1.87c8c393b696fp-3, -0x1.7d7d30bb242ecp-3, -0x1.732798773f73fp-3, -0x1.68c887aae13bp-3, -0x1.5e608cb298098p-3, -0x1.53f03740b1371p-3, -0x1.49781839b0e35p-3, -0x1.3ef8c19147b46p-3, -0x1.3472c627d6336p-3, -0x1.29e6b9a8822cdp-3, -0x1.1f553067e199ap-3, -0x1.14bebf435abb4p-3, -0x1.0a23fb81228c3p-3, -0x1.ff0af561fcec7p-4, -0x1.e9c7a51b72f37p-4, -0x1.d47f31beb3ee5p-4, -0x1.bf32c6bc51a31p-4, -0x1.a9e38f2ce99a9p-4, -0x1.9492b59a656e8p-4, -0x1.7f4163cacc321p-4, -0x1.69f0c28cc173bp-4, -0x1.54a1f985b888cp-4, -0x1.3f562f01cb3eap-4, -0x1.2a0e87c547d2fp-4, -0x1.14cc26dfed66bp-4, -0x1.ff205b03b91b5p-5, -0x1.d4b775a464f49p-5, -0x1.aa5fd78eabf7fp-5, -0x1.801bb601d12f6p-5, -0x1.55ed4146ca1a8p-5, -0x1.2bd6a46abe4bep-5, -0x1.01da04fcb47d3p-5, -0x1.aff3059d0032p-6, -0x1.5c6e6f7195fcap-6, -0x1.092a6ec45da37p-6, -0x1.6c563c25a8b6dp-7, -0x1.8dd22a93e9e1ap-8, -0x1.10ab42d6e05a5p-10, 0x1.0439ce42e306cp-8, 0x1.25a6122cfa5a6p-7, 0x1.c87e6ef064fc2p-7, 0x1.354f38a7367d4p-6, 0x1.85ff55b6b402fp-6, 0x1.d64be71b25198p-6, 0x1.1318aa728a399p-5, 0x1.3ad60b7b8ace5p-5, 0x1.625c5a9b8b469p-5, 0x1.89a9e3dd9ef8p-5, 0x1.b0bcfb793819dp-5, 0x1.d793fde45979cp-5, 0x1.fe2d4fe3bf766p-5, 0x1.1243af4c8675p-4, 0x1.25504fc78f3fep-4, 0x1.383bc8624970fp-4, 0x1.4b055c5a43587p-4, 0x1.5dac532ed49b2p-4, 0x1.702ff8a3db6c1p-4, 0x1.828f9cc3b0849p-4, 0x1.94ca93e0620adp-4, 0x1.a6e0369430a66p-4, 0x1.b8cfe1c16574cp-4, 0x1.ca98f69181919p-4, 0x1.dc3ada73c327p-4, 0x1.edb4f71b25ac3p-4, 0x1.ff06ba7bc01d7p-4, 0x1.0817cb63d082cp-3, 0x1.10978135950d7p-3, 0x1.19023c047233ap-3, 0x1.2157bb3a748fcp-3, 0x1.2997c057ecf1cp-3, 0x1.31c20ef0b271ap-3, 0x1.39d66ca93420ep-3, 0x1.41d4a13360836p-3, 0x1.49bc764b57605p-3, 0x1.518db7b3f8639p-3, 0x1.5948333344e37p-3, 0x1.60ebb88e9f581p-3, 0x1.68781986e7a39p-3, 0x1.6fed29d4742b5p-3, 0x1.774abf22ec278p-3, 0x1.7e90b10d0870bp-3, 0x1.85bed91832e0cp-3, 0x1.8cd512b017a07p-3, 0x1.93d33b2211839p-3, 0x1.9ab931988a154p-3, 0x1.a186d71646491p-3, 0x1.a83c0e7197e8bp-3, 0x1.aed8bc4f87166p-3, 0x1.b55cc71ee8759p-3, 0x1.bbc817136621ap-3, 0x1.c21a962079b12p-3, 0x1.c8542ff45e4dbp-3, 0x1.ce74d1f2f053cp-3, 0x1.d47c6b308eb42p-3, 0x1.da6aec6ced62p-3, 0x1.e040480ddd328p-3, 0x1.e5fc721a11f9dp-3, 0x1.eb9f6033e4429p-3, 0x1.f129099408772p-3, 0x1.f6996704460adp-3, 0x1.fbf072da2a3cfp-3, 0x1.00971478dbabdp-2, 0x1.032943540915fp-2, 0x1.05aec56b17c7p-2, 0x1.08279ae5beb5cp-2, 0x1.0a93c4a44742bp-2, 0x1.0cf3443ce3856p-2, 0x1.0f461bf901861p-2, 0x1.118c4ed2a49f2p-2, 0x1.13c5e071b8b67p-2, 0x1.15f2d5296dd22p-2, 0x1.181331f58d145p-2, 0x1.1a26fc77d4cp-2, 0x1.1c2e3af5535d8p-2, 0x1.1e28f453c34edp-2, 0x1.20173016eb3a8p-2, 0x1.21f8f65dfb632p-2, 0x1.23ce4fe0f196bp-2, 0x1.259745edfc3d5p-2, 0x1.2753e266e07c1p-2, 0x1.29042fbe62fb5p-2, 0x1.2aa838f5b0accp-2, 0x1.2c400999cbf8p-2, 0x1.2dcbadc0fc89fp-2, 0x1.2f4b32083f955p-2, 0x1.30bea390bb979p-2, 0x1.32260ffd36c1ap-2, 0x1.3381856f9155ap-2, 0x1.34d112863f23dp-2, 0x1.3614c659c5dd7p-2, 0x1.374cb07a40af7p-2, 0x1.3878e0ece0c85p-2, 0x1.3999682975584p-2, 0x1.3aae5717f554p-2, 0x1.3bb7bf0e09a7cp-2, 0x1.3cb5b1cc9f54dp-2, 0x1.3da8417d76ec1p-2, 0x1.3e8f80b0b94f4p-2, 0x1.3f6b825a92298p-2, 0x1.403c59d0c9174p-2, 0x1.41021ac85fa35p-2, 0x1.41bcd95331e84p-2, 0x1.426ca9dd9ce98p-2, 0x1.4311a12c2329bp-2, 0x1.43abd459199c6p-2, 0x1.443b58d251f45p-2, 0x1.44c04456cff08p-2, 0x1.453aacf478102p-2, 0x1.45aaa905cc597p-2, 0x1.46104f2fa217cp-2, 0x1.466bb65ee4599p-2, 0x1.46bcf5c650b7dp-2, 0x1.470424dc40de1p-2, 0x1.47415b586deap-2, 0x1.4774b131c08cdp-2, 0x1.479e3e9c1cc5dp-2, 0x1.47be1c0635f8ep-2, 0x1.47d4621765a86p-2, 0x1.47e129ad8461bp-2, 0x1.47e48bdac942dp-2, 0x1.47dea1e3a7bddp-2, 0x1.47cf853cb7e9fp-2, 0x1.47b74f889f45dp-2, 0x1.47961a95fa5a7p-2, 0x1.476c005d50ecap-2, 0x1.47391aff09bdap-2, 0x1.46fd84c161604p-2, 0x1.46b9580e6816cp-2, 0x1.466caf720255p-2, 0x1.4617a597eef9ep-2, 0x1.45ba5549cc36fp-2, 0x1.4554d96d28c8fp-2, 0x1.44e74d0194bf2p-2, 0x1.4471cb1eb5c7fp-2, 0x1.43f46ef262f74p-2, 0x1.436f53bec24f5p-2, 0x1.42e294d86d52dp-2, 0x1.424e4da497ca2p-2, 0x1.41b299973cb0ap-2, 0x1.410f94314e368p-2, 0x1.406558feec5afp-2, 0x1.3fb40395a05d1p-2, 0x1.3efbaf9299ef5p-2, 0x1.3e3c7898f4c5bp-2, 0x1.3d767a500138bp-2, 0x1.3ca9d061929f3p-2, 0x1.3bd69678527f8p-2, 0x1.3afce83e18966p-2, 0x1.3a1ce15a4825bp-2, 0x1.39369d70336abp-2, 0x1.384a381d81478p-2, 0x1.3757ccf89c298p-2, 0x1.365f778f24e42p-2, 0x1.3561536467bf1p-2, 0x1.345d7befdc13p-2, 0x1.33540c9ba5a7ep-2, 0x1.324520c31d1d4p-2, 0x1.3130d3b15e0a2p-2, 0x1.3017409fd9121p-2, 0x1.2ef882b4ed744p-2, 0x1.2dd4b5028933bp-2, 0x1.2cabf284c93eep-2, 0x1.2b7e5620a6cap-2, 0x1.2a4bfaa2a74bap-2, 0x1.2914fabd8e3cep-2, 0x1.27d971091d5cp-2, 0x1.26997800d16bp-2, 0x1.25552a02ac904p-2, 0x1.240ca14e0209p-2, 0x1.22bff8024803cp-2, 0x1.216f481df1d67p-2, 0x1.201aab7d4f0abp-2, 0x1.1ec23bd96e5f7p-2, 0x1.1d6612c70b591p-2, 0x1.1c0649b57c417p-2, 0x1.1aa2f9edaab6cp-2, 0x1.193c3c91102f6p-2, 0x1.17d22a98b9169p-2, 0x1.1664dcd44da0fp-2, 0x1.14f46be92139fp-2, 0x1.1380f05145e5ep-2, 0x1.120a825aab147p-2, 0x1.10913a263a3f7p-2, 0x1.0f152fa7027dbp-2, 0x1.0d967aa163a5cp-2, 0x1.0c1532aa40ea1p-2, 0x1.0a916f263c41bp-2, 0x1.090b4748f5c55p-2, 0x1.0782d2144e217p-2, 0x1.05f82657b71acp-2, 0x1.046b5aaf7facep-2, 0x1.02dc85842f1d3p-2, 0x1.014bbd09e1cfbp-2, 0x1.ff722e7f53425p-3, 0x1.fc4953ddf6e4ep-3, 0x1.f91d155635027p-3, 0x1.f5ed9da11e5f8p-3, 0x1.f2bb170940e0fp-3, 0x1.ef85ab69abfa7p-3, 0x1.ec4d842cf5fe1p-3, 0x1.e912ca4c5a0d3p-3, 0x1.e5d5a64edb505p-3, 0x1.e29640486c948p-3, 0x1.df54bfd92fa97p-3, 0x1.dc114c2cb7622p-3, 0x1.d8cc0bf956c81p-3, 0x1.d585257f7bbcfp-3, 0x1.d23cbe89150cbp-3, 0x1.cef2fc6900694p-3, 0x1.cba803fa8679cp-3, 0x1.c85bf9a0dc305p-3, 0x1.c50f0146b6995p-3, 0x1.c1c13e5de14d8p-3, 0x1.be72d3dee4b9bp-3, 0x1.bb23e448ae28ep-3, 0x1.b7d491a04f8ep-3, 0x1.b484fd70b9258p-3, 0x1.b13548ca8ad6ep-3, 0x1.ade59443e4b4fp-3, 0x1.aa95fff846722p-3, 0x1.a746ab8876bf9p-3, 0x1.a3f7b61a76fc4p-3, 0x1.a0a93e5976e51p-3, 0x1.9d5b6275dc7ecp-3, 0x1.9a0e40254dc38p-3, 0x1.96c1f4a2c23ap-3, 0x1.93769caea6252p-3, 0x1.902c548ef86bcp-3, 0x1.8ce3380f7cbc1p-3, 0x1.899b6281ee901p-3, 0x1.8654eebe40827p-3, 0x1.830ff722dd662p-3, 0x1.7fcc9594fbd5fp-3, 0x1.7c8ae380e9da8p-3, 0x1.794af9da72f3p-3, 0x1.760cf11d3aae7p-3, 0x1.72d0e14d2a9fap-3, 0x1.6f96e1f6e0505p-3, 0x1.6c5f0a302beb3p-3, 0x1.6929709886fb4p-3, 0x1.65f62b599cc29p-3, 0x1.62c55027d7d87p-3, 0x1.5f96f442efc75p-3, 0x1.5c6b2c768138cp-3, 0x1.59420d1aae0c7p-3, 0x1.561baa14c0f37p-3, 0x1.52f816d7cf498p-3, 0x1.4fd7666572adfp-3, 0x1.4cb9ab4e71e63p-3, 0x1.499ef7b3809fp-3, 0x1.46875d45fba92p-3, 0x1.4372ed48a7d92p-3, 0x1.4061b8907efa7p-3, 0x1.3d53cf85793ddp-3, 0x1.3a4942235ccf4p-3, 0x1.37421ffa94767p-3, 0x1.343e783104741p-3, 0x1.313e5982ee538p-3, 0x1.2e41d243c86bbp-3, 0x1.2b48f05f2b5e2p-3, 0x1.2853c159b425ep-3, 0x1.25625251efd3bp-3, 0x1.2274b0014e53fp-3, 0x1.1f8ae6bd0e2adp-3, 0x1.1ca5027736433p-3, 0x1.19c30ebf8b581p-3, 0x1.16e516c48d488p-3, 0x1.140b25546c807p-3, 0x1.113544de12bc5p-3, 0x1.0e637f72213dcp-3, 0x1.0b95dec3f2857p-3, 0x1.08cc6c2aa3f79p-3, 0x1.060730a21dbdap-3, 0x1.034634cc19c75p-3, 0x1.008980f133972p-3, 0x1.fba23a03e5901p-4, 0x1.f63a212fb7762p-4, 0x1.f0dac5ed008a6p-4, 0x1.eb84361919b0fp-4, 0x1.e6367ee9c5bd6p-4, 0x1.e0f1acef4bc51p-4, 0x1.dbb5cc16a308ep-4, 0x1.d682e7aba5e84p-4, 0x1.d1590a5b317abp-4, 0x1.cc383e35614e8p-4, 0x1.c7208cafb286cp-4, 0x1.c211fea736cebp-4, 0x1.bd0c9c62c58a6p-4, 0x1.b8106d952d077p-4, 0x1.b31d795f63ae2p-4, 0x1.ae33c652b2289p-4, 0x1.a9535a72eb9d1p-4, 0x1.a47c3b389997ep-4, 0x1.9fae6d9329b72p-4, 0x1.9ae9f5eb27a7cp-4, 0x1.962ed8245a1bp-4, 0x1.917d179ffda42p-4, 0x1.8cd4b73eea7a5p-4, 0x1.8835b963c115fp-4, 0x1.83a01ff50fc59p-4, 0x1.7f13ec5f7f4b9p-4, 0x1.7a911f97f32bap-4, 0x1.7617ba1dada9cp-4, 0x1.71a7bbfc79107p-4, 0x1.6d4124cebc61fp-4, 0x1.68e3f3bf9cb39p-4, 0x1.6490278d19155p-4, 0x1.6045be8a1e8e9p-4, 0x1.5c04b6a0a1625p-4, 0x1.57cd0d53acd2dp-4, 0x1.539ebfc171aa8p-4, 0x1.4f79caa5532f7p-4, 0x1.4b5e2a59f00adp-4, 0x1.474bdadb285fep-4, 0x1.4342d7c81fd76p-4, 0x1.3f431c6539553p-4, 0x1.3b4ca39e16e72p-4, 0x1.375f68078e176p-4, 0x1.337b63e19b8adp-4, 0x1.2fa091195536cp-4, 0x1.2bcee94ad1819p-4, 0x1.280665c314b9p-4, 0x1.2446ff81f01aep-4, 0x1.2090af3be49p-4, 0x1.1ce36d5bfb05bp-4, 0x1.193f32059eb71p-4, 0x1.15a3f5166d14bp-4, 0x1.1211ae28049e7p-4, 0x1.0e885491d2afp-4, 0x1.0b07df6acdc04p-4, 0x1.0790458b43bdfp-4, 0x1.04217d8e8ed63p-4, 0x1.00bb7dd4c9956p-4, 0x1.fabc790914186p-5, 0x1.f4135f190e492p-5, 0x1.ed7b994a8ffc5p-5, 0x1.e6f512a58961p-5, 0x1.e07fb5cc0a3bap-5, 0x1.da1b6cfd7ed81p-5, 0x1.d3c82219d5c2p-5, 0x1.cd85bea4992d9p-5, 0x1.c7542bc81347fp-5, 0x1.c13352585661ep-5, 0x1.bb231ad63e117p-5, 0x1.b5236d726a57ep-5, 0x1.af3432102d693p-5, 0x1.a95550486e8b4p-5, 0x1.a386af6c8eb76p-5, 0x1.9dc8368928fe8p-5, 0x1.9819cc68ec9c6p-5, 0x1.927b5797456f2p-5, 0x1.8cecbe631cb5p-5, 0x1.876de6e17c3d1p-5, 0x1.81feb6f02e123p-5, 0x1.7c9f143846b05p-5, 0x1.774ee430beb48p-5, 0x1.720e0c20e95e4p-5, 0x1.6cdc7122e7315p-5, 0x1.67b9f82617e42p-5, 0x1.62a685f17b1p-5, 0x1.5da1ff2603295p-5, 0x1.58ac4840e6005p-5, 0x1.53c5459de03dfp-5, 0x1.4eecdb796b819p-5, 0x1.4a22edf2fa7a2p-5, 0x1.4567610f05d95p-5, 0x1.40ba18b9486d2p-5, 0x1.3c1af8c6b371ap-5, 0x1.3789e4f78c684p-5, 0x1.3306c0f9621e4p-5, 0x1.2e9170690645dp-5, 0x1.2a29d6d47794fp-5, 0x1.25cfd7bcc046ep-5, 0x1.21835697d76ebp-5, 0x1.1d4436d268f4cp-5, 0x1.19125bd1a226cp-5, 0x1.14eda8f4ee18ep-5, 0x1.10d60197a55bep-5, 0x1.0ccb4912be0dap-5, 0x1.08cd62be6943ap-5, 0x1.04dc31f3b01bcp-5, 0x1.00f79a0e01514p-5, 0x1.fa3efcd978b7bp-6, 0x1.f2a784e9580a5p-6, 0x1.eb289322fdc35p-6, 0x1.e3c1ee6e6bdf9p-6, 0x1.dc735dc712b9ap-6, 0x1.d53ca83e813ecp-6, 0x1.ce1d94ff1e49bp-6, 0x1.c715eb4eb65c1p-6, 0x1.c025729100e6cp-6, 0x1.b94bf24a26fa1p-6, 0x1.b289322119683p-6, 0x1.abdcf9e2030d4p-6, 0x1.a547118071e88p-6, 0x1.9ec74119af5b5p-6, 0x1.985d50f6cf38cp-6, 0x1.9209098edd17ep-6, 0x1.8bca3388f3d5p-6, 0x1.85a097be12ee1p-6, 0x1.7f8bff3b3988bp-6, 0x1.798c3343335cap-6, 0x1.73a0fd506e0fcp-6, 0x1.6dca2716ba29dp-6, 0x1.68077a8510f59p-6, 0x1.6258c1c72f749p-6, 0x1.5cbdc7473911p-6, 0x1.573655af4cf0ap-6, 0x1.51c237eaf493dp-6, 0x1.4c613928b21edp-6, 0x1.471324db5e15bp-6, 0x1.41d7c6bb83af5p-6, 0x1.3caeeac8adad7p-6, 0x1.37985d4abc5bp-6, 0x1.3293ead2f6939p-6, 0x1.2da1603d6dd48p-6, 0x1.28c08ab1e890cp-6, 0x1.23f137a51938ap-6, 0x1.1f3334d9a8382p-6, 0x1.1a8650612a414p-6, 0x1.15ea589d0883bp-6, 0x1.115f1c3f888ebp-6, 0x1.0ce46a4c94de4p-6, 0x1.087a121aa0258p-6, 0x1.041fe3535dac4p-6, 0x1.ffab5be9358p-7, 0x1.f73684a1dbd66p-7, 0x1.eee0e220a2226p-7, 0x1.e6aa1661ea7aap-7, 0x1.de91c40f369a9p-7, 0x1.d6978e80d0e8dp-7, 0x1.cebb19be99f19p-7, 0x1.c6fc0a80f63f2p-7, 0x1.bf5a06321d4e8p-7, 0x1.b7d4b2ee7d7bdp-7, 0x1.b06bb785f8ab4p-7, 0x1.a91ebb7c520f1p-7, 0x1.a1ed670a1a98ap-7, 0x1.9ad7631d28986p-7, 0x1.93dc595944d95p-7, 0x1.8cfbf418a241dp-7, 0x1.8635de6c4fd28p-7, 0x1.7f89c41c92b9p-7, 0x1.78f751a954165p-7, 0x1.727e344a675d3p-7, 0x1.6c1e19efac18fp-7, 0x1.65d6b14189c71p-7, 0x1.5fa7a9a0a53f9p-7, 0x1.5990b326514c8p-7, 0x1.53917ea46e4adp-7, 0x1.4da9bda57b0e5p-7, 0x1.47d9226c7b8c2p-7, 0x1.421f5ff4fbcf5p-7, 0x1.3c7c29f2c1b93p-7, 0x1.36ef34d1c6639p-7, 0x1.317835b5f5cfdp-7, 0x1.2c16e27ad8e93p-7, 0x1.26caf1b375265p-7, 0x1.21941aa9aea0bp-7, 0x1.1c72155e4839p-7, 0x1.17649a883d3ccp-7, 0x1.126b639450635p-7, 0x1.0d862aa4a4c8ep-7, 0x1.08b4aa9038832p-7, 0x1.03f69ee2754e5p-7, 0x1.fe9787b4bf1d7p-8, 0x1.f567acd48136p-8, 0x1.ec5d286dafb3dp-8, 0x1.e377772d7d146p-8, 0x1.dab61723ae2a6p-8, 0x1.d21887c0cba6cp-8, 0x1.c99e49d4d3243p-8, 0x1.c146df8e1463ep-8, 0x1.b911cc76cc87dp-8, 0x1.b0fe957451477p-8, 0x1.a90cc0c4fe12fp-8, 0x1.a13bd5fea028cp-8, 0x1.998b5e0c99339p-8, 0x1.91fae32e73e86p-8, 0x1.8a89f0f58b132p-8, 0x1.833814439bf44p-8, 0x1.7c04db48910cbp-8, 0x1.74efd580dd983p-8, 0x1.6df893b33805fp-8, 0x1.671ea7eefe74bp-8, 0x1.6061a589bbf8dp-8, 0x1.59c1211d90307p-8, 0x1.533cb086b0512p-8, 0x1.4cd3eae1873d8p-8, 0x1.46866888b2b3dp-8, 0x1.4053c3125cab3p-8, 0x1.3a3b954eaf029p-8, 0x1.343d7b452ae56p-8, 0x1.2e5912328673bp-8, 0x1.288df886c586bp-8, 0x1.22dbcde244cdap-8, 0x1.1d42331449a29p-8, 0x1.17c0ca17e5777p-8, 0x1.12573612642bdp-8, 0x1.0d051b5062fc6p-8, 0x1.07ca1f43dc54cp-8, 0x1.02a5e88191c7dp-8, 0x1.fb303d7dadb89p-9, 0x1.f140d59e468aap-9, 0x1.e77ced433dd43p-9, 0x1.dde3da7da2392p-9, 0x1.d474f58cd51aep-9, 0x1.cb2f98d8c4daap-9, 0x1.c21320ee4268bp-9, 0x1.b91eec792c537p-9, 0x1.b0525c40448dp-9, 0x1.a7acd32012ff4p-9, 0x1.9f2db60622329p-9, 0x1.96d46beb9e53cp-9, 0x1.8ea05dd1dc4e6p-9, 0x1.8690f6bb947a1p-9, 0x1.7ea5a3a9bac52p-9, 0x1.76ddd3957207cp-9, 0x1.6f38f76c0811cp-9, 0x1.67b6820949d13p-9, 0x1.6055e8338bc31p-9, 0x1.5916a096152e7p-9, 0x1.51f823bcd544p-9, 0x1.4af9ec0ef4a14p-9, 0x1.441b75caa6058p-9, 0x1.3d5c3f001ae9bp-9, 0x1.36bbc78c420cdp-9, 0x1.30399114c2617p-9, 0x1.29d51f02e3d36p-9, 0x1.238df67e6608cp-9, 0x1.1d639e698f042p-9, 0x1.17559f5b8f9e3p-9, 0x1.1163839cc6823p-9, 0x1.0b8cd720bc831p-9, 0x1.05d127831a9bfp-9, 0x1.003004019ef3dp-9, 0x1.f551faf063601p-10, 0x1.ea774cb82a714p-10, 0x1.dfcf256ec3d6fp-10, 0x1.d558b0488e876p-10, 0x1.cb131b9152a84p-10, 0x1.c0fd98a3088b4p-10, 0x1.b7175bdcff5efp-10, 0x1.ad5f9c9adc76bp-10, 0x1.a3d5952bc55c4p-10, 0x1.9a7882c938d05p-10, 0x1.9147a58e73676p-10, 0x1.8842406fe50aap-10, 0x1.7f67993222bd6p-10, 0x1.76b6f861651fep-10, 0x1.6e2fa949003p-10, 0x1.65d0f9eaca26fp-10, 0x1.5d9a3af75f044p-10, 0x1.558abfc3c2ce7p-10, 0x1.4da1de435215ep-10, 0x1.45deeefe26fd6p-10, 0x1.3e414d091a579p-10, 0x1.36c855fd74d3ap-10, 0x1.2f7369f16e344p-10, 0x1.2841eb6f7da8ap-10, 0x1.21333f6e9215p-10, 0x1.1a46cd4a60dfcp-10, 0x1.137bfebb4d292p-10, 0x1.0cd23fce28bb6p-10, 0x1.0648fedd8dae8p-10, 0x1.ffbf59122e38ap-11, 0x1.f32b775d908dap-11, 0x1.e6d542c54665fp-11, 0x1.dabba9cf867eap-11, 0x1.cedd9f50f70e8p-11, 0x1.c33a1a5f55cadp-11, 0x1.b7d016419db61p-11, 0x1.ac9e926219661p-11, 0x1.a1a4924041b99p-11, 0x1.96e11d619fad3p-11, 0x1.8c533f46323bap-11, 0x1.81fa0757cbfcbp-11, 0x1.77d488ddc63aap-11, 0x1.6de1daee83c81p-11, 0x1.6421186362aeap-11, 0x1.5a915fca251fdp-11, 0x1.5131d3573ae68p-11, 0x1.480198da8f161p-11, 0x1.3effd9b13656p-11, 0x1.362bc2b8f0a6bp-11, 0x1.2d84844300e99p-11, 0x1.2509520892881p-11, 0x1.1cb9631d6ddbp-11, 0x1.1493f1e3f147cp-11, 0x1.0c983c0158f42p-11, 0x1.04c5825093612p-11, 0x1.fa3611afd95bep-12, 0x1.eb302d779e50ap-12, 0x1.dc77ec685e91bp-12, 0x1.ce0be9008d541p-12, 0x1.bfeac3b73e611p-12, 0x1.b21322e5ecb1p-12, 0x1.a483b2b10c12ap-12, 0x1.973b24f28e467p-12, 0x1.8a383123d37aap-12, 0x1.7d799449e599ap-12, 0x1.70fe10de934ddp-12, 0x1.64c46ebb2d67cp-12, 0x1.58cb7b03d1aecp-12, 0x1.4d1208150910ap-12, 0x1.4196ed6ccac79p-12, 0x1.36590797dcd75p-12, 0x1.2b57381d2e2d1p-12, 0x1.2090656bb0b5ep-12, 0x1.16037ac5b5bfp-12, 0x1.0baf682f221e8p-12, 0x1.01932259002b9p-12, 0x1.ef5b452190d9p-13, 0x1.dbfbcd56f1383p-13, 0x1.c905e1ee69587p-13, 0x1.b6779049dd804p-13, 0x1.a44eee73e3549p-13, 0x1.928a1afcf9546p-13, 0x1.81273cd3dd07dp-13, 0x1.7024832829fd8p-13, 0x1.5f802547a7ca5p-13, 0x1.4f38627dc1fb6p-13, 0x1.3f4b81f0c078p-13, 0x1.2fb7d283c2906p-13, 0x1.207baab44b247p-13, 0x1.1195687ea67dbp-13, 0x1.0303713d2981fp-13, 0x1.e988630fa45acp-14, 0x1.cdac3a341b364p-14, 0x1.b26f5d61083e4p-14, 0x1.97cecfdfea8a5p-14, 0x1.7dc7a288919d4p-14, 0x1.6456f3911fc15p-14, 0x1.4b79ee4dea695p-14, 0x1.332dcafd94922p-14, 0x1.1b6fce93cd48ep-14, 0x1.043d4a80502fp-14, 0x1.db2738f4dcf74p-15, 0x1.aee05ca1acdf9p-15, 0x1.83a0eb5d5ff99p-15, 0x1.5963e7db7832fp-15, 0x1.30246bcba7967p-15, 0x1.07dda76aeb0bbp-15, 0x1.c115c24ec3358p-16, 0x1.744eea8854564p-16, 0x1.295daaf99122dp-16, 0x1.c072227709c6bp-17, 0x1.31b0a8c68a51ep-17, 0x1.4ccb5116cd5ddp-18, 0x1.e803183c80dd4p-21, -0x1.984177652268ep-19, -0x1.ceb8b332772d6p-18, -0x1.6573c9cc110e7p-17, -0x1.e0666bc45bdc9p-17, -0x1.2c21d9ae8b0ep-16, -0x1.668d661877a24p-16, -0x1.9f7d4d7c5ef1ep-16, -0x1.d6f8df5e822f2p-16, -0x1.0683a47f88c8fp-15, -0x1.20d7caffb53ccp-15, -0x1.3a7c5877fb4e8p-15, -0x1.5374b1f192192p-15, -0x1.6bc42c83a7defp-15, -0x1.836e0d9902ecbp-15, -0x1.9a758b34220f7p-15, -0x1.b0ddcc39b704fp-15, -0x1.c6a9e8b1ac81ep-15, -0x1.dbdcea0927574p-15, -0x1.f079cb5bd9734p-15, -0x1.0241bcd7e292ep-14, -0x1.0bfe6a1afa4ep-14, -0x1.15745645b5aecp-14, -0x1.1ea4e37a42577p-14, -0x1.27916d4de8756p-14, -0x1.303b48e7709c4p-14, -0x1.38a3c51bdb45fp-14, -0x1.40cc2a8c558c6p-14, -0x1.48b5bbc3940d2p-14, -0x1.5061b550cf9cfp-14, -0x1.57d14de293af2p-14, -0x1.5f05b6640c408p-14, -0x1.66001a16c015ap-14, -0x1.6cc19ead8d6ebp-14, -0x1.734b6464da1e3p-14, -0x1.799e861dcfd3ep-14, -0x1.7fbc1977c2c56p-14, -0x1.85a52ee72798dp-14, -0x1.8b5ad1ce5451cp-14, -0x1.90de089631c01p-14, -0x1.962fd4c56fed6p-14, -0x1.9b513316b94bcp-14, -0x1.a0431b8f64e4ep-14, -0x1.a506819607358p-14, -0x1.a99c54090fd31p-14, -0x1.ae057d52e6d68p-14, -0x1.b242e37f46c9ap-14, -0x1.b65568512231ap-14, -0x1.ba3de95555fc3p-14, -0x1.bdfd3ff81fe36p-14, -0x1.c19441980518fp-14, -0x1.c503bf99f2642p-14, -0x1.c84c877ad5889p-14, -0x1.cb6f62e35fb7ap-14, -0x1.ce6d17b99d2ap-14, -0x1.d1466833b7c3p-14, -0x1.d3fc12e863a07p-14, -0x1.d68ed2e257afbp-14, -0x1.d8ff5fb04525cp-14, -0x1.db4e6d74bb256p-14, -0x1.dd7cacf7b8f19p-14, -0x1.df8acbb63ce93p-14, -0x1.e17973f2ca4eap-14, -0x1.e3494cc4785d1p-14, -0x1.e4fafa269514ap-14, -0x1.e68f1d067adc1p-14, -0x1.e80653542117cp-14, -0x1.e961380f7ae5fp-14, -0x1.eaa06357ba714p-14, -0x1.ebc46a77bc7bbp-14, -0x1.eccddff48e8a3p-14, -0x1.edbd539b01df2p-14, -0x1.ee93528d0dd0fp-14, -0x1.ef50674dab374p-14, -0x1.eff519cf69p-14, -0x1.f081ef7f409a4p-14, -0x1.f0f76b50cb758p-14, -0x1.f1560dcc18a33p-14, -0x1.f19e55171e5fp-14, -0x1.f1d0bd03c3ee2p-14, -0x1.f1edbf19141aep-14, -0x1.f1f5d29fdb2f9p-14, -0x1.f1e96cac94cbep-14, -0x1.f1c9002add08ap-14, -0x1.f194fde7a0f41p-14, -0x1.f14dd49bc5f35p-14, -0x1.f0f3f0f5fe5e9p-14, -0x1.f087bda48de73p-14, -0x1.f009a35f6d77ep-14, -0x1.ef7a08f196e84p-14, -0x1.eed95342f8393p-14, -0x1.ee27e5613f61bp-14, -0x1.ed662088ad505p-14, -0x1.ec94642dd14f2p-14, -0x1.ebb30e04bf7dep-14, -0x1.eac27a0b07a87p-14, -0x1.e9c3028f3b044p-14, -0x1.e8b5003903d81p-14, -0x1.e798ca1221ec4p-14, -0x1.e66eb58d73fb8p-14, -0x1.e537168f4e67bp-14, -0x1.e3f23f7425304p-14, -0x1.e2a08118e4745p-14, -0x1.e1422ae1f9e38p-14, -0x1.dfd78ac1c1747p-14, -0x1.de60ed40ea833p-14, -0x1.dcde9d841ac55p-14, -0x1.db50e5537407p-14, -0x1.d9b80d20745edp-14, -0x1.d8145c0d153c6p-14, -0x1.d66617f1e3748p-14, -0x1.d4ad856440bbep-14, -0x1.d2eae7bc08686p-14, -0x1.d11e811ae9f25p-14, -0x1.cf4892705d5cfp-14, -0x1.cd695b813e921p-14, -0x1.cb811aeb35476p-14, -0x1.c9900e2ce7ac2p-14, -0x1.c79671a937126p-14, -0x1.c59480ada009ep-14, -0x1.c38a75768373ep-14, -0x1.c1788935ae3f8p-14, -0x1.bf5ef415e1bc4p-14, -0x1.bd3ded40f2daep-14, -0x1.bb15aae38df28p-14, -0x1.b8e6623293732p-14, -0x1.b6b0476f1383p-14, -0x1.b4738deb96e05p-14, -0x1.b230680fd43cfp-14, -0x1.afe7075d79393p-14, -0x1.ad979c744bd5dp-14, -0x1.ab425715fe6f9p-14, -0x1.a8e7662b08f09p-14, -0x1.a686f7c5af6e9p-14, -0x1.a4213926b754fp-14, -0x1.a1b656c08626dp-14, -0x1.9f467c3b8ec81p-14, -0x1.9cd1d479b429ep-14, -0x1.9a588999b8eefp-14, -0x1.97dac4fb0d75bp-14, -0x1.9558af411ff63p-14, -0x1.92d27056f64e5p-14, -0x1.90482f7220fd7p-14, -0x1.8dba1316721f6p-14, -0x1.8b2841185f63ep-14, -0x1.8892dea10a76cp-14, -0x1.85fa1030c2abap-14, -0x1.835df9a2a5ff1p-14, -0x1.80bebe2eaf77ap-14, -0x1.7e1c806d77512p-14, -0x1.7b776259d4611p-14, -0x1.78cf8554ff83fp-14, -0x1.76250a28973p-14, -0x1.73781109756fcp-14, -0x1.70c8b999dc877p-14, -0x1.6e1722ec5c118p-14, -0x1.6b636b86633dcp-14, -0x1.68adb16291da1p-14, -0x1.65f611f32f019p-14, -0x1.633caa24628bdp-14, -0x1.6081965ecf674p-14, -0x1.5dc4f2891c7e1p-14, -0x1.5b06da0b12bfbp-14, -0x1.584767cf162bdp-14, -0x1.5586b64514a8ep-14, -0x1.52c4df6320c3p-14, -0x1.5001fca93b62ap-14, -0x1.4d3e272200bd1p-14, -0x1.4a797765fa3f6p-14, -0x1.47b4059ba98c1p-14, -0x1.44ede97b3081ep-14, -0x1.42273a4e9a8d7p-14, -0x1.3f600ef4e3761p-14, -0x1.3c987de35a6dbp-14, -0x1.39d09d27ab0b6p-14, -0x1.3708826881674p-14, -0x1.344042e8707a7p-14, -0x1.3177f38706762p-14, -0x1.2eafa8c23cfaap-14, -0x1.2be776b81eceap-14, -0x1.291f712878661p-14, -0x1.2657ab76f2dfbp-14, -0x1.239038ab7df1dp-14, -0x1.20c92b7419d73p-14, -0x1.1e0296265e66ep-14, -0x1.1b3c8ac15088cp-14, -0x1.18771aedf057cp-14, -0x1.15b25801019dfp-14, -0x1.12ee52fc26a7ep-14, -0x1.102b1c8fa5b0fp-14, -0x1.0d68c51b27d74p-14, -0x1.0aa75caf844b2p-14, -0x1.07e6f30f5491dp-14, -0x1.052797b057c3ap-14, -0x1.026959bc9e202p-14, -0x1.ff58902860ca9p-15, -0x1.f9e0e29b367aap-15, -0x1.f46bc76e99175p-15, -0x1.eef95ab12561p-15, -0x1.e989b7e4f54d9p-15, -0x1.e41cfa032d0a1p-15, -0x1.deb33b7c05118p-15, -0x1.d94c963acad56p-15, -0x1.d3e923a5a09c1p-15, -0x1.ce88fca232aabp-15, -0x1.c92c3994f798ap-15, -0x1.c3d2f2656f4cfp-15, -0x1.be7d3e7da3cf8p-15, -0x1.b92b34ce51effp-15, -0x1.b3dcebcdd1b02p-15, -0x1.ae92797cb4bb5p-15, -0x1.a94bf3669986fp-15, -0x1.a4096ea35ea65p-15, -0x1.9ecaffd898689p-15, -0x1.9990bb3bdd32bp-15, -0x1.945ab4946095fp-15, -0x1.8f28ff3bac802p-15, -0x1.89fbae204f94ep-15, -0x1.84d2d3c62765ap-15, -0x1.7fae824a036dap-15, -0x1.7a8ecb604b8ddp-15, -0x1.7573c0589fcacp-15, -0x1.705d721de14e3p-15, -0x1.6b4bf138b7ae1p-15, -0x1.663f4dd01ae98p-15, -0x1.613797ab89c8cp-15, -0x1.5c34de32e7fedp-15, -0x1.57373071a5edcp-15, -0x1.523e9d166637ap-15, -0x1.4d4b327622a12p-15, -0x1.485cfe8b066ebp-15, -0x1.43740ef7c1c1p-15, -0x1.3e907107228a1p-15, -0x1.39b231ae9ae87p-15, -0x1.34d95d8eae523p-15, -0x1.300600f4eeab2p-15, -0x1.2b3827db5adbep-15, -0x1.266fddeb94473p-15, -0x1.21ad2e7ee48d2p-15, -0x1.1cf0249f4264cp-15, -0x1.1838cb085169ep-15, -0x1.13872c2954643p-15, -0x1.0edb5224f5132p-15, -0x1.0a3546d394d9fp-15, -0x1.059513c33387ap-15, -0x1.00fac23996f09p-15, -0x1.f8ccb667340fep-16, -0x1.efafced03de98p-16, -0x1.e69ede8e6ff4ep-16, -0x1.dd99f5f8d9f3fp-16, -0x1.d4a124dcbdb3bp-16, -0x1.cbb47a84104c6p-16, -0x1.c2d405b16c808p-16, -0x1.b9ffd4a5f2945p-16, -0x1.b137f521146cp-16, -0x1.a87c7463ba6e1p-16, -0x1.9fcd5f2fcbe59p-16, -0x1.972ac1cc546acp-16, -0x1.8e94a805c62dfp-16, -0x1.860b1d30a230fp-16, -0x1.7d8e2c2aaf90fp-16, -0x1.751ddf5ad1bb4p-16, }}, 
      {{-0x1.3ea494ea5d681p-1, -0x1.3ea749427744p-1, -0x1.3eab97450d3c2p-1, -0x1.3eb1357d0bcd5p-1, -0x1.3eb7c47cfea1ep-1, -0x1.3ebed42b021bp-1, -0x1.3ec5e8e194708p-1, -0x1.3ecc801bfc1bdp-1, -0x1.3ed2148f5fdfep-1, -0x1.3ed621a93799dp-1, -0x1.3ed8267741ebp-1, -0x1.3ed7a8022d46dp-1, -0x1.3ed4332628226p-1, -0x1.3ecd5df54c36ap-1, -0x1.3ec2c8b04f862p-1, -0x1.3eb41e6220fd4p-1, -0x1.3ea1152b2e445p-1, -0x1.3e896e48edd4bp-1, -0x1.3e6cf5e5d4b6ep-1, -0x1.3e4b82bd2778fp-1, -0x1.3e24f59d15f4cp-1, -0x1.3df938d06ccdbp-1, -0x1.3dc83f77dd41fp-1, -0x1.3d9204d9940b9p-1, -0x1.3d568bac96c6dp-1, -0x1.3d15dd64355b6p-1, -0x1.3cd0097ed5acbp-1, -0x1.3c8524da7c3d5p-1, -0x1.3c354910b6387p-1, -0x1.3be093daf0b98p-1, -0x1.3b87267fd5458p-1, -0x1.3b292549e6d5fp-1, -0x1.3ac6b7075fadp-1, -0x1.3a600493203bdp-1, -0x1.39f53866699cfp-1, -0x1.39867e330a235p-1, -0x1.391402859e17dp-1, -0x1.389df26f87a01p-1, -0x1.38247b3840ca6p-1, -0x1.37a7ca15ae76ep-1, -0x1.37280beb25d48p-1, -0x1.36a56d0ed233dp-1, -0x1.3620191536cbep-1, -0x1.35983aa2828ep-1, -0x1.350dfb4175292p-1, -0x1.3481833f90a1ap-1, -0x1.33f2f98e56d56p-1, -0x1.336283a94f6b2p-1, -0x1.32d0458094338p-1, -0x1.323c61679f5ffp-1, -0x1.31a6f8081488bp-1, -0x1.3110285842f95p-1, -0x1.30780f9517992p-1, -0x1.2fdec93f35a67p-1, -0x1.2f446f1af726ep-1, -0x1.2ea91933053a8p-1, -0x1.2e0cdddd4c81bp-1, -0x1.2d6fd1c203b1ap-1, -0x1.2cd207e488882p-1, -0x1.2c3391add00c5p-1, -0x1.2b947ef831d14p-1, -0x1.2af4de1c542b7p-1, -0x1.2a54bbff0309bp-1, -0x1.29b4241fc3b33p-1, -0x1.291320a7f3f0bp-1, -0x1.2871ba7a4b108p-1, -0x1.27cff9429a78bp-1, -0x1.272de385a5bfcp-1, -0x1.268b7eb0f903cp-1, -0x1.25e8cf2a9eedap-1, -0x1.2545d860a063fp-1, -0x1.24a29cd839e99p-1, -0x1.23ff1e3cb5ba6p-1, -0x1.235b5d6ddb78cp-1, -0x1.22b75a8deaa62p-1, -0x1.2213150f17c36p-1, -0x1.216e8bc083bdbp-1, -0x1.20c9bcdaaa5b9p-1, -0x1.2024a60b453f6p-1, -0x1.1f7f44809edfdp-1, -0x1.1ed994f45b681p-1, -0x1.1e3393b5b3501p-1, -0x1.1d8d3cb324bdbp-1, -0x1.1ce68b83a0131p-1, -0x1.1c3f7b6f308c3p-1, -0x1.1b98077727bc8p-1, -0x1.1af02a5dd052fp-1, -0x1.1a47deadae136p-1, -0x1.199f1ec04de27p-1, -0x1.18f5e4c4b038bp-1, -0x1.184c2ac54edefp-1, -0x1.17a1eaadc5a59p-1, -0x1.16f71e50263a4p-1, -0x1.164bbf69f5917p-1, -0x1.159fc7a8e1678p-1, -0x1.14f330af2a54fp-1, -0x1.1445f417cbe9ap-1, -0x1.13980b7a68878p-1, -0x1.12e9706ef73a3p-1, -0x1.123a1c913f6aep-1, -0x1.118a09841e0bep-1, -0x1.10d930f4a1336p-1, -0x1.10278c9cf1cc3p-1, -0x1.0f75164719a5ep-1, -0x1.0ec1c7cfa066bp-1, -0x1.0e0d9b280514ep-1, -0x1.0d588a59182ebp-1, -0x1.0ca28f853292ep-1, -0x1.0beba4ea515cdp-1, -0x1.0b33c4e414492p-1, -0x1.0a7ae9eda1ef9p-1, -0x1.09c10ea3707f5p-1, -0x1.09062dc4f8b6cp-1, -0x1.084a42364e06ep-1, -0x1.078d4701a2437p-1, -0x1.06cf3758b2745p-1, -0x1.06100e961d006p-1, -0x1.054fc83ea4ef6p-1, -0x1.048e60025ef5bp-1, -0x1.03cbd1bdcb5e6p-1, -0x1.0308197adbba9p-1, -0x1.02433371e64f8p-1, -0x1.017d1c0a84a19p-1, -0x1.00b5cfdc609f5p-1, -0x1.ffda975fdf181p-2, -0x1.fe4718fe3240ap-2, -0x1.fcb11eeb9cc86p-2, -0x1.fb18a3e51a5efp-2, -0x1.f97da30da88b8p-2, -0x1.f7e017ef066dap-2, -0x1.f63ffe7a5858dp-2, -0x1.f49d5308a841p-2, -0x1.f2f8125b4135p-2, -0x1.f150399bf1573p-2, -0x1.efa5c65d28362p-2, -0x1.edf8b699f5eb6p-2, -0x1.ec4908b5ed336p-2, -0x1.ea96bb7ce9d04p-2, -0x1.e8e1ce22b57fap-2, -0x1.e72a404295307p-2, -0x1.e57011deb9a31p-2, -0x1.e3b3435f94c3fp-2, -0x1.e1f3d59317b7ap-2, -0x1.e031c9abd6831p-2, -0x1.de6d214014d59p-2, -0x1.dca5de48bbf3ap-2, -0x1.dadc03203bf64p-2, -0x1.d90f9281569c7p-2, -0x1.d7408f85d5e0fp-2, -0x1.d56efda5340d3p-2, -0x1.d39ae0b32b9b5p-2, -0x1.d1c43cde3ba9p-2, -0x1.cfeb16ae19106p-2, -0x1.ce0f730213a0ep-2, -0x1.cc31570f68dfcp-2, -0x1.ca50c85f8f4dbp-2, -0x1.c86dccce7329ep-2, -0x1.c6886a88a521bp-2, -0x1.c4a0a809865cdp-2, -0x1.c2b68c1962817p-2, -0x1.c0ca1dcb88d73p-2, -0x1.bedb647c59fa9p-2, -0x1.bcea67cf4f682p-2, -0x1.baf72facfff3dp-2, -0x1.b901c4411b03cp-2, -0x1.b70a2df8635a3p-2, -0x1.b510757ea65b3p-2, -0x1.b314a3bcad9a4p-2, -0x1.b116c1d6322a7p-2, -0x1.af16d927ce2c6p-2, -0x1.ad14f344ea668p-2, -0x1.ab1119f5b1249p-2, -0x1.a90b5734ff552p-2, -0x1.a703b52e55a68p-2, -0x1.a4fa3e3bcf5bap-2, -0x1.a2eefce4167d8p-2, -0x1.a0e1fbd86148ep-2, -0x1.9ed345f26cf83p-2, -0x1.9cc2e63281ca9p-2, -0x1.9ab0e7bd76996p-2, -0x1.989d55dabcc9ap-2, -0x1.96883bf26fc1dp-2, -0x1.9471a58b6a882p-2, -0x1.92599e4962371p-2, -0x1.904031eb085c9p-2, -0x1.8e256c4832a0ap-2, -0x1.8c09595007b2ap-2, -0x1.89ec050735e39p-2, -0x1.87cd7b8630599p-2, -0x1.85adc8f771fabp-2, -0x1.838cf995c923ap-2, -0x1.816b19aaaa681p-2, -0x1.7f48358c8c8eep-2, -0x1.7d24599d4a46cp-2, -0x1.7aff92488fba2p-2, -0x1.78d9ec0249752p-2, -0x1.76b3734524e33p-2, -0x1.748c3491105bep-2, -0x1.72643c69ca24p-2, -0x1.703b975572122p-2, -0x1.6e1251db29b66p-2, -0x1.6be87881b797p-2, -0x1.69be17ce36bc9p-2, -0x1.67933c42cbf69p-2, -0x1.6567f25d63ebap-2, -0x1.633c46967d092p-2, -0x1.6110455ff487ep-2, -0x1.5ee3fb23de6ecp-2, -0x1.5cb7744367b37p-2, -0x1.5a8abd15bb6ecp-2, -0x1.585de1e6f5b3dp-2, -0x1.5630eef71a5c3p-2, -0x1.5403f07916627p-2, -0x1.51d6f291c7d4fp-2, -0x1.4faa01570cd33p-2, -0x1.4d7d28cedca78p-2, -0x1.4b5074ee6628ap-2, -0x1.4923f19935953p-2, -0x1.46f7aaa064fcdp-2, -0x1.44cbabc1cf4dcp-2, -0x1.42a000a74d7f1p-2, -0x1.4074b4e5fac4ep-2, -0x1.3e49d3fd7d9aep-2, -0x1.3c1f69575a0b7p-2, -0x1.39f58046493d6p-2, -0x1.37cc240596b9fp-2, -0x1.35a35fb8875f5p-2, -0x1.337b3e69c3677p-2, -0x1.3153cb0ac6971p-2, -0x1.2f2d107359a97p-2, -0x1.2d0719610e5f1p-2, -0x1.2ae1f076c2963p-2, -0x1.28bda03c298b8p-2, -0x1.269a331d5b433p-2, -0x1.2477b36a6543bp-2, -0x1.22562b56e6bf9p-2, -0x1.2035a4f9ae117p-2, -0x1.1e162a4c5b0e8p-2, -0x1.1bf7c52b09b3cp-2, -0x1.19da7f53fcd3dp-2, -0x1.17be62675200ap-2, -0x1.15a377e6b737fp-2, -0x1.1389c93526b7cp-2, -0x1.11715f96a5e7p-2, -0x1.0f5a44300914dp-2, -0x1.0d448006bc0e1p-2, -0x1.0b301c008e37cp-2, -0x1.091d20e3822e4p-2, -0x1.070b9755a1598p-2, -0x1.04fb87dcd5396p-2, -0x1.02ecfadec0b17p-2, -0x1.00dff8a0a05eap-2, -0x1.fda9128e5a3f8p-3, -0x1.f99569ad00c0cp-3, -0x1.f5850663fdf89p-3, -0x1.f177f8388846ap-3, -0x1.ed6e4e6e23e97p-3, -0x1.e968180686d88p-3, -0x1.e56563c183a7fp-3, -0x1.e166401cf70fdp-3, -0x1.dd6abb54c5488p-3, -0x1.d972e362ce9b6p-3, -0x1.d57ec5fef2068p-3, -0x1.d18e709f1445dp-3, -0x1.cda1f0772b429p-3, -0x1.c9b952794a641p-3, -0x1.c5d4a355bb304p-3, -0x1.c1f3ef7b10a62p-3, -0x1.be1743164b4dcp-3, -0x1.ba3eaa12f55e6p-3, -0x1.b66a301b4890ep-3, -0x1.b299e0985cbe7p-3, -0x1.aecdc6b24f757p-3, -0x1.ab05ed5078c0cp-3, -0x1.a7425f199feep-3, -0x1.a383267434ba8p-3, -0x1.9fc84d86888p-3, -0x1.9c11de370f4bep-3, -0x1.985fe22ca47b4p-3, -0x1.94b262cecf57p-3, -0x1.9109694609723p-3, -0x1.8d64fe7c0c11dp-3, -0x1.89c52b1c23bd2p-3, -0x1.8629f793777cdp-3, -0x1.82936c1166f9cp-3, -0x1.7f019087db693p-3, -0x1.7b746caba2265p-3, -0x1.77ec07f4c90e6p-3, -0x1.7468699efbbdap-3, -0x1.70e998a9e5324p-3, -0x1.6d6f9bd98ecbep-3, -0x1.69fa79b6caba6p-3, -0x1.668a388f95a0bp-3, -0x1.631ede778022ap-3, -0x1.5fb871481a34bp-3, -0x1.5c56f6a1610fbp-3, -0x1.58fa73ea2b61ap-3, -0x1.55a2ee509741bp-3, -0x1.52506aca82b13p-3, -0x1.4f02ee15f448bp-3, -0x1.4bba7cb99ba3ep-3, -0x1.48771b053d92bp-3, -0x1.4538cd1231013p-3, -0x1.41ff96c3d778dp-3, -0x1.3ecb7bc815a27p-3, -0x1.3b9c7f97d02d7p-3, -0x1.3872a57766f57p-3, -0x1.354df077356e4p-3, -0x1.322e63740f8b6p-3, -0x1.2f140117c22cap-3, -0x1.2bfecbd9946b3p-3, -0x1.28eec5fecaa9bp-3, -0x1.25e3f19b253e1p-3, -0x1.22de50916b6cp-3, -0x1.1fdde493e92d9p-3, -0x1.1ce2af24f86b6p-3, -0x1.19ecb197840c7p-3, -0x1.16fbed0f94b3p-3, -0x1.14106282d0475p-3, -0x1.112a12b906b5p-3, -0x1.0e48fe4cbce4ep-3, -0x1.0b6d25abb0ae7p-3, -0x1.0896891763d2p-3, -0x1.05c528a5a996cp-3, -0x1.02f904412d5f8p-3, -0x1.00321baa00484p-3, -0x1.fae0dcec44bd2p-4, -0x1.f567f82422416p-4, -0x1.eff987829fa8cp-4, -0x1.ea95893dec0c3p-4, -0x1.e53bfb3c788b9p-4, -0x1.dfecdb1610052p-4, -0x1.daa82614eecc5p-4, -0x1.d56dd936dde65p-4, -0x1.d03df12e4c83p-4, -0x1.cb186a636ebe3p-4, -0x1.c5fd40f54e4dp-4, -0x1.c0ec70bae93edp-4, -0x1.bbe5f54450bdcp-4, -0x1.b6e9c9dbb7fa4p-4, -0x1.b1f7e9869bb78p-4, -0x1.ad104f06ca2d5p-4, -0x1.a832f4db8c572p-4, -0x1.a35fd542b6a1dp-4, -0x1.9e96ea39c0a2bp-4, -0x1.99d82d7ede915p-4, -0x1.95239892184a9p-4, -0x1.907924b66134cp-4, -0x1.8bd8caf2abbe4p-4, -0x1.87428412ff252p-4, -0x1.82b648a98d11fp-4, -0x1.7e34110fc5704p-4, -0x1.79bbd56767498p-4, -0x1.754d8d9b93bc3p-4, -0x1.70e93161e14d5p-4, -0x1.6c8eb83b68031p-4, -0x1.683e1975d3d51p-4, -0x1.63f74c2c6fe61p-4, -0x1.5fba4749348e3p-4, -0x1.5b870185d3a2ep-4, -0x1.575d716cc194p-4, -0x1.533d8d5a401e9p-4, -0x1.4f274b7d643f3p-4, -0x1.4b1aa1d91f7c7p-4, -0x1.471786454173bp-4, -0x1.431dee6f7df87p-4, -0x1.3f2dcfdc6efb6p-4, -0x1.3b471fe89725p-4, -0x1.3769d3c95bff3p-4, -0x1.3395e08e0916dp-4, -0x1.2fcb3b20c9cb2p-4, -0x1.2c09d847a3d11p-4, -0x1.2851aca56eb88p-4, -0x1.24a2acbacdbbep-4, -0x1.20fccce722df9p-4, -0x1.1d60016984014p-4, -0x1.19cc3e61abdafp-4, -0x1.164177d0ea7fbp-4, -0x1.12bfa19b10ea3p-4, -0x1.0f46af87614c6p-4, -0x1.0bd695417692cp-4, -0x1.086f465a2cf5ap-4, -0x1.0510b6488a04p-4, -0x1.01bad86a9dfeap-4, -0x1.fcdb400cd3e5ap-5, -0x1.f6520095795fcp-5, -0x1.efd9d8a023b18p-5, -0x1.e972ae32e028dp-5, -0x1.e31c672a800fbp-5, -0x1.dcd6e93c4eb7dp-5, -0x1.d6a219f7b42c6p-5, -0x1.d07ddec7e6aa7p-5, -0x1.ca6a1cf58757cp-5, -0x1.c466b9a83f532p-5, -0x1.be7399e85e2d1p-5, -0x1.b890a2a06e2ccp-5, -0x1.b2bdb89ebf14cp-5, -0x1.acfac096fd382p-5, -0x1.a7479f23b0a32p-5, -0x1.a1a438c7c1e49p-5, -0x1.9c1071effc60dp-5, -0x1.968c2ef483fa6p-5, -0x1.9117541a4d30ep-5, -0x1.8bb1c5948bbfep-5, -0x1.865b6786224c7p-5, -0x1.81141e03023ccp-5, -0x1.7bdbcd11945c2p-5, -0x1.76b258ac15e28p-5, -0x1.7197a4c1ee18p-5, -0x1.6c8b953907d82p-5, -0x1.678e0def1a8a9p-5, -0x1.629ef2bafa264p-5, -0x1.5dbe276ddc4bfp-5, -0x1.58eb8fd493e07p-5, -0x1.54270fb8d6279p-5, -0x1.4f708ae26b1c1p-5, -0x1.4ac7e51862b5p-5, -0x1.462d0222426dap-5, -0x1.419fc5c92ffc4p-5, -0x1.3d2013d91397cp-5, -0x1.38add021b6b86p-5, -0x1.3448de77e2d8p-5, -0x1.2ff122b672d4bp-5, -0x1.2ba680bf65ba5p-5, -0x1.2768dc7cee628p-5, -0x1.233819e274a72p-5, -0x1.1f141ced9df89p-5, -0x1.1afcc9a749a32p-5, -0x1.16f204248a444p-5, -0x1.12f3b0879a527p-5, -0x1.0f01b300cd20cp-5, -0x1.0b1befcf77ca2p-5, -0x1.07424b42deb06p-5, -0x1.0374a9bb0fa08p-5, -0x1.ff65df53881e6p-6, -0x1.f7fa032675126p-6, -0x1.f0a5881e0d47ep-6, -0x1.e9683791d4dbep-6, -0x1.e241db0327734p-6, -0x1.db323c1ee4c64p-6, -0x1.d43924bee2103p-6, -0x1.cd565eeb6c626p-6, -0x1.c689b4dcba13dp-6, -0x1.bfd2f0fc5743cp-6, -0x1.b931dde68d6f4p-6, -0x1.b2a6466bb3ce2p-6, -0x1.ac2ff5917efb5p-6, -0x1.a5ceb69457a76p-6, -0x1.9f8254e8892e2p-6, -0x1.994a9c3b85fd2p-6, -0x1.932758750fd46p-6, -0x1.8d1855b8638b8p-6, -0x1.871d606553f3cp-6, -0x1.81364519683e8p-6, -0x1.7b62d0b0dc21bp-6, -0x1.75a2d047b89d5p-6, -0x1.6ff6113ac4a4dp-6, -0x1.6a5c61288813ap-6, -0x1.64d58df22ef83p-6, -0x1.5f6165bc7f29cp-6, -0x1.59ffb6f0accc5p-6, -0x1.54b0503d3a15fp-6, -0x1.4f730096c9b64p-6, -0x1.4a479738e2762p-6, -0x1.452de3a6b5a86p-6, -0x1.4025b5abe2c9ep-6, -0x1.3b2edd5d1efbep-6, -0x1.36492b18e928bp-6, -0x1.31746f88344e7p-6, -0x1.2cb07b9f019b1p-6, -0x1.27fd209cff745p-6, -0x1.235a300e1580cp-6, -0x1.1ec77bcaf4e93p-6, -0x1.1a44d5f99f744p-6, -0x1.15d2110de6e47p-6, -0x1.116effc9e06p-6, -0x1.0d1b753e5b5cep-6, -0x1.08d744cb4f675p-6, -0x1.04a2422043934p-6, -0x1.007c413ca9f6bp-6, -0x1.f8ca2ce074e1p-7, -0x1.f0b92cb6a34f9p-7, -0x1.e8c52bde6662cp-7, -0x1.e0edd4dcbc026p-7, -0x1.d932d2d993457p-7, -0x1.d193d1a04b1bfp-7, -0x1.ca107da03531dp-7, -0x1.c2a883ece6271p-7, -0x1.bb5b923ea8f7cp-7, -0x1.b42956f2c289bp-7, -0x1.ad11810bc07c4p-7, -0x1.a613c031c3c02p-7, -0x1.9f2fc4b2a696dp-7, -0x1.98653f8237aecp-7, -0x1.91b3e23a53787p-7, -0x1.8b1b5f1b01b4bp-7, -0x1.849b690a84efap-7, -0x1.7e33b395726dap-7, -0x1.77e3f2ee9334ep-7, -0x1.71abdbef05d4ap-7, -0x1.6b8b2415fad6ep-7, -0x1.65818188d24edp-7, -0x1.5f8eab12c5ff2p-7, -0x1.59b25824f6048p-7, -0x1.53ec40d607b9dp-7, -0x1.4e3c1de20c632p-7, -0x1.48a1a8aa3966ap-7, -0x1.431c9b34a42f1p-7, -0x1.3dacb02beeb67p-7, -0x1.3851a2defee73p-7, -0x1.330b2f4095e6ep-7, -0x1.2dd911e6fa847p-7, -0x1.28bb080b8c024p-7, -0x1.23b0cf8a59182p-7, -0x1.1eba26e1a612cp-7, -0x1.19d6cd317316bp-7, -0x1.1506823b03cbbp-7, -0x1.104906605137cp-7, -0x1.0b9e1aa3891c8p-7, -0x1.070580a674d83p-7, -0x1.027efaa9e827ep-7, -0x1.fc14971a500ffp-8, -0x1.f34e6d9a8d35ap-8, -0x1.eaab0109121a3p-8, -0x1.e229dad35ddffp-8, -0x1.d9ca859eb8651p-8, -0x1.d18c8d4691662p-8, -0x1.c96f7edb66746p-8, -0x1.c172e8a0f8b7fp-8, -0x1.b9965a0d13effp-8, -0x1.b1d963c5e05a6p-8, -0x1.aa3b97a06986fp-8, -0x1.a2bc889f291abp-8, -0x1.9b5bcaf02c3efp-8, -0x1.9418f3ebaeb82p-8, -0x1.8cf39a1251c89p-8, -0x1.85eb550b8694fp-8, -0x1.7effbda3d121fp-8, -0x1.78306dcb13c25p-8, -0x1.717d0092c0e8ap-8, -0x1.6ae5122c38999p-8, -0x1.64683fe6ddcf6p-8, -0x1.5e06282e70d3fp-8, -0x1.57be6a8904d59p-8, -0x1.5190a795710d7p-8, -0x1.4b7c81092a773p-8, -0x1.458199aea533ep-8, -0x1.3f9f956358c22p-8, -0x1.39d61915c50e9p-8, -0x1.3424cac3b4503p-8, -0x1.2e8b51782242ep-8, -0x1.290955497351dp-8, -0x1.239e7f575c61bp-8, -0x1.1e4a79c917bacp-8, -0x1.190cefcb2e6dp-8, -0x1.13e58d8dd8931p-8, -0x1.0ed40042952c2p-8, -0x1.09d7f61a9438dp-8, -0x1.04f11e4454365p-8, -0x1.001f28e9f71f1p-8, -0x1.f6c38e5e0aaadp-9, -0x1.ed71565cdd865p-9, -0x1.e4470ff131d73p-9, -0x1.db4423229dbefp-9, -0x1.d267f9db4d8dbp-9, -0x1.c9b1ffe43a5bep-9, -0x1.c121a2e0b4607p-9, -0x1.b8b6524abbe1dp-9, -0x1.b06f7f6e6393ep-9, -0x1.a84c9d6652a1p-9, -0x1.a04d21171e06dp-9, -0x1.9870812b8b91fp-9, -0x1.90b636106683dp-9, -0x1.891db9f05caap-9, -0x1.81a688afd6f4ap-9, -0x1.7a501fe9216cdp-9, -0x1.7319fee7fbbcdp-9, -0x1.6c03a6a5e5bd8p-9, -0x1.650c99c5b7504p-9, -0x1.5e345c8fcfa67p-9, -0x1.577a74ede9575p-9, -0x1.50de6a6703d9ep-9, -0x1.4a5fc61b89caep-9, -0x1.43fe12c10d5ddp-9, -0x1.3db8dc9e7203cp-9, -0x1.378fb187ca12bp-9, -0x1.318220da5b453p-9, -0x1.2b8fbb78dd357p-9, -0x1.25b813c70834bp-9, -0x1.1ffabda627a79p-9, -0x1.1a574e70cf255p-9, -0x1.14cd5cf71351ep-9, -0x1.0f5c817a855b6p-9, -0x1.0a0455aa73b61p-9, -0x1.04c4749fec5afp-9, -0x1.ff38f5b3ab16ep-10, -0x1.f5180c728ea4bp-10, -0x1.eb256bfaeb1b2p-10, -0x1.e160558036e56p-10, -0x1.d7c80ce331a7p-10, -0x1.ce5bd8aa5cb16p-10, -0x1.c51b01fa53f2dp-10, -0x1.bc04d48edb0afp-10, -0x1.b3189eb29f5a7p-10, -0x1.aa55b138acac9p-10, -0x1.a1bb5f747996bp-10, -0x1.9948ff3307affp-10, -0x1.90fde8b386cfcp-10, -0x1.88d9769ff18aep-10, -0x1.80db06061385ep-10, -0x1.7901f65074c23p-10, -0x1.714da93f2b061p-10, -0x1.69bd82e0e810dp-10, -0x1.6250e98becc95p-10, -0x1.5b0745d735d89p-10, -0x1.53e00293a4e3ap-10, -0x1.4cda8cc4de55bp-10, -0x1.45f6539b28ff5p-10, -0x1.3f32c86bca663p-10, -0x1.388f5eab44f7bp-10, -0x1.320b8be623cf4p-10, -0x1.2ba6c7ba665e3p-10, -0x1.25608bd17e707p-10, -0x1.1f3853d91772cp-10, -0x1.192d9d7d5fe73p-10, -0x1.133fe8621afa2p-10, -0x1.0d6eb61cbe0e1p-10, -0x1.07b98a2de684dp-10, -0x1.021fe9fb2a0efp-10, -0x1.f942b9922da95p-11, -0x1.ee7ad769f8e69p-11, -0x1.e3e7435d6f5dcp-11, -0x1.d98716e5d38cbp-11, -0x1.cf596f0a07108p-11, -0x1.c55d6c52203b3p-11, -0x1.bb9232bcd649ep-11, -0x1.b1f6e9b2d4194p-11, -0x1.a88abbfbd925cp-11, -0x1.9f4cd7b3178a6p-11, -0x1.963c6e3c3c3bdp-11, -0x1.8d58b437a444cp-11, -0x1.84a0e1784f318p-11, -0x1.7c1430f7e575cp-11, -0x1.73b1e0cc66639p-11, -0x1.6b79321d86316p-11, -0x1.63696919b95c5p-11, -0x1.5b81ccebe264fp-11, -0x1.53c1a7b0b0f6p-11, -0x1.4c28466ca03e7p-11, -0x1.44b4f901c9291p-11, -0x1.3d671225088a9p-11, -0x1.363de754dc2ffp-11, -0x1.2f38d0cf187cap-11, -0x1.285729877cf72p-11, -0x1.21984f1d0eee5p-11, -0x1.1afba1d1c94c7p-11, -0x1.148084803936ep-11, -0x1.0e265c923547fp-11, -0x1.07ec91f81c1ep-11, -0x1.01d28f1f096d3p-11, -0x1.f7af81cfff3bdp-12, -0x1.ebf72d3e8167fp-12, -0x1.e07b03e53afffp-12, -0x1.d539edd302a38p-12, -0x1.ca32d7b79cb38p-12, -0x1.bf64b2d2efbbbp-12, -0x1.b4ce74e39a55dp-12, -0x1.aa6f181704408p-12, -0x1.a0459af7a9f34p-12, -0x1.9651005dce093p-12, -0x1.8c904f5e4bf0ap-12, -0x1.8302933b4e4a7p-12, -0x1.79a6db5426ce9p-12, -0x1.707c3b15f9695p-12, -0x1.6781c9ebcf1f4p-12, -0x1.5eb6a32fae9a3p-12, -0x1.5619e61b4e7afp-12, -0x1.4daab5b977c1dp-12, -0x1.456838d75466cp-12, -0x1.3d5199f555e8ep-12, -0x1.35660739850e2p-12, -0x1.2da4b260f9ea1p-12, -0x1.260cd0b1c06e6p-12, -0x1.1e9d9aedda0ecp-12, -0x1.17564d43fcaedp-12, -0x1.10362744075efp-12, -0x1.093c6bcfec12ep-12, -0x1.0268610ff9228p-12, -0x1.f772a0c9b4732p-13, -0x1.ea5d0cb6e703cp-13, -0x1.dd8ea53fd244ep-13, -0x1.d1060fe250e4ap-13, -0x1.c4c1f829aecebp-13, -0x1.b8c10f956e1bdp-13, -0x1.ad020d8275e6dp-13, -0x1.a183af12ebc2p-13, -0x1.9644b7161f301p-13, -0x1.8b43edf2888a1p-13, -0x1.8080218e9b0dcp-13, -0x1.75f8253a8937cp-13, -0x1.6baad19a0bd0bp-13, -0x1.6197048e5a854p-13, -0x1.57bba12046b8p-13, -0x1.4e178f6ce358ap-13, -0x1.44a9bc8df6926p-13, -0x1.3b711a875cfdp-13, -0x1.326ca0318eb79p-13, -0x1.299b49260017bp-13, -0x1.20fc15ab060c9p-13, -0x1.188e0aa093943p-13, -0x1.1050316d10698p-13, -0x1.084197ea13c5ep-13, -0x1.006150517cd01p-13, -0x1.f15ce257a401p-14, -0x1.e2502a7a8b7e7p-14, -0x1.d39ab6e7dc4d4p-14, -0x1.c53acdac92ac7p-14, -0x1.b72ebce4190f8p-14, -0x1.a974da9459f73p-14, -0x1.9c0b848db7401p-14, -0x1.8ef120485f852p-14, -0x1.82241ac5238c8p-14, -0x1.75a2e869c4795p-14, -0x1.696c04e5702abp-14, -0x1.5d7df30e03584p-14, -0x1.51d73cc20ceap-14, -0x1.467672cb2376p-14, -0x1.3b5a2cbe7e81ap-14, -0x1.308108e057de6p-14, -0x1.25e9ac06178abp-14, -0x1.1b92c179e8946p-14, -0x1.117afadea7b16p-14, -0x1.07a11013c3cb9p-14, -0x1.fc077e3411d4bp-15, -0x1.e94397f099b18p-15, -0x1.d6f401412e638p-15, -0x1.c51659adc2e5ap-15, -0x1.b3a84c2ca555ep-15, -0x1.a2a78eefbc179p-15, -0x1.9211e3344d47p-15, -0x1.81e515103841bp-15, -0x1.721efb436a348p-15, -0x1.62bd77034d5a5p-15, -0x1.53be73d0ecf08p-15, -0x1.451fe74a36f83p-15, -0x1.36dfd0f95f81bp-15, -0x1.28fc3a29ce0fp-15, -0x1.1b7335bca83f3p-15, -0x1.0e42dffc9aa35p-15, -0x1.01695e737c13bp-15, -0x1.e9c9bf80e90bep-16, -0x1.d16736dcaca86p-16, -0x1.b9a7a393661f7p-16, -0x1.a28797766c525p-16, -0x1.8c03b53c36147p-16, -0x1.7618b0373c7d2p-16, -0x1.60c34c0575637p-16, -0x1.4c005c46fa99fp-16, -0x1.37ccc453615fep-16, -0x1.242576f526fd4p-16, -0x1.1107761ccef2ep-16, -0x1.fcdfa53c606c4p-17, -0x1.d8b757d2cb0fbp-17, -0x1.b5905f898dee8p-17, -0x1.93653423945f1p-17, -0x1.7230690a7a71dp-17, -0x1.51ecaccb8903dp-17, -0x1.3294c89db1c99p-17, -0x1.14239fe56a732p-17, -0x1.ed285f6f2637dp-18, -0x1.b3c31cbb11d4fp-18, -0x1.7c0dd5ca22547p-18, -0x1.45ff194f365bfp-18, -0x1.118da5b2b328dp-18, -0x1.bd60d04a5b329p-19, -0x1.5abcf7a5e4c52p-19, -0x1.f63ca3ee4252fp-20, -0x1.3ce790882279p-20, -0x1.12b269c64e5e7p-21, 0x1.247a25da52d3p-23, 0x1.99e41564ea733p-21, 0x1.6feea73cfbe9ep-20, 0x1.06d201b959c18p-19, 0x1.53183529cffd4p-19, 0x1.9cd8c5d9c67f7p-19, 0x1.e4223f99c485dp-19, 0x1.148171c8c04ebp-18, 0x1.35c454d5fbb5cp-18, 0x1.55e0a0f7a3c53p-18, 0x1.74dd0ae8622f6p-18, 0x1.92c024cd3cce7p-18, 0x1.af905ede91462p-18, 0x1.cb54080c00c38p-18, 0x1.e6114e965f6c2p-18, 0x1.ffce40b71e347p-18, 0x1.0c48669d70bdep-17, 0x1.182f620ed698cp-17, 0x1.239eeb8e58782p-17, 0x1.2e99cd26f2fa8p-17, 0x1.3922c256b17ap-17, 0x1.433c785897a6ap-17, 0x1.4ce98e6a11fd6p-17, 0x1.562c960fe8005p-17, 0x1.5f081357df9cap-17, 0x1.677e7d208c7fdp-17, 0x1.6f923d55665f6p-17, 0x1.7745b12ff06e3p-17, 0x1.7e9b2978f9c0cp-17, 0x1.8594eac45ace3p-17, 0x1.8c352dae5c151p-17, 0x1.927e1f14f3bd1p-17, 0x1.9871e0558ccabp-17, 0x1.9e12878572584p-17, 0x1.a3621faa4aa9fp-17, 0x1.a862a8f0d6613p-17, 0x1.ad1618e240324p-17, 0x1.b17e5a9b6c355p-17, 0x1.b59d4eff1f1f6p-17, 0x1.b974ccec376fp-17, 0x1.bd06a16d23c65p-17, 0x1.c0548fec8fc6bp-17, 0x1.c360526254c7ep-17, 0x1.c62b998549281p-17, 0x1.c8b80cfa1de24p-17, 0x1.cb074b7eda03fp-17, 0x1.cd1aeb1b8f851p-17, 0x1.cef4794bd15dep-17, 0x1.d0957b2a6b832p-17, 0x1.d1ff6d9d54879p-17, 0x1.d333c57cc94abp-17, 0x1.d433efbeff317p-17, 0x1.d501519f8f18p-17, 0x1.d59d48c5ff72p-17, 0x1.d6092b6c514cep-17, 0x1.d646488496e1bp-17, 0x1.d655e7e17d518p-17, 0x1.d6394a5635181p-17, 0x1.d5f1a9dcc9bbap-17, 0x1.d58039b9eb337p-17, 0x1.d4e6269da471p-17, 0x1.d42496c4967e1p-17, 0x1.d33caa1b90e44p-17, 0x1.d22f7a5f9410cp-17, 0x1.d0fe1b3b582bbp-17, 0x1.cfa99a67b8bp-17, 0x1.ce32ffca33241p-17, 0x1.cc9b4d9471df7p-17, 0x1.cae3806145a6dp-17, 0x1.c90c8f508d767p-17, 0x1.c7176c22fd269p-17, 0x1.c505035809245p-17, 0x1.c2d63c47e43e5p-17, 0x1.c08bf93ee5ba8p-17, 0x1.be2717971dee5p-17, 0x1.bba86fd15384ap-17, 0x1.b910d5af3c609p-17, 0x1.b661184b26c67p-17, 0x1.b39a0232323edp-17, 0x1.b0bc5979d51c7p-17, 0x1.adc8dfd8df85cp-17, 0x1.aac052bdcabe2p-17, 0x1.a7a36b6391bb7p-17, 0x1.a472dee8d72a8p-17, 0x1.a12f5e6591de5p-17, 0x1.9dd997006e4e9p-17, 0x1.9a7232024055p-17, 0x1.96f9d4eb64acp-17, 0x1.9371218632251p-17, 0x1.8fd8b5fc8f097p-17, 0x1.8c312ce886bc2p-17, 0x1.887b1d68ee6ep-17, 0x1.84b71b3248929p-17, 0x1.80e5b6a1120f8p-17, 0x1.7d077ccc44bdfp-17, 0x1.791cf7954751bp-17, 0x1.7526adb91d2f3p-17, 0x1.712522e18d9c1p-17, 0x1.6d18d7b51687cp-17, 0x1.690249e6ace35p-17, 0x1.64e1f444b1c52p-17, 0x1.60b84ec8afdf4p-17, 0x1.5c85cea65ab99p-17, 0x1.584ae65b6a6bcp-17, 0x1.540805bc2c436p-17, 0x1.4fbd9a017e96cp-17, 0x1.4b6c0dd86b7fp-17, 0x1.4713c96d871b9p-17, 0x1.42b5327ab8a9bp-17, 0x1.3e50ac55708fcp-17, 0x1.39e697fa87086p-17, 0x1.35775419b32f7p-17, 0x1.31033d23b765p-17, 0x1.2c8aad541827cp-17, 0x1.280dfcbda63f4p-17, 0x1.238d81570cca9p-17, 0x1.1f098f04b04f7p-17, 0x1.1a8277a468a5fp-17, 0x1.15f88b175fe2ap-17, 0x1.116c174db7816p-17, 0x1.0cdd68512a965p-17, 0x1.084cc84df5466p-17, 0x1.03ba7f9cf894ap-17, 0x1.fe4da99a8b235p-18, 0x1.f524195c2c6d7p-18, 0x1.ebf8d4afe1101p-18, 0x1.e2cc5e6cad07ep-18, 0x1.d99f361f4c53bp-18, 0x1.d071d81d2c806p-18, 0x1.c744bd9500da3p-18, 0x1.be185ca0ee768p-18, 0x1.b4ed28537197bp-18, 0x1.abc390cb42b56p-18, 0x1.a29c0342fb721p-18, 0x1.9976ea1e17611p-18, 0x1.9054acf80ea31p-18, 0x1.8735b0b647b66p-18, 0x1.7e1a57944d534p-18, 0x1.750301326753bp-18, 0x1.6bf00aa3b6844p-18, 0x1.62e1ce7adb325p-18, 0x1.59d8a4d8080d8p-18, 0x1.50d4e377c1afp-18, 0x1.47d6ddbca1453p-18, 0x1.3edee4bf9373bp-18, 0x1.35ed475808565p-18, 0x1.2d02522a2616dp-18, 0x1.241e4fb1c5c43p-18, 0x1.1b418850d1242p-18, 0x1.126c42560e758p-18, 0x1.099ec20b05337p-18, 0x1.00d949bfa94dep-18, 0x1.f03833a4602ebp-19, 0x1.decee1781f344p-19, 0x1.cd771635d19acp-19, 0x1.bc314776456d2p-19, 0x1.aafde73ef1738p-19, 0x1.99dd641b17143p-19, 0x1.88d0292c947d2p-19, 0x1.77d69e3d0378ap-19, 0x1.66f127d090191p-19, 0x1.56202738fd826p-19, 0x1.4563faa3a9ce8p-19, 0x1.34bcfd2b34ed9p-19, 0x1.242b86eae23ecp-19, 0x1.13afed0dc9f2p-19, 0x1.034a81dc1a13fp-19, 0x1.e5f7299b04028p-20, 0x1.c586e52b771d2p-20, 0x1.a544ca71279bdp-20, 0x1.853168271dc6p-20, 0x1.654d47dbea0c7p-20, 0x1.4598ee0eb9736p-20, 0x1.2614da4b85b53p-20, 0x1.06c1873e60428p-20, 0x1.cf3ed5b15f12bp-21, 0x1.915decc7f9f61p-21, 0x1.53e12d47a0806p-21, 0x1.16c967b5a355ap-21, 0x1.b42ec7e3058f3p-22, 0x1.3b97c2a0d54fap-22, 0x1.879e5b33a5012p-23, 0x1.335999de7707p-24, -0x1.4a8a28ad0ea53p-25, -0x1.3d4d2e285964fp-23, -0x1.132860d48b78ap-22, -0x1.86d5829f150f9p-22, -0x1.f9aceb56e82eap-22, -0x1.35d6cc1ea643fp-21, -0x1.6e6b4a5028f99p-21, -0x1.a6937cbf32167p-21, -0x1.de4ef6a7a7fc2p-21, -0x1.0acea8e726c16p-20, -0x1.263f173a9568p-20, -0x1.4178998e3e251p-20, -0x1.5c7b0636b8bf6p-20, -0x1.774636883f8a2p-20, -0x1.91da06cd3b2e5p-20, -0x1.ac36562ccae56p-20, -0x1.c65b06a2147cfp-20, -0x1.e047fce2909d7p-20, -0x1.f9fd205bbff46p-20, -0x1.09bd2d8ccaba4p-19, -0x1.165fccde82e8p-19, -0x1.22e665b705d36p-19, -0x1.2f50f0e1fd4e6p-19, -0x1.3b9f686111a35p-19, -0x1.47d1c76151e8fp-19, -0x1.53e80a395fecp-19, -0x1.5fe22e5db8dc7p-19, -0x1.6bc0325e189b5p-19, -0x1.778215d910474p-19, -0x1.8327d97c4a424p-19, -0x1.8eb17efd34a92p-19, -0x1.9a1f091108a7fp-19, -0x1.a5707b66faa17p-19, -0x1.b0a5daa3871c8p-19, -0x1.bbbf2c5b6126bp-19, -0x1.c6bc770cc801cp-19, -0x1.d19dc2186455dp-19, -0x1.dc6315c25317ap-19, -0x1.e70c7b257dd3ap-19, -0x1.f199fc319da98p-19, -0x1.fc0ba3a5e079cp-19, -0x1.0330be8637724p-18, -0x1.084dca5c9bf0dp-18, -0x1.0d5cfbdd0bcf6p-18, -0x1.125e59f021fe8p-18, -0x1.1751ebd7f2862p-18, -0x1.1c37b9323ad76p-18, -0x1.210fc9f31f302p-18, -0x1.25da266609681p-18, -0x1.2a96d726afa43p-18, -0x1.2f45e52491da8p-18, -0x1.33e7599d1a1f8p-18, -0x1.387b3e1c69de1p-18, -0x1.3d019c784884dp-18, -0x1.417a7ed00823ep-18, -0x1.45e5ef8ce9716p-18, -0x1.4a43f95abcbdcp-18, -0x1.4e94a72bb9aefp-18, -0x1.52d80430a9be7p-18, -0x1.570e1bded8102p-18, -0x1.5b36f9e7d2bc5p-18, -0x1.5f52aa3a25957p-18, -0x1.636139003677fp-18, -0x1.6762b29ea763fp-18, -0x1.6b5723b14e493p-18, -0x1.6f3e990abad0ep-18, -0x1.73191fb26e199p-18, -0x1.76e6c4e414b2dp-18, -0x1.7aa7960c3cfbdp-18, -0x1.7e5ba0c9ee1e2p-18, -0x1.8202f2ea0ae2fp-18, -0x1.859d9a67aac34p-18, -0x1.892ba56a4fe81p-18, -0x1.8cad22443cdfep-18, -0x1.90221f7282741p-18, -0x1.938aab9948c9fp-18, -0x1.96e6d585c377p-18, -0x1.9a36ac28f4a7fp-18, -0x1.9d7a3e9b097ecp-18, -0x1.a0b19c163e5f4p-18, -0x1.a3dcd3f752cdap-18, -0x1.a6fbf5bd2ea3p-18, -0x1.aa0f1105f0e8cp-18, -0x1.ad16358f19595p-18, -0x1.b0117333b930cp-18, -0x1.b300d9ec81dfcp-18, -0x1.b5e479ce8d2e6p-18, -0x1.b8bc6307a739dp-18, -0x1.bb88a5e1010e6p-18, -0x1.be4952bc274bap-18, -0x1.c0fe7a120761fp-18, -0x1.c3a82c72cb8b4p-18, -0x1.c6467a8472374p-18, -0x1.c8d9750276ffep-18, -0x1.cb612cbbbb6afp-18, -0x1.cdddb2922af7ep-18, -0x1.d04f177a4a239p-18, -0x1.d2b56c7abb9eep-18, -0x1.d510c2a972534p-18, -0x1.d7612b2d5a3cdp-18, -0x1.d9a6b73b0d0ddp-18, -0x1.dbe17816b4f78p-18, -0x1.de117f10d3cp-18, -0x1.e036dd8772d79p-18, -0x1.e251a4e35e965p-18, -0x1.e461e6998e86p-18, -0x1.e667b4286a23p-18, -0x1.e8631f190274p-18, -0x1.ea5438fcad8d6p-18, -0x1.ec3b136d8fc34p-18, -0x1.ee17c00d2ec37p-18, -0x1.efea508395165p-18, -0x1.f1b2d67fd3d31p-18, -0x1.f37163b663dcp-18, -0x1.f52609e0439cp-18, -0x1.f6d0dabb98b91p-18, -0x1.f871e80a0a65bp-18, -0x1.fa09439098297p-18, -0x1.fb96ff1704dd4p-18, -0x1.fd1b2c6717928p-18, -0x1.fe95dd4bbff14p-18, -0x1.000391c887f0ap-17, -0x1.00b78881b3696p-17, -0x1.0166dbb7f23bp-17, -0x1.02119450be3e2p-17, -0x1.02b7bb320a7ebp-17, -0x1.035959401e28p-17, -0x1.03f6775ed3bb9p-17, -0x1.048f1e6fd7b75p-17, -0x1.05235754906a3p-17, -0x1.05b32aeb46bf5p-17, -0x1.063ea2117a728p-17, -0x1.06c5c5a196f04p-17, -0x1.07489e7464d89p-17, -0x1.07c7355f395e7p-17, -0x1.0841933530736p-17, -0x1.08b7c0c5d0e2fp-17, -0x1.0929c6ddbbdabp-17, }}, 
      std::vector<double>(1100, 0.0), 
      {{-0x1.05dd173e387b5p-7, -0x1.05571c1227945p-6, -0x1.86c280b6598d3p-6, -0x1.0368777bbebfp-5, -0x1.429e39dd272ffp-5, -0x1.80ebc4dbbfb1fp-5, -0x1.be44ed2aeef55p-5, -0x1.faa635d43be58p-5, -0x1.1b0977c655a1cp-4, -0x1.3849c0f4f5b91p-4, -0x1.5519f41cd7635p-4, -0x1.71813139d8075p-4, -0x1.8d872c28eb208p-4, -0x1.a933b64358da1p-4, -0x1.c48e5f1774125p-4, -0x1.df9e2b23f66e3p-4, -0x1.fa695f18f02fcp-4, -0x1.0a7aaed45b22dp-3, -0x1.17a34ac3c01c5p-3, -0x1.24b03e78550b3p-3, -0x1.31a2cbf74fd7cp-3, -0x1.3e7bc35ac5f01p-3, -0x1.4b3b8ccbf8135p-3, -0x1.57e234367b06cp-3, -0x1.646f75cf2702ep-3, -0x1.70e2caba6ec13p-3, -0x1.7d3b754c5e7f5p-3, -0x1.89788c8616915p-3, -0x1.95990697e9409p-3, -0x1.a19bc24b98f9p-3, -0x1.ad7f8f4fa649fp-3, -0x1.b943356bfd81p-3, -0x1.c4e57ab25c1b4p-3, -0x1.d06528c261cdap-3, -0x1.dbc1113bb7957p-3, -0x1.e6f81178aaee9p-3, -0x1.f20915a9f89ebp-3, -0x1.fcf31b69e7c3p-3, -0x1.03da99ece4ccdp-2, -0x1.092742aceddd6p-2, -0x1.0e5f267442a33p-2, -0x1.1381ef99a9ed5p-2, -0x1.188f54b0f82b3p-2, -0x1.1d8718d0bbb3cp-2, -0x1.22690bbab22bbp-2, -0x1.273509e91972ap-2, -0x1.2beafc82bbea5p-2, -0x1.308ad9374e79dp-2, -0x1.3514a205cc3a1p-2, -0x1.398864ee5b9f2p-2, -0x1.3de63b917bf57p-2, -0x1.422e4abe2fed5p-2, -0x1.4660c1f10263bp-2, -0x1.4a7ddac5d664bp-2, -0x1.4e85d85e7360cp-2, -0x1.527906bfd9641p-2, -0x1.5657ba285554ep-2, -0x1.5a224e6057589p-2, -0x1.5dd92607f2af9p-2, -0x1.617ca9e2d693fp-2, -0x1.650d48247f63dp-2, -0x1.688b73be30505p-2, -0x1.6bf7a3b0230adp-2, -0x1.6f52525f3e557p-2, -0x1.729bfcf068892p-2, -0x1.75d522aa72f5dp-2, -0x1.78fe445f5d6cbp-2, -0x1.7c17e3dd9ecc6p-2, -0x1.7f228369e407ap-2, -0x1.821ea541a0b04p-2, -0x1.850ccb269fa51p-2, -0x1.87ed75f3add5ep-2, -0x1.8ac1253a533cap-2, -0x1.8d8856e97e582p-2, -0x1.904386fcea4bap-2, -0x1.92f32f34fa984p-2, -0x1.9597c6d6b78d3p-2, -0x1.9831c2738b1e3p-2, -0x1.9ac193b851eebp-2, -0x1.9d47a94350dc5p-2, -0x1.9fc46e80a0a42p-2, -0x1.a2384b8c8c228p-2, -0x1.a4a3a51b7b95p-2, -0x1.a706dc66e80cfp-2, -0x1.a9624f1ef097fp-2, -0x1.abb657601ad09p-2, -0x1.ae034bacd70bep-2, -0x1.b0497eea6994bp-2, -0x1.b2894060cd33bp-2, -0x1.b4c2dbbd45931p-2, -0x1.b6f699174672p-2, -0x1.b924bcf765c64p-2, -0x1.bb4d88601742fp-2, -0x1.bd7138d7f09e7p-2, -0x1.bf9008753cf9ap-2, -0x1.c1aa2deab5a0bp-2, -0x1.c3bfdc9525a76p-2, -0x1.c5d14489e09fdp-2, -0x1.c7de92a5e2345p-2, -0x1.c9e7f09d76f92p-2, -0x1.cbed850c5ea11p-2, -0x1.cdef738649acdp-2, -0x1.cfeddca7a4119p-2, -0x1.d1e8de26a0157p-2, -0x1.d3e092e46f5abp-2, -0x1.d5d512fea8554p-2, -0x1.d7c673e0c7e77p-2, -0x1.d9b4c855d074ep-2, -0x1.dba02099fcc12p-2, -0x1.dd888a6c81c14p-2, -0x1.df6e1121674d5p-2, -0x1.e150bdb365a7p-2, -0x1.e33096d5d2d6bp-2, -0x1.e50da1069a95fp-2, -0x1.e6e7dea03e24dp-2, -0x1.e8bf4febddcc4p-2, -0x1.ea93f3334c7ep-2, -0x1.ec65c4d324c62p-2, -0x1.ee34bf4ce769cp-2, -0x1.f000db59202dep-2, -0x1.f1ca0ff9878a5p-2, -0x1.f390528b28516p-2, -0x1.f55396d885c91p-2, -0x1.f713cf2bb6c49p-2, -0x1.f8d0ec6080be4p-2, -0x1.fa8addf664deep-2, -0x1.fc4192229d2f3p-2, -0x1.fdf4f5e20c983p-2, -0x1.ffa4f50b14f02p-2, -0x1.00a8bd2faadc7p-1, -0x1.017d37cea5999p-1, -0x1.024fdec8e4407p-1, -0x1.0320a614a7bc4p-1, -0x1.03ef81409af2fp-1, -0x1.04bc637c4f2f2p-1, -0x1.05873fa09c64ap-1, -0x1.06500837e435fp-1, -0x1.0716af8635bf6p-1, -0x1.07db27914ff5bp-1, -0x1.089d62287d50cp-1, -0x1.095d50ec4e095p-1, -0x1.0a1ae5562428ap-1, -0x1.0ad610bf99c5ep-1, -0x1.0b8ec469b94d6p-1, -0x1.0c44f18406f14p-1, -0x1.0cf889335c95p-1, -0x1.0da97c989395bp-1, -0x1.0e57bcd6fb558p-1, -0x1.0f033b1a9da43p-1, -0x1.0fabe89e4d0e9p-1, -0x1.1051b6b17e67ap-1, -0x1.10f496bdeae6ep-1, -0x1.11947a4cfbbe1p-1, -0x1.1231530cfd62ep-1, -0x1.12cb12d61afdep-1, -0x1.1361abaf211d9p-1, -0x1.13f50fd20774ap-1, -0x1.148531b0440f6p-1, -0x1.151203f6e2483p-1, -0x1.159b79926565dp-1, -0x1.162185b270bbp-1, -0x1.16a41bcd39adfp-1, -0x1.17232fa2c21cbp-1, -0x1.179eb53fdd522p-1, -0x1.1816a100fe71ep-1, -0x1.188ae794d4883p-1, -0x1.18fb7dfeaef7bp-1, -0x1.19685998b3f16p-1, -0x1.19d17015e2962p-1, -0x1.1a36b783e40eap-1, -0x1.1a98264cafff9p-1, -0x1.1af5b33800646p-1, -0x1.1b4f556c9af91p-1, -0x1.1ba504716c3ep-1, -0x1.1bf6b82e7bc78p-1, -0x1.1c4468edb5ac5p-1, -0x1.1c8e0f5b8d3fap-1, -0x1.1cd3a48779c07p-1, -0x1.1d1521e4504a3p-1, -0x1.1d52814876a11p-1, -0x1.1d8bbcedfa107p-1, -0x1.1dc0cf7281c8cp-1, -0x1.1df1b3d724363p-1, -0x1.1e1e65801ff96p-1, -0x1.1e46e03477306p-1, -0x1.1e6b201d721e9p-1, -0x1.1e8b21c607e17p-1, -0x1.1ea6e21a2f9e7p-1, -0x1.1ebe5e661c5b6p-1, -0x1.1ed1945562da5p-1, -0x1.1ee081f20b71ap-1, -0x1.1eeb25a3940fbp-1, -0x1.1ef17e2dddca4p-1, -0x1.1ef38ab00c942p-1, -0x1.1ef14aa358368p-1, -0x1.1eeabdd9cfa82p-1, -0x1.1edfe47d0e51cp-1, -0x1.1ed0bf0ce7dd8p-1, -0x1.1ebd4e5e09b11p-1, -0x1.1ea5939891a0bp-1, -0x1.1e8990369d994p-1, -0x1.1e694602d27e2p-1, -0x1.1e44b716de31p-1, -0x1.1e1be5d9f3009p-1, -0x1.1deed4ff3d97dp-1, -0x1.1dbd878457d94p-1, -0x1.1d8800afb86dep-1, -0x1.1d4e440f1ecf2p-1, -0x1.1d105575fd8eap-1, -0x1.1cce38fbe465bp-1, -0x1.1c87f2fae8826p-1, -0x1.1c3d880e0cd49p-1, -0x1.1beefd0faacb8p-1, -0x1.1b9c5717dbf5p-1, -0x1.1b459b7ae63f5p-1, -0x1.1aeacfc7a75aep-1, -0x1.1a8bf9c604f18p-1, -0x1.1a291f755e68ap-1, -0x1.19c2470b01b6dp-1, -0x1.195776f0a34dfp-1, -0x1.18e8b5c2db142p-1, -0x1.18760a4fa23d7p-1, -0x1.17ff7b94d9815p-1, -0x1.178510becff8ap-1, -0x1.1706d126d0ccdp-1, -0x1.1684c451b46bcp-1, -0x1.15fef1ee78fdcp-1, -0x1.157561d4dc651p-1, -0x1.14e81c03ff096p-1, -0x1.145728a109b7ap-1, -0x1.13c28ff5d9e25p-1, -0x1.132a5a6fb3d18p-1, -0x1.128e909df9e1cp-1, -0x1.11ef3b30e90a9p-1, -0x1.114c62f85c6d7p-1, -0x1.10a610e2954b9p-1, -0x1.0ffc4dfb0993ep-1, -0x1.0f4f236938292p-1, -0x1.0e9e9a6f82369p-1, -0x1.0deabc6a0b55cp-1, -0x1.0d3392cd9e1a4p-1, -0x1.0c79272697df4p-1, -0x1.0bbb8317d9333p-1, -0x1.0afab059bb522p-1, -0x1.0a36b8b90ca9dp-1, -0x1.096fa6161152dp-1, -0x1.08a582638a5adp-1, -0x1.07d857a5c0cc3p-1, -0x1.07082ff197863p-1, -0x1.0635156ba09a9p-1, -0x1.055f1247397bcp-1, -0x1.048630c5aaafep-1, -0x1.03aa7b354d038p-1, -0x1.02cbfbf0b402fp-1, -0x1.01eabd5ddb177p-1, -0x1.0106c9ed5b37ep-1, -0x1.00202c199f7fdp-1, -0x1.fe6ddccc47c84p-2, -0x1.fc9636bd675fp-2, -0x1.fab97b2d5e812p-2, -0x1.f8d7bf50a8d7p-2, -0x1.f6f1186814508p-2, -0x1.f5059bbf63f08p-2, -0x1.f3155eabf7df5p-2, -0x1.f120768b7c87p-2, -0x1.ef26f8c2a1297p-2, -0x1.ed28fabbd742p-2, -0x1.eb2691e615ddp-2, -0x1.e91fd3b3a54a1p-2, -0x1.e714d598f0861p-2, -0x1.e505ad0b5d3e5p-2, -0x1.e2f26f80291a4p-2, -0x1.e0db326b4e0f4p-2, -0x1.dec00b3e6b19dp-2, -0x1.dca10f67b23ddp-2, -0x1.da7e5450dee27p-2, -0x1.d857ef5e2d7fap-2, -0x1.d62df5ed59e4p-2, -0x1.d4007d54a3331p-2, -0x1.d1cf9ae1d367dp-2, -0x1.cf9b63d94cffbp-2, -0x1.cd63ed7519869p-2, -0x1.cb294ce402407p-2, -0x1.c8eb9748a710cp-2, -0x1.c6aae1b89dbdp-2, -0x1.c467413b92f18p-2, -0x1.c220caca708d5p-2, -0x1.bfd7934e84cf7p-2, -0x1.bd8bafa0b3311p-2, -0x1.bb3d3488a1baap-2, -0x1.b8ec36bbeeb4bp-2, -0x1.b698cadd6739cp-2, -0x1.b443057c437f7p-2, -0x1.b1eafb1363202p-2, -0x1.af90c00890de9p-2, -0x1.ad3468abc354fp-2, -0x1.aad6093669846p-2, -0x1.a875b5caafea1p-2, -0x1.a6138272d255bp-2, -0x1.a3af832068e95p-2, -0x1.a149cbabbe559p-2, -0x1.9ee26fd323728p-2, -0x1.9c79833a4971p-2, -0x1.9a0f19699d5e4p-2, -0x1.97a345cda4f8dp-2, -0x1.95361bb6613d5p-2, -0x1.92c7ae56b1642p-2, -0x1.905810c3b8113p-2, -0x1.8de755f4463c8p-2, -0x1.8b7590c044c8p-2, -0x1.8902d3e0235d2p-2, -0x1.868f31ec490c4p-2, -0x1.841abd5c871f6p-2, -0x1.81a588878e1fcp-2, -0x1.7f2fa5a267b2p-2, -0x1.7cb926bff071dp-2, -0x1.7a421dd055533p-2, -0x1.77ca9ca09335ep-2, -0x1.7552b4d9fa6e6p-2, -0x1.72da7801b1de9p-2, -0x1.7061f77840a6fp-2, -0x1.6de9447916156p-2, -0x1.6b70701a17bcap-2, -0x1.68f78b4b31be1p-2, -0x1.667ea6d5e470bp-2, -0x1.6405d35cdde78p-2, -0x1.618d215b8e30cp-2, -0x1.5f14a125c0dccp-2, -0x1.5c9c62e73a093p-2, -0x1.5a2476a354bdcp-2, -0x1.57acec34a5af5p-2, -0x1.5535d34c9d927p-2, -0x1.52bf3b7330b47p-2, -0x1.504934068219ap-2, -0x1.4dd3cc3a8cd94p-2, -0x1.4b5f1318d4f31p-2, -0x1.48eb178019e7ap-2, -0x1.4677e824071d9p-2, -0x1.4405938cf0971p-2, -0x1.41942817882dep-2, -0x1.3f23b3f49cec5p-2, -0x1.3cb44528d914fp-2, -0x1.3a45e98c85009p-2, -0x1.37d8aecb4bbe6p-2, -0x1.356ca26403395p-2, -0x1.3301d1a8761f4p-2, -0x1.309849bd329f1p-2, -0x1.2e30179957d4bp-2, -0x1.2bc948066c71dp-2, -0x1.2963e7a031e18p-2, -0x1.270002d47d23dp-2, -0x1.249da5e3139e8p-2, -0x1.223cdcdd87edfp-2, -0x1.1fddb3a71b8c7p-2, -0x1.1d8035f4a3fdfp-2, -0x1.1b246f4c6eaacp-2, -0x1.18ca6b062d148p-2, -0x1.1672344adf49bp-2, -0x1.141bd614c39f6p-2, -0x1.11c75b2f497ffp-2, -0x1.0f74ce3704a9bp-2, -0x1.0d243999a5b4ep-2, -0x1.0ad5a795f299dp-2, -0x1.0889223bc63ffp-2, -0x1.063eb36c0ddacp-2, -0x1.03f664d8cbfdap-2, -0x1.01b040051ec4p-2, -0x1.fed89c8a8cd51p-3, -0x1.fa55317d5ed8ep-3, -0x1.f5d650d0020e2p-3, -0x1.f15c0c12577a7p-3, -0x1.ece67476fa43fp-3, -0x1.e8759ad364a26p-3, -0x1.e4098fa022028p-3, -0x1.dfa262f9058f6p-3, -0x1.db40249d5d36ap-3, -0x1.d6e2e3f035637p-3, -0x1.d28aaff89934ap-3, -0x1.ce379761d7f9dp-3, -0x1.c9e9a87bd8c3bp-3, -0x1.c5a0f13b6446dp-3, -0x1.c15d7f3a7f75ap-3, -0x1.bd1f5fb8c6faap-3, -0x1.b8e69f9bc8f14p-3, -0x1.b4b34b6f6e73p-3, -0x1.b0856f666363p-3, -0x1.ac5d175a7d581p-3, -0x1.a83a4ecd325bbp-3, -0x1.a41d20e80d063p-3, -0x1.a005987d233dap-3, -0x1.9bf3c00794ep-3, -0x1.97e7a1ac0c2f9p-3, -0x1.93e1473946297p-3, -0x1.8fe0ba2895959p-3, -0x1.8be6039e76cd1p-3, -0x1.87f12c6b19d37p-3, -0x1.84023d0af9a15p-3, -0x1.80193da775321p-3, -0x1.7c363617642bp-3, -0x1.78592ddfbeddp-3, -0x1.74822c3434adep-3, -0x1.70b137f7db23ap-3, -0x1.6ce657bdcdfafp-3, -0x1.692191c9dd50ep-3, -0x1.6562ec113cadcp-3, -0x1.61aa6c3b2f6c6p-3, -0x1.5df817a1c171cp-3, -0x1.5a4bf3527638p-3, -0x1.56a6040f0970dp-3, -0x1.53064e4e23574p-3, -0x1.4f6cd63c178fep-3, -0x1.4bd99fbba94fcp-3, -0x1.484cae66c7992p-3, -0x1.44c6058f54061p-3, -0x1.4145a83fe7d0bp-3, -0x1.3dcb993c9d417p-3, -0x1.3a57db03d91d6p-3, -0x1.36ea6fcf15d69p-3, -0x1.33835993b07f3p-3, -0x1.30229a03b9411p-3, -0x1.2cc8328ec2f44p-3, -0x1.29742462b477ep-3, -0x1.2626706ca1144p-3, -0x1.22df175991e94p-3, -0x1.1f9e199768deap-3, -0x1.1c637755acb5fp-3, -0x1.192f308669575p-3, -0x1.160144df020b5p-3, -0x1.12d9b3d91005fp-3, -0x1.0fb87cb339e73p-3, -0x1.0c9d9e721083ap-3, -0x1.098917e0e827ap-3, -0x1.067ae792baa6ap-3, -0x1.03730be2fc38dp-3, -0x1.007182f6802dep-3, -0x1.faec9578a29e8p-4, -0x1.f502c1dd2459ep-4, -0x1.ef258626b3cbbp-4, -0x1.e954dcfb2726cp-4, -0x1.e390c09bb0dc3p-4, -0x1.ddd92ae6ac85fp-4, -0x1.d82e1559435a7p-4, -0x1.d28f79113ad99p-4, -0x1.ccfd4ecea3cedp-4, -0x1.c7778ef5a032p-4, -0x1.c1fe319010672p-4, -0x1.bc912e4f5053bp-4, -0x1.b7307c8df4738p-4, -0x1.b1dc135177189p-4, -0x1.ac93e94bf1fb7p-4, -0x1.a757f4ddd7cbbp-4, -0x1.a2282c179a662p-4, -0x1.9d0484bb6627ap-4, -0x1.97ecf43ecce37p-4, -0x1.92e16fcc70ac7p-4, -0x1.8de1ec45b2d7ap-4, -0x1.88ee5e445ca89p-4, -0x1.8406ba1c460f4p-4, -0x1.7f2af3dcf8b3bp-4, -0x1.7a5aff5356595p-4, -0x1.7596d00b34e17p-4, -0x1.70de5950ffee8p-4, -0x1.6c318e3352ca2p-4, -0x1.679061848e6bfp-4, -0x1.62fac5dc6fae3p-4, -0x1.5e70ad99a932ep-4, -0x1.59f20ae368b53p-4, -0x1.557ecfaaea6c7p-4, -0x1.5116edad023bfp-4, -0x1.4cba5673a1e47p-4, -0x1.4868fb575d471p-4, -0x1.4422cd80e87efp-4, -0x1.3fe7bdea97eb3p-4, -0x1.3bb7bd61d820dp-4, -0x1.3792bc88a5284p-4, -0x1.3378abd6fe36ap-4, -0x1.2f697b9c4e246p-4, -0x1.2b651c00e224p-4, -0x1.276b7d0749c74p-4, -0x1.237c8e8dbc4afp-4, -0x1.1f98404f7ab87p-4, -0x1.1bbe81e62c0c2p-4, -0x1.17ef42cb376c3p-4, -0x1.142a725915396p-4, -0x1.106fffcca6fc9p-4, -0x1.0cbfda467abeep-4, -0x1.0919f0cc21079p-4, -0x1.057e3249673b8p-4, -0x1.01ec8d919ea6fp-4, -0x1.fcc9e2c1ad602p-5, -0x1.f5ce98ba30882p-5, -0x1.eee71a2f3acccp-5, -0x1.e813441bf22ddp-5, -0x1.e152f3569f2a2p-5, -0x1.daa60492f366bp-5, -0x1.d40c54644ddf5p-5, -0x1.cd85bf4000d9fp-5, -0x1.c712217f96cb1p-5, -0x1.c0b15762e97dcp-5, -0x1.ba633d1263735p-5, -0x1.b427aea1089e3p-5, -0x1.adfe880ea6de8p-5, -0x1.a7e7a549c6759p-5, -0x1.a1e2e231d102cp-5, -0x1.9bf01a98f6b4dp-5, -0x1.960f2a462cd01p-5, -0x1.903fecf71e224p-5, -0x1.8a823e620ecb8p-5, -0x1.84d5fa37b24e5p-5, -0x1.7f3afc250b1fep-5, -0x1.79b11fd52bf61p-5, -0x1.743840f303491p-5, -0x1.6ed03b2b10514p-5, -0x1.6978ea2d201c1p-5, -0x1.643229adf03dbp-5, -0x1.5efbd568d01a5p-5, -0x1.59d5c92148851p-5, -0x1.54bfe0a49d04bp-5, -0x1.4fb9f7cb69f23p-5, -0x1.4ac3ea7b15348p-5, -0x1.45dd94a75309ep-5, -0x1.4106d2539bb08p-5, -0x1.3c3f7f948ae42p-5, -0x1.3787789150f3fp-5, -0x1.32de9984fe8c2p-5, -0x1.2e44bebfeca5dp-5, -0x1.29b9c4a8eded5p-5, -0x1.253d87beb5a3dp-5, -0x1.20cfe498f0beap-5, -0x1.1c70b7e997525p-5, -0x1.181fde7e06c0ap-5, -0x1.13dd354031024p-5, -0x1.0fa89937ca2ecp-5, -0x1.0b81e78b3ec6dp-5, -0x1.0768fd80e40c9p-5, -0x1.035db87ff11eap-5, -0x1.febfec2311ecep-6, -0x1.f6df27c3659e2p-6, -0x1.ef18df809ec2fp-6, -0x1.e76ccf440cc62p-6, -0x1.dfdab34262676p-6, -0x1.d86247fd6cd54p-6, -0x1.d1034a45d6bd6p-6, -0x1.c9bd773caed85p-6, -0x1.c2908c553a752p-6, -0x1.bb7c4756370fp-6, -0x1.b480665ba24afp-6, -0x1.ad9ca7d80a54p-6, -0x1.a6d0ca95eae36p-6, -0x1.a01c8db92aa5cp-6, -0x1.997fb0c0464d1p-6, -0x1.92f9f385b1d09p-6, -0x1.8c8b1640fb0c2p-6, -0x1.8632d9880939fp-6, -0x1.7ff0fe501991ep-6, -0x1.79c545ef18cc7p-6, -0x1.73af721c4c053p-6, -0x1.6daf44f1b8506p-6, -0x1.67c480ecbd8a9p-6, -0x1.61eee8ef421ep-6, -0x1.5c2e40406e30fp-6, -0x1.56824a8d867e4p-6, -0x1.50eacbeabe08cp-6, -0x1.4b6788d3f9068p-6, -0x1.45f8462d72f35p-6, -0x1.409cc94489eep-6, -0x1.3b54d7d03a92p-6, -0x1.362037f1ec08ep-6, -0x1.30feb035bf8ebp-6, -0x1.2bf007936bffp-6, -0x1.26f4056e6ade1p-6, -0x1.220a71969d025p-6, -0x1.1d331448bbdfdp-6, -0x1.186db62ea90c7p-6, -0x1.13ba205fd00fdp-6, -0x1.0f181c618a4fdp-6, -0x1.0a87742755f3ep-6, -0x1.0607f21334302p-6, -0x1.019960f5cf454p-6, -0x1.fa77181d767b8p-7, -0x1.f1dc7e195569ap-7, -0x1.e9628c1b0ab55p-7, -0x1.e108db3d353e6p-7, -0x1.d8cf057958802p-7, -0x1.d0b4a5a822ef9p-7, -0x1.c8b957814f055p-7, -0x1.c0dcb79bdcf16p-7, -0x1.b91e636e237e7p-7, -0x1.b17df94d5e12bp-7, -0x1.a9fb186e0dcbbp-7, -0x1.a29560e3769b9p-7, -0x1.9b4c739fad5bcp-7, -0x1.941ff2730c78cp-7, -0x1.8d0f800c4a768p-7, -0x1.861abff7d8176p-7, -0x1.7f41569f9e36bp-7, -0x1.7882e94aa9575p-7, -0x1.71df1e1c8932dp-7, -0x1.6b559c14f53eep-7, -0x1.64e60b0f48625p-7, -0x1.5e9013c1dc4afp-7, -0x1.58535fbd6bcddp-7, -0x1.522f996cb1cb3p-7, -0x1.4c246c134a139p-7, -0x1.463183cd6d02p-7, -0x1.40568d8ef8356p-7, -0x1.3a933722ba8f9p-7, -0x1.34e72f29bc43cp-7, -0x1.2f52251a491c4p-7, -0x1.29d3c93f263d3p-7, -0x1.246bccb6c365dp-7, -0x1.1f19e1723a188p-7, -0x1.19ddba3476223p-7, -0x1.14b70a912522fp-7, -0x1.0fa586ebda70cp-7, -0x1.0aa8e47700502p-7, -0x1.05c0d932bd125p-7, -0x1.00ed1bec2cecbp-7, -0x1.f85ac877cdee6p-8, -0x1.ef02d50a8e1e3p-8, -0x1.e5d1cfea4fc88p-8, -0x1.dcc72d0159938p-8, -0x1.d3e261c8c4b82p-8, -0x1.cb22e545839e9p-8, -0x1.c288300695a7dp-8, -0x1.ba11bc22232e9p-8, -0x1.b1bf0533988bcp-8, -0x1.a98f8858c40fap-8, -0x1.a182c42f97cc1p-8, -0x1.999838d398569p-8, -0x1.91cf67db644e5p-8, -0x1.8a27d455eccaep-8, -0x1.82a102c835be4p-8, -0x1.7b3a792a92e49p-8, -0x1.73f3bee5d5379p-8, -0x1.6ccc5cd1466dap-8, -0x1.65c3dd2f3d062p-8, -0x1.5ed9cbaaea768p-8, -0x1.580db55582b55p-8, -0x1.515f28a3a8bb5p-8, -0x1.4acdb56a6ab57p-8, -0x1.4458ecdcfb5d8p-8, -0x1.3e00618971f05p-8, -0x1.37c3a7566056cp-8, -0x1.31a2537fffc22p-8, -0x1.2b9bfc9548bbfp-8, -0x1.25b03a755a056p-8, -0x1.1fdea64c627e6p-8, -0x1.1a26da913cef8p-8, -0x1.1488730262f2fp-8, -0x1.0f030ca30593cp-8, -0x1.099645b85d617p-8, -0x1.0441bdc6e9e7cp-8, -0x1.fe0a2b1f4c587p-9, -0x1.f3bfde19baf07p-9, -0x1.e9a3dadfa4ccp-9, -0x1.dfb56a3b36887p-9, -0x1.d5f3d75897328p-9, -0x1.cc5e6fc0d73d6p-9, -0x1.c2f48353aa698p-9, -0x1.b9b56441f4c7bp-9, -0x1.b0a06708b52e5p-9, -0x1.a7b4e26a36e51p-9, -0x1.9ef22f69a85ep-9, -0x1.9657a944c6798p-9, -0x1.8de4ad6ea9b68p-9, -0x1.85989b89b864fp-9, -0x1.7d72d562acb14p-9, -0x1.7572beea8eb8ep-9, -0x1.6d97be315f63p-9, -0x1.65e13b606bf72p-9, -0x1.5e4ea0b50af9dp-9, -0x1.56df5a7adf6fbp-9, -0x1.4f92d7069a3b3p-9, -0x1.486886b02acbdp-9, -0x1.415fdbcdd18c4p-9, -0x1.3a784aae34fc7p-9, -0x1.33b149934a76bp-9, -0x1.2d0a50ad22cf6p-9, -0x1.2682da13ed6b6p-9, -0x1.201a61c37092ap-9, -0x1.19d0659537df6p-9, -0x1.13a4653b547b5p-9, -0x1.0d95e23bb9dcap-9, -0x1.07a45fe9ec6aep-9, -0x1.01cf63631b63p-9, -0x1.f82ce70f9b97ep-10, -0x1.ecf231ef5c34dp-10, -0x1.e1edbc17b94efp-10, -0x1.d71e9da43145fp-10, -0x1.cc83f20f3b2d5p-10, -0x1.c21cd8289af1bp-10, -0x1.b7e8720b18fe1p-10, -0x1.ade5e5129ab55p-10, -0x1.a41459d282f9dp-10, -0x1.9a72fc0c36bcfp-10, -0x1.9100faa460ac9p-10, -0x1.87bd879ac9c83p-10, -0x1.7ea7d7ff70052p-10, -0x1.75bf23e9ee4c7p-10, -0x1.6d02a66fb47abp-10, -0x1.64719d9ac79b2p-10, -0x1.5c0b4a5fe2431p-10, -0x1.53cef096f2a7fp-10, -0x1.4bbbd6ef99454p-10, -0x1.43d146ea208bdp-10, -0x1.3c0e8ccd3a288p-10, -0x1.3472f79dd317fp-10, -0x1.2cfdd915778f8p-10, -0x1.25ae859a72807p-10, -0x1.1e8454365a08ep-10, -0x1.177e9e8df46b4p-10, -0x1.109cc0d8026bdp-10, -0x1.09de19d58cfdbp-10, -0x1.03420ac92ef7p-10, -0x1.f98feedc4c80ep-11, -0x1.ecde8be1d59bap-11, -0x1.e06ebdcd92ff9p-11, -0x1.d43f5a8a57ddp-11, -0x1.c84f3cb50fc21p-11, -0x1.bc9d438ae3e6ep-11, -0x1.b12852db671f6p-11, -0x1.a5ef52f61772dp-11, -0x1.9af1309ed999cp-11, -0x1.902cdcfaf4d3fp-11, -0x1.85a14d83dc40bp-11, -0x1.7b4d7bf7ab258p-11, -0x1.7130664a5feebp-11, -0x1.67490e96ab8dbp-11, -0x1.5d967b0fcc59fp-11, -0x1.5417b5f2ebbfap-11, -0x1.4acbcd78cbde1p-11, -0x1.41b1d3c81bc87p-11, -0x1.38c8dee6bfcfap-11, -0x1.301008ac35bfdp-11, -0x1.27866eb3d8eacp-11, -0x1.1f2b324fb0748p-11, -0x1.16fd787a5eec4p-11, -0x1.0efc69ca21ea1p-11, -0x1.07273263e1e25p-11, -0x1.fefa03dbf5301p-12, -0x1.effa17081e98p-12, -0x1.e14d0b50aa8e8p-12, -0x1.d2f154731da8fp-12, -0x1.c4e56cca481c8p-12, -0x1.b727d5360e165p-12, -0x1.a9b71502d8b4fp-12, -0x1.9c91b9d31747fp-12, -0x1.8fb65785e2053p-12, -0x1.8323882007177p-12, -0x1.76d7ebb58fea7p-12, -0x1.6ad22851f4b35p-12, -0x1.5f10e9e098ed9p-12, -0x1.5392e218d1111p-12, -0x1.4856c8658c4bp-12, -0x1.3d5b59d1201bp-12, -0x1.329f58ee340dcp-12, -0x1.28218dc368dffp-12, -0x1.1de0c5b591094p-12, -0x1.13dbd374182d4p-12, -0x1.0a118ee3226e4p-12, -0x1.0080d507a340ap-12, -0x1.ee510fe74c775p-13, -0x1.dc0f1d6274dffp-13, -0x1.ca39aa635ebfp-13, -0x1.b8ce986ed235dp-13, -0x1.a7cbd2881d1e5p-13, -0x1.972f4d09e66d7p-13, -0x1.86f7058469176p-13, -0x1.7721029571129p-13, -0x1.67ab53c37831ep-13, -0x1.5894115df4758p-13, -0x1.49d95c57854d6p-13, -0x1.3b795e22c633bp-13, -0x1.2d72488fcc69bp-13, -0x1.1fc255ac209dbp-13, -0x1.1267c79f440edp-13, -0x1.0560e88aa130fp-13, -0x1.f15814d27fee9p-14, -0x1.d88f0ddbf4d49p-14, -0x1.c0637eccb395fp-14, -0x1.a8d23932009a9p-14, -0x1.91d81d50f5f2p-14, -0x1.7b7219e673615p-14, -0x1.659d2bed79e4p-14, -0x1.50565e64b4f32p-14, -0x1.3b9aca10a5733p-14, -0x1.27679543e98a9p-14, -0x1.13b9f3a5dcc59p-14, -0x1.008f25fdfe816p-14, -0x1.dbc8f3f272e43p-15, -0x1.b76e93e680b72p-15, -0x1.9409f98184d68p-15, -0x1.71960afd8bbbfp-15, -0x1.500dc6b373fafp-15, -0x1.2f6c42b7c9689p-15, -0x1.0facac720708ap-15, -0x1.e194907f6c6bdp-16, -0x1.a580e217cdedcp-16, -0x1.6b152fe60a2f5p-16, -0x1.324887bb458cbp-16, -0x1.f624449f833abp-17, -0x1.8ad2c4f6e3adap-17, -0x1.228ba92d5acd1p-17, -0x1.7a7cb694ea098p-18, -0x1.6b6a55eef856ap-19, 0x1.2be7d24cb2ea5p-23, 0x1.85bfb31fd9b75p-19, 0x1.76eb61596dca8p-18, 0x1.12cffde207557p-17, 0x1.678d9dd967396p-17, 0x1.b9bd11d9531bap-17, 0x1.04b64a1a94cb9p-16, 0x1.2b550cca9e067p-16, 0x1.50c1a9092ad72p-16, 0x1.7502d53951d86p-16, 0x1.981f26b3c4356p-16, 0x1.ba1d124ae8741p-16, 0x1.db02eced038fp-16, 0x1.fad6ec255e6c7p-16, 0x1.0ccf935b3d4f8p-15, 0x1.1bb0ca8abe066p-15, 0x1.2a120900cc51ep-15, 0x1.37f62d81ea67ap-15, 0x1.4560087889eb7p-15, 0x1.52525c394c76p-15, 0x1.5ecfdd4330b66p-15, 0x1.6adb3279f04fp-15, 0x1.7676f56ac1b3ep-15, 0x1.81a5b28578418p-15, 0x1.8c69e9578f09cp-15, 0x1.96c60ccc0de6ep-15, 0x1.a0bc836442876p-15, 0x1.aa4fa76ecee5p-15, 0x1.b381c73f1e0e6p-15, 0x1.bc552569e7d0bp-15, 0x1.c4cbf8f78893bp-15, 0x1.cce86d9b5b7a3p-15, 0x1.d4aca3ea14582p-15, 0x1.dc1ab18c678acp-15, 0x1.e334a16ede5bap-15, 0x1.e9fc73f9c92bap-15, 0x1.f0741f404563bp-15, 0x1.f69d8f2fc96d2p-15, 0x1.fc7aa5c01d1bfp-15, 0x1.01069d91dd1c5p-14, 0x1.03ab8efaf3963p-14, 0x1.062d09b38f682p-14, 0x1.088bebb5e2a65p-14, 0x1.0ac90e7320b29p-14, 0x1.0ce546e90337fp-14, 0x1.0ee165b808287p-14, 0x1.10be3737c6474p-14, 0x1.127c838ac64cep-14, 0x1.141d0eb3f0498p-14, 0x1.15a098a998528p-14, 0x1.1707dd687a131p-14, 0x1.18539508b1166p-14, 0x1.198473cf5457bp-14, 0x1.1a9b2a411a182p-14, 0x1.1b986534b79bbp-14, 0x1.1c7ccde469cf3p-14, 0x1.1d4909ffd0419p-14, 0x1.1dfdbbbd2c1bcp-14, 0x1.1e9b81ea5598fp-14, 0x1.1f22f7fd5e452p-14, 0x1.1f94b6255e496p-14, 0x1.1ff1515a45b25p-14, 0x1.20395b6c0ded9p-14, 0x1.206d6312f416ap-14, 0x1.208df3feef164p-14, 0x1.209b96e6406fdp-14, 0x1.2096d193e38bdp-14, 0x1.208026f6b40a8p-14, 0x1.2058172f9baa1p-14, 0x1.201f1f9f07b5dp-14, 0x1.1fd5baf29e3acp-14, 0x1.1f7c61333b78ep-14, 0x1.1f1387d229b6p-14, 0x1.1e9ba1b593a12p-14, 0x1.1e151f45612c6p-14, 0x1.1d806e77d1357p-14, 0x1.1cddfade4570bp-14, 0x1.1c2e2db0b35f7p-14, 0x1.1b716dd95ec54p-14, 0x1.1aa8200188083p-14, 0x1.19d2a69b909b1p-14, 0x1.18f161eedeb3dp-14, 0x1.1804b0232a684p-14, 0x1.170ced4ac1fb5p-14, 0x1.160a736cf3a21p-14, 0x1.14fd9a91703e8p-14, 0x1.13e6b8c94c7f5p-14, 0x1.12c62239f278ap-14, 0x1.119c292656a59p-14, 0x1.10691df9570c5p-14, 0x1.0f2d4f4f1a38bp-14, 0x1.0de909fdc56a7p-14, 0x1.0c9c991efa018p-14, 0x1.0b484618e13e3p-14, 0x1.09ec58a6ffccfp-14, 0x1.088916e2a2ffcp-14, 0x1.071ec54bb0edbp-14, 0x1.05ada6d04201p-14, 0x1.0435fcd57454dp-14, 0x1.02b8073f6a52cp-14, 0x1.01340479145a3p-14, 0x1.ff5462f686658p-15, 0x1.fc3593aa2ede3p-15, 0x1.f90c0f65c9b5ap-15, 0x1.f5d847cb7f352p-15, 0x1.f29aabd4c43f2p-15, 0x1.ef53a7e11a7cfp-15, 0x1.ec03a5c2ab77fp-15, 0x1.e8ab0ccbfe86dp-15, 0x1.e54a41de5a395p-15, 0x1.e1e1a774ee26ap-15, 0x1.de719db3557e7p-15, 0x1.dafa8270987d4p-15, 0x1.d77cb14415b4p-15, 0x1.d3f88390ea86fp-15, 0x1.d06e5092aeb3ep-15, 0x1.ccde6d6826266p-15, 0x1.c9492d1eeeff7p-15, 0x1.c5aee0be87b8p-15, 0x1.c20fd752579f6p-15, 0x1.be6c5df590682p-15, 0x1.bac4bfdced26cp-15, 0x1.b7194660e9a62p-15, 0x1.b36a39086857fp-15, 0x1.afb7dd91de53bp-15, 0x1.ac0277fd136a3p-15, 0x1.a84a4a947a18cp-15, 0x1.a48f95f6e133bp-15, 0x1.a0d2991ff465bp-15, 0x1.9d1391715f899p-15, 0x1.9952babc0010ep-15, 0x1.95904f47ccc0fp-15, 0x1.91cc87dcad06bp-15, 0x1.8e079bca1a724p-15, 0x1.8a41c0ef6f7e5p-15, 0x1.867b2bc40b1cp-15, 0x1.82b40f5e8c37bp-15, 0x1.7eec9d7d1c2e2p-15, 0x1.7b25068bf574p-15, 0x1.775d79ad567e1p-15, 0x1.739624c02fae6p-15, 0x1.6fcf34676bd1ap-15, 0x1.6c08d410b3aaep-15, 0x1.68432dfb2bba7p-15, 0x1.647e6b3d8bee3p-15, 0x1.60bab3cd61fedp-15, 0x1.5cf82e849a731p-15, 0x1.593701285ed45p-15, 0x1.5577506e02b0dp-15, 0x1.51b9400299eb3p-15, 0x1.4dfcf28f36474p-15, 0x1.4a4289bf39d33p-15, 0x1.468a2645a6fe9p-15, 0x1.42d3e7e354bffp-15, 0x1.3f1fed6b28872p-15, 0x1.3b6e54c85a99ep-15, 0x1.37bf3b02f0dfbp-15, 0x1.3412bc45059a1p-15, 0x1.3068f3df5b0cbp-15, 0x1.2cc1fc4eb7d38p-15, 0x1.291def4004021p-15, 0x1.257ce5953fdfap-15, 0x1.21def76a34621p-15, 0x1.1e443c1840ad8p-15, 0x1.1aacca3b604e5p-15, 0x1.1718b7b608935p-15, 0x1.138819b534055p-15, 0x1.0ffb04b492facp-15, 0x1.0c718c82abf55p-15, 0x1.08ebc4449f0a8p-15, 0x1.0569be7a2bf44p-15, 0x1.01eb8d012bf9dp-15, 0x1.fce2823219239p-16, 0x1.f5f5d6ce2ec22p-16, 0x1.ef1137f2db5bep-16, 0x1.e834c494ae1b1p-16, 0x1.e1609a877aecap-16, 0x1.da94d685cf4ecp-16, 0x1.d3d19435d98fp-16, 0x1.cd16ee3146cccp-16, 0x1.c664fe0a682fdp-16, 0x1.bfbbdc5288ecap-16, 0x1.b91ba09f41987p-16, 0x1.b2846191ad8eep-16, 0x1.abf634db2e285p-16, 0x1.a5712f42f7b41p-16, 0x1.9ef564ab353dbp-16, 0x1.9882e81717f3ap-16, 0x1.9219cbaf29f4fp-16, 0x1.8bba20c71c256p-16, 0x1.8563f7e2d67e2p-16, 0x1.7f1760ba9e2fp-16, 0x1.78d46a405cb2ap-16, 0x1.729b22a418153p-16, 0x1.6c6b9758eac4fp-16, 0x1.6645d5186abfap-16, 0x1.6029e7e8e435p-16, 0x1.5a17db1fa1e9bp-16, 0x1.540fb965f4e2bp-16, 0x1.4e118cbdf9c5ap-16, 0x1.481d5e86b4e32p-16, 0x1.4233377da0b17p-16, 0x1.3c531fc54a6e7p-16, 0x1.367d1ee73c1d6p-16, 0x1.30b13bd88e05bp-16, 0x1.2aef7cfd8b1fdp-16, 0x1.2537e82db32ecp-16, 0x1.1f8a82b58fd85p-16, 0x1.19e7515b08e46p-16, 0x1.144e586188ec9p-16, 0x1.0ebf9b8b5d009p-16, 0x1.093b1e1dcba56p-16, 0x1.03c0e2e4e47ep-16, 0x1.fca1d86adbc7ap-17, 0x1.f1d677e1ef25dp-17, 0x1.e71fa70f17763p-17, 0x1.dc7d67f4b5a69p-17, 0x1.d1efbbc0e5217p-17, 0x1.c776a2cf6b8f4p-17, 0x1.bd121caea4679p-17, 0x1.b2c2282759e84p-17, 0x1.a886c340a498bp-17, 0x1.9e5feb4347a8p-17, 0x1.944d9cc2e0e2ap-17, 0x1.8a4fd39dbd765p-17, 0x1.80668b02995cdp-17, 0x1.7691bd77f3bcbp-17, 0x1.6cd164ddebef5p-17, 0x1.63257a7349e42p-17, 0x1.598df6da83a2ep-17, 0x1.500ad21d350b7p-17, 0x1.469c03af2dcdcp-17, 0x1.3d4182748a2e7p-17, 0x1.33fb44c48e447p-17, 0x1.2ac9406ca7422p-17, 0x1.21ab6ab511217p-17, 0x1.18a1b8650365bp-17, 0x1.0fac1dc50ed3p-17, 0x1.06ca8ea49154ep-17, 0x1.fbf9fcb16f8b1p-18, 0x1.ea86bf8c8337fp-18, 0x1.d93b4abcc632cp-18, 0x1.c817824ba2ed9p-18, 0x1.b71b4971f2e7bp-18, 0x1.a646829634ae8p-18, 0x1.95990f57005edp-18, 0x1.8512d093240ebp-18, 0x1.74b3a668c5dd7p-18, 0x1.647b704194e8ap-18, 0x1.546a0cd50a561p-18, 0x1.447f5a2ba4d5dp-18, 0x1.34bb35ac7985dp-18, 0x1.251d7c1856802p-18, 0x1.15a609935c05p-18, 0x1.0654b9ab4d73cp-18, 0x1.ee52ceb5dda02p-19, 0x1.d047da16b002bp-19, 0x1.b2884940d9f2bp-19, 0x1.9513ceea4daa1p-19, 0x1.77ea1cc98a864p-19, 0x1.5b0ae39af9961p-19, 0x1.3e75d32c01c98p-19, 0x1.222a9a61aff62p-19, 0x1.0628e73bdde2cp-19, 0x1.d4e0cdccfc261p-20, 0x1.9e018b71ecab2p-20, 0x1.67b35e7eb8d0dp-20, 0x1.31f59c9c71fcp-20, 0x1.f98f33c6b8cb4p-21, 0x1.9051522b6f749p-21, 0x1.2830373b2c8d5p-21, 0x1.82550620cec6ap-22, 0x1.6cfb4d9835daap-23, -0x1.32878f7a3729ap-26, -0x1.b5404e7651288p-23, -0x1.9fec364d7678dp-22, -0x1.3187be7041d72p-21, -0x1.92066abbd15eep-21, -0x1.f1738f45e2a7ap-21, -0x1.27e84e9681946p-20, -0x1.568f8399bcb3fp-20, -0x1.84b020e8a0104p-20, -0x1.b24ae1942dde7p-20, -0x1.df608155b500ep-20, -0x1.05f8de56a7badp-19, -0x1.1bffa860f0d6ap-19, -0x1.31c4fdaef898cp-19, -0x1.47493d6e73178p-19, -0x1.5c8cc71ae2dc2p-19, -0x1.718ffa6fae5b8p-19, -0x1.8653376519c68p-19, -0x1.9ad6de3397035p-19, -0x1.af1b4f3fac301p-19, -0x1.c320eb294f198p-19, }}, 
      {{-0x1.945cfa6f3c504p-1, -0x1.9464f40957067p-1, -0x1.946edb4dfc9f9p-1, -0x1.9477398ca77a5p-1, -0x1.947acd16ec877p-1, -0x1.9476e108e8c5cp-1, -0x1.94696b4113311p-1, -0x1.94510a57869b4p-1, -0x1.942cf3f0ed4a9p-1, -0x1.93fcdcd217453p-1, -0x1.93c0dfa68a75ap-1, -0x1.937964de39913p-1, -0x1.93270cb0aaadep-1, -0x1.92ca9bb0ea059p-1, -0x1.9264ea15d4ad7p-1, -0x1.91f6d5ba80a14p-1, -0x1.918136c8fae6p-1, -0x1.9104d6f33559ap-1, -0x1.90826b0ff8bc8p-1, -0x1.8ffa8ee47180bp-1, -0x1.8f6dc2d7eba3bp-1, -0x1.8edc6b47dae5p-1, -0x1.8e46d12eebcc6p-1, -0x1.8dad23d280682p-1, -0x1.8d0f7b2e36b22p-1, -0x1.8c6ddadbf74c1p-1, -0x1.8bc8353fbff88p-1, -0x1.8b1e6ec7f38b3p-1, -0x1.8a70611cc3ee8p-1, -0x1.89bdde229633p-1, -0x1.8906b2bbbfacp-1, -0x1.884aa93d5a5p-1, -0x1.87898b910e0a9p-1, -0x1.86c32502913d5p-1, -0x1.85f743bb6022p-1, -0x1.8525b9f1c3bbep-1, -0x1.844e5ed2091aep-1, -0x1.83710f29be019p-1, -0x1.828daddd1edccp-1, -0x1.81a4242ed6fc6p-1, -0x1.80b461e1bc5c1p-1, -0x1.7fbe5d3b93486p-1, -0x1.7ec212ef1d2fdp-1, -0x1.7dbf85f2e504ep-1, -0x1.7cb6bf49680dap-1, -0x1.7ba7cdbe6faafp-1, -0x1.7a92c59cb6d1fp-1, -0x1.7977c05e55a2bp-1, -0x1.7856dc59db83bp-1, -0x1.77303c6d8bd42p-1, -0x1.760407a9cfa6cp-1, -0x1.74d268fba386ep-1, -0x1.739b8ed789d76p-1, -0x1.725faae561e4ap-1, -0x1.711ef1ad695e8p-1, -0x1.6fd99a468cf44p-1, -0x1.6e8fde062fa6bp-1, -0x1.6d41f83184161p-1, -0x1.6bf025b08e38dp-1, -0x1.6a9aa4c2ecee3p-1, -0x1.6941b4b68a35ap-1, -0x1.67e595a054208p-1, -0x1.6686881724fa3p-1, -0x1.6524ccf105f8ap-1, -0x1.63c0a502f8a7dp-1, -0x1.625a50e3722b8p-1, -0x1.60f210afb79d3p-1, -0x1.5f8823d443fd6p-1, -0x1.5e1cc8d863b3p-1, -0x1.5cb03d2d23b91p-1, -0x1.5b42bcffb9dd6p-1, -0x1.59d4830f7c45ap-1, -0x1.5865c8877a42cp-1, -0x1.56f6c4dbc5678p-1, -0x1.5587adaa71099p-1, -0x1.5418b6a042769p-1, -0x1.52aa11610e1e8p-1, -0x1.513bed73b250bp-1, -0x1.4fce78319872ap-1, -0x1.4e61dcb9a562ep-1, -0x1.4cf643e675d7ap-1, -0x1.4b8bd447c7b86p-1, -0x1.4a22b21ee19aap-1, -0x1.48baff5dd371cp-1, -0x1.4754dba95cfb1p-1, -0x1.45f0645d4db49p-1, -0x1.448db49329ceap-1, -0x1.432ce52ae30f4p-1, -0x1.41ce0cd571f9ep-1, -0x1.407140211e318p-1, -0x1.3f16918740a58p-1, -0x1.3dbe117b52ad7p-1, -0x1.3c67ce7b16659p-1, -0x1.3b13d51fae4cfp-1, -0x1.39c2302f74dcbp-1, -0x1.3872e8b06cbc2p-1, -0x1.372605fb22349p-1, -0x1.35db8dcdd6c0fp-1, -0x1.3493845fd7ef2p-1, -0x1.334dec74e1b13p-1, -0x1.320ac7706bc9cp-1, -0x1.30ca1568cda94p-1, -0x1.2f8bd53a1f395p-1, -0x1.2e500498bf7e9p-1, -0x1.2d16a0237450dp-1, -0x1.2bdfa3750f5ebp-1, -0x1.2aab09358c644p-1, -0x1.2978cb2a9f586p-1, -0x1.2848e247a6e95p-1, -0x1.271b46bcfeaa7p-1, -0x1.25eff006abab6p-1, -0x1.24c6d4fa5ea3p-1, -0x1.239febd4ccc7p-1, -0x1.227b2a465a416p-1, -0x1.2158857f1e9ffp-1, -0x1.2037f23a3c6afp-1, -0x1.1f1964c896729p-1, -0x1.1dfcd11ae3ec7p-1, -0x1.1ce22acb25cb6p-1, -0x1.1bc9652587e11p-1, -0x1.1ab27330adc88p-1, -0x1.199d47b577ea3p-1, -0x1.1889d546425c8p-1, -0x1.17780e45a5fb2p-1, -0x1.1667e4ecc52aap-1, -0x1.15594b512804ep-1, -0x1.144c336a2fa1p-1, -0x1.13408f162b042p-1, -0x1.1236501f0fb72p-1, -0x1.112d683edfe5p-1, -0x1.1025c923c463bp-1, -0x1.0f1f6473e106fp-1, -0x1.0e1a2bd0e84cep-1, -0x1.0d1610db764e1p-1, -0x1.0c130536355d1p-1, -0x1.0b10fa88d71b6p-1, -0x1.0a0fe282e079dp-1, -0x1.090faede5251bp-1, -0x1.081051623090dp-1, -0x1.0711bbe4ec5eep-1, -0x1.0613e04eb5d9ep-1, -0x1.0516b09bb7649p-1, -0x1.041a1ede3d9abp-1, -0x1.031e1d40d0faap-1, -0x1.02229e083fb9p-1, -0x1.012793959de7fp-1, -0x1.002cf0683b1p-1, -0x1.fe654e3f1f4c1p-2, -0x1.fc7154fa47d0bp-2, -0x1.fa7ddacce2084p-2, -0x1.f88ac5cd7baa2p-2, -0x1.f697fc61eeee6p-2, -0x1.f4a565430923ap-2, -0x1.f2b2e78030639p-2, -0x1.f0c06a82fe48cp-2, -0x1.eecdd612d55d5p-2, -0x1.ecdb125870618p-2, -0x1.eae807e16a18p-2, -0x1.e8f49fa3bd986p-2, -0x1.e700c3013ac18p-2, -0x1.e50c5bcaf6465p-2, -0x1.e3175444a8228p-2, -0x1.e12197280376dp-2, -0x1.df2b0fa7fbec8p-2, -0x1.dd33a973fd76p-2, -0x1.db3b50bb151c6p-2, -0x1.d941f22f02ed3p-2, -0x1.d7477b073cf52p-2, -0x1.d54bd903d8475p-2, -0x1.d34efa705d58fp-2, -0x1.d150ce2683bcp-2, -0x1.cf514390d143bp-2, -0x1.cd504aad20f82p-2, -0x1.cb4dd40f09ef4p-2, -0x1.c949d0e22ap-2, -0x1.c74432ec4f084p-2, -0x1.c53cec8f80f95p-2, -0x1.c333f0cbe8446p-2, -0x1.c1293341934bp-2, -0x1.bf1ca83215fc4p-2, -0x1.bd0e448205d2ep-2, -0x1.bafdfdba5070ap-2, -0x1.b8ebca096b157p-2, -0x1.b6d7a0445d95ap-2, -0x1.b4c177e7a2363p-2, -0x1.b2a94917e33acp-2, -0x1.b08f0ca28b985p-2, -0x1.ae72bbfe3407p-2, -0x1.ac54514ae4199p-2, -0x1.aa33c7522fb51p-2, -0x1.a8111987288d2p-2, -0x1.a5ec4406295d8p-2, -0x1.a3c543947b501p-2, -0x1.a19c159fd19bap-2, -0x1.9f70b83d9edeep-2, -0x1.9d432a2a46dbap-2, -0x1.9b136ac826daap-2, -0x1.98e17a1e7ca2cp-2, -0x1.96ad58d82488fp-2, -0x1.9477084237d5dp-2, -0x1.923e8a4a87fc6p-2, -0x1.9003e17df38cdp-2, -0x1.8dc71106a1a5cp-2, -0x1.8b881caa140d4p-2, -0x1.894708c7226bfp-2, -0x1.8703da53d1774p-2, -0x1.84be96db1099ap-2, -0x1.8277447a59b28p-2, -0x1.802de9df35214p-2, -0x1.7de28e44a680ap-2, -0x1.7b9539707eff4p-2, -0x1.7945f3b097872p-2, -0x1.76f4c5d7f639cp-2, -0x1.74a1b93bdc9cep-2, -0x1.724cd7b0c2dddp-2, -0x1.6ff62b87425eap-2, -0x1.6d9dbf88e9641p-2, -0x1.6b439ef50354fp-2, -0x1.68e7d57d4e7fep-2, -0x1.668a6f42a4bp-2, -0x1.642b78d19770fp-2, -0x1.61caff1f01c47p-2, -0x1.5f690f8489926p-2, -0x1.5d05b7bd1ee6p-2, -0x1.5aa105e16d883p-2, -0x1.583b08644b868p-2, -0x1.55d3ce0f1af85p-2, -0x1.536b65fe309b1p-2, -0x1.5101df9d2ccbcp-2, -0x1.4e974aa35642ep-2, -0x1.4c2bb70ff37f2p-2, -0x1.49bf3526a11b2p-2, -0x1.4751d56ba7426p-2, -0x1.44e3a8a055bf7p-2, -0x1.4274bfbf57ae3p-2, -0x1.40052bf916933p-2, -0x1.3d94feb015f8fp-2, -0x1.3b2449755a0bbp-2, -0x1.38b31e04d0d94p-2, -0x1.36418e41c30a3p-2, -0x1.33cfac3349721p-2, -0x1.315d8a00cafabp-2, -0x1.2eeb39ee85fe9p-2, -0x1.2c78ce5a1c471p-2, -0x1.2a0659b72d8e2p-2, -0x1.2793ee8bfb3c1p-2, -0x1.25219f6e14103p-2, -0x1.22af7eff108p-2, -0x1.203d9fe954cdbp-2, -0x1.1dcc14dce3d54p-2, -0x1.1b5af08c3e2a4p-2, -0x1.18ea45a94b52fp-2, -0x1.167a26e2550b9p-2, -0x1.140aa6df0df93p-2, -0x1.119bd83da831cp-2, -0x1.0f2dcd8ff7a3ap-2, -0x1.0cc09958a99a5p-2, -0x1.0a544e08857e9p-2, -0x1.07e8fdfbc0f15p-2, -0x1.057ebb7762699p-2, -0x1.031598a6b4182p-2, -0x1.00ada798ca25dp-2, -0x1.fc8df47c27dfp-3, -0x1.f7c344cc03dddp-3, -0x1.f2fb63797b559p-3, -0x1.ee367391de93bp-3, -0x1.e97497d325f56p-3, -0x1.e4b5f2a7d09d8p-3, -0x1.dffaa622cf7a7p-3, -0x1.db42d3fba18ecp-3, -0x1.d68e9d8a8b7dcp-3, -0x1.d1de23c4f78e9p-3, -0x1.cd318739f478ep-3, -0x1.c888e80ed59ddp-3, -0x1.c3e465fbf9f57p-3, -0x1.bf442049ae403p-3, -0x1.baa835cd3f99fp-3, -0x1.b610c4e61b3ddp-3, -0x1.b17deb7b23f32p-3, -0x1.acefc6f819f21p-3, -0x1.a866744b3248ap-3, -0x1.a3e20fe2be14dp-3, -0x1.9f62b5ab06855p-3, -0x1.9ae8810c3368bp-3, -0x1.96738ce86a07fp-3, -0x1.9203f399f066bp-3, -0x1.8d99cef18b731p-3, -0x1.89353834e51fap-3, -0x1.84d6481d203acp-3, -0x1.807d16d58162bp-3, -0x1.7c29bbfa3ceacp-3, -0x1.77dc4e9758fbep-3, -0x1.7394e527b74a4p-3, -0x1.6f5395942cdddp-3, -0x1.6b187532c6b6bp-3, -0x1.66e398c61ac2ep-3, -0x1.62b5147cb79c2p-3, -0x1.5e8cfbf0ba199p-3, -0x1.5a6b622762e0ep-3, -0x1.56505990e361bp-3, -0x1.523bf4082ad14p-3, -0x1.4e2e42d2d8f8cp-3, -0x1.4a2756a141ba1p-3, -0x1.46273f8e8d9b4p-3, -0x1.422e0d20e5c1bp-3, -0x1.3e3bce49c5bfcp-3, -0x1.3a50916650065p-3, -0x1.366c643fc9097p-3, -0x1.328f540c13475p-3, -0x1.2eb96d6e53c48p-3, -0x1.2aeabc7795a7cp-3, -0x1.27234ca78c9e7p-3, -0x1.236328ed6635ap-3, -0x1.1faa5ba8a7836p-3, -0x1.1bf8eeaa21aebp-3, -0x1.184eeb34f3a98p-3, -0x1.14ac59ff99fcdp-3, -0x1.111143350d89fp-3, -0x1.0d7dae75f685ep-3, -0x1.09f1a2d9e2fa1p-3, -0x1.066d26f094239p-3, -0x1.02f040c34e75cp-3, -0x1.fef5ebac8800fp-4, -0x1.f81a9653edd75p-4, -0x1.f14e8a7978fdp-4, -0x1.ea91d0186cf3p-4, -0x1.e3e46e2dd12d7p-4, -0x1.dd466abb8e001p-4, -0x1.d6b7cacbb586cp-4, -0x1.d0389273ce4fap-4, -0x1.c9c8c4d83322p-4, -0x1.c368642f80d7ep-4, -0x1.bd1771c61b164p-4, -0x1.b6d5ee01a6776p-4, -0x1.b0a3d864ab2b1p-4, -0x1.aa812f9237972p-4, -0x1.a46df1517f73p-4, -0x1.9e6a1a9198cbep-4, -0x1.9875a76d4098ap-4, -0x1.9290932e9655ap-4, -0x1.8cbad852efba3p-4, -0x1.86f4708eabe6ep-4, -0x1.813d54d109916p-4, -0x1.7b957d4809db3p-4, -0x1.75fce1644eef7p-4, -0x1.707377dd063c8p-4, -0x1.6af936b3cb1e2p-4, -0x1.658e133896b81p-4, -0x1.6032020daa8acp-4, -0x1.5ae4f72b78ea9p-4, -0x1.55a6e5e49ad6ap-4, -0x1.5077c0e9b247fp-4, -0x1.4b577a4d5ba24p-4, -0x1.46460388132ddp-4, -0x1.41434d7c208d1p-4, -0x1.3c4f4879790bdp-4, -0x1.3769e4419e971p-4, -0x1.3293100b7e87ep-4, -0x1.2dcaba874cbc2p-4, -0x1.2910d1e254a89p-4, -0x1.246543cac87b7p-4, -0x1.1fc7fd738d6e3p-4, -0x1.1b38eb97fa5edp-4, -0x1.16b7fa7f97a43p-4, -0x1.12451601d4813p-4, -0x1.0de02989b2be4p-4, -0x1.09892019729c9p-4, -0x1.053fe44e2d049p-4, -0x1.010460636b117p-4, -0x1.f9acfc6d6dd93p-5, -0x1.f16c4e963c1f5p-5, -0x1.e94689995cd86p-5, -0x1.e13b7f27c9f2cp-5, -0x1.d94b00523fe74p-5, -0x1.d174dd8fe22efp-5, -0x1.c9b8e6c4fad0dp-5, -0x1.c216eb4980955p-5, -0x1.ba8eb9ef9b77fp-5, -0x1.b320210a0e00ep-5, -0x1.abcaee728928ap-5, -0x1.a48eef8feac5p-5, -0x1.9d6bf15c5f765p-5, -0x1.9661c06b79527p-5, -0x1.8f7028f0273f2p-5, -0x1.8896f6c293519p-5, -0x1.81d5f565f1b29p-5, -0x1.7b2cf00e2dbbfp-5, -0x1.749bb1a58a6b3p-5, -0x1.6e2204d21fa51p-5, -0x1.67bfb3fb4d9f1p-5, -0x1.6174894eff60fp-5, -0x1.5b404ec6f39bap-5, -0x1.5522ce2dd5a61p-5, -0x1.4f1bd1244b381p-5, -0x1.492b2125dd8d8p-5, -0x1.4350878dd9bdcp-5, -0x1.3d8bcd9c0951p-5, -0x1.37dcbc7959f1ep-5, -0x1.32431d3c705d7p-5, -0x1.2cbeb8ee1173ep-5, -0x1.274f588d92532p-5, -0x1.21f4c51508681p-5, -0x1.1caec77d7fd58p-5, -0x1.177d28c315007p-5, -0x1.125fb1e8e5a72p-5, -0x1.0d562bfcf6b4ap-5, -0x1.0860601c0282cp-5, -0x1.037e17752fe23p-5, -0x1.fd5e369b52f1cp-6, -0x1.f3e66a0844f45p-6, -0x1.ea945c2892271p-6, -0x1.e167a0342d6ffp-6, -0x1.d85fc9aa2c6f5p-6, -0x1.cf7c6c570f6cap-6, -0x1.c6bd1c5ae8e4ep-6, -0x1.be216e2f5c48cp-6, -0x1.b5a8f6ad5b492p-6, -0x1.ad534b12d0d82p-6, -0x1.a520010814927p-6, -0x1.9d0eaea52aca7p-6, -0x1.951eea76f2fbap-6, -0x1.8d504b840e775p-6, -0x1.85a26951b8fe9p-6, -0x1.7e14dbe85c65bp-6, -0x1.76a73bd819aa2p-6, -0x1.6f59223d0d119p-6, -0x1.682a28c38d5cdp-6, -0x1.6119e9ac15d47p-6, -0x1.5a27ffcf3a301p-6, -0x1.535406a1509a5p-6, -0x1.4c9d9a360fbep-6, -0x1.46045743f1b7ep-6, -0x1.3f87db278840dp-6, -0x1.3927c3e69e2dfp-6, -0x1.32e3b0333891bp-6, -0x1.2cbb3f6e80a4dp-6, -0x1.26ae11ab76178p-6, -0x1.20bbc7b1a2cabp-6, -0x1.1ae402ff7a18cp-6, -0x1.152665ccd713bp-6, -0x1.0f82930d2165bp-6, -0x1.09f82e717aa31p-6, -0x1.0486dc6abbc27p-6, -0x1.fe5c8456a5d54p-7, -0x1.f3dc0b522d64ap-7, -0x1.e98b9b3dbc869p-7, -0x1.df6a831c2ec38p-7, -0x1.d5781380890dp-7, -0x1.cbb39e9078b03p-7, -0x1.c21c7806e7654p-7, -0x1.b8b1f5364d38cp-7, -0x1.af736d0aa2c18p-7, -0x1.a660380b670a9p-7, -0x1.9d77b05d3ec06p-7, -0x1.94b931c372feep-7, -0x1.8c2419a1599b6p-7, -0x1.83b7c6fb68fccp-7, -0x1.7b739a7846532p-7, -0x1.7356f66195e21p-7, -0x1.6b613ea4902f7p-7, -0x1.6391d8d29fa39p-7, -0x1.5be82c21a57f4p-7, -0x1.5463a16c30befp-7, -0x1.4d03a33187f52p-7, -0x1.45c79d959d0b5p-7, -0x1.3eaefe60c3a77p-7, -0x1.37b934ff58815p-7, -0x1.30e5b2814c031p-7, -0x1.2a33e9996d93ap-7, -0x1.23a34e9cc7118p-7, -0x1.1d335781a4fbep-7, -0x1.16e37bdea809ep-7, -0x1.10b334e9ae818p-7, -0x1.0aa1fd769ee06p-7, -0x1.04af51f6023e9p-7, -0x1.fdb560e7a1df7p-8, -0x1.f247312b4c998p-8, -0x1.e7131732ce1aap-8, -0x1.dc1818a6dd308p-8, -0x1.d1553e5977cfdp-8, -0x1.c6c994425ea45p-8, -0x1.bc74297af14fdp-8, -0x1.b254103a59796p-8, -0x1.a8685dd1144bep-8, -0x1.9eb02aa4a9451p-8, -0x1.952a922b3dd63p-8, -0x1.8bd6b2e6e335fp-8, -0x1.82b3ae60a1c4dp-8, -0x1.79c0a923dadb2p-8, -0x1.70fccab90b46ep-8, -0x1.68673da0c2fbbp-8, -0x1.5fff2f4e53047p-8, -0x1.57c3d0229bd3p-8, -0x1.4fb4536655dcfp-8, -0x1.47cfef44cbef4p-8, -0x1.4015dcc60a2dcp-8, -0x1.388557c93282p-8, -0x1.311d9efec5c82p-8, -0x1.29ddf3e2a8dd6p-8, -0x1.22c59ab6434c4p-8, -0x1.1bd3da7a5ea36p-8, -0x1.1507fce952147p-8, -0x1.0e614e7092fabp-8, -0x1.07df1e2ad9288p-8, -0x1.0180bdd9833cdp-8, -0x1.f68b03bd2d424p-9, -0x1.ea59826cd50b8p-9, -0x1.de6baae21d805p-9, -0x1.d2c035583ceeep-9, -0x1.c755df1879ee3p-9, -0x1.bc2b6a6d38b83p-9, -0x1.b13f9e9500a19p-9, -0x1.a69147b588e3ap-9, -0x1.9c1f36ce79664p-9, -0x1.91e841acafd53p-9, -0x1.87eb42dc9a855p-9, -0x1.7e27199d7bd96p-9, -0x1.749aa9d443412p-9, -0x1.6b44dbfde6fe5p-9, -0x1.62249d22e0f55p-9, -0x1.5938dec983f12p-9, -0x1.508096e8fdbafp-9, -0x1.47fabfdc376abp-9, -0x1.3fa65854797b4p-9, -0x1.3782634c86a6fp-9, -0x1.2f8de7fb7576cp-9, -0x1.27c7f1c764aa1p-9, -0x1.202f9038c79cep-9, -0x1.18c3d6ed22017p-9, -0x1.1183dd8a09674p-9, -0x1.0a6ebfb03dd73p-9, -0x1.03839ceef519fp-9, -0x1.f983316dcba2fp-10, -0x1.ec4fb49a9b025p-10, -0x1.df6b197f06a5ap-10, -0x1.d2d3bdabf45cap-10, -0x1.c688061035fa7p-10, -0x1.ba865ede0c09fp-10, -0x1.aecd3b73e40b8p-10, -0x1.a35b1641ec0d3p-10, -0x1.982e70b263b1dp-10, -0x1.8d45d310e9234p-10, -0x1.829fcc71d5c83p-10, -0x1.783af29a15b22p-10, -0x1.6e15e1e765815p-10, -0x1.642f3d3806ebfp-10, -0x1.5a85add35af4ap-10, -0x1.5117e35231d19p-10, -0x1.47e4938758c07p-10, -0x1.3eea7a68cc3bdp-10, -0x1.362859f7f81f5p-10, -0x1.2d9cfa2bb245fp-10, -0x1.254728d90d0bfp-10, -0x1.1d25b99d566e7p-10, -0x1.153785c720986p-10, -0x1.0d7b6c4140962p-10, -0x1.05f0517bf49bap-10, -0x1.fd2a3eafbb88bp-11, -0x1.eed18a2075f68p-11, -0x1.e0d46e4bd85f9p-11, -0x1.d330de943afd7p-11, -0x1.c5e4d89313211p-11, -0x1.b8ee63efda90dp-11, -0x1.ac4b9236da868p-11, -0x1.9ffa7eb185b2ap-11, -0x1.93f94e3d62877p-11, -0x1.88462f2570f99p-11, -0x1.7cdf58fa1e475p-11, -0x1.71c30c6b4b0d9p-11, -0x1.66ef932163cb4p-11, -0x1.5c633f97ee4afp-11, -0x1.521c6cf7b7592p-11, -0x1.48197ef21b4d6p-11, -0x1.3e58e19c2f478p-11, -0x1.34d9094ad5bc3p-11, -0x1.2b98726e9875cp-11, -0x1.2295a170c5444p-11, -0x1.19cf22902a85fp-11, -0x1.114389bed8e5cp-11, -0x1.08f1727fdcfe6p-11, -0x1.00d77fc5f15cbp-11, -0x1.f1e8b7a3aaa03p-12, -0x1.e28d7024e564ep-12, -0x1.d39a9a0642424p-12, -0x1.c50db41a26d0cp-12, -0x1.b6e44acd49cb2p-12, -0x1.a91bf7ea12c0ap-12, -0x1.9bb2625b197f5p-12, -0x1.8ea53ded6af28p-12, -0x1.81f24b15e0c8bp-12, -0x1.759756b623fadp-12, -0x1.699239e22960ap-12, -0x1.5de0d9a6e3364p-12, -0x1.528126d2109d7p-12, -0x1.47711dba4e6b4p-12, -0x1.3caec607f553ap-12, -0x1.3238327fb0884p-12, -0x1.280b80cc10ef4p-12, -0x1.1e26d949c3712p-12, -0x1.14886ed3c7462p-12, -0x1.0b2e7e8ffde33p-12, -0x1.02174fbcdb952p-12, -0x1.f28267012c066p-13, -0x1.e155096ddc05cp-13, -0x1.d0a34f85c6effp-13, -0x1.c06a14bba65bfp-13, -0x1.b0a646d325818p-13, -0x1.a154e585a4a7ep-13, -0x1.927302279a34bp-13, -0x1.83fdbf4e16db3p-13, -0x1.75f25079d3879p-13, -0x1.684df9bf63e7fp-13, -0x1.5b0e0f7286fe6p-13, -0x1.4e2ff5d36632ap-13, -0x1.41b120bbebce4p-13, -0x1.358f134ff30e5p-13, -0x1.29c75fac6015bp-13, -0x1.1e57a69b53b71p-13, -0x1.133d974484f5dp-13, -0x1.0876eee44bb1ep-13, -0x1.fc02f1001a61ep-14, -0x1.e7b61939a1978p-14, -0x1.d40321f30585dp-14, -0x1.c0e5f08bd2992p-14, -0x1.ae5a83bd4354p-14, -0x1.9c5cf31147767p-14, -0x1.8ae96e5d394c6p-14, -0x1.79fc3d3d0fd33p-14, -0x1.6991be9390cb6p-14, -0x1.59a6680aa0555p-14, -0x1.4a36c594b912dp-14, -0x1.3b3f78f507c2ap-14, -0x1.2cbd3944da502p-14, -0x1.1eacd27e4a41cp-14, -0x1.110b2507b2b7bp-14, -0x1.03d52543a4d0bp-14, -0x1.ee0fb63a1dd6fp-15, -0x1.d540c337e4321p-15, -0x1.bd37ccf318fa1p-15, -0x1.a5ef536a055cp-15, -0x1.8f61fa599f722p-15, -0x1.798a886fc8e29p-15, -0x1.6463e68347ddp-15, -0x1.4fe91ecf79c71p-15, -0x1.3c155c338c121p-15, -0x1.28e3e97417087p-15, -0x1.16503084f840dp-15, -0x1.0455b9cdb7269p-15, -0x1.e5e056fe2c343p-16, -0x1.c43691b9b0b5bp-16, -0x1.a3a5e328dd675p-16, -0x1.84264228c0723p-16, -0x1.65afdbd0552bdp-16, -0x1.483b122e1a6efp-16, -0x1.2bc07b0856f27p-16, -0x1.1038dea6888a3p-16, -0x1.eb3a6d3c9ef4ep-17, -0x1.b7cd595c74788p-17, -0x1.861d332c3f975p-17, -0x1.561d07ee0ff93p-17, -0x1.27c03e78d6169p-17, -0x1.f5f52a3155b94p-18, -0x1.9f803ec66cb0ap-18, -0x1.4c0a886292294p-18, -0x1.f6faee763116p-19, -0x1.5b8634004abf9p-19, -0x1.8b186825201c4p-20, -0x1.a71b792ccc872p-22, 0x1.5a71d0982d814p-21, 0x1.ba35603497439p-20, 0x1.5ebd67266e7c6p-19, 0x1.dba9aac82df76p-19, 0x1.2a01c13f0494p-18, 0x1.63f6f91ce32ep-18, 0x1.9bc5808e99032p-18, 0x1.d17ddfdbe8037p-18, 0x1.0298139b2c85dp-17, 0x1.1b75f8dd5fec1p-17, 0x1.33603436e10e4p-17, 0x1.4a5e229d24024p-17, 0x1.6076eadabcc22p-17, 0x1.75b17efa9a53cp-17, 0x1.8a149daa1aea1p-17, 0x1.9da6d38915221p-17, 0x1.b06e7c7eee1b1p-17, 0x1.c271c4fcb269p-17, 0x1.d3b6ab424bfb8p-17, 0x1.e443008d4ecb8p-17, 0x1.f41c6a54c5271p-17, 0x1.01a431b6b4392p-16, 0x1.08e61e987439cp-16, 0x1.0fd6904cd7039p-16, 0x1.167807ab99ea1p-16, 0x1.1cccf271c3f06p-16, 0x1.22d7abc3a9e8dp-16, 0x1.289a7cae19afep-16, 0x1.2e179ca7b4f5ep-16, 0x1.3351320ace94cp-16, 0x1.3849528f18572p-16, 0x1.3d0203be56c4dp-16, 0x1.417d3b68cb6fcp-16, 0x1.45bce014fa4d8p-16, 0x1.49c2c96cc285p-16, 0x1.4d90c0a7ba1dp-16, 0x1.512880f59c672p-16, 0x1.548bb7e1d52afp-16, 0x1.57bc05b91078p-16, 0x1.5abafde809ceap-16, 0x1.5d8a275c62d21p-16, 0x1.602afcdd7e6c3p-16, 0x1.629eed68cd35dp-16, 0x1.64e75c886c775p-16, 0x1.6705a2a996539p-16, 0x1.68fb0d6edbf7p-16, 0x1.6ac8e0017ef58p-16, 0x1.6c705361fbd95p-16, 0x1.6df296b233df8p-16, 0x1.6f50cf83000a9p-16, 0x1.708c1a1c36829p-16, 0x1.71a589c3b9862p-16, 0x1.729e290507563p-16, 0x1.7376f9f1c5bd4p-16, 0x1.7430f665f373ep-16, 0x1.74cd104716e56p-16, 0x1.754c31c2bd225p-16, 0x1.75af3d8a24a59p-16, 0x1.75f70f0fcf34bp-16, 0x1.76247abf383c9p-16, 0x1.76384e35f14d2p-16, 0x1.76335079c20e4p-16, 0x1.7616422d7640cp-16, 0x1.75e1ddc4350c9p-16, 0x1.7596d7b4e6b82p-16, 0x1.7535dea8bdf0bp-16, 0x1.74bf9bacd9b4ap-16, 0x1.7434b25fdbc61p-16, 0x1.7395c11ec3c42p-16, 0x1.72e3612fa52fdp-16, 0x1.721e26ed92918p-16, 0x1.7146a1f0c02a2p-16, 0x1.705d5d36bf248p-16, 0x1.6f62df48446e8p-16, 0x1.6e57aa610c018p-16, 0x1.6d3c3c9391b68p-16, 0x1.6c110febf9db4p-16, 0x1.6ad69a939907p-16, 0x1.698d4ef228bcbp-16, 0x1.68359bce51ff1p-16, 0x1.66cfec6c90ea7p-16, 0x1.655ca8aecbbabp-16, 0x1.63dc35323f3cdp-16, 0x1.624ef36b6dcd9p-16, 0x1.60b541c329882p-16, 0x1.5f0f7bb103ec5p-16, 0x1.5d5df9d6a362p-16, 0x1.5ba1121783715p-16, 0x1.59d917b230b92p-16, 0x1.58065b594cb15p-16, 0x1.56292b4a6ae7cp-16, 0x1.5441d363f5a43p-16, 0x1.52509d3ad82dep-16, 0x1.5055d03052245p-16, 0x1.4e51b186a2afap-16, 0x1.4c4484739dbe9p-16, 0x1.4a2e8a3456b09p-16, 0x1.4810021fb704ap-16, 0x1.45e929b8912afp-16, 0x1.43ba3cbf02cb9p-16, 0x1.41837540bf782p-16, 0x1.3f450ba95b5d7p-16, 0x1.3cff36d26b712p-16, 0x1.3ab22c123e0eep-16, 0x1.385e1f4a14c26p-16, 0x1.360342f4913b4p-16, 0x1.33a1c833aef5bp-16, 0x1.3139deddaf64bp-16, 0x1.2ecbb5899895p-16, 0x1.2c57799bf1c81p-16, 0x1.29dd5751fc63ep-16, 0x1.275d79ce6677bp-16, 0x1.24d80b22829ecp-16, 0x1.224d34595f11fp-16, 0x1.1fbd1d82eb231p-16, 0x1.1d27edbcd0ba5p-16, 0x1.1a8dcb3c8ae1ap-16, 0x1.17eedb5851feap-16, 0x1.154b428fdd886p-16, 0x1.12a32494f34d7p-16, 0x1.0ff6a4532e67p-16, 0x1.0d45e3f852afdp-16, 0x1.0a9104fb3456ap-16, 0x1.07d8282363702p-16, 0x1.051b6d9095f61p-16, 0x1.025af4c0ae881p-16, 0x1.ff2db92c856e8p-17, 0x1.f99e86bde214bp-17, 0x1.f4088db1d3494p-17, 0x1.ee6c08715fb42p-17, 0x1.e8c9305d69b36p-17, 0x1.e3203dd9197d2p-17, 0x1.dd7168534c7e7p-17, 0x1.d7bce6502e84fp-17, 0x1.d202ed7343523p-17, 0x1.cc43b2872e474p-17, 0x1.c67f698640f2p-17, 0x1.c0b645a2c01a4p-17, 0x1.bae8794e16fdbp-17, 0x1.b516364013312p-17, 0x1.af3fad7e8844fp-17, 0x1.a9650f632ee47p-17, 0x1.a3868ba223ec9p-17, 0x1.9da4514fb35dep-17, 0x1.97be8ee63a5d9p-17, 0x1.91d5724bddfa4p-17, 0x1.8be928d7d2f92p-17, 0x1.85f9df55e11dp-17, 0x1.8007c20bfd18ep-17, 0x1.7a12fcbf37028p-17, 0x1.741bbab6b3406p-17, 0x1.6e2226c09338ap-17, 0x1.68266b358873p-17, 0x1.6228b1fc6eeedp-17, 0x1.5c29248d93e36p-17, 0x1.5627ebf553e29p-17, 0x1.502530d712557p-17, 0x1.4a211b7014703p-17, 0x1.441bd39a798cp-17, 0x1.3e1580cfed087p-17, 0x1.380e4a2b27835p-17, 0x1.3206566a5d482p-17, 0x1.2bfdcbf17be3dp-17, 0x1.25f4d0cb9b83p-17, 0x1.1feb8aad35512p-17, 0x1.19e21ef4d5059p-17, 0x1.13d8b2aceaf4dp-17, 0x1.0dcf6a8e83ff8p-17, 0x1.07c66b0114894p-17, 0x1.01bdd81c57a7cp-17, 0x1.f76bab51d4fbdp-18, 0x1.eb5d0e41cb6e7p-18, 0x1.df501f627c5dp-18, 0x1.d34524765d504p-18, 0x1.c73c62a7b6e34p-18, 0x1.bb361e8a7c4e9p-18, 0x1.af329c1d93201p-18, 0x1.a3321ecbd9cf1p-18, 0x1.9734e96d2ada8p-18, 0x1.8b3b3e46f746ep-18, 0x1.7f455f0cc808fp-18, 0x1.73538ce0c9cfbp-18, 0x1.6766085496346p-18, 0x1.5b7d116983911p-18, 0x1.4f98e790070d7p-18, 0x1.43b9c9a8c5dd1p-18, 0x1.37dff6035d17dp-18, 0x1.2c0baa5f15defp-18, 0x1.203d23eb1d47ap-18, 0x1.14749f46cf01dp-18, 0x1.08b2587fe5017p-18, 0x1.f9ed1628e74ap-19, 0x1.e282e3e058e2fp-19, 0x1.cb268ed963e56p-19, 0x1.b3d88aa45044dp-19, 0x1.9c9949ab0d501p-19, 0x1.85693d338b845p-19, 0x1.6e48d55c98638p-19, 0x1.5738811bab409p-19, 0x1.4038ae3e7428ap-19, 0x1.2949c96a8b2ecp-19, 0x1.126c3e173f273p-19, 0x1.f740ed22cb356p-20, 0x1.c9cdb7eb566b4p-20, 0x1.9c7fac628f471p-20, 0x1.6f57980845d9dp-20, 0x1.425645f725b4ep-20, 0x1.157c7ee36e7c3p-20, 0x1.d1961232d1958p-21, 0x1.788550f6bd27bp-21, 0x1.1fc83d006f9c5p-21, 0x1.8ec0a8bc05061p-22, 0x1.bd3c40d74b1cap-23, 0x1.795e4ca42a91dp-25, -0x1.fe4df476a587ap-24, -0x1.2d9cded3e0c02p-22, -0x1.daed90af26fa6p-22, -0x1.43c168def26acp-21, -0x1.99acf5812ffdp-21, -0x1.ef3817ca5239fp-21, -0x1.2230bf1fde2a7p-20, -0x1.4c93ee3b869bbp-20, -0x1.76c4f5891b628p-20, -0x1.a0c333dc62281p-20, -0x1.ca8e0a95fb8b8p-20, -0x1.f424dd9f0968dp-20, -0x1.0ec389b607349p-19, -0x1.235a0a80cf1ap-19, -0x1.37d5a6f7439fbp-19, -0x1.4c361628ade05p-19, -0x1.607b106c5c93dp-19, -0x1.74a44f5f2e909p-19, -0x1.88b18de825962p-19, -0x1.9ca2883708f79p-19, -0x1.b076fbc580a5fp-19, -0x1.c42ea755e8471p-19, -0x1.d7c94af2b705cp-19, -0x1.eb46a7ef0ccd6p-19, -0x1.fea680e7dd79p-19, -0x1.08f44ce15f13p-18, -0x1.12865bd6f2063p-18, -0x1.1c0950907ee9ap-18, -0x1.257d0eed48434p-18, -0x1.2ee17b7087e05p-18, -0x1.38367b4189a35p-18, -0x1.417bf42b30711p-18, -0x1.4ab1cc9b26168p-18, -0x1.53d7eba25098p-18, -0x1.5cee38f3deedp-18, -0x1.65f49ce544f74p-18, -0x1.6eeb006d07f7ep-18, -0x1.77d14d24386e3p-18, -0x1.80a76d44caaeap-18, -0x1.896d4ba8ff90cp-18, -0x1.9222d3cb2b133p-18, -0x1.9ac7f1c46978dp-18, -0x1.a35c924db3b1cp-18, -0x1.abe0a2bdc3811p-18, -0x1.b4541109d2decp-18, -0x1.bcb6cbc36a7fp-18, -0x1.c508c21919b66p-18, -0x1.cd49e3d4e94afp-18, -0x1.d57a215b4472fp-18, -0x1.dd996bac2e63cp-18, -0x1.e5a7b45fe4392p-18, -0x1.eda4eda82fa0cp-18, -0x1.f5910a4ea8ac3p-18, -0x1.fd6bfdb4896d9p-18, -0x1.029adde872b49p-17, -0x1.06771c97ca70ep-17, -0x1.0a4ab578c27c9p-17, -0x1.0e15a3658464cp-17, -0x1.11d7e181b886bp-17, -0x1.15916b3a09d6p-17, -0x1.19423c432aab6p-17, -0x1.1cea5099a885dp-17, -0x1.2089a481546f4p-17, -0x1.242034853fd08p-17, -0x1.27adfd766aecdp-17, -0x1.2b32fc6bd856ap-17, -0x1.2eaf2ec1a50ddp-17, -0x1.32229218847d2p-17, -0x1.358d2455771fbp-17, -0x1.38eee3a0ecff9p-17, -0x1.3c47ce664eabcp-17, -0x1.3f97e353954fdp-17, -0x1.42df215885fcbp-17, -0x1.461d87a600653p-17, -0x1.495315ad2ee9p-17, -0x1.4c7fcb1fe3891p-17, -0x1.4fa3a7ef03f2dp-17, -0x1.52beac4a3376fp-17, -0x1.55d0d89f99d2ep-17, -0x1.58da2d9a7ca16p-17, -0x1.5bdaac22f240dp-17, -0x1.5ed2555dc5006p-17, -0x1.61c12aab20746p-17, -0x1.64a72da63c6f2p-17, -0x1.6784602449be4p-17, -0x1.6a58c43493507p-17, -0x1.6d245c1f53e3ap-17, -0x1.6fe72a64e9608p-17, -0x1.72a131bdc670fp-17, -0x1.75527518adfaap-17, -0x1.77faf79b6462p-17, -0x1.7a9abca1261aep-17, -0x1.7d31c7ba178b3p-17, -0x1.7fc01caad1c02p-17, -0x1.8245bf6b5c23dp-17, -0x1.84c2b426f89cp-17, -0x1.8736ff3b20216p-17, -0x1.89a2a536a4cfep-17, -0x1.8c05aad96e2acp-17, -0x1.8e601513dc067p-17, -0x1.90b1e9058f3eep-17, -0x1.92fb2bfd32f3ep-17, -0x1.953be3776211dp-17, -0x1.9774151e5c611p-17, -0x1.99a3c6c8e4da4p-17, -0x1.9bcafe7a6e52fp-17, -0x1.9de9c2618969p-17, -0x1.a00018d7b382dp-17, -0x1.a20e086005947p-17, -0x1.a41397a74e108p-17, -0x1.a610cd8332f82p-17, -0x1.a805b0f0e945dp-17, -0x1.a9f24915985e3p-17, -0x1.abd69d3c4c0a6p-17, -0x1.adb2b4d6afd1dp-17, -0x1.af86977b7fc71p-17, -0x1.b1524ce5fcbd8p-17, -0x1.b315dcf5bb491p-17, -0x1.b4d14fad3b74dp-17, -0x1.b684ad31c90e7p-17, -0x1.b82ffdca783dcp-17, -0x1.b9d349df86fdfp-17, -0x1.bb6e99fac651dp-17, -0x1.bd01f6c4c83f8p-17, -0x1.be8d690614388p-17, -0x1.c010f9a597e67p-17, -0x1.c18cb1a881b35p-17, -0x1.c3009a3179e7fp-17, -0x1.c46cbc80128ebp-17, -0x1.c5d121ef3f755p-17, -0x1.c72dd3f5f4b3ap-17, -0x1.c882dc257ef89p-17, -0x1.c9d0442a27d51p-17, -0x1.cb1615c8c727fp-17, -0x1.cc545adfd4ef9p-17, -0x1.cd8b1d669f87p-17, -0x1.ceba676ae2d5fp-17, -0x1.cfe24312ed64dp-17, -0x1.d102ba99fa7efp-17, -0x1.d21bd85276fb7p-17, -0x1.d32da6a3a9b83p-17, -0x1.d43830096fddep-17, -0x1.d53b7f13f4d17p-17, -0x1.d6379e671dc38p-17, -0x1.d72c98b977dfp-17, -0x1.d81a78d407493p-17, -0x1.d9014991d829dp-17, -0x1.d9e115df0b1dp-17, -0x1.dab9e8b894594p-17, -0x1.db8bcd2bb88a6p-17, -0x1.dc56ce54e10fp-17, -0x1.dd1af75fff692p-17, -0x1.ddd8538713a91p-17, -0x1.de8eee122f4f7p-17, -0x1.df3ed25731915p-17, -0x1.dfe80bb88d2c1p-17, -0x1.e08aa5a5aa655p-17, -0x1.e126ab98e5fdfp-17, -0x1.e1bc2919108acp-17, -0x1.e24b29b6bd95bp-17, -0x1.e2d3b90dcb9cp-17, -0x1.e355e2c37a107p-17, -0x1.e3d1b28666798p-17, -0x1.e447340e97f8cp-17, -0x1.e4b6731bca9f8p-17, -0x1.e51f7b7622231p-17, -0x1.e58258ed4a7b6p-17, -0x1.e5df1757b2737p-17, -0x1.e635c2929fd5dp-17, -0x1.e6866681500c6p-17, -0x1.e6d10f0c7389ap-17, -0x1.e715c8226bc19p-17, -0x1.e7549db5cd415p-17, -0x1.e78d9bbdea096p-17, -0x1.e7c0ce35dc8e6p-17, -0x1.e7ee411c3594p-17, -0x1.e81600729e8p-17, -0x1.e838183dcf43ep-17, -0x1.e854948428f4dp-17, -0x1.e86b814e5e693p-17, -0x1.e87ceaa65b326p-17, -0x1.e888dc97450d6p-17, -0x1.e88f632ca698cp-17, -0x1.e8908a72eb44ep-17, -0x1.e88c5e75b1dd5p-17, -0x1.e882eb410261fp-17, -0x1.e8743cdf1d6b4p-17, -0x1.e8605f5a40afbp-17, -0x1.e8475eba32ac8p-17, -0x1.e8294705a0d85p-17, -0x1.e8062440bd1dbp-17, -0x1.e7de026ce19f1p-17, -0x1.e7b0ed88f5982p-17, -0x1.e77ef19090dedp-17, -0x1.e7481a7b66025p-17, -0x1.e70c743e04d8dp-17, -0x1.e6cc0ac811a7bp-17, -0x1.e686ea058230cp-17, -0x1.e63d1ddd26ff5p-17, -0x1.e5eeb230d6a45p-17, -0x1.e59bb2dcfd4d5p-17, -0x1.e5442bb89e358p-17, -0x1.e4e828944626cp-17, -0x1.e487b53b3a1ep-17, -0x1.e422dd713e0a1p-17, -0x1.e3b9acf4399c9p-17, -0x1.e34c2f7aa4c4p-17, -0x1.e2da70b3c1517p-17, -0x1.e2647c4731c41p-17, -0x1.e1ea5dd542c8fp-17, -0x1.e16c20f5cc70dp-17, -0x1.e0e9d138e0918p-17, -0x1.e0637a25c47b9p-17, -0x1.dfd9273b5188fp-17, -0x1.df4ae3eee0699p-17, -0x1.deb8bbad524f3p-17, -0x1.de22b9d9860d7p-17, -0x1.dd88e9cd13735p-17, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      34, 0x1.2a3d70a3d70a4p+3, 0x1.d17451b49d06bp+0, 0x1.b3507f682a424p+2, -0x1.9e1cc8851dbd7p-13, 
      {{
        {0x1.eae147ae147aep+2, 0x1.ecccccccccccdp+2, 0x1.3695599ceeef1p-11, -0x1.78770177829fp-10, 0x1.563d9bdf003c4p-10, -0x1.12fd20736a991p-11}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.209aa74a817e7p-11, -0x1.644d39ae7c013p-10, 0x1.49ddbcf886f52p-10, -0x1.0b81974b06da1p-11}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.fd2dffb6b17cep-12, -0x1.4451751ca20ep-10, 0x1.35cd9e6c800b4p-10, -0x1.02ea0eb1e40bbp-11}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.bf596edd24ab4p-12, -0x1.264f0da50296p-10, 0x1.226276ebf5574p-10, -0x1.f52e45e147b8fp-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.87542b54d7348p-12, -0x1.0a35c60b1ddddp-10, 0x1.0f972119e90d6p-10, -0x1.e463a966341dp-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.54bdfc41adfc2p-12, -0x1.dfeb2294f45afp-11, 0x1.fad9fbe5c164bp-11, -0x1.d3a2e71dc5b83p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.2739e09ef81fep-12, -0x1.aefcaae61732ap-11, 0x1.d7c75dc385c3dp-11, -0x1.c2df81033ae09p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.fcdc1e7edde4ep-13, -0x1.817ff816120afp-11, 0x1.b5f69a7ce1598p-11, -0x1.b21ccffe91e63p-12}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.b407ed9a6bfc7p-13, -0x1.5754db5660885p-11, 0x1.9567a47cfcce2p-11, -0x1.a159ee746360ap-12}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.73507b93b6117p-13, -0x1.305b2657c13a6p-11, 0x1.761a7f67755adp-11, -0x1.909719ea85ac8p-12}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.3a15851cac145p-13, -0x1.0c72aaa8d9311p-11, 0x1.580f2a42ab53dp-11, -0x1.7fd441e4d7ea4p-12}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.07bd3696126ebp-13, -0x1.d6f673c2e11a7p-12, 0x1.3b45a55181895p-11, -0x1.6f116ace21325p-12}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.b768581f03e2ep-14, -0x1.9aa94b2db95c8p-12, 0x1.1fbdf0820bd85p-11, -0x1.5e4e93775e64cp-12}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.6adae28ecfc45p-14, -0x1.63bd7ebe35c6fp-12, 0x1.05780bd917f6cp-11, -0x1.4d8bbc31ce645p-12}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.28c503560bebdp-14, -0x1.31f2b19ff7043p-12, 0x1.d8e7eeaab75fbp-12, -0x1.3cc8e4e78e71ep-12}, 
        {0x1.0cccccccccccdp+3, 0x1.0e66666666666p+3, 0x1.e04d2159c931cp-15, -0x1.050886feb5bebp-12, 0x1.a96365ee62011p-12, -0x1.2c060d9eb1fbp-12}, 
        {0x1.0e66666666666p+3, 0x1.1p+3, 0x1.801880525def4p-15, -0x1.b97d440c48a52p-13, 0x1.7c627d7cfa82ep-12, -0x1.1b433655493dfp-12}, 
        {0x1.1p+3, 0x1.119999999999ap+3, 0x1.2f1f4d7cd208bp-15, -0x1.71a94bc3ed65dp-13, 0x1.51e5355695ec2p-12, -0x1.0a805f0c45dbfp-12}, 
        {0x1.119999999999ap+3, 0x1.1333333333333p+3, 0x1.d75ce2f6e69b3p-16, -0x1.32146b7bc119p-13, 0x1.29eb8d7b250a7p-12, -0x1.f37b0f853b29dp-13}, 
        {0x1.1333333333333p+3, 0x1.14ccccccccccdp+3, 0x1.68592757c27abp-16, -0x1.f47bd3165446ap-14, 0x1.047585eac09b7p-12, -0x1.d1f560f5a292ep-13}, 
        {0x1.14ccccccccccdp+3, 0x1.1666666666666p+3, 0x1.0e34344e1a2f3p-16, -0x1.934a1893271b3p-14, 0x1.c3063d4a426c6p-13, -0x1.b06fb258dd345p-13}, 
        {0x1.1666666666666p+3, 0x1.18p+3, 0x1.8c44a704e777p-17, -0x1.3f92341cac81bp-14, 0x1.8228af5687a61p-13, -0x1.8eea03ecf478dp-13}, 
        {0x1.18p+3, 0x1.199999999999ap+3, 0x1.1b169827f11fp-17, -0x1.f0a564c43e8f5p-15, 0x1.465261f2fc92fp-13, -0x1.6d6454caa949dp-13}, 
        {0x1.199999999999ap+3, 0x1.1b33333333333p+3, 0x1.88298a61d698p-18, -0x1.7914402173151p-15, 0x1.0f83553afcc73p-13, -0x1.4bdea850f82cp-13}, 
        {0x1.1b33333333333p+3, 0x1.1cccccccccccdp+3, 0x1.05b964716dfap-18, -0x1.166e13ba5d1abp-15, 0x1.bb771190e25p-14, -0x1.2a58f1ec1ee75p-13}, 
        {0x1.1cccccccccccdp+3, 0x1.1e66666666666p+3, 0x1.4dcb7915ef18p-19, -0x1.8d5ff18142cf2p-16, 0x1.61f5fc3072a3p-14, -0x1.08d36089df25p-13}, 
        {0x1.1e66666666666p+3, 0x1.2p+3, 0x1.92161a5544d81p-20, -0x1.0fae126bea088p-16, 0x1.12835f3a494dp-14, -0x1.ce9a8a1299deap-14}, 
        {0x1.2p+3, 0x1.219999999999ap+3, 0x1.c1ed628f348p-21, -0x1.5f81704e27c45p-17, 0x1.9a3ec83bcad51p-15, -0x1.8b9259fee3d0ep-14}, 
        {0x1.219999999999ap+3, 0x1.2333333333333p+3, 0x1.c810d5cb0fp-22, -0x1.a6489d24a9df6p-18, 0x1.2392e06f5347bp-15, -0x1.487b2270f6b36p-14}, 
        {0x1.2333333333333p+3, 0x1.24ccccccccccdp+3, 0x1.920fe586fe7ffp-23, -0x1.c8e27f4beb039p-19, 0x1.820f129adf5bap-16, -0x1.059c01e061e52p-14}, 
        {0x1.24ccccccccccdp+3, 0x1.2666666666666p+3, 0x1.1eb3446422p-24, -0x1.a5a5d77c622ebp-20, 0x1.ca2fbc8ee2d26p-17, -0x1.83d719a34120ep-15}, 
        {0x1.2666666666666p+3, 0x1.28p+3, 0x1.1cb8385e74001p-26, -0x1.285c50251258p-21, 0x1.c2f6f3f377886p-18, -0x1.0290a5832c48bp-15}, 
        {0x1.28p+3, 0x1.299999999999ap+3, 0x1.07bd3695p-29, -0x1.dd99c4b82b421p-24, 0x1.195f8ddf518bbp-19, -0x1.aa0c0996a08cdp-17}, 
        {0x1.299999999999ap+3, 0x1.2a3d70a3d70a4p+3, 0x1.c1ed610000001p-37, 0x1.b93c72ca8172p-29, 0x1.9bebb51bep-23, -0x1.85b4c6c49f726p-14}, 
      }}, 
      0x1.7f3f20d1ebbc9p-8, -0x1.bafaa0197de03p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{0x1.ddd1db48c3964p-7, 0x1.d98f28564bf33p-6, 0x1.5e4e1ee4a6ae3p-5, 0x1.cac85e8474124p-5, 0x1.18a6f964e0aa4p-4, 0x1.489e892d8b2adp-4, 0x1.75165f7803e2cp-4, 0x1.9df0b224c1df9p-4, 0x1.c321ca646bc89p-4, 0x1.e4ac2545a6554p-4, 0x1.014eb434004c9p-3, 0x1.0e85db30e04ffp-3, 0x1.1a09cda4a171dp-3, 0x1.23eb2ca093287p-3, 0x1.2c3c39e6f4257p-3, 0x1.331062cf187c2p-3, 0x1.387bb9807d763p-3, 0x1.3c92cdc60749dp-3, 0x1.3f6a31c4d5effp-3, 0x1.41166ca8f76f7p-3, 0x1.41abb002e66cfp-3, 0x1.413dbbc397fedp-3, 0x1.3fdfb8cd60792p-3, 0x1.3da4205cc4ebap-3, 0x1.3a9cc4030dd59p-3, 0x1.36da922bd4ff6p-3, 0x1.326dbee4d1ab7p-3, 0x1.2d65a218a4d0bp-3, 0x1.27d0bd4a1ae7ap-3, 0x1.21bcc60a091a1p-3, 0x1.1b369982afe96p-3, 0x1.144a4c1008aa8p-3, 0x1.0d032fab99911p-3, 0x1.056bd272bf1cfp-3, 0x1.fb1c193669326p-4, 0x1.eae60eb9c2892p-4, 0x1.da46904c87836p-4, 0x1.c94d52fa2eaep-4, 0x1.b808f7f543a7fp-4, 0x1.a6870c9973611p-4, 0x1.94d3f06a9d569p-4, 0x1.82fb2000b5985p-4, 0x1.710728c91f489p-4, 0x1.5f01beddefab5p-4, 0x1.4cf3cb5c98a37p-4, 0x1.3ae569a6823f5p-4, 0x1.28de097c635abp-4, 0x1.16e4869ff5d93p-4, 0x1.04ff117b2e316p-4, 0x1.e66685e652448p-5, 0x1.c30c91cecd64fp-5, 0x1.9ff96f24d5441p-5, 0x1.7d35d5672ef6fp-5, 0x1.5ac9202e03f3fp-5, 0x1.38b9c18943a3bp-5, 0x1.170e7e166f5e6p-5, 0x1.eb98f31e79d92p-6, 0x1.a9f09faf3b1b9p-6, 0x1.692d1dfe99581p-6, 0x1.2954f661a1b82p-6, 0x1.d4e0e91699d07p-7, 0x1.59045a574d3edp-7, 0x1.be497abdcb9c7p-8, 0x1.9d0e67d30c181p-9, -0x1.d2a309e84e7d1p-12, -0x1.04c00d49429cp-8, -0x1.e839ee205fa3fp-8, -0x1.63c47daad3a8fp-7, -0x1.d156de2b9c67p-7, -0x1.1e6a623c6d5dep-6, -0x1.531dd4ebb96fdp-6, -0x1.86c644526f14bp-6, -0x1.b9651c69fcaf8p-6, -0x1.eafb384ce457ap-6, -0x1.0dc4ab5fcf15ap-5, -0x1.25889f32c878fp-5, -0x1.3cca8223fe8f9p-5, -0x1.538b43cc0163p-5, -0x1.69cbd27c02facp-5, -0x1.7f8d68b91af0ap-5, -0x1.94d150e08d0edp-5, -0x1.a998ca3c83c8bp-5, -0x1.bde53c2af87bap-5, -0x1.d1b7e9f0443bp-5, -0x1.e5125418bd883p-5, -0x1.f7f5fa46aa25ep-5, -0x1.053225fa7cb9dp-4, -0x1.0e2f666bb543p-4, -0x1.16f38cc721417p-4, -0x1.1f7f54590a381p-4, -0x1.27d38a1d8fc16p-4, -0x1.2ff0f86cfca71p-4, -0x1.37d86792df864p-4, -0x1.3f8a9fef0c80ep-4, -0x1.47086bc02a078p-4, -0x1.4e5293790e3bcp-4, -0x1.5569dd57d2d69p-4, -0x1.5c4f120842e82p-4, -0x1.6302f64ab07c5p-4, -0x1.698653c338b49p-4, -0x1.6fd9e7c5704d3p-4, -0x1.75fe73341c7aep-4, -0x1.7bf4b50791203p-4, -0x1.81bd6a902039ap-4, -0x1.87594d300afe7p-4, -0x1.8cc9155560d09p-4, -0x1.920d7a328d857p-4, -0x1.97272c8e64034p-4, -0x1.9c16e329f684p-4, -0x1.a0dd42bffb8bbp-4, -0x1.a57afc47751d9p-4, -0x1.a9f0b831ddba3p-4, -0x1.ae3f1b4d38d69p-4, -0x1.b266c649f207p-4, -0x1.b6685f48c11e4p-4, -0x1.ba4478c663bc7p-4, -0x1.bdfbbe2c1ea1p-4, -0x1.c18ebbfdf3a6ap-4, -0x1.c4fe0761e414fp-4, -0x1.c84a3ae6b557bp-4, -0x1.cb73e28278a08p-4, -0x1.ce7b891a5e516p-4, -0x1.d161bac2c785bp-4, -0x1.d42700668514ep-4, -0x1.d6cbde866734fp-4, -0x1.d950d84af7047p-4, -0x1.dbb66ee482f75p-4, -0x1.ddfd1e95d16eep-4, -0x1.e02565e4e00e8p-4, -0x1.e22fbc9b70b1cp-4, -0x1.e41c9a64a29b6p-4, -0x1.e5ec74f12cb7ep-4, -0x1.e79fb9d9bad6ep-4, -0x1.e936de562f8dap-4, -0x1.eab2550f093f1p-4, -0x1.ec127ec643b14p-4, -0x1.ed57d10e52377p-4, -0x1.ee82ae2ab8466p-4, -0x1.ef937f71a8133p-4, -0x1.f08aa9562fb05p-4, -0x1.f1688ea707105p-4, -0x1.f22d927eb5d8fp-4, -0x1.f2da135d40bbbp-4, -0x1.f36e71c537aabp-4, -0x1.f3eb08fbc15cfp-4, -0x1.f4503506ca233p-4, -0x1.f49e5271123dep-4, -0x1.f4d5b4cb52e94p-4, -0x1.f4f6b95771553p-4, -0x1.f501b41d5f6dp-4, -0x1.f4f6fbd5a99c2p-4, -0x1.f4d6e3a7e6d5dp-4, -0x1.f4a1bf117119cp-4, -0x1.f457e0dd6c96ap-4, -0x1.f3f999c9e958cp-4, -0x1.f3873ad6d0419p-4, -0x1.f301136a5595ap-4, -0x1.f26771824ca83p-4, -0x1.f1baa7ae7bc46p-4, -0x1.f0fafa23f9edbp-4, -0x1.f028bf16a4917p-4, -0x1.ef443dba4bff4p-4, -0x1.ee4dc2a3a9e1ap-4, -0x1.ed45981218c5ap-4, -0x1.ec2c0a9c7abacp-4, -0x1.eb01617860aa7p-4, -0x1.e9c5e79a28b5bp-4, -0x1.e879e5e4fb90bp-4, -0x1.e71da50bbef1ap-4, -0x1.e5b16d46edd66p-4, -0x1.e4358677fc7e3p-4, -0x1.e2aa383c07ba8p-4, -0x1.e10fca007296cp-4, -0x1.df6682e1c1a26p-4, -0x1.ddaea9cb14298p-4, -0x1.dbe88404261dfp-4, -0x1.da1459bc2806dp-4, -0x1.d832727180c2fp-4, -0x1.d6430ffffbb52p-4, -0x1.d4467a1ebbd81p-4, -0x1.d23cf6b98062cp-4, -0x1.d026c99757bd2p-4, -0x1.ce0439a5b04c2p-4, -0x1.cbd58cffc8ffp-4, -0x1.c99b06276ce7cp-4, -0x1.c754eb8a48c96p-4, -0x1.c503808be98f7p-4, -0x1.c2a70c8a4695bp-4, -0x1.c03fce7f37ccp-4, -0x1.bdce0fed0116ep-4, -0x1.bb5211c6d04c7p-4, -0x1.b8cc194369dbbp-4, -0x1.b63c6a01230b8p-4, -0x1.b3a346f92b97fp-4, -0x1.b100f3e4005dbp-4, -0x1.ae55b44e1fb52p-4, -0x1.aba1cb2ec77e6p-4, -0x1.a8e57b00dc8a5p-4, -0x1.a62105cab912ep-4, -0x1.a354af33d45f5p-4, -0x1.a080b8e6f38e7p-4, -0x1.9da564c3ee313p-4, -0x1.9ac2f4699299bp-4, -0x1.97d9a8ecab7bcp-4, -0x1.94e9c401e937ep-4, -0x1.91f385ec839e2p-4, -0x1.8ef7306d21817p-4, -0x1.8bf5021d52956p-4, -0x1.88ed3b2adf223p-4, -0x1.85e01b50114e5p-4, -0x1.82cde21632165p-4, -0x1.7fb6cdb211a07p-4, -0x1.7c9b1c7f6ca3bp-4, -0x1.797b0c861d963p-4, -0x1.7656db76a3371p-4, -0x1.732ec5b106fe4p-4, -0x1.700308419db1dp-4, -0x1.6cd3df3142d02p-4, -0x1.69a1862eebbe8p-4, -0x1.666c38189a07p-4, -0x1.63342ecbce41dp-4, -0x1.5ff9a644431d8p-4, -0x1.5cbcd68615336p-4, -0x1.597df8483d867p-4, -0x1.563d4468833bbp-4, -0x1.52faf27cd82f8p-4, -0x1.4fb739a6b0ac6p-4, -0x1.4c725042b09d7p-4, -0x1.492c6c37d6756p-4, -0x1.45e5c2e611521p-4, -0x1.429e88ad91c45p-4, -0x1.3f56f10beac95p-4, -0x1.3c0f2fee57ae3p-4, -0x1.38c7773ae8b82p-4, -0x1.357ff90cf1b37p-4, -0x1.3238e63f14f81p-4, -0x1.2ef26ecebf179p-4, -0x1.2bacc39e7a37fp-4, -0x1.2868120eaa24ep-4, -0x1.252488c6f296bp-4, -0x1.21e25512a866p-4, -0x1.1ea1a3af53789p-4, -0x1.1b62a03faec1cp-4, -0x1.182575dad2f09p-4, -0x1.14ea4eaee5a7dp-4, -0x1.11b153e9f066p-4, -0x1.0e7aaecd761cap-4, -0x1.0b4686716c485p-4, -0x1.08150252784adp-4, -0x1.04e6484fc871p-4, -0x1.01ba7de808094p-4, -0x1.fd238fc32b724p-5, -0x1.f6d893861914fp-5, -0x1.f0944d13669b4p-5, -0x1.ea57009e5c5c2p-5, -0x1.e420f098c86a2p-5, -0x1.ddf25e0f02ddap-5, -0x1.d7cb87fa51489p-5, -0x1.d1acab8f4261p-5, -0x1.cb9605c7d2b11p-5, -0x1.c587d19639186p-5, -0x1.bf8245059797ap-5, -0x1.b985985bff3bap-5, -0x1.b392015a22842p-5, -0x1.ada7b3a34da96p-5, -0x1.a7c6e1562c80cp-5, -0x1.a1efbad0d76abp-5, -0x1.9c226dd967566p-5, -0x1.965f2911bce16p-5, -0x1.90a617895d5ep-5, -0x1.8af763044931p-5, -0x1.8553353f3a16p-5, -0x1.7fb9b47847cc8p-5, -0x1.7a2b0655e2962p-5, -0x1.74a74e3a13741p-5, -0x1.6f2ead7706c95p-5, -0x1.69c1447430c01p-5, -0x1.645f33151e03p-5, -0x1.5f08983b9a775p-5, -0x1.59bd914c0e14ap-5, -0x1.547e399b0b97ap-5, -0x1.4f4aa95542b8dp-5, -0x1.4a22f6670cb15p-5, -0x1.450735551eb9cp-5, -0x1.3ff77ac9448b5p-5, -0x1.3af3dc3dd6496p-5, -0x1.35fc6f27e28c7p-5, -0x1.311147c9512fep-5, -0x1.2c3276c5df5efp-5, -0x1.276007bd184b3p-5, -0x1.229a030612237p-5, -0x1.1de06fb77f645p-5, -0x1.1933566792327p-5, -0x1.1492c32c85364p-5, -0x1.0ffec4857f894p-5, -0x1.0b7768a6bb286p-5, -0x1.06fcb96d839e6p-5, -0x1.028eb96255cdep-5, -0x1.fc5ac85e82997p-6, -0x1.f3b160f35afcdp-6, -0x1.eb2131aeeb656p-6, -0x1.e2aa39af6f293p-6, -0x1.da4c86bffbdf8p-6, -0x1.d208306264beep-6, -0x1.c9dd4b4d24ab2p-6, -0x1.c1cbdb90a3ee4p-6, -0x1.b9d3ccec98cb9p-6, -0x1.b1f4f5271ec51p-6, -0x1.aa2f206f5408ap-6, -0x1.a2822273f2302p-6, -0x1.9aede5c05c485p-6, -0x1.93727000d6e92p-6, -0x1.8c0fd9b679ec8p-6, -0x1.84c63c16e1bcp-6, -0x1.7d959ca5fa364p-6, -0x1.767ddead23eabp-6, -0x1.6f7ec1fb94078p-6, -0x1.6897f04a4d37ap-6, -0x1.61c9140f5fa9p-6, -0x1.5b11f1110b33p-6, -0x1.54727376b74cbp-6, -0x1.4deaabb3ed446p-6, -0x1.477abc2b5af38p-6, -0x1.4122beed4a9e5p-6, -0x1.3ae2ad94c5826p-6, -0x1.34ba5360a47bcp-6, -0x1.2ea94f2d57eb2p-6, -0x1.28af272257a5ap-6, -0x1.22cb692c95403p-6, -0x1.1cfdca59be7f2p-6, -0x1.174635ee4631p-6, -0x1.11a4c4c2a7d15p-6, -0x1.0c19a2eb9e5acp-6, -0x1.06a4f100808ddp-6, -0x1.0146aae97adfcp-6, -0x1.f7fd30f5415dep-7, -0x1.ed989437b1189p-7, -0x1.e35e4e7028d08p-7, -0x1.d94d276b18fbdp-7, -0x1.cf6438b45a091p-7, -0x1.c5a31fc8612b9p-7, -0x1.bc0a04d065447p-7, -0x1.b299556e72107p-7, -0x1.a9517d68d27bcp-7, -0x1.a032bd392b2c5p-7, -0x1.973d0391cf994p-7, -0x1.8e6fe130d88e8p-7, -0x1.85ca6c074f589p-7, -0x1.7d4b482a7fda6p-7, -0x1.74f0f96d6ed21p-7, -0x1.6cba5087ce764p-7, -0x1.64a6b01b15dafp-7, -0x1.5cb60399f6a51p-7, -0x1.54e8798f81e58p-7, -0x1.4d3e42e7847b4p-7, -0x1.45b78731293a4p-7, -0x1.3e547b65a743p-7, -0x1.37155553e7c79p-7, -0x1.2ff9fef6fa4cbp-7, -0x1.2901d296418acp-7, -0x1.222ba894ba004p-7, -0x1.1b762f8c48e68p-7, -0x1.14e04ba755f81p-7, -0x1.0e69403d9bff4p-7, -0x1.08109ef2898dp-7, -0x1.01d60bd066334p-7, -0x1.f77226976c124p-8, -0x1.eb729d212d3d9p-8, -0x1.dfad6e440ee5p-8, -0x1.d423739bcafd4p-8, -0x1.c8d597d01b3bcp-8, -0x1.bdc3c769973a4p-8, -0x1.b2ecbe0b63b8p-8, -0x1.a84e8abc5ccccp-8, -0x1.9de7109dbd8cep-8, -0x1.93b4903c66556p-8, -0x1.89b648e9f561bp-8, -0x1.7fec393f471d9p-8, -0x1.7655c7bf3ab13p-8, -0x1.6cf145baefbbcp-8, -0x1.63bd10f26820ap-8, -0x1.5ab90d0c42c79p-8, -0x1.51e668e643f58p-8, -0x1.4945e86fa648ap-8, -0x1.40d6e35719975p-8, -0x1.3897bcaa6ce09p-8, -0x1.30863787b41e8p-8, -0x1.289f5f67f9471p-8, -0x1.20e113a1f79a4p-8, -0x1.194bf3b002c74p-8, -0x1.11e1bca8b77fdp-8, -0x1.0aa23844dcdfcp-8, -0x1.038b127dfb28dp-8, -0x1.f934f31771d3ap-9, -0x1.eba1bfb903ff9p-9, -0x1.de5f7d34d36e9p-9, -0x1.d16ffe16fc8p-9, -0x1.c4d232fdf7ee3p-9, -0x1.b883b18b5d17ep-9, -0x1.ac81f1b9f1096p-9, -0x1.a0c7aa5bcc6c7p-9, -0x1.954eab4e169f2p-9, -0x1.8a17ce28b69dep-9, -0x1.7f28428c82886p-9, -0x1.747e753935fc5p-9, -0x1.6a12942faa712p-9, -0x1.5fdf9206d6aa7p-9, -0x1.55e4e67bc663dp-9, -0x1.4c235a0f85903p-9, -0x1.429cd809b405p-9, -0x1.3953d0a5b452cp-9, -0x1.30481b927f62ep-9, -0x1.27778a2ce7d55p-9, -0x1.1ee1138547ebap-9, -0x1.16816155072cdp-9, -0x1.0e53cd35bfd16p-9, -0x1.065d7614a5cd1p-9, -0x1.fd4cb5914cfp-10, -0x1.ee55b535edf37p-10, -0x1.dfc843010edcdp-10, -0x1.d1a0bcd3972a7p-10, -0x1.c3d7879be4e6ap-10, -0x1.b65e907d8084cp-10, -0x1.a92dcfe524558p-10, -0x1.9c47f31278ee7p-10, -0x1.8fb39e6e1ff91p-10, -0x1.837206c94ec25p-10, -0x1.7781b4434d41dp-10, -0x1.6be64e679f50bp-10, -0x1.609ba8851a251p-10, -0x1.5597433639956p-10, -0x1.4ae1e1c6a3c08p-10, -0x1.407fb6d0e97a8p-10, -0x1.366a1788e5532p-10, -0x1.2caa73b9df641p-10, -0x1.23453d6e0cc18p-10, -0x1.1a2e79a47b603p-10, -0x1.115aa2fc9686dp-10, -0x1.08c3f93d00f19p-10, -0x1.00681600854e6p-10, -0x1.f08c2ddfeb13dp-11, -0x1.e0b58181b3138p-11, -0x1.d13cdef2c41f6p-11, -0x1.c224040849908p-11, -0x1.b38997a38c5b1p-11, -0x1.a56a35c9a6d8ep-11, -0x1.97addc27c275cp-11, -0x1.8a52815107cd2p-11, -0x1.7d490a29d12f9p-11, -0x1.70b00b278a87bp-11, -0x1.649995619b486p-11, -0x1.58f319af54a4ep-11, -0x1.4dab2947624a2p-11, -0x1.42b7f55d930afp-11, -0x1.38154f64f4b6cp-11, -0x1.2dc400e3b22e5p-11, -0x1.23caca8329c8cp-11, -0x1.1a3191cdb0c8ap-11, -0x1.10f2004f334e4p-11, -0x1.07fa06eb66a9fp-11, -0x1.fe9ca1883dae1p-12, -0x1.edf04992f0a8cp-12, -0x1.ddad3de9f445bp-12, -0x1.cdd50495fc462p-12, -0x1.be68e748b9ad5p-12, -0x1.af9728389fde5p-12, -0x1.a156367b56c0fp-12, -0x1.939c72736c803p-12, -0x1.867016621ed36p-12, -0x1.79c29315d0ee1p-12, -0x1.6d7dfbd769a03p-12, -0x1.61955c3cf5124p-12, -0x1.5604ea647c226p-12, -0x1.4ad0620a39c8fp-12, -0x1.4002638894203p-12, -0x1.35a095ab7a24ap-12, -0x1.2ba70c161d0c8p-12, -0x1.2221b900e2a03p-12, -0x1.193547b380ad6p-12, -0x1.10a9be83b6cp-12, -0x1.083e8dc838cf6p-12, -0x1.00070f13aa0b5p-12, -0x1.f06a8a3e7c9cdp-13, -0x1.e15e7ec964656p-13, -0x1.d2cd4928f3e3cp-13, -0x1.c4d66089d8987p-13, -0x1.b79c61e96eccbp-13, -0x1.aafd37718e3c7p-13, -0x1.9ed128fcaa9c7p-13, -0x1.930c0f1725b5p-13, -0x1.87aec5615b7a7p-13, -0x1.7cbc30c05b2efp-13, -0x1.723b2a0e78d5dp-13, -0x1.683096222c6bap-13, -0x1.5e92e9859ccap-13, -0x1.554f7f2becd74p-13, -0x1.4c86f9f376648p-13, -0x1.443f87b295035p-13, -0x1.3c4257d627ad4p-13, -0x1.34e41c79c89d9p-13, -0x1.2de17acb8953fp-13, -0x1.26fe4af269eb7p-13, -0x1.20645314c5cep-13, -0x1.1a0eb077481c9p-13, -0x1.140582415bc97p-13, -0x1.0e67a9cae8f4ep-13, -0x1.091554567479dp-13, -0x1.03f6c83ceaad6p-13, -0x1.fe19e6a678e17p-14, -0x1.f4b6f2ab5de0bp-14, -0x1.ebc5f5d33de36p-14, -0x1.e34a18f6522f2p-14, -0x1.db483c52be5bap-14, -0x1.d3b71af21bbd5p-14, -0x1.cc7af83c74c84p-14, -0x1.c599b8a4d2af4p-14, -0x1.bf2a96671f23dp-14, -0x1.b8f1476123b43p-14, -0x1.b32a38d22b1f5p-14, -0x1.adb18e2b5070fp-14, -0x1.a8ac341144d5ep-14, -0x1.a404083b03245p-14, -0x1.9f843cc799bb4p-14, -0x1.9b2f0895a8ab9p-14, -0x1.971572801e26bp-14, -0x1.93616e7e9aac9p-14, -0x1.8fe0d0cc88aa6p-14, -0x1.8c87db613b909p-14, -0x1.895ce844c8adfp-14, -0x1.8662515dcc056p-14, -0x1.8396ad9302f3p-14, -0x1.80f925be3bac2p-14, -0x1.7e8937b4b291ap-14, -0x1.7c426bfee729fp-14, -0x1.7a1de932ed153p-14, -0x1.78166080a1288p-14, -0x1.7636a69a34a7p-14, -0x1.7478cc4388912p-14, -0x1.72d587974b224p-14, -0x1.71480299280a9p-14, -0x1.6fd197b78be4bp-14, -0x1.6e701b3935965p-14, -0x1.6d2f3d39e9c4fp-14, -0x1.6c0f0e079a9cep-14, -0x1.6af039ae61bebp-14, -0x1.69dfb83049695p-14, -0x1.68e91302c5ac4p-14, -0x1.67fbbff9202aap-14, -0x1.671822a2d51ep-14, -0x1.663fec3f5c8cbp-14, -0x1.65720d180cfd2p-14, -0x1.64ad210e0bf01p-14, -0x1.63f037eca05aep-14, -0x1.6339db4ba9dd5p-14, -0x1.628912374dfc1p-14, -0x1.61dcdd1ac7adfp-14, -0x1.61343f582c494p-14, -0x1.608e595cc6eaep-14, -0x1.5fea4e59db91ap-14, -0x1.5f4650ea75582p-14, -0x1.5ea33620d5127p-14, -0x1.5e016560e62b4p-14, -0x1.5d5ce4e619dbep-14, -0x1.5cb70b0b40685p-14, -0x1.5c0feeecb0e32p-14, -0x1.5b64f51904fe3p-14, -0x1.5ab2214511711p-14, -0x1.59ffbe2f0cfa9p-14, -0x1.5944df1ff6ea9p-14, -0x1.5886bbadaa0adp-14, -0x1.57c384624d9ap-14, -0x1.56fbe5ff9394ap-14, -0x1.562d3823d1c64p-14, -0x1.5556432966f47p-14, -0x1.547b4193433f3p-14, -0x1.53959be55ec9bp-14, -0x1.52aae62c3b851p-14, -0x1.51b43dfa44d8bp-14, -0x1.50bcc8e9e7f76p-14, -0x1.4fb6ae6473ceep-14, -0x1.4ea8b21c85de1p-14, -0x1.4d93226c0369cp-14, -0x1.4c750b60b0671p-14, -0x1.4b4dc34cc4fd2p-14, -0x1.4a1d4437cf11ap-14, -0x1.48e377e029fa9p-14, -0x1.47a014ab13c8fp-14, -0x1.46534a8535003p-14, -0x1.44ff297aecea5p-14, -0x1.43a34ab3b1692p-14, -0x1.42393505079d9p-14, -0x1.40c24a7f8fd53p-14, -0x1.3f46c8fbe9b14p-14, -0x1.3dc24f8146dbp-14, -0x1.3c33dff0aa72ap-14, -0x1.3a9bed47c27bdp-14, -0x1.38fa6241187fdp-14, -0x1.374f87e279baap-14, -0x1.359b48131d077p-14, -0x1.33ddcdca79ff3p-14, -0x1.32172bcd9dd6bp-14, -0x1.30477ad3ef189p-14, -0x1.2e6fbe6cc1d67p-14, -0x1.2c8d8b6d12f8ap-14, -0x1.2aa3724b0cae6p-14, -0x1.28b0afde8c0c2p-14, -0x1.26b59f9b9f789p-14, -0x1.24b1c67c2c43p-14, -0x1.22a5fb543054ep-14, -0x1.20920cdcb6e3cp-14, -0x1.1e762209dbfbp-14, -0x1.1c5279cac458fp-14, -0x1.1a27297404ab1p-14, -0x1.17f42fef559p-14, -0x1.15bcdbf53ce99p-14, -0x1.1378caffea5b9p-14, -0x1.113043524c0d5p-14, -0x1.0ee188ace792ap-14, -0x1.0c8bd3278d8efp-14, -0x1.0a2f9185ab422p-14, -0x1.07cd47f3854ep-14, -0x1.0564a220f20d2p-14, -0x1.02f60dd3b5b46p-14, -0x1.0081bb7d67f55p-14, -0x1.fc0fe6ed6900bp-15, -0x1.f71150b9b4606p-15, -0x1.f204b393edd04p-15, -0x1.ecf2df012ded6p-15, -0x1.e7d882e373e3dp-15, -0x1.e2b2660ae0cabp-15, -0x1.dd835c019a8b7p-15, -0x1.d84c039783cc3p-15, -0x1.d3077d6a89632p-15, -0x1.cdc8a0da3fca9p-15, -0x1.c875bf89d489cp-15, -0x1.c31fef195fc39p-15, -0x1.bdc33ea747435p-15, -0x1.b85fe90843a58p-15, -0x1.b2f6da81091ecp-15, -0x1.ad87d846766f4p-15, -0x1.a8152483cbc55p-15, -0x1.a29b7691d2329p-15, -0x1.9d1e2ace1233p-15, -0x1.979c95251c1bp-15, -0x1.921726f4fe3a7p-15, -0x1.8c8e3851b462cp-15, -0x1.870213b98a9c1p-15, -0x1.81730da2cf11fp-15, -0x1.7be1b56bfb024p-15, -0x1.764e21705221ep-15, -0x1.70b8bc15e447ap-15, -0x1.6b22bd196b8bbp-15, -0x1.6588b4412f9fbp-15, -0x1.5ff18f19041d9p-15, -0x1.5a577160f3ecep-15, -0x1.54bc89c9e5e97p-15, -0x1.4f237543dfb0dp-15, -0x1.4989b6ae67423p-15, -0x1.43f1288a49302p-15, -0x1.3e590d8c728ap-15, -0x1.38c220dcf5d8cp-15, -0x1.332f09e8638b6p-15, -0x1.2d9bbf0a4cce5p-15, -0x1.2807f44c7bf67p-15, -0x1.2278e750b2b4ep-15, -0x1.1ceba642821f4p-15, -0x1.17606034dae4dp-15, -0x1.11daaf8cadf42p-15, -0x1.0c57ece4f0f79p-15, -0x1.06d84a2c5cac2p-15, -0x1.015c2429f30b9p-15, -0x1.f7c7f941fa58ep-16, -0x1.ece01ebd584ccp-16, -0x1.e20115bcdc6f7p-16, -0x1.d72b1b121351bp-16, -0x1.cc61f3e8646ecp-16, -0x1.c1a8987499efdp-16, -0x1.b6e62cf9f1d2p-16, -0x1.ac3b51becedccp-16, -0x1.a199a3944c065p-16, -0x1.97049a472233ep-16, -0x1.8c7b8f7f1cbe5p-16, -0x1.81fef45481ccfp-16, -0x1.778f164944c6fp-16, -0x1.6d2cc4e106738p-16, -0x1.62d74bb51db62p-16, -0x1.588ffedb89f5bp-16, -0x1.4e58a8ffc46fcp-16, -0x1.442affcfeb93cp-16, -0x1.3a0ec6c700604p-16, -0x1.300124fee2e9ep-16, -0x1.2602fb53840b1p-16, -0x1.1c13de74af2d2p-16, -0x1.1233a4ca6792cp-16, -0x1.086619bdf6b51p-16, -0x1.fd4802ed0e737p-17, -0x1.e9f082ad275e9p-17, -0x1.d6b42c48b8ee9p-17, -0x1.c399c5d6b73a9p-17, -0x1.b09f904fd8cf7p-17, -0x1.9dc96edbf9e0cp-17, -0x1.8b11615a3baf2p-17, -0x1.78958a0abdb51p-17, -0x1.661ab72e28586p-17, -0x1.53d2d54ced9dp-17, -0x1.41aeec3f04451p-17, -0x1.2faf5759291e8p-17, -0x1.1dd48bff0f879p-17, -0x1.0c1eac9262c6bp-17, -0x1.f51c4bf1c80edp-18, -0x1.d2461896429a6p-18, -0x1.afbb46f38f4f4p-18, -0x1.8d7ca1c693534p-18, -0x1.6b8a9662ef11fp-18, -0x1.49e3cc3621d21p-18, -0x1.288b1c1d23c03p-18, -0x1.077fb8f78db97p-18, -0x1.cd83c009b4393p-19, -0x1.8ca3cb19a6d82p-19, -0x1.4c601725e1e67p-19, -0x1.0cb91de2280afp-19, -0x1.9b5db020e9c6ap-20, -0x1.1e7f0a2e4028ep-20, -0x1.469b3272251d2p-21, -0x1.426095b03946ep-23, 0x1.4291f6b33355ep-22, 0x1.9102d97f52f65p-21, 0x1.3f272cb1b4568p-20, 0x1.b4a496c83a1c6p-20, 0x1.145ffc15a4ab3p-19, 0x1.4dd91e39eead2p-19, 0x1.86b62723d8a08p-19, 0x1.bf09e0c256757p-19, 0x1.f6b2a379ffb75p-19, 0x1.16c59ce4f07c2p-18, 0x1.31f73aab2afd9p-18, 0x1.4cd3ec35d9519p-18, 0x1.676995b60d733p-18, 0x1.81ae39682f754p-18, 0x1.9bd843d656b82p-18, 0x1.b54a9adba6907p-18, 0x1.cea007bbe16f7p-18, 0x1.e7a59bcab5ccp-18, 0x1.003005a744293p-17, 0x1.0c64acc2c75ddp-17, 0x1.1875c3783d4b7p-17, 0x1.245cce8fdc6f9p-17, 0x1.302391a2bac5dp-17, 0x1.3bba4b1d67672p-17, 0x1.4733674756c14p-17, 0x1.5283771f99e45p-17, 0x1.5daf3b803f038p-17, 0x1.68b0a6c5e02fap-17, 0x1.738f8df2acc9bp-17, 0x1.7e4889b1af555p-17, 0x1.88dbf012ca706p-17, 0x1.934b1b0fcae7fp-17, 0x1.9d93cd2754cd3p-17, 0x1.a7b6ddffd364ep-17, 0x1.b1b6ab5fb7adbp-17, 0x1.bb9289b6804bap-17, 0x1.c54b788b932f3p-17, 0x1.ceddd64c784edp-17, 0x1.d84d2fb0c749fp-17, 0x1.e1981cfe77ac5p-17, 0x1.eac16ef2ef31dp-17, 0x1.f3c67e055512ap-17, 0x1.fca80858f2ed7p-17, 0x1.02b52a2ce30d9p-16, 0x1.070278606cd2ep-16, 0x1.0b3fc09aada62p-16, 0x1.0f6c1595f0c6dp-16, 0x1.138746cf1d125p-16, 0x1.1791c65db0bfbp-16, 0x1.1b8ba60316e8cp-16, 0x1.1f75ed20fc81ap-16, 0x1.234df14836262p-16, 0x1.27163d2967231p-16, 0x1.2acea5a0d9ae1p-16, 0x1.2e7354e6ccd75p-16, 0x1.32092ddc05b13p-16, 0x1.359736d91ef86p-16, 0x1.390fba8b7baa3p-16, 0x1.3c78319733035p-16, 0x1.3fd116b85bccbp-16, 0x1.431b438adeb4cp-16, 0x1.46566bc3459eap-16, 0x1.497c4367417ddp-16, 0x1.4ca06414ccbbbp-16, 0x1.4fadb354bace6p-16, 0x1.52afdd31c52f2p-16, 0x1.559dd9c8dfbf5p-16, 0x1.587e721f60347p-16, 0x1.5b49ceb423b7fp-16, 0x1.5e14ae0573e81p-16, 0x1.60cebfa9d4139p-16, 0x1.6378576960d61p-16, 0x1.6614203447037p-16, 0x1.68a0e442fc76fp-16, 0x1.6b239403431bbp-16, 0x1.6d949457446edp-16, 0x1.6ffd423a98017p-16, 0x1.7252916f4e079p-16, 0x1.749d3d2f7989cp-16, 0x1.76dc523c30668p-16, 0x1.790e8f9fef6dfp-16, 0x1.7b3348e309ce2p-16, 0x1.7d4baf610128ep-16, 0x1.7f57883ee015fp-16, 0x1.81561b8a37687p-16, 0x1.83495caed404dp-16, 0x1.853226a1388cbp-16, 0x1.870dc965913dcp-16, 0x1.88dccc95edc18p-16, 0x1.8aa174d239d45p-16, 0x1.8c59117c9b30ap-16, 0x1.8e0317e3bee94p-16, 0x1.8fa7b29215512p-16, 0x1.913ee58678716p-16, 0x1.92cc803450518p-16, 0x1.944a40690ed72p-16, 0x1.95c0758f6058fp-16, 0x1.972c117067dcdp-16, 0x1.988c64861a522p-16, 0x1.99e278dc439b7p-16, 0x1.9b2bb8561d75bp-16, 0x1.9c70d8f6965c8p-16, 0x1.9da74b9adf971p-16, 0x1.9ed47d395c531p-16, 0x1.9ff7f0bf5773dp-16, 0x1.a111d8b02bb99p-16, 0x1.a222db0b2ab9fp-16, 0x1.a3286dd30ad0cp-16, 0x1.a4260895561e7p-16, 0x1.a51a5155ff6p-16, 0x1.a6053a9a56337p-16, 0x1.a6e709109d792p-16, 0x1.a7bfe1c526ddep-16, 0x1.a88ffbc14acb8p-16, 0x1.a956cc13e9095p-16, 0x1.aa1963c0dc309p-16, 0x1.aace81d4c7885p-16, 0x1.ab792d8383cb5p-16, 0x1.ac1e9ca8490dbp-16, 0x1.acbe0704e354p-16, 0x1.ad5111646e428p-16, 0x1.adde884c77a85p-16, 0x1.ae63ea3648502p-16, 0x1.aee0908e074a3p-16, 0x1.af5476ad01d55p-16, 0x1.afc588ca7e0b8p-16, 0x1.b02c42f5ff777p-16, 0x1.b08b8e4c2beacp-16, 0x1.b0e3a3326d827p-16, 0x1.b134fe15f2725p-16, 0x1.b1973e5fe4c5p-16, 0x1.b1c21e64912a9p-16, 0x1.b207fcc9cfdb6p-16, 0x1.b231e0262dc3cp-16, 0x1.b2620ab0cc7b8p-16, 0x1.b287eaf1ec906p-16, 0x1.b2a98043cbdfcp-16, 0x1.b2c499bd597fep-16, 0x1.b2d9f50c20a5ep-16, 0x1.b2f12dd508abp-16, 0x1.b2f4d3bd6c5f4p-16, 0x1.b2f00ee9fa6e5p-16, 0x1.b2edd58674b08p-16, 0x1.b2e2233ffcdccp-16, 0x1.b2d148f6e3c0fp-16, 0x1.b2c576267153bp-16, 0x1.b2a391aec581ap-16, 0x1.b28270503349ep-16, 0x1.b25c60b0f10e9p-16, 0x1.b230b1be57b6bp-16, 0x1.b1ffaa2f4c2f5p-16, 0x1.b1c9d45a71294p-16, 0x1.b1a35de377667p-16, 0x1.b14e46a11de45p-16, 0x1.b1081c844b6d9p-16, 0x1.b0bdcfff3fcdp-16, 0x1.b06ed8ae0aebdp-16, 0x1.b01eb28606904p-16, 0x1.afc4968a65a76p-16, 0x1.af653fb5d043p-16, 0x1.af07a08f3ebep-16, 0x1.ae9d9033ac6dap-16, 0x1.ae30ec810b4f7p-16, 0x1.adc2421fe0659p-16, 0x1.ad4fa2bd22e3dp-16, 0x1.acd6c2e38862dp-16, 0x1.ac5c04a23e901p-16, 0x1.abe12c60e0b9bp-16, 0x1.ab5814c7312fdp-16, 0x1.aad02fcbf3adep-16, 0x1.aa422a3b82c63p-16, 0x1.a9b4b01b430cdp-16, 0x1.a921446b852f9p-16, 0x1.a88a3a1bc5048p-16, 0x1.a7efb311ecfa9p-16, 0x1.a7557f2049279p-16, 0x1.a6af93eebb41dp-16, 0x1.a609c46147e09p-16, 0x1.a563b510b193bp-16, 0x1.a4b7e30206d02p-16, 0x1.a405f82628f72p-16, 0x1.a3546ff644171p-16, 0x1.a29fd54d2187bp-16, 0x1.a1e31ae4f51e9p-16, 0x1.a12b1a02a360bp-16, 0x1.a06bfee3aed5p-16, 0x1.9faa6d19af336p-16, 0x1.9ee5f5155bb3cp-16, 0x1.9e1ea62582fbdp-16, 0x1.9d54e542500d3p-16, 0x1.9c87734461516p-16, 0x1.9bb818a38dbc3p-16, 0x1.9ae5c4b22c91cp-16, 0x1.9a11490e3c46dp-16, 0x1.9934ba317773cp-16, 0x1.9860a830cd57bp-16, 0x1.97741cf600367p-16, 0x1.96a76e280bec5p-16, 0x1.95c6f0fff3c3dp-16, 0x1.94dfebbfd64f5p-16, 0x1.93fbbc6ff6194p-16, 0x1.93146b09fb439p-16, 0x1.92264c4d8f3d1p-16, 0x1.913f033954fbcp-16, 0x1.905144d17866dp-16, 0x1.8f6154f18448p-16, 0x1.8e6f87317fa1ap-16, 0x1.8d7c52164a559p-16, 0x1.8c910cf23d6b7p-16, 0x1.8b948b8c4209ep-16, 0x1.8a942754ea79cp-16, 0x1.89972159e333fp-16, 0x1.88a12fb4658a6p-16, 0x1.87a012b30b551p-16, 0x1.869d1eb732e5bp-16, 0x1.859b49d3998bdp-16, 0x1.84984b11e573bp-16, 0x1.839311cf44191p-16, 0x1.828ca06f7679bp-16, 0x1.818e894234101p-16, 0x1.807b0dae23d5p-16, 0x1.7f6f8d9cfc74bp-16, 0x1.7e62b95905245p-16, 0x1.7d4bec8b16p-16, 0x1.7c45efd16919cp-16, 0x1.7b361d5550e4ep-16, 0x1.7a24aa813f83bp-16, 0x1.790bfcb446337p-16, 0x1.77f1f1ed001ebp-16, 0x1.76e962bf6b9dap-16, 0x1.75d2559789d0ap-16, 0x1.74c2e5cbda357p-16, 0x1.73a1bf00101fcp-16, 0x1.7286d2fcc95fdp-16, 0x1.716f2046c7f34p-16, 0x1.7051f01eced68p-16, 0x1.6f3747f30c108p-16, 0x1.6e1aeb35668f1p-16, 0x1.6cfc90a27d681p-16, 0x1.6bddc8b53657fp-16, 0x1.6abe19bbc1c9ep-16, 0x1.699d7c718278dp-16, 0x1.687c3f4cf545dp-16, 0x1.675a173d39165p-16, 0x1.6637cbf30d5a6p-16, 0x1.65054855249c9p-16, 0x1.63ee7f34d0db6p-16, 0x1.62cb51d7e6464p-16, 0x1.61a6040f8b25bp-16, 0x1.607f86595f9d1p-16, 0x1.5f58e82a6ceb7p-16, 0x1.5e31b9057ee1ep-16, 0x1.5d09ac8076e03p-16, 0x1.5be29ca10a537p-16, 0x1.5ab8bd0d191eep-16, 0x1.598ff680772a3p-16, 0x1.5866512cebd26p-16, 0x1.573c8aa48aeb6p-16, 0x1.561228743d16cp-16, 0x1.54ea862faf6e8p-16, 0x1.53b96f52bcf2fp-16, 0x1.52900c05ceefcp-16, 0x1.5164eaf76ec98p-16, 0x1.50290544286adp-16, 0x1.4f0befdbc46c8p-16, 0x1.4ddfba7bbc332p-16, 0x1.4cb29fe85310dp-16, 0x1.4b8cf39169121p-16, 0x1.4a586f477b93ep-16, 0x1.492a951adca22p-16, 0x1.47fcb3214a9a5p-16, 0x1.46cef41dcf188p-16, 0x1.45a0aaf540ccbp-16, 0x1.44727fe22f4dfp-16, 0x1.4344279d24d15p-16, }}, 
      {{0x1.8bf3a4308374bp-4, 0x1.95d7751b85a17p-4, 0x1.a3d7de059f815p-4, 0x1.b4675250f3b1fp-4, 0x1.c64d3160a79f5p-4, 0x1.d895646cef958p-4, 0x1.ea83276f494c8p-4, 0x1.fb8699bd7568bp-4, 0x1.059a0cffd403p-3, 0x1.0c9ebb90dcb72p-3, 0x1.12b61c3750942p-3, 0x1.17ce8b0262c7bp-3, 0x1.1bde105f5dc92p-3, 0x1.1ee0ccae1ba29p-3, 0x1.20d7bccf88575p-3, 0x1.21c7976d94806p-3, 0x1.21b8210f417d7p-3, 0x1.20b3322512137p-3, 0x1.1ec46bf1e7875p-3, 0x1.1bf88f4725845p-3, 0x1.185d267322b3fp-3, 0x1.140029d89eedep-3, 0x1.0ef001179c2fap-3, 0x1.093a3e8c3393bp-3, 0x1.02ed641e88c4ep-3, 0x1.f82e00098713p-4, 0x1.e9887a996632dp-4, 0x1.da03b74bf89f3p-4, 0x1.c9b8153e94f09p-4, 0x1.b8bcd8a18f6dp-4, 0x1.a727e1dc0aefbp-4, 0x1.950e0606feaecp-4, 0x1.8282b4404dc5fp-4, 0x1.6f983a2fdd1d6p-4, 0x1.5c5fad4856963p-4, 0x1.48e92369789bcp-4, 0x1.3542880ba5d0dp-4, 0x1.217a6fab8b4aap-4, 0x1.0d9d244114098p-4, 0x1.f36c7a05b5c3dp-5, 0x1.cba021dfa338ap-5, 0x1.a3eb2f2cf368ep-5, 0x1.7c5cdf16506e2p-5, 0x1.550781f5984d9p-5, 0x1.2df8ad7c1a9ap-5, 0x1.073e7eb2082bp-5, 0x1.c1ca6a82b6594p-6, 0x1.75ef842ad0467p-6, 0x1.2b0033c93a0d1p-6, 0x1.c21d10c6d3765p-7, 0x1.3054632cd4e6dp-7, 0x1.418642eb0fb94p-8, 0x1.381812512c578p-11, -0x1.dd67ce81c9096p-9, -0x1.ff769ffbcd0d7p-8, -0x1.8592f712f3971p-7, -0x1.046a8a525dfd6p-6, -0x1.44b930cad2777p-6, -0x1.83b184ab9097fp-6, -0x1.c14eb559cfdddp-6, -0x1.fd8f9765b301fp-6, -0x1.1c3791e4835f9p-5, -0x1.38f7b8c6dabbap-5, -0x1.55064b8572136p-5, -0x1.706422599f8a2p-5, -0x1.8b117f33fe20dp-5, -0x1.a50df918cc01bp-5, -0x1.be5b8db2193a5p-5, -0x1.d6fa7fd1a1262p-5, -0x1.eeebac1b3dc65p-5, -0x1.0318817e932f1p-4, -0x1.0e65fec89a882p-4, -0x1.195ef2b6abffcp-4, -0x1.24042facd102fp-4, -0x1.2e56e42ea8efbp-4, -0x1.3857fb7552926p-4, -0x1.420866632139fp-4, -0x1.4b692e7711b14p-4, -0x1.547b9ad720f91p-4, -0x1.5d40bc5d6a2ebp-4, -0x1.65b9a9aeedddep-4, -0x1.6de79b27e12a8p-4, -0x1.75cbb6a977a76p-4, -0x1.7d674e67495a4p-4, -0x1.84bb876fb44e1p-4, -0x1.8bc99c8e86a5cp-4, -0x1.9292ca12679dep-4, -0x1.9918530512db7p-4, -0x1.9f5b68c88d513p-4, -0x1.a55d5008177c6p-4, -0x1.ab1f43a41212ap-4, -0x1.b0a27580d1e98p-4, -0x1.b5e825db96ffap-4, -0x1.baf1884703288p-4, -0x1.bfbfd01cd1e32p-4, -0x1.c454322696228p-4, -0x1.c8afe4d918319p-4, -0x1.ccd40c60fac44p-4, -0x1.d0c1cfa7eb3ep-4, -0x1.d47a540280974p-4, -0x1.d7feba0105054p-4, -0x1.db5029217aa76p-4, -0x1.de6fba5b8f896p-4, -0x1.e15e822c04213p-4, -0x1.e41d9535a934bp-4, -0x1.e6ae0f0820fe9p-4, -0x1.e910e952108d8p-4, -0x1.eb47331042d68p-4, -0x1.ed51e6c583811p-4, -0x1.ef3213d0f068ap-4, -0x1.f0e8a6bfb8839p-4, -0x1.f2769fbf035b4p-4, -0x1.f3dceacaadb42p-4, -0x1.f51c802f12569p-4, -0x1.f6363e723f487p-4, -0x1.f72b2167012fap-4, -0x1.f7fbed5732655p-4, -0x1.f8a9924b9f362p-4, -0x1.f934ebda62adbp-4, -0x1.f99ec8d4c7884p-4, -0x1.f9e7fda4d3fedp-4, -0x1.fa11587cfa775p-4, -0x1.fa1ba83733929p-4, -0x1.fa07abd47d932p-4, -0x1.f9d62f974d822p-4, -0x1.f987f0e9f1512p-4, -0x1.f91da4f2885efp-4, -0x1.f89808a416568p-4, -0x1.f7f7d126cddf6p-4, -0x1.f73dac469b68p-4, -0x1.f66a499e7709dp-4, -0x1.f57e51f9e65p-4, -0x1.f47a75a413b17p-4, -0x1.f35f4d4570b35p-4, -0x1.f22d702199ab5p-4, -0x1.f0e5996a92714p-4, -0x1.ef884c9953cadp-4, -0x1.ee1626240b3ccp-4, -0x1.ec8fc203e2978p-4, -0x1.eaf5aa945a88cp-4, -0x1.e9486fe5da445p-4, -0x1.e7889f0537721p-4, -0x1.e5b6c2f9c9c5p-4, -0x1.e3d361284bb1cp-4, -0x1.e1df00d24e187p-4, -0x1.dfda1b1ee1abdp-4, -0x1.ddc5351627682p-4, -0x1.dba0d19c6b614p-4, -0x1.d96d6a37d2d68p-4, -0x1.d72b72869b954p-4, -0x1.d4db5a9909731p-4, -0x1.d27da093b8306p-4, -0x1.d012b9288457fp-4, -0x1.cd9b0b1d17e4dp-4, -0x1.cb170b4acf5edp-4, -0x1.c88720fba6821p-4, -0x1.c5ebb3ece6f84p-4, -0x1.c34531c7100c4p-4, -0x1.c093f803dc947p-4, -0x1.bdd87e1a56b59p-4, -0x1.bb13101302c39p-4, -0x1.b8441a1ac68f5p-4, -0x1.b56bf8c844098p-4, -0x1.b28b0bae0df36p-4, -0x1.afa1a9a88386bp-4, -0x1.acb030d9b024ap-4, -0x1.a9b6f8db4e4bcp-4, -0x1.a6b65776c598ep-4, -0x1.a3aea2a04146cp-4, -0x1.a0a02daf15934p-4, -0x1.9d8b495088c56p-4, -0x1.9a704de2eb533p-4, -0x1.974f858ab96b9p-4, -0x1.94293b2f1cabap-4, -0x1.90fdc53c8a05p-4, -0x1.8dcd667992185p-4, -0x1.8a986f295b085p-4, -0x1.875f20b8e3481p-4, -0x1.8421caf1d41abp-4, -0x1.80e0afdd8a17p-4, -0x1.7d9c17bcecae1p-4, -0x1.7a544518fd11bp-4, -0x1.770978e32d113p-4, -0x1.73bbf5f31aa04p-4, -0x1.706bff627397fp-4, -0x1.6d19d1dadb5fap-4, -0x1.69c5ac7d172c4p-4, -0x1.666fc648da004p-4, -0x1.63186804dc631p-4, -0x1.5fbfc07d03b06p-4, -0x1.5c66113a66ebep-4, -0x1.590b916f3fbf9p-4, -0x1.55b077d1981d4p-4, -0x1.5254f9322c5d3p-4, -0x1.4ef94b9b05064p-4, -0x1.4b9da8944b4e3p-4, -0x1.48424188b824ap-4, -0x1.44e743c3e476ep-4, -0x1.418ce8a5df081p-4, -0x1.3e335b811ab94p-4, -0x1.3adacbcdb2eaap-4, -0x1.37836bc4dcd7cp-4, -0x1.342d675e0fac7p-4, -0x1.30d8eaf181634p-4, -0x1.2d862280a70f6p-4, -0x1.2a35392e98f86p-4, -0x1.26e65911fc943p-4, -0x1.2399aab0046fp-4, -0x1.204f564cbe65p-4, -0x1.1d07831c087cbp-4, -0x1.19c256f2bf5e5p-4, -0x1.167ff7beb9edap-4, -0x1.1340899cd6a17p-4, -0x1.10042fe70cfb5p-4, -0x1.0ccb0d0c0dc4dp-4, -0x1.099543edc1b7bp-4, -0x1.0662f488da4cbp-4, -0x1.03343ee524698p-4, -0x1.000941a0364c6p-4, -0x1.f9c4384907b3ep-5, -0x1.f37ddc3506e5ap-5, -0x1.ed3f9fb5d7e58p-5, -0x1.e709bb44ea434p-5, -0x1.e0dc63dc6ea67p-5, -0x1.dab7d7045c762p-5, -0x1.d49c4419d8134p-5, -0x1.ce89d42f9d6efp-5, -0x1.c880c2f28444dp-5, -0x1.c281383923acp-5, -0x1.bc8b5ab5951c9p-5, -0x1.b69f5c012f01cp-5, -0x1.b0bd647b54dc7p-5, -0x1.aae598ab8e258p-5, -0x1.a51822f4cc395p-5, -0x1.9f5527e6ab681p-5, -0x1.999cc6eded19dp-5, -0x1.93ef27a5e2c91p-5, -0x1.8e4c661aa4e3cp-5, -0x1.88b4a024760bfp-5, -0x1.8327f641fa605p-5, -0x1.7da6842541badp-5, -0x1.78305f4f10692p-5, -0x1.72c5a73f42743p-5, -0x1.6d667521ff3c3p-5, -0x1.6812ddb2f93e3p-5, -0x1.62caf44d2f6c1p-5, -0x1.5d8ecdf1c1a5ap-5, -0x1.585e7e4f0b977p-5, -0x1.533a19447f616p-5, -0x1.4e21ac13e8958p-5, -0x1.491544ae9e03p-5, -0x1.4414f225cc0c4p-5, -0x1.3f20c1ef4dc06p-5, -0x1.3a38bfc101aa1p-5, -0x1.355cf6a77ecb1p-5, -0x1.308d6fbbf79e2p-5, -0x1.2bca32c026c2cp-5, -0x1.271343d28b42ep-5, -0x1.2268ab5824503p-5, -0x1.1dca74d7b996fp-5, -0x1.19389982486b9p-5, -0x1.14b3233bb0455p-5, -0x1.103a182fd1047p-5, -0x1.0bcd7099498a4p-5, -0x1.076d2d1cccadep-5, -0x1.03194f885c1bfp-5, -0x1.fda3ab5e6948cp-6, -0x1.f52d7d125d3cdp-6, -0x1.ecd00a9c5ca2dp-6, -0x1.e48b4c9b9fe9bp-6, -0x1.dc5f3862892a9p-6, -0x1.d44bbfd340e32p-6, -0x1.cc50d8bfa84efp-6, -0x1.c46e7350d90c6p-6, -0x1.bca47ddd5498fp-6, -0x1.b4f2e60a01caep-6, -0x1.ad5997ff20215p-6, -0x1.a5d87e36aa355p-6, -0x1.9e6f8492373cdp-6, -0x1.971e95d53aad5p-6, -0x1.8fe599a9fef98p-6, -0x1.88c471543cdd7p-6, -0x1.81bb00abde9efp-6, -0x1.7ac92c1b54931p-6, -0x1.73eed4c041deep-6, -0x1.6d2bdc37e002cp-6, -0x1.66802712c519dp-6, -0x1.5feb964064eep-6, -0x1.596e07977cf9bp-6, -0x1.530758c4f05efp-6, -0x1.4cb76006ad103p-6, -0x1.467df40ec0467p-6, -0x1.405aee2911a91p-6, -0x1.3a4e29104d2f4p-6, -0x1.345784f89039dp-6, -0x1.2e76e1b40cb46p-6, -0x1.28ac1a648cb79p-6, -0x1.22f6fe8800231p-6, -0x1.1d5759dced66fp-6, -0x1.17cd07b46770bp-6, -0x1.1257d0c934b31p-6, -0x1.0cf778a781838p-6, -0x1.07abea5e2d1e3p-6, -0x1.02750238371c1p-6, -0x1.faa5325bad596p-7, -0x1.f08913ebce1eep-7, -0x1.e6954997661d1p-7, -0x1.dcc957333f4f2p-7, -0x1.d324bc40d7de4p-7, -0x1.c9a6fa7a7224bp-7, -0x1.c04fa7a11b314p-7, -0x1.b71e783678d55p-7, -0x1.ae13381828e99p-7, -0x1.a52db563c992ap-7, -0x1.9c6daa4433e9p-7, -0x1.93d2b1070404ep-7, -0x1.8b5c422e41d83p-7, -0x1.8309c12d4b71fp-7, -0x1.7ada94ef47a08p-7, -0x1.72ce3fefc5736p-7, -0x1.6ae465e161144p-7, -0x1.631cd29cf9cb6p-7, -0x1.5b7762eee2fc1p-7, -0x1.53f3ede328996p-7, -0x1.4c922e7dfae45p-7, -0x1.4551afd897c55p-7, -0x1.3e31d31b7d5ap-7, -0x1.3731eb891bb7cp-7, -0x1.30515086a62fap-7, -0x1.298f7aea656ccp-7, -0x1.22ec199f754eap-7, -0x1.1c670a16cbbc6p-7, -0x1.16003dbddf46ep-7, -0x1.0fb798f90bb4bp-7, -0x1.098cde46ec22fp-7, -0x1.037fa2d20e094p-7, -0x1.fb1e928e2a81fp-8, -0x1.ef7621d28dd41p-8, -0x1.e40465bd2a54dp-8, -0x1.d8c814307c374p-8, -0x1.cdc07db9bde59p-8, -0x1.c2ed5ff85abf5p-8, -0x1.b84ec1ed32f6p-8, -0x1.ade4a19fa0476p-8, -0x1.a3aead0df8345p-8, -0x1.99acb1e62786bp-8, -0x1.8fde114421ff4p-8, -0x1.864144530590ap-8, -0x1.7cd4eb9b097aep-8, -0x1.73975d0889874p-8, -0x1.6a86f7e6bf372p-8, -0x1.61a2e7f71a764p-8, -0x1.58ead13ca3eafp-8, -0x1.505e92c478cd9p-8, -0x1.47fe145986724p-8, -0x1.3fc92994b8f0cp-8, -0x1.37bfb70f33484p-8, -0x1.2fe1aa7801c28p-8, -0x1.282e9ce09df02p-8, -0x1.20a5ae1265a85p-8, -0x1.1945962e06ab5p-8, -0x1.120cd611c13ebp-8, -0x1.0afa26116efb2p-8, -0x1.040c9d3e80582p-8, -0x1.fa8734b20e4c3p-9, -0x1.ed3d184f09c26p-9, -0x1.e0399e1308ecbp-9, -0x1.d37b94111e872p-9, -0x1.c7027a1096736p-9, -0x1.bacea1fdfe4ebp-9, -0x1.aee06d4897ddap-9, -0x1.a33754568d165p-9, -0x1.97d1ce6fb1ep-9, -0x1.8cadc7d8dd7f3p-9, -0x1.81c8ed9953a69p-9, -0x1.772148503802fp-9, -0x1.6cb5ccfbfb685p-9, -0x1.6285f2adfe51ep-9, -0x1.5890e5e2c79b4p-9, -0x1.4ed4d695a7ce3p-9, -0x1.454ff8090e66ep-9, -0x1.3c01c824eca1bp-9, -0x1.32eb076df152fp-9, -0x1.2a0c22b9e45bbp-9, -0x1.21643056b8cb5p-9, -0x1.18f15e986f4dfp-9, -0x1.10b16d62237fbp-9, -0x1.08a164c341ad3p-9, -0x1.00bf25667a0ep-9, -0x1.f21598663e0b1p-10, -0x1.e30b9624211afp-10, -0x1.d45f69b873e43p-10, -0x1.c60c00b804b13p-10, -0x1.b80e526bdccc4p-10, -0x1.aa65d775f277dp-10, -0x1.9d14e58ab1fbfp-10, -0x1.901c8fb8aedbcp-10, -0x1.837c89ed43889p-10, -0x1.77313cb640b28p-10, -0x1.6b3816f5c65c2p-10, -0x1.5f8ca640bcfe3p-10, -0x1.5427ef22a3912p-10, -0x1.490a7c0ec6712p-10, -0x1.3e38d5d0815c6p-10, -0x1.33b13e7479063p-10, -0x1.296c4d4c40585p-10, -0x1.1f6524f10edcp-10, -0x1.159ae813a1ab3p-10, -0x1.0c0dfc17d5bc5p-10, -0x1.02bfcf434b132p-10, -0x1.f36488991495ep-11, -0x1.e1c9e1be3bcb4p-11, -0x1.d0ab3e57ebb99p-11, -0x1.c00610a93ae5bp-11, -0x1.afd3c474738f5p-11, -0x1.a00b5b49dda11p-11, -0x1.90b6037803091p-11, -0x1.81e0e28081e13p-11, -0x1.7385462362dadp-11, -0x1.659675230b79cp-11, -0x1.5810aa3005dccp-11, -0x1.4aecac795c72ap-11, -0x1.3e1d802b1a147p-11, -0x1.319b983229a48p-11, -0x1.256903f2a901fp-11, -0x1.198b29f3d6847p-11, -0x1.0e02d5ced72bep-11, -0x1.02ce5003feb47p-11, -0x1.efe10d8faef1cp-12, -0x1.dacadc81bef05p-12, -0x1.c646d972ed694p-12, -0x1.b263c3ccd8ae4p-12, -0x1.9f282f393cb22p-12, -0x1.8c87c5a4879ccp-12, -0x1.7a92dc26e7504p-12, -0x1.694f8f477bdefp-12, -0x1.58a95996bbfdp-12, -0x1.488ae95235d5bp-12, -0x1.38e96c4c7fbd5p-12, -0x1.29c025afc527dp-12, -0x1.1b0cf9ba237f4p-12, -0x1.0cc97b9ae604fp-12, -0x1.fdcecf223b7acp-13, -0x1.e2cfeefe50da9p-13, -0x1.c8ccc30eb4152p-13, -0x1.afc13f28393a2p-13, -0x1.977df5a540a46p-13, -0x1.7ffdb4a272087p-13, -0x1.69283be3cef19p-13, -0x1.5330b57504968p-13, -0x1.3e3667b38af57p-13, -0x1.2a149a35673b2p-13, -0x1.16afa3d84a2dcp-13, -0x1.03f9ad767a86cp-13, -0x1.e3c4c05a3bad9p-14, -0x1.c0e7e0783b99ap-14, -0x1.9f64c3e7cba8p-14, -0x1.7f5492b5034d7p-14, -0x1.60a26853e428fp-14, -0x1.43113651079a5p-14, -0x1.26aebdc8fc995p-14, -0x1.0b99de0cdae59p-14, -0x1.e2be8e84b8397p-15, -0x1.b000ce910a641p-15, -0x1.7efdcdffa001p-15, -0x1.5053b99cd17e9p-15, -0x1.23deb5a3a8067p-15, -0x1.f2f78e3cc2bc2p-16, -0x1.a278c4cf4d75dp-16, -0x1.55ad19803d97fp-16, -0x1.0c84a2335de29p-16, -0x1.8c3432f51d35cp-17, -0x1.04fb1bcc43808p-17, -0x1.0717b16ee5f8fp-18, -0x1.0df588f910f9ap-22, 0x1.b04d81a35a00dp-19, 0x1.b472348871d26p-18, 0x1.41687546254afp-17, 0x1.9fc03d5bbc9e2p-17, 0x1.f834dfe19b374p-17, 0x1.27185970711b9p-16, 0x1.5066713669135p-16, 0x1.76a5097c6a156p-16, 0x1.9a81a6cd64484p-16, 0x1.bc8a5894c255fp-16, 0x1.dc144c797c521p-16, 0x1.f8ea1b6bd1befp-16, 0x1.09b63f1b0fa2fp-15, 0x1.160f24dd06502p-15, 0x1.2194c484bdfc6p-15, 0x1.2c47068c229b4p-15, 0x1.3622800c0a1bcp-15, 0x1.3f1eba6a77dffp-15, 0x1.4737dbe6ea5d7p-15, 0x1.4e7445433151cp-15, 0x1.54fc263c4e899p-15, 0x1.5a97d4920a191p-15, 0x1.5f52f1c90d4f1p-15, 0x1.6363736cc46a6p-15, 0x1.665eaae1e7134p-15, 0x1.68a969be7885cp-15, 0x1.6aa0664914a13p-15, 0x1.6c04b60270327p-15, 0x1.6ce028c6bcb76p-15, 0x1.6d240bfd0ef59p-15, 0x1.6ca9039a7836ap-15, 0x1.6b9e2e94a2b48p-15, 0x1.6a25289d60ddap-15, 0x1.683bb405f5471p-15, 0x1.65e38abb69e95p-15, 0x1.632a0e7eb2b61p-15, 0x1.5ff56257b03d9p-15, 0x1.5c460efafbc5dp-15, 0x1.583448294031p-15, 0x1.53b94dad93016p-15, 0x1.4ef3588c2b16ap-15, 0x1.49ccff7a0d687p-15, 0x1.44604300f7593p-15, 0x1.3e8aaefacca52p-15, 0x1.38684c21fbee3p-15, 0x1.31eb6eed6956ap-15, 0x1.2b1fca1a48c03p-15, 0x1.24226c3cb1573p-15, 0x1.1cf261b13cc69p-15, 0x1.1582eeabaded8p-15, 0x1.0dcaa4371f73fp-15, 0x1.05e08d5d376e5p-15, 0x1.fb9b92e940fc5p-16, 0x1.eb1593114d0aep-16, 0x1.da3067975b2ebp-16, 0x1.c8f437f977545p-16, 0x1.b766cd3f6831fp-16, 0x1.a58d48c8b80aap-16, 0x1.936ccd2beb14dp-16, 0x1.810b13cad5cap-16, 0x1.6e6d77e098dcap-16, 0x1.5b9995d700763p-16, 0x1.4893633a999e6p-16, 0x1.355db817817bdp-16, 0x1.21fac3992257cp-16, 0x1.0e71405aeb604p-16, 0x1.f57cd877a4d8cp-17, 0x1.cde35733f1407p-17, 0x1.a638879290163p-17, 0x1.7e3a64d30e215p-17, 0x1.5600c7cc1c9e6p-17, 0x1.2dd65f5b86bd3p-17, 0x1.0531a66c3d6cbp-17, 0x1.b9eea0ffaa67ap-18, 0x1.68ba3add08be2p-18, 0x1.17738add9418cp-18, 0x1.8f0ac77033f47p-19, 0x1.d2f0099ec798dp-20, 0x1.1b75267c727fap-21, -0x1.6e1204bbd54ep-21, -0x1.fb7be261ab79bp-20, -0x1.9ffc89992586bp-19, -0x1.20e20c8014075p-18, -0x1.7154ba750329ep-18, -0x1.c1d1d0f40022p-18, -0x1.08ffa82448751p-17, -0x1.30d96779fd0bep-17, -0x1.589ff2859424ep-17, -0x1.804280f84a826p-17, -0x1.a7c8cd2c7c5a1p-17, -0x1.cefb0b8c7f991p-17, -0x1.f5d9a8a2ba67cp-17, -0x1.0e5b77fc191fep-16, -0x1.217b5525b22bfp-16, -0x1.34ab82d71883bp-16, -0x1.47c05dbb2cbf7p-16, -0x1.5a8cd0aca5a15p-16, -0x1.6d4a3f8d048dcp-16, -0x1.7ff97d1e9e454p-16, -0x1.9265d163a3c22p-16, -0x1.a4db809fcfb3ap-16, -0x1.b70b18c8eb774p-16, -0x1.c8ffd0731aab1p-16, -0x1.daee76c43ddd2p-16, -0x1.eca24f81ad41p-16, -0x1.fe2599a076521p-16, -0x1.07c5b3642177fp-15, -0x1.1061cac01697dp-15, -0x1.18e87c93fc46p-15, -0x1.21598058bf67dp-15, -0x1.29b4597fbb947p-15, -0x1.31f844e75aa83p-15, -0x1.3a245a9719114p-15, -0x1.423c7355ecf85p-15, -0x1.4a4251f5d0312p-15, -0x1.5226e5e34d341p-15, -0x1.59ec727876a07p-15, -0x1.61a5fe7a1a38dp-15, -0x1.69474c0ab1a0ep-15, -0x1.70cfbdaa51c7fp-15, -0x1.78404ad45f31p-15, -0x1.7f984b8bb0e9ep-15, -0x1.86d7dcaf64b8bp-15, -0x1.8dff111debf4fp-15, -0x1.950df0bf48f66p-15, -0x1.9c045973680b9p-15, -0x1.a2e22619c33c4p-15, -0x1.a9a9da49ee652p-15, -0x1.b05476ebd5c7dp-15, -0x1.b6e8eceb1af0dp-15, -0x1.bd650dd148b2p-15, -0x1.c3c78ee756fcep-15, -0x1.ca134d68c87e7p-15, -0x1.d045a9146db9fp-15, -0x1.d65f4439c682cp-15, -0x1.dc5fb1b1b6436p-15, -0x1.e247af06bfe76p-15, -0x1.e81800116b0b9p-15, -0x1.edd1d8dc58b71p-15, -0x1.f3791168d7267p-15, -0x1.f8f75e29e0fdfp-15, -0x1.fe662cedf7bd2p-15, -0x1.01df22960908fp-14, -0x1.047f1e2c2ef0fp-14, -0x1.07131bd8e57c1p-14, -0x1.099b0a7e0d3c9p-14, -0x1.0c173b48dd77cp-14, -0x1.0e87c2af35444p-14, -0x1.10ec72c206f3cp-14, -0x1.134570abce9cdp-14, -0x1.1592e991b192fp-14, -0x1.17d76a976b59ap-14, -0x1.1a0d57ea52ec5p-14, -0x1.1c36a5eb4258cp-14, -0x1.1e56b2dfb4a5bp-14, -0x1.206bd8b8686bdp-14, -0x1.22767f17b9712p-14, -0x1.247bb8ae4942ep-14, -0x1.26623fd2302b8p-14, -0x1.2846f7a2251eep-14, -0x1.2a299481028c4p-14, -0x1.2bfd0438b79a5p-14, -0x1.2dcb2834d7616p-14, -0x1.2f87281fb85f3p-14, -0x1.3137dc0bba50fp-14, -0x1.32decc9bc5676p-14, -0x1.347baf7c68bb8p-14, -0x1.360ff57d2b165p-14, -0x1.379a3553da413p-14, -0x1.3919cd5f58ca9p-14, -0x1.3a8e9a17df85fp-14, -0x1.3bf95fcc5248p-14, -0x1.3d5a67437729dp-14, -0x1.3eb19cebd383cp-14, -0x1.3fff337d67eb1p-14, -0x1.414317e47b6e3p-14, -0x1.427bf036fdcf8p-14, -0x1.43afc7d25d69fp-14, -0x1.44d49787a8f9bp-14, -0x1.45f3e6eaa9f74p-14, -0x1.47099666c6ddbp-14, -0x1.48150f309182ap-14, -0x1.49184f45b67e6p-14, -0x1.4a12b14c0f445p-14, -0x1.4b0427aa1ffc6p-14, -0x1.4bec101803a43p-14, -0x1.4cc8f66f41b1ap-14, -0x1.4d9e559b2e1afp-14, -0x1.4e71860af74cbp-14, -0x1.4f37fc37d6d87p-14, -0x1.4ff5046c6bdfep-14, -0x1.50a96fd019ef1p-14, -0x1.51572f13cb69ep-14, -0x1.51f61466618afp-14, -0x1.529a60a7b2c13p-14, -0x1.532fef4e042d1p-14, -0x1.53bdbdf12f55p-14, -0x1.5443ed70d0e77p-14, -0x1.54c25a80ebd5p-14, -0x1.55387e17fc5edp-14, -0x1.55a77ae5482b6p-14, -0x1.56116add37bfep-14, -0x1.566fa25436ab6p-14, -0x1.56c89c8e01362p-14, -0x1.571b694873b5ap-14, -0x1.57678d5db4d14p-14, -0x1.57ac25edc0c93p-14, -0x1.57e960727bdccp-14, -0x1.581fac2b300f4p-14, -0x1.58507165fbb14p-14, -0x1.58789d98acafbp-14, -0x1.589b17dab1c51p-14, -0x1.58b6a888afc2ap-14, -0x1.58cd3d50be9afp-14, -0x1.58dcb48b0b0bp-14, -0x1.58e606269a4dfp-14, -0x1.58e930c5b7506p-14, -0x1.58e68b9b86d32p-14, -0x1.58deaffee4c64p-14, -0x1.58d155f1ae14p-14, -0x1.58bdd10d195fp-14, -0x1.589bbdc1616a2p-14, -0x1.587d705341b88p-14, -0x1.5856521486521p-14, -0x1.58318761b85e3p-14, -0x1.5800b842c4752p-14, -0x1.57c9fb8e844e1p-14, -0x1.57893e049af7p-14, -0x1.574bb4ed625c1p-14, -0x1.5705e0f0d161fp-14, -0x1.56bb06fc6ae72p-14, -0x1.566af4bcca103p-14, -0x1.56160cad19c53p-14, -0x1.55bc526c2d7c7p-14, -0x1.555de589735d6p-14, -0x1.54fa67231faa9p-14, -0x1.5492614410fa7p-14, -0x1.5424809b4b2bbp-14, -0x1.53b47aa1dccf8p-14, -0x1.533ed9cb40a9bp-14, -0x1.52c4b7da0702fp-14, -0x1.524647550c71fp-14, -0x1.51c38aae67c03p-14, -0x1.513cb2b5caeabp-14, -0x1.50b1ef9d9eb04p-14, -0x1.5022ce0875382p-14, -0x1.4f8f6cb1c6f3fp-14, -0x1.4ef8cbb135f11p-14, -0x1.4e5b30af21caap-14, -0x1.4dc012563444cp-14, -0x1.4d1c10f21c82fp-14, -0x1.4c756564155eap-14, -0x1.4bcb5ae1f1c51p-14, -0x1.4b1e2399403a3p-14, -0x1.4a6d1abd37516p-14, -0x1.49b874fa9b21p-14, -0x1.4900b86f3e852p-14, -0x1.48439ee16d9b8p-14, -0x1.478618966799ep-14, -0x1.46c558be3f4d4p-14, -0x1.4600e9a8c2a53p-14, -0x1.45383c72bf745p-14, -0x1.446c99e57fc26p-14, -0x1.439cca7b5596cp-14, -0x1.42c85d5dabf3ap-14, -0x1.41f84aab6c317p-14, -0x1.4121e00b4ecb4p-14, -0x1.4048687a19b71p-14, -0x1.3f6b66ab1e528p-14, -0x1.3e8bb89c02a95p-14, -0x1.3da9e66a2fe3ep-14, -0x1.3cc4aa789ac6ep-14, -0x1.3bdedf527d5d4p-14, -0x1.3af3b5d3718d4p-14, -0x1.3a08a12cbdd0ep-14, -0x1.391a24126226cp-14, -0x1.38290a29d4eedp-14, -0x1.373633e5abad1p-14, -0x1.3640d3f365514p-14, -0x1.354951ef6239bp-14, -0x1.3450243dddc35p-14, -0x1.3355cd1c4e285p-14, -0x1.3258ebb14e169p-14, -0x1.3152c549303c2p-14, -0x1.3051b42ecebe4p-14, -0x1.2f4ce79f710c6p-14, -0x1.2e4d5529d9f53p-14, -0x1.2d44b5e7debc5p-14, -0x1.2c39d431c56c5p-14, -0x1.2b2e21c2af2c4p-14, -0x1.2a21382aeac7fp-14, -0x1.2912ac6b61658p-14, -0x1.28026bca947f5p-14, -0x1.26f0dbd916225p-14, -0x1.25dd2521195dbp-14, -0x1.24c82dbe7fc1dp-14, -0x1.23b1bfff2318dp-14, -0x1.2299bb78508bdp-14, -0x1.21808c5949a75p-14, -0x1.2066171568d21p-14, -0x1.1f4747934902cp-14, -0x1.1e2df7c531ee3p-14, -0x1.1d0fc930f908ep-14, -0x1.1befeb47cfc8ep-14, -0x1.1acd64ae2ee7cp-14, -0x1.19aac6ddc71fcp-14, -0x1.188a00061710fp-14, -0x1.176526355f424p-14, -0x1.163f63bdd0cffp-14, -0x1.15190376f57p-14, -0x1.13f21c66c9c1p-14, -0x1.12ca7aabd291bp-14, -0x1.11a2ee8b32467p-14, -0x1.10780f6723ddep-14, -0x1.0f4bfdf60bbe9p-14, -0x1.0e1f857b46974p-14, -0x1.0cf4d86dd2f0ep-14, -0x1.0bc79ec549942p-14, -0x1.0a97e08b0c2ccp-14, -0x1.096b5a31aa031p-14, -0x1.083d5fff5597ap-14, -0x1.070d5a173ecfep-14, -0x1.05dad165f1bc4p-14, -0x1.04ac35eb2d41cp-14, -0x1.037be3e67606fp-14, -0x1.02498bef6dea2p-14, -0x1.01176c58cb20fp-14, -0x1.ffc7ea1d89f1bp-15, -0x1.fd626b74d495ep-15, -0x1.fafc38c5e0b96p-15, -0x1.f88e50e250b17p-15, -0x1.f62a42f1f1797p-15, -0x1.f3c1ba7d69495p-15, -0x1.f15810b6039e1p-15, -0x1.eeedad2b88fabp-15, -0x1.ec8315035c09ap-15, -0x1.ea18860e50e95p-15, -0x1.e7ad2ff1f6fd5p-15, -0x1.e541422fe1e9fp-15, -0x1.e2d57313e4de3p-15, -0x1.e0691af1caab5p-15, -0x1.ddfc688b689b5p-15, -0x1.db93a7c5b22a6p-15, -0x1.d92a53f86a8a2p-15, -0x1.d6b12bc381955p-15, -0x1.d4464b4f0da5ep-15, -0x1.d1d97b761e676p-15, -0x1.cf77f989a18a3p-15, -0x1.cd08c5aa86f8ep-15, -0x1.ca9a99e372ca1p-15, -0x1.c82fd557823fep-15, -0x1.c5c3144b66e5ap-15, -0x1.c357f7acb2e88p-15, -0x1.c0ebc4ca23c93p-15, -0x1.be81647b27aa7p-15, -0x1.bc19174868f73p-15, -0x1.b9b063468487ap-15, -0x1.b7467f468bd6ep-15, -0x1.b4ddbeea417d4p-15, -0x1.b275cec3fbdbbp-15, -0x1.b00e7edbb2f23p-15, -0x1.ada7e012e91e9p-15, -0x1.ab41fab3e745p-15, -0x1.a8dca90437211p-15, -0x1.a67823ac8f0fcp-15, -0x1.a413f711ebeb7p-15, -0x1.a1b0b9abfb7e2p-15, -0x1.9f5050d166d8bp-15, -0x1.9cef0f4416c03p-15, -0x1.9a8f7658398dfp-15, -0x1.982f484d3e124p-15, -0x1.95d0ee7610c1ep-15, -0x1.9373529e897ddp-15, -0x1.911aefa5d9639p-15, -0x1.8ebb0995d6b4p-15, -0x1.8c6492af6eddbp-15, -0x1.8a0d874198945p-15, -0x1.87b5209e08c4fp-15, -0x1.855d994fc17p-15, -0x1.830904c690769p-15, -0x1.80af66038864fp-15, -0x1.7e62ae15ded88p-15, -0x1.7c1524fb8cd4fp-15, -0x1.79be98fd03c43p-15, -0x1.777093bca142ep-15, -0x1.7522919f65034p-15, -0x1.72d7847f2dba9p-15, -0x1.708dab4c0123bp-15, -0x1.6e453ddd8d1ddp-15, -0x1.6c02856d027a3p-15, -0x1.69bb81b05bfcap-15, -0x1.6772fed4a208bp-15, -0x1.65310bfe5a782p-15, -0x1.62edc05124427p-15, -0x1.60a8f554d8158p-15, -0x1.5e75df673e2b6p-15, -0x1.5c348895c0c64p-15, -0x1.59f8a2772fe12p-15, -0x1.57bf003a68895p-15, -0x1.55872b9e2e4dap-15, -0x1.53514fababf07p-15, -0x1.511dfc529d167p-15, -0x1.4ee71461b2933p-15, -0x1.4cb9a21fe1cb8p-15, -0x1.4a8503741105dp-15, -0x1.4854b3064a01cp-15, -0x1.463668eceaf9ap-15, -0x1.440decc52de18p-15, -0x1.41e2a18d15337p-15, -0x1.3fbab3c6db302p-15, -0x1.3d92a592d6101p-15, -0x1.3b76c689fb579p-15, -0x1.3955bb26991bbp-15, -0x1.3736fce9a4f1fp-15, -0x1.351824c348a58p-15, -0x1.32fec8e1dc3dap-15, -0x1.30e5d346ccd29p-15, -0x1.2ecf43cc99fep-15, -0x1.2cbc9b552a9e4p-15, -0x1.2aa96f98fe206p-15, -0x1.28978da7993b2p-15, -0x1.2689cce61bd56p-15, -0x1.247d5ac2c1ce3p-15, -0x1.22728cefe2248p-15, -0x1.206a0de269429p-15, -0x1.1e61fae2ecb7dp-15, -0x1.1c5f03b723098p-15, -0x1.1a5c6c3e966e5p-15, -0x1.185d2b91a0b32p-15, -0x1.165ee3cbd6b6fp-15, -0x1.1461c452cb77fp-15, -0x1.126815a283d66p-15, -0x1.1070fd5d73d6fp-15, -0x1.0e795bc5561b1p-15, -0x1.0c87fff94d45fp-15, -0x1.0a9740b0545e3p-15, -0x1.08a52ace650f7p-15, -0x1.06b835dd8fdb9p-15, -0x1.04ce8f9950ef4p-15, -0x1.02e5d6a89195ep-15, -0x1.00fe6c17ee461p-15, -0x1.fe3377eb8f318p-16, -0x1.fa6e887f7fffbp-16, -0x1.f6aed8c2b1b37p-16, -0x1.f2ee08645e2b7p-16, -0x1.ef3b6256eded8p-16, -0x1.eb784c08ad594p-16, -0x1.e7d9dfb2d4984p-16, -0x1.e42918fe6d74dp-16, -0x1.e095885e56011p-16, -0x1.dceb2dbba912dp-16, -0x1.d94d3da2a3071p-16, -0x1.d5b08cfc4d942p-16, -0x1.d220ed10be786p-16, -0x1.ce8da1e327ba8p-16, -0x1.cb01997eafep-16, -0x1.c77cd2835ae34p-16, -0x1.c3faab53ad612p-16, -0x1.c088d31f8e16bp-16, -0x1.bd0f1c35fa1aap-16, -0x1.b999c4fd8162bp-16, -0x1.b60fb1ed755dp-16, -0x1.b2acf34c4a73cp-16, -0x1.af50c864fffe1p-16, -0x1.abf0f7b5ee6bep-16, -0x1.a88c61b66a21bp-16, -0x1.a5313381d1161p-16, -0x1.a1db6ca88ba9ep-16, -0x1.9e89a54ac2a27p-16, -0x1.9b48ae9de88bbp-16, -0x1.97f6104283595p-16, -0x1.94b42a790210bp-16, -0x1.9178096e1cc1ap-16, -0x1.8e3808c7a0da4p-16, -0x1.8b0a3e4ceccfap-16, -0x1.87d59bebcb05cp-16, -0x1.84ab01e51e156p-16, -0x1.817e1c7a741fp-16, -0x1.7e514e5594f92p-16, -0x1.7b3bcb4576269p-16, -0x1.78195da5f40aap-16, -0x1.750cec39a96b2p-16, -0x1.71f83eff6ce4cp-16, -0x1.6eea3f2bbc01ep-16, -0x1.6be441d2a781fp-16, -0x1.68dfedef7fa99p-16, -0x1.65e026fe23f78p-16, -0x1.62e52ecf6e07ap-16, -0x1.5fedab396011fp-16, -0x1.5cfb0cb8448aap-16, -0x1.5a0cf8d730635p-16, -0x1.57241cf655c47p-16, -0x1.543e1a8ed0778p-16, -0x1.515d136da0933p-16, -0x1.4e822162b1824p-16, -0x1.4b9b02b3d6505p-16, -0x1.48d3e58de3d0cp-16, -0x1.4605e7345b4f1p-16, -0x1.433a57883e9a5p-16, -0x1.40741cbc8c76dp-16, -0x1.3db22fde9a036p-16, -0x1.3af5889cf7d53p-16, -0x1.383cb17b196ddp-16, -0x1.3582a902ef2dbp-16, -0x1.32d27cd9a68b6p-16, -0x1.3024c14d5de9fp-16, -0x1.2d81dcad9551ap-16, -0x1.2adcb8b897b3fp-16, -0x1.283b539ae0254p-16, -0x1.259c9a7ad43d1p-16, -0x1.230ba374baa05p-16, -0x1.207c556582795p-16, -0x1.1de834fdd1525p-16, -0x1.1b4c801c21ca9p-16, -0x1.18f67d366ca0bp-16, -0x1.165e611004eebp-16, -0x1.13cc1068f9a92p-16, -0x1.115d88278d78p-16, -0x1.0eef51f1e9355p-16, -0x1.0c7b369dd4ff8p-16, -0x1.0a0a35ff6070ap-16, -0x1.079d2157b4acap-16, -0x1.053904776e77ap-16, -0x1.02d8013415eafp-16, -0x1.007b39f3771f3p-16, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{0x1.5e439d4161a07p-8, 0x1.5e811025c9ec2p-7, 0x1.072cf60da7a67p-6, 0x1.5f73176d1c754p-6, 0x1.b82e3d08211adp-6, 0x1.08bbeb448999ap-5, 0x1.35b39ef99a452p-5, 0x1.6308cb1eb69e9p-5, 0x1.90c4dc97ed225p-5, 0x1.bef0189d20739p-5, 0x1.ed919e4170949p-5, 0x1.0e57b5bb66923p-4, 0x1.262732533ade4p-4, 0x1.3e392f13dc27fp-4, 0x1.568f138355cd9p-4, 0x1.6f29ca56b0aabp-4, 0x1.8809c78e1520cp-4, 0x1.a12f0eb901101p-4, 0x1.ba99394af811cp-4, 0x1.d4477cef1caebp-4, 0x1.ee38b1cd8f7a7p-4, 0x1.0435ac5c701d2p-3, 0x1.116ed09e12a8ap-3, 0x1.1ec6b7c2315a6p-3, 0x1.2c3c31106e222p-3, 0x1.39cdebcba4f9dp-3, 0x1.477a79e4a279bp-3, 0x1.554052948eb58p-3, 0x1.631dd4de4ade4p-3, 0x1.711149f62d00fp-3, 0x1.7f18e78fc9d7cp-3, 0x1.8d32d2117ca19p-3, 0x1.9b5d1eada4345p-3, 0x1.a995d5619b725p-3, 0x1.b7daf2da991dfp-3, 0x1.c62a6a40bac58p-3, 0x1.d48226e8a8bc5p-3, 0x1.e2e00dec48fep-3, 0x1.f141ffab2112bp-3, 0x1.ffa5d9330a908p-3, 0x1.0704bac900f2cp-2, 0x1.0e355788e643cp-2, 0x1.1563b02f3518fp-2, 0x1.1c8eb2cc0c6dbp-2, 0x1.23b54ea8f9337p-2, 0x1.2ad674befc752p-2, 0x1.31f11823cfcc1p-2, 0x1.39042e6ed3752p-2, 0x1.400eb01629877p-2, 0x1.470f98c46e725p-2, 0x1.4e05e7a780ac2p-2, 0x1.54f09fb8cf31dp-2, 0x1.5bcec7ff915b2p-2, 0x1.629f6bcd56d99p-2, 0x1.69619af550a1dp-2, 0x1.701469feaeac9p-2, 0x1.76b6f2526e79ap-2, 0x1.7d485264ede51p-2, 0x1.83c7addb8b506p-2, 0x1.8a342daea24a9p-2, 0x1.908d0048263ep-2, 0x1.96d1599f1684ap-2, 0x1.9d0073500ac64p-2, 0x1.a3198cb308e36p-2, 0x1.a91beaeed5ae6p-2, 0x1.af06d909eaac1p-2, 0x1.b4d9a7f93cd5fp-2, 0x1.ba93aeacf6ad3p-2, 0x1.c0344a1b42336p-2, 0x1.c5badd4947bc3p-2, 0x1.cb26d152747f7p-2, 0x1.d077956e2584p-2, 0x1.d5ac9ef3caacp-2, 0x1.dac5695d91491p-2, 0x1.dfc17649adf62p-2, 0x1.e4a04d7a4c524p-2, 0x1.e9617cd439b65p-2, 0x1.ee04985c4f4d6p-2, 0x1.f2893a33ae77dp-2, 0x1.f6ef0292cfeaap-2, 0x1.fb3597c376b18p-2, 0x1.ff5ca61989b71p-2, 0x1.01b1eff56e17bp-1, 0x1.03a57ec2f666dp-1, 0x1.0588de93d1686p-1, 0x1.075bf17804e3p-1, 0x1.091e9c6b0e5c6p-1, 0x1.0ad0c74d4bca2p-1, 0x1.0c725cdcf1074p-1, 0x1.0e034aae89d7bp-1, 0x1.0f8381250a3a7p-1, 0x1.10f2f3697252fp-1, 0x1.125197620853bp-1, 0x1.139f65a9294cap-1, 0x1.14dc5983b65adp-1, 0x1.160870d720df3p-1, 0x1.1723ac1f185ddp-1, 0x1.182e0e62dd1b4p-1, 0x1.19279d2a3bdd2p-1, 0x1.1a10607236533p-1, 0x1.1ae862a15941bp-1, 0x1.1bafb07bc9e27p-1, 0x1.1c66591705a57p-1, 0x1.1d0c6dcd61835p-1, 0x1.1da2023144ebfp-1, 0x1.1e272c00298dap-1, 0x1.1e9c0315617fp-1, 0x1.1f00a15ca7f98p-1, 0x1.1f5522c480d15p-1, 0x1.1f99a5306cd4p-1, 0x1.1fce486af30cep-1, 0x1.1ff32e17874afp-1, 0x1.200879a44f01dp-1, 0x1.200e503bca756p-1, 0x1.2004d8b665444p-1, 0x1.1fec3b8bf246bp-1, 0x1.1fc4a2c5195abp-1, 0x1.1f8e39ecb55acp-1, 0x1.1f492e012de6dp-1, 0x1.1ef5ad65c97b4p-1, 0x1.1e93e7d40111ep-1, 0x1.1e240e4cd54c8p-1, 0x1.1da6530a2ca48p-1, 0x1.1d1ae9703a2cfp-1, 0x1.1c8205fef2a07p-1, 0x1.1bdbde43933efp-1, 0x1.1b28a8ca3d8f2p-1, 0x1.1a689d0fa98e7p-1, 0x1.199bf372f557fp-1, 0x1.18c2e5279010ap-1, 0x1.17ddac2747593p-1, 0x1.16ec832478604p-1, 0x1.15efa57c661dfp-1, 0x1.14e74f29ba392p-1, 0x1.13d3bcb72f7c1p-1, 0x1.12b52b326b586p-1, 0x1.118bd81f0609ap-1, 0x1.10580169c5bbdp-1, 0x1.0f19e55c0d601p-1, 0x1.0dd1c28f80b8p-1, 0x1.0c7fd7e1e004p-1, 0x1.0b2464691dbf4p-1, 0x1.09bfa767aea25p-1, 0x1.0851e041145bdp-1, 0x1.06db4e6ea7d6fp-1, 0x1.055c31749ffbp-1, 0x1.03d4c8d75a2adp-1, 0x1.02455410e1708p-1, 0x1.00ae1286b7da3p-1, 0x1.fe1e86ffc40e1p-2, 0x1.fad24c366cdeep-2, 0x1.f777f28bdb18dp-2, 0x1.f40ff764f20b8p-2, 0x1.f09ad79f39b2bp-2, 0x1.ed190f7f9bfep-2, 0x1.e98b1aa1aca3bp-2, 0x1.e5f173e777871p-2, 0x1.e24c9569dbdcp-2, 0x1.de9cf8696fa1ap-2, 0x1.dae3153fec54bp-2, 0x1.d71f6352270d2p-2, 0x1.d35259028d6dcp-2, 0x1.cf7c6ba42d8e8p-2, 0x1.cb9e0f6e43293p-2, 0x1.c7b7b7704d8e4p-2, 0x1.c3c9d586a675ap-2, 0x1.bfd4da4fa1274p-2, 0x1.bbd935212af08p-2, 0x1.b7d753feeb959p-2, 0x1.b3cfa390e7106p-2, 0x1.afc28f1a9f4adp-2, 0x1.abb08072b01d6p-2, 0x1.a799dffae6e36p-2, 0x1.a37f1498d6f6fp-2, 0x1.9f6083aedec38p-2, 0x1.9b3e9115aa314p-2, 0x1.97199f1624551p-2, 0x1.92f20e63da28bp-2, 0x1.8ec83e17d15e3p-2, 0x1.8a9c8babc76fbp-2, 0x1.866f52f5df832p-2, 0x1.8240ee24b8fb7p-2, 0x1.7e11b5bbe96dfp-2, 0x1.79e20090e2591p-2, 0x1.75b223c831e51p-2, 0x1.718272d3285b8p-2, 0x1.6d533f6dd919ap-2, 0x1.6924d99d784fcp-2, 0x1.64f78faf10b59p-2, 0x1.60cbae368f732p-2, 0x1.5ca1800e271e2p-2, 0x1.58794e560170ap-2, 0x1.54536074425dbp-2, 0x1.502ffc1556ca6p-2, 0x1.4c0f652c90afdp-2, 0x1.47f1ddf508b96p-2, 0x1.43d7a6f2c793ap-2, 0x1.3fc0fef433d79p-2, 0x1.3bae2313be68ap-2, 0x1.379f4eb9d0cc6p-2, 0x1.3394bb9ef8a37p-2, 0x1.2f8ea1ce49abdp-2, 0x1.2b8d37a7fd55fp-2, 0x1.2790b1e444ed2p-2, 0x1.239943965016fp-2, 0x1.1fa71e2f86565p-2, 0x1.1bba7182f00efp-2, 0x1.17d36bc8caa1dp-2, 0x1.13f239a24a481p-2, 0x1.1017061d85444p-2, 0x1.0c41fab98557cp-2, 0x1.08733f6a7db8dp-2, 0x1.04aafa9e274bcp-2, 0x1.00e951403a542p-2, 0x1.fa5ccd7e16a93p-3, 0x1.f2f4ba208667dp-3, 0x1.eb9aa96b68d0cp-3, 0x1.e44ed984934b7p-3, 0x1.dd1185be1b395p-3, 0x1.d5e2e6a0908e9p-3, 0x1.cec331f560e1p-3, 0x1.c7b29ad16ad86p-3, 0x1.c0b1519fa4f81p-3, 0x1.b9bf842bf5ab3p-3, 0x1.b2dd5dae18828p-3, 0x1.ac0b06d4af6cap-3, 0x1.a548a5d059366p-3, 0x1.9e965e5eeb398p-3, 0x1.97f451d6b599fp-3, 0x1.91629f31d8394p-3, 0x1.8ae16319a5bd3p-3, 0x1.8470b7f20f61fp-3, 0x1.7e10b5e51a797p-3, 0x1.77c172ee596f2p-3, 0x1.718302e669321p-3, 0x1.6b55778e6f7fcp-3, 0x1.6538e09b9af1ap-3, 0x1.5f2d4bc2995d6p-3, 0x1.5932c4c30e35ap-3, 0x1.5349557304843p-3, 0x1.4d7105ca502e3p-3, 0x1.47a9dbedebb39p-3, 0x1.41f3dc3b4537fp-3, 0x1.3c4f095382bfep-3, 0x1.36bb6426b0707p-3, 0x1.3138ebfee521cp-3, 0x1.2bc79e8b4e511p-3, 0x1.266777eb2c3c9p-3, 0x1.211872b8b721bp-3, 0x1.1bda8813ee7cep-3, 0x1.16adafad55d14p-3, 0x1.1191dfd08b9d5p-3, 0x1.0c870d6edb088p-3, 0x1.078d2c299b6d9p-3, 0x1.02a42e5c8a9dep-3, 0x1.fb980a4ff10c2p-4, 0x1.f20940f5c9804p-4, 0x1.e89bde39dccf6p-4, 0x1.df4fbd706832dp-4, 0x1.d624b7c616f7ap-4, 0x1.cd1aa4532eb77p-4, 0x1.c431582e8c107p-4, 0x1.bb68a68043e3ap-4, 0x1.b2c060941a59fp-4, 0x1.aa3855eb9e6e8p-4, 0x1.a1d0545010b2ep-4, 0x1.998827e3f3b17p-4, 0x1.915f9b346b0eep-4, 0x1.8956774a3c057p-4, 0x1.816c83ba93a5dp-4, 0x1.79a186b77e746p-4, 0x1.71f545201a8a1p-4, 0x1.6a6782907e0edp-4, 0x1.62f8017151b52p-4, 0x1.5ba68307263f1p-4, 0x1.5472c7817bbaep-4, 0x1.4d5c8e0980caep-4, 0x1.466394d0853aep-4, 0x1.3f87991e24facp-4, 0x1.38c8575e26c05p-4, 0x1.32258b2e1288p-4, 0x1.2b9eef6a7b61dp-4, 0x1.25343e3c03674p-4, 0x1.1ee531241059ap-4, 0x1.18b181094173p-4, 0x1.1298e6438c057p-4, 0x1.0c9b18a822458p-4, 0x1.06b7cf9505766p-4, 0x1.00eec1fc542e1p-4, 0x1.f67f4cdea367ep-5, 0x1.eb54665250d34p-5, 0x1.e05c3c32c554bp-5, 0x1.d59639dc45806p-5, 0x1.cb01ca3c24092p-5, 0x1.c09e57e41cc43p-5, 0x1.b66b4d1d261adp-5, 0x1.ac6813f9c0a7cp-5, 0x1.a2941667c1d4dp-5, 0x1.98eebe419432dp-5, 0x1.8f77755f03b55p-5, 0x1.862da5a5816a9p-5, 0x1.7d10b917ed76ap-5, 0x1.742019e5e20a9p-5, 0x1.6b5b327a8281cp-5, 0x1.62c16d8adbab6p-5, 0x1.5a523623badb2p-5, 0x1.520cf7b722763p-5, 0x1.49f11e293db96p-5, 0x1.41fe15dce6057p-5, 0x1.3a334bbfbabe2p-5, 0x1.32902d55c7deap-5, 0x1.2b1428c4be6d7p-5, 0x1.23beacdec7f54p-5, 0x1.1c8f292ce858dp-5, 0x1.15850df901b5cp-5, 0x1.0e9fcc5769722p-5, 0x1.07ded6301fb39p-5, 0x1.01419e47a93ebp-5, 0x1.f58f308ef7d5p-6, 0x1.e8e0718c366a4p-6, 0x1.dc75ea9d9e542p-6, 0x1.d04e88d207586p-6, 0x1.c4693b3ea96e2p-6, 0x1.b8c4f30c70ecp-6, 0x1.ad60a384c274cp-6, 0x1.a23b421d80e4fp-6, 0x1.9753c68481973p-6, 0x1.8ca92aaa5a96p-6, 0x1.823a6acc97666p-6, 0x1.7806857f55d37p-6, 0x1.6e0c7bb64aba9p-6, 0x1.644b50cd3a1b9p-6, 0x1.5ac20a8fe31efp-6, 0x1.516fb141563adp-6, 0x1.48534fa2da0b9p-6, 0x1.3f6bf2fa3febdp-6, 0x1.36b8ab17aa66ap-6, 0x1.2e388a5af82f6p-6, 0x1.25eaa5b89883p-6, 0x1.1dce14bdf97fbp-6, 0x1.15e1f1957e28ap-6, 0x1.0e25590a07572p-6, 0x1.06976a8a0cc8ep-6, 0x1.fe6e90548f66ep-7, 0x1.f0082d500efd8p-7, 0x1.e1f9fad62bcfap-7, 0x1.d4424d0e632c9p-7, 0x1.c6df7d7aa39d7p-7, 0x1.b9cfeaf8af8ddp-7, 0x1.ad11f9c324796p-7, 0x1.a0a41371c853cp-7, 0x1.9484a6f90c474p-7, 0x1.88b228a923148p-7, 0x1.7d2b122c526aep-7, 0x1.71ede284d6797p-7, 0x1.66f91e0a115bep-7, 0x1.5c4b4e6548878p-7, 0x1.51e3028dcba1dp-7, 0x1.47becec4b1c92p-7, 0x1.3ddd4c900022ep-7, 0x1.343d1ab5755aap-7, 0x1.2adcdd34c1eb8p-7, 0x1.21bb3d41657ecp-7, 0x1.18d6e93c297e4p-7, 0x1.102e94ac24723p-7, 0x1.07c0f83766d1fp-7, 0x1.ff19a336a70d2p-8, 0x1.ef21c748fb6a5p-8, 0x1.df97ec4cafe6p-8, 0x1.d079abe50bc5ep-8, 0x1.c1c4a99fa8a0ep-8, 0x1.b37692e1de919p-8, 0x1.a58d1ed5b2dfdp-8, 0x1.98060e5641ce8p-8, 0x1.8adf2bdb8257dp-8, 0x1.7e164b65d4b62p-8, 0x1.71a94a68cd956p-8, 0x1.65960fb5e4d68p-8, 0x1.59da8b66ae1a5p-8, 0x1.4e74b6c67f7f2p-8, 0x1.4362943c06ea6p-8, 0x1.38a22f3259e73p-8, 0x1.2e319c01eac75p-8, 0x1.240ef7d9030b1p-8, 0x1.1a3868a413908p-8, 0x1.10ac1cf5db1a4p-8, 0x1.07684bef23489p-8, 0x1.fcd66a4d42a37p-9, 0x1.eb66412083184p-9, 0x1.da7cbcc94cf54p-9, 0x1.ca168e106b231p-9, 0x1.ba3075e48d36p-9, 0x1.aac7452802f46p-9, 0x1.9bd7dc7ec19d3p-9, 0x1.8d5f2c1ba8a61p-9, 0x1.7f5a338e49152p-9, 0x1.71c60190171b6p-9, 0x1.649fb3d1caf93p-9, 0x1.57e476c8bdf1ep-9, 0x1.4b91857bf3ee2p-9, 0x1.3fa42951be3dfp-9, 0x1.3419b9dcb2173p-9, 0x1.28ef9ca950f8ap-9, 0x1.1e23450b81c31p-9, 0x1.13b233ec04c22p-9, 0x1.0999f7963cb53p-9, 0x1.ffb0570c201d9p-10, 0x1.ecd4f06bc28ecp-10, 0x1.da9d25d9ff535p-10, 0x1.c9047b1b863a4p-10, 0x1.b8068cc905daep-10, 0x1.a79f0fec93285p-10, 0x1.97c9d1a042237p-10, 0x1.8882b6aca5c77p-10, 0x1.79c5bb28b05f1p-10, 0x1.6b8ef21980b54p-10, 0x1.5dda8512cf271p-10, 0x1.50a4b3d8c8a04p-10, 0x1.43e9d4018f851p-10, 0x1.37a6509800df4p-10, 0x1.2bd6a9bf8460cp-10, 0x1.207774579698bp-10, 0x1.158559a11c458p-10, 0x1.0afd16e4167b8p-10, 0x1.00db7d15d4376p-10, 0x1.ee3ae100de244p-11, 0x1.db7fd0d5d090dp-11, 0x1.c97fdd8430d46p-11, 0x1.b8353f84ec9f7p-11, 0x1.a79a5345d324bp-11, 0x1.97a998809ae57p-11, 0x1.885db19396435p-11, 0x1.79b162dce63b1p-11, 0x1.6b9f92169aafbp-11, 0x1.5e2345b4cf2aap-11, 0x1.5137a44693ae2p-11, 0x1.44d7f3d75d171p-11, 0x1.38ff995391badp-11, 0x1.2daa17edd0786p-11, 0x1.22d3108752acp-11, 0x1.187641187c4c3p-11, 0x1.0e8f841da1f6bp-11, 0x1.051ad003a0d3fp-11, 0x1.f8286d2f3363fp-12, 0x1.e6efc8efc296ap-12, 0x1.d684410f3133p-12, 0x1.c6de96c724d62p-12, 0x1.b7f7bdb2ba21ap-12, 0x1.a9c8dac15ba7fp-12, 0x1.9c4b432b46f2p-12, 0x1.8f787b6c42c81p-12, 0x1.834a363f0cc74p-12, 0x1.77ba53a1478d9p-12, 0x1.6cc2dfd6cee06p-12, 0x1.625e1272ba7c7p-12, 0x1.58864d64ead33p-12, 0x1.4f361c08dc4bdp-12, 0x1.4668323aac3aep-12, 0x1.3e176b704b75dp-12, 0x1.363ec9d20e512p-12, 0x1.2ed9755c2b198p-12, 0x1.27e2bb007ac03p-12, 0x1.21560bcd99d51p-12, 0x1.1b2efc18a2ae5p-12, 0x1.156942ab26bbcp-12, 0x1.1000b7f46c2cp-12, 0x1.0af1553e2d226p-12, 0x1.063733e4bdebdp-12, 0x1.01ce8c93934p-12, 0x1.fb676d0744923p-13, 0x1.f3c64d7cbbee9p-13, 0x1.ecb2dec6bd3f1p-13, 0x1.e6267de4e469cp-13, 0x1.e01abf300a923p-13, 0x1.da896cf864975p-13, 0x1.d56c8631a7d5ap-13, 0x1.d0be3d19ac635p-13, 0x1.cc78f5ef8cf83p-13, 0x1.c89745ab9a812p-13, 0x1.c513f0bf63c16p-13, 0x1.c1e9e9dc89248p-13, 0x1.bf1450c0c76e1p-13, 0x1.bc8e7108357b4p-13, 0x1.ba53c1046e1fbp-13, 0x1.b85fe09a88e71p-13, 0x1.b6ae98284f9e2p-13, 0x1.b53bd76e73c8dp-13, 0x1.b403b47cea6edp-13, 0x1.b3026aaa5d2cbp-13, 0x1.b234598c30ca3p-13, 0x1.b19603f83617ap-13, 0x1.b1240f084f98p-13, 0x1.b0db412630a03p-13, 0x1.b0b8811a2de3ep-13, 0x1.b0b8d52064347p-13, 0x1.b0d96201c0bebp-13, 0x1.b1176a331939p-13, 0x1.b1704cfad302fp-13, 0x1.b1e185974db96p-13, 0x1.b268aa6bd1ecfp-13, 0x1.b3036c344220dp-13, 0x1.b3af953b05f18p-13, 0x1.b46b089446381p-13, 0x1.b533c15dc9a08p-13, 0x1.b607d202f397cp-13, 0x1.b6e563860a4fp-13, 0x1.b7cab4cb87294p-13, 0x1.b8b619eb27d68p-13, 0x1.b9a5fb8666f07p-13, 0x1.ba98d62030be1p-13, 0x1.bb8d397b27cf6p-13, 0x1.bc81c7f967801p-13, 0x1.bd75360225c88p-13, 0x1.be664969e4c6fp-13, 0x1.bf53d8df2a9d2p-13, 0x1.c03ccb595fa43p-13, 0x1.c120178e98582p-13, 0x1.c1fcc36a1b83bp-13, 0x1.c2d1e384ec886p-13, 0x1.c39e9aa57db7dp-13, 0x1.c462194086816p-13, 0x1.c51b9cfd4b6f1p-13, 0x1.c5ca703e1c4a9p-13, 0x1.c66de9aa176c1p-13, 0x1.c7056bbcb6b81p-13, 0x1.c790645512c12p-13, 0x1.c80e4c4a9920bp-13, 0x1.c87ea702fd2a2p-13, 0x1.c8e1020da870ap-13, 0x1.c934f4bf18631p-13, 0x1.c97a1fcfb236fp-13, 0x1.c9b02cfe0d21fp-13, 0x1.c9d6ceb359e8dp-13, 0x1.c9edbfaaf0935p-13, 0x1.c9f4c29a8127cp-13, 0x1.c9eba1df0d616p-13, 0x1.c9d22f2c0b712p-13, 0x1.c9a8433a99dbep-13, 0x1.c96dbd7d679cp-13, 0x1.c92283d50a257p-13, 0x1.c8c68248b7841p-13, 0x1.c859aac002144p-13, 0x1.c7dbf4bdac5bbp-13, 0x1.c74d5d1da3ed9p-13, 0x1.c6ade5d559972p-13, 0x1.c5fd95b5c3977p-13, 0x1.c53c782daffffp-13, 0x1.c46a9d10adap-13, 0x1.c388185dd9ea7p-13, 0x1.c295020ac9feep-13, 0x1.c19175cc4374p-13, 0x1.c07d92e3c29dp-13, 0x1.bf597bed707fcp-13, 0x1.be2556b108e4ap-13, 0x1.bce14bf3095bfp-13, 0x1.bb8d8747535c1p-13, 0x1.ba2a36e6b7445p-13, 0x1.b8b78b847adfbp-13, 0x1.b735b826b160cp-13, 0x1.b5a4f1fdc6015p-13, 0x1.b405703f571b8p-13, 0x1.b2576c01fd408p-13, 0x1.b09b201b6b171p-13, 0x1.aed0c8fcdeae7p-13, 0x1.acf8a4937e384p-13, 0x1.ab12f2283cf7p-13, 0x1.a91ff242d7011p-13, 0x1.a71fe68be4a17p-13, 0x1.a51311b10dc0fp-13, 0x1.a2f9b749cba05p-13, 0x1.a0d41bbeecbbbp-13, 0x1.9ea2843101759p-13, 0x1.9c65366043f56p-13, 0x1.9a1c7895bdfa9p-13, 0x1.97c8918d9451fp-13, 0x1.9569c8624f657p-13, 0x1.93006478a1e56p-13, 0x1.908cad6bfccf4p-13, 0x1.8e0eeafb62814p-13, 0x1.8b8764f999982p-13, 0x1.88f6633b061eep-13, 0x1.865c2d85abc91p-13, 0x1.83b90b826b6dap-13, 0x1.810d44ad73247p-13, 0x1.7e59204a2db52p-13, 0x1.7b9ce55489f9cp-13, 0x1.78d8da74df7ebp-13, 0x1.760d45f358a2ap-13, 0x1.733a6dad813fdp-13, 0x1.7060970af6dc4p-13, 0x1.6d8006f410593p-13, 0x1.6a9901c6fdd37p-13, 0x1.67abcb4ffd8afp-13, 0x1.64b8a6c05022bp-13, 0x1.61bfd6a65f1fp-13, 0x1.5ec19ce61ed68p-13, 0x1.5bbe3ab14440ap-13, 0x1.58b5f081b79f9p-13, 0x1.55a8fe1323483p-13, 0x1.5297a25d91887p-13, 0x1.4f821b8f74216p-13, 0x1.4c68a708d4fedp-13, 0x1.494b815732f7ep-13, 0x1.462ae6307b94bp-13, 0x1.430710705cb57p-13, 0x1.3fe03a13a506p-13, 0x1.3cb69c35f3523p-13, 0x1.398a6f0e8af8ap-13, 0x1.365be9ee4b4d8p-13, 0x1.332b433cf925ep-13, 0x1.2ff8b077595acp-13, 0x1.2cc4662d2911ep-13, 0x1.298e980092216p-13, 0x1.265778a4402b1p-13, 0x1.231f39db123fep-13, 0x1.1fe60c76ee085p-13, 0x1.1cac2058325b4p-13, 0x1.1971a46dea94cp-13, 0x1.1636c6b52b8e8p-13, 0x1.12fbb439b95b7p-13, 0x1.0fc09915e50d6p-13, 0x1.0c85a07365c7ep-13, 0x1.094af48baab76p-13, 0x1.0610bea94a8fbp-13, 0x1.02d7272878a3fp-13, 0x1.ff3caaefc4f44p-14, 0x1.f8cce0351a5a4p-14, 0x1.f25f39514cc7dp-14, 0x1.ebf3ffa28459fp-14, 0x1.e58b7ab8d03a1p-14, 0x1.df25f057ee613p-14, 0x1.d8c3a47c7d0efp-14, 0x1.d264d95dffcc9p-14, 0x1.cc09cf7505e26p-14, 0x1.c5b2c57dcfaf3p-14, 0x1.bf5ff87d30db5p-14, 0x1.b911a3c577f31p-14, 0x1.b2c800fa40956p-14, 0x1.ac83481607fe4p-14, 0x1.a643af7004391p-14, 0x1.a0096bbe4cfdp-14, 0x1.99d4b01dc8d15p-14, 0x1.93a5ae16d73a3p-14, 0x1.8d7c95a10670bp-14, 0x1.87599529ffd28p-14, 0x1.813cd99b4eaf5p-14, 0x1.7b268e5ec7fc8p-14, 0x1.7516dd647bd3ep-14, 0x1.6f0def2915605p-14, 0x1.690beabad6a5cp-14, 0x1.6310f5bf3e288p-14, 0x1.5d1d347a67bcdp-14, 0x1.5730c9d24a451p-14, 0x1.514bd7560f511p-14, 0x1.4b6e7d44a1b2fp-14, 0x1.4598da914d956p-14, 0x1.3fcb0ce93fc46p-14, 0x1.3a0530bb9c126p-14, 0x1.3447613d3f506p-14, 0x1.2e91b86f313e1p-14, 0x1.28e44f24daabap-14, 0x1.233f3d097de9ep-14, 0x1.1da298a6945fcp-14, 0x1.180e77685539ap-14, 0x1.1282eda57441cp-14, 0x1.0d000ea3236f8p-14, 0x1.0785ec9b38d27p-14, 0x1.021498c340a86p-14, 0x1.f95846a117ca8p-15, 0x1.ee9936fbac6e5p-15, 0x1.e3ec1f237dfa2p-15, 0x1.d95119c87e637p-15, 0x1.cec83fc58cb99p-15, 0x1.c451a82e43eeap-15, 0x1.b9ed685b1a005p-15, 0x1.af9b93eea9ee8p-15, 0x1.a55c3ce50a264p-15, 0x1.9b2f739bdfd6fp-15, 0x1.911546ddc999fp-15, 0x1.870dc3eb6de71p-15, 0x1.7d18f686c663cp-15, 0x1.7336e8fd9e8e3p-15, 0x1.6967a430f8b11p-15, 0x1.5fab2fa05bb9p-15, 0x1.56019174eccbep-15, 0x1.4c6ace884d20fp-15, 0x1.42e6ea6eeb46ap-15, 0x1.3975e781f65e8p-15, 0x1.3017c6e61e0e6p-15, 0x1.26cc88973e5ecp-15, 0x1.1d942b6feed5dp-15, 0x1.146ead32ccba6p-15, 0x1.0b5c0a9213e97p-15, 0x1.025c3f37de1ffp-15, 0x1.f2de8b9fab722p-16, 0x1.e12a301a5b538p-16, 0x1.cf9b5d6a3416bp-16, 0x1.be320348dfa34p-16, 0x1.acee0fb1cb5f1p-16, 0x1.9bcf6eefe0448p-16, 0x1.8ad60ba9ac7e7p-16, 0x1.7a01cef759572p-16, 0x1.6952a0691b2d2p-16, 0x1.58c86619acc0cp-16, 0x1.486304bc074a2p-16, 0x1.38225fa5b3629p-16, 0x1.280658dc501bp-16, 0x1.180ed127c7ab5p-16, 0x1.083ba81913b64p-16, 0x1.f119783491234p-17, 0x1.d203d4ee70013p-17, 0x1.b3361eda7743dp-17, 0x1.94b00c670545ep-17, 0x1.7671520d36c72p-17, 0x1.5879a26f55cabp-17, 0x1.3ac8ae665cc94p-17, 0x1.1d5e2518b2ed6p-17, 0x1.0039b40f2c703p-17, 0x1.c6b60e94b4bc3p-18, 0x1.8d8392a9f065fp-18, 0x1.54db46aa4e7p-18, 0x1.1cbc7a4ce675dp-18, 0x1.ca4cf5a117632p-19, 0x1.5c31262ad225cp-19, 0x1.de482f002185dp-20, 0x1.0648adcc6b31p-20, 0x1.8306db787e931p-23, -0x1.46e4796ed8b3ep-21, -0x1.7533960585bf5p-20, -0x1.22731916b1ee2p-19, -0x1.89468c56d26a2p-19, -0x1.ef15ab433e313p-19, -0x1.29f0ff67ada13p-18, -0x1.5bd68913bb7b2p-18, -0x1.8d3c394a98c0dp-18, -0x1.be22d7a057f1ep-18, -0x1.ee8b2c7b1afcp-18, -0x1.0f3b00806c63dp-17, -0x1.26f20f8292ae7p-17, -0x1.3e6b2875851bbp-17, -0x1.55a6b0c3704eap-17, -0x1.6ca50e07afd3fp-17, -0x1.8366a60ec3778p-17, -0x1.99ebdec14e794p-17, -0x1.b0351e19d2508p-17, -0x1.c642ca1fb4b16p-17, -0x1.dc1548dedacb1p-17, -0x1.f1ad005fc91bcp-17, -0x1.03852b4c9ae25p-16, -0x1.0e16d8b7b449p-16, -0x1.188bbb54c0cb5p-16, -0x1.22e405f46856bp-16, -0x1.2d1feb51192ddp-16, -0x1.373f9e0bffd8ep-16, -0x1.414350ab0b244p-16, -0x1.4b2b3592836p-16, -0x1.54f77f0486829p-16, -0x1.5ea85f1f48ae2p-16, -0x1.683e07d9425e7p-16, -0x1.71b8aafb944d8p-16, -0x1.7b187a2128ca9p-16, -0x1.845da6b62173dp-16, -0x1.8d8861f667b78p-16, -0x1.9698dce708452p-16, -0x1.9f8f485789534p-16, -0x1.a86bd4ddbe027p-16, -0x1.b12eb2d6d82edp-16, -0x1.b9d81263d8e8ap-16, -0x1.c2682366215a4p-16, -0x1.cadf15818e7e1p-16, -0x1.d33d1818c58fdp-16, -0x1.db825a4be4fb7p-16, -0x1.e3af0af6e3de8p-16, -0x1.ebc358aff74e2p-16, -0x1.f3bf71c99c095p-16, -0x1.fba3844d903e7p-16, -0x1.01b7defebd5bep-15, -0x1.05922629e51e4p-15, -0x1.0960ae4017577p-15, -0x1.0d238db3d69cap-15, -0x1.10dadad12e1f1p-15, -0x1.1486abbe9e615p-15, -0x1.1827167cf1433p-15, -0x1.1bbc30e565453p-15, -0x1.1f4610ab8077dp-15, -0x1.22c4cb5abc348p-15, -0x1.26387657f1ba3p-15, -0x1.29a126e0d81d2p-15, -0x1.2cfef20b65074p-15, -0x1.3051ecc5ec6d2p-15, -0x1.339a2bd74fc03p-15, -0x1.36d7c3df585dcp-15, -0x1.3a0ac95541f06p-15, -0x1.3d33508899186p-15, -0x1.40516da1474fap-15, -0x1.436534a028cadp-15, -0x1.466eb95e188efp-15, -0x1.496e0f8c84e1fp-15, -0x1.4c634ab61e07dp-15, -0x1.4f4e7e3da4bcap-15, -0x1.522fbd5f09b6bp-15, -0x1.55071b2e51becp-15, -0x1.57d4aa999a572p-15, -0x1.5a987e680845ep-15, -0x1.5d52a93a58c78p-15, -0x1.60033d8abb5ep-15, -0x1.62aa4dad979dp-15, -0x1.6547ebd16473ap-15, -0x1.67dc29ff05d9p-15, -0x1.6a671a1a399b2p-15, -0x1.6ce8cde138f96p-15, -0x1.6f6156ed4c5c6p-15, -0x1.71d0c6b42bb2ep-15, -0x1.74372e86c5b66p-15, -0x1.76949f913c513p-15, -0x1.78e92adc558dap-15, -0x1.7b34e14dafd3ep-15, -0x1.7d77d3a871bc2p-15, -0x1.7fb2128c54b35p-15, -0x1.81e3ae76f57d7p-15, -0x1.840cb7c3d99d2p-15, -0x1.862d3ead12898p-15, -0x1.8845534abd0ebp-15, -0x1.8a550593e1c36p-15, -0x1.8c5c655ee17b6p-15, -0x1.8e5b8261d51d9p-15, -0x1.90526c339a6a5p-15, -0x1.9241324a0d4cap-15, -0x1.9427e3fccb751p-15, -0x1.96069083ebc49p-15, -0x1.97dd46f946e1bp-15, -0x1.99ac16587003fp-15, -0x1.9b730d7f35932p-15, -0x1.9d323b2dffe8dp-15, -0x1.9ee9ae08443f2p-15, -0x1.a099749472507p-15, -0x1.a2419d3ca2005p-15, -0x1.a3e2364e4dd25p-15, -0x1.a57b4dfc12c09p-15, -0x1.a70cf25d8bd7fp-15, -0x1.a897316edaf7p-15, -0x1.aa1a19121622ep-15, -0x1.ab95b70eb149ap-15, -0x1.ad0a1913236fcp-15, -0x1.ae774cb3ace04p-15, -0x1.afdd5f6badcf7p-15, -0x1.b13c5e9d2a0dcp-15, -0x1.b29457921ddd2p-15, -0x1.b3e5577d779f1p-15, -0x1.b52f6b7952f27p-15, -0x1.b672a088fa794p-15, -0x1.b7af039858173p-15, -0x1.b8e4a17cfe79dp-15, -0x1.ba1386f601d3p-15, -0x1.bb3bc0ac46081p-15, -0x1.bc5d5b337bf98p-15, -0x1.bd78630a0ad0cp-15, -0x1.be8ce49953bbep-15, -0x1.bf9aec356eea3p-15, -0x1.c0a2861e61651p-15, -0x1.c1a3be7f68eb7p-15, -0x1.c29ea17109f6cp-15, -0x1.c3933af84e417p-15, -0x1.c481970676f4ap-15, -0x1.c569c17a5573ap-15, -0x1.c64bc61fa14ddp-15, -0x1.c727b0b0e7478p-15, -0x1.c7fd8cd5ad0d4p-15, -0x1.c8cd662441f91p-15, -0x1.c9974820a215dp-15, -0x1.ca5b3e3dfd08ap-15, -0x1.cb1953df36541p-15, -0x1.cbd19455ced7cp-15, -0x1.cc840ae315416p-15, -0x1.cd30c2b887b0ap-15, -0x1.cdd7c6f773e06p-15, -0x1.ce7922b167ec8p-15, -0x1.cf14e0e804ebcp-15, -0x1.cfab0c8e346d3p-15, -0x1.d03bb0889fb91p-15, -0x1.d0c6d7acc3779p-15, -0x1.d14c8cc0ba024p-15, -0x1.d1ccda7d4ed09p-15, -0x1.d247cb8c90c6ap-15, -0x1.d2bd6a8a64d87p-15, -0x1.d32dc205f1edep-15, -0x1.d398dc809a3c5p-15, -0x1.d3fec46e0501p-15, -0x1.d45f843508b0ep-15, -0x1.d4bb262f3d71ap-15, -0x1.d511b4aa5ffbcp-15, -0x1.d56339e6ffa78p-15, -0x1.d5afc01996babp-15, -0x1.d5f7516937608p-15, -0x1.d639f7f1addc5p-15, -0x1.d677bdc399c19p-15, -0x1.d6b0ace2ed2a5p-15, -0x1.d6e4cf47e4983p-15, -0x1.d7142edfe1a62p-15, -0x1.d73ed58cb5cebp-15, -0x1.d764cd258c4p-15, -0x1.d7861f758020fp-15, -0x1.d7a2d63d00881p-15, -0x1.d7bafb3268e28p-15, -0x1.d7ce98013e65bp-15, -0x1.d7ddb649efedfp-15, -0x1.d7e85fa2a9d79p-15, -0x1.d7ee9d9809c7fp-15, -0x1.d7f079ab1b76bp-15, -0x1.d7edfd53bbbaap-15, -0x1.d7e73200161dp-15, -0x1.d7dc21137bf8ap-15, -0x1.d7ccd3e7f7a3dp-15, -0x1.d7b953cddd781p-15, -0x1.d7a1aa0bfe43p-15, -0x1.d785dfdf833fp-15, -0x1.d765fe7c1bd4ap-15, -0x1.d7420f0c5078cp-15, -0x1.d71a1ab0d27dfp-15, -0x1.d6ee2a8142995p-15, -0x1.d6be478c7f6dcp-15, -0x1.d68a7ad7ae07p-15, -0x1.d652cd5f21841p-15, -0x1.d6174816cc94ep-15, -0x1.d5d7f3e91c904p-15, -0x1.d594d9b7cf76bp-15, -0x1.d54e025b757c7p-15, -0x1.d50376a40a84ep-15, -0x1.d4b53f5972133p-15, -0x1.d463653ab4035p-15, -0x1.d40df0fda3e8dp-15, -0x1.d3b4eb4f3166dp-15, -0x1.d3585cd4c495fp-15, -0x1.d2f84e2ab26bfp-15, -0x1.d294c7e4d2f8dp-15, -0x1.d22dd28f31f1cp-15, -0x1.d1c376acbf431p-15, -0x1.d155bcb7bf798p-15, -0x1.d0e4ad229aec7p-15, -0x1.d070505719064p-15, -0x1.cff8aeb71ae5ap-15, -0x1.cf7dd09c10a72p-15, -0x1.ceffbe5721bfep-15, -0x1.ce7e8030d0651p-15, -0x1.cdfa1e6967cbep-15, -0x1.cd72a13938b05p-15, -0x1.cce810d091687p-15, -0x1.cc5a7556c5a71p-15, -0x1.cbc9d6eb12e81p-15, -0x1.cb363da53de2ap-15, -0x1.ca9fb19469a84p-15, -0x1.ca063abf45671p-15, -0x1.c969e12454d43p-15, -0x1.c8caacb992231p-15, -0x1.c828a56dbdcf4p-15, -0x1.c783d32702eedp-15, -0x1.c6dc3dc326c13p-15, -0x1.c631ed177426p-15, -0x1.c584e8f0e5c41p-15, -0x1.c4d53914c3d83p-15, -0x1.c422e53fb1032p-15, -0x1.c36df5266bc32p-15, -0x1.c2b67075b597fp-15, -0x1.c1fc5ed13661fp-15, -0x1.c13fc7d4858e6p-15, -0x1.c080b3130fca3p-15, -0x1.bfbf281801641p-15, -0x1.befb2e662ba31p-15, -0x1.be34cd77ec46bp-15, -0x1.bd6c0cbfbb1eep-15, -0x1.bca0f3a737eeep-15, -0x1.bbd3898f9f853p-15, -0x1.bb03d5d1de1b7p-15, -0x1.ba31dfbece636p-15, -0x1.b95dae9e6327cp-15, -0x1.b88749b04b96fp-15, -0x1.b7aeb82bc12e6p-15, -0x1.b6d4013fa5a22p-15, -0x1.b5f72c122b4fcp-15, -0x1.b5183fc1063e7p-15, -0x1.b437436103a33p-15, -0x1.b3543dff0c341p-15, -0x1.b26f369f750f1p-15, -0x1.b188343d9a7c2p-15, -0x1.b09f3dcc32caep-15, -0x1.afb45a35362f3p-15, -0x1.aec7905a74fe9p-15, -0x1.add8e714a0e3fp-15, -0x1.ace86533bc33fp-15, -0x1.abf6117f9bfd3p-15, -0x1.ab01f2b712621p-15, -0x1.aa0c0f8fce2b3p-15, -0x1.a9146eb71c412p-15, -0x1.a81b16d1505a6p-15, -0x1.a7200e79fefcdp-15, -0x1.a6235c4402e52p-15, -0x1.a52506b90116cp-15, -0x1.a425145a4445ep-15, -0x1.a3238b9fcaba7p-15, -0x1.a22072f8be4a3p-15, }}, 
      {{0x1.6eabece3cc0ecp-2, 0x1.6ec603d4cf94ep-2, 0x1.6ef1d2b814564p-2, 0x1.6f2fbef92be5ep-2, 0x1.6f803bc53c9b5p-2, 0x1.6fe3bf89f30f8p-2, 0x1.705abc0a28849p-2, 0x1.70e598768208dp-2, 0x1.7184ad1b0c823p-2, 0x1.7238404c9f534p-2, 0x1.7300845406811p-2, 0x1.73dd962336508p-2, 0x1.74cf7cab959c6p-2, 0x1.75d628b48f819p-2, 0x1.76f17517e397ap-2, 0x1.7821274e026b9p-2, 0x1.7964f0389a77dp-2, 0x1.7abc6d1c8b522p-2, 0x1.7c2728bef0bcbp-2, 0x1.7da49c9b04dadp-2, 0x1.7f3432284fb2ep-2, 0x1.80d5442a10e24p-2, 0x1.82872002035fbp-2, 0x1.84490701b97bp-2, 0x1.861a2fb6a6595p-2, 0x1.87f9c72dc450ep-2, 0x1.89e6f22c672dep-2, 0x1.8be0ce5c68a05p-2, 0x1.8de6736a5521fp-2, 0x1.8ff6f414abd6ep-2, 0x1.92115f2ba6de6p-2, 0x1.9434c0814544fp-2, 0x1.966021c990ep-2, 0x1.98928b6b51556p-2, 0x1.9acb054182f2cp-2, 0x1.9d08974e07335p-2, 0x1.9f4a4a5e240b1p-2, 0x1.a18f28a1704d4p-2, 0x1.a3d63e33db566p-2, 0x1.a61e999b8922ep-2, 0x1.a8674c3b39576p-2, 0x1.aaaf6ab9f3b42p-2, 0x1.acf60d60b0791p-2, 0x1.af3a506eb02a8p-2, 0x1.b17b54652b29bp-2, 0x1.b3b83e4b0748fp-2, 0x1.b5f037e920fb8p-2, 0x1.b8226fffcbbacp-2, 0x1.ba4e1a76084bbp-2, 0x1.bc727082f8cb3p-2, 0x1.be8eb0d204689p-2, 0x1.c0a21fa220ae3p-2, 0x1.c2ac06e0a0a85p-2, 0x1.c4abb63fe8791p-2, 0x1.c6a0834a5c6ebp-2, 0x1.c889c971d822fp-2, 0x1.ca66ea1bf31fdp-2, 0x1.cc374cab57a71p-2, 0x1.cdfa5e865e9fbp-2, 0x1.cfaf931b2ab83p-2, 0x1.d15663e1715b5p-2, 0x1.d2ee505a17bbap-2, 0x1.d476de0cd1b22p-2, 0x1.d5ef9883df77ap-2, 0x1.d758114608213p-2, 0x1.d8afdfcef802ep-2, 0x1.d9f6a1860df98p-2, 0x1.db2bf9b3b976bp-2, 0x1.dc4f91757b593p-2, 0x1.dd6117b09f8e1p-2, 0x1.de604103ba08fp-2, 0x1.df4cc7b70176ep-2, 0x1.e0266bab946d7p-2, 0x1.e0ecf249b01dfp-2, 0x1.e1a0266df3d37p-2, 0x1.e23fd855b2fc4p-2, 0x1.e2cbdd8a67c7fp-2, 0x1.e34410cc51c8cp-2, 0x1.e3a851fc4b272p-2, 0x1.e3f88604e0b73p-2, 0x1.e43496c2b7efap-2, 0x1.e45c72ec4e30cp-2, 0x1.e4700df91a983p-2, 0x1.e46f60081d60bp-2, 0x1.e45a65c5e8ac9p-2, 0x1.e43120522bf8cp-2, 0x1.e3f39524cb738p-2, 0x1.e3a1cdf28dc63p-2, 0x1.e33bd8916e637p-2, 0x1.e2c1c6dc953cbp-2, 0x1.e233ae9807378p-2, 0x1.e191a9541277cp-2, 0x1.e0dbd45083afep-2, 0x1.e012505fab81p-2, 0x1.df3541c9403b2p-2, 0x1.de44d02d1ea14p-2, 0x1.dd412665fd0afp-2, 0x1.dc2a726c0f92p-2, 0x1.db00e537a92cp-2, 0x1.d9c4b2a3e6e19p-2, 0x1.d876115167558p-2, 0x1.d7153a8915365p-2, 0x1.d5a26a1f154ebp-2, 0x1.d41dde55d5927p-2, 0x1.d287d7c14b3afp-2, 0x1.d0e0992a62252p-2, 0x1.cf286772a951bp-2, 0x1.cd5f89783c16ep-2, 0x1.cb8647f9f6f7bp-2, 0x1.c99ced7bf65ddp-2, 0x1.c7a3c62c6640dp-2, 0x1.c59b1fc8ae287p-2, 0x1.c3834982f5965p-2, 0x1.c15c93e80bd45p-2, 0x1.bf2750c5b63cbp-2, 0x1.bce3d311680fep-2, 0x1.ba926ecf6ap-2, 0x1.b83378fa71019p-2, 0x1.b5c7476bab6b4p-2, 0x1.b34e30c34afcbp-2, 0x1.b0c88c518290fp-2, 0x1.ae36b20006e0ap-2, 0x1.ab98fa3c10209p-2, 0x1.a8efbde0dabb7p-2, 0x1.a63b5622ae9fdp-2, 0x1.a37c1c7a6d229p-2, 0x1.a0b26a91a342fp-2, 0x1.9dde9a2f28ab9p-2, 0x1.9b01052444d74p-2, 0x1.981a053a5ebfcp-2, 0x1.9529f4213a9afp-2, 0x1.92312b5dbe9d2p-2, 0x1.8f3004394559dp-2, 0x1.8c26d7b17b1ep-2, 0x1.8915fe68c645bp-2, 0x1.85fdd09738c96p-2, 0x1.82dea5fc10baap-2, 0x1.7fb8d5cfbaf04p-2, 0x1.7c8cb6b66582dp-2, 0x1.795a9eb31558fp-2, 0x1.7622e31b447b4p-2, 0x1.72e5d88b04ca4p-2, 0x1.6fa3d2d9a714fp-2, 0x1.6c5d250ee6214p-2, 0x1.69122158905dep-2, 0x1.65c31900b1904p-2, 0x1.62705c643d5eep-2, 0x1.5f1a3aea302abp-2, 0x1.5bc102fb2f02ep-2, 0x1.586501f99bb46p-2, 0x1.5506843a223c6p-2, 0x1.51a5d4fcb6611p-2, 0x1.4e433e660728ap-2, 0x1.4adf09795cbeep-2, 0x1.47797e12e8b49p-2, 0x1.4412e2e27d286p-2, 0x1.40ab7d66afb0ep-2, 0x1.3d4391e85fab6p-2, 0x1.39db6376a1423p-2, 0x1.367333e30cb97p-2, 0x1.330b43be67037p-2, 0x1.2fa3d255ae2b1p-2, 0x1.2c3d1daf778bcp-2, 0x1.28d76289ae5b4p-2, 0x1.2572dc57a07bap-2, 0x1.220fc54061f1fp-2, 0x1.1eae561d7f167p-2, 0x1.1b4ec679fd7e8p-2, 0x1.17f14c91a8fc4p-2, 0x1.14961d50a5ab4p-2, 0x1.113d6c534f64dp-2, 0x1.0de76be657379p-2, 0x1.0a944d07257aep-2, 0x1.07443f647b377p-2, 0x1.03f7715f51932p-2, 0x1.00ae100bf1f8ap-2, 0x1.fad08e66909a8p-3, 0x1.f44c82a8d4bc1p-3, 0x1.edd04f4cad6e2p-3, 0x1.e75c4433beecp-3, 0x1.e0f0aeb7982c8p-3, 0x1.da8dd9ae44c34p-3, 0x1.d4340d6f3dc17p-3, 0x1.cde38fd8ac64ap-3, 0x1.c79ca454fa2ccp-3, 0x1.c15f8be0abb74p-3, 0x1.bb2c8510865d8p-3, 0x1.b503cc17f3672p-3, 0x1.aee59acfa9993p-3, 0x1.a8d228bc8ff39p-3, 0x1.a2c9ab16d2906p-3, 0x1.9ccc54d13c204p-3, 0x1.96da56a0ad4e7p-3, 0x1.90f3df03d379bp-3, 0x1.8b191a4b01bb5p-3, 0x1.854a32a03264fp-3, 0x1.7f87500f30125p-3, 0x1.79d0988ddca49p-3, 0x1.742630049e0efp-3, 0x1.6e883856de7e8p-3, 0x1.68f6d16bac2bap-3, 0x1.637219366d67p-3, 0x1.5dfa2bbfa8e1ap-3, 0x1.588f232ddf8c8p-3, 0x1.533117ce79d21p-3, 0x1.4de0201eb7738p-3, 0x1.489c50d4b5636p-3, 0x1.4365bce872bedp-3, 0x1.3e3c759ce4bb8p-3, 0x1.39208a8907f11p-3, 0x1.341209a0f284bp-3, 0x1.2f10ff3ef0e23p-3, 0x1.2a1d762c9625p-3, 0x1.253777abcd61ep-3, 0x1.205f0b7fe84d9p-3, 0x1.1b9437f6a1928p-3, 0x1.16d701f11d649p-3, 0x1.12276cecda3f5p-3, 0x1.0d857b0c9f00cp-3, 0x1.08f12d215063p-3, 0x1.046a82b2c594fp-3, 0x1.ffe2f4110be81p-4, 0x1.f70c2064ede1ep-4, 0x1.ee508222fd09ep-4, 0x1.e5b00ec014c4fp-4, 0x1.dd2ab9751cb44p-4, 0x1.d4c0734fc467ep-4, 0x1.cc712b4332c0ap-4, 0x1.c43cce3864659p-4, 0x1.bc23471e86b4bp-4, 0x1.b4247efafabdap-4, 0x1.ac405cf944e28p-4, 0x1.a476c67ac26abp-4, 0x1.9cc79f262183p-4, 0x1.9532c8f6b1221p-4, 0x1.8db8244b7d338p-4, 0x1.86578ff6289e1p-4, 0x1.7f10e949998c1p-4, 0x1.77e40c286c879p-4, 0x1.70d0d3132c1fap-4, 0x1.69d71736525f8p-4, 0x1.62f6b0780cb24p-4, 0x1.5c2f7585cb003p-4, 0x1.55813be18f1d1p-4, 0x1.4eebd7ef01471p-4, 0x1.486f1d004d3bfp-4, 0x1.420add62bf176p-4, 0x1.3bbeea6b2542dp-4, 0x1.358b1481f8571p-4, 0x1.2f6f2b2f44e46p-4, 0x1.296afd2659f15p-4, 0x1.237e58513770bp-4, 0x1.1da909dbc8feap-4, 0x1.17eade3eda997p-4, 0x1.1243a14ad839cp-4, 0x1.0cb31e324d616p-4, 0x1.07391f942e7b2p-4, 0x1.01d56f85deacdp-4, 0x1.f90faf3a05a3dp-5, 0x1.eea041f22933fp-5, 0x1.e45c28997c79fp-5, 0x1.da42f3cdf3b01p-5, 0x1.d0543377eee13p-5, 0x1.c68f76db9a453p-5, 0x1.bcf44ca9d6483p-5, 0x1.b3824310aefb4p-5, 0x1.aa38e7cb6b05bp-5, 0x1.a117c83227e29p-5, 0x1.981e714906efap-5, 0x1.8f4c6fcef3656p-5, 0x1.86a1504bfcfeap-5, 0x1.7e1c9f1f4750bp-5, 0x1.75bde88c9049dp-5, 0x1.6d84b8c954859p-5, 0x1.65709c098a137p-5, 0x1.5d811e8bf7518p-5, 0x1.55b5cca629b9p-5, 0x1.4e0e32d00a26bp-5, 0x1.4689ddaf11ca2p-5, 0x1.3f285a211d449p-5, 0x1.37e93546e71dep-5, 0x1.30cbfc8e2772bp-5, 0x1.29d03dbb56bffp-5, 0x1.22f586f314d92p-5, 0x1.1c3b66c3421d1p-5, 0x1.15a16c2bbcd5bp-5, 0x1.0f2726a6ca266p-5, 0x1.08cc26313084ap-5, 0x1.028ffb51fcb11p-5, 0x1.f8e46e43f8e5fp-6, 0x1.ece4d6a5cdfeep-6, 0x1.e120546c7429ap-6, 0x1.d5960d8798fe2p-6, 0x1.ca452940374b8p-6, 0x1.bf2cd0448fa79p-6, 0x1.b44c2cb3a2537p-6, 0x1.a9a26a2822b9dp-6, 0x1.9f2eb5c2d4554p-6, 0x1.94f03e347597ep-6, 0x1.8ae633c7170cbp-6, 0x1.810fc8670c6fdp-6, 0x1.776c2fab4cd16p-6, 0x1.6dfa9edd692a9p-6, 0x1.64ba4d0100c41p-6, 0x1.5baa72dad2645p-6, 0x1.52ca4af7530c9p-6, 0x1.4a1911b0da745p-6, 0x1.419605356a3p-6, 0x1.3940658c04f4cp-6, 0x1.31177499a844fp-6, 0x1.291a7625e013fp-6, 0x1.2148afdeffa35p-6, 0x1.19a1695dfd7dp-6, 0x1.1223ec29eb80ep-6, 0x1.0acf83bb23a74p-6, 0x1.03a37d7e19fc8p-6, 0x1.f93e51abb2eebp-7, 0x1.eb83ae3c7649fp-7, 0x1.de15b75b8955ap-7, 0x1.d0f317ae742ap-7, 0x1.c41a7dd5e7a84p-7, 0x1.b78a9c6fb2811p-7, 0x1.ab422a1868d39p-7, 0x1.9f3fe16c46c35p-7, 0x1.93828107b7945p-7, 0x1.8808cb875cb43p-7, 0x1.7cd1878791e0fp-7, 0x1.71db7fa37f505p-7, 0x1.67258273d5fd7p-7, 0x1.5cae628cf998cp-7, 0x1.5274f67cd1cdcp-7, 0x1.487818c841761p-7, 0x1.3eb6a7e83367p-7, 0x1.352f86463f3dcp-7, 0x1.2be19a391de5bp-7, 0x1.22cbce009606fp-7, 0x1.19ed0fc12d107p-7, 0x1.1144517f98a59p-7, 0x1.08d0891bc0707p-7, 0x1.0090b04b988c3p-7, 0x1.f107892b525d7p-8, 0x1.e1518e96b1eadp-8, 0x1.d1fd7b05dfaefp-8, 0x1.c3096022bdf87p-8, 0x1.b4735707a62c9p-8, 0x1.a639803231bb2p-8, 0x1.985a03756d9b8p-8, 0x1.8ad30fec008f4p-8, 0x1.7da2dbe977d02p-8, 0x1.70c7a4eba9b25p-8, 0x1.643faf8b8c1a8p-8, 0x1.5809476dcbe68p-8, 0x1.4c22bf33281ap-8, 0x1.408a70686e2f8p-8, 0x1.353ebb765bac4p-8, 0x1.2a3e079111a53p-8, 0x1.1f86c2a76cf68p-8, 0x1.151761522af8cp-8, 0x1.0aee5ec2e51d9p-8, 0x1.010a3cb2c5e58p-8, 0x1.eed306a28c90cp-9, 0x1.dc1582651010dp-9, 0x1.c9d9167b5f7c3p-9, 0x1.b81af9365db0dp-9, 0x1.a6d86d45a2c16p-9, 0x1.960ec19399bdcp-9, 0x1.85bb512186d68p-9, 0x1.75db82e3348e6p-9, 0x1.666cc99a9b4a2p-9, 0x1.576ca3b386106p-9, 0x1.48d89b1efd4d4p-9, 0x1.3aae452eb1962p-9, 0x1.2ceb42708dd58p-9, 0x1.1f8d3e8a20ee6p-9, 0x1.1291f014087ffp-9, 0x1.05f71875665bdp-9, 0x1.f375077e87ef9p-10, 0x1.dbb411106c1b5p-10, 0x1.c4a70f904d044p-10, 0x1.ae49d9679ef7fp-10, 0x1.9898593176ac9p-10, 0x1.838e8d727de34p-10, 0x1.6f28885113f33p-10, 0x1.5b626f4db1e29p-10, 0x1.48387afbb8554p-10, 0x1.35a6f6baabd24p-10, 0x1.23aa406f78ea6p-10, 0x1.123ec83ebb54p-10, 0x1.01611046c3f39p-10, 0x1.e21b58b5242a2p-11, 0x1.c28283792cc2bp-11, 0x1.a3f10db57a069p-11, 0x1.8660861436b96p-11, 0x1.69ca9c87d8b37p-11, 0x1.4e2921c4d7c7ep-11, 0x1.337606bd08667p-11, 0x1.19ab5c1c6e117p-11, 0x1.00c351c603ea7p-11, 0x1.d1706ca5db22p-12, 0x1.a308ed22ab2c7p-12, 0x1.76453a0c10f4p-12, 0x1.4b1aa2dc0bf1bp-12, 0x1.217eb083ef3aap-12, 0x1.f2ce48eb22b2ap-13, 0x1.a593ef5e31df5p-13, 0x1.5b3ab38fc8588p-13, 0x1.13af60046b40ap-13, 0x1.9dbe5171b925fp-14, 0x1.196f52a36af42p-14, 0x1.349b8d1e81a14p-15, 0x1.01b3c1ff266aap-17, -0x1.53e422d1d1ddbp-16, -0x1.8ac4d74ccb0b8p-15, -0x1.3126a259554d6p-14, -0x1.9865e45e4ff29p-14, -0x1.fb3fb27b707c8p-14, -0x1.2ce96cff28d57p-13, -0x1.5a1ebc01c0a6ep-13, -0x1.854e7e5c76c8cp-13, -0x1.ae871749dd942p-13, -0x1.d5d696b9cbedap-13, -0x1.fb4abae4e0569p-13, -0x1.0f7878e9ea65ep-12, -0x1.206b2d734ec02p-12, -0x1.3083e429b1a9ep-12, -0x1.3fc8e0506e04fp-12, -0x1.4e40400ce95afp-12, -0x1.5beffd1f343ep-12, -0x1.68dded974336dp-12, -0x1.750fc485ec226p-12, -0x1.808b12ae58a7p-12, -0x1.8b554733100fdp-12, -0x1.9573b0400ecd4p-12, -0x1.9eeb7bb3d1ff7p-12, -0x1.a7c1b7c45d07p-12, -0x1.affb53a1bcdf2p-12, -0x1.b79d2018116bfp-12, -0x1.beabd02b608fdp-12, -0x1.c52bf9b482475p-12, -0x1.cb2215f928c4cp-12, -0x1.d092824391a0ap-12, -0x1.d58180759dccp-12, -0x1.d9f3379b372b5p-12, -0x1.ddebb4789198ap-12, -0x1.e16eea18476a6p-12, -0x1.e480b255859fep-12, -0x1.e724ce6367ecfp-12, -0x1.e95ee753b8f2dp-12, -0x1.eb328e99983bdp-12, -0x1.eca33e8be6916p-12, -0x1.edb45ae3d721ep-12, -0x1.ee69313a7db18p-12, -0x1.eec4f9821176ap-12, -0x1.eecad67fb051p-12, -0x1.ee7dd641c31cdp-12, -0x1.ede0f292fd47p-12, -0x1.ecf7116d84775p-12, -0x1.ebc3056adaa96p-12, -0x1.ea478e30f8263p-12, -0x1.e88758e02cffbp-12, -0x1.e685007ba81a9p-12, -0x1.e4430e5204f97p-12, -0x1.e1c3fa633095ep-12, -0x1.df0a2bc50b51ap-12, -0x1.dc17f905610f1p-12, -0x1.d8efa8897a18bp-12, -0x1.d59370eddc38bp-12, -0x1.d2057962991c7p-12, -0x1.ce47da05f6475p-12, -0x1.ca5c9c3e3531ap-12, -0x1.c645bb1071289p-12, -0x1.c2052376e39b4p-12, -0x1.bd9cb4b46a4b8p-12, -0x1.b90e40a73311dp-12, -0x1.b45b8c19bcb09p-12, -0x1.af864f1021647p-12, -0x1.aa903517ca739p-12, -0x1.a57add9224b66p-12, -0x1.a047dbff98aedp-12, -0x1.9af8b84838b43p-12, -0x1.958eef02b143ep-12, -0x1.900bf1babf45bp-12, -0x1.8a71273523337p-12, -0x1.84bfebb33f952p-12, -0x1.7ef991343d61ep-12, -0x1.791f5fb52b2bdp-12, -0x1.7332956f8cd37p-12, -0x1.6d346717c4f31p-12, -0x1.67260018d9d9ep-12, -0x1.610882cf6d9c9p-12, -0x1.5add08c336e4ep-12, -0x1.54a4a2dfaa963p-12, -0x1.4e6059ab469e1p-12, -0x1.48112d7d22f6cp-12, -0x1.41b816b1f459ap-12, -0x1.3b5605dfb6de6p-12, -0x1.34ebe40862b4ap-12, -0x1.2e7a92ca6dea7p-12, -0x1.2802ec922e7a3p-12, -0x1.2185c4c8b7e19p-12, -0x1.1b03e801c49ffp-12, -0x1.147e1c28d3b1dp-12, -0x1.0df520adbc3c7p-12, -0x1.0769aeaf3e036p-12, -0x1.00dc7925525e1p-12, -0x1.f49c5a1437494p-13, -0x1.e77ee304aa52fp-13, -0x1.da61d009a81ccp-13, -0x1.cd465900852d2p-13, -0x1.c02dab0237bf4p-13, -0x1.b318e8ac2e76ep-13, -0x1.a6092a67f0553p-13, -0x1.98ff7eb0c6137p-13, -0x1.8bfcea582a0ap-13, -0x1.7f0268c819dbep-13, -0x1.7210ec44e1ed2p-13, -0x1.65295e2add05ap-13, -0x1.584c9f2d3bdc5p-13, -0x1.4b7b87932d67dp-13, -0x1.3eb6e77243374p-13, -0x1.31ff86e7aba85p-13, -0x1.25562650efcfcp-13, -0x1.18bb7e82c764ep-13, -0x1.0c3040fdf7dffp-13, -0x1.ff6a304700b36p-14, -0x1.e6954ed032c49p-14, -0x1.cde3170bf52d1p-14, -0x1.b554b558ec885p-14, -0x1.9ceb495efb457p-14, -0x1.84a7e66b2c9ap-14, -0x1.6c8b93ca7f399p-14, -0x1.54974d201cefdp-14, -0x1.3ccc02baa8c2cp-14, -0x1.252a99e92c58ap-14, -0x1.0db3ed4aa3cep-14, -0x1.ecd19a39d77b3p-15, -0x1.be93ff127aebap-15, -0x1.90b081e23a6d8p-15, -0x1.6328886c7c7dap-15, -0x1.35fd6604be8d3p-15, -0x1.09305c188e32fp-15, -0x1.b985356d67e44p-16, -0x1.616a8224ec698p-16, -0x1.0a12bc0aac29fp-16, -0x1.66ffc22aa69e7p-17, -0x1.76cf41d648dd9p-18, -0x1.16097062fd77fp-21, 0x1.2e24258269796p-18, 0x1.3ded4bcaef67ap-17, 0x1.e32e39f1b6c1ap-17, 0x1.43691be5ecd6ap-16, 0x1.946b698db7614p-16, 0x1.e49ce595c56e1p-16, 0x1.19fe43d5a26d3p-15, 0x1.4144af6103402p-15, 0x1.6821482da484cp-15, 0x1.8e93abe5b8f86p-15, 0x1.b49b82c82c452p-15, 0x1.da387f5113552p-15, 0x1.ff6a5de68176bp-15, 0x1.12187243e3289p-14, 0x1.2445f13eef685p-14, 0x1.363d980845decp-14, 0x1.47ff571cccdbfp-14, 0x1.598b232e24f66p-14, 0x1.6ae0f4ff1ce37p-14, 0x1.7c00c9422123cp-14, 0x1.8ceaa0789ee0ep-14, 0x1.9d9e7ed0decd3p-14, 0x1.ae1c6c06b5459p-14, 0x1.be647345abac6p-14, 0x1.ce76a30b34654p-14, 0x1.de530d08f5df9p-14, 0x1.edf9c6096228dp-14, 0x1.fd6ae5d382c0ep-14, 0x1.065343888e27ep-13, 0x1.0dd6639a14823p-13, 0x1.153ee32f1744bp-13, 0x1.1c8cd3a327db3p-13, 0x1.23c04791edc9dp-13, 0x1.2ad952cb8c19bp-13, 0x1.31d80a48f68fap-13, 0x1.38bc8420b12b8p-13, 0x1.3f86d77c9c11bp-13, 0x1.46371c9088511p-13, 0x1.4ccd6c8f151b7p-13, 0x1.5349e1a0be248p-13, 0x1.59ac96da2cd9ap-13, 0x1.5ff5a8330c34dp-13, 0x1.6625327cffbp-13, 0x1.6c3b535b6de41p-13, 0x1.7238293a95357p-13, 0x1.781bd347b5ecfp-13, 0x1.7de67169ebf4bp-13, 0x1.8398243a147c1p-13, 0x1.89310cfb0760cp-13, 0x1.8eb14d91f3b8p-13, 0x1.9419088073e55p-13, 0x1.996860dd5e556p-13, 0x1.9e9f7a4e440f9p-13, 0x1.a3be790112688p-13, 0x1.a8c581a59e2fbp-13, 0x1.adb4b9682bf7cp-13, 0x1.b28c45ea566efp-13, 0x1.b74c4d3ea4dedp-13, 0x1.bbf4f5e22dc51p-13, 0x1.c08666b7c78abp-13, 0x1.c500c7033854dp-13, 0x1.c9643e63d4d14p-13, 0x1.cdb0f4cf8a329p-13, 0x1.d1e7128dabd34p-13, 0x1.d606c032ebe28p-13, 0x1.da10269d30f07p-13, 0x1.de036eee934e2p-13, 0x1.e1e0c289ff106p-13, 0x1.e5a84b0e797e9p-13, 0x1.e95a3253918afp-13, 0x1.ecf6a26547631p-13, 0x1.f07dc58011b86p-13, 0x1.f3efc60ddba31p-13, 0x1.f74ccea224f09p-13, 0x1.fa9509f7240d5p-13, 0x1.fdc8a2ea414cap-13, 0x1.0073e23c8330cp-12, 0x1.01f94cded408p-12, 0x1.0374a6f5fca02p-12, 0x1.04e6062793775p-12, 0x1.064d80233e343p-12, 0x1.07ab2aa160c76p-12, 0x1.08ff1b61f2619p-12, 0x1.0a49682af0aefp-12, 0x1.0b8a26c775343p-12, 0x1.0cc16d060328bp-12, 0x1.0def50b7cd771p-12, 0x1.0f13e7af50b3bp-12, 0x1.102f47bf6cfa8p-12, 0x1.114186ba582bp-12, 0x1.124aba7091f18p-12, 0x1.134af8afda10ap-12, 0x1.14425742413d4p-12, 0x1.1530ebecf9204p-12, 0x1.1616cc6fd4e2ep-12, 0x1.16f40e844960ep-12, 0x1.17c8c7dc5cb09p-12, 0x1.18950e22199fdp-12, 0x1.1958f6f69b285p-12, 0x1.1a1497f16319ep-12, 0x1.1ac8069f658e9p-12, 0x1.1b73588262bc3p-12, 0x1.1c16a3105cb15p-12, 0x1.1cb1fbb2ae7f8p-12, 0x1.1d4577c5a4329p-12, 0x1.1dd12c97a5584p-12, 0x1.1e552f68b5193p-12, 0x1.1ed19569d74c8p-12, 0x1.1f4673bc3ff36p-12, 0x1.1fb3df71095d5p-12, 0x1.2019ed8896146p-12, 0x1.2078b2f2100ffp-12, 0x1.20d0448ac5acbp-12, 0x1.2120b71ddca9cp-12, 0x1.216a1f63b9efdp-12, 0x1.21ac92018b92dp-12, 0x1.21e82388c2298p-12, 0x1.221ce876c2e3bp-12, 0x1.224af53475268p-12, 0x1.22725e15cd008p-12, 0x1.229337598d775p-12, 0x1.22ad9528c5ec6p-12, 0x1.22c18b967316ap-12, 0x1.22cf2e9f4debap-12, 0x1.22d692293a9b2p-12, 0x1.22d7ca02f04a6p-12, 0x1.22d2e9e3feee8p-12, 0x1.22c8056c2a77cp-12, 0x1.22b7302347b0ap-12, 0x1.22a07d78d2684p-12, 0x1.228400c3e63ddp-12, 0x1.2261cd42ac426p-12, 0x1.2239f61a2d7cap-12, 0x1.220c8e56423efp-12, 0x1.21d9a8e920a9ap-12, 0x1.21a158ab3bcafp-12, 0x1.2163b05b0e7a5p-12, 0x1.2120c29cde8cp-12, 0x1.20d8a1fa7dc43p-12, 0x1.208b60e3167fcp-12, 0x1.203911ab3e9e7p-12, 0x1.1fe1c68c50e0bp-12, 0x1.1f8591a47cab3p-12, 0x1.1f2484f6d46fdp-12, 0x1.1ebeb26ac2f7fp-12, 0x1.1e542bcc2836fp-12, 0x1.1de502cb049f7p-12, 0x1.1d7148fb8d676p-12, 0x1.1cf90fd5d7dd1p-12, 0x1.1c7c68b5a769cp-12, 0x1.1bfb64daa5dd2p-12, 0x1.1b761568013fdp-12, 0x1.1aec8b6443be1p-12, 0x1.1a5ed7b982f1cp-12, 0x1.19cd0b350d77ap-12, 0x1.193736874a0f3p-12, 0x1.189d6a43b4003p-12, 0x1.17ffb6e0ee052p-12, 0x1.175e2cb8857e9p-12, 0x1.16b8dc06c4f6cp-12, 0x1.160fd4eac2fe3p-12, 0x1.1563276676e34p-12, 0x1.14b2e35e5ff97p-12, 0x1.13ff1899ac547p-12, 0x1.1347d6c21774dp-12, 0x1.128d2d63e9d47p-12, 0x1.11cf2bedd3855p-12, 0x1.110de1b0f3d9bp-12, 0x1.10495de101058p-12, 0x1.0f81af93feb5fp-12, 0x1.0eb6e5c238a9fp-12, 0x1.0de90f4676096p-12, 0x1.0d183addc18cfp-12, 0x1.0c4477276ca53p-12, 0x1.0b6dd2a513fb5p-12, 0x1.0a945bbab7c33p-12, 0x1.09b820aead51bp-12, 0x1.08d92fa985e4ap-12, 0x1.07f796b62033p-12, 0x1.071363c1a7866p-12, 0x1.062ca49bb3b4dp-12, 0x1.054366f617966p-12, 0x1.0457b8651f9f4p-12, 0x1.0369a65f5993bp-12, 0x1.02793e3dd06e4p-12, 0x1.01868d3be44abp-12, 0x1.0091a077918ep-12, 0x1.ff3509e2a90e7p-13, 0x1.fd428f184d76ep-13, 0x1.fb4bea1b161ddp-13, 0x1.f951343b5ffe4p-13, 0x1.f752868eb5d6bp-13, 0x1.f54ff9f011ea3p-13, 0x1.f349a6ffef1dp-13, 0x1.f13fa62493b77p-13, 0x1.ef320f89ec77bp-13, 0x1.ed20fb21b6e76p-13, 0x1.eb0c80a3c402dp-13, 0x1.e8f4b78da38ep-13, 0x1.e6d9b7237fdb4p-13, 0x1.e4bb966fa8b32p-13, 0x1.e29a6c43086cbp-13, 0x1.e0764f34e3131p-13, 0x1.de4f55a386f03p-13, 0x1.dc2595b3e6c4cp-13, 0x1.d9f9255278426p-13, 0x1.d7ca1a32d3ab6p-13, 0x1.d59889cff4ac9p-13, 0x1.d364896c4c61p-13, 0x1.d12e2e121a7ep-13, 0x1.cef58c936b85cp-13, 0x1.ccbab98a7a0e8p-13, 0x1.ca7dc959c62ddp-13, 0x1.c83ed02c51d1ap-13, 0x1.c5fde1f5f0ea4p-13, 0x1.c3bb127328fd7p-13, 0x1.c1767529ae597p-13, 0x1.bf301d685dc73p-13, 0x1.bce81e4770c7cp-13, 0x1.ba9e8aa8f8faep-13, 0x1.b8537538f2224p-13, 0x1.b606f06d598dp-13, 0x1.b3b90e8654d2bp-13, 0x1.b169e18ebd6fdp-13, 0x1.af197b5c095abp-13, 0x1.acc7ed8f177a4p-13, 0x1.aa754993cd78p-13, 0x1.a821a0a1893dep-13, 0x1.a5cd03bb38618p-13, 0x1.a37783afbd056p-13, 0x1.a121311a0c78fp-13, 0x1.9eca1c617f629p-13, 0x1.9c7255ba33ed3p-13, 0x1.9a19ed2534837p-13, 0x1.97c0f270c7131p-13, 0x1.9567753889df9p-13, 0x1.930d84e5afdb8p-13, 0x1.90b330af6a0acp-13, 0x1.8e58879afd209p-13, 0x1.8bfd987c2d959p-13, 0x1.89a271f58fd1fp-13, 0x1.874722789f989p-13, 0x1.84ebb845f444cp-13, 0x1.8290416db1618p-13, 0x1.8034cbcf8c10fp-13, 0x1.7dd9651bbaa39p-13, 0x1.7b7e1ad2d42b7p-13, 0x1.7922fa45d4fd3p-13, 0x1.76c810969cc96p-13, 0x1.746d6ab823c18p-13, 0x1.7213156ed92aep-13, 0x1.6fb91d50ddebp-13, 0x1.6d5f8ec64c96p-13, 0x1.6b067609817dbp-13, 0x1.68addf27c4edap-13, 0x1.6655d60116ed7p-13, 0x1.63fe6648bcaacp-13, 0x1.61a79b852adaap-13, 0x1.5f518110c02d1p-13, 0x1.5cfc2219d669ep-13, 0x1.5aa789a3313a6p-13, 0x1.5853c28436e88p-13, 0x1.5600d7694255ep-13, 0x1.53aed2d3d56c7p-13, 0x1.515dbf1ad912p-13, 0x1.4f0da66af2b9dp-13, 0x1.4cbe92c72ea0dp-13, 0x1.4a708e0952abbp-13, 0x1.4823a1e19657cp-13, 0x1.45d7d7d722a25p-13, 0x1.438d39487b6aap-13, 0x1.4143cf6bc5b3cp-13, 0x1.3efba34efe964p-13, 0x1.3cb4bdd887c31p-13, 0x1.3a6f27c71d9b4p-13, 0x1.382ae9b268342p-13, 0x1.35e80c0b8a8dep-13, 0x1.33a6971ced6f9p-13, 0x1.3166930ac2017p-13, 0x1.2f2807d3206cdp-13, 0x1.2ceafd4eba341p-13, 0x1.2aaf7b30b3775p-13, 0x1.2875890773ebep-13, 0x1.263d2e3c978cap-13, 0x1.240672155b964p-13, 0x1.21d15bb2dd94cp-13, 0x1.1f9df2125a6fcp-13, 0x1.1d6c3c0d71121p-13, 0x1.1b3c405adcdcbp-13, 0x1.190e058eca517p-13, 0x1.16e1921a98edp-13, 0x1.14b6ec4d5cdabp-13, 0x1.128e1a54124c1p-13, 0x1.1067223a43345p-13, 0x1.0e4209ea057b1p-13, 0x1.0c1ed72c8698fp-13, 0x1.09fd8faa05499p-13, 0x1.07de38ea72c61p-13, 0x1.05c0d855b906cp-13, 0x1.03a573341cf0bp-13, 0x1.018c0eae38078p-13, 0x1.fee95f9a8f625p-14, 0x1.fabeb6f7bb806p-14, 0x1.f6982d0b8adc8p-14, 0x1.f275cb31011e9p-14, 0x1.ee579a87537ebp-14, 0x1.ea3da3f24f739p-14, 0x1.e627f01af0377p-14, 0x1.e216876fbaa8p-14, 0x1.de097225789fap-14, 0x1.da00b837deb1p-14, 0x1.d5fc616a82f34p-14, 0x1.d1fc75499dc2ep-14, 0x1.ce00fb29d584p-14, 0x1.ca09fa28c5bdep-14, 0x1.c617792deeb27p-14, 0x1.c2297eeb70b7cp-14, 0x1.be4011de60e2ep-14, 0x1.ba5b384fa1346p-14, 0x1.b67af853e4324p-14, 0x1.b29f57cce48e7p-14, 0x1.aec85c698760fp-14, 0x1.aaf60ba756752p-14, 0x1.a7286ad1f02c3p-14, 0x1.a35f7f0399c45p-14, 0x1.9f9b4d2690ef8p-14, 0x1.9bdbd9f52ec62p-14, 0x1.982129fa52c8ap-14, 0x1.946b41925611p-14, 0x1.90ba24eb664bfp-14, 0x1.8d0dd80622729p-14, 0x1.89665eb5f8771p-14, 0x1.85c3bca196c26p-14, 0x1.8225f543ad7fap-14, 0x1.7e8d0bebaa239p-14, 0x1.7af903bdeebadp-14, 0x1.7769dfb51deaep-14, 0x1.73dfa2a18b03p-14, 0x1.705a4f29efcp-14, 0x1.6cd9e7cc8242ap-14, 0x1.695e6edf0f8a8p-14, 0x1.65e7e68fb335cp-14, 0x1.627650e5383d7p-14, 0x1.5f09afbf6f9bep-14, 0x1.5ba204d862b94p-14, 0x1.583f51c3f872ep-14, 0x1.54e197f1861b5p-14, 0x1.5188d8ab6b22dp-14, 0x1.4e35151772e98p-14, 0x1.4ae64e380e32p-14, 0x1.479c84ec7360fp-14, 0x1.4457b9f0bb7d5p-14, 0x1.4117eddf1a616p-14, 0x1.3ddd212fdd495p-14, 0x1.3aa7543a5c0a2p-14, 0x1.37768734df208p-14, 0x1.344aba351dcacp-14, 0x1.3123ed3105a24p-14, 0x1.2e021fff61f6p-14, 0x1.2ae55257eba4fp-14, 0x1.27cd83d3bb541p-14, 0x1.24bab3eeaadf9p-14, 0x1.21ace2065220ep-14, 0x1.1ea40d5b21379p-14, 0x1.1ba035112ecd5p-14, 0x1.18a1583033f12p-14, 0x1.15a775a431d3p-14, 0x1.12b28c3dc6126p-14, 0x1.0fc29ab28b4cfp-14, 0x1.0cd79f9dc6c73p-14, 0x1.09f199808c45ep-14, 0x1.071086c2dd05fp-14, 0x1.043465b338f2ap-14, 0x1.015d348700d37p-14, 0x1.fd15e2b7595e5p-15, 0x1.f77b346d819e2p-15, 0x1.f1ea5a0bc5a49p-15, 0x1.ec634f3f9b305p-15, 0x1.e6e60f887dc0ep-15, 0x1.e172963a23285p-15, 0x1.dc08de7c44c83p-15, 0x1.d6a8e34ab52f4p-15, 0x1.d1529f775260fp-15, 0x1.cc060daa68e96p-15, 0x1.c6c32863dd1a8p-15, 0x1.c189e9faecb75p-15, 0x1.bc5a4ca0149f5p-15, 0x1.b7344a5d8b4d7p-15, 0x1.b217dd16f52f9p-15, 0x1.ad04fe8b24206p-15, 0x1.a7fba854e520fp-15, 0x1.a2fbd3eaf7b32p-15, 0x1.9e057aa185fdap-15, 0x1.991895aa21eap-15, 0x1.94351e1503ffap-15, 0x1.8f5b0cd19b812p-15, 0x1.8a8a5aaee9374p-15, 0x1.85c3005cf6803p-15, 0x1.8104f66ce97cap-15, 0x1.7c5035515b2bcp-15, 0x1.77a4b55fc0c99p-15, 0x1.73026ed0b09f6p-15, 0x1.6e6959c04bf0ep-15, 0x1.69d96e2f55d8ap-15, 0x1.6552a403a5226p-15, 0x1.60d4f308bdc61p-15, 0x1.5c6052f085697p-15, 0x1.57f4bb53a6d05p-15, 0x1.539223b239652p-15, 0x1.4f388374a2676p-15, 0x1.4ae7d1ec48b3ep-15, 0x1.46a0065388e14p-15, 0x1.426117ce7433ep-15, 0x1.3e2afd6c0394bp-15, 0x1.39fdae25f8f1ap-15, 0x1.35d920e16ea2ap-15, 0x1.31bd4c70152f9p-15, 0x1.2daa27902658p-15, 0x1.299fa8ed0229p-15, 0x1.259dc71fcef52p-15, 0x1.21a478afc8977p-15, 0x1.1db3b413535a4p-15, 0x1.19cb6faff9cd8p-15, 0x1.15eba1db3a23ep-15, 0x1.121440daded4ap-15, 0x1.0e4542e5344a2p-15, 0x1.0a7e9e222cb75p-15, 0x1.06c048abca609p-15, 0x1.030a388e28414p-15, 0x1.feb8c78f8940ap-16, 0x1.f76d809509a95p-16, 0x1.f03287f90bc0ep-16, 0x1.e907c96f742aap-16, 0x1.e1ed3095d3ee1p-16, 0x1.dae2a8f2d34e6p-16, 0x1.d3e81df808534p-16, 0x1.ccfd7b03b07fep-16, 0x1.c622ab60d1f82p-16, 0x1.bf579a488133ep-16, 0x1.b89c32e17fb8p-16, 0x1.b1f06042065fcp-16, 0x1.ab540d704e454p-16, 0x1.a4c72562a9fa4p-16, 0x1.9e4993018f3a2p-16, 0x1.97db4128a74bp-16, 0x1.917c1aa636f2dp-16, 0x1.8b2c0a3ccbeep-16, 0x1.84eafaa349e81p-16, 0x1.7eb8d68630e7p-16, 0x1.7895888845308p-16, 0x1.7280fb4310fdfp-16, 0x1.6c7b19480851dp-16, 0x1.6683cd20cd6bfp-16, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      22, 0x1.2p+2, 0x1.ec971db653509p+3, 0x1.700fc7bff09b1p+5, 0x1.5fd8a7421b5b1p-9, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.24b57a5271668p-8, -0x1.c16f0d21695c3p-6, 0x1.b0655cf35073bp-3, -0x1.30e049128347ep-1}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d11253fd58e0fp-9, -0x1.615fe60e161f8p-7, 0x1.f2f0c89d368f1p-4, -0x1.ced1a1af031fap-2}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.aae8251ad5b27p-9, -0x1.0531da6e653bbp-9, 0x1.ba7f9c0202fa4p-5, -0x1.52221811986b4p-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.aa230b0be5de1p-9, 0x1.e8c7a56be2e97p-11, 0x1.25e8c5cd93d94p-8, -0x1.9d3fe7e2faf8bp-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.ae6901e152924p-9, -0x1.1620c78393741p-13, -0x1.a66c180361d07p-6, -0x1.40a34c0e2b009p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.a3cf5eae218cep-9, -0x1.b0461d7416e69p-9, -0x1.336709392434cp-5, 0x1.dd3e0182c4acbp-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.82dacf87951c1p-9, -0x1.b16ca55fe96b4p-8, -0x1.d7a1decb0d683p-6, 0x1.c444233eb4b32p-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.4fe3825b7608p-9, -0x1.1be716bb343a7p-7, -0x1.908b934adb954p-7, 0x1.40d157db2c9adp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.1462d025409bfp-9, -0x1.30b549262de8fp-7, -0x1.f20ba214c2034p-12, 0x1.e269407689431p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.b081d046a3601p-10, -0x1.23cacdf635473p-7, 0x1.11e1fcd012b37p-7, 0x1.264ae963c90f2p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.4271ed5a612ap-10, -0x1.ff267a13dac1p-8, 0x1.c27555a58b557p-7, 0x1.d850285626e36p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.cb6494ce3c3fep-11, -0x1.9df953dcf92e7p-8, 0x1.04a7143fa22f4p-6, -0x1.336f31df200f1p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.3a0a6901257d5p-11, -0x1.3a530b3b58ca4p-8, 0x1.db30add0ff8f5p-7, -0x1.3f1bd12443c9cp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.9c158b8715cdep-12, -0x1.c9b8200bab95dp-9, 0x1.7b7522461e6ccp-7, -0x1.055e9b5c535a6p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.014319cef7cdbp-12, -0x1.419e4edb8ff03p-9, 0x1.2d0bf3aa6bd22p-7, -0x1.da0a7ead5c129p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.2d9acaa1c441ap-13, -0x1.aed7863930699p-10, 0x1.cbe18e20d59c7p-8, -0x1.97767f9c3a79bp-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.4598eca9f19edp-14, -0x1.0f565507595bep-10, 0x1.51a467d85dab9p-8, -0x1.599fe91dde5a4p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.3a0a6901257f5p-15, -0x1.3a09210907965p-11, 0x1.d3e8dd6b9c552p-9, -0x1.1ab4f75a4355fp-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.014319cef7d7p-16, -0x1.4197e0c764d53p-12, 0x1.2a4915cf0d889p-9, -0x1.b6bc1431bfaf1p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.4598eca9f1a6p-18, -0x1.0f39e0f3486bap-13, 0x1.4d5485e6a80f9p-10, -0x1.3d96cc27b1a36p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.014319cef87p-20, -0x1.4322206d4bfddp-15, 0x1.1d8db06a7aee9p-11, -0x1.5e4e626cbde55p-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.014319cefb001p-24, -0x1.132863900960cp-18, 0x1.2d7aa23e8a63fp-13, -0x1.d4d35fb9adce4p-9}, 
      }}, 
      0x1.b92a58743ab1cp-5, -0x1.53fd4250b328cp-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{-0x1.16a81a76087cfp-1, -0x1.0b9fac1db1c2cp-1, -0x1.f5aa644850cdfp-2, -0x1.cbeeab40a900cp-2, -0x1.9d4ff7f2e0f23p-2, -0x1.6ca7069d2d2bcp-2, -0x1.3c43aa79c408fp-2, -0x1.0dea353b38118p-2, -0x1.c5bcfdc824b75p-3, -0x1.77ea7b2c860d4p-3, -0x1.334e32e081c44p-3, -0x1.f08f53f93010fp-4, -0x1.8d8c875682534p-4, -0x1.3cce3e50bd717p-4, -0x1.fa359c297407p-5, -0x1.99d979040183ap-5, -0x1.55255593f0c49p-5, -0x1.2890fe5b96e53p-5, -0x1.109575e4d0892p-5, -0x1.09c9b16c1d6d1p-5, -0x1.10f6f4c6b7dfcp-5, -0x1.232640a6caa76p-5, -0x1.3da827cfef2d6p-5, -0x1.5e183ee92fb38p-5, -0x1.825d3499b8fe6p-5, -0x1.a8a68160a4bcap-5, -0x1.cf6871dacd585p-5, -0x1.f5572dc2827e4p-5, -0x1.0cb09c9f6fbc4p-4, -0x1.1d54e64de30a6p-4, -0x1.2c41a161890ap-4, -0x1.3934e38c2c2c8p-4, -0x1.43ff2c93f7e79p-4, -0x1.4c8117e565d38p-4, -0x1.52a93e72fe645p-4, -0x1.5672471eb591dp-4, -0x1.57e122f082564p-4, -0x1.570371ef2196dp-4, -0x1.53ee0db6bca38p-4, -0x1.4ebbb734757a4p-4, -0x1.478be54cd6322p-4, -0x1.3e81b283c58d8p-4, -0x1.33c2e7f6f8e0ep-4, -0x1.277724210557dp-4, -0x1.19c71bd3355b6p-4, -0x1.0adbf3d964c8bp-4, -0x1.f5bd63ab211c8p-5, -0x1.d3ef849f55fp-5, -0x1.b09d2695d36a1p-5, -0x1.8c127f0480956p-5, -0x1.669896b09704bp-5, -0x1.4074dea8bbb04p-5, -0x1.19e8e2547ca5ep-5, -0x1.e66411d23368p-6, -0x1.9912f08b0be83p-6, -0x1.4c47e4fd5d75ap-6, -0x1.0063c9fc57501p-6, -0x1.6b7d592811dfep-7, -0x1.b2a090cece22ep-8, -0x1.2b3a6dd96d7fcp-9, 0x1.fc4bec488a93cp-10, 0x1.8a932735d154fp-8, 0x1.46120e6c10c6fp-7, 0x1.c1919c823f6ep-7, 0x1.1bc22f9f2ec57p-6, 0x1.53d997324d366p-6, 0x1.88f964e2fcd67p-6, 0x1.bb1186101c54ep-6, 0x1.ea170eab839b5p-6, 0x1.0b01e9aeac97fp-5, 0x1.1f6b02b321f8fp-5, 0x1.3247e836d434ap-5, 0x1.439b7d0ce9641p-5, 0x1.536a4230b1d84p-5, 0x1.61ba2908de347p-5, 0x1.6e92678c23d08p-5, 0x1.79fb4e4796d05p-5, 0x1.83fe20aed9f7ap-5, 0x1.8ca4efd4f7bbcp-5, 0x1.93fa77cec55b2p-5, 0x1.9a09ff94ecd7p-5, 0x1.9edf3bab9d358p-5, 0x1.a28633610cad2p-5, 0x1.a50b289718c6dp-5, 0x1.a67a820dd0ba1p-5, 0x1.a6e0b816c0f34p-5, 0x1.a64a43a0446ccp-5, 0x1.a4c38f33b0fc2p-5, 0x1.a258ea1f8004ep-5, 0x1.9f167d4c0ff12p-5, 0x1.9b0841c42cc1p-5, 0x1.9639f8bbc2f7fp-5, 0x1.90b724d7ac7e7p-5, 0x1.8a8b04c3058a1p-5, 0x1.83c08ea870b17p-5, 0x1.7c626ceb124b3p-5, 0x1.747afb0f680dep-5, 0x1.6c14442ab835dp-5, 0x1.6338014235356p-5, 0x1.59ef9893644f9p-5, 0x1.50441d164722bp-5, 0x1.463e4e8a193fbp-5, 0x1.3be699b2da51ap-5, 0x1.314518ef842bdp-5, 0x1.26619504ab763p-5, 0x1.1b43860d9ec9p-5, 0x1.0ff214ac8b3adp-5, 0x1.04741b3f43b29p-5, 0x1.f1a04ea8b93ecp-6, 0x1.da18f632a8213p-6, 0x1.c25e1deb14be2p-6, 0x1.aa7b2660ded65p-6, 0x1.927ae33d1c0a2p-6, 0x1.7a679edb0df5ep-6, 0x1.624b1dd36ae75p-6, 0x1.4a2ea2ab97488p-6, 0x1.321af18f31647p-6, 0x1.1a18541429eb8p-6, 0x1.022e9d0d160d8p-6, 0x1.d4ca5881f7646p-7, 0x1.a585e4aff605cp-7, 0x1.769ce96178c69p-7, 0x1.481ba23877a6fp-7, 0x1.1a0d83771de6dp-7, 0x1.d8fa832f3995cp-8, 0x1.7ee9b14910f8ap-8, 0x1.25fb2758f5839p-8, 0x1.9c8050cbd4bf8p-9, 0x1.df22c828f4367p-10, 0x1.151c583d79b39p-11, -0x1.890d7689a55d7p-11, -0x1.06f4f4539710dp-9, -0x1.a8b6c85fe139p-9, -0x1.23b9fbc9a6166p-8, -0x1.718cc6a97c1ap-8, -0x1.bdcb34404f15ap-8, -0x1.0436c8fe64fa4p-7, -0x1.28b6810c39f57p-7, -0x1.4c61b7f3eb88cp-7, -0x1.6f35c263436e2p-7, -0x1.9130505533ffep-7, -0x1.b24f682d1783ep-7, -0x1.d291615b62d49p-7, -0x1.f1f4e13131e3ap-7, -0x1.083c6bbcea374p-6, -0x1.170e3c8fcd466p-6, -0x1.256f9e8d8be35p-6, -0x1.33606d38c92bap-6, -0x1.40e0a1ee4d3fep-6, -0x1.4df051dfd949p-6, -0x1.5a8fad7edc185p-6, -0x1.66beff56ec4c5p-6, -0x1.727ea9c1f9ae6p-6, -0x1.7dcf25c3fcf71p-6, -0x1.88b102f27cc39p-6, -0x1.9324e5fe57b07p-6, -0x1.9d2b869190ba6p-6, -0x1.a6c5aedbfed9ep-6, -0x1.aff43baff92d7p-6, -0x1.b8b81ae2fae04p-6, -0x1.c1124950ac65dp-6, -0x1.c903d2c493a57p-6, -0x1.d08dd24e3cc66p-6, -0x1.d7b170b08c7bep-6, -0x1.de6fe25a5c2acp-6, -0x1.e4ca675469fb2p-6, -0x1.eac24be5583fp-6, -0x1.f058e7596caa1p-6, -0x1.f58f99d0270d7p-6, -0x1.fa67cbc4e3b77p-6, -0x1.fee2eef7015fbp-6, -0x1.01813ef52457dp-5, -0x1.0363fcda80d41p-5, -0x1.051a745fd00f8p-5, -0x1.06a56bc181addp-5, -0x1.0805ac7ee2544p-5, -0x1.093c02901cd67p-5, -0x1.0a493b652b1fbp-5, -0x1.0b2e25ce2198bp-5, -0x1.0beb927b24dccp-5, -0x1.0c8253d993e4fp-5, -0x1.0cf33d1eb717cp-5, -0x1.0d3f218f56f3ep-5, -0x1.0d66d4acc7bd5p-5, -0x1.0d6b2a9e002a5p-5, -0x1.0d4cf7dc8252fp-5, -0x1.0d0d1051b145fp-5, -0x1.0cac46d4f3ac4p-5, -0x1.0c2b6d64cf3e9p-5, -0x1.0b8b5576db2a9p-5, -0x1.0acccfa6e51c4p-5, -0x1.09f0aafd30275p-5, -0x1.08f7b4894bac7p-5, -0x1.07e2b789db774p-5, -0x1.06b27dade64cdp-5, -0x1.0567cee15818ep-5, -0x1.040370c3c492bp-5, -0x1.028626550dad3p-5, -0x1.00f0b006b1a78p-5, -0x1.fe8797cf6b064p-6, -0x1.fb006b403e327p-6, -0x1.f74d4bf1a9d03p-6, -0x1.f36fa5b47ddeep-6, -0x1.ef68ddfb6de65p-6, -0x1.eb3a54873ff1cp-6, -0x1.e6e5636b6033ep-6, -0x1.e26b5e77e93f4p-6, -0x1.ddcd92ea6b0c5p-6, -0x1.d90d477e8db0fp-6, -0x1.d42bbcb59ad7ap-6, -0x1.cf2a2cea2ef7p-6, -0x1.ca09cc159f683p-6, -0x1.c4cbc76e9afa5p-6, -0x1.bf71455de2038p-6, -0x1.b9fb65ef7d274p-6, -0x1.b46b4331717b5p-6, -0x1.aec1f12530648p-6, -0x1.a9007d66fa1d3p-6, -0x1.a327eedde3ecp-6, -0x1.9d3945d9684c4p-6, -0x1.97357cb9321f6p-6, -0x1.911d8872d0bc8p-6, -0x1.8af25884efcadp-6, -0x1.84b4d69126f8dp-6, -0x1.7e65e5fc2a419p-6, -0x1.780663f9a4eddp-6, -0x1.719728361ade5p-6, -0x1.6b19059a6d21bp-6, -0x1.648cca7d5e2dbp-6, -0x1.5df340496297dp-6, -0x1.574d2b0370e8cp-6, -0x1.509b49120f51ap-6, -0x1.49de5399990d6p-6, -0x1.4316ff559bdeap-6, -0x1.3c45fd407b24bp-6, -0x1.356bfa9338f86p-6, -0x1.2e89a05627c1ap-6, -0x1.279f92ed217e8p-6, -0x1.20ae71f126e1p-6, -0x1.19b6d89b980b7p-6, -0x1.12b95e9c17e3fp-6, -0x1.0bb698b76a66bp-6, -0x1.04af18ca8cffcp-6, -0x1.fb46dac94a712p-7, -0x1.ed2842ac03128p-7, -0x1.df0376ee189fep-7, -0x1.d0d97dcd34996p-7, -0x1.c2ab577646f11p-7, -0x1.b479ff57e1bebp-7, -0x1.a6466c7ef2089p-7, -0x1.9811910dc704ep-7, -0x1.89dc59671e06bp-7, -0x1.7ba7ab8388d6p-7, -0x1.6d7466d58ce3p-7, -0x1.5f43650e2b852p-7, -0x1.51157b5e998ebp-7, -0x1.42eb7b51e71a6p-7, -0x1.34c632cc4a45ep-7, -0x1.26a66b758038bp-7, -0x1.188cea033c554p-7, -0x1.0a7a6db011c86p-7, -0x1.f8df6057fb6ep-8, -0x1.dcdacc9752bep-8, -0x1.c0e88217cca5fp-8, -0x1.a509dc6e1faa8p-8, -0x1.894030e730e4bp-8, -0x1.6d8ccd83a34f2p-8, -0x1.51f0f7d0c9af2p-8, -0x1.366dec02b29f1p-8, -0x1.1b04dc7920ea2p-8, -0x1.ff6de508db2a1p-9, -0x1.c90a9fe5bf27ap-9, -0x1.92e220bdf993p-9, -0x1.5cf69311b6bdcp-9, -0x1.274a15b2f4316p-9, -0x1.e3bd7216eb39ep-10, -0x1.796cfaa47ce4fp-10, -0x1.0fa6a25377c12p-10, -0x1.4cdc45eeee254p-11, -0x1.ee38b1b9ea0e3p-13, 0x1.52582d179ce69p-13, 0x1.238995024ec02p-11, 0x1.f145d45fb4cdfp-11, 0x1.5ee2300777758p-10, 0x1.c47f836ee5e7ep-10, 0x1.14bbf5425530bp-9, 0x1.46e4462d41d5dp-9, 0x1.78b758b177092p-9, 0x1.aa33e08d21ecap-9, 0x1.db589f2948cd2p-9, 0x1.06123123ac50ep-8, 0x1.1e4b01d2f3908p-8, 0x1.365634aac8e6ep-8, 0x1.4e334332a87d5p-8, 0x1.65e1addb6766p-8, 0x1.7d60fc702a116p-8, 0x1.94b0be574b35ap-8, 0x1.abd08a580a602p-8, 0x1.c2bffdebe9d98p-8, 0x1.d97ebc8d2a3b9p-8, 0x1.f00c6f552f101p-8, 0x1.033462727bc42p-7, 0x1.0e49b8b963585p-7, 0x1.1946177791ad5p-7, 0x1.24295e9fbdba4p-7, 0x1.2ef37141dc96fp-7, 0x1.39a4359bf98a3p-7, 0x1.443b94fa5f3a3p-7, 0x1.4eb97b6e1489cp-7, 0x1.591dd785c19b9p-7, 0x1.63689a24a33c3p-7, 0x1.6d99b6711e112p-7, 0x1.77b121ccdb4bdp-7, 0x1.81aed3d3470a9p-7, 0x1.8b92c66248716p-7, 0x1.955cf5ad49feep-7, 0x1.9f0d604e3385ap-7, 0x1.a8a40738fd81p-7, 0x1.b220ed89ca57ep-7, 0x1.bb84184612e1p-7, 0x1.c4cd8e2ff8a75p-7, 0x1.cdfd57ae81d49p-7, 0x1.d7137ebe0078ap-7, 0x1.e0100ee1fe3fdp-7, 0x1.e8f3151b15073p-7, 0x1.f1bc9fe62f753p-7, 0x1.fa6cbf4588d96p-7, 0x1.0181c2639a91p-6, 0x1.05c081ba88f5cp-6, 0x1.09f2a7d4753b3p-6, 0x1.0e183f6d1191bp-6, 0x1.123153bcc3a5bp-6, 0x1.163df06e6b9c2p-6, 0x1.1a3e219781316p-6, 0x1.1e31f3af6797p-6, 0x1.221973871b63fp-6, 0x1.25f4ae440dfb1p-6, 0x1.29c3b15fa35c7p-6, 0x1.2d868aa8e93f8p-6, 0x1.313d4841ee9b6p-6, 0x1.34e7f892d8529p-6, 0x1.3886aa3626d54p-6, 0x1.3c196be7ddef2p-6, 0x1.3fa04c7b4ffcbp-6, 0x1.431b5ad4e6e1ep-6, 0x1.468aa5e4254bbp-6, 0x1.49ee3c9c56e1ap-6, 0x1.4d462dedaef0dp-6, 0x1.509288c0f2b55p-6, 0x1.53d35bf71d2b4p-6, 0x1.5708b66b41151p-6, 0x1.5a32a6f1e4525p-6, 0x1.5d513c512a5cep-6, 0x1.60648533fec52p-6, 0x1.636c901ebc5f2p-6, 0x1.66696b68ff5f4p-6, 0x1.695b253b01cfdp-6, 0x1.6c41cb8b88487p-6, 0x1.6f1d6c1cf0fbfp-6, 0x1.71ee14799171fp-6, 0x1.74b3d1f102197p-6, 0x1.776eb19790d77p-6, 0x1.7a1ec048647f5p-6, 0x1.7cc40aa852533p-6, 0x1.7f5e9d25ba208p-6, 0x1.81ee83f38b2b2p-6, 0x1.8473cb021a5e4p-6, 0x1.86ee7dfa9010ep-6, 0x1.895ea83e06d79p-6, 0x1.8bc454e69f5d3p-6, 0x1.8e1f8ec888f8fp-6, 0x1.9070607211dd7p-6, 0x1.92b6d42aa9113p-6, 0x1.94f2f3f1d0eafp-6, 0x1.9724c97f83b2ap-6, 0x1.994c5e467fe9bp-6, 0x1.9b69bb7835289p-6, 0x1.9d7cea081bcdcp-6, 0x1.9f85f2ac0fc4bp-6, 0x1.a184ddda5a167p-6, 0x1.a379b3c7d484dp-6, 0x1.a5647c6858045p-6, 0x1.a7453f707f19p-6, 0x1.a91c0457cc1e6p-6, 0x1.aae8d25a2d036p-6, 0x1.acabb07929dfcp-6, 0x1.ae64a57cb3229p-6, 0x1.b013b7f51e562p-6, 0x1.b1b8ee3de8a0dp-6, 0x1.b3544e814fe54p-6, 0x1.b4e5debee8cb5p-6, 0x1.b66da4d0ce9c1p-6, 0x1.b7eba66cb71a2p-6, 0x1.b95fe923ee488p-6, 0x1.baca726312dd4p-6, 0x1.bc2b47722d79dp-6, 0x1.bd826d7695829p-6, 0x1.becfe975fc19ep-6, 0x1.c013c05a6cb1fp-6, 0x1.c14df6f6a15bbp-6, 0x1.c27e920a7fe59p-6, 0x1.c3a596475204cp-6, 0x1.c4c308538529bp-6, 0x1.c5d6ecce09385p-6, 0x1.c6e148514f8d2p-6, 0x1.c7e21f75f428dp-6, 0x1.c8d976d4ccbf9p-6, 0x1.c9c7530d5321bp-6, 0x1.caabb8b5dca87p-6, 0x1.cb86ac6f37b9cp-6, 0x1.cc5832e731102p-6, 0x1.cd2050d3020efp-6, 0x1.cddf0afa31405p-6, 0x1.ce94663eb26eap-6, 0x1.cf40679d8ed2cp-6, 0x1.cfe3143132c54p-6, 0x1.d07c713216a04p-6, 0x1.d10c83f69fc9bp-6, 0x1.d19351f345fe8p-6, 0x1.d210e0bbea052p-6, 0x1.d2853606f3a88p-6, 0x1.d2f057b1f4d7p-6, 0x1.d3524bc6ccd3dp-6, 0x1.d3ab18804938fp-6, 0x1.d3fac44da5c3p-6, 0x1.d44155d52985cp-6, 0x1.d47ed3f5725c2p-6, 0x1.d4b345c6003cbp-6, 0x1.d4deb296876ap-6, 0x1.d50121ee2ab66p-6, 0x1.d51a9b8b09844p-6, 0x1.d52b2762fba8ep-6, 0x1.d532cda57c98bp-6, 0x1.d53196bf03167p-6, 0x1.d5278b5ce9d7fp-6, 0x1.d514b4718cf1ap-6, 0x1.d4f91b37f8c77p-6, 0x1.d4d4c9363871ap-6, 0x1.d4a7c83e40c5p-6, 0x1.d472226cd083dp-6, 0x1.d433e2272ea3ap-6, 0x1.d3ed121888dfcp-6, 0x1.d39dbd3012663p-6, 0x1.d345eea0c8083p-6, 0x1.d2e5b1e2ae4a8p-6, 0x1.d27d12b547e71p-6, 0x1.d20c1d22d642fp-6, 0x1.d192dd83651dfp-6, 0x1.d111607f2872bp-6, 0x1.d087b30f80d3ep-6, 0x1.cff5e27e6eaf5p-6, 0x1.cf5bfc64b8b92p-6, 0x1.ceba0ea746454p-6, 0x1.ce1027744b2fp-6, 0x1.cd5e554149acep-6, 0x1.cca4a6c9f8d6dp-6, 0x1.cbe32b107cf1fp-6, 0x1.cb19f15e6848dp-6, 0x1.ca49094645f08p-6, 0x1.c97082a5524a7p-6, 0x1.c8906da4bbe66p-6, 0x1.c7a8daba6aa6ep-6, 0x1.c6b9daa760948p-6, 0x1.c5c37e771da5cp-6, 0x1.c4c5d77b9fe1cp-6, 0x1.c3c0f74ab277p-6, 0x1.c2b4efbab66b4p-6, 0x1.c1a1d2e059235p-6, 0x1.c087b30d2d821p-6, 0x1.bf66a2cf7504ep-6, 0x1.be3eb4f28e3e5p-6, 0x1.bd0ffc802bddfp-6, 0x1.bbda8cc123925p-6, 0x1.ba9e793d9a5e8p-6, 0x1.b95bd5bc5dd38p-6, 0x1.b812b6425ad87p-6, 0x1.b6c32f0f37e89p-6, 0x1.b56d549863d85p-6, 0x1.b4113b86fceb9p-6, 0x1.b2aef8b4f5b3cp-6, 0x1.b146a128fd45ep-6, 0x1.afd84a153da46p-6, 0x1.ae6408d713446p-6, 0x1.ace9f2f709893p-6, 0x1.ab6a1e2916943p-6, 0x1.a9e4a04cf3ef3p-6, 0x1.a8598f6ddbb2cp-6, 0x1.a6c901c15e292p-6, 0x1.a5330da57e5f2p-6, 0x1.a397c99dcc74cp-6, 0x1.a1f74c4ff113dp-6, 0x1.a051ac8006f13p-6, 0x1.9ea7010d258fp-6, 0x1.9cf760ee8a54ap-6, 0x1.9b42e3317d87dp-6, 0x1.99899ef840913p-6, 0x1.97cbab7951651p-6, 0x1.96091fff67b36p-6, 0x1.944213e96bc1cp-6, 0x1.92769eaa4c328p-6, 0x1.90a6d7c827652p-6, 0x1.8ed2d6dad681cp-6, 0x1.8cfab3897b31p-6, 0x1.8b1e85878d41fp-6, 0x1.893e649157599p-6, 0x1.875a686879f87p-6, 0x1.8572a8d0a6cb7p-6, 0x1.83873d8ce4807p-6, 0x1.81983e5db0f89p-6, 0x1.7fa5c2ffcaf4ap-6, 0x1.7dafe32ba774ep-6, 0x1.7bb6b6957050bp-6, 0x1.79ba54ed11953p-6, 0x1.77bad5de2469p-6, 0x1.75b8510f54f0fp-6, 0x1.73b2de213ac31p-6, 0x1.71aa94ac55cdap-6, 0x1.6f9f8c3e7fe92p-6, 0x1.6d91dc57df0c4p-6, 0x1.6b819c67abdf2p-6, 0x1.696ee3c918accp-6, 0x1.6759c9c0bd545p-6, 0x1.6542657a6f981p-6, 0x1.6328ce0802efep-6, 0x1.610d1a60859d4p-6, 0x1.5eef616022697p-6, 0x1.5ccfb9c8426cp-6, 0x1.5aae3a3fb5db4p-6, 0x1.588af952b3584p-6, 0x1.56660d72631edp-6, 0x1.543f8cf3cc956p-6, 0x1.52178e0e3232ep-6, 0x1.4fee26d8ed52dp-6, 0x1.4dc36d48e8392p-6, 0x1.4b97772df37e2p-6, 0x1.496a5a303eaa8p-6, 0x1.473c2bce27603p-6, 0x1.450d015a85c5ap-6, 0x1.42dceffb9473fp-6, 0x1.40ac0caa5a94dp-6, 0x1.3e7a6c32b88ccp-6, 0x1.3c48233398891p-6, 0x1.3a15461f66d47p-6, 0x1.37e1e93c512c4p-6, 0x1.35ae20a4433b4p-6, 0x1.337a00447c586p-6, 0x1.31459bdc8bdd4p-6, 0x1.2f1106fcd528ap-6, 0x1.2cdc5504a0ed2p-6, 0x1.2aa799200cb9p-6, 0x1.2872e645b858cp-6, 0x1.263e4f34db5e4p-6, 0x1.2409e6736e5d1p-6, 0x1.21d5be4d1879dp-6, 0x1.1fa1e8d2716b6p-6, 0x1.1d6e77d90cbd7p-6, 0x1.1b3b7cfbdaec2p-6, 0x1.1909099c0d62bp-6, 0x1.16d72ee21fc5ep-6, 0x1.14a5fdbef876ep-6, 0x1.127586ecb5594p-6, 0x1.1045daef3f994p-6, 0x1.0e170a1460c7fp-6, 0x1.0be924733a578p-6, 0x1.09bc39eb36af9p-6, 0x1.07905a227055dp-6, 0x1.05659483b03cap-6, 0x1.033bf83c1367fp-6, 0x1.0113943762519p-6, 0x1.fdd8ee4b08a5ep-7, 0x1.f98d5ebbe4e22p-7, 0x1.f5449620e342fp-7, 0x1.f0feb00ea7b6fp-7, 0x1.ecbbc7a147dap-7, 0x1.e87bf75c44ffap-7, 0x1.e43f592ede656p-7, 0x1.e006067700bc8p-7, 0x1.dbd018058e829p-7, 0x1.d79da62433d26p-7, 0x1.d36ec89d3a7e2p-7, 0x1.cf4396c4ad1e4p-7, 0x1.cb1c2782acee7p-7, 0x1.c6f8915ee9969p-7, 0x1.c2d8ea8a417aep-7, 0x1.bebd48ea5712ep-7, 0x1.baa5c21fade93p-7, 0x1.b6926b8a7b785p-7, 0x1.b2835a4a44a5fp-7, 0x1.ae78a3385b92dp-7, 0x1.aa725adc2f866p-7, 0x1.a67095591a858p-7, 0x1.a273665655771p-7, 0x1.9e7ae0e1efcbp-7, 0x1.9a8717502be4dp-7, 0x1.96981b1a02c96p-7, 0x1.92adfcbd3345ep-7, 0x1.8ec8cba188b02p-7, 0x1.8ae8960648c9ap-7, 0x1.870d68fb7ec04p-7, 0x1.83375069563fbp-7, 0x1.7f665727c901bp-7, 0x1.7b9a872738449p-7, 0x1.77d3e9a8fa75bp-7, 0x1.741287861241ap-7, 0x1.7056697fd7955p-7, 0x1.6c9f98954a133p-7, 0x1.68ee1e56c8947p-7, 0x1.65420530a2cb4p-7, 0x1.619b58a54619cp-7, 0x1.5dfa256fdbcfap-7, 0x1.5a5e7989568aap-7, 0x1.56c8640c0fefep-7, 0x1.5337f4f3b9f08p-7, 0x1.4fad3cbaf9973p-7, 0x1.4c284bda31807p-7, 0x1.48a9322ee5205p-7, 0x1.452ffe54e00edp-7, 0x1.41bcbcfd5cc35p-7, 0x1.3e4f785115efdp-7, 0x1.3ae8376b37873p-7, 0x1.3786fdf99da58p-7, 0x1.342bcc0df9ed8p-7, 0x1.30d69e27f8fc6p-7, 0x1.2d876d7cad7aap-7, 0x1.2a3e307bc4194p-7, 0x1.26fadb8dcc9d8p-7, 0x1.23bd62025bde7p-7, 0x1.2085b720c075bp-7, 0x1.1d53cf4a4bf1p-7, 0x1.1a27a11aa7b1bp-7, 0x1.1701267158345p-7, 0x1.13e05d4f8bff6p-7, 0x1.10c5487746a9p-7, 0x1.0dafefbb74614p-7, 0x1.0aa05ff593849p-7, 0x1.0796aa9b4033cp-7, 0x1.0492e4f4e001dp-7, 0x1.019526fe31ebbp-7, 0x1.fd3b140108456p-8, 0x1.f7584dfa1837p-8, 0x1.f1822a05f18f4p-8, 0x1.ebb8cf1e2b46fp-8, 0x1.e5fc5a2724d6ep-8, 0x1.e04cdb8806251p-8, 0x1.daaa5578bf6fp-8, 0x1.d514bb267dc58p-8, 0x1.cf8bf0bfcb28p-8, 0x1.ca0fcc6801dcap-8, 0x1.c4a018043dc97p-8, 0x1.bf3c93c6dd12ap-8, 0x1.b9e4f954678dp-8, 0x1.b498ff57f016fp-8, 0x1.af585d54dcea7p-8, 0x1.aa22cf844d6fp-8, 0x1.a4f81a86a7631p-8, 0x1.9fd80eb3fb34p-8, 0x1.9ac28ad2da1acp-8, 0x1.95b77e03b1e5cp-8, 0x1.90b6e8b45c2f3p-8, 0x1.8bc0dc7c10cc4p-8, 0x1.86d57ad34190bp-8, 0x1.81f4f2b04b016p-8, 0x1.7d1f7d2be1f31p-8, 0x1.78555969a25f6p-8, 0x1.7396c81548a41p-8, 0x1.6ee406d1db41cp-8, 0x1.6a3d4bf9555b3p-8, 0x1.65a2c2fff7613p-8, 0x1.611489b86d6fp-8, 0x1.5c92ae9a99037p-8, 0x1.581d300dbb83ep-8, 0x1.53b3fca12a2e6p-8, 0x1.4f56f40adfb8bp-8, 0x1.4b05e8bf7bcb7p-8, 0x1.46c0a1f8cdb47p-8, 0x1.4286de0a9bba9p-8, 0x1.3e5854ee1b02ap-8, 0x1.3a34baf3e62cfp-8, 0x1.361bc38e4b3d5p-8, 0x1.320d2423f6f9cp-8, 0x1.2e0896d4e539bp-8, 0x1.2a0ddd1618b5ep-8, 0x1.261cc20447566p-8, 0x1.22351c48d95f7p-8, 0x1.1e56cf6d55e4fp-8, 0x1.1a81cc7b3fp-8, 0x1.16b611cbf54f1p-8, 0x1.12f3a9f8d7a48p-8, 0x1.0f3aa9edd027p-8, 0x1.0b8b2e3bce04cp-8, 0x1.07e557df328efp-8, 0x1.044948c879e91p-8, 0x1.00b7207ef0b5dp-8, 0x1.fa5df269b822bp-9, 0x1.f361cb2b0d9c3p-9, 0x1.ec79def6cccc6p-9, 0x1.e5a62f3e6c0c3p-9, 0x1.dee6ac5a745ebp-9, 0x1.d83b38dbf9117p-9, 0x1.d1a3abe9ad0bap-9, 0x1.cb1fd8510bec9p-9, 0x1.c4af8e63d47eap-9, 0x1.be52a08a6e627p-9, 0x1.b808e4b34249p-9, 0x1.b1d23418459dap-9, 0x1.abae68ec585a5p-9, 0x1.a59d5a536ff6bp-9, 0x1.9f9ed7673170dp-9, 0x1.99b2a278d8b12p-9, 0x1.93d86cd28c10dp-9, 0x1.8e0fd69a34329p-9, 0x1.88586f7e1c24ep-9, 0x1.82b1bd31d1191p-9, 0x1.7d1b445f83647p-9, 0x1.77949474cf796p-9, 0x1.721d54438f13p-9, 0x1.6cb54d1fd399dp-9, 0x1.675c71eb17f9ap-9, 0x1.6212dfc515b03p-9, 0x1.5cd8d70a4ce4fp-9, 0x1.57aeacbf841edp-9, 0x1.5294b6528621cp-9, 0x1.4d8b334bb60e4p-9, 0x1.489239abac681p-9, 0x1.43a9a9c268e89p-9, 0x1.3ed12d0e2f959p-9, 0x1.3a084147469aap-9, 0x1.354e4dae1146ep-9, 0x1.30a2bdf7ddac9p-9, 0x1.2c051ca9f6fe4p-9, 0x1.277526e8fceb5p-9, 0x1.22f2d597119bcp-9, 0x1.1e7e5a62cc9ap-9, 0x1.1a18123aeb584p-9, 0x1.15c070944fbf6p-9, 0x1.1177e7c4ce7c4p-9, 0x1.0d3ed24a193cp-9, 0x1.09155fab0773cp-9, 0x1.04fb86501393bp-9, 0x1.00f0faf453f5cp-9, 0x1.f9ea5ceae9eddp-10, 0x1.f20ea7280d311p-10, 0x1.ea4cdd4766ef6p-10, 0x1.e2a2e0dd7286cp-10, 0x1.db0eb5dec4d74p-10, 0x1.d38ed584d43b2p-10, 0x1.cc22793fe5014p-10, 0x1.c4c9c907fb29ap-10, 0x1.bd85db9f21b54p-10, 0x1.b65881aa3b01dp-10, 0x1.af43e38c6d8b7p-10, 0x1.a84a08ce6b669p-10, 0x1.a16c687f7d40fp-10, 0x1.9aaba01765a01p-10, 0x1.940761eea6bedp-10, 0x1.8d7e9a4ae012ep-10, 0x1.870fb9e275174p-10, 0x1.80b90d040c717p-10, 0x1.7a7908861af2bp-10, 0x1.744e7dc757264p-10, 0x1.6e38afec90bb4p-10, 0x1.68374b6f99737p-10, 0x1.624a46ad65e39p-10, 0x1.5c71b797875bfp-10, 0x1.56adae4d2e18ep-10, 0x1.50fe22909beadp-10, 0x1.4b62f96452687p-10, 0x1.45dc1bcf0eac8p-10, 0x1.40698e0f0b796p-10, 0x1.3b0b7496864adp-10, 0x1.35c1fb8e00936p-10, 0x1.308d23ebde9d7p-10, 0x1.2b6c889fe10eap-10, 0x1.265f37893f60bp-10, 0x1.2163b6d33079p-10, 0x1.1c783f5692e3ep-10, 0x1.179b1e450b38fp-10, 0x1.12cb1eb8056bep-10, 0x1.0e07d7139d48ep-10, 0x1.0951bfe2047d8p-10, 0x1.04aa0cf7ac65p-10, 0x1.0012574c6080dp-10, 0x1.f7186c1988114p-11, 0x1.ee31d0dcc603ep-11, 0x1.e5724a628f44ep-11, 0x1.dcda217d6f604p-11, 0x1.d4689cd9a165cp-11, 0x1.cc1c47dc110b7p-11, 0x1.c3f35bc15344dp-11, 0x1.bbec42569c4c5p-11, 0x1.b406098dcdb3dp-11, 0x1.ac408cf219995p-11, 0x1.a49c3a4b57ef2p-11, 0x1.9d1996a47ec95p-11, 0x1.95b8cd272551dp-11, 0x1.8e797a95f6717p-11, 0x1.875ab3c7773f9p-11, 0x1.805b25729ea5bp-11, 0x1.7979323c1d1bbp-11, 0x1.72b30d3ab9152p-11, 0x1.6c06dedeaf07cp-11, 0x1.6572fc22ef0d7p-11, 0x1.5ef62481a5783p-11, 0x1.588facff8e37fp-11, 0x1.523f82ab37c14p-11, 0x1.4c060401254a1p-11, 0x1.45e3c4d72e9a8p-11, 0x1.3fd9508994f3p-11, 0x1.39e6eb20b3603p-11, 0x1.340c49c4fda68p-11, 0x1.2e48587ec636dp-11, 0x1.28994be94252ap-11, 0x1.22fd2c5e9000fp-11, 0x1.1d72accdac5eep-11, 0x1.17f9d6184346bp-11, 0x1.12941662b815cp-11, 0x1.0d43a9aa5ad3p-11, 0x1.080aa483486b1p-11, 0x1.02ea17a1c295fp-11, 0x1.fbc3c28bbd56cp-12, 0x1.f1e2a17e07bdbp-12, 0x1.e8302387a075cp-12, 0x1.deacff1febc0fp-12, 0x1.d55a1f0b4202fp-12, 0x1.cc36dd9816b61p-12, 0x1.c34054350ace3p-12, 0x1.ba72322e2ea18p-12, 0x1.b1c83f4c81e4cp-12, 0x1.a93f7fddbbd9ap-12, 0x1.a0d68b2600481p-12, 0x1.988d39cdf4895p-12, 0x1.906409946cf21p-12, 0x1.885b8acd900f3p-12, 0x1.80740ffea7a19p-12, 0x1.78adb8c0237a5p-12, 0x1.7108cc74860a4p-12, 0x1.6986312ce7746p-12, 0x1.6227af01e4f58p-12, 0x1.5aefb70df1a2bp-12, 0x1.53e09e5fcce41p-12, 0x1.4cfb9c4c4aeb9p-12, 0x1.46401bee6901ap-12, 0x1.3fabaabaf911dp-12, 0x1.393a0f52c65b8p-12, 0x1.32e4ebbb02e21p-12, 0x1.2ca3a77ac0036p-12, 0x1.266da76c160ecp-12, 0x1.203f0b7890a6dp-12, 0x1.1a1c3a0bfcbdap-12, 0x1.140ff73276bdap-12, 0x1.0e24848fa1e63p-12, 0x1.085d1d0816fc9p-12, 0x1.02b50c7bd9b74p-12, 0x1.fa49de49367dcp-13, 0x1.ef5280b96feaep-13, 0x1.e488d889a57ddp-13, 0x1.d9f73a70a93bfp-13, 0x1.cfa513254ea6ep-13, 0x1.c59397cfa29d5p-13, 0x1.bbbee62d60adep-13, 0x1.b2208ce7c9a61p-13, 0x1.a8b1c16b3e516p-13, 0x1.9f6cdf5b7b0ffp-13, 0x1.964e1e15177b2p-13, 0x1.8d5391fa8708bp-13, 0x1.847cb8bdc7c4cp-13, 0x1.7bc9d5c6af307p-13, 0x1.733b4fbd5733cp-13, 0x1.6ad1310f6d439p-13, 0x1.628aecf1387bep-13, 0x1.5a678821ace7p-13, 0x1.52662a425464cp-13, 0x1.4a86e827cfb1ap-13, 0x1.42cb608466b62p-13, 0x1.3b36ad1177153p-13, 0x1.33cc5902e7b92p-13, 0x1.2c8eae24017d2p-13, 0x1.257d998f697bfp-13, 0x1.1e9788461311ep-13, 0x1.17db6a4417165p-13, 0x1.114822c1e0c2cp-13, 0x1.0ad81dfb12264p-13, 0x1.048076ba9e127p-13, 0x1.fc7637fcc8889p-14, 0x1.f022945a1a145p-14, 0x1.e427f22a5dcaep-14, 0x1.d8901e94abfc8p-14, 0x1.cd3e7a21b599cp-14, 0x1.c20d4c3219206p-14, 0x1.b6f17a9f9e664p-14, 0x1.abfa53ffd96f1p-14, 0x1.a13982d9e454fp-14, 0x1.96b7c95b66ea8p-14, 0x1.8c77cc2764607p-14, 0x1.8276a8affb896p-14, 0x1.78aa7deb0aeb4p-14, 0x1.6f072de08ccf2p-14, 0x1.65881557e1a23p-14, 0x1.5c3437b2a6167p-14, 0x1.5317661eb08b7p-14, 0x1.4a37fb8822a78p-14, 0x1.4193674880774p-14, 0x1.39222154b0ee1p-14, 0x1.30dcf19553f14p-14, 0x1.28bf78cbab6aep-14, 0x1.20c808f175483p-14, 0x1.18f667870df42p-14, 0x1.114aab22518c4p-14, 0x1.09c4adad3f966p-14, 0x1.02640f56d20afp-14, 0x1.f6511dee63da5p-15, 0x1.e824eaba106b9p-15, 0x1.da45af0c05ef2p-15, 0x1.ccb6a0d444a6bp-15, 0x1.bf79857859e09p-15, 0x1.b28b45c7d4135p-15, 0x1.a5e48115032abp-15, 0x1.99827c78df21ap-15, 0x1.8d709f3f1ec77p-15, 0x1.81bd8bf0b1343p-15, 0x1.765c036be7e6dp-15, 0x1.6b27f9630eddbp-15, 0x1.601ddc3fab38ep-15, 0x1.5556983596889p-15, 0x1.4ac756a317f1bp-15, 0x1.4052187705bc9p-15, 0x1.3607a4c270d3ap-15, 0x1.2c0f4a2419081p-15, 0x1.226eb4d724643p-15, 0x1.1913efc6ada49p-15, 0x1.0ff251da1bebbp-15, 0x1.07082ac4c275ep-15, 0x1.fcb1dbcce0ee7p-16, 0x1.ebcec5f749c91p-16, 0x1.db606198ac3a2p-16, 0x1.cb4d9532fef29p-16, 0x1.bb78f111abcd4p-16, 0x1.abdf3dab0ddfdp-16, 0x1.9c9d7d5ed4c1dp-16, 0x1.8dca62c3e3d6cp-16, 0x1.7f5451f7ddbefp-16, 0x1.7119556e88496p-16, 0x1.631a885d31af5p-16, 0x1.557c826ab703bp-16, 0x1.4857f5616c008p-16, 0x1.3ba4769d09807p-16, 0x1.2f4b98911f4e2p-16, 0x1.233cd0603b59p-16, 0x1.17713a8f12e7ep-16, 0x1.0be7626832b45p-16, 0x1.009f491b4bd7ep-16, 0x1.eb31b6a7c5d11p-17, 0x1.d5a87a72dcdacp-17, 0x1.c0a533fb98d9p-17, 0x1.ac2b5db37e4b5p-17, 0x1.9839b524c4facp-17, 0x1.84c4574f400c4p-17, 0x1.71bcb1947857dp-17, 0x1.5f2d6de036fcep-17, 0x1.4d4e1fc5cbe46p-17, 0x1.3c4863785c42ap-17, 0x1.2bd01da1a1305p-17, 0x1.1b8bde2d00c49p-17, 0x1.0b8821baffa6cp-17, 0x1.f775341a58c5cp-18, 0x1.d8909bbd65bb4p-18, 0x1.bb0045f65ba7ap-18, 0x1.9e9fcc5c21539p-18, 0x1.830a3d5a9b84bp-18, 0x1.681b31fa1f8e1p-18, 0x1.4dd6490e2599p-18, 0x1.34443cf390f53p-18, 0x1.1b692456214d5p-18, 0x1.0344c682d5b25p-18, 0x1.d7a8b8ed3d9a1p-19, 0x1.aa27a266b3c17p-19, 0x1.7dfd1ef6f0086p-19, 0x1.53202186de49bp-19, 0x1.29883990f20ffp-19, 0x1.012cdb2fc07p-19, 0x1.b409dcc05c0bap-20, 0x1.68143a4761a1fp-20, 0x1.1e8858f083be8p-20, 0x1.af5cd064ae3b4p-21, 0x1.279968ed15bf3p-21, 0x1.4a4c42acaabe2p-22, 0x1.335af279c64cdp-24, -0x1.5487697e6a34cp-23, -0x1.9ad7c9a5f6af8p-22, -0x1.430deb9705d7p-21, -0x1.b55acbd8de6e1p-21, -0x1.11435c0014d2ep-20, -0x1.453cf27d72695p-20, -0x1.77381dff1fac7p-20, -0x1.a7a42d42e38cp-20, -0x1.d69b2493744aep-20, -0x1.0207c1ced7d36p-19, -0x1.17f75281b1afdp-19, -0x1.2d1990a1dda86p-19, -0x1.417646147a492p-19, }}, 
      {{-0x1.193ad878bd251p-1, -0x1.1573e41c048efp-1, -0x1.0f81bef136ce2p-1, -0x1.07c9c1f76c71p-1, -0x1.fd6c5f68c65ccp-2, -0x1.e958089bb3a6cp-2, -0x1.d40b7aed6deffp-2, -0x1.be224ed72ed53p-2, -0x1.a81ddaf057291p-2, -0x1.92665582571edp-2, -0x1.7d4d0ae591eep-2, -0x1.690f12b3d6d02p-2, -0x1.55d8277ead9adp-2, -0x1.43c56663237fep-2, -0x1.32e7d9ac7dfa2p-2, -0x1.2346bfc16d3fp-2, -0x1.14e18c60685fap-2, -0x1.07b1a534d7e55p-2, -0x1.f757b8f03ae67p-3, -0x1.e1836078f654cp-3, -0x1.cdc4a6e770a1ep-3, -0x1.bbf70dcb0cee1p-3, -0x1.abf491162c2eap-3, -0x1.9d96bcc61776ap-3, -0x1.90b7837bbf74ap-3, -0x1.8531e1b2c22eep-3, -0x1.7ae25481c616cp-3, -0x1.71a72ccaad492p-3, -0x1.6960c597b7c92p-3, -0x1.61f1a3a88db79p-3, -0x1.5b3e8356a8b11p-3, -0x1.552e58ec456ffp-3, -0x1.4faa46af51029p-3, -0x1.4a9d8c1acd85fp-3, -0x1.45f56fad6f49dp-3, -0x1.41a124a8962b2p-3, -0x1.3d91af7a169c1p-3, -0x1.39b9c84a9bed5p-3, -0x1.360dbd2d65c16p-3, -0x1.328354535fffp-3, -0x1.2f11aeac4c2b7p-3, -0x1.2bb12b4714b6p-3, -0x1.285b4bab5d5d4p-3, -0x1.250a995751de3p-3, -0x1.21ba8c8483212p-3, -0x1.1e67744aba5e4p-3, -0x1.1b0e6027a5d75p-3, -0x1.17ad0aefbb5fdp-3, -0x1.1441c73b09b26p-3, -0x1.10cb6d45036d8p-3, -0x1.0d494a2defda6p-3, -0x1.09bb1082cafbcp-3, -0x1.0620ca207647ap-3, -0x1.027acb7723e31p-3, -0x1.fd934ff72904cp-4, -0x1.f61c4ef2929c6p-4, -0x1.ee9278e5eee83p-4, -0x1.e6f7f79ae3cd1p-4, -0x1.df4f2a9e3873p-4, -0x1.d79a9979a32f8p-4, -0x1.cfdce7ef95f47p-4, -0x1.c818cb4c23b6cp-4, -0x1.c0510104d9abap-4, -0x1.b88846cb95b17p-4, -0x1.b0c153d0730f9p-4, -0x1.a8fed300d2c06p-4, -0x1.a1435e0c803e1p-4, -0x1.9991792bbffa2p-4, -0x1.91eb8f994cdb7p-4, -0x1.8a53f0cb107fcp-4, -0x1.82ccce4e54a87p-4, -0x1.7b583a371c08fp-4, -0x1.73f8260f31747p-4, -0x1.6cae6216e46a7p-4, -0x1.657c9cf04e736p-4, -0x1.5e6463850aff3p-4, -0x1.57672138f5a4p-4, -0x1.5086205b4d038p-4, -0x1.49c28ad3cb0c1p-4, -0x1.431d6af6eb95bp-4, -0x1.3c97ac8c8a54ap-4, -0x1.36321deb3c2eap-4, -0x1.2fed712c9db1p-4, -0x1.29ca3d7058e5bp-4, -0x1.23c9002bf04f2p-4, -0x1.1dea1e7d02281p-4, -0x1.182de6807e197p-4, -0x1.129490ac18f8cp-4, -0x1.0d1e4120b98cp-4, -0x1.07cb08fa866p-4, -0x1.029ae797ca3a3p-4, -0x1.fb1b97afaf297p-5, -0x1.f1472a9d9dd6p-5, -0x1.e7b82adddb1e6p-5, -0x1.de6e21431785fp-5, -0x1.d5687eb7ad61fp-5, -0x1.cca69e405760ap-5, -0x1.c427c6ec16536p-5, -0x1.bbeb2da9f7d42p-5, -0x1.b3eff706b8145p-5, -0x1.ac3538cc8567p-5, -0x1.a4b9fb95e5217p-5, -0x1.9d7d3c3937ce1p-5, -0x1.967ded2c4b5e6p-5, -0x1.8fbaf7c2b56e6p-5, -0x1.89333d651550cp-5, -0x1.82e598ac20dd9p-5, -0x1.7cd0de710a1ccp-5, -0x1.76f3dec74597cp-5, -0x1.714d65bd58bedp-5, -0x1.6bdc3c5f8feafp-5, -0x1.669f299dd47cap-5, -0x1.6194f2c0bccc5p-5, -0x1.5cbc5c335bd7p-5, -0x1.58142a317a02bp-5, -0x1.539b2154e718ap-5, -0x1.4f500722917e1p-5, -0x1.4b31a2756754ap-5, -0x1.473ebc1004db4p-5, -0x1.43761eee92b4dp-5, -0x1.3fd698b0e2b43p-5, -0x1.3c5ef9f0041d2p-5, -0x1.390e168d33152p-5, -0x1.35e2c5f8bfe72p-5, -0x1.32dbe37265e02p-5, -0x1.2ff84e41371ffp-5, -0x1.2d36e9e6ad5a9p-5, -0x1.2a969e4b36815p-5, -0x1.281657e3f4268p-5, -0x1.25b507d51cdbep-5, -0x1.2371a40ee4874p-5, -0x1.214b2764e0699p-5, -0x1.1f4091a2824bbp-5, -0x1.1d50e79b0e1a8p-5, -0x1.1b7b33359c4fep-5, -0x1.19be8376f504ep-5, -0x1.1819ec881de35p-5, -0x1.168c87b7999fp-5, -0x1.1515737b07229p-5, -0x1.13b3d36e71a39p-5, -0x1.1266d04e166e8p-5, -0x1.112d97eebc133p-5, -0x1.10075d41fc7fcp-5, -0x1.0ef35832ce06dp-5, -0x1.0df0c5be52db2p-5, -0x1.0cfee7c23f055p-5, -0x1.0c1d050cd292fp-5, -0x1.0b4a693f3235p-5, -0x1.0a8664c1ff4c9p-5, -0x1.09d04cb71eafcp-5, -0x1.09277ae72145cp-5, -0x1.088b4daf4cb9fp-5, -0x1.07fb27f274c1fp-5, -0x1.07767106bc0a4p-5, -0x1.06fc94a196a4cp-5, -0x1.068d02c56af09p-5, -0x1.06272fb12b67p-5, -0x1.05ca93ccfb979p-5, -0x1.0576ab95218f5p-5, -0x1.052af787ae7dbp-5, -0x1.04e6fc13cabfdp-5, -0x1.04aa41861a797p-5, -0x1.047453f3bd68fp-5, -0x1.0444c327b23c2p-5, -0x1.041b22926196ap-5, -0x1.03f709370ca8fp-5, -0x1.03d81196ab3d9p-5, -0x1.03bdd99d003ep-5, -0x1.03a80290daf9fp-5, -0x1.03963102f0d9p-5, -0x1.03880cb9541b1p-5, -0x1.037d409bdbf5bp-5, -0x1.03757aa464195p-5, -0x1.03706bcfb2fc2p-5, -0x1.036dc80a83d0ep-5, -0x1.036d461d12639p-5, -0x1.036e9f9a6b5d1p-5, -0x1.037190d2b0a44p-5, -0x1.0375d8c2faf16p-5, -0x1.037b3901428d9p-5, -0x1.038175a9d54e2p-5, -0x1.0388555138169p-5, -0x1.038fa0f6fc2f2p-5, -0x1.039723f4a32a7p-5, -0x1.039eabea46b24p-5, -0x1.03a608ae2603fp-5, -0x1.03ad0c401cc5fp-5, -0x1.03b38abc9da96p-5, -0x1.03b95a4bde17p-5, -0x1.03be530fabdd1p-5, -0x1.03c24f168f94p-5, -0x1.03c52a4e10febp-5, -0x1.03c6c275519edp-5, -0x1.03c6f7102cfcap-5, -0x1.03c5a953784e3p-5, -0x1.03c2bc1915deep-5, -0x1.03be13d431fb4p-5, -0x1.03b79686c3351p-5, -0x1.03af2bc47993p-5, -0x1.03a4bc62120acp-5, -0x1.039832bbadddep-5, -0x1.03897a9299b0dp-5, -0x1.037880daa2792p-5, -0x1.036533cfc9741p-5, -0x1.034f82e874d36p-5, -0x1.03375ec2c06c9p-5, -0x1.031cb91b79faap-5, -0x1.02ff84c56364p-5, -0x1.02dfb59f428c8p-5, -0x1.02bd4088d3cdcp-5, -0x1.02981b57e1bc4p-5, -0x1.02703ccecfc3cp-5, -0x1.02459c9452ffcp-5, -0x1.0218332b543e4p-5, -0x1.01e7f9e9960dep-5, -0x1.01b4eaedbffc6p-5, -0x1.017f0116ecdc5p-5, -0x1.014637fafe7eap-5, -0x1.010a8be2caddcp-5, -0x1.00cbf9c020ad6p-5, -0x1.008a7f26d4141p-5, -0x1.00461a4417cffp-5, -0x1.fffd93ae5a1bep-6, -0x1.ff691a56d54d9p-6, -0x1.fecec8260299dp-6, -0x1.fe2e9dc300ca9p-6, -0x1.fd889ccad19ddp-6, -0x1.fcdcc7c2c4d9dp-6, -0x1.fc2b220cdebdep-6, -0x1.fb73afded6063p-6, -0x1.fab6763a8f564p-6, -0x1.f9f37ae69d8fep-6, -0x1.f92ac464d9cebp-6, -0x1.f85c59e72af43p-6, -0x1.f7884344f129bp-6, -0x1.f6ae88f283427p-6, -0x1.f5cf33faf6fep-6, -0x1.f4ea4dfa538c4p-6, -0x1.f3ffe11712bd4p-6, -0x1.f30ff7f98e33fp-6, -0x1.f21a9dc232c1p-6, -0x1.f11fde00b4962p-6, -0x1.f01fc4ad7ede1p-6, -0x1.ef1a5e2516f3p-6, -0x1.ee0fb72412a76p-6, -0x1.ecffdcc277f6ep-6, -0x1.ebeadc6d72fdep-6, -0x1.ead0c3e01cae3p-6, -0x1.e9b1a11ccfaa6p-6, -0x1.e88d82689f2fep-6, -0x1.e7647648b38cfp-6, -0x1.e6368b801cce5p-6, -0x1.e503d10dfa931p-6, -0x1.e3cc5629bacf7p-6, -0x1.e2902a3ebe74fp-6, -0x1.e14f5ce6fdf5bp-6, -0x1.e009fde75bbbap-6, -0x1.dec01d2d3f3f3p-6, -0x1.dd71cacd352f3p-6, -0x1.dc1f1701677dp-6, -0x1.dac81228eed85p-6, -0x1.d96cccc07b23p-6, -0x1.d80d576450e91p-6, -0x1.d6a9c2c7ec0ebp-6, -0x1.d5421fb278474p-6, -0x1.d3d67efe07d41p-6, -0x1.d266f19522a4cp-6, -0x1.d0f3887137599p-6, -0x1.cf7c5498830d5p-6, -0x1.ce01671b4b509p-6, -0x1.cc82d1103a7abp-6, -0x1.cb00a390d117dp-6, -0x1.c97aefb651c72p-6, -0x1.c7f1c697bf8a5p-6, -0x1.c665394884425p-6, -0x1.c4d558d76495p-6, -0x1.c342364d5a7cbp-6, -0x1.c1abe2ac1e37ap-6, -0x1.c0126eec465dcp-6, -0x1.be75ebfb27394p-6, -0x1.bcd66ab8ce44dp-6, -0x1.bb33fbf69b4a4p-6, -0x1.b98eb0766f63dp-6, -0x1.b7e698ea46f33p-6, -0x1.b63bc5f3bc5fdp-6, -0x1.b48e48240e6c6p-6, -0x1.b2de2ffc295cap-6, -0x1.b12b8dea7bbfap-6, -0x1.af7672480ea3ap-6, -0x1.adbeed58af1acp-6, -0x1.ac050f4ae67d2p-6, -0x1.aa48e8367f1f6p-6, -0x1.a88a881b75676p-6, -0x1.a6c9fee16d2b9p-6, -0x1.a5075c5706b43p-6, -0x1.a342b030fabc9p-6, -0x1.a17c0a090c3bdp-6, -0x1.9fb3795c92084p-6, -0x1.9de90d8af809p-6, -0x1.9c1cd5d441d01p-6, -0x1.9a4ee157d2de9p-6, -0x1.987f3f136c63ap-6, -0x1.96adfde244512p-6, -0x1.94db2c7c16ce8p-6, -0x1.9306d974553a4p-6, -0x1.913113394a9cfp-6, -0x1.8f59e81342388p-6, -0x1.8d8166237e3e6p-6, -0x1.8ba79b633ep-6, -0x1.89cc95a2d17eap-6, -0x1.87f0628909ddfp-6, -0x1.86130f92c32bcp-6, -0x1.8434aa12a9f84p-6, -0x1.82553f310a13cp-6, -0x1.8074dbebb755fp-6, -0x1.7e938d1627a76p-6, -0x1.7cb15f5977ee5p-6, -0x1.7ace5f34769cfp-6, -0x1.78ea98fb92cdep-6, -0x1.770618d8d101fp-6, -0x1.7520eacbef039p-6, -0x1.733b1aaaa557ep-6, -0x1.7154b420f7778p-6, -0x1.6f6dc2b188f3cp-6, -0x1.6d8651b607b84p-6, -0x1.6b9e6c5f883a3p-6, -0x1.69b61db7009d4p-6, -0x1.67cd709da7b3p-6, -0x1.65e46fcd4c3cfp-6, -0x1.63fb25d868a04p-6, -0x1.62119d2a43f9p-6, -0x1.6027e007338b1p-6, -0x1.5e3df88cb6341p-6, -0x1.5c53f0b1d2027p-6, -0x1.5a69d2472c222p-6, -0x1.587fa6f746157p-6, -0x1.56957846ba394p-6, -0x1.54ab4f94713ffp-6, -0x1.52c13619d914ap-6, -0x1.50d734eb32431p-6, -0x1.4eed54f78b0a9p-6, -0x1.4d039f08d7ff3p-6, -0x1.4b1a1bc40f7b2p-6, -0x1.4930d3a95052cp-6, -0x1.4747cf142c6bep-6, -0x1.455f163bd45ecp-6, -0x1.4376b133701ffp-6, -0x1.418ea7ea63f6dp-6, -0x1.3fa7022cb6862p-6, -0x1.3dbfc7a387b88p-6, -0x1.3bd8ffd581576p-6, -0x1.39f2b22760432p-6, -0x1.380ce5dc520a3p-6, -0x1.3627a2167a9cap-6, -0x1.3442edd74da9fp-6, -0x1.325ed000312eep-6, -0x1.307b4f532d61p-6, -0x1.2e98727373ca9p-6, -0x1.2cb63fe6293fep-6, -0x1.2ad4be12f56c5p-6, -0x1.28f3f344beb56p-6, -0x1.2713e5aa504cp-6, -0x1.25349b57182bep-6, -0x1.23561a43e51a5p-6, -0x1.2178684f9fb7cp-6, -0x1.1f9b8b3fe76c5p-6, -0x1.1dbf88c1bb4a2p-6, -0x1.1be4666a24581p-6, -0x1.1a0a29b6d602ep-6, -0x1.1830d80ecb09p-6, -0x1.165876c2de2e2p-6, -0x1.14810b0e5a7c4p-6, -0x1.12aa9a178698bp-6, -0x1.10d528f01bb02p-6, -0x1.0f00bc95ef0d4p-6, -0x1.0d2d59f372df6p-6, -0x1.0b5b05e039d13p-6, -0x1.0989c5217a9fap-6, -0x1.07b99c6a61babp-6, -0x1.05ea905c72615p-6, -0x1.041ca587b94bap-6, -0x1.024fe06b2338cp-6, -0x1.00844574bb8fap-6, -0x1.fd73b203f38dbp-7, -0x1.f9e13ec0e9aa7p-7, -0x1.f651399fdc121p-7, -0x1.f2c3ab05725a2p-7, -0x1.ef389b28a1feep-7, -0x1.ebb01219fe31ap-7, -0x1.e82a17eda3152p-7, -0x1.e4a6b49227769p-7, -0x1.e125efbd0d5d3p-7, -0x1.dda7d11c3dd25p-7, -0x1.da2c604ec184p-7, -0x1.d6b3a4ca375eep-7, -0x1.d33da5e523628p-7, -0x1.cfca6ade0353cp-7, -0x1.cc59fadb1aaa8p-7, -0x1.c8ec5ce94b054p-7, -0x1.c58197fc0bb6ep-7, -0x1.c219b2ed9c71ap-7, -0x1.beb4b47f4d0d6p-7, -0x1.bb52a359e7156p-7, -0x1.b7f3860ddf0a6p-7, -0x1.b4976312ef0dcp-7, -0x1.b13e40c3fa2a4p-7, -0x1.ade82561ec629p-7, -0x1.aa951790b8c47p-7, -0x1.a7451cd7a87ecp-7, -0x1.a3f83b3daa969p-7, -0x1.a0ae7923fd038p-7, -0x1.9d67dc4e5298ep-7, -0x1.9a246a5c411e4p-7, -0x1.96e4290e36038p-7, -0x1.93a71e05a429fp-7, -0x1.906d4eccdc36ep-7, -0x1.8d36c0d9a7ac8p-7, -0x1.8a03798dd70edp-7, -0x1.86d37e3797bd1p-7, -0x1.83a6d4115ed5bp-7, -0x1.807d804212067p-7, -0x1.7d5787dd0a5d1p-7, -0x1.7a34efe201fb9p-7, -0x1.7715bd3d38afap-7, -0x1.73f9f4c771222p-7, -0x1.70e19b460b949p-7, -0x1.6dccb56b182ccp-7, -0x1.6abb47d58b078p-7, -0x1.67ad57112012fp-7, -0x1.64a2e7966ec28p-7, -0x1.619bfdcac13e7p-7, -0x1.5e989dffee645p-7, -0x1.5b98cc7475ec8p-7, -0x1.589c8d52a4dd7p-7, -0x1.55a3e4b1413ebp-7, -0x1.52aed6935fe03p-7, -0x1.4fbd66e7c6ba4p-7, -0x1.4ccf998983844p-7, -0x1.49e5723f9ce46p-7, -0x1.46fef4bd16a8bp-7, -0x1.441c24a0c1391p-7, -0x1.413d05750d662p-7, -0x1.3e619aafc98fdp-7, -0x1.3b89e7b1fce99p-7, -0x1.38b5efc7b43ffp-7, -0x1.35e5b627ce52p-7, -0x1.33193df3f1f79p-7, -0x1.30508a3871fb1p-7, -0x1.2d8b9dec3d0e9p-7, -0x1.2aca7bf0db8bp-7, -0x1.280d271251e28p-7, -0x1.2553a2070b5fbp-7, -0x1.229def6fac68ap-7, -0x1.1fec11d6f4a87p-7, -0x1.1d3e0bb1821fp-7, -0x1.1a93df5db9e84p-7, -0x1.17ed8f2393e15p-7, -0x1.154b1d34901a4p-7, -0x1.12ac8bab8cc1fp-7, -0x1.1011dc8ce66p-7, -0x1.0d7b11c687508p-7, -0x1.0ae82d2ea652p-7, -0x1.085930872dd3bp-7, -0x1.05ce1d78d1a02p-7, -0x1.0346f596e993p-7, -0x1.00c3ba5d89615p-7, -0x1.fc88da6384ed9p-8, -0x1.f7921ec3021dap-8, -0x1.f2a34446dddcdp-8, -0x1.edbc4d2e222c7p-8, -0x1.e8dd3b8b3603dp-8, -0x1.e40611486815fp-8, -0x1.df36d0269ebcep-8, -0x1.da6f799fdc815p-8, -0x1.d5b00ee69a50cp-8, -0x1.d0f89140a915ep-8, -0x1.cc4901d48712bp-8, -0x1.c7a1613e8ffd8p-8, -0x1.c301b01078e6ap-8, -0x1.be69eeef20fa5p-8, -0x1.b9da1e204ca71p-8, -0x1.b5523daa52e9p-8, -0x1.b0d24d7223867p-8, -0x1.ac5a4d34519b9p-8, -0x1.a7ea3c8001b8dp-8, -0x1.a3821ab75efabp-8, -0x1.9f21e70ff24bcp-8, -0x1.9ac9a090ad5e1p-8, -0x1.96794613859f6p-8, -0x1.9230d646e9755p-8, -0x1.8df04fad1abbap-8, -0x1.89b7b09bfca9ep-8, -0x1.8586f73d73cf4p-8, -0x1.815e218e01715p-8, -0x1.7d3d2d60754dbp-8, -0x1.7924185a61483p-8, -0x1.7512dff6a3e7fp-8, -0x1.710981853cb67p-8, -0x1.6d07fa2b7ab0fp-8, -0x1.690e46e4bda83p-8, -0x1.651c648289ac4p-8, -0x1.61324facfd8dp-8, -0x1.5d5004e2fdea9p-8, -0x1.5975807a94111p-8, -0x1.55a2bea0f9cadp-8, -0x1.51d7bb5af372fp-8, -0x1.4e147285017f6p-8, -0x1.4a58dfd3971cp-8, -0x1.46a4fed3a1d6ap-8, -0x1.42f8caeacc546p-8, -0x1.3f543f580ddf4p-8, -0x1.3bb757341dcd9p-8, -0x1.38220d720bc95p-8, -0x1.34945cdfbe31ep-8, -0x1.310e40265f0a6p-8, -0x1.2d8fb1cae6be2p-8, -0x1.2a18ac2e6747dp-8, -0x1.26a9298e72a6ap-8, -0x1.234124057658fp-8, -0x1.1fe0958b075bfp-8, -0x1.1c8777f43c3ddp-8, -0x1.1935c4f41302dp-8, -0x1.15eb761bf20fcp-8, -0x1.12a884dc220a8p-8, -0x1.0f6cea845f182p-8, -0x1.0c38a0447093bp-8, -0x1.090b9f2ccc98p-8, -0x1.05e5e02f359f7p-8, -0x1.02c75c1f3fa78p-8, -0x1.ff601765db11fp-9, -0x1.f93fcf065641cp-9, -0x1.f32dd01880dfep-9, -0x1.ed2a0b5c6cbedp-9, -0x1.e734715aa9b54p-9, -0x1.e14cf264e7bfap-9, -0x1.db737e96f0f31p-9, -0x1.d5a805d7aac22p-9, -0x1.cfea77da2824cp-9, -0x1.ca3ac41ed3657p-9, -0x1.c498d9f48eecp-9, -0x1.bf04a87a5032p-9, -0x1.b97e1ea036fbap-9, -0x1.b4052b29221acp-9, -0x1.ae99bcabb804bp-9, -0x1.a93bc193b4a6fp-9, -0x1.a3eb28231e764p-9, -0x1.9ea7de73231b9p-9, -0x1.9971d2752cfd3p-9, -0x1.9448f1f38a70bp-9, -0x1.8f2d2a92b55e2p-9, -0x1.8a1e69d1b894ap-9, -0x1.851c9d0bb319dp-9, -0x1.8027b1785b547p-9, -0x1.7b3f942da813ap-9, -0x1.76643220649cdp-9, -0x1.71957826086cbp-9, -0x1.6cd352f595041p-9, -0x1.681daf2908545p-9, -0x1.6374793e6dc69p-9, -0x1.5ed79d9943b55p-9, -0x1.5a4708834b26dp-9, -0x1.55c2a62d6d7bfp-9, -0x1.514a62b11f19p-9, -0x1.4cde2a10bf18fp-9, -0x1.487de838c2cb2p-9, -0x1.44298900d55dbp-9, -0x1.3fe0f82cf0c77p-9, -0x1.3ba4216e42e68p-9, -0x1.3772f0397d18ap-9, -0x1.334d50ec83e2dp-9, -0x1.2f332d117ae2fp-9, -0x1.2b24729d7ae02p-9, -0x1.27210b6463be7p-9, -0x1.2328e31a52e5ep-9, -0x1.1f3be51ed4f09p-9, -0x1.1b59fcbd1f2f5p-9, -0x1.178315398dec2p-9, -0x1.13b719d21c52cp-9, -0x1.0ff5f5be2323cp-9, -0x1.0c3f942e64863p-9, -0x1.0893e04d03968p-9, -0x1.04f2c53dac5e9p-9, -0x1.015c2e1a60bdcp-9, -0x1.fba00bf9f536ep-10, -0x1.f49c6fe4f3fbap-10, -0x1.edad5e11e466bp-10, -0x1.e6d2ac9187e03p-10, -0x1.e00c316ff2fb5p-10, -0x1.d959c2bd2698cp-10, -0x1.d2bb369147a39p-10, -0x1.cc30631009e47p-10, -0x1.c5b91e6d6ed9cp-10, -0x1.bf553ef287f18p-10, -0x1.b9049b005ec0ep-10, -0x1.b2c709120ab23p-10, -0x1.ac9c5fbd826fp-10, -0x1.a68475b39be0cp-10, -0x1.a07f21bdf7a34p-10, -0x1.9a8c3abd64f0fp-10, -0x1.94ab97a6d201ep-10, -0x1.8edd0f8113781p-10, -0x1.89207962dc347p-10, -0x1.8375ac71989b7p-10, -0x1.7ddc7fe1c4263p-10, -0x1.7854caf8c5a43p-10, -0x1.72de650fcc31p-10, -0x1.6d7925987ae94p-10, -0x1.6824e42210785p-10, -0x1.62e1785f3d2a4p-10, -0x1.5daeba2beedb6p-10, -0x1.588c8191aa7cp-10, -0x1.537aa6cb57b76p-10, -0x1.4e790246dd081p-10, -0x1.49876ca4ca261p-10, -0x1.44a5beb5cc22p-10, -0x1.3fd3d176c477cp-10, -0x1.3b117e0adfd95p-10, -0x1.365e9db5b83b1p-10, -0x1.31bb09d4f6866p-10, -0x1.2d269bdc12fb3p-10, -0x1.28a12d50ec9d3p-10, -0x1.242a97cbbbb14p-10, -0x1.1fc2b4fa3121p-10, -0x1.1b695ea5925abp-10, -0x1.171e6ebc4c66cp-10, -0x1.12e1bf5e07a09p-10, -0x1.0eb32ae98fcebp-10, -0x1.0a928c0b8c86p-10, -0x1.067fbdcc9becbp-10, -0x1.027a9b9df05eep-10, -0x1.fd0602c52fefbp-11, -0x1.f53196e8e11ecp-11, -0x1.ed77ad48cf202p-11, -0x1.e5d8006910da4p-11, -0x1.de524b98b1e0cp-11, -0x1.d6e64ace6588bp-11, -0x1.cf93ba7c22f98p-11, -0x1.c85a575c28d7ep-11, -0x1.c139de3ad11cfp-11, -0x1.ba320bc3374e2p-11, -0x1.b3429c532397fp-11, -0x1.ac6b4bdc583fdp-11, -0x1.a5abd5d6e8985p-11, -0x1.9f03f5463ba16p-11, -0x1.987364d359d05p-11, -0x1.91f9def9fff6p-11, -0x1.8b971e43184fp-11, -0x1.854add899e292p-11, -0x1.7f14d8410c0c9p-11, -0x1.78f4cab9a6b55p-11, -0x1.72ea725ac7f9fp-11, -0x1.6cf58dd3af28ep-11, -0x1.6715dd3caf7fp-11, -0x1.614b222d8aa79p-11, -0x1.5b951fc548709p-11, -0x1.55f39aa934bc3p-11, -0x1.506658f6bb0f7p-11, -0x1.4aed222aeaaf8p-11, -0x1.4587befbdedc3p-11, -0x1.4035f922c9257p-11, -0x1.3af79b15a0c1cp-11, -0x1.35cc6fb223308p-11, -0x1.30b441dd9ae2ap-11, -0x1.2baedc22efb14p-11, -0x1.26bc0858bf718p-11, -0x1.21db8f5cb020fp-11, -0x1.1d0d38ef256b7p-11, -0x1.1850cbb6961a4p-11, -0x1.13a60d6cb7be7p-11, -0x1.0f0cc331d31e4p-11, -0x1.0a84b1f737f01p-11, -0x1.060d9ef5043a6p-11, -0x1.01a75015ef757p-11, -0x1.faa3189954203p-12, -0x1.f218378e72f02p-12, -0x1.e9ad8ffde7b2ap-12, -0x1.e162b75987875p-12, -0x1.d937455119f19p-12, -0x1.d12ad3905516p-12, -0x1.c93cfd8dc107ap-12, -0x1.c16d607f9e75ep-12, -0x1.b9bb9b795e34p-12, -0x1.b2274facd72a7p-12, -0x1.aab020ac2eap-12, -0x1.a355b485a86aep-12, -0x1.9c17b3bd1ab2ep-12, -0x1.94f5c9004c853p-12, -0x1.8defa085d234cp-12, -0x1.8704e7345174cp-12, -0x1.803549b8d4efp-12, -0x1.798073aec9eaap-12, -0x1.72e60f0d0ea12p-12, -0x1.6c65c3f53c3a4p-12, -0x1.65ff38f3c1033p-12, -0x1.5fb213a8cf997p-12, -0x1.597df9b535139p-12, -0x1.536291ce4303p-12, -0x1.4d5f82f0c34c1p-12, -0x1.4774805578391p-12, -0x1.41a126a7c8034p-12, -0x1.3be5353fa3aa5p-12, -0x1.364058513201fp-12, -0x1.30b243409b429p-12, -0x1.2b3aa8e61ef73p-12, -0x1.25d93b91ff644p-12, -0x1.208daccbd157ep-12, -0x1.1b57ad2d6eafp-12, -0x1.1636eccb28406p-12, -0x1.112b1fe29481cp-12, -0x1.0c33f07fc9ea9p-12, -0x1.07511d0f25c6ap-12, -0x1.028257cf3d22cp-12, -0x1.fb8eb6c87b5f8p-13, -0x1.f23fc78d69872p-13, -0x1.e9175c5221db6p-13, -0x1.e014f0a3a8e11p-13, -0x1.d738000316929p-13, -0x1.ce80055a37f5bp-13, -0x1.c5ec7b2111ae3p-13, -0x1.bd7cdc09e0967p-13, -0x1.b530a3df6d569p-13, -0x1.ad07503962cafp-13, -0x1.a50060cdbb607p-13, -0x1.9d1b575bacde1p-13, -0x1.9557b768758b8p-13, -0x1.8db50612d4addp-13, -0x1.8632ca4556528p-13, -0x1.7ed08d3e34362p-13, -0x1.778ddb31e053bp-13, -0x1.706a439dc4061p-13, -0x1.696558f449401p-13, -0x1.627eaf91b02fp-13, -0x1.5bb5dc40142dcp-13, -0x1.550a72e2ae72fp-13, -0x1.4e7c05cfe39bfp-13, -0x1.480a263581302p-13, -0x1.41b4655597f5dp-13, -0x1.3b7a560e479d1p-13, -0x1.355b8dddd5c48p-13, -0x1.2f57a4c54dddp-13, -0x1.296e34051d4a9p-13, -0x1.239ed3f69126bp-13, -0x1.1de91a774dfa1p-13, -0x1.184c9a85ad266p-13, -0x1.12c8e5f161edp-13, -0x1.0d5d90d715c51p-13, -0x1.080a35e6e7cf2p-13, -0x1.02ce79f1b0fb4p-13, -0x1.fb541a8587f68p-14, -0x1.f13953f39c934p-14, -0x1.e74c1f2dc6d24p-14, -0x1.dd8bf9dd6261bp-14, -0x1.d3f854baa9d1fp-14, -0x1.ca908be8e4317p-14, -0x1.c153e565eb4ecp-14, -0x1.b84195810ec58p-14, -0x1.af58c7573c0ccp-14, -0x1.a698a674ba97ap-14, -0x1.9e0066fd72b9dp-14, -0x1.958f4ae3b42b7p-14, -0x1.8d44a3f4af7ddp-14, -0x1.851fd3436352cp-14, -0x1.7d2046c666583p-14, -0x1.754575f74fc0cp-14, -0x1.6d8ede38b9c04p-14, -0x1.65fbffc1a9918p-14, -0x1.5e8c5b942c7a5p-14, -0x1.573f7286dc0a9p-14, -0x1.5014c4b12af7ep-14, -0x1.490bd023ee643p-14, -0x1.42240e0e24208p-14, -0x1.3b5ceea32511ep-14, -0x1.34b5d5adac92p-14, -0x1.2e2e1acdf9875p-14, -0x1.27c50fc074702p-14, -0x1.217a0c78471acp-14, -0x1.1b4c7d596ccefp-14, -0x1.153bedb1c6fe2p-14, -0x1.0f480936d6e4p-14, -0x1.097092de886e4p-14, -0x1.03b5547679f1bp-14, -0x1.fc2c1bc1fbd95p-15, -0x1.f124d450be9ffp-15, -0x1.e653fbca4d5cp-15, -0x1.dbb89b647e3ebp-15, -0x1.d151af5f0191ep-15, -0x1.c71e353b916ffp-15, -0x1.bd1d2f90950c5p-15, -0x1.b34da1eab3305p-15, -0x1.a9ae8c12cb487p-15, -0x1.a03eeb127769ep-15, -0x1.96fdc12f31ddp-15, -0x1.8dea214a85f38p-15, -0x1.8503385f6e51bp-15, -0x1.7c4850f15826cp-15, -0x1.73b8ce77adc02p-15, -0x1.6b54212c90f5ap-15, -0x1.6319b596d7f33p-15, -0x1.5b08e4b592105p-15, -0x1.5320eb1bbb871p-15, -0x1.4b60ead191bdap-15, -0x1.43c7f6fdcc895p-15, -0x1.3c5524fe22675p-15, -0x1.35079a85a7713p-15, -0x1.2dde9492a2128p-15, -0x1.26d967162558ap-15, -0x1.1ff779fa1f90ap-15, -0x1.193847d1c454ap-15, -0x1.129b5db3d41bfp-15, -0x1.0c2056c2a8cdp-15, -0x1.05c6cfebb1e1ap-15, -0x1.ff1cac57b62ebp-16, -0x1.f2ecb476e2047p-16, -0x1.e6fc3e7506831p-16, -0x1.db4a236470a2dp-16, -0x1.cfd52d05af26dp-16, -0x1.c49c042c176f5p-16, -0x1.b99e0daac1542p-16, -0x1.aeda98b654161p-16, -0x1.a450db484177ep-16, -0x1.99ffd7ab67a91p-16, -0x1.8fe66127591fcp-16, -0x1.860331b88d042p-16, -0x1.7c54ff4a2f304p-16, -0x1.72da8ab5b91bfp-16, -0x1.6992abef57c33p-16, -0x1.607c5d511db67p-16, -0x1.5796c29f07e08p-16, -0x1.4ee12747e990cp-16, -0x1.465af261581bdp-16, -0x1.3e03928c78396p-16, -0x1.35da66d92ca02p-16, -0x1.2ddeab8edfe08p-16, -0x1.260f72273a427p-16, -0x1.1e6ba9a032559p-16, -0x1.16f23654fc95dp-16, -0x1.0fa210b897836p-16, -0x1.087a5cd78e522p-16, -0x1.017a6dab54793p-16, -0x1.f543607e05215p-17, -0x1.e7df12536cd03p-17, -0x1.dac675755a58p-17, -0x1.cdf7cda65c187p-17, -0x1.c1714ea681ab3p-17, -0x1.b53141b6389e9p-17, -0x1.a935fb3d7be9fp-17, -0x1.9d7dc557555cp-17, -0x1.9206ff9869e5ap-17, -0x1.86d06a5580296p-17, -0x1.7bd94a0f2694ep-17, -0x1.71212aa2c9fdcp-17, -0x1.66a77076c380cp-17, -0x1.5c6b1aa59b25ap-17, -0x1.526ae19f4f5b2p-17, -0x1.48a566c404252p-17, -0x1.3f199543d3521p-17, -0x1.35c6b95e69c65p-17, -0x1.2cab255703e32p-17, -0x1.23c5d7823aa5p-17, -0x1.1b158ce55f436p-17, -0x1.12990a6c02b9ep-17, -0x1.0a4f26e3b29d2p-17, -0x1.0236ced72fd6ep-17, -0x1.f49e08ad4e906p-18, -0x1.e52db827f1fb3p-18, -0x1.d61af06bdaaadp-18, -0x1.c76400133207fp-18, -0x1.b9072861eb0abp-18, -0x1.ab0284aa5f53ep-18, -0x1.9d54004e88693p-18, -0x1.8ff96ddd4e7a9p-18, -0x1.82f0c44965cabp-18, -0x1.76386b36554abp-18, -0x1.69cf6e16f40a4p-18, -0x1.5db56a912d118p-18, -0x1.51ea2310fbf0bp-18, -0x1.466cd8428790dp-18, -0x1.3b3bc6c9e1d3ap-18, -0x1.3054330dc8d7dp-18, -0x1.25b309a1f0304p-18, -0x1.1b5585c75919bp-18, -0x1.11395f81e0574p-18, -0x1.075ccf5f0c781p-18, -0x1.fb7dc683889aep-19, -0x1.e8bf3f7dd672bp-19, -0x1.d67e4f39e03c6p-19, -0x1.c4b90d80b9fbp-19, -0x1.b36aefddc473cp-19, -0x1.a28eb56866a7bp-19, -0x1.92207735b83afp-19, -0x1.821de5f3523a1p-19, -0x1.7285607219da4p-19, -0x1.635581e849793p-19, -0x1.548d23416dbf2p-19, -0x1.462b11a396b15p-19, -0x1.382d94de8ea18p-19, -0x1.2a9254b663637p-19, -0x1.1d56b51c26cc6p-19, -0x1.107837f5de809p-19, -0x1.03f487c4f4d3dp-19, -0x1.ef929feb407bap-20, -0x1.d7e86af2a1b69p-20, -0x1.c0e5f8be7cfe3p-20, -0x1.aa8758daab916p-20, -0x1.94c931b4fd907p-20, -0x1.7fa86fa28b817p-20, -0x1.6b221c5ad0782p-20, -0x1.5732ef2890684p-20, -0x1.43d771e001975p-20, -0x1.310c298d2e045p-20, -0x1.1ecde47766ebap-20, -0x1.0d19eabe43803p-20, -0x1.f7dc0518f68dep-21, -0x1.d6907198792d5p-21, -0x1.b64c936b14f5fp-21, -0x1.970984fb538a8p-21, -0x1.78bd5e21257c7p-21, -0x1.5b5d74048e662p-21, -0x1.3ee222f39b6fep-21, -0x1.2347ebe97a251p-21, -0x1.088ba69453adap-21, -0x1.dd554b1a0702fp-22, -0x1.ab3d03f891dc4p-22, -0x1.7ac8f2f0ac89fp-22, -0x1.4be8f324d70fdp-22, -0x1.1e8af1f58c15cp-22, -0x1.e54e98d9ac07ep-23, -0x1.90789fbbe7d76p-23, -0x1.3e88b296b366ap-23, -0x1.deda05f9819c9p-24, -0x1.4628a617b751ep-24, -0x1.65b74a92edde3p-25, -0x1.2669cb5abcdddp-27, 0x1.90b602058d8b9p-26, 0x1.d08401b1112p-25, 0x1.679ca295b04fdp-24, 0x1.e262580ee24f9p-24, 0x1.2c54fcdfe1e83p-23, 0x1.65401fe3e43edp-23, 0x1.9bfbde49947c1p-23, 0x1.d099d9783f47ap-23, 0x1.0197ba697526ep-22, 0x1.19e66b0340b57p-22, 0x1.313dae1db78eap-22, 0x1.47a1c966efa16p-22, 0x1.5d18548ff933cp-22, 0x1.71a7870f165e3p-22, 0x1.85556d5b938fdp-22, 0x1.9827f477c5859p-22, 0x1.aa253d3e33b81p-22, 0x1.bb53b77df007p-22, 0x1.cbb9e0e780e7p-22, 0x1.db5db461e7c5ep-22, 0x1.ea4417be3286bp-22, 0x1.f870f1ce7d12ep-22, 0x1.02f4362b73b77p-21, 0x1.09583aa325bccp-21, 0x1.0f680c5728c5bp-21, 0x1.152626ea29c19p-21, 0x1.1a9317cb1513dp-21, 0x1.1faf7f6acc767p-21, 0x1.247f0e509635bp-21, 0x1.290645480c5e7p-21, 0x1.2d4777cf4bb7p-21, 0x1.314510c6eb74bp-21, 0x1.350035edc7566p-21, 0x1.3878a537e12e6p-21, 0x1.3bb2812666848p-21, 0x1.3ead99cfd2da2p-21, 0x1.416e2b91f1564p-21, 0x1.43f549c63e4ecp-21, 0x1.4644962d43d9bp-21, 0x1.485da381aa337p-21, 0x1.4a42074b4fcdcp-21, 0x1.4bf359821cfaep-21, 0x1.4d7333f8bb588p-21, 0x1.4ec32f453cac2p-21, 0x1.4fe4db553a6afp-21, 0x1.50d9b0021c2b3p-21, 0x1.51a3dae4abd1cp-21, 0x1.524465e70788fp-21, 0x1.52bad7a811597p-21, 0x1.530bbb06ca1ccp-21, 0x1.53371bb3d32a9p-21, 0x1.533e183ff93ffp-21, 0x1.5321dd9488659p-21, 0x1.52e3c7f12282p-21, 0x1.52850731b9d4bp-21, 0x1.5206c1d736456p-21, 0x1.516a5959ff944p-21, 0x1.50b0d745d2601p-21, 0x1.4fdaf244cf627p-21, 0x1.4ee9c5aa49573p-21, 0x1.4ddeb56fb6c2fp-21, 0x1.4cbafb51af7fcp-21, 0x1.4b7f8e4ebab62p-21, 0x1.4a2d36e6b7cacp-21, 0x1.48c4a8d9b9f2cp-21, 0x1.4746a536b6728p-21, 0x1.45b40fbca572bp-21, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.1998256c39526p-5, 0x1.f88a623925137p-5, 0x1.429e7a440302ep-4, 0x1.5fcef8207f479p-4, 0x1.59a0e99407127p-4, 0x1.381646b2b49fap-4, 0x1.036c95d986b8dp-4, 0x1.863a0edece2a1p-5, 0x1.f5b80bd19ce1bp-6, 0x1.bab1cb5f9f9fbp-7, -0x1.6e883cb145588p-9, -0x1.215e60d971b54p-6, -0x1.f6a5d1f4dde52p-6, -0x1.55036f31bec43p-5, -0x1.9d2132c08d5ebp-5, -0x1.d3f3a0768fe55p-5, -0x1.fa6a69d2ff649p-5, -0x1.08f498f7baa03p-4, -0x1.0e0e59a66b6a3p-4, -0x1.0d6c2d863951p-4, -0x1.07fdac1465acfp-4, -0x1.fd5c263c7daf6p-5, -0x1.e4b9a67030918p-5, -0x1.c7b0e5d9dd75cp-5, -0x1.a7b6bdad94f0fp-5, -0x1.86148bb850025p-5, -0x1.63e74f991e7f3p-5, -0x1.42208f7a451d2p-5, -0x1.21887cadada46p-5, -0x1.02c0e7a5ec2dp-5, -0x1.cc91549df00d2p-6, -0x1.98fe8acfa8f9ep-6, -0x1.6b5101255f593p-6, -0x1.43dfd9a3c5d09p-6, -0x1.22d86a50e37ddp-6, -0x1.084464629e733p-6, -0x1.e81ef0a9f8722p-7, -0x1.cc18e99f96cdbp-7, -0x1.bbf3c8442c643p-7, -0x1.b70c5cbf362e7p-7, -0x1.bca68ed0e445ep-7, -0x1.cbf3e0dd54528p-7, -0x1.e41928b017969p-7, -0x1.0219c5f7c33cep-6, -0x1.15ae66f9d0c8ap-6, -0x1.2c577df0d821ep-6, -0x1.45a3c1e125995p-6, -0x1.6124e0a9b06dfp-6, -0x1.7e7088e3b6e8ap-6, -0x1.9d213a451cd6p-6, -0x1.bcd6e58d993d6p-6, -0x1.dd375fc081aeap-6, -0x1.fdeead3b65deep-6, -0x1.0f579a355d818p-5, -0x1.1f98e326199cp-5, -0x1.2f9ad366618cfp-5, -0x1.3f40301d089f6p-5, -0x1.4e6edaaa997c6p-5, -0x1.5d0fa9f4f3958p-5, -0x1.6b0e5b04e633dp-5, -0x1.7859632396a58p-5, -0x1.84e1d717cb5f5p-5, -0x1.909b3f192f544p-5, -0x1.9b7b76ebadedep-5, -0x1.a57a8636c54bfp-5, -0x1.ae927cbc08ee2p-5, -0x1.b6bf4d04bd64bp-5, -0x1.bdfea839c409ep-5, -0x1.c44fda8d5cdd9p-5, -0x1.c9b3a8a0a9b4ep-5, -0x1.ce2c2dbae4abep-5, -0x1.d1bcbaca5dd2cp-5, -0x1.d469b62ed2aa4p-5, -0x1.d6387c46722d2p-5, -0x1.d72f411024bf6p-5, -0x1.d754f2ec091b5p-5, -0x1.d6b11ebb38fb2p-5, -0x1.d54bd57ac4b8ap-5, -0x1.d32d937055077p-5, -0x1.d05f28e8c6e1dp-5, -0x1.cce9a4ac687acp-5, -0x1.c8d6401051439p-5, -0x1.c42e4cc666725p-5, -0x1.befb2466e1cfep-5, -0x1.b94619b94b1d6p-5, -0x1.b3186bae90cd7p-5, -0x1.ac7b39fa2be9fp-5, -0x1.a5777b5237a8fp-5, -0x1.9e15f50a7c6edp-5, -0x1.965f3422579f6p-5, -0x1.8e5b877b6e52dp-5, -0x1.8612fb3d43c82p-5, -0x1.7d8d55336d7cfp-5, -0x1.74d21220f5064p-5, -0x1.6be863d7f2a39p-5, -0x1.62d73025aed26p-5, -0x1.59a51044145fp-5, -0x1.505850fc0e3ecp-5, -0x1.46f6f323b32afp-5, -0x1.3d86ac9ae551bp-5, -0x1.340ce9823725p-5, -0x1.2a8ecdc5d1341p-5, -0x1.211136cbec8c4p-5, -0x1.1798bd4c258bfp-5, -0x1.0e29b740e3a54p-5, -0x1.04c839dee3c22p-5, -0x1.f6f0374bd86d4p-6, -0x1.e479ecc0a81f8p-6, -0x1.d234526890aa1p-6, -0x1.c025b545b49d9p-6, -0x1.ae53f50e02f63p-6, -0x1.9cc48825ce3b5p-6, -0x1.8b7c7f61a8eb5p-6, -0x1.7a8089dc1214ap-6, -0x1.69d4f89ba5bc6p-6, -0x1.597dc223ca35ap-6, -0x1.497e85feeed7dp-6, -0x1.39da901c51bf8p-6, -0x1.2a94dc10d95c9p-6, -0x1.1bb0188928569p-6, -0x1.0d2eaa30363bp-6, -0x1.fe255dea456ffp-7, -0x1.e2bc020d6a425p-7, -0x1.c824736e4d4e8p-7, -0x1.ae61692bd1f6p-7, -0x1.9575242a1870dp-7, -0x1.7d6174f19f6d7p-7, -0x1.6627c15b8308p-7, -0x1.4fc90992c0fcap-7, -0x1.3a45edca3bd1ep-7, -0x1.259eb39163837p-7, -0x1.11d34a7754f9bp-7, -0x1.fdc6a323af916p-8, -0x1.d99c38fb04083p-8, -0x1.b7256f260e83cp-8, -0x1.965fda33ca526p-8, -0x1.77489411f1c99p-8, -0x1.59dc435270ef3p-8, -0x1.3e17249f2b712p-8, -0x1.23f513d1c2792p-8, -0x1.0b719210b07b9p-8, -0x1.e90f9b75c04f6p-9, -0x1.be65567fbbe2cp-9, -0x1.96d994f1ec3adp-9, -0x1.7261188e736e4p-9, -0x1.50f03612ca2afp-9, -0x1.327adfe952ec5p-9, -0x1.16f4acc9aa327p-9, -0x1.fca1ca09692f5p-10, -0x1.d1051ece8e8a5p-10, -0x1.aaf8eaeee808ap-10, -0x1.8a62540db6d26p-10, -0x1.6f262d0d6df49p-10, -0x1.59290477b48p-10, -0x1.484f2572281e9p-10, -0x1.3c7ca663da26cp-10, -0x1.35958053f9406p-10, -0x1.337d942b06c48p-10, -0x1.3618a76368f81p-10, -0x1.3d4a728ef7d68p-10, -0x1.48f6b5a4fa68p-10, -0x1.5901381519222p-10, -0x1.6d4dc1b6962d3p-10, -0x1.85c0270565584p-10, -0x1.a23c5c7865dd6p-10, -0x1.c2a675aee4cf9p-10, -0x1.e6e29a6fcaddep-10, -0x1.076a86f8fdb6cp-9, -0x1.1d31214ed0c39p-9, -0x1.34b76e8f9ea0cp-9, -0x1.4defd377d06ecp-9, -0x1.68ccc6b5f295dp-9, -0x1.8540da101ffcep-9, -0x1.a33ebfe4c1d9cp-9, -0x1.c2b945e28d1d3p-9, -0x1.e3a34fda4d85fp-9, -0x1.02f7ee8a99b0ep-8, -0x1.14c908a3e7c16p-8, -0x1.273e9a5bf3d67p-8, -0x1.3a52569bf3ddap-8, -0x1.4dfdfe5d01a42p-8, -0x1.623b64812f4ecp-8, -0x1.7704711e066cbp-8, -0x1.8c532036f3d9dp-8, -0x1.a2217eb47b145p-8, -0x1.b869aad6c565cp-8, -0x1.cf25d7f5f1918p-8, -0x1.e65050dfc4839p-8, -0x1.fde3766dadd7bp-8, -0x1.0aecde9399a7fp-7, -0x1.1716d6f45e4acp-7, -0x1.236cf47d33551p-7, -0x1.2fec93fabf52ap-7, -0x1.3c931e6c26ec2p-7, -0x1.495e0818de882p-7, -0x1.564ad0b26d1f9p-7, -0x1.6357046ec3a39p-7, -0x1.70803ccffd403p-7, -0x1.7dc42079ac482p-7, -0x1.8b20629944a85p-7, -0x1.9892c2bbfe01ep-7, -0x1.a6190d7d8faafp-7, -0x1.b3b11d0c2a1fbp-7, -0x1.c158d931ed19ep-7, -0x1.cf0e36f031ddap-7, -0x1.dccf384fad35fp-7, -0x1.ea99ecaf128bep-7, -0x1.f86c711c1c564p-7, -0x1.0322781a91f47p-6, -0x1.0a10d0e8c377ep-6, -0x1.1100656d1c2abp-6, -0x1.17f05eb590379p-6, -0x1.1edfec8ea6c1ap-6, -0x1.25ce457b9f755p-6, -0x1.2cbaa66c04c93p-6, -0x1.33a4527dae6f7p-6, -0x1.3a8a92fc3dbe6p-6, -0x1.416cb78561707p-6, -0x1.484a162745925p-6, -0x1.4f220b3c0e51ep-6, -0x1.55f3f8fb23afcp-6, -0x1.5cbf471febd69p-6, -0x1.638362e6660d8p-6, -0x1.6a3fbf39ddaa6p-6, -0x1.70f3d4dc1705bp-6, -0x1.779f224af3d1dp-6, -0x1.7e412b4b2fccdp-6, -0x1.84d97866d9979p-6, -0x1.8b6796c2bde32p-6, -0x1.91eb1845f79d2p-6, -0x1.986393d1cc462p-6, -0x1.9ed0a55029c83p-6, -0x1.a531ed6901d59p-6, -0x1.ab8710f0725cbp-6, -0x1.b1cfb874483f8p-6, -0x1.b80b902cfb14ap-6, -0x1.be3a4830a3851p-6, -0x1.c45b94a70df37p-6, -0x1.ca6f2dcd463e3p-6, -0x1.d074cfa2c0b82p-6, -0x1.d66c395a8743p-6, -0x1.dc552cee9e9ecp-6, -0x1.e22f6f0f8c828p-6, -0x1.e7fac7528f695p-6, -0x1.edb700660226dp-6, -0x1.f363e8228505ap-6, -0x1.f9014f55329dep-6, -0x1.fe8f0948c2faep-6, -0x1.020675aae48a8p-5, -0x1.04bd665da66fp-5, -0x1.076c435d98864p-5, -0x1.0a12fa66c43c6p-5, -0x1.0cb17a635a6cdp-5, -0x1.0f47b368d4bcp-5, -0x1.11d59694cd139p-5, -0x1.145b15d8e559cp-5, -0x1.16d823d67d025p-5, -0x1.194cb3da20958p-5, -0x1.1bb8b9ecf7c4ep-5, -0x1.1e1c2aeb2b10ep-5, -0x1.2076fc9380603p-5, -0x1.22c92583ff18p-5, -0x1.25129d1c66a2fp-5, -0x1.27535b54c5bd9p-5, -0x1.298b58a1defacp-5, -0x1.2bba8df1bbf8p-5, -0x1.2de0f4b9d993ep-5, -0x1.2ffe870a2d186p-5, -0x1.32133f9cdadbfp-5, -0x1.341f19da5731cp-5, -0x1.362211c8e5d35p-5, -0x1.381c23ee174c6p-5, -0x1.3a0d4d35888ep-5, -0x1.3bf58ae9352e8p-5, -0x1.3dd4dab90f596p-5, -0x1.3fab3ac9dbf13p-5, -0x1.4178a9c5206e7p-5, -0x1.433d26e5113a5p-5, -0x1.44f8b1f4c5676p-5, -0x1.46ab4b4092b61p-5, -0x1.4854f380236f2p-5, -0x1.49f5abc86fd2ap-5, -0x1.4b8d758a4d028p-5, -0x1.4d1c5299da05ap-5, -0x1.4ea24539f5742p-5, -0x1.501f5028e8c2cp-5, -0x1.519376aafd758p-5, -0x1.52febc8c81fb3p-5, -0x1.5461261751551p-5, -0x1.55bab802bedebp-5, -0x1.570b776868682p-5, -0x1.585369c17a64fp-5, -0x1.599294e9a2a08p-5, -0x1.5ac8ff251e1d3p-5, -0x1.5bf6af28a24abp-5, -0x1.5d1bac21edb6ep-5, -0x1.5e37fdbcccfc5p-5, -0x1.5f4bac1f2735cp-5, -0x1.6056bfdd17064p-5, -0x1.615941ed04b06p-5, -0x1.62533ba161536p-5, -0x1.6344b6a71e432p-5, -0x1.642dbd067a824p-5, -0x1.650e59256e5a9p-5, -0x1.65e695cc17991p-5, -0x1.66b67e2a3c186p-5, -0x1.677e1dda0c416p-5, -0x1.683d80dbebf06p-5, -0x1.68f4b38c80de5p-5, -0x1.69a3c29b49e7bp-5, -0x1.6a4abb0576eedp-5, -0x1.6ae9aa13d268p-5, -0x1.6b809d599dac6p-5, -0x1.6c0fa2b44c5d5p-5, -0x1.6c96c84cec548p-5, -0x1.6d161c9b6d7dbp-5, -0x1.6d8dae6983a79p-5, -0x1.6dfd8cd141beap-5, -0x1.6e65c736484e8p-5, -0x1.6ec66d3d525ecp-5, -0x1.6f1f8ec668ab9p-5, -0x1.6f713be9eb123p-5, -0x1.6fbb84f68073p-5, -0x1.6ffe7a6ee95f8p-5, -0x1.703a2d085c007p-5, -0x1.706eadaa60321p-5, -0x1.709c0d703dc9cp-5, -0x1.70c25da9f339bp-5, -0x1.70e1afd9c6ce1p-5, -0x1.70fa15adbf10ep-5, -0x1.710ba0f856d96p-5, -0x1.711663ab422e9p-5, -0x1.711a6fd45a7fcp-5, -0x1.7117d79b1d3b5p-5, -0x1.710ead3d9da89p-5, -0x1.70ff030d8cec9p-5, -0x1.70e8eb6e29ebdp-5, -0x1.70cc78d3b4334p-5, -0x1.70a9bdc3708bap-5, -0x1.7080ccd28ba0bp-5, -0x1.7051b8a170333p-5, -0x1.701c93d5c2b98p-5, -0x1.6fe17114f44b8p-5, -0x1.6fa06300eb4dbp-5, -0x1.6f597c35d6d2fp-5, -0x1.6f0ccf47ed96cp-5, -0x1.6eba6ec0c964bp-5, -0x1.6e626d1cced07p-5, -0x1.6e04dcc968093p-5, -0x1.6da1d0248797dp-5, -0x1.6d39597cd34bdp-5, -0x1.6ccb8b11069b1p-5, -0x1.6c58770d1e898p-5, -0x1.6be02f863804fp-5, -0x1.6b62c676d9ea8p-5, -0x1.6ae04dbcea89dp-5, -0x1.6a58d718b1f6fp-5, -0x1.69cc742bfb531p-5, -0x1.693b36790099ep-5, -0x1.68a52f610a155p-5, -0x1.680a70235cfbbp-5, -0x1.676b09dcd12ep-5, -0x1.66c70d883efe8p-5, -0x1.661e8bff1e93p-5, -0x1.657195f92b5c3p-5, -0x1.64c03c0a98937p-5, -0x1.640a8ea1afd66p-5, -0x1.63509e053c2dcp-5, -0x1.62927a540e8e4p-5, -0x1.61d033851240cp-5, -0x1.6109d9675dc59p-5, -0x1.603f7ba1f75ebp-5, -0x1.5f7129b33d6a3p-5, -0x1.5e9ef2f04e09ap-5, -0x1.5dc8e684e3f27p-5, -0x1.5cef1373ce0e9p-5, -0x1.5c118897dbecep-5, -0x1.5b3054a48f6f5p-5, -0x1.5a4b8625d66cfp-5, -0x1.59632b7f1d8ccp-5, -0x1.587752ea5ff74p-5, -0x1.57880a77f0187p-5, -0x1.5695600eaa4aep-5, -0x1.559f616c44013p-5, -0x1.54a61c25781bap-5, -0x1.53a99da61fe31p-5, -0x1.52a9f331379bcp-5, -0x1.51a729e0ff3e5p-5, -0x1.50a14ea7ae9c6p-5, -0x1.4f986e5099685p-5, -0x1.4e8c958193a06p-5, -0x1.4d7dd0bc1ebc2p-5, -0x1.4c6c2c5dbd0fap-5, -0x1.4b57b49fa192fp-5, -0x1.4a40759622cb3p-5, -0x1.49267b30a716dp-5, -0x1.4809d13a067d5p-5, -0x1.46ea835953f06p-5, -0x1.45c89d12d2887p-5, -0x1.44a429c92744dp-5, -0x1.437d34be84d15p-5, -0x1.4253c915c9ecap-5, -0x1.4127f1d38024cp-5, -0x1.3ff9b9deba342p-5, -0x1.3ec92c01eaa1dp-5, -0x1.3d9652eba328bp-5, -0x1.3c61392f1d952p-5, -0x1.3b29e9457e695p-5, -0x1.39f06d8ac8d39p-5, -0x1.38b4d041d7286p-5, -0x1.37771b9535bbp-5, -0x1.3637599683d52p-5, -0x1.34f594411b79cp-5, -0x1.33b1d57c0dcf8p-5, -0x1.326c271a8d62p-5, -0x1.312492dc7c477p-5, -0x1.2fdb226e90b79p-5, -0x1.2e8fdf6a34ad5p-5, -0x1.2d42d3559e87dp-5, -0x1.2bf407a433e8cp-5, -0x1.2aa385b789244p-5, -0x1.295156e0d03a8p-5, -0x1.27fd84625c928p-5, -0x1.26a8177104ef2p-5, -0x1.255119351c2f5p-5, -0x1.23f892cb26dbfp-5, -0x1.229e8d4428e91p-5, -0x1.214311a5b85c6p-5, -0x1.1fe628e9b5dfep-5, -0x1.1e87dbfe05b02p-5, -0x1.1d2833c469f5dp-5, -0x1.1bc73912b7e72p-5, -0x1.1a64f4b39d29fp-5, -0x1.19016f673a495p-5, -0x1.179cb1e4c7ddfp-5, -0x1.1636c4dbd4f93p-5, -0x1.14cfb0f4eac05p-5, -0x1.13677ed2a58c7p-5, -0x1.11fe3711c0e0cp-5, -0x1.1093e248c0288p-5, -0x1.0f288907354b7p-5, -0x1.0dbc33d4f9e2dp-5, -0x1.0c4eeb31a6017p-5, -0x1.0ae0b79492502p-5, -0x1.0971a16d4c837p-5, -0x1.0801b12462b96p-5, -0x1.0690ef1c6fee5p-5, -0x1.051f63b30d5a6p-5, -0x1.03ad174188589p-5, -0x1.023a121d2fceap-5, -0x1.00c65c9722912p-5, -0x1.fea3fdf7854cbp-6, -0x1.fbba0323dcf78p-6, -0x1.f8ced9347a8bep-6, -0x1.f5e2909cf61f5p-6, -0x1.f2f539c304bffp-6, -0x1.f006e4fedc60dp-6, -0x1.ed17a29c2a248p-6, -0x1.ea2782db43c38p-6, -0x1.e73695f27ab99p-6, -0x1.e444ec0f08b64p-6, -0x1.e1529555ac88bp-6, -0x1.de5fa1e1cffb8p-6, -0x1.db6c21c547cb1p-6, -0x1.d87825060324ep-6, -0x1.d583bb9ca62dep-6, -0x1.d28ef572d721ep-6, -0x1.cf99e26237257p-6, -0x1.cca49233e7d5p-6, -0x1.c9af14a0d3bf9p-6, -0x1.c6b97952606f5p-6, -0x1.c3c3cfe3872ecp-6, -0x1.c0ce27e1b14a2p-6, -0x1.bdd890cd625a1p-6, -0x1.bae31a1a210acp-6, -0x1.b7edd32db7b52p-6, -0x1.b4f8cb5ecc14ap-6, -0x1.b20411f2f9082p-6, -0x1.af0fb61cf1784p-6, -0x1.ac1bc6fae8e7cp-6, -0x1.a9285395750d3p-6, -0x1.a6356adf0fdd1p-6, -0x1.a3431bb42704ep-6, -0x1.a05174dbba3fcp-6, -0x1.9d608507f084cp-6, -0x1.9a705ad6cb77ap-6, -0x1.978104d266bdfp-6, -0x1.9492917096e2fp-6, -0x1.91a50f1222e74p-6, -0x1.8eb88c015d5f1p-6, -0x1.8bcd16706f753p-6, -0x1.88e2bc7789e3fp-6, -0x1.85f98c1355437p-6, -0x1.83119323aad2dp-6, -0x1.802adf6af8f41p-6, -0x1.7d457e8e1b105p-6, -0x1.7a617e148e5e3p-6, -0x1.777eeb69016f6p-6, -0x1.749dd3d9cf55dp-6, -0x1.71be449977f84p-6, -0x1.6ee04abe8af6p-6, -0x1.6c03f3433a94bp-6, -0x1.69294b0453dep-6, -0x1.66505ebfe0304p-6, -0x1.63793b13774a3p-6, -0x1.60a3ec7aab60ap-6, -0x1.5dd07f4d920d7p-6, -0x1.5afeffbfa8b99p-6, -0x1.582f79df58c3dp-6, -0x1.5561f995d7222p-6, -0x1.52968aa76c284p-6, -0x1.4fcd38b40f0bcp-6, -0x1.4d060f3806549p-6, -0x1.4a41198c63b66p-6, -0x1.477e62e72d958p-6, -0x1.44bdf65b2823p-6, -0x1.41ffded7197aep-6, -0x1.3f442724bef12p-6, -0x1.3c8ad9e76bd17p-6, -0x1.39d4019aaaefdp-6, -0x1.371fa890e5d9ap-6, -0x1.346dd8f27919cp-6, -0x1.31be9cbd0b559p-6, -0x1.2f11fdc3696a1p-6, -0x1.2c6805adc01f7p-6, -0x1.29c0bdfa277dap-6, -0x1.271c2ffd563cep-6, -0x1.247a64e350fddp-6, -0x1.21db65afed2c4p-6, -0x1.1f3f3b3f11bc4p-6, -0x1.1ca5ee448f0dfp-6, -0x1.1a0f874b98861p-6, -0x1.177c0eb5f5abdp-6, -0x1.14eb8cbaf9926p-6, -0x1.125e096673edbp-6, -0x1.0fd38c97acb53p-6, -0x1.0d4c1e00b8708p-6, -0x1.0ac7c526014b6p-6, -0x1.0846895e5257cp-6, -0x1.05c871d3081bcp-6, -0x1.034d8580cb0cp-6, -0x1.00d5cb384734ep-6, -0x1.fcc2933e0e277p-7, -0x1.f7e00e60486d2p-7, -0x1.f3041479a521cp-7, -0x1.ee2eb1d9372f4p-7, -0x1.e95ff27a7bc53p-7, -0x1.e497e2048b768p-7, -0x1.dfd68bc8adb6fp-7, -0x1.db1bfac0ef291p-7, -0x1.d668398e47551p-7, -0x1.d1bb52776e4cp-7, -0x1.cd154f67ab40dp-7, -0x1.c87639eec7de7p-7, -0x1.c3de1b4115e83p-7, -0x1.bf4cfc38c808ep-7, -0x1.bac2e5574eda2p-7, -0x1.b63fdec76fb17p-7, -0x1.b1c3f05f6818bp-7, -0x1.ad4f21a324fap-7, -0x1.a8e179c5f5809p-7, -0x1.a47affabf3628p-7, -0x1.a01bb9eae40f2p-7, -0x1.9bc3aeca4991fp-7, -0x1.9772e442edc33p-7, -0x1.93295ffdddea6p-7, -0x1.8ee727530ae63p-7, -0x1.8aac3f47a2f66p-7, -0x1.8678ac8b9e0bp-7, -0x1.824c737d77f7dp-7, -0x1.7e279817714e8p-7, -0x1.7a0a1e108e6ebp-7, -0x1.75f408b41a354p-7, -0x1.71e55afe0b13ap-7, -0x1.6dde17916b318p-7, -0x1.69de40bb0e427p-7, -0x1.65e5d873e7a88p-7, -0x1.61f4e063e7b24p-7, -0x1.5e0b59e566fddp-7, -0x1.5a2946094ba1fp-7, -0x1.564ea59b87019p-7, -0x1.527b792807065p-7, -0x1.4eafc0ffdfa74p-7, -0x1.4aeb7d3dd837p-7, -0x1.472eadcb539d2p-7, -0x1.437952635fd21p-7, -0x1.3fcb6a94d5f6cp-7, -0x1.3c24f5c29624ep-7, -0x1.3885f32190dbcp-7, -0x1.34ee61b46f752p-7, -0x1.315e40447b817p-7, -0x1.2dd58d5850a85p-7, -0x1.2a5447289b572p-7, -0x1.26da6b935e1e1p-7, -0x1.2367f80f1d4c5p-7, -0x1.1ffce99ea9284p-7, -0x1.1c993cc75e18ep-7, -0x1.193ced8a92459p-7, -0x1.15e7f7643b173p-7, -0x1.129a554f3253cp-7, -0x1.0f5401d042a91p-7, -0x1.0c14f7080d628p-7, -0x1.08dd2ecb4be33p-7, -0x1.05aca2c0aee7p-7, -0x1.02834c829bfdfp-7, -0x1.fec24b84aa4adp-8, -0x1.f88c50d492ab8p-8, -0x1.f2649d785a5d9p-8, -0x1.ec4b26d04200bp-8, -0x1.e63fe333c8135p-8, -0x1.e042c9f3c3f93p-8, -0x1.da53d341127c7p-8, -0x1.d472f7f681753p-8, -0x1.cea0314748229p-8, -0x1.c8db785552b9dp-8, -0x1.c324c5b5b3165p-8, -0x1.bd7c10eab6326p-8, -0x1.b7e14fdde70d2p-8, -0x1.b254766425d7ep-8, -0x1.acd575d7705b8p-8, -0x1.a7643ccf728bp-8, -0x1.a200b7025c1adp-8, -0x1.9caacd5413e5p-8, -0x1.976266160ee95p-8, -0x1.92276578599e3p-8, -0x1.8cf9ae270b284p-8, -0x1.87d9220c7265ap-8, -0x1.82c5a32ceff9dp-8, -0x1.7dbf148eb439p-8, -0x1.78c55b1dbcae5p-8, -0x1.73d85e7b638c3p-8, -0x1.6ef809a9462c6p-8, -0x1.6a244b80e7cabp-8, -0x1.655d16eb558f9p-8, -0x1.60a262d0d6e19p-8, -0x1.5bf429bca3cb2p-8, -0x1.575269368598p-8, -0x1.52bd20da465f1p-8, -0x1.4e345139cf435p-8, -0x1.49b7fa9c7f5f4p-8, -0x1.45481bb1aa7f8p-8, -0x1.40e4b04dbf5b5p-8, -0x1.3c8db049dbe8bp-8, -0x1.38430e9b68874p-8, -0x1.3404b8b49aa5ep-8, -0x1.2fd2963998899p-8, -0x1.2bac89104dfaap-8, -0x1.27926dc95f0ddp-8, -0x1.23841c5c82c6fp-8, -0x1.1f81692cd90d6p-8, -0x1.1b8a264687c93p-8, -0x1.179e24c56c301p-8, -0x1.13bd3650f74f1p-8, -0x1.0fe72e9a87d67p-8, -0x1.0c1be4c857148p-8, -0x1.085b34b9323aap-8, -0x1.04a5000aa932dp-8, -0x1.00f92ecf4a012p-8, -0x1.faaf5fc7d6af5p-9, -0x1.f380f1b08d095p-9, -0x1.ec670ace0592p-9, -0x1.e561ad030d132p-9, -0x1.de70e1fb7fd5fp-9, -0x1.d794b7fcd2e7fp-9, -0x1.d0cd3e6a6978p-9, -0x1.ca1a824608985p-9, -0x1.c37c8af52977fp-9, -0x1.bcf357893a361p-9, -0x1.b67edcb7d4477p-9, -0x1.b01f039b0bebep-9, -0x1.a9d3a936ba731p-9, -0x1.a39c9eb2329aep-9, -0x1.9d79aa24d7bc6p-9, -0x1.976a87d45c79bp-9, -0x1.916eebc3072c2p-9, -0x1.8b868377431b3p-9, -0x1.85b0f7eb13ed4p-9, -0x1.7fedef9882857p-9, -0x1.7a3d1098f0703p-9, -0x1.749e02cc3ff96p-9, -0x1.6f1071f6efb8ep-9, -0x1.69940fc27a796p-9, -0x1.642895875f80dp-9, -0x1.5ecdc5c441f1fp-9, -0x1.59836d257bfaap-9, -0x1.54496302a1325p-9, -0x1.4f1f893adff04p-9, -0x1.4a05cb63bf8a3p-9, -0x1.44fc1d4afc033p-9, -0x1.400278e31aff5p-9, -0x1.3b18dbc1d8ddp-9, -0x1.363f446e25b53p-9, -0x1.3175afc169bd5p-9, -0x1.2cbc16a051e29p-9, -0x1.28126c441b459p-9, -0x1.23789d38d19dp-9, -0x1.1eee8f1dcc16bp-9, -0x1.1a74211b222ffp-9, -0x1.16092d1e7256fp-9, -0x1.11ad88e9af83ep-9, -0x1.0d610889dcc76p-9, -0x1.09237f40b3499p-9, -0x1.04f4c11ed8196p-9, -0x1.00d4a38eb7162p-9, -0x1.f985fa736ec7ap-10, -0x1.f17f4a4590304p-10, -0x1.e994e28632f17p-10, -0x1.e1c6695e94062p-10, -0x1.da137bcc99bc6p-10, -0x1.d27bab680248ap-10, -0x1.cafe7dab0a221p-10, -0x1.c39b6dcc188e1p-10, -0x1.bc51f14739681p-10, -0x1.b5217ee10c86dp-10, -0x1.ae099769fddbcp-10, -0x1.a709ceefa5fcp-10, -0x1.a021d49bd56fcp-10, -0x1.9951776471547p-10, -0x1.9298a5f002dfbp-10, -0x1.8bf768cfc0b53p-10, -0x1.856dd74839222p-10, -0x1.7efc082f92fc9p-10, -0x1.78a20199067d3p-10, -0x1.725faac31fa6ep-10, -0x1.6c34c3b0cb88dp-10, -0x1.6620e4d7b66aap-10, -0x1.6023878784584p-10, -0x1.5a3c157a30058p-10, -0x1.5469fc1f4271p-10, -0x1.4eacbf31f5db1p-10, -0x1.4904066ed6848p-10, -0x1.436fa39d15a18p-10, -0x1.3def901e05d05p-10, -0x1.3883e32e9bd01p-10, -0x1.332cc35652d87p-10, -0x1.2dea56049b941p-10, -0x1.28bcaffe9018ap-10, -0x1.23a3c867664bap-10, -0x1.1e9f6f438a852p-10, -0x1.19af47dd8eed4p-10, -0x1.14d2c797d5bf3p-10, -0x1.10093a49a99c3p-10, -0x1.0b51cd80cd086p-10, -0x1.06aba37973053p-10, -0x1.0215ecb00dc7p-10, -0x1.fb2008b68f77fp-11, -0x1.f2331369a4e94p-11, -0x1.e964ddf3d2e8dp-11, -0x1.e0b5f0b0b27c7p-11, -0x1.d8275159e9577p-11, -0x1.cfba3e4b98dc3p-11, -0x1.c76fdbad60bd5p-11, -0x1.bf48e81315e22p-11, -0x1.b7458c5bcf4c3p-11, -0x1.af6551c1c5ecep-11, -0x1.a7a73cb2ec887p-11, -0x1.a00a00516c145p-11, -0x1.988c39a6126b3p-11, -0x1.912ca33171f2ep-11, -0x1.89ea3737c201ap-11, -0x1.82c43d27bd005p-11, -0x1.7bba432164b83p-11, -0x1.74cc085bd4a42p-11, -0x1.6df960be1e5afp-11, -0x1.67421c3cc5d38p-11, -0x1.60a5fb1a6557bp-11, -0x1.5a24b23f4d72ap-11, -0x1.53bdfaadf829ep-11, -0x1.4d71a0d503a35p-11, -0x1.473f877ad82c8p-11, -0x1.4127971982037p-11, -0x1.3b299c11058acp-11, -0x1.3545202794248p-11, -0x1.2f79519977ddep-11, -0x1.29c5078fc071dp-11, -0x1.2426e91c6ee06p-11, -0x1.1e9dad3c7c5d3p-11, -0x1.19285f2cff1eep-11, -0x1.13c68fc21bdabp-11, -0x1.0e786311f4539p-11, -0x1.093e764af6072p-11, -0x1.0419a76944bb2p-11, -0x1.fe15a53abd36ap-12, -0x1.f42535bb04874p-12, -0x1.ea62959f6ace4p-12, -0x1.e0cd9cee6401cp-12, -0x1.d7657cb9badbap-12, -0x1.ce28ed39ed4b7p-12, -0x1.c5167234880c6p-12, -0x1.bc2caf4e1e5bep-12, -0x1.b36ab18f41082p-12, -0x1.aad008e0ff65fp-12, -0x1.a25ca1d9c01a4p-12, -0x1.9a10788fafc1bp-12, -0x1.91eb52d36da4p-12, -0x1.89eca0d671d83p-12, -0x1.82138233aed78p-12, -0x1.7a5ed9f0a0227p-12, -0x1.72cd60ec8547ap-12, -0x1.6b5db608bc7ffp-12, -0x1.640e74c03fec2p-12, -0x1.5cde56b7d8392p-12, -0x1.55cc58c511f6ep-12, -0x1.4ed7d39e47056p-12, -0x1.48007b804009cp-12, -0x1.4146475533eccp-12, -0x1.3aa94be731a7ap-12, -0x1.342996e18eb1dp-12, -0x1.2dc709535ap-12, -0x1.27812cd09dddfp-12, -0x1.21571181e1ef6p-12, -0x1.1b475c1574514p-12, -0x1.15509e25f4e7p-12, -0x1.0f71da39e9388p-12, -0x1.09aae87596d5fp-12, -0x1.03fc797d74a36p-12, -0x1.fccf6957b4e56p-13, -0x1.f1db4361bd253p-13, -0x1.e71d4ef8850f4p-13, -0x1.dc94ecc247511p-13, -0x1.d240dbea708c9p-13, -0x1.c82050570ad31p-13, -0x1.be334b42f4784p-13, -0x1.b479e21dddd95p-13, -0x1.aaf3347bd1528p-13, -0x1.a19d0d9b01625p-13, -0x1.98746c8a90143p-13, -0x1.8f766b4e31697p-13, -0x1.86a0e813771f8p-13, -0x1.7df2b2e3bf0fdp-13, -0x1.756b5964ad8d2p-13, -0x1.6d0ac920973f8p-13, -0x1.64d0fa0f5a3c9p-13, -0x1.5cbdc1858b9ecp-13, -0x1.54d0dae40e4d4p-13, -0x1.4d0a1dc18d785p-13, -0x1.4569c22f1de1fp-13, -0x1.3df08477ce506p-13, -0x1.369f7f5b5bf8ep-13, -0x1.2f77b65657bf3p-13, -0x1.287980ac9f832p-13, -0x1.21a428c932089p-13, -0x1.1af5e776f793cp-13, -0x1.146bf3ae8f24bp-13, -0x1.0e024df08e6a4p-13, -0x1.07b3b96b8b784p-13, -0x1.017b0b29b61abp-13, -0x1.f6abc1e665c82p-14, -0x1.ea8d278c997dbp-14, -0x1.dea60aafed6adp-14, -0x1.d3015c474ecfp-14, -0x1.c7a1ff5b157aep-14, -0x1.bc8200de52cd9p-14, -0x1.b1989b907ff81p-14, -0x1.a6e177a47c30ap-14, -0x1.9c5ecb0a4152p-14, -0x1.9215b9d0e03dap-14, -0x1.8809c8e843205p-14, -0x1.7e3b19a3338b8p-14, -0x1.74a71072c42b8p-14, -0x1.6b49aea1f3d71p-14, -0x1.621ec164b1adep-14, -0x1.5922b3f1ce1cep-14, -0x1.5052f692daf7fp-14, -0x1.47ae024ee6f9ap-14, -0x1.3f331a4f4a64cp-14, -0x1.36e1f191a47bfp-14, -0x1.2eba5135aa9d2p-14, -0x1.26bbd30ae60e6p-14, -0x1.1ee5c2ca9db71p-14, -0x1.173735dd7da46p-14, -0x1.0faf5a3087057p-14, -0x1.084de09513abdp-14, -0x1.01134b391b3a8p-14, -0x1.f401bdcebe1d9p-15, -0x1.e630223acc1abp-15, -0x1.d8b346e942aa6p-15, -0x1.cb8a30d5ea06dp-15, -0x1.beb268b9b0db4p-15, -0x1.b22a1a5b6ad92p-15, -0x1.a5ef5e8159023p-15, -0x1.99fb88821ce33p-15, -0x1.8e426c318edccp-15, -0x1.82bd2251f5a46p-15, -0x1.7774b95790066p-15, -0x1.6c79f9c6d68fep-15, -0x1.61d106f1c35dap-15, -0x1.576a90a577893p-15, -0x1.4d331b1a9aa4p-15, -0x1.4324c7e7dd336p-15, -0x1.3946b344143c2p-15, -0x1.2fa0d7bbacd7ep-15, -0x1.2636c5bcfbf1bp-15, -0x1.1d0937f04767p-15, -0x1.1416467c414c2p-15, -0x1.0b5889b25588p-15, -0x1.02c96e3a0e10ep-15, -0x1.f4cc27f7372bcp-16, -0x1.e462d700fae72p-16, -0x1.d4619ee775abfp-16, -0x1.c4cdcae00d755p-16, -0x1.b5a3c6d26f899p-16, -0x1.a6db1004bcb5cp-16, -0x1.986b77ff4b873p-16, -0x1.8a4fa68541493p-16, -0x1.7c84f93c4cca8p-16, -0x1.6f0a3979f8822p-16, -0x1.61de91f47b5dep-16, -0x1.5500f776e5e1ap-16, -0x1.487030b920c7ep-16, -0x1.3c2b273b1df95p-16, -0x1.30314923e4b6p-16, -0x1.2482c1ca06de8p-16, -0x1.19202f6ba8656p-16, -0x1.0e0976629f4fep-16, -0x1.033c3c638c117p-16, -0x1.f168b1217e091p-17, -0x1.dce013de9b331p-17, -0x1.c8e822f129189p-17, -0x1.b58c645943cf8p-17, -0x1.a2bdfe8ba9ac5p-17, -0x1.905a095c17fd7p-17, -0x1.7e5c269b056dcp-17, -0x1.6cd96e122c986p-17, -0x1.5bc72e9df38e1p-17, -0x1.4b0ad7482991ep-17, -0x1.3ab253ade0553p-17, -0x1.2add371dba65fp-17, -0x1.1b8db0cd674a5p-17, -0x1.0cb2c3a1de994p-17, -0x1.fc814feb9e509p-18, -0x1.e069bdfdcb523p-18, -0x1.c5220cf62f8bbp-18, -0x1.aaac28d75977cp-18, -0x1.9100122ec9f86p-18, -0x1.78071b8d7529ep-18, -0x1.5fa7390a2a441p-18, -0x1.47db68dff40dep-18, -0x1.30b87b93a9bf3p-18, -0x1.1a4e4e278202fp-18, -0x1.048ca4dcb4ecp-18, -0x1.deac86a52a02dp-19, -0x1.b553d9983352fp-19, -0x1.8d45687ef097cp-19, -0x1.66a450c14f0cdp-19, -0x1.415ec5dab6c2cp-19, -0x1.1d4c8fe594052p-19, -0x1.f49dc26ccb0b6p-20, -0x1.b0acf80f2476dp-20, -0x1.6eba34f9f88acp-20, -0x1.2ebe66b9d8e82p-20, -0x1.e16611f1f8a24p-21, -0x1.692553ef83a21p-21, -0x1.e96a7b64bb646p-22, -0x1.08238f8da1bap-22, -0x1.727686b04acf3p-25, 0x1.48e88e5af9837p-23, 0x1.708a75adc6bcep-22, 0x1.1ae316ef88ff1p-21, 0x1.798ab1fd3140dp-21, 0x1.d3ec28800923dp-21, 0x1.1578b04f683a2p-20, 0x1.3fc478d37a75p-20, 0x1.68c73cf2b3184p-20, 0x1.908b14b22f789p-20, 0x1.b6e52310f347bp-20, 0x1.db88886ddbde7p-20, 0x1.fe991daa3a83fp-20, 0x1.1029c1322a92ap-19, 0x1.2066ee4499dc8p-19, 0x1.30052094ef26ep-19, 0x1.3f04f472cc022p-19, 0x1.4d688c8ca73a6p-19, 0x1.5b3325f9c76a2p-19, 0x1.686883e99057ap-19, 0x1.750c967781819p-19, 0x1.81234a72be55ep-19, 0x1.8cb06e15ea7aap-19, 0x1.97b7a63d6e0e4p-19, 0x1.a23c780c320f2p-19, 0x1.ac425728a6065p-19, 0x1.b5cc7ab35c336p-19, 0x1.bedd2c7cafe2bp-19, 0x1.c775119ee7abap-19, 0x1.cf94cbd102dd4p-19, 0x1.d7413df9f4ec8p-19, 0x1.de82d5785b053p-19, 0x1.e55e40fdb57c2p-19, 0x1.ebd5fc38d82e6p-19, 0x1.f1ef0c9bce44ap-19, 0x1.f7a9b42906bb8p-19, 0x1.fd01e6e832b1fp-19, 0x1.00fcbe3279cacp-18, 0x1.034b69386c627p-18, 0x1.056f5d9b77dfbp-18, 0x1.0769c89437d17p-18, 0x1.093b687625cf2p-18, 0x1.0ae52dd716f04p-18, 0x1.0c6865906c59ap-18, 0x1.0dc67067bb163p-18, }}, 
      {{-0x1.abf076e0dfeb1p-1, -0x1.8c63e2df9d137p-1, -0x1.68001cc4421ffp-1, -0x1.4539f2471b4bfp-1, -0x1.2701fc433b27ap-1, -0x1.0e42df788384p-1, -0x1.f5a37d4116ad1p-2, -0x1.d7fe2bdbe4cbcp-2, -0x1.c1d5a503e6775p-2, -0x1.b165a4642eed5p-2, -0x1.a5151ee1bf264p-2, -0x1.9b8a8140bb9e4p-2, -0x1.93b07a8b0248ep-2, -0x1.8cb27d0ff222p-2, -0x1.85f551f077be6p-2, -0x1.7f0e4210b2355p-2, -0x1.77ba353e141f9p-2, -0x1.6fd5741eb2885p-2, -0x1.6754575fb55b7p-2, -0x1.5e3cfaaa5adfp-2, -0x1.54a1efe0a393ap-2, -0x1.4a9de254a5786p-2, -0x1.405013f7546bcp-2, -0x1.35d99c77e2818p-2, -0x1.2b5b51fd13effp-2, -0x1.20f4438bffa04p-2, -0x1.16c0ae08e1948p-2, -0x1.0cd955e5a1dd2p-2, -0x1.03533122a86b6p-2, -0x1.f47e9e7367b69p-3, -0x1.e355dd9e150e6p-3, -0x1.d33f66f54622ap-3, -0x1.c447e0ee06337p-3, -0x1.b675febd7914dp-3, -0x1.a9cb3885b4765p-3, -0x1.9e44846c4683p-3, -0x1.93db09cc59c8cp-3, -0x1.8a84ca1e88fbep-3, -0x1.82353cf8eaa32p-3, -0x1.7adddddea45d8p-3, -0x1.746eab8186b5p-3, -0x1.6ed698b20147dp-3, -0x1.6a03ef9673cb7p-3, -0x1.65e4a7f209f54p-3, -0x1.6266b165ca50cp-3, -0x1.5f78329324ad1p-3, -0x1.5d07bdfb44662p-3, -0x1.5b047d76dd271p-3, -0x1.595e553284963p-3, -0x1.5805fefd24e6cp-3, -0x1.56ed1e925f67bp-3, -0x1.56064faafc506p-3, -0x1.55452e743d6eep-3, -0x1.549e5c0e014b3p-3, -0x1.54077db69d6ffp-3, -0x1.53773a758737ep-3, -0x1.52e532c36b649p-3, -0x1.5249fa5c9833p-3, -0x1.519f0b795e68p-3, -0x1.50debe2640b5bp-3, -0x1.50043936f19c3p-3, -0x1.4f0b6755331f7p-3, -0x1.4df0e83aea03bp-3, -0x1.4cb204b1e99d9p-3, -0x1.4b4ca14d35161p-3, -0x1.49bf323e953aep-3, -0x1.4808af2b3e2c7p-3, -0x1.4628878b7a0a9p-3, -0x1.441e978979918p-3, -0x1.41eb1d76c3457p-3, -0x1.3f8eafd573684p-3, -0x1.3d0a33e9efdc3p-3, -0x1.3a5ed4c5c7726p-3, -0x1.378dfac20a63ap-3, -0x1.34994363b371dp-3, -0x1.318279ab6c6e4p-3, -0x1.2e4b8ed2401f6p-3, -0x1.2af69375407ebp-3, -0x1.2785b13008ad4p-3, -0x1.23fb24a503c98p-3, -0x1.205937f1a3d0ep-3, -0x1.1ca23d8d12b79p-3, -0x1.18d88b90210e2p-3, -0x1.14fe77652afe2p-3, -0x1.111651dec1824p-3, -0x1.0d2263b3549d8p-3, -0x1.0924ea5b52c69p-3, -0x1.0520154eed219p-3, -0x1.0116039f79a05p-3, -0x1.fa1183d2ed50ap-4, -0x1.f1f49133638p-4, -0x1.e9d8f507e0a5bp-4, -0x1.e1c24786ab833p-4, -0x1.d9b3f1ca0c91bp-4, -0x1.d1b12ca4c6f2ap-4, -0x1.c9bcfff8388dp-4, -0x1.c1da4274195c4p-4, -0x1.ba0b99c15eb86p-4, -0x1.b2537aff88edbp-4, -0x1.aab42b967abc8p-4, -0x1.a32fc24465b24p-4, -0x1.9bc8286943d49p-4, -0x1.947f1b7d88522p-4, -0x1.8d562eadfa0e3p-4, -0x1.864ecc9716589p-4, -0x1.7f6a3910d2a2ep-4, -0x1.78a9930d91495p-4, -0x1.720dd67d18838p-4, -0x1.6b97de345e97p-4, -0x1.654865d30edb4p-4, -0x1.5f200b9f81f5p-4, -0x1.591f525c9071ep-4, -0x1.5346a30c83f0bp-4, -0x1.4d964ea6ca9fdp-4, -0x1.480e8fba6c377p-4, -0x1.42af8bf7f9e2cp-4, -0x1.3d7955ad6768dp-4, -0x1.386bed242e004p-4, -0x1.338741ee576e9p-4, -0x1.2ecb341e4fa1dp-4, -0x1.2a379562be71bp-4, -0x1.25cc2a1a02d42p-4, -0x1.2188aa476cee7p-4, -0x1.1d6cc278d5667p-4, -0x1.197814a6026a9p-4, -0x1.15aa38edb3cc3p-4, -0x1.1202be52a4321p-4, -0x1.0e812b6ed916dp-4, -0x1.0b24ff061c5adp-4, -0x1.07edb0a698b8fp-4, -0x1.04dab13a78257p-4, -0x1.01eb6b7becea1p-4, -0x1.fe3e8904bc4fbp-5, -0x1.f8eb387c42ae2p-5, -0x1.f3db9bac7f642p-5, -0x1.ef0e604ef357p-5, -0x1.ea822c6a02a84p-5, -0x1.e6359eeab40fp-5, -0x1.e2275088821bcp-5, -0x1.de55d4a3319c3p-5, -0x1.dabfb9c420d2dp-5, -0x1.d7638a5ffc519p-5, -0x1.d43fcdbd21216p-5, -0x1.d153086d4ec33p-5, -0x1.ce9bbcdc96eefp-5, -0x1.cc186c3ac190dp-5, -0x1.c9c7970b1e6adp-5, -0x1.c7a7bd7ac5bcep-5, -0x1.c5b76026583f1p-5, -0x1.c3f500d9dbcfep-5, -0x1.c25f22d0b29c9p-5, -0x1.c0f44b21f83f9p-5, -0x1.bfb30194841bfp-5, -0x1.be99d11367a31p-5, -0x1.bda747c3d0095p-5, -0x1.bcd9f78705c34p-5, -0x1.bc3076b84457fp-5, -0x1.bba9606009c2cp-5, -0x1.bb43542ea1474p-5, -0x1.bafcf6fc002b1p-5, -0x1.bad4f368d6a0bp-5, -0x1.bac9f9e6a065bp-5, -0x1.badac091416a5p-5, -0x1.bb0603951290ap-5, -0x1.bb4a85bd63ffap-5, -0x1.bba7106a8591p-5, -0x1.bc1a734236ef7p-5, -0x1.bca38464a546bp-5, -0x1.bd4120f0e4127p-5, -0x1.bdf22d0867485p-5, -0x1.beb5935d8bd4cp-5, -0x1.bf8a451ea8acp-5, -0x1.c06f3a640b6fbp-5, -0x1.c163725f6f5afp-5, -0x1.c265f2ef30f58p-5, -0x1.c375c8364f786p-5, -0x1.c49204c974423p-5, -0x1.c5b9c207b6513p-5, -0x1.c6ec1ff01fd4p-5, -0x1.c8284491ef2ddp-5, -0x1.c96d5bcf1ec0cp-5, -0x1.caba979f6b4acp-5, -0x1.cc0f303e82326p-5, -0x1.cd6a63d559c7ep-5, -0x1.cecb75f2671c3p-5, -0x1.d031af674fa2p-5, -0x1.d19c5e85dfe92p-5, -0x1.d30ad7348aaa3p-5, -0x1.d47c7294f93fbp-5, -0x1.d5f08e8e738c6p-5, -0x1.d7668db080068p-5, -0x1.d8ddd760ac562p-5, -0x1.da55d7e9e5aacp-5, -0x1.dbce0038c6ab7p-5, -0x1.dd45c5796495p-5, -0x1.debca0f10d4e1p-5, -0x1.e0321018de2bcp-5, -0x1.e1a594aff6b4dp-5, -0x1.e316b497a35d1p-5, -0x1.e484f98c0f29cp-5, -0x1.e5eff0f3e3da1p-5, -0x1.e7572be4b29dcp-5, -0x1.e8ba3f339347fp-5, -0x1.ea18c36b2e7f9p-5, -0x1.eb7254a6e1a64p-5, -0x1.ecc6926874f79p-5, -0x1.ee151f886bf0fp-5, -0x1.ef5da23c13314p-5, -0x1.f09fc413f4ff7p-5, -0x1.f1db31ef0bde7p-5, -0x1.f30f9be75867ap-5, -0x1.f43cb53e658eap-5, -0x1.f562345633946p-5, -0x1.f67fd2ad2637ap-5, -0x1.f7954cd14dcd3p-5, -0x1.f8a26257610b4p-5, -0x1.f9a6d5d6fa645p-5, -0x1.faa26ce3ba919p-5, -0x1.fb94f0061543cp-5, -0x1.fc7e2aae91155p-5, -0x1.fd5deb20a6a5bp-5, -0x1.fe34026890617p-5, -0x1.ff004461011fep-5, -0x1.ffc287b6acb9dp-5, -0x1.003d52f189737p-4, -0x1.00943d8e9d4dep-4, -0x1.00e5f31f400dfp-4, -0x1.01326456c768ep-4, -0x1.017983308becdp-4, -0x1.01bb42f5ea07ep-4, -0x1.01f7983f2af42p-4, -0x1.022e78ede9e6p-4, -0x1.025fdc201b2bap-4, -0x1.028bba1f0c928p-4, -0x1.02b20c5631486p-4, -0x1.02d2cd55cb06cp-4, -0x1.02edf8d7ad632p-4, -0x1.03038bbdec0a4p-4, -0x1.0313840ad5908p-4, -0x1.031de0d1bea5ep-4, -0x1.0322a2247db1bp-4, -0x1.0321c9084531fp-4, -0x1.031b577593b8ap-4, -0x1.030f505af96a8p-4, -0x1.02fdb79b04e2dp-4, -0x1.02e69204c38bp-4, -0x1.02c9e5465e78p-4, -0x1.02a7b7db3b91ap-4, -0x1.028010fd9ad2bp-4, -0x1.0252f8a1b678cp-4, -0x1.0220777686773p-4, -0x1.01e896e489c99p-4, -0x1.01ab61084740cp-4, -0x1.0168e0a8e4f6fp-4, -0x1.01212129fca0bp-4, -0x1.00d42e7ba07c7p-4, -0x1.0082150f71dc3p-4, -0x1.002ae1d50dd32p-4, -0x1.ff9d44727921fp-5, -0x1.fedac8457ad25p-5, -0x1.fe0e6bd833facp-5, -0x1.fd384cb54d707p-5, -0x1.fc588923de28fp-5, -0x1.fb6f400ba0f24p-5, -0x1.fa7c90e12e1f3p-5, -0x1.f9809b9d9839ep-5, -0x1.f87b80bb3f418p-5, -0x1.f76d612fcdb38p-5, -0x1.f6565e61bdbc6p-5, -0x1.f5369a1a96352p-5, -0x1.f40e36743fe53p-5, -0x1.f2dd55c30a796p-5, -0x1.f1a41a8321701p-5, -0x1.f062a74ebe0c3p-5, -0x1.ef191edad8717p-5, -0x1.edc7a3f4554edp-5, -0x1.ec6e5979ff62dp-5, -0x1.eb0d625410d42p-5, -0x1.e9a4e169d103dp-5, -0x1.e834f993d2f2cp-5, -0x1.e6bdcd8d30b1ep-5, -0x1.e53f7fe8b02bdp-5, -0x1.e3ba330bfb141p-5, -0x1.e22e092eb655bp-5, -0x1.e09b245971bf8p-5, -0x1.df01a66257047p-5, -0x1.dd61b0e86ad0ap-5, -0x1.dbbb654de16fp-5, -0x1.da0ee4b0526c3p-5, -0x1.d85c4fdfed7e6p-5, -0x1.d6a3c758d17c3p-5, -0x1.d4e56b4046577p-5, -0x1.d3215b64f72b3p-5, -0x1.d157b73fddf7ap-5, -0x1.cf889df3e448fp-5, -0x1.cdb42e4c61f23p-5, -0x1.cbda86bb3c152p-5, -0x1.c9fbc5561109ep-5, -0x1.c81807d225818p-5, -0x1.c62f6b808f3b8p-5, -0x1.c4420d4c5e9b4p-5, -0x1.c25009bb19192p-5, -0x1.c0597ceeaea34p-5, -0x1.be5e82a79936ap-5, -0x1.bc5f364620eb4p-5, -0x1.ba5bb2cb0a1e1p-5, -0x1.b85412d81ce69p-5, -0x1.b64870b022a03p-5, -0x1.b438e63614918p-5, -0x1.b2258cec7a6d7p-5, -0x1.b00e7df5e8fcap-5, -0x1.adf3d216dcc15p-5, -0x1.abd5a1b878f25p-5, -0x1.a9b404eb98726p-5, -0x1.a78f136b7f12ep-5, -0x1.a566e49ffe19fp-5, -0x1.a33b8f9f753fcp-5, -0x1.a10d2b3099432p-5, -0x1.9edbcdcbae1c6p-5, -0x1.9ca78d9b75898p-5, -0x1.9a70807e92c57p-5, -0x1.9836bc098c38fp-5, -0x1.95fa55895dc74p-5, -0x1.93bb62066ead7p-5, -0x1.9179f6478b4p-5, -0x1.8f3626d48a376p-5, -0x1.8cf007f89ef4p-5, -0x1.8aa7adc4812e9p-5, -0x1.885d2c1064cfap-5, -0x1.8610967d78bdbp-5, -0x1.83c2007742224p-5, -0x1.81717d352e383p-5, -0x1.7f1f1fbc658b3p-5, -0x1.7ccafae1e2c53p-5, -0x1.7a75214c92a1dp-5, -0x1.781da577a3613p-5, -0x1.75c499b4959a8p-5, -0x1.736a102d1738ap-5, -0x1.710e1ae49cac8p-5, -0x1.6eb0cbb9fc3adp-5, -0x1.6c523468a6c61p-5, -0x1.69f26689b49ddp-5, -0x1.67917394f24d8p-5, -0x1.652f6ce217fe2p-5, -0x1.62cc63aa083bap-5, -0x1.60686908150f3p-5, -0x1.5e038dfb4a612p-5, -0x1.5b9de367bf098p-5, -0x1.59377a17c5dcep-5, -0x1.56d062bcf4d9fp-5, -0x1.5468adf1162dp-5, -0x1.52006c36f116ep-5, -0x1.4f97adfaecd47p-5, -0x1.4d2e839383acp-5, -0x1.4ac4fd41a3552p-5, -0x1.485b2b31243fp-5, -0x1.45f11d794948ap-5, -0x1.4386e41d2ab6ap-5, -0x1.411c8f0c2d79ap-5, -0x1.3eb22e2269375p-5, -0x1.3c47d12914a86p-5, -0x1.39dd87d6c4edap-5, -0x1.377361cf9d69bp-5, -0x1.35096ea555624p-5, -0x1.329fbdd722e3ap-5, -0x1.30365ed18b9b5p-5, -0x1.2dcd60ee1c02dp-5, -0x1.2b64d3733130cp-5, -0x1.28fcc593bcae7p-5, -0x1.2695466f19311p-5, -0x1.242e6510c8746p-5, -0x1.21c8307024c42p-5, -0x1.1f62b76ffb4ddp-5, -0x1.1cfe08de20d05p-5, -0x1.1a9a3372f676ep-5, -0x1.183745d0d7d55p-5, -0x1.15d54e838cc2ap-5, -0x1.13745bffb42aep-5, -0x1.11147ca226c8ap-5, -0x1.0eb5beaf5fda5p-5, -0x1.0c583052cfac7p-5, -0x1.09fbdf9e38b28p-5, -0x1.07a0da8902116p-5, -0x1.05472eef6b338p-5, -0x1.02eeea91bf5d2p-5, -0x1.00981b1374d8p-5, -0x1.fc859bf4bcd76p-6, -0x1.f7de215bc4ebdp-6, -0x1.f339e0eca2a84p-6, -0x1.ee98f4f876313p-6, -0x1.e9fb778f8c9bap-6, -0x1.e561828018b5fp-6, -0x1.e0cb2f54ae989p-6, -0x1.dc38975282b1dp-6, -0x1.d7a9d3779199ep-6, -0x1.d31efc78c3ac8p-6, -0x1.ce982ac001293p-6, -0x1.ca15766a8f80fp-6, -0x1.c596f7478c32dp-6, -0x1.c11cc4d69f3fdp-6, -0x1.bca6f646de2c5p-6, -0x1.b835a275b60b7p-6, -0x1.b3c8dfeddeafdp-6, -0x1.af60c4e612c0dp-6, -0x1.aafd673f9e4a9p-6, -0x1.a69edc84c0456p-6, -0x1.a24539e6f91dp-6, -0x1.9df0943cdf7b1p-6, -0x1.99a10002193dap-6, -0x1.955691549084ap-6, -0x1.91115bf3a5844p-6, -0x1.8cd173406e8d8p-6, -0x1.8896ea3caf785p-6, -0x1.8461d389f0b7dp-6, -0x1.80324168ee64cp-6, -0x1.7c0845b89d06p-6, -0x1.77e3f1f4ece7ep-6, -0x1.73c5573582e5p-6, -0x1.6fac862c9512ep-6, -0x1.6b998f25ca3ecp-6, -0x1.678c820579d25p-6, -0x1.63856e4839d47p-6, -0x1.5f84630299f3p-6, -0x1.5b896ee116d85p-6, -0x1.5794a02805c3p-6, -0x1.53a604b37156ap-6, -0x1.4fbda9f6bf899p-6, -0x1.4bdb9cfc35172p-6, -0x1.47ffea64572b9p-6, -0x1.442a9e653d942p-6, -0x1.405bc4ca09876p-6, -0x1.3c9368f2880dcp-6, -0x1.38d195d32f30fp-6, -0x1.351655f525b9dp-6, -0x1.3161b376d1552p-6, -0x1.2db3b80c61342p-6, -0x1.2a0c6d001b745p-6, -0x1.266bdb32f686cp-6, -0x1.22d20b1cbfe44p-6, -0x1.1f3f04cc3e881p-6, -0x1.1bb2cfe732f02p-6, -0x1.182d73aa571cfp-6, -0x1.14aef6e975ca8p-6, -0x1.1137600fb66f9p-6, -0x1.0dc6b5202ccb5p-6, -0x1.0a5cfbb67abe4p-6, -0x1.06fa3907c25bep-6, -0x1.039e71e3a28a4p-6, -0x1.0049aab51dd16p-6, -0x1.f9f7cf071fe2ap-7, -0x1.f36a57e6d7c24p-7, -0x1.eceaf68dda464p-7, -0x1.e679b0bd6d9afp-7, -0x1.e0168b74baec9p-7, -0x1.d9c18af233e0cp-7, -0x1.d37ab2b514351p-7, -0x1.cd42057f3ed8fp-7, -0x1.c71785576ca7cp-7, -0x1.c0fb338b8c656p-7, -0x1.baed10b3620f9p-7, -0x1.b4ed1cb3127b3p-7, -0x1.aefb56bdba33dp-7, -0x1.a917bd57b85cp-7, -0x1.a3424e5907a02p-7, -0x1.9d7b06ef2962cp-7, -0x1.97c1e39f503e6p-7, -0x1.9216e04856741p-7, -0x1.8c79f824fab8cp-7, -0x1.86eb25ce321e9p-7, -0x1.816a633dcfd81p-7, -0x1.7bf7a9d1329c9p-7, -0x1.7692f24c3e0bcp-7, -0x1.713c34dc3d8dp-7, -0x1.6bf3691aed2e3p-7, -0x1.66b8861136835p-7, -0x1.618b8239fb988p-7, -0x1.5c6c53849b864p-7, -0x1.575aef579763ap-7, -0x1.52574a92f242dp-7, -0x1.4d615992bcce7p-7, -0x1.48791031ba3c2p-7, -0x1.439e61cc0bb82p-7, -0x1.3ed14142177dap-7, -0x1.3a11a0fb7bc12p-7, -0x1.355f72ea0d6d4p-7, -0x1.30baa88ce89b5p-7, -0x1.2c2332f371b4dp-7, -0x1.279902c03070cp-7, -0x1.231c082bb3f75p-7, -0x1.1eac33072dfa2p-7, -0x1.1a4972bf1dd86p-7, -0x1.15f3b65dee87ap-7, -0x1.11aaec8e83515p-7, -0x1.0d6f039ee04a3p-7, -0x1.093fe982dbef8p-7, -0x1.051d8bd6e91cap-7, -0x1.0107d7e2edd05p-7, -0x1.f9fd753a6fd66p-8, -0x1.f204415a923cap-8, -0x1.ea23ecdd8a19ap-8, -0x1.e25c4fe844693p-8, -0x1.daad4212eed2dp-8, -0x1.d3169a6dd37fdp-8, -0x1.cb982f86a7816p-8, -0x1.c431d76d19cf8p-8, -0x1.bce367b7cf35ep-8, -0x1.b5acb58916c26p-8, -0x1.ae8d9593b740bp-8, -0x1.a785dc1fe7c6ap-8, -0x1.a0955d1052f2cp-8, -0x1.99bbebe716824p-8, -0x1.92f95bcaf07fep-8, -0x1.8c4d7f8c47dbcp-8, -0x1.85b829aa2cd99p-8, -0x1.7f392c572fd5bp-8, -0x1.78d0597dfb866p-8, -0x1.727d82c5d7e03p-8, -0x1.6c407996f9bfdp-8, -0x1.66190f1e94a7p-8, -0x1.60071452fe35ap-8, -0x1.5a0a59f78eecap-8, -0x1.5422b0a0b74cp-8, -0x1.4e4fe8b7e9078p-8, -0x1.4891d27fb71edp-8, -0x1.42e83e17d27e7p-8, -0x1.3d52fb8145656p-8, -0x1.37d1daa25e4a4p-8, -0x1.3264ab4ae23f1p-8, -0x1.2d0b3d37cf967p-8, -0x1.27c5601747605p-8, -0x1.2292e38c192bcp-8, -0x1.1d73973150311p-8, -0x1.18674a9d84875p-8, -0x1.136dcd65f7ffbp-8, -0x1.0e86ef21c5941p-8, -0x1.09b27f6cd018dp-8, -0x1.04f04deae8a9bp-8, -0x1.00402a4a94433p-8, -0x1.f743c89082c49p-9, -0x1.ee2a976207885p-9, -0x1.e53460cb84d8ap-9, -0x1.dc60c4bc29356p-9, -0x1.d3af63565d9a1p-9, -0x1.cb1fdcf53369dp-9, -0x1.c2b1d23218ba8p-9, -0x1.ba64e3e9bb348p-9, -0x1.b238b341233e4p-9, -0x1.aa2ce1aa438b1p-9, -0x1.a24110e82b37p-9, -0x1.9a74e3139a66ep-9, -0x1.92c7fa9eaa779p-9, -0x1.8b39fa5912addp-9, -0x1.83ca8573d727p-9, -0x1.7c793f857d359p-9, -0x1.7545cc8d8dd8bp-9, -0x1.6e2fd0f92edd5p-9, -0x1.6736f1a6757bfp-9, -0x1.605ad3e8f557dp-9, -0x1.599b1d8d561a2p-9, -0x1.52f774dd83ddfp-9, -0x1.4c6f80a41341bp-9, -0x1.4602e82fd3a2p-9, -0x1.3fb1535723f88p-9, -0x1.397a6a7ac63fbp-9, -0x1.335dd68873ca2p-9, -0x1.2d5b40fd1f68ap-9, -0x1.277253e6cd2adp-9, -0x1.21a2b9e63414cp-9, -0x1.1bec1e30428e3p-9, -0x1.164e2c8cef84cp-9, -0x1.10c8915fb3779p-9, -0x1.0b5af999924c5p-9, -0x1.060512cb86039p-9, -0x1.00c68b1b2c17bp-9, -0x1.f73e229154639p-10, -0x1.ed1ca95fbd6fdp-10, -0x1.e3280a94b4a8ep-10, -0x1.d95fa76483fa3p-10, -0x1.cfc2e24ad5ebdp-10, -0x1.c6511f12a8229p-10, -0x1.bd09c2dec85cbp-10, -0x1.b3ec3432d0a88p-10, -0x1.aaf7dafcfce79p-10, -0x1.a22c209e2bf1ep-10, -0x1.99886ff28e1cbp-10, -0x1.910c3556b1c31p-10, -0x1.88b6deab6c328p-10, -0x1.8087db561af86p-10, -0x1.787e9c3cac525p-10, -0x1.709a93bf01d34p-10, -0x1.68db35ab9431p-10, -0x1.613ff731479d7p-10, -0x1.59c84ece92743p-10, -0x1.5273b43f5b24bp-10, -0x1.4b41a06ad97d3p-10, -0x1.44318d5324ed4p-10, -0x1.3d42f608af15dp-10, -0x1.367556a240659p-10, -0x1.2fc82c3c8661bp-10, -0x1.293af500d9887p-10, -0x1.22cd303488127p-10, -0x1.1c7e5e5079a8dp-10, -0x1.164e012049c26p-10, -0x1.103b9be679cbap-10, -0x1.0a46b3854180cp-10, -0x1.046ecea66a488p-10, -0x1.fd66ebc29c281p-11, -0x1.f22867b3d91cap-11, -0x1.e7212aac72d6cp-11, -0x1.dc50528cf83ddp-11, -0x1.d1b5017e413d6p-11, -0x1.c74e5dc3e3a07p-11, -0x1.bd1b916e5f98p-11, -0x1.b31bc9f010663p-11, -0x1.a94e379951e3bp-11, -0x1.9fb20d04b3819p-11, -0x1.96467e7b94aafp-11, -0x1.8d0ac161330a9p-11, -0x1.83fe0babc40a7p-11, -0x1.7b1f937c643bfp-11, -0x1.726e8edad84dap-11, -0x1.69ea339fe99ep-11, -0x1.6191b793c16bp-11, -0x1.596450bde964p-11, -0x1.516135e8cc854p-11, -0x1.49879f4e683a9p-11, -0x1.41d6c7663a623p-11, -0x1.3a4debc5e604p-11, -0x1.32ec4e06223cbp-11, -0x1.2bb1349ae7d2cp-11, -0x1.249beb8e69ebep-11, -0x1.1dabc50fb64edp-11, -0x1.16e019c80a198p-11, -0x1.103848ed32701p-11, -0x1.09b3b80b5c806p-11, -0x1.0351d2877513cp-11, -0x1.fa2411b8b9c02p-12, -0x1.ede79f41b855bp-12, -0x1.e1ed3cc5c3ddcp-12, -0x1.d633dcd868169p-12, -0x1.caba730bfc2d8p-12, -0x1.bf7ff1a3c5809p-12, -0x1.b483479996347p-12, -0x1.a9c35f1dfcd28p-12, -0x1.9f3f1cac3447fp-12, -0x1.94f55ec24cffap-12, -0x1.8ae4fe4282665p-12, -0x1.810ccf7268fadp-12, -0x1.776ba389d9079p-12, -0x1.6e004ab13e9a2p-12, -0x1.64c996512fa95p-12, -0x1.5bc65b90a712cp-12, -0x1.52f575d8a6339p-12, -0x1.4a55c93c32p-12, -0x1.41e6449d08891p-12, -0x1.39a5e37187b69p-12, -0x1.3193af09b4e21p-12, -0x1.29aebf403dceap-12, -0x1.21f63a85a3181p-12, -0x1.1a69553de662ep-12, -0x1.1307507803e38p-12, -0x1.0bcf781025f44p-12, -0x1.04c1205868c53p-12, -0x1.fbb746ee0cab4p-13, -0x1.ee3cbd50722e2p-13, -0x1.e1115f34b8444p-13, -0x1.d433e42f6583ap-13, -0x1.c7a2fc4e5bc9fp-13, -0x1.bb5d4d7b81142p-13, -0x1.af61722219dd7p-13, -0x1.a3adf900c101p-13, -0x1.9841660e9504dp-13, -0x1.8d1a34383ec27p-13, -0x1.8236d7c0f951cp-13, -0x1.7795c1094274p-13, -0x1.6d355f93a1ffcp-13, -0x1.6314251c0fe91p-13, -0x1.593088a6cad67p-13, -0x1.4f8909689234ep-13, -0x1.461c316e26a7ep-13, -0x1.3ce897ec4c455p-13, -0x1.33ece31b5c645p-13, -0x1.2b27c98fcde94p-13, -0x1.229812fe47b12p-13, -0x1.1a3c98623c2b1p-13, -0x1.12144386c276fp-13, -0x1.0a1e0dee2cd1ep-13, -0x1.0258ff2a58cbp-13, -0x1.f588555e0d854p-14, -0x1.e6bd5a92a5071p-14, -0x1.d84f54c13e34bp-14, -0x1.ca3c927e58e1bp-14, -0x1.bc836534f8bcap-14, -0x1.af221d1fb1c2ep-14, -0x1.a2170680041dap-14, -0x1.956068395d7c1p-14, -0x1.88fc83d25b5abp-14, -0x1.7ce996d960a28p-14, -0x1.7125dced2c003p-14, -0x1.65af9426df2c2p-14, -0x1.5a84febe21e16p-14, -0x1.4fa4685144e53p-14, -0x1.450c27b9b8055p-14, -0x1.3abaa0ceeb02ap-14, -0x1.30ae443c6431p-14, -0x1.26e58dd751642p-14, -0x1.1d5f00db7d5cep-14, -0x1.141924277d9d3p-14, -0x1.0b127de280013p-14, -0x1.02498f915891dp-14, -0x1.f379a9740b10fp-15, -0x1.e2d586dc76a2bp-15, -0x1.d2a39f31e9995p-15, -0x1.c2e0e1b32d8c4p-15, -0x1.b38a542f58832p-15, -0x1.a49d233aa5654p-15, -0x1.9616b0414c2c7p-15, -0x1.87f49a39bda74p-15, -0x1.7a34be3df08ffp-15, -0x1.6cd52eab549c8p-15, -0x1.5fd42134770ap-15, -0x1.532fd68e2ca08p-15, -0x1.46e680343debdp-15, -0x1.3af62a150f6c3p-15, -0x1.2f5cada77f1a1p-15, -0x1.2417b2681292dp-15, -0x1.1924bca52035dp-15, -0x1.0e8147ddc5695p-15, -0x1.042ae6ddafbccp-15, -0x1.f43ec426c94aap-16, -0x1.e0b99a4caf8c6p-16, -0x1.cdc31e578abb1p-16, -0x1.bb58b8771a1c5p-16, -0x1.a978452f27871p-16, -0x1.981fdf8e12fd1p-16, -0x1.874da639f84acp-16, -0x1.76ff851285e1dp-16, -0x1.67330a56d525fp-16, -0x1.57e54aba98284p-16, -0x1.4912d55b9a5e5p-16, -0x1.3ab7b7d81735dp-16, -0x1.2ccf937833db6p-16, -0x1.1f55c4e990b9ep-16, -0x1.12459edae9ed5p-16, -0x1.059ab326838cap-16, -0x1.f2a24055fc57ep-17, -0x1.dacba485bcdecp-17, -0x1.c3ad4e89324f7p-17, -0x1.ad44cbb0133b4p-17, -0x1.97910908ebc91p-17, -0x1.829193f8bf54dp-17, -0x1.6e45ba471573dp-17, -0x1.5aabc3dae037p-17, -0x1.47c07a17e8946p-17, -0x1.357f17bd91cap-17, -0x1.23e19a98420d5p-17, -0x1.12e1538fd9389p-17, -0x1.0277864392e4bp-17, -0x1.e53bde4767954p-18, -0x1.c69e302208bf5p-18, -0x1.a90ce87efef8p-18, -0x1.8c8090f801b2dp-18, -0x1.70f2db67dcb3p-18, -0x1.565e0781af62cp-18, -0x1.3cbc5e788bf01p-18, -0x1.2407f14134162p-18, -0x1.0c3aa83c7f971p-18, -0x1.ea9d14d242f19p-19, -0x1.be7c0b6f1d86dp-19, -0x1.9407ff4507f4dp-19, -0x1.6b371e5bf9315p-19, -0x1.43fedb677872ap-19, -0x1.1e52ad3241af9p-19, -0x1.f446924bd9649p-20, -0x1.aebdb355d6f5cp-20, -0x1.6be4a624a8774p-20, -0x1.2b971bafdb637p-20, -0x1.db6dd2ed35b01p-21, -0x1.645e16c3fd286p-21, -0x1.e3d11514e75dep-22, -0x1.080cd09fee4edp-22, -0x1.ab90586f094cfp-25, 0x1.27fb5045f473dp-23, 0x1.544fa5e5656fap-22, 0x1.05d3a67f25a75p-21, 0x1.5d1f2f4a8fcc7p-21, 0x1.b0306f11c6943p-21, 0x1.ff3323061f1d5p-21, 0x1.252a258d0d017p-20, 0x1.48de89ff1f2bdp-20, 0x1.6ac75f8be6fcfp-20, 0x1.8af0db6eafe4p-20, 0x1.a9644d9bfe6e6p-20, 0x1.c62ac7d91a222p-20, 0x1.e14f641bd98aep-20, 0x1.fae02aa9b6258p-20, 0x1.0976d6a63c12ap-19, 0x1.14c5093bb2446p-19, 0x1.1f6417ba7c20bp-19, 0x1.295d69bee7df9p-19, 0x1.32ba090ad4abap-19, 0x1.3b823309d309ap-19, 0x1.43bce8b187cfdp-19, 0x1.4b6fa9e20ad35p-19, 0x1.529e8442902e8p-19, 0x1.594c75217c4a7p-19, 0x1.5f7bf73d58e3cp-19, 0x1.652f9167d5e81p-19, 0x1.6a6a5a0fdd9b7p-19, 0x1.6f3075bca347ep-19, 0x1.73876a7740183p-19, 0x1.7775e680b90ffp-19, 0x1.7b02bc2ae262dp-19, 0x1.7e336a097368cp-19, 0x1.810b11439b1dcp-19, 0x1.838a61f73646ep-19, 0x1.85b0a9e6f63c9p-19, 0x1.877d93cf9a89ap-19, 0x1.88f28717894ep-19, 0x1.8a12ec4563b06p-19, 0x1.8ae3073cd9f82p-19, 0x1.8b665ab5c48cbp-19, 0x1.8b9f0e1d7d2ep-19, 0x1.8b8eda2d9a41ep-19, 0x1.8b387c701b76bp-19, 0x1.8aa05303fa432p-19, 0x1.89cbc3216a994p-19, 0x1.88c0179f33b78p-19, 0x1.8781a6d884513p-19, 0x1.86139263076e4p-19, 0x1.8478009772dffp-19, 0x1.82b088d7a43cep-19, 0x1.80be9749134a3p-19, 0x1.7ea3a6127502fp-19, 0x1.7c6140e5b7155p-19, 0x1.79f8dcbba119ep-19, 0x1.776ba12369e52p-19, 0x1.74ba4c0722107p-19, 0x1.71e5523ef2481p-19, 0x1.6eed4171c0988p-19, 0x1.6bd339b0ef21ep-19, 0x1.6899393f06709p-19, 0x1.6542193e06ac2p-19, 0x1.61d17552c6f03p-19, 0x1.5e4bc7ae9567ap-19, 0x1.5ab6607843817p-19, 0x1.57164deb3e087p-19, 0x1.536e2ced098eap-19, 0x1.4fbca6e80b77bp-19, 0x1.4bfd854aab94p-19, 0x1.482cfdb00836p-19, 0x1.444aab76e986dp-19, 0x1.4059d58dd9bc8p-19, 0x1.3c5ee168068e4p-19, 0x1.385c4938f96p-19, 0x1.3451c109c4902p-19, 0x1.303dcd16a6f17p-19, 0x1.2c1fb6fef834ap-19, 0x1.27f842621727dp-19, 0x1.23c9431f71d56p-19, 0x1.1f94ea7f5388bp-19, 0x1.1b5d4162e3a2ep-19, 0x1.1723e5918fd2ap-19, 0x1.12e9fd6988205p-19, 0x1.0eb04d1af8158p-19, 0x1.0a7758d774738p-19, 0x1.063f85bd2f371p-19, 0x1.0209330ae4cffp-19, 0x1.fba993e7ae7b8p-20, 0x1.f34587006dc28p-20, 0x1.eae74795fac9dp-20, 0x1.e28fd7d94ae6cp-20, 0x1.da400ed2b6664p-20, 0x1.d1f87ccd01b87p-20, 0x1.c9b96e15c4bddp-20, 0x1.c18317a727e4ap-20, 0x1.b955dddff726cp-20, 0x1.b1327e1d72b81p-20, 0x1.a919e26aad9d6p-20, 0x1.a10cc91b79573p-20, 0x1.990be472e4416p-20, 0x1.9118a2657584cp-20, 0x1.8935541b04957p-20, 0x1.81637c4eb8a01p-20, 0x1.79a21ccf8479p-20, 0x1.71ef07584c3a4p-20, 0x1.6a4a19d2261a7p-20, 0x1.62b642e9b97bfp-20, 0x1.5b36f0330b0c4p-20, 0x1.53cd19bae8b11p-20, 0x1.4c77676b8f99bp-20, 0x1.453462857103p-20, 0x1.3e039a151146cp-20, 0x1.36e56d7969718p-20, 0x1.2fdab25239b19p-20, 0x1.28e46c6d99764p-20, 0x1.22035be9a263cp-20, 0x1.1b37a14334382p-20, 0x1.1480e05e1071bp-20, 0x1.0ddec449e9b0fp-20, 0x1.0751574740b11p-20, 0x1.00d8edda23e3ap-20, 0x1.f4ebc6af0c435p-21, 0x1.e850e520c0f6fp-21, 0x1.dbe1625a4e55fp-21, 0x1.cf9d525550de5p-21, 0x1.c384a18400b37p-21, 0x1.b7974feb314dcp-21, 0x1.abd551009fc96p-21, 0x1.a03e9d13950bap-21, 0x1.94d3313dd02adp-21, 0x1.899312715487ap-21, 0x1.7e7e4e4fa162bp-21, 0x1.7394f551e0201p-21, 0x1.68d708987c9bfp-21, 0x1.5e446329b55c4p-21, 0x1.53dcbfc385d1dp-21, 0x1.499ff598f83fp-21, 0x1.3f8e33c9c3dfdp-21, 0x1.35a7b2c6f7cfcp-21, 0x1.2bebe69e34625p-21, 0x1.2259b2c32395cp-21, 0x1.18f0c7d62289dp-21, 0x1.0fb1927fa5fffp-21, 0x1.069b91b620a93p-21, 0x1.fb5b9aa78983ap-22, 0x1.e9d0ddf1f44f8p-22, 0x1.d898414aaacaap-22, 0x1.c7b17a51103fep-22, 0x1.b71b35801774bp-22, 0x1.a6d46f688e2f7p-22, 0x1.96dca49e30fa5p-22, 0x1.873381edceffp-22, 0x1.77d89d412b93p-22, 0x1.68cb19a9916ecp-22, 0x1.5a09473cff265p-22, 0x1.4b910855f2dd3p-22, 0x1.3d6145c8b0a07p-22, 0x1.2f7aa427976eap-22, 0x1.21ddc93d185b4p-22, 0x1.1489295f85107p-22, 0x1.0779e7c9a75c3p-22, 0x1.f55e2390969b9p-23, 0x1.dc5487fdfd506p-23, 0x1.c3d9825ac2722p-23, 0x1.abeb2e9b3bdaap-23, 0x1.94852faa14eb6p-23, 0x1.7da38b1ae1499p-23, 0x1.67438717a2726p-23, 0x1.516342025b889p-23, 0x1.3c012c217ca2fp-23, 0x1.271bcd2d8b622p-23, 0x1.12b1cc5830b39p-23, 0x1.fd840bb9a26dp-24, 0x1.d696c742eb5dep-24, 0x1.b098a400a64e9p-24, 0x1.8b84a6b6005bap-24, 0x1.6755ab56f52e5p-24, 0x1.440b211cfc4d2p-24, 0x1.21aba085684cdp-24, 0x1.003a2765cdcd2p-24, 0x1.bf4bf499066c1p-25, 0x1.7fbc1a28e8911p-25, 0x1.41c52891a8d41p-25, 0x1.05606bfe98e36p-25, 0x1.9528ef7cd1215p-26, 0x1.22e1325892a51p-26, 0x1.679b0b76495adp-27, 0x1.1f25feaf7e977p-28, -0x1.0a02133ceaca2p-29, -0x1.0eb195d1533p-27, -0x1.d5128c75676e7p-27, -0x1.4adc5fcfd1072p-26, -0x1.a85de339e098bp-26, -0x1.018d1385674c8p-25, -0x1.2d8ed8574417dp-25, -0x1.583a7f72f90cbp-25, -0x1.8196338cf9e2dp-25, -0x1.a9a80214c3fc8p-25, -0x1.d075e204a2995p-25, -0x1.f605bb352918fp-25, -0x1.0d2ea7473bc58p-24, -0x1.1ec0e6f56fc3ap-24, -0x1.2fbb9d432c942p-24, -0x1.4020b27e2ea66p-24, -0x1.4ff36e9222e2cp-24, -0x1.5f38665c093ccp-24, -0x1.6df30497356c6p-24, -0x1.7c25f74bd27fdp-24, -0x1.89d4db6b58a04p-24, -0x1.97018912b8444p-24, -0x1.a3ac137d8883p-24, -0x1.afd6a80341e16p-24, -0x1.bb853ab713c3ap-24, -0x1.c6bb381f5cdd7p-24, -0x1.d17b1827e7e2bp-24, -0x1.dbc6f720c5405p-24, -0x1.e5a117d6c0563p-24, -0x1.ef0c075153518p-24, -0x1.f80a5f5537b81p-24, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      {{0x1.d3703140706b6p-1, 0x1.d32e03b9de747p-1, 0x1.d2c194ee94e4ap-1, 0x1.d22d6c863afbep-1, 0x1.d174a84e53d2fp-1, 0x1.d09ab8c759c32p-1, 0x1.cfa328ea7034cp-1, 0x1.ce917311770a9p-1, 0x1.cd68e1a810cc3p-1, 0x1.cc2c795b6b23fp-1, 0x1.cadeeab90cf36p-1, 0x1.c98289bc5319dp-1, 0x1.c8194a42ef5d9p-1, 0x1.c6a4c0a3c5a57p-1, 0x1.c52625b959d45p-1, 0x1.c39e5daeb7decp-1, 0x1.c20e00d6336bdp-1, 0x1.c07565d063d38p-1, 0x1.bed4ac53fefb8p-1, 0x1.bd2bc7fc273bp-1, 0x1.bb7a8a9f46f1dp-1, 0x1.b9c0add0a10e7p-1, 0x1.b7fddb4ec45d1p-1, 0x1.b631b43e0d2b8p-1, 0x1.b45bd726f23efp-1, 0x1.b27be4c2d8ff9p-1, 0x1.b09183afd0967p-1, 0x1.ae9c632c1d8afp-1, 0x1.ac9c3cfec5e3ep-1, 0x1.aa90d6b31e45dp-1, 0x1.a87a024b938a5p-1, 0x1.a6579e8c7534ap-1, 0x1.a42996faf5eacp-1, 0x1.a1efe3a79b02ap-1, 0x1.9faa88d65b9ebp-1, 0x1.9d5996920207fp-1, 0x1.9afd283443bbbp-1, 0x1.989563e893b6ep-1, 0x1.96227a2cee398p-1, 0x1.93a4a551d288dp-1, 0x1.911c28f934969p-1, 0x1.8e89519352948p-1, 0x1.8bec73d7f864bp-1, 0x1.8945ec3aa829bp-1, 0x1.86961e5865cc6p-1, 0x1.83dd745e36a9p-1, 0x1.811c5e67f42f5p-1, 0x1.7e5351d78ba29p-1, 0x1.7b82c8a547c22p-1, 0x1.78ab40aa3b31ep-1, 0x1.75cd3ae637cacp-1, 0x1.72e93ac3121a8p-1, 0x1.6fffc5571a94ep-1, 0x1.6d1160a8ce5e5p-1, 0x1.6a1e92f5cad68p-1, 0x1.6727e1fef710bp-1, 0x1.642dd25bba40cp-1, 0x1.6130e6d5e8d94p-1, 0x1.5e319fcfdca5p-1, 0x1.5b307ab5e7fcbp-1, 0x1.582df17c2447cp-1, 0x1.552a7a294b44ap-1, 0x1.5226866f147a1p-1, 0x1.4f228350550e5p-1, 0x1.4c1ed8d4e4362p-1, 0x1.491be9cb14f4bp-1, 0x1.461a139670f35p-1, 0x1.4319ae0b2d6b9p-1, 0x1.401b0b55c1175p-1, 0x1.3d1e77edda82bp-1, 0x1.3a243a93efbf3p-1, 0x1.372c945888b2dp-1, 0x1.3437c0ac5e39p-1, 0x1.3145f5786684dp-1, 0x1.2e57633ce2998p-1, 0x1.2b6c353684a02p-1, 0x1.28849188cfafdp-1, 0x1.25a0996cd397p-1, 0x1.22c0696377ebp-1, 0x1.1fe4196a9074ep-1, 0x1.1d0bbd3405c79p-1, 0x1.1a37645e67cc8p-1, 0x1.17671aae53a2cp-1, 0x1.149ae848182b1p-1, 0x1.11d2d1e929f9ep-1, 0x1.0f0ed920eaaabp-1, 0x1.0c4efc886b9d2p-1, 0x1.099337f8d8fd2p-1, 0x1.06db84c0436bap-1, 0x1.0427d9d49428bp-1, 0x1.01782c047b274p-1, 0x1.fd98dc4c6b399p-2, 0x1.f84922882948bp-2, 0x1.f301098d64bbp-2, 0x1.edc06d39a07fbp-2, 0x1.e88726c1b8e12p-2, 0x1.e3550cf848837p-2, 0x1.de29f48f80c94p-2, 0x1.d905b05692a4dp-2, 0x1.d3e81172d12d5p-2, 0x1.ced0e794bfab3p-2, 0x1.c9c0012939488p-2, 0x1.c4b52b86ec74ep-2, 0x1.bfb0331865cb4p-2, 0x1.bab0e382e3a81p-2, 0x1.b5b707ca2dcep-2, 0x1.b0c26a71b3f3ep-2, 0x1.abd2d59b239c7p-2, 0x1.a6e81322bb252p-2, 0x1.a201ecb98527p-2, 0x1.9d202bfdbf025p-2, 0x1.98429a919067ep-2, 0x1.9369023048a71p-2, 0x1.8e932cc251b0ep-2, 0x1.89c0e46ff4f5cp-2, 0x1.84f1f3b326e45p-2, 0x1.8026256867fe5p-2, 0x1.7b5d44deeb027p-2, 0x1.76971de80a492p-2, 0x1.71d37ce62cdfap-2, 0x1.6d122edb2d6a2p-2, 0x1.685301764ab6cp-2, 0x1.6395c321bcd5fp-2, 0x1.5eda430fea52ap-2, 0x1.5a20514853f76p-2, 0x1.5567beb42ec5cp-2, 0x1.50b05d2ab9525p-2, 0x1.4bf9ff7d4f97dp-2, 0x1.474479832d6dfp-2, 0x1.428fa024f7629p-2, 0x1.3ddb4967f2a61p-2, 0x1.39274c78edce1p-2, 0x1.347381b6ded38p-2, 0x1.2fbfc2bd25961p-2, 0x1.2b0bea6d73555p-2, 0x1.2657d4f954ed1p-2, 0x1.21a35feb4f1e4p-2, 0x1.1cee6a2f930c1p-2, 0x1.1838d41c3d4c2p-2, 0x1.13827f791dc68p-2, 0x1.0ecb4f8701cd2p-2, 0x1.0a13290679d17p-2, 0x1.0559f23e1b999p-2, 0x1.009f930032723p-2, 0x1.f7c7e95fd981p-3, 0x1.ee4e048bd138ep-3, 0x1.e4d150a86e662p-3, 0x1.db51aa138e36fp-3, 0x1.d1cef06a6cfedp-3, 0x1.c849068e194edp-3, 0x1.bebfd2a6bdbefp-3, 0x1.b5333e25afd09p-3, 0x1.aba335c66011p-3, 0x1.a20fa98e0f54ep-3, 0x1.98788cca6a7a7p-3, 0x1.8eddd60efdbddp-3, 0x1.853f7f318f755p-3, 0x1.7b9d85456234cp-3, 0x1.71f7e89569c85p-3, 0x1.684eac9d7a0f4p-3, 0x1.5ea1d8027ce8ep-3, 0x1.54f17489a667fp-3, 0x1.4b3d8f0ecfc24p-3, 0x1.41863779ddb8bp-3, 0x1.37cb80b361f65p-3, 0x1.2e0d8098640dcp-3, 0x1.244c4fed6ab53p-3, 0x1.1a880a50cfcfp-3, 0x1.10c0ce2c680b6p-3, 0x1.06f6bca689924p-3, 0x1.fa53f324f6c32p-4, 0x1.e6b556c0b1a13p-4, 0x1.d311f618ecd22p-4, 0x1.bf6a281c9c7d3p-4, 0x1.abbe488e0c7abp-4, 0x1.980eb7df20856p-4, 0x1.845bdb0cea7b1p-4, 0x1.70a61b7aa5199p-4, 0x1.5cede6cc33693p-4, 0x1.4933aec01e7f9p-4, 0x1.3577e9093470bp-4, 0x1.21bb0f27e086dp-4, 0x1.0dfd9e433e2a9p-4, 0x1.f4802e03ef165p-5, 0x1.cd05fac62cc1cp-5, 0x1.a58db12d662b9p-5, 0x1.7e1865ad53789p-5, 0x1.56a7327ebf78dp-5, 0x1.2f3b375141cdap-5, 0x1.07d598fd2ee49p-5, 0x1.c0ef026c25d95p-6, 0x1.72443c7aee126p-6, 0x1.23ad452cd664bp-6, 0x1.aa5912e60df7bp-7, 0x1.0d88fb2685791p-7, 0x1.c3bce49818fd3p-9, -0x1.5b7985bca3d67p-10, -0x1.8f1a69b09830cp-8, -0x1.6365bb8afa631p-7, -0x1.fef3a422b1aadp-7, -0x1.4d18e306843d9p-6, -0x1.9a8d78f25d5e8p-6, -0x1.e7d4f93fbdc3ep-6, -0x1.1a76637dc9df5p-5, -0x1.40e921ab741bbp-5, -0x1.67416713548e6p-5, -0x1.8d7de3304f823p-5, -0x1.b39d454b1ef64p-5, -0x1.d99e3cb611f7bp-5, -0x1.ff7f7907cce4fp-5, -0x1.129fd52a459e8p-4, -0x1.256ec0b2f9ef1p-4, -0x1.382bd7f8d3608p-4, -0x1.4ad674672ffa1p-4, -0x1.5d6df013d70aap-4, -0x1.6ff1a5d8203fdp-4, -0x1.8260f1696e297p-4, -0x1.94bb2f70e9af9p-4, -0x1.a6ffbda290f47p-4, -0x1.b92dfad399a1ep-4, -0x1.cb45471005bccp-4, -0x1.dd4503af9cc7bp-4, -0x1.ef2c936a2c009p-4, -0x1.007dad3589ad8p-3, -0x1.09585f32095c8p-3, -0x1.1226134fc7d71p-3, -0x1.1ae67e08fdeb5p-3, -0x1.239954b55c807p-3, -0x1.2c3e4d9218a2p-3, -0x1.34d51fc9ae896p-3, -0x1.3d5d837b4aef5p-3, -0x1.45d731c1dfeb9p-3, -0x1.4e41e4baee2fap-3, -0x1.569d578cf9cfbp-3, -0x1.5ee9466dae1f4p-3, -0x1.67256ea7b88c1p-3, -0x1.6f518ea04c63ep-3, -0x1.776d65dc6ac9ep-3, -0x1.7f78b505c9eacp-3, -0x1.87733def86889p-3, -0x1.8f5cc39a8499dp-3, -0x1.97350a398524bp-3, -0x1.9efbd734ff688p-3, -0x1.a6b0f12eb2c7bp-3, -0x1.ae542004f415fp-3, -0x1.b5e52cd5bd534p-3, -0x1.bd63e20176281p-3, -0x1.c4d00b2d86b8bp-3, -0x1.cc297546aa437p-3, -0x1.d36fee83050c7p-3, -0x1.daa34663fd98ap-3, -0x1.e1c34db7eacefp-3, -0x1.e8cfd69b76738p-3, -0x1.efc8b47ae0da3p-3, -0x1.f6adbc12f8f31p-3, -0x1.fd7ec371f7507p-3, -0x1.021dd0fc0cebep-2, -0x1.0572182c0a9cdp-2, -0x1.08bc244ba9423p-2, -0x1.0bfbe30707677p-2, -0x1.0f3142b39d564p-2, -0x1.125c325020f0fp-2, -0x1.157ca1844f99bp-2, -0x1.189280a0a763fp-2, -0x1.1b9dc09e0c09ep-2, -0x1.1e9e531d58f8fp-2, -0x1.21942a66e318ep-2, -0x1.247f3969e8fa8p-2, -0x1.275f73bbf4834p-2, -0x1.2a34cd98285dep-2, -0x1.2cff3bde83bdcp-2, -0x1.2fbeb413141a4p-2, -0x1.32732c5d1a29p-2, -0x1.351c9b8623688p-2, -0x1.37baf8f913655p-2, -0x1.3a4e3cc120aeap-2, -0x1.3cd65f88cc837p-2, -0x1.3f535a98c6b58p-2, -0x1.41c527d6cd269p-2, -0x1.442bc1c47da2ap-2, -0x1.4687237e22e46p-2, -0x1.48d748b971538p-2, -0x1.4b1c2dc442714p-2, -0x1.4d55cf8342322p-2, -0x1.4f842b7099b42p-2, -0x1.51a73f9a8cc32p-2, -0x1.53bf0aa2160bbp-2, -0x1.55cb8bb9784eep-2, -0x1.57ccc2a2cd635p-2, -0x1.59c2afae8b18ap-2, -0x1.5bad53ba06c92p-2, -0x1.5d8cb02df100bp-2, -0x1.5f60c6fcce0fep-2, -0x1.61299aa16a38ep-2, -0x1.62e72e1d44ap-2, -0x1.649984f701b69p-2, -0x1.6640a338cabbfp-2, -0x1.67dc8d6eb83dap-2, -0x1.696d48a530b77p-2, -0x1.6af2da6745e1ep-2, -0x1.6c6d48bd12e18p-2, -0x1.6ddc9a2a144e2p-2, -0x1.6f40d5ab7e781p-2, -0x1.709a02b6948dap-2, -0x1.71e82936fcadap-2, -0x1.732b518d0d602p-2, -0x1.7463848c236aep-2, -0x1.7590cb78edf89p-2, -0x1.76b33007bc829p-2, -0x1.77cabc5acb68bp-2, -0x1.78d77b00924bbp-2, -0x1.79d976f20e721p-2, -0x1.7ad0bb910c4bfp-2, -0x1.7bbd54a6747b5p-2, -0x1.7c9f4e60971aap-2, -0x1.7d76b5516f17dp-2, -0x1.7e43966cf727dp-2, -0x1.7f05ff0768bcp-2, -0x1.7fbdfcd38de11p-2, -0x1.806b9de107aefp-2, -0x1.810ef09a983cfp-2, -0x1.81a803c4716cdp-2, -0x1.8236e67a7a79p-2, -0x1.82bba82e9ebf9p-2, -0x1.833658a71babfp-2, -0x1.83a707fccaab6p-2, -0x1.840dc6996e354p-2, -0x1.846aa53603396p-2, -0x1.84bdb4d90db85p-2, -0x1.850706d4e9504p-2, -0x1.8546acc61b1c2p-2, -0x1.857cb8919ebcp-2, -0x1.85a93c63401eep-2, -0x1.85cc4aabe88bp-2, -0x1.85e5f61ff715ep-2, -0x1.85f651b594b5fp-2, -0x1.85fd70a30c4a4p-2, -0x1.85fb665d2230ap-2, -0x1.85f046956e0fap-2, -0x1.85dc2538b5108p-2, -0x1.85bf166d472dfp-2, -0x1.85992e915ba09p-2, -0x1.856a82396e2dfp-2, -0x1.8533262ea3f05p-2, -0x1.84f32f6d2753cp-2, -0x1.84aab3228f81ap-2, -0x1.8459c6ac43d76p-2, -0x1.84007f95e11f5p-2, -0x1.839ef397a3a06p-2, -0x1.83353894d04cp-2, -0x1.82c3649a1ecdcp-2, -0x1.82498ddc28716p-2, -0x1.81c7cab5d7791p-2, -0x1.813e31a6d6037p-2, -0x1.80acd952046bdp-2, -0x1.8013d87be9f1fp-2, -0x1.7f7346092dbe1p-2, -0x1.7ecb38fd11a65p-2, -0x1.7e1bc877e9703p-2, -0x1.7d650bb598aa6p-2, -0x1.7ca71a0c147c1p-2, -0x1.7be20ae9e1ef8p-2, -0x1.7b15f5d49c97fp-2, -0x1.7a42f2677941fp-2, -0x1.79691851d250cp-2, -0x1.78887f55b107fp-2, -0x1.77a13f4659e8bp-2, -0x1.76b37006dc233p-2, -0x1.75bf2988a9d46p-2, -0x1.74c483ca2625ap-2, -0x1.73c396d5409ep-2, -0x1.72bc7abe1003bp-2, -0x1.71af47a16efeep-2, -0x1.709c15a39cb26p-2, -0x1.6f82fceedf877p-2, -0x1.6e6415b22c5efp-2, -0x1.6d3f781fcea44p-2, -0x1.6c153c6c15a6ap-2, -0x1.6ae57acc03b59p-2, -0x1.69b04b73ffe04p-2, -0x1.6875c6968d6cdp-2, -0x1.6736046305123p-2, -0x1.65f11d044dc0fp-2, -0x1.64a7289fa30e8p-2, -0x1.63583f5352649p-2, -0x1.6204793586426p-2, -0x1.60abee530bc75p-2, -0x1.5f4eb6ae28121p-2, -0x1.5decea3d60deep-2, -0x1.5c86a0ea59613p-2, -0x1.5b1bf290a7a2ep-2, -0x1.59acf6fcb15d9p-2, -0x1.5839c5ea8daafp-2, -0x1.56c27704e9c86p-2, -0x1.554721e3f07ebp-2, -0x1.53c7de0c37417p-2, -0x1.5244c2edaf436p-2, -0x1.50bde7e298be3p-2, -0x1.4f33642e7cd29p-2, -0x1.4da54efd292b1p-2, -0x1.4c13bf61b1c72p-2, -0x1.4a7ecc5574887p-2, -0x1.48e68cb7251b6p-2, -0x1.474b1749d8dfcp-2, -0x1.45ac82b41888ap-2, -0x1.440ae57ef7044p-2, -0x1.426656152b76fp-2, -0x1.40beeac232b0cp-2, -0x1.3f14b9b16d1e5p-2, -0x1.3d67d8ed4d6fep-2, -0x1.3bb85e5e7fc66p-2, -0x1.3a065fcb1c503p-2, -0x1.3851f2d5dcf96p-2, -0x1.369b2cfd5630bp-2, -0x1.34e2239b35d48p-2, -0x1.3326ebe38614fp-2, -0x1.31699ae3f44bdp-2, -0x1.2faa45831dfc2p-2, -0x1.2de9007fdeb39p-2, -0x1.2c25e070ab1ccp-2, -0x1.2a60f9c2e1844p-2, -0x1.289a60ba321ccp-2, -0x1.26d2296ff84fbp-2, -0x1.250867d2abcd5p-2, -0x1.233d2fa5446b5p-2, -0x1.2170947eb00b9p-2, -0x1.1fa2a9c943ac6p-2, -0x1.1dd382c23b6cdp-2, -0x1.1c03327931c53p-2, -0x1.1a31cbcfa776p-2, -0x1.185f61788943fp-2, -0x1.168c05f7bbdcp-2, -0x1.14b7cba1ad6fbp-2, -0x1.12e2c49ae9f43p-2, -0x1.110d02d7b4a9p-2, -0x1.0f36981ba6046p-2, -0x1.0d5f95f95038ap-2, -0x1.0b880dd1e1f6ep-2, -0x1.09b010d4d5f37p-2, -0x1.07d7afffa117ap-2, -0x1.05fefc1d64a9ep-2, -0x1.042605c6aa924p-2, -0x1.024cdd611daadp-2, -0x1.0073931f4e5fbp-2, -0x1.fd346e00ebfb8p-3, -0x1.f981b1a07f719p-3, -0x1.f5cf104d31769p-3, -0x1.f21ca8cefc065p-3, -0x1.ee6a9985a9993p-3, -0x1.eab90068897eap-3, -0x1.e707fb0625fa2p-3, -0x1.e357a6840cd9p-3, -0x1.dfa81f9e9aab3p-3, -0x1.dbf982a8ca62bp-3, -0x1.d84beb8c13059p-3, -0x1.d49f75c84b87fp-3, -0x1.d0f43c738ea67p-3, -0x1.cd4a5a3a32fb6p-3, -0x1.c9a1e95ec2335p-3, -0x1.c5fb03b9f4a6cp-3, -0x1.c255c2babe8cp-3, -0x1.beb23f665b669p-3, -0x1.bb1092585f9edp-3, -0x1.b770d3c2dbb0dp-3, -0x1.b3d31b6e77716p-3, -0x1.b03780baa18d9p-3, -0x1.ac9e1a9db9c32p-3, -0x1.a906ffa54aeedp-3, -0x1.a57245f64438cp-3, -0x1.a1e0034d3f72dp-3, -0x1.9e504cfec5b5p-3, -0x1.9ac337f7a20cp-3, -0x1.9738d8bd30a39p-3, -0x1.93b1436dbf883p-3, -0x1.902c8bc0e77e8p-3, -0x1.8caac507f671cp-3, -0x1.892c022e5901ap-3, -0x1.85b055ba0875cp-3, -0x1.8237d1cc025e1p-3, -0x1.7ec28820c1146p-3, -0x1.7b508a10bd0a3p-3, -0x1.77e1e890ed349p-3, -0x1.7476b4335206cp-3, -0x1.710efd2785b3dp-3, -0x1.6daad33b4728ep-3, -0x1.6a4a45db14dcep-3, -0x1.66ed6412c5ddcp-3, -0x1.63943c8e2ac8cp-3, -0x1.603edd99aa5c1p-3, -0x1.5ced5522eebf6p-3, -0x1.599fb0b98a00cp-3, -0x1.5655fd8fa6e18p-3, -0x1.5310487aba84cp-3, -0x1.4fce9df439a27p-3, -0x1.4c910a1a4b16cp-3, -0x1.495798b08c09ap-3, -0x1.46225520c7c4cp-3, -0x1.42f14a7bbbdb6p-3, -0x1.3fc48379db6fdp-3, -0x1.3c9c0a7c1982ep-3, -0x1.3977e98cac3a3p-3, -0x1.36582a5fe1bd2p-3, -0x1.333cd654e61fp-3, -0x1.3025f6769ca2p-3, -0x1.2d13937c6d8b9p-3, -0x1.2a05b5cb1e867p-3, -0x1.26fc6575a861cp-3, -0x1.23f7aa3e12168p-3, -0x1.20f78b964d8fep-3, -0x1.1dfc10a10f2c6p-3, -0x1.1b054032b18f5p-3, -0x1.181320d215edep-3, -0x1.1525b8b982998p-3, -0x1.123d0dd787b2dp-3, -0x1.0f5925cfe3dc3p-3, -0x1.0c7a05fc680bbp-3, -0x1.099fb36de0a37p-3, -0x1.06ca32ecfa24cp-3, -0x1.03f988fb2a489p-3, -0x1.012db9d399f94p-3, -0x1.fccd92d8205c3p-4, -0x1.f74976ebb2824p-4, -0x1.f1cf26bd65576p-4, -0x1.ec5ea8a372cc3p-4, -0x1.e6f80270a43e4p-4, -0x1.e19b39762f37cp-4, -0x1.dc4852858ce7dp-4, -0x1.d6ff51f2535d7p-4, -0x1.d1c03b940b3d8p-4, -0x1.cc8b12c80e44fp-4, -0x1.c75fda735b3c1p-4, -0x1.c23e95047478ep-4, -0x1.bd27447532104p-4, -0x1.b819ea4c9b10cp-4, -0x1.b31687a0c07fep-4, -0x1.ae1d1d1884fd6p-4, -0x1.a92daaed8957fp-4, -0x1.a44830ede9a22p-4, -0x1.9f6cae7e22be1p-4, -0x1.9a9b229acf723p-4, -0x1.95d38bda8a701p-4, -0x1.9115e86fb0838p-4, -0x1.8c62362a36758p-4, -0x1.87b87279675cdp-4, -0x1.83189a6db972dp-4, -0x1.7e82aaba8f8e6p-4, -0x1.79f69fb7fc8e3p-4, -0x1.75747564893ap-4, -0x1.70fc2766ee59ap-4, -0x1.6c8db10fdbd13p-4, -0x1.68290d5ba7fdbp-4, -0x1.63ce36f413a6p-4, -0x1.5f7d2831f43d7p-4, -0x1.5b35db1ef8894p-4, -0x1.56f849773e4dcp-4, -0x1.52c46cab20468p-4, -0x1.4e9a3de0c0be7p-4, -0x1.4a79b5f5c80d2p-4, -0x1.4662cd80fb51cp-4, -0x1.42557cd3e9e07p-4, -0x1.3e51bbfc7ee2ep-4, -0x1.3a5782c69db52p-4, -0x1.3666c8bdc1c6bp-4, -0x1.327f852e8931dp-4, -0x1.2ea1af284900dp-4, -0x1.2acd3d7e99e1ep-4, -0x1.270226cadeb2fp-4, -0x1.2340616dce0b7p-4, -0x1.1f87e390ef483p-4, -0x1.1bd8a3281b761p-4, -0x1.183295f2f7336p-4, -0x1.1495b17e6b28ep-4, -0x1.1101eb2611409p-4, -0x1.0d773815a804ap-4, -0x1.09f58d4a7c516p-4, -0x1.067cdf94d442bp-4, -0x1.030d2399463ffp-4, -0x1.ff4c9ba44feadp-5, -0x1.f890a521b81a6p-5, -0x1.f1e64bfe6300fp-5, -0x1.eb4d7841678e1p-5, -0x1.e4c611a7eb801p-5, -0x1.de4fffa7cdf7fp-5, -0x1.d7eb29721cebcp-5, -0x1.d19775f5aa442p-5, -0x1.cb54cbe1809afp-5, -0x1.c52311a75745cp-5, -0x1.bf022d7e1364fp-5, -0x1.b8f2056403a2cp-5, -0x1.b2f27f2164c74p-5, -0x1.ad03804a9c0ecp-5, -0x1.a724ee428913cp-5, -0x1.a156ae3ccc1bcp-5, -0x1.9b98a53ffdf78p-5, -0x1.95eab827e404ap-5, -0x1.904ccba7907abp-5, -0x1.8abec44b98894p-5, -0x1.8540867c100dap-5, -0x1.7fd1f67ebb1dep-5, -0x1.7a72f878ff308p-5, -0x1.75237071ee4d7p-5, -0x1.6fe342543a526p-5, -0x1.6ab251f033d2fp-5, -0x1.659082fd8d83ap-5, -0x1.607db91d719e5p-5, -0x1.5b79d7dc2656dp-5, -0x1.5684c2b2fd99fp-5, -0x1.519e5d0a15a78p-5, -0x1.4cc68a3a17e9bp-5, -0x1.47fd2d8de68fp-5, -0x1.43422a445cc9ep-5, -0x1.3e956391f1285p-5, -0x1.39f6bca24f79dp-5, -0x1.35661899f6ee3p-5, -0x1.30e35a97cad54p-5, -0x1.2c6e65b6a5218p-5, -0x1.28071d0eb8b66p-5, -0x1.23ad63b73c8bfp-5, -0x1.1f611cc7a099dp-5, -0x1.1b222b5936de4p-5, -0x1.16f0728870bb1p-5, -0x1.12cbd57638d27p-5, -0x1.0eb437496d424p-5, -0x1.0aa97b2ff9d1ep-5, -0x1.06ab846049bbdp-5, -0x1.02ba361a6c699p-5, -0x1.fdaae752b7ecep-6, -0x1.f5fa40c84e656p-6, -0x1.ee623f5e3c397p-6, -0x1.e6e2a9f9f7147p-6, -0x1.df7b479ff2b52p-6, -0x1.d82bdf75ccd77p-6, -0x1.d0f438c47214dp-6, -0x1.c9d41afa38ea9p-6, -0x1.c2cb4dacc8ad2p-6, -0x1.bbd9989b5000ap-6, -0x1.b4fec3b019772p-6, -0x1.ae3a9702a9679p-6, -0x1.a78cdad97c117p-6, -0x1.a0f557abc6902p-6, -0x1.9a73d6233179dp-6, -0x1.94081f1d99d34p-6, -0x1.8db1fbae8fde2p-6, -0x1.87713521050cep-6, -0x1.814594f8d77bcp-6, -0x1.7b2ee4f43a3abp-6, -0x1.752cef0d471b1p-6, -0x1.6f3f7d7b393c9p-6, -0x1.69665ab405306p-6, -0x1.63a1516d94edfp-6, -0x1.5df02c9ed98efp-6, -0x1.5852b7815bb55p-6, -0x1.52c8bd922963bp-6, -0x1.4d520a934ba63p-6, -0x1.47ee6a8c7ab71p-6, -0x1.429da9cc9b64ap-6, -0x1.3d5f94ea7ba82p-6, -0x1.3833f8c5ecd35p-6, -0x1.331aa288d8d12p-6, -0x1.2e135fa7fca01p-6, -0x1.291dfde3db17ap-6, -0x1.243a4b49c9b76p-6, -0x1.1f68163467936p-6, -0x1.1aa72d4cada7dp-6, -0x1.15f75f8a9b404p-6, -0x1.11587c35dcbdfp-6, -0x1.0cca52e6882e3p-6, -0x1.084cb385e306dp-6, -0x1.03df6e4ea9ed2p-6, -0x1.ff04a79c28bd4p-7, -0x1.f66a69c80eb78p-7, -0x1.edefc587b7b09p-7, -0x1.e5945de956de3p-7, -0x1.dd57d6a402048p-7, -0x1.d539d418220d3p-7, -0x1.cd39fb5094f2bp-7, -0x1.c557f2033a7d1p-7, -0x1.bd935e91d8409p-7, -0x1.b5ebe80ab8a66p-7, -0x1.ae61362911a96p-7, -0x1.a6f2f155fb20cp-7, -0x1.9fa0c2a87cd29p-7, -0x1.986a53e657b57p-7, -0x1.914f4f8465a3ap-7, -0x1.8a4f60a6aa3edp-7, -0x1.836a332124a2dp-7, -0x1.7c9f737773ebp-7, -0x1.75eeceddd31dcp-7, -0x1.6f57f3387a23fp-7, -0x1.68da8f1c70e43p-7, -0x1.627651cf325fcp-7, -0x1.5c2aeb46ec079p-7, -0x1.55f80c2aa7f4ep-7, -0x1.4fdd65d1e4c3ep-7, -0x1.49daaa44cc76fp-7, -0x1.43ef8c3c376b4p-7, -0x1.3e1bbf212fef8p-7, -0x1.385ef70d19639p-7, -0x1.32b8e8c94b983p-7, -0x1.2d2949cef6a91p-7, -0x1.27afd046d15c4p-7, -0x1.224c3308d1136p-7, -0x1.1cfe299b99d23p-7, -0x1.17c56c34b569cp-7, -0x1.12a1b3b772d19p-7, -0x1.0d92b9b524141p-7, -0x1.0898386c2c3d3p-7, -0x1.03b1eac7e965dp-7, -0x1.fdbf18bfab448p-8, -0x1.f441b2ee9db53p-8, -0x1.eaeb1df9bed28p-8, -0x1.e1bad5139055bp-8, -0x1.d8b054c24e638p-8, -0x1.cfcb1adf662ffp-8, -0x1.c70aa6959a4d3p-8, -0x1.be6e785ff6b47p-8, -0x1.b5f612083e43ep-8, -0x1.ada0f6a5cacb9p-8, -0x1.a56eaa9ba0789p-8, -0x1.9d5eb397823dp-8, -0x1.9570988fce9ffp-8, -0x1.8da3e1c2b6c44p-8, -0x1.85f818b36cb4fp-8, -0x1.7e6cc829ea899p-8, -0x1.77017c3063f86p-8, -0x1.6fb5c21198ce5p-8, -0x1.688928578f445p-8, -0x1.617b3ec95d63ap-8, -0x1.5a8b9669b699ep-8, -0x1.53b9c174d69bcp-8, -0x1.4d05535eb847fp-8, -0x1.466de0d19f924p-8, -0x1.3ff2ffab61253p-8, -0x1.399446fc89a5bp-8, -0x1.33514f0581dd5p-8, -0x1.2d29b1350df36p-8, -0x1.271d082640c2p-8, -0x1.212aef9e9962ep-8, -0x1.1b53048be631p-8, -0x1.1594e5021e7fep-8, -0x1.0ff030396b548p-8, -0x1.0a64868cd0474p-8, -0x1.04f189768c562p-8, -0x1.ff2db71ef0178p-9, -0x1.f4a84118de5f4p-9, -0x1.ea51fa77f4b7ap-9, -0x1.e02a2f08a1e94p-9, -0x1.d6302cc33dec3p-9, -0x1.cc6343c68ba82p-9, -0x1.c2c2c65435ec8p-9, -0x1.b94e08cc7b8dcp-9, -0x1.b00461a97fcp-9, -0x1.a6e5297b10a9ap-9, -0x1.9defbae2dcdcbp-9, -0x1.9523728ed8f17p-9, -0x1.8c7faf36c003bp-9, -0x1.8403d195d60b7p-9, -0x1.7baf3c67c489p-9, -0x1.738154635eb28p-9, -0x1.6b7980372ebf7p-9, -0x1.63972884536bap-9, -0x1.5bd9b7da88f7bp-9, -0x1.54409ab37bc3cp-9, -0x1.4ccb3f6e0225bp-9, -0x1.4579164b4a25p-9, -0x1.3e499168ac27bp-9, -0x1.373c24bc1e57ep-9, -0x1.3050460fba79ap-9, -0x1.29856cfd766a9p-9, -0x1.22db12ead9d15p-9, -0x1.1c50b303cd8d9p-9, -0x1.15e5ca37a4dccp-9, -0x1.0f99d7339cda1p-9, -0x1.096c5a5f64287p-9, -0x1.035cd5d7ab55dp-9, -0x1.fad59ad66983p-10, -0x1.ef2b8d2abd9bdp-10, -0x1.e3ba90f507258p-10, -0x1.d881b7c6f5832p-10, -0x1.cd801672b52fp-10, -0x1.c2b4c502b52b3p-10, -0x1.b81edeb07ee22p-10, -0x1.adbd81dd1035ep-10, -0x1.a38fd007c323dp-10, -0x1.9994edc6ea419p-10, -0x1.8fcc02be94593p-10, -0x1.86343998af4d4p-10, -0x1.7cccbffc5e12fp-10, -0x1.7394c686345b5p-10, -0x1.6a8b80bff8a3bp-10, -0x1.61b02518a5529p-10, -0x1.5901ecdbbb511p-10, -0x1.508014293124dp-10, -0x1.4829d9ef26a5bp-10, -0x1.3ffe7fdf5a35ap-10, -0x1.37fd4a6903defp-10, -0x1.302580b05857bp-10, -0x1.28766c86c38a6p-10, -0x1.20ef5a630edbp-10, -0x1.198f995a5575ep-10, -0x1.12567b16beea1p-10, -0x1.0b4353d21f4f9p-10, -0x1.04557a4b8baf9p-10, -0x1.fb188f8687357p-11, -0x1.edce2fdfb7771p-11, -0x1.e0ca91f0ec5bbp-11, -0x1.d40c76dcd899p-11, -0x1.c792a4863b10dp-11, -0x1.bb5be5865cd86p-11, -0x1.af67091c0d1d3p-11, -0x1.a3b2e31fb62e3p-11, -0x1.983e4bf121ba9p-11, -0x1.8d08206d980bep-11, -0x1.820f41de1996ap-11, -0x1.775295ed2c3d4p-11, -0x1.6cd10696018aap-11, -0x1.62898217cb33bp-11, -0x1.587afae984eb4p-11, -0x1.4ea467a8d6279p-11, -0x1.4504c3122c047p-11, -0x1.3b9b0bed4cd7p-11, -0x1.32664505ad0ecp-11, -0x1.296575198b147p-11, -0x1.2097a6ced1767p-11, -0x1.17fbe8a6be49p-11, -0x1.0f914ceed5de3p-11, -0x1.0756e9b671a98p-11, -0x1.fe97b185ce269p-12, -0x1.eede6eff7afaep-12, -0x1.df804deb8894cp-12, -0x1.d07b977d5e67fp-12, -0x1.c1ce9bece5b2ep-12, -0x1.b377b2635dec6p-12, -0x1.a57538e2e5286p-12, -0x1.97c5942f077f6p-12, -0x1.8a672fb4189c8p-12, -0x1.7d587d72b98d5p-12, -0x1.7097f5e75d18bp-12, -0x1.642417f47988ap-12, -0x1.57fb68ca199dcp-12, -0x1.4c1c73d599e1bp-12, -0x1.4085caa5307a7p-12, -0x1.353604d692d06p-12, -0x1.2a2bbffe10101p-12, -0x1.1f659f96a81bap-12, -0x1.14e24ce86d66ep-12, -0x1.0aa076f4d7b04p-12, -0x1.009ed26451fadp-12, -0x1.edb832dc2abb2p-13, -0x1.daae179124beep-13, -0x1.c81cdd26885bdp-13, -0x1.b602188353d27p-13, -0x1.a45b6914b3753p-13, -0x1.932678a695173p-13, -0x1.8260fb3b1d0dap-13, -0x1.7208aee5e8de5p-13, -0x1.621b5bab1c019p-13, -0x1.5296d35448c4cp-13, -0x1.4378f14d82d75p-13, -0x1.34bf9a86a8025p-13, -0x1.2668bd47dc0d9p-13, -0x1.187251163875cp-13, -0x1.0ada568b4b56p-13, -0x1.fb3dae69224d1p-14, -0x1.e17bcae51c35cp-14, -0x1.c86b38af581b3p-14, -0x1.b0083f060e609p-14, -0x1.984f3607a495dp-14, -0x1.813c867403d2ap-14, -0x1.6acca95f78ef4p-14, -0x1.54fc2803b3cc5p-14, -0x1.3fc79b7523178p-14, -0x1.2b2bac6cc19adp-14, -0x1.172513062690dp-14, -0x1.03b096864c83ap-14, -0x1.e1961a3d12d33p-15, -0x1.bce2b7679bb4cp-15, -0x1.9940eb49392b2p-15, -0x1.76aab91760f43p-15, -0x1.551a40178e905p-15, -0x1.3489bb2abf60cp-15, -0x1.14f3806bc4824p-15, -0x1.eca401472b524p-16, -0x1.b13f8e0d891b5p-16, -0x1.77aef15bb50e9p-16, -0x1.3fe7a85f7c8ffp-16, -0x1.09df6299bf00ep-16, -0x1.ab1801cfac82fp-17, -0x1.45c72996223c1p-17, -0x1.c7717e9b5fc9ep-18, -0x1.09b347db0cebep-18, -0x1.48b8a88019d1cp-20, 0x1.7d0aa335d8dap-20, 0x1.0ac34be6b8ab8p-18, 0x1.b07729859b441p-18, 0x1.28407f29e6298p-17, 0x1.75816e2d2b22ep-17, 0x1.c00f16b7cca78p-17, 0x1.03fced87df8cfp-16, 0x1.26a8e618c739p-16, 0x1.48135591fe507p-16, 0x1.6843f5321b297p-16, 0x1.8742578b60e83p-16, 0x1.a515e9213c704p-16, 0x1.c1c5f115cd576p-16, 0x1.dd5991d5b521bp-16, 0x1.f7d7c9a5193a9p-16, 0x1.08a3b99b8cefp-15, 0x1.14d7a3272cfddp-15, 0x1.208aec30f766ep-15, 0x1.2bc0ce890eddfp-15, 0x1.367c737149076p-15, 0x1.40c0f3d445f0ep-15, 0x1.4a915896effc7p-15, 0x1.53f09adaa0b02p-15, 0x1.5ce1a4462dd23p-15, 0x1.65674f439f50bp-15, 0x1.6d84674d44f34p-15, 0x1.753ba9234182bp-15, 0x1.7c8fc31a03b8fp-15, 0x1.83835551975f5p-15, 0x1.8a18f1fbd596cp-15, 0x1.90531d94b5c3fp-15, 0x1.96344f210db88p-15, 0x1.9bbef07353911p-15, 0x1.a0f55e5a95996p-15, 0x1.a5d9e8e8d6e53p-15, 0x1.aa6ed3a148406p-15, 0x1.aeb655bd9fee6p-15, 0x1.b2b29a602c59ep-15, 0x1.b665c0cc61e49p-15, 0x1.b9d1dc9ba1b3bp-15, 0x1.bcf8f5f77834bp-15, 0x1.bfdd09c65aaadp-15, 0x1.c28009ebc24d8p-15, 0x1.c4e3dd6d9e1a8p-15, 0x1.c70a60b2f96a2p-15, 0x1.c8f565b0d81d5p-15, 0x1.caa6b418ee038p-15, 0x1.cc20098eb999dp-15, 0x1.cd6319d153d68p-15, 0x1.ce718eef229e4p-15, 0x1.cf4d0972c6996p-15, 0x1.cff7208ccdd0cp-15, 0x1.d0716244bb63dp-15, 0x1.d0bd53a4726b3p-15, 0x1.d0dc70de872b9p-15, 0x1.d0d02d7fc0efbp-15, 0x1.d099f493d41b3p-15, 0x1.d03b28d05b8f7p-15, 0x1.cfb524bcdcbcfp-15, 0x1.cf093ad9e7a47p-15, 0x1.ce38b5cc4dd81p-15, 0x1.cd44d87cba396p-15, 0x1.cc2ede443ccf6p-15, 0x1.caf7fb0b1a332p-15, 0x1.c9a15b750efa2p-15, 0x1.c82c24fef4199p-15, 0x1.c69976252f715p-15, 0x1.c4ea66863b769p-15, 0x1.c3200705849ddp-15, 0x1.c13b61ea645f9p-15, 0x1.bf3d7b04ae426p-15, 0x1.bd274fccc49e9p-15, 0x1.baf9d7807db0ap-15, 0x1.b8b60347ac508p-15, 0x1.b65cbe4f5c98bp-15, 0x1.b3eeede8ae21cp-15, 0x1.b16d71a96ad69p-15, 0x1.aed923877d9dp-15, 0x1.ac32d7f4d5cd5p-15, 0x1.a97b5dfd41fc5p-15, 0x1.a6b37f63b3729p-15, 0x1.a3dc00bb91329p-15, 0x1.a0f5a1842319ap-15, 0x1.9e011c4412fbcp-15, 0x1.9aff26a2ea88ep-15, 0x1.97f07183047d2p-15, 0x1.94d5a91a5fbf4p-15, 0x1.91af750bb63b5p-15, 0x1.8e7e787f028b1p-15, 0x1.8b4352378f1dp-15, 0x1.87fe9caf3a10ap-15, 0x1.84b0ee298df57p-15, 0x1.815ad8cbde9b9p-15, 0x1.7dfceab4683f4p-15, 0x1.7a97ae107d506p-15, 0x1.772ba92f6982cp-15, 0x1.73b95e9aa609bp-15, 0x1.70414d27d9ad6p-15, 0x1.6cc3f00fee3c3p-15, 0x1.6941beff707e4p-15, 0x1.65bb2e2d06c3bp-15, 0x1.6230ae6c98699p-15, 0x1.5ea2ad41f9124p-15, 0x1.5b1194f0f5bafp-15, 0x1.577dcc93c18fdp-15, 0x1.53e7b82966d64p-15, 0x1.504fb8a8b80a4p-15, 0x1.4cb62c11ff3fep-15, }}, 
      {{0x1.d37f05a363011p-1, 0x1.d368dd9efbf7ap-1, 0x1.d344519f55d16p-1, 0x1.d311e9649f794p-1, 0x1.d2d251d0b42e8p-1, 0x1.d286513ecb4c4p-1, 0x1.d22ebcf5d7106p-1, 0x1.d1cc7050a4e8ap-1, 0x1.d16045ae22804p-1, 0x1.d0eb10fb36a69p-1, 0x1.d06d9b958ded3p-1, 0x1.cfe8a14bafeap-1, 0x1.cf5cce4ada19p-1, 0x1.cecabdd618cc9p-1, 0x1.ce32f9a968654p-1, 0x1.cd95f9ef58326p-1, 0x1.ccf425b0ffdb4p-1, 0x1.cc4dd3a889a66p-1, 0x1.cba34b5efe65fp-1, 0x1.caf4c67f14a9bp-1, 0x1.ca42724883aeap-1, 0x1.c98c7111d39f5p-1, 0x1.c8d2dbc9860a9p-1, 0x1.c815c36a8c325p-1, 0x1.c755325b078afp-1, 0x1.c6912daf308dfp-1, 0x1.c5c9b64cadadap-1, 0x1.c4fec9ecd091ep-1, 0x1.c43063fdc268dp-1, 0x1.c35e7e63f496p-1, 0x1.c289121e01e1fp-1, 0x1.c1b017cdb77eep-1, 0x1.c0d3882940813p-1, 0x1.bff35c577ee9ep-1, 0x1.bf0f8e3a81a98p-1, 0x1.be2818aace818p-1, 0x1.bd3cf7a5f58fp-1, 0x1.bc4e28728c8ffp-1, 0x1.bb5ba9bb64f3ap-1, 0x1.ba657ba37a079p-1, 0x1.b96b9fd3d539bp-1, 0x1.b86e19845a563p-1, 0x1.b76ced804727ep-1, 0x1.b6682226f2c96p-1, 0x1.b55fbf694b875p-1, 0x1.b453cec4627f4p-1, 0x1.b3445b39537c1p-1, 0x1.b2317142bf27fp-1, 0x1.b11b1ec80947dp-1, 0x1.b001730e8e73bp-1, 0x1.aee47ea8f98bap-1, 0x1.adc45364eb43p-1, 0x1.aca10437230b7p-1, 0x1.ab7aa5265b48dp-1, 0x1.aa514b350f905p-1, 0x1.a9250c4a5f874p-1, 0x1.a7f5ff1a4aa09p-1, 0x1.a6c43b0d774edp-1, 0x1.a58fd828bf7f3p-1, 0x1.a458eef4b60adp-1, 0x1.a31f9865577aap-1, 0x1.a1e3edc21726bp-1, 0x1.a0a6088e71d1p-1, 0x1.9f66027331b5ep-1, 0x1.9e23f52883149p-1, 0x1.9cdffa60fbb53p-1, 0x1.9b9a2bb5aac1fp-1, 0x1.9a52a2934eda8p-1, 0x1.99097828b7e18p-1, 0x1.97bec5566af2cp-1, 0x1.9672a29f8ab3dp-1, 0x1.9525281c0bb27p-1, 0x1.93d66d6c337eep-1, 0x1.928689ad6167bp-1, 0x1.913593701b20fp-1, 0x1.8fe3a0af55db3p-1, 0x1.8e90c6c8f104fp-1, 0x1.8d3d1a7758d0ap-1, 0x1.8be8afcc40721p-1, 0x1.8a939a2c67c27p-1, 0x1.893dec4c5d1e9p-1, 0x1.87e7b82e28cecp-1, 0x1.86910f1fd617bp-1, 0x1.853a01bac3164p-1, 0x1.83e29fe3adb8fp-1, 0x1.828af8cb6811ap-1, 0x1.81331af026257p-1, 0x1.7fdb141f55655p-1, 0x1.7e82f177efbc2p-1, 0x1.7d2abf6d37f23p-1, 0x1.7bd289c9d77bep-1, 0x1.7a7a5bb34b00ep-1, 0x1.79223fad95b3ap-1, 0x1.77ca3f9f2c4a5p-1, 0x1.767264d5121cp-1, 0x1.751ab80718c35p-1, 0x1.73c3415c3e1a8p-1, 0x1.726c086f1e722p-1, 0x1.7115145273893p-1, 0x1.6fbe6b959ac6bp-1, 0x1.6e6814491c54fp-1, 0x1.6d1214032e7eep-1, 0x1.6bbc6fe42f61ap-1, 0x1.6a672c9b1365fp-1, 0x1.69124e69c536cp-1, 0x1.67bdd9296fba1p-1, 0x1.6669d04eb8dd8p-1, 0x1.651636ede0759p-1, 0x1.63c30fbecc332p-1, 0x1.62705d20f854ap-1, 0x1.611e211f4f0d5p-1, 0x1.5fcc5d73e82cdp-1, 0x1.5e7b138baaddep-1, 0x1.5d2a4489daba6p-1, 0x1.5bd9f14b856c8p-1, 0x1.5a8a1a6adc14cp-1, 0x1.593ac0426fe1bp-1, 0x1.57ebe2f058e22p-1, 0x1.569d8259438dbp-1, 0x1.554f9e2b684fap-1, 0x1.540235e16d84ep-1, 0x1.52b548c531116p-1, 0x1.5168d5f282581p-1, 0x1.501cdc59c2e9bp-1, 0x1.4ed15ac278af8p-1, 0x1.4d864fcdcb323p-1, 0x1.4c3bb9f8efb9dp-1, 0x1.4af1979f8527cp-1, 0x1.49a7e6fddffbap-1, 0x1.485ea63344c08p-1, 0x1.4715d344151p-1, 0x1.45cd6c1bee123p-1, 0x1.44856e8fb841ap-1, 0x1.433dd85fa9548p-1, 0x1.41f6a73938f4ap-1, 0x1.40afd8b90a3fep-1, 0x1.3f696a6cc4caep-1, 0x1.3e2359d4e6d25p-1, 0x1.3cdda46684126p-1, 0x1.3b98478cffc7cp-1, 0x1.3a5340abb6a2fp-1, 0x1.390e8d1f9cdbbp-1, 0x1.37ca2a40d421ep-1, 0x1.3686156431802p-1, 0x1.35424bdcbc6ddp-1, 0x1.33fecafd1d2adp-1, 0x1.32bb901905d37p-1, 0x1.317898868b2f5p-1, 0x1.3035e19f747bap-1, 0x1.2ef368c27ffecp-1, 0x1.2db12b549bf3ep-1, 0x1.2c6f26c212edfp-1, 0x1.2b2d587fb0c0bp-1, 0x1.29ebbe0bd6eb6p-1, 0x1.28aa54ef8bbcbp-1, 0x1.27691abf78bfbp-1, 0x1.26280d1ce2202p-1, 0x1.24e729b691148p-1, 0x1.23a66e49b3f2fp-1, 0x1.2265d8a2b347p-1, 0x1.2125669dfb3fbp-1, 0x1.1fe51628bc522p-1, 0x1.1ea4e5419ee27p-1, 0x1.1d64d1f96de8bp-1, 0x1.1c24da73b5ee4p-1, 0x1.1ae4fce75be7fp-1, 0x1.19a5379f27172p-1, 0x1.186588fa42576p-1, 0x1.1725ef6cb42f3p-1, 0x1.15e6697fcb399p-1, 0x1.14a6f5d28386p-1, 0x1.13679319df378p-1, 0x1.1228402139dc2p-1, 0x1.10e8fbca8facbp-1, 0x1.0fa9c50ebd529p-1, 0x1.0e6a9afdb789bp-1, 0x1.0d2b7cbeb8a66p-1, 0x1.0bec69906748ap-1, 0x1.0aad60c8f63f4p-1, 0x1.096e61d639337p-1, 0x1.082f6c3db5272p-1, 0x1.06f07f9ca826ep-1, 0x1.05b19ba809f32p-1, 0x1.0472c02c8680cp-1, 0x1.0333ed0e7137fp-1, 0x1.01f52249b2b3ap-1, 0x1.00b65ff1ae5e1p-1, 0x1.feef4c624ad43p-2, 0x1.fc71ea9422712p-2, 0x1.f9f49b2af2affp-2, 0x1.f7775f068a3c7p-2, 0x1.f4fa37340d533p-2, 0x1.f27d24ed867c1p-2, 0x1.f000299968c1cp-2, 0x1.ed8346ca0ed49p-2, 0x1.eb067e3d2e4e1p-2, 0x1.e889d1db43ea5p-2, 0x1.e60d43b6f9293p-2, 0x1.e390d60c84a81p-2, 0x1.e1148b40fe2b3p-2, 0x1.de9865e1b2364p-2, 0x1.dc1c68a36e9bfp-2, 0x1.d9a09661c792ep-2, 0x1.d724f21e5a279p-2, 0x1.d4a97f0008152p-2, 0x1.d22e40522fa9p-2, 0x1.cfb33983e335bp-2, 0x1.cd386e2715169p-2, 0x1.cabde1efc9dbcp-2, 0x1.c84398b33fe7cp-2, 0x1.c5c99667169c8p-2, 0x1.c34fdf20774b3p-2, 0x1.c0d677133324bp-2, 0x1.be5d6290e9f63p-2, 0x1.bbe4a6082424bp-2, 0x1.b96c46037817cp-2, 0x1.b6f447289fcf1p-2, 0x1.b47cae379b38ep-2, 0x1.b2058009c8dcp-2, 0x1.af8ec19103c84p-2, 0x1.ad1877d6bb5f4p-2, 0x1.aaa2a7fb13073p-2, 0x1.a82d5733f9f38p-2, 0x1.a5b88acc49f6cp-2, 0x1.a3444822e1eebp-2, 0x1.a0d094a9c4963p-2, 0x1.9e5d75e53757p-2, 0x1.9beaf16adfca4p-2, 0x1.99790ce0e67f5p-2, 0x1.9707cdfd19529p-2, 0x1.94973a840c01ep-2, 0x1.9227584842de3p-2, 0x1.8fb82d2954b1bp-2, 0x1.8d49bf131885dp-2, 0x1.8adc13fcccd05p-2, 0x1.886f31e8499f5p-2, 0x1.86031ee12b4afp-2, 0x1.8397e0fc07b55p-2, 0x1.812d7e55a2392p-2, 0x1.7ec3fd1222abbp-2, 0x1.7c5b635c4d409p-2, 0x1.79f3b764c176bp-2, 0x1.778cff6137b38p-2, 0x1.7527418bc3b48p-2, 0x1.72c284221853p-2, 0x1.705ecd64cf3cep-2, 0x1.6dfc2396b5131p-2, 0x1.6b9a8cfc15888p-2, 0x1.693a0fda0be67p-2, 0x1.66dab275d786ap-2, 0x1.647c7b1432f0bp-2, 0x1.621f6ff8ac492p-2, 0x1.5fc397650459ap-2, 0x1.5d68f7988c475p-2, 0x1.5b0f96cf8cf5fp-2, 0x1.58b77b42a9241p-2, 0x1.5660ab264af6bp-2, 0x1.540b2caa0fc26p-2, 0x1.51b705f837c9cp-2, 0x1.4f643d351b431p-2, 0x1.4d12d87ea03edp-2, 0x1.4ac2ddebb4138p-2, 0x1.4874538bcaf1p-2, 0x1.46273f665e22cp-2, 0x1.43dba77a70095p-2, 0x1.419191be14094p-2, 0x1.3f49041df83c8p-2, 0x1.3d02047cf156ap-2, 0x1.3abc98b38c40ap-2, 0x1.3878c68fa2c91p-2, 0x1.363693d3edb08p-2, 0x1.33f60637a3772p-2, 0x1.31b7236611025p-2, 0x1.2f79f0fe3a9cep-2, 0x1.2d3e74927f9b3p-2, 0x1.2b04b3a83e702p-2, 0x1.28ccb3b77cb7p-2, 0x1.26967a2a93329p-2, 0x1.24620c5ddbffcp-2, 0x1.222f6f9f636bp-2, 0x1.1ffea92e9cbbdp-2, 0x1.1dcfbe3c153d2p-2, 0x1.1ba2b3e93082cp-2, 0x1.19778f47e4ae4p-2, 0x1.174e555a7562ap-2, 0x1.15270b1337f3ap-2, 0x1.1301b55456444p-2, 0x1.10de58ef93d76p-2, 0x1.0ebcfaa616d61p-2, 0x1.0c9d9f28350b1p-2, 0x1.0a804b153ce94p-2, 0x1.086502fb4ae24p-2, 0x1.064bcb5715f17p-2, 0x1.0434a893c7963p-2, 0x1.021f9f0ad27cbp-2, 0x1.000cb303c763ap-2, 0x1.fbf7d1686d87dp-3, 0x1.f7da887f0d2ffp-3, 0x1.f3c1936dad4ccp-3, 0x1.efacfa31bf0b9p-3, 0x1.eb9cc4a3acee2p-3, 0x1.e790fa76a441ap-3, 0x1.e389a33864bdap-3, 0x1.df86c65111048p-3, 0x1.db886b03054bep-3, 0x1.d78e986ab0a8dp-3, 0x1.d399557e70ff5p-3, 0x1.cfa8a90e751a3p-3, 0x1.cbbc99c49ec31p-3, 0x1.c7d52e246be3ap-3, 0x1.c3f26c8adec5cp-3, 0x1.c0145b2e6b9adp-3, 0x1.bc3b001eeded4p-3, 0x1.b86661459465fp-3, 0x1.b4968464dfea7p-3, 0x1.b0cb6f1899f07p-3, 0x1.ad0526d5ce555p-3, 0x1.a943b0eacee2cp-3, 0x1.a587127f35f28p-3, 0x1.a1cf5093e66e6p-3, 0x1.9e1c70031ac4p-3, 0x1.9a6e75806788cp-3, 0x1.96c56598ced38p-3, 0x1.932144b2c9086p-3, 0x1.8f82170e5c98cp-3, 0x1.8be7e0c52dd86p-3, 0x1.8852a5ca96bd6p-3, 0x1.84c269ebbcddap-3, 0x1.813730cfb1fa6p-3, 0x1.7db0fdf789fdfp-3, 0x1.7a2fd4be7c684p-3, 0x1.76b3b85a0a221p-3, 0x1.733cabda145bp-3, 0x1.6fcab2291150dp-3, 0x1.6c5dce0c232e1p-3, 0x1.68f602234cd0bp-3, 0x1.659350e995da6p-3, 0x1.6235bcb536abdp-3, 0x1.5edd47b7ca87ep-3, 0x1.5b89f3fe7b8e6p-3, 0x1.583bc37233fe6p-3, 0x1.54f2b7d7d21bdp-3, 0x1.51aed2d05dd77p-3, 0x1.4e7015d9392f8p-3, 0x1.4b36824c60666p-3, 0x1.4802196097bf7p-3, 0x1.44d2dc29b01b5p-3, 0x1.41a8cb98badd7p-3, 0x1.3e83e87c4a226p-3, 0x1.3b643380ae523p-3, 0x1.3849ad3035757p-3, 0x1.353455f36c4cap-3, 0x1.32242e115be2bp-3, 0x1.2f1935afd4515p-3, 0x1.2c136cd3a9726p-3, 0x1.2912d360fa1f8p-3, 0x1.2617691b7af66p-3, 0x1.23212da6b30a3p-3, 0x1.203020865054dp-3, 0x1.1d44411e65499p-3, 0x1.1a5d8eb3bb83fp-3, 0x1.177c086c1be88p-3, 0x1.149fad4e95e46p-3, 0x1.11c87c43d3decp-3, 0x1.0ef67416643a6p-3, 0x1.0c29937304fb8p-3, 0x1.0961d8e8f5955p-3, 0x1.069f42ea4b5b6p-3, 0x1.03e1cfcc37dffp-3, 0x1.01297dc760e9ep-3, 0x1.fcec95f05f3e8p-4, 0x1.f7906abe49ecp-4, 0x1.f23e75c24ffaep-4, 0x1.ecf6b28fb9e5dp-4, 0x1.e7b91c83f365fp-4, 0x1.e285aec72f0ebp-4, 0x1.dd5c644d10f26p-4, 0x1.d83d37d56212fp-4, 0x1.d32823eca7ad3p-4, 0x1.ce1d22ece67e8p-4, 0x1.c91c2efe46605p-4, 0x1.c4254217b7a61p-4, 0x1.bf3855ffb4a0bp-4, 0x1.ba55644cdc6e6p-4, 0x1.b57c6666b0f97p-4, 0x1.b0ad5586435f8p-4, 0x1.abe82ab6e058dp-4, 0x1.a72cded6c72ddp-4, 0x1.a27b6a97d9a2fp-4, 0x1.9dd3c6804be4bp-4, 0x1.9935eaeb57445p-4, 0x1.94a1d009f1b43p-4, 0x1.90176de379d51p-4, 0x1.8b96bc566aedfp-4, 0x1.871fb319132d6p-4, 0x1.82b249ba49368p-4, 0x1.7e4e77a212ba3p-4, 0x1.79f4341268f87p-4, 0x1.75a37627de77fp-4, 0x1.715c34da56afep-4, 0x1.6d1e66fdbb0dfp-4, 0x1.68ea0342a97a1p-4, 0x1.64bf00372d682p-4, 0x1.609d54476914cp-4, 0x1.5c84f5be5194dp-4, 0x1.5875dac657e4dp-4, 0x1.546ff96a20bfdp-4, 0x1.5073479531ba7p-4, 0x1.4c7fbb14a34bbp-4, 0x1.48954997d4109p-4, 0x1.44b3e8b110fa3p-4, 0x1.40db8dd64d24bp-4, 0x1.3d0c2e61cb6dfp-4, 0x1.3945bf92c9fb6p-4, 0x1.3588368e3902bp-4, 0x1.31d3885f5e0b1p-4, 0x1.2e27a9f88541ap-4, 0x1.2a849033a8122p-4, 0x1.26ea2fd31fb71p-4, 0x1.23587d82476c7p-4, 0x1.1fcf6dd626e7cp-4, 0x1.1c4ef54e1ffaap-4, 0x1.18d708548c05ep-4, 0x1.15679b3f6b318p-4, 0x1.1200a2510835p-4, 0x1.0ea211b897062p-4, 0x1.0b4bdd92ddbb2p-4, 0x1.07fdf9ead7726p-4, 0x1.04b85aba521f8p-4, 0x1.017af3ea91189p-4, 0x1.fc8b72a9d8f1ap-5, 0x1.f6313d86d786bp-5, 0x1.efe72fe2d4bf5p-5, 0x1.e9ad311856bfdp-5, 0x1.e3832866f27b5p-5, 0x1.dd68fcf478873p-5, 0x1.d75e95ce26db9p-5, 0x1.d163d9e9e251cp-5, 0x1.cb78b02744271p-5, 0x1.c59cff50e9ffcp-5, 0x1.bfd0ae1d7e22fp-5, 0x1.ba13a330e82d3p-5, 0x1.b465c51d65d5bp-5, 0x1.aec6fa64b05e8p-5, 0x1.a93729791baf3p-5, 0x1.a3b638be9ff95p-5, 0x1.9e440e8bf9e11p-5, 0x1.98e0912bc0ccap-5, 0x1.938ba6dd68169p-5, 0x1.8e4535d65cc05p-5, 0x1.890d244304886p-5, 0x1.83e35847cab96p-5, 0x1.7ec7b8021ff46p-5, 0x1.79ba2989826cep-5, 0x1.74ba92f06f463p-5, 0x1.6fc8da456dfa7p-5, 0x1.6ae4e593f7dd7p-5, 0x1.660e9ae57de2bp-5, 0x1.6145e04245927p-5, 0x1.5c8a9bb270918p-5, 0x1.57dcb33ed2e73p-5, 0x1.533c0cf1e6d16p-5, 0x1.4ea88ed8ace3fp-5, 0x1.4a221f0393e6ap-5, 0x1.45a8a3874cfe3p-5, 0x1.413c027db65aap-5, 0x1.3cdc2206a5e06p-5, 0x1.3888e848c45b7p-5, 0x1.34423b72625cbp-5, 0x1.300801ba41215p-5, 0x1.2bda2160611aap-5, 0x1.27b880aecad59p-5, 0x1.23a305fa50241p-5, 0x1.1f9997a357208p-5, 0x1.1b9c1c16906f2p-5, 0x1.17aa79cdb1042p-5, 0x1.13c4975033a7p-5, 0x1.0fea5b34044bbp-5, 0x1.0c1bac1e3bf55p-5, 0x1.085870c3c39d2p-5, 0x1.04a08fea07493p-5, 0x1.00f3f067a0578p-5, 0x1.faa4f249d6c0fp-6, 0x1.f3782239877e7p-6, 0x1.ec613eba106dbp-6, 0x1.e560160e84255p-6, 0x1.de7476a286f4ep-6, 0x1.d79e2f0b59979p-6, 0x1.d0dd0e091fb72p-6, 0x1.ca30e287dd3f8p-6, 0x1.c3997ba09f53cp-6, 0x1.bd16a89a92f6fp-6, 0x1.b6a838ec0043cp-6, 0x1.b04dfc3b5b74p-6, 0x1.aa07c2603bdf8p-6, 0x1.a3d55b645462dp-6, 0x1.9db69784678dp-6, 0x1.97ab473148789p-6, 0x1.91b33b108c1f5p-6, 0x1.8bce43fdb0e72p-6, 0x1.85fc330ab8bd7p-6, 0x1.803cd9812e288p-6, 0x1.7a9008e2ca59ap-6, 0x1.74f592ea6b774p-6, 0x1.6f6d498ca9cbdp-6, 0x1.69f6fef8b8f39p-6, 0x1.649285990f56fp-6, 0x1.5f3fb0141d201p-6, 0x1.59fe514cf955ep-6, 0x1.54ce3c640a0bp-6, 0x1.4faf44b7a41a2p-6, 0x1.4aa13de4a6a9dp-6, 0x1.45a3fbc718ccep-6, 0x1.40b7527abc947p-6, 0x1.3bdb165b908a6p-6, 0x1.370f1c066377ap-6, 0x1.325338594ed52p-6, 0x1.2da7407438faap-6, 0x1.290b09b94e276p-6, 0x1.247e69cd749dbp-6, 0x1.20013698b4c8ap-6, 0x1.1b934646a4e5bp-6, 0x1.17346f46d6cb8p-6, 0x1.12e4884d3148p-6, 0x1.0ea3685246ae1p-6, 0x1.0a70e693b759fp-6, 0x1.064cda94753ecp-6, 0x1.02371c1d2aa3ap-6, 0x1.fc5f0678c1afbp-7, 0x1.f46bd08dc56d3p-7, 0x1.ec9447afda6a8p-7, 0x1.e4d81da2e1a92p-7, 0x1.dd3704b8a0832p-7, 0x1.d5b0afd10caa8p-7, 0x1.ce44d25ac0f97p-7, 0x1.c6f320533f977p-7, 0x1.bfbb4e476290ap-7, 0x1.b89d11538baf6p-7, 0x1.b1981f23f1e45p-7, 0x1.aaac2df4ba9b6p-7, 0x1.a3d8f492596f7p-7, 0x1.9d1e2a598ec1fp-7, 0x1.967b8737bac4p-7, 0x1.8ff0c3aab60e7p-7, 0x1.897d98c1277b1p-7, 0x1.8321c01a63c62p-7, 0x1.7cdcf3e68c84fp-7, 0x1.76aeeee6972efp-7, 0x1.70976c6c1201dp-7, 0x1.6a96285968f78p-7, 0x1.64aadf217c38bp-7, 0x1.5ed54dc7d2c74p-7, 0x1.591531e03aca4p-7, 0x1.536a498ee71cap-7, 0x1.4dd45387e6c8bp-7, 0x1.48530f0f672dfp-7, 0x1.42e63bf90f0f6p-7, 0x1.3d8d9aa81a04dp-7, 0x1.3848ec0ec7198p-7, 0x1.3317f1ae6792dp-7, 0x1.2dfa6d96d1c7bp-7, 0x1.28f022660f37ap-7, 0x1.23f8d3484040ep-7, 0x1.1f1443f70a76dp-7, 0x1.1a4238b941601p-7, 0x1.15827662a474ep-7, 0x1.10d4c2533f869p-7, 0x1.0c38e277361c9p-7, 0x1.07ae9d461ada4p-7, 0x1.0335b9c2b41a8p-7, 0x1.fd9bfef495372p-8, 0x1.f4ee6d08a1619p-8, 0x1.ec624f039f397p-8, 0x1.e3f73739d91fcp-8, 0x1.dbacb91093886p-8, 0x1.d38268fd4c72dp-8, 0x1.cb77dc84196c9p-8, 0x1.c38caa370f49ep-8, 0x1.bbc069b48fd51p-8, 0x1.b412b3a6754bp-8, 0x1.ac8321c0b98c6p-8, 0x1.a5114ec015b5ep-8, 0x1.9dbcd668ea0e7p-8, 0x1.96855585e1488p-8, 0x1.8f6a69e68d48dp-8, 0x1.886bb25e340fdp-8, 0x1.8188cec23e9f8p-8, 0x1.7ac15fe933c61p-8, 0x1.741507a8c9d8ap-8, 0x1.6d8368d5119fbp-8, 0x1.670c273e98658p-8, 0x1.60aee7b11e125p-8, 0x1.5a6b4ff228a9fp-8, 0x1.544106bf7e2bdp-8, 0x1.4e2fb3cda3cc6p-8, 0x1.4836ffc64150bp-8, 0x1.42569446eecf9p-8, 0x1.3c8e1bdf35412p-8, 0x1.36dd420f6cdb5p-8, 0x1.3143b346eaf2ep-8, 0x1.2bc11ce28e6efp-8, 0x1.26552d2b13198p-8, 0x1.20ff9353a8358p-8, 0x1.1bbfff7802399p-8, 0x1.1696229b28d9ap-8, 0x1.1181aea5723cdp-8, 0x1.0c825663391a5p-8, 0x1.0797cd83014fep-8, 0x1.02c1c893d7dcdp-8, 0x1.fbfffa07a5e6bp-9, 0x1.f2a4423c7620ap-9, 0x1.e96fd81405c5dp-9, 0x1.e0622b9019142p-9, 0x1.d77aae6302cbap-9, 0x1.ceb8d3ec40ac8p-9, 0x1.c61c11356094fp-9, 0x1.bda3dcee1673fp-9, 0x1.b54faf69a7f1fp-9, 0x1.ad1f029a78781p-9, 0x1.a511520fe8d02p-9, 0x1.9d261af210c56p-9, 0x1.955cdbfe6f566p-9, 0x1.8db515851fc32p-9, 0x1.862e4964a5c0fp-9, 0x1.7ec7fb0743beap-9, 0x1.7781af5f0e976p-9, 0x1.705aece2ddf22p-9, 0x1.69533b8acaea3p-9, 0x1.626a24cca4054p-9, 0x1.5b9f3398eb15fp-9, 0x1.54f1f45742708p-9, 0x1.4e61f4e2d6bf2p-9, 0x1.47eec4874a506p-9, 0x1.4197f3fd53462p-9, 0x1.3b5d15672a7acp-9, 0x1.353dbc4d82a21p-9, 0x1.2f397d9bd8385p-9, 0x1.294fef9d65d25p-9, 0x1.2380a9f995d3bp-9, 0x1.1dcb45b0da09p-9, 0x1.182f5d1939838p-9, 0x1.12ac8bdb4579ap-9, 0x1.0d426eee69c61p-9, 0x1.07f0a495f69c5p-9, 0x1.02b6cc5dd02b6p-9, 0x1.fb290e2e0c164p-10, 0x1.f112eda95eafap-10, 0x1.e72a7dd170551p-10, 0x1.dd6f07c118554p-10, 0x1.d3dfd70465acep-10, 0x1.ca7c3990dbcfbp-10, 0x1.c1437fc0c5d3bp-10, 0x1.b834fc4b8adf8p-10, 0x1.af5004409e413p-10, 0x1.a693eeff8cedcp-10, 0x1.9e001633b1804p-10, 0x1.9593d5cc8ae87p-10, 0x1.8d4e8bf7f85ccp-10, 0x1.852f991c82cf1p-10, 0x1.7d365fd2aeae9p-10, 0x1.756244df17335p-10, 0x1.6db2af2cc9d6ap-10, 0x1.662707c66f8cbp-10, 0x1.5ebeb9d11c34bp-10, 0x1.57793285f5ecbp-10, 0x1.5055e12c64a0dp-10, 0x1.4954371436585p-10, 0x1.4273a79008311p-10, 0x1.3bb3a7eeb4472p-10, 0x1.3513af76cd684p-10, 0x1.2e93375f8ee1ep-10, 0x1.2831bacc4ab1bp-10, 0x1.21eeb6c606b76p-10, 0x1.1bc9aa366ccb1p-10, 0x1.15c215e1d9a68p-10, 0x1.0fd77c61ef887p-10, 0x1.0a0962201b55cp-10, 0x1.04574d5054b99p-10, 0x1.fd818bd6d5bc4p-11, 0x1.f28aab539421dp-11, 0x1.e7c90ffca0151p-11, 0x1.dd3bd42120316p-11, 0x1.d2e215702db8fp-11, 0x1.c8baf4ee1f3d7p-11, 0x1.bec596e994e8fp-11, 0x1.b50122f275126p-11, 0x1.ab6cc3ce2fe3ap-11, 0x1.a207a76f95747p-11, 0x1.98d0feeab4c87p-11, 0x1.8fc7fe6d100a5p-11, 0x1.86ebdd321abd8p-11, 0x1.7e3bd57a4f51dp-11, 0x1.75b72481c5b66p-11, 0x1.6d5d0a75a2099p-11, 0x1.652cca6b8be6ep-11, 0x1.5d25aa581ce52p-11, 0x1.5546f30502845p-11, 0x1.4d8ff0082ab94p-11, 0x1.45ffefbaaf651p-11, 0x1.3e96432f889abp-11, 0x1.37523e2afe11ap-11, 0x1.303337190fc97p-11, 0x1.29388704ece42p-11, 0x1.22618990acb45p-11, 0x1.1bad9cebf0cccp-11, 0x1.151c21cbe6c9cp-11, 0x1.0eac7b6251f5fp-11, 0x1.085e0f55a47f1p-11, 0x1.023045b80d61fp-11, 0x1.f84511ff59bc7p-12, 0x1.ec688bfcd43d6p-12, 0x1.e0c9d7b382e37p-12, 0x1.d567d804fe4acp-12, 0x1.ca41745b0ef39p-12, 0x1.bf5598965db7bp-12, 0x1.b4a3350099a81p-12, 0x1.aa293e3b399f4p-12, 0x1.9fe6ad320e34fp-12, 0x1.95da7f0b25cbdp-12, 0x1.8c03b51846659p-12, 0x1.826154c83913dp-12, 0x1.78f26798930f9p-12, 0x1.6fb5fb05ead76p-12, 0x1.66ab207f33e64p-12, 0x1.5dd0ed57c57e1p-12, 0x1.55267ab714d2cp-12, 0x1.4caae58db156cp-12, 0x1.445d4e85e9fcap-12, 0x1.3c3cd9f72d6fp-12, 0x1.3448afd8131b1p-12, 0x1.2c7ffbb13e353p-12, 0x1.24e1ec914d273p-12, 0x1.1d6db4fe2ca97p-12, 0x1.16228aea9faadp-12, 0x1.0effa7a7327dp-12, 0x1.080447d78b574p-12, 0x1.012fab654c018p-12, 0x1.f5022ae8d2958p-13, 0x1.e7ef98ad4abfdp-13, 0x1.db2632ffbb9aap-13, 0x1.cea492f43d02ep-13, 0x1.c26957b6cb36p-13, 0x1.b673266ea0425p-13, 0x1.aac0aa2c75b1fp-13, 0x1.9f5093d38008dp-13, 0x1.94219a016d279p-13, 0x1.893278f8d2e2p-13, 0x1.7e81f28dc5b96p-13, 0x1.740ece0e0a974p-13, 0x1.69d7d82d41716p-13, 0x1.5fdbe2f0a5a59p-13, 0x1.5619c5984b375p-13, 0x1.4c905c8d216eap-13, 0x1.433e894c64d68p-13, 0x1.3a2332523574bp-13, 0x1.313d4308f2622p-13, 0x1.288babb351e91p-13, 0x1.200d615a9eaf6p-13, 0x1.17c15dbb6d10fp-13, 0x1.0fa69f3389ed4p-13, 0x1.07bc28af857a4p-13, 0x1.00010198b8966p-13, 0x1.f0e86b853c22ap-14, 0x1.e229aab270bd5p-14, 0x1.d3c3e9a311d0ap-14, 0x1.c5b559ae15555p-14, 0x1.b7fc3473caed4p-14, 0x1.aa96bbbf7210ap-14, 0x1.9d833964a5f59p-14, 0x1.90bfff2072c1cp-14, 0x1.844b667661ca2p-14, 0x1.7823d093b406ap-14, 0x1.6c47a62e97b8dp-14, 0x1.60b557684586cp-14, 0x1.556b5bac15866p-14, 0x1.4a683196026ccp-14, 0x1.3faa5ed03dfe2p-14, 0x1.35306ff9c0ab1p-14, 0x1.2af8f88681e71p-14, 0x1.210292a6c7ce7p-14, 0x1.174bdf26e7269p-14, 0x1.0dd38556c4bc2p-14, 0x1.049832ed1f832p-14, 0x1.f73137d8e4671p-15, 0x1.e5a6f515952a5p-15, 0x1.d48f1e2a3eaa5p-15, 0x1.c3e73fae6780cp-15, 0x1.b3acf200f262ep-15, 0x1.a3ddd91976f2p-15, 0x1.9477a4565b5cdp-15, 0x1.85780e4b9a385p-15, 0x1.76dcdc92089bdp-15, 0x1.68a3df99cf2c6p-15, 0x1.5acaf27bfa693p-15, 0x1.4d4ffaca2b10ep-15, 0x1.4030e86410bfbp-15, 0x1.336bb549f951ap-15, 0x1.26fe656f9aa24p-15, 0x1.1ae7069318678p-15, 0x1.0f23b012899f6p-15, 0x1.03b282bda0a3cp-15, 0x1.f12351657eae4p-16, 0x1.db7eaa6054f95p-16, 0x1.c67388e4222d5p-16, 0x1.b1fe770b23ea2p-16, 0x1.9e1c1044b3dfp-16, 0x1.8ac90114025b1p-16, 0x1.780206b48a49fp-16, 0x1.65c3eedaa811ep-16, 0x1.540b9763b06c8p-16, 0x1.42d5ee1720c03p-16, 0x1.321ff052f90c9p-16, 0x1.21e6aacfd2752p-16, 0x1.12273954d59dbp-16, 0x1.02dec67bb00f7p-16, 0x1.e81516c671446p-17, 0x1.cb4f9ef118831p-17, 0x1.af67d05f82079p-17, 0x1.9458718313bbcp-17, 0x1.7a1c63eea2c1cp-17, 0x1.60aea3c1bf6d9p-17, 0x1.480a47409e5eep-17, 0x1.302a7e511cef6p-17, 0x1.190a920b99f16p-17, 0x1.02a5e44a136bap-17, 0x1.d9efde48eea39p-18, 0x1.aff88926d3cbp-18, 0x1.875d1bf9fec81p-18, 0x1.6015177bbf5fbp-18, 0x1.3a18299799217p-18, 0x1.155e2c89f1028p-18, 0x1.e3be4c0be1078p-19, 0x1.9f268d05e540cp-19, 0x1.5ce5d0c28cddap-19, 0x1.1ced1e5115589p-19, 0x1.be5b9b12c6dabp-20, 0x1.47330b31b6c13p-20, 0x1.a888eddfcc61fp-21, 0x1.95d1844755f03p-22, -0x1.5607791d92577p-26, -0x1.b0ed6838bd292p-22, -0x1.9e9e2ebcba1e6p-21, -0x1.2eac8c06bc4ap-20, -0x1.8a6c6354f806ap-20, -0x1.e2a6c01aba9eep-20, -0x1.1bb99faa78e1ep-19, -0x1.44747d6e0ba0ap-19, -0x1.6b8f45dab2c0cp-19, -0x1.911506527687p-19, -0x1.b5108e2f100bp-19, -0x1.d78c700a20683p-19, -0x1.f89302ec869dcp-19, -0x1.0c1731aee633fp-18, -0x1.1b343a482355ap-18, -0x1.29a570b90e15cp-18, -0x1.376f8eef03951p-18, -0x1.449733c2192e6p-18, -0x1.5120e38a02edcp-18, -0x1.5d1108a44d3d1p-18, -0x1.686bf3e843e68p-18, -0x1.7335dd37c1b25p-18, -0x1.7d72e3e8cfde5p-18, -0x1.87270f5370b2cp-18, -0x1.90564f41e66afp-18, -0x1.99047c67a0682p-18, -0x1.a13558d719747p-18, -0x1.a8ec907797c25p-18, -0x1.b02db970cc49cp-18, -0x1.b6fc549b604f3p-18, -0x1.bd5bcdf5e13fbp-18, -0x1.c34f7d0048aaap-18, -0x1.c8daa532fdebap-18, -0x1.ce00765ef0ef3p-18, -0x1.d2c40d1761274p-18, -0x1.d7287310227f3p-18, -0x1.db309f85b48b9p-18, -0x1.dedf779b3a3f3p-18, -0x1.e237ceb11b3a7p-18, -0x1.e53c66cfc6162p-18, -0x1.e7eff0fa975e1p-18, -0x1.ea550d87ed40cp-18, -0x1.ec6e4c7ab5b13p-18, -0x1.ee3e2dddf8af3p-18, -0x1.efc7220f326fep-18, -0x1.f10b8a19af3e2p-18, -0x1.f20db808005ebp-18, -0x1.f2cfef2c5dd18p-18, -0x1.f3546477db33ep-18, -0x1.f39d3ec590483p-18, -0x1.f3ac97225fefap-18, -0x1.f384791ae16aep-18, -0x1.f326e30548a8fp-18, -0x1.f295c6444c597p-18, -0x1.f1d307917f37bp-18, -0x1.f0e07f43f635ap-18, -0x1.efbff98deb5e2p-18, -0x1.ee7336c5d9c87p-18, -0x1.ecfbeba2d4b9bp-18, -0x1.eb5bc17df46c4p-18, -0x1.e9945692a738bp-18, -0x1.e7a73e3927f28p-18, -0x1.e5960127e535dp-18, -0x1.e3621dab142a8p-18, -0x1.e10d07dcb725ep-18, -0x1.de9829e2cae6ep-18, -0x1.dc04e42579b54p-18, -0x1.d9548d850d13p-18, -0x1.d688738f58402p-18, -0x1.d3a1dab5bc5e7p-18, -0x1.d0a1fe812c663p-18, -0x1.cd8a11c374b43p-18, -0x1.ca5b3ecced086p-18, -0x1.c716a7973aa62p-18, -0x1.c3bd65f983d75p-18, -0x1.c0508bd7e6902p-18, -0x1.bcd1234e27894p-18, -0x1.b9402ede1d696p-18, -0x1.b59ea99e47744p-18, -0x1.b1ed8761d4b57p-18, -0x1.ae2db4e4ec63dp-18, -0x1.aa6017f6af78p-18, -0x1.a6858fa26fa22p-18, -0x1.a29ef454edf35p-18, -0x1.9ead1806451b2p-18, -0x1.9ab0c6619eb68p-18, -0x1.96aac4e594d18p-18, -0x1.929bd30f7e60ap-18, -0x1.8e84aa7a5dceep-18, -0x1.8a65ff05883a3p-18, -0x1.86407ef7a5614p-18, -0x1.8214d31e9fdfp-18, -0x1.7de39ef0e77dap-18, -0x1.79ad80b15a08ap-18, -0x1.7573118b38a2ap-18, -0x1.7134e5b4b13d4p-18, -0x1.6cf38c8b24101p-18, -0x1.68af90b338b84p-18, -0x1.646978359e78ep-18, -0x1.6021c49b22b6dp-18, -0x1.5bd8f30b94923p-18, -0x1.578f7c659a293p-18, -0x1.5345d55bdf3ccp-18, -0x1.4efc6e8fe487fp-18, -0x1.4ab3b4ab4a44fp-18, -0x1.466c10786d77bp-18, -0x1.4225e6fd9c70fp-18, -0x1.3de19993e532dp-18, -0x1.399f85ff098b3p-18, -0x1.3560068509f8fp-18, -0x1.31237204b8fafp-18, -0x1.2cea1c0ccd7aap-18, -0x1.28b454f0b06dep-18, -0x1.248269df82dd1p-18, -0x1.2054a4f6e4b48p-18, -0x1.1c2b4d59cfd7ap-18, -0x1.1806a742806f8p-18, -0x1.13e6f4180ade4p-18, -0x1.0fcc727f3d792p-18, -0x1.0bb75e6f930f4p-18, -0x1.07a7f14509a25p-18, -0x1.039e61d0f4467p-18, -0x1.ff35c8d9f60aap-19, -0x1.f73b5617bf8a9p-19, -0x1.ef4dca932da85p-19, -0x1.e76d80f7a3be3p-19, -0x1.df9acf8783d5dp-19, -0x1.d7d6083880cdbp-19, -0x1.d01f78d16577p-19, -0x1.c8776b0c37bafp-19, -0x1.c0de24afdf114p-19, -0x1.b953e7ab4a506p-19, -0x1.b1d8f236e54e4p-19, -0x1.aa6d7eece69e4p-19, -0x1.a311c4e2d4053p-19, -0x1.9bc5f7c6ab108p-19, -0x1.948a47f687139p-19, -0x1.8d5ee29a9eaadp-19, -0x1.8643f1bce3f53p-19, -0x1.7f399c5fd9e41p-19, -0x1.784006991e663p-19, -0x1.715751a5a399p-19, -0x1.6a7f9bfe92751p-19, -0x1.63b90172edcfdp-19, -0x1.5d039b39f5bc2p-19, -0x1.565f8007b8eefp-19, -0x1.4fccc42176debp-19, -0x1.494b7973e4622p-19, -0x1.42dbafa23c36p-19, -0x1.3c7d741c055d3p-19, -0x1.3630d22ed1a37p-19, -0x1.2ff5d31856a17p-19, -0x1.29cc7e14d1e58p-19, -0x1.23b4d8747bbdep-19, -0x1.1daee5aabd36bp-19, -0x1.17baa75bc1da7p-19, -0x1.11d81d70e431ep-19, -0x1.0c074624d3c58p-19, -0x1.06481e11f00d5p-19, -0x1.009aa0432e342p-19, -0x1.f5fd8c8221db1p-20, }}, 
      std::vector<double>(1000, 0.0), 
      {{0x1.493a1b4918378p-8, 0x1.49c0a4c8876ccp-7, 0x1.efd1720fbacccp-7, 0x1.4b837d44fa0acp-6, 0x1.9fb502940077p-6, 0x1.f46eb72a66eb3p-6, 0x1.24ca598f79218p-5, 0x1.4f8174e4c3234p-5, 0x1.7a48ab7387f16p-5, 0x1.a50b913e4de3cp-5, 0x1.cfb6762b66803p-5, 0x1.fa373a4383fa2p-5, 0x1.123ef2151a921p-4, 0x1.273e82e8e267ep-4, 0x1.3c14fb1b0612ep-4, 0x1.50be724d20beap-4, 0x1.653864c3ea1dap-4, 0x1.79819d48803ap-4, 0x1.8d9a136615544p-4, 0x1.a182c14d73171p-4, 0x1.b53d74b49fbc1p-4, 0x1.c8cc9dd2abf28p-4, 0x1.dc331f2e16724p-4, 0x1.ef74206b1b4f6p-4, 0x1.014972d8ca373p-3, 0x1.0ac95657e7b0ap-3, 0x1.143b47de1c123p-3, 0x1.1da0b794602cep-3, 0x1.26faf042725b3p-3, 0x1.304b11a6180a5p-3, 0x1.39920d2bd77a2p-3, 0x1.42d0a4a99e6a6p-3, 0x1.4c076ab9a4a62p-3, 0x1.5536c456f64e4p-3, 0x1.5e5eeb6524d7ap-3, 0x1.677ff1d6e65cfp-3, 0x1.7099c5336455bp-3, 0x1.79ac32463b724p-3, 0x1.82b6e8d1e6b6ap-3, 0x1.8bb97f27352bp-3, 0x1.94b3758dc040cp-3, 0x1.9da4397156216p-3, 0x1.a68b284e86b98p-3, 0x1.af67925d71715p-3, 0x1.b838bcfd479c5p-3, 0x1.c0fde4e54eaecp-3, 0x1.c9b6402163c75p-3, 0x1.d260ffe074755p-3, 0x1.dafd521b5dfeep-3, 0x1.e38a6319ee591p-3, 0x1.ec075edb2811bp-3, 0x1.f4737264d3982p-3, 0x1.fccdccfd8aa62p-3, 0x1.028ad0a9c0493p-2, 0x1.06a51348a7d1ap-2, 0x1.0ab54cb0d3a58p-2, 0x1.0ebb1e70eda53p-2, 0x1.12b62dc18febfp-2, 0x1.16a623ecf142fp-2, 0x1.1a8aaead471e9p-2, 0x1.1e6380817cd36p-2, 0x1.223050f7e6bb4p-2, 0x1.25f0dceeae013p-2, 0x1.29a4e6c9bb04cp-2, 0x1.2d4c369e0a1aep-2, 0x1.30e69a526c6e3p-2, 0x1.3473e5b5d4383p-2, 0x1.37f3f28b6ba95p-2, 0x1.3b66a08cc84c8p-2, 0x1.3ecbd562b75e4p-2, 0x1.42237c9516506p-2, 0x1.456d87725c69dp-2, 0x1.48a9ecef7130fp-2, 0x1.4bd8a9808778bp-2, 0x1.4ef9beebad6ccp-2, 0x1.520d3415cba59p-2, 0x1.551314cadcb3ap-2, 0x1.580b718209f8cp-2, 0x1.5af65f1e6d919p-2, 0x1.5dd3f6ad3124fp-2, 0x1.60a45521a7ee8p-2, 0x1.63679b101936dp-2, 0x1.661dec67c4e22p-2, 0x1.68c7702cc1bbbp-2, 0x1.6b6450322999dp-2, 0x1.6df4b8d51d731p-2, 0x1.7078d8b8fff49p-2, 0x1.72f0e08558814p-2, 0x1.755d02a5a3a74p-2, 0x1.77bd730b6c155p-2, 0x1.7a1266f2dea48p-2, 0x1.7c5c14aa19ab1p-2, 0x1.7e9ab35b57452p-2, 0x1.80ce7ada1cc9ap-2, 0x1.82f7a3737c9e6p-2, 0x1.851665c187728p-2, 0x1.872afa81e01c8p-2, 0x1.89359a6f82d4ep-2, 0x1.8b367e1fadc27p-2, 0x1.8d2ddde1defa6p-2, 0x1.8f1bf1a2d9e05p-2, 0x1.9100f0d28ef5p-2, 0x1.92dd124cde996p-2, 0x1.94b08c4500adbp-2, 0x1.967b94337d427p-2, 0x1.983e5ec69016fp-2, 0x1.99f91fd4c7d6fp-2, 0x1.9bac0a51c7956p-2, 0x1.9d575044f3fa6p-2, 0x1.9efb22c1edcc4p-2, 0x1.a097b1e2aba59p-2, 0x1.a22d2cc311dbbp-2, 0x1.a3bbc17dd8356p-2, 0x1.a5439d2aa22c6p-2, 0x1.a6c4ebdd1b8c8p-2, 0x1.a83fd8a500cedp-2, 0x1.a9b48d8eec0c9p-2, 0x1.ab2333a5c8a18p-2, 0x1.ac8bf2f4ceb54p-2, 0x1.adeef289fa596p-2, 0x1.af4c5878ccfc1p-2, 0x1.b0a449dd5a0f6p-2, 0x1.b1f6eadf7f3aap-2, 0x1.b3445eb638416p-2, 0x1.b48cc7ab0481fp-2, 0x1.b5d0471d43373p-2, 0x1.b70efd858d87dp-2, 0x1.b8490a78f38e4p-2, 0x1.b97e8cac204f6p-2, 0x1.baafa1f658bf5p-2, 0x1.bbdc67544ecbap-2, 0x1.bd04f8eacd406p-2, 0x1.be297209334cep-2, 0x1.bf49ed2bbfa76p-2, 0x1.c06683fdb2591p-2, 0x1.c17f4f5b38016p-2, 0x1.c29467533097bp-2, 0x1.c3a5e328caa33p-2, 0x1.c4b3d954f4aa7p-2, 0x1.c5be5f87b0bacp-2, 0x1.c6c58aa9444ffp-2, 0x1.c7c96edb4f9b2p-2, 0x1.c8ca1f79cbb77p-2, 0x1.c9c7af1bfa5bbp-2, 0x1.cac22f9542322p-2, 0x1.cbb9b1f605781p-2, 0x1.ccae468c71949p-2, 0x1.cd9ffce54dcdap-2, 0x1.ce8ee3cccd11dp-2, 0x1.cf7b094f6578fp-2, 0x1.d0647abab253cp-2, 0x1.d14b449e652f1p-2, 0x1.d22f72cd455a6p-2, 0x1.d311105e43aa2p-2, 0x1.d3f027ada436fp-2, 0x1.d4ccc25e412ebp-2, 0x1.d5a6e95ae4843p-2, 0x1.d67ea4d7c1497p-2, 0x1.d753fc54061bap-2, 0x1.d826f69b90fb7p-2, 0x1.d8f799c8bedb5p-2, 0x1.d9c5eb465d7b1p-2, 0x1.da91efd1babb6p-2, 0x1.db5bab7cd32bp-2, 0x1.dc2321b0a3c35p-2, 0x1.dce8552f96e98p-2, 0x1.ddab481811fbp-2, 0x1.de6bfbe72052p-2, 0x1.df2a717b3f45dp-2, 0x1.dfe6a9173ed73p-2, 0x1.e0a0a265466cep-2, 0x1.e1585c79eeac9p-2, 0x1.e20dd5d774658p-2, 0x1.e2c10c7107302p-2, 0x1.e371fdae28c45p-2, 0x1.e420a66e2804bp-2, 0x1.e4cd030ba9ac2p-2, 0x1.e5770f604617cp-2, 0x1.e61ec6c83adb9p-2, 0x1.e6c4242623d0bp-2, 0x1.e76721e6cb02bp-2, 0x1.e807ba04ffa64p-2, 0x1.e8a5e60d79d0dp-2, 0x1.e9419f22c68bbp-2, 0x1.e9dade0140375p-2, 0x1.ea719b0309926p-2, 0x1.eb05ce24111bfp-2, 0x1.eb976f0617fa9p-2, 0x1.ec2674f4bbf74p-2, 0x1.ecb2d6e988116p-2, 0x1.ed3c8b8ffaf5p-2, 0x1.edc389499d469p-2, 0x1.ee47c6320737dp-2, 0x1.eec93822ee78ap-2, 0x1.ef47d4b82dfe9p-2, 0x1.efc39153c8867p-2, 0x1.f03c6321e5cdfp-2, 0x1.f0b23f1ccd2a2p-2, 0x1.f1251a10d7522p-2, 0x1.f194e8a05a71ep-2, 0x1.f2019f4789ecfp-2, 0x1.f26b326053ed8p-2, 0x1.f2d196262eae8p-2, 0x1.f334beb9e3215p-2, 0x1.f394a025451b5p-2, 0x1.f3f12e5ee5cb8p-2, 0x1.f44a5d4db8fe9p-2, 0x1.f4a020ccac4fap-2, 0x1.f4f26cae343c2p-2, 0x1.f54134bfc961ep-2, 0x1.f58c6ccd588bdp-2, 0x1.f5d408a4a7bf9p-2, 0x1.f617fc18a62f3p-2, 0x1.f6583b04b43fdp-2, 0x1.f694b94fd836ep-2, 0x1.f6cd6aefe2305p-2, 0x1.f70243ec8191ep-2, 0x1.f73338624cdbbp-2, 0x1.f7603c85b30adp-2, 0x1.f78944a5e11c4p-2, 0x1.f7ae452f93545p-2, 0x1.f7cf32afd4eecp-2, 0x1.f7ec01d6b14b2p-2, 0x1.f804a779cf1bfp-2, 0x1.f8191896fadf2p-2, 0x1.f8294a56a110fp-2, 0x1.f835320e32d1bp-2, 0x1.f83cc5427964cp-2, 0x1.f83ff9a9d7a7p-2, 0x1.f83ec52e77bb2p-2, 0x1.f8391df062b82p-2, 0x1.f82efa478dc9cp-2, 0x1.f82050c5c887cp-2, 0x1.f80d1838a2f1bp-2, 0x1.f7f547ab39784p-2, 0x1.f7d8d667ef6e8p-2, 0x1.f7b7bbfa17e41p-2, 0x1.f791f02f89d33p-2, 0x1.f7676b1a2165cp-2, 0x1.f73825112c1d7p-2, 0x1.f70416b2c6089p-2, 0x1.f6cb38e5239c5p-2, 0x1.f68d84d7c0bb6p-2, 0x1.f64af4048923ap-2, 0x1.f6038030e6e8bp-2, 0x1.f5b7236ebee7p-2, 0x1.f565d81d5b2ep-2, 0x1.f50f98ea4676ap-2, 0x1.f4b460d2127d6p-2, 0x1.f4542b210a91fp-2, 0x1.f3eef373db27cp-2, 0x1.f384b5b823698p-2, 0x1.f3156e2cf534dp-2, 0x1.f2a119634854bp-2, 0x1.f227b43e589fcp-2, 0x1.f1a93bf3f9889p-2, 0x1.f125ae0cd25e5p-2, 0x1.f09d086490e08p-2, 0x1.f00f492a0b1cdp-2, 0x1.ef7c6edf5095ap-2, 0x1.eee47859ae37ap-2, 0x1.ee4764c1a3cb9p-2, 0x1.eda53392cbc5cp-2, 0x1.ecfde49bb5e42p-2, 0x1.ec5177fdafc39p-2, 0x1.eb9fee2c891p-2, 0x1.eae947ee44ca9p-2, 0x1.ea2d865abdcefp-2, 0x1.e96caadb43debp-2, 0x1.e8a6b72a2a998p-2, 0x1.e7dbad524d76fp-2, 0x1.e70b8fae8931cp-2, 0x1.e63660e92b86ap-2, 0x1.e55c23fb57f39p-2, 0x1.e47cdc2c625a4p-2, 0x1.e3988d1123096p-2, 0x1.e2af3a8b3ee61p-2, 0x1.e1c0e8c8681bp-2, 0x1.e0cd9c41958bap-2, 0x1.dfd559ba3651ap-2, 0x1.ded8263f58ea5p-2, 0x1.ddd60726ce6e2p-2, 0x1.dccf020e44fcep-2, 0x1.dbc31cda5ea4fp-2, 0x1.dab25db5be2d2p-2, 0x1.d99ccb10121cp-2, 0x1.d8826b9d1763dp-2, 0x1.d763465397a93p-2, 0x1.d63f626c63233p-2, 0x1.d516c76146f71p-2, 0x1.d3e97cebfddc2p-2, 0x1.d2b78b051c5ap-2, 0x1.d180f9e2fb443p-2, 0x1.d045d1f89f927p-2, 0x1.cf061bf4996ccp-2, 0x1.cdc1e0bfe9607p-2, 0x1.cc79297cdbe78p-2, 0x1.cb2bff85e40f5p-2, 0x1.c9da6c6c76fffp-2, 0x1.c88479f7e1ccap-2, 0x1.c72a32242094fp-2, 0x1.c5cb9f20b303bp-2, 0x1.c468cb4f705bep-2, 0x1.c301c1435953dp-2, 0x1.c1968bbf6a604p-2, 0x1.c02735b56d1e6p-2, 0x1.beb3ca44c94d9p-2, 0x1.bd3c54b955c8ap-2, 0x1.bbc0e08a274c5p-2, 0x1.ba41795863a42p-2, 0x1.b8be2aee11519p-2, 0x1.b737013ce8861p-2, 0x1.b5ac085d26bfcp-2, 0x1.b41d4c8c5fc2fp-2, 0x1.b28ada2c52188p-2, 0x1.b0f4bdc1bc6d4p-2, 0x1.af5b03f32fdd2p-2, 0x1.adbdb987eb7abp-2, 0x1.ac1ceb66afecap-2, 0x1.aa78a6949b657p-2, 0x1.a8d0f83403693p-2, 0x1.a725ed8351a6cp-2, 0x1.a57793dbdf7f5p-2, 0x1.a3c5f8b0dacabp-2, 0x1.a211298e22b0ap-2, 0x1.a05934172bfc4p-2, 0x1.9e9e2605e9d56p-2, 0x1.9ce00d29afe13p-2, 0x1.9b1ef76620427p-2, 0x1.995af2b214c3ap-2, 0x1.97940d168cd73p-2, 0x1.95ca54ad9e3bcp-2, 0x1.93fdd7a1659ffp-2, 0x1.922ea42afd6e8p-2, 0x1.905cc89171f75p-2, 0x1.8e885328bc30bp-2, 0x1.8cb15250bce97p-2, 0x1.8ad7d4743a2e6p-2, 0x1.88fbe807e1856p-2, 0x1.871d9b8948d78p-2, 0x1.853cfd7df5f38p-2, 0x1.835a1c7264befp-2, 0x1.817506f914704p-2, 0x1.7f8dcba992257p-2, 0x1.7da4791f8af57p-2, 0x1.7bb91df9dbcd5p-2, 0x1.79cbc8d9aa1a6p-2, 0x1.77dc886178eeep-2, 0x1.75eb6b3443deep-2, 0x1.73f87ff49d615p-2, 0x1.7203d543cda21p-2, 0x1.700d79c0f4d89p-2, 0x1.6e157c083193cp-2, 0x1.6c1beab1c9391p-2, 0x1.6a20d45152458p-2, 0x1.68244774e0518p-2, 0x1.662652a438e02p-2, 0x1.6427046000b4ap-2, 0x1.62266b20f6cap-2, 0x1.6024955729934p-2, 0x1.5e21916934964p-2, 0x1.5c1d6db37e073p-2, 0x1.5a1838877777ep-2, 0x1.5812002ae19b4p-2, 0x1.560ad2d715501p-2, 0x1.5402beb848452p-2, 0x1.51f9d1ecdfb16p-2, 0x1.4ff01a84bb911p-2, 0x1.4de5a680887c3p-2, 0x1.4bda83d117a51p-2, 0x1.49cec056b3c32p-2, 0x1.47c269e07c95cp-2, 0x1.45b58e2bc65d6p-2, 0x1.43a83ae375cf3p-2, 0x1.419a7d9f67e9p-2, 0x1.3f8c63e3d4eecp-2, 0x1.3d7dfb20bb527p-2, 0x1.3b6f50b14b0c8p-2, 0x1.396071db5327dp-2, 0x1.37516bceb4232p-2, 0x1.35424ba4d5d87p-2, 0x1.33331e601c81fp-2, 0x1.3123f0eb668bdp-2, 0x1.2f14d019843d3p-2, 0x1.2d05c8a4be554p-2, 0x1.2af6e72e53dccp-2, 0x1.28e8383e0447bp-2, 0x1.26d9c841936f2p-2, 0x1.24cba38c5a4bep-2, 0x1.22bdd656d269fp-2, 0x1.20b06cbe27143p-2, 0x1.1ea372c3cd88ep-2, 0x1.1c96f44d1776cp-2, 0x1.1a8afd22cf97ep-2, 0x1.187f98f0d72d4p-2, 0x1.1674d345c68fp-2, 0x1.146ab7928c6a6p-2, 0x1.1261512a18ep-2, 0x1.1058ab4101989p-2, 0x1.0e50d0ed3067bp-2, 0x1.0c49cd258fbbcp-2, 0x1.0a43aac1bda6ap-2, 0x1.083e7479bee69p-2, 0x1.063a34e5b573ap-2, 0x1.0436f67d9c541p-2, 0x1.0234c399021f5p-2, 0x1.0033a66ec9387p-2, 0x1.fc675229d71a4p-3, 0x1.f869ab007ae78p-3, 0x1.f46e6b086e44dp-3, 0x1.f075a5a57d2c1p-3, 0x1.ec7f6df7ed824p-3, 0x1.e88bd6dc1bb21p-3, 0x1.e49af2ea20f37p-3, 0x1.e0acd47583405p-3, 0x1.dcc18d8ce1c46p-3, 0x1.d8d92ff9acbc8p-3, 0x1.d4f3cd3fe1bbap-3, 0x1.d111769dcef9bp-3, 0x1.cd323d0bd23bep-3, 0x1.c956313c2e9c6p-3, 0x1.c57d639ad43ebp-3, 0x1.c1a7e44d3e019p-3, 0x1.bdd5c33246653p-3, 0x1.ba070fe20c46dp-3, 0x1.b63bd9add6baap-3, 0x1.b2742f9fffefdp-3, 0x1.aeb0207be1d66p-3, 0x1.aaefbabdcff6fp-3, 0x1.a7330c9b0ce47p-3, 0x1.a37a2401c87ap-3, 0x1.9fc50e9920bc2p-3, 0x1.9c13d9c131adap-3, 0x1.9866929317f37p-3, 0x1.94bd45e1034d5p-3, 0x1.91180036555f3p-3, 0x1.8d76cdd7ac3f3p-3, 0x1.89d9bac30e70dp-3, 0x1.8640d2b00467p-3, 0x1.82ac210fc6418p-3, 0x1.7f1bb10d619fep-3, 0x1.7b8f8d8debc44p-3, 0x1.7807c130b5797p-3, 0x1.7484564f7ef85p-3, 0x1.710556febba2ap-3, 0x1.6d8acd0dc96d9p-3, 0x1.6a14c207357d8p-3, 0x1.66a33f310a6f4p-3, 0x1.63364d8d12506p-3, 0x1.5fcdf5d92a2f9p-3, 0x1.5c6a408f93ea1p-3, 0x1.590b35e74b7e4p-3, 0x1.55b0ddd461a55p-3, 0x1.525b4008558b4p-3, 0x1.4f0a63f276725p-3, 0x1.4bbe50c04636dp-3, 0x1.48770d5de2dcep-3, 0x1.4534a0766ad6fp-3, 0x1.41f710746bda5p-3, 0x1.3ebe63825538cp-3, 0x1.3b8a9f8ae4118p-3, 0x1.385bca399cb42p-3, 0x1.3531e8fb42412p-3, 0x1.320d00fe50edbp-3, 0x1.2eed173375a46p-3, 0x1.2bd2304e18ff8p-3, 0x1.28bc50c4d6087p-3, 0x1.25ab7cd2036fbp-3, 0x1.229fb8743cc4ep-3, 0x1.1f99076ee586dp-3, 0x1.1c976d4ab8839p-3, 0x1.199aed5651f1cp-3, 0x1.16a38aa6c0936p-3, 0x1.13b1481815163p-3, 0x1.10c4284df87d3p-3, 0x1.0ddc2db439beep-3, 0x1.0af95a7f6975fp-3, 0x1.081bb0ad704b4p-3, 0x1.0543320628e4p-3, 0x1.026fe01bf8ef7p-3, 0x1.ff437898dd339p-4, 0x1.f9b18f81bdc16p-4, 0x1.f42a06de00c6p-4, 0x1.eeace03328867p-4, 0x1.e93a1ca1fae52p-4, 0x1.e3d1bce7cc1d5p-4, 0x1.de73c15fd40d3p-4, 0x1.d9202a045b094p-4, 0x1.d3d6f6701efb7p-4, 0x1.ce9825df8c874p-4, 0x1.c963b73210cecp-4, 0x1.c439a8eb72413p-4, 0x1.bf19f9350f063p-4, 0x1.ba04a5df3b134p-4, 0x1.b4f9ac628ca9fp-4, 0x1.aff909e12e1dp-4, 0x1.ab02bb282dd2dp-4, 0x1.a616bcb0e364fp-4, 0x1.a1350aa2253f2p-4, 0x1.9c5da0d1bf56p-4, 0x1.97907ac5a8f3ap-4, 0x1.92cd93b575fap-4, 0x1.8e14e68b8f7ffp-4, 0x1.89666de6a540bp-4, 0x1.84c2241ae9bdcp-4, 0x1.80280333759b6p-4, 0x1.7b9804f396ef5p-4, 0x1.771222d8268abp-4, 0x1.72965618d52c1p-4, 0x1.6e2497a987ffbp-4, 0x1.69bce03b9f228p-4, 0x1.655f283f4c544p-4, 0x1.610b67e4e0dd9p-4, 0x1.5cc1971e1ece2p-4, 0x1.5881ad9f82502p-4, 0x1.544ba2e18e264p-4, 0x1.501f6e2218298p-4, 0x1.4bfd06659215ep-4, 0x1.47e4627851cf1p-4, 0x1.43d578efd6a89p-4, 0x1.3fd0402c0d445p-4, 0x1.3bd4ae589507dp-4, 0x1.37e2b96dfe2cfp-4, 0x1.33fa57330d1a4p-4, 0x1.301b7d3df0b64p-4, 0x1.2c4620f587af4p-4, 0x1.287a37928cc7ap-4, 0x1.24b7b620dffc1p-4, 0x1.20fe9180a6d9ep-4, 0x1.1d4ebe679031p-4, 0x1.19a83161f8a2fp-4, 0x1.160aded41eacbp-4, 0x1.1276bafb55a2cp-4, 0x1.0eebb9ef1bd2dp-4, 0x1.0b69cfa25299cp-4, 0x1.07f0efe458374p-4, 0x1.04810e6231fep-4, 0x1.011a1ea7a40a7p-4, 0x1.fb782840a92dfp-5, 0x1.f4cdc431b465ap-5, 0x1.ee34f77fbf39cp-5, 0x1.e7ada84e5da1p-5, 0x1.e137bc89960bfp-5, 0x1.dad319e7e09fcp-5, 0x1.d47fa5ec656cp-5, 0x1.ce3d45e8e3b7fp-5, 0x1.c80bdeffe1cb3p-5, 0x1.c1eb5626a6877p-5, 0x1.bbdb9027210fep-5, 0x1.b5dc71a20da9ap-5, 0x1.afeddf10bdb92p-5, 0x1.aa0fbcc7261ddp-5, 0x1.a441eef5b0af2p-5, 0x1.9e8459ab32abcp-5, 0x1.98d6e0d6a0a87p-5, 0x1.9339684920168p-5, 0x1.8dabd3b78dcfdp-5, 0x1.882e06bc87855p-5, 0x1.82bfe4d9f4676p-5, 0x1.7d61517af4e59p-5, 0x1.78122ff5725fdp-5, 0x1.72d2638bd4249p-5, 0x1.6da1cf6eb62fep-5, 0x1.688056be809b5p-5, 0x1.636ddc8cfdfeap-5, 0x1.5e6a43df003e6p-5, 0x1.59756faddbd5p-5, 0x1.548f42e9053dep-5, 0x1.4fb7a07777225p-5, 0x1.4aee6b3954573p-5, 0x1.4633860935692p-5, 0x1.4186d3bdaece8p-5, 0x1.3ce8372ab98bp-5, 0x1.385793230af02p-5, 0x1.33d4ca7973c1p-5, 0x1.2f5fc0024172ap-5, 0x1.2af8569476f5fp-5, 0x1.269e710b333f1p-5, 0x1.2251f246d54d4p-5, 0x1.1e12bd2e5336dp-5, 0x1.19e0b4b06594bp-5, 0x1.15bbbbc4af0e9p-5, 0x1.11a3b56cfe4b2p-5, 0x1.0d9884b65b18fp-5, 0x1.099a0cba37209p-5, 0x1.05a8309f76214p-5, 0x1.01c2d39b89e05p-5, 0x1.fbd3b1e71962ep-6, 0x1.f43a47fa41c47p-6, 0x1.ecb9303f3c83cp-6, 0x1.e55031a9e265cp-6, 0x1.ddff135534ea9p-6, 0x1.d6c59c85318d3p-6, 0x1.cfa394a8bf0c7p-6, 0x1.c898c35b5e2f3p-6, 0x1.c1a4f066e2471p-6, 0x1.bac7e3c553368p-6, 0x1.b40165a24eb17p-6, 0x1.ad513e5ce069bp-6, 0x1.a6b7368900294p-6, 0x1.a03316f11208dp-6, 0x1.99c4a897626ddp-6, 0x1.936bb4b7c536dp-6, 0x1.8d2804c8a55bap-6, 0x1.86f9627cc7494p-6, 0x1.80df97c44b22bp-6, 0x1.7ada6ece361d6p-6, 0x1.74e9b209919c3p-6, 0x1.6f0d2c26a0ce9p-6, 0x1.6944a81814e78p-6, 0x1.638ff114377aep-6, 0x1.5deed29600723p-6, 0x1.5861185e1f56bp-6, 0x1.52e68e740820cp-6, 0x1.4d7f0126f62c6p-6, 0x1.482a3d0ee8252p-6, 0x1.42e80f0d650e6p-6, 0x1.3db8444eb07a3p-6, 0x1.389aaa4a34171p-6, 0x1.338f0ec3c9035p-6, 0x1.2e953fcc3c182p-6, 0x1.29ad0bc20863bp-6, 0x1.24d6415256998p-6, 0x1.2010af7957d8ep-6, 0x1.1b5c25833926dp-6, 0x1.16b8730c91347p-6, 0x1.12256803212eap-6, 0x1.0da2d4a652b36p-6, 0x1.09308987c48efp-6, 0x1.04ce578bddcdfp-6, 0x1.007c0fea455dap-6, 0x1.f873085c8a887p-7, 0x1.f00d0c6ea3798p-7, 0x1.e7c5d072e1501p-7, 0x1.df9cf97af7649p-7, 0x1.d7922d43801f7p-7, 0x1.cfa5123406d37p-7, 0x1.c7d54f6007e1cp-7, 0x1.c0228c875d186p-7, 0x1.b88c7216dcba8p-7, 0x1.b112a9289ba64p-7, 0x1.a9b4db84b0f46p-7, 0x1.a272b3a134906p-7, 0x1.9b4bdca2d02ddp-7, 0x1.9440025d0f80fp-7, 0x1.8d4ed1526ce94p-7, 0x1.8677f6b4baffp-7, 0x1.7fbb206510df2p-7, 0x1.7917fcf43689cp-7, 0x1.728e3ba29b07bp-7, 0x1.6c1d8c601ab71p-7, 0x1.65c59fcc6ba93p-7, 0x1.5f862736c9317p-7, 0x1.595ed49e37731p-7, 0x1.534f5ab0e01fbp-7, 0x1.4d576ccc87476p-7, 0x1.4776befdf2814p-7, 0x1.41ad0600ce99fp-7, 0x1.3bf9f73fa6021p-7, 0x1.365d48d3562d7p-7, 0x1.30d6b182d9ac3p-7, 0x1.2b65e8c330621p-7, 0x1.260aa6b684f56p-7, 0x1.20c4a42c3ff35p-7, 0x1.1b939aa06957p-7, 0x1.1677443b38ef4p-7, 0x1.116f5bd0952bcp-7, 0x1.0c7b9cdfd1cfap-7, 0x1.079bc392bb9fdp-7, 0x1.02cf8cbd80e2p-7, 0x1.fc2d6bbb84c78p-8, 0x1.f2e1fa34920eap-8, 0x1.e9bc42844df4p-8, 0x1.e0bbc3989ff5fp-8, 0x1.d7dffdad756b9p-8, 0x1.cf28724bb97e5p-8, 0x1.c694a447b0145p-8, 0x1.be2417bfc198cp-8, 0x1.b5d6521af5b4dp-8, 0x1.adaada072a31cp-8, 0x1.a5a1377802c92p-8, 0x1.9db8f3a4e3836p-8, 0x1.95f199078af61p-8, 0x1.8e4ab35aa8922p-8, 0x1.86c3cf9780506p-8, 0x1.7f5c7bf529999p-8, 0x1.781447e5d2678p-8, 0x1.70eac415fe751p-8, 0x1.69df8269d9023p-8, 0x1.62f215fc0e677p-8, 0x1.5c22131b960a5p-8, 0x1.556f0f49f872ap-8, 0x1.4ed8a1399830cp-8, 0x1.485e60cb6866p-8, 0x1.41ffe70d52185p-8, 0x1.3bbcce3853b82p-8, 0x1.3594b1ae2514bp-8, 0x1.2f872df7af8bfp-8, 0x1.2993e0c2c44a9p-8, 0x1.23ba68e0505e3p-8, 0x1.1dfa66423864bp-8, 0x1.185379f95f053p-8, 0x1.12c546333de9fp-8, 0x1.0d4f6e38b3cap-8, 0x1.07f1966adf642p-8, 0x1.02ab6441eb901p-8, 0x1.faf8fc94c9e5fp-9, 0x1.f0c91846ff093p-9, 0x1.e6c66cf9356aep-9, 0x1.dcf04e26fac45p-9, 0x1.d346116408f43p-9, 0x1.c9c70e583129p-9, 0x1.c0729eba93768p-9, 0x1.b7481e4e29e06p-9, 0x1.ae46eadcdfd98p-9, 0x1.a56e64336147fp-9, 0x1.9cbdec1cc221fp-9, 0x1.9434e65e73b99p-9, 0x1.8bd2b8b35ccc4p-9, 0x1.8396cac842c67p-9, 0x1.7b808636afb89p-9, 0x1.738f568197474p-9, 0x1.6bc2a90f5f62ap-9, 0x1.6419ed279a2f7p-9, 0x1.5c9493ed31a59p-9, 0x1.5532105a5e8cdp-9, 0x1.4df1d73cc921bp-9, 0x1.46d35f30b9eap-9, 0x1.3fd6209d16524p-9, 0x1.38f995aed47f9p-9, 0x1.323d3a54b7302p-9, 0x1.2ba08c3b598c5p-9, 0x1.25230ac846154p-9, 0x1.1ec437166bbb4p-9, 0x1.188393f1304bep-9, 0x1.1260a5d06d9fbp-9, 0x1.0c5af2d45572dp-9, 0x1.067202c11480cp-9, 0x1.00a55efa9eb7fp-9, 0x1.f5e92500ba0f7p-10, 0x1.eabe53d2184f4p-10, 0x1.dfc966be82e2dp-10, 0x1.d5097d371e5bep-10, 0x1.ca7db9c42d0cp-10, 0x1.c02541fb91539p-10, 0x1.b5ff3e77fb135p-10, 0x1.ac0adad112727p-10, 0x1.a24745942d204p-10, 0x1.98b3b03aecc8fp-10, 0x1.8f4f4f23e9158p-10, 0x1.8619598abc0aep-10, 0x1.7d11097f98317p-10, 0x1.74359bdf4410fp-10, 0x1.6b86504c0f9fcp-10, 0x1.6302692497df2p-10, 0x1.5aa92b7daf7bep-10, 0x1.5279df18eea04p-10, 0x1.4a73ce5e0395bp-10, 0x1.429646523ec9ep-10, 0x1.3ae0969214fbp-10, 0x1.3352114874118p-10, 0x1.2bea0b27d935cp-10, 0x1.24a7db628257ap-10, 0x1.1d8adba26bea7p-10, 0x1.16926803df083p-10, 0x1.0fbddf0c1586fp-10, 0x1.090ca1a2b4438p-10, 0x1.027e130a82306p-10, 0x1.f82331b5123cp-11, 0x1.eb8d35ed63fbbp-11, 0x1.df39071008861p-11, 0x1.d3257dee1bed3p-11, 0x1.c75177c793d87p-11, 0x1.bbbbd63ea9a45p-11, 0x1.b0637f4858af7p-11, 0x1.a5475d214b1d7p-11, 0x1.9a665e3e2011ep-11, 0x1.8fbf753f41acfp-11, 0x1.855198e33b194p-11, 0x1.7b1bc3f9625e1p-11, 0x1.711cf5554a60dp-11, 0x1.67542fc0cb098p-11, 0x1.5dc079f04e5dep-11, 0x1.5460de74f3e4ep-11, 0x1.4b346bb119a7dp-11, 0x1.423a33cb342ddp-11, 0x1.39714ca131a0fp-11, 0x1.30d8cfbc390c5p-11, 0x1.286fda44b3762p-11, 0x1.20358cf6740d1p-11, 0x1.18290c1481884p-11, 0x1.10497f5cd47f2p-11, 0x1.089611fc84fe1p-11, 0x1.010df285ece8p-11, 0x1.f360a5c53bbaep-12, 0x1.e4f8d09316ff4p-12, 0x1.d6e2d6662507fp-12, 0x1.c91d2e9c4d87p-12, 0x1.bba656e9ed9c8p-12, 0x1.ae7cd34512703p-12, 0x1.a19f2dcd27ddep-12, 0x1.950bf6b92976fp-12, 0x1.88c1c43d93c77p-12, 0x1.7cbf327da81e9p-12, 0x1.7102e36fc5ccep-12, 0x1.658b7ecc74abfp-12, 0x1.5a57b1fba6153p-12, 0x1.4f662ffb34036p-12, 0x1.44b5b14f78d27p-12, 0x1.3a44f3ed6cc49p-12, 0x1.3012bb2900e66p-12, 0x1.261dcf9e81aep-12, 0x1.1c64ff2293ce2p-12, 0x1.12e71cac76365p-12, 0x1.09a3004675cadp-12, 0x1.009786f8d6edcp-12, 0x1.ef87256fc7a62p-13, 0x1.de4c14a7316cp-13, 0x1.cd7bb2c42c13ep-13, 0x1.bd13e065cb582p-13, 0x1.ad12877045ee3p-13, 0x1.9d759af3c7125p-13, 0x1.8e3b17033865cp-13, 0x1.7f610095bdfd3p-13, 0x1.70e565665d28bp-13, 0x1.62c65bce5a59ep-13, 0x1.550202a7ef8c6p-13, 0x1.47968130122ffp-13, 0x1.3a8206e03d571p-13, 0x1.2dc2cb544d5d9p-13, 0x1.21570e2b3d031p-13, 0x1.153d16e3ee1cap-13, 0x1.097334c248151p-13, 0x1.fbef7d61f8132p-14, 0x1.e5922647e6471p-14, 0x1.cfcb2ff1edf7p-14, 0x1.ba9774bac23a7p-14, 0x1.a5f3dd6033618p-14, 0x1.91dd60ca6d715p-14, 0x1.7e5103d1eec44p-14, 0x1.6b4bd9124756ep-14, 0x1.58cb00a7ad879p-14, 0x1.46cba80040348p-14, 0x1.354b09a2dc8e4p-14, 0x1.24466d01c317dp-14, 0x1.13bb26405f41ep-14, 0x1.03a6960123cc7p-14, 0x1.e80c526dde999p-15, 0x1.c9aeb1d9d8256p-15, 0x1.ac2f543a5c249p-15, 0x1.8f895af929694p-15, 0x1.73b7fe91197c6p-15, 0x1.58b68e3724a83p-15, 0x1.3e806f7e61f2p-15, 0x1.25111df541bbap-15, 0x1.0c642ace3c0e2p-15, 0x1.e8ea791db2782p-16, 0x1.ba801d520fe89p-16, 0x1.8d80e25424decp-16, 0x1.61e490d6a4bdcp-16, 0x1.37a3196519accp-16, 0x1.0eb493d4257f3p-16, 0x1.ce227d14238bep-17, 0x1.8162fbc6d5f1dp-17, 0x1.371bb72c415bdp-17, 0x1.de7c184e5d386p-18, 0x1.53773f86580c8p-18, 0x1.9a19786cbce0cp-19, 0x1.2c83c994766ccp-20, -0x1.933985cda9399p-21, -0x1.574c718473476p-19, -0x1.20b62c92c15c6p-18, -0x1.91b090699c068p-18, -0x1.feae683821954p-18, -0x1.33e41cdd619c6p-17, -0x1.668b075005ed7p-17, -0x1.9757bb4e22636p-17, -0x1.c655c4c0803a1p-17, -0x1.f39074b0bc22cp-17, -0x1.0f89711d4a1dap-16, -0x1.2473f5c9dd194p-16, -0x1.388d1b7ab30e9p-16, -0x1.4bda19e0411f4p-16, -0x1.5e600d9ad419ap-16, -0x1.7023f8c576bb4p-16, -0x1.812ac36f433c5p-16, -0x1.91793bfc8b6e4p-16, -0x1.a11417aa8f5dp-16, -0x1.affff2fe90ad6p-16, -0x1.be41522d9bb06p-16, -0x1.cbdca18d15c75p-16, -0x1.d8d6360537368p-16, -0x1.e5324d6d4136cp-16, -0x1.f0f50f0324336p-16, -0x1.fc228bc99acddp-16, -0x1.035f5f77862dfp-15, -0x1.0866c71caa998p-15, -0x1.0d29652e5a762p-15, -0x1.11a917b00621fp-15, -0x1.15e7b27f9b5eep-15, -0x1.19e6ff839fa2fp-15, -0x1.1da8bedb2e465p-15, -0x1.212ea709e237fp-15, -0x1.247a65221297ap-15, -0x1.278d9cf3965c4p-15, -0x1.2a69e93a31818p-15, -0x1.2d10dbc48f912p-15, -0x1.2f83fd9c5c3dbp-15, -0x1.31c4cf338dcfep-15, -0x1.33d4c88d8cb0dp-15, -0x1.35b559620bc8fp-15, -0x1.3767e94be7e4p-15, -0x1.38edd7e9da43p-15, -0x1.3a487d0727184p-15, -0x1.3b7928c078077p-15, -0x1.3c8123aaa6679p-15, -0x1.3d61aef3b01fdp-15, -0x1.3e1c048a6035bp-15, -0x1.3eb1573d4241p-15, -0x1.3f22d2e12d447p-15, -0x1.3f719c70c62a5p-15, -0x1.3f9ed2306aad8p-15, -0x1.3fab8bcc34212p-15, -0x1.3f98da79719c4p-15, -0x1.3f67c91908024p-15, -0x1.3f195c52049bdp-15, -0x1.3eae92b4bc13ap-15, -0x1.3e2864d567819p-15, -0x1.3d87c56ce95d2p-15, -0x1.3ccda1754f7b6p-15, -0x1.3bfae04634fc7p-15, -0x1.3b1063b03f70bp-15, -0x1.3a0f081b27c03p-15, -0x1.38f7a49dec3d5p-15, -0x1.37cb0b1d99f0fp-15, -0x1.368a0863629aap-15, -0x1.3535643a54e39p-15, -0x1.33cde187cb54dp-15, -0x1.32543e6361293p-15, -0x1.30c934312e122p-15, -0x1.2f2d77b823313p-15, -0x1.2d81b93b833a1p-15, -0x1.2bc6a491f334cp-15, -0x1.29fce13b60eeap-15, -0x1.28251279040cap-15, -0x1.263fd7636ea3ap-15, -0x1.244dcafede568p-15, -0x1.224f845295835p-15, -0x1.2045967d27b27p-15, -0x1.1e3090c8c8e77p-15, -0x1.1c10febf99b3ap-15, -0x1.19e768402bd97p-15, -0x1.17b451916ba75p-15, -0x1.15783b74895a2p-15, -0x1.1333a33961a65p-15, -0x1.10e702cf29b0cp-15, -0x1.0e92d0d9284bfp-15, -0x1.0c3780be0af28p-15, -0x1.09d582bb2178fp-15, -0x1.076d43f579b6dp-15, -0x1.04ff2e8a5d058p-15, -0x1.028ba99fff1a3p-15, -0x1.001319760a4a8p-15, -0x1.fb2bbeeb8a435p-16, -0x1.f628b481dd50cp-16, -0x1.f11dcb85a4fa2p-16, -0x1.ec0bb67c42aeap-16, -0x1.e6f322b733944p-16, -0x1.e1d4b874ba182p-16, -0x1.dcb11af998b79p-16, -0x1.d788e8abf71a5p-16, -0x1.d25cbb32c989ap-16, -0x1.cd2d278e7aa07p-16, -0x1.c7fabe33fa304p-16, -0x1.c2c60b273cc25p-16, -0x1.bd8f961405b3bp-16, -0x1.b857e26821896p-16, -0x1.b31f6f6b19e88p-16, -0x1.ade6b8565151bp-16, -0x1.a8ae346e0401cp-16, -0x1.a3765717d8cccp-16, -0x1.9e3f8fef7a4b3p-16, -0x1.990a4ae10fddcp-16, -0x1.93d6f03bd2ebdp-16, -0x1.8ea5e4c83a24cp-16, -0x1.897789ddf0dffp-16, -0x1.844c3d7992addp-16, -0x1.7f245a4d7e39ep-16, -0x1.7a0037d902836p-16, -0x1.74e02a7a59e79p-16, -0x1.6fc4838302744p-16, -0x1.6aad914762255p-16, -0x1.659b9f344e944p-16, -0x1.608ef5e0da9cbp-16, -0x1.5b87db1e07927p-16, -0x1.56869209cff39p-16, -0x1.518b5b1fd7b41p-16, -0x1.4c96744887928p-16, -0x1.47a818eac68f5p-16, -0x1.42c081fb9ee35p-16, }}, 
      {{0x1.fc1ac233371d2p-1, 0x1.fbeb054979716p-1, 0x1.fb9f9faf926fp-1, 0x1.fb3c9db4e0daep-1, 0x1.fac5953f5dc5bp-1, 0x1.fa3d533ddde23p-1, 0x1.f9a5d9721418cp-1, 0x1.f9007f440121ep-1, 0x1.f84e1b601c8f2p-1, 0x1.f78f29eab7ae2p-1, 0x1.f6c3eb5b05d45p-1, 0x1.f5ec7c0815d41p-1, 0x1.f508e5d034db4p-1, 0x1.f4192d5926cecp-1, 0x1.f31d5c0693ddfp-1, 0x1.f215875796634p-1, 0x1.f101d60e57002p-1, 0x1.efe2835c1efedp-1, 0x1.eeb7e040620b9p-1, 0x1.ed82534e3ea33p-1, 0x1.ec425716ec123p-1, 0x1.eaf87781b8bd1p-1, 0x1.e9a54e5fb9b09p-1, 0x1.e8497f88fd4f3p-1, 0x1.e6e5b4cb75a7ep-1, 0x1.e57a99ea2b452p-1, 0x1.e408d8df23d6bp-1, 0x1.e29116855edccp-1, 0x1.e113efc36d003p-1, 0x1.df91f7437c0d6p-1, 0x1.de0bb3bbbae19p-1, 0x1.dc819ec1f7fe5p-1, 0x1.daf4241f77d57p-1, 0x1.d963a195ff917p-1, 0x1.d7d06704d5d13p-1, 0x1.d63ab6dba1185p-1, 0x1.d4a2c6c97ac2bp-1, 0x1.d308c097a8f7fp-1, 0x1.d16cc32148e7fp-1, 0x1.cfcee35b43eb6p-1, 0x1.ce2f2d6232a06p-1, 0x1.cc8da585fc5d4p-1, 0x1.caea494d1da0ep-1, 0x1.c945106b51e7bp-1, 0x1.c79deda8fee5bp-1, 0x1.c5f4cfb9fd575p-1, 0x1.c449a203673c4p-1, 0x1.c29c4d50d29ccp-1, 0x1.c0ecb879df88dp-1, 0x1.bf3ac8f94af9bp-1, 0x1.bd866376e3221p-1, 0x1.bbcf6c45b31fcp-1, 0x1.ba15c7d7acd4bp-1, 0x1.b8595b27e9f0dp-1, 0x1.b69a0c1c79cdbp-1, 0x1.b4d7c1e06d92ep-1, 0x1.b3126536b23a8p-1, 0x1.b149e0c6142a6p-1, 0x1.af7e215e9afebp-1, 0x1.adaf163855b83p-1, 0x1.abdcb12b94008p-1, 0x1.aa06e6e276bfap-1, 0x1.a82daf03bfd21p-1, 0x1.a6510456c5634p-1, 0x1.a470e4e070badp-1, 0x1.a28d51f938e0dp-1, 0x1.a0a6505c20caap-1, 0x1.9ebbe82ebb437p-1, 0x1.9cce25025ec92p-1, 0x1.9add15ceb04a3p-1, 0x1.98e8cce5cc034p-1, 0x1.96f15fe258933p-1, 0x1.94f6e78fe1f31p-1, 0x1.92f97fcdea7dfp-1, 0x1.90f9476e22d74p-1, 0x1.8ef6600e4598bp-1, 0x1.8cf0edee1d5ap-1, 0x1.8ae917c236d32p-1, 0x1.88df0683c8bf9p-1, 0x1.86d2e53e5931bp-1, 0x1.84c4e0dba641ap-1, 0x1.82b527ee51db4p-1, 0x1.80a3ea7bcf8cep-1, 0x1.7e9159c60a358p-1, 0x1.7c7da8152f4d9p-1, 0x1.7a6908820ae16p-1, 0x1.7853aec15061ep-1, 0x1.763dcef026eedp-1, 0x1.74279d6249267p-1, 0x1.72114e71fae3ap-1, 0x1.6ffb16520fd96p-1, 0x1.6de528e23648bp-1, 0x1.6bcfb985b203cp-1, 0x1.69bafafca3e46p-1, 0x1.67a71f3ffeb1fp-1, 0x1.6594576036385p-1, 0x1.6382d366b588p-1, 0x1.6172c23a22513p-1, 0x1.5f6451856aeccp-1, 0x1.5d57ada197d2dp-1, 0x1.5b4d01825903fp-1, 0x1.594476a53734fp-1, 0x1.573e35035e2f2p-1, 0x1.553a6305e0f2bp-1, 0x1.5339257c636p-1, 0x1.513a9f96078abp-1, 0x1.4f3ef2dc8371bp-1, 0x1.4d463f313c96p-1, 0x1.4b50a2cc475a5p-1, 0x1.495e3a3d2a10ep-1, 0x1.476f206d3c21cp-1, 0x1.45836ea3847b9p-1, 0x1.439b3c89ec34ap-1, 0x1.41b6a033a7e4bp-1, 0x1.3fd5ae24b5da2p-1, 0x1.3df8795a4a76bp-1, 0x1.3c1f13541131ap-1, 0x1.3a498c1e1ca45p-1, 0x1.3877f25b6de22p-1, 0x1.36aa5350efb39p-1, 0x1.34e0baf0d303fp-1, 0x1.331b33e62b147p-1, 0x1.3159c7a0b9d81p-1, 0x1.2f9c7e60ce1f2p-1, 0x1.2de35f432904ap-1, 0x1.2c2e704cd001dp-1, 0x1.2a7db676bfc79p-1, 0x1.28d135b971cb6p-1, 0x1.2728f118219dcp-1, 0x1.2584eaabcf9fap-1, 0x1.23e523adee652p-1, 0x1.22499c82b9e4ap-1, 0x1.20b254c32bb16p-1, 0x1.1f1f4b468aefp-1, 0x1.1d907e2b92b83p-1, 0x1.1c05eae12b3a4p-1, 0x1.1a7f8e2eb62efp-1, 0x1.18fd643beb301p-1, 0x1.177f689846881p-1, 0x1.160596420a477p-1, 0x1.148fe7acd5cc7p-1, 0x1.131e56c7d34cdp-1, 0x1.11b0dd0382db2p-1, 0x1.1047735720449p-1, 0x1.0ee21245b3d49p-1, 0x1.0d80b1e2c1e5fp-1, 0x1.0c2349d6b091p-1, 0x1.0ac9d162da3a2p-1, 0x1.09743f655989bp-1, 0x1.08228a5c959e3p-1, 0x1.06d4a86a8cb7p-1, 0x1.058a8f57edd4cp-1, 0x1.04443496fa0e8p-1, 0x1.03018d463f32fp-1, 0x1.01c28e3329f37p-1, 0x1.00872bdc74df9p-1, 0x1.fe9eb4e8fd7fcp-2, 0x1.fc361bc708b4bp-2, 0x1.f9d4739396f57p-2, 0x1.f779a30377757p-2, 0x1.f5259043df2fbp-2, 0x1.f2d820fe74335p-2, 0x1.f0913a5d5c04dp-2, 0x1.ee50c10f3e8f9p-2, 0x1.ec16994b53a58p-2, 0x1.e9e2a6d57869dp-2, 0x1.e7b4cd02533e6p-2, 0x1.e58ceebb87f81p-2, 0x1.e36aee84027ffp-2, 0x1.e14eae7c59354p-2, 0x1.df3810674941fp-2, 0x1.dd26f5ae4f852p-2, 0x1.db1b3f665be1cp-2, 0x1.d914ce54a90d6p-2, 0x1.d71382f3a97c1p-2, 0x1.d5173d7819ad9p-2, 0x1.d31fddd62e30ap-2, 0x1.d12d43c6de3bcp-2, 0x1.cf3f4ecd48399p-2, 0x1.cd55de3c366f8p-2, 0x1.cb70d13bb4cc1p-2, 0x1.c99006cec57e3p-2, 0x1.c7b35dd9241p-2, 0x1.c5dab5251f606p-2, 0x1.c405eb697fecfp-2, 0x1.c234df4f81761p-2, 0x1.c0676f78cfb6ep-2, 0x1.be9d7a8593638p-2, 0x1.bcd6df1a7eb62p-2, 0x1.bb137be6df438p-2, 0x1.b9532faab0b0ap-2, 0x1.b795d93ca69cap-2, 0x1.b5db57903af05p-2, 0x1.b42389bba9b51p-2, 0x1.b26e4efde5e2bp-2, 0x1.b0bb86c4808a4p-2, 0x1.af0b10b17d88ap-2, 0x1.ad5ccca11863cp-2, 0x1.abb09aaf70162p-2, 0x1.aa065b3e19c8cp-2, 0x1.a85deef9a0332p-2, 0x1.a6b736dee11dbp-2, 0x1.a51214404baaap-2, 0x1.a36e68cb043bp-2, 0x1.a1cc168be04e7p-2, 0x1.a02afff4447a5p-2, 0x1.9e8b07ded8998p-2, 0x1.9cec119417eb1p-2, 0x1.9b4e00cebb5edp-2, 0x1.99b0b9bff7053p-2, 0x1.981421138f092p-2, 0x1.96781bf3c6d74p-2, 0x1.94dc900d1b7ep-2, 0x1.93416391dca13p-2, 0x1.91a67d3d8e03p-2, 0x1.900bc45828f22p-2, 0x1.8e7120b920251p-2, 0x1.8cd67aca46ff8p-2, 0x1.8b3bbb8a7c962p-2, 0x1.89a0cc903384p-2, 0x1.8805980bc5d9ep-2, 0x1.866a08c99f45cp-2, 0x1.84ce0a343749ap-2, 0x1.83318855de262p-2, 0x1.81946fda61bfp-2, 0x1.7ff6ae10813dap-2, 0x1.7e5830eb34b89p-2, 0x1.7cb8e702cf791p-2, 0x1.7b18bf95f25p-2, 0x1.7977aa8a55043p-2, 0x1.77d5986d6a5e5p-2, 0x1.76327a74d6075p-2, 0x1.748e427ebde53p-2, 0x1.72e8e311f7682p-2, 0x1.71424f5e06a8fp-2, 0x1.6f9a7b3b0476bp-2, 0x1.6df15b2954732p-2, 0x1.6c46e4513feb5p-2, 0x1.6a9b0c8269fbdp-2, 0x1.68edca3325cd2p-2, 0x1.673f147faa81dp-2, 0x1.658ee32925475p-2, 0x1.63dd2e94b4882p-2, 0x1.6229efca3d4b2p-2, 0x1.6075207329b49p-2, 0x1.5ebebad90a0ebp-2, 0x1.5d06b9e41b702p-2, 0x1.5b4d1919b782cp-2, 0x1.5991d49aa5f1ep-2, 0x1.57d4e9215d934p-2, 0x1.561654002abb3p-2, 0x1.5456131f4004bp-2, 0x1.529424fab6d2ep-2, 0x1.50d088a0756fap-2, 0x1.4f0b3dae0b0cap-2, 0x1.4d44444e700e9p-2, 0x1.4b7b9d37c0a1bp-2, 0x1.49b149a8de3bfp-2, 0x1.47e54b6707727p-2, 0x1.4617a4bb5ea7ep-2, 0x1.44485870662cdp-2, 0x1.427769cf700f5p-2, 0x1.40a4dc9dfe863p-2, 0x1.3ed0b51b1f14dp-2, 0x1.3cfaf7fcb6bb4p-2, 0x1.3b23aa6ccaa16p-2, 0x1.394ad206b95d6p-2, 0x1.377074d473cap-2, 0x1.3594994baa6cfp-2, 0x1.33b7464af607p-2, 0x1.31d88316fa6cdp-2, 0x1.2ff85757872c2p-2, 0x1.2e16cb14afd64p-2, 0x1.2c33e6b3e52b9p-2, 0x1.2a4fb2f5081eap-2, 0x1.286a38ef7bf69p-2, 0x1.2683820f3a331p-2, 0x1.249b9811dd34cp-2, 0x1.22b28503b6547p-2, 0x1.20c8533cd88b2p-2, 0x1.1edd0d5e2d37ap-2, 0x1.1cf0be4e81daep-2, 0x1.1b037137a1b3dp-2, 0x1.1915318367006p-2, 0x1.17260ad8d8ff6p-2, 0x1.15360919435ap-2, 0x1.1345385d5b9f6p-2, 0x1.1153a4f261ea6p-2, 0x1.0f615b574c85dp-2, 0x1.0d6e6839f6346p-2, 0x1.0b7ad8744ffdp-2, 0x1.0986b9099e66fp-2, 0x1.07921723b796ap-2, 0x1.059d00104803dp-2, 0x1.03a7813e25b2dp-2, 0x1.01b1a83a9f07fp-2, 0x1.ff77055db746bp-3, 0x1.fb8a3cba7fc04p-3, 0x1.f79d123db15d6p-3, 0x1.f3afa1c1a319dp-3, 0x1.efc20743e4d15p-3, 0x1.ebd45ee04e5ebp-3, 0x1.e7e6c4cc22151p-3, 0x1.e3f955513e2d4p-3, 0x1.e00c2cc9634efp-3, 0x1.dc1f6799965f2p-3, 0x1.d833222d85d2ap-3, 0x1.d44778f31cbeap-3, 0x1.d05c88560b5a5p-3, 0x1.cc726cbb86eb8p-3, 0x1.c889427e00e72p-3, 0x1.c4a125e907696p-3, 0x1.c0ba333539e89p-3, 0x1.bcd4868446b45p-3, 0x1.b8f03bdd11cbfp-3, 0x1.b50d6f27e6432p-3, 0x1.b12c3c2ac2eaep-3, 0x1.ad4cbe85bb35fp-3, 0x1.a96f11af76e65p-3, 0x1.a59350f1bc494p-3, 0x1.a1b99766266dcp-3, 0x1.9de1fff2d6145p-3, 0x1.9a0ca5475846ap-3, 0x1.9639a1d98eb19p-3, 0x1.92690fe2bdd1fp-3, 0x1.8e9b095ca9344p-3, 0x1.8acfa7fecbd9ep-3, 0x1.8707053babe33p-3, 0x1.83413a3e3d2d7p-3, 0x1.7f7e5fe762ba6p-3, 0x1.7bbe8ecb84527p-3, 0x1.7801df303f6bfp-3, 0x1.7448690a29a9bp-3, 0x1.709243faaf7f6p-3, 0x1.6cdf874e046dbp-3, 0x1.693049f934aafp-3, 0x1.6584a2983f982p-3, 0x1.61dca76c5483p-3, 0x1.5e386e5a1e5d7p-3, 0x1.5a980ce82b997p-3, 0x1.56fb983d687eap-3, 0x1.5363251fae9bep-3, 0x1.4fcec7f26b176p-3, 0x1.4c3e94b55da01p-3, 0x1.48b29f036490cp-3, 0x1.452afa116538ap-3, 0x1.41a7b8ad477e3p-3, 0x1.3e28ed3d0075fp-3, 0x1.3aaea9bdbae14p-3, 0x1.3738ffc304f49p-3, 0x1.33c80076222d6p-3, 0x1.305bbc9563515p-3, 0x1.2cf44473962c3p-3, 0x1.2991a7f78a6b3p-3, 0x1.2633f69ba3a9p-3, 0x1.22db3f6d7fb5cp-3, 0x1.1f87910dad94fp-3, 0x1.1c38f9af7531fp-3, 0x1.18ef8718b34fap-3, 0x1.15ab46a1c2a9ap-3, 0x1.126c453572478p-3, 0x1.0f328f51138f7p-3, 0x1.0bfe31048f62bp-3, 0x1.08cf35f29218ap-3, 0x1.05a5a950bf641p-3, 0x1.028195e7f44c3p-3, 0x1.fec60c294006ap-4, 0x1.f894078e4248cp-4, 0x1.f26d31086589cp-4, 0x1.ec519acacd723p-4, 0x1.e64156335a139p-4, 0x1.e03c73cbcf74cp-4, 0x1.da43034b07acbp-4, 0x1.d45513965d486p-4, 0x1.ce72b2c2f606ep-4, 0x1.c89bee175cbecp-4, 0x1.c2d0d20d07ea5p-4, 0x1.bd116a5201a03p-4, 0x1.b75dc1ca9d9f1p-4, 0x1.b1b5e29352889p-4, 0x1.ac19d6028dd4bp-4, 0x1.a689a4aaa2295p-4, 0x1.a105565bd014ap-4, 0x1.9b8cf22645fbep-4, 0x1.96207e5c4fe3bp-4, 0x1.90c000947276ep-4, 0x1.8b6b7dabaedc8p-4, 0x1.8622f9c7c4728p-4, 0x1.80e6785985e1bp-4, 0x1.7bb5fc1f38ed2p-4, 0x1.76918726f5605p-4, 0x1.71791ad124e32p-4, 0x1.6c6cb7d2f86ccp-4, 0x1.676c5e38f05bep-4, 0x1.62780d6968c8bp-4, 0x1.5d8fc42736325p-4, 0x1.58b380943af66p-4, 0x1.53e34034107c4p-4, 0x1.4f1effeeb3041p-4, 0x1.4a66bc13293cbp-4, 0x1.45ba705a48b3cp-4, 0x1.411a17e95f00ep-4, 0x1.3c85ad54f9609p-4, 0x1.37fd2aa3a7347p-4, 0x1.33808950b9e09p-4, 0x1.2f0fc24f0aa35p-4, 0x1.2aaace0bc5e24p-4, 0x1.2651a4713a27bp-4, 0x1.22043ce99b84dp-4, 0x1.1dc28e61d7a9cp-4, 0x1.198c8f4c5d531p-4, 0x1.156235a3e9dfbp-4, 0x1.114376ee5a6b5p-4, 0x1.0d30483f6fb77p-4, 0x1.09289e3b9db07p-4, 0x1.052c6d1ad3084p-4, 0x1.013ba8ab3c6b2p-4, 0x1.faac88a8112a8p-5, 0x1.f2f866306035ap-5, 0x1.eb5acf32545edp-5, 0x1.e3d3a83359ba7p-5, 0x1.dc62d500c71e8p-5, 0x1.d50838b544e15p-5, 0x1.cdc3b5be1f8a6p-5, 0x1.c6952de0b2161p-5, 0x1.bf7c823f97eddp-5, 0x1.b879936004ep-5, 0x1.b18c412ee7f6cp-5, 0x1.aab46b06252e2p-5, 0x1.a3f1efb1aa91ep-5, 0x1.9d44ad748d738p-5, 0x1.96ac820e06e7bp-5, 0x1.90294abe7b857p-5, 0x1.89bae44c5f424p-5, 0x1.83612b0915c9dp-5, 0x1.7d1bfad5cd8e3p-5, 0x1.76eb2f2834d85p-5, 0x1.70cea30f46c5bp-5, 0x1.6ac63137d29b5p-5, 0x1.64d1b3f1361d8p-5, 0x1.5ef10531ce049p-5, 0x1.5923fe9b7916cp-5, 0x1.536a798001edfp-5, 0x1.4dc44ee575084p-5, 0x1.4831578a778dbp-5, 0x1.42b16bea6b6afp-5, 0x1.3d446441a6122p-5, 0x1.37ea189197c06p-5, 0x1.32a260a4b2ba1p-5, 0x1.2d6d14127afdep-5, 0x1.284a0a436b64dp-5, 0x1.23391a74c0b89p-5, 0x1.1e3a1bbc4ac5cp-5, 0x1.194ce50c1a988p-5, 0x1.14714d361fd62p-5, 0x1.0fa72aefc77e5p-5, 0x1.0aee54d56f0c1p-5, 0x1.0646a16ddd37ap-5, 0x1.01afe72d9d2a2p-5, 0x1.fa53f8f49033cp-6, 0x1.f1696f5b8f05fp-6, 0x1.e89fde32f674bp-6, 0x1.dff6f212a7c87p-6, 0x1.d76e578db90ebp-6, 0x1.cf05bb386023cp-6, 0x1.c6bcc9adc8a06p-6, 0x1.be932f95b2307p-6, 0x1.b68899aa07df6p-6, 0x1.ae9cb4bc3b94fp-6, 0x1.a6cf2dba9ec19p-6, 0x1.9f1fb1b5728f1p-6, 0x1.978dede3fcff5p-6, 0x1.90198fa969f76p-6, 0x1.88c2449990dap-6, 0x1.8187ba7d8afb8p-6, 0x1.7a699f585a459p-6, 0x1.7367a16b1bbefp-6, 0x1.6c816f397da19p-6, 0x1.65b6b78dcc962p-6, 0x1.5f07297cf662ep-6, 0x1.5872746a89c87p-6, 0x1.51f8480c66276p-6, 0x1.4b98546e874afp-6, 0x1.455249f67c0e4p-6, 0x1.3f25d966df1e8p-6, 0x1.3912b3e2b937dp-6, 0x1.33188af0b70ddp-6, 0x1.2d37107e322a5p-6, 0x1.276df6e251b94p-6, 0x1.21bcf0e0dd38bp-6, 0x1.1c23b1ad0c57dp-6, 0x1.16a1ecec38945p-6, 0x1.113756b884493p-6, 0x1.0be3a3a335be4p-6, 0x1.06a688b73c701p-6, 0x1.017fbb7b661f8p-6, 0x1.f8dde3e92d644p-7, 0x1.eee7c54fdb8d3p-7, 0x1.e51c893967fadp-7, 0x1.db7b9ebcbd8d7p-7, 0x1.d20475fc7f7ccp-7, 0x1.c8b6802ae281cp-7, 0x1.bf912f8c96bf1p-7, 0x1.b693f77c45701p-7, 0x1.adbe4c6d303ap-7, 0x1.a50fa3ee35d27p-7, 0x1.9c8774ac7c928p-7, 0x1.94253675b91e5p-7, 0x1.8be8623aabef9p-7, 0x1.83d0721144cd3p-7, 0x1.7bdce1369501bp-7, 0x1.740d2c10c2f92p-7, 0x1.6c60d030c6fc3p-7, 0x1.64d74c53eb66bp-7, 0x1.5d7020656bd4ep-7, 0x1.562acd7f8e9c8p-7, 0x1.4f06d5ed006c7p-7, 0x1.4803bd29e6bc8p-7, 0x1.412107e4967b1p-7, 0x1.3a5e3bfeb85c9p-7, 0x1.33bae08dbb8f5p-7, 0x1.2d367ddb7d359p-7, 0x1.26d09d66cdd0fp-7, 0x1.2088c9e3aa65ep-7, 0x1.1a5e8f3b9b7b7p-7, 0x1.14517a8dd284fp-7, 0x1.0e611a2f17de9p-7, 0x1.088cfda9ecb83p-7, 0x1.02d4b5be3c693p-7, 0x1.fa6fa8c243c95p-8, 0x1.ef6bd979163cap-8, 0x1.e49d265dcae2fp-8, 0x1.da02ba9515f5ep-8, 0x1.cf9bc3aa0f65cp-8, 0x1.c567718d3a96bp-8, 0x1.bb64f69289309p-8, 0x1.b193877053a8dp-8, 0x1.a7f25b3ca8c5dp-8, 0x1.9e80ab6c47d94p-8, 0x1.953db3cf98b95p-8, 0x1.8c28b29101516p-8, 0x1.8340e83264ff2p-8, 0x1.7a85978a8ed2fp-8, 0x1.71f605c27c01fp-8, 0x1.69917a52ddcbcp-8, 0x1.61573f00f93e5p-8, 0x1.59469fdbe1552p-8, 0x1.515eeb395a1dbp-8, 0x1.499f71b278972p-8, 0x1.42078620c13bp-8, 0x1.3a967d9a4fabfp-8, 0x1.334baf6ed17fbp-8, 0x1.2c267523afe5cp-8, 0x1.25262a70bfda2p-8, 0x1.1e4a2d3c062f7p-8, 0x1.1791dd96b769ep-8, 0x1.10fc9db8908b3p-8, 0x1.0a89d1fc86b59p-8, 0x1.0438e0dc74f8ap-8, 0x1.fc1265daac08dp-9, 0x1.eff465b5e1ac8p-9, 0x1.e4169ac781054p-9, 0x1.d877e2a9b2ecp-9, 0x1.cd171f0b101edp-9, 0x1.c1f335a65ff09p-9, 0x1.b70b10396f99p-9, 0x1.ac5d9c7cd0e48p-9, 0x1.a1e9cc1a916dcp-9, 0x1.97ae94a5a7ac6p-9, 0x1.8daaef90bf034p-9, 0x1.83ddda255cc05p-9, 0x1.7a46557aaf8b5p-9, 0x1.70e3666c6fb81p-9, 0x1.67b41591a132p-9, 0x1.5eb76f339355p-9, 0x1.55ec83445c7a8p-9, 0x1.4d526555a9f8ap-9, 0x1.44e82c8f7cfcep-9, 0x1.3cacf3a6b78d1p-9, 0x1.349fd8d3d210bp-9, 0x1.2cbffdc98087p-9, 0x1.250c87ab0c4d8p-9, 0x1.1d849f0393958p-9, 0x1.16276fbbbf592p-9, 0x1.0ef42911333adp-9, 0x1.07e9fd8c73544p-9, 0x1.010822f7f2b19p-9, 0x1.f49ba4ad7c51dp-10, 0x1.e7748fb53baa2p-10, 0x1.da9985b66b2ap-10, 0x1.ce090b98f8309p-10, 0x1.c1c1ac6ac6eb5p-10, 0x1.b5c1f94d278b3p-10, 0x1.aa0889625e9d2p-10, 0x1.9e93f9bb1d9f4p-10, 0x1.9362ed43d78f3p-10, 0x1.88740cb306697p-10, 0x1.7dc60675f77b4p-10, 0x1.73578e9f510f8p-10, 0x1.69275ed4bdae2p-10, 0x1.5f34363cb1419p-10, 0x1.557cd96c7e2bep-10, 0x1.4c001256f4d8cp-10, 0x1.42bcb039697b4p-10, 0x1.39b1878b92411p-10, 0x1.30dd71ec8acfap-10, 0x1.283f4e122b5bdp-10, 0x1.1fd5ffb78e561p-10, 0x1.17a06f8bc7a15p-10, 0x1.0f9d8b2030d38p-10, 0x1.07cc44d841c79p-10, 0x1.002b93d82fd8cp-10, 0x1.f174e7e7e1842p-11, 0x1.e2efcb3e0cb55p-11, 0x1.d4c5dbb717682p-11, 0x1.c6f52c547c9fcp-11, 0x1.b97bd8f2d1ce5p-11, 0x1.ac58062bc2ca2p-11, 0x1.9f87e13330be4p-11, 0x1.93099fba00e42p-11, 0x1.86db7fcd4e33ep-11, 0x1.7afbc7b6916cep-11, 0x1.6f68c5deb6be6p-11, 0x1.6420d0ad0b768p-11, 0x1.5922466a67b51p-11, 0x1.4e6b8d22579c8p-11, 0x1.43fb12859ed5dp-11, 0x1.39cf4bcc5ffbbp-11, 0x1.2fe6b599107c6p-11, 0x1.263fd3db7dd1cp-11, 0x1.1cd931b3b7eep-11, 0x1.13b1615633c1cp-11, 0x1.0ac6fbef2fb47p-11, 0x1.0218a18742b41p-11, 0x1.f349f1ceac64fp-12, 0x1.e2d55efd75fdp-12, 0x1.d2d0f28ca2c6ap-12, 0x1.c33a214e1da3bp-12, 0x1.b40e6cbf61fe4p-12, 0x1.a54b62d469535p-12, 0x1.96ee9dc4a241p-12, 0x1.88f5c3d84b90bp-12, 0x1.7b5e8735615ccp-12, 0x1.6e26a5aea78c9p-12, 0x1.614be8922e8dbp-12, 0x1.54cc247825843p-12, 0x1.48a53914676fap-12, 0x1.3cd511048d0d9p-12, 0x1.3159a1a478821p-12, 0x1.2630eaddc3cdfp-12, 0x1.1b58f6f9d08edp-12, 0x1.10cfda7607181p-12, 0x1.0693b3d66ea89p-12, 0x1.f94556f5e3719p-13, 0x1.e5f5e6e4a7baep-13, 0x1.d3358ea19a84ap-13, 0x1.c100d808acbebp-13, 0x1.af545f5845a94p-13, 0x1.9e2cd2df2fbccp-13, 0x1.8d86f2a983f6bp-13, 0x1.7d5f9030e687ap-13, 0x1.6db38e10e325dp-13, 0x1.5e7fdfb3a7b6cp-13, 0x1.4fc18908d809p-13, 0x1.41759e39d0ef3p-13, 0x1.3399435cae4c1p-13, 0x1.2629ac2c446fap-13, 0x1.19241bc11a285p-13, 0x1.0c85e444d57e4p-13, 0x1.004c66b19a606p-13, 0x1.e8ea25116477cp-14, 0x1.d1facb1fe9ebdp-14, 0x1.bbc5d718585a2p-14, 0x1.a6467c03ec389p-14, 0x1.917807e18d277p-14, 0x1.7d55e329c142bp-14, 0x1.69db904c59912p-14, 0x1.5704ab356f39ep-14, 0x1.44cce8d1c7f72p-14, 0x1.33301692b39b9p-14, 0x1.222a19fb940c5p-14, 0x1.11b6f027a5208p-14, 0x1.01d2ad584419cp-14, 0x1.e4f2f90717333p-15, 0x1.c74f3dc24c0bcp-15, 0x1.aab2d6ff70c5ep-15, 0x1.8f169da6c17b8p-15, 0x1.747394a3a8592p-15, 0x1.5ac2e80184675p-15, 0x1.41fdec29b4d07p-15, 0x1.2a1e1d0ff0172p-15, 0x1.131d1d6d17bdbp-15, 0x1.f9e96bf8614cap-16, 0x1.cf3da963a64f2p-16, 0x1.a62b18044d6a2p-16, 0x1.7ea6244eb18p-16, 0x1.58a380c621364p-16, 0x1.3418249ce237ap-16, 0x1.10f94a49818d8p-16, 0x1.de78dc5677673p-17, 0x1.9dae9a5f0e201p-17, 0x1.5f7fc70435219p-17, 0x1.23d8d66c7d26fp-17, 0x1.d54d6c4a582ffp-18, 0x1.67ad94e78066bp-18, 0x1.fd5bb00da2565p-19, 0x1.3455956c413efp-19, 0x1.d00f09247b36bp-21, -0x1.0f74b1bfc2ed8p-21, -0x1.e71ddc5b794e8p-20, -0x1.9b5197eebb1c1p-19, -0x1.1db1d27c3f57fp-18, -0x1.6a00ffe9886e4p-18, -0x1.b2b405429249ep-18, -0x1.f7e7d3a305c5p-18, -0x1.1cdc50229a42ep-17, -0x1.3c20f44d5c7b8p-17, -0x1.59cf3b208ea5fp-17, -0x1.75f4317dc9a0ep-17, -0x1.909c8e324e928p-17, -0x1.a9d4b3ee610dcp-17, -0x1.c1a8b30542559p-17, -0x1.d8244b5afee24p-17, -0x1.ed52ee0cb5ac4p-17, -0x1.009fdfa0f5741p-16, -0x1.09facbf053c03p-16, -0x1.12bf839accbbap-16, -0x1.1af32a50a6fc3p-16, -0x1.229ac096a832fp-16, -0x1.29bb2495b2dadp-16, -0x1.305912dedafb7p-16, -0x1.3679272a32668p-16, -0x1.3c1fdd255f63bp-16, -0x1.4151911a805bdp-16, -0x1.461280b77c8c6p-16, -0x1.4a66cbbe1f95fp-16, -0x1.4e5274b55ea2bp-16, -0x1.51d961932019dp-16, -0x1.54ff5c68e0de2p-16, -0x1.57c8140f26964p-16, -0x1.5a371cc3a4832p-16, -0x1.5c4ff0c1a3cdep-16, -0x1.5e15f0f16757p-16, -0x1.5f8c65731087ap-16, -0x1.60b67e385de61p-16, -0x1.6197539cbda4p-16, -0x1.6231e6f246398p-16, -0x1.6289230d4f5b6p-16, -0x1.629fdcd4361ebp-16, -0x1.6278d3c2940fp-16, -0x1.6216b2719e5dcp-16, -0x1.617c0f18cf68ap-16, -0x1.60ab6c0dc1728p-16, -0x1.5fa7383fc7d8dp-16, -0x1.5e71cfb8a92d7p-16, -0x1.5d0d7c084150fp-16, -0x1.5b7c74c62fd26p-16, -0x1.59c0dffc275e6p-16, -0x1.57dcd29ccaf28p-16, -0x1.55d250eba7f08p-16, -0x1.53a34eebf0db1p-16, -0x1.5151b0c8b8fb8p-16, -0x1.4edf4b3db04aep-16, -0x1.4c4de3fbbfb61p-16, -0x1.499f320664758p-16, -0x1.46d4de1d6ea5dp-16, -0x1.43f0831470883p-16, -0x1.40f3ae30bcb35p-16, -0x1.3ddfdf84d038dp-16, -0x1.3ab68a4669758p-16, -0x1.377915294c7b6p-16, -0x1.3428daadbf9b6p-16, -0x1.30c7297925afbp-16, -0x1.2d55449fdce73p-16, -0x1.29d463fc60ebap-16, -0x1.2645b47519e27p-16, -0x1.22aa584c2ba2bp-16, -0x1.1f036767c3dcdp-16, -0x1.1b51ef99d0373p-16, -0x1.1796f4e7a99ccp-16, -0x1.13d371cc58c14p-16, -0x1.1008577ecce61p-16, -0x1.0c368e3222341p-16, -0x1.085ef55562c71p-16, -0x1.048263d1fe6bcp-16, -0x1.00a1a84b16373p-16, -0x1.f97b12ad7a14bp-17, -0x1.f1ad8b73d63c6p-17, -0x1.e9dc2940197c5p-17, -0x1.e2084baa8f49ep-17, -0x1.da3343f282e97p-17, -0x1.d25e556d4e79bp-17, -0x1.ca8ab5efbec18p-17, -0x1.c2b98e29c78d5p-17, -0x1.baebfa157305bp-17, -0x1.b323094f0a1fbp-17, -0x1.ab5fbf73e5ef1p-17, -0x1.a3a31480cc3ccp-17, -0x1.9bedf52a5e94cp-17, -0x1.9441433242948p-17, -0x1.8c9dd5c0bcbadp-17, -0x1.850479af58f6cp-17, -0x1.7d75f1e676467p-17, -0x1.75f2f79fa8c6dp-17, -0x1.6e7c3abae0916p-17, -0x1.67126206982e7p-17, -0x1.5fb60b864a0aap-17, -0x1.5867ccc10862cp-17, -0x1.512832fef2518p-17, -0x1.49f7c3929f2bbp-17, -0x1.42d6fc166b58fp-17, -0x1.3bc652b3c07adp-17, -0x1.34c636585f14ep-17, -0x1.2dd70efbcd489p-17, -0x1.26f93dd5c1959p-17, -0x1.202d1d9a71308p-17, -0x1.197302b2ad69fp-17, -0x1.12cb3b6ffcf75p-17, -0x1.0c361047eb0f3p-17, -0x1.05b3c3ff97e8ep-17, -0x1.fe8927d200ca3p-18, -0x1.f1d17014bd89p-18, -0x1.e540c6a886cf1p-18, -0x1.d8d7879af78bep-18, -0x1.cc9605838aba4p-18, -0x1.c07c89dc97169p-18, -0x1.b48b55559dap-18, -0x1.a8c2a0275c55dp-18, -0x1.9d229a6ca6795p-18, -0x1.91ab6c68a1cedp-18, -0x1.865d36d378009p-18, -0x1.7b38132c73437p-18, -0x1.703c13fd22f4fp-18, -0x1.6569451fb6423p-18, -0x1.5abfac05e9cddp-18, -0x1.503f47fa71df9p-18, -0x1.45e81260efe5p-18, -0x1.3bb9fef6eb107p-18, -0x1.31b4fc0d83947p-18, -0x1.27d8f2c8ada8p-18, -0x1.1e25c7537047bp-18, -0x1.149b591d6d93ap-18, -0x1.0b39830be4e6ep-18, -0x1.02001bb491412p-18, -0x1.f1ddeb0fa8bd5p-19, -0x1.e00bbe13e8b42p-19, -0x1.ce8945fe63d17p-19, -0x1.bd56113333347p-19, -0x1.ac71a7542415cp-19, -0x1.9bdb898dd4ad4p-19, -0x1.8b9332f20c60ep-19, -0x1.7b9818ccac718p-19, -0x1.6be9aaeaa5697p-19, -0x1.5c8753eaf1374p-19, -0x1.4d70798b2dcc4p-19, -0x1.3ea47cee14df8p-19, -0x1.3022bae10acd6p-19, -0x1.21ea8c1c4d73ep-19, -0x1.13fb4589ff88fp-19, -0x1.0654387f210f4p-19, -0x1.f1e965fe9566ap-20, -0x1.d7b7ffe1a8191p-20, -0x1.be12ceb43a4b2p-20, -0x1.a4f85d30dc83cp-20, -0x1.8c673125e5e04p-20, -0x1.745dcbdbf2443p-20, -0x1.5cdaaa7ef7779p-20, -0x1.45dc4678c3f4ap-20, -0x1.2f6115c94e8b8p-20, -0x1.19678b6e9b20dp-20, -0x1.03ee17a4caa46p-20, -0x1.dde65099a343bp-21, -0x1.b4ea525c181dcp-21, -0x1.8ce50893bcb55p-21, -0x1.65d3444675b88p-21, -0x1.3fb1d40e62ed5p-21, -0x1.1a7d8498bdea3p-21, -0x1.ec66426584ed1p-22, -0x1.a59ee88302582p-22, -0x1.609e8f81bddafp-22, -0x1.1d5ecb72ae85dp-22, -0x1.b7b2627751dfbp-23, -0x1.380eaf53f2e6ap-23, -0x1.778b5fe506a1fp-24, -0x1.0b2a769e016f4p-25, 0x1.977a31e88feaap-26, 0x1.4ae961ab95a0ep-24, 0x1.14d24c46d6713p-23, 0x1.8114b6a612dc4p-23, 0x1.ea4880987616bp-23, 0x1.283d16140cb94p-22, 0x1.59db15e4c4114p-22, 0x1.8a047095023acp-22, 0x1.b8bf4e1c7d3aep-22, 0x1.e611cd1560699p-22, 0x1.0901012915593p-21, 0x1.1e4afc332003p-21, 0x1.32e9d7a00c0d3p-21, 0x1.46e08ddd4e55cp-21, 0x1.5a3213a47a14p-21, 0x1.6ce157d69e853p-21, 0x1.7ef14346aa162p-21, 0x1.9064b8958310cp-21, 0x1.a13e940ce19f6p-21, 0x1.b181ab8045672p-21, 0x1.c130ce27d163p-21, 0x1.d04ec488d38e9p-21, 0x1.dede504e287d8p-21, 0x1.ece22c3a5a0e2p-21, 0x1.fa5d0c04602fdp-21, 0x1.03a8ce28b29fp-20, 0x1.09e14147153bdp-20, 0x1.0fd92e759b63dp-20, 0x1.1591e11fbd6fdp-20, 0x1.1b0ca0fed8f81p-20, 0x1.204ab214e2b01p-20, 0x1.254d54a55a8a3p-20, 0x1.2a15c52ec1acep-20, 0x1.2ea53c688f056p-20, 0x1.32fcef3bf725dp-20, 0x1.371e0ec281199p-20, 0x1.3b09c842fd539p-20, 0x1.3ec1452edc4ddp-20, 0x1.4245ab222d626p-20, 0x1.45981be08c805p-20, 0x1.48b9b55578a4p-20, 0x1.4bab919579d5bp-20, 0x1.4e6ec6dedf64fp-20, 0x1.51046796de0ap-20, 0x1.536d82518adfdp-20, 0x1.55ab21cdab2cap-20, 0x1.57be4cfb9cf6cp-20, 0x1.59a806fd18c29p-20, 0x1.5b694f29a9453p-20, 0x1.5d03211120e37p-20, 0x1.5e767481b883cp-20, 0x1.5fc43d8af8578p-20, 0x1.60ed6c81e49d9p-20, 0x1.61f2ee073cbbfp-20, 0x1.62d5ab0aaefa5p-20, 0x1.639688d1603e6p-20, 0x1.643668faac60cp-20, 0x1.64b62985fd842p-20, 0x1.6516a4db3ef65p-20, 0x1.6558b1ceab68ap-20, 0x1.657d23a98188ap-20, 0x1.6584ca2f7ba57p-20, 0x1.657071a4a707p-20, 0x1.6540e2d8207e7p-20, 0x1.64f6e3273a4a8p-20, 0x1.649334861befbp-20, 0x1.6416958a0ef3bp-20, 0x1.6381c16e60a1bp-20, 0x1.62d5701eb925cp-20, 0x1.6212563c5054p-20, 0x1.6139252876579p-20, 0x1.604a8b0a6b096p-20, 0x1.5f4732d8b9b56p-20, 0x1.5e2fc461f2504p-20, 0x1.5d04e455c25e1p-20, 0x1.5bc7344bcb14cp-20, 0x1.5a7752ce774a1p-20, 0x1.5915db61e4086p-20, 0x1.57a3668d04fdp-20, 0x1.562089e1ae6f3p-20, 0x1.548dd80776b57p-20, 0x1.52ebe0c2b13cbp-20, 0x1.513b30fde5f97p-20, 0x1.4f7c52d3207e3p-20, 0x1.4dafcd93820b3p-20, 0x1.4bd625d07be4bp-20, 0x1.49efdd6670378p-20, 0x1.47fd73840df95p-20, 0x1.45ff64b31c9p-20, 0x1.43f62ae2ce50fp-20, 0x1.41e23d6ef1b8p-20, 0x1.3fc41129fb449p-20, 0x1.3d9c1864e2795p-20, 0x1.3b6ac2f83bea9p-20, 0x1.39307e4ecfc2cp-20, 0x1.36edb56c54395p-20, 0x1.34a2d0f6a34c8p-20, 0x1.3250373edbb9fp-20, 0x1.2ff64c49742ebp-20, 0x1.2d9571d6bad7dp-20, 0x1.2b2e076c606c4p-20, 0x1.28c06a5df8e46p-20, 0x1.264cf5d3845d9p-20, 0x1.23d402d3df931p-20, 0x1.2155e84dc6dcbp-20, 0x1.1ed2fb1f088dap-20, 0x1.1c4b8e1bf6bb8p-20, 0x1.19bff218793a9p-20, 0x1.173075f0ac4e9p-20, 0x1.149d66902b3f6p-20, 0x1.12070efb429cdp-20, 0x1.0f6db855c09dap-20, 0x1.0cd1a9ea9f653p-20, 0x1.0a332934949ap-20, 0x1.079279e59478bp-20, }}, 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
      std::vector<double>(1000, 0.0), 
    }}, 
    {
      32, 0x1.1c7ae147ae148p+3, 0x1.e6133234f022cp+0, 0x1.a190e2474bfe1p+2, -0x1.4f24961afd8b4p-13, 
      {{
        {0x1.d3d70a3d70a3dp+2, 0x1.d666666666666p+2, 0x1.f6b4d62aeecd7p-12, -0x1.3e2b52f345b8dp-10, 0x1.2e0f0d8b9fef9p-10, -0x1.f8ffb8e16f3bbp-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.c5b33e75ce93dp-12, -0x1.269c4ba32686bp-10, 0x1.1ee8a9476bf59p-10, -0x1.e8dd1a229d68cp-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.8d9607225de1ap-12, -0x1.0ad6157a7924cp-10, 0x1.0c9391e61fa7cp-10, -0x1.d8b06add12a08p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.5ad870d40487p-12, -0x1.e1bad5db973ap-11, 0x1.f5b3822edde9cp-11, -0x1.c89135599b1e7p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.2d1fb97ea23d5p-12, -0x1.b14596ccae191p-11, 0x1.d3756afb58aep-11, -0x1.b86e6379fce5cp-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.0414380ea3a45p-12, -0x1.842d76130afaap-11, 0x1.b26d238565b68p-11, -0x1.a84c8948ddae3p-12}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.bec2b8d20483dp-13, -0x1.5a53796fe57adp-11, 0x1.929a993988499p-11, -0x1.982a6cba0067dp-12}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.7d6b5ed689009p-13, -0x1.3398a752854a5p-11, 0x1.73fdd111fb748p-11, -0x1.880861f389197p-12}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.4385a5d6fb629p-13, -0x1.0fde05fb8e426p-11, 0x1.5696c9b9512c5p-11, -0x1.77e652694135ap-12}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.107b03709c14dp-13, -0x1.de09377047039p-12, 0x1.3a65838b05e2p-11, -0x1.67c44425d1e01p-12}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.c7763e638a9d7p-14, -0x1.a1dadda41ddp-12, 0x1.1f69fe6e96248p-11, -0x1.57a2358ace554p-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.7977a533d625p-14, -0x1.6af30b28000d6p-12, 0x1.05a43a6a9377dp-11, -0x1.47802707475b4p-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.35f25233365b2p-14, -0x1.3913cc90d1cf9p-12, 0x1.da286efa75d45p-12, -0x1.375e187d6c313p-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.f7d58049f4e4cp-15, -0x1.0bff2e73981edp-12, 0x1.ab73eb4e0c007p-12, -0x1.273c09f54cb51p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.94e39b5d4a62ep-15, -0x1.c6ee7aca9e5ap-13, 0x1.7f2ae9cfa6e56p-12, -0x1.1719fb6ca97fep-12}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.41497aafd9e96p-15, -0x1.7e7c0bf5eb07ep-13, 0x1.554d6a7f5a44dp-12, -0x1.06f7ece44a9a8p-12}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.f6b4d62aeec9bp-16, -0x1.3e2b2993126cp-13, 0x1.2ddb6d5d1be1bp-12, -0x1.edabbcb6d0ea7p-13}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.8305024cbbc68p-16, -0x1.057feccc0fb08p-13, 0x1.08d4f268ff692p-12, -0x1.cd679fa88adcap-13}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.248d327e5f545p-16, -0x1.a7fcdd95c58b8p-14, 0x1.cc73f34583993p-13, -0x1.ad23828d78592p-13}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.b1115e03d87edp-17, -0x1.52559172f36dp-14, 0x1.8c150616b18adp-13, -0x1.8cdf65a1b9ea1p-13}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.38c89f4487937p-17, -0x1.0912278409bdfp-14, 0x1.508d1d3e6f408p-13, -0x1.6c9b480630b2ap-13}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.b6f9eecc55b5fp-18, -0x1.9675a436f7d09p-15, 0x1.19dc38d71b26dp-13, -0x1.4c572cf9a4297p-13}, 
        {0x1.0cccccccccccdp+3, 0x1.0e66666666666p+3, 0x1.299ca8437c49p-18, -0x1.2faf8725dad55p-15, 0x1.d004b0fceb72cp-14, -0x1.2c130861797ffp-13}, 
        {0x1.0e66666666666p+3, 0x1.1p+3, 0x1.82ff090767ac1p-19, -0x1.b7c4b8a4b5d4ap-16, 0x1.75fefb4613cebp-14, -0x1.0bcf07689aacfp-13}, 
        {0x1.1p+3, 0x1.119999999999ap+3, 0x1.ddbb6d159ab7fp-20, -0x1.323d1204b72e5p-16, 0x1.25a745d9e5666p-14, -0x1.d71502fc926e4p-14}, 
        {0x1.119999999999ap+3, 0x1.1333333333333p+3, 0x1.13f50990e1f81p-20, -0x1.95d1be414ef9ep-17, 0x1.bdfb7134d20fdp-15, -0x1.968fd7749be8fp-14}, 
        {0x1.1333333333333p+3, 0x1.14ccccccccccdp+3, 0x1.241c6ef8334p-21, -0x1.f7a3e9e13bd64p-18, 0x1.44037d5ea34cdp-15, -0x1.55fc349d35b45p-14}, 
        {0x1.14ccccccccccdp+3, 0x1.1666666666666p+3, 0x1.120cfd7e6d3ffp-22, -0x1.1d77b4db96abbp-18, 0x1.bad60e5ef32a5p-16, -0x1.159e8eb6aa627p-14}, 
        {0x1.1666666666666p+3, 0x1.18p+3, 0x1.ae96250a65p-24, -0x1.1b4b807856482p-19, 0x1.1443b8be268cbp-16, -0x1.a8eed8b72228p-15}, 
        {0x1.18p+3, 0x1.199999999999ap+3, 0x1.fbb67c5828001p-26, -0x1.c519dd496903ap-21, 0x1.2991bc419efd6p-17, -0x1.2c807dc6dd509p-15}, 
        {0x1.199999999999ap+3, 0x1.1b33333333333p+3, 0x1.5ad870d3cp-28, -0x1.e4eca78ed884dp-23, 0x1.d5128ff6025c4p-19, -0x1.344ae94a6e499p-16}, 
        {0x1.1b33333333333p+3, 0x1.1c7ae147ae148p+3, 0x1.b1115df000001p-33, -0x1.e5e8cb315ac33p-27, 0x1.8c7c4672c5p-21, -0x1.15e58a0368f2cp-15}, 
      }}, 
      0x1.942d421292332p-11, -0x1.aa6142d7af5aep-8
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{0x1.65193438a7401p-4, 0x1.84cf6b1a2c31dp-4, 0x1.b6ac72c5e22dep-4, 0x1.f74f5e0f00a73p-4, 0x1.2189319cdc696p-3, 0x1.4b2c84e6cf076p-3, 0x1.76e12e4434549p-3, 0x1.a32377e5ac41dp-3, 0x1.cea42179ab7c2p-3, 0x1.f84a89208e902p-3, 0x1.0f9978d22ff89p-2, 0x1.21553f579e549p-2, 0x1.31150b5675623p-2, 0x1.3ea8796e03338p-2, 0x1.49efab60fc84bp-2, 0x1.52d8d799db722p-2, 0x1.595e1943a38e2p-2, 0x1.5d838210d1e5fp-2, 0x1.5f5568970a1eap-2, 0x1.5ee6ebd54cf06p-2, 0x1.5c50a48e3b7d5p-2, 0x1.57af7e774eb26p-2, 0x1.5123b4aaa8621p-2, 0x1.48cfedbfd7483p-2, 0x1.3ed8746a7036cp-2, 0x1.336289cfde194p-2, 0x1.2693cf134b627p-2, 0x1.1891c41abfb75p-2, 0x1.098159dee97b2p-2, 0x1.f30d2d76118b6p-3, 0x1.d18896a8cdde2p-3, 0x1.aeb7ad430c463p-3, 0x1.8ad9ef34f3cfp-3, 0x1.662b563e12a66p-3, 0x1.40e42941cca4dp-3, 0x1.1b38e08269a6p-3, 0x1.eab433e9e3bcfp-4, 0x1.9ee93637786f2p-4, 0x1.5362be311ed0ap-4, 0x1.086b5a876523bp-4, 0x1.7c8cdc6b6451fp-5, 0x1.d4c1fae72cccbp-6, 0x1.6afbe22d0db19p-7, -0x1.8fcdd47ac92e3p-8, -0x1.76eaac2d4dfe5p-6, -0x1.416b2aa3fc17cp-5, -0x1.c39c9d22a3956p-5, -0x1.20ea663a6f863p-4, -0x1.5df3b87d5ba31p-4, -0x1.98d8463317b57p-4, -0x1.d189b64bb21c3p-4, -0x1.03fe9315592b8p-3, -0x1.1e155f6cf320fp-3, -0x1.3706c2a2d2a36p-3, -0x1.4ed180bc72662p-3, -0x1.6575887bd51ep-3, -0x1.7af3cf321914fp-3, -0x1.8f4e3a7501ea9p-3, -0x1.a287852b54524p-3, -0x1.b4a32b19a4667p-3, -0x1.c5a553718723ap-3, -0x1.d592bd8f63a63p-3, -0x1.e470af095a7a3p-3, -0x1.f244e39a69682p-3, -0x1.ff157e5d9f347p-3, -0x1.05747dd722441p-2, -0x1.0ae311b06c418p-2, -0x1.0fd9fdbe06b16p-2, -0x1.145cddece3839p-2, -0x1.186f6177b3bd8p-2, -0x1.1c1545d752795p-2, -0x1.1f52521f77e7dp-2, -0x1.222a52a48fae9p-2, -0x1.24a114dfcac26p-2, -0x1.26ba6397e1163p-2, -0x1.287a0364a984cp-2, -0x1.29e3af9bcb383p-2, -0x1.2afb17aa8d42p-2, -0x1.2bc3dcd2ee837p-2, -0x1.2c419037e2f1bp-2, -0x1.2c77b12a08f61p-2, -0x1.2c69aba1ed1b5p-2, -0x1.2c1ad6e8a3427p-2, -0x1.2b8e7468f8de3p-2, -0x1.2ac7aeb12de6fp-2, -0x1.29c998a54f5b9p-2, -0x1.28972ce22f5a4p-2, -0x1.27334d523697dp-2, -0x1.25a0c2e8e5cd7p-2, -0x1.23e23d83a2debp-2, -0x1.21fa53e9720a3p-2, -0x1.1feb83de9952p-2, -0x1.1db83250a91d9p-2, -0x1.1b62ab910d9b4p-2, -0x1.18ed23a2c5c1p-2, -0x1.1659b695a233ep-2, -0x1.13aa68f2184d5p-2, -0x1.10e12833c5e4ep-2, -0x1.0dffcb50d33d7p-2, -0x1.0b08134d315b5p-2, -0x1.07fbabd9ad4a3p-2, -0x1.04dc2bf7ed39dp-2, -0x1.01ab16a874bedp-2, -0x1.fcd3b732a9333p-3, -0x1.f633afb5c7ecbp-3, -0x1.ef78ad264d2c9p-3, -0x1.e8a523667766bp-3, -0x1.e1bb655675d16p-3, -0x1.dabda638e4bdbp-3, -0x1.d3adfb14fd7a2p-3, -0x1.cc8e5c105dce2p-3, -0x1.c560a5c8098c2p-3, -0x1.be269a9b04d0dp-3, -0x1.b6e1e3f6d20bap-3, -0x1.af9413921918cp-3, -0x1.a83ea4a57b489p-3, -0x1.a0e2fd1920864p-3, -0x1.99826ea429b2bp-3, -0x1.921e37e89f286p-3, -0x1.8ab7857dd1525p-3, -0x1.834f72f482ee5p-3, -0x1.7be70bcd59446p-3, -0x1.747f4c6263ad9p-3, -0x1.6d1922cd08649p-3, -0x1.65b56fb4931ddp-3, -0x1.5e55071ba3fd1p-3, -0x1.56f8b1244a67ep-3, -0x1.4fa12abb48446p-3, -0x1.484f264af512fp-3, -0x1.41034c5d8883ep-3, -0x1.39be3c2c790bap-3, -0x1.32808c37f6576p-3, -0x1.2b4acacbb470cp-3, -0x1.241d7e76b4aecp-3, -0x1.1cf9268a12cf4p-3, -0x1.15de3b83f42aep-3, -0x1.0ecd2f7238b93p-3, -0x1.07c66e5d38214p-3, -0x1.00ca5e9d08bf2p-3, -0x1.f3b2c24ff213bp-4, -0x1.e5e7a3d7b2344p-4, -0x1.d834102a7d492p-4, -0x1.ca98ac9374df2p-4, -0x1.bd1615e062c24p-4, -0x1.aface0dece49ap-4, -0x1.a25d9ab38c4e2p-4, -0x1.9528c94650641p-4, -0x1.880eebaea76c7p-4, -0x1.7b107a7a7f257p-4, -0x1.6e2de7fd1899p-4, -0x1.6167a0a8f4e5p-4, -0x1.54be0b4b0bb6ep-4, -0x1.4831893c0818fp-4, -0x1.3bc276b08bc4ap-4, -0x1.2f712af6b1051p-4, -0x1.233df88880278p-4, -0x1.17292d3905b68p-4, -0x1.0b331285e3b2fp-4, -0x1.feb7db74f26c3p-5, -0x1.e747ffcd721c4p-5, -0x1.d0170c0bc63a9p-5, -0x1.b92572a179bf9p-5, -0x1.a2739eb1b79cap-5, -0x1.8c01f3d63a406p-5, -0x1.75d0ce48505dp-5, -0x1.5fe0837f62362p-5, -0x1.4a31627fee701p-5, -0x1.34c3b39be26b9p-5, -0x1.1f97b85ba56d6p-5, -0x1.0aadabf6d4546p-5, -0x1.ec0b879ba9fb8p-6, -0x1.c3405eb551046p-6, -0x1.9afa2fdd6559ep-6, -0x1.733941af63c0bp-6, -0x1.4bfdcfb26ec51p-6, -0x1.25480adbf22e1p-6, -0x1.fe30329d2ddc6p-7, -0x1.b2dc2c27cc4b6p-7, -0x1.689422fa63457p-7, -0x1.1f5823a95d7cbp-7, -0x1.ae504efc129afp-8, -0x1.200828bfbc2fp-8, -0x1.27aef2449b6cap-9, -0x1.37b7c2c13a1cdp-13, 0x1.f916bcee76224p-10, 0x1.04339898ac61ep-8, 0x1.880ce9b513312p-8, 0x1.04e9581ef24eep-7, 0x1.44c30e174537ap-7, 0x1.83943f9528f31p-7, 0x1.c15da53ca28d8p-7, 0x1.fe20065c2321cp-7, 0x1.1cee1c3e0f461p-6, 0x1.3a498fe546634p-6, 0x1.5722d7bd6b983p-6, 0x1.737a74942a3a4p-6, 0x1.8f50edacf63e7p-6, 0x1.aaa6d024b7687p-6, 0x1.c57caef2c5ea7p-6, 0x1.dfd32352958c2p-6, 0x1.f9aacce8c413ep-6, 0x1.098228a063ba1p-5, 0x1.15f02d7802a02p-5, 0x1.221fcc8799ca5p-5, 0x1.2e115fb2666b3p-5, 0x1.39c5437011a73p-5, 0x1.453bd6d9d326bp-5, 0x1.50757b62e1496p-5, 0x1.5b72946ae2479p-5, 0x1.663386fde2bdbp-5, 0x1.70b8b9e8a9cb6p-5, 0x1.7b0295f58d53ap-5, 0x1.85118602af85ap-5, 0x1.8ee5f6c9642e2p-5, 0x1.9880567f32554p-5, 0x1.a1e11489ef15p-5, 0x1.ab08a1803c435p-5, 0x1.b3f76f5bcee37p-5, 0x1.bcadf1a03f37p-5, 0x1.c52c9d47a6b0ep-5, 0x1.cd73e8790335p-5, 0x1.d5844a3954ac6p-5, 0x1.dd5e3a49d567cp-5, 0x1.e502313d09c6dp-5, 0x1.ec70a8a3bd789p-5, 0x1.f3aa1b2066f14p-5, 0x1.faaf04499c889p-5, 0x1.00bff03588eccp-4, 0x1.040e9625edc0bp-4, 0x1.0743b28d0d81p-4, 0x1.0a5f843f80726p-4, 0x1.0d624a60c822p-4, 0x1.104c446afb369p-4, 0x1.131db224e5439p-4, 0x1.15d6d38b20e52p-4, 0x1.1877e8b997035p-4, 0x1.1b0131e0acee3p-4, 0x1.1d72ef4a1a273p-4, 0x1.1fcd616593d9cp-4, 0x1.2210c8d2047f3p-4, 0x1.243d665b6e8edp-4, 0x1.26537aede8015p-4, 0x1.285347842997cp-4, 0x1.2a3d0d1a8a053p-4, 0x1.2c110cac8ac4dp-4, 0x1.2dcf873b7d717p-4, 0x1.2f78bdd7ac1bp-4, 0x1.310cf1a519999p-4, 0x1.328c63d8a8e21p-4, 0x1.33f755ae408bep-4, 0x1.354e085c33ed6p-4, 0x1.3690bd09fb1bcp-4, 0x1.37bfb4ce719cep-4, 0x1.38db30b47a0ddp-4, 0x1.39e371c1e4369p-4, 0x1.3ad8b8fc440f1p-4, 0x1.3bbb4768e67cap-4, 0x1.3c8b5e06cc98dp-4, 0x1.3d493dc49a7p-4, 0x1.3df527774ed44p-4, 0x1.3e8f5bd5b33e5p-4, 0x1.3f181b7a71b9bp-4, 0x1.3f8fa6e96f805p-4, 0x1.3ff63e95679f1p-4, 0x1.404c22e2b5e7dp-4, 0x1.4091942502ebep-4, 0x1.40c6d297eb60cp-4, 0x1.40ec1e55bc594p-4, 0x1.4101b750d9b77p-4, 0x1.4107dd527d1e4p-4, 0x1.40fecffdb0904p-4, 0x1.40e6ced348ac3p-4, 0x1.40c0193462646p-4, 0x1.408aee618ac97p-4, 0x1.40478d76b6342p-4, 0x1.3ff6356540d2ep-4, 0x1.3f9724eecf57dp-4, 0x1.3f2a9aa35f391p-4, 0x1.3eb0d4e2548e1p-4, 0x1.3e2a11dbd2b11p-4, 0x1.3d968f8f7b5d8p-4, 0x1.3cf68bc831f42p-4, 0x1.3c4a4416a9d38p-4, 0x1.3b91f5cd18b92p-4, 0x1.3acdddfdd8d85p-4, 0x1.39fe397d1b616p-4, 0x1.392344e49bd89p-4, 0x1.383d3c966593ep-4, 0x1.374c5cbb7e44bp-4, 0x1.3650e13ccd928p-4, 0x1.354b05b811b1p-4, 0x1.343b057562fb5p-4, 0x1.33211b61cfabep-4, 0x1.31fd8210ea25ep-4, 0x1.30d073c3beb1bp-4, 0x1.2f9a2a7149162p-4, 0x1.2e5adfcbd9c1fp-4, 0x1.2d12cd4035521p-4, 0x1.2bc22bed1e173p-4, 0x1.2a693495f396ep-4, 0x1.29081f94b0e86p-4, 0x1.279f24d0da01fp-4, 0x1.262e7bbe69cfdp-4, 0x1.24b65b640b5a9p-4, 0x1.2336fa64a9e77p-4, 0x1.21b08f079d36p-4, 0x1.20234f3b3cdaep-4, 0x1.1e8f70909706p-4, 0x1.1cf52831848d3p-4, 0x1.1b54aad436461p-4, 0x1.19ae2cb0296e7p-4, 0x1.1801e177fe887p-4, 0x1.164ffc599df26p-4, 0x1.1498b003719c2p-4, 0x1.12dc2eab7df31p-4, 0x1.111aaa14c0b63p-4, 0x1.0f54539041a45p-4, 0x1.0d895bf95a37cp-4, 0x1.0bb9f3ae8ea8p-4, 0x1.09e64a89460dcp-4, 0x1.080e8fd6a3eb8p-4, 0x1.0632f25337368p-4, 0x1.0453a02a292adp-4, 0x1.0270c6f76718ap-4, 0x1.008a93cb439c9p-4, 0x1.fd42665b40143p-5, 0x1.f969a23df058fp-5, 0x1.f58b322d85d95p-5, 0x1.f1a76bffb37p-5, 0x1.edbea46644ef7p-5, 0x1.e9d12ee8620abp-5, 0x1.e5df5ddb496fp-5, 0x1.e1e98260c21fdp-5, 0x1.ddefec67e72ebp-5, 0x1.d9f2eaafe49aep-5, 0x1.d5f2cacb08477p-5, 0x1.d1efd92110609p-5, 0x1.cdea60eed094cp-5, 0x1.c9e2ac43a1306p-5, 0x1.c5d903fcdb4f4p-5, 0x1.c1cdafc17cd06p-5, 0x1.bdc0f5fe5ea73p-5, 0x1.b9b31be4ceaecp-5, 0x1.b5a4656b29c4ep-5, 0x1.b195154ea4d5ep-5, 0x1.ad856d15921b6p-5, 0x1.a975ad1104823p-5, 0x1.a566145d8808p-5, 0x1.a156e0e2bbb29p-5, 0x1.9d484f523bf4dp-5, 0x1.993a9b2612fd3p-5, 0x1.952dfea01a61p-5, 0x1.9122b2c98c482p-5, 0x1.8d18ef73ff584p-5, 0x1.8910eb3b994ep-5, 0x1.850adb8938706p-5, 0x1.8106f494bd628p-5, 0x1.7d05696696428p-5, 0x1.79066bd867e6p-5, 0x1.750a2c955db8ap-5, 0x1.7110db1a92efap-5, 0x1.6d1aa5b80f834p-5, 0x1.6927b992913aap-5, 0x1.653842a605b18p-5, 0x1.614c6bc85387cp-5, 0x1.5d645eac02d92p-5, 0x1.598043e27a644p-5, 0x1.55a042ddba294p-5, 0x1.51c481f1c6de1p-5, 0x1.4ded26561cc66p-5, 0x1.4a1a54277fc8bp-5, 0x1.464c2e6a702cbp-5, 0x1.4282d70e2188dp-5, 0x1.3ebe6ef02958fp-5, 0x1.3aff15e00a663p-5, 0x1.3744eaa2791cp-5, 0x1.33900af4034b1p-5, 0x1.2fe0938b0b857p-5, 0x1.2c36a019857f4p-5, 0x1.28924b4edb4p-5, 0x1.24f3aeda80237p-5, 0x1.215ae36f6d204p-5, 0x1.1dc800c86b3cap-5, 0x1.1a3b1dacad875p-5, 0x1.16b44ff40b5d4p-5, 0x1.1333ac8a68fbep-5, 0x1.0fb947721fef7p-5, 0x1.0c4533c5b08bap-5, 0x1.08d783b9573e7p-5, 0x1.0570489d479b1p-5, 0x1.020f92e1197f9p-5, 0x1.fd6ae430fdb23p-6, 0x1.f6c3ea01ac08dp-6, 0x1.f02a530da5639p-6, 0x1.e99e3996918cap-6, 0x1.e31fb64ce4329p-6, 0x1.dcaee0533e718p-6, 0x1.d64bcd3f8a68fp-6, 0x1.cff6911bf23a6p-6, 0x1.c9af3e69ff6d2p-6, 0x1.c375e629ad846p-6, 0x1.bd4a97e4e8d18p-6, 0x1.b72d61be4fd94p-6, 0x1.b11e5080b41f6p-6, 0x1.ab1d6fac4584cp-6, 0x1.a52ac97eb699bp-6, 0x1.9f4666f56b587p-6, 0x1.99704fca99168p-6, 0x1.93a88a7056b2p-6, 0x1.8def1c0d93b2ap-6, 0x1.88440880c0c13p-6, 0x1.82a7526a371c5p-6, 0x1.7d18fb3e38573p-6, 0x1.7799035b5dd93p-6, 0x1.72276a20c14a2p-6, 0x1.6cc42dfe8a2d7p-6, 0x1.676f4c7cfad7ap-6, 0x1.6228c238d1ac9p-6, 0x1.5cf08ad7351edp-6, 0x1.57c6a0f6452f2p-6, 0x1.52aafe210603ep-6, 0x1.4d9d9acce3127p-6, 0x1.489e6e649321bp-6, 0x1.43ad6f603aaa4p-6, 0x1.3eca9366ad0cap-6, 0x1.39f5cf703ee0bp-6, 0x1.352f17e2cedecp-6, 0x1.3076609fa99abp-6, 0x1.2bcb9cffb32b5p-6, 0x1.272ebfbf19066p-6, 0x1.229fbadec4847p-6, 0x1.1e1e7f851019ap-6, 0x1.19aafde866c1fp-6, 0x1.1545254c2a3edp-6, 0x1.10ece413e3882p-6, 0x1.0ca227eab56aep-6, 0x1.0864ddf74a98ep-6, 0x1.0434f3107b62fp-6, 0x1.001253e5e3aa9p-6, 0x1.f7f9da242ecf5p-7, 0x1.efe956229005p-7, 0x1.e7f2f43cd0536p-7, 0x1.e0168bfeaf96fp-7, 0x1.d853f39b5e736p-7, 0x1.d0aaff96844p-7, 0x1.c91b829eafd85p-7, 0x1.c1a54da8167cap-7, 0x1.ba48304724ea9p-7, 0x1.b303f93aa1103p-7, 0x1.abd8770833a3fp-7, 0x1.a4c578886c92dp-7, 0x1.9dcacd4146058p-7, 0x1.96e845795f5fep-7, 0x1.901db1fd3599cp-7, 0x1.896ae3a2e32aap-7, 0x1.82cfaaa7dd5e4p-7, 0x1.7c4bd60def717p-7, 0x1.75df331def16dp-7, 0x1.6f898d3003503p-7, 0x1.694aadca2fce3p-7, 0x1.63225d1442412p-7, 0x1.5d10628cb2631p-7, 0x1.571485daba351p-7, 0x1.512e8f9206e9fp-7, 0x1.4b5e49bdfc84ep-7, 0x1.45a38015d9acap-7, 0x1.3ffdffcdb8dep-7, 0x1.3a6d970da47b9p-7, 0x1.34f2142aaa359p-7, 0x1.2f8b44cb30b3fp-7, 0x1.2a38f522515d3p-7, 0x1.24faef6b5f3f4p-7, 0x1.1fd0fbc1a58f2p-7, 0x1.1abae06041552p-7, 0x1.15b86242707a3p-7, 0x1.10c94609761e2p-7, 0x1.0bed50fd48149p-7, 0x1.072449f63573fp-7, 0x1.026df9ffeed97p-7, 0x1.fb94592987b85p-8, 0x1.f2715ecb7a019p-8, 0x1.e972a377ebaf5p-8, 0x1.e097c728b2bf8p-8, 0x1.d7e06943446c1p-8, 0x1.cf4c26c43a96dp-8, 0x1.c6da98e052d7cp-8, 0x1.be8b54526df0ep-8, 0x1.b65de974fe525p-8, 0x1.ae51e52a3c3dbp-8, 0x1.a666d2778c6bap-8, 0x1.9e9c3c98fd1cp-8, 0x1.96f1b13404a38p-8, 0x1.8f66c2419ce3ep-8, 0x1.87fb074de21a6p-8, 0x1.80ae1dcccf964p-8, 0x1.797fa8771dd7bp-8, 0x1.726f4dd9e5b07p-8, 0x1.6b7cb66d1651p-8, 0x1.64a78a9305e6ap-8, 0x1.5def70d76d23p-8, 0x1.57540ca5e3fffp-8, 0x1.50d4fd90faf1fp-8, 0x1.4a71df2f73026p-8, 0x1.442a498f44e0dp-8, 0x1.3dfdd23c1c482p-8, 0x1.37ec0dcc6f86cp-8, 0x1.31f491cf9d395p-8, 0x1.2c16f6d478acfp-8, 0x1.2652da25d8adcp-8, 0x1.20a7ded8975dfp-8, 0x1.1b15ade7bc78fp-8, 0x1.159bf555cdeb2p-8, 0x1.103a668da3fe5p-8, 0x1.0af0b46d5ee48p-8, 0x1.05be9172d18b4p-8, 0x1.00a3ae62c992fp-8, 0x1.f73f731ac5cfcp-9, 0x1.ed64bd3048377p-9, 0x1.e3b68d32d042ap-9, 0x1.da3430b49ef5bp-9, 0x1.d0dcf1710f977p-9, 0x1.c7b0168f679e7p-9, 0x1.beace6b62116ep-9, 0x1.b5d2ab054f218p-9, 0x1.ad20b29e4bfc4p-9, 0x1.a49655f54a875p-9, 0x1.9c32f9016a3f5p-9, 0x1.93f60b8ca557cp-9, 0x1.8bdf076a065fbp-9, 0x1.83ed6cfa8a5b6p-9, 0x1.7c20bef4da7a2p-9, 0x1.74787e9ec6a25p-9, 0x1.6cf4296dd807ap-9, 0x1.6593386c54749p-9, 0x1.5e55210224458p-9, 0x1.5739563cd4069p-9, 0x1.503f49a372fd8p-9, 0x1.49666b17ed543p-9, 0x1.42ae2802423e8p-9, 0x1.3c15ea96ad13fp-9, 0x1.359d1a2b7dc03p-9, 0x1.2f431d28a4f89p-9, 0x1.29075c624318cp-9, 0x1.22e94703c6c38p-9, 0x1.1ce855dd7d46ap-9, 0x1.17040d034a76ap-9, 0x1.113bfb29a3832p-9, 0x1.0b8fb6e460bcfp-9, 0x1.05fedaa2679bep-9, 0x1.008900ba56102p-9, 0x1.f65b81b189991p-10, 0x1.ebd95f27cc937p-10, 0x1.e18ac001757e4p-10, 0x1.d76ecc9009c1ep-10, 0x1.cd84b390742ap-10, 0x1.c3cbab1648a98p-10, 0x1.ba42ed49ea3bdp-10, 0x1.b0e9b2409ccf8p-10, 0x1.a7bf29be5aa3dp-10, 0x1.9ec277e0245b7p-10, 0x1.95f2b665f8c09p-10, 0x1.8d4efa4fd16cap-10, 0x1.84d65bd817d2dp-10, 0x1.7c87fe2e24551p-10, 0x1.746314a90fb1dp-10, 0x1.6c66e406d4911p-10, 0x1.6492bf69301b7p-10, 0x1.5ce6020ab1bbp-10, 0x1.556007d4b91eep-10, 0x1.4e00278204632p-10, 0x1.46c5b06ab68b4p-10, 0x1.3fafecaf01803p-10, 0x1.38be26c894fa6p-10, 0x1.31efb04eca2fdp-10, 0x1.2b43e73082133p-10, 0x1.24ba37186c3a6p-10, 0x1.1e521611194a3p-10, 0x1.180afd79a518ep-10, 0x1.11e46223aee2bp-10, 0x1.0bddaf026771ep-10, 0x1.05f6449dd48bfp-10, 0x1.002d7d1c83647p-10, 0x1.f5056554e772p-11, 0x1.e9ea8b2c3c046p-11, 0x1.df09411d9ed8dp-11, 0x1.d46075399c929p-11, 0x1.c9ef2d8d02b86p-11, 0x1.bfb482881c24p-11, 0x1.b5af955207783p-11, 0x1.abdf84c7981a8p-11, 0x1.a24364d3abd74p-11, 0x1.98da3ac695514p-11, 0x1.8fa2ff626d4a2p-11, 0x1.869ca5c9535f9p-11, 0x1.7dc6256fc9b7cp-11, 0x1.751e84212eefbp-11, 0x1.6ca4dc52ea098p-11, 0x1.64585c86a82b8p-11, 0x1.5c383f2792dafp-11, 0x1.5443be04f6658p-11, 0x1.4c7a07435962p-11, 0x1.44da395c39a2dp-11, 0x1.3d6367e90470bp-11, 0x1.3614a59fc0a68p-11, 0x1.2eed0d11982e5p-11, 0x1.27ebc42c9a933p-11, 0x1.210ffc45777eep-11, 0x1.1a58f341705d9p-11, 0x1.13c5f733c1b17p-11, 0x1.0d5668ac48badp-11, 0x1.0709b77683196p-11, 0x1.00df59daaa1c9p-11, 0x1.f5ad84cc5738fp-12, 0x1.e9deb113c759ep-12, 0x1.de50ecc2104bcp-12, 0x1.d302d7a4a2fbbp-12, 0x1.c7f30b2318833p-12, 0x1.bd202a57b0c54p-12, 0x1.b288ee1eebda4p-12, 0x1.a82c296a31f2fp-12, 0x1.9e08c5b87c75ep-12, 0x1.941db9df72ee8p-12, 0x1.8a69fdfbd53cap-12, 0x1.80ec80150569cp-12, 0x1.77a41e5823b79p-12, 0x1.6e8fab02d2816p-12, 0x1.65adf8304aa4ap-12, 0x1.5cfde1cbee1f4p-12, 0x1.547e4bbbfe7c9p-12, 0x1.4c2e174163a26p-12, 0x1.440c206094ca2p-12, 0x1.3c174f647e9eep-12, 0x1.344eb3fb27804p-12, 0x1.2cb19172d5a5ep-12, 0x1.253f4f7cf880bp-12, 0x1.1df759fa36714p-12, 0x1.16d904d5d0022p-12, 0x1.0fe38264378bfp-12, 0x1.0915ecf710ec5p-12, 0x1.026f591481dbfp-12, 0x1.f7ddc558ef7bp-13, 0x1.eb275d3f73787p-13, 0x1.deb9ca284ab04p-13, 0x1.d2935c8f5cca7p-13, 0x1.c6b26dc946ed9p-13, 0x1.bb157163cca9bp-13, 0x1.afbb0124fb5efp-13, 0x1.a4a1d9c646cd4p-13, 0x1.99c8c8c38013fp-13, 0x1.8f2e9663b7b8ap-13, 0x1.84d1fc3d57ddfp-13, 0x1.7ab1af5d7f084p-13, 0x1.70cc6f02051e6p-13, 0x1.6720fced39fefp-13, 0x1.5dadfce1c4421p-13, 0x1.5471e43d6fd0fp-13, 0x1.4b6b232de21fp-13, 0x1.4298711020e7p-13, 0x1.39f8f106a3e83p-13, 0x1.318c07d44de6ep-13, 0x1.29510c5974bd4p-13, 0x1.214717a71a944p-13, 0x1.196d11cab4f69p-13, 0x1.11c1e2f420ac3p-13, 0x1.0a4499015d88bp-13, 0x1.02f463b37b52bp-13, 0x1.f7a0e4d4a7a61p-14, 0x1.e9afab9f96e4fp-14, 0x1.dc12f65984989p-14, 0x1.cec87a2c7d6fp-14, 0x1.c1cdf37cd4ae5p-14, 0x1.b521478ba13e2p-14, 0x1.a8c0949382a51p-14, 0x1.9caa3108ee91ap-14, 0x1.90dc9b3f0bb89p-14, 0x1.85565db184507p-14, 0x1.7a15f5844e93bp-14, 0x1.6f19d0dcfeed3p-14, 0x1.64606dd0c2f7ep-14, 0x1.59e87abd794fcp-14, 0x1.4fb0c3503d66dp-14, 0x1.45b7e70ef169ep-14, 0x1.3bfc3022ed7b7p-14, 0x1.327bdebeb5e26p-14, 0x1.2935a8766d8b1p-14, 0x1.2028c76d66509p-14, 0x1.17547cbfdbcb5p-14, 0x1.0eb79ba18fc4ep-14, 0x1.065095c73bca6p-14, 0x1.fc3bd162d06aep-15, 0x1.ec3ce8766e127p-15, 0x1.dca2dd54b482dp-15, 0x1.cd6c3538222a7p-15, 0x1.be97251e52c54p-15, 0x1.b0218dc4ec0cap-15, 0x1.a20924b1c2dc9p-15, 0x1.944b94d3912cap-15, 0x1.86e68f247091ep-15, 0x1.79d7d5c11be1bp-15, 0x1.6d1d466cac864p-15, }}, 
      {{0x1.5dd44ccadbf17p-4, 0x1.6896f8bdb78a6p-4, 0x1.79e048c1772adp-4, 0x1.90ec0bcc69462p-4, 0x1.acdce797bf9f6p-4, 0x1.ccccf44a6223bp-4, 0x1.efd93e6882ec8p-4, 0x1.0a94c6fc96977p-3, 0x1.1dfaaedb61efep-3, 0x1.31c3638965228p-3, 0x1.459def023f23bp-3, 0x1.594370a387e71p-3, 0x1.6c76ce8dd4bbfp-3, 0x1.7f0426fbb2f4p-3, 0x1.90c01e62fc81cp-3, 0x1.a1871eda23565p-3, 0x1.b13c9507c9641p-3, 0x1.bfca343ed45ep-3, 0x1.cd1f44a03e5bdp-3, 0x1.d92ffe370f9e2p-3, 0x1.e3f4f1480c434p-3, 0x1.ed6a7b86949c9p-3, 0x1.f590497110593p-3, 0x1.fc68e2fa727b2p-3, 0x1.00fca15254cdbp-2, 0x1.03243b25a047ep-2, 0x1.04afa4786a425p-2, 0x1.05a3fa79642d6p-2, 0x1.0606ef08bef63p-2, 0x1.05dea95ed7cf3p-2, 0x1.0531aa186443cp-2, 0x1.0406b26973b5bp-2, 0x1.0264ae3bb63edp-2, 0x1.0052a10238853p-2, 0x1.fbaf2a13733a8p-3, 0x1.f5f51a2530964p-3, 0x1.ef84f006119d4p-3, 0x1.e86c4d01d383dp-3, 0x1.e0b88487cd01dp-3, 0x1.d8768deeab1abp-3, 0x1.cfb2f901d05a3p-3, 0x1.c679e5049b519p-3, 0x1.bcd6f9ee7dc3ep-3, 0x1.b2d563964a641p-3, 0x1.a87fce7bd642fp-3, 0x1.9de0662390366p-3, 0x1.9300d482c1a68p-3, 0x1.87ea429dd3feep-3, 0x1.7ca559e65ae13p-3, 0x1.713a464eea78bp-3, 0x1.65b0b91b8247cp-3, 0x1.5a0febe39d6ecp-3, 0x1.4e5ea3f54ce07p-3, 0x1.42a335f6c39abp-3, 0x1.36e38a0dadfb4p-3, 0x1.2b251fdfd284ep-3, 0x1.1f6d127cd5b99p-3, 0x1.13c01c69cff3p-3, 0x1.08229c0ec3c7cp-3, 0x1.f93130581c074p-4, 0x1.e24b87ee2398ap-4, 0x1.cb9b05ccf4cadp-4, 0x1.b525d906088ffp-4, 0x1.9ef1a0ea5e1f1p-4, 0x1.89037552d1538p-4, 0x1.735fee7395b63p-4, 0x1.5e0b2be0fe2aap-4, 0x1.4908daf1e5f79p-4, 0x1.345c3cf5aeed8p-4, 0x1.20082d908b526p-4, 0x1.0c0f29415681p-4, 0x1.f0e6a799731e3p-5, 0x1.ca6cfc7d87858p-5, 0x1.a4b458bffa3edp-5, 0x1.7fbf335761e49p-5, 0x1.5b8f7bee5179dp-5, 0x1.3826a3f350f7ep-5, 0x1.1585a79e3f9aep-5, 0x1.e75a2dc9759acp-6, 0x1.a53a3c6310ba9p-6, 0x1.64ab1d4dfa22p-6, 0x1.25abcb8c4e633p-6, 0x1.d07551c3596bp-7, 0x1.58ab154f21b94p-7, 0x1.c7e716d6408fp-8, 0x1.c921ccf590cacp-9, 0x1.d15b6f08a69d8p-14, -0x1.a015ffe7632a9p-9, -0x1.a1716817beffap-8, -0x1.3680019a52975p-7, -0x1.99650c842893ep-7, -0x1.f971ef96e122bp-7, -0x1.2b589693b85d7p-6, -0x1.5896d07be9792p-6, -0x1.847939a6f8ed8p-6, -0x1.af05869023ed3p-6, -0x1.d841869ba5222p-6, -0x1.00198f883d29ap-5, -0x1.1370233775a25p-5, -0x1.2627800d4e95dp-5, -0x1.3842ac2abdbd3p-5, -0x1.49c4b040f61a1p-5, -0x1.5ab095d91cb7dp-5, -0x1.6b0965bf9848fp-5, -0x1.7ad2269301436p-5, -0x1.8a0ddb763f6d1p-5, -0x1.98bf82e367d81p-5, -0x1.a6ea159faa789p-5, -0x1.b49085cc3d858p-5, -0x1.c1b5be142c9abp-5, -0x1.ce5ca0f10a67p-5, -0x1.da88080c2d187p-5, -0x1.e63ac3ae4a5cbp-5, -0x1.f1779a465cab5p-5, -0x1.fc414800fe989p-5, -0x1.034d3f37447aap-4, -0x1.0842f21c154f6p-4, -0x1.0d030a71e29c9p-4, -0x1.118ed04f83e33p-4, -0x1.15e7860e68bb8p-4, -0x1.1a0e683b6d88ap-4, -0x1.1e04ad8df0014p-4, -0x1.21cb86e30f36ap-4, -0x1.25641f3c0b59cp-4, -0x1.28cf9bc176b65p-4, -0x1.2c0f1bc897579p-4, -0x1.2f23b8dc45a81p-4, -0x1.320e86c7b204cp-4, -0x1.34d093a48eaa1p-4, -0x1.376ae7e9c57c4p-4, -0x1.39de867d887cdp-4, -0x1.3c2c6cc76e36p-4, -0x1.3e5592c48657cp-4, -0x1.405aeb1cf4598p-4, -0x1.423d633933e7ep-4, -0x1.43fde359119c3p-4, -0x1.459d4eaaef861p-4, -0x1.471c8363e4345p-4, -0x1.487c5ad6af05ep-4, -0x1.49bda98d324a9p-4, -0x1.4ae13f5ff613ap-4, -0x1.4be7e78e83c09p-4, -0x1.4cd268d87fe5p-4, -0x1.4da18594fc5e2p-4, -0x1.4e55fbcc68d8cp-4, -0x1.4ef0854cde241p-4, -0x1.4f71d7c5cabe5p-4, -0x1.4fdaa4dd135f8p-4, -0x1.502b9a4593e32p-4, -0x1.506561d8944edp-4, -0x1.5088a1a92a855p-4, -0x1.5095fc1b25181p-4, -0x1.508e0ff8ed827p-4, -0x1.50717888687e8p-4, -0x1.5040cd9f060e9p-4, -0x1.4ffca3b643e0bp-4, -0x1.4fa58bffc5ca7p-4, -0x1.4f3c14781bcafp-4, -0x1.4ec0c7f929c24p-4, -0x1.4e342e4d12925p-4, -0x1.4d96cc404ebc5p-4, -0x1.4ce923b2364a1p-4, -0x1.4c2bb3a6c516ap-4, -0x1.4b5ef855c8be9p-4, -0x1.4a836b3cee9e8p-4, -0x1.4999832e2bd9ep-4, -0x1.48a1b45e81363p-4, -0x1.479c707564dbbp-4, -0x1.468a269bb2df7p-4, -0x1.456b43893c61p-4, -0x1.44403191b98e8p-4, -0x1.430958b23b8d7p-4, -0x1.41c71e9ed629p-4, -0x1.4079e6cf33305p-4, -0x1.3f22128a0b209p-4, -0x1.3dc000f0ad1dp-4, -0x1.3c540f0b13d09p-4, -0x1.3ade97d3af5ecp-4, -0x1.395ff4421a132p-4, -0x1.37d87b55610d3p-4, -0x1.3648821d1ad15p-4, -0x1.34b05bc66326ep-4, -0x1.331059a3b8df4p-4, -0x1.3168cb378a0f7p-4, -0x1.2fb9fe3ceba1cp-4, -0x1.2e043eb0a90a2p-4, -0x1.2c47d6da7ebaep-4, -0x1.2a850f5617064p-4, -0x1.28bc2f1b7f5d9p-4, -0x1.26ed7b8738efbp-4, -0x1.25193862342b2p-4, -0x1.233fa7e9d23b7p-4, -0x1.21610ad7cb9bfp-4, -0x1.1f7da069efc9bp-4, -0x1.1d95a6698ffd3p-4, -0x1.1ba95932a6dccp-4, -0x1.19b8f3bacf74bp-4, -0x1.17c4af983146bp-4, -0x1.15ccc50877c91p-4, -0x1.13d16af7c2dbap-4, -0x1.11d2d7073ddfbp-4, -0x1.0fd13d9376985p-4, -0x1.0dccd1ba6add3p-4, -0x1.0bc5c561588c6p-4, -0x1.09bc493b69916p-4, -0x1.07b08ccfc5489p-4, -0x1.05a2be7f88e82p-4, -0x1.03930b8b41c6p-4, -0x1.0181a01834c64p-4, -0x1.fedd4e6b8ec74p-5, -0x1.fab495c65cc45p-5, -0x1.f689682a368d1p-5, -0x1.f25c15762de3p-5, -0x1.ee2ceb88d25bep-5, -0x1.e9fc36497a6fbp-5, -0x1.e5ca3fb1d71eap-5, -0x1.e1974fd800f97p-5, -0x1.dd63acf8b1d9p-5, -0x1.d92f9b810dffp-5, -0x1.d4fb5e179d9ffp-5, -0x1.d0c735a4ae6e4p-5, -0x1.cc93615aa6045p-5, -0x1.c8601ebeb022cp-5, -0x1.c42da9b1c64dep-5, -0x1.bffc3c79a13fep-5, -0x1.bbcc0fc917496p-5, -0x1.b79d5ac7cfb28p-5, -0x1.b370531996691p-5, -0x1.af452ce6399a5p-5, -0x1.ab1c1ae02feb2p-5, -0x1.a6f54e4d9202ap-5, -0x1.a2d0f70f42966p-5, -0x1.9eaf43a85f4cbp-5, -0x1.9a9061450e02bp-5, -0x1.96747bc0f21c8p-5, -0x1.925bbdada82b3p-5, -0x1.8e4650596358ep-5, -0x1.8a345bd5b1e36p-5, -0x1.862606fe35a05p-5, -0x1.821b777f0e0b2p-5, -0x1.7e14d1dadf74ap-5, -0x1.7a1239708c16fp-5, -0x1.7613d080cc709p-5, -0x1.7219b833cd9abp-5, -0x1.6e24109ee6d83p-5, -0x1.6a32f8ca5b1b3p-5, -0x1.66468eb6fca27p-5, -0x1.625eef638767ap-5, -0x1.5e7c36d1c017dp-5, -0x1.5a9e800b53027p-5, -0x1.56c5e52694121p-5, -0x1.52f27f4b4a61ep-5, -0x1.4f2466b785525p-5, -0x1.4b5bb2c476e5bp-5, -0x1.479879eb36e38p-5, -0x1.43dad1c947b52p-5, -0x1.4022cf251db9p-5, -0x1.3c7085f1f054cp-5, -0x1.38c409548421bp-5, -0x1.351d6ba4fd78bp-5, -0x1.317cbe76c78cp-5, -0x1.2de212990d6fdp-5, -0x1.2a4d781c824f7p-5, -0x1.26befe56f654cp-5, -0x1.2336b3e716d6bp-5, -0x1.1fb4a6b7fa1bp-5, -0x1.1c38e4048bc78p-5, -0x1.18c3785ae97e7p-5, -0x1.15546f9fc8fa2p-5, -0x1.11ebd511eb2dfp-5, -0x1.0e89b34d92918p-5, -0x1.0b2e144fe55e2p-5, -0x1.07d9017a1dd5ap-5, -0x1.048a8394ba2f5p-5, -0x1.0142a2d26f4cap-5, -0x1.fc02cda632a1bp-6, -0x1.f58dad4d3813cp-6, -0x1.ef25f19f92a85p-6, -0x1.e8cba68e9dc46p-6, -0x1.e27ed6fd2be1cp-6, -0x1.dc3f8cc52214fp-6, -0x1.d60dd0bcf6b91p-6, -0x1.cfe9aabd11255p-6, -0x1.c9d321a514fa3p-6, -0x1.c3ca3b6101cdep-6, -0x1.bdcefcee592ep-6, -0x1.b7e16a60fef72p-6, -0x1.b20186e826569p-6, -0x1.ac2f54d312778p-6, -0x1.a66ad595ce0a2p-6, -0x1.a0b409cde7035p-6, -0x1.9b0af14724078p-6, -0x1.956f8b0057634p-6, -0x1.8fe1d53011a58p-6, -0x1.8a61cd4932728p-6, -0x1.84ef6fff2e0bbp-6, -0x1.7f8ab94afe8a9p-6, -0x1.7a33a46bcc0f1p-6, -0x1.74ea2bf1a19c8p-6, -0x1.6fae49ba9dee2p-6, -0x1.6a7ff6fae24f2p-6, -0x1.655f2c3fdace1p-6, -0x1.604be174a6f42p-6, -0x1.5b460de645438p-6, -0x1.564da8478d73ap-6, -0x1.5162a6b4f8b77p-6, -0x1.4c84feb824593p-6, -0x1.47b4a54b62691p-6, -0x1.42f18edd4416fp-6, -0x1.3e3baf5437bf9p-6, -0x1.3992fa12426bdp-6, -0x1.34f761f8cdb7ep-6, -0x1.3068d96c69c44p-6, -0x1.2be7525877399p-6, -0x1.2772be32b5269p-6, -0x1.230b0dfe952aep-6, -0x1.1eb032506b098p-6, -0x1.1a621b5090f9cp-6, -0x1.1620b8be924cdp-6, -0x1.11ebf9f464269p-6, -0x1.0dc3cde9b1ea8p-6, -0x1.09a823371db1fp-6, -0x1.0598e819925ap-6, -0x1.01960a7573cabp-6, -0x1.fb3eefb38255ap-7, -0x1.f36a3b0623919p-7, -0x1.ebadd0bd023efp-7, -0x1.e4098a18fa9aap-7, -0x1.dc7d3fc72f4f7p-7, -0x1.d508c9e6c3f24p-7, -0x1.cdac000e609abp-7, -0x1.c666b9520f8e8p-7, -0x1.bf38cc48e409cp-7, -0x1.b8220f1276cdep-7, -0x1.b122575c6581ep-7, -0x1.aa397a678bb3dp-7, -0x1.a3674d0d37a1ap-7, -0x1.9caba3c434c91p-7, -0x1.960652a5c42cp-7, -0x1.8f772d728ef3cp-7, -0x1.88fe07977a1dep-7, -0x1.829ab431c062cp-7, -0x1.7c4d0616c6502p-7, -0x1.7614cfd4dc807p-7, -0x1.6ff1e3b8b6891p-7, -0x1.69e413d4a9e65p-7, -0x1.63eb3202a3016p-7, -0x1.5e070fe9399acp-7, -0x1.58377efff7ba3p-7, -0x1.527c50938310cp-7, -0x1.4cd555c9cbfbep-7, -0x1.47425fa61be1cp-7, -0x1.41c33f0d14eb2p-7, -0x1.3c57c4c896b6dp-7, -0x1.36ffc18b9fd15p-7, -0x1.31bb05f621a92p-7, -0x1.2c896298ab6bp-7, -0x1.276aa7f81ce37p-7, -0x1.225ea691291afp-7, -0x1.1d652edbd29c3p-7, -0x1.187e114ecdf9cp-7, -0x1.13a91e62cab5ap-7, -0x1.0ee62695bd922p-7, -0x1.0a34fa6e35dc2p-7, -0x1.05956a7e4a6c9p-7, -0x1.01074766b63b1p-7, -0x1.f914c3b3f1c45p-8, -0x1.f03d153e25dcbp-8, -0x1.e7872528bd368p-8, -0x1.def2956497b5bp-8, -0x1.d67f081c19c31p-8, -0x1.ce2c1fb85b2bcp-8, -0x1.c5f97ee6633bap-8, -0x1.bde6c89c4ca22p-8, -0x1.b5f3a01e27c27p-8, -0x1.ae1fa902b8fbfp-8, -0x1.a66a8737f995fp-8, -0x1.9ed3df076b5a6p-8, -0x1.975b551a48714p-8, -0x1.90008e7d7c587p-8, -0x1.88c330a5a626p-8, -0x1.81a2e1731ba23p-8, -0x1.7a9f4735fa2c6p-8, -0x1.73b808b215913p-8, -0x1.6ceccd229fa9ep-8, -0x1.663d3c3daa44p-8, -0x1.5fa8fe372bc7bp-8, -0x1.592fbbc3e6978p-8, -0x1.52d11e1c23afap-8, -0x1.4c8ccefe65ab1p-8, -0x1.466278b249aaap-8, -0x1.4051c60bab394p-8, -0x1.3a5a626dae932p-8, -0x1.347bf9cddd814p-8, -0x1.2eb638b6174e4p-8, -0x1.2908cc49a2607p-8, -0x1.2373624297e26p-8, -0x1.1df5a8f5902b7p-8, -0x1.188f4f53a6212p-8, -0x1.134004ea76171p-8, -0x1.0e0779e6603d2p-8, -0x1.08e55f14d0f72p-8, -0x1.03d965e6dd15ap-8, -0x1.fdc680e7d8d2ap-9, -0x1.f40542f80f78p-9, -0x1.ea6e78d28986p-9, -0x1.e1018aa0fe19ep-9, -0x1.d7bde1e21924ap-9, -0x1.cea2e96897fcbp-9, -0x1.c5b00d5a2140fp-9, -0x1.bce4bb2fd616cp-9, -0x1.b44061b89690cp-9, -0x1.abc2711d7637dp-9, -0x1.a36a5ae75c125p-9, -0x1.9b379204b80e9p-9, -0x1.93298acdc4521p-9, -0x1.8b3fbb06214dcp-9, -0x1.837999db445bdp-9, -0x1.7bd69fe034c08p-9, -0x1.74564707c8bc3p-9, -0x1.6cf80a9f47f29p-9, -0x1.65bb674b3221bp-9, -0x1.5e9fdb07a2c63p-9, -0x1.57a4e52c2023p-9, -0x1.50ca0672c8b94p-9, -0x1.4a0ec10037258p-9, -0x1.4372986a4fe44p-9, -0x1.3cf511bbb015ap-9, -0x1.3695b3724ad5p-9, -0x1.30540579174dap-9, -0x1.2a2f911e18e0ep-9, -0x1.2427e106e5acdp-9, -0x1.1e3c8126d349dp-9, -0x1.186cfeb8d1587p-9, -0x1.12b8e83f06fd8p-9, -0x1.0d1fcd8864456p-9, -0x1.07a13fba407c3p-9, -0x1.023cd15c1cd5ap-9, -0x1.f9e42cc33ace8p-10, -0x1.ef814860429bcp-10, -0x1.e550233b3be28p-10, -0x1.db4fedd1169aap-10, -0x1.d17fdb53e48f2p-10, -0x1.c7df21891ff7dp-10, -0x1.be6cf8a8c49ddp-10, -0x1.b5289b450b245p-10, -0x1.ac11463f6da96p-10, -0x1.a32638cd9eea1p-10, -0x1.9a66b48c7ca2bp-10, -0x1.91d1fd9c691c2p-10, -0x1.89675abf7016ap-10, -0x1.8126157107c6p-10, -0x1.790d79f1ccb89p-10, -0x1.711cd7423be28p-10, -0x1.69537f0cb75edp-10, -0x1.61b0c57fe2fb9p-10, -0x1.5a34012f2b496p-10, -0x1.52dc8adbf343dp-10, -0x1.4ba9bd5c752d4p-10, -0x1.449af58f40803p-10, -0x1.3daf925624644p-10, -0x1.36e6f4a931d28p-10, -0x1.30407fb34c4d5p-10, -0x1.29bb98f33ca52p-10, -0x1.2357a8599135p-10, -0x1.1d14185bb44adp-10, -0x1.16f055f75a5adp-10, -0x1.10ebd0a700a4ep-10, -0x1.0b05fa3da1275p-10, -0x1.053e46d042813p-10, -0x1.ff2858f84df4dp-11, -0x1.f40e469047bcp-11, -0x1.e92d4a0b9a0fbp-11, -0x1.de845a84b3147p-11, -0x1.d412728e39a6cp-11, -0x1.c9d690509432ap-11, -0x1.bfcfb5baca671p-11, -0x1.b5fce8bb3ff82p-11, -0x1.ac5d3370f5931p-11, -0x1.a2efa44b8876fp-11, -0x1.99b34e136595ap-11, -0x1.90a747d757c72p-11, -0x1.87caacc53c18cp-11, -0x1.7f1c9bf3c3672p-11, -0x1.769c38255e183p-11, -0x1.6e48a78ca8375p-11, -0x1.66211398a47dap-11, -0x1.5e24a8cf15f0dp-11, -0x1.565296b945adep-11, -0x1.4eaa0fe524b75p-11, -0x1.472a49f8613d1p-11, -0x1.3fd27dceb6164p-11, -0x1.38a1e79a0ff54p-11, -0x1.3197c6fb41225p-11, -0x1.2ab35f0bed836p-11, -0x1.23f3f65863401p-11, -0x1.1d58d6cc7cb1dp-11, -0x1.16e14d99f243p-11, -0x1.108cab1d40dc8p-11, -0x1.0a5a42c5c75ccp-11, -0x1.04496aff343f6p-11, -0x1.fcb2fa36c5eb8p-12, -0x1.f113aa724d644p-12, -0x1.e5b3a4569be1ap-12, -0x1.da91aac53f21ep-12, -0x1.cfac85c38a9d8p-12, -0x1.c5030276c63fp-12, -0x1.ba93f3345aff2p-12, -0x1.b05e2f966b42p-12, -0x1.a66094846d8cep-12, -0x1.9c9a04260a969p-12, -0x1.930965c06ca13p-12, -0x1.89ada58a1857fp-12, -0x1.8085b489082cap-12, -0x1.77908889aa7fap-12, -0x1.6ecd1c31b406cp-12, -0x1.663a6f2302e3dp-12, -0x1.5dd78617767dap-12, -0x1.55a36ade1adeap-12, -0x1.4d9d2c2e2b33ep-12, -0x1.45c3dd57b6f65p-12, -0x1.3e1695e9a4a7ap-12, -0x1.3694716129b16p-12, -0x1.2f3c8f19a6cafp-12, -0x1.280e123b9aa26p-12, -0x1.210821c7ebd2ap-12, -0x1.1a29e8cf03832p-12, -0x1.137296510b0eep-12, -0x1.0ce15d201d917p-12, -0x1.067573aa488d9p-12, -0x1.002e13c81200fp-12, -0x1.f414f55933637p-13, -0x1.e813d206a7a0ap-13, -0x1.dc57466a1e94dp-13, -0x1.d0dde37089736p-13, -0x1.c5a6428b621bp-13, -0x1.baaf05a1dea89p-13, -0x1.aff6d6747424ep-13, -0x1.a57c659ebf3a7p-13, -0x1.9b3e698a75414p-13, -0x1.913b9db49e6dcp-13, -0x1.8772c27c40d26p-13, -0x1.7de29d78004b3p-13, -0x1.7489fa15f2984p-13, -0x1.6b67aa31fd6ecp-13, -0x1.627a865869e57p-13, -0x1.59c16d97d1871p-13, -0x1.513b44f48af52p-13, -0x1.48e6f6b7cd6bp-13, -0x1.40c371e198442p-13, -0x1.38cfa9fa0f0aep-13, -0x1.310a97572e884p-13, -0x1.297337bd2546ap-13, -0x1.22088f0f3bc44p-13, -0x1.1ac9a7b5c3351p-13, -0x1.13b59274b50b2p-13, -0x1.0ccb65a168129p-13, -0x1.060a3bfa9e3p-13, -0x1.fee2670f5b278p-14, -0x1.f1fed9e924c3ap-14, -0x1.e5681741dceep-14, -0x1.d91c6c9ae4954p-14, -0x1.cd1a302606349p-14, -0x1.c15fc2749fa5ep-14, -0x1.b5eb8f47947bap-14, -0x1.aabc0d52b4006p-14, -0x1.9fcfbd255e653p-14, -0x1.952527a94215fp-14, -0x1.8abadcb160dd4p-14, -0x1.808f720d8679ap-14, -0x1.76a1831be200fp-14, -0x1.6cefb1957f93bp-14, -0x1.6378a63d83d14p-14, -0x1.5a3b1233d3c22p-14, -0x1.5135afb38e375p-14, -0x1.48674202cf266p-14, -0x1.3fce945ec366ep-14, -0x1.376a782dece16p-14, -0x1.2f39c3286e1a3p-14, -0x1.273b4e439bdecp-14, -0x1.1f6df5d685cedp-14, -0x1.17d09ad82ce99p-14, -0x1.1062248d3a193p-14, -0x1.092181d787b74p-14, -0x1.020da9a69b0aep-14, -0x1.f64b35103bf86p-15, -0x1.e8d0b3738f719p-15, -0x1.dba9e4682777bp-15, -0x1.ced4e7dd78451p-15, -0x1.c24fe6ce1a4fap-15, -0x1.b61912aba20cbp-15, -0x1.aa2ea4d9f2dfdp-15, -0x1.9e8ede4da8604p-15, -0x1.9338079b6a3e7p-15, -0x1.882871bc5a60dp-15, -0x1.7d5e7738f233cp-15, -0x1.72d87e16b2474p-15, -0x1.6894f7704ec87p-15, -0x1.5e925ea3e193ep-15, -0x1.54cf37aa1df84p-15, -0x1.4b4a0c81a82b9p-15, -0x1.42016c623ca91p-15, -0x1.38f3ec8948b1ep-15, -0x1.30202a2e8f8a5p-15, -0x1.2784cc588a505p-15, -0x1.1f2084529ced8p-15, -0x1.16f20ca537b33p-15, -0x1.0ef8276c20909p-15, -0x1.07319d294ada4p-15, -0x1.ff3a79447d61cp-16, -0x1.f073b70d86c5fp-16, -0x1.e20cae4d16657p-16, -0x1.d40328fd0c5d6p-16, -0x1.c654fea0aee7ap-16, -0x1.b900110129ccdp-16, -0x1.ac02492d2ed95p-16, -0x1.9f5995e376417p-16, -0x1.9303ecb1fd674p-16, -0x1.86ff4d10f225ap-16, -0x1.7b49c40b73ed9p-16, -0x1.6fe16ea52db9bp-16, -0x1.64c479d68665bp-16, -0x1.59f1203b81a35p-16, -0x1.4f65a6a88bb2dp-16, -0x1.452059676b97ep-16, -0x1.3b1f8b8a79d3p-16, -0x1.3161986f774b7p-16, -0x1.27e4e5f5871ep-16, -0x1.1ea7e5418157cp-16, -0x1.15a91149a96d3p-16, -0x1.0ce6ec783b102p-16, -0x1.045fff9c86ad9p-16, -0x1.f825b6136e4b8p-17, -0x1.e7fc31b51cff8p-17, -0x1.d840bcfab41a4p-17, -0x1.c8f0b8e41e57fp-17, -0x1.ba0998c38f708p-17, -0x1.ab88dd4cfa77ep-17, -0x1.9d6c10a343d79p-17, -0x1.8fb0c45388db8p-17, -0x1.8254911c0ebd6p-17, -0x1.7555182a8a7cdp-17, -0x1.68b005ba16eadp-17, -0x1.5c6314e9b322cp-17, -0x1.506c13b19633dp-17, -0x1.44c8e56a204ddp-17, -0x1.3977828f3d26ap-17, -0x1.2e75f583f63a7p-17, -0x1.23c25531fdebbp-17, -0x1.195abf84d62a5p-17, -0x1.0f3d568d1264fp-17, -0x1.056841f777442p-17, -0x1.f7b3667fd97dp-18, -0x1.e51fd10a030f7p-18, -0x1.d31256b5c6f8ap-18, -0x1.c1879bdda850ap-18, -0x1.b07c5580213b1p-18, -0x1.9fed4f8f9c2ep-18, -0x1.8fd772e7e60eep-18, -0x1.8037c407a95efp-18, -0x1.710b5b5626264p-18, -0x1.624f5d9eb335cp-18, -0x1.5400f9ae1097bp-18, -0x1.461d6ac47fdc6p-18, -0x1.38a1fba0413fep-18, -0x1.2b8c06bb7d29ep-18, -0x1.1ed8f3ca759f9p-18, -0x1.128635416570cp-18, -0x1.06914853afd39p-18, -0x1.f5ef6f9491bc9p-19, -0x1.df6e414cce618p-19, -0x1.c99a6a63181fp-19, -0x1.b46f7cb3d6d4p-19, -0x1.9fe9397ffa3fbp-19, -0x1.8c0382b7730a9p-19, -0x1.78ba4cdba243cp-19, -0x1.6609994dcf048p-19, -0x1.53ed6ce464be7p-19, -0x1.4261da897664ap-19, -0x1.31631175d29a4p-19, -0x1.20ed63250cf2p-19, -0x1.10fd3c24cd0aap-19, -0x1.018f1bf3244c4p-19, -0x1.e53f2ff2c9e18p-20, -0x1.c856c8656f332p-20, -0x1.ac5ea505a7bfdp-20, -0x1.91508c7ed0f55p-20, -0x1.7726533275b92p-20, -0x1.5dd9dd1c063f7p-20, -0x1.45653025927cbp-20, -0x1.2dc2834b49258p-20, -0x1.16ec3ea884dap-20, -0x1.00dcf135d6cap-20, -0x1.d71e8eba25999p-21, -0x1.adfc0dcde9b2dp-21, -0x1.86481c789f05ep-21, -0x1.5ff8aaa82f6c6p-21, -0x1.3b03e1078e90dp-21, -0x1.176029d5df95ap-21, -0x1.ea0872553d368p-22, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.1194e5675565ap-8, -0x1.461d0d1adb114p-7, -0x1.27ccc67ed029dp-6, -0x1.d40213f5cebf9p-6, -0x1.5178cbbbc1bbfp-5, -0x1.c6547fb7ea36ap-5, -0x1.21f900a4bf3d8p-4, -0x1.62cec4835fb7cp-4, -0x1.a376375e28c5ap-4, -0x1.e1f7e07910852p-4, -0x1.0e531c6b4c9d2p-3, -0x1.2910a60bbe77fp-3, -0x1.40aa8ab6046b3p-3, -0x1.54ba5a16acebep-3, -0x1.64f9ee3cb479fp-3, -0x1.713fb7fd58f7cp-3, -0x1.797aed55caecap-3, -0x1.7dafcc5d4c2c2p-3, -0x1.7df4127325d86p-3, -0x1.7a6bba2d317bep-3, -0x1.7346096bd3b41p-3, -0x1.68baf2fc2edbbp-3, -0x1.5b08cb248528bp-3, -0x1.4a724bb16c839p-3, -0x1.373ce24fa57ccp-3, -0x1.21af42c4141f5p-3, -0x1.0a10361a11cbdp-3, -0x1.e14b3fae48f69p-4, -0x1.ab67654cc792ep-4, -0x1.72f89ce7065f8p-4, -0x1.387d04bdfdc92p-4, -0x1.f8d8b6509664p-5, -0x1.7e6eea3aba06dp-5, -0x1.028fc34c8aa11p-5, -0x1.0bfecd29b514p-6, -0x1.2e5a622997ac8p-10, 0x1.c9c059879ca8p-7, 0x1.da24c0bec7fdbp-6, 0x1.65eba8c176d4bp-5, 0x1.dc81ace1ebef4p-5, 0x1.2833e11cc5f4cp-4, 0x1.609f1a8a8e4f3p-4, 0x1.9758d506400e7p-4, 0x1.cc3d3374c2c71p-4, 0x1.ff2dcd83d77f8p-4, 0x1.1808af1a2e08bp-3, 0x1.2f69aa16f5234p-3, 0x1.45b1c94bdf76dp-3, 0x1.5adafd5c1fb24p-3, 0x1.6ee11874f6a12p-3, 0x1.81c199461a1acp-3, 0x1.937b8c553b6abp-3, 0x1.a40f5d8df2871p-3, 0x1.b37ebb0c73a6cp-3, 0x1.c1cc6d3cbd0a4p-3, 0x1.cefc3bdadd248p-3, 0x1.db12cbc6ce9e4p-3, 0x1.e61585edde65ep-3, 0x1.f00a7c81cdaf8p-3, 0x1.f8f854e854799p-3, 0x1.007318c3ee553p-2, 0x1.03edceb97de36p-2, 0x1.06f03cdeab6cfp-2, 0x1.097e768242796p-2, 0x1.0b9caa54fd65ep-2, 0x1.0d4f1b7d1522dp-2, 0x1.0e9a1aedd7e32p-2, 0x1.0f820116841cfp-2, 0x1.100b28262d086p-2, 0x1.1039e70a7997cp-2, 0x1.10128d223a2fap-2, 0x1.0f995e74db8b4p-2, 0x1.0ed2903e47637p-2, 0x1.0dc245b5d9162p-2, 0x1.0c6c8d1714b4bp-2, 0x1.0ad55d0395917p-2, 0x1.0900925650132p-2, 0x1.06f1ee6ee2d72p-2, 0x1.04ad15ec601d4p-2, 0x1.02358fbf191a9p-2, 0x1.ff1d88f44dde5p-3, 0x1.f977fb9ea17fbp-3, 0x1.f380cc5b60d79p-3, 0x1.ed3e11008305ap-3, 0x1.e6b5a02618cddp-3, 0x1.dfed1145867bcp-3, 0x1.d8e9bd334071ep-3, 0x1.d1b0beefebb37p-3, 0x1.ca46f4c3626eep-3, 0x1.c2b1019545d93p-3, 0x1.baf34e6f5d5e7p-3, 0x1.b3120c19b3d95p-3, 0x1.ab1134ca2139fp-3, 0x1.a2f48dd7ac74ep-3, 0x1.9abfa97728f4ap-3, 0x1.9275e87a91f8fp-3, 0x1.8a1a7c15d661dp-3, 0x1.81b067a9f3713p-3, 0x1.793a82953dffep-3, 0x1.70bb7a06894abp-3, 0x1.6835d2d33c0ddp-3, 0x1.5fabeb497d835p-3, 0x1.571ffcffb6eb9p-3, 0x1.4e941e9944147p-3, 0x1.460a4582eaf7bp-3, 0x1.3d84479f2545ap-3, 0x1.3503dce6eba4p-3, 0x1.2c8aa0f7729d8p-3, 0x1.241a149241c1cp-3, 0x1.1bb39f0b4619cp-3, 0x1.13588fa6f3393p-3, 0x1.0b0a1eea8f00fp-3, 0x1.02c96fd9163adp-3, 0x1.f52f224f1eeaep-4, 0x1.e4eafcbbbdf3fp-4, 0x1.d4c841d66336p-4, 0x1.c4c8a25f7c2c7p-4, 0x1.b4edaee89bc97p-4, 0x1.a538d9b2910ecp-4, 0x1.95ab786b369a3p-4, 0x1.8646c5da73d95p-4, 0x1.770be36d48015p-4, 0x1.67fbdaafdcfd5p-4, 0x1.59179eb95e7dap-4, 0x1.4a600d6bdf2d8p-4, 0x1.3bd5f0b589857p-4, 0x1.2d79ffbe3590cp-4, 0x1.1f4cdfeb26fe3p-4, 0x1.114f25ec41a25p-4, 0x1.038156b3e76d5p-4, 0x1.ebc7d095f8027p-5, 0x1.d0ee856229211p-5, 0x1.b677814b39ccap-5, 0x1.9c6360b13680cp-5, 0x1.82b2a848d2f59p-5, 0x1.6965c65f95644p-5, 0x1.507d14043b084p-5, 0x1.37f8d63f5cd44p-5, 0x1.1fd93f1ad8c1fp-5, 0x1.081e6e90cedebp-5, 0x1.e190e735e9bf9p-6, 0x1.b3ae9a2122f0dp-6, 0x1.8695d4c3d1261p-6, 0x1.5a4658f31d609p-6, 0x1.2ebfcd0c99447p-6, 0x1.0401bd27912dfp-6, 0x1.b41738ee39875p-7, 0x1.61b98d60d505ap-7, 0x1.10e902346ae91p-7, 0x1.8347ee97ad43ap-8, 0x1.cfa291996fb55p-9, 0x1.3da8d6da3f83ap-10, -0x1.17c5c5971bef9p-10, -0x1.b08c2fb006ca7p-9, -0x1.679869c1f3137p-8, -0x1.f3ed524b6592p-8, -0x1.3ea4fc2cb89c5p-7, -0x1.81d9dcbd72094p-7, -0x1.c3981391390c9p-7, -0x1.01f141879d10cp-6, -0x1.215e12e974becp-6, -0x1.40140606286ffp-6, -0x1.5e14ad1c77914p-6, -0x1.7b61a4a1628ap-6, -0x1.97fc92cbfcae6p-6, -0x1.b3e72650683e8p-6, -0x1.cf231589670a2p-6, -0x1.e9b21e8c7048bp-6, -0x1.01cb038c28a59p-5, -0x1.0e684dcf826f2p-5, -0x1.1ab1d71938b7dp-5, -0x1.26a88b2172553p-5, -0x1.324d58657d072p-5, -0x1.3da12ff5f4cd2p-5, -0x1.48a504f9e6311p-5, -0x1.5359cc51f1f5bp-5, -0x1.5dc07c8ef8c58p-5, -0x1.67da0df5dc158p-5, -0x1.71a77a49dfaa7p-5, -0x1.7b29bc6a71ca4p-5, -0x1.8461d00afd75p-5, -0x1.8d50b1a0bacc5p-5, -0x1.95f75e5bd3603p-5, -0x1.9e56d40670235p-5, -0x1.a67010c34da81p-5, -0x1.ae4412ca13eaap-5, -0x1.b5d3d83d3ae18p-5, -0x1.bd205f1e7363fp-5, -0x1.c42aa548bd88ep-5, -0x1.caf3a8525a2dep-5, -0x1.d17c655042b6dp-5, -0x1.d7c5d8967bc85p-5, -0x1.ddd0fd9a3f74bp-5, -0x1.e39ecefb8d5d3p-5, -0x1.e930468d29b89p-5, -0x1.ee865d3348696p-5, -0x1.f3a20a9d88503p-5, -0x1.f884450c4a9aep-5, -0x1.fd2e014b1f569p-5, -0x1.00d019680ef7fp-4, -0x1.02ede5e3b5e1p-4, -0x1.04f0de74b247dp-4, -0x1.06d97a9910b84p-4, -0x1.08a830d9b6ac9p-4, -0x1.0a5d76d0c23a9p-4, -0x1.0bf9c13e20b1fp-4, -0x1.0d7d840e21a77p-4, -0x1.0ee932456934cp-4, -0x1.103d3de0068b6p-4, -0x1.117a17be4e3e9p-4, -0x1.12a02fac9b8adp-4, -0x1.13aff478e0962p-4, -0x1.14a9d3fd2ef7cp-4, -0x1.158e3b136408ep-4, -0x1.165d9578e647cp-4, -0x1.17184dbc8d7f6p-4, -0x1.17becd40abaeep-4, -0x1.18517c4dd2deep-4, -0x1.18d0c2230c2f1p-4, -0x1.193d04f45ed5ap-4, -0x1.1996a9d9458adp-4, -0x1.19de14b957bddp-4, -0x1.1a13a845db4ddp-4, -0x1.1a37c604706e1p-4, -0x1.1a4ace604ba82p-4, -0x1.1a4d20b46dd16p-4, -0x1.1a3f1b47a50e7p-4, -0x1.1a211b3ef4902p-4, -0x1.19f37c9183366p-4, -0x1.19b69a071b2cbp-4, -0x1.196acd4252ebp-4, -0x1.19106ece72b41p-4, -0x1.18a7d627f6248p-4, -0x1.183159bb379dap-4, -0x1.17ad4edc5e984p-4, -0x1.171c09bf75babp-4, -0x1.167ddd7723474p-4, -0x1.15d31bfb5306cp-4, -0x1.151c1633dea74p-4, -0x1.14591c00f7e67p-4, -0x1.138a7c3dcbc12p-4, -0x1.12b084bdb5ec5p-4, -0x1.11cb824770255p-4, -0x1.10dbc0929886bp-4, -0x1.0fe18a4a31e2cp-4, -0x1.0edd291376d88p-4, -0x1.0dcee59597c2cp-4, -0x1.0cb7077f5b583p-4, -0x1.0b95d5893d636p-4, -0x1.0a6b957458cdbp-4, -0x1.09388c07db7b3p-4, -0x1.07fcfd0fc3d35p-4, -0x1.06b92b5ed48c6p-4, -0x1.056d58d39cf22p-4, -0x1.0419c65ec1b3ep-4, -0x1.02beb408a9d4bp-4, -0x1.015c60f508511p-4, -0x1.ffe616c6aa4e6p-5, -0x1.fd05e159bb8ap-5, -0x1.fa189a84a0928p-5, -0x1.f71eb95838e4ep-5, -0x1.f418b31ab0dadp-5, -0x1.f106fb52cc0ffp-5, -0x1.edea03d3dbd4bp-5, -0x1.eac23cc6dc416p-5, -0x1.e79014adec9e5p-5, -0x1.e453f861f6169p-5, -0x1.e10e530df80fap-5, -0x1.ddbf8e2d0ff89p-5, -0x1.da68118e2d818p-5, -0x1.d708435c37fcfp-5, -0x1.d3a08826fb3ecp-5, -0x1.d03142e971a5fp-5, -0x1.ccbad50ca42b1p-5, -0x1.c93d9e6758bfcp-5, -0x1.c5b9fd3d7dd4p-5, -0x1.c2304e422ed84p-5, -0x1.bea0ec9da4e83p-5, -0x1.bb0c31f507604p-5, -0x1.b772766fdbc27p-5, -0x1.b3d410b7e9368p-5, -0x1.b03155f462c09p-5, -0x1.ac8a99c47d57ap-5, -0x1.a8e02e3e90d4p-5, -0x1.a53263f68a6edp-5, -0x1.a1818a0b36081p-5, -0x1.9dcdee358d56cp-5, -0x1.9a17dcd3fc52ap-5, -0x1.965fa0ec0e1a6p-5, -0x1.92a584215fb54p-5, -0x1.8ee9cea66d631p-5, -0x1.8b2cc72fa7a18p-5, -0x1.876eb2f082ee3p-5, -0x1.83afd5a58d40ep-5, -0x1.7ff071a867bddp-5, -0x1.7c30c806038aap-5, -0x1.7871188ea6316p-5, -0x1.74b1a1d963ca6p-5, -0x1.70f2a13b33857p-5, -0x1.6d3452b4fc952p-5, -0x1.6976f0e2914dep-5, -0x1.65bab4f22361cp-5, -0x1.61ffd6a90a2efp-5, -0x1.5e468c7450b4cp-5, -0x1.5a8f0b7eaedaap-5, -0x1.56d987c3d931dp-5, -0x1.5326341aa4824p-5, -0x1.4f754233efd6p-5, -0x1.4bc6e2906411ep-5, -0x1.481b44729d3fp-5, -0x1.447295d41d5d6p-5, -0x1.40cd036218f2bp-5, -0x1.3d2ab883afd61p-5, -0x1.398bdf6772461p-5, -0x1.35f0a1137c84cp-5, -0x1.32592572e23e6p-5, -0x1.2ec5935cdf624p-5, -0x1.2b36109511d64p-5, -0x1.27aac1c6a2f9ep-5, -0x1.2423ca7dacafcp-5, -0x1.20a14d2267cd7p-5, -0x1.1d236af868219p-5, -0x1.19aa4422d2dap-5, -0x1.1635f7ac7bcd5p-5, -0x1.12c6a391d008p-5, -0x1.0f5c64c9f60a8p-5, -0x1.0bf7574d2d494p-5, -0x1.08979617b5f88p-5, -0x1.053d3b29e2a44p-5, -0x1.01e85f86c4a8ap-5, -0x1.fd3236669fe1bp-6, -0x1.f69f0a6e39a9bp-6, -0x1.f017673ed97ecp-6, -0x1.e99b770836d21p-6, -0x1.e32b621bae93dp-6, -0x1.dcc74ef8e3f0bp-6, -0x1.d66f6258fdb2fp-6, -0x1.d023bf36d2522p-6, -0x1.c9e486d4274a2p-6, -0x1.c3b1d8bcd8f07p-6, -0x1.bd8bd2c95d9fbp-6, -0x1.b77291227995bp-6, -0x1.b1662e47191ap-6, -0x1.ab66c31447c6fp-6, -0x1.a57466ceb9a18p-6, -0x1.9f8f2f2cd9e3dp-6, -0x1.99b730600c4e2p-6, -0x1.93ec7d1cb49f5p-6, -0x1.8e2f26a0aad71p-6, -0x1.887f3cb89c537p-6, -0x1.82dccdc4e302bp-6, -0x1.7d47e6befd059p-6, -0x1.77c0933fb2d53p-6, -0x1.7246dd86898d8p-6, -0x1.6cdace822e51ep-6, -0x1.677c6dd91f9f3p-6, -0x1.622bc1f1e98aep-6, -0x1.5ce8cffa8aaeap-6, -0x1.57b39beeb8902p-6, -0x1.528c289d83993p-6, -0x1.4d7277aee53e1p-6, -0x1.486689a9b9cfp-6, -0x1.43685dfa946dbp-6, -0x1.3e77f2fb3eb6p-6, -0x1.399545fa79241p-6, -0x1.34c053439f54bp-6, -0x1.2ff91625b175bp-6, -0x1.2b3f88f994759p-6, -0x1.2693a527b6aefp-6, -0x1.21f5632d8b0fcp-6, -0x1.1d64baa323eaep-6, -0x1.18e1a2415beebp-6, -0x1.146c0fe8b82dap-6, -0x1.1003f8a89f4c2p-6, -0x1.0ba950c6986c5p-6, -0x1.075c0bc514956p-6, -0x1.031c1c69617b3p-6, -0x1.fdd2e981b14bap-7, -0x1.f5880c4b322a2p-7, -0x1.ed578286724cep-7, -0x1.e5412c380d402p-7, -0x1.dd44e81e35166p-7, -0x1.d56293be32eb5p-7, -0x1.cd9a0b7285076p-7, -0x1.c5eb2a7806b92p-7, -0x1.be55caf96dbecp-7, -0x1.b6d9c6186d54ep-7, -0x1.af76f3f53a184p-7, -0x1.a82d2bb55f639p-7, -0x1.a0fc438b730aep-7, -0x1.99e410c0d0699p-7, -0x1.92e467c1d803bp-7, -0x1.8bfd1c2b9e7abp-7, -0x1.852e00d9e7821p-7, -0x1.7e76e7f391217p-7, -0x1.77d7a2f3b9941p-7, -0x1.715002aff9d6fp-7, -0x1.6adfd75bc2f93p-7, -0x1.6486f08b5bb88p-7, -0x1.5e451d385e549p-7, -0x1.581a2bc9ab9f8p-7, -0x1.5205ea1f61705p-7, -0x1.4c0825a1c7a8fp-7, -0x1.4620ab512e092p-7, -0x1.404f47d3b6711p-7, -0x1.3a93c77e90d8bp-7, -0x1.34edf659c131dp-7, -0x1.2f5da01ed43ffp-7, -0x1.29e290357deb7p-7, -0x1.247c91b12c0a2p-7, -0x1.1f2b6f5380413p-7, -0x1.19eef395423dfp-7, -0x1.14c6e8b61fd66p-7, -0x1.0fb318d072194p-7, -0x1.0ab34ded1fc74p-7, -0x1.05c75212d755p-7, -0x1.00eeef4d369d7p-7, -0x1.f853df551d4a3p-8, -0x1.eef03a6400078p-8, -0x1.e5b283ac6511fp-8, -0x1.dc9a4ed4b178ep-8, -0x1.d3a72f3d9708cp-8, -0x1.cad8b811931e9p-8, -0x1.c22e7c6aaae0cp-8, -0x1.b9a80f88319fcp-8, -0x1.b1450507dc33ep-8, -0x1.a904f11491e98p-8, -0x1.a0e7687e3907cp-8, -0x1.98ec00b45d706p-8, -0x1.91124fa546ab6p-8, -0x1.8959eb8b14adfp-8, -0x1.81c26ab675e28p-8, -0x1.7a4b63686ecf4p-8, -0x1.72f46bc8a6e9bp-8, -0x1.6bbd19ff79cc2p-8, -0x1.64a50470f6e04p-8, -0x1.5dabc20c71bebp-8, -0x1.56d0ea9e8c287p-8, -0x1.50141710bbae1p-8, -0x1.4974e186455e1p-8, -0x1.42f2e54da770bp-8, -0x1.3c8dbea9abeabp-8, -0x1.36450a7ec8e5ap-8, -0x1.301865fa41383p-8, -0x1.2a076e4a20224p-8, -0x1.2411c07acd299p-8, -0x1.1e36f985d4881p-8, -0x1.1876b691cccf1p-8, -0x1.12d09557754fdp-8, -0x1.0d4434959cf2dp-8, -0x1.07d1347994169p-8, -0x1.027736e2a6663p-8, -0x1.fa6bbee08bdf4p-9, -0x1.f019a6aa5ccb3p-9, -0x1.e5f771f1dea73p-9, -0x1.dc046ef8e103ap-9, -0x1.d23fec7902a49p-9, -0x1.c8a938e1122f6p-9, -0x1.bf3fa1f74bab5p-9, -0x1.b60274fa19a53p-9, -0x1.acf0ff40201ecp-9, -0x1.a40a8f37883b8p-9, -0x1.9b4e7591510f3p-9, -0x1.92bc0658c97d1p-9, -0x1.8a5299ba244ap-9, -0x1.82118c4b3c1fdp-9, -0x1.79f83ec4dd557p-9, -0x1.7206153a3e86cp-9, -0x1.6a3a75f6de172p-9, -0x1.6294c83daf2bfp-9, -0x1.5b14732942e75p-9, -0x1.53b8dce6930ep-9, -0x1.4c816a726e27dp-9, -0x1.456d7fe9fac96p-9, -0x1.3e7c81630e07bp-9, -0x1.37add4267ef98p-9, -0x1.3100e00f932fp-9, -0x1.2a7510cbe6673p-9, -0x1.2409d6b8fe866p-9, -0x1.1dbea731b5ad4p-9, -0x1.1792fc3c7def5p-9, -0x1.118653ab1fb04p-9, -0x1.0b982ddb226f4p-9, -0x1.05c80c533bda3p-9, -0x1.0015707ce653ap-9, -0x1.f4ffb55ee4ea7p-10, -0x1.ea0d93632c009p-10, -0x1.df53758a3fc5dp-10, -0x1.d4d0547c3d2acp-10, -0x1.ca832922d20a6p-10, -0x1.c06aef64ec94cp-10, -0x1.b686a9091903ap-10, -0x1.acd5603568a95p-10, -0x1.a356290b04c7ep-10, -0x1.9a08220989c55p-10, -0x1.90ea7329c562dp-10, -0x1.87fc4be91b2ep-10, -0x1.7f3ce0b6437cbp-10, -0x1.76ab68419034p-10, -0x1.6e471924a4f52p-10, -0x1.660f282b60a51p-10, -0x1.5e02c75e8bda9p-10, -0x1.562125d4ad976p-10, -0x1.4e6970457411bp-10, -0x1.46dad2583545ep-10, -0x1.3f7478999c1d1p-10, -0x1.383592e802dc2p-10, -0x1.311d56f94a29ap-10, -0x1.2a2b02807b04bp-10, -0x1.235ddc75059a5p-10, -0x1.1cb53528f831p-10, -0x1.16306523ec916p-10, -0x1.0fcecb0c0a2e7p-10, -0x1.098fc923e561ep-10, -0x1.0372c2f393631p-10, -0x1.faee371bd657dp-11, -0x1.ef38693dd9803p-11, -0x1.e3c2dc4db61bbp-11, -0x1.d88c4d3fd37a2p-11, -0x1.cd9376adb5a8cp-11, -0x1.c2d711d1fc5bbp-11, -0x1.b855d81323a71p-11, -0x1.ae0e857af50c4p-11, -0x1.a3ffdc312d044p-11, -0x1.9a28a89934017p-11, -0x1.9087c5283addcp-11, -0x1.871c1cdb8a196p-11, -0x1.7de4ab7bfe90cp-11, -0x1.74e07b61989a8p-11, -0x1.6c0ea1377afa8p-11, -0x1.636e36e0c5b7ep-11, -0x1.5afe56e752d0dp-11, -0x1.52be19965a3c3p-11, -0x1.4aac94330a492p-11, -0x1.42c8d9e54f40bp-11, -0x1.3b11fd44ee066p-11, -0x1.3387116bb2457p-11, -0x1.2c2729f010d81p-11, -0x1.24f15a0700521p-11, -0x1.1de4b3b389e84p-11, -0x1.1700481c6874fp-11, -0x1.104329a676fd8p-11, -0x1.09ac6fa312329p-11, -0x1.033b3aa11ed79p-11, -0x1.f9dd7019f3294p-12, -0x1.ed8c47da06b31p-12, -0x1.e181902c87f56p-12, -0x1.d5bbf201f1848p-12, -0x1.ca3a22649d07p-12, -0x1.befad971f5624p-12, -0x1.b3fccc6a02123p-12, -0x1.a93eac8fb6e54p-12, -0x1.9ebf2a8c7d98cp-12, -0x1.947cfc1ff6b79p-12, -0x1.8a76e0e52211cp-12, -0x1.80aba37767a54p-12, -0x1.771a1604b2495p-12, -0x1.6dc10ba8323b6p-12, -0x1.649f51986b932p-12, -0x1.5bb3ab6b77268p-12, -0x1.52fcd45194c0bp-12, -0x1.4a7984f9a9586p-12, -0x1.42287c06eaa37p-12, -0x1.3a0886479a247p-12, -0x1.32188439cd176p-12, -0x1.2a576b57f956ep-12, -0x1.22c442dc28acep-12, -0x1.1b5e1d039108ap-12, -0x1.14240f222832ap-12, -0x1.0d152b5b850f3p-12, -0x1.06307e3b9d6d5p-12, -0x1.feea21d22ff8dp-13, -0x1.f1c3ddd48bb79p-13, -0x1.e4ec5a500406ap-13, -0x1.d861deaa7dd18p-13, -0x1.cc22d2b5170f9p-13, -0x1.c02db7ad0378ep-13, -0x1.b481199623f03p-13, -0x1.a91b7ed2e5e6fp-13, -0x1.9dfb5cfb60671p-13, -0x1.931f177c0648p-13, -0x1.888507a4d43e1p-13, -0x1.7e2b899d07189p-13, -0x1.741108c610958p-13, -0x1.6a34084d1d826p-13, -0x1.60932713863d6p-13, -0x1.572d1ee22befep-13, -0x1.4e00beb270ff7p-13, -0x1.450ce0eb89afdp-13, -0x1.3c50605b99bbp-13, -0x1.33ca0f983bbc3p-13, -0x1.2b78b56378856p-13, -0x1.235b0ebcafd82p-13, -0x1.1b6fd5b7fe0f6p-13, -0x1.13b5cb38f5296p-13, -0x1.0c2bc0b017156p-13, -0x1.04d09e1edd83fp-13, -0x1.fb46c2db773cap-14, -0x1.ed462cb9489d9p-14, -0x1.df9d9469a0ef9p-14, -0x1.d24b0205eef0ap-14, -0x1.c54c634a9235ap-14, -0x1.b89f94c5b32f9p-14, -0x1.ac42750ffad24p-14, -0x1.a032f59dd25c1p-14, -0x1.946f215c04d01p-14, -0x1.88f51c7e2b755p-14, -0x1.7dc32653f6f5ep-14, -0x1.72d79fd219c17p-14, -0x1.68310fc1fa1dfp-14, -0x1.5dce1c8b3297ep-14, -0x1.53ad7bad8a2eep-14, -0x1.49cdde828dd6p-14, -0x1.402de46711c44p-14, -0x1.36cc16ad495cdp-14, -0x1.2da6ee9106302p-14, -0x1.24bce26bdc643p-14, -0x1.1c0c749bddb2fp-14, -0x1.13943e6a53f52p-14, -0x1.0b52f38ff3973p-14, -0x1.03475e7b752d4p-14, -0x1.f6e0af32abff6p-15, -0x1.e79974a5f0db6p-15, -0x1.d8b6b5dd02836p-15, -0x1.ca360316f04f8p-15, -0x1.bc14dba86c4b9p-15, -0x1.ae50c358543d9p-15, -0x1.a0e75445d10eep-15, -0x1.93d63b7e61034p-15, -0x1.871b259a02498p-15, -0x1.7ab3b9867b913p-15, -0x1.6e9db74a0e90cp-15, -0x1.62d728113bf27p-15, -0x1.575e73e11b1cfp-15, -0x1.4c32464b1de6dp-15, -0x1.415154e8f99ddp-15, -0x1.36ba2d263c237p-15, -0x1.2c6b233b3ae25p-15, -0x1.2262639c0d518p-15, -0x1.189e13e421e2dp-15, -0x1.0f1c6ab9a913bp-15, -0x1.05dbb289de3cbp-15, -0x1.f9b47df697a9dp-16, -0x1.e82ccced44e8ap-16, -0x1.d71d11e1ed65ap-16, -0x1.c6823d61e15e6p-16, -0x1.b6598572bf9a3p-16, -0x1.a6a060774aab4p-16, -0x1.9754667593dcep-16, -0x1.88732ba62b867p-16, -0x1.79fa2fdb52cb1p-16, -0x1.6be6ef053a0b4p-16, -0x1.5e36f9a8ba94cp-16, -0x1.50e7e83341f7fp-16, -0x1.43f724bea2f49p-16, -0x1.3761cf9900c42p-16, -0x1.2b2503dcbe5e6p-16, -0x1.1f3e56bd76d4cp-16, -0x1.13ac1473be72dp-16, -0x1.086cf9bb744e2p-16, -0x1.faff5da2a6b8bp-17, -0x1.e5c4ee24b7381p-17, -0x1.d1268bf1c81a1p-17, -0x1.bd20220c63922p-17, -0x1.a9ae1d5ea1897p-17, -0x1.96cd612aa5e64p-17, -0x1.847ad6090d1e7p-17, -0x1.72b305bd0c9ccp-17, -0x1.61720bcdb453dp-17, -0x1.50b3cc4a34f17p-17, -0x1.40743c95ca19bp-17, -0x1.30af9987ea31ep-17, -0x1.216280ecfb085p-17, -0x1.1289ef22d0fefp-17, -0x1.04232555de137p-17, -0x1.ec56fb502559bp-18, -0x1.d140840ccef8dp-18, -0x1.b6fd52d22d79p-18, -0x1.9d880e0715091p-18, -0x1.84dbf7f1845cfp-18, -0x1.6cf4b3e1f7bd4p-18, -0x1.55cd62b849fa9p-18, -0x1.3f602330035f5p-18, -0x1.29a6fa9a7ce1fp-18, -0x1.149d5e5585719p-18, -0x1.004063184ff39p-18, -0x1.d91a72c74eeb1p-19, -0x1.b2ff892e3324cp-19, -0x1.8e25819b04565p-19, -0x1.6a8226f25408dp-19, -0x1.480dab330cd31p-19, -0x1.26c25c205cbb3p-19, -0x1.069ad990926a1p-19, -0x1.cf21a5b157266p-20, -0x1.9339fa226e382p-20, -0x1.596f290fc6d1dp-20, -0x1.21b1865de2e82p-20, -0x1.d7e34d9e81efp-21, -0x1.70413ea3553cdp-21, -0x1.0c607c968c42p-21, }}, 
      {{0x1.55254f7f51355p-3, 0x1.a92da7b29d4a8p-3, 0x1.0856cbd7a0788p-2, 0x1.3cdb7c465a9ddp-2, 0x1.6cc0eb4dd3ad1p-2, 0x1.9510b6e22b757p-2, 0x1.b471469ae7deap-2, 0x1.ca951f9e38cc6p-2, 0x1.d7d6afad6af82p-2, 0x1.dcf3b1cfbc651p-2, 0x1.dadef8bb1d206p-2, 0x1.d2a1a7febf9e8p-2, 0x1.c547072ccfeb2p-2, 0x1.b3cfa29120f29p-2, 0x1.9f297605310ap-2, 0x1.882b91c3dfe8ep-2, 0x1.6f9422a3cd347p-2, 0x1.5608199acb099p-2, 0x1.3c13e7bd30af1p-2, 0x1.222ceb726336cp-2, 0x1.08b347d89d3fp-2, 0x1.dfe7e6d342a0fp-3, 0x1.b055b343485e9p-3, 0x1.8309ecdb72beap-3, 0x1.5844b51499169p-3, 0x1.30301c7cafdcfp-3, 0x1.0ae3990326c7ap-3, 0x1.d0ce4eefa695ep-4, 0x1.916c2e14104acp-4, 0x1.57830179c66afp-4, 0x1.22e4dd6a7a72ep-4, 0x1.e6aee325f4a63p-5, 0x1.912e7210b7527p-5, 0x1.44b45c638c07dp-5, 0x1.00a41fd547fd9p-5, 0x1.88b912eec681p-6, 0x1.1e75a141faa6fp-6, 0x1.827473003e7f4p-7, 0x1.bf24592cd80aap-8, 0x1.476c7210df574p-9, -0x1.48176f4e5d7ccp-10, -0x1.267ea2297edfbp-8, -0x1.dde7dd37ad164p-8, -0x1.3e1b62f9504e7p-7, -0x1.828fec5330753p-7, -0x1.be0ae5502fed8p-7, -0x1.f224cef90a389p-7, -0x1.102ac6bd871b1p-6, -0x1.24fa9ec80fa04p-6, -0x1.381e767b7f7dbp-6, -0x1.4a23f260b7211p-6, -0x1.5b8a5ad541a38p-6, -0x1.6cc36255914a1p-6, -0x1.7e33c4586f1ddp-6, -0x1.903411d57c17cp-6, -0x1.a3115dc9a5839p-6, -0x1.b70e09627f30cp-6, -0x1.cc6276bdad8cp-6, -0x1.e33dc1da50d1fp-6, -0x1.fbc66b2cdaf0ep-6, -0x1.0b0d8247d1078p-5, -0x1.19296c8fb5bfcp-5, -0x1.283f46cb5c4d2p-5, -0x1.38545acad9ef3p-5, -0x1.496b2fe7cfbaep-5, -0x1.5b83cea32241p-5, -0x1.6e9c02d9420c7p-5, -0x1.82af9bf3486e7p-5, -0x1.97b8a97c6c131p-5, -0x1.adafb2fd6397ep-5, -0x1.c48beb2a86bcep-5, -0x1.dc435f59617edp-5, -0x1.f4cb2441a4bd1p-5, -0x1.070bc04b10b01p-4, -0x1.140e0a9e986e7p-4, -0x1.21660148d1d89p-4, -0x1.2f0d050acaf1ep-4, -0x1.3cfc5632fbfe7p-4, -0x1.4b2d21cfae15p-4, -0x1.59988d5d28377p-4, -0x1.6837c13763d4ap-4, -0x1.7703f206ff901p-4, -0x1.85f669491ce7p-4, -0x1.95088cf7a0dc8p-4, -0x1.a433e64584294p-4, -0x1.b372276d1437fp-4, -0x1.c2bd3083ad878p-4, -0x1.d20f136b7c9c6p-4, -0x1.e16216ef2db3dp-4, -0x1.f0b0b92605e28p-4, -0x1.fff5b13e39aedp-4, -0x1.0795f864f4e1cp-3, -0x1.0f27524cb47f8p-3, -0x1.16ac9aa15bb8fp-3, -0x1.1e23a3a73ab5dp-3, -0x1.258a5d8ce891dp-3, -0x1.2cded6384b3c8p-3, -0x1.341f38f06d831p-3, -0x1.3b49cde7f5639p-3, -0x1.425cf9ab5cddap-3, -0x1.49573c777575dp-3, -0x1.5037317aa0c81p-3, -0x1.56fb8e061a5b2p-3, -0x1.5da320b417998p-3, -0x1.642cd082da177p-3, -0x1.6a979bed7805cp-3, -0x1.70e297fd37dp-3, -0x1.770cef5d3bb3cp-3, -0x1.7d15e16c614f8p-3, -0x1.82fcc151dfffdp-3, -0x1.88c0f512f2a37p-3, -0x1.8e61f4af06df2p-3, -0x1.93df493c2e59ap-3, -0x1.99388c099186dp-3, -0x1.9e6d65c7b8e6dp-3, -0x1.a37d8db5ff727p-3, -0x1.a868c8d491a0fp-3, -0x1.ad2ee9208d852p-3, -0x1.b1cfccd0fc2d9p-3, -0x1.b64b5da22d1p-3, -0x1.baa19021a0d5cp-3, -0x1.bed26305e065fp-3, -0x1.c2ddde8c9e80bp-3, -0x1.c6c413dce2035p-3, -0x1.ca851c7736bdep-3, -0x1.ce2119a7a96f8p-3, -0x1.d19833ff4da0dp-3, -0x1.d4ea9ad82a116p-3, -0x1.d81883dd3be1cp-3, -0x1.db222a96eb12cp-3, -0x1.de07d0045fccp-3, -0x1.e0c9ba338a428p-3, -0x1.e36833e1f9f16p-3, -0x1.e5e38c260ac0bp-3, -0x1.e83c16174a80dp-3, -0x1.ea722880360dcp-3, -0x1.ec861d94ae273p-3, -0x1.ee7852aa1c2b2p-3, -0x1.f04927f4bd5ap-3, -0x1.f1f9004d513adp-3, -0x1.f38840f2fa44fp-3, -0x1.f4f75154d4623p-3, -0x1.f6469ae22d15ap-3, -0x1.f77688d7ecff2p-3, -0x1.f88788121576dp-3, -0x1.f97a06e4fdaddp-3, -0x1.fa4e74f4183fap-3, -0x1.fb05430bb7c8bp-3, -0x1.fb9ee2ff5c91dp-3, -0x1.fc1bc78be7b6dp-3, -0x1.fc7c64320fa85p-3, -0x1.fcc12d1ef13c9p-3, -0x1.fcea9713a60fap-3, -0x1.fcf917460f05bp-3, -0x1.fced234728bb2p-3, -0x1.fcc730f490d87p-3, -0x1.fc87b6649bdadp-3, -0x1.fc2f29c931fdfp-3, -0x1.fbbe015c5bc43p-3, -0x1.fb34b35936c3bp-3, -0x1.fa93b5ec9646fp-3, -0x1.f9db7f19d91cp-3, -0x1.f90c84ab315e2p-3, -0x1.f8273c2bf2111p-3, -0x1.f72c1ae22242ep-3, -0x1.f61b95b6e5a5fp-3, -0x1.f4f62123a0642p-3, -0x1.f3bc312ed78e2p-3, -0x1.f26e396a41e34p-3, -0x1.f10cace3a604ap-3, -0x1.ef97fe112c0e5p-3, -0x1.ee109ec8ba40fp-3, -0x1.ec7700404c167p-3, -0x1.eacb9308cbb93p-3, -0x1.e90ec6ff65347p-3, -0x1.e7410b3f8d155p-3, -0x1.e562ce1e041a7p-3, -0x1.e3747d286da6cp-3, -0x1.e176852065089p-3, -0x1.df6951f0f73b6p-3, -0x1.dd4d4ea21af8dp-3, -0x1.db22e556787dcp-3, -0x1.d8ea7f46d3439p-3, -0x1.d6a484c1a5b97p-3, -0x1.d4515d245ff46p-3, -0x1.d1f16ed1fbcbfp-3, -0x1.cf851f2b48c48p-3, -0x1.cd0cd28c8ee3bp-3, -0x1.ca88ec4e8338p-3, -0x1.c7f9cec4afb5ep-3, -0x1.c55fdb362fb89p-3, -0x1.c2bb71d423938p-3, -0x1.c00cf1b4ac575p-3, -0x1.bd54b8d4b99d3p-3, -0x1.ba93241b131a2p-3, -0x1.b7c88f55a620cp-3, -0x1.b4f55530a1334p-3, -0x1.b219cf2e0e3fcp-3, -0x1.af3655a496d89p-3, -0x1.ac4b3fc47352ap-3, -0x1.a958e39aa59aep-3, -0x1.a65f960d33665p-3, -0x1.a35faad2462a8p-3, -0x1.a05974697299p-3, -0x1.9d4d441d858a5p-3, -0x1.9a3b6a0a4d406p-3, -0x1.9724352012b01p-3, -0x1.9407f320300cep-3, -0x1.90e6f0958286cp-3, -0x1.8dc178cf725f6p-3, -0x1.8a97d5e3a814ep-3, -0x1.876a50b424cfp-3, -0x1.843930f39db75p-3, -0x1.8104bd2416da4p-3, -0x1.7dcd3a919f975p-3, -0x1.7a92ed4db1cb9p-3, -0x1.7756182fde38fp-3, -0x1.7416fcdaeea95p-3, -0x1.70d5dbc2573b5p-3, -0x1.6d92f42bf539fp-3, -0x1.6a4e842d96ac2p-3, -0x1.6708c8a947defp-3, -0x1.63c1fd4c3c8fcp-3, -0x1.607a5c91d194ap-3, -0x1.5d321fc8f0f79p-3, -0x1.59e97f187a80bp-3, -0x1.56a0b18084c4cp-3, -0x1.5357ecd8ed78p-3, -0x1.500f65cff6f27p-3, -0x1.4cc74fea08db3p-3, -0x1.497fdd85d334fp-3, -0x1.46393fe0d5b16p-3, -0x1.42f3a71baf99bp-3, -0x1.3faf423c30744p-3, -0x1.3c6c3f2d831dfp-3, -0x1.392acabfed946p-3, -0x1.35eb10a9c49cap-3, -0x1.32ad3b8a68247p-3, -0x1.2f7174ee9953dp-3, -0x1.2c37e554c1a99p-3, -0x1.2900b4301a77p-3, -0x1.25cc07ea72c06p-3, -0x1.229a05e5290c8p-3, -0x1.1f6ad27a5d7edp-3, -0x1.1c3e90ff47191p-3, -0x1.191563c7c6863p-3, -0x1.15ef6c2a8a085p-3, -0x1.12ccca84fbbeap-3, -0x1.0fad9e3e6bc44p-3, -0x1.0c9205ca5e67cp-3, -0x1.097a1eaa43184p-3, -0x1.0666056f3f8d3p-3, -0x1.0355d5bccfcbcp-3, -0x1.0049aa4c41329p-3, -0x1.fa8339e190a86p-4, -0x1.f47b8d3724d95p-4, -0x1.ee7c7ebed0032p-4, -0x1.e8863ce6fa917p-4, -0x1.e298f46bc55bap-4, -0x1.dcb4d057ec953p-4, -0x1.d6d9fa0e8d69dp-4, -0x1.d108994d00fa7p-4, -0x1.cb40d43522658p-4, -0x1.c582cf554e81dp-4, -0x1.bfceadb05586bp-4, -0x1.ba2490c3eef41p-4, -0x1.b484988da52c2p-4, -0x1.aeeee38edc5a5p-4, -0x1.a9638ed15f0d8p-4, -0x1.a3e2b5ed715e6p-4, -0x1.9e6c731119b4ep-4, -0x1.9900df07e1013p-4, -0x1.93a011420a16fp-4, -0x1.8e4a1fdaed7adp-4, -0x1.88ff1f9e86a9p-4, -0x1.83bf240eb7fe7p-4, -0x1.7e8a3f68f77c7p-4, -0x1.796082acd2dfbp-4, -0x1.7441fda2fd771p-4, -0x1.6f2ebee3f4996p-4, -0x1.6a26d3dd7b26ap-4, -0x1.652a48d701e4fp-4, -0x1.603928f5e35b1p-4, -0x1.5b537e4297e55p-4, -0x1.567951af8ae63p-4, -0x1.51aaab2141bc9p-4, -0x1.4ce79176f26f9p-4, -0x1.48300a921b712p-4, -0x1.43841b5bf355fp-4, -0x1.3ee3c7c8731c9p-4, -0x1.3a4f12d7f6effp-4, -0x1.35c5fe996009cp-4, -0x1.31488c2e7ce27p-4, -0x1.2cd6bbd35c58p-4, -0x1.28708ce7c71d1p-4, -0x1.2415fdf90fe31p-4, -0x1.1fc70ccad3e48p-4, -0x1.1b83b65a4eb58p-4, -0x1.174bf6e4fb07dp-4, -0x1.131fc9e4d35d9p-4, -0x1.0eff2a135465fp-4, -0x1.0aea116b7cebcp-4, -0x1.06e0792f78d6ap-4, -0x1.02e259f0d7c9p-4, -0x1.fddf5733d09aap-5, -0x1.f610caec9ec5fp-5, -0x1.ee58fc72d5f7fp-5, -0x1.e6b7d80424565p-5, -0x1.df2d48b872229p-5, -0x1.d7b938837fd8bp-5, -0x1.d05b9037c3c74p-5, -0x1.c914378cbe4cfp-5, -0x1.c1e315297e815p-5, -0x1.bac80eb24f67cp-5, -0x1.b3c308d761c0dp-5, -0x1.acd3e7620b1cbp-5, -0x1.a5fa8d3ef233dp-5, -0x1.9f36dc84e4f9p-5, -0x1.9888b6793992ep-5, -0x1.91effb935f649p-5, -0x1.8b6c8b81270c1p-5, -0x1.84fe452ccc088p-5, -0x1.7ea506c5271f7p-5, -0x1.7860adc77452ep-5, -0x1.72311709cadf8p-5, -0x1.6c161ec504f9bp-5, -0x1.660fa09d415cfp-5, -0x1.601d77a8a333ap-5, -0x1.5a3f7e749f267p-5, -0x1.54758f0a8ce3bp-5, -0x1.4ebf82f457f75p-5, -0x1.491d3341d70e5p-5, -0x1.438e788f143dfp-5, -0x1.3e132b0b47535p-5, -0x1.38ab2280438a6p-5, -0x1.33563659c161cp-5, -0x1.2e143dac31283p-5, -0x1.28e50f3abfb59p-5, -0x1.23c8817c907bp-5, -0x1.1ebe6aa15fed5p-5, -0x1.19c6a095ec3c5p-5, -0x1.14e0f90800182p-5, -0x1.100d496d3f43bp-5, -0x1.0b4b67060a82p-5, -0x1.069b26e3714f6p-5, -0x1.01fc5dee75062p-5, -0x1.faddc1d73ad7dp-6, -0x1.f1e50900771aap-6, -0x1.e90e3a6d6bea3p-6, -0x1.e058ff05262f6p-6, -0x1.d7c4ff888332fp-6, -0x1.cf51e499fe622p-6, -0x1.c6ff56c56456p-6, -0x1.beccfe87e9132p-6, -0x1.b6ba84589dfc9p-6, -0x1.aec790b085433p-6, -0x1.a6f3cc12762edp-6, -0x1.9f3edf126c393p-6, -0x1.97a8725c1e7f2p-6, -0x1.90302eb92cf04p-6, -0x1.88d5bd17277eap-6, -0x1.8198c68d90618p-6, -0x1.7a78f46415ef9p-6, -0x1.7375f018e519dp-6, -0x1.6c8f6366e291ep-6, -0x1.65c4f84bad0cap-6, -0x1.5f16590d27304p-6, -0x1.5883303e87c58p-6, -0x1.520b28c50e6e4p-6, -0x1.4badeddc8a9ebp-6, -0x1.456b2b1bcaa96p-6, -0x1.3f428c792a763p-6, -0x1.3933be4f4bbd3p-6, -0x1.333e6d61c3b45p-6, -0x1.2d6246e1a2bbfp-6, -0x1.279ef871a4caep-6, -0x1.21f43029ea391p-6, -0x1.1c619c9b3ff36p-6, -0x1.16e6ecd227a6dp-6, -0x1.1183d059b71a9p-6, -0x1.0c37f73ea8ccep-6, -0x1.07031212a0a21p-6, -0x1.01e4d1efa121ap-6, -0x1.f9b9d0f6eae25p-7, -0x1.efd60fd59795ep-7, -0x1.e61dc607a99e7p-7, -0x1.dc905a40a5281p-7, -0x1.d32d345e8d32ap-7, -0x1.c9f3bd6cc3a02p-7, -0x1.c0e35fa75168dp-7, -0x1.b7fb867ec3fd5p-7, -0x1.af3b9e9d0c365p-7, -0x1.a6a315ea8e854p-7, -0x1.9e315b9342a0fp-7, -0x1.95e5e009c4d64p-7, -0x1.8dc0150d77412p-7, -0x1.85bf6da68844ap-7, -0x1.7de35e28c8bf2p-7, -0x1.762b5c3499e32p-7, -0x1.6e96deb5bea1bp-7, -0x1.67255de5e1a6p-7, -0x1.5fd6534ff9af9p-7, -0x1.58a939d4c05bcp-7, -0x1.519d8daf31618p-7, -0x1.4ab2cc77e7e17p-7, -0x1.43e8752666bd4p-7, -0x1.3d3e081027a62p-7, -0x1.36b306e581368p-7, -0x1.3046f4ae0193p-7, -0x1.29f955c52b47ap-7, -0x1.23c9afd96a4d1p-7, -0x1.1db789ed95ef9p-7, -0x1.17c26c5d0d869p-7, -0x1.11e9e0e11e133p-7, -0x1.0c2d72962625ap-7, -0x1.068cadfe73633p-7, -0x1.01072101a6966p-7, -0x1.f738b5d0b6062p-8, -0x1.ec97d8a9a355cp-8, -0x1.e22ace75229c4p-8, -0x1.d7f0bdaea9a38p-8, -0x1.cde8cf5e6b7cbp-8, -0x1.c4122f1ae7123p-8, -0x1.ba6c0b12dfd97p-8, -0x1.b0f5941d2cdf9p-8, -0x1.a7adfdc8cd5b4p-8, -0x1.9e947e67f4efap-8, -0x1.95a84f113b627p-8, -0x1.8ce8ab9502108p-8, -0x1.8454d26851b2cp-8, -0x1.7bec0489550cep-8, -0x1.73ad8563fabb3p-8, -0x1.6b989abda0724p-8, -0x1.63ac8cac90f0dp-8, -0x1.5be8a59dc1dcdp-8, -0x1.544c32672b0cp-8, -0x1.4cd68260f1c24p-8, -0x1.4586e77e8865cp-8, -0x1.3e5cb65f14b1ep-8, -0x1.3757464f9e718p-8, -0x1.3075f13be3247p-8, -0x1.29b8138ffcb96p-8, -0x1.231d0c1034bdcp-8, -0x1.1ca43bafe72cp-8, -0x1.164d05705579cp-8, -0x1.1016ce4f2eccdp-8, -0x1.0a00fd4898fep-8, -0x1.040afb6bf5a8bp-8, -0x1.fc6867fc0f4fdp-9, -0x1.f0f8293e85999p-9, -0x1.e5c41ad87362cp-9, -0x1.dacb221caa88dp-9, -0x1.d00c296f20c31p-9, -0x1.c586200ed5f13p-9, -0x1.bb37f9bb8b11dp-9, -0x1.b120ae44dc68dp-9, -0x1.a73f392b7d2b5p-9, -0x1.9d92993c171e4p-9, -0x1.9419d06d57346p-9, -0x1.8ad3e3eccda08p-9, -0x1.81bfdc4e2b1ffp-9, -0x1.78dcc5e652fcfp-9, -0x1.7029b13189171p-9, -0x1.67a5b32e7ae3ap-9, -0x1.5f4fe597d5664p-9, -0x1.572766ec7aaedp-9, -0x1.4f2b5a416049p-9, -0x1.475ae6e401a7ep-9, -0x1.3fb537dec9cc3p-9, -0x1.38397b72fb248p-9, -0x1.30e6e2a5ef21ep-9, -0x1.29bca0f089ed3p-9, -0x1.22b9ec227944ap-9, -0x1.1bddfc7c797bbp-9, -0x1.15280cfbea126p-9, -0x1.0e975bc8c1c4bp-9, -0x1.082b2aad623f1p-9, -0x1.01e2bf7fdda92p-9, -0x1.f77ac8c6e8d78p-10, -0x1.eb74cfa6be0d2p-10, -0x1.dfb238e58455dp-10, -0x1.d431b152fdc0ep-10, -0x1.c8f1ec416f7c1p-10, -0x1.bdf1a26b20c56p-10, -0x1.b32f90f35fbefp-10, -0x1.a8aa78a7ebbp-10, -0x1.9e611d9d323aep-10, -0x1.9452473050c69p-10, -0x1.8a7cc06ec154fp-10, -0x1.80df58d21d6e4p-10, -0x1.7778e53149f9ep-10, -0x1.6e4840b9a43aap-10, -0x1.654c4dbe9186ep-10, -0x1.5c83f631a25e1p-10, -0x1.53ee2ba744ddfp-10, -0x1.4b89e6e51d42p-10, -0x1.43562712786afp-10, -0x1.3b51f0b4c244p-10, -0x1.337c4ca72b4bdp-10, -0x1.2bd44736d5d67p-10, -0x1.2458ef7c134e6p-10, -0x1.1d0956facf05cp-10, -0x1.15e4918a17f5p-10, -0x1.0ee9b5818f468p-10, -0x1.0817dc28b57cep-10, -0x1.016e2260541d1p-10, -0x1.f5d752e72c3adp-11, -0x1.e91f2fdc2c042p-11, -0x1.dcb23496df93cp-11, -0x1.d08ec6a726bdbp-11, -0x1.c4b3581280eeap-11, -0x1.b91e6652eb6e7p-11, -0x1.adce78b224299p-11, -0x1.a2c21e637f5d4p-11, -0x1.97f7ecc6ed17fp-11, -0x1.8d6e7e20e8bebp-11, -0x1.832470e392411p-11, -0x1.7918676ee6124p-11, -0x1.6f4908190eaffp-11, -0x1.65b4fd583a6bbp-11, -0x1.5c5af60733a05p-11, -0x1.5339a5de972c7p-11, -0x1.4a4fc639dba2cp-11, -0x1.419c17597dbcap-11, -0x1.391d61a8461b5p-11, -0x1.30d276e62cfd6p-11, -0x1.28ba331248dbep-11, -0x1.20d37c3870294p-11, -0x1.191d418bd5c17p-11, -0x1.119679cd38e28p-11, -0x1.0a3e216c084aap-11, -0x1.031338e228829p-11, -0x1.f8298754b6e43p-12, -0x1.ea838fe7b5a32p-12, -0x1.dd329dcfbe945p-12, -0x1.d034ca424f6f7p-12, -0x1.c38835e7978ffp-12, -0x1.b72b08a66c0e1p-12, -0x1.ab1b70e26cc85p-12, -0x1.9f57a2d06cb9cp-12, -0x1.93ddd8a1c1d76p-12, -0x1.88ac53eb123a1p-12, -0x1.7dc1601b45b8dp-12, -0x1.731b555351a04p-12, -0x1.68b89ab5665cdp-12, -0x1.5e97a75b70d14p-12, -0x1.54b7018f0da81p-12, -0x1.4b153c67ba594p-12, -0x1.41b0f47fa2bc5p-12, -0x1.3888ccc6899c4p-12, -0x1.2f9b6c6f03109p-12, -0x1.26e77e85da157p-12, -0x1.1e6bb30da9469p-12, -0x1.1626c0d82743ep-12, -0x1.0e176702cc6ep-12, -0x1.063c6d314f911p-12, -0x1.fd294475ad3cap-13, -0x1.ee3db3951f933p-13, -0x1.dfb3d3fb05453p-13, -0x1.d189542ef75fbp-13, -0x1.c3bbe5d411025p-13, -0x1.b64941952f5b9p-13, -0x1.a92f2cbaee8e6p-13, -0x1.9c6b7e7fcaeacp-13, -0x1.8ffc23802bb31p-13, -0x1.83df1e4afce5ap-13, -0x1.781284e498fa8p-13, -0x1.6c947bfe38868p-13, -0x1.616331713af7cp-13, -0x1.567cd7e963cfbp-13, -0x1.4bdfa5393f70ep-13, -0x1.4189d3baf1e9ap-13, -0x1.3779a623a3751p-13, -0x1.2dad6c13cba1ap-13, -0x1.2423858d63722p-13, -0x1.1ada63b6b7213p-13, -0x1.11d0864fabc7ep-13, -0x1.0904769f8e894p-13, -0x1.0074c1d5af267p-13, -0x1.f03fea6d64e26p-14, -0x1.e0093b2773643p-14, -0x1.d04293cfc117dp-14, -0x1.c0e91f2c59f6ap-14, -0x1.b1fa1ce5d08e9p-14, -0x1.a372e7025fb5ep-14, -0x1.9550f4315389p-14, -0x1.8791d6e9cffe5p-14, -0x1.7a33393e6aceap-14, -0x1.6d32d60e0d30dp-14, -0x1.608e7178da18fp-14, -0x1.5443d2fe498d3p-14, -0x1.4850c2fcee0c3p-14, -0x1.3cb30befe8e82p-14, -0x1.31687ed1ca36ap-14, -0x1.266ef96035d34p-14, -0x1.1bc46c24aa9e6p-14, -0x1.1166df1ceb5a8p-14, -0x1.0754701d52262p-14, -0x1.fb169b1b6253p-15, -0x1.e8135d5975e6p-15, -0x1.d59b97069e1bdp-15, -0x1.c3abb461e2954p-15, -0x1.b240238a0707ep-15, -0x1.a155611327e9ap-15, -0x1.90e8033cd08b3p-15, -0x1.80f4be5992895p-15, -0x1.71786469bcf49p-15, -0x1.626fe5c0aa4d3p-15, -0x1.53d854a3b3dc4p-15, -0x1.45aee79a8ee8ap-15, -0x1.37f0f53ed0b54p-15, -0x1.2a9be9832a9a7p-15, -0x1.1dad392a2e726p-15, -0x1.11225879524a8p-15, -0x1.04f8b80129c0cp-15, -0x1.f25b8f7441fep-16, -0x1.db7dfe1491236p-16, -0x1.c553cc8050945p-16, -0x1.afd83b9048b9p-16, -0x1.9b06c15a115bp-16, -0x1.86db0463b9e89p-16, -0x1.7350cfc6cbb88p-16, -0x1.606403edfda21p-16, -0x1.4e1088443ae0dp-16, -0x1.3c5243bac53c2p-16, -0x1.2b25212d2a34fp-16, -0x1.1a851da6f5812p-16, -0x1.0a6e54ce3a619p-16, -0x1.f5b9fdb04c1bp-17, -0x1.d79ac55a0aa72p-17, -0x1.ba77a0b9afb13p-17, -0x1.9e4967c8ba3c3p-17, -0x1.83096adae9897p-17, -0x1.68b193f4ad9c8p-17, -0x1.4f3c472e0f4b6p-17, -0x1.36a4170f74cafp-17, -0x1.1ee37db363d3dp-17, -0x1.07f4bfc8b6286p-17, -0x1.e3a3fe6e4507dp-18, -0x1.b8eacd58cfd8cp-18, -0x1.8fb298264fc3ep-18, -0x1.67f06c8174968p-18, -0x1.41999bdf8d6c6p-18, -0x1.1ca3a4edc211bp-18, -0x1.f208856e3edcep-19, -0x1.ad632cfda200ep-19, -0x1.6b4492f50fcfcp-19, -0x1.2b9b156fbdefcp-19, -0x1.dcab96b9d9e62p-20, -0x1.66c8275c2457bp-20, -0x1.ead55e32e187ep-21, -0x1.10e4b43c92acep-21, -0x1.fbf3973abda25p-24, 0x1.1337dcf4a000cp-22, 0x1.4aaa1c5bd366p-21, 0x1.01f73ada80dadp-20, 0x1.5ad59ea9396f8p-20, 0x1.b00e4f67494b1p-20, 0x1.00dd4e1c0d192p-19, 0x1.27f83345f9cafp-19, 0x1.4d62a39ae9a67p-19, 0x1.712865293bb45p-19, 0x1.935623a565194p-19, 0x1.b3f87dafc293dp-19, 0x1.d31b2647a6101p-19, 0x1.f0c8d66353c6fp-19, 0x1.0685fcaf76bf5p-18, 0x1.13f7b12e28c96p-18, 0x1.20bf40254839p-18, 0x1.2ce289423df46p-18, 0x1.3867573b6cfedp-18, 0x1.43532ca1dac03p-18, 0x1.4dab2a357a1fcp-18, 0x1.577402f4cb51dp-18, 0x1.60b2167471691p-18, 0x1.696998944b3bp-18, 0x1.719eb16187301p-18, 0x1.7955926448274p-18, 0x1.8092528ebbc1bp-18, 0x1.8758bee17c6e1p-18, 0x1.8dac67fa74c9ap-18, 0x1.939101704d53dp-18, 0x1.990aa6a988977p-18, 0x1.9e1d81bfd0c9p-18, 0x1.a2cd12dc32716p-18, 0x1.a71c00f8b85b6p-18, 0x1.ab0cc28320309p-18, 0x1.aea25bff3c671p-18, 0x1.b1e06bf76fd5dp-18, 0x1.b4ca8d40c5386p-18, 0x1.b763bc449ee8fp-18, 0x1.b9ae51489861fp-18, 0x1.bbac74079a6cfp-18, 0x1.bd607f85b0911p-18, 0x1.becd11347def5p-18, 0x1.bff4e78fd6eccp-18, 0x1.c0dac25f53e98p-18, 0x1.c18151f8e5e4fp-18, 0x1.c1eb2e2811726p-18, 0x1.c21acec011b3p-18, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      {{-0x1.40fc4e130e87cp-4, -0x1.404a9e2d3c36p-4, -0x1.3f1d1ca1bd3f8p-4, -0x1.3d6c4137ca049p-4, -0x1.3b2e535b31313p-4, -0x1.3857ffc79546fp-4, -0x1.34dcefbc3658ap-4, -0x1.30b058b2e1cd3p-4, -0x1.2bc57da6569ap-4, -0x1.26101d95a4053p-4, -0x1.1f84cd92b4bc1p-4, -0x1.18193ec931e5fp-4, -0x1.0fc4725031e95p-4, -0x1.067edd4ad9b4ap-4, -0x1.f88500036997ap-5, -0x1.e215e4d4200adp-5, -0x1.c9aad05daf954p-5, -0x1.af415bc3436e2p-5, -0x1.92da412f4c98cp-5, -0x1.747941d0b3909p-5, -0x1.54250419285acp-5, -0x1.31e6eb7752d54p-5, -0x1.0dcaeaa520e62p-5, -0x1.cfbea32a8ff83p-6, -0x1.80693012d39bcp-6, -0x1.2dba4bb653dedp-6, -0x1.afb46803b4d96p-7, -0x1.fbd08a77a67fep-8, -0x1.19aede5facbd5p-9, 0x1.d985fd6624546p-9, 0x1.381c3811683d7p-7, 0x1.fe5eaca04dc21p-7, 0x1.6460996e6a95cp-6, 0x1.cb6d73f01430fp-6, 0x1.1a1093030131bp-5, 0x1.4f2373d52bb0cp-5, 0x1.84d5137e451c5p-5, 0x1.bb0b5f8c5e2cp-5, 0x1.f1ac93e9e9c3ep-5, 0x1.144fa7b862e5bp-4, 0x1.2fe552bf17cbfp-4, 0x1.4b8b166c6245ap-4, 0x1.6735061d84593p-4, 0x1.82d78269ce3aap-4, 0x1.9e673d840462p-4, 0x1.b9d93ee0a91a1p-4, 0x1.d522e6413bcbfp-4, 0x1.f039ee404c8c4p-4, 0x1.058a373b3787bp-3, 0x1.12d46ea5def24p-3, 0x1.1ff708c2c7bc9p-3, 0x1.2ceda1ce4b478p-3, 0x1.39b40771f480bp-3, 0x1.46463943667fp-3, 0x1.52a0693024183p-3, 0x1.5ebefbd6dcec6p-3, 0x1.6a9e88cded394p-3, 0x1.763bdad629fe9p-3, 0x1.8193eff8b31f8p-3, 0x1.8ca3f98e2b71ap-3, 0x1.97695c2dbb11fp-3, 0x1.a1e1af822a59ep-3, 0x1.ac0abe039a584p-3, 0x1.b5e2849489081p-3, 0x1.bf6732012cbe1p-3, 0x1.c897266069af3p-3, 0x1.d170f2561cf2fp-3, 0x1.d9f35636c24aap-3, 0x1.e21d410ce7e5bp-3, 0x1.e9edcf813b561p-3, 0x1.f1644aa6484afp-3, 0x1.f88026a96b396p-3, 0x1.ff41016aa6f47p-3, 0x1.02d3507eb2165p-2, 0x1.05d8790a23d14p-2, 0x1.08b0032d3f6d6p-2, 0x1.0b5a095e80f6ap-2, 0x1.0dd6b6d335aadp-2, 0x1.10264697feefdp-2, 0x1.124902a549fcfp-2, 0x1.143f42f10ae8ep-2, 0x1.16096c7f0d50bp-2, 0x1.17a7f0711f9d7p-2, 0x1.191b4b1850b99p-2, 0x1.1a640308701e2p-2, 0x1.1b82a82ee8d06p-2, 0x1.1c77d2edf979ep-2, 0x1.1d44233d46eefp-2, 0x1.1de83fd0a0a5p-2, 0x1.1e64d545c0154p-2, 0x1.1eba9559b52c6p-2, 0x1.1eea362699439p-2, 0x1.1ef4716a12bcfp-2, 0x1.1eda03d50c383p-2, 0x1.1e9bac650253ap-2, 0x1.1e3a2bc724abap-2, 0x1.1db643c57bcacp-2, 0x1.1d10b6be2f4f8p-2, 0x1.1c4a4724f5f3fp-2, 0x1.1b63b70ea9503p-2, 0x1.1a5dc7c6e596cp-2, 0x1.1939396f8f076p-2, 0x1.17f6caaa10ae4p-2, 0x1.1697384a0cbd9p-2, 0x1.151b3d1141609p-2, 0x1.1383917443e97p-2, 0x1.11d0eb67c562dp-2, 0x1.1003fe35f4541p-2, 0x1.0e1d7a5b9d999p-2, 0x1.0c1e0d6c9f3fp-2, 0x1.0a0661ff38cf2p-2, 0x1.07d71f9dd7063p-2, 0x1.0590eabed5321p-2, 0x1.033464c1d3f0ap-2, 0x1.00c22bf2238d3p-2, 0x1.fc75b71baf1d7p-3, 0x1.f73e17a224de2p-3, 0x1.f1dea40a2d62p-3, 0x1.ec58812568716p-3, 0x1.e6acce2f51918p-3, 0x1.e0dca4fd18941p-3, 0x1.dae91a31d1f9dp-3, 0x1.d4d33d76420aep-3, 0x1.ce9c19b38d727p-3, 0x1.c844b55029febp-3, 0x1.c1ce126e72129p-3, 0x1.bb392f2c356b6p-3, 0x1.b48705e2d15c9p-3, 0x1.adb88d673bd8dp-3, 0x1.a6ceb9498d2ebp-3, 0x1.9fca7a139d274p-3, 0x1.98acbd864f411p-3, 0x1.91766ed524794p-3, 0x1.8a2876dfd6d37p-3, 0x1.82c3bc699f9fcp-3, 0x1.7b49244df57bdp-3, 0x1.73b991b28399ep-3, 0x1.6c15e63630162p-3, 0x1.645f021cfe556p-3, 0x1.5c95c478bd97fp-3, 0x1.54bb0b4e5603cp-3, 0x1.4ccfb3b7b5e73p-3, 0x1.44d49a02406c9p-3, 0x1.3cca99c9c1417p-3, 0x1.34b28e0fe3712p-3, 0x1.2c8d51502c521p-3, 0x1.245bbd9081904p-3, 0x1.1c1eac6e4becap-3, 0x1.13d6f72844c36p-3, 0x1.0b8576a50294ep-3, 0x1.032b03765c514p-3, 0x1.f590ebb37b93bp-4, 0x1.e4bd4b6b19e4ep-4, 0x1.d3dcd5276a1f5p-4, 0x1.c2f1373315ac7p-4, 0x1.b1fc1efa32a0cp-4, 0x1.a0ff38f00fd57p-4, 0x1.8ffc3070705b9p-4, 0x1.7ef4af9c8c502p-4, 0x1.6dea5f341a9dfp-4, 0x1.5cdee66ab81f6p-4, 0x1.4bd3eab9f4c7ap-4, 0x1.3acb0fb05d06fp-4, 0x1.29c5f6bdc2f77p-4, 0x1.18c63efd1ca62p-4, 0x1.07cd84fc3c126p-4, 0x1.edbac5036c15ap-5, 0x1.cbeedca26930cp-5, 0x1.aa3a77dd1000cp-5, 0x1.88a0b6bf661edp-5, 0x1.6724b1dc79d45p-5, 0x1.45c979d006ffdp-5, 0x1.249216bfa6767p-5, 0x1.038187dbf81e3p-5, 0x1.c53585c498176p-6, 0x1.83c1673e366eap-6, 0x1.42ac76e3a284fp-6, 0x1.01fc61a49458fp-6, 0x1.836d7b6144117p-7, 0x1.03c2131631ab6p-7, 0x1.0a02ac90c37c4p-8, 0x1.cd777c36becffp-13, -0x1.d657c64c266bep-9, -0x1.e2afd44f9e67ep-8, -0x1.6c06158a7b29bp-7, -0x1.e596b6d7677e9p-7, -0x1.2f0026001d00ep-6, -0x1.6a9cc7981b181p-6, -0x1.a59cbc0f407d4p-6, -0x1.dffb9ea6c8d96p-6, -0x1.0cda954ddf457p-5, -0x1.29629dd9af099p-5, -0x1.4593e75eb8e1bp-5, -0x1.616c810647373p-5, -0x1.7cea8af21295p-5, -0x1.980c366e2487p-5, -0x1.b2cfc61d8a43p-5, -0x1.cd338e21e5e3bp-5, -0x1.e735f43dcdaacp-5, -0x1.006ab7f904094p-4, -0x1.0d08454ad6bcep-4, -0x1.1972efb4956bdp-4, -0x1.25aa0dd224ad6p-4, -0x1.31acff3f9c6b2p-4, -0x1.3d7b2c9b5cbf2p-4, -0x1.49140785b9dcdp-4, -0x1.54770a9e4dcb3p-4, -0x1.5fa3b97ef619fp-4, -0x1.6a99a0b490bcbp-4, -0x1.755855b585c66p-4, -0x1.7fdf76d623ffep-4, -0x1.8a2eab3aec51cp-4, -0x1.9445a2c8d447p-4, -0x1.9e2416138b9e7p-4, -0x1.a7c9c649e8ce2p-4, -0x1.b1367d206e393p-4, -0x1.ba6a0cba238e5p-4, -0x1.c3644f8fa3a42p-4, -0x1.cc252854a0718p-4, -0x1.d4ac81dbd0a59p-4, -0x1.dcfa4ef963037p-4, -0x1.e50e8a640c9fdp-4, -0x1.ece93694baca3p-4, -0x1.f48a5da50d959p-4, -0x1.fbf2112c9e83p-4, -0x1.0190350e8fd05p-3, -0x1.050ac44ebf8b7p-3, -0x1.0868c9f200885p-3, -0x1.0baa5d07c4262p-3, -0x1.0ecf97fff895fp-3, -0x1.11d89896dbca3p-3, -0x1.14c57fc0758e9p-3, -0x1.17967193bd2edp-3, -0x1.1a4b953578bebp-3, -0x1.1ce514c2ded02p-3, -0x1.1f631d3bfd396p-3, -0x1.21c5de6df05c7p-3, -0x1.240d8adcf034fp-3, -0x1.263a57ae44c59p-3, -0x1.284c7c9212f01p-3, -0x1.2a4433ad24e7cp-3, -0x1.2c21b9829e683p-3, -0x1.2de54cddad681p-3, -0x1.2f8f2ebb40f37p-3, -0x1.311fa233c0068p-3, -0x1.3296ec64d584ap-3, -0x1.33f5545b4ea82p-3, -0x1.353b22fd0ccbap-3, -0x1.3668a2f31de82p-3, -0x1.377e2093f2fa8p-3, -0x1.387be9cdc2643p-3, -0x1.39624e1117285p-3, -0x1.3a319e3b916a8p-3, -0x1.3aea2c82df396p-3, -0x1.3b8c4c5feb015p-3, -0x1.3c18527a4e9aap-3, -0x1.3c8e949404cc1p-3, -0x1.3cef69755e88p-3, -0x1.3d3b28d944b04p-3, -0x1.3d722b59c49ep-3, -0x1.3d94ca5ce5ac4p-3, -0x1.3da36001d879cp-3, -0x1.3d9e470e7474fp-3, -0x1.3d85dadd0b9acp-3, -0x1.3d5a774a98cf2p-3, -0x1.3d1c78a5454acp-3, -0x1.3ccc3b9b4983p-3, -0x1.3c6a1d2a2fb51p-3, -0x1.3bf67a8e6f486p-3, -0x1.3b71b1336c776p-3, -0x1.3adc1ea3d6168p-3, -0x1.3a36207a65dfbp-3, -0x1.3980145307a76p-3, -0x1.38ba57bc5b2b8p-3, -0x1.37e54829a3d5dp-3, -0x1.370142e515bb5p-3, -0x1.360ea5028985bp-3, -0x1.350dcb529665ap-3, -0x1.33ff12560be5ep-3, -0x1.32e2d631da92dp-3, -0x1.31b972a352d5dp-3, -0x1.308342f4d629cp-3, -0x1.2f40a1f2e1272p-3, -0x1.2df1e9e17f1d5p-3, -0x1.2c9774721d8cbp-3, -0x1.2b319ab9c3e74p-3, -0x1.29c0b527aa50ap-3, -0x1.28451b7c32e25p-3, -0x1.26bf24c03e6a8p-3, -0x1.252f273ce3af3p-3, -0x1.2395787385b0bp-3, -0x1.21f26d163f3e9p-3, -0x1.20465900b02f9p-3, -0x1.1e918f312370dp-3, -0x1.1cd461c20a675p-3, -0x1.1b0f21e3d3cc3p-3, -0x1.19421fd716194p-3, -0x1.176daae71028dp-3, -0x1.159211647c84ep-3, -0x1.13afa0a0b2feep-3, -0x1.11c6a4e9223dap-3, -0x1.0fd769830ec8fp-3, -0x1.0de238a7a847cp-3, -0x1.0be75b8061995p-3, -0x1.09e71a2399d9ap-3, -0x1.07e1bb918921ep-3, -0x1.05d785b1764a1p-3, -0x1.03c8bd4f33092p-3, -0x1.01b5a618d6893p-3, -0x1.ff3d05397af1bp-4, -0x1.fb07288f9666dp-4, -0x1.f6ca36c7cf368p-4, -0x1.f286ae2d6a7e5p-4, -0x1.ee3d0ac11d7ebp-4, -0x1.e9edc637578fbp-4, -0x1.e59957f725224p-4, -0x1.e1403519575e4p-4, -0x1.dce2d0683335ap-4, -0x1.d8819a5f7164cp-4, -0x1.d41d012cab848p-4, -0x1.cfb570b02659bp-4, -0x1.cb4b527df9618p-4, -0x1.c6df0ddf874aap-4, -0x1.c27107d551e91p-4, -0x1.be01a31927e1fp-4, -0x1.b991402091adp-4, -0x1.b5203d1f968b3p-4, -0x1.b0aef60bc7dcap-4, -0x1.ac3dc49f8f4f3p-4, -0x1.a7cd005dca762p-4, -0x1.a35cfe9595e03p-4, -0x1.9eee12666c9fep-4, -0x1.9a808cc46b02ap-4, -0x1.9614bc7cd93bbp-4, -0x1.91aaee3aea21ap-4, -0x1.8d436c8ca4ab9p-4, -0x1.88de7fe805e75p-4, -0x1.847c6eb04b0b1p-4, -0x1.801d7d3b69f95p-4, -0x1.7bc1edd7b429cp-4, -0x1.776a00d199f17p-4, -0x1.7315f47997a91p-4, -0x1.6ec6052a41f6dp-4, -0x1.6a7a6d4e702d4p-4, -0x1.6633656789528p-4, -0x1.61f12413e69d8p-4, -0x1.5db3de1552a08p-4, -0x1.597bc6579d62ap-4, -0x1.55490df748391p-4, -0x1.511be44842de9p-4, -0x1.4cf476dcb8b93p-4, -0x1.48d2f18bf25cp-4, -0x1.44b77e7940018p-4, -0x1.40a2461af3adap-4, -0x1.3c936f4162001p-4, -0x1.388b1f1df0919p-4, -0x1.3489794a26c83p-4, -0x1.308e9fcec966ap-4, -0x1.2c9ab32af5ee6p-4, -0x1.28add25b44b17p-4, -0x1.24c81ae0ea02dp-4, -0x1.20e9a8c8d7edep-4, -0x1.1d1296b2e0cf9p-4, -0x1.1942fdd8d5018p-4, -0x1.157af6159f1e2p-4, -0x1.11ba95ec5c64dp-4, -0x1.0e01f28f6d07p-4, -0x1.0a511fe77f2e7p-4, -0x1.06a8309a92cc3p-4, -0x1.03073612f4428p-4, -0x1.fedc810c5a0e9p-5, -0x1.f7babdf7da7a1p-5, -0x1.f0a93ea9c6b4ep-5, -0x1.e9a81ca321a85p-5, -0x1.e2b76f3211ec2p-5, -0x1.dbd74b7f510c4p-5, -0x1.d507c49b7b245p-5, -0x1.ce48eb8c3cb39p-5, -0x1.c79acf596993p-5, -0x1.c0fd7d19ed36bp-5, -0x1.ba7100009bf95p-5, -0x1.b3f56168e1389p-5, -0x1.ad8aa8e34f88fp-5, -0x1.a730dc4205fd3p-5, -0x1.a0e7ffa4f50efp-5, -0x1.9ab01585f8f4cp-5, -0x1.94891ec4d55bbp-5, -0x1.8e731ab306346p-5, -0x1.886e071f67558p-5, -0x1.8279e061b3a7bp-5, -0x1.7c96a165e06fp-5, -0x1.76c443b749c7ap-5, -0x1.7102bf8bb6532p-5, -0x1.6b520bce37023p-5, -0x1.65b21e29d6a9ep-5, -0x1.6022eb141fbb5p-5, -0x1.5aa465d77659cp-5, -0x1.5536809d4c70ep-5, -0x1.4fd92c7821b8ep-5, -0x1.4a8c596d60e4fp-5, -0x1.454ff67f0e609p-5, -0x1.4023f1b54ab7bp-5, -0x1.3b083827a9b7cp-5, -0x1.35fcb6065c882p-5, -0x1.310156a337843p-5, -0x1.2c16047a7ca07p-5, -0x1.273aa93b910c3p-5, -0x1.226f2dd16f462p-5, -0x1.1db37a6b068b1p-5, -0x1.19077683592cfp-5, -0x1.146b08e980e0ep-5, -0x1.0fde17c87d924p-5, -0x1.0b6088aede8fcp-5, -0x1.06f24096428e8p-5, -0x1.029323eaaafd8p-5, -0x1.fc862d234fe35p-6, -0x1.f403f7e2b7358p-6, -0x1.eb9f6deea9d18p-6, -0x1.e358543e7dd3bp-6, -0x1.db2e6ef2d451fp-6, -0x1.d32181625a775p-6, -0x1.cb314e263bd06p-6, -0x1.c35d97264e38bp-6, -0x1.bba61da4ec277p-6, -0x1.b40aa24a7ec45p-6, -0x1.ac8ae530c0e8fp-6, -0x1.a526a5edb1eacp-6, -0x1.9ddda39e4f649p-6, -0x1.96af9cf0f43a1p-6, -0x1.8f9c502f6db7cp-6, -0x1.88a37b48e2419p-6, -0x1.81c4dbdb5a6aap-6, -0x1.7b002f3d15458p-6, -0x1.745532858f4d8p-6, -0x1.6dc3a2963f6c2p-6, -0x1.674b3c232eb33p-6, -0x1.60ebbbbb28a5ep-6, -0x1.5aa4ddcfcea7ap-6, -0x1.54765ebd5645dp-6, -0x1.4e5ffad21a781p-6, -0x1.48616e55d7076p-6, -0x1.427a7590cd6fdp-6, -0x1.3caaccd28fb0cp-6, -0x1.36f230789ec76p-6, -0x1.31505cf4c7b82p-6, -0x1.2bc50ed3587bap-6, -0x1.265002c10f41dp-6, -0x1.20f0f590e0e42p-6, -0x1.1ba7a44187c1p-6, -0x1.1673cc02d0713p-6, -0x1.11552a3acddc7p-6, -0x1.0c4b7c8abc619p-6, -0x1.075680d3dc8c8p-6, -0x1.0275f53bf95b9p-6, -0x1.fb533063a6259p-7, -0x1.f1e250e2b031bp-7, -0x1.e898ca0f54ebfp-7, -0x1.df761aae206c6p-7, -0x1.d679c23558689p-7, -0x1.cda340d3f087cp-7, -0x1.c4f2177879164p-7, -0x1.bc65c7d77e2afp-7, -0x1.b3fdd471c5063p-7, -0x1.abb9c09a2df61p-7, -0x1.a399107b4ba33p-7, -0x1.9b9b491c9ee2dp-7, -0x1.93bff067c30dbp-7, -0x1.8c068d2d1a453p-7, -0x1.846ea72853b8p-7, -0x1.7cf7c704b562dp-7, -0x1.75a176611b39cp-7, -0x1.6e6b3fd3a7819p-7, -0x1.6754aeed5b3bdp-7, -0x1.605d503d68352p-7, -0x1.5984b1542ea19p-7, -0x1.52ca60c63c21ap-7, -0x1.4c2dee2ed1be9p-7, -0x1.45aeea326f878p-7, -0x1.3f4ce680f972p-7, -0x1.390775d7d4a09p-7, -0x1.32de2c03cbcdfp-7, -0x1.2cd09de2b9bc2p-7, -0x1.26de6164feb92p-7, -0x1.21070d8ee443ap-7, -0x1.1b4a3a79b7147p-7, -0x1.15a78154f0c7cp-7, -0x1.101e7c66f7682p-7, -0x1.0aaec70dce32dp-7, -0x1.0557fdbfbbcd7p-7, -0x1.0019be0b8a079p-7, -0x1.f5e74d3205176p-8, -0x1.ebcaae51e0d7fp-8, -0x1.e1dce12a752eap-8, -0x1.d81d29a18ff7dp-8, -0x1.ce8acdce72997p-8, -0x1.c52515f93bb46p-8, -0x1.bbeb4c9a048ep-8, -0x1.b2dcbe57d9e26p-8, -0x1.a9f8ba077681cp-8, -0x1.a13e90a98454dp-8, -0x1.98ad956928d1p-8, -0x1.90451d9a15db2p-8, -0x1.880480b675824p-8, -0x1.7feb185cc9106p-8, -0x1.77f8404d8d8fp-8, -0x1.702b5668b4627p-8, -0x1.6883baaae5da9p-8, -0x1.6100cf2abb515p-8, -0x1.59a1f815dcdbdp-8, -0x1.52669bade46f1p-8, -0x1.4b4e22454d1fep-8, -0x1.4457f63bf64b7p-8, -0x1.3d8383fbceb9ap-8, -0x1.36d039f54f9bfp-8, -0x1.303d889be97acp-8, -0x1.29cae26239ae6p-8, -0x1.2377bbb650bc4p-8, -0x1.1d438afdece12p-8, -0x1.172dc89238325p-8, -0x1.1135eebbfeeefp-8, -0x1.0b5b79af69f89p-8, -0x1.059de787f41f3p-8, -0x1.fff9708856b6p-9, -0x1.f4eedb82c004ap-9, -0x1.ea1b176ea25dfp-9, -0x1.df7d2f676d08fp-9, -0x1.d514322bcf993p-9, -0x1.cadf3214a8e36p-9, -0x1.c0dd450c2a4d9p-9, -0x1.b70d8484a97ep-9, -0x1.ad6f0d6f756bp-9, -0x1.a4010033a4193p-9, -0x1.9ac280a4a14dp-9, -0x1.91b2b5f94186ep-9, -0x1.88d0cac209c67p-9, -0x1.801bece029319p-9, -0x1.77934d7bfb633p-9, -0x1.6f3620fb6983ap-9, -0x1.67039ef8c739bp-9, -0x1.5efb023914cc7p-9, -0x1.571b88a2c6205p-9, -0x1.4f6473344625fp-9, -0x1.47d505fa978f4p-9, -0x1.406c8807c09ap-9, -0x1.392a436980088p-9, -0x1.320d851fe8c61p-9, -0x1.2b159d13bf9e3p-9, -0x1.2441de0d5caefp-9, -0x1.1d919dab5ac0ep-9, -0x1.170434595782bp-9, -0x1.1098fd467f6a2p-9, -0x1.0a4f565c6a14ep-9, -0x1.0426a035d3331p-9, -0x1.fc3c7c2b327e8p-10, -0x1.f06b2bbb0e97fp-10, -0x1.e4d8200acee05p-10, -0x1.d9822f23d4d52p-10, -0x1.ce683417a3664p-10, -0x1.c3890eede2076p-10, -0x1.b8e3a4928a8adp-10, -0x1.ae76dec489d31p-10, -0x1.a441ac04337c4p-10, -0x1.9a42ff824a22ap-10, -0x1.9079d10eb5799p-10, -0x1.86e51d074824dp-10, -0x1.7d83e446ef68p-10, -0x1.74552c14adeacp-10, -0x1.6b57fe135dc64p-10, -0x1.628b6830e816p-10, -0x1.59ee7c96352e7p-10, -0x1.51805196f0eacp-10, -0x1.494001a1621e2p-10, -0x1.412cab2e83535p-10, -0x1.394570b24d152p-10, -0x1.3189788bf4f58p-10, -0x1.29f7ecf6c012ap-10, -0x1.228ffbfac4b81p-10, -0x1.1b50d75dd7e9ap-10, -0x1.1439b4943e213p-10, -0x1.0d49ccb239da5p-10, -0x1.06805c5d60b1bp-10, -0x1.ffb9477ba477ap-11, -0x1.f2bbcce03bdd7p-11, -0x1.e606d6ee55798p-11, -0x1.d998fa5d40529p-11, -0x1.cd70d278dbec6p-11, -0x1.c18d0107167acp-11, -0x1.b5ec2e2cb55d1p-11, -0x1.aa8d08521cec5p-11, -0x1.9f6e4409f1d6ep-11, -0x1.948e9bf6c4975p-11, -0x1.89ecd0b169da6p-11, -0x1.7f87a8af67d73p-11, -0x1.755df02abf1a6p-11, -0x1.6b6e790858fe4p-11, -0x1.61b81ac0072e3p-11, -0x1.5839b24472ba2p-11, -0x1.4ef221eb4014ap-11, -0x1.45e05155bd1a4p-11, -0x1.3d032d5a84fe4p-11, -0x1.3459a7edea50cp-11, -0x1.2be2b80bd049cp-11, -0x1.239d59a1c8c1cp-11, -0x1.1b888d7846a14p-11, -0x1.13a3591e14264p-11, -0x1.0becc6d32a302p-11, -0x1.0463e572dca1ep-11, -0x1.fa0f90c185407p-12, -0x1.ebaf0ee6901e8p-12, -0x1.dda47dc08164ap-12, -0x1.cfee1e51aaae1p-12, -0x1.c28a3a0bef51p-12, -0x1.b57722ac7564p-12, -0x1.a8b33213a6cfp-12, -0x1.9c3cca22564fap-12, -0x1.90125493abe25p-12, -0x1.843242da486ccp-12, -0x1.789b0dfccf62cp-12, -0x1.6d4b3671de0d5p-12, -0x1.624143ff487cbp-12, -0x1.577bc59799863p-12, -0x1.4cf951388d9b6p-12, -0x1.42b883cbb9d35p-12, -0x1.38b80105a3089p-12, -0x1.2ef6734688e92p-12, -0x1.25728b7ae4eb5p-12, -0x1.1c2b00fd239b3p-12, -0x1.131e9176837c8p-12, -0x1.0a4c00c2db03ep-12, -0x1.01b218d33639fp-12, -0x1.f29f532195adbp-13, -0x1.e247118250226p-13, -0x1.d25923d59783fp-13, -0x1.c2d34c7314fe6p-13, -0x1.b3b358c718a99p-13, -0x1.a4f7212039eep-13, -0x1.969c88780833ap-13, -0x1.88a17c4410781p-13, -0x1.7b03f4415027ap-13, -0x1.6dc1f2456d246p-13, -0x1.60d9820ce8fc2p-13, -0x1.5448b90d38503p-13, -0x1.480db643e2086p-13, -0x1.3c26a20b3143ap-13, -0x1.3091adeade27ep-13, -0x1.254d146e2568dp-13, -0x1.1a5718f764cbfp-13, -0x1.0fae079507a58p-13, -0x1.055034d999795p-13, -0x1.f677fb621913ap-14, -0x1.e2df8e735d1c9p-14, -0x1.cfd3fd35619fbp-14, -0x1.bd5231bc8fd3ap-14, -0x1.ab572596d2b7dp-14, -0x1.99dfe18167665p-14, -0x1.88e97d1e6dcedp-14, -0x1.78711eadafccep-14, -0x1.6873fac36253ep-14, -0x1.58ef5406c1bc4p-14, -0x1.49e07ae731e72p-14, -0x1.3b44cd5ecafd4p-14, -0x1.2d19b6ae54893p-14, -0x1.1f5caf1a3e084p-14, -0x1.120b3baf6d8fep-14, -0x1.0522ee0145534p-14, -0x1.f142c7e1c553fp-15, -0x1.d9088ed642d7ap-15, -0x1.c1929c662ee68p-15, -0x1.aadc7350d344dp-15, -0x1.94e1ad0f7f9c6p-15, -0x1.7f9df9728cfd8p-15, -0x1.6b0d1e3301e44p-15, -0x1.572af6817aeb7p-15, -0x1.43f372a5cc70bp-15, -0x1.3162978fcf822p-15, -0x1.1f747e7877536p-15, -0x1.0e25547c2b717p-15, -0x1.fae2b46b9c5b5p-16, -0x1.daa9c6cae5bc6p-16, -0x1.bb98ad106089dp-16, -0x1.9da85918e932p-16, -0x1.80d1e0d39e912p-16, -0x1.650e7d9baa7dfp-16, -0x1.4a578b8fa2f74p-16, -0x1.30a688da4e167p-16, -0x1.17f5151e8108p-16, -0x1.003cf0c114cbcp-16, -0x1.d2eff8a76c7bp-17, -0x1.a7406fdc3463p-17, -0x1.7d5f8538a74ccp-17, -0x1.5541b382ac35ep-17, -0x1.2edbb114ec971p-17, -0x1.0a226ea6eb7f9p-17, -0x1.ce162c821bc71p-18, -0x1.8b161435ef8d7p-18, -0x1.4b2fc71ca859dp-18, -0x1.0e4ee3eaeb23ep-18, -0x1.a8bee7181136fp-19, -0x1.3a9bcdcbd043cp-19, -0x1.a41c53768f9f7p-20, }}, 
      {{-0x1.412370cea6623p-4, -0x1.40e87cc1df8bbp-4, -0x1.40852505754b1p-4, -0x1.3ff7dc196aae5p-4, -0x1.3f3e966212d47p-4, -0x1.3e56e23c31ba5p-4, -0x1.3d3e010938905p-4, -0x1.3bf0fff6ab70bp-4, -0x1.3a6ccf789b1a1p-4, -0x1.38ae58b16bd75p-4, -0x1.36b2904b8be97p-4, -0x1.3476868f9b2aap-4, -0x1.31f774b9dcef7p-4, -0x1.2f32c7b8c3969p-4, -0x1.2c262894f270ep-4, -0x1.28cf82cc3e5a9p-4, -0x1.252d08e8cb471p-4, -0x1.213d37977cf7dp-4, -0x1.1cfed7781ef1p-4, -0x1.1870fdd883d2dp-4, -0x1.13930c83588e4p-4, -0x1.0e64b0c478884p-4, -0x1.08e5e1bf32aa6p-4, -0x1.0316de2f2b266p-4, -0x1.f9f05353c3f49p-5, -0x1.ed1512ea9a244p-5, -0x1.df9e020d85eadp-5, -0x1.d18d9c795c81dp-5, -0x1.c2e6cac9506b6p-5, -0x1.b3acda3d93884p-5, -0x1.a3e3745bddf56p-5, -0x1.938e9686d77c2p-5, -0x1.82b289a697d6p-5, -0x1.7153d9f930d8dp-5, -0x1.5f774f1ef6954p-5, -0x1.4d21e4729f99ap-5, -0x1.3a58c1ba1b4f7p-5, -0x1.272134398c745p-5, -0x1.1380a82ed599ap-5, -0x1.fef94572ad902p-6, -0x1.d635785e2e595p-6, -0x1.acc135bca5daap-6, -0x1.82a7dc71cacddp-6, -0x1.57f4d4cac4727p-6, -0x1.2cb38861cf5b9p-6, -0x1.00ef5ab77f922p-6, -0x1.a96744ea7d494p-7, -0x1.50174697efa69p-7, -0x1.ec0a21886f631p-8, -0x1.368d7d1103e2ap-8, -0x1.ff9134c73a4efp-10, 0x1.be32d16559b7cp-11, 0x1.e0901ba4e7e38p-9, 0x1.a977190a989cfp-8, 0x1.3195451b9b6e1p-7, 0x1.8e9d1f22c9f4ap-7, 0x1.ebbf758cde99ap-7, 0x1.24748a420ab7fp-6, 0x1.53039edb9cd1fp-6, 0x1.8183d61e7f2e9p-6, 0x1.afec4c0a0ff19p-6, 0x1.de345ca2922d1p-6, 0x1.0629d2aa5c84dp-5, 0x1.1d210316a4c2cp-5, 0x1.33fbd172f2f8ap-5, 0x1.4ab671e414a5bp-5, 0x1.614d3b33b20eep-5, 0x1.77bca7190050ap-5, 0x1.8e01526d6c05cp-5, 0x1.a417fd4da231bp-5, 0x1.b9fd8b27306e9p-5, 0x1.cfaf02b32cf4ep-5, 0x1.e5298dde36b69p-5, 0x1.fa6a799e53f43p-5, 0x1.07b79adb950bbp-4, 0x1.121aaa3696939p-4, 0x1.1c5d451431b42p-4, 0x1.267e5683bd66ep-4, 0x1.307cda31fe534p-4, 0x1.3a57dc2432a19p-4, 0x1.440e786c86b7p-4, 0x1.4d9fdad8685e5p-4, 0x1.570b3e99302adp-4, 0x1.604fede7a4ad1p-4, 0x1.696d41a2cf72bp-4, 0x1.7262a0eab49b3p-4, 0x1.7b2f80b75dc53p-4, 0x1.83d3636ccddcap-4, 0x1.8c4dd86c4ff6bp-4, 0x1.949e7ba3a8299p-4, 0x1.9cc4f51aa20cbp-4, 0x1.a4c0f87f76f8bp-4, 0x1.ac9244b272c32p-4, 0x1.b438a351670bbp-4, 0x1.bbb3e84331e2fp-4, 0x1.c303f143ce039p-4, 0x1.ca28a57157935p-4, 0x1.d121f4da4a084p-4, 0x1.d7efd80d4f282p-4, 0x1.de924faaee4bap-4, 0x1.e50963f9694e2p-4, 0x1.eb55247ae8966p-4, 0x1.f175a7865c40dp-4, 0x1.f76b09e30ee6fp-4, 0x1.fd356e673e757p-4, 0x1.016a7eccec7c3p-3, 0x1.0424f2abaf905p-3, 0x1.06ca2c3d16cc9p-3, 0x1.095a474314d3fp-3, 0x1.0bd561abf23a2p-3, 0x1.0e3b9b6b9fc07p-3, 0x1.108d1656ca0ddp-3, 0x1.12c9f5ffb5ebp-3, 0x1.14f25f94d44cep-3, 0x1.170679c11ee37p-3, 0x1.19066c8e22c94p-3, 0x1.1af26147c686p-3, 0x1.1cca8261b1005p-3, 0x1.1e8efb5e53213p-3, 0x1.203ff8b78616p-3, 0x1.21dda7c8b2c29p-3, 0x1.236836ba76117p-3, 0x1.24dfd46fad075p-3, 0x1.2644b073efa23p-3, 0x1.2796faeb4f6afp-3, 0x1.28d6e48361a38p-3, 0x1.2a049e657aaf2p-3, 0x1.2b205a2a13a9bp-3, 0x1.2c2a49cd3c47bp-3, 0x1.2d229fa41ac05p-3, 0x1.2e098e535e7cdp-3, 0x1.2edf48c6993d8p-3, 0x1.2fa4022876c91p-3, 0x1.3057eddbb53e4p-3, 0x1.30fb3f74dc45ep-3, 0x1.318e2ab4a34f1p-3, 0x1.3210e382f620dp-3, 0x1.32839dea81c17p-3, 0x1.32e68e14d7c8ap-3, 0x1.3339e846f5161p-3, 0x1.337de0de48141p-3, 0x1.33b2ac4e08c72p-3, 0x1.33d87f1cefdd5p-3, 0x1.33ef8de335de5p-3, 0x1.33f80d48d1b09p-3, 0x1.33f23203f673p-3, 0x1.33de30d7baaeep-3, 0x1.33bc3e92e8e06p-3, 0x1.338c900ef08b3p-3, 0x1.334f5a2ef0d18p-3, 0x1.3304d1ded2dfdp-3, 0x1.32ad2c12734d2p-3, 0x1.32489dc4cfe0dp-3, 0x1.31d75bf7371b4p-3, 0x1.31599bb074391p-3, 0x1.30cf91fbf7b24p-3, 0x1.303973e8ee219p-3, 0x1.2f9776894e5fcp-3, 0x1.2ee9cef0d3643p-3, 0x1.2e30b233e48d6p-3, 0x1.2d6c55666386bp-3, 0x1.2c9ced9a67b48p-3, 0x1.2bc2afdedf3dbp-3, 0x1.2addd13e106a5p-3, 0x1.29ee86bc08896p-3, 0x1.28f50554e7a7dp-3, 0x1.27f181fb11e39p-3, 0x1.26e43195465bap-3, 0x1.25cd48fc9919p-3, 0x1.24acfcfa4e2e8p-3, 0x1.238382459df99p-3, 0x1.22510d815a9a3p-3, 0x1.2115d3397cc98p-3, 0x1.1fd207e099d1ap-3, 0x1.1e85dfcd3c7efp-3, 0x1.1d318f372e3bdp-3, 0x1.1bd54a34a406ap-3, 0x1.1a7144b75ab17p-3, 0x1.1905b2899fc7cp-3, 0x1.1792c74b49bd8p-3, 0x1.1618b66ea2edp-3, 0x1.1497b3353db56p-3, 0x1.130ff0accb3d7p-3, 0x1.1181a1abd52edp-3, 0x1.0fecf8ce811e8p-3, 0x1.0e5228733df7fp-3, 0x1.0cb162b7732a3p-3, 0x1.0b0ad9742c509p-3, 0x1.095ebe3abcf0cp-3, 0x1.07ad4251689e6p-3, 0x1.05f696b00ea3fp-3, 0x1.043aebfcccdf6p-3, 0x1.027a7288b436ap-3, 0x1.00b55a4c79871p-3, 0x1.fdd7a5ca60852p-4, 0x1.fa3c172220f62p-4, 0x1.f6986658846bdp-4, 0x1.f2ecf05b6f65cp-4, 0x1.ef3a11481f3cp-4, 0x1.eb80246516f8ep-4, 0x1.e7bf841c1a45ap-4, 0x1.e3f889f456145p-4, 0x1.e02b8e8ca56ffp-4, 0x1.dc58e995f271ap-4, 0x1.d880f1cdd1445p-4, 0x1.d4a3fcf930447p-4, 0x1.d0c25fdf32582p-4, 0x1.ccdc6e443fd11p-4, 0x1.c8f27ae538babp-4, 0x1.c504d772d86abp-4, 0x1.c113d48d48913p-4, 0x1.bd1fc1bfdafcdp-4, 0x1.b928ed7d07faep-4, 0x1.b52fa51a81d3fp-4, 0x1.b13434cd97725p-4, 0x1.ad36e7a7aa62ap-4, 0x1.a9380792f945fp-4, 0x1.a537dd4f7d9d8p-4, 0x1.a136b0701c457p-4, 0x1.9d34c757e5c4ep-4, 0x1.99326737b245bp-4, 0x1.952fd40bcf7ep-4, 0x1.912d5099f95dbp-4, 0x1.8d2b1e6f78e93p-4, 0x1.89297ddf7dd6p-4, 0x1.8528ae01a85bp-4, 0x1.8128ecb0c822p-4, 0x1.7d2a7689ca045p-4, 0x1.792d86eadb42ep-4, 0x1.753257f2bc97ap-4, 0x1.7139228046b67p-4, 0x1.6d421e321d6c2p-4, 0x1.694d816695687p-4, 0x1.655b813bc4f43p-4, 0x1.616c518fc58fcp-4, 0x1.5d8025011ee9p-4, 0x1.59972cef628c3p-4, 0x1.55b1997bee1b9p-4, 0x1.51cf998adb44ap-4, 0x1.4df15ac417d13p-4, 0x1.4a170994a49ap-4, 0x1.4640d12ffda32p-4, 0x1.426edb91a7846p-4, 0x1.3ea1517ee2775p-4, 0x1.3ad85a88800d5p-4, 0x1.37141d0cdb33fp-4, 0x1.3354be39f52a3p-4, 0x1.2f9a620fae424p-4, 0x1.2be52b62230d3p-4, 0x1.28353bdc257f7p-4, 0x1.248ab401d1002p-4, 0x1.20e5b3333f035p-4, 0x1.1d4657af53bf1p-4, 0x1.19acbe96a3db2p-4, 0x1.161903ee75381p-4, 0x1.128b42a3d41edp-4, 0x1.0f03948ec05d4p-4, 0x1.0b8212756f7eap-4, 0x1.0806d40fa3f39p-4, 0x1.0491f00a140f8p-4, 0x1.01237c09e7303p-4, 0x1.fb7719607d5e2p-5, 0x1.f4b46b3ba6ceep-5, 0x1.edff12ed3a881p-5, 0x1.e75733cb175fbp-5, 0x1.e0bcef409292cp-5, 0x1.da3064d613edap-5, 0x1.d3b1b238ccb2ap-5, 0x1.cd40f3427c384p-5, 0x1.c6de4201467a5p-5, 0x1.c089b6bfa07adp-5, 0x1.ba43680c4135cp-5, 0x1.b40b6ac21f9ap-5, 0x1.ade1d21081bf4p-5, 0x1.a7c6af830ab42p-5, 0x1.a1ba1309d8d54p-5, 0x1.9bbc0b019febap-5, 0x1.95cca43bcb62fp-5, 0x1.8febea06a2f5cp-5, 0x1.8a19e6356ce3ep-5, 0x1.8456a1289352fp-5, 0x1.7ea221d5c24b9p-5, 0x1.78fc6dd005025p-5, 0x1.7365894fdccbbp-5, 0x1.6ddd773b52147p-5, 0x1.6864392dfe50dp-5, 0x1.62f9cf810bb76p-5, 0x1.5d9e39532ea6dp-5, 0x1.585174908cbfep-5, 0x1.53137dfaa0208p-5, 0x1.4de451300ac9fp-5, 0x1.48c3e8b457607p-5, 0x1.43b23df7b2e28p-5, 0x1.3eaf495e9142ap-5, 0x1.39bb02494286fp-5, 0x1.34d55f1b74341p-5, 0x1.2ffe5543a992cp-5, 0x1.2b35d942933bfp-5, 0x1.267bdeb25f426p-5, 0x1.21d0584ded8f9p-5, 0x1.1d3337f7f35dfp-5, 0x1.18a46ec208e24p-5, 0x1.1423ecf39cebep-5, 0x1.0fb1a210d9096p-5, 0x1.0b4d7ce1681fdp-5, 0x1.06f76b772cd25p-5, 0x1.02af5b34d56e6p-5, 0x1.fcea71a8c7104p-6, 0x1.f491e0db2b5c8p-6, 0x1.ec54daf869effp-6, 0x1.e43335cc9f26fp-6, 0x1.dc2cc604b12d7p-6, 0x1.d4415f3a5971p-6, 0x1.cc70d3fff94d2p-6, 0x1.c4baf5ec3f90fp-6, 0x1.bd1f95a5993e8p-6, 0x1.b59e82ed6eebbp-6, 0x1.ae378cab27badp-6, 0x1.a6ea80f6fb118p-6, 0x1.9fb72d2495465p-6, 0x1.989d5dcd7adc7p-6, 0x1.919cdedb39cap-6, 0x1.8ab57b917355dp-6, 0x1.83e6fe979e2e6p-6, 0x1.7d313202a49dbp-6, 0x1.7693df5e3c5fp-6, 0x1.700ecfb61d60dp-6, 0x1.69a1cb9ef7cbp-6, 0x1.634c9b3f3c464p-6, 0x1.5d0f0657ae155p-6, 0x1.56e8d44bbefedp-6, 0x1.50d9cc29bc117p-6, 0x1.4ae1b4b2ca8e4p-6, 0x1.45005462adf02p-6, 0x1.3f3571775ecd2p-6, 0x1.3980d1f86ad4cp-6, 0x1.33e23bbe2bfe1p-6, 0x1.2e597478caeedp-6, 0x1.28e641b70e03fp-6, 0x1.238868ed030ecp-6, 0x1.1e3faf7a6eaap-6, 0x1.190bdab11372ap-6, 0x1.13ecafdacacf3p-6, 0x1.0ee1f43f6bc11p-6, 0x1.09eb6d2a8c69cp-6, 0x1.0508dff10f7ep-6, 0x1.003a11f68c6cbp-6, 0x1.f6fd916519337p-7, 0x1.edad936b2d436p-7, 0x1.e483b55c273d9p-7, 0x1.db7f82da227b7p-7, 0x1.d2a087d5a5224p-7, 0x1.c9e65096810bbp-7, 0x1.c15069c45393ap-7, 0x1.b8de606ecbb0ep-7, 0x1.b08fc2159765p-7, 0x1.a8641cb006941p-7, 0x1.a05afeb471583p-7, 0x1.9873f71f42da8p-7, 0x1.90ae9579d0198p-7, 0x1.890a69e0e1474p-7, 0x1.8187050aec57bp-7, 0x1.7a23f84e1b7c5p-7, 0x1.72e0d5a61b545p-7, 0x1.6bbd2fb986988p-7, 0x1.64b899df32d0ap-7, 0x1.5dd2a823397b9p-7, 0x1.570aef4bb266dp-7, 0x1.506104dd496eap-7, 0x1.49d47f1f96517p-7, 0x1.4364f5212c74dp-7, 0x1.3d11febb83f62p-7, 0x1.36db3496a997cp-7, 0x1.30c0302cbb73bp-7, 0x1.2ac08bcd2a6e3p-7, 0x1.24dbe29fce0efp-7, 0x1.1f11d0a7c6abfp-7, 0x1.1961f2c6345fep-7, 0x1.13cbe6bcc1875p-7, 0x1.0e4f4b2ff2d57p-7, 0x1.08ebbfa958075p-7, 0x1.03a0e4998426bp-7, 0x1.fcdcb6b3e672dp-8, 0x1.f2a78c5d6408ap-8, 0x1.e8a1908fc1947p-8, 0x1.deca0b86333a9p-8, 0x1.d520475954b67p-8, 0x1.cba390015a9d9p-8, 0x1.c2533357fb4b6p-8, 0x1.b92e811a116f2p-8, 0x1.b034cae8f1c1ap-8, 0x1.a765644b9ef43p-8, 0x1.9ebfa2af9652cp-8, 0x1.9642dd698e0aap-8, 0x1.8dee6db5d9a71p-8, 0x1.85c1aeb89ac35p-8, 0x1.7dbbfd7db9b9p-8, 0x1.75dcb8f8b45e3p-8, 0x1.6e234204315fp-8, 0x1.668efb615ef4cp-8, 0x1.5f1f49b736072p-8, 0x1.57d39391726e9p-8, 0x1.50ab415f7300ep-8, 0x1.49a5bd72e97ccp-8, 0x1.42c273fe65057p-8, 0x1.3c00d313a2a22p-8, 0x1.35604aa1dc9dbp-8, 0x1.2ee04c73c3344p-8, 0x1.28804c2d91f6fp-8, 0x1.223fbf4ac45bbp-8, 0x1.1c1e1d1bd6676p-8, 0x1.161adec3d0b56p-8, 0x1.10357f35bf62fp-8, 0x1.0a6d7b320071bp-8, 0x1.04c251438d1ap-8, 0x1.fe67037a39a9p-9, 0x1.f3811d6c5eaedp-9, 0x1.e8d1f810076e7p-9, 0x1.de589e94ef365p-9, 0x1.d4141fa197f75p-9, 0x1.ca038d4cc3ff4p-9, 0x1.c025fd16ae65ap-9, 0x1.b67a87e24b5a5p-9, 0x1.ad0049ee1bcd7p-9, 0x1.a3b662cd46564p-9, 0x1.9a9bf5604b54ap-9, 0x1.91b027cda8bfap-9, 0x1.88f2237a7973p-9, 0x1.80611502da80fp-9, 0x1.77fc2c326437dp-9, 0x1.6fc29bfc6bfc6p-9, 0x1.67b39a7441138p-9, 0x1.5fce60c57adecp-9, 0x1.58122b2bf6091p-9, 0x1.507e38ebdea5ap-9, 0x1.4911cc49d674bp-9, 0x1.41cc2a82bc04bp-9, 0x1.3aac9bc3b7124p-9, 0x1.33b26b220aeb1p-9, 0x1.2cdce69305882p-9, 0x1.262b5ee3c97efp-9, 0x1.1f9d27b136ea6p-9, 0x1.1931975fa2381p-9, 0x1.12e80712aa7d4p-9, 0x1.0cbfd2a4f796p-9, 0x1.06b858a00c891p-9, 0x1.00d0fa340a27ep-9, 0x1.f612365f0f47fp-10, 0x1.eac043eeaffedp-10, 0x1.dfaaeefcc5441p-10, 0x1.d4d10e7af6bc2p-10, 0x1.ca317e5646c08p-10, 0x1.bfcb1f671018dp-10, 0x1.b59cd7609aff6p-10, 0x1.aba590c11418bp-10, 0x1.a1e43ac16e077p-10, 0x1.9857c94553e38p-10, 0x1.8eff34cb4c1bp-10, 0x1.85d97a5cf2f84p-10, 0x1.7ce59b7ee9b81p-10, 0x1.74229e214a7b7p-10, 0x1.6b8f8c9003743p-10, 0x1.632b75635bb9dp-10, 0x1.5af56b705ad8bp-10, 0x1.52ec85b997f6ap-10, 0x1.4b0fdf600b37p-10, 0x1.435e9793cbfc3p-10, 0x1.3bd7d18540df4p-10, 0x1.347ab456199d4p-10, 0x1.2d466b0a83901p-10, 0x1.263a247a8a107p-10, 0x1.1f551343845acp-10, 0x1.18966db9a9bbbp-10, 0x1.11fd6dd9dbc7dp-10, 0x1.0b89513b522d1p-10, 0x1.05395901c76e7p-10, 0x1.fe19939ec5b7dp-11, 0x1.f205d76e51448p-11, 0x1.e636145e37366p-11, 0x1.daa8e8058175bp-11, 0x1.cf5cf68be4db4p-11, 0x1.c450ea8eed336p-11, 0x1.b9837507d6a3cp-11, 0x1.aef34d3198d5bp-11, 0x1.a49f306f6c65dp-11, 0x1.9a85e2336b592p-11, 0x1.90a62be597ce3p-11, 0x1.86fedccae9e1ep-11, 0x1.7d8ec9ecb399dp-11, 0x1.7454ce0084eefp-11, 0x1.6b4fc95050b27p-11, 0x1.627ea1a2c4566p-11, 0x1.59e042239d3c9p-11, 0x1.51739b4ce8a86p-11, 0x1.4937a2d026a45p-11, 0x1.412b537f97037p-11, 0x1.394dad383daebp-11, 0x1.319db4cc0b32fp-11, 0x1.2a1a73ebcb371p-11, 0x1.22c2f91212856p-11, 0x1.1b96576dd7be1p-11, 0x1.1493a6ce054f3p-11, 0x1.0dba038c8898bp-11, 0x1.07088e7a5db73p-11, 0x1.007e6ccb8cabap-11, 0x1.f43590069755cp-12, 0x1.e7b99bc163fb8p-12, 0x1.db876096f7895p-12, 0x1.cf9d4a8290024p-12, 0x1.c3f9cd8577a68p-12, 0x1.b89b6582cb239p-12, 0x1.ad80961aee407p-12, 0x1.a2a7ea87fc49fp-12, 0x1.980ff57ad19ecp-12, 0x1.8db750f861575p-12, 0x1.839c9e376827bp-12, 0x1.79be857f33c67p-12, 0x1.701bb60668136p-12, 0x1.66b2e5d28f5abp-12, 0x1.5d82d197973adp-12, 0x1.548a3c9883d68p-12, 0x1.4bc7f088c18dcp-12, 0x1.433abd6cbd9d8p-12, 0x1.3ae1797c667d1p-12, 0x1.32bb0105762fep-12, 0x1.2ac6364e0cc24p-12, 0x1.23020177c3776p-12, 0x1.1b6d5064513d4p-12, 0x1.14071698ae84fp-12, 0x1.0cce4d22c77a6p-12, 0x1.05c1f27dbc7d3p-12, 0x1.fdc214efb19ap-13, 0x1.f0553c31031afp-13, 0x1.e33b770cc1611p-13, 0x1.d672ebdd6b059p-13, 0x1.c9f9cad8b79f1p-13, 0x1.bdce4ddec6444p-13, 0x1.b1eeb84a7d66ep-13, 0x1.a65956c2bd736p-13, 0x1.9b0c7f0ba65acp-13, 0x1.90068fd9c633bp-13, 0x1.8545f0a4e77b7p-13, 0x1.7ac9117cf576ap-13, 0x1.708e6addf4959p-13, 0x1.66947d8684439p-13, 0x1.5cd9d24da1c22p-13, 0x1.535cf9fa30fb6p-13, 0x1.4a1c8d1a8d6eep-13, 0x1.41172bdd677cbp-13, 0x1.384b7deaf00cdp-13, 0x1.2fb8323ebea9fp-13, 0x1.275bff0291958p-13, 0x1.1f35a16908741p-13, 0x1.1743dd8a52e02p-13, 0x1.0f857e4044f6fp-13, 0x1.07f9550486871p-13, 0x1.009e39cd0549bp-13, 0x1.f2e615d8458c9p-14, 0x1.e4ed59dcf7d7ap-14, 0x1.d75014f6af9cbp-14, 0x1.ca0c2869a947dp-14, 0x1.bd1f813127844p-14, 0x1.b08817c34384ep-14, 0x1.a443efd57c416p-14, 0x1.985118204107dp-14, 0x1.8cadaa26f8a78p-14, 0x1.8157c9fd9ac05p-14, 0x1.764da613a53a7p-14, 0x1.6b8d76fb429f3p-14, 0x1.61157f366fa1fp-14, 0x1.56e40b0026d8cp-14, 0x1.4cf7701ac26c2p-14, 0x1.434e0d9c845c4p-14, 0x1.39e64bbedc6ebp-14, 0x1.30be9bad13ba4p-14, 0x1.27d57755d8167p-14, 0x1.1f29613bc8ff6p-14, 0x1.16b8e4488ad57p-14, 0x1.0e82939e848ecp-14, 0x1.06850a6df5187p-14, 0x1.fd7dd794de13ap-15, 0x1.ee5dc4ff5f61bp-15, 0x1.dfa741cff89fbp-15, 0x1.d157c18827328p-15, 0x1.c36cc62768a88p-15, 0x1.b5e3dfdb7aa5dp-15, 0x1.a8baacb58942cp-15, 0x1.9beed85ef7752p-15, 0x1.8f7e1bcded774p-15, 0x1.83663cff77c33p-15, 0x1.77a50eaee1babp-15, 0x1.6c3870132a844p-15, 0x1.611e4c9862e97p-15, 0x1.56549ba0a6ec3p-15, 0x1.4bd9604157319p-15, 0x1.41aaa901e08aap-15, 0x1.37c68f9f0bfa4p-15, 0x1.2e2b38cd62bddp-15, 0x1.24d6d3fd522c3p-15, 0x1.1bc79b20311f8p-15, 0x1.12fbd26fa07dap-15, 0x1.0a71c83394664p-15, 0x1.0227d48d1ad3fp-15, 0x1.f438b27a20938p-16, 0x1.e49b82e3ab4e7p-16, 0x1.d575032519346p-16, 0x1.c6c22e177e781p-16, 0x1.b880103ffa587p-16, 0x1.aaabc7683339fp-16, 0x1.9d428243089bdp-16, 0x1.9041800ca46cdp-16, 0x1.83a6102fd938p-16, 0x1.776d91eca4df4p-16, 0x1.6b9573fe727c2p-16, 0x1.601b344a2c921p-16, 0x1.54fc5f86908e3p-16, 0x1.4a3690eb3769dp-16, 0x1.3fc771e0aeacep-16, 0x1.35acb9ac73f57p-16, 0x1.2be42d289d72p-16, 0x1.226b9e77dd368p-16, 0x1.1940ecb91b5cfp-16, 0x1.106203c106541p-16, 0x1.07ccdbd1b7074p-16, 0x1.fefef2ad0063bp-17, 0x1.eeefd93c9f4b5p-17, 0x1.df68a3304f5a5p-17, 0x1.d0659f2b4cc5ep-17, 0x1.c1e3320f0c90ep-17, 0x1.b3ddd680049d6p-17, 0x1.a6521c6c7a8e7p-17, 0x1.993ca895d56afp-17, 0x1.8c9a34182abaep-17, 0x1.80678bf6d9ccp-17, 0x1.74a190af83777p-17, 0x1.694535cda7a1fp-17, 0x1.5e4f8179f5b2ap-17, 0x1.53bd8c1241348p-17, 0x1.498c7fc57fa15p-17, 0x1.3fb9982df3627p-17, 0x1.364221eac7234p-17, 0x1.2d237a4807ad4p-17, 0x1.245b0ed746a0fp-17, 0x1.1be65d1768391p-17, 0x1.13c2f218f2d15p-17, 0x1.0bee6a2568efcp-17, 0x1.0466706b22114p-17, 0x1.fa517d46840f6p-18, 0x1.ec663983e7ffap-18, 0x1.df06c14e9cdbfp-18, 0x1.d22edb9b11686p-18, 0x1.c5da69f6bdac8p-18, 0x1.ba0567ef6ace3p-18, 0x1.aeabea8366496p-18, 0x1.a3ca1f870b09p-18, 0x1.995c4d1cad4d8p-18, 0x1.8f5ed12d51337p-18, 0x1.85ce20da48833p-18, 0x1.7ca6c7f9a2ae8p-18, 0x1.73e5688df543bp-18, 0x1.6b86ba507f652p-18, 0x1.63878a2ef7fa5p-18, 0x1.5be4b9d334747p-18, 0x1.549b3f23e33e8p-18, 0x1.4da823d751ef3p-18, 0x1.4708850337616p-18, 0x1.40b992a63b3d2p-18, 0x1.3ab88f3f3e869p-18, 0x1.3502cf63dab32p-18, 0x1.2f95b94cb69acp-18, 0x1.2a6ec479ad35ap-18, 0x1.258b794d86f2ep-18, 0x1.20e970a9176a1p-18, 0x1.1c86538971aa5p-18, 0x1.185fdaa8a67f7p-18, 0x1.1473ce265bf7bp-18, 0x1.10c0052e7400dp-18, 0x1.0d4265a0831f8p-18, 0x1.09f8e3b9dca3cp-18, 0x1.06e181b626456p-18, 0x1.03fa4f8d79cc6p-18, 0x1.01416a9e3e414p-18, 0x1.fd69fab313434p-19, 0x1.f8a67df8226f2p-19, 0x1.f434e680dcec6p-19, 0x1.f011d4346d66bp-19, 0x1.ec39fec0c326bp-19, 0x1.e8aa35366a3f7p-19, 0x1.e55f5d61616aep-19, 0x1.e25673435fc31p-19, 0x1.df8c88961d888p-19, 0x1.dcfec449ef8b2p-19, 0x1.daaa62066d6dcp-19, 0x1.d88cb1b4f43b8p-19, 0x1.d6a317022ea3dp-19, 0x1.d4eb08e6710abp-19, 0x1.d362112d4fdf6p-19, 0x1.d205cc0fd0172p-19, 0x1.d0d3e7c34a666p-19, 0x1.cfca2401406cep-19, }}, 
      std::vector<double>(700, 0.0), 
      {{-0x1.84abb36287972p-9, -0x1.84d0067965549p-8, -0x1.23d08efc7ce0bp-7, -0x1.858873c667e2bp-7, -0x1.e7be7bbc112bbp-7, -0x1.2555636ac4bb5p-6, -0x1.5746259bd32bbp-6, -0x1.89d2fff9eeee8p-6, -0x1.bd1e05f91f7aep-6, -0x1.f14894e16ad95p-6, -0x1.1339163b7622fp-5, -0x1.2e5bb9fdcaca3p-5, -0x1.4a18b6bf9c268p-5, -0x1.667a6bac640c6p-5, -0x1.8388dd1fb97b5p-5, -0x1.a14990b3f4ff9p-5, -0x1.bfbf7c93237fap-5, -0x1.deeb07eeafdccp-5, -0x1.feca1a3fc6386p-5, -0x1.0fac1b66a2487p-4, -0x1.204750f63250ep-4, -0x1.313246c2d9912p-4, -0x1.4267a549c1889p-4, -0x1.53e13ec627c61p-4, -0x1.659829fa1da58p-4, -0x1.7784dccf6fc01p-4, -0x1.899f463c897e5p-4, -0x1.9bdee6fe6999cp-4, -0x1.ae3ae8da7e576p-4, -0x1.c0aa3438cdf8ep-4, -0x1.d32383ff2d019p-4, -0x1.e59d77a9f49ebp-4, -0x1.f80ea3ad8a74dp-4, -0x1.0536d01b338ccp-3, -0x1.0e588b321d2f8p-3, -0x1.1767e61025228p-3, -0x1.206057581ecb8p-3, -0x1.293d6e12f0b1ep-3, -0x1.31fad5e50cc6ep-3, -0x1.3a945acf2328cp-3, -0x1.4305ec85e3de4p-3, -0x1.4b4ba16ae370ap-3, -0x1.5361b92ec62e5p-3, -0x1.5b449f235e4adp-3, -0x1.62f0ec42bd914p-3, -0x1.6a6368ef2ff95p-3, -0x1.71990e6ef3093p-3, -0x1.788f0825db35dp-3, -0x1.7f42b48e777a3p-3, -0x1.85b1a5f415a15p-3, -0x1.8bd9a2eeca68fp-3, -0x1.91b8a6a2b8643p-3, -0x1.974ce0c3ed8b3p-3, -0x1.9c94b56068916p-3, -0x1.a18ebc722ff43p-3, -0x1.a639c13b97b82p-3, -0x1.aa94c1705253dp-3, -0x1.ae9eec2e2196ap-3, -0x1.b257a0c857d15p-3, -0x1.b5be6d69a7d0ap-3, -0x1.b8d30d8fe64a8p-3, -0x1.bb956865c1e22p-3, -0x1.be058efe6009bp-3, -0x1.c023ba7711a23p-3, -0x1.c1f04a034a523p-3, -0x1.c36bc0e6ff618p-3, -0x1.c496c4638e837p-3, -0x1.c572199b2482ap-3, -0x1.c5fea36e8beb5p-3, -0x1.c63d60590655dp-3, -0x1.c62f684dafc0cp-3, -0x1.c5d5ea99b4e4bp-3, -0x1.c5322bce4c911p-3, -0x1.c44583b5471c8p-3, -0x1.c3115b5299e07p-3, -0x1.c1972af52b4aep-3, -0x1.bfd87858c8959p-3, -0x1.bdd6d4dae1ad6p-3, -0x1.bb93dbc384a2bp-3, -0x1.b91130a3a4eb6p-3, -0x1.b6507dc99cd6ap-3, -0x1.b35372cc9132bp-3, -0x1.b01bc32f1544p-3, -0x1.acab251959d1ap-3, -0x1.a903502ae1ff5p-3, -0x1.a525fc6399e63p-3, -0x1.a114e124096cfp-3, -0x1.9cd1b4442132ep-3, -0x1.985e2940203f2p-3, -0x1.93bbf07ad474dp-3, -0x1.8eecb69479917p-3, -0x1.89f223d552e1dp-3, -0x1.84cddbab1e809p-3, -0x1.7f817c38587a2p-3, -0x1.7a0e9df45bf07p-3, -0x1.7476d35b4a88ep-3, -0x1.6ebba8acb5c55p-3, -0x1.68dea3b7e9c6ep-3, -0x1.62e143b4dde7cp-3, -0x1.5cc50128aff0cp-3, -0x1.568b4dd49cc17p-3, -0x1.503594ae801ffp-3, -0x1.49c539e1d9169p-3, -0x1.433b9ad859f02p-3, -0x1.3c9a0e4925492p-3, -0x1.35e1e44dc813cp-3, -0x1.2f14667c34517p-3, -0x1.2832d804dc361p-3, -0x1.213e75d43880fp-3, -0x1.1a3876b712ebdp-3, -0x1.13220b80e13fp-3, -0x1.0bfc5f33aa761p-3, -0x1.04c89728d0978p-3, -0x1.fb0fa674bebcep-4, -0x1.ec765bd8acfcep-4, -0x1.ddc7792b112eap-4, -0x1.cf051f0f82e2cp-4, -0x1.c031646d992f1p-4, -0x1.b14e56bc57ddap-4, -0x1.a25dfa4a4caa2p-4, -0x1.93624a82279a2p-4, -0x1.845d3a2b5be95p-4, -0x1.7550b3a6832b8p-4, -0x1.663e992558f38p-4, -0x1.5728c4de2004ep-4, -0x1.4811093a5a8d8p-4, -0x1.38f93100c292dp-4, -0x1.29e2ff7a8b5f7p-4, -0x1.1ad03093e5414p-4, -0x1.0bc278f7e4ab3p-4, -0x1.f9770c4fb86a3p-5, -0x1.db79fd1c9e9b2p-5, -0x1.bd91031b47ecfp-5, -0x1.9fbf4f15899dep-5, -0x1.820803e7c1f62p-5, -0x1.646e36870ef6fp-5, -0x1.46f4ee009b441p-5, -0x1.299f23729729cp-5, -0x1.0c6fc1ff4313ep-5, -0x1.ded34d75311a8p-6, -0x1.a51f41262e41p-6, -0x1.6bc8e06c53d3ep-6, -0x1.32d58fe184267p-6, -0x1.f4952e322cca1p-7, -0x1.845a40a98421p-7, -0x1.150470694b89cp-7, -0x1.4d3b358f1b8e2p-8, -0x1.c97b041c596ccp-10, 0x1.99e6d7557aa55p-10, 0x1.3d3be408def09p-8, 0x1.08eafdf6e760ap-7, 0x1.721b574c637e2p-7, 0x1.da26969a85a53p-7, 0x1.20824a9613aa3p-6, 0x1.5356b6d2d4bcp-6, 0x1.858cbe511e48p-6, 0x1.b720b0a49391ep-6, 0x1.e80efeecd9d5ep-6, 0x1.0c2a1e0b41488p-5, 0x1.23f68e8b2aab5p-5, 0x1.3b6b3c8f54d7bp-5, 0x1.5286a4e73d938p-5, 0x1.694755acda535p-5, 0x1.7fabee554f5a6p-5, 0x1.95b31fbe09daap-5, 0x1.ab5bac3622584p-5, 0x1.c0a46783faa62p-5, 0x1.d58c36e708596p-5, 0x1.ea121115aedb1p-5, 0x1.fe34fe3730d4cp-5, 0x1.08fa0becd6271p-4, 0x1.12a7447212259p-4, 0x1.1c21c6c24e12cp-4, 0x1.2569398d24c5dp-4, 0x1.2e7d4c0df732fp-4, 0x1.375db5fd2c417p-4, 0x1.400a377f8ec88p-4, 0x1.48829913d81f5p-4, 0x1.50c6ab7e6a3e3p-4, 0x1.58d647b34972cp-4, 0x1.60b14ebe6035dp-4, 0x1.6857a9aa1b086p-4, 0x1.6fc949646c59dp-4, 0x1.770626a2409p-4, 0x1.7e0e41c17a49cp-4, 0x1.84e1a2a98576ep-4, 0x1.8b8058aa8902bp-4, 0x1.91ea7a5b5742fp-4, 0x1.9820257620dc9p-4, 0x1.9e217eb40265ap-4, 0x1.a3eeb1a77f69fp-4, 0x1.a987f095f5e8p-4, 0x1.aeed745021244p-4, 0x1.b41f7c09c745p-4, 0x1.b91e4d308c15bp-4, 0x1.bdea334215a05p-4, 0x1.c2837fa17b93ap-4, 0x1.c6ea896c30f67p-4, 0x1.cb1fad4e51486p-4, 0x1.cf234d569065fp-4, 0x1.d2f5d0c9abc29p-4, 0x1.d697a3f5a6dbap-4, 0x1.da093804ac311p-4, 0x1.dd4b02cfc78ap-4, 0x1.e05d7eb1808e9p-4, 0x1.e3412a5852332p-4, 0x1.e5f68899292c7p-4, 0x1.e87e2041e96d4p-4, 0x1.ead87bec0379bp-4, 0x1.ed0629cf37774p-4, 0x1.ef07bb947ef18p-4, 0x1.f0ddc6294080ep-4, 0x1.f288e192c1056p-4, 0x1.f409a8c1ee986p-4, 0x1.f560b9678fc5cp-4, 0x1.f68eb3c8cc7d2p-4, 0x1.f7943a944906fp-4, 0x1.f871f2b7956acp-4, 0x1.f92883354e843p-4, 0x1.f9b894fbafae9p-4, 0x1.fa22d2bbc4876p-4, 0x1.fa67e8c13e4c8p-4, 0x1.fa8884caecd5ap-4, 0x1.fa8555e3db292p-4, 0x1.fa5f0c3d268b6p-4, 0x1.fa1659088e457p-4, 0x1.f9abee53ba619p-4, 0x1.f9207ee44cb6fp-4, 0x1.f874be14a7289p-4, 0x1.f7a95fb194d47p-4, 0x1.f6bf17d8abfa8p-4, 0x1.f5b69ad78a08bp-4, 0x1.f4909d0be2c18p-4, 0x1.f34dd2c45b74bp-4, 0x1.f1eef02253b6bp-4, 0x1.f074a8fc6c169p-4, 0x1.eedfb0c1fdd78p-4, 0x1.ed30ba5f5cf9bp-4, 0x1.eb6878230984p-4, 0x1.e9879ba3a7988p-4, 0x1.e78ed5a6e6c9ep-4, 0x1.e57ed6093e4e7p-4, 0x1.e3584ba681954p-4, 0x1.e11be4435284ep-4, 0x1.deca4c7776aa5p-4, 0x1.dc642f98f879ep-4, 0x1.d9ea37a82476ep-4, 0x1.d75d0d3c5cfb7p-4, 0x1.d4bd5771c6625p-4, 0x1.d20bbbd7c1054p-4, 0x1.cf48de602bc7dp-4, 0x1.cc75614f80c75p-4, 0x1.c991e52dba97bp-4, 0x1.c69f08b7f3fa5p-4, 0x1.c39d68d2e1b9ap-4, 0x1.c08da07df8ebfp-4, 0x1.bd7048c76f5b4p-4, 0x1.ba45f8c0d3374p-4, 0x1.b70f45748233dp-4, 0x1.b3ccc1dbbd392p-4, 0x1.b07efed573095p-4, 0x1.ad268b1dbc948p-4, 0x1.a9c3f34605b4p-4, 0x1.a657c1add5fc8p-4, 0x1.a2e27e7c3d2b7p-4, 0x1.9f64af99edbe3p-4, 0x1.9bded8abd7f58p-4, 0x1.98517b0e7ef91p-4, 0x1.94bd15d1bd56cp-4, 0x1.912225b53832bp-4, 0x1.8d8125254fe5fp-4, 0x1.89da8c3898c71p-4, 0x1.862ed0addbc28p-4, 0x1.827e65ea98407p-4, 0x1.7ec9bcf9ff404p-4, 0x1.7b11448c6a4dcp-4, 0x1.775568f74258cp-4, 0x1.7396943560a4p-4, 0x1.6fd52de7d0dp-4, 0x1.6c119b57067a4p-4, 0x1.684c3f747073bp-4, 0x1.64857adc76c04p-4, 0x1.60bdabd8cc801p-4, 0x1.5cf52e63226e2p-4, 0x1.592c5c282eddep-4, 0x1.55638c8b09dp-4, 0x1.519b14a8d5e8ap-4, 0x1.4dd3475cb807bp-4, 0x1.4a0c7544167b7p-4, 0x1.4646ecc31ddd9p-4, 0x1.4282fa0988c9p-4, 0x1.3ec0e717a46f3p-4, 0x1.3b00fbc391b11p-4, 0x1.37437dbec0faap-4, 0x1.3388b09b9f5fcp-4, 0x1.2fd0d5d376646p-4, 0x1.2c1c2ccc827a4p-4, 0x1.286af2e029dd3p-4, 0x1.24bd63616890fp-4, 0x1.2113b7a359bfp-4, 0x1.1d6e26ffeea6p-4, 0x1.19cce6debeafep-4, 0x1.16302abbfbf3cp-4, 0x1.1298242f81ed5p-4, 0x1.0f0502f3fd02ap-4, 0x1.0b76f4ee30d36p-4, 0x1.07ee263448bb9p-4, 0x1.046ac115455e3p-4, 0x1.00ecee2077338p-4, 0x1.fae9a85a0da19p-5, 0x1.f40530c3162b5p-5, 0x1.ed2cbc775a7fp-5, 0x1.e6608f2fa5954p-5, 0x1.dfa0e9719c06ap-5, 0x1.d8ee089f2a8b8p-5, 0x1.d2482705fdfcep-5, 0x1.cbaf7beefc084p-5, 0x1.c5243badbeb4fp-5, 0x1.bea697b00cbe8p-5, 0x1.b836be8d497cfp-5, 0x1.b1d4dc15e581fp-5, 0x1.ab811962b856bp-5, 0x1.a53b9ce45bfc7p-5, 0x1.9f048a7269d08p-5, 0x1.98dc035aae4acp-5, 0x1.92c22670441afp-5, 0x1.8cb7101a97b2fp-5, 0x1.86bada64582b6p-5, 0x1.80cd9d0a476fdp-5, 0x1.7aef6d89f16f6p-5, 0x1.75205f303eb61p-5, 0x1.6f608327ebeebp-5, 0x1.69afe887e106p-5, 0x1.640e9c61608bap-5, 0x1.5e7ca9ce18d1p-5, 0x1.58fa19fe0311fp-5, 0x1.5386f4452839ep-5, 0x1.4e233e2936297p-5, 0x1.48cefb6eeb777p-5, 0x1.438a2e275cd7dp-5, 0x1.3e54d6bd0941p-5, 0x1.392ef400c64ecp-5, 0x1.341883367ff5fp-5, 0x1.2f118021c046fp-5, 0x1.2a19e51215c31p-5, 0x1.2531aaef4274ep-5, 0x1.2058c945401bap-5, 0x1.1b8f365011ac3p-5, 0x1.16d4e7075ea34p-5, 0x1.1229cf29e8573p-5, 0x1.0d8de148c3207p-5, 0x1.09010ed264ee2p-5, 0x1.0483481d81e57p-5, 0x1.00147c73b2775p-5, 0x1.f7693437d3ec9p-6, 0x1.eec71cc97721ap-6, 0x1.e6428b5cd0cf8p-6, 0x1.dddb56e9878ccp-6, 0x1.d59154b1bb4dfp-6, 0x1.cd645855005b8p-6, 0x1.c55433e2f2d6dp-6, 0x1.bd60b7ed5bc4ep-6, 0x1.b589b39a06944p-6, 0x1.adcef4b4260c2p-6, 0x1.a63047bd58d43p-6, 0x1.9ead77fe51186p-6, 0x1.97464f971c7a6p-6, 0x1.8ffa978efeef8p-6, 0x1.88ca17e3f7c62p-6, 0x1.81b49799f01cap-6, 0x1.7ab9dcc971042p-6, 0x1.73d9acae16153p-6, 0x1.6d13cbb498938p-6, 0x1.6667fd88883cbp-6, 0x1.5fd605219a894p-6, 0x1.595da4d0a414ap-6, 0x1.52fe9e4c4604cp-6, 0x1.4cb8b2bd307c9p-6, 0x1.468ba2ca2cc28p-6, 0x1.40772ea3acf64p-6, 0x1.3a7b160f2597p-6, 0x1.34971871ff992p-6, 0x1.2ecaf4dc4909ep-6, 0x1.29166a130aecep-6, 0x1.2379369a50497p-6, 0x1.1df318bee2a06p-6, 0x1.1883ce9fb6ddfp-6, 0x1.132b163716095p-6, 0x1.0de8ad636eb2fp-6, 0x1.08bc51efe5a4bp-6, 0x1.03a5c19c9a935p-6, 0x1.fd49744d55539p-7, 0x1.f371f29fc9f26p-7, 0x1.e9c479cc92da1p-7, 0x1.e04085966f0f5p-7, 0x1.d6e591f4c1344p-7, 0x1.cdb31b20ee447p-7, 0x1.c4a89da341e0bp-7, 0x1.bbc5965f5af94p-7, 0x1.b30982a0142e2p-7, 0x1.aa73e022ffd04p-7, 0x1.a2042d2369723p-7, 0x1.99b9e864e849ep-7, 0x1.9194913d7f931p-7, 0x1.8993a79f5f3e2p-7, 0x1.81b6ac221679dp-7, 0x1.79fd200b90c25p-7, 0x1.7266855876b7cp-7, 0x1.6af25ec46bc63p-7, 0x1.63a02fd1a1822p-7, 0x1.5c6f7cd04aa73p-7, 0x1.555fcae58e037p-7, 0x1.4e70a01230351p-7, 0x1.47a18338d565cp-7, 0x1.40f1fc24014cfp-7, 0x1.3a61938bb1298p-7, 0x1.33efd31ab0e8dp-7, 0x1.2d9c4573a20e3p-7, 0x1.27667635ac9c9p-7, 0x1.214df200e34cbp-7, 0x1.1b52467a72901p-7, 0x1.157302506b3b9p-7, 0x1.0fafb53d679e7p-7, 0x1.0a07f00bd48e9p-7, 0x1.047b449909c23p-7, 0x1.fe128bb02a152p-8, 0x1.f3630fa8b07a1p-8, 0x1.e8e73f67cb55p-8, 0x1.de9e47732fd27p-8, 0x1.d487568e07857p-8, 0x1.caa19dbc53108p-8, 0x1.c0ec5045d967fp-8, 0x1.b766a3b8eb72p-8, 0x1.ae0fcfec7f0d9p-8, 0x1.a4e70f01ff813p-8, 0x1.9beb9d66f249p-8, 0x1.931cb9d5ead8ap-8, 0x1.8a79a5578f40bp-8, 0x1.8201a342f2891p-8, 0x1.79b3f93de8923p-8, 0x1.718fef3cbce62p-8, 0x1.6994cf820326bp-8, 0x1.61c1e69dc5a2ap-8, 0x1.5a16836cb5532p-8, 0x1.5291f716cbfc5p-8, 0x1.4b33950df8b78p-8, 0x1.43fab30c76a47p-8, 0x1.3ce6a912e294cp-8, 0x1.35f6d16634022p-8, 0x1.2f2a888d468cdp-8, 0x1.28812d4e769ecp-8, 0x1.21fa20acbdb47p-8, 0x1.1b94c5e513533p-8, 0x1.1550826b2bdefp-8, 0x1.0f2cbde64149dp-8, 0x1.0928e22dcc485p-8, 0x1.03445b45db49bp-8, 0x1.fafd2eb70c4cp-9, 0x1.efae0d825d242p-9, 0x1.e49a37d4aaa96p-9, 0x1.d9c096cf7eda7p-9, 0x1.cf2017c66597fp-9, 0x1.c4b7ac3670c82p-9, 0x1.ba8649bd73dbdp-9, 0x1.b08aea11271dfp-9, 0x1.a6c48af5f572p-9, 0x1.9d322e35c6b1bp-9, 0x1.93d2d9968cadap-9, 0x1.8aa596d0a4d6p-9, 0x1.81a973852e9fep-9, 0x1.78dd81343e745p-9, 0x1.7040d532c40f2p-9, 0x1.67d288a096053p-9, 0x1.5f91b85e59d41p-9, 0x1.577d850315cf7p-9, 0x1.4f9512d25ddecp-9, 0x1.47d789b16a213p-9, 0x1.4044151d0e307p-9, 0x1.38d9e41ee649ap-9, 0x1.31982942f47d4p-9, 0x1.2a7e1a8d3ddf3p-9, 0x1.238af16eff915p-9, 0x1.1cbdeabc0d76bp-9, 0x1.161646a03176fp-9, 0x1.0f934894836ffp-9, 0x1.09343754f2b1cp-9, 0x1.02f85cd5921e3p-9, 0x1.f9be0c6f777f5p-10, 0x1.edcf077f5d12bp-10, 0x1.e22251934f987p-10, 0x1.d6b6977f4d5dcp-10, 0x1.cb8a8c1d2e2c3p-10, 0x1.c09ce837d3878p-10, 0x1.b5ec6a7626411p-10, 0x1.ab77d74611cb1p-10, 0x1.a13df8c7bc57ep-10, 0x1.973d9eb8c91bap-10, 0x1.8d759e600222fp-10, 0x1.83e4d2789bb4cp-10, 0x1.7a8a1b1d985abp-10, 0x1.71645db5c2a83p-10, 0x1.687284df8d1c4p-10, 0x1.5fb3805cc2b9dp-10, 0x1.572644ff0a2a9p-10, 0x1.4ec9cc940c8f9p-10, 0x1.469d15d1efa29p-10, 0x1.3e9f2443bef3ap-10, 0x1.36cf003627584p-10, 0x1.2f2bb6a490ed3p-10, 0x1.27b45925fd6c6p-10, 0x1.2067fdda8ae48p-10, 0x1.1945bf5885d95p-10, 0x1.124cbc9a20e61p-10, 0x1.0b7c18eb247e3p-10, 0x1.04d2fbd71a30fp-10, 0x1.fca1222e0b4b1p-11, 0x1.efe811004a8dbp-11, 0x1.e3792be4edd95p-11, 0x1.d752e28db92eap-11, 0x1.cb73ac7ce28dap-11, 0x1.bfda08e2b4a05p-11, 0x1.b4847e7c87e5cp-11, 0x1.a9719b735e69dp-11, 0x1.9e9ff53b67a5dp-11, 0x1.940e2873b8658p-11, 0x1.89bad8c5f8fd9p-11, 0x1.7fa4b0c70e21dp-11, 0x1.75ca61d83c015p-11, 0x1.6c2aa40846754p-11, 0x1.62c435f55263dp-11, 0x1.5995dcae7fc1ep-11, 0x1.509e6396de5abp-11, 0x1.47dc9c47c4bedp-11, 0x1.3f4f5e7481126p-11, 0x1.36f587cdb0033p-11, 0x1.2ecdfbe5b1b94p-11, 0x1.26d7a415183f4p-11, 0x1.1f116f5eea029p-11, 0x1.177a52568a893p-11, 0x1.10114704b67ddp-11, 0x1.08d54ccdcabfdp-11, 0x1.01c56858422aep-11, 0x1.f5c146e7086bdp-12, 0x1.e84c19fdafa55p-12, 0x1.db2971a215cbcp-12, 0x1.ce577f409a9fdp-12, 0x1.c1d47dd44481ap-12, 0x1.b59eb1b8f1f75p-12, 0x1.a9b4687d29069p-12, 0x1.9e13f8b567292p-12, 0x1.92bbc1ce774efp-12, 0x1.87aa2be255582p-12, 0x1.7cdda78c363cdp-12, 0x1.7254adbf02a75p-12, 0x1.680dbf9b66d2ep-12, 0x1.5e076647014b3p-12, 0x1.544032c3c335cp-12, 0x1.4ab6bdc8c3b4cp-12, 0x1.4169a79abe9e2p-12, 0x1.385797e5b2877p-12, 0x1.2f7f3d97918a5p-12, 0x1.26df4ebad44ecp-12, 0x1.1e768852e102fp-12, 0x1.1643ae381f012p-12, 0x1.0e458af430bdfp-12, 0x1.067aef9fbb619p-12, 0x1.fdc56780d0f28p-13, 0x1.eef76a505e257p-13, 0x1.e089afa853ff9p-13, 0x1.d27a0b997b3d3p-13, 0x1.c4c65e0c7777ap-13, 0x1.b76c9283b3be7p-13, 0x1.aa6a9fde12a56p-13, 0x1.9dbe881bfc819p-13, 0x1.91665823dd894p-13, 0x1.85602789e7d1ap-13, 0x1.79aa18577c213p-13, 0x1.6e4256d416f77p-13, 0x1.6327194d2e77p-13, 0x1.58569fe3168a4p-13, 0x1.4dcf3454fca4bp-13, 0x1.438f29cc2adf2p-13, 0x1.3994dca9d7327p-13, 0x1.2fdeb25686389p-13, 0x1.266b19134ee8dp-13, 0x1.1d3887c7d08e5p-13, 0x1.14457dd5968d7p-13, 0x1.0b9082e9a17bbp-13, 0x1.031826cf41fc6p-13, 0x1.f5b6028a76905p-14, 0x1.e5af63a57323dp-14, 0x1.d619bf395c67p-14, 0x1.c6f27279060ebp-14, 0x1.b836e93382ecp-14, 0x1.a9e49d81fb4ffp-14, 0x1.9bf91778dbd66p-14, 0x1.8e71ecdc2f8f2p-14, 0x1.814cc0d69000ep-14, 0x1.748743af8f248p-14, 0x1.681f32854e5eap-14, 0x1.5c12570612685p-14, 0x1.505e872a7f4b8p-14, 0x1.4501a4f49ca11p-14, 0x1.39f99e295a864p-14, 0x1.2f446c148b54ep-14, 0x1.24e01347da5e4p-14, 0x1.1acaa35c7bcf7p-14, 0x1.110236bafda2fp-14, 0x1.0784f25c452c4p-14, 0x1.fca20b2138728p-15, 0x1.eac9538a92f4ep-15, 0x1.d97c449b6a6a6p-15, 0x1.c8b7785ebff4ap-15, 0x1.b8779bd17aab6p-15, 0x1.a8b96e830122p-15, 0x1.9979c227f0aebp-15, 0x1.8ab57a3a62fcfp-15, 0x1.7c698b9770617p-15, 0x1.6e92fc19be4b9p-15, 0x1.612ee242a58a4p-15, 0x1.543a64dba6829p-15, 0x1.47b2ba9d5e21p-15, 0x1.3b9529da9acacp-15, 0x1.2fdf082836176p-15, 0x1.248dba0884e91p-15, 0x1.199eb29975df7p-15, 0x1.0f0f73441a98bp-15, 0x1.04dd8b6dee43fp-15, 0x1.f60d30579bfa6p-16, 0x1.e31087f300fccp-16, 0x1.d0c08cd6daed8p-16, 0x1.bf18c7d6040eep-16, 0x1.ae14dad903f86p-16, 0x1.9db080573cb89p-16, 0x1.8de78ace0d8c4p-16, 0x1.7eb5e4423dd94p-16, 0x1.70178db7eb197p-16, 0x1.62089ebbdf889p-16, 0x1.548544e3c7467p-16, 0x1.4789c35809713p-16, 0x1.3b1272583f829p-16, 0x1.2f1bbed127737p-16, 0x1.23a229e4b345dp-16, 0x1.18a2487c0c83cp-16, 0x1.0e18c2dc45023p-16, 0x1.0402543e6855ap-16, 0x1.f4b794cee258p-17, 0x1.e2440a80f2088p-17, 0x1.d0a3eced08ad2p-17, 0x1.bfd1423657e6cp-17, 0x1.afc6328987ec5p-17, 0x1.a07d07639d072p-17, 0x1.91f02ada29f6fp-17, 0x1.841a26f2be17ap-17, 0x1.76f5a4f129557p-17, 0x1.6a7d6cab2bf51p-17, 0x1.5eac63ede1fcap-17, 0x1.537d8dd273829p-17, 0x1.48ec0a2a86117p-17, 0x1.3ef314d207ecdp-17, 0x1.358e052f2278dp-17, 0x1.2cb84d90d4d61p-17, 0x1.246d7aa0d7bbp-17, 0x1.1ca932d0918eep-17, 0x1.156735d82ce63p-17, 0x1.0ea35c30c44b6p-17, 0x1.085996839f505p-17, 0x1.0285ed38d0073p-17, 0x1.fa48ffeb1763dp-18, 0x1.f0630a1e0e213p-18, 0x1.e7529249abaf1p-18, 0x1.df105d4cb6bb9p-18, 0x1.d7955aad80d62p-18, 0x1.d0daa3d434102p-18, 0x1.cad97b0d9cd75p-18, 0x1.c58b4aca85be6p-18, 0x1.c0e9a4c275077p-18, 0x1.bcee41285b231p-18, 0x1.b992fddbf869cp-18, 0x1.b6d1dd89857a7p-18, 0x1.b4a50718d781cp-18, 0x1.b306c4d038002p-18, 0x1.b1f1839dbaddep-18, 0x1.b15fd26c660ep-18, 0x1.b14c6166e7afcp-18, 0x1.b1b201552db13p-18, 0x1.b28ba2d8dbf92p-18, 0x1.b3d455f47536cp-18, 0x1.b587493639bc9p-18, 0x1.b79fc92cfa7a9p-18, 0x1.ba193fd3825ddp-18, 0x1.bcef33eaaf47ap-18, 0x1.c01d486a078e5p-18, 0x1.c39f3bed93617p-18, 0x1.c770e82c4d16bp-18, 0x1.cb8e415e2307fp-18, 0x1.cff355a990faap-18, 0x1.d49c4cb73a2b1p-18, 0x1.d985672309ba7p-18, 0x1.deaafdeba8d22p-18, }}, 
      {{-0x1.cc3b3bc635926p-7, -0x1.c7ec453d38d5dp-7, -0x1.c00b9e444d718p-7, -0x1.b3de51fa986efp-7, -0x1.a2b16d5c84994p-7, -0x1.8bef0e7f2d6ap-7, -0x1.6f27c463a07a1p-7, -0x1.4c14e3258a82p-7, -0x1.2296ef73ec6e1p-7, -0x1.e564157620f3cp-8, -0x1.7912e7ba96439p-8, -0x1.00b55f3edd798p-8, -0x1.f3c531b404d4bp-10, 0x1.1723d16bcb7acp-12, 0x1.532bdf9239405p-9, 0x1.4a8aa76bbf486p-8, 0x1.f35901e3f4799p-8, 0x1.518408cad2d82p-7, 0x1.ac518b210e2fcp-7, 0x1.04cf8cf582efdp-6, 0x1.347e8a450d2f5p-6, 0x1.6501c4673ab84p-6, 0x1.962991ac47dbap-6, 0x1.c7caddf32be29p-6, 0x1.f9bf45ed766ddp-6, 0x1.15f287819809ap-5, 0x1.2f0f81a196b69p-5, 0x1.482a1c2e62c56p-5, 0x1.6137e3f8ece0ap-5, 0x1.7a303f5d75702p-5, 0x1.930c438830c6fp-5, 0x1.abc68942631e8p-5, 0x1.c45b02afe29c1p-5, 0x1.dcc6d3017872bp-5, 0x1.f50828c9d86aap-5, 0x1.068f0dad24ebbp-4, 0x1.128445a8c07e8p-4, 0x1.1e64032d11cefp-4, 0x1.2a2ed6fab75b6p-4, 0x1.35e5908c0f839p-4, 0x1.418934292544p-4, 0x1.4d1af21a5f05dp-4, 0x1.589c1ed2d318dp-4, 0x1.640e2bed0bd98p-4, 0x1.6f72a1d820556p-4, 0x1.7acb1a17386e5p-4, 0x1.861939fa17ffp-4, 0x1.915eadba02fd6p-4, 0x1.9c9d23eaca95bp-4, 0x1.a7d649340c461p-4, 0x1.b30bc44a5ea24p-4, 0x1.be3f32235dd84p-4, 0x1.c972226212db3p-4, 0x1.d4a613fb64ce6p-4, 0x1.dfdc7213a9109p-4, 0x1.eb1691177c0e3p-4, 0x1.f655ac129d44ap-4, 0x1.00cd7123f6924p-3, 0x1.06739a869bb3fp-3, 0x1.0c1dc2f6d1f74p-3, 0x1.11cc4a8a4ca5p-3, 0x1.177f800153ac7p-3, 0x1.1d37a0468194cp-3, 0x1.22f4d613c4cc1p-3, 0x1.28b739bc1e9eep-3, 0x1.2e7ed1195d75ap-3, 0x1.344b8f9c8090ap-3, 0x1.3a1d567f55977p-3, 0x1.3ff3f5156608ap-3, 0x1.45cf293a23e6p-3, 0x1.4bae9fda0f4fap-3, 0x1.5191f59453d18p-3, 0x1.5778b7725d086p-3, 0x1.5d6263b2a20dfp-3, 0x1.634e6aa4193ccp-3, 0x1.693c2f8f8d93bp-3, 0x1.6f2b09ac3f5fep-3, 0x1.751a451d3b971p-3, 0x1.7b0923f4eece8p-3, 0x1.80f6df3ca3d43p-3, 0x1.86e2a7fd9df06p-3, 0x1.8ccba849d6cb1p-3, 0x1.92b1044262aa7p-3, 0x1.9891db19c5dfdp-3, 0x1.9e6d4810a967dp-3, 0x1.a442636b7b8b8p-3, 0x1.aa10435fd6b8fp-3, 0x1.afd5fcf88e0fdp-3, 0x1.b592a4ef83bafp-3, 0x1.bb45507c8b183p-3, 0x1.c0ed1618c4aa9p-3, 0x1.c6890e35fa743p-3, 0x1.cc1853e9babecp-3, 0x1.d19a058bf907cp-3, 0x1.d70d45492c447p-3, 0x1.dc7139a7e5368p-3, 0x1.e1c50e02143afp-3, 0x1.e707f2f21d5e8p-3, 0x1.ec391eb4154e8p-3, 0x1.f157cd7b7652cp-3, 0x1.f66341bdb7bd7p-3, 0x1.fb5ac4723e918p-3, 0x1.001ed2a40cdc5p-2, 0x1.02859d690d04bp-2, 0x1.04e17154e1839p-2, 0x1.073200c4d5618p-2, 0x1.097701afe9ed4p-2, 0x1.0bb02dac49cbp-2, 0x1.0ddd41f14bf7bp-2, 0x1.0ffdff5647d6p-2, 0x1.12122a4e89719p-2, 0x1.14198ae2a4da6p-2, 0x1.1613eca769b1ap-2, 0x1.18011eb2bb82ap-2, 0x1.19e0f38e8b29cp-2, 0x1.1bb3412a2b566p-2, 0x1.1d77e0ca339d4p-2, 0x1.1f2eaef731e12p-2, 0x1.20d78b6b4e923p-2, 0x1.227258ff1d613p-2, 0x1.23fefd95bbd4ap-2, 0x1.257d62086d3dcp-2, 0x1.26ed7211d3b97p-2, 0x1.284f1c38eb9e1p-2, 0x1.29a251bbe1879p-2, 0x1.2ae7067ae9447p-2, 0x1.2c1d30e320a2dp-2, 0x1.2d44c9d9a1bd2p-2, 0x1.2e5dcca6cd21dp-2, 0x1.2f6836e1e395cp-2, 0x1.3064085cfae0ep-2, 0x1.315143115bb7bp-2, 0x1.322feb0c503bfp-2, 0x1.3300065c70b6ap-2, 0x1.33c19cff6fdcdp-2, 0x1.3474b8d06d39p-2, 0x1.35196576d36f7p-2, 0x1.35afb055c420cp-2, 0x1.3637a87c0c943p-2, 0x1.36b15e94ad469p-2, 0x1.371ce4d7eb224p-2, 0x1.377a4efce97e2p-2, 0x1.37c9b22bcff8fp-2, 0x1.380b24f06efddp-2, 0x1.383ebf2d69fc8p-2, 0x1.38649a0fd9b2ap-2, 0x1.387cd00366f6bp-2, 0x1.38877ca6d619dp-2, 0x1.3884bcc102705p-2, 0x1.3874ae363a9bdp-2, 0x1.38576ffe04302p-2, 0x1.382d2219389fbp-2, 0x1.37f5e58876292p-2, 0x1.37b1dc42e6875p-2, 0x1.3761292d479a7p-2, 0x1.3703f011441c2p-2, 0x1.369a559501fb9p-2, 0x1.36247f32f2b26p-2, 0x1.35a29331d77ebp-2, 0x1.3514b89cf279fp-2, 0x1.347b173c6b94ap-2, 0x1.33d5d78dd6ffap-2, 0x1.332522bce47bbp-2, 0x1.3269229c2d022p-2, 0x1.31a2019e1d03bp-2, 0x1.30cfeacdfa5ccp-2, 0x1.2ff309c8fd324p-2, 0x1.2f0b8ab781e17p-2, 0x1.2e199a4648908p-2, 0x1.2d1d659fc6581p-2, 0x1.2c171a65824bcp-2, 0x1.2b06e6a97df26p-2, 0x1.29ecf8e7aaf01p-2, 0x1.28c97fff66d85p-2, 0x1.279cab2cfe7ap-2, 0x1.2666aa033d7c7p-2, 0x1.2527ac64fd1aap-2, 0x1.23dfe27ebe4e5p-2, 0x1.228f7cc048d13p-2, 0x1.2136abd64ef4ep-2, 0x1.1fd5a0a418f4ep-2, 0x1.1e6c8c3d33ccep-2, 0x1.1cfb9fdf2a9dep-2, 0x1.1b830ceb40f3dp-2, 0x1.1a0304e03c707p-2, 0x1.187bb9542f56ep-2, 0x1.16ed5bee4f681p-2, 0x1.15581e60d6dc7p-2, 0x1.13bc3262ee9a6p-2, 0x1.1219c9aaa59e1p-2, 0x1.107115e6f20e8p-2, 0x1.0ec248b9c45a6p-2, 0x1.0d0d93b224733p-2, 0x1.0b53284661f0dp-2, 0x1.099337ce547bcp-2, 0x1.07cdf37dac7cep-2, 0x1.06038c5e5a3adp-2, 0x1.0434334b07711p-2, 0x1.026018e9a3cfbp-2, 0x1.00876da60e822p-2, 0x1.fd54c3599c738p-3, 0x1.f99249cbd70c8p-3, 0x1.f5c7cddfbb4d4p-3, 0x1.f1f5ae352700ap-3, 0x1.ee1c48c53962p-3, 0x1.ea3bfad8cf7a4p-3, 0x1.e65520ff4436ep-3, 0x1.e26817056ef5ap-3, 0x1.de7537ecd7b77p-3, 0x1.da7cdde32e2d9p-3, 0x1.d67f623a0806p-3, 0x1.d27d1d5ed23c7p-3, 0x1.ce7666d317bdap-3, 0x1.ca6b9524fa2e3p-3, 0x1.c65cfde7ff225p-3, 0x1.c24af5ae14c05p-3, 0x1.be35d000ead3dp-3, 0x1.ba1ddf5b87b1fp-3, 0x1.b603752428c27p-3, 0x1.b1e6e1a66f8f8p-3, 0x1.adc8740dcd499p-3, 0x1.a9a87a6040f9fp-3, 0x1.a587417955ebap-3, 0x1.a16515056f7bep-3, 0x1.9d423f7d5a67fp-3, 0x1.991f0a222aa19p-3, 0x1.94fbbcf95878cp-3, 0x1.90d89ec93154bp-3, 0x1.8cb5f51580b96p-3, 0x1.8894041c8e9efp-3, 0x1.84730ed458b8p-3, 0x1.805356e8159bbp-3, 0x1.7c351cb5fbaa1p-3, 0x1.78189f4d49e91p-3, 0x1.73fe1c6c93bb8p-3, 0x1.6fe5d08051337p-3, 0x1.6bcff6a1ab35ap-3, 0x1.67bcc8958b571p-3, 0x1.63ac7ecbe5c8dp-3, 0x1.5f9f505f4379fp-3, 0x1.5b95731487287p-3, 0x1.578f1b5aee426p-3, 0x1.538c7c4c468dfp-3, 0x1.4f8dc7ad62451p-3, 0x1.4b932deebe549p-3, 0x1.479cde2d5f245p-3, 0x1.43ab0633dea15p-3, 0x1.3fbdd27bb293ep-3, 0x1.3bd56e2e9b6b4p-3, 0x1.37f203284d17ap-3, 0x1.3413b9f8378ecp-3, 0x1.303ab9e38c01cp-3, 0x1.2c6728e75c76p-3, 0x1.28992bbaf1e8p-3, 0x1.24d0e5d243da3p-3, 0x1.210e796094d6p-3, 0x1.1d52075b3843fp-3, 0x1.199baf7c78cfap-3, 0x1.15eb90469e762p-3, 0x1.1241c70718a4ap-3, 0x1.0e9e6fd9c55e4p-3, 0x1.0b01a5ac5649dp-3, 0x1.076b8241ce60dp-3, 0x1.03dc1e361bc3dp-3, 0x1.00539101ccd3dp-3, 0x1.f9a3e1fbb30d3p-4, 0x1.f2aea6cf05711p-4, 0x1.ebc798c88ef7ap-4, 0x1.e4eede0bd7ff2p-4, 0x1.de249a9d2ce87p-4, 0x1.d768f069e7b5p-4, 0x1.d0bbff50eca9ap-4, 0x1.ca1de52b3503bp-4, 0x1.c38ebdd475d49p-4, 0x1.bd0ea333e14p-4, 0x1.b69dad44f7904p-4, 0x1.b03bf2206d65bp-4, 0x1.a9e986052541ap-4, 0x1.a3a67b6131db9p-4, 0x1.9d72e2daddbe9p-4, 0x1.974ecb59cad33p-4, 0x1.913a421012f75p-4, 0x1.8b355283680f4p-4, 0x1.854006963ed2p-4, 0x1.7f5a6690f9687p-4, 0x1.7984792b0fc2dp-4, 0x1.73be43943a0bp-4, 0x1.6e07c97d921ddp-4, 0x1.68610d22b39bfp-4, 0x1.62ca0f52d2a7fp-4, 0x1.5d42cf79cd8a9p-4, 0x1.57cb4ba92fbc6p-4, 0x1.526380a12d5fdp-4, 0x1.4d0b69d990d44p-4, 0x1.47c3018a99b04p-4, 0x1.428a40b5cbe58p-4, 0x1.3d611f2eb2ef3p-4, 0x1.384793a38e4e1p-4, 0x1.333d93a5ecf48p-4, 0x1.2e4313b334fe2p-4, 0x1.2958073d19493p-4, 0x1.247c60b1f6c86p-4, 0x1.1fb011851bd7ep-4, 0x1.1af30a36f7a4ap-4, 0x1.16453a5d34ff5p-4, 0x1.11a690aab854bp-4, 0x1.0d16faf78640bp-4, 0x1.0896664890f8fp-4, 0x1.0424bed76991ap-4, 0x1.ff83e033ab483p-5, 0x1.f6dbc99294c8dp-5, 0x1.ee510dd4993fbp-5, 0x1.e5e37fa764f1dp-5, 0x1.dd92f06b8ed0dp-5, 0x1.d55f3042aa4dep-5, 0x1.cd480e1d1923cp-5, 0x1.c54d57c7a859cp-5, 0x1.bd6ed9f8eb213p-5, 0x1.b5ac605e56b84p-5, 0x1.ae05b5a92a93fp-5, 0x1.a67aa39b1285fp-5, 0x1.9f0af3128c03ep-5, 0x1.97b66c17164d9p-5, 0x1.907cd5e51964dp-5, 0x1.895df6f998f1ep-5, 0x1.8259951d9bdd2p-5, 0x1.7b6f757166df1p-5, 0x1.749f5c776c796p-5, 0x1.6de90e1f04fe1p-5, 0x1.674c4dcee95fp-5, 0x1.60c8de6f6b7c9p-5, 0x1.5a5e827475cffp-5, 0x1.540cfbe74f445p-5, 0x1.4dd40c701d9f2p-5, 0x1.47b3755f353dcp-5, 0x1.41aaf7b623292p-5, 0x1.3bba54307d752p-5, 0x1.35e14b4c809c4p-5, 0x1.301f9d53694cbp-5, 0x1.2a750a619b8b8p-5, 0x1.24e1526e8e079p-5, 0x1.1f6435547c127p-5, 0x1.19fd72d7e05c5p-5, 0x1.14accaaeb655fp-5, 0x1.0f71fc8789f6bp-5, 0x1.0a4cc8104f36cp-5, 0x1.053cecfcfe137p-5, 0x1.00422b0e09fcp-5, 0x1.f6b8842d1eb5dp-6, 0x1.ed15e404bb2d3p-6, 0x1.e39bf5b79cce8p-6, 0x1.da4a39a2bf341p-6, 0x1.d120307656cfdp-6, 0x1.c81d5b4046729p-6, 0x1.bf413b764820bp-6, 0x1.b68b52ffad0c7p-6, 0x1.adfb243ec91fap-6, 0x1.a5903219fb4c9p-6, 0x1.9d4a00046e18cp-6, 0x1.952812066f4dcp-6, 0x1.8d29ecc581ffdp-6, 0x1.854f158c086f8p-6, 0x1.7d971250affe5p-6, 0x1.760169bd85e1ap-6, 0x1.6e8da336b493ep-6, 0x1.673b46e101f06p-6, 0x1.6009dda7fd173p-6, 0x1.58f8f143d5c34p-6, 0x1.52080c3efd70cp-6, 0x1.4b36b9fb79b47p-6, 0x1.448486b7ebfadp-6, 0x1.3df0ff945b5afp-6, 0x1.377bb296c130dp-6, 0x1.31242eaf4ea54p-6, 0x1.2aea03bc700fdp-6, 0x1.24ccc28e9759ap-6, 0x1.1ecbfcebc9db6p-6, 0x1.18e74592f7585p-6, 0x1.131e303f11a45p-6, 0x1.0d7051a9f0eb4p-6, 0x1.07dd3f8efe449p-6, 0x1.026490adab9cep-6, 0x1.fa0bb9977a5b1p-7, 0x1.ef81796eafb09p-7, 0x1.e5299491c7c47p-7, 0x1.db0340c9854a8p-7, 0x1.d10db5f9a496dp-7, 0x1.c7482e239cb6p-7, 0x1.bdb1e568e77cep-7, 0x1.b44a1a0d1f5f3p-7, 0x1.ab100c77a2d56p-7, 0x1.a202ff3518cc2p-7, 0x1.992236f86df87p-7, 0x1.906cfa9bd22afp-7, 0x1.87e2932124ae8p-7, 0x1.7f824bb253fbbp-7, 0x1.774b71a152767p-7, 0x1.6f3d5467ed9d9p-7, 0x1.675745a74df8fp-7, 0x1.5f9899273ebb6p-7, 0x1.5800a4d557d6fp-7, 0x1.508ec0c3bd1bap-7, 0x1.49424727d7b4p-7, 0x1.421a9458cf09ap-7, 0x1.3b1706cdbb266p-7, 0x1.3436ff1bbaf06p-7, 0x1.2d79dff3e2fd7p-7, 0x1.26df0e20e698fp-7, 0x1.2065f084c134fp-7, 0x1.1a0df01604a94p-7, 0x1.13d677dd2946bp-7, 0x1.0dbef4f1a6bfp-7, 0x1.07c6d676f056dp-7, 0x1.01ed8d9942ca6p-7, 0x1.f8651b14dd12fp-8, 0x1.ed2a96fccc8dcp-8, 0x1.e22a7d4f79495p-8, 0x1.d763c06820d99p-8, 0x1.ccd556909db25p-8, 0x1.c27e39f9bdd5fp-8, 0x1.b85d68b38d698p-8, 0x1.ae71e4a5438dfp-8, 0x1.a4bab3853d93ep-8, 0x1.9b36ded0a0f56p-8, 0x1.91e573c2f56e2p-8, 0x1.88c5834d9b9c2p-8, 0x1.7fd6220f20297p-8, 0x1.7716684a73a8p-8, 0x1.6e8571ddf90d6p-8, 0x1.66225e3a95063p-8, 0x1.5dec505a9479dp-8, 0x1.55e26eb87fa17p-8, 0x1.4e03e345f350cp-8, 0x1.464fdb6243ebcp-8, 0x1.3ec587d112911p-8, 0x1.37641cb1091cfp-8, 0x1.302ad17238b8ap-8, 0x1.2918e0ccc5417p-8, 0x1.222d88b73d176p-8, 0x1.1b680a5d1f5c5p-8, 0x1.14c7aa1530a9ep-8, 0x1.0e4baf5805418p-8, 0x1.07f364b64c308p-8, 0x1.01be17cf3c3a1p-8, 0x1.f756328dd2ca9p-9, 0x1.eb7379796e81p-9, 0x1.dfd2b1836b815p-9, 0x1.d4728d9e26796p-9, 0x1.c951c67923937p-9, 0x1.be6f1a6dcdd5ep-9, 0x1.b3c94d6c97e67p-9, 0x1.a95f28e9bc8a1p-9, 0x1.9f2f7bcaad186p-9, 0x1.95391a52f4e24p-9, 0x1.8b7ade11842e5p-9, 0x1.81f3a5ce0ca85p-9, 0x1.78a255764f2dep-9, 0x1.6f85d60bb8fb8p-9, 0x1.669d159113fd3p-9, 0x1.5de706f7f8a2cp-9, 0x1.5562a20ee5c5ap-9, 0x1.4d0ee36efd5c5p-9, 0x1.44eacc6a38864p-9, 0x1.3cf562f98512bp-9, 0x1.352db1ab2b171p-9, 0x1.2d92c79133149p-9, 0x1.2623b82ff6e75p-9, 0x1.1edf9b6cf9a37p-9, 0x1.17c58d7da97dep-9, 0x1.10d4aed68c1b1p-9, 0x1.0a0c241a5338bp-9, 0x1.036b16091affdp-9, 0x1.f9e162e00293p-10, 0x1.ed384e31aa306p-10, 0x1.e0d957735a97ep-10, 0x1.d4c2efca8c1f1p-10, 0x1.c8f38ff5411d8p-10, 0x1.bd69b82b5f86ep-10, 0x1.b223efff1f35bp-10, 0x1.a720c63e78e9fp-10, 0x1.9c5ed0d4c7f29p-10, 0x1.91dcacac9fa11p-10, 0x1.8798fd9216f5cp-10, 0x1.7d926e1521ce5p-10, 0x1.73c7af6cd7a58p-10, 0x1.6a37795a74842p-10, 0x1.60e08a0d62884p-10, 0x1.57c1a606ba109p-10, 0x1.4ed997fddb60ep-10, 0x1.462730c4cedb5p-10, 0x1.3da9472da28d2p-10, 0x1.355eb7ef89cecp-10, 0x1.2d46658ca145dp-10, 0x1.255f3837fc15bp-10, 0x1.1da81dbc1545p-10, 0x1.162009612f1f1p-10, 0x1.0ec5f3d4c30d4p-10, 0x1.0798db10fdd3p-10, 0x1.0097c24446b56p-10, 0x1.f3836372aa201p-11, 0x1.e62b6d7f46ba2p-11, 0x1.d925c7289f94p-11, 0x1.cc709e95ef039p-11, 0x1.c00a2b6edd81ep-11, 0x1.b3f0aeaeb4ccfp-11, 0x1.a82272789c13ap-11, 0x1.9c9dc9ec3f50ap-11, 0x1.916110fb23222p-11, 0x1.866aac3f47404p-11, 0x1.7bb908d1788f1p-11, 0x1.714a9c210b07ap-11, 0x1.671de3cb5d226p-11, 0x1.5d316574cb6cep-11, 0x1.5383aea1b94a2p-11, 0x1.4a135490abbefp-11, 0x1.40def414447cep-11, 0x1.37e5316efe643p-11, 0x1.2f24b82e5acd9p-11, 0x1.269c3b0716116p-11, 0x1.1e4a73b1fa5adp-11, 0x1.162e22c95a784p-11, 0x1.0e460fa72a113p-11, 0x1.069108432d81ep-11, 0x1.fe1bc224c6c61p-12, 0x1.ef76e9ccfc924p-12, 0x1.e131499c0c89ep-12, 0x1.d348afe9ab2f1p-12, 0x1.c5baf70beb9c1p-12, 0x1.b886051973b7cp-12, 0x1.aba7cbaf12e88p-12, 0x1.9f1e47b4929e4p-12, 0x1.92e7812405ec6p-12, 0x1.87018ad0c5d24p-12, 0x1.7b6a823044244p-12, 0x1.70208f23dd5c5p-12, 0x1.6521e3c3392d8p-12, 0x1.5a6cbc27e97ffp-12, 0x1.4fff5e39bcaa5p-12, 0x1.45d8197c17951p-12, 0x1.3bf546dbf4b22p-12, 0x1.3255487f3ffc4p-12, 0x1.28f68994de8cep-12, 0x1.1fd77e26141f9p-12, 0x1.16f6a2e7a33aap-12, 0x1.0e527d0cfe844p-12, 0x1.05e99a1b4c9adp-12, 0x1.fb751f7b66adp-13, 0x1.eb87f73521ab9p-13, 0x1.dc09065367c79p-13, 0x1.ccf5a71644787p-13, 0x1.be4b42bbcfa1bp-13, 0x1.b00751319c7fcp-13, 0x1.a22758c5858c9p-13, 0x1.94a8edda6117dp-13, 0x1.8789b29c604cep-13, 0x1.7ac756b83d003p-13, 0x1.6e5f9711feff9p-13, 0x1.62503d7ec8e8dp-13, 0x1.5697207f08138p-13, 0x1.4b3222f9f38cfp-13, 0x1.401f33fb590cap-13, 0x1.355c4e718d09p-13, 0x1.2ae778ee00249p-13, 0x1.20bec5660b8b9p-13, 0x1.16e050f43183ep-13, 0x1.0d4a439cdf1a8p-13, 0x1.03fad0117643ep-13, 0x1.f5e066f01a4c7p-14, 0x1.e4516a6257f4fp-14, 0x1.d3454d418d613p-14, 0x1.c2b8c5ed5420ep-14, 0x1.b2a89df34b3abp-14, 0x1.a311b1a443279p-14, 0x1.93f0efae4abddp-14, 0x1.854358b653fd6p-14, 0x1.7705fef73d1eep-14, 0x1.693605dee984fp-14, 0x1.5bd0a1b14aeap-14, 0x1.4ed317292e0e8p-14, 0x1.423abb1e02d24p-14, 0x1.3604f22bc8aap-14, 0x1.2a2f30595dd4ap-14, 0x1.1eb6f8c398434p-14, 0x1.1399dd49da124p-14, 0x1.08d57e3ce0293p-14, 0x1.fccf1417c94fdp-15, 0x1.e89b79ef011ebp-15, 0x1.d50bc188ac95dp-15, 0x1.c21b98daf1b42p-15, 0x1.afc6c7ba765fep-15, 0x1.9e092f442ed44p-15, 0x1.8cdec953da9cep-15, 0x1.7c43a7f4cb292p-15, 0x1.6c33f4df5fc54p-15, 0x1.5cabf0ef075e5p-15, 0x1.4da7f3a121e36p-15, 0x1.3f246a9581107p-15, 0x1.311dd9106891dp-15, 0x1.2390d7814ae25p-15, 0x1.167a130b683a5p-15, 0x1.09d64d1035fa8p-15, 0x1.fb44b577f3e1cp-16, 0x1.e3b6492eb4611p-16, 0x1.ccfb4c2a0022bp-16, 0x1.b70dda5003e2fp-16, 0x1.a1e833baa9539p-16, 0x1.8d84bbdfed4d6p-16, 0x1.79ddf8d4b6f24p-16, 0x1.66ee927bc9c85p-16, 0x1.54b151cb71c27p-16, 0x1.4321200ba7bfp-16, 0x1.3239061d9642dp-16, 0x1.21f42bcbc5423p-16, 0x1.124dd710b6d55p-16, 0x1.03416b721a386p-16, 0x1.e994d2a0546d2p-17, 0x1.cdc8da8c2ec88p-17, 0x1.b3165f08585d8p-17, 0x1.9975065810ap-17, 0x1.80dcab793d85ap-17, 0x1.69455cefedd7dp-17, 0x1.52a75b971efedp-17, 0x1.3cfb198a56b7p-17, 0x1.283938fb27e57p-17, 0x1.145a8b2535ffcp-17, 0x1.01580f364bce1p-17, 0x1.de55e28ee7373p-18, 0x1.bb9912aaa4126p-18, 0x1.9a6cb485e21dap-18, 0x1.7ac421c143aedp-18, 0x1.5c9305ed3db3dp-18, 0x1.3fcd5cafcb7b9p-18, 0x1.24676ff506d58p-18, 0x1.0a55d617ea65dp-18, 0x1.e31ae058d3cdp-19, 0x1.b406d0a1cdb78p-19, 0x1.875a5fe4f4da9p-19, 0x1.5d00fc7a13f14p-19, 0x1.34e69ce3ac0f7p-19, 0x1.0ef7bcc6da3f3p-19, 0x1.d642b3a103144p-20, 0x1.92a1e1950d6f9p-20, 0x1.52e8f5319285p-20, 0x1.16f4d2cceaf9p-20, 0x1.bd46974ca4aa6p-21, 0x1.53a630d26b419p-21, 0x1.e18f50196476ep-22, 0x1.28d7d92370aap-22, 0x1.f2acecbda4ep-24, -0x1.1b700143dd314p-25, -0x1.6fd02ef4974b1p-23, -0x1.41342587e6bc4p-22, -0x1.bfc032a4627b7p-22, -0x1.19fba413bedb3p-21, -0x1.4f20c0f9cb2bep-21, -0x1.7f820fe08f1b3p-21, -0x1.ab50caf1d0242p-21, -0x1.d2bccf9043338p-21, -0x1.f5f4a5c9e4f31p-21, -0x1.0a92c4a0bb4c8p-20, -0x1.183db81d4b5dcp-20, -0x1.241089d23cc71p-20, -0x1.2e1ffb3dca6a7p-20, -0x1.36803678beedep-20, -0x1.3d44d1f339421p-20, -0x1.4280d3c49dd8ep-20, -0x1.4646b54e9aa66p-20, -0x1.48a86667dad59p-20, -0x1.49b7509753012p-20, -0x1.49845a92b6f0ep-20, -0x1.481feb1ec8323p-20, -0x1.4599ec0fe95f2p-20, -0x1.4201cd861e327p-20, -0x1.3d6688929db8fp-20, -0x1.37d6a25631534p-20, -0x1.31602e9c34ff1p-20, -0x1.2a10d2af41a28p-20, -0x1.21f5c7f973677p-20, -0x1.191bdeb01d0d5p-20, -0x1.0f8f805426f92p-20, -0x1.055cb218c0148p-20, -0x1.f51e2f06f88adp-21, -0x1.de63e97e191cep-21, -0x1.c6a061c537ba3p-21, -0x1.ade8b09d4c04bp-21, -0x1.94513db7d4572p-21, -0x1.79edc445536d3p-21, -0x1.5ed156b379832p-21, -0x1.430e63643e58bp-21, -0x1.26b6b89fe4218p-21, -0x1.09db886f432c9p-21, -0x1.d91ad937f04ep-22, -0x1.9db8d4fda48d7p-22, -0x1.61afed78b692ep-22, -0x1.251df1c4a9a69p-22, -0x1.d03f3b61a6c3cp-23, -0x1.55a142bd11588p-23, -0x1.b52e9c91f6871p-24, -0x1.7d52d72fc5febp-25, 0x1.bf51f030af3e3p-27, }}, 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
      std::vector<double>(700, 0.0), 
    }}, 
    {
      80, 0x1.0a8f5c28f5c29p+3, 0x1.2df18f4df8adap+1, 0x1.06f510dff3bdp+3, -0x1.e08db3c2dfbf3p-6, 
      {{
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.8dfe121ae3eabp-4, -0x1.318f24f9e2c3bp-2, 0x1.6865a147a5663p-2, -0x1.2fdcc0bda3e2dp-3}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.5f5ee294e39a4p-4, -0x1.1574e83418e54p-2, 0x1.562a4e0911537p-2, -0x1.2fdcc0eb3c458p-3}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.2b39997b2438fp-4, -0x1.e8c25e68252dbp-3, 0x1.3f6025f76cce5p-2, -0x1.2fdcc042e4d26p-3}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.faef08ae0c8b5p-5, -0x1.ab29c13729745p-3, 0x1.2895fdf26871ep-2, -0x1.2fdcc2b57c14ep-3}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.ab47e88deb047p-5, -0x1.721ff8d8ae74dp-3, 0x1.11cbd5be6589fp-2, -0x1.2fdcb9937886p-3}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.669474d2bb60ap-5, -0x1.3da5053fde41p-3, 0x1.f6035c7378ffep-3, -0x1.2fdcdba8ee4a6p-3}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2beb4fb955225p-5, -0x1.0db8e69ca0bcdp-3, 0x1.c86f084d5540ep-3, -0x1.2fdc5c751aabdp-3}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.f4c636fd1f9fp-6, -0x1.c4b738785881bp-4, 0x1.9adac73bc4742p-3, -0x1.2fde372ef4d6ap-3}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.a224f4be85d44p-6, -0x1.771a51737f214p-4, 0x1.6d463ef4b9541p-3, -0x1.2fd74b7b5faa2p-3}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.5e201d308beb3p-6, -0x1.329b04b6528a5p-4, 0x1.3fb2c06f04944p-3, -0x1.2ff11f8fd7117p-3}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.26e4f4cce0ebap-6, -0x1.ee7335b7c0be1p-5, 0x1.121b6219711eap-3, -0x1.2f6128414a12p-3}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.f5419875e4c8bp-7, -0x1.89e89c7c55b6p-5, 0x1.c933381f4c032p-4, -0x1.16628faff4f57p-3}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.af0fcdf769aa5p-7, -0x1.36d1f6da12fa7p-5, 0x1.75af40374f539p-4, -0x1.f1091cf8e07c4p-4}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.77dfd5ea59eb8p-7, -0x1.e713dc9102b8fp-6, 0x1.2b21157860daep-4, -0x1.b768a3abbe4d4p-4}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.4cb5b3d626672p-7, -0x1.7c9bafedb10dp-6, 0x1.d26f93706f057p-5, -0x1.7d372a0258918p-4}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.2aee9e4cd099ap-7, -0x1.2ac1e82e50b46p-6, 0x1.60123a095473dp-5, -0x1.432e28b01b74fp-4}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.1040feeaeaa01p-7, -0x1.dc13c5d41adebp-7, 0x1.fe3bf542986b5p-6, -0x1.0914465d7d35bp-4}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.f578e4af2e764p-8, -0x1.85ef65cc652dbp-7, 0x1.5f2fcb0a807eep-6, -0x1.9e2adf6a79cb4p-5}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.d193908913967p-8, -0x1.4c1f71f90255bp-7, 0x1.c5df766eb7eb2p-7, -0x1.297696c7c6df2p-5}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.b25606dc0ca6cp-8, -0x1.27a8d10d87d45p-7, 0x1.13651bf6da32dp-7, -0x1.6ecd483251958p-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.95f6b335c2ef6p-8, -0x1.119f399451f41p-7, 0x1.4ab57302b6a67p-8, -0x1.dbdfa763095eap-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.7b5e673900fc5p-8, -0x1.02defdbc8e4bap-7, 0x1.0353e6b3dba3fp-8, -0x1.58ed7b53f26ecp-13}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.6220edcde609ap-8, -0x1.ebe3e34aaf81p-8, 0x1.01b5fcecaa1aap-8, -0x1.1fb08efef2c34p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.4a2b5e341ba6p-8, -0x1.d2a89481e5ab4p-8, 0x1.edd8558635339p-9, -0x1.b1deb8251a516p-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.33726f150b58fp-8, -0x1.ba5f7e00fb462p-8, 0x1.dd932e9e6a9d5p-9, -0x1.cd5838af97d48p-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.1deb09b4120e1p-8, -0x1.a2ed417c6ce2dp-8, 0x1.cc464617d4ebep-9, -0x1.bb8a44ae62e9cp-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.098a49ee8014fp-8, -0x1.8c543115f50d2p-8, 0x1.bba449eae4694p-9, -0x1.b5de3c78ca3b1p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.ec8afc773245ap-9, -0x1.768eaa6815fbp-8, 0x1.ab38c13ff66d7p-9, -0x1.acf1f9a07f085p-11}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.c8244f59289f7p-9, -0x1.61992cbcf54c7p-8, 0x1.9b22e17d24dd3p-9, -0x1.a4e4b5872eb25p-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.a5cbf3d938314p-9, -0x1.4d6fa52763427p-8, 0x1.8b5a4de1acb68p-9, -0x1.9c9bb114e5ff4p-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.856db6819cbd3p-9, -0x1.3a0e27e7e2332p-8, 0x1.7be1440a7db05p-9, -0x1.9462af476856bp-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.66f5c91078cdfp-9, -0x1.2770bebf81883p-8, 0x1.6cb72a449cf99p-9, -0x1.8c25633f9bab9p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.4a50c277d5b81p-9, -0x1.1593763f6a3acp-8, 0x1.5ddc29bf07234p-9, -0x1.83e93d7c8e4c3p-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.2f6b9edda3971p-9, -0x1.04725a37d201ap-8, 0x1.4f503770c1cd3p-9, -0x1.7bacc8e052638p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.1633bf9bb94fep-9, -0x1.e812ed5943fcbp-9, 0x1.4113564ebeb66p-9, -0x1.7370696497c57p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.fd2dd67fa91f4p-10, -0x1.c8a9af27d1d76p-9, 0x1.3325858e2c38ap-9, -0x1.6b34043fb32ebp-11}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.d1069b173397dp-10, -0x1.aaa111ced7837p-9, 0x1.2586c565624d1p-9, -0x1.62f7a09f15611p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.a7ceeee928883p-10, -0x1.8df12d3fe1b95p-9, 0x1.183715c5d17fdp-9, -0x1.5abb3c966ff76p-11}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.8164be486bfe3p-10, -0x1.7292196d059fdp-9, 0x1.0b3676b360804p-9, -0x1.527ed8a9bdfap-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.5da6bfefaf992p-10, -0x1.587bee4833d9dp-9, 0x1.fd09d05a05f41p-10, -0x1.4a4274b55ca65p-11}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.3c7475017288ep-10, -0x1.3fa6c3c366c46p-9, 0x1.e444d4660567cp-10, -0x1.420610c34e09ap-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.1dae2908018f6p-10, -0x1.280ab1d096296p-9, 0x1.cc1df98a92c03p-10, -0x1.39c9acd04fde6p-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.0134f1f57700ap-10, -0x1.119fd061ba7e9p-9, 0x1.b4953fc7bff61p-10, -0x1.318d48ddf44bbp-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.cdd5604775821p-11, -0x1.f8bc6ed198265p-10, 0x1.9daaa71d80d7p-10, -0x1.2950e4eb0f53bp-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.9d641ca904894p-11, -0x1.d07bfdaf8685ep-10, 0x1.875e2f8bdfb0ap-10, -0x1.211480f87da05p-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.70dd0362a125bp-11, -0x1.aa6e7d4130a05p-10, 0x1.71afd912d644ap-10, -0x1.18d81d05e5897p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.48089396ec866p-11, -0x1.86841d6a8742p-10, 0x1.5c9fa3b2650d4p-10, -0x1.109bb9131b7ccp-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.22b0e13822fd5p-11, -0x1.64ad0e0f7b043p-10, 0x1.482d8f6a8fca6p-10, -0x1.085f55208a653p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.00a195081bff8p-11, -0x1.44d97f13fc841p-10, 0x1.34599c3b52361p-10, -0x1.0022f12ddbdb5p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.c34fd9309446ep-12, -0x1.26f9a05bfc7aep-10, 0x1.2123ca24ae85ep-10, -0x1.efcd1a766a25p-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.8b2574937643fp-12, -0x1.0afda1cb6b8c3p-10, 0x1.0e8c1926a4248p-10, -0x1.df5452910e55fp-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.5864ca9a2fac4p-12, -0x1.e1ab668c74b78p-11, 0x1.f925128267351p-11, -0x1.cedb8aabecc15p-12}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.2ab1d345487dp-12, -0x1.b0e40960b348ep-11, 0x1.d66e34e8b5738p-11, -0x1.be62c2c600d7bp-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.01b3b0347ef4ap-12, -0x1.83858bdb73b41p-11, 0x1.b4f3998042304p-11, -0x1.ade9fae1d1e37p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.ba29594d8f40dp-13, -0x1.59704dc497cadp-11, 0x1.94b54048ec0c2p-11, -0x1.9d7132fb544fep-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.79047af49a777p-13, -0x1.3284aee400d3p-11, 0x1.75b32942df531p-11, -0x1.8cf86b166fc62p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.3f5a0258e1c07p-13, -0x1.0ea30f018f639p-11, 0x1.57ed546dfd56fp-11, -0x1.7c7fa331acff8p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.0c917fb393ca1p-13, -0x1.db579bca4b7dp-12, 0x1.3b63c1ca4390bp-11, -0x1.6c06db4b7a70fp-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.c031acf89757p-14, -0x1.9efe96ad49c65p-12, 0x1.20167157cd952p-11, -0x1.5b8e1366b50a6p-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.72c87ad2225ep-14, -0x1.67fbce3bdb9ddp-12, 0x1.0605631680014p-11, -0x1.4b154b8139f19p-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.2fdc7cdcb12bp-14, -0x1.36100205c45eep-12, 0x1.da612e0cd0eb5p-12, -0x1.3a9c839be7a0ap-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.ecdedafc0aabfp-15, -0x1.08fbf19ac6557p-12, 0x1.ab301a4f07c5ap-12, -0x1.2a23bbb6c9bdp-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.8b1f5b31731ap-15, -0x1.c100b91549052p-13, 0x1.7e778af39cb64p-12, -0x1.19aaf3d0c30f6p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.38b089188316p-15, -0x1.78bc04ca4115ap-13, 0x1.54377ffab2a75p-12, -0x1.09322beca1edcp-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.e7c380d3a93cp-16, -0x1.38ab4573fbf18p-13, 0x1.2c6ff96400c3ep-12, -0x1.f172c80c8c86dp-13}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.763753af6623fp-16, -0x1.004ffa31ff67bp-13, 0x1.0720f72fdca03p-12, -0x1.d08138443376dp-13}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.19c0761c38ep-16, -0x1.9e574447a234ep-14, 0x1.c894f2bbe4ba6p-13, -0x1.af8fa871043c1p-13}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.9f2adacb04401p-17, -0x1.497f78d1d4869p-14, 0x1.87d8ffde24181p-13, -0x1.8e9e18ca6201fp-13}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.2a3eb1940bap-17, -0x1.011b904209a87p-14, 0x1.4c0e15bfc898p-13, -0x1.6dac8873b59ap-13}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.9fe7c5efb56p-18, -0x1.885d11ab792b2p-15, 0x1.1534347b3a276p-13, -0x1.4cbafab85d6b3p-13}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.17ce2a8316801p-18, -0x1.2376c1a38dabcp-15, 0x1.c696b758beaf2p-14, -0x1.2bc9633d4bf9ap-13}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.68688a8bfd801p-19, -0x1.a314597e539e2p-16, 0x1.6ca7199327e2ep-14, -0x1.0ad7f022a5b45p-13}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.b7a0c9a718001p-20, -0x1.213aa03b4d9b6p-16, 0x1.1c9984bbf62d2p-14, -0x1.d3cbea94cb9dfp-14}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.f413af6a9afffp-21, -0x1.7ad8978d01368p-17, 0x1.acdc431815ab6p-15, -0x1.91ebea08fed8ep-14}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.032fdce908p-21, -0x1.ced59aa16bd13p-18, 0x1.3448b01562cedp-15, -0x1.4ffd2469813d4p-14}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.d802e2673ffffp-23, -0x1.0086a17e40c64p-18, 0x1.9ef97d8511b0dp-16, -0x1.0e457df5fee6ep-14}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.6220edce60001p-24, -0x1.ebdfe51f4ca42p-20, 0x1.f99f971624adcp-17, -0x1.97803fd4e1989p-15}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.8164be488p-26, -0x1.725a2a586485p-21, 0x1.051f70c99d582p-17, -0x1.187501f8b670fp-15}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.ba29594cp-29, -0x1.5cb34bf7533efp-23, 0x1.7364f19e5913cp-19, -0x1.060e752b428c7p-16}, 
        {0x1.099999999999ap+3, 0x1.0a8f5c28f5c29p+3, 0x1.17ce2afffffffp-34, -0x1.82cbe79830de1p-29, 0x1.c7698e86bp-22, -0x1.8c10890a2a901p-15}, 
      }}, 
      0x1.ccde11d8a52d8p-10, -0x1.57f78ac27e7d6p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_na_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.23876337dcc96p-6, 0x1.21898fd11c5p-5, 0x1.ad75a0f0ed5f5p-5, 0x1.19f261f8f2dfap-4, 0x1.59ba5c6bc4426p-4, 0x1.9584fb8392b19p-4, 0x1.cce672e24115fp-4, 0x1.ff92bf4abe46cp-4, 0x1.16ad53636cac4p-3, 0x1.2b140019604cbp-3, 0x1.3cfd0823b8e3fp-3, 0x1.4c70f1bd1bf26p-3, 0x1.597f850cb3277p-3, 0x1.643e333c4afd6p-3, 0x1.6cc6ca3255985p-3, 0x1.73363ca82640ap-3, 0x1.77abb09cf577cp-3, 0x1.7a479f0618ea1p-3, 0x1.7b2b31c66eaacp-3, 0x1.7a77acf4f7272p-3, 0x1.784e01b2768e4p-3, 0x1.74ce75747f3f9p-3, 0x1.7018573da26fdp-3, 0x1.6a49ce20722a7p-3, 0x1.637fb1bb6a002p-3, 0x1.5bd56b6dd0331p-3, 0x1.5364ecba2cbb5p-3, 0x1.4a469ff2d8ec3p-3, 0x1.4091784f4ee2p-3, 0x1.365ab0a04c13bp-3, 0x1.2bb65c201c10bp-3, 0x1.20b6e747f6a09p-3, 0x1.156d6bf5bb03cp-3, 0x1.09e9b39687edbp-3, 0x1.fc748bca7360fp-4, 0x1.e4d8f6a002664p-4, 0x1.cd191be825132p-4, 0x1.b54b6a8447297p-4, 0x1.9d8401596f3f1p-4, 0x1.85d5a7f6cc8p-4, 0x1.6e5115a62ff8ep-4, 0x1.5705782c868bp-4, 0x1.40007cce15f69p-4, 0x1.294e68a2f31b4p-4, 0x1.12fa30b00e8cap-4, 0x1.fa1b22e6b7123p-5, 0x1.cf2244c8feb6fp-5, 0x1.a518d6a460e72p-5, 0x1.7c0bf97fb0a91p-5, 0x1.5406dbbe8f97cp-5, 0x1.2d13084568363p-5, 0x1.07386a72c865cp-5, 0x1.c4fae21b24673p-6, 0x1.7dce51ebfed77p-6, 0x1.38f2ad2692fcdp-6, 0x1.ecda35c4a5c2p-7, 0x1.6c811421fe1bep-7, 0x1.e1b7a551f2b97p-8, 0x1.e7a198d768d7p-9, 0x1.e85514b3638c6p-13, -0x1.98085b1b95fd2p-9, -0x1.9e1b0c28d7c3fp-8, -0x1.338f6645d3572p-7, -0x1.9398a01b740d4p-7, -0x1.ef3c62ad58c0ep-7, -0x1.2347f80631137p-6, -0x1.4cd5333a27eb6p-6, -0x1.745247c3bda4fp-6, -0x1.99cc58bbf3ce1p-6, -0x1.bd5130c3d0868p-6, -0x1.deef29e8f4bf9p-6, -0x1.feb51a9fac321p-6, -0x1.0e59215ff93f3p-5, -0x1.1c7b19a129a08p-5, -0x1.29c862bfb9a9ap-5, -0x1.3648fe6ed460ap-5, -0x1.420501126319bp-5, -0x1.4d0486a442dafp-5, -0x1.574facd830e3p-5, -0x1.60ee8bddd0d44p-5, -0x1.69e92fec56edcp-5, -0x1.724793290e4c5p-5, -0x1.7a1198bbfcc1dp-5, -0x1.814f06746662cp-5, -0x1.880783fee1594p-5, -0x1.8e428ecbf5845p-5, -0x1.94077ef9d4e08p-5, -0x1.995d7ee44bff5p-5, -0x1.9e4b8928fe112p-5, -0x1.a2d865e3b349cp-5, -0x1.a70aa87398452p-5, -0x1.aae8ad7b0185cp-5, -0x1.ae7898a4f409p-5, -0x1.b1c0545c749d2p-5, -0x1.b4c58fb1afae4p-5, -0x1.b78dbdc0cae22p-5, -0x1.ba1e15ce96e37p-5, -0x1.bc7b91c3e19ffp-5, -0x1.beaaf09e79ae1p-5, -0x1.c0b0b29cb20b2p-5, -0x1.c2911dc8c77c1p-5, -0x1.c4503b477ff6cp-5, -0x1.c5f1d9a247cb7p-5, -0x1.c7798d3d5d2acp-5, -0x1.c8eab1cde00b9p-5, -0x1.ca4869a2fe282p-5, -0x1.cb95a0fb03773p-5, -0x1.ccd50fa1ea8cep-5, -0x1.ce09380d50efep-5, -0x1.cf346ad56a8fap-5, -0x1.d058c7af58b1cp-5, -0x1.d1783f5bf912bp-5, -0x1.d2949483afb09p-5, -0x1.d3af5df215f3p-5, -0x1.d4ca07b643ffbp-5, -0x1.d5e5d2e40c60dp-5, -0x1.d703ddc4f9cc9p-5, -0x1.d8251ccb315c5p-5, -0x1.d94a623835a57p-5, -0x1.da745d2195a34p-5, -0x1.dba39bf80f629p-5, -0x1.dcd88e9b34323p-5, -0x1.de1388540c6f3p-5, -0x1.df54bca637babp-5, -0x1.e09c49c7ddf92p-5, -0x1.e1ea324db8de4p-5, -0x1.e33e615729a51p-5, -0x1.e498acc2699ccp-5, -0x1.e5f8d46227695p-5, -0x1.e75e845d3e752p-5, -0x1.e8c957a3be11cp-5, -0x1.ea38d59678566p-5, -0x1.ebac7629837dap-5, -0x1.ed23a2e842067p-5, -0x1.ee9db61b31c1p-5, -0x1.f019fd19418e7p-5, -0x1.f197b959ec62dp-5, -0x1.f316226ab2d72p-5, -0x1.f4946462ed0bp-5, -0x1.f611a36538a12p-5, -0x1.f78cfb90ab63fp-5, -0x1.f90582a7ca796p-5, -0x1.fa7a4764572eap-5, -0x1.fbea547d586d3p-5, -0x1.fd54af79aba9bp-5, -0x1.feb85b047d8bap-5, -0x1.000a2baca0ae7p-4, -0x1.00b3d11b83c05p-4, -0x1.01589c4447c44p-4, -0x1.01f80b751bdd3p-4, -0x1.02919cf139942p-4, -0x1.0324cf6744f79p-4, -0x1.03b1229e6e029p-4, -0x1.0436173f8b9fp-4, -0x1.04b32f0fb4815p-4, -0x1.0527edd008d09p-4, -0x1.0593d934ebcdep-4, -0x1.05f678ed39404p-4, -0x1.064f570afc6d3p-4, -0x1.069e00bf525dep-4, -0x1.06e2057876f04p-4, -0x1.071af807fed73p-4, -0x1.07486e8c15126p-4, -0x1.076a0297300bfp-4, -0x1.077f50fc1a8ffp-4, -0x1.0787faa6eb9afp-4, -0x1.0783a40bd34bbp-4, -0x1.0771f5d1b430fp-4, -0x1.07529c7b2f5e3p-4, -0x1.072548e203d8bp-4, -0x1.06e9afe128b63p-4, -0x1.069f8ab86a37fp-4, -0x1.0646971e7d3d5p-4, -0x1.05de96ee9ac32p-4, -0x1.0567509abd23bp-4, -0x1.04e08f0108a09p-4, -0x1.044a217f5cefep-4, -0x1.03a3dc224adadp-4, -0x1.02ed97321fdb8p-4, -0x1.02272fbea3a59p-4, -0x1.015087153fce8p-4, -0x1.00698359a3377p-4, -0x1.fee41df76a914p-5, -0x1.fcd431e335b33p-5, -0x1.faa3295af8992p-5, -0x1.f850f4c56ef5ep-5, -0x1.f5dd8c27a7f73p-5, -0x1.f348f0c38bbfp-5, -0x1.f0932caea23bcp-5, -0x1.edbc525cea3d3p-5, -0x1.eac47cb8ca38bp-5, -0x1.e7abcebed66f1p-5, -0x1.e47273c96745fp-5, -0x1.e1189f96cb0a5p-5, -0x1.dd9e8cd818247p-5, -0x1.da047f249d3bp-5, -0x1.d64ac0a94755fp-5, -0x1.d271a34be81bap-5, -0x1.ce7980367727ep-5, -0x1.ca62b7acee2a6p-5, -0x1.c62db0ec75d18p-5, -0x1.c1dad9959bbfcp-5, -0x1.bd6aa5c4be756p-5, -0x1.b8dd8ffc9d9b5p-5, -0x1.b43418c4163ep-5, -0x1.af6ec671dff1ep-5, -0x1.aa8e2507f177dp-5, -0x1.a592c5d3038ccp-5, -0x1.a07d3f8250c6p-5, -0x1.9b4e2d8f8b35p-5, -0x1.9606307f6b8fp-5, -0x1.90a5ecb3da506p-5, -0x1.8b2e0bc109b7cp-5, -0x1.859f3a6e8c722p-5, -0x1.7ffa2a38665cep-5, -0x1.7a3f8f5220a9cp-5, -0x1.747021dd7c03ap-5, -0x1.6e8c9d17f13a5p-5, -0x1.6895bf093df23p-5, -0x1.628c487bbefb6p-5, -0x1.5c70fcadfd149p-5, -0x1.5644a1347a8f6p-5, -0x1.5007fdc49e0d8p-5, -0x1.49bbdb768bdeap-5, -0x1.4361057ebfae4p-5, -0x1.3cf84832e3e3ap-5, -0x1.36827109d4728p-5, -0x1.30004e6763bcfp-5, -0x1.2972afcca7c5bp-5, -0x1.22da64fd87175p-5, -0x1.1c383e1249544p-5, -0x1.158d0b4b9acecp-5, -0x1.0ed99d0df77d1p-5, -0x1.081ec35c0c05dp-5, -0x1.015d4e3be2601p-5, -0x1.f52c18b2d7db6p-6, -0x1.e7939899da242p-6, -0x1.d9f2b66e7f733p-6, -0x1.cc4b0a61bdd55p-6, -0x1.be9e2b69880e5p-6, -0x1.b0edac5830693p-6, -0x1.a33b1d3d4d855p-6, -0x1.95880a7ef5aa4p-6, -0x1.87d5fce74708dp-6, -0x1.7a2678be10d55p-6, -0x1.6c7afe9180af8p-6, -0x1.5ed50ad27200ap-6, -0x1.5136148745a83p-6, -0x1.439f8d8eb98d1p-6, -0x1.3612e200f0f6ep-6, -0x1.289178fc2a449p-6, -0x1.1b1cb40f4a07fp-6, -0x1.0db5ef101244fp-6, -0x1.005e7f9effeb4p-6, -0x1.e62f697c24c4ep-7, -0x1.cbc5acaee955p-7, -0x1.b1824e04e934dp-7, -0x1.9767c323c199cp-7, -0x1.7d78730babfa9p-7, -0x1.63b6b9bc7605bp-7, -0x1.4a24e4e4c5776p-7, -0x1.30c52f230782ap-7, -0x1.1799c9bcf3c0fp-7, -0x1.fd49a2d0bccafp-8, -0x1.cbd0ae656326ep-8, -0x1.9accb4cc50cbbp-8, -0x1.6a419c3ce9c46p-8, -0x1.3a332a41da37dp-8, -0x1.0aa503405b547p-8, -0x1.b73557089f28ep-9, -0x1.5a2f0ce07aba8p-9, -0x1.fc7b5e5f7ac24p-10, -0x1.46cf0db0fbefdp-10, -0x1.26ca7f9fd2073p-11, 0x1.db67734a93d52p-14, 0x1.98f1f297724c3p-11, 0x1.78d7b2f41cb6dp-10, 0x1.116449dd7ae7ap-9, 0x1.65210706a240cp-9, 0x1.b79d82602c5c1p-9, 0x1.046abbdd31928p-8, 0x1.2c626ecf1c17dp-8, 0x1.53b3ebe09995p-8, 0x1.7a5d6a8711fadp-8, 0x1.a05d454f760cap-8, 0x1.c5b1ecff82a97p-8, 0x1.ea59f90a368aep-8, 0x1.072a0c0f135cdp-7, 0x1.18cf8f3c62bbap-7, 0x1.2a1cfb756309ap-7, 0x1.3b11d327bf0a8p-7, 0x1.4badaa7ff0f93p-7, 0x1.5bf01f65822dcp-7, 0x1.6bd8e221729fap-7, 0x1.7b67b034c776p-7, 0x1.8a9c535ea469dp-7, 0x1.9976a33a826f3p-7, 0x1.a7f6838df0926p-7, 0x1.b61be5648deb4p-7, 0x1.c3e6c5e02bc86p-7, 0x1.d1572d745d5cep-7, 0x1.de6d327673f25p-7, 0x1.eb28f65af5e72p-7, 0x1.f78aa6295ef5dp-7, 0x1.01c93d4850278p-6, 0x1.07a05bf2a5f89p-6, 0x1.0d4ad634c8983p-6, 0x1.12c8d8283d882p-6, 0x1.181a9320e55f3p-6, 0x1.1d403d204ba7cp-6, 0x1.223a11b0f52b7p-6, 0x1.270850586e6a1p-6, 0x1.2bab3db2db4b4p-6, 0x1.302322a968883p-6, 0x1.34704ccc12ceep-6, 0x1.38930e0c1e474p-6, 0x1.3c8bbb5af3d9fp-6, 0x1.405aaddf163fcp-6, 0x1.440042786a70fp-6, 0x1.477cd9895abfbp-6, 0x1.4ad0d70de28f5p-6, 0x1.4dfca254cf864p-6, 0x1.5100a6213622bp-6, 0x1.53dd505cf143p-6, 0x1.5693110d2b3f4p-6, 0x1.59225c7c4b991p-6, 0x1.5b8ba68b86ff9p-6, 0x1.5dcf6b728f9dcp-6, 0x1.5fee230d6af5cp-6, 0x1.61e84b58b72f3p-6, 0x1.63be635b1a04cp-6, 0x1.6570ec702540ap-6, 0x1.670069e4d9797p-6, 0x1.686d60d1be387p-6, 0x1.69b857f831708p-6, 0x1.6ae1d79e09b53p-6, 0x1.6bea6967c91eap-6, 0x1.6cd2983776d14p-6, 0x1.6d9af00e7621ap-6, 0x1.6e43fe028233cp-6, 0x1.6ece509ad6a6ap-6, 0x1.6f3a760405602p-6, 0x1.6f88fec414b74p-6, 0x1.6fba7a59582a2p-6, 0x1.6fcf7a7e537eep-6, 0x1.6fc890ee76ec2p-6, 0x1.6fa64ed8270c3p-6, 0x1.6f694674a2738p-6, 0x1.6f120a2bf295bp-6, 0x1.6ea12c1a8ae6fp-6, 0x1.6e173e6b5d66ap-6, 0x1.6d74d36a8feb7p-6, 0x1.6cba7cdd72512p-6, 0x1.6be8cc64a7da6p-6, 0x1.6b005379d276cp-6, 0x1.6a01a35f54abdp-6, 0x1.68ed4c6c7ad5p-6, 0x1.67c3de5bec447p-6, 0x1.6685e8c232439p-6, 0x1.6533f9f84345bp-6, 0x1.63ce9fc29c10dp-6, 0x1.62566733df6eap-6, 0x1.60cbdc281bec6p-6, 0x1.5f2f89e8af1b7p-6, 0x1.5d81f9a7657f4p-6, 0x1.5bc3b502aca18p-6, 0x1.59f5443cf066ep-6, 0x1.58172ddb1169ap-6, 0x1.5629f7261cb0bp-6, 0x1.542e244e23a0ap-6, 0x1.522438323e92ep-6, 0x1.500cb454b82a1p-6, 0x1.4de818e403575p-6, 0x1.4bb6e50d6f327p-6, 0x1.497995c5e70a2p-6, 0x1.4730a76ac2092p-6, 0x1.44dc92691b055p-6, 0x1.427dd1f9630b1p-6, 0x1.4014db33fe89dp-6, 0x1.3da223840b6a8p-6, 0x1.3b261e17bfa44p-6, 0x1.38a13c9a548b2p-6, 0x1.3613eef59742p-6, 0x1.337ea3ec8c127p-6, 0x1.30e1c912bb40ep-6, 0x1.2e3dca07058dp-6, 0x1.2b9310c1dfd73p-6, 0x1.28e2056bae43ap-6, 0x1.262b0e042af8ep-6, 0x1.236e8e4fb675bp-6, 0x1.20ace7fad5936p-6, 0x1.1de67adb88e14p-6, 0x1.1b1ba3909d51dp-6, 0x1.184cc10aaa678p-6, 0x1.157a2bfd660dap-6, 0x1.12a4401081d2ep-6, 0x1.0fcb54d4e39d8p-6, 0x1.0cefc0709b49bp-6, 0x1.0a11d6446357cp-6, 0x1.0731e6d6f3c9p-6, 0x1.04503f4e1e121p-6, 0x1.016d2a1d89cf9p-6, 0x1.fd11dfeaa7c4p-7, 0x1.f747b1bc6f0bfp-7, 0x1.f17c5ae26e3b3p-7, 0x1.ebb06d399998p-7, 0x1.e5e47e3bd69a6p-7, 0x1.e019239fd2aa1p-7, 0x1.da4ef07b62923p-7, 0x1.d486739cb41dfp-7, 0x1.cec0306d38f1cp-7, 0x1.c8fc9b9b10eecp-7, 0x1.c33c1efd14f8dp-7, 0x1.bd7f1494cfb5fp-7, 0x1.b7c5d15ed46f8p-7, 0x1.b210a57078bf9p-7, 0x1.ac5fe3d752b76p-7, 0x1.a6b3e89d152b6p-7, 0x1.a10d1a6942a3p-7, 0x1.9b6beab11ad72p-7, 0x1.95d0d1c8e86dep-7, 0x1.903c488ec1e77p-7, 0x1.8aaec100e28c1p-7, 0x1.85289f9e7b8fep-7, 0x1.7faa36f5fa6f6p-7, 0x1.7a33c74c1f75fp-7, 0x1.74c5822daf725p-7, 0x1.6f5f90c9488a7p-7, 0x1.6a021cb8d608cp-7, 0x1.64ad57e0ba117p-7, 0x1.5f6181ae2b65bp-7, 0x1.5a1ee80bd6c1bp-7, 0x1.54e5e35e95fap-7, 0x1.4fb6ce24b814p-7, 0x1.4a91fa102484cp-7, 0x1.4577a55c753cfp-7, 0x1.4067f33ac62bp-7, 0x1.3b62e99c7803p-7, 0x1.366875a62035ap-7, 0x1.31787694b120dp-7, 0x1.2c92cecf7ceafp-7, 0x1.27b76cac59ca6p-7, 0x1.22e66962c5574p-7, 0x1.1e2001cb06eep-7, 0x1.19649fa1ad3d8p-7, 0x1.14b4cc6d2ec82p-7, 0x1.101123660570fp-7, 0x1.0b7a3981ebfcfp-7, 0x1.06f0847de9175p-7, 0x1.02744727a712ap-7, 0x1.fc0b0e7e2f0acp-8, 0x1.f3480f5ea9dfep-8, 0x1.ea9ea736e8dc2p-8, 0x1.e20da72478a56p-8, 0x1.d993cb5657585p-8, 0x1.d12ff81d81c8ap-8, 0x1.c8e168b930ff9p-8, 0x1.c0a7d890e728dp-8, 0x1.b88392c073895p-8, 0x1.b07566576ap-8, 0x1.a87e845662755p-8, 0x1.a0a04db2b04b1p-8, 0x1.98dc1b2ed0a6dp-8, 0x1.913309531643ep-8, 0x1.89a5cfaf4b157p-8, 0x1.8234ab1ad1a11p-8, 0x1.7adf59fe78cb6p-8, 0x1.73a52bf422abcp-8, 0x1.6c85225ccd0c4p-8, 0x1.657e1a74b64e5p-8, 0x1.5e8ef9e877dep-8, 0x1.57b6d36efd5ebp-8, 0x1.50f500fc064b8p-8, 0x1.4a492eb62636p-8, 0x1.43b35a69ef34ep-8, 0x1.3d33c9a9229d6p-8, 0x1.36caf8808199p-8, 0x1.3079819242f7fp-8, 0x1.2a40002287d3cp-8, 0x1.241ef046c2ad6p-8, 0x1.1e16930279f91p-8, 0x1.1826e0359c89fp-8, 0x1.124f8aaea8d73p-8, 0x1.0c901b0755fdcp-8, 0x1.06e8099ec28aep-8, 0x1.0156e8c8acb2dp-8, 0x1.f7b8ac515a15fp-9, 0x1.eceffa6367864p-9, 0x1.e252f18d62635p-9, 0x1.d7e08e6b4c6a4p-9, 0x1.cd97aca903b03p-9, 0x1.c37753233b3f7p-9, 0x1.b97f0504a214dp-9, 0x1.afaeecfff5086p-9, 0x1.a607bb71b82bdp-9, 0x1.9c8a57742ced5p-9, 0x1.9337863f97d69p-9, 0x1.8a0fbbedf6c95p-9, 0x1.811325ab22b8fp-9, 0x1.7841d0416a8e7p-9, 0x1.6f9be049b07dcp-9, 0x1.6721843555361p-9, 0x1.5ed2aded78a1dp-9, 0x1.56aeb28e1b60ap-9, 0x1.4eb3d4c99e8f2p-9, 0x1.46df3a79df765p-9, 0x1.3f2d3b7151d55p-9, 0x1.379a405eadc7fp-9, 0x1.3023cc3a5ae0cp-9, 0x1.28c9305450fabp-9, 0x1.218b84995b37ap-9, 0x1.1a6cdd3089272p-9, 0x1.136f179abb4e4p-9, 0x1.0c930abb0fc86p-9, 0x1.05d87c13774a4p-9, 0x1.fe7dad1d45a17p-10, 0x1.f18c3e7009777p-10, 0x1.e4df17bdb0249p-10, 0x1.d87ad6aaf0419p-10, 0x1.cc64e0e39605ap-10, 0x1.c0a14fef407afp-10, 0x1.b531104e9afc6p-10, 0x1.aa10d1f946567p-10, 0x1.9f3905ef3ba17p-10, 0x1.949f50f615421p-10, 0x1.8a3856c502bfdp-10, 0x1.7ffb180811057p-10, 0x1.75e28993ca335p-10, 0x1.6bee662afd31cp-10, 0x1.6221cc0424109p-10, 0x1.5880dfb0e4997p-10, 0x1.4f0ed5ff9c549p-10, 0x1.45cd464ec278cp-10, 0x1.3cbc8b88a04b5p-10, 0x1.33dc9e974b049p-10, 0x1.2b2e2d5e5954ap-10, 0x1.22b2ee0421294p-10, 0x1.1a6d49b5c27c8p-10, 0x1.125f69e40e583p-10, 0x1.0a8a93b60b13p-10, 0x1.02ef078111e3fp-10, 0x1.f7180b244689bp-11, 0x1.e8be93dbbb53bp-11, 0x1.dac9b5a991ed9p-11, 0x1.cd2ef5de6531ap-11, 0x1.bfe43118cb6bfp-11, 0x1.b2e2275c73f3ep-11, 0x1.a6256f43e673p-11, 0x1.99ad19d62c4dep-11, 0x1.8d78fe5ace9d5p-11, 0x1.81875b36dde59p-11, 0x1.75d4ecc0c552bp-11, 0x1.6a5e57e6de58cp-11, 0x1.5f2307029f0d5p-11, 0x1.542751cb8bc7cp-11, 0x1.49731c21c3f54p-11, 0x1.3f0c4ebf43fa1p-11, 0x1.34f2baf263c9bp-11, 0x1.2b20eec107fffp-11, 0x1.21904a373be63p-11, 0x1.183d5d10f4b19p-11, 0x1.0f2975efe62e6p-11, 0x1.0658c98e27ba7p-11, 0x1.fb9dc1f325c0dp-12, 0x1.eb15e41eb1d7ap-12, 0x1.db0f0ecc12643p-12, 0x1.cb78067c11bf2p-12, 0x1.bc3d908ca257bp-12, 0x1.ad5372105a248p-12, 0x1.9ebd36be337b6p-12, 0x1.908b3db75b998p-12, 0x1.82cb6a71789a5p-12, 0x1.757bfc73a2409p-12, 0x1.68919c1cbf52p-12, 0x1.5c05035f72abfp-12, 0x1.4fd6fb000e787p-12, 0x1.44038b9bac2f9p-12, 0x1.38811cda5fbb5p-12, 0x1.2d48563d08e0cp-12, 0x1.22591f987147p-12, 0x1.17b6a3009228ep-12, 0x1.0d60adda54112p-12, 0x1.03533e7988f59p-12, 0x1.f31bc4d576d96p-13, 0x1.e0334ddcf77d5p-13, 0x1.ce05af1e971b9p-13, 0x1.bc9a9e06d3a5ep-13, 0x1.abe15f31f1db7p-13, 0x1.9bb50959256adp-13, 0x1.8be670e5b702bp-13, 0x1.7c5ba0981224ep-13, 0x1.6d2c6c2d1676bp-13, 0x1.5e8153aa86f43p-13, 0x1.505bcceb00228p-13, 0x1.42a139a48584p-13, 0x1.355228a746ddp-13, 0x1.28896d4282c35p-13, 0x1.1c528664fc0f7p-13, 0x1.10a226f6f2b25p-13, 0x1.0566794198f22p-13, 0x1.f51668b310dfdp-14, 0x1.dff0b2baace35p-14, 0x1.cb3cdf8d40e07p-14, 0x1.b70d10af50c4dp-14, 0x1.a38f6f49c3311p-14, 0x1.90d100bad6657p-14, 0x1.7eb31cf4c2687p-14, 0x1.6d32e4470a73cp-14, 0x1.5c74090bfb572p-14, 0x1.4c8ce9b66956bp-14, 0x1.3d6f0a582d05p-14, 0x1.2ef7f71e9f8e3p-14, 0x1.20f4e612d442ap-14, 0x1.133c7682eac84p-14, 0x1.05f00f4860c09p-14, 0x1.f2759c9727f8ep-15, 0x1.d9f25a04c0e5ap-15, 0x1.c227cb006c3fcp-15, 0x1.ab6a4b18d4133p-15, 0x1.95d54592da8b3p-15, 0x1.812ed28feddeap-15, 0x1.6d4de8a6ec558p-15, 0x1.5a31f6d8a3114p-15, 0x1.47ec5f452dd4ep-15, 0x1.368c4717cc5d4p-15, 0x1.26169bac083b7p-15, 0x1.1670343e0f176p-15, 0x1.076120d0d6f18p-15, 0x1.f187e9c8f71c2p-16, 0x1.d58d807ed9d1cp-16, 0x1.bb03607846e74p-16, 0x1.a178a950fd101p-16, 0x1.8904ed26705e6p-16, 0x1.72078167434a9p-16, 0x1.5c80001ae9e2ap-16, 0x1.481a0a535333p-16, 0x1.34e3dfcd48737p-16, 0x1.22ad5e7b9b8fcp-16, 0x1.112946e5c99dep-16, 0x1.0085b63cf1117p-16, 0x1.e11860a9cd52dp-17, 0x1.c28af7cf37431p-17, 0x1.a65288efc0373p-17, 0x1.8c1ea02673503p-17, 0x1.7355803499f49p-17, 0x1.5bd2abccde43ep-17, 0x1.459dcf8f13d21p-17, 0x1.30b9f44fba762p-17, 0x1.1d22448503843p-17, 0x1.0ad0b0976e04bp-17, 0x1.f37b05fe9f18p-18, 0x1.d3c72925632bep-18, 0x1.b6b60b73e7501p-18, 0x1.9c9458cdfeabp-18, 0x1.84997132bbaaep-18, 0x1.6e16a5d71da54p-18, 0x1.5936284e4a293p-18, 0x1.4581044986032p-18, 0x1.33b9558bfaa29p-18, 0x1.24424c06700fcp-18, 0x1.1656126045088p-18, 0x1.09c01bd52a021p-18, 0x1.fce3a6bad57fcp-19, 0x1.ead58b34b3d4dp-19, 0x1.dad85d6cbc732p-19, 0x1.cc4fd6d0aa216p-19, 0x1.bf45282613f74p-19, 0x1.b561770504865p-19, 0x1.ae594bf9ca5fap-19, 0x1.a918a5d1368p-19, 0x1.a56ededf774dep-19, 0x1.a374d923dd606p-19, 0x1.a32bb9fbcf78dp-19, 0x1.a482d0c81db45p-19, 0x1.a7602f946c422p-19, 0x1.aba67301fb7fap-19, 0x1.b13c4d41fd399p-19, 0x1.b7d1aa9a07659p-19, 0x1.bfa613f75fda8p-19, 0x1.c8e64cd86a803p-19, 0x1.d2fa34b43ced9p-19, 0x1.de71ac1ac27e4p-19, 0x1.eac240b263db6p-19, 0x1.f77c65dc9219ap-19, 0x1.0267b16dc3c55p-18, 0x1.0982190170482p-18, 0x1.10f428bff2887p-18, 0x1.18bb45ca409e7p-18, 0x1.208c3a6f3df8ep-18, 0x1.28b254974c9dep-18, 0x1.310a331545ca7p-18, 0x1.399238ed61c51p-18, 0x1.423f87be5e5f7p-18, 0x1.4b05d3eeea01ep-18, 0x1.53f5fcfd97c05p-18, 0x1.5cf543327e8b7p-18, 0x1.6604f1178bcabp-18, 0x1.6f21e122eb67ap-18, 0x1.784652eb3babap-18, 0x1.81705c708661p-18, 0x1.8a9b1ed43367cp-18, 0x1.93c2365379071p-18, 0x1.9cd5288f55cbdp-18, 0x1.a5edaa29d64cfp-18, 0x1.aeef9ffe180f6p-18, 0x1.b7e31dd03fefap-18, 0x1.c0c4f4507106p-18, 0x1.c9921361f9a4p-18, 0x1.d249650bb2738p-18, 0x1.dae5571e518b2p-18, 0x1.e3413843e5443p-18, 0x1.eb858ec728086p-18, 0x1.f3d03672510d4p-18, 0x1.fbcca026de3cbp-18, 0x1.01d19f91c703dp-17, 0x1.05b1bd1d76ad7p-17, 0x1.0980d5dd32c56p-17, 0x1.0d3a88d1c7698p-17, 0x1.10dc772f36895p-17, 0x1.1469f2a334eadp-17, 0x1.17e57e4aeda63p-17, 0x1.1b3bbd956aed2p-17, 0x1.1e80ed6332d84p-17, 0x1.21a5480b38d79p-17, 0x1.24bbad54af0cdp-17, 0x1.27b7612efaa19p-17, 0x1.2a9b4bbc82061p-17, 0x1.2d66e9b8e6b89p-17, 0x1.3019572b24c2dp-17, 0x1.32b2576984041p-17, 0x1.3531e063d5d3p-17, 0x1.379718b22405ap-17, 0x1.39e2cce1d969ep-17, 0x1.3c155887928bbp-17, 0x1.3e305d054952bp-17, 0x1.405a495b9041fp-17, 0x1.4216c7055639ap-17, 0x1.43e66b3a5e1aap-17, 0x1.459d0f682503p-17, 0x1.473fed18728b6p-17, 0x1.48bfff9c9b30cp-17, 0x1.4a6262f1cfbp-17, 0x1.4b764ccdfe6dcp-17, 0x1.4cba7acba934ap-17, 0x1.4dd8a583c1dd2p-17, 0x1.4ee4c4acf9e81p-17, 0x1.4fdcdb6d296b6p-17, 0x1.50b904a67ac02p-17, 0x1.5188f307ed6c5p-17, 0x1.523892d63cf9p-17, 0x1.52d51636c4b26p-17, 0x1.535bf8e734661p-17, 0x1.53d0df4ce38bdp-17, 0x1.543493d4f7ee3p-17, 0x1.547e36cbd0648p-17, 0x1.54ae46ccc1bdcp-17, 0x1.54ce4805cd896p-17, 0x1.54debc991a702p-17, 0x1.54dcaa9899984p-17, 0x1.54c7e1bf22dd9p-17, 0x1.54a0e690ced56p-17, 0x1.5467fe73b6a19p-17, 0x1.541e3f5c736a3p-17, 0x1.53c3d5d351dbbp-17, 0x1.535996800bdf7p-17, 0x1.52df814d8ae75p-17, 0x1.52567324b6b0cp-17, 0x1.51bda6faa320fp-17, 0x1.51155e4b36d88p-17, 0x1.506182c73a969p-17, 0x1.4fa41bc2f68bap-17, 0x1.4ed1a4fd01502p-17, 0x1.4df03bd2c22ccp-17, 0x1.4d077fab15eb2p-17, 0x1.4c13072229a0ep-17, 0x1.4b12ecc68740bp-17, 0x1.4a07ad39b33dp-17, 0x1.48f14da9f1708p-17, 0x1.47cfc8ca41e3ap-17, 0x1.46a6ec82dc54fp-17, 0x1.4573941b90749p-17, 0x1.443372f1f684p-17, 0x1.42ee4b9beb94cp-17, 0x1.419ee9f176602p-17, 0x1.40485a0be9884p-17, 0x1.3ee9f4ef92776p-17, 0x1.3d8403b200699p-17, 0x1.3c18083ab4473p-17, 0x1.3aa0f3aeb9554p-17, 0x1.393020f543044p-17, 0x1.37ad93047fc92p-17, 0x1.3628690cb9ccfp-17, 0x1.34a03ff607716p-17, 0x1.33009f30e6f64p-17, 0x1.315a939b8adf2p-17, 0x1.2fea69f7689a9p-17, 0x1.2e4d15ef22661p-17, 0x1.2ca90e27f5424p-17, 0x1.2ad343353befbp-17, 0x1.296c98e11723ap-17, 0x1.27e6c03535619p-17, 0x1.261b73c3d2e2dp-17, 0x1.246bddf179ap-17, 0x1.22bd56d086fdp-17, 0x1.210e3d5ac36ap-17, 0x1.1f5e1d3fe2fd5p-17, 0x1.1dac6c717d6f8p-17, 0x1.1bf9fdd5a3caep-17, 0x1.1a470939b2846p-17, 0x1.1893a7db08cacp-17, 0x1.16e049479f776p-17, 0x1.152cf2ce75f8ap-17, 0x1.1379e93ce73dfp-17, 0x1.11c762d14dea9p-17, 0x1.10159265e1b8p-17, 0x1.0e64aa3d9dd41p-17, 0x1.0cb4d9383fa73p-17, 0x1.0b064a1785ea1p-17, 0x1.0959333be80dcp-17, 0x1.07ae73ee41478p-17, 0x1.060428d9e5268p-17, 0x1.045ca2e0c815ap-17, 0x1.02b6c5127addep-17, 0x1.01137e216668bp-17, 0x1.fee7bd5ff709p-18, 0x1.fba80df0fc8a4p-18, 0x1.f8701b8b24bb1p-18, 0x1.f53ed88845e77p-18, 0x1.f213ff0ddc31dp-18, 0x1.eeed64a9d4bbep-18, 0x1.ebbf155e5c575p-18, 0x1.e8b542281d7bbp-18, 0x1.e5a1af19ed8bfp-18, 0x1.e294ccf3a5c23p-18, 0x1.df8f76ba67e52p-18, 0x1.dc92142370cffp-18, 0x1.d99be460da003p-18, 0x1.d6ad3bf0b389ep-18, 0x1.d3d5fa4f26837p-18, 0x1.d0ee47c4c8ffcp-18, 0x1.ce0964152ca37p-18, 0x1.cb43689405357p-18, 0x1.c878b6e8dd39ap-18, 0x1.c5b95e419266bp-18, 0x1.c302885f59f2bp-18, 0x1.c05421ad5b794p-18, 0x1.bdae1964b67c2p-18, 0x1.bb11799be90e6p-18, 0x1.b88b215b38121p-18, 0x1.b65cf273b8f6p-18, 0x1.b3704bde11c83p-18, 0x1.b0f207b080713p-18, 0x1.ae7fa6e0c2628p-18, 0x1.ac1663019303cp-18, 0x1.a9b625b61274bp-18, 0x1.a758272ed1b08p-18, 0x1.a5154f11a473fp-18, 0x1.a2ea513edc40bp-18, 0x1.a0926a51ebc2cp-18, 0x1.9e584c002907bp-18, 0x1.9c2c82e6909d1p-18, 0x1.9a08cae665a7p-18, 0x1.97eee5d143a0dp-18, 0x1.95e55cc2fc6bcp-18, 0x1.93f7200891c41p-18, 0x1.91bd5724e20cp-18, 0x1.8fe1eb886ab87p-18, 0x1.8dec91543b5e5p-18, 0x1.8c06ea8407da2p-18, 0x1.8a12539c9d925p-18, 0x1.8852319396e2cp-18, 0x1.8682555f6de7p-18, 0x1.84bc878c8a699p-18, 0x1.82fed110b53a7p-18, 0x1.8149153e38fd6p-18, 0x1.7f9bb3d8356ap-18, 0x1.7df52e9c8260cp-18, 0x1.7c5725e7fc435p-18, 0x1.7ac0bdba79729p-18, 0x1.79319f8c2d0cep-18, 0x1.77ae9e62ffa7ap-18, 0x1.762ae8c1aecddp-18, 0x1.746acd351504bp-18, 0x1.734194bdd1195p-18, 0x1.71d524112c792p-18, 0x1.70708cd0aa144p-18, 0x1.6f13bc385bd3p-18, 0x1.6dbf66487d7e4p-18, 0x1.6c6f717693318p-18, 0x1.6b25541175cf2p-18, 0x1.69e27327fd54bp-18, 0x1.67f78135cb57p-18, 0x1.6770c58a16f8cp-18, 0x1.6640e6403f7fcp-18, 0x1.651f5bc695abep-18, 0x1.635fcab3f66a6p-18, 0x1.62d61932088b1p-18, 0x1.61b96ae7a64d3p-18, 0x1.60a51a22ebda1p-18, 0x1.5f9663a21381ep-18, 0x1.5e8cec4396c43p-18, 0x1.5d88ac4415829p-18, 0x1.5c8b1e6ef50a5p-18, 0x1.5bb671ef9f93cp-18, 0x1.5a9a839e2d5b6p-18, 0x1.59a6d49ee5963p-18, 0x1.58ba22e449752p-18, 0x1.578c6a73f7162p-18, 0x1.57af72ed97109p-18, 0x1.560f8cd6830bbp-18, 0x1.552e7aaa086a3p-18, 0x1.545539e8225fcp-18, 0x1.537f5c3c1b9bfp-18, 0x1.52adb445b1b6fp-18, 0x1.51de83aab786dp-18, 0x1.511338af8524dp-18, 0x1.504c50f1810cap-18, 0x1.4f86a12b4210ep-18, 0x1.4ec9eca856ba4p-18, 0x1.4e54458f5a837p-18, 0x1.4d516af933ccbp-18, 0x1.4c4979d384729p-18, 0x1.4bd8327fe50d7p-18, 0x1.4b20a0a9799ffp-18, 0x1.4a6e25251a931p-18, 0x1.49bbbcda4ff64p-18, 0x1.490c4a39ae17dp-18, 0x1.4754dd2e88cbbp-18, 0x1.47b2eee4f3344p-18, 0x1.4708f7edd76b9p-18, 0x1.465fc6df9441p-18, 0x1.45b8dc4f14f75p-18, 0x1.4513514a5844bp-18, 0x1.447b8c761852bp-18, 0x1.43cff86048c5dp-18, 0x1.432dd8a50a054p-18, 0x1.421ffb89a9fc7p-18, 0x1.41ea2e99761cap-18, 0x1.4142a4d44d401p-18, 0x1.40a38668d1c57p-18, 0x1.400457b89a0f6p-18, 0x1.3f65097fadbp-18, 0x1.3ec5473591de1p-18, 0x1.3e2911e3170fap-18, 0x1.3d7aff63a6951p-18, 0x1.3ce9042b6b7d5p-18, 0x1.3c4affd6bdb1p-18, 0x1.3bac3945b9598p-18, 0x1.3b0d29946857fp-18, 0x1.3a7ef57281642p-18, 0x1.39ce5b7126e09p-18, 0x1.39338ea295f5ep-18, 0x1.392a73f68dbcdp-18, 0x1.37b8c82976b8ap-18, 0x1.374a62cbb4d3bp-18, 0x1.368ec787c64e8p-18, 0x1.3605293978b5bp-18, 0x1.356eb4cec09ccp-18, 0x1.34d4d2b90f1bap-18, 0x1.34112b0ed462p-18, 0x1.333fcc936e736p-18, 0x1.32bee4340ea2ep-18, 0x1.32112da688a4ap-18, 0x1.31660760f6463p-18, 0x1.30b8aa7900865p-18, 0x1.3009f7fcd9692p-18, 0x1.2f599afdd6a56p-18, 0x1.2ea63afd860b2p-18, 0x1.2df4298a11c55p-18, 0x1.2d405b735c5a1p-18, 0x1.2c4632a1086f3p-18, 0x1.2bbef1df66bb5p-18, 0x1.2b0c1dbf9a782p-18, 0x1.2a598852ebf2bp-18, 0x1.29995e0bf18bdp-18, 0x1.28d8c44391656p-18, 0x1.28164a28b9024p-18, 0x1.2751803ab42fap-18, 0x1.268d2f21e2135p-18, 0x1.25c39656a0ca1p-18, 0x1.24eaac3b3a3b3p-18, 0x1.242fdef5399d5p-18, 0x1.239586c5a7a01p-18, 0x1.228c0b04efd9ep-18, 0x1.21b66882384d4p-18, 0x1.20e2a9caf6cb7p-18, 0x1.200ef4a98129dp-18, 0x1.1f2f2beab7e3cp-18, 0x1.1e2af2b328dfcp-18, 0x1.1d6e6356efba6p-18, 0x1.1c92f43d788a4p-18, 0x1.1bb3941ba111ap-18, 0x1.1ad6684783e25p-18, 0x1.19e3f55ca3961p-18, 0x1.18f2e3faa884cp-18, 0x1.1804861aa4d36p-18, 0x1.1713f48cb566ap-18, 0x1.1620efac1fb4bp-18, 0x1.152b91446c0afp-18, 0x1.143456c37afa7p-18, 0x1.13345e6ce757ep-18, 0x1.123f885a7281cp-18, 0x1.1121426cd09p-18, 0x1.103ff92ef600fp-18, 0x1.0f36cd972e905p-18, 0x1.0e33656d848d1p-18, 0x1.0d3505d9e0aafp-18, 0x1.0c1ee461ed3f4p-18, 0x1.0b0941ba55221p-18, 0x1.09f7fd74298d3p-18, 0x1.08e3eefe084c2p-18, 0x1.07cd79232bc34p-18, 0x1.06b54cfb6f19ep-18, 0x1.05915cb7b44b1p-18, 0x1.04979fbbbabfcp-18, 0x1.035c433bfaf1ap-18, 0x1.0236e8bf0383fp-18, 0x1.0110f1e639da7p-18, 0x1.ffd0e54f8efbep-19, 0x1.fd7af3a892217p-19, 0x1.fb21cf2f98bb1p-19, 0x1.f8c25b2155171p-19, 0x1.f65dfdb38761cp-19, 0x1.f40c1403d9a97p-19, 0x1.f18b9e394522p-19, 0x1.ef2b50cceb1bep-19, 0x1.eb3d770881c86p-19, 0x1.ec77a5312e6c2p-19, 0x1.e794126e66f5cp-19, 0x1.e53fcf105bd97p-19, 0x1.e295c938fd3adp-19, 0x1.e0033b3dfa5f1p-19, 0x1.dd6fdd61581c3p-19, 0x1.dad9a3fa6463p-19, 0x1.d83f6f4d5e263p-19, 0x1.d59d9c8508571p-19, 0x1.d31fdb0d0638cp-19, 0x1.d053ddaa5282bp-19, 0x1.cda8b88cf56e3p-19, 0x1.cb0dbf7a7922cp-19, 0x1.c78a1ebf41fb1p-19, 0x1.c589282745b86p-19, 0x1.c2c34b1c70585p-19, 0x1.c001fd31c681ap-19, 0x1.bd3cbf5d1bc7cp-19, 0x1.ba757914837aep-19, 0x1.b7a8aa134a221p-19, 0x1.b4d76cd9556bap-19, 0x1.b2056af315804p-19, 0x1.af116ce7db0bcp-19, 0x1.abbb79ac6644cp-19, 0x1.a97c886bc5e0ap-19, 0x1.a6900d0446fa7p-19, 0x1.a3adc09b40b26p-19, 0x1.a0f3e9dea7014p-19, 0x1.9e20c6b5a0c6fp-19, 0x1.9b27367e9d622p-19, 0x1.97ed5801cd309p-19, 0x1.94f3424230c63p-19, 0x1.922895a984459p-19, 0x1.8f01f1a91ba6ep-19, 0x1.8c06bd08a10d5p-19, 0x1.88f8d6c57d852p-19, 0x1.85fdd51870b2fp-19, 0x1.82f8b20ab2c68p-19, 0x1.7ff9507c7aff7p-19, 0x1.7c041b9fb2e28p-19, 0x1.79fa2a385ebe4p-19, 0x1.76c015c8e2c1ep-19, 0x1.73b336f8c09eep-19, 0x1.70a817214afdbp-19, 0x1.6d85833cb4fccp-19, 0x1.6a6a9dc89c1a7p-19, 0x1.6750188d31a58p-19, 0x1.643170af3d473p-19, 0x1.610d60537c02fp-19, 0x1.5df04ea030a03p-19, 0x1.5ccd85ac65863p-19, 0x1.57b18278d768ep-19, 0x1.54851329ffb4ap-19, 0x1.5155bef5463a1p-19, 0x1.4d94bf7f0ea97p-19, 0x1.4b0de39fd418ap-19, 0x1.47e7739bbae8fp-19, 0x1.44bb296899227p-19, 0x1.41799e7eff222p-19, 0x1.3e4a984e06fe7p-19, 0x1.3b19be868a9cdp-19, 0x1.37e7cc25df156p-19, 0x1.348e2c31bd4b7p-19, 0x1.3181af20e7a7cp-19, 0x1.2e4f3d5363f7cp-19, 0x1.2b16a96749c42p-19, 0x1.27e029c020adap-19, 0x1.2480d208494b5p-19, 0x1.218400f35c42cp-19, 0x1.1e3f5b07fdbb4p-19, 0x1.1b044c2cc1319p-19, 0x1.17ce8dad8ebd3p-19, 0x1.149647c48453ap-19, }}, 
      {{0x1.f984aebe7ac49p-7, 0x1.f7c88c24fd77fp-6, 0x1.77b52eda4113dp-5, 0x1.f110195f0f459p-5, 0x1.33a47c56a850ep-4, 0x1.6ce4e80395154p-4, 0x1.a40a6f999c09fp-4, 0x1.d8e1cc3746f03p-4, 0x1.05a15c1237b56p-3, 0x1.1d878fee02ee9p-3, 0x1.34190c8e1afdep-3, 0x1.494f750d43fa5p-3, 0x1.5d2805094cf75p-3, 0x1.6fa31688fa509p-3, 0x1.80c39e645c385p-3, 0x1.908ed9a760db8p-3, 0x1.9f0bcfdba03c3p-3, 0x1.ac431514cb799p-3, 0x1.b83e666f7d13ap-3, 0x1.c308786c62188p-3, 0x1.ccacb29cc6058p-3, 0x1.d536fa55f965fp-3, 0x1.dcb38eb86bfd5p-3, 0x1.e32edbad6cdf1p-3, 0x1.e8b55af9ab1d4p-3, 0x1.ed537ff80d1dp-3, 0x1.f1159682c1b86p-3, 0x1.f407bbe0d8bdep-3, 0x1.f635c98a94f04p-3, 0x1.f7ab4b419902cp-3, 0x1.f873779622d75p-3, 0x1.f89926316103dp-3, 0x1.f826cec2750cdp-3, 0x1.f72681c71f9cap-3, 0x1.f5a1ea2f05f59p-3, 0x1.f3a24a9f33fecp-3, 0x1.f1307e82a8a32p-3, 0x1.ee55064af4eaep-3, 0x1.eb17cf6ac2e24p-3, 0x1.e780a9b7dbb5dp-3, 0x1.e396d7c3717eap-3, 0x1.df6148410417ap-3, 0x1.dae6905d5b665p-3, 0x1.d62ced57abb69p-3, 0x1.d13a47d1e71bap-3, 0x1.cc1436ea965efp-3, 0x1.c6c0030368347p-3, 0x1.c142a96e4b93dp-3, 0x1.bba0e1faf7ae6p-3, 0x1.b5df193cc8019p-3, 0x1.b0017dd39b8dap-3, 0x1.aa0bfda8d163p-3, 0x1.a40249be02d76p-3, 0x1.9de7d8e9c451ap-3, 0x1.97bfea5ab9d8fp-3, 0x1.918d8801ecb06p-3, 0x1.8b53891f968dep-3, 0x1.8514947cbbb66p-3, 0x1.7ed32266f24b1p-3, 0x1.78917fe278dd5p-3, 0x1.7251ceb44349bp-3, 0x1.6c16096793682p-3, 0x1.65e0041b76149p-3, 0x1.5fb16eb7c541ep-3, 0x1.598bd6acd607ep-3, 0x1.5370a860df92p-3, 0x1.4d61311d88d6fp-3, 0x1.475ea0f505fefp-3, 0x1.416a0b5e47e9p-3, 0x1.3b8469645c8fcp-3, 0x1.35ae9b001fa63p-3, 0x1.2fe9683bd8cb4p-3, 0x1.2a35827a3950cp-3, 0x1.249385e91066ep-3, 0x1.1f03fb5a39698p-3, 0x1.19875764eb84bp-3, 0x1.141dfdc3637cfp-3, 0x1.0ec841770f54ap-3, 0x1.098665ae15f54p-3, 0x1.04589efcddc67p-3, 0x1.fe7e2887e1659p-4, 0x1.f473bf7df966fp-4, 0x1.ea921f571f781p-4, 0x1.e0d94e72b30ebp-4, 0x1.d7493fdcf9abfp-4, 0x1.cde1d1f1e8a68p-4, 0x1.c4a2d28be088cp-4, 0x1.bb8c006043307p-4, 0x1.b29d0a559229ep-4, 0x1.a9d5928726fp-4, 0x1.a1352f111df9ap-4, 0x1.98bb6a763eb4ap-4, 0x1.9067c67050bp-4, 0x1.8839bb930a28dp-4, 0x1.8030ba6feac1dp-4, 0x1.784c2d43cd804p-4, 0x1.708b77e290a0ep-4, 0x1.68edf95347659p-4, 0x1.61730c88a776dp-4, 0x1.5a1a08066f86dp-4, 0x1.52e240061bd2ep-4, 0x1.4bcb0663af5c8p-4, 0x1.44d3ab5f786c8p-4, 0x1.3dfb7d8f9721cp-4, 0x1.3741cc78e0e1p-4, 0x1.30a5e5c241ac4p-4, 0x1.2a271921a696dp-4, 0x1.23c4b6273fc73p-4, 0x1.1d7e0dbfdca93p-4, 0x1.1752726d33671p-4, 0x1.114138738a372p-4, 0x1.0b49b5c600561p-4, 0x1.056b430290cbdp-4, 0x1.ff4a759e42787p-5, 0x1.f3edf8e6d5851p-5, 0x1.e8bfcbbf70971p-5, 0x1.ddbebb6e13767p-5, 0x1.d2e9959047e69p-5, 0x1.c83f2fe7b93ecp-5, 0x1.bdbe67f323a75p-5, 0x1.b36622629068dp-5, 0x1.a9354b792d52dp-5, 0x1.9f2ada1aa05f3p-5, 0x1.9545be13515c9p-5, 0x1.8b85055d7e487p-5, 0x1.81e7b6f873117p-5, 0x1.786ce4908241fp-5, 0x1.6f13a82123457p-5, 0x1.65db22d9d4022p-5, 0x1.5cc27e4002c32p-5, 0x1.53c8eb645ec55p-5, 0x1.4aeda336392b2p-5, 0x1.422fe626b0c1dp-5, 0x1.398efca1f9c08p-5, 0x1.310a36b99d31fp-5, 0x1.28a0eb10ea66fp-5, 0x1.205278bcfb8c2p-5, 0x1.181e456db9bf1p-5, 0x1.1003bb7399a9bp-5, 0x1.0802511d26217p-5, 0x1.00198045ad463p-5, 0x1.f0918f9c9012ep-6, 0x1.e11f5c9047374p-6, 0x1.d1db8451f4ed6p-6, 0x1.c2c52b6ec8741p-6, 0x1.b3db843a66537p-6, 0x1.a51dcb8a77ca8p-6, 0x1.968b4a0902fe9p-6, 0x1.8823532aa9c65p-6, 0x1.79e5448cfa10ap-6, 0x1.6bd086813e1bbp-6, 0x1.5de48ba8223c9p-6, 0x1.5020cf3556c27p-6, 0x1.4284d5c011787p-6, 0x1.35102d02365d3p-6, 0x1.27c26b5aa6d32p-6, 0x1.1a9b2f554d68cp-6, 0x1.0d9a1eff1646p-6, 0x1.00bee8814811p-6, 0x1.e8127f19e99aep-7, 0x1.cef1c0a9eb4c3p-7, 0x1.b61b19444d37dp-7, 0x1.9d8e17cd91da9p-7, 0x1.854a58fe0e4e6p-7, 0x1.6d4f8238ced8bp-7, 0x1.559d466857548p-7, 0x1.3e335cdc4fa17p-7, 0x1.27118940d57ep-7, 0x1.103798363494bp-7, 0x1.f34abba37f8adp-8, 0x1.c6b56a8a87ff3p-8, 0x1.9aaf05403629ep-8, 0x1.6f374a86232a6p-8, 0x1.444e32eaf7943p-8, 0x1.19f38774ff86p-8, 0x1.e04e9b4dee506p-9, 0x1.8dd2eea2e33ecp-9, 0x1.3c7411ad293e9p-9, 0x1.d8641b56aab9bp-10, 0x1.3a1a0b0b2a078p-10, 0x1.3c145ce363861p-11, 0x1.0d3a6908ed41dp-16, -0x1.26cab610958dp-11, -0x1.28c41a86f76a8p-10, -0x1.bbe6da7f96e01p-10, -0x1.2666994dfa0b9p-9, -0x1.6dbb46d6ea11ap-9, -0x1.b3f12dde82475p-9, -0x1.f90811d92ac91p-9, -0x1.1e7fd973e293ap-8, -0x1.3febef9c528cdp-8, -0x1.60c825c8eaccp-8, -0x1.811475bc5bf3dp-8, -0x1.a0d0bd35317f4p-8, -0x1.bffcf4d573988p-8, -0x1.de99099894719p-8, -0x1.fca4fa545a75p-8, -0x1.0d10631023742p-7, -0x1.1b86375d1cc38p-7, -0x1.29b4017f7a6e1p-7, -0x1.3799c8bbadd89p-7, -0x1.4537987a1c55ap-7, -0x1.528d805927325p-7, -0x1.5f9b9369de93dp-7, -0x1.6c61e85c812eap-7, -0x1.78e0996a09f68p-7, -0x1.8517c57838b7cp-7, -0x1.91079046c8578p-7, -0x1.9cb01e320ccdap-7, -0x1.a8119b46f7892p-7, -0x1.b32c35e67fed5p-7, -0x1.be0023d87814fp-7, -0x1.c88d9a77904e5p-7, -0x1.d2d4d785d7bb9p-7, -0x1.dcd61a21cb821p-7, -0x1.e691a8e99fa4dp-7, -0x1.f007cd2a7945bp-7, -0x1.f938d4a171fdap-7, -0x1.011289294e8ddp-6, -0x1.05666e6413bep-6, -0x1.099847df45fb2p-6, -0x1.0da8458f51166p-6, -0x1.119699bb783f4p-6, -0x1.156378de3ff1ap-6, -0x1.190f18cb7cb15p-6, -0x1.1c99b274ad5cfp-6, -0x1.2003808343686p-6, -0x1.234cc04b97aedp-6, -0x1.2675b024fad8dp-6, -0x1.297e90edabcddp-6, -0x1.2c67a5877a7bap-6, -0x1.2f3132d0f8196p-6, -0x1.31db7f74e0c65p-6, -0x1.3466d3e811673p-6, -0x1.36d37a60b7a0ap-6, -0x1.3921bf68c59a4p-6, -0x1.3b51f02eb836dp-6, -0x1.3d645d39b53e2p-6, -0x1.3f5955a667349p-6, -0x1.41312e5c00cfep-6, -0x1.42ec39721907ap-6, -0x1.448ad29fe0ce5p-6, -0x1.460d4a0191e31p-6, -0x1.4773f5de8190fp-6, -0x1.48bf39c54b81ep-6, -0x1.49ef6aa11d5c2p-6, -0x1.4b04e58526e6dp-6, -0x1.4c00080262c24p-6, -0x1.4ce1308cec8cp-6, -0x1.4da8bf209de5ep-6, -0x1.4e5713fa2705dp-6, -0x1.4eec909077caap-6, -0x1.4f69973ae4311p-6, -0x1.4fce8b11ec8cap-6, -0x1.501bcfdec4548p-6, -0x1.5051c9983b491p-6, -0x1.5070dedeaa229p-6, -0x1.507974c1b0a2cp-6, -0x1.506bf0eb91e39p-6, -0x1.5048bab1e43edp-6, -0x1.501038a871fafp-6, -0x1.4fc2d306e9d91p-6, -0x1.4f60f0a60fc0bp-6, -0x1.4eeafa14d8866p-6, -0x1.4e6156f31e0ap-6, -0x1.4dc4706cb1c0dp-6, -0x1.4d14ae6abce2dp-6, -0x1.4c527969bb7dp-6, -0x1.4b7e392577029p-6, -0x1.4a98569dc96dcp-6, -0x1.49a139c356b24p-6, -0x1.48994a9862cf2p-6, -0x1.4780f0e4be8dap-6, -0x1.46589469d3d3cp-6, -0x1.45209b9c806c2p-6, -0x1.43d96e0bec041p-6, -0x1.428371d327a26p-6, -0x1.411f0c7b3963ep-6, -0x1.3faca2ac18489p-6, -0x1.3e2c9fc05b5afp-6, -0x1.3c9f6239fc531p-6, -0x1.3b05487c2d04bp-6, -0x1.395ec004566d8p-6, -0x1.37ac28ee53ebdp-6, -0x1.35ede29b32f8cp-6, -0x1.34244e5f4e5bbp-6, -0x1.324fcd34b9a71p-6, -0x1.3070be0cd9231p-6, -0x1.2e87803bb6532p-6, -0x1.2c947150d6e33p-6, -0x1.2a97edca1998fp-6, -0x1.289250f854318p-6, -0x1.2683f7c3e955fp-6, -0x1.246d3bd05f736p-6, -0x1.224e74900681ep-6, -0x1.2027faac3c72fp-6, -0x1.1dfa2537f2cefp-6, -0x1.1bc54a1b34d99p-6, -0x1.1989be125692fp-6, -0x1.1747d4c23b1d9p-6, -0x1.14ffe0bf79a0cp-6, -0x1.12b2338571d12p-6, -0x1.105f1d32b4f88p-6, -0x1.0e06ec8dfab52p-6, -0x1.0ba9eea45b84bp-6, -0x1.0948764719a44p-6, -0x1.06e2c5406d701p-6, -0x1.04792d0c9662bp-6, -0x1.020bf12364a32p-6, -0x1.ff36c104c17e3p-7, -0x1.fa4f7981e401fp-7, -0x1.f5629839c52adp-7, -0x1.f070a5aea6992p-7, -0x1.eb7a27a319f11p-7, -0x1.e67fa147f952bp-7, -0x1.e181938a0d1d1p-7, -0x1.dc807c31e7d99p-7, -0x1.d77cd6db83ce6p-7, -0x1.d2771c757e0d4p-7, -0x1.cd6fc3bdb90c2p-7, -0x1.c867404f8909fp-7, -0x1.c35e03c00db53p-7, -0x1.be547ceae8dcdp-7, -0x1.b94b182b5fe0bp-7, -0x1.b4423f3e77cbep-7, -0x1.af3a59b7b728cp-7, -0x1.aa33d0e45539dp-7, -0x1.a52ef8bbaf46p-7, -0x1.a02c3fc9c981ep-7, -0x1.9b2bfe8937b3fp-7, -0x1.962e8fc5fcb7bp-7, -0x1.91344c038a6c5p-7, -0x1.8c3d895f3ab1cp-7, -0x1.874a9b903342fp-7, -0x1.825bd3e854f72p-7, -0x1.7d718152fc481p-7, -0x1.788bf063e47e1p-7, -0x1.73ab6b5c2b36ap-7, -0x1.6ed03a3048cd1p-7, -0x1.69faa2ab95673p-7, -0x1.652ae84cb5d5dp-7, -0x1.60614bfc0b7f7p-7, -0x1.5b9e0ce753984p-7, -0x1.56e1679d2b3a1p-7, -0x1.522b973344771p-7, -0x1.4d7cd3f3dacc6p-7, -0x1.48d55465d5de1p-7, -0x1.44354ccb8b7dp-7, -0x1.3f9cef4da1513p-7, -0x1.3b0c6c45e6f69p-7, -0x1.3683f20449cc2p-7, -0x1.3203acf7a4e17p-7, -0x1.2d8bc75bc2882p-7, -0x1.291c6995d04a4p-7, -0x1.24b5ba3dfaddep-7, -0x1.2057dde33d144p-7, -0x1.1c02f6a5c0f26p-7, -0x1.17b72cce10925p-7, -0x1.1374937b2f983p-7, -0x1.0f3b4f793ec81p-7, -0x1.0b0b7bc7d6958p-7, -0x1.06e53558582edp-7, -0x1.02c8914c2f254p-7, -0x1.fd6b49e1abc45p-8, -0x1.f5591bbac9904p-8, -0x1.ed5ab11a07dc4p-8, -0x1.e57033bd7bf13p-8, -0x1.dd99c5c7c57d1p-8, -0x1.d5d78679ac747p-8, -0x1.ce29922cdfe79p-8, -0x1.c6900277d959fp-8, -0x1.bf0aee426e97ep-8, -0x1.b79a69dfc04cep-8, -0x1.b03e873a25882p-8, -0x1.a8f7546f2dbd5p-8, -0x1.a1c4d5ea2af8bp-8, -0x1.9aa73ba486f0ap-8, -0x1.939e51647a8c9p-8, -0x1.8caa4ef01d58p-8, -0x1.85cb210d9fb73p-8, -0x1.7f00cf0c280fcp-8, -0x1.784b55789a2f1p-8, -0x1.71aab3f4b8dcbp-8, -0x1.6b1ee5039397fp-8, -0x1.64a7e2457d3b2p-8, -0x1.5e45a2763ac95p-8, -0x1.57f81d5aadac9p-8, -0x1.51bf463776d22p-8, -0x1.4b9b0f06e5e0dp-8, -0x1.458b68b6e8b54p-8, -0x1.3f903d3639f24p-8, -0x1.39a96d060e72ep-8, -0x1.33d72f4544833p-8, -0x1.2e18e9e31e6fp-8, -0x1.286f19ba4fe3dp-8, -0x1.22d93e6c99ccbp-8, -0x1.1d575df3e87d5p-8, -0x1.17e961083ca44p-8, -0x1.128f283702dc7p-8, -0x1.0d48975b0dec2p-8, -0x1.081590db37a52p-8, -0x1.02f5f5e65889fp-8, -0x1.fbd34cea79a86p-9, -0x1.f1e102f1bbe46p-9, -0x1.e814c991dc38ep-9, -0x1.de6e5c9451fc9p-9, -0x1.d4ed748a21947p-9, -0x1.cb91c8f17b999p-9, -0x1.c25b100cf4f0ep-9, -0x1.b948fc5157eedp-9, -0x1.b05b3e579e9cp-9, -0x1.a79172eda872bp-9, -0x1.9eeb6541495b9p-9, -0x1.9668fa104fce9p-9, -0x1.8e097d2f7f089p-9, -0x1.85cc8665724fp-9, -0x1.7db25191014c6p-9, -0x1.75ba1728d3dcbp-9, -0x1.6de3a0814a388p-9, -0x1.662e9d583d022p-9, -0x1.5e9ab6393033ap-9, -0x1.572793b95c13bp-9, -0x1.4fd4dcb6f7d52p-9, -0x1.48a2358231876p-9, -0x1.418f44c2b0736p-9, -0x1.3a9baf75a6ff6p-9, -0x1.33c718309cc86p-9, -0x1.2d11272891148p-9, -0x1.267983784a2adp-9, -0x1.1fffd495758cp-9, -0x1.19a3c21ef1e66p-9, -0x1.1364f2ec59127p-9, -0x1.0d430c3f0f1a8p-9, -0x1.073db18f5de18p-9, -0x1.0154850db6351p-9, -0x1.f70e4ff63dabcp-10, -0x1.ebaa764b85089p-10, -0x1.e07cc0a509785p-10, -0x1.d584773d10b69p-10, -0x1.cac0e792125b3p-10, -0x1.c030f755bf0dp-10, -0x1.b5d53e1d1d045p-10, -0x1.ababbaf958f2cp-10, -0x1.a1b430622f719p-10, -0x1.97ef161dbe2f8p-10, -0x1.8e59bf9aecaefp-10, -0x1.84f43f975379p-10, -0x1.7bbe8a0a80bf8p-10, -0x1.72b79707c2a02p-10, -0x1.69de5c9bc2598p-10, -0x1.61323a3c8947bp-10, -0x1.58b2620bd33c6p-10, -0x1.505e80384f19dp-10, -0x1.483587e3781bfp-10, -0x1.4036fb8e4d372p-10, -0x1.38622fced7015p-10, -0x1.30b6903706c04p-10, -0x1.2933866714c25p-10, -0x1.21d87bb6e5e96p-10, -0x1.1aa4d7a37f2cap-10, -0x1.1397fea32f5ebp-10, -0x1.0cb15164a5d4bp-10, -0x1.05f02d87ffc3ap-10, -0x1.fea7dba1167d9p-11, -0x1.f1b7e784f028ep-11, -0x1.e50f3b8f7e7b3p-11, -0x1.d8ac994dea25fp-11, -0x1.cc8ecdb13020ap-11, -0x1.c0b4a621943dbp-11, -0x1.b51cfdc282c4p-11, -0x1.a9c688374140ep-11, -0x1.9eb040d3c5b21p-11, -0x1.93d8ffc0c4544p-11, -0x1.893faf1683d29p-11, -0x1.7ee33e34a5537p-11, -0x1.74c29e6d07964p-11, -0x1.6adcc144f7a0ap-11, -0x1.6130971e9523ap-11, -0x1.57bd14a6a5e3bp-11, -0x1.4e81313728e0bp-11, -0x1.457bec299bc08p-11, -0x1.3cac416e1378dp-11, -0x1.34114c5a466b3p-11, -0x1.2ba900fd59dffp-11, -0x1.23762a67cbcaep-11, -0x1.1b71d1b2edc31p-11, -0x1.139f827ca4a95p-11, -0x1.0bfca30e4cb0dp-11, -0x1.048887623458cp-11, -0x1.fa848952f5de8p-12, -0x1.ec51f6b95d17fp-12, -0x1.de778f2842918p-12, -0x1.d0f390f15d4dp-12, -0x1.c3c3fef91bee4p-12, -0x1.b6e9a3f623d68p-12, -0x1.aa5f38b7550d2p-12, -0x1.9e26215596c55p-12, -0x1.923a0169247d9p-12, -0x1.869cad5360aa8p-12, -0x1.7b4a34fcb6e61p-12, -0x1.70412c2415048p-12, -0x1.657fe6954e53dp-12, -0x1.5b04be3d558c4p-12, -0x1.50cdf06278b89p-12, -0x1.46da17cc845c8p-12, -0x1.3d2783aa74a7bp-12, -0x1.33b4cf7418a1ap-12, -0x1.2a80a156ccaeap-12, -0x1.2189a9e3a2042p-12, -0x1.18cebfc3fadp-12, -0x1.104eeb7fede98p-12, -0x1.08092351a2314p-12, -0x1.fff8ee9a494dfp-13, -0x1.f04f83369b4bp-13, -0x1.e11390586645fp-13, -0x1.d242aa6de42fbp-13, -0x1.c3da5b35201bdp-13, -0x1.b5d838ce81b8ap-13, -0x1.a839ee467ad4cp-13, -0x1.9afc46182adc7p-13, -0x1.8e1ddc27a7984p-13, -0x1.819c4b3fb465ap-13, -0x1.7573694a94c53p-13, -0x1.699be44f87049p-13, -0x1.5e28c572856a8p-13, -0x1.52f53fb1216a7p-13, -0x1.48189e4f22017p-13, -0x1.3d895b4a25115p-13, -0x1.3347163ebc895p-13, -0x1.29508bc049785p-13, -0x1.1fa4511b9ab5fp-13, -0x1.1640fd207b7bbp-13, -0x1.0d248bd1349d6p-13, -0x1.044cec52f6843p-13, -0x1.f7732133dd333p-14, -0x1.e6cf92326785cp-14, -0x1.d6ace51112059p-14, -0x1.c7085084aa525p-14, -0x1.b7ded8eff3c92p-14, -0x1.a92d1e70ef8f9p-14, -0x1.9aefd9f369287p-14, -0x1.8d23165167db2p-14, -0x1.7fc31fa14bad5p-14, -0x1.72cbb9ce206afp-14, -0x1.6639c93bf2c73p-14, -0x1.5a0a9c17f1ed6p-14, -0x1.4e3c2dbedd711p-14, -0x1.42cfd15d3e5a7p-14, -0x1.37ba4c88547cdp-14, -0x1.2d02231d3d33dp-14, -0x1.22a15b3e633f6p-14, -0x1.1895f27213908p-14, -0x1.0edba04139838p-14, -0x1.05727642c094ap-14, -0x1.f8b0969bbba64p-15, -0x1.e71668baa0bc4p-15, -0x1.d612e40163ddbp-15, -0x1.c5a1f32fbe922p-15, -0x1.b5bf991287b2cp-15, -0x1.a65924edd012p-15, -0x1.9781994a4d108p-15, -0x1.89433e2b68bbfp-15, -0x1.7b6ed843737b4p-15, -0x1.6e1400082ea39p-15, -0x1.612e3ded11f2cp-15, -0x1.54b89acc9c864p-15, -0x1.48b8a00286292p-15, -0x1.3d20957da9a86p-15, -0x1.31ec840bd244cp-15, -0x1.27249af063a57p-15, -0x1.1cbded670b811p-15, -0x1.12b72ce5c63bp-15, -0x1.0902b6d197c65p-15, -0x1.ff7c938b9400bp-16, -0x1.ed78b0f44916bp-16, -0x1.dc38420dd7badp-16, -0x1.cb8cfe180281ap-16, -0x1.bb80a6235b6cfp-16, -0x1.ac0e61403e1b7p-16, -0x1.9d3166ee76d65p-16, -0x1.8ee53c9d228fdp-16, -0x1.811e0d101b6a1p-16, -0x1.73e57d832409cp-16, -0x1.673264c50421p-16, -0x1.5af97641e0601p-16, -0x1.4f3cb7b138814p-16, -0x1.43f785bf7e4b2p-16, -0x1.3924c3735f47bp-16, -0x1.2ec03fe804a99p-16, -0x1.24c47f9ea8e53p-16, -0x1.1b2d4b492e10fp-16, -0x1.11f7edc5e0996p-16, -0x1.09237e274366p-16, -0x1.00ae29d50df06p-16, -0x1.f12bb026df9a5p-17, -0x1.e19f6d2dc9df3p-17, -0x1.d2bea227677d7p-17, -0x1.c480b65207068p-17, -0x1.b6de167906319p-17, -0x1.a9d1629409941p-17, -0x1.9d545227dd9a8p-17, -0x1.916099d70e09p-17, -0x1.85f028d768d0cp-17, -0x1.7afeb25eaa38p-17, -0x1.708918eb0c9e4p-17, -0x1.668e0432dc445p-17, -0x1.5cadf6fa26afdp-17, -0x1.53ad382036c97p-17, -0x1.4b3a62e5f4886p-17, -0x1.42f20c965f95cp-17, -0x1.3b0e2d00c7415p-17, -0x1.33899bda5b86p-17, -0x1.2c5a0934dd665p-17, -0x1.257ebd239af69p-17, -0x1.1ef6fe9541ebdp-17, -0x1.18c0cc497979fp-17, -0x1.12d7e1c0ddf88p-17, -0x1.0d37b6a262fadp-17, -0x1.07de42982fde6p-17, -0x1.02c8857fe69e5p-17, -0x1.fbe7e320c8f3bp-18, -0x1.f2c5ef220ccd6p-18, -0x1.ea009105fb48cp-18, -0x1.e1bc129807487p-18, -0x1.d9e63cb417704p-18, -0x1.d27bd0ae1e4aep-18, -0x1.cadc5b83eb302p-18, -0x1.c44470ecc2437p-18, -0x1.be5af42dbc2f4p-18, -0x1.b84f9650cf078p-18, -0x1.b29c1a4150d62p-18, -0x1.ad2f9400cff22p-18, -0x1.a87d877fdf40ep-18, -0x1.a2f773e29b5f3p-18, -0x1.9eb174adc93bcp-18, -0x1.9a57f1dd35422p-18, -0x1.963ab78a65ee3p-18, -0x1.9255e95133d08p-18, -0x1.8ea87a78f485ap-18, -0x1.8b4172eb9e339p-18, -0x1.87e3156f54cdap-18, -0x1.84c2854efcd1fp-18, -0x1.81cc56df14969p-18, -0x1.7efe8c8d6e86p-18, -0x1.7c58213076a69p-18, -0x1.79d2e7a3067bep-18, -0x1.776e6622f5c52p-18, -0x1.752b3c4a4f35dp-18, -0x1.730528f323e84p-18, -0x1.70faafdd25332p-18, -0x1.6f0a0d409a5e8p-18, -0x1.6d37262a3c02cp-18, -0x1.6b653513bd532p-18, -0x1.69bdf3e9f5786p-18, -0x1.6823b31e0f2a5p-18, -0x1.6696de8892389p-18, -0x1.6523277a8f0cfp-18, -0x1.63b0412cb80d4p-18, -0x1.6250d1d6050b8p-18, -0x1.60ff804ab26c7p-18, -0x1.5fbd3e57d288p-18, -0x1.5f020c8409386p-18, -0x1.5d080b0461a0ep-18, -0x1.5c186c784fc36p-18, -0x1.5aecb2f1a1f54p-18, -0x1.59cbde90e9e4fp-18, -0x1.58b38eeccf7d7p-18, -0x1.579d0a19aa863p-18, -0x1.5680cc8aecdb9p-18, -0x1.55776a8a285c4p-18, -0x1.546936890b84fp-18, -0x1.535cbdc4db0c6p-18, -0x1.52514d1ad0593p-18, -0x1.514685a52fe1dp-18, -0x1.503c5e5f68088p-18, -0x1.4f33abf0347e9p-18, -0x1.4e2d1b053941ap-18, -0x1.4cd593bdb3912p-18, -0x1.4ba53d42ae4cep-18, -0x1.4b03b5bdabb39p-18, -0x1.49e9b742ac555p-18, -0x1.48d14703e62b8p-18, -0x1.47b85c60bb7c3p-18, -0x1.469d27b98a9c2p-18, -0x1.45810aff1a59dp-18, -0x1.445dd516019e2p-18, -0x1.433ca80f8f527p-18, -0x1.424779f88c6eap-18, -0x1.40d6953d86879p-18, -0x1.3fac24ca17182p-18, -0x1.3e73d41ab44e7p-18, -0x1.3d38dfc329b6bp-18, -0x1.3bfef4414e45cp-18, -0x1.3aa14e80b27c4p-18, -0x1.396839037cfd9p-18, -0x1.38169d73c8925p-18, -0x1.36c24bfb5cf9ap-18, -0x1.356993dbfd4bbp-18, -0x1.340f38945e3f8p-18, -0x1.32ae447408158p-18, -0x1.3145ec9606b4ep-18, -0x1.2fde605053157p-18, -0x1.2e50a77cc0d4p-18, -0x1.2cf6445014b0ep-18, -0x1.2b7bbbcabd52ap-18, -0x1.29fccf6148098p-18, -0x1.287aa59e2fd99p-18, -0x1.26f3fab969307p-18, -0x1.25687056a8393p-18, -0x1.23d8aa89c966fp-18, -0x1.2244bbd77e122p-18, -0x1.20acc1ee428ffp-18, -0x1.1f113cc6523e6p-18, -0x1.1d70f4ee2a9c8p-18, -0x1.1bcd364af14cap-18, -0x1.1a254c4123cebp-18, -0x1.187a881e0cf87p-18, -0x1.16ccc2497bec4p-18, -0x1.151ce073e157p-18, -0x1.136847371e96ap-18, -0x1.11ae622a31469p-18, -0x1.0ff29397ec58fp-18, -0x1.0e3ae12ac39ep-18, -0x1.0c4a800855b46p-18, -0x1.0ab376f224a4cp-18, -0x1.08f109fd0ef22p-18, -0x1.072581046b0e2p-18, -0x1.055aeed6c14a7p-18, -0x1.038f1b7c64709p-18, -0x1.01c15eecd076cp-18, -0x1.ffe6e5070727cp-19, -0x1.fc41839bbcc16p-19, -0x1.f89ad070993b8p-19, -0x1.f4f291c635474p-19, -0x1.f151f3e2b88b8p-19, -0x1.eee1b833bc06bp-19, -0x1.e9dfd80a6378dp-19, -0x1.e63ba2ef3db45p-19, -0x1.e27f767629b25p-19, -0x1.deceb9f361ce6p-19, -0x1.db208bb79dd56p-19, -0x1.d8c8e14c80bfp-19, -0x1.d3a1aba300246p-19, -0x1.d01fadde62d64p-19, -0x1.cc3c8d136bb1fp-19, -0x1.c8798d6f23ffcp-19, -0x1.c4d5ff51f9c7ep-19, -0x1.c0ece2605bea3p-19, -0x1.bd813929591a8p-19, -0x1.b998b7386d73dp-19, -0x1.b5e3c6acf8aecp-19, -0x1.b235c2cc258c3p-19, -0x1.ae7b49e9d10bap-19, -0x1.aaca748981956p-19, -0x1.a71acf4568ca4p-19, -0x1.a36c4f863d5dfp-19, -0x1.9fc1888bd5f15p-19, -0x1.9c15a46df3a8cp-19, -0x1.986b6d2efbcb3p-19, -0x1.94c5dd0301f4bp-19, -0x1.912d35c645b6p-19, -0x1.8d8a7b320dab1p-19, -0x1.89ebeb707d85dp-19, -0x1.8651f1afe902bp-19, -0x1.82bf226ca578fp-19, -0x1.7f297a83302b3p-19, -0x1.7b9ab9e33a65bp-19, -0x1.780f8dcb0334bp-19, -0x1.74881d41d55d3p-19, -0x1.71048df58cd52p-19, -0x1.6d84fc4fb4a3dp-19, -0x1.6a095e27c8befp-19, -0x1.66908101bf956p-19, -0x1.631f452b4ba82p-19, -0x1.5fb3012b58603p-19, -0x1.5c47e5d5e4fe4p-19, -0x1.58e03eed2b208p-19, -0x1.557e427cee1f1p-19, -0x1.522897b9d469ap-19, -0x1.4ee18d8baf55bp-19, -0x1.4b9390e1e75fap-19, -0x1.483009d513e64p-19, -0x1.44f79e7faf589p-19, -0x1.41a295d253885p-19, -0x1.3e646e1c82394p-19, -0x1.3b2c059ef9f62p-19, -0x1.37f8df786e9fdp-19, -0x1.34cd327e1aec5p-19, -0x1.318c63ca48403p-19, -0x1.2e7f66033eff6p-19, -0x1.2b5f2adb8e314p-19, -0x1.284a2f1531dd8p-19, -0x1.253f719cf620ep-19, -0x1.21d06328057b7p-19, -0x1.1e80065290ae6p-19, -0x1.1c37b9bce2698p-19, -0x1.1914905dead0fp-19, -0x1.1606f6fd639abp-19, -0x1.1243642b241f4p-19, -0x1.105aba6fb337ep-19, -0x1.0e176bda579bfp-19, -0x1.0a84cffd92fe9p-19, -0x1.079d1765b1005p-19, -0x1.04c43a1505a9bp-19, -0x1.01f3dc94ed8d7p-19, -0x1.fe530f4102a31p-20, -0x1.f8c1fb9e85ab2p-20, -0x1.f33e55f9b9338p-20, -0x1.edc6c7490e5abp-20, -0x1.e858bf9d21fe4p-20, -0x1.e2f891356bf0dp-20, -0x1.dda1db53f4f54p-20, -0x1.d855cfdad7c13p-20, -0x1.d31477de3e39cp-20, -0x1.cdddc579068b3p-20, -0x1.c8b1c0748060fp-20, -0x1.c390cd1c9581cp-20, -0x1.be7c52f34930fp-20, -0x1.b96fdd5029497p-20, -0x1.b471175ecf7ecp-20, -0x1.af6d1bd4c44b3p-20, -0x1.aa89375cd50e9p-20, -0x1.a5a78749d5f9dp-20, -0x1.a0ca4e08ac937p-20, -0x1.9c0f7be61c3b4p-20, -0x1.9733a3ad006b4p-20, -0x1.92750e72b5bfep-20, -0x1.8dc45e67304cap-20, -0x1.8924a0dc33353p-20, -0x1.8488506a4ca63p-20, -0x1.7fd6c90af764ap-20, -0x1.7b5f68b062f3ep-20, -0x1.76d4b21e0a4d2p-20, -0x1.7269d40b51a7ap-20, -0x1.6dfe452caeb46p-20, -0x1.6992fa4ba13b8p-20, -0x1.6534611f99947p-20, -0x1.60e17ecd1e185p-20, -0x1.5d4fbfc7e797p-20, -0x1.58623d1ec3cddp-20, -0x1.54014e6cf0136p-20, -0x1.4fee0e50e15e1p-20, -0x1.4bc4e66a6dd9dp-20, -0x1.479d6dc578a97p-20, -0x1.4382de44eb4dep-20, -0x1.3f6fdb2733afap-20, -0x1.3b65e63a0f929p-20, -0x1.3766f4267002ep-20, -0x1.33bb71ea53d6ep-20, -0x1.30df7d4e7e9bdp-20, -0x1.2b9b5d31a0a93p-20, -0x1.27b745d6ca55bp-20, -0x1.23db5cc73410ap-20, -0x1.2008d3e6e602fp-20, -0x1.1c4223c71d1p-20, -0x1.183a06159cc2fp-20, -0x1.14c60a185fbbep-20, -0x1.1168fe667cc11p-20, -0x1.0d6551b561a0dp-20, -0x1.09ab04ab91e3cp-20, -0x1.0607da0912862p-20, -0x1.026b5e3a76c96p-20, -0x1.fdaf835f2cbfbp-21, -0x1.f6fb00cae91bap-21, -0x1.f0749f73aaf21p-21, -0x1.e768820ad123cp-21, -0x1.e1c802ed8747cp-21, -0x1.da95cc7e7a296p-21, -0x1.d3aec857b55ap-21, -0x1.cc7bbf2b7fdeep-21, -0x1.c61cb445cb2c3p-21, -0x1.bf5b3b50d1712p-21, -0x1.b8a741d56f7afp-21, -0x1.b1fedf6179595p-21, -0x1.ab62235bcfd47p-21, -0x1.a4d53c909d7cfp-21, -0x1.9e4946b6a3523p-21, -0x1.97d3ee656c2b4p-21, -0x1.915999f1a4e1dp-21, -0x1.8aeaa9d733deep-21, -0x1.84b217f139d01p-21, -0x1.7e4d0fc1d438cp-21, -0x1.76f37c661fa98p-21, -0x1.71bfa5cdbb188p-21, -0x1.6b859f9e9ec3ap-21, -0x1.653a557a6f9c3p-21, -0x1.5f13e005c3a12p-21, -0x1.59391278b2647p-21, -0x1.5305b133f1b79p-21, -0x1.4cea92dd260a8p-21, -0x1.46d8a2ed55634p-21, -0x1.3ee6d23dd4b86p-21, -0x1.3afa1e3f25ebdp-21, -0x1.350b3966c7d68p-21, -0x1.2f507063e4c9ep-21, -0x1.270d61aad8ed5p-21, -0x1.2390293403b21p-21, -0x1.1db8ba90e8a9fp-21, -0x1.17f46a6a12c42p-21, -0x1.1238ba859ea64p-21, -0x1.0c84ae2652a5fp-21, -0x1.06d8591c428d1p-21, -0x1.01378ffd8237bp-21, -0x1.f7ea6ac2cd2e8p-22, -0x1.ec04785fa629fp-22, -0x1.e0d9915d1c693p-22, -0x1.d5cb1b04b2602p-22, -0x1.c9051102e89b2p-22, -0x1.c667c7f2f0fc4p-22, -0x1.b4f9e9b2e6d2fp-22, -0x1.a9f40cf5f5d0ap-22, -0x1.9f3a32530d643p-22, -0x1.946464e9b58d4p-22, -0x1.89b9106401733p-22, -0x1.7ee7866a1910bp-22, -0x1.744e21ffb1bbap-22, -0x1.69c5fa5bb642ep-22, -0x1.5f3ed31cb67c4p-22, -0x1.54dee4ecde14dp-22, -0x1.4bed776a75264p-22, -0x1.402baf591cef6p-22, -0x1.3302d6cda4d1p-22, -0x1.2b512f9c305cp-22, -0x1.20f2071d90e5bp-22, -0x1.173a01e26d467p-22, -0x1.0ca0234717913p-22, -0x1.027a24fbd73d5p-22, -0x1.ac7feba9dd821p-23, -0x1.dcab510ddc2c9p-23, -0x1.c885d85394497p-23, -0x1.b48a420b233a6p-23, -0x1.a0c3f32775d1p-23, -0x1.8ce25c9a411a1p-23, -0x1.7acdcd76a229p-23, -0x1.65f55c7b0fd2fp-23, -0x1.52b43b5b93568p-23, -0x1.3912c70c1c9e1p-23, -0x1.2c2290b74deaep-23, -0x1.17b840aec7d86p-23, -0x1.04fa51fdf2cd8p-23, -0x1.e3b318baca4d3p-24, -0x1.bd199adea0a3ap-24, -0x1.96fe29a20d652p-24, -0x1.72093d0dd5eb9p-24, -0x1.4915ef8163b83p-24, -0x1.25e5b0f290671p-24, -0x1.00abe493eae02p-24, -0x1.b6ed2bcdb5b46p-25, -0x1.6cce1b93617p-25, -0x1.29cdc570b6d02p-25, -0x1.b2fdf10f26e5bp-26, -0x1.218190cb74feap-26, -0x1.6ab6e4da2be75p-27, 0x1.ab7600eaba47p-31, 0x1.280e9033093d3p-27, 0x1.3ff5b5616f6adp-26, 0x1.adcebca18030fp-26, 0x1.17cb9ff60293ep-25, 0x1.591b2a930b657p-25, 0x1.af55dbaeebc37p-25, 0x1.f7c40238400efp-25, 0x1.1dc15b93ffc58p-24, 0x1.406a42a87e397p-24, 0x1.63e648373216bp-24, 0x1.868b16b5f2764p-24, 0x1.a8e45c75f017ap-24, 0x1.cb31a937b2e07p-24, 0x1.ed9621664063dp-24, 0x1.07b95623fbe59p-23, 0x1.189ce09433e55p-23, 0x1.2ce901430cec5p-23, 0x1.3adb05f66901fp-23, 0x1.4b5959f0cf1p-23, 0x1.5bb9f678f9945p-23, 0x1.6c5cb4276171ap-23, 0x1.7ce29c99aa82ep-23, 0x1.8d5d3fc81886ap-23, 0x1.9dc635e3fee5ap-23, 0x1.adcd173d53521p-23, 0x1.be1d5e5eb801p-23, 0x1.ce4d69b643ec1p-23, 0x1.de546779c4177p-23, 0x1.eda14e3cc12f9p-23, 0x1.fe58b942c57d3p-23, 0x1.0713cbc54683cp-22, 0x1.0ebf02bfa6252p-22, 0x1.169a8a918d4a1p-22, 0x1.1e7a6ba0cf625p-22, 0x1.274741f7119d4p-22, 0x1.2e4e63ec0ba3ap-22, 0x1.356ed75c3a536p-22, 0x1.3d3b5c620e84dp-22, 0x1.449995cc2113dp-22, 0x1.4c349f23c6503p-22, 0x1.53d15d72f29ffp-22, 0x1.5b48c971a3886p-22, 0x1.62b6f4cf31363p-22, 0x1.6a1b4f512bb78p-22, 0x1.71727cbb2d3dap-22, 0x1.78bdd90d54084p-22, 0x1.80068f6201d44p-22, 0x1.87310cd1f6533p-22, 0x1.8ea90e727deaap-22, 0x1.9577d8b190c8bp-22, 0x1.9c98e7becfed5p-22, 0x1.a33be0ff0249fp-22, 0x1.aa2f4bb1bd84fp-22, 0x1.b1777e70c8327p-22, 0x1.b88b6d931d0e5p-22, 0x1.bf6a95d8f86c5p-22, 0x1.c6408c6803af5p-22, 0x1.cd0bda8654b0ap-22, 0x1.d3c759bfdda42p-22, 0x1.da9db07e9506ap-22, 0x1.e14d2dd22a732p-22, 0x1.e7bdc79f07a81p-22, 0x1.ee506779c476cp-22, 0x1.f4dd61ca17369p-22, 0x1.fb5ea930b6a3cp-22, 0x1.00e8a0be27bf9p-21, 0x1.0416def70f88cp-21, 0x1.074479a4080f3p-21, 0x1.0a6dc6a338fe5p-21, 0x1.0d77c4eb76f88p-21, 0x1.10b6a5d815808p-21, 0x1.13b8242509f19p-21, 0x1.17b98f9659571p-21, 0x1.0c7b9dc9a63dcp-21, 0x1.1cebab5fb3f4fp-21, 0x1.1fd11c01d65cap-21, 0x1.22d16776dedf2p-21, 0x1.25c9c38164adfp-21, 0x1.28b73bb980923p-21, 0x1.2b991686682c4p-21, 0x1.2e773cd39f8b7p-21, 0x1.315eb31ae0f37p-21, 0x1.3407bfdb82b24p-21, 0x1.36f68735181dfp-21, 0x1.39c283aa06fddp-21, 0x1.3c8e2d9814f55p-21, 0x1.3f5d851245fb7p-21, 0x1.41f2712da7509p-21, 0x1.44b23501cfcf5p-21, 0x1.476612aaeed07p-21, 0x1.4a07f710a0b6ep-21, 0x1.4ca694fbd6624p-21, 0x1.4f3f2784cd0b9p-21, 0x1.51d46a5047e38p-21, 0x1.5460b7f8be5cap-21, 0x1.56e2ebf9bf78ep-21, 0x1.59c13de4ffc4fp-21, 0x1.5be3e9d14c81ep-21, 0x1.5e58904d658d9p-21, 0x1.60d19bb4bf4c8p-21, 0x1.63238368d6595p-21, 0x1.653ce6ad960a9p-21, 0x1.67368f512845dp-21, 0x1.6a53cdc4ada84p-21, 0x1.6cb8cd91544a2p-21, 0x1.6eaf4b31f464p-21, 0x1.712ea761b4bf1p-21, 0x1.735dcbfea3c0ep-21, 0x1.75bef89c88994p-21, 0x1.77dfddcca03e4p-21, 0x1.7a05e8154aa49p-21, 0x1.7c2df8b3f0317p-21, 0x1.7e0bf394ff8c2p-21, 0x1.7ff5677ac28efp-21, 0x1.8286b59bdb41p-21, 0x1.84791e7fa7893p-21, 0x1.8667d8be9bdafp-21, 0x1.8890bc4ffd273p-21, 0x1.8a8e4c2dbaee7p-21, 0x1.8c81f1bb7bfb1p-21, 0x1.8e7479bad701dp-21, 0x1.9062c4cc2a089p-21, 0x1.924a475816133p-21, 0x1.93b8e788e8e5ap-21, 0x1.95f56b8a01279p-21, 0x1.97c2fcaefd29ap-21, 0x1.99a2bb8498b95p-21, 0x1.9ba968248630ep-21, 0x1.9d144ae917d5cp-21, 0x1.9ea4d8df2ac46p-21, 0x1.a07417c0f6717p-21, 0x1.a2381a1295006p-21, 0x1.a3ddfdf06b94dp-21, 0x1.a57f36dc031cep-21, 0x1.a71ab66fef73p-21, 0x1.a8d637ecfe013p-21, 0x1.aa3ee4b0dd7e6p-21, 0x1.abc3ae63242p-21, 0x1.ad51db9bc507ep-21, 0x1.aed36a8c59de1p-21, 0x1.b041be79de8bfp-21, 0x1.b1ae51624cbcp-21, 0x1.b32098c0382e3p-21, 0x1.b4897d0b300b2p-21, 0x1.b5e7ee636bc83p-21, 0x1.b74265ec100b4p-21, }}, 
      {{-0x1.041b577069c1bp+0, -0x1.fc2d27255fc69p-1, -0x1.e907d0dfd15d4p-1, -0x1.cfd7e3a2256bcp-1, -0x1.b1c93c5fb1b99p-1, -0x1.900895481bbb6p-1, -0x1.6bb32d71e4683p-1, -0x1.45ccff258363dp-1, -0x1.1f3b86bac65dbp-1, -0x1.f1877ce5240e6p-2, -0x1.a614840c3940fp-2, -0x1.5d29bbaf5a45ap-2, -0x1.1799f67e5c18dp-2, -0x1.ac0a23457be86p-3, -0x1.31bc6f7618eb5p-3, -0x1.81c7eee4e7ffp-4, -0x1.6762fb939f4f6p-5, 0x1.a1c892fb0eff2p-10, 0x1.59eef4b4c6c08p-5, 0x1.3ffc79be2591fp-4, 0x1.c02b639ececp-4, 0x1.17226bfafab6dp-3, 0x1.4594ed80d1cdep-3, 0x1.6be94a1b83d3fp-3, 0x1.8aa3468287905p-3, 0x1.a24b1be109af7p-3, 0x1.b36ac6a302fc1p-3, 0x1.be8bd4f98e7c5p-3, 0x1.c4359a1206dc9p-3, 0x1.c4ebeb663a90bp-3, 0x1.c12dc959051fcp-3, 0x1.b974d914e08b1p-3, 0x1.ae34af6458041p-3, 0x1.9fda77f93227ep-3, 0x1.8eccbe00dcb81p-3, 0x1.7b6b5582aaffdp-3, 0x1.660f5fbb78d01p-3, 0x1.4f0b58c6366e6p-3, 0x1.36ab7e691563ap-3, 0x1.1d358e5b3c687p-3, 0x1.02e97e146b837p-3, 0x1.d00310933d1fap-4, 0x1.9965023d6053ap-4, 0x1.62584a1787493p-4, 0x1.2b32cdf465p-4, 0x1.e882f8cc574cfp-5, 0x1.7b91cbd8df5d6p-5, 0x1.100ba4c4cbfc2p-5, 0x1.4cb747a34725dp-6, 0x1.f6fc5ecff3f3fp-8, -0x1.30b983434bbdfp-8, -0x1.1084ecb72777ap-6, -0x1.cecd279e43c6p-6, -0x1.43515e627028p-5, -0x1.9bd960e68a767p-5, -0x1.f0dd14f9e1e85p-5, -0x1.212114a6e57c1p-4, -0x1.47fa6eed0d666p-4, -0x1.6cf3a9822e28dp-4, -0x1.900884207e1a2p-4, -0x1.b13723567e2e1p-4, -0x1.d07fd480c201ap-4, -0x1.ede4d0f4a043bp-4, -0x1.04b504ce3c3fap-3, -0x1.118a7a4590e9dp-3, -0x1.1d762f5c3f393p-3, -0x1.287c20f3825ebp-3, -0x1.32a0cf7736a11p-3, -0x1.3be92b8fd9a06p-3, -0x1.445a86f18f95dp-3, -0x1.4bfa84ac3f534p-3, -0x1.52cf0b70c5d8p-3, -0x1.58de38f6ac0dp-3, -0x1.5e2e565461165p-3, -0x1.62c5cdb95e296p-3, -0x1.66ab20714a90cp-3, -0x1.69e4dec3971c5p-3, -0x1.6c799fbc643a8p-3, -0x1.6e6ffa66c6f2fp-3, -0x1.6fce7f6467fc4p-3, -0x1.709bb3507bdb1p-3, -0x1.70de09cdf2d0fp-3, -0x1.709be101efebfp-3, -0x1.6fdb7dc2faa81p-3, -0x1.6ea308b97f86fp-3, -0x1.6cf889c18ad0ap-3, -0x1.6ae1e7faf4e5ep-3, -0x1.6864e59e47bf9p-3, -0x1.65871f2b458d3p-3, -0x1.624e09a593a07p-3, -0x1.5ebef1a43db13p-3, -0x1.5adefa7461d4ap-3, -0x1.56b31d7074a37p-3, -0x1.524029c70bba4p-3, -0x1.4d8ac42e34c3dp-3, -0x1.489766f61cdebp-3, -0x1.436a6236a1fe5p-3, -0x1.3e07dbff03e52p-3, -0x1.3873d0f42c399p-3, -0x1.32b214a42d078p-3, -0x1.2cc65264fbaa9p-3, -0x1.26b40e134b94ep-3, -0x1.207ea4d76d48cp-3, -0x1.1a294e3e978ffp-3, -0x1.13b71cd818ba5p-3, -0x1.0d2affd31aedcp-3, -0x1.0687c33f9929bp-3, -0x1.ffa02345961a8p-4, -0x1.f20ce94ace369p-4, -0x1.e45aac9aa1cc5p-4, -0x1.d68e0400798bep-4, -0x1.c8ab4ae3c2005p-4, -0x1.bab6a400e4c9dp-4, -0x1.acb3fb61590fep-4, -0x1.9ea7087ba2c43p-4, -0x1.9093503f85c44p-4, -0x1.827c2811a3cd9p-4, -0x1.7464b6a9284f7p-4, -0x1.664ff6c4eb792p-4, -0x1.5840b8d0602bep-4, -0x1.4a39a483737e2p-4, -0x1.3c3d3aaf7de72p-4, -0x1.2e4dd7074b479p-4, -0x1.206db18e510bcp-4, -0x1.129ee0204a0ebp-4, -0x1.04e35836ca10cp-4, -0x1.ee79e08847e89p-5, -0x1.d35ac24ac8442p-5, -0x1.b86c8fc35777dp-5, -0x1.9db24d943dfb5p-5, -0x1.832ecd3b62b64p-5, -0x1.68e4b0b8041fdp-5, -0x1.4ed66bf625398p-5, -0x1.350646f6df96ap-5, -0x1.1b7660742d44ep-5, -0x1.0228af7da4e04p-5, -0x1.d23e0adc432cep-6, -0x1.a0b61ea0ff6a5p-6, -0x1.6fbcb0e4f829bp-6, -0x1.3f549555177a9p-6, -0x1.0f80622060384p-6, -0x1.c084e6195001bp-7, -0x1.6339d6ba9435bp-7, -0x1.072371447877dp-7, -0x1.588a5d2a4b414p-8, -0x1.4a88a070dbe03p-9, 0x1.70b8bac97365bp-13, 0x1.739e17f4d2ad7p-9, 0x1.659348b71e4c9p-8, 0x1.07676b5782cefp-7, 0x1.5abf4e3e4a50fp-7, 0x1.acd0019e88c5bp-7, 0x1.fd9878b1e242cp-7, 0x1.268beffed9a55p-6, 0x1.4da6ccd1a0e33p-6, 0x1.741c9deb25b65p-6, 0x1.99ed4667103f5p-6, 0x1.bf18bf631a07bp-6, 0x1.e39f16f82ef8p-6, 0x1.03c0383acdde1p-5, 0x1.155e8005cdd44p-5, 0x1.26aa861915572p-5, 0x1.37a475f27acf8p-5, 0x1.484c8297aae91p-5, 0x1.58a2e620e5441p-5, 0x1.68a7e19e35d6dp-5, 0x1.785bbc2f7b565p-5, 0x1.87bec3351367fp-5, 0x1.96d1492688fb6p-5, 0x1.a593a5eb0244cp-5, 0x1.b40636237d0d7p-5, 0x1.c2295b05ac3dp-5, 0x1.cffd79f0206e3p-5, 0x1.dd82fc5692d8cp-5, 0x1.eaba4f145ffe2p-5, 0x1.f7a3e2e8cb9cap-5, 0x1.022015dcea1b2p-4, 0x1.0847d02bde06bp-4, 0x1.0e495d43b5224p-4, 0x1.1424fb5f5d757p-4, 0x1.19daea06a0a76p-4, 0x1.1f6b69f95de09p-4, 0x1.24d6bd0ec4417p-4, 0x1.2a1d261157ca6p-4, 0x1.2f3ee9280e8afp-4, 0x1.343c4b0ce34bbp-4, 0x1.391591a7c91ecp-4, 0x1.3dcb0390ee128p-4, 0x1.425ce84c342cep-4, 0x1.46cb881707a69p-4, 0x1.4b172be45d4b4p-4, 0x1.4f401d80c1cc9p-4, 0x1.5346a7413216dp-4, 0x1.572b1435949a2p-4, 0x1.5aedb00845078p-4, 0x1.5e8ec6e0ab63p-4, 0x1.620ea5a85cb2ep-4, 0x1.656d99cc3b072p-4, 0x1.68abf124864afp-4, 0x1.6bc9fa1d52b8cp-4, 0x1.6ec803ba571c2p-4, 0x1.71a65d660096ap-4, 0x1.74655707c193dp-4, 0x1.77054102fd963p-4, 0x1.79866c29cada2p-4, 0x1.7be929c51e656p-4, 0x1.7e2dcb8d24154p-4, 0x1.8054a3c0cba37p-4, 0x1.825e04d1bd3a4p-4, 0x1.844a41c28b10ep-4, 0x1.8619ae008a0fep-4, 0x1.87cc9d63bfdf4p-4, 0x1.89636411b5c96p-4, 0x1.8ade56a5dfe16p-4, 0x1.8c3dca15a0c51p-4, 0x1.8d8213bd99926p-4, 0x1.8eab8951e6416p-4, 0x1.8fba80e52417dp-4, 0x1.90af50ff8d61dp-4, 0x1.918a50581c8fbp-4, 0x1.924bd61317357p-4, 0x1.92f439a4ddc35p-4, 0x1.9383d2de4b589p-4, 0x1.93faf9d8fe36fp-4, 0x1.945a06fcd2bcbp-4, 0x1.94a1530cbf3dep-4, 0x1.94d136f9b9094p-4, 0x1.94ea0c0875ba4p-4, 0x1.94ec2bb197c16p-4, 0x1.94d7efbf583bep-4, 0x1.94adb23cd4941p-4, 0x1.946dcd721ea63p-4, 0x1.94189bb42346dp-4, 0x1.93ae778bd89f7p-4, 0x1.932fbbc6c168p-4, 0x1.929cc357bac15p-4, 0x1.91f5e95771318p-4, 0x1.913b88fd437fdp-4, 0x1.906dfd903a3cdp-4, 0x1.8f8da25092a23p-4, 0x1.8e9ad2a56a843p-4, 0x1.8d95e9ec369aep-4, 0x1.8c7f43c903042p-4, 0x1.8b573bc75834bp-4, 0x1.8a1e2d33d79f5p-4, 0x1.88d4738166652p-4, 0x1.877a69d9dadf8p-4, 0x1.86106b6bd9cd7p-4, 0x1.8496d356d3d59p-4, 0x1.830dfcb872826p-4, 0x1.8176425cd1238p-4, 0x1.7fcffed3a3ad7p-4, 0x1.7e1b8c64f57ap-4, 0x1.7c59451b6cad3p-4, 0x1.7a8982d34223p-4, 0x1.78ac9f2cb0eap-4, 0x1.76c2f38c594eap-4, 0x1.74ccd8eaa2bc8p-4, 0x1.72caa7cafc422p-4, 0x1.70bcb83e7b01p-4, 0x1.6ea361eab7769p-4, 0x1.6c7efc1c044acp-4, 0x1.6a4fddb50ba23p-4, 0x1.68165d2c64c04p-4, 0x1.65d2d065eb5e7p-4, 0x1.63858cc54c81ap-4, 0x1.612ee6ebc4cbfp-4, 0x1.5ecf32e0457d1p-4, 0x1.5c66c4260b872p-4, 0x1.59f5edabff4d4p-4, 0x1.577d01d35a281p-4, 0x1.54fc52530c5a6p-4, 0x1.52743022792a4p-4, 0x1.4fe4eb613698cp-4, 0x1.4d4ed38a0ed4bp-4, 0x1.4ab23717e265dp-4, 0x1.480f63f5b3b4ep-4, 0x1.4566a749813f8p-4, 0x1.42b84d73cf608p-4, 0x1.4004a26502dc4p-4, 0x1.3d4bf07f7fa02p-4, 0x1.3a8e8134e3548p-4, 0x1.37cc9de214febp-4, 0x1.35068e4e6ed3cp-4, 0x1.323c99674bb1ap-4, 0x1.2f6f055e98d48p-4, 0x1.2c9e178e9935dp-4, 0x1.29ca14514b072p-4, 0x1.26f33f10a6505p-4, 0x1.2419da1f7c4bcp-4, 0x1.213e26c44679dp-4, 0x1.1e6065418a75p-4, 0x1.1b80d4dcf5546p-4, 0x1.189fb3e7ea3ffp-4, 0x1.15bd3fc20f1bfp-4, 0x1.12d9b4c705308p-4, 0x1.0ff54e41439ap-4, 0x1.0d10466ad7914p-4, 0x1.0a2ad662f837p-4, 0x1.0745362d09f39p-4, 0x1.045f9cb84e811p-4, 0x1.017a3fedaa64ap-4, 0x1.fd2aa953f75f8p-5, 0x1.f7621d8c039d1p-5, 0x1.f19b421fcdf7fp-5, 0x1.ebd67a89703e2p-5, 0x1.e6142811605bfp-5, 0x1.e054a9a82cadbp-5, 0x1.da985c1eb376cp-5, 0x1.d4df99f7c7e4fp-5, 0x1.cf2abbcbd7168p-5, 0x1.c97a17e4ae99cp-5, 0x1.c3ce02a0abeefp-5, 0x1.be26ce3ddc664p-5, 0x1.b884cae621aap-5, 0x1.b2e846a08de7fp-5, 0x1.ad518d3dfe98fp-5, 0x1.a7c0e869e9172p-5, 0x1.a2369fad29152p-5, 0x1.9cb2f888412ecp-5, 0x1.9736365a09991p-5, 0x1.91c09a98685f8p-5, 0x1.8c5264b66f78p-5, 0x1.86ebd22c5e9a8p-5, 0x1.818d1e75439e7p-5, 0x1.7c36830e2705bp-5, 0x1.76e8377e29458p-5, 0x1.71a270e815304p-5, 0x1.6c65632445eb7p-5, 0x1.67313fab8f5f6p-5, 0x1.6206362b58e52p-5, 0x1.5ce474800ae67p-5, 0x1.57cc26b6d1ee7p-5, 0x1.52bd77105262ap-5, 0x1.4db88e0122f47p-5, 0x1.48bd9231e6aa5p-5, 0x1.43cca8819819cp-5, 0x1.3ee5f40a99f2fp-5, 0x1.3a09962a07299p-5, 0x1.3537ae8a34cd3p-5, 0x1.30705b29de4f3p-5, 0x1.2bb3b863a855ep-5, 0x1.2701e100f4a51p-5, 0x1.225aee30b3ccfp-5, 0x1.1dbef79f9d5acp-5, 0x1.192e136e0f1c7p-5, 0x1.14a8563328a52p-5, 0x1.102dd3090f27ep-5, 0x1.0bbe9b8f18ad1p-5, 0x1.075abfef798ap-5, 0x1.03024eea1dd4fp-5, 0x1.fd6aabc24bcb1p-6, 0x1.f4e7c1ac5c0ffp-6, 0x1.ec7bf4f90af2ap-6, 0x1.e427588388be7p-6, 0x1.dbe9fc9d36bcbp-6, 0x1.d3c3ef2144b83p-6, 0x1.cbb53b83f490ep-6, 0x1.c3bdea9082c5ep-6, 0x1.bbde03065f44fp-6, 0x1.b415892fa8f72p-6, 0x1.ac647f1fe4623p-6, 0x1.a4cae4ccace1bp-6, 0x1.9d48b871edcdp-6, 0x1.95ddf492a7dc5p-6, 0x1.8e8a940652b02p-6, 0x1.874e8e40cc56fp-6, 0x1.8029d92404493p-6, 0x1.791c68b4017e2p-6, 0x1.72262f24bc4cbp-6, 0x1.6b471ce87eb5p-6, 0x1.647f20bec9a89p-6, 0x1.5dce27c3ef2b6p-6, 0x1.57341d80d4915p-6, 0x1.50b0ebd23d0c4p-6, 0x1.4a447a33d04bfp-6, 0x1.43eeb3c15779p-6, 0x1.3daf7742a38dep-6, 0x1.3786ae674500cp-6, 0x1.317439435e7f4p-6, 0x1.2b77f9d700bb3p-6, 0x1.2591d0812ed46p-6, 0x1.1fc19c358ec51p-6, 0x1.1a073b0facbcp-6, 0x1.14628a25966a6p-6, 0x1.0ed365848841ep-6, 0x1.0959a833f21aap-6, 0x1.03f52c3ad4189p-6, 0x1.fd4b952b233b6p-7, 0x1.f2d6b685906eap-7, 0x1.e88b6a3dfb964p-7, 0x1.de695bcf28b42p-7, 0x1.d4703c07b5928p-7, 0x1.ca9faae058849p-7, 0x1.c0f75cb23198fp-7, 0x1.b776f13d0b2d2p-7, 0x1.ae1e114378efap-7, 0x1.a4ec62957be92p-7, 0x1.9be1881fee2c9p-7, 0x1.92fd23901b52p-7, 0x1.8a3ed4c733846p-7, 0x1.81a63a52c6207p-7, 0x1.7932f213fb3c4p-7, 0x1.70e499f77c907p-7, 0x1.68bad099fd62dp-7, 0x1.60b535b15ffa1p-7, 0x1.58d369fa6877p-7, 0x1.51150ec1d07f1p-7, 0x1.4979c50160a76p-7, 0x1.42012c41533eep-7, 0x1.3aaae19a992c2p-7, 0x1.33767ed47465cp-7, 0x1.2c639b4943838p-7, 0x1.2571cc49af593p-7, 0x1.1ea0a37e53eedp-7, 0x1.17efb411352cbp-7, 0x1.115e95cbac7bcp-7, 0x1.0aecdf7cf0b2ap-7, 0x1.049a2df2899d8p-7, 0x1.fccc424c37f0ep-8, 0x1.f0a0b5e78186p-8, 0x1.e4b0fbe8b35b5p-8, 0x1.d8fc56b2744d8p-8, 0x1.cd8203a994f24p-8, 0x1.c24137ad7393fp-8, 0x1.b73921c4004f5p-8, 0x1.ac68ee594ae98p-8, 0x1.a1cfc6c618603p-8, 0x1.976cd954eb2e4p-8, 0x1.8d3f5c1254df8p-8, 0x1.83468e5c96653p-8, 0x1.7981b898ecf58p-8, 0x1.6ff02954b9572p-8, 0x1.6691308ed6528p-8, 0x1.5d641a4859ae1p-8, 0x1.54682970dd1dcp-8, 0x1.4b9c94b5d2c03p-8, 0x1.43008695efaffp-8, 0x1.3a9320d40f5a5p-8, 0x1.3253828f5f7bcp-8, 0x1.2a40d3c3ecbf7p-8, 0x1.225a3bea072bfp-8, 0x1.1a9f0be645337p-8, 0x1.130e9e3ce7ba8p-8, 0x1.0ba868ed276bbp-8, 0x1.046bf02b4bcbfp-8, 0x1.fab18601cd7aep-9, 0x1.ecdcdb3e7b399p-9, 0x1.df58da58512e8p-9, 0x1.d2244f2368afep-9, 0x1.c53dcfa3c7186p-9, 0x1.b8a3ae56ed4dbp-9, 0x1.ac543db68a5d4p-9, 0x1.a04d75b02eb3dp-9, 0x1.948d7cb85a065p-9, 0x1.891284e65eccfp-9, 0x1.7ddaf4a8c48e1p-9, 0x1.72e571b4ec57ap-9, 0x1.6830e73825d42p-9, 0x1.5dbc7ede41873p-9, 0x1.538790266cbe9p-9, 0x1.4991893b9a72p-9, 0x1.3fd9d5df329dap-9, 0x1.365fc8b126db3p-9, 0x1.2d228afc57287p-9, 0x1.242113314d63bp-9, 0x1.1b5a2532a58dcp-9, 0x1.12cc5ab9d0f58p-9, 0x1.0a7631fce84d2p-9, 0x1.0256208e2742p-9, 0x1.f4d54894e3cbp-10, 0x1.e564ad1c727dfp-10, 0x1.d657e57800383p-10, 0x1.c7acb940536d9p-10, 0x1.b9613f8fa6119p-10, 0x1.ab73d69c927bdp-10, 0x1.9de31497905f5p-10, 0x1.90adb29066789p-10, 0x1.83d271956b061p-10, 0x1.774fff6a495f9p-10, 0x1.6b24de9ac6055p-10, 0x1.5f4f5b3406758p-10, 0x1.53cd8fbc64e89p-10, 0x1.489d567834ca1p-10, 0x1.3dbd201698f93p-10, 0x1.332a2c3a5ff5ep-10, 0x1.28e32adbaef7fp-10, 0x1.1ee6040f3d447p-10, 0x1.1530dd291a1b7p-10, 0x1.0bc1cb059562p-10, 0x1.0296e8c02ed5p-10, 0x1.f35cea3a9dcf9p-11, 0x1.e20ddb7f6477bp-11, 0x1.d13e3270ad748p-11, 0x1.c0ebe3ab1586fp-11, 0x1.b11525f1dc385p-11, 0x1.a1b801e346818p-11, 0x1.92d2609002af7p-11, 0x1.8461ec220cda8p-11, 0x1.766463786da7dp-11, 0x1.68d78c651fcf9p-11, 0x1.5bb9346d1c1bbp-11, 0x1.4f06fa00488bbp-11, 0x1.42be017f9d2d5p-11, 0x1.36dab5f21a7ffp-11, 0x1.2b58c4affc20ap-11, 0x1.20337296f7d4dp-11, 0x1.15663958efc1dp-11, 0x1.0aed7c2e98bfp-11, 0x1.00c6f5c3dd621p-11, 0x1.ede33f16e986cp-12, 0x1.dada30af3f3f2p-12, 0x1.c871a867ddff5p-12, 0x1.b6a72e19e47bap-12, 0x1.a576f4c7886edp-12, 0x1.94dcd4c988b82p-12, 0x1.84d5887b9915p-12, 0x1.755f6197fdeb7p-12, 0x1.667a14ebb12e7p-12, 0x1.58257deaf93e9p-12, 0x1.4a616d163e78ep-12, 0x1.3d2b42634ced7p-12, 0x1.307d21c6f7371p-12, 0x1.244f4014f9bd9p-12, 0x1.1899a70fd32d9p-12, 0x1.0d507fa4271f9p-12, 0x1.026d609a0007cp-12, 0x1.efd4bb646839cp-13, 0x1.db8a06989e501p-13, 0x1.c7f98f1a6339fp-13, 0x1.b52374418caa3p-13, 0x1.a306d483c764bp-13, 0x1.91a0e0050eeap-13, 0x1.80ed9c83a13bcp-13, 0x1.70e8cb4c64b9dp-13, 0x1.618ee6c3a7ba3p-13, 0x1.52dd9a0592a91p-13, 0x1.44d34f6742c35p-13, 0x1.376e30407a1e4p-13, 0x1.2aab8e464a4dcp-13, 0x1.1e87e8c06b6ap-13, 0x1.12fea8c3cbcd5p-13, 0x1.0809ad7afc58cp-13, 0x1.fb41de7401dd4p-14, 0x1.e775f3eecb1f1p-14, 0x1.d49d7b910a92bp-14, 0x1.c2a9db8ad6ea2p-14, 0x1.b19207c839c5ap-14, 0x1.a14c6677e715p-14, 0x1.91d628f2a8036p-14, 0x1.83273434065b7p-14, 0x1.7536a14777f6bp-14, 0x1.67fbd2700638bp-14, 0x1.5b7082c5580cp-14, 0x1.4f9417f80c693p-14, 0x1.4469565cd97d4p-14, 0x1.39f0f392337dap-14, 0x1.30259bafeb9edp-14, 0x1.26fd235201e24p-14, 0x1.1e6a116887ec7p-14, 0x1.1668ec63355e4p-14, 0x1.0ef9bfd1c6d83p-14, 0x1.0815340f5a6dbp-14, 0x1.01be0f84e204dp-14, 0x1.f7de7115eb337p-15, 0x1.ed3e3ad80fa36p-15, 0x1.e38039fce5fe1p-15, 0x1.da8d2205b1b5cp-15, 0x1.d25311f8ae81ep-15, 0x1.cacc5a473eae5p-15, 0x1.c404da66ee4c2p-15, 0x1.be01b305aee13p-15, 0x1.b8ba6982c5f1fp-15, 0x1.b41fef8673f1fp-15, 0x1.b025413e80c7ep-15, 0x1.acc698f8683eap-15, 0x1.a9fa433f4dc9fp-15, 0x1.a7b2ce52fccc8p-15, 0x1.a5e4f7a5ec978p-15, 0x1.a48c02e0cc6fcp-15, 0x1.a3a64a13073a2p-15, 0x1.a32b8e0c727fdp-15, 0x1.a31bdbbc818bdp-15, 0x1.a37034b365bc2p-15, 0x1.a427f1ef4041bp-15, 0x1.a54be30ac1437p-15, 0x1.a6daa0af6e5ap-15, 0x1.a8c8d853e7252p-15, 0x1.ab03877779bf2p-15, 0x1.ad741e9b2935bp-15, 0x1.b00d8c52c54adp-15, 0x1.b2d685c97268fp-15, 0x1.b5dc142a8b9b6p-15, 0x1.b91b4543fcc44p-15, 0x1.bc877902cb207p-15, 0x1.c01daa2306d4p-15, 0x1.c3e5aee41b66ap-15, 0x1.c7e0ee7e0f567p-15, 0x1.cc083fbc6ef27p-15, 0x1.d05308fc4f315p-15, 0x1.d4b80d7e317dcp-15, 0x1.d92cc1e0dfadap-15, 0x1.dda9a1e52a5a1p-15, 0x1.e22feebb8d7c5p-15, 0x1.e6c5ff608ac63p-15, 0x1.eb6c820bb4531p-15, 0x1.f018508b5d548p-15, 0x1.f4d055c4eb228p-15, 0x1.f995985a7a748p-15, 0x1.fe663dc224042p-15, 0x1.01a09378e58d9p-14, 0x1.040f7b4c52425p-14, 0x1.067abffbe132p-14, 0x1.08de70ea747d5p-14, 0x1.0b3cd9dfccb7ep-14, 0x1.0d98fe8063788p-14, 0x1.0fef802d63c22p-14, 0x1.123e1c593d1fbp-14, 0x1.1487dd3df0fb4p-14, 0x1.16cd4e3dee564p-14, 0x1.190bc0ab11594p-14, 0x1.1b4167f2d83dfp-14, 0x1.1d6d77732dabdp-14, 0x1.1f90cea03f847p-14, 0x1.21ab8e0b9b731p-14, 0x1.23bdb7a50b5a9p-14, 0x1.25c1b5383f0a6p-14, 0x1.27be5144ef3e1p-14, 0x1.29af976f5d60ap-14, 0x1.2b912edfbe317p-14, 0x1.2d675478ea951p-14, 0x1.2f2fcc963a17bp-14, 0x1.30ea14f03eefep-14, 0x1.329a8901b153ep-14, 0x1.343d694ce5192p-14, 0x1.35d36e5fdaef6p-14, 0x1.375c19c443c3fp-14, 0x1.38d6ab80ccfe1p-14, 0x1.3a41cdbdd49cdp-14, 0x1.3b9f786c582d4p-14, 0x1.3cea9ffcdc253p-14, 0x1.3e2791fba30efp-14, 0x1.3f574143b67dbp-14, 0x1.4078f255ec636p-14, 0x1.418b6a7f9ca1ap-14, 0x1.428e58720816bp-14, 0x1.4381e26f14428p-14, 0x1.446623614a408p-14, 0x1.453b65c59f1a5p-14, 0x1.460175b09c18fp-14, 0x1.46b86d5c49022p-14, 0x1.4760bd4abdd6dp-14, 0x1.47f942b281ffcp-14, 0x1.4884cd172e2c7p-14, 0x1.490124b49d17dp-14, 0x1.496dd26edd90bp-14, 0x1.49cba01ff22c9p-14, 0x1.4a19cd379a24p-14, 0x1.4a5998cb720e8p-14, 0x1.4a8b8a0f9d2b4p-14, 0x1.4aaf04fb3c4aep-14, 0x1.4ac458b3ecbd8p-14, 0x1.4aca5f0e685d6p-14, 0x1.4ac3f043ac476p-14, 0x1.4aaf1d10fb13cp-14, 0x1.4a8be5c42fb5fp-14, 0x1.4a5aa4415955ap-14, 0x1.4a1c5850ef715p-14, 0x1.49d0a038c25b2p-14, 0x1.49786e970d3a1p-14, 0x1.49129eea832b4p-14, 0x1.489fe2a09ed2ep-14, 0x1.482073d9fe35ep-14, 0x1.4794853bfefacp-14, 0x1.46fc4433debfcp-14, 0x1.4657e13c13632p-14, 0x1.45a79042f493dp-14, 0x1.44ea16976e43bp-14, 0x1.4421ce3621e2bp-14, 0x1.435067134cf86p-14, 0x1.4271f1f037715p-14, 0x1.4188cb9cedc83p-14, 0x1.4094dc16abdep-14, 0x1.3f961df35f682p-14, 0x1.3e8cfb549990bp-14, 0x1.3d799f4430c76p-14, 0x1.3c5c85a2ca278p-14, 0x1.3b376ee2b824cp-14, 0x1.3a0438d7cf0e8p-14, 0x1.38ca59eff3f3cp-14, 0x1.3786fa588858p-14, 0x1.363abaddc8b27p-14, 0x1.34e5636a248e8p-14, 0x1.33864b95a3d27p-14, 0x1.3221e50e65414p-14, 0x1.30b36e68fa6bcp-14, 0x1.2f3d3b8ec12fep-14, 0x1.2dbf4c998b937p-14, 0x1.2c39a81109fb1p-14, 0x1.2aacb895123e1p-14, 0x1.291886d3953e5p-14, 0x1.277d41119f28ep-14, 0x1.25dc9322deb6ap-14, 0x1.24330f7eb44c5p-14, 0x1.2284370fddf1fp-14, 0x1.20cf2576b86dep-14, 0x1.1f141d4349fa4p-14, 0x1.1d5344a6c5d03p-14, 0x1.1b8ccaac7503bp-14, 0x1.19c0e0ac68085p-14, 0x1.17ef80e7ae219p-14, 0x1.16191b656ac16p-14, 0x1.143e0afd7be87p-14, 0x1.125e0a2ed3ae4p-14, 0x1.10797b334e2d3p-14, 0x1.0e90a84d4c2aap-14, 0x1.0ca3b3ff87307p-14, 0x1.0ab2bbef82741p-14, 0x1.08bde51e97baep-14, 0x1.06c561c3c8b02p-14, 0x1.04c967f8bf13ep-14, 0x1.02c9e3abcc5a1p-14, 0x1.00c74b2ef0298p-14, 0x1.fd845590d9806p-15, 0x1.f9722e7be706ap-15, 0x1.f55b90c3ab2d9p-15, 0x1.f14017192361ep-15, 0x1.ed1fc0619d50ap-15, 0x1.e8fadef6d76b7p-15, 0x1.e4d1bcad27e94p-15, 0x1.e0a47fb98ccefp-15, 0x1.dc73cb492b543p-15, 0x1.d83fa0e53968dp-15, 0x1.d4085c5a395eap-15, 0x1.cfce44947a251p-15, 0x1.cb934c0ea0ec5p-15, 0x1.c75251b8714f4p-15, 0x1.c3114941460bfp-15, 0x1.bece552404044p-15, 0x1.ba8a3dff7d54bp-15, 0x1.b6443b86795fdp-15, 0x1.b2055aae253e6p-15, 0x1.adb25f33306bap-15, 0x1.a96f218651c1fp-15, 0x1.a5244f2dde549p-15, 0x1.a0dac4f6f29b5p-15, 0x1.9c923f290659ap-15, 0x1.98485d86c6a33p-15, 0x1.9401ea7717163p-15, 0x1.8fb9203e77f01p-15, 0x1.8b725277372c7p-15, 0x1.872c6d11536efp-15, 0x1.82e80884dd447p-15, 0x1.7ea543f8a4486p-15, 0x1.7a63c43aeefdcp-15, 0x1.7623aa9402e3ap-15, 0x1.71e5aebd04e8cp-15, 0x1.6daa11d2dbe18p-15, 0x1.6970c4d6a9838p-15, 0x1.6539dbb5ef554p-15, 0x1.61059ddfe360fp-15, 0x1.5cd3e93493d3p-15, 0x1.58a53858838dp-15, 0x1.5479941fb53b1p-15, 0x1.5051274a40c05p-15, 0x1.4c2c0bb754c17p-15, 0x1.480a6e76cd37p-15, 0x1.43ec593897c28p-15, 0x1.3fd1e9434dc77p-15, 0x1.3bbb816cc6cffp-15, 0x1.37a95f5cab797p-15, 0x1.339abb8a6ff4p-15, 0x1.2f901a9360de7p-15, 0x1.2b8a34317a3fp-15, 0x1.2788b604b0a1dp-15, 0x1.238ba8e553bd2p-15, 0x1.1f935241e6802p-15, 0x1.1b9fa3613b018p-15, 0x1.17b0af11325e2p-15, 0x1.13c897794e12bp-15, 0x1.0fe4432d15e67p-15, 0x1.0c019dd6b5102p-15, 0x1.0826d0a0d7279p-15, 0x1.0451633ceecfdp-15, 0x1.0081294be1597p-15, 0x1.f96c721f7945bp-16, 0x1.f1e17ceeb4dadp-16, 0x1.ea623918b6d68p-16, 0x1.e2e670b0eb6bcp-16, 0x1.db8514d0a0542p-16, 0x1.d4256f63f00e5p-16, 0x1.ccd2d73fbfc1bp-16, 0x1.c58c76c4803fdp-16, 0x1.be52a79d5b25bp-16, 0x1.b7183f7502505p-16, 0x1.affe3adc3d2a7p-16, 0x1.a8e66c7fd5671p-16, 0x1.a1d98afba3842p-16, 0x1.9acd7929a5c71p-16, 0x1.93e8c95340d28p-16, 0x1.8d0484d92d181p-16, 0x1.862890b2dc991p-16, 0x1.7f5a619a29fa6p-16, 0x1.7898fd6ced701p-16, 0x1.71e41be4eb0f5p-16, 0x1.6b3bd097142b1p-16, 0x1.64a0b10db356cp-16, 0x1.5e120c0aaeaa1p-16, 0x1.57901ca9602bp-16, 0x1.511b0bf1c615ep-16, 0x1.4ab29fb153117p-16, 0x1.4457225eb206ap-16, 0x1.3e08880e6d76cp-16, 0x1.37c6d43eb02ecp-16, 0x1.31920d976fcc4p-16, 0x1.2b6a3779dd803p-16, 0x1.254f540f9149p-16, 0x1.1f41624104321p-16, 0x1.194072b227cd1p-16, 0x1.134c78627d5c6p-16, 0x1.0d65a17eb7e39p-16, 0x1.078afd1d36072p-16, 0x1.01be82fa8d49p-16, 0x1.f7fcea0416191p-17, 0x1.ec96f79679275p-17, 0x1.e14a451f777bfp-17, 0x1.d6179f5dde1c8p-17, 0x1.caff30595af2ap-17, 0x1.c00146424d539p-17, 0x1.b51cbd35382bcp-17, 0x1.aa43edd866ebbp-17, 0x1.9fa0df8a8b73cp-17, 0x1.95072c435535cp-17, 0x1.8a88a33bfd1d6p-17, 0x1.8023cfd91fb43p-17, 0x1.75d86aafb1c01p-17, 0x1.6ba66f269828fp-17, 0x1.618dde75ddfb6p-17, 0x1.579540670071cp-17, 0x1.4daaed169c0eep-17, 0x1.43d83a863a066p-17, 0x1.3a281a9b7e1fcp-17, 0x1.308bf9059ab62p-17, 0x1.2709261b0c079p-17, 0x1.1d9f5d97ae5b2p-17, 0x1.144e1d3e72c2p-17, 0x1.0b15921a70e94p-17, 0x1.01f5ceb27f626p-17, 0x1.f1e34b132fa5bp-18, 0x1.e02ae22e6e136p-18, 0x1.ce4f2175c80c3p-18, 0x1.bccebf5b04631p-18, 0x1.ab80a88bfc28bp-18, 0x1.9a6159fbdfa78p-18, 0x1.897221154fc0dp-18, 0x1.78ae02c70e431p-18, 0x1.681bd5a98f02p-18, 0x1.57bebf66f240fp-18, 0x1.4786bd34bfcf6p-18, 0x1.377effd280b78p-18, 0x1.27a6df576b448p-18, 0x1.17fa63005d76cp-18, 0x1.087c3596592ccp-18, 0x1.f261cd0618ff2p-19, 0x1.d3fa74e56025p-19, 0x1.b5e8901b3cb14p-19, 0x1.98952b618a8d5p-19, 0x1.7b4a0a9e24a98p-19, 0x1.5e7307d30605fp-19, 0x1.41ad94027b857p-19, 0x1.259cb5d366f73p-19, 0x1.09b4f5a795352p-19, 0x1.dc548e53b8328p-20, 0x1.a5e5076d23199p-20, 0x1.701bf06693501p-20, 0x1.3affe686639fep-20, 0x1.067d0ca5ee5cdp-20, 0x1.a54b25c05fdcp-21, 0x1.3ee555cb3871bp-21, 0x1.b390ecafbb261p-22, 0x1.d7d9c335b6ab8p-23, 0x1.34e5071b69a0ep-25, -0x1.3e8f8fedcc483p-23, -0x1.5c51617bd3f41p-22, -0x1.0d1ac0340739ap-21, -0x1.6ad490543cc57p-21, -0x1.c74ae663b997cp-21, -0x1.1146ef26f5b2bp-20, -0x1.3e5ed463c7f3ap-20, -0x1.6ac7c380d8b28p-20, -0x1.96aad56b6f6e3p-20, -0x1.c2d9982980134p-20, -0x1.eca66599c96a5p-20, -0x1.0b66bcc306d6cp-19, -0x1.2029c2646d658p-19, -0x1.351cbe959d8a6p-19, -0x1.48e946100aa9cp-19, -0x1.5cdebb6cea84bp-19, -0x1.708bbbff16907p-19, -0x1.83f2c8d0b29dap-19, -0x1.97148e6c9cf4ep-19, -0x1.a9f153cfb2e0ap-19, -0x1.bc8455ec38a65p-19, -0x1.ce6155bdd408dp-19, -0x1.e0ec71876d91p-19, -0x1.f2c441acfbb17p-19, -0x1.0229f95caf512p-18, -0x1.0ad7f30218f8dp-18, -0x1.134249b89ceecp-18, -0x1.1bbe7db661088p-18, -0x1.240605258aef2p-18, -0x1.2c2c75246a5fep-18, -0x1.3435af606bd97p-18, -0x1.3c1e7ecfc0737p-18, -0x1.43eb0c497e5d2p-18, -0x1.4b96e9e1c6d86p-18, -0x1.53288249058e2p-18, -0x1.5a9568368968p-18, -0x1.61e5e9738bfe2p-18, -0x1.68ece2894bdaap-18, -0x1.7036c02976192p-18, -0x1.772645a133547p-18, -0x1.7e16d65bad07ap-18, -0x1.84db23f087108p-18, -0x1.8b7b2deeb018fp-18, -0x1.920eb932e5e2bp-18, -0x1.987f49f87d8cep-18, -0x1.9f3a4bb7aca17p-18, -0x1.a5122085b9b8bp-18, -0x1.ab325fe60f9d5p-18, -0x1.b13923c32677fp-18, -0x1.b725f8d8122afp-18, -0x1.bcf89c2dfd8eap-18, -0x1.c2d7f825d79c3p-18, -0x1.c84da9203d2efp-18, -0x1.cdd630118c2a3p-18, -0x1.d364d5d967d2ep-18, -0x1.d89a85f7e3cbfp-18, -0x1.ddd9338b4fe59p-18, -0x1.e2fc77416383cp-18, -0x1.e809d82edac5cp-18, -0x1.ed02473ea17bep-18, -0x1.f1df0d8eed78cp-18, -0x1.f6a69ba022c2bp-18, -0x1.fb811b2246117p-18, -0x1.fff2ee7ca9bddp-18, -0x1.023a81c7c4c55p-17, -0x1.047121abb936ap-17, -0x1.069cdc4dabf3ap-17, -0x1.08b7fe189a1eap-17, -0x1.0ad3d3bea6202p-17, -0x1.0cde027e1f9efp-17, -0x1.0eb27f27b0c54p-17, -0x1.10d0db72f2051p-17, -0x1.12c40aa841ff4p-17, -0x1.14a9b745d3a26p-17, -0x1.167d93291f6f7p-17, -0x1.18473f330fc05p-17, -0x1.1a085a50147d8p-17, -0x1.1bc921d66980ap-17, -0x1.1d9722cf832b7p-17, -0x1.1f2343e6f2f78p-17, -0x1.20c2e946415e8p-17, -0x1.22563f0525cf2p-17, -0x1.23e1e461ae859p-17, -0x1.2564386d00b9cp-17, -0x1.26dd8be315313p-17, -0x1.284e417d21796p-17, -0x1.29b595e147f2fp-17, -0x1.2b149412c859ap-17, -0x1.2c639767f0362p-17, -0x1.2dbafeb345731p-17, -0x1.2eff5a002a4ecp-17, -0x1.303a797a3e35ep-17, -0x1.316f665fdcd97p-17, -0x1.329c0665934c5p-17, -0x1.33c08c1d7714fp-17, -0x1.34dcf2d52475fp-17, -0x1.35f378f92e95ap-17, -0x1.36fd719ce13dap-17, -0x1.380764a271792p-17, -0x1.3900126a19f93p-17, -0x1.39d20aca59398p-17, -0x1.3ae56a9d03c26p-17, -0x1.3bce0f05be071p-17, -0x1.3cad664b3b0a1p-17, -0x1.3d85de21c6b99p-17, -0x1.3e59523882a55p-17, -0x1.3f0cdac3939a2p-17, -0x1.3fe841eb4fa66p-17, -0x1.40a499c89649ap-17, -0x1.415e88e86589ep-17, -0x1.42088f79aa137p-17, -0x1.42b2ef7bc0b49p-17, -0x1.4355d268729e6p-17, -0x1.43f34b70e249ap-17, -0x1.44888ca9938c8p-17, -0x1.4517bfe9aa2d6p-17, -0x1.45a0f4deada43p-17, -0x1.46236c3b01cadp-17, -0x1.46ac2424d5cfdp-17, -0x1.4716261f1837cp-17, -0x1.478db450c2e42p-17, -0x1.47f4580dc3c21p-17, -0x1.485acb5c25d2ep-17, -0x1.48c1a06e5e197p-17, -0x1.48febfb5c2e2ap-17, -0x1.4969dadd80456p-17, -0x1.49b9f06fbc47p-17, -0x1.4a03bdd8a565ap-17, -0x1.4a485a7f44e72p-17, -0x1.4a87b93e6f3d1p-17, -0x1.4ac1f6eba6ff3p-17, -0x1.4af5c014a1541p-17, -0x1.4b0aa01b0ff8p-17, -0x1.4b515402e4855p-17, -0x1.4b7825e0c2a83p-17, -0x1.4b993cb6d7c9dp-17, -0x1.4bb5b4439ed4ap-17, -0x1.4bcd90aae0685p-17, -0x1.4be04137b7eaep-17, -0x1.4beeb312a5fe4p-17, -0x1.4bf89ab888581p-17, -0x1.4bfc9dde73757p-17, -0x1.4c07864897b43p-17, -0x1.4bfa985f34dfap-17, -0x1.4bfb091280a73p-17, -0x1.4be4f5e82ea12p-17, -0x1.4bd80ab81af58p-17, -0x1.4bb8c407a8197p-17, -0x1.4ba9845a3d585p-17, -0x1.4b8d81df535bbp-17, -0x1.4b6d05c4059fap-17, -0x1.4b487d4ad7e42p-17, -0x1.4b2058c31123bp-17, -0x1.4af514b608366p-17, -0x1.4acf9f11ad281p-17, -0x1.4a912cf4ad1ap-17, -0x1.4a58b4f7e04fep-17, -0x1.4a1aa99642096p-17, -0x1.49eb3fa822476p-17, -0x1.499d449ee01fcp-17, -0x1.49593abe6ab77p-17, -0x1.490fc884013bcp-17, -0x1.48c3a0ec722fdp-17, -0x1.4874784634729p-17, -0x1.4821c39d7bd2fp-17, -0x1.47cbbfe6adc18p-17, -0x1.477291007f9c9p-17, -0x1.471b7caa5171cp-17, -0x1.46b58c00e4ee6p-17, -0x1.46556886328bap-17, -0x1.45efe2575df81p-17, -0x1.4588c605e9f14p-17, -0x1.451bcb3b22ef7p-17, -0x1.44a7bd64dc273p-17, -0x1.4438a3b93c2p-17, -0x1.43caa7d522fc9p-17, -0x1.4356697810606p-17, -0x1.42c15d4c8e7ecp-17, -0x1.42619c3f084ffp-17, -0x1.41e22cb2be83cp-17, -0x1.4162dbf04c6bep-17, -0x1.40df100c74c3p-17, -0x1.40592a00acac8p-17, -0x1.3fd0735b0280dp-17, -0x1.3f575adc3c1ecp-17, -0x1.3eb98c0b68769p-17, -0x1.3e2b5681460edp-17, -0x1.3d9b435afde67p-17, -0x1.3d0787a9659e6p-17, -0x1.3c705547b8af2p-17, -0x1.3bd8ae9bc6037p-17, -0x1.3b3dd0580f274p-17, -0x1.3aa2b4a3b5edcp-17, -0x1.3a053466fd7bbp-17, -0x1.3960c16418268p-17, -0x1.38b1f64ec0e79p-17, -0x1.381e300db0822p-17, -0x1.37785010b62p-17, -0x1.36d10a87701dp-17, -0x1.362093ebc00a9p-17, -0x1.357bd20183ecp-17, -0x1.34c932e5163f4p-17, -0x1.341c328fc69b9p-17, -0x1.336ec5196f0b9p-17, -0x1.32bc295a84314p-17, -0x1.320814b1b4c8bp-17, -0x1.3152661eb2129p-17, -0x1.30a25373a788cp-17, -0x1.2fe251416b32p-17, -0x1.2f2801152c4dp-17, -0x1.2e6bceb16d40ap-17, -0x1.2daecc3c7e13ap-17, -0x1.2cf0eada7045ap-17, -0x1.2c2f77584ab4fp-17, -0x1.2b6e34cb6f777p-17, -0x1.2aab658d705b9p-17, -0x1.29e720c6843dp-17, -0x1.2921a086b24e5p-17, }}, 
      {{-0x1.057a001b4e02p+0, -0x1.03708889343d9p+0, -0x1.0024ade26e7a2p+0, -0x1.f76a469180dc2p-1, -0x1.ec8a57b2af4a2p-1, -0x1.dff390032e428p-1, -0x1.d1efc513233ffp-1, -0x1.c2c6113b6060fp-1, -0x1.b2b92ce7ae971p-1, -0x1.a2066d81c505fp-1, -0x1.90e53d36c676ap-1, -0x1.7f86f5eb9803p-1, -0x1.6e16dc1fe4f2p-1, -0x1.5cba6f4227903p-1, -0x1.4b91b996b348ap-1, -0x1.3ab7b7cb6946ap-1, -0x1.2a42cfcfc98p-1, -0x1.1a4541321dbc7p-1, -0x1.0acd9bdc58845p-1, -0x1.f7ce53c72da43p-2, -0x1.db34aec3dc1abp-2, -0x1.bfda2274a2d5ep-2, -0x1.a5c6322808f9p-2, -0x1.8cfcaa076ae61p-2, -0x1.757e2b914f1dep-2, -0x1.5f48a7bbdc00fp-2, -0x1.4a57d5b8fbc61p-2, -0x1.36a58ff06ddfdp-2, -0x1.242a2f927f51dp-2, -0x1.12dcd7ea35463p-2, -0x1.02b3b9e4acc7ap-2, -0x1.e7489d59cff7p-3, -0x1.cb4710a3508a6p-3, -0x1.b14bff5e325f9p-3, -0x1.99402e08016c9p-3, -0x1.830c3467c7da7p-3, -0x1.6e98b23d7d30fp-3, -0x1.5bce7f1f58b7dp-3, -0x1.4a96b8cfb149ep-3, -0x1.3adb0c45ab5efp-3, -0x1.2c85a38094ba3p-3, -0x1.1f814abdd4ae6p-3, -0x1.13b97daf3badep-3, -0x1.091a70c562365p-3, -0x1.ff2230f9790d2p-4, -0x1.ee165e0d91985p-4, -0x1.deee70d2e99e6p-4, -0x1.d18900ce6fd9p-4, -0x1.c5c614f5ea70ap-4, -0x1.bb8783eae698bp-4, -0x1.b2b07242f2a1fp-4, -0x1.ab259190edea4p-4, -0x1.a4cd05ac06427p-4, -0x1.9f8e5a437a883p-4, -0x1.9b5277f41ce24p-4, -0x1.980397ab99054p-4, -0x1.958d368da0a06p-4, -0x1.93dc0919484e1p-4, -0x1.92ddee1b4b25p-4, -0x1.9281e34a11501p-4, -0x1.92b7f588ad2dbp-4, -0x1.9371377abe1ap-4, -0x1.949fb35d84a49p-4, -0x1.96365f399c827p-4, -0x1.982913d2a7ffp-4, -0x1.9a6c79ad0aeb4p-4, -0x1.9cf6052df7a26p-4, -0x1.9fbbedeb0e9f8p-4, -0x1.a2b51ab1b1921p-4, -0x1.a5d91efa3cbadp-4, -0x1.a9202fc369af6p-4, -0x1.ac831a19288d7p-4, -0x1.affb3a4b32282p-4, -0x1.b38273418ea4ep-4, -0x1.b713284d2b9bdp-4, -0x1.baa83203db6dcp-4, -0x1.be3cda8780cf6p-4, -0x1.c1ccd49d7df2p-4, -0x1.c55435ca8a159p-4, -0x1.c8cf6fcee7f99p-4, -0x1.cc3b4ae06d70ap-4, -0x1.cf94e0045194dp-4, -0x1.d2d99376fa832p-4, -0x1.d6070f7bec876p-4, -0x1.d91b41a380deep-4, -0x1.dc1451ed8daf1p-4, -0x1.def0a32d7b47cp-4, -0x1.e1aecb888f738p-4, -0x1.e44d9357b440ep-4, -0x1.e6cbefa0cbbfap-4, -0x1.e928ff936e962p-4, -0x1.eb6409464da0bp-4, -0x1.ed7c766d1d0e6p-4, -0x1.ef71d1ead1cbfp-4, -0x1.f143c4efcdbb9p-4, -0x1.f2f214824b33bp-4, -0x1.f47c9f4a8c25bp-4, -0x1.f5e35b5626988p-4, -0x1.f72654dae43d9p-4, -0x1.f845aa859b08p-4, -0x1.f9418da4e7fedp-4, -0x1.fa1a3f7952bbfp-4, -0x1.fad00fb7b07e8p-4, -0x1.fb635bf7ffb65p-4, -0x1.fbd48b4f700bdp-4, -0x1.fc24128fc2926p-4, -0x1.fc526d3524405p-4, -0x1.fc6020378c634p-4, -0x1.fc4db7c9c8261p-4, -0x1.fc1bc69d256c4p-4, -0x1.fbcae516af507p-4, -0x1.fb5bb08bdda1ap-4, -0x1.faceca72b648ep-4, -0x1.fa24d83f1e826p-4, -0x1.f95e8138f2cefp-4, -0x1.f87c6f2146e25p-4, -0x1.f77f4e5c150e8p-4, -0x1.f667cb4851a84p-4, -0x1.f536935ad0c7ep-4, -0x1.f3ec545437fb4p-4, -0x1.f289bbeca21a9p-4, -0x1.f10f7780011cdp-4, -0x1.ef7e33e782cd1p-4, -0x1.edd69df8d2008p-4, -0x1.ec19601469408p-4, -0x1.ea4724744776cp-4, -0x1.e86093acc56a1p-4, -0x1.e66654b067df2p-4, -0x1.e4590c9b7283cp-4, -0x1.e2395e90f107dp-4, -0x1.e007eb8eca302p-4, -0x1.ddc5524ce5039p-4, -0x1.db722f20997b1p-4, -0x1.d90f1bd9bee12p-4, -0x1.d69cafc2f5b51p-4, -0x1.d41b7f8bb1346p-4, -0x1.d18c1d04f41f9p-4, -0x1.ceef17b78b017p-4, -0x1.cc44fdfeb0d7fp-4, -0x1.c98e5761f0a2dp-4, -0x1.c6cbac14ef407p-4, -0x1.c3fd815e77fdap-4, -0x1.c1245a231f0fp-4, -0x1.be40b4b9bc185p-4, -0x1.bb530e39b738bp-4, -0x1.b85be0ec007efp-4, -0x1.b55ba4554d259p-4, -0x1.b252cd5c2d2a2p-4, -0x1.af41ce42d4f74p-4, -0x1.ac2916a39fb66p-4, -0x1.a9091381f3781p-4, -0x1.a5e22f56aa5a6p-4, -0x1.a2b4d1e1cdb73p-4, -0x1.9f816080ada19p-4, -0x1.9c483e17da9aap-4, -0x1.9909cb025c529p-4, -0x1.95c6652e0d40ap-4, -0x1.927e682baaa25p-4, -0x1.8f322d4a9ec2ep-4, -0x1.8be20b79ef8e4p-4, -0x1.888e577f13b91p-4, -0x1.853763da8e81dp-4, -0x1.81dd80eda756cp-4, -0x1.7e80fcfcbaddfp-4, -0x1.7b22243c1e329p-4, -0x1.77c140e20fdcbp-4, -0x1.745e9b34f97dep-4, -0x1.70fa79531747ep-4, -0x1.6d951fafed565p-4, -0x1.6a2ed0be0fd24p-4, -0x1.66c7cd28baf56p-4, -0x1.636053b061571p-4, -0x1.5ff8a1f7752a9p-4, -0x1.5c90f29976154p-4, -0x1.59298041b40ccp-4, -0x1.55c2825180a7fp-4, -0x1.525c2f6a06bf8p-4, -0x1.4ef6bc84299bap-4, -0x1.4b925cf6c68cp-4, -0x1.482f42a4b3e1dp-4, -0x1.44cd9dea44fdcp-4, -0x1.416d9dbc3bb8dp-4, -0x1.3e0f6fa373073p-4, -0x1.3ab33fdbe38e4p-4, -0x1.375938edff99dp-4, -0x1.34018518caa03p-4, -0x1.30ac4c16a2151p-4, -0x1.2d59b4e887d7dp-4, -0x1.2a09e56db8484p-4, -0x1.26bd023fcd9dep-4, -0x1.23732ee0d07a1p-4, -0x1.202c8d782b62dp-4, -0x1.1ce93f7152e58p-4, -0x1.19a964c0e7826p-4, -0x1.166d1c7e9645fp-4, -0x1.133484c17cb0dp-4, -0x1.0fffba79de59bp-4, -0x1.0cced9c250fe9p-4, -0x1.09a1fdb6ffdeap-4, -0x1.0679405c6d3d5p-4, -0x1.0354bafca9d48p-4, -0x1.003485ee24168p-4, -0x1.fa317137d52a4p-5, -0x1.f402d3361bfc4p-5, -0x1.eddd5d4c8fbe8p-5, -0x1.e7c1394eacb4bp-5, -0x1.e1ae8f78c7316p-5, -0x1.dba5865221b49p-5, -0x1.d5a64323ff412p-5, -0x1.cfb0e974c8639p-5, -0x1.c9c59b6d6eb4fp-5, -0x1.c3e47990e8e04p-5, -0x1.be0da34262e5cp-5, -0x1.b84136422e495p-5, -0x1.b27f4f2307239p-5, -0x1.acc80950dab89p-5, -0x1.a71b7e9e9fae6p-5, -0x1.a179c7a25a56dp-5, -0x1.9be2fbe12e34p-5, -0x1.965731559d8adp-5, -0x1.90d67cf2554cp-5, -0x1.8b60f295f47c5p-5, -0x1.85f6a4d36c08ap-5, -0x1.8097a5439761ep-5, -0x1.7b440470673e3p-5, -0x1.75fbd18f2078ap-5, -0x1.70bf1b0afff3cp-5, -0x1.6b8dee07abea7p-5, -0x1.666856d287903p-5, -0x1.614e60a9ce7f3p-5, -0x1.5c4015d324efep-5, -0x1.573d7f975b573p-5, -0x1.5246a653af72ap-5, -0x1.4d5b9194b39f2p-5, -0x1.487c47d65e5fep-5, -0x1.43a8cebd002e5p-5, -0x1.3ee12b2f2727ep-5, -0x1.3a25611e9ac03p-5, -0x1.35757394a91bbp-5, -0x1.30d164f359d2bp-5, -0x1.2c39368dd7d54p-5, -0x1.27ace9f8e6856p-5, -0x1.232c7e3bb4cddp-5, -0x1.1eb7f25a593fp-5, -0x1.1a4f4605e4683p-5, -0x1.15f2761563ff9p-5, -0x1.11a17fe4d0e3dp-5, -0x1.0d5c5fd372512p-5, -0x1.092311983f532p-5, -0x1.04f59026277d5p-5, -0x1.00d3d60ba5c6fp-5, -0x1.f97bba0e8e23cp-6, -0x1.f1673c6132406p-6, -0x1.e96a243dfba0ap-6, -0x1.e18461a4e7896p-6, -0x1.d9b5e30ff6e38p-6, -0x1.d1fe9714de5bp-6, -0x1.ca5e69c6e5008p-6, -0x1.c2d5465c67f0fp-6, -0x1.bb6317773c88fp-6, -0x1.b407c69f3d127p-6, -0x1.acc33c25fc4ebp-6, -0x1.a5955fd96fbcbp-6, -0x1.9e7e1815cd0b6p-6, -0x1.977d4ad4ed298p-6, -0x1.9092dc4e906cfp-6, -0x1.89beb0abfcd94p-6, -0x1.8300ab20e0156p-6, -0x1.7c58adb8f97fp-6, -0x1.75c69a0ee3f93p-6, -0x1.6f4a50c776697p-6, -0x1.68e3b1d945714p-6, -0x1.62929c839900ep-6, -0x1.5c56ef733d874p-6, -0x1.56308829eef62p-6, -0x1.501f443b13247p-6, -0x1.4a22fffa41652p-6, -0x1.443b96989b186p-6, -0x1.3e68e1ff800a3p-6, -0x1.38aac899e74e5p-6, -0x1.3301196b13325p-6, -0x1.2d6ba567b1ff8p-6, -0x1.27ea57d7850dap-6, -0x1.227d05e98cc37p-6, -0x1.1d23822436264p-6, -0x1.17dda6c0e829cp-6, -0x1.12ab4b6d612b2p-6, -0x1.0d8c47bb96a7ep-6, -0x1.088072101290dp-6, -0x1.0387a0f33d419p-6, -0x1.fd43553c598d9p-7, -0x1.f39cc92238646p-7, -0x1.ea1b4908a151ap-7, -0x1.e0be7f122ba2ep-7, -0x1.d78615e182425p-7, -0x1.ce71b722fd437p-7, -0x1.c5810adc1b143p-7, -0x1.bcb3b99753b8p-7, -0x1.b4096bf41c8dcp-7, -0x1.ab81ca06c37b3p-7, -0x1.a31c7b2ed6ba2p-7, -0x1.9ad926bc67f14p-7, -0x1.92b77407bb2cap-7, -0x1.8ab709f17836ep-7, -0x1.82d78f2946ec1p-7, -0x1.7b18aaa2a791ep-7, -0x1.737a01d35781p-7, -0x1.6bfb3c5233245p-7, -0x1.649bff8d6fb9dp-7, -0x1.5d5bf2ea96b4bp-7, -0x1.563abb1be2f49p-7, -0x1.4f380000c3a5bp-7, -0x1.485367723de91p-7, -0x1.418c97ebc0f36p-7, -0x1.3ae338304e061p-7, -0x1.3456eeceb7714p-7, -0x1.2de762f6b2346p-7, -0x1.27943bb10fd1fp-7, -0x1.215d204cbc5c9p-7, -0x1.1b41b821d91d1p-7, -0x1.1541ab3a61a0ap-7, -0x1.0f5ca18ae84acp-7, -0x1.0992436f1089dp-7, -0x1.03e2399092523p-7, -0x1.fc985a31f888dp-8, -0x1.f19f8def59025p-8, -0x1.e6d96845250f8p-8, -0x1.dc452e04f9eccp-8, -0x1.d1e242ed8aeb1p-8, -0x1.c7aff7a681652p-8, -0x1.bdada369a2d53p-8, -0x1.b3da9dcff52acp-8, -0x1.aa363f93d2c8ep-8, -0x1.a0bfe2923f63fp-8, -0x1.9776e194023ep-8, -0x1.8e5a98322cef9p-8, -0x1.856a62fe76a9cp-8, -0x1.7ca59fcd1ec45p-8, -0x1.740badc6326e6p-8, -0x1.6b9bed5588b7cp-8, -0x1.6355becd155cp-8, -0x1.5b38862400016p-8, -0x1.5343a5fbc16c4p-8, -0x1.4b768421a32dp-8, -0x1.43d0856aaae78p-8, -0x1.3c5111b0c2d52p-8, -0x1.34f79195001f9p-8, -0x1.2dc36f30cca9ap-8, -0x1.26b41604ebad2p-8, -0x1.1fc8f27e2f612p-8, -0x1.19017271c4986p-8, -0x1.125d04ab91299p-8, -0x1.0bdb1a4ff7197p-8, -0x1.057b259e260a8p-8, -0x1.fe79338569259p-9, -0x1.f23dd6233dd31p-9, -0x1.e643205c800ddp-9, -0x1.da87fddf77f4p-9, -0x1.cf0b6739ef634p-9, -0x1.c3cc4d4554e65p-9, -0x1.b8c9a7b5156cbp-9, -0x1.ae026e069246dp-9, -0x1.a375a29f9ac4ep-9, -0x1.99224446bdec1p-9, -0x1.8f075a273eba1p-9, -0x1.8523e2c70729ep-9, -0x1.7b76e9ee7845cp-9, -0x1.71ff7bc2537ecp-9, -0x1.68bca727fce3ap-9, -0x1.5fad7db497ac9p-9, -0x1.56d113ea1999fp-9, -0x1.4e26814e95b8bp-9, -0x1.45ace064b7a87p-9, -0x1.3d634dd326c9p-9, -0x1.3548e8bb983b4p-9, -0x1.2d5cb87316792p-9, -0x1.259e5764e6acap-9, -0x1.1e0c333b324b6p-9, -0x1.16a61243da94ap-9, -0x1.0f6adb2bcf77fp-9, -0x1.0859cfe6c5967p-9, -0x1.0172230e89d32p-9, -0x1.f5661d93bae7ep-10, -0x1.e83796277b6e2p-10, -0x1.db57259fb5b62p-10, -0x1.cec34cde15b09p-10, -0x1.c27a8ee18ceefp-10, -0x1.b67b75d2040ffp-10, -0x1.aac491610c056p-10, -0x1.9f54759a0e09fp-10, -0x1.9429b02832fc6p-10, -0x1.8942c26421c5ep-10, -0x1.7e9efcac5c193p-10, -0x1.743bde6460cbfp-10, -0x1.6a1955f8aa129p-10, -0x1.603543dc256bbp-10, -0x1.568e9e2303a05p-10, -0x1.4d241b0fbda77p-10, -0x1.43f4855b2bd2p-10, -0x1.3afea73886393p-10, -0x1.32414d4ba805cp-10, -0x1.29bb498bc4f67p-10, -0x1.216b735af9f27p-10, -0x1.1950a6e9d3c5p-10, -0x1.1169c4c3e9c1p-10, -0x1.09b5b3e7d34b1p-10, -0x1.02335e8f07188p-10, -0x1.f5c36883866b5p-11, -0x1.e77f535436735p-11, -0x1.d9986acd760cfp-11, -0x1.cc0ca3c05a2f1p-11, -0x1.bed9f4f36ce56p-11, -0x1.b1fe7cf6e0928p-11, -0x1.a578932e4d50cp-11, -0x1.9945e73460b64p-11, -0x1.8d648975c8369p-11, -0x1.81d33d392571fp-11, -0x1.768fc0d8516cfp-11, -0x1.6b987225d51f2p-11, -0x1.60eba277a5db6p-11, -0x1.56879a6034f2ap-11, -0x1.4c6ab2f13f1c6p-11, -0x1.42934bdf63b4ap-11, -0x1.38ffc2cc4b58fp-11, -0x1.2fae8d7db303ep-11, -0x1.269e2077d3399p-11, -0x1.1dccfaf96fc0cp-11, -0x1.15399f9361106p-11, -0x1.0ce296e1dd702p-11, -0x1.04c678e2a4c8dp-11, -0x1.f9c7c4ca65c1ap-12, -0x1.ea72ec017b49dp-12, -0x1.db8bb3e948f85p-12, -0x1.cd0f731587033p-12, -0x1.befb9530c335ep-12, -0x1.b14d9423a0f3fp-12, -0x1.a402eba1bda45p-12, -0x1.97192434c5a84p-12, -0x1.8a8de048b2deap-12, -0x1.7e5ed1f70bef2p-12, -0x1.72892feddc30ep-12, -0x1.670c4a2ed8668p-12, -0x1.5be464e32d8p-12, -0x1.510fe3dbc57d1p-12, -0x1.468d09cbaeddfp-12, -0x1.3c59351ad188bp-12, -0x1.327291941224dp-12, -0x1.28d755792da21p-12, -0x1.1f857e0c63d97p-12, -0x1.167b0b2289d89p-12, -0x1.0db61c07fa41fp-12, -0x1.05342a60aadefp-12, -0x1.f9eb17b1bc1d5p-13, -0x1.e9ecb8287d0e5p-13, -0x1.da6b78025bd19p-13, -0x1.cb63d5de296fep-13, -0x1.bcd2c8e1c4f4dp-13, -0x1.aeb52b1abc486p-13, -0x1.a107ef2e5bba5p-13, -0x1.93c81769fde95p-13, -0x1.86f2b4302f54ap-13, -0x1.7a84e267d43d8p-13, -0x1.6e7bcbb1a0e45p-13, -0x1.62d4a2c48eedbp-13, -0x1.578cbb1c8fb39p-13, -0x1.4ca16822e5bd9p-13, -0x1.42100be560627p-13, -0x1.37d62337581c3p-13, -0x1.2df133c1c4f4ap-13, -0x1.245eb6162fb4bp-13, -0x1.1b1ca90965d38p-13, -0x1.12286909b1b57p-13, -0x1.097fd93d24dddp-13, -0x1.0120d08672a65p-13, -0x1.f21267ebb0bc6p-14, -0x1.e26dea9a056d8p-14, -0x1.d35024323105bp-14, -0x1.c4b523b887b31p-14, -0x1.b69913ecabdd6p-14, -0x1.a8f83415c0e11p-14, -0x1.9bcee14866eebp-14, -0x1.8f198cadce172p-14, -0x1.82d4d7fabcfe1p-14, -0x1.76f93c939b254p-14, -0x1.6b92fba3773dp-14, -0x1.608612b23b487p-14, -0x1.55e27e93139dp-14, -0x1.4b9e206e09257p-14, -0x1.41b6f0ce2996cp-14, -0x1.3829fe359c61ep-14, -0x1.2ef48c79da9d4p-14, -0x1.2613e0fac4d57p-14, -0x1.1d8567fef6bc7p-14, -0x1.15469845345bap-14, -0x1.0d53ecfbd04fbp-14, -0x1.05acd288a484bp-14, -0x1.fc9b2246a05b5p-15, -0x1.ee6a08d87d16bp-15, -0x1.e0be1c3ae11fcp-15, -0x1.d3956a07d1be3p-15, -0x1.c6eafaf2079a1p-15, -0x1.baba435310c05p-15, -0x1.aeff037aa4a9p-15, -0x1.a3b517d6c751bp-15, -0x1.98d890c6a0d5ap-15, -0x1.8e65755f28e61p-15, -0x1.84583dd729311p-15, -0x1.7aad626d03ddep-15, -0x1.71618f72e0707p-15, -0x1.68719bcec558p-15, -0x1.5fda57f5731bap-15, -0x1.579906c94fdccp-15, -0x1.4faa99ce6ef08p-15, -0x1.480c4bb54409cp-15, -0x1.40bb4ae07ba55p-15, -0x1.39b4ab53a9649p-15, -0x1.32f5bfc68041dp-15, -0x1.2c7c0c3286377p-15, -0x1.2644d1481dce4p-15, -0x1.204a02222639p-15, -0x1.1a8f38ee97e93p-15, -0x1.151272dcf0e3cp-15, -0x1.0fca921fe52d7p-15, -0x1.0ab3ca2b50071p-15, -0x1.05e0abdc8085p-15, -0x1.012d717ff662p-15, -0x1.f960f1498c348p-16, -0x1.f0c1046d6eb69p-16, -0x1.e879bc729400fp-16, -0x1.e086c3ca6290dp-16, -0x1.d8e5056777517p-16, -0x1.d19295e7667ffp-16, -0x1.ca8aaab483ccep-16, -0x1.c3ca7e25d2421p-16, -0x1.bd4f823050c75p-16, -0x1.b7165621d5f49p-16, -0x1.b11bf1b1e3f9p-16, -0x1.ab5dfa0a32238p-16, -0x1.a5d9ee8b5c565p-16, -0x1.a08cdcb2f87e3p-16, -0x1.9b74ccdf6102bp-16, -0x1.968e4906a3ca5p-16, -0x1.91d718ff2a5dbp-16, -0x1.8d4cbc0299b07p-16, -0x1.88ec6680301bap-16, -0x1.84b4399e049c3p-16, -0x1.80a282b33a721p-16, -0x1.7cbaecea3186ep-16, -0x1.78eba5a138552p-16, -0x1.7542e67ae6fe1p-16, -0x1.71b96b39f12f9p-16, -0x1.6e4b9fe21736p-16, -0x1.6afda8c4bacd1p-16, -0x1.67c840c280bd6p-16, -0x1.64ac24a762b88p-16, -0x1.61a7f95750b5ep-16, -0x1.5eba907b98f73p-16, -0x1.5be2a6c0b3943p-16, -0x1.591f34c173ebep-16, -0x1.566111970f4cp-16, -0x1.53bca7a04cd52p-16, -0x1.513f056d526cap-16, -0x1.4ebe79fa059e2p-16, -0x1.4c4c9906e20adp-16, -0x1.49e8a13002fe6p-16, -0x1.47933653ebb39p-16, -0x1.453fc1623099dp-16, -0x1.42fd266008b0ep-16, -0x1.40cbac1795505p-16, -0x1.3e98c218c156dp-16, -0x1.3c72b87f39aa2p-16, -0x1.3a538beec9609p-16, -0x1.3839d63b34238p-16, -0x1.36294624460f7p-16, -0x1.341ba581b3136p-16, -0x1.321527d5d62e4p-16, -0x1.30123e103109fp-16, -0x1.2e13639536f71p-16, -0x1.2c18259715b7ap-16, -0x1.2a2023b720d29p-16, -0x1.282b5089b3604p-16, -0x1.2631193e1714fp-16, -0x1.24419becdc70ep-16, -0x1.2256e6ed989dp-16, -0x1.2067ccfea5edap-16, -0x1.1e7a1ebce25a7p-16, -0x1.1c8cfd3db5c2cp-16, -0x1.1a9fdc781588cp-16, -0x1.18b2f37da2bdep-16, -0x1.16c605099528fp-16, -0x1.14d8a5011a42dp-16, -0x1.12e9b71eb64a4p-16, -0x1.10fa509f812cep-16, -0x1.0f0990641bf24p-16, -0x1.0d1868b79aae9p-16, -0x1.0b24c4dd3c606p-16, -0x1.09301ae73f31bp-16, -0x1.073a39713f19bp-16, -0x1.0542635f9db4ep-16, -0x1.0348987f8d564p-16, -0x1.014cd9502ecddp-16, -0x1.fe9e1836c3922p-17, -0x1.fa9e29bf53df1p-17, -0x1.f699e18ff7143p-17, -0x1.f2914d3c7b46bp-17, -0x1.ee84dc1684a1ap-17, -0x1.ea5fe623f3ebep-17, -0x1.e64faee7155e1p-17, -0x1.e24276eada638p-17, -0x1.de22a4cbf6f28p-17, -0x1.d9feac388287fp-17, -0x1.d5d6714242412p-17, -0x1.d1a945dd6c35bp-17, -0x1.cd7802efa42eap-17, -0x1.c941feb4ca369p-17, -0x1.c507ba34f29bp-17, -0x1.c0c935e8cfa7fp-17, -0x1.bc85659b49ddcp-17, -0x1.b83e281af253ap-17, -0x1.b3f35797283c1p-17, -0x1.afa4ebd12dc7cp-17, -0x1.ab55f94e68238p-17, -0x1.a6fbb994efb4ap-17, -0x1.a2a1e97109d21p-17, -0x1.9e44ef70cfae8p-17, -0x1.99e59dd42e7a8p-17, -0x1.95625c1d656bp-17, -0x1.910200a902567p-17, -0x1.8cb1ee540c5d9p-17, -0x1.8844ea79946d6p-17, -0x1.83d623728ff83p-17, -0x1.7f65b1fbf0e38p-17, -0x1.7aec8cd71919cp-17, -0x1.7682be5388eefp-17, -0x1.72077185799c1p-17, -0x1.6d8fd0c8e5162p-17, -0x1.69159fcfa5958p-17, -0x1.649b3e76cfbb7p-17, -0x1.6020b17ddd842p-17, -0x1.5bade36acfb29p-17, -0x1.57279f247abb4p-17, -0x1.52a8bf7218fbep-17, -0x1.4e2a16685b8aep-17, -0x1.49ab922503ce2p-17, -0x1.452de571e5737p-17, -0x1.40afbe9f4ebdep-17, -0x1.3c31a5cb31347p-17, -0x1.37b44f80cab33p-17, -0x1.3338f2099c3c6p-17, -0x1.2ebe14a637dd9p-17, -0x1.2a44522ae6b35p-17, -0x1.25d1189697d33p-17, -0x1.214df0cab97d2p-17, -0x1.1cdf81a16d962p-17, -0x1.186e07c856d54p-17, -0x1.13fb28545af7ep-17, -0x1.0f8d45847e57p-17, -0x1.0b1fedeeaf55bp-17, -0x1.06b5b36b3f94p-17, -0x1.024e61d1dad68p-17, -0x1.fbd47c358f5b9p-18, -0x1.f31a6d05443d6p-18, -0x1.ea5287c4ddd1ap-18, -0x1.e1a0604b9b53bp-18, -0x1.d8f1f6338ba5fp-18, -0x1.d049513119cfbp-18, -0x1.c7aa1035a9b31p-18, -0x1.bf130f7cca309p-18, -0x1.b677ca20a0cbfp-18, -0x1.adfcfab831b63p-18, -0x1.a57ee99327531p-18, -0x1.9d09da41d53f8p-18, -0x1.949e0a1485ff5p-18, -0x1.8c3bceabd8f99p-18, -0x1.83e38ec6e00f1p-18, -0x1.7b96007ae2d2cp-18, -0x1.735352b23efeap-18, -0x1.6b08f3549be56p-18, -0x1.62d451057f976p-18, -0x1.5ac85167c443bp-18, -0x1.52ae3c01c5f82p-18, -0x1.4aa04f26ea097p-18, -0x1.429ecea169bd8p-18, -0x1.3aa97db0be69bp-18, -0x1.32c12fe90049dp-18, -0x1.2ae3c01d07422p-18, -0x1.231515dddbc91p-18, -0x1.1b66cf1659689p-18, -0x1.139415feefdd7p-18, -0x1.0bece2e786181p-18, -0x1.044efab95857p-18, -0x1.f97ebc67b36aap-19, -0x1.ea7850b928ecfp-19, -0x1.db6c6057ba959p-19, -0x1.ccbcb0d1aa1b8p-19, -0x1.be054e24e615fp-19, -0x1.af6cf8c13838fp-19, -0x1.a0f34f35cffbbp-19, -0x1.929036dee70d2p-19, -0x1.844d7daf42e75p-19, -0x1.762323fe2813dp-19, -0x1.6812d17e03f6cp-19, -0x1.5a4fc65f3d107p-19, -0x1.4c5d31ecc6b66p-19, -0x1.3eac23c67442dp-19, -0x1.31174424f3958p-19, -0x1.23a1314ef1e5cp-19, -0x1.1648ad68fd1dep-19, -0x1.090d6327f734dp-19, -0x1.f7e0ad9c0703p-20, -0x1.dde36a88f039bp-20, -0x1.c423028af6fd3p-20, -0x1.aa9e92970bd25p-20, -0x1.91592ceac25c2p-20, -0x1.785001f7426cep-20, -0x1.5f83b98e88318p-20, -0x1.46f59f02c60bfp-20, -0x1.2ea562ff9f902p-20, -0x1.16937da8d32d4p-20, -0x1.fd7deb1aa3e2ap-21, -0x1.ce4dd8b37cec4p-21, -0x1.9f9921db212ccp-21, -0x1.7163877d1b3c7p-21, -0x1.43db3e98fd756p-21, -0x1.166da84685beap-21, -0x1.d346e148f0172p-22, -0x1.7abe56ac7a1bfp-22, -0x1.232a5d86a2dccp-22, -0x1.991aed320294fp-23, -0x1.db9af656ad1b7p-24, -0x1.1120e69d9970ep-25, 0x1.8c5318bd1a625p-25, 0x1.088d3ec2f8d67p-23, 0x1.ac15e3e108496p-23, 0x1.26def8d42515cp-22, 0x1.763279a91d4a6p-22, 0x1.c5d335e9929f7p-22, 0x1.09e29a01dc3eep-21, 0x1.3069ae3c953c6p-21, 0x1.566a69e9717fep-21, 0x1.7bfbeb76010f3p-21, 0x1.9feef07053f83p-21, 0x1.c60d60d2f66e4p-21, 0x1.e99e13439f719p-21, 0x1.06ca1402a31e2p-20, 0x1.1871a97a9a107p-20, 0x1.29c110fae6734p-20, 0x1.3b1890ddf315cp-20, 0x1.4bbe60b7e25e6p-20, 0x1.5ca1b9cde8b8bp-20, 0x1.6d1a950f9652bp-20, 0x1.7d5c1b7c8dfeap-20, 0x1.8d620ff16927bp-20, 0x1.9d2e4f95a3b3ap-20, 0x1.acc253b97908bp-20, 0x1.bc1ff929a3602p-20, 0x1.cb43d0d5025f2p-20, 0x1.da2e9ab7769dp-20, 0x1.e8e1af4bb91c3p-20, 0x1.f75d898d1ffd2p-20, 0x1.02d015dfbee77p-19, 0x1.09d9ebbf2ff1dp-19, 0x1.10c5d4c1513d4p-19, 0x1.1796d94b9c5fcp-19, 0x1.1e4ce55586b1p-19, 0x1.24e8b8eadbc8ap-19, 0x1.2b69d1142f3dcp-19, 0x1.31d0953a62229p-19, 0x1.381d325d4e045p-19, 0x1.3e4fd49e48e48p-19, 0x1.4468a962f0e18p-19, 0x1.4a67e5e393p-19, 0x1.504e0a72ae558p-19, 0x1.561a5a6ff9899p-19, 0x1.5bce17fde5b94p-19, 0x1.6169c3cb9e381p-19, 0x1.66ea8832d1d56p-19, 0x1.6c53b4192e93ap-19, 0x1.71a598fb57a25p-19, 0x1.76c551791c2acp-19, 0x1.7bde45fd0d513p-19, 0x1.810b6432bb63dp-19, 0x1.85fa163f8b27fp-19, 0x1.8ad5d3223ff32p-19, 0x1.8f99171a6d7cp-19, 0x1.9445d38bcf01bp-19, 0x1.98dba3f648614p-19, 0x1.9d5935dc6c401p-19, 0x1.a1d7a832ee4a6p-19, 0x1.a6143b0fb8087p-19, 0x1.aa53d4c89cdb1p-19, 0x1.ae7ac3114e7dbp-19, 0x1.b2890f94dd32bp-19, 0x1.b6762c5623b44p-19, 0x1.ba82d422266dap-19, 0x1.be401dcdaec28p-19, 0x1.c2022a8e9e3edp-19, 0x1.c5b02f9e907ddp-19, 0x1.c96ec486ce0a4p-19, 0x1.ccbff0d4b3c31p-19, 0x1.d0235e9839ad2p-19, 0x1.d38418f613bbdp-19, 0x1.d6c9350ad48b6p-19, 0x1.d9faf207c6963p-19, 0x1.dd1ba6880d25ep-19, 0x1.e028d24a5e683p-19, 0x1.e3205460d9773p-19, 0x1.e606839bcd0d9p-19, 0x1.e8da9bd2bf65fp-19, 0x1.eb9c0be8fe5b5p-19, 0x1.ee4c969fad8ecp-19, 0x1.f0ead90cf6c0fp-19, 0x1.f37777871c344p-19, 0x1.f5f2ad0617bbdp-19, 0x1.f85ca83465744p-19, 0x1.fab59c91a4701p-19, 0x1.fcfdc3d849822p-19, 0x1.ff356be121709p-19, 0x1.00ae3355a626p-18, 0x1.01b98ef2c779cp-18, 0x1.02bc7b5d3064ep-18, 0x1.03b8ba33c5e9ap-18, 0x1.04abc2b327093p-18, 0x1.05976025082e6p-18, 0x1.067b14c6bbd89p-18, 0x1.0757feed353fep-18, 0x1.082d51dea4851p-18, 0x1.08faf2ee56bccp-18, 0x1.09c002907b0ecp-18, 0x1.0a7efe63ce6e4p-18, 0x1.0b3db2b670c56p-18, 0x1.0be77813596a5p-18, 0x1.0c92ef5ccbf4ep-18, 0x1.0d3582278c4f9p-18, 0x1.0dd16e520335cp-18, 0x1.0e66f3f1d1c83p-18, 0x1.0ef5d22d30d81p-18, 0x1.0f7e0746ea52ap-18, 0x1.0ff298887b28bp-18, 0x1.1079f930ae23p-18, 0x1.10f282e85f2adp-18, 0x1.115ef2b4f70e9p-18, 0x1.11c7fb3a2529p-18, 0x1.122b396441c06p-18, 0x1.128829e99dbbap-18, 0x1.12df5f86b99c2p-18, 0x1.1330960c96569p-18, 0x1.137bce798a4b9p-18, 0x1.13bcf90bb066bp-18, 0x1.13f09d7b78f65p-18, 0x1.143c8aac11ae1p-18, 0x1.147241a74381cp-18, 0x1.14a154656bdcap-18, 0x1.14cbe6f613214p-18, 0x1.14f0b5f48a5bap-18, 0x1.1514a9fdd0933p-18, 0x1.152e665add6d2p-18, 0x1.1542676e86cf3p-18, 0x1.1554a516bd1b4p-18, 0x1.15616d15bedf7p-18, 0x1.15691b3d43348p-18, 0x1.156c6d48f62bap-18, 0x1.156afc5a69cf6p-18, 0x1.15603cf3ca848p-18, 0x1.155e87bc43551p-18, 0x1.155ca693aa4ap-18, 0x1.1534580f61e0ep-18, 0x1.152119dfb51e5p-18, 0x1.150264a760473p-18, 0x1.14e6d4c7c65fep-18, 0x1.14c06e7f18b3cp-18, 0x1.1499483a1443bp-18, 0x1.146c1f8b16f56p-18, 0x1.143ba20d3040cp-18, 0x1.14079c872c27fp-18, 0x1.13cee96c9553p-18, 0x1.1394810746b57p-18, 0x1.13557be8bebe8p-18, 0x1.1312a818ed6ap-18, 0x1.12cc2b09ecda1p-18, 0x1.1281ee1e4ce62p-18, 0x1.1235713469fd6p-18, 0x1.11efc8ebd8d29p-18, 0x1.119090e37c991p-18, 0x1.1139a33aedcffp-18, 0x1.10dfd2a531212p-18, 0x1.10821ce80629ap-18, 0x1.102146114fd57p-18, 0x1.0fbddc117428dp-18, 0x1.0f56b427dd6a5p-18, 0x1.0eedb80231p-18, 0x1.0e8b5026038efp-18, 0x1.0e11892020ac6p-18, 0x1.0d9fadc35ad1fp-18, 0x1.0d29ec170b88fp-18, 0x1.0cbfad5514d9ap-18, 0x1.0c3895ac53f97p-18, 0x1.0bbc1588552bap-18, 0x1.0b3ccb5b3e682p-18, 0x1.0abafc0d3db4ep-18, 0x1.0a36b72156622p-18, 0x1.09b001fe69aadp-18, 0x1.0926821dff914p-18, 0x1.089210aacf27cp-18, 0x1.080d81b837298p-18, 0x1.077e3447a57efp-18, 0x1.06ec3b3722c8p-18, 0x1.06598289c745bp-18, 0x1.05bc684cebd64p-18, 0x1.0529c8294f3c7p-18, 0x1.048facbd175f1p-18, 0x1.03f265a8a20b5p-18, 0x1.0354c6c2db738p-18, 0x1.02b42aa900f7ep-18, 0x1.02138ab79023ep-18, 0x1.016f7caee1ac1p-18, 0x1.00ca03f06cd86p-18, 0x1.002248759f3a8p-18, 0x1.fef1b5d9d7798p-19, 0x1.fd8d61d1e9bc9p-19, 0x1.fc44d67f3c8c8p-19, 0x1.fae13362749ffp-19, 0x1.f98bdd51c3c6dp-19, 0x1.f82af555e5136p-19, 0x1.f6a3e7bb7b21p-19, 0x1.f55d2d8551edcp-19, 0x1.f3f1ee509995p-19, 0x1.f328dda16b5c5p-19, 0x1.f1170c16c5581p-19, 0x1.efa428578c62cp-19, 0x1.ee2f77b63aef9p-19, 0x1.ecb8923a9b0aep-19, 0x1.eb3e76b682471p-19, 0x1.e9d4e30c50dp-19, 0x1.e8438a62fc9e4p-19, 0x1.e6c31778080fap-19, 0x1.e54a7493e028fp-19, 0x1.e3bace08d911ap-19, 0x1.e234eac8b073cp-19, 0x1.e0aa504d74768p-19, 0x1.df1fa6095ff59p-19, 0x1.dd938b150dc3bp-19, 0x1.dc04db300e3b4p-19, 0x1.da73b10a8d787p-19, 0x1.d8ff2e6559513p-19, 0x1.d74f62959ab9cp-19, 0x1.d5b90f27dd779p-19, 0x1.d4222219c3a79p-19, 0x1.d289a99cdc75p-19, 0x1.d0e4123f175a2p-19, 0x1.cf542d38c66c4p-19, 0x1.cdb746543b076p-19, 0x1.cc0249455535ep-19, 0x1.ca6e776aa64f3p-19, 0x1.c8da8e07ac1f7p-19, 0x1.c7404e38de90bp-19, 0x1.c593f46b85faap-19, 0x1.c3e7ff41f9db1p-19, 0x1.c23d5902d6427p-19, 0x1.c0a68ba8b4fp-19, 0x1.bf07c6eb44087p-19, 0x1.bd57e00e79353p-19, 0x1.bbaf12a1471edp-19, 0x1.ba06610342863p-19, 0x1.b85c35f664643p-19, 0x1.b6b113a9dc833p-19, 0x1.b5055fd1d9323p-19, 0x1.b3595c07e54f9p-19, 0x1.b1ac347c2b1eap-19, 0x1.affed6f32b28cp-19, 0x1.ae4b143df498p-19, 0x1.aca37803610d8p-19, 0x1.aaf401c26bb7fp-19, 0x1.a943abae32ba6p-19, 0x1.a793f85fea88ap-19, 0x1.a5e3d9b43dff1p-19, 0x1.a4338c10306adp-19, 0x1.a282fd3be46d5p-19, 0x1.a0d11720bd243p-19, 0x1.9f1fe07213636p-19, 0x1.9d6ec6d2ae722p-19, 0x1.9bbd1a39ebd73p-19, 0x1.9a03ea34ccc17p-19, 0x1.9859d2f16eaf5p-19, 0x1.96a7fcca004d8p-19, 0x1.94f4bc86f20c1p-19, 0x1.93436577d5373p-19, 0x1.919240c63d711p-19, 0x1.8fcadd198507p-19, 0x1.8e2de8eb9da1cp-19, 0x1.8c7c0b78771a2p-19, 0x1.8acbf0aaaf49bp-19, 0x1.89174050cabacp-19, 0x1.8766080241e61p-19, 0x1.85b500be8370bp-19, 0x1.8406bdb35daf3p-19, 0x1.8254f551c4532p-19, 0x1.80a3f60ae39acp-19, 0x1.7ef3cb0dcb6ep-19, 0x1.7d4400521ae41p-19, 0x1.7b9583ec90b42p-19, 0x1.79e571715c742p-19, 0x1.78387baf25219p-19, 0x1.7688a10f95f9p-19, 0x1.74db276cfd11cp-19, 0x1.733347317b6e1p-19, 0x1.716bc8738bc0ep-19, 0x1.6fd4a4e5557fp-19, 0x1.6e292b7ad165dp-19, 0x1.6c7db74fa06b8p-19, 0x1.6ad2f4c23346ap-19, 0x1.6928c57922d1fp-19, 0x1.677f4df480972p-19, 0x1.65d634d3893c9p-19, 0x1.642bc67fbe649p-19, 0x1.6286b68094a82p-19, 0x1.60e003843ca71p-19, 0x1.5f395d38b450fp-19, 0x1.5d93cecddad0fp-19, 0x1.5bef4ddd57a6fp-19, 0x1.5a4afc51d8e11p-19, 0x1.58a7d244fc74ap-19, 0x1.570586abb096ep-19, 0x1.556438913c36ap-19, 0x1.53c4bfb89f092p-19, 0x1.52233511fb3f5p-19, 0x1.5085f72584f3p-19, 0x1.4edef69e798f3p-19, 0x1.4d47e6f43148bp-19, 0x1.4ba9f3b23c493p-19, 0x1.4a0e7e26df8d2p-19, 0x1.4873da4fc3ep-19, 0x1.46d9df4de2927p-19, 0x1.4540a1da262ap-19, 0x1.43a8a310807dbp-19, 0x1.4212202536e0dp-19, 0x1.4082457314b77p-19, 0x1.3ee651916519fp-19, 0x1.3d51a0687bd87p-19, 0x1.3bbe535f05e29p-19, 0x1.3a2cbf21e5ef4p-19, 0x1.389a062125bbfp-19, 0x1.370b61e705a61p-19, 0x1.357b619057312p-19, 0x1.33ed2d4763ca3p-19, 0x1.326080f9fb594p-19, 0x1.30d47a46807b9p-19, 0x1.2f49674759ff2p-19, 0x1.2dbfa01bd7bd3p-19, 0x1.2c374714f0a78p-19, 0x1.2aad61db89b5bp-19, 0x1.29299741ffb82p-19, 0x1.27a2ae2a1146bp-19, 0x1.262228ad4eee5p-19, 0x1.249c1df4d822p-19, 0x1.23171b19be1fcp-19, 0x1.2191b7ee377c5p-19, 0x1.2019006aa453ep-19, 0x1.1e9da720f5c24p-19, 0x1.1d0b8bab5df4ap-19, 0x1.1ba1fd64e3cbp-19, 0x1.1a253edd32afcp-19, 0x1.18ae3b7ced235p-19, 0x1.17348aced90c6p-19, 0x1.15bc8b8d364f3p-19, 0x1.14465c2f12533p-19, 0x1.12d29d39df4acp-19, 0x1.115d4dbd09c5ep-19, 0x1.0feb5c0c6a2a9p-19, 0x1.0e7c9aea7a3cap-19, 0x1.0d0c9063b7a11p-19, 0x1.0b9ac28d953f9p-19, 0x1.0a2d5544a6d94p-19, 0x1.08c02edbdc681p-19, 0x1.075624d7f53c5p-19, 0x1.05ecae9678731p-19, 0x1.04828a341ceep-19, 0x1.031b4653325aep-19, 0x1.01b6bf3cb3554p-19, 0x1.0051eb0ce24dp-19, 0x1.fddddec80532bp-20, 0x1.fb15dc3187acbp-20, 0x1.f857447800915p-20, 0x1.f58f0869cd17fp-20, 0x1.f2d747cb4669ep-20, 0x1.f021c77fae7aap-20, 0x1.ed6a0c39d268bp-20, 0x1.eab52e5f1928fp-20, 0x1.e802f28830134p-20, 0x1.e55ae2c5c6444p-20, 0x1.e2a658b53a3d8p-20, 0x1.dffc1c57968e3p-20, 0x1.dd53a1756d97fp-20, 0x1.daaeefeb2930cp-20, 0x1.d80cbc66451b6p-20, 0x1.d56c72103b11ep-20, 0x1.d2cf3a911ecccp-20, 0x1.d034a754b1aa6p-20, 0x1.cd9c99b77de17p-20, 0x1.cb073b6ce2f4bp-20, }}, 
      {{-0x1.9a930dad26f99p-12, -0x1.8bd8009fe7c13p-10, -0x1.a5ae610c05b06p-9, -0x1.5dd45b73130bp-8, -0x1.f78b2a8a3941dp-8, -0x1.4a1730c622fe3p-7, -0x1.948066337cfp-7, -0x1.d66208902b85fp-7, -0x1.05f7d08609a83p-6, -0x1.1918c8f500d52p-6, -0x1.237e432ad37ffp-6, -0x1.246c8b924109ep-6, -0x1.1b7f15653896cp-6, -0x1.08953ab0974fdp-6, -0x1.d794ff8e5293p-7, -0x1.8ad72d0a89bf8p-7, -0x1.2bd67d52ea332p-7, -0x1.7768c5e53a7bap-8, -0x1.dde50ac3dcaf8p-10, 0x1.4a9be7f23f2aap-9, 0x1.dbf5c8c5d5bc6p-8, 0x1.94bbb5f69efa7p-7, 0x1.22b2b605b9e01p-6, 0x1.7f3d2857fa593p-6, 0x1.df43f85741f92p-6, 0x1.210a8f9df196p-5, 0x1.5383f44f75cf1p-5, 0x1.86be985875ac2p-5, 0x1.ba700c1b8ba2p-5, 0x1.ee53f30396f0fp-5, 0x1.111530b0ba326p-4, 0x1.2adcc3abae99ep-4, 0x1.446651388d5bp-4, 0x1.5d9a0ee5e8eebp-4, 0x1.76629fd8c945ep-4, 0x1.8eacfb1cd3466p-4, 0x1.a6684c7b910e6p-4, 0x1.bd85b77d9215ap-4, 0x1.d3f8a991b979fp-4, 0x1.e9b5d29fdfa78p-4, 0x1.feb3e647ae50ap-4, 0x1.0975861adb9p-3, 0x1.132a6b1f205cfp-3, 0x1.1c7611c48b0abp-3, 0x1.255681adc450bp-3, 0x1.2dca4d89cc6e6p-3, 0x1.35d08f8e50f97p-3, 0x1.3d68cf55c234p-3, 0x1.4492d23004664p-3, 0x1.4b4f20e0b4f11p-3, 0x1.519e49199a403p-3, 0x1.57813f7da494fp-3, 0x1.5cf93dd85dfe8p-3, 0x1.6207bb6dd04d4p-3, 0x1.66ae693070192p-3, 0x1.6aef286ecd0f4p-3, 0x1.6ecc063ea37a2p-3, 0x1.724735b30f116p-3, 0x1.75630d54dd80fp-3, 0x1.7821fee737f32p-3, 0x1.7a8692e0ffc5cp-3, 0x1.7c936d90de034p-3, 0x1.7e4b3dd579721p-3, 0x1.7fb0c16c9fb3fp-3, 0x1.80c6c41cdb035p-3, 0x1.819015ca6a826p-3, 0x1.820f8d39f05b2p-3, 0x1.824803a741958p-3, 0x1.823c54f79bd2ap-3, 0x1.81ef54ed24c43p-3, 0x1.8163db2b9ce36p-3, 0x1.809cb80e1b3fap-3, 0x1.7f9caefee9d6ep-3, 0x1.7e668309cbb8bp-3, 0x1.7cfce8a226cf7p-3, 0x1.7b6288cfb739ap-3, 0x1.799a000edf5c8p-3, 0x1.77a5e123922b7p-3, 0x1.7588ac8f3cee6p-3, 0x1.7344d37570b8p-3, 0x1.70dcb87cca1a5p-3, 0x1.6e52af2a11199p-3, 0x1.6ba8f6f32ee1cp-3, 0x1.68e1bfc81136fp-3, 0x1.65ff27a4eb653p-3, 0x1.6303399f3caep-3, 0x1.5fefef04a0ca8p-3, 0x1.5cc72f3b71f6ep-3, 0x1.598acd6e5d7c8p-3, 0x1.563c8c45303b8p-3, 0x1.52de1b6e9855p-3, 0x1.4f711645a4f7fp-3, 0x1.4bf70b8f6a16fp-3, 0x1.48717129af493p-3, 0x1.44e1af6479a5bp-3, 0x1.41491bff1591p-3, 0x1.3da8fb9a7210ep-3, 0x1.3a0282c0fae05p-3, 0x1.3656d4fc1719fp-3, 0x1.32a707873a65cp-3, 0x1.2ef4199cc781bp-3, 0x1.2b3f04de1684cp-3, 0x1.2788aef412498p-3, 0x1.23d1ee23a4b75p-3, 0x1.201b8c2eaa3ep-3, 0x1.1c6647727b17ep-3, 0x1.18b2d14f0d4ccp-3, 0x1.1501c910823bfp-3, 0x1.1153c819ee08ep-3, 0x1.0da95bcbb5937p-3, 0x1.0a03066eec95dp-3, 0x1.06613b8838a7ep-3, 0x1.02c4690d605f5p-3, 0x1.fe59ea0322613p-4, 0x1.f7366ceb61d7ep-4, 0x1.f01f05253a63bp-4, 0x1.e9143f1a6be5dp-4, 0x1.e216a21960fb9p-4, 0x1.db269e11edf78p-4, 0x1.d444a036ea8f6p-4, 0x1.cd70fe48b17bep-4, 0x1.c6ac04b278f6dp-4, 0x1.bff5ee65f7199p-4, 0x1.b94eff2373b4fp-4, 0x1.b2b7588add6f3p-4, 0x1.ac2f207a797c8p-4, 0x1.a5b6727b66a41p-4, 0x1.9f4d572332611p-4, 0x1.98f3dee9411adp-4, 0x1.92aa0e567a4d4p-4, 0x1.8c6fd1679d15dp-4, 0x1.864529fb028d1p-4, 0x1.802a07b9886b5p-4, 0x1.7a1e4896960b6p-4, 0x1.7421d2a14ef23p-4, 0x1.6e3489f466b71p-4, 0x1.6856476014a74p-4, 0x1.6286e1aa37921p-4, 0x1.5cc6284d4012dp-4, 0x1.5713f3824622dp-4, 0x1.5170101fcd9fbp-4, 0x1.4bda4302d075ep-4, 0x1.46525b1d75e71p-4, 0x1.40d81acade0abp-4, 0x1.3b6b50a4afaf7p-4, 0x1.360bbf0ee553ap-4, 0x1.30b925fc9fc1fp-4, 0x1.2b734d79a9bd4p-4, 0x1.2639f9239700ap-4, 0x1.210ce9aecdd5ap-4, 0x1.1bebe3a80f91dp-4, 0x1.16d6af77df0ccp-4, 0x1.11cd07aa67f3fp-4, 0x1.0cceb22898e2ep-4, 0x1.07db7c94c1a13p-4, 0x1.02f3284df114cp-4, 0x1.fc2af2990d4b4p-5, 0x1.f28475f649276p-5, 0x1.e8f2762c349abp-5, 0x1.df7476303113dp-5, 0x1.d60a20c5f862bp-5, 0x1.ccb30f5005e76p-5, 0x1.c36ee161ad262p-5, 0x1.ba3d2e75b7dcfp-5, 0x1.b11dad3648771p-5, 0x1.a80ffc1cdece6p-5, 0x1.9f13d6925b904p-5, 0x1.9628e65e95185p-5, 0x1.8d4ee73b55782p-5, 0x1.848586fefab71p-5, 0x1.7bcc906cf54b1p-5, 0x1.7323c161c72f9p-5, 0x1.6a8ad4eef41fcp-5, 0x1.6201a6ef3e633p-5, 0x1.5987f7f519051p-5, 0x1.511da41f69a83p-5, 0x1.48c27ad9583a5p-5, 0x1.40764d10d5edcp-5, 0x1.383903018c11dp-5, 0x1.300a710a9839fp-5, 0x1.27ea88e245cc1p-5, 0x1.1fd927f1d3ed3p-5, 0x1.17d63dabb1636p-5, 0x1.0fe1b855ab02fp-5, 0x1.07fb822d992d1p-5, 0x1.002399a009ea9p-5, 0x1.f0b3e28b1e407p-6, 0x1.e13d0a67e1b08p-6, 0x1.d1e29ed4c28d5p-6, 0x1.c2a4a8cf1a42ep-6, 0x1.b3832cd5ed7d4p-6, 0x1.a47e41bab661ap-6, 0x1.959602d41cb7dp-6, 0x1.86ca5139a8c13p-6, 0x1.781b848be898p-6, 0x1.69898a5192791p-6, 0x1.5b149c84b45d3p-6, 0x1.4cbcee17eb379p-6, 0x1.3e82ac69fa3e9p-6, 0x1.3065f98df535ep-6, 0x1.226703642c1dep-6, 0x1.14860a2143a6p-6, 0x1.06c3465e70f07p-6, 0x1.f23de65a4980fp-7, 0x1.d7329e81269f8p-7, 0x1.bc65354024d92p-7, 0x1.a1d62ee2e9abp-7, 0x1.87861fefc1c53p-7, 0x1.6d7583855381p-7, 0x1.53a4f966be2a9p-7, 0x1.3a14fe4dae595p-7, 0x1.20c664888907ap-7, 0x1.07b967d972acbp-7, 0x1.dddddcace41edp-8, 0x1.acce862b02be6p-8, 0x1.7c468be0e9bfap-8, 0x1.4c46fcaa2e47ep-8, 0x1.1cd0ef1917ca3p-8, 0x1.dbcb2d714fb8ep-9, 0x1.7f0c495d7a7f9p-9, 0x1.2367cbe58a65cp-9, 0x1.91bfe54afa57bp-10, 0x1.bdda053274acbp-11, 0x1.72ea66db7eef9p-13, -0x1.ffb1fa920bdacp-12, -0x1.2bec1a04f09a6p-10, -0x1.d59c3b11c1facp-10, -0x1.3e7c1a333f94ep-9, -0x1.90fe806f40f36p-9, -0x1.e2535b2aea8d1p-9, -0x1.193c61141d2cap-8, -0x1.40b667eb17746p-8, -0x1.6796e438fea9p-8, -0x1.8ddcc06ae31eep-8, -0x1.b387c4461957ep-8, -0x1.d8969aa7e09aap-8, -0x1.fd09139a63ac3p-8, -0x1.106f15e34e488p-7, -0x1.220a969f3120fp-7, -0x1.3356dc985c302p-7, -0x1.44538c1a19a96p-7, -0x1.55007767e202bp-7, -0x1.655d6c108a796p-7, -0x1.756a419a50dd3p-7, -0x1.8526b6dff5536p-7, -0x1.949294147425bp-7, -0x1.a3add6889fb0ep-7, -0x1.b27867263137ep-7, -0x1.c0f23dc217657p-7, -0x1.cf1b3ac6deb9ep-7, -0x1.dcf36030fde71p-7, -0x1.ea7ab59dbf77fp-7, -0x1.f7b14b8ed788fp-7, -0x1.024b980404833p-6, -0x1.089637c936d8dp-6, -0x1.0eb88e74c6bbdp-6, -0x1.14b2bb65ddd86p-6, -0x1.1a84dfbd08e62p-6, -0x1.202ef48f662fap-6, -0x1.25b128c669fdfp-6, -0x1.2b0bb93258fdbp-6, -0x1.303e80ff8abc6p-6, -0x1.3549f44e3305p-6, -0x1.3a2e0ff173645p-6, -0x1.3eeb184f5b69p-6, -0x1.43811fe471c7dp-6, -0x1.47f06daa4c9a6p-6, -0x1.4c393ba93eb0ep-6, -0x1.505bbbc02e543p-6, -0x1.54582e6506ab4p-6, -0x1.582ed165d670ap-6, -0x1.5bdfe71854077p-6, -0x1.5f6bb4a8cb866p-6, -0x1.62d282137c042p-6, -0x1.6614992f7bc83p-6, -0x1.69324761a8c1cp-6, -0x1.6c2bdc3327136p-6, -0x1.6f01a9d945f95p-6, -0x1.71b404f36d40ap-6, -0x1.744349aa731cep-6, -0x1.76afc5833a0a5p-6, -0x1.78f9d8f55f31ap-6, -0x1.7b21eb772b495p-6, -0x1.7d285acc64626p-6, -0x1.7f0d66dd69411p-6, -0x1.80d1a6a064308p-6, -0x1.82755b719cde1p-6, -0x1.83f912bb0aee3p-6, -0x1.855d01e6a5133p-6, -0x1.86a1a0866d524p-6, -0x1.87c782360a144p-6, -0x1.88cee80cb5b19p-6, -0x1.89b868cf41dc6p-6, -0x1.8a84557ab05e2p-6, -0x1.8b331fdce78f7p-6, -0x1.8bc53f826a159p-6, -0x1.8c3b2591ede77p-6, -0x1.8c95594bfaf51p-6, -0x1.8cd442d3fdd24p-6, -0x1.8cf853154eec5p-6, -0x1.8d0215c86e9e1p-6, -0x1.8cf1e89171746p-6, -0x1.8cc849d829663p-6, -0x1.8c85bbd245d72p-6, -0x1.8c2ababd55e91p-6, -0x1.8bb7b1e210925p-6, -0x1.8b2d23f353d79p-6, -0x1.8a8b8a93e4776p-6, -0x1.89d36321683e4p-6, -0x1.89052b02fe94fp-6, -0x1.882148b9842a9p-6, -0x1.872849c103622p-6, -0x1.861aa89b3510dp-6, -0x1.84f8e71b24c73p-6, -0x1.83c37672a361fp-6, -0x1.827ac10bcbb6ap-6, -0x1.811f516e7f7b9p-6, -0x1.7fb1a1152b6a1p-6, -0x1.7e3228139fc2dp-6, -0x1.7ca15edc9ed7ep-6, -0x1.7affbe7f17affp-6, -0x1.794dbf8818cabp-6, -0x1.778bd0c830cedp-6, -0x1.75ba60d6a4224p-6, -0x1.73da094d409fp-6, -0x1.71eb106c76184p-6, -0x1.6fee15a4f714dp-6, -0x1.6de38597b76e8p-6, -0x1.6bcbb17470ab8p-6, -0x1.69a71ae302f3p-6, -0x1.677638c4360aep-6, -0x1.6539782bbf583p-6, -0x1.62f146601a0f6p-6, -0x1.609e10b23d422p-6, -0x1.5e40436166d01p-6, -0x1.5bd848fec5e1dp-6, -0x1.59668b20041cep-6, -0x1.56eb7301e1ad8p-6, -0x1.54676a60772e6p-6, -0x1.51dad5549c066p-6, -0x1.4f46052159232p-6, -0x1.4ca9825b818dbp-6, -0x1.4a05884e34eadp-6, -0x1.475aa53bcc713p-6, -0x1.44a91bdfe165p-6, -0x1.41f13c0d4423cp-6, -0x1.3f33811b8b355p-6, -0x1.3c703c1e5e116p-6, -0x1.39a7bcca4272ep-6, -0x1.36da62d7b6d34p-6, -0x1.340886ac00b13p-6, -0x1.313273e79f6fep-6, -0x1.2e588a2b2dc99p-6, -0x1.2b7b1e959ea42p-6, -0x1.289a7d84c5f87p-6, -0x1.25b6ed8d2d9f2p-6, -0x1.22d0c4c504f4bp-6, -0x1.1fe84f5391dc4p-6, -0x1.1cfdd98d64e17p-6, -0x1.1a11ad203680fp-6, -0x1.172410dbd7986p-6, -0x1.14353bdb7295ep-6, -0x1.114584612e511p-6, -0x1.0e5536649fb2fp-6, -0x1.0b647e8a0a28bp-6, -0x1.0873bae18929ep-6, -0x1.058307f3b7044p-6, -0x1.0292acf2c58edp-6, -0x1.ff45d99762692p-7, -0x1.f968024adeebp-7, -0x1.f38c45532501ap-7, -0x1.edb31473b4f8dp-7, -0x1.e7dcda992448dp-7, -0x1.e209d94d6447p-7, -0x1.dc3aaaa4f54c6p-7, -0x1.d66f9fd5a3513p-7, -0x1.d0a93c613c0dcp-7, -0x1.cae7b4a7fd718p-7, -0x1.c52b558523162p-7, -0x1.bf7498bb0448p-7, -0x1.b9c3bffc8ceefp-7, -0x1.b41921fe2122ap-7, -0x1.ae751f3681168p-7, -0x1.a8d7ff2cecd4bp-7, -0x1.a341f7e21021fp-7, -0x1.9db3603f68eb5p-7, -0x1.982c8064f01afp-7, -0x1.92ad9a332083p-7, -0x1.8d36edbaf7ffbp-7, -0x1.87c8b8facef8fp-7, -0x1.826337540f475p-7, -0x1.7d06a151a4fc7p-7, -0x1.77b335be4a7a5p-7, -0x1.72690eda17d95p-7, -0x1.6d286c9d032e6p-7, -0x1.67f1978c81878p-7, -0x1.62c49fd93a13dp-7, -0x1.5da1bbd8a992ap-7, -0x1.5889270534f8fp-7, -0x1.537ae7cca4773p-7, -0x1.4e7729c96475ap-7, -0x1.497e1654ffe28p-7, -0x1.448fcdc1b7ff8p-7, -0x1.3fac655a6cad8p-7, -0x1.3ad3dc885dbbep-7, -0x1.36068925c68acp-7, -0x1.31446fbcdce88p-7, -0x1.2c8db501a251cp-7, -0x1.27e28c768e81p-7, -0x1.2342d56ca3c3p-7, -0x1.1eaea20b411fep-7, -0x1.1a2656f5a730bp-7, -0x1.15a9ac09bb8bep-7, -0x1.1138eb527722bp-7, -0x1.0cd3df97105ebp-7, -0x1.087a91daa4de2p-7, -0x1.042cfecbd72dep-7, -0x1.ffd661957bf7bp-8, -0x1.f76a66601eba2p-8, -0x1.ef16230605552p-8, -0x1.e6d9b974d7f84p-8, -0x1.deb54c1da8febp-8, -0x1.d6a8f80709786p-8, -0x1.ceb4ce64b8c03p-8, -0x1.c6d8cf7d02f06p-8, -0x1.bf14eb432552p-8, -0x1.b769049502c21p-8, -0x1.afd4f6b89b05fp-8, -0x1.a8589e0aa97b7p-8, -0x1.a0f3df3288524p-8, -0x1.99a6ac8668ee2p-8, -0x1.927105fc12b7bp-8, -0x1.8b52f3028f6adp-8, -0x1.844c7d1946b83p-8, -0x1.7d5dab7ac6b68p-8, -0x1.768674c09e08dp-8, -0x1.6fc6b1be80ee3p-8, -0x1.691e212c78895p-8, -0x1.628c7122ad13bp-8, -0x1.5c1143c02f34dp-8, -0x1.55ac2e4549933p-8, -0x1.4f5d08820e9ddp-8, -0x1.492380b86fbb2p-8, -0x1.42ff9c1f4e1e2p-8, -0x1.3cf170cf9634bp-8, -0x1.36f94d74ae3a4p-8, -0x1.31178ed1143b2p-8, -0x1.2b4c6278c9927p-8, -0x1.2598014202e99p-8, -0x1.1ffa81a35e924p-8, -0x1.1a733b295181dp-8, -0x1.150240d1d605fp-8, -0x1.0fa6d1125442fp-8, -0x1.0a60590d920adp-8, -0x1.052deaee4358p-8, -0x1.000e728813472p-8, -0x1.f6032d50628dcp-9, -0x1.ec0e50074fb5fp-9, -0x1.e23e1dae992c7p-9, -0x1.d892e0f73701cp-9, -0x1.cf0d45fb433a1p-9, -0x1.c5ae280db249ap-9, -0x1.bc765cca9ce1ep-9, -0x1.b3668502f5acfp-9, -0x1.aa7ee5d26ee7ep-9, -0x1.a1bf588a70ba6p-9, -0x1.992745db045d7p-9, -0x1.90b5b4639eb39p-9, -0x1.886964d94d165p-9, -0x1.804122f13315ep-9, -0x1.783b1f3aea138p-9, -0x1.7056abb8f2b1fp-9, -0x1.6892b9caa7b3p-9, -0x1.60eeae01b542bp-9, -0x1.596a387bd9b28p-9, -0x1.52054b1b4d434p-9, -0x1.4ac009aff6391p-9, -0x1.439ab4c1ba8c8p-9, -0x1.3c958e30b9953p-9, -0x1.35b0bdeae082ap-9, -0x1.2eec369dc2f1dp-9, -0x1.2847ae2a4a5bcp-9, -0x1.21c29b2c5de23p-9, -0x1.1b5c518b23424p-9, -0x1.1514247671d76p-9, -0x1.0ee9291a566f9p-9, -0x1.08db0d47fafdap-9, -0x1.02e971cfb312ep-9, -0x1.fa270d8411322p-10, -0x1.eeb1118fba133p-10, -0x1.e36fc825a2cdep-10, -0x1.d862004635de9p-10, -0x1.cd86ae37c0ebdp-10, -0x1.c2dc9b186a9dap-10, -0x1.b865cf8caa58ap-10, -0x1.ae2188365314ap-10, -0x1.a4115ed82e92ap-10, -0x1.9a33b1e079cc7p-10, -0x1.9088b6a0e2f06p-10, -0x1.8710a806eb97ap-10, -0x1.7dcaafb3f7e3bp-10, -0x1.74b6688cfb447p-10, -0x1.6bd4dbe38f834p-10, -0x1.63239dc5b1d9bp-10, -0x1.5aa25462d0871p-10, -0x1.524c768a98847p-10, -0x1.4a1f0770e3ba4p-10, -0x1.4216d6ae132cbp-10, -0x1.3a310e5a4f3a3p-10, -0x1.326cb73ba8aedp-10, -0x1.2acb533959387p-10, -0x1.234da42cba2fep-10, -0x1.1bf5d5320813cp-10, -0x1.14c3e71a17ff1p-10, -0x1.0db72f081b6ap-10, -0x1.06cf3f078a56fp-10, -0x1.000bd87107c08p-10, -0x1.f2db79e85d09bp-11, -0x1.e5ededcda3cf9p-11, -0x1.d9532f951fb04p-11, -0x1.cd0e4ece232a4p-11, -0x1.c1201d9b8d48dp-11, -0x1.b584c905c5e7cp-11, -0x1.aa35664cf8ab9p-11, -0x1.9f27e8c7c90dcp-11, -0x1.94526d13ca48fp-11, -0x1.89abd194343bap-11, -0x1.7f308a1313d5p-11, -0x1.74df9427b4769p-11, -0x1.6abab8e26ff46p-11, -0x1.60c5df8c79b9bp-11, -0x1.5703b68c7db2dp-11, -0x1.4d753c13618c5p-11, -0x1.441a725786707p-11, -0x1.3af36f52511ccp-11, -0x1.32001f520cdbbp-11, -0x1.2941d0a1d8558p-11, -0x1.20babb5cd704ep-11, -0x1.186be478445ffp-11, -0x1.10555b13aff4ap-11, -0x1.087a0c97fbbecp-11, -0x1.00d70ac58a5f6p-11, -0x1.f2d6cdefd6738p-12, -0x1.e4619004506c7p-12, -0x1.d6480434ea6edp-12, -0x1.c881093808041p-12, -0x1.bb059dd674e5cp-12, -0x1.add7c9742d452p-12, -0x1.a0e60debcd265p-12, -0x1.944048a0b52ep-12, -0x1.87df4709adf63p-12, -0x1.7bc2a200588d8p-12, -0x1.6fdf1b4fe86bfp-12, -0x1.64390d344970ap-12, -0x1.58d5974a56c33p-12, -0x1.4db9dc47fb9e1p-12, -0x1.42ec69295fcc3p-12, -0x1.386b12cda575ep-12, -0x1.2e2efccce27a7p-12, -0x1.243496bf4d5c9p-12, -0x1.1a782d19fdc8ap-12, -0x1.10fa34b222841p-12, -0x1.07beb68ea7229p-12, -0x1.fd9072af3cd34p-13, -0x1.ec2bed73870edp-13, -0x1.db4578ba4341dp-13, -0x1.cace046f74135p-13, -0x1.bab50f25d154fp-13, -0x1.aaee8f87fc0a8p-13, -0x1.9b7db6a4c7333p-13, -0x1.8c6fd5dd04c21p-13, -0x1.7dd352f921405p-13, -0x1.6fa3618b6efd4p-13, -0x1.61d80a46ec98p-13, -0x1.546abae5189ap-13, -0x1.4757a8ef01258p-13, -0x1.3a9ef37cb9149p-13, -0x1.2e379b00ba9d4p-13, -0x1.221adf1969978p-13, -0x1.1648611a30f1p-13, -0x1.0ac29b8b7dd4fp-13, -0x1.ff128e1e09c4ap-14, -0x1.e930f2f48b553p-14, -0x1.d3df878bff80fp-14, -0x1.bf2e33f69a8f8p-14, -0x1.ab32657334234p-14, -0x1.97eb114ac41cfp-14, -0x1.854881a4e5bf8p-14, -0x1.733a1ddcb6a6bp-14, -0x1.6191537a20db6p-14, -0x1.50358b42b50a7p-14, -0x1.3f34bd696788ap-14, -0x1.2eb70f9eedb96p-14, -0x1.1ebff536f0fdap-14, -0x1.0f358b34ad89dp-14, -0x1.001768e053b4p-14, -0x1.e2f91ae3e6208p-15, -0x1.c6dceffcc35d7p-15, -0x1.abc631b42e8a8p-15, -0x1.9195d0945dfcdp-15, -0x1.78291a7d426d5p-15, -0x1.5f57ea2d7c21bp-15, -0x1.4708400169859p-15, -0x1.2f4a54e2f8d0ep-15, -0x1.1843950af9e77p-15, -0x1.01fe7a06fdc29p-15, -0x1.d8d909e68227ep-16, -0x1.aed6b9d109979p-16, -0x1.8637c02d97741p-16, -0x1.5f6ab88663922p-16, -0x1.3a1c3cd7521bep-16, -0x1.163aeefa5ffbdp-16, -0x1.e65e63f173178p-17, -0x1.a1ccfcc98a17cp-17, -0x1.5f4260cbdcd1dp-17, -0x1.1f1c18c1df60ep-17, -0x1.c1cb9243df34ap-18, -0x1.48b649fc69e8fp-18, -0x1.a8114761d8fafp-19, -0x1.903a290a344edp-20, 0x1.fc8e691c87eb1p-24, 0x1.c201eb65e0c9ep-20, 0x1.ab4a98c835edcp-19, 0x1.37288a67b10bdp-18, 0x1.94e69bad6eefdp-18, 0x1.eed824942e787p-18, 0x1.228d4440495d2p-17, 0x1.4c653da73622ap-17, 0x1.7518319615eaep-17, 0x1.9c413df5b4db8p-17, 0x1.c1d61da61f0bfp-17, 0x1.e623c657a5638p-17, 0x1.04af348b26b7cp-16, 0x1.155b555e4f3b4p-16, 0x1.254cb42a2154bp-16, 0x1.349e35e54494bp-16, 0x1.435bae02a6a77p-16, 0x1.51721f33ffff2p-16, 0x1.5f0a051e1785ap-16, 0x1.6bf2722d34a9dp-16, 0x1.787e30134e37dp-16, 0x1.848b802eeeca9p-16, 0x1.8ff8192ee8ca3p-16, 0x1.9ad1dd5867a3cp-16, 0x1.a52e3e558bd02p-16, 0x1.af1bc422baee1p-16, 0x1.b897d04338ae5p-16, 0x1.c19f3861787d2p-16, 0x1.ca3599854b748p-16, 0x1.d25e319d64056p-16, 0x1.da1b69b149a7fp-16, 0x1.e16fd9097afd5p-16, 0x1.e8559a51cdb7ep-16, 0x1.eed1edf231e37p-16, 0x1.f4eee81d5b317p-16, 0x1.fab675b7e759ap-16, 0x1.001376bb67a42p-15, 0x1.02a2ab14f4eccp-15, 0x1.0509325187d9p-15, 0x1.074169765a226p-15, 0x1.094ef6af11a69p-15, 0x1.0b405b6464597p-15, 0x1.0ced77913c43fp-15, 0x1.0ea4cc03c6039p-15, 0x1.10267df26431bp-15, 0x1.1180996d7b9d7p-15, 0x1.12afc2c8fb063p-15, 0x1.13c757fbe18f5p-15, 0x1.14d7fb31b1272p-15, 0x1.15a2009947ac9p-15, 0x1.16601a4df43c1p-15, 0x1.17014d69e6408p-15, 0x1.1786d8fb42452p-15, 0x1.17f1caeaf114dp-15, 0x1.1842e460287e3p-15, 0x1.187aa33ef2d98p-15, 0x1.18997df5496d7p-15, 0x1.189d2ef062adp-15, 0x1.188b38e4729f9p-15, 0x1.18697357251f5p-15, 0x1.182c7543feef5p-15, 0x1.17e1705564472p-15, 0x1.17855e4d900d7p-15, 0x1.170fb1bb931bbp-15, 0x1.1679f127d43bbp-15, 0x1.15dfb08adab19p-15, 0x1.1536c6285fd6p-15, 0x1.148744f670e33p-15, 0x1.13b26bf894e0fp-15, 0x1.12c7ffa939298p-15, 0x1.11d520941c51ap-15, 0x1.10e2ee8808a3ap-15, 0x1.0fdbe3af8f854p-15, 0x1.0ebb70e66b0aep-15, 0x1.0d9400e7fcba1p-15, 0x1.0c69e699ff72cp-15, 0x1.0b2b727fbad77p-15, 0x1.09e0706e9787fp-15, 0x1.0883d90f20962p-15, 0x1.0720b07246dddp-15, 0x1.05b591b2379f2p-15, 0x1.043f2c9b701a7p-15, 0x1.02bb9a6d5ed57p-15, 0x1.0132758cd9c02p-15, 0x1.ff3f72ac41072p-16, 0x1.fc097601d6182p-16, 0x1.f8b9d7e1154ebp-16, 0x1.f55aa00f6c9fcp-16, 0x1.f1ed007cc3291p-16, 0x1.ee6fbbc0d3ef7p-16, 0x1.eaf570e258e23p-16, 0x1.e7679a2d214eap-16, 0x1.e3b75dcc1d506p-16, 0x1.e012367acb546p-16, 0x1.dc5ea58cb760fp-16, 0x1.d897f21496023p-16, 0x1.d4c31921ed9dcp-16, 0x1.d0e2a380eb92cp-16, 0x1.ccf6ab9674c33p-16, 0x1.c90bde550a386p-16, 0x1.c51781e6238c6p-16, 0x1.c11c4a8ea1b3p-16, 0x1.bd06291afe11cp-16, 0x1.b8ea3e2ce26b8p-16, 0x1.b4e4cecb2f5a8p-16, 0x1.b0c880c2460ddp-16, 0x1.aca18b687ebb9p-16, 0x1.a874f58dab34dp-16, 0x1.a442f2f7db894p-16, 0x1.a00ba529f72dp-16, 0x1.9bcd670b83f52p-16, 0x1.978e2f30c695ep-16, 0x1.934b73cade462p-16, 0x1.8f04d3b2d769p-16, 0x1.8ab949b66dbe9p-16, 0x1.86815be30d257p-16, 0x1.820b642ecac58p-16, 0x1.7db75c1ae79f2p-16, 0x1.796c19abb217cp-16, 0x1.750e842e4787bp-16, 0x1.70a6eacd6e7a5p-16, 0x1.6c508350a9838p-16, 0x1.67f28d3369252p-16, 0x1.639b84a12b691p-16, 0x1.5f35924a13f51p-16, 0x1.5ad1c6710df31p-16, 0x1.5670eb18bc958p-16, 0x1.520933ae41ccp-16, 0x1.4dad06872a633p-16, 0x1.49451c8fa9abdp-16, 0x1.44e2b0fa116b2p-16, 0x1.408341251cd8ap-16, 0x1.3c240916307ecp-16, 0x1.37be9132a019bp-16, 0x1.335f8420b7c83p-16, 0x1.2f06fe316a77p-16, 0x1.2aabc10b741ecp-16, 0x1.2654c6f292516p-16, 0x1.21ffcf1ec8029p-16, 0x1.1daa712460cf9p-16, 0x1.1951453254f7cp-16, 0x1.14ffe2a8811fbp-16, 0x1.10b39a97c018ap-16, 0x1.0c68bfd0bc462p-16, 0x1.081ff231fa3dfp-16, 0x1.03da0f92dbd0fp-16, 0x1.ff2dfce0ddcfdp-17, 0x1.f6af8c36bc0c5p-17, 0x1.ee3946f76d7b3p-17, 0x1.e5c67d8f6a61p-17, 0x1.dd55225ccdfb6p-17, 0x1.d4f5f48bb7922p-17, 0x1.cca10cef323a5p-17, 0x1.c44b9703c4cf6p-17, 0x1.bbfaae40a9d18p-17, 0x1.b3c1f221ae8f4p-17, 0x1.ab9328ab45d27p-17, 0x1.a363193cb9da6p-17, 0x1.9b27b74208d25p-17, 0x1.930f04636c781p-17, 0x1.8b02ce0c449e3p-17, 0x1.82f2cf67ce3e6p-17, 0x1.7aec3329bee11p-17, 0x1.72f47442658f2p-17, 0x1.6b081f5759813p-17, 0x1.6325cccf10973p-17, 0x1.5b4d117db9d58p-17, 0x1.5379e7198db3bp-17, 0x1.4ba9b58599efp-17, 0x1.440c2cf963a8p-17, 0x1.3c63504fd044cp-17, 0x1.34ae02237f385p-17, 0x1.2d1b202bd893fp-17, 0x1.257d2d623cb19p-17, 0x1.1deaf31cf3222p-17, 0x1.16a3f4647c50dp-17, 0x1.0f3299dcb64f8p-17, 0x1.07d261714c41p-17, 0x1.004d58a0f6ebap-17, 0x1.f295ecbb97519p-18, 0x1.e46afab73b7d4p-18, 0x1.d5bae28ba407bp-18, 0x1.c780f7a384b92p-18, 0x1.b9582c85cfa06p-18, 0x1.ab4fb457f582ap-18, 0x1.9d4881854b05cp-18, 0x1.8f7f50de975bcp-18, 0x1.81c6064d6a114p-18, 0x1.7421792429098p-18, 0x1.66974ec82b975p-18, 0x1.5927203b25b2cp-18, 0x1.4bd1a94442121p-18, 0x1.3e96ec2a59caap-18, 0x1.3176e3ceeb145p-18, 0x1.2471d65fbe741p-18, 0x1.1787c267f2e9ap-18, 0x1.0ab85e9d06094p-18, 0x1.fc0561d7ef372p-19, 0x1.e2d59882395b9p-19, 0x1.c9e5585b7b017p-19, 0x1.b126303df2acdp-19, 0x1.9891fbc97bbd2p-19, 0x1.803b2e911cb9fp-19, 0x1.6824213679ee7p-19, 0x1.503b0ec0bb3a9p-19, 0x1.389675f635c82p-19, 0x1.2120caeabe683p-19, 0x1.09e201695e669p-19, 0x1.e5d36cf3c5f7fp-20, 0x1.b835c8e764f8ap-20, 0x1.8ae7aa89d785cp-20, 0x1.5e88128aba493p-20, 0x1.322d1678bf2a9p-20, 0x1.064ab8ad6e35ep-20, 0x1.b5e78fe22fbefp-21, 0x1.602e7c3dd556bp-21, 0x1.0b478fe596bcap-21, 0x1.6e72e393fd7d6p-22, 0x1.8c2c3da8fb8e4p-23, 0x1.234c135e9e975p-25, -0x1.fbe133097f202p-24, -0x1.1f8a7cf50f0b7p-22, -0x1.bf224d8937562p-22, -0x1.2e2218b40172bp-21, -0x1.7bdfcb5297679p-21, -0x1.c8b2bf07c861bp-21, -0x1.0a5a8a7f3581ep-20, -0x1.300cce6a5d2f2p-20, -0x1.54b9d105dafb5p-20, -0x1.77fc50f865118p-20, -0x1.9dc7dc004dfa6p-20, -0x1.c14cafa9639e8p-20, -0x1.e4b77996f01e5p-20, -0x1.03c9c4f6a9eecp-19, -0x1.14ecbfc2c4875p-19, -0x1.2265bedf30f0ep-19, -0x1.36c5d2fa4287fp-19, -0x1.4713f8eaab8e1p-19, -0x1.5798d390930ddp-19, -0x1.67b98c143cfb1p-19, -0x1.77b42b7b496abp-19, -0x1.873c7add2931ep-19, -0x1.96a952a509fcbp-19, -0x1.a5e7f7e4e0fefp-19, -0x1.b493e50b78a01p-19, -0x1.c3eb612d27a16p-19, -0x1.d220a348d78b3p-19, -0x1.e08754deb28c2p-19, -0x1.eeae14b23307cp-19, -0x1.fcd86ac752b75p-19, -0x1.05229845435dep-18, -0x1.0bde6c4fd820ap-18, -0x1.12817b5d10c8dp-18, -0x1.1908a854ac5f8p-18, -0x1.1f741d101803cp-18, -0x1.25c596f0d6501p-18, -0x1.2bf800be0052p-18, -0x1.320e44fd7f0a4p-18, -0x1.3819afc3c6812p-18, -0x1.3dfb5cfaa0554p-18, -0x1.43c822d6b080bp-18, -0x1.4968825aefe19p-18, -0x1.4f3fa830a2fabp-18, -0x1.547ac1b7466d5p-18, -0x1.59d9df39eccb2p-18, -0x1.5f2a292e9db8bp-18, -0x1.645f3ad65ad21p-18, -0x1.696841cdea311p-18, -0x1.6e5a1908c614dp-18, -0x1.73356f0f9e5eap-18, -0x1.780ace4dfc475p-18, -0x1.6c3373982d8f9p-18, -0x1.8152324c1e625p-18, -0x1.85c554ea8ee92p-18, -0x1.8a18d9922d63fp-18, -0x1.8eea0f3f206dcp-18, -0x1.92931d02d954bp-18, -0x1.96acbe39a2eabp-18, -0x1.9aab8f09d01efp-18, -0x1.9e91dacec3058p-18, -0x1.a25fd413a5d2ep-18, -0x1.a615c94034b96p-18, -0x1.a9b23b622366p-18, -0x1.ad1972813a5ep-18, -0x1.b0a76a27f7cb4p-18, -0x1.b4005d99d5611p-18, -0x1.b73fe30b6f44ep-18, -0x1.b30f95ceffff8p-18, -0x1.bcc6a202844bep-18, -0x1.c079b1bc3c6b8p-18, -0x1.c365644c49056p-18, -0x1.c61d7ff29ab29p-18, -0x1.c8dfed2db8f1ep-18, -0x1.cb790255a3f7fp-18, -0x1.ce1799811fb5ap-18, -0x1.d088def48cefep-18, -0x1.d2e3916a98b32p-18, -0x1.d52cfa17ef50cp-18, -0x1.d75cb2e5c9a77p-18, -0x1.d93e72ec6d549p-18, -0x1.db8615babb3b2p-18, -0x1.ddc5212a37e5ap-18, -0x1.df65910b084dep-18, -0x1.e14310e26cef7p-18, -0x1.e2f17d4458b1dp-18, -0x1.e47e8c2d2cfa3p-18, -0x1.e612f4cbe3ddbp-18, -0x1.e5aa5a4f9333fp-18, -0x1.e8f415bc2e9dap-18, -0x1.ea6157909a158p-18, -0x1.eb9990ab551adp-18, -0x1.ecc06a91c0911p-18, -0x1.ede008d16a961p-18, -0x1.eed7454a5a3b5p-18, -0x1.efc8431815f51p-18, -0x1.f09626e569359p-18, -0x1.f1d808fbc3c58p-18, -0x1.f26483e630228p-18, -0x1.f3076ec6f46b5p-18, -0x1.f3714a0d160c6p-18, -0x1.f40169beaf5ecp-18, -0x1.f488ddf37891fp-18, -0x1.f4f15fa75e45p-18, -0x1.f553060f31392p-18, -0x1.f594cef2a7fbfp-18, -0x1.f5b82fa6af7fap-18, -0x1.f5d9665345007p-18, -0x1.f5eb077257811p-18, -0x1.f5ebcb16704cdp-18, -0x1.f6b8e192c2601p-18, -0x1.f5bb63c197aaep-18, -0x1.f588404c49962p-18, -0x1.f4cd1c7bcd86p-18, -0x1.f5252299dee0bp-18, -0x1.f4a08df90704fp-18, -0x1.f44c6e5198c2fp-18, -0x1.f3b4bc6439de3p-18, -0x1.f31d287479de3p-18, -0x1.f27f05aaf509ep-18, -0x1.f1ef637d62a3cp-18, -0x1.f147ab815dc6p-18, -0x1.f07497766fb48p-18, -0x1.ef7da67623c14p-18, -0x1.eed4d3c248c51p-18, -0x1.ede7142b6f853p-18, -0x1.ece57d771434fp-18, -0x1.ebdb947aca57dp-18, -0x1.eac5744b4573ep-18, -0x1.e9a5fd7d137aep-18, -0x1.e8776714fa542p-18, -0x1.e77c0a298c099p-18, -0x1.e60700a91bcfdp-18, -0x1.e4ade36394eeep-18, -0x1.e3481e319462p-18, -0x1.e1e03d731bf0fp-18, -0x1.e06ca8603b566p-18, -0x1.def15c36d66a1p-18, -0x1.dd6e5ae587e96p-18, -0x1.dbb5dedfaa6d8p-18, -0x1.da22f0dcb0eap-18, -0x1.d866fbc980ef7p-18, -0x1.d6bfe71d1145ep-18, -0x1.d4c3e60d360bp-18, -0x1.d3530aff1edccp-18, -0x1.d1789eba75fa5p-18, -0x1.cf5e9a3ffd2f4p-18, -0x1.cdd42007f4e9bp-18, -0x1.cba6fb7be8d5cp-18, -0x1.c9c74accf8966p-18, -0x1.c67779ba67ebap-18, -0x1.c547401a21849p-18, -0x1.c38984b0d7053p-18, -0x1.c14b1ba657584p-18, -0x1.bf124dcec7b66p-18, -0x1.bce979ebca176p-18, -0x1.baab513329992p-18, -0x1.b8693ef6cf0ccp-18, -0x1.b61f8273a0db4p-18, -0x1.b3cb838535ca5p-18, -0x1.b16eda20c348bp-18, -0x1.af0f5fb39d54fp-18, -0x1.ac9dfbfd19659p-18, -0x1.aa4470b6410adp-18, -0x1.a7b069ecaa878p-18, -0x1.a5336b0148a9ap-18, -0x1.a2b3b6f581475p-18, -0x1.a00ebcf34e785p-18, -0x1.9d91095c8d398p-18, -0x1.9aeedfd433311p-18, -0x1.984f57fc97afap-18, -0x1.95a726ee56c35p-18, -0x1.92fbfe2b3de41p-18, -0x1.904787a7b757fp-18, -0x1.8d8c7b3320b0ap-18, -0x1.8ab63be3a4fd2p-18, -0x1.8806024efa76bp-18, -0x1.85372dcbfb2a8p-18, -0x1.826b0e97010e8p-18, -0x1.7f9f19c8c8c35p-18, -0x1.7ccb474ddc6d8p-18, -0x1.79debc12ba09cp-18, -0x1.76fecf507debp-18, -0x1.741b8d1baa54bp-18, -0x1.7138fdbb615dfp-18, -0x1.6e3f7e6e789e3p-18, -0x1.6b3322c1e414bp-18, -0x1.68bea758696e3p-18, -0x1.676b54cc3b528p-18, -0x1.6279a844594abp-18, -0x1.5f244512386d5p-18, -0x1.5c45c3c5604e3p-18, -0x1.594426b356b6p-18, -0x1.5636b42b6a81fp-18, -0x1.531eea5a914e2p-18, -0x1.4ff019e5de3e2p-18, -0x1.4d12bdee017d2p-18, -0x1.49eb966aaafc7p-18, -0x1.46abb31692e43p-18, -0x1.438d7926df598p-18, -0x1.407b8b6ac1dcbp-18, -0x1.369e7c0f2551p-18, -0x1.3a2d99cdabbb2p-18, -0x1.36e796eb6f3fap-18, -0x1.33f91961e1b85p-18, -0x1.30c279c296f68p-18, -0x1.2d851366af57p-18, -0x1.2a53d5c58f69ap-18, -0x1.272890c03c7e9p-18, -0x1.23f13872dcca7p-18, -0x1.20bd84ae4dd47p-18, -0x1.1dcf1b6b97e5fp-18, -0x1.1a5867fe72e9ep-18, -0x1.171a17c8222a5p-18, -0x1.13ee44012628p-18, -0x1.109a2fc35c02bp-18, -0x1.0d3335d9521c5p-18, -0x1.09ef808176a13p-18, -0x1.0712a4747681ep-18, -0x1.03fbe39c8fd5p-18, -0x1.00443771a193p-18, -0x1.fa69730228f8p-19, -0x1.f39b33871d14fp-19, -0x1.edc6d688254e3p-19, -0x1.e720b76dc039p-19, -0x1.e085013c963dbp-19, -0x1.da0466258859bp-19, -0x1.d418b0db3bc9p-19, -0x1.cc957a2b2aa0cp-19, -0x1.c6dfde0b050efp-19, -0x1.c072e900e55bp-19, -0x1.b9712fb8d566ep-19, -0x1.b30a4baab4c32p-19, -0x1.acb037860f18ap-19, -0x1.a640cd52c6399p-19, -0x1.9fce2a7ceda98p-19, -0x1.995821aa08286p-19, -0x1.92f1c7ad53d28p-19, -0x1.8b098c8f70f38p-19, -0x1.86016e5106d87p-19, -0x1.7f51cfab506cdp-19, -0x1.793032c35bf3cp-19, -0x1.73abab8f15fe1p-19, -0x1.6c2b59928bcb7p-19, -0x1.65e9daa02f33p-19, -0x1.5fb498951cc3bp-19, -0x1.596fcf884c1ddp-19, -0x1.531930a35dc33p-19, -0x1.4cc764f511bcfp-19, -0x1.467a27d1e4bc9p-19, -0x1.3c858c902d13fp-19, -0x1.39da325a62c82p-19, -0x1.335729958b826p-19, -0x1.2d902bbb62d62p-19, -0x1.27836a6d24f5ep-19, -0x1.20d2cb78a0fbap-19, -0x1.1a8c0eda92a13p-19, -0x1.148ed4f66664cp-19, -0x1.0e6968b797202p-19, -0x1.08459969aeb33p-19, -0x1.022470809dee5p-19, }}, 
      {{0x1.be8160ec0ba9ap-4, 0x1.ac1ab398d0cccp-3, 0x1.2e06fe88d6b7bp-2, 0x1.7540ac357469p-2, 0x1.ab529869b06b2p-2, 0x1.d102e71a2d72dp-2, 0x1.e7c9b1eb25492p-2, 0x1.f17cfd32cc0edp-2, 0x1.f017e9d9dae41p-2, 0x1.e59517a5907a4p-2, 0x1.d3d66f43d2e37p-2, 0x1.bc9680df12192p-2, 0x1.a160a301a571dp-2, 0x1.838dc25f422dfp-2, 0x1.6444624d589f9p-2, 0x1.447ad6c130771p-2, 0x1.24fab171c3b2ep-2, 0x1.0665079bdfaaep-2, 0x1.d26deddcc85e6p-3, 0x1.9b9c7a10125bdp-3, 0x1.68db3c0a5227bp-3, 0x1.3a8201d9aad7cp-3, 0x1.10c269c7653cfp-3, 0x1.d75d2fd1871b4p-4, 0x1.967e55a686ec7p-4, 0x1.5eb0f3c87a904p-4, 0x1.2f9e2b3074839p-4, 0x1.08d763ea7e932p-4, 0x1.d3b9d4ec07349p-5, 0x1.a4468785946adp-5, 0x1.8230924490efcp-5, 0x1.6c4cb562016eap-5, 0x1.616f900ef348dp-5, 0x1.60721b5448ab4p-5, 0x1.6835ab8d1db85p-5, 0x1.77a694a42fd22p-5, 0x1.8dbe72af18b16p-5, 0x1.a985b51d54f13p-5, 0x1.ca1395bf79b3fp-5, 0x1.ee90a221cbff8p-5, 0x1.0b1a6d93fc15cp-4, 0x1.20244d730616ep-4, 0x1.3612071924accp-4, 0x1.4c975b4d8225cp-4, 0x1.636f63aa0882bp-4, 0x1.7a5c43bd4ef71p-4, 0x1.9126ba09d7383p-4, 0x1.a79dcab846ec6p-4, 0x1.bd964b1a3a59fp-4, 0x1.d2ea84408608cp-4, 0x1.e779cfddc5e89p-4, 0x1.fb282ea653f3ap-4, 0x1.06eef67759ca4p-3, 0x1.0fc3a5313164bp-3, 0x1.180a0e4f860f8p-3, 0x1.1fbbc1b2309dcp-3, 0x1.26d3cbef35a7cp-3, 0x1.2d4e950d30382p-3, 0x1.3329b8dc72313p-3, 0x1.3863ebf6d81c7p-3, 0x1.3cfcdd9d0ffdap-3, 0x1.40f51c189cadbp-3, 0x1.444dfa277220bp-3, 0x1.47097a47830f9p-3, 0x1.492a38c49ed64p-3, 0x1.4ab355b1313d3p-3, 0x1.4ba865d8ee8c7p-3, 0x1.4c0d620ed6cffp-3, 0x1.4be6943bac649p-3, 0x1.4b388cd0292f6p-3, 0x1.4a08176258ea1p-3, 0x1.485a2b719b3c9p-3, 0x1.4633e2c5daa52p-3, 0x1.439a73d912e2bp-3, 0x1.409324a711e75p-3, 0x1.3d2344909857dp-3, 0x1.3950258bf9762p-3, 0x1.351f177fe978ap-3, 0x1.3095603267a2fp-3, 0x1.2bb838141cc8fp-3, 0x1.268cc4e948468p-3, 0x1.21181793e2e6cp-3, 0x1.1b5f279a8460dp-3, 0x1.1566d16e206e7p-3, 0x1.0f33d21196bb1p-3, 0x1.08cac69f5d478p-3, 0x1.02302b7b9ffc2p-3, 0x1.f6d0b36a94251p-4, 0x1.e8ef0c2b5ad3fp-4, 0x1.dac3800eacae4p-4, 0x1.cc55e3db9b7c1p-4, 0x1.bdadc1a17ab81p-4, 0x1.aed25550c1f92p-4, 0x1.9fca933615434p-4, 0x1.909d2030d7065p-4, 0x1.815059de14af2p-4, 0x1.71ea515ebbd3cp-4, 0x1.6270d0ded6e49p-4, 0x1.52e95a73c5637p-4, 0x1.4359291bb0babp-4, 0x1.33c5360b603e4p-4, 0x1.243234e183a58p-4, 0x1.14a49932afe2cp-4, 0x1.05209833e2f94p-4, 0x1.eb54504e9f2f5p-5, 0x1.cc8a0d033e092p-5, 0x1.ade96a1671b55p-5, 0x1.8f79016ec9d9bp-5, 0x1.713efdd93176cp-5, 0x1.534124c10f89ap-5, 0x1.3584d86ccd2dcp-5, 0x1.180f1dd1531f6p-5, 0x1.f5c93a2b8c9bdp-6, 0x1.bc134b1dbd796p-6, 0x1.83046fc03da27p-6, 0x1.4aa3ff0ffb3bbp-6, 0x1.12f8c770cc8cfp-6, 0x1.b811f64e5fabep-7, 0x1.4bb498c7ef6fbp-7, 0x1.c1c77fb855f87p-8, 0x1.dea336bef2078p-9, 0x1.00c31f26b11ep-11, -0x1.57a9dd9781e77p-9, -0x1.74691aee852b3p-8, -0x1.1ccc14fd147cep-7, -0x1.7dabea483e655p-7, -0x1.dccf9cbd75422p-7, -0x1.1d19a844c2085p-6, -0x1.4ae9f927e5e69p-6, -0x1.77d77f79dae65p-6, -0x1.a3e12acde4954p-6, -0x1.cf06528e3c9b8p-6, -0x1.f9467d452af64p-6, -0x1.1150b13ff0e86p-5, -0x1.258b80f40fba4p-5, -0x1.3953c7ff14f19p-5, -0x1.4ca9b99c9f71bp-5, -0x1.5f8d9d08a382ep-5, -0x1.71ffce68c6b78p-5, -0x1.8400cc124835ap-5, -0x1.95911c067bdefp-5, -0x1.a6b1557335501p-5, -0x1.b76226a798e4dp-5, -0x1.c7a44a3e646dp-5, -0x1.d7788fd5b96ecp-5, -0x1.e6dfcecc0624cp-5, -0x1.f5dae8675db65p-5, -0x1.02356855391d9p-4, -0x1.094840ca35005p-4, -0x1.10267fd6d1537p-4, -0x1.16d0ac4c5365dp-4, -0x1.1d4753ded9b4fp-4, -0x1.238b012d92c5cp-4, -0x1.299c4632ea38dp-4, -0x1.2f7bb96ec7c78p-4, -0x1.3529f0bef4633p-4, -0x1.3aa78462ab0cdp-4, -0x1.3ff5116b500d8p-4, -0x1.45133760ffc16p-4, -0x1.4a028dfe52a8cp-4, -0x1.4ec3bb58d4a07p-4, -0x1.53575f51535f5p-4, -0x1.57be19ffc30b4p-4, -0x1.5bf88d7a11836p-4, -0x1.60075f7412339p-4, -0x1.63eb327be1133p-4, -0x1.67a4aac8d604fp-4, -0x1.6b3469f276146p-4, -0x1.6e9b15179eccbp-4, -0x1.71d94f52e96f4p-4, -0x1.74efbd82c8c9fp-4, -0x1.77df014e057bep-4, -0x1.7aa7b9fdec722p-4, -0x1.7d4a8f9e1f535p-4, -0x1.7fc81d4f535dap-4, -0x1.8221092d2b9fbp-4, -0x1.8455ec9f062a9p-4, -0x1.86676a99d6048p-4, -0x1.88562018fa0c2p-4, -0x1.8a22a8c10416bp-4, -0x1.8bcda18de6c9p-4, -0x1.8d57a404f4493p-4, -0x1.8ec149b6b0aebp-4, -0x1.900b2ef676d44p-4, -0x1.9135e4a576af2p-4, -0x1.9242078927fb6p-4, -0x1.933026f0fb112p-4, -0x1.9400da377906fp-4, -0x1.94b4b0241e879p-4, -0x1.954c3d798d523p-4, -0x1.95c81152131dcp-4, -0x1.9628b9a8fcbe3p-4, -0x1.966ec27144fa9p-4, -0x1.969ab90936baap-4, -0x1.96ad252195aa4p-4, -0x1.96a6960ae02bcp-4, -0x1.96878e9f24359p-4, -0x1.9650944206fb9p-4, -0x1.96022fc6d7ecfp-4, -0x1.959ce469763edp-4, -0x1.9521310d54c73p-4, -0x1.948f9a1f0f1abp-4, -0x1.93e89df776fd9p-4, -0x1.932cba99a0c9p-4, -0x1.925c6d82527dep-4, -0x1.9178327debdb7p-4, -0x1.90808406ae52bp-4, -0x1.8f75d5e6981bep-4, -0x1.8e58a77c94488p-4, -0x1.8d296c113f8d8p-4, -0x1.8be8972702016p-4, -0x1.8a969b97b4622p-4, -0x1.8933edb2c23f2p-4, -0x1.87c0fdc5973e5p-4, -0x1.863e3be5bce17p-4, -0x1.84ac14f237eb7p-4, -0x1.830af721d803cp-4, -0x1.815b4eba8d92dp-4, -0x1.7f9d82ab8117p-4, -0x1.7dd2007df1a24p-4, -0x1.7bf92eee6a599p-4, -0x1.7a13742f01a5cp-4, -0x1.7821347311774p-4, -0x1.7622d4c12791dp-4, -0x1.7418b964c74f9p-4, -0x1.7203426c06ef8p-4, -0x1.6fe2d20935b23p-4, -0x1.6db7c531a8f92p-4, -0x1.6b827b435fbd5p-4, -0x1.6943513fa8764p-4, -0x1.66faa289e8b44p-4, -0x1.64a8c7aca32aap-4, -0x1.624e1d008a7adp-4, -0x1.5feaf9e8a26a8p-4, -0x1.5d7fb38174908p-4, -0x1.5b0c9f6aa04fcp-4, -0x1.589213ba49efbp-4, -0x1.56106303441eep-4, -0x1.5387df05e77fp-4, -0x1.50f8d916ca08fp-4, -0x1.4e63a03355811p-4, -0x1.4bc8831e796ccp-4, -0x1.4927cfeee6adbp-4, -0x1.4681d370b3e65p-4, -0x1.43d6d78781c41p-4, -0x1.412724e976467p-4, -0x1.3e7306300ab93p-4, -0x1.3bbac2961ed7fp-4, -0x1.38fea1e52dac2p-4, -0x1.363ee6b4b71fep-4, -0x1.337bd695c97adp-4, -0x1.30b5b4b54d954p-4, -0x1.2decc2edcba71p-4, -0x1.2b2141da709e9p-4, -0x1.285370f7a20e4p-4, -0x1.25838ecef81e2p-4, -0x1.22b1d8e796663p-4, -0x1.1fde8b85c42e6p-4, -0x1.1d09e1c19abbap-4, -0x1.1a3415cbe7047p-4, -0x1.175d605389afep-4, -0x1.1485f8319dcdcp-4, -0x1.11ae151f3c82fp-4, -0x1.0ed5ed0092193p-4, -0x1.0bfdb57fe4619p-4, -0x1.09259f02d2149p-4, -0x1.064ddd2435832p-4, -0x1.0376a20ef266ap-4, -0x1.00a01c48784fp-4, -0x1.fb94f87653988p-5, -0x1.f5ebdf04dbe87p-5, -0x1.f045463f3e36ap-5, -0x1.eaa1860d217d8p-5, -0x1.e500f44e68757p-5, -0x1.df63e42d430dbp-5, -0x1.d9caa75527a3fp-5, -0x1.d4358d4731d4p-5, -0x1.cea4e3fc2a612p-5, -0x1.c918f76db381bp-5, -0x1.c3920dd72357ep-5, -0x1.be1070652115ap-5, -0x1.b89469189a302p-5, -0x1.b31e36465de69p-5, -0x1.adae1af4e5951p-5, -0x1.a84453ed0181fp-5, -0x1.a2e1233769c75p-5, -0x1.9d84c23bdfa86p-5, -0x1.982f6d2f0b04ep-5, -0x1.92e159771501dp-5, -0x1.8d9abe1f9f83cp-5, -0x1.885bd01d07bafp-5, -0x1.8324c17e3522fp-5, -0x1.7df5c348f7f37p-5, -0x1.78cf044eb9a7fp-5, -0x1.73b0b1ba317eap-5, -0x1.6e9af72b7de9ep-5, -0x1.698dfeafba39fp-5, -0x1.6489f0c4f4fa2p-5, -0x1.5f8ef3a545b24p-5, -0x1.5a9d2c4cc304dp-5, -0x1.55b4be1f27c5bp-5, -0x1.50d5c909949f8p-5, -0x1.4c006ebdfb7bdp-5, -0x1.4734ce4be37f7p-5, -0x1.4273050a41d75p-5, -0x1.3dbb2be559611p-5, -0x1.390d5ec25db73p-5, -0x1.3469b5e5158bbp-5, -0x1.2fd048d1dea45p-5, -0x1.2b412d70b24efp-5, -0x1.26bc76ddb87dep-5, -0x1.224238c50df42p-5, -0x1.1dd2850be112bp-5, -0x1.196d6ca4656dp-5, -0x1.1512fdf1d44bbp-5, -0x1.10c34607594e7p-5, -0x1.0c7e524814f14p-5, -0x1.08442e12dbd5cp-5, -0x1.0414e3826b0d1p-5, -0x1.ffe0f743d2746p-6, -0x1.f7adfc4008dd8p-6, -0x1.ef90e38ecfb99p-6, -0x1.e789b87eb0349p-6, -0x1.df9884a77197dp-6, -0x1.d7bd4e99cf769p-6, -0x1.cff8194d475cp-6, -0x1.c848ec71ee3b4p-6, -0x1.c0afc6a870614p-6, -0x1.b92ca671c0d93p-6, -0x1.b1bf8874fc561p-6, -0x1.aa686a404e19ep-6, -0x1.a32745b6e2f4ep-6, -0x1.9bfc125c726bap-6, -0x1.94e6c5d91c027p-6, -0x1.8de754b3f4653p-6, -0x1.86fdb2a48f966p-6, -0x1.8029d21422f1cp-6, -0x1.796ba36232fc5p-6, -0x1.72c314d2ab91ep-6, -0x1.6c30130cd0e31p-6, -0x1.65b288e1a717fp-6, -0x1.5f4a63053f73ap-6, -0x1.58f78937a1df9p-6, -0x1.52b9e5ad9ec5bp-6, -0x1.4c915dee60899p-6, -0x1.467dd76c27e71p-6, -0x1.407f37f50a649p-6, -0x1.3a9562cf3debap-6, -0x1.34c03a4072e1p-6, -0x1.2effa02cde173p-6, -0x1.2953751dc0f2bp-6, -0x1.23bb97296d385p-6, -0x1.1e37e71aa25b5p-6, -0x1.18c8435e4c80ep-6, -0x1.136c88596195dp-6, -0x1.0e2490d4d8bep-6, -0x1.08f039d20474bp-6, -0x1.03cf5ed3c0d74p-6, -0x1.fd83b1e0e88cdp-7, -0x1.f38f04a4519a7p-7, -0x1.e9c067d5a3ce7p-7, -0x1.e0178d137488bp-7, -0x1.d69422c7e5f0cp-7, -0x1.cd35d5ecfdc4p-7, -0x1.c3fc598fbf247p-7, -0x1.bae755af8b7fdp-7, -0x1.b1f677e95c934p-7, -0x1.a9296b44e1cc8p-7, -0x1.a07fda1778fc9p-7, -0x1.97f96e1c8a6c1p-7, -0x1.8f95d0765ec6ap-7, -0x1.8754a9b81c4e7p-7, -0x1.7f35a1b362dc6p-7, -0x1.77385e79e702dp-7, -0x1.6f5c8768e7e2ap-7, -0x1.67a1c9a13f832p-7, -0x1.6007b7e601687p-7, -0x1.588e1827c1229p-7, -0x1.51347190baf56p-7, -0x1.49fa7b263c259p-7, -0x1.42dfd43dda8d9p-7, -0x1.3be41f7e1f39p-7, -0x1.3507051544cf9p-7, -0x1.2e4829ba70aa5p-7, -0x1.27a7309c7eedbp-7, -0x1.2123c05f67198p-7, -0x1.1abd7e86d5a81p-7, -0x1.1474107dc44e5p-7, -0x1.0e471b9425d12p-7, -0x1.083644ecdc01p-7, -0x1.024132d90f5bfp-7, -0x1.f8cf1b16ac0bfp-8, -0x1.ed51cfbfb1521p-8, -0x1.e20a0fba25092p-8, -0x1.d6f6e55d13f14p-8, -0x1.cc17ce046cd11p-8, -0x1.c16c0b882b2d8p-8, -0x1.b6f2f09165174p-8, -0x1.acabca26b29f2p-8, -0x1.a295e471a8d51p-8, -0x1.98b08fda0f618p-8, -0x1.8efb1d88b0532p-8, -0x1.8574df25c072fp-8, -0x1.7c1d285719d1cp-8, -0x1.72f34fbcaddffp-8, -0x1.69f6ac0ab66c7p-8, -0x1.612698f51d8dep-8, -0x1.58827359b086fp-8, -0x1.500998e106288p-8, -0x1.47bb69e8ea3a9p-8, -0x1.3f9744dd4314ap-8, -0x1.379c8650d1e65p-8, -0x1.2fca87037222ep-8, -0x1.282098a3f7e64p-8, -0x1.209e261ba1c18p-8, -0x1.19428d87963f3p-8, -0x1.120d1aabf043bp-8, -0x1.0afd41898d5c6p-8, -0x1.04125ffee9212p-8, -0x1.fa97f301402e2p-9, -0x1.ed52d0e4101dp-9, -0x1.e0544f0956da9p-9, -0x1.d39b523176dd8p-9, -0x1.c726c0bb3f08ep-9, -0x1.baf575ca52b1fp-9, -0x1.af064cb833c3cp-9, -0x1.a35821ab0b195p-9, -0x1.97e9cf837c126p-9, -0x1.8cba3915d2758p-9, -0x1.81c8471f69616p-9, -0x1.7712eb1856875p-9, -0x1.6c992270b1e9cp-9, -0x1.6259fea830ce4p-9, -0x1.585496f6af40bp-9, -0x1.4e87ea7042834p-9, -0x1.44f2efbe789ecp-9, -0x1.3b94adc9573eap-9, -0x1.326c22dfe913bp-9, -0x1.29783068225eep-9, -0x1.20b7b7d57002dp-9, -0x1.18299383d9cd2p-9, -0x1.0fcd19012d966p-9, -0x1.07a1100af07f3p-9, -0x1.ff497cc28ba49p-10, -0x1.efaea77a6541ep-10, -0x1.e0706f666e20ap-10, -0x1.d18da48046bb4p-10, -0x1.c304dda533605p-10, -0x1.b4d4a782d8af1p-10, -0x1.a6fba3caf03f7p-10, -0x1.997818092627ap-10, -0x1.8c482f866a4b2p-10, -0x1.7f696529f7ebcp-10, -0x1.72da277dc0893p-10, -0x1.669832c9e8a54p-10, -0x1.5aa184710a379p-10, -0x1.4ef4526aac6d8p-10, -0x1.438f02d142693p-10, -0x1.38704a83602f8p-10, -0x1.2d971344f86a3p-10, -0x1.23027335e359ap-10, -0x1.18b196eb17596p-10, -0x1.0ea3aab51e04ep-10, -0x1.04d7c5eb7dffap-10, -0x1.f699ba3c58fep-11, -0x1.e403709ccb573p-11, -0x1.d1e9e3d94455cp-11, -0x1.c04a13d993f47p-11, -0x1.af20b3e3c4b02p-11, -0x1.9e693e0cc5128p-11, -0x1.8e245295e8d5cp-11, -0x1.7e4b2387c9e95p-11, -0x1.6edc2fa8dcdc3p-11, -0x1.5fd50ad411e8fp-11, -0x1.51338f99e456dp-11, -0x1.42f5db617edb2p-11, -0x1.351a40815b927p-11, -0x1.279f33d03963cp-11, -0x1.1a83332193d9ep-11, -0x1.0dc4b00695e0bp-11, -0x1.0161f1640518p-11, -0x1.eab22e19da169p-12, -0x1.d35024268c8a4p-12, -0x1.bc9a820721addp-12, -0x1.a688eb852addep-12, -0x1.911daf2a8da32p-12, -0x1.7c4fbb5a3cc23p-12, -0x1.681ccacff3537p-12, -0x1.5480d23a995f7p-12, -0x1.4177e5b478947p-12, -0x1.2efdfbae03b68p-12, -0x1.1d0f5ace2666fp-12, -0x1.0ba8dcd47b1abp-12, -0x1.f590293340a23p-13, -0x1.d4d4ea06b40a8p-13, -0x1.b51b7132f9953p-13, -0x1.965f672bb06b8p-13, -0x1.789c676460bc3p-13, -0x1.5bce3cd3ff3b9p-13, -0x1.3feeeb2c9f5a1p-13, -0x1.24fa016e5ee2p-13, -0x1.0aeb110d30142p-13, -0x1.e3780fe799282p-14, -0x1.b2d03f8e90096p-14, -0x1.83cf3dfd5d11fp-14, -0x1.5664392ccabe1p-14, -0x1.2a7dfc5147ad1p-14, -0x1.000a60d67e04dp-14, -0x1.adf589f821272p-15, -0x1.5e8b8d2de5e33p-15, -0x1.11d006da25bap-15, -0x1.8f75e9abc9e96p-16, -0x1.0091d9a068e53p-16, -0x1.db69bd67c1859p-18, 0x1.ba2319290c9d3p-21, 0x1.1b208d4aeabf3p-17, 0x1.0881c7ef8e0c2p-16, 0x1.7eb9a6e6f449bp-16, 0x1.f031966ba0cd6p-16, 0x1.2e75072ed2897p-15, 0x1.627ef4fa109f4p-15, 0x1.943c6d2027885p-15, 0x1.c3c0d37fa39cbp-15, 0x1.f1287857fb13ep-15, 0x1.0e57b2407444dp-14, 0x1.23284c5fbe6a4p-14, 0x1.3720679d28435p-14, 0x1.4a48b4983e742p-14, 0x1.5ca8bfe52895fp-14, 0x1.6e3db5ead217cp-14, 0x1.7f098a8260cd1p-14, 0x1.8f0fb65811d2p-14, 0x1.9e51e32d63a6p-14, 0x1.acd4d93e96373p-14, 0x1.ba9e242d191f8p-14, 0x1.c7afacfb8f402p-14, 0x1.d40a86e5ac84dp-14, 0x1.dfb2a0ca7d874p-14, 0x1.eaab2cc1771f8p-14, 0x1.f4f62779e9c35p-14, 0x1.fe99b6fe2afffp-14, 0x1.03cc0aa900ec5p-13, 0x1.07fc48e551891p-13, 0x1.0be049e41bc35p-13, 0x1.0f7d309249896p-13, 0x1.12d758fbae32fp-13, 0x1.15f23308a31b5p-13, 0x1.18b77dcc07f94p-13, 0x1.1b730eceebc43p-13, 0x1.1ddc52ab117dbp-13, 0x1.200dfd4107dbdp-13, 0x1.2214523a402e9p-13, 0x1.23d25b6baa1cep-13, 0x1.2568ac8629d82p-13, 0x1.26cdc79a83543p-13, 0x1.28010e423c39bp-13, 0x1.2902c09b392a2p-13, 0x1.29d41920296e9p-13, 0x1.2a776cd53dd2ep-13, 0x1.2aed68d70de2bp-13, 0x1.2b3b52e8a86f6p-13, 0x1.2b63fca2415b5p-13, 0x1.2b6177901dcbbp-13, 0x1.2b36fa5358494p-13, 0x1.2ae5d823c7df8p-13, 0x1.2a70e52b1a5eep-13, 0x1.29d8c5c984a02p-13, 0x1.29233e014edbbp-13, 0x1.28523e16a6875p-13, 0x1.2764431e16029p-13, 0x1.265ab815f6bd4p-13, 0x1.2533575f6a462p-13, 0x1.23f0300e7d409p-13, 0x1.2292f84c051d4p-13, 0x1.211cd8cbae70ap-13, 0x1.1f8f8d2dc79f7p-13, 0x1.1deb600454de6p-13, 0x1.1c321da16859p-13, 0x1.1a65346c36ff3p-13, 0x1.18855d8db6781p-13, 0x1.16930ace238aep-13, 0x1.148d8e23dd2bcp-13, 0x1.1278a233982e1p-13, 0x1.1053f4d63a302p-13, 0x1.0e1e04bb36d8cp-13, 0x1.0bd76b3d23f4ep-13, 0x1.097fbdb8a0a6ep-13, 0x1.0718297ec53fbp-13, 0x1.04a443c5a753p-13, 0x1.0226e6b3341dp-13, 0x1.ff41ee3aeefa2p-14, 0x1.fa1f1e0794ba9p-14, 0x1.f4e8e3cefbe3cp-14, 0x1.ef9c07cdc6553p-14, 0x1.ea3e2823d088fp-14, 0x1.e4d16004a10d7p-14, 0x1.df52581f45906p-14, 0x1.d9c179fd88848p-14, 0x1.d4204dda6952ap-14, 0x1.ce711e915dd3ap-14, 0x1.c8b6350b44a89p-14, 0x1.c2f206f11689bp-14, 0x1.bd26a939cc247p-14, 0x1.b753c8b236898p-14, 0x1.b17888120bd34p-14, 0x1.ab9536cbde961p-14, 0x1.a5a7aede401ep-14, 0x1.9fb9251d8cd1cp-14, 0x1.99c4b71f34071p-14, 0x1.93c7d6a6864d3p-14, 0x1.8dc53d54782e7p-14, 0x1.87bf4b4f5e90dp-14, 0x1.81b79a8b7a4b6p-14, 0x1.7bb237bc98c89p-14, 0x1.75aa8bb86dba4p-14, 0x1.6fa1e56b5cde2p-14, 0x1.6999d9ab944d9p-14, 0x1.639023962babcp-14, 0x1.5d88e25bb16b9p-14, 0x1.578386f1651ecp-14, 0x1.517f8dc2de1c8p-14, 0x1.4b7de8fdeca4ep-14, 0x1.45807f604812bp-14, 0x1.3f859a9d2cfc6p-14, 0x1.398e2341989dp-14, 0x1.339a8758509efp-14, 0x1.2da5277dc47f7p-14, 0x1.27bc734f9b1f5p-14, 0x1.21dd3c25db62dp-14, 0x1.1bff125e26681p-14, 0x1.1626bb617829dp-14, 0x1.105531a036a9ap-14, 0x1.0a8d1108764d2p-14, 0x1.04c8b8f83c22ap-14, 0x1.fe186b430d332p-15, 0x1.f2abda5485dcfp-15, 0x1.e74b0b90d4716p-15, 0x1.dbffa62c2df5bp-15, 0x1.d0c4f7712f87ap-15, 0x1.c5a2834f55ce8p-15, 0x1.ba889c8a0e96ap-15, 0x1.af87a5615ce85p-15, 0x1.a493b51004476p-15, 0x1.99b1785943efp-15, 0x1.8ee777248af29p-15, 0x1.842bdd6cc2dadp-15, 0x1.7982b4556b0f4p-15, 0x1.6ef15d860ca65p-15, 0x1.6475e88220c67p-15, 0x1.5a0e79fb91d1ap-15, 0x1.4fbb7f3a55201p-15, 0x1.457f9037a0e2p-15, 0x1.3b516e4fee77fp-15, 0x1.3140658c82394p-15, 0x1.274328ea6c952p-15, 0x1.1d5af43926c2bp-15, 0x1.1389d719a59bbp-15, 0x1.09cf50e77d88bp-15, 0x1.0028cf137ec03p-15, 0x1.ed33d70e1be6ap-16, 0x1.da4552bde1211p-16, 0x1.c78a554115669p-16, 0x1.b4f5740eda69dp-16, 0x1.a291016f50c69p-16, 0x1.905bb226fdbaep-16, 0x1.7e4a1e76a71c6p-16, 0x1.6c71a2a944114p-16, 0x1.5ac932f9dde9p-16, 0x1.49e4703b69afcp-16, 0x1.37fe7b5903492p-16, 0x1.26ded4b6e9b4fp-16, 0x1.15edb2803a1e7p-16, 0x1.052adfeeaec1bp-16, 0x1.e92d6529d4188p-17, 0x1.c866ea469a21cp-17, 0x1.a8074b408b402p-17, 0x1.88009cb7c19aap-17, 0x1.683decda3c306p-17, 0x1.48e72e0962146p-17, 0x1.2a0d7cb84348cp-17, 0x1.0b6ecd4a239a9p-17, 0x1.da582c5b121fp-18, 0x1.9ea03de63c25ap-18, 0x1.63a69383b6196p-18, 0x1.29329b55db42cp-18, 0x1.dfc418ea2731p-19, 0x1.6e1fae8759e0cp-19, 0x1.fbd916da38db4p-20, 0x1.1d7cd6daf1bdbp-20, 0x1.0c52da1cce47fp-22, -0x1.29accb8618968p-21, -0x1.6a20e030d393ap-20, -0x1.1e5c9d9d9f3d7p-19, -0x1.865ff0df40c6fp-19, -0x1.eca910977790fp-19, -0x1.28d9f58f5e80dp-18, -0x1.5a95ac4debaeep-18, -0x1.8b90fc3bf9dddp-18, -0x1.bc2e8283ed0d6p-18, -0x1.ebdfd6d1d3ecdp-18, -0x1.0d901d560171ap-17, -0x1.24d1288142729p-17, -0x1.3b99fd5973231p-17, -0x1.5230432a81f66p-17, -0x1.686a5c6e15b07p-17, -0x1.7e5580cc9581p-17, -0x1.93e35e54daed8p-17, -0x1.a9213ada4bf52p-17, -0x1.be120e921d661p-17, -0x1.d2b06cbd82ba5p-17, -0x1.e6f944f63fa18p-17, -0x1.faf25f32d4fc1p-17, -0x1.074c6d9b0e844p-16, -0x1.10fc7a3a08c9ep-16, -0x1.1a82284f8caf4p-16, -0x1.23e19523da994p-16, -0x1.2d1a9c4d9752p-16, -0x1.362c5e639a063p-16, -0x1.3f158708d516fp-16, -0x1.47d9f516e8f19p-16, -0x1.507c2211fa044p-16, -0x1.58f7da50615a4p-16, -0x1.614a723a99008p-16, -0x1.69766ea55b5c3p-16, -0x1.71862ef62ea65p-16, -0x1.79708cd29c647p-16, -0x1.8135289edaa1bp-16, -0x1.88d52b1b77d7dp-16, -0x1.9051de2059ddfp-16, -0x1.97ac27d7d8f26p-16, -0x1.9ee44a713d4b3p-16, -0x1.a5fd72d582936p-16, -0x1.aceb6162bf1b6p-16, -0x1.b3b7c95683b87p-16, -0x1.ba68341ee8211p-16, -0x1.c0f647814f6d1p-16, -0x1.c76ef4b4fce58p-16, -0x1.cdbbfbb39e388p-16, -0x1.d3eb59df31058p-16, -0x1.d9eeff16e3d7ep-16, -0x1.dfde88a526283p-16, -0x1.e59adc07831b3p-16, -0x1.eb5fc9cc2bc54p-16, -0x1.f0ed0cc7d8731p-16, -0x1.f6616883cdb99p-16, -0x1.fbb42638163d1p-16, -0x1.00736f66fc482p-15, -0x1.03026b21a1b04p-15, -0x1.057bcab6f66f6p-15, -0x1.07ed815dd3a97p-15, -0x1.0a4da22a68c72p-15, -0x1.0ca097a381969p-15, -0x1.0ee6ca9ab216bp-15, -0x1.111ca1113af03p-15, -0x1.13451dde97cd4p-15, -0x1.1560c16966397p-15, -0x1.176f81825b983p-15, -0x1.196f37cd6ccap-15, -0x1.1b619a9cb6226p-15, -0x1.1d47c832d3b86p-15, -0x1.1f23594ce52a5p-15, -0x1.20f011621ef69p-15, -0x1.22af8757931a5p-15, -0x1.2462f8bcb38acp-15, -0x1.260a4fda7804dp-15, -0x1.27a57ab142814p-15, -0x1.2934a3b641d6ep-15, -0x1.2ab7c66035eeep-15, -0x1.2c2f00f3a2f83p-15, -0x1.2d9ad5e15fab3p-15, -0x1.2efb92db91db1p-15, -0x1.30501db3dcfd4p-15, -0x1.319932cc5efb6p-15, -0x1.32d7e91a1e8a1p-15, -0x1.340c2c541101bp-15, -0x1.3536dbb9d54f5p-15, -0x1.36517f106e6bcp-15, -0x1.37632813a4724p-15, -0x1.386add86f47f7p-15, -0x1.39675f758ed57p-15, -0x1.3a5f78c97f952p-15, -0x1.3b4c7f8880d82p-15, -0x1.3c2bb76e85b44p-15, -0x1.3d01b2e7d0842p-15, -0x1.3dcdab469c97ep-15, -0x1.3e90c2fa9ca85p-15, -0x1.3f4a55c88edcdp-15, -0x1.3ff9cac95173ap-15, -0x1.40a4e8462b3cp-15, -0x1.41408b81667a1p-15, -0x1.41d3a363f0ee8p-15, -0x1.425dac7944438p-15, -0x1.42de84ef55aa8p-15, -0x1.435a3045d3ff4p-15, -0x1.43d48546c7857p-15, -0x1.44391be2f8f43p-15, -0x1.44999fe96085ep-15, -0x1.44ef32d05b8efp-15, -0x1.4549fde727fc3p-15, -0x1.458d5b2ae7049p-15, -0x1.45cd4e5b33e79p-15, -0x1.4604df955fdap-15, -0x1.4634ab30fe9bap-15, -0x1.465e19962f876p-15, -0x1.46849e6b6b847p-15, -0x1.469d0de4e6e24p-15, -0x1.46b2a31e8095ap-15, -0x1.46beec206fd4bp-15, -0x1.46c478227adc1p-15, -0x1.46c3409302e7fp-15, -0x1.46bb1427f5ae7p-15, -0x1.46ac3700fa152p-15, -0x1.4696b7bd4658fp-15, -0x1.467a9c7a68a6fp-15, -0x1.4658133a02d69p-15, -0x1.462f35580e432p-15, -0x1.46003d080a62ep-15, -0x1.45cb9b3ab483cp-15, -0x1.459024bd46f54p-15, -0x1.454cb0d9ba31ep-15, -0x1.45059d48ce2c1p-15, -0x1.44ba6efcafa9p-15, -0x1.4467dcedc1715p-15, -0x1.440edb368f788p-15, -0x1.43b11191503fcp-15, -0x1.434e28057c18cp-15, -0x1.42e73746e6574p-15, -0x1.427a3374e9bedp-15, -0x1.4200641b41fdp-15, -0x1.418a4c0b50ef3p-15, -0x1.410d3760972d4p-15, -0x1.408d18078079fp-15, -0x1.4009a0b910c67p-15, -0x1.3f7ae77b88e3cp-15, -0x1.3ee94e4f7fc7dp-15, -0x1.3e5494bfb6a4ap-15, -0x1.3dbb1d3ab3b9p-15, -0x1.3d1c83f98911ep-15, -0x1.3c7b50cacea62p-15, -0x1.3bd50d84f88d4p-15, -0x1.3b2c642f91ce5p-15, -0x1.3a7ab0804f62fp-15, -0x1.39c53c560761bp-15, -0x1.390f98831f8b5p-15, -0x1.3854c48d54d04p-15, -0x1.37976e5d1db4p-15, -0x1.36d494326e15dp-15, -0x1.360d6c14d59a7p-15, -0x1.35427f691fc88p-15, -0x1.3471bf68482b2p-15, -0x1.33a8465ee1535p-15, -0x1.32d4d9962500ap-15, -0x1.31f7ee85dba95p-15, -0x1.311cf816bca21p-15, -0x1.303bf0127abe3p-15, -0x1.2f5263884f715p-15, -0x1.2e7faeca3ca6fp-15, -0x1.2d948d55d5826p-15, -0x1.2ca95781fd02p-15, -0x1.2bbc0005196a5p-15, -0x1.2acef23fac025p-15, -0x1.29d95e81543d7p-15, -0x1.28e3f18f3cccbp-15, -0x1.27ed5240af6e1p-15, -0x1.26f277566460fp-15, -0x1.25f91ed7a6e71p-15, -0x1.24f443f9a48e4p-15, -0x1.23f4bc02028d7p-15, -0x1.22e9f32ccb733p-15, -0x1.21e64d45e88fcp-15, -0x1.20dc12cfdf2edp-15, -0x1.1fd503331c413p-15, -0x1.1ec5a9794cc74p-15, -0x1.1db53a6b8c757p-15, -0x1.1ca38543f4bb4p-15, -0x1.1b906c7163b7bp-15, -0x1.1a7aedb396875p-15, -0x1.1964832b650a8p-15, -0x1.184923c822b3ep-15, -0x1.172e88b2acf8bp-15, -0x1.1611f4eb457dp-15, -0x1.14f597e3ecc85p-15, -0x1.13da8badef16bp-15, -0x1.12b2c9cf1327p-15, -0x1.118f952ad562bp-15, -0x1.106a7474e2b6p-15, -0x1.0f478dd059e1p-15, -0x1.0e1e603b61e2cp-15, -0x1.0cf5136818091p-15, -0x1.0bcaed944bc8p-15, -0x1.0aa3048a4a04dp-15, -0x1.08bfe25b4240bp-15, -0x1.084934ae099e1p-15, -0x1.0719a57837728p-15, -0x1.05e8da4975fa3p-15, -0x1.04be10cbce4edp-15, -0x1.0385fbdac91f6p-15, -0x1.02534c2c0b1cbp-15, -0x1.011f9de22d631p-15, -0x1.ffd61f72a9376p-16, -0x1.fd6b65e97c84cp-16, -0x1.fafee3ff4417ap-16, -0x1.f8904b5103eddp-16, -0x1.f6148a8b13146p-16, -0x1.f3b024f9c5958p-16, -0x1.f13ebeb48cb1ap-16, -0x1.eecb7de5eaa13p-16, -0x1.ec27a27e3066bp-16, -0x1.e9ddcf7d4cab6p-16, -0x1.e7702a2ae3ff1p-16, -0x1.e4f9c21a3d22bp-16, -0x1.e27296b11143bp-16, -0x1.e00162f2d4abp-16, -0x1.dd81430b0256bp-16, -0x1.db14c32081e5dp-16, -0x1.d896529838e41p-16, -0x1.d6182ae075b27p-16, -0x1.d39a5882cb719p-16, -0x1.d11cda06ef373p-16, -0x1.ce95e46c360b8p-16, -0x1.cc23961d037ep-16, -0x1.c9a25542dac0bp-16, -0x1.c72b27242f7ep-16, -0x1.c4b1577fea677p-16, -0x1.c22f87e0d1adep-16, -0x1.bfab4d5e9171fp-16, -0x1.bd2861ed4e3d9p-16, -0x1.ba8b4e44accecp-16, -0x1.b8374f07a861p-16, -0x1.b5b824e34fbf5p-16, -0x1.b33bd1039e6eap-16, -0x1.b0c16ca9b365fp-16, -0x1.ae397e54146b9p-16, -0x1.abc7077e74768p-16, -0x1.a946ac084c953p-16, -0x1.a6cf67fd5ef82p-16, -0x1.a450db688f84bp-16, -0x1.a1d82e304883ap-16, -0x1.9f62c260770cep-16, -0x1.9cdefc7b4a2acp-16, -0x1.9a685b2e3c52bp-16, -0x1.97f3067e3756fp-16, -0x1.957bedfa6989bp-16, -0x1.930a18d2c1b6dp-16, -0x1.909b1f8e23c33p-16, -0x1.8e1bd3ab6d82bp-16, -0x1.8ba8c6016a278p-16, -0x1.8937f06595bcap-16, -0x1.86c7054926d58p-16, -0x1.845e18473bc4dp-16, -0x1.81e60e02e9ae3p-16, -0x1.7f78b1ad907e4p-16, -0x1.7cf9caa1c0c2bp-16, -0x1.7a9c1833fc47ep-16, -0x1.783450ceb28e6p-16, -0x1.75c519fbf1738p-16, -0x1.73634f3e9680fp-16, -0x1.70fb09d33b645p-16, -0x1.6e95aa8d0517bp-16, -0x1.6c34759f1a63cp-16, -0x1.69dac032da438p-16, -0x1.6771f13393be6p-16, -0x1.64fba15be5229p-16, -0x1.62b79095c9e1ap-16, -0x1.605b225064612p-16, -0x1.5dff5c8fb26ffp-16, -0x1.5ba5fa559bad7p-16, -0x1.594e6bda832f7p-16, -0x1.56f8eca4b31afp-16, -0x1.54a50039bc0bp-16, -0x1.524f80192853ap-16, -0x1.500362dd7bbe7p-16, -0x1.4db43da5caac7p-16, -0x1.4b66ab91e9dd5p-16, -0x1.491bd90a5db45p-16, -0x1.46d305eff4f7cp-16, -0x1.448ce24221e18p-16, -0x1.4249be7f0f18dp-16, -0x1.3ffefc0fdcfbbp-16, -0x1.3dbf7a3ee991ap-16, -0x1.3b7a5e3330b2ap-16, -0x1.39441db7a68c4p-16, -0x1.36f778f92c6c1p-16, -0x1.34d38407186f2p-16, -0x1.329ad8fad41fp-16, -0x1.305af0185662dp-16, -0x1.2e399741ca4b7p-16, -0x1.2bff394c05ecdp-16, -0x1.29b8be57cb01p-16, -0x1.279a49626b36ep-16, -0x1.25740e72d33cep-16, -0x1.23576204a0193p-16, -0x1.211c26be92adp-16, -0x1.1ef565db911e1p-16, -0x1.1cd37a80ba6c2p-16, -0x1.1ac53bbbdfc04p-16, -0x1.189f53eaf6c14p-16, -0x1.167f7e2fcd2d4p-16, -0x1.146530c094e7p-16, -0x1.124d8024f01a7p-16, -0x1.103c8714b0f01p-16, -0x1.0e24f1f7664acp-16, -0x1.0c16b32239b8bp-16, -0x1.0a0658e31536ep-16, -0x1.07fa85fc6fa96p-16, -0x1.05f1236cfb1bbp-16, -0x1.03de17642abdep-16, -0x1.01e4f514af7bbp-16, -0x1.ffc22f4b524acp-17, -0x1.fbc07041173bap-17, -0x1.f7c36e56fa6e9p-17, -0x1.f3ca8052bc9f1p-17, -0x1.efd7c3001d7cap-17, -0x1.ebebc32b5d06fp-17, -0x1.e7eff2624e60fp-17, -0x1.e41e367a19adap-17, -0x1.e040bfca0e969p-17, -0x1.dc5eb43117272p-17, -0x1.d889b9344d65cp-17, -0x1.d4bd93823cp-17, -0x1.d0ea75ca631dp-17, -0x1.cd24bce9d8b06p-17, -0x1.c963fdda13b77p-17, -0x1.c5a67d74de95fp-17, -0x1.c1f37e51089c3p-17, -0x1.be33122bd5279p-17, -0x1.ba8551156b9f2p-17, -0x1.b6ec20d8ab7efp-17, -0x1.b340c180ee41p-17, -0x1.af85ae5d0003ap-17, -0x1.abf88f953e5afp-17, -0x1.a863d905a9f8p-17, -0x1.a4d1bb06a0749p-17, -0x1.a143cc27f80b5p-17, -0x1.9db5d2790414p-17, -0x1.9a3ad1973e5d6p-17, -0x1.96c618d4ddec4p-17, -0x1.933e97fe3120fp-17, -0x1.8fc8e2af791eap-17, -0x1.8c587bf4f8d67p-17, -0x1.880ec92f91c8p-17, -0x1.858aa1a1d37bdp-17, -0x1.822e6fc35f1f2p-17, -0x1.7ec90ae16359ap-17, -0x1.7b714c5cefbdbp-17, -0x1.78267728ec139p-17, -0x1.74d854967f11fp-17, -0x1.718d98d89358ap-17, -0x1.6e4c7ed22bbdfp-17, -0x1.6b19ffa56317p-17, -0x1.67c533e39460cp-17, -0x1.6494c156686fcp-17, -0x1.6172f4e844b9dp-17, -0x1.5e50560cbba45p-17, -0x1.5b25fc2357826p-17, -0x1.57f4733e55c93p-17, -0x1.54c7421e62997p-17, -0x1.51c12a21dbdb9p-17, -0x1.4edf1c274ae28p-17, -0x1.4b7ae7b0a91p-17, -0x1.48992cb91149dp-17, -0x1.457ceef46f632p-17, -0x1.42ae150394b22p-17, -0x1.3fa4c256e926fp-17, -0x1.3ca71d758b8a6p-17, -0x1.39b710a5f7864p-17, -0x1.36d8c18632c58p-17, -0x1.33db1efcf38dap-17, -0x1.3109604e0ed6ep-17, -0x1.2e31df43327d4p-17, -0x1.2b3ff8b390904p-17, -0x1.28714743e0aa2p-17, -0x1.25a3a20857bc3p-17, -0x1.22da5cba34cfp-17, -0x1.2013fbc7b9784p-17, -0x1.1d52b712dcd75p-17, -0x1.1a934ae57b2c2p-17, -0x1.17d2293dc5776p-17, -0x1.1529d055549f1p-17, -0x1.12780e8714a1fp-17, -0x1.0fcd96faced5cp-17, -0x1.0d28e5d72da84p-17, -0x1.0a87e573744ddp-17, -0x1.07e70c1fa2402p-17, -0x1.0552a88c354b8p-17, -0x1.02c2483fc1e5fp-17, -0x1.00332dc13815bp-17, -0x1.fb5185c9b9c78p-18, -0x1.f645dced11beap-18, -0x1.efe651981cf64p-18, -0x1.ec4b2508644fbp-18, -0x1.e75d2f2dda53p-18, -0x1.e2610b2728c41p-18, -0x1.dd94070aeb793p-18, -0x1.d8beabcee69c6p-18, -0x1.d3eb0a37c84b7p-18, -0x1.cf28e05548c99p-18, -0x1.ca6d7445c3001p-18, -0x1.c5ba0a183839ap-18, -0x1.c10f0dd742744p-18, }}, 
      {{-0x1.729c1f3b2d5bfp+0, -0x1.5e3f8e09cb70fp+0, -0x1.43fd033c0b737p+0, -0x1.27b08fd3603dep+0, -0x1.0bca46b5a5e8fp+0, -0x1.e38073f9fa458p-1, -0x1.b4bcbcd7c97a9p-1, -0x1.8bfcdf287cf2ap-1, -0x1.695e4193715eep-1, -0x1.4c9f2637aa49ap-1, -0x1.354508f8c9222p-1, -0x1.22b73514d3bd8p-1, -0x1.1450e72730aa9p-1, -0x1.096d67a0b0e1ap-1, -0x1.016fcacc1ebfep-1, -0x1.f78f3c6cbda1p-2, -0x1.efe6cb35f46f2p-2, -0x1.eb03309d18e81p-2, -0x1.e8212d96670d9p-2, -0x1.e69bf1a6613c3p-2, -0x1.e5eae48533c6dp-2, -0x1.e59effa372b15p-2, -0x1.e55ffafc41b12p-2, -0x1.e4e9760a9d80ap-2, -0x1.e4083d0d32533p-2, -0x1.e297bc13518aep-2, -0x1.e07fa52a26782p-2, -0x1.ddb1d4db2e53bp-2, -0x1.da28700cd56f3p-2, -0x1.d5e43c1711fc9p-2, -0x1.d0eb3457cdf56p-2, -0x1.cb474b1c40cffp-2, -0x1.c505624db6036p-2, -0x1.be34691d4539ap-2, -0x1.b6e4a385cd951p-2, -0x1.af271037170bfp-2, -0x1.a70cedcca8a69p-2, -0x1.9ea758c99e662p-2, -0x1.9606f95061e22p-2, -0x1.8d3bd32d3bb02p-2, -0x1.84550f57a6d9dp-2, -0x1.7b60e2fd3e273p-2, -0x1.726c79f1f0d84p-2, -0x1.6983eb5585932p-2, -0x1.60b234c378b1dp-2, -0x1.58013ba73103bp-2, -0x1.4f79d1fb1a985p-2, -0x1.4723bf0caf958p-2, -0x1.3f05c8d5ff17bp-2, -0x1.3725c4f6934e2p-2, -0x1.2f88a1eaa1fb1p-2, -0x1.283278059856p-2, -0x1.21269813d27cbp-2, -0x1.1a679aa1786efp-2, -0x1.13f76e698ac7bp-2, -0x1.0dd76760333f4p-2, -0x1.08084c97c07ddp-2, -0x1.028a66088b98dp-2, -0x1.fabb11b7a2aa6p-3, -0x1.f10247ed7dd22p-3, -0x1.e7e896eedca96p-3, -0x1.df6b864b3064fp-3, -0x1.d78810f7d5c2ep-3, -0x1.d03ab8359b5fep-3, -0x1.c97f94155203ep-3, -0x1.c352640754a4cp-3, -0x1.bdae9d0425223p-3, -0x1.b88f7675166c5p-3, -0x1.b3eff6f750ca7p-3, -0x1.afcaff692437bp-3, -0x1.ac1b5519b5cb3p-3, -0x1.a8dbaa3c1dc15p-3, -0x1.a606a692211d9p-3, -0x1.a396ef4bcef4cp-3, -0x1.a1872ce938929p-3, -0x1.9fd21114790ebp-3, -0x1.9e725c13a8a2dp-3, -0x1.9d62e18037f0fp-3, -0x1.9c9e8bd2718adp-3, -0x1.9c206028a5029p-3, -0x1.9be380be4127fp-3, -0x1.9be32fd381c9fp-3, -0x1.9c1ad1bed11f1p-3, -0x1.9c85ee771de3bp-3, -0x1.9d2032a583d64p-3, -0x1.9de57104f7b9dp-3, -0x1.9ed1a33f6e82ap-3, -0x1.9fe0ea7bfe603p-3, -0x1.a10f8f1fe7e5dp-3, -0x1.a25a014b1b154p-3, -0x1.a3bcd8b01588cp-3, -0x1.a534d451ef3a1p-3, -0x1.a6bed9d55ea5dp-3, -0x1.a857f5860a6e2p-3, -0x1.a9fd58eb7a50fp-3, -0x1.abac5af1f0d4ep-3, -0x1.ad62767386dfdp-3, -0x1.af1d49bed36ebp-3, -0x1.b0da9574e03e8p-3, -0x1.b2983bacead79p-3, -0x1.b4543f554dc33p-3, -0x1.b60cc2573c24p-3, -0x1.b7c004fdac7a7p-3, -0x1.b96c64c8407acp-3, -0x1.bb105b84fda2dp-3, -0x1.bcaa7dc841ce1p-3, -0x1.be397a65726fep-3, -0x1.bfbc19197d15ep-3, -0x1.c1313999e30bbp-3, -0x1.c297d2bf723f2p-3, -0x1.c3eef15e815c9p-3, -0x1.c535b773ed3dcp-3, -0x1.c66b5af77bee2p-3, -0x1.c78f24d67be83p-3, -0x1.c8a07046bbd73p-3, -0x1.c99ea96692ee2p-3, -0x1.ca894ccec9584p-3, -0x1.cb5fe6418e776p-3, -0x1.cc221035d308cp-3, -0x1.cccf72d858c6p-3, -0x1.cd67c3cb9dae8p-3, -0x1.cdeac4df15bb8p-3, -0x1.ce5843c8f40f6p-3, -0x1.ceb01986053fep-3, -0x1.cef229b690c39p-3, -0x1.cf1e61e00ca9fp-3, -0x1.cf34b8e48bc66p-3, -0x1.cf352ea9ad564p-3, -0x1.cf1fcb154ea5dp-3, -0x1.cef49dcf9b39dp-3, -0x1.ceb3be073d73dp-3, -0x1.ce5d490f6d23p-3, -0x1.cdf162b919609p-3, -0x1.cd7034f66c1e6p-3, -0x1.ccd9eee910c1fp-3, -0x1.cc2ec4c21d78bp-3, -0x1.cb6eef9e99409p-3, -0x1.ca9aad1436c5fp-3, -0x1.c9b23eb423d35p-3, -0x1.c8b5ea22a51c9p-3, -0x1.c7a5f886195f9p-3, -0x1.c682b65b7def6p-3, -0x1.c54c72f673045p-3, -0x1.c40380d15dfb9p-3, -0x1.c2a8347cdf9c1p-3, -0x1.c13ae50735c61p-3, -0x1.bfbbeba57f789p-3, -0x1.be2ba303fa29dp-3, -0x1.bc8a67912fa17p-3, -0x1.bad897224e645p-3, -0x1.b91690a55146fp-3, -0x1.b744b3c8d6697p-3, -0x1.b56361cf05a2ep-3, -0x1.b372fbf19bbf5p-3, -0x1.b173e3f666d0cp-3, -0x1.af667c4cf9871p-3, -0x1.ad4b27b3cd09cp-3, -0x1.ab2248d445383p-3, -0x1.a8ec4230efb84p-3, -0x1.a6a976f2da4b9p-3, -0x1.a45a4935d0ff6p-3, -0x1.a1ff1b5427e3cp-3, -0x1.9f984f6869163p-3, -0x1.9d2646f8d567dp-3, -0x1.9aa962d20e878p-3, -0x1.982203797068p-3, -0x1.959088b1c7fc9p-3, -0x1.92f551b382985p-3, -0x1.9050bcafa08cep-3, -0x1.8da3274cc6102p-3, -0x1.8aecedfd42b97p-3, -0x1.882e6c96c0bc8p-3, -0x1.8567fe19b0633p-3, -0x1.8299fbccc2feep-3, -0x1.7fc4bec1b4761p-3, -0x1.7ce89e5883341p-3, -0x1.7a05f18158ffap-3, -0x1.771d0d5325abep-3, -0x1.742e4621752f7p-3, -0x1.7139ef09e41afp-3, -0x1.6e4059dbafd1p-3, -0x1.6b41d753d5edep-3, -0x1.683eb6dea3235p-3, -0x1.65374646f386p-3, -0x1.622bd2ffa9a65p-3, -0x1.5f1ca827fc5fbp-3, -0x1.5c0a1085b7999p-3, -0x1.58f454d3e231ep-3, -0x1.55dbbd230d9bfp-3, -0x1.52c08fa122d08p-3, -0x1.4fa3117dfab63p-3, -0x1.4c83869bcb424p-3, -0x1.496231950ea3ep-3, -0x1.463f5397693e8p-3, -0x1.431b2cd22823ep-3, -0x1.3ff5fb603c5fp-3, -0x1.3ccffd178fa0fp-3, -0x1.39a96deba437ep-3, -0x1.3682884f10743p-3, -0x1.335b85d52a08ep-3, -0x1.30349f00d3cccp-3, -0x1.2d0e0a5c06e18p-3, -0x1.29e7fd99d0d9p-3, -0x1.26c2ad27173cap-3, -0x1.239e4c1e96324p-3, -0x1.207b0c5fc1cdfp-3, -0x1.1d591e8bc4693p-3, -0x1.1a38b2984cd34p-3, -0x1.1719f5f029774p-3, -0x1.13fd15ec6c357p-3, -0x1.10e23e7985e92p-3, -0x1.0dc99a6e97ebcp-3, -0x1.0ab3530af5665p-3, -0x1.079f90c51c57ep-3, -0x1.048e7ac1e70f7p-3, -0x1.0180373dd7cc9p-3, -0x1.fce9d62ddc34ep-4, -0x1.f6d974454eddfp-4, -0x1.f0cf8f13ff2cp-4, -0x1.eacc6934441edp-4, -0x1.e4d044392d878p-4, -0x1.dedb5f7cb8902p-4, -0x1.d8edf8ac6958dp-4, -0x1.d3084aaeb29efp-4, -0x1.cd2a8e5ac00a2p-4, -0x1.c754fb712bd06p-4, -0x1.c187c6b0fe8a8p-4, -0x1.bbc3240957a89p-4, -0x1.b60744a8fdbbep-4, -0x1.b054582d9b814p-4, -0x1.aaaa8c7906d0cp-4, -0x1.a50a0e03b0342p-4, -0x1.9f73064331235p-4, -0x1.99e59de5b8529p-4, -0x1.9461fc07bd1d9p-4, -0x1.8ee845d625007p-4, -0x1.89789e60021d8p-4, -0x1.841327ae8f6fap-4, -0x1.7eb8021213fcep-4, -0x1.79674c09ae57cp-4, -0x1.742122f5abdcap-4, -0x1.6ee5a230c135ap-4, -0x1.69b4e3e453411p-4, -0x1.648f00a726121p-4, -0x1.5f740fc0e0bcp-4, -0x1.5a6427781ab41p-4, -0x1.555f5b9863737p-4, -0x1.5065bf6d4de26p-4, -0x1.4b77649165283p-4, -0x1.46945c1c4d6b6p-4, -0x1.41bcb4b5d711ap-4, -0x1.3cf07c66b2632p-4, -0x1.382fc0110515cp-4, -0x1.337a8b223b7e7p-4, -0x1.2ed0e7ca9e89p-4, -0x1.2a32df2f1855p-4, -0x1.25a079a71c4e8p-4, -0x1.2119be46029f6p-4, -0x1.1c9eb2b4b8036p-4, -0x1.182f5bfe01801p-4, -0x1.13cbbdd8f7831p-4, -0x1.0f73db66ed8a2p-4, -0x1.0b27b60ef564dp-4, -0x1.06e74ee5eb2d7p-4, -0x1.02b2a57526768p-4, -0x1.fd1373b310617p-5, -0x1.f4d91376f912cp-5, -0x1.ecb62498ed017p-5, -0x1.e4aa9fa7ffdacp-5, -0x1.dcb67c783fcf9p-5, -0x1.d4d9b0a60a5e6p-5, -0x1.cd1430666b59ep-5, -0x1.c565ee6151355p-5, -0x1.bdcedbb8da031p-5, -0x1.b64ee8074fa6cp-5, -0x1.aee601a80fbc8p-5, -0x1.a7941582fbaf5p-5, -0x1.a0590f4fc40c6p-5, -0x1.9934d9b0c7c28p-5, -0x1.92275c96a7389p-5, -0x1.8b3081de09d4bp-5, -0x1.8450308408cd7p-5, -0x1.7d864c197eae7p-5, -0x1.76d2b96d3ba67p-5, -0x1.70355e6403b5cp-5, -0x1.69ae1b387fb82p-5, -0x1.633cd2bbda945p-5, -0x1.5ce1646662396p-5, -0x1.569bb167b3eap-5, -0x1.506b9825b8b02p-5, -0x1.4a50f6293101p-5, -0x1.444ba8f70f109p-5, -0x1.3e5b8cbfbaa4bp-5, -0x1.38807d67d333ap-5, -0x1.32ba55d8898f6p-5, -0x1.2d08f04570265p-5, -0x1.276c265ca4ac5p-5, -0x1.21e3d19745bd3p-5, -0x1.1c6fca0b87f1dp-5, -0x1.170fe765e6a91p-5, -0x1.11c4014619554p-5, -0x1.0c8beed5f4b79p-5, -0x1.076785a960e06p-5, -0x1.02569b9f2e0fbp-5, -0x1.fab20c60e7ba8p-6, -0x1.f0dd36e27ae2dp-6, -0x1.e72e5ebf66698p-6, -0x1.dda52c36b2526p-6, -0x1.d44147ade5c5dp-6, -0x1.cb02590374b8dp-6, -0x1.c1e807a206e2bp-6, -0x1.b8f1f8010cab5p-6, -0x1.b01fd0d59d1f6p-6, -0x1.a77137c215f51p-6, -0x1.9ee5d1b5ba04cp-6, -0x1.967d440da921cp-6, -0x1.8e37327348b31p-6, -0x1.8613413db7dfep-6, -0x1.7e11146de177cp-6, -0x1.76304fc078e12p-6, -0x1.6e7096b71d279p-6, -0x1.66d18cca8347dp-6, -0x1.5f52d5796f2bfp-6, -0x1.57f4142d15049p-6, -0x1.50b4ec3045be9p-6, -0x1.49950284b26bdp-6, -0x1.4293f8300cb51p-6, -0x1.3bb1704abbe6bp-6, -0x1.34ed10ad5adfdp-6, -0x1.2e467ce4ba169p-6, -0x1.27bd5839f6e29p-6, -0x1.215147187e8eap-6, -0x1.1b01ede9f71c5p-6, -0x1.14cef12547bb8p-6, -0x1.0eb7f5ab0eb9ap-6, -0x1.08bca0f534399p-6, -0x1.02dc98da061e1p-6, -0x1.fa2f069113b16p-7, -0x1.eeda0c7e519a2p-7, -0x1.e3b990d3f1805p-7, -0x1.d8cce40542986p-7, -0x1.ce13503cca201p-7, -0x1.c38c28d85ef43p-7, -0x1.b936bc2085a45p-7, -0x1.af12600637abdp-7, -0x1.a51e65b11bc5bp-7, -0x1.9b5a2175b44fbp-7, -0x1.91c4e7d42494dp-7, -0x1.885e0e35a729cp-7, -0x1.7f24ec25a98ep-7, -0x1.7618da5e9cf15p-7, -0x1.6d3934d973d27p-7, -0x1.6485532af5a2bp-7, -0x1.5bfc9094d4d9fp-7, -0x1.539e4b8f441bfp-7, -0x1.4b69e4ff3d69bp-7, -0x1.435ebabcaad3p-7, -0x1.3b7c2e15badbcp-7, -0x1.33c1a15861b98p-7, -0x1.2c2e78a04c1f6p-7, -0x1.24c219285fe5ap-7, -0x1.1d7bea1719a6ep-7, -0x1.165b52a4a908bp-7, -0x1.0f5fbbb4e2252p-7, -0x1.0888917e45c6p-7, -0x1.01d53ed2dadc4p-7, -0x1.f68a64f864308p-8, -0x1.e9afb6b0bac9p-8, -0x1.dd1953a141e0bp-8, -0x1.d0c61ff84381dp-8, -0x1.c4b502c38cfdbp-8, -0x1.b8e4e5c060379p-8, -0x1.ad54b5f1a5682p-8, -0x1.a20366fb8758fp-8, -0x1.96efe4cb362f6p-8, -0x1.8c192c51da34cp-8, -0x1.817e29d8dfa5cp-8, -0x1.771dec8c35b87p-8, -0x1.6cf76430ee834p-8, -0x1.63099a88baa6dp-8, -0x1.595395680bc34p-8, -0x1.4fd457151599p-8, -0x1.468ae7db6a63cp-8, -0x1.3d7658590d0abp-8, -0x1.3495bf0aa90c8p-8, -0x1.2be82c710b162p-8, -0x1.236cb6d1675dp-8, -0x1.1b22789cae6fep-8, -0x1.13088ee0ea36p-8, -0x1.0b1e194dd4cf8p-8, -0x1.03623afb3e357p-8, -0x1.f7a83585d0aa2p-9, -0x1.e8e5aff37db3cp-9, -0x1.da7b59a27fd89p-9, -0x1.cc676e641e5c5p-9, -0x1.bea86c949a3fdp-9, -0x1.b13cb2e8e8655p-9, -0x1.a422b13b045e8p-9, -0x1.9758dc16d30b4p-9, -0x1.8adda660b3626p-9, -0x1.7eaf8eb31a8f1p-9, -0x1.72cd190956d5ep-9, -0x1.6734cdbeb0452p-9, -0x1.5be53ba2b33f9p-9, -0x1.50dcf93c1c8f2p-9, -0x1.461a9ec678ce8p-9, -0x1.3b9ccf8002872p-9, -0x1.3162329971e56p-9, -0x1.27697345ad5e6p-9, -0x1.1db1480791161p-9, -0x1.14386bbc49f1cp-9, -0x1.0afd8575620c9p-9, -0x1.01ff657ac2e5ap-9, -0x1.f2796da49c78p-10, -0x1.e168929a9831bp-10, -0x1.d0c9cd316599bp-10, -0x1.c09abab75f84p-10, -0x1.b0d90abd95689p-10, -0x1.a1826c3c6c826p-10, -0x1.9294be4f46e4ep-10, -0x1.840dc24c31f2ep-10, -0x1.75eb5e99168b2p-10, -0x1.682b78f5a0c89p-10, -0x1.5acbfd7e36294p-10, -0x1.4dcadac4bc794p-10, -0x1.412604ce367aep-10, -0x1.34db754d51017p-10, -0x1.28e92f1ce727ep-10, -0x1.1d4d3fe37a253p-10, -0x1.1205c079ae24cp-10, -0x1.0710d644e8b2ep-10, -0x1.f8d9699af7ea6p-11, -0x1.e42f441f8a8e8p-11, -0x1.d01fdab07b1c7p-11, -0x1.bca7b9cf1c44dp-11, -0x1.a9c36dcf1b01p-11, -0x1.976f9fe2898dbp-11, -0x1.85a8f8bddb4ccp-11, -0x1.746c09016f0fcp-11, -0x1.63b56cfffedf8p-11, -0x1.5381d85de0109p-11, -0x1.43ce539019237p-11, -0x1.3497bd83ec664p-11, -0x1.25db4d25ad821p-11, -0x1.179643e287cd3p-11, -0x1.09c61e3ffa33cp-11, -0x1.f8d0fcda4a9c8p-12, -0x1.def5e946479d8p-12, -0x1.c5f5db4f6ce63p-12, -0x1.adcbbee6e9f7bp-12, -0x1.96729836ef0b6p-12, -0x1.7fe4e9374c344p-12, -0x1.6a1cb6544b09cp-12, -0x1.5514c32ef60b4p-12, -0x1.40c7b7c018b15p-12, -0x1.2d302cd623446p-12, -0x1.1a49264844a84p-12, -0x1.080e0aeeb7ae9p-12, -0x1.ecf5647ccb171p-13, -0x1.cb1693d5797fep-13, -0x1.aa788e0533151p-13, -0x1.8b14927d3f8d4p-13, -0x1.6ce3f993830dbp-13, -0x1.4fdffdd463f14p-13, -0x1.340197be5aa56p-13, -0x1.194164a710872p-13, -0x1.ff2f4f38c1da6p-14, -0x1.cdf8d3559ef6p-14, -0x1.9ecf044acc16fp-14, -0x1.71a043ea5cdcbp-14, -0x1.466145342df37p-14, -0x1.1cfe8ed326f6fp-14, -0x1.ead6ca133d462p-15, -0x1.9f352f7de45a8p-15, -0x1.56ffc7cb70a2dp-15, -0x1.121fc3fe68055p-15, -0x1.a0ff7e8cea6f2p-16, -0x1.2416ae7cbf056p-16, -0x1.5abaaa2cd2285p-17, -0x1.e55dbd537853ap-19, 0x1.7136cf04f68a4p-19, 0x1.268895eba6bcep-17, 0x1.e5af9b6cd1464p-17, 0x1.4d098af5760e1p-16, 0x1.a2125f9112caep-16, 0x1.f20376201a259p-16, 0x1.1e8ca8b26e85cp-15, 0x1.41bc1ac9e0d19p-15, 0x1.62a240cc97b3bp-15, 0x1.8151cd89ad27bp-15, 0x1.9ddecc5e743f8p-15, 0x1.b85b7ecc50ad2p-15, 0x1.d0d800524e538p-15, 0x1.e761738133d9cp-15, 0x1.fc08da61b91fep-15, 0x1.076cbcc9fc41bp-14, 0x1.0ff14523607f1p-14, 0x1.179735665a211p-14, 0x1.1e656aed6bebep-14, 0x1.246329fdb19cep-14, 0x1.29969aebf9417p-14, 0x1.2e05db88f952p-14, 0x1.31b7ef1f4c55ap-14, 0x1.34b30866aea6p-14, 0x1.36ff235c22fafp-14, 0x1.38a43e0d817ebp-14, 0x1.39aacc3f0668ep-14, 0x1.3a1b2eaeab837p-14, 0x1.39fcaf1ce053cp-14, 0x1.3954cf543e1edp-14, 0x1.3826ec3ea464ap-14, 0x1.3676ecdcb0fb7p-14, 0x1.34478dcb1af1ep-14, 0x1.319d3bf5d8877p-14, 0x1.2e7ccfe0025d7p-14, 0x1.2aead3fe8125p-14, 0x1.26ebc69c8911ap-14, 0x1.2283478bb840fp-14, 0x1.1db2d23936da4p-14, 0x1.187c95dae97edp-14, 0x1.12e44fb5a1366p-14, 0x1.0cecad8899856p-14, 0x1.069ac92a1f97ap-14, 0x1.ffe9d24c4e36ap-15, 0x1.f208937958c14p-15, 0x1.e39787306d7fap-15, 0x1.d4a6c82e2cb58p-15, 0x1.c540a7a3993e3p-15, 0x1.b56b7fb6c4e26p-15, 0x1.a527fa94425d1p-15, 0x1.947a6990fcb4p-15, 0x1.8367838d6d16ep-15, 0x1.71f2ea0d75891p-15, 0x1.6021a6e916ff2p-15, 0x1.4df939800e64ep-15, 0x1.3b7d62181d7e9p-15, 0x1.28b156505dc2cp-15, 0x1.15994b3375f04p-15, 0x1.02387c574988cp-15, 0x1.dd2370e1b1859p-16, 0x1.b5581505f2dddp-16, 0x1.8d137c41c4cbbp-16, 0x1.64630e8992648p-16, 0x1.3b4e1dd66fae2p-16, 0x1.11e5a2b6d1672p-16, 0x1.d06e1fc681f98p-17, 0x1.7c9a8ea8441ep-17, 0x1.2818807228bf9p-17, 0x1.a7a09634912dfp-18, 0x1.fbcc3c57d4615p-19, 0x1.4ebcc57348cc6p-20, -0x1.5add90843ed7p-20, -0x1.01c16b7d233e9p-18, -0x1.acc95f45a57a7p-18, -0x1.2bf78d3e89f44p-17, -0x1.8198547b861p-17, -0x1.d7421dc87ee08p-17, -0x1.1675eedfac32cp-16, -0x1.4143d8a1e54f6p-16, -0x1.6c0612e065d88p-16, -0x1.96b170a00d401p-16, -0x1.c13f90a560e39p-16, -0x1.ebb890ba7ec18p-16, -0x1.0b0aeb38fc017p-15, -0x1.2029961fb2f0dp-15, -0x1.3534bace8ac3dp-15, -0x1.4a29c84a6f566p-15, -0x1.5f0364ff54a69p-15, -0x1.73bf6cc830c23p-15, -0x1.885ce7dbf393dp-15, -0x1.9cda8b2af7285p-15, -0x1.b13bba8f2c264p-15, -0x1.c57d5af37ebadp-15, -0x1.d99d67d634b7p-15, -0x1.ed99bb4cf5ed1p-15, -0x1.00b84c98410f1p-14, -0x1.0a90ad71991d3p-14, -0x1.1454f53df8427p-14, -0x1.1e0445b3bbf64p-14, -0x1.279e2c595e53ep-14, -0x1.31226471013f3p-14, -0x1.3a911ae9134fbp-14, -0x1.43e89827495d2p-14, -0x1.4d28e7150c4c5p-14, -0x1.5652af750244bp-14, -0x1.5f65bd5eaa3edp-14, -0x1.68627d085c5e4p-14, -0x1.714855289dc6bp-14, -0x1.7a14f5daade4ap-14, -0x1.82c6f70bce3bcp-14, -0x1.8b5dfdf5c89bap-14, -0x1.93dbeebcf539cp-14, -0x1.9c3fb082b8013p-14, -0x1.a48a4145a7172p-14, -0x1.acba2f9d53abap-14, -0x1.b4cf0b92199c5p-14, -0x1.bcc9d889c0bcfp-14, -0x1.c4aa9fe2b2cdep-14, -0x1.cc71115bd4f84p-14, -0x1.d41caf59f8ffbp-14, -0x1.dbacfd3114c95p-14, -0x1.e32172e299f2bp-14, -0x1.ea79ad3f7de47p-14, -0x1.f1b5e30ac11e9p-14, -0x1.f8d680670f1f4p-14, -0x1.ffdb9e52a446cp-14, -0x1.0362caf7c4f2ep-13, -0x1.06c98053a4ea7p-13, -0x1.0a2277e3d3c42p-13, -0x1.0d6df6fa6c057p-13, -0x1.10abd432107ffp-13, -0x1.13dbd7f144d0bp-13, -0x1.16fdfe20f39e6p-13, -0x1.1a11c6406a25fp-13, -0x1.1d17b0b405abp-13, -0x1.200fe7a397728p-13, -0x1.22fa5115be9f6p-13, -0x1.25d7319ab9d95p-13, -0x1.28a6357029979p-13, -0x1.2b678a320fd71p-13, -0x1.2e1b5207cb1e5p-13, -0x1.30c18734f1c49p-13, -0x1.335a1f80f9e7ap-13, -0x1.35e553b3437c9p-13, -0x1.38632e099af93p-13, -0x1.3ad3bf0126c6ap-13, -0x1.3d37a289d1d04p-13, -0x1.3f8d950cf7d8dp-13, -0x1.41d5f875860c6p-13, -0x1.4411b78aecfdbp-13, -0x1.4640817b3565p-13, -0x1.4862539788d26p-13, -0x1.4a76fcca35a44p-13, -0x1.4c7f372900765p-13, -0x1.4e7abc91fdbd5p-13, -0x1.5069c627093eep-13, -0x1.524cb3fa94469p-13, -0x1.5422c4f508943p-13, -0x1.55ec817fafe12p-13, -0x1.57a983571f45bp-13, -0x1.595afa50c3e9ep-13, -0x1.5b000d0ad89e8p-13, -0x1.5c99674db135dp-13, -0x1.5e26f282e81fp-13, -0x1.5fa87d3870b93p-13, -0x1.611e982e9d4d2p-13, -0x1.62893268d1f6ap-13, -0x1.63e82af60748dp-13, -0x1.653bb5b003e13p-13, -0x1.668406dfc8d2dp-13, -0x1.67c1377ac87e4p-13, -0x1.68f34d71642e9p-13, -0x1.6a1ab6020d258p-13, -0x1.6b370b59ef851p-13, -0x1.6c48b6fac800ap-13, -0x1.6d4fc77aa80aap-13, -0x1.6e4c4788e1d33p-13, -0x1.6f3e5fe2f7e36p-13, -0x1.70265f8485ab4p-13, -0x1.710412f88845p-13, -0x1.71d79964971b8p-13, -0x1.72a112e138b55p-13, -0x1.7360c0559db0fp-13, -0x1.7416d0a39fb74p-13, -0x1.74c31ecdfe87ep-13, -0x1.7566374edc3b8p-13, -0x1.75ff93a08dc0ap-13, -0x1.768f949e77341p-13, -0x1.77140b9999042p-13, -0x1.779444218f48dp-13, -0x1.780917bb6ec34p-13, -0x1.78750d849c473p-13, -0x1.78d8426f62e37p-13, -0x1.7932d0d466731p-13, -0x1.7984c95cc691ep-13, -0x1.79ce3bb90fe56p-13, -0x1.7a0f652cc8ea4p-13, -0x1.7a4895d5b76fap-13, -0x1.7a79858b9ba87p-13, -0x1.7aa2230438347p-13, -0x1.7ac32f6a02cap-13, -0x1.7adc707ea6a19p-13, -0x1.7aede7c6cbf4cp-13, -0x1.7af7c4e7a0caap-13, -0x1.7afa692c37003p-13, -0x1.7af517fbfdd98p-13, -0x1.7ae8d687ac5edp-13, -0x1.7ad583fcb52c7p-13, -0x1.7abb4b286fe5cp-13, -0x1.7a99a43a1ad41p-13, -0x1.7a714ea4081e8p-13, -0x1.7a4255ec040b1p-13, -0x1.7a0cb7b6d144cp-13, -0x1.79d0a67b9a73cp-13, -0x1.798ddd627379p-13, -0x1.7944c3b97633fp-13, -0x1.78f54910a7a04p-13, -0x1.789f869bb35ap-13, -0x1.78443e177c5a4p-13, -0x1.77e28fe697f37p-13, -0x1.777b5c78129e6p-13, -0x1.770e4297d8b28p-13, -0x1.769b19884e6e6p-13, -0x1.7622a709e18b5p-13, -0x1.75a4b0d3cdb8dp-13, -0x1.7521665b664ccp-13, -0x1.7498977a0caa4p-13, -0x1.740a9a7da2a91p-13, -0x1.7377924fd25dfp-13, -0x1.72df79124f4abp-13, -0x1.72425944c445bp-13, -0x1.71a05b8b9b024p-13, -0x1.70f99209dabc2p-13, -0x1.704e2469e296bp-13, -0x1.6f9e0bc1663d8p-13, -0x1.6ee96ffa1c7d3p-13, -0x1.6e3063bfed468p-13, -0x1.6d72f66371b6ap-13, -0x1.6cb1355bfc609p-13, -0x1.6beb4a9b8e066p-13, -0x1.6b21507c57babp-13, -0x1.6a53403b27c2fp-13, -0x1.6981254318a21p-13, -0x1.68ab2186916e9p-13, -0x1.67d1770d16129p-13, -0x1.66f409442b006p-13, -0x1.6612ec0f3ecd8p-13, -0x1.652e3689a7d8p-13, -0x1.6445ffa6b07f7p-13, -0x1.635a5d5f06a8cp-13, -0x1.626b63a7b6d12p-13, -0x1.6179344ee7f1p-13, -0x1.6083901953dfp-13, -0x1.5f8ac82b3cd32p-13, -0x1.5e8f124300ac2p-13, -0x1.5d905e23a0bacp-13, -0x1.5c8ee6be52607p-13, -0x1.5b8a54a6df2f1p-13, -0x1.5a831d5a246ecp-13, -0x1.5978d4bce9743p-13, -0x1.586c081fbc048p-13, -0x1.575c4aaecfb02p-13, -0x1.564adcf09672p-13, -0x1.553668639fbdap-13, -0x1.541fa4f9cec73p-13, -0x1.530673557cf8p-13, -0x1.51eaee4892619p-13, -0x1.50cd4eba579a2p-13, -0x1.4fad4cc43f129p-13, -0x1.4e8b5d3c5d3f2p-13, -0x1.4d6741ad48d98p-13, -0x1.4c413771b7362p-13, -0x1.4b194e0b2973dp-13, -0x1.49ef54a206bf7p-13, -0x1.48c38e05f5c36p-13, -0x1.47960f0e235b3p-13, -0x1.4666dbfccd1b5p-13, -0x1.4535dfb578ad2p-13, -0x1.4403414c7e818p-13, -0x1.42cf1e06cbf62p-13, -0x1.419997108ade3p-13, -0x1.40627ae15d54bp-13, -0x1.3f29e6f0a0895p-13, -0x1.3deffafda541ap-13, -0x1.3cb4bfad7082p-13, -0x1.3b783e72fa0c6p-13, -0x1.3a3a832cdfecdp-13, -0x1.38fb9817233bp-13, -0x1.37bb88ad914adp-13, -0x1.367a64c2b66ap-13, -0x1.353839b8c9c05p-13, -0x1.33f50481e9b83p-13, -0x1.32b0d7367c7a3p-13, -0x1.316bc7f652a07p-13, -0x1.3025dfce8561cp-13, -0x1.2edf3348418a2p-13, -0x1.2d977b329e1b9p-13, -0x1.2c4f159968dc3p-13, -0x1.2b05ff1b1263dp-13, -0x1.29bc3f2c7baedp-13, -0x1.2872194eddd69p-13, -0x1.27273abcc2df3p-13, -0x1.25dbae569036bp-13, -0x1.248fa626e3824p-13, -0x1.23431ee20a6ccp-13, -0x1.21f62bbc5b37fp-13, -0x1.20a8cc7109364p-13, -0x1.1f5afece7f99p-13, -0x1.1e0d0fa687fe4p-13, -0x1.1cbea867894cdp-13, -0x1.1b6fe95dbc526p-13, -0x1.1a20d1cf6b425p-13, -0x1.18d19927cd218p-13, -0x1.1782595e06d7ep-13, -0x1.16332f8a9ce03p-13, -0x1.14e363bddef99p-13, -0x1.1393a8178bd6ap-13, -0x1.1243c830a75b7p-13, -0x1.10f45a98d7bedp-13, -0x1.0fa466c93cb31p-13, -0x1.0e5498ae05476p-13, -0x1.0d04c4ac3bc5bp-13, -0x1.0bb50dcecf781p-13, -0x1.0a657f8be1bcap-13, -0x1.09164c0e53d2ap-13, -0x1.07c6faaf1410cp-13, -0x1.0677f36fd9304p-13, -0x1.05291404a091cp-13, -0x1.03da7491a7c75p-13, -0x1.028c1909f4afdp-13, -0x1.013e04533c755p-13, -0x1.ffe07bee3ba55p-14, -0x1.fd4596c879da7p-14, -0x1.faab633ba2452p-14, -0x1.f811ee4463fa1p-14, -0x1.f579434580fa2p-14, -0x1.f2e170e5e8c4dp-14, -0x1.f04a8bb8afad3p-14, -0x1.edb47a40c5f93p-14, -0x1.eb1f23bb6e754p-14, -0x1.e88b0a2046ce6p-14, -0x1.e5f8272259fb7p-14, -0x1.e366291af8fb2p-14, -0x1.e0d52c1a9b0d9p-14, -0x1.de4565cad3b6dp-14, -0x1.dbb6d5283aaf8p-14, -0x1.d9299492b1811p-14, -0x1.d69d8377a2c52p-14, -0x1.d4122585a8b9bp-14, -0x1.d188c28c89398p-14, -0x1.cf00933da2aa8p-14, -0x1.cc79e83994a23p-14, -0x1.c9f4c30c47bc5p-14, -0x1.c7708e026c718p-14, -0x1.c4edf50b88994p-14, -0x1.c26cf8cdf9d7ap-14, -0x1.bfed7dd6de5e3p-14, -0x1.bd6f7f14ef889p-14, -0x1.baf31f1a28942p-14, -0x1.b878922602872p-14, -0x1.b5ffa4e9842abp-14, -0x1.b387f06be9af2p-14, -0x1.b111ea9e78aep-14, -0x1.ae9dfd6972219p-14, -0x1.ac2baadfede13p-14, -0x1.a9bb3f7f3fc2dp-14, -0x1.a74c6ab871ce3p-14, -0x1.a4df4cb146255p-14, -0x1.a2741405f364dp-14, -0x1.a00a86c8d218fp-14, -0x1.9da3913b62727p-14, -0x1.9b3e17936cde8p-14, -0x1.98d9f292258eap-14, -0x1.96782f7945f9bp-14, -0x1.94182264a176ep-14, -0x1.91ba33538c999p-14, -0x1.8f5f13cf085b1p-14, -0x1.8d04e654b3da2p-14, -0x1.8aaceef463014p-14, -0x1.88570d94752eep-14, -0x1.8603702ebf26fp-14, -0x1.83b1768c93b57p-14, -0x1.8161c3992ff7p-14, -0x1.7f143d9965155p-14, -0x1.7cc8b9b3d5203p-14, -0x1.7a7f85c7eb1ebp-14, -0x1.7837fc1d39ba1p-14, -0x1.75f3083c42e74p-14, -0x1.73af7df39172ep-14, -0x1.716ee91bef0fep-14, -0x1.6f3027998eb02p-14, -0x1.6cf40c08dd434p-14, -0x1.6ab997bcc0368p-14, -0x1.68816daae4b9dp-14, -0x1.664b8b6c75f53p-14, -0x1.6417ee16dc8b8p-14, -0x1.61e68686ce7c1p-14, -0x1.5fb7729ca24d6p-14, -0x1.5d8a55dd8b6fap-14, -0x1.5b5fac04be6eap-14, -0x1.59374885aaf1bp-14, -0x1.57115f4e5efap-14, -0x1.54eddb47e3427p-14, -0x1.52cbda61fdae2p-14, -0x1.50ac95fa7052dp-14, -0x1.4e8fa07956358p-14, -0x1.4c752812d6cbcp-14, -0x1.4a5ca6f624582p-14, -0x1.48469703bc776p-14, -0x1.4632fd7713a28p-14, -0x1.4421d6ed52f0fp-14, -0x1.420717b7322e4p-14, -0x1.40060b0119d7dp-14, -0x1.3dfba222a2ad5p-14, -0x1.3bf3944c4665cp-14, -0x1.39ee519cff5e1p-14, -0x1.37ea973e3a071p-14, -0x1.35e9a1d3e3398p-14, -0x1.33eb0617e27f8p-14, -0x1.31eec60ac3ddp-14, -0x1.2ff4e2b379e74p-14, -0x1.2dfd5a427f0dep-14, -0x1.2c08298e52b84p-14, -0x1.2a14ea05b4fd5p-14, -0x1.2824ec6ee54d7p-14, -0x1.2636e094383e3p-14, -0x1.244b2cf0b43bbp-14, -0x1.2260a5eee2921p-14, -0x1.207ac992897bfp-14, -0x1.1e96749c3d5abp-14, -0x1.1cb442595278ep-14, -0x1.1ad3df3e17083p-14, -0x1.18f6a79e2b41ep-14, -0x1.171b4d5f2ae04p-14, -0x1.1543080e39edp-14, -0x1.136c834c60f97p-14, -0x1.1198631608d93p-14, -0x1.0fc6a6374a494p-14, -0x1.0df74c821cfd3p-14, -0x1.0c29fe9130a89p-14, -0x1.0a5fc30114507p-14, -0x1.08975f26ad811p-14, -0x1.06d1b49a25d05p-14, -0x1.050e4d23aa0c1p-14, -0x1.034cd07658a9dp-14, -0x1.018dda883b1d2p-14, -0x1.ffa2402dc9caep-15, -0x1.fc2cdfb35cb4ap-15, -0x1.f8bef3eb2a6a9p-15, -0x1.f553b7c94ffebp-15, -0x1.f1ed64ec36b66p-15, -0x1.ee8bd8d28bb28p-15, -0x1.eb2dc77daab2dp-15, -0x1.e7d5ea78e3bf7p-15, -0x1.e481d3b235a54p-15, -0x1.e132edf1104adp-15, -0x1.dde7bec1265fdp-15, -0x1.daa1e9fade7cep-15, -0x1.d760cc8a60ac1p-15, -0x1.d422f9b1b38f5p-15, -0x1.d0eac14bf8cc8p-15, -0x1.cdb71b8b3126dp-15, -0x1.ca87cf6dd0848p-15, -0x1.c75d549ef2be6p-15, -0x1.c4376fce8794bp-15, -0x1.c115126153f2dp-15, -0x1.bdf7dc76f7734p-15, -0x1.badf355eac177p-15, -0x1.b7caf911bcafep-15, -0x1.b4bb91fe4fa6bp-15, -0x1.b1afc1ccbde69p-15, -0x1.aea8e2ed6fdd7p-15, -0x1.aba53bf31525ep-15, -0x1.a8a8253e5f5adp-15, -0x1.a5aea49df3beap-15, -0x1.a2b901adad0d7p-15, -0x1.9fc88236f607ap-15, -0x1.9cdbe78ab1231p-15, -0x1.99f3bb5c77dd5p-15, -0x1.971002d4f41edp-15, -0x1.9431244d57e7cp-15, -0x1.91555e833f6f1p-15, -0x1.8e7cfa90a563bp-15, -0x1.8bac03add4795p-15, -0x1.88ddab6c0e939p-15, -0x1.86138864a0dcfp-15, -0x1.834dad5a4b49fp-15, -0x1.808c0e3b75ffp-15, -0x1.7dceabe940a62p-15, -0x1.7b157a3e9f7d4p-15, -0x1.78603c35d6d59p-15, -0x1.75afb00f1f76dp-15, -0x1.7302f933191f2p-15, -0x1.705a62820e542p-15, -0x1.6db5fa305fddp-15, -0x1.6b15ae418e74cp-15, -0x1.687980f73dfbp-15, -0x1.65e1805caf99ap-15, -0x1.634d1450f7132p-15, -0x1.60bd169dd4065p-15, -0x1.5e30c03b52827p-15, -0x1.5ba9301244a1p-15, -0x1.59240d99605e5p-15, -0x1.56a5a79c8f64dp-15, -0x1.54298cf7571b6p-15, -0x1.51b0a3306c592p-15, -0x1.4f3db5b3b024dp-15, -0x1.4cccf4f64d1c5p-15, -0x1.4a5f2a48eafdp-15, -0x1.47f7e7faca236p-15, -0x1.459387ab4d41bp-15, -0x1.433390d57a4fcp-15, -0x1.40d5460f368a4p-15, -0x1.3e7c1b1633f51p-15, -0x1.3c26e5557b9a9p-15, -0x1.39d6c81767fb5p-15, -0x1.3788884e8fca2p-15, -0x1.353e51569b8ap-15, -0x1.32f816f39e454p-15, -0x1.30b59d3e31f85p-15, -0x1.2e772429311f1p-15, -0x1.2c3bc4c5f2313p-15, -0x1.2a0486769a1c9p-15, -0x1.27d0ab43400e1p-15, -0x1.25a095f9ace9ep-15, -0x1.237425a322ac4p-15, -0x1.214a9a9b1170bp-15, -0x1.1f26014ad0dc7p-15, -0x1.1d043a2fbd10cp-15, -0x1.1ae60ba11c85dp-15, -0x1.18cb673ce430ep-15, -0x1.16b44349528c7p-15, -0x1.14a0aca325f0dp-15, -0x1.1290a3e1745cap-15, -0x1.108366de3e8d3p-15, -0x1.0e7ad647561a3p-15, -0x1.0c7528ec2ad32p-15, -0x1.0a7296c59c57cp-15, -0x1.0873bba961ea2p-15, -0x1.067866b4cdceap-15, -0x1.047ff632bd4dp-15, -0x1.028b3a505d6cdp-15, -0x1.0099d62305079p-15, -0x1.fd57619c17b2cp-16, -0x1.f9820d98f20dp-16, -0x1.f5b218f382e72p-16, -0x1.f1e9729211d21p-16, -0x1.ee27c3482b668p-16, -0x1.ea6cc34cb37cdp-16, -0x1.e6b5aae4b209fp-16, -0x1.e307ea3776445p-16, -0x1.df5fa978b42ebp-16, -0x1.dbbd9298114ap-16, -0x1.d821bcc9c0cd5p-16, -0x1.d48be27bc20b9p-16, -0x1.d0fd1a9a32052p-16, -0x1.cd74988e1fc82p-16, -0x1.c9f0dab7dba11p-16, -0x1.c67402e083418p-16, -0x1.c2fd478bdc683p-16, -0x1.bf800a59d5972p-16, -0x1.bc2259b5eeb48p-16, -0x1.b8be30ac1ac41p-16, -0x1.b55ece2de01c3p-16, -0x1.b20626026af75p-16, -0x1.aeb3f00eea4cfp-16, -0x1.ab6704eb843ffp-16, -0x1.a81fd26c5e715p-16, -0x1.a4dec9a149b3bp-16, -0x1.a1a431d2da85ep-16, -0x1.9e6c8f2b01c63p-16, -0x1.9b3ce0283421dp-16, -0x1.98139e9650135p-16, -0x1.94ef6cfa18b1cp-16, -0x1.91d031ee759b2p-16, -0x1.8eb5cd14b53a6p-16, -0x1.8ba0c4d1a4d2bp-16, -0x1.88936722ef766p-16, -0x1.858d803707b1ap-16, -0x1.8284ed832c777p-16, -0x1.7f8932eb0fff5p-16, -0x1.7c8f3bfc45bcep-16, -0x1.799ed6714f172p-16, -0x1.76b0087e5013ap-16, -0x1.73c6f36d749c3p-16, -0x1.70e39f5be6077p-16, -0x1.6e0647826cb3p-16, -0x1.6b2bff0df5213p-16, -0x1.68597cdd5a2cfp-16, -0x1.658b44a7bd223p-16, -0x1.62c018ff1f5ebp-16, -0x1.5ffc278939c9cp-16, -0x1.5d3d06ccbba31p-16, -0x1.5a82d2ec926c8p-16, -0x1.57cd7ef7d3cbfp-16, -0x1.551d289a9a316p-16, -0x1.52719a08e17d6p-16, -0x1.4fcaa7a1928ffp-16, -0x1.4d2999124f0a2p-16, -0x1.4a8ca6ca8d4c2p-16, -0x1.47f4c91390c57p-16, -0x1.456182c7949cp-16, -0x1.42d32404d8661p-16, -0x1.40493c607ae7ap-16, -0x1.3dc46d4d2c365p-16, -0x1.3b44423e11a61p-16, -0x1.38c8904f68e8ep-16, -0x1.36517d271c0efp-16, -0x1.33df00a091fe8p-16, -0x1.316874d421848p-16, -0x1.2f07bba189fc3p-16, -0x1.2ca2f377c68cbp-16, -0x1.2a41b832ce772p-16, -0x1.27e663ab170c6p-16, -0x1.258edd3ade502p-16, -0x1.233b7493b386dp-16, -0x1.20ecb24d19e44p-16, -0x1.1ea235aa8ceedp-16, -0x1.1c5c0018ea06fp-16, -0x1.1a1a0f5b79968p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      {{0x1.9b2674242f723p-9, 0x1.9bf4ec125be6ap-8, 0x1.35f83e3d2aad6p-7, 0x1.9f25aea86c00ep-7, 0x1.04f09e1f1753ap-6, 0x1.3b41ff535ef8dp-6, 0x1.72b0656eb648ep-6, 0x1.ab61c07bc5d63p-6, 0x1.e57844f790651p-6, 0x1.1089203a4909ap-5, 0x1.2f2500b2f8431p-5, 0x1.4e9ae7b5026ccp-5, 0x1.6ef3f8c02146cp-5, 0x1.90375fe14a8ffp-5, 0x1.b26a5f3991051p-5, 0x1.d5906036d7c69p-5, 0x1.f9ab07a5a7c44p-5, 0x1.0f5d25f0fd36ap-4, 0x1.225e4644ae1abp-4, 0x1.35d755954c354p-4, 0x1.49c61243137d6p-4, 0x1.5e2795033d655p-4, 0x1.72f85d942004cp-4, 0x1.88345f4c7726bp-4, 0x1.9dd70d6ed9ef1p-4, 0x1.b3db672f326c9p-4, 0x1.ca3c035bde057p-4, 0x1.e0f31b9f3a6b2p-4, 0x1.f7fa9750ebe9fp-4, 0x1.07a60ae804e9ap-3, 0x1.13707c3096d3ep-3, 0x1.1f5935c661319p-3, 0x1.2b5cb7fd7bb2ep-3, 0x1.377771660fcedp-3, 0x1.43a5c2b67abb5p-3, 0x1.4fe40273ae501p-3, 0x1.5c2e805878d55p-3, 0x1.6881887cd5237p-3, 0x1.74d9663eb0fd3p-3, 0x1.813266ee01fedp-3, 0x1.8d88dc3e40d0dp-3, 0x1.99d91e7fc14cp-3, 0x1.a61f8ea3743a9p-3, 0x1.b258980c0104cp-3, 0x1.be80b22f20508p-3, 0x1.ca94620a539fcp-3, 0x1.d6903b6e25cf3p-3, 0x1.e270e22316a8bp-3, 0x1.ee330aeb60efdp-3, 0x1.f9d37c64a8004p-3, 0x1.02a787e6508fap-2, 0x1.085158d5c4733p-2, 0x1.0de5b1339cca3p-2, 0x1.13631b60b4635p-2, 0x1.18c82c21c60aep-2, 0x1.1e1382cd4ae33p-2, 0x1.2343c9724dfap-2, 0x1.2857b4f9229acp-2, 0x1.2d4e053ed46d5p-2, 0x1.3225852c0e7fp-2, 0x1.36dd0ac81c612p-2, 0x1.3b737748967fbp-2, 0x1.3fe7b71e38596p-2, 0x1.4438c1ff39e2p-2, 0x1.48659aef8fe42p-2, 0x1.4c6d5047490a5p-2, 0x1.504efbb7404c4p-2, 0x1.5409c24c4b02dp-2, 0x1.579cd470f8a0bp-2, 0x1.5b076dedf8bb2p-2, 0x1.5e48d5e926821p-2, 0x1.61605ee33e7dap-2, 0x1.644d66b436a69p-2, 0x1.670f5686250f4p-2, 0x1.69a5a2ceb2796p-2, 0x1.6c0fcb46fa7fep-2, 0x1.6e4d5ae1cb424p-2, 0x1.705de7c030c67p-2, 0x1.7241132431ae1p-2, 0x1.73f68961b15f1p-2, 0x1.757e01cd5cccp-2, 0x1.76d73ea9966bfp-2, 0x1.78020d114f5aap-2, 0x1.78fe44e0c4d49p-2, 0x1.79cbc89c10e84p-2, 0x1.7a6a85538debdp-2, 0x1.7ada728605adap-2, 0x1.7b1b9200aa9dfp-2, 0x1.7b2defbcdaf0cp-2, 0x1.7b11a1bbb532ap-2, 0x1.7ac6c7df80f3bp-2, 0x1.7a4d8bc2f84a6p-2, 0x1.79a6208e7d9bfp-2, 0x1.78d0c2cb49fd4p-2, 0x1.77cdb834a3ff8p-2, 0x1.769d4f87378a4p-2, 0x1.753fe04e9951ap-2, 0x1.73b5cab114408p-2, 0x1.71ff7739d26edp-2, 0x1.701d56a17b262p-2, 0x1.6e0fe195636b9p-2, 0x1.6bd7987d60e55p-2, 0x1.6975034068e27p-2, 0x1.66e8b10806851p-2, 0x1.64333802d0136p-2, 0x1.61553525f01cbp-2, 0x1.5e4f4bede1aa7p-2, 0x1.5b22261e78205p-2, 0x1.57ce738250b21p-2, 0x1.5454e9a9c4becp-2, 0x1.50b643a97d9d7p-2, 0x1.4cf341d8bc53ep-2, 0x1.490ca98f73ffep-2, 0x1.450344e44e43bp-2, 0x1.40d7e26aaed12p-2, 0x1.3c8b54f0d157fp-2, 0x1.381e733e16837p-2, 0x1.339217d1912e2p-2, 0x1.2ee720a0f2245p-2, 0x1.2a1e6ed7dbb1ep-2, 0x1.2538e697b52bep-2, 0x1.20376eb80f2cp-2, 0x1.1b1af087abd85p-2, 0x1.15e4578e3402ap-2, 0x1.1094914eb1c15p-2, 0x1.0b2c8d0ad719p-2, 0x1.05ad3b87208e2p-2, 0x1.00178ecfe4537p-2, 0x1.f4d8f3fe9fb05p-3, 0x1.e959e208d0c48p-3, 0x1.ddb3d0d62b79fp-3, 0x1.d1e8aa4a75e3ep-3, 0x1.c5fa58a9d9c3dp-3, 0x1.b9eac62f9563dp-3, 0x1.adbbdca704564p-3, 0x1.a16f8506fbb44p-3, 0x1.9507a70fa250dp-3, 0x1.888628eab34a4p-3, 0x1.7beceece42b82p-3, 0x1.6f3ddaa20c62p-3, 0x1.627acba748f8fp-3, 0x1.55a59e2321946p-3, 0x1.48c02b0bb4405p-3, 0x1.3bcc47b7b34a3p-3, 0x1.2ecbc590a9dap-3, 0x1.21c071c7dc2b3p-3, 0x1.14ac150dd2596p-3, 0x1.0790734c7c28bp-3, 0x1.f4de96c7f7bb5p-4, 0x1.da94add42cc22p-4, 0x1.c04693d87c457p-4, 0x1.a5f7a5687a409p-4, 0x1.8bab331eefa36p-4, 0x1.716481319c2a9p-4, 0x1.5726c70a053e2p-4, 0x1.3cf52ee376c84p-4, 0x1.22d2d56e0a361p-4, 0x1.08c2c976b50b7p-4, 0x1.dd901728a6242p-5, 0x1.a9cb1bb336831p-5, 0x1.763c6717e45c8p-5, 0x1.42e9a1be1a4ebp-5, 0x1.0fd8556aa933p-5, 0x1.ba1bd993ce5e8p-6, 0x1.551f6606224bap-6, 0x1.e18b4d52e2c12p-7, 0x1.1a3162e8e5de5p-7, 0x1.5112d99ea56ccp-9, -0x1.c09e484037964p-9, -0x1.3300d4d88921cp-7, -0x1.f434f5a85f628p-7, -0x1.59d92f296cd91p-6, -0x1.b8b3ffb43afap-6, -0x1.0b51542df8391p-5, -0x1.39ce946c19d92p-5, -0x1.67cde26999051p-5, -0x1.954b81fe9461ep-5, -0x1.c243d908d676p-5, -0x1.eeb36f6786fbap-5, -0x1.0d4b7778041ebp-4, -0x1.22f591ae244f3p-4, -0x1.38567d195076ep-4, -0x1.4d6cc153bf412p-4, -0x1.6236f6bc79928p-4, -0x1.76b3c6623ddcep-4, -0x1.8ae1e9eb8527ap-4, -0x1.9ec02b7bcf439p-4, -0x1.b24d6596419b4p-4, -0x1.c58882fdbdea2p-4, -0x1.d8707e927ec1ap-4, -0x1.eb04632d4e6ffp-4, -0x1.fd434b7882283p-4, -0x1.079630e35af38p-3, -0x1.105f6ff3be0bdp-3, -0x1.18fd077d007cep-3, -0x1.216ea39ee27bap-3, -0x1.29b3f7f0c5e91p-3, -0x1.31ccbf683bef8p-3, -0x1.39b8bc3eca122p-3, -0x1.4177b7d6e24aap-3, -0x1.490982a019a24p-3, -0x1.506df3fab1831p-3, -0x1.57a4ea1a711dp-3, -0x1.5eae49e8ee893p-3, -0x1.6589fee730cd8p-3, -0x1.6c37fb0eda3f5p-3, -0x1.72b836b2c7ebfp-3, -0x1.790ab05f430d5p-3, -0x1.7f2f6cb9c1072p-3, -0x1.8526766047073p-3, -0x1.8aefddc86b228p-3, -0x1.908bb91e11b68p-3, -0x1.95fa2421dba12p-3, -0x1.9b3b400756e5ap-3, -0x1.a04f335301941p-3, -0x1.a53629b811c21p-3, -0x1.a9f053f62866ep-3, -0x1.ae7de7b6dbc1ap-3, -0x1.b2df1f6b31089p-3, -0x1.b7143a290805dp-3, -0x1.bb1d7b88832f8p-3, -0x1.befb2b816a786p-3, -0x1.c2ad96489d14ep-3, -0x1.c6350c2d8dce3p-3, -0x1.c991e177d7f65p-3, -0x1.ccc46e44e978bp-3, -0x1.cfcd0e65d9c68p-3, -0x1.d2ac213d5ce98p-3, -0x1.d562099dec3ep-3, -0x1.d7ef2da81eadp-3, -0x1.da53f6a93a134p-3, -0x1.dc90d0fa023a3p-3, -0x1.dea62bddcc6dfp-3, -0x1.e0947961d4295p-3, -0x1.e25c2e3ce5f7p-3, -0x1.e3fdc1af4c49ap-3, -0x1.e579ad631ed98p-3, -0x1.e6d06d4ce20cap-3, -0x1.e8027f8c82bafp-3, -0x1.e910644eb4772p-3, -0x1.e9fa9daeb098ap-3, -0x1.eac1af985fb4bp-3, -0x1.eb661faae2f83p-3, -0x1.ebe8751b94406p-3, -0x1.ec49389970a2cp-3, -0x1.ec88f430f1c97p-3, -0x1.eca833305ef02p-3, -0x1.eca7820c911b6p-3, -0x1.ec876e463356bp-3, -0x1.ec48864f770dep-3, -0x1.ebeb597248d34p-3, -0x1.eb7077b7012b8p-3, -0x1.ead871cb8f9e3p-3, -0x1.ea23d8eb2d3bdp-3, -0x1.e9533ec68c0b3p-3, -0x1.e867356c86022p-3, -0x1.e7604f335292cp-3, -0x1.e63f1ea241ebdp-3, -0x1.e504365bf5211p-3, -0x1.e3b02909222eap-3, -0x1.e2438943db0cep-3, -0x1.e0bee98356115p-3, -0x1.df22dc08422afp-3, -0x1.dd6ff2c99f104p-3, -0x1.dba6bf6214168p-3, -0x1.d9c7d2fdd82bep-3, -0x1.d7d3be4915d86p-3, -0x1.d5cb115ed4105p-3, -0x1.d3ae5bb86ae2cp-3, -0x1.d17e2c1d726c1p-3, -0x1.cf3b10943b003p-3, -0x1.cce59652c5c1ap-3, -0x1.ca7e49b03b00dp-3, -0x1.c805b616e9d3ap-3, -0x1.c57c65f6bcaa2p-3, -0x1.c2e2e2b83639ap-3, -0x1.c039b4afe1a3p-3, -0x1.bd8163124cb1cp-3, -0x1.baba73e869e6bp-3, -0x1.b7e56c0483a4cp-3, -0x1.b502cef791019p-3, -0x1.b2131f071129dp-3, -0x1.af16dd23559adp-3, -0x1.ac0e88de431b3p-3, -0x1.a8faa06282692p-3, -0x1.a5dba06b2342cp-3, -0x1.a2b2043bb1c72p-3, -0x1.9f7e4598b2c19p-3, -0x1.9c40dcc0924ebp-3, -0x1.98fa4064fb2d9p-3, -0x1.95aae5a49094dp-3, -0x1.9253400519807p-3, -0x1.8ef3c16e0698ep-3, -0x1.8b8cda23644b2p-3, -0x1.881ef8c12314ep-3, -0x1.84aa8a36cc013p-3, -0x1.812ff9c388b6p-3, -0x1.7dafb0f287dcdp-3, -0x1.7a2a1797c4101p-3, -0x1.769f93cd174eep-3, -0x1.731089efa90a8p-3, -0x1.6f7d5c9db3488p-3, -0x1.6be66cb4936a5p-3, -0x1.684c194f2e852p-3, -0x1.64aebfc4a402bp-3, -0x1.610ebba74943fp-3, -0x1.5d6c66c3f7118p-3, -0x1.59c819219038ep-3, -0x1.56222900e1e2p-3, -0x1.527aeadcb607ep-3, -0x1.4ed2b16a35fcep-3, -0x1.4b29cd9984593p-3, -0x1.47808e969aa42p-3, -0x1.43d741ca61eccp-3, -0x1.402e32dc048eap-3, -0x1.3c85abb27d89dp-3, -0x1.38ddf476575a3p-3, -0x1.35375393a942bp-3, -0x1.31920dbc40939p-3, -0x1.2dee65e9fdd61p-3, -0x1.2a4c9d6162595p-3, -0x1.26acf3b44f01p-3, -0x1.230fa6c4e6438p-3, -0x1.1f74f2c8a20d6p-3, -0x1.1bdd124b8e96ap-3, -0x1.18483e33a9483p-3, -0x1.14b6adc46e404p-3, -0x1.112896a27f584p-3, -0x1.0d9e2cd772c09p-3, -0x1.0a17a2d5c1463p-3, -0x1.0695297cd7c8p-3, -0x1.0316f01d3c05dp-3, -0x1.ff3a48f9b0465p-4, -0x1.f84fe5b6ba128p-4, -0x1.f16f0bed72071p-4, -0x1.ea980e1f5a4bap-4, -0x1.e3cb3bdceddb4p-4, -0x1.dd08e1cf16f5ep-4, -0x1.d65149c0d6d41p-4, -0x1.cfa4baa90439bp-4, -0x1.c90378b43b4a2p-4, -0x1.c26dc54ee2794p-4, -0x1.bbe3df2f4ba1fp-4, -0x1.b566025ffbd0ap-4, -0x1.aef46849f4d03p-4, -0x1.a88f47bf2c743p-4, -0x1.a236d50505a54p-4, -0x1.9beb41dee593cp-4, -0x1.95acbd98cc6e9p-4, -0x1.8f7b75120931cp-4, -0x1.895792c7e9f0ap-4, -0x1.83413ee0832b3p-4, -0x1.7d389f3570474p-4, -0x1.773dd75ea1efbp-4, -0x1.715108bd2e08bp-4, -0x1.6b7252861e0ecp-4, -0x1.65a1d1cd41549p-4, -0x1.5fdfa18ff9f9dp-4, -0x1.5a2bdac0065d2p-4, -0x1.5486944e49da2p-4, -0x1.4eefe335871a1p-4, -0x1.4967da851c277p-4, -0x1.43ee8b6ba8568p-4, -0x1.3e840541b558ep-4, -0x1.3928559448eb1p-4, -0x1.33db882f6ec49p-4, -0x1.2e9da728b3c0cp-4, -0x1.296ebae98c18ap-4, -0x1.244eca39ae5a8p-4, -0x1.1f3dda495c156p-4, -0x1.1a3beebb942d2p-4, -0x1.154909b0303f8p-4, -0x1.10652bcdf36eap-4, -0x1.0b90544c7d339p-4, -0x1.06ca80fe265f9p-4, -0x1.0213ae59ca97p-4, -0x1.fad7af08e7c76p-5, -0x1.f1a5ecb5ded21p-5, -0x1.e89206f699424p-5, -0x1.df9bec9c71145p-5, -0x1.d6c38a2091a23p-5, -0x1.ce08c9b64524p-5, -0x1.c56b935d10eeep-5, -0x1.bcebccf29cecdp-5, -0x1.b4895a44572c7p-5, -0x1.ac441d20e520dp-5, -0x1.a41bf5694c664p-5, -0x1.9c10c121f41f1p-5, -0x1.94225c834e5a5p-5, -0x1.8c50a20a5ac69p-5, -0x1.849b6a88dc574p-5, -0x1.7d028d3552651p-5, -0x1.7585dfbab9293p-5, -0x1.6e25364800556p-5, -0x1.66e0639f4a146p-5, -0x1.5fb73924db949p-5, -0x1.58a986ede5d08p-5, -0x1.51b71bceefb1dp-5, -0x1.4adfc56a15a1ap-5, -0x1.4423503cf93a7p-5, -0x1.3d8187ae7a173p-5, -0x1.36fa361c240a8p-5, -0x1.308d24e762ee4p-5, -0x1.2a3a1c8273f3bp-5, -0x1.2400e47d11a31p-5, -0x1.1de14390e40b4p-5, -0x1.17daffada497bp-5, -0x1.11edde0519c9cp-5, -0x1.0c19a316b8e0ap-5, -0x1.065e12bb0d18p-5, -0x1.00baf02eee59fp-5, -0x1.f65ffc3cc7b1ap-6, -0x1.eb79fd5eb06ffp-6, -0x1.e0c3671800997p-6, -0x1.d63bbbda29abbp-6, -0x1.cbe27d477525p-6, -0x1.c1b72c4676675p-6, -0x1.b7b9491503918p-6, -0x1.ade8535a9bfbap-6, -0x1.a443ca3a6ac63p-6, -0x1.9acb2c64e08fep-6, -0x1.917df828b1a8p-6, -0x1.885bab837f1afp-6, -0x1.7f63c43203318p-6, -0x1.7695bfbfce0d2p-6, -0x1.6df11b96844e7p-6, -0x1.6575550ccb672p-6, -0x1.5d21e974ab4b1p-6, -0x1.54f656298accdp-6, -0x1.4cf2189dd83d8p-6, -0x1.4514ae68281fap-6, -0x1.3d5d954ff4db2p-6, -0x1.35cc4b5a0ab3ep-6, -0x1.2e604ed474627p-6, -0x1.27191e62160bep-6, -0x1.1ff63905d856ep-6, -0x1.18f71e2d7cf2ep-6, -0x1.121b4dbc190d1p-6, -0x1.0b62481413ebep-6, -0x1.04cb8e20f9356p-6, -0x1.fcad42c175e8dp-7, -0x1.f00607d99431cp-7, -0x1.e3a071057721p-7, -0x1.d77b851931dd4p-7, -0x1.cb964c51cfc92p-7, -0x1.bfefd0649b9bbp-7, -0x1.b4871c8df3112p-7, -0x1.a95b3d9f59cbcp-7, -0x1.9e6b420ce352dp-7, -0x1.93b639fa175dep-7, -0x1.893b3746614fep-7, -0x1.7ef94d9889688p-7, -0x1.74ef926a068ccp-7, -0x1.6b1d1d119d53bp-7, -0x1.618106cd4113ap-7, -0x1.581a6acbc7e67p-7, -0x1.4ee86635c5f1ap-7, -0x1.45ea183626d08p-7, -0x1.3d1ea2022cbf8p-7, -0x1.348526e0db703p-7, -0x1.2c1ccc321cc7dp-7, -0x1.23e4b9755147p-7, -0x1.1bdc184f5dfafp-7, -0x1.140214906f473p-7, -0x1.0c55dc39435abp-7, -0x1.04d69f7fe072ap-7, -0x1.fb0721a84379cp-8, -0x1.ecb7c9c77c35dp-8, -0x1.debda53bba5a8p-8, -0x1.d117266cce425p-8, -0x1.c3c2c451ed3d9p-8, -0x1.b6befa76993b4p-8, -0x1.aa0a48ff53876p-8, -0x1.9da334ad1640cp-8, -0x1.918846e0559e5p-8, -0x1.85b80d9c02e54p-8, -0x1.7a311b869db89p-8, -0x1.6ef207ec06809p-8, -0x1.63f96ebdec799p-8, -0x1.5945f093c7ca8p-8, -0x1.4ed632aaa9f34p-8, -0x1.44a8dee4136fbp-8, -0x1.3abca3c49bc1p-8, -0x1.31103471d9808p-8, -0x1.27a248afee66bp-8, -0x1.1e719cdeceecfp-8, -0x1.157cf1f6c9afcp-8, -0x1.0cc30d848d9e6p-8, -0x1.0442b9a56b46cp-8, -0x1.f7f58a04aa7f3p-9, -0x1.e7d4059695f0ap-9, -0x1.d81e95632a768p-9, -0x1.c8d2f1c52e9c2p-9, -0x1.b9eedc029ae9ep-9, -0x1.ab701e40b606ap-9, -0x1.9d548b7657f7cp-9, -0x1.8f99ff5e33934p-9, -0x1.823e5e6832606p-9, -0x1.753f95aa9e5efp-9, -0x1.689b9ad2b69f5p-9, -0x1.5c506c1440e5ap-9, -0x1.505c10198fd55p-9, -0x1.44bc95f230055p-9, -0x1.39701501feea9p-9, -0x1.2e74acee994b1p-9, -0x1.23c8858e2748fp-9, -0x1.1969ced493aa7p-9, -0x1.0f56c0c03ae63p-9, -0x1.058d9b4769e9dp-9, -0x1.f8194c892ddbep-10, -0x1.e5a462c596888p-10, -0x1.d3b928132057fp-10, -0x1.c2545a91a0c7cp-10, -0x1.b172c7885c401p-10, -0x1.a1114b3dc3968p-10, -0x1.912cd0cc4efa3p-10, -0x1.81c251f991745p-10, -0x1.72ced70bf6223p-10, -0x1.644f769e982c8p-10, -0x1.56415578c91efp-10, -0x1.48a1a660fd8f4p-10, -0x1.3b6da9f26e31ap-10, -0x1.2ea2ae719af2fp-10, -0x1.223e0fa0240ffp-10, -0x1.163d3691b9453p-10, -0x1.0a9d99801fefep-10, -0x1.feb9773dc6ff6p-11, -0x1.e8f059e09aa5p-11, -0x1.d3db143159556p-11, -0x1.bf74f8654862ap-11, -0x1.abb9714696722p-11, -0x1.98a401dd3af57p-11, -0x1.86304516a9ec2p-11, -0x1.7459ed6e02259p-11, -0x1.631cc4960e14ep-11, -0x1.5274ab211bd3fp-11, -0x1.425d982c0cdc1p-11, -0x1.32d3990450a7p-11, -0x1.23d2d0d73f822p-11, -0x1.155778571e29fp-11, -0x1.075ddd68eeff9p-11, -0x1.f3c4c59df958ap-12, -0x1.d9c2ffa7c4649p-12, -0x1.c0af7fedc00e3p-12, -0x1.a8838531bd251p-12, -0x1.91387551677f9p-12, -0x1.7ac7dca337043p-12, -0x1.652b6d51a34abp-12, -0x1.505cfeb8a3dc6p-12, -0x1.3c568cc7b6c74p-12, -0x1.2912375ae79a6p-12, -0x1.168a41a4515aap-12, -0x1.04b9118955cddp-12, -0x1.e7325e130298fp-13, -0x1.c64a8741cf9bbp-13, -0x1.a6b03366d8bfap-13, -0x1.885937e16aa54p-13, -0x1.6b3ba9812d3fdp-13, -0x1.4f4ddb59b60f5p-13, -0x1.34865d9f27e86p-13, -0x1.1adbfc7ef8721p-13, -0x1.0245bf027cbddp-13, -0x1.d575cbe06e07ap-14, -0x1.a865d5615230ep-14, -0x1.7d4afc77d0488p-14, -0x1.54150ffd54e91p-14, -0x1.2cb449a48d016p-14, -0x1.07194bccb41f4p-14, -0x1.c66a3efcde4cp-15, -0x1.81f264a49aef5p-15, -0x1.40aea8e54057p-15, -0x1.02836d2655627p-15, -0x1.8eab9ffb500e7p-16, -0x1.1e17527e8d002p-16, -0x1.662e18b5a1fd6p-17, -0x1.35e52d1687ebcp-18, 0x1.2f21736dd4aedp-20, 0x1.b967b4fee2e4fp-18, 0x1.89d777a58d227p-17, 0x1.16d3c206d3462p-16, 0x1.643d000379c56p-16, 0x1.ad513e1eeacd7p-16, 0x1.f239137ace931p-16, 0x1.198df68cb4653p-15, 0x1.38100a194c01bp-15, 0x1.54b55a7cb54f6p-15, 0x1.6f8ff2777a619p-15, 0x1.88b1549f8ddc6p-15, 0x1.a02a7e88c0f02p-15, 0x1.b60bebccf673bp-15, 0x1.ca6599152ff7ep-15, 0x1.dd470714988cep-15, 0x1.eebf3d6ed701fp-15, 0x1.fedccd9c1d2ap-15, 0x1.06d6eade0686dp-14, 0x1.0da001ae171ffp-14, 0x1.13d04b15bbec4p-14, 0x1.196e31590e552p-14, 0x1.1e7fea78ba27p-14, 0x1.230b797878a15p-14, 0x1.2716afa8ceac7p-14, 0x1.2aa72de71092p-14, 0x1.2dc265d0a9d25p-14, 0x1.306d9afc95b43p-14, 0x1.32ade4253a6f3p-14, 0x1.34882c51efab4p-14, 0x1.360133f992426p-14, 0x1.371d921e1650bp-14, 0x1.37e1b564a7484p-14, 0x1.3851e529d597cp-14, 0x1.38724288661eep-14, 0x1.3846c964f767ap-14, 0x1.37d35171a8fabp-14, 0x1.371b8f236624dp-14, 0x1.362314b1c870ap-14, 0x1.34ed53027b13ep-14, 0x1.337d9a9c8a0edp-14, 0x1.31d71c8c5e1f6p-14, 0x1.2ffceb4a6cd12p-14, 0x1.2df1fb9a6eb38p-14, 0x1.2bb9256247814p-14, 0x1.295524829fb4bp-14, 0x1.26c899a55da84p-14, 0x1.24160b09d4e34p-14, 0x1.213fe5500711fp-14, 0x1.1e487c3890d9fp-14, 0x1.1b320b63dc0e4p-14, 0x1.17feb70e4499ap-14, 0x1.14b08cc55409cp-14, 0x1.11498419824a8p-14, 0x1.0dcb7f5085699p-14, 0x1.0a384c08bc10cp-14, 0x1.0691a3e4f3362p-14, 0x1.02d92d2cd2f94p-14, 0x1.fe20f6d367606p-15, 0x1.f67220053a3f4p-15, 0x1.eea8b5a39ff4ap-15, 0x1.e6c775787f58bp-15, 0x1.ded0fc7857c04p-15, 0x1.d6c7c7e158d9ep-15, 0x1.ceae3646e9d1fp-15, 0x1.c68688a0331e4p-15, 0x1.be52e348d4199p-15, 0x1.b6154f0170a0ap-15, 0x1.adcfb9e369f12p-15, 0x1.a583f85301201p-15, 0x1.9d33c5e8a68fbp-15, 0x1.94e0c653d06ddp-15, 0x1.8c8c863715f0bp-15, 0x1.84387c07937cep-15, 0x1.7be608d82fc26p-15, 0x1.739679295ee31p-15, 0x1.6b4b05ae64691p-15, 0x1.6304d410230ebp-15, 0x1.5ac4f7a6ce385p-15, 0x1.528c7231cde6cp-15, 0x1.4a5c348d3415ap-15, 0x1.42351f59ea106p-15, 0x1.3a1803a8d0f11p-15, 0x1.3205a39a8ee22p-15, 0x1.29feb2ffe9401p-15, 0x1.2203d7f26e1dbp-15, 0x1.1a15ab69c27efp-15, 0x1.1234b9ce86af3p-15, 0x1.0a6183824a6ebp-15, 0x1.029c7d6b57a1ap-15, 0x1.f5cc22ee0b662p-16, 0x1.e67d3e33a3d2fp-16, 0x1.d74cf7921779bp-16, 0x1.c83be6ee710f9p-16, 0x1.b94a920ebecd1p-16, 0x1.aa796d756c317p-16, 0x1.9bc8dd3e76a1ap-16, 0x1.8d3935f483e37p-16, 0x1.7ecabd56c57ccp-16, 0x1.707dab21b6bc4p-16, 0x1.625229cce3652p-16, 0x1.54485743ad2bfp-16, 0x1.4660459854aaap-16, 0x1.3899fbabf83b3p-16, 0x1.2af575d854761p-16, 0x1.1d72a6875b88bp-16, 0x1.101176d9b7998p-16, 0x1.02d1c73098bcap-16, 0x1.eb66df8659f49p-17, 0x1.d16c8250dc86cp-17, 0x1.b7b409acd2e5p-17, 0x1.9e3cfb555375dp-17, 0x1.8506d0ad2222p-17, 0x1.6c10f7ce710eep-17, 0x1.535ad454f9f7ep-17, 0x1.3ae3c04717184p-17, 0x1.22ab0cdbe515bp-17, 0x1.0ab003548054ep-17, 0x1.e5e3cb48414ddp-18, 0x1.b6dfde8083369p-18, 0x1.8852ab74993a7p-18, 0x1.5a3a93058daddp-18, 0x1.2c95ecec9bf5p-18, 0x1.fec61211f60b5p-19, 0x1.a54060fe3296ap-19, 0x1.4c974db02c747p-19, 0x1.e98eabb9e411dp-20, 0x1.3b99e09e80c37p-20, 0x1.1e9239acdb855p-21, -0x1.b6ac3728f602fp-24, -0x1.8911cfab84e0fp-21, -0x1.6c1877b2e1827p-20, -0x1.09104bd695dbp-19, -0x1.5b5433355f785p-19, -0x1.acdb7d2984209p-19, -0x1.fda9af1aef097p-19, -0x1.26e123d0152fep-18, -0x1.4e945e9f7de85p-18, -0x1.75f03eba11723p-18, -0x1.9cf675c5958e6p-18, -0x1.c3a8afd38ac0bp-18, -0x1.ea0892fec5446p-18, -0x1.080bdf7f7b797p-17, -0x1.1aebe658a8af5p-17, -0x1.2da526e906be4p-17, -0x1.403866497f72dp-17, -0x1.52a665b3068afp-17, -0x1.64efe248e8b9p-17, -0x1.7715950f09679p-17, -0x1.891832bc74a0ap-17, -0x1.9af86ba0eef8ep-17, -0x1.acb6eb9346e74p-17, -0x1.be5459d47237fp-17, -0x1.cfd158ff10ea2p-17, -0x1.e12e86fb4fd47p-17, -0x1.f26c7ce83d1f9p-17, -0x1.01c5e78f13804p-16, -0x1.0a46868d28e77p-16, -0x1.12b860bc6923fp-16, -0x1.1b1bb8f594233p-16, -0x1.2370cf9e469f1p-16, -0x1.2bb7e2a69fb6cp-16, -0x1.33f12d860163bp-16, -0x1.3c1ce94187a34p-16, -0x1.443b4c6a84cb1p-16, -0x1.4c4c8b1f65f53p-16, -0x1.5450d7128947dp-16, -0x1.5c485f880060fp-16, -0x1.64335161c408cp-16, -0x1.6c11d71ce003dp-16, -0x1.73e418db12011p-16, -0x1.7baa3c694c4a9p-16, -0x1.836465466f3a8p-16, -0x1.8b12b4a7f8fd7p-16, -0x1.92b54982a84c7p-16, -0x1.9a4c40937093dp-16, -0x1.a1d7b465d0b02p-16, -0x1.a957bd5c00ec3p-16, -0x1.b0cc71bbdfe3fp-16, -0x1.b835e5b4f4399p-16, -0x1.bf942b6dd4b06p-16, -0x1.c6e75307db028p-16, -0x1.ce2f6aafd0927p-16, -0x1.d56c7ea3ed3e9p-16, -0x1.dc9e99411215fp-16, -0x1.e3c5c30d0eba6p-16, -0x1.eae202becea5ep-16, -0x1.f1f35d4f08bep-16, -0x1.f8f9d5fdef9c7p-16, -0x1.fff56e65cbd85p-16, -0x1.0373133edb218p-15, -0x1.06e5fe55beaa3p-15, -0x1.0a5376e6387bdp-15, -0x1.0dbb7aa13d549p-15, -0x1.111e067fa231bp-15, -0x1.147b16c7dc15ep-15, -0x1.17d2a715c41b3p-15, -0x1.1b24b25ea6e11p-15, -0x1.1e7132f6ac0e1p-15, -0x1.21b82297935ecp-15, -0x1.24f97a677664p-15, -0x1.283532fe3cfc8p-15, -0x1.2b6b446a2575ep-15, -0x1.2e9ba636d0263p-15, -0x1.31c64f72ee43ep-15, -0x1.34eb36b75db68p-15, -0x1.380a52297b902p-15, -0x1.3b2397838d7e3p-15, -0x1.3e36fc1a244p-15, -0x1.414474e08a8edp-15, -0x1.444bf66f931bdp-15, -0x1.474d750986209p-15, -0x1.4a48e4a0b8f58p-15, -0x1.4d3e38dd66b54p-15, -0x1.502d6521b64c5p-15, -0x1.53165c8eadf7cp-15, -0x1.55f9120acbf04p-15, -0x1.58d5784664077p-15, -0x1.5bab81c03b3cdp-15, -0x1.5e7b20c9c2686p-15, -0x1.6144478dde74ap-15, -0x1.6406e814d703dp-15, -0x1.66c2f4480496dp-15, -0x1.69785df7c1b07p-15, -0x1.6c2716df2c145p-15, -0x1.6ecf10a7d45f8p-15, -0x1.71703cefb2c57p-15, -0x1.740a8d4c59ff4p-15, -0x1.769df34eed253p-15, -0x1.792a608899663p-15, -0x1.7bafc68e90907p-15, -0x1.7e2e16fe25d46p-15, -0x1.80a5437fe213dp-15, -0x1.83153dcb3e499p-15, -0x1.857df7aae0007p-15, -0x1.87df62ffd882cp-15, -0x1.8a3971c42b357p-15, -0x1.8c8c160f5b7c8p-15, -0x1.8ed742191ab7ep-15, -0x1.911ae83ca330dp-15, -0x1.9356fafbf0cccp-15, -0x1.958b6d01a6b84p-15, -0x1.97b8312466ba2p-15, -0x1.99dd3a69fe5ebp-15, -0x1.9bfa7c0b1013cp-15, -0x1.9e0fe972c15fbp-15, -0x1.a01d7643b5943p-15, -0x1.a223165a6d404p-15, -0x1.a420bdcde9c2ap-15, -0x1.a61660f2c3c22p-15, -0x1.a803f45e9d865p-15, -0x1.a9e96ce83c8c3p-15, -0x1.abc6bfaa413d3p-15, -0x1.ad9be205bfaa9p-15, -0x1.af68c9a2fe814p-15, -0x1.b12d6c73cfffdp-15, -0x1.b2e9c0b4eep-15, -0x1.b49dbcefb914fp-15, -0x1.b64957fbfb9fcp-15, -0x1.b7ec89010952p-15, -0x1.b98747774220cp-15, -0x1.bb198b290fe9p-15, -0x1.bca34c34be0dfp-15, -0x1.be24830c8c90ep-15, -0x1.bf9d2877889a2p-15, -0x1.c10d3594ddab9p-15, -0x1.c274a3dabb85dp-15, -0x1.c3d36d1738c73p-15, -0x1.c5298b729af2ap-15, -0x1.c676f96df4fe5p-15, -0x1.c7bbb1e45ef9ep-15, -0x1.c8f7b00d19b1cp-15, -0x1.ca2aef7b23513p-15, -0x1.cb556c1c5dc5bp-15, -0x1.cc77223b7803bp-15, -0x1.cd900e80af247p-15, -0x1.cea02df0f74e2p-15, -0x1.cfa77dedfe39ap-15, -0x1.d0a5fc37b330bp-15, -0x1.d19ba6eb76cfp-15, -0x1.d2887c837bc2ep-15, -0x1.d36c7bd854eb4p-15, -0x1.d447a4208ab2fp-15, -0x1.d519f4ef61f91p-15, -0x1.d5e36e35f96aap-15, -0x1.d6a41042dc573p-15, -0x1.d75bdbc113763p-15, -0x1.d80ad1b827c87p-15, -0x1.d8b0f38d30171p-15, -0x1.d94e43008f0ccp-15, -0x1.d9e2c22db25b6p-15, -0x1.da6e738cbe099p-15, -0x1.daf159effcb91p-15, -0x1.db6b78832a10fp-15, -0x1.dbdcd2cce57a4p-15, -0x1.dc456cac2d91cp-15, -0x1.dca54a584edcdp-15, -0x1.dcfc70613a418p-15, -0x1.dd4ae3adc811bp-15, -0x1.dd90a97ac92c8p-15, -0x1.ddcdc75ad8278p-15, -0x1.de0243360e025p-15, -0x1.de2e234843083p-15, -0x1.de516e20b4054p-15, -0x1.de6c2aa0c98b9p-15, -0x1.de7e5ffb5227p-15, -0x1.de8815b498b38p-15, -0x1.de8953a0777dap-15, -0x1.de8221e0f27ep-15, -0x1.de7288e70a7aep-15, -0x1.de5a916fd2836p-15, -0x1.de3a44835745bp-15, -0x1.de11ab75f554fp-15, -0x1.dde0cfe517748p-15, -0x1.dda7bbb6e2a59p-15, -0x1.dd66791a001bdp-15, -0x1.dd1d128253f8p-15, -0x1.dccb92a9d1213p-15, -0x1.dc72048f126c1p-15, -0x1.dc1073733b4a7p-15, -0x1.dba6eada04c39p-15, -0x1.db3576881a146p-15, -0x1.dabc22811febcp-15, -0x1.da3afb0879daap-15, -0x1.d9b20c9ea9abep-15, -0x1.d92163fff18d1p-15, -0x1.d8890e243f291p-15, -0x1.d7e9183d183b6p-15, -0x1.d7418fb3f395ap-15, -0x1.d692822a8e82dp-15, -0x1.d5dbfd78dbe09p-15, -0x1.d51e0fab38c0fp-15, -0x1.d458c702e2f34p-15, -0x1.d38c31f2945ccp-15, -0x1.d2b85f1e812b4p-15, -0x1.d1dd5d5b86ddcp-15, -0x1.d0fb3bacea014p-15, -0x1.d0120943c38dbp-15, -0x1.cf21d57d801cp-15, -0x1.ce2aafe2d4915p-15, -0x1.cd2ca826dcf03p-15, -0x1.cc27ce24f3aabp-15, -0x1.cb1c31e05398ep-15, -0x1.ca09e38253cffp-15, -0x1.c8f0f3592d19cp-15, -0x1.c7d171d7adeffp-15, -0x1.c6ab6f9270645p-15, -0x1.c57efd405e5adp-15, -0x1.c44c2bb897fcdp-15, -0x1.c3130bf099f1bp-15, -0x1.c1d3aefc81771p-15, -0x1.c08e260d6c9bp-15, -0x1.bf42826f21a2bp-15, -0x1.bdf0d588a65c2p-15, -0x1.bc9930d9accabp-15, -0x1.bb3ba5f9ee807p-15, -0x1.b9d84698909cbp-15, -0x1.b86f247a4555bp-15, -0x1.b7005178e54a2p-15, -0x1.b58bdf817bc8cp-15, -0x1.b411e09359628p-15, -0x1.b29266bf5214ep-15, -0x1.b10d84267d5a1p-15, -0x1.af834af906702p-15, -0x1.adf3cd7534d49p-15, -0x1.ac5f1de6c5178p-15, -0x1.aac54ea50d478p-15, -0x1.a92672122918p-15, -0x1.a7829a9ac31dcp-15, -0x1.a5d9dab3aba2bp-15, -0x1.a42c44d9cc096p-15, -0x1.a279eb915012p-15, -0x1.a0c2e163d45c5p-15, -0x1.9f0738e05a83ep-15, -0x1.9d470498f0e2cp-15, -0x1.9b82572354b2ap-15, -0x1.99b94317845bap-15, -0x1.97ebdb0e8151fp-15, -0x1.961a31a13c76fp-15, -0x1.94445967d5b49p-15, -0x1.926a64f90c3bdp-15, -0x1.908c66e927a8p-15, -0x1.8eaa71c8b0221p-15, -0x1.8cc498245c00bp-15, -0x1.8adaec843beeap-15, -0x1.88ed816a281ddp-15, -0x1.86fc6950dc935p-15, -0x1.8507b6abf0de1p-15, -0x1.830f7be687f0dp-15, -0x1.8113cb62e7a65p-15, -0x1.7f14b77960176p-15, -0x1.7d125277bbd96p-15, -0x1.7b0caea0500adp-15, -0x1.7903de295d704p-15, -0x1.76f7f33ca3494p-15, -0x1.74e8fff632d5bp-15, -0x1.72d71663c9f67p-15, -0x1.70c2488483316p-15, -0x1.6eaaa8481719ep-15, -0x1.6c90478dd4396p-15, -0x1.6a733823e4caap-15, -0x1.68538bc75874p-15, -0x1.66315423bb6f7p-15, -0x1.640ca2d13985p-15, -0x1.61e58954c1b61p-15, -0x1.5fbc19204a555p-15, -0x1.5d9063909b03fp-15, -0x1.5b6279ed739a7p-15, -0x1.59326d6989a35p-15, -0x1.57004f21c73dbp-15, -0x1.54cc301c3dfaap-15, -0x1.52962147cbb6p-15, -0x1.505e337c3e42p-15, -0x1.4e24777989a3ap-15, -0x1.4be8fde6c8fdbp-15, -0x1.49abd75296d6p-15, -0x1.476d1431d3a1ep-15, -0x1.452cc4dfcd67ep-15, -0x1.42eaf99de1b7p-15, -0x1.40a7c2928db2dp-15, -0x1.3e632fc95c6c1p-15, -0x1.3c1d5132c4a68p-15, -0x1.39d636a38e489p-15, -0x1.378defd3d8ad9p-15, -0x1.35448c5ff2756p-15, -0x1.32fa1bc76652fp-15, -0x1.30aead6c387e2p-15, -0x1.2e6250933c16cp-15, -0x1.2c151463fa48cp-15, -0x1.29c707e7351cfp-15, -0x1.27783a07c568cp-15, -0x1.2528b99252bfap-15, -0x1.22d8953443cadp-15, -0x1.2087db7bd8967p-15, -0x1.1e369ad885b87p-15, -0x1.1be4e19a1493cp-15, -0x1.1992bdf0144f4p-15, -0x1.17403dea3da29p-15, -0x1.14ed6f787b7bep-15, -0x1.129a6069fc7ccp-15, -0x1.10471e6d9c2fp-15, -0x1.0df3b711631dp-15, -0x1.0ba037c2688edp-15, -0x1.094cadcd24aeep-15, -0x1.06f9265c35a5fp-15, -0x1.04a5ae79175a5p-15, -0x1.0252530c6a6ap-15, -0x1.fffe41b89d41cp-16, -0x1.fb58491b43a7ep-16, -0x1.f6b2d54824822p-16, -0x1.f20dff00d761ap-16, -0x1.ed69dec37dcc7p-16, -0x1.e8c68ccb4b6dcp-16, -0x1.e424210df7cdap-16, -0x1.df82b33db2654p-16, -0x1.dae25ac86181ap-16, -0x1.d6432ed60e058p-16, -0x1.d1a5464ad1017p-16, -0x1.cd08b7c71f5cdp-16, -0x1.c86d99a4e7f79p-16, -0x1.c3d401f9e9051p-16, -0x1.bf3c0697f02e6p-16, -0x1.baa5bd0b964f6p-16, -0x1.b6113a9be78ep-16, -0x1.b17e944c1b9ffp-16, -0x1.aceddeda172a1p-16, -0x1.a85f2ebf6b8ecp-16, -0x1.a3d298305c2b1p-16, -0x1.9f482f1d3a605p-16, -0x1.9ac007325c366p-16, -0x1.963a33d643a8dp-16, -0x1.91b6c82c1dcd9p-16, -0x1.8d35d71322ddp-16, -0x1.88b7732571a48p-16, -0x1.843baeba997bbp-16, -0x1.7fc29be5e5997p-16, -0x1.7b4c4c764323p-16, -0x1.76d8d1f85ce2p-16, -0x1.72683db4d4958p-16, -0x1.6dfaa0b197c75p-16, -0x1.69900bb208de5p-16, -0x1.65288f35ff50cp-16, -0x1.60c43b7b6de62p-16, -0x1.5c63207f5d79cp-16, -0x1.58054dfa77646p-16, -0x1.53aad3650ca11p-16, -0x1.4f53bff670ca1p-16, -0x1.4b0022a410a18p-16, -0x1.46b00a2200056p-16, -0x1.426384e4f538cp-16, -0x1.3e1aa1205ee59p-16, -0x1.39d56cc7e59f4p-16, -0x1.3593f58ef21b4p-16, -0x1.315648eb0908fp-16, -0x1.2d1c74104fb77p-16, -0x1.28e683f5ed4cep-16, -0x1.24b4855428b5ap-16, -0x1.208684a44c8a3p-16, -0x1.1c5c8e229e058p-16, -0x1.1836adcdd86ecp-16, -0x1.1414ef66faa8bp-16, -0x1.0ff75e73ba188p-16, -0x1.0bde063b8847p-16, -0x1.07c8f1cb21afap-16, -0x1.03b82bf336c2p-16, -0x1.ff577e921d769p-17, -0x1.f7476c4f11caep-17, -0x1.ef40355ca9facp-17, -0x1.e741ed860fcd9p-17, -0x1.df4ca825ee80cp-17, -0x1.d760781ff974fp-17, -0x1.cf7d6fe881693p-17, -0x1.c7a3a1837f7c2p-17, -0x1.bfd31e82e9262p-17, -0x1.b80bf80990a74p-17, -0x1.b04e3ecdb9134p-17, -0x1.a89a031651459p-17, -0x1.a0ef54bccf762p-17, -0x1.994e43309ee24p-17, -0x1.91b6dd7450aabp-17, -0x1.8a2932210f403p-17, -0x1.82a54f67556a7p-17, -0x1.7b2b430d692bcp-17, -0x1.73bb1a72ab26bp-17, }}, 
      {{0x1.63f325b651212p-9, 0x1.644ca9ad8fc08p-8, 0x1.0ba8f23e97187p-7, 0x1.65b012e7f84fp-7, 0x1.c065e59aa9c24p-7, 0x1.0df97f2647525p-6, 0x1.3c3f0528f5e8bp-6, 0x1.6b15c8a9b8c14p-6, 0x1.9a8ee156ccebfp-6, 0x1.caba273ca1b49p-6, 0x1.fba624a1c962dp-6, 0x1.16b00657b8f74p-5, 0x1.2ff9db2b9bfep-5, 0x1.49b5cd74ec095p-5, 0x1.63e86becaafe3p-5, 0x1.7e959995504c6p-5, 0x1.99c09112e0de2p-5, 0x1.b56be8ef8faf6p-5, 0x1.d199989fd672bp-5, 0x1.ee4afe1e85384p-5, 0x1.05c071ff3328p-4, 0x1.149dc3e9e99ecp-4, 0x1.23bd506e6f70dp-4, 0x1.331eb36942616p-4, 0x1.42c14c684ce88p-4, 0x1.52a4422294e9p-4, 0x1.62c685ed2d5a1p-4, 0x1.7326d728066f6p-4, 0x1.83c3c69e2168bp-4, 0x1.949bb9d562efbp-4, 0x1.a5acee4af00d4p-4, 0x1.b6f57c9982e4bp-4, 0x1.c8735b879550ap-4, 0x1.da2462fbc045bp-4, 0x1.ec064ed5d6a17p-4, 0x1.fe16c1abcae85p-4, 0x1.0829a3b4c0e14p-3, 0x1.115cabe98beabp-3, 0x1.1aa32c749c3a2p-3, 0x1.23fbd097c1b4p-3, 0x1.2d653cea7e41ep-3, 0x1.36de105f69387p-3, 0x1.4064e53af6a43p-3, 0x1.49f851fbdac86p-3, 0x1.5396ea357600ep-3, 0x1.5d3f3f5c93cc9p-3, 0x1.66efe1870a9c9p-3, 0x1.70a7601e98c58p-3, 0x1.7a644a87a3efdp-3, 0x1.842530bc4495ap-3, 0x1.8de8a3dc49f4p-3, 0x1.97ad36b2b277ap-3, 0x1.a1717e313c3f3p-3, 0x1.ab3411e297cd6p-3, 0x1.b4f38c53d353ap-3, 0x1.beae8b7595005p-3, 0x1.c863b0f5a3daap-3, 0x1.d211a29151304p-3, 0x1.dbb70a614a0b3p-3, 0x1.e552971f3a3cp-3, 0x1.eee2fc65d2fe1p-3, 0x1.f866f2eb8c48ep-3, 0x1.00ee9c5c4fbcdp-2, 0x1.05a248ac445e4p-2, 0x1.0a4de303bdb35p-2, 0x1.0ef0d2ee0bc4ep-2, 0x1.138a82f6d31fbp-2, 0x1.181a60bb973bdp-2, 0x1.1c9fdcfbce2e5p-2, 0x1.211a6ba798773p-2, 0x1.258983ed3a64fp-2, 0x1.29eca0456c99bp-2, 0x1.2e433e7e93f79p-2, 0x1.328cdfc6fb588p-2, 0x1.36c908b615391p-2, 0x1.3af74154da72ep-2, 0x1.3f1715254c2efp-2, 0x1.432813292803bp-2, 0x1.4729cde7d3862p-2, 0x1.4b1bdb7385e6cp-2, 0x1.4efdd56dba993p-2, 0x1.52cf590aec954p-2, 0x1.56900715a36f5p-2, 0x1.5a3f83f0cfa27p-2, 0x1.5ddd7799810cfp-2, 0x1.61698da7f4fa8p-2, 0x1.64e3754ffd0e5p-2, 0x1.684ae160c6f76p-2, 0x1.6b9f884400192p-2, 0x1.6ee123fc5bc09p-2, 0x1.720f72237942ap-2, 0x1.752a33e72eda7p-2, 0x1.78312e063ccbep-2, 0x1.7b2428cc64d57p-2, 0x1.7e02f00de975cp-2, 0x1.80cd53227f935p-2, 0x1.838324dfa4e4p-2, 0x1.86243b926d8c9p-2, 0x1.88b070f8c09e5p-2, 0x1.8b27a23a0c3d4p-2, 0x1.8d89afdf71dfep-2, 0x1.8fd67dcb6cdc2p-2, 0x1.920df330fc7cdp-2, 0x1.942ffa8a4a973p-2, 0x1.963c818ee0372p-2, 0x1.9833792960079p-2, 0x1.9a14d56ccf43p-2, 0x1.9be08d897748dp-2, 0x1.9d969bc1569bfp-2, 0x1.9f36fd5c34a46p-2, 0x1.a0c1b29b535cdp-2, 0x1.a236beacc3533p-2, 0x1.a396279e680dfp-2, 0x1.a4dff650a40bp-2, 0x1.a6143668bc9dbp-2, 0x1.a732f642f4cafp-2, 0x1.a83c46e4654cp-2, 0x1.a9303bec961ccp-2, 0x1.aa0eeb86ddfcdp-2, 0x1.aad86e5b8fcdp-2, 0x1.ab8cdf80f4e88p-2, 0x1.ac2c5c6c1f782p-2, 0x1.acb704e1944fcp-2, 0x1.ad2cfae5d19c1p-2, 0x1.ad8e62adbb2d1p-2, 0x1.addb628eebecfp-2, 0x1.ae1422eff0e84p-2, 0x1.ae38ce3878767p-2, 0x1.ae4990c16d983p-2, 0x1.ae4698c512e46p-2, 0x1.ae30164f12068p-2, 0x1.ae063b2c8e50bp-2, 0x1.adc93adc39104p-2, 0x1.ad794a7e6b9ap-2, 0x1.ad16a0c54c553p-2, 0x1.aca175e500878p-2, 0x1.ac1a0383ed157p-2, 0x1.ab8084ab0d3fbp-2, 0x1.aad535b65e0cap-2, 0x1.aa18544562c35p-2, 0x1.a94a1f2bc74ecp-2, 0x1.a86ad6621ec68p-2, 0x1.a77abaf6c5977p-2, 0x1.a67a0efee4a8ep-2, 0x1.a56915879c164p-2, 0x1.a448128757411p-2, 0x1.a3174acf4643fp-2, 0x1.a1d703fd09195p-2, 0x1.a087846c84192p-2, 0x1.9f291329e6294p-2, 0x1.9dbbf7e3e1f24p-2, 0x1.9c407ade15b2cp-2, 0x1.9ab6e4e3aa0cfp-2, 0x1.991f7f3a26ebep-2, 0x1.977a93947e115p-2, 0x1.95c86c064ed04p-2, 0x1.940952f760c0fp-2, 0x1.923d93175b971p-2, 0x1.90657751b905dp-2, 0x1.8e814ac1f0411p-2, 0x1.8c9158a7e3778p-2, 0x1.8a95ec5c84b66p-2, 0x1.888f5146bd373p-2, 0x1.867dd2d0915ep-2, 0x1.8461bc5c839cbp-2, 0x1.823b593b38ddcp-2, 0x1.800af4a1584fp-2, 0x1.7dd0d99db18a8p-2, 0x1.7b8d530f9b7bdp-2, 0x1.7940ab9d9c46bp-2, 0x1.76eb2dac48285p-2, 0x1.748d23556a3aep-2, 0x1.7226d65f66665p-2, 0x1.6fb89034e05d7p-2, 0x1.6d4299dca09eap-2, 0x1.6ac53bf1b9397p-2, 0x1.6840be9bed6e8p-2, 0x1.65b5698856009p-2, 0x1.632383e2470d5p-2, 0x1.608b544c71464p-2, 0x1.5ded20da47c52p-2, 0x1.5b492f099e2c4p-2, 0x1.589fc3bc884e9p-2, 0x1.55f1233375376p-2, 0x1.533d910787542p-2, 0x1.508550252a30bp-2, 0x1.4dc8a2c6e1607p-2, 0x1.4b07ca7052568p-2, 0x1.484307e98cb15p-2, 0x1.457a9b3a866c7p-2, 0x1.42aec3a6d4c36p-2, 0x1.3fdfbfa99a4bdp-2, 0x1.3d0dccf1b150fp-2, 0x1.3a39285e06ffep-2, 0x1.37620dfa2fc1p-2, 0x1.3488b8fb30c9p-2, 0x1.31ad63bc7aeb2p-2, 0x1.2ed047bd1e28bp-2, 0x1.2bf19d9d28c9dp-2, 0x1.29119d1b3e522p-2, 0x1.26307d125b50fp-2, 0x1.234e7377ca033p-2, 0x1.206bb55948378p-2, 0x1.1d8876db56191p-2, 0x1.1aa4eb37b78e2p-2, 0x1.17c144bc1d9cap-2, 0x1.14ddb4c8fd8bep-2, 0x1.11fa6bd0923fp-2, 0x1.0f1799560361fp-2, 0x1.0c356becba541p-2, 0x1.09541137da41cp-2, 0x1.0673b5e9e1252p-2, 0x1.039485c46c664p-2, 0x1.00b6ab9822ddcp-2, 0x1.fbb4a28988729p-3, 0x1.f5ff3f72ac91p-3, 0x1.f04d7de8f5801p-3, 0x1.ea9fac09bb3b1p-3, 0x1.e4f616139722fp-3, 0x1.df510667c0518p-3, 0x1.d9b0c58bae4b6p-3, 0x1.d4159a2aeeb5ap-3, 0x1.ce7fc91936dcap-3, 0x1.c8ef9554aa00dp-3, 0x1.c365400851c73p-3, 0x1.bde1088ed0b7dp-3, 0x1.b8632c753d321p-3, 0x1.b2ebe77e2e84cp-3, 0x1.ad7b73a4f8a42p-3, 0x1.a812092112195p-3, 0x1.a2afde69a2673p-3, 0x1.9d5528393d4c3p-3, 0x1.98021991bdadep-3, 0x1.92b6e3c049dccp-3, 0x1.8d73b6617a255p-3, 0x1.8838bf659fed6p-3, 0x1.83062b152e3dcp-3, 0x1.7ddc24153f537p-3, 0x1.78bad36c3655ep-3, 0x1.73a260867ef6p-3, 0x1.6e92f13b630a3p-3, 0x1.698ca9d1fd31ap-3, 0x1.648fad063fb29p-3, 0x1.5f9c1c0e0cf03p-3, 0x1.5ab2169e6ea9fp-3, 0x1.55d1baf0d362fp-3, 0x1.50fb25c8662cap-3, 0x1.4c2e727771e18p-3, 0x1.476bbae4d5152p-3, 0x1.42b3179185da9p-3, 0x1.3e049f9e1ad0ep-3, 0x1.396068d065c8p-3, 0x1.34c68799156e7p-3, 0x1.30370f1963503p-3, 0x1.2bb21128c3971p-3, 0x1.27379e5aa11c9p-3, 0x1.22c7c6041899dp-3, 0x1.1e629641c2cc1p-3, 0x1.1a081bfd76adfp-3, 0x1.15b862f412bafp-3, 0x1.117375bb4d3bcp-3, 0x1.0d395dc77bc72p-3, 0x1.090a237160097p-3, 0x1.04e5cdfbf2ca7p-3, 0x1.00cc639a2e114p-3, 0x1.f97bd2e9a2413p-4, 0x1.f174c760439e2p-4, 0x1.e983aae35d81fp-4, 0x1.e1a881cc0aa2ap-4, 0x1.d9e34e8cc7ec9p-4, 0x1.d23411bcd4043p-4, 0x1.ca9aca237626bp-4, 0x1.c31774c33e014p-4, 0x1.bbaa0ce527628p-4, 0x1.b4528c23bdec4p-4, 0x1.ad10ea76168c2p-4, 0x1.a5e51e3acab6bp-4, 0x1.9ecf1c42d3f88p-4, 0x1.97ced7dc4daa7p-4, 0x1.90e442dd24e16p-4, 0x1.8a0f4dadb36eep-4, 0x1.834fe75338edap-4, 0x1.7ca5fd7a4371ep-4, 0x1.76117c80f4563p-4, 0x1.6f924f813370cp-4, 0x1.6928605abb94ap-4, 0x1.62d397bd146dcp-4, 0x1.5c93dd3168a59p-4, 0x1.56691724401p-4, 0x1.50532aef1a006p-4, 0x1.4a51fce1ece0cp-4, 0x1.4465704c81326p-4, 0x1.3e8d6787adf1p-4, 0x1.38c9c3fe74f28p-4, 0x1.331a66370299p-4, 0x1.2d7f2ddb831fcp-4, 0x1.27f7f9c2df46bp-4, 0x1.2284a7f954c0cp-4, 0x1.1d2515c8e793dp-4, 0x1.17d91fc1b9ca5p-4, 0x1.12a0a1c23a804p-4, 0x1.0d7b76ff33848p-4, 0x1.08697a0bb74eep-4, 0x1.036a84e0e78ecp-4, 0x1.fcfce1cb35a69p-5, 0x1.f34a2debc3aafp-5, 0x1.e9bc9ed4c6218p-5, 0x1.e053e43f3a66p-5, 0x1.d70facf9f3666p-5, 0x1.cdefa6f790b7fp-5, 0x1.c4f37f5c1f1fbp-5, 0x1.bc1ae28a7d493p-5, 0x1.b3657c3173cb3p-5, 0x1.aad2f7588b5f7p-5, 0x1.a262fe6c9cbdp-5, 0x1.9a153b4c1a6dcp-5, 0x1.91e9575317169p-5, 0x1.89defb67077cep-5, 0x1.81f5d0023e2e4p-5, 0x1.7a2d7d3f255c8p-5, 0x1.7285aae337fc9p-5, 0x1.6afe0069ad232p-5, 0x1.6396250df6587p-5, 0x1.5c4dbfd5deec9p-5, 0x1.5524779b870e2p-5, 0x1.4e19f31707f95p-5, 0x1.472dd8e7e4c89p-5, 0x1.405fcf9e38c53p-5, 0x1.39af7dc3a00e5p-5, 0x1.331c89e3efb17p-5, 0x1.2ca69a959ef31p-5, 0x1.264d568201cbbp-5, 0x1.2010646d435bdp-5, 0x1.19ef6b3e1b69ap-5, 0x1.13ea1205572fdp-5, 0x1.0e00000523312p-5, 0x1.0830dcb80fbc3p-5, 0x1.027c4fd7ef152p-5, 0x1.f9c402c8e18b7p-6, 0x1.eec3335312697p-6, 0x1.e3f5828b3c42ep-6, 0x1.d95a425f0cdfbp-6, 0x1.cef0c57896a84p-6, 0x1.c4b85f4978e9ap-6, 0x1.bab0641595668p-6, 0x1.b0d828fd77cc7p-6, 0x1.a72f04083558bp-6, 0x1.9db44c2d0ddcep-6, 0x1.9467595c9b781p-6, 0x1.8b478489a404cp-6, 0x1.825427b19831cp-6, 0x1.798c9de4a90dcp-6, 0x1.70f0434d8e0ebp-6, 0x1.687e7538ed818p-6, 0x1.6036921c79aecp-6, 0x1.5817f99dafb46p-6, 0x1.50220c9841391p-6, 0x1.48542d24316cep-6, 0x1.40adbe9bad131p-6, 0x1.392e25a07decp-6, 0x1.31d4c82143b64p-6, 0x1.2aa10d5e661dfp-6, 0x1.23925dee9feebp-6, 0x1.1ca823c367166p-6, 0x1.15e1ca2d00369p-6, 0x1.0f3ebdde42b22p-6, 0x1.08be6cf031cd6p-6, 0x1.026046e538eb8p-6, 0x1.f847795876eeap-7, 0x1.ec108146d8ffap-7, 0x1.e01a8d35a25f9p-7, 0x1.d46487ad37ba4p-7, 0x1.c8ed5e228173fp-7, 0x1.bdb400fadf901p-7, 0x1.b2b7638f420b9p-7, 0x1.a7f67c2f5382cp-7, 0x1.9d704423da96p-7, 0x1.9323b7b0ee452p-7, 0x1.890fd617b57b1p-7, 0x1.7f33a197d0bfep-7, 0x1.758e1f7051eb4p-7, 0x1.6c1e57e06d793p-7, 0x1.62e35627d1cb5p-7, 0x1.59dc2886af9b2p-7, 0x1.5107e03d5fe74p-7, 0x1.4865918bc382ap-7, 0x1.3ff453b051935p-7, 0x1.37b340e6f005bp-7, 0x1.2fa1766763b6ep-7, 0x1.27be14639db7dp-7, 0x1.20083e0597d51p-7, 0x1.187f196d25287p-7, 0x1.1121cfad59adp-7, 0x1.09ef8cc9d5ad7p-7, 0x1.02e77fb3b767fp-7, 0x1.f811b48cd5d65p-8, 0x1.eaa5a288859p-8, 0x1.dd8938a5a0e43p-8, 0x1.d0baebee3883bp-8, 0x1.c43937231d4c4p-8, 0x1.b8029ab3c6606p-8, 0x1.ac159cb54cc6ep-8, 0x1.a070c8d98c322p-8, 0x1.9512b065d9a9cp-8, 0x1.89f9ea2934c8fp-8, 0x1.7f2512725a061p-8, 0x1.7492cb0598769p-8, 0x1.6a41bb1267ad2p-8, 0x1.60308f2893c2bp-8, 0x1.565df92d536adp-8, 0x1.4cc8b050237bcp-8, 0x1.436f70ff4e4dfp-8, 0x1.3a50fcdc7a6c4p-8, 0x1.316c1ab0c9ce1p-8, 0x1.28bf9660f5202p-8, 0x1.204a40e134ab6p-8, 0x1.180af028f6491p-8, 0x1.10007f267a92p-8, 0x1.0829cdb25a211p-8, 0x1.0085c082c506ep-8, 0x1.f226823dbcc7dp-9, 0x1.e3a27ba391d3bp-9, 0x1.d57d533b84008p-9, 0x1.c7b4f85df9786p-9, 0x1.ba47639d5c33p-9, 0x1.ad3296ab501acp-9, 0x1.a0749c3eae39bp-9, 0x1.940b87f8708f3p-9, 0x1.87f5764973411p-9, 0x1.7c308c575a3fep-9, 0x1.70baf7e20af9bp-9, 0x1.6592ef289c205p-9, 0x1.5ab6b0ce8a1dcp-9, 0x1.502483c0e0d68p-9, 0x1.45dab71b2adfcp-9, 0x1.3bd7a20cb6d76p-9, 0x1.3219a3bd83c97p-9, 0x1.289f2333c8f5ep-9, 0x1.1f668f3899072p-9, 0x1.166e5e3db937dp-9, 0x1.0db50e428155fp-9, 0x1.053924b9758c1p-9, 0x1.f9f25cdb8ecadp-10, 0x1.e9e77ed1851b7p-10, 0x1.da4ee5af436d6p-10, 0x1.cb25d5e248e07p-10, 0x1.bc69a1b72c4fbp-10, 0x1.ae17a925ea7e1p-10, 0x1.a02d599da9c5dp-10, 0x1.92a82dd199829p-10, 0x1.8585ad8612c87p-10, 0x1.78c36d5d4f45dp-10, 0x1.6c5f0ea57c0bep-10, 0x1.60563f2640bafp-10, 0x1.54a6b8eef5326p-10, 0x1.494e422574e0dp-10, 0x1.3e4aacd4cbcc5p-10, 0x1.3399d6bca8a32p-10, 0x1.2939a92139c24p-10, 0x1.1f28189ace8fap-10, 0x1.156324e6f0e1bp-10, 0x1.0be8d8b8f3e9ep-10, 0x1.02b7498b585ebp-10, 0x1.f3992ee32fc88p-11, 0x1.e24dd9d4f44e1p-11, 0x1.d188fd64f9c3p-11, 0x1.c147172e02806p-11, 0x1.b184b89409fe1p-11, 0x1.a23e866b89cb5p-11, 0x1.937138a34b18fp-11, 0x1.851999ed305afp-11, 0x1.77348769d6047p-11, 0x1.69bef053e67b9p-11, 0x1.5cb5d5accbf9dp-11, 0x1.501649ea1c33cp-11, 0x1.43dd70a4fa9a3p-11, 0x1.38087e484127cp-11, 0x1.2c94b7c25c10bp-11, 0x1.217f72361079ep-11, 0x1.16c612acaffa4p-11, 0x1.0c660dca4002dp-11, 0x1.025ce78106938p-11, 0x1.f150658fc8464p-12, 0x1.de8b229f5ff2fp-12, 0x1.cc656675e00a7p-12, 0x1.badaadac99e3ap-12, 0x1.a9e690a35216bp-12, 0x1.9984c2f405d8dp-12, 0x1.89b112eaa68d3p-12, 0x1.7a6768fca9a74p-12, 0x1.6ba3c742fa562p-12, 0x1.5d6248f690879p-12, 0x1.4f9f21ef4706fp-12, 0x1.42569e21b6c29p-12, 0x1.358521234e248p-12, 0x1.292725ad0588cp-12, 0x1.1d393d21226dbp-12, 0x1.11b80f12f4656p-12, 0x1.06a058d00c54p-12, 0x1.f7ddd9d71ad37p-13, 0x1.e3416595245c6p-13, 0x1.cf654c68da5fap-13, 0x1.bc43adc435f8p-13, 0x1.a9d6d023b7aecp-13, 0x1.98192034114f2p-13, 0x1.870530005aabcp-13, 0x1.7695b6228a754p-13, 0x1.66c58cf2fa115p-13, 0x1.578fb1c1b8a6ep-13, 0x1.48ef44109a6aap-13, 0x1.3adf84cf70f65p-13, 0x1.2d5bd59cc73f4p-13, 0x1.205fb80abc4b9p-13, 0x1.13e6cce4b1927p-13, 0x1.07ecd37c54c47p-13, 0x1.f8db51e8a3643p-14, 0x1.e2ca8f2759be8p-14, 0x1.cd9f8c33faed5p-14, 0x1.b952ae28cffddp-14, 0x1.a5dc9074da52fp-14, 0x1.93360393e691p-14, 0x1.81580bcf0d1f8p-14, 0x1.703be0056dcf2p-14, 0x1.5fdae8759d1fcp-14, 0x1.502ebd942861dp-14, 0x1.413126e263e14p-14, 0x1.32dc19c9fc767p-14, 0x1.2529b882e897p-14, 0x1.181450fcb67d7p-14, 0x1.0b965bca4602dp-14, 0x1.ff54f62d3156cp-15, 0x1.e896f340a222dp-15, 0x1.d2e8936f0de64p-15, 0x1.be40087c611efp-15, 0x1.aa93cf6938cd1p-15, 0x1.97daae86564e4p-15, 0x1.860bb3a48c35cp-15, 0x1.751e3235d276ap-15, 0x1.6509c19331d06p-15, 0x1.55c63b35bd4d7p-15, 0x1.474bb907a9a71p-15, 0x1.399293b78b8a4p-15, 0x1.2c9361126a574p-15, 0x1.2046f26f2a58dp-15, 0x1.14a6531a2adcep-15, 0x1.09aac6ccc0171p-15, 0x1.fe9b9062adc32p-16, 0x1.eb120ed373f14p-16, 0x1.d8acd144d6021p-16, 0x1.c7600550f3423p-16, 0x1.b7203b166c0cap-16, 0x1.a7e2628e31911p-16, 0x1.999bc8e6532eap-16, 0x1.8c4215f75566p-16, 0x1.7fcb49bceba59p-16, 0x1.742db9ea2e823p-16, 0x1.69600f868c71bp-16, 0x1.5f594490eb111p-16, 0x1.5610a1ba07a75p-16, 0x1.4d7dbc2c30a0dp-16, 0x1.4598735bf6cc5p-16, 0x1.3e58eee3a6658p-16, 0x1.37b79c779db1dp-16, 0x1.31ad2dd834507p-16, 0x1.2c3296e2c86ecp-16, 0x1.27410b96ba29p-16, 0x1.22d1fe3d1dc79p-16, 0x1.1edf1d87d6111p-16, 0x1.1b6252d19ca12p-16, 0x1.1855c05450a88p-16, 0x1.15b3bf7a3cca9p-16, 0x1.1376df30ddc5p-16, 0x1.1199e24d190f2p-16, 0x1.1017bdf5c3b98p-16, 0x1.0eeb9816c9de9p-16, 0x1.0e10c5defc035p-16, 0x1.0d82ca4fd105fp-16, 0x1.0d3d54c5bb2b4p-16, 0x1.0d3c3f9d39887p-16, 0x1.0d7b8ed388ed9p-16, 0x1.0df76eb4172f6p-16, 0x1.0eac329479bb1p-16, 0x1.0f965392c8a72p-16, 0x1.10b26f597bef7p-16, 0x1.11fd46f35e101p-16, 0x1.1373bda31b1fbp-16, 0x1.1512d7c3d614ep-16, 0x1.16d7b9b126997p-16, 0x1.18bfa6b6c1b75p-16, 0x1.1ac80006d1e37p-16, 0x1.1cee43bd59765p-16, 0x1.1f300be10905bp-16, 0x1.218b0d70e8afap-16, 0x1.23fd1776f4e41p-16, 0x1.268412241436bp-16, 0x1.291dfded3bd4fp-16, 0x1.2bc8f2b5565bp-16, 0x1.2e831ef8e7fa2p-16, 0x1.314ac70062b4cp-16, 0x1.341e441adf5d2p-16, 0x1.36fc03ddd70abp-16, 0x1.39e28764b4349p-16, 0x1.3cd0629da7279p-16, 0x1.3fc43b9a8d27bp-16, 0x1.42bcc9e1208bap-16, 0x1.45b8d5c72a194p-16, 0x1.48b737d00e6c9p-16, 0x1.4bb6d8116d745p-16, 0x1.4eb6ad9aeb23bp-16, 0x1.51b5bde19c91p-16, 0x1.54b31c347caffp-16, 0x1.57ade92df3a56p-16, 0x1.5aa5523038a5fp-16, 0x1.5d9890e458739p-16, 0x1.6086eab9712d2p-16, 0x1.636fb06d4fcccp-16, 0x1.66523d970c891p-16, 0x1.692df83223df7p-16, 0x1.6c025034e10ddp-16, 0x1.6ecebf2066486p-16, 0x1.7192c79bb157bp-16, 0x1.744df510869a4p-16, 0x1.76ffdb493b673p-16, 0x1.79a816152da54p-16, 0x1.7c4648ea2f002p-16, 0x1.7eda1e92e7168p-16, 0x1.816348d76945p-16, 0x1.83e1802c6431dp-16, 0x1.865483649f7eap-16, 0x1.88bc17675a3cdp-16, 0x1.8b1806e1c6767p-16, 0x1.8d68220641d83p-16, 0x1.8fac3e4501946p-16, 0x1.91e43609b1c36p-16, 0x1.940fe8805c2d6p-16, 0x1.962f395400fd3p-16, 0x1.98421076990d6p-16, 0x1.9a4859e70807ep-16, 0x1.9c42057c40b36p-16, 0x1.9e2f06ae12755p-16, 0x1.a00f5466ccb64p-16, 0x1.a1e2e8ced16f9p-16, 0x1.a3a9c121133a2p-16, 0x1.a563dd7c123f3p-16, 0x1.a71140b7670d5p-16, 0x1.a8b1f03b59498p-16, 0x1.aa45f3d7df0ep-16, 0x1.abcd559ff1f8dp-16, 0x1.ad4821c48d09ep-16, 0x1.aeb666702e5ecp-16, 0x1.b01833a7ac427p-16, 0x1.b16d9b27433a7p-16, 0x1.b2b6b0470ecacp-16, 0x1.b3f387dab20b7p-16, 0x1.b5243817b8f9ap-16, 0x1.b648d877fee4p-16, 0x1.b76181a1bea3dp-16, 0x1.b86e4d4ec203dp-16, 0x1.b96f5633ccf6p-16, 0x1.ba64b7eb1d192p-16, 0x1.bb4e8edfe347dp-16, 0x1.bc2cf837d6c48p-16, 0x1.bd0011c23d981p-16, 0x1.bdc7f9e2a72cdp-16, 0x1.be84cf81e8091p-16, 0x1.bf36b1fc7bb97p-16, 0x1.bfddc1136a346p-16, 0x1.c07a1cdb3083ep-16, 0x1.c10be5b0bde11p-16, 0x1.c1933c298a499p-16, 0x1.c21041076e54ap-16, 0x1.c283152cad792p-16, 0x1.c2ebd99172b36p-16, 0x1.c34aaf37f403bp-16, 0x1.c39fb723765a1p-16, 0x1.c3eb124e2a128p-16, 0x1.c42ce1a031c2fp-16, 0x1.c46545e84dd9ep-16, 0x1.c4945fd2e08a5p-16, 0x1.c4ba4fe3cd1a5p-16, 0x1.c4d7366e06286p-16, 0x1.c4eb338f49471p-16, 0x1.c4f66728c2aeap-16, 0x1.c4f8f0da1ca06p-16, 0x1.c4f2effd6415p-16, 0x1.c4e483a0304bap-16, 0x1.c4cdca823856cp-16, 0x1.c4aee30f98045p-16, 0x1.c487eb5e4e8dfp-16, 0x1.c459012a28523p-16, 0x1.c42241d29f83ep-16, 0x1.c3e3ca583b25dp-16, 0x1.c39db75989246p-16, 0x1.c350251197102p-16, 0x1.c2fb2f56fd1e9p-16, 0x1.c29ef1997eb83p-16, 0x1.c23b86e16122bp-16, 0x1.c1d109cd7995cp-16, 0x1.c15f9493c5fe7p-16, 0x1.c0e740ffc604bp-16, 0x1.c0682872c2615p-16, 0x1.bfe263e2344d9p-16, 0x1.bf560bda93ec8p-16, 0x1.bec3387c25001p-16, 0x1.be2a017d48a9dp-16, 0x1.bd8a7e29d8684p-16, 0x1.bce4c564b5498p-16, 0x1.bc38eda780952p-16, 0x1.bb870d04178aap-16, 0x1.bacf392560be5p-16, 0x1.ba1187501d115p-16, 0x1.b94e0c640e685p-16, 0x1.b884dcdd6fcfdp-16, 0x1.b7b60cd5b4701p-16, 0x1.b6e1b005838e5p-16, 0x1.b607d9c5191bcp-16, 0x1.b5289d0e8ed0fp-16, 0x1.b4440c7f38378p-16, 0x1.b35a3a59e0f6fp-16, 0x1.b26b388778537p-16, 0x1.b17718992ce49p-16, 0x1.b07debc9f0403p-16, 0x1.af7fc3016237ap-16, 0x1.ae7caed392df3p-16, 0x1.ad74bf848011fp-16, 0x1.ac680509d5a46p-16, 0x1.ab568f0bb8984p-16, 0x1.aa406ce7963f3p-16, 0x1.a925adb11e44dp-16, 0x1.a8066034d6025p-16, 0x1.a6e292fa3716ap-16, 0x1.a5ba544530e87p-16, 0x1.a48db2184c498p-16, 0x1.a35cba3672dep-16, 0x1.a2277a24d29e2p-16, 0x1.a0edff2cd1323p-16, 0x1.9fb0565dcd962p-16, 0x1.9e6e8c8f4ffcdp-16, 0x1.9d28ae628d7b9p-16, 0x1.9bdec844640bap-16, 0x1.9a90e66ee4b1dp-16, 0x1.993f14eb2ac04p-16, 0x1.97e95f93f9f95p-16, 0x1.968fd21652ff8p-16, 0x1.953277f3e6f4fp-16, 0x1.93d15c84c71b2p-16, 0x1.926c8af8dfd91p-16, 0x1.91040e59a631ap-16, 0x1.8f97f18be8891p-16, 0x1.8e283f5172055p-16, 0x1.8cb5024a66978p-16, 0x1.8b3e44f6df275p-16, 0x1.89c411b83b867p-16, 0x1.884672d27adffp-16, 0x1.86c5726e0a542p-16, 0x1.85411a992bd19p-16, 0x1.83b97549d2622p-16, 0x1.822e8c5e0d887p-16, 0x1.80a0699dc51fdp-16, 0x1.7f0f16bbf94bfp-16, 0x1.7d7a9d58548dcp-16, 0x1.7be306ffd5d18p-16, 0x1.7a485d2e2b07ep-16, 0x1.78aaa94f65189p-16, 0x1.7709f4c026005p-16, 0x1.756648cf65567p-16, 0x1.73bfaebeedae4p-16, 0x1.72162fc493285p-16, 0x1.7069d50b4b07fp-16, 0x1.6ebaa7b44f88ap-16, 0x1.6d08b0d7e3248p-16, 0x1.6b53f985c608ap-16, 0x1.699c8ac6b28bep-16, 0x1.67e26d9c6e79ep-16, 0x1.6625ab0398f72p-16, 0x1.64664bf37980ap-16, 0x1.62a4595f19ab4p-16, 0x1.60dfdc35aa049p-16, 0x1.5f18dd63b8a4ep-16, 0x1.5d4f65d30f50ep-16, 0x1.5b837e6b5ccf9p-16, 0x1.59b530138e125p-16, 0x1.57e483b1a803ep-16, 0x1.5611822b9efc6p-16, 0x1.543c346765e2ep-16, 0x1.5264a34bb1743p-16, 0x1.508ad7c065cap-16, 0x1.4eaedaaebd441p-16, 0x1.4cd0b501c4786p-16, 0x1.4af06fa6b38d9p-16, 0x1.490e138d4d582p-16, 0x1.4729a9a83d07ap-16, 0x1.45433aecbc13fp-16, 0x1.435ad052f2cc2p-16, 0x1.417072d6d6fe9p-16, 0x1.3f842b77ec903p-16, 0x1.3d960339750b3p-16, 0x1.3ba6032286adbp-16, 0x1.39b4343e46c83p-16, 0x1.37c09f9c0fedcp-16, 0x1.35cb4e4f29e5cp-16, 0x1.33d4496f3f1f9p-16, 0x1.31db9a1847cd7p-16, 0x1.2fe1496a956bfp-16, 0x1.2de5608aa1c1cp-16, 0x1.2be7e8a13ad4cp-16, 0x1.29e8eadb37f9p-16, 0x1.27e87069d5543p-16, 0x1.25e682824093p-16, 0x1.23e32a5da699ep-16, 0x1.21de7139486a7p-16, 0x1.1fd8605642ef5p-16, 0x1.1dd100f939f4ep-16, 0x1.1bc85c6a96213p-16, 0x1.19be7bf5e4442p-16, 0x1.17b368ea070f9p-16, 0x1.15a72c9941e62p-16, 0x1.1399d0587aap-16, 0x1.118b5d7f347fcp-16, 0x1.0f7bdd6750c8ep-16, 0x1.0d6b596d40788p-16, 0x1.0b59daef79ebp-16, 0x1.09476b4dc6e15p-16, 0x1.073413e9919a5p-16, 0x1.051fde25e9de5p-16, 0x1.030ad366ddd2dp-16, 0x1.00f4fd10da027p-16, 0x1.fdbcc9120ca28p-17, 0x1.f98e266a03114p-17, 0x1.f55e24f3ba6c7p-17, 0x1.f12cd77860d07p-17, 0x1.ecfa50c0dadap-17, 0x1.e8c6a3939e921p-17, 0x1.e491e2b44022cp-17, 0x1.e05c20e2fa3a1p-17, 0x1.dc2570dcb3cd7p-17, 0x1.d7ede559c02a4p-17, 0x1.d3b5910c89683p-17, 0x1.cf7c86a231d23p-17, 0x1.cb42d8c1723a4p-17, 0x1.c7089a09ea276p-17, 0x1.c2cddd131afccp-17, 0x1.be92b46c65175p-17, 0x1.ba57329bf5fc9p-17, 0x1.b61b6a1e2cb56p-17, 0x1.b1df6d64a4cf2p-17, 0x1.ada34ed63aae9p-17, 0x1.a96720cdcff3p-17, 0x1.a52af599636fbp-17, 0x1.a0eedf7a69153p-17, 0x1.9cb2f0a441f29p-17, 0x1.98773b3b375cbp-17, 0x1.943bd1548c393p-17, 0x1.9000c4f67fe05p-17, 0x1.8bc628162ecc8p-17, 0x1.878c0c974a8bdp-17, 0x1.8352844b9aed7p-17, 0x1.7f19a0f2e863bp-17, 0x1.7ae1743a07053p-17, 0x1.76aa0fb8cfbc3p-17, 0x1.727384f3fa6a7p-17, 0x1.6e3de55aa3cd5p-17, 0x1.6a094246366f5p-17, 0x1.65d5acf95e9ap-17, 0x1.61a336a0c5afap-17, 0x1.5d71f0510fad2p-17, 0x1.5941eb06d113ep-17, 0x1.551337a57ff9cp-17, 0x1.50e5e6f7ea35fp-17, 0x1.4cba09aee4012p-17, 0x1.488fb06091389p-17, 0x1.4466eb87c4892p-17, 0x1.403fcb8479112p-17, 0x1.3c1a609a575abp-17, 0x1.37f6baf0663d3p-17, 0x1.33d4ea903421cp-17, 0x1.2fb4ff660366ap-17, 0x1.2b9709400e4d4p-17, 0x1.277b17cd4f1c9p-17, 0x1.23613a9e121e4p-17, 0x1.1f49812310301p-17, 0x1.1b33faac74953p-17, 0x1.1720b66a02244p-17, 0x1.130fc36b36e05p-17, 0x1.0f01309dbf82fp-17, 0x1.0af50cccd8d02p-17, 0x1.06eb66a1df8f4p-17, 0x1.02e44ca442905p-17, 0x1.fdbf9a6e3c5cfp-18, 0x1.f5bbed3573925p-18, 0x1.edbdadd828f2ep-18, 0x1.e5c4f84685682p-18, 0x1.ddd1e8286c599p-18, 0x1.d5e498dbaf5ecp-18, 0x1.cdfd2573993a3p-18, 0x1.c61ba8b93ed6fp-18, 0x1.be403d292eafp-18, 0x1.b66afcf4530dfp-18, 0x1.ae9c01feb9e99p-18, 0x1.a6d365dec5eeep-18, 0x1.9f1141de24a85p-18, 0x1.9755aef79fe64p-18, 0x1.8fa0c5d6336a9p-18, 0x1.87f29ed7144cap-18, 0x1.804b52073e5c3p-18, 0x1.78aaf722293e4p-18, 0x1.7111a5946e58p-18, 0x1.697f747a3018ap-18, 0x1.61f47a9cf49bap-18, 0x1.5a70ce74ca802p-18, 0x1.52f48628cceb9p-18, 0x1.4b7fb78cd4aa5p-18, 0x1.441278229135bp-18, 0x1.3cacdd198417ep-18, 0x1.354efb4d7af1cp-18, 0x1.2df8e7472bb3ap-18, 0x1.26aab53d3727fp-18, 0x1.1f647911cacd9p-18, 0x1.182646531e38ep-18, 0x1.10f0303c3072p-18, 0x1.09c249b404d2ep-18, 0x1.029ca54d120c5p-18, 0x1.f6feaa8b2119p-19, 0x1.e8d4d711e0a83p-19, 0x1.dabbf35b36c54p-19, 0x1.ccb421eb838fp-19, 0x1.bebd849eed7cep-19, 0x1.b0d83ca912f8fp-19, 0x1.a3046a95a7bfcp-19, 0x1.95422e486f1c7p-19, 0x1.8791a6fad15dcp-19, 0x1.79f2f3411a6a3p-19, 0x1.6c6631071f65ep-19, 0x1.5eeb7d8fe5ecbp-19, 0x1.5182f57aaabaep-19, 0x1.442cb4bd5016ep-19, 0x1.36e8d6a74e197p-19, 0x1.29b775e225f82p-19, 0x1.1c98ac716fdb5p-19, 0x1.0f8c93b26b9c7p-19, 0x1.0293445e6ec61p-19, 0x1.eb59ad16ac485p-20, 0x1.d1b2c354129a8p-20, 0x1.b831f90df5378p-20, 0x1.9ed77a9bcdf95p-20, 0x1.85a3730ccff8fp-20, 0x1.6c960c2d05463p-20, 0x1.53af6e880be1dp-20, 0x1.3aefc1683739bp-20, 0x1.22572ad90480cp-20, 0x1.09e5cfa4c02a8p-20, 0x1.e337a6ba5a0d6p-21, 0x1.b2f2b0b2cfc34p-21, 0x1.82fcff6d18892p-21, 0x1.5356d2b07c784p-21, 0x1.240067d81de94p-21, 0x1.e9f3f3ae073f7p-22, 0x1.8c8782784beaep-22, 0x1.2fbbe85b63097p-22, 0x1.a72319e591a67p-23, 0x1.e0234ccf4c593p-24, 0x1.d221950f0977fp-26, -0x1.e912395bd61ebp-25, -0x1.2d87f290a5baap-23, -0x1.df85595490f96p-23, -0x1.481e15888a188p-22, -0x1.9fd5ec9b9b871p-22, -0x1.f6e9ef1191518p-22, -0x1.26acef4f6604ap-21, -0x1.5192c0af44acep-21, -0x1.7c2650e02eeaep-21, -0x1.a667874e31b84p-21, -0x1.d0564d8dfee68p-21, -0x1.f9f28f595978p-21, -0x1.119e1d44f89c5p-20, -0x1.26199f8a81f92p-20, -0x1.3a6bc78648db6p-20, -0x1.4e948f47cac04p-20, -0x1.6293f1e1100fbp-20, -0x1.7669eb6f0479dp-20, -0x1.8a16790f6e413p-20, -0x1.9d9998db98047p-20, -0x1.b0f349edef973p-20, -0x1.c4238c5cfd0a7p-20, -0x1.d72a61337fe88p-20, -0x1.ea07ca73861cdp-20, -0x1.fcbbcb1375544p-20, -0x1.07a3337d279bep-19, -0x1.10d3d17df2c15p-19, -0x1.19efc26ba86e6p-19, -0x1.22f7099b2e109p-19, -0x1.2be9aad351ed5p-19, -0x1.34c7aa4efc9aep-19, -0x1.3d910cb9b8ad5p-19, -0x1.4645d72ca910dp-19, -0x1.4ee60f3166df6p-19, -0x1.5771babd720bfp-19, -0x1.5fe8e030ad6c8p-19, -0x1.684b865643959p-19, -0x1.7099b46264a92p-19, -0x1.78d371f1115b2p-19, -0x1.80f8c703b7516p-19, -0x1.8909bc026f58ap-19, -0x1.910659b83c6e9p-19, -0x1.98eea9512a69bp-19, -0x1.a0c2b45ce8f04p-19, -0x1.a88284c9e483fp-19, -0x1.b02e24e3d6b98p-19, -0x1.b7c59f5573af8p-19, -0x1.bf48ff2390ef7p-19, -0x1.c6b84fae49b1fp-19, -0x1.ce139caebefc3p-19, -0x1.d55af237334bap-19, -0x1.dc8e5cafe8ba8p-19, -0x1.e3ade8d5d3ce1p-19, -0x1.eab9a3bb95a5ep-19, -0x1.f1b19ac4a8a08p-19, -0x1.f895dba64006bp-19, -0x1.ff66746706e6ep-19, -0x1.0311b9ad0a681p-18, -0x1.0666739165398p-18, -0x1.09b16f581759ap-18, -0x1.0cf2b49d1d736p-18, -0x1.102a4b22d5adcp-18, -0x1.13583acf1bc92p-18, -0x1.167c8baae641cp-18, -0x1.199745e32318ep-18, -0x1.1ca871c6d06f2p-18, -0x1.1fb017c5eb46p-18, -0x1.22ae40725a1edp-18, -0x1.25a2f47df5272p-18, -0x1.288e3cba720b3p-18, -0x1.2b70221986433p-18, -0x1.2e48adaaf0666p-18, -0x1.3117e89c721dap-18, -0x1.33dddc39b8373p-18, -0x1.369a91eb317c1p-18, -0x1.394e13349a4bdp-18, -0x1.3bf869b5fe495p-18, -0x1.3e999f2aaa49p-18, -0x1.4131bd67f395ep-18, -0x1.43c0ce5d4207ap-18, -0x1.4646dc1341a3dp-18, -0x1.48c3f0ab57f9cp-18, -0x1.4b38165f76e25p-18, -0x1.4da3577ff5b0fp-18, -0x1.5005be7567e1ap-18, -0x1.525f55be75b6ap-18, -0x1.54b027ef6329dp-18, -0x1.56f83fb20790fp-18, -0x1.5937a7c489115p-18, -0x1.5b6e6af9cde66p-18, -0x1.5d9c9438810b3p-18, -0x1.5fc22e79edacdp-18, -0x1.61df44caa203ep-18, -0x1.63f3e2492d16dp-18, -0x1.6600122521a8dp-18, -0x1.6803df9ffed3ep-18, -0x1.69ff560af14dbp-18, -0x1.6bf280c757205p-18, -0x1.6ddd6b4680d46p-18, -0x1.6fc021089f9fcp-18, -0x1.719aad9bc528dp-18, -0x1.736d1c9d2e1ffp-18, -0x1.753779b6c41b6p-18, -0x1.76f9d09fe3e49p-18, -0x1.78b42d1c1af0ap-18, -0x1.7a669afb85a07p-18, -0x1.7c112619b3a29p-18, -0x1.7db3da5d32edap-18, -0x1.7f4ec3b77259ep-18, -0x1.80e1ee24305cdp-18, -0x1.826d65a83f228p-18, -0x1.83f13652ef259p-18, -0x1.856d6c3b7686ap-18, -0x1.86e213825b5a4p-18, -0x1.884f384f985e6p-18, -0x1.89b4e6d2ea394p-18, -0x1.8b132b4379decp-18, -0x1.8c6a11ded7b6dp-18, -0x1.8db9a6e8b4b66p-18, -0x1.8f01f6ab6b918p-18, -0x1.90430d75eb38p-18, -0x1.917cf79d472f7p-18, -0x1.92afc17ab0c27p-18, -0x1.93db776ba5fc3p-18, -0x1.950025d1e6b47p-18, -0x1.961dd912c8c66p-18, -0x1.97349d9616f88p-18, -0x1.98447fc7b4f01p-18, -0x1.994d8c14e7fadp-18, -0x1.9a4fceed7f5c4p-18, -0x1.9b4b54c2e3a17p-18, -0x1.9c402a0810499p-18, -0x1.9d2e5b30705f4p-18, -0x1.9e15f4b0d2e44p-18, -0x1.9ef702fe32165p-18, -0x1.9fd1928d3a16cp-18, -0x1.a0a5afd2b54abp-18, -0x1.a173674282e51p-18, }}, 
      {{0x1.96bbff8f6660ep-1, 0x1.963f73667a78ep-1, 0x1.9571f97462c5fp-1, 0x1.94569293780c5p-1, 0x1.92f1313051719p-1, 0x1.9146884186bdp-1, 0x1.8f5bd9e36765fp-1, 0x1.8d36c8a33941dp-1, 0x1.8add2d4dc14fp-1, 0x1.8854f22ff1c11p-1, 0x1.85a3f417a9868p-1, 0x1.82cfe8f6f9f58p-1, 0x1.7fde4bc978bc1p-1, 0x1.7cd44d35e8154p-1, 0x1.79b6c8561df1ep-1, 0x1.768a3b0cdafc2p-1, 0x1.7352c158013ffp-1, 0x1.701413198681cp-1, 0x1.6cd183e01b7f1p-1, 0x1.698e0447c6c25p-1, 0x1.664c2499be29p-1, 0x1.630e1860aa1aap-1, 0x1.5fd5bab3040a3p-1, 0x1.5ca4930032fb7p-1, 0x1.597bda366e47p-1, 0x1.565c801f5c8b7p-1, 0x1.534730d8050d3p-1, 0x1.503c5a4e23e09p-1, 0x1.4d3c31b16caacp-1, 0x1.4a46b8caf1e37p-1, 0x1.475bc32fe3c1p-1, 0x1.447afb4744c94p-1, 0x1.41a3e71c2ca71p-1, 0x1.3ed5ecf7cf184p-1, 0x1.3c1057bfd0863p-1, 0x1.39525b1686f06p-1, 0x1.369b173bb5482p-1, 0x1.33e99cad0dccep-1, 0x1.313cef866a7acp-1, 0x1.2e940aa2413e2p-1, 0x1.2bede27b41dc2p-1, 0x1.294967d078904p-1, 0x1.26a58a0da5b52p-1, 0x1.24013979bcc2ep-1, 0x1.215b692dbcb62p-1, 0x1.1eb310d640cdbp-1, 0x1.1c072e424fb16p-1, 0x1.1956c6c20b02ep-1, 0x1.16a0e857f478ep-1, 0x1.13e4aabf8b83p-1, 0x1.1121304c06714p-1, 0x1.0e55a6a1f0b4dp-1, 0x1.0b81474e67faap-1, 0x1.08a3583eab0dcp-1, 0x1.05bb2c1a98fep-1, 0x1.02c82284ae4fp-1, 0x1.ff935083e40e7p-2, 0x1.f97e6e9858ff2p-2, 0x1.f350ada14a04fp-2, 0x1.ed09363b08263p-2, 0x1.e6a74affb504ap-2, 0x1.e02a482857382p-2, 0x1.d991a3167920bp-2, 0x1.d2dce9c98a61ep-2, 0x1.cc0bc2430934cp-2, 0x1.c51de9dc325f4p-2, 0x1.be13348fbfa5bp-2, 0x1.b6eb8c39fb749p-2, 0x1.afa6efd145d71p-2, 0x1.a8457298dd5cp-2, 0x1.a0c73b4fa579fp-2, 0x1.992c835c5d335p-2, 0x1.917595f89a63bp-2, 0x1.89a2cf5bb1b36p-2, 0x1.81b49be68d5afp-2, 0x1.79ab77514c6b2p-2, 0x1.7187ebdb6b3c1p-2, 0x1.694a917f190f1p-2, 0x1.60f40d2836085p-2, 0x1.58850fef72735p-2, 0x1.4ffe5659dfcd6p-2, 0x1.4760a79d3c988p-2, 0x1.3eacd4e92842fp-2, 0x1.35e3b8b56f14bp-2, 0x1.2d063615783f2p-2, 0x1.24153810ecefp-2, 0x1.1b11b101969cep-2, 0x1.11fc99f66b612p-2, 0x1.08d6f21bc6f84p-2, 0x1.ff437c515e182p-3, 0x1.ecbc0fa234cacp-3, 0x1.da19ba7a29878p-3, 0x1.c75ea109555ddp-3, 0x1.b48cee60f344dp-3, 0x1.a1a6d37d880fbp-3, 0x1.8eae8659d0e7ap-3, 0x1.7ba6410a36533p-3, 0x1.689040e07c8acp-3, 0x1.556ec5976f22bp-3, 0x1.424410864c39fp-3, 0x1.2f1263dba62bbp-3, 0x1.1bdc01df87de5p-3, 0x1.08a32c3c9c5adp-3, 0x1.ead446a04d4f4p-4, 0x1.c4664b0115268p-4, 0x1.9e00dd3481347p-4, 0x1.77a86e6601275p-4, 0x1.51616825ed6fbp-4, 0x1.2b302b47b137dp-4, 0x1.05190ecb713d2p-4, 0x1.be40bda5b9bb2p-5, 0x1.7294b741d89bcp-5, 0x1.27367148a42d9p-5, 0x1.b85c6e31734c6p-6, 0x1.23086da06e79ap-6, 0x1.1d01fe7ca0f94p-7, -0x1.4a7fe92bf7c7p-12, -0x1.2fd1eba9fba94p-7, -0x1.29ac91224ecefp-6, -0x1.ba65c9208eb3dp-6, -0x1.2502f0e1ea3bcp-5, -0x1.6c3f36ebd565ap-5, -0x1.b2e0a8a93905p-5, -0x1.f8e061c28f749p-5, -0x1.1f1bd449fdbfbp-4, -0x1.416ff79128f2p-4, -0x1.636969ff881f2p-4, -0x1.8505118dc899ep-4, -0x1.a63feb45bd5d4p-4, -0x1.c7170b9b758f6p-4, -0x1.e7879ebe377cdp-4, -0x1.03c77470c252ep-3, -0x1.1395233f247e2p-3, -0x1.232b964626197p-3, -0x1.3289945a0831cp-3, -0x1.41adf0bc98b36p-3, -0x1.50978b2eb94ccp-3, -0x1.5f454ffe49d9cp-3, -0x1.6db638108d351p-3, -0x1.7be948e9105a9p-3, -0x1.89dd94ad39aep-3, -0x1.97923a247a3cfp-3, -0x1.a50664b54a54p-3, -0x1.b2394c5ef6ae1p-3, -0x1.bf2a35b0616d2p-3, -0x1.cbd871bbb6dc2p-3, -0x1.d8435e0740331p-3, -0x1.e46a647b5d28ep-3, -0x1.f04cfb4dc078bp-3, -0x1.fbeaa4ea02b4cp-3, -0x1.03a177ebceefdp-2, -0x1.092abb4ebaee1p-2, -0x1.0e90efd17acf2p-2, -0x1.13d3ee876f82fp-2, -0x1.18f39651f6161p-2, -0x1.1defcbcda3b52p-2, -0x1.22c8793e837b7p-2, -0x1.277d8e7b5991p-2, -0x1.2c0f00d7fa1c4p-2, -0x1.307ccb0ec4bccp-2, -0x1.34c6ed2947a4p-2, -0x1.38ed6c681be39p-2, -0x1.3cf0532a06d03p-2, -0x1.40cfb0d268653p-2, -0x1.448b99af067c8p-2, -0x1.482426dd3ef9dp-2, -0x1.4b99762ea7109p-2, -0x1.4eebaa0d2ef3ap-2, -0x1.521ae95ec6dc1p-2, -0x1.55275f689a816p-2, -0x1.58113bb1ebd07p-2, -0x1.5ad8b1e692279p-2, -0x1.5d7df9b92f3edp-2, -0x1.60014ec52136ep-2, -0x1.6262f07039b89p-2, -0x1.64a321cc498a1p-2, -0x1.66c22978833d7p-2, -0x1.68c05182c37b5p-2, -0x1.6a9de748c5f43p-2, -0x1.6c5b3b5950a46p-2, -0x1.6df8a1555ce4dp-2, -0x1.6f766fd147f6ap-2, -0x1.70d5003613633p-2, -0x1.7214aea2b7d52p-2, -0x1.7335d9cd9d541p-2, -0x1.7438e2e6340bp-2, -0x1.751e2d76baccfp-2, -0x1.75e61f463a601p-2, -0x1.7691203abad65p-2, -0x1.771f9a3bb83bbp-2, -0x1.7791f914de83ap-2, -0x1.77e8aa590fca4p-2, -0x1.78241d45bfe7dp-2, -0x1.7844c2a6a0f16p-2, -0x1.784b0cb9b23cdp-2, -0x1.78376f13a83c9p-2, -0x1.780a5e84c01bap-2, -0x1.77c450fdf64eap-2, -0x1.7765bd76ac69dp-2, -0x1.76ef1bd2bffebp-2, -0x1.7660e4c914442p-2, -0x1.75bb91ca904ap-2, -0x1.74ff9ce99af66p-2, -0x1.742d80c211b6fp-2, -0x1.7345b861bb389p-2, -0x1.7248bf3140433p-2, -0x1.713710dda3b04p-2, -0x1.701129424084cp-2, -0x1.6ed784534f108p-2, -0x1.6d8a9e08f112ep-2, -0x1.6c2af24ac6a69p-2, -0x1.6ab8fcdc0e28p-2, -0x1.693539484ce34p-2, -0x1.67a022d086412p-2, -0x1.65fa3458fbbbbp-2, -0x1.6443e8577b51dp-2, -0x1.627db8c23884fp-2, -0x1.60a81eff31a28p-2, -0x1.5ec393d4223b7p-2, -0x1.5cd08f570176bp-2, -0x1.5acf88df084a3p-2, -0x1.58c0f6f647851p-2, -0x1.56a54f4bc31c5p-2, -0x1.547d06a618013p-2, -0x1.524890d6aba0cp-2, -0x1.500860ad5fc48p-2, -0x1.4dbce7eccd081p-2, -0x1.4b66973f0371fp-2, -0x1.4905de2ac946ep-2, -0x1.469b2b0963142p-2, -0x1.4426eafcd208ep-2, -0x1.41a989e699c5cp-2, -0x1.3f23725efd5bap-2, -0x1.3c950dacb7e06p-2, -0x1.39fec3bd2f48p-2, -0x1.3760fb1d1d1b6p-2, -0x1.34bc18f1ac2c4p-2, -0x1.321080f20913p-2, -0x1.2f5e956165e76p-2, -0x1.2ca6b7096948cp-2, -0x1.29e945350c3b2p-2, -0x1.27269dabe1921p-2, -0x1.245f1cadc5972p-2, -0x1.21931ceef49a8p-2, -0x1.1ec2f79484079p-2, -0x1.1bef04313bcb2p-2, -0x1.191798c2d2adfp-2, -0x1.163d09af8234dp-2, -0x1.135fa9c3f89f2p-2, -0x1.107fca31a26a7p-2, -0x1.0d9dba8d46856p-2, -0x1.0ab9c8cdfa782p-2, -0x1.07d4414c6313ep-2, -0x1.04ed6ec24760ap-2, -0x1.02059a4a6a598p-2, -0x1.fe3a16c16eb1bp-3, -0x1.f8680fc5590d2p-3, -0x1.f295a82020f7fp-3, -0x1.ecc36517d1fdap-3, -0x1.e6f1c8bb63e49p-3, -0x1.e12151e5a8fcdp-3, -0x1.db527c40ad056p-3, -0x1.d585c04991dabp-3, -0x1.cfbb9354d22dcp-3, -0x1.c9f46792f5b39p-3, -0x1.c430ac15a7d8ap-3, -0x1.be70ccd5339c1p-3, -0x1.b8b532b65bc73p-3, -0x1.b2fe43908e9edp-3, -0x1.ad4c62346ee8p-3, -0x1.a79fee72ac166p-3, -0x1.a1f945232eec1p-3, -0x1.9c58c02c8ab57p-3, -0x1.96beb68bb4e34p-3, -0x1.912b7c5c03e4cp-3, -0x1.8b9f62df69d17p-3, -0x1.861ab886e3da1p-3, -0x1.809dc8fb32bb8p-3, -0x1.7b28dd25b1fa9p-3, -0x1.75bc3b3972db5p-3, -0x1.705826bc77e35p-3, -0x1.6afce091227fdp-3, -0x1.65aaa6ffc1371p-3, -0x1.6061b5c04ab62p-3, -0x1.5b2246042fbd2p-3, -0x1.55ec8e8055823p-3, -0x1.50c0c37721ab6p-3, -0x1.4b9f16c2a6d4fp-3, -0x1.4687b7dee00afp-3, -0x1.417ad3f407883p-3, -0x1.3c7895e0f55f3p-3, -0x1.37812645933f9p-3, -0x1.3294ab8d56644p-3, -0x1.2db349f9c874cp-3, -0x1.28dd23ad13ec1p-3, -0x1.241258b494e51p-3, -0x1.1f53071371d16p-3, -0x1.1a9f4acd2e089p-3, -0x1.15f73df03fdb2p-3, -0x1.115af8a0a321dp-3, -0x1.0cca912267662p-3, -0x1.08461be4329c2p-3, -0x1.03cdab89c4bd1p-3, -0x1.fec2a1eccc8cp-4, -0x1.f60236aeaba95p-4, -0x1.ed5a305c3dcccp-4, -0x1.e4caa6b5dbe5dp-4, -0x1.dc53ae4d8f013p-4, -0x1.d3f5589b6e9bbp-4, -0x1.cbafb411d67ebp-4, -0x1.c382cc3170a22p-4, -0x1.bb6ea99d1859dp-4, -0x1.b373522d91889p-4, -0x1.ab90c905175c8p-4, -0x1.a3c70ea2b6448p-4, -0x1.9c1620f56d9abp-4, -0x1.947dfb6f3095ap-4, -0x1.8cfe97179d56dp-4, -0x1.8597ea9e9123ap-4, -0x1.7e49ea6e747e1p-4, -0x1.771488be58445p-4, -0x1.6ff7b5a3d56b3p-4, -0x1.68f35f24b2aa7p-4, -0x1.62077148477c8p-4, -0x1.5b33d628aa848p-4, -0x1.547876039c0c3p-4, -0x1.4dd5374b301f3p-4, -0x1.4749feb63db67p-4, -0x1.40d6af50872bfp-4, -0x1.3a7b2a8aa6296p-4, -0x1.34375049b2fb8p-4, -0x1.2e0afef6a8dep-4, -0x1.27f6138d8c885p-4, -0x1.21f869ac46e7cp-4, -0x1.1c11dba145717p-4, -0x1.16424279d145bp-4, -0x1.1089761023d38p-4, -0x1.0ae74d1938756p-4, -0x1.055b9d325aad6p-4, -0x1.ffcc75dcdd141p-5, -0x1.f50df3c5e7cf7p-5, -0x1.ea7b5969994ep-5, -0x1.e0144a49730d7p-5, -0x1.d5d8683720e53p-5, -0x1.cbc7536c750cep-5, -0x1.c1e0aaa2cabb7p-5, -0x1.b8240b29eb844p-5, -0x1.ae9110fe6f5b2p-5, -0x1.a52756df9631p-5, -0x1.9be67664a93bdp-5, -0x1.92ce0811c81e1p-5, -0x1.89dda36c4a0a7p-5, -0x1.8114df0e8c89p-5, -0x1.787350bb4a9cfp-5, -0x1.6ff88d707f731p-5, -0x1.67a42979bd63p-5, -0x1.5f75b88211e24p-5, -0x1.576ccda56acdp-5, -0x1.4f88fb818d8f7p-5, -0x1.47c9d446889a7p-5, -0x1.402ee9c6b6b8ep-5, -0x1.38b7cd8653354p-5, -0x1.316410ca895aep-5, -0x1.2a3344a826b97p-5, -0x1.2324fa11d0278p-5, -0x1.1c38c1e5cef92p-5, -0x1.156e2cfb6bddap-5, -0x1.0ec4cc2fe0e3ap-5, -0x1.083c3072df1fp-5, -0x1.01d3ead2b7119p-5, -0x1.f717191012e76p-6, -0x1.eac54e023ea4bp-6, -0x1.deb197d9ad06dp-6, -0x1.d2db1a8a74b94p-6, -0x1.c740fab34afcep-6, -0x1.bbe25db14189ep-6, -0x1.b0be69b296996p-6, -0x1.a5d445c8efc02p-6, -0x1.9b2319fae645fp-6, -0x1.90aa0f54c3321p-6, -0x1.86684ff8ae9b2p-6, -0x1.7c5d072e28015p-6, -0x1.72876170dab36p-6, -0x1.68e68c7edb9c8p-6, -0x1.5f79b7663455ap-6, -0x1.56401291e44aep-6, -0x1.4d38cfd638fdep-6, -0x1.4463227cb010bp-6, -0x1.3bbe3f4f1c04fp-6, -0x1.33495ca263a73p-6, -0x1.2b03b2609eec9p-6, -0x1.22ec7a12ad691p-6, -0x1.1b02eee955d92p-6, -0x1.13464dc5da577p-6, -0x1.0bb5d5420792cp-6, -0x1.0450c5b7d150dp-6, -0x1.fa2cc291068dbp-7, -0x1.ec0bd7c6b6b71p-7, -0x1.de3d5697b13aep-7, -0x1.d0bfce3eea15bp-7, -0x1.c391d1b6362fcp-7, -0x1.b6b1f7c007d28p-7, -0x1.aa1edaf0b64f4p-7, -0x1.9dd719b6d0c28p-7, -0x1.91d95662a35eap-7, -0x1.8624372d234dbp-7, -0x1.7ab6663dfc373p-7, -0x1.6f8e91b124bbbp-7, -0x1.64ab6b9b932bfp-7, -0x1.5a0baa0f40ea9p-7, -0x1.4fae071ed3bc4p-7, -0x1.459140e05c0f4p-7, -0x1.3bb4196fac3dfp-7, -0x1.321556f0014dfp-7, -0x1.28b3c38d30f5bp-7, -0x1.1f8e2d7c3feb6p-7, -0x1.16a366fb6d4b2p-7, -0x1.0df24651e1f2bp-7, -0x1.0579a5ceaa97bp-7, -0x1.fa70c78ec1e2dp-8, -0x1.ea5ac52cdf1c5p-8, -0x1.daaf11315af39p-8, -0x1.cb6b80558a834p-8, -0x1.bc8def4c3423ep-8, -0x1.ae1442baa611cp-8, -0x1.9ffc6730ecbccp-8, -0x1.924451219521p-8, -0x1.84e9fcd8740bcp-8, -0x1.77eb6e70ea7d6p-8, -0x1.6b46b1cb9cbedp-8, -0x1.5ef9da836a0fbp-8, -0x1.530303e1c8f47p-8, -0x1.476050d2cdab4p-8, -0x1.3c0febd875ba7p-8, -0x1.311006fd8600ap-8, -0x1.265edbc7f0dc3p-8, -0x1.1bfaab2ac0c1cp-8, -0x1.11e1bd77b3bap-8, -0x1.08126250234b3p-8, -0x1.fd15e12bf2aa8p-9, -0x1.ea938cb797d22p-9, -0x1.d89a91aa245bp-9, -0x1.c727c88b7c589p-9, -0x1.b63817e33e571p-9, -0x1.a5c87416f911fp-9, -0x1.95d5df47c5c9bp-9, -0x1.865d692f969abp-9, -0x1.775c2efde9745p-9, -0x1.68cf5b340326dp-9, -0x1.5ab42580b4ca1p-9, -0x1.4d07d29c6781ep-9, -0x1.3fc7b42391cfap-9, -0x1.32f12872523p-9, -0x1.26819a7ed1d85p-9, -0x1.1a7681b3899e7p-9, -0x1.0ecd61c9cb8e5p-9, -0x1.0383caa370626p-9, -0x1.f12eb049ee883p-10, -0x1.dc0b641e872ebp-10, -0x1.c79917b1e422ap-10, -0x1.b3d3491085facp-10, -0x1.a0b58d18d244fp-10, -0x1.8e3b8f2dd0d7p-10, -0x1.7c6110ea39102p-10, -0x1.6b21e9d38c9dp-10, -0x1.5a7a070c58ef5p-10, -0x1.4a656b07b636ap-10, -0x1.3ae02d3c70c7p-10, -0x1.2be679d7cf6c8p-10, -0x1.1d7491717c38bp-10, -0x1.0f86c8bf091d2p-10, -0x1.021988479b5c8p-10, -0x1.ea529831453ap-11, -0x1.d16546f414376p-11, -0x1.b964614505bd6p-11, -0x1.a24950dcd2acfp-11, -0x1.8c0da426813e2p-11, -0x1.76ab0daec3554p-11, -0x1.621b638f4dbe5p-11, -0x1.4e589edc65bc1p-11, -0x1.3b5cdb14d8ef8p-11, -0x1.29225590e6ce7p-11, -0x1.17a36cf3a315p-11, -0x1.06daa09c2a813p-11, -0x1.ed852031cd67p-12, -0x1.ceabf5389be23p-12, -0x1.b11f7ce332e09p-12, -0x1.94d5b0e4f8406p-12, -0x1.79c4c701b6b79p-12, -0x1.5fe32ffb82caap-12, -0x1.4727968aa65d2p-12, -0x1.2f88de5132854p-12, -0x1.18fe22d8172b2p-12, -0x1.037eb68867938p-12, -0x1.de04435a5105dp-13, -0x1.b70042e685994p-13, -0x1.91e14dddf6382p-13, -0x1.6e97ac4513f2fp-13, -0x1.4d140a1261593p-13, -0x1.2d4775473413dp-13, -0x1.0f235c0ecf657p-13, -0x1.e53315ccaff49p-14, -0x1.af38558a1858ep-14, -0x1.7c3b7ea27d4dep-14, -0x1.4c224a224cce2p-14, -0x1.1ed31f5b474f3p-14, -0x1.e86a20cbdf123p-15, -0x1.985fad59411c3p-15, -0x1.4d579f204e5efp-15, -0x1.0723f2191ee45p-15, -0x1.8b2fb9bba2404p-16, -0x1.110f944ab3eb4p-16, -0x1.3f254980b2bf5p-17, -0x1.b333561a208ebp-19, 0x1.562abccbf64d7p-19, 0x1.087d548a91e53p-17, 0x1.aca2d6465c937p-17, 0x1.214759f548bbbp-16, 0x1.656824351ad69p-16, 0x1.a2f9706f40c94p-16, 0x1.da3ee9ca102fap-16, 0x1.05bd258eb6e4cp-15, 0x1.1b75b4fcae25dp-15, 0x1.2e6820c23272ep-15, 0x1.3eb27e8cc493bp-15, 0x1.4c7201608815bp-15, 0x1.57c2fec6edd57p-15, 0x1.60c0f3d651426p-15, 0x1.67868a363b6e3p-15, 0x1.6c2d9d0314534p-15, 0x1.6ecf3da0f7228p-15, 0x1.6f83b86d9043ap-15, 0x1.6e62996f89831p-15, 0x1.6b82b0e6091e5p-15, 0x1.66fa17c22cd3ap-15, 0x1.60de3413b8d94p-15, 0x1.5943bd545a595p-15, 0x1.503ec0b6ba4f9p-15, 0x1.45e2a53a43ab1p-15, 0x1.3a422fda071b4p-15, 0x1.2d6f8783b8f1ap-15, 0x1.1f7c390977c9ap-15, 0x1.10793b052f3ecp-15, 0x1.0076f19ed5123p-15, 0x1.df0a648a2a467p-16, 0x1.bb668eaaea352p-16, 0x1.961fe759ee8c2p-16, 0x1.6f52ec5602178p-16, 0x1.471b1a43fb169p-16, 0x1.1d92f35aef7acp-16, 0x1.e5a80c446c23ep-17, 0x1.8dede782ab244p-17, 0x1.3426ecdb2e53ep-17, 0x1.b1019e518ce8fp-18, 0x1.ec9e2fc1d896dp-19, 0x1.c45772e4cd054p-21, -0x1.0ff2e3c273a9cp-19, -0x1.4aefc151f9a6p-18, -0x1.0806637eaf364p-17, -0x1.6b842150783cfp-17, -0x1.cfce6b996f325p-17, -0x1.1a61fd83a7ebep-16, -0x1.4d22729f42864p-16, -0x1.80194967e7bb3p-16, -0x1.b337dac48feabp-16, -0x1.e6701f60245d4p-16, -0x1.0cda5586d668p-15, -0x1.267c541258259p-15, -0x1.4017e98cf1caap-15, -0x1.59a73b0a5ca14p-15, -0x1.7324b25c33a9bp-15, -0x1.8c8afbf42bde5p-15, -0x1.a5d504e3a0816p-15, -0x1.befdf8d8ff623p-15, -0x1.d80140326cd58p-15, -0x1.f0da7e16afa57p-15, -0x1.04c2c74ed8e06p-14, -0x1.10ff427fbe8f8p-14, -0x1.1d20d4e9acf3ap-14, -0x1.2925bcab967abp-14, -0x1.350c50e1e2e3dp-14, -0x1.40d300d38d283p-14, -0x1.4c785328d4f86p-14, -0x1.57fae51fd08cep-14, -0x1.635969cef371p-14, -0x1.6e92a96435b0ap-14, -0x1.79a5806f2db4cp-14, -0x1.8490df2caf989p-14, -0x1.8f53c8d6d3d58p-14, -0x1.99ed52fb61d31p-14, -0x1.a45ca4d5eaf4ep-14, -0x1.aea0f6ad14454p-14, -0x1.b8b99136ffb9p-14, -0x1.c2a5ccfdd77fp-14, -0x1.cc6511cbf8a1dp-14, -0x1.d5f6d619c050fp-14, -0x1.df5a9e81953dp-14, -0x1.e88ffd35bc528p-14, -0x1.f196917a888bbp-14, -0x1.fa6e0725351d1p-14, -0x1.018b0b0e9b119p-13, -0x1.05c740f02fa59p-13, -0x1.09eb8c86b7fecp-13, -0x1.0df7da7744f59p-13, -0x1.11ec1c84d169cp-13, -0x1.15c8495933cb1p-13, -0x1.198c5c4ff26b7p-13, -0x1.1d385542efcb2p-13, -0x1.20cc38583d6ep-13, -0x1.24480dd16f4c7p-13, -0x1.27abe1dce9785p-13, -0x1.2af7c46799d86p-13, -0x1.2e2bc8f0a3fcbp-13, -0x1.3148065ec733cp-13, -0x1.344c96d6289acp-13, -0x1.3739979099fcdp-13, -0x1.3a0f28b5d5e34p-13, -0x1.3ccd6d35ffb6p-13, -0x1.3f748aa4c5fd4p-13, -0x1.4204a91584717p-13, -0x1.447df2f962f28p-13, -0x1.46e094fdca119p-13, -0x1.492cbdec4631fp-13, -0x1.4b629e8b530cap-13, -0x1.4d82697feaa99p-13, -0x1.4f8c5330e7d0fp-13, -0x1.518091aa855p-13, -0x1.535f5c836fdcdp-13, -0x1.5528ecc27ccf1p-13, -0x1.56dd7cc588481p-13, -0x1.587d48281368p-13, -0x1.5a088bad08a77p-13, -0x1.5b7f8526ca715p-13, -0x1.5ce27361e0c6p-13, -0x1.5e3196101040dp-13, -0x1.5f6d2db350b08p-13, -0x1.60957b8ad0ce6p-13, -0x1.61aac17f85c4p-13, -0x1.62ad42125003fp-13, -0x1.639d404a9b884p-13, -0x1.647affa58f489p-13, -0x1.6546c4059240ap-13, -0x1.6600d1a37a826p-13, -0x1.66a96cfec4945p-13, -0x1.6740dad00a601p-13, -0x1.67c75ffb0d23ap-13, -0x1.683d4181609d9p-13, -0x1.68a2c476637d3p-13, -0x1.68f82df2f9ac9p-13, -0x1.693dc309c200bp-13, -0x1.6973c8bc40019p-13, -0x1.699a83f0ae21fp-13, -0x1.69b2396740cp-13, -0x1.69bb2db15b3f5p-13, -0x1.69b5a5280aaf9p-13, -0x1.69a1e3e35eeddp-13, -0x1.69802db1e8b3bp-13, -0x1.6950c61168fe9p-13, -0x1.6913f026a02f6p-13, -0x1.68c9eeb6e4edfp-13, -0x1.6873042135bep-13, -0x1.680f725786ed1p-13, -0x1.679f7ad96078dp-13, -0x1.67235ead6b09bp-13, -0x1.669b5e5cdfb74p-13, -0x1.6607b9edc0264p-13, -0x1.6568b0deac149p-13, -0x1.64be822242b44p-13, -0x1.64096c1adfe5dp-13, -0x1.6349ac96e428ap-13, -0x1.627f80ccc1ff7p-13, -0x1.61ab255826281p-13, -0x1.60ccd636488dep-13, -0x1.5fe4cec34ff41p-13, -0x1.5ef349b7f4adp-13, -0x1.5df881267d963p-13, -0x1.5cf4ae78f11fcp-13, -0x1.5be80a6ee172fp-13, -0x1.5ad2cd1b8527bp-13, -0x1.59b52de45e4b2p-13, -0x1.588f637f7ab7p-13, -0x1.5761a3f288fb2p-13, -0x1.562c24916b92fp-13, -0x1.54ef19fd39178p-13, -0x1.53aab823d4aa3p-13, -0x1.525f323ed4ee6p-13, -0x1.510cbad359b45p-13, -0x1.4fb383b18a447p-13, -0x1.4e53bdf467701p-13, -0x1.4ced9a01b08bap-13, -0x1.4b814789f658ep-13, -0x1.4a0ef5884d90ep-13, -0x1.4896d243524c2p-13, -0x1.47190b4cc153ep-13, -0x1.4595cd825b1d8p-13, -0x1.440d450e3a42ap-13, -0x1.427f9d67c7995p-13, -0x1.40ed0153d4532p-13, -0x1.3f559ae5f4c4p-13, -0x1.3db99381373b1p-13, -0x1.3c1913d8d2bfbp-13, -0x1.3a7443f189f3fp-13, -0x1.38cb4b22b8651p-13, -0x1.371e5017229ccp-13, -0x1.356d78ce9475cp-13, -0x1.33b8ea9ed9b4fp-13, -0x1.3200ca352ad48p-13, -0x1.30453b977cfb3p-13, -0x1.2e86622608e68p-13, -0x1.2cc4609c87f81p-13, -0x1.2aff5914127dfp-13, -0x1.29376d0440d41p-13, -0x1.276cbd44f9765p-13, -0x1.259f6a0fd0482p-13, -0x1.23cf9301f0926p-13, -0x1.21fd571db2566p-13, -0x1.2028d4cc0c802p-13, -0x1.1e5229de7d16bp-13, -0x1.1c797390f421p-13, -0x1.1a9ece8b1b825p-13, -0x1.18c256e26d1acp-13, -0x1.16e4281bed084p-13, -0x1.15045d2de781bp-13, -0x1.13231081a8643p-13, -0x1.11405bf588519p-13, -0x1.0f5c58de9887fp-13, -0x1.0d77200a6c72bp-13, -0x1.0b90c9c0ed239p-13, -0x1.09a96dc658ee9p-13, -0x1.07c1235cec8dep-13, -0x1.05d80146c6d16p-13, -0x1.03ee1dc7c99afp-13, -0x1.02038ea753389p-13, -0x1.0018693250ea9p-13, -0x1.fc598479b8a39p-14, -0x1.f8815c48169d2p-14, -0x1.f4a8819fb0629p-14, -0x1.f0cf1b6a073a4p-14, -0x1.ecf54fad84595p-14, -0x1.e91b4391116cfp-14, -0x1.e5411b5fc15a2p-14, -0x1.e166fa8c85995p-14, -0x1.dd8d03b585e5ap-14, -0x1.d9b358a77d538p-14, -0x1.d5da1a619e82dp-14, -0x1.d2016918a8a6ap-14, -0x1.ce29643a9779ep-14, -0x1.ca522a71eab7ap-14, -0x1.c67bd9a91e376p-14, -0x1.c2a68f0df3329p-14, -0x1.bed26714a0526p-14, -0x1.baff7d7b733a4p-14, -0x1.b72ded4dd5597p-14, -0x1.b35dd0e7785e3p-14, -0x1.af8f41f79a13ap-14, -0x1.abc2598429a08p-14, -0x1.a7f72fed18014p-14, -0x1.a42ddcef2fd07p-14, -0x1.a06677a720f03p-14, -0x1.9ca116949cf53p-14, -0x1.98ddcf9d3faf5p-14, -0x1.951cb80fb9a1bp-14, -0x1.915de4a66b718p-14, -0x1.8da1698a5adcep-14, -0x1.89e75a5614f64p-14, -0x1.862fca18878bp-14, -0x1.827acb578c2e4p-14, -0x1.7ec87012dbbe8p-14, -0x1.7b18c9c68e453p-14, -0x1.776be96de53bbp-14, -0x1.73c1df85be722p-14, -0x1.701abc0f3938cp-14, -0x1.6c768e92369b1p-14, -0x1.68d5661ff1067p-14, -0x1.6537515547bd3p-14, -0x1.619c5e5d3abfp-14, -0x1.5e049af34a3b4p-14, -0x1.5a701465bfda5p-14, -0x1.56ded7980e2ffp-14, -0x1.5350f1050c25ap-14, -0x1.4fc66cc130c1ep-14, -0x1.4c3f567caae77p-14, -0x1.48bbb985ac9a8p-14, -0x1.453ba0ca7a1a7p-14, -0x1.41bf16db697dcp-14, -0x1.3e4625ed03459p-14, -0x1.3ad0d7d9fd49fp-14, -0x1.375f362532c58p-14, -0x1.33f149fb97268p-14, -0x1.30871c3617675p-14, -0x1.2d20b55b72089p-14, -0x1.29be1da21c6p-14, -0x1.265f5cf1f51a3p-14, -0x1.23047ae61d49bp-14, -0x1.1fad7eceabcf2p-14, -0x1.1c5a6fb25fdb6p-14, -0x1.190b54504bb24p-14, -0x1.15c03321735bap-14, -0x1.1279125a722cap-14, -0x1.0f35f7eceb5b2p-14, -0x1.0bf6e98931de5p-14, -0x1.08bbec9fd51c6p-14, -0x1.05850662f7023p-14, -0x1.02523bc7d31afp-14, -0x1.fe472310576edp-15, -0x1.f7f21847509d9p-15, -0x1.f1a55fc256755p-15, -0x1.eb6101a05fd41p-15, -0x1.e5250594486f1p-15, -0x1.def172e7234bep-15, -0x1.d8c6507ae46b4p-15, -0x1.d2a3a4ccbfde4p-15, -0x1.cc8975f7ace42p-15, -0x1.c677c9b6b3582p-15, -0x1.c06ea5672778ap-15, -0x1.ba6e0e0ac3d04p-15, -0x1.b476084a3f6b1p-15, -0x1.ae8698772ca99p-15, -0x1.a89fc28e1b169p-15, -0x1.a2c18a38b65b6p-15, -0x1.9cebf2cfa9c1ap-15, -0x1.971eff5cc99a2p-15, -0x1.915ab29ce0c44p-15, -0x1.8b9f0f015c577p-15, -0x1.85ec16b293aa3p-15, -0x1.8041cb91446c3p-15, -0x1.7aa02f38527d6p-15, -0x1.750742feaf098p-15, -0x1.6f7707f8d0503p-15, -0x1.69ef7efa68795p-15, -0x1.6470a897e773bp-15, -0x1.5efa85284370ep-15, -0x1.598d14c66e277p-15, -0x1.54285752a94bdp-15, -0x1.4ecc4c73e0147p-15, -0x1.4978f3997dc31p-15, -0x1.442e4bfc7ebdap-15, -0x1.3eec54a0d9349p-15, -0x1.39b30c56d4d9cp-15, -0x1.348271bc4f227p-15, -0x1.2f5a833e2d4bep-15, -0x1.2a3b3f19169f9p-15, -0x1.2524a35b25e1p-15, -0x1.2016ade4e8bedp-15, -0x1.1b115c6a6be11p-15, -0x1.1614ac7461442p-15, -0x1.11209b6172e42p-15, -0x1.0c352666e596fp-15, -0x1.07524a91cc5f4p-15, -0x1.027804c86361fp-15, -0x1.fb4ca3951864dp-16, -0x1.f1ba5c65957d8p-16, -0x1.e8392cef0a7eep-16, -0x1.dec90dd7a8341p-16, -0x1.d569f78060848p-16, -0x1.cc1be206faf5ep-16, -0x1.c2dec547d9e98p-16, -0x1.b9b298df2cdb9p-16, -0x1.b097542ae759p-16, -0x1.a78cee4c5de37p-16, -0x1.9e935e29e1643p-16, -0x1.95aa9a6f7b3e6p-16, -0x1.8cd299912ae28p-16, -0x1.840b51cc26771p-16, -0x1.7b54b928001e8p-16, -0x1.72aec5783300bp-16, -0x1.6a196c5dcbb68p-16, -0x1.6194a34772601p-16, -0x1.59205f7418a22p-16, -0x1.50bc95f3c92c4p-16, -0x1.48693ba7f2a9dp-16, -0x1.40264545b24e4p-16, -0x1.37f3a756a4ccbp-16, -0x1.2fd156399400bp-16, -0x1.27bf46240115dp-16, -0x1.1fbd6b22ecd9ap-16, -0x1.17cbb91c0cdc3p-16, -0x1.0fea23ceb711p-16, -0x1.08189ed4f1771p-16, -0x1.00571da3fde3ep-16, -0x1.f14b271b763p-17, -0x1.e207e7832f2a2p-17, -0x1.d2e46299f7147p-17, -0x1.c3e07e38eef0ep-17, -0x1.b4fc1ffa23a65p-17, -0x1.a6372d3774f9cp-17, -0x1.97918b0ead464p-17, -0x1.890b1e6364463p-17, -0x1.7aa3cbdd68ab6p-17, -0x1.6c5b77ed49b0bp-17, -0x1.5e3206cdb0fa9p-17, -0x1.50275c822b4cdp-17, -0x1.423b5cdb2cf2cp-17, -0x1.346deb765a618p-17, -0x1.26beebbfcc306p-17, -0x1.192e40f454bf5p-17, -0x1.0bbbce210f152p-17, -0x1.fcceec4c343ep-18, -0x1.e262376fbff2ep-18, -0x1.c83142bcce41p-18, -0x1.ae3bd2f0d5907p-18, -0x1.9481ac782f4e2p-18, -0x1.7b02936e424aap-18, -0x1.61be4ba3034efp-18, -0x1.48b4989bdbfbep-18, -0x1.2fe53d92581e8p-18, -0x1.174ffd7ad85edp-18, -0x1.fde9360c2b42bp-19, -0x1.cda5b13d9b16ap-19, -0x1.9dd4f0e2b6fa7p-19, -0x1.6e7678d6496cp-19, -0x1.3f89cc73b7116p-19, -0x1.110e6ea3deec5p-19, -0x1.c607c3b7499dcp-20, -0x1.6ad3503eb3149p-20, -0x1.107e861046088p-20, -0x1.6e10cf1634cddp-21, -0x1.79bfd91d8c41fp-22, -0x1.ad0cc45ebfc3ap-26, 0x1.40af880ca2792p-22, 0x1.4c6293294b3e5p-21, 0x1.f6ba09f8b667bp-21, 0x1.4fb0163867048p-20, 0x1.a32b7fefa93a8p-20, 0x1.f5d045682d964p-20, 0x1.23cfb53d5d21p-19, 0x1.4c4cf9cc63072p-19, 0x1.746072e15f117p-19, 0x1.9c0aa33ba2906p-19, 0x1.c34c0de204f3ap-19, 0x1.ea2536175d771p-19, 0x1.084b4fab0f3adp-18, 0x1.1b5066abdf45bp-18, 0x1.2e222204f1e75p-18, 0x1.40c0c3c6cd069p-18, 0x1.532c8e1affa1bp-18, 0x1.6565c341d945fp-18, 0x1.776ca5922cf51p-18, 0x1.89417778300cep-18, 0x1.9ae47b7414957p-18, 0x1.ac55f416c9ffcp-18, 0x1.bd962403e3adfp-18, 0x1.cea54def9349dp-18, 0x1.df83b49c54b5ap-18, 0x1.f0319adb8436ep-18, 0x1.0057a1c4abe01p-17, 0x1.087e78c753e4bp-17, 0x1.108d73efc280fp-17, 0x1.1884b4bc4a7ebp-17, 0x1.20645cb00835ep-17, 0x1.282c8d50cb758p-17, 0x1.2fdd6827d16c2p-17, 0x1.37770ec1b3817p-17, 0x1.3ef9a2ac411b2p-17, 0x1.466545772d8f4p-17, 0x1.4dba18b327f8ap-17, 0x1.54f83df15acfp-17, 0x1.5c1fd6c36545ep-17, 0x1.633104ba43487p-17, 0x1.6a2be9657c132p-17, 0x1.7110a653beb66p-17, 0x1.77df5d12226ap-17, 0x1.7e982f2ac9cafp-17, 0x1.853b3e24d1901p-17, 0x1.8bc8ab847491bp-17, 0x1.924098ca54c2bp-17, 0x1.98a32772b7317p-17, 0x1.9ef078f49c014p-17, 0x1.a528aec231b52p-17, 0x1.ab4bea4842308p-17, 0x1.b15a4ced914e8p-17, 0x1.b753f81266b54p-17, 0x1.bd390d0f425edp-17, 0x1.c309ad3697085p-17, 0x1.c8c5f9d251879p-17, 0x1.ce6e1423f2bb9p-17, 0x1.d4021d64b7e71p-17, 0x1.d98236c47ec83p-17, 0x1.deee816a83d4p-17, 0x1.e4471e72f7f52p-17, 0x1.e98c2eefe721ap-17, 0x1.eebdd3e959808p-17, 0x1.f3dc2e5bf5364p-17, 0x1.f8e75f38447cap-17, 0x1.fddf8763570bp-17, 0x1.016263db1338dp-16, 0x1.03cba07e7494bp-16, 0x1.062b89faf1f7cp-16, 0x1.088230a954da7p-16, 0x1.0acfa4dbac881p-16, 0x1.0d13f6dc88aecp-16, 0x1.0f4f36ef45c0dp-16, 0x1.1181754f91048p-16, 0x1.13aac2321078dp-16, 0x1.15cb2dc2ef046p-16, 0x1.17e2c8267a43dp-16, 0x1.19f1a178ef609p-16, 0x1.1bf7c9ce38c5bp-16, 0x1.1df5513189f74p-16, 0x1.1fea47a52e923p-16, 0x1.21d6bd230131ap-16, 0x1.23bac19bca062p-16, 0x1.259664f67f297p-16, 0x1.2769b7114c595p-16, 0x1.2934c7c0b7e9bp-16, 0x1.2af7a6cf7335dp-16, 0x1.2cb263fe254d6p-16, 0x1.2e650f03d7c38p-16, 0x1.300fb78d3d7e4p-16, 0x1.31b26d3c90206p-16, 0x1.334d3fa9ab6b1p-16, 0x1.34e03e6206c1cp-16, 0x1.366b78e7e0982p-16, 0x1.37eefeb2a4c48p-16, 0x1.396adf2eef61fp-16, 0x1.3adf29be0558p-16, 0x1.3c4bedb5be049p-16, 0x1.3db13a606b743p-16, 0x1.3f0f1efd23e1ep-16, 0x1.4065aabea2ed3p-16, 0x1.41b4eccc07d54p-16, 0x1.42fcf440840c5p-16, 0x1.443dd02b2a37ep-16, 0x1.45778f8e37e23p-16, 0x1.46aa416023b1fp-16, 0x1.47d5f48ad00ccp-16, 0x1.48fab7eafe94p-16, 0x1.4a189a50e0fb1p-16, 0x1.4b2faa800b56p-16, 0x1.4c3ff72eb5debp-16, 0x1.4d498f05e8e8dp-16, 0x1.4e4c80a1c71a6p-16, 0x1.4f48da90dd996p-16, 0x1.503eab53f9889p-16, 0x1.512e015eee2fap-16, 0x1.5216eb177e1e7p-16, 0x1.52f976d55287ap-16, 0x1.53d5b2e2e90a9p-16, 0x1.54abad7c3074fp-16, 0x1.557b74cf4e33p-16, 0x1.564516fba7dfbp-16, 0x1.5708a2133255cp-16, 0x1.57c62418c2c87p-16, 0x1.587dab00e860bp-16, 0x1.592f44b1d24c2p-16, 0x1.59daff02c8454p-16, 0x1.5a80e7bc425bp-16, 0x1.5b210c9841921p-16, 0x1.5bbb7b419c78ap-16, 0x1.5c504153be4c1p-16, 0x1.5cdf6c5bde434p-16, 0x1.5d6909d7761fp-16, 0x1.5ded2734accf7p-16, 0x1.5e6bd1d288e4ap-16, 0x1.5ee51701090e9p-16, 0x1.5f5903ffecd32p-16, 0x1.5fc7a60020722p-16, 0x1.60310a2296e6cp-16, 0x1.60953d7892aeap-16, 0x1.60f44d040efe2p-16, 0x1.614e45b6c7df8p-16, 0x1.61a334729b7a2p-16, 0x1.61f3260a0ea85p-16, 0x1.623e273f1d9adp-16, 0x1.628444c3f2df2p-16, 0x1.62c58b3a93c9bp-16, 0x1.630207354f6d9p-16, 0x1.6339c5358c5dfp-16, 0x1.636cd1ad4a304p-16, 0x1.639b38fdb708fp-16, 0x1.63c50777e5e99p-16, 0x1.63ea495ca42dbp-16, 0x1.640b0adc51e8cp-16, 0x1.642758167adb5p-16, 0x1.643f3d1b27aep-16, 0x1.6452c5e8ff7aep-16, 0x1.6461fe6e37c15p-16, 0x1.646cf28913f08p-16, 0x1.6473ae06da125p-16, 0x1.64763ca3bde59p-16, 0x1.6474aa0c55678p-16, 0x1.646f01db8a16ap-16, 0x1.64654f9c54d21p-16, 0x1.64579ec85366fp-16, 0x1.6445fac8d6c72p-16, 0x1.64306ef65e73dp-16, 0x1.641706987baa7p-16, 0x1.63f9cce5d164cp-16, 0x1.63d8cd04caa72p-16, 0x1.63b4120a63ef2p-16, 0x1.638ba6fac901bp-16, 0x1.635f96c9c8eeap-16, 0x1.632fec59e61cfp-16, 0x1.62fcb27ce2154p-16, 0x1.62c5f3f3ce14dp-16, 0x1.628bbb6e78c68p-16, 0x1.624e138c2549ap-16, 0x1.620d06db311f6p-16, 0x1.61c89fd897822p-16, 0x1.6180e8f1245c5p-16, }}, 
      {{0x1.96d7cfcaa65c5p-1, 0x1.96ae30465398cp-1, 0x1.96693dd339e0fp-1, 0x1.960995c7f0a5dp-1, 0x1.95900a5490e44p-1, 0x1.94fd9aad7f17ep-1, 0x1.94536ad9b7db5p-1, 0x1.9392bb9e8044fp-1, 0x1.92bce2da78579p-1, 0x1.91d344832bb5ap-1, 0x1.90d74c60fee2ep-1, 0x1.8fca689476824p-1, 0x1.8eae04e402981p-1, 0x1.8d8386c98c938p-1, 0x1.8c4c4a322df6ep-1, 0x1.8b099edfb638bp-1, 0x1.89bcc65a9600bp-1, 0x1.8866f262b5678p-1, 0x1.870943ce73961p-1, 0x1.85a4c9c82ea49p-1, 0x1.843a815c138c9p-1, 0x1.82cb55496b639p-1, 0x1.81581e0c17bccp-1, 0x1.7fe1a21457d1bp-1, 0x1.7e68962439b3fp-1, 0x1.7ced9dcb53b6bp-1, 0x1.7b714bfa69aefp-1, 0x1.79f423a995fa5p-1, 0x1.7876988c5dd2p-1, 0x1.76f90fcfccf95p-1, 0x1.757be0df50519p-1, 0x1.73ff562d8fa1ep-1, 0x1.7283adfef34d9p-1, 0x1.71091b33e99bdp-1, 0x1.6f8fc6114f77ep-1, 0x1.6e17cd05a59ebp-1, 0x1.6ca14569feae3p-1, 0x1.6b2c3c3dbbe67p-1, 0x1.69b8b6dc659aep-1, 0x1.6846b3ad0a3c3p-1, 0x1.66d62acab4b5ap-1, 0x1.65670ea5a5e4dp-1, 0x1.63f94c9d16042p-1, 0x1.628ccd9155929p-1, 0x1.6121766e3ec38p-1, 0x1.5fb728adee738p-1, 0x1.5e4dc2d3d476ep-1, 0x1.5ce520e02dbabp-1, 0x1.5b7d1cbc0cb97p-1, 0x1.5a158e9e156d5p-1, 0x1.58ae4d68229fcp-1, 0x1.57472efe072b1p-1, 0x1.55e00895aaf29p-1, 0x1.5478af00c0b48p-1, 0x1.5310f6f059f95p-1, 0x1.51a8b5329dbd6p-1, 0x1.503fbeeae752p-1, 0x1.4ed5e9c49839dp-1, 0x1.4d6b0c20e12c9p-1, 0x1.4bfefd3fcde6cp-1, 0x1.4a919564d5f78p-1, 0x1.4922adf73d16bp-1, 0x1.47b2219e841cdp-1, 0x1.463fcc5b2d3bdp-1, 0x1.44cb8b9c14ca3p-1, 0x1.43553e509df4bp-1, 0x1.41dcc4f7ec122p-1, 0x1.406201ad62e0cp-1, 0x1.3ee4d832a862ep-1, 0x1.3d652df754ff1p-1, 0x1.3be2ea1e89f7p-1, 0x1.3a5df58299877p-1, 0x1.38d63ab6ed54ap-1, 0x1.374ba6085523fp-1, 0x1.35be257be30c5p-1, 0x1.342da8cc7d23cp-1, 0x1.329a21674106cp-1, 0x1.31038266de64dp-1, 0x1.2f69c08e01db8p-1, 0x1.2dccd240ecedfp-1, 0x1.2c2caf7e54642p-1, 0x1.2a8951d799bc8p-1, 0x1.28e2b46879a32p-1, 0x1.2738d3ce3d81ap-1, 0x1.258bae1e85437p-1, 0x1.23db42ddb80abp-1, 0x1.222792f52da63p-1, 0x1.2070a0a91797ap-1, 0x1.1eb66f8e3e90fp-1, 0x1.1cf9047f97ea7p-1, 0x1.1b386593c0466p-1, 0x1.19749a12665e3p-1, 0x1.17adaa69a8663p-1, 0x1.15e3a02370904p-1, 0x1.141685dad46ap-1, 0x1.124667317dafep-1, 0x1.107350c520195p-1, 0x1.0e9d502502b7bp-1, 0x1.0cc473c7a033bp-1, 0x1.0ae8cb005fe3ap-1, 0x1.090a65f56cca9p-1, 0x1.07295595ab605p-1, 0x1.0545ab8ed288bp-1, 0x1.035f7a43a7113p-1, 0x1.0176d4c25d71fp-1, 0x1.ff179d764647p-2, 0x1.fb3cf8ed9c009p-2, 0x1.f75de59b70929p-2, 0x1.f37a8e3d86be1p-2, 0x1.ef931e8d0f1dep-2, 0x1.eba7c32d5d842p-2, 0x1.e7b8a99af33a3p-2, 0x1.e3c6001ae60c8p-2, 0x1.dfcff5aa9d1ap-2, 0x1.dbd6b9efe75b5p-2, 0x1.d7da7d296cc4p-2, 0x1.d3db701f7607bp-2, 0x1.cfd9c415120d4p-2, 0x1.cbd5aab991952p-2, 0x1.c7cf561a5dea3p-2, 0x1.c3c6f89525557p-2, 0x1.bfbcc4ca66912p-2, 0x1.bbb0ed904e7a7p-2, 0x1.b7a3a5e5f0cd1p-2, 0x1.b39520e6d8642p-2, 0x1.af8591beed3eap-2, 0x1.ab752b9eb51cbp-2, 0x1.a76421afe2d71p-2, 0x1.a352a70a45264p-2, 0x1.9f40eea9009efp-2, 0x1.9b2f2b6027cc1p-2, 0x1.971d8fd29eef1p-2, 0x1.930c4e6857b57p-2, 0x1.8efb9944e07fp-2, 0x1.8aeba23e410bcp-2, 0x1.86dc9ad42d5d2p-2, 0x1.82ceb42786701p-2, 0x1.7ec21ef22be36p-2, 0x1.7ab70b7f1d392p-2, 0x1.76ada9a2e80f1p-2, 0x1.72a628b465814p-2, 0x1.6ea0b785c4843p-2, 0x1.6a9d845ddf02dp-2, 0x1.669cbcf1db83bp-2, 0x1.629e8e5f167dcp-2, 0x1.5ea325255ad8p-2, 0x1.5aaaad215a9e8p-2, 0x1.56b5518777c35p-2, 0x1.52c33cdecd159p-2, 0x1.4ed498fc803a3p-2, 0x1.4ae98eff56eeep-2, 0x1.4702474b90089p-2, 0x1.431ee987009c5p-2, 0x1.3f3f9c956f2c6p-2, 0x1.3b648695313dap-2, 0x1.378dccdc09942p-2, 0x1.33bb93f442b07p-2, 0x1.2fedff9a051d1p-2, 0x1.2c2532b8eca05p-2, 0x1.28614f69d5b9ep-2, 0x1.24a276f0e59e6p-2, 0x1.20e8c9bbc99ep-2, 0x1.1d3467602e653p-2, 0x1.19856e9a6c05p-2, 0x1.15dbfd4c68f45p-2, 0x1.1238307caacf7p-2, 0x1.0e9a2455a0b3fp-2, 0x1.0b01f42516f4cp-2, 0x1.076fba5be0e68p-2, 0x1.03e3908daa40cp-2, 0x1.005d8f70faa2fp-2, 0x1.f9bb9dbec6a36p-3, 0x1.f2c8cbaba9f3cp-3, 0x1.ebe2d4ea411abp-3, 0x1.e509e405420dcp-3, 0x1.de3e21d20fd8bp-3, 0x1.d77fb572a6514p-3, 0x1.d0cec457c600ep-3, 0x1.ca2b72436bb3ep-3, 0x1.c395e14b84ba3p-3, 0x1.bd0e31dceb48bp-3, 0x1.b69482be96c03p-3, 0x1.b028f1150d0bep-3, 0x1.a9cb98660eeebp-3, 0x1.a37c929c74b1ap-3, 0x1.9d3bf80c431d6p-3, 0x1.9709df76ed50ap-3, 0x1.90e65e0fcd1fp-3, 0x1.8ad18780c143p-3, 0x1.84cb6deef94d5p-3, 0x1.7ed421ffe9292p-3, 0x1.78ebb2de64358p-3, 0x1.73122e3fd9cbfp-3, 0x1.6d47a069b3331p-3, 0x1.678c1436d4c15p-3, 0x1.61df931d3962bp-3, 0x1.5c422533aa43fp-3, 0x1.56b3d1378e3e2p-3, 0x1.51349c92d72a2p-3, 0x1.4bc48b61f8e0fp-3, 0x1.4663a07a036b6p-3, 0x1.4111dd6ebef42p-3, 0x1.3bcf4298e3df9p-3, 0x1.369bcf1c5acdep-3, 0x1.317780ee8c731p-3, 0x1.2c6254dcba3a1p-3, 0x1.275c46925df1bp-3, 0x1.2265509f994efp-3, 0x1.1d7d6c7fa2cb3p-3, 0x1.18a4929f38ab6p-3, 0x1.13daba631db38p-3, 0x1.0f1fda2e9093bp-3, 0x1.0a73e769c7ba7p-3, 0x1.05d6d688653cfp-3, 0x1.01489b0ff7f0ap-3, 0x1.f9924f3cc98a2p-4, 0x1.f0b0dbe0bc612p-4, 0x1.e7ecbdcf9248ap-4, 0x1.df45d52447852p-4, 0x1.d6bc005db3387p-4, 0x1.ce4f1c6b3fb1dp-4, 0x1.c5ff04b9652bcp-4, 0x1.bdcb933e36213p-4, 0x1.b5b4a085b89e9p-4, 0x1.adba03be35044p-4, 0x1.a5db92c466e16p-4, 0x1.9e19222f8c615p-4, 0x1.9672855d61d87p-4, 0x1.8ee78e7df561ep-4, 0x1.87780e9f5da2ap-4, 0x1.8023d5b9502efp-4, 0x1.78eab2b893848p-4, 0x1.71cc738a4cc7fp-4, 0x1.6ac8e5272a7f6p-4, 0x1.63dfd39e6541fp-4, 0x1.5d110a20a0628p-4, 0x1.565c530a9bfc1p-4, 0x1.4fc177efc1b22p-4, 0x1.494041a48a369p-4, 0x1.42d87848b4305p-4, 0x1.3c89e351555p-4, 0x1.36544992bc119p-4, 0x1.3037714a2b50cp-4, 0x1.2a33202764c95p-4, 0x1.24471b560a11dp-4, 0x1.1e732786d0612p-4, 0x1.18b708f8874ap-4, 0x1.13128380f1e68p-4, 0x1.0d855a9572a04p-4, 0x1.080f51538b57fp-4, 0x1.02b02a892ddf8p-4, 0x1.facf5179b7197p-5, 0x1.f06b1c6b42853p-5, 0x1.e6333a05b27f5p-5, 0x1.dc272e078ee6dp-5, 0x1.d2467bde0ae6cp-5, 0x1.c890a6b384352p-5, 0x1.bf05317da1eaep-5, 0x1.b5a39f0b1ff83p-5, 0x1.ac6b72113ae5dp-5, 0x1.a35c2d38c6ca7p-5, 0x1.9a75532aebd3fp-5, 0x1.91b6669d83771p-5, 0x1.891eea5f2b07fp-5, 0x1.80ae6162f3cdep-5, 0x1.78644ecbc339dp-5, 0x1.704035f756ecdp-5, 0x1.68419a88fe284p-5, 0x1.60680073f3899p-5, 0x1.58b2ec056b217p-5, 0x1.5121e1ee4d812p-5, 0x1.49b4674c9da2ep-5, 0x1.426a01b49494fp-5, 0x1.3b42373966973p-5, 0x1.343c8e75c071ap-5, 0x1.2d588e93f2762p-5, 0x1.2695bf55d2adap-5, 0x1.1ff3a91c546dcp-5, 0x1.1971d4eed22c8p-5, 0x1.130fcc820fe77p-5, 0x1.0ccd1a3ef894dp-5, 0x1.06a9494911b18p-5, 0x1.00a3e584ad033p-5, 0x1.f578f7399cb7bp-6, 0x1.e9e53211b8767p-6, 0x1.de8b9823f8b4p-6, 0x1.d36b47b0821ddp-6, 0x1.c88360af18395p-6, 0x1.bdd304d8704c4p-6, 0x1.b35957af037efp-6, 0x1.a9157e8773377p-6, 0x1.9f06a09070e83p-6, 0x1.952be6da3275fp-6, 0x1.8b847c5d78d86p-6, 0x1.820f8e023218ep-6, 0x1.78cc4aa59923fp-6, 0x1.6fb9e32005614p-6, 0x1.66d78a4a484cap-6, 0x1.5e2475029f657p-6, 0x1.559fda3155e4dp-6, 0x1.4d48f2ccfb7eap-6, 0x1.451ef9de3cd6ep-6, 0x1.3d212c836c72cp-6, 0x1.354ec9f3a7095p-6, 0x1.2da71381a57f4p-6, 0x1.26294c9e43971p-6, 0x1.1ed4badaa585ap-6, 0x1.17a8a5ea231ebp-6, 0x1.10a457a3cadcp-6, 0x1.09c71c03b6731p-6, 0x1.0310412c033bep-6, 0x1.f8fe2ecb19568p-7, 0x1.ec25e240be0c2p-7, 0x1.df9645e7d6e83p-7, 0x1.d34e073df109ap-7, 0x1.c74bd80ea8269p-7, 0x1.bb8e6e729c8e3p-7, 0x1.b01484cdea805p-7, 0x1.a4dcd9ce2f85bp-7, 0x1.99e63068344d7p-7, 0x1.8f2f4fd513a84p-7, 0x1.84b7038f0fe24p-7, 0x1.7a7c1b4e0b3a2p-7, 0x1.707d6b03847fp-7, 0x1.66b9cad65f9bbp-7, 0x1.5d30171e3680fp-7, 0x1.53df305e71c5p-7, 0x1.4ac5fb40fbedbp-7, 0x1.41e36090af58ep-7, 0x1.39364d338758p-7, 0x1.30bdb2246defap-7, 0x1.2878846ce1c2cp-7, 0x1.2065bd1e569bbp-7, 0x1.1884594b3dff7p-7, 0x1.10d35a0000f99p-7, 0x1.0951c43ba35aap-7, 0x1.01fea0e8305b3p-7, 0x1.f5b1f9a616c3p-8, 0x1.e7bfd149fc6aap-8, 0x1.da24f1b446a0ap-8, 0x1.ccdf8b733b089p-8, 0x1.bfedd69a66f72p-8, 0x1.b34e12b177df4p-8, 0x1.a6fe86a2c8087p-8, 0x1.9afd80a9c10b9p-8, 0x1.8f495640fa32ap-8, 0x1.83e0640ff9adp-8, 0x1.78c10dd8fb1c8p-8, 0x1.6de9be6658affp-8, 0x1.6358e777d5d7p-8, 0x1.590d01afcd88bp-8, 0x1.4f048c801f83fp-8, 0x1.453e0e1711763p-8, 0x1.3bb8134c00002p-8, 0x1.32712f8c17538p-8, 0x1.2967fcc6cd54dp-8, 0x1.209b1b5a54b31p-8, 0x1.18093200015cbp-8, 0x1.0fb0edb8aea4ep-8, 0x1.079101b8f97fdp-8, 0x1.ff504eab09322p-9, 0x1.efea3bde8b673p-9, 0x1.e0ed55bf5503dp-9, 0x1.d25732c9b9787p-9, 0x1.c425751c0f3ep-9, 0x1.b655ca4f0dca4p-9, 0x1.a8e5eb4e87463p-9, 0x1.9bd39c31dac63p-9, 0x1.8f1cac14ccf76p-9, 0x1.82bef4f05b2b2p-9, 0x1.76b85b739e26ap-9, 0x1.6b06cedced1edp-9, 0x1.5fa848d2f9635p-9, 0x1.549acd3e6f74ap-9, 0x1.49dc6a2333e57p-9, 0x1.3f6b377a76284p-9, 0x1.3545570c61688p-9, 0x1.2b68f44a6c248p-9, 0x1.21d44429bb7b2p-9, 0x1.188584fdacc17p-9, 0x1.0f7afe52c10cap-9, 0x1.06b300c9af034p-9, 0x1.fc57cbe596c18p-10, 0x1.ebc82053646bap-10, 0x1.dbb3d4e24ea85p-10, 0x1.cc17d09ea079bp-10, 0x1.bcf10b545c76ap-10, 0x1.ae3c8d48fccb2p-10, 0x1.9ff76ef56dc4ap-10, 0x1.921ed8c1319adp-10, 0x1.84b002bd78f67p-10, 0x1.77a834619abfbp-10, 0x1.6b04c447972f7p-10, 0x1.5ec317e9c65d2p-10, 0x1.52e0a360b0755p-10, 0x1.475ae9220bccfp-10, 0x1.3c2f79c024c95p-10, 0x1.315bf3aa0ad15p-10, 0x1.26de02ec82462p-10, 0x1.1cb360f365f36p-10, 0x1.12d9d44c4ba1p-10, 0x1.094f306928a58p-10, 0x1.00115564356f4p-10, 0x1.ee3c5f890ce1p-11, 0x1.dce77085f8994p-11, 0x1.cc1fe7206edbcp-11, 0x1.bbe1e4369e932p-11, 0x1.ac299fb2591e4p-11, 0x1.9cf3681932cc7p-11, 0x1.8e3ba21dfeccfp-11, 0x1.7ffec8343af7cp-11, 0x1.72396a24610bp-11, 0x1.64e82ca2249aep-11, 0x1.5807c8e3bfe4ep-11, 0x1.4b950c3b016c5p-11, 0x1.3f8cd7afc94eap-11, 0x1.33ec1f9ba0be6p-11, 0x1.28afeb474d7f3p-11, 0x1.1dd55489693e6p-11, 0x1.135987667491cp-11, 0x1.0939c1b2b060cp-11, 0x1.fee6a569ceb0ep-12, 0x1.ec0735960d21cp-12, 0x1.d9d0161f782bp-12, 0x1.c83c4a03db422p-12, 0x1.b746f45a26768p-12, 0x1.a6eb57a724b23p-12, 0x1.9724d53351c1bp-12, 0x1.87eeec651b374p-12, 0x1.79453a1c651c2p-12, 0x1.6b237811d6e8ep-12, 0x1.5d857c37fc69cp-12, 0x1.5067381f8b6e1p-12, 0x1.43c4b85e2d7bcp-12, 0x1.379a23f79046ap-12, 0x1.2be3bbc988089p-12, 0x1.209dd9fa325c3p-12, 0x1.15c4f16966de2p-12, 0x1.0b558d23534b7p-12, 0x1.014c4fd744c81p-12, 0x1.ef4be69e8184cp-13, 0x1.dcbe8fd650d49p-13, 0x1.caea683b9d68ep-13, 0x1.b9c967d8a6a8fp-13, 0x1.a955b0e050ec4p-13, 0x1.99898eb5e648ap-13, 0x1.8a5f74fa2eab1p-13, 0x1.7bd1fe9d31653p-13, 0x1.6ddbecf34d82dp-13, 0x1.607826cfaed25p-13, 0x1.53a1b7a34772ep-13, 0x1.4753ce9eb161cp-13, 0x1.3b89bdda69d3fp-13, 0x1.303ef98118c7fp-13, 0x1.256f16ff3e4bfp-13, 0x1.1b15cc36fae7fp-13, 0x1.112eeeb6e6c15p-13, 0x1.07b672f5ec453p-13, 0x1.fd50d72549af3p-14, 0x1.ec02112b62a38p-14, 0x1.db792d7397f25p-14, 0x1.cbaefd6ba0545p-14, 0x1.bc9c89163131ep-14, 0x1.ae3b0daf25dc9p-14, 0x1.a083fc5709095p-14, 0x1.9370f8c474393p-14, 0x1.86fbd7fd4a15p-14, 0x1.7b1e9f1787a31p-14, 0x1.6fd381fe87758p-14, 0x1.6514e241b6eabp-14, 0x1.5add4de6cce83p-14, 0x1.51277e44f4606p-14, 0x1.47ee56e4d73dcp-14, 0x1.3f2ce4676b0cap-14, 0x1.36de5b71fa17ep-14, 0x1.2efe17a2c35cbp-14, 0x1.27879a86da3f4p-14, 0x1.20768a9ad4p-14, 0x1.19c6b24dd66fap-14, 0x1.1373ff0aa4bebp-14, 0x1.0d7a80484df64p-14, 0x1.07d6669d89119p-14, 0x1.028402db90e3p-14, 0x1.faff8a586e762p-15, 0x1.f18c786ce7173p-15, 0x1.e8a8289008c4bp-15, 0x1.e04c2d0679326p-15, 0x1.d8725022f4af3p-15, 0x1.d11492b885a1ap-15, 0x1.ca2d2a91609bcp-15, 0x1.c3b680f0fa73ap-15, 0x1.bdab311f63eeep-15, 0x1.b80606fe0f666p-15, 0x1.b2c1fda164cbbp-15, 0x1.adda3df91dc94p-15, 0x1.a94a1d7bc6c4bp-15, 0x1.a50d1cdc2b8dp-15, 0x1.a11ee6c777b13p-15, 0x1.9d7b4ea9f2c13p-15, 0x1.9a1e4f7bcfe2fp-15, 0x1.97040a9540daep-15, 0x1.9428c68c02e4fp-15, 0x1.9188ee14f256fp-15, 0x1.8f210eefc78a2p-15, 0x1.8cedd8d5c9184p-15, 0x1.8aec1c73ab241p-15, 0x1.8918ca68627d3p-15, 0x1.8770f2482574fp-15, 0x1.85f1c1a9e7681p-15, 0x1.84988338cd03cp-15, 0x1.83629dcc2acdp-15, 0x1.824d9384674b8p-15, 0x1.815700efd3b76p-15, 0x1.807c9c332b3cep-15, 0x1.7fbc3439fa596p-15, 0x1.7f13afe963dcdp-15, 0x1.7e810d5bba01cp-15, 0x1.7e02612044229p-15, 0x1.7d95d57d0351ap-15, 0x1.7d39a9babed94p-15, 0x1.7cec3171df2d9p-15, 0x1.7cabd3dd97ad9p-15, 0x1.7c770b34a09c5p-15, 0x1.7c4c640425acap-15, 0x1.7c2a7c9286aadp-15, 0x1.7c100443e0ff9p-15, 0x1.7bfbbb0301421p-15, 0x1.7bec70afe3355p-15, 0x1.7be1049192199p-15, 0x1.7bd864cb1da9ep-15, 0x1.7bd18dd5dd064p-15, 0x1.7bcb89ffc2212p-15, 0x1.7bc570ec41387p-15, 0x1.7bbe6718c9ffep-15, 0x1.7bb59d6584d3bp-15, 0x1.7baa50a0f0587p-15, 0x1.7b9bc91818e3ep-15, 0x1.7b895a279a5ffp-15, 0x1.7b7261d340fa7p-15, 0x1.7b56485d9491ep-15, 0x1.7b347fe515243p-15, 0x1.7b0c8402b3922p-15, 0x1.7addd96b3bbfep-15, 0x1.7aa80d94db1bep-15, 0x1.7a6ab65df8bdp-15, 0x1.7a2571b7ea7e4p-15, 0x1.79d7e5536d2ebp-15, 0x1.7981be50a3a3bp-15, 0x1.7922b0f0f722fp-15, 0x1.78ba784b12ca5p-15, 0x1.7848d60191a3bp-15, 0x1.77cd91fc45744p-15, 0x1.77487a235b492p-15, 0x1.76b9621d1cb68p-15, 0x1.7620230cf276ap-15, 0x1.757c9b55965e5p-15, 0x1.74ceae5d7e35ap-15, 0x1.7416445315ee3p-15, 0x1.735349f5830d9p-15, 0x1.7285b05d8770ep-15, 0x1.71ad6cc8ef1a4p-15, 0x1.70ca786763665p-15, 0x1.6fdcd029b7a4ap-15, 0x1.6ee47491c1d6ep-15, 0x1.6de169857075cp-15, 0x1.6cd3b62166132p-15, 0x1.6bbb648ee2f06p-15, 0x1.6a9881d9b22f4p-15, 0x1.696b1dc93e0ebp-15, 0x1.68334ab905fc5p-15, 0x1.66f11d749620ap-15, 0x1.65a4ad130805fp-15, 0x1.644e12d4ef4dbp-15, 0x1.62ed6a0371131p-15, 0x1.6182cfcfc8d51p-15, 0x1.600e6334a8f53p-15, 0x1.5e9044d8b26ecp-15, 0x1.5d0896f1b4e0ap-15, 0x1.5b777d293840ap-15, 0x1.59dd1c82886d4p-15, 0x1.58399b40d65d5p-15, 0x1.568d20cf462f9p-15, 0x1.54d7d5a99882dp-15, 0x1.5319e34513effp-15, 0x1.515373fb7abb7p-15, 0x1.4f84b2f6248efp-15, 0x1.4dadcc1a19714p-15, 0x1.4bceebf50b67p-15, 0x1.49e83fab38197p-15, 0x1.47f9f4e59e144p-15, 0x1.460439c1ee3e7p-15, 0x1.44073cc1e20bbp-15, 0x1.42032cbc7af2p-15, 0x1.3ff838ceda1cbp-15, 0x1.3de6904eb27dbp-15, 0x1.3bce62bc9a712p-15, 0x1.39afdfb797e99p-15, 0x1.378b36f0f5637p-15, 0x1.35609820aa8fcp-15, 0x1.333032fa5bf57p-15, 0x1.30fa372329bc8p-15, 0x1.2ebed4274e8e6p-15, 0x1.2c7e3970ea39p-15, 0x1.2a38963f28e92p-15, 0x1.27ee199d96b65p-15, 0x1.259ef25bff555p-15, 0x1.234b4f071396dp-15, 0x1.20f35de10ba81p-15, 0x1.1e974cdb078f6p-15, 0x1.1c37498e9801fp-15, 0x1.19d38137d07f7p-15, 0x1.176c20af71ed3p-15, 0x1.15015465c8419p-15, 0x1.1293485d871acp-15, 0x1.1022282745f0bp-15, 0x1.0dae1edd313ep-15, 0x1.0b37571efa591p-15, 0x1.08bdfb0dfe10dp-15, 0x1.06423449f4eadp-15, 0x1.03c42bedd06a8p-15, 0x1.01440a8c7a70fp-15, 0x1.fd83f05d10563p-16, 0x1.f87c389f03fb9p-16, 0x1.f3713bb76b986p-16, 0x1.ee63465c465d9p-16, 0x1.e952a41da3e69p-16, 0x1.e43f9f622826fp-16, 0x1.df2a8164747bcp-16, 0x1.da139230802b5p-16, 0x1.d4fb18a1f44c6p-16, 0x1.cfe15a6178058p-16, 0x1.cac69be44476ep-16, 0x1.c5ab206a176d9p-16, 0x1.c08f29fce872fp-16, 0x1.bb72f97065a79p-16, 0x1.b656ce61151abp-16, 0x1.b13ae734c3c28p-16, 0x1.ac1f811ab0b7ep-16, 0x1.a704d80b9a2edp-16, 0x1.a1eb26cab8395p-16, 0x1.9cd2a6e6af9ccp-16, 0x1.97bb90ba1d9c9p-16, 0x1.92a61b6d646dp-16, 0x1.8d927cf789db9p-16, 0x1.8880ea20214ccp-16, 0x1.83719680e0b2fp-16, 0x1.7e64b4878580dp-16, 0x1.795a757818b9cp-16, 0x1.7453096ec1284p-16, 0x1.6f4e9f6222cffp-16, 0x1.6a4d6525e548dp-16, 0x1.654f876d25edap-16, 0x1.605531cce38dcp-16, 0x1.5b5e8ebeedfccp-16, 0x1.566bc7a4c7389p-16, 0x1.517d04ca2401p-16, 0x1.4c926d68214cdp-16, 0x1.47ac27a864206p-16, 0x1.42ca58a7df521p-16, 0x1.3ded247a2a25p-16, 0x1.3914ae2d038fep-16, 0x1.344117cad5b6ep-16, 0x1.2f72825eda9b7p-16, 0x1.2aa90df7c960ep-16, 0x1.25e4d9ab8f9efp-16, 0x1.2126039a7fa1dp-16, 0x1.1c6ca8f312623p-16, 0x1.17b8e5f52881cp-16, 0x1.130ad5f57db84p-16, 0x1.0e62936146c3ep-16, 0x1.09c037c197de7p-16, 0x1.0523dbbf1b2d6p-16, 0x1.008d972539f72p-16, 0x1.f7fb01cbff80cp-17, 0x1.eee75e3b609f8p-17, 0x1.e5e06e2bed4ccp-17, 0x1.dce65a934c7f2p-17, 0x1.d3f94ad08b196p-17, 0x1.cb1964b2c63dap-17, 0x1.c246cc80a808ap-17, 0x1.b981a4ff093edp-17, 0x1.b0ca0f783a268p-17, 0x1.a8202bc2bb43dp-17, 0x1.9f841847dab31p-17, 0x1.96f5f20b210a6p-17, 0x1.8e75d4b08f95dp-17, 0x1.8603da83e08c1p-17, 0x1.7da01c7ee9523p-17, 0x1.754ab250407cp-17, 0x1.6d03b26224a61p-17, 0x1.64cb31e0c4c92p-17, 0x1.5ca144c0a9b2ep-17, 0x1.5485fdc56d513p-17, 0x1.4c796e87d4791p-17, 0x1.447ba77c3917bp-17, 0x1.3c8cb7f8ceebcp-17, 0x1.34acae3bf7ce8p-17, 0x1.2cdb9771d909ap-17, 0x1.25197fbad4cf5p-17, 0x1.1d66723175be1p-17, 0x1.15c278f01e70dp-17, 0x1.0e2d9d16fe3c5p-17, 0x1.06a7e6d1e739ap-17, 0x1.fe62babb65823p-18, 0x1.ef940e1c4c503p-18, 0x1.e0e3d2a66994bp-18, 0x1.d252117d14437p-18, 0x1.c3ded211dd5f7p-18, 0x1.b58a1a2f1f4afp-18, 0x1.a753ee02772fcp-18, 0x1.993c502711ba6p-18, 0x1.8b4341af7d9fcp-18, 0x1.7d68c22ffe1c2p-18, 0x1.6faccfc7e6b86p-18, 0x1.620f672bbba23p-18, 0x1.549083ae700b3p-18, 0x1.47301f4ace9c9p-18, 0x1.39ee32ac6a4dfp-18, 0x1.2ccab5394282ep-18, 0x1.1fc59d19e20c8p-18, 0x1.12dedf42a3027p-18, 0x1.06166f7c296cap-18, 0x1.f2d880d7717dp-19, 0x1.d9c087368f355p-19, 0x1.c0e4d304835c3p-19, 0x1.a8454319e88fp-19, 0x1.8fe1b44908421p-19, 0x1.77ba016d893a1p-19, 0x1.5fce037b2e36p-19, 0x1.481d918ccdab7p-19, 0x1.30a880f2aa68p-19, 0x1.196ea54149de4p-19, 0x1.026fd05e88cebp-19, 0x1.d757a5205b1dep-20, 0x1.aa44f512119b7p-20, 0x1.7da72aeb755ddp-20, 0x1.517dde13e9fdap-20, 0x1.25c8a31a9fbd4p-20, 0x1.f50e179de90f5p-21, 0x1.9f714eaf10dcp-21, 0x1.4aba0496b8d7ep-21, 0x1.edce9b24fcd7p-22, 0x1.47f072358ad93p-22, 0x1.47af484287af6p-23, 0x1.823dd2ca5459p-30, -0x1.3e23789fc37e3p-23, -0x1.3de64e0e64401p-22, -0x1.dafd830f5f9e7p-22, -0x1.3b2cb74355c9ap-21, -0x1.87fe1574380cfp-21, -0x1.d3f3eccf09944p-21, -0x1.0f87a8ae96dfap-20, -0x1.34a8ad2cabb72p-20, -0x1.595d9105807c6p-20, -0x1.7da6e2d283843p-20, -0x1.a1853290de1a2p-20, -0x1.c4f911913dfc1p-20, -0x1.e80312685f5f6p-20, -0x1.0551e46f8d391p-19, -0x1.166de4f134654p-19, -0x1.2755d5ba9dbb4p-19, -0x1.380a02504a027p-19, -0x1.488ab6b34a166p-19, -0x1.58d83f59ecd43p-19, -0x1.68f2e928f109dp-19, -0x1.78db016d4253p-19, -0x1.8890d5d535fcdp-19, -0x1.9814b46a5899cp-19, -0x1.a766eb8b5e2dp-19, -0x1.b687c9e5dd4cap-19, -0x1.c5779e70b3bep-19, -0x1.d436b866aa7c3p-19, -0x1.e2c567409ef49p-19, -0x1.f123faaffeb29p-19, -0x1.ff52c299e2b98p-19, -0x1.06a90788f6048p-18, -0x1.0d91182a986c5p-18, -0x1.1461bb62c9155p-18, -0x1.1b1b197282ebdp-18, -0x1.21bd5aa8749f8p-18, -0x1.2848a75eeb69cp-18, -0x1.2ebd27f9a100fp-18, -0x1.351b04e37685cp-18, -0x1.3b62668ca3058p-18, -0x1.41937568da7d8p-18, -0x1.47ae59ed2d637p-18, -0x1.4db33c8e1ea7dp-18, -0x1.53a245be08b14p-18, -0x1.597b9deb44f4p-18, -0x1.5f3f6d7e758bdp-18, -0x1.64eddcd8edf7p-18, -0x1.6a871453059fcp-18, -0x1.700b3c3aa3778p-18, -0x1.757a7cd1c9dbbp-18, -0x1.7ad4fe4d04378p-18, -0x1.801ae8d205ee7p-18, -0x1.854c647635ae2p-18, -0x1.8a69993d823f1p-18, -0x1.8f72af192dd33p-18, -0x1.9467cde665281p-18, -0x1.99491d6d283bfp-18, -0x1.9e16c55f024b8p-18, -0x1.a2d0ed5600a65p-18, -0x1.a777bcd39d1dfp-18, -0x1.ac0b5b3fc2659p-18, -0x1.b08befe7a29e3p-18, -0x1.b4f9a1fceafbap-18, -0x1.b9549894c2f3fp-18, -0x1.bd9cfaa6d53cap-18, -0x1.c1d2ef0c6d873p-18, -0x1.c5f69c7fade18p-18, -0x1.ca08299abdbdbp-18, -0x1.ce07bcd70d71dp-18, -0x1.d1f57c8ca0ebcp-18, -0x1.d5d18ef1202c5p-18, -0x1.d99c1a174b7c4p-18, -0x1.dd5543ee486fp-18, -0x1.e0fd3240f6631p-18, -0x1.e4940ab565e33p-18, -0x1.e819f2cc1fe4bp-18, -0x1.eb8f0fdfa3c9ep-18, -0x1.eef38723e9b69p-18, -0x1.f2477da5c6eb7p-18, -0x1.f58b184a7fab2p-18, -0x1.f8be7bcf39215p-18, -0x1.fbe1ccc86fe6ap-18, -0x1.fef52fa1bf381p-18, -0x1.00fc644eb78eep-17, -0x1.02765de9fa5d6p-17, -0x1.03e89699c185ep-17, -0x1.0553203fe3708p-17, -0x1.06b60ca8ca37bp-17, -0x1.08116d8b3f57ep-17, -0x1.09655488522d5p-17, -0x1.0ab1d32b22eb4p-17, -0x1.0bf6fae8b9ae3p-17, -0x1.0d34dd200c64bp-17, -0x1.0e6b8b19aca9bp-17, -0x1.0f9b1607c1dc5p-17, -0x1.10c38f05f3f03p-17, -0x1.11e50719400ccp-17, -0x1.12ff8f2fec034p-17, -0x1.141338216a59dp-17, -0x1.152012ae54624p-17, -0x1.16262f8041bb9p-17, -0x1.17259f29c0647p-17, -0x1.181e72263b144p-17, -0x1.1910b8d9e7378p-17, -0x1.19fc8391c5835p-17, -0x1.1ae1e283966ep-17, -0x1.1bc0e5cdc1afp-17, -0x1.1c999d7752114p-17, -0x1.1d6c196fdfb01p-17, -0x1.1e38698fa2b35p-17, -0x1.1efe9d9757106p-17, -0x1.1fbec530342e3p-17, -0x1.2078efebf3869p-17, -0x1.212d2d44dfa2ep-17, -0x1.21db8c9db117p-17, -0x1.22841d4193d69p-17, -0x1.2326ee642f21ep-17, -0x1.23c40f21a2107p-17, -0x1.245b8e7e92d7ep-17, -0x1.24ed7b680ca42p-17, -0x1.2579e4b3a4eaap-17, -0x1.2600d91f66f3cp-17, -0x1.26826751ef3c6p-17, -0x1.26fe9dda59e0ep-17, -0x1.27758b3056ca6p-17, -0x1.27e73db43cd96p-17, -0x1.2853c3aee36b6p-17, -0x1.28bb2b51cd96cp-17, -0x1.291d82b735b25p-17, -0x1.297ad7e212cf5p-17, -0x1.29d338be10cc5p-17, -0x1.2a26b31fa7d29p-17, -0x1.2a7554c42dc68p-17, -0x1.2abf2b51cec9p-17, -0x1.2b044457a0189p-17, -0x1.2b44ad4db5409p-17, -0x1.2b8073952da56p-17, -0x1.2bb7a47824cedp-17, -0x1.2bea4d29db7afp-17, -0x1.2c187ac6ccf22p-17, -0x1.2c423a54a336p-17, -0x1.2c6798c23f133p-17, -0x1.2c88a2e7f71c2p-17, -0x1.2ca565878a66ap-17, -0x1.2cbded4c10fb6p-17, -0x1.2cd246ca34792p-17, -0x1.2ce27e8056fe1p-17, -0x1.2ceea0d664bfep-17, -0x1.2cf6ba1e006f1p-17, -0x1.2cfad692a6f48p-17, -0x1.2cfb0259a7ce4p-17, -0x1.2cf7498246c84p-17, -0x1.2cefb805bcb52p-17, -0x1.2ce459c7576c8p-17, -0x1.2cd53a948e1cep-17, -0x1.2cc2662504525p-17, -0x1.2cabe81ab104ep-17, -0x1.2c91cc01e8651p-17, -0x1.2c741d5161c4ap-17, -0x1.2c52e76a6647fp-17, -0x1.2c2e3598cafdap-17, -0x1.2c0613130af3dp-17, -0x1.2bda8afa71727p-17, -0x1.2baba85b25f12p-17, -0x1.2b79762c17567p-17, -0x1.2b43ff4f385a8p-17, -0x1.2b0b4e91a9083p-17, -0x1.2acf6eab88c41p-17, -0x1.2a906a4041f5ap-17, -0x1.2a4e4bde9690ep-17, -0x1.2a091e0094451p-17, -0x1.29c0eb0bc6ed7p-17, -0x1.2975bd515768ap-17, -0x1.29279f0e0b04bp-17, -0x1.28d69a6a59427p-17, -0x1.2882b97a8711fp-17, -0x1.282c063ec63dbp-17, -0x1.27d28aa3313c4p-17, -0x1.2776507fff374p-17, -0x1.271761998f927p-17, -0x1.26b5c7a074dffp-17, -0x1.26518c3199e9cp-17, -0x1.25eab8d64809p-17, -0x1.258157043e59cp-17, -0x1.2515701de49abp-17, -0x1.24a70d7242d0fp-17, -0x1.2436383d0caadp-17, -0x1.23c2f9a6eadadp-17, -0x1.234d5ac5542dfp-17, -0x1.22d5649aca383p-17, -0x1.225b2016f7297p-17, -0x1.21de9616a6e26p-17, -0x1.215fcf63e615cp-17, -0x1.20ded4b62324p-17, -0x1.205baeb242237p-17, -0x1.1fd665eaa3813p-17, -0x1.1f4f02df493p-17, -0x1.1ec58dfdf75eep-17, -0x1.1e3a0fa23e211p-17, -0x1.1dac90158a009p-17, -0x1.1d1d178f3e39p-17, -0x1.1c8bae34cf85dp-17, -0x1.1bf85c19d3fc4p-17, -0x1.1b63294030277p-17, -0x1.1acc1d98146ffp-17, -0x1.1a33410010b57p-17, -0x1.19989b4534284p-17, -0x1.18fc342339ac6p-17, -0x1.185e13447b74cp-17, -0x1.17be40421e1a6p-17, -0x1.171cc2a428d27p-17, -0x1.1679a1e17ef21p-17, -0x1.15d4e560143ecp-17, -0x1.152e947511644p-17, -0x1.1486b664bc2d4p-17, -0x1.13dd5262a5eb4p-17, -0x1.13326f91da4c8p-17, -0x1.12861504d23f2p-17, -0x1.11d849bd8f2ddp-17, -0x1.112914adbb232p-17, -0x1.10787cb6c44fep-17, -0x1.0fc688a9f23bp-17, -0x1.0f133f48670d1p-17, -0x1.0e5ea7434552dp-17, -0x1.0da8c73bc79f4p-17, -0x1.0cf1a5c362452p-17, -0x1.0c39495bcc6bp-17, -0x1.0b7fb8770079ep-17, -0x1.0ac4f97785e6fp-17, -0x1.0a0912b05a6e2p-17, -0x1.094c0a651740ap-17, -0x1.088de6ca16588p-17, -0x1.07ceae046716p-17, -0x1.070e662a01d77p-17, -0x1.064d1541ec94p-17, -0x1.058ac1441a4a2p-17, -0x1.04c770199d261p-17, -0x1.0403279ce0bb3p-17, -0x1.033ded998996cp-17, -0x1.0277c7cc96656p-17, -0x1.01b0bbe490ce3p-17, -0x1.00e8cf8198d5p-17, -0x1.0020083560d1cp-17, -0x1.feacd706bd298p-18, -0x1.fd17fdc1b9ae6p-18, -0x1.fb818f6a411c8p-18, -0x1.f9e996b29ccdap-18, -0x1.f8501e3144ccdp-18, -0x1.f6b5306142fcep-18, -0x1.f518d7a1deeefp-18, -0x1.f37b1e371fdfep-18, -0x1.f1dc0e49da44cp-18, -0x1.f03bb1e7eb2acp-18, -0x1.ee9a130463733p-18, -0x1.ecf73b77b154fp-18, -0x1.eb5334ffa7474p-18, -0x1.e9ae093fce26ep-18, -0x1.e807c1c1ab40dp-18, -0x1.e66067f48d4d7p-18, -0x1.e4b8052dee705p-18, -0x1.e30ea2aa0455cp-18, -0x1.e164498b03b23p-18, -0x1.dfb902da01f0fp-18, -0x1.de0cd7870fb93p-18, -0x1.dc5fd06908817p-18, -0x1.dab1f63e041fap-18, -0x1.d90351ab89cd6p-18, -0x1.d753eb3e88162p-18, -0x1.d5a3cb6b8f59dp-18, -0x1.d3f2fa8eea4cap-18, -0x1.d24180ed35dcfp-18, -0x1.d08f66b2d0385p-18, -0x1.cedcb3f48aebfp-18, -0x1.cd2970afe48a1p-18, -0x1.cb75a4caa1306p-18, -0x1.c9c15813b28e8p-18, -0x1.c80c92428a626p-18, -0x1.c6575af80bb7cp-18, -0x1.c4a1b9be5f62ap-18, -0x1.c2ebb608d97aap-18, -0x1.c135573484dbep-18, -0x1.bf7ea4886324p-18, -0x1.bdc7a535020c8p-18, -0x1.bc10605518cafp-18, -0x1.ba58dcedcf41dp-18, -0x1.b8a121ee59fdp-18, -0x1.b6e936309fa2fp-18, -0x1.b53120795aae4p-18, -0x1.b378e777b5b2ep-18, -0x1.b1c091c624fbdp-18, -0x1.b00825ea3b4eap-18, -0x1.ae4faa54bcf1bp-18, -0x1.ac972561e03c3p-18, -0x1.aade9d599886fp-18, -0x1.a926186f9a357p-18, -0x1.a76d9cc339466p-18, -0x1.a5b5306042f1p-18, -0x1.a3fcd93e58333p-18, -0x1.a2449d41b94f4p-18, -0x1.a08c823b0132ap-18, -0x1.9ed48de76eab7p-18, -0x1.9d1cc5f15283bp-18, -0x1.9b652fef78786p-18, -0x1.99add1662699p-18, -0x1.97f6afc6debbbp-18, -0x1.963fd070313cep-18, -0x1.948938aeaa7f6p-18, -0x1.92d2edbc4c522p-18, -0x1.911cf4c0c4203p-18, -0x1.8f6752d213d7cp-18, -0x1.8db20cf40e319p-18, -0x1.8bfd2818d81b3p-18, -0x1.8a48a921261bdp-18, -0x1.889494dc00f41p-18, -0x1.86e0f0072ed22p-18, -0x1.852dbf4f8046fp-18, -0x1.837b07506fb7cp-18, -0x1.81c8cc94b00a5p-18, -0x1.801713964ced5p-18, -0x1.7e65e0be8bb73p-18, -0x1.7cb5386647587p-18, -0x1.7b051ed612f1bp-18, -0x1.79559846230eep-18, -0x1.77a6a8ded8de1p-18, -0x1.75f854b852a41p-18, -0x1.744a9fdb4edc9p-18, -0x1.729d8e40712a5p-18, -0x1.70f123d128eccp-18, -0x1.6f45646783b5ap-18, -0x1.6d9a53cde6f51p-18, -0x1.6beff5c0176aap-18, -0x1.6a464dea903e7p-18, -0x1.689d5feacdf1bp-18, -0x1.66f52f5002837p-18, -0x1.654dbf9a48cbep-18, -0x1.63a7143b8d168p-18, -0x1.620130975c6c1p-18, -0x1.605c1802e2d7bp-18, -0x1.5eb7cdc564bf9p-18, -0x1.5d14551817b19p-18, -0x1.5b71b12636da4p-18, -0x1.59cfe50d9e165p-18, -0x1.582ef3de2d702p-18, -0x1.568ee09a8b1a9p-18, -0x1.54efae37fd1b2p-18, -0x1.53515f9e7e0acp-18, -0x1.51b3f7a8f594p-18, -0x1.501779255f5c4p-18, -0x1.4e7be6d4d2cc1p-18, -0x1.4ce1436ba5ef5p-18, -0x1.4b4791919de18p-18, -0x1.49aed3e201d39p-18, -0x1.48170ceb89c0ap-18, -0x1.46803f3109a3dp-18, -0x1.44ea6d28bd091p-18, -0x1.4355993d23d66p-18, }}, 
      {{-0x1.c5ad920826bfep-15, -0x1.c62b2fad1f882p-13, -0x1.ffd2643cf740ep-12, -0x1.c7fcf5e486b7dp-11, -0x1.653530f0d8648p-10, -0x1.01f878efdce1dp-9, -0x1.6043ddf67f419p-9, -0x1.cda2ecf4da38ap-9, -0x1.2519dcdcb1cd2p-8, -0x1.6b04cf16d7f84p-8, -0x1.b8959040377cp-8, -0x1.06e41811f5f7cp-7, -0x1.35487ff1ccb0ap-7, -0x1.676e1f372fdd1p-7, -0x1.9d46fb1b6f45p-7, -0x1.d6c102c3110e6p-7, -0x1.09e312bb80767p-6, -0x1.2a1e3be93a1fbp-6, -0x1.4c03327e0f629p-6, -0x1.6f81749ec79b8p-6, -0x1.9486e9c7154d6p-6, -0x1.bb0005f75f721p-6, -0x1.e2d7ee5d52ebcp-6, -0x1.05fc4f569d0d2p-5, -0x1.1b258741cb828p-5, -0x1.30dbab22d0a8ap-5, -0x1.471269899f39fp-5, -0x1.5dbd24bae8c8bp-5, -0x1.74cf034636847p-5, -0x1.8c3affc408eb1p-5, -0x1.a3f3f7ace0208p-5, -0x1.bbecb9401facp-5, -0x1.d4181076caef3p-5, -0x1.ec68d301f347ap-5, -0x1.0268f5abe385ap-4, -0x1.0ea3316a4980bp-4, -0x1.1adcb57b6201bp-4, -0x1.270f32df25ae3p-4, -0x1.3334769c696d9p-4, -0x1.3f466d2256725p-4, -0x1.4b3f254a8addcp-4, -0x1.5718d3013d98cp-4, -0x1.62cdd198d6275p-4, -0x1.6e58a5ce6edfdp-4, -0x1.79b3ff84ad5c2p-4, -0x1.84dabb3a42ca2p-4, -0x1.8fc7e341558cap-4, -0x1.9a76b0bce4e67p-4, -0x1.a4e28c6916db9p-4, -0x1.af070f332bae7p-4, -0x1.b8e002a59a6e6p-4, -0x1.c269612ca5f78p-4, -0x1.cb9f56377558dp-4, -0x1.d47e3e397c77ap-4, -0x1.dd02a68fcec64p-4, -0x1.e5294d4d870dap-4, -0x1.ecef20f2683fcp-4, -0x1.f451400e5596dp-4, -0x1.fb4cf8d43cbf4p-4, -0x1.00efe44f48d2ep-3, -0x1.0403adb3bbfefp-3, -0x1.06e0c59b1248dp-3, -0x1.09862fc1a0c17p-3, -0x1.0bf3064ab3f6cp-3, -0x1.0e26796b7cd36p-3, -0x1.101fcf131557fp-3, -0x1.11de629015afep-3, -0x1.1361a433f2ce9p-3, -0x1.14a918f4804c2p-3, -0x1.15b45a0bb9944p-3, -0x1.16831495fc9d3p-3, -0x1.1715092ed8776p-3, -0x1.176a0b8c7dc69p-3, -0x1.17820219e0fb4p-3, -0x1.175ce58f9a9b7p-3, -0x1.16fac08b81369p-3, -0x1.165baf270a349p-3, -0x1.157fde8c6b591p-3, -0x1.14678c8a7cf9ep-3, -0x1.13130727606e8p-3, -0x1.1182ac31ec797p-3, -0x1.0fb6e8d1ddeadp-3, -0x1.0db03916def3bp-3, -0x1.0b6f27865717ap-3, -0x1.08f44ca828ae4p-3, -0x1.06404e9250857p-3, -0x1.0353e0738ad2bp-3, -0x1.002fc21d047e8p-3, -0x1.f9a97f1669db8p-4, -0x1.f28760dbeacdep-4, -0x1.eafaef5fdd668p-4, -0x1.e30605fb0ae55p-4, -0x1.daaa9496a2e5p-4, -0x1.d1ea9eb89d4c6p-4, -0x1.c8c83a8fd41e7p-4, -0x1.bf459000066bcp-4, -0x1.b564d7ae1fe05p-4, -0x1.ab285a0d07c69p-4, -0x1.a0926e6b486dp-4, -0x1.95a57a01c0303p-4, -0x1.8a63ef03d55edp-4, -0x1.7ed04bb1434f5p-4, -0x1.72ed1969edb9ep-4, -0x1.66bcebc3ee95ep-4, -0x1.5a425fa42bb64p-4, -0x1.4d801a59aff41p-4, -0x1.4078c8bc11174p-4, -0x1.332f1e4d1608bp-4, -0x1.25a5d45de0811p-4, -0x1.17dfa937c8d37p-4, -0x1.09df5f49290cp-4, -0x1.f74f78ac849f3p-5, -0x1.da77115ccf2c2p-5, -0x1.bd3b1ccb3fc5p-5, -0x1.9fa13125bd2bbp-5, -0x1.81aee525ea156p-5, -0x1.6369cea0c9c5bp-5, -0x1.44d7812041244p-5, -0x1.25fd8c86c3d0ap-5, -0x1.06e17bbd41f81p-5, -0x1.cf11a6d703b0cp-6, -0x1.8ff2217605b27p-6, -0x1.506f50490720fp-6, -0x1.1094089067aedp-6, -0x1.a0d61342b98b6p-7, -0x1.1ffdf582b82cbp-7, -0x1.3d69a45c68263p-8, -0x1.d0f8b623b3a65p-11, 0x1.9374e2f265277p-9, 0x1.cdfa273e97663p-8, 0x1.693be1bf42d58p-7, 0x1.eb85c5e6cdfb3p-7, 0x1.36e39627e4753p-6, 0x1.77f666cc76455p-6, 0x1.b8f1d8c8fda78p-6, 0x1.f9cc98efcdd43p-6, 0x1.1d3ebf1dcfc4bp-5, 0x1.3d7dc57ce51a1p-5, 0x1.5d9ef6f091ec3p-5, 0x1.7d9e018af24d1p-5, 0x1.9d76aa8d588bep-5, 0x1.bd24ced7b711p-5, 0x1.dca4634ef75a9p-5, 0x1.fbf1753a89bf9p-5, 0x1.0d84154ca5695p-4, 0x1.1cf261370261dp-4, 0x1.2c41ca81cefe7p-4, 0x1.3b708a14a5f28p-4, 0x1.4a7ce5b371e65p-4, 0x1.59653014c3478p-4, 0x1.6827c8f46d208p-4, 0x1.76c31d22862dp-4, 0x1.8535a68edb884p-4, 0x1.937dec5106ecdp-4, 0x1.a19a82ad25e1ap-4, 0x1.af8a0b1566f5p-4, 0x1.bd4b34286ec9p-4, 0x1.cadcb9acc7c6dp-4, 0x1.d83d64895e3dcp-4, 0x1.e56c0abb318eap-4, 0x1.f2678f4851f8ep-4, 0x1.ff2ee23043a88p-4, 0x1.05e0802ceb6d9p-3, 0x1.0c0e79bf4de7bp-3, 0x1.1220e90a02edp-3, 0x1.18175f992b1f9p-3, 0x1.1df1753cad91bp-3, 0x1.23aec7f99908fp-3, 0x1.294efbfa870c5p-3, 0x1.2ed1bb7f14175p-3, 0x1.3436b6ca769f3p-3, 0x1.397da41136abep-3, 0x1.3ea63f6623ee3p-3, 0x1.43b04aa684294p-3, 0x1.489b8d6589c6p-3, 0x1.4d67d4d72183ep-3, 0x1.5214f3ba1acb8p-3, 0x1.56a2c241b6f48p-3, 0x1.5b111dfeae719p-3, 0x1.5f5fe9c7ab025p-3, 0x1.638f0da14c071p-3, 0x1.679e76a5afaf9p-3, 0x1.6b8e16eb9e0adp-3, 0x1.6f5de56d4b6b7p-3, 0x1.730dddeec112bp-3, 0x1.769e00e4005f3p-3, 0x1.7a0e5356d0a87p-3, 0x1.7d5edecc5853ep-3, 0x1.808fb12a75b3fp-3, 0x1.83a0dc9cf132ep-3, 0x1.8692777a7ab6fp-3, 0x1.89649c298ca31p-3, 0x1.8c17690534749p-3, 0x1.8eab0041c0fcbp-3, 0x1.911f87d1660cap-3, 0x1.93752948dada5p-3, 0x1.95ac11c3f3ff1p-3, 0x1.97c471ca41dc7p-3, 0x1.99be7d33b98f3p-3, 0x1.9b9a6b0d705abp-3, 0x1.9d58757e6608fp-3, 0x1.9ef8d9ac71981p-3, 0x1.a07bd7a146894p-3, 0x1.a1e1b22fa0024p-3, 0x1.a32aaed894655p-3, 0x1.a45715b11a2aap-3, 0x1.a5673147b5311p-3, 0x1.a65b4e8a60bf5p-3, 0x1.a733bcacb00eep-3, 0x1.a7f0cd0e2b883p-3, 0x1.a892d320ee34ap-3, 0x1.a91a245087cd7p-3, 0x1.a98717e92527dp-3, 0x1.a9da06ff02853p-3, 0x1.aa134c562b4aep-3, 0x1.aa33444a88e3bp-3, 0x1.aa3a4cb844511p-3, 0x1.aa28c4e47def6p-3, 0x1.a9ff0d6654649p-3, 0x1.a9bd8810543b3p-3, 0x1.a96497da2f9e5p-3, 0x1.a8f4a0cae2466p-3, 0x1.a86e07e32d5c6p-3, 0x1.a7d1330870998p-3, 0x1.a71e88eff079ep-3, 0x1.a656710a6ffecp-3, 0x1.a57953703cca8p-3, 0x1.a48798cd995aap-3, 0x1.a381aa4f8d4aep-3, 0x1.a267f1911e448p-3, 0x1.a13ad888f51eep-3, 0x1.9ffac97763c1dp-3, 0x1.9ea82ed4d9dc9p-3, 0x1.9d437340c2494p-3, 0x1.9bcd0170c5981p-3, 0x1.9a45442080b61p-3, 0x1.98aca6019d373p-3, 0x1.970391ac56b22p-3, 0x1.954a719069aa8p-3, 0x1.9381afe66f8cbp-3, 0x1.91a9b6a1a437ap-3, 0x1.8fc2ef620e0aap-3, 0x1.8dcdc3671d93bp-3, 0x1.8bca9b82a6f65p-3, 0x1.89b9e00c4dab7p-3, 0x1.879bf8d554882p-3, 0x1.85714d1cd832fp-3, 0x1.833a43846a5b2p-3, 0x1.80f74205167d5p-3, 0x1.7ea8ade4ccb16p-3, 0x1.7c4eebac2fdd3p-3, 0x1.79ea5f1cc3c86p-3, 0x1.777b6b278219fp-3, 0x1.750271e3ce556p-3, 0x1.727fd486c7f62p-3, 0x1.6ff3f35b00d14p-3, 0x1.6d5f2db889ab4p-3, 0x1.6ac1e1fd66988p-3, 0x1.681c6d8651a74p-3, 0x1.656f2ca7e00d9p-3, 0x1.62ba7aa8002e4p-3, 0x1.5ffeb1b7cc0f8p-3, 0x1.5d3c2aedb2e5fp-3, 0x1.5a733e3ff62fep-3, 0x1.57a4427f7ec6fp-3, 0x1.54cf8d52fd966p-3, 0x1.51f573326285ep-3, 0x1.4f1647629d47p-3, 0x1.4c325bf1b0d18p-3, 0x1.494a01b30e1f9p-3, 0x1.465d883c3c519p-3, 0x1.436d3de1cb965p-3, 0x1.40796fb48686fp-3, 0x1.3d82697ef631cp-3, 0x1.3a8875c323b7fp-3, 0x1.378bddb8969c1p-3, 0x1.348ce94aa4df1p-3, 0x1.318bdf16eff8ep-3, 0x1.2e89046c2d76bp-3, 0x1.2b849d4926228p-3, 0x1.287eec5bf1dbep-3, 0x1.257833016c9dcp-3, 0x1.2270b144e12b9p-3, 0x1.1f68a5dfedcdp-3, 0x1.1c604e3a9cefp-3, 0x1.1957e66baf06bp-3, 0x1.164fa93915b6dp-3, 0x1.1347d018a3bb8p-3, 0x1.10409330e54cdp-3, 0x1.0d3a295a2c665p-3, 0x1.0a34c81fc11fbp-3, 0x1.0730a3c14346bp-3, 0x1.042def3431cccp-3, 0x1.012cdc2597252p-3, 0x1.fc5b35f7bc343p-4, 0x1.f660b5b19c6dfp-4, 0x1.f06a9337452afp-4, 0x1.ea7927c69789fp-4, 0x1.e48cca21982a8p-4, 0x1.dea5ce9368d93p-4, 0x1.d8c486f57e0cfp-4, 0x1.d2e942b50aecbp-4, 0x1.cd144ed8acaa6p-4, 0x1.c745f6063588bp-4, 0x1.c17e8088c385ap-4, 0x1.bbbe3456ec21fp-4, 0x1.b60555192073ep-4, 0x1.b0542430443e6p-4, 0x1.aaaae0bc58623p-4, 0x1.a509c7a354cedp-4, 0x1.9f7113982cacp-4, 0x1.99e0fd21e41afp-4, 0x1.9459baa2ce6d8p-4, 0x1.8edb805fe9ebdp-4, 0x1.896680884e6c9p-4, 0x1.83faeb3cb86dp-4, 0x1.7e98ee972dd87p-4, 0x1.7940b6b2b24afp-4, 0x1.73f26db30f079p-4, 0x1.6eae3bccaf2a5p-4, 0x1.6974474c86681p-4, 0x1.6444b4a005p-4, 0x1.5f1fa65d1ead2p-4, 0x1.5a053d4a4ec74p-4, 0x1.54f59866b2616p-4, 0x1.4ff0d4f21da7ep-4, 0x1.4af70e753e711p-4, 0x1.46085ec9be45cp-4, 0x1.4124de2267ef4p-4, 0x1.3c4ca3134e6d7p-4, 0x1.377fc299f1fd2p-4, 0x1.32be502564c4fp-4, 0x1.2e085d9e6ea06p-4, 0x1.295dfb6fa4c7fp-4, 0x1.24bf388d86cp-4, 0x1.202c227e8e431p-4, 0x1.1ba4c56336337p-4, 0x1.17292bfdff16p-4, 0x1.12b95fbb63e5p-4, 0x1.0e5568b9c8608p-4, 0x1.09fd4dd15897fp-4, 0x1.05b1149bdef35p-4, 0x1.0170c17c8a94bp-4, 0x1.fa78af4f50011p-5, 0x1.f227b254981adp-5, 0x1.e9ee8de3dda28p-5, 0x1.e1cd41a7e669dp-5, 0x1.d9c3cb2a457c2p-5, 0x1.d1d225e2249b2p-5, 0x1.c9f84b42f02d3p-5, 0x1.c23632cadbc42p-5, 0x1.ba8bd2113bb69p-5, 0x1.b2f91cd4bd4cdp-5, 0x1.ab7e05096be97p-5, 0x1.a41a7ae69b1a1p-5, 0x1.9cce6cf498029p-5, 0x1.9599c81a346e5p-5, 0x1.8e7c77aa258dp-5, 0x1.8776657039de3p-5, 0x1.808779be56d1fp-5, 0x1.79af9b79522bep-5, 0x1.72eeb0259b326p-5, 0x1.6c449bf3aa842p-5, 0x1.65b141cc4ebe1p-5, 0x1.5f34835cc785fp-5, 0x1.58ce4122a4c3dp-5, 0x1.527e5a7784153p-5, 0x1.4c44ad9c8f9f4p-5, 0x1.462117c5d46a6p-5, 0x1.40137525677c7p-5, 0x1.3a1ba0f653009p-5, 0x1.3439758755b2bp-5, 0x1.2e6ccc456f45bp-5, 0x1.28b57dc6401aep-5, 0x1.231361d22a58cp-5, 0x1.1d864f6e540b1p-5, 0x1.180e1ce6617c8p-5, 0x1.12aa9fd60fe59p-5, 0x1.0d5bad329afb1p-5, 0x1.08211953e543bp-5, 0x1.02fab7fd7fb4dp-5, 0x1.fbd0b8cee997p-6, 0x1.f1d3b28dcb1a9p-6, 0x1.e7fe01acf8a1dp-6, 0x1.de4f49bd4ba62p-6, 0x1.d4c72d7b4024dp-6, 0x1.cb654edeaae64p-6, 0x1.c2294f2a23112p-6, 0x1.b912cef9f14ccp-6, 0x1.b0216e52c3132p-6, 0x1.a754ccafe1755p-6, 0x1.9eac891122361p-6, 0x1.9628420879301p-6, 0x1.8dc795c72cda3p-6, 0x1.858a222ab388dp-6, 0x1.7d6f84c931b0ap-6, 0x1.75775afdb76bap-6, 0x1.6da141f40a96ap-6, 0x1.65ecd6b437ef4p-6, 0x1.5e59b62db2e6ap-6, 0x1.56e77d42459a4p-6, 0x1.4f95c8d087c42p-6, 0x1.486435be27edap-6, 0x1.41526101d70b3p-6, 0x1.3a5fe7acdb6d9p-6, 0x1.338c66f467e36p-6, 0x1.2cd77c3a948efp-6, 0x1.2640c51728968p-6, 0x1.1fc7df5ffd17cp-6, 0x1.196c69311a70ap-6, 0x1.132e00f4ac043p-6, 0x1.0d0c456a814b5p-6, 0x1.0706d5af6fefap-6, 0x1.011d514459036p-6, 0x1.f69eb029f44c6p-7, 0x1.eb3914fcedc7cp-7, 0x1.e00912ab305e8p-7, 0x1.d50debd9d15d4p-7, 0x1.ca46e434de6f3p-7, 0x1.bfb3407a852eap-7, 0x1.b5524685ce571p-7, 0x1.ab233d58b2e54p-7, 0x1.a1256d25e970ep-7, 0x1.97581f5a2f3a8p-7, 0x1.8dba9ea53186dp-7, 0x1.844c3701efddap-7, 0x1.7b0c35bedabb2p-7, 0x1.71f9e9856c8ddp-7, 0x1.6914a26160309p-7, 0x1.605bb1c7a105cp-7, 0x1.57ce6a9cbb00dp-7, 0x1.4f6c213af204ep-7, 0x1.47342b7811358p-7, 0x1.3f25e0aac7b74p-7, 0x1.374099afbc41dp-7, 0x1.2f83b0ee45371p-7, 0x1.27ee825cd496ep-7, 0x1.20806b850fc94p-7, 0x1.1938cb87852ccp-7, 0x1.1217031f3f4dbp-7, 0x1.0b1a74a4d94fbp-7, 0x1.0442841179716p-7, 0x1.fb1d2e02cc77dp-8, 0x1.edfc296cbd834p-8, 0x1.e120cc3368785p-8, 0x1.d489eb7c284c8p-8, 0x1.c8365fc255021p-8, 0x1.bc2504d9efecep-8, 0x1.b054b9f1ce332p-8, 0x1.a4c4619559799p-8, 0x1.9972e1ae0b511p-8, 0x1.8e5f238407be4p-8, 0x1.838813bee6327p-8, 0x1.78eca265afdb8p-8, 0x1.6e8bc2de789ebp-8, 0x1.64646bede06edp-8, 0x1.5a7597b5e19d8p-8, 0x1.50be43b48ed99p-8, 0x1.473d70c262463p-8, 0x1.3df2231006df2p-8, 0x1.34db622433985p-8, 0x1.2bf838d8f077p-8, 0x1.2347b55898f5p-8, 0x1.1ac8e91ab54b7p-8, 0x1.127ae8e087beap-8, 0x1.0a5cccb12879ap-8, 0x1.026dafd5a8747p-8, 0x1.f55961a9be1f6p-9, 0x1.e631e2ddab7a4p-9, 0x1.d7632d306a1fap-9, 0x1.c8eb90eab0946p-9, 0x1.bac964aa76695p-9, 0x1.acfb055886287p-9, 0x1.9f7ed61d7d75p-9, 0x1.925340565d243p-9, 0x1.8576b389acd48p-9, 0x1.78e7a55ab1efdp-9, 0x1.6ca4917dfa235p-9, 0x1.60abf9ac9a432p-9, 0x1.54fc65975dfb8p-9, 0x1.499462da290b6p-9, 0x1.3e7284ee8684ap-9, 0x1.3395651e7177ap-9, 0x1.28fba27688708p-9, 0x1.1ea3e1b83ac31p-9, 0x1.148ccd4c25205p-9, 0x1.0ab515339960cp-9, 0x1.011b6efa3851dp-9, 0x1.ef7d2b500b599p-10, 0x1.dd3a9364a3612p-10, 0x1.cb6ca1dace66cp-10, 0x1.ba10ecfac792p-10, 0x1.a925158fa3211p-10, 0x1.98a6c6c82b09bp-10, 0x1.8893b619e8ecp-10, 0x1.78e9a3225cc61p-10, 0x1.69a65788c3c4ap-10, 0x1.5ac7a6df7e402p-10, 0x1.4c4b6e85e2f05p-10, 0x1.3e2f958983221p-10, 0x1.30720c87670c1p-10, 0x1.2310cd8ddb612p-10, 0x1.1609dbfd73188p-10, 0x1.095b446adbc1bp-10, 0x1.fa0638fea2a66p-11, 0x1.e1ff05b62c65p-11, 0x1.ca9d3ded64062p-11, 0x1.b3dd420787635p-11, 0x1.9dbb839edd5b9p-11, 0x1.88348547a200cp-11, 0x1.7344da53b6738p-11, 0x1.5ee92695dc8dcp-11, 0x1.4b1e1e269442ep-11, 0x1.37e0852776238p-11, 0x1.252d2f8928a3dp-11, 0x1.130100ce94912p-11, 0x1.0158ebd352d12p-11, 0x1.e063e52308c2dp-12, 0x1.bf124bcb60ba3p-12, 0x1.9eb74aaf6e329p-12, 0x1.7f4d3dbe9e48cp-12, 0x1.60ce9d57f85dfp-12, 0x1.4335fdd92ba1ap-12, 0x1.267e0f2ca4e91p-12, 0x1.0aa19c5c4652dp-12, 0x1.df3716438e12fp-13, 0x1.aacdb6f147af6p-13, 0x1.77fd4e649afe9p-13, 0x1.46bc43142d51dp-13, 0x1.17012d737e02p-13, 0x1.d185ae3fc1b6dp-14, 0x1.77f07422ef555p-14, 0x1.2130ff9218129p-14, 0x1.9a6c02098acfdp-15, 0x1.efba1351edff6p-16, 0x1.6a4f8d2fad9e7p-17, -0x1.ec7f91cfeaa3dp-18, -0x1.a15c937ef5ec5p-16, -0x1.5ee64aa551957p-15, -0x1.e85673ffea00ep-15, -0x1.368e4fbdc0443p-14, -0x1.76ab02282478bp-14, -0x1.b48f9d1a08e54p-14, -0x1.f04a1e17e9ffep-14, -0x1.14f41adefef91p-13, -0x1.30bba4934bb1dp-13, -0x1.4b8239a575fd8p-13, -0x1.654e43310db1fp-13, -0x1.7e26069d11d8dp-13, -0x1.960fa644359dcp-13, -0x1.ad11222315a6ap-13, -0x1.c330587677c2p-13, -0x1.d87306642ba8p-13, -0x1.ecdec89a07cf8p-13, -0x1.003c8df77ea4ep-12, -0x1.09a3aefea55b1p-12, -0x1.12a766df327abp-12, -0x1.1b4a461205d7fp-12, -0x1.238ece56dc5adp-12, -0x1.2b7772fe1e661p-12, -0x1.330699325b605p-12, -0x1.3a3e983fb2b72p-12, -0x1.4121b9da83557p-12, -0x1.47b23a65a2681p-12, -0x1.4df2493525bb5p-12, -0x1.53e408d469dbcp-12, -0x1.59898f45c59f4p-12, -0x1.5ee4e646cf43p-12, -0x1.63f80b8dd8809p-12, -0x1.68c4f10b799d5p-12, -0x1.6d4d7d2703c8dp-12, -0x1.71938afd51aa5p-12, -0x1.7598ea9b91f54p-12, -0x1.795f613b41fb7p-12, -0x1.7ce8a97bfb9b2p-12, -0x1.8036739d3eaafp-12, -0x1.834a65b5925bep-12, -0x1.86261beb359f1p-12, -0x1.88cb28a92c344p-12, -0x1.8b3b14d55ad58p-12, -0x1.8d7760046687ap-12, -0x1.8f8180adc6ce9p-12, -0x1.915ae45ceefc7p-12, -0x1.9304efe522b32p-12, -0x1.9480ff8ffde97p-12, -0x1.95d0674eea568p-12, -0x1.96f472e92ddebp-12, -0x1.97ee662a243bcp-12, -0x1.98bf7d0eda92p-12, -0x1.9968ebf22f5e1p-12, -0x1.99ebdfb814cecp-12, -0x1.9a497df8b732fp-12, -0x1.9a82e52a0aedap-12, -0x1.9a992cc939fc9p-12, -0x1.9a8d6582af103p-12, -0x1.9a609959eb7f6p-12, -0x1.9a13cbcf99112p-12, -0x1.99a7fa082f0bap-12, -0x1.991e1af11fa91p-12, -0x1.98771f64aed35p-12, -0x1.97b3f24e27e67p-12, -0x1.96d578cd4d4a4p-12, -0x1.95dc9257b7534p-12, -0x1.94ca18db33649p-12, -0x1.939ee0de6f1f5p-12, -0x1.925bb9a125eb6p-12, -0x1.91016d3be8447p-12, -0x1.8f90c0bed0c2ep-12, -0x1.8e0a744fec213p-12, -0x1.8c6f4348feacep-12, -0x1.8abfe4540eea8p-12, -0x1.88fd098839a21p-12, -0x1.87276085b64ddp-12, -0x1.853f92901fee3p-12, -0x1.834644aa3250ap-12, -0x1.813c17aef068p-12, -0x1.7f21a86b98026p-12, -0x1.7cf78fb8442d2p-12, -0x1.7abe6290669d6p-12, -0x1.7876b22ae6927p-12, -0x1.76210c10d93c2p-12, -0x1.73bdfa34cc7edp-12, -0x1.714e0308a96dbp-12, -0x1.6ed1a9938534ep-12, -0x1.6c496d8778514p-12, -0x1.69b5cb55acab4p-12, -0x1.67173c42ffdc2p-12, -0x1.646e367bf729ep-12, -0x1.61bb2d27fcaa1p-12, -0x1.5efe907c274cdp-12, -0x1.5c38cdce84288p-12, -0x1.596a4fa726f8p-12, -0x1.56937dd28441fp-12, -0x1.53b4bd72a9056p-12, -0x1.50ce710f9785cp-12, -0x1.4de0f8a81521dp-12, -0x1.4aecb1c19f8a8p-12, -0x1.47f1f7786cc92p-12, -0x1.44f1228e3004fp-12, -0x1.41ea897980dd5p-12, -0x1.3ede807409c3bp-12, -0x1.3bcd5989043fp-12, -0x1.38b764a2f22e2p-12, -0x1.359cef9947463p-12, -0x1.327e463d89a91p-12, -0x1.2f5bb26844fecp-12, -0x1.2c357c05a0555p-12, -0x1.290be9216d588p-12, -0x1.25df3df328ad4p-12, -0x1.22afbcea04348p-12, -0x1.1f7da6b7de971p-12, -0x1.1c493a5c922f4p-12, -0x1.1912b5308d8d8p-12, -0x1.15da52ef7e00bp-12, -0x1.12a04dc27f9f3p-12, -0x1.0f64de4a236d5p-12, -0x1.0c283ba85096p-12, -0x1.08ea9b89af31fp-12, -0x1.05ac322f01f12p-12, -0x1.026d327601aafp-12, -0x1.fe5b9bc48ce1bp-13, -0x1.f7dc694b77f8fp-13, -0x1.f15d2b5260797p-13, -0x1.eade3d28de165p-13, -0x1.e45ff7abd7e16p-13, -0x1.dde2b15555079p-13, -0x1.d766be4b78fb5p-13, -0x1.d0ec706f56308p-13, -0x1.ca74176a8afefp-13, -0x1.c3fe00bde4a0fp-13, -0x1.bd8a77ced8f58p-13, -0x1.b719c5f42d7d2p-13, -0x1.b0ac3282f3e8bp-13, -0x1.aa4202db63876p-13, -0x1.a3db7a7489776p-13, -0x1.9d78dae82c2e9p-13, -0x1.971a63fe8afb7p-13, -0x1.90c053b949daap-13, -0x1.8a6ae65ea55b6p-13, -0x1.841a5683ce57fp-13, -0x1.7dcedd177904cp-13, -0x1.7788b16bad0c1p-13, -0x1.71480940080e2p-13, -0x1.6b0d18ca806bcp-13, -0x1.64d812c13c969p-13, -0x1.5ea92863b0d54p-13, -0x1.58808982e8756p-13, -0x1.525e648a74b8cp-13, -0x1.4c42e6882b52p-13, -0x1.462e3b351638p-13, -0x1.40208cfcc43f6p-13, -0x1.3a1a050520ce3p-13, -0x1.341acb35d92cbp-13, -0x1.2e23064000e22p-13, -0x1.2832dba44dc85p-13, -0x1.224a6fba9f95ep-13, -0x1.1c69e5b8702f7p-13, -0x1.16915fb783eccp-13, -0x1.10c0febbf5eebp-13, -0x1.0af8e2ba9da1ep-13, -0x1.05392a9ef5404p-13, -0x1.ff03e8a26cbc3p-14, -0x1.f3a6b97698a75p-14, -0x1.e85aff9e68afbp-14, -0x1.dd20f118227aap-14, -0x1.d1f8c206f5449p-14, -0x1.c6e2a4bc43c76p-14, -0x1.bbdec9c325954p-14, -0x1.b0ed5fe9040f1p-14, -0x1.a60e94475962ap-14, -0x1.9b42924c47052p-14, -0x1.908983c463771p-14, -0x1.85e390e30543bp-14, -0x1.7b50e04ae6a14p-14, -0x1.70d197160035fp-14, -0x1.6665d8de8b4b5p-14, -0x1.5c0dc7c672a6ap-14, -0x1.51c9847e62ff8p-14, -0x1.47992e4d5a499p-14, -0x1.3d7ce3186f8e9p-14, -0x1.3374bf69f7646p-14, -0x1.2980de78083d7p-14, -0x1.1fa15a2b48f11p-14, -0x1.15d64b25a806bp-14, -0x1.0c1fc8c8680c3p-14, -0x1.027de93a8b66bp-14, -0x1.f1e182df0b56cp-15, -0x1.def0ca58ec309p-15, -0x1.cc29ce1d3197dp-15, -0x1.b98cb1214bfacp-15, -0x1.a719942017787p-15, -0x1.94d095a59f2a5p-15, -0x1.82b1d21907025p-15, -0x1.70bd63c74644cp-15, -0x1.5ef362ed29e65p-15, -0x1.4d53e5c1d6d18p-15, -0x1.3bdf007f44a29p-15, -0x1.2a94c56c34222p-15, -0x1.197544e6124bp-15, -0x1.08808d694dea5p-15, -0x1.ef6d573594795p-16, -0x1.ce2f54a0473d9p-16, -0x1.ad47252f71991p-16, -0x1.8cb4d7844fe0cp-16, -0x1.6c7876d26bb3cp-16, -0x1.4c920af1dac14p-16, -0x1.2d01986dbe787p-16, -0x1.0dc72092eaa15p-16, -0x1.ddc542ff07ad9p-17, -0x1.a0a82c6401d4ap-17, -0x1.6436ed2ec0b77p-17, -0x1.28716f33a8d85p-17, -0x1.daaf2cbb1ea16p-18, -0x1.65d28193b3563p-18, -0x1.e4991b8ae328ap-19, -0x1.0039ede221e02p-19, -0x1.e86af5f7f494ep-23, 0x1.810300a870f7ep-20, 0x1.9cdf96c30c617p-19, 0x1.3b4a4f220a5dcp-18, 0x1.a6d0dad34422ep-18, 0x1.088203f131207p-17, 0x1.3cf23cca38eep-17, 0x1.70b96e6da589bp-17, 0x1.a3d7f411ad1c2p-17, 0x1.d64e2d966a1fep-17, 0x1.040e3fb50daefp-16, 0x1.1ca1a93c01af1p-16, 0x1.34e18a097c3fbp-16, 0x1.4cce1aefcaf8dp-16, 0x1.646796decd23dp-16, 0x1.7bae3ad9f94a8p-16, 0x1.92a245f031624p-16, 0x1.a943f92e537c8p-16, 0x1.bf9397988bd9ep-16, 0x1.d591661f2558ap-16, 0x1.eb3dab9440782p-16, 0x1.004c585177866p-15, 0x1.0ad15fe3435b5p-15, 0x1.152e129fec898p-15, 0x1.1f629785de94ap-15, 0x1.296f166eb94b1p-15, 0x1.3353b80917f11p-15, 0x1.3d10a5d505af8p-15, 0x1.46a60a1ef4d44p-15, 0x1.50140ffbd8764p-15, 0x1.595ae345024b5p-15, 0x1.627ab0937b8b6p-15, 0x1.6b73a53c1b56ap-15, 0x1.7445ef4b78b83p-15, 0x1.7cf1bd81d8565p-15, 0x1.85773f4ef843ap-15, 0x1.8dd6a4cd7e811p-15, 0x1.96101ebf65237p-15, 0x1.9e23de8afdcb9p-15, 0x1.a6121635c98ddp-15, 0x1.addaf8613a1f6p-15, 0x1.b57eb846c7279p-15, 0x1.bcfd89b441e61p-15, 0x1.c457a10805e6p-15, 0x1.cb8d332d14cbcp-15, 0x1.d29e7597a6827p-15, 0x1.d98b9e41a9eaep-15, 0x1.e054e3a6f3657p-15, 0x1.e6fa7cc1cca37p-15, 0x1.ed7ca1073a9bep-15, 0x1.f3db886394ed7p-15, 0x1.fa176b375d625p-15, 0x1.00184129d8061p-14, 0x1.0313837b3dc46p-14, 0x1.05fd9963d60dcp-14, 0x1.08d69feaf134p-14, 0x1.0b9eb44949c9p-14, 0x1.0e55f3e7bf19ep-14, 0x1.10fc7c5d611a8p-14, 0x1.13926b6e0e0d7p-14, 0x1.1617df091d81p-14, 0x1.188cf54740a25p-14, 0x1.1af1cc6941959p-14, 0x1.1d4682d66186ap-14, 0x1.1f8b371b171abp-14, 0x1.21c007e7576d5p-14, 0x1.23e5140cec063p-14, 0x1.25fa7a7e1af3dp-14, 0x1.28005a4c9f6dp-14, 0x1.29f6d2a7ae2b3p-14, 0x1.2bde02da872f3p-14, 0x1.2db60a4b5e87dp-14, 0x1.2f7f0879f6bc1p-14, 0x1.31391cfdd8ab2p-14, 0x1.32e46784fba76p-14, 0x1.348107d30beap-14, 0x1.360f1dbf8a7d7p-14, 0x1.378ec934738b5p-14, 0x1.39002a2cf22cep-14, 0x1.3a6360b464939p-14, 0x1.3bb88ce4f2aaap-14, 0x1.3cffcee5d8573p-14, 0x1.3e3946eaab618p-14, 0x1.3f651531fb185p-14, 0x1.40835a0403691p-14, 0x1.419435b146351p-14, 0x1.4297c891d10cbp-14, 0x1.438e3303c453p-14, 0x1.4477956a12679p-14, 0x1.4554102b5f6b4p-14, 0x1.4623c3b11881dp-14, 0x1.46e6d06605f1ep-14, 0x1.479d56b534d2fp-14, 0x1.4847770937046p-14, 0x1.48e551cab1e24p-14, 0x1.4977075f2e5dcp-14, 0x1.49fcb82873fabp-14, 0x1.4a7684836c8a9p-14, 0x1.4ae48cc6c4b6cp-14, 0x1.4b46f14211d95p-14, 0x1.4b9dd23cc1c9dp-14, 0x1.4be94ff578043p-14, 0x1.4c298aa0cad71p-14, 0x1.4c5ea267f5955p-14, 0x1.4c88b768b5d19p-14, 0x1.4ca7e9b3a4639p-14, 0x1.4cbc594b9d5dep-14, 0x1.4cc62624941d1p-14, 0x1.4cc570231f166p-14, 0x1.4cba571b392b1p-14, 0x1.4ca4facf99957p-14, 0x1.4c857af088263p-14, 0x1.4c5bf71b791b8p-14, 0x1.4c288ed9fc08p-14, 0x1.4beb61a0b3e98p-14, 0x1.4ba48ecebb55dp-14, 0x1.4b5435ad268f3p-14, 0x1.4afa756dde0fep-14, 0x1.4a976d2ae8f45p-14, 0x1.4a2b3be5acf2cp-14, 0x1.49b600864daacp-14, 0x1.4937d9daf5707p-14, 0x1.48b0e696e2d35p-14, 0x1.48214551f18acp-14, 0x1.47891487e598fp-14, 0x1.46e8729799f7p-14, 0x1.463f7dc26e4e1p-14, 0x1.458e542bf165bp-14, 0x1.44d513d8dc791p-14, 0x1.4413daae3a7ffp-14, 0x1.434ac671484c7p-14, 0x1.4279f4c6f21e3p-14, 0x1.41a1833278ad2p-14, 0x1.40c18f15a64e6p-14, 0x1.3fda35b04ededp-14, 0x1.3eeb941f12875p-14, 0x1.3df5c75b3fd59p-14, 0x1.3cf8ec3a55fe3p-14, 0x1.3bf51f6d57347p-14, 0x1.3aea7d8087175p-14, 0x1.39d922daa1a78p-14, 0x1.38c12bbc97b92p-14, 0x1.37a2b4410f0d3p-14, 0x1.367dd85bddbb5p-14, 0x1.3552b3d9e45d5p-14, 0x1.342162603f12ep-14, 0x1.32e9ff6bc9ed5p-14, 0x1.31aca6513c7fcp-14, 0x1.3069723c445dcp-14, 0x1.2f207e2f25a1dp-14, 0x1.2dd1e502ebbefp-14, 0x1.2c7dc166c8a21p-14, 0x1.2b242ddf4897ep-14, 0x1.29c544c65a0bep-14, 0x1.2861204b2f165p-14, 0x1.26f7da716edcap-14, 0x1.25898d113fd5bp-14, 0x1.241651d704985p-14, 0x1.229e4242b6aa4p-14, 0x1.212177a7e5f5cp-14, 0x1.1fa00b2dc112ep-14, 0x1.1e1a15ce4c3d2p-14, 0x1.1c8fb05648776p-14, 0x1.1b00f36501a55p-14, 0x1.196df76c2492ap-14, 0x1.17d6d4af5815ap-14, 0x1.163ba344206b6p-14, 0x1.149c7b121008cp-14, 0x1.12f973d203f8p-14, 0x1.1152a50e388ffp-14, 0x1.0fa8262200224p-14, 0x1.0dfa0e39b7466p-14, 0x1.0c487452b1645p-14, 0x1.0a936f3af2a1ap-14, 0x1.08db1590cbe63p-14, 0x1.071f7dc35ffdp-14, 0x1.0560be12033fdp-14, 0x1.039eec8c25cbp-14, 0x1.01da1f11ce87bp-14, 0x1.00126b52bc26ap-14, 0x1.fc8fcd9d2f22ep-15, 0x1.f8f54daa14251p-15, 0x1.f555810afe01cp-15, 0x1.f1b0919e214f3p-15, 0x1.ee06a8e14b461p-15, 0x1.ea57eff1dd6eap-15, 0x1.e6a48f8c618a8p-15, 0x1.e2ecb00c6646p-15, 0x1.df30796cf3f3bp-15, 0x1.db701347d0d6ap-15, 0x1.d7aba4d5fe278p-15, 0x1.d3e354efde457p-15, 0x1.d0174a0cfc252p-15, 0x1.cc47aa43e749dp-15, 0x1.c8749b49f967p-15, 0x1.c49e42748ac8dp-15, 0x1.c0c4c4b858d87p-15, 0x1.bce846a96a019p-15, 0x1.b908ec7b35b0bp-15, 0x1.b526da00b489ap-15, 0x1.b14232acbcff4p-15, 0x1.ad5b19921f6e1p-15, 0x1.a971b16350b89p-15, 0x1.a5861c73616fdp-15, 0x1.a1987cb63043ep-15, 0x1.9da8f3bfa493fp-15, 0x1.99b7a2c44c3cdp-15, 0x1.95c4aa99bf09p-15, 0x1.91d02bb6c1fffp-15, 0x1.8dda4633902d5p-15, 0x1.89e319c9f9407p-15, 0x1.85eac5d5a9f7dp-15, 0x1.81f169541e138p-15, 0x1.7df722e5714d3p-15, 0x1.79fc10ccd9d72p-15, 0x1.760050f002fd3p-15, 0x1.720400d80056bp-15, 0x1.6e073db140152p-15, 0x1.6a0a244c1b7e6p-15, 0x1.660cd11d16557p-15, 0x1.620f603cb4b34p-15, 0x1.5e11ed68a4fc1p-15, 0x1.5a1494049c5e5p-15, 0x1.56176f18c34dp-15, 0x1.521a99533a9bep-15, 0x1.4e1e2d09049bp-15, 0x1.4a22443541174p-15, 0x1.4626f879b0dbfp-15, 0x1.422c63201274ep-15, 0x1.3e329d19f3b42p-15, 0x1.3a39bf00cbff6p-15, 0x1.3641e11667ad4p-15, 0x1.324b1b45eb11ap-15, 0x1.2e558524629bp-15, 0x1.2a6135f022da9p-15, 0x1.266e4492019bap-15, 0x1.227cc79d5e2ccp-15, 0x1.1e8cd550c9a11p-15, 0x1.1a9e83967ca09p-15, 0x1.16b1e804c54b5p-15, 0x1.12c717de6e448p-15, 0x1.0ede281398abep-15, 0x1.0af72d41d5b2p-15, 0x1.07123bb442b2ep-15, 0x1.032f6764c2a8ep-15, 0x1.fe9d87f8a668cp-16, 0x1.f6e0c9a5bb8ap-16, 0x1.ef28b9e0a9e5ap-16, 0x1.e7757e1b3ca44p-16, 0x1.dfc73b278691ep-16, 0x1.d81e153af4443p-16, 0x1.d07a2fefdfa01p-16, 0x1.c8dbae442b2a5p-16, 0x1.c142b29c4e69dp-16, 0x1.b9af5ec3bc3a1p-16, 0x1.b221d3ee4c85cp-16, 0x1.aa9a32b7cd4e9p-16, 0x1.a3189b26287a5p-16, 0x1.9b9d2caba72a3p-16, 0x1.9428062594f91p-16, 0x1.8cb945df07e9p-16, 0x1.8551099205a96p-16, 0x1.7def6e6728cc7p-16, 0x1.769490f8b9691p-16, 0x1.6f408d5168d8bp-16, 0x1.67f37eeec1036p-16, 0x1.60ad80c37287p-16, 0x1.596ead3513888p-16, 0x1.52371e20825c5p-16, 0x1.4b06ecda77cd3p-16, 0x1.43de322e397bfp-16, 0x1.3cbd066073183p-16, 0x1.35a38131e5cebp-16, 0x1.2e91b9dde32c8p-16, 0x1.2787c71ca6152p-16, 0x1.2085bf24bbc4ap-16, 0x1.198bb7a9cf677p-16, 0x1.1299c5e0db0abp-16, 0x1.0baffe8085488p-16, 0x1.04ce75c08d90ap-16, 0x1.fbea7eb79d4bdp-17, 0x1.ee48dd2748b54p-17, 0x1.e0b82c5ba9cb4p-17, 0x1.d33890ed254f1p-17, 0x1.c5ca2e85271c4p-17, 0x1.b86d27dec6733p-17, 0x1.ab219ec8ec7e6p-17, 0x1.9de7b42929387p-17, 0x1.90bf87fd0788dp-17, 0x1.83a9395fe0db8p-17, 0x1.76a4e686b2ad2p-17, 0x1.69b2acc761a0fp-17, 0x1.5cd2a89a4e778p-17, 0x1.5004f59930102p-17, 0x1.4349ae883a253p-17, 0x1.36a0ed5136eb6p-17, 0x1.2a0acb071698ep-17, 0x1.1d875febb28f5p-17, 0x1.1116c36f85e06p-17, 0x1.04b90c32e6777p-17, 0x1.f0dca01663534p-18, 0x1.d86d48022e37bp-18, 0x1.c02438ae88c39p-18, 0x1.a80199162b5a7p-18, 0x1.90058ea5fb579p-18, 0x1.78303d481808dp-18, 0x1.6081c76e1668dp-18, 0x1.48fa4e0682863p-18, 0x1.3199f08e3f32bp-18, 0x1.1a60cd0c8b67ep-18, 0x1.034f001e93d85p-18, 0x1.d8c949e7a5ab1p-19, 0x1.ab43aab005143p-19, 0x1.7e0d536c502p-19, 0x1.51267233752c8p-19, 0x1.248f326ca9237p-19, 0x1.f08f79bf9dfcep-20, 0x1.98a06f3ce53c7p-20, 0x1.41518c6d22456p-20, 0x1.d5462650f2381p-21, 0x1.292a8084121f3p-21, 0x1.f9425cab6e1a3p-23, -0x1.5a398008ec3ebp-24, -0x1.a738f211fd4bcp-22, -0x1.7aaef16a6f207p-21, -0x1.103f282d7f107p-20, -0x1.62852b1eaa5b3p-20, -0x1.b429667b8002fp-20, -0x1.0295e1d76c55dp-19, -0x1.2ac618515b9eap-19, -0x1.52a54fe41b041p-19, -0x1.7a3383f5c3f0ap-19, -0x1.a170b20b0cfa7p-19, -0x1.c85cd9d8b1ee3p-19, -0x1.eef7fd28aed7cp-19, -0x1.0aa10feaedf49p-18, -0x1.1d9da3e39ca03p-18, -0x1.3071be740252bp-18, -0x1.431d648ea565bp-18, -0x1.55a09c2157c6ep-18, -0x1.67fb6c12b8407p-18, -0x1.7a2ddc36c4a5p-18, -0x1.8c37f55994ef9p-18, -0x1.9e19c12b865f9p-18, }}, 
      {{-0x1.33e68d24355ddp-9, -0x1.30547fef5301p-8, -0x1.bfe6a5bfa1fafp-8, -0x1.22f9a9d717299p-7, -0x1.602f5204dfb74p-7, -0x1.96d42fe507e75p-7, -0x1.c671099769cd9p-7, -0x1.eecf867ecffc4p-7, -0x1.07f8641b74ce8p-6, -0x1.1501d49b117a2p-6, -0x1.1eada3818de61p-6, -0x1.25331cace9047p-6, -0x1.28d3551efb5p-6, -0x1.29d5b2ae7038ep-6, -0x1.2884f117616ebp-6, -0x1.252ca03f30e6bp-6, -0x1.201713fe703f5p-6, -0x1.198bbbd8c5087p-6, -0x1.11cdd8296ff3bp-6, -0x1.091b82169bcc5p-6, -0x1.ff59f7ae0e79ep-7, -0x1.eb687ea6db2adp-7, -0x1.d6b983a72945p-7, -0x1.c196c8469a337p-7, -0x1.ac3d0ec4d2bf9p-7, -0x1.96dc7ef4f2855p-7, -0x1.819939f3023dep-7, -0x1.6c8c119b17983p-7, -0x1.57c35a1f5f6ep-7, -0x1.4343cd6953144p-7, -0x1.2f097927ebf93p-7, -0x1.1b08b1896122dp-7, -0x1.072f03a14bdap-7, -0x1.e6c846c9e8e6bp-8, -0x1.bf15a3ef6cf32p-8, -0x1.970373724bee1p-8, -0x1.6e487c5119fa1p-8, -0x1.44967c7a03ce9p-8, -0x1.199b9093cbc3p-8, -0x1.da06fbb72341fp-9, -0x1.7cf1bb7d047bep-9, -0x1.1b4c56c6a985cp-9, -0x1.68dacf2a16c92p-10, -0x1.1ebb4c2f2a918p-11, 0x1.5c862b16d2ddp-12, 0x1.4bd98c32cdde7p-10, 0x1.27f98b86707f4p-9, 0x1.b2438906c6215p-9, 0x1.22a7487a0b34dp-8, 0x1.70caa12e9f079p-8, 0x1.c3c44c78687ecp-8, 0x1.0de3e6eea7412p-7, 0x1.3c81c9dd265b6p-7, 0x1.6dd0745552554p-7, 0x1.a1e1f7dc34228p-7, 0x1.d8c5d4fd576f8p-7, 0x1.094481174287dp-6, 0x1.279afb19d34b2p-6, 0x1.476a5abd4afadp-6, 0x1.68b570f9966a7p-6, 0x1.8b7de67a0b076p-6, 0x1.afc4456423396p-6, 0x1.d58803c622cfp-6, 0x1.fcc78e86112c2p-6, 0x1.12c02a5745ae1p-5, 0x1.27d7697d997p-5, 0x1.3da74fc534698p-5, 0x1.542d3acf026d5p-5, 0x1.6b6620abdfc39p-5, 0x1.834e95b09e7bep-5, 0x1.9be2d2390ef5ap-5, 0x1.b51eb8548cf2fp-5, 0x1.cefdd957849b6p-5, 0x1.e97b7b4e5a2d2p-5, 0x1.02494f2775f07p-4, 0x1.101f00d34a8b1p-4, 0x1.1e3c147190d73p-4, 0x1.2c9db05ae0d0fp-4, 0x1.3b40e1d7a77f2p-4, 0x1.4a229f6ade924p-4, 0x1.593fcb09524e7p-4, 0x1.6895343da29b5p-4, 0x1.781f9a393320bp-4, 0x1.87dbadd25999cp-4, 0x1.97c6137021fa3p-4, 0x1.a7db64e4108bbp-4, 0x1.b818333244b3cp-4, 0x1.c87908487a589p-4, 0x1.d8fa68a439efbp-4, 0x1.e998d4e8d36f3p-4, 0x1.fa50cb656d4fp-4, 0x1.058f64c5cc033p-3, 0x1.0dffa6ab7418ep-3, 0x1.16776b52eb5c3p-3, 0x1.1ef4f442310a7p-3, 0x1.277685345ff62p-3, 0x1.2ffa64b1370e7p-3, 0x1.387edc9e0203ep-3, 0x1.41023ac806fb3p-3, 0x1.4982d1689574ep-3, 0x1.51fef7a2e3453p-3, 0x1.5a7509fbd665ap-3, 0x1.62e36acbd19ep-3, 0x1.6b4882aaac7afp-3, 0x1.73a2c0d5f3991p-3, 0x1.7bf09b917cb3ep-3, 0x1.843090827a738p-3, 0x1.8c61250527b9p-3, 0x1.9480e67d0fb1p-3, 0x1.9c8e6aa02a15bp-3, 0x1.a4884fbcc81cfp-3, 0x1.ac6d3cfa7c49fp-3, 0x1.b43be29608929p-3, 0x1.bbf2fa187525fp-3, 0x1.c39146895ec89p-3, 0x1.cb15949c9e32bp-3, 0x1.d27ebadb56841p-3, 0x1.d9cb99c88edcfp-3, 0x1.e0fb1c0161aaep-3, 0x1.e80c3658ebe26p-3, 0x1.eefde7f00955bp-3, 0x1.f5cf3a48feb64p-3, 0x1.fc7f415723b8p-3, 0x1.01868dc55ca94p-2, 0x1.04bbf8ec7923ep-2, 0x1.07df7be02b337p-2, 0x1.0af0b5a4cf39ap-2, 0x1.0def4a828d944p-2, 0x1.10dae40265b5dp-2, 0x1.13b330e99d95fp-2, 0x1.1677e533a781ap-2, 0x1.1928ba0a85553p-2, 0x1.1bc56dbdc14fap-2, 0x1.1e4dc3b803193p-2, 0x1.20c18473576a2p-2, 0x1.23207d6c2dd7bp-2, 0x1.256a81132b8f2p-2, 0x1.279f66bdd1ae5p-2, 0x1.29bf0a9610bb9p-2, 0x1.2bc94d88d2789p-2, 0x1.2dbe15338c1a1p-2, 0x1.2f9d4bd0e1ae4p-2, 0x1.3166e02471922p-2, 0x1.331ac565cc5acp-2, 0x1.34b8f32aaebf9p-2, 0x1.3641655086c2ap-2, 0x1.37b41be5537aap-2, 0x1.39111b0febcfap-2, 0x1.3a586af7baae3p-2, 0x1.3b8a17abfacdep-2, 0x1.3ca6310a80fffp-2, 0x1.3daccaa620e55p-2, 0x1.3e9dfbacb5491p-2, 0x1.3f79deccdcd52p-2, 0x1.4040921b7068bp-2, 0x1.40f236f8c3c6cp-2, 0x1.418ef1f5b6c49p-2, 0x1.4216eab8a2d9p-2, 0x1.428a4be232ad9p-2, 0x1.42e942f226c6ap-2, 0x1.4334002c14e48p-2, 0x1.436ab67c2a784p-2, 0x1.438d9b5bfb69bp-2, 0x1.439ce6b763559p-2, 0x1.4398d2d184b3fp-2, 0x1.43819c29e8fb7p-2, 0x1.43578161cc4ep-2, 0x1.431ac3219ece2p-2, 0x1.42cba3feb8882p-2, 0x1.426a686150a51p-2, 0x1.41f7566ab696cp-2, 0x1.4172b5dbd9fd2p-2, 0x1.40dccffc1d4ffp-2, 0x1.4035ef80815f7p-2, 0x1.3f7e6073285aep-2, 0x1.3eb6701b38b74p-2, 0x1.3dde6ce520d83p-2, 0x1.3cf6a64b42839p-2, 0x1.3bff6cbf053fbp-2, 0x1.3af9119259487p-2, 0x1.39e3e6e1a7964p-2, 0x1.38c03f7e36721p-2, 0x1.378e6ed90143bp-2, 0x1.364ec8ee0b84fp-2, 0x1.3501a23026efep-2, 0x1.33a74f753cbcbp-2, 0x1.324025e30afb2p-2, 0x1.30cc7adc68107p-2, 0x1.2f4ca3ef00787p-2, 0x1.2dc0f6c193a1fp-2, 0x1.2c29c902b60dap-2, 0x1.2a8770580fe3ap-2, 0x1.28da424e205bbp-2, 0x1.272294487fcf3p-2, 0x1.2560bb72a69cfp-2, 0x1.23950cb131d63p-2, 0x1.21bfdc93aafb7p-2, 0x1.1fe17f46d0958p-2, 0x1.1dfa48875d08dp-2, 0x1.1c0a8b954cf32p-2, 0x1.1a129b27a5149p-2, 0x1.1812c960b2ed6p-2, 0x1.160b67c2cb242p-2, 0x1.13fcc72581bfbp-2, 0x1.11e737ab5c347p-2, 0x1.0fcb08b7fb827p-2, 0x1.0da888e6bbc16p-2, 0x1.0b800601c91ap-2, 0x1.0951ccf9a7f9dp-2, 0x1.071e29dd2fa0ap-2, 0x1.04e567d1f0df1p-2, 0x1.02a7d10d0ddc5p-2, 0x1.0065aecc7cbcp-2, 0x1.fc3e92a1641d8p-3, 0x1.f7a9cfad6b63p-3, 0x1.f30da12537066p-3, 0x1.ee6a9154be1d7p-3, 0x1.e9c1286246f76p-3, 0x1.e511ec459d127p-3, 0x1.e05d60c006d2bp-3, 0x1.dba40754edc88p-3, 0x1.d6e65f433b48ap-3, 0x1.d224e57f5de75p-3, 0x1.cd6014adf613p-3, 0x1.c898651f2e35cp-3, 0x1.c3ce4ccaa317cp-3, 0x1.bf023f4bf98a6p-3, 0x1.ba34addff7234p-3, 0x1.b56607623a2c7p-3, 0x1.b096b84b76678p-3, 0x1.abc72ab03e8ccp-3, 0x1.a6f7c64050da8p-3, 0x1.a228f0465ec9ap-3, 0x1.9d5b0ba859945p-3, 0x1.988e78e82a0c5p-3, 0x1.93c39624e1d5p-3, 0x1.8efabf1c5b70dp-3, 0x1.8a344d2d3f77bp-3, 0x1.85709759735ap-3, 0x1.80aff248eb89bp-3, 0x1.7bf2b04cd2143p-3, 0x1.7739216315079p-3, 0x1.7283933a3ebb1p-3, 0x1.6dd25135a52c5p-3, 0x1.6925a471e886cp-3, 0x1.647dd3c9b565ep-3, 0x1.5fdb23dad8e53p-3, 0x1.5b3dd70b8ddcfp-3, 0x1.56a62d900c178p-3, 0x1.52146570589dap-3, 0x1.4d88ba8e4907bp-3, 0x1.490366abbe38bp-3, 0x1.4484a171121e4p-3, 0x1.400ca073b32dbp-3, 0x1.3b9b973cecbd3p-3, 0x1.3731b750d995bp-3, 0x1.32cf303578d31p-3, 0x1.2e742f79e977cp-3, 0x1.2a20e0bdc68c6p-3, 0x1.25d56db89be05p-3, 0x1.2191fe417eda9p-3, 0x1.1d56b856b71ffp-3, 0x1.1923c025827dfp-3, 0x1.14f93811e7c98p-3, 0x1.10d740bea5e37p-3, 0x1.0cbdf9152019ap-3, 0x1.08ad7e4d68704p-3, 0x1.04a5ebf64c8e4p-3, 0x1.00a75bfd6b76p-3, 0x1.f963cd6ea48e5p-4, 0x1.f18b45cf4399p-4, 0x1.e9c54b92648e6p-4, 0x1.e212062c71f92p-4, 0x1.da719a20e4538p-4, 0x1.d2e4291286197p-4, 0x1.cb69d1d3b6181p-4, 0x1.c402b07699e87p-4, 0x1.bcaede5d57732p-4, 0x1.b56e724a1d32p-4, 0x1.ae41806f36c2dp-4, 0x1.a7281a7ef740ap-4, 0x1.a0224fbb9ad1cp-4, 0x1.99302d07066edp-4, 0x1.9251bcf26b56bp-4, 0x1.8b8707cdd2691p-4, 0x1.84d013b77f371p-4, 0x1.7e2ce4ab39ec7p-4, 0x1.779d7c916eff7p-4, 0x1.7121db4e2da1ap-4, 0x1.6ab9fecffc243p-4, 0x1.6465e31e865d7p-4, 0x1.5e25826922e2fp-4, 0x1.57f8d5152897ep-4, 0x1.51dfd1cc1e67bp-4, 0x1.4bda6d89b9bf5p-4, 0x1.45e89ba9ae3adp-4, 0x1.400a4df550493p-4, 0x1.3a3f74b10634dp-4, 0x1.3487fea987624p-4, 0x1.2ee3d940eb5b2p-4, 0x1.2952f07b86893p-4, 0x1.23d52f0c8fe08p-4, 0x1.1e6a7e629a07ep-4, 0x1.1912c6b3d02a1p-4, 0x1.13cdef0a05903p-4, 0x1.0e9bdd4e8a7afp-4, 0x1.097c7655d0f4p-4, 0x1.046f9dead846cp-4, 0x1.feea6db4c8708p-5, 0x1.f51a45fbfc222p-5, 0x1.eb6e868d84e9fp-5, 0x1.e1e6ef8fe9fffp-5, 0x1.d8833f82c055ep-5, 0x1.cf43335301e01p-5, 0x1.c626866ef4a29p-5, 0x1.bd2cf2d9a6c77p-5, 0x1.b456313dffbf9p-5, 0x1.aba1f9016dd12p-5, 0x1.a3100056203e2p-5, 0x1.9a9ffc4cd8923p-5, 0x1.9251a0e65a794p-5, 0x1.8a24a1246bb4cp-5, 0x1.8218af1a772c6p-5, 0x1.7a2d7bfdb3ccdp-5, 0x1.7262b834ffbfep-5, 0x1.6ab81368456dp-5, 0x1.632d3c8f7ea9ap-5, 0x1.5bc1e2015cc9p-5, 0x1.5475b181828b5p-5, 0x1.4d48584e66cbp-5, 0x1.4639832ed33dap-5, 0x1.3f48de7efffcap-5, 0x1.3876163d5cb9p-5, 0x1.31c0d616ecdc7p-5, 0x1.2b28c9735914p-5, 0x1.24ad9b809a1cfp-5, 0x1.1e4ef73e4ec67p-5, 0x1.180c8788bb66p-5, 0x1.11e5f72372636p-5, 0x1.0bdaf0c3a5dd7p-5, 0x1.05eb1f1a21b29p-5, 0x1.00162cdcfe76bp-5, 0x1.f4b789a1f3f9dp-6, 0x1.e97723a4f5774p-6, 0x1.de6a7dbca91fap-6, 0x1.d390ee346573bp-6, 0x1.c8e9cbb97372ap-6, 0x1.be746d6ac15c9p-6, 0x1.b4302ae7f93cfp-6, 0x1.aa1c5c601b9b8p-6, 0x1.a0385a9f6f2e2p-6, 0x1.96837f1d06495p-6, 0x1.8cfd2407a10ecp-6, 0x1.83a4a45219646p-6, 0x1.7a795bbf50f5p-6, 0x1.717aa6ed9490dp-6, 0x1.68a7e36186856p-6, 0x1.60006f908d1bcp-6, 0x1.5783aaead6d57p-6, 0x1.4f30f5e4d3547p-6, 0x1.4707b2004bdbbp-6, 0x1.3f0741d50ca0cp-6, 0x1.372f09190b3adp-6, 0x1.2f7e6ca8405dep-6, 0x1.27f4d28c09f55p-6, 0x1.2091a20225cddp-6, 0x1.1954438352e06p-6, 0x1.123c20c987a7cp-6, 0x1.0b48a4d5d08p-6, 0x1.04793bf5da48bp-6, 0x1.fb9aa79226f2dp-7, 0x1.ee88b68b026e7p-7, 0x1.e1bb85787a4f5p-7, 0x1.d531f7bb4e891p-7, 0x1.c8eaf37a6a572p-7, 0x1.bce561aa2761p-7, 0x1.b1202e12ae484p-7, 0x1.a59a475602c58p-7, 0x1.9a529ef56f542p-7, 0x1.8f48295649642p-7, 0x1.8479ddc65ce18p-7, 0x1.79e6b67fba1bap-7, 0x1.6f8db0ac0aa3ap-7, 0x1.656dcc6775942p-7, 0x1.5b860cc30696ap-7, 0x1.51d577c6a01a1p-7, 0x1.485b16727b88ep-7, 0x1.3f15f4c0626d4p-7, 0x1.360521a441a79p-7, 0x1.2d27af0c93d38p-7, 0x1.247cb1e24c507p-7, 0x1.1c0342086b4eep-7, 0x1.13ba7a5b3e69ap-7, 0x1.0ba178af4af8ap-7, 0x1.03b75dcfd868dp-7, 0x1.f7f69afa6ca31p-8, 0x1.e8d8dcd58351cp-8, 0x1.da13d47903a57p-8, 0x1.cba5db0940c7fp-8, 0x1.bd8d4f80f4e21p-8, 0x1.afc896ab346eep-8, 0x1.a2561b1c88421p-8, 0x1.95344d2be0b6ep-8, 0x1.8861a2eaf8c14p-8, 0x1.7bdc981e307bp-8, 0x1.6fa3ae342ed5cp-8, 0x1.63b56c3cf3bedp-8, 0x1.58105ee0c5f47p-8, 0x1.4cb31856941dap-8, 0x1.419c3059f62ebp-8, 0x1.36ca4421289c5p-8, 0x1.2c3bf65268ce8p-8, 0x1.21efeef93eb74p-8, 0x1.17e4db7b639d6p-8, 0x1.0e196e8d844f7p-8, 0x1.048c6027aa1cdp-8, 0x1.f678daf2eeabp-9, 0x1.e450b1bc8a37p-9, 0x1.d29dd3a1c0c17p-9, 0x1.c15dd9be6d226p-9, 0x1.b08e673be5849p-9, 0x1.a02d29375375cp-9, 0x1.9037d6a850a4ap-9, 0x1.80ac3046f381ap-9, 0x1.71880071c5ebp-9, 0x1.62c91b134b41fp-9, 0x1.546d5d87af984p-9, 0x1.4672ae81f202ap-9, 0x1.38d6fdf1112b7p-9, 0x1.2b9844e523a17p-9, 0x1.1eb48574335a1p-9, 0x1.1229ca9f006e8p-9, 0x1.05f62835d1ebcp-9, 0x1.f42f757a26d07p-10, 0x1.dd194ea3ef54bp-10, 0x1.c6a6371e09951p-10, 0x1.b0d29ae16151p-10, 0x1.9b9af6740cc4fp-10, 0x1.86fbd6b209bbap-10, 0x1.72f1d89705761p-10, 0x1.5f79a90722beap-10, 0x1.4c900498bf909p-10, 0x1.3a31b75de2ed9p-10, 0x1.285b9caded20ap-10, 0x1.170a9eef61e6bp-10, 0x1.063bb761faa5ap-10, 0x1.ebd7dbd202847p-11, 0x1.cc30b1ab9b0dbp-11, 0x1.ad7c3964f4c4dp-11, 0x1.8fb4d8199a492p-11, 0x1.72d50e83fa035p-11, 0x1.56d778932b9cp-11, 0x1.3bb6cd0424c66p-11, 0x1.216ddcf9b4d1ap-11, 0x1.07f7939578992p-11, 0x1.de9deb25028fdp-12, 0x1.aede41be8ed46p-12, 0x1.80a6987341841p-12, 0x1.53ed8d9621433p-12, 0x1.28a9ef8a5745fp-12, 0x1.fda578013e9b9p-13, 0x1.acbe3e6819076p-13, 0x1.5e8ce651ade07p-13, 0x1.13007ddbaf803p-13, 0x1.9410d77f02eefp-14, 0x1.0728dbb1aadb2p-14, 0x1.fca4bda260d9dp-16, -0x1.03576f95d9f7bp-20, -0x1.0532acf7e6aeep-15, -0x1.f931455885b36p-15, -0x1.72288a16cd6b6p-14, -0x1.e365b731049aap-14, -0x1.28361ce93672ep-13, -0x1.5cabc4f3c9ff6p-13, -0x1.8f21450eceb54p-13, -0x1.bfa3c53b908b5p-13, -0x1.ee402579ec694p-13, -0x1.0d817f8527383p-12, -0x1.22fc52da63cdfp-12, -0x1.37969484dcaf5p-12, -0x1.4b562acdb18bbp-12, -0x1.5e40db1bc8e07p-12, -0x1.705c4a8d4c871p-12, -0x1.81adfe9030d12p-12, -0x1.923b5d77e69p-12, -0x1.a209af109ce9bp-12, -0x1.b11e1d31c92dep-12, -0x1.bf7db44ead41cp-12, -0x1.cd2d64022fa3fp-12, -0x1.da31ff9cb30bep-12, -0x1.e6903eac6199ep-12, -0x1.f24cbd86951b1p-12, -0x1.fd6bfdcc4047cp-12, -0x1.03f93377988a5p-11, -0x1.08f223595b891p-11, -0x1.0da2e8d63c8b1p-11, -0x1.120d91e11ab5p-11, -0x1.1634205320e1fp-11, -0x1.1a188a28a3317p-11, -0x1.1dbcb9bd69508p-11, -0x1.21228e080f402p-11, -0x1.244bdad3f1e28p-11, -0x1.273a68fae62a6p-11, -0x1.29eff69d3522ap-11, -0x1.2c6e3759d9b6fp-11, -0x1.2eb6d4846caf2p-11, -0x1.30cb6d5b14b8ep-11, -0x1.32ad973bad5abp-11, -0x1.345eddd758219p-11, -0x1.35e0c3659abc9p-11, -0x1.3734c0d6ab3afp-11, -0x1.385c4604de092p-11, -0x1.3958b9e50f2c2p-11, -0x1.3a2b7ab66bd5p-11, -0x1.3ad5de30f5ac4p-11, -0x1.3b5931b42a96bp-11, -0x1.3bb6ba73ae731p-11, -0x1.3befb5a3c58d3p-11, -0x1.3c0558a561a19p-11, -0x1.3bf8d13065165p-11, -0x1.3bcb457e3f998p-11, -0x1.3b7dd472e5e34p-11, -0x1.3b1195c57ce82p-11, -0x1.3a879a2843637p-11, -0x1.39e0eb6f89c4p-11, -0x1.391e8cb7f9c7ap-11, -0x1.38417a8c8390dp-11, -0x1.374aab0af3c9cp-11, -0x1.363b0e0879907p-11, -0x1.35138d3521532p-11, -0x1.33d50c3ed64cdp-11, -0x1.328068f34400fp-11, -0x1.31167b619e0b5p-11, -0x1.2f9815fba3ce3p-11, -0x1.2e0605b5aaa08p-11, -0x1.2c61122680cdcp-11, -0x1.2aa9fda62f013p-11, -0x1.28e1856cce681p-11, -0x1.270861afbc383p-11, -0x1.251f45bf6f575p-11, -0x1.2326e023bd6a9p-11, -0x1.211fdab7fc519p-11, -0x1.1f0adac6a5144p-11, -0x1.1ce8812429e72p-11, -0x1.1ab96a4953b6dp-11, -0x1.187e2e6d540a4p-11, -0x1.1637619ed8712p-11, -0x1.13e593dd01592p-11, -0x1.1189512fb5db5p-11, -0x1.0f2321bf2a9fep-11, -0x1.0cb389ebc381p-11, -0x1.0a3b0a6445f59p-11, -0x1.07ba203c93447p-11, -0x1.05314503606fap-11, -0x1.02a0eed7c1503p-11, -0x1.0009907de73b2p-11, -0x1.fad732e7c3cd9p-12, -0x1.f58eec0b09fa8p-12, -0x1.f03b1ec05cc34p-12, -0x1.eadc974baac6cp-12, -0x1.e5741c001aaa3p-12, -0x1.e0026d64b08cp-12, -0x1.da88465837a9fp-12, -0x1.d5065c34a8122p-12, -0x1.cf7d5ef14ded2p-12, -0x1.c9edf944e1eb1p-12, -0x1.c458d0c62d3e2p-12, -0x1.bebe860c8d9b7p-12, -0x1.b91fb4cf41959p-12, -0x1.b37cf4043f6c2p-12, -0x1.add6d5fe6044bp-12, -0x1.a82de88b15659p-12, -0x1.a282b50eac97bp-12, -0x1.9cd5c0a0f5d08p-12, -0x1.97278c288f6dbp-12, -0x1.91789475c89c5p-12, -0x1.8bc9525cedc6fp-12, -0x1.861a3ad014367p-12, -0x1.806bbef81ffd9p-12, -0x1.7abe4c4d54cc8p-12, -0x1.75124caf2676ep-12, -0x1.6f68267be825bp-12, -0x1.69c03ca75d8f4p-12, -0x1.641aeed16e692p-12, -0x1.5e78995b95977p-12, -0x1.58d9957e9cec6p-12, -0x1.533e395f183f2p-12, -0x1.4da6d821c8319p-12, -0x1.4813c1ffc6eaap-12, -0x1.428544598ced8p-12, -0x1.3cfba9ca10f6ep-12, -0x1.37773a3941aafp-12, -0x1.31f83aee07049p-12, -0x1.2c7eee9fe6fe5p-12, -0x1.270b958841bfbp-12, -0x1.219e6d7333448p-12, -0x1.1c37b1cfb35cdp-12, -0x1.16d79bbfdd4e5p-12, -0x1.117e62287968fp-12, -0x1.0c2c39c01a116p-12, -0x1.06e1551e2ad62p-12, -0x1.019de4c97c762p-12, -0x1.f8c42e8c47eedp-13, -0x1.ee5c32475f855p-13, -0x1.e4042a14a9aa4p-13, -0x1.d9bc67906fbe6p-13, -0x1.cf8538bcb506p-13, -0x1.c55ee819de012p-13, -0x1.bb49bcbf7ae47p-13, -0x1.b145fa7404c1bp-13, -0x1.a753e1c3e1238p-13, -0x1.9d73b018590d3p-13, -0x1.93a59fcdaa4b4p-13, -0x1.89e9e8487fa54p-13, -0x1.8040be0b10c97p-13, -0x1.76aa52c98d2dep-13, -0x1.6d26d57e3b47ap-13, -0x1.63b6727cb5ae4p-13, -0x1.5a5953855e494p-13, -0x1.510f9fd7b791ap-13, -0x1.47d97c4454706p-13, -0x1.3eb70b3eb198ep-13, -0x1.35a86cee147c6p-13, -0x1.2cadbf3e9d955p-13, -0x1.23c71df185397p-13, -0x1.1af4a2ad0bdd3p-13, -0x1.1236650bd304p-13, -0x1.098c7aac37fe8p-13, -0x1.00f6f73ee2318p-13, -0x1.f0ebd92a6013ap-14, -0x1.e012d55ebd29dp-14, -0x1.cf62ff940db9dp-14, -0x1.bedc70d6d8dd6p-14, -0x1.ae7f3ee1006cep-14, -0x1.9e4b7c32d5826p-14, -0x1.8e41382b9b6e7p-14, -0x1.7e607f2206e3ep-14, -0x1.6ea95a7b48f6ep-14, -0x1.5f1bd0c1f0acap-14, -0x1.4fb7e5bbf03a2p-14, -0x1.407d9a8052a38p-14, -0x1.316ced8c2f298p-14, -0x1.2285dad763111p-14, -0x1.13c85be886297p-14, -0x1.053467e80eb6ap-14, -0x1.ed93e76761f9cp-15, -0x1.d111e3e17ce6fp-15, -0x1.b4e2a63c0fe55p-15, -0x1.99060b4a699eep-15, -0x1.7d7bebd8d9a9ap-15, -0x1.62441ccd522aep-15, -0x1.475e6f47a5512p-15, -0x1.2ccab0c19568fp-15, -0x1.1288ab2c79f7ap-15, -0x1.f1304a20dc8c1p-16, -0x1.bdf1c3510b17ap-16, -0x1.8b5542005503ap-16, -0x1.595a401c51bfap-16, -0x1.2800319f391b5p-16, -0x1.ee8d098a4d76dp-17, -0x1.8e59447cc20f5p-17, -0x1.2f63dac1af8bap-17, -0x1.a357116881cbfp-18, -0x1.d4bc02ebec6e6p-19, -0x1.9eceba3436c28p-21, 0x1.00705c0e2aac6p-19, 0x1.31dae1225036p-18, 0x1.e11125e36a6e4p-18, 0x1.46eef850c0d1bp-17, 0x1.9c2222c99b9c2p-17, 0x1.f0239c167adf2p-17, 0x1.217a7aa489767p-16, 0x1.4a4be33e0c5bbp-16, 0x1.7286d74641368p-16, 0x1.9a2c2969d3f2ap-16, 0x1.c13caf7117d87p-16, 0x1.e7b9421e6058ap-16, 0x1.06d15e86d7563p-15, 0x1.197cff4aa24d4p-15, 0x1.2bdff3d2fdb6cp-15, 0x1.3dfaadd72ffaep-15, 0x1.4fcda03e647d3p-15, 0x1.61593f1188e0ep-15, 0x1.729dff6d79ed2p-15, 0x1.839c57754a62p-15, 0x1.9454be45a2779p-15, 0x1.a4c7abe771b42p-15, 0x1.b4f5994405ce9p-15, 0x1.c4df00188dd86p-15, 0x1.d4845aea764c5p-15, 0x1.e3e624fbe0dbdp-15, 0x1.f304da404042dp-15, 0x1.00f07ba90ab5fp-14, 0x1.083d7cb3b8a9ep-14, 0x1.0f69af24371f7p-14, 0x1.1675522280294p-14, 0x1.1d60a5157e784p-14, 0x1.242be79e56c0fp-14, 0x1.2ad75993be756p-14, 0x1.31633afda5008p-14, 0x1.37cfcc1085d12p-14, 0x1.3e1d4d296fcc8p-14, 0x1.444bfec9b30a9p-14, 0x1.4a5c219307cf1p-14, 0x1.504df6433db6bp-14, 0x1.5621bdb0c33f1p-14, 0x1.5bd7b8c6bbfe6p-14, 0x1.617028818c222p-14, 0x1.66eb4deb1a111p-14, 0x1.6c496a178dcb1p-14, 0x1.718abe21f5ce3p-14, 0x1.76af8b28fda27p-14, 0x1.7bb8124bb387cp-14, 0x1.80a494a67ad14p-14, 0x1.857553503ebdap-14, 0x1.8a2a8f5749ccfp-14, 0x1.8ec489be8029fp-14, 0x1.9343837ab99a8p-14, 0x1.97a7bd7019febp-14, 0x1.9bf1786f4c16ap-14, 0x1.a020f533087cp-14, 0x1.a436745dcae74p-14, 0x1.a83236771de4cp-14, 0x1.ac147be99b38bp-14, 0x1.afdd850074496p-14, 0x1.b38d91e559d57p-14, 0x1.b724e29e4bb47p-14, 0x1.baa3b70b81cf9p-14, 0x1.be0a4ee568ebdp-14, 0x1.c158e9bace499p-14, 0x1.c48fc6eeca6b4p-14, 0x1.c7af25b6f21ccp-14, 0x1.cab74519a0b36p-14, 0x1.cda863ec45e87p-14, 0x1.d082c0d191793p-14, 0x1.d3469a37c668cp-14, 0x1.d5f42e573ee5dp-14, 0x1.d88bbb30f02f9p-14, 0x1.db0d7e8ccfdbcp-14, 0x1.dd79b5f849525p-14, 0x1.dfd09ec4fd25bp-14, 0x1.e2127607759bcp-14, 0x1.e43f7895915aap-14, 0x1.e657e3055bf96p-14, 0x1.e85bf1abd9f4p-14, 0x1.ea4be09bd1052p-14, 0x1.ec27eba4941a9p-14, 0x1.edf04e50e4e71p-14, 0x1.efa543e5de76ap-14, 0x1.f1470761e8c47p-14, 0x1.f2d5d37ba8b61p-14, 0x1.f451e2a1141ecp-14, 0x1.f5bb6ef671f13p-14, 0x1.f712b25583e0ap-14, 0x1.f857e64c6d5aap-14, 0x1.f98b441d0863cp-14, 0x1.faad04bc183aap-14, 0x1.fbbd60d06d915p-14, 0x1.fcbc90b20c93dp-14, 0x1.fdaacc6988f9bp-14, 0x1.fe884baf41ab1p-14, 0x1.ff5545ead43cdp-14, 0x1.0008f91925164p-13, 0x1.005f43a4c2942p-13, 0x1.00ad9dd0da2c4p-13, 0x1.00f422ac5bd38p-13, 0x1.0132ed1c46031p-13, 0x1.016a17db622b3p-13, 0x1.0199bd7a03d86p-13, 0x1.01c1f85dcff55p-13, 0x1.01e2e2c17bf05p-13, 0x1.01fc96b49fcbap-13, 0x1.020f2e1b6c41ap-13, 0x1.021ac2ae8fbf5p-13, 0x1.021f6dfaf7572p-13, 0x1.021d4961aab9ep-13, 0x1.02146e1792914p-13, 0x1.0204f525572c3p-13, 0x1.01eef7674d949p-13, 0x1.01d28d8d3fb6fp-13, 0x1.01afd01a54111p-13, 0x1.0186d764dd0dep-13, 0x1.0157bb96539e5p-13, 0x1.012294ab3164dp-13, 0x1.00e77a72d6961p-13, 0x1.00a6848f81ddfp-13, 0x1.005fca762d3eep-13, 0x1.0013636e850fbp-13, 0x1.ff82cd259f53fp-14, 0x1.fed3d59fd1d26p-14, 0x1.fe1a0dca574c2p-14, 0x1.fd55a2c8ee3c1p-14, 0x1.fc86c1643477bp-14, 0x1.fbad9609a561fp-14, 0x1.faca4ccb8f1c3p-14, 0x1.f9dd11610b518p-14, 0x1.f8e60f25f467bp-14, 0x1.f7e5711aee815p-14, 0x1.f6db61e57ee88p-14, 0x1.f5c80bcffa0b8p-14, 0x1.f4ab98c98ab18p-14, 0x1.f386326656019p-14, 0x1.f25801df79b5fp-14, 0x1.f121301333bd7p-14, 0x1.efe1e584dcd41p-14, 0x1.ee9a4a5d1e8ep-14, 0x1.ed4a866a01c12p-14, 0x1.ebf2c11f17f3bp-14, 0x1.ea9321959d96ap-14, 0x1.e92bce8c86a1bp-14, 0x1.e7bcee68af37p-14, 0x1.e646a7350a798p-14, 0x1.e4c91ea2e367p-14, 0x1.e3447a09f7dd9p-14, 0x1.e1b8de68a5a5p-14, 0x1.e02670640e76p-14, 0x1.de8d544873d9dp-14, 0x1.dcedae0959646p-14, 0x1.db47a141b38aep-14, 0x1.d99b51342fb27p-14, 0x1.d7e8e0cb7fd9p-14, 0x1.d630729a8d065p-14, 0x1.d47228dcc2f4ep-14, 0x1.d2ae2576294a4p-14, 0x1.d0e489f3e54b6p-14, 0x1.cf15778c5a497p-14, 0x1.cd410f1f737dep-14, 0x1.cb6771371aef7p-14, 0x1.c988be075f46cp-14, 0x1.c7a5156ea80c5p-14, 0x1.c5bc96f639299p-14, 0x1.c3cf61d2775dap-14, 0x1.c1dd94e33b1abp-14, 0x1.bfe74eb411606p-14, 0x1.bdecad7c979b2p-14, 0x1.bbedcf20f9be4p-14, 0x1.b9ead1322db62p-14, 0x1.b7e3d0ee44794p-14, 0x1.b5d8eb40d9b84p-14, 0x1.b3ca3cc35dba2p-14, 0x1.b1b7e1bd7a3d6p-14, 0x1.afa1f62583f6p-14, 0x1.ad8895a0cb9dcp-14, 0x1.ab6bdb840bd7ap-14, 0x1.a94be2d3b4d8ep-14, 0x1.a728c644651b3p-14, 0x1.a502a03b4e3e6p-14, 0x1.a2d98ace967d7p-14, 0x1.a0ad9fc5b62d2p-14, 0x1.9e7ef89a02a05p-14, 0x1.9c4dae76f85ffp-14, 0x1.9a19da3aae198p-14, 0x1.97e3947642b0bp-14, 0x1.95aaf56e5e0cbp-14, 0x1.9370151b6c8b1p-14, 0x1.91330b2a1e5bfp-14, 0x1.8ef3eefbec74cp-14, 0x1.8cb2d7a78c36cp-14, 0x1.8a6fdbf94f45ap-14, 0x1.882b12738c8d6p-14, 0x1.85e4914f244dfp-14, 0x1.839c6e7bd6efdp-14, 0x1.8152bfa0dbcb7p-14, 0x1.7f079a1d2f867p-14, 0x1.7cbb13082deb2p-14, 0x1.7a6d3f31ed3dep-14, 0x1.781e3323c1342p-14, 0x1.75ce032098fd5p-14, 0x1.737cc325a7e04p-14, 0x1.712a86eaacbf7p-14, 0x1.6ed761e26af9cp-14, 0x1.6c83673b28e03p-14, 0x1.6a2ea9df341dep-14, 0x1.67d93c755c097p-14, 0x1.658331615571bp-14, 0x1.632c9ac440487p-14, 0x1.60d58a7d1c2fdp-14, 0x1.5e7e122941b77p-14, 0x1.5c264324e5af1p-14, 0x1.59ce2e8b87385p-14, 0x1.5775e5386a46p-14, 0x1.551d77c710d8ep-14, 0x1.52c4f693b804ap-14, 0x1.506c71bbf2803p-14, 0x1.4e13f91ef281bp-14, 0x1.4bbb9c5e0d3fcp-14, 0x1.49636add454b2p-14, 0x1.470b73c3d31b7p-14, 0x1.44b3c5fc71fb1p-14, 0x1.425c7035f1c36p-14, 0x1.400580e3d3f34p-14, 0x1.3daf063e9d495p-14, 0x1.3b590e44588d4p-14, 0x1.3903a6b922e4dp-14, 0x1.36aedd278614p-14, 0x1.345abee114509p-14, 0x1.320758fed2008p-14, 0x1.2fb4b861b5a0bp-14, 0x1.2d62e9b31eaa9p-14, 0x1.2b11f9656359bp-14, 0x1.28c1f3b43ebd5p-14, 0x1.2672e4a5462c7p-14, 0x1.2424d80843b4bp-14, 0x1.21d7d977f173ap-14, 0x1.1f8bf45a4e13cp-14, 0x1.1d4133e10b683p-14, 0x1.1af7a30a3598fp-14, 0x1.18af4ca0929d2p-14, 0x1.16683b3bfd902p-14, 0x1.14227941f982bp-14, 0x1.11de10e6444c5p-14, 0x1.0f9b0c2b20391p-14, 0x1.0d5974e1e8a7dp-14, 0x1.0b1954ab7cddcp-14, 0x1.08dab4f8b37f3p-14, 0x1.069d9f0ae1d94p-14, 0x1.04621bf44de9fp-14, 0x1.02283498ab091p-14, 0x1.ffdfe35af5499p-15, 0x1.fb72b775111cep-15, 0x1.f708f634c41b8p-15, 0x1.f2a2aff58c936p-15, 0x1.ee3ff4ba4ba68p-15, 0x1.e9e0d42e4b95p-15, 0x1.e5855da5d70f7p-15, 0x1.e12da01f43774p-15, 0x1.dcd9aa43ca202p-15, 0x1.d8898a6886505p-15, 0x1.d43d4e8f63c3ap-15, 0x1.cff50467db75ep-15, 0x1.cbb0b94fca5e1p-15, 0x1.c7707a548002p-15, 0x1.c33454338c8cp-15, 0x1.befc535b8978fp-15, 0x1.bac883ed2fbcep-15, 0x1.b698f1bbd46bcp-15, 0x1.b26da84e98165p-15, 0x1.ae46b2e12f1bep-15, 0x1.aa241c64b46f5p-15, 0x1.a605ef806b106p-15, 0x1.a1ec3692ab1d9p-15, 0x1.9dd6fbb1b77a9p-15, 0x1.99c648ac97c9dp-15, 0x1.95ba270bf9f7p-15, 0x1.91b2a012de11fp-15, 0x1.8dafbcbf71011p-15, 0x1.89b185cbe2e04p-15, 0x1.85b803af56982p-15, 0x1.81c33e9ea0d21p-15, 0x1.7dd33e8ce793dp-15, 0x1.79e80b2c7e62p-15, 0x1.7601abefeeb43p-15, 0x1.7220280a8af39p-15, 0x1.6e4386714ef12p-15, 0x1.6a6bcddb7002fp-15, 0x1.669904c36d64cp-15, 0x1.62cb3167b5f3ap-15, 0x1.5f0259cb54c1fp-15, 0x1.5b3e83b6c1b29p-15, 0x1.577fb4b8b499cp-15, 0x1.53c5f226ecd71p-15, 0x1.5011411ed2051p-15, 0x1.4c61a68639c5ep-15, 0x1.48b7270c0fa83p-15, 0x1.4511c72931a62p-15, 0x1.41718b2132b39p-15, 0x1.3dd67702ea7f5p-15, 0x1.3a408ea942743p-15, 0x1.36afd5bbd1ba1p-15, 0x1.33244fafc709bp-15, 0x1.2f9dffc872aa3p-15, 0x1.2c1ce917fc632p-15, 0x1.28a10e80215b8p-15, 0x1.252a72b2bf885p-15, 0x1.21b91832c658dp-15, 0x1.1e4d01549e79ap-15, 0x1.1ae6303eda03p-15, 0x1.1784a6eb137dcp-15, 0x1.14286726830bdp-15, 0x1.10d172927f63ep-15, 0x1.0d7fcaa542891p-15, 0x1.0a3370aa9b0e2p-15, 0x1.06ec65c465dcp-15, 0x1.03aaaaeb3c372p-15, 0x1.006e40ef30e5dp-15, 0x1.fa6e50f0dbfddp-16, 0x1.f40ac40f747p-16, 0x1.edb1dbede5596p-16, 0x1.e76398f3e73a8p-16, 0x1.e11ffb3e39516p-16, 0x1.dae7029f8b10cp-16, 0x1.d4b8aea1e8bc8p-16, 0x1.ce94fe87a933fp-16, 0x1.c87bf14cf5f04p-16, 0x1.c26d85a8991a1p-16, 0x1.bc69ba0d715a9p-16, 0x1.b6708cab3188p-16, 0x1.b081fb6fecf6dp-16, 0x1.aa9e0408cc56ap-16, 0x1.a4c4a3e354d6fp-16, 0x1.9ef5d82ebad25p-16, 0x1.99319ddc8d4e3p-16, 0x1.9377f1a21656fp-16, 0x1.8dc8cff92915ep-16, 0x1.88243521465efp-16, 0x1.828a1d20d56b8p-16, 0x1.7cfa83c60a701p-16, 0x1.777564a7f7b58p-16, 0x1.71fabb2760012p-16, 0x1.6c8a826fa96abp-16, 0x1.6724b578345acp-16, 0x1.61c94f056b32cp-16, 0x1.5c7849a91a362p-16, 0x1.57319fc3f27d8p-16, 0x1.51f54b8648ea3p-16, 0x1.4cc346f12fe55p-16, 0x1.479b8bd71304ap-16, 0x1.427e13dcb6d86p-16, 0x1.3d6ad87aa2a63p-16, 0x1.3861d2fd497b6p-16, 0x1.3362fc86aefe4p-16, 0x1.2e6e4e0e7dc48p-16, 0x1.2983c06388d52p-16, 0x1.24a34c2c4ca45p-16, 0x1.1fcce9e815ca9p-16, 0x1.1b0091ef9a803p-16, 0x1.163e3c75f10d2p-16, 0x1.1185e1893413ep-16, 0x1.0cd77913951b1p-16, 0x1.0832fadc25983p-16, 0x1.03985e876efa5p-16, 0x1.fe0f3730c3cap-17, 0x1.f50152e1fab9dp-17, 0x1.ec06fea6a742p-17, 0x1.e32028c4ad9e9p-17, 0x1.da4cbf444bfd9p-17, 0x1.d18caff246c83p-17, 0x1.c8dfe8611e7b7p-17, 0x1.c04655eaf8354p-17, 0x1.b7bfe5b2b0f72p-17, 0x1.af4c84a50233ap-17, 0x1.a6ec1f7b0ea65p-17, 0x1.9e9ea2b9fc00fp-17, 0x1.9663fab608abep-17, 0x1.8e3c1392cf826p-17, 0x1.8626d944fdee4p-17, 0x1.7e24379425664p-17, 0x1.76341a1af0c08p-17, 0x1.6e566c492f55dp-17, 0x1.668b196516625p-17, 0x1.5ed20c8c3d38fp-17, 0x1.572b30b526b2ap-17, 0x1.4f9670b02ef89p-17, 0x1.4813b728b901ap-17, 0x1.40a2eea71384ap-17, 0x1.39440191004b6p-17, 0x1.31f6da2ab3dbfp-17, 0x1.2abb62981c52dp-17, 0x1.239184df01472p-17, 0x1.1c792ae6741bbp-17, 0x1.15723e7944c56p-17, 0x1.0e7ca9462b27ap-17, 0x1.079854e1c743bp-17, 0x1.00c52ac7098fcp-17, 0x1.f40628b082ef5p-18, 0x1.e6a3f5c0b8df4p-18, 0x1.d9638f27f34ap-18, 0x1.cc44c7242b456p-18, 0x1.bf476fcb37a47p-18, 0x1.b26b5b0ad1948p-18, 0x1.a5b05aacf4195p-18, 0x1.991640573933ep-18, 0x1.8c9cdd8e63ca7p-18, 0x1.804403b8d5716p-18, 0x1.740b841da382bp-18, 0x1.67f32fe93d824p-18, 0x1.5bfad82e3525dp-18, 0x1.50224de5c45c5p-18, 0x1.446961f36914ap-18, 0x1.38cfe52556ce1p-18, 0x1.2d55a835a210fp-18, 0x1.21fa7bce905a8p-18, 0x1.16be3088dc3d2p-18, 0x1.0ba096eea0783p-18, 0x1.00a17f7ec75c3p-18, 0x1.eb817555e1e81p-19, 0x1.d5fc31b89565fp-19, 0x1.c0b2d4e439952p-19, 0x1.aba4ff8cf54a9p-19, 0x1.96d252595588ep-19, 0x1.823a6de94356cp-19, 0x1.6ddcf2d60c652p-19, 0x1.59b981b7651b5p-19, 0x1.45cfbb240ce1cp-19, 0x1.321f3fb4eacd3p-19, 0x1.1ea7b00954517p-19, 0x1.0b68acc8fd96ep-19, 0x1.f0c3ad4756283p-20, 0x1.cb259cb1ecb04p-20, 0x1.a5f6696b26bddp-20, }}, 
      {{0x1.9634196d18823p-1, 0x1.95eb8a0f39418p-1, 0x1.95780ee971d6p-1, 0x1.94dfaf189845ep-1, 0x1.9428ab8ffa18bp-1, 0x1.9358e70398062p-1, 0x1.92759431d0a47p-1, 0x1.918311d630b39p-1, 0x1.9084e36c03d29p-1, 0x1.8f7dbb5e68619p-1, 0x1.8e6f8f0b16c8ep-1, 0x1.8d5baf964d0ddp-1, 0x1.8c42e4551c371p-1, 0x1.8b2584c8160b2p-1, 0x1.8a0390f07d22cp-1, 0x1.88dcc754eb7a4p-1, 0x1.87b0b865f1f73p-1, 0x1.867ed72e79ec6p-1, 0x1.854687612bfd4p-1, 0x1.840728eacac04p-1, 0x1.82c0213e4e4f6p-1, 0x1.8170e295c75bap-1, 0x1.8018f164fc46fp-1, 0x1.7eb7e839ce144p-1, 0x1.7d4d7a43c240bp-1, 0x1.7bd974b84d31p-1, 0x1.7a5bbf4518aep-1, 0x1.78d45bbcdf53ap-1, 0x1.77436526bb7ecp-1, 0x1.75a90e532d276p-1, 0x1.7405a015a68ddp-1, 0x1.7259773d474adp-1, 0x1.70a502638571p-1, 0x1.6ee8bfa3f2b87p-1, 0x1.6d253a4d122d1p-1, 0x1.6b5b089743deap-1, 0x1.698ac96c35119p-1, 0x1.67b52246f7314p-1, 0x1.65dabd32e5ffp-1, 0x1.63fc46edc587ep-1, 0x1.621a6d3007f14p-1, 0x1.6035dd1cf00f9p-1, 0x1.5e4f41db3b32fp-1, 0x1.5c67435620069p-1, 0x1.5a7e8525c826ap-1, 0x1.5895a59ddaae2p-1, 0x1.56ad3d004c968p-1, 0x1.54c5dcd259f12p-1, 0x1.52e00f51583b5p-1, 0x1.50fc5704f76cep-1, 0x1.4f1b2e6c70f7bp-1, 0x1.4d3d07c42a4bcp-1, 0x1.4b624ce155f4fp-1, 0x1.498b5f213230bp-1, 0x1.47b89769a1526p-1, 0x1.45ea4638f4024p-1, 0x1.4420b3c2dd0bdp-1, 0x1.425c2018b34f7p-1, 0x1.409cc35b3fb1fp-1, 0x1.3ee2cdf48975bp-1, 0x1.3d2e68d829656p-1, 0x1.3b7fb5c8db7ebp-1, 0x1.39d6cfa225984p-1, 0x1.3833caa5095bdp-1, 0x1.3696b4c6d926cp-1, 0x1.34ff9601634d9p-1, 0x1.336e70a3c2bd8p-1, 0x1.31e341a33a2c1p-1, 0x1.305e00eb9a49ap-1, 0x1.2edea1aec146ep-1, 0x1.2d6512b2d912cp-1, 0x1.2bf13e9f08e4ep-1, 0x1.2a830c465a85ep-1, 0x1.291a5ef0a3d71p-1, 0x1.27b716a14e8dap-1, 0x1.2659105be18bbp-1, 0x1.25002666379bp-1, 0x1.23ac30885702p-1, 0x1.225d0449e4aacp-1, 0x1.2112752d2c0b2p-1, 0x1.1fcc54e7c5b41p-1, 0x1.1e8a7398dba5bp-1, 0x1.1d4c9ffd16d87p-1, 0x1.1c12a7a0424b6p-1, 0x1.1adc570caad98p-1, 0x1.19a979f8512a8p-1, 0x1.1879db6ff3771p-1, 0x1.174d460007187p-1, 0x1.162383dbaa062p-1, 0x1.14fc5f01a0b6p-1, 0x1.13d7a15f6dc73p-1, 0x1.12b514f2934efp-1, 0x1.119483e80d9b4p-1, 0x1.1075b8ba149d6p-1, 0x1.0f587e4c34425p-1, 0x1.0e3ca005c841dp-1, 0x1.0d21e9eae976cp-1, 0x1.0c0828b3d9f3p-1, 0x1.0aef29e2fb75bp-1, 0x1.09d6bbd95d057p-1, 0x1.08beade9eaadbp-1, 0x1.07a6d06b4be7p-1, 0x1.068ef4c879af2p-1, 0x1.0576ed9017172p-1, 0x1.045e8e82977e8p-1, 0x1.0345ac9f3a663p-1, 0x1.022c1e2fe7d9ap-1, 0x1.0111bad3f6023p-1, 0x1.ffecb713bebc9p-2, 0x1.fdb3b56fe8c62p-2, 0x1.fb78286822381p-2, 0x1.f939ca94b73dfp-2, 0x1.f6f85986317cdp-2, 0x1.f4b395cf32cb8p-2, 0x1.f26b430c9ba15p-2, 0x1.f01f27ec05268p-2, 0x1.edcf0e309ebb1p-2, 0x1.eb7ac2b685622p-2, 0x1.e922157498972p-2, 0x1.e6c4d97ce7d08p-2, 0x1.e462e4fbba73p-2, 0x1.e1fc11354ecbdp-2, 0x1.df903a824dddep-2, 0x1.dd1f404b16519p-2, 0x1.daa90501d77c5p-2, 0x1.d82d6e1b9b4a1p-2, 0x1.d5ac640845307p-2, 0x1.d325d229919b4p-2, 0x1.d099a6c92bcf8p-2, 0x1.ce07d30dddca2p-2, 0x1.cb704aeff0884p-2, 0x1.c8d3052cc0adcp-2, 0x1.c62ffb399c373p-2, 0x1.c3872935efce7p-2, 0x1.c0d88ddcd6acap-2, 0x1.be242a760f3b7p-2, 0x1.bb6a02c66ca6dp-2, 0x1.b8aa1cffc5cf6p-2, 0x1.b5e481b074f78p-2, 0x1.b3193bb26f34bp-2, 0x1.b0485819ff147p-2, 0x1.ad71e6242ec4dp-2, 0x1.aa95f724ea1dp-2, 0x1.a7b49e74e2a1ep-2, 0x1.a4cdf15f4167bp-2, 0x1.a1e2070f2e4aap-2, 0x1.9ef0f87d33876p-2, 0x1.9bfae05c8df9cp-2, 0x1.98ffdb08675dep-2, 0x1.960006710ecf1p-2, 0x1.92fb82092ce0bp-2, 0x1.8ff26eb302452p-2, 0x1.8ce4eeadb255p-2, 0x1.89d32582a788fp-2, 0x1.86bd37f30f427p-2, 0x1.83a34be57cb9bp-2, 0x1.80858853b14d2p-2, 0x1.7d64153893e0ap-2, 0x1.7a3f1b7e5d734p-2, 0x1.7716c4ecf92b1p-2, 0x1.73eb3c18a8fc1p-2, 0x1.70bcac50e4ce2p-2, 0x1.6d8b418f82a4ep-2, 0x1.6a57286828aa4p-2, 0x1.67208df80c30cp-2, 0x1.63e79fd5ff6f3p-2, 0x1.60ac8c02d3adap-2, 0x1.5d6f80da12168p-2, 0x1.5a30ad030ceebp-2, 0x1.56f03f624bd71p-2, 0x1.53ae670b53f9fp-2, 0x1.506b5332cfa88p-2, 0x1.4d273321172a1p-2, 0x1.49e2362519dd4p-2, 0x1.469c8b87ab9f4p-2, 0x1.4356627f3213ep-2, 0x1.400fea23bc5c3p-2, 0x1.3cc951637b8f5p-2, 0x1.3982c6f79fe9ep-2, 0x1.363c79599ffcp-2, 0x1.32f696b8e098fp-2, 0x1.2fb14cf0c4922p-2, 0x1.2c6cc97f220ap-2, 0x1.2929397b1abc6p-2, 0x1.25e6c98c5abf9p-2, 0x1.22a5a5e2b8e8dp-2, 0x1.1f65fa2e39446p-2, 0x1.1c27f19775963p-2, 0x1.18ebb6b861559p-2, 0x1.15b173956fbc3p-2, 0x1.1279519718d4bp-2, 0x1.0f437983bc37p-2, 0x1.0c101379dad93p-2, 0x1.08df46eab2f43p-2, 0x1.05b13a952cd51p-2, 0x1.028614812409cp-2, 0x1.febbf3f6091e8p-3, 0x1.f8721f1f72b84p-3, 0x1.f22ef211e6a49p-3, 0x1.ebf2b2d36fc0ep-3, 0x1.e5bda5d68baf1p-3, 0x1.df900df4821ep-3, 0x1.d96a2c6859852p-3, 0x1.d34c40ca5a5fap-3, 0x1.cd36890c1b9f8p-3, 0x1.c72941752043p-3, 0x1.c124a49ff7fa5p-3, 0x1.bb28eb77dd96p-3, 0x1.b5364d36d7a39p-3, 0x1.af4cff64542ffp-3, 0x1.a96d35d436018p-3, 0x1.a39722a6550dp-3, 0x1.9dcaf6466ea0bp-3, 0x1.9808df6c7ffd4p-3, 0x1.92510b1d8292fp-3, 0x1.8ca3a4ac8f27ap-3, 0x1.8700d5bc5f1c2p-3, 0x1.8168c64124c54p-3, 0x1.7bdb9c82be5fbp-3, 0x1.76597d1f390dfp-3, 0x1.70e28b0da7676p-3, 0x1.6b76e7a13f466p-3, 0x1.6616b28cbfb76p-3, 0x1.60c209e6236e4p-3, 0x1.5b790a2a88e46p-3, 0x1.563bce426378p-3, 0x1.510a6f85dc0b6p-3, 0x1.4be505c1747e2p-3, 0x1.46cba73ad47d3p-3, 0x1.41be68b5d061bp-3, 0x1.3cbd5d7995004p-3, 0x1.37c89756075eep-3, 0x1.32e026a945d74p-3, 0x1.2e041a6551afp-3, 0x1.29348015d698fp-3, 0x1.247163e61b8cdp-3, 0x1.1fbad0a701b2bp-3, 0x1.1b10cfd52ca52p-3, 0x1.1673699f37e5dp-3, 0x1.11e2a4ec09588p-3, 0x1.0d5e8761300ebp-3, 0x1.08e715695ad32p-3, 0x1.047c523ad4ddep-3, 0x1.001e3fde1b28dp-3, 0x1.f799be68de424p-4, 0x1.ef105ffcf7a2fp-4, 0x1.e6a061c5f293p-4, 0x1.de49beeac1783p-4, 0x1.d60c7079289a2p-4, 0x1.cde86d7329e2fp-4, 0x1.c5ddaadc67d4dp-4, 0x1.bdec1bc778a9ep-4, 0x1.b613b16345c49p-4, 0x1.ae545b0857c64p-4, 0x1.a6ae064616552p-4, 0x1.9f209eeff2c62p-4, 0x1.97ac0f2a961e2p-4, 0x1.90503f78df0c9p-4, 0x1.890d16c8df31ap-4, 0x1.81e27a80b4aedp-4, 0x1.7ad04e8b4f213p-4, 0x1.73d6756514c57p-4, 0x1.6cf4d028684a3p-4, 0x1.662b3e9a135edp-4, 0x1.5f799f358bc91p-4, 0x1.58dfcf391686bp-4, 0x1.525daab1c51c8p-4, 0x1.4bf30c8750f1bp-4, 0x1.459fce87c9475p-4, 0x1.3f63c9731e883p-4, 0x1.393ed50680622p-4, 0x1.3330c80794a4cp-4, 0x1.2d39784f80621p-4, 0x1.2758bad5c514ep-4, 0x1.218e63baf3343p-4, 0x1.1bda46532b84p-4, 0x1.163c353075a78p-4, 0x1.10b4022ce75f6p-4, 0x1.0b417e749ae0ep-4, 0x1.05e47a8f76bb3p-4, 0x1.009cc66ac5b5cp-4, 0x1.f6d462c53e5ecp-5, 0x1.ec9914963e376p-5, 0x1.e2873ef2d3297p-5, 0x1.d89e7d990beb1p-5, 0x1.cede6b6bfbefdp-5, 0x1.c546a284ada45p-5, 0x1.bbd6bc42a5d56p-5, 0x1.b28e515c0a33dp-5, 0x1.a96cf9ed62ddcp-5, 0x1.a0724d890289fp-5, 0x1.979de346057efp-5, 0x1.8eef51cef61e4p-5, 0x1.86662f700f454p-5, 0x1.7e02122520bdp-5, 0x1.75c28fa714502p-5, 0x1.6da73d7915a46p-5, 0x1.65afb0f55e988p-5, 0x1.5ddb7f59a3ef9p-5, 0x1.562a3dd329ab5p-5, 0x1.4e9b818a7daecp-5, 0x1.472edfaed4c95p-5, 0x1.3fe3ed8116d59p-5, 0x1.38ba405e879fap-5, 0x1.31b16dcb285ecp-5, 0x1.2ac90b7bb4e8bp-5, 0x1.2400af5f59788p-5, 0x1.1d57efa90e626p-5, 0x1.16ce62d8a2276p-5, 0x1.10639fc37512dp-5, 0x1.0a173d9ce8241p-5, 0x1.03e8d3fe761e9p-5, 0x1.fbaff5df0d2bdp-6, 0x1.efc895d9e66f3p-6, 0x1.e41ab9e087181p-6, 0x1.d8a594ed396fcp-6, 0x1.cd685b0ed88e5p-6, 0x1.c26241759d6d6p-6, 0x1.b7927e7f56cc1p-6, 0x1.acf849c323d15p-6, 0x1.a292dc1ca40dep-6, 0x1.98616fb6a3337p-6, 0x1.8e6340155704ep-6, 0x1.84978a20005aep-6, 0x1.7afd8c2a364e9p-6, 0x1.719485fc9a198p-6, 0x1.685bb8dd2f7a9p-6, 0x1.5f5267973238ap-6, 0x1.5677d68284e7dp-6, 0x1.4dcb4b8aaf17ap-6, 0x1.454c0e35708b8p-6, 0x1.3cf967a8ef1e8p-6, 0x1.34d2a2b187c3dp-6, 0x1.2cd70bc720dddp-6, 0x1.2505f1124394ep-6, 0x1.1d5ea270b9554p-6, 0x1.15e07179d8603p-6, 0x1.0e8ab1827e086p-6, 0x1.075cb7a0a5b6p-6, 0x1.0055daaeb98c3p-6, 0x1.f2eae69d09872p-7, 0x1.e575b7d7c9268p-7, 0x1.d84ae17e42472p-7, 0x1.cb691f9df7d4p-7, 0x1.becf31e4fec7ep-7, 0x1.b27bdba509dcfp-7, 0x1.a66de3d5d092dp-7, 0x1.9aa415172fd59p-7, 0x1.8f1d3db281647p-7, 0x1.83d82f9bb81bdp-7, 0x1.78d3c071e16fap-7, 0x1.6e0ec97f3d587p-7, 0x1.638827b8e5a93p-7, 0x1.593ebbbdff2cdp-7, 0x1.4f3169d6a89e9p-7, 0x1.455f19f25c0cep-7, 0x1.3bc6b7a5fc7fep-7, 0x1.326732298ca4fp-7, 0x1.293f7c55975fbp-7, 0x1.204e8ca02516p-7, 0x1.17935d1977254p-7, 0x1.0f0ceb686de9ap-7, 0x1.06ba38c69933ap-7, 0x1.fd3493f821bep-8, 0x1.ed584eb601b22p-8, 0x1.ddddb975d12ffp-8, 0x1.cec2f2e75eb9dp-8, 0x1.c00620b0c659cp-8, 0x1.b1a56f63aae5p-8, 0x1.a39f1271ea1c3p-8, 0x1.95f14421e4b58p-8, 0x1.889a45826a141p-8, 0x1.7b985e5e41331p-8, 0x1.6ee9dd2f6edadp-8, 0x1.628d1711ec012p-8, 0x1.568067b665bafp-8, 0x1.4ac231544b921p-8, 0x1.3f50dc9bef4e6p-8, 0x1.342ad8a840d27p-8, 0x1.294e9af0296cap-8, 0x1.1eba9f37e9202p-8, 0x1.146d67820dc1dp-8, 0x1.0a657c005ae17p-8, 0x1.00a16b046c2cap-8, 0x1.ee3f91e060d46p-9, 0x1.dbbe604c93ffp-9, 0x1.c9bc81f45ce22p-9, 0x1.b8374340b68e4p-9, 0x1.a72bfc3c47da8p-9, 0x1.969810735c977p-9, 0x1.8678eed3330dfp-9, 0x1.76cc1189891b9p-9, 0x1.678efde3b707ap-9, 0x1.58bf442df490bp-9, 0x1.4a5a7f9221907p-9, 0x1.3c5e55f6edc38p-9, 0x1.2ec877dea82eap-9, 0x1.2196a04612756p-9, 0x1.14c6948353b66p-9, 0x1.0856242496f71p-9, 0x1.f886519e60353p-10, 0x1.e1170c3c47916p-10, 0x1.ca5a5302a2eb1p-10, 0x1.b44c1438e0c19p-10, 0x1.9ee8514be31d3p-10, 0x1.8a2b1e8c888a7p-10, 0x1.7610a2ee0a4c1p-10, 0x1.629517c4d305bp-10, 0x1.4fb4c885826fcp-10, 0x1.3d6c1283c7633p-10, 0x1.2bb764b260e0ep-10, 0x1.1a933f62b1e37p-10, 0x1.09fc34050173bp-10, 0x1.f3ddc9d1f18dcp-11, 0x1.d4d009fd55e59p-11, 0x1.b6c8af2faf7bp-11, 0x1.99c16052db2ecp-11, 0x1.7db3e41c0a62fp-11, 0x1.629a209043429p-11, 0x1.486e1a8a90eebp-11, 0x1.2f29f54361dc3p-11, 0x1.16c7f1d7d54e6p-11, 0x1.fe84dda6179c4p-12, 0x1.d127cf6f8bfb1p-12, 0x1.a56de916d6f86p-12, 0x1.7b4c92c3c3b7dp-12, 0x1.52b96bd56ec36p-12, 0x1.2baa49fddf5c6p-12, 0x1.061538606dc51p-12, 0x1.c3e0ed6500242p-13, 0x1.7e64f0bc379d2p-13, 0x1.3ba3c74d6812p-13, 0x1.f71643420c2dbp-14, 0x1.7c12252851d77p-14, 0x1.06181b5f053d6p-14, 0x1.2a0b9612142p-15, 0x1.45cca0da4d4d8p-17, -0x1.f76b8eae6851bp-17, -0x1.441ef58a8e206p-15, -0x1.00cc095b5aa34p-14, -0x1.5b41f20965946p-14, -0x1.b18f5e157001bp-14, -0x1.01e8e750aa80dp-13, -0x1.29130fd2c2acep-13, -0x1.4e544571b078cp-13, -0x1.71ba55672d8bdp-13, -0x1.9352beb514107p-13, -0x1.b32ab38ff74c3p-13, -0x1.d14f1ac5277a5p-13, -0x1.edcc911c7cc9fp-13, -0x1.0457b55976d78p-12, -0x1.1101da2aa3b6ep-12, -0x1.1cea9a67f30c7p-12, -0x1.2817b71f8671bp-12, -0x1.328ecfac02a32p-12, -0x1.3c55625689f14p-12, -0x1.4570ccf7bbd85p-12, -0x1.4de64d94b6ba9p-12, -0x1.55bb02fae6e7bp-12, -0x1.5cf3ed59d02e3p-12, -0x1.6395eed90b19p-12, -0x1.69a5cc2d9c712p-12, -0x1.6f282d2c60b3ap-12, -0x1.74219d5a5864ap-12, -0x1.78968c7a59dabp-12, -0x1.7c8b4f19866f1p-12, -0x1.80041f1894953p-12, -0x1.83051c334111ap-12, -0x1.85924c8617f31p-12, -0x1.87af9d11629cep-12, -0x1.8960e23a8e74ap-12, -0x1.8aa9d84b64a9cp-12, -0x1.8b8e23eec614fp-12, -0x1.8c1152abb8ff8p-12, -0x1.8c36db5f2271dp-12, -0x1.8c021eb102a3bp-12, -0x1.8b76678bb4a28p-12, -0x1.8a96eb8d2b89ep-12, -0x1.8966cb78fbbf3p-12, -0x1.87e913a7a3d0cp-12, -0x1.8620bc73435aap-12, -0x1.8410aaa366d54p-12, -0x1.81bbafd663a42p-12, -0x1.7f248ae979cb1p-12, -0x1.7c4de85ead11bp-12, -0x1.793a62c07a844p-12, -0x1.75ec8304b5544p-12, -0x1.7266c0ed6577ap-12, -0x1.6eab8366cfd98p-12, -0x1.6abd20e5b2556p-12, -0x1.669ddfc2063c9p-12, -0x1.624ff6919ed43p-12, -0x1.5dd58c7fce44p-12, -0x1.5930b9a4a8cb1p-12, -0x1.54638759709f5p-12, -0x1.4f6ff08c8c421p-12, -0x1.4a57e21364e6fp-12, -0x1.451d3afab4ef1p-12, -0x1.3fc1ccd58993dp-12, -0x1.3a475c0ae2953p-12, -0x1.34afa0218a25ap-12, -0x1.2efc440a6e79ap-12, -0x1.292ee66a2979fp-12, -0x1.234919e02faep-12, -0x1.1d4c654e01667p-12, -0x1.173a441b6c418p-12, -0x1.1114267a73f64p-12, -0x1.0adb71a9fbd27p-12, -0x1.049180365be47p-12, -0x1.fc6f4472f2ca8p-13, -0x1.ef9e3b3214a03p-13, -0x1.e2b25c8890d09p-13, -0x1.d5ae0cdf8ea27p-13, -0x1.c8939da0bc6c3p-13, -0x1.bb654da987738p-13, -0x1.ae2549bd093d5p-13, -0x1.a0d5acf2088fbp-13, -0x1.9378811f6186fp-13, -0x1.860fbf47b504cp-13, -0x1.789d50002301ep-13, -0x1.6b230bd78b152p-13, -0x1.5da2bbb9f5641p-13, -0x1.501e1952a54e1p-13, -0x1.4296cf6c42ffbp-13, -0x1.350e7a4e7c816p-13, -0x1.2786a819fe897p-13, -0x1.1a00d922e3affp-13, -0x1.0c7e8048625fcp-13, -0x1.fe0206971f618p-14, -0x1.e3137647ce675p-14, -0x1.c833e8a3bdaefp-14, -0x1.ad65de5f1a6e1p-14, -0x1.92abc080b42f5p-14, -0x1.7807e0fc7468dp-14, -0x1.5d7c7b4bc6c9fp-14, -0x1.430bb501ae5f5p-14, -0x1.28b79e5bf6ae7p-14, -0x1.0e8232d24bfd5p-14, -0x1.e8dab33e6a237p-15, -0x1.b4f5cc9528103p-15, -0x1.815932597b6bcp-15, -0x1.4e083fe2e0845p-15, -0x1.1b062c2e19a3cp-15, -0x1.d0ac15acf2758p-16, -0x1.6bf59a108c8cap-16, -0x1.07ee84ddf470bp-16, -0x1.49386879a75b1p-17, -0x1.080f1bae817bbp-18, 0x1.fd5e20478b544p-20, 0x1.01d842fcea215p-17, 0x1.c2751975080cp-17, 0x1.40bcf1a592cb8p-16, 0x1.9f6f554730a36p-16, 0x1.fd4df2390ddb9p-16, 0x1.2d2a9b8f8b95bp-15, 0x1.5b40e2987e7fcp-15, 0x1.88e8376365bd7p-15, 0x1.b61f1af764beap-15, 0x1.e2e42587e72f2p-15, 0x1.079b02e379742p-14, 0x1.1d89c01e69d93p-14, 0x1.333db7521a6d4p-14, 0x1.48b65fa503f59p-14, 0x1.5df33a37e4b2cp-14, 0x1.72f3d1da264p-14, 0x1.87b7babe5f01ap-14, 0x1.9c3e9232025e8p-14, 0x1.b087fe5587543p-14, 0x1.c493add7b52fdp-14, 0x1.d86157b124e18p-14, 0x1.ebf0bae2fc735p-14, 0x1.ff419e357cbebp-14, 0x1.0929e7fcceedep-13, 0x1.129392e5c745bp-13, 0x1.1bddbe2b51905p-13, 0x1.25085b8d80aebp-13, 0x1.2e13601a42e1fp-13, 0x1.36fec4118d196p-13, 0x1.3fca82ca212d3p-13, 0x1.48769a9754cdap-13, 0x1.51030caf42bb3p-13, 0x1.596fdd117116ep-13, 0x1.61bd126ebdc18p-13, 0x1.69eab610db0b2p-13, 0x1.71f8d3c3b1dfp-13, 0x1.79e779be281cep-13, 0x1.81b6b88c4e54dp-13, 0x1.8966a2f9c55bcp-13, 0x1.90f74dfcb149ap-13, 0x1.9868d0a1484acp-13, 0x1.9fbb43f611148p-13, 0x1.a6eec2f82fc45p-13, 0x1.ae036a80d779ep-13, 0x1.b4f95932ae6eap-13, 0x1.bbd0af67db638p-13, 0x1.c2898f20aa606p-13, 0x1.c9241bf27c364p-13, 0x1.cfa07af754886p-13, 0x1.d5fed2bdb631dp-13, 0x1.dc3f4b390c2e9p-13, 0x1.e2620db25b79dp-13, 0x1.e86744b96669ep-13, 0x1.ee4f1c166844ep-13, 0x1.f419c0bbd809fp-13, 0x1.f9c760b90199cp-13, 0x1.ff582b2c74896p-13, 0x1.0266281bab6b9p-12, 0x1.05120078645e3p-12, 0x1.07afb7ace098ep-12, 0x1.0a3f67288a644p-12, 0x1.0cc128c410acdp-12, 0x1.0f3516bbb532p-12, 0x1.119b4ba9ef606p-12, 0x1.13f3e2821086p-12, 0x1.163ef68b32c8ep-12, 0x1.187ca35b40e29p-12, 0x1.1aad04d20e129p-12, 0x1.1cd03714bd53ap-12, 0x1.1ee6568910b35p-12, 0x1.20ef7fd124becp-12, 0x1.22ebcfc704c1ep-12, 0x1.24db6378957e1p-12, 0x1.26be582387892p-12, 0x1.2894cb315fbdbp-12, 0x1.2a5eda33b869cp-12, 0x1.2c1ca2e0893f9p-12, 0x1.2dce430e9f76p-12, 0x1.2f73d8b21c375p-12, 0x1.310d81d92f694p-12, 0x1.329b5ca8cfc0ep-12, 0x1.341d875981404p-12, 0x1.35942034705eep-12, 0x1.36ff459059dabp-12, 0x1.385f15cecace6p-12, 0x1.39b3af595a06bp-12, 0x1.3afd309eee668p-12, 0x1.3c3bb811404aap-12, 0x1.3d6f642255132p-12, 0x1.3e98534202c7p-12, 0x1.3fb6a3dbb5ec8p-12, 0x1.40ca74542babep-12, 0x1.41d3e30739747p-12, 0x1.42d30e45c86c6p-12, 0x1.43c81453b902ap-12, 0x1.44b31365ff3eap-12, 0x1.459429a0b9a93p-12, 0x1.466b7515633afp-12, 0x1.473913c11834ap-12, 0x1.47fd238aeabafp-12, 0x1.48b7c24233d7ep-12, 0x1.49690d9d12df5p-12, 0x1.4a112336f23b1p-12, 0x1.4ab0208efce6dp-12, 0x1.4b462306d6937p-12, 0x1.4bd347e140e03p-12, 0x1.4c57ac40c7c87p-12, 0x1.4cd36d26904b5p-12, 0x1.4d46a771398adp-12, 0x1.4db177dba0318p-12, 0x1.4e13fafbe1cb7p-12, 0x1.4e6e4d4255c3ap-12, 0x1.4ec08af87784bp-12, 0x1.4f0ad04018355p-12, 0x1.4f4d39125e036p-12, 0x1.4f87e13ef4f9dp-12, 0x1.4fbae46b2f9f8p-12, 0x1.4fe65e1152d2bp-12, 0x1.500a697fd9fbfp-12, 0x1.502721d8aa978p-12, 0x1.503ca21083a49p-12, 0x1.504b04ee4bc1p-12, 0x1.5052650a85ffep-12, 0x1.5052dcceac2ep-12, 0x1.504c8674bce13p-12, 0x1.503f7c06b9508p-12, 0x1.502bd75e1cdfp-12, 0x1.5011b2237920dp-12, 0x1.4ff125ce07f7cp-12, 0x1.4fca4ba3463ecp-12, 0x1.4f9d3cb69f1edp-12, 0x1.4f6a11e913c9bp-12, 0x1.4f30e3e8f12bp-12, 0x1.4ef1cb318a198p-12, 0x1.4eace00adcd1bp-12, 0x1.4e623a89794ap-12, 0x1.4e11f28e34a34p-12, 0x1.4dbc1fc5ffb99p-12, 0x1.4d60d9a9bb754p-12, 0x1.4d00377e090dep-12, 0x1.4c9a50533c871p-12, 0x1.4c2f3b0533b58p-12, 0x1.4bbf0e3b3477bp-12, 0x1.4b49e067f4d11p-12, 0x1.4acfc7c974a2ap-12, 0x1.4a50da68f99cfp-12, 0x1.49cd2e1b0c8c5p-12, 0x1.4944d87f7b99cp-12, 0x1.48b7ef014a871p-12, 0x1.482686d6c6f3bp-12, 0x1.4790b50192449p-12, 0x1.46f68e4ea1312p-12, 0x1.4658275658229p-12, 0x1.45b5947c9af76p-12, 0x1.450ee9f0df79cp-12, 0x1.44643bae4ce6bp-12, 0x1.43b59d7bd43f3p-12, 0x1.430322ec4b4e5p-12, 0x1.424cdf5e9530fp-12, 0x1.4192e5fdc82adp-12, 0x1.40d549c14d2c9p-12, 0x1.40141d6d10046p-12, 0x1.3f4f7391a5a55p-12, 0x1.3e875e8c7be4fp-12, 0x1.3dbbf088076a6p-12, 0x1.3ced3b7bfb14p-12, 0x1.3c1b512d7e751p-12, 0x1.3b46432f5caccp-12, 0x1.3a6e22e23ae3ep-12, 0x1.39930174dcc1fp-12, 0x1.38b4efe452cfbp-12, 0x1.37d3fefc4212cp-12, 0x1.36f03f571e269p-12, 0x1.3609c15e68bc4p-12, 0x1.3520954aefc0ep-12, 0x1.3434cb2519ed8p-12, 0x1.334672c522accp-12, 0x1.32559bd361b65p-12, 0x1.316255c891c3dp-12, 0x1.306cafee1bc6ap-12, 0x1.2f74b95e5bcf8p-12, 0x1.2e7a8104e7506p-12, 0x1.2d7e159eda924p-12, 0x1.2c7f85bb25b87p-12, 0x1.2b7edfbadc03fp-12, 0x1.2a7c31d17a882p-12, 0x1.29778a053687cp-12, 0x1.2870f62f4ef8fp-12, 0x1.276883fc5bc84p-12, 0x1.265e40ec9ee99p-12, 0x1.25523a544ea72p-12, 0x1.24447d5beabffp-12, 0x1.23351700926c6p-12, 0x1.222414144ead7p-12, 0x1.2111813e66113p-12, 0x1.1ffd6afbb1d0ep-12, 0x1.1ee7dd9ef03b5p-12, 0x1.1dd0e5511c13dp-12, 0x1.1cb88e11b5faap-12, 0x1.1b9ee3b72219bp-12, 0x1.1a83f1eef7681p-12, 0x1.1967c43e52148p-12, 0x1.184a6602328cp-12, 0x1.172be26fcaf02p-12, 0x1.160c4494d1f49p-12, 0x1.14eb9757d870ep-12, 0x1.13c9e578a1325p-12, 0x1.12a73990768d9p-12, 0x1.11839e127f093p-12, 0x1.105f1d4c0f555p-12, 0x1.0f39c1650136cp-12, 0x1.0e139460074b6p-12, 0x1.0ceca01b08768p-12, 0x1.0bc4ee4f6b89cp-12, 0x1.0a9c889271cb2p-12, 0x1.0973785588054p-12, 0x1.0849c6e69eccep-12, 0x1.071f7d707c77dp-12, 0x1.05f4a4fb13957p-12, 0x1.04c9466bd14bp-12, 0x1.039d6a85f6f31p-12, 0x1.027119eaec882p-12, 0x1.01445d1a930e9p-12, 0x1.00173c73920b8p-12, 0x1.fdd3806768951p-13, 0x1.fb77e0f06b8ecp-13, 0x1.f91baa7c2415dp-13, 0x1.f6beecc4b9c6ep-13, 0x1.f461b7451de92p-13, 0x1.f2041939ad8f6p-13, 0x1.efa621a0e0556p-13, 0x1.ed47df3bdfb2p-13, 0x1.eae9608f1d62ep-13, 0x1.e88ab3e301433p-13, 0x1.e62be74486052p-13, 0x1.e3cd0885d41eap-13, 0x1.e16e253ee21d5p-13, 0x1.df0f4ace0dc5dp-13, 0x1.dcb08658bc67ap-13, 0x1.da51e4cbf0625p-13, 0x1.d7f372dce4f8ap-13, 0x1.d5953d09a93ccp-13, 0x1.d3374f99b67c1p-13, 0x1.d0d9b69e8cf8cp-13, 0x1.ce7c7df444eep-13, 0x1.cc1fb142207a7p-13, 0x1.c9c35bfb2bf44p-13, 0x1.c767895ec985dp-13, 0x1.c50c44794a4cep-13, 0x1.c2b1982479f76p-13, 0x1.c0578f082df9fp-13, 0x1.bdfe339adeafbp-13, 0x1.bba5902232f66p-13, 0x1.b94daeb38d986p-13, 0x1.b6f69934971c2p-13, 0x1.b4a0595bd2625p-13, 0x1.b24af8b120275p-13, 0x1.aff6808e4f20cp-13, 0x1.ada2fa1fa4e61p-13, 0x1.ab506e64608b8p-13, 0x1.a8fee62f48f26p-13, 0x1.a6ae6a272e7d2p-13, 0x1.a45f02c76daap-13, 0x1.a210b86080174p-13, 0x1.9fc3931877e93p-13, 0x1.9d779aeb817e3p-13, 0x1.9b2cd7ac5ed4dp-13, 0x1.98e35104f3288p-13, 0x1.969b0e76c10b2p-13, 0x1.9454175b614a6p-13, 0x1.920e72e503bdp-13, 0x1.8fca281ef1ddfp-13, 0x1.8d873dedfe7c6p-13, 0x1.8b45bb1107702p-13, 0x1.8905a62171e63p-13, 0x1.86c70593992abp-13, 0x1.8489dfb74bdcp-13, 0x1.824e3ab845838p-13, 0x1.80141c9e9c795p-13, 0x1.7ddb8b4f3a961p-13, 0x1.7ba48c8c4b168p-13, 0x1.796f25f5b4345p-13, 0x1.773b5d0985095p-13, 0x1.75093724653ffp-13, 0x1.72d8b9820a2b5p-13, 0x1.70a9e93d99db7p-13, 0x1.6e7ccb52211bcp-13, 0x1.6c51649afcd55p-13, 0x1.6a27b9d443718p-13, 0x1.67ffcf9b3824ap-13, 0x1.65d9aa6ea6cd7p-13, 0x1.63b54eaf57403p-13, 0x1.6192c0a071411p-13, 0x1.5f720467df98ep-13, 0x1.5d531e0eb9774p-13, 0x1.5b361181a9214p-13, 0x1.591ae29148b78p-13, 0x1.570194f28ab21p-13, 0x1.54ea2c3f178d3p-13, 0x1.52d4abf5b3913p-13, 0x1.50c1177a9c7f7p-13, 0x1.4eaf7217e825ap-13, 0x1.4c9fbefde03d5p-13, 0x1.4a9201435e4bap-13, 0x1.48863be630827p-13, 0x1.467c71cb6d853p-13, 0x1.4474a5bfcbc71p-13, 0x1.426eda78066cdp-13, 0x1.406b12912ac2bp-13, 0x1.3e695090f502ep-13, 0x1.3c6996e6289aap-13, 0x1.3a6be7e8e0545p-13, 0x1.387045dae5b62p-13, 0x1.3676b2e80bfafp-13, 0x1.347f312672b9dp-13, 0x1.3289c296ed7adp-13, 0x1.3096692547454p-13, 0x1.2ea526a88e488p-13, 0x1.2cb5fce3726f7p-13, 0x1.2ac8ed848d6f3p-13, 0x1.28ddfa26b03d3p-13, 0x1.26f5245133399p-13, 0x1.250e6d783d56fp-13, 0x1.2329d6fd1190fp-13, 0x1.2147622e5d48dp-13, 0x1.1f6710487da09p-13, 0x1.1d88e275cebe6p-13, 0x1.1bacd9cee9f2cp-13, 0x1.19d2f75af97d2p-13, 0x1.17fb3c0ff7989p-13, 0x1.1625a8d2f68a8p-13, 0x1.14523e7865fdep-13, 0x1.1280fdc45690ep-13, 0x1.10b1e76ac0168p-13, 0x1.0ee4fc0fbfbcep-13, 0x1.0d1a3c47dab48p-13, 0x1.0b51a89849d96p-13, 0x1.098b41773271bp-13, 0x1.07c7074be0bap-13, 0x1.0604fa6f1641dp-13, 0x1.04451b2b34415p-13, 0x1.028769bc87423p-13, 0x1.00cbe65189c71p-13, 0x1.fe2522161b74bp-14, 0x1.fab6d3f919304p-14, 0x1.f74ce258a8eeep-14, 0x1.f3e74d2786f9dp-14, 0x1.f086143f13369p-14, 0x1.ed29375fb7d5ap-14, 0x1.e9d0b6315903p-14, 0x1.e67c9043cbcb3p-14, 0x1.e32cc50f37624p-14, 0x1.dfe153f49170ap-14, 0x1.dc9a3c3dfbbfep-14, 0x1.d9577d1f37854p-14, 0x1.d61915b6030ecp-14, 0x1.d2df050a97dcbp-14, 0x1.cfa94a0ffd7fap-14, 0x1.cc77e3a467451p-14, 0x1.c94ad091b2513p-14, 0x1.c6220f8daa135p-14, 0x1.c2fd9f3a89fa1p-14, 0x1.bfdd7e2743b51p-14, 0x1.bcc1aacfe97d9p-14, 0x1.b9aa239e048edp-14, 0x1.b696e6e8ff6edp-14, 0x1.b387f2f67197bp-14, 0x1.b07d45fa80be5p-14, 0x1.ad76de183ae55p-14, 0x1.aa74b961ecd4cp-14, 0x1.a776d5d97fc6fp-14, 0x1.a47d3170ba42bp-14, 0x1.a187ca09b2234p-14, 0x1.9e969d770a621p-14, 0x1.9ba9a97c4d86p-14, 0x1.98c0ebce3f3dcp-14, 0x1.95dc62131f63ap-14, 0x1.92fc09e311eeep-14, 0x1.901fe0c8616cep-14, 0x1.8d47e43fc0092p-14, 0x1.8a7411b8ac9d2p-14, 0x1.87a46695aae48p-14, 0x1.84d8e02c8ca0bp-14, 0x1.82117bc6cf45ap-14, 0x1.7f4e36a1cdep-14, 0x1.7c8f0def0f444p-14, 0x1.79d3fed48b0dp-14, 0x1.771d066cf90cep-14, 0x1.746a21c80ebc1p-14, 0x1.71bb4deac4c1cp-14, 0x1.6f1087cf9bf29p-14, 0x1.6c69cc66cc275p-14, 0x1.69c718969b10dp-14, 0x1.6728693b94c93p-14, 0x1.648dbb28cd65cp-14, 0x1.61f70b281fd67p-14, 0x1.5f6455fa5eb7p-14, 0x1.5cd598579e2b2p-14, 0x1.5a4aceef71a88p-14, 0x1.57c3f669198a4p-14, 0x1.55410b63cc62cp-14, 0x1.52c20a76e00e1p-14, 0x1.5046f0320ba0cp-14, 0x1.4dcfb91d9f403p-14, 0x1.4b5c61bab4c5fp-14, 0x1.48ece6836b8ecp-14, 0x1.468143eb21959p-14, 0x1.4419765e9f0b9p-14, 0x1.41b57a444d4a3p-14, 0x1.3f554bfc69158p-14, 0x1.3cf8e7e130018p-14, 0x1.3aa04a4719bbcp-14, 0x1.384b6f7d0b905p-14, 0x1.35fa53cc7c9f8p-14, 0x1.33acf379ac734p-14, 0x1.31634ac3cf21bp-14, 0x1.2f1d55e541b93p-14, 0x1.2cdb1113abc22p-14, 0x1.2a9c788030107p-14, 0x1.28618857a1ba3p-14, 0x1.262a3cc2a4846p-14, 0x1.23f691e5d4b2ep-14, 0x1.21c683e1f91cep-14, 0x1.1f9a0ed424aebp-14, 0x1.1d712ed5ee41fp-14, 0x1.1b4bdffd89a7ep-14, 0x1.192a1e5df0e9ep-14, 0x1.170be6070fe2p-14, 0x1.14f13305e3ef9p-14, 0x1.12da0164a283fp-14, 0x1.10c64d2ae2074p-14, 0x1.0eb6125dbe981p-14, 0x1.0ca94cfff9ee4p-14, 0x1.0a9ff9121c243p-14, 0x1.089a12929c9b4p-14, 0x1.0697957dff58cp-14, 0x1.04987dcef8df9p-14, 0x1.029cc77e8cfdap-14, 0x1.00a46e843134ap-14, 0x1.fd5eddabd5fb1p-15, 0x1.f97b88d0d6b0ap-15, 0x1.f59ed65e62691p-15, 0x1.f1c8be395cbe4p-15, 0x1.edf93844a1086p-15, 0x1.ea303c617c257p-15, 0x1.e66dc26fb23c7p-15, 0x1.e2b1c24dc3322p-15, 0x1.defc33d92c97cp-15, 0x1.db4d0eee92613p-15, 0x1.d7a44b69f3234p-15, 0x1.d401e126ec2b8p-15, 0x1.d065c800f1b4fp-15, 0x1.cccff7d363cd7p-15, 0x1.c9406879d6649p-15, 0x1.c5b711d04dd2cp-15, 0x1.c233ebb337487p-15, 0x1.beb6edffdb609p-15, 0x1.bb4010947643cp-15, 0x1.b7cf4b504fccap-15, 0x1.b4649613fd19cp-15, 0x1.b0ffe8c177f92p-15, 0x1.ada13b3c588dap-15, 0x1.aa48856a0e3bcp-15, 0x1.a6f5bf31f3d6ep-15, 0x1.a3a8e07d7f8c1p-15, 0x1.a061e13860c9ep-15, 0x1.9d20b950bcc74p-15, 0x1.99e560b73bd88p-15, 0x1.96afcf5f2ba92p-15, 0x1.937ffd3ecb9dbp-15, 0x1.9055e24f3fdb5p-15, 0x1.8d31768ce64ebp-15, 0x1.8a12b1f74fd3ep-15, 0x1.86f98c916948cp-15, 0x1.83e5fe61ae5ap-15, 0x1.80d7ff724a4c9p-15, 0x1.7dcf87d10d2e5p-15, 0x1.7acc8f8fc41bap-15, 0x1.77cf0ec44b9f2p-15, 0x1.74d6fd887accp-15, 0x1.71e453fa7a6f1p-15, 0x1.6ef70a3ccc9fp-15, 0x1.6c0f187655627p-15, 0x1.692c76d2ac1cap-15, 0x1.664f1d81fda62p-15, 0x1.637704b9408a6p-15, 0x1.60a424b253a81p-15, 0x1.5dd675ac005a1p-15, 0x1.5b0defea1c55cp-15, 0x1.584a8bb5a5c51p-15, 0x1.558c415cee262p-15, 0x1.52d309337d1cep-15, 0x1.501edb926746cp-15, 0x1.4d6fb0d8280a7p-15, 0x1.4ac58168dbf54p-15, 0x1.482045ae548c7p-15, 0x1.457ff617fceb4p-15, 0x1.42e48b1b429abp-15, 0x1.404dfd33603f7p-15, 0x1.3dbc44e17e62ap-15, 0x1.3b2f5aaceba69p-15, 0x1.38a73722f46c9p-15, 0x1.3623d2d70ec97p-15, 0x1.33a526631a4aap-15, 0x1.312b2a6707b16p-15, 0x1.2eb5d7895bbb3p-15, 0x1.2c452676f23e8p-15, 0x1.29d90fe312b41p-15, 0x1.27718c87a4187p-15, 0x1.250e95251c596p-15, 0x1.22b02282908c2p-15, 0x1.20562d6dccb55p-15, 0x1.1e00aebb6a1edp-15, 0x1.1baf9f46affffp-15, 0x1.1962f7f1e2082p-15, 0x1.171ab1a60f03p-15, 0x1.14d6c55334838p-15, 0x1.12972bf05c12dp-15, 0x1.105bde7b6ff43p-15, 0x1.0e24d5f9a2301p-15, 0x1.0bf20b76fa019p-15, 0x1.09c37806de304p-15, 0x1.079914c3b539fp-15, 0x1.0572dacf0b839p-15, 0x1.0350c351eb422p-15, 0x1.0132c77c5da87p-15, 0x1.fe31c10bbaf32p-16, 0x1.fa060f5a91f6ep-16, 0x1.f5e26c712a72bp-16, 0x1.f1c6caead57afp-16, 0x1.edb31d71338c8p-16, 0x1.e9a756bcf4f16p-16, 0x1.e5a36995a7504p-16, 0x1.e1a748d1d842ep-16, 0x1.ddb2e756e8a8dp-16, 0x1.d9c638198da37p-16, 0x1.d5e12e1d2fe58p-16, 0x1.d203bc74a090ap-16, 0x1.ce2dd641ae8ffp-16, 0x1.ca5f6eb533909p-16, 0x1.c698790f7f5f6p-16, 0x1.c2d8e89fcaad2p-16, 0x1.bf20b0c4f491ap-16, 0x1.bb6fc4ecadf9cp-16, 0x1.b7c61894436a7p-16, 0x1.b4239f480a011p-16, 0x1.b0884ca3cc424p-16, 0x1.acf41452dc1d8p-16, 0x1.a966ea0f68dedp-16, 0x1.a5e0c1a3a69e9p-16, 0x1.a2618ee8a0554p-16, }}, 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
      std::vector<double>(1100, 0.0), 
    }}, 
    {
      18, 0x1.6p+2, 0x1.779d8f8831e53p+3, 0x1.9526bfdd6e0e3p+5, 0x1.32da33e829fp-10, 
      {{
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.28c4f4cde3559p-5, -0x1.a55d55d87111fp-2, 0x1.351f879e81043p+1, -0x1.6e714efdfed8fp+2}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.57a3ea7978da2p-6, -0x1.b4140e9e50dbap-3, 0x1.8e617971691c7p+0, -0x1.1d6490ddec2d7p+2}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.bfa276345d23fp-7, -0x1.73bc6d439e1bep-4, 0x1.c64a450bb6d06p-1, -0x1.b1369f7d869e5p+1}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.65c387bd0fed8p-7, -0x1.c119c3240cd59p-6, 0x1.84b9644d98e4ep-2, -0x1.202e04153cf19p+1}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.4ebadb599bffbp-7, -0x1.9f2d900fda33fp-8, 0x1.574494d417bc8p-5, -0x1.28eda6a5fe1fdp+0}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.430843e1e4e3fp-7, -0x1.635540f64832ep-7, -0x1.0e7f3c5ef7cf2p-3, 0x1.43fbb75d90404p-5}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.269b95391fc21p-7, -0x1.853451de08322p-6, -0x1.0258ff1842661p-3, 0x1.158afe58aac26p-1}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.ef25c20e060dp-8, -0x1.08a2d6d99986ap-5, -0x1.6f4999f2a2fbbp-5, 0x1.653e734bd763bp-2}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.80ce2559a6567p-8, -0x1.17ee21e312a93p-5, 0x1.eb3de9a96239p-8, 0x1.0a4eff9f43882p-2}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.14311674dec3cp-8, -0x1.01cfa896c2807p-5, 0x1.7cf9bcc116e94p-5, 0x1.23e9222581778p-3}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.6bb5789e0529ap-9, -0x1.a5e99f235f0e2p-6, 0x1.160f9bd2324b5p-4, 0x1.22efc26877cefp-5}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b38a8a9be78f9p-10, -0x1.3252fb5567da7p-6, 0x1.2be19733a1ae6p-4, -0x1.5b73f2cfdda74p-4}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.d75dd05a0d607p-11, -0x1.89972afe9e38ep-7, 0x1.ef86cbf5b4115p-5, -0x1.0863067fadd57p-3}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c6a2c7c57927bp-12, -0x1.c6366cb379f4bp-8, 0x1.50e4fb42b22b9p-5, -0x1.91a94c0f6e7a5p-4}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.74700ceb7f855p-13, -0x1.d1caf33d61ffcp-9, 0x1.b0cac8e28875p-6, -0x1.3f9d5fed4573p-4}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.d75dd05a0d697p-15, -0x1.888881304872ep-10, 0x1.e20beb7523fb4p-7, -0x1.cab35cf1bdd64p-5}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.74700ceb7f91p-17, -0x1.d3efbe6fcb41ep-12, 0x1.9da700fb641ffp-8, -0x1.fb90f5fea99d2p-6}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.74700ceb80ep-21, -0x1.8dcbd4fbe3cc7p-15, 0x1.b4734f23f971fp-10, -0x1.54a540fa90a13p-5}, 
      }}, 
      0x1.417b4016a5182p-1, -0x1.f038f1582d8b4p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_i() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.01e2bb6f4453p-4, 0x1.1e5a5cd904679p-3, 0x1.02d9b4cf90f43p-2, 0x1.8a1b86fef6367p-2, 0x1.09eaf02c3e8a7p-1, 0x1.48d2374f84cfdp-1, 0x1.7c7bd45b35404p-1, 0x1.a19f0502da1e4p-1, 0x1.b6bdbe9db118fp-1, 0x1.bbcddaf65b938p-1, 0x1.b1d993dd79eaep-1, 0x1.9aa614e04d09ap-1, 0x1.786725e061766p-1, 0x1.4d81f11dec757p-1, 0x1.1c5ea36bbdb7ep-1, 0x1.ce8e71eea199p-2, 0x1.60a2a4ef201d5p-2, 0x1.e5437770633bcp-3, 0x1.0f462d1642c7ap-3, 0x1.1154cbc7cdd4dp-5, -0x1.de9887275395dp-5, -0x1.21ce662aec40cp-3, -0x1.b838ee460e2e9p-3, -0x1.1ce8617b3533ep-2, -0x1.531bed3778156p-2, -0x1.7ed42056d60e1p-2, -0x1.a06b368df4f14p-2, -0x1.b86acd06e55f2p-2, -0x1.c77f57cf05f6bp-2, -0x1.ce6d0ea43b151p-2, -0x1.ce066413e07b6p-2, -0x1.c7240aa719b64p-2, -0x1.ba9e79c547c4p-2, -0x1.a948d1a25a5afp-2, -0x1.93ecfd6d531a6p-2, -0x1.7b48f0c2c7ae6p-2, -0x1.600cc973db295p-2, -0x1.42d9ad902b684p-2, -0x1.244155456e68fp-2, -0x1.04c5fa049699fp-2, -0x1.c9b54810a9bc4p-3, -0x1.89c781be48874p-3, -0x1.4a6fbf1d5a2f1p-3, -0x1.0c4123c6a7e61p-3, -0x1.9f6d884a132a4p-4, -0x1.2a6b5ae506d84p-4, -0x1.743bdf826517fp-5, -0x1.3c0ea9d80481cp-6, 0x1.684d48d23c89p-8, 0x1.d8e34f2c34bd8p-6, 0x1.9fdbb3ecaad93p-5, 0x1.238e4a0426897p-4, 0x1.71164f6c795cbp-4, 0x1.b8911007f4c23p-4, 0x1.fa162be5987b9p-4, 0x1.1ae3bfb438e4dp-3, 0x1.35e793e405455p-3, 0x1.4e2ee2212b88ep-3, 0x1.63d47aa6e63dp-3, 0x1.76f50822bb3bap-3, 0x1.87ae820973eb7p-3, 0x1.961fb320f3f21p-3, 0x1.a267d29db605dp-3, 0x1.aca62e0aa811fp-3, 0x1.b4f9e1662880dp-3, 0x1.bb819c4a6b67ep-3, 0x1.c05b72f9b251p-3, 0x1.c3a4b8f5fdc57p-3, 0x1.c579e3d3fbcbfp-3, 0x1.c5f674d40f8a9p-3, 0x1.c534e95843886p-3, 0x1.c34eae2fbc8f4p-3, 0x1.c05c1a0a1baf6p-3, 0x1.bc74673033f89p-3, 0x1.b7adb4b12fd55p-3, 0x1.b21d053a888b5p-3, 0x1.abd643f63273fp-3, 0x1.a4ec47ce8374bp-3, 0x1.9d70d9bb002b3p-3, 0x1.9574baed60b65p-3, 0x1.8d07ad4057cd4p-3, 0x1.8438798ed8168p-3, 0x1.7b14f99b5609cp-3, 0x1.71aa1efd88a56p-3, 0x1.6803fd18fada3p-3, 0x1.5e2dd0fed8438p-3, 0x1.54320b07417eep-3, 0x1.4a1a56dfe1b83p-3, 0x1.3fefa4cc51705p-3, 0x1.35ba325aa8339p-3, 0x1.2b819298c1abbp-3, 0x1.214cb6d43a477p-3, 0x1.1721f698d32d7p-3, 0x1.0d0718decdb3cp-3, 0x1.03015ac902247p-3, 0x1.f22aef6a943ep-4, 0x1.de8f60550bd48p-4, 0x1.cb37a44593e3cp-4, 0x1.b82a7f87d8fd9p-4, 0x1.a56debf4c1f0ep-4, 0x1.9307255ba25f7p-4, 0x1.80fab667c5543p-4, 0x1.6f4c84d1e7bffp-4, 0x1.5dffdd0042dbbp-4, 0x1.4d177cd347cdap-4, 0x1.3c959db5de394p-4, 0x1.2c7bff9f49084p-4, 0x1.1ccbf0fa0380ap-4, 0x1.0d86591a6430fp-4, 0x1.fd57816db0045p-5, 0x1.e078afd2a251fp-5, 0x1.c4700275ead14p-5, 0x1.a93cab7baa737p-5, 0x1.8edd5a5c9999ap-5, 0x1.75504abbd7a1dp-5, 0x1.5c934af579823p-5, 0x1.44a3cbacdf85cp-5, 0x1.2d7eead5a8451p-5, 0x1.172179407773p-5, 0x1.018806aafca5ep-5, 0x1.d95dd81c242bfp-6, 0x1.b1249decbad69p-6, 0x1.8a5c563957b6p-6, 0x1.64fcb678ad221p-6, 0x1.40fd388abe23dp-6, 0x1.1e5525a3000a2p-6, 0x1.f9f74fcf95aafp-7, 0x1.b9cfa037d5956p-7, 0x1.7c213721d58d1p-7, 0x1.40d9fe1bd7709p-7, 0x1.07e7e298be0f1p-7, 0x1.a271b23fc145fp-8, 0x1.3975d9a807e16p-8, 0x1.a971311156f4ep-9, 0x1.d05aa24c2f629p-10, 0x1.76d294430b5c6p-12, -0x1.059949fe9354bp-10, -0x1.2d0b5916ac7d1p-9, -0x1.d02457d23739cp-9, -0x1.362c7f2ce77a2p-8, -0x1.80f4b4b47b421p-8, -0x1.c88a2fdc5c046p-8, -0x1.0685c8a639014p-7, -0x1.274b5f2cc17ebp-7, -0x1.46a47a2a73d61p-7, -0x1.649f5371bc6a8p-7, -0x1.8149b6d33d773p-7, -0x1.9cb114ce98455p-7, -0x1.b6e284fea5d46p-7, -0x1.cfeaafde3124fp-7, -0x1.e7d5d90acadd8p-7, -0x1.feafe19c2b274p-7, -0x1.0a4229f02c3fep-6, -0x1.14af28221f2bbp-6, -0x1.1ea447a5f086p-6, -0x1.2826b756267a7p-6, -0x1.313b7a847c401p-6, -0x1.39e765ccb4d5ep-6, -0x1.422f1c255c878p-6, -0x1.4a1713318e334p-6, -0x1.51a397e4b5725p-6, -0x1.58d8ce563fdc5p-6, -0x1.5fbaae24d8de6p-6, -0x1.664d03497b134p-6, -0x1.6c9372fe87f2ep-6, -0x1.72917e7f1111ap-6, -0x1.784a819dd556p-6, -0x1.7dc1b04c1c6bap-6, -0x1.82fa18e8613b2p-6, -0x1.87f6a8bdbc9f5p-6, -0x1.8cba2de1dd61bp-6, -0x1.91475565bdee7p-6, -0x1.95a0aa0f48eddp-6, -0x1.99c897471dddcp-6, -0x1.9dc16b8862026p-6, -0x1.a18d5b5d44fcap-6, -0x1.a52e7fab4cb34p-6, -0x1.a8a6d4739a835p-6, -0x1.abf83ac02567ap-6, -0x1.af24771027498p-6, -0x1.b22d4529aee98p-6, -0x1.b5143f08ac8a3p-6, -0x1.b7dae54601f4p-6, -0x1.ba82a9a4eb411p-6, -0x1.bd0ce7ebe62d9p-6, -0x1.bf7ae888f6cbcp-6, -0x1.c1cde126edf74p-6, -0x1.c406f6f0bbae9p-6, -0x1.c6273bae28732p-6, -0x1.c82fb2578e214p-6, -0x1.ca214c38900e7p-6, -0x1.cbfcee94977d2p-6, -0x1.cdc3702c114b7p-6, -0x1.cf75999f47f5p-6, -0x1.d1142603df814p-6, -0x1.d29fc2813023dp-6, -0x1.d41914f614477p-6, -0x1.d580b846d07c4p-6, -0x1.d6d7391e1d58ep-6, -0x1.d81d1a5f3427p-6, -0x1.d952db4e5930fp-6, -0x1.da78eb9f24e23p-6, -0x1.db8fb457d547ap-6, -0x1.dc9796c4e5cc4p-6, -0x1.dd90f087d14ccp-6, -0x1.de7c14453a5cbp-6, -0x1.df5950c923e7ep-6, -0x1.e028eade787bfp-6, -0x1.e0eb251d20af7p-6, -0x1.e1a03a62c0485p-6, -0x1.e24861d0ac13ap-6, -0x1.e2e3cf5252ce4p-6, -0x1.e372af63949dcp-6, -0x1.e3f52cf45c2efp-6, -0x1.e46b6bfe5bc36p-6, -0x1.e4d5912e9f1afp-6, -0x1.e533ba2c87857p-6, -0x1.e586055abc8c4p-6, -0x1.e5cc8cb54e041p-6, -0x1.e607665fe0e07p-6, -0x1.e636a96f3e787p-6, -0x1.e65a67538a2a1p-6, -0x1.e672b284fecdp-6, -0x1.e67f9adc9af8ap-6, -0x1.e6812e169ba6ap-6, -0x1.e6777b4040b5fp-6, -0x1.e6628d55b1cf4p-6, -0x1.e6426fd5bcdf3p-6, -0x1.e6172d0df7c63p-6, -0x1.e5e0cf20f950bp-6, -0x1.e59f5f484c43dp-6, -0x1.e552e657b779fp-6, -0x1.e4fb6cfb5a685p-6, -0x1.e498fba43bf0dp-6, -0x1.e42b99f06280ap-6, -0x1.e3b3525e8f87ep-6, -0x1.e3302bbdd09a4p-6, -0x1.e2a22e135f62dp-6, -0x1.e2096520a58fp-6, -0x1.e165d73f156ep-6, -0x1.e0b78fa591a52p-6, -0x1.dffe96e6eb842p-6, -0x1.df3afa47bcb9ep-6, -0x1.de6cc22352363p-6, -0x1.dd93fb7350197p-6, -0x1.dcb0b34924ee4p-6, -0x1.dbc2f1a0bfe8fp-6, -0x1.dacacdb925d4bp-6, -0x1.d9c84dc419dep-6, -0x1.d8bb82b3ad775p-6, -0x1.d7a47d7a38716p-6, -0x1.d6834f1189d42p-6, -0x1.d55805f3ec407p-6, -0x1.d422b8c2c2d89p-6, -0x1.d2e3761bd9c56p-6, -0x1.d19a5500f9c67p-6, -0x1.d04768eaa6b3ep-6, -0x1.ceeac65de111dp-6, -0x1.cd8485adf81bdp-6, -0x1.cc14bc5d07ep-6, -0x1.ca9b8229305f9p-6, -0x1.c918f10e2fce9p-6, -0x1.c78d20e9157a9p-6, -0x1.c5f82d6753659p-6, -0x1.c45a3094eac78p-6, -0x1.c2b3469c8c73p-6, -0x1.c1038bd47d7d6p-6, -0x1.bf4b1e147426p-6, -0x1.bd8a1a3b84085p-6, -0x1.bbc09fce40b44p-6, -0x1.b9eeccec6aa6cp-6, -0x1.b814c3221e95cp-6, -0x1.b632a1bcf59d5p-6, -0x1.b4488a4a6b974p-6, -0x1.b2569ebca61a4p-6, -0x1.b05d01759e26ap-6, -0x1.ae5bd52a6e5b3p-6, -0x1.ac533da2b5323p-6, -0x1.aa435dd881feap-6, -0x1.a82c5bbd2d8bcp-6, -0x1.a60e59e5fba8cp-6, -0x1.a3e97ff9f32b3p-6, -0x1.a1bdf08923199p-6, -0x1.9f8bd6124c04ep-6, -0x1.9d535285de866p-6, -0x1.9b148e8dc2083p-6, -0x1.98cfb23c76259p-6, -0x1.9684e2917d3e1p-6, -0x1.943448e081102p-6, -0x1.91de0ae5922p-6, -0x1.8f82533bebe6ap-6, -0x1.8d21487e98a04p-6, -0x1.8abb1304c09c9p-6, -0x1.884fdb7162e7dp-6, -0x1.85dfca496a1a9p-6, -0x1.836b07c29261fp-6, -0x1.80f1bd56e2d9dp-6, -0x1.7e74139f9ecc9p-6, -0x1.7bf232a08d967p-6, -0x1.796c4270abf1dp-6, -0x1.76e26dbafe9e8p-6, -0x1.7454dcdad531cp-6, -0x1.71c3b6b876d19p-6, -0x1.6f2f252915cd8p-6, -0x1.6c97504475507p-6, -0x1.69fc5f8d4570bp-6, -0x1.675e7cdb2fb2fp-6, -0x1.64bdcff8a26b5p-6, -0x1.621a7c5abfd38p-6, -0x1.5f74b292c1963p-6, -0x1.5ccc8eb02eaf1p-6, -0x1.5a22404577fecp-6, -0x1.5775eafc4d8bdp-6, -0x1.54c7b623bca7bp-6, -0x1.5217c7874cc8ep-6, -0x1.4f6644dcd3315p-6, -0x1.4cb354b6d076p-6, -0x1.49ff1c395d0bp-6, -0x1.4749bfdc6c432p-6, -0x1.449364a833a9ap-6, -0x1.41dc2ea9a83cfp-6, -0x1.3f2442cc097b5p-6, -0x1.3c6bc31a78cc2p-6, -0x1.39b2d3d8d5724p-6, -0x1.36f9973c01d84p-6, -0x1.34402fb16384cp-6, -0x1.3186bf1c985d6p-6, -0x1.2ecd66e5d6ef9p-6, -0x1.2c14481dad314p-6, -0x1.295b832d9a7d8p-6, -0x1.26a3384cb3267p-6, -0x1.23eb86fea4a1p-6, -0x1.21348e6a72601p-6, -0x1.1e7e6d4804cabp-6, -0x1.1bc941b37d9c4p-6, -0x1.1915294dde4a6p-6, -0x1.166241744f2dp-6, -0x1.13b0a69363c5dp-6, -0x1.1100752e3ca3dp-6, -0x1.0e51c8a0c7ef4p-6, -0x1.0ba4bc3ad0547p-6, -0x1.08f96a37278b8p-6, -0x1.064fed243019dp-6, -0x1.03a85e4c7d6f5p-6, -0x1.0102d6a7e3e14p-6, -0x1.fcbedd853638bp-7, -0x1.f77c7e3780a56p-7, -0x1.f23ebdb5ca4e4p-7, -0x1.ed05c997f2391p-7, -0x1.e7d1ce9399b8cp-7, -0x1.e2a2fa2bf147ep-7, -0x1.dd797656c16cbp-7, -0x1.d8556cda697a5p-7, -0x1.d3370524ad0eep-7, -0x1.ce1e67a522d9ep-7, -0x1.c90bbaecacf78p-7, -0x1.c3ff23daf426fp-7, -0x1.bef8c6e79695ap-7, -0x1.b9f8c75ae4296p-7, -0x1.b4ff475b45ae7p-7, -0x1.b00c68fa72953p-7, -0x1.ab204bbcfae8dp-7, -0x1.a63b10268ec06p-7, -0x1.a15cd43dc5bedp-7, -0x1.9c85b5bfcaa11p-7, -0x1.97b5d18ef666p-7, -0x1.92ed42f0bff8fp-7, -0x1.8e2c23f6970e5p-7, -0x1.8972909f9dd72p-7, -0x1.84c09be8d3459p-7, -0x1.8016615819e36p-7, -0x1.7b73f674394f6p-7, -0x1.76d96f66e67b5p-7, -0x1.7246e03c9cbe2p-7, -0x1.6dbc5d0f06517p-7, -0x1.6939f64b708d1p-7, -0x1.64bfc0648879p-7, -0x1.604dcc0fc1d0ap-7, -0x1.5be42af5e2b8ap-7, -0x1.5782edf0be1d8p-7, -0x1.532a25cb3e1ebp-7, -0x1.4ed9e1e91c9cdp-7, -0x1.4a9230d2fcc47p-7, -0x1.46532066aef6p-7, -0x1.421cb7b262a42p-7, -0x1.3def0297279a2p-7, -0x1.39ca055ddb4f6p-7, -0x1.35adc57a10f22p-7, -0x1.319a47273cd37p-7, -0x1.2d8f8f3e61812p-7, -0x1.298da3a5fbaccp-7, -0x1.25948c82f6857p-7, -0x1.21a4546b2b711p-7, -0x1.1dbd05cf3b33ep-7, -0x1.19deace4a8d8bp-7, -0x1.160953089bd6p-7, -0x1.123d00576b6dap-7, -0x1.0e79b8ce2c6d6p-7, -0x1.0abf7a1dc49e4p-7, -0x1.070e3f0310374p-7, -0x1.0365fe329597ep-7, -0x1.ff8d59a68b438p-8, -0x1.f860839171942p-8, -0x1.f1456939be568p-8, -0x1.ea3c0291a091dp-8, -0x1.e344526d6cab6p-8, -0x1.dc5e662366c79p-8, -0x1.d58a4b46e93a7p-8, -0x1.cec81504a3602p-8, -0x1.c817cf85ff9ep-8, -0x1.c17982dcd09edp-8, -0x1.baed26695cd6cp-8, -0x1.b472aa597fd56p-8, -0x1.ae09ef08a4ba5p-8, -0x1.a7b2d4f308f46p-8, -0x1.a16d3292a09a2p-8, -0x1.9b38e6604f87ap-8, -0x1.9515d37d8e4ep-8, -0x1.8f03e529a3f52p-8, -0x1.890312663fee5p-8, -0x1.831356aefc4bcp-8, -0x1.7d34b0a3be11ap-8, -0x1.77671ce887585p-8, -0x1.71aa92f6fde4fp-8, -0x1.6bff0185ec409p-8, -0x1.666456ec5a743p-8, -0x1.60da6d25a3f5cp-8, -0x1.5b6126f96fed8p-8, -0x1.55f8644c21903p-8, -0x1.50a009e7d2399p-8, -0x1.4b5804332d2a7p-8, -0x1.4620461ebf7c2p-8, -0x1.40f8c8a970b19p-8, -0x1.3be18780236a7p-8, -0x1.36da77ad8eedep-8, -0x1.31e387d13c4acp-8, -0x1.2cfc972e15036p-8, -0x1.28257990b86b8p-8, -0x1.235df843d8a0dp-8, -0x1.1ea5d14848e11p-8, -0x1.19fcc43409e9fp-8, -0x1.1562995823532p-8, -0x1.10d7253dbd845p-8, -0x1.0c5a4c1d82df4p-8, -0x1.07ec06e636496p-8, -0x1.038c5e9cf6edep-8, -0x1.fe76cea1833dep-9, -0x1.f5f27171af23cp-9, -0x1.ed8bc988028d5p-9, -0x1.e542de2cbf4f2p-9, -0x1.dd178aeb60b61p-9, -0x1.d5098bf7251dbp-9, -0x1.cd1859cfcf38fp-9, -0x1.c54363c5e4f19p-9, -0x1.bd89fec2cd6c7p-9, -0x1.b5eb85bcb8463p-9, -0x1.ae675f6cd7346p-9, -0x1.a6fd1014abe0dp-9, -0x1.9fac3ecfeb436p-9, -0x1.9874b39df18ddp-9, -0x1.9156564063961p-9, -0x1.8a5128fac6f04p-9, -0x1.83653e1d17e81p-9, -0x1.7c92ae2fa0081p-9, -0x1.75d9896023e84p-9, -0x1.6f39d066c595cp-9, -0x1.68b364dec5e1ap-9, -0x1.62460a8ccd34p-9, -0x1.5bf16d9263fe3p-9, -0x1.55b520e347d97p-9, -0x1.4f90b3f5f0c81p-9, -0x1.4983c27b3e43ap-9, -0x1.438df98c9995ap-9, -0x1.3daf1b48fd8e3p-9, -0x1.37e6f5fc1a67p-9, -0x1.323553decbf91p-9, -0x1.2c99ebaa6705ap-9, -0x1.27145910401e2p-9, -0x1.21a421e746e18p-9, -0x1.1c48c3d8b2666p-9, -0x1.1701d1b87b55ep-9, -0x1.11cef680ad6b5p-9, -0x1.0cb007574df7p-9, -0x1.07a4f555b9f0ap-9, -0x1.02adbb0c88f43p-9, -0x1.fb94aae258877p-10, -0x1.f1f55bace2d4fp-10, -0x1.e87d49ff352eap-10, -0x1.df2c48183fa91p-10, -0x1.d6024c4336b7p-10, -0x1.ccff74e208f41p-10, -0x1.c423e61293782p-10, -0x1.bb6f9a955fdebp-10, -0x1.b2e227547ef98p-10, -0x1.aa7aa37e89af5p-10, -0x1.a237a5769c6fep-10, -0x1.9a17826691881p-10, -0x1.92189393f9f6fp-10, -0x1.8a3968fb1a173p-10, -0x1.8278f52113672p-10, -0x1.7ad6a68352decp-10, -0x1.73523fefe720fp-10, -0x1.6bebd7273ef06p-10, -0x1.64a3aa1e9f21bp-10, -0x1.5d7a19957ac06p-10, -0x1.566f881f8767fp-10, -0x1.4f84582850fc5p-10, -0x1.48b8d1a71acb2p-10, -0x1.420d1e3d3c5b9p-10, -0x1.3b8127e883563p-10, -0x1.3514acf72e302p-10, -0x1.2ec71730a97d5p-10, -0x1.28978297c216bp-10, -0x1.2284bbbab1f7ep-10, -0x1.1c8d81f02b0a5p-10, -0x1.16b0bb0933fe3p-10, -0x1.10eda4f108923p-10, -0x1.0b43c3542862fp-10, -0x1.05b29cf454e1fp-10, -0x1.00397d5623776p-10, -0x1.f5aef4f953223p-11, -0x1.eb178fdcf06edp-11, -0x1.e0ac4c56a35c2p-11, -0x1.d66df87648de6p-11, -0x1.cc5e68b8825d5p-11, -0x1.c27f7733b3459p-11, -0x1.b8d2208449e1p-11, -0x1.af562766c51aap-11, -0x1.a60a7853534d4p-11, -0x1.9ced7d62efbb1p-11, -0x1.93fdaf39c35e6p-11, -0x1.8b3995bbfdea6p-11, -0x1.829fa4b8ca6abp-11, -0x1.7a2e262ea73aap-11, -0x1.71e39616f9f71p-11, -0x1.69bf35573c964p-11, -0x1.61c11fed6b502p-11, -0x1.59e9e0a931c77p-11, -0x1.5239905d974bap-11, -0x1.4aaf492eee3afp-11, -0x1.434947cf7ad58p-11, -0x1.3c059975c79cap-11, -0x1.34e2feae12036p-11, -0x1.2de150c143a11p-11, -0x1.2701654e0cfbfp-11, -0x1.204448967b27p-11, -0x1.19aa723bb2605p-11, -0x1.133382ccbe60fp-11, -0x1.0cde84cf87de1p-11, -0x1.06aa510d07191p-11, -0x1.0095ef376a112p-11, -0x1.f5416d171f923p-12, -0x1.e9947fa4224d7p-12, -0x1.de238e604b5efp-12, -0x1.d2ec171529d4dp-12, -0x1.c7eb671d246f3p-12, -0x1.bd1fd48fca57cp-12, -0x1.b2891c9ea4e26p-12, -0x1.a827cf274f1a6p-12, -0x1.9dfc7b5f9c502p-12, -0x1.9406f41dd25c4p-12, -0x1.8a46d8ffcea4bp-12, -0x1.80bb3ff3f064p-12, -0x1.7763a97f2fd4ep-12, -0x1.6e3f77747390bp-12, -0x1.654cc2bf2600cp-12, -0x1.5c8856b816ad8p-12, -0x1.53ef86f00967p-12, -0x1.4b81cd6780f6cp-12, -0x1.434043e66a29ep-12, -0x1.3b2b7e56ccaa1p-12, -0x1.33428a718858ap-12, -0x1.2b84736cf7383p-12, -0x1.23f192251b1fp-12, -0x1.1c8ae0856d37fp-12, -0x1.154fa8346dc57p-12, -0x1.0e3cf07ef14cap-12, -0x1.074ee8492b1dbp-12, -0x1.0082d2b14fca2p-12, -0x1.f3b067c127329p-13, -0x1.e6a0b98bc91dp-13, -0x1.d9d8e5c06a853p-13, -0x1.cd582ff572651p-13, -0x1.c11cc122d7d1cp-13, -0x1.b527a5684dea2p-13, -0x1.a97cde95a7036p-13, -0x1.9e1e3487e868cp-13, -0x1.9307e67bc5072p-13, -0x1.8831a2dbd28abp-13, -0x1.7d91dc7d85253p-13, -0x1.732378a77de7fp-13, -0x1.68e9999f8bf2ep-13, -0x1.5eeab033b1caep-13, -0x1.552754a081b71p-13, -0x1.4b9b43597e7bep-13, -0x1.42448c7613149p-13, -0x1.3927fb0be7809p-13, -0x1.304879d368104p-13, -0x1.27a40edd40d9cp-13, -0x1.1f356a5d2da59p-13, -0x1.16f58a01b6d22p-13, -0x1.0ede6a19cfdc4p-13, -0x1.06efa6b91507dp-13, -0x1.fe5c85af985bbp-14, -0x1.ef3a74315e21cp-14, -0x1.e0724e3bbff84p-14, -0x1.d1fce603978a2p-14, -0x1.c3de547f6743bp-14, -0x1.b61e093446518p-14, -0x1.a8bc49704e34p-14, -0x1.9bb37b1f9fa43p-14, -0x1.8efeee936327p-14, -0x1.8299b3cc69059p-14, -0x1.767a678512c42p-14, -0x1.6a9832246120dp-14, -0x1.5ef8d087c9c89p-14, -0x1.53a61968efaedp-14, -0x1.489a9bbf3a283p-14, -0x1.3dccccdef322bp-14, -0x1.33419b87cd5c6p-14, -0x1.2900b06e975adp-14, -0x1.1f08af37d81b9p-14, -0x1.15556d6d17fd9p-14, -0x1.0be48f95e4211p-14, -0x1.02b2638a0d6dep-14, -0x1.f36c76013ee6ep-15, -0x1.e1d25b650fb2bp-15, -0x1.d0a2693a6154dp-15, -0x1.bfeb27cf05859p-15, -0x1.af9f93c83d609p-15, -0x1.9fb3fe5b1a21cp-15, -0x1.9034595a1f0fap-15, -0x1.81265181b989bp-15, -0x1.72828e1f6863ap-15, -0x1.643ff2a871a2dp-15, -0x1.565b2724f41ebp-15, -0x1.48d3d2c8a9086p-15, -0x1.3bad5b992bb92p-15, -0x1.2ee6e092e9a0ep-15, -0x1.227157de4fcadp-15, -0x1.1649aa7ce4577p-15, -0x1.0a782923bbb38p-15, -0x1.fdded693762b4p-16, -0x1.e75dba63501c9p-16, -0x1.d18e3833d57e4p-16, -0x1.bc681c055ae3ap-16, -0x1.a7d4e7b0a5d5ep-16, -0x1.93ce97add3857p-16, -0x1.8056983e673f7p-16, -0x1.6d7192fce17c1p-16, -0x1.5b241c2f4f2bdp-16, -0x1.4962f8d40cc25p-16, -0x1.38142f8c1026dp-16, -0x1.273bdd1c96895p-16, -0x1.16e1aa42ea403p-16, -0x1.06ee919934ae2p-16, -0x1.eedf94abc9352p-17, -0x1.d0fc78f4d05d1p-17, -0x1.b40bb14a5cb33p-17, -0x1.97ea9727c7412p-17, -0x1.7c902edea918cp-17, -0x1.61fce23656446p-17, -0x1.482e0d11dc3f4p-17, -0x1.2f291899920bdp-17, -0x1.1712244154a37p-17, -0x1.ffbe75f74cb98p-18, -0x1.d29ab4f660cd2p-18, -0x1.a6ab1e515ca1p-18, -0x1.7bc8c9ee74647p-18, -0x1.526e15b243772p-18, -0x1.2ab6f1be2020cp-18, -0x1.044ca847e5bb7p-18, -0x1.be08990ed8b0dp-19, -0x1.75c4ffdb60b18p-19, -0x1.2fcff9f79b978p-19, -0x1.d85929cc3578cp-20, -0x1.55874ba04b1p-20, -0x1.ae5380f8fe45cp-21, -0x1.779c3042676d1p-22, 0x1.5f43c4b70b316p-24, 0x1.0bfb6b416ca43p-21, 0x1.e5d904ec12006p-21, 0x1.5cf1b84da7fecp-20, 0x1.c2fc75f0769c5p-20, 0x1.120a48ce97628p-19, 0x1.40a2e9d34f308p-19, 0x1.6db0d01800048p-19, 0x1.993bca11df5c9p-19, 0x1.c333aec2ebc44p-19, 0x1.eb978f4d7f43fp-19, 0x1.0940bf3d1d677p-18, 0x1.1be3936a0bfa2p-18, 0x1.2d681a7fbfdb2p-18, 0x1.3e1da24a0d10cp-18, 0x1.4e764ba85572fp-18, 0x1.5e57228dcc909p-18, 0x1.6d40b7b33fdf3p-18, 0x1.7b60e7b7d5f91p-18, 0x1.88f4cdf7c2109p-18, 0x1.95f968392ea4fp-18, 0x1.a266248ce3c35p-18, 0x1.ae3a2650842dbp-18, 0x1.b979d51b4d3c8p-18, 0x1.c42c0ed2300f7p-18, 0x1.ce573e9379dd9p-18, 0x1.d800c4be4d22dp-18, 0x1.e130864336775p-18, 0x1.e9e76d2aae328p-18, 0x1.f1fa6ccf764f2p-18, 0x1.f95147fbf916fp-18, 0x1.00307b5ba8917p-17, 0x1.03a393811c083p-17, 0x1.06d55410cf2aap-17, 0x1.09b435e5c5aa6p-17, 0x1.0c63a7ad22cc4p-17, 0x1.0eebccdb4782dp-17, 0x1.114d504273904p-17, 0x1.1377757f07a3cp-17, 0x1.15747c6bc2615p-17, 0x1.174932c73d8cbp-17, 0x1.18f50683de0fcp-17, 0x1.1a5a71b586108p-17, 0x1.1b9e59cbec55cp-17, 0x1.1cda55a02cb98p-17, 0x1.1dd4de699aa8ap-17, 0x1.1ea4c5ae7988ap-17, 0x1.1f59c53c473cfp-17, 0x1.1ff073a702be5p-17, 0x1.2065aaa182ep-17, 0x1.20b98dfb9c9d1p-17, 0x1.20ed5f7c8453p-17, 0x1.21018bd738995p-17, 0x1.20f702708cc6ap-17, 0x1.20d0396003f63p-17, 0x1.208e42699387dp-17, 0x1.203287613e07bp-17, 0x1.1fbd91b5a1822p-17, 0x1.1f313502e5852p-17, 0x1.1e8e055bbafcep-17, 0x1.1dd67c0f49c9dp-17, 0x1.1cfe80982f9b4p-17, 0x1.1c022199ec982p-17, 0x1.1b0b1c458970bp-17, 0x1.19f9221b6f224p-17, 0x1.18c7afd39f415p-17, 0x1.178b24f246c59p-17, 0x1.1641cd46d54bfp-17, 0x1.14e796a954e73p-17, 0x1.137ad1b7e0b6cp-17, 0x1.11fe92a2fecf7p-17, 0x1.107752754f666p-17, 0x1.0edad947c45bfp-17, 0x1.0d3165109b1c3p-17, 0x1.0b7add792704ap-17, 0x1.09b0470aab99dp-17, 0x1.07dbc8a9e20d5p-17, 0x1.0604ba89e2754p-17, 0x1.041eeef036f1fp-17, 0x1.022dba5da3b5p-17, 0x1.0032472a8a50ap-17, 0x1.fc59e93330999p-18, 0x1.f83b0ab4779edp-18, 0x1.f404555576bbdp-18, 0x1.efcc7ccc9701cp-18, 0x1.eb7b449ed9feep-18, 0x1.e71bb90d9f2cfp-18, 0x1.e2accbc77b463p-18, 0x1.de311c3071716p-18, 0x1.d9aa8597a245ap-18, 0x1.d515ade541032p-18, 0x1.d0789abfd99b5p-18, 0x1.cbca06c0a0927p-18, 0x1.c71a32547a277p-18, 0x1.c2643066275e6p-18, 0x1.bda36a66885ccp-18, 0x1.b8d16eccc7939p-18, 0x1.b3f8d6447acd2p-18, 0x1.af166cfa170fcp-18, 0x1.aa35b59af099ep-18, 0x1.a5508d3a28c6ep-18, 0x1.a06391cb61a5dp-18, 0x1.9b7463c490596p-18, 0x1.9687ab323db6ap-18, 0x1.9192df931423ap-18, 0x1.8c92442c7153bp-18, 0x1.878fc1ecbc59dp-18, 0x1.82918227859eap-18, 0x1.7d9231a36ffa1p-18, 0x1.78911311142a4p-18, 0x1.738ec997c3295p-18, 0x1.6e8c8cbc6033bp-18, 0x1.69896e6bda09p-18, 0x1.6477a251c7eefp-18, 0x1.5f8499dc1e59cp-18, 0x1.5a8350d0bda07p-18, 0x1.5583fa470971p-18, 0x1.5086667b244cep-18, 0x1.4b8af54b4ed4ep-18, 0x1.46920a80a0bf7p-18, 0x1.419bd372c0f53p-18, 0x1.3ca91ab23d857p-18, 0x1.37bef85a7313ap-18, 0x1.32cff9f14a768p-18, 0x1.2de2e713df608p-18, 0x1.28fd487458f6fp-18, 0x1.241cd58bca1e3p-18, 0x1.1f442d2258d12p-18, 0x1.1a6a2baf19e6fp-18, 0x1.15986c0d22092p-18, 0x1.10cb59af6db83p-18, 0x1.0bf35c54842cep-18, 0x1.0743a0a37f508p-18, 0x1.028481b67c434p-18, 0x1.fb999b5fd057cp-19, 0x1.f23816ba4b21ep-19, 0x1.e8de5c7d5a3f8p-19, 0x1.dfa3718119dd6p-19, 0x1.d664d3bb46b94p-19, 0x1.cd33944bfe4ep-19, 0x1.c421ccbd8a1efp-19, 0x1.bb026c4053f5cp-19, 0x1.b1fd88c071c6cp-19, 0x1.a908aeade400dp-19, 0x1.a02646eb4b5bep-19, 0x1.974d7839c4b37p-19, 0x1.8ea466fb31e7ep-19, 0x1.85cca2782a1afp-19, 0x1.7d16ed0ffdb29p-19, 0x1.74849f4b5fc8bp-19, 0x1.6bfad3938cffbp-19, 0x1.637e5f82bcaebp-19, 0x1.5b1aed6473ec7p-19, 0x1.52bbf784ec24cp-19, 0x1.4a706e8218ec8p-19, 0x1.423887229815ap-19, 0x1.3a0f3a9afea57p-19, 0x1.31f91771d688cp-19, 0x1.29c5d6f5dbee1p-19, 0x1.21ff8265bd71ap-19, 0x1.1a161d2e36c8ap-19, 0x1.123f44d119119p-19, 0x1.0a82288ee261cp-19, 0x1.02d578e580c9ep-19, 0x1.f66611f0e1f8fp-20, 0x1.e74cf964ffdfbp-20, 0x1.d840af91ccc02p-20, 0x1.c96fa5dbe0724p-20, 0x1.bac0caaec951bp-20, 0x1.ac290b770f038p-20, 0x1.9dc44f2c83e9fp-20, 0x1.8f47c2aebc757p-20, 0x1.8156a10aaffbap-20, 0x1.73624477ebb9cp-20, 0x1.6570d6aaa7852p-20, 0x1.57b7831d8c346p-20, 0x1.4ab50022f78d6p-20, 0x1.3cac286ee8fffp-20, 0x1.2f5568d6c5c05p-20, 0x1.2237e7674306p-20, 0x1.1526a71d11713p-20, 0x1.0845fd0874103p-20, 0x1.f6ffc2c78dc08p-21, 0x1.ddb35b6caa3c4p-21, 0x1.c4ba40e198fccp-21, 0x1.ac0335058bb9ep-21, 0x1.939902d4007a6p-21, 0x1.7b8a9857e2bf7p-21, 0x1.639de49902d0cp-21, 0x1.4c0e4093f0987p-21, 0x1.34c4599624e51p-21, 0x1.1cfb7310af428p-21, 0x1.06cdd633c3227p-21, 0x1.e082e5e3a3a8p-22, 0x1.b3fa14fb6dc2ep-22, 0x1.881ae54d4923cp-22, 0x1.5d154326d6b7ap-22, 0x1.31edd666a9f3p-22, 0x1.079949d61ebafp-22, 0x1.bae0175b9a03fp-23, 0x1.688672100ff6ap-23, 0x1.1729872098677p-23, 0x1.8d62a0ea5448cp-24, 0x1.dcb653ce223b9p-25, 0x1.44f49c7ea7198p-26, -0x1.27d54c8210362p-26, -0x1.cbde9691cd4c2p-25, -0x1.785e924025509p-24, -0x1.06e25f101421fp-23, -0x1.5002be12365d5p-23, -0x1.9906c73e65ac9p-23, -0x1.e032c7751f00cp-23, -0x1.132b834b76adep-22, -0x1.35d3a9f802ce5p-22, -0x1.5808f453207a7p-22, -0x1.79c9bc921553dp-22, -0x1.9b1deb6cd89cbp-22, -0x1.bbd0566baf904p-22, -0x1.dbb3f7872102fp-22, -0x1.fded254ac37e8p-22, -0x1.0d5be9880df42p-21, }}, 
      {{0x1.dc0386f8ce1b5p-5, 0x1.f67304bb2232cp-4, 0x1.c560b8980bc4cp-3, 0x1.5fd42cbd85e85p-2, 0x1.e963d6e4431e5p-2, 0x1.3a3db2a9613d5p-1, 0x1.7bed9ffae9c3ap-1, 0x1.b627f7febd071p-1, 0x1.e660f00bd222ap-1, 0x1.0583842731d0dp+0, 0x1.11b05d1b135c6p+0, 0x1.17b2394e53edbp+0, 0x1.17c8402c5e368p+0, 0x1.1263182b272a3p+0, 0x1.0814d78dca502p+0, 0x1.f3073ba641c9cp-1, 0x1.cebd930ce2c2cp-1, 0x1.a4ad24f97bbebp-1, 0x1.762b78f41bffp-1, 0x1.447a1ef55abc7p-1, 0x1.10c08d1393027p-1, 0x1.b810b04c814adp-2, 0x1.4e76975f892adp-2, 0x1.cc8bd4273d99ap-3, 0x1.01a52115b67b6p-3, 0x1.f342a7b2f9bf1p-6, -0x1.edaf33b0eb25dp-5, -0x1.2a7f6852b03e8p-3, -0x1.cdd7223463728p-3, -0x1.3264b7aad5777p-2, -0x1.7779f7aba7b7ap-2, -0x1.b61898fc88bf9p-2, -0x1.ee478650c608cp-2, -0x1.10116c694d7f9p-1, -0x1.25ebe5e852302p-1, -0x1.38d08de71bb77p-1, -0x1.48e1eb437c6c5p-1, -0x1.56464977999cdp-1, -0x1.6126879902148p-1, -0x1.69ad133bc01ddp-1, -0x1.70050f5df16a5p-1, -0x1.7459a1c9b26acp-1, -0x1.76d560ef95d34p-1, -0x1.77a1dd49e04e6p-1, -0x1.76e746cba6b1cp-1, -0x1.74cc28712bf9fp-1, -0x1.71753668ce23bp-1, -0x1.6d052a61d0816p-1, -0x1.679cae6f6d229p-1, -0x1.615a52e6a99bp-1, -0x1.5a5a8e9992605p-1, -0x1.52b7c6510cc55p-1, -0x1.4a8a5801e04e1p-1, -0x1.41e8abd0086ecp-1, -0x1.38e747a042477p-1, -0x1.2f98e5eac94b4p-1, -0x1.260e8e61ec639p-1, -0x1.1c57af3d8dae3p-1, -0x1.12823652ffaf7p-1, -0x1.089aaa637559bp-1, -0x1.fd5886f3ce1b8p-2, -0x1.e9820665774f4p-2, -0x1.d5c3983923786p-2, -0x1.c22cf0b85dc02p-2, -0x1.aecbdd9ec306cp-2, -0x1.9bac6f14c7867p-2, -0x1.88d91d94a2831p-2, -0x1.765aecb0353b9p-2, -0x1.64398ccae3936p-2, -0x1.527b79cc20d03p-2, -0x1.4126178064cb9p-2, -0x1.303dcd00b8f28p-2, -0x1.1fc61c756837ep-2, -0x1.0fc1ba9596e69p-2, -0x1.0032a3517fa5bp-2, -0x1.e2345a41f9bafp-3, -0x1.c4f234ffc333p-3, -0x1.a89f54c5ce56ep-3, -0x1.8d3b4d8a0d742p-3, -0x1.72c4e48649b4bp-3, -0x1.593a2903dbbcp-3, -0x1.40988b27703d4p-3, -0x1.28dcefa3cce5fp-3, -0x1.1203c34f9e2d2p-3, -0x1.f812187654a53p-4, -0x1.cdd0efba76bfp-4, -0x1.a53ad51c4cb94p-4, -0x1.7e46175bb3729p-4, -0x1.58e8a217ce615p-4, -0x1.351811beea1abp-4, -0x1.12c9c6b93abd3p-4, -0x1.e3e5ed28aef72p-5, -0x1.a51174b9eef09p-5, -0x1.6900372420738p-5, -0x1.2f9c405dcc4e2p-5, -0x1.f19f55044954bp-6, -0x1.890965b026f8p-6, -0x1.254b881976c41p-6, -0x1.8c7631f130575p-7, -0x1.aeb822b79a395p-8, -0x1.57af1b721eb09p-10, 0x1.e4366d6ed14abp-9, 0x1.14fe10d0e8bd2p-7, 0x1.a9296810a5775p-7, 0x1.1aede37ddf263p-6, 0x1.5dafb4a70450fp-6, 0x1.9cfe5235e22ep-6, 0x1.d8fce91ce86fap-6, 0x1.08e6d45bed7a2p-5, 0x1.23c8deec09282p-5, 0x1.3d34a7ef4a941p-5, 0x1.5539c3bc3f459p-5, 0x1.6be744350fcddp-5, 0x1.814bbc0fd08cdp-5, 0x1.95753f046aadep-5, 0x1.a87163b8fc855p-5, 0x1.ba4d448da6b5dp-5, 0x1.cb1583ed9647dp-5, 0x1.dad64c109e9b4p-5, 0x1.e99b52ba47b62p-5, 0x1.f76fdce525069p-5, 0x1.022f5f7643cf6p-4, 0x1.083930b8bcbb2p-4, 0x1.0dda624d6924cp-4, 0x1.1317bffc6ff07p-4, 0x1.17f5e47b36a8p-4, 0x1.1c7939e3c1be8p-4, 0x1.20a5fbda6a442p-4, 0x1.248038ce1e69ap-4, 0x1.280bd2983020bp-4, 0x1.2b4c81a33a72fp-4, 0x1.2e45d52151d32p-4, 0x1.30fb351f82a78p-4, 0x1.336fe39616c31p-4, 0x1.35a6fdd6f59bap-4, 0x1.37a37e3a762b1p-4, 0x1.39683ced4d438p-4, 0x1.3af7f1c6edc8fp-4, 0x1.3c55355f73e46p-4, 0x1.3d8282315539ep-4, 0x1.3e8236336482dp-4, 0x1.3f569310decc1p-4, 0x1.4001c02a6b3d4p-4, 0x1.4085cc4361435p-4, 0x1.40e4acd8cd339p-4, 0x1.412040021ed2ap-4, 0x1.413a4e8306c29p-4, 0x1.41348b3f70ac5p-4, 0x1.41109449e8476p-4, 0x1.40cff4d82431bp-4, 0x1.40742509aaf8bp-4, 0x1.3ffe8b7f0a2b8p-4, 0x1.3f707d978d31ep-4, 0x1.3ecb4080a8a04p-4, 0x1.3e100a41ae83dp-4, 0x1.3d40011e50158p-4, 0x1.3c5c3e57ce74p-4, 0x1.3b65cd73d0abap-4, 0x1.3a5dac86ff325p-4, 0x1.3944cdef1480cp-4, 0x1.381c186dd65bp-4, 0x1.36e467a24de79p-4, 0x1.359e8c5710e0cp-4, 0x1.344b4d963fd8cp-4, 0x1.32eb6875dd79bp-4, 0x1.317f915706f9bp-4, 0x1.300873b18544bp-4, 0x1.2e86b2c7578fdp-4, 0x1.2cfae9ff15a5cp-4, 0x1.2b65ad5525f93p-4, 0x1.29c789aaa0f2p-4, 0x1.2821050bf827fp-4, 0x1.26729f1d180bp-4, 0x1.24bcd1b7439a4p-4, 0x1.23001051c9149p-4, 0x1.213cc99874302p-4, 0x1.1f73666694c92p-4, 0x1.1da44aeea8621p-4, 0x1.1bcfd6df0c8adp-4, 0x1.19f664ba51108p-4, 0x1.18184bbc1df94p-4, 0x1.1635de5d0f0f8p-4, 0x1.144f6b5410073p-4, 0x1.12653e049769ap-4, 0x1.10779e554464bp-4, 0x1.0e86d0d7bd136p-4, 0x1.0c9316c344942p-4, 0x1.0a9caec5839d3p-4, 0x1.08a3d4a5101f8p-4, 0x1.06a8c1463f5e5p-4, 0x1.04abab6b2c219p-4, 0x1.02acc7402eba4p-4, 0x1.00ac469a9eb8cp-4, 0x1.fd54b273351a2p-5, 0x1.f94e59ccfde8ap-5, 0x1.f545db0471617p-5, 0x1.f13b89e761f75p-5, 0x1.ed2fb6d77c6d2p-5, 0x1.e922af526c6b4p-5, 0x1.e514bd62d90c6p-5, 0x1.e10627d905879p-5, 0x1.dcf7334397b79p-5, 0x1.d8e820bd54a85p-5, 0x1.d4d92f5704354p-5, 0x1.d0ca9babcf734p-5, 0x1.ccbca02045c7ep-5, 0x1.c8af7461b90b2p-5, 0x1.c4a34ebb83d79p-5, 0x1.c09862e197394p-5, 0x1.bc8ee2e287fcfp-5, 0x1.b886ff088d719p-5, 0x1.b480e5bd7717ep-5, 0x1.b07cc3921620ap-5, 0x1.ac7ac452b4e6p-5, 0x1.a87b118ebbcbep-5, 0x1.a47dd33c62301p-5, 0x1.a08330740bdccp-5, 0x1.9c8b4ec9add56p-5, 0x1.989652a6a7113p-5, 0x1.94a45f35f918dp-5, 0x1.90b59609cd191p-5, 0x1.8cca18805aa9ep-5, 0x1.88e205d4a5f9fp-5, 0x1.84fd7ce4d3bb4p-5, 0x1.811c9bc008088p-5, 0x1.7d3f7eb5333b2p-5, 0x1.796641e699586p-5, 0x1.75910007784a3p-5, 0x1.71bfd33e8216bp-5, 0x1.6df2d4c9165e2p-5, 0x1.6a2a1d37b1a0ap-5, 0x1.6665c3c62eb79p-5, 0x1.62a5df91f6cbbp-5, 0x1.5eea86eb379b4p-5, 0x1.5b33cedcddab6p-5, 0x1.5781cc3acebcap-5, 0x1.53d49304e189bp-5, 0x1.502c36e99b43bp-5, 0x1.4c88c9e3d197ep-5, 0x1.48ea5eb495ad4p-5, 0x1.455106a9e7c9cp-5, 0x1.41bcd2b674899p-5, 0x1.3e2dd2e7f4a5ep-5, 0x1.3aa416bdbee3dp-5, 0x1.371fadccc7209p-5, 0x1.33a0a6ee240ebp-5, 0x1.30270e5b42002p-5, 0x1.2cb2f42b1124dp-5, 0x1.294463f46f7dap-5, 0x1.25db69f329b2ep-5, 0x1.227812944a482p-5, 0x1.1f1a691f0af48p-5, 0x1.1bc278a96e9d4p-5, 0x1.18704b75a3e3bp-5, 0x1.1523ec0c16082p-5, 0x1.11dd63bd5da34p-5, 0x1.0e9cbad73bdf4p-5, 0x1.0b61fb38b19e4p-5, 0x1.082d2c780e676p-5, 0x1.04fe561f3a03ep-5, 0x1.01d57fe62fcc9p-5, 0x1.fd65612627f4cp-6, 0x1.f72bdd70dd619p-6, 0x1.f0fe8089dec19p-6, 0x1.eadd557ad007fp-6, 0x1.e4c867a7e6f4p-6, 0x1.debfc00384873p-6, 0x1.d8c367f22c459p-6, 0x1.d2d367765e7f4p-6, 0x1.ccefc61d8f198p-6, 0x1.c7188a0819811p-6, 0x1.c14db9a5be71bp-6, 0x1.bb8f59f21668fp-6, 0x1.b5dd6f8cae36fp-6, 0x1.b037fe46b339bp-6, 0x1.aa9f08c7fc3c2p-6, 0x1.a512919f06a16p-6, 0x1.9f929b8fd497fp-6, 0x1.9a1f25ab33f28p-6, 0x1.94b8320baae9ap-6, 0x1.8f5dbfa0de06fp-6, 0x1.8a0fcdb44871cp-6, 0x1.84ce5b0deb875p-6, 0x1.7f99649c0fdacp-6, 0x1.7a70e95645485p-6, 0x1.7554e46af8978p-6, 0x1.704552b77f6bap-6, 0x1.6b422fde3fd2fp-6, 0x1.664b764307ab9p-6, 0x1.61612061596dp-6, 0x1.5c83296b0eaa4p-6, 0x1.57b1881c9915cp-6, 0x1.52ec3869335ffp-6, 0x1.4e3330bccfbe8p-6, 0x1.498668e6170bdp-6, 0x1.44e5d990c9d32p-6, 0x1.405177e5c1761p-6, 0x1.3bc93c4fdb40fp-6, 0x1.374d1a436b7fep-6, 0x1.32dd09d4a657dp-6, 0x1.2e78fd3259e55p-6, 0x1.2a20ecc4b3f42p-6, 0x1.25d4c94928d9bp-6, 0x1.2194888724fdep-6, 0x1.1d601cb0fbe99p-6, 0x1.19377a7182716p-6, 0x1.151a9203ce6dcp-6, 0x1.11095a637815p-6, 0x1.0d03bc3b30687p-6, 0x1.0909b7f6caf42p-6, 0x1.051b2e4d261ap-6, 0x1.01381ad7008edp-6, 0x1.fac0d6b9e7e5ap-7, 0x1.f3281fa3cd2a6p-7, 0x1.eba5f18a57062p-7, 0x1.e43a2ae913586p-7, 0x1.dce4ab4cd89bdp-7, 0x1.d5a55104bf3f4p-7, 0x1.ce7bf97ec6ba7p-7, 0x1.c76881766fdf8p-7, 0x1.c06ac7fd0f139p-7, 0x1.b982a8a9eabd3p-7, 0x1.b2affbcc91318p-7, 0x1.abf2a3122ebc2p-7, 0x1.a54a75083648cp-7, 0x1.9eb74ddd72e6ep-7, 0x1.98390800d97b9p-7, 0x1.91cf7d04e6f78p-7, 0x1.8b7a86a941e0fp-7, 0x1.8539fe883e134p-7, 0x1.7f0dbd3f9992ep-7, 0x1.78f59be371fcep-7, 0x1.72f172cc8c68ep-7, 0x1.6d0119858c691p-7, 0x1.672468a96c192p-7, 0x1.615b3732e7994p-7, 0x1.5ba55ecebaa8ep-7, 0x1.5602b27040072p-7, 0x1.50730d7e16d61p-7, 0x1.4af644f612849p-7, 0x1.458c303290343p-7, 0x1.4034a3aa1a394p-7, 0x1.3aef7881b2e9cp-7, 0x1.35bc83e0cca8bp-7, 0x1.309b9c3dcfeefp-7, 0x1.2b8c972d94c1ep-7, 0x1.268f4d62ebe5dp-7, 0x1.21a3915718d69p-7, 0x1.1cc93bdbd8d43p-7, 0x1.18002091a0592p-7, 0x1.134816f53eff3p-7, 0x1.0ea0f4d8e7618p-7, 0x1.0a0a8ffa1ed45p-7, 0x1.0584bdbb4194ap-7, 0x1.010f5279c5a91p-7, 0x1.f9544e80c0c3fp-8, 0x1.f0aa20fbb322ap-8, 0x1.e81fc91ca9a7cp-8, 0x1.dfb4f2f201d0ap-8, 0x1.d7694a34f7572p-8, 0x1.cf3c7e39bb5f3p-8, 0x1.c72e3629f292ap-8, 0x1.bf3e23aa16762p-8, 0x1.b76bf21d2c077p-8, 0x1.afb74ef01a5dap-8, 0x1.a81fe74d1de39p-8, 0x1.a0a568edbbb58p-8, 0x1.99478116bf458p-8, 0x1.9205e8daef3d6p-8, 0x1.8ae0354853c2fp-8, 0x1.83d62b2cfccc9p-8, 0x1.7ce7787fcd24fp-8, 0x1.7613c3be8361cp-8, 0x1.6f5ac31552b38p-8, 0x1.68bc25f9d95d1p-8, 0x1.62379b38e3ae4p-8, 0x1.5bccd5f4753d1p-8, 0x1.557b86d028ceep-8, 0x1.4f436119cdafep-8, 0x1.492415025d30dp-8, 0x1.431d577e6f17fp-8, 0x1.3d2ed9c8729f3p-8, 0x1.37584fff0e263p-8, 0x1.3199755e503c7p-8, 0x1.2bf1ee1102d2dp-8, 0x1.2661811f45a48p-8, 0x1.20e7dab1fc341p-8, 0x1.1b84b443c70b4p-8, 0x1.1637c2e98923dp-8, 0x1.1100bd86b32cfp-8, 0x1.0bdf5b79f4ed6p-8, 0x1.06d35602f3355p-8, 0x1.01dc683fc1e1dp-8, 0x1.f9f48fed5622fp-9, 0x1.f059651fd0311p-9, 0x1.e6e6be4d77b43p-9, 0x1.dd9c14fdad3ffp-9, 0x1.d478e456feeb6p-9, 0x1.cb7c99f331b9bp-9, 0x1.c2a6b77b8ceb8p-9, 0x1.b9f6b0b2ad394p-9, 0x1.b16c02ea2b8c1p-9, 0x1.a9063087036ccp-9, 0x1.a0c4b68779579p-9, 0x1.98a70c1291c54p-9, 0x1.90acb4221d42cp-9, 0x1.88d540107d767p-9, 0x1.81201e37eb145p-9, 0x1.798cdfd8738fap-9, 0x1.721b0111c7499p-9, 0x1.6aca0f6207f29p-9, 0x1.63998c55b9f8cp-9, 0x1.5c8904be91947p-9, 0x1.5597fdc106802p-9, 0x1.4ec60b0c431e9p-9, 0x1.4812acac21d8ap-9, 0x1.417d770f3cacdp-9, 0x1.3b05f60bc8edcp-9, 0x1.34abb6203c5b8p-9, 0x1.2e6e4ec19728bp-9, 0x1.284d4f8f626edp-9, 0x1.22484b78efaf7p-9, 0x1.1c5ed6b297cdbp-9, 0x1.169086800590cp-9, 0x1.10dce1fc678ffp-9, 0x1.0b43c3b87999bp-9, 0x1.05c4727dd409ap-9, 0x1.005eb131b421p-9, 0x1.f6242fee6ea58p-10, 0x1.ebbc80c0a703dp-10, 0x1.e1858d91d62bap-10, 0x1.d77e9defce2f2p-10, 0x1.cda6d6280b9ccp-10, 0x1.c3fda6e4a0124p-10, 0x1.ba822111a5f17p-10, 0x1.b133b311ee80ap-10, 0x1.a81193f490892p-10, 0x1.9f1b0d8f14acfp-10, 0x1.964f70333ca3p-10, 0x1.8dae02a7b01cfp-10, 0x1.8536160103eefp-10, 0x1.7ce7101bcf3afp-10, 0x1.74c03f3c58125p-10, 0x1.6cc0f84017091p-10, 0x1.64e8a5eec9053p-10, 0x1.5d36a7b8c4385p-10, 0x1.55aa569839bd8p-10, 0x1.4e43158af0bc3p-10, 0x1.47004aef7a0ecp-10, 0x1.3fe15bd74f67bp-10, 0x1.38e57f301758ep-10, 0x1.320cb5352525dp-10, 0x1.2b559f2f3bac3p-10, 0x1.24c013512009fp-10, 0x1.1e4b63777f045p-10, 0x1.17f70493e940ep-10, 0x1.11c263819b867p-10, 0x1.0bacf431cae61p-10, 0x1.05b63642831a6p-10, 0x1.ffbb5173c7cfep-11, 0x1.f4458a90cdb65p-11, 0x1.e90a15afe197p-11, 0x1.de08032072cbap-11, 0x1.d33e667375746p-11, 0x1.c8ac3b75e2b19p-11, 0x1.be5088f5bacb9p-11, 0x1.b42a480e7133p-11, 0x1.aa388327c9b2p-11, 0x1.a07a70f5e1615p-11, 0x1.96eeeb6def38p-11, 0x1.8d9532626e7aep-11, 0x1.846c516c51d2bp-11, 0x1.7b7365d033f78p-11, 0x1.72a9839df3215p-11, 0x1.6a0dd03626b5dp-11, 0x1.619f7602da71ep-11, 0x1.595da1a685348p-11, 0x1.5147833ce70c4p-11, 0x1.495c615798cf6p-11, 0x1.419aff15d4bafp-11, 0x1.3a03b62fd11ap-11, 0x1.3294da821bed2p-11, 0x1.2b4decb59d632p-11, 0x1.242e863681136p-11, 0x1.1d3515b49e24fp-11, 0x1.1661bfca07cd6p-11, 0x1.0fb38d7fecc15p-11, 0x1.0929c1925251cp-11, 0x1.02c3aba7c6879p-11, 0x1.f9015411d5257p-12, 0x1.ecc04092a30f5p-12, 0x1.e0c286a09f79dp-12, 0x1.d506c1aa5c222p-12, 0x1.c98bd42e408b8p-12, 0x1.be506bdf1dd4ap-12, 0x1.b3531f74b08adp-12, 0x1.a892c6a789d91p-12, 0x1.9e0e4c0c63c7cp-12, 0x1.93c485afbb2a5p-12, 0x1.89b44e58cd6bp-12, 0x1.7fdc900900465p-12, 0x1.763c4109d9dbap-12, 0x1.6cd27828e4b5cp-12, 0x1.639e11a642036p-12, 0x1.5a9e2fc7b9354p-12, 0x1.51d1bbaacb0cfp-12, 0x1.4937ca0619a21p-12, 0x1.40cf531e8f72bp-12, 0x1.38977629a3f44p-12, 0x1.308ee40430f75p-12, 0x1.28b4a70213cd4p-12, 0x1.210873ec6b38bp-12, 0x1.19882ccf88e34p-12, 0x1.1232c7b26ba91p-12, 0x1.0b08a122497a9p-12, 0x1.04086fcfedd4fp-12, 0x1.fa6261e7f235ap-13, 0x1.ed03bdcad2342p-13, 0x1.dff3d733d07a8p-13, 0x1.d3312732feddep-13, 0x1.c6b9de74137fep-13, 0x1.ba8d1be16d52p-13, 0x1.aea736db50c97p-13, 0x1.a309f53b97c84p-13, 0x1.97b22a37ef26ep-13, 0x1.8c9edbea41a18p-13, 0x1.81ce8fc604aa7p-13, 0x1.773fc4dfa85f2p-13, 0x1.6cf111ce496p-13, 0x1.62e1074bb6b6bp-13, 0x1.590e3da629902p-13, 0x1.4f7635001754ep-13, 0x1.461b79ef4548ep-13, 0x1.3cf89be0d3c2ap-13, 0x1.340df435445b2p-13, 0x1.2b5a44895ef64p-13, 0x1.22dc7a40facd5p-13, 0x1.1a935eda40408p-13, 0x1.127dd23ebd8e4p-13, 0x1.0a9b1cf2ce012p-13, 0x1.02e9d192c8116p-13, 0x1.f6d10568ef8e8p-14, 0x1.e82d16a5d58fap-14, 0x1.d9e5c2b7a21c9p-14, 0x1.cbf897980082fp-14, 0x1.be64561d5af63p-14, 0x1.b12710dc35674p-14, 0x1.a43e788b7f095p-14, 0x1.97a8f31a0a8ffp-14, 0x1.8b64e3dc2f17p-14, 0x1.7f6d9a009a1p-14, 0x1.73c9b895694a2p-14, 0x1.686d5efcc3a84p-14, 0x1.5d5b80015b735p-14, 0x1.5291a60530088p-14, 0x1.480e0640c1922p-14, 0x1.3dcf8157ff9a5p-14, 0x1.33d58a1bacbc6p-14, 0x1.2a1dc7d54aaf7p-14, 0x1.20a68edd7f70ap-14, 0x1.176f0b96a85fep-14, 0x1.0e750eea34b05p-14, 0x1.05b71980f74d2p-14, 0x1.fa6814e370372p-15, 0x1.e9d5187cb0a3dp-15, 0x1.d9b29cf483732p-15, 0x1.c9fe089addc8ep-15, 0x1.bab4657fe2fdbp-15, 0x1.abd6689c3d2c8p-15, 0x1.9d5e445b19d5fp-15, 0x1.8f43532cf66ap-15, 0x1.818f7d3e14fa8p-15, 0x1.743b03ac55432p-15, 0x1.6744792fbcc7ap-15, 0x1.5aa92a9192042p-15, 0x1.4e65aba308f25p-15, 0x1.42785c8b38a2fp-15, 0x1.36dfbd35ed2ffp-15, 0x1.2b99db62c7223p-15, 0x1.20a466e159371p-15, 0x1.15fe9c09e1f59p-15, 0x1.0ba2fe7d6e456p-15, 0x1.01975e58cd841p-15, 0x1.efa4a41537cbdp-16, 0x1.dcab8b9280f29p-16, 0x1.ca3e0369bde8ap-16, 0x1.b857da1c256adp-16, 0x1.a6f48f87fc8e3p-16, 0x1.9615132454235p-16, 0x1.85b37c011d0fp-16, 0x1.75c9e7e5fee43p-16, 0x1.665ad2f2d3a64p-16, 0x1.57631162caba5p-16, 0x1.48dacd40059bp-16, 0x1.3ac24b6d08a6ep-16, 0x1.2d16a0e38bb39p-16, 0x1.1fd8a9818de17p-16, 0x1.12fbee1c235e7p-16, 0x1.0687fc409fab7p-16, 0x1.f4ead5d6a58dp-17, 0x1.dd8074bd8ede2p-17, 0x1.c6d3e66ee8275p-17, 0x1.b0de04be4e3b6p-17, 0x1.9b952c2ba2986p-17, 0x1.86ff5a8e7ea2ap-17, 0x1.730d639d1d9eap-17, 0x1.5fbe8e2a6f1d7p-17, 0x1.4d102c1a6c72dp-17, 0x1.3afabe463ad74p-17, 0x1.297f2f063c815p-17, 0x1.189b3de2bccdbp-17, 0x1.0850462b3ab59p-17, 0x1.f11ca41e4124cp-18, 0x1.d2693074c8054p-18, 0x1.b4e6d2101cb72p-18, 0x1.9868787ea39b1p-18, 0x1.7ce3e663e99dbp-18, 0x1.6255cc0c3ca16p-18, 0x1.48b41517cf999p-18, 0x1.2ff948fa5c14cp-18, 0x1.182196346f858p-18, 0x1.01228ebeb10ep-18, 0x1.d5d7661873d54p-19, 0x1.ab30c68315eebp-19, 0x1.82264387abb6bp-19, 0x1.5a872d0addffcp-19, 0x1.346478c464c06p-19, 0x1.0fca23918c273p-19, 0x1.d90ac537ae64bp-20, 0x1.94da9a2caf668p-20, 0x1.540d2fd5adda4p-20, 0x1.158f8a722eb32p-20, 0x1.b325b5fec48b2p-21, 0x1.3fcde5edb17c3p-21, 0x1.a2d535cb7cc5ep-22, 0x1.9d4743ae8acdp-23, 0x1.f8de3dfe8fcdbp-29, -0x1.7bd51161bbbf6p-23, -0x1.780b563e5292bp-22, -0x1.1491189588dap-21, -0x1.69284d9ac4381p-21, -0x1.ba17ee6a712d1p-21, -0x1.03a6145a5acefp-20, -0x1.287c243d78157p-20, -0x1.4bad54ea5c351p-20, -0x1.6cfc4629dfdbap-20, -0x1.8cad771c70636p-20, -0x1.aaf94ae8f3495p-20, -0x1.c722b88f879a1p-20, -0x1.e2202b313e16ap-20, -0x1.fbbc4f785de31p-20, -0x1.09f1bb7368746p-19, -0x1.15585b354806dp-19, -0x1.200686c9da7c3p-19, -0x1.2a1c4f0bd36aap-19, -0x1.3397829f740f1p-19, -0x1.3c6e023168ca7p-19, -0x1.44be9ad84d072p-19, -0x1.4c6f26bfc74b2p-19, -0x1.539ba4ddc5af1p-19, -0x1.5a72649de2443p-19, -0x1.6056f56220993p-19, -0x1.65fc0361abbebp-19, -0x1.6b2db4b815447p-19, -0x1.6fe76d6e94eap-19, -0x1.742005506c9a3p-19, -0x1.77f8772da5356p-19, -0x1.7b69c4b556cc7p-19, -0x1.7eb78972665ddp-19, -0x1.80fda9ca7a449p-19, -0x1.833d4e61d076p-19, -0x1.852faca34c66cp-19, -0x1.86c2471793539p-19, -0x1.87f0a1079925ep-19, -0x1.88eee2452c337p-19, -0x1.897abfb20a91p-19, -0x1.89b759a974489p-19, -0x1.89c1285031a81p-19, -0x1.897a35e3f7a08p-19, -0x1.88de241738a3dp-19, -0x1.8810a006077bap-19, -0x1.87049b734234fp-19, -0x1.85e645d7caaeep-19, -0x1.84633a7ef8bfap-19, -0x1.82a78fefafd3ep-19, -0x1.80bf433a3aa21p-19, -0x1.7e93b383ccd3ep-19, -0x1.7c5837c5c783ep-19, -0x1.79dc3ad2f8fb3p-19, -0x1.774a830efeaa9p-19, -0x1.7478cf05ad539p-19, -0x1.7166b9a8e80eap-19, -0x1.6e4dcc897e964p-19, -0x1.6b0d77bb4fbfap-19, -0x1.67af8dbccd862p-19, -0x1.641e16451a6b5p-19, -0x1.607b04aa84a76p-19, -0x1.5cbf49df3e631p-19, -0x1.58d97ec7b8582p-19, -0x1.54dd317ab90f7p-19, -0x1.50c8f6378428fp-19, -0x1.4c9e4af26531ep-19, -0x1.485d46fc2c9c4p-19, -0x1.440538523ca02p-19, -0x1.3f9818d603461p-19, -0x1.3b19cd783dc2cp-19, -0x1.368bf0a485feap-19, -0x1.31ed65e235289p-19, -0x1.2d3aebf1cd432p-19, -0x1.288804b7a4b9fp-19, -0x1.23bd51b6e670fp-19, -0x1.1ee0139539396p-19, -0x1.1a0118421bb01p-19, -0x1.151df683a175cp-19, -0x1.1022647ef5191p-19, -0x1.0b11b84d7d6abp-19, -0x1.066b7c0cc943cp-19, -0x1.011e538a57a4p-19, -0x1.f7d801ae9734ap-20, -0x1.ed4daabf6ea44p-20, -0x1.e383ec77acbb2p-20, -0x1.d9ad28bf754a6p-20, -0x1.cf705a5423decp-20, -0x1.c519031b73f6dp-20, -0x1.baf8c65fcaf2p-20, -0x1.b0b044db19601p-20, -0x1.a652ee1d25502p-20, -0x1.9c4ffc67979cep-20, -0x1.921534f467973p-20, -0x1.87d6dfbcdabe4p-20, -0x1.7dae9ab0f453bp-20, -0x1.7370b434dee77p-20, -0x1.6926471f11cfdp-20, -0x1.5f0c551a6ccb9p-20, -0x1.5503a519e2a2bp-20, -0x1.4aff713243c2dp-20, -0x1.4107cfc4a10a5p-20, -0x1.3705fb674a558p-20, -0x1.2d1fe0a37fbb3p-20, -0x1.234e1bbb6ed1ap-20, -0x1.197739c76a62dp-20, -0x1.0fb8ec1d03104p-20, -0x1.05f7c1c8dbd4ap-20, -0x1.f8a1b6905bbdap-21, -0x1.e57317e161953p-21, -0x1.d26561d465ea4p-21, -0x1.bf79dd315e01dp-21, -0x1.acb214d81a901p-21, -0x1.9a120ba582704p-21, -0x1.87756a30e047dp-21, -0x1.753ee6a2dbf55p-21, -0x1.62dfaffb1dd09p-21, -0x1.50e317d83b21ep-21, -0x1.3efa64836006fp-21, -0x1.2d4112f86384cp-21, -0x1.1b26dbf72108bp-21, -0x1.0a2da362c4edep-21, -0x1.f1fffb6ab2db3p-22, -0x1.d003487e75609p-22, -0x1.adbb417e11654p-22, -0x1.8c3c9b1397f73p-22, -0x1.6b982bb888f62p-22, -0x1.486ab45ebfba6p-22, -0x1.2a47fdbb2013dp-22, -0x1.09a9d4f4f0a25p-22, -0x1.d35f214c4cc2ap-23, -0x1.9601f9985031fp-23, -0x1.56995f10dbb94p-23, -0x1.1a0f0ab3abf2ep-23, -0x1.b936abf0d88ecp-24, -0x1.4231b3fc2f55fp-24, -0x1.944ac5bd440c2p-25, -0x1.657a92d864388p-26, 0x1.a932b3ff43272p-28, 0x1.14128ed55c65cp-25, 0x1.ffc2f6fcb05f5p-25, 0x1.6f3cedf0723b6p-24, 0x1.db212fb1064f6p-24, 0x1.231f061bd11fcp-23, 0x1.586bc2f489572p-23, 0x1.8cc8140ef2953p-23, 0x1.c09a645bbedd6p-23, 0x1.f32e730cd1051p-23, 0x1.12e39250dcc13p-22, 0x1.2b8840d96828bp-22, 0x1.43f1bfa13eedap-22, 0x1.5c09ead2a081fp-22, 0x1.73b8f58003521p-22, 0x1.8b0548cdf8af7p-22, 0x1.a1effaa68737bp-22, 0x1.b890f6d58dbb4p-22, 0x1.ce5cf38521bf1p-22, 0x1.e5cd17be28de5p-22, 0x1.f9f272e65b9c4p-22, 0x1.078d2cdf4906bp-21, 0x1.11ef40e7093b4p-21, 0x1.1c21f5e9d34abp-21, 0x1.261eb9ea22612p-21, 0x1.2fe28ea9f5203p-21, 0x1.39b83d6395b08p-21, 0x1.431cf6c2c3e5ep-21, 0x1.4c123bf2e5765p-21, 0x1.55bbdf854c24dp-21, 0x1.5eb14c310d044p-21, 0x1.678fb4cacb80fp-21, 0x1.70426740310d6p-21, 0x1.787db1ef8fdb4p-21, 0x1.80cd9d9745ff6p-21, 0x1.88d9a84f5f185p-21, 0x1.91133119665f7p-21, 0x1.9a123f8257fdp-21, 0x1.a0568b76cc6f6p-21, 0x1.a7d1f9d7ab8cap-21, 0x1.af410b071ap-21, 0x1.b6591dd437bf8p-21, 0x1.bdc69dafd770bp-21, 0x1.c476c966a6dbdp-21, 0x1.cb05bcb8cf652p-21, 0x1.d1a8158a0a40bp-21, 0x1.d7a00ba198154p-21, 0x1.de3f1084c4078p-21, 0x1.e467775619a19p-21, 0x1.ea4cf2e39af8cp-21, 0x1.f01e6180fd113p-21, 0x1.f5fbc6eb298e7p-21, 0x1.faea095b5851cp-21, 0x1.005cb2d8b937p-20, 0x1.032efd16e28e7p-20, 0x1.05930d2a80f4ep-20, 0x1.080a8afde741bp-20, 0x1.0a6affce069ap-20, 0x1.0ce3fd867f4dfp-20, 0x1.0f17a255463dp-20, 0x1.114148802f7cp-20, 0x1.13728ef281e58p-20, 0x1.1582bf4ca3ae1p-20, 0x1.1782e5a3be84cp-20, 0x1.19ccaddf5fedfp-20, 0x1.1b5c13197cbd9p-20, 0x1.1d3c0c6112cacp-20, 0x1.1f0948a276bdbp-20, 0x1.20c723702f1e1p-20, 0x1.224418fd05f86p-20, 0x1.23f275b24b5e6p-20, 0x1.255be7741cc3p-20, 0x1.270e2494fea1bp-20, 0x1.2871f8028e632p-20, 0x1.29a69afb9f562p-20, 0x1.2b09c35362851p-20, 0x1.2c40c83b8d2p-20, 0x1.2d9b136d0b3ccp-20, 0x1.2e8d565c827bdp-20, 0x1.2f90fc3a7c887p-20, 0x1.30b66029c51f3p-20, 0x1.31b470e57c618p-20, 0x1.324d1ea2265ep-20, 0x1.338490be83bacp-20, 0x1.345b24c585d5ap-20, 0x1.350467535835dp-20, 0x1.35ca76ba153b9p-20, 0x1.3670bee71774p-20, 0x1.371e17adb77adp-20, 0x1.37d74e54fb237p-20, 0x1.3845dafce73edp-20, 0x1.38da02207440ep-20, 0x1.3943fcebf6d2dp-20, 0x1.3999edace3bf2p-20, 0x1.3a01c8637e4b4p-20, 0x1.3a3f8ccc3161cp-20, 0x1.3aa0a4e5e4de9p-20, 0x1.3b26bce4329ep-20, 0x1.3b0731b87ddc7p-20, 0x1.3b3e63642c48dp-20, 0x1.3b5f1e6149aedp-20, 0x1.3b62ae1f00fbap-20, 0x1.3b5f8665b2e61p-20, 0x1.3b6db203ce462p-20, 0x1.3b6a46e50b3f5p-20, 0x1.3b6fe0209126p-20, 0x1.3b50d572e30a2p-20, 0x1.3b21c365acaebp-20, 0x1.3aee00452eba5p-20, 0x1.3aba89eb5aa39p-20, 0x1.3a7d4974f407ap-20, 0x1.3a34d3ca51813p-20, 0x1.39f3393052e89p-20, 0x1.3990413cbb811p-20, 0x1.393928388badbp-20, 0x1.38b92aeb5a93p-20, 0x1.386b51d573506p-20, 0x1.37eb1c4cdbb38p-20, 0x1.37562e4afdccfp-20, 0x1.36cd8936986a3p-20, 0x1.3645ee004348fp-20, 0x1.35b73f488ff96p-20, 0x1.35249a4cb6568p-20, 0x1.347dfbe39a67cp-20, 0x1.33bc0fd727a51p-20, 0x1.3359fe2d9544cp-20, 0x1.325cb806c580cp-20, }}, 
      {{0x1.6158e150d49dfp-5, 0x1.0ad871590821p-4, 0x1.997aef31e7bf1p-4, 0x1.2971add901091p-3, 0x1.95fec6be0de51p-3, 0x1.06610b3f9ffebp-2, 0x1.443672c8115dp-2, 0x1.822429f17407dp-2, 0x1.be2c496839d4p-2, 0x1.f6b40c36d1855p-2, 0x1.1540a372bc3edp-1, 0x1.2c596c273c7bp-1, 0x1.405b310533dbep-1, 0x1.511e7175630b5p-1, 0x1.5e97a18624feep-1, 0x1.68d1bd8d35d36p-1, 0x1.6fe95b9837c03p-1, 0x1.7408518887937p-1, 0x1.7561f5f9872bcp-1, 0x1.742ff68c62784p-1, 0x1.70afba4f16feap-1, 0x1.6b2040fe4374cp-1, 0x1.63c071ce40e6ep-1, 0x1.5acdc9fd45f7ap-1, 0x1.50835d41684bcp-1, 0x1.45191c5db5208p-1, 0x1.38c354daf2bd8p-1, 0x1.2bb2610d0d8f9p-1, 0x1.1e127ee9d44efp-1, 0x1.100bc4a96f71bp-1, 0x1.01c22f708c733p-1, 0x1.e6ab861b3b3f5p-2, 0x1.c9c56e228a737p-2, 0x1.ad035c8b7577p-2, 0x1.908fe6d22acd9p-2, 0x1.748f74d0622e3p-2, 0x1.5920c2b1e2d16p-2, 0x1.3e5d650b5657bp-2, 0x1.245a47eec04ecp-2, 0x1.0b2829cc1d0a9p-2, 0x1.e5a81eb24c6b2p-3, 0x1.b6cf63066ee19p-3, 0x1.89d3c48b8fca7p-3, 0x1.5ebdd67f4fbadp-3, 0x1.3591c397e43c5p-3, 0x1.0e4fedae95e25p-3, 0x1.d1eaf52e208a6p-4, 0x1.8af9a7757dccep-4, 0x1.47bc28bef9ce3p-4, 0x1.081ee5012b0edp-4, 0x1.98165e7666798p-5, 0x1.26cfc3f36339bp-5, 0x1.7867a936b0627p-6, 0x1.6025ee3edec5fp-7, -0x1.7a9d2067c4384p-11, -0x1.77923c38fa812p-7, -0x1.604448d660485p-6, -0x1.f9c19523471bfp-6, -0x1.445de2a2caf3cp-5, -0x1.86d63cf0674aep-5, -0x1.c485c91205ddfp-5, -0x1.fda7568ba2df9p-5, -0x1.193a2feeb4d2ap-4, -0x1.319270e3dd99ap-4, -0x1.47f79a482afdep-4, -0x1.5c83fd092a89ep-4, -0x1.6f5102fc7a0d5p-4, -0x1.80772960606ecp-4, -0x1.900dfe16ac61cp-4, -0x1.9e2c1e3b16fa8p-4, -0x1.aae73617b7a98p-4, -0x1.b65404123e08ap-4, -0x1.c0865aab1a56cp-4, -0x1.c991250fd6a5ep-4, -0x1.d1866cbbdade2p-4, -0x1.d8775db3d9635p-4, -0x1.de744d9fd2eb5p-4, -0x1.e38cc26ed9b2p-4, -0x1.e7cf78bb914f8p-4, -0x1.eb4a6b8717244p-4, -0x1.ee0adae735ce1p-4, -0x1.f01d536bc110dp-4, -0x1.f18db4c9e4a9fp-4, -0x1.f26739ed25fc5p-4, -0x1.f2b4805cb3a8ep-4, -0x1.f27f8cf428973p-4, -0x1.f1d1d52ed77e8p-4, -0x1.f0b4452458cb3p-4, -0x1.ef2f455bd9afbp-4, -0x1.ed4ac1cb89901p-4, -0x1.eb0e2fbd18e18p-4, -0x1.e880937f5a4c8p-4, -0x1.e5a8878766d32p-4, -0x1.e28c3dec40164p-4, -0x1.df3188a57a41cp-4, -0x1.db9ddf7d80647p-4, -0x1.d7d664be480bbp-4, -0x1.d3dfe7535e881p-4, -0x1.cfbee8a96c5dbp-4, -0x1.cb77a03a1327ap-4, -0x1.c70e00e01b1d6p-4, -0x1.c285bc7f35a1dp-4, -0x1.bde2475dfe42p-4, -0x1.b926db1a6c377p-4, -0x1.b45679df70575p-4, -0x1.af73f2b4020bdp-4, -0x1.aa81e37cd0704p-4, -0x1.a582bc406033fp-4, -0x1.a078c1f0e3b69p-4, -0x1.9b660fd034507p-4, -0x1.964c9c73ac56bp-4, -0x1.912e39017d045p-4, -0x1.8c0c95b68baefp-4, -0x1.86e942131a691p-4, -0x1.81c5b0648cfb8p-4, -0x1.7ca336e029005p-4, -0x1.7783113ed98fep-4, -0x1.7266624e01b9p-4, -0x1.6d4e3632be51ep-4, -0x1.683b836abfc0ep-4, -0x1.632f2b990473ap-4, -0x1.5e29fdd454316p-4, -0x1.592cb7623ee81p-4, -0x1.54380472f3819p-4, -0x1.4f4c822d9ce3cp-4, -0x1.4a6abf55e6a75p-4, -0x1.45933c94b6607p-4, -0x1.40c66ddb5b4bep-4, -0x1.3c04baf4785b9p-4, -0x1.374e821f16bb5p-4, -0x1.32a416358c0e8p-4, -0x1.2e05c064638e8p-4, -0x1.2973c12ccd806p-4, -0x1.24ee509368d9p-4, -0x1.20759f6ee78dep-4, -0x1.1c09d6cdfed68p-4, -0x1.17ab198e3537ep-4, -0x1.13598430c696fp-4, -0x1.0f152d7535f8ep-4, -0x1.0ade2686917cp-4, -0x1.06b47b7ae394ep-4, -0x1.0298354c21afdp-4, -0x1.fd12b0f5b56d5p-5, -0x1.f50fc6bd0cb76p-5, -0x1.ed27a622ef59bp-5, -0x1.e55a43d5c5a83p-5, -0x1.dda789bb8889p-5, -0x1.d60f5df3e18b8p-5, -0x1.ce91a3cdd7534p-5, -0x1.c72e379bedb4dp-5, -0x1.bfe4f3a54905bp-5, -0x1.b8b5abbef6635p-5, -0x1.b1a032e13b725p-5, -0x1.aaa456eff3c1cp-5, -0x1.a3c1e343b30b8p-5, -0x1.9cf8a21f58e71p-5, -0x1.96485a12a4f82p-5, -0x1.8fb0cf8a51909p-5, -0x1.8931c658f237ap-5, -0x1.82caffec43b12p-5, -0x1.7c7c3c02d1c47p-5, -0x1.764539485cf0dp-5, -0x1.7025b5cf444d3p-5, -0x1.6a1d6e7ba62c3p-5, -0x1.642c1f9859db5p-5, -0x1.5e5184c17235ap-5, -0x1.588d597cf467p-5, -0x1.52df58b164082p-5, -0x1.4d473c89ce441p-5, -0x1.47c4bf261cee9p-5, -0x1.42579b14c4a5ap-5, -0x1.3cff8b18302f2p-5, -0x1.37bc496fd0aa5p-5, -0x1.328d904d0aaa6p-5, -0x1.2d731ac62d7fbp-5, -0x1.286ca3765a7c3p-5, -0x1.2379e6f8874e3p-5, -0x1.1e9aa1192b95bp-5, -0x1.19ce8de55d3b7p-5, -0x1.1515647487df6p-5, -0x1.106eeb708c0bbp-5, -0x1.0bdade7b05214p-5, -0x1.0758f68abd442p-5, -0x1.02e8f56ffb5bap-5, -0x1.fd15376f55428p-6, -0x1.f47b51770a06dp-6, -0x1.ec03bac7c4c0ep-6, -0x1.e3adf5dc502cp-6, -0x1.db7986d90ab7dp-6, -0x1.d365f3df04a2p-6, -0x1.cb72c3624913p-6, -0x1.c39f7d74db3b9p-6, -0x1.bbebad1d621e3p-6, -0x1.b456de895af58p-6, -0x1.ace09baf16eecp-6, -0x1.a58870c7bdb7bp-6, -0x1.9e4df0fc1743dp-6, -0x1.9730b1b790c4fp-6, -0x1.90303fb6b847cp-6, -0x1.894c2c82e53e7p-6, -0x1.8284144b7ffaap-6, -0x1.7bd78b68f815bp-6, -0x1.7546254a3764ep-6, -0x1.6ecf7d911ca7ep-6, -0x1.687330dc7302cp-6, -0x1.6230db92a660ep-6, -0x1.5c081b3a811ebp-6, -0x1.55f88eae3b086p-6, -0x1.5001d650981c6p-6, -0x1.4a2393d9f0118p-6, -0x1.445d6a4509dbfp-6, -0x1.3eaefdc8e774cp-6, -0x1.3917f5a63ce5bp-6, -0x1.3397f79ee3ee2p-6, -0x1.2e2ea93d2ae4p-6, -0x1.28dbb7c6585e8p-6, -0x1.239ecc481d029p-6, -0x1.1e77933c0ca58p-6, -0x1.1965b9d4869c5p-6, -0x1.1468ee14791cap-6, -0x1.0f80df6d634d6p-6, -0x1.0aad3deaabcb4p-6, -0x1.05edbb7d031aep-6, -0x1.01420b0bc48ep-6, -0x1.f953c1ad5cb3p-7, -0x1.f049e5066b884p-7, -0x1.e765ebc2dd821p-7, -0x1.dea742c36a8e4p-7, -0x1.d60d5a71144aap-7, -0x1.cd97a6b648353p-7, -0x1.c5459c80c5abap-7, -0x1.bd16b209a2876p-7, -0x1.b50a5e33c9422p-7, -0x1.ad201b59a27d7p-7, -0x1.a557672fa1b4ap-7, -0x1.9dafbf2f45b2cp-7, -0x1.9628a3748ee67p-7, -0x1.8ec195b612213p-7, -0x1.877a1a6f17b74p-7, -0x1.8051b8e73cef6p-7, -0x1.7947f470716e7p-7, -0x1.725c552998778p-7, -0x1.6b8e69b50d963p-7, -0x1.64ddbd92c9c02p-7, -0x1.5e49dc752f8b7p-7, -0x1.57d25b5df9f98p-7, -0x1.5176b957a1891p-7, -0x1.4b36a9d8492ebp-7, -0x1.4511a83963c77p-7, -0x1.3f074bae69797p-7, -0x1.391731521b761p-7, -0x1.3340f03c88277p-7, -0x1.2d8423d1e64f9p-7, -0x1.27e0663df2c47p-7, -0x1.2255545de36fdp-7, -0x1.1ce28dce72066p-7, -0x1.1787b20ed54f2p-7, -0x1.1244619342e23p-7, -0x1.0d184154b5d51p-7, -0x1.0802f01403f67p-7, -0x1.030416daaaf75p-7, -0x1.fc36b423eb951p-8, -0x1.f290c7d58052p-8, -0x1.e915b98cb89d5p-8, -0x1.dfc4d915a70b7p-8, -0x1.d69d7f4685f38p-8, -0x1.cd9f08cc94f0ep-8, -0x1.c4c8cf049c6aep-8, -0x1.bc1a2e659589dp-8, -0x1.b39285475beb6p-8, -0x1.ab3138f5e1d0ep-8, -0x1.a2f5ab80bfdd8p-8, -0x1.9adf45cd16076p-8, -0x1.92ed6ece5f01p-8, -0x1.8b1f96ce61ac7p-8, -0x1.837524d959dcfp-8, -0x1.7bed8d1c63656p-8, -0x1.74883f9e867f9p-8, -0x1.6d44ae889a1b6p-8, -0x1.66224dbaec74cp-8, -0x1.5f2096188a478p-8, -0x1.583f00b31f218p-8, -0x1.517d0927b0576p-8, -0x1.4ada2cd6f48a1p-8, -0x1.4455ea71b7f71p-8, -0x1.3defc2cd851bfp-8, -0x1.37a7391f6f75cp-8, -0x1.317bd069fa992p-8, -0x1.2b6d0f8ee9a59p-8, -0x1.257a7e993072p-8, -0x1.1fa3a6acc7e59p-8, -0x1.19e81702fd8eap-8, -0x1.144759ed05773p-8, -0x1.0ec0fe410e359p-8, -0x1.0954938167005p-8, -0x1.0401abe97317fp-8, -0x1.fd8fbe3eb88cdp-9, -0x1.f34d87c8b1999p-9, -0x1.e93bc190a8675p-9, -0x1.df59be6bf26c9p-9, -0x1.d5a697626484bp-9, -0x1.cc21bd0b6a7cdp-9, -0x1.c2ca1f7476829p-9, -0x1.b99f1e64c8403p-9, -0x1.b09ff75872e5bp-9, -0x1.a7cbe4cd1b908p-9, -0x1.9f223e6996ab7p-9, -0x1.96a259d53dd93p-9, -0x1.8e4b1ef268a85p-9, -0x1.861c9d8b1d68p-9, -0x1.7e15311bd596dp-9, -0x1.7634e3f4d3115p-9, -0x1.6e7ace901c4fp-9, -0x1.66e647f92dd19p-9, -0x1.5f76af49be11p-9, -0x1.582b577cf390bp-9, -0x1.5103b02d22846p-9, -0x1.49ff180bd0d28p-9, -0x1.431cea7d66452p-9, -0x1.3c5c91682ac08p-9, -0x1.35bd7afac92f3p-9, -0x1.2f3f0e9fcaf03p-9, -0x1.28e0c0ec26d6ap-9, -0x1.22a1f5ade636bp-9, -0x1.1c822895270d7p-9, -0x1.1680cab10b969p-9, -0x1.109d527df3605p-9, -0x1.0ad739e6ecf3ap-9, -0x1.052dfae8812cep-9, -0x1.ff42259976734p-10, -0x1.f460020282674p-10, -0x1.e9b48b5c66b96p-10, -0x1.df3ec9dfe2cb3p-10, -0x1.d4fdc84d0ab27p-10, -0x1.caf0938b55b76p-10, -0x1.c1163dcc53f3ep-10, -0x1.b76dd6ee5134cp-10, -0x1.adf6887e95fe6p-10, -0x1.a4af5e25822e9p-10, -0x1.9b977ae531258p-10, -0x1.92ae0b062c7b8p-10, -0x1.89f23379af201p-10, -0x1.816312e7a578dp-10, -0x1.78ffe70b08c49p-10, -0x1.70c7df936e766p-10, -0x1.68ba2c452e40bp-10, -0x1.60d61030efd2bp-10, -0x1.591ad77dd9e5p-10, -0x1.5187990efae96p-10, -0x1.4a1b9fb598e47p-10, -0x1.42d6514f6c535p-10, -0x1.3bb6e4df020e9p-10, -0x1.34bca21df11d2p-10, -0x1.2de6c18f53a7p-10, -0x1.2734ba3436401p-10, -0x1.20a5ca015a39ep-10, -0x1.1a39508e18819p-10, -0x1.13eea93bc7904p-10, -0x1.0dc53157a3059p-10, -0x1.07bc496bca9b9p-10, -0x1.01d34c5d57b2dp-10, -0x1.f8135c6e5c1bbp-11, -0x1.ecbd9166f760bp-11, -0x1.e1a416065dad5p-11, -0x1.d6c5c43259372p-11, -0x1.cc2179ca0829bp-11, -0x1.c1b61de9e01fbp-11, -0x1.b7828cbc9a4cdp-11, -0x1.ad86313963525p-11, -0x1.a3bed1440f427p-11, -0x1.9a2c79ad3a19fp-11, -0x1.90cdae0f148e4p-11, -0x1.87a1c29235a3dp-11, -0x1.7ea75f59d91c8p-11, -0x1.75ddbf88be414p-11, -0x1.6d43b465351f3p-11, -0x1.64d8ad671d0dp-11, -0x1.5c9b91ce01d9ep-11, -0x1.548b746fd6d5ap-11, -0x1.4ca77e3522f4ep-11, -0x1.44eec752f3dfp-11, -0x1.3d6070f03385cp-11, -0x1.35fbaed5eb581p-11, -0x1.2ebfd751de8bep-11, -0x1.27abb23f519eap-11, -0x1.20bee53a1808cp-11, -0x1.19f8717547444p-11, -0x1.1357af5f70edep-11, -0x1.0cdbc103d9b72p-11, -0x1.0683ebb32a2b3p-11, -0x1.004f78faf2789p-11, -0x1.f47b5c37af874p-12, -0x1.e89bd259ad0e6p-12, -0x1.dcff2736a52fap-12, -0x1.d1a3978371bf7p-12, -0x1.c687efc604a7bp-12, -0x1.bbab17000680dp-12, -0x1.b10ba7a11e123p-12, -0x1.a6a888bbe96c8p-12, -0x1.9c800ac2d454p-12, -0x1.929157881efcep-12, -0x1.88daf8429e452p-12, -0x1.7f5c3c3d97417p-12, -0x1.7613dbdfcd3fap-12, -0x1.6d005c82bd7b3p-12, -0x1.6420ca7c49b29p-12, -0x1.5b74cb7a83267p-12, -0x1.52fa64f13f6f3p-12, -0x1.4ab0cf567771bp-12, -0x1.42974d5405678p-12, -0x1.3aac85362da18p-12, -0x1.32ef715283d69p-12, -0x1.2b5f75793808ap-12, -0x1.23fb5f1c9e193p-12, -0x1.1cc255e1dc7ecp-12, -0x1.15b3c013a70ffp-12, -0x1.0ece497d6e4b7p-12, -0x1.08113a56a83fep-12, -0x1.017bc9207c724p-12, -0x1.f61a2ca32ea2bp-13, -0x1.e988a7420032ep-13, -0x1.dd414db834f3p-13, -0x1.d14276631c5f4p-13, -0x1.c58a73fa00568p-13, -0x1.ba16d3faccedep-13, -0x1.aeea869e52bd1p-13, -0x1.a3fe8c2b07fc1p-13, -0x1.9954233007751p-13, -0x1.8ee9cb0b152cfp-13, -0x1.84bdfb26edc2bp-13, -0x1.7acede6a5f58dp-13, -0x1.711c173783f2ep-13, -0x1.67a2b53dff5b4p-13, -0x1.5e63a7a63b82dp-13, -0x1.555b977393571p-13, -0x1.4c8a9ab800038p-13, -0x1.43ef467f069d4p-13, -0x1.3b884530c294ap-13, -0x1.3354d226cc4b8p-13, -0x1.2b528fd1d6d85p-13, -0x1.2382075512648p-13, -0x1.1be0f013e4508p-13, -0x1.146f21e286cb9p-13, -0x1.0d2aeda83426bp-13, -0x1.0613b2a5336aep-13, -0x1.fe50d10441355p-14, -0x1.f0cfa16ea0492p-14, -0x1.e3a207763f80ap-14, -0x1.d6c64d330ddf2p-14, -0x1.ca3aacf482aap-14, -0x1.bdfa92560cd12p-14, -0x1.b20e1f0922e2cp-14, -0x1.a666fbf06212ap-14, -0x1.9b0a6a32a7453p-14, -0x1.8ff4d81b16113p-14, -0x1.8525b2fdbc068p-14, -0x1.7a9a7bdcf129fp-14, -0x1.70519082a734dp-14, -0x1.664a6030d5564p-14, -0x1.5c82fb10a2e2dp-14, -0x1.52f990a047799p-14, -0x1.49ad1228c2a41p-14, -0x1.409c3435e5cep-14, -0x1.37c5dc3c152f3p-14, -0x1.2f282e22c255cp-14, -0x1.26c1955a7bf37p-14, -0x1.1e90df617b3f6p-14, -0x1.169533ce47beep-14, -0x1.0ecda8bf25a25p-14, -0x1.0737d334e391p-14, -0x1.ffa830c4e682bp-15, -0x1.f140eb4d6cac5p-15, -0x1.e337e1045ff3ep-15, -0x1.d58a42c11d136p-15, -0x1.c8362da16b157p-15, -0x1.bb39d44c171b4p-15, -0x1.ae93256770273p-15, -0x1.a23ff1ead4d09p-15, -0x1.963ede23fad6ep-15, -0x1.8a880ac854fc6p-15, -0x1.7f27203790583p-15, -0x1.740f1a8abca84p-15, -0x1.69413e8053c69p-15, -0x1.5ec000323acd9p-15, -0x1.547d0381a4624p-15, -0x1.4a83875ce6717p-15, -0x1.40cd8df90421p-15, -0x1.37582c938cf54p-15, -0x1.2e2269c9da994p-15, -0x1.252b54e8a7d0cp-15, -0x1.1c723fc94aa44p-15, -0x1.13f46f8d04caep-15, -0x1.0bafeecbb0a3fp-15, -0x1.03a546fd0962cp-15, -0x1.f7a380c2cc422p-16, -0x1.e867b9f7dcb4ep-16, -0x1.d9957e4d66a42p-16, -0x1.cb28fed7999ddp-16, -0x1.bd2008e0d3c2cp-16, -0x1.af7b264027fb9p-16, -0x1.a232825570904p-16, -0x1.9547f3a828ff2p-16, -0x1.88bc01ef2afecp-16, -0x1.7c84b419e63bp-16, -0x1.70a5081cb0863p-16, -0x1.651711c8e174fp-16, -0x1.59db8d417e26bp-16, -0x1.4eefd42a4ef08p-16, -0x1.4456b3a19af92p-16, -0x1.3a05e30e54947p-16, -0x1.2ffe824fae978p-16, -0x1.2644643501a29p-16, -0x1.1cccda5838325p-16, -0x1.13917d3de9123p-16, -0x1.0a9ee2f9cb3c9p-16, -0x1.01f04178f06a3p-16, -0x1.f302987e9ccf6p-17, -0x1.e29afcf7c21dap-17, -0x1.d2ad734102cafp-17, -0x1.c337a44e9587p-17, -0x1.b432bddfb0c5bp-17, -0x1.a5a448077fd0ap-17, -0x1.976cca41b8d88p-17, -0x1.89b18e1d1edeap-17, -0x1.7c593030effb8p-17, -0x1.6f644408aa675p-17, -0x1.62d049fbd17f3p-17, -0x1.569e58ad2191dp-17, -0x1.4ac6352004defp-17, -0x1.3f48ffce53405p-17, -0x1.34230b8ca0fd2p-17, -0x1.2947cf0254a87p-17, -0x1.1ed7ec062e519p-17, -0x1.14ab2cb747e7ep-17, -0x1.0ad005d45b076p-17, -0x1.013ff63358277p-17, -0x1.eff6a8f69891cp-18, -0x1.ddfbac7abd351p-18, -0x1.cc8acb61ec3bap-18, -0x1.bba9e7d87c628p-18, -0x1.ab4ebb06536b9p-18, -0x1.9b76106157401p-18, -0x1.8c1b551f9a1f7p-18, -0x1.7d3e3b99963e2p-18, -0x1.6ed316902ba81p-18, -0x1.60de17701b792p-18, -0x1.535cb18454988p-18, -0x1.464730e1151c5p-18, -0x1.399cb431b79p-18, -0x1.2d5e3aeac3ba1p-18, -0x1.216b3bfbf3745p-18, -0x1.16143c4d9e796p-18, -0x1.0af5c9d741e3bp-18, -0x1.003c6a34cab7ap-18, -0x1.ebbb47dd5effdp-19, -0x1.d7a5c88b25391p-19, -0x1.c43646ed8c11fp-19, -0x1.b1794593e79f6p-19, -0x1.9f6351cbfe778p-19, -0x1.8dd6b94f96baap-19, -0x1.7cf9b0c454e8dp-19, -0x1.6ca4b699d76d9p-19, -0x1.5cdbd2d7325f4p-19, -0x1.4da002b0594cep-19, -0x1.3eedda3c98c34p-19, -0x1.30c0e30c58e85p-19, -0x1.23147b6a37a62p-19, -0x1.15df4910641ccp-19, -0x1.093b14d18a42p-19, -0x1.fa13b9525e4aep-20, -0x1.e215ce8859046p-20, -0x1.cb42ab562d7bp-20, -0x1.b547a66907bdfp-20, -0x1.a029f713f49eep-20, -0x1.8bddd93e602c4p-20, -0x1.784552b6e216p-20, -0x1.6563469f9a944p-20, -0x1.53399e093bbc7p-20, -0x1.41c0906d57471p-20, -0x1.30e5523093564p-20, -0x1.20e2f3c0477e4p-20, -0x1.112dbc927f3d6p-20, -0x1.02704e1b6dba5p-20, -0x1.e843def475d87p-21, -0x1.ccf73654467f9p-21, -0x1.b2be4108bb2f4p-21, -0x1.99837e46dde4dp-21, -0x1.812e14b0183f2p-21, -0x1.6a0b48ccddd7bp-21, -0x1.53e538cbf2945p-21, -0x1.3e7dccd6152e9p-21, -0x1.2a253bcbefbadp-21, -0x1.17006084a5976p-21, -0x1.045c4c467799bp-21, -0x1.e50865c6512cdp-22, -0x1.c2fd9e2f9d206p-22, -0x1.a318bd512e1dcp-22, -0x1.83f8c2b554f01p-22, -0x1.66c3402c8d0a8p-22, -0x1.4ad51187cc828p-22, -0x1.2ff9761b82731p-22, -0x1.16ae9bf7e5ca5p-22, -0x1.fd835b651c886p-23, -0x1.cf9c25f240952p-23, -0x1.a541f34c1944dp-23, -0x1.7c440a2316211p-23, -0x1.557d5c85d34cep-23, -0x1.30daa48b616c4p-23, -0x1.0dc7dc0724f02p-23, -0x1.d9f13d779eaa3p-24, -0x1.9dee6e05dcbd2p-24, -0x1.668f27bc51f82p-24, -0x1.330eebe05a5b3p-24, -0x1.f6ad9ff6cb488p-25, -0x1.970f13472ae68p-25, -0x1.3fc4e3a489b84p-25, -0x1.d9c6061d24b8ep-26, -0x1.420daa9d1be84p-26, -0x1.67856ea039146p-27, -0x1.7ee4413287d31p-29, 0x1.1d38f3f42a7efp-28, 0x1.6b6285477756bp-27, 0x1.210778a43a4d9p-26, 0x1.7bbb5a87e9867p-26, 0x1.c95fab809ba3cp-26, 0x1.0ba674f74aef1p-25, 0x1.2d2e91e9ef5cp-25, 0x1.46fa5dc082bf9p-25, 0x1.60a9f76d8f29p-25, 0x1.7b0bffdde4752p-25, 0x1.8a755d2705f1p-25, 0x1.9850e9115d27p-25, 0x1.a1f81480cbc48p-25, 0x1.ae4a550dfc8d9p-25, 0x1.b2d5c6971f262p-25, 0x1.b764eb8c9c3a5p-25, 0x1.b7bd903faaec6p-25, 0x1.b53f73e0a518p-25, 0x1.b2bd80f017585p-25, 0x1.aa913a5ccb5e4p-25, 0x1.a03ed1eaab2b5p-25, 0x1.9584fd335c3fep-25, 0x1.890b216ece43fp-25, 0x1.7b3ec840c385dp-25, 0x1.6cfec9abd1bd3p-25, 0x1.5ad2df08b0a5fp-25, 0x1.4776465fd9152p-25, 0x1.35b3aec3c05dcp-25, 0x1.1aa65ca21f418p-25, 0x1.02add20f92042p-25, 0x1.d72129fc5c56p-26, 0x1.a2e68817fcd16p-26, 0x1.6fb59add9426cp-26, 0x1.32b321cf1d9bbp-26, 0x1.f316944ff40e9p-27, 0x1.80cff4b96804p-27, 0x1.039c68bb6dd64p-27, 0x1.17c8a379acb1fp-28, 0x1.f7af4c293c28bp-33, -0x1.e6c177165c913p-29, -0x1.d532fc04b40bbp-28, -0x1.87e7c542a7d77p-27, -0x1.07a7771ae4d97p-26, -0x1.4acfd7b41f9acp-26, -0x1.8f5ecc8e9929ep-26, -0x1.d7fbd96b49fc8p-26, -0x1.0efc94616f643p-25, -0x1.3194e2b8e05e3p-25, -0x1.51387b671b85dp-25, -0x1.7c08d7665302fp-25, -0x1.a0e32338d753cp-25, -0x1.c32b316adc1fp-25, -0x1.e7bc8d6f61324p-25, -0x1.0676877511e0ap-24, -0x1.17b8c8e9687abp-24, -0x1.2a39df3f9fa71p-24, -0x1.3d1d53372fbeap-24, -0x1.4ed63e95e694p-24, -0x1.60b168cd4b5adp-24, -0x1.73c30c60f8f93p-24, -0x1.85caf2e8ecd9p-24, -0x1.98c90286a49dfp-24, -0x1.a7b98f037043p-24, -0x1.b97daa9c7559cp-24, -0x1.cba5d74b3cfd7p-24, -0x1.dcef0ba8c1fa1p-24, -0x1.eec23b3ecb2edp-24, -0x1.ff1fb02b8255p-24, -0x1.0810d669a445p-23, -0x1.0ff2510496662p-23, -0x1.18441218583a4p-23, -0x1.211b9344f9a5fp-23, -0x1.28f46d5a21c27p-23, -0x1.30e774d9e1ecbp-23, -0x1.386bfad9e5b92p-23, -0x1.40d36fd6ffe7fp-23, -0x1.485be21d45959p-23, -0x1.4f7f4fc2a2762p-23, -0x1.5743217eb0309p-23, -0x1.5eaf2b17f841ep-23, -0x1.65ebca59aaebep-23, -0x1.6cf828062a344p-23, -0x1.73e2dc2aac3ep-23, -0x1.7ac41980b760fp-23, -0x1.8197bc5d3803fp-23, -0x1.88401f921d4ddp-23, -0x1.8eb40eebc96c2p-23, -0x1.950cc3bc03231p-23, -0x1.9b7ca7a88dccfp-23, -0x1.a12b38c2222fep-23, -0x1.a76a116dd901p-23, -0x1.addf9c08294a7p-23, -0x1.b3857ec1877aap-23, -0x1.b8ecd07119b5cp-23, -0x1.be836b6e5e7a1p-23, -0x1.c48204ffdfc19p-23, -0x1.c87451cf04f9cp-23, -0x1.ce980f412664fp-23, -0x1.d3d995263efa9p-23, -0x1.d9a7c0ffa28a8p-23, -0x1.dda0e0df224e9p-23, -0x1.e1940b926b56ap-23, -0x1.e6274ce637b2ep-23, -0x1.ead5b6b139859p-23, -0x1.eead675df084ap-23, -0x1.f2eceb83e694ap-23, -0x1.f75652b90f78ap-23, -0x1.faa374aabec83p-23, -0x1.fe648fff206a5p-23, -0x1.01109efc063dep-22, -0x1.02d81b942856bp-22, -0x1.04a32c689abbcp-22, -0x1.067000d5f5b03p-22, -0x1.080536b6a5123p-22, -0x1.09804668ed0b3p-22, -0x1.0aee739c6d206p-22, -0x1.0c39b48379ec7p-22, -0x1.0da7390db6919p-22, -0x1.0ee044ea56b5cp-22, -0x1.1000fee1da0e2p-22, -0x1.113af4a51ec5ap-22, -0x1.124fb0529c203p-22, -0x1.137858b099a34p-22, -0x1.147a52330a2ep-22, -0x1.156e4188e83dcp-22, -0x1.16569e2de0505p-22, -0x1.1732c25cbf525p-22, -0x1.17ff1c686bd3dp-22, -0x1.18b5e02672619p-22, -0x1.1997a5181e5d1p-22, -0x1.1a08b75c703f1p-22, -0x1.1ad84f312ebc8p-22, -0x1.1b3b2ce931c91p-22, -0x1.1bbf223a41c0ep-22, -0x1.1c3274bdb871cp-22, -0x1.1cc82cb7d53bcp-22, -0x1.1cfd32e46fbfbp-22, -0x1.1d3af808cd4e7p-22, -0x1.1d577694f1f39p-22, -0x1.1dd3ead2b6611p-22, -0x1.1dfb7c7dc498ap-22, -0x1.1dc9e432dd0a7p-22, -0x1.1e7926cf8cc89p-22, -0x1.1de768db1e851p-22, -0x1.1e42020ddbcp-22, -0x1.1e553c07324f8p-22, -0x1.1db7cd4773362p-22, -0x1.1def521e269c8p-22, -0x1.1daf69e919d85p-22, -0x1.1d9089b4f52d4p-22, -0x1.1d4a62a9ff911p-22, -0x1.1d040a7b47362p-22, -0x1.1c7957251b8bep-22, -0x1.1c3059b11bc38p-22, -0x1.1ba7d549b42a1p-22, -0x1.1b9255f6793ep-22, -0x1.1b22c42ab2685p-22, -0x1.1a87c177fcad6p-22, -0x1.19f288cc0cff3p-22, -0x1.196be6e206659p-22, -0x1.18cac8c015711p-22, -0x1.182d7e800fccp-22, -0x1.1763f8822a3ebp-22, -0x1.16cac49a8f878p-22, -0x1.15fe5e2fb14a7p-22, -0x1.1540d361cbfbfp-22, -0x1.1485951a7f7a3p-22, -0x1.13bd2fad5a665p-22, -0x1.12e9c76f9cb5p-22, -0x1.120af72c9e19dp-22, -0x1.112dab3fc5d32p-22, -0x1.101969de58f7dp-22, -0x1.0f73503771e7bp-22, -0x1.0e4cd38bf3e5dp-22, -0x1.0d533b73b9198p-22, -0x1.0c5089fefa363p-22, -0x1.0b463f1176ad9p-22, -0x1.0a2d2fa548a4bp-22, -0x1.08fe4d837129fp-22, -0x1.081a57914742bp-22, -0x1.06df9ac246e61p-22, -0x1.0592d5a75e1dbp-22, -0x1.04bc932cee76bp-22, -0x1.0375cabf8f539p-22, -0x1.0243b131a1693p-22, -0x1.01131a81762e1p-22, -0x1.ff7ee806754dap-23, -0x1.fcd042de142d3p-23, -0x1.fa3bba2d83c24p-23, -0x1.f7e30ec3d7a93p-23, -0x1.f620ae10623f5p-23, -0x1.f253e50eec329p-23, -0x1.efc0a48439ca5p-23, -0x1.ed28325647e63p-23, -0x1.ea45af5f23eedp-23, -0x1.e7d992410aa6fp-23, -0x1.e4ff5dd9177b3p-23, -0x1.e1fe8dc7e636bp-23, -0x1.df38b27170efdp-23, -0x1.dc0d427970e45p-23, -0x1.d94f8fd3ad96fp-23, -0x1.d66cfd89476dap-23, -0x1.d35b01f61309dp-23, -0x1.d0b2cfb7dcd94p-23, -0x1.cddf50cc0a49cp-23, -0x1.ca615c0efb073p-23, -0x1.c7a2423729e46p-23, -0x1.c4d9e00b451c4p-23, -0x1.c19444c1d7f47p-23, -0x1.be7a6f1d634f9p-23, -0x1.bb452bfca3ac3p-23, -0x1.b8879e3dc741ap-23, -0x1.b52caf400c26ep-23, -0x1.b1dfdaf719858p-23, -0x1.aedc814f857c1p-23, -0x1.aba266bbfd11bp-23, -0x1.a8715dc00cf1p-23, -0x1.a58b6d4fe485cp-23, -0x1.a21d3f473ccecp-23, -0x1.9ef3cb0accfd3p-23, -0x1.9bc7039623ed2p-23, -0x1.98c039961b5afp-23, -0x1.9529b06fdaedfp-23, -0x1.921cb3cc9f267p-23, -0x1.8e80e455e2038p-23, -0x1.8bf1113d9fdfp-23, -0x1.88a21f0d56e53p-23, -0x1.84b96d29c5338p-23, -0x1.81be6f0eaaed4p-23, -0x1.7e769a181d509p-23, -0x1.7b43a8df2542cp-23, -0x1.77cecbd25f656p-23, -0x1.7471805fc2f8bp-23, -0x1.714a759f793c8p-23, -0x1.6e0da3b1e1485p-23, -0x1.6a9bb59a0232fp-23, -0x1.678556d01853bp-23, -0x1.642c44af743d7p-23, -0x1.60be6fe973713p-23, -0x1.5d7d3a06ce026p-23, -0x1.5a2e9e5ec3a6ap-23, -0x1.56f41fa6bc4ap-23, -0x1.540b766903604p-23, -0x1.506615c0ab7d4p-23, -0x1.4d4de5b8f8a72p-23, -0x1.49e27913133dfp-23, -0x1.469154e7738a3p-23, -0x1.43548fb85be79p-23, -0x1.3fdaa8a80d25ap-23, -0x1.3cee9f59d7f5bp-23, -0x1.39f6fad0c1bf8p-23, -0x1.3616b5b95111ep-23, -0x1.330b5592cb55cp-23, -0x1.2fd7e62b3ed13p-23, -0x1.2c7ea5dc0dc01p-23, -0x1.294ee1ad8bc75p-23, -0x1.261c5477fcd91p-23, -0x1.22f1fd33f2fdfp-23, -0x1.1fd64542f23efp-23, -0x1.1ca784b4707adp-23, -0x1.196592d370081p-23, -0x1.162b8386f2409p-23, -0x1.130b238b88f8p-23, -0x1.0fe2bd639d0ffp-23, -0x1.0cacb13912804p-23, -0x1.096716bdab5a9p-23, -0x1.069aa5e341745p-23, -0x1.0371228f6ed74p-23, -0x1.00262ef28b0ddp-23, -0x1.fa7e813d18256p-24, -0x1.f43584938913p-24, -0x1.edc27eb1a272dp-24, -0x1.e7a045e63a0c5p-24, -0x1.e19eee1c77713p-24, -0x1.db9a33d36249p-24, -0x1.d59cdc78b3346p-24, -0x1.cf89fe1a23643p-24, -0x1.c966151a423e1p-24, -0x1.c3cb0bafc8babp-24, -0x1.bda944e45d638p-24, }}, 
      {{0x1.5641540a13de4p-3, 0x1.360ac58c0e958p-2, 0x1.8e9f20c765147p-2, 0x1.b1ba69e9c1e18p-2, 0x1.a6563b5291369p-2, 0x1.786e206c6988cp-2, 0x1.352ef5d5c072p-2, 0x1.d12cb121c2f55p-3, 0x1.3882f2c7033bep-3, 0x1.5c49d8d515761p-4, 0x1.d57de66ae9eeep-6, -0x1.d96490d7155e3p-7, -0x1.6708d091a7759p-5, -0x1.ed425a4fad9e2p-5, -0x1.0aa08921ddad7p-4, -0x1.eed293db035dep-5, -0x1.8b40526e44defp-5, -0x1.f794e8557826ep-6, -0x1.4272e401b79f5p-7, 0x1.9f66f26ffc207p-7, 0x1.2144854619b2p-5, 0x1.d18d33f63c58fp-5, 0x1.386ca46d9dcf3p-4, 0x1.7cb5242702331p-4, 0x1.b3b5fcdedcc88p-4, 0x1.dc5c6a61872a2p-4, 0x1.f64c684a8b562p-4, 0x1.00e02c9977c84p-3, 0x1.ff69a56a3618fp-4, 0x1.f0535b661752cp-4, 0x1.d5c830a5f1564p-4, 0x1.b13b83979f737p-4, 0x1.8435e7374ca28p-4, 0x1.50453151784c9p-4, 0x1.16efb93c8526cp-4, 0x1.b3550cf42370dp-5, 0x1.33a4650b4980cp-5, 0x1.6297bdfa3cd2fp-6, 0x1.744a29e7546e1p-8, -0x1.4aa5144c26ba7p-7, -0x1.a12b8187e60fbp-6, -0x1.49c8da6403346p-5, -0x1.bd0efe2a7893fp-5, -0x1.14b87244f8865p-4, -0x1.4717485cd033fp-4, -0x1.755d5ed3fe3e4p-4, -0x1.9f5ad0aaa2202p-4, -0x1.c4f3dcbaac408p-4, -0x1.e61e50a5fa1fdp-4, -0x1.016f973ea24a2p-3, -0x1.0da41b585e2acp-3, -0x1.17baf8857ea89p-3, -0x1.1fc6c1f6fc7f5p-3, -0x1.25dd8c8dc45efp-3, -0x1.2a181dab62b1ap-3, -0x1.2c9127b3df899p-3, -0x1.2d64cc657db27p-3, -0x1.2caffb8a6363fp-3, -0x1.2a900d39bd31cp-3, -0x1.27225e508232cp-3, -0x1.2283fa08c0d34p-3, -0x1.1cd15ab93ba2dp-3, -0x1.16263398281d4p-3, -0x1.0e9d42d2cb681p-3, -0x1.0650369166a09p-3, -0x1.faaf174320f68p-4, -0x1.e7950cca8ab6fp-4, -0x1.d37e3a6c4d34cp-4, -0x1.be93f2164643p-4, -0x1.a8fcea0895e4cp-4, -0x1.92dd2cec60099p-4, -0x1.7c56481534baep-4, -0x1.6587264615754p-4, -0x1.4e8c6017cc40bp-4, -0x1.3780106706a63p-4, -0x1.207a2a5273bc8p-4, -0x1.09905e74a632cp-4, -0x1.e5acad2f85497p-5, -0x1.b8bb83f9b7f1dp-5, -0x1.8c6cf1f4f20c8p-5, -0x1.60dd01cd996d4p-5, -0x1.3624a21dadbb4p-5, -0x1.0c597502bc146p-5, -0x1.c71cc07ceea71p-6, -0x1.77a6dc961099bp-6, -0x1.2a6c90a245ed4p-6, -0x1.bf08711b6563ap-7, -0x1.2e002314e0a39p-7, -0x1.43b9455492f44p-8, -0x1.ab2cba22a5035p-11, 0x1.9dbc60a7abca4p-9, 0x1.c9018d0f5fdb2p-8, 0x1.5c7fa91a7b41p-7, 0x1.cf6e6a58a439bp-7, 0x1.1eaa0e969ce9cp-6, 0x1.531e1172fe48dp-6, 0x1.851a879e5f5bfp-6, 0x1.b4a8983ceb17cp-6, 0x1.e1d2c4a76e973p-6, 0x1.06526cb7ed877p-5, 0x1.1a95dd28439aep-5, 0x1.2dba8fbf93c6p-5, 0x1.3fc7d716a8294p-5, 0x1.50c54b93db451p-5, 0x1.60bad76374b7ep-5, 0x1.6fb08dcc5f854p-5, 0x1.7daeb4723e827p-5, 0x1.8abda56aacb3ap-5, 0x1.96e5d815a5832p-5, 0x1.a22fbb637539bp-5, 0x1.aca3c46bd56f4p-5, 0x1.b64a63f297581p-5, 0x1.bf2be7b97f36cp-5, 0x1.c75096a073b1p-5, 0x1.cec098b9254d1p-5, 0x1.d583dfcc861d4p-5, 0x1.dba253eb3b3d2p-5, 0x1.e12395af981acp-5, 0x1.e60f1f3ddfe9p-5, 0x1.ea6c4a8313712p-5, 0x1.ee4228f631dbbp-5, 0x1.f197958f6c719p-5, 0x1.f47349d9cc595p-5, 0x1.f6dbb0c369653p-5, 0x1.f8d6fef546f7ap-5, 0x1.fa6b42c45ecffp-5, 0x1.fb9e3777e8a15p-5, 0x1.fc756b4ba89e8p-5, 0x1.fcf62e00641bp-5, 0x1.fd259d4004cfep-5, 0x1.fd089fa398823p-5, 0x1.fca3d0b85774cp-5, 0x1.fbfbac0678511p-5, 0x1.fb14687fa2557p-5, 0x1.f9f212d08c7d8p-5, 0x1.f8987bdce39c7p-5, 0x1.f70b4607f3646p-5, 0x1.f54de235037aap-5, 0x1.f363922d2f13cp-5, 0x1.f14f67378bd1dp-5, 0x1.ef145431271b5p-5, 0x1.ecb5049a6fc96p-5, 0x1.ea340d110e9bfp-5, 0x1.e793e166a0b7ep-5, 0x1.e4d6c51381b9p-5, 0x1.e1fec687a51bp-5, 0x1.df0def148a663p-5, 0x1.dc061bb673aaep-5, 0x1.d8e902aa652cfp-5, 0x1.d5b834bee0823p-5, 0x1.d27537465b7abp-5, 0x1.cf2163b6b237ap-5, 0x1.cbbe01e48ae7bp-5, 0x1.c84c3b71f2678p-5, 0x1.c4cd2268191c6p-5, 0x1.c141b742b37c5p-5, 0x1.bdaad74d5cdfdp-5, 0x1.ba095f953cd84p-5, 0x1.b65e0334f9961p-5, 0x1.b2a976a8b8e68p-5, 0x1.aeec4dd633765p-5, 0x1.ab2719a3bb30ap-5, 0x1.a75a498f505b7p-5, 0x1.a38658486001fp-5, 0x1.9fab9fef34f0ep-5, 0x1.9bca71b8a52ffp-5, 0x1.97e31cc08449cp-5, 0x1.93f5d676fc1b5p-5, 0x1.9002dae9b9866p-5, 0x1.8c0a52da4a7cp-5, 0x1.880c62ae1b747p-5, 0x1.8409205ad0d3ap-5, 0x1.8000a80a0a0a4p-5, 0x1.7bf305a0dce04p-5, 0x1.77e041e0c7f69p-5, 0x1.73c863c8dc2fcp-5, 0x1.6fab6ba0a1f4ep-5, 0x1.6b8953e4c4584p-5, 0x1.67620ed2970b1p-5, 0x1.6335b61ba6ad1p-5, 0x1.5f040e34aa7aap-5, 0x1.5acd19d7a660bp-5, 0x1.5690db955e69cp-5, 0x1.524f365e9280ep-5, 0x1.4e081819a83f2p-5, 0x1.49bb71159904bp-5, 0x1.4569303550123p-5, 0x1.4111439bdf24cp-5, 0x1.3cb399eea7555p-5, 0x1.38502aec2c627p-5, 0x1.33e6dd5667e5cp-5, 0x1.2f77a75931633p-5, 0x1.2b027ca123647p-5, 0x1.268753154d689p-5, 0x1.220624166ded9p-5, 0x1.1d7eea12a1ff6p-5, 0x1.18f198f220523p-5, 0x1.145e2847990cdp-5, 0x1.0fc4a2ae8bbb1p-5, 0x1.0b250825a3132p-5, 0x1.067f573582b0fp-5, 0x1.01d393874b38cp-5, 0x1.fa43a31ce8b7ep-6, 0x1.f0d43225b6b6dp-6, 0x1.e758e44eceddp-6, 0x1.ddd1e1574d01bp-6, 0x1.d43f541139544p-6, 0x1.caa15fc9aa089p-6, 0x1.c0f8395462ed6p-6, 0x1.b74415ed51599p-6, 0x1.ad85315bb28b5p-6, 0x1.a3bbcdb32ffdfp-6, 0x1.99e833a67667fp-6, 0x1.900aa37ca995dp-6, 0x1.862379a1644c7p-6, 0x1.7c33037042761p-6, 0x1.72399b9d421c1p-6, 0x1.6837a5c41ce78p-6, 0x1.5e2d7b6174185p-6, 0x1.541b8cb3fd04bp-6, 0x1.4a0245f09a0dcp-6, 0x1.3fe20de3761b2p-6, 0x1.35bb617da0816p-6, 0x1.2b8eb6917a966p-6, 0x1.215c86556f25p-6, 0x1.172552d701e0ap-6, 0x1.0ce99c3ce824fp-6, 0x1.02a9eb8db5ad6p-6, 0x1.f0cd95cf85a07p-7, 0x1.dc418567f52dp-7, 0x1.c7b0cca290479p-7, 0x1.b31c827cdc54ap-7, 0x1.9e85dc5bcd442p-7, 0x1.89edfc2bfecedp-7, 0x1.755622b2ad127p-7, 0x1.60bf7143650e5p-7, 0x1.4c2b2b86afd5cp-7, 0x1.379a8c809cf76p-7, 0x1.230ec9b56421p-7, 0x1.0e8932de1fe1ap-7, 0x1.f415f87caeb99p-8, 0x1.cb2af26b8f9e6p-8, 0x1.a253aaeaa43adp-8, 0x1.7993007a6710ep-8, 0x1.50eb356ee5311p-8, 0x1.285ede0135f77p-8, 0x1.ffe2683231fc7p-9, 0x1.af4718b068688p-9, 0x1.5ef2c536a8d72p-9, 0x1.0eea3f6731d61p-9, 0x1.7e649c9c42f4ep-10, 0x1.bf3ff69eaeb9ap-11, 0x1.06477a7cdf836p-12, -0x1.6ef5f6b330f5ap-12, -0x1.f084bb543a5bbp-11, -0x1.93f467bdfa17ep-10, -0x1.17645bb72ef76p-9, -0x1.645af362b5149p-9, -0x1.b0d95edcf85fdp-9, -0x1.fcdabc88a9a39p-9, -0x1.242d0fd13f594p-8, -0x1.49a9bba44e3d7p-8, -0x1.6ee0c3d321e5p-8, -0x1.93d01e73eb999p-8, -0x1.b8758514464e8p-8, -0x1.dcced31df2f1dp-8, -0x1.006ce7590eca5p-7, -0x1.124a3f3e076e4p-7, -0x1.23fe56cb1b3d3p-7, -0x1.35884181e342dp-7, -0x1.46e6e45087338p-7, -0x1.58196ded62938p-7, -0x1.691ecf231e97cp-7, -0x1.79f62af29606ep-7, -0x1.8a9e926968067p-7, -0x1.9b172f40545f8p-7, -0x1.ab5f1f0d640d2p-7, -0x1.bb759ca821498p-7, -0x1.cb59c5d130375p-7, -0x1.db0afcda8ee7bp-7, -0x1.ea884c604d71cp-7, -0x1.f9d134035524ap-7, -0x1.04725c2150611p-6, -0x1.0be14c36942b8p-6, -0x1.1334e2b2bc35dp-6, -0x1.1a6ce7e8d8d23p-6, -0x1.21891edb7e8ebp-6, -0x1.288924f465951p-6, -0x1.2f6cca44ad6abp-6, -0x1.3633b5136da66p-6, -0x1.3cddc8f0312bp-6, -0x1.436aba1f5d856p-6, -0x1.49da4d1e26946p-6, -0x1.502c56635234ap-6, -0x1.5660a6b8cef01p-6, -0x1.5c770bc786762p-6, -0x1.626f662bddf1ep-6, -0x1.68498bb797d3cp-6, -0x1.6e055ac7622ap-6, -0x1.73a2a2feb4fa3p-6, -0x1.79216ebbb9613p-6, -0x1.7e8190313e383p-6, -0x1.83c2eba60e69p-6, -0x1.88e57af854a57p-6, -0x1.8de930029476cp-6, -0x1.92cdf39fd7529p-6, -0x1.9793d787eb212p-6, -0x1.9c3ac80a49b44p-6, -0x1.a0c2a173911dbp-6, -0x1.a52bc269cb768p-6, -0x1.a975bec391ab2p-6, -0x1.ada0e7d40c7dbp-6, -0x1.b1ad2ee2d4139p-6, -0x1.b59aae4a9acebp-6, -0x1.b96967c4108eep-6, -0x1.bd19744c52da7p-6, -0x1.c0aaeb180a49ep-6, -0x1.c41de45c86c17p-6, -0x1.c77278e4497c7p-6, -0x1.caa8ca6fb96fep-6, -0x1.cdc0ec0db6565p-6, -0x1.d0bb1685ce318p-6, -0x1.d3975ca4969bcp-6, -0x1.d655ede85b227p-6, -0x1.d8f6f160e5051p-6, -0x1.db7a93fd24c49p-6, -0x1.dde103fd7fc65p-6, -0x1.e02a70e367508p-6, -0x1.e2570f2778eb7p-6, -0x1.e4670e623a063p-6, -0x1.e65aa9c54b922p-6, -0x1.e832153922e84p-6, -0x1.e9ed8eb3231f8p-6, -0x1.eb8d51a937925p-6, -0x1.ed1198d810388p-6, -0x1.ee7aa69eb65dap-6, -0x1.efc8b95fa1863p-6, -0x1.f0fc17d8eed0bp-6, -0x1.f2150164f8fe6p-6, -0x1.f313bdfc465afp-6, -0x1.f3f8928df2e8p-6, -0x1.f4c3c69f1e086p-6, -0x1.f575a4ce0f6d9p-6, -0x1.f60e77b40872p-6, -0x1.f68e89d9723d9p-6, -0x1.f6f6286358887p-6, -0x1.f7459f8043a6p-6, -0x1.f77d45a398492p-6, -0x1.f79d610f7ec76p-6, -0x1.f7a6465c9369cp-6, -0x1.f798485873569p-6, -0x1.f773b7a698898p-6, -0x1.f738e7d362a91p-6, -0x1.f6e82bb6f10dep-6, -0x1.f681da0842e82p-6, -0x1.f6064370280efp-6, -0x1.f575bf25c432dp-6, -0x1.f4d0a13329326p-6, -0x1.f4173ed4f7aa4p-6, -0x1.f349eee2681e7p-6, -0x1.f269088d53a63p-6, -0x1.f174e1caf51bfp-6, -0x1.f06dd3dbb1242p-6, -0x1.ef54366b29012p-6, -0x1.ee2861c368df7p-6, -0x1.eceaae6df45c2p-6, -0x1.eb9b765937f79p-6, -0x1.ea3b0fa62aeb2p-6, -0x1.e8c9e56650054p-6, -0x1.e7482365ccaecp-6, -0x1.e5b648b964c5cp-6, -0x1.e4149c015f95ep-6, -0x1.e2637623d3853p-6, -0x1.e0a325c7fcddp-6, -0x1.ded40441d5538p-6, -0x1.dcf662c881af8p-6, -0x1.db0a99c386592p-6, -0x1.d910ffca6d80cp-6, -0x1.d709ed448613ap-6, -0x1.d4f5c1b01238cp-6, -0x1.d2d4d6f36d1e1p-6, -0x1.d0a78aa5dd89ap-6, -0x1.ce6e372fb44cep-6, -0x1.cc29371d4fc99p-6, -0x1.c9d8ca0ad14a7p-6, -0x1.c77d4eb779d57p-6, -0x1.c516fcbcf9e03p-6, -0x1.c2a6181888ed8p-6, -0x1.c02ae0f07f17fp-6, -0x1.bda59c1594693p-6, -0x1.bb1694fb7addep-6, -0x1.b87e20f7ce2f1p-6, -0x1.b5dca02e8ca54p-6, -0x1.b3327b0099fbep-6, -0x1.b08017b9ceddp-6, -0x1.adc5df1962c12p-6, -0x1.ab0432951f62dp-6, -0x1.a83b6059e5ce3p-6, -0x1.a56bab9f2952dp-6, -0x1.a2953ec07715fp-6, -0x1.9fb83f6a6b7a7p-6, -0x1.9cd4ca1c083b8p-6, -0x1.99eaffcf34ec8p-6, -0x1.96fb0b636ac5p-6, -0x1.9405269c05c48p-6, -0x1.9109a3733d481p-6, -0x1.8e08ee5aa7384p-6, -0x1.8b036ecaff481p-6, -0x1.87f99d6d87cc5p-6, -0x1.84ebe92565c16p-6, -0x1.81dab2f3a3deap-6, -0x1.7ec6436a12454p-6, -0x1.7baecdfe045b6p-6, -0x1.78946c65af26cp-6, -0x1.75772e77ee7aep-6, -0x1.72572108d52c5p-6, -0x1.6f34520842f99p-6, -0x1.6c0ee1656f007p-6, -0x1.68e703bd4516fp-6, -0x1.65bcfbfe163dap-6, -0x1.62911f3d70daap-6, -0x1.5f63c560e7376p-6, -0x1.5c3541c34274dp-6, -0x1.5905dd3f5baddp-6, -0x1.55d5c68875449p-6, -0x1.52a54c8d3fdd2p-6, -0x1.4f745c565e608p-6, -0x1.4c4326e7b3635p-6, -0x1.4911c64407f29p-6, -0x1.45e06631bbb8ap-6, -0x1.42af45002ae53p-6, -0x1.3f7eb12f0abb1p-6, -0x1.3c4f082e3e292p-6, -0x1.3920a472397c8p-6, -0x1.35f3da17750fbp-6, -0x1.32c8dfc8b63d7p-6, -0x1.2f9fcecec5a7bp-6, -0x1.2c789d777c239p-6, -0x1.295325848f474p-6, -0x1.262f2878f0c96p-6, -0x1.230c72731e3dp-6, -0x1.1fead8095a3cp-6, -0x1.1cca592bbf59cp-6, -0x1.19ab1dbbc14c5p-6, -0x1.168d81211532ep-6, -0x1.13720a27a1881p-6, -0x1.10595d6f64444p-6, -0x1.0d44289d73156p-6, -0x1.0a33092d3aa8ep-6, -0x1.072676a9bf89bp-6, -0x1.041ea74a13761p-6, -0x1.011bc28c863efp-6, -0x1.fc3ac7436c076p-7, -0x1.f646883aa9963p-7, -0x1.f059cf545167p-7, -0x1.ea73b38b6b335p-7, -0x1.e49370c0d990ap-7, -0x1.deb88d6d8b836p-7, -0x1.d8e2ea5a43bacp-7, -0x1.d312c3b285f98p-7, -0x1.cd48ad8b47169p-7, -0x1.c785852118e4fp-7, -0x1.c1ca5618cbf82p-7, -0x1.bc183aada0931p-7, -0x1.b6703a17fe943p-7, -0x1.b0d329587bfb2p-7, -0x1.ab4190a725a93p-7, -0x1.a5bb9e85aa4b8p-7, -0x1.a04128206dc82p-7, -0x1.9ad1eef12626p-7, -0x1.956d567c3ae89p-7, -0x1.9013306b25474p-7, -0x1.8ac3538aa619bp-7, -0x1.857dd5d395357p-7, -0x1.8042f21d88274p-7, -0x1.7b12d3f7e2bd5p-7, -0x1.75ed6da7ae80cp-7, -0x1.70d262de2d647p-7, -0x1.6bc119642fee9p-7, -0x1.66b8c8fe480aap-7, -0x1.61b918b9dabaep-7, -0x1.5cc1ac4fb4dd5p-7, -0x1.57d2cf6df987bp-7, -0x1.52ed280f58aeep-7, -0x1.4e1158470c1e5p-7, -0x1.494032b04e6d1p-7, -0x1.447a3accd4225p-7, -0x1.3fbfdf2de5b68p-7, -0x1.3b119b3479446p-7, -0x1.36701d0c0c8a7p-7, -0x1.31dc4c62b9c72p-7, -0x1.2d571b9a23bdcp-7, -0x1.28e136f42965bp-7, -0x1.247ab1a5b16d8p-7, -0x1.2022d006dc0ddp-7, -0x1.1bd8190f998bbp-7, -0x1.1798a0915cdd9p-7, -0x1.136270f57407ap-7, -0x1.0f33ef7af0989p-7, -0x1.0b0c1c1e7968cp-7, -0x1.06eaa269f00ddp-7, -0x1.02cfc9f864e3ep-7, -0x1.fd78b5aaeb458p-8, -0x1.f562e2600ecafp-8, -0x1.ed60d9b0a9d1fp-8, -0x1.e57575d05e2c9p-8, -0x1.dda376ec8a09dp-8, -0x1.d5ed308f98961p-8, -0x1.ce546f283cb21p-8, -0x1.c6da3bcf9af9ep-8, -0x1.bf7eecba4e7fbp-8, -0x1.b841e139b4decp-8, -0x1.b1210d67bde16p-8, -0x1.aa199a15e9ef5p-8, -0x1.a328979ad8c43p-8, -0x1.9c4b68a9b79b4p-8, -0x1.9580b456708c1p-8, -0x1.8ec81a19fa2e3p-8, -0x1.88211cca3e0ddp-8, -0x1.818aa0f75d422p-8, -0x1.7b01f778f07c7p-8, -0x1.7485a1cab8747p-8, -0x1.6e15836ba9dc4p-8, -0x1.67b479780f1c5p-8, -0x1.6167402155e1fp-8, -0x1.5b3297b21977ep-8, -0x1.55199e43ac9fp-8, -0x1.4f1d22e909d03p-8, -0x1.493c232b7c763p-8, -0x1.4374d3f8d487ap-8, -0x1.3dc5678be8f93p-8, -0x1.382c1fc57bfb7p-8, -0x1.32a72f3333ccap-8, -0x1.2d342e16b065ap-8, -0x1.27d14d14e1bd5p-8, -0x1.227e2585034a6p-8, -0x1.1d3c214030b76p-8, -0x1.180d75b3321eap-8, -0x1.12f367f85c7dfp-8, -0x1.0ded2d443d1dcp-8, -0x1.08f83113ecef9p-8, -0x1.041184d80fc34p-8, -0x1.fe6f1f7ffd16bp-9, -0x1.f4d62796da134p-9, -0x1.eb5d9d1c74f2cp-9, -0x1.e20bcfc613806p-9, -0x1.d8e4ac6a5e07ep-9, -0x1.cfe8b0948f955p-9, -0x1.c715f47fb1249p-9, -0x1.be69cb8958fcep-9, -0x1.b5e1fc8d9c86p-9, -0x1.ad7e0a62bbb6p-9, -0x1.a53d6475bc4b5p-9, -0x1.9d1eb4d8f8b0bp-9, -0x1.951e48c48b4fcp-9, -0x1.8d3816ddeb328p-9, -0x1.856a504007ecdp-9, -0x1.7db6276a75e47p-9, -0x1.761e864e36dc3p-9, -0x1.6ea61b0e0d816p-9, -0x1.674e7ba7d9a57p-9, -0x1.601819d6c4df7p-9, -0x1.5902e8e1bdcd7p-9, -0x1.520f8382a1c65p-9, -0x1.4b3e3d39a60f7p-9, -0x1.448c7b2f0993cp-9, -0x1.3df49eae5b58dp-9, -0x1.377220e313c34p-9, -0x1.310557db49439p-9, -0x1.2ab24b33a484p-9, -0x1.247bc57804123p-9, -0x1.1e619d5288d81p-9, -0x1.1862b92cfda81p-9, -0x1.128162d221377p-9, -0x1.0cc133d72ad47p-9, -0x1.0721e82026c63p-9, -0x1.019df65d21e5p-9, -0x1.f85ba62c111fp-10, -0x1.ed98e6e2d81dap-10, -0x1.e2f4083774a81p-10, -0x1.d875aa48a1123p-10, -0x1.ce25377f23352p-10, -0x1.c40501a4d8d57p-10, -0x1.ba1152ccc2d08p-10, -0x1.b0509c0a9f7cbp-10, -0x1.a6cdc88f71987p-10, -0x1.9d8fe454fe8a8p-10, -0x1.949085b702977p-10, -0x1.8bbe469b0b622p-10, -0x1.8304a2dfd27d4p-10, -0x1.7a598da8d4447p-10, -0x1.71c6aa10ed2e5p-10, -0x1.695d8cadfea61p-10, -0x1.6122221b2c298p-10, -0x1.590b988321969p-10, -0x1.51184f72c3ce9p-10, -0x1.4954a7448895p-10, -0x1.41ca0ef9a32a5p-10, -0x1.3a75c82e2a71cp-10, -0x1.334cdf26dc763p-10, -0x1.2c40568834481p-10, -0x1.254373190cfe4p-10, -0x1.1e571828749ddp-10, -0x1.17892e1e2b4c1p-10, -0x1.10e27cf1c65cdp-10, -0x1.0a5cc7bfc62efp-10, -0x1.03f10ade91106p-10, -0x1.fb4bb0f97cc5dp-11, -0x1.ef0b78bf2cd2cp-11, -0x1.e324bd03aa5cfp-11, -0x1.d78dcfac1bb5bp-11, -0x1.cc3dbfc392c9cp-11, -0x1.c12b95520e194p-11, -0x1.b64333a3fcedfp-11, -0x1.ab73400242a37p-11, -0x1.a0cc1f802da3dp-11, -0x1.96681ce7df007p-11, -0x1.8c3c9764eecebp-11, -0x1.8235f98f2d1e4p-11, -0x1.786251b74453ap-11, -0x1.6ed589f585d47p-11, -0x1.658eb207e0d4dp-11, -0x1.5c866d09e2716p-11, -0x1.53b93f0f59debp-11, -0x1.4b20db5728637p-11, -0x1.42ab97bde85cdp-11, -0x1.3a4c01c1ee0eap-11, -0x1.32122bcc97c8dp-11, -0x1.2a0fd2bc1c98ep-11, -0x1.22392c5f6c391p-11, -0x1.1a810216d7b93p-11, -0x1.12f7e7c68e537p-11, -0x1.0ba6fa9c9f013p-11, -0x1.048633f1c3a38p-11, -0x1.fb1b256fddfb5p-12, -0x1.ed758fefb2171p-12, -0x1.e01d90400dd6dp-12, -0x1.d31e0fec59db4p-12, -0x1.c6786a81a2b93p-12, -0x1.ba0e4b74bd835p-12, -0x1.addc2f9507fafp-12, -0x1.a1f656f54eecdp-12, -0x1.9643c4186ef69p-12, -0x1.8ac7556650b4ep-12, -0x1.7fa52e7da8211p-12, -0x1.74d4f716d4f34p-12, -0x1.6a4340b833affp-12, -0x1.5fec90661c23p-12, -0x1.55d2b85b4b625p-12, -0x1.4bfe0e9d21bdap-12, -0x1.427366955802p-12, -0x1.392ac34130436p-12, -0x1.300ccf630a368p-12, -0x1.271fa91649bf4p-12, -0x1.1e6c25f469eddp-12, -0x1.15de08c22c6dbp-12, -0x1.0d85482e67441p-12, -0x1.0573c30b4c1aap-12, -0x1.fb411da65422fp-13, -0x1.ebf0e4ddcbb5dp-13, -0x1.dcf306ebc7fa4p-13, -0x1.ce4b915edf19ep-13, -0x1.bffa6b91ce1c2p-13, -0x1.b20814592bd31p-13, -0x1.a494bef440782p-13, -0x1.9796882293724p-13, -0x1.8ad7c691e5f1p-13, -0x1.7e574a7b49c39p-13, -0x1.720c81f697249p-13, -0x1.662274b7d5084p-13, -0x1.5aa790df35adcp-13, -0x1.4f796edd62b9fp-13, -0x1.448dd7aedb9bdp-13, -0x1.39e61a174d79ap-13, -0x1.2f85dcac6c0d8p-13, -0x1.2568f7a9777a7p-13, -0x1.1b915a84fc701p-13, -0x1.11ff3bfc17a02p-13, -0x1.08beb31d6afe3p-13, -0x1.ffab4c4f17564p-14, -0x1.ee4bdd930b2b1p-14, -0x1.dd508b89677a5p-14, -0x1.cca49dc5fcccdp-14, -0x1.bc6e6975a4e67p-14, -0x1.ace3e8339a24dp-14, -0x1.9dd3a512d4ca7p-14, -0x1.8f207cdd6e07bp-14, -0x1.80cf0bfa25b91p-14, -0x1.72de16f523ec1p-14, -0x1.654e14a2f0a0fp-14, -0x1.5820712be7b77p-14, -0x1.4b617f82c21d3p-14, -0x1.3f2d9030813f1p-14, -0x1.335eb96515cffp-14, -0x1.27c13c9a5ba95p-14, -0x1.1c67fb217a5aep-14, -0x1.1186101df04c8p-14, -0x1.0706c7f5a7e1fp-14, -0x1.f9a38d96415ep-15, -0x1.e5d1da1b7da45p-15, -0x1.d29d4ee5d10cap-15, -0x1.c0041b74d75aep-15, -0x1.ae04011d18cap-15, -0x1.9c989007254c7p-15, -0x1.8bbbfb46a69eep-15, -0x1.7b68836f0e65bp-15, -0x1.6b97814febab3p-15, -0x1.5c491ff927b1cp-15, -0x1.4d947f33ba87cp-15, -0x1.3f84ff29c8e31p-15, -0x1.31d8cf6036f8p-15, -0x1.247c068593442p-15, -0x1.179eff4a7ac82p-15, -0x1.0b54863e246cbp-15, -0x1.fee83061d8793p-16, -0x1.e7eb52815db5fp-16, -0x1.d1ed24f718584p-16, -0x1.bc480d52d6b85p-16, -0x1.a7917e40b46cp-16, -0x1.93a68e70228c5p-16, -0x1.80863e63b08e9p-16, -0x1.6e4aadbc98433p-16, -0x1.5ca8a6fc75e08p-16, -0x1.4b890410461adp-16, -0x1.3b3c25ad705bdp-16, -0x1.2b8fc1a69f168p-16, -0x1.1c7843e922d33p-16, -0x1.0e055526c8926p-16, -0x1.00270233290d1p-16, -0x1.e5ae3a1b94b67p-17, -0x1.cc28f05caca7cp-17, -0x1.b3b4ac3d28942p-17, -0x1.9c36f7d0f56d1p-17, -0x1.85e232a19c066p-17, -0x1.708d8c24cfe4fp-17, -0x1.5c206d7523d2bp-17, -0x1.489e2a8db49c1p-17, -0x1.36044ee9a33acp-17, -0x1.2442a143b08a3p-17, -0x1.134993d07745dp-17, -0x1.0341528259352p-17, -0x1.e81358f93b1f6p-18, -0x1.cb0e65f64af29p-18, -0x1.af815f6f4bc3p-18, -0x1.9586f11871575p-18, -0x1.7cdc8c084a588p-18, -0x1.657e9398a51f1p-18, -0x1.4f7616e2d709cp-18, -0x1.3a97ad1f6df73p-18, -0x1.26fe58cff8db7p-18, -0x1.149aa2dc41577p-18, -0x1.035154dfcc56ap-18, -0x1.e66be82ee3869p-19, -0x1.c832c48a3261p-19, -0x1.ac2281b1903d7p-19, -0x1.90c636e38e201p-19, -0x1.79952f9b13ddep-19, -0x1.6324d285f576dp-19, -0x1.4e6cd595223cp-19, -0x1.3b67c5135041ep-19, -0x1.2a15f34a94b13p-19, -0x1.1a288ad2ba1f7p-19, -0x1.0b651dc545f29p-19, -0x1.fe637e440dd78p-20, -0x1.e7a60a4ee5f98p-20, -0x1.d389a3c64634bp-20, -0x1.c158889551bbfp-20, -0x1.b255b964b0975p-20, -0x1.a6650a20695dfp-20, -0x1.9b5ddc8c4effep-20, -0x1.93b6e3bc5adf3p-20, -0x1.8d9755d563306p-20, -0x1.8869052440da6p-20, -0x1.86b5b87723e72p-20, -0x1.85a2e262b67ddp-20, -0x1.87787cf617256p-20, -0x1.8a4628ec19103p-20, -0x1.8f04fc41f71b4p-20, -0x1.9519296fe0eccp-20, -0x1.9c982fc80bf55p-20, -0x1.a56c05ba5954p-20, -0x1.af76646e4e99cp-20, -0x1.bab4afb90845dp-20, -0x1.c6d7dc52908f3p-20, -0x1.d4a5288d6c7d7p-20, -0x1.e35958b92a08ep-20, -0x1.f2d6dee56307ap-20, -0x1.01a1ab93f43bdp-19, -0x1.0a46e999e76bep-19, -0x1.135510f75ca12p-19, -0x1.1cc291f43bd4ap-19, -0x1.26d2153d21b13p-19, -0x1.2e8a01cbdd607p-19, -0x1.3b1c372d8de06p-19, -0x1.45bc776b213c7p-19, -0x1.50b373223674fp-19, -0x1.5bd83072a07c1p-19, -0x1.671c9db5ea8e1p-19, -0x1.72b45b12ed009p-19, -0x1.7e69eefb29b82p-19, -0x1.8a8a22355092bp-19, -0x1.970c91b458c57p-19, -0x1.a2efc234dd161p-19, -0x1.aed2b78110bbep-19, -0x1.baf1c87c979a5p-19, -0x1.c7587ac9d60fp-19, -0x1.d483b3ae827a2p-19, -0x1.e0b5f0b2ebcp-19, -0x1.ed8f307b5b1dp-19, -0x1.f98bfda7cafe9p-19, -0x1.0274605a1dd0bp-18, -0x1.097152ead18c1p-18, -0x1.0fd72371795edp-18, -0x1.16163a3527f4ap-18, -0x1.1c557c12edfa9p-18, -0x1.22524546fe8f3p-18, -0x1.2896efc624687p-18, -0x1.2ece61fbf5b9cp-18, -0x1.34f3d5a97d123p-18, -0x1.3b06bb9c2c347p-18, -0x1.40fbbd1e4d16fp-18, -0x1.46f97d66250fap-18, -0x1.4ced209cb376ap-18, -0x1.52ab1f58fa154p-18, -0x1.5886e2b1ec487p-18, -0x1.5f4bcf0b2414ep-18, -0x1.63e8a3a9c1aap-18, -0x1.69c32c19f85d8p-18, -0x1.6f0e9a088108bp-18, -0x1.74745fe1bd31ap-18, -0x1.79c1879de5fd7p-18, -0x1.7f23c1c4eeabp-18, -0x1.8437e65861a83p-18, -0x1.89580848b6ce6p-18, -0x1.8e6d747249517p-18, -0x1.937663ca8b20bp-18, -0x1.9829981e1d98cp-18, -0x1.9c08bb2283751p-18, -0x1.a19adb14a0effp-18, -0x1.a60b8e1624251p-18, -0x1.aa664f32d366ap-18, -0x1.aee63e2e54d56p-18, -0x1.b37ab624626c4p-18, -0x1.b77cfded55bafp-18, -0x1.bba7d7fdea35cp-18, -0x1.bf52a9cc97cbap-18, -0x1.c342c03a79be8p-18, -0x1.c7138cc323ea6p-18, -0x1.cabfd5e45cbd2p-18, -0x1.ce65126f39677p-18, -0x1.d1c2e308411a9p-18, -0x1.d54dccd53039fp-18, -0x1.d8bea97808025p-18, -0x1.db964690021fdp-18, -0x1.deba365c20ddbp-18, -0x1.e3ec9052c8104p-18, -0x1.e4b297e6b2723p-18, -0x1.e75a30095b113p-18, -0x1.ea25806410e05p-18, -0x1.eca7b4aa0631ep-18, -0x1.ef2ebe5502d9dp-18, -0x1.f192820613727p-18, -0x1.f3c4eec1b0e9bp-18, -0x1.f5e200ba573efp-18, -0x1.f80e742672633p-18, -0x1.fa059a9d9f884p-18, -0x1.fbe473bb5a7bcp-18, -0x1.fdafe8acb63f2p-18, -0x1.ff6312b4081c7p-18, -0x1.00882d7d1354fp-17, -0x1.00e6eb85e4432p-17, -0x1.01fae9269984fp-17, -0x1.029b50512f7afp-17, -0x1.031a0b57ead64p-17, -0x1.03b97a4e6c8f8p-17, -0x1.0456320d9bc6ep-17, -0x1.04c96f260a04p-17, -0x1.055592354eb34p-17, -0x1.0590b2fb35185p-17, -0x1.05e478cb12cc5p-17, -0x1.063ebce430062p-17, -0x1.06929a15533c6p-17, -0x1.06c222e5118cp-17, -0x1.06f7cf4d56ae2p-17, -0x1.071274ac65317p-17, -0x1.071b016835a91p-17, -0x1.074e20ef2985bp-17, -0x1.0769d5a4a1209p-17, -0x1.0753bd237971dp-17, -0x1.072b58167242ep-17, -0x1.07192033e696cp-17, -0x1.0702e0fc216dbp-17, -0x1.06dc18c96444ep-17, -0x1.06a8770052be5p-17, -0x1.066a106d0a0a2p-17, -0x1.061fb79e9c04ep-17, -0x1.05d9a28be0c46p-17, -0x1.0595f2e3af033p-17, -0x1.048803a3166a6p-17, -0x1.04cc28aff03fp-17, }}, 
      {{0x1.2d94162263c04p-3, 0x1.1ef0fd8b42dd3p-2, 0x1.8e77c55ee4537p-2, 0x1.e0e565e296ad4p-2, 0x1.0b14046469ab9p-1, 0x1.188951bd03c26p-1, 0x1.1b041cf2229dp-1, 0x1.14fdd4ca52943p-1, 0x1.08e1d8349f11bp-1, 0x1.f1b54b817d89cp-2, 0x1.cd72995a6f904p-2, 0x1.a7dd52bbc850bp-2, 0x1.831f1f652e98cp-2, 0x1.60bdcca1c01b4p-2, 0x1.41b4b0da43f02p-2, 0x1.268f09010d019p-2, 0x1.0f80ddc4059b2p-2, 0x1.f8fa4aff88d4ep-3, 0x1.da9137a3fe134p-3, 0x1.c312a2687f243p-3, 0x1.b1a62f5138c6fp-3, 0x1.a5624ccd3025dp-3, 0x1.9d5ad41a595ffp-3, 0x1.98aba15b095cdp-3, 0x1.967fed02049b4p-3, 0x1.96171b4169bb2p-3, 0x1.96c730f61a07ep-3, 0x1.97fe1564ccdc8p-3, 0x1.99418465de06ep-3, 0x1.9a2de8d91b368p-3, 0x1.9a75114f23149p-3, 0x1.99dbff3ebd549p-3, 0x1.983906805a36p-3, 0x1.95716e85ae501p-3, 0x1.91773eea5e22bp-3, 0x1.8c476b8abfe96p-3, 0x1.85e78cc47b05ap-3, 0x1.7e645eae73e6p-3, 0x1.75cff21d2be9ap-3, 0x1.6c406f4d078ddp-3, 0x1.61ced0d291c5p-3, 0x1.5695e1c2020ddp-3, 0x1.4ab13db805e6ep-3, 0x1.3e3ce24107a12p-3, 0x1.31544b9f98158p-3, 0x1.24122fa56ddb6p-3, 0x1.16900be65482p-3, 0x1.08e602840b508p-3, 0x1.f654dd7a1cb71p-4, 0x1.dae411aadf65fp-4, 0x1.bf9f5e58b7923p-4, 0x1.a4a8c617eb37ep-4, 0x1.8a1ebb1a23933p-4, 0x1.701c0e4ef71e5p-4, 0x1.56b8370b2204fp-4, 0x1.3e073c6ed9611p-4, 0x1.261a4db9099b9p-4, 0x1.0eff85b897315p-4, 0x1.f184db69402ccp-5, 0x1.c6d819113b653p-5, 0x1.9e06581381fcbp-5, 0x1.77190ddff9cap-5, 0x1.521605953557dp-5, 0x1.2effa7fbf11dap-5, 0x1.0dd59d8f76a79p-5, 0x1.dd297857eecffp-6, 0x1.a26f3e90e35f4p-6, 0x1.6b6de40b5fec5p-6, 0x1.38133dd509e3ap-6, 0x1.084a2a31224cp-6, 0x1.b7f66a8381ae7p-7, 0x1.661953560196fp-7, 0x1.1ac6c2a174f0dp-7, 0x1.ab8b08935ed0ap-8, 0x1.2db4ff9d89f59p-8, 0x1.7723b9b5f7a04p-9, 0x1.529b9dee19e6ep-10, -0x1.e207cfd54471ep-14, -0x1.65de3563a78ep-10, -0x1.4346f6b71b1fp-9, -0x1.c10db4282b48ap-9, -0x1.169b6720ab549p-8, -0x1.445852fa3fb36p-8, -0x1.6a32c4b5f5e0bp-8, -0x1.889db8fa04442p-8, -0x1.a008003dd1978p-8, -0x1.b0de0e7e4f85bp-8, -0x1.bb8926c8fb0a3p-8, -0x1.c06ef90228608p-8, -0x1.bff1596e37b64p-8, -0x1.ba6e6b8b6bd35p-8, -0x1.b0414dd1d1996p-8, -0x1.a1c0c22a71b5cp-8, -0x1.8f4045174d25ep-8, -0x1.790ef5d3b56dfp-8, -0x1.5f788e46d57a5p-8, -0x1.42c604423664fp-8, -0x1.233b692db1058p-8, -0x1.011abdd8b7c1ap-8, -0x1.b9438dfce918fp-9, -0x1.6c152c880cfb1p-9, -0x1.1b1983fe22194p-9, -0x1.8d72b902fe2eep-10, -0x1.bd5f04f00e8fep-11, -0x1.55048a224cffbp-13, 0x1.1c1439a223d23p-11, 0x1.4aae11ca8652ap-10, 0x1.0558d1500a761p-9, 0x1.66c30e75e758bp-9, 0x1.c95361725096fp-9, 0x1.16651d6b94148p-8, 0x1.48773887b074ep-8, 0x1.7ac4ce9db06bp-8, 0x1.ad34f29257077p-8, 0x1.dfb09bc395b01p-8, 0x1.09113bd2f983ep-7, 0x1.223b52435aba2p-7, 0x1.3b4daf31ddeb5p-7, 0x1.543fe570b3adcp-7, 0x1.6d0a38fb424bdp-7, 0x1.85a5ed5865bf7p-7, 0x1.9e0c8afea6b1cp-7, 0x1.b6385753c1cd2p-7, 0x1.ce2463107c89dp-7, 0x1.e5cbc9f6c0412p-7, 0x1.fd2a665c715e8p-7, 0x1.0a1e3b67abed6p-6, 0x1.157f6458fad47p-6, 0x1.20b74bed1ce01p-6, 0x1.2bc482463cb83p-6, 0x1.36a6037ec7926p-6, 0x1.415adaae997e7p-6, 0x1.4be2465dbe0d3p-6, 0x1.563b944061e7dp-6, 0x1.60664d91aef84p-6, 0x1.6a61fd677ef12p-6, 0x1.742e51e46b37p-6, 0x1.7dcb173d8b14cp-6, 0x1.873831bf5aca4p-6, 0x1.90759276e976dp-6, 0x1.998352e3e18f2p-6, 0x1.a2617a6e5b277p-6, 0x1.ab102f321bc16p-6, 0x1.b38fc716888eap-6, 0x1.bbe06f08e1ffbp-6, 0x1.c40267020f86fp-6, 0x1.cbf634d13d30bp-6, 0x1.d3bc368dec13ep-6, 0x1.db54b4af43f56p-6, 0x1.e2c03eb4bdc34p-6, 0x1.e9ff3f01821b3p-6, 0x1.f11246d4cbadap-6, 0x1.f7f9c7d05a325p-6, 0x1.feb64b1e8ccfdp-6, 0x1.02a439867f1dcp-5, 0x1.05d84b83ac74ap-5, 0x1.08f7b070acc42p-5, 0x1.0c02bb4bfe84ep-5, 0x1.0ef99fe292186p-5, 0x1.11dcaaf1635dcp-5, 0x1.14ac26c09854fp-5, 0x1.17686145a2c64p-5, 0x1.1a1197583e958p-5, 0x1.1ca81a0960e93p-5, 0x1.1f2c253715243p-5, 0x1.219e039332688p-5, 0x1.23fdf8994d449p-5, 0x1.264c4317879eap-5, 0x1.28892a01f613ep-5, 0x1.2ab4f07a84523p-5, 0x1.2ccfd79e9b49ep-5, 0x1.2eda16f47af63p-5, 0x1.30d3ee815b4e8p-5, 0x1.32bda2e9de454p-5, 0x1.349762775c1a9p-5, 0x1.36617658ae998p-5, 0x1.381c088dbf04fp-5, 0x1.39c753256c01fp-5, 0x1.3b63906f5d11p-5, 0x1.3cf109eda25dfp-5, 0x1.3e6fd03214c71p-5, 0x1.3fe01b954259ap-5, 0x1.4142324c31334p-5, 0x1.429632b4952bdp-5, 0x1.43dc4f8c68a78p-5, 0x1.4514ba13ee5fap-5, 0x1.463f978752616p-5, 0x1.475d173c45012p-5, 0x1.486d645028433p-5, 0x1.4970a51e73dbdp-5, 0x1.4a670602c4c2bp-5, 0x1.4b50af0886ee6p-5, 0x1.4c2dc61fc86eap-5, 0x1.4cfe6226fab3dp-5, 0x1.4dc2b3bb9fd6p-5, 0x1.4e7ae5f10d852p-5, 0x1.4f270fe4c043ep-5, 0x1.4fc74c03f4795p-5, 0x1.505bce465ed91p-5, 0x1.50e4b22cc3a8fp-5, 0x1.516212877900fp-5, 0x1.51d41170306b4p-5, 0x1.523acfe96a439p-5, 0x1.52966bf3a01e9p-5, 0x1.52e6fcd90073fp-5, 0x1.532ca86ccb62cp-5, 0x1.536786c1ceb7ap-5, 0x1.5397b4ccacb96p-5, 0x1.53bd4f78372a7p-5, 0x1.53d8725fea824p-5, 0x1.53e939d59ee64p-5, 0x1.53efc35299a4ep-5, 0x1.53ec1e2718883p-5, 0x1.53de6ec79bc23p-5, 0x1.53c6e0781dd11p-5, 0x1.53a56e9977937p-5, 0x1.537a3d69bf634p-5, 0x1.534571c3e5c48p-5, 0x1.53071a9e2d4bdp-5, 0x1.52bf5501d0a0cp-5, 0x1.526e396860eaep-5, 0x1.5213e4999413bp-5, 0x1.51b073af72c11p-5, 0x1.5143fd75b4845p-5, 0x1.50ce9927568d8p-5, 0x1.50505fa2e2374p-5, 0x1.4fc96b1ea07e2p-5, 0x1.4f39d896458b2p-5, 0x1.4ea1c3a743364p-5, 0x1.4e013e65e730cp-5, 0x1.4d586ce38af72p-5, 0x1.4ca7554c930eap-5, 0x1.4bee2a69d56c4p-5, 0x1.4b2cff7d85651p-5, 0x1.4a63e688001ep-5, 0x1.499300cb12768p-5, 0x1.48ba672d7fecp-5, 0x1.47da34bd5b687p-5, 0x1.46f2838d62e0bp-5, 0x1.46036714b72a5p-5, 0x1.450d09461359dp-5, 0x1.440f879e8eddcp-5, 0x1.430ae818b69eap-5, 0x1.41ff53b527247p-5, 0x1.40ece138466f2p-5, 0x1.3fd3ae7a11d0cp-5, 0x1.3eb3e997dcaf9p-5, 0x1.3d8d7d6f4a2eep-5, 0x1.3c60b02e2721bp-5, 0x1.3b2d9a85ecfc2p-5, 0x1.39f44ea5a5da1p-5, 0x1.38b4ecee1a663p-5, 0x1.376f862322297p-5, 0x1.3624468da3c17p-5, 0x1.34d34c5f43f85p-5, 0x1.337ca0a93155p-5, 0x1.322071ea0e7afp-5, 0x1.30bed4035fc4bp-5, 0x1.2f57e45123e1p-5, 0x1.2debc6b90bfb8p-5, 0x1.2c7a948299d94p-5, 0x1.2b046407119cap-5, 0x1.29895b1069fc2p-5, 0x1.280991fbf561cp-5, 0x1.268526e7723f5p-5, 0x1.24fc3781ae8d6p-5, 0x1.236edf289e5e1p-5, 0x1.21dd3a43f3cd8p-5, 0x1.20476aa0a76d2p-5, 0x1.1ead89a3c1507p-5, 0x1.1d0fb7b2b11ffp-5, 0x1.1b6e0cfe3b33dp-5, 0x1.19c8a937d21a6p-5, 0x1.181fabadca781p-5, 0x1.1673272783b63p-5, 0x1.14c345199dd7bp-5, 0x1.13101739303a8p-5, 0x1.1159bd022abdfp-5, 0x1.0fa05890e2769p-5, 0x1.0de40381bff4ap-5, 0x1.0c24d7a21be1fp-5, 0x1.0a62f1f35ccbep-5, 0x1.089e73e83a642p-5, 0x1.06d76d64d09e6p-5, 0x1.050e0602e1f76p-5, 0x1.0342509fb587bp-5, 0x1.0174701bc1315p-5, 0x1.ff48f2ca1fa8ep-6, 0x1.fba516eacf348p-6, 0x1.f7fd819e7e475p-6, 0x1.f4526518e0a09p-6, 0x1.f0a3f52c665bbp-6, 0x1.ecf26905570f5p-6, 0x1.e93df5a546e5ep-6, 0x1.e586cd5a7efbp-6, 0x1.e1cd2619d397p-6, 0x1.de112b6345fe4p-6, 0x1.da5314a8a9c64p-6, 0x1.d693142b6743fp-6, 0x1.d2d15fffe1c8dp-6, 0x1.cf0e21cd6c818p-6, 0x1.cb498b1068264p-6, 0x1.c783d2395114dp-6, 0x1.c3bd1151d47fp-6, 0x1.bff5993922947p-6, 0x1.bc2d8390d0966p-6, 0x1.b864f81dfd53p-6, 0x1.b49c1eae513f8p-6, 0x1.b0d35e393e1e8p-6, 0x1.ad0a5a81ec4c6p-6, 0x1.a942039ed764bp-6, 0x1.a579e21240f77p-6, 0x1.a1b25e85f9942p-6, 0x1.9deba1c86f3e3p-6, 0x1.9a25d125e2952p-6, 0x1.966117b771d7ep-6, 0x1.929d91ce4db1bp-6, 0x1.8edb6bf2cab0cp-6, 0x1.8b1acff3b65d7p-6, 0x1.875be0a44c75p-6, 0x1.839ec950b1c31p-6, 0x1.7fe3a31dac9b8p-6, 0x1.7c2a9c1e82a7ep-6, 0x1.7873cc58cb14ep-6, 0x1.74bf6453eeafp-6, 0x1.710d7dc885fd1p-6, 0x1.6d5e39ae145d2p-6, 0x1.69b1bf04dbed7p-6, 0x1.6608189d72306p-6, 0x1.626181955e068p-6, 0x1.5ebe152dd9f93p-6, 0x1.5b1ddd03aebc1p-6, 0x1.5781069b8c4bfp-6, 0x1.53e7a8aecbd62p-6, 0x1.5051e1bd179bbp-6, 0x1.4cbfcc8ee9dcep-6, 0x1.49318711b59bcp-6, 0x1.45a71747908f8p-6, 0x1.4220af6e36388p-6, 0x1.3e9e6a1ef644ap-6, 0x1.3b20455e39136p-6, 0x1.37a6700772583p-6, 0x1.3430fdbdc6001p-6, 0x1.30bffd1cc366bp-6, 0x1.2d538449ed4d6p-6, 0x1.29ebb04403e6cp-6, 0x1.26888a37a80b6p-6, 0x1.232a20cf642fbp-6, 0x1.1fd09345ab8ccp-6, 0x1.1c7bfca3eded9p-6, 0x1.192c582186617p-6, 0x1.15e1c60ebd56dp-6, 0x1.129c514565682p-6, 0x1.0f5c1b7720a0ap-6, 0x1.0c2114a367fa4p-6, 0x1.08eb647fce34cp-6, 0x1.05bb03f1a0f6p-6, 0x1.029015d6f352fp-6, 0x1.fed551b6f5a28p-7, 0x1.f89560e258e91p-7, 0x1.f260931c99b63p-7, 0x1.ec36febee9866p-7, 0x1.e618b36546b5bp-7, 0x1.e005c89cc999p-7, 0x1.d9fe5544ca6fep-7, 0x1.d4026813852b3p-7, 0x1.ce1211f48ff1dp-7, 0x1.c82d6c24d2c39p-7, 0x1.c25430489c096p-7, 0x1.bc873cd61ab1bp-7, 0x1.b6c5e5df59f0cp-7, 0x1.b1106cbd7b07p-7, 0x1.ab66e02ac889cp-7, 0x1.a5c93fd394d1ep-7, 0x1.a037aae901985p-7, 0x1.9ab24d0eb9116p-7, 0x1.9538d13c13f2ep-7, 0x1.8fcb7499198abp-7, 0x1.8a6a41b6bdb23p-7, 0x1.85152f40dcc31p-7, 0x1.7fcc4f4eecf83p-7, 0x1.7a8fa99f811bbp-7, 0x1.755f3c4417ce9p-7, 0x1.703ae51141ed6p-7, 0x1.6b22e71d62d3ep-7, 0x1.66170fddce175p-7, 0x1.61177190596c7p-7, 0x1.5c24063967971p-7, 0x1.573cbbe0fa2cdp-7, 0x1.5261c478319d6p-7, 0x1.4d9315e2b5e38p-7, 0x1.48d07f35b773fp-7, 0x1.441a1729083bep-7, 0x1.3f6fc56a351cdp-7, 0x1.3ad1a4411b5e1p-7, 0x1.363fa1a32838p-7, 0x1.31b9a9271d20ap-7, 0x1.2d3fc725528b9p-7, 0x1.28d1db6cc62c9p-7, 0x1.246ff1a3063dep-7, 0x1.201a0ab108664p-7, 0x1.1bd02a2c3fdf3p-7, 0x1.17920a2376cb5p-7, 0x1.135fc5f75d2p-7, 0x1.0f395771e3f7bp-7, 0x1.0b1eaf04b6da1p-7, 0x1.070faf566cd7ap-7, 0x1.030c6192b05a9p-7, 0x1.fe29614df3abp-8, 0x1.f6512aada2dadp-8, 0x1.ee9002f4f10a7p-8, 0x1.e6e5db73eaea3p-8, 0x1.df52880865bb5p-8, 0x1.d7d5e0c1ab0c6p-8, 0x1.d06fe2c9016a8p-8, 0x1.c9204c2b42015p-8, 0x1.c1e72e34b7d16p-8, 0x1.bac431718d76fp-8, 0x1.b3b744d50f0c7p-8, 0x1.acc05afab5b2bp-8, 0x1.a5df434785cbdp-8, 0x1.9f13e1ff78fa2p-8, 0x1.985e2ea180501p-8, 0x1.91bdc541b665p-8, 0x1.8b3358fb8acecp-8, 0x1.84bcdeee66e8p-8, 0x1.7e5c2dafd7152p-8, 0x1.78104f36b1e6ap-8, 0x1.71d9183ec949ep-8, 0x1.6bb681362d36ep-8, 0x1.65a851e826a78p-8, 0x1.5fae933d3c2d1p-8, 0x1.59c8ebaf14b6cp-8, 0x1.53f7401ff6faep-8, 0x1.4e396a27d9a8ep-8, 0x1.488f3ed4aa631p-8, 0x1.42f89633654f6p-8, 0x1.3d75423b156c6p-8, 0x1.3804f9bb73283p-8, 0x1.32a7f6be1f032p-8, 0x1.2d5d9484d0864p-8, 0x1.2825ff856e2a2p-8, 0x1.2300d55f67b26p-8, 0x1.1dee1f660f5a5p-8, 0x1.18ed9e18a641bp-8, 0x1.13ff30dd6c85ep-8, 0x1.0f22c68dfd078p-8, 0x1.0a5832b82d317p-8, 0x1.059f44d6ff2dep-8, 0x1.00f7ce9e91b9ep-8, 0x1.f8c403642704dp-9, 0x1.efb8a187c7f6dp-9, 0x1.e6d0927ec68e6p-9, 0x1.de09898c197f3p-9, 0x1.d563c57599fb9p-9, 0x1.ccde60bb7a519p-9, 0x1.c4796a054b91dp-9, 0x1.bc349971bdcc6p-9, 0x1.b40eedc5a34bbp-9, 0x1.ac0901b37f759p-9, 0x1.a42296358050ep-9, 0x1.9c5a86ef5c87ap-9, 0x1.94b10c06a7c6fp-9, 0x1.8d261451643b1p-9, 0x1.85b8ddf4a578cp-9, 0x1.7e69a715c77b9p-9, 0x1.7737d427cc196p-9, 0x1.702308168e18cp-9, 0x1.692aae9c11f2bp-9, 0x1.624e48f158eedp-9, 0x1.5b8e329b1dfc8p-9, 0x1.54e9499e3e8a1p-9, 0x1.4e5f7890a8007p-9, 0x1.47f0aacf81ec8p-9, 0x1.419c5f531ec63p-9, 0x1.3b6229c511ebap-9, 0x1.3541bb325ce32p-9, 0x1.2f3ad10e68bb1p-9, 0x1.294cf10a8d712p-9, 0x1.237957b15fbc1p-9, 0x1.1dbc55a6e67fap-9, 0x1.1818b2cadf2dcp-9, 0x1.128d4568831d1p-9, 0x1.0d1966e419cd9p-9, 0x1.07bd9b95e6194p-9, 0x1.0278db5af1132p-9, 0x1.fa96351b5751cp-10, 0x1.f06839b08c102p-10, 0x1.e6674d0baff58p-10, 0x1.dc92a1b582c7bp-10, 0x1.d2e92e268836ap-10, 0x1.c96a961980beap-10, 0x1.c0165e5c4bb22p-10, 0x1.b6eb2fc7caf7bp-10, 0x1.ade8d2cc00fdep-10, 0x1.a50ec8908ced9p-10, 0x1.9c5c62ec52fd3p-10, 0x1.93d13fc71f169p-10, 0x1.8b6ca11b3a339p-10, 0x1.832e3cc21215p-10, 0x1.7b14f9cf4f2f3p-10, 0x1.73211c57e67c7p-10, 0x1.6b524fb2b5d62p-10, 0x1.63a6f24d767b2p-10, 0x1.5c201df3fb71bp-10, 0x1.54bdcd5f3b889p-10, 0x1.4d7d327ae130fp-10, 0x1.465faee763a92p-10, 0x1.3f637f8d19ae8p-10, 0x1.3888e94d41282p-10, 0x1.31cf1417d428ep-10, 0x1.2b34afbfc98dp-10, 0x1.24ba109ffcb6dp-10, 0x1.1e5fcdb00e2a1p-10, 0x1.18233ea34ceebp-10, 0x1.120409a081bf3p-10, 0x1.0c02138b311aep-10, 0x1.061da38c6cdb9p-10, 0x1.00562493dc586p-10, 0x1.f5547827ae697p-11, 0x1.ea353d1e662cfp-11, 0x1.df4c1f4426463p-11, 0x1.d4993ac444c1ap-11, 0x1.ca1c03605618p-11, 0x1.bfd378c645d5bp-11, 0x1.b5bf3e369038ep-11, 0x1.abde80ef3ac17p-11, 0x1.a22fbdeb54cb7p-11, 0x1.98b2a0f258a16p-11, 0x1.8f65bf2b08b8p-11, 0x1.8648807e0c9ffp-11, 0x1.7d5d5195a9d36p-11, 0x1.7497f58018a0fp-11, 0x1.6c036b3c1932ap-11, 0x1.639a914db0d78p-11, 0x1.5b5cfd5ce8f36p-11, 0x1.534a47fe91d9ep-11, 0x1.4b62457cefcdfp-11, 0x1.43a4750dec9b7p-11, 0x1.3c0e9d2b00664p-11, 0x1.349fe95822012p-11, 0x1.2d59c4eed9b1p-11, 0x1.263899cdf37ffp-11, 0x1.1f3d3ba95edcfp-11, 0x1.1867bb1157ecp-11, 0x1.11b73bc095403p-11, 0x1.0b2af94232d69p-11, 0x1.04c2ca8f76647p-11, 0x1.fcf7b2a99fae8p-12, 0x1.f0b0fc6b23858p-12, 0x1.e4b1f075a3fcbp-12, 0x1.d8ec159abcbb2p-12, 0x1.cd6a596ed6993p-12, 0x1.c22657d81b36ap-12, 0x1.b71fa09c9ef34p-12, 0x1.ac56c7aa5f3b4p-12, 0x1.a1cae10510098p-12, 0x1.9778be7bf660cp-12, 0x1.8d5ed5865a144p-12, 0x1.838110511b1b8p-12, 0x1.79d9bf977a8e1p-12, 0x1.706814846dff1p-12, 0x1.672d5e0fead47p-12, 0x1.5e2709550a1c2p-12, 0x1.5553ca472759bp-12, 0x1.4cb2b95b4ae59p-12, 0x1.44430350b6a93p-12, 0x1.3c0448091e5f4p-12, 0x1.33f2df7098a5ep-12, 0x1.2c0eddb1998dfp-12, 0x1.24611b9db0864p-12, 0x1.1cdcef6db5014p-12, 0x1.1583a180eb5cbp-12, 0x1.0e55ac039ae54p-12, 0x1.0751a13363254p-12, 0x1.007708fa12f1cp-12, 0x1.f389e5569a576p-13, 0x1.e6754074a7acbp-13, 0x1.d9aedac36ad8fp-13, 0x1.cd3603b5e6928p-13, 0x1.c10534c0a11bap-13, 0x1.b525ad2f56b24p-13, 0x1.a98147f23a567p-13, 0x1.9e2f2a3347bfp-13, 0x1.93198d285ebc9p-13, 0x1.884c6de2534a8p-13, 0x1.7dc395e66ff97p-13, 0x1.737cc5d67d8fep-13, 0x1.6972159907758p-13, 0x1.5fa4e8264ce6dp-13, 0x1.5616a959f5b5ap-13, 0x1.4cc10d581cd63p-13, 0x1.43a3ff61e5668p-13, 0x1.3ac3c2bd70efcp-13, 0x1.321dc0e7affe7p-13, 0x1.29aa383b2c17fp-13, 0x1.216dbf165434dp-13, 0x1.196931d46f087p-13, 0x1.11921957c3ba2p-13, 0x1.09f012fd5ed16p-13, 0x1.0282b37296793p-13, 0x1.f683710bfab21p-14, 0x1.e85bc5c313ebbp-14, 0x1.da9578d7e04c6p-14, 0x1.cd1fc13f238adp-14, 0x1.c0052083c5dacp-14, 0x1.b3455028af55fp-14, 0x1.a6d9bd794532p-14, 0x1.9abfe8a624cc4p-14, 0x1.8ef649d65ba32p-14, 0x1.837de23ac3f7cp-14, 0x1.7850a5fc58891p-14, 0x1.6d60bbfa56378p-14, 0x1.62cf588bc7608p-14, 0x1.58833b78f31dep-14, 0x1.4e726e97f3cf2p-14, 0x1.44a96aed2625cp-14, 0x1.3b246484555acp-14, 0x1.31dfd2cf90f9dp-14, 0x1.28da7d30918bbp-14, 0x1.20140df135d01p-14, 0x1.178c0b14db7c7p-14, 0x1.0f4374638eb19p-14, 0x1.072d59adb16f9p-14, 0x1.fea89e080421cp-15, 0x1.ef5bb3d6dec98p-15, 0x1.e0811d1985729p-15, 0x1.d20cc2b14b0f3p-15, 0x1.c401f07c84efbp-15, 0x1.b67d5d1bf23b5p-15, 0x1.a9221598d86d7p-15, 0x1.9c2d554a6d1bap-15, 0x1.8f9d14aff0105p-15, 0x1.837db55eaa209p-15, 0x1.77a1f4ada48bfp-15, 0x1.6c2b0b2ab02e5p-15, 0x1.6102c25b06896p-15, 0x1.562a4c314a68dp-15, 0x1.4baa9f0517a9dp-15, 0x1.416aab05eb3fap-15, 0x1.37772568df8f5p-15, 0x1.2dd4eb309da2ap-15, 0x1.247b21559e375p-15, 0x1.1b6d4550e8005p-15, 0x1.12b5fb86c2666p-15, 0x1.0a1bfce500156p-15, 0x1.01d5979825079p-15, 0x1.f3882c4b5c6e8p-16, 0x1.e3eecf995e44ep-16, 0x1.d4cdd644fe2dbp-16, 0x1.c630112ef192fp-16, 0x1.b8020c322f771p-16, 0x1.aa4d3d0d91916p-16, 0x1.9cebbe6cfea69p-16, 0x1.8ffdbd637ea2cp-16, 0x1.837a90599d0c6p-16, 0x1.774f7cbaf243cp-16, 0x1.6b99825dc85c4p-16, 0x1.602f6bb4968b4p-16, 0x1.5528c6a9a2915p-16, 0x1.4a7a1ef8c9da7p-16, 0x1.402c9918d2638p-16, 0x1.363006a64c026p-16, 0x1.2c83f6871f11cp-16, 0x1.232697303f92cp-16, 0x1.1a18c250f0296p-16, 0x1.115a848b903c6p-16, 0x1.08f65770bc6efp-16, 0x1.00c4bb619a4d9p-16, 0x1.f186553430502p-17, 0x1.e26b15fdeb4d1p-17, 0x1.d3735a0e5fecep-17, 0x1.c555e27b45f96p-17, 0x1.b77a2fe42d415p-17, 0x1.aa4510f8933b7p-17, 0x1.9d43f98562847p-17, 0x1.90cddb1344b43p-17, 0x1.84d33e810a835p-17, 0x1.793f84bfc2744p-17, 0x1.6e086bccdbdb4p-17, 0x1.633fe1aaf355p-17, 0x1.58d1eea2b8b51p-17, 0x1.4f0575972e8c9p-17, 0x1.4546e749f36a6p-17, 0x1.3be82bec63453p-17, 0x1.32ecf1fa42315p-17, 0x1.2a332d08e8e31p-17, 0x1.220d742718c95p-17, 0x1.19fa6776f8fa8p-17, 0x1.1287a84c7b54bp-17, 0x1.0b10d1d00826dp-17, 0x1.0391b0053a256p-17, 0x1.f97b497ae0ad2p-18, 0x1.ec71a6020b503p-18, 0x1.e0036dbab77afp-18, 0x1.d38142bba0a63p-18, 0x1.c73d1f740731bp-18, 0x1.bc6838e424eecp-18, 0x1.b18774c7e8d46p-18, 0x1.a6e66bb5fd3f2p-18, 0x1.9cdd6319a3969p-18, 0x1.93697a2ab24b6p-18, 0x1.8a4bf3d814b5p-18, 0x1.81721b8b2acbep-18, 0x1.78e6013aec1b5p-18, 0x1.70b31696f388cp-18, 0x1.68f0bf1c9dd63p-18, 0x1.61807deffe71cp-18, 0x1.5a5cc32bdb6d3p-18, 0x1.539a3536cf648p-18, 0x1.4cc9508bee67dp-18, 0x1.4674416862117p-18, 0x1.407b8ed1837cfp-18, 0x1.3aa882bde4cf6p-18, 0x1.355c1b8ad3e67p-18, 0x1.307a37fef9b92p-18, 0x1.2c2cf8408ace7p-18, 0x1.26683ea8a3b25p-18, 0x1.213b2059b6ec2p-18, 0x1.1cecb7f17e44cp-18, 0x1.18dd65575d1cp-18, 0x1.150a060de275ep-18, 0x1.1126a643f6f4bp-18, 0x1.0d863fc0c35a5p-18, 0x1.0a64e654a3abp-18, 0x1.069849bcd22ebp-18, 0x1.0339f95f23d05p-18, 0x1.00d08645919b9p-18, 0x1.fc10ebc009737p-19, 0x1.f6ad7b9dd0347p-19, 0x1.f16c1c3bc194ep-19, 0x1.ec5cf939360f6p-19, 0x1.e6fedb18415ffp-19, 0x1.e286a6282a039p-19, 0x1.de7e56e50d7b9p-19, 0x1.dab18f35cf607p-19, 0x1.d6ed7ba1258edp-19, 0x1.d344b2f41f7e6p-19, 0x1.cfe048c61b15p-19, 0x1.cccf13cc1901bp-19, 0x1.c99f3ca1d101p-19, 0x1.c6b41c1937bbfp-19, 0x1.c3b8ab8279e7p-19, 0x1.c1097737a6e1fp-19, 0x1.be7b5f6fd4e45p-19, 0x1.bc0c372080c98p-19, 0x1.b9c3fea70922fp-19, 0x1.b7fcd1794aa19p-19, 0x1.b4f481551fc62p-19, 0x1.b356d8c8f59c3p-19, 0x1.b20319d65eeabp-19, 0x1.afd333f3914d2p-19, 0x1.add832f41463bp-19, 0x1.ac33d794ea9dep-19, 0x1.aabebccf5089dp-19, 0x1.a812d03cf4b1cp-19, 0x1.a78ed648c86aep-19, 0x1.a681420c6e06dp-19, 0x1.a5a22924bccd5p-19, 0x1.a3701c850c5c1p-19, 0x1.a23d45942b382p-19, 0x1.a210a127001a8p-19, 0x1.9e849f9ab53p-19, 0x1.9ef316f1eb8d9p-19, 0x1.9da2279ed23c8p-19, 0x1.9cb8abd670fcep-19, 0x1.9b7948278df3ap-19, 0x1.9ade5cc77ffb4p-19, 0x1.9a16973699436p-19, 0x1.9885115236a28p-19, 0x1.97e07d0507397p-19, 0x1.978f5512f8623p-19, 0x1.95e7fdad464f3p-19, 0x1.9506e429dabd2p-19, 0x1.93856cd2cc7efp-19, 0x1.93a90aeaa2b5cp-19, 0x1.91b0d9b91c2cp-19, 0x1.90e49204bd77p-19, 0x1.8fffcfc3d83e2p-19, 0x1.8f092c53ef3ddp-19, 0x1.8e0a0ad73dcabp-19, 0x1.8d24c11b8ecb6p-19, 0x1.8ca6585825575p-19, 0x1.8acf9bd979354p-19, 0x1.8a48fb37dfa3ap-19, 0x1.893cc93e9c93dp-19, 0x1.87fcb660d35dp-19, 0x1.86e3849f5cf68p-19, 0x1.85d1c5fce1c71p-19, 0x1.84cbd9261b79bp-19, 0x1.83bf8a45c28b7p-19, 0x1.82febef791f44p-19, 0x1.8059a33e6dd3fp-19, 0x1.806274c04f152p-19, 0x1.7f1ff307d6eb2p-19, 0x1.7dea4cfd284ccp-19, 0x1.7cc26f9b8aa72p-19, 0x1.7bb1d04fdca18p-19, 0x1.7a7e2b6a61dd1p-19, 0x1.78df804d328dp-19, 0x1.77eb94f3c0dep-19, 0x1.7693b23718667p-19, 0x1.753dd03761a6dp-19, 0x1.736c0116c009ap-19, 0x1.71dfac01e9831p-19, 0x1.705abf07da12ap-19, 0x1.6f6d591e1423ep-19, 0x1.6ddb7083f089bp-19, 0x1.6ca27b6e06d9ap-19, 0x1.6aae413948624p-19, 0x1.683196467f7a6p-19, 0x1.67bd0a234cf89p-19, 0x1.663bfc6a49128p-19, 0x1.64af01b795e5p-19, 0x1.62d96fba6ffdbp-19, 0x1.60ab0ea91b9dcp-19, 0x1.5f638c1882e9bp-19, 0x1.5dd8a20a1ab49p-19, 0x1.5c10a7fba7b29p-19, 0x1.5a6b6e2107b84p-19, 0x1.58d1aeb6980a1p-19, 0x1.5717d3c41746bp-19, 0x1.557c77f2c49bep-19, 0x1.529f2f9fba864p-19, 0x1.50d82e9a1f834p-19, 0x1.504dd73429519p-19, 0x1.4d7bf6991f64ap-19, 0x1.4c574754ff218p-19, 0x1.49ffb0423409p-19, 0x1.47ea652b06adep-19, 0x1.45eb31eddf397p-19, 0x1.43a1eda508899p-19, 0x1.41c440c3492a4p-19, 0x1.3fd9b7e970778p-19, 0x1.3e04b17581852p-19, 0x1.3c528e977eee7p-19, 0x1.39cc860d042e7p-19, 0x1.36f68a2b96ed2p-19, 0x1.359f09d744b66p-19, 0x1.336a5c63b75abp-19, 0x1.31380f43db1ebp-19, 0x1.2e9e8cbb0dc39p-19, 0x1.2db7568e86ae4p-19, 0x1.2ad308a6cc89ep-19, 0x1.290c6c85fd878p-19, 0x1.26224242ce317p-19, 0x1.2411a594465b8p-19, 0x1.2258f0cb01939p-19, 0x1.1fe0ef4c6533cp-19, 0x1.1db4ede44d9ap-19, 0x1.1b7bb801de05ep-19, 0x1.196c8f1052ed5p-19, 0x1.179e18a0b289p-19, 0x1.146b33ed039fbp-19, 0x1.12246967bf8bcp-19, 0x1.119c179070a88p-19, 0x1.0df4122ea684ep-19, 0x1.0bc7886daf201p-19, 0x1.09a7a2e5075cbp-19, 0x1.0751293d4396fp-19, 0x1.04fd79d9c1fedp-19, 0x1.0286f39ab35cfp-19, 0x1.005b1d7dffa7ep-19, 0x1.fb6b3cee9fd36p-20, 0x1.f79fd48c7cddap-20, 0x1.f2af630e85a2ep-20, 0x1.ee216f18f9dacp-20, 0x1.e9a2ba37506fap-20, 0x1.e5578138a6ae6p-20, 0x1.e0218a06043c9p-20, 0x1.da4d86989c4aap-20, 0x1.d7db9808e396fp-20, 0x1.d29edf1d11416p-20, 0x1.cd39c0f6ac87ep-20, 0x1.c8d2e76ece14cp-20, 0x1.c43d2526082d1p-20, 0x1.bfa190563ef4bp-20, 0x1.bba4edf23f3e8p-20, 0x1.b66cec3cbecc3p-20, 0x1.b19c5b27aeadep-20, 0x1.acf7c8965a6cdp-20, 0x1.a8cc389d22b4bp-20, 0x1.a3f8a9509fa45p-20, 0x1.9feb95ca028efp-20, 0x1.9b4b1157dd63ap-20, 0x1.971dd0bf608a7p-20, 0x1.9140b73c33af4p-20, 0x1.8d67fbabca265p-20, 0x1.890a13a40dbb6p-20, 0x1.83cd9f815fc64p-20, 0x1.7f42996d72377p-20, 0x1.7b47e9316d757p-20, 0x1.76d00c3d0b868p-20, 0x1.721e238159ba6p-20, 0x1.6d7ac6cc33501p-20, 0x1.68e367b641449p-20, 0x1.64b376228c5afp-20, 0x1.6086c85c6b23ep-20, 0x1.59f366b08d50fp-20, 0x1.577f02cc9d843p-20, }}, 
      {{0x1.1bd348e17782ap-1, 0x1.82ff0b5ee6561p-1, 0x1.f273b7490bdacp-1, 0x1.2383c411f7bcbp+0, 0x1.38b450149624dp+0, 0x1.3887ec3a0b3c3p+0, 0x1.26ef4b1a79109p+0, 0x1.098634c1bdf9fp+0, 0x1.cbdcf388ed46ep-1, 0x1.81d9a7669b11ap-1, 0x1.3c1dc3df8662ap-1, 0x1.fe972f5c52494p-2, 0x1.9bb728080d1cfp-2, 0x1.51201b31af5c5p-2, 0x1.1ddc4923cdf2cp-2, 0x1.feac88e188a1bp-3, 0x1.e41bc6bfd433p-3, 0x1.e447acd047582p-3, 0x1.f77d1dc1df9cfp-3, 0x1.0b4e0f6df82cap-2, 0x1.1db5067eef351p-2, 0x1.305d90b23fdd9p-2, 0x1.413ee9fcd9735p-2, 0x1.4ed8cc2672921p-2, 0x1.58280c5f64c5ap-2, 0x1.5c973ffc16739p-2, 0x1.5bed97a773c9dp-2, 0x1.563d49a75fa8cp-2, 0x1.4bd2ad835f904p-2, 0x1.3d24bcb74a76cp-2, 0x1.2ac73f9d22ab1p-2, 0x1.155f04e860f2dp-2, 0x1.fb30192903fc2p-3, 0x1.c83b56c2bec8bp-3, 0x1.9328ef6dac77cp-3, 0x1.5d2b9930f28adp-3, 0x1.27597d876dd86p-3, 0x1.e550b4794acd7p-4, 0x1.7fd75b0526748p-4, 0x1.1fa8a22125829p-4, 0x1.8bc519391a967p-5, 0x1.cd8af55186e43p-6, 0x1.46580eed623cdp-7, -0x1.97977e8fe4b81p-8, -0x1.4cc121af26267p-6, -0x1.0893ef860737ep-5, -0x1.59b81e65dbb4dp-5, -0x1.9a36bc6c1bfdbp-5, -0x1.caad04b5f0babp-5, -0x1.ebe1c99c28758p-5, -0x1.febc15a3f313p-5, -0x1.021d793a4191p-4, -0x1.fd6de24dc30a8p-5, -0x1.eb6e869bc09b8p-5, -0x1.cf5b0e51eaa3cp-5, -0x1.aa516def0a91ep-5, -0x1.7d6b982554c3bp-5, -0x1.49bc21bc913c7p-5, -0x1.104bbf0e6ae29p-5, -0x1.a42e8804f90dcp-6, -0x1.201c3dac558dp-6, -0x1.2c45340debe74p-7, -0x1.f953a90f87515p-12, 0x1.122e00920614ep-7, 0x1.1b6cf6291d4fdp-6, 0x1.add658c62d737p-6, 0x1.1f95b42263833p-5, 0x1.6731132ac7d8dp-5, 0x1.ad46955fe2537p-5, 0x1.f16d33d23804dp-5, 0x1.19a47824109e2p-4, 0x1.394504488a143p-4, 0x1.5776295e8b89ap-4, 0x1.741b2f288467ep-4, 0x1.8f1c678ec1a74p-4, 0x1.a866c1a307af1p-4, 0x1.bfeb786c9c9a7p-4, 0x1.d59faed2a87c3p-4, 0x1.e97c1c4145b6cp-4, 0x1.fb7cb6b89c33p-4, 0x1.05d0334ccd985p-3, 0x1.0cf459572afd6p-3, 0x1.132cc1c31e61fp-3, 0x1.187c6b352ea86p-3, 0x1.1ce7427118592p-3, 0x1.207203a08da89p-3, 0x1.232220173bf6fp-3, 0x1.24fda2f66d111p-3, 0x1.260b1b5f224bep-3, 0x1.2651879301bf1p-3, 0x1.25d83fc22b075p-3, 0x1.24a6e3160348bp-3, 0x1.22c549a02e164p-3, 0x1.203b73399f01fp-3, 0x1.1d117ab518c53p-3, 0x1.194f8a2bcb5f4p-3, 0x1.14fdccac3bcb6p-3, 0x1.1024697f05e3dp-3, 0x1.0acb75d40e0c8p-3, 0x1.04faf0f652c87p-3, 0x1.fd7578dbf5dadp-4, 0x1.f025289106374p-4, 0x1.e214183a8759p-4, 0x1.d3511106bcabp-4, 0x1.c3ea7c83dd02ep-4, 0x1.b3ee56a4074f7p-4, 0x1.a36a2f8db3629p-4, 0x1.926b22d76e866p-4, 0x1.80fdd7b074f3dp-4, 0x1.6f2e7c12815ebp-4, 0x1.5d08c2ddec658p-4, 0x1.4a97e737cf622p-4, 0x1.37e6a6bf90fb2p-4, 0x1.24ff46110c03cp-4, 0x1.11eb916f94475p-4, 0x1.fd69b484bff1fp-5, 0x1.d6c7faf57ad1p-5, 0x1.b002c60bb5d9dp-5, 0x1.8929fdf34e93p-5, 0x1.624cb0a2ee614p-5, 0x1.3b7911ec8fb06p-5, 0x1.14bc7b9ec3085p-5, 0x1.dc47037c4ffcdp-6, 0x1.8f73dfed1b514p-6, 0x1.431593b16e594p-6, 0x1.ee81877332b82p-7, 0x1.58114edac3474p-7, 0x1.85fc6874dffdbp-8, 0x1.7b4ae0ab70682p-10, -0x1.8a3a1f06f2613p-9, -0x1.e59a5729ef7b4p-8, -0x1.8138a1303f87bp-7, -0x1.06dc7db7d86fp-6, -0x1.4c1c3e561510bp-6, -0x1.9051af92cbe15p-6, -0x1.d373dccb12cd9p-6, -0x1.0abd581e5f454p-5, -0x1.2b2f7c32e609bp-5, -0x1.4b0d275d04df5p-5, -0x1.6a53842173813p-5, -0x1.8900189bdc5cp-5, -0x1.a710cb6aa29edp-5, -0x1.c483cd2d2500fp-5, -0x1.e15798bbb7ffdp-5, -0x1.fd8af90907774p-5, -0x1.0c8e805a4f832p-4, -0x1.1a067bd1734f2p-4, -0x1.272d32c03a09bp-4, -0x1.3402887aa024p-4, -0x1.408679bcea3f3p-4, -0x1.4cb9193def437p-4, -0x1.589a91c412073p-4, -0x1.642b254d8f7b7p-4, -0x1.6f6b29f032893p-4, -0x1.7a5b05653d9c1p-4, -0x1.84fb30361edc9p-4, -0x1.8f4c3389ca0e3p-4, -0x1.994ea5f43f92ep-4, -0x1.a3032d56c3abfp-4, -0x1.ac6a783f45915p-4, -0x1.b58543b099987p-4, -0x1.be545664dd0a5p-4, -0x1.c6d881ca10334p-4, -0x1.cf129b4df4b96p-4, -0x1.d70383d24bfd4p-4, -0x1.deac23020c8eep-4, -0x1.e60d65cac1283p-4, -0x1.ed283efa53da2p-4, -0x1.f3fda42c45984p-4, -0x1.fa8e9143313c5p-4, -0x1.006e02ef3db2p-3, -0x1.03738282d5506p-3, -0x1.065848f058c12p-3, -0x1.091cd93b6074ap-3, -0x1.0bc1b82be718cp-3, -0x1.0e476a575625ap-3, -0x1.10ae75291a6bdp-3, -0x1.12f75dc14a6b6p-3, -0x1.1522a9965c42fp-3, -0x1.1730dd3c8bb5ep-3, -0x1.19227f682562ap-3, -0x1.1af814884944ap-3, -0x1.1cb2205d9158dp-3, -0x1.1e5126f45151ap-3, -0x1.1fd5ab2eb84d3p-3, -0x1.21402f923e094p-3, -0x1.229135e0001c3p-3, -0x1.23c93e60d0d1ap-3, -0x1.24e8c854c2cd3p-3, -0x1.25f051d491e13p-3, -0x1.26e058c029891p-3, -0x1.27b959296a6dbp-3, -0x1.287bcddb2416cp-3, -0x1.2928307592a31p-3, -0x1.29bef8feb6fffp-3, -0x1.2a409e5ac6f9dp-3, -0x1.2aad969e48616p-3, -0x1.2b065631560fdp-3, -0x1.2b4b4f4c4efefp-3, -0x1.2b7cf396a43ccp-3, -0x1.2b9bb2c8de8e6p-3, -0x1.2ba7fbb94716bp-3, -0x1.2ba23b647aabep-3, -0x1.2b8add7fc8515p-3, -0x1.2b624c8229e0fp-3, -0x1.2b28f0ae5fae8p-3, -0x1.2adf3146e5462p-3, -0x1.2a85745ab04a7p-3, -0x1.2a1c1e516a052p-3, -0x1.29a3923339f54p-3, -0x1.291c3176c237cp-3, -0x1.28865c16a566bp-3, -0x1.27e270da81801p-3, -0x1.2730cd2810448p-3, -0x1.2671cc72ca6e5p-3, -0x1.25a5c9f06cc73p-3, -0x1.24cd1ea3648cbp-3, -0x1.23e82201763fdp-3, -0x1.22f72af70dc21p-3, -0x1.21fa8e426444fp-3, -0x1.20f29fd0006b8p-3, -0x1.1fdfb2858ebc3p-3, -0x1.1ec2176857ce1p-3, -0x1.1d9a1e85b6403p-3, -0x1.1c6816ae488c9p-3, -0x1.1b2c4d595101bp-3, -0x1.19e70eefd66afp-3, -0x1.1898a679c686fp-3, -0x1.17415dcfde5acp-3, -0x1.15e17ded58444p-3, -0x1.14794e1219481p-3, -0x1.130915562e77bp-3, -0x1.1191185cb934bp-3, -0x1.10119b9bba16fp-3, -0x1.0e8ae21cc6597p-3, -0x1.0cfd2dfd7ced2p-3, -0x1.0b68c024946f2p-3, -0x1.09cdd86fada1p-3, -0x1.082cb5c5e9375p-3, -0x1.068595e0dba12p-3, -0x1.04d8b57c5a27cp-3, -0x1.032650276e719p-3, -0x1.016ea137fc7b5p-3, -0x1.ff63c3ada8a4ap-4, -0x1.fbe096d47c736p-4, -0x1.f8542af643dfcp-4, -0x1.f4beed10db0c4p-4, -0x1.f1214b37928efp-4, -0x1.ed7bad9554e2p-4, -0x1.e9ce7cc4fe2bap-4, -0x1.e61a1f8fa47e1p-4, -0x1.e25efa8a6ba51p-4, -0x1.de9d7017a2248p-4, -0x1.dad5e206050a6p-4, -0x1.d708ae5c6cbbp-4, -0x1.d3363474e4a28p-4, -0x1.cf5eced4d5c01p-4, -0x1.cb82d86426323p-4, -0x1.c7a2a9c0a055fp-4, -0x1.c3be99c060bf3p-4, -0x1.bfd6fd266acc5p-4, -0x1.bbec28d202016p-4, -0x1.b7fe6d5f8c012p-4, -0x1.b40e1c21202cp-4, -0x1.b01b83f5aacc2p-4, -0x1.ac26f2277b239p-4, -0x1.a830b24a83e66p-4, -0x1.a4390f26efea4p-4, -0x1.a04050f229906p-4, -0x1.9c46bfb4a66b4p-4, -0x1.984ca068c65f7p-4, -0x1.9452387180cd5p-4, -0x1.9057c9c656433p-4, -0x1.8c5d962f59e2ep-4, -0x1.8863ddbb0c851p-4, -0x1.846adf03a8825p-4, -0x1.8072d72d6605ep-4, -0x1.7c7c025e5cf98p-4, -0x1.78869a9268133p-4, -0x1.7492d9bf244ffp-4, -0x1.70a0f6914a219p-4, -0x1.6cb128a7d4f1p-4, -0x1.68c3a35311a5ep-4, -0x1.64d89d17f03a3p-4, -0x1.60f045a6290f5p-4, -0x1.5d0acfa9ea291p-4, -0x1.59286b782b22cp-4, -0x1.554946dc906fp-4, -0x1.516d8ff67c29fp-4, -0x1.4d95720421d7fp-4, -0x1.49c119a7832c2p-4, -0x1.45f0afc22058dp-4, -0x1.42245cddf3a0cp-4, -0x1.3e5c487ad0093p-4, -0x1.3a989924d64d3p-4, -0x1.36d973c0aed3ep-4, -0x1.331efcc31ef27p-4, -0x1.2f695693208c4p-4, -0x1.2bb8a372f2abep-4, -0x1.280d02c44c2fep-4, -0x1.2466964bd2b8dp-4, -0x1.20c57abcc1304p-4, -0x1.1d29cdefdcc11p-4, -0x1.1993acbb4bfa2p-4, -0x1.16033235ad2fp-4, -0x1.127878997a21dp-4, -0x1.0ef39a16a8f9ep-4, -0x1.0b74adf6783ap-4, -0x1.07fbcb14e89fcp-4, -0x1.04890af383a8cp-4, -0x1.011c7eddaafdep-4, -0x1.fb6c7c1b30042p-5, -0x1.f4acb666bed91p-5, -0x1.edf9d32198262p-5, -0x1.e753f449323cbp-5, -0x1.e0bb3c8a67f78p-5, -0x1.da2fcbead8ea1p-5, -0x1.d3b1c0c3ea3eep-5, -0x1.cd4137a969164p-5, -0x1.c6de4bdf48fa7p-5, -0x1.c08915207fa0bp-5, -0x1.ba41add23cb06p-5, -0x1.b4082a4092415p-5, -0x1.addca003ac876p-5, -0x1.a7bf216e475a1p-5, -0x1.a1afc08170246p-5, -0x1.9bae8d6e5a78p-5, -0x1.95bb969c81fadp-5, -0x1.8fd6e9ff7b576p-5, -0x1.8a00924e29fe4p-5, -0x1.84389a5f4451p-5, -0x1.7e7f0c1c0e0f4p-5, -0x1.78d3eee56f82dp-5, -0x1.7337499203a0ep-5, -0x1.6da9210a36aecp-5, -0x1.682979dfdd07dp-5, -0x1.62b8569f14c7p-5, -0x1.5d55b9bab436fp-5, -0x1.5801a2ca39d98p-5, -0x1.52bc11a93e0bap-5, -0x1.4d8504ed4c939p-5, -0x1.485c79a540025p-5, -0x1.43426c5b4e791p-5, -0x1.3e36d8132938ep-5, -0x1.3939b6cd2a022p-5, -0x1.344b01f637bbdp-5, -0x1.2f6ab181400ddp-5, -0x1.2a98bd8eeb85ap-5, -0x1.25d51c301fc1dp-5, -0x1.211fc34b6525cp-5, -0x1.1c78a76352e41p-5, -0x1.17dfbc78a81ap-5, -0x1.1354f605b28a8p-5, -0x1.0ed8467b40353p-5, -0x1.0a699f9184dcp-5, -0x1.0608f191edd4bp-5, -0x1.01b62d42f1ca8p-5, -0x1.fae282ee98a84p-6, -0x1.f27439a884c9ap-6, -0x1.ea215c261899ap-6, -0x1.e1e9c5125186p-6, -0x1.d9cd4e062b4fap-6, -0x1.d1cbd067855a2p-6, -0x1.c9e5240550716p-6, -0x1.c2191f82b6a2ap-6, -0x1.ba6799704820bp-6, -0x1.b2d066d5f0ff5p-6, -0x1.ab535b310f6eep-6, -0x1.a3f04ea0539cap-6, -0x1.9ca7073b4945dp-6, -0x1.957760e7a0e89p-6, -0x1.8e61270680b1fp-6, -0x1.87642838eb08fp-6, -0x1.8080326e269abp-6, -0x1.79b512b852e81p-6, -0x1.730295e2600d1p-6, -0x1.6c6887fb1babp-6, -0x1.65e6b5df18b99p-6, -0x1.5f7cec9a5d3e3p-6, -0x1.592afad11f6bap-6, -0x1.52f0ad3eb7591p-6, -0x1.4ccdd19193b71p-6, -0x1.46c2338b5bc1ap-6, -0x1.40cd9d88dd4c9p-6, -0x1.3aefd4de99f08p-6, -0x1.3528a470cee3bp-6, -0x1.2f77cc8e1b5a4p-6, -0x1.29dd10305b157p-6, -0x1.2458332c4de06p-6, -0x1.1ee8f96587eadp-6, -0x1.198f296885377p-6, -0x1.144a8d2a6cf4bp-6, -0x1.0f1af07cdcae9p-6, -0x1.0a0022cad7617p-6, -0x1.04f9f34282fd7p-6, -0x1.000831d0a2a73p-6, -0x1.f65555a058baap-7, -0x1.ecc24c2614cap-7, -0x1.e356d0722e987p-7, -0x1.da125f2121a8p-7, -0x1.d0f470e0b7367p-7, -0x1.c7fc7c915691dp-7, -0x1.bf29f955fd27ep-7, -0x1.b67c68628a0b4p-7, -0x1.adf3544fc4734p-7, -0x1.a58e53e21257ep-7, -0x1.9d4d0b70c4d67p-7, -0x1.952f206b84b91p-7, -0x1.8d343df93f8ap-7, -0x1.855c0a934f18ap-7, -0x1.7da6279496706p-7, -0x1.76122a97d1392p-7, -0x1.6e9f9be78d7d4p-7, -0x1.674dfce696414p-7, -0x1.601cc8974fe62p-7, -0x1.590b7beb9d7f9p-7, -0x1.52199631f48d9p-7, -0x1.4b46a150bc97ep-7, -0x1.4492326ac5ecep-7, -0x1.3dfbe4ba62d42p-7, -0x1.37835ce23b5d5p-7, -0x1.312840113f285p-7, -0x1.2aea315e55dadp-7, -0x1.24c8d03e74127p-7, -0x1.1ec3aa85c772cp-7, -0x1.18da6feb9a52ap-7, -0x1.130c8a87616a2p-7, -0x1.0d599f71634a3p-7, -0x1.07c13f33291d7p-7, -0x1.02430a5553559p-7, -0x1.f9bd5841f21cap-8, -0x1.ef27ab9cf694p-8, -0x1.e4c480e8887a3p-8, -0x1.da9348ce8ea45p-8, -0x1.d093686a2cef3p-8, -0x1.c6c428999cf27p-8, -0x1.bd24b630c2f9fp-8, -0x1.b3b420225f908p-8, -0x1.aa715bdd5be55p-8, -0x1.a15b576c8277bp-8, -0x1.9871044dd22e7p-8, -0x1.8fb16b206badfp-8, -0x1.871bbf603e3e8p-8, -0x1.7eaf6368407fp-8, -0x1.766be340e7ba5p-8, -0x1.6e50f7df11a3bp-8, -0x1.665e772411a6bp-8, -0x1.5e943a1815f73p-8, -0x1.56f208a4c1ad1p-8, -0x1.4f77893e7412ep-8, -0x1.482424c0a534ep-8, -0x1.40f74b2963e6dp-8, -0x1.39efd2b83d5bcp-8, -0x1.330cd09d1f24fp-8, -0x1.2c4d24cf6197dp-8, -0x1.25afba7970ef9p-8, -0x1.1f3399be2bc3bp-8, -0x1.18d7ecef6096fp-8, -0x1.129c03b7d9761p-8, -0x1.0c7f5b0b89c9p-8, -0x1.06819551f8d2ep-8, -0x1.00a271801c3dbp-8, -0x1.f5c38685dbe74p-9, -0x1.ea7ec408b35a3p-9, -0x1.df763f6aa7335p-9, -0x1.d4a977ecbebb4p-9, -0x1.ca17b45c61553p-9, -0x1.bfbff10a4ca7ap-9, -0x1.b5a0e0b16a07ep-9, -0x1.abb933c6a4758p-9, -0x1.a2076b9bc6724p-9, -0x1.988a3c2f13bd2p-9, -0x1.8f4081d553bb2p-9, -0x1.8629503449be8p-9, -0x1.7d43d1cc0127ep-9, -0x1.748f2952d4474p-9, -0x1.6c0a52ba6f4f5p-9, -0x1.63b414528666ep-9, -0x1.5b8b145f53d67p-9, -0x1.538da84ec137ep-9, -0x1.4bbb1c012135bp-9, -0x1.4411eeb11400ep-9, -0x1.3c919df1701bfp-9, -0x1.3539d7295968p-9, -0x1.2e0a306ecbc4fp-9, -0x1.27027ef76d65cp-9, -0x1.20225084592fp-9, -0x1.19692a7afd861p-9, -0x1.12d69a1ac8b6fp-9, -0x1.0c6a4b95fa2e8p-9, -0x1.062410414a34bp-9, -0x1.0003cda7c2cfcp-9, -0x1.f412665817527p-10, -0x1.e86702a3687c9p-10, -0x1.dd02fccd2d696p-10, -0x1.d1e2fcc3e5d9dp-10, -0x1.c7031ad8d8564p-10, -0x1.bc5f7b004d74p-10, -0x1.b1f4d2742094dp-10, -0x1.a7c0ac1da2023p-10, -0x1.9dc172b529138p-10, -0x1.93f659748d0aep-10, -0x1.8a5f3524285e2p-10, -0x1.80fc5fea2f33ap-10, -0x1.77ce8f6e00165p-10, -0x1.6ed69d8910ac9p-10, -0x1.66152e87a821cp-10, -0x1.5d8ab5b5d4a43p-10, -0x1.55371ea4037e7p-10, -0x1.4d19ff6a959dep-10, -0x1.4532550a4a9c8p-10, -0x1.3d7ed9be8de6cp-10, -0x1.35fcaa169be14p-10, -0x1.2ea92757003aep-10, -0x1.27820964d2aa8p-10, -0x1.20848ff52faeep-10, -0x1.19af3beeff0adp-10, -0x1.1301295eff403p-10, -0x1.0c79389e7ab6fp-10, -0x1.0615e2d3473b9p-10, -0x1.ffa98b2fa5ff4p-11, -0x1.f36846b0e96ffp-11, -0x1.e76671ed66b1p-11, -0x1.dba60ae1c6e6dp-11, -0x1.d02b63d15f2ddp-11, -0x1.c4fab3948fecbp-11, -0x1.ba16280088839p-11, -0x1.af7d2e6e9d0cap-11, -0x1.a52d154b2bbcep-11, -0x1.9b22500029ba2p-11, -0x1.91595be4a0885p-11, -0x1.87ce49cd2a9b5p-11, -0x1.7e7fdf738a91fp-11, -0x1.756803fd02049p-11, -0x1.6c846521a9d16p-11, -0x1.63d3766c3d565p-11, -0x1.5b55c83620f95p-11, -0x1.530cc857e1866p-11, -0x1.4af8c6d152c5cp-11, -0x1.4317ace70cb07p-11, -0x1.3b65b7d7c17fp-11, -0x1.33def6133b746p-11, -0x1.2c80a9f5bc4c7p-11, -0x1.254ad9833f019p-11, -0x1.1e3fa4e45ea1bp-11, -0x1.17617630e1109p-11, -0x1.10b17937808a3p-11, -0x1.0a2f19825e0e5p-11, -0x1.03d8700c89c04p-11, -0x1.fb56d47f94b68p-12, -0x1.ef4bdb0877f8fp-12, -0x1.e38efed08381fp-12, -0x1.d81cd3323ea3fp-12, -0x1.ccf31eb7ecdf6p-12, -0x1.c20c8412d094cp-12, -0x1.b7639b2994063p-12, -0x1.acf5182388fc1p-12, -0x1.a2c08fcf83957p-12, -0x1.98c7f17556f26p-12, -0x1.8f0ce65afef81p-12, -0x1.858f84e8496edp-12, -0x1.7c4f211fd9f71p-12, -0x1.734ab89fac70cp-12, -0x1.6a81b7412a748p-12, -0x1.61f3671607da7p-12, -0x1.599c3d47dc19ap-12, -0x1.5175d3c7e22bfp-12, -0x1.497aed081e0fbp-12, -0x1.41ab7e3890985p-12, -0x1.3a09fdfac89b9p-12, -0x1.3296b746334e3p-12, -0x1.2b53a5e529e6p-12, -0x1.243d70f271be1p-12, -0x1.1d559094f8494p-12, -0x1.169e8413b1c25p-12, -0x1.101736b2e202cp-12, -0x1.09b989d21d61bp-12, -0x1.037da0b40fdc2p-12, -0x1.fabc625f57dcfp-13, -0x1.eeb5d89634a43p-13, -0x1.e2edf45710edbp-13, -0x1.d76a154c2c958p-13, -0x1.cc2e14475b02cp-13, -0x1.c1314002fbc92p-13, -0x1.b679919f21f17p-13, -0x1.ac0f69edefdb4p-13, -0x1.a1f783503f864p-13, -0x1.982b0d39a7baap-13, -0x1.8e99c0f9b75a8p-13, -0x1.8532030dcee01p-13, -0x1.7beaf481dc1c6p-13, -0x1.72cb0253c4a6ep-13, -0x1.69e02bf20a068p-13, -0x1.612dae9bb0774p-13, -0x1.58aae5023f37fp-13, -0x1.5055ad867c336p-13, -0x1.48375521ccf27p-13, -0x1.4057514919cf1p-13, -0x1.38b19bff7d9bp-13, -0x1.313cc8891113ep-13, -0x1.29ebfcd50a722p-13, -0x1.22b38a3569346p-13, -0x1.1b943fcce39fp-13, -0x1.14996da297654p-13, -0x1.0dc840b72bb66p-13, -0x1.071c0574cf1afp-13, -0x1.008ef9c1f68eap-13, -0x1.f44ac7194c707p-14, -0x1.e7cd0b67848cbp-14, -0x1.dba5ce7e62137p-14, -0x1.cfcce28a98295p-14, -0x1.c43c05256aaa9p-14, -0x1.b8e91b09d833ap-14, -0x1.adc37cddf8c16p-14, -0x1.a2c29ae3bfdfdp-14, -0x1.97ee50d2e21bbp-14, -0x1.8d5a2f597f425p-14, -0x1.82fd94ecc1ba1p-14, -0x1.78c93730be388p-14, -0x1.6ec6ee6ef5f8bp-14, -0x1.6504c16a003dap-14, -0x1.5b80cbf5c345bp-14, -0x1.523455d8a2a55p-14, -0x1.491eeec9c9ef2p-14, -0x1.4038631f9d246p-14, -0x1.3774ee35d1ffbp-14, -0x1.2eca0bf242549p-14, -0x1.2643845a30221p-14, -0x1.1dec8b0aae9bbp-14, -0x1.15b9426918003p-14, -0x1.0dad25defdec8p-14, -0x1.05c49654523afp-14, -0x1.fc15295d1c70bp-15, -0x1.ecf377187631ep-15, -0x1.de15b3669ec0bp-15, -0x1.cf7bd2c934bd1p-15, -0x1.c1239939aa9bep-15, -0x1.b3143d37e4215p-15, -0x1.a54fc165adaf7p-15, -0x1.97be4f8e5f1dbp-15, -0x1.8a5f5130cf033p-15, -0x1.7d4050195fb79p-15, -0x1.704fedd5a845fp-15, -0x1.639051408b1e4p-15, -0x1.5719898a7cbcp-15, -0x1.4adf672de3555p-15, -0x1.3eda9c4bcc158p-15, -0x1.330969aa1340ap-15, -0x1.2761982ff9e7bp-15, -0x1.1bf7e079a3f5ap-15, -0x1.10c70ef6ffad8p-15, -0x1.05ca5c01d711dp-15, -0x1.f5e89a3044421p-16, -0x1.e08c38470c9bfp-16, -0x1.cb8d2bc063f74p-16, -0x1.b6d2a26fc9aabp-16, -0x1.a271b9fbdd6c7p-16, -0x1.8e7538b2c57cep-16, -0x1.7add906bb4adcp-16, -0x1.678e75fc41b6cp-16, -0x1.548794bf9523fp-16, -0x1.41c7bcb92ddddp-16, -0x1.2f520282e40dp-16, -0x1.1d2910c038086p-16, -0x1.0b5e78eb4fa57p-16, -0x1.f3d976cf40e6p-17, -0x1.d16bcbcd0e877p-17, -0x1.af7422b8e2857p-17, -0x1.8dc88d9a0c207p-17, -0x1.6cea6818bedbdp-17, -0x1.4ca1a1f1bafe6p-17, -0x1.2ccf1c2ff2a32p-17, -0x1.0d74c5dc610c5p-17, -0x1.dd2c999a58633p-18, -0x1.a04f02284c036p-18, -0x1.64a136dd9157fp-18, -0x1.29c20df9e1ec3p-18, -0x1.dfa3c8b277ae9p-19, -0x1.6dd1a94e42c2ep-19, -0x1.fc4bafaecb18cp-20, -0x1.205917e7aa4b5p-20, -0x1.1e39c2bdeb693p-22, 0x1.1c4ce60960101p-21, 0x1.60e72ec26c10fp-20, 0x1.17adac2e88122p-19, 0x1.7d2a0aba59469p-19, 0x1.e134788b0a5abp-19, 0x1.21c05c1521f0bp-18, 0x1.52386a91e0c84p-18, 0x1.81fbcac360e2dp-18, 0x1.b0ec9f55ea3cbp-18, 0x1.defa0b00fb58p-18, 0x1.0614bca16aa07p-17, 0x1.1c473a460a726p-17, 0x1.322dbe0ba537cp-17, 0x1.47c9af106e6fap-17, 0x1.5cfd8c883635fp-17, 0x1.71c30dfe8dce6p-17, 0x1.8637cf4b97505p-17, 0x1.9a59fec74251fp-17, 0x1.ae212b90d24cfp-17, 0x1.c18bf7f0e7f5fp-17, 0x1.d4a195705bd4ep-17, 0x1.e764a2e1fd6f5p-17, 0x1.f9d42028f4924p-17, 0x1.05f78ec85b863p-16, 0x1.0edc5fe5c9f27p-16, 0x1.17972ab13ad58p-16, 0x1.2027d37864af5p-16, 0x1.288c8c8bc821bp-16, 0x1.30ce62ff85b95p-16, 0x1.38eb514bd5a86p-16, 0x1.40def57a5fe5ap-16, 0x1.48aa3931dc7a6p-16, 0x1.50517147f430ap-16, 0x1.57d7fb12bb17fp-16, 0x1.5f47d2869d9f8p-16, 0x1.6660fae39ac67p-16, 0x1.6d6b1ba87c8f4p-16, 0x1.745374dcb2a18p-16, 0x1.7b208aa468ed1p-16, 0x1.81cac2842d1efp-16, 0x1.884bcaf05ba47p-16, 0x1.8eab478c149b6p-16, 0x1.94e36fbe6c773p-16, 0x1.9b00063e85298p-16, 0x1.a0fa0e618944bp-16, 0x1.a6c9a735903dp-16, 0x1.ac7b3598379bap-16, 0x1.b20d3238a7999p-16, 0x1.b77edcb60111ep-16, 0x1.bcd0ebff4a31cp-16, 0x1.c2077d5d657f2p-16, 0x1.c718575b20aefp-16, 0x1.cc07a70aeb14bp-16, 0x1.d0d7abb937ffap-16, 0x1.d589f7f78decbp-16, 0x1.da1e50f1b02ffp-16, 0x1.de934937b5214p-16, 0x1.e2ea6f37af804p-16, 0x1.e72275bb7210ap-16, 0x1.eb3f17e65dba2p-16, 0x1.ef3c69e80219bp-16, 0x1.f31da78e9b2e8p-16, 0x1.f6e19d8fcdc3ap-16, 0x1.fa892f1305b56p-16, 0x1.fe146cfaa748p-16, 0x1.00c1161e762bdp-15, 0x1.026c674b62d92p-15, 0x1.040790220156p-15, 0x1.0594df50689aep-15, 0x1.0716838a931a5p-15, 0x1.088af5ec8df94p-15, 0x1.09f125d389391p-15, 0x1.0b4a168ed1cc6p-15, 0x1.0c8f446b564e2p-15, 0x1.0dd5bd6b8b431p-15, 0x1.0f07dfd4a6138p-15, 0x1.102cb22fd1f1p-15, 0x1.11481238f093dp-15, 0x1.125540bbfab09p-15, 0x1.1355cb1fee658p-15, 0x1.143efb85c1159p-15, 0x1.1534d38d22049p-15, 0x1.16123dc23a89bp-15, 0x1.16e3c5711e8efp-15, 0x1.17ab159d431dap-15, 0x1.1864d59923348p-15, 0x1.191258d10f635p-15, 0x1.19b85715fcb29p-15, 0x1.1a4f28341566dp-15, 0x1.1ae092bd368cdp-15, 0x1.1b6459309476dp-15, 0x1.1bd9000b7255bp-15, 0x1.1c46123194d94p-15, 0x1.1cb34175c19cap-15, 0x1.1d05eea6a2ea7p-15, 0x1.1d54ab2aa82a7p-15, 0x1.1d996af6ca62fp-15, 0x1.1dd470d8e2b6fp-15, 0x1.1e05aa4f0a2f1p-15, 0x1.1e2cde570aa34p-15, 0x1.1e49a84275ff7p-15, 0x1.1e5fb97d787d4p-15, 0x1.1e69ac81344dbp-15, 0x1.1e6b6c4038fcap-15, 0x1.1e647795e5cb8p-15, 0x1.1e54292f5fe96p-15, 0x1.1e3ad808fe4bcp-15, 0x1.1e18956818575p-15, 0x1.1dedbbef3832bp-15, 0x1.1dbb02b51ef8cp-15, 0x1.1d72949070ce6p-15, 0x1.1d3ae5e7014f6p-15, 0x1.1cee5dc92aa37p-15, 0x1.1c99f4d173566p-15, 0x1.1c3d6661c7d7ap-15, 0x1.1bd8bb6b7bfbep-15, 0x1.1b6ca22384d08p-15, 0x1.1af9c446cf0f3p-15, 0x1.1a7e4b18764bfp-15, 0x1.1a00855c4d174p-15, 0x1.1972963beecp-15, 0x1.18e20442abff5p-15, 0x1.184aa3cdf2a84p-15, 0x1.17ac0ccc22c54p-15, 0x1.1702ed885a74bp-15, 0x1.165737518a5bep-15, 0x1.15a2611ae8fadp-15, 0x1.14eb53aab1671p-15, 0x1.1427cedada4d2p-15, 0x1.1363b0c2b7296p-15, 0x1.1295d684c5045p-15, 0x1.11c2ed48ff11ep-15, 0x1.10ea4bd29a4aep-15, 0x1.100e6ffc52fffp-15, 0x1.0f2841b766bccp-15, 0x1.0e3cdeb9b4777p-15, 0x1.0d4d18e88c3c4p-15, 0x1.0c568178b7ab1p-15, 0x1.0b5bbbb2b03f8p-15, 0x1.0a5b74fb82eebp-15, 0x1.09560143436d4p-15, 0x1.084ea1ee28485p-15, 0x1.074048e96a1ccp-15, 0x1.06349f44b31a3p-15, 0x1.0511611fc5216p-15, 0x1.03f6bf6c22ddap-15, 0x1.02cf06f9b979p-15, 0x1.01a854ca1d5fcp-15, 0x1.007df435fa32fp-15, 0x1.fe99eede42503p-16, 0x1.fc34ef765141p-16, 0x1.f9c42569f477dp-16, 0x1.f750b0ac41b66p-16, 0x1.f4d48b21471e6p-16, 0x1.f2443c6f94b43p-16, 0x1.efa2ca0b0f23cp-16, 0x1.ed1ff9e82bdf1p-16, 0x1.ea804eebf06a9p-16, 0x1.e7ddddd157fbap-16, 0x1.e52f67feab84p-16, 0x1.e277fdb1013a5p-16, 0x1.dfc086a3990c8p-16, 0x1.dd0176f3517b5p-16, 0x1.da4419336fb89p-16, 0x1.d777530a898b9p-16, 0x1.d4a31ebe251b4p-16, 0x1.d1ce6d6c625d8p-16, 0x1.cef20d0536ceap-16, 0x1.cc039967383d2p-16, 0x1.c926a42b4c5efp-16, 0x1.c6365d663c9fp-16, 0x1.c34d46b4ac35cp-16, 0x1.c059e5ac04c7ep-16, 0x1.bd81957bc7fe8p-16, 0x1.ba5e539079436p-16, 0x1.b759ed91740cdp-16, 0x1.b450b86ff0bf3p-16, 0x1.b146a109e0b98p-16, 0x1.ae37cf2dd7dcap-16, 0x1.ab26db4b7dd2ap-16, 0x1.a810fe37add52p-16, 0x1.a4f937573d5a4p-16, 0x1.a1da1661ffb9ap-16, 0x1.9ebb5ad0f1ed2p-16, 0x1.9b98a36a682p-16, 0x1.987292fb16ce4p-16, 0x1.9549ae68c3fa4p-16, 0x1.92223bb644454p-16, 0x1.8ee68f142a55cp-16, 0x1.8bc0a994e6134p-16, 0x1.8890965989316p-16, 0x1.8561845c28f3dp-16, 0x1.82290095b53aep-16, 0x1.7eeadd8071cd9p-16, 0x1.7bb73c6ad52f6p-16, 0x1.78785e6328a4bp-16, 0x1.7541512158bb5p-16, 0x1.7205744c29792p-16, 0x1.6ec656abea8f6p-16, 0x1.6b83bc31bbe68p-16, 0x1.6843e0825e4b4p-16, 0x1.64ff8f0c365a1p-16, 0x1.61bedd4e449b7p-16, 0x1.5e724362f287bp-16, 0x1.5b3730db565cap-16, 0x1.57fe2cc9d8efep-16, 0x1.54ab7b6485802p-16, 0x1.516c521dc5c31p-16, 0x1.4e273045c89dap-16, 0x1.4adf10f947b8ep-16, 0x1.4799d8433e076p-16, 0x1.4456220076d91p-16, 0x1.411284225236ap-16, 0x1.3dcf366eb16fap-16, 0x1.3a8aa04f8ad0ap-16, 0x1.374578b6f7652p-16, 0x1.33f22a98fe6d6p-16, 0x1.30ba1b17f97b9p-16, }}, 
      {{0x1.fd3c675925491p-2, 0x1.25b028661847ep-1, 0x1.57bea4be8883dp-1, 0x1.89ca7b71f2ff6p-1, 0x1.b49fb9f5feb9bp-1, 0x1.d49d16f8e98a1p-1, 0x1.e8ccdd6660211p-1, 0x1.f1f0e4730c2b2p-1, 0x1.f1ba74415f6dp-1, 0x1.ea3a3d7a3d3fap-1, 0x1.dd82ef45261bbp-1, 0x1.cd733d4c9dd66p-1, 0x1.bb9bdb4402012p-1, 0x1.a937cf3596b5cp-1, 0x1.972fd8e25921fp-1, 0x1.8623d3b0aeca8p-1, 0x1.7676af8c4285p-1, 0x1.685ae03b5773cp-1, 0x1.5bde062ab91fcp-1, 0x1.50f332705a188p-1, 0x1.477b82053211fp-1, 0x1.3f4d1489d6f2ap-1, 0x1.3838760b7e4fbp-1, 0x1.320cb0af57876p-1, 0x1.2c9a3b67d0713p-1, 0x1.27b4f56465484p-1, 0x1.233567bfce4b2p-1, 0x1.1ef96db6d2dd4p-1, 0x1.1ae46d8bfe37dp-1, 0x1.16df4775f3facp-1, 0x1.12d8008d3c3bp-1, 0x1.0ec1527cca9a5p-1, 0x1.0a9223d789ca5p-1, 0x1.0644f58a3fb7dp-1, 0x1.01d7527a2403p-1, 0x1.fa927ec73fb35p-2, 0x1.f1397b3050546p-2, 0x1.e7aa9ff826532p-2, 0x1.ddef2d14af853p-2, 0x1.d411e17d4a249p-2, 0x1.ca1e628b9170dp-2, 0x1.c020bb0c326c4p-2, 0x1.b624f8305f68fp-2, 0x1.ac36ca5e5fc47p-2, 0x1.a261525cf819ep-2, 0x1.98aee9dbbea28p-2, 0x1.8f2905817892bp-2, 0x1.85d81ac38b279p-2, 0x1.7cc39d4872fbap-2, 0x1.73f1f0d5ca99dp-2, 0x1.6b68741783103p-2, 0x1.632b84bab4a7p-2, 0x1.5b3e8da26178p-2, 0x1.53a41543a66b1p-2, 0x1.4c5dcb8519c0ep-2, 0x1.456ca20e30c85p-2, 0x1.3ed0d2dbbbe43p-2, 0x1.388a0031602d9p-2, 0x1.32973e92a14fep-2, 0x1.2cf727ca55922p-2, 0x1.27a7eb77721f5p-2, 0x1.22a75f14d05a6p-2, 0x1.1df30d542ab91p-2, 0x1.1988439998ap-2, 0x1.15641c5d14b8dp-2, 0x1.11838ec5104adp-2, 0x1.0de373990d2aap-2, 0x1.0a809247c27d5p-2, 0x1.0757a6dc62b92p-2, 0x1.04656a18e210ep-2, 0x1.01a697f90e54ap-2, 0x1.fe2fe8a20f4b7p-3, 0x1.f96ca0e73b9ap-3, 0x1.f4fd1caa11825p-3, 0x1.f0db489a4e78cp-3, 0x1.ed013efc5febbp-3, 0x1.e9694d17efc97p-3, 0x1.e60df4be687f6p-3, 0x1.e2e9f0ffa2273p-3, 0x1.dff837e57c7c9p-3, 0x1.dd33fa86ffa67p-3, 0x1.da98a5fc08586p-3, 0x1.d821e5000872dp-3, 0x1.d5cb9e66cb503p-3, 0x1.d391f41fc3c82p-3, 0x1.d17144fa256b2p-3, 0x1.cf66285f3b824p-3, 0x1.cd6d6dd9b7059p-3, 0x1.cb841c29af86ap-3, 0x1.c9a76f871ca6p-3, 0x1.c7d4d840ca382p-3, 0x1.c609f723a970dp-3, 0x1.c4449e00ded81p-3, 0x1.c282c90460eccp-3, 0x1.c0c2a00ead274p-3, 0x1.bf0276805922fp-3, 0x1.bd40c7adafe8bp-3, 0x1.bb7c346f386d6p-3, 0x1.b9b37c13ec42dp-3, 0x1.b7e5818b7d66dp-3, 0x1.b61149502b8f5p-3, 0x1.b435f4a45dd43p-3, 0x1.b252bfedfe46p-3, 0x1.b0670158aff1fp-3, 0x1.ae722841c4e9fp-3, 0x1.ac73b978c4a65p-3, 0x1.aa6b4fb48de7p-3, 0x1.a85898dddb282p-3, 0x1.a63b551d0ef92p-3, 0x1.a4135613694f9p-3, 0x1.a1e07b1c09efp-3, 0x1.9fa2b38fe062ep-3, 0x1.9d59fab66e3e8p-3, 0x1.9b06587e62c32p-3, 0x1.98a7df957cb29p-3, 0x1.963eac9f8caf1p-3, 0x1.93cae4b5b6fbp-3, 0x1.914cb5a0fc7ebp-3, 0x1.8ec453ff41fep-3, 0x1.8c31fb1780325p-3, 0x1.8995ec795c97cp-3, 0x1.86f06deaabe85p-3, 0x1.8441ca03d667ep-3, 0x1.818a4ff11e9fdp-3, 0x1.7eca51081e052p-3, 0x1.7c0221cbed781p-3, 0x1.7932195062d9cp-3, 0x1.765a90ce0be41p-3, 0x1.737be3474656cp-3, 0x1.70966b2402c86p-3, 0x1.6daa853482361p-3, 0x1.6ab88e7395555p-3, 0x1.67c0e419c70a1p-3, 0x1.64c3e2ee1b0c5p-3, 0x1.61c1e81b0dc4bp-3, 0x1.5ebb4f870194ep-3, 0x1.5bb074b4d7623p-3, 0x1.58a1b2549435p-3, 0x1.558f620aa279p-3, 0x1.5279dbf015a2ap-3, 0x1.4f6176fe020e8p-3, 0x1.4c46894f84754p-3, 0x1.4929677d9fdd2p-3, 0x1.460a63703b7eap-3, 0x1.42e9cdab40031p-3, 0x1.3fc7f5f0df767p-3, 0x1.3ca529d84515dp-3, 0x1.3981b4244851fp-3, 0x1.365ddde2fdf35p-3, 0x1.3339efcb5fc8dp-3, 0x1.30162f11923c1p-3, 0x1.2cf2e031db2e5p-3, 0x1.29d0445d23853p-3, 0x1.26ae9bbbd4b49p-3, 0x1.238e24b6603f3p-3, 0x1.206f1a2f4392fp-3, 0x1.1d51b6c2cef9dp-3, 0x1.1a3633115f75dp-3, 0x1.171cc47bcfb4p-3, 0x1.14059f7c2c62bp-3, 0x1.10f0f6afa2f8fp-3, 0x1.0ddefaef5e90fp-3, 0x1.0acfdaa385d16p-3, 0x1.07c3c31989203p-3, 0x1.04badf390390fp-3, 0x1.01b558aefd582p-3, 0x1.fd66ae50fca61p-4, 0x1.f76a013936bcdp-4, 0x1.f174f38036b29p-4, 0x1.eb87cb32c6113p-4, 0x1.e5a2caf9f4178p-4, 0x1.dfc631cf30ea3p-4, 0x1.d9f23c8a0b64p-4, 0x1.d427259e85fdbp-4, 0x1.ce6522fd10819p-4, 0x1.c8ac6a0b9ef3fp-4, 0x1.c2fd2ab79a0a6p-4, 0x1.bd5794b7a9069p-4, 0x1.b7bbd72417bafp-4, 0x1.b22a10dd1a437p-4, 0x1.aca27911c21a9p-4, 0x1.a7252ec494e5dp-4, 0x1.a1b24e64a9acbp-4, 0x1.9c49fd0f248efp-4, 0x1.96ec5ae9b684fp-4, 0x1.9199836d62e73p-4, 0x1.8c5190418a83bp-4, 0x1.87149a421bc97p-4, 0x1.81e2b82755e53p-4, 0x1.7cbbfe6d8c845p-4, 0x1.77a080a4452f5p-4, 0x1.729050384431ap-4, 0x1.6d8b7cb6a082ap-4, 0x1.68921293b366bp-4, 0x1.63a41f1395997p-4, 0x1.5ec1ad3ef35b4p-4, 0x1.59eac7520dfa1p-4, 0x1.551f76db237aap-4, 0x1.505fc1378ba7bp-4, 0x1.4babaa7e6998cp-4, 0x1.47033adc6b869p-4, 0x1.4266748f00ab7p-4, 0x1.3dd556d7c3101p-4, 0x1.394fe39c6a35fp-4, 0x1.34d61b3eba845p-4, 0x1.3067fd2d2f4bcp-4, 0x1.2c0586d1172e6p-4, 0x1.27aeb5080b302p-4, 0x1.236383c8da08p-4, 0x1.1f23ee23fb5a2p-4, 0x1.1aefee7000964p-4, 0x1.16c77e5284a76p-4, 0x1.12aa9531cd58dp-4, 0x1.0e992bf99b2a4p-4, 0x1.0a933bc578eafp-4, 0x1.0698b7e0d327p-4, 0x1.02a9975220fd4p-4, 0x1.fd8b9fbcbdadep-5, 0x1.f5daaac879344p-5, 0x1.ee40388c13cb4p-5, 0x1.e6bc2faf54343p-5, 0x1.df4e7699b26bdp-5, 0x1.d7f6f2adce5d8p-5, 0x1.d0b5878cb61d7p-5, 0x1.c98a17c152525p-5, 0x1.c2748507cfa77p-5, 0x1.bb74b0d53ca13p-5, 0x1.b48a7c708bc28p-5, 0x1.adb5c7de83de8p-5, 0x1.a6f670c87b476p-5, 0x1.a04c56d511c27p-5, 0x1.99b754ee10d4ep-5, 0x1.93374becae0b6p-5, 0x1.8ccc175b5b569p-5, 0x1.867591a9e8ce7p-5, 0x1.8033976a331bep-5, 0x1.7a06033bec38dp-5, 0x1.73ecafa62b10bp-5, 0x1.6de77679c1bfp-5, 0x1.67f62fb18da2bp-5, 0x1.6218b7c28acdcp-5, 0x1.5c4ee7f875a0dp-5, 0x1.569894a5188f5p-5, 0x1.50f5980c306a7p-5, 0x1.4b65ca3d57e35p-5, 0x1.45e90768905cep-5, 0x1.407f135845872p-5, 0x1.3b27e4376bf59p-5, 0x1.35e33d9eccdc4p-5, 0x1.30b0f6fcf0f35p-5, 0x1.2b90eb50cb704p-5, 0x1.2682efb2bc52dp-5, 0x1.2186d86c64cecp-5, 0x1.1c9c7e87c7bffp-5, 0x1.17c3b85a290d2p-5, 0x1.12fc58ba1d9c2p-5, 0x1.0e4638646b5efp-5, 0x1.09a12beb3d251p-5, 0x1.050d08a0f640fp-5, 0x1.0089a6ce148d6p-5, 0x1.f82db52a0b35fp-6, 0x1.ef68f2e86db9dp-6, 0x1.e6c4b3b490307p-6, 0x1.de40a1e837058p-6, 0x1.d5dc6a81ae325p-6, 0x1.cd97b8f22c684p-6, 0x1.c572383332c24p-6, 0x1.bd6b94a435f13p-6, 0x1.b5837c1df6c99p-6, 0x1.adb99a4c5345p-6, 0x1.a60d9bfae1bcap-6, 0x1.9e7f2d1401505p-6, 0x1.970dfae8d9ed9p-6, 0x1.8fb9b414aebd7p-6, 0x1.888201939d043p-6, 0x1.816696eeae448p-6, 0x1.7a671dc9b252fp-6, 0x1.7383456e40e81p-6, 0x1.6cbabeb8059e2p-6, 0x1.660d37e4a8f2fp-6, 0x1.5f7a5f650862ap-6, 0x1.5901e556b69dcp-6, 0x1.52a37b59e8314p-6, 0x1.4c5ece94dd2f3p-6, 0x1.463393302702ap-6, 0x1.40217839d0b4fp-6, 0x1.3a28315c5be1fp-6, 0x1.34476f2fdbc3p-6, 0x1.2e7ee581b5276p-6, 0x1.28ce4728577a3p-6, 0x1.233546e2ba116p-6, 0x1.1db398f8d10cp-6, 0x1.1848f149f501bp-6, 0x1.12f5061fff402p-6, 0x1.0db78c6b736bep-6, 0x1.08903a3193b5cp-6, 0x1.037ec52c7fb7p-6, 0x1.fd05cb71cd7e6p-7, 0x1.f3389d14e3cp-7, 0x1.e9957d3116981p-7, 0x1.e01bd304459ap-7, 0x1.d6cb2225a3eeep-7, 0x1.cda2c3f8fe5dap-7, 0x1.c4a2354a9d882p-7, 0x1.bbc8f6ae674d8p-7, 0x1.b31676b45d932p-7, 0x1.aa8a2b93ebc35p-7, 0x1.a2239c8c0ef8fp-7, 0x1.99e1f93a4dfd5p-7, 0x1.91c56abff37c3p-7, 0x1.89cca023bd705p-7, 0x1.81f78abeeb13bp-7, 0x1.7a45958f9cbd6p-7, 0x1.72b63eaaee5fap-7, 0x1.6b4904cdd8b5bp-7, 0x1.63fd6daeba5cap-7, 0x1.5cd2f4e5f0e5p-7, 0x1.55c921816cd0bp-7, 0x1.4edf7c4d1ebb7p-7, 0x1.48158ae8473f6p-7, 0x1.416ad548fa89ep-7, 0x1.3adee25868879p-7, 0x1.34713f0302e99p-7, 0x1.2e2173f8d3de3p-7, 0x1.27ef122f6b56dp-7, 0x1.21d9a5276c4bcp-7, 0x1.1be0bbbc4ef03p-7, 0x1.1603e8293657bp-7, 0x1.1042b57881e3ap-7, 0x1.0a9cbf46b36ebp-7, 0x1.05119934b1c8ap-7, 0x1.ff41a10d6677ep-8, 0x1.f49403889da29p-8, 0x1.ea19842281fe9p-8, 0x1.dfd15571944a3p-8, 0x1.d5baab440f145p-8, 0x1.cbd4bd0d38de3p-8, 0x1.c21eb6bc45b0bp-8, 0x1.b897e38901229p-8, 0x1.af3f82e4257cep-8, 0x1.a614c0675c97dp-8, 0x1.9d16ef5670e3bp-8, 0x1.9445525480ae2p-8, 0x1.8b9f298bec2cap-8, 0x1.8323be31894fap-8, 0x1.7ad26133b882p-8, 0x1.72aa55236b015p-8, 0x1.6aaae68810498p-8, 0x1.62d371fec7012p-8, 0x1.5b2352864c149p-8, 0x1.5399ca08aad3p-8, 0x1.4c363e2c1b6e7p-8, 0x1.44f8042f49fe5p-8, 0x1.3dde88e23d5e4p-8, 0x1.36e910d078829p-8, 0x1.30170fb2c841bp-8, 0x1.2967daedf8001p-8, 0x1.22dae55609dbcp-8, 0x1.1c6f9707725b5p-8, 0x1.162548c1834e2p-8, 0x1.0ffb7156d617p-8, 0x1.09f17de76f276p-8, 0x1.0406dcacc60fbp-8, 0x1.fc7600bfc0408p-9, 0x1.f11abba8e5a56p-9, 0x1.e5facf9d40ab1p-9, 0x1.db152cf3ac748p-9, 0x1.d068bbc1ec95cp-9, 0x1.c5f4ed0e1d82p-9, 0x1.bbb7a029f34ap-9, 0x1.b1b0dc39a3e21p-9, 0x1.a7df4602bd95ep-9, 0x1.9e41e20e10f27p-9, 0x1.94d7be033ea1cp-9, 0x1.8b9fedc91454ep-9, 0x1.8299a7caaa46ep-9, 0x1.79c3af66b7dcp-9, 0x1.711d4b5d521d9p-9, 0x1.68a59a1094e82p-9, 0x1.605bb25aa47a9p-9, 0x1.583ebed8592a2p-9, 0x1.504dea713522fp-9, 0x1.48885d3427ad7p-9, 0x1.40ed46ab6da86p-9, 0x1.397b9ab26d7aap-9, 0x1.3232fa0fb9768p-9, 0x1.2b124f552c177p-9, 0x1.2418ea79b4afp-9, 0x1.1d45fc0d5cfd6p-9, 0x1.1698e774a5cf1p-9, 0x1.1010ec418fb4p-9, 0x1.09ad338ffabc1p-9, 0x1.036d170568101p-9, 0x1.fa9fb121de7ebp-10, 0x1.eea9be1721036p-10, 0x1.e2f6ec3bc3f3fp-10, 0x1.d785cf05f000ep-10, 0x1.cc552f7e1f63p-10, 0x1.c163a758154fap-10, 0x1.b6b014ecba97ap-10, 0x1.ac39426e9d515p-10, 0x1.a1fe1520e184dp-10, 0x1.97fcf16ccf524p-10, 0x1.8e34effff0db8p-10, 0x1.84a4d5d9826e9p-10, 0x1.7b4b8b172e4d7p-10, 0x1.7228188a6dd9cp-10, 0x1.6939161bced2ep-10, 0x1.607d9f05cb948p-10, 0x1.57f49e5029aacp-10, 0x1.4f9d0ced22906p-10, 0x1.4775f5b35b59p-10, 0x1.3f7e3bcbe2b34p-10, 0x1.37b4ed6f68475p-10, 0x1.3019194eb4b07p-10, 0x1.28a9b9c446a0dp-10, 0x1.2166019a7c4b6p-10, 0x1.1a4cdc7a31924p-10, 0x1.135d76b5a60a8p-10, 0x1.0c96f72db12c7p-10, 0x1.05f879f35495fp-10, 0x1.ff0252b23bd12p-11, 0x1.f2607c8b1a9fap-11, 0x1.e6097782dd373p-11, 0x1.d9fae8c8e5f5fp-11, 0x1.ce3728d9b029cp-11, 0x1.c2b75e391c345p-11, 0x1.b77d1eec53117p-11, 0x1.ac8609258f9bdp-11, 0x1.a1d0dac83d11cp-11, 0x1.975c15fbde631p-11, 0x1.8d26820a22bcep-11, 0x1.832ea4081d87fp-11, 0x1.797308d82b8d2p-11, 0x1.6ff28e409a30dp-11, 0x1.66abbf6936c12p-11, 0x1.5d9d6086890bap-11, 0x1.54c62d85f95ccp-11, 0x1.4c24ad1c1a081p-11, 0x1.43b8614abed6p-11, 0x1.3b7f525b94105p-11, 0x1.3378e0c8bfb8ep-11, 0x1.2ba380c07fa91p-11, 0x1.23fe78c47218ap-11, 0x1.1c88900d5eb25p-11, 0x1.1540c2c63f929p-11, 0x1.0e2628fbf6689p-11, 0x1.0737b41301032p-11, 0x1.00745483a5c8ap-11, 0x1.f3b626d2b22edp-12, 0x1.e6d465e6ce8ddp-12, 0x1.da46cdbf9b82cp-12, 0x1.ce04b3ed91ed9p-12, 0x1.c21011444a501p-12, 0x1.b6669bc9d683cp-12, 0x1.ab05b563022e3p-12, 0x1.9fec5cd8d4f96p-12, 0x1.9518faef6dfc1p-12, 0x1.8a88eda90acecp-12, 0x1.803bfdfb53f24p-12, 0x1.7630b7527ae65p-12, 0x1.6c645788fa2bap-12, 0x1.62d6247bbcd39p-12, 0x1.5985000a73ce6p-12, 0x1.506efa5cebd7bp-12, 0x1.47936897ed87dp-12, 0x1.3ef09d61a3d65p-12, 0x1.368535a356642p-12, 0x1.2e4f1fc4f6214p-12, 0x1.264e717a3f575p-12, 0x1.1e8052b27696dp-12, 0x1.16e469783ff8p-12, 0x1.0f795b3f6d4ecp-12, 0x1.083e298ed952dp-12, 0x1.0131886bcbcc4p-12, 0x1.f4a46e4d423e3p-13, 0x1.e73e468075384p-13, 0x1.da2e7fd053f61p-13, 0x1.cd73de7b4dcc1p-13, 0x1.c106418b8a294p-13, 0x1.b4f1e331b46b9p-13, 0x1.a92851d22f87cp-13, 0x1.9dab24afbf1c8p-13, 0x1.927a7368c30b2p-13, 0x1.87907cd509315p-13, 0x1.7cef0c37a2adap-13, 0x1.72932ce1fa48dp-13, 0x1.687b650cc036dp-13, 0x1.5ea6317656e95p-13, 0x1.5511ab5339233p-13, 0x1.4bbb9c2cbd4c9p-13, 0x1.42a2f2f3e77cep-13, 0x1.39c65de073c54p-13, 0x1.31235d19c1dc8p-13, 0x1.28b8f9b016f74p-13, 0x1.2085f87eed259p-13, 0x1.1888cb35d384dp-13, 0x1.10c0420b71ff8p-13, 0x1.092ae39744e24p-13, 0x1.01c7a7cfe10a5p-13, 0x1.f529272f57cecp-14, 0x1.e722ab0932f3dp-14, 0x1.d97961365119fp-14, 0x1.cc28d1a43fep-14, 0x1.bf324eaac792cp-14, 0x1.b295586e8dddap-14, 0x1.a6490c7650792p-14, 0x1.9a50879539e53p-14, 0x1.8ea5e64a195bdp-14, 0x1.834ac8524140cp-14, 0x1.783b46923438dp-14, 0x1.6d7d7d15b1833p-14, 0x1.62fdba1bc142p-14, 0x1.58bf44f60a4cfp-14, 0x1.4ecbf04b6fcp-14, 0x1.4518c8bbce167p-14, 0x1.3ba53986c87edp-14, 0x1.3271740c32c5dp-14, 0x1.29792df671258p-14, 0x1.20bfa5d902288p-14, 0x1.183ce30a22e89p-14, 0x1.0ff6655afa4e1p-14, 0x1.07e64cae248f2p-14, 0x1.000b5e6a165ap-14, 0x1.f0ca4e1de7dcbp-15, 0x1.e1e537d31cc3cp-15, 0x1.d36539274bffdp-15, 0x1.c546517415602p-15, 0x1.b786f0882988fp-15, 0x1.aa232f43e8f4ap-15, 0x1.9d1870d683c4bp-15, 0x1.905826201a104p-15, 0x1.8408c4307b08p-15, 0x1.77fc0a7857ea8p-15, 0x1.6c403c6ee8a0ap-15, 0x1.60d22fb87968bp-15, 0x1.55b0a4356750fp-15, 0x1.4adae66dfd177p-15, 0x1.404f797dcd98ap-15, 0x1.360858a5d584bp-15, 0x1.2c03c8c2285afp-15, 0x1.2245e05b8cd57p-15, 0x1.18c59c0eee1a6p-15, 0x1.0f84d865605a6p-15, 0x1.06836e5d24b56p-15, 0x1.fb7da7b5808a3p-16, 0x1.ea6a5c43920dcp-16, 0x1.d9cca83bc5c96p-16, 0x1.c995fb49272fap-16, 0x1.b9d27f92b956ep-16, 0x1.aa7522477ac12p-16, 0x1.9b8b9275b8a7cp-16, 0x1.8cf864550d91cp-16, 0x1.7ec799f4e1b2p-16, 0x1.70f45bb665d07p-16, 0x1.63803f63fbc0ap-16, 0x1.56686c1c6db79p-16, 0x1.49a4c7a75378fp-16, 0x1.3d3127af06c39p-16, 0x1.311955ae46cf4p-16, 0x1.25502b830fe4dp-16, 0x1.19d24f516a67dp-16, 0x1.0ea56e45eab4dp-16, 0x1.03c359ec4a652p-16, 0x1.f25297ff7fd2ap-17, 0x1.ddab128c0da43p-17, 0x1.c98d1cbfaf321p-17, 0x1.b5f7c47e97ebap-17, 0x1.a2f5f28ca266dp-17, 0x1.90706986a4cf6p-17, 0x1.7e310432aa941p-17, 0x1.6ca296a62bf74p-17, 0x1.5b79502439e6p-17, 0x1.4ac45f18258d5p-17, 0x1.3a7e5abeb26ddp-17, 0x1.2aa701bcb1719p-17, 0x1.1b3a8cc9cc456p-17, 0x1.0c35b8d30b867p-17, 0x1.fb2c2eb9828f2p-18, 0x1.deb606e788b55p-18, 0x1.c2dfefbabb211p-18, 0x1.a7a1e51eb642cp-18, 0x1.8d991aae52c14p-18, 0x1.73f13b169408dp-18, 0x1.5b0b2deb0e8dap-18, 0x1.42c8b351844c9p-18, 0x1.2b33bc1ef9c9ep-18, 0x1.14433fbbb624p-18, 0x1.fbbb7aaee649ap-19, 0x1.d023f032181f2p-19, 0x1.a5d5ed8c1f906p-19, 0x1.7c8f816c7340bp-19, 0x1.544402cafd265p-19, 0x1.2d3776a399006p-19, 0x1.0741bd5afec9dp-19, 0x1.c467ffb73953p-20, 0x1.7c408cc452677p-20, 0x1.36709c8ecb8d6p-20, 0x1.e40541d0b9604p-21, 0x1.5f602c16a540bp-21, 0x1.bded2c5e0409cp-22, 0x1.8641106384ec3p-23, -0x1.8a06854590f4cp-25, -0x1.1e08950a678b1p-22, -0x1.02e99d99c3924p-21, -0x1.7353d1ffde017p-21, -0x1.e03730bdb14d7p-21, -0x1.24fde2cc8e7b1p-20, -0x1.5866679239d2ap-20, -0x1.8a671874c0d5ap-20, -0x1.baeb9f416bfe6p-20, -0x1.e9a37501821b2p-20, -0x1.0bd6426a8a43cp-19, -0x1.224ed470c63b3p-19, -0x1.37b8493722ed9p-19, -0x1.4cba3784946e4p-19, -0x1.611058105342bp-19, -0x1.74c748de10e7bp-19, -0x1.87ef0dafb19ecp-19, -0x1.9a837df0af66cp-19, -0x1.ac81869664e85p-19, -0x1.bdf931307e27p-19, -0x1.cef830d9ce937p-19, -0x1.df3bdbd4a744ep-19, -0x1.ef123722a63cdp-19, -0x1.fe6ab406698e1p-19, -0x1.06ab7fc731b2bp-18, -0x1.0dd5b0a67018fp-18, -0x1.14ce60f04f9cap-18, -0x1.1ba83978e356cp-18, -0x1.21e94dbb7c766p-18, -0x1.283edc2f11b82p-18, -0x1.2e55044481916p-18, -0x1.341842a252952p-18, -0x1.39c66e84eb798p-18, -0x1.3f2df8fe19d8p-18, -0x1.4468f3819fbd8p-18, -0x1.4973904a81037p-18, -0x1.4e4261d8aa35fp-18, -0x1.52f50dfd2ce5fp-18, -0x1.577a2b0520d28p-18, -0x1.5bc817727ee8p-18, -0x1.5fe64b87bd8c9p-18, -0x1.63d07c88ceadcp-18, -0x1.677b29bcd1dc3p-18, -0x1.6b2b8a7577054p-18, -0x1.6e9be5784dd8ap-18, -0x1.71d3453f45a4fp-18, -0x1.752b26871544ep-18, -0x1.7821b9bcbc65ep-18, -0x1.7af720a3de4d3p-18, -0x1.7da6282b5ab61p-18, -0x1.8026e54057889p-18, -0x1.829845c0265cbp-18, -0x1.84df31f67ea75p-18, -0x1.8704445873f32p-18, -0x1.88f051d758517p-18, -0x1.8af6d776c44bap-18, -0x1.8cb0ae71c6d76p-18, -0x1.8e544efd04ec1p-18, -0x1.8fd49c083b78cp-18, -0x1.913b31b3e1715p-18, -0x1.927f802b65c66p-18, -0x1.93a983f8eb913p-18, -0x1.94b9c0d6df002p-18, -0x1.95ae06fdf1b31p-18, -0x1.968438a0dec61p-18, -0x1.9734c2ea0c063p-18, -0x1.9809d540ae471p-18, -0x1.986f26caf54cbp-18, -0x1.98ccf0de5960ep-18, -0x1.993601faf40b8p-18, -0x1.99723e9e46ef6p-18, -0x1.9998cfb246df3p-18, -0x1.99b3f24c651b1p-18, -0x1.9996f35f0f0c2p-18, -0x1.99772888d9fedp-18, -0x1.99420bcb2e831p-18, -0x1.98f7530412604p-18, -0x1.989ba05eba68p-18, -0x1.982d2182dcf29p-18, -0x1.979f353fea407p-18, -0x1.96ef1877257efp-18, -0x1.9652aaa38328p-18, -0x1.9590945dfaa54p-18, -0x1.94baf349e4214p-18, -0x1.93d89236eb6fep-18, -0x1.92d1022467ec2p-18, -0x1.91c8847b7e9e1p-18, -0x1.90c5b1078177dp-18, -0x1.8f9e92b85c3cdp-18, -0x1.8e4cff551d57fp-18, -0x1.8cfd97f16740bp-18, -0x1.8b99b04d71cbp-18, -0x1.8a22035587673p-18, -0x1.88b66789c8bd3p-18, -0x1.874300dad48f9p-18, -0x1.8598874d92901p-18, -0x1.83f5177cfef07p-18, -0x1.824b71dfda3e3p-18, -0x1.808c03cdb2feap-18, -0x1.7eb5d06c68f19p-18, -0x1.7cd504c117667p-18, -0x1.7aee08c159bdp-18, -0x1.78fe88c3eb5f1p-18, -0x1.770215c5a773fp-18, -0x1.74f90a39d3a56p-18, -0x1.72deca8d9596p-18, -0x1.70bd973e274ddp-18, -0x1.6e91493bd84fp-18, -0x1.6c6829f75ab4p-18, -0x1.6a2e4624ec78bp-18, -0x1.67e3c9c70534fp-18, -0x1.659358e4306b6p-18, -0x1.633bff6562d7bp-18, -0x1.60e55798e01dap-18, -0x1.5e9065b23ec7p-18, -0x1.5be5bcd69c14bp-18, -0x1.595df24a07c44p-18, -0x1.56c60de1f4387p-18, -0x1.543cddde073c9p-18, -0x1.51b772ba5df5cp-18, -0x1.4f1c957bc0367p-18, -0x1.4c76571dcc99cp-18, -0x1.49baff67a42d2p-18, -0x1.47199115caffbp-18, -0x1.44688c635e93fp-18, -0x1.41923610e65b2p-18, -0x1.3ec998c3838adp-18, -0x1.3bfcd5e112186p-18, -0x1.392ce2b96c9d6p-18, -0x1.36572cc17aabcp-18, -0x1.3385a0f1c8ab2p-18, -0x1.30a4fd2d16133p-18, -0x1.2dbb40500edaap-18, -0x1.2aca1e0207918p-18, -0x1.27d6ffc17fe9ap-18, -0x1.24e114272f69p-18, -0x1.21e3e3a247e58p-18, -0x1.1ee5c9f4f4bbap-18, -0x1.1be15c6ae18c8p-18, -0x1.18e3e71796cbp-18, -0x1.15d743a8cccf2p-18, -0x1.12cbbc271ae94p-18, -0x1.0fbcc7cd3aac6p-18, -0x1.0cab15982c7aep-18, -0x1.0996095eea79cp-18, -0x1.067767fe4abeap-18, -0x1.036fd672420e5p-18, -0x1.004b12a9e531ep-18, -0x1.fa434bf9541afp-19, -0x1.f40dac88e563cp-19, -0x1.edd7c79629a8bp-19, -0x1.e7908347d6968p-19, -0x1.e142fc72ea2b4p-19, -0x1.dad65802692f5p-19, -0x1.d4a8422932228p-19, -0x1.ce484791ac4cdp-19, -0x1.c7dab6af01292p-19, -0x1.c1a67a67f46a5p-19, -0x1.bb49cd0b7fcb7p-19, -0x1.b4dc77125342dp-19, -0x1.ae2c5a3905ddfp-19, -0x1.a8316b00560dfp-19, -0x1.a1e0f4d698bd4p-19, -0x1.9b7de879d272bp-19, -0x1.9522cbf9ff66ap-19, -0x1.8eb6199e39286p-19, -0x1.8854768026c08p-19, -0x1.820d971dd2a0dp-19, -0x1.7ba3a90eb83c5p-19, -0x1.756666cc311a3p-19, -0x1.6f0825f1f69dp-19, -0x1.688fc349c82bbp-19, -0x1.623a76e9e9f3p-19, -0x1.5c3a0e096e626p-19, -0x1.55b4f71f319f2p-19, -0x1.4f6416002521ep-19, -0x1.491638d8f60d1p-19, -0x1.42cdfd2108a7p-19, -0x1.3c8972c86182fp-19, -0x1.3643197a466f6p-19, -0x1.2ff03df6713a1p-19, -0x1.29d5037426525p-19, -0x1.238adcb266961p-19, -0x1.1d592dd648ca6p-19, -0x1.1733f40fdbc1ap-19, -0x1.110ca6dc7561fp-19, -0x1.0ae647539e24p-19, -0x1.04bec0819c088p-19, -0x1.fd33f59ccbaccp-20, -0x1.f0f32fdb0c9dbp-20, -0x1.e4756700ee295p-20, -0x1.d8c489899fef7p-20, -0x1.ccb8a7fc18919p-20, -0x1.c0b0f6fa0c4fep-20, -0x1.b4a90961cf6d9p-20, -0x1.a8a2811df55f4p-20, -0x1.9cbf7dd25ef11p-20, -0x1.9105d6b6ed5bfp-20, -0x1.852d594b9c1f7p-20, -0x1.79ac6b9f3a6aep-20, -0x1.6dbac2016d176p-20, -0x1.622fa55e5f0d4p-20, -0x1.569bc4e2cee4ap-20, -0x1.4b19bec90c81dp-20, -0x1.3f7bcb840b1e5p-20, -0x1.340de42c3d731p-20, -0x1.2899d33c0ab23p-20, -0x1.1d654588ab00ep-20, -0x1.120c87ccbf713p-20, -0x1.06e72cfcdae37p-20, -0x1.f77dd6a9adc9bp-21, -0x1.e14b09ddb164cp-21, -0x1.cb59df309cb18p-21, -0x1.b5b3c1fb12f14p-21, -0x1.9fa815bffdabcp-21, -0x1.89d808547d41bp-21, -0x1.74505bdd9f7a3p-21, -0x1.5ebe274467f6p-21, -0x1.4955b603da6c9p-21, -0x1.3422e51b6b0a4p-21, -0x1.1f041241739cfp-21, -0x1.0ac554feb96c4p-21, -0x1.ec0b88fdfb143p-22, -0x1.c301ff7d0d376p-22, -0x1.99234345abf33p-22, -0x1.70e817141a2e6p-22, -0x1.4777a39d3c119p-22, -0x1.1f5004ecea75p-22, -0x1.ef409448b1034p-23, -0x1.9ed8799a334adp-23, -0x1.511535c84c1d4p-23, -0x1.029dc7b905ba2p-23, -0x1.6bd8d34fb7ee5p-24, -0x1.a595e38be6efep-25, -0x1.b12b01b04423ep-27, 0x1.95adef25f0b4cp-26, 0x1.efc9f0c4c11dcp-25, 0x1.8e102ece5ab8ap-24, 0x1.10e46955cf6fp-23, 0x1.5a60a0ca6d8eep-23, 0x1.a50a0572fa442p-23, 0x1.ecca5d4a1bd8dp-23, 0x1.1a4fca1b14d9cp-22, 0x1.3d0364b45ef84p-22, 0x1.6080b35c1fee5p-22, 0x1.842a9b3c952c1p-22, 0x1.a6878ebc0120ep-22, 0x1.c8fa025d06193p-22, 0x1.ec033dc7e276dp-22, 0x1.06bbc60b6b473p-21, 0x1.17c7ae6395664p-21, 0x1.27e3d9dcc0fcep-21, 0x1.3843fce6c944p-21, 0x1.483606f835f09p-21, 0x1.58ec7c85a3a41p-21, 0x1.692883f9b9162p-21, 0x1.79220284b4bdep-21, 0x1.88dbc89d24229p-21, 0x1.985fbd2ea7aabp-21, 0x1.a7a5464f3daa3p-21, 0x1.b70d9d5ec9697p-21, 0x1.c6058e966183bp-21, 0x1.d53d205e0c08p-21, 0x1.e401e254926a9p-21, 0x1.f2c36e174f03ep-21, 0x1.00b04d9097d1bp-20, 0x1.07efa49228d98p-20, 0x1.0eec59321dd66p-20, 0x1.161020c4e2e19p-20, 0x1.1d219bbead6c2p-20, 0x1.23f2531c61322p-20, 0x1.2aa97e581f30fp-20, 0x1.31708ad2f974fp-20, 0x1.382c263158776p-20, 0x1.3eb0870c9b74fp-20, 0x1.454a7207f2046p-20, 0x1.4bb3485b139dp-20, 0x1.52006f38295e6p-20, 0x1.5854a5dee303fp-20, 0x1.5ea5687d1d69fp-20, 0x1.64c4b969da9fbp-20, 0x1.6af170e66be3bp-20, 0x1.70f719c66944bp-20, 0x1.7713fb7a462cep-20, 0x1.7ca3e2859d8d2p-20, 0x1.82448ab656c24p-20, 0x1.884c8f918ce5cp-20, 0x1.8dd467c978045p-20, 0x1.9366d6678ab99p-20, 0x1.98fdd5f14053dp-20, 0x1.9e6f447862abep-20, 0x1.a3c5a23691815p-20, 0x1.a90c3ec64e90ep-20, 0x1.ae4345ae21e96p-20, 0x1.b376b2ab2f32p-20, 0x1.b89698696db41p-20, 0x1.bd9ae6be9fa43p-20, 0x1.c2bc4444f1c19p-20, }}, 
      {{-0x1.ac0b951452cd6p-6, -0x1.5f4da87e50d73p-4, -0x1.2e916fce823e1p-3, -0x1.86936a8211e72p-3, -0x1.a5ea749d0eb35p-3, -0x1.8de5025dfc2bcp-3, -0x1.4a95ded976a28p-3, -0x1.d868e1c6957cdp-4, -0x1.05717ab75c2b4p-4, -0x1.b6f850f633a79p-7, 0x1.ffe1907d6e0f8p-6, 0x1.131124282778fp-4, 0x1.7cc5a35275073p-4, 0x1.bc6ffbbebb5bdp-4, 0x1.d4fe1097d234cp-4, 0x1.cba9b7cac54fbp-4, 0x1.a6ea4a74d41a8p-4, 0x1.6da4824826cp-4, 0x1.269468e24db8ep-4, 0x1.afd19ea94f587p-5, 0x1.0e0d3686f08e1p-5, 0x1.c352e22c64adfp-7, -0x1.05f85e137de76p-8, -0x1.42cc5da408d18p-6, -0x1.0d8579a262e56p-5, -0x1.62fdb736e67a7p-5, -0x1.a0f4e43b80e09p-5, -0x1.c79d5920ad923p-5, -0x1.d7fe7c5c7c8bbp-5, -0x1.d3c0fc6dd4cbbp-5, -0x1.bd0013590baddp-5, -0x1.9620b286b5a4bp-5, -0x1.61ae8f41f2093p-5, -0x1.223fa016adbfep-5, -0x1.b4ba6cad9c20ep-6, -0x1.18e5091ddfdb2p-6, -0x1.d5fe7aca80a93p-8, 0x1.8ae3e02e6678bp-9, 0x1.b00f62f62b83bp-7, 0x1.7b5109b24bf44p-6, 0x1.0c3f566520527p-5, 0x1.56a57646c1943p-5, 0x1.9bef7926f6a48p-5, 0x1.db65a023dbdedp-5, 0x1.0a3fe45ceca72p-4, 0x1.237061929d84ep-4, 0x1.3928d14a5ea3cp-4, 0x1.4b5e7da14a46ep-4, 0x1.5a152dea3fed8p-4, 0x1.655ce2d7ebef9p-4, 0x1.6d4fd4c946d2p-4, 0x1.7210802264866p-4, 0x1.73c7f73ecab59p-4, 0x1.72a44f060f8e9p-4, 0x1.6ed73d28735dep-4, 0x1.6894f02787bbcp-4, 0x1.6012ee20609f7p-4, 0x1.5587517b70555p-4, 0x1.4927f9dcfb78ap-4, 0x1.3b29ee54ff5bbp-4, 0x1.2bc0dd31238a2p-4, 0x1.1b1eb3dbabf68p-4, 0x1.09734e796aee1p-4, 0x1.edd87b5fafe12p-5, 0x1.c769281f71ed7p-5, 0x1.9fe9a8636bcc4p-5, 0x1.77a5a7f7bd1ep-5, 0x1.4ee37e6c2741p-5, 0x1.25e42a341f711p-5, 0x1.f9c6c75b53b3ap-6, 0x1.a82f85583989dp-6, 0x1.5765aca8b6c7dp-6, 0x1.07c2d24b265dcp-6, 0x1.732e68bf36283p-7, 0x1.b4a98a3832c97p-8, 0x1.15dbc7225149p-9, -0x1.2bf1cfda06e9p-9, -0x1.ad4b64e4e604ap-8, -0x1.5d32f55f542cp-7, -0x1.de5f57cd9a825p-7, -0x1.2cf9004558e35p-6, -0x1.67deb147fc6e3p-6, -0x1.9fcf184d74ccap-6, -0x1.d4bd59ead4c4cp-6, -0x1.035079aa0f0e3p-5, -0x1.1abab3fecb571p-5, -0x1.309ceb9246083p-5, -0x1.44f858b1ced04p-5, -0x1.57cfb0c6e59dbp-5, -0x1.6926fafe1aa92p-5, -0x1.79036f7c3ece9p-5, -0x1.876b5831615cdp-5, -0x1.9465e4c8dbc26p-5, -0x1.9ffb22b350e85p-5, -0x1.aa33d020aa4a7p-5, -0x1.b3193d782f00cp-5, -0x1.bab53c5a7d428p-5, -0x1.c112091c09d2bp-5, -0x1.c63a40016aea4p-5, -0x1.ca38bea31e4cdp-5, -0x1.cd188dcea6c47p-5, -0x1.cee4daf58813bp-5, -0x1.cfa8e63e4a86ep-5, -0x1.cf6ff8ada2f75p-5, -0x1.ce45547373a09p-5, -0x1.cc342e2a98ec7p-5, -0x1.c9479ee23d22bp-5, -0x1.c58a9f329d527p-5, -0x1.c107fbbebd3a5p-5, -0x1.bbca55e772511p-5, -0x1.b5dc15aa74f76p-5, -0x1.af47699d5e596p-5, -0x1.a8164259dcf05p-5, -0x1.a0524e0ead302p-5, -0x1.9804f460d90cp-5, -0x1.8f3756dadd366p-5, -0x1.85f24cda7a41bp-5, -0x1.7c3e661335effp-5, -0x1.7223e3d16c54p-5, -0x1.67aabaaae20e8p-5, -0x1.5cda95adef094p-5, -0x1.51bad29fa5366p-5, -0x1.465282a14e10ep-5, -0x1.3aa86e47109fap-5, -0x1.2ec3125574279p-5, -0x1.22a8a0ffbe4e3p-5, -0x1.165f09c50114ap-5, -0x1.09ebf1811a224p-5, -0x1.faa975752cd4bp-6, -0x1.e13d08756fef4p-6, -0x1.c79c52d591a1cp-6, -0x1.add091adde979p-6, -0x1.93e2867a56e13p-6, -0x1.79da7cef9c321p-6, -0x1.5fc041e4829a6p-6, -0x1.459b3edbe427ap-6, -0x1.2b726f1685c74p-6, -0x1.114c60db01acp-6, -0x1.ee5e7f1e3558fp-7, -0x1.ba41bece9f6d3p-7, -0x1.864d662f74ec1p-7, -0x1.528b975780e9ap-7, -0x1.1f05ce83f0054p-7, -0x1.d78a1a0454f1bp-8, -0x1.71a329d285175p-8, -0x1.0c6613f7d7775p-8, -0x1.4fc284acbed8cp-9, -0x1.108849db0e22cp-10, 0x1.ecb472286bc45p-12, 0x1.01b6fa64ab22bp-9, 0x1.c40860101cbc7p-9, 0x1.423bbb6654001p-8, 0x1.a17973f59aa87p-8, 0x1.ffb560962bf46p-8, 0x1.2e74201fb5dep-7, 0x1.5c85c1031e29fp-7, 0x1.8a0ca0e05c4b8p-7, 0x1.b70622837884p-7, 0x1.e36fe6d7a14b3p-7, 0x1.07a3ecfb4dd6cp-6, 0x1.1d461367ab25dp-6, 0x1.329d9f2b09c0dp-6, 0x1.47a9e06965d91p-6, 0x1.5c6a465e33048p-6, 0x1.70de557adcc2bp-6, 0x1.8505ae1c1770ap-6, 0x1.98e0081d2b93cp-6, 0x1.ac6d2a90e5763p-6, 0x1.bfacf16fcf79bp-6, 0x1.d29f4a83fbb77p-6, 0x1.e544371378e2dp-6, 0x1.f79bc51e614c7p-6, 0x1.04d3086a4eb01p-5, 0x1.0db1a10e69c03p-5, 0x1.1669c71e1f7fbp-5, 0x1.1efb9b86c36f1p-5, 0x1.276744788775ep-5, 0x1.2faceba16e78fp-5, 0x1.37ccc0015a7e1p-5, 0x1.3fc6e4b04b0e5p-5, 0x1.479ba70eb01acp-5, 0x1.4f4b38ba34034p-5, 0x1.56d5c81e3329fp-5, 0x1.5e3b99d28f732p-5, 0x1.657cf079dffcfp-5, 0x1.6c9a0c1fafee3p-5, 0x1.7393300bd10bcp-5, 0x1.7a68a08574d5ap-5, 0x1.811aa3691f06fp-5, 0x1.87a9804c818aap-5, 0x1.8e157ebea8c76p-5, 0x1.945ee7a679c12p-5, 0x1.9a8604e59184dp-5, 0x1.a08b2040b00d6p-5, 0x1.a66e81461c051p-5, 0x1.ac3071019a677p-5, 0x1.b1d13caff5064p-5, 0x1.b75132c45d40ap-5, 0x1.bcb0982d8a1d8p-5, 0x1.c1efb3c8b7878p-5, 0x1.c70ed68d5f765p-5, 0x1.cc0e478786f13p-5, 0x1.d0ee4a8d30152p-5, 0x1.d5af2acf0cd74p-5, 0x1.da51311a65f9ep-5, 0x1.ded4a5f72549bp-5, 0x1.e339cf800023ap-5, 0x1.e780f4750ac92p-5, 0x1.ebaa5a8d0f8d5p-5, 0x1.efb6477966c22p-5, 0x1.f3a4fffc96f3cp-5, 0x1.f776c7ba20579p-5, 0x1.fb2be38491079p-5, 0x1.fec4953425d42p-5, 0x1.01208f5a97a4dp-4, 0x1.02d0e17f7e42dp-4, 0x1.0473618a611cp-4, 0x1.060830026f8b8p-4, 0x1.078f6ca22dc3bp-4, 0x1.0909379643b4cp-4, 0x1.0a75affe7cef8p-4, 0x1.0bd4f52eddac5p-4, 0x1.0d27263b30a82p-4, 0x1.0e6c61ef530f7p-4, 0x1.0fa4c71ea0a94p-4, 0x1.10d07401872p-4, 0x1.11ef86d5a372dp-4, 0x1.13021d3eb39cdp-4, 0x1.1408551a4d4afp-4, 0x1.15024c1471672p-4, 0x1.15f01ffa6b63fp-4, 0x1.16d1ed814c687p-4, 0x1.17a7d1fcbcdacp-4, 0x1.1871ea47c644dp-4, 0x1.193053a27578ap-4, 0x1.19e32a421838cp-4, 0x1.1a8a8b3b774cfp-4, 0x1.1b269356e74d4p-4, 0x1.1bb75e61b1387p-4, 0x1.1c3d09fa64695p-4, 0x1.1cb7b1673a8ap-4, 0x1.1d277155355e4p-4, 0x1.1d8c65d779955p-4, 0x1.1de6abfc2cbc2p-4, 0x1.1e365f171550dp-4, 0x1.1e7b9d4092f0cp-4, 0x1.1eb67c4ae119p-4, 0x1.1ee7231a81201p-4, 0x1.1f0da6c3953f3p-4, 0x1.1f2a23654c4c6p-4, 0x1.1f3cb71eaca45p-4, 0x1.1f457d62e8f9p-4, 0x1.1f4493a4f6ee5p-4, 0x1.1f3a147815dc6p-4, 0x1.1f261deb616c3p-4, 0x1.1f08cb241058dp-4, 0x1.1ee238f73e249p-4, 0x1.1eb28440c9eb1p-4, 0x1.1e79c935409f4p-4, 0x1.1e3823c3bb4f5p-4, 0x1.1dedb1b18f05dp-4, 0x1.1d9a8e7918f8p-4, 0x1.1d3ed84e63babp-4, 0x1.1cdaab2aff1fp-4, 0x1.1c6e23afba4bcp-4, 0x1.1bf95f0d60f6p-4, 0x1.1b7c7a9025e22p-4, 0x1.1af792cfb6099p-4, 0x1.1a6ac52f769bdp-4, 0x1.19d62e36c15f3p-4, 0x1.1939ebe75a1ccp-4, 0x1.18961a86d8a45p-4, 0x1.17ead83142045p-4, 0x1.173841d35dbap-4, 0x1.167e7552c1005p-4, 0x1.15bd8f5790c84p-4, 0x1.14f5adeec2184p-4, 0x1.1426ee7dc6322p-4, 0x1.13516e6f0181dp-4, 0x1.12754abd1e8c1p-4, 0x1.1192a2127eb25p-4, 0x1.10a990caace31p-4, 0x1.0fba36477e997p-4, 0x1.0ec4ad69d1063p-4, 0x1.0dc916b230a3ep-4, 0x1.0cc78e395a22bp-4, 0x1.0bc0314474bap-4, 0x1.0ab31e7eb0dacp-4, 0x1.09a0726eabe18p-4, 0x1.08884bc59eaa4p-4, 0x1.076ac6cd7147bp-4, 0x1.06480186debfcp-4, 0x1.052019ea7f885p-4, 0x1.03f32cca588bep-4, 0x1.02c1574e0869dp-4, 0x1.018ab76d72bfp-4, 0x1.004f69c2e7e2p-4, 0x1.fe1f18d0e256cp-5, 0x1.fb9673f20cdd4p-5, 0x1.f90525f5881f8p-5, 0x1.f66b609e804ep-5, 0x1.f3c967d32e393p-5, 0x1.f11f6b5cb4069p-5, 0x1.ee6da86df32c7p-5, 0x1.ebb457599aa4bp-5, 0x1.e8f3b20ca7c7ap-5, 0x1.e62beebfa8ab2p-5, 0x1.e35d4c1adf739p-5, 0x1.e087f08a408cbp-5, 0x1.ddac33e79699p-5, 0x1.daca268ea1e5p-5, 0x1.d7e21a1d76e75p-5, 0x1.d4f43e153db75p-5, 0x1.d200c7294f8dap-5, 0x1.cf07ed36ed831p-5, 0x1.cc09e457d9931p-5, 0x1.c906e2f693798p-5, 0x1.c5ff1dba6cbf1p-5, 0x1.c2f2c881dd2f7p-5, 0x1.bfe216f43d30ep-5, 0x1.bccd3ef7e65f5p-5, 0x1.b9b4711ce2c14p-5, 0x1.b697e1647e8edp-5, 0x1.b377c229525a6p-5, 0x1.b05444e97e67ep-5, 0x1.ad2d9b2177d7bp-5, 0x1.aa03f5bdf0efep-5, 0x1.a6d78534f1128p-5, 0x1.a3a8792c83d32p-5, 0x1.a077019e36718p-5, 0x1.9d434d1d8ff1ap-5, 0x1.9a0d89f930b63p-5, 0x1.96d5e657c01c3p-5, 0x1.939c8f17dabd5p-5, 0x1.9061b18cf3c94p-5, 0x1.8d257992ddc9fp-5, 0x1.89e813a50a6a7p-5, 0x1.86a9a9b2b9e1p-5, 0x1.836a67845b9cp-5, 0x1.802a766737bd7p-5, 0x1.7cea00594c5bdp-5, 0x1.79a92d86d9914p-5, 0x1.76682666d9363p-5, 0x1.732712b200989p-5, 0x1.6fe6198d6799fp-5, 0x1.6ca5611b94b1dp-5, 0x1.6965107d39815p-5, 0x1.66254bb0228adp-5, 0x1.62e63833b15e1p-5, 0x1.5fa7f9516584fp-5, 0x1.5c6ab3c95c3a6p-5, 0x1.592e8a2ce9451p-5, 0x1.55f39ec104561p-5, 0x1.52ba127410e78p-5, 0x1.4f820688c4c47p-5, 0x1.4c4b9be998a5dp-5, 0x1.4916f1b8fe1d5p-5, 0x1.45e427413dfb5p-5, 0x1.42b35afe0de5ap-5, 0x1.3f84aab1d3031p-5, 0x1.3c5833ed2ab2cp-5, 0x1.392e1332e8d02p-5, 0x1.360664f5ee10ep-5, 0x1.32e144d9a8eebp-5, 0x1.2fbece1ccdf6dp-5, 0x1.2c9f1aebe9afep-5, 0x1.29824542f72c7p-5, 0x1.266865f6ec216p-5, 0x1.235199cb07ae7p-5, 0x1.203dee3e3ba0bp-5, 0x1.1d2d837feb055p-5, 0x1.1a206d9c6754cp-5, 0x1.1716c166bfafbp-5, 0x1.141093f477e9fp-5, 0x1.110df9b7d59a5p-5, 0x1.0e0f05b141addp-5, 0x1.0b13cd017a886p-5, 0x1.081c62756bf7fp-5, 0x1.0528d9df2c8aap-5, 0x1.02394603d3402p-5, 0x1.fe9b7541d25c5p-6, 0x1.f8cc9377411d6p-6, 0x1.f3060a17a89cep-6, 0x1.ed47fca769bb1p-6, 0x1.e792800727dp-6, 0x1.e1e5b775abc66p-6, 0x1.dc41b46145089p-6, 0x1.d6a68d4133317p-6, 0x1.d114550251d9dp-6, 0x1.cb8b205bdcb4dp-6, 0x1.c60b063cac19fp-6, 0x1.c09420fce8362p-6, 0x1.bb268ee9ef37ap-6, 0x1.b5c26e9abedd6p-6, 0x1.b067e1c3408e2p-6, 0x1.ab17059587bcep-6, 0x1.a5cff4e36cd4cp-6, 0x1.a092c49e0c60ap-6, 0x1.9b5f7f2af5d11p-6, 0x1.96362b0da92c2p-6, 0x1.9116c710f4299p-6, 0x1.8c014f509303bp-6, 0x1.86f5c36e2ba82p-6, 0x1.81f424584c4ecp-6, 0x1.7cfc788fdc01bp-6, 0x1.780ed10fa884fp-6, 0x1.732b48b412cb3p-6, 0x1.6e51f6559b99dp-6, 0x1.6982fa7cdbd0ep-6, 0x1.64be6ed661d09p-6, 0x1.6004671025592p-6, 0x1.5b54ec3056317p-6, 0x1.56afffeb73cdfp-6, 0x1.521597dc7c2f2p-6, 0x1.4d85a707aca99p-6, 0x1.49001a998f02bp-6, 0x1.4484e5530079ep-6, 0x1.4013fe57aa382p-6, 0x1.3bad62f6016e4p-6, 0x1.37511af801e8p-6, 0x1.32ff30e193cb7p-6, 0x1.2eb7b233d0f09p-6, 0x1.2a7aaad0eeb6dp-6, 0x1.26482188ac062p-6, 0x1.2220127c0036bp-6, 0x1.1e0287068e978p-6, 0x1.19ef6052dbc86p-6, 0x1.15e69acd69de9p-6, 0x1.11e8294f80f45p-6, 0x1.0df4047b1d618p-6, 0x1.0a0a2b6b54c32p-6, 0x1.062aa5703351dp-6, 0x1.02557ae5aedfep-6, 0x1.fd1574cc79367p-7, 0x1.f594cf4bc3bd1p-7, 0x1.ee2907e4a4a35p-7, 0x1.e6d2006450fadp-7, 0x1.df8f8212b427bp-7, 0x1.d86141cf122b1p-7, 0x1.d146e360de8a5p-7, 0x1.ca400d083b1fbp-7, 0x1.c34c7506ff617p-7, 0x1.bc6be91211c6fp-7, 0x1.b59e573b08f3ap-7, 0x1.aee3d5cd53bb4p-7, 0x1.a83c9958c7b24p-7, 0x1.a1a8ea8d929c6p-7, 0x1.9b291930c22e8p-7, 0x1.94bd69b205938p-7, 0x1.8e6603a6e6c51p-7, 0x1.8822dd4fdba32p-7, 0x1.81f3e663d16f8p-7, 0x1.7bd8a16f9e9abp-7, 0x1.75d0ac7077a7fp-7, 0x1.6fdb7b85dce16p-7, 0x1.69f88afe255bdp-7, 0x1.6427633592e1p-7, 0x1.5e67a8d2d09aep-7, 0x1.58b92394c8eb6p-7, 0x1.531bbbecd3cbep-7, 0x1.4d8f7a6c11137p-7, 0x1.481482599c70dp-7, 0x1.42ab0750a5094p-7, 0x1.3d5343d4f750cp-7, 0x1.380d696c9960dp-7, 0x1.32d997c0e0a2bp-7, 0x1.2db7cfbd7ad3bp-7, 0x1.28a7f34f9c397p-7, 0x1.23a9c9904ea12p-7, 0x1.1ebd03df4c0e1p-7, 0x1.19e14bc855a8cp-7, 0x1.151659b6dc49cp-7, 0x1.105bf5933f7aap-7, 0x1.0bb1fbfde3295p-7, 0x1.071855c5b6096p-7, 0x1.028ee79062163p-7, 0x1.fc2b04b4e9ea9p-8, 0x1.f357b6c2d62e5p-8, 0x1.eaa32415fbef4p-8, 0x1.e20c6c9376a16p-8, 0x1.d993027494934p-8, 0x1.d13654ceb7b4ap-8, 0x1.c8f64830de215p-8, 0x1.c0d3031a59657p-8, 0x1.b8cc9f2fcab9fp-8, 0x1.b0e368bcf9f63p-8, 0x1.a917689522a03p-8, 0x1.a1689b5deeff1p-8, 0x1.99d7093880b79p-8, 0x1.9262de5ce93b8p-8, 0x1.8b0c6f27a94b8p-8, 0x1.83d4149af91f5p-8, 0x1.7cb9fa75766eep-8, 0x1.75bde077b3d5dp-8, 0x1.6edefaae11b26p-8, 0x1.681bf60d4d7d1p-8, 0x1.617334d3571c4p-8, 0x1.5ae317cda6496p-8, 0x1.546a3c5f3f1adp-8, 0x1.4e07ad6a5ecbbp-8, 0x1.47baf0cdeeccbp-8, 0x1.4183f81fc7d62p-8, 0x1.3b630e26a57c9p-8, 0x1.3558b365ae41ep-8, 0x1.2f65957e283c9p-8, 0x1.298a66c64b67bp-8, 0x1.23c7d12ce0df5p-8, 0x1.1e1e5add47593p-8, 0x1.188e5fc897611p-8, 0x1.1317f7880ec02p-8, 0x1.0dbaff6df5ca6p-8, 0x1.0877026904a4cp-8, 0x1.034b127f74cb1p-8, 0x1.fc6bf99bf1cf9p-9, 0x1.f26d10f874f3cp-9, 0x1.e8972c6d10cbep-9, 0x1.dee8eabcb2dffp-9, 0x1.d56194dd01528p-9, 0x1.cc007038fb225p-9, 0x1.c2c4336cd3e2cp-9, 0x1.b9aadda5fc6ep-9, 0x1.b0b2ed9d50b7bp-9, 0x1.a7dbf14e68fc3p-9, 0x1.9f277d06ed3cap-9, 0x1.96982c2b8592cp-9, 0x1.8e30b66df43d6p-9, 0x1.85f2b95fae2cp-9, 0x1.7dde4ad3aaac3p-9, 0x1.75f25fdbd49e1p-9, 0x1.6e2d60d4102bp-9, 0x1.668dbd45445dbp-9, 0x1.5f11ef20d8a37p-9, 0x1.57b8693cbddf5p-9, 0x1.507f3cfbd157dp-9, 0x1.4964e10c15bbp-9, 0x1.4268b9681287ep-9, 0x1.3b8b5398fb1acp-9, 0x1.34cdc2a6b428ep-9, 0x1.2e307f15982ddp-9, 0x1.27b2ad92d74dp-9, 0x1.21524dac36f69p-9, 0x1.1b0d299e5467bp-9, 0x1.14e1ea6b3381cp-9, 0x1.0ed0bbc5cf6b3p-9, 0x1.08db0dbb8cd35p-9, 0x1.030294d397851p-9, 0x1.fa907f2aa6dd6p-10, 0x1.ef57c6c76cb13p-10, 0x1.e459267ad9e96p-10, 0x1.d99247657b2e7p-10, 0x1.cf011ca0d0724p-10, 0x1.c4a4d0d51a9f8p-10, 0x1.ba7c5f00dff89p-10, 0x1.b0866b5fd373dp-10, 0x1.a6c017186e2edp-10, 0x1.9d26574c52e0ap-10, 0x1.93b78b44de393p-10, 0x1.8a73f1d8747d5p-10, 0x1.815cdcce43bccp-10, 0x1.78737a17fb9e3p-10, 0x1.6fb82eea6b17p-10, 0x1.672ada5cc6301p-10, 0x1.5ecae4d833717p-10, 0x1.56982bb03b38ap-10, 0x1.4e92613d58ff5p-10, 0x1.46b76c2df199p-10, 0x1.3f035b64e1c7ap-10, 0x1.3772f0d317b6ap-10, 0x1.3005f779cb4dep-10, 0x1.28be728f8c0ccp-10, 0x1.219db1711517bp-10, 0x1.1aa3161955df9p-10, 0x1.13cd969d8462cp-10, 0x1.0d1e2698513acp-10, 0x1.06968e75eaddcp-10, 0x1.00363ae960fa2p-10, 0x1.f3f2d3fa425cfp-11, 0x1.e7b64fc3468e3p-11, 0x1.dbb00d8c2f2d4p-11, 0x1.cfdf87f28bffcp-11, 0x1.c4493f47155edp-11, 0x1.b8f122727e90cp-11, 0x1.add778c8275a8p-11, 0x1.a2f9df34fa068p-11, 0x1.985b14803d997p-11, 0x1.8e0156c15c6f3p-11, 0x1.83f0127c7a035p-11, 0x1.7a22a6fce29f6p-11, 0x1.708ddd1d5efdbp-11, 0x1.6724b54db58cap-11, 0x1.5de093d1a98fbp-11, 0x1.54c6b72916597p-11, 0x1.4be119d252183p-11, 0x1.43316ff8a0522p-11, 0x1.3ab1f38786a5bp-11, 0x1.3260eff24ec29p-11, 0x1.2a4566f9b0e5ap-11, 0x1.22642f0bf56fep-11, 0x1.1abb317cbeb47p-11, 0x1.134360a571c0dp-11, 0x1.0bf35b1378e55p-11, 0x1.04c31171518f1p-11, 0x1.fb6514e778ee9p-12, 0x1.ed930db6155e3p-12, 0x1.e0197c4fe552dp-12, 0x1.d2f006af9b39bp-12, 0x1.c60d7b709f2fcp-12, 0x1.b978abd9e2fep-12, 0x1.ad3d267d614eap-12, 0x1.a15c0c007ec9ap-12, 0x1.95ce99a0c6a5dp-12, 0x1.8a8eb237e5f0fp-12, 0x1.7f961e6e039fp-12, 0x1.74d83ed9c4fe2p-12, 0x1.6a4a3ab42db94p-12, 0x1.5ff4f2938d799p-12, 0x1.55e6e3557ad6p-12, 0x1.4c1925d82253p-12, 0x1.427f827ef60adp-12, 0x1.3921839ec1d51p-12, 0x1.300a036cea8cbp-12, 0x1.27379c5fa00f5p-12, 0x1.1ea551b0fc295p-12, 0x1.16507c3acd44fp-12, 0x1.0e34dfbdb5006p-12, 0x1.0647885aa2ffap-12, 0x1.fd003e622e065p-13, 0x1.edce506a00f7dp-13, 0x1.df0cf4734ee26p-13, 0x1.d0ad252c68e61p-13, 0x1.c29e6a09f34f3p-13, 0x1.b4f2e9d74cd96p-13, 0x1.a7b37a9e9afc2p-13, 0x1.9ad64f0e09422p-13, 0x1.8e50ca700c24ep-13, 0x1.821f3ef8bd416p-13, 0x1.7641bc43c1296p-13, 0x1.6abd8a77f7111p-13, 0x1.5f92629d9a923p-13, 0x1.54adcd0fbfb59p-13, 0x1.4a0cee3d15173p-13, 0x1.3fba6fc907fe3p-13, 0x1.35a7380f98c4ep-13, 0x1.2bd40b2b4167ap-13, 0x1.225469619e8dep-13, 0x1.19228f43cfa87p-13, 0x1.1032bc8771ba1p-13, 0x1.0781f8207bcc4p-13, 0x1.fe227778b5af9p-14, 0x1.edc704ee171acp-14, 0x1.ddf65386b4363p-14, 0x1.cea5576ffe1a1p-14, 0x1.bfb8d761cebb3p-14, 0x1.b1360d6bc2b44p-14, 0x1.a32565975ce1bp-14, 0x1.956ef1c13360ap-14, 0x1.88225343dff5fp-14, 0x1.7b549e0d5867cp-14, 0x1.6ef7736577f51p-14, 0x1.62f5bebb98d08p-14, 0x1.574bb0896488bp-14, 0x1.4bfa98a8c9575p-14, 0x1.4100e4be9b9bep-14, 0x1.36624ac7e9222p-14, 0x1.2c2f67ddf2cdbp-14, 0x1.226172fe8ed1cp-14, 0x1.18d9c10bddcap-14, 0x1.0f96b9367e142p-14, 0x1.0692b4adf5c82p-14, 0x1.fbc86d7984f86p-15, 0x1.eb2344f49b889p-15, 0x1.db0f8a87457f1p-15, 0x1.cb7fa6fcd2935p-15, 0x1.bc730ec1c13e8p-15, 0x1.adec136269e9bp-15, 0x1.9fe49aefecdd8p-15, 0x1.925c86c4e7a85p-15, 0x1.855268884e35dp-15, 0x1.78d14fc09ab53p-15, 0x1.6cde263ca338fp-15, 0x1.61574a4fa2447p-15, 0x1.563247845e28p-15, 0x1.4b63c23a1a9edp-15, 0x1.40fe7ba49ad1ep-15, 0x1.371caefae800ap-15, 0x1.2da37a2df56fap-15, 0x1.24819ec14d50cp-15, 0x1.1bb89505358a1p-15, 0x1.1345d9f0979ap-15, 0x1.0b2a1e347fe86p-15, 0x1.0361fc7dee892p-15, 0x1.f7e52d13d196fp-16, 0x1.e9d8f0b31b6c6p-16, 0x1.dc711d431f339p-16, 0x1.cf770fb7c1fe5p-16, 0x1.c2fc53a566b6bp-16, 0x1.b73223ef3d152p-16, 0x1.ac0108fcece75p-16, 0x1.a14e9d63d778dp-16, 0x1.971a80ea11987p-16, 0x1.8d654fb0ba0a7p-16, 0x1.842c406604521p-16, 0x1.7b6bf2fca8348p-16, 0x1.732021cbd5153p-16, 0x1.6b4406d2702b4p-16, 0x1.63d31521e20cdp-16, 0x1.5cc89817e1fccp-16, 0x1.56227b591f274p-16, 0x1.4fe95888fac23p-16, 0x1.4a2285f474b07p-16, 0x1.44aa179c4bb7fp-16, 0x1.3f799bb24885fp-16, 0x1.3aa2b3ae8795cp-16, 0x1.362d7ebdac288p-16, 0x1.3205a64b64076p-16, 0x1.2e26674e25fdcp-16, 0x1.2a9c550924b6fp-16, 0x1.273d88679b7ecp-16, 0x1.242d1b81ea82fp-16, 0x1.216082f419cb6p-16, 0x1.1ed8b9ebf5d32p-16, 0x1.1c976e7f4087p-16, 0x1.1a8aaf450ecfdp-16, 0x1.18ae596068e84p-16, 0x1.17115938f6bp-16, 0x1.15a6b49c78613p-16, 0x1.146c2b867e3a4p-16, 0x1.13655576e7359p-16, 0x1.128b4ffeabcfdp-16, 0x1.11dc3e24c2f01p-16, 0x1.11574bb7f5ce3p-16, 0x1.10f9b97e7fb31p-16, 0x1.10bfa471f0898p-16, 0x1.10af303714da3p-16, 0x1.10c256e276b28p-16, 0x1.10f553e7a8b81p-16, 0x1.114829a482f65p-16, 0x1.11b8bbee286bep-16, 0x1.1245c46128ca5p-16, 0x1.12ecad50b933p-16, 0x1.13aeb67c399dcp-16, 0x1.14887130f76cbp-16, 0x1.1579897a40d04p-16, 0x1.167f8c29e21b4p-16, 0x1.179a3dcbb03ap-16, 0x1.18c7ac44b08f8p-16, 0x1.1a06c9da4b084p-16, 0x1.1b56d7b8762d1p-16, 0x1.1cb4a01822df6p-16, 0x1.1e220de5c41abp-16, 0x1.1f9e272ab4bccp-16, 0x1.2123da5ba8c7bp-16, 0x1.22b64a60cce11p-16, 0x1.2452a5622fe38p-16, 0x1.25f7ef9c9de08p-16, 0x1.279d1575608c4p-16, 0x1.295b05a26466fp-16, 0x1.2b17bf38d2b54p-16, 0x1.2cd9d5ce76da9p-16, 0x1.2ea0bbaca23b8p-16, 0x1.306c5935fa5a7p-16, 0x1.323aa5b04a971p-16, 0x1.34064ee1a2e1fp-16, 0x1.35e0e0bc8d69p-16, 0x1.37b67e17b692p-16, 0x1.398c487883a6ap-16, 0x1.3b60638b9001ep-16, 0x1.3d35c65a2f017p-16, 0x1.3f0e18c9d0508p-16, 0x1.40df0d59a9289p-16, 0x1.42b2dadf5ea96p-16, 0x1.44812c9735b7p-16, 0x1.464aea4eb87edp-16, 0x1.4815963c0d7aap-16, 0x1.49d903ad2125fp-16, 0x1.4b98039155397p-16, 0x1.4d52534c25628p-16, 0x1.4f0871aa60b8cp-16, 0x1.50b911c25f93cp-16, 0x1.526376ebf76cdp-16, 0x1.54078387b9dc4p-16, 0x1.55a47a0c4d8fcp-16, 0x1.573b9453d70b6p-16, 0x1.58c9d6382fc72p-16, 0x1.5a515992a551p-16, 0x1.5bd08b6f5c924p-16, 0x1.5d47ca5209deap-16, 0x1.5eb6f521317d1p-16, 0x1.601da890d7279p-16, 0x1.617ba998b882dp-16, 0x1.62d055e0ef88ap-16, 0x1.641f1a5e50ba9p-16, 0x1.654fb40021301p-16, 0x1.669831bd45488p-16, 0x1.67c6e90226efep-16, 0x1.68ec32f0edd7p-16, 0x1.6a0788442566bp-16, 0x1.6b1895df20694p-16, 0x1.6c1f3828d1e1cp-16, 0x1.6d1bd1655922ep-16, 0x1.6e0ec5b410a84p-16, 0x1.6efa5abd61d1dp-16, 0x1.6fd52c3518b1p-16, 0x1.70a4aca31f6a7p-16, 0x1.716aa3e076d82p-16, 0x1.72273316484eep-16, 0x1.72de78afbde2fp-16, 0x1.7382f0345d5a7p-16, 0x1.74216bef547bep-16, 0x1.74ae82bc5702bp-16, 0x1.7529b1c4941b5p-16, 0x1.75b14c319b162p-16, 0x1.7622d256bee01p-16, 0x1.76874d67853dbp-16, 0x1.76e1d47b0692ep-16, 0x1.772d14f501188p-16, 0x1.777385698aee3p-16, 0x1.77ada3bd8fe86p-16, 0x1.77dbe423356b4p-16, 0x1.780120a1dca6p-16, 0x1.7816c49f6ef2cp-16, 0x1.7824566ee736ap-16, 0x1.7827b435b2bccp-16, 0x1.781f4240c0188p-16, 0x1.780ca900aeb77p-16, 0x1.77fda9893ff77p-16, 0x1.77c78fcea7e56p-16, 0x1.77956c8b1eeb7p-16, 0x1.7757e2fcb5e2fp-16, 0x1.771055794c875p-16, 0x1.76be2634187dfp-16, 0x1.76635e200ea78p-16, 0x1.75fbb9408536p-16, 0x1.758c73ec0b493p-16, 0x1.7511d8e732c82p-16, 0x1.748ec97eb6393p-16, 0x1.74002a77d08e2p-16, 0x1.735b085d8522p-16, 0x1.72c7247895684p-16, 0x1.721a326e1be09p-16, 0x1.7163f8d0ffb4ep-16, 0x1.70a81f65c59f6p-16, 0x1.6fe548c567e43p-16, 0x1.6f129d553a271p-16, 0x1.6e3a8d94ff1f5p-16, 0x1.6d53b011090b3p-16, 0x1.6c69a21903374p-16, 0x1.6b7657ec01a04p-16, 0x1.6a7952479cf5dp-16, 0x1.6975742778b6cp-16, 0x1.686500d65952bp-16, 0x1.6753389133802p-16, 0x1.6637fbd8cd92ap-16, 0x1.650d0cb7c9671p-16, 0x1.63dfa19976207p-16, 0x1.62c6a981f0ee5p-16, 0x1.616d69f718d9cp-16, 0x1.60274eec17fbbp-16, 0x1.5edd1492e2a91p-16, 0x1.5d881f019ec35p-16, 0x1.5c2db50c3f205p-16, 0x1.5acaaf7966012p-16, 0x1.59602f076eee7p-16, 0x1.57efbc5930719p-16, 0x1.5678d3267cdb9p-16, 0x1.54fb0c84e2a72p-16, 0x1.5377a18d4cf7fp-16, 0x1.51ec72eb9c2c3p-16, 0x1.505bcf6d19bdp-16, 0x1.4ec51f25b800dp-16, 0x1.4d1c2c1fd9baep-16, 0x1.4b83a660579ffp-16, 0x1.49d9ca97979d4p-16, 0x1.48284dd8a7b75p-16, 0x1.46760b41eb26fp-16, 0x1.44bef65512df4p-16, 0x1.42fdc680bc2d7p-16, 0x1.413b13ae2153fp-16, 0x1.3f6c23846f2f7p-16, 0x1.3d9e772585974p-16, 0x1.3bcc1df2b23c1p-16, 0x1.39f4937d03a97p-16, 0x1.3816e0f3b4835p-16, 0x1.363540e596cf5p-16, 0x1.344e17266e7ebp-16, 0x1.326087a41e421p-16, 0x1.307766c7345fcp-16, 0x1.2e84dcd17bcebp-16, 0x1.2c8db5c0f78f1p-16, 0x1.2a8f19e5460c5p-16, 0x1.28912f1e09862p-16, 0x1.268fe8bbf0fdp-16, 0x1.248a4856f94e1p-16, 0x1.2280d077f2b3p-16, 0x1.2073b088827a2p-16, 0x1.1e62c302cc7e9p-16, 0x1.1c50385caea72p-16, 0x1.1a3ca48dc02b8p-16, 0x1.180fd714609aep-16, 0x1.1607bf4b3d8e6p-16, }}, 
      {{0x1.20bc88e5d5e7p-1, 0x1.bb1f79a1fd028p-1, 0x1.db7fb644e9c9fp-1, 0x1.b5d8046566487p-1, 0x1.7743a8156f8abp-1, 0x1.3bc38ae0278c7p-1, 0x1.103c0249fbb44p-1, 0x1.eed62d68ea006p-2, 0x1.dcfcfbb0171c1p-2, 0x1.e0c220c0301cfp-2, 0x1.ef87a99557557p-2, 0x1.002de6718c1b6p-1, 0x1.0665cad3dfd5ep-1, 0x1.0877ca1307a03p-1, 0x1.05893680c3d1fp-1, 0x1.fb2ee5c4bf9b5p-2, 0x1.e269b579f9d64p-2, 0x1.c29a302ac28bdp-2, 0x1.9de9d8df1c12cp-2, 0x1.768c5648cb9f3p-2, 0x1.4e8dc4d147094p-2, 0x1.27b3d7f7fb25ap-2, 0x1.036dc64530d3ap-2, 0x1.c59e81ee7eb9ap-3, 0x1.8d2657d09f99bp-3, 0x1.5e46c667166fp-3, 0x1.3946f2dc2e3b6p-3, 0x1.1df9a6e107d14p-3, 0x1.0bd60b4a10c8bp-3, 0x1.020f55831051cp-3, 0x1.ff54a11d55d1dp-4, 0x1.03903e1e0959dp-3, 0x1.0c9eb7a79e908p-3, 0x1.19b49789cc0f2p-3, 0x1.29bc05513f7d8p-3, 0x1.3bb1e26a90e1fp-3, 0x1.4eaaf514fe32dp-3, 0x1.61d7168fa9199p-3, 0x1.7482c9faeaa6cp-3, 0x1.861784a684902p-3, 0x1.961afc86d18dp-3, 0x1.a42db9a99b638p-3, 0x1.b00927a834ef1p-3, 0x1.b97d49964090ep-3, 0x1.c06e4a2f00688p-3, 0x1.c4d1f0c68289dp-3, 0x1.c6ad1e5c38c32p-3, 0x1.c6115d3f49ef3p-3, 0x1.c31a97837e718p-3, 0x1.bdecf28cd17bdp-3, 0x1.b6b2e1ac19363p-3, 0x1.ad9b671ff7feep-3, 0x1.a2d88e4871661p-3, 0x1.969e1741001d1p-3, 0x1.892055cc09d53p-3, 0x1.7a934109df732p-3, 0x1.6b29a684f525ap-3, 0x1.5b148ce299e22p-3, 0x1.4a82b29376f7bp-3, 0x1.39a02eb6c9d47p-3, 0x1.28962ce603f74p-3, 0x1.178abf5980bf8p-3, 0x1.06a0c49658a6ap-3, 0x1.ebefbab532c8bp-4, 0x1.cb58def41b23ap-4, 0x1.abaf6ac9433e2p-4, 0x1.8d1fa83238eb7p-4, 0x1.6fcff67c5018ep-4, 0x1.53e110201df38p-4, 0x1.396e5a999d319p-4, 0x1.208e3bae021ap-4, 0x1.09526e447c67cp-4, 0x1.e790bb2a11162p-5, 0x1.bff2f433b0156p-5, 0x1.9bd7256c27237p-5, 0x1.7b424f0cdc43ep-5, 0x1.5e337a8bd729fp-5, 0x1.44a4555ea4348p-5, 0x1.2e89c80e2e8bdp-5, 0x1.1bd484667d61bp-5, 0x1.0c718a45e2fcdp-5, 0x1.004aa3618316ap-5, 0x1.ee8db5ee5db62p-6, 0x1.e295cda4d50b7p-6, 0x1.dc7317e6f2b34p-6, 0x1.dbe7f777e9121p-6, 0x1.e0b44d430a7a4p-6, 0x1.ea9611a7501e1p-6, 0x1.f949e19ab5613p-6, 0x1.0645bf66edf1fp-5, 0x1.120b1fef3afa8p-5, 0x1.1fd2baee845a2p-5, 0x1.2f7a64d645a49p-5, 0x1.40e045de3279dp-5, 0x1.53e2feb15db86p-5, 0x1.6861c6d108c84p-5, 0x1.7e3c86dda4003p-5, 0x1.9553f230b02bap-5, 0x1.ad8997658cfb2p-5, 0x1.c6bff2c685f6cp-5, 0x1.e0da7d1aaa676p-5, 0x1.fbbdb330b219dp-5, 0x1.0ba78fa7f85c3p-4, 0x1.19bab0289d16p-4, 0x1.280c16991775bp-4, 0x1.36902b19919b5p-4, 0x1.453be367a712cp-4, 0x1.5404c2066949fp-4, 0x1.62e0d5d15557ap-4, 0x1.71c6b759ce787p-4, 0x1.80ad8768df75dp-4, 0x1.8f8cecbc32e34p-4, 0x1.9e5d1071f21f2p-4, 0x1.ad169bced06fdp-4, 0x1.bbb2b39b7e202p-4, 0x1.ca2af584177c5p-4, 0x1.d87973a843012p-4, 0x1.e698b04928e1fp-4, 0x1.f4839b0940de1p-4, 0x1.011ac5adaab3dp-3, 0x1.07d51e6ee7169p-3, 0x1.0e6ee5f424fp-3, 0x1.14e657ff78319p-3, 0x1.1b39dc16bc5c4p-3, 0x1.216803fc3d669p-3, 0x1.276f88d84375ap-3, 0x1.2d4f491c3db8ep-3, 0x1.3306480bdfee6p-3, 0x1.3893aa6d2f203p-3, 0x1.3df6b4189e952p-3, 0x1.432ec8481a592p-3, 0x1.483b669f180ccp-3, 0x1.4d1c289fedeb7p-3, 0x1.51d0c15ddab3cp-3, 0x1.5658fc336618p-3, 0x1.5ab4b99ad7725p-3, 0x1.5ee3ee6418828p-3, 0x1.62e6a3892cc81p-3, 0x1.66bcf3b1864cfp-3, 0x1.6a67093a56d78p-3, 0x1.6de51e792ce67p-3, 0x1.71377c51bb472p-3, 0x1.745e78436a525p-3, 0x1.775a739cf7001p-3, 0x1.7a2bdb24982d2p-3, 0x1.7cd325fc2370fp-3, 0x1.7f50d421c04cfp-3, 0x1.81a56d9b160dap-3, 0x1.83d1828ffc989p-3, 0x1.85d5aa378d9b4p-3, 0x1.87b2812a4f2d9p-3, 0x1.8968a982c7655p-3, 0x1.8af8cab5060eap-3, 0x1.8c63907b40dddp-3, 0x1.8da9a9bdf822fp-3, 0x1.8ecbc83a40309p-3, 0x1.8fcaa11c40fd7p-3, 0x1.90a6ebf4fa7f4p-3, 0x1.9161614dcebf1p-3, 0x1.91fabb1df9efp-3, 0x1.9273b4c95dabep-3, 0x1.92cd0aa4335cep-3, 0x1.930778d2949a9p-3, 0x1.9323bb764cc59p-3, 0x1.93228e7a55141p-3, 0x1.9304adc1b979fp-3, 0x1.92cad45753243p-3, 0x1.9275bbf027519p-3, 0x1.92061d30f1bbep-3, 0x1.917cafa81dc27p-3, 0x1.90da298fa2ae4p-3, 0x1.901f3f37448fcp-3, 0x1.8f4ca3018d4f7p-3, 0x1.8e63057bc06fap-3, 0x1.8d631556299a2p-3, 0x1.8c4d7f581b45dp-3, 0x1.8b22eda555c5p-3, 0x1.89e4081ba3593p-3, 0x1.889174603f8dcp-3, 0x1.872bd5746ea23p-3, 0x1.85b3cc8415ceap-3, 0x1.8429f79366c67p-3, 0x1.828ef1f14ffdp-3, 0x1.80e35499bdf47p-3, 0x1.7f27b602db68fp-3, 0x1.7d5ca9f4842afp-3, 0x1.7b82c16fd1d26p-3, 0x1.799a8abf3ca16p-3, 0x1.77a4917712439p-3, 0x1.75a15e8c4e53ep-3, 0x1.739178634e358p-3, 0x1.717562aed93a5p-3, 0x1.6f4d9e53c1b35p-3, 0x1.6d1aa972196a3p-3, 0x1.6adcffbb3f71ap-3, 0x1.68951a4d2a66cp-3, 0x1.66436f92029abp-3, 0x1.63e8736ce59fap-3, 0x1.6184973daddacp-3, 0x1.5f1849b129ca2p-3, 0x1.5ca3f7139b705p-3, 0x1.5a28093d27d53p-3, 0x1.57a4e78d91ab8p-3, 0x1.551af70e70771p-3, 0x1.528a9a477dadbp-3, 0x1.4ff431853191p-3, 0x1.4d581aa77cb47p-3, 0x1.4ab6b1657bcf7p-3, 0x1.48104f3502ae7p-3, 0x1.45654b5af39edp-3, 0x1.42b5fae9cd1e3p-3, 0x1.4002b0c8633f9p-3, 0x1.3d4bbdbb48eb5p-3, 0x1.3a917094a5caep-3, 0x1.37d4163c8c377p-3, 0x1.3513f943baedap-3, 0x1.32516288728cap-3, 0x1.2f8c98fde02e5p-3, 0x1.2cc5e19168335p-3, 0x1.29fd7f6e86105p-3, 0x1.2733b3e20593bp-3, 0x1.2468be8ebb9f4p-3, 0x1.219cdd4b4e209p-3, 0x1.1ed04c2f47dc5p-3, 0x1.1c0345a39d974p-3, 0x1.1936025d878ddp-3, 0x1.1668b98af798bp-3, 0x1.139ba0c8b2248p-3, 0x1.10ceec26f7d2ap-3, 0x1.0e02ce19c9be8p-3, 0x1.0b3777b6152c6p-3, 0x1.086d1869972d8p-3, 0x1.05a3de7a5b682p-3, 0x1.02dbf697afffep-3, 0x1.00158c16e6d63p-3, 0x1.faa191f6c4ee1p-4, 0x1.f51babfce386bp-4, 0x1.ef99b51deaaf5p-4, 0x1.ea1bf979890f7p-4, 0x1.e4a2c2f7c8929p-4, 0x1.df2e591187ebbp-4, 0x1.d9bf00ed3b275p-4, 0x1.d454fcd946633p-4, 0x1.cef08d8d8ceb8p-4, 0x1.c991f12e53eefp-4, 0x1.c4396413cb2a5p-4, 0x1.bee71f27721b5p-4, 0x1.b99b5b93a9081p-4, 0x1.b4564e73b1403p-4, 0x1.af182b799d4dbp-4, 0x1.a9e124adf7a3p-4, 0x1.a4b169e07ae5p-4, 0x1.9f89292c7e101p-4, 0x1.9a688eaa98192p-4, 0x1.954fc517035c7p-4, 0x1.903ef4aec98c9p-4, 0x1.8b364499bd7b1p-4, 0x1.8635da2237c5bp-4, 0x1.813dd8c9aa76fp-4, 0x1.7c4e62b10a106p-4, 0x1.776798586f1dep-4, 0x1.7289986bd1621p-4, 0x1.6db48091f72ffp-4, 0x1.68e86c96a7605p-4, 0x1.642577044bfeap-4, 0x1.5f6bb8f329106p-4, 0x1.5abb4a10933cp-4, 0x1.561440b674e2dp-4, 0x1.5176b2182c988p-4, 0x1.4ce2b1e067ccdp-4, 0x1.485852b454eb1p-4, 0x1.43d7a5bab0396p-4, 0x1.3f60bb249d745p-4, 0x1.3af3a1d024e37p-4, 0x1.36906782e63e2p-4, 0x1.32371906b6958p-4, 0x1.2de7c1cefaa76p-4, 0x1.29a26c660afcfp-4, 0x1.2567225d18d6ap-4, 0x1.2135ec18764a8p-4, 0x1.1d0ed13328fe9p-4, 0x1.18f1d7fa7e5dep-4, 0x1.14df065b81ec9p-4, 0x1.10d6606a348e1p-4, 0x1.0cd7ea890dbacp-4, 0x1.08e3a74171d8dp-4, 0x1.04f9989e3978bp-4, 0x1.0119bffdcaa1cp-4, 0x1.fa883b438cc98p-5, 0x1.f2f162af8155p-5, 0x1.eb6ef384c99b2p-5, 0x1.e400e9efcec19p-5, 0x1.dca741283c6ap-5, 0x1.d561f242b66e2p-5, 0x1.ce30f5359ac61p-5, 0x1.c71440e3d55bcp-5, 0x1.c00bca3d8c9aap-5, 0x1.b91785c0645e2p-5, 0x1.b23765c8f3bafp-5, 0x1.ab6b5cfdba2b7p-5, 0x1.a4b35ab9c80f6p-5, 0x1.9e0f4f9a7db3fp-5, 0x1.977f28ff45c5bp-5, 0x1.9102d46ff1bd7p-5, 0x1.8a9a3e82d660ap-5, 0x1.844552a01cccap-5, 0x1.7e03fa4183f89p-5, 0x1.77d6200cdac92p-5, 0x1.71bba9e05ceeap-5, 0x1.6bb485234e76bp-5, 0x1.65c091d2af1f3p-5, 0x1.5fdfb9ea310c3p-5, 0x1.5a11e2232cf9fp-5, 0x1.5456eeb8077cep-5, 0x1.4eaec3b50bf88p-5, 0x1.4919441defad1p-5, 0x1.4396524dc338fp-5, 0x1.3e25d02ff9a6p-5, 0x1.38c79f10d773dp-5, 0x1.337b9f79915c8p-5, 0x1.2e41b1ea1e4dfp-5, 0x1.2919b571a0141p-5, 0x1.2403894be529p-5, 0x1.1eff0c2f241dp-5, 0x1.1a0c1c26f1666p-5, 0x1.152a96e0fd47p-5, 0x1.105a59a0c2edep-5, 0x1.0b9b415310dd7p-5, 0x1.06ed2a3f056d7p-5, 0x1.024ff0ecfa848p-5, 0x1.fb86e21d76b8ep-6, 0x1.f28f0c0ca416ap-6, 0x1.e9b8164e515e8p-6, 0x1.e101b69caad43p-6, 0x1.d86ba2a05dc31p-6, 0x1.cff58f211f922p-6, 0x1.c79f3117cae2dp-6, 0x1.bf683b9bc1da7p-6, 0x1.b75063a8a46b8p-6, 0x1.af575c7149ddap-6, 0x1.a77cd8b8310f7p-6, 0x1.9fc08bb23a031p-6, 0x1.9822284eae2d8p-6, 0x1.90a160897031fp-6, 0x1.893de6cce728bp-6, 0x1.81f76d8ee10f4p-6, 0x1.7acda6bf68588p-6, 0x1.73c0437deebc9p-6, 0x1.6ccef73eb691bp-6, 0x1.65f973db2a3d8p-6, 0x1.5f3f6ab32e203p-6, 0x1.58a08e3a303acp-6, 0x1.521c908ff0332p-6, 0x1.4bb3244deed0ap-6, 0x1.4563fa9d1d091p-6, 0x1.3f2ec6d526d93p-6, 0x1.39133aafb92cp-6, 0x1.3311094ad6bep-6, 0x1.2d27e583bb327p-6, 0x1.275781ddbb5f5p-6, 0x1.219f92378d4f2p-6, 0x1.1bffc9de2280ap-6, 0x1.1677dd0798d89p-6, 0x1.11077ff9bcc54p-6, 0x1.0bae676268174p-6, 0x1.066c4817d0dd6p-6, 0x1.0140d76d7cda6p-6, 0x1.f85795cfb6762p-7, 0x1.ee59b5a898f29p-7, 0x1.e4876fafa3e77p-7, 0x1.dae03b2011e02p-7, 0x1.d1638326c7bd7p-7, 0x1.c810b44be42c5p-7, 0x1.bee73ea6d6299p-7, 0x1.b5e691e2f37bdp-7, 0x1.ad0e1ff367b7bp-7, 0x1.a45d59447f7f8p-7, 0x1.9bd3b32abfa81p-7, 0x1.9370a3ed84fefp-7, 0x1.8b33a24aefd68p-7, 0x1.831c2846f3078p-7, 0x1.7b29afd7f16c7p-7, 0x1.735bb33cbeda3p-7, 0x1.6bb1ad1626916p-7, 0x1.642b1469ef358p-7, 0x1.5cc767cd53983p-7, 0x1.55861cee85a79p-7, 0x1.4e66ae8a5d118p-7, 0x1.476897e3d3a1fp-7, 0x1.408b57aebfddbp-7, 0x1.39ce6ec0e8a28p-7, 0x1.333161416692fp-7, 0x1.2cb3b83daa09bp-7, 0x1.2654fe511ca81p-7, 0x1.2014c37ea9a15p-7, 0x1.19f29539f38c1p-7, 0x1.13edfff33aa7fp-7, 0x1.0e068fdc0af82p-7, 0x1.083bcc75fa1bfp-7, 0x1.028d3dcbf5dd1p-7, 0x1.f9f4cfc4e83f3p-8, 0x1.ef05a100b0c3dp-8, 0x1.e44bfc5014492p-8, 0x1.d9c6fb70554a2p-8, 0x1.cf75c0b6466a1p-8, 0x1.c5577b711d8bfp-8, 0x1.bb6b66a6b96cbp-8, 0x1.b1b0c058c93b2p-8, 0x1.a826d1b0c1a39p-8, 0x1.9eccde2a3f17dp-8, 0x1.95a227564ee17p-8, 0x1.8ca5e6a0f4007p-8, 0x1.83d74f06c15dbp-8, 0x1.7b358dc640176p-8, 0x1.72bfcfe76a81cp-8, 0x1.6a753fed77335p-8, 0x1.6255150a49a45p-8, 0x1.5a5e8a1f4fedp-8, 0x1.5290e56d6285fp-8, 0x1.4aeb797cddad9p-8, 0x1.436d9d1577c76p-8, 0x1.3c16ac23a21b5p-8, 0x1.34e6038306bbep-8, 0x1.2ddafbdd50f24p-8, 0x1.26f4e4b5e3db6p-8, 0x1.203328eedcf31p-8, 0x1.1994fbea82714p-8, 0x1.1319c4ac07002p-8, 0x1.0cc0d7eb3c5f4p-8, 0x1.068999dbd317dp-8, 0x1.007377a5cb1d7p-8, 0x1.f4fbce3e18cd3p-9, 0x1.e950c314b8aa4p-9, 0x1.dde4ca4640c1dp-9, 0x1.d2b6d385555d2p-9, 0x1.c7c5c81a0e1e1p-9, 0x1.bd107699fe94cp-9, 0x1.b2959b6dbd5ecp-9, 0x1.a853e35cd0dc3p-9, 0x1.9e49fe80acb59p-9, 0x1.947692d3ba18cp-9, 0x1.8ad86ee5b0e2fp-9, 0x1.816e7350618ffp-9, 0x1.7837add4d2dc2p-9, 0x1.6f334d5bd9afap-9, 0x1.6660a3fc28cf1p-9, 0x1.5dbf19c7af0ap-9, 0x1.554e1b44856b6p-9, 0x1.4d0d0be65f4bbp-9, 0x1.44fb37fb87e5dp-9, 0x1.3d17bf9172d74p-9, 0x1.3561ce91e7a4bp-9, 0x1.2dd81e2ebe435p-9, 0x1.26799b52030d8p-9, 0x1.1f450d26d1eeep-9, 0x1.18394460a3688p-9, 0x1.11552ae601e85p-9, 0x1.0a97c4743115p-9, 0x1.040030f0c5b39p-9, 0x1.fb1b7461f56c1p-10, 0x1.ee7f86a12cee7p-10, 0x1.e22b8213d9be9p-10, 0x1.d61e7c8e91b6ap-10, 0x1.ca579929d1eb1p-10, 0x1.bed5ee2c460e1p-10, 0x1.b39881a677c3bp-10, 0x1.a89e24f1c35ebp-10, 0x1.9de57e390fa91p-10, 0x1.936d0ac4645eap-10, 0x1.89333621f839ap-10, 0x1.7f366c8c50762p-10, 0x1.7575242c371fdp-10, 0x1.6bee03ec10af5p-10, 0x1.629fdae58f4d3p-10, 0x1.598987625e8bfp-10, 0x1.50a9e86ef77a1p-10, 0x1.47ffc70d69a02p-10, 0x1.3f89c7daeda91p-10, 0x1.3746797527d15p-10, 0x1.2f343471e5a13p-10, 0x1.2752074b07f7fp-10, 0x1.1f9e6e16d2a0fp-10, 0x1.18189c2010162p-10, 0x1.10bfedc21bf94p-10, 0x1.0993a39599a7ap-10, 0x1.02933cd4b26eep-10, 0x1.f77bfbd694fc6p-11, 0x1.ea2657f8c0517p-11, 0x1.dd2427e4f8831p-11, 0x1.d07433718429p-11, 0x1.c4157776697b6p-11, 0x1.b80711f0dff86p-11, 0x1.ac47e06f7a104p-11, 0x1.a0d61c57d14e6p-11, 0x1.95af6b8a4822p-11, 0x1.8ad0c7e5f4b2ep-11, 0x1.8036d3f90d8cap-11, 0x1.75de4d4a1fa2dp-11, 0x1.6bc44c16859f6p-11, 0x1.61e680c3f02f2p-11, 0x1.5843460474073p-11, 0x1.4ed981169ea58p-11, 0x1.45a88cd3948bcp-11, 0x1.3cb0175afed94p-11, 0x1.33f01996929f8p-11, 0x1.2b689c1d2bf07p-11, 0x1.23197519b5f4fp-11, 0x1.1b0276fb70c45p-11, 0x1.13230eac3408bp-11, 0x1.0b7a775ea8c62p-11, 0x1.04078842011f2p-11, 0x1.f991e8f513cc7p-12, 0x1.eb7889a1ad1d4p-12, 0x1.ddbe925abd82ep-12, 0x1.d060211e8c40fp-12, 0x1.c3588b5cbe137p-12, 0x1.b6a4fa7753802p-12, 0x1.aa437685ca125p-12, 0x1.9e31b85596d96p-12, 0x1.926ccee92ac8cp-12, 0x1.86f1122a78db3p-12, 0x1.7bbb6ba3bf01ep-12, 0x1.70ca0af909383p-12, 0x1.661dcc5c21cddp-12, 0x1.5bb89df37fc76p-12, 0x1.519ca70905da9p-12, 0x1.47caa80e3b736p-12, 0x1.3e417e2f41173p-12, 0x1.34fed7a909b32p-12, 0x1.2bffae3e38a9cp-12, 0x1.234120ea6c3d3p-12, 0x1.1ac003f941318p-12, 0x1.127af56159c4bp-12, 0x1.0a6d6d99c5447p-12, 0x1.02955ec982ddap-12, 0x1.f5e28fe38b154p-13, 0x1.e701eff799febp-13, 0x1.d889b6bb18a25p-13, 0x1.ca795118b375bp-13, 0x1.bcccffb31a0cp-13, 0x1.af7ef5818beb1p-13, 0x1.a2893e15ce748p-13, 0x1.95e7575c6ac1ap-13, 0x1.899875b4e9a61p-13, 0x1.7d9e89445538cp-13, 0x1.71fbc35459749p-13, 0x1.66b0becb87acbp-13, 0x1.5bbbee587a612p-13, 0x1.511a0013b588ep-13, 0x1.46c7924187a97p-13, 0x1.3cc11c7e15473p-13, 0x1.33058a7316f14p-13, 0x1.29918fe4ee319p-13, 0x1.20634311af9cep-13, 0x1.17768e988a26ap-13, 0x1.0ec7716a8a3d6p-13, 0x1.06533d6146078p-13, 0x1.fc320df18422bp-14, 0x1.ec32d8c6dfe64p-14, 0x1.dca9fb4c89a48p-14, 0x1.cd95aa9afc14p-14, 0x1.bef492d9b4c94p-14, 0x1.b0c407b6238b9p-14, 0x1.a30219997e5f9p-14, 0x1.95acbe6772c96p-14, 0x1.88be823e3cefbp-14, 0x1.7c2e735d598fap-14, 0x1.6ff51b6e36799p-14, 0x1.64119bca26ddep-14, 0x1.5885d0fa84a44p-14, 0x1.4d5128d85b505p-14, 0x1.427506784a6dp-14, 0x1.37eca77624a05p-14, 0x1.2db8bbd3096cbp-14, 0x1.23db7edbb6fbep-14, 0x1.1a52dab01a4f8p-14, 0x1.1116880b1442ep-14, 0x1.081c2f7c36037p-14, 0x1.feb944e8b939cp-15, 0x1.edada3a67ce86p-15, 0x1.dd1b82dbd5f97p-15, 0x1.cd0874f9ebf55p-15, 0x1.bd76bedf3c473p-15, 0x1.ae5be9ce4a946p-15, 0x1.9fbc8a60512e3p-15, 0x1.91a2175252338p-15, 0x1.8410fbc2961f8p-15, 0x1.76ffd01e070bfp-15, 0x1.6a5944b4b3706p-15, 0x1.5e06efbdc174ep-15, 0x1.51fd3f920bffcp-15, 0x1.4642bfa0a4f5ap-15, 0x1.3ae7522eac6dbp-15, 0x1.2fedc912dc438p-15, 0x1.254b20b09e0dep-15, 0x1.1afab7fab39b2p-15, 0x1.1107fb3ce635fp-15, 0x1.077958c7f7419p-15, 0x1.fc943aafb5d0bp-16, 0x1.eadc040163abfp-16, 0x1.d9aa04eca952fp-16, 0x1.c8e04e83a3a7dp-16, 0x1.b87f3c4a57fe8p-16, 0x1.a8a0546c764c9p-16, 0x1.994dc2f682013p-16, 0x1.8a7b7dbf65a5ap-16, 0x1.7c19fe056fdcbp-16, 0x1.6e31d120ecf5dp-16, 0x1.60d3234a4656fp-16, 0x1.53fd97e61af3cp-16, 0x1.47a53c40967fdp-16, 0x1.3bc2ff222ef93p-16, 0x1.3048842f83dd7p-16, 0x1.25203012e008ap-16, 0x1.1a40be6ffadd4p-16, 0x1.0fb133b096f61p-16, 0x1.05877e9ea14ebp-16, 0x1.f7706a26c8e16p-17, 0x1.e4612ff645075p-17, 0x1.d1f5ee1785ca8p-17, 0x1.c04ce907a8188p-17, 0x1.af6020d0eddc2p-17, 0x1.9f1e8ee1268ddp-17, 0x1.8f84e52f1968p-17, 0x1.807ce0d74308bp-17, 0x1.71ea39f551a43p-17, 0x1.63b40046c32e3p-17, 0x1.55f153a91fep-17, 0x1.48bcf4ec1decbp-17, 0x1.3bf94c05db939p-17, 0x1.2fab71f8805f9p-17, 0x1.23cbf6ffb052ap-17, 0x1.186eccb73ee6dp-17, 0x1.0d8a051a1751dp-17, 0x1.030977d226727p-17, 0x1.f1d949e19df64p-18, 0x1.de5dbb16255d6p-18, 0x1.cbaec5e5e9c5dp-18, 0x1.b9cf70c929f63p-18, 0x1.a88487caf6f4p-18, 0x1.97cc563aae716p-18, 0x1.87c3e8949a964p-18, 0x1.78404f83fff93p-18, 0x1.69445b7e044dfp-18, 0x1.5b04d73d9fff9p-18, 0x1.4d622256b4676p-18, 0x1.404b8551e5feap-18, 0x1.33b6c80f96ac6p-18, 0x1.279a8724fa16p-18, 0x1.1c0e380f4293p-18, 0x1.1112a09c1e9f6p-18, 0x1.069545530348ap-18, 0x1.f8eec9a5bdfe6p-19, 0x1.e5741194962dbp-19, 0x1.d2d77a1d0aab8p-19, 0x1.c0de213844a68p-19, 0x1.afaf2e1399263p-19, 0x1.9f6d980b5c877p-19, 0x1.9005e75ad2c75p-19, 0x1.813fd5c14e574p-19, 0x1.730c308bb4877p-19, 0x1.65874d26ddbadp-19, 0x1.5891a7f888049p-19, 0x1.4c3d95fa3b8d3p-19, 0x1.40ac060cafa8cp-19, 0x1.35ccccf8cbb06p-19, 0x1.2b61b5010bf6fp-19, 0x1.2166c5906095fp-19, 0x1.179e941bdc088p-19, 0x1.0eb832bc01a78p-19, 0x1.06505114834e3p-19, 0x1.fca9bb3f01dd2p-20, 0x1.ed8020a74565dp-20, 0x1.df2fea42e57dfp-20, 0x1.d19a0b91cae01p-20, 0x1.c50692b99701ap-20, 0x1.b90cd7133f02bp-20, 0x1.addacc054ffeap-20, 0x1.a37cac641206fp-20, 0x1.99f7ecf1bf772p-20, 0x1.91148d1d0daa2p-20, 0x1.88be83dbf1ffcp-20, 0x1.80f3cc46c0086p-20, 0x1.799cd1c76e779p-20, 0x1.73182a142dbbp-20, 0x1.6d2e9a05263dcp-20, 0x1.67b13ce6511efp-20, 0x1.62cd9e9406c92p-20, 0x1.5e447364aad49p-20, 0x1.5a315dc1f85e4p-20, 0x1.568dcd976241ap-20, 0x1.53667151d4566p-20, 0x1.50e05a6043a25p-20, 0x1.4eca04b1914a9p-20, 0x1.4cf2ff80589d5p-20, 0x1.4b56b37d05aabp-20, 0x1.4a328dcf846bfp-20, 0x1.498ac7f3818p-20, 0x1.4923bc201dd1cp-20, 0x1.4907a29a3a761p-20, 0x1.493f4729f6cfep-20, 0x1.49c9585e441c2p-20, 0x1.4a9d4fdf7afdcp-20, 0x1.4bb5803db6aa5p-20, 0x1.4d0ebe7e5d229p-20, 0x1.4ea7ea004ccp-20, 0x1.507debf1ea1f6p-20, 0x1.529200877bf35p-20, 0x1.54e406e9a9738p-20, 0x1.5785fbd70e5f8p-20, 0x1.5a3e52461d751p-20, 0x1.5d24030fff8a2p-20, 0x1.60430fa8d2361p-20, 0x1.639b5916b694cp-20, 0x1.671d52e75781bp-20, 0x1.6abccc22834e6p-20, 0x1.6e220088a061ap-20, 0x1.728ba0c262c7ap-20, 0x1.76d831c1575f8p-20, 0x1.7b4499c6c48f4p-20, 0x1.7f82d48eaaf0ap-20, 0x1.83e44cba6eba8p-20, 0x1.888931fdcf55bp-20, 0x1.8d43c83d294e2p-20, 0x1.92346784a0b91p-20, 0x1.972291ff23e33p-20, 0x1.9c297fec4ba39p-20, 0x1.a1726ef9904ebp-20, 0x1.a6bd9da2937c7p-20, 0x1.ac17ec90ef8c1p-20, 0x1.b1876943b414p-20, 0x1.b7042f05422c9p-20, 0x1.bc8234aa61d5fp-20, 0x1.c22ddb981d3a8p-20, 0x1.c7f05ec76531ap-20, 0x1.cdbfad3b4c7d9p-20, 0x1.d39e2002ba70dp-20, 0x1.d98594906772dp-20, 0x1.df7e4fdf386a3p-20, 0x1.e57fd931e8c3ap-20, 0x1.eb8dd6f730d29p-20, 0x1.f1a0eeb6b07e2p-20, 0x1.f7c507a601895p-20, 0x1.fdf0c0d5219d3p-20, 0x1.0212f35e6d3a3p-19, 0x1.0531684cab8dbp-19, 0x1.0853acda923a5p-19, 0x1.0b7bac2089e63p-19, 0x1.0e9ec48fa802cp-19, 0x1.11cafb319e776p-19, 0x1.1500434a50578p-19, 0x1.182bd00ccd6f4p-19, 0x1.1b5e687c78bbbp-19, 0x1.1e926c2cf4d31p-19, 0x1.21c7cd9096319p-19, 0x1.251a1bbf09199p-19, 0x1.2838c274bc8ffp-19, 0x1.2b73c195fd3a1p-19, 0x1.2eb34a85341b9p-19, 0x1.31e83f535bb57p-19, 0x1.3523debbb0562p-19, 0x1.38634ad21f06fp-19, 0x1.3bc693c24f09cp-19, 0x1.3ed6e212ca143p-19, 0x1.420ef714e238bp-19, 0x1.4547908125007p-19, 0x1.487dc7fca94f4p-19, 0x1.4bb4510fe8c77p-19, 0x1.4ef3346b9eba3p-19, 0x1.5221ff65b508dp-19, 0x1.555d2c5498d88p-19, 0x1.589aa8d1fcc4dp-19, 0x1.5bbd55f546ee7p-19, 0x1.5ef3b50a7891bp-19, 0x1.621e85a113e0dp-19, 0x1.65374f9c9e835p-19, 0x1.686a5366a35b3p-19, 0x1.6b9403b0f8f05p-19, 0x1.6eba1245a94d5p-19, 0x1.71dbb7d77e973p-19, 0x1.74fb517426e81p-19, 0x1.7817e32d11d8bp-19, 0x1.7b359969a865ep-19, 0x1.7e469b9703ecdp-19, 0x1.815d61e874f5fp-19, 0x1.846cf2381913fp-19, 0x1.8777970352d1bp-19, 0x1.8a80268366a09p-19, 0x1.8d862d2113d4p-19, 0x1.9089e5b8405bap-19, 0x1.93895ffc7199p-19, 0x1.96864f6df732ap-19, 0x1.99a88b0a1f2dfp-19, 0x1.9c715ddebffeep-19, 0x1.9f6245a01b8a6p-19, 0x1.a24ee14e6834cp-19, 0x1.a537acce5471p-19, 0x1.a81c44d944b49p-19, 0x1.aafc602816b0ep-19, 0x1.add41688753p-19, 0x1.b0acc23150f81p-19, 0x1.b36dee98fe751p-19, 0x1.b64b5a9d46bc7p-19, 0x1.b913df64e462p-19, 0x1.bbd67e6aaf3d9p-19, 0x1.be95d624958dep-19, 0x1.c15ea7392072p-19, 0x1.c4127f25742abp-19, 0x1.c6cb19b177674p-19, 0x1.c96dee649e5ebp-19, 0x1.cc29ce0636e21p-19, 0x1.cebebc324852ap-19, 0x1.d161ab5b10928p-19, 0x1.d3fa89570360cp-19, 0x1.d6900eadc2313p-19, 0x1.d9148a4021c4dp-19, 0x1.dba65d025170ep-19, 0x1.de2fc674490d8p-19, 0x1.e0ae962ae9491p-19, 0x1.e326a0232916bp-19, 0x1.e5a0e1e7b2922p-19, 0x1.e81286ea9fp-19, 0x1.ea7f58c0918a3p-19, 0x1.ecde8c416aa58p-19, 0x1.ef3988cef5c83p-19, 0x1.f17709e17be0dp-19, 0x1.f3edd0dc8486p-19, 0x1.f63d8ed871a67p-19, 0x1.f88c740dee24ap-19, 0x1.fad0a33341656p-19, 0x1.fd0df3b5c7866p-19, 0x1.ff4b3cf48b4b8p-19, 0x1.00bd491af3f5fp-18, 0x1.01d5ae5d33ba1p-18, 0x1.02e7043245f1fp-18, 0x1.03f75e3fbb17p-18, 0x1.050911633b337p-18, 0x1.06257e836bfb5p-18, 0x1.071af64c77362p-18, 0x1.0821569be2a5p-18, 0x1.0921df5504bcep-18, 0x1.0a239fcabace8p-18, 0x1.0b25520ca4ae3p-18, 0x1.0c1cf0cb88e35p-18, 0x1.0d14c8d05935ep-18, 0x1.0e01961046eb2p-18, 0x1.0ef40ce20a9ccp-18, 0x1.0fe4dea415d97p-18, 0x1.10cd65e69017ap-18, 0x1.11b5076a80705p-18, 0x1.12a8a5cd6057bp-18, 0x1.137e91e62ce9ap-18, 0x1.1461427a6e6b6p-18, 0x1.1536280ff06f8p-18, 0x1.160caea9f5c6ep-18, 0x1.16c63410b5717p-18, 0x1.17b6efe204c17p-18, 0x1.18875affffacdp-18, 0x1.19571082e3cc7p-18, 0x1.1a1f5d96a935bp-18, 0x1.1ae658f896cbap-18, 0x1.1ba843f8b4c36p-18, 0x1.1c66366c35b62p-18, 0x1.1d238727af9eap-18, 0x1.1dded851266a6p-18, 0x1.1e95c6fe4705ap-18, 0x1.1f4ae0ffa5404p-18, 0x1.1ffb8f352424bp-18, 0x1.20aa6cd61fd63p-18, 0x1.21517400937bbp-18, 0x1.2205871470f22p-18, 0x1.22a1297155adbp-18, 0x1.234198edb7e46p-18, 0x1.23dd0514d8e57p-18, 0x1.247ab3b733283p-18, 0x1.251618c94ccddp-18, 0x1.25a89f73617f3p-18, 0x1.263ca91e8e3c5p-18, 0x1.26c6a4a06c429p-18, 0x1.27530f1eb1723p-18, 0x1.27dcfec85bde4p-18, 0x1.286430efe2753p-18, 0x1.28e6c634a244ap-18, 0x1.29678d2ca60a9p-18, 0x1.29e2c3bc75c18p-18, 0x1.2a6745b21b5dep-18, 0x1.2ad5891f6add8p-18, 0x1.2b449c7982fe8p-18, 0x1.2bbbdd10d77b8p-18, 0x1.2c24864797817p-18, 0x1.2c8fad2037336p-18, 0x1.2cf951291e9dfp-18, 0x1.2d5e289d20453p-18, 0x1.2dbf4b5c59baap-18, 0x1.2e1d7ca77e3c3p-18, 0x1.2e786446c8229p-18, 0x1.2ed1e3f27d431p-18, 0x1.2f2a15c1755c4p-18, 0x1.2f8b5db58f8fbp-18, 0x1.2fcf43eeafa26p-18, }}, 
      {{0x1.5c07652793625p+0, 0x1.af30d10dda30ep+0, 0x1.d6899282b3919p+0, 0x1.d6b1bd372b4f3p+0, 0x1.c12d6a4f1cd46p+0, 0x1.a4cc4cecfe395p+0, 0x1.8a6ce15d2be61p+0, 0x1.75d6078ca2881p+0, 0x1.677fc5041f93cp+0, 0x1.5e2c3e07f032ep+0, 0x1.5805bd2de649dp+0, 0x1.534720114cc17p+0, 0x1.4e8c866337a74p+0, 0x1.48eb97327ee7ap+0, 0x1.41ec206d06ae9p+0, 0x1.397201787f0d4p+0, 0x1.2fa2cfa59c841p+0, 0x1.24ccf689ad8b3p+0, 0x1.195301d6a8ad1p+0, 0x1.0d9be215a0b18p+0, 0x1.0207f8a187283p+0, 0x1.edd47ac0ff174p-1, 0x1.d9094cdb41727p-1, 0x1.c60dfdba3cde6p-1, 0x1.b51ee40289479p-1, 0x1.a658627926448p-1, 0x1.99bb79983f97ap-1, 0x1.8f32ea75a0528p-1, 0x1.86986baadbcacp-1, 0x1.7fb9991a18d69p-1, 0x1.7a5c6493b383dp-1, 0x1.7642ea986749bp-1, 0x1.732e9d49e3a9cp-1, 0x1.70e2c6eb632f6p-1, 0x1.6f266e34aba4p-1, 0x1.6dc5ab85e5876p-1, 0x1.6c92838a1d721p-1, 0x1.6b655a02b3a8p-1, 0x1.6a1d11642fe5ap-1, 0x1.689ee91a5ee21p-1, 0x1.66d62c5b4e94p-1, 0x1.64b3bf1d5582dp-1, 0x1.622d9579dec52p-1, 0x1.5f3e1dd3550f2p-1, 0x1.5be3a83ba5046p-1, 0x1.581fce37783c4p-1, 0x1.53f6e06df7736p-1, 0x1.4f6f5cbb0e4ecp-1, 0x1.4a916ffb5649p-1, 0x1.4566836ee6e29p-1, 0x1.3ff8d7b7f115cp-1, 0x1.3a532c3aa25cp-1, 0x1.348073c593ca3p-1, 0x1.2e8b956317c1ep-1, 0x1.287f38859dfa3p-1, 0x1.22659bc13a173p-1, 0x1.1c4873c0bb6e4p-1, 0x1.1630d36ad0cd4p-1, 0x1.10271a5eb1974p-1, 0x1.0a32ea209788p-1, 0x1.045b207ce9678p-1, 0x1.fd4bac63ff0fdp-2, 0x1.f230c2160ccc3p-2, 0x1.e76eb12e313f5p-2, 0x1.dd0d39fcf74b7p-2, 0x1.d312bf88ee533p-2, 0x1.c9845af3c0ef8p-2, 0x1.c065f1832f96ep-2, 0x1.b7ba4b3721599p-2, 0x1.af832a2ae3de4p-2, 0x1.a7c161e370da1p-2, 0x1.a074ee14ecec6p-2, 0x1.999d08f29becfp-2, 0x1.9338406983149p-2, 0x1.8d448a90c8815p-2, 0x1.87bf58da87f22p-2, 0x1.82a5aa60e386bp-2, 0x1.7df41cc72ed65p-2, 0x1.79a6fc2d6717dp-2, 0x1.75ba51ccd8454p-2, 0x1.7229f16cfe5bap-2, 0x1.6ef18597150fbp-2, 0x1.6c0c9ae196b2ep-2, 0x1.6976a9da0d63bp-2, 0x1.672b202492359p-2, 0x1.65256893d8be2p-2, 0x1.6360f24946824p-2, 0x1.61d936fb290afp-2, 0x1.6089c09cb57c5p-2, 0x1.5f6e2e29b2ca6p-2, 0x1.5e8237d1c57b2p-2, 0x1.5dc1b2704c03ep-2, 0x1.5d2892b23ad54p-2, 0x1.5cb2ef4d59bc5p-2, 0x1.5c5d0332cb52ap-2, 0x1.5c232f29524cep-2, 0x1.5c01faff80587p-2, 0x1.5bf616488fa21p-2, 0x1.5bfc58c16df24p-2, 0x1.5c11c2c48daaap-2, 0x1.5c337d5f8c315p-2, 0x1.5c5ed9e1f4a82p-2, 0x1.5c915183a96e4p-2, 0x1.5cc884d75277p-2, 0x1.5d023af9fcf0bp-2, 0x1.5d3c60d76c5f1p-2, 0x1.5d750814abdf3p-2, 0x1.5daa661445b42p-2, 0x1.5ddad2e2a3a8ap-2, 0x1.5e04c7eaec789p-2, 0x1.5e26dedaabbfbp-2, 0x1.5e3fd051b5b69p-2, 0x1.5e4e7296d66e6p-2, 0x1.5e51b873f8ae9p-2, 0x1.5e48afa8cdbc8p-2, 0x1.5e327feb5d71dp-2, 0x1.5e0e696c24308p-2, 0x1.5ddbc38c86ae3p-2, 0x1.5d99fbe65ac4p-2, 0x1.5d4894c7bb545p-2, 0x1.5ce7240ab3b57p-2, 0x1.5c75523464bd7p-2, 0x1.5bf2d8f834575p-2, 0x1.5b5f8235c65f1p-2, 0x1.5abb27364b544p-2, 0x1.5a05af460aac3p-2, 0x1.593f0eb9cd5a2p-2, 0x1.5867467b73bbdp-2, 0x1.577e62ad5f098p-2, 0x1.5684799c10e12p-2, 0x1.5579aba0908fcp-2, 0x1.545e21ee75d14p-2, 0x1.53320d8c73e44p-2, 0x1.51f5a7105b642p-2, 0x1.50a92e1bb5252p-2, 0x1.4f4ce80c9b5adp-2, 0x1.4de11fba27a32p-2, 0x1.4c66254a7dacdp-2, 0x1.4adc4d36dc812p-2, 0x1.4943ef8dba06ep-2, 0x1.479d680c1073cp-2, 0x1.45e915adfc00ep-2, 0x1.442759c2dfe58p-2, 0x1.4258979e51403p-2, 0x1.407d34bf8f9a6p-2, 0x1.3e95983fb871cp-2, 0x1.3ca22a1d9a449p-2, 0x1.3aa35330aed9ap-2, 0x1.38997d3df91e2p-2, 0x1.3685127cadd01p-2, 0x1.34667cf436c04p-2, 0x1.323e26b31afafp-2, 0x1.300c79b6adc89p-2, 0x1.2dd1df8f6fe5ep-2, 0x1.2b8ec0fd0eed2p-2, 0x1.294385ec76fecp-2, 0x1.26f095b3947b5p-2, 0x1.249656a3c226bp-2, 0x1.22352da52bffap-2, 0x1.1fcd7e6b6e76fp-2, 0x1.1d5fab7a16b96p-2, 0x1.1aec1601fe066p-2, 0x1.18731d86ca195p-2, 0x1.15f51fef75d74p-2, 0x1.1372798f39b27p-2, 0x1.10eb85380e8f2p-2, 0x1.0e609bf5dba14p-2, 0x1.0bd214ed88b02p-2, 0x1.0940457e71159p-2, 0x1.06ab8152d2086p-2, 0x1.04141a4cfac05p-2, 0x1.017a605913f49p-2, 0x1.fdbd42ef4c34ap-3, 0x1.f88253a3aad3p-3, 0x1.f3448771e0c98p-3, 0x1.ee046f684d9e3p-3, 0x1.e8c29888af98p-3, 0x1.e37f8c0ce0544p-3, 0x1.de3bcf9398536p-3, 0x1.d8f7e496e5175p-3, 0x1.d3b44a074f307p-3, 0x1.ce717a1dd7eddp-3, 0x1.c92feb550d1f9p-3, 0x1.c3f01107c5477p-3, 0x1.beb25b04a8175p-3, 0x1.b977357ed7dd8p-3, 0x1.b43f091e4c75dp-3, 0x1.af0a3b155e6fdp-3, 0x1.a9d92d2e2057p-3, 0x1.a4ac3de82564dp-3, 0x1.9f83c892e5c7ap-3, 0x1.9a6025381d7f3p-3, 0x1.9541a8aa35715p-3, 0x1.9028a4776d316p-3, 0x1.8b15673a9b944p-3, 0x1.86083c942d2a8p-3, 0x1.81016d40f1569p-3, 0x1.7c013f16e924ap-3, 0x1.7707f4e787a26p-3, 0x1.7215ceb39da58p-3, 0x1.6d2b0a0819f85p-3, 0x1.6847e19a11ff7p-3, 0x1.636c8d6d17869p-3, 0x1.5e994322b3e01p-3, 0x1.59ce35c873412p-3, 0x1.550b95ff3d299p-3, 0x1.505191f51fd12p-3, 0x1.4ba05595e411ep-3, 0x1.46f80a86d1ba4p-3, 0x1.4258d8343d9c7p-3, 0x1.3dc2e3db05471p-3, 0x1.393650967b324p-3, 0x1.34b33f6511423p-3, 0x1.3039cf5f874dbp-3, 0x1.2bca1dbea8f1dp-3, 0x1.27644590e845p-3, 0x1.2308604190b4ep-3, 0x1.1eb685590eabap-3, 0x1.1a6eca8ec67e6p-3, 0x1.163143fef8382p-3, 0x1.11fe040eaef37p-3, 0x1.0dd51b8eb43d6p-3, 0x1.09b699baa297p-3, 0x1.05a28c444415bp-3, 0x1.0198ff618052ep-3, 0x1.fb33fba38818bp-4, 0x1.f34b21f0ab2c2p-4, 0x1.eb7781bfb86cdp-4, 0x1.e3b928887cc58p-4, 0x1.dc102120aa949p-4, 0x1.d47c74060bf44p-4, 0x1.ccfe2712112ebp-4, 0x1.c5953e2531e4bp-4, 0x1.be41baa943fbcp-4, 0x1.b7039bddb8636p-4, 0x1.afdadefd84b0fp-4, 0x1.a8c77f394a078p-4, 0x1.a1c975ccb6058p-4, 0x1.9ae0b9f3ddbd2p-4, 0x1.940d4128349cfp-4, 0x1.8d4eff3906f31p-4, 0x1.86a5e6375a0dep-4, 0x1.8011e64baf5f8p-4, 0x1.7992ee6b81fbep-4, 0x1.7328ebce77c96p-4, 0x1.6cd3ca7cf0ab8p-4, 0x1.669374069fc67p-4, 0x1.6067d2bf54fffp-4, 0x1.5a50cd98fce42p-4, 0x1.544e4b0dfa36dp-4, 0x1.4e60309e1161ep-4, 0x1.4886625b72aa9p-4, 0x1.42c0c34c67063p-4, 0x1.3d0f35706f3eep-4, 0x1.377199e48e09p-4, 0x1.31e7d071c8c18p-4, 0x1.2c71b8536c3b2p-4, 0x1.270f2fc2da773p-4, 0x1.21c0140f6cfd3p-4, 0x1.1c8441f3235a5p-4, 0x1.175b953f04c89p-4, 0x1.1245e907829f5p-4, 0x1.0d4317db50d3bp-4, 0x1.0852fb76d0019p-4, 0x1.03756d1bf368dp-4, 0x1.fd548aeda4412p-5, 0x1.f3e2b946c813p-5, 0x1.ea95147f18362p-5, 0x1.e16b4b05cc4a6p-5, 0x1.d8650a37a8f78p-5, 0x1.cf81feca90f9cp-5, 0x1.c6c1d48151825p-5, 0x1.be2436af84157p-5, 0x1.b5a8cff4dbfbfp-5, 0x1.ad4f4a1506e3ap-5, 0x1.a5174eb674a68p-5, 0x1.9d0086ba58bb2p-5, 0x1.950a9ac1cf10ep-5, 0x1.8d353303110e4p-5, 0x1.857ff749d3823p-5, 0x1.7dea8f42ef495p-5, 0x1.7674a222e8fbp-5, 0x1.6f1dd75e9cbf2p-5, 0x1.67e5d56fa3ba2p-5, 0x1.60cc43c904b7bp-5, 0x1.59d0c8ea546fbp-5, 0x1.52f30ba6f21aep-5, 0x1.4c32b2e3cc19ep-5, 0x1.458f6559c7bacp-5, 0x1.3f08ca1678cb3p-5, 0x1.389e87f4273bfp-5, 0x1.32504613a2e85p-5, 0x1.2c1dabf55e5d1p-5, 0x1.2606610840de1p-5, 0x1.200a0d08c95f8p-5, 0x1.1a28581a35f7ap-5, 0x1.1460ea5c71468p-5, 0x1.0eb36ca51f671p-5, 0x1.091f8770c850cp-5, 0x1.03a4e4c2e6fb4p-5, 0x1.fc865b2fcef61p-6, 0x1.f1f419f44b27dp-6, 0x1.e79258e59d728p-6, 0x1.dd606eb737ccp-6, 0x1.d35db29a7e6b8p-6, 0x1.c9897c68702bap-6, 0x1.bfe32471e2902p-6, 0x1.b66a060fbb303p-6, 0x1.ad1d77f947fbep-6, 0x1.a3fcdf016f7cp-6, 0x1.9b078e6e00368p-6, 0x1.923cea5af0318p-6, 0x1.899c51685ae75p-6, 0x1.81252422d4767p-6, 0x1.78d6c4c3851f3p-6, 0x1.70b096b732cbp-6, 0x1.68b1fe3d7ff4cp-6, 0x1.60da6164225b6p-6, 0x1.5929279cac868p-6, 0x1.519db958ef701p-6, 0x1.4a3780d57eb0bp-6, 0x1.42f5e900b5915p-6, 0x1.3bd85eb9c086dp-6, 0x1.34de504c6303fp-6, 0x1.2e072d345a762p-6, 0x1.2752666b3ba02p-6, 0x1.20bf6e5eeb9f3p-6, 0x1.1a4db9010a324p-6, 0x1.13fcbb5db7de4p-6, 0x1.0dcbecb3fe7e4p-6, 0x1.07bac533ebf22p-6, 0x1.01c8be57b112ap-6, 0x1.f7eaa735121cep-7, 0x1.ec80031f60668p-7, 0x1.e1508d1c2174ep-7, 0x1.d65b447849d53p-7, 0x1.cb9f2c1037b9cp-7, 0x1.c11b481c4f32dp-7, 0x1.b6cea26ef433cp-7, 0x1.acb8464440eadp-7, 0x1.a2d74147efe8dp-7, 0x1.992aa55092b12p-7, 0x1.8fb186fb87e8p-7, 0x1.866afd4c09ac6p-7, 0x1.7d5622b32d24ap-7, 0x1.7472149683e0fp-7, 0x1.6bbdf345772ddp-7, 0x1.6338e14b1fd99p-7, 0x1.5ae205f8093fap-7, 0x1.52b88a45a825p-7, 0x1.4abb999361e5cp-7, 0x1.42ea639732b44p-7, 0x1.3b4419f47365dp-7, 0x1.33c7f22a15b7ap-7, 0x1.2c7522445cad6p-7, 0x1.254ae612296d2p-7, 0x1.1e4879f3f553cp-7, 0x1.176d1e96d3a9p-7, 0x1.10b816df339bbp-7, 0x1.0a28a7b98c06dp-7, 0x1.03be1a449b517p-7, 0x1.faef729ee408ep-8, 0x1.eea9a63074ea5p-8, 0x1.e2a97083e9145p-8, 0x1.d6ed789119f83p-8, 0x1.cb746a1d78bf5p-8, 0x1.c03cf6b3a3239p-8, 0x1.b545d487c7376p-8, 0x1.aa8dc50b45a52p-8, 0x1.a0137b96b4ad4p-8, 0x1.95d5ca1b60896p-8, 0x1.8bd377e5c7d9bp-8, 0x1.820b52414685p-8, 0x1.787c2f36e43e8p-8, 0x1.6f24e76719517p-8, 0x1.66045acda75a4p-8, 0x1.5d1968d36d277p-8, 0x1.5462fc097a8aep-8, 0x1.4be0028427c05p-8, 0x1.438f6e0917771p-8, 0x1.3b703701e11cdp-8, 0x1.3381593a7193p-8, 0x1.2bc1d4c9fd08ep-8, 0x1.2430ae9d6485p-8, 0x1.1ccce9a006637p-8, 0x1.159596cb4195p-8, 0x1.0e89c04f3df48p-8, 0x1.07a87983b3bc2p-8, 0x1.00f0d81bfca12p-8, 0x1.f4c3f1c0d73e2p-9, 0x1.e7f5f8dd30934p-9, 0x1.db76104a682c5p-9, 0x1.cf42919023addp-9, 0x1.c359dbff9e03cp-9, 0x1.b7ba5e04f4d35p-9, 0x1.ac6286af2c86cp-9, 0x1.a150cb3188accp-9, 0x1.9683a7458123fp-9, 0x1.8bf993cc654cfp-9, 0x1.81b114bd2f896p-9, 0x1.77a8ac6560fc4p-9, 0x1.6ddee71f196dfp-9, 0x1.64525338ce673p-9, 0x1.5b0190c5a00abp-9, 0x1.51eb46d34ccc9p-9, 0x1.490e2a5d6c41ap-9, 0x1.4068fd9427c5bp-9, 0x1.37fa837218c09p-9, 0x1.2fc18fc39c508p-9, 0x1.27bcf40a8e118p-9, 0x1.1feb884f390b9p-9, 0x1.184c2412e205dp-9, 0x1.10dd9e37a5b6bp-9, 0x1.099ed175ddaf7p-9, 0x1.028e9ca5a8484p-9, 0x1.f757bf1cb797bp-10, 0x1.e9eb12c98ec82p-10, 0x1.dcd5179cee5fp-10, 0x1.d013c7dcbcaf8p-10, 0x1.c3a533f3c91ebp-10, 0x1.b7877587348f5p-10, 0x1.abb8b3f48b95ep-10, 0x1.a0371ed2d5f71p-10, 0x1.9500e5408a0c2p-10, 0x1.8a14332cde9e4p-10, 0x1.7f6f76c685015p-10, 0x1.7510add825f79p-10, 0x1.6af64ae907fb7p-10, 0x1.611e9e10cd17p-10, 0x1.578812144b504p-10, 0x1.4e3120e006a44p-10, 0x1.4518563f826d5p-10, 0x1.3c3c4194af325p-10, 0x1.339b8488fc38dp-10, 0x1.2b34b5cc4f06dp-10, 0x1.2306769e3a78dp-10, 0x1.1b0f59d2e6b96p-10, 0x1.134df015325d3p-10, 0x1.0bc0c4d572967p-10, 0x1.0466751efaba2p-10, 0x1.fa7b1de7b8e59p-11, 0x1.ec8998deae355p-11, 0x1.def5cc57cfa3dp-11, 0x1.d1bd777aac99fp-11, 0x1.c4de7f2eca252p-11, 0x1.b856f3aad3acp-11, 0x1.ac2502fd8ff6dp-11, 0x1.a046e732b9689p-11, 0x1.94bad8a3f0eafp-11, 0x1.897effd9ea8efp-11, 0x1.7e915345416afp-11, 0x1.73f0127d795ep-11, 0x1.6998b4c5e7dbcp-11, 0x1.5f894048dfad4p-11, 0x1.55bf7d3c90ceep-11, 0x1.4c3941b8f7d9ap-11, 0x1.42f492ba493e9p-11, 0x1.39ef90b4e94cep-11, 0x1.312876f61b5eap-11, 0x1.289dc384b981ap-11, 0x1.204e07a69ec73p-11, 0x1.1837e1549f408p-11, 0x1.105a1a2d6f69bp-11, 0x1.08b383f26c30bp-11, 0x1.0142e8a121e02p-11, 0x1.f40e3208d1d01p-12, 0x1.e5fd902e0eb77p-12, 0x1.d8513b766a126p-12, 0x1.cb066fb59988ap-12, 0x1.be1a58b9a363ep-12, 0x1.b18a29d60c1d6p-12, 0x1.a55337a168caap-12, 0x1.9973062d38a27p-12, 0x1.8de74a29a26e6p-12, 0x1.82add17b249dap-12, 0x1.77c474165b228p-12, 0x1.6d28fe8c95abcp-12, 0x1.62d923b0fe367p-12, 0x1.58d2904ee20d2p-12, 0x1.4f129960e8ff5p-12, 0x1.4597cdb417417p-12, 0x1.3c5f884c36f1ep-12, 0x1.33683f956d0bp-12, 0x1.2ab09896c7df7p-12, 0x1.2236dfb383f7bp-12, 0x1.19f9f5bc5136bp-12, 0x1.11f857e3eb0fep-12, 0x1.0a309969720acp-12, 0x1.02a1530327d0ep-12, 0x1.f692789151cd9p-13, 0x1.e84e545da91f8p-13, 0x1.da7403d445a67p-13, 0x1.cd01297ec812bp-13, 0x1.bff2d877c4e86p-13, 0x1.b345be8b036adp-13, 0x1.a6f5ea01504f7p-13, 0x1.9aff3727e0b97p-13, 0x1.8f5db7f1aebbbp-13, 0x1.840dc8d6a1f06p-13, 0x1.790c5352b1298p-13, 0x1.6e56ea1854d83p-13, 0x1.63eb972a7c634p-13, 0x1.59c8cb729590dp-13, 0x1.4fed53763584ap-13, 0x1.465850b193b17p-13, 0x1.3d0902ffb9af5p-13, 0x1.33fe39678ca7cp-13, 0x1.2b371f969b103p-13, 0x1.22b23f8066e1bp-13, 0x1.1a6e4a7ccbfe9p-13, 0x1.12695f34d61f2p-13, 0x1.0aa1e399cea61p-13, 0x1.031476fa38912p-13, 0x1.f77d70b070987p-14, 0x1.e93d65fb88ea6p-14, 0x1.db6340c3c9f39p-14, 0x1.cdeb738479963p-14, 0x1.c0d33c8d5bd2bp-14, 0x1.b4178f8b20dd7p-14, 0x1.a7b5066c23d26p-14, 0x1.9ba74118f22fcp-14, 0x1.8feafaae73c2fp-14, 0x1.847d3dfed04a9p-14, 0x1.795e41cc4304bp-14, 0x1.6e8e85de26667p-14, 0x1.640f0b5d0840ep-14, 0x1.59df93a45bff4p-14, 0x1.4ffe35844628dp-14, 0x1.4668568f8019ap-14, 0x1.3d1a908a00b1ap-14, 0x1.3411c4e19e32dp-14, 0x1.2b4a44b6cfd44p-14, 0x1.22c3721e842cep-14, 0x1.1a77af0974c14p-14, 0x1.12652551e3887p-14, 0x1.0a8a0aa3ed9c6p-14, 0x1.02e59ba436d9p-14, 0x1.f6ef415e3f0bap-15, 0x1.e87ea218c36ecp-15, 0x1.da75376c545bp-15, 0x1.cccd5430b4f0fp-15, 0x1.bf81611e28d33p-15, 0x1.b28cc0d128484p-15, 0x1.a5ee0b139c8e4p-15, 0x1.99a5ebeb24ba9p-15, 0x1.8db53d2fe62afp-15, 0x1.821b9e3da7542p-15, 0x1.76d71f8dddeeep-15, 0x1.6be41401e224cp-15, 0x1.613f8f87422a1p-15, 0x1.56e5adf13fef3p-15, 0x1.4cd609d855be1p-15, 0x1.430be77eec083p-15, 0x1.3985f4038620bp-15, 0x1.3040459776c43p-15, 0x1.2737325fa2321p-15, 0x1.1e68227ac486cp-15, 0x1.15d1e248f9549p-15, 0x1.0d7407e80156ep-15, 0x1.054f43293080bp-15, 0x1.fac3e294d15f2p-16, 0x1.eb5639f9cb94fp-16, 0x1.dc52e7b3d1dfcp-16, 0x1.cdb79984a1508p-16, 0x1.bf81fe12df162p-16, 0x1.b1ad3fc32f70ap-16, 0x1.a431f701b7f3bp-16, 0x1.9709f519a76a5p-16, 0x1.8a34782e73146p-16, 0x1.7db15eb8cd3b3p-16, 0x1.717e5a013cdc1p-16, 0x1.659f3ca300bb2p-16, 0x1.5a0dbbdb62fe7p-16, 0x1.4eca6e9c481fcp-16, 0x1.43d65e593eefbp-16, 0x1.392f767d5ee61p-16, 0x1.2ecf0d8c6c6bcp-16, 0x1.24ad08156fa2p-16, 0x1.1ac3bdf3021c2p-16, 0x1.11124053aed7fp-16, 0x1.0799955b4930ap-16, 0x1.fcb7c0bbd7a5bp-17, 0x1.eab71ead5725dp-17, 0x1.d92332b5a4026p-17, 0x1.c80131a41adccp-17, 0x1.b7567b8c6665cp-17, 0x1.a725ddaace625p-17, 0x1.9768040c1e994p-17, 0x1.880d3e6203056p-17, 0x1.79057eab93ef3p-17, 0x1.6a485df1c958ep-17, 0x1.5bd9e695b4ec7p-17, 0x1.4dc3d74957deap-17, 0x1.4009261c072adp-17, 0x1.32a18bcc98431p-17, 0x1.258844edb432ep-17, 0x1.18c5fce85309ep-17, 0x1.0c5e44b07e6d3p-17, 0x1.004cf0a94ae32p-17, 0x1.e913c833190ffp-18, 0x1.d213058071656p-18, 0x1.bb821bc5cfa09p-18, 0x1.a5612c902a677p-18, 0x1.8fc16b19a0792p-18, 0x1.7aa80bc3921acp-18, 0x1.660dcea704d23p-18, 0x1.51e7384ff3626p-18, 0x1.3e39bf668a664p-18, 0x1.2b0f7610b5619p-18, 0x1.186708996725fp-18, 0x1.0637afe590948p-18, 0x1.e90034ed82046p-19, 0x1.c65fc6dea08e2p-19, 0x1.a472fa429076fp-19, 0x1.833b4870f3f8dp-19, 0x1.62b3117f2fa35p-19, 0x1.42fc47134cd15p-19, 0x1.240551bc883c6p-19, 0x1.05b5bc0e4cf0fp-19, 0x1.d03442d8449e7p-20, 0x1.968a1b5f0f737p-20, 0x1.5e63919dec549p-20, 0x1.27a75f3fed7f6p-20, 0x1.e4b5a80f4cdbp-21, 0x1.7ca636ec15ed4p-21, 0x1.16dc505e1158ap-21, 0x1.662d67ff25a2p-22, 0x1.4656ddd547d5ep-23, -0x1.ae016c7c5af76p-26, -0x1.a9600ec54dd61p-23, -0x1.898bd5528aa38p-22, -0x1.1d30ea6feb3a8p-21, -0x1.73473bf1f0721p-21, -0x1.c704602a6157dp-21, -0x1.0c6908e0f88ddp-20, -0x1.3449b122850d8p-20, -0x1.5b2d7abf6e78bp-20, -0x1.810ce631d9c93p-20, -0x1.a5e6cc1206a3ep-20, -0x1.c9e2655ce79bp-20, -0x1.ed00164de99cep-20, -0x1.079730c2a49bap-19, -0x1.18445c09b133dp-19, -0x1.288707c5f9ddep-19, -0x1.384eeb283fd19p-19, -0x1.47aba77b94b06p-19, -0x1.569ba7ff78d4dp-19, -0x1.652535bf9cb6ep-19, -0x1.734ed1f1efd65p-19, -0x1.810d0513701fep-19, -0x1.8e611dc611537p-19, -0x1.9b52fc3529846p-19, -0x1.a7e95910a0ba2p-19, -0x1.b42a0640f7786p-19, -0x1.c00b6764e7ad3p-19, -0x1.cb9852fc83a4cp-19, -0x1.d6c93286c4a9ep-19, -0x1.e1a4431a083c8p-19, -0x1.ec1f650e86947p-19, -0x1.f649cf30ae35cp-19, -0x1.001381b71953p-18, -0x1.04d654b98c30bp-18, -0x1.0973925032da9p-18, -0x1.0de8f183f6b26p-18, -0x1.1234b7af699c7p-18, -0x1.165837e06ae4p-18, -0x1.1a578279a407ap-18, -0x1.1e32a1abb0debp-18, -0x1.21f5a209fd1fcp-18, -0x1.25837dcafdc98p-18, -0x1.28f19e16c2ee5p-18, -0x1.2c3f9d45e1ea3p-18, -0x1.2f6b5f6b9bfaap-18, -0x1.32753dc240411p-18, -0x1.356045f4e9894p-18, -0x1.382678a941e4bp-18, -0x1.3acfb911b865dp-18, -0x1.3d591e8a87c9cp-18, -0x1.3fc2508e38c91p-18, -0x1.420c83a8c2298p-18, -0x1.4439653af86p-18, -0x1.46488d82bb31ep-18, -0x1.4839f9143231dp-18, -0x1.4a13413c8e799p-18, -0x1.4bccd48c5063ap-18, -0x1.4d6a5fda3f5d6p-18, -0x1.4eedab716312bp-18, -0x1.5055149018991p-18, -0x1.51a3d9ec8bb97p-18, -0x1.52da6ae34589bp-18, -0x1.53f6744937365p-18, -0x1.54f7a18872793p-18, -0x1.55dfbfd89f4dep-18, -0x1.56af8f01780aap-18, -0x1.5767e493d7008p-18, -0x1.580c4b1b28a1bp-18, -0x1.5898bdd32182p-18, -0x1.590ab2eab5b6ap-18, -0x1.5969434feb47fp-18, -0x1.59b2359eb3d91p-18, -0x1.59e5265b85029p-18, -0x1.5a02a74f5ed33p-18, -0x1.5a0b7199df63dp-18, -0x1.5a0019daf0f0bp-18, -0x1.59e10ada81d01p-18, -0x1.59ae718908e41p-18, -0x1.5968a5477f3cbp-18, -0x1.590faa0e3b878p-18, -0x1.58a481e93b584p-18, -0x1.582522c2d90bcp-18, -0x1.5796f04a34b97p-18, -0x1.56f6cb958edf6p-18, -0x1.564451cbd62bdp-18, -0x1.5580c6d237p-18, -0x1.54acd6f8eb29ep-18, -0x1.53c9dd2d6e072p-18, -0x1.52dde4acbac09p-18, -0x1.51d19eb6d02b6p-18, -0x1.50bb2e40d0a4ep-18, -0x1.4f95a4acc3d7ep-18, -0x1.4e681dbd749c4p-18, -0x1.4d2ca26c50158p-18, -0x1.4bdfd0af2af2cp-18, -0x1.4a854a16c3625p-18, -0x1.491b510a30b34p-18, -0x1.47a77b5f1dc1ap-18, -0x1.4625f63f0c3d7p-18, -0x1.44948e4bda274p-18, -0x1.42f8fd3a707d8p-18, -0x1.41518e8bd6c9fp-18, -0x1.3f9eab65d7862p-18, -0x1.3de02f4ddb661p-18, -0x1.3c17157bd7e28p-18, -0x1.3a41df38b0eddp-18, -0x1.3861b5fcef25ap-18, -0x1.367728cdfb9aep-18, -0x1.348206f1939bcp-18, -0x1.328371bacb0aap-18, -0x1.307ab4ed44e36p-18, -0x1.2e691da41e0bfp-18, -0x1.2c4e0723bf85fp-18, -0x1.2a2acf0761fd2p-18, -0x1.27fdc8eed9fbcp-18, -0x1.25c8a4b2aec95p-18, -0x1.238b369d03ffcp-18, -0x1.2145cfb56a9cep-18, -0x1.1ef8991d9dcf6p-18, -0x1.1ca31cb42ac1cp-18, -0x1.1a48bbb24b43ap-18, -0x1.17e58e1dc255ap-18, -0x1.157991a1bd14ap-18, -0x1.130a3202e7a18p-18, -0x1.10928895c0246p-18, -0x1.0e15319628f47p-18, -0x1.0b91db44a611cp-18, -0x1.0904a26014833p-18, -0x1.067958961bb9p-18, -0x1.03e4a6d65018p-18, -0x1.01499c8d774fap-18, -0x1.fd59e73e6cfefp-19, -0x1.f812753430b88p-19, -0x1.f2bf1e9414f63p-19, -0x1.ed589395092ddp-19, -0x1.e80408fe53004p-19, -0x1.e29caa66a56abp-19, -0x1.dd2b02271d226p-19, -0x1.d7b04969d94f2p-19, -0x1.d2307ee8bcb06p-19, -0x1.cca8a4dff90cp-19, -0x1.c71c87da740fp-19, -0x1.c187d5c5f82f7p-19, -0x1.bbec62b3d09d8p-19, -0x1.b6508f3f57483p-19, -0x1.b0ab0f553fc9fp-19, -0x1.ab035cb557961p-19, -0x1.a55c3ca8137bcp-19, -0x1.9fa7a58e1a328p-19, -0x1.99f2843b10978p-19, -0x1.943a150cac249p-19, -0x1.8e7efb3051fbap-19, -0x1.88c086ed18a7ap-19, -0x1.82ffacd0a4759p-19, -0x1.7d3a24d37e8fdp-19, -0x1.7778845f03dd1p-19, -0x1.71af7b2f14b8cp-19, -0x1.6be75ef6aae4dp-19, -0x1.661f0d91d7c2bp-19, -0x1.6055141e71e2ap-19, -0x1.5a8a0d780a389p-19, -0x1.54be19f29b681p-19, -0x1.4ef26080e3be5p-19, -0x1.49252ba8ce75fp-19, -0x1.434f58e89a8d6p-19, -0x1.3d902df2c8158p-19, -0x1.37c6220a9f9c8p-19, -0x1.31fd199a72b6dp-19, -0x1.2c35296dceb43p-19, -0x1.266e803637faap-19, -0x1.20a9937235dc8p-19, -0x1.1ae999432ce9fp-19, -0x1.1527cd11657a9p-19, -0x1.0f6f5add6cdb2p-19, -0x1.09ae4f1f19ceap-19, -0x1.03f70e728405p-19, -0x1.fc8316eff884fp-20, -0x1.f11e39b01a58cp-20, -0x1.e5bb53a2d6c2ep-20, -0x1.da63a01006963p-20, -0x1.cf119b9f73907p-20, -0x1.c3cce9ed7ebbdp-20, -0x1.b88074a92b1ecp-20, -0x1.ad52345b547a6p-20, -0x1.a2228ede71e13p-20, -0x1.96fc8c725b4c7p-20, -0x1.8be00e86eaacfp-20, -0x1.80d06d2b3ee49p-20, -0x1.75c43309edb67p-20, -0x1.6ac41fdd26427p-20, -0x1.5fd0995308bd3p-20, -0x1.54e986e49f9dp-20, -0x1.4a0814b635517p-20, -0x1.3f34bea8aa488p-20, -0x1.346b0b71c4be4p-20, -0x1.29b8e51dc25bdp-20, -0x1.1f0b5a7624d84p-20, -0x1.14756e7fc2e7cp-20, -0x1.09d0853f86fa2p-20, -0x1.fe9132f68a934p-21, -0x1.e995607e7749fp-21, -0x1.d4b989c514c23p-21, -0x1.bffb419d23f16p-21, -0x1.ab4d9a5889237p-21, -0x1.96cdbd2a0f3adp-21, -0x1.825bbb9aa750fp-21, -0x1.6e15631712f76p-21, -0x1.59e48dcae12b2p-21, -0x1.45c7093a15122p-21, -0x1.31acd6e3996dp-21, -0x1.1dfde95f7fe96p-21, -0x1.0a41007588d0bp-21, -0x1.ed5247f2ccc74p-22, -0x1.c65f7f6577178p-22, -0x1.9f8d1fc51ed28p-22, -0x1.7921aaa590c1ap-22, -0x1.52e586eb2d283p-22, -0x1.2d12a10e47b3ep-22, -0x1.075869bf7794ep-22, -0x1.c3976c7193041p-23, -0x1.795569d447434p-23, -0x1.2f81adb15e55dp-23, -0x1.cb78af2a82f9dp-24, -0x1.3a938bf617edbp-24, -0x1.539f3cf1434e9p-25, -0x1.adc6c6b65fcbcp-28, 0x1.cd7f2714ec559p-26, 0x1.fdfb0d407841ap-25, 0x1.8d07eee43fd43p-24, 0x1.0c1e62e451c92p-23, 0x1.5130ca6aa7e7fp-23, 0x1.959e8e26709bp-23, 0x1.d9838d58ef21dp-23, 0x1.0e689e4aa9c53p-22, 0x1.2fc43070cb94fp-22, 0x1.50df13341f5a1p-22, 0x1.71bb6332b9cb9p-22, 0x1.92473e58bb3c9p-22, 0x1.b28e31ce78d01p-22, 0x1.d28a7c3d27665p-22, 0x1.f2456597bd0b3p-22, 0x1.08cb35a1b1e9dp-21, 0x1.1873a26972363p-21, 0x1.27d63b95eceeap-21, 0x1.371876ffebbb2p-21, 0x1.4635468b70842p-21, 0x1.55387e1c24495p-21, 0x1.6411f631837dep-21, 0x1.72c334fa6dca7p-21, 0x1.8154d6e0c305p-21, 0x1.8fba0af54f70ap-21, 0x1.9e014ee498c29p-21, 0x1.ac248024bb88ap-21, 0x1.ba22f9db7f84cp-21, 0x1.c7fa819fe65e2p-21, 0x1.d5afae7ae2851p-21, 0x1.e33d1a78ab01p-21, 0x1.f0bf8aec65293p-21, 0x1.fde8d6c9bc468p-21, 0x1.05824871e0ff7p-20, 0x1.0c07be0d590ebp-20, 0x1.126ee0067cc5bp-20, 0x1.18c848e25acb8p-20, 0x1.1f109f52967adp-20, 0x1.25457c79ef4eap-20, 0x1.2b67ce20439f6p-20, 0x1.31782f0079162p-20, 0x1.377653313fecep-20, 0x1.3d6404ce94947p-20, 0x1.433faf98e6f83p-20, 0x1.4914d3570975p-20, 0x1.4ec24124bdc12p-20, }}, 
      {{0x1.9b2a18458c0ffp-4, 0x1.9b969c9d7423fp-4, 0x1.9c8707da2e5d7p-4, 0x1.9e4924666543dp-4, 0x1.a136ffce42bc1p-4, 0x1.a5aacce2459dbp-4, 0x1.abf4b7beb1d4p-4, 0x1.b4537d3e5f909p-4, 0x1.beefe8feb0ae8p-4, 0x1.cbdaf045a1507p-4, 0x1.db0dea3c4fe73p-4, 0x1.ec6c5745cbe4cp-4, 0x1.ffc6b1fcbdc04p-4, 0x1.0a6eec2e391e3p-3, 0x1.15b3597cb6c4fp-3, 0x1.2186eb58ff503p-3, 0x1.2dbd787dec285p-3, 0x1.3a29efa6fdd25p-3, 0x1.469faf966d1adp-3, 0x1.52f3a7344615ap-3, 0x1.5efd3d4d2e817p-3, 0x1.6a97022736d76p-3, 0x1.759f2ef7753ecp-3, 0x1.7ff7f868501f7p-3, 0x1.8987b9fcca434p-3, 0x1.92390050b0206p-3, 0x1.99fa781b86c5bp-3, 0x1.a0bec78a76bb5p-3, 0x1.a67c570ec4bb1p-3, 0x1.ab2d0e317cf83p-3, 0x1.aece08655d515p-3, 0x1.b15f4536f9f06p-3, 0x1.b2e356a6f383bp-3, 0x1.b35f0fefdf0ep-3, 0x1.b2d9367bc6685p-3, 0x1.b15a365df7821p-3, 0x1.aeebdb4588fdap-3, 0x1.ab990e8b6c5bbp-3, 0x1.a76d9abb6de8cp-3, 0x1.a275f4c0d0fe6p-3, 0x1.9cbf0ab43b433p-3, 0x1.965618279d66ap-3, 0x1.8f487fb48bf72p-3, 0x1.87a3a980836acp-3, 0x1.7f74e65f93b58p-3, 0x1.76c95737e0249p-3, 0x1.6dadd845fea61p-3, 0x1.642eefe2ea862p-3, 0x1.5a58c06f1a8p-3, 0x1.5036fd0a8773p-3, 0x1.45d4e0c6f0695p-3, 0x1.3b3d280790ad1p-3, 0x1.307a0bc7e27b7p-3, 0x1.25953e895c438p-3, 0x1.1a97eaae4aef6p-3, 0x1.0f8ab20df28f4p-3, 0x1.0475ae93b4f88p-3, 0x1.f2c0e78065154p-4, 0x1.dca421d054fdap-4, 0x1.c6a22822737ecp-4, 0x1.b0c71aa0cd7e6p-4, 0x1.9b1e2524286c7p-4, 0x1.85b1876bd07b9p-4, 0x1.708a9dd81724p-4, 0x1.5bb1ea87137cap-4, 0x1.472f1eb7798d7p-4, 0x1.3309245917f21p-4, 0x1.1f4627b5d6278p-4, 0x1.0beba120e1187p-4, 0x1.f1fcbd387d1d7p-5, 0x1.cd051ace53a9ap-5, 0x1.a8f786d32b83ep-5, 0x1.85da10e5ad48dp-5, 0x1.63b1be860715dp-5, 0x1.42829cafdce0cp-5, 0x1.224fd0ef84307p-5, 0x1.031ba9e8c3231p-5, 0x1.c9cf5e8e7d532p-6, 0x1.8f696224c6c6dp-6, 0x1.5705acc04ecb3p-6, 0x1.20a356c6b97p-6, 0x1.d880bb4e3eb67p-7, 0x1.73b37ab5f5102p-7, 0x1.12d71130ef486p-7, 0x1.6bc3fee015643p-8, 0x1.732532860a828p-9, 0x1.e02bc84f8ceb6p-13, -0x1.2815354bf78ebp-9, -0x1.2fae47a9bf332p-8, -0x1.c40869d7f0e6bp-8, -0x1.289ca76f2ee77p-7, -0x1.6bb14b9dcfd12p-7, -0x1.ab53805b951b9p-7, -0x1.e7951a7a70d65p-7, -0x1.104426fdcfe9bp-6, -0x1.2b1fcc98e3fcp-6, -0x1.4466d8d673f8dp-6, -0x1.5c22b96c8cea7p-6, -0x1.725ce71c96e82p-6, -0x1.871ede92f923bp-6, -0x1.9a7219fdcc074p-6, -0x1.ac600b4f5ed44p-6, -0x1.bcf21721a93afp-6, -0x1.cc31902fea34ep-6, -0x1.da27b35c13b67p-6, -0x1.e6dda435fb756p-6, -0x1.f25c69fa92e73p-6, -0x1.fcaced01cf551p-6, -0x1.02ebfa492f262p-5, -0x1.06f3128947587p-5, -0x1.0a6fff4726d2ap-5, -0x1.0d66edc5470bfp-5, -0x1.0fdbf80f5bbb1p-5, -0x1.11d324a6a312ap-5, -0x1.1350664a8fd27p-5, -0x1.14579bdac28ccp-5, -0x1.14ec904f79ce4p-5, -0x1.1512fac5d2197p-5, -0x1.14ce7e9d62062p-5, -0x1.1422aba4eb81fp-5, -0x1.1312fe53ff15dp-5, -0x1.11a2e00fa9876p-5, -0x1.0fd5a7785f469p-5, -0x1.0dae98bf883c8p-5, -0x1.0b30e6032f4a3p-5, -0x1.085fafae7bf4p-5, -0x1.053e04ddc25d6p-5, -0x1.01cee3c517d79p-5, -0x1.fc2a7430c9afp-6, -0x1.f427cae846a46p-6, -0x1.eb9b678bfcfa1p-6, -0x1.e28ac7695ff92p-6, -0x1.d8fb4a0cf5889p-6, -0x1.cef2320b8d819p-6, -0x1.c474a5c6e613fp-6, -0x1.b987b02d020c7p-6, -0x1.ae304171908cap-6, -0x1.a2732fc0f0b02p-6, -0x1.965537ec6b15bp-6, -0x1.89dafe0f69019p-6, -0x1.7d090e2d663edp-6, -0x1.6fe3dcc87f7dfp-6, -0x1.626fc77092a19p-6, -0x1.54b1154af8b85p-6, -0x1.46abf792e4311p-6, -0x1.38648a127f6edp-6, -0x1.29ded394e72f8p-6, -0x1.1b1ec65141818p-6, -0x1.0c28404f1c34dp-6, -0x1.f9fe1788b3b67p-7, -0x1.db4dbed9c5a34p-7, -0x1.bc46bdb8c9d4bp-7, -0x1.9cf03594da062p-7, -0x1.7d5122b24d0dfp-7, -0x1.5d705cae3ce68p-7, -0x1.3d5496f86aff8p-7, -0x1.1d04614455ccep-7, -0x1.f90c4fe41ae57p-8, -0x1.b7c068dee43cbp-8, -0x1.76315b24e15b1p-8, -0x1.346b2fd9993e6p-8, -0x1.e4f3586835563p-9, -0x1.60d0a4205cb2bp-9, -0x1.b90981d927ba3p-10, -0x1.6096a0d7a3124p-11, 0x1.61b98291247ep-12, 0x1.60f9ab9d27762p-10, 0x1.3496d75eb2ae7p-9, 0x1.b871454f3963ap-9, 0x1.1dfc582963b13p-8, 0x1.5f8d14601e583p-8, 0x1.a0e19eeae4046p-8, 0x1.e1f0fe7f888a8p-8, 0x1.11593c47518e8p-7, 0x1.318ec873e2ce1p-7, 0x1.519504aeb5ebdp-7, 0x1.7167f0b40909ep-7, 0x1.9103aae414d17p-7, 0x1.b064701321c4fp-7, 0x1.cf869b58a1166p-7, 0x1.ee66a5dcfe22ep-7, 0x1.0680935304862p-6, 0x1.15a96930e8d1p-6, 0x1.24ac3d97f5c68p-6, 0x1.3387883475f48p-6, 0x1.4239cf3209cdep-6, 0x1.50c1a71d8307cp-6, 0x1.5f1db2c5bdb5ep-6, 0x1.6d4ca31b6b2f6p-6, 0x1.7b4d370fdf9fep-6, 0x1.891e3b72cbc01p-6, 0x1.96be8aceebdc2p-6, 0x1.a42d0d45a4694p-6, 0x1.b168b8698e47fp-6, 0x1.be708f17ed118p-6, 0x1.cb43a1511d833p-6, 0x1.d7e10c1003115p-6, 0x1.e447f9206ce34p-6, 0x1.f0779ef489737p-6, 0x1.fc6f40795abdep-6, 0x1.041716751df13p-5, 0x1.09d9dfd1bcd12p-5, 0x1.0f7faffa0ad36p-5, 0x1.1508407754a62p-5, 0x1.1a73509cc6466p-5, 0x1.1fc0a56f17037p-5, 0x1.24f0098bdef4dp-5, 0x1.2a014d108c088p-5, 0x1.2ef445810b6bdp-5, 0x1.33c8cdae2315ap-5, 0x1.387ec59b865abp-5, 0x1.3d161265aa79p-5, 0x1.418e9e276114fp-5, 0x1.45e857df3b794p-5, 0x1.4a233354bb2cep-5, 0x1.4e3f28fd595dep-5, 0x1.523c35e1673f1p-5, 0x1.561a5b80d07ccp-5, 0x1.59d99fb7c6793p-5, 0x1.5d7a0ca355047p-5, 0x1.60fbb085ec85ep-5, 0x1.645e9dabdf213p-5, 0x1.67a2ea4fda566p-5, 0x1.6ac8b07f60482p-5, 0x1.6dd00dff48656p-5, 0x1.70b924304c636p-5, 0x1.738417f3a3ff1p-5, 0x1.7631118fbc89bp-5, 0x1.78c03c9501b3ap-5, 0x1.7b31c7c2ce185p-5, 0x1.7d85e4ec757abp-5, 0x1.7fbcc8de78df2p-5, 0x1.81d6ab43e755p-5, 0x1.83d3c68bea074p-5, 0x1.85b457cf8c76dp-5, 0x1.87789eb7b1beap-5, 0x1.8920dd634e197p-5, 0x1.8aad584dd9c18p-5, 0x1.8c1e563602cadp-5, 0x1.8d742004a778cp-5, 0x1.8eaf00b412b89p-5, 0x1.8fcf45378820cp-5, 0x1.90d53c63191efp-5, 0x1.91c136d3ce977p-5, 0x1.929386d822bcdp-5, 0x1.934c8058d00d5p-5, 0x1.93ec78c1f7ebcp-5, 0x1.9473c6ec9d501p-5, 0x1.94e2c30880394p-5, 0x1.9539c6864d36dp-5, 0x1.95792c023192ap-5, 0x1.95a14f2ece205p-5, 0x1.95b28cc0890bep-5, 0x1.95ad425943eefp-5, 0x1.9591ce747794fp-5, 0x1.95609053afcccp-5, 0x1.9519e7eb6df73p-5, 0x1.94be35d07036cp-5, 0x1.944ddb256069fp-5, 0x1.93c93988e8d48p-5, 0x1.9330b304330adp-5, 0x1.9284a9f9cac93p-5, 0x1.91c58114f1089p-5, 0x1.90f39b39502ecp-5, 0x1.900f5b731e056p-5, 0x1.8f1924e7a1431p-5, 0x1.8e115ac624db2p-5, 0x1.8cf860394d775p-5, 0x1.8bce9858d8d93p-5, 0x1.8a94661bc5bb3p-5, 0x1.894a2c4ae1ba1p-5, 0x1.87f04d73c0cc2p-5, 0x1.86872bdc1689p-5, 0x1.850f29757958p-5, 0x1.8388a7d1887dcp-5, 0x1.81f4081674ad7p-5, 0x1.8051aaf3ee491p-5, 0x1.7ea1f09871388p-5, 0x1.7ce538a6f507ap-5, 0x1.7b1be22cfdc5dp-5, 0x1.79464b9908606p-5, 0x1.7764d2b15a352p-5, 0x1.7577d48b28f52p-5, 0x1.737fad8224b19p-5, 0x1.717cb9305659dp-5, 0x1.6f6f52665c84dp-5, 0x1.6d57d323fa8f3p-5, 0x1.6b36949105abp-5, 0x1.690beef69e487p-5, 0x1.66d839b8c5ae3p-5, 0x1.649bcb5041acfp-5, 0x1.6256f944d0e61p-5, 0x1.600a1827b3831p-5, 0x1.5db57b8e80fb8p-5, 0x1.5b59760e4816ep-5, 0x1.58f65936fdc04p-5, 0x1.568c758f36c9bp-5, 0x1.541c1a90237c1p-5, 0x1.51a596a1dbb94p-5, 0x1.4f293717e8b09p-5, 0x1.4ca7482e13e3ap-5, 0x1.4a2015057c89bp-5, 0x1.4793e7a1e869p-5, 0x1.450308e75a5a6p-5, 0x1.426dc097e226cp-5, 0x1.3fd45551aa51p-5, 0x1.3d370c8d4372fp-5, 0x1.3a962a9c22f81p-5, 0x1.37f1f2a762964p-5, 0x1.354aa6aead83ap-5, 0x1.32a08787648f4p-5, 0x1.2ff3d4dbfca24p-5, 0x1.2d44cd2b80701p-5, 0x1.2a93adc953f1cp-5, 0x1.27e0b2dd178c9p-5, 0x1.252c1762c4373p-5, 0x1.2276152aee53ep-5, 0x1.1fbee4db33768p-5, 0x1.1d06bdeed4da9p-5, 0x1.1a4dd6b7766fep-5, 0x1.1794645e06044p-5, 0x1.14da9ae3c8c65p-5, 0x1.1220ad2387653p-5, 0x1.0f66ccd2e576ap-5, 0x1.0cad2a83d06ffp-5, 0x1.09f3f5a615ad8p-5, 0x1.073b5c891445p-5, 0x1.04838c5d8c66bp-5, 0x1.01ccb1378ca62p-5, 0x1.fe2dec20f07c3p-6, 0x1.f8c5099255c6p-6, 0x1.f35f0c5864ca6p-6, 0x1.edfc43e03adfdp-6, 0x1.e89cfd73d769fp-6, 0x1.e341843f08279p-6, 0x1.ddea2154936d2p-6, 0x1.d8971bb387aacp-6, 0x1.d348b84ca0c32p-6, 0x1.cdff3a07e0c09p-6, 0x1.c8bae1ca3da67p-6, 0x1.c37bee7b73da2p-6, 0x1.be429d0befc4cp-6, 0x1.b90f287adeddp-6, 0x1.b3e1c9dc459dep-6, 0x1.aebab85f41d29p-6, 0x1.a99a295453378p-6, 0x1.a4805033c3c61p-6, 0x1.9f6d5ea413851p-6, 0x1.9a618480829afp-6, 0x1.955cefdfa6a3p-6, 0x1.905fcd1a021e6p-6, 0x1.8b6a46d0bfc8dp-6, 0x1.867c85f45ba18p-6, 0x1.8196b1cb6c52bp-6, 0x1.7cb8eff9686p-6, 0x1.77e36485752f7p-6, 0x1.731631e13f37cp-6, 0x1.6e5178efd0c6ap-6, 0x1.6995590c6a2f6p-6, 0x1.64e1f0116757fp-6, 0x1.60375a5f167f7p-6, 0x1.5b95b2e29dcb1p-6, 0x1.56fd131ccd1fap-6, 0x1.526d932902fa9p-6, 0x1.4de749c3f5d96p-6, 0x1.496a4c5292bd7p-6, 0x1.44f6aee8bc059p-6, 0x1.408c84501b46ep-6, 0x1.3c2bde0ed4e42p-6, 0x1.37d4cc6e484f3p-6, 0x1.33875e81b6417p-6, 0x1.2f43a22cec952p-6, 0x1.2b09a42addb6bp-6, 0x1.26d970143274dp-6, 0x1.22b31065cfda5p-6, 0x1.1e968e874c242p-6, 0x1.1a83f2d1624f5p-6, 0x1.167b44944d06p-6, 0x1.127c8a1e14e1bp-6, 0x1.0e87c8c0da748p-6, 0x1.0a9d04d90649bp-6, 0x1.06bc41d37127bp-6, 0x1.02e582337466p-6, 0x1.fe318f31ec146p-7, 0x1.f6ac258cb5b57p-7, 0x1.ef3ac74cd4c04p-7, 0x1.e7dd72a44c751p-7, 0x1.e094242d15e6cp-7, 0x1.d95ed6f47d056p-7, 0x1.d23d848665bd2p-7, 0x1.cb3024f86843dp-7, 0x1.c436aef4babcep-7, 0x1.bd5117c5126afp-7, 0x1.b67f535d3611ep-7, 0x1.afc154659fd39p-7, 0x1.a9170c45bb207p-7, 0x1.a2806b2e3a94dp-7, 0x1.9bfd60230f8b1p-7, 0x1.958dd90561adbp-7, 0x1.8f31c29d53defp-7, 0x1.88e908a38b33fp-7, 0x1.82b395caba28dp-7, 0x1.7c9153c8e575bp-7, 0x1.76822b6080147p-7, 0x1.708604697661fp-7, 0x1.6a9cc5d9f9eb2p-7, 0x1.64c655cf354ccp-7, 0x1.5f029995d0395p-7, 0x1.595175b251b86p-7, 0x1.53b2cde9528c1p-7, 0x1.4e2685479a79ap-7, 0x1.48ac7e29f2fbbp-7, 0x1.43449a45006d4p-7, 0x1.3deebaacd2ddep-7, 0x1.38aabfdc5a301p-7, 0x1.337889bcb0d78p-7, 0x1.2e57f7ac51e69p-7, 0x1.2948e8860ea6ep-7, 0x1.244b3aa7e5a7bp-7, 0x1.1f5ecbf9c99ccp-7, 0x1.1a8379f428e87p-7, 0x1.15b921a65d14ep-7, 0x1.10ff9fbce9e2ep-7, 0x1.0c56d087b2376p-7, 0x1.07be8fffeb4fp-7, 0x1.0336b9cdf9fd3p-7, 0x1.fd7e529e60398p-8, 0x1.f4af7336b4de4p-8, 0x1.ec008b14773e5p-8, 0x1.e3714f71b39e3p-8, 0x1.db01751d55068p-8, 0x1.d2b0b0854c684p-8, 0x1.ca7eb5c0577cbp-8, 0x1.c26b3897a8af5p-8, 0x1.ba75ec90365d3p-8, 0x1.b29e84f3c6873p-8, 0x1.aae4b4d9dcf57p-8, 0x1.a3482f304b58p-8, 0x1.9bc8a6c37c714p-8, 0x1.9465ce46b36e2p-8, 0x1.8d1f585bd4755p-8, 0x1.85f4f79b211d2p-8, 0x1.7ee65e9aa18f1p-8, 0x1.77f33ff562e3ep-8, 0x1.711b4e525fa4cp-8, 0x1.6a5e3c6b657d2p-8, 0x1.63bbbd139ce8ap-8, 0x1.5d33833dd7753p-8, 0x1.56c54202ccd9ep-8, 0x1.5070aca6f7823p-8, 0x1.4a3576a077922p-8, 0x1.4413539c74702p-8, 0x1.3e09f784a4deep-8, 0x1.3819168472528p-8, 0x1.3240650ddca87p-8, 0x1.2c7f97de702bbp-8, 0x1.26d66403d883fp-8, 0x1.21447ee04dedep-8, 0x1.1bc99e2ef7307p-8, 0x1.16657807eeafbp-8, 0x1.1117c2e452794p-8, 0x1.0be035a1fbef5p-8, 0x1.06be87872d512p-8, 0x1.01b270460a10fp-8, 0x1.f9775000022d7p-9, 0x1.efb3ce91ab3e7p-9, 0x1.e619ce539e75bp-9, 0x1.dca8c2491e546p-9, 0x1.d3601e6bad0e7p-9, 0x1.ca3f57b0419b9p-9, 0x1.c145e40c67636p-9, 0x1.b8733a7aceeccp-9, 0x1.afc6d2ffec9fbp-9, 0x1.a74026ae28a0ap-9, 0x1.9edeafa9aa777p-9, 0x1.96a1e92c927c8p-9, 0x1.8e894f89ede36p-9, 0x1.8694603186e2dp-9, 0x1.7ec299b29f536p-9, 0x1.77137bbefb3efp-9, 0x1.6f86872d819a6p-9, 0x1.681b3dfcb8679p-9, 0x1.60d12355064bap-9, 0x1.59a7bb8abbd9ap-9, 0x1.529e8c2002f7fp-9, 0x1.4bb51bc6a9ae2p-9, 0x1.44eaf261843d4p-9, 0x1.3e3f9905c6c6fp-9, 0x1.37b299fc7ba99p-9, 0x1.314380c33955cp-9, 0x1.2af1da0d4e5bap-9, 0x1.24bd33c43051ap-9, 0x1.1ea51d085911bp-9, 0x1.18a926318926cp-9, 0x1.12c8e0cf21df7p-9, 0x1.0d03dfa85c79p-9, 0x1.0759b6bc4bd01p-9, 0x1.01c9fb41a925dp-9, 0x1.f8a8874dc345ep-10, 0x1.edf04f22fef15p-10, 0x1.e36a7fbbbce2ap-10, 0x1.d9164d3d42e85p-10, 0x1.cef2ee37d7991p-10, 0x1.c4ff9ba58953bp-10, 0x1.bb3b90e84e9d5p-10, 0x1.b1a60bc83401bp-10, 0x1.a83e4c713b23dp-10, 0x1.9f0395711ec8dp-10, 0x1.95f52bb4d3554p-10, 0x1.8d12568613accp-10, 0x1.845a5f88b2654p-10, 0x1.7bcc92b7619ecp-10, 0x1.73683e60f8f43p-10, 0x1.6b2cb3251cac2p-10, 0x1.631943f135fa5p-10, 0x1.5b2d45fcabd96p-10, 0x1.536810c57176cp-10, 0x1.4bc8fe0ca8e26p-10, 0x1.444f69d24bcb3p-10, 0x1.3cfab251f5971p-10, 0x1.35ca37fe5f163p-10, 0x1.2ebd5d7d8e5b6p-10, 0x1.27d387a4ba049p-10, 0x1.210c1d73e474cp-10, 0x1.1a6688119e75cp-10, 0x1.13e232c68e2e5p-10, 0x1.0d7e8af94f098p-10, 0x1.073b002969af6p-10, 0x1.011703eb23436p-10, 0x1.f62413c521aa2p-11, 0x1.ea570f7e2f633p-11, 0x1.dec5ea6d44178p-11, 0x1.d36f98015f393p-11, 0x1.c8530fa37d12ep-11, 0x1.bd6f4cac5ffd7p-11, 0x1.b2c34e5ad4c24p-11, 0x1.a84e17ca3f7f3p-11, 0x1.9e0eafe7bdc75p-11, 0x1.9404216939bc1p-11, 0x1.8a2d7ac2bf84bp-11, 0x1.8089ce1c50333p-11, 0x1.771831482fd4fp-11, 0x1.6dd7bdb852c94p-11, 0x1.64c790748ec57p-11, 0x1.5be6ca103367ap-11, 0x1.53348e9ff5331p-11, 0x1.4ab005af8708fp-11, 0x1.42585a379e5dap-11, 0x1.3a2cba93a336p-11, 0x1.322c5877962fep-11, 0x1.2a5668e5969d4p-11, 0x1.22aa2423f1152p-11, 0x1.1b26c5b30d5d9p-11, 0x1.13cb8c430329ep-11, 0x1.0c97b9a9ac0c2p-11, 0x1.058a92d870456p-11, 0x1.fd46bfa4f2bb2p-12, 0x1.efc2d744956bbp-12, 0x1.e28808a0225a5p-12, 0x1.d594f5af3a661p-12, 0x1.c8e8463d1521ep-12, 0x1.bc80a7d497a77p-12, 0x1.b05ccdace9f83p-12, 0x1.a47b7095aa3p-12, 0x1.98db4ee4895b9p-12, 0x1.8d7b2c60532e1p-12, 0x1.8259d22fd5681p-12, 0x1.77760ec4c5c5fp-12, 0x1.6cceb5cabe91cp-12, 0x1.6262a012eba1p-12, 0x1.5830ab82dac39p-12, 0x1.4e37bb0087549p-12, 0x1.4476b6612d5dcp-12, 0x1.3aec8a567df16p-12, 0x1.3198285cc96b2p-12, 0x1.287886a8cb1c5p-12, 0x1.1f8ca01653737p-12, 0x1.16d3741679e43p-12, 0x1.0e4c069df8b1dp-12, 0x1.05f5601421654p-12, 0x1.fb9d1a8356deap-13, 0x1.ebad3e7f7f2d5p-13, 0x1.dc1956ce2652dp-13, 0x1.ccdf967e61561p-13, 0x1.bdfe38dd49afp-13, 0x1.af7381532ca72p-13, 0x1.a13dbb4518847p-13, 0x1.935b39f405384p-13, 0x1.85ca585dbae7ep-13, 0x1.7889791cadd98p-13, 0x1.6b97064afa375p-13, 0x1.5ef171612c5d2p-13, 0x1.5297331a481f2p-13, 0x1.4686cb54c0706p-13, 0x1.3abec0f561228p-13, 0x1.2f3da1c9d4aa4p-13, 0x1.2402026c8110ep-13, 0x1.190a7e2706845p-13, 0x1.0e55b6d67f5cbp-13, 0x1.03e254d04e724p-13, 0x1.f35e0d8bc5accp-14, 0x1.df7503546633ap-14, 0x1.cc07012d54848p-14, 0x1.b9118960d1095p-14, 0x1.a6922a1ec2c2p-14, 0x1.94867d46c42b4p-14, 0x1.82ec2835dcdb7p-14, 0x1.71c0db95e6f73p-14, 0x1.6102532b06b11p-14, 0x1.50ae55a2c7539p-14, 0x1.40c2b464a204dp-14, 0x1.313d4b613e4d5p-14, 0x1.221c00e6c62d7p-14, 0x1.135cc56f24223p-14, 0x1.04fd93750201bp-14, 0x1.edf8de8bd71c7p-15, 0x1.d2aecdad08ecfp-15, 0x1.b819232ffdfacp-15, 0x1.9e342095612b3p-15, 0x1.84fc19ae20a34p-15, 0x1.6c6d7443449f3p-15, 0x1.5484a7c5dcdcep-15, 0x1.3d3e3cffc1dfbp-15, 0x1.2696cdc0f8656p-15, 0x1.108b0494740b3p-15, 0x1.f62f38de44eb3p-16, 0x1.cc72c0d462695p-16, 0x1.a3da56e2d00a6p-16, 0x1.7c5fcffcd460bp-16, 0x1.55fd1f9eff4a1p-16, 0x1.30ac573c55d06p-16, 0x1.0c67a5b61701bp-16, 0x1.d252ada248711p-17, 0x1.8dd7a55a82bc4p-17, 0x1.4b533a8246f92p-17, 0x1.0abaabadee269p-17, 0x1.9806da17cbdf6p-18, 0x1.1e464ef3ffd46p-18, 0x1.503eddde830ccp-19, 0x1.abf2c3bc05cdep-21, -0x1.cd8393d362a41p-21, -0x1.4b001c93315eap-19, -0x1.0e0337897d08cp-18, -0x1.734c4cb35a743p-18, -0x1.d56d500980e88p-18, -0x1.1a3bf49d663fbp-17, -0x1.483eb38f179c5p-17, -0x1.74c760b72a7c1p-17, -0x1.9fde4d298dd73p-17, -0x1.c98ba00d40ed3p-17, -0x1.f1d7575df0f33p-17, -0x1.0c64a45e9eccp-16, -0x1.1f349117ceb68p-16, -0x1.315f3570297a4p-16, -0x1.42e841ee533afp-16, -0x1.53d3546a73389p-16, -0x1.6423f865e8f51p-16, -0x1.73dda767a5943p-16, -0x1.8303c950609bdp-16, -0x1.9199b4b9333b1p-16, -0x1.9fa2af3fbd4f2p-16, -0x1.ad21edddc37a6p-16, -0x1.ba1a953d96547p-16, -0x1.c68fba050478bp-16, -0x1.d284612a2dccfp-16, -0x1.ddfb803bafcbp-16, -0x1.e8f7fdb191571p-16, -0x1.f37cb1347b7bbp-16, -0x1.fd8c63e89015cp-16, -0x1.0394e85b31bdcp-15, -0x1.082bd24820ee3p-15, -0x1.0c8c3f5b372b1p-15, -0x1.10b7787f81cb1p-15, -0x1.14aec009f1b3p-15, -0x1.187351dcd7471p-15, -0x1.1c06638492e2fp-15, -0x1.1f69245ad2d26p-15, -0x1.229cbda30b955p-15, -0x1.25a252a8f979ep-15, -0x1.287b00e0616d9p-15, -0x1.2b27dfff332d4p-15, -0x1.2daa021ce4d8ap-15, -0x1.300273cd1fd84p-15, -0x1.32323c3b6209fp-15, -0x1.343a5d46d7218p-15, -0x1.361bd39b9d451p-15, -0x1.37d796cde59a1p-15, -0x1.396e99727f54dp-15, -0x1.3ae1c93917d07p-15, -0x1.3c320f028f3e9p-15, -0x1.3d604efc18d8bp-15, -0x1.3e6d68b3799ep-15, -0x1.3f5a3730c48cfp-15, -0x1.4027910b3b83p-15, -0x1.40d648810ac57p-15, -0x1.41672b8b09498p-15, -0x1.41db03f4d91f3p-15, -0x1.4232976e7326ep-15, -0x1.426ea7a3f4423p-15, -0x1.428ff24f6590dp-15, -0x1.4297314d33bf7p-15, -0x1.42851aafd5bb2p-15, -0x1.425a60d2d36d2p-15, -0x1.4217b26bb11c4p-15, -0x1.41bdba9ebe49p-15, -0x1.414d210e90d8p-15, -0x1.40c689ef434ap-15, -0x1.402a9615b417bp-15, -0x1.3f79e30ada402p-15, -0x1.3eb50b19234c8p-15, -0x1.3ddca55f911acp-15, -0x1.3cf145df2fa8dp-15, -0x1.3bf37d8c2f4cfp-15, -0x1.3ae3da5c0e497p-15, -0x1.39c2e7548f61dp-15, -0x1.38912c9b8448dp-15, -0x1.374f2f8303d8cp-15, -0x1.35fd7299244b2p-15, -0x1.349c75b538cf7p-15, -0x1.332cb6048ae86p-15, -0x1.31aeae18c817dp-15, -0x1.3022d5f373bbap-15, -0x1.2e89a31478086p-15, -0x1.2ce3888424cd7p-15, -0x1.2b30f6e189503p-15, -0x1.29725c6d0abe3p-15, -0x1.27a82514c2636p-15, -0x1.25d2ba7f23f63p-15, -0x1.23f284173655ap-15, -0x1.2207e716a33cp-15, -0x1.20134691103f3p-15, -0x1.1e15037e6d347p-15, -0x1.1c0d7cc532011p-15, -0x1.19fd0f44d5583p-15, -0x1.17e415df9969fp-15, -0x1.15c2e983d062ep-15, -0x1.1399e1361af4ep-15, -0x1.1169521a56ba9p-15, -0x1.0f318f7cd16aep-15, -0x1.0cf2eadb6278bp-15, -0x1.0aadb3ee3683p-15, -0x1.086238aff0b74p-15, -0x1.0610c56757cc3p-15, -0x1.03b9a4ade5ab6p-15, -0x1.015d1f797580fp-15, -0x1.fdf6fa4662db7p-16, -0x1.f92a06e039842p-16, -0x1.f453ed30086b5p-16, -0x1.ef75329b3535ap-16, -0x1.ea8e598b13cp-16, -0x1.e59fe17b0bbdp-16, -0x1.e0aa470743a0ap-16, -0x1.dbae03fa6f0d5p-16, -0x1.d6ab8f5a9a907p-16, -0x1.d1a35d77bec75p-16, -0x1.cc95dff7b619p-16, -0x1.c78385e3dc4cap-16, -0x1.c26cbbb4db315p-16, -0x1.bd51eb5f9a62p-16, -0x1.b8337c60d18fap-16, -0x1.b311d3c93f15p-16, -0x1.aded54494db52p-16, -0x1.a8c65e3bdaf8ap-16, -0x1.a39d4fb261821p-16, -0x1.9e72847ebd73ep-16, -0x1.9946563f20b99p-16, -0x1.94191c677797cp-16, -0x1.8eeb2c4ce60ffp-16, -0x1.89bcd92ea5b14p-16, -0x1.848e7440f95b1p-16, -0x1.7f604cb6f25bbp-16, -0x1.7a32afcaffb59p-16, -0x1.7505e8c9681b4p-16, -0x1.6fda41190d16bp-16, -0x1.6ab0004471ecp-16, -0x1.65876c0285f58p-16, -0x1.6060c83faa15fp-16, -0x1.5b3c5726042ecp-16, -0x1.561a5925c14c3p-16, -0x1.50fb0cfdd1971p-16, -0x1.4bdeafc34785ap-16, -0x1.46c57cea033adp-16, -0x1.41afae4bb351ap-16, -0x1.3c9d7c300cf19p-16, -0x1.378f1d54373f5p-16, -0x1.3284c6f1cfc1dp-16, -0x1.2d7eacc6adbb8p-16, -0x1.287d011b7f84ap-16, -0x1.237ff4cb1b529p-16, -0x1.1e87b748fc24dp-16, -0x1.199476a845722p-16, -0x1.14a65fa237703p-16, -0x1.0fbd9d9cfbfd2p-16, -0x1.0ada5ab1534dbp-16, -0x1.05fcbfb181fc5p-16, -0x1.0124f42f065ccp-16, -0x1.f8a63d0206cc6p-17, -0x1.ef0ec7939e3bap-17, -0x1.e583cff9e727ap-17, -0x1.dc059bc98794dp-17, -0x1.d2946e50e783bp-17, -0x1.c93088a13e4ffp-17, -0x1.bfda299bf8a1ap-17, -0x1.b6918dfad8024p-17, -0x1.ad56f05c9ee5p-17, -0x1.a42a894e3f2bap-17, -0x1.9b0c8f5404587p-17, -0x1.91fd36f5f617p-17, -0x1.88fcb2c7b2a48p-17, -0x1.800b33725e716p-17, -0x1.7728e7be7e25dp-17, -0x1.6e55fc9d464bep-17, -0x1.65929d30deebbp-17, -0x1.5cdef2d6ea802p-17, -0x1.543b252f980c8p-17, -0x1.4ba75a2741c0fp-17, -0x1.4323b5ff2c183p-17, -0x1.3ab05b54f3717p-17, -0x1.324d6b2bb9dc8p-17, -0x1.29fb04f366956p-17, -0x1.21b946920b96ap-17, -0x1.19884c698f40dp-17, -0x1.1168316130e8ap-17, -0x1.09590eecbe3c1p-17, -0x1.015afd133bffcp-17, -0x1.f2dc24ed86b0ep-18, -0x1.e324c8b845b03p-18, -0x1.d3900d61c391cp-18, -0x1.c41e1826e5da8p-18, -0x1.b4cf0bb1f9b37p-18, -0x1.a5a30828acda2p-18, -0x1.969a2b3b0e4c5p-18, -0x1.87b4902ee7ee4p-18, -0x1.78f24fec53842p-18, -0x1.6a53810b176a2p-18, -0x1.5bd837df904b1p-18, -0x1.4d808685c301ep-18, -0x1.3f4c7ced8cfbbp-18, -0x1.313c28e7aff16p-18, -0x1.234f963030cb3p-18, -0x1.1586ce792e22bp-18, -0x1.07e1d9796016dp-18, -0x1.f4c179e61d6e3p-19, -0x1.da06f983335acp-19, -0x1.bf9435c6496f6p-19, -0x1.a5692f071a953p-19, -0x1.8b85e20d268a7p-19, -0x1.71ea4824bce8ap-19, -0x1.58965733de169p-19, -0x1.3f8a01cbb24ffp-19, -0x1.26c5373d2fca2p-19, -0x1.0e47e3ac34d27p-19, -0x1.ec23e04541891p-20, -0x1.bc46854578103p-20, -0x1.8cf77c74b91dbp-20, -0x1.5e368625f25e2p-20, -0x1.30035d0703074p-20, -0x1.025db64a0b97ap-20, -0x1.aa8a8380b2da4p-21, -0x1.517353f8837c4p-21, -0x1.f2ea51dc7da7ap-22, -0x1.451e86bf4c11ep-22, -0x1.33036a4a8ef88p-23, 0x1.fdb8eb79d6dadp-27, 0x1.6e634b16e6f89p-23, 0x1.5c4bae3a30f34p-22, 0x1.ff3dbbb27cb4ap-22, 0x1.5004dca572921p-21, 0x1.9f58d171530aap-21, 0x1.ed9bc23bda59bp-21, 0x1.1d675e71fe205p-20, 0x1.43796b73a646cp-20, 0x1.6904969815971p-20, 0x1.8e0971ec57e78p-20, 0x1.b28892feb625ep-20, 0x1.d68292c44214dp-20, 0x1.f9f80d7e7db4ep-20, 0x1.0e74d1515d8bap-19, 0x1.1fabfa60e4b84p-19, 0x1.30a1d4b606383p-19, 0x1.4156b48f60a12p-19, 0x1.51caef96ca3adp-19, 0x1.61fedcd218b2ep-19, 0x1.71f2d49ac9532p-19, 0x1.81a73091e5f41p-19, 0x1.911c4b9403e05p-19, 0x1.a05281b0d9988p-19, 0x1.af4a301fa2048p-19, 0x1.be03b53335db2p-19, 0x1.cc7f7052cf76fp-19, 0x1.dabdc1ec9bac3p-19, 0x1.e8bf0b6cd8cc8p-19, 0x1.f683af365427fp-19, 0x1.0206084af47b6p-18, 0x1.08ac49ddaec5dp-18, 0x1.0f34ced721cep-18, 0x1.159fca22d84d9p-18, 0x1.1bed6f0fdc7cep-18, 0x1.221df14c886eep-18, 0x1.283184e14c1a1p-18, }}, 
      {{0x1.9b243e462b929p-4, 0x1.9b76dc1cde73p-4, 0x1.9c2275fe0198fp-4, 0x1.9d54e8dfe6611p-4, 0x1.9f45f799efa08p-4, 0x1.a2316752beab6p-4, 0x1.a6519cfbd5cfep-4, 0x1.abdb2f81575cap-4, 0x1.b2f99f079e395p-4, 0x1.bbcd320872769p-4, 0x1.c669dba4c4d1cp-4, 0x1.d2d6ff8b5e0f9p-4, 0x1.e10fe32d3a67dp-4, 0x1.f1049db9d78f8p-4, 0x1.014daec591176p-3, 0x1.0ad8f01fa32cp-3, 0x1.150f80c4495d7p-3, 0x1.1fda2588be61ap-3, 0x1.2b1fbab3cb3e6p-3, 0x1.36c5e74da20d2p-3, 0x1.42b1bf9355a18p-3, 0x1.4ec854673c743p-3, 0x1.5aef2ed0dc5fcp-3, 0x1.670cb78dd8886p-3, 0x1.73088b65a325ap-3, 0x1.7ecbbd6e098afp-3, 0x1.8a4108c0dbc9ap-3, 0x1.9554f35333604p-3, 0x1.9ff5e3b482d9bp-3, 0x1.aa142b7cf48fp-3, 0x1.b3a20824a9c79p-3, 0x1.bc939be4e2275p-3, 0x1.c4dee0240e48fp-3, 0x1.cc7b92c9bffep-3, 0x1.d3631fb1283e2p-3, 0x1.d990874a5f182p-3, 0x1.df0043553ab57p-3, 0x1.e3b02a7d05d0bp-3, 0x1.e79f537b9f676p-3, 0x1.eacdf84c8221cp-3, 0x1.ed3d59dd92b54p-3, 0x1.eeefa493fb5d5p-3, 0x1.efe7d5e6c4c9ap-3, 0x1.f029a33f6f8p-3, 0x1.efb96241d211fp-3, 0x1.ee9bf29030e39p-3, 0x1.ecd6a916356b2p-3, 0x1.ea6f3cdd5b438p-3, 0x1.e76bb566a3b2bp-3, 0x1.e3d25a806e86bp-3, 0x1.dfa9a58b7dfe4p-3, 0x1.daf8341f426f3p-3, 0x1.d5c4bbfbbd6e1p-3, 0x1.d0160035fc3aap-3, 0x1.c9f2c78b891d6p-3, 0x1.c361d3c903e1cp-3, 0x1.bc69da303af0ap-3, 0x1.b5117cca8ba2p-3, 0x1.ad5f4494f3153p-3, 0x1.a5599c7405d34p-3, 0x1.9d06ccdee3093p-3, 0x1.946cf8311b18bp-3, 0x1.8b92179499d52p-3, 0x1.827bf8756c6fep-3, 0x1.79303a7264656p-3, 0x1.6fb44dbe5dc43p-3, 0x1.660d71e6ed5ccp-3, 0x1.5c40b4f61127ap-3, 0x1.5252f2e544da8p-3, 0x1.4848d5593427fp-3, 0x1.3e26d39de3579p-3, 0x1.33f132dbe4e7ap-3, 0x1.29ac067fccd3ep-3, 0x1.1f5b30cda5e55p-3, 0x1.1502639ab5c65p-3, 0x1.0aa5212864eafp-3, 0x1.0046bd1b81e41p-3, 0x1.ebd4bb173acb1p-4, 0x1.d725f84d2335ep-4, 0x1.c286cec9423c9p-4, 0x1.adfc8793f8d2p-4, 0x1.998c1a658a21fp-4, 0x1.853a304dd11cbp-4, 0x1.710b2666fd8dap-4, 0x1.5d03108f1065fp-4, 0x1.4925bc24516a4p-4, 0x1.3576b2c15ce8ep-4, 0x1.21f93cf5cc8e8p-4, 0x1.0eb064f8d14e6p-4, 0x1.f73df2a6e0a2cp-5, 0x1.d18f1f00aca94p-5, 0x1.ac590cff0a2a9p-5, 0x1.87a012b8a65f9p-5, 0x1.63682348f743fp-5, 0x1.3fb4d39e4e4edp-5, 0x1.1c895f2621725p-5, 0x1.f3d158ac3836ep-6, 0x1.afaaa221c262p-6, 0x1.6ca32dcb596e5p-6, 0x1.2abefe54916b5p-6, 0x1.d4031bbbf2da4p-7, 0x1.54dbab3183fabp-7, 0x1.b019545908df4p-8, 0x1.7668ca5ee1b2ap-9, -0x1.a7879680935dfp-11, -0x1.2051c52b34637p-8, -0x1.0375504e8d375p-7, -0x1.745cbcccac787p-7, -0x1.e2dec9f2a841fp-7, -0x1.277ddb505257bp-6, -0x1.5c5a2a4669254p-6, -0x1.9004ff4e24ec8p-6, -0x1.c27f47dc114efp-6, -0x1.f3ca2d0d4ab98p-6, -0x1.11f387c401e4ap-5, -0x1.296bc1c9ecd35p-5, -0x1.404ea6b3e7d43p-5, -0x1.569d2ed5ea326p-5, -0x1.6c586715d4414p-5, -0x1.81816f5c85127p-5, -0x1.9619791d8dc2ep-5, -0x1.aa21c5f46e2bbp-5, -0x1.bd9ba656677dbp-5, -0x1.d0887857e11d7p-5, -0x1.e2e9a6846b937p-5, -0x1.f4c0a6c8735bfp-5, -0x1.03077cb5dcceep-4, -0x1.0b6b140ddc7eap-4, -0x1.138be2828a815p-4, -0x1.1b6ab4fda61dfp-4, -0x1.23085bd6edb37p-4, -0x1.2a65aa750d296p-4, -0x1.318376f488a91p-4, -0x1.386299d44eff6p-4, -0x1.3f03eda79afdap-4, -0x1.45684eccd78p-4, -0x1.4b909b29360e4p-4, -0x1.517db1e8b1038p-4, -0x1.573073423474bp-4, -0x1.5ca9c03fa74a7p-4, -0x1.61ea7a899eb82p-4, -0x1.66f3843678b0cp-4, -0x1.6bc5bf9caa27bp-4, -0x1.70620f280bfb7p-4, -0x1.74c95531f51d4p-4, -0x1.78fc73dbf0579p-4, -0x1.7cfc4cece787ap-4, -0x1.80c9c1b09442dp-4, -0x1.8465b2d915e39p-4, -0x1.87d1006282f22p-4, -0x1.8b0c897856f2ap-4, -0x1.8e192c5c9da29p-4, -0x1.90f7c650bb736p-4, -0x1.93a9337fb7a49p-4, -0x1.962e4ee9f0f05p-4, -0x1.9887f252220e7p-4, -0x1.9ab6f62b9f87fp-4, -0x1.9cbc3189bbdc3p-4, -0x1.9e987a103e9d3p-4, -0x1.a04ca3e4d696p-4, -0x1.a1d981a18100ep-4, -0x1.a33fe447cbef7p-4, -0x1.a4809b34ef53ap-4, -0x1.a59c74169ebfep-4, -0x1.a6943ae0a3b48p-4, -0x1.a768b9c312bcap-4, -0x1.a81ab9213239ep-4, -0x1.a8aaff88ec29fp-4, -0x1.a91a51aad8f9fp-4, -0x1.a9697252c741p-4, -0x1.a9992260d3bc9p-4, -0x1.a9aa20c2e5934p-4, -0x1.a99d2a6eb04aap-4, -0x1.a972fa5c0db3cp-4, -0x1.a92c497fd4be8p-4, -0x1.a8c9cec6fdb55p-4, -0x1.a84c3f12354d4p-4, -0x1.a7b44d31bd1dfp-4, -0x1.a702a9e1a24d6p-4, -0x1.a63803c64fb67p-4, -0x1.a555076964aaep-4, -0x1.a45a5f36d5993p-4, -0x1.a348b37a64a82p-4, -0x1.a220aa5d49d1cp-4, -0x1.a0e2e7e42f704p-4, -0x1.9f900ded6e1f4p-4, -0x1.9e28bc2f80e8bp-4, -0x1.9cad9037be0e3p-4, -0x1.9b1f25694498cp-4, -0x1.997e14fc285c3p-4, -0x1.97caf5fcdc41ep-4, -0x1.96065d4bc5903p-4, -0x1.9430dd9d0eb45p-4, -0x1.924b0778ace3ap-4, -0x1.9055693a96778p-4, -0x1.8e508f132c20fp-4, -0x1.8c3d0307d3045p-4, -0x1.8a1b4cf3be543p-4, -0x1.87ebf288e59c4p-4, -0x1.85af77512ae4fp-4, -0x1.83665cafab3dcp-4, -0x1.811121e23ae7ep-4, -0x1.7eb044030cc7bp-4, -0x1.7c443e0a8198cp-4, -0x1.79cd88d1212d1p-4, -0x1.774c9b11b97f5p-4, -0x1.74c1e96ba586fp-4, -0x1.722de66538fep-4, -0x1.6f91026e50becp-4, -0x1.6cebabe306a9bp-4, -0x1.6a3e4f0e899d1p-4, -0x1.6789562e1542fp-4, -0x1.64cd29740dc34p-4, -0x1.620a2f0b37412p-4, -0x1.5f40cb1a110ecp-4, -0x1.5c715fc64c25fp-4, -0x1.599c4d38600f7p-4, -0x1.56c1f19f3b3c4p-4, -0x1.53e2a93411744p-4, -0x1.50fece3e415p-4, -0x1.4e16b917565fcp-4, -0x1.4b2ac02f21aa3p-4, -0x1.483b380fec61p-4, -0x1.45487362bfb28p-4, -0x1.4252c2f3c3d35p-4, -0x1.3f5a75b6b3708p-4, -0x1.3c5fd8cb63b71p-4, -0x1.39633782603c7p-4, -0x1.3664db6197f72p-4, -0x1.33650c291dbfp-4, -0x1.30640fd7f739ap-4, -0x1.2d622ab0fdb98p-4, -0x1.2a5f9f3fcd01cp-4, -0x1.275cae5dbfc3dp-4, -0x1.24599736fa896p-4, -0x1.2156974f823acp-4, -0x1.1e53ea885de81p-4, -0x1.1b51cb24c45b3p-4, -0x1.185071cf5248dp-4, -0x1.1550159f4a887p-4, -0x1.1250ec1ddddd4p-4, -0x1.0f53294b7bb72p-4, -0x1.0c56ffa5272d4p-4, -0x1.095ca029d40ffp-4, -0x1.06643a5fc8e7ap-4, -0x1.036dfc5a041e7p-4, -0x1.007a12bda6cbp-4, -0x1.fb11518ebf507p-5, -0x1.f533d0a1b86a9p-5, -0x1.ef5bf3ac6ebe9p-5, -0x1.e98a08f6da2f7p-5, -0x1.e3be5c239472dp-5, -0x1.ddf9363abe7b6p-5, -0x1.d83addb4e0f6ep-5, -0x1.d2839685ca553p-5, -0x1.ccd3a227672ebp-5, -0x1.c72b3fa496712p-5, -0x1.c18aaba3f51b6p-5, -0x1.bbf22072a50bep-5, -0x1.b661d60f07247p-5, -0x1.b0da02336fcd2p-5, -0x1.ab5ad860c92b2p-5, -0x1.a5e489e9333b9p-5, -0x1.a07745fa8e1d4p-5, -0x1.9b1339a8fb8f4p-5, -0x1.95b88ff94e7dap-5, -0x1.906771eb6d2efp-5, -0x1.8b200684a2e92p-5, -0x1.85e272d9dc79ap-5, -0x1.80aeda19d75ecp-5, -0x1.7b855d973ce3p-5, -0x1.76661cd2a54bep-5, -0x1.715135848e5d4p-5, -0x1.6c46c3a7355dcp-5, -0x1.6746e18061459p-5, -0x1.6251a7ab122f9p-5, -0x1.5d672d211cbccp-5, -0x1.58878744ae989p-5, -0x1.53b2c9e9b78c1p-5, -0x1.4ee9075f3f90ep-5, -0x1.4a2a50789ea2p-5, -0x1.4576b4969ebc4p-5, -0x1.40ce41b0842f5p-5, -0x1.3c31045cf9c94p-5, -0x1.379f07dae406cp-5, -0x1.3318561a19dfdp-5, -0x1.2e9cf7c400bbp-5, -0x1.2a2cf4440f64fp-5, -0x1.25c851d033206p-5, -0x1.216f157119442p-5, -0x1.1d21430a60924p-5, -0x1.18dedd62a6abdp-5, -0x1.14a7e62b7fb45p-5, -0x1.107c5e095066fp-5, -0x1.0c5c449b06bfp-5, -0x1.08479881bbc1bp-5, -0x1.043e57683381p-5, -0x1.00407e0a43c97p-5, -0x1.f89c107835961p-6, -0x1.f0cde1e2d3398p-6, -0x1.e9166488e750bp-6, -0x1.e1758af9f89eap-6, -0x1.d9eb462e350ccp-6, -0x1.d2778593e2b35p-6, -0x1.cb1a371c87b21p-6, -0x1.c3d34749eaa1cp-6, -0x1.bca2a13acca6ap-6, -0x1.b5882eb769cf1p-6, -0x1.ae83d83dc6143p-6, -0x1.a795850dbd21ap-6, -0x1.a0bd1b34d7011p-6, -0x1.99fa7f99eacfdp-6, -0x1.934d96087d327p-6, -0x1.8cb6413bf3274p-6, -0x1.863462ea841bap-6, -0x1.7fc7dbcff73aap-6, -0x1.79708bb82b40ap-6, -0x1.732e518961ca6p-6, -0x1.6d010b4e5c33p-6, -0x1.66e8964039d0bp-6, -0x1.60e4ced02657bp-6, -0x1.5af590b0d20edp-6, -0x1.551ab6dfb4881p-6, -0x1.4f541bae18769p-6, -0x1.49a198c9f9133p-6, -0x1.44030746a89d5p-6, -0x1.3e783fa544e61p-6, -0x1.390119dcfc011p-6, -0x1.339d6d63195e9p-6, -0x1.2e4d1132ea146p-6, -0x1.290fdbd56828p-6, -0x1.23e5a368bdbbfp-6, -0x1.1ece3da7920e1p-6, -0x1.19c97ff02c3d9p-6, -0x1.14d73f4b679f2p-6, -0x1.0ff75073761b1p-6, -0x1.0b2987da7b231p-6, -0x1.066db9b0f7831p-6, -0x1.01c3b9ec0773ap-6, -0x1.fa56b896fc648p-7, -0x1.f148e8bf8cfa8p-7, -0x1.e85dab1f57ad1p-7, -0x1.df94a63be3a19p-7, -0x1.d6ed805d79d54p-7, -0x1.ce67df99ba4fbp-7, -0x1.c60369dde11cep-7, -0x1.bdbfc4f8ab935p-7, -0x1.b59c96a403e6bp-7, -0x1.ad99848e59b19p-7, -0x1.a5b63463b858fp-7, -0x1.9df24bd681f61p-7, -0x1.964d70a7fd365p-7, -0x1.8ec748b086582p-7, -0x1.875f79e78c15ap-7, -0x1.8015aa6b3aee3p-7, -0x1.78e98087f72e3p-7, -0x1.71daa2bf7e4cap-7, -0x1.6ae8b7cfe3b0ap-7, -0x1.641366ba3906ep-7, -0x1.5d5a56c906bcp-7, -0x1.56bd2f967cb12p-7, -0x1.503b991275e6ap-7, -0x1.49d53b8837319p-7, -0x1.4389bfa3f5c88p-7, -0x1.3d58ce782ef3dp-7, -0x1.37421182c315p-7, -0x1.314532b1dac7p-7, -0x1.2b61dc689a988p-7, -0x1.2597b983a1db9p-7, -0x1.1fe6755d5cd7ep-7, -0x1.1a4dbbd21e456p-7, -0x1.14cd3944115f3p-7, -0x1.0f649a9ef482bp-7, -0x1.0a138d5bb2e03p-7, -0x1.04d9bf83c2137p-7, -0x1.ff6dbf68c8dcp-8, -0x1.f5553a436905cp-8, -0x1.eb694f3318c57p-8, -0x1.e1a95f0c94716p-8, -0x1.d814cbe2c281dp-8, -0x1.ceaaf90b9ee28p-8, -0x1.c56b4b24ce2a9p-8, -0x1.bc552817f20f3p-8, -0x1.b367f71eb0b69p-8, -0x1.aaa320c67abdbp-8, -0x1.a2060ef408e72p-8, -0x1.99902ce69abd1p-8, -0x1.9140e73b00d87p-8, -0x1.8917abee541f5p-8, -0x1.8113ea60823a4p-8, -0x1.793513569904bp-8, -0x1.717a98fcd8914p-8, -0x1.69e3eee890436p-8, -0x1.62708a19c8667p-8, -0x1.5b1fe0fcb180fp-8, -0x1.53f16b6ae6564p-8, -0x1.4ce4a2ac7ca6cp-8, -0x1.45f90178e5cd4p-8, -0x1.3f2e03f7a29c6p-8, -0x1.388327c0c5f8ep-8, -0x1.31f7ebdd575ep-8, -0x1.2b8bd0c77da62p-8, -0x1.253e586a8bb58p-8, -0x1.1f0f0622e7fcfp-8, -0x1.18fd5ebdc4237p-8, -0x1.1308e878b5b8cp-8, -0x1.0d312b0131ea4p-8, -0x1.0775af73de276p-8, -0x1.01d6005bc52fdp-8, -0x1.f8a35362d1e5ep-9, -0x1.edd071b37c64bp-9, -0x1.e3327949ffc94p-9, -0x1.d8c88a9ae127ep-9, -0x1.ce91c8ebf74c9p-9, -0x1.c48d5a5177d0cp-9, -0x1.baba67aadf092p-9, -0x1.b1181c9f9615ep-9, -0x1.a7a5a79b802e7p-9, -0x1.9e6239cb460f1p-9, -0x1.954d07188b728p-9, -0x1.8c654625f4b18p-9, -0x1.83aa304afec92p-9, -0x1.7b1b018fc0dc5p-9, -0x1.72b6f8a881ccep-9, -0x1.6a7d56f133ee9p-9, -0x1.626d6068c2915p-9, -0x1.5a865bac5b9a3p-9, -0x1.52c791f27e009p-9, -0x1.4b304f060d5c3p-9, -0x1.43bfe1412a572p-9, -0x1.3c7599881b732p-9, -0x1.3550cb43f5a1fp-9, -0x1.2e50cc5d4b0eap-9, -0x1.2774f536c6331p-9, -0x1.20bca0a79e158p-9, -0x1.1a272bf612f7bp-9, -0x1.13b3f6d1c4be6p-9, -0x1.0d62634e10aa1p-9, -0x1.0731d5dc4327p-9, -0x1.0121b545ea43dp-9, -0x1.f662d54dc6f3ep-10, -0x1.eac0c2cf2bde6p-10, -0x1.df5c0e6e02bd9p-10, -0x1.d43398099fa4bp-10, -0x1.c94643f6b8329p-10, -0x1.be92faf3719f4p-10, -0x1.b418aa1b4e241p-10, -0x1.a9d642db3207fp-10, -0x1.9fcabae53f033p-10, -0x1.95f50c24aa028p-10, -0x1.8c5434b1bf133p-10, -0x1.82e736c58a1c9p-10, -0x1.79ad18ade3ce2p-10, -0x1.70a4e4c128fcp-10, -0x1.67cda95221455p-10, -0x1.5f2678a3def93p-10, -0x1.56ae68dd90581p-10, -0x1.4e6493fe801fep-10, -0x1.464817d1f0ef8p-10, -0x1.3e5815e3098e8p-10, -0x1.3693b370e9bc6p-10, -0x1.2efa19629d39fp-10, -0x1.278a743b2af74p-10, -0x1.2043f40dbac7p-10, -0x1.1925cc71b7b11p-10, -0x1.122f347704488p-10, -0x1.0b5f669a44661p-10, -0x1.04b5a0b92a09dp-10, -0x1.fc62480d9c1dep-11, -0x1.efa26a0073edap-11, -0x1.e32a36c1ae7c7p-11, -0x1.d6f8442e0c6f6p-11, -0x1.cb0b2e719f9d1p-11, -0x1.bf6197f13de37p-11, -0x1.b3fa2933eedp-11, -0x1.a8d390cd08052p-11, -0x1.9dec8345c450fp-11, -0x1.9343bb0797048p-11, -0x1.88d7f8465b43ap-11, -0x1.7ea800eaaba2ep-11, -0x1.74b2a07cafc49p-11, -0x1.6af6a80ec4215p-11, -0x1.6172ee28875e8p-11, -0x1.58264eb1effap-11, -0x1.4f0faade9fe27p-11, -0x1.462de919a2923p-11, -0x1.3d7ff4f0e8f62p-11, -0x1.3504bf013912dp-11, -0x1.2cbb3ce27ae2fp-11, -0x1.24a26913d77f9p-11, -0x1.1cb942e851e1ap-11, -0x1.14fece736c78ap-11, -0x1.0d72147633304p-11, -0x1.0612224c2661ep-11, -0x1.fdbc13b162544p-12, -0x1.efa9c2e931117p-12, -0x1.e1eb87b76e948p-12, -0x1.d47fa035dff9dp-12, -0x1.c76452fcab39dp-12, -0x1.ba97eefebf7acp-12, -0x1.ae18cb671af55p-12, -0x1.a1e547765fa99p-12, -0x1.95fbca607524p-12, -0x1.8a5ac32b1b32fp-12, -0x1.7f00a88c5f568p-12, -0x1.73ebf8c9f1917p-12, -0x1.691b3998a79cfp-12, -0x1.5e8cf7fc5bfc4p-12, -0x1.543fc828542b8p-12, -0x1.4a32455ffe2d9p-12, -0x1.406311d831281p-12, -0x1.36d0d6989b081p-12, -0x1.2d7a435dd4c96p-12, -0x1.245e0e7bad3c2p-12, -0x1.1b7af4c01e799p-12, -0x1.12cfb9563155dp-12, -0x1.0a5b25a9b8fdbp-12, -0x1.021c094b6e816p-12, -0x1.f42273a998d82p-13, -0x1.e473259ab580fp-13, -0x1.d527eb1eed1a7p-13, -0x1.c63e925bc76f5p-13, -0x1.b7b4f4b391387p-13, -0x1.a988f6917db33p-13, -0x1.9bb8873749b9cp-13, -0x1.8e41a08b0be49p-13, -0x1.812246e5ff123p-13, -0x1.745888e4187fap-13, -0x1.67e27f343a99ep-13, -0x1.5bbe4c68c0fb5p-13, -0x1.4fea1cc997d3fp-13, -0x1.446426267a0c7p-13, -0x1.392aa7a9eac2dp-13, -0x1.2e3be9acecd4bp-13, -0x1.23963d8b842bcp-13, -0x1.1937fd79be268p-13, -0x1.0f1f8c59a7cb3p-13, -0x1.054b55915b655p-13, -0x1.f77399c5705dp-14, -0x1.e4d2dc84f344cp-14, -0x1.d2b17b625c041p-14, -0x1.c10c8e27e4963p-14, -0x1.afe13c1c6fcadp-14, -0x1.9f2cbbb7d533fp-14, -0x1.8eec525967c63p-14, -0x1.7f1d53fea6724p-14, -0x1.6fbd22fb452e1p-14, -0x1.60c92fb3060a9p-14, -0x1.523ef8541a1ddp-14, -0x1.441c089340487p-14, -0x1.365df9685bc66p-14, -0x1.290270ccbce5fp-14, -0x1.1c07217a52d95p-14, -0x1.0f69caac574bcp-14, -0x1.032837dfdbe0ep-14, -0x1.ee80812eddcabp-15, -0x1.d75f903b0134bp-15, -0x1.c0e97a93c6997p-15, -0x1.ab1a348e3cc56p-15, -0x1.95edc8b21bebp-15, -0x1.816057496ebadp-15, -0x1.6d6e15f16ad82p-15, -0x1.5a134f2e686c2p-15, -0x1.474c6200a37bfp-15, -0x1.3515c17b97c72p-15, -0x1.236bf45f7dc3bp-15, -0x1.124b94b31b8c8p-15, -0x1.01b14f6197e99p-15, -0x1.e333c7b08682fp-16, -0x1.c404474ed35e6p-16, -0x1.a5cde44780c13p-16, -0x1.888a88159e41p-16, -0x1.6c343e5045d6bp-16, -0x1.50c533f8dc382p-16, -0x1.3637b6cc3a44ap-16, -0x1.1c86349848f4dp-16, -0x1.03ab3a9322668p-16, -0x1.d742e96ec0182p-17, -0x1.a8c75a41bf82p-17, -0x1.7bd996dcc085dp-17, -0x1.506fa84e64ff1p-17, -0x1.267fd0402b0d6p-17, -0x1.fc010f9dacbfp-18, -0x1.add0fcc2b5294p-18, -0x1.625d3115d7a28p-18, -0x1.1993ddd95981cp-18, -0x1.a6c73489e9bdp-19, -0x1.1f76c2d3eafaep-19, -0x1.3a2a403abe339p-20, -0x1.f81c56663638ap-23, 0x1.658c63cf75db7p-21, 0x1.9b711e3b2e4a5p-20, 0x1.3d9cfdb3cf844p-19, 0x1.a92e157723d48p-19, 0x1.08446d8a70f2p-18, 0x1.39e4d55fd8a1dp-18, 0x1.69861ddf27d69p-18, 0x1.9735d1fa1be7ep-18, 0x1.c3012da1203p-18, 0x1.ecf51f711cd6ap-18, 0x1.0a8f252f1409bp-17, 0x1.1dc483a540434p-17, 0x1.3020b34c8cb0bp-17, 0x1.41a998e260db1p-17, 0x1.5264f66b4c101p-17, 0x1.62586bf5dca85p-17, 0x1.71897854570ddp-17, 0x1.7ffd79d0bf802p-17, 0x1.8db9aee2f3bd2p-17, 0x1.9ac336df3e913p-17, 0x1.a71f12a0eabd8p-17, 0x1.b2d225335515dp-17, 0x1.bde13476102a7p-17, 0x1.c850e9c0f254ep-17, 0x1.d225d27e3421ep-17, 0x1.db6460c858a0cp-17, 0x1.e410ec01da585p-17, 0x1.ec2fb16628243p-17, 0x1.f3c4d4a21becap-17, 0x1.fad4605b2625ep-17, 0x1.00b1235f88f98p-16, 0x1.03b931068c993p-16, 0x1.06843a8bf5635p-16, 0x1.091415e707688p-16, 0x1.0b6a8dda91797p-16, 0x1.0d896235f1bc1p-16, 0x1.0f724810df6cfp-16, 0x1.1126ea090059fp-16, 0x1.12a8e87b8431p-16, 0x1.13f9d9c07c677p-16, 0x1.151b4a61988b7p-16, 0x1.160ebd5371972p-16, 0x1.16d5ac29f98c2p-16, 0x1.1771874e1ebfap-16, 0x1.17e3b632c6882p-16, 0x1.182d9784fe38ap-16, 0x1.18508160d8fc3p-16, 0x1.184dc17f9b714p-16, 0x1.18269d68ef549p-16, 0x1.17dc52a06003p-16, 0x1.177016d42c88ep-16, 0x1.16e3180878269p-16, 0x1.16367cc4a947p-16, 0x1.156b643ce3e8p-16, 0x1.1482e67c0a094p-16, 0x1.137e148d947ap-16, 0x1.125df8a4834b6p-16, 0x1.11239643a76bp-16, 0x1.0fcfea62f85b3p-16, 0x1.0e63eb95adeap-16, 0x1.0ce08a2f3d483p-16, 0x1.0b46b066bd8e7p-16, 0x1.0997427a777f7p-16, 0x1.07d31ed1af529p-16, 0x1.05fb1e1f90e3cp-16, 0x1.04101382c03d6p-16, 0x1.0212cca6308dcp-16, 0x1.000411e1153f8p-16, 0x1.fbc94ca97bb15p-17, 0x1.f76a9017189ffp-17, 0x1.f2ed602ce0ba7p-17, 0x1.ee532551bcca4p-17, 0x1.e99d3e6d6addp-17, 0x1.e4cd011c27b8p-17, 0x1.dfe3b9e76ac5fp-17, 0x1.dae2ac791f213p-17, 0x1.d5cb13d0f1d88p-17, 0x1.d09e2274dcfc5p-17, 0x1.cb5d02a490383p-17, 0x1.c608d688b34afp-17, 0x1.c0a2b8631085bp-17, 0x1.bb2bbabbd7a85p-17, 0x1.b5a4e88ff5713p-17, 0x1.b00f457caa743p-17, 0x1.aa6bcdeb8561ep-17, 0x1.a4bb773be4a46p-17, 0x1.9eff2fed575d3p-17, 0x1.9937dfc7c3b0dp-17, 0x1.93666802757cep-17, 0x1.8d8ba36ca3c18p-17, 0x1.87a86690ec35ap-17, 0x1.81bd7fdc8eaa9p-17, 0x1.7bcbb7c301204p-17, 0x1.75d3d0e0145b3p-17, 0x1.6fd6881dd114ap-17, 0x1.69d494d25f60ap-17, 0x1.63cea8e518aa5p-17, 0x1.5dc570ec0a386p-17, 0x1.57b9944d5a16cp-17, 0x1.51abb55dbe9a8p-17, 0x1.4b9c717ef0b4ep-17, 0x1.458c613d80c27p-17, 0x1.3f7c186d7536ep-17, 0x1.396c2647520ecp-17, 0x1.335d158371edp-17, 0x1.2d4f6c74e3dc1p-17, 0x1.2743ad252b761p-17, 0x1.213a556c7c79fp-17, 0x1.1b33df0ccc933p-17, 0x1.1530bfc97eabfp-17, 0x1.0f3169804de62p-17, 0x1.09364a40793dfp-17, 0x1.033fcc6377e41p-17, 0x1.fa9cad41f4bf3p-18, 0x1.eec498509adc1p-18, 0x1.e2f81967181a9p-18, 0x1.d737e93ca795fp-18, 0x1.cb84b9f37ed4ep-18, 0x1.bfdf3742eeca4p-18, 0x1.b448069db201fp-18, 0x1.a8bfc759676cep-18, 0x1.9d4712d48092dp-18, 0x1.91de7c9c325b7p-18, 0x1.8686928f2d37cp-18, 0x1.7b3fdd0219869p-18, 0x1.700adee2de6a3p-18, 0x1.64e815d9e5d66p-18, 0x1.59d7fa6ada03bp-18, 0x1.4edb0016ca05ep-18, 0x1.43f19579e8d77p-18, 0x1.391c246ca222cp-18, 0x1.2e5b121fb83c2p-18, 0x1.23aebf3d86bf1p-18, 0x1.191788023d8f9p-18, 0x1.0e95c45c52c97p-18, 0x1.0429c8071f5d8p-18, 0x1.f3a7c54a2fe7cp-19, 0x1.df28bfb6c48f3p-19, 0x1.cad70ed7165bp-19, 0x1.b6b33a99aa451p-19, 0x1.a2bdc38b2bac6p-19, 0x1.8ef72305964ep-19, 0x1.7b5fcb606c4afp-19, 0x1.67f8281f2e943p-19, 0x1.54c09e1f319f3p-19, 0x1.41b98bc3a582ep-19, 0x1.2ee3492080bbcp-19, 0x1.1c3e28267824ep-19, 0x1.09ca74cbab93fp-19, 0x1.ef10ea6782629p-20, 0x1.caf0d3b237b46p-20, 0x1.a7351b61dae8p-20, 0x1.83de2cad02c2fp-20, 0x1.60ec68559f494p-20, 0x1.3e6024f5c1e64p-20, 0x1.1c39af48cc66p-20, 0x1.f4f294e09af28p-21, 0x1.b23e606928abcp-21, 0x1.705722957448bp-21, 0x1.2f3d2b2ac7f22p-21, 0x1.dde17186302a2p-22, 0x1.5ee3f29c878cp-22, 0x1.c3042a372790ep-23, 0x1.96efd41562e82p-24, -0x1.46e702abecdaap-26, -0x1.19fa7556a953bp-23, -0x1.03f0a7774549fp-22, -0x1.79490f804c166p-22, -0x1.ed06e6d5cb38fp-22, -0x1.2f955ded7d8a1p-21, -0x1.67da9b38e98b6p-21, -0x1.9f538ba049164p-21, -0x1.d6009b739a15cp-21, -0x1.05f1214e984dcp-20, -0x1.207c82290bf4ep-20, -0x1.3aa2b755f2b6bp-20, -0x1.54640d2956487p-20, -0x1.6dc0d5133224p-20, -0x1.86b9657711491p-20, -0x1.9f4e1980d7f4cp-20, -0x1.b77f50fab3585p-20, -0x1.cf4d70299dbabp-20, -0x1.e6b8dfa47e8e2p-20, -0x1.fdc20c2f0d365p-20, -0x1.0a34b348efe2ep-19, -0x1.1557b1bdf083cp-19, -0x1.204a3daced535p-19, -0x1.2b0c951c18c63p-19, -0x1.359ef7ced556p-19, -0x1.4001a736b116fp-19, -0x1.4a34e662864cp-19, -0x1.5438f9eedff4p-19, -0x1.5e0e27f725cafp-19, -0x1.67b4b80571e0cp-19, -0x1.712cf30553027p-19, -0x1.7a77233506916p-19, -0x1.8393941707ab5p-19, -0x1.8c82926491975p-19, -0x1.95446c00a104p-19, -0x1.9dd96feb0c559p-19, -0x1.a641ee335db12p-19, -0x1.ae7e37ec3b6b8p-19, -0x1.b68e9f1fbc3d6p-19, -0x1.be7376c41a94fp-19, -0x1.c62d12aeb0a4cp-19, -0x1.cdbbc789c068ep-19, -0x1.d51feac90e2f8p-19, -0x1.dc59d29f62dd5p-19, -0x1.e369d5f3cac0ep-19, -0x1.ea504c57b1c18p-19, -0x1.f10d8dfc2f745p-19, -0x1.f7a1f3a913addp-19, -0x1.fe0dd6b2a9571p-19, -0x1.0228c878b7643p-18, -0x1.0536be5bebbbbp-18, -0x1.0830fa64e67d3p-18, -0x1.0b17aa2a9722p-18, -0x1.0deafb73bfb94p-18, -0x1.10ab1c3389431p-18, -0x1.13583a854e92ap-18, -0x1.15f284a8d6721p-18, -0x1.187a28fe5ded8p-18, -0x1.1aef5602f7a59p-18, -0x1.1d523a4cafc1bp-18, -0x1.1fa30487a97dap-18, -0x1.21e1e3721c32bp-18, -0x1.240f05d9181f1p-18, -0x1.262a9a9588db9p-18, -0x1.2834d088a68cdp-18, -0x1.2a2dd6996391bp-18, -0x1.2c15dbb0df25ap-18, -0x1.2ded0eb7d8d2cp-18, -0x1.2fb39e93b7ce1p-18, -0x1.3169ba23c7f01p-18, -0x1.330f903e9c6f4p-18, -0x1.34a54faf35364p-18, -0x1.362b2732d002ep-18, -0x1.37a1457645133p-18, -0x1.3907d91342634p-18, -0x1.3a5f108ea56b6p-18, -0x1.3ba71a55e072dp-18, -0x1.3ce024bc70067p-18, -0x1.3e0a5dfa31417p-18, -0x1.3f25f42928d5ep-18, -0x1.403315438d3d7p-18, -0x1.4131ef218c514p-18, -0x1.4222af779f8dbp-18, -0x1.430583d4c3cddp-18, -0x1.43da99a07965bp-18, -0x1.44a21e1916f57p-18, -0x1.455c3e524c153p-18, -0x1.460927334b3a8p-18, -0x1.46a905754d8b5p-18, -0x1.473c05a1ec9c2p-18, -0x1.47c25411d7d62p-18, -0x1.483c1ceb531a4p-18, -0x1.48a98c20cf0acp-18, -0x1.490acd6fa9f96p-18, -0x1.49600c5ed4022p-18, -0x1.49a9743d854f4p-18, -0x1.49e7302222c46p-18, -0x1.4a196ae913ad5p-18, -0x1.4a404f33a86d9p-18, -0x1.4a5c0766e45ep-18, -0x1.4a6cbdaaa9159p-18, -0x1.4a729be8880f4p-18, -0x1.4a6dcbcb17742p-18, -0x1.4a5e76bca65b1p-18, -0x1.4a44c5e697ea1p-18, -0x1.4a20e2309be21p-18, -0x1.49f2f43f99a17p-18, -0x1.49bb24753d231p-18, -0x1.49799aeef3dfep-18, -0x1.492e7f8573c02p-18, -0x1.48d9f9cbd110cp-18, -0x1.487c310f179d1p-18, -0x1.48154c556f0d2p-18, -0x1.47a5725dc46dep-18, -0x1.472cc99f22babp-18, -0x1.46ab78480ad39p-18, -0x1.4621a43e38fa9p-18, -0x1.458f731e1da58p-18, -0x1.44f50a3a2a807p-18, -0x1.44528e9a9f69p-18, -0x1.43a824fd3849cp-18, -0x1.42f5f1d4b6ecdp-18, -0x1.423c1948769c6p-18, -0x1.417abf3454368p-18, -0x1.40b207284be34p-18, -0x1.3fe214681cd95p-18, -0x1.3f0b09eb1eff3p-18, -0x1.3e2d0a5c1969dp-18, -0x1.3d483818e9963p-18, -0x1.3c5cb5327c7e8p-18, -0x1.3b6aa36c90a1ep-18, -0x1.3a72243dbaeafp-18, -0x1.397358cf0a73cp-18, -0x1.386e61fc047cep-18, -0x1.37636052b9c1bp-18, -0x1.3652741382729p-18, -0x1.353bbd30e896ep-18, -0x1.341f5b4fffac5p-18, -0x1.32fd6dc801362p-18, -0x1.31d613a287403p-18, -0x1.30a96b9b62ddap-18, -0x1.2f779420cee3p-18, -0x1.2e40ab5374399p-18, -0x1.2d04cf0663d18p-18, -0x1.2bc41cbf3f8f9p-18, -0x1.2a7eb1b685d18p-18, }}, 
      {{0x1.9b142142e79cbp-4, 0x1.9b2de7391099ap-4, 0x1.9b5fc76ba92f8p-4, 0x1.9bb3644ce63e9p-4, 0x1.9c34ee03f4887p-4, 0x1.9cf229b8523e9p-4, 0x1.9df97e0a2e0edp-4, 0x1.9f59185a4f2bap-4, 0x1.a11e35fd57bd7p-4, 0x1.a35495df6ea9p-4, 0x1.a606126fa75d7p-4, 0x1.a93a60ac65296p-4, 0x1.acf6ef8428fdp-4, 0x1.b13ee212276c1p-4, 0x1.b6131f38249f8p-4, 0x1.bb7271749214fp-4, 0x1.c159b265c3aedp-4, 0x1.c7c3fe11df1c8p-4, 0x1.ceaaeab37e752p-4, 0x1.d606c2695f921p-4, 0x1.ddcebcb6e6618p-4, 0x1.e5f936402e062p-4, 0x1.ee7be597f0636p-4, 0x1.f74c0c4f521fep-4, 0x1.002f51e0d0375p-3, 0x1.04d442a9221a4p-3, 0x1.098f470138221p-3, 0x1.0e5adeb48807dp-3, 0x1.1331a819b692bp-3, 0x1.180e6b347605bp-3, 0x1.1cec22dd30fd4p-3, 0x1.21c604171f99ep-3, 0x1.269783bfa79d3p-3, 0x1.2b5c5ac2b26c7p-3, 0x1.301088ff0bc2cp-3, 0x1.34b057045c56dp-3, 0x1.393856d23f914p-3, 0x1.3da563bd43945p-3, 0x1.41f4a19bd7b6fp-3, 0x1.46237b5a1c16ep-3, 0x1.4a2fa1107df6cp-3, 0x1.4e1705b612de8p-3, 0x1.51d7dc84b7e97p-3, 0x1.5570962258e2fp-3, 0x1.58dfdda01ca87p-3, 0x1.5c24955df41f8p-3, 0x1.5f3dd3dee511ap-3, 0x1.622ae0986f963p-3, 0x1.64eb30c5ca027p-3, 0x1.677e64461733dp-3, 0x1.69e4428b6be6ap-3, 0x1.6c1cb79f4bd93p-3, 0x1.6e27d1403eb84p-3, 0x1.7005bc1b365cdp-3, 0x1.71b6c122d1b8fp-3, 0x1.733b4305d1bep-3, 0x1.7493bbc58e0f5p-3, 0x1.75c0ba6cdafb3p-3, 0x1.76c2e0e74573dp-3, 0x1.779ae1f8790eap-3, 0x1.78497f532726ap-3, 0x1.78cf87cebe54dp-3, 0x1.792dd5bb14953p-3, 0x1.79654d50f36b4p-3, 0x1.7976db3e70f0fp-3, 0x1.7963734dfefb2p-3, 0x1.792c0f26e4b6bp-3, 0x1.78d1ad260862cp-3, 0x1.78554f4dbd8bbp-3, 0x1.77b7fa4b6f591p-3, 0x1.76fab491f3f37p-3, 0x1.761e85875d0e1p-3, 0x1.752474c51e09bp-3, 0x1.740d89697eec4p-3, 0x1.72dac9793582ap-3, 0x1.718d395030241p-3, 0x1.7025db2093018p-3, 0x1.6ea5ae7ef0d5p-3, 0x1.6d0daffae4cc6p-3, 0x1.6b5ed8c32ba06p-3, 0x1.699a1e546e03cp-3, 0x1.67c07231fbc82p-3, 0x1.65d2c1a7ba9acp-3, 0x1.63d1f5949407ap-3, 0x1.61bef23cc9b4dp-3, 0x1.5f9a97237feb3p-3, 0x1.5d65beeafd1e4p-3, 0x1.5b213f3b08ea6p-3, 0x1.58cde8acecc1bp-3, 0x1.566c86bc9a3fep-3, 0x1.53fddfbe8066cp-3, 0x1.5182b4d9b0c39p-3, 0x1.4efbc205e0616p-3, 0x1.4c69be0cf47d7p-3, 0x1.49cd5a8fbcde9p-3, 0x1.4727440d84bb8p-3, 0x1.447821ee41036p-3, 0x1.41c0968f016e6p-3, 0x1.3f013f506cec6p-3, 0x1.3c3ab4a70bdf6p-3, 0x1.396d8a2d2c3bap-3, 0x1.369a4eb61e766p-3, 0x1.33c18c62ae3c3p-3, 0x1.30e3c8b6995c3p-3, 0x1.2e0184aeea854p-3, 0x1.2b1b3cd906923p-3, 0x1.2831696a582aep-3, 0x1.25447e586a39cp-3, 0x1.2254eb7163233p-3, 0x1.1f631c74c1143p-3, 0x1.1c6f792c3fa86p-3, 0x1.197a6584ce46ep-3, 0x1.168441a78f4a7p-3, 0x1.138d6a12c2eeap-3, 0x1.109637b291b1ap-3, 0x1.0d9efff9b001bp-3, 0x1.0aa814f9bff24p-3, 0x1.07b1c57b77212p-3, 0x1.04bc5d1672cd5p-3, 0x1.01c82448b4d98p-3, 0x1.fdaac11b8aa7bp-4, 0x1.f7c8a8eae8398p-4, 0x1.f1ea7f744ea7p-4, 0x1.ec10bead93c3dp-4, 0x1.e63bdb38787fp-4, 0x1.e06c448cbad2ep-4, 0x1.daa26521289e1p-4, 0x1.d4dea293c4fefp-4, 0x1.cf215dd10e427p-4, 0x1.c96af33a36aa3p-4, 0x1.c3bbbaca78801p-4, 0x1.be14083b73defp-4, 0x1.b8742b2899b5ep-4, 0x1.b2dc6f31a0814p-4, 0x1.ad4d1c1c128e2p-4, 0x1.a7c675f3e9786p-4, 0x1.a248bd2b3faefp-4, 0x1.9cd42eb9244ebp-4, 0x1.9769043780f71p-4, 0x1.9207740025d52p-4, 0x1.8cafb149020bap-4, 0x1.8761ec3f7ba11p-4, 0x1.821e5222fd78ep-4, 0x1.7ce50d5eb55bep-4, 0x1.77b645a28adbdp-4, 0x1.72921ffb54b39p-4, 0x1.6d78beea4d578p-4, 0x1.686a427bd0913p-4, 0x1.6366c85d638ccp-4, 0x1.5e6e6bf30e63dp-4, 0x1.5981466c0a217p-4, 0x1.549f6ed6c93b6p-4, 0x1.4fc8fa34604f2p-4, 0x1.4afdfb8b51981p-4, 0x1.463e83f9bf58ep-4, 0x1.418aa2c70f984p-4, 0x1.3ce26574fb90fp-4, 0x1.3845d7d01ad5fp-4, 0x1.33b503ffe3a9fp-4, 0x1.2f2ff2962d609p-4, 0x1.2ab6aa9e32268p-4, 0x1.264931ab1a646p-4, 0x1.21e78be60ffap-4, 0x1.1d91bc1be05bap-4, 0x1.1947c3ca316f8p-4, 0x1.1509a32c49e08p-4, 0x1.10d7594774d06p-4, 0x1.0cb0e3f6ff808p-4, 0x1.08963ff7d7748p-4, 0x1.048768f3cb84ep-4, 0x1.0084598c71fdep-4, 0x1.f91a16cb6ef91p-5, 0x1.f142ee6033c2ep-5, 0x1.e98329652129cp-5, 0x1.e1dab5a84e117p-5, 0x1.da497f4a92973p-5, 0x1.d2cf70d18dcbep-5, 0x1.cb6c73391f654p-5, 0x1.c4206e0451e21p-5, 0x1.bceb474dc27f3p-5, 0x1.b5cce3d784e26p-5, 0x1.aec5271a8b44ep-5, 0x1.a7d3f355915d1p-5, 0x1.a0f9299b9656ap-5, 0x1.9a34a9e1e1a0fp-5, 0x1.9386530d97da9p-5, 0x1.8cee0300e7f15p-5, 0x1.866b96a7cf691p-5, 0x1.7ffeea0478f3ap-5, 0x1.79a7d83b39ecfp-5, 0x1.73663b9e31e5cp-5, 0x1.6d39edb88f68p-5, 0x1.6722c759799a6p-5, 0x1.6120a09ea572cp-5, 0x1.5b3350fe95c2ep-5, 0x1.555aaf528c757p-5, 0x1.4f9691e02a2a2p-5, 0x1.49e6ce62c3944p-5, 0x1.444b3a146ada8p-5, 0x1.3ec3a9b6b34bap-5, 0x1.394ff19b2ad6dp-5, 0x1.33efe5ab953c4p-5, 0x1.2ea35971de6a2p-5, 0x1.296a201fd3244p-5, 0x1.24440c9695c57p-5, 0x1.1f30f16dd9a5bp-5, 0x1.1a30a0fae1fcfp-5, 0x1.1542ed57487a1p-5, 0x1.1067a86789718p-5, 0x1.0b9ea3e15caep-5, 0x1.06e7b151d86c3p-5, 0x1.0242a2235f34ap-5, 0x1.fb5e8f46bbba3p-6, 0x1.f25ae60fafda4p-6, 0x1.e979eae98634ep-6, 0x1.e0bb40026fb1dp-6, 0x1.d81e8778e4d57p-6, 0x1.cfa363654d1a6p-6, 0x1.c74975e35e845p-6, 0x1.bf10611b150e1p-6, 0x1.b6f7c7497063p-6, 0x1.aeff4ac8cdacdp-6, 0x1.a7268e1904dc6p-6, 0x1.9f6d33e731818p-6, 0x1.97d2df1533dc3p-6, 0x1.905732c0f1e49p-6, 0x1.88f9d24b481a2p-6, 0x1.81ba615ebfebdp-6, 0x1.7a9883f600752p-6, 0x1.7393de62009aap-6, 0x1.6cac154ff7b53p-6, 0x1.65e0cdcf15f1ap-6, 0x1.5f31ad55fec3ap-6, 0x1.589e59c80c757p-6, 0x1.5226797a53aebp-6, 0x1.4bc9b3387b59cp-6, 0x1.4587ae4958056p-6, 0x1.3f60127353e76p-6, 0x1.39528800a6517p-6, 0x1.335eb7c359e42p-6, 0x1.2d844b191f62fp-6, 0x1.27c2ebeef7041p-6, 0x1.221a44c4a661fp-6, 0x1.1c8a00b007b87p-6, 0x1.1711cb602ab0ap-6, 0x1.11b151204af43p-6, 0x1.0c683edaa174dp-6, 0x1.0736421b05da2p-6, 0x1.021b0911769a5p-6, 0x1.fa2c8528d9ffdp-7, 0x1.f04f3c462ce4ep-7, 0x1.e69d97cec874cp-7, 0x1.dd16f96fffa7p-7, 0x1.d3bac4342a0d3p-7, 0x1.ca885c85ffbaep-7, 0x1.c17f2833b7411p-7, 0x1.b89e8e71e183bp-7, 0x1.afe5f7de0d44p-7, 0x1.a754ce812cbe2p-7, 0x1.9eea7dd1c192bp-7, 0x1.96a672b5dba77p-7, 0x1.8e881b84d5e24p-7, 0x1.868ee808e7433p-7, 0x1.7eba498081543p-7, 0x1.7709b29f77b5ap-7, 0x1.6f7c9790047b6p-7, 0x1.68126df38d355p-7, 0x1.60caace355abdp-7, 0x1.59a4ccf0e96d8p-7, 0x1.52a0482671a89p-7, 0x1.4bbc9a06ddfb3p-7, 0x1.44f93f8de2575p-7, 0x1.3e55b72fd16eap-7, 0x1.37d180d954ec3p-7, 0x1.316c1def0116p-7, 0x1.2b25114cc5dp-7, 0x1.24fbdf4540a83p-7, 0x1.1ef00da0eea8bp-7, 0x1.1901239d402f3p-7, 0x1.132ea9eb8ecadp-7, 0x1.0d782aaff7cbbp-7, 0x1.07dd31801b61ap-7, 0x1.025d4b61c2f52p-7, 0x1.f9f00d92d475fp-8, 0x1.ef59e7316f0f7p-8, 0x1.e4f74639a8aabp-8, 0x1.dac750196e92fp-8, 0x1.d0c92d0ea9852p-8, 0x1.c6fc082375b2p-8, 0x1.bd5f0f2a38f8ep-8, 0x1.b3f172b99202cp-8, 0x1.aab266281ed53p-8, 0x1.a1a11f8829c77p-8, 0x1.98bcd7a32da81p-8, 0x1.9004c9f5447d3p-8, 0x1.877834a86ce52p-8, 0x1.7f16588fc0438p-8, 0x1.76de7922876f5p-8, 0x1.6ecfdc7734142p-8, 0x1.66e9cb3e49771p-8, 0x1.5f2b90bd2b56fp-8, 0x1.57947ac8d5278p-8, 0x1.5023d9c08339bp-8, 0x1.48d9008845175p-8, 0x1.41b344837d4b1p-8, 0x1.3ab1fd8f586e4p-8, 0x1.33d485fd2ae22p-8, 0x1.2d1a3a8cca075p-8, 0x1.26827a66d012p-8, 0x1.200ca716dd0c6p-8, 0x1.19b82485c2bdep-8, 0x1.138458f3b0494p-8, 0x1.0d70acf24ee0bp-8, 0x1.077c8b5ed6df7p-8, 0x1.01a7615c22138p-8, 0x1.f7e13c9963d8ep-9, 0x1.ecaf679967f46p-9, 0x1.e1b82b5803452p-9, 0x1.d6fa73d0319bp-9, 0x1.cc75314c2ec3ep-9, 0x1.c22758595a60fp-9, 0x1.b80fe1bc242e8p-9, 0x1.ae2dca63f3ca1p-9, 0x1.a480135f0927ap-9, 0x1.9b05c1ce67b87p-9, 0x1.91bdded9bad15p-9, 0x1.88a777a34432p-9, 0x1.7fc19d3bce7e1p-9, 0x1.770b649699843p-9, 0x1.6e83e67d621b6p-9, 0x1.662a3f845b5cap-9, 0x1.5dfd8ffe4252ep-9, 0x1.55fcfbf072ca4p-9, 0x1.4e27ab070130fp-9, 0x1.467cc888f09ddp-9, 0x1.3efb834c64e5dp-9, 0x1.37a30daae6b5ap-9, 0x1.30729d75b91e4p-9, 0x1.29696bea3ca5p-9, 0x1.2286b5a65d055p-9, 0x1.1bc9ba9d12a67p-9, 0x1.1531be0af8e6p-9, 0x1.0ebe066aeb232p-9, 0x1.086ddd6abb1fap-9, 0x1.02408fdffb146p-9, 0x1.f86adb79b1538p-10, 0x1.ec97940a07848p-10, 0x1.e105f58574d97p-10, 0x1.d5b4b1f7b3cf4p-10, 0x1.caa2814e11f3p-10, 0x1.bfce2141fdfeep-10, 0x1.b5365543a5b99p-10, 0x1.aad9e664df464p-10, 0x1.a0b7a3441c955p-10, 0x1.96ce5ff7b347cp-10, 0x1.8d1cf5f937b52p-10, 0x1.83a24411061c4p-10, 0x1.7a5d2e420bffdp-10, 0x1.714c9db5b7cbep-10, 0x1.686f80a816a3ep-10, 0x1.5fc4ca54229b8p-10, 0x1.574b72e04c9aep-10, 0x1.4f02774b2b6bp-10, 0x1.46e8d9585b2bap-10, 0x1.3efd9f7da177bp-10, 0x1.373fd4d026ed7p-10, 0x1.2fae88f200a7bp-10, 0x1.2848cfffd6fcap-10, 0x1.210dc27ec5a83p-10, 0x1.19fc7d4a7202p-10, 0x1.1314218353dd4p-10, 0x1.0c53d47d2a51ep-10, 0x1.05babfada75a4p-10, 0x1.fe902136b8235p-11, 0x1.f1f5f19972e02p-11, 0x1.e5a55b6ecab5cp-11, 0x1.d99cd15f57f02p-11, 0x1.cddacdb05a412p-11, 0x1.c25dd2237d7bcp-11, 0x1.b72467d6f500ap-11, 0x1.ac2d1f260c7c2p-11, 0x1.a1768f8a07aeap-11, 0x1.96ff577b8a366p-11, 0x1.8cc61c543f871p-11, 0x1.82c98a30fe80dp-11, 0x1.790853d440582p-11, 0x1.6f81328909e28p-11, 0x1.6632e60631354p-11, 0x1.5d1c3451feb13p-11, 0x1.543be9a642792p-11, 0x1.4b90d854aafc1p-11, 0x1.4319d8aba4db9p-11, 0x1.3ad5c8db767e3p-11, 0x1.32c38cdbd90f1p-11, 0x1.2ae20e51d0506p-11, 0x1.23303c7605ef8p-11, 0x1.1bad0bfb5e0afp-11, 0x1.145776f601f0bp-11, 0x1.0d2e7cc2bf141p-11, 0x1.063121eeb74ddp-11, 0x1.febce03f1329dp-12, 0x1.f16aebf74b73bp-12, 0x1.e46a8e26465f3p-12, 0x1.d7b9f791d0e4bp-12, 0x1.cb57627829b6dp-12, 0x1.bf4112639f943p-12, 0x1.b37553feef004p-12, 0x1.a7f27cea2a3e9p-12, 0x1.9cb6eb9059f46p-12, 0x1.91c106fdbbdd4p-12, 0x1.870f3eb6b20a6p-12, 0x1.7ca00a8f53cfcp-12, 0x1.7271ea839d388p-12, 0x1.6883669039da5p-12, 0x1.5ed30e8bfbb33p-12, 0x1.555f7a01f428p-12, 0x1.4c27480c01347p-12, 0x1.43291f2e286b7p-12, 0x1.3a63ad326ceaap-12, 0x1.31d5a7053d12fp-12, 0x1.297dc8927ba11p-12, 0x1.215ad4a318e3ap-12, 0x1.196b94bb45f6ep-12, 0x1.11aed8f919f1bp-12, 0x1.0a2377f3f1855p-12, 0x1.02c84e9c2e8a4p-12, 0x1.f738803765cdfp-13, 0x1.e93c6b6d42893p-13, 0x1.db9a3d59dd76dp-13, 0x1.ce4fe0387ae8dp-13, 0x1.c15b49c4c95d6p-13, 0x1.b4ba7b00b417p-13, 0x1.a86b7ffb6f28fp-13, 0x1.9c6c6f9958fb1p-13, 0x1.90bb6b5ccf008p-13, 0x1.85569f303dadfp-13, 0x1.7a3c4130ada3ep-13, 0x1.6f6a9179c6a48p-13, 0x1.64dfd9f23becep-13, 0x1.5a9a6e1996083p-13, 0x1.5098aad68af37p-13, 0x1.46d8f64662abap-13, 0x1.3d59bf8d3b1c1p-13, 0x1.34197ea70cceap-13, 0x1.2b16b439b69dfp-13, 0x1.224fe967a53b2p-13, 0x1.19c3afa36ecb8p-13, 0x1.1170a0845d376p-13, 0x1.09555d9b712bp-13, 0x1.017090497602ap-13, 0x1.f381d32b95846p-14, 0x1.e48a440baa91ep-14, 0x1.d5f7f2eab8366p-14, 0x1.c7c86ddeeefbcp-14, 0x1.b9f95110a8e0ep-14, 0x1.ac88466f67cd5p-14, 0x1.9f7305680138fp-14, 0x1.92b7529c77a59p-14, 0x1.8652ff9cfec72p-14, 0x1.7a43eaa25d545p-14, 0x1.6e87fe49bd6edp-14, 0x1.631d3151ba19ep-14, 0x1.58018658a4845p-14, 0x1.4d330b9c18086p-14, 0x1.42afdab9d1e33p-14, 0x1.38761871d9cafp-14, 0x1.2e83f46999359p-14, 0x1.24d7a8f051016p-14, 0x1.1b6f7ac4b9405p-14, 0x1.1249b8dbbeb92p-14, 0x1.0964bc284ca44p-14, 0x1.00bee7643e06cp-14, 0x1.f0ad4db4ddd6cp-15, 0x1.e054e063b4c5dp-15, 0x1.d07184735317fp-15, 0x1.c100496d0b362p-15, 0x1.b1fe506104edep-15, 0x1.a368cb853acb9p-15, 0x1.953cfdd5625bep-15, 0x1.87783ab52238cp-15, 0x1.7a17e59456d3ep-15, 0x1.6d197194e89cep-15, 0x1.607a6132b7bebp-15, 0x1.543845ecf2ab8p-15, 0x1.4850bff194fb3p-15, 0x1.3cc17dca464a7p-15, 0x1.31883c0b62804p-15, 0x1.26a2c503fd8f2p-15, 0x1.1c0ef07015a83p-15, 0x1.11caa32c2e70bp-15, 0x1.07d3ceea7ab1ep-15, 0x1.fc50e3d37902dp-16, 0x1.e98d2d5a7d984p-16, 0x1.d758a76d9e6afp-16, 0x1.c5af9683d975cp-16, 0x1.b48e560054c65p-16, 0x1.a3f157aead9fap-16, 0x1.93d523427d10ep-16, 0x1.843655d7ad847p-16, 0x1.7511a17785d49p-16, 0x1.6663cc9ed8edfp-16, 0x1.5829b1c82922ap-16, 0x1.4a603ef672a95p-16, 0x1.3d0475449df1cp-16, 0x1.301368753a07fp-16, 0x1.238a3e86195c6p-16, 0x1.17662f45a10e3p-16, 0x1.0ba483ea8781cp-16, 0x1.004296ad90696p-16, 0x1.ea7ba4cb81808p-17, 0x1.d527644d24c2ep-17, 0x1.c08381c0c3305p-17, 0x1.ac8b3205557acp-17, 0x1.9939c841659ep-17, 0x1.868ab52f82c64p-17, 0x1.7479866edcc95p-17, 0x1.6301e5d85221ep-17, 0x1.521f98d6192b8p-17, 0x1.41ce7fbfffc44p-17, 0x1.320a953a8da9dp-17, 0x1.22cfed9a50921p-17, 0x1.141ab64a729e6p-17, 0x1.05e73535df16dp-17, 0x1.f063906a326d4p-18, 0x1.d5edc8fbb1495p-18, 0x1.bc662c2f090a1p-18, 0x1.a3c5fea08bb9ap-18, 0x1.8c06b0720e044p-18, 0x1.7521dc3f34fd2p-18, 0x1.5f11461fd2bcp-18, 0x1.49cedaab3ada9p-18, 0x1.3554ae031441dp-18, 0x1.219cfae4cd375p-18, 0x1.0ea221bb72922p-18, 0x1.f8bd4f7b1796p-19, 0x1.d59a6c164b7cfp-19, 0x1.b3d131a5be2e1p-19, 0x1.93577cf76fdcap-19, 0x1.74236da7a3383p-19, 0x1.562b6484f8603p-19, 0x1.396602040c3bfp-19, 0x1.1dca24b47f884p-19, 0x1.034ee7c627bbbp-19, 0x1.d3d7431c33bcbp-20, 0x1.a32fc442c4c91p-20, 0x1.7496e3d109cf7p-20, 0x1.47fca08fea0ddp-20, 0x1.1d5164935f044p-20, 0x1.e90c053a44d5p-21, 0x1.9b17673466e2ap-21, 0x1.50a8283eb6c04p-21, 0x1.09a2440186bep-21, 0x1.8bd4e7c694a8dp-22, 0x1.0acc54db96cacp-22, 0x1.1fee3ad6c05a7p-23, 0x1.b22f01edd9d11p-26, -0x1.4f84b34b64aa4p-24, -0x1.7a89c78d47191p-23, -0x1.21369827f213dp-22, -0x1.7fe36e4e3c4a6p-22, -0x1.d9775374a58f1p-22, -0x1.170e82afa77c7p-21, -0x1.3eff0ceae9991p-21, -0x1.64a182f9f6886p-21, -0x1.880992b0bbc6dp-21, -0x1.a94a6094a5c2fp-21, -0x1.c8768b5da9137p-21, -0x1.e5a02f2f80083p-21, -0x1.006c747b6a32bp-20, -0x1.0d18ecba99792p-20, -0x1.18ddd43d1212ap-20, -0x1.23c343ea37f98p-20, -0x1.2dd11b262401cp-20, -0x1.370f014396785p-20, -0x1.3f8466ed2ae66p-20, -0x1.47388781ba9e3p-20, -0x1.4e326a70e0b68p-20, -0x1.5478e48416163p-20, -0x1.5a12992c7fffp-20, -0x1.5f05fbbe7a585p-20, -0x1.635950a9337ap-20, -0x1.6712aeaa5bc51p-20, -0x1.6a37fff38e79fp-20, -0x1.6ccf034f70c4bp-20, -0x1.6edd4d39de23dp-20, -0x1.706848f773656p-20, -0x1.717539a11a43p-20, -0x1.72093b2911dd5p-20, -0x1.72294362bb1cbp-20, -0x1.71da22f453c1p-20, -0x1.71208652e3a83p-20, -0x1.7000f6ab69515p-20, -0x1.6e7fdad100596p-20, -0x1.6ca1781a24844p-20, -0x1.6a69f3434e70fp-20, -0x1.67dd5145cbb82p-20, -0x1.64ff7828522d7p-20, -0x1.61d42fd197a26p-20, -0x1.5e5f22cd6ca9bp-20, -0x1.5aa3df1158885p-20, -0x1.56a5d6bd75eb4p-20, -0x1.526860d6b8e3fp-20, -0x1.4deeb9f8e24bap-20, -0x1.493c050f4cbe8p-20, -0x1.44534bfba1265p-20, -0x1.3f378041f9b1ep-20, -0x1.39eb7bac853c2p-20, -0x1.347200ec3afebp-20, -0x1.2ecdbc36f62fap-20, -0x1.290143de9d824p-20, -0x1.230f18e6d76b2p-20, -0x1.1cf9a796c0e5fp-20, -0x1.16c348064baacp-20, -0x1.106e3ea96f861p-20, -0x1.09fcbcd5a398dp-20, -0x1.0370e14649b23p-20, -0x1.f999713baf0c6p-21, -0x1.ec247bbf4a567p-21, -0x1.de86b5dece796p-21, -0x1.d0c3d20467c3ap-21, -0x1.c2df622b414f1p-21, -0x1.b4dcd8c3ed435p-21, -0x1.a6bf89890bb68p-21, -0x1.988aaa5eea4d8p-21, -0x1.8a41541d2786ep-21, -0x1.7be6836308368p-21, -0x1.6d7d195726657p-21, -0x1.5f07dc6e45e2p-21, -0x1.50897928166afp-21, -0x1.420482c6ad03dp-21, -0x1.337b7400dc1c5p-21, -0x1.24f0afb666b8p-21, -0x1.166681968f9ecp-21, -0x1.07df1ec6dd5a6p-21, -0x1.f2b94d14c1e46p-22, -0x1.d5c245afc3b5fp-22, -0x1.b8dd11f700a29p-22, -0x1.9c0d74520f89cp-22, -0x1.7f570820ae997p-22, -0x1.62bd42d24e104p-22, -0x1.4643750814b27p-22, -0x1.29eccb9430c0dp-22, -0x1.0dbc5091768fbp-22, -0x1.e369d8b69f3f5p-23, -0x1.abb2cd10e0be2p-23, -0x1.7458cdcd4bb3cp-23, -0x1.3d60ecc517127p-23, -0x1.06cfffe415214p-23, -0x1.a15545d7ef938p-24, -0x1.35ea724f6e95ap-24, -0x1.96cfbc9f02406p-25, -0x1.8755e29aae6c9p-26, 0x1.b14dbba2cacf7p-30, 0x1.b98432e9a022bp-26, 0x1.a9ee8bc92e3ddp-25, 0x1.3a817db6c677fp-24, 0x1.9ef9aa9bbe135p-24, 0x1.012d0da8dde7fp-23, 0x1.324eba268f77dp-23, 0x1.62df567f9d56cp-23, 0x1.92dc86a300c65p-23, 0x1.c244157a6ee0fp-23, 0x1.f113f3a44915dp-23, 0x1.0fa51b29c0c58p-22, 0x1.26728b0d288ap-22, 0x1.3cf176e8df77p-22, 0x1.53211cbc45217p-22, 0x1.6900ca954d01dp-22, 0x1.7e8fde077d33p-22, 0x1.93cdc3ac5a7c4p-22, 0x1.a8b9f6a255964p-22, 0x1.bd540016ef368p-22, 0x1.d19b76ca46886p-22, 0x1.e58ffe9cb7469p-22, 0x1.f931481d9d224p-22, 0x1.063f880e1a84fp-21, 0x1.0fbc8f9e548f4p-21, 0x1.190fa4c8027e4p-21, 0x1.2238b71750ae2p-21, 0x1.2b37bb69fe783p-21, 0x1.340cabbff68cp-21, 0x1.3cb7870c26b1fp-21, 0x1.45385106637d8p-21, 0x1.4d8f12013ee2p-21, 0x1.55bbd6bbae18fp-21, 0x1.5dbeb03a95116p-21, 0x1.6597b39cae2eap-21, 0x1.6d46f9f5c25f5p-21, 0x1.74cca0265479p-21, 0x1.7c28c6b6a1f8p-21, 0x1.835b91b265ab2p-21, 0x1.8a652884d3192p-21, 0x1.9145b5d73d1e3p-21, 0x1.97fd676df55d4p-21, 0x1.9e8c6e09206b9p-21, 0x1.a4f2fd44e4e2ap-21, 0x1.ab314b79af6ep-21, 0x1.b147919f3d473p-21, 0x1.b7360b2eec9cdp-21, 0x1.bcfcf60833264p-21, 0x1.c29c9254d4621p-21, 0x1.c815226e4af7ap-21, 0x1.cd66eac2d9179p-21, 0x1.d29231bee70ddp-21, 0x1.d7973fb1ed1fap-21, 0x1.dc765eb8392fcp-21, 0x1.e12fdaa397d82p-21, 0x1.e5c400e4f98a6p-21, 0x1.ea33207691707p-21, 0x1.ee7d89c6ea1aap-21, 0x1.f2a38ea4b1f3fp-21, 0x1.f6a5822a72802p-21, 0x1.fa83b8ab286b3p-21, 0x1.fe3e87a0827d7p-21, 0x1.00eb22cbf14adp-20, 0x1.02a5a5109eaa4p-20, 0x1.044ef6deb3cbap-20, 0x1.05e744e757bd3p-20, 0x1.076ebc43e5282p-20, 0x1.08e58a6e784e8p-20, 0x1.0a4bdd3a2885ep-20, 0x1.0ba1e2cc1fc06p-20, 0x1.0ce7c993b3846p-20, 0x1.0e1dc044b8b48p-20, 0x1.0f43f5d033721p-20, 0x1.105a995d968a3p-20, 0x1.1161da454da82p-20, 0x1.1259e80a5144cp-20, 0x1.1342f254641p-20, 0x1.141d28ea54f79p-20, 0x1.14e8bbac91e19p-20, 0x1.15a5da901a188p-20, 0x1.1654b59935eb2p-20, 0x1.16f57cd69735cp-20, 0x1.1788605c6c174p-20, 0x1.180d903fe4ef5p-20, 0x1.18853c92e87bcp-20, 0x1.18ef955f91c58p-20, 0x1.194ccaa40ee5bp-20, 0x1.199d0c4ea6fe2p-20, 0x1.19e08a39f09e3p-20, 0x1.1a17742942f39p-20, 0x1.1a41f9c486ba4p-20, 0x1.1a604a9545609p-20, 0x1.1a72960357538p-20, 0x1.1a790b516553cp-20, 0x1.1a73d999dbeeap-20, 0x1.1a632fcc40f67p-20, 0x1.1a473ca9ffc87p-20, 0x1.1a202ec3c5b02p-20, 0x1.19ee34770fddep-20, 0x1.19b17beb3f27fp-20, 0x1.196a330f58bbep-20, 0x1.19188797e965bp-20, 0x1.18bca6fc5e7e4p-20, 0x1.1856be753d5c7p-20, 0x1.17e6faf9d757bp-20, 0x1.176d893e76d93p-20, 0x1.16ea95b25f764p-20, 0x1.165e4c7e1c70ap-20, 0x1.15c8d981c9731p-20, 0x1.152a68535d9c7p-20, 0x1.1483243d15ab9p-20, 0x1.13d3383c0fbe7p-20, 0x1.131aceff10933p-20, 0x1.125a12e4bd476p-20, 0x1.11912dfa9105p-20, 0x1.10c049fbb38e7p-20, 0x1.0fe7904fc31b8p-20, 0x1.0f072a09d9037p-20, 0x1.0e1f3fe76f454p-20, 0x1.0d2ffa4f7fb66p-20, 0x1.0c3981517af3cp-20, 0x1.0b3bfca494a49p-20, 0x1.0a3793a6e1461p-20, 0x1.092c6d5cbc414p-20, 0x1.081ab06ff351fp-20, 0x1.0702832f34731p-20, 0x1.05e40b8d84e78p-20, 0x1.04bf6f21c6c91p-20, 0x1.0394d325ff4c6p-20, 0x1.02645c771bf44p-20, 0x1.012e2f9479833p-20, 0x1.ffe4e13ed6c5ap-21, 0x1.fd6286b63cb69p-21, 0x1.fad5965886846p-21, 0x1.f83e563186b1dp-21, 0x1.f59d0b8efe8c9p-21, 0x1.f2f1fb005e4ep-21, 0x1.f03d6856b10bbp-21, 0x1.ed7f96a42bbadp-21, 0x1.eab8c83c33dffp-21, 0x1.e7e93eb32f992p-21, 0x1.e5113ade89ff3p-21, 0x1.e230fcd496536p-21, 0x1.df48c3ecfa868p-21, 0x1.dc58cec0b060bp-21, 0x1.d9615b2a38005p-21, 0x1.d662a645df90bp-21, 0x1.d35cec721a72cp-21, 0x1.d050694fa5ac4p-21, 0x1.cd3d57c272de8p-21, 0x1.ca23f1f174dadp-21, 0x1.c7047147b3a53p-21, 0x1.c3df0e7474ce4p-21, 0x1.c0b4016be264bp-21, 0x1.bd838167e72a9p-21, 0x1.ba4dc4e88634ap-21, 0x1.b71301b4ac83ep-21, 0x1.b3d36cdac7d36p-21, 0x1.b08f3ab1e6d2ep-21, 0x1.ad469eda28864p-21, 0x1.a9f9cc3dae9d8p-21, 0x1.a6a8f5118a7f6p-21, 0x1.a3544ad67faafp-21, 0x1.9ffbfe59cf18p-21, 0x1.9ca03fb692ef9p-21, 0x1.99413e566b41p-21, 0x1.95df28f23765fp-21, 0x1.927a2d938ddc3p-21, 0x1.8f127995ad3c2p-21, 0x1.8ba839a6762c5p-21, 0x1.883b99c749342p-21, 0x1.84ccc54e70853p-21, 0x1.815be6e8047dbp-21, 0x1.7de928972e03dp-21, 0x1.7a74b3b740869p-21, 0x1.76feb0fcff942p-21, 0x1.73874877ac2bcp-21, 0x1.700ea191f2b4dp-21, 0x1.6c94e31384be3p-21, 0x1.691a332262446p-21, 0x1.659eb743dbb7bp-21, 0x1.6222945d8505bp-21, 0x1.5ea5eeb6d42fdp-21, 0x1.5b28e9fad7de2p-21, 0x1.57aba9388b12fp-21, 0x1.542e4ee471ae9p-21, 0x1.50b0fcda48c7fp-21, 0x1.4d33d45dd7957p-21, 0x1.49b6f61c7557dp-21, 0x1.463a822e6efdp-21, 0x1.42be981816c14p-21, 0x1.3f4356cb2a0cap-21, 0x1.3bc8dca84100ap-21, 0x1.384f477ff7ecp-21, 0x1.34d6b4947be5ap-21, 0x1.315f409ad3d8p-21, 0x1.2de907bc02cf3p-21, 0x1.2a7425968648p-21, 0x1.2700b53fb7ac7p-21, 0x1.238ed1450027fp-21, 0x1.201e93ad3fac9p-21, 0x1.1cb015fa5ea0bp-21, 0x1.1943712a616b1p-21, 0x1.15d8bdb8ad92bp-21, 0x1.1270139fb02cfp-21, 0x1.0f098a5a1cfeap-21, 0x1.0ba538e417effp-21, 0x1.084335bcb396dp-21, 0x1.04e396e771d4p-21, 0x1.018671ed3879ap-21, 0x1.fc57b7bbb72f3p-22, 0x1.f5a7d2a2d895ap-22, 0x1.eefd5cd3df146p-22, 0x1.e8587da80c08ep-22, 0x1.e1b95b91362c4p-22, 0x1.db201c1c07453p-22, 0x1.d48ce3f3a804ap-22, 0x1.cdffd6e35d3a7p-22, 0x1.c77917d989865p-22, 0x1.c0f8c8e9e7591p-22, 0x1.ba7f0b5092f24p-22, 0x1.b40bff74aac25p-22, 0x1.ad9fc4ea896bfp-22, 0x1.a73a7a7677368p-22, 0x1.a0dc3e0f51d11p-22, 0x1.9a852ce127a22p-22, 0x1.9435634f9c364p-22, 0x1.8decfcf864338p-22, 0x1.87ac14b5d60dbp-22, 0x1.8172c4a155601p-22, 0x1.7b41261603e96p-22, 0x1.751751b32b836p-22, 0x1.6ef55f5e5fb2cp-22, 0x1.68db66468b556p-22, 0x1.62c97ce5c5a47p-22, 0x1.5cbfb9040158dp-22, 0x1.56be2fb96f41p-22, 0x1.50c4f570ba1aep-22, 0x1.4ad41de97ab01p-22, 0x1.44ebbc3b14a2p-22, 0x1.3f0be2d62494ep-22, 0x1.3934a38751ea3p-22, 0x1.33660f79a90a4p-22, 0x1.2da03738c4cadp-22, 0x1.27e32ab31295bp-22, 0x1.222ef93bfcbbfp-22, 0x1.1c83b18e4c962p-22, 0x1.16e161cea33d3p-22, }}, 
      {{-0x1.8d131f8d60903p-7, -0x1.8b100df5da928p-6, -0x1.25f40b663b9b4p-5, -0x1.83f82c4a204e6p-5, -0x1.df4d67d43d655p-5, -0x1.1bf68b0e09f4p-4, -0x1.47004eae47d65p-4, -0x1.70e7b1c88bc1ep-4, -0x1.99d72fb52ac8ap-4, -0x1.c1f9820e4ac0dp-4, -0x1.e975033ba9b45p-4, -0x1.08346dab104e2p-3, -0x1.1b75d36ad1c71p-3, -0x1.2e859d3358b9ap-3, -0x1.416696d522b97p-3, -0x1.5417f256d6b9bp-3, -0x1.6695efb8b4b3cp-3, -0x1.78da928400a6ep-3, -0x1.8ade55ddb55c7p-3, -0x1.9c98d49b9a371p-3, -0x1.ae015e9c30525p-3, -0x1.bf0f778b2771ep-3, -0x1.cfbb3d75538efp-3, -0x1.dffdb73896b7ep-3, -0x1.efd10c0fc28c5p-3, -0x1.ff30a64c2ffb2p-3, -0x1.070ca1e8464b3p-2, -0x1.0e447b90be075p-2, -0x1.153f8df7713a6p-2, -0x1.1bfe20f06da9bp-2, -0x1.2281082007091p-2, -0x1.28c992661b3d7p-2, -0x1.2ed977e268e02p-2, -0x1.34b2c76ab7164p-2, -0x1.3a57d422f224cp-2, -0x1.3fcb23c11d48p-2, -0x1.450f5de420023p-2, -0x1.4a273cc5e799bp-2, -0x1.4f157f770734fp-2, -0x1.53dcddbc449a4p-2, -0x1.587ffd94e2475p-2, -0x1.5d016a62be6c2p-2, -0x1.61638da30bfd4p-2, -0x1.65a8a91f0a18dp-2, -0x1.69d2d2774238p-2, -0x1.6de3efe8f0934p-2, -0x1.71ddb62c08e52p-2, -0x1.75c1a7484a2a8p-2, -0x1.79911240c651cp-2, -0x1.7d4d1376e5ee4p-2, -0x1.80f695a809763p-2, -0x1.848e536b32f0bp-2, -0x1.8814d916afa85p-2, -0x1.8b8a86f829184p-2, -0x1.8eef93cc0587ap-2, -0x1.92440f6348d63p-2, -0x1.9587e5696936cp-2, -0x1.98bae03d7dde2p-2, -0x1.9bdcabd416c1bp-2, -0x1.9eecd898b15fcp-2, -0x1.a1eade4731c35p-2, -0x1.a4d61eb72c0fdp-2, -0x1.a7ade893e0d84p-2, -0x1.aa7179fcda5c4p-2, -0x1.ad20030bfec9dp-2, -0x1.afb8a83e9ea2ap-2, -0x1.b23a84bfc695bp-2, -0x1.b4a4ac928e78p-2, -0x1.b6f62e9bb0994p-2, -0x1.b92e168a0d18bp-2, -0x1.bb4b6e9e1bde2p-2, -0x1.bd4d415091623p-2, -0x1.bf329ad8ba36cp-2, -0x1.c0fa8a9346078p-2, -0x1.c2a4244a54bd6p-2, -0x1.c42e815fce171p-2, -0x1.c598c1db0e3c6p-2, -0x1.c6e20d5b18158p-2, -0x1.c80993ee7aaap-2, -0x1.c90e8ed234b39p-2, -0x1.c9f04118d06acp-2, -0x1.caadf83b09c22p-2, -0x1.cb470c934100fp-2, -0x1.cbbae1c501d45p-2, -0x1.cc08e711e3dbcp-2, -0x1.cc30979cf65aep-2, -0x1.cc317a9df7ae2p-2, -0x1.cc0b23857ba97p-2, -0x1.cbbd32132325cp-2, -0x1.cb47525f00db8p-2, -0x1.caa93cd7360e1p-2, -0x1.c9e2b632c53edp-2, -0x1.c8f38f5a95972p-2, -0x1.c7dba5499254dp-2, -0x1.c69ae0e4bc692p-2, -0x1.c53136cc0a30dp-2, -0x1.c39ea724d5e76p-2, -0x1.c1e33d5e9864ap-2, -0x1.bfff0ff29ddcdp-2, -0x1.bdf2401f5a72p-2, -0x1.bbbcf99ff733ap-2, -0x1.b95f7260a4b99p-2, -0x1.b6d9ea303c21ap-2, -0x1.b42caa6fa21bcp-2, -0x1.b15805bf65668p-2, -0x1.ae5c57abf74bdp-2, -0x1.ab3a0458e6c96p-2, -0x1.a7f1782b6caeep-2, -0x1.a4832774a0a6cp-2, -0x1.a0ef8e1b967f7p-2, -0x1.9d372f47aa133p-2, -0x1.995a950b352dfp-2, -0x1.955a500edb6c4p-2, -0x1.9136f73da703p-2, -0x1.8cf127721456bp-2, -0x1.8889832435bb5p-2, -0x1.8400b2191139p-2, -0x1.7f5761134de2ep-2, -0x1.7a8e41854c04ep-2, -0x1.75a60944bdb53p-2, -0x1.709f723fc8243p-2, -0x1.6b7b3a33c87fcp-2, -0x1.663a2265ba35fp-2, -0x1.60dcef5c4e6d7p-2, -0x1.5b64689bb9892p-2, -0x1.55d158633a3bfp-2, -0x1.50248b6c5bfp-2, -0x1.4a5ed0abf8756p-2, -0x1.4480f914f17eap-2, -0x1.3e8bd75caab7ap-2, -0x1.38803fc136d3cp-2, -0x1.325f07d13b885p-2, -0x1.2c2906358105ap-2, -0x1.25df127c2f8fbp-2, -0x1.1f8204e5aee8ap-2, -0x1.1912b63322b43p-2, -0x1.1291ff767f7p-2, -0x1.0c00b9e42c1f9p-2, -0x1.055fbea631fe3p-2, -0x1.fd5fcd61cdbb2p-3, -0x1.efe4153229a59p-3, -0x1.e24e04d723234p-3, -0x1.d49f4b0c85a18p-3, -0x1.c6d994e4ffc5dp-3, -0x1.b8fe8d81aab57p-3, -0x1.ab0fddcc2896ep-3, -0x1.9d0f2c3363fa6p-3, -0x1.8efe1c6ad949fp-3, -0x1.80de4f2c5362ep-3, -0x1.72b161fc1dfc7p-3, -0x1.6478eeef8ff2ap-3, -0x1.56368c75e9f1cp-3, -0x1.47ebcd2379ac5p-3, -0x1.399a3f7ef62c5p-3, -0x1.2b436dd101e64p-3, -0x1.1ce8ddf5d7d4bp-3, -0x1.0e8c1130fb25fp-3, -0x1.002e8403013cp-3, -0x1.e3a35c0292452p-4, -0x1.c6ee035f6424ap-4, -0x1.aa3fd8b867f63p-4, -0x1.8d9babf8a1569p-4, -0x1.71044218c7a61p-4, -0x1.547c54e16ce3ap-4, -0x1.380692b0a85f9p-4, -0x1.1ba59e432fce8p-4, -0x1.feb81d019feccp-5, -0x1.c658dc9858a7cp-5, -0x1.8e3278ab7db86p-5, -0x1.5649d5e404155p-5, -0x1.1ea3bfe556077p-5, -0x1.ce89d20be181dp-6, -0x1.6063d41ba96d4p-6, -0x1.e5bd07eba8a84p-7, -0x1.0c05572c2228dp-7, -0x1.9d8e0971862dep-10, 0x1.4659f08c71c9ap-8, 0x1.78867d6d17d8ap-7, 0x1.26257083e128p-6, 0x1.8f355064e5aadp-6, 0x1.f76b52d8ff8cfp-6, 0x1.2f601113eabdfp-5, 0x1.62964f3d443bfp-5, 0x1.9554eef5be8d4p-5, 0x1.c798964683b85p-5, 0x1.f95e0633abd8bp-5, 0x1.15510d5b61832p-4, 0x1.2db0e55a95369p-4, 0x1.45cd13f925315p-4, 0x1.5da42f7ef0344p-4, 0x1.7534db8f20ae1p-4, 0x1.8c7dc91b7578ep-4, 0x1.a37db655ae332p-4, 0x1.ba336e9f29cc4p-4, 0x1.d09dca76ced9p-4, 0x1.e6bbaf65445eap-4, 0x1.fc8c0fe77de4dp-4, 0x1.0906f5abe3d5dp-3, 0x1.13a026ea9d5efp-3, 0x1.1e112814dc44ep-3, 0x1.28598bd73fccbp-3, 0x1.3278eb17b1fb3p-3, 0x1.3c6ee4e652194p-3, 0x1.463b1e6dca8fep-3, 0x1.4fdd42e2fc202p-3, 0x1.5955037417f7cp-3, 0x1.62a21737316f1p-3, 0x1.6bc43b18379bp-3, 0x1.74bb31c679e1dp-3, 0x1.7d86c3a1a51a5p-3, 0x1.8626bea650f54p-3, 0x1.8e9af65a194a9p-3, 0x1.96e343b74892bp-3, 0x1.9eff8518235f9p-3, 0x1.a6ef9e21d1525p-3, 0x1.aeb377aeeb768p-3, 0x1.b64affb9b62d1p-3, 0x1.bdb629461214ap-3, 0x1.c4f4ec4b1dc7bp-3, 0x1.cc07459c94c18p-3, 0x1.d2ed36d3f3538p-3, 0x1.d9a6c6395de99p-3, 0x1.e033feac5549bp-3, 0x1.e694ef8c3df78p-3, 0x1.ecc9aca0bb9cfp-3, 0x1.f2d24e01e69fep-3, 0x1.f8aef00065926p-3, 0x1.fe5fb30d65359p-3, 0x1.01f25dd13f72ep-2, 0x1.049f1914c4841p-2, 0x1.073621722cb31p-2, 0x1.09b78eea3f5e7p-2, 0x1.0c237b517af36p-2, 0x1.0e7a0243ecdedp-2, 0x1.10bb41190d742p-2, 0x1.12e756d79bd3ap-2, 0x1.14fe64298069cp-2, 0x1.17008b4fb7597p-2, 0x1.18edf016409d8p-2, 0x1.1ac6b7c81d5c1p-2, 0x1.1c8b092356e6fp-2, 0x1.1e3b0c4d1753bp-2, 0x1.1fd6eac5cb4fcp-2, 0x1.215ecf5d5ad3bp-2, 0x1.22d2e62770ca2p-2, 0x1.24335c6fd610ep-2, 0x1.258060aee3c91p-2, 0x1.26ba227e09725p-2, 0x1.27e0d28c6d68cp-2, 0x1.28f4a293a3d17p-2, 0x1.29f5c54c81ac9p-2, 0x1.2ae46e6409da2p-2, 0x1.2bc0d27077261p-2, 0x1.2c8b26e663cb8p-2, 0x1.2d43a20e0dff2p-2, 0x1.2dea7af8bc949p-2, 0x1.2e7fe976449ffp-2, 0x1.2f04260aaf32dp-2, 0x1.2f7769e400f62p-2, 0x1.2fd9eed025642p-2, 0x1.302bef32fa8e4p-2, 0x1.306da5fc85c92p-2, 0x1.309f4e9f4955cp-2, 0x1.30c12506be8acp-2, 0x1.30d3658df955fp-2, 0x1.30d64cf66e0b1p-2, 0x1.30ca185ee32e5p-2, 0x1.30af053a843a9p-2, 0x1.308551482062bp-2, 0x1.304d3a899158dp-2, 0x1.3006ff3b47e84p-2, 0x1.2fb2ddcc04197p-2, 0x1.2f5114d4b3291p-2, 0x1.2ee1e31078991p-2, 0x1.2e658754e1092p-2, 0x1.2ddc408a3d158p-2, 0x1.2d464da4258cep-2, 0x1.2ca3ed9a2c12p-2, 0x1.2bf55f60b19p-2, 0x1.2b3ae1e1eb4d4p-2, 0x1.2a74b3f70c0ebp-2, 0x1.29a314619d9bep-2, 0x1.28c641c4fd01cp-2, 0x1.27de7aa007a6ep-2, 0x1.26ebfd46eaaddp-2, 0x1.25ef07dd23994p-2, 0x1.24e7d84fa33eap-2, 0x1.23d6ac4f1e051p-2, 0x1.22bbc14a83b9ap-2, 0x1.21975469a27d7p-2, 0x1.2069a287ed538p-2, 0x1.1f32e82f706bfp-2, 0x1.1df36193ead12p-2, 0x1.1cab4a8e101afp-2, 0x1.1b5ade96eff4ap-2, 0x1.1a0258c3899d3p-2, 0x1.18a1f3c080d57p-2, 0x1.1739e9cdfc24ap-2, 0x1.15ca74bba9617p-2, 0x1.1453cde4e6baap-2, 0x1.12d62e2d1193cp-2, 0x1.1151cdfbfa529p-2, 0x1.0fc6e53a7dff6p-2, 0x1.0e35ab4f40714p-2, 0x1.0c9e571b8ef06p-2, 0x1.0b011ef862121p-2, 0x1.095e38b38486ep-2, 0x1.07b5d98cda033p-2, 0x1.06083633cc6bap-2, 0x1.045582c4d2836p-2, 0x1.029df2c721b44p-2, 0x1.00e1b92a76457p-2, 0x1.fe42108a02c81p-3, 0x1.fab823a2eb0a8p-3, 0x1.f7260dda61603p-3, 0x1.f38c302d087d8p-3, 0x1.efeaea5637b42p-3, 0x1.ec429acd02f75p-3, 0x1.e8939ec17c0d1p-3, 0x1.e4de521a2a48ap-3, 0x1.e1230f71b7ecap-3, 0x1.dd623014e0a5p-3, 0x1.d99c0c00832f9p-3, 0x1.d5d0f9dff8824p-3, 0x1.d2014f0b8fe2bp-3, 0x1.ce2d5f8745ecfp-3, 0x1.ca557e01ab19cp-3, 0x1.c679fbd2f0f92p-3, 0x1.c29b28fc34feep-3, 0x1.beb95426eafa9p-3, 0x1.bad4caa47b73fp-3, 0x1.b6edd86e0a7ecp-3, 0x1.b304c82469a77p-3, 0x1.af19e3103256dp-3, 0x1.ab2d7122098cep-3, 0x1.a73fb8f3088d2p-3, 0x1.a350ffc54e016p-3, 0x1.9f618984aec6dp-3, 0x1.9b7198c794789p-3, 0x1.97816ecff3ba4p-3, 0x1.93914b8c6854fp-3, 0x1.8fa16d997727p-3, 0x1.8bb21242e9966p-3, 0x1.87c3758546097p-3, 0x1.83d5d20f70d66p-3, 0x1.7fe961445a643p-3, 0x1.7bfe5b3cd7847p-3, 0x1.7814f6c98d26ap-3, 0x1.742d6974f4adp-3, 0x1.7047e7857f0abp-3, 0x1.6c64a3ffcb3b2p-3, 0x1.6883d0a8f55b7p-3, 0x1.64a59e08fadf9p-3, 0x1.60ca3b6d38499p-3, 0x1.5cf1d6eaf332p-3, 0x1.591c9d620156ap-3, 0x1.554aba7f7a376p-3, 0x1.517c58c07f927p-3, 0x1.4db1a1751777ap-3, 0x1.49eabcc310e99p-3, 0x1.4627d1a8fbd9ap-3, 0x1.4269060132bacp-3, 0x1.3eae7e84ece08p-3, 0x1.3af85ecf5d2e7p-3, 0x1.3746c960e4216p-3, 0x1.3399dfa2463efp-3, 0x1.2ff1c1e7f33b2p-3, 0x1.2c4e8f754dfefp-3, 0x1.28b066800d50dp-3, 0x1.251764339572bp-3, 0x1.2183a4b4651aap-3, 0x1.1df54323842d8p-3, 0x1.1a6c59a1fb45ep-3, 0x1.16e9015452439p-3, 0x1.136b52661260fp-3, 0x1.0ff3640d5031dp-3, 0x1.0c814c8e34c21p-3, 0x1.0915213e93e53p-3, 0x1.05aef6897b7d1p-3, 0x1.024edff2ce2f6p-3, 0x1.fde9e035b36c2p-4, 0x1.f7427183ea328p-4, 0x1.f0a7959833461p-4, 0x1.ea196c8905b8bp-4, 0x1.e39814c297cc5p-4, 0x1.dd23ab0e16213p-4, 0x1.d6bc4a98e571ep-4, 0x1.d0620cfbcf32ep-4, 0x1.ca150a42418ccp-4, 0x1.c3d558f17a396p-4, 0x1.bda30e0fb6a85p-4, 0x1.b77e3d2b5d1a3p-4, 0x1.b166f862196b1p-4, 0x1.ab5d5067fd61bp-4, 0x1.a561548e92ec1p-4, 0x1.9f7312cbe7526p-4, 0x1.999297c193c62p-4, 0x1.93bfeec3ae8c4p-4, 0x1.8dfb21dfc43e1p-4, 0x1.884439e3b80f6p-4, 0x1.829b3e64a19e9p-4, 0x1.7d0035c59a679p-4, 0x1.7773253e831f9p-4, 0x1.71f410e2b8877p-4, 0x1.6c82fba7be36ep-4, 0x1.671fe76bdafabp-4, 0x1.61cad4fca6c64p-4, 0x1.5c83c41d8b9fep-4, 0x1.574ab38e368bap-4, 0x1.521fa110f8731p-4, 0x1.4d0289711cd96p-4, 0x1.47f3688928cfbp-4, 0x1.42f23949114a7p-4, 0x1.3dfef5bc5c2d3p-4, 0x1.391997103235ep-4, 0x1.34421599624dap-4, 0x1.2f7868da4eaf3p-4, 0x1.2abc8788cd08dp-4, 0x1.260e6793f39ep-4, 0x1.216dfe29d30f7p-4, 0x1.1cdb3fbd20d4dp-4, 0x1.1856200acda8bp-4, 0x1.13de921f87b8bp-4, 0x1.0f74885d3166ep-4, 0x1.0b17f4803d209p-4, 0x1.06c8c7a4f932ap-4, 0x1.0286f24ccc22cp-4, 0x1.fca4c8c6b4ae1p-5, 0x1.f4561a8732e3cp-5, 0x1.ec21b779a102p-5, 0x1.e4077c2f10aep-5, 0x1.dc074434c24f8p-5, 0x1.d420ea1dbad28p-5, 0x1.cc54478c27739p-5, 0x1.c4a1353a9f6a4p-5, 0x1.bd078b053e863p-5, 0x1.b5871ff299cc6p-5, 0x1.ae1fca3c8a8f4p-5, 0x1.a6d15f58d54a9p-5, 0x1.9f9bb401afc54p-5, 0x1.987e9c3e10ab3p-5, 0x1.9179eb69ee43p-5, 0x1.8a8d743e46407p-5, 0x1.83b908d905ed1p-5, 0x1.7cfc7ac4cf7abp-5, 0x1.76579b008fd73p-5, 0x1.6fca3a06fc38bp-5, 0x1.695427d5e354dp-5, 0x1.62f533f5572ffp-5, 0x1.5cad2d7eb2aefp-5, 0x1.567be32386e23p-5, 0x1.506123344a63cp-5, 0x1.4a5cbba702b9fp-5, 0x1.446e7a1db4bb1p-5, 0x1.3e962becb4ec1p-5, 0x1.38d39e20df3dfp-5, 0x1.33269d8598f6bp-5, 0x1.2d8ef6aac5ef6p-5, 0x1.280c75ea8c35ep-5, 0x1.229ee76ef5341p-5, 0x1.1d46173777f7bp-5, 0x1.1801d11e5b049p-5, 0x1.12d1e0ddef726p-5, 0x1.0db61215b748ap-5, 0x1.08ae304f679ccp-5, 0x1.03ba0703bf0fdp-5, 0x1.fdb2c33ea2c6ap-6, 0x1.f418170e4501bp-6, 0x1.eaa3a03a5057bp-6, 0x1.e154f5895f1c2p-6, 0x1.d82badcd4632ap-6, 0x1.cf275feb5857dp-6, 0x1.c647a2e48eacdp-6, 0x1.bd8c0ddd55135p-6, 0x1.b4f438251952p-6, 0x1.ac7fb93de57a9p-6, 0x1.a42e28e355a65p-6, 0x1.9bff1f11b89f7p-6, 0x1.93f2340cc7b13p-6, 0x1.8c07006624c3ap-6, 0x1.843d1d03cbcd6p-6, 0x1.7c94232628ca4p-6, 0x1.750bac6e0e07bp-6, 0x1.6da352e272d9ap-6, 0x1.665ab0f5f7e74p-6, 0x1.5f31618c5ecdfp-6, 0x1.5826ffffa4e01p-6, 0x1.513b2824f2f7ep-6, 0x1.4a6d76519507ap-6, 0x1.43bd875f77ecfp-6, 0x1.3d2af8b1bdc88p-6, 0x1.36b56838e8c87p-6, 0x1.305c74771f47dp-6, 0x1.2a1fbc83fd3aap-6, 0x1.23fee0107a01ep-6, 0x1.1df97f6a7ebb9p-6, 0x1.180f3b8061d53p-6, 0x1.123fb5e43eba9p-6, 0x1.0c8a90cf234c8p-6, 0x1.06ef6f2413d2dp-6, 0x1.016df472e9a25p-6, 0x1.f80b89f648c9ap-7, 0x1.ed6d0b5cd37f5p-7, 0x1.e2ffb8663cap-7, 0x1.d8c2ddcd25f98p-7, 0x1.ceb5c9bec1743p-7, 0x1.c4d7cbdedb7efp-7, 0x1.bb28354bb5a07p-7, 0x1.b1a658a1cd55cp-7, 0x1.a85189ff33c0dp-7, 0x1.9f291f06db7dap-7, 0x1.962c6ee3730ffp-7, 0x1.8d5ad24a3de85p-7, 0x1.84b3a37d83db8p-7, 0x1.7c363e4f15b69p-7, 0x1.73e200222a588p-7, 0x1.6bb647ed72aedp-7, 0x1.63b2763ce483cp-7, 0x1.5bd5ed32f01d8p-7, 0x1.5420108a46d32p-7, 0x1.4c904596b3c91p-7, 0x1.4525f346373fp-7, 0x1.3de08221debc1p-7, 0x1.36bf5c4e4b527p-7, 0x1.2fc1ed8c4ff3ap-7, 0x1.28e7a33934023p-7, 0x1.222fec4edd1e2p-7, 0x1.1b9a3963ed8b5p-7, 0x1.1525fcab8b79bp-7, 0x1.0ed2a9f5188aap-7, 0x1.089fb6abdf7bep-7, 0x1.028c99d693195p-7, 0x1.f931982d210c3p-8, 0x1.ed878f4e315p-8, 0x1.e21a10b8e6ac6p-8, 0x1.d6e81745baaa8p-8, 0x1.cbf0a0fb0efd3p-8, 0x1.c132af0a1a37cp-8, 0x1.b6ad45cd1566ap-8, 0x1.ac5f6cc37609dp-8, 0x1.a2482e8f589d4p-8, 0x1.986698f225415p-8, 0x1.8eb9bcc8f74e3p-8, 0x1.8540ae08f17bcp-8, 0x1.7bfa83bba2148p-8, 0x1.72e657fade5c9p-8, 0x1.6a0347eca81a9p-8, 0x1.615073bee4af9p-8, 0x1.58ccfea2db9aap-8, 0x1.50780ec8ecb89p-8, 0x1.4850cd5b51e8ep-8, 0x1.40566679d81e3p-8, 0x1.388809349650ep-8, 0x1.30e4e78712c94p-8, 0x1.296c3652b3b41p-8, 0x1.221d2d5a0cac8p-8, 0x1.1af7073adc795p-8, 0x1.13f90168ff1c5p-8, 0x1.0d225c28aa546p-8, 0x1.06725a88df9a6p-8, 0x1.ffd084bb1cebbp-9, 0x1.f306b873b1c22p-9, 0x1.e685e6d45db8p-9, 0x1.da4cabdc80aeap-9, 0x1.ce59a8e65c585p-9, 0x1.c2ab849a676p-9, 0x1.b740eae385209p-9, 0x1.ac188ce22c536p-9, 0x1.a13120e057d8ep-9, 0x1.96896244afa7dp-9, 0x1.8c20118621339p-9, 0x1.81f3f41ee845p-9, 0x1.7803d480155dp-9, 0x1.6e4e820473a6p-9, 0x1.64d2d0e3dd3cap-9, 0x1.5b8f9a261b7fep-9, 0x1.5283bb961a22fp-9, 0x1.49ae17b4da115p-9, 0x1.410d95ac5e22p-9, 0x1.38a121428a47dp-9, 0x1.3067aacc65d61p-9, 0x1.286027207c06bp-9, 0x1.20898f8a80336p-9, 0x1.18e2e1bd613bap-9, 0x1.116b1fc717f69p-9, 0x1.0a215002b5882p-9, 0x1.03047d0bf2359p-9, 0x1.f8276b6426ae1p-10, 0x1.ea9c19d503d24p-10, 0x1.dd6533885e511p-10, 0x1.d080eeb51b4fp-10, 0x1.c3ed899113a71p-10, 0x1.b7a94a373c20fp-10, 0x1.abb27e8e74495p-10, 0x1.a0077c2f6f9b7p-10, 0x1.94a6a04b51aefp-10, 0x1.898e4f92bafd4p-10, 0x1.7ebcf61b9b861p-10, 0x1.74310748bdae5p-10, 0x1.69e8fdb0c582ap-10, 0x1.5fe35b04cf25bp-10, 0x1.561ea7f7dc693p-10, 0x1.4c997426be3ffp-10, 0x1.435255fe3512bp-10, 0x1.3a47eaa43bbabp-10, 0x1.3178d5de998dap-10, 0x1.28e3c1fb59acep-10, 0x1.20875fb90faa6p-10, 0x1.1862662f0c6a5p-10, 0x1.107392b53c531p-10, 0x1.08b9a8cdacd3cp-10, 0x1.0133720cd9077p-10, 0x1.f3bf7c058f873p-11, 0x1.e57ac448392cep-11, 0x1.d796736737014p-11, 0x1.ca104b5763b8ap-11, 0x1.bce6194f91527p-11, 0x1.b015b59e6d489p-11, 0x1.a39d037bac33bp-11, 0x1.9779f0dfa8aedp-11, 0x1.8baa7656e91d4p-11, 0x1.802c96d720de7p-11, 0x1.74fe5f96f5b2fp-11, 0x1.6a1de7e1e68ffp-11, 0x1.5f8950f0b732cp-11, 0x1.553ec5bf36d06p-11, 0x1.4b3c7ae50955cp-11, 0x1.4180ae6c6fecp-11, 0x1.3809a7ab6e8bbp-11, 0x1.2ed5b71c175cep-11, 0x1.25e33635aef08p-11, 0x1.1d30874669d2bp-11, 0x1.14bc154d74dfap-11, 0x1.0c8453d5759d9p-11, 0x1.0487becee20eep-11, 0x1.f989b4d999158p-12, 0x1.ea7465fcc4854p-12, 0x1.dbccb999948ccp-12, 0x1.cd8fe7ee14a8cp-12, 0x1.bfbb389e6aa64p-12, 0x1.b24c026f763d5p-12, 0x1.a53fab02ffb0dp-12, 0x1.9893a69315031p-12, 0x1.8c4577b10027p-12, 0x1.8052af02e8452p-12, 0x1.74b8eb01f2e7ep-12, 0x1.6975d7bc21448p-12, 0x1.5e872e9243eaap-12, 0x1.53eab5fd35245p-12, 0x1.499e414d5c90cp-12, 0x1.3f9fb06f04bbep-12, 0x1.35ecefae07d2fp-12, 0x1.2c83f77b233d2p-12, 0x1.2362cc321d118p-12, 0x1.1a877ddefbc35p-12, 0x1.11f028067b5e4p-12, 0x1.099af16d4dd01p-12, 0x1.01860be192a6bp-12, 0x1.f35f6809f3e2p-13, 0x1.e42c622c27cfbp-13, 0x1.d56fa97824478p-13, 0x1.c725f5a8b897cp-13, 0x1.b94c12783916cp-13, 0x1.abdedf420166bp-13, 0x1.9edb4e9beac7ap-13, 0x1.923e65f54d0b4p-13, 0x1.86053d357786ap-13, 0x1.7a2cfe5fccf83p-13, 0x1.6eb2e532e4023p-13, 0x1.63943ecececebp-13, 0x1.58ce69596ecep-13, 0x1.4e5ed3a744df9p-13, 0x1.4442fce0da7bdp-13, 0x1.3a78742f84791p-13, 0x1.30fcd865a87e3p-13, 0x1.27cdd7ae9b1d9p-13, 0x1.1ee92f393b5bdp-13, 0x1.164caae8eb9dep-13, 0x1.0df62506d1bf3p-13, 0x1.05e385f05dffcp-13, 0x1.fc25879e9e5f8p-14, 0x1.ed03c494d1ecbp-14, 0x1.de5de47890e53p-14, 0x1.d03022d80a41ep-14, 0x1.c276d483c3b19p-14, 0x1.b52e670a4aecfp-14, 0x1.a85360255f115p-14, 0x1.9be25d393d038p-14, 0x1.8fd812c8d8e56p-14, 0x1.84314bf67c3dep-14, 0x1.78eae9ffe5301p-14, 0x1.6e01e3c200554p-14, 0x1.6373453ab641bp-14, 0x1.593c2f0f3a513p-14, 0x1.4f59d612c1378p-14, 0x1.45c982d4d9f1dp-14, 0x1.3c88912691b82p-14, 0x1.33946fb155e62p-14, 0x1.2aea9f7fe0048p-14, 0x1.2288b395f9f4cp-14, 0x1.1a6c5082a62fdp-14, 0x1.12932bf8ae9bdp-14, 0x1.0afb0c626f43dp-14, 0x1.03a1c885f3248p-14, 0x1.f90a8e2bdecabp-15, 0x1.eb46fcb4b4cd2p-15, 0x1.ddf4e7937820bp-15, 0x1.d1107760ebfacp-15, 0x1.c495f19f31ad6p-15, 0x1.b881b811a1ce8p-15, 0x1.acd04800f9447p-15, 0x1.a17e3996621e6p-15, 0x1.96883f2a58384p-15, 0x1.8beb24a486f1ep-15, 0x1.81a3ced803e9dp-15, 0x1.77af3adcfb136p-15, 0x1.6e0a7d7d36a9p-15, 0x1.64b2c295f03ebp-15, 0x1.5ba54c7f5c345p-15, 0x1.52df73814e5acp-15, 0x1.4a5ea53970348p-15, 0x1.42206418aa33p-15, 0x1.3a2246cc67123p-15, 0x1.3261f7c757e33p-15, 0x1.2add34add17b1p-15, 0x1.2391cddd7f649p-15, 0x1.1c7da5eb1e2dep-15, 0x1.159eb128fb63ap-15, 0x1.0ef2f529b44b9p-15, 0x1.0878884d9a909p-15, 0x1.022d914bcf216p-15, 0x1.f8208d8286c82p-16, 0x1.ec3ddd85b2562p-16, 0x1.e0afbcde6333bp-16, 0x1.d572f309c832ap-16, 0x1.ca8463f5e7319p-16, 0x1.bfe10f3681ca6p-16, 0x1.b5860f3c5e7ddp-16, 0x1.ab7098961a769p-16, 0x1.a19df93095b24p-16, 0x1.980b979e21fd6p-16, 0x1.8eb6f266a83f6p-16, 0x1.859d9f4850726p-16, 0x1.7cbd4a9d0c08ap-16, 0x1.7413b6a49128fp-16, 0x1.6b9ebae5e2418p-16, 0x1.635c438a05179p-16, 0x1.5b4a50c4c6f44p-16, 0x1.5366f6369b684p-16, 0x1.4bb05a570bc5bp-16, 0x1.4424b5e669b07p-16, 0x1.3cc2535c7bc7fp-16, 0x1.35878e596221dp-16, 0x1.2e72d3271b353p-16, 0x1.27829e2dd5461p-16, 0x1.20b57b7676b93p-16, 0x1.1a0a062976736p-16, 0x1.137ee8166d49cp-16, 0x1.0d12d93af79fcp-16, 0x1.06c49f515047bp-16, 0x1.00930d59bc167p-16, 0x1.f4fa065c7722fp-17, 0x1.e902da2ed7f25p-17, 0x1.dd3e86be3b8e2p-17, 0x1.d1ab13e283925p-17, 0x1.c6469fdf18cc8p-17, 0x1.bb0f5eac129f2p-17, 0x1.b003992fbdc13p-17, 0x1.a521ac93639bfp-17, 0x1.9a680982ad47cp-17, 0x1.8fd5337f8b89p-17, 0x1.8567c03f1ae09p-17, 0x1.7b1e57003532fp-17, 0x1.70f7afe6c3c3ep-17, 0x1.66f29361e8db4p-17, 0x1.5d0dd994c4aap-17, 0x1.534869c271159p-17, 0x1.49a139bca1697p-17, 0x1.40174d5ad6348p-17, 0x1.36a9b5ea92606p-17, 0x1.2d5791b771a5cp-17, 0x1.24200b7d880dp-17, 0x1.1b0259f986d18p-17, 0x1.11fdbf646bd6p-17, 0x1.09118902a38e6p-17, 0x1.003d0eb792c24p-17, 0x1.eeff6517e5b84p-18, 0x1.ddb1c095325bbp-18, 0x1.cc901a24cb12fp-18, 0x1.bb996df3d20c2p-18, 0x1.aaccc945f693p-18, 0x1.9a2949c1de4d7p-18, 0x1.89ae1cb7afa33p-18, 0x1.795a7e72e8899p-18, 0x1.692db9820d2eep-18, 0x1.5927261999486p-18, 0x1.4946296720065p-18, 0x1.398a3503523adp-18, 0x1.29f2c64d186a9p-18, 0x1.1a7f65d8b9adp-18, 0x1.0b2fa6e3e731ep-18, 0x1.f8064d9c9ea8ap-19, 0x1.d9f3190f7aa62p-19, 0x1.bc25104bc8823p-19, 0x1.9e9ba49bbba76p-19, 0x1.815657a022867p-19, 0x1.6454ba5a7d09cp-19, 0x1.47966c43a8df6p-19, 0x1.2b1b1a780d3bfp-19, 0x1.0ee27ef3c12e1p-19, 0x1.e5d8bf7e6c665p-20, 0x1.ae711c5e3a656p-20, 0x1.778dcc3db32e2p-20, 0x1.412e9a8b424fcp-20, 0x1.0b53651ed55f7p-20, 0x1.abf835cbf7806p-21, 0x1.425175023d2f8p-21, 0x1.b36544b198e7fp-22, 0x1.c86fcd181675fp-23, 0x1.71b6b5074d758p-26, -0x1.67dec80c81172p-23, -0x1.7ce795c459a8dp-22, -0x1.21e609a2f6f0cp-21, -0x1.844dd27cf7c3bp-21, -0x1.e5aa7adfc7928p-21, -0x1.22fda5a13f61bp-20, -0x1.529fc06afe1e8p-20, -0x1.81bb2774e7adap-20, -0x1.b04f70651cd12p-20, -0x1.de5c2d7fe5108p-20, -0x1.05f0772137b46p-19, -0x1.1c6ea01d7a13bp-19, -0x1.32a857d081c8dp-19, -0x1.489d63ee481f2p-19, -0x1.5e4d8a05d05b2p-19, -0x1.73b88fd96d911p-19, -0x1.88de3b9d11501p-19, -0x1.9dbe542466174p-19, -0x1.b258a135e3473p-19, -0x1.c6acebba67835p-19, -0x1.dabafde6f68c1p-19, -0x1.ee82a3752c8aap-19, -0x1.0101d4f179a58p-18, -0x1.0a9ef042ce76ap-18, -0x1.14188c64e6cabp-18, -0x1.1d6e9324cb8e1p-18, -0x1.26a0ef7d95465p-18, -0x1.2faf8da7b1ea8p-18, -0x1.389a5b27397bap-18, -0x1.416146e120886p-18, -0x1.4a044124b3f0bp-18, -0x1.52833bb3f0af1p-18, -0x1.5ade29d79d55fp-18, -0x1.63150064cb81dp-18, -0x1.6b27b5c826423p-18, -0x1.7316420e2873bp-18, -0x1.7ae09ee7e89cap-18, -0x1.8286c7bcc469bp-18, -0x1.8a08b9a42d1b8p-18, -0x1.91667371bed4dp-18, -0x1.989ff5b82d6dp-18, -0x1.9fb542ced1b3dp-18, -0x1.a6a65ed7558c1p-18, -0x1.ad734fb564c7dp-18, -0x1.b41c1d1e6728bp-18, -0x1.baa0d092f9372p-18, -0x1.c1017561d42ebp-18, -0x1.c73e18ac41f13p-18, -0x1.cd56c95a91836p-18, -0x1.d34b9823c55bap-18, -0x1.d91c97916431cp-18, -0x1.dec9dbee358fap-18, -0x1.e4537b545f5c7p-18, -0x1.e9b98da0835a3p-18, -0x1.eefc2c72fba06p-18, -0x1.f41b732a1ae73p-18, -0x1.f9177ee0fa243p-18, -0x1.fdf06e6a009afp-18, -0x1.015331245d555p-17, -0x1.039cbe5857e33p-17, -0x1.05d4f0bf22b59p-17, -0x1.07fbdb1982f91p-17, -0x1.0a1190f6594e2p-17, -0x1.0c1626b1e8741p-17, -0x1.0e09b170f25dap-17, -0x1.0fec471ded177p-17, -0x1.11bdfe67e6026p-17, -0x1.137eeebbafba4p-17, -0x1.152f30436f14dp-17, -0x1.16cedbe263907p-17, -0x1.185e0b301dc5fp-17, -0x1.19dcd8766b56p-17, -0x1.1b4b5eab4dfeep-17, -0x1.1ca9b9702c846p-17, -0x1.1df8050c42f92p-17, -0x1.1f365e69d14dep-17, -0x1.2064e3118e009p-17, -0x1.2183b1267653cp-17, -0x1.2292e762c5865p-17, -0x1.2392a510b40cp-17, }}, 
      {{-0x1.582d65f5de0ep-7, -0x1.574adf663dd1cp-6, -0x1.006a3b0f5a543p-5, -0x1.540ba46b7c1fdp-5, -0x1.a654ce5c58bdp-5, -0x1.f72939d91aa5cp-5, -0x1.2340add2ce1cfp-4, -0x1.4a32faeb9a05p-4, -0x1.70759791b2b23p-4, -0x1.9616050dab922p-4, -0x1.bb2349e90975dp-4, -0x1.dfac74edb8b6p-4, -0x1.01dfc4ea5d257p-3, -0x1.13b465e7d5781p-3, -0x1.25592afb318ccp-3, -0x1.36d1f8808f0efp-3, -0x1.48218b7b6203fp-3, -0x1.59498bc41913cp-3, -0x1.6a4aa90ca72b8p-3, -0x1.7b24be5368901p-3, -0x1.8bd6f85571284p-3, -0x1.9c5ffc67768d7p-3, -0x1.acbe0dd030908p-3, -0x1.bcef305332c3bp-3, -0x1.ccf14713189a6p-3, -0x1.dcc22f519173ep-3, -0x1.ec5fd6de5a772p-3, -0x1.fbc84e3ea73e8p-3, -0x1.057ceb5ff1405p-2, -0x1.0cf976629429p-2, -0x1.14592758837eep-2, -0x1.1b9b806b649bap-2, -0x1.22c02770e01abp-2, -0x1.29c6e58f99eb8p-2, -0x1.30afa6091904bp-2, -0x1.377a74585174fp-2, -0x1.3e2779cfd586ep-2, -0x1.44b6fadd940f2p-2, -0x1.4b295414f1f66p-2, -0x1.517ef71af3ba3p-2, -0x1.57b8678b70d76p-2, -0x1.5dd637e9e3d7fp-2, -0x1.63d906ac746fbp-2, -0x1.69c17b6c5ee91p-2, -0x1.6f904443d7d62p-2, -0x1.7546135ee68f9p-2, -0x1.7ae39cc2a37a7p-2, -0x1.8069944c67aap-2, -0x1.85d8abe915e25p-2, -0x1.8b3192038cdb5p-2, -0x1.9074f02866e3fp-2, -0x1.95a369dc8e06p-2, -0x1.9abd9ba3b81dbp-2, -0x1.9fc41a3390f0ep-2, -0x1.a4b771d02d38dp-2, -0x1.a99825ce480d4p-2, -0x1.ae66b037e1af5p-2, -0x1.b323818fd2495p-2, -0x1.b7cf00b1139d2p-2, -0x1.bc698ac69b761p-2, -0x1.c0f37358e15dp-2, -0x1.c56d046e42abfp-2, -0x1.c9d67ebbba891p-2, -0x1.ce3019e3910d7p-2, -0x1.d27a04bfd229fp-2, -0x1.d6b465b697c9cp-2, -0x1.dadf5b16510c9p-2, -0x1.defafb7871184p-2, -0x1.e307562908328p-2, -0x1.e7047391f9c32p-2, -0x1.eaf255a8aa566p-2, -0x1.eed0f85d14805p-2, -0x1.f2a0520964c5fp-2, -0x1.f66053e14d64bp-2, -0x1.fa10ea605a942p-2, -0x1.fdb1fdb6bbd5p-2, -0x1.00a1b919f77cap-1, -0x1.0262945774bfap-1, -0x1.041b7f75ad8c3p-1, -0x1.05cc67fde064ep-1, -0x1.07753a5002764p-1, -0x1.0915e1d03fd09p-1, -0x1.0aae491297687p-1, -0x1.0c3e5a0483082p-1, -0x1.0dc5fe14a5eb1p-1, -0x1.0f451e587a89bp-1, -0x1.10bba3affc812p-1, -0x1.122976e75334bp-1, -0x1.138e80d6803e2p-1, -0x1.14eaaa7f1568cp-1, -0x1.163ddd28012c3p-1, -0x1.1788027774f2cp-1, -0x1.18c9048af5719p-1, -0x1.1a00ce0da19aap-1, -0x1.1b2f4a4cbcb2dp-1, -0x1.1c54654a8a465p-1, -0x1.1d700bcf8ee5bp-1, -0x1.1e822b7a3f1fdp-1, -0x1.1f8ab2cd33cffp-1, -0x1.2089913beef6fp-1, -0x1.217eb73643981p-1, -0x1.226a163272316p-1, -0x1.234ba0b605af9p-1, -0x1.24234a5d874b5p-1, -0x1.24f107e312fc8p-1, -0x1.25b4cf23df6e4p-1, -0x1.266e9724c947p-1, -0x1.271e5815ecfd7p-1, -0x1.27c40b556108fp-1, -0x1.285fab711bdd8p-1, -0x1.28f1342815c09p-1, -0x1.2978a26ab0ccbp-1, -0x1.29f5f45a748d9p-1, -0x1.2a692949294d8p-1, -0x1.2ad241b75f9c3p-1, -0x1.2b313f526b895p-1, -0x1.2b8624f1e2f85p-1, -0x1.2bd0f694a41a2p-1, -0x1.2c11b95d71796p-1, -0x1.2c48738f29bf4p-1, -0x1.2c752c88a5177p-1, -0x1.2c97ecc040fe8p-1, -0x1.2cb0bdbf1fc24p-1, -0x1.2cbfaa1c25986p-1, -0x1.2cc4bd76b77a2p-1, -0x1.2cc0047145717p-1, -0x1.2cb18caba1e14p-1, -0x1.2c9964bd31393p-1, -0x1.2c779c2ef0c2p-1, -0x1.2c4c4375602b2p-1, -0x1.2c176bea4bde1p-1, -0x1.2bd927c683872p-1, -0x1.2b918a1b79f85p-1, -0x1.2b40a6ccd6c09p-1, -0x1.2ae69289fcc43p-1, -0x1.2a8362c7852e1p-1, -0x1.2a172db8b74c7p-1, -0x1.29a20a48fbcfap-1, -0x1.2924101550793p-1, -0x1.289d5765bd8d7p-1, -0x1.280df926cf3abp-1, -0x1.27760ee31679fp-1, -0x1.26d5b2bcb088ap-1, -0x1.262cff66d999cp-1, -0x1.257c101f8c47ap-1, -0x1.24c300a929d19p-1, -0x1.2401ed4436cd4p-1, -0x1.2338f2a922d6bp-1, -0x1.22682e0222807p-1, -0x1.218fbce51c9e1p-1, -0x1.20afbd4da79c2p-1, -0x1.1fc84d971d0ep-1, -0x1.1ed98c76bfec5p-1, -0x1.1de398f5f8d18p-1, -0x1.1ce6926ca6e1dp-1, -0x1.1be2987b88731p-1, -0x1.1ad7cb06b979dp-1, -0x1.19c64a30490d6p-1, -0x1.18ae3652e6739p-1, -0x1.178faffca7056p-1, -0x1.166ad7e9e3636p-1, -0x1.153fcf002ca23p-1, -0x1.140eb6495b698p-1, -0x1.12d7aeeeb743dp-1, -0x1.119ada3435adcp-1, -0x1.10585973d5135p-1, -0x1.0f104e190d91dp-1, -0x1.0dc2d99c5cfebp-1, -0x1.0c701d7eebffep-1, -0x1.0b183b464b54cp-1, -0x1.09bb54784bba6p-1, -0x1.08598a96ed1f7p-1, -0x1.06f2ff1c691cdp-1, -0x1.0587d377544c3p-1, -0x1.04182906da739p-1, -0x1.02a4211712376p-1, -0x1.012bdcdd69df2p-1, -0x1.ff5efaea5974fp-2, -0x1.fc5e47b844117p-2, -0x1.f955e1de82da6p-2, -0x1.f6460acf03feep-2, -0x1.f32f03ad83176p-2, -0x1.f0110d49816edp-2, -0x1.ecec681873129p-2, -0x1.e9c15430199ffp-2, -0x1.e690114109ba3p-2, -0x1.e358de9163f6cp-2, -0x1.e01bfaf7b5cddp-2, -0x1.dcd9a4d60bce1p-2, -0x1.d9921a152e793p-2, -0x1.d645982009c97p-2, -0x1.d2f45bdf42e58p-2, -0x1.cf9ea1b4f87d7p-2, -0x1.cc44a578aa4c3p-2, -0x1.c8e6a2734ec6fp-2, -0x1.c584d35b9142cp-2, -0x1.c21f7252365dap-2, -0x1.beb6b8deacd33p-2, -0x1.bb4adfebc1f11p-2, -0x1.b7dc1fc480b44p-2, -0x1.b46ab01136bap-2, -0x1.b0f6c7d49ccf7p-2, -0x1.ad809d6929bacp-2, -0x1.aa08667e851ebp-2, -0x1.a68e581721f3fp-2, -0x1.a312a685fb4fdp-2, -0x1.9f95856c753bbp-2, -0x1.9c1727b85e88ap-2, -0x1.9897bfa218052p-2, -0x1.95177eaad7d8cp-2, -0x1.9196959b12b22p-2, -0x1.8e15348102dd9p-2, -0x1.8a938aaf4db41p-2, -0x1.8711c6bbca774p-2, -0x1.8390167e6553p-2, -0x1.800ea710235b7p-2, -0x1.7c8da4ca3e4acp-2, -0x1.790d3b45621c6p-2, -0x1.758d955902d8ap-2, -0x1.720edd1ad129dp-2, -0x1.6e913bde44ee8p-2, -0x1.6b14da3445b44p-2, -0x1.6799dfeaec43ep-2, -0x1.6420740d59ba8p-2, -0x1.60a8bce3aba9ap-2, -0x1.5d32dff304723p-2, -0x1.59bf01fdac414p-2, -0x1.564d47034646ep-2, -0x1.52ddd2411fe0cp-2, -0x1.4f70c632907a7p-2, -0x1.4c064491720f6p-2, -0x1.489e6e56aa629p-2, -0x1.453963baca34bp-2, -0x1.41d74436bf626p-2, -0x1.3e782e8496688p-2, -0x1.3b1c40a051e4ap-2, -0x1.37c397c8d10acp-2, -0x1.346e5080c65fep-2, -0x1.311c868fc00cbp-2, -0x1.2dce550340058p-2, -0x1.2a83d62fe0f31p-2, -0x1.273d23b28cb33p-2, -0x1.23fa5671be488p-2, -0x1.20bb869ed32f2p-2, -0x1.1d80cbb769724p-2, -0x1.1a4a3c86c9a18p-2, -0x1.1717ef275bc5ap-2, -0x1.13e9f9042bb91p-2, -0x1.10c06eda72c87p-2, -0x1.0d9b64bb3279p-2, -0x1.0a7aee0cd345ap-2, -0x1.075f1d8cd1de4p-2, -0x1.04480551713e4p-2, -0x1.0135b6cb7a652p-2, -0x1.fc50858ffd658p-3, -0x1.f63f72e44fcbp-3, -0x1.f03854aa1497ep-3, -0x1.ea3b48bb05abfp-3, -0x1.e4486bb82eb27p-3, -0x1.de5fd90dbe60dp-3, -0x1.d881aaf6e4066p-3, -0x1.d2adfa81b7a9cp-3, -0x1.cce4df93276ddp-3, -0x1.c72670eaf68ddp-3, -0x1.c172c427bd3afp-3, -0x1.bbc9edcaf4ca6p-3, -0x1.b62c013d08493p-3, -0x1.b09910d16f9e6p-3, -0x1.ab112dcacaadp-3, -0x1.a594685f0460ep-3, -0x1.a022cfbb7e871p-3, -0x1.9abc720939406p-3, -0x1.95615c71017d8p-3, -0x1.90119b1fa4c25p-3, -0x1.8acd394a2244fp-3, -0x1.85944131e2362p-3, -0x1.8066bc28e7c1bp-3, -0x1.7b44b2960a18fp-3, -0x1.762e2bf927543p-3, -0x1.71232eef5d7d9p-3, -0x1.6c23c1373acedp-3, -0x1.672fe7b4f093bp-3, -0x1.6247a67684495p-3, -0x1.5d6b00b7fd39p-3, -0x1.5899f8e78ccc2p-3, -0x1.53d490a9b7c12p-3, -0x1.4f1ac8dd7856dp-3, -0x1.4a6ca1a05c123p-3, -0x1.45ca1a529ee09p-3, -0x1.4133319b3f3p-3, -0x1.3ca7e56c1126ep-3, -0x1.38283305c043ap-3, -0x1.33b416fbdd4d7p-3, -0x1.2f4b8d38d2c2p-3, -0x1.2aee9101e12eap-3, -0x1.269d1cfb0ad25p-3, -0x1.22572b2aff407p-3, -0x1.1e1cb4fef9d11p-3, -0x1.19edb34e98273p-3, -0x1.15ca1e5fafd5ap-3, -0x1.11b1edea126c2p-3, -0x1.0da5191b4e001p-3, -0x1.09a3969a64e8fp-3, -0x1.05ad5c8b7aef6p-3, -0x1.01c2609377edp-3, -0x1.fbc52fb74dd17p-4, -0x1.f41bee2a83affp-4, -0x1.ec88e4f9fc83dp-4, -0x1.e50bfbbd10954p-4, -0x1.dda5192fed6a5p-4, -0x1.d654233a6a705p-4, -0x1.cf18fef6c342cp-4, -0x1.c7f390b845a0dp-4, -0x1.c0e3bc11dfb8cp-4, -0x1.b9e963dca3e59p-4, -0x1.b3046a3e2cc12p-4, -0x1.ac34b0aef4e71p-4, -0x1.a57a18008d49ap-4, -0x1.9ed48063cc7e2p-4, -0x1.9843c96edb607p-4, -0x1.91c7d2232cc7bp-4, -0x1.8b6078f3650bbp-4, -0x1.850d9bc928bc1p-4, -0x1.7ecf180acf319p-4, -0x1.78a4caa106dfbp-4, -0x1.728e8ffc5b372p-4, -0x1.6c8c441aaa2b8p-4, -0x1.669dc28c7f55ep-4, -0x1.60c2e67a5784ep-4, -0x1.5afb8aa9d2b46p-4, -0x1.55478982c6887p-4, -0x1.4fa6bd14441d4p-4, -0x1.4a18ff1980a38p-4, -0x1.449e28fea6696p-4, -0x1.3f3613e594a69p-4, -0x1.39e098aa86a6cp-4, -0x1.349d8fe89f831p-4, -0x1.2f6cd1fe6632bp-4, -0x1.2a4e37122927dp-4, -0x1.254197164b3b2p-4, -0x1.2046c9cd787cfp-4, -0x1.1b5da6ceca5p-4, -0x1.16860589cf04fp-4, -0x1.11bfbd4a819fcp-4, -0x1.0d0aa53d27ee9p-4, -0x1.086694721f62bp-4, -0x1.03d361e18dc3dp-4, -0x1.fea1c8de0b26p-5, -0x1.f5bde5da1ce9p-5, -0x1.ecfac8413425dp-5, -0x1.e4581d88d3685p-5, -0x1.dbd59318ae43p-5, -0x1.d372d6511e454p-5, -0x1.cb2f949169803p-5, -0x1.c30b7b3de960bp-5, -0x1.bb0637c601b01p-5, -0x1.b31f77a9f1ee8p-5, -0x1.ab56e8808216ap-5, -0x1.a3ac37fc8ce5ap-5, -0x1.9c1f13f25cc02p-5, -0x1.94af2a5ce6dp-5, -0x1.8d5c2962e5c42p-5, -0x1.8625bf5bc569fp-5, -0x1.7f0b9ad4765a2p-5, -0x1.780d6a9414f6ap-5, -0x1.712adda070096p-5, -0x1.6a63a3427289bp-5, -0x1.63b76b0a610c7p-5, -0x1.5d25e4d3fb681p-5, -0x1.56aec0ca7dfaep-5, -0x1.5051af6c81298p-5, -0x1.4a0e618fb554dp-5, -0x1.43e488647e709p-5, -0x1.3dd3d5797f6b7p-5, -0x1.37dbfabeea204p-5, -0x1.31fcaa89ceed9p-5, -0x1.2c35979739fccp-5, -0x1.2686750f3ab8ap-5, -0x1.20eef687ce103p-5, -0x1.1b6ed007abdf6p-5, -0x1.1605b608f7d83p-5, -0x1.10b35d7bd4dd5p-5, -0x1.0b777bc8e3f53p-5, -0x1.0651c6d39f591p-5, -0x1.0141f4fca4a14p-5, -0x1.f88f7a47b8378p-6, -0x1.eec5ad551d16ep-6, -0x1.e525f2eac053fp-6, -0x1.dbafbbdc5f075p-6, -0x1.d2627a0bc8fc5p-6, -0x1.c93da06c3643ep-6, -0x1.c040a30590d0ap-6, -0x1.b76af6f772c78p-6, -0x1.aebc127c0ce41p-6, -0x1.a6336cead3283p-6, -0x1.9dd07ebb1307cp-6, -0x1.9592c186476eap-6, -0x1.8d79b00a54d99p-6, -0x1.8584c62ba2406p-6, -0x1.7db380f6f2aa6p-6, -0x1.76055ea341943p-6, -0x1.6e79de9348c7ap-6, -0x1.6710815709038p-6, -0x1.5fc8c8ad2a887p-6, -0x1.58a2378424a4dp-6, -0x1.519c51fb53a9ep-6, -0x1.4ab69d63f2baep-6, -0x1.43f0a041ef9c3p-6, -0x1.3d49e24c9a9fap-6, -0x1.36c1ec6f3ea36p-6, -0x1.305848c999668p-6, -0x1.2a0c82b03703ep-6, -0x1.23de26acb3637p-6, -0x1.1dccc27dda98fp-6, -0x1.17d7e517b6427p-6, -0x1.11ff1ea37ec1ap-6, -0x1.0c42007f69f98p-6, -0x1.06a01d3e6f7ep-6, -0x1.011908a7efea6p-6, -0x1.f758af6e80214p-7, -0x1.ecb3413647f5dp-7, -0x1.e240f56a63fddp-7, -0x1.d800fd32470cdp-7, -0x1.cdf28c180dc19p-7, -0x1.c414d806ddf11p-7, -0x1.ba671948f5d8ep-7, -0x1.b0e88a85d1d63p-7, -0x1.a79868bfd4daep-7, -0x1.9e75f3523470cp-7, -0x1.95806bee6d1c7p-7, -0x1.8cb71699d44dbp-7, -0x1.841939aadb808p-7, -0x1.7ba61dc65e9f8p-7, -0x1.735d0ddcb8b34p-7, -0x1.6b3d5726c0a49p-7, -0x1.63464922c32dep-7, -0x1.5b77359135067p-7, -0x1.53cf70718b0cbp-7, -0x1.4c4e4ffeabb45p-7, -0x1.44f32caba6f61p-7, -0x1.3dbd6120000d7p-7, -0x1.36ac4a341824fp-7, -0x1.2fbf46ed7b2c7p-7, -0x1.28f5b87b06673p-7, -0x1.224f023122f6cp-7, -0x1.1bca8985ba96ap-7, -0x1.1567b60c43fdcp-7, -0x1.0f25f171ccb6bp-7, -0x1.0904a778b1e79p-7, -0x1.030345f48e29p-7, -0x1.fa42798c06f2bp-8, -0x1.eebbfbacd334ep-8, -0x1.e371fa2714bccp-8, -0x1.d86360d67b2afp-8, -0x1.cd8f1f8e05774p-8, -0x1.c2f42a0f3864dp-8, -0x1.b891780115588p-8, -0x1.ae6604e72e75dp-8, -0x1.a470d0188faa7p-8, -0x1.9ab0dcb69b58p-8, -0x1.912531a3ec561p-8, -0x1.87ccd97b1f78p-8, -0x1.7ea6e2858d96bp-8, -0x1.75b25eb20282cp-8, -0x1.6cee638b704cfp-8, -0x1.645a0a2fa638p-8, -0x1.5bf46f45daa0fp-8, -0x1.53bcb2f558a6ep-8, -0x1.4bb1f8dc147d7p-8, -0x1.43d368055012ep-8, -0x1.3c202ae01deebp-8, -0x1.34976f35fcd5dp-8, -0x1.2d386621736edp-8, -0x1.26024404a0a37p-8, -0x1.1ef4407fc7c95p-8, -0x1.180d96680d7d3p-8, -0x1.114d83bdd3199p-8, -0x1.0ab349a3a0e2dp-8, -0x1.043e2c549f0c2p-8, -0x1.fbdae6367d2ccp-9, -0x1.ef80d0900099bp-9, -0x1.e36cb2502673ep-9, -0x1.d79d2bf862a1p-9, -0x1.cc10e3de87935p-9, -0x1.c0c6861a8c8ecp-9, -0x1.b5bcc4742ec6ep-9, -0x1.aaf25650dccbdp-9, -0x1.a065f8a13e527p-9, -0x1.96166dcf6840bp-9, -0x1.8c027dacbcd7bp-9, -0x1.8228f56009cb7p-9, -0x1.7888a753cf723p-9, -0x1.6f206b247e626p-9, -0x1.65ef1d8ed7f78p-9, -0x1.5cf3a05e85721p-9, -0x1.542cda5c93821p-9, -0x1.4b99b73e2e8ebp-9, -0x1.43392793bbe0fp-9, -0x1.3b0a20b76fa36p-9, -0x1.330b9cbca63a2p-9, -0x1.2b3c9a5ecd035p-9, -0x1.239c1cf11e335p-9, -0x1.1c292c4d90e7p-9, -0x1.14e2d4c4ea90ep-9, -0x1.0dc8270e040d3p-9, -0x1.06d83835d8ce8p-9, -0x1.0012218f81c6ep-9, -0x1.f2ea01486401dp-10, -0x1.e5ffee46f56f2p-10, -0x1.d96455a76ecc6p-10, -0x1.cd158b04eceffp-10, -0x1.c111e9ea74b22p-10, -0x1.b557d5b45e8bep-10, -0x1.a9e5b972398d2p-10, -0x1.9eba07c9224b4p-10, -0x1.93d33ad5ce5fep-10, -0x1.892fd40fa2be6p-10, -0x1.7ece5c2b9be02p-10, -0x1.74ad62ff6bfb8p-10, -0x1.6acb7f655d22ep-10, -0x1.61274f20089b9p-10, -0x1.57bf76be99d05p-10, -0x1.4e92a18139ccep-10, -0x1.459f813ddeedfp-10, -0x1.3ce4ce45505b4p-10, -0x1.34614748bbe04p-10, -0x1.2c13b13eeaf04p-10, -0x1.23fad74aea175p-10, -0x1.1c158aa1a232ep-10, -0x1.1462a270c37p-10, -0x1.0ce0fbc5683aep-10, -0x1.058f79736fed7p-10, -0x1.fcda07fa2272bp-11, -0x1.eef112f3f748fp-11, -0x1.e161fb001e0abp-11, -0x1.d42ab216524c3p-11, -0x1.c74934cc83977p-11, -0x1.babb8a2797e86p-11, -0x1.ae7fc36ee8aa8p-11, -0x1.a293fbfe20ef3p-11, -0x1.96f65919aa763p-11, -0x1.8ba509c266917p-11, -0x1.809e468a9eaf7p-11, -0x1.75e0516a97381p-11, -0x1.6b697597a83b2p-11, -0x1.613807593d108p-11, -0x1.574a63e0d9eap-11, -0x1.4d9ef12137359p-11, -0x1.44341da5f97fp-11, -0x1.3b08606d011f1p-11, -0x1.321a38bef722bp-11, -0x1.29682e0946c33p-11, -0x1.20f0cfb853377p-11, -0x1.18b2b51278686p-11, -0x1.10ac7d1276cd7p-11, -0x1.08dcce44dc389p-11, -0x1.014256a2680a8p-11, -0x1.f3b796dd7169ep-12, -0x1.e54fd228a66eep-12, -0x1.d74ae60703706p-12, -0x1.c9a667203807bp-12, -0x1.bc5ff7a120f69p-12, -0x1.af7546facc4eep-12, -0x1.a2e411a247cfep-12, -0x1.96aa20d0f5055p-12, -0x1.8ac54a46fb2f6p-12, -0x1.7f33700cf9c2dp-12, -0x1.73f28038dba73p-12, -0x1.690074b0db08fp-12, -0x1.5e5b52f2e9452p-12, -0x1.54012bd937d8p-12, -0x1.49f01b62ce065p-12, -0x1.4026487b6d88cp-12, -0x1.36a1e4c46982ap-12, -0x1.2d612c5ef49ebp-12, -0x1.246265b70be61p-12, -0x1.1ba3e14ebc1c4p-12, -0x1.1323f98b7d3c7p-12, -0x1.0ae11282d803ep-12, -0x1.02d999c932476p-12, -0x1.f6180c81896e2p-13, -0x1.e6edafd265879p-13, -0x1.d8312f621f521p-13, -0x1.c9dfae8cae1a1p-13, -0x1.bbf661d37f526p-13, -0x1.ae728e819360ap-13, -0x1.a1518a54ab735p-13, -0x1.9490bb26e621p-13, -0x1.882d96970876p-13, -0x1.7c25a1b770f87p-13, -0x1.707670b9f2f09p-13, -0x1.651da6a0067a6p-13, -0x1.5a18f4e9ec2dap-13, -0x1.4f661b4a4a7c2p-13, -0x1.4502e7583ebfep-13, -0x1.3aed34442ea59p-13, -0x1.3122ea8e80e15p-13, -0x1.27a1ffbdc05e7p-13, -0x1.1e68761851aa7p-13, -0x1.15745c5e31619p-13, -0x1.0cc3cd83a5cd1p-13, -0x1.0454f06dca498p-13, -0x1.f84bef637704ap-14, -0x1.e86a42a14d173p-14, -0x1.d9016cf5cf73p-14, -0x1.ca0e169e88bf2p-14, -0x1.bb8cfd3ceb7ccp-14, -0x1.ad7af35db559dp-14, -0x1.9fd4e0016d284p-14, -0x1.9297be27bc381p-14, -0x1.85c09c5fd40bcp-14, -0x1.794c9c5663ab5p-14, -0x1.6d38f268f5bc1p-14, -0x1.6182e53972436p-14, -0x1.5627cd461aaaep-14, -0x1.4b2514811fce9p-14, -0x1.407835ea299a1p-14, -0x1.361ebd2e45f49p-14, -0x1.2c1646417931dp-14, -0x1.225c7d03946acp-14, -0x1.18ef1ce08f3d2p-14, -0x1.0fcbf07399ccep-14, -0x1.06f0d13041f45p-14, -0x1.fcb74e0c8dda5p-15, -0x1.ec14d01db6e32p-15, -0x1.dbf630696b5d4p-15, -0x1.cc5791c721317p-15, -0x1.bd35316a8dea8p-15, -0x1.ae8b6645bec27p-15, -0x1.a056a06c6b37p-15, -0x1.9293687bd1e8ep-15, -0x1.853e5f034493cp-15, -0x1.78543bf331507p-15, -0x1.6bd1ce0da39f1p-15, -0x1.5fb3fa5612607p-15, -0x1.53f7bb8ed3e2ap-15, -0x1.489a21aa9445cp-15, -0x1.3d98514cd8cccp-15, -0x1.32ef8347364d5p-15, -0x1.289d041cca8c7p-15, -0x1.1e9e338260712p-15, -0x1.14f083ea9d097p-15, -0x1.0b917a0afda72p-15, -0x1.027eac69cb939p-15, -0x1.f36b85dacccd4p-16, -0x1.e268ecd606958p-16, -0x1.d1f12078c814bp-16, -0x1.c1ffd3a53af23p-16, -0x1.b290d8a3f069bp-16, -0x1.a3a02053db20ep-16, -0x1.9529b96229292p-16, -0x1.8729cf8af273dp-16, -0x1.799caad9dd2f7p-16, -0x1.6c7eaef200301p-16, -0x1.5fcc5a5346311p-16, -0x1.538245aeb718bp-16, -0x1.479d23356f585p-16, -0x1.3c19bded5a51ep-16, -0x1.30f4f9103f16fp-16, -0x1.262bcf6564ee3p-16, -0x1.1bbb52a3a0ed3p-16, -0x1.11a0aada709dap-16, -0x1.07d915d38753fp-16, -0x1.fcc3cd0bf1c73p-17, -0x1.ea71090473799p-17, -0x1.d8b4d6cc64bf8p-17, -0x1.c78a54a397bc5p-17, -0x1.b6ecc6c9a395bp-17, -0x1.a6d7966c4de93p-17, -0x1.974650ada782p-17, -0x1.8834a5a83abd8p-17, -0x1.799e677aa8427p-17, -0x1.6b7f89581b1bfp-17, -0x1.5dd41ea0bcb48p-17, -0x1.509859fc0feddp-17, -0x1.43c88c7df77d2p-17, -0x1.376124cb86872p-17, -0x1.2b5eae47b11d6p-17, -0x1.1fbdd04a0da83p-17, -0x1.147b4d4cb0938p-17, -0x1.09940230294afp-17, -0x1.fe09caf132bd2p-18, -0x1.e9960d20a9c38p-18, -0x1.d5c71a3666754p-18, -0x1.c297706c2b6fep-18, -0x1.b001bbb55285p-18, -0x1.9e00d44ea4db3p-18, -0x1.8c8fbd8bb91d3p-18, -0x1.7ba9a48bb09fep-18, -0x1.6b49defde3dacp-18, -0x1.5b6be9fb33decp-18, -0x1.4c0b68d2fa218p-18, -0x1.3d2423f0b1d2ap-18, -0x1.2eb207bcd272dp-18, -0x1.20b1238d74d8cp-18, -0x1.131da89c2ddb3p-18, -0x1.05f3e8f99b8bep-18, -0x1.f260ad336b93p-19, -0x1.d99f04a78b987p-19, -0x1.c19c35f2101e9p-19, -0x1.aa51d8c88901p-19, -0x1.93b9bd376978fp-19, -0x1.7dcde9cc9c39p-19, -0x1.68889a14ab812p-19, -0x1.53e43cbef0a84p-19, -0x1.3fdb7230a2d87p-19, -0x1.2c690aded6dabp-19, -0x1.198805d1f1ccap-19, -0x1.07338f29c70b8p-19, -0x1.eacdfd65964e7p-20, -0x1.c83bacfbf52c4p-20, -0x1.a6a7830f47efdp-20, -0x1.860924bf815b8p-20, -0x1.665883d9ffef7p-20, -0x1.478ddc5277d7ep-20, -0x1.29a1b1c485ed7p-20, -0x1.0c8ccd335693fp-20, -0x1.e09075797d6dep-21, -0x1.a99a8e8cdfe44p-21, -0x1.742afcf570ddap-21, -0x1.4035511c2e029p-21, -0x1.0dad90a6e0b97p-21, -0x1.b910644926295p-22, -0x1.5974339902f46p-22, -0x1.f8e254a71aecp-23, -0x1.43e55f5345e17p-23, -0x1.2793bea3481dep-24, 0x1.7965717d5a12ep-27, 0x1.7cc001bbc6496p-24, 0x1.60b678e93dc83p-23, 0x1.febbc48fd5cd7p-23, 0x1.4c484fef2b2dcp-22, 0x1.972a445e19fafp-22, 0x1.e012e59b4cf18p-22, 0x1.138862f0d204dp-21, 0x1.3618f4a6a962fp-21, 0x1.57c1e54abcb28p-21, 0x1.7889b045ab5ddp-21, 0x1.9876915bf591ep-21, 0x1.b78e87119a979p-21, 0x1.d5d754ed70303p-21, 0x1.f35685acef71cp-21, 0x1.0808b6c2b0adp-20, 0x1.16069607fee23p-20, 0x1.23a7572990517p-20, 0x1.30ed5869181c2p-20, 0x1.3ddae0a7b59a6p-20, 0x1.4a72205329ffep-20, 0x1.56b5324972b4dp-20, 0x1.62a61cae3e5adp-20, 0x1.6e46d1c2057c7p-20, 0x1.799930a6875cep-20, 0x1.849f0635ca70fp-20, 0x1.8f5a0da913c8bp-20, 0x1.99cbf15f9e916p-20, 0x1.a3f64b8707e3ep-20, 0x1.addaa6ce5a508p-20, 0x1.b77a7f084ab7ap-20, 0x1.c0d741ce46f61p-20, 0x1.c9f24f0e7334fp-20, 0x1.d2ccf9b46e7ddp-20, 0x1.db6888288cc3p-20, 0x1.e3c634dfc3f0cp-20, 0x1.ebe72ee7bbc89p-20, 0x1.f3cc9a5449671p-20, 0x1.fb7790d0de8f6p-20, 0x1.0174910866456p-19, 0x1.05112a207f714p-19, 0x1.08921238b37b6p-19, 0x1.0bf7c384b4152p-19, 0x1.0f42b41502c98p-19, 0x1.1273560622742p-19, 0x1.158a17b44bf22p-19, 0x1.188763e814c64p-19, 0x1.1b6ba1ffb1965p-19, 0x1.1e37361c07742p-19, 0x1.20ea8146b5711p-19, 0x1.2385e19c6e1d1p-19, 0x1.2609b26d62415p-19, 0x1.28764c66a3a63p-19, 0x1.2acc05ae3a1d9p-19, 0x1.2d0b320c489a8p-19, 0x1.2f3423035e641p-19, 0x1.314727f1dad81p-19, 0x1.33448e2e86782p-19, 0x1.352ca1226caedp-19, 0x1.36ffaa6708f6p-19, 0x1.38bdf1dcc487cp-19, 0x1.3a67bdc6ac4b2p-19, 0x1.3bfd52db079d8p-19, 0x1.3d7ef45fd6dbap-19, 0x1.3eece43d4370ep-19, 0x1.4047631272f34p-19, 0x1.418eb047ba182p-19, 0x1.42c30a20d4458p-19, 0x1.43e4add06f3fdp-19, 0x1.44f3d786cfe37p-19, 0x1.45f0c28010d59p-19, 0x1.46dba9175692cp-19, 0x1.47b4c4d1df95bp-19, 0x1.487c4e6bc8dfep-19, 0x1.49327de860bcbp-19, 0x1.49d78a9aa52acp-19, 0x1.4a6bab307cf04p-19, 0x1.4aef15c215f36p-19, 0x1.4b61ffd6001d8p-19, 0x1.4bc49e6fef7acp-19, 0x1.4c1726164dd0cp-19, 0x1.4c59cadc93748p-19, 0x1.4c8cc06a629a3p-19, 0x1.4cb03a02f10a4p-19, 0x1.4cc46a8b64a21p-19, 0x1.4cc9849493fabp-19, 0x1.4cbfba5cce63dp-19, 0x1.4ca73dd83286p-19, 0x1.4c8040b4d43a2p-19, 0x1.4c4af460906aap-19, 0x1.4c078a0baaec7p-19, 0x1.4bb632b06d3d5p-19, 0x1.4b571f150b518p-19, 0x1.4aea7fccb0c8cp-19, 0x1.4a70853d7d29dp-19, 0x1.49e95fa44162fp-19, 0x1.49553f14e00ebp-19, 0x1.48b4537d2fe5fp-19, 0x1.4806cca848d7bp-19, 0x1.474cda3f684ffp-19, 0x1.4686abcaaad6ep-19, 0x1.45b470b36c3b1p-19, 0x1.44d6584664ddbp-19, 0x1.43ec91b398faap-19, 0x1.42f74c0e36123p-19, 0x1.41f6b64e3e117p-19, 0x1.40eaff5250743p-19, 0x1.3fd455de828bap-19, 0x1.3eb2e89a95353p-19, 0x1.3d86e61554f7ap-19, 0x1.3c507cc2e9172p-19, 0x1.3b0fdafc9df9p-19, 0x1.39c52f018f31dp-19, 0x1.3870a6f434e8bp-19, 0x1.371270dacfa38p-19, 0x1.35aaba9fbe2b7p-19, 0x1.3439b20e893cp-19, 0x1.32bf84d4bf24bp-19, 0x1.313c608096731p-19, 0x1.2fb0727fcb69bp-19, 0x1.2e1be81edee2ap-19, 0x1.2c7eee8718b84p-19, 0x1.2ad9b2bda5cc3p-19, 0x1.292c61a373227p-19, 0x1.277727f2f456ap-19, 0x1.25ba323f27b1ep-19, 0x1.23f5acf0b3b8dp-19, 0x1.2229c4469a72ep-19, 0x1.2056a4547eb19p-19, 0x1.1e7c79010f63cp-19, 0x1.1c9b6e024d8a6p-19, 0x1.1ab3aedfb9154p-19, 0x1.18c566ef21c55p-19, 0x1.16d0c151250c7p-19, 0x1.14d5e8f45c977p-19, 0x1.12d5088ef6462p-19, 0x1.10ce4aa129aa4p-19, 0x1.0ec1d97020a69p-19, 0x1.0cafdf06b516bp-19, 0x1.0a98853442be7p-19, 0x1.087bf58aff972p-19, 0x1.065a595b4e8p-19, 0x1.0433d9b65e3edp-19, 0x1.02089f6ada19dp-19, 0x1.ffb1a608bdd51p-20, 0x1.fb493991e40b1p-20, 0x1.f6d8496f8e1d1p-20, 0x1.f25f25113ad13p-20, 0x1.edde1b545f247p-20, 0x1.e9557a80d654bp-20, 0x1.e4c5904650b67p-20, 0x1.e02ea9b970aeep-20, 0x1.db911352d648bp-20, 0x1.d6ed18eaf70e7p-20, 0x1.d24305ba735b8p-20, 0x1.cd9324549eb6ap-20, 0x1.c8ddbea3c40c2p-20, 0x1.c4231dede6031p-20, 0x1.bf638acbbe4cbp-20, 0x1.ba9f4d290ae2fp-20, 0x1.b5d6ac425356dp-20, 0x1.b109eea248a88p-20, 0x1.ac395a2483692p-20, 0x1.a76533ecc0246p-20, 0x1.a28dc06763f6bp-20, 0x1.9db3434ab4fe8p-20, 0x1.98d5ff926e30dp-20, 0x1.93f6377d68fb7p-20, 0x1.8f142c90ae68dp-20, 0x1.8a301f90fc121p-20, 0x1.854a508214e0cp-20, 0x1.8062feaa3e922p-20, 0x1.7b7a6889d1244p-20, }}, 
      {{-0x1.f843182ecea12p-1, -0x1.f7fba3ecfc6dap-1, -0x1.f773edd17b242p-1, -0x1.f69cc57af8cf3p-1, -0x1.f56b898eb76d9p-1, -0x1.f3dc3d5a50e18p-1, -0x1.f1f14f7d14db8p-1, -0x1.efb2217d899f6p-1, -0x1.ed2924b87531ap-1, -0x1.ea620f717ed18p-1, -0x1.e7686a73e1367p-1, -0x1.e4468c01603c5p-1, -0x1.e104fbd58c801p-1, -0x1.ddaa2fc9c4467p-1, -0x1.da3a8c45b487fp-1, -0x1.d6b893c28ee83p-1, -0x1.d3253314c7e1ap-1, -0x1.cf801b9b919efp-1, -0x1.cbc8201223c05p-1, -0x1.c7fb8c19db8c5p-1, -0x1.c4187173c60a4p-1, -0x1.c01ce82f52b51p-1, -0x1.bc0740d46e9c8p-1, -0x1.b7d628cf56858p-1, -0x1.b388c2381f1d1p-1, -0x1.af1eb08d03dfep-1, -0x1.aa981c319497ep-1, -0x1.a5f5ae9024605p-1, -0x1.a13888a5914e2p-1, -0x1.9c623595c21a7p-1, -0x1.97749ab25633ap-1, -0x1.9271e623b08b8p-1, -0x1.8d5c7d2b9819fp-1, -0x1.8836eac321d59p-1, -0x1.8303cf254f2d1p-1, -0x1.7dc5d0adc74fcp-1, -0x1.787f8e4f703dfp-1, -0x1.733393c95edb3p-1, -0x1.6de44fa91cd83p-1, -0x1.68940b1701ed5p-1, -0x1.6344e35ba6aeep-1, -0x1.5df8c503a71cap-1, -0x1.58b168804500fp-1, -0x1.5370501f74673p-1, -0x1.4e36c733ecc83p-1, -0x1.4905e2457ac3cp-1, -0x1.43de8022af6dep-1, -0x1.3ec14baec54dfp-1, -0x1.39aebe48f13edp-1, -0x1.34a722ad0e01ap-1, -0x1.2faa98308f7cp-1, -0x1.2ab91641b0356p-1, -0x1.25d27011d96aap-1, -0x1.20f65857376fap-1, -0x1.1c24651438f89p-1, -0x1.175c135656298p-1, -0x1.129ccadfef715p-1, -0x1.0de5e1b342fdbp-1, -0x1.09369f767a5d5p-1, -0x1.048e40aa9fb44p-1, -0x1.ffd7f361ac4dep-2, -0x1.f69df33530e8dp-2, -0x1.ed6cd985ed1e6p-2, -0x1.e442fe5f989a3p-2, -0x1.db1ebd75a6fdap-2, -0x1.d1fe7a0653a63p-2, -0x1.c8e0a25102edfp-2, -0x1.bfc3b2a35d82cp-2, -0x1.b6a638015bcb8p-2, -0x1.ad86d26d00171p-2, -0x1.a46436d308de7p-2, -0x1.9b3d30a216f38p-2, -0x1.9210a3120c7acp-2, -0x1.88dd8a217339dp-2, -0x1.7fa2fb4ebb685p-2, -0x1.766026131e797p-2, -0x1.6d145424bc8cfp-2, -0x1.63bee9857d249p-2, -0x1.5a5f6463e90bp-2, -0x1.50f55cd30f493p-2, -0x1.4780845e3539fp-2, -0x1.3e00a57cd89ep-2, -0x1.3475a2eb37e42p-2, -0x1.2adf76eb5746ep-2, -0x1.213e32722aa73p-2, -0x1.1791fc443f145p-2, -0x1.0ddb10050c5c9p-2, -0x1.0419bd3bb16ccp-2, -0x1.f49ccc9f90861p-3, -0x1.e0f2ff011989bp-3, -0x1.cd371bb111f46p-3, -0x1.b96a4c3f248cap-3, -0x1.a58dd799a8865p-3, -0x1.91a31ff4ae532p-3, -0x1.7daba0b6a636fp-3, -0x1.69a8ec6cdd3f6p-3, -0x1.559caac9bd33ep-3, -0x1.418896ae80429p-3, -0x1.2d6e7c41ae94ep-3, -0x1.19503713a2756p-3, -0x1.052fb051e1badp-3, -0x1.e21dba1469626p-4, -0x1.b9df78fbc81bep-4, -0x1.91a8ad0b3e1e7p-4, -0x1.697d740c9157p-4, -0x1.4161f6ed9ep-4, -0x1.195a66ee30ae4p-4, -0x1.e2d5f5dfe0378p-5, -0x1.932fd9d023764p-5, -0x1.43caeee4d9c2ap-5, -0x1.e95f4e156ef85p-6, -0x1.4bccd9174ee38p-6, -0x1.5dde77d7c4ddap-7, -0x1.2d71481536a5fp-10, 0x1.10d64b5089b3cp-7, 0x1.22c7284ab485ap-6, 0x1.bc2cdcb57e971p-6, 0x1.2a4632de9c6b9p-5, 0x1.75eb12a12cb2cp-5, 0x1.c0fd60a99ecd8p-5, 0x1.05baca3b59cf9p-4, 0x1.2aa626185cdfap-4, 0x1.4f3d275777feep-4, 0x1.737c46a901c72p-4, 0x1.976012dacffa1p-4, 0x1.bae5319d5ae91p-4, 0x1.de08603623204p-4, 0x1.00633a101620cp-3, 0x1.118e2dcdb10d6p-3, 0x1.22838f15dcbeap-3, 0x1.3341ee8456058p-3, 0x1.43c7e9bf00864p-3, 0x1.54142b9f3724ap-3, 0x1.64256c546bd67p-3, 0x1.73fa718061a1p-3, 0x1.83920e4d5a7a3p-3, 0x1.92eb237e7a237p-3, 0x1.a2049f7abcff6p-3, 0x1.b0dd7e52b2609p-3, 0x1.bf74c9c14a5ddp-3, 0x1.cdc99927fa051p-3, 0x1.dbdb11866f19bp-3, 0x1.e9a8656e17fa1p-3, 0x1.f730d4f1a823ep-3, 0x1.0239d6c8727d2p-2, 0x1.08b825106f705p-2, 0x1.0f1309586b6fcp-2, 0x1.154a3e35fa70fp-2, 0x1.1b5d84bc036d2p-2, 0x1.214ca468b66e5p-2, 0x1.27176b1232997p-2, 0x1.2cbdacd1ef904p-2, 0x1.323f43eefd12fp-2, 0x1.379c10c728b89p-2, 0x1.3cd3f9b725e26p-2, 0x1.41e6eb01bf64fp-2, 0x1.46d4d6b62721fp-2, 0x1.4b9db49579907p-2, 0x1.504181f778b7dp-2, 0x1.54c041ae9b345p-2, 0x1.5919fbeb756cep-2, 0x1.5d4ebe1f8d407p-2, 0x1.615e9adfa9c2ap-2, 0x1.6549a9c5a21aep-2, 0x1.69100751c499p-2, 0x1.6cb1d4cbd982ap-2, 0x1.702f3823d2514p-2, 0x1.73885bd22dbaap-2, 0x1.76bd6eb81d45fp-2, 0x1.79cea3ff768a8p-2, 0x1.7cbc32fa7a361p-2, 0x1.7f8657037d2a7p-2, 0x1.822d4f5c77a93p-2, 0x1.84b15f0e8b423p-2, 0x1.8712ccc9830aap-2, 0x1.8951e2c357592p-2, 0x1.8b6eee97beb36p-2, 0x1.8d6a4127d4b8dp-2, 0x1.8f442e79dd33dp-2, 0x1.90fd0d992826ap-2, 0x1.9295387624e77p-2, 0x1.940d0bc6a3db8p-2, 0x1.9564e6e64ebaap-2, 0x1.969d2bb7633c6p-2, 0x1.97b63e83af4cep-2, 0x1.98b085ddd724fp-2, 0x1.998c6a82ea8c4p-2, 0x1.9a4a573c4d3b1p-2, 0x1.9aeab8c1fab68p-2, 0x1.9b6dfd9d2618ap-2, 0x1.9bd4960b3b0a4p-2, 0x1.9c1ef3e147da5p-2, 0x1.9c4d8a6fcc4c1p-2, 0x1.9c60ce66fc80ep-2, 0x1.9c5935bb6de0fp-2, 0x1.9c37378b3cf51p-2, 0x1.9bfb4c03a83eap-2, 0x1.9ba5ec472552ap-2, 0x1.9b379253f0a9cp-2, 0x1.9ab0b8eb1e4d8p-2, 0x1.9a11db7828bdep-2, 0x1.995b75f903c94p-2, 0x1.988e04e6b03fdp-2, 0x1.97aa051e5b83bp-2, 0x1.96aff3cafea36p-2, 0x1.95a04e4f8b12dp-2, 0x1.947b92319df89p-2, 0x1.93423d04bc427p-2, 0x1.91f4cc5619b5p-2, 0x1.9093bd98ec46cp-2, 0x1.8f1f8e134994fp-2, 0x1.8d98bacb8ee2p-2, 0x1.8bffc076540ebp-2, 0x1.8a551b64eca17p-2, 0x1.889947746fd31p-2, 0x1.86ccbffd4ce7dp-2, 0x1.84efffc368bffp-2, 0x1.830380e6c744ap-2, 0x1.8107bcd4b936p-2, 0x1.7efd2c3994127p-2, 0x1.7ce446f2f2551p-2, 0x1.7abd84027572p-2, 0x1.788959810ed7cp-2, 0x1.76483c92cb1f9p-2, 0x1.73faa15b204d1p-2, 0x1.71a0faf1bb28fp-2, 0x1.6f3bbb57cd783p-2, 0x1.6ccb536dd6e7fp-2, 0x1.6a5032e9ec32dp-2, 0x1.67cac84e78197p-2, 0x1.653b80e171584p-2, 0x1.62a2c8a40ca36p-2, 0x1.60010a4ade587p-2, 0x1.5d56af36720ebp-2, 0x1.5aa41f6c516bfp-2, 0x1.57e9c19079cebp-2, 0x1.5527fadf3feb9p-2, 0x1.525f2f279c87ap-2, 0x1.4f8fc0c5e24fbp-2, 0x1.4cba109edb0a9p-2, 0x1.49de7e1b458cfp-2, 0x1.46fd6723bd3abp-2, 0x1.4417281cf82cbp-2, 0x1.412c1be46a0d8p-2, 0x1.3e3c9bcd40ae9p-2, 0x1.3b48ff9db741cp-2, 0x1.38519d8cc49cbp-2, 0x1.3556ca401bba9p-2, 0x1.3258d8ca803edp-2, 0x1.2f581aaa69409p-2, 0x1.2c54dfc8f502ep-2, 0x1.294f767929333p-2, 0x1.26482b7776e36p-2, 0x1.233f49e98e8e5p-2, 0x1.20351b5e7301cp-2, 0x1.1d29e7ced2a58p-2, 0x1.1a1df59da0189p-2, 0x1.17118998eb04p-2, 0x1.1404e6faf44d2p-2, 0x1.10f84f6b7f6a7p-2, 0x1.0dec0301595fbp-2, 0x1.0ae0404416b4ap-2, 0x1.07d5442e0945cp-2, 0x1.04cb4a2e62813p-2, 0x1.01c28c2b8d0e1p-2, 0x1.fd76850b5b2f8p-3, 0x1.f76b4832aefe9p-3, 0x1.f163cc84ca58dp-3, 0x1.eb6079bdfedb4p-3, 0x1.e561b4a58c8aap-3, 0x1.df67df1448bfbp-3, 0x1.d97357fb7e408p-3, 0x1.d3847b6c1e45ep-3, 0x1.cd9ba29e29ccep-3, 0x1.c7b923f853337p-3, 0x1.c1dd5317e471p-3, 0x1.bc0880d8cdc5fp-3, 0x1.b63afb5df3bf3p-3, 0x1.b0750e199f888p-3, 0x1.aab701d62789dp-3, 0x1.a5011cbebb346p-3, 0x1.9f53a26853c08p-3, 0x1.99aed3dacba05p-3, 0x1.9412ef9a1ae36p-3, 0x1.8e8031afa612fp-3, 0x1.88f6d3b3b3c2fp-3, 0x1.83770cd6f49bp-3, 0x1.7e0111ec27857p-3, 0x1.78951571ca2eep-3, 0x1.7333479be0647p-3, 0x1.6ddbd65dcc288p-3, 0x1.688eed742db1bp-3, 0x1.634cb66ed25eap-3, 0x1.5e1558baac74bp-3, 0x1.58e8f9abcf451p-3, 0x1.53c7bc8770994p-3, 0x1.4eb1c28df046dp-3, 0x1.49a72b04dd20cp-3, 0x1.44a81340fc8b7p-3, 0x1.3fb496b04945ap-3, 0x1.3acccee3fa1b3p-3, 0x1.35f0d39a753eap-3, 0x1.3120bac94726fp-3, 0x1.2c5c98a70a798p-3, 0x1.27a47fb547284p-3, 0x1.22f880ca4c486p-3, 0x1.1e58ab1af229fp-3, 0x1.19c50c4457278p-3, 0x1.153db05589fdcp-3, 0x1.10c2a1d9252e8p-3, 0x1.0c53e9ded70ap-3, 0x1.07f19004dac45p-3, 0x1.039b9a815645bp-3, 0x1.fea41c5763a63p-4, 0x1.f629dd0b958ap-4, 0x1.edc87b8a32191p-4, 0x1.e57ff9b77bb38p-4, 0x1.dd505702edfb6p-4, 0x1.d5399078fc21cp-4, 0x1.cd3ba0d48fdf9p-4, 0x1.c5568090637c2p-4, 0x1.bd8a25f821c69p-4, 0x1.b5d6853951478p-4, 0x1.ae3b9073fe5cap-4, 0x1.a6b937cb43e64p-4, 0x1.9f4f6975868dcp-4, 0x1.97fe11cc7cad2p-4, 0x1.90c51b5d08d3ep-4, 0x1.89a46ef6c3b85p-4, 0x1.829bf3bb5d59bp-4, 0x1.7bab8f2db8a44p-4, 0x1.74d32540cc26cp-4, 0x1.6e1298664c117p-4, 0x1.6769c99d0c418p-4, 0x1.60d8987f2ffc4p-4, 0x1.5a5ee3501459fp-4, 0x1.53fc870a0075ep-4, 0x1.4db15f6b96767p-4, 0x1.477d4705086acp-4, 0x1.416017450be46p-4, 0x1.3b59a8858fd0dp-4, 0x1.3569d2183818ap-4, 0x1.2f906a52998f1p-4, 0x1.29cd469a30ecp-4, 0x1.24203b7028b05p-4, 0x1.1e891c7cd7cb6p-4, 0x1.1907bc9b06322p-4, 0x1.139bede2f4979p-4, 0x1.0e4581b524fe3p-4, 0x1.090448c4eda06p-4, 0x1.03d81322c520fp-4, 0x1.fd81608cbd696p-5, 0x1.f37bde310035bp-5, 0x1.e99f3bf945f66p-5, 0x1.dfeb15b4bbf25p-5, 0x1.d65f064d1b213p-5, 0x1.ccfaa7d88e3b3p-5, 0x1.c3bd93ab229e6p-5, 0x1.baa76267d2d18p-5, 0x1.b1b7ac1110f46p-5, 0x1.a8ee0818ef605p-5, 0x1.a04a0d70dcea3p-5, 0x1.97cb5298e43d7p-5, 0x1.8f716dae9887ap-5, 0x1.873bf47b89cf9p-5, 0x1.7f2a7c83528f9p-5, 0x1.773c9b1145f5fp-5, 0x1.6f71e545ab724p-5, 0x1.67c9f022a2a67p-5, 0x1.60445098a479ep-5, 0x1.58e09b9298824p-5, 0x1.519e660194edp-5, 0x1.4a7d44e838062p-5, 0x1.437ccd65b23ap-5, 0x1.3c9c94c05cb04p-5, 0x1.35dc30701632ap-5, 0x1.2f3b3628270aep-5, 0x1.28b93be0e2bb6p-5, 0x1.2255d7e0f4ec7p-5, 0x1.1c10a0c6479c1p-5, 0x1.15e92d8eaaadbp-5, 0x1.0fdf15a020b2ep-5, 0x1.09f1f0d0db214p-5, 0x1.0421576ef0df1p-5, 0x1.fcd9c48f7bcdfp-6, 0x1.f1a8555dfca0ep-6, 0x1.e6ad950b3022bp-6, 0x1.dbe8b8805b043p-6, 0x1.d158f5daa2798p-6, 0x1.c6fd84771443cp-6, 0x1.bcd59cfe0a121p-6, 0x1.b2e0796e15415p-6, 0x1.a91d552669d6p-6, 0x1.9f8b6cf0c5deep-6, 0x1.9629ff0ad8119p-6, 0x1.8cf84b2f2f7a9p-6, 0x1.83f5929dc8a9p-6, 0x1.7b211823fea2ep-6, 0x1.727a2024357abp-6, 0x1.69fff09cec315p-6, 0x1.61b1d12f91606p-6, 0x1.598f0b26bd14p-6, 0x1.5196e97c2b5p-6, 0x1.49c8b8de47669p-6, 0x1.4223c7b543e6bp-6, 0x1.3aa76627efb1ap-6, 0x1.3352e6200f368p-6, 0x1.2c259b4e873cap-6, 0x1.251edb2f06e76p-6, 0x1.1e3dfd0b60cdbp-6, 0x1.178259feb7bc5p-6, 0x1.10eb4cf8272cfp-6, 0x1.0a7832bd4672p-6, 0x1.042869ec45d93p-6, 0x1.fbf6a5fba86dep-7, 0x1.efe0a08d60011p-7, 0x1.e40d8bf1ec80ep-7, 0x1.d87c344a76b8p-7, 0x1.cd2b6976938c9p-7, 0x1.c219ff156753fp-7, 0x1.b746cc866101p-7, 0x1.acb0ace9412d7p-7, 0x1.a2567f1dee791p-7, 0x1.983725c3b351dp-7, 0x1.8e5187383125p-7, 0x1.84a48d95b8c07p-7, 0x1.7b2f26b19338bp-7, 0x1.71f0441992717p-7, 0x1.68e6db1178d5ap-7, 0x1.6011e4900b35fp-7, 0x1.57705d3bb6492p-7, 0x1.4f014566e28bcp-7, 0x1.46c3a10c188dep-7, 0x1.3eb677c9b1917p-7, 0x1.36d8d4dd5b436p-7, 0x1.2f29c71f4a63dp-7, 0x1.27a860fd2cd5ap-7, 0x1.2053b874ebafap-7, 0x1.192ae70f03c07p-7, 0x1.122d09d8e7ec8p-7, 0x1.0b59415ee505bp-7, 0x1.04aeb1a60bb0ep-7, 0x1.fc59044b8f5bep-8, 0x1.efa3bb82954ep-8, 0x1.e33be581b012dp-8, 0x1.d71fe5959860dp-8, 0x1.cb4e25b93b958p-8, 0x1.bfc516875222ap-8, 0x1.b4832f2b8c258p-8, 0x1.a986ed5397b67p-8, 0x1.9eced52029c11p-8, 0x1.94597115224d9p-8, 0x1.8a25520a3e5edp-8, 0x1.80310f1b1eadep-8, 0x1.767b45971c4aep-8, 0x1.6d0298f13d54bp-8, 0x1.63c5b2afacb6ep-8, 0x1.5ac3425b4d7d7p-8, 0x1.51f9fd6f1aa5dp-8, 0x1.49689f4736b7ap-8, 0x1.410de9103afa7p-8, 0x1.38e8a1b627882p-8, 0x1.30f795d3493cdp-8, 0x1.2939979f2818ep-8, 0x1.21ad7edd627efp-8, 0x1.1a5228cc4c35dp-8, 0x1.13267813bfcbep-8, 0x1.0c2954b3da072p-8, 0x1.0559abf37f015p-8, 0x1.fd6ce09e46c47p-9, 0x1.f07d32cecca0dp-9, 0x1.e3e247df5993ep-9, 0x1.d79a2339ec429p-9, 0x1.cba2d228d0d5dp-9, 0x1.bffa6bb3e0ae8p-9, 0x1.b49f107edf83ap-9, 0x1.a98eeaa5fdefp-9, 0x1.9ec82d9c66f58p-9, 0x1.94491609b8963p-9, 0x1.8a0fe9a7d30b8p-9, 0x1.801af7214fceap-9, 0x1.766895ef67ed3p-9, 0x1.6cf72638a628cp-9, 0x1.63c510af2d907p-9, 0x1.5ad0c66f91e8p-9, 0x1.5218c0e001b01p-9, 0x1.499b818f3e13ap-9, 0x1.41579213b2eccp-9, 0x1.394b83eb9abf4p-9, 0x1.3175f05c4a882p-9, 0x1.29d57852a127bp-9, 0x1.2268c442db6cbp-9, 0x1.1b2e8409a1af2p-9, 0x1.14256ecc3e5f3p-9, 0x1.0d4c42da26e99p-9, 0x1.06a1c58df8fedp-9, 0x1.0024c32f2b702p-9, 0x1.f3a81da7b541cp-10, 0x1.e75d0485ecb9dp-10, 0x1.db65fbad6af92p-10, 0x1.cfc0d0be3839ap-10, 0x1.c46b5e0a86fd9p-10, 0x1.b9638a5cb2915p-10, 0x1.aea748bf2630bp-10, 0x1.a43498431d305p-10, 0x1.9a0983ca0d727p-10, 0x1.902421ce779bfp-10, 0x1.8682942cef956p-10, 0x1.7d2307ef12308p-10, 0x1.7403b5161c3a9p-10, 0x1.6b22de6686c43p-10, 0x1.627ed13417609p-10, 0x1.5a15e52eda955p-10, 0x1.51e67c3035ee5p-10, 0x1.49ef0209a82a4p-10, 0x1.422dec52a8388p-10, 0x1.3aa1ba3899e4bp-10, 0x1.3348f44ed2457p-10, 0x1.2c222c5e78233p-10, 0x1.252bfd38f4c61p-10, 0x1.1e650a88e8355p-10, 0x1.17cc00a52d835p-10, 0x1.115f94640d427p-10, 0x1.0b1e82eebeca6p-10, 0x1.050791963a791p-10, 0x1.fe331b505f813p-11, 0x1.f2a6988942c98p-11, 0x1.e76754691a03ep-11, 0x1.dc731781467bfp-11, 0x1.d1c7b911bf272p-11, 0x1.c7631eb99db66p-11, 0x1.bd433c29386bbp-11, 0x1.b36612d4731bcp-11, 0x1.a9c9b1a6da6cap-11, 0x1.a06c34b963447p-11, 0x1.974bc508619ccp-11, 0x1.8e66982c2ecfcp-11, 0x1.85baf010447a9p-11, 0x1.7d471aafcedep-11, 0x1.750971ce89705p-11, 0x1.6d005ab6587a4p-11, 0x1.652a45f4dad2ap-11, 0x1.5d85af1980e7fp-11, 0x1.56111c75a5a71p-11, 0x1.4ecb1edd87356p-11, 0x1.47b2516a16b78p-11, 0x1.40c5593c3a836p-11, 0x1.3a02e540d26dap-11, 0x1.3369adf5f0cf7p-11, 0x1.2cf87531c0843p-11, 0x1.26ae05e888d2bp-11, 0x1.208933f69afp-11, 0x1.1a88dbe8b7785p-11, 0x1.14abe2c709ef6p-11, 0x1.0ef135dfe68e5p-11, 0x1.0957ca953789ep-11, 0x1.03de9e28eed34p-11, 0x1.fd096b17ece8ep-12, 0x1.f2923a5a8e68bp-12, 0x1.e855d194a84fp-12, 0x1.de52667ffe52dp-12, 0x1.d4863cb9f3cd5p-12, 0x1.caefa56946682p-12, 0x1.c18cfee59d2adp-12, 0x1.b85cb4624148p-12, 0x1.af5d3d979d039p-12, 0x1.a68d1e728194cp-12, 0x1.9deae6c097f34p-12, 0x1.957531e2da61p-12, 0x1.8d2aa67dfdadep-12, 0x1.8509f62f81af3p-12, 0x1.7d11dd41e57dap-12, 0x1.754122641a9cbp-12, 0x1.6d96966199d06p-12, 0x1.661113dcdf974p-12, 0x1.5eaf7f09efd9p-12, 0x1.5770c56c5a3fcp-12, 0x1.5053dd9485eb8p-12, 0x1.4957c6e06a731p-12, 0x1.427b893c22293p-12, 0x1.3bbe34e500d99p-12, 0x1.351ee22ce991dp-12, 0x1.2e9cb140d31eep-12, 0x1.2836c9edb242dp-12, 0x1.21ec5b6a33331p-12, 0x1.1bbc9c1e88a63p-12, 0x1.15a6c96fbeb2fp-12, 0x1.0faa278b2e8f9p-12, 0x1.09c601336329dp-12, 0x1.03f9a78e1b45ap-12, 0x1.fc88e3e7c3abap-13, 0x1.f14b7b805d93ep-13, 0x1.e639dc466be8bp-13, 0x1.db52d7e8cc0fp-13, 0x1.d0954b0c7d7f5p-13, 0x1.c6001cf639e4ep-13, 0x1.bb923f36ac455p-13, 0x1.b14aad5794261p-13, 0x1.a7286c8bdfffep-13, 0x1.9d2a8b61e988bp-13, 0x1.93502176dc20ep-13, 0x1.89984f2c43646p-13, 0x1.80023d602edd4p-13, 0x1.768d1d25edee5p-13, 0x1.6d382781d6dddp-13, 0x1.64029d25b64f2p-13, 0x1.5aebc63005671p-13, 0x1.51f2f1ec05a01p-13, 0x1.49177694227bp-13, 0x1.4058b114e09ap-13, 0x1.37b604d30b525p-13, 0x1.2f2edb723267cp-13, 0x1.26c2a49c85431p-13, 0x1.1e70d5cde9047p-13, 0x1.1638ea1e0313p-13, 0x1.0e1a620e0a24bp-13, 0x1.0614c3562eca8p-13, 0x1.fc4f316b6daedp-14, 0x1.eca4e387452b9p-14, 0x1.dd29c581cea0fp-14, 0x1.cddd08d85fbd4p-14, 0x1.bebde7ac9d41p-14, 0x1.afcba47122be7p-14, 0x1.a1058997dd646p-14, 0x1.926ae9421b46ep-14, 0x1.83fb1cf4adb06p-14, 0x1.75b5854c9a7b7p-14, 0x1.679989b73948cp-14, 0x1.59a6982b5e341p-14, 0x1.4bdc24e5d3083p-14, 0x1.3e39aa25f4d66p-14, 0x1.30bea7efbf2fdp-14, 0x1.236aa3cb9f318p-14, 0x1.163d288b07146p-14, 0x1.0935c60e68f19p-14, 0x1.f8a82218284dp-15, 0x1.df2f45b49398p-15, 0x1.c6003271855f8p-15, 0x1.ad1a2c3e7657p-15, 0x1.947c7f14a75e7p-15, 0x1.7c267e98e2d2ep-15, 0x1.641785bce9ed6p-15, 0x1.4c4ef667a6086p-15, 0x1.34cc391ce133ep-15, 0x1.1d8ebca978801p-15, 0x1.0695f5d27bae7p-15, 0x1.dfc2be0e49557p-16, 0x1.b2e0f0299a5ecp-16, 0x1.86858bbd51cdep-16, 0x1.5aafa42c5e07ap-16, 0x1.2f5e55f16b55p-16, 0x1.0490c6188f1efp-16, 0x1.b48c4389dec16p-17, 0x1.60fb3b655a5a4p-17, 0x1.0e6ceb8df8e9dp-17, 0x1.79bfb26de81b8p-18, 0x1.b14a589048fd9p-19, 0x1.cc3bfde837063p-21, -0x1.8e7008d9788ap-20, -0x1.fd8fe838a3c77p-19, -0x1.97fedd86eb6d6p-18, -0x1.17a19a355c5dep-17, -0x1.624baf3af417ep-17, -0x1.abfed92ed9f98p-17, -0x1.f4bc3c85c2e59p-17, -0x1.1e427bb5a13dp-16, -0x1.41ad11263cd93p-16, -0x1.649e68330edc9p-16, -0x1.871708225b64ep-16, -0x1.a9177622818cep-16, -0x1.caa035848de3p-16, -0x1.ebb1c7f747603p-16, -0x1.062656de25415p-15, -0x1.1638b2eeb63c2p-15, -0x1.2610372ea7c4fp-15, -0x1.35ad2233973e4p-15, -0x1.450fb23d626a6p-15, -0x1.5438254bc11ecp-15, -0x1.6326b932d6dfap-15, -0x1.71dbabad0e359p-15, -0x1.80573a6ebbc68p-15, -0x1.8e99a3357e1eep-15, -0x1.9ca323d9b98d5p-15, -0x1.aa73fa5d327b8p-15, -0x1.b80c64f8afe68p-15, -0x1.c56ca22af026bp-15, -0x1.d294f0c3463a4p-15, -0x1.df858fef1d417p-15, -0x1.ec3ebf43384eap-15, -0x1.f8c0bec798a25p-15, -0x1.0285e77fb6aaap-14, -0x1.0890187954d03p-14, -0x1.0e7f131afe0bep-14, -0x1.1452f878fc722p-14, -0x1.1a0be9f4df299p-14, -0x1.1faa0940fe6abp-14, -0x1.252d7862a7f6dp-14, -0x1.2a9659b5487b3p-14, -0x1.2fe4cfebed133p-14, -0x1.3518fe13ff242p-14, -0x1.3a33079664c66p-14, -0x1.3f33103974abcp-14, -0x1.44193c21b8adcp-14, -0x1.48e5afd3b61b6p-14, -0x1.4d989033cd7a6p-14, -0x1.52320287d25fcp-14, -0x1.56b22c7695cd6p-14, -0x1.5b1934090eb6bp-14, -0x1.5f673fa9903d3p-14, -0x1.639c76245b9bcp-14, -0x1.67b8fea6eeb52p-14, -0x1.6bbd00bff467dp-14, -0x1.6fa8a45e56f22p-14, -0x1.737c11d0dae24p-14, -0x1.773771c54718ap-14, -0x1.7adaed473faf6p-14, -0x1.7e66adbf72213p-14, -0x1.81dadcf21cf6fp-14, -0x1.8537a4fdfff19p-14, -0x1.887d305af75aap-14, -0x1.8baba9d83b18ep-14, -0x1.8ec33c9b5f3efp-14, -0x1.91c4141dd5409p-14, -0x1.94ae5c2c19001p-14, -0x1.978240e30104p-14, -0x1.9a3feeae86187p-14, -0x1.9ce792478a0dep-14, -0x1.9f7958b1cc39bp-14, -0x1.a1f56f39e4162p-14, -0x1.a45c037347f5p-14, -0x1.a6ad4335d426cp-14, -0x1.a8e95c9be3548p-14, -0x1.ab107dffca1fbp-14, -0x1.ad22d5f9dda65p-14, -0x1.af20935dd72d6p-14, -0x1.b109e538ab162p-14, -0x1.b2defacdf3bd4p-14, -0x1.b4a00395c4d59p-14, -0x1.b64d2f3a24b0cp-14, -0x1.b7e6ad94a08d1p-14, -0x1.b96caeabb3da8p-14, -0x1.badf62b0bc025p-14, -0x1.bc3ef9fcec615p-14, -0x1.bd8ba50f54137p-14, -0x1.bec5948a02911p-14, -0x1.bfecf92fd76ffp-14, -0x1.c10203e1cea24p-14, -0x1.c204e59ca6c83p-14, -0x1.c2f5cf764c0f4p-14, -0x1.c3d4f29b6ab33p-14, -0x1.c4a2804cf87c9p-14, -0x1.c55ea9ddc574ep-14, -0x1.c609a0affa965p-14, -0x1.c6a39632d955bp-14, -0x1.c72cbbdff4113p-14, -0x1.c7a543392ca71p-14, -0x1.c80d5dc612b88p-14, -0x1.c8653d11ac35cp-14, -0x1.c8ad12a7e03d2p-14, -0x1.c8e51013777f3p-14, -0x1.c90d66db901f8p-14, -0x1.c926488181465p-14, -0x1.c92fe67e78704p-14, -0x1.c92a724138f89p-14, -0x1.c9161d2c23b18p-14, -0x1.c8f31892b761fp-14, -0x1.c8c195b7b8caep-14, -0x1.c881c5cade60cp-14, -0x1.c833d9e6cd154p-14, -0x1.c7d8030f031d4p-14, -0x1.c76e722dd1209p-14, -0x1.c6f758127208ep-14, -0x1.c672e56edc8fcp-14, -0x1.c5e14ad6184d8p-14, -0x1.c542b8ba167bcp-14, -0x1.c4975f6a07047p-14, -0x1.c3df6f10537e4p-14, -0x1.c31b17b0e4056p-14, -0x1.c24a8927744a6p-14, -0x1.c16df325b0c94p-14, -0x1.c08585319ddbdp-14, -0x1.bf916ea3cff65p-14, -0x1.be91dea5e68aep-14, -0x1.bd870430dd7e4p-14, -0x1.bc710e0b726d7p-14, -0x1.bb502ac8cc9a5p-14, -0x1.ba2488c6be2ap-14, -0x1.b8ee562c8717p-14, -0x1.b7adc0e950152p-14, -0x1.b662f6b2ae767p-14, -0x1.b50e25035fe95p-14, -0x1.b3af791a0f37ap-14, -0x1.b2471ff7e12e4p-14, -0x1.b0d5465f45f8cp-14, -0x1.af5a18d2adaa1p-14, -0x1.add5c39383076p-14, -0x1.ac4872a0e010fp-14, -0x1.aab251b674fbcp-14, -0x1.a9138c4b86969p-14, -0x1.a76c4d91c172ap-14, -0x1.a5bcc0743db02p-14, -0x1.a4050f96b7086p-14, -0x1.a24565543adadp-14, -0x1.a07debbe843e6p-14, -0x1.9eaecc9d08fe2p-14, -0x1.9cd8316c0a5ddp-14, -0x1.9afa435bd87dap-14, -0x1.99152b4ff7d69p-14, -0x1.972911de6cb93p-14, -0x1.95361f4ef18abp-14, -0x1.933c7b9a432aap-14, -0x1.913c4e6974308p-14, -0x1.8f35bf156adbcp-14, -0x1.8d28f4a61a047p-14, -0x1.8b1615d1f6653p-14, -0x1.88fd48fd67365p-14, -0x1.86deb43a4928bp-14, -0x1.84ba7d4766eddp-14, -0x1.8290c9900a6dep-14, -0x1.8061be2b80d7bp-14, -0x1.7e2d7fdca07dp-14, -0x1.7bf433118a7e6p-14, -0x1.79b5fbe331605p-14, -0x1.7772fe14f768p-14, -0x1.752b5d1483bb4p-14, -0x1.72df3bf96be8dp-14, -0x1.708ebd84cb1p-14, -0x1.6e3a0421374p-14, -0x1.6be131e270391p-14, -0x1.698468851cc54p-14, -0x1.6723c96ec017bp-14, -0x1.64bf75ad827e9p-14, -0x1.62578df81f035p-14, -0x1.5fec32adb82e5p-14, -0x1.5d7d83d5becedp-14, -0x1.5b0ba11ff36bep-14, -0x1.5896a9e447d26p-14, -0x1.561ebd22ebb14p-14, -0x1.53a3f9843da62p-14, -0x1.51267d58da308p-14, -0x1.4ea66699b3799p-14, -0x1.4c23d2e7de872p-14, -0x1.499edf8cf1449p-14, -0x1.4717a97b05086p-14, -0x1.448e4d4ca8877p-14, -0x1.4202e74528c9fp-14, -0x1.3f759350c2877p-14, -0x1.3ce66d049ebafp-14, -0x1.3a558f9f0c19ep-14, -0x1.37c31607d3bf3p-14, -0x1.352f1ad04031cp-14, -0x1.3299b8335e9adp-14, -0x1.300308164bb1dp-14, -0x1.2d6b240874969p-14, -0x1.2ad22543b542cp-14, -0x1.283824acbc28fp-14, -0x1.259d3ad362d59p-14, -0x1.23017ff2d4aa9p-14, -0x1.20650bf201cdbp-14, -0x1.1dc7f663dfa65p-14, -0x1.1b2a5687c37a3p-14, -0x1.188c4349aecf3p-14, -0x1.15edd342c1fd7p-14, -0x1.134f1cb99784cp-14, -0x1.10b035a283a3ap-14, -0x1.0e1133a024d12p-14, -0x1.0b722c03cda9ap-14, -0x1.08d333cda899fp-14, -0x1.06345fad78a04p-14, -0x1.0395c402e5517p-14, -0x1.00f774ddc5c9dp-14, -0x1.fcb30bfda4f5p-15, -0x1.f77815aff460bp-15, -0x1.f23e2d198b656p-15, -0x1.ed0577e5e503ap-15, -0x1.e7ce1b25b5eccp-15, -0x1.e2983b4fea83cp-15, -0x1.dd63fc429a6b3p-15, -0x1.d831814424c99p-15, -0x1.d300ed03fb211p-15, -0x1.cdd2619bd7e0fp-15, -0x1.c8a60090ba3ccp-15, -0x1.c37bead3c308p-15, -0x1.be5440c38256p-15, -0x1.b92f222d0dfb3p-15, -0x1.b40cae4cae207p-15, -0x1.aeed03cf424f3p-15, -0x1.a9d040d3ae0dcp-15, -0x1.a4b682eaf9a88p-15, -0x1.9f9fe71a486fcp-15, -0x1.9a8c89dbdd914p-15, -0x1.957c871f9e27ep-15, -0x1.906ffa4cf3a97p-15, -0x1.8b66fe43873f7p-15, -0x1.8661ad5c38378p-15, -0x1.8160216adb211p-15, -0x1.7c6273beba6d1p-15, -0x1.7768bd2410bb1p-15, -0x1.727315e53d41ap-15, -0x1.6d8195cba443dp-15, }}, 
      {{-0x1.f851a72161787p-1, -0x1.f83ada43eccabp-1, -0x1.f8112c2f45307p-1, -0x1.f7d0c1aa69efdp-1, -0x1.f776310f83b0ap-1, -0x1.f6ff1cb9a5bd7p-1, -0x1.f66a67cc62dbfp-1, -0x1.f5b825a92b2cp-1, -0x1.f4e963178d81dp-1, -0x1.f3ffe07463b3ap-1, -0x1.f2fdcbf8cdefdp-1, -0x1.f1e58484c4141p-1, -0x1.f0b968b348036p-1, -0x1.ef7bb309f5371p-1, -0x1.ee2e625f46d64p-1, -0x1.ecd32cb482524p-1, -0x1.eb6b7a6cbfe8cp-1, -0x1.e9f867cb8d081p-1, -0x1.e87acad6453d4p-1, -0x1.e6f33bfae6cc6p-1, -0x1.e562202e330dap-1, -0x1.e3c7b37fdaa5p-1, -0x1.e2241368c9fe7p-1, -0x1.e0774852ffc66p-1, -0x1.dec14e0adcef3p-1, -0x1.dd021aeffd888p-1, -0x1.db39a5d86ae7fp-1, -0x1.d967eaadbdfa5p-1, -0x1.d78cedd9ce79cp-1, -0x1.d5a8bea15fb8fp-1, -0x1.d3bb788fe5176p-1, -0x1.d1c54419172c9p-1, -0x1.cfc656948bae5p-1, -0x1.cdbef1b56e285p-1, -0x1.cbaf629d87f83p-1, -0x1.c99800a744cf7p-1, -0x1.c7792bfeb0103p-1, -0x1.c5534c1dc2f76p-1, -0x1.c326ce3cd4d31p-1, -0x1.c0f423c4c7ddap-1, -0x1.bebbc0cda762p-1, -0x1.bc7e1ab1d1471p-1, -0x1.ba3ba6bb9af9cp-1, -0x1.b7f4d8f1731c9p-1, -0x1.b5aa2302f5cacp-1, -0x1.b35bf3581c4bep-1, -0x1.b10ab442aa4e8p-1, -0x1.aeb6cb5125a98p-1, -0x1.ac6098c20beddp-1, -0x1.aa0877157d43fp-1, -0x1.a7aebabb49f5dp-1, -0x1.a553b1db1006ep-1, -0x1.a2f7a43402aadp-1, -0x1.a09ad311e5253p-1, -0x1.9e3d7954c8c42p-1, -0x1.9bdfcb892f406p-1, -0x1.9981f80e4821fp-1, -0x1.972427482723dp-1, -0x1.94c67bdbe9c37p-1, -0x1.926912f3f4134p-1, -0x1.900c048a8e1a7p-1, -0x1.8daf63b953f5ap-1, -0x1.8b533f0c16044p-1, -0x1.88f7a0d5e76a7p-1, -0x1.869c8f8744123p-1, -0x1.84420e0458c24p-1, -0x1.81e81bfa920c6p-1, -0x1.7f8eb634c3b1ap-1, -0x1.7d35d6ed45c1ap-1, -0x1.7add761d8cc12p-1, -0x1.788589cad06d5p-1, -0x1.762e064f6ea66p-1, -0x1.73d6dea0c9692p-1, -0x1.718004916f3efp-1, -0x1.6f29690f6f228p-1, -0x1.6cd2fc5ec3654p-1, -0x1.6a7cae4fcb3b5p-1, -0x1.68266e71d4776p-1, -0x1.65d02c41c26f8p-1, -0x1.6379d754e1a9p-1, -0x1.61235f7ffdd75p-1, -0x1.5eccb4fadcecap-1, -0x1.5c75c8803967dp-1, -0x1.5a1e8b6a63744p-1, -0x1.57c6efccacb3fp-1, -0x1.556ee889c95dp-1, -0x1.531669674af36p-1, -0x1.50bd671e633cep-1, -0x1.4e63d76a16244p-1, -0x1.4c09b11302579p-1, -0x1.49aeebf8ef41dp-1, -0x1.4753811a41cb6p-1, -0x1.44f76a9983dcbp-1, -0x1.429aa3c122437p-1, -0x1.403d290585eb4p-1, -0x1.3ddef805ac42p-1, -0x1.3b800f8a5f53cp-1, -0x1.39206f842e9a5p-1, -0x1.36c0190847499p-1, -0x1.345f0e4c467c7p-1, -0x1.31fd52a12443bp-1, -0x1.2f9aea6d4d239p-1, -0x1.2d37db26065e6p-1, -0x1.2ad42b482edcp-1, -0x1.286fe25075876p-1, -0x1.260b08b316494p-1, -0x1.23a5a7d331326p-1, -0x1.213fc9f9cb39bp-1, -0x1.1ed97a4c88d47p-1, -0x1.1c72c4c43123fp-1, -0x1.1a0bb62305286p-1, -0x1.17a45beaf943cp-1, -0x1.153cc453d9683p-1, -0x1.12d4fe41640a1p-1, -0x1.106d193963bfdp-1, -0x1.0e052559cf7b5p-1, -0x1.0b9d334efb40ep-1, -0x1.09355449da761p-1, -0x1.06cd99f660f9bp-1, -0x1.0466167201ebap-1, -0x1.01fedc42547fep-1, -0x1.ff2ffc97c3e15p-2, -0x1.fa631f923e65dp-2, -0x1.f59748832fdbp-2, -0x1.f0cc9f029482bp-2, -0x1.ec034b207154bp-2, -0x1.e73b755464629p-2, -0x1.e275466da4805p-2, -0x1.ddb0e78375ea2p-2, -0x1.d8ee81e61224ap-2, -0x1.d42e3f1008cfbp-2, -0x1.cf70489817a8ep-2, -0x1.cab4c823778aap-2, -0x1.c5fbe758a6c41p-2, -0x1.c145cfd2aaa06p-2, -0x1.bc92ab14c7ad7p-2, -0x1.b7e2a27eb213cp-2, -0x1.b335df4137513p-2, -0x1.ae8c8a53596bbp-2, -0x1.a9e6cc67e1c48p-2, -0x1.a544cde366b5fp-2, -0x1.a0a6b6d2c0759p-2, -0x1.9c0caee1f0c0fp-2, -0x1.9776dd5374f91p-2, -0x1.92e568f80864p-2, -0x1.8e587826cd58fp-2, -0x1.89d030b5de375p-2, -0x1.854cb7f348cc6p-2, -0x1.80ce329e67673p-2, -0x1.7c54c4e19f139p-2, -0x1.77e0924c7db62p-2, -0x1.7371bdce33322p-2, -0x1.6f0869b065293p-2, -0x1.6aa4b7925ff7cp-2, -0x1.6646c864966b5p-2, -0x1.61eebc647d643p-2, -0x1.5d9cb318b31c3p-2, -0x1.5950cb4d7a6e8p-2, -0x1.550b231180732p-2, -0x1.50cbd7b2ef821p-2, -0x1.4c9305bcc7431p-2, -0x1.4860c8f48306cp-2, -0x1.44353c57fa9ep-2, -0x1.40107a1b8ed67p-2, -0x1.3bf29ba890058p-2, -0x1.37dbb99be61aep-2, -0x1.33cbebc4f331dp-2, -0x1.2fc34924b1f22p-2, -0x1.2bc1e7ed08b8ap-2, -0x1.27c7dd80581ecp-2, -0x1.23d53e7138918p-2, -0x1.1fea1e826d1fep-2, -0x1.1c0690a706392p-2, -0x1.182aa702b2292p-2, -0x1.145672ea3b519p-2, -0x1.108a04e4309bcp-2, -0x1.0cc56ca9b8237p-2, -0x1.0908b92787b41p-2, -0x1.0553f87f04db2p-2, -0x1.01a73807890b3p-2, -0x1.fc05089f8bb36p-3, -0x1.f4cbd23e9b7b5p-3, -0x1.eda2e2f072ca6p-3, -0x1.e68a4f31db2c2p-3, -0x1.df8229fbf6036p-3, -0x1.d88a84c831d8fp-3, -0x1.d1a36f947c5cdp-3, -0x1.caccf8e794116p-3, -0x1.c4072dd5994b6p-3, -0x1.bd521a04bd1a6p-3, -0x1.b6adc7b21ecfbp-3, -0x1.b01a3fb6cd956p-3, -0x1.a997898cf19adp-3, -0x1.a325ab550a5d4p-3, -0x1.9cc4a9db5f13bp-3, -0x1.9674889d75433p-3, -0x1.903549cfb5101p-3, -0x1.8a06ee631ba2dp-3, -0x1.83e9760b00e5fp-3, -0x1.7ddcdf42fb2cep-3, -0x1.77e12754cd686p-3, -0x1.71f64a5e67d4p-3, -0x1.6c1c4357f6b68p-3, -0x1.66530c19facfp-3, -0x1.609a9d63751c5p-3, -0x1.5af2eee011c3p-3, -0x1.555bf72e5e62cp-3, -0x1.4fd5abe608566p-3, -0x1.4a60019e1d978p-3, -0x1.44faebf34f645p-3, -0x1.3fa65d8e36a8p-3, -0x1.3a6248299b068p-3, -0x1.352e9c98b5828p-3, -0x1.300b4acd75c6dp-3, -0x1.2af841deb95cfp-3, -0x1.25f5700e8ace7p-3, -0x1.2102c2d053944p-3, -0x1.1c2026cf053a8p-3, -0x1.174d87f343657p-3, -0x1.128ad16978b9cp-3, -0x1.0dd7eda7eca6cp-3, -0x1.0934c674c6b6fp-3, -0x1.04a144ec0ad79p-3, -0x1.001d5185895p-3, -0x1.f751a83574fa7p-4, -0x1.ee8767d92a8d6p-4, -0x1.e5dbaf52a7f74p-4, -0x1.dd4e4ae44f313p-4, -0x1.d4df05c1b66f9p-4, -0x1.cc8daa1ad2ddp-4, -0x1.c45a012701e86p-4, -0x1.bc43d32fe6984p-4, -0x1.b44ae79c2ffedp-4, -0x1.ac6f04fa27632p-4, -0x1.a4aff10a2cd26p-4, -0x1.9d0d70c900acap-4, -0x1.95874879eb97ep-4, -0x1.8e1d3bb0b74d6p-4, -0x1.86cf0d5b87e9ap-4, -0x1.7f9c7fcc84813p-4, -0x1.788554c35a3cep-4, -0x1.71894d76926d2p-4, -0x1.6aa82a9cc29cdp-4, -0x1.63e1ac758ccb2p-4, -0x1.5d3592d2764d5p-4, -0x1.56a39d1f952c8p-4, -0x1.502b8a6c0f6b6p-4, -0x1.49cd19726f5ffp-4, -0x1.438808a0cc3e7p-4, -0x1.3d5c1620c8127p-4, -0x1.3748ffdf6053bp-4, -0x1.314e83948f293p-4, -0x1.2b6c5ecaca8adp-4, -0x1.25a24ee64c527p-4, -0x1.1ff0112c34a8p-4, -0x1.1a5562c98017ep-4, -0x1.14d200d9d28ffp-4, -0x1.0f65a86e1471ep-4, -0x1.0a101692e7023p-4, -0x1.04d10856ed909p-4, -0x1.ff5075a1d6b2fp-5, -0x1.f52ad64b72effp-5, -0x1.eb30ad1c19a2dp-5, -0x1.e16174b836363p-5, -0x1.d7bca8021fb1fp-5, -0x1.ce41c224b6059p-5, -0x1.c4f03e9dab95p-5, -0x1.bbc79947853c1p-5, -0x1.b2c74e63414e9p-5, -0x1.a9eedaa1b8935p-5, -0x1.a13dbb2cac366p-5, -0x1.98b36daf89d85p-5, -0x1.904f705fe343ep-5, -0x1.881142059a23cp-5, -0x1.7ff86202c60e5p-5, -0x1.7804505b49ff2p-5, -0x1.70348dbc2b2f2p-5, -0x1.68889b829ca1dp-5, -0x1.60fffbc2c4adfp-5, -0x1.599a314e3fac7p-5, -0x1.5256bfba5e0b7p-5, -0x1.4b352b6621a42p-5, -0x1.4434f97ffbbb7p-5, -0x1.3d55b00b4179dp-5, -0x1.3696d5e572a58p-5, -0x1.2ff7f2cb2cfa1p-5, -0x1.29788f5cf7634p-5, -0x1.23183523c4096p-5, -0x1.1cd66e9540c12p-5, -0x1.16b2c717e3399p-5, -0x1.10accb06ccb41p-5, -0x1.0ac407b569d4p-5, -0x1.04f80b72e1868p-5, -0x1.fe90cb1a9b76dp-6, -0x1.f3694ca99045fp-6, -0x1.e878be3c6d10ap-6, -0x1.ddbe448be5dd6p-6, -0x1.d33906647f37fp-6, -0x1.c8e82cab0c048p-6, -0x1.becae260e7111p-6, -0x1.b4e054a7bcc4p-6, -0x1.ab27b2c50b9b3p-6, -0x1.a1a02e254ed1fp-6, -0x1.9848fa5ecb701p-6, -0x1.8f214d3419164p-6, -0x1.86285e9654f14p-6, -0x1.7d5d68a70c328p-6, -0x1.74bfa7b9dbf12p-6, -0x1.6c4e5a55c0d27p-6, -0x1.6408c1362db32p-6, -0x1.5bee1f4bd4345p-6, -0x1.53fdb9bd2bd71p-6, -0x1.4c36d7e6c0189p-6, -0x1.4498c35b34aabp-6, -0x1.3d22c7e31befep-6, -0x1.35d4337c800e7p-6, -0x1.2eac565a45509p-6, -0x1.27aa82e34c7aep-6, -0x1.20ce0db161105p-6, -0x1.1a164d8ff383cp-6, -0x1.13829b7aa7c81p-6, -0x1.0d12529ba48bcp-6, -0x1.06c4d049d3ad8p-6, -0x1.00997406ca062p-6, -0x1.f51f3ef95cfe1p-7, -0x1.e94d6cf7b6fbep-7, -0x1.ddbc3df0cf5f6p-7, -0x1.d26a820f0664ap-7, -0x1.c7570db959455p-7, -0x1.bc80b98da21b8p-7, -0x1.b1e6625a672d6p-7, -0x1.a786e9189955ap-7, -0x1.9d6132e4fb29ep-7, -0x1.937428f9432afp-7, -0x1.89beb8a527709p-7, -0x1.803fd3471a84fp-7, -0x1.76f66e44d15d5p-7, -0x1.6de18303ad2c5p-7, -0x1.65000ee0ece92p-7, -0x1.5c511329b1cd7p-7, -0x1.53d39512d8324p-7, -0x1.4b869db0b5af8p-7, -0x1.436939eea6d17p-7, -0x1.3b7a7a86799f2p-7, -0x1.33b973f7c0e81p-7, -0x1.2c253e7f0c441p-7, -0x1.24bcf60ceae09p-7, -0x1.1d7fba3cf4ebp-7, -0x1.166cae4ca689fp-7, -0x1.0f82f9122aa68p-7, -0x1.08c1c4f3192fcp-7, -0x1.02283fdb12529p-7, -0x1.f76b3664a8207p-8, -0x1.ead217a87379fp-8, -0x1.de83940b78f4bp-8, -0x1.d27e22d7abff3p-8, -0x1.c6c04203b6b8ep-8, -0x1.bb48761fa50d8p-8, -0x1.b0154a419601bp-8, -0x1.a5254ff231e3cp-8, -0x1.9a771f19327fbp-8, -0x1.900955e9f25cep-8, -0x1.85da98cfc7e93p-8, -0x1.7be9925a8d654p-8, -0x1.7234f32b187dp-8, -0x1.68bb71dfa21dap-8, -0x1.5f7bcb00571b5p-8, -0x1.5674c0ebc5602p-8, -0x1.4da51bc370ca9p-8, -0x1.450ba9586fa65p-8, -0x1.3ca73d1801cb5p-8, -0x1.3476aff848f3cp-8, -0x1.2c78e064f7388p-8, -0x1.24acb22c4af4ap-8, -0x1.1d110e6bbab92p-8, -0x1.15a4e37d273cp-8, -0x1.0e6724e3c4602p-8, -0x1.0756cb3956669p-8, -0x1.0072d41b73a0dp-8, -0x1.f3748431ba6f8p-9, -0x1.e658393df1c25p-9, -0x1.d98edfcec8658p-9, -0x1.cd1699cb5e2ap-9, -0x1.c0ed926a61e72p-9, -0x1.b511fe0dea94cp-9, -0x1.a9821a1fad48bp-9, -0x1.9e3c2ced615d9p-9, -0x1.933e85858ddedp-9, -0x1.88877b946aa95p-9, -0x1.7e156f414ff8bp-9, -0x1.73e6c90c12d1p-9, -0x1.69f9f9ab17cd8p-9, -0x1.604d79e95e0dep-9, -0x1.56dfca851ad14p-9, -0x1.4daf740e6293dp-9, -0x1.44bb06c66249cp-9, -0x1.3c011a7ec7e43p-9, -0x1.33804e7980f7dp-9, -0x1.2b374948df479p-9, -0x1.2324b8afe6f91p-9, -0x1.1b475183487b3p-9, -0x1.139dcf8a34b56p-9, -0x1.0c26f55ff1be3p-9, -0x1.04e18c55b1ff8p-9, -0x1.fb98c8a91a436p-10, -0x1.edcca77ff9634p-10, -0x1.e05c6eb169132p-10, -0x1.d345e43fa196cp-10, -0x1.c686da7489309p-10, -0x1.ba1d2fa9641bdp-10, -0x1.ae06ce0f59526p-10, -0x1.a241ab7859469p-10, -0x1.96cbc92116351p-10, -0x1.8ba3337b5c2a5p-10, -0x1.80c601f945b4fp-10, -0x1.763256d92edf7p-10, -0x1.6be65ef21f821p-10, -0x1.61e051812b06cp-10, -0x1.581e6ff7604bp-10, -0x1.4e9f05c852a0dp-10, -0x1.4560683991805p-10, -0x1.3c60f63294318p-10, -0x1.339f180d76e06p-10, -0x1.2b193f683fed7p-10, -0x1.22cde6f7186f9p-10, -0x1.1abb9256c3c2fp-10, -0x1.12e0cde057f9ap-10, -0x1.0b3c2e7ce9e9bp-10, -0x1.03cc517a97d61p-10, -0x1.f91fb8c34982dp-11, -0x1.eb0af9956aab6p-11, -0x1.dd57d06a9a2b9p-11, -0x1.d003b7be6bb7ep-11, -0x1.c30c3938eaa38p-11, -0x1.b66eed5f90c7ep-11, -0x1.aa297b47f15e8p-11, -0x1.9e39984b149f4p-11, -0x1.929d07bad4543p-11, -0x1.87519a9753e64p-11, -0x1.7c552f4706c9cp-11, -0x1.71a5b14ea760dp-11, -0x1.6741190b42319p-11, -0x1.5d256b6d16944p-11, -0x1.5350b9b384794p-11, -0x1.49c1212a772f7p-11, -0x1.4074cae880089p-11, -0x1.3769eb8e8195bp-11, -0x1.2e9ec308804d3p-11, -0x1.26119c4ef2dcep-11, -0x1.1dc0cd29be54ep-11, -0x1.15aab5f45459ep-11, -0x1.0dcdc162454f6p-11, -0x1.06286445aab5dp-11, -0x1.fd723aabf154bp-12, -0x1.eefce9f041718p-12, -0x1.e0edfa0fa05b2p-12, -0x1.d342a142ccc2p-12, -0x1.c5f827da583aep-12, -0x1.b90be7d6f5ad6p-12, -0x1.ac7b4c832b8b9p-12, -0x1.a043d20ff53dp-12, -0x1.94630532469ep-12, -0x1.88d682c2ed3b8p-12, -0x1.7d9bf760305p-12, -0x1.72b11f11634d6p-12, -0x1.6813c4ebddfcbp-12, -0x1.5dc1c2ba134cbp-12, -0x1.53b900a4713e5p-12, -0x1.49f774db5abd9p-12, -0x1.407b2343d0475p-12, -0x1.37421d249b9cfp-12, -0x1.2e4a80d61a817p-12, -0x1.259279732a248p-12, -0x1.1d183e8ba205dp-12, -0x1.14da13d85802fp-12, -0x1.0cd648f15cbfp-12, -0x1.050b390456378p-12, -0x1.faee951bd3f31p-13, -0x1.ec31de2715bc6p-13, -0x1.dddd45bde0bcdp-13, -0x1.cfedd976fb7e6p-13, -0x1.c260bb6842139p-13, -0x1.b53321a7695b2p-13, -0x1.a86255cb1b6ffp-13, -0x1.9bebb47059921p-13, -0x1.8fccacc24e42ep-13, -0x1.8402c00406aafp-13, -0x1.788b811cb4854p-13, -0x1.6d6494278244cp-13, -0x1.628bae04a1946p-13, -0x1.57fe93ed37ed1p-13, -0x1.4dbb1b099af1ap-13, -0x1.43bf280a8a674p-13, -0x1.3a08aec2d8f81p-13, -0x1.3095b1c59a627p-13, -0x1.27644204c88d2p-13, -0x1.1e727e72dc502p-13, -0x1.15be93a6718edp-13, -0x1.0d46bb7fc7ccdp-13, -0x1.05093cd0816c6p-13, -0x1.fa08d609d745dp-14, -0x1.ea6d4ba08bafp-14, -0x1.db3cb1b33b4p-14, -0x1.cc73f6d79c5e3p-14, -0x1.be10204c3e5ffp-14, -0x1.b00e495faeac2p-14, -0x1.a26ba2daa6178p-14, -0x1.9525726bab277p-14, -0x1.883912191a901p-14, -0x1.7ba3efb4d1fd4p-14, -0x1.6f638c53448ebp-14, -0x1.63757bc65179bp-14, -0x1.57d7641afce69p-14, -0x1.4c86fd19bb686p-14, -0x1.41820fcb91c98p-14, -0x1.36c675ff57402p-14, -0x1.2c5219d49d1c6p-14, -0x1.2222f5485423bp-14, -0x1.183711c312c69p-14, -0x1.0e8c87acd1f9cp-14, -0x1.05217e00dd667p-14, -0x1.f7e853cabacd8p-15, -0x1.e6059c8c2e023p-15, -0x1.d49776dffbe08p-15, -0x1.c39a9d628402bp-15, -0x1.b30be3f4ae695p-15, -0x1.a2e83703c08efp-15, -0x1.932c9ad5ce109p-15, -0x1.83d62adb7fe96p-15, -0x1.74e21903afb16p-15, -0x1.664dad160b946p-15, -0x1.58164411fbcc1p-15, -0x1.4a394f8f8a3aep-15, -0x1.3cb455258c10fp-15, -0x1.2f84edd4c9615p-15, -0x1.22a8c5744e508p-15, -0x1.161d9a2605ffbp-15, -0x1.09e13bc8df529p-15, -0x1.fbe316ead8d3dp-16, -0x1.e498f5f01a1bep-16, -0x1.cde018a446837p-16, -0x1.b7b4a27c8e80fp-16, -0x1.a212d56c1e012p-16, -0x1.8cf710fa733b4p-16, -0x1.785dd15cb6607p-16, -0x1.6443ae974f233p-16, -0x1.50a55ba4e331dp-16, -0x1.3d7fa5a2d84cp-16, -0x1.2acf730410432p-16, -0x1.1891c2c8db7b9p-16, -0x1.06c3abbd232eep-16, -0x1.eac4b776546fdp-17, -0x1.c8d62de80ab8cp-17, -0x1.a7b66e7a9b646p-17, -0x1.876056c518aeep-17, -0x1.67ceecfbbfc4ap-17, -0x1.48fd5ea696877p-17, -0x1.2ae6ff61fad59p-17, -0x1.0d8747ab7582bp-17, -0x1.e1b3a764af919p-18, -0x1.a9b4c46bb4f6cp-18, -0x1.7309a6ce0ccdap-18, -0x1.3daa4faf1324fp-18, -0x1.098efed7a8d3bp-18, -0x1.ad606169838d2p-19, -0x1.4a0d38abcaeecp-19, -0x1.d22cc63c128cbp-20, -0x1.14dc5c40a5e23p-20, -0x1.703a8a655228fp-22, 0x1.6158a9129d183p-22, 0x1.086b0741b4129p-20, 0x1.b448314db53e8p-20, 0x1.2e0295df79d9ap-19, 0x1.7fdc634276198p-19, 0x1.cfbc920c39a8ep-19, 0x1.0ed6efd989eb4p-18, 0x1.34dd5c55b20d2p-18, 0x1.59f69d9961475p-18, 0x1.7e279cf37c2ecp-18, 0x1.a1751f305152ep-18, 0x1.c3e3c5d801a83p-18, 0x1.e578105fdbc79p-18, 0x1.031b2eab6968ep-17, 0x1.131175c3b248bp-17, 0x1.22a0ed8725dc8p-17, 0x1.31cb97359835ap-17, 0x1.409365c2d14b7p-17, 0x1.4efa3e5621f3bp-17, 0x1.5d01f8c48c4dap-17, 0x1.6aac60093d8fbp-17, 0x1.77fb32b6b2e08p-17, 0x1.84f0236773d4p-17, 0x1.918cd928e9525p-17, 0x1.9dd2efe4370bcp-17, 0x1.a9c3f8c20102p-17, 0x1.b5617a8c0a8b8p-17, 0x1.c0acf20b64cc5p-17, 0x1.cba7d262b505dp-17, 0x1.d6538566b20ep-17, 0x1.e0b16bf27ff8cp-17, 0x1.eac2de395dc43p-17, 0x1.f4892c15e5e19p-17, 0x1.fe059d56c7ab2p-17, 0x1.039cb903aca3cp-16, 0x1.0812f15bdebb8p-16, 0x1.0c6610609e4d3p-16, 0x1.1096ab4403658p-16, 0x1.14a553ddac2b5p-16, 0x1.189298c94b728p-16, 0x1.1c5f0584e528ep-16, 0x1.200b228ca4d58p-16, 0x1.23977576efe64p-16, 0x1.2704810ee24e6p-16, 0x1.2a52c56d76506p-16, 0x1.2d82c012db1d7p-16, 0x1.3094ebfdafbfap-16, 0x1.3389c1c1c665bp-16, 0x1.3661b79eb315ap-16, 0x1.391d4194089dp-16, 0x1.3bbcd176a4721p-16, 0x1.3e40d7039ebc9p-16, 0x1.40a9bff34475p-16, 0x1.42f7f80b4b5cp-16, 0x1.452be92fe2d41p-16, 0x1.4745fb74f392p-16, 0x1.4946952d78ea4p-16, 0x1.4b2e1afb82027p-16, 0x1.4cfcefde9a725p-16, 0x1.4eb3754228158p-16, 0x1.50520b0ad778ep-16, 0x1.51d90fa42dbfdp-16, 0x1.5348e00c4e177p-16, 0x1.54a1d7e080fedp-16, 0x1.55e45168d15fcp-16, 0x1.5710a5a278d9ep-16, 0x1.58272c4b17f9ap-16, 0x1.59283bea482dap-16, 0x1.5a1429dbd711fp-16, 0x1.5aeb4a587c9ebp-16, 0x1.5badf07f38834p-16, 0x1.5c5c6e5d3d212p-16, 0x1.5cf714f6b2b32p-16, 0x1.5d7e344dd2c1cp-16, 0x1.5df21b6aa2d6ap-16, 0x1.5e53186212d2dp-16, 0x1.5ea1785c75893p-16, 0x1.5edd879c2eacp-16, 0x1.5f079183b7642p-16, 0x1.5f1fe09b609d7p-16, 0x1.5f26be972c622p-16, 0x1.5f1c745bb96bcp-16, 0x1.5f014a03d3b79p-16, 0x1.5ed586e4aa81ap-16, 0x1.5e997192f7a4bp-16, 0x1.5e4d4fe6c8c71p-16, 0x1.5df167002c3acp-16, 0x1.5d85fb4ada75fp-16, 0x1.5d0b5081e8e8fp-16, 0x1.5c81a9b37e457p-16, 0x1.5be9494405119p-16, 0x1.5b4270f17b0d9p-16, 0x1.5a8d61d679431p-16, 0x1.59ca5c6cefb35p-16, 0x1.58f9a0911c1b1p-16, 0x1.581b6d83cbd99p-16, 0x1.573001ed04e27p-16, 0x1.56379bde2960bp-16, 0x1.553278d46ef07p-16, 0x1.5420d5ba7fd55p-16, 0x1.5302eeead338p-16, 0x1.51d9003130d1bp-16, 0x1.50a344cca6716p-16, 0x1.4f61f770f3278p-16, 0x1.4e15524841b5p-16, 0x1.4cbd8ef48494fp-16, 0x1.4b5ae690d14ddp-16, 0x1.49ed91b2a4b43p-16, 0x1.4875c86b15e17p-16, 0x1.46f3c24812893p-16, 0x1.4567b6554870cp-16, 0x1.43d1db1d54cbdp-16, 0x1.423266aa83e8fp-16, 0x1.40898e87d499bp-16, 0x1.3ed787c1d1175p-16, 0x1.3d1c86e71b861p-16, 0x1.3b58c00993f3cp-16, 0x1.398c66be9d84dp-16, 0x1.37b7ae201936cp-16, 0x1.35dac8ccb8057p-16, 0x1.33f5e8e8da4c5p-16, 0x1.3209401ee414cp-16, 0x1.3014ff9fbca0ep-16, 0x1.2e1958237b5bep-16, 0x1.2c1679e9a237dp-16, 0x1.2a0c94b9a6963p-16, 0x1.27fbd7e375de7p-16, 0x1.25e4723fa95f1p-16, 0x1.23c6923003af8p-16, 0x1.21a2659fb189ap-16, 0x1.1f781a03b97aap-16, 0x1.1d47dc5b39db2p-16, 0x1.1b11d92fdc19cp-16, 0x1.18d63c95dca89p-16, 0x1.1695322cbdb0ep-16, 0x1.144ee51f1bd7p-16, 0x1.1203802355672p-16, 0x1.0fb32d7b9242p-16, 0x1.0d5e16f62dca1p-16, 0x1.0b0465ede72a6p-16, 0x1.08a6434a2e70fp-16, 0x1.0643d77f5eec7p-16, 0x1.03dd4a8f0c462p-16, 0x1.0172c4083663dp-16, 0x1.fe08d60f4582fp-17, 0x1.f924cc70123cep-17, 0x1.f439b7a4d27ap-17, 0x1.ef47e33ca01e6p-17, 0x1.ea4f99e438569p-17, 0x1.e551256667ad9p-17, 0x1.e04cceacc9b97p-17, 0x1.db42ddc033c01p-17, 0x1.d63399c99f9ffp-17, 0x1.d11f4912570bfp-17, 0x1.cc063104f13p-17, 0x1.c6e8962dcea17p-17, 0x1.c1c6bc3b99a26p-17, 0x1.bca0e6003c912p-17, 0x1.b77755715af75p-17, 0x1.b24a4ba90fc4dp-17, 0x1.ad1a08e6c40b5p-17, 0x1.a7e6cc8fa52aep-17, 0x1.a2b0d52fc50cdp-17, 0x1.9d78607a7c238p-17, 0x1.983dab4b8c87p-17, 0x1.9300f1a7a51a7p-17, 0x1.8dc26ebd6664ap-17, 0x1.88825ce62800fp-17, 0x1.8340f5a6d51dap-17, 0x1.7dfe71b0d764bp-17, 0x1.78bb08e2f209ap-17, 0x1.7376f24a257d8p-17, 0x1.6e326422de12fp-17, 0x1.68ed93d99b2adp-17, 0x1.63a8b60c1251p-17, 0x1.5e63fe8a18b3cp-17, 0x1.591fa056b9483p-17, 0x1.53dbcda939a3ap-17, 0x1.4e98b7ee279f3p-17, 0x1.49568fc869b86p-17, 0x1.4415851250059p-17, 0x1.3ed5c6debd167p-17, 0x1.3997837a43bbfp-17, 0x1.345ae86c32a72p-17, 0x1.2f202277ea8adp-17, 0x1.29e75d9dc84b1p-17, 0x1.24b0c51c97f14p-17, 0x1.1f7c83729780ap-17, 0x1.1a4ac25ee2b5ap-17, 0x1.151baae280f36p-17, 0x1.0fef6541baac1p-17, 0x1.0ac619054dee7p-17, 0x1.059fecfbdadcep-17, 0x1.007d073b0b1d6p-17, 0x1.f6bb1a41ddcbp-18, 0x1.ec8346aaa83bcp-18, 0x1.e252db95e6e0cp-18, 0x1.d82a1f81ecce5p-18, 0x1.ce095788865a9p-18, 0x1.c3f0c761b6175p-18, 0x1.b9e0b16683abp-18, 0x1.afd95693ce688p-18, 0x1.a5daf68cfbdfbp-18, 0x1.9be5cf9e95b69p-18, 0x1.91fa1ec192b76p-18, 0x1.88181f9dc8905p-18, 0x1.7e400c8d27e96p-18, 0x1.74721e9e5197dp-18, 0x1.6aae8d97a248p-18, 0x1.60f58ffa0cdd4p-18, 0x1.57475b04286a5p-18, 0x1.4da422b521eap-18, 0x1.440c19cf6dfb9p-18, 0x1.3a7f71dc04f8bp-18, 0x1.30fe5b2d3b076p-18, 0x1.278904e1bd109p-18, 0x1.1e1f9ce78eddep-18, 0x1.14c24fff42495p-18, 0x1.0b7149be9c4acp-18, 0x1.022cb493d1eb6p-18, 0x1.f1e9739130849p-19, 0x1.df93030a23215p-19, 0x1.cd5665a59f653p-19, 0x1.bb33e74003971p-19, 0x1.a92bd184bc6e1p-19, 0x1.973e6bf3e886fp-19, 0x1.856bfbe93d831p-19, 0x1.73b4c4a1dff34p-19, 0x1.621907426fb71p-19, 0x1.509902dcc7b16p-19, 0x1.3f34f476625acp-19, 0x1.2ded170e55695p-19, 0x1.1cc1a3a3d98d7p-19, 0x1.0bb2d13b7289cp-19, 0x1.f581a9cb0d012p-20, 0x1.d3d7c388d37eep-20, 0x1.b2685224bbbap-20, 0x1.9133b44f11885p-20, 0x1.703a44ffffd95p-20, 0x1.4f7c5b8359e82p-20, 0x1.2efa4b84af5e5p-20, 0x1.0eb4651b855b2p-20, 0x1.dd55e9ad7639dp-21, 0x1.9dbc8791e9ad6p-21, 0x1.5e9d2f282fbcdp-21, 0x1.1ff864eac063fp-21, 0x1.c39d4d400ea92p-22, 0x1.4840d6e8aa0cp-22, 0x1.9bb890426b89ap-23, 0x1.51c1d588515e8p-24, -0x1.200ecc3e73fb7p-25, -0x1.36f3d297d164p-23, -0x1.11f70ae93cc51p-22, -0x1.87789b7f48dd2p-22, -0x1.fbfe042164d4cp-22, -0x1.37c35cd5e9c94p-21, -0x1.71091e4a5bcf3p-21, -0x1.a9d00c5e54962p-21, -0x1.e217f2a2fb781p-21, -0x1.0cf0511ad5a65p-20, -0x1.2894f8d39ab4cp-20, -0x1.43f9de734994ep-20, -0x1.5f1ef2964ae57p-20, -0x1.7a04287263e4bp-20, -0x1.94a975cc7e75cp-20, -0x1.af0ed2ee129cp-20, -0x1.c9343a99c50c4p-20, -0x1.e319aa0233c17p-20, -0x1.fcbf20bebbc13p-20, -0x1.0b12506077a2cp-19, -0x1.17a5172585593p-19, -0x1.2417e7f2ac26cp-19, -0x1.306ac729c30fdp-19, -0x1.3c9dba45c6873p-19, -0x1.48b0c7d5d1c4dp-19, -0x1.54a3f777b992bp-19, -0x1.607751d39e66cp-19, -0x1.6c2ae096cd84p-19, -0x1.77beae6ef6d87p-19, -0x1.8332c70542933p-19, -0x1.8e8736f9fc9bfp-19, -0x1.99bc0bdfa3d18p-19, -0x1.a4d154361ab7ep-19, -0x1.afc71f66194a4p-19, -0x1.ba9d7dbcdc7b3p-19, -0x1.c554806740677p-19, -0x1.cfec396d76c0ep-19, -0x1.da64bbae95736p-19, -0x1.e4be1adbfbc7ep-19, -0x1.eef86b751a1afp-19, -0x1.f913c2c2f2ab6p-19, -0x1.01881b6a0ce79p-18, -0x1.0676ef3c4045bp-18, -0x1.0b56689e6b214p-18, -0x1.102693b34f1e7p-18, -0x1.14e77cf81634p-18, -0x1.199931422c266p-18, -0x1.1e3bbdbd5e562p-18, -0x1.22cf2fe9cd27bp-18, -0x1.27539599c4ea2p-18, -0x1.2bc8fcf01decfp-18, -0x1.302f745e0d0b6p-18, -0x1.34870aa1547cbp-18, -0x1.38cfcec27ebb5p-18, -0x1.3d09d012cb4fp-18, -0x1.41351e2a6d734p-18, -0x1.4551c8e6b6906p-18, -0x1.495fe06862b71p-18, -0x1.4d5f7511abc1p-18, -0x1.515097847c257p-18, -0x1.553358a0f1a54p-18, -0x1.5907c98379edep-18, -0x1.5ccdfb831da4bp-18, -0x1.6086002fdab82p-18, -0x1.642fe9510149fp-18, -0x1.67cbc8e3ad6b4p-18, -0x1.6b59b118c250cp-18, -0x1.6ed9b453cdd6cp-18, -0x1.724be52962d3p-18, -0x1.75b0565d1b7d4p-18, -0x1.79071ae0a2ff6p-18, -0x1.7c5045d206441p-18, -0x1.7f8bea79ce02p-18, -0x1.82ba1c4a1f111p-18, -0x1.85daeedceb84bp-18, -0x1.88ee75f293513p-18, -0x1.8bf4c570ac6eap-18, -0x1.8eedf1604946fp-18, -0x1.91da0decd62cap-18, -0x1.94b92f62d484fp-18, -0x1.978b6a2e17b35p-18, }}, 
      {{0x1.229945be564cdp-17, 0x1.2128dfe59aa33p-16, -0x1.fe0e830b152c8p-17, -0x1.1675c1c4c53a4p-13, -0x1.8292959346fa9p-12, -0x1.83809751344b6p-11, -0x1.45f5b0675cf81p-10, -0x1.e9954962822e9p-10, -0x1.535c5379a380fp-9, -0x1.bb475d9fec6b5p-9, -0x1.149b989826c87p-8, -0x1.4d261b395209dp-8, -0x1.862a693e4e04dp-8, -0x1.bef25a9342e88p-8, -0x1.f7296b34f84bp-8, -0x1.17699432c4eaap-7, -0x1.331e415b1026ep-7, -0x1.4ef55aec65b61p-7, -0x1.6b44de623988bp-7, -0x1.886dd5c9a896dp-7, -0x1.a6d4e5f3a5827p-7, -0x1.c6dbfcb353b8ap-7, -0x1.e8dd3a8c87f75p-7, -0x1.06938ccc6ca55p-6, -0x1.19fce0c2a57e5p-6, -0x1.2ec2b65bbb27fp-6, -0x1.44f4ddc9baef1p-6, -0x1.5c9ae7b978286p-6, -0x1.75b4831ebb89dp-6, -0x1.903a187fbdc9p-6, -0x1.ac1d915bcea64p-6, -0x1.c94b3c2b9e512p-6, -0x1.e7aabf9bf6974p-6, -0x1.039008ed9a4ep-5, -0x1.13c6357f87ae1p-5, -0x1.246795c971a88p-5, -0x1.3563591cb2d5cp-5, -0x1.46a88e7622663p-5, -0x1.582679e36b0f8p-5, -0x1.69ccde37187aep-5, -0x1.7b8c3b09b2e1ep-5, -0x1.8d55ff60f960cp-5, -0x1.9f1cb19944848p-5, -0x1.b0d40d5b8bbf5p-5, -0x1.c27118880f744p-5, -0x1.d3ea300d26348p-5, -0x1.e5370da619157p-5, -0x1.f650c77a08dfdp-5, -0x1.0398e54442a22p-4, -0x1.0beae8617db66p-4, -0x1.141ce9d0566cep-4, -0x1.1c2dfdf3f9a5bp-4, -0x1.241dc7aa07331p-4, -0x1.2bec6e559d246p-4, -0x1.339a936317ecbp-4, -0x1.3b29477c297e8p-4, -0x1.4299ff9bcaf57p-4, -0x1.49ee8a29f41a2p-4, -0x1.5129044045334p-4, -0x1.584bcf32c3a9p-4, -0x1.5f5986726c37fp-4, -0x1.6654f5daaa236p-4, -0x1.6d411076b48bap-4, -0x1.7420e7c84a4acp-4, -0x1.7af7a3964b533p-4, -0x1.81c87a471593p-4, -0x1.8896a9c875f74p-4, -0x1.8f65710527398p-4, -0x1.963809e66389ap-4, -0x1.9d11a3ded6398p-4, -0x1.a3f55efb4af8fp-4, -0x1.aae64774a701ap-4, -0x1.b1e751be203bp-4, -0x1.b8fb570a3a2dp-4, -0x1.c0251240cb1a2p-4, -0x1.c7671d5fee8adp-4, -0x1.cec3ef41b9824p-4, -0x1.d63dd9c0b0917p-4, -0x1.ddd708348a1c5p-4, -0x1.e5917e4155a8p-4, -0x1.ed6f16f2efc2ep-4, -0x1.f571841ee7adp-4, -0x1.fd9a4e071648fp-4, -0x1.02f5699bc8974p-3, -0x1.0732244d37f81p-3, -0x1.0b83dcde4cb37p-3, -0x1.0feb049f451ddp-3, -0x1.1467f8b64f795p-3, -0x1.18fb027d422ebp-3, -0x1.1da457eed7763p-3, -0x1.22641c2184414p-3, -0x1.273a5fce12ebdp-3, -0x1.2c2721e061a8dp-3, -0x1.312a50109e715p-3, -0x1.3643c783a2627p-3, -0x1.3b735570fdbd4p-3, -0x1.40b8b7cd8a586p-3, -0x1.46139df94c41p-3, -0x1.4b83a96faea6ap-3, -0x1.51086e7910c94p-3, -0x1.56a174dcd89b2p-3, -0x1.5c4e389341a7bp-3, -0x1.620e2a7624f99p-3, -0x1.67e0b0f036effp-3, -0x1.6dc528aa15a57p-3, -0x1.73bae534b3cdp-3, -0x1.79c131b0b4b48p-3, -0x1.7fd751725a6d2p-3, -0x1.85fc80a1ac631p-3, -0x1.8c2ff4d6a0b9ep-3, -0x1.9270ddb101303p-3, -0x1.98be656be93b9p-3, -0x1.9f17b16ca6d39p-3, -0x1.a57be2ccfecd9p-3, -0x1.abea16e09b9bfp-3, -0x1.b26167b5baac9p-3, -0x1.b8e0ec90fe027p-3, -0x1.bf67ba6469f5bp-3, -0x1.c5f4e4418ffbp-3, -0x1.cc877bc6ee5c5p-3, -0x1.d31e91889ae2p-3, -0x1.d9b935743cd05p-3, -0x1.e05677307423p-3, -0x1.e6f56677b8944p-3, -0x1.ed95136edd4b5p-3, -0x1.f4348ef7368fap-3, -0x1.fad2eafc9d502p-3, -0x1.00b79d5fa83fcp-2, -0x1.0404498cf333dp-2, -0x1.074f0561b1f95p-2, -0x1.0a975d46ccc9ap-2, -0x1.0ddcdecff1db2p-2, -0x1.111f18d73b273p-2, -0x1.145d9b97236d3p-2, -0x1.1797f8c2dce81p-2, -0x1.1acdc39d198efp-2, -0x1.1dfe910d5442ap-2, -0x1.2129f7b3a73a5p-2, -0x1.244f8ffb3dc1ep-2, -0x1.276ef42b77b7ap-2, -0x1.2a87c077bd778p-2, -0x1.2d99930e213cp-2, -0x1.30a40c24d258dp-2, -0x1.33a6ce066cdefp-2, -0x1.36a17d1d3b35fp-2, -0x1.3993bffd6a8d1p-2, -0x1.3c7d3f6e47afp-2, -0x1.3f5da67285fcfp-2, -0x1.4234a24f9ff3cp-2, -0x1.4501e2945cab9p-2, -0x1.47c5191e815b3p-2, -0x1.4a7dfa1fb5e84p-2, -0x1.4d2c3c21abe94p-2, -0x1.4fcf980988fa6p-2, -0x1.5267c91aa74eep-2, -0x1.54f48cf8a4232p-2, -0x1.5775a3a8d6029p-2, -0x1.59eacf932368p-2, -0x1.5c53d582491bcp-2, -0x1.5eb07ca390c1p-2, -0x1.61008e8606f75p-2, -0x1.6343d7192a768p-2, -0x1.657a24ab277f7p-2, -0x1.67a347e697b77p-2, -0x1.69bf13cfd8759p-2, -0x1.6bcd5dc1f23b8p-2, -0x1.6dcdfd6b1e1afp-2, -0x1.6fc0ccc8e825dp-2, -0x1.71a5a823f5835p-2, -0x1.737c6e0b72fedp-2, -0x1.7544ff503158dp-2, -0x1.76ff3eff6cb61p-2, -0x1.78ab125d50c43p-2, -0x1.7a4860df2b10dp-2, -0x1.7bd714255fcddp-2, -0x1.7d5717f519894p-2, -0x1.7ec85a31bd858p-2, -0x1.802acad6235fdp-2, -0x1.817e5bed9861p-2, -0x1.82c3018caaf31p-2, -0x1.83f8b1c9c777ep-2, -0x1.851f64b5a4bfcp-2, -0x1.8637145387988p-2, -0x1.873fbc91582ebp-2, -0x1.88395b3f97c4bp-2, -0x1.8923f0092e63ap-2, -0x1.89ff7c6b17907p-2, -0x1.8acc03abefc6dp-2, -0x1.8b898ad368721p-2, -0x1.8c3818a19ededp-2, -0x1.8cd7b5865b6d3p-2, -0x1.8d686b983c879p-2, -0x1.8dea468bcc0c8p-2, -0x1.8e5d53aa85542p-2, -0x1.8ec1a1c9c7db8p-2, -0x1.8f174141c1949p-2, -0x1.8f5e43e449d1cp-2, -0x1.8f96bcf3b365bp-2, -0x1.8fc0c11996d83p-2, -0x1.8fdc665d97544p-2, -0x1.8fe9c41c208cap-2, -0x1.8fe8f2fd24a06p-2, -0x1.8fda0cead7cc4p-2, -0x1.8fbd2d086c1ccp-2, -0x1.8f926fa8d2662p-2, -0x1.8f59f24577b91p-2, -0x1.8f13d3750f26ap-2, -0x1.8ec032e25f098p-2, -0x1.8e5f31431558fp-2, -0x1.8df0f04ea5a81p-2, -0x1.8d7592b533e6bp-2, -0x1.8ced3c16870cbp-2, -0x1.8c5810f90cec4p-2, -0x1.8bb636c0e822p-2, -0x1.8b07d3a70f2bap-2, -0x1.8a4d0eb07df7ep-2, -0x1.89860fa574a7bp-2, -0x1.88b2ff08ccbe1p-2, -0x1.87d4060f5fe6cp-2, -0x1.86e94e9782f8bp-2, -0x1.85f3032097667p-2, -0x1.84f14ec2b23b2p-2, -0x1.83e45d2659862p-2, -0x1.82cc5a7c5bb8cp-2, -0x1.81a97375bd73p-2, -0x1.807bd53bc1422p-2, -0x1.7f43ad680bf65p-2, -0x1.7e0129fcde143p-2, -0x1.7cb4795d6eb39p-2, -0x1.7b5dca465e8e4p-2, -0x1.79fd4bc648161p-2, -0x1.78932d366d024p-2, -0x1.771f9e3382a65p-2, -0x1.75a2ce9698ac2p-2, -0x1.741cee6e228cbp-2, -0x1.728e2df71cbe1p-2, -0x1.70f6bd96503a1p-2, -0x1.6f56cdd1ba85dp-2, -0x1.6dae8f4a0de9fp-2, -0x1.6bfe32b4585e4p-2, -0x1.6a45e8d3c69bep-2, -0x1.6885e2738aceap-2, -0x1.66be5060e12e7p-2, -0x1.64ef63653525p-2, -0x1.63194c406b64ap-2, -0x1.613c3ba347b3fp-2, -0x1.5f586229f8fd9p-2, -0x1.5d6df056c114bp-2, -0x1.5b7d168cc32d4p-2, -0x1.5986050aeeebp-2, -0x1.5788ebe710d25p-2, -0x1.5585fb0901828p-2, -0x1.537d6225f50b2p-2, -0x1.516f50bbed709p-2, -0x1.4f5bf60d4f0dep-2, -0x1.4d43811c918d4p-2, -0x1.4b2620a814f07p-2, -0x1.4904032618e7cp-2, -0x1.46dd56c0ce1b6p-2, -0x1.44b249528f0a2p-2, -0x1.4283086233bbcp-2, -0x1.404fc11f88329p-2, -0x1.3e18a05fe053ep-2, -0x1.3bddd29ace1eep-2, -0x1.399f83e6f0f4fp-2, -0x1.375ddff6eb96p-2, -0x1.3519121672bep-2, -0x1.32d145277c4d9p-2, -0x1.3086a39f8a992p-2, -0x1.2e39578518b3cp-2, -0x1.2be98a6d20acfp-2, -0x1.29976578bed5ap-2, -0x1.27431152f3cdep-2, -0x1.24ecb62e81672p-2, -0x1.22947bc3e1e9ep-2, -0x1.203a894f5c618p-2, -0x1.1ddf058f350fp-2, -0x1.1b8216c1f4b98p-2, -0x1.1923e2a4ce57cp-2, -0x1.16c48e721c093p-2, -0x1.14643edff6015p-2, -0x1.1203181ee2851p-2, -0x1.0fa13dd89e188p-2, -0x1.0d3ed32efd2eap-2, -0x1.0adbfabae3666p-2, -0x1.0878d68b52f7bp-2, -0x1.0615882493706p-2, -0x1.03b2307f6f4eep-2, -0x1.014ef00884874p-2, -0x1.fdd7cd3f5b515p-3, -0x1.f912672f011ffp-3, -0x1.f44deb69b9debp-3, -0x1.ef8a965d2a737p-3, -0x1.eac8a35a4d039p-3, -0x1.e6084c950929p-3, -0x1.e149cb23f822p-3, -0x1.dc8d570041a1dp-3, -0x1.d7d32705a9026p-3, -0x1.d31b70f2b4d99p-3, -0x1.ce666968f9bd5p-3, -0x1.c9b443ed8adacp-3, -0x1.c50532e985d2p-3, -0x1.c05967aac0df4p-3, -0x1.bbb1126493689p-3, -0x1.b70c6230c0d83p-3, -0x1.b26b85107ddbap-3, -0x1.adcea7ed90e63p-3, -0x1.a935f69b8eda1p-3, -0x1.a4a19bd930523p-3, -0x1.a011c151c3f2bp-3, -0x1.9b868f9eb251cp-3, -0x1.97002e492189fp-3, -0x1.927ec3cba7c18p-3, -0x1.8e0275941ab82p-3, -0x1.898b6805700b1p-3, -0x1.8519be79b4583p-3, -0x1.80ad9b4411551p-3, -0x1.7c471fb2ee494p-3, -0x1.77e66c121a35bp-3, -0x1.738b9fad0f7e8p-3, -0x1.6f36d8d141414p-3, -0x1.6ae834d07ce6fp-3, -0x1.669fd0035643cp-3, -0x1.625dc5cba8d36p-3, -0x1.5e22309722a21p-3, -0x1.59ed29e1d801bp-3, -0x1.55beca38ee1d7p-3, -0x1.5197293d44ac3p-3, -0x1.4d765da63681ep-3, -0x1.495c7d445da5p-3, -0x1.45499d045f4fbp-3, -0x1.413dd0f1c6029p-3, -0x1.3d392c39e5456p-3, -0x1.393bc12ebac3bp-3, -0x1.3545a149e6489p-3, -0x1.3156dd2f9b91cp-3, -0x1.2d6f84b19eb0dp-3, -0x1.298fa6d24938bp-3, -0x1.25b751c78da89p-3, -0x1.21e692fe0726dp-3, -0x1.1e1d771c093ccp-3, -0x1.1a5c0a04aeb0ap-3, -0x1.16a256daf591cp-3, -0x1.12f06804d43a8p-3, -0x1.0f46472e563dep-3, -0x1.0ba3fd4cb9542p-3, -0x1.080992a18a483p-3, -0x1.04770ebdc2c5ap-3, -0x1.00ec7884eb8cfp-3, -0x1.fad3ac606d7a4p-4, -0x1.f3de5aa347942p-4, -0x1.ecf905ae2ac03p-4, -0x1.e623b61aee3a4p-4, -0x1.df5e73479fde8p-4, -0x1.d8a9435cc34b2p-4, -0x1.d2042b537156dp-4, -0x1.cb6f2efb8ca3dp-4, -0x1.c4ea5101d84b1p-4, -0x1.be7592f61c99bp-4, -0x1.b810f55136b2dp-4, -0x1.b1bc777b1f64dp-4, -0x1.ab7817d0fc8dcp-4, -0x1.a543d3ab12d43p-4, -0x1.9f1fa762b760fp-4, -0x1.990b8e583de67p-4, -0x1.930782f8d42fap-4, -0x1.8d137ec455103p-4, -0x1.872f7a53103f3p-4, -0x1.815b6d5b88defp-4, -0x1.7b974eb82402cp-4, -0x1.75e3146ccf1ccp-4, -0x1.703eb3ac963cap-4, -0x1.6aaa20df2dd0bp-4, -0x1.65254fa671abdp-4, -0x1.5fb032e3d246bp-4, -0x1.5a4abcbdb8db2p-4, -0x1.54f4dea4d582p-4, -0x1.4fae895968be5p-4, -0x1.4a77acf076563p-4, -0x1.455038d8eb822p-4, -0x1.40381be0b7bc7p-4, -0x1.3b2f4439d1565p-4, -0x1.36359f7f327c5p-4, -0x1.314b1ab9bc04p-4, -0x1.2c6fa265107c6p-4, -0x1.27a322745b034p-4, -0x1.22e5865706cbfp-4, -0x1.1e36b8fd66d1bp-4, -0x1.1996a4dd4a01fp-4, -0x1.150533f68614ap-4, -0x1.10824fd7644edp-4, -0x1.0c0de1a10d643p-4, -0x1.07a7d20bd8d94p-4, -0x1.0350096b906e1p-4, -0x1.fe0cdf673e439p-5, -0x1.f595d8f66ba96p-5, -0x1.ed3ace02aa58fp-5, -0x1.e4fb8c619bf2p-5, -0x1.dcd7e1486002ep-5, -0x1.d4cf995342225p-5, -0x1.cce2808d5c139p-5, -0x1.c5106277f9499p-5, -0x1.bd590a11f2acp-5, -0x1.b5bc41dedebc4p-5, -0x1.ae39d3ee188f4p-5, -0x1.a6d189e1aaa1bp-5, -0x1.9f832cf51e3b1p-5, -0x1.984e86041e7b3p-5, -0x1.91335d9103d4fp-5, -0x1.8a317bcb30bdap-5, -0x1.8348a8955ee1p-5, -0x1.7c78ab8bbcd5ap-5, -0x1.75c14c09f27c2p-5, -0x1.6f22513100c6ep-5, -0x1.689b81ed06c43p-5, -0x1.622ca4fae3793p-5, -0x1.5bd580edafa11p-5, -0x1.5595dc342a0c9p-5, -0x1.4f6d7d1df428ep-5, -0x1.495c29e0b4221p-5, -0x1.4361a89d20819p-5, -0x1.3d7dbf63df1d6p-5, -0x1.37b0343a5431cp-5, -0x1.31f8cd1f4255bp-5, -0x1.2c57500f5e789p-5, -0x1.26cb8309bd863p-5, -0x1.21552c1426991p-5, -0x1.1bf4113f430bep-5, -0x1.16a7f8aabbe4fp-5, -0x1.1170a88935d4ep-5, -0x1.0c4de7243169dp-5, -0x1.073f7adfce684p-5, -0x1.02452a3e7a081p-5, -0x1.fabd77c8f788ap-6, -0x1.f117ed36ce277p-6, -0x1.e79942aafe1c8p-6, -0x1.de410661dc2f3p-6, -0x1.d50ec6f5ec4c5p-6, -0x1.cc021365f0739p-6, -0x1.c31a7b1adfb7fp-6, -0x1.ba578ded9c83p-6, -0x1.b1b8dc2c836fdp-6, -0x1.a93df6a0c77bfp-6, -0x1.a0e66e939b8dbp-6, -0x1.98b1d5d33e6cap-6, -0x1.909fbeb7c10f7p-6, -0x1.88afbc27b2e11p-6, -0x1.80e1619ca69dp-6, -0x1.7934432775bafp-6, -0x1.71a7f5746a84bp-6, -0x1.6a3c0dcf4a821p-6, -0x1.62f022271430ap-6, -0x1.5bc3c911c5e19p-6, -0x1.54b699cfce09fp-6, -0x1.4dc82c4f7759dp-6, -0x1.46f819301d3c5p-6, -0x1.4045f9c53ff8bp-6, -0x1.39b1681979dd3p-6, -0x1.3339fef14544cp-6, -0x1.2cdf59cda72a3p-6, -0x1.26a114eebc2e2p-6, -0x1.207ecd5618933p-6, -0x1.1a7820c90ee56p-6, -0x1.148cadd2cfed6p-6, -0x1.0ebc13c6763b8p-6, -0x1.0905f2c0edcfcp-6, -0x1.0369ebaab0205p-6, -0x1.fbcf4072faa06p-7, -0x1.f0fd65e3b762fp-7, -0x1.e65d8e512a56dp-7, -0x1.dbef02080af5bp-7, -0x1.d1b10afaa6ac7p-7, -0x1.c7a2f4c32bbb7p-7, -0x1.bdc40ca5bbcafp-7, -0x1.b413a1921eccp-7, -0x1.aa910425bacfep-7, -0x1.a13b86acaab0bp-7, -0x1.98127d235d3eap-7, -0x1.8f153d378e5adp-7, -0x1.86431e493097p-7, -0x1.7d9b796b45f24p-7, -0x1.751da96472368p-7, -0x1.6cc90aaf80ac3p-7, -0x1.649cfb7b8cea7p-7, -0x1.5c98dbac47cd5p-7, -0x1.54bc0cd9e6922p-7, -0x1.4d05f2510f23dp-7, -0x1.4575f11270a96p-7, -0x1.3e0b6fd278168p-7, -0x1.36c5d6f8a7b56p-7, -0x1.2fa4909f0799p-7, -0x1.28a708914252dp-7, -0x1.21ccac4bc0f42p-7, -0x1.1b14eafa9fef4p-7, -0x1.147f35789a1efp-7, -0x1.0e0afe4da7aa4p-7, -0x1.07b7b9adb5411p-7, -0x1.0184dd773f0f3p-7, -0x1.f6e3c26344283p-8, -0x1.eafc7c170acfcp-8, -0x1.df52ddb22042cp-8, -0x1.d3e5e0246c126p-8, -0x1.c8b47fa1288b1p-8, -0x1.bdbdbb9b67469p-8, -0x1.b30096c168d7ap-8, -0x1.a87c16f8a92bp-8, -0x1.9e2f455956ba2p-8, -0x1.94192e299dd47p-8, -0x1.8a38e0d9151fep-8, -0x1.808d6ffbce562p-8, -0x1.7715f14563a1ap-8, -0x1.6dd17d83ddda6p-8, -0x1.64bf309a7823bp-8, -0x1.5bde297c5f08dp-8, -0x1.532d8a2753bc6p-8, -0x1.4aac779df0c3ep-8, -0x1.425a19e251ffep-8, -0x1.3a359bf0443b7p-8, -0x1.323e2bb76faa9p-8, -0x1.2a72fa15a30f3p-8, -0x1.22d33ad0c7548p-8, -0x1.1b5e249101e38p-8, -0x1.1412f0da7c556p-8, -0x1.0cf0dc0761a07p-8, -0x1.05f7254199bp-8, -0x1.fe4a1cf9691bap-9, -0x1.f0f3b8dec4478p-9, -0x1.e3e9ad1af7974p-9, -0x1.d72a8e027fa96p-9, -0x1.cab4f54a4e011p-9, -0x1.be8781faa3b5dp-9, -0x1.b2a0d86257a8bp-9, -0x1.a6ffa209cf9a3p-9, -0x1.9ba28da58ae8dp-9, -0x1.90884f0980fc2p-9, -0x1.85af9f1bb474cp-9, -0x1.7b173bc735448p-9, -0x1.70bde7ee8a365p-9, -0x1.66a26b5f12291p-9, -0x1.5cc392c315362p-9, -0x1.53202f94ffa42p-9, -0x1.49b71811e9d59p-9, -0x1.4087272c6334fp-9, -0x1.378f3c7ee39eap-9, -0x1.2ece3c3f239a2p-9, -0x1.26430f303a72ap-9, -0x1.1deca295d92a4p-9, -0x1.15c9e826d1d86p-9, -0x1.0dd9d5ffdb446p-9, -0x1.061b6696d3ba3p-9, -0x1.fd1b3159e6cfp-10, -0x1.ee5ede84b1decp-10, -0x1.dfffe3113395p-10, -0x1.d1fc55ac0eb8cp-10, -0x1.c45255307ea73p-10, -0x1.b70008901dde5p-10, -0x1.aa039eb72b30fp-10, -0x1.9d5b4e74c7aap-10, -0x1.910556602cb12p-10, -0x1.84fffcc0392a5p-10, -0x1.79498f717ea68p-10, -0x1.6de063cd7fb2ep-10, -0x1.62c2d691acdaap-10, -0x1.57ef4bc6812f5p-10, -0x1.4d642ea6e49f8p-10, -0x1.431ff187b374ep-10, -0x1.39210dbf19e96p-10, -0x1.2f66038cc4882p-10, -0x1.25ed5a0137419p-10, -0x1.1cb59ee6c2d48p-10, -0x1.13bd66a8f146fp-10, -0x1.0b034c3d60497p-10, -0x1.0285f10c9903bp-10, -0x1.f487f9b4e14b5p-11, -0x1.e4783b5e5aa8p-11, -0x1.d4da0f818e73ep-11, -0x1.c5aaeab84c3c5p-11, -0x1.b6e84d9da15d3p-11, -0x1.a88fc4a0fbec5p-11, -0x1.9a9ee7d9c5e46p-11, -0x1.8d135adcb5289p-11, -0x1.7feacc8ee7e8ap-11, -0x1.7322f6fc5e54ep-11, -0x1.66b99f2c25394p-11, -0x1.5aac94f77ca1bp-11, -0x1.4ef9b2de5c147p-11, -0x1.439edddf70ef2p-11, -0x1.389a054f27181p-11, -0x1.2de922ada86cdp-11, -0x1.238a3980664ffp-11, -0x1.197b57295bffcp-11, -0x1.0fba92c03b982p-11, -0x1.06460cea903d1p-11, -0x1.fa37df6d84607p-12, -0x1.e874dce94f172p-12, -0x1.d73f8b20ad99bp-12, -0x1.c69474da7e5d1p-12, -0x1.b6703680bab22p-12, -0x1.a6cf7dd8ffccap-12, -0x1.97af09bcd1fbbp-12, -0x1.890ba9d0feb49p-12, -0x1.7ae23e3fe3e84p-12, -0x1.6d2fb775577aap-12, -0x1.5ff115d636569p-12, -0x1.5323698069bcep-12, -0x1.46c3d2057b9cbp-12, -0x1.3acf7e2878b2bp-12, -0x1.2f43ab9dc0408p-12, -0x1.241da6c9307aap-12, -0x1.195aca7de84a3p-12, -0x1.0ef87fc08569ap-12, -0x1.04f43d87eae83p-12, -0x1.f6971100fe2a2p-13, -0x1.e3f7e59ce622ep-13, -0x1.d20637a622027p-13, -0x1.c0bd5fe1ec534p-13, -0x1.b018d0a28fd33p-13, -0x1.a0141558ace4cp-13, -0x1.90aad21a9f955p-13, -0x1.81d8c33b3591bp-13, -0x1.7399bcd80b99p-13, -0x1.65e9aa6b6b26ep-13, -0x1.58c48e65360f6p-13, -0x1.4c2681bbac093p-13, -0x1.400bb38737fa4p-13, -0x1.34706897c5bdap-13, -0x1.2950fb1335ae4p-13, -0x1.1ea9da0d76644p-13, -0x1.14778928ed0cp-13, -0x1.0ab6a03310f68p-13, -0x1.0163cac6204dep-13, -0x1.f0f78fd1a4f4ep-14, -0x1.dff6d367575dep-14, -0x1.cfbf29e833cd7p-14, -0x1.c04a81a1c01e6p-14, -0x1.b192eceb2913cp-14, -0x1.a392a169f906ep-14, -0x1.9643f76ee1d8dp-14, -0x1.89a16947c19bbp-14, -0x1.7da5929a23691p-14, -0x1.724b2fbc5d559p-14, -0x1.678d1d1711b65p-14, -0x1.5d6656803b935p-14, -0x1.53d1f6a33f966p-14, -0x1.4acb3664730cp-14, -0x1.424d6c46fa3a9p-14, -0x1.3a540bdadaaadp-14, -0x1.32daa523c4c3bp-14, -0x1.2bdce40fd0b9ap-14, -0x1.25568fe326f1ap-14, -0x1.1f438aacf7b26p-14, -0x1.199fd0bd10d1cp-14, -0x1.1467781d79a0dp-14, -0x1.0f96b00d637ebp-14, -0x1.0b29c07a217a1p-14, -0x1.071d09822928fp-14, -0x1.036d02f3b38c5p-14, -0x1.00163bcf891fcp-14, -0x1.fa2ab3a2b8a88p-15, -0x1.f4ce31e5f0531p-15, -0x1.f01095eeb43e2p-15, -0x1.ebebadf2f26ecp-15, -0x1.e85971e3736d6p-15, -0x1.e554029b23351p-15, -0x1.e2d5a8f778ee9p-15, -0x1.e0d8d5045ed2bp-15, -0x1.df581d20606cbp-15, -0x1.de4e3d32d9abbp-15, -0x1.ddb615d6f437cp-15, -0x1.dd8aab93d7ec2p-15, -0x1.ddc7261465241p-15, -0x1.de66cf66d9a6dp-15, -0x1.df6513383dcbp-15, -0x1.e0bd7e1c4b8dap-15, -0x1.e26bbccf02875p-15, -0x1.e46b9b86a9853p-15, -0x1.e6b905391b744p-15, -0x1.e95002f102099p-15, -0x1.ec2cbb243eb2ep-15, -0x1.ef4b71023a6dfp-15, -0x1.f2a883d9e03afp-15, -0x1.f6406e6dd0091p-15, -0x1.fa0fc657d5afcp-15, -0x1.fe133b70bd835p-15, -0x1.0123cb963f10dp-14, -0x1.0354de07ef58fp-14, -0x1.059b528865926p-14, -0x1.07f5b2879850dp-14, -0x1.0a62931fc17dcp-14, -0x1.0ce094d1ddda5p-14, -0x1.0f6e633f72a0bp-14, -0x1.120ab4e92d0f3p-14, -0x1.14b44aebd9b6p-14, -0x1.1769f0c032a66p-14, -0x1.1a2a7bfb17329p-14, -0x1.1cf4cc11a97eep-14, -0x1.1fc7ca185beffp-14, -0x1.22a2688c797b4p-14, -0x1.2583a314f400ep-14, -0x1.286a7e4c4cce7p-14, -0x1.2b56078720c3fp-14, -0x1.2e45549dc5b86p-14, -0x1.313783b42bcfbp-14, -0x1.342bbb0a36d9bp-14, -0x1.372128c12a0ep-14, -0x1.3a1702af08935p-14, -0x1.3d0c8628d8432p-14, -0x1.4000f7d4ca8b4p-14, -0x1.42f3a377c7062p-14, -0x1.45e3dbca14c59p-14, -0x1.48d0fa4678431p-14, -0x1.4bba5f001fd7ep-14, -0x1.4e9f707460b6ep-14, -0x1.517f9b61f49f5p-14, -0x1.545a529e75626p-14, -0x1.572f0eeb81378p-14, -0x1.59fd4ed132099p-14, -0x1.5cc496756936dp-14, -0x1.5f846f7473085p-14, -0x1.623c68bd86f8fp-14, -0x1.64ec166b3ead6p-14, -0x1.679311a24a9f7p-14, -0x1.6a30f86a87cb4p-14, -0x1.6cc56d914328dp-14, -0x1.6f501882cd175p-14, -0x1.71d0a52c1feeep-14, -0x1.7446c3d98ba98p-14, -0x1.76b22917c8614p-14, -0x1.79128d9408194p-14, -0x1.7b67adfeca833p-14, -0x1.7db14aed97903p-14, -0x1.7fef28be59998p-14, -0x1.82210f7b7f7e7p-14, -0x1.8446cabfb44b8p-14, -0x1.8660299b1e55fp-14, -0x1.886cfe7948c0dp-14, -0x1.8a6d1f0755f84p-14, -0x1.8c60641a6c8a8p-14, -0x1.8e46a9978aaadp-14, -0x1.901fce5b44d01p-14, -0x1.91ebb4224a1eap-14, -0x1.93aa3f73450a8p-14, -0x1.955b57868004ap-14, -0x1.96fee632922f8p-14, -0x1.9894d7d5174ecp-14, -0x1.9a1d1b3ec66c9p-14, -0x1.9b97a19e954d2p-14, -0x1.9d045e6e9599p-14, -0x1.9e63475fe1b7p-14, -0x1.9fb45447dc243p-14, -0x1.a0f77f0e1f27fp-14, -0x1.a22cc39a2a0f5p-14, -0x1.a3541fc15bddep-14, -0x1.a46d9336e5804p-14, -0x1.a5791f79fd3bcp-14, -0x1.a676c7c663277p-14, -0x1.a7669103d0673p-14, -0x1.a84881b7093c3p-14, -0x1.a91ca1f2416d4p-14, -0x1.a9e2fb46e1c3ap-14, -0x1.aa9b98b6a5ff8p-14, -0x1.ab4686a5d0387p-14, -0x1.abe3d2cdda577p-14, -0x1.ac738c2f7539ap-14, -0x1.acf5c30695d7cp-14, -0x1.ad6a88bcae0e1p-14, -0x1.add1efdd2edc4p-14, -0x1.ae2c0c091cda6p-14, -0x1.ae78f1ec15fa7p-14, -0x1.aeb8b73047449p-14, -0x1.aeeb72736d305p-14, -0x1.af113b3cb1925p-14, -0x1.af2a29f18f22cp-14, -0x1.af3657cbb69f7p-14, -0x1.af35decf703a1p-14, -0x1.af28d9c1eb035p-14, -0x1.af0f641fb5c48p-14, -0x1.aee99a139753p-14, -0x1.aeb7986e056b3p-14, -0x1.ae797c9c12a19p-14, -0x1.ae2f649f9eca2p-14, -0x1.add96f0668f1p-14, -0x1.ad77bae2fce83p-14, -0x1.ad0a67c479659p-14, -0x1.ac9195af3ae9p-14, -0x1.ac0d6515db4dbp-14, -0x1.ab7df6d1c5453p-14, -0x1.aae36c1c9e31dp-14, -0x1.aa3de6896624cp-14, -0x1.a98d87fe8773cp-14, -0x1.a8d272af275bp-14, -0x1.a80cc9151e27bp-14, -0x1.a73cadeb2ca22p-14, -0x1.a662442787f03p-14, -0x1.a57daef5dac1ap-14, -0x1.a48f11b25f829p-14, -0x1.a3968fe456a04p-14, -0x1.a2944d3958c16p-14, -0x1.a1886d803aee7p-14, -0x1.a07314a466039p-14, -0x1.9f5466a93a06bp-14, -0x1.9e2c87a600e2fp-14, -0x1.9cfb9bc106156p-14, -0x1.9bc1c72c3996bp-14, -0x1.9a7f2e208213cp-14, -0x1.9933f4da58d0fp-14, -0x1.97e03f960163cp-14, -0x1.9684328bb04fap-14, -0x1.951ff1ec43e98p-14, -0x1.93b3a1ddf3819p-14, -0x1.923f66791681ap-14, -0x1.90c363c4de099p-14, -0x1.8f3fbdb4719fcp-14, -0x1.8db498240f4d7p-14, -0x1.8c2216d6504d5p-14, -0x1.8a885d7142da2p-14, -0x1.88e78f7bfbc88p-14, -0x1.873fd05c3ea67p-14, -0x1.85914353cc516p-14, -0x1.83dc0b7e3a486p-14, -0x1.82204bced91ebp-14, -0x1.805e270e94fdep-14, -0x1.7e95bfd9c1f9bp-14, -0x1.7cc7389e4868dp-14, -0x1.7af2b399e0bbap-14, -0x1.791852d81637ep-14, -0x1.77383830b062cp-14, -0x1.7552854648bbep-14, -0x1.73675b845bb48p-14, -0x1.7176dc1deb627p-14, -0x1.6f81280c3f34bp-14, -0x1.6d86600d7e2f2p-14, -0x1.6b86a4a349b0dp-14, -0x1.698216119e1fbp-14, -0x1.6778d45d9b144p-14, -0x1.656aff4c96196p-14, -0x1.6358b662f1702p-14, -0x1.614218e31b5a8p-14, -0x1.5f2745ccadd48p-14, -0x1.5d085bdb8bc6bp-14, -0x1.5ae5798732772p-14, -0x1.58bebd01d631bp-14, -0x1.56944437a1875p-14, -0x1.54662cce22d8dp-14, -0x1.52349423ba6c1p-14, -0x1.4fff974ed83a7p-14, -0x1.4dc7531da463ap-14, -0x1.4b8be4156aebbp-14, -0x1.494d6672289e6p-14, -0x1.470bf62648c3dp-14, -0x1.44c7aeda1cc29p-14, -0x1.4280abeb7a7bep-14, -0x1.4037086d8ba84p-14, -0x1.3deadf28bff87p-14, -0x1.3b9c4a9a38a53p-14, -0x1.394b64f3abcacp-14, -0x1.36f8481b76c88p-14, -0x1.34a30dac49966p-14, -0x1.324bcef514c0ep-14, -0x1.2ff2a4f9045ep-14, -0x1.2d97a86f7d2b5p-14, -0x1.2b3af1c3ea4b5p-14, -0x1.28dc99160048ep-14, -0x1.267cb6398a4a8p-14, -0x1.241b60b6c19edp-14, -0x1.21b8afca272fdp-14, -0x1.1f54ba64a8708p-14, -0x1.1cef972ba8312p-14, -0x1.1a895c798eea4p-14, -0x1.1822205daf2d4p-14, -0x1.15b9f89c43d6dp-14, -0x1.1350faaeec8a2p-14, -0x1.10e73bc4dc58bp-14, -0x1.0e7cd0c3144e9p-14, -0x1.0c11ce4497822p-14, -0x1.09a6489ac15ep-14, -0x1.073a53cd91a63p-14, -0x1.04ce039bfe6fcp-14, -0x1.02616b7c41c48p-14, -0x1.ffe93d3846fefp-15, -0x1.fb0f5fc2e56eep-15, -0x1.f63563d45b79bp-15, -0x1.f15b6e1a201cp-15, -0x1.ec81a2b405238p-15, -0x1.e7a825348c366p-15, -0x1.e2cf18a1e9df3p-15, -0x1.ddf69f7736b6dp-15, -0x1.d91edba4fdb4ep-15, -0x1.d447ee91e752dp-15, -0x1.cf71f91b971f5p-15, -0x1.ca9d1b983e2fbp-15, -0x1.c5c975d70ec6ep-15, -0x1.c0f72720ef656p-15, -0x1.bc264e39fa7e6p-15, -0x1.b75709620d807p-15, -0x1.b2897655dc181p-15, -0x1.adbdb24fee8ccp-15, -0x1.a8f3da09bac76p-15, -0x1.a42c09bc7f03bp-15, -0x1.9f665d2281c07p-15, }}, 
      {{-0x1.416239f6f8b8p-7, -0x1.3d0db07668a44p-6, -0x1.d2f89d3620ea2p-6, -0x1.312b6396da475p-5, -0x1.760c2f01b9323p-5, -0x1.b8b5867a5354cp-5, -0x1.f9a1e8ede308fp-5, -0x1.1c8cdf648d009p-4, -0x1.3b9a7cc3f4ef7p-4, -0x1.59f3e7e6afd04p-4, -0x1.778938df4f50ap-4, -0x1.94479f52c5926p-4, -0x1.b01ec59605d6p-4, -0x1.cb04441073771p-4, -0x1.e4f55247b6c87p-4, -0x1.fdf70fc8cfc42p-4, -0x1.0b0ae575eb71fp-3, -0x1.16b1d299b1831p-3, -0x1.21fb7304f8c12p-3, -0x1.2cf41d40e4cc3p-3, -0x1.37a887677de4ap-3, -0x1.42250f22a404cp-3, -0x1.4c7524c3a81d9p-3, -0x1.56a2dc3d243c1p-3, -0x1.60b6a325fb1eep-3, -0x1.6ab718832f23dp-3, -0x1.74a901ac654a1p-3, -0x1.7e8f56f91630ap-3, -0x1.886b62cd547d4p-3, -0x1.923cede6d389p-3, -0x1.9c0274509fe6dp-3, -0x1.a5b95f09be559p-3, -0x1.af5e3f1b8986p-3, -0x1.b8ed078a5ca0fp-3, -0x1.c261442bf1a53p-3, -0x1.cbb64bfe61ba7p-3, -0x1.d4e76e155fa69p-3, -0x1.ddf01899bd281p-3, -0x1.e6cbf9a9728d6p-3, -0x1.ef771a26adc29p-3, -0x1.f7edf2b47b67ap-3, -0x1.0016bda1090c3p-2, -0x1.04199ace519dcp-2, -0x1.07fe99c69e8eap-2, -0x1.0bc50c872e31bp-2, -0x1.0f6c8d92a6186p-2, -0x1.12f4fdf3c1b5p-2, -0x1.165e8216a2523p-2, -0x1.19a97db4de04cp-2, -0x1.1cd68f0b338cfp-2, -0x1.1fe6898a4b0ep-2, -0x1.22da702e4f1c4p-2, -0x1.25b36fa3904eep-2, -0x1.2872d85921f2ep-2, -0x1.2b1a189d4758cp-2, -0x1.2daab6dae941bp-2, -0x1.30264c0af865ap-2, -0x1.328e7e68d3df3p-2, -0x1.34e4fc75404dp-2, -0x1.372b7850886fap-2, -0x1.3963a3719bf7ap-2, -0x1.3b8f2abdc1f17p-2, -0x1.3dafb302736f1p-2, -0x1.3fc6d5d14e98cp-2, -0x1.41d61ebca5478p-2, -0x1.43df08f21372ep-2, -0x1.45e2fd2f992b5p-2, -0x1.47e3500f04ce4p-2, -0x1.49e140a2e8febp-2, -0x1.4bddf76001f6cp-2, -0x1.4dda854da6f8ep-2, -0x1.4fd7e377c3387p-2, -0x1.51d6f29cca19ap-2, -0x1.53d87b122291ep-2, -0x1.55dd2cd99a8e5p-2, -0x1.57e59fe2a488bp-2, -0x1.59f2547251d38p-2, -0x1.5c03b3ad2e491p-2, -0x1.5e1a103e759a3p-2, -0x1.6035a71849f82p-2, -0x1.6256a048f2d51p-2, -0x1.647d0fe16332fp-2, -0x1.66a8f6e99540ep-2, -0x1.68da445f9c26dp-2, -0x1.6b10d63e860cfp-2, -0x1.6d4c7a8a77244p-2, -0x1.6f8cf05fa78ecp-2, -0x1.71d1e90229d45p-2, -0x1.741b08eca905p-2, -0x1.7667e8dc6ea5bp-2, -0x1.78b816d956b6ap-2, -0x1.7b0b17386637cp-2, -0x1.7d60659809eaep-2, -0x1.7fb775d50afddp-2, -0x1.820fb4f7919cdp-2, -0x1.84688a178e4b7p-2, -0x1.86c1573820064p-2, -0x1.89197a1996dcep-2, -0x1.8b704d01d6c23p-2, -0x1.8dc5277af4508p-2, -0x1.90175f07f350dp-2, -0x1.926647cfa9a86p-2, -0x1.94b1353dd530ap-2, -0x1.96f77a9a809f3p-2, -0x1.99386b97db1cep-2, -0x1.9b735cd6be5d5p-2, -0x1.9da7a46211d48p-2, -0x1.9fd49a2155cf4p-2, -0x1.a1f9984297f67p-2, -0x1.a415fb9c1ea44p-2, -0x1.a629240616419p-2, -0x1.a83274ac966cbp-2, -0x1.aa31545a4c539p-2, -0x1.ac252dbc20023p-2, -0x1.ae0d6f9e2360bp-2, -0x1.afe98d22273bbp-2, -0x1.b1b8fdf039319p-2, -0x1.b37b3e6169837p-2, -0x1.b52fcfa51dd6ap-2, -0x1.b6d637e140817p-2, -0x1.b86e024d99cb9p-2, -0x1.b9f6bf4a94a8ep-2, -0x1.bb700473befb5p-2, -0x1.bcd96cae3cc51p-2, -0x1.be329833774ddp-2, -0x1.bf7b2c98471f1p-2, -0x1.c0b2d4d0cafacp-2, -0x1.c1d941312ea5cp-2, -0x1.c2ee276b93397p-2, -0x1.c3f1428b4b1f3p-2, -0x1.c4e252ed9eecap-2, -0x1.c5c11e3844093p-2, -0x1.c68d6f4db73ep-2, -0x1.c747163fa1052p-2, -0x1.c7ede83f6c7cep-2, -0x1.c881bf8d34a0bp-2, -0x1.c9027b652fcc7p-2, -0x1.c96fffebb53f5p-2, -0x1.c9ca361802716p-2, -0x1.ca110b9dd4e72p-2, -0x1.ca4472d5fe566p-2, -0x1.ca6462a60989dp-2, -0x1.ca70d667043fp-2, -0x1.ca69cdcb90bccp-2, -0x1.ca4f4cc545bbfp-2, -0x1.ca215b6982032p-2, -0x1.c9e005d5ba4fbp-2, -0x1.c98b5c135b7ddp-2, -0x1.c92371fb4cd03p-2, -0x1.c8a85f1927736p-2, -0x1.c81a3e8e306e4p-2, -0x1.c7792ef423f47p-2, -0x1.c6c5523fdbc6cp-2, -0x1.c5fecda3e4dd5p-2, -0x1.c525c9730a135p-2, -0x1.c43a7102e0947p-2, -0x1.c33cf28e625d9p-2, -0x1.c22d7f189e4abp-2, -0x1.c10c4a4f8ae2cp-2, -0x1.bfd98a6efb71ep-2, -0x1.be957823cddffp-2, -0x1.bd404e6f4b1a7p-2, -0x1.bbda4a8ac9e81p-2, -0x1.ba63abcb97a95p-2, -0x1.b8dcb3872c4efp-2, -0x1.b745a4f7b1dfbp-2, -0x1.b59ec520e465p-2, -0x1.b3e85ab54d526p-2, -0x1.b222adfbe01f2p-2, -0x1.b04e08b5fe3acp-2, -0x1.ae6ab605e48efp-2, -0x1.ac79025584c23p-2, -0x1.aa793b3dd1442p-2, -0x1.a86baf6e7d056p-2, -0x1.a650ae9631ee8p-2, -0x1.a428894b3ef76p-2, -0x1.a1f390f4c4e8cp-2, -0x1.9fb217b45e42ap-2, -0x1.9d6470504870ap-2, -0x1.9b0aee1e0c18p-2, -0x1.98a5e4edaa38ep-2, -0x1.9635a8f54b0cdp-2, -0x1.93ba8ebd7147p-2, -0x1.9134eb0db61c9p-2, -0x1.8ea512da04d6dp-2, -0x1.8c0b5b3064759p-2, -0x1.896819273ff9cp-2, -0x1.86bba1cc3da15p-2, -0x1.84064a13937a1p-2, -0x1.814866c7ebc61p-2, -0x1.7e824c7ac7289p-2, -0x1.7bb44f7569cdap-2, -0x1.78dec3aa4ba11p-2, -0x1.7601fca70b253p-2, -0x1.731e4d86e58bdp-2, -0x1.703408e5af3bep-2, -0x1.6d4380d350b8ap-2, -0x1.6a4d06c7bd5bdp-2, -0x1.6750eb9770a54p-2, -0x1.644f7f6860f7p-2, -0x1.614911a7739f9p-2, -0x1.5e3df0fe67a34p-2, -0x1.5b2e6b4a3c8bdp-2, -0x1.581acd920b212p-2, -0x1.550363fe5946bp-2, -0x1.51e879d0db5c9p-2, -0x1.4eca595cab7dep-2, -0x1.4ba94bfeedd1ep-2, -0x1.48859a17e1ef8p-2, -0x1.455f8b0462a4ep-2, -0x1.42376517cbc74p-2, -0x1.3f0d6d96483fdp-2, -0x1.3be1e8af88c3dp-2, -0x1.38b51979d6e93p-2, -0x1.358741ed8f252p-2, -0x1.3258a2e0f6456p-2, -0x1.2f297c046c26bp-2, -0x1.2bfa0bdef893cp-2, -0x1.28ca8fcb2faa6p-2, -0x1.259b43f46ce4p-2, -0x1.226c635461af2p-2, -0x1.1f3e27b0f251p-2, -0x1.1c10c99a6576dp-2, -0x1.18e48069de1a4p-2, -0x1.15b98240210bep-2, -0x1.12900404a1bc8p-2, -0x1.0f683964d413ep-2, -0x1.0c4254d3c515dp-2, -0x1.091e8789f18bp-2, -0x1.05fd01855e312p-2, -0x1.02ddf189eb4b3p-2, -0x1.ff830a43c9c5fp-3, -0x1.f94fd13d94087p-3, -0x1.f3228e3499686p-3, -0x1.ecfb94ef08f96p-3, -0x1.e6db36c8a9ba2p-3, -0x1.e0c1c2b60837cp-3, -0x1.daaf8547fecabp-3, -0x1.d4a4c8af9a2fep-3, -0x1.cea1d4c250d08p-3, -0x1.c8a6eefe8cb89p-3, -0x1.c2b45a9080524p-3, -0x1.bcca58574b2c2p-3, -0x1.b6e926ea5d336p-3, -0x1.b111029f220eep-3, -0x1.ab42258eea0cbp-3, -0x1.a57cc79d0dfedp-3, -0x1.9fc11e7d49a0ap-3, -0x1.9a0f5dba500bp-3, -0x1.9467b6bc8fa76p-3, -0x1.8eca58d1205bep-3, -0x1.89377130e59dp-3, -0x1.83af2b07d1ebfp-3, -0x1.7e31af7c53acdp-3, -0x1.78bf25b6e44a4p-3, -0x1.7357b2e9b6231p-3, -0x1.6dfb7a588302bp-3, -0x1.68aa9d606ed5ap-3, -0x1.63653b800bca6p-3, -0x1.5e2b725f6ac26p-3, -0x1.58fd5dd846275p-3, -0x1.53db17fe3ad2bp-3, -0x1.4ec4b9270d45dp-3, -0x1.49ba57f3031d7p-3, -0x1.44bc09553ba3ep-3, -0x1.3fc9e09c1adbbp-3, -0x1.3ae3ef79b72ebp-3, -0x1.360a460c471bdp-3, -0x1.313cf2e69b36dp-3, -0x1.2c7c03188e799p-3, -0x1.27c782377cbf2p-3, -0x1.231f7a66b85c2p-3, -0x1.1e83f45fef01fp-3, -0x1.19f4f77b9a10ap-3, -0x1.157289b95e327p-3, -0x1.10fcafc85dc5cp-3, -0x1.0c936d0f8ecbdp-3, -0x1.0836c3b5fbbafp-3, -0x1.03e6b4aafaa3fp-3, -0x1.ff467f5cac88ep-4, -0x1.f6d8c6b0d20d5p-4, -0x1.ee843a44559e4p-4, -0x1.e648d2da535c9p-4, -0x1.de268716e8fe5p-4, -0x1.d61d4b8ee0d37p-4, -0x1.ce2d12d734545p-4, -0x1.c655cd94760eep-4, -0x1.be976a89f8bacp-4, -0x1.b6f1d6a8e2f28p-4, -0x1.af64fd1f0398fp-4, -0x1.a7f0c76584d0bp-4, -0x1.a0951d4f6a2d8p-4, -0x1.9951e517e0a11p-4, -0x1.922703705cf87p-4, -0x1.8b145b8e87551p-4, -0x1.8419cf39f4dd2p-4, -0x1.7d373ed9ad857p-4, -0x1.766c89817e239p-4, -0x1.6fb98cff136fp-4, -0x1.691e25e6e1fe7p-4, -0x1.629a2fa0d7347p-4, -0x1.5c2d8474d267cp-4, -0x1.55d7fd96eb8e9p-4, -0x1.4f9973337b488p-4, -0x1.4971bc7af3694p-4, -0x1.4360afad79695p-4, -0x1.3d6622264eb37p-4, -0x1.3781e866fd225p-4, -0x1.31b3d6224a7d9p-4, -0x1.2bfbbe46f8c69p-4, -0x1.2659730a4bc23p-4, -0x1.20ccc5f254751p-4, -0x1.1b5587e00941ap-4, -0x1.15f38919239d9p-4, -0x1.10a69951c7c5dp-4, -0x1.0b6e87b5f2be5p-4, -0x1.064b22f2b43f7p-4, -0x1.013c393f3192fp-4, -0x1.f88330cae2c18p-5, -0x1.eeb61b95dfc8ap-5, -0x1.e510ccf20365cp-5, -0x1.db92de49f7256p-5, -0x1.d23be8705e168p-5, -0x1.c90b83af49fadp-5, -0x1.c00147d764d07p-5, -0x1.b71ccc4e9e83p-5, -0x1.ae5da81e840edp-5, -0x1.a5c3720228296p-5, -0x1.9d4dc073ac368p-5, -0x1.94fc29b96af1bp-5, -0x1.8cce43f2b8d69p-5, -0x1.84c3a5244d467p-5, -0x1.7cdbe3444e17bp-5, -0x1.75169445ee6c2p-5, -0x1.6d734e24c945fp-5, -0x1.65f1a6efd0184p-5, -0x1.5e9134d3e0ad9p-5, -0x1.57518e260e5aap-5, -0x1.5032496d89614p-5, -0x1.4932fd6d36748p-5, -0x1.4253412cee478p-5, -0x1.3b92ac0270c1fp-5, -0x1.34f0d59a030f9p-5, -0x1.2e6d55feb7d61p-5, -0x1.2807c5a27707cp-5, -0x1.21bfbd65aece5p-5, -0x1.1b94d69eb659ap-5, -0x1.1586ab20f3766p-5, -0x1.0f94d543a66cp-5, -0x1.09beefe87d34cp-5, -0x1.04049681d9a9p-5, -0x1.fccaca31a8368p-6, -0x1.f1c1f0a5f3679p-6, -0x1.e6eddaef8fe29p-6, -0x1.dc4dc4ebe77bp-6, -0x1.d1e0ebd0bd0dep-6, -0x1.c7a68e35b7b5ap-6, -0x1.bd9dec1d662ep-6, -0x1.b3c646fddce3cp-6, -0x1.aa1ee1c8cfb8cp-6, -0x1.a0a700f342ef2p-6, -0x1.975dea7cd6befp-6, -0x1.8e42e5f68f55fp-6, -0x1.85553c89545b9p-6, -0x1.7c9438fbf6b87p-6, -0x1.73ff27b8d271bp-6, -0x1.6b9556d31d7aap-6, -0x1.6356160bc5effp-6, -0x1.5b40b6d604531p-6, -0x1.53548c5b8f7a8p-6, -0x1.4b90eb80788bap-6, -0x1.43f52ae6ad96fp-6, -0x1.3c80a2f13304dp-6, -0x1.3532adc70f9a6p-6, -0x1.2e0aa755d4926p-6, -0x1.2707ed54011e3p-6, -0x1.2029df42efaecp-6, -0x1.196fde70a0c29p-6, -0x1.12d94df936e32p-6, -0x1.0c6592c821025p-6, -0x1.0614139919367p-6, -0x1.ffc871f1ac1ccp-7, -0x1.f3aada8b12774p-7, -0x1.e7ce395e44d7dp-7, -0x1.dc316a6ea433ap-7, -0x1.d0d34d62bea84p-7, -0x1.c5b2c583798fep-7, -0x1.baceb9bb04b24p-7, -0x1.b026149328cc2p-7, -0x1.a5b7c43379f0ap-7, -0x1.9b82ba5efbc5ep-7, -0x1.9185ec718aa56p-7, -0x1.87c0535ce7d91p-7, -0x1.7e30eba57f7aap-7, -0x1.74d6b55ebdbb6p-7, -0x1.6bb0b4274c3fp-7, -0x1.62bdef24e5e94p-7, -0x1.59fd70ffe2e4cp-7, -0x1.516e47dea883bp-7, -0x1.490f8560a180ap-7, -0x1.40e03e9939c37p-7, -0x1.38df8c0a5e056p-7, -0x1.310c899efef98p-7, -0x1.296656a54caebp-7, -0x1.21ec15c8a90a4p-7, -0x1.1a9ced0b8ce48p-7, -0x1.137805c126c67p-7, -0x1.0c7c8c86ee653p-7, -0x1.05a9b13df4b3bp-7, -0x1.fdfd4e080d468p-8, -0x1.f0f54859b2a3fp-8, -0x1.e439c475c4af7p-8, -0x1.d7c93bb066586p-8, -0x1.cba22d9e464d1p-8, -0x1.bfc32005dc759p-8, -0x1.b42a9ed05f5fep-8, -0x1.a8d73bfa7ae74p-8, -0x1.9dc78f851776bp-8, -0x1.92fa3765af4c8p-8, -0x1.886dd776a646p-8, -0x1.7e2119679981dp-8, -0x1.7412acad4de6p-8, -0x1.6a414671bf4d6p-8, -0x1.60aba183f4081p-8, -0x1.57507e47d6d59p-8, -0x1.4e2ea2a5d8038p-8, -0x1.4544d9fab683fp-8, -0x1.3c91f506feb54p-8, -0x1.3414c9dea1ee5p-8, -0x1.2bcc33d88f2b4p-8, -0x1.23b7137e2a83bp-8, -0x1.1bd44e7ac2f02p-8, -0x1.1422cf8b259d9p-8, -0x1.0ca1866d0e5a3p-8, -0x1.054f67cea9bd9p-8, -0x1.fc56da7c44053p-9, -0x1.ee692a3247715p-9, -0x1.e0d3c4f90a261p-9, -0x1.d394ba678d51dp-9, -0x1.c6aa2351c72aep-9, -0x1.ba1221a7d2989p-9, -0x1.adcae055b1cabp-9, -0x1.a1d29322ed593p-9, -0x1.962776925e2d3p-9, -0x1.8ac7cfc245195p-9, -0x1.7fb1ec4c437c4p-9, -0x1.74e42225d1fcap-9, -0x1.6a5ccf80c948dp-9, -0x1.601a5aabec874p-9, -0x1.561b31f3c8c7ap-9, -0x1.4c5dcb840d7d7p-9, -0x1.42e0a5487192ap-9, -0x1.39a244ce92fd3p-9, -0x1.30a137278ff72p-9, -0x1.27dc10c9f2f6bp-9, -0x1.1f516d74099ccp-9, -0x1.16fff00e3a82dp-9, -0x1.0ee6428dd381fp-9, -0x1.070315d80502cp-9, -0x1.feaa4349e8c3bp-10, -0x1.efb648c6d6ca1p-10, -0x1.e127c63900bcbp-10, -0x1.d2fc52af27c21p-10, -0x1.c53191fd5a13ap-10, -0x1.b7c53486384aap-10, -0x1.aab4f7046e785p-10, -0x1.9dfea2552bb17p-10, -0x1.91a00b4319f4ap-10, -0x1.85971251879a7p-10, -0x1.79e1a388b8e27p-10, -0x1.6e7db64262084p-10, -0x1.63694cf6cb5b7p-10, -0x1.58a2750ae648ap-10, -0x1.4e27469e73469p-10, -0x1.43f5e45acb03cp-10, -0x1.3a0c7b4345e9cp-10, -0x1.30694284589bep-10, -0x1.270a7b4537db4p-10, -0x1.1dee7078dec9ep-10, -0x1.151376afeb19ap-10, -0x1.0c77ebeb8e349p-10, -0x1.041a37706d0d7p-10, -0x1.f7f1933561385p-11, -0x1.e82437643ae38p-11, -0x1.d8c95f7e53f46p-11, -0x1.c9de20c17e684p-11, -0x1.bb5fa14479ed3p-11, -0x1.ad4b17a402894p-11, -0x1.9f9dcab273efbp-11, -0x1.92551126d08f2p-11, -0x1.856e514e76131p-11, -0x1.78e700be917dfp-11, -0x1.6cbca4084b4c2p-11, -0x1.60ecce6c67129p-11, -0x1.55752191b171ap-11, -0x1.4a534d3b31e76p-11, -0x1.3f850f004cb5p-11, -0x1.35083205bfa3cp-11, -0x1.2ada8eb7b8437p-11, -0x1.20fa0a851e6eep-11, -0x1.1764979ba81f5p-11, -0x1.0e1834a5b289cp-11, -0x1.0512ec882a19p-11, -0x1.f8a5ac458781dp-12, -0x1.e7ac281f515c5p-12, -0x1.d735a8cbe42d3p-12, -0x1.c73ea0f850607p-12, -0x1.b7c39956f64fdp-12, -0x1.a8c1302a1e23bp-12, -0x1.9a3418ceccf2dp-12, -0x1.8c191b4a7aaccp-12, -0x1.7e6d13da42c4ap-12, -0x1.712cf28486dc1p-12, -0x1.6455baabc2c65p-12, -0x1.57e482a4b993fp-12, -0x1.4bd6734c3615dp-12, -0x1.4028c7a102e2ap-12, -0x1.34d8cc5eb594fp-12, -0x1.29e3df991568ep-12, -0x1.1f47705c5f8bap-12, -0x1.1500fe4bf618ap-12, -0x1.0b0e19450ec13p-12, -0x1.016c61024c8afp-12, -0x1.f033098166dd2p-13, -0x1.de2685ce8382dp-13, -0x1.ccaed15ef7d39p-13, -0x1.bbc7a39f22025p-13, -0x1.ab6cd04de6862p-13, -0x1.9b9a46d6bf734p-13, -0x1.8c4c11b03ba23p-13, -0x1.7d7e55bd9dae1p-13, -0x1.6f2d51b4042c4p-13, -0x1.61555d8129ea8p-13, -0x1.53f2e9b5b94eap-13, -0x1.47027ef3869c9p-13, -0x1.3a80bd5d1dce5p-13, -0x1.2e6a5c0a41089p-13, -0x1.22bc287b47ba9p-13, -0x1.17730615a1d07p-13, -0x1.0c8bed9badd68p-13, -0x1.0203ecace5d1dp-13, -0x1.efb04a8cfb2c1p-14, -0x1.dc0b9a8c29107p-14, -0x1.c9145bdfacf78p-14, -0x1.b6c546eee6e18p-14, -0x1.a5193914c92dfp-14, -0x1.940b33bb53919p-14, -0x1.83965b7a77bf2p-14, -0x1.73b5f73c1afd9p-14, -0x1.64656f66dc5dfp-14, -0x1.55a04d073114fp-14, -0x1.47623905d7a41p-14, -0x1.39a6fb5b035bbp-14, -0x1.2c6a7a4a9db41p-14, -0x1.1fa8b9a0a1f38p-14, -0x1.135dd9f79d9adp-14, -0x1.078617fc06b68p-14, -0x1.f83b97739308bp-15, -0x1.e242cfd420ee2p-15, -0x1.cd1af28dd59cbp-15, -0x1.b8bd4bc2163ap-15, -0x1.a52358f621f6bp-15, -0x1.9246c7ce74ea6p-15, -0x1.802174d16f1a4p-15, -0x1.6ead6a34c8599p-15, -0x1.5de4deaa95317p-15, -0x1.4dc2343e961ebp-15, -0x1.3e3ff7301fa2p-15, -0x1.2f58dcdc00444p-15, -0x1.2107c2a55e272p-15, -0x1.1347acea96ebcp-15, -0x1.0613c5fb75e02p-15, -0x1.f2ceba3330447p-16, -0x1.da7bcaf76c796p-16, -0x1.c325eab320421p-16, -0x1.acc489f42073fp-16, -0x1.974f5b96c7c6ap-16, -0x1.82be52f85072dp-16, -0x1.6f09a23b88b0cp-16, -0x1.5c29b891f05bcp-16, -0x1.4a1740957facp-16, -0x1.38cb1ea436c8fp-16, -0x1.283e6f520c7fp-16, -0x1.186a85d3b25efp-16, -0x1.0948ea862f2a7p-16, -0x1.f5a6b2dae62bap-17, -0x1.da07819484aa9p-17, -0x1.bfa87f64cbc84p-17, -0x1.a67e496192e04p-17, -0x1.8e7dd8e388a2ep-17, -0x1.779c80ed3875dp-17, -0x1.61cfeb9f859fp-17, -0x1.4d0e17c11d3f5p-17, -0x1.394d5656eb06fp-17, -0x1.26844847d6b4cp-17, -0x1.14a9dc129f352p-17, -0x1.03b54b9513907p-17, -0x1.e73c33b22662cp-18, -0x1.c8b821f0cde09p-18, -0x1.abce801a7821p-18, -0x1.906ff25560d28p-18, -0x1.768d9ece1057fp-18, -0x1.5e1929eba68ebp-18, -0x1.4704b28712faap-18, -0x1.3142ce5972c2bp-18, -0x1.1cc68667597fcp-18, -0x1.098353958859bp-18, -0x1.eeda369d9c1dbp-19, -0x1.ccf0588298d2cp-19, -0x1.ad327650398fbp-19, -0x1.8f8abf7ec786p-19, -0x1.73e423779c545p-19, -0x1.5a2a4bb3c966ap-19, -0x1.4249961631532p-19, -0x1.2c2f0f5006bcp-19, -0x1.17c86d8716cc9p-19, -0x1.05040b06291a9p-19, -0x1.e7a1c269592a4p-20, -0x1.c83d070e54068p-20, -0x1.abba3578a2417p-20, -0x1.91fac0457a6b5p-20, -0x1.7ae13200c4141p-20, -0x1.6651245f576a5p-20, -0x1.542f377e2c747p-20, -0x1.446109870bfcap-20, -0x1.36cd2e83a7093p-20, -0x1.2b5b28762d10ep-20, -0x1.21f35f9aeb9a5p-20, -0x1.1a7f1af04d68ep-20, -0x1.14e878ed96aeap-20, -0x1.111a686515c85p-20, -0x1.0f00a1bf5d3b3p-20, -0x1.0e87a0393f49bp-20, -0x1.0f9c9b727de28p-20, -0x1.122d81221b384p-20, -0x1.1628ef05a2b4p-20, -0x1.1b7e2ce468ce3p-20, -0x1.221d26d0a084cp-20, -0x1.29f667a12fa05p-20, -0x1.32fb1375cfb5p-20, -0x1.3d1ce27fd2d04p-20, -0x1.484e1be16a744p-20, -0x1.548190c0ed0d5p-20, -0x1.61aa977cc0eefp-20, -0x1.6fbd070156dc5p-20, -0x1.7ead3241e91eap-20, -0x1.8e6fe3e4dbb2dp-20, -0x1.9efa59f50f876p-20, -0x1.b04241dcc4641p-20, -0x1.c23db4533c148p-20, -0x1.d4e3318feebfep-20, -0x1.e8299d800b3e6p-20, -0x1.fc083c357db28p-20, -0x1.083b572c80c16p-19, -0x1.12b676e6998e3p-19, -0x1.1d71a52ef28ecp-19, -0x1.28693346d760cp-19, -0x1.33999a453a6b2p-19, -0x1.3eff799471abdp-19, -0x1.4a9795832794ep-19, -0x1.565ed5dac2facp-19, -0x1.6252448bc6633p-19, -0x1.6e6f0c56d3d31p-19, -0x1.7ab2778e1a052p-19, -0x1.8719eedcc0befp-19, -0x1.93a2f814cc29ep-19, -0x1.a04b350c7ff3fp-19, -0x1.ad1062840982ap-19, -0x1.b9f057126650ap-19, -0x1.c6e9021e2cdafp-19, -0x1.d3f86adf6c266p-19, -0x1.e11caf685955bp-19, -0x1.ee5403b710f65p-19, -0x1.fb9cb0d0dab1cp-19, -0x1.047a89f17e6d5p-18, -0x1.0b2dceb7c6d0ap-18, -0x1.11e7683e461e3p-18, -0x1.18a6a0e6c7246p-18, -0x1.1f6acb91b1861p-18, -0x1.2633434167499p-18, -0x1.2cff6ac141eddp-18, -0x1.33ceac4fd9218p-18, -0x1.3aa0794ae27a1p-18, -0x1.417449e0ab1cep-18, -0x1.48499cc25362dp-18, -0x1.4f1ff6d990a56p-18, -0x1.55f6e301f93ep-18, -0x1.5ccdf1c3b39eap-18, -0x1.63a4b9122d921p-18, -0x1.6a7ad40b524ddp-18, -0x1.714fe2bb8b39dp-18, -0x1.782389e2646f3p-18, -0x1.7ef572b9fa4bbp-18, -0x1.85c54ac0ea102p-18, -0x1.8c92c386164aep-18, -0x1.935d927658ff8p-18, -0x1.9a2570ac576d7p-18, -0x1.a0ea1ac280f7ep-18, -0x1.a7ab50a706bf2p-18, -0x1.ae68d57077cdfp-18, -0x1.b5226f3617082p-18, -0x1.bbd7e6e7b9c5ap-18, -0x1.c2890828d6b1ap-18, -0x1.c935a12cb048ep-18, -0x1.cfdd8293e63p-18, -0x1.d6807f4b3cad4p-18, -0x1.dd1e6c6d0f86cp-18, -0x1.e3b72121d434fp-18, -0x1.ea4a7684925cep-18, -0x1.f0d84786e4adcp-18, -0x1.f76070d69d1dap-18, -0x1.fde2d0c4cbacap-18, -0x1.022fa396f0f6cp-17, -0x1.056adab16cd68p-17, -0x1.08a2ff09a4b16p-17, -0x1.0bd8029c4617bp-17, -0x1.0f09d801370c9p-17, -0x1.123872623a657p-17, -0x1.1563c571a2dccp-17, -0x1.188bc5622f056p-17, -0x1.1bb066ded00e5p-17, -0x1.1ed19f02cec7p-17, -0x1.21ef6352ead2fp-17, -0x1.2509a9b621cebp-17, -0x1.2820686f861ep-17, -0x1.2b3396179d192p-17, -0x1.2e432996b4ad5p-17, -0x1.314f1a1f927b3p-17, -0x1.34575f29fbc29p-17, -0x1.375bf06dd0979p-17, -0x1.3a5cc5dea025fp-17, -0x1.3d59d7a6fd8b3p-17, -0x1.40531e24cbb4ap-17, -0x1.434891e4ec022p-17, -0x1.463a2b9ff1788p-17, -0x1.4927e436b25fdp-17, -0x1.4c11b4af4c29fp-17, -0x1.4ef79631d7cc2p-17, -0x1.51d98205ecc1fp-17, -0x1.54b7718fef2bfp-17, -0x1.57915e4ef4d22p-17, -0x1.5a6741da292a9p-17, -0x1.5d3915df39651p-17, -0x1.6006d42025405p-17, -0x1.62d07671cb38ap-17, -0x1.6595f6ba0b82bp-17, -0x1.68574eeea20cdp-17, -0x1.6b147913b58f6p-17, -0x1.6dcd6f3abff7cp-17, -0x1.70822b8173f0fp-17, -0x1.7332a810daa0bp-17, -0x1.75dedf1c7164ep-17, -0x1.7886cae1715bep-17, -0x1.7b2a65a61f924p-17, -0x1.7dc9a9b973a92p-17, -0x1.8064917262401p-17, -0x1.82fb172fad668p-17, -0x1.858d3557812bp-17, -0x1.881ae6575b1bap-17, -0x1.8aa424a3a3f34p-17, -0x1.8d28eab7c6a8cp-17, -0x1.8fa93315ff6f2p-17, -0x1.9224f84799adbp-17, -0x1.949c34dce5e9bp-17, -0x1.970ee36d3e18dp-17, -0x1.997cfe975937ap-17, -0x1.9be6810146f6cp-17, -0x1.9e4b6558ebab2p-17, -0x1.a0aba6543cd59p-17, -0x1.a3073eb172223p-17, -0x1.a55e2937871cbp-17, -0x1.a7b060b671f42p-17, -0x1.a9fde007a9817p-17, -0x1.ac46a20e51f4ap-17, -0x1.ae8aa1b81953fp-17, -0x1.b0c9d9fd5e64dp-17, -0x1.b30445e1c68d5p-17, -0x1.b539e074a2b58p-17, -0x1.b76aa4d18f3f5p-17, -0x1.b9968e20ee85cp-17, -0x1.bbbd979857d53p-17, -0x1.bddfbc7b34811p-17, -0x1.bffcf81b48ccep-17, -0x1.c21545d942987p-17, -0x1.c428a1254249p-17, -0x1.c637057f599b6p-17, -0x1.c8406e7834417p-17, -0x1.ca44d7b178707p-17, -0x1.cc443cde61157p-17, -0x1.ce3e99c4764ccp-17, -0x1.d033ea3bf6964p-17, -0x1.d2242a303764p-17, -0x1.d40f55a064c68p-17, -0x1.d5f5689fec122p-17, -0x1.d7d65f571eb86p-17, -0x1.d9b236038a315p-17, -0x1.db88e8f886a7ep-17, -0x1.dd5a749fc7175p-17, -0x1.df26d579bf9ddp-17, -0x1.e0ee081e22dd9p-17, -0x1.e2b0093c5ded6p-17, -0x1.e46cd59bf4945p-17, -0x1.e6246a1d1a0d2p-17, -0x1.e7d6c3b8f7a37p-17, -0x1.e983df821fff6p-17, -0x1.eb2bbaa505516p-17, -0x1.ecce526848964p-17, -0x1.ee6ba42d29ffep-17, -0x1.f003ad6fd103dp-17, -0x1.f1966bc7acea1p-17, -0x1.f323dce7e6a7p-17, -0x1.f4abfe9f8c174p-17, -0x1.f62eced9d69dbp-17, -0x1.f7ac4b9ea5a2bp-17, -0x1.f92473129fb9ep-17, -0x1.fa9743777ab09p-17, -0x1.fc04bb2c4c427p-17, -0x1.fd6cd8adb8373p-17, -0x1.fecf9a9621628p-17, -0x1.00167fceeb287p-16, -0x1.00c2834db9a3bp-16, -0x1.016bd741f34b2p-16, -0x1.02127b354b08bp-16, -0x1.02b66ec0ca317p-16, -0x1.0357b18ce7946p-16, -0x1.03f643517f8d8p-16, -0x1.049223d5f97dfp-16, -0x1.052b52f14e485p-16, -0x1.05c1d08a103dcp-16, -0x1.06559c966dffep-16, -0x1.06e6b71c361aep-16, -0x1.07752030f6ba9p-16, -0x1.0800d7f9df663p-16, -0x1.0889deabd24c2p-16, -0x1.0910348b60a72p-16, -0x1.0993d9ecd3645p-16, -0x1.0a14cf342617ap-16, -0x1.0a9314d4efedp-16, -0x1.0b0eab526dbedp-16, -0x1.0b87933f75d62p-16, -0x1.0bfdcd3e6f44cp-16, -0x1.0c715a01512d3p-16, -0x1.0ce23a4983c64p-16, -0x1.0d506ee7de31ap-16, -0x1.0dbbf8bc9dd67p-16, -0x1.0e24d8b74a47p-16, -0x1.0e8b0fd6a8485p-16, -0x1.0eee9f28a65d8p-16, -0x1.0f4f87ca4ac4p-16, -0x1.0fadcae7a67b7p-16, -0x1.100969bbb41fbp-16, -0x1.106265903bcf3p-16, -0x1.10b8bfbdc297bp-16, -0x1.110c79ab7d7e2p-16, -0x1.115d94cf27b35p-16, -0x1.11ac12ace0b65p-16, -0x1.11f7f4d71deacp-16, -0x1.12413cee90a7fp-16, -0x1.1287eca1f257ap-16, -0x1.12cc05adf553ep-16, -0x1.130d89dd2af63p-16, -0x1.134c7b07cefd9p-16, -0x1.1388db13b86cbp-16, -0x1.13c2abf4220dbp-16, -0x1.13f9efa9a8491p-16, -0x1.142ea8420622p-16, -0x1.1460d7d7f6f2cp-16, -0x1.149080930e128p-16, -0x1.14bda4a7a6fb3p-16, -0x1.14e84656b4499p-16, -0x1.151067ed8617cp-16, -0x1.15360bc5abb9dp-16, -0x1.15593444d85bdp-16, -0x1.1579e3dcb2babp-16, -0x1.15981d0aa5952p-16, -0x1.15b3e257b5e0cp-16, -0x1.15cd3658625cdp-16, -0x1.15e41bac762cfp-16, -0x1.15f894fed43eep-16, -0x1.160aa505556ccp-16, -0x1.161a4e809f6a1p-16, -0x1.1627943be6134p-16, -0x1.1632790cd45eep-16, -0x1.163affd35ef7cp-16, -0x1.16412b7983635p-16, -0x1.1644fef323f9ep-16, -0x1.16467d3deeaeap-16, -0x1.1645a961189aep-16, -0x1.1642866d32c25p-16, -0x1.163d177bf6311p-16, -0x1.16355fb031f86p-16, -0x1.162b623588e32p-16, -0x1.161f22403941dp-16, -0x1.1610a30d0693cp-16, -0x1.15ffe7e0ffe2p-16, -0x1.15ecf4094842fp-16, -0x1.15d7cadaf4442p-16, -0x1.15c06fb2deae6p-16, -0x1.15a6e5f56f987p-16, -0x1.158b310e76367p-16, }}, 
      {{-0x1.f51b9efb5e7fcp-1, -0x1.f4e25f11b5f84p-1, -0x1.f46f0510a6a11p-1, -0x1.f3bd997bc9d5bp-1, -0x1.f2d34e61c2c6ap-1, -0x1.f1b92eb056679p-1, -0x1.f078200c6310cp-1, -0x1.ef16de2c6748dp-1, -0x1.ed99814f7b68fp-1, -0x1.ec01e8d96bdcbp-1, -0x1.ea5080b8eea0ap-1, -0x1.e8850aaa7770bp-1, -0x1.e69f3fe7810acp-1, -0x1.e49f3d162cb3fp-1, -0x1.e285bacbd17fep-1, -0x1.e0541c81332ccp-1, -0x1.de0c61fbc0dfp-1, -0x1.dbb10678b95e5p-1, -0x1.d944d6ef23ac4p-1, -0x1.d6cac66da7179p-1, -0x1.d445c569897e3p-1, -0x1.d1b89ef966079p-1, -0x1.cf25dd804639cp-1, -0x1.cc8fb73929ea6p-1, -0x1.c9f802536a496p-1, -0x1.c7602fd66f33cp-1, -0x1.c4c94c3f79f0bp-1, -0x1.c23404b0f83ecp-1, -0x1.bfa0af8c0247dp-1, -0x1.bd0f5760d3cb3p-1, -0x1.ba7fc7428dfadp-1, -0x1.b7f197afd97fap-1, -0x1.b5643b68e117fp-1, -0x1.b2d70bb0ce929p-1, -0x1.b049539b9b708p-1, -0x1.adba5a27ad72bp-1, -0x1.ab296afcc223dp-1, -0x1.a895ddbf2de49p-1, -0x1.a5ff1bf788367p-1, -0x1.a364a59bedba6p-1, -0x1.a0c6145185502p-1, -0x1.9e231d83700a3p-1, -0x1.9b7b93703ad28p-1, -0x1.98cf6550d253p-1, -0x1.961e9ebc366a1p-1, -0x1.9369666a43c12p-1, -0x1.90affc760b64fp-1, -0x1.8df2b83dbd147p-1, -0x1.8b3205fb5974bp-1, -0x1.886e642e5167dp-1, -0x1.85a860eb22866p-1, -0x1.82e0972300d7cp-1, -0x1.8017abf2a88b5p-1, -0x1.7d4e4c04c935cp-1, -0x1.7a852911f66f3p-1, -0x1.77bcf785d0d05p-1, -0x1.74f66c4f146a9p-1, -0x1.72323ade80817p-1, -0x1.6f711357077fep-1, -0x1.6cb3a0f06eb6dp-1, -0x1.69fa888c705d7p-1, -0x1.6746677d94a29p-1, -0x1.6497d27e3fe15p-1, -0x1.61ef54d5e3ca6p-1, -0x1.5f4d6fa9d6e31p-1, -0x1.5cb299770c4a4p-1, -0x1.5a1f3db1a5b45p-1, -0x1.5793bc874bee1p-1, -0x1.55106ac11cbdap-1, -0x1.529591c20d079p-1, -0x1.50236f9ea47cep-1, -0x1.4dba374b16721p-1, -0x1.4b5a10dcd6504p-1, -0x1.490319dceefbp-1, -0x1.46b565a88da2cp-1, -0x1.4470fddd5c075p-1, -0x1.4235e2cf7146fp-1, -0x1.40040c06d51dfp-1, -0x1.3ddb68c2b5fb3p-1, -0x1.3bbbe080a785ap-1, -0x1.39a5538666c4p-1, -0x1.37979b6cc8748p-1, -0x1.35928baaa3df9p-1, -0x1.3395f21ead6dcp-1, -0x1.31a19797557c7p-1, -0x1.2fb54057e89bbp-1, -0x1.2dd0ac9a43448p-1, -0x1.2bf3990c8c124p-1, -0x1.2a1dbf4a802afp-1, -0x1.284ed651f30f2p-1, -0x1.268692f23908bp-1, -0x1.24c4a83646c76p-1, -0x1.2308c7c95e26dp-1, -0x1.2152a256341ap-1, -0x1.1fa1e7e081e2bp-1, -0x1.1df6481906322p-1, -0x1.1c4f72ac01a2bp-1, -0x1.1aad178a3d464p-1, -0x1.190ee72cbcb69p-1, -0x1.177492d338045p-1, -0x1.15ddccbd84e39p-1, -0x1.144a486019f57p-1, -0x1.12b9ba93d6a14p-1, -0x1.112bd9c14247ep-1, -0x1.0fa05e07721a8p-1, -0x1.0e17015ec8cfdp-1, -0x1.0c8f7fb7c4568p-1, -0x1.0b0997160a1e3p-1, -0x1.098507a7eaebp-1, -0x1.080193da88dcap-1, -0x1.067f006adb7a7p-1, -0x1.04fd1473b9c84p-1, -0x1.037b99791f654p-1, -0x1.01fa5b70dca32p-1, -0x1.007928c8d6f96p-1, -0x1.fdefa4d61e863p-2, -0x1.faec577f1edbp-2, -0x1.f7e81558d6411p-2, -0x1.f4e28f27f5ef8p-2, -0x1.f1db7aa2e5ac1p-2, -0x1.eed29267f2c07p-2, -0x1.ebc795f0c171cp-2, -0x1.e8ba49833e1d2p-2, -0x1.e5aa76204b8c6p-2, -0x1.e297e97063489p-2, -0x1.df8275ae60a6ep-2, -0x1.dc69f190a44dfp-2, -0x1.d94e3830bfb24p-2, -0x1.d62f28f1d8eb3p-2, -0x1.d30ca765e68bp-2, -0x1.cfe69b31f288bp-2, -0x1.ccbceff184575p-2, -0x1.c98f951950126p-2, -0x1.c65e7dd953359p-2, -0x1.c329a0fe71594p-2, -0x1.bff0f8d3b10dep-2, -0x1.bcb4830332597p-2, -0x1.b9744076f4d39p-2, -0x1.b63035397da7p-2, -0x1.b2e868567e035p-2, -0x1.af9ce3bb79ff4p-2, -0x1.ac4db418931b4p-2, -0x1.a8fae8c175f2ap-2, -0x1.a5a4938e8660fp-2, -0x1.a24ac8be4a8b5p-2, -0x1.9eed9ed72bad8p-2, -0x1.9b8d2e898dfacp-2, -0x1.982992924fda8p-2, -0x1.94c2e79db7177p-2, -0x1.91594c2ad22b4p-2, -0x1.8dece06f55901p-2, -0x1.8a7dc63bfd73fp-2, -0x1.870c20e177c2fp-2, -0x1.83981515dbcf7p-2, -0x1.8021c8dab0795p-2, -0x1.7ca963638cb4ap-2, -0x1.792f0cfd4d986p-2, -0x1.75b2eef5ea516p-2, -0x1.72353384e203bp-2, -0x1.6eb605b44db82p-2, -0x1.6b35914a91ef7p-2, -0x1.67b402b4b04dp-2, -0x1.643186f13f0f5p-2, -0x1.60ae4b7c03b3cp-2, -0x1.5d2a7e3a2f735p-2, -0x1.59a64d673fcb7p-2, -0x1.5621e78282a24p-2, -0x1.529d7b3d3d95bp-2, -0x1.4f193769732e9p-2, -0x1.4b954ae94e52ap-2, -0x1.4811e49f26533p-2, -0x1.448f335e24646p-2, -0x1.410d65db86f84p-2, -0x1.3d8caaa07a31cp-2, -0x1.3a0d2ffc8e3bep-2, -0x1.368f23f8bfa3ep-2, -0x1.3312b44b168f1p-2, -0x1.2f980e4ad7f34p-2, -0x1.2c1f5ee546305p-2, -0x1.28a8d292ed852p-2, -0x1.2534954d7f03bp-2, -0x1.21c2d2862e94fp-2, -0x1.1e53b51c9bf74p-2, -0x1.1ae767563b47dp-2, -0x1.177e12d63df85p-2, -0x1.1417e095fbc07p-2, -0x1.10b4f8ddd32fep-2, -0x1.0d55833e82c19p-2, -0x1.09f9a68af7cdbp-2, -0x1.06a188d28f63fp-2, -0x1.034d4f5bc3575p-2, -0x1.fffa3d3e9345dp-3, -0x1.f96234872921fp-3, -0x1.f2d2ca31844d9p-3, -0x1.ec4c4229ce174p-3, -0x1.e5cedea17c4d1p-3, -0x1.df5ae0096af2fp-3, -0x1.d8f0850ca887bp-3, -0x1.d2900a8bf3181p-3, -0x1.cc39ab99dff65p-3, -0x1.c5eda177a3886p-3, -0x1.bfac23927a0e4p-3, -0x1.b9756781ac193p-3, -0x1.b349a1051ede9p-3, -0x1.ad290204776f5p-3, -0x1.a713ba8ec8eacp-3, -0x1.a109f8dab96f9p-3, -0x1.9b0be94732084p-3, -0x1.9519b65c81d18p-3, -0x1.8f3388cdeff57p-3, -0x1.8959877bc5474p-3, -0x1.838bd775b4decp-3, -0x1.7dca9bfdb0031p-3, -0x1.7815f68b19156p-3, -0x1.726e06ce4d905p-3, -0x1.6cd2eab488de8p-3, -0x1.6744be6c1ac13p-3, -0x1.61c39c68e87b4p-3, -0x1.5c4f9d69353bbp-3, -0x1.56e8d87ab70ecp-3, -0x1.518f62ffe4fc1p-3, -0x1.4c4350b582b6ep-3, -0x1.4704b3b86ac25p-3, -0x1.41d39c8b8815ap-3, -0x1.3cb01a1e03a58p-3, -0x1.379a39d19eca2p-3, -0x1.3292078136fc2p-3, -0x1.2d978d877830bp-3, -0x1.28aad4c5a3701p-3, -0x1.23cbe4aa84ecbp-3, -0x1.1efac3397f35dp-3, -0x1.1a377511b2905p-3, -0x1.1581fd753c0f5p-3, -0x1.10da5e5089c8fp-3, -0x1.0c409841bfc1ep-3, -0x1.07b4aaa02a0a4p-3, -0x1.03369383c315cp-3, -0x1.fd8c9f997427ap-4, -0x1.f4c7b6561077fp-4, -0x1.ec1e604c14ff8p-4, -0x1.e390904839febp-4, -0x1.db1e36e47080ap-4, -0x1.d2c7429723d28p-4, -0x1.ca8b9fc265de3p-4, -0x1.c26b38c320cc4p-4, -0x1.ba65f6003c555p-4, -0x1.b27bbdf9a8afdp-4, -0x1.aaac75575b6b5p-4, -0x1.a2f7fef845421p-4, -0x1.9b5e3c011323ep-4, -0x1.93df0beaf07cp-4, -0x1.8c7a4c9216cd4p-4, -0x1.852fda444be2cp-4, -0x1.7dff8fcf3162dp-4, -0x1.76e9468e791dp-4, -0x1.6fecd679eb407p-4, -0x1.690a16334c8e5p-4, -0x1.6240db140f109p-4, -0x1.5b90f93ae10a8p-4, -0x1.54fa439906f4cp-4, -0x1.4e7c8bff8b146p-4, -0x1.4817a32c3ba2p-4, -0x1.41cb58d671879p-4, -0x1.3b977bbbae79dp-4, -0x1.357bd9ac00235p-4, -0x1.2f783f962f3cep-4, -0x1.298c7993ba0bbp-4, -0x1.23b852f49a733p-4, -0x1.1dfb964ad0909p-4, -0x1.18560d75b943ep-4, -0x1.12c781ad2b5edp-4, -0x1.0d4fbb8c5bd4ap-4, -0x1.07ee831c8aacp-4, -0x1.02a39fdf74215p-4, -0x1.faddb1b3156ffp-5, -0x1.f09fe937ea9e6p-5, -0x1.e68d729cad001p-5, -0x1.dca5d970b056bp-5, -0x1.d2e8a895fbb69p-5, -0x1.c9556a537a87p-5, -0x1.bfeba866bbde2p-5, -0x1.b6aaec153fdd5p-5, -0x1.ad92be3d52b42p-5, -0x1.a4a2a76670026p-5, -0x1.9bda2fd1446b1p-5, -0x1.9338df8729cd3p-5, -0x1.8abe3e6949106p-5, -0x1.8269d43f3f645p-5, -0x1.7a3b28c55e84fp-5, -0x1.7231c3ba777afp-5, -0x1.6a4d2ced42d84p-5, -0x1.628cec495ad38p-5, -0x1.5af089e3cb227p-5, -0x1.53778e073b7e9p-5, -0x1.4c21813fb205ep-5, -0x1.44edec65ee832p-5, -0x1.3ddc58aa67119p-5, -0x1.36ec4f9fdc9b4p-5, -0x1.301d5b458f496p-5, -0x1.296f0611177a5p-5, -0x1.22e0daf7da70ap-5, -0x1.1c72657826b2ap-5, -0x1.162331a1f5a2ep-5, -0x1.0ff2cc1f4aeecp-5, -0x1.09e0c23c4c367p-5, -0x1.03eca1eeee18dp-5, -0x1.fc2bf3bcbee8dp-6, -0x1.f0b8b2d42a9c2p-6, -0x1.e57ea1610c4bfp-6, -0x1.da7ce12b34013p-6, -0x1.cfb2959195235p-6, -0x1.c51ee395e4f4fp-6, -0x1.bac0f1e7ac53bp-6, -0x1.b097e8eec22cep-6, -0x1.a6a2f2d539e9fp-6, -0x1.9ce13b90b9dd6p-6, -0x1.9351f0eb55d6dp-6, -0x1.89f4428bdf15fp-6, -0x1.80c761fdb20fep-6, -0x1.77ca82b7fbaf7p-6, -0x1.6efcda248dff5p-6, -0x1.665d9fa633594p-6, -0x1.5dec0c9e98bcp-6, -0x1.55a75c73a9fbdp-6, -0x1.4d8ecc949c52ep-6, -0x1.45a19c7e76c28p-6, -0x1.3ddf0dc03b754p-6, -0x1.364663fea4c2bp-6, -0x1.2ed6e4f77e46ap-6, -0x1.278fd884a1c9fp-6, -0x1.2070889e8ed61p-6, -0x1.1978415ea99eep-6, -0x1.12a6510129b3ap-6, -0x1.0bfa07e69c525p-6, -0x1.0572b8952f22fp-6, -0x1.fe1f6f7333afbp-7, -0x1.f1a0b84f6dc0fp-7, -0x1.e567fdb5c201ap-7, -0x1.d973f5ebef144p-7, -0x1.cdc35b865057ep-7, -0x1.c254ed66d6bap-7, -0x1.b7276ebb93c29p-7, -0x1.ac39a6fcb94aep-7, -0x1.a18a61ea16524p-7, -0x1.97186f883b28p-7, -0x1.8ce2a41d1ab32p-7, -0x1.82e7d82c39ba3p-7, -0x1.7926e8728f5bcp-7, -0x1.6f9eb5e1e573dp-7, -0x1.664e259befd2fp-7, -0x1.5d3420ed03c12p-7, -0x1.544f95466e65cp-7, -0x1.4b9f743886386p-7, -0x1.4322b36c5a121p-7, -0x1.3ad84c9d36721p-7, -0x1.32bf3d91bd8cp-7, -0x1.2ad68814ce5cp-7, -0x1.231d31ee23ac4p-7, -0x1.1b9244dac7c1dp-7, -0x1.1434ce852f3abp-7, -0x1.0d03e07d338dep-7, -0x1.05fe902fd8a08p-7, -0x1.fe47edbd9768p-8, -0x1.f0e6632fa4933p-8, -0x1.e3d6c257fe5b7p-8, -0x1.d717544d6f0b4p-8, -0x1.caa669894971dp-8, -0x1.be8259d4d9973p-8, -0x1.b2a98436bd3b1p-8, -0x1.a71a4edff4d4ep-8, -0x1.9bd32718ae35bp-8, -0x1.90d2812ce9ba7p-8, -0x1.8616d858e9bb1p-8, -0x1.7b9eaeb595df3p-8, -0x1.71688d2476958p-8, -0x1.6773033bed9fep-8, -0x1.5dbca732ea541p-8, -0x1.544415ccd6703p-8, -0x1.4b07f24557967p-8, -0x1.4206e63bd6cc9p-8, -0x1.393fa19f2f63fp-8, -0x1.30b0da99311fep-8, -0x1.28594d7a29adfp-8, -0x1.2037bca4687cep-8, -0x1.184af077b6311p-8, -0x1.1091b73cd9e3ap-8, -0x1.090ae5110c5e3p-8, -0x1.01b553d1a1195p-8, -0x1.f51fc60ee9eeap-9, -0x1.e732efa5582d9p-9, -0x1.d9a1f9ac8b6a6p-9, -0x1.cc6ac447cb17ap-9, -0x1.bf8b3a4f3d2aap-9, -0x1.b3015127bd841p-9, -0x1.a6cb089aad766p-9, -0x1.9ae66aae2e43p-9, -0x1.8f518b7d81de8p-9, -0x1.840a891180898p-9, -0x1.790f8b3985c2p-9, -0x1.6e5ec3644aa0bp-9, -0x1.63f66c796d99dp-9, -0x1.59d4cab2b7d0ap-9, -0x1.4ff82b7625328p-9, -0x1.465ee53002867p-9, -0x1.3d07572d35b58p-9, -0x1.33efe9760edf3p-9, -0x1.2b170ca935934p-9, -0x1.227b39d725995p-9, -0x1.1a1af25dcc5ecp-9, -0x1.11f4bfc46a83p-9, -0x1.0a07339822c6dp-9, -0x1.0250e748835adp-9, -0x1.f5a0f8094af93p-10, -0x1.e7093531117fap-10, -0x1.d8d7e695c6df9p-10, -0x1.cb0a7b767f008p-10, -0x1.bd9e7180d59efp-10, -0x1.b091548eea8a4p-10, -0x1.a3e0be65aa72cp-10, -0x1.978a5674162bp-10, -0x1.8b8bd1937f5c5p-10, -0x1.7fe2f1c80e696p-10, -0x1.748d8602796fep-10, -0x1.698969e24ec7ep-10, -0x1.5ed485791e713p-10, -0x1.546ccd0e4120ep-10, -0x1.4a5040e3b206dp-10, -0x1.407cecfb634c7p-10, -0x1.36f0e8dd7962dp-10, -0x1.2daa575f72c11p-10, -0x1.24a7666be5617p-10, -0x1.1be64ecb01468p-10, -0x1.136553ec1294bp-10, -0x1.0b22c3af972aap-10, -0x1.031cf6322b7ep-10, -0x1.f6a49b3084b8ep-11, -0x1.e7826bb538269p-11, -0x1.d8d049272f214p-11, -0x1.ca8b319a1ae15p-11, -0x1.bcb0359e96c6p-11, -0x1.af3c77e0cb9c3p-11, -0x1.a22d2cc95e64ap-11, -0x1.957f9a1f590cap-11, -0x1.893116abb83d6p-11, -0x1.7d3f09de8cea7p-11, -0x1.71a6eb754e182p-11, -0x1.6666432306a9bp-11, -0x1.5b7aa839c7e53p-11, -0x1.50e1c1555b0bfp-11, -0x1.469944077a892p-11, -0x1.3c9ef485f0643p-11, -0x1.32f0a55906e3ap-11, -0x1.298c370c9b9ap-11, -0x1.206f97e1ba01fp-11, -0x1.1798c381b8829p-11, -0x1.0f05c2b3038c2p-11, -0x1.06b4ab0ec2743p-11, -0x1.fd473d7085eb6p-12, -0x1.eda1982af26b9p-12, -0x1.de74db1132854p-12, -0x1.cfbd9256e6c34p-12, -0x1.c1786117526d6p-12, -0x1.b3a200d06b2ecp-12, -0x1.a63740e0b04dp-12, -0x1.993506076169ap-12, -0x1.8c9849e68cc94p-12, -0x1.805e1a884673fp-12, -0x1.748399e5ea342p-12, -0x1.6905fd713af67p-12, -0x1.5de28da091ca9p-12, -0x1.5316a57cbd3cp-12, -0x1.489fb2312f8abp-12, -0x1.3e7b329ed47afp-12, -0x1.34a6b6f05a3e8p-12, -0x1.2b1fe030a61cp-12, -0x1.21e45fe4cb1acp-12, -0x1.18f1f7a593b24p-12, -0x1.104678bd803c6p-12, -0x1.07dfc3c7525e3p-12, -0x1.ff77909da3639p-13, -0x1.efb108e8533ep-13, -0x1.e0680920a4884p-13, -0x1.d198c5b831b68p-13, -0x1.c33f8e30b93d8p-13, -0x1.b558cc70fe28bp-13, -0x1.a7e1041df4773p-13, -0x1.9ad4d1f5ea61cp-13, -0x1.8e30eb2f8be9dp-13, -0x1.81f21cde088f4p-13, -0x1.76154b560bcb2p-13, -0x1.6a9771983e5f2p-13, -0x1.5f75a0bcf7305p-13, -0x1.54acff6591c94p-13, -0x1.4a3ac92e26239p-13, -0x1.401c4e24ec676p-13, -0x1.364ef242df855p-13, -0x1.2cd02ce833cc9p-13, -0x1.239d885b62a1ap-13, -0x1.1ab4a14b7cc71p-13, -0x1.12132654edbfcp-13, -0x1.09b6d78904f5ap-13, -0x1.019d85f8c3a53p-13, -0x1.f38a2682ec4e4p-14, -0x1.e456e23a23cabp-14, -0x1.d59d41e700688p-14, -0x1.c75966e0e6327p-14, -0x1.b9879034e8d6ep-14, -0x1.ac2419d824931p-14, -0x1.9f2b7be16f76ep-14, -0x1.929a49c58f35fp-14, -0x1.866d319922242p-14, -0x1.7aa0fb5646eb6p-14, -0x1.6f328827a62d6p-14, -0x1.641ed1b661fb3p-14, -0x1.5962e97ea1638p-14, -0x1.4efbf8250fbdfp-14, -0x1.44e73cd331568p-14, -0x1.3b220c9714496p-14, -0x1.31a9d1c48ef2cp-14, -0x1.287c0b5f119a2p-14, -0x1.1f964c82399fdp-14, -0x1.16f63bd1430c8p-14, -0x1.0e9992e93ea2bp-14, -0x1.067e1dd5d551dp-14, -0x1.fd43751692bfdp-15, -0x1.ee04b0c4a64f8p-15, -0x1.df3bef3025599p-15, -0x1.d0e551a238512p-15, -0x1.c2fd193f42befp-15, -0x1.b57fa61889f6cp-15, -0x1.a86976458368bp-15, -0x1.9bb7250313003p-15, -0x1.8f6569d676959p-15, -0x1.837117b7d6d16p-15, -0x1.77d71c42030a2p-15, -0x1.6c947ee6ca84p-15, -0x1.61a6602aed15ep-15, -0x1.5709f8e25323ep-15, -0x1.4cbc997916beep-15, -0x1.42bba938e5d1bp-15, -0x1.3904a59969b7dp-15, -0x1.2f952193916c3p-15, -0x1.266ac4f815229p-15, -0x1.1d834bccb638p-15, -0x1.14dc85ac6c2d2p-15, -0x1.0c74552c9f6bcp-15, -0x1.0448af462e4dbp-15, -0x1.f8af358570ab1p-16, -0x1.e93e5f5bbba03p-16, -0x1.da3b2d96c6344p-16, -0x1.cba2121c7d9bap-16, -0x1.bd6f9e2f751b1p-16, -0x1.afa0816cf3021p-16, -0x1.a23188d63ff3bp-16, -0x1.951f9dde271efp-16, -0x1.8867c58125c6p-16, -0x1.7c071f5ff0d8fp-16, -0x1.6ffae4e2d8615p-16, -0x1.644068635cea3p-16, -0x1.58d5145b247cep-16, -0x1.4db66a991e001p-16, -0x1.42e2037d5565cp-16, -0x1.38558d395cf2cp-16, -0x1.2e0ecb16281dap-16, -0x1.240b94c1f3ff5p-16, -0x1.1a49d59dfbe23p-16, -0x1.10c78c18fbb72p-16, -0x1.0782c905fb62p-16, -0x1.fcf35e01468b3p-17, -0x1.eb54e39d39db7p-17, -0x1.da26ab98692b5p-17, -0x1.c9655eb0369c4p-17, -0x1.b90dc48e2559cp-17, -0x1.a91cc2b4367bp-17, -0x1.998f5b74e18bdp-17, -0x1.8a62acede930cp-17, -0x1.7b93f011c17eap-17, -0x1.6d2077b1f2859p-17, -0x1.5f05af96e0cd6p-17, -0x1.51411b9acf992p-17, -0x1.43d056cddeab8p-17, -0x1.36b1129fb3b76p-17, -0x1.29e116133bcc5p-17, -0x1.1d5e3cf226dep-17, -0x1.1126770f8e9f9p-17, -0x1.0537c78898b78p-17, -0x1.f3208821add08p-18, -0x1.dc5c28837cd42p-18, -0x1.c61ee1e21499p-18, -0x1.b06547157fee4p-18, -0x1.9b2c0ae79491ap-18, -0x1.866ffedc5c94bp-18, -0x1.722e120b7e4f7p-18, -0x1.5e634ffd25014p-18, -0x1.4b0cdf95dfbd9p-18, -0x1.38280207ff7c4p-18, -0x1.25b211d1261fap-18, -0x1.13a881bd7734bp-18, -0x1.0208dbf53d7f5p-18, -0x1.e1a182262e02p-19, -0x1.bffbce821295ep-19, -0x1.9f1c32bb43042p-19, -0x1.7efe6c5398e1fp-19, -0x1.5f9e5ef8c4fa6p-19, -0x1.40f812fc3fb99p-19, -0x1.2307b3d611404p-19, -0x1.05c98ebaacaa8p-19, -0x1.d274226d2887bp-20, -0x1.9aab8fbaef151p-20, -0x1.6432b9fcc914fp-20, -0x1.2f032ed6a208ap-20, -0x1.f62d651fc12d8p-21, -0x1.90ce7b832c4dep-21, -0x1.2dddf6616387ap-21, -0x1.9aa1167294aadp-22, -0x1.bc6d2e03ebad3p-23, -0x1.333a0a6f3bea1p-25, 0x1.19c2deca2e76fp-23, 0x1.3bb75eaa49bacp-22, 0x1.e62dd60a93bf8p-22, 0x1.462bc5d558856p-21, 0x1.97235467b7944p-21, 0x1.e606680b18c5fp-21, 0x1.196ec8da9fc75p-20, 0x1.3ed892761d3fp-20, 0x1.63449d3d94bcep-20, 0x1.86b6d99211297p-20, 0x1.a9331d0e073a2p-20, 0x1.cabd23c54e354p-20, 0x1.eb58916957427p-20, 0x1.058479382d19p-19, 0x1.14e8de8dc0413p-19, 0x1.23db2944f2889p-19, 0x1.325cffd7dc7d9p-19, 0x1.406fff22a2p-19, 0x1.4e15bad9b847cp-19, 0x1.5b4fbdf48ba64p-19, 0x1.681f8b1c50e3ep-19, 0x1.74869d0b1e56dp-19, 0x1.808666f081d02p-19, 0x1.8c2054cb7ad3ap-19, 0x1.9755cbc475638p-19, 0x1.a2282a7da5946p-19, 0x1.ac98c965ec39bp-19, 0x1.b6a8fb0441b88p-19, 0x1.c05a0c3fc6808p-19, 0x1.c9ad44a5d4c73p-19, 0x1.d2a3e6aa7d361p-19, 0x1.db3f2fe7de2fp-19, 0x1.e38059599b8c3p-19, 0x1.eb689795171f7p-19, 0x1.f2f91affc4632p-19, 0x1.fa33100011c81p-19, 0x1.008bcf98130cbp-18, 0x1.03d3f6c493be3p-18, 0x1.06f28e47f9f99p-18, 0x1.09e8253f34ceep-18, 0x1.0cb54933f87a9p-18, 0x1.0f5a863022e03p-18, 0x1.11d866cdb6aeep-18, 0x1.142f744839557p-18, 0x1.1660368b58056p-18, 0x1.186b3441217dbp-18, 0x1.1a50f2e0397d9p-18, 0x1.1c11f6b7280bp-18, 0x1.1daec2f9790f7p-18, 0x1.1f27d9c9e1e03p-18, 0x1.207dbc4591f58p-18, 0x1.21b0ea8cb9f93p-18, 0x1.22c1e3cc4b8fdp-18, 0x1.23b12645d49e8p-18, 0x1.247f2f57bd6d4p-18, 0x1.252c7b83c3b4cp-18, 0x1.25b986765a3d6p-18, 0x1.2626cb0c0d7edp-18, 0x1.2674c35797c7bp-18, 0x1.26a3e8a67efc9p-18, 0x1.26b4b385e6cb8p-18, 0x1.26a79bc770b5bp-18, 0x1.267d1883d595cp-18, 0x1.2635a01f8adcap-18, 0x1.25d1a84cd3c26p-18, 0x1.2551a60f51d02p-18, 0x1.24b60dbddeb98p-18, 0x1.23ff530474e9ap-18, 0x1.232de8e6eb561p-18, 0x1.224241c15982bp-18, 0x1.213ccf4a5c945p-18, 0x1.201e02931bed6p-18, 0x1.1ee64c094b17fp-18, 0x1.1d961b76a32b6p-18, 0x1.1c2de001c75d2p-18, 0x1.1aae082e89e43p-18, 0x1.191701ddb9d1fp-18, 0x1.17693a4ce6411p-18, 0x1.15a51e16df2c7p-18, 0x1.13cb193223107p-18, 0x1.11db96f151588p-18, 0x1.0fd702019ea17p-18, 0x1.0dbdc46ae5711p-18, 0x1.0b90478e32afp-18, 0x1.094ef42525f69p-18, 0x1.06fa324060f2bp-18, 0x1.049269476511bp-18, 0x1.0217fff62a212p-18, 0x1.ff16b8ba0deabp-19, 0x1.f9d9c7bccc92bp-19, 0x1.f479f65cbdf6bp-19, 0x1.eef80ca0fa33fp-19, 0x1.e954d12e328d8p-19, 0x1.e3910942881fbp-19, 0x1.ddad78b39f94p-19, 0x1.d7aae1eaee00dp-19, 0x1.d18a05e37ac21p-19, 0x1.cb4ba426b182bp-19, 0x1.c4f07ac8f1fb1p-19, 0x1.be7946679132cp-19, 0x1.b7e6c224d63f8p-19, 0x1.b139a7a5b3782p-19, 0x1.aa72af0edb5c8p-19, 0x1.a3928f0147aecp-19, 0x1.9c99fc98c2bffp-19, 0x1.9589ab67773bfp-19, 0x1.8e624d74c621bp-19, 0x1.8724933933f2p-19, 0x1.7fd12b9ce0b11p-19, 0x1.7868c3f486535p-19, 0x1.70ec07ff151d9p-19, 0x1.695ba1e32b204p-19, 0x1.61b83a2d61908p-19, 0x1.5a0277cd190e5p-19, 0x1.523b0013307b9p-19, 0x1.4a6276af56fefp-19, 0x1.42797daeb9a28p-19, 0x1.3a80b57979a72p-19, 0x1.3278bcd1517dap-19, 0x1.2a6230cf972f1p-19, 0x1.223dace3eb22p-19, 0x1.1a0bcad29c82bp-19, 0x1.11cd22b31aedbp-19, 0x1.09824aeebf259p-19, 0x1.012bd84013c2cp-19, 0x1.f194bb61bbe64p-20, 0x1.e0bcd933c0bfp-20, 0x1.cfd12942829cbp-20, 0x1.bed2c774fd118p-20, 0x1.adc2cc4a9917ep-20, 0x1.9ca24cd9e7f2dp-20, 0x1.8b725acffada2p-20, 0x1.7a34046f6e8f2p-20, 0x1.68e8549000242p-20, 0x1.5790529ec8efbp-20, 0x1.462d029ccc769p-20, 0x1.34bf65201409bp-20, 0x1.23487752d0431p-20, 0x1.11c932f5039a3p-20, 0x1.00428e5c64c2bp-20, 0x1.dd6af8eb077eap-21, 0x1.ba45d98841291p-21, 0x1.971796caa6d6ap-21, 0x1.73e202207ad93p-21, 0x1.50a6e63088492p-21, 0x1.2d6806dbcec18p-21, 0x1.0a27214231698p-21, 0x1.cdcbd78e7b075p-22, 0x1.874c2c2a488e6p-22, 0x1.40d292460a8dfp-22, 0x1.f4c49ce6c27a1p-23, 0x1.67fd2fe2909c1p-23, 0x1.b6aa62e810e7ap-24, 0x1.3b4b6c6d1b562p-25, -0x1.ec1da0081c4b4p-26, -0x1.9350edfbe059ep-24, -0x1.55958314f112cp-23, -0x1.e1450788bbfffp-23, -0x1.3658a6c22ce0fp-22, -0x1.7bea5bfc14aefp-22, -0x1.c154e1bec2ba4p-22, -0x1.034ac18d09614p-21, -0x1.25d4cbe78f8dcp-21, -0x1.4847421e75f03p-21, -0x1.6aa0dca98eafcp-21, -0x1.8ce05a3d7807bp-21, -0x1.af047fc2bede9p-21, -0x1.d10c184c21b24p-21, -0x1.f2f5f50c529e8p-21, -0x1.0a6076a5f9499p-20, -0x1.1b35ef2f64454p-20, -0x1.2bfad5cce4d4cp-20, -0x1.3cae9f23d8e8fp-20, -0x1.4d50c2cf54a61p-20, -0x1.5de0bb5a4b482p-20, -0x1.6e5e0639e710cp-20, -0x1.7ec823c7b317fp-20, -0x1.8f1e973ce308dp-20, -0x1.9f60e6aaef2fep-20, -0x1.af8e9af61838fp-20, -0x1.bfa73fcfa5c02p-20, -0x1.cfaa63b0024c7p-20, -0x1.df9797d04e179p-20, -0x1.ef6e7023ffab9p-20, -0x1.ff2e8352891d9p-20, -0x1.076bb558e78e3p-19, -0x1.0f34611f84828p-19, -0x1.16f1144c637aap-19, -0x1.1ea19f7c142bdp-19, -0x1.2645d4955394ep-19, -0x1.2ddd86c5c134fp-19, -0x1.35688a7e94d64p-19, -0x1.3ce6b57153c47p-19, -0x1.4457de8c8a0d1p-19, -0x1.4bbbddf871e04p-19, -0x1.53128d13760d4p-19, -0x1.5a5bc66f0d456p-19, -0x1.619765cc35198p-19, -0x1.68c548186a0fep-19, -0x1.6fe54b69e7d56p-19, -0x1.76f74efc6841p-19, -0x1.7dfb332dcfe58p-19, -0x1.84f0d97aa505fp-19, -0x1.8bd8247ad17b3p-19, -0x1.92b0f7de51004p-19, -0x1.997b386985906p-19, -0x1.a036cbf1d74ap-19, -0x1.a6e3995ab08cdp-19, -0x1.ad818891bf52dp-19, -0x1.b410828b6e731p-19, -0x1.ba90713fdbfc8p-19, -0x1.c1013fa7840ccp-19, -0x1.c762d9b791254p-19, -0x1.cdb52c5e6da4bp-19, -0x1.d3f82580e0c14p-19, -0x1.da2bb3f62d4aap-19, -0x1.e04fc784e8e3ap-19, -0x1.e66450dfb2f41p-19, -0x1.ec6941a1deeb9p-19, -0x1.f25e8c4c30635p-19, -0x1.f8442441610ffp-19, -0x1.fe19fdc2c8229p-19, -0x1.01f006f6a5263p-18, -0x1.04cb255b0e1bbp-18, -0x1.079e55738dc1p-18, -0x1.0a69930dfa78ep-18, -0x1.0d2cda5f724f4p-18, -0x1.0fe8280290664p-18, -0x1.129b78f608219p-18, -0x1.1546ca9b06f6dp-18, -0x1.17ea1ab377669p-18, -0x1.1a85676085f61p-18, -0x1.1d18af212da83p-18, -0x1.1fa3f0d088387p-18, -0x1.22272ba43890bp-18, -0x1.24a25f2afc71cp-18, -0x1.27158b4b2dae9p-18, -0x1.2980b04123fc1p-18, -0x1.2be3ce9db427ep-18, -0x1.2e3ee744c2542p-18, -0x1.3091fb6bc6a86p-18, -0x1.32dd0c9838a45p-18, -0x1.35201c9e2a4b9p-18, -0x1.375b2d9ef0dd7p-18, -0x1.398e42077db5bp-18, -0x1.3bb95c8f18e2fp-18, -0x1.3ddc8035ea739p-18, -0x1.3ff7b0438e234p-18, -0x1.420af045b6984p-18, -0x1.4416440ed6f8fp-18, -0x1.4619afb48ba68p-18, -0x1.4815378e82142p-18, -0x1.4a08e03520a17p-18, -0x1.4bf4ae7fe4179p-18, -0x1.4dd8a7845351bp-18, -0x1.4fb4d094ae022p-18, -0x1.51892f3e838b7p-18, -0x1.5355c949791e2p-18, -0x1.551aa4b5fa82ap-18, -0x1.56d7c7bc0e56ep-18, -0x1.588d38ca015dep-18, -0x1.5a3afe832e0ecp-18, -0x1.5be11fbec5de6p-18, -0x1.5d7fa386ad453p-18, -0x1.5f16911633bdap-18, -0x1.60a5efd8e48c2p-18, -0x1.622dc769712e6p-18, -0x1.63ae1f908d174p-18, -0x1.652700437a277p-18, -0x1.669871a351132p-18, -0x1.68027bfbd5e95p-18, -0x1.696527c1f66cdp-18, -0x1.6ac07d931965p-18, -0x1.6c14863416051p-18, -0x1.6d614a8fb493bp-18, -0x1.6ea6d3b60afdap-18, -0x1.6fe52adb4994ap-18, -0x1.711c5956aa655p-18, -0x1.724c68a18ef44p-18, -0x1.737562564dda5p-18, -0x1.7497502f60a61p-18, -0x1.75b23c06704dap-18, -0x1.76c62fd31d07ap-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      39, 0x1.9c28f5c28f5c3p+2, 0x1.8be0145815e8fp+0, 0x1.ed7015d532574p+0, -0x1.abff29d2703dp-10, 
      {{
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.40fdbf81830cep-8, -0x1.4aeb69dd45f59p-7, 0x1.ffbae4a14e135p-8, -0x1.5c21485a6e093p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.212824d49d3c3p-8, -0x1.31fc5f0c6ae71p-7, 0x1.e59ecc00ec392p-8, -0x1.51d9dde27d11dp-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.03c04c515c4fep-8, -0x1.1a569995989b3p-7, 0x1.cc480e8fefa4bp-8, -0x1.491ca5304edc2p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d14b814454e35p-9, -0x1.03f0f886a65eep-7, 0x1.b3991bc5e9ba3p-8, -0x1.3ff5ccba93fcdp-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.9f71d66d4fd63p-9, -0x1.dd85cae1e35d4p-8, 0x1.9b99df9e51d42p-8, -0x1.36eb418d40744p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.71b6288756451p-9, -0x1.b5874990fc623p-8, 0x1.84483ab3b9cb8p-8, -0x1.2dd92101d24a2p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.47dcc586813b2p-9, -0x1.8fd509e661504p-8, 0x1.6da4bea0639f9p-8, -0x1.24c908a6785ap-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.21abb8e955ffdp-9, -0x1.6c5da3598685dp-8, 0x1.57af4460b4329p-8, -0x1.1bb864e8da178p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fdd597718c2e7p-10, -0x1.4b0faecf72c24p-8, 0x1.4267d668d70a1p-8, -0x1.12a7e68441e75p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.bec709105e883p-10, -0x1.2bd9c4cb3862p-8, 0x1.2dce71ebb87f3p-8, -0x1.09975e1dcd602p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.85c24eeab708dp-10, -0x1.0eaa7dea28f18p-8, 0x1.19e317a97c4b4p-8, -0x1.0086d865ce0dp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.52616c5102266p-10, -0x1.e6e0e5851b36ep-9, 0x1.06a5c76ea670cp-8, -0x1.eeeca3ebad0bbp-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.2441dfa884d1p-10, -0x1.b43477d923db3p-9, 0x1.e82d0292064dap-9, -0x1.dccb976e6784fp-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.f60944d6b8e4bp-11, -0x1.852ce3ffc0695p-9, 0x1.c46a8a69be897p-9, -0x1.caaa8ad6ac18bp-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.ac9c5250fddfdp-11, -0x1.59a75b288acd9p-9, 0x1.a204266671a16p-9, -0x1.b8897e4600f2dp-10}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.6b8cc707754c7p-11, -0x1.31810e830a531p-9, 0x1.80f9d68797f5bp-9, -0x1.a66871b37a307p-10}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.3231786b6cdap-11, -0x1.0c972f3ecb447p-9, 0x1.614b9acd55323p-9, -0x1.944765217306ep-10}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.ffd0642fc655p-12, -0x1.d58ddd16b13d2p-10, 0x1.42f973379fc4fp-9, -0x1.8226588f3e187p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.a82b6ba30fa4bp-12, -0x1.97dafb307b58fp-10, 0x1.26035fc67b1c4p-9, -0x1.70054bfd20ef2p-10}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.5c4b770d76bbbp-12, -0x1.5fd01b2a0b4b2p-10, 0x1.0a696079e570cp-9, -0x1.5de43f6afe516p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.1b15e29f1e91ap-12, -0x1.2d279f6277a21p-10, 0x1.e056eaa3be55bp-10, -0x1.4bc332d8d0ec6p-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.c6fbedb7180d4p-13, -0x1.ff37d471ad9d4p-11, 0x1.ae933c9cd2326p-10, -0x1.39a22646b8dacp-10}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.6909d1334bc82p-13, -0x1.adcebc187eab5p-11, 0x1.7f87b6df0344fp-10, -0x1.278119b4962bfp-10}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.1a73b20769a79p-13, -0x1.6588ba778f9fap-11, 0x1.5334596a53241p-10, -0x1.15600d221898ap-10}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.b2e7565d8dc6ep-14, -0x1.25da944d0c2a5p-11, 0x1.2999243ecf73cp-10, -0x1.033f00917171fp-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.48bf6096f8eb8p-14, -0x1.dc721cae4b50ap-12, 0x1.02b6175c31a2dp-10, -0x1.e23be7f372897p-11}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e6a636999c941p-15, -0x1.7c31daa7f2c7ap-12, 0x1.bd1665871217bp-11, -0x1.bdf9cef8c517dp-11}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.5f7ba0bc9e1ap-15, -0x1.29ddec03dda39p-12, 0x1.7a30ece1c1546p-11, -0x1.99b7b53916e7ap-11}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.ed49ebe110041p-16, -0x1.c8bfb47961d35p-13, 0x1.3cbbc4e5fde3ep-11, -0x1.75759e58ec616p-11}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.4e6f1e53f61cp-16, -0x1.55425daa4b0abp-13, 0x1.04b6ed257408bp-11, -0x1.51337cbf3497cp-11}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.b2e09fe29d77dp-17, -0x1.ee2dccc7374b9p-14, 0x1.a444ce77f1e44p-12, -0x1.2cf1832cd3b47p-11}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.0c6b7a1d309p-17, -0x1.5820c49f0c33ep-14, 0x1.49fc5a50e594fp-12, -0x1.08aef43651bb6p-11}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.36199cddbe6p-18, -0x1.c807874156123p-15, 0x1.f529554e0086dp-13, -0x1.c8dd2591ca7ap-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.4840a96c808p-19, -0x1.1afa061b85d72p-15, 0x1.6c1a306f10932p-13, -0x1.804c21366d5dp-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.33f52e8d3b001p-20, -0x1.40c9830daf631p-16, 0x1.f1a04cf0ac55ap-14, -0x1.37f7c7cbdff0bp-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.e3dc65cca6p-22, -0x1.3e587da03ddadp-17, 0x1.3672084325f97p-14, -0x1.dd82083c22accp-13}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.1d43ce61a8002p-23, -0x1.fd293c2d5b5a7p-19, 0x1.4e62d8623725fp-15, -0x1.51ae7d184fcc2p-13}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.85c24eebbffffp-26, -0x1.1075fe93ec718p-20, 0x1.078de7740e8bcp-16, -0x1.5a6fab34bdf38p-14}, 
        {0x1.999999999999ap+2, 0x1.9c28f5c28f5c3p+2, 0x1.e6a636cp-31, -0x1.1103a97638a81p-24, 0x1.bd8a6c3ce4801p-19, -0x1.38478b8553681p-13}, 
      }}, 
      0x1.c62f052c7d18dp-9, -0x1.df2247402aa61p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.75ddbcc030792p-2, 0x1.745f73f34d426p-2, 0x1.71e8811262441p-2, 0x1.6e81fc1ab5434p-2, 0x1.6a37db8981098p-2, 0x1.651837152089fp-2, 0x1.5f32a3df14d4p-2, 0x1.5897b253db4bfp-2, 0x1.51588613c8e68p-2, 0x1.49867fc6f0362p-2, 0x1.4132f499d16a2p-2, 0x1.386ef176452dep-2, 0x1.2f4b0a44422b7p-2, 0x1.25d7332add6edp-2, 0x1.1c22a4f84ae98p-2, 0x1.123bc969aa4f1p-2, 0x1.08302f5ce2cdap-2, 0x1.fc190a78ca6f1p-3, 0x1.e7b9307e61725p-3, 0x1.d356aedc23494p-3, 0x1.bf05b2a36154ep-3, 0x1.aad8c6d0516e3p-3, 0x1.96e0e55c1e444p-3, 0x1.832d8955c2e31p-3, 0x1.6fccc11e35f95p-3, 0x1.5ccb401ddc842p-3, 0x1.4a346f82e36p-3, 0x1.38127dd00a02ap-3, 0x1.266e6d35046bap-3, 0x1.155020d1359d8p-3, 0x1.04be691c13504p-3, 0x1.e97e1f78f65b3p-4, 0x1.caadc63424a52p-4, 0x1.ad1383d8dcb3ep-4, 0x1.90b54dfae8319p-4, 0x1.75976a846d375p-4, 0x1.5bbc88b5313acp-4, 0x1.4325daecd38fep-4, 0x1.2bd3311be86d5p-4, 0x1.15c313ae6f643p-4, 0x1.00f2dea714785p-4, 0x1.dabdb95474b0fp-5, 0x1.b604c366a155bp-5, 0x1.93afca6add0e7p-5, 0x1.73b236ded1519p-5, 0x1.55fe1b885d7d6p-5, 0x1.3a8463e2b9cefp-5, 0x1.2135000d2d4f5p-5, 0x1.09ff0e11d8e7ep-5, 0x1.e9a200d3a1495p-6, 0x1.c3318364edc44p-6, 0x1.a087ab1f08p-6, 0x1.817eed958c53ep-6, 0x1.65f1655a122edp-6, 0x1.4db903a0ef62dp-6, 0x1.38afbc6b632ebp-6, 0x1.26afae9b2c82ap-6, 0x1.1793462bfc895p-6, 0x1.0b355bde424a2p-6, 0x1.01714ed598c93p-6, 0x1.f44638002cf2p-7, 0x1.ea4ee44780889p-7, 0x1.e4b77d9e47e99p-7, 0x1.e33c83b633af6p-7, 0x1.e59c1c8822b03p-7, 0x1.eb9638d35eca7p-7, 0x1.f4ec97f5e54b2p-7, 0x1.00b15ab99b99fp-6, 0x1.085f12b236cd4p-6, 0x1.1162f5d6bdfb5p-6, 0x1.1ba1bbf1a4af2p-6, 0x1.2700bc045a5b8p-6, 0x1.3366748d0d3a4p-6, 0x1.40ba32c97fb1ap-6, 0x1.4ee4151be45fp-6, 0x1.5dcd51cd7ea99p-6, 0x1.6d5fb8e5616c8p-6, 0x1.7d862a9b0ba62p-6, 0x1.8e2c405638e61p-6, 0x1.9f3e69aa90e32p-6, 0x1.b0a9ee8388c96p-6, 0x1.c25cd82d484dbp-6, 0x1.d446011b1357fp-6, 0x1.e655062175592p-6, 0x1.f87a4b2cc786ep-6, 0x1.05537a883b226p-5, 0x1.0e6674bb4c10ap-5, 0x1.176f66cb09ab8p-5, 0x1.2068021b9d79bp-5, 0x1.294a5693787bfp-5, 0x1.3210d1ba0406dp-5, 0x1.3ab63db8b29f1p-5, 0x1.4335c0073005cp-5, 0x1.4b8ad7b5f7c9bp-5, 0x1.53b15b659ef44p-5, 0x1.5ba576f82e23fp-5, 0x1.6363a901a8f2p-5, 0x1.6ae8c0106460ap-5, 0x1.7231d7cf3aadap-5, 0x1.793c560479132p-5, 0x1.8005e7798cb09p-5, 0x1.868c7cc35be0bp-5, 0x1.8cce46f12fa31p-5, 0x1.92c9b42df5ce4p-5, 0x1.987d6c52da7e7p-5, 0x1.9de84d7a4cd3bp-5, 0x1.a30968a3a121p-5, 0x1.a7dffe6aaa568p-5, 0x1.ac6b7be153af2p-5, 0x1.b0ab7796ef48cp-5, 0x1.b49faeca73464p-5, 0x1.b84802cc08ed5p-5, 0x1.bba4768f44704p-5, 0x1.beb52c67d0d21p-5, 0x1.c17a63e7be1cp-5, 0x1.c3f477e291fd3p-5, 0x1.c623dc89f77b7p-5, 0x1.c8091d9e46905p-5, 0x1.c9a4dcb5ea73cp-5, 0x1.caf7cf93504bfp-5, 0x1.cc02be8ea2869p-5, 0x1.ccc6830c4006cp-5, 0x1.cd440606603fap-5, 0x1.cd7c3ead5160bp-5, 0x1.cd703112a6215p-5, 0x1.cd20ecef751bbp-5, 0x1.cc8f8c7f2654dp-5, 0x1.cbbd336821af9p-5, 0x1.caab0dc16dcbp-5, 0x1.c95a4f25c422ap-5, 0x1.c7cc31d701869p-5, 0x1.c601f5fb6b7bep-5, 0x1.c3fce0dfb26a1p-5, 0x1.c1be3c4936731p-5, 0x1.bf4755de1e84p-5, 0x1.bc997e8b84392p-5, 0x1.b9b609f9f2acdp-5, 0x1.b69e4e1587021p-5, 0x1.b353a29075c3bp-5, 0x1.afd760723adb9p-5, 0x1.ac2ae1ba2b95ep-5, 0x1.a84f80fbc32f6p-5, 0x1.a4469904ec958p-5, 0x1.a011849973bbbp-5, 0x1.9bb19e29b8b9ap-5, 0x1.97283f8e80d3dp-5, 0x1.9276c1da32a59p-5, 0x1.8d9e7d2a2a93p-5, 0x1.88a0c8774db63p-5, 0x1.837ef9777559ap-5, 0x1.7e3a64841752dp-5, 0x1.78d45c7e9c18ep-5, 0x1.734e32be34737p-5, 0x1.6da93702751cep-5, 0x1.67e6b76545497p-5, 0x1.6208005446dbfp-5, 0x1.5c0e5c8b47e49p-5, 0x1.55fb15092490ep-5, 0x1.4fcf710ded966p-5, 0x1.498cb61feaab7p-5, 0x1.4334280253951p-5, 0x1.3cc708a989e82p-5, 0x1.36469842febb3p-5, 0x1.2fb41539e1078p-5, 0x1.2910bc232b006p-5, 0x1.225dc7b051c39p-5, 0x1.1b9c70bae75abp-5, 0x1.14cdee42d58e7p-5, 0x1.0df3754f4c1f5p-5, 0x1.070e38dcfc7ccp-5, 0x1.001f69e7b1fdep-5, 0x1.f2506ec388b66p-6, 0x1.e4539c1937d5bp-6, 0x1.d64ab0bf46539p-6, 0x1.c837fd158c115p-6, 0x1.ba1dccd08245p-6, 0x1.abfe66a534024p-6, 0x1.9ddc0bfd2f323p-6, 0x1.8fb8f8f8e814ap-6, 0x1.8197643983d46p-6, 0x1.73797e877dc2dp-6, 0x1.6561728b08104p-6, 0x1.575164b235226p-6, 0x1.494b72f6ddbdp-6, 0x1.3b51b470d652cp-6, 0x1.2d663906c201fp-6, 0x1.1f8b095dc9efap-6, 0x1.11c226a98b314p-6, 0x1.040d8a22bf0efp-6, 0x1.ecde4917b2987p-7, 0x1.d1d1bc4febf9dp-7, 0x1.b6f92d97869e8p-7, 0x1.9c584adcc75e7p-7, 0x1.81f2aec17b1cbp-7, 0x1.67cbdfe49abfp-7, 0x1.4de75170e3ab4p-7, 0x1.34486362c5723p-7, 0x1.1af26135ddfffp-7, 0x1.01e87ff8bba75p-7, 0x1.d25bbba858efcp-8, 0x1.a18b0657d6ffp-8, 0x1.7164c66d9a226p-8, 0x1.41eeb509be473p-8, 0x1.132e596bbf936p-8, 0x1.ca520f8b817a7p-9, 0x1.6fc7c88f5b1edp-9, 0x1.16c7cb6867bf7p-9, 0x1.7eb74cfbf88cp-10, 0x1.a631fafca6cf5p-11, 0x1.5630a8bdeda9cp-13, -0x1.e8c345fc5a54ep-12, -0x1.1bbbdc1a5e4dep-10, -0x1.b9cbefea9c142p-10, -0x1.2a2962069df41p-9, -0x1.75a179f92162p-9, -0x1.bf47fe9d62511p-9, -0x1.038b8aedf3a8dp-8, -0x1.2684a289ddf8dp-8, -0x1.488cba3015abp-8, -0x1.69a17c9d3f62p-8, -0x1.89c0ce704dddp-8, -0x1.a8e8cbad209cep-8, -0x1.c717c1f5b6769p-8, -0x1.e44c2d397709cp-8, -0x1.00425cf4d217ep-7, -0x1.0de02507ea0e6p-7, -0x1.1afefbe30c4cap-7, -0x1.279e891b6430fp-7, -0x1.33be8bd324d3p-7, -0x1.3f5ed8e51164fp-7, -0x1.4a7f5ba5df4d4p-7, -0x1.5520182add168p-7, -0x1.5f412ca14ed9ap-7, -0x1.68e2d0302ec36p-7, -0x1.7205502048006p-7, -0x1.7aa90d88555ffp-7, -0x1.82ce7d2cdc686p-7, -0x1.8a76293ebb964p-7, -0x1.91a0b3052094bp-7, -0x1.984ed2a638a44p-7, -0x1.9e8154eb16238p-7, -0x1.a4391887911ecp-7, -0x1.a9770cc259f0cp-7, -0x1.ae3c32216d341p-7, -0x1.b2899c11a897p-7, -0x1.b66071c27555cp-7, -0x1.b9c1ed2800fd5p-7, -0x1.bcaf5895fe28cp-7, -0x1.bf2a0c6fedee2p-7, -0x1.c1336e4727222p-7, -0x1.c2ccf199321bp-7, -0x1.c3f81923b57e9p-7, -0x1.c4b67760ba8f4p-7, -0x1.c509ad73b7519p-7, -0x1.c4f368fc6552fp-7, -0x1.c4756203b2a83p-7, -0x1.c3915a1243e6dp-7, -0x1.c2491ca2f92bcp-7, -0x1.c09e802efc4c7p-7, -0x1.be9366afdbc6p-7, -0x1.bc29bce5bdb0cp-7, -0x1.b9637892ad771p-7, -0x1.b64296880901ap-7, -0x1.b2c9197181cdap-7, -0x1.aef909c226e3bp-7, -0x1.aad4766a2d19ap-7, -0x1.a65d75804aa9fp-7, -0x1.a196241d58028p-7, -0x1.9c80a53a4c853p-7, -0x1.971f20027bd07p-7, -0x1.9173be56fbc6ep-7, -0x1.8b80ac15dd484p-7, -0x1.8548173d9247bp-7, -0x1.7ecc3083cdcabp-7, -0x1.780f2bb8a1791p-7, -0x1.71133f77b5ee4p-7, -0x1.69daa41cc9451p-7, -0x1.6267925e6e3ep-7, -0x1.5abc421ad98c2p-7, -0x1.52dae9bce0e54p-7, -0x1.4ac5be4988306p-7, -0x1.427ef3cd075p-7, -0x1.3a08bdae1a7a5p-7, -0x1.31654e8451adbp-7, -0x1.2896d75b6b52bp-7, -0x1.1f9f869fb6575p-7, -0x1.16818715fc658p-7, -0x1.0d3eff322477bp-7, -0x1.03da10ed9083fp-7, -0x1.f4a9b401cda5cp-8, -0x1.e162e86bc9e36p-8, -0x1.cde3eaf9fc656p-8, -0x1.ba30df30fb377p-8, -0x1.a64dded5c119dp-8, -0x1.923ef847a6f6dp-8, -0x1.7e082d1d0d15bp-8, -0x1.69ad715cd052bp-8, -0x1.5532ab682ec93p-8, -0x1.409bb45f0b3f7p-8, -0x1.2bec58933d1efp-8, -0x1.1728579a98a5p-8, -0x1.025363c87125cp-8, -0x1.dae24256bc3b8p-9, -0x1.b10a48ce045c8p-9, -0x1.8725e3881bb4p-9, -0x1.5d3bf95d53734p-9, -0x1.33534f5a5f5bp-9, -0x1.0972895e91ec5p-9, -0x1.bf4055c2a2bf2p-10, -0x1.6bc52e812e88dp-10, -0x1.1880225ee1d86p-10, -0x1.8afae55ba61bep-11, -0x1.cb24653bad545p-12, -0x1.03762f7b64e8fp-13, 0x1.8c311a26ce82ap-13, 0x1.0615128b48715p-11, 0x1.a82738f608acbp-11, 0x1.2496d47dca362p-10, 0x1.7489ee6387d77p-10, 0x1.c3e2ec9ebe9d2p-10, 0x1.094c0c762e4b7p-9, 0x1.305003eb8092bp-9, 0x1.56f8ce4455235p-9, 0x1.7d4205b6cca6fp-9, 0x1.a3276d4698693p-9, 0x1.c8a4efa0c7ce2p-9, 0x1.edb69cded2959p-9, 0x1.092c53e405f55p-8, 0x1.1b43b1b6134e3p-8, 0x1.2d1fa0ffe33e3p-8, 0x1.3ebe6ad010c31p-8, 0x1.501e69843f928p-8, 0x1.613e0ac69ccadp-8, 0x1.721bd18f7d7b3p-8, 0x1.82b657759d584p-8, 0x1.930c4cb7999d4p-8, 0x1.a31c76b7b4cb2p-8, 0x1.b2e5ad0da568dp-8, 0x1.c266d5c9fae68p-8, 0x1.d19ee1e598ce9p-8, 0x1.e08ccafeced2p-8, 0x1.ef2f935424d74p-8, 0x1.fd864862622bdp-8, 0x1.05c803e2a5b37p-7, 0x1.0ca6029a0a80cp-7, 0x1.135cc7f391c41p-7, 0x1.19ec0acb51634p-7, 0x1.205390d23fc6p-7, 0x1.26932bf21a123p-7, 0x1.2caab5d2a9f4p-7, 0x1.329a0a70c0e14p-7, 0x1.3861032bf5544p-7, 0x1.3dff73cf1559bp-7, 0x1.43752ac7b1b2p-7, 0x1.48c1f507fa49p-7, 0x1.4de5a510e5a1dp-7, 0x1.52e01ba2fbdc9p-7, 0x1.57b14fda959f2p-7, 0x1.5c595447a52b6p-7, 0x1.60d857048b335p-7, 0x1.652e9be24f733p-7, 0x1.695c7141a6fep-7, 0x1.6d6221c279666p-7, 0x1.713fe62b3e05p-7, 0x1.74f5db617e1fdp-7, 0x1.7883ffc7290d5p-7, 0x1.7bea39ccb48d7p-7, 0x1.7f28674ebf4a7p-7, 0x1.823e72eb41f2bp-7, 0x1.852c6a7e72cacp-7, 0x1.87f2910347c9bp-7, 0x1.8a91668369056p-7, 0x1.8d09a2a5c06c5p-7, 0x1.8f5c216cc13b4p-7, 0x1.9189c531b3155p-7, 0x1.93935408dd18cp-7, 0x1.957958a56f946p-7, 0x1.973c0ee858702p-7, 0x1.98db624ad1471p-7, 0x1.9a570094202ep-7, 0x1.9bae7e885437dp-7, 0x1.9ce18798e857ep-7, 0x1.9df00e40204b8p-7, 0x1.9eda718500f7ap-7, 0x1.9fa18da173325p-7, 0x1.a046b1c5ac13bp-7, 0x1.a0cb7abbc6e11p-7, 0x1.a1319888f8ef1p-7, 0x1.a17a8aa0809dp-7, 0x1.a1a7616b12c21p-7, 0x1.a1b893d59b544p-7, 0x1.a1adf40f6ce6p-7, 0x1.a186c840a9397p-7, 0x1.a14204334d8d5p-7, 0x1.a0de9972d001bp-7, 0x1.a05bcdf1ec83ap-7, 0x1.9fb9870272e3cp-7, 0x1.9ef877da01333p-7, 0x1.9e1a27dda11e6p-7, 0x1.9d20ccba4e127p-7, 0x1.9c0efd91854c3p-7, 0x1.9ae74d5b7b5f4p-7, 0x1.99abe0f2c791bp-7, 0x1.985e1735f2f03p-7, 0x1.96fe567053f61p-7, 0x1.958c0a709a8fp-7, 0x1.9405d462f4a79p-7, 0x1.9269e35aba9abp-7, 0x1.90b664ba3ca85p-7, 0x1.8ee9f7848cc07p-7, 0x1.8d040d3e157e4p-7, 0x1.8b0525facafb1p-7, 0x1.88eedb2cf9078p-7, 0x1.86c3b540ca8f4p-7, 0x1.8486d2272cef1p-7, 0x1.823b6cf227b18p-7, 0x1.7fe45e1a3fb5ep-7, 0x1.7d83ae6d58aa9p-7, 0x1.7b1a52a490847p-7, 0x1.78a81c0e78213p-7, 0x1.762bdeb80c98p-7, 0x1.73a3c2d6bd41dp-7, 0x1.710db05eab98dp-7, 0x1.6e67c0f18342ap-7, 0x1.6bb0a4c73bae2p-7, 0x1.68e7ea467ae74p-7, 0x1.660e1d9f10d69p-7, 0x1.6324bd381454ep-7, 0x1.602e075efa0a8p-7, 0x1.5d2cab7928615p-7, 0x1.5a236c58b9287p-7, 0x1.5714c2bb4f447p-7, 0x1.54028ec49a45fp-7, 0x1.50ede51e0fc2dp-7, 0x1.4dd70012d5e39p-7, 0x1.4abd57294e044p-7, 0x1.479fd921dfb14p-7, 0x1.447d3cfad1a33p-7, 0x1.415457458e12p-7, 0x1.3e245d0ab4ed2p-7, 0x1.3aed01c2ca8ddp-7, 0x1.37ae6c61542f1p-7, 0x1.346912357bed7p-7, 0x1.311d91c6a5fecp-7, 0x1.2dcca30824b7bp-7, 0x1.2a771f8b8307ap-7, 0x1.271e119aa8c6ap-7, 0x1.23c2b25972219p-7, 0x1.20664a08a551p-7, 0x1.1d09faf4d283fp-7, 0x1.19ae91675cb07p-7, 0x1.165475021d27p-7, 0x1.12fbc76f514fep-7, 0x1.0fa4a1c80b9dap-7, 0x1.0c4f4cfb93416p-7, 0x1.08fc4f8a3609fp-7, 0x1.05ac403de946ap-7, 0x1.025f713409896p-7, 0x1.fe2b4858a4e2p-8, 0x1.f79bf64d0bcap-8, 0x1.f10e70feca124p-8, 0x1.ea80636d7c29p-8, 0x1.e3f07009f2dffp-8, 0x1.dd5e83439bb2ap-8, 0x1.d6cb94f5aa0c6p-8, 0x1.d0392784a62ecp-8, 0x1.c9a8f3cb3988bp-8, 0x1.c31cf7923e168p-8, 0x1.bc97bc762c9fap-8, 0x1.b61c78ca43067p-8, 0x1.afaec65a66a15p-8, 0x1.a951f05dba653p-8, 0x1.a308153bc6534p-8, 0x1.9cd175d773c38p-8, 0x1.96ac4ce7e105ap-8, 0x1.909565a5078d7p-8, 0x1.8a895647d7212p-8, 0x1.8485d64d9d12fp-8, 0x1.7e8a6937c16e4p-8, 0x1.7897d64bbaeb6p-8, 0x1.72aead24a0231p-8, 0x1.6ccde8940da6ep-8, 0x1.66f2dc94908c2p-8, 0x1.611abb99c75d8p-8, 0x1.5b44c965285f8p-8, 0x1.5573c6edf9d96p-8, 0x1.4fada2452cbdap-8, 0x1.49f98133dd494p-8, 0x1.445d1d33ac42cp-8, 0x1.3edaab71925dep-8, 0x1.39702a48f52a8p-8, 0x1.341844e38eccap-8, 0x1.2ecc7b1b7334cp-8, 0x1.2987e0e661a21p-8, 0x1.244964986edaep-8, 0x1.1f145d71dac56p-8, 0x1.19eec04a828ap-8, 0x1.14ddc81cfc7fbp-8, 0x1.0fe31ab8ba8a7p-8, 0x1.0afc2ba522fcbp-8, 0x1.0623f1135008fp-8, 0x1.01558d8ac4a12p-8, 0x1.f91cf955834cbp-9, 0x1.ef9efc14ecf8dp-9, 0x1.e63822fde4fd5p-9, 0x1.dcf1d3f377602p-9, 0x1.d3d440dce1c4ap-9, 0x1.cae365924b5d8p-9, 0x1.c21cf7d089c1ap-9, 0x1.b978124f1c5e6p-9, 0x1.b0e7e3bb2973ap-9, 0x1.a86148c487868p-9, 0x1.9fe0a637a7b0dp-9, 0x1.976c35544a0d9p-9, 0x1.8f10b5300aa72p-9, 0x1.86da66bae9252p-9, 0x1.7ecf522d6e773p-9, 0x1.76ee7bbe3d29bp-9, 0x1.6f3357912b692p-9, 0x1.679a787063345p-9, 0x1.6024774837b24p-9, 0x1.58d4adb44596p-9, 0x1.51ac7ff1550d5p-9, 0x1.4aa8049af4e06p-9, 0x1.43bfb4166e3ep-9, 0x1.3ced51dc72a25p-9, 0x1.362f45ed4d189p-9, 0x1.2f87a08854e19p-9, 0x1.28f840331728ep-9, 0x1.227fd86114f9p-9, 0x1.1c1a09050dac1p-9, 0x1.15c2143c9433bp-9, 0x1.0f76877d6e223p-9, 0x1.093b5a468411p-9, 0x1.0318717edce8ap-9, 0x1.fa2a1bdd9cb45p-10, 0x1.ee66eca8b976ap-10, 0x1.e2e2d863a6d8ap-10, 0x1.d79acc0c7b3e4p-10, 0x1.cc92adcb1204ep-10, 0x1.c1cede0a2d044p-10, 0x1.b74d5854eb7b4p-10, 0x1.ad075bb294764p-10, 0x1.a2f6e8ac15e8dp-10, 0x1.9919ddf07cbb9p-10, 0x1.8f71633d0f31dp-10, 0x1.85fe9a4510f8ap-10, 0x1.7cbef0f0b6cf4p-10, 0x1.73ab1635bb9c7p-10, 0x1.6ab835db42acap-10, 0x1.61d9a76913ee2p-10, 0x1.59072938d2899p-10, 0x1.5046fc5ccfbb3p-10, 0x1.47ac28269558ep-10, 0x1.3f4415b177d28p-10, 0x1.370a20402ffdp-10, 0x1.2ef4fd28314e8p-10, 0x1.270b0b3b1fb92p-10, 0x1.1f5c34c7e5c0ep-10, 0x1.17ec9aa0f26a6p-10, 0x1.10b0ceb415eccp-10, 0x1.0999ccc90d43bp-10, 0x1.029db846bec8dp-10, 0x1.f771ee18a3fe1p-11, 0x1.e9da4e5496d8p-11, 0x1.dc81bfaaa9095p-11, 0x1.cf7d12fb125bap-11, 0x1.c2e13a909d9dfp-11, 0x1.b6ba8bfd59d53p-11, 0x1.ab04dbe077b0bp-11, 0x1.9fa13127cbda4p-11, 0x1.945fa32e5b9c5p-11, 0x1.892d3a9f76565p-11, 0x1.7e22adceff10ep-11, 0x1.7352715bdf502p-11, 0x1.68afcd3810f5cp-11, 0x1.5e39cf67756f5p-11, 0x1.540d4fca06dap-11, 0x1.4a3707abef534p-11, 0x1.40a4400c8c178p-11, 0x1.37462f1a8a58fp-11, 0x1.2e21523823f3ep-11, 0x1.253b71afc0efap-11, 0x1.1c8e908029a06p-11, 0x1.140e84c794d38p-11, 0x1.0bb3b80b7d8bfp-11, 0x1.0380cb6235491p-11, 0x1.f70148bf40b59p-12, 0x1.e77c8cac9cefdp-12, 0x1.d87d641e09fbep-12, 0x1.ca0012be85d1bp-12, 0x1.bbdf24513194ap-12, 0x1.adda328427752p-12, 0x1.9ffb50e164006p-12, 0x1.929788e5c7891p-12, 0x1.85bbc4761fbep-12, 0x1.7938d2a3b8718p-12, 0x1.6d1dd100e3583p-12, 0x1.61830ec6c209cp-12, 0x1.563ae213894bp-12, 0x1.4b10d3ac71d3bp-12, 0x1.400974b9481fep-12, 0x1.35488f999cfd6p-12, 0x1.2ad740333ae75p-12, 0x1.20a04cc2148fap-12, 0x1.169ef94016acdp-12, 0x1.0ce9f8b023df1p-12, 0x1.038e4cbfe2c0dp-12, 0x1.f5079a3a8fbcbp-13, 0x1.e380fa5cc0a5fp-13, 0x1.d27f49cd8cd43p-13, 0x1.c1ff61147e487p-13, 0x1.b21060af7ba1ep-13, 0x1.a2a72dea37d72p-13, 0x1.9376429e2150cp-13, 0x1.848de68e121f3p-13, 0x1.763063bf3e4f8p-13, 0x1.6818d60e4d1a4p-13, 0x1.5a44fe3118facp-13, 0x1.4d0baed58506bp-13, 0x1.406112c0fb79ap-13, 0x1.3414e058a35cdp-13, 0x1.281c34423fa93p-13, 0x1.1c83ba9310b7p-13, 0x1.115b25df12dc4p-13, 0x1.06a9802d615d7p-13, 0x1.f8b874f660c31p-14, 0x1.e48efaf8f42dap-14, 0x1.d0b7ab5b53e2bp-14, 0x1.bd7a3afff620bp-14, 0x1.aaedd62d9cad5p-14, 0x1.98cf736976419p-14, 0x1.872bb8cb30f01p-14, 0x1.76524c12b4301p-14, 0x1.664287a731fa4p-14, 0x1.56f43aafd688ep-14, 0x1.486b88f11a1e7p-14, 0x1.3a3189a6e9031p-14, 0x1.2c3cbd7335597p-14, 0x1.1e935441f0d7p-14, 0x1.111f2e847bcd6p-14, 0x1.0467537cdff1ap-14, 0x1.f0c13d62d6f84p-15, 0x1.d97e624bdb747p-15, 0x1.c2e32a043458dp-15, 0x1.acfd40275bfddp-15, 0x1.97d64b0e85322p-15, 0x1.836e66512602fp-15, 0x1.6fc13544a8cf9p-15, 0x1.5cca3589be97ep-15, }}, 
      {{0x1.75f4f09e8ee52p-2, 0x1.74bb72098a76dp-2, 0x1.72b466704d5ap-2, 0x1.6fe4f08b9c826p-2, 0x1.6c53f84f812dcp-2, 0x1.6809d287cbbcbp-2, 0x1.630feb9aee9ep-2, 0x1.5d707eba3d328p-2, 0x1.573659a849fdp-2, 0x1.506caa7413e21p-2, 0x1.491ed4bc4986bp-2, 0x1.41584cfdd96c1p-2, 0x1.3924792ca2453p-2, 0x1.308e9632c4ad4p-2, 0x1.27a1a20ae1d0ap-2, 0x1.1e684a33994c5p-2, 0x1.14ecde1e81bb6p-2, 0x1.0b394533123c5p-2, 0x1.0156f7e181616p-2, 0x1.ee9df67fe967dp-3, 0x1.da53bd73e4ba2p-3, 0x1.c5df76d564c5bp-3, 0x1.b15069919c31p-3, 0x1.9cb4f4a916b35p-3, 0x1.881a9407a2a7ap-3, 0x1.738de6616e84fp-3, 0x1.5f1ab3b3b1fbcp-3, 0x1.4acbf41b6868dp-3, 0x1.36abd6c86bf96p-3, 0x1.22c3c8e5a9cfp-3, 0x1.0f1c7c5f0115cp-3, 0x1.f77bdcf4e9147p-4, 0x1.d15edc889454fp-4, 0x1.abef45a8b76dp-4, 0x1.873922edd6d08p-4, 0x1.634747892173fp-4, 0x1.40235b68a55b5p-4, 0x1.1dd5e761cd235p-4, 0x1.f8ccc2ddb04eep-5, 0x1.b7b6720ab4ddp-5, 0x1.7873c70dabdbap-5, 0x1.3b0dd18da49p-5, 0x1.ff17be7925b8ap-6, 0x1.8be72a0539abp-6, 0x1.1c921027a05b5p-6, 0x1.623b5b511277ap-7, 0x1.26320b73ad2e2p-8, -0x1.a217c00f11c77p-10, -0x1.e7bade048618cp-8, -0x1.abbf8dcc9a2bdp-7, -0x1.2dfb436f67f5cp-6, -0x1.82499d280eefp-6, -0x1.d2d4f1615d4fep-6, -0x1.0fd47177568ecp-5, -0x1.34693a1bb4d17p-5, -0x1.572ff19015a8cp-5, -0x1.7830436a8448cp-5, -0x1.977257c3a3c9ap-5, -0x1.b4fec41c23e67p-5, -0x1.d0de7d3da243cp-5, -0x1.eb1ac9ff6132bp-5, -0x1.01de9b6efa5a3p-4, -0x1.0d67c53b0fa0dp-4, -0x1.182ddd906284p-4, -0x1.2235f2b27b734p-4, -0x1.2b8521bccdcb6p-4, -0x1.342092586ee1bp-4, -0x1.3c0d7315628dfp-4, -0x1.4350f5c74a4bdp-4, -0x1.49f04ccbf2ca5p-4, -0x1.4ff0a896036e9p-4, -0x1.555735161cef1p-4, -0x1.5a2917d349ffdp-4, -0x1.5e6b6cef65965p-4, -0x1.622345c1047eep-4, -0x1.6555a6d27f6edp-4, -0x1.680786d9b82ebp-4, -0x1.6a3dcdc4d5f7bp-4, -0x1.6bfd534842f73p-4, -0x1.6d4addbfd9b05p-4, -0x1.6e2b20a0e74fcp-4, -0x1.6ea2bb4eaea33p-4, -0x1.6eb6383106922p-4, -0x1.6e6a0c1ac0f18p-4, -0x1.6dc295e911009p-4, -0x1.6cc41e26f7378p-4, -0x1.6b72d6a232695p-4, -0x1.69d2d9df2f055p-4, -0x1.67e82a7f3f4bep-4, -0x1.65b6b2ae2d58ep-4, -0x1.634243ae401aep-4, -0x1.608e9590cb5ddp-4, -0x1.5d9f471bd82e8p-4, -0x1.5a77ddd31e916p-4, -0x1.571bc61543b09p-4, -0x1.538e533dfb31ap-4, -0x1.4fd2bfc265164p-4, -0x1.4bec2d439c54bp-4, -0x1.47dda499509c9p-4, -0x1.43aa15db2427fp-4, -0x1.3f5458710de23p-4, -0x1.3adf2b324ced6p-4, -0x1.364d349815d0dp-4, -0x1.31a10305db847p-4, -0x1.2cdd0d259883ep-4, -0x1.2803b2548dbc8p-4, -0x1.23173b1b5182bp-4, -0x1.1e19d9abd099cp-4, -0x1.190daa60e0567p-4, -0x1.13f4b43c178aep-4, -0x1.0ed0e96036148p-4, -0x1.09a42787d2ea7p-4, -0x1.047038794670ap-4, -0x1.fe6da4f2638f3p-5, -0x1.f3f3317ad797ap-5, -0x1.e97437c3f8865p-5, -0x1.def3b4c233288p-5, -0x1.d474821d6316bp-5, -0x1.c9f9572ec1p-5, -0x1.bf84ca0434e3cp-5, -0x1.b5195066ed545p-5, -0x1.aab940e282c2dp-5, -0x1.a066d3ca905fcp-5, -0x1.9624243bd2ad7p-5, -0x1.8bf33117691b4p-5, -0x1.81d5ddf6f4269p-5, -0x1.77cdf418892ecp-5, -0x1.6ddd23431ff01p-5, -0x1.640502a2dc611p-5, -0x1.5a47119e497dbp-5, -0x1.50a4b8a5de839p-5, -0x1.471f49fce9382p-5, -0x1.3db8027e25fccp-5, -0x1.34700a5caa59cp-5, -0x1.2b4875df83883p-5, -0x1.2242461ab5506p-5, -0x1.195e69a538d4bp-5, -0x1.109dbd4982accp-5, -0x1.08010cb366294p-5, -0x1.ff122635b6a3ap-6, -0x1.ee6cf7cf6f258p-6, -0x1.de13c6a37765fp-6, -0x1.ce07adfb63ccp-6, -0x1.be49ad23f43e8p-6, -0x1.aedaa88b4e68ep-6, -0x1.9fbb6adc1518p-6, -0x1.90eca6071f94cp-6, -0x1.826ef43deb4eap-6, -0x1.7442d8ed0eeebp-6, -0x1.6668c1aaa77cdp-6, -0x1.58e1071092d27p-6, -0x1.4babed9631055p-6, -0x1.3ec9a6685bb81p-6, -0x1.323a502c135b4p-6, -0x1.25fdf7b8ab3ap-6, -0x1.1a1498d951feep-6, -0x1.0e7e1f01eab57p-6, -0x1.033a65f02b6dcp-6, -0x1.f09274a2a3408p-7, -0x1.db54b4d76c20dp-7, -0x1.c6baed67d4df8p-7, -0x1.b2c464acc1409p-7, -0x1.9f704797fe3e8p-7, -0x1.8cbdaad7808a8p-7, -0x1.7aab8bcc57d38p-7, -0x1.6938d179bfe15p-7, -0x1.58644d8d21897p-7, -0x1.482cbd56b606cp-7, -0x1.3890ca981471ap-7, -0x1.298f0c53e43adp-7, -0x1.1b2607b6bf66cp-7, -0x1.0d5430eda6226p-7, -0x1.0017ebd5161b2p-7, -0x1.e6df1959062efp-8, -0x1.ceb2b1c7ffc02p-8, -0x1.b7a70fb438a9dp-8, -0x1.a1b886e73f22bp-8, -0x1.8ce3516ba413ap-8, -0x1.792390fb6baa6p-8, -0x1.6675505c87778p-8, -0x1.54d484720eb5ap-8, -0x1.443d0d44c269cp-8, -0x1.34aab7494b83cp-8, -0x1.26193cad7024ap-8, -0x1.1884465c59d02p-8, -0x1.0be76ce0f6067p-8, -0x1.003e39815cb95p-8, -0x1.eb084f04520a9p-9, -0x1.d7694a65e1515p-9, -0x1.c596297146573p-9, -0x1.b58599e4996ecp-9, -0x1.a72e354a85734p-9, -0x1.9a868343a9a06p-9, -0x1.8f84fb2c6b315p-9, -0x1.8620057d00999p-9, -0x1.7e4dfda8c4d8dp-9, -0x1.78053474fc8efp-9, -0x1.733bf1fdd5c5bp-9, -0x1.6fe8770c42734p-9, -0x1.6e00fe55374cap-9, -0x1.6d7bbe54cb4dap-9, -0x1.6e4eeb9096508p-9, -0x1.7070ba6fadd16p-9, -0x1.73d7605e7b251p-9, -0x1.787914e005c49p-9, -0x1.7e4c133e44723p-9, -0x1.85469cae33ff8p-9, -0x1.8d5efa1bc5691p-9, -0x1.968b7d3899fbep-9, -0x1.a0c2815039215p-9, -0x1.abfa6ca0949d6p-9, -0x1.b829b247c214cp-9, -0x1.c546d418eb90ap-9, -0x1.d34863bfbabf8p-9, -0x1.e225036475e9ap-9, -0x1.f1d36689ac1ccp-9, -0x1.012529c6bf40fp-8, -0x1.09c052b9a821dp-8, -0x1.12b6a6a0fefb9p-8, -0x1.1c03a95a27cbp-8, -0x1.25a2ea564a3b9p-8, -0x1.2f900507a3051p-8, -0x1.39c6a1974b9dep-8, -0x1.444275a65c276p-8, -0x1.4eff44d03d406p-8, -0x1.59f8e0e0624b5p-8, -0x1.652b29f658f76p-8, -0x1.70920edd35538p-8, -0x1.7c298da27e305p-8, -0x1.87edb435e0cd3p-8, -0x1.93daa0d0fca5ap-8, -0x1.9fec8218d991ap-8, -0x1.ac1f972800d6fp-8, -0x1.b8702fbf46346p-8, -0x1.c4daacb16e88ap-8, -0x1.d15b8063da963p-8, -0x1.ddef2f29afd29p-8, -0x1.ea924f5dddc8ep-8, -0x1.f74189567c847p-8, -0x1.01fccbb3eb6c2p-7, -0x1.085ba30cc8ff7p-7, -0x1.0ebbba40d8a11p-7, -0x1.151b8a4b1279bp-7, -0x1.1b7995a67b784p-7, -0x1.21d4684438ba5p-7, -0x1.282a977a59323p-7, -0x1.2e7ac20088aa6p-7, -0x1.34c39002c18c8p-7, -0x1.3b03b33eebf51p-7, -0x1.4139e718f41bap-7, -0x1.4764f097fb93fp-7, -0x1.4d839e4f93d0bp-7, -0x1.5394c845a6994p-7, -0x1.59974fe5a7d69p-7, -0x1.5f8a2005d1d19p-7, -0x1.656c2cf4d6687p-7, -0x1.6b3c747fb2df9p-7, -0x1.70f9fde49ff5bp-7, -0x1.76a3d9b53c10ep-7, -0x1.7c3921b4021d9p-7, -0x1.81b8f8bb432fap-7, -0x1.87228ab2d7ae9p-7, -0x1.8c750c8f5a4dp-7, -0x1.91afbc4e5b8a1p-7, -0x1.96d1e0e5404f9p-7, -0x1.9bdaca20fca81p-7, -0x1.a0c9d07e04342p-7, -0x1.a59e550370883p-7, -0x1.aa57c12927b28p-7, -0x1.aef586c885a7cp-7, -0x1.b37720102d84ep-7, -0x1.b7dc0f71a3132p-7, -0x1.bc23df8334383p-7, -0x1.c04e22d79391fp-7, -0x1.c45a73d223d57p-7, -0x1.c848747fde8e9p-7, -0x1.cc17ce7937eeep-7, -0x1.cfc832cb42f06p-7, -0x1.d35959e26691fp-7, -0x1.d6cb036fd5d9fp-7, -0x1.da1cf64658313p-7, -0x1.dd4f002faa025p-7, -0x1.e060f5bf5cfe5p-7, -0x1.e352b22904cdap-7, -0x1.e624171cdf0cap-7, -0x1.e8d50caa87651p-7, -0x1.eb658125aec1p-7, -0x1.edd56908565b5p-7, -0x1.f024becf3f70fp-7, -0x1.f25382d0a617p-7, -0x1.f461bb0fc1effp-7, -0x1.f64f731165fb8p-7, -0x1.f81cbbb4a2609p-7, -0x1.f9c9ab107397ap-7, -0x1.fb565c5490f8fp-7, -0x1.fcc2efaab723bp-7, -0x1.fe0f8a150f867p-7, -0x1.ff3c5548b91c8p-7, -0x1.0024bfc26eab5p-6, -0x1.009b9db43c6fdp-6, -0x1.0102dfe4cb426p-6, -0x1.015aa3c7df4f2p-6, -0x1.01a308c8fa84dp-6, -0x1.01dc303b77dc6p-6, -0x1.02063d4adc1b6p-6, -0x1.022154ea6512dp-6, -0x1.022d9dc372059p-6, -0x1.022b4022ef6f6p-6, -0x1.021a65e6490e8p-6, -0x1.01fb3a68c08e5p-6, -0x1.01cdea71be00fp-6, -0x1.0192a4245a31p-6, -0x1.014996efcad5cp-6, -0x1.00f2f380417a7p-6, -0x1.008eebafb110cp-6, -0x1.001db27645672p-6, -0x1.ff3ef7b514cd3p-7, -0x1.fe28f9c2c8567p-7, -0x1.fcf9d6fc88a98p-7, -0x1.fbb1fd0760881p-7, -0x1.fa51db28e4aedp-7, -0x1.f8d9e22a1d69dp-7, -0x1.f74a843adf574p-7, -0x1.f5a434d51d219p-7, -0x1.f3e768a03d71ap-7, -0x1.f214955531b0fp-7, -0x1.f02c31a3e431ap-7, -0x1.ee2eb51a6312p-7, -0x1.ec1c980dc6724p-7, -0x1.e9f65384318c5p-7, -0x1.e7bc611ef2c22p-7, -0x1.e56f3b0398452p-7, -0x1.e30f5bc315582p-7, -0x1.e09d3e3ef82c2p-7, -0x1.de195d8d84db6p-7, -0x1.db8434decc4f5p-7, -0x1.d8de3f647e9eap-7, -0x1.d627f83e0ccbep-7, -0x1.d361da6934a4bp-7, -0x1.d08c60b5d36b7p-7, -0x1.cda805bae1764p-7, -0x1.cab543ca0c8dcp-7, -0x1.c7b494df9c513p-7, -0x1.c4a6728de5722p-7, -0x1.c18b55e4c0972p-7, -0x1.be63b75786a9p-7, -0x1.bb300ea490278p-7, -0x1.b7f0d2c11bcc8p-7, -0x1.b4a679cb23bdcp-7, -0x1.b1517900d27d8p-7, -0x1.adf244bbab049p-7, -0x1.aa89506c3ac95p-7, -0x1.a7170e93bc01bp-7, -0x1.a39bf0b9eccf5p-7, -0x1.a018675f1f8d8p-7, -0x1.9c8ce1ec3cc35p-7, -0x1.98f9cea345287p-7, -0x1.955f9a92a003fp-7, -0x1.91beb18c0630ap-7, -0x1.8e177e1ddb30ap-7, -0x1.8a6a698c23bcfp-7, -0x1.86b7dbc5ec59dp-7, -0x1.83003b5542d7ep-7, -0x1.7f43ed4adda1dp-7, -0x1.7b83552945c94p-7, -0x1.77bed4d61f7cp-7, -0x1.73f6cc97ee9ecp-7, -0x1.702b9b2426ddep-7, -0x1.6c5d9dbc7e9dcp-7, -0x1.688d305429b86p-7, -0x1.64baadb067f7p-7, -0x1.60e66f75ec407p-7, -0x1.5d10ce16f7972p-7, -0x1.593a209d9d6b1p-7, -0x1.5562bc58b933dp-7, -0x1.518af47d5e2efp-7, -0x1.4db319d6924bcp-7, -0x1.49db7a9e4e401p-7, -0x1.46046293def4cp-7, -0x1.422e1b555ed48p-7, -0x1.3e58ecef3e622p-7, -0x1.3a851e834e0a8p-7, -0x1.36b2f6dc6132p-7, -0x1.32e2bcc1d44f7p-7, -0x1.2f14b6e8513a2p-7, -0x1.2b492b728dd05p-7, -0x1.27805f11a6d4p-7, -0x1.23ba93f23bf02p-7, -0x1.1ff808b8e10c2p-7, -0x1.1c38f7d5e9d4p-7, -0x1.187d976a18792p-7, -0x1.14c619d4bbe2cp-7, -0x1.1112aed922413p-7, -0x1.0d638521580cp-7, -0x1.09b8cbc9f6c72p-7, -0x1.0612b39ccad8bp-7, -0x1.02716fad0bebcp-7, -0x1.fdaa6a487dc61p-8, -0x1.f67c7469e1cfcp-8, -0x1.ef5968abb030ep-8, -0x1.e841ac2e6e605p-8, -0x1.e1359a173a3cfp-8, -0x1.da35809af7829p-8, -0x1.d341a027d93fap-8, -0x1.cc5a2d122c01ep-8, -0x1.c57f53769cd87p-8, -0x1.beb13c62f8ba2p-8, -0x1.b7f013085afa6p-8, -0x1.b13c08d8dd3b4p-8, -0x1.aa9557e02b882p-8, -0x1.a3fc431cbee01p-8, -0x1.9d7114ea3c062p-8, -0x1.96f41ba76bc07p-8, -0x1.9085a4da95505p-8, -0x1.8a25f762b6a26p-8, -0x1.83d54dc4843ep-8, -0x1.7d93d21141491p-8, -0x1.77619cd791abp-8, -0x1.713eb7c7fda9bp-8, -0x1.6b2b236b8bcedp-8, -0x1.6526de21a965ap-8, -0x1.5f31ea3c42c4bp-8, -0x1.594c51baa7988p-8, -0x1.537627674adb8p-8, -0x1.4daf862db67aap-8, -0x1.47f88fbc09e55p-8, -0x1.42516aec8b642p-8, -0x1.3cba419895644p-8, -0x1.37333d1c8ea9bp-8, -0x1.31bc8162ad2aep-8, -0x1.2c56277cc19e5p-8, -0x1.270039d08b064p-8, -0x1.21bab3c087698p-8, -0x1.1c858552fd866p-8, -0x1.1760996082e97p-8, -0x1.124bdb90eb36dp-8, -0x1.0d473bbfa4186p-8, -0x1.0852ae14cec05p-8, -0x1.036e290b6cc15p-8, -0x1.fd33470e06911p-9, -0x1.f3aa2910025bcp-9, -0x1.ea40e91bed4bfp-9, -0x1.e0f77eac99c45p-9, -0x1.d7cde89675a8fp-9, -0x1.cec4299d69431p-9, -0x1.c5da4204d79c8p-9, -0x1.bd102984ec456p-9, -0x1.b465cce869b98p-9, -0x1.abdb1026ae665p-9, -0x1.a36fd2cc5249bp-9, -0x1.9b23f318473c6p-9, -0x1.92f74d557dc83p-9, -0x1.8ae9b7c14b745p-9, -0x1.82fafdc3f00dbp-9, -0x1.7b2addc562dccp-9, -0x1.73790b2c9c73dp-9, -0x1.6be5335f129bfp-9, -0x1.646f02f70f0bbp-9, -0x1.5d16292cb5e9cp-9, -0x1.55da59c670ef9p-9, -0x1.4ebb4f7918da4p-9, -0x1.47b8cfc99e3bbp-9, -0x1.40d2aefd3533dp-9, -0x1.3a08d0ea3a4f3p-9, -0x1.335b248977e81p-9, -0x1.2cc99b6fca3b1p-9, -0x1.265420ebfde51p-9, -0x1.1ffa93f30aed8p-9, -0x1.19bcc4481f83p-9, -0x1.139a71c62f66fp-9, -0x1.0d934d983d937p-9, -0x1.07a6fddbf0d49p-9, -0x1.01d5224c541f2p-9, -0x1.f83aad1e24438p-10, -0x1.ecfe618c0b141p-10, -0x1.e1f480c39f711p-10, -0x1.d71c271a9f8cp-10, -0x1.cc748903ebb45p-10, -0x1.c1fd0ec589e21p-10, -0x1.b7b55b5b02b12p-10, -0x1.ad9d3583cfaf4p-10, -0x1.a3b4618935f6fp-10, -0x1.99fa86ccd96f5p-10, -0x1.906f309fecd3cp-10, -0x1.8711e1450c349p-10, -0x1.7de221124ae7bp-10, -0x1.74df7d4b76ee6p-10, -0x1.6c097c2686a91p-10, -0x1.635f9193ad542p-10, -0x1.5ae118cce5bb4p-10, -0x1.528d4ff2458dbp-10, -0x1.4a6357caa988fp-10, -0x1.4262426de8635p-10, -0x1.3a89368dc833cp-10, -0x1.32d7977384121p-10, -0x1.2b4d11b33bc1fp-10, -0x1.23e979f39ef5cp-10, -0x1.1cac903b06b01p-10, -0x1.1595d4302095ep-10, -0x1.0ea4893f53bc6p-10, -0x1.07d7e00c9f394p-10, -0x1.012f1f4176347p-10, -0x1.f553634bc3608p-11, -0x1.e88e3b9275e86p-11, -0x1.dc0df1b5f3f15p-11, -0x1.cfd1b9f2fa306p-11, -0x1.c3d8bc9822019p-11, -0x1.b821f1365cefdp-11, -0x1.acabf6829d29fp-11, -0x1.a17513793c7c8p-11, -0x1.967b89fe33485p-11, -0x1.8bbe1d66f6961p-11, -0x1.813c615485cf4p-11, -0x1.76f678238fdcbp-11, -0x1.6cec6500b257ap-11, -0x1.631d7d753435p-11, -0x1.5988664435948p-11, -0x1.502b82904a034p-11, -0x1.4705632fc0262p-11, -0x1.3e14eadda4892p-11, -0x1.3559357ff8873p-11, -0x1.2cd16c5aabc92p-11, -0x1.247c9c333a366p-11, -0x1.1c599f5ebaf0ep-11, -0x1.14672fe6e1c58p-11, -0x1.0ca4167d6398bp-11, -0x1.050f4579c7ad8p-11, -0x1.fb4f8649e0ebep-12, -0x1.ecd91e009346cp-12, -0x1.deb985acbef81p-12, -0x1.d0efaead0fcaap-12, -0x1.c37b4b234c99ap-12, -0x1.b65c0b2d41396p-12, -0x1.a990daa1db92bp-12, -0x1.9d17e57bcf48cp-12, -0x1.90ef26afe03cbp-12, -0x1.8514b8774d999p-12, -0x1.7986c2c1e29a1p-12, -0x1.6e4385e6193cdp-12, -0x1.6349984a5f529p-12, -0x1.5897f1dadf23bp-12, -0x1.4e2d9c7e9ce26p-12, -0x1.4409447455a4dp-12, -0x1.3a28fdc8796dap-12, -0x1.308a6e4631fafp-12, -0x1.272b39040c12ap-12, -0x1.1e0955af92f8p-12, -0x1.15232f354d098p-12, -0x1.0c77ad3dadf39p-12, -0x1.04062555601p-12, -0x1.f79be4420f919p-13, -0x1.e79bda812302ap-13, -0x1.d8091ed59c16ep-13, -0x1.c8e15f01799fcp-13, -0x1.ba23949df670cp-13, -0x1.abceb8f0f99d5p-13, -0x1.9de08fa5be996p-13, -0x1.905604b33c587p-13, -0x1.832c0ed772d84p-13, -0x1.7660104f395c1p-13, -0x1.69efe81c339f8p-13, -0x1.5dd9cb81ce892p-13, -0x1.521bdeb141963p-13, -0x1.46b3ee074f4e7p-13, -0x1.3b9fafb643247p-13, -0x1.30dd5b00c5806p-13, -0x1.266bd295963d2p-13, -0x1.1c49f0a651da4p-13, -0x1.1275a5bb5ebc4p-13, -0x1.08ebf23286017p-13, -0x1.ff52e34648abdp-14, -0x1.ed55cfe654443p-14, -0x1.dbdc87c3a0171p-14, -0x1.cae64975ef96fp-14, -0x1.ba72e2bfc2e86p-14, -0x1.aa7fb04629f19p-14, -0x1.9b08d1cd8c3dfp-14, -0x1.8c0b54a892398p-14, -0x1.7d849cdc171f2p-14, -0x1.6f716d784fab1p-14, -0x1.61ce6ccf3779fp-14, -0x1.5498a7fcd40c4p-14, -0x1.47cd3a2ca3d4dp-14, -0x1.3b68d37dd5b2ep-14, -0x1.2f67dd3edb72bp-14, -0x1.23c7560a6e157p-14, -0x1.1885c7d418c45p-14, -0x1.0da31b1cb3e2ap-14, -0x1.031eb66e92a2dp-14, -0x1.f1eb48adf54c8p-15, -0x1.de4620b14c818p-15, -0x1.cb43f3cadf64ap-15, -0x1.b8dd0dd5eb6p-15, -0x1.a70f8392d6934p-15, -0x1.95dd5d855cac8p-15, -0x1.8544ca0e5079fp-15, -0x1.753f6f1172a62p-15, -0x1.65c7a5c22984ap-15, -0x1.56d8767f2fc12p-15, -0x1.486bb22140cfdp-15, -0x1.3a7bab4a014dfp-15, -0x1.2d053778d03d8p-15, -0x1.2007152b22b21p-15, -0x1.137f92e4a42c5p-15, -0x1.076b53b3d0a0fp-15, -0x1.f78c7ed69b33p-16, -0x1.e119257f82f0bp-16, -0x1.cb763e23a36e5p-16, -0x1.b69f689bceaf7p-16, -0x1.a291eb631ff22p-16, -0x1.8f48fda8e982dp-16, -0x1.7cbac725872bfp-16, -0x1.6adbd63b65086p-16, -0x1.59a3e3af79f45p-16, -0x1.490e8f21099d4p-16, -0x1.391c2fe13c725p-16, -0x1.29cb6dc6203dfp-16, -0x1.1b13e573af8cep-16, -0x1.0cef34f8865afp-16, -0x1.feb5dc27b5873p-17, -0x1.e4a560998e0f8p-17, -0x1.cba2bd197de8p-17, -0x1.b3a5c3e56247cp-17, -0x1.9ca69d66ca4e1p-17, -0x1.869bc830b14fdp-17, -0x1.717a1c3a1eb32p-17, -0x1.5d3638d332d5cp-17, -0x1.49c67e4a47088p-17, -0x1.3725bc009d1d1p-17, -0x1.2552536e0635bp-17, -0x1.144804a3d4b64p-17, -0x1.03fea3a7f0d43p-17, -0x1.e8df6ef52f738p-18, -0x1.cb2a9a90e9b62p-18, -0x1.aec9147352f95p-18, -0x1.93a6be4d25f4cp-18, -0x1.79bbf56364706p-18, -0x1.6100111b01943p-18, -0x1.496a89f10a04cp-18, -0x1.32edcc5d7867fp-18, -0x1.1d7c0fc4cca82p-18, -0x1.091409783176cp-18, -0x1.eb5a85d7d3f69p-19, -0x1.c6764fcc39d2fp-19, -0x1.a3672b0284f93p-19, -0x1.821a2d1d71b3ep-19, -0x1.627bf029b197fp-19, -0x1.4479987bdc454p-19, -0x1.28023df1183afp-19, -0x1.0d07d8e046898p-19, }}, 
      {{0x1.763aae3a9d048p-2, 0x1.75d197f1a78e5p-2, 0x1.752323f2baf31p-2, 0x1.74305cf4b80ffp-2, 0x1.72fab02aedf15p-2, 0x1.7183dfbfff0f1p-2, 0x1.6fcdf4366e663p-2, 0x1.6ddb2eca7151ap-2, 0x1.6badfd825b57bp-2, 0x1.6948f0e5056d8p-2, 0x1.66aeb314980f4p-2, 0x1.63e2000cd5a4ap-2, 0x1.60e59ed58ada5p-2, 0x1.5dbc5b8a79fcbp-2, 0x1.5a690224998a8p-2, 0x1.56ee59f68970dp-2, 0x1.534f21d147aaap-2, 0x1.4f8e0cc7878efp-2, 0x1.4badbf84ca147p-2, 0x1.47b0ce2a67033p-2, 0x1.4399baa27d106p-2, 0x1.3f6af358c4269p-2, 0x1.3b26d24a6a62p-2, 0x1.36cf9c5fb794ep-2, 0x1.326781039d1d4p-2, 0x1.2df099ee90fa3p-2, 0x1.296ceb1b38d86p-2, 0x1.24de62dc86cb9p-2, 0x1.2046da0e1d491p-2, 0x1.1ba81458e6cbdp-2, 0x1.1703c086d5dd8p-2, 0x1.125b78e1d5227p-2, 0x1.0db0c39aca798p-2, 0x1.0905133667c63p-2, 0x1.0459c6fe20f9p-2, 0x1.ff6056e86c74bp-3, 0x1.f612f5942f773p-3, 0x1.eccdbab17a4dfp-3, 0x1.e392d435798f7p-3, 0x1.da644e4ff4caap-3, 0x1.d1441465b9554p-3, 0x1.c833f20df52aep-3, 0x1.bf3594122e4cbp-3, 0x1.b64a8970ab889p-3, 0x1.ad744460c731p-3, 0x1.a4b41b58c239p-3, 0x1.9c0b4a1481499p-3, 0x1.937af29c9c868p-3, 0x1.8b041e4d12157p-3, 0x1.82a7bedaf60bp-3, 0x1.7a66af584bbf9p-3, 0x1.7241b5355de88p-3, 0x1.6a39813f16cb4p-3, 0x1.624eb099de45ep-3, 0x1.5a81cdb827ef3p-3, 0x1.52d3514ba5e71p-3, 0x1.4b43a33099c26p-3, 0x1.43d31b539c6abp-3, 0x1.3c82029267eaap-3, 0x1.355093968e14ap-3, 0x1.2e3efba7b8af1p-3, 0x1.274d5b744ab89p-3, 0x1.207bc7d2c6188p-3, 0x1.19ca4a7f43098p-3, 0x1.1338e2d49dc34p-3, 0x1.0cc7867be9f8p-3, 0x1.0676220dd370dp-3, 0x1.004499a854639p-3, 0x1.f4659301253efp-4, 0x1.e8810cec3ca88p-4, 0x1.dcdb3d45bac54p-4, 0x1.d173b3bd9d3cap-4, 0x1.c649f4642109cp-4, 0x1.bb5d78739a404p-4, 0x1.b0adaf16a930bp-4, 0x1.a639fe364c18dp-4, 0x1.9c01c35010392p-4, 0x1.920454405ab7ep-4, 0x1.8840fff3405c6p-4, 0x1.7eb70ef77b542p-4, 0x1.7565c3fdb3f8dp-4, 0x1.6c4c5c54a5736p-4, 0x1.636a106d8a94bp-4, 0x1.5abe146b30969p-4, 0x1.524798b48b113p-4, 0x1.4a05ca800ba7cp-4, 0x1.41f7d44f09e7ep-4, 0x1.3a1cde5641f6fp-4, 0x1.32740ed673476p-4, 0x1.2afc8a6bd4544p-4, 0x1.23b5745b69c1bp-4, 0x1.1c9deee32fffcp-4, 0x1.15b51b8e77757p-4, 0x1.0efa1b8cc4044p-4, 0x1.086c100782e28p-4, 0x1.020a1a7276be9p-4, 0x1.f7a6b9a7a1dfep-5, 0x1.eb8df404e8539p-5, 0x1.dfc82bb56c00cp-5, 0x1.d453aad6c990dp-5, 0x1.c92ebe3ae2312p-5, 0x1.be57b5b17690ap-5, 0x1.b3cce44fd2d22p-5, 0x1.a98ca0b8bd582p-5, 0x1.9f9545650f279p-5, 0x1.95e530ebf99bap-5, 0x1.8c7ac6491709ap-5, 0x1.83546d1e211b4p-5, 0x1.7a7091ee4dfe4p-5, 0x1.71cda65212796p-5, 0x1.696a2122a5ffdp-5, 0x1.61447e9d7e3e3p-5, 0x1.595b40808e8bbp-5, 0x1.51acee2088f82p-5, 0x1.4a38147a7c94dp-5, 0x1.42fb46422eb3ep-5, 0x1.3bf51bee467c1p-5, 0x1.352433c319b25p-5, 0x1.2e8731dc88263p-5, 0x1.281cc036febbbp-5, 0x1.21e38eb78b349p-5, 0x1.1bda53329b63ep-5, 0x1.15ffc9711d33fp-5, 0x1.1052b33398695p-5, 0x1.0ad1d832f83dbp-5, 0x1.057c061ee3c15p-5, 0x1.005010998fe61p-5, 0x1.f699a2625c12fp-6, 0x1.ece24eae2e03ep-6, 0x1.e377f0aa0e41ep-6, 0x1.da585e8141497p-6, 0x1.d18179db2eefdp-6, 0x1.c8f12fbd8eac9p-6, 0x1.c0a5786cf07dap-6, 0x1.b89c574c12fbdp-6, 0x1.b0d3daba74684p-6, 0x1.a94a1bf23f0ebp-6, 0x1.a1fd3ee5c67a3p-6, 0x1.9aeb721cbce2ap-6, 0x1.9412ee910616p-6, 0x1.8d71f78b2c16cp-6, 0x1.8706da7e74ba3p-6, 0x1.80cfeee486b07p-6, 0x1.7acb961874707p-6, 0x1.74f83b314ecf3p-6, 0x1.6f5452dc2972bp-6, 0x1.69de5b35a2b67p-6, 0x1.6494dba2cd3c2p-6, 0x1.5f7664a9f598bp-6, 0x1.5a818fcafba3bp-6, 0x1.55b4ff5768ec2p-6, 0x1.510f5e4a9324bp-6, 0x1.4c8f6021d7304p-6, 0x1.4833c0b4c1e34p-6, 0x1.43fb440d78cd8p-6, 0x1.3fe4b641a5e78p-6, 0x1.3beeeb4b95e99p-6, 0x1.3818bee395f84p-6, 0x1.3461145a0358dp-6, 0x1.30c6d671e5129p-6, 0x1.2d48f73bc4e47p-6, 0x1.29e66ff115abdp-6, 0x1.269e40d05e1fdp-6, 0x1.236f70f9df656p-6, 0x1.20590e4c863afp-6, 0x1.1d5a2d43893fbp-6, 0x1.1a71e8d4c809ap-6, 0x1.179f624f866b6p-6, 0x1.14e1c13b86046p-6, 0x1.12383338c0f7p-6, 0x1.0fa1ebdfe1343p-6, 0x1.0d1e24a305e43p-6, 0x1.0aac1caed9baep-6, 0x1.084b18cc53979p-6, 0x1.05fa63431f53p-6, 0x1.03b94bbc50704p-6, 0x1.018727256c101p-6, 0x1.fec69f27ff409p-7, 0x1.fa9a4853dd02ap-7, 0x1.f68811f42838ep-7, 0x1.f28ecdda44fd6p-7, 0x1.eead574e0eb6ap-7, 0x1.eae292da295c6p-7, 0x1.e72d6e18fb9eap-7, 0x1.e38cdf8216d3dp-7, 0x1.dfffe6387bdbap-7, 0x1.dc8589da3fda1p-7, 0x1.d91cda513f29ep-7, 0x1.d5c4efa4110bcp-7, 0x1.d27ce9c775c76p-7, 0x1.cf43f0711528ap-7, 0x1.cc1932eb63211p-7, 0x1.c8fbe7ea1c68fp-7, 0x1.c5eb4d5ed29afp-7, 0x1.c2e6a84e364ecp-7, 0x1.bfed44a6b5c9fp-7, 0x1.bcfe751821758p-7, 0x1.ba1992eb6de25p-7, 0x1.b73dfdda8ae94p-7, 0x1.b46b1be9219aep-7, 0x1.b1a0593e98b1ep-7, 0x1.aedd2800e67f7p-7, 0x1.ac21002f64402p-7, 0x1.a96b5f7dab4a8p-7, 0x1.a6bbc92f4c62cp-7, 0x1.a411c5f4c24e3p-7, 0x1.a16ce3c91e2d9p-7, 0x1.9eccb5cfd2cd1p-7, 0x1.9c30d43251834p-7, 0x1.9998dbfe650e9p-7, 0x1.97046f05a04b5p-7, 0x1.947333bdb95a5p-7, 0x1.91e4d52103bd7p-7, 0x1.8f59028ee7a43p-7, 0x1.8ccf6fac8a797p-7, 0x1.8a47d4467bcf8p-7, 0x1.87c1ec334d538p-7, 0x1.853d7736bd1efp-7, 0x1.82ba38e4d9002p-7, 0x1.8037f885232a5p-7, 0x1.7db680f640d28p-7, 0x1.7b35a0928ccacp-7, 0x1.78b5291584422p-7, 0x1.7634ef8180ec9p-7, 0x1.73b4cc058f503p-7, 0x1.713499e351bdcp-7, 0x1.6eb43755608a4p-7, 0x1.6c3385768cdfp-7, 0x1.69b26829e188bp-7, 0x1.6730c602f5675p-7, 0x1.64ae882e697e6p-7, 0x1.622b9a5a7951bp-7, 0x1.5fa7ea9ff0965p-7, 0x1.5d23696be1b3p-7, 0x1.5a9e096a0c2dp-7, 0x1.5817bf6fd1399p-7, 0x1.55908267403c9p-7, 0x1.53084b3a5759ap-7, 0x1.507f14be6fa65p-7, 0x1.4df4dba0415b3p-7, 0x1.4b699e50a1cb7p-7, 0x1.48dd5cf1c70f1p-7, 0x1.46501945032a2p-7, 0x1.43c1d6988c4a7p-7, 0x1.413299b56587fp-7, 0x1.3ea268cdb4b75p-7, 0x1.3c114b6b8fdd7p-7, 0x1.397f4a60875ccp-7, 0x1.36ec6fb5a89cp-7, 0x1.3458c69bd9e6fp-7, 0x1.31c45b5c4a6edp-7, 0x1.2f2f3b49096bap-7, 0x1.2c9974adf9fbap-7, 0x1.2a0316c25257dp-7, 0x1.276c319ab253p-7, 0x1.24d4d61bb6f6cp-7, 0x1.223d15ece1b98p-7, 0x1.1fa5036b904fbp-7, 0x1.1d0cb19e2a645p-7, 0x1.1a743427882cdp-7, 0x1.17db9f3ae2e9ap-7, 0x1.154307904728ap-7, 0x1.12aa825986421p-7, 0x1.101225377d8b1p-7, 0x1.0d7a062f7f06dp-7, 0x1.0ae23ba0df1b5p-7, 0x1.084adc3ab123ap-7, 0x1.05b3fef1efacap-7, 0x1.031dbaf80ef2dp-7, 0x1.008827b212afcp-7, 0x1.fbe6b95fed4eep-8, 0x1.f6bee348b6198p-8, 0x1.f198fcb8897ap-8, 0x1.ec75356e270dep-8, 0x1.e753bd3d57108p-8, 0x1.e234c3ffe9591p-8, 0x1.dd187987a5da1p-8, 0x1.d7ff0d90cdce7p-8, 0x1.d2e8afb573f2ap-8, 0x1.cdd58f6102e72p-8, 0x1.c8c5dbc424afp-8, 0x1.c3b9c3c8dff1p-8, 0x1.beb176073a148p-8, 0x1.b9ad20ba557f3p-8, 0x1.b4acf1b6595c9p-8, 0x1.afb1165ed26ddp-8, 0x1.aab9bb9dcf07ep-8, 0x1.a5c70ddb2ffd2p-8, 0x1.a0d938f45157dp-8, 0x1.9bf06833ed119p-8, 0x1.970cc64a5af5p-8, 0x1.922e7d463664ep-8, 0x1.8d55b68d9758fp-8, 0x1.88829ad7c8548p-8, 0x1.83b552277abfp-8, 0x1.7eee03c55b37bp-8, 0x1.7a2cd63aee891p-8, 0x1.7571ef4d9becbp-8, 0x1.70bd73f9f734ap-8, 0x1.6c0f886f6506fp-8, 0x1.6768500c0ec2p-8, 0x1.62c7ed59446eep-8, 0x1.5e2e82084fdabp-8, 0x1.599c2eef9f82dp-8, 0x1.5511140834c5fp-8, 0x1.508d506b636dfp-8, 0x1.4c110250976bcp-8, 0x1.479c470b802eep-8, 0x1.432f3b0a3dae4p-8, 0x1.3ec9f9d401b05p-8, 0x1.3a6c9e07d171ep-8, 0x1.3617415bb6c3cp-8, 0x1.31c9fc9c2342dp-8, 0x1.2d84e7ab8f3cp-8, 0x1.294819825ab5fp-8, 0x1.2513a82ed7033p-8, 0x1.20e7a8d57d5dp-8, 0x1.1cc42fb153a83p-8, 0x1.18a950148a158p-8, 0x1.14971c692be56p-8, 0x1.108da6321b53fp-8, 0x1.0c8cfe0bfaa86p-8, 0x1.089533ae606c3p-8, 0x1.04a655ed11435p-8, 0x1.00c072b975b89p-8, 0x1.f9c72e486c14p-9, 0x1.f21f9ebe4509cp-9, 0x1.ea8a4d7e95c6p-9, 0x1.e3074f7e9c783p-9, 0x1.db96b8037f05dp-9, 0x1.d43898a709e33p-9, 0x1.cced015c5f28fp-9, 0x1.c5b400745beap-9, 0x1.be8da2a2056b9p-9, 0x1.b779f2ff1162ap-9, 0x1.b078fb1124968p-9, 0x1.a98ac2cf7eba1p-9, 0x1.a2af50a96e1dap-9, 0x1.9be6a98d468bcp-9, 0x1.9530d0ef768c5p-9, 0x1.8e8dc8d10ad99p-9, 0x1.87fd91c594353p-9, 0x1.81802af84203bp-9, 0x1.7b159230c6dc8p-9, 0x1.74bdc3d83adap-9, 0x1.6e78baff31483p-9, 0x1.684671652d0bp-9, 0x1.6226df81b0896p-9, 0x1.5c19fc8e466a7p-9, 0x1.561fbe9080315p-9, 0x1.50381a62ae55cp-9, 0x1.4a6303ba16999p-9, 0x1.44a06d2a581a2p-9, 0x1.3ef04826b383cp-9, 0x1.3952850262e37p-9, 0x1.33c712f275586p-9, 0x1.2e4de013255b4p-9, 0x1.28e6d9720a04ap-9, 0x1.2391eb1d30d36p-9, 0x1.1e4f00355e291p-9, 0x1.191e03008e835p-9, 0x1.13fedcf8f1dc4p-9, 0x1.0ef176d5425fcp-9, 0x1.09f5b888ed837p-9, 0x1.050b893c7c293p-9, 0x1.0032cf419efcep-9, 0x1.f6d6e00f48307p-10, 0x1.ed6aa02bf064fp-10, 0x1.e420a621dbd62p-10, 0x1.daf8b7965d162p-10, 0x1.d1f298c3e3966p-10, 0x1.c90e0cbeec231p-10, 0x1.c04ad5b8d9705p-10, 0x1.b7a8b5317f5d8p-10, 0x1.af276c0af4437p-10, 0x1.a6c6ba7b21c01p-10, 0x1.9e865fdea3daap-10, 0x1.96661a7a108e9p-10, 0x1.8e65a73c21a3dp-10, 0x1.8684c194e8d69p-10, 0x1.7ec3237147092p-10, 0x1.77208562274b5p-10, 0x1.6f9c9eeb2431bp-10, 0x1.683726e988693p-10, 0x1.60efd3fd59b59p-10, 0x1.59c65cdbfffa6p-10, 0x1.52ba7878acdffp-10, 0x1.4bcbddf92166ep-10, 0x1.44fa447a15f6bp-10, 0x1.3e4562b38cfb6p-10, 0x1.37acee959a986p-10, 0x1.31309cf8f4a76p-10, 0x1.2ad0217931fedp-10, 0x1.248b2e8580dd3p-10, 0x1.1e6175a72a76fp-10, 0x1.1852a7f0980d7p-10, 0x1.125e767d23d6bp-10, 0x1.0c8492e595929p-10, 0x1.06c4af8d97e48p-10, 0x1.011e7fb787277p-10, 0x1.f7236eb4788f3p-11, 0x1.ec3c158862986p-11, 0x1.e1865c4dfce7p-11, 0x1.d701aa5699814p-11, 0x1.ccad65560b91ep-11, 0x1.c288f14561a43p-11, 0x1.b893b0b6d97edp-11, 0x1.aecd05821c2e1p-11, 0x1.a53451a09db54p-11, 0x1.9bc8f81007bc3p-11, 0x1.928a5d9234376p-11, 0x1.8977e929206b3p-11, 0x1.8091043174594p-11, 0x1.77d51a0be5f49p-11, 0x1.6f43975f82897p-11, 0x1.66dbe91f52e3bp-11, 0x1.5e9d7b9bf12c1p-11, 0x1.5687b9eeb8f59p-11, 0x1.4e9a0df348f61p-11, 0x1.46d3e0cf1abe4p-11, 0x1.3f349bd44d1b3p-11, 0x1.37bba97155a19p-11, 0x1.306875ea5f1bbp-11, 0x1.293a6fbfa4279p-11, 0x1.223107cb7715dp-11, 0x1.1b4bb1318f189p-11, 0x1.1489e12fa4772p-11, 0x1.0deb0ec6d809cp-11, 0x1.076eb22ec3c2ap-11, 0x1.0114441622278p-11, 0x1.f5b679bba2f87p-12, 0x1.e9862831456a3p-12, 0x1.dd96812a3ee07p-12, 0x1.d1e67205d572p-12, 0x1.c674e9fdd49adp-12, 0x1.bb40dc411ad43p-12, 0x1.b049414a96033p-12, 0x1.a58d171de185fp-12, 0x1.9b0b609d9ed6fp-12, 0x1.90c3248d9f1c5p-12, 0x1.86b36cc3856dp-12, 0x1.7cdb45b7fc7f1p-12, 0x1.7339be49359eap-12, 0x1.69cde75dc0c4ep-12, 0x1.6096d343be171p-12, 0x1.579394fe5f06dp-12, 0x1.4ec33ff2ae7ecp-12, 0x1.4624e850d7c61p-12, 0x1.3db7a43b2fec5p-12, 0x1.357a8d3eee517p-12, 0x1.2d6cc179e68c8p-12, 0x1.258d63f0755a4p-12, 0x1.1ddb9c04b8ad1p-12, 0x1.1656946f1aabp-12, 0x1.0efd7a46a0cc7p-12, 0x1.07cf7c7dd2222p-12, 0x1.00cbcbd9e8619p-12, 0x1.f3e33643687aap-13, 0x1.e6803e7cc9e6fp-13, 0x1.d96d1e88563dfp-13, 0x1.cca8492500be8p-13, 0x1.c0303674177c6p-13, 0x1.b4036538c14p-13, 0x1.a8205bf5a2789p-13, 0x1.9c85a948e1c3cp-13, 0x1.9131e352ce0c6p-13, 0x1.8623a67930585p-13, 0x1.7b59940d2440ep-13, 0x1.70d25134d2e95p-13, 0x1.668c864a536dp-13, 0x1.5c86dec4e1cfdp-13, 0x1.52c00992e783cp-13, 0x1.4936b97102b78p-13, 0x1.3fe9a4b6c0255p-13, 0x1.36d7849ef5ffep-13, 0x1.2dff14fc6cd43p-13, 0x1.255f158c5d4c7p-13, 0x1.1cf64d1d0fa28p-13, 0x1.14c38d1d852a4p-13, 0x1.0cc5b3551cep-13, 0x1.04fba86029235p-13, 0x1.fac8b738d764ap-14, 0x1.ebfd7da5858b4p-14, 0x1.dd93879aff5d9p-14, 0x1.cf88b8fa48527p-14, 0x1.c1daf9760985p-14, 0x1.b488388a3c86dp-14, 0x1.a78e700b4f399p-14, 0x1.9aeba480b1759p-14, 0x1.8e9de318f3151p-14, 0x1.82a33de848c2bp-14, 0x1.76f9c8b34d7f5p-14, 0x1.6b9f99603c849p-14, 0x1.6092cd8820537p-14, 0x1.55d192cb9a14bp-14, 0x1.4b5a2c9d39638p-14, 0x1.412af34ba393cp-14, 0x1.37424cd3eedddp-14, 0x1.2d9ea46258da5p-14, 0x1.243e659dd2d6ap-14, 0x1.1b1ffd2044429p-14, 0x1.1241dbb6eb959p-14, 0x1.09a27952a08d9p-14, 0x1.0140566252e66p-14, 0x1.f233f7d2f30b4p-15, 0x1.e25bf59b2fad8p-15, 0x1.d2f5d4a7c37a8p-15, 0x1.c3fecbae65896p-15, 0x1.b57415905741fp-15, 0x1.a752f26e7b7e5p-15, 0x1.9998b13360808p-15, 0x1.8c42be2a83472p-15, 0x1.7f4eabdfbc28dp-15, 0x1.72ba2d027d4cp-15, 0x1.668301bb43538p-15, 0x1.5aa6e57a90dfbp-15, 0x1.4f2389132f3cdp-15, 0x1.43f69a274a95bp-15, 0x1.391dd01df4487p-15, 0x1.2e96f69e9fdd1p-15, 0x1.245ff2087c9bap-15, 0x1.1a76bd3f61929p-15, 0x1.10d961a996af6p-15, 0x1.0785ed2d92fcep-15, 0x1.fcf4d8a36b848p-16, 0x1.eb69d7c381aaep-16, 0x1.da66fec376154p-16, 0x1.c9e88ed060519p-16, 0x1.b9eaedef078dfp-16, 0x1.aa6ab2a4bf43ap-16, 0x1.9b64aa3f07d71p-16, 0x1.8cd5ccd707868p-16, 0x1.7ebb2071fa11bp-16, 0x1.71119fab5c06cp-16, 0x1.63d634fd91cc3p-16, 0x1.5705c68b60e36p-16, 0x1.4a9d43950e45fp-16, 0x1.3e99ae53003eap-16, 0x1.32f8269f8935bp-16, 0x1.27b5f3bd97898p-16, 0x1.1cd0835860de6p-16, 0x1.12455900e6094p-16, 0x1.0811f6d8f8bd9p-16, 0x1.fc679f354d604p-17, 0x1.e95098855d649p-17, 0x1.d6d9c15377ad1p-17, 0x1.c4fe411f7ae71p-17, 0x1.b3b994cc5da68p-17, 0x1.a3078c565bcf8p-17, 0x1.92e43369b3cb9p-17, 0x1.834baa49a023dp-17, 0x1.743a0487aa9abp-17, 0x1.65ab4a80b3188p-17, 0x1.579b99eb64b4dp-17, 0x1.4a073b1e220fdp-17, 0x1.3cea922900b57p-17, 0x1.304206927fa9ep-17, 0x1.240a0381a5f71p-17, 0x1.183f0c03d4b46p-17, 0x1.0cddcbab0ef03p-17, 0x1.01e316a4053d1p-17, 0x1.ee97b66e8a489p-18, 0x1.da2a1f1bfd179p-18, 0x1.c67753895c38ap-18, 0x1.b3795434ed226p-18, 0x1.a12a5e80aee85p-18, 0x1.8f8501c967fb2p-18, 0x1.7e840869a3da7p-18, 0x1.6e224c279fcc1p-18, 0x1.5e5aa5a8cb667p-18, 0x1.4f27fec485fdep-18, 0x1.40856cc27c23ep-18, 0x1.326e4b6d9f666p-18, 0x1.24de496f047ddp-18, 0x1.17d1474141268p-18, 0x1.0b43276c2e5d8p-18, 0x1.fe5f91e9c1cecp-19, 0x1.e7263e1caaceap-19, 0x1.d0d276db02e8p-19, 0x1.bb5c93e580a33p-19, 0x1.a6bd1d8ace7f8p-19, 0x1.92eccffeadf49p-19, 0x1.7fe496e1baf37p-19, 0x1.6d9d818aec2fcp-19, 0x1.5c10c6dab4f1p-19, 0x1.4b37eba22cd5bp-19, 0x1.3b0cf27f3c36ep-19, 0x1.2b8a555051836p-19, 0x1.1caaad96b15dbp-19, 0x1.0e685657c3921p-19, 0x1.00bd6da0d5a1cp-19, 0x1.e748429409a33p-20, 0x1.ce2de257212d3p-20, 0x1.b621aa9360222p-20, 0x1.9f1a5a2dfaf2ep-20, 0x1.890efafcc8f8bp-20, 0x1.73f6a9510f0cp-20, 0x1.5fc8af260725bp-20, 0x1.4c7c82b31b8b5p-20, 0x1.3a09b3b0e6ac6p-20, 0x1.2867fa095e1e6p-20, 0x1.178f5c99c41f9p-20, 0x1.07784ae044f95p-20, 0x1.f0371f442541p-21, 0x1.d2e45c1802645p-21, 0x1.b6ea9bf4d1a4cp-21, 0x1.9c3c8f194aaeep-21, 0x1.82cd8c76d5802p-21, 0x1.6a91bc8588804p-21, 0x1.537dce588891bp-21, 0x1.3d864d2886964p-21, 0x1.289f45cfe3d9ap-21, 0x1.14bcd2150651dp-21, 0x1.01d3f3ff29713p-21, 0x1.dfb5ac017fa6dp-22, 0x1.bd90c91266582p-22, 0x1.9d273e3153e56p-22, 0x1.7e66e13a20c58p-22, 0x1.613e37f743f15p-22, 0x1.459ca40b0562p-22, 0x1.2b71ec7d82ce2p-22, 0x1.12ae1f7f73cfbp-22, 0x1.f6833ffc9debbp-23, 0x1.ca3a4d5803408p-23, 0x1.a06398e902f83p-23, 0x1.78e27fcccd77bp-23, 0x1.539c26d15a18ep-23, 0x1.3077bfe34b7ccp-23, 0x1.0f5e4378e55c5p-23, 0x1.e07384d1d5877p-24, 0x1.a5e938e32498fp-24, 0x1.6ef27a68b0469p-24, 0x1.3b64ca6ff30eep-24, 0x1.0b1608fa89a39p-24, 0x1.bbb7b42bc868fp-25, 0x1.671be37f78cddp-25, 0x1.18116b338226fp-25, 0x1.9cae1ce583b98p-26, 0x1.1358b01824cf5p-26, 0x1.2744e809114f2p-27, 0x1.d125ba30d3d2bp-30, -0x1.431c5a4584d12p-28, -0x1.6cabc98df0be8p-27, -0x1.1404d7acf7a32p-26, -0x1.6a3d99acf7e66p-26, -0x1.b96871ee66ee6p-26, -0x1.00f55cfe938bap-25, -0x1.221266b739788p-25, -0x1.403834df09acbp-25, -0x1.5b9005e673b45p-25, }}, 
      {{0x1.aa7af77b2bca2p-7, 0x1.9e301b17bf68fp-6, 0x1.27f205e142cd6p-5, 0x1.70bd31fdf0a97p-5, 0x1.a634a0f77de4p-5, 0x1.c637f9ab42c6fp-5, 0x1.cfb024a54f712p-5, 0x1.c2695e893897ap-5, 0x1.9ee9ae3083d3ap-5, 0x1.6648269263b57p-5, 0x1.1a076672eaf7cp-5, 0x1.77ea00c928913p-6, 0x1.383658f23eb44p-7, -0x1.6cca81332ad0bp-8, -0x1.69c72661083bep-6, -0x1.45bc231ad2d96p-5, -0x1.de1f88454ef72p-5, -0x1.3e11cc9bfa925p-4, -0x1.8efe69191ed98p-4, -0x1.e100e2b7b50f5p-4, -0x1.19ab3d96029f4p-3, -0x1.42a75cb009122p-3, -0x1.6b259e0544e53p-3, -0x1.92df9a486faadp-3, -0x1.b997531c780dcp-3, -0x1.df16bf9c222fcp-3, -0x1.0197a6ed58798p-2, -0x1.12dcafa1c6003p-2, -0x1.2349e210d831ep-2, -0x1.32d19caff7995p-2, -0x1.4168f5506f231p-2, -0x1.4f077d0722e92p-2, -0x1.5ba707557541cp-2, -0x1.674374c0872b2p-2, -0x1.71da80daa7f71p-2, -0x1.7b6b93a5b3f64p-2, -0x1.83f7962226ed7p-2, -0x1.8b80c9d4cb861p-2, -0x1.920aa309eadb5p-2, -0x1.9799a5a14df91p-2, -0x1.9c33443324f2fp-2, -0x1.9fddc166b0624p-2, -0x1.a2a01359d126cp-2, -0x1.a481c8fe48c95p-2, -0x1.a58af155663b6p-2, -0x1.a5c404758d295p-2, -0x1.a535ce46dc40bp-2, -0x1.a3e95ae54cbc4p-2, -0x1.a1e7e4976f68ep-2, -0x1.9f3ac3497dcaap-2, -0x1.9beb5d7d18c24p-2, -0x1.98031a9e1047bp-2, -0x1.938b56acaa31dp-2, -0x1.8e8d572e2b695p-2, -0x1.891241537eafep-2, -0x1.8323114c1181cp-2, -0x1.7cc892a859843p-2, -0x1.760b59d607e22p-2, -0x1.6ef3be784cff2p-2, -0x1.6789d6d6aa883p-2, -0x1.5fd573ea0bd6dp-2, -0x1.57de1e81555a9p-2, -0x1.4fab14dd1bfa1p-2, -0x1.4743491363cb2p-2, -0x1.3ead602bddd9ap-2, -0x1.35efb16e55815p-2, -0x1.2d104683c23afp-2, -0x1.2414dcac280dcp-2, -0x1.1b02e36af3804p-2, -0x1.11df82435a25cp-2, -0x1.08af93017ac2ap-2, -0x1.feef58ac241eep-3, -0x1.ec7836753c5c1p-3, -0x1.da01d544bc95ap-3, -0x1.c793cb3ac6bb7p-3, -0x1.b535283e89372p-3, -0x1.a2ec8d02d9206p-3, -0x1.90c01cd014a3fp-3, -0x1.7eb58f472ac7ep-3, -0x1.6cd2306d01157p-3, -0x1.5b1ae41faa38ep-3, -0x1.49942ee473c85p-3, -0x1.384236db56951p-3, -0x1.2728ca1a67dbcp-3, -0x1.164b618245b17p-3, -0x1.05ad24d963508p-3, -0x1.eaa1dc531d9ffp-4, -0x1.ca729a3db2ae9p-4, -0x1.aad114fa14debp-4, -0x1.8bc156a6a6991p-4, -0x1.6d46e844a7b0bp-4, -0x1.4f64d7b8bca33p-4, -0x1.321dbd7a3073ap-4, -0x1.1573c1eb6d2b9p-4, -0x1.f2d1454841d73p-5, -0x1.bbfb6f08d655fp-5, -0x1.8667efaaa18dap-5, -0x1.5217ff0dd75b8p-5, -0x1.1f0c28d18d1afp-5, -0x1.da88ae4a92a1fp-6, -0x1.797fbb4fe6f91p-6, -0x1.1afb0839016a7p-6, -0x1.7dee44ba20b34p-7, -0x1.95bea6c5f7618p-8, -0x1.cbec964a68b1fp-11, 0x1.18feb0e027f4ep-8, 0x1.30e878f3075cfp-7, 0x1.d08b445482db6p-7, 0x1.35bbc58c22bf1p-6, 0x1.80df1194e6822p-6, 0x1.c9b8657135bd1p-6, 0x1.082883492290ep-5, 0x1.2a5949c11cffdp-5, 0x1.4b737bcc9a08ep-5, 0x1.6b7c2f96d5d23p-5, 0x1.8a78963665bc9p-5, 0x1.a86df6821b9b9p-5, 0x1.c561a8339bb46p-5, 0x1.e1590f5705146p-5, 0x1.fc599818d9f0ep-5, 0x1.0b34597b36447p-4, 0x1.17c5e896e5c78p-4, 0x1.23e430c174e84p-4, 0x1.2f91e6b0b4f13p-4, 0x1.3ad1bb1b53a03p-4, 0x1.45a6598a39466p-4, 0x1.50126748ef022p-4, 0x1.5a18827294a37p-4, 0x1.63bb411b9b5afp-4, 0x1.6cfd308a6e504p-4, 0x1.75e0d48c1fbabp-4, 0x1.7e68a6df99b47p-4, 0x1.869716a7d8245p-4, 0x1.8e6e87f744a4ep-4, 0x1.95f1536b7ae7fp-4, 0x1.9d21c5d0a4dd3p-4, 0x1.a4021fdba5571p-4, 0x1.aa9495edda617p-4, 0x1.b0db4fe17237cp-4, 0x1.b6d868eda2ed3p-4, 0x1.bc8def8ecae5fp-4, 0x1.c1fde57488511p-4, 0x1.c72a3f87edbbcp-4, 0x1.cc14e5f4077f8p-4, 0x1.d0bfb42fe0b3p-4, 0x1.d52c791f0b4e3p-4, 0x1.d95cf732dd818p-4, 0x1.dd52e488c6e67p-4, 0x1.e10feb1ee285cp-4, 0x1.e495a9095bf7ep-4, 0x1.e7e5b09b807c6p-4, 0x1.eb0188a628331p-4, 0x1.edeaacbffd91fp-4, 0x1.f0a28d76e46b4p-4, 0x1.f32a908b1a3e3p-4, 0x1.f5841143ea586p-4, 0x1.f7b060afe2366p-4, 0x1.f9b0c5d5c7f2dp-4, 0x1.fb867e05c9afp-4, 0x1.fd32bd2f0f5cdp-4, 0x1.feb6ae111abb9p-4, 0x1.0009b93a9ef6cp-3, 0x1.00a511c6094cfp-3, 0x1.012de91bef9d2p-3, 0x1.01a4c39a7c227p-3, 0x1.020a21add8d1cp-3, 0x1.025e7fff4e4fep-3, 0x1.02a257944589bp-3, 0x1.02d61de0617c4p-3, 0x1.02fa44e805854p-3, 0x1.030f3b6c87cd5p-3, 0x1.03156d063bd6cp-3, 0x1.030d4234f09dbp-3, 0x1.02f720812b4b9p-3, 0x1.02d36aa461ae7p-3, 0x1.02a2809f1caa7p-3, 0x1.0264bfc6e001p-3, 0x1.021a82e5391afp-3, 0x1.01c4225b78546p-3, 0x1.0161f436111b1p-3, 0x1.00f44c360b18cp-3, 0x1.007b7beb8a8afp-3, 0x1.ffefa5b37e6eap-4, 0x1.fed33d1056311p-4, 0x1.fda25508fe3bcp-4, 0x1.fc5d80e95d962p-4, 0x1.fb0550795d74bp-4, 0x1.f99a502c889bcp-4, 0x1.f81d0919b1ebdp-4, 0x1.f68e00faed585p-4, 0x1.f4edba6c69b7cp-4, 0x1.f33cb53a96992p-4, 0x1.f17b6e6fbdc29p-4, 0x1.efaa602f89425p-4, 0x1.edca01bd872c2p-4, 0x1.ebdac7ce84fdp-4, 0x1.e9dd24d3d2913p-4, 0x1.e7d188f1210dfp-4, 0x1.e5b861c41b36bp-4, 0x1.e3921a684059p-4, 0x1.e15f1bd052c56p-4, 0x1.df1fcd17f0c51p-4, 0x1.dcd49375e5ffbp-4, 0x1.da7dd1f2bc78bp-4, 0x1.d81be95633f22p-4, 0x1.d5af3878d9211p-4, 0x1.d3381ca74996dp-4, 0x1.d0b6f1aca5c42p-4, 0x1.ce2c1184e2c48p-4, 0x1.cb97d4221e286p-4, 0x1.c8fa8f994e284p-4, 0x1.c654988fe2753p-4, 0x1.c3a6427839d38p-4, 0x1.c0efdf635d497p-4, 0x1.be31bfa64c31dp-4, 0x1.bb6c31c175957p-4, 0x1.b89f82ae9ce93p-4, 0x1.b5cbfe49293c1p-4, 0x1.b2f1ef6a68e15p-4, 0x1.b0119fa559adbp-4, 0x1.ad2b56f0bf369p-4, 0x1.aa3f5b9e732b7p-4, 0x1.a74df2ade2feap-4, 0x1.a457602bd6204p-4, 0x1.a15be74794ddfp-4, 0x1.9e5bca10fa71bp-4, 0x1.9b57492567172p-4, 0x1.984ea39f06fc9p-4, 0x1.95421758cd28p-4, 0x1.9231e149fbba9p-4, 0x1.8f1e3da9ec31p-4, 0x1.8c0767c2f4efp-4, 0x1.88ed99a2e7f78p-4, 0x1.85d10bf2ec29dp-4, 0x1.82b1f61b30bf5p-4, 0x1.7f908e93f8d1p-4, 0x1.7c6d0b20c00e7p-4, 0x1.7947a0c920c3bp-4, 0x1.7620839be5bcbp-4, 0x1.72f7e67260f1ep-4, 0x1.6fcdfae6bd24ep-4, 0x1.6ca2f18504d8ep-4, 0x1.6976fa0f8f639p-4, 0x1.664a43a33997bp-4, 0x1.631cfca4c1e39p-4, 0x1.5fef528aff16dp-4, 0x1.5cc171b160119p-4, 0x1.5993855560aeep-4, 0x1.5665b7c0541ap-4, 0x1.5338327e580c9p-4, 0x1.500b1e7c4d48bp-4, 0x1.4cdea3fc05eb9p-4, 0x1.49b2ea6bc8762p-4, 0x1.4688183fdbbe2p-4, 0x1.435e52e93053dp-4, 0x1.4035beef464c8p-4, 0x1.3d0e801b0e41bp-4, 0x1.39e8b996b7af3p-4, 0x1.36c48df0a1e5p-4, 0x1.33a21f03cf5cdp-4, 0x1.30818dd7ce5a1p-4, 0x1.2d62fa8d8decep-4, 0x1.2a468465676b7p-4, 0x1.272c49da3e9b8p-4, 0x1.241468c090a9ap-4, 0x1.20fefe57cd4ebp-4, 0x1.1dec2746bf721p-4, 0x1.1adbff8854fa7p-4, 0x1.17cea255d8047p-4, 0x1.14c42a1c0ebfp-4, 0x1.11bcb081e6ea6p-4, 0x1.0eb84e7cb39ffp-4, 0x1.0bb71c664e00bp-4, 0x1.08b93209f0885p-4, 0x1.05bea6a3541c2p-4, 0x1.02c790d3072dcp-4, 0x1.ffa80d1f4ba7cp-5, 0x1.f9c83a39590e7p-5, 0x1.f3efd218de31ap-5, 0x1.ee1efc98cc728p-5, 0x1.e855e06a4cf9fp-5, 0x1.e294a32cf3fc4p-5, 0x1.dcdb6976af909p-5, 0x1.d72a56cbb0bd5p-5, 0x1.d1818d8cf16cap-5, 0x1.cbe12ee78b5f8p-5, 0x1.c6495ace96f52p-5, 0x1.c0ba30041d51p-5, 0x1.bb33cc2ce6c6dp-5, 0x1.b5b64be5d734fp-5, 0x1.b041cad29b5bcp-5, 0x1.aad663a26af28p-5, 0x1.a574300b8532fp-5, 0x1.a01b48c1334c1p-5, 0x1.9acbc56a015ep-5, 0x1.9585bc9c56f5bp-5, 0x1.904943e486ae2p-5, 0x1.8b166fd21d71dp-5, 0x1.85ed5406cdbe5p-5, 0x1.80ce0342000d9p-5, 0x1.7bb88f66e0b57p-5, 0x1.76ad097cdb66dp-5, 0x1.71ab81abab7f7p-5, 0x1.6cb40735872a7p-5, 0x1.67c6a8733ed32p-5, 0x1.62e372d5b59e5p-5, 0x1.5e0a72ed145f3p-5, 0x1.593bb4733815cp-5, 0x1.54774255ce186p-5, 0x1.4fbd26be239b3p-5, 0x1.4b0d6b15eaefap-5, 0x1.46681808bc6f4p-5, 0x1.41cd358295373p-5, 0x1.3d3ccaacaa658p-5, 0x1.38b6ddeb0f724p-5, 0x1.343b74dd8ccf7p-5, 0x1.2fca946442adcp-5, 0x1.2b6440a6d75eap-5, 0x1.27087d1c5c521p-5, 0x1.22b74c92ca948p-5, 0x1.1e70b1357d666p-5, 0x1.1a34ac91ea1d2p-5, 0x1.16033f99bdfa2p-5, 0x1.11dc6aa239db1p-5, 0x1.0dc02d61c4deep-5, 0x1.09ae86ed8126cp-5, 0x1.05a775b85dfep-5, 0x1.01aaf7946619dp-5, 0x1.fb72136c9c584p-6, 0x1.f3a35176d87b9p-6, 0x1.ebe9a1647dbebp-6, 0x1.e444fa49e7dd3p-6, 0x1.dcb552488144ep-6, 0x1.d53a9ea03ff1ep-6, 0x1.cdd4d3b86490dp-6, 0x1.c683e51ce0ceap-6, 0x1.bf47c5708e5a8p-6, 0x1.b820665740e1p-6, 0x1.b10db85cda6aep-6, 0x1.aa0faae12c5f3p-6, 0x1.a3262c11449ffp-6, 0x1.9c5128f62cd33p-6, 0x1.95908d9c0456cp-6, 0x1.8ee4454d6d454p-6, 0x1.884c3ad772f2bp-6, 0x1.81c858c49fafap-6, 0x1.7b58897d07ab6p-6, 0x1.74fcb73d15b64p-6, 0x1.6eb4cbde46ea8p-6, 0x1.6880b0794ddbbp-6, 0x1.62604cf61bfep-6, 0x1.5c5387a85216dp-6, 0x1.565a4519e7c6cp-6, 0x1.5074681f589a3p-6, 0x1.4aa1d2406a7ddp-6, 0x1.44e264696ceaep-6, 0x1.3f35ffc11261p-6, 0x1.399c866db4876p-6, 0x1.3415dc0fa8605p-6, 0x1.2ea1e5c196f3ap-6, 0x1.2940898a0698p-6, 0x1.23f1ad4db5529p-6, 0x1.1eb53578b575dp-6, 0x1.198b03b167158p-6, 0x1.1472f5f3dddbap-6, 0x1.0f6ce666bd5d5p-6, 0x1.0a78ac143ac94p-6, 0x1.05961c7a459cfp-6, 0x1.00c50da867a8bp-6, 0x1.f80ab0e269091p-7, 0x1.eeadb43e3f249p-7, 0x1.e572ea54caa4dp-7, 0x1.dc5a213e8899cp-7, 0x1.d3632c61207d9p-7, 0x1.ca8dde92c457fp-7, 0x1.c1da03788727ep-7, 0x1.b94759b4d51bfp-7, 0x1.b0d58f7616a33p-7, 0x1.a884428a2ac17p-7, 0x1.a0530459bce18p-7, 0x1.984161401a99cp-7, 0x1.904ee9d1e4e2p-7, 0x1.887b3c093c1c5p-7, 0x1.80c60a249586fp-7, 0x1.792f1d6162113p-7, 0x1.71b6538e6fa9dp-7, 0x1.6a5b9793947c5p-7, 0x1.631ed63d0ebap-7, 0x1.5bfff1930af57p-7, 0x1.54feb589bdeebp-7, 0x1.4e1ad0baa0b4fp-7, 0x1.4753d31756ae6p-7, 0x1.40a93346e1be7p-7, 0x1.3a1a59e5f3b12p-7, 0x1.33a6b089af004p-7, 0x1.2d4db179112c3p-7, 0x1.270ef4c7284aep-7, 0x1.20ea37e01d82dp-7, 0x1.1adf5da3e5b5ap-7, 0x1.14ee66a5154d3p-7, 0x1.0f1762cc02b8bp-7, 0x1.095a5f1e5f9fep-7, 0x1.03b75365b1f3fp-7, 0x1.fc5c273720781p-8, 0x1.f17c908e5b08bp-8, 0x1.e6cedef9b312ep-8, 0x1.dc51ccafa8692p-8, 0x1.d203f2144bb8ap-8, 0x1.c7e3ecc1c990fp-8, 0x1.bdf086168df0bp-8, 0x1.b428d21f35e5bp-8, 0x1.aa8c411015965p-8, 0x1.a11a9fd0667c4p-8, 0x1.97d40718d1a01p-8, 0x1.8eb8bbfe1532bp-8, 0x1.85c907d5ef786p-8, 0x1.7d050f717053dp-8, 0x1.746cb1f7ca237p-8, 0x1.6bff75f00c07bp-8, 0x1.63bc87ae7356p-8, 0x1.5ba2c86f87bd6p-8, 0x1.53b0ea26cbae2p-8, 0x1.4be5921fb409fp-8, 0x1.443f7c078a2b4p-8, 0x1.3cbd9775f9c67p-8, 0x1.355f1b4ff6adbp-8, 0x1.2e238c5813c3ap-8, 0x1.270ab6ab22e7ap-8, 0x1.20149c38575d2p-8, 0x1.19415be38d157p-8, 0x1.129115bf34cb6p-8, 0x1.0c03d0d79e97ap-8, 0x1.0599669a1b4fap-8, 0x1.fea2edecb9cc9p-9, 0x1.f256cde8d65edp-9, 0x1.e64cd39fedbcp-9, 0x1.da8325c98da18p-9, 0x1.cef7d9b7da808p-9, 0x1.c3a9217a5f19cp-9, 0x1.b8956d7ade5a4p-9, 0x1.adbb784dcbd61p-9, 0x1.a31a3bd8a55e7p-9, 0x1.98b0d92afda1cp-9, 0x1.8e7e821f543e2p-9, 0x1.848270893863cp-9, 0x1.7abbec0b2cf09p-9, 0x1.712a54cd18e5bp-9, 0x1.67cd25b22bd17p-9, 0x1.5ea3e6aeb688dp-9, 0x1.55ae13666e4eep-9, 0x1.4ceb03b5b122ap-9, 0x1.4459e4da6b122p-9, 0x1.3bf9c943d945ep-9, 0x1.33c9c73ec5906p-9, 0x1.2bc91410786e7p-9, 0x1.23f7089f965b2p-9, 0x1.1c53083846073p-9, 0x1.14dc540220c07p-9, 0x1.0d91e3effa6f7p-9, 0x1.06725e4449505p-9, 0x1.fef86df25d1eap-10, 0x1.f15bd29f6a6ep-10, 0x1.e40c5cd052eadp-10, 0x1.d7082d47a8a99p-10, 0x1.ca4dfe3758452p-10, 0x1.bddce61d11518p-10, 0x1.b1b424df733f4p-10, 0x1.a5d3190415579p-10, 0x1.9a3952ed9fd0cp-10, 0x1.8ee6a2886093ap-10, 0x1.83db014bb541p-10, 0x1.791653779220ap-10, 0x1.6e9813ae3406ap-10, 0x1.645f0a33dae52p-10, 0x1.5a6933e64a057p-10, 0x1.50b3f0bca3bdap-10, 0x1.473c72fef5264p-10, 0x1.3e00406b91349p-10, 0x1.34fd7e59af8e2p-10, 0x1.2c32d622cdaa4p-10, 0x1.239f02d81c72ep-10, 0x1.1b4061d55a177p-10, 0x1.1314eabb18738p-10, 0x1.0b1aa8bb778aap-10, 0x1.035067df51fb1p-10, 0x1.f76c39913edd3p-11, 0x1.e899767c32e92p-11, 0x1.da2b14a39a1f1p-11, 0x1.cc22988b13437p-11, 0x1.be7f4017ecd1ep-11, 0x1.b13db54369b59p-11, 0x1.a458b54733a98p-11, 0x1.97ca61bbbe24ep-11, 0x1.8b8dcd9011e5bp-11, 0x1.7fa03560861a9p-11, 0x1.740143f872907p-11, 0x1.68b2161561d98p-11, 0x1.5db36f38050dep-11, 0x1.530435387da53p-11, 0x1.48a1220a85bcdp-11, 0x1.3e85b58634e25p-11, 0x1.34adaa9abf061p-11, 0x1.2b162596d6c57p-11, 0x1.21be2abdc9f14p-11, 0x1.18a64038ab957p-11, 0x1.0fcf78e030bc4p-11, 0x1.073a6aa55d4d4p-11, 0x1.fdcce71fb400ep-12, 0x1.eda2c862d05e7p-12, 0x1.ddef3e694c7c5p-12, 0x1.cea9a6f366342p-12, 0x1.bfca7346f7d11p-12, 0x1.b14d8a3dc17bfp-12, 0x1.a3330eb41f37p-12, 0x1.957dcef0734ecp-12, 0x1.883046efcb79dp-12, 0x1.7b4a5428ba949p-12, 0x1.6ec9065e2934p-12, 0x1.62a81dda08bb8p-12, 0x1.56e3e977a8deap-12, 0x1.4b7a5c71df6e4p-12, 0x1.406a7e43889e2p-12, 0x1.35b28dac3376cp-12, 0x1.2b4ec04bccc87p-12, 0x1.2139ffa7ff1ddp-12, 0x1.176fd64fae75ep-12, 0x1.0dedb1650ad1fp-12, 0x1.04b27f7df2affp-12, 0x1.f77a925aca45p-13, 0x1.e61839c132ac3p-13, 0x1.d53816b9ea216p-13, 0x1.c4d40201cac8dp-13, 0x1.b4e7cc887dbc2p-13, 0x1.a572858ffe0c2p-13, 0x1.96758bb8cfc7fp-13, 0x1.87f1c81db67edp-13, 0x1.79e52d6b884dp-13, 0x1.6c4b2d30477ap-13, 0x1.5f1fead9ca854p-13, 0x1.5261caee09942p-13, 0x1.460f610486d07p-13, 0x1.3a2556e72279ap-13, 0x1.2e9eed6c98edfp-13, 0x1.237794a1efae9p-13, 0x1.18abb921be55ep-13, 0x1.0e3890e084c41p-13, 0x1.041b6b9c1dc92p-13, 0x1.f4a2390e0ffaep-14, 0x1.e1abecf998e78p-14, 0x1.cf4c4a39bc58cp-14, 0x1.bd7bcf1a87addp-14, 0x1.ac34a1fc5c605p-14, 0x1.9b754a92d0451p-14, 0x1.8b3ff4a74a39ep-14, 0x1.7b94c6bd8ed7dp-14, 0x1.6c6e4b402de8p-14, 0x1.5dc5c59ee50f7p-14, 0x1.4f9949b51749ep-14, 0x1.41e99a60f3ffdp-14, 0x1.34b3d693e1f0cp-14, 0x1.27f0df340546ep-14, 0x1.1b993e9c90e07p-14, 0x1.0fa799f6610ffp-14, 0x1.04188f951b505p-14, 0x1.f1d3a248ea07cp-15, 0x1.dc33299631915p-15, 0x1.c74ca38eb7976p-15, 0x1.b31ce2b3f43bcp-15, 0x1.9f9fd5c556e41p-15, 0x1.8ccfb404ea50ep-15, 0x1.7aa41608ae97cp-15, 0x1.6912cb049672fp-15, 0x1.5813c06aa4599p-15, 0x1.47a33afda7b56p-15, 0x1.37bf025d3bb9ap-15, 0x1.28638c6ff6aa7p-15, 0x1.198d03f253e42p-15, 0x1.0b383356c716ep-15, 0x1.fac2415249e28p-16, 0x1.e0061084bb24dp-16, 0x1.c63235126a103p-16, 0x1.ad3c3a258ce0ep-16, 0x1.951a01bfe455bp-16, 0x1.7dc4a9eb036fep-16, 0x1.67387a00a128cp-16, 0x1.5171b05c1dc81p-16, 0x1.3c697b4ba8b1p-16, 0x1.2815ce79acfd8p-16, 0x1.146c54d6bced6p-16, 0x1.016503540493ap-16, 0x1.ddf550d1fa0d6p-17, 0x1.ba5e53eb18ed1p-17, 0x1.98146e2dcf662p-17, 0x1.7708fe4d2306ap-17, 0x1.570e666a737b5p-17, 0x1.38131f208a36ep-17, 0x1.1a1cc99d4f4b6p-17, 0x1.fa2ee906ebf35p-18, 0x1.c1dba72ca7169p-18, 0x1.8b59b4734c077p-18, 0x1.56d12afa0feap-18, 0x1.24322b68947fep-18, 0x1.e683a217431d4p-19, 0x1.87bdebba8e633p-19, 0x1.2c2bd956295d1p-19, 0x1.a79108d72ec21p-20, 0x1.f8dc781914089p-21, 0x1.593619aa6d5bdp-22, -0x1.2bc7a2b8c25cp-22, -0x1.cea4fdebbf7dp-21, -0x1.7ee691b6b9d17p-20, -0x1.08e71d8078fe7p-19, -0x1.503914846d8b7p-19, -0x1.956b54da3e5ap-19, -0x1.d7fdbe9320e1fp-19, -0x1.0c155be4f2d59p-18, -0x1.2b47826271adcp-18, -0x1.495ce4c212015p-18, -0x1.665e96dc3715p-18, -0x1.82ad511f51b91p-18, -0x1.9e47261529bc6p-18, -0x1.b905ced7714ecp-18, -0x1.d2e8ce03cec62p-18, -0x1.ec080b2344039p-18, -0x1.023f8f8ac72e3p-17, -0x1.0e3056baa931ep-17, -0x1.19d07bbe27266p-17, -0x1.2508ad56c1df9p-17, -0x1.2fd1319552e28p-17, -0x1.3a45008390d11p-17, -0x1.4470fe5cbdd23p-17, -0x1.4e410d8ce4a36p-17, -0x1.57bc0f318f6ffp-17, -0x1.6103f0c8c5cc1p-17, -0x1.6a1df979fde5cp-17, -0x1.730c1ff49c3edp-17, -0x1.7bd35602104ccp-17, -0x1.8445362cf3c5cp-17, -0x1.8c60b6c47c706p-17, -0x1.942b8761a07adp-17, -0x1.9b9fcf68bd5ep-17, -0x1.a2f887e2329f6p-17, -0x1.aa343850cab66p-17, -0x1.b1367415ca348p-17, -0x1.b7fa9bc19e595p-17, -0x1.be85d40b24fabp-17, -0x1.c4dc44a63ea58p-17, -0x1.cb0013b2a3cfap-17, -0x1.d0f28de57f8d2p-17, -0x1.d6b51e1074c68p-17, }}, 
      {{0x1.7327d98f5f605p-7, 0x1.6dc54f379f5e6p-6, 0x1.0bcd851444c35p-5, 0x1.5963007bb93fdp-5, 0x1.9ddf299b2d9acp-5, 0x1.d7e4ca7646996p-5, 0x1.033caaa4e786fp-4, 0x1.147e4ba9d961ep-4, 0x1.1f8f198b19293p-4, 0x1.24691f7139bb5p-4, 0x1.2322f7c219fb7p-4, 0x1.1bea70fca32a5p-4, 0x1.0effacb4ee8e5p-4, 0x1.f961993ad1071p-5, 0x1.caac6480f43c1p-5, 0x1.929e939711dap-5, 0x1.51ffab6d2ebc5p-5, 0x1.099b5c760e23p-5, 0x1.747ba67f72b02p-6, 0x1.92c30f75c48b3p-7, 0x1.3723043a77ef5p-10, -0x1.57ab5c041a60cp-7, -0x1.730925ce9032fp-6, -0x1.206676f0a809p-5, -0x1.89ec4fd3b69d5p-5, -0x1.f57bb9cb1b68bp-5, -0x1.314225504cc0ep-4, -0x1.683fc94d84194p-4, -0x1.9f787ecbc388ep-4, -0x1.d6b2cdfe55e2cp-4, -0x1.06dcf67160113p-3, -0x1.222eca2a29c63p-3, -0x1.3d38e85768108p-3, -0x1.57e767cb46bb4p-3, -0x1.72285611a7ed3p-3, -0x1.8beb9d30943a3p-3, -0x1.a522e96f5b4dfp-3, -0x1.bdc18f68abe7fp-3, -0x1.d5bc72996cb1dp-3, -0x1.ed09ec906813dp-3, -0x1.01d0da6c1ba15p-2, -0x1.0cbe64d677f2p-2, -0x1.174aacc4a41f1p-2, -0x1.217356c930295p-2, -0x1.2b368a7319a49p-2, -0x1.3492e8671af8dp-2, -0x1.3d8780eaf2662p-2, -0x1.4613cae1d91fcp-2, -0x1.4e379b38dd1e6p-2, -0x1.55f31cc1656c9p-2, -0x1.5d46c877bc0adp-2, -0x1.64335e3372d57p-2, -0x1.6ab9ddbf7077ep-2, -0x1.70db8057758dfp-2, -0x1.7699b2881061fp-2, -0x1.7bf60e6d6099dp-2, -0x1.80f2564dc00bcp-2, -0x1.85906f8eedcdp-2, -0x1.89d25e04baa29p-2, -0x1.8dba3f94cf9bdp-2, -0x1.914a482891b69p-2, -0x1.9484bde76134ep-2, -0x1.976bf5bbd7bcdp-2, -0x1.9a0250280ded8p-2, -0x1.9c4a36651c6f9p-2, -0x1.9e4617c241961p-2, -0x1.9ff8672d933c1p-2, -0x1.a16398f537863p-2, -0x1.a28a20bc49a58p-2, -0x1.a36e6fc258697p-2, -0x1.a412f3635ef47p-2, -0x1.a47a13aec88aep-2, -0x1.a4a632280dcf7p-2, -0x1.a499a86ec9264p-2, -0x1.a456c744b9696p-2, -0x1.a3dfd5a20a12ap-2, -0x1.a3371018dab46p-2, -0x1.a25ea8558461p-2, -0x1.a158c490d0266p-2, -0x1.a0277f145807cp-2, -0x1.9ecce5acdcb34p-2, -0x1.9d4af93bc06f3p-2, -0x1.9ba3ad6a652cdp-2, -0x1.99d8e88444aefp-2, -0x1.97ec8371b4039p-2, -0x1.95e049c052841p-2, -0x1.93b5f9acc0edcp-2, -0x1.916f442420e43p-2, -0x1.8f0dccbee2889p-2, -0x1.8c9329bad8e89p-2, -0x1.8a00e3fd73faep-2, -0x1.87587724bcf8bp-2, -0x1.849b51aa098a2p-2, -0x1.81cad514e5d35p-2, -0x1.7ee85639584b3p-2, -0x1.7bf51d7bc1893p-2, -0x1.78f26714932b8p-2, -0x1.75e163504786ep-2, -0x1.72c336ca4383ep-2, -0x1.6f98faa3293e8p-2, -0x1.6c63bcb4e5399p-2, -0x1.69247fc738eabp-2, -0x1.65dc3bc70484fp-2, -0x1.628bde0253068p-2, -0x1.5f344969c0b46p-2, -0x1.5bd656d6e9c64p-2, -0x1.5872d55715309p-2, -0x1.550a8a788ed8ep-2, -0x1.519e329903f4bp-2, -0x1.4e2e81339bacfp-2, -0x1.4abc212d97492p-2, -0x1.4747b5209a74fp-2, -0x1.43d1d7a27c67fp-2, -0x1.405b1b8aa4212p-2, -0x1.3ce40c351ec61p-2, -0x1.396d2dc3fff69p-2, -0x1.35f6fd5f88fbcp-2, -0x1.3281f17567c06p-2, -0x1.2f0e79f750db3p-2, -0x1.2b9d00992f2bp-2, -0x1.282de90edfc77p-2, -0x1.24c191493b61fp-2, -0x1.215851b26ae4ap-2, -0x1.1df27d693976p-2, -0x1.1a90627b248dp-2, -0x1.17324a1cfda95p-2, -0x1.13d878e1e412fp-2, -0x1.10832ef093fe1p-2, -0x1.0d32a836c6051p-2, -0x1.09e71c9aa836cp-2, -0x1.06a0c02a8f107p-2, -0x1.035fc34aa293fp-2, -0x1.002452e0c349fp-2, -0x1.f9dd30fd9a069p-3, -0x1.f37d7515fb76dp-3, -0x1.ed29b8cdc723ep-3, -0x1.e6e23d29d6b88p-3, -0x1.e0a73db867c93p-3, -0x1.da78f0d66df27p-3, -0x1.d45787f294fc7p-3, -0x1.ce432fccec048p-3, -0x1.c83c10b46922p-3, -0x1.c2424ec2a9ce5p-3, -0x1.bc560a144c7cap-3, -0x1.b6775eff11f72p-3, -0x1.b0a66646be8f4p-3, -0x1.aae3354ed12e6p-3, -0x1.a52dde498e118p-3, -0x1.9f86706656f45p-3, -0x1.99ecf7fd7cb9ep-3, -0x1.94617eb8cd73bp-3, -0x1.8ee40bbb7986ap-3, -0x1.8974a3c8bfab8p-3, -0x1.84134966fb96ap-3, -0x1.7ebffd013d06ep-3, -0x1.797abd08e1795p-3, -0x1.744386147fc35p-3, -0x1.6f1a52fbe7216p-3, -0x1.69ff1cf44255ep-3, -0x1.64f1dbab87573p-3, -0x1.5ff285609ef72p-3, -0x1.5b010efa0b451p-3, -0x1.561d6c1d575eep-3, -0x1.51478f44e8f5cp-3, -0x1.4c7f69d2ce682p-3, -0x1.47c4ec234ae36p-3, -0x1.431805a0053f8p-3, -0x1.3e78a4d13fb82p-3, -0x1.39e6b76c8f4a4p-3, -0x1.35622a63e945fp-3, -0x1.30eae9f53d9c6p-3, -0x1.2c80e1b8032cap-3, -0x1.2823fca8b993ap-3, -0x1.23d42534eb67cp-3, -0x1.1f914547d7957p-3, -0x1.1b5b46552c642p-3, -0x1.17321161e85f5p-3, -0x1.13158f0dbacacp-3, -0x1.0f05a79d3b97ap-3, -0x1.0b024302a2f67p-3, -0x1.070b48e490cedp-3, -0x1.0320a0a509df9p-3, -0x1.fe8462d34a6edp-4, -0x1.f6dfc445cee5cp-4, -0x1.ef5333231726ep-4, -0x1.e7de7c96bf4ap-4, -0x1.e0816d82f0dfap-4, -0x1.d93bd28d33e28p-4, -0x1.d20d782799836p-4, -0x1.caf62a972aca4p-4, -0x1.c3f5b5fbfd6dap-4, -0x1.bd0be65bcc899p-4, -0x1.b63887ab252e2p-4, -0x1.af7b65d2af367p-4, -0x1.a8d44cb337b41p-4, -0x1.a243082c7b0acp-4, -0x1.9bc76425dba0fp-4, -0x1.95612c94e6242p-4, -0x1.8f102d8018f64p-4, -0x1.88d433014b60cp-4, -0x1.82ad094af4d6p-4, -0x1.7c9a7caf52007p-4, -0x1.769c59a56caf7p-4, -0x1.70b26cca9c94ap-4, -0x1.6adc82e357bbcp-4, -0x1.651a68deb49f7p-4, -0x1.5f6bebdc38e05p-4, -0x1.59d0d930741f6p-4, -0x1.5448fe663ae43p-4, -0x1.4ed4293e398adp-4, -0x1.497227b052e05p-4, -0x1.4422c7efd54e6p-4, -0x1.3ee5d870147a3p-4, -0x1.39bb27e66d6bep-4, -0x1.34a2854994b38p-4, -0x1.2f9bbfd0e9d45p-4, -0x1.2aa6a6f64d554p-4, -0x1.25c30a7a0cbd4p-4, -0x1.20f0ba662417cp-4, -0x1.1c2f870ec9a36p-4, -0x1.177f4111025d8p-4, -0x1.12dfb951dddb2p-4, -0x1.0e50c1002767ap-4, -0x1.09d22997b64ffp-4, -0x1.0563c4e3ed02ep-4, -0x1.010564ffc2098p-4, -0x1.f96db8a82fc37p-5, -0x1.f0effb2d44ec4p-5, -0x1.e8913795ee2fap-5, -0x1.e051148a69374p-5, -0x1.d82f39588b90ap-5, -0x1.d02b4df43019ep-5, -0x1.c844faf41e4d3p-5, -0x1.c07be98eecf9ep-5, -0x1.b8cfc39b2a066p-5, -0x1.b1403393003bap-5, -0x1.a9cce49888c2dp-5, -0x1.a27582777486cp-5, -0x1.9b39b9a322158p-5, -0x1.9419373321b3cp-5, -0x1.8d13a8e141befp-5, -0x1.8628bd0ac289ap-5, -0x1.7f5822b3bcd26p-5, -0x1.78a18989f2b09p-5, -0x1.7204a1e4f9196p-5, -0x1.6b811cc3c1047p-5, -0x1.6516abc97fc5fp-5, -0x1.5ec5013c3ceaep-5, -0x1.588bd005e6c5bp-5, -0x1.526acbb6e0dcp-5, -0x1.4c61a887ef6d8p-5, -0x1.46701b5a08a81p-5, -0x1.4095d9b428641p-5, -0x1.3ad299c0966fap-5, -0x1.3526124b5736dp-5, -0x1.2f8ffac27d648p-5, -0x1.2a100b37cf646p-5, -0x1.24a5fc623e1ap-5, -0x1.1f51879e0051fp-5, -0x1.1a1266eb0acdfp-5, -0x1.14e854eac6cdp-5, -0x1.0fd30cde2c25ep-5, -0x1.0ad24aa51f6e1p-5, -0x1.05e5cabf0cc99p-5, -0x1.010d4a4bf18eep-5, -0x1.f8910e199df6p-6, -0x1.ef2e7ec5fc477p-6, -0x1.e5f2649d1a8cap-6, -0x1.dcdc3ed8a8817p-6, -0x1.d3eb8de9150b3p-6, -0x1.cb1fd37488732p-6, -0x1.c278925765e09p-6, -0x1.b9f54ea52902bp-6, -0x1.b1958da857fd5p-6, -0x1.a958d5e0f7f04p-6, -0x1.a13eaf01bafb4p-6, -0x1.9946a1eccf434p-6, -0x1.917038b13d842p-6, -0x1.89bafe89741cep-6, -0x1.82267fdae052p-6, -0x1.7ab24a35eb7dap-6, -0x1.735dec5592e98p-6, -0x1.6c28f61e198f2p-6, -0x1.6512f89aca963p-6, -0x1.5e1b85fb52f9cp-6, -0x1.5742319120ce9p-6, -0x1.50868fcd6a03ep-6, -0x1.49e8363fe748bp-6, -0x1.4366bb9612886p-6, -0x1.3d01b79a74e21p-6, -0x1.36b8c3338e976p-6, -0x1.308b78622be91p-6, -0x1.2a79723f4a10ep-6, -0x1.24824cf9b1a3ap-6, -0x1.1ea5a5d3b4232p-6, -0x1.18e31b213c98cp-6, -0x1.133a4c46571c7p-6, -0x1.0daad9b600d66p-6, -0x1.083464f0ff0a6p-6, -0x1.02d690848a821p-6, -0x1.fb2200114a3b8p-7, -0x1.f0c6b03c60203p-7, -0x1.e69a7cd9a1afdp-7, -0x1.dc9cb3419cf85p-7, -0x1.d2cca2d234d26p-7, -0x1.c9299ceb0f7e5p-7, -0x1.bfb2f4ea8af49p-7, -0x1.b668002ae3e08p-7, -0x1.ad4815ff2e29ep-7, -0x1.a4528fb02d1f6p-7, -0x1.9b86c878d026dp-7, -0x1.92e41d826eaf8p-7, -0x1.8a69ede0de25ap-7, -0x1.82179a8e6a571p-7, -0x1.79ec8667ff1a1p-7, -0x1.71e81629876fbp-7, -0x1.6a09b06a973c9p-7, -0x1.6250bd9b38319p-7, -0x1.5abca800b984ap-7, -0x1.534cdbb2702edp-7, -0x1.4c00c6964b88cp-7, -0x1.44d7d85d34fd3p-7, -0x1.3dd1827f455dfp-7, -0x1.36ed3837c25a4p-7, -0x1.302a6e8124662p-7, -0x1.29889c1131e29p-7, -0x1.230739557f522p-7, -0x1.1ca5c0701efb9p-7, -0x1.1663ad34992adp-7, -0x1.10407d24f1894p-7, -0x1.0a3baf6e8825fp-7, -0x1.0454c4e6ca144p-7, -0x1.fd16800ede1ebp-8, -0x1.f1bd49d4a347cp-8, -0x1.e69cf28a2f021p-8, -0x1.dbb488c9bc037p-8, -0x1.d1031e545006ap-8, -0x1.c687c80af678dp-8, -0x1.bc419de8d5938p-8, -0x1.b22fbafe59477p-8, -0x1.a8513d6c5c772p-8, -0x1.9ea5465eed6cdp-8, -0x1.952afa06e0119p-8, -0x1.8be17f9210101p-8, -0x1.82c80122428eap-8, -0x1.79ddabc37663fp-8, -0x1.7121af62356bfp-8, -0x1.68933ec334892p-8, -0x1.60318f7c3e196p-8, -0x1.57fbd9eed0b43p-8, -0x1.4ff159440423bp-8, -0x1.48114b686b8cep-8, -0x1.405af107bba3ep-8, -0x1.38cd8d8704ed6p-8, -0x1.316866fdc4c3ap-8, -0x1.2a2ac62db260fp-8, -0x1.2313f67a13b97p-8, -0x1.1c2345df25791p-8, -0x1.155804ea20119p-8, -0x1.0eb186b1c1a39p-8, -0x1.082f20cf5c7bp-8, -0x1.01d02b57b1c09p-8, -0x1.f72801a709ea4p-9, -0x1.eaf3fc6fc2e99p-9, -0x1.df0305bd88ecfp-9, -0x1.d353e102184cdp-9, -0x1.c7e556652b855p-9, -0x1.bcb632c191ddap-9, -0x1.b1c547a6313cep-9, -0x1.a7116b5734782p-9, -0x1.9c9978cabdc5p-9, -0x1.925c4f9bf894bp-9, -0x1.8858d3f1440a9p-9, -0x1.7e8dee558b739p-9, -0x1.74fa8b88f0c67p-9, -0x1.6b9d9c519d6c9p-9, -0x1.62761556c6908p-9, -0x1.5982ef1061a87p-9, -0x1.50c325d101dafp-9, -0x1.4835b9e964a52p-9, -0x1.3fd9afdd50dc2p-9, -0x1.37ae109ad6cb2p-9, -0x1.2fb1e9a207a3ep-9, -0x1.27e44d0bce854p-9, -0x1.204451658697fp-9, -0x1.18d111606e334p-9, -0x1.1189ab6004fc8p-9, -0x1.0a6d40fd4c50ep-9, -0x1.037af69aa4c51p-9, -0x1.f963e6481d93ap-10, -0x1.ec22c01d3cff8p-10, -0x1.df30d3386c055p-10, -0x1.d28c7eabdaeaep-10, -0x1.c6342943d956ep-10, -0x1.ba26429f691a1p-10, -0x1.ae6143efb09bp-10, -0x1.a2e3b0264f115p-10, -0x1.97ac1379e5221p-10, -0x1.8cb9024762d67p-10, -0x1.8209177a26861p-10, -0x1.779af2c507p-10, -0x1.6d6d370a3127cp-10, -0x1.637e8955379c7p-10, -0x1.59cd90affd687p-10, -0x1.5058f6e8348ap-10, -0x1.471f6a1a0c356p-10, -0x1.3e1f9e9bd26d5p-10, -0x1.355850cfaf2e8p-10, -0x1.2cc8467326d63p-10, -0x1.246e4f3125e44p-10, -0x1.1c49446d4f931p-10, -0x1.1458085c7a789p-10, -0x1.0c998489d8a1ap-10, -0x1.050ca7edf4733p-10, -0x1.fb60c9a25dd42p-11, -0x1.ed075db0bdb2ep-11, -0x1.df0af36d8086ap-11, -0x1.d16971ec74966p-11, -0x1.c420c1fc9f9fbp-11, -0x1.b72ed2287ef78p-11, -0x1.aa919b603b241p-11, -0x1.9e4724d6a39fcp-11, -0x1.924d861caaaf4p-11, -0x1.86a2e7674adbap-11, -0x1.7b4580a45c67p-11, -0x1.703398255d7b7p-11, -0x1.656b813de5198p-11, -0x1.5aeb9a9dfa578p-11, -0x1.50b24bf377b5ap-11, -0x1.46be02b57d0b6p-11, -0x1.3d0d2ebe1149bp-11, -0x1.339e3fedf928fp-11, -0x1.2a6fa6007bc2ap-11, -0x1.217fd2ce10dfdp-11, -0x1.18cd3e05f89dfp-11, -0x1.105668abd4ad7p-11, -0x1.0819dee51742ap-11, -0x1.001637bb96c45p-11, -0x1.f09427487e95dp-12, -0x1.e1683643793f5p-12, -0x1.d2a5fcec1652ep-12, -0x1.c44aeccf48171p-12, -0x1.b6548a8cf57f9p-12, -0x1.a8c06e4ffe2fp-12, -0x1.9b8c41a76c901p-12, -0x1.8eb5bb7625eb5p-12, -0x1.823a9bfd1ab66p-12, -0x1.7618aaf2fcaaap-12, -0x1.6a4db83410a56p-12, -0x1.5ed79ddbf5a48p-12, -0x1.53b441c8a5365p-12, -0x1.48e19524c0978p-12, -0x1.3e5d921e4e0bbp-12, -0x1.34263939da61dp-12, -0x1.2a398ffd4208cp-12, -0x1.2095a1c9ad2a1p-12, -0x1.1738825f12a2bp-12, -0x1.0e2050a5fd75bp-12, -0x1.054b389e75dd4p-12, -0x1.f96ee8cc33714p-13, -0x1.e8c69a2d87cefp-13, -0x1.d89a38046d425p-13, -0x1.c8e69793ed7p-13, -0x1.b9a8b01c4ac9bp-13, -0x1.aadd95b3e88ccp-13, -0x1.9c8270b9ee2e7p-13, -0x1.8e947541df8aap-13, -0x1.8110dd4f050e8p-13, -0x1.73f4e62f50acbp-13, -0x1.673dcfd348acp-13, -0x1.5ae8ddca35dafp-13, -0x1.4ef35a4e8e71dp-13, -0x1.435a9a51738d3p-13, -0x1.381bffb338e8bp-13, -0x1.2d34f8587fe86p-13, -0x1.22a2fd28fa298p-13, -0x1.186395fff62c5p-13, -0x1.0e7463b2323c9p-13, -0x1.04d32a5ed6b9ap-13, -0x1.f6fba70278c7cp-14, -0x1.e4e4c8be40fd2p-14, -0x1.d35ddd601feefp-14, -0x1.c2630c472eb8cp-14, -0x1.b1f0815050bap-14, -0x1.a2027b325de27p-14, -0x1.9295560fc43f7p-14, -0x1.83a588bd8bdf4p-14, -0x1.752f99d291415p-14, -0x1.6730169d404dcp-14, -0x1.59a38fb3621c3p-14, -0x1.4c86982f177d5p-14, -0x1.3fd5c6c8bdc23p-14, -0x1.338dbe8bd767bp-14, -0x1.27ab4376156acp-14, -0x1.1c2b5278e4a85p-14, -0x1.110b298439437p-14, -0x1.064833802adeap-14, -0x1.f7bfc5866322p-15, -0x1.e39f2a50ba538p-15, -0x1.d0292a7cb5f18p-15, -0x1.bd5865669168cp-15, -0x1.ab27b63af3bdbp-15, -0x1.9992462240e11p-15, -0x1.889382fad1b2p-15, -0x1.78270e653da93p-15, -0x1.6848aee83ef35p-15, -0x1.58f43fe3ff941p-15, -0x1.4a259c2c53158p-15, -0x1.3bd88a35608f8p-15, -0x1.2e08be2b2e512p-15, -0x1.20b202c1e6265p-15, -0x1.13d079218e9c1p-15, -0x1.0760bd5deaf16p-15, -0x1.f6bf8dfa1f51dp-16, -0x1.df952f68d1b4dp-16, -0x1.c93bf4626851fp-16, -0x1.b3ad0491cf92fp-16, -0x1.9ee180e053552p-16, -0x1.8ad2e2ba29e5ap-16, -0x1.777b1036c4864p-16, -0x1.64d43ba489e8ap-16, -0x1.52d8be37149e7p-16, -0x1.41830148ed21cp-16, -0x1.30cd7bf27487bp-16, -0x1.20b2c90a63cb4p-16, -0x1.112dc615a8539p-16, -0x1.0239993b02fdp-16, -0x1.e7a325277c9d9p-17, -0x1.cbe221700a26p-17, -0x1.b1272fd6621ep-17, -0x1.976a0b9fb8dd5p-17, -0x1.7ea32975fd46fp-17, -0x1.66cb317148e0dp-17, -0x1.4fda7e250d506p-17, -0x1.39c92c8427499p-17, -0x1.248f8aab2ee09p-17, -0x1.10264f2dbc999p-17, -0x1.f90cf5e30d414p-18, -0x1.d352849c7a48p-18, -0x1.af103c216dff5p-18, -0x1.8c39a32e54ba2p-18, -0x1.6ac29e5fbe054p-18, -0x1.4a9f261c046e1p-18, -0x1.2bc3252914c96p-18, -0x1.0e229deb61738p-18, -0x1.e363fbde2cad4p-19, -0x1.acccbed4a75fep-19, -0x1.786b2de3850f5p-19, -0x1.462c48e7fb3a9p-19, -0x1.15fe2067b3555p-19, -0x1.cf9e51a54aab1p-20, -0x1.771b13ce3a2ffp-20, -0x1.224edb4a4a04dp-20, -0x1.a230818944f61p-21, -0x1.06b1a833e4dfp-21, -0x1.c7993c50246b7p-23, 0x1.c6db798d781eap-25, 0x1.490d9162904b6p-22, 0x1.269f3878df10bp-21, 0x1.a2eeb763f4ff5p-21, 0x1.0cd522be74454p-20, 0x1.458224b9911b2p-20, 0x1.7b969af08c0b9p-20, 0x1.af2a27c357f4ep-20, 0x1.e053ed7bfad77p-20, 0x1.079529782a0a5p-19, 0x1.1de164168c335p-19, 0x1.3318ece5814bap-19, 0x1.4745bcef9db56p-19, 0x1.5a7194630e5fp-19, 0x1.6ca5fb79dfd76p-19, 0x1.7dec3a722aee8p-19, 0x1.8e4d32352e6cbp-19, 0x1.9dd13a6b581f6p-19, 0x1.ac80433cb3a8ep-19, 0x1.ba62060174e6ep-19, 0x1.c77e01f9dd651p-19, 0x1.d3db744f91748p-19, 0x1.df8169f22eb43p-19, 0x1.ea76bb197c40ep-19, 0x1.f4c1f742b9b23p-19, 0x1.fe6963adf79a6p-19, 0x1.03b97d5a71d83p-18, 0x1.07f231660c4f9p-18, 0x1.0be17dab9a433p-18, 0x1.0f8a09bd226c2p-18, 0x1.12ee94347d1e7p-18, 0x1.1611ee85c9483p-18, 0x1.18f6c3f4088f5p-18, 0x1.1b9f605ad873fp-18, 0x1.1e0dbd0ae12e4p-18, 0x1.2043b29a6528dp-18, 0x1.2243216f28e52p-18, 0x1.240e2b2f2c76dp-18, 0x1.25a7201f77996p-18, 0x1.271010ab8b819p-18, 0x1.284ac013364f2p-18, 0x1.2958e5d0ef8a6p-18, 0x1.2a3c1f6990177p-18, 0x1.2af5cefad1368p-18, 0x1.2b873fe8e45c7p-18, 0x1.2bf1df87fbd35p-18, 0x1.2c3747ddd0b35p-18, 0x1.2c590f022ef51p-18, 0x1.2c589709798d7p-18, 0x1.2c3716292e7cfp-18, 0x1.2bf5b6d51e7ffp-18, 0x1.2b95aa3d471ddp-18, 0x1.2b1838e3ef07ap-18, 0x1.2a7eb8d885035p-18, 0x1.29ca49d0f10c9p-18, 0x1.28fba09d5b00dp-18, 0x1.2813490ce5cd9p-18, 0x1.2711ff3fee0f3p-18, 0x1.25f8be5c3a08ep-18, 0x1.24c8cfe01d66ep-18, 0x1.238356248e249p-18, 0x1.2228e99ce9e0fp-18, 0x1.20ba3d0ecebd3p-18, 0x1.1f383ed87ad48p-18, 0x1.1da3ab959806p-18, 0x1.1bfd25ed13858p-18, 0x1.1a455a91de4dcp-18, 0x1.187cf27302b66p-18, 0x1.16a47e3d0e486p-18, 0x1.14bc7429d24e9p-18, 0x1.12c53ea6ea20bp-18, 0x1.10bf537a07d25p-18, 0x1.0eab56e584de9p-18, 0x1.0c8a180a83a8p-18, 0x1.0a5c43c2fb83cp-18, 0x1.08224b03bdef3p-18, 0x1.05dca9064d1fdp-18, 0x1.038bd5201d159p-18, 0x1.012ff7055cf3cp-18, 0x1.fd9277c4d5d15p-19, 0x1.f8b05288b6d78p-19, 0x1.f3ba70b2a7f42p-19, 0x1.eeb1bf40b6c7bp-19, 0x1.e996d7b74dff2p-19, 0x1.e46a49c326914p-19, 0x1.df2d5ab3c0dddp-19, 0x1.d9e0d6b1a4abcp-19, 0x1.d4853bc5bec0ap-19, 0x1.cf1b1bf1230f2p-19, 0x1.c9a303b7fe858p-19, 0x1.c41d708868786p-19, 0x1.be8ade4ddd6b3p-19, 0x1.b8ebd75ce4338p-19, 0x1.b340fe702ec4dp-19, }}, 
      {{-0x1.4958a4e44cd2bp+1, -0x1.40709de50b9a6p+1, -0x1.329401516dc1bp+1, -0x1.20d5b6603fe0cp+1, -0x1.0c5119a7e81b9p+1, -0x1.ec1f9e4796dddp+0, -0x1.bdf7d60b8c202p+0, -0x1.8fb3ed5397cbbp+0, -0x1.628fd083d45aap+0, -0x1.377e3c22ff4d8p+0, -0x1.0f2ffbb04cffep+0, -0x1.d439cfee3fa29p-1, -0x1.9119f4e6c195bp-1, -0x1.5542e8d95c2e2p-1, -0x1.20b98069d6b8ep-1, -0x1.e6a6c1b937c2dp-2, -0x1.9986127691239p-2, -0x1.5943b7cdb0f3ap-2, -0x1.24f0c132b420fp-2, -0x1.f713b4724b0d6p-3, -0x1.b803d5e295423p-3, -0x1.8a94d4ee90a82p-3, -0x1.6cb373cdd905fp-3, -0x1.5c5fad32861f8p-3, -0x1.57b35a133a0ep-3, -0x1.5ce69eb7e2377p-3, -0x1.6a52951a26b5dp-3, -0x1.7e729947eb595p-3, -0x1.97e48b7791a9bp-3, -0x1.b5684c1083f2ep-3, -0x1.d5dea8846cce2p-3, -0x1.f847e48060caap-3, -0x1.0de100c840a93p-2, -0x1.1fc36fc9d0c75p-2, -0x1.31752509ab08ep-2, -0x1.42ac00c282bcdp-2, -0x1.5328e5b5ae7e1p-2, -0x1.62b6c88adc9b7p-2, -0x1.7129c917879b2p-2, -0x1.7e5e572a72b9dp-2, -0x1.8a3863b98ba2dp-2, -0x1.94a29ec847fcbp-2, -0x1.9d8dc1ffb985cp-2, -0x1.a4efe7b650dc5p-2, -0x1.aac3ee01f0b6p-2, -0x1.af08e55b83586p-2, -0x1.b1c18a51b11afp-2, -0x1.b2f3c9c468e69p-2, -0x1.b2a84f223c9b2p-2, -0x1.b0ea1c21e2668p-2, -0x1.adc6297477aa3p-2, -0x1.a94b0ff00aa68p-2, -0x1.a388b9b48ed3dp-2, -0x1.9c901ad1eb8ccp-2, -0x1.9472f0f8ca033p-2, -0x1.8b4389c5cf319p-2, -0x1.81148f393618bp-2, -0x1.75f8d9ef2ced1p-2, -0x1.6a0348b2e70b8p-2, -0x1.5d469d03f8622p-2, -0x1.4fd55c454a9b2p-2, -0x1.41c1b51c2522ep-2, -0x1.331d68e34f93bp-2, -0x1.23f9b865ef5e3p-2, -0x1.14675441b2923p-2, -0x1.04764fc39537ap-2, -0x1.e86c2dee5e463p-3, -0x1.c76aceac4c2ccp-3, -0x1.a604924880a66p-3, -0x1.84541cc40bc1p-3, -0x1.6272996401468p-3, -0x1.4077c494c7116p-3, -0x1.1e79e37fc8175p-3, -0x1.f91b9f981fd09p-4, -0x1.b58dfb1875715p-4, -0x1.726ef8cd7ba65p-4, -0x1.2fe018a86bc56p-4, -0x1.dc006d7e5c779p-5, -0x1.59d76725c31dap-5, -0x1.b2f21489a9159p-6, -0x1.6c527d03d5c62p-7, 0x1.0957bef084045p-8, 0x1.363e292e36674p-6, 0x1.12a51313b50a2p-5, 0x1.879e24643539dp-5, 0x1.f9ef1af2ff92cp-5, 0x1.34c01d9101d2cp-4, 0x1.6b1e8585a1615p-4, 0x1.a00a118356338p-4, 0x1.d37b800dd2353p-4, 0x1.02b675f0cb014p-3, 0x1.1aecdb7981ac2p-3, 0x1.325f3b1c7c343p-3, 0x1.490c6f3ea12aap-3, 0x1.5ef3d8db132a2p-3, 0x1.741556782199cp-3, 0x1.88713b5eb5e04p-3, 0x1.9c0846edab6adp-3, 0x1.aedb9c31d717dp-3, 0x1.c0ecb9b7a7853p-3, 0x1.d23d71958a46ep-3, 0x1.e2cfe1d9de08ap-3, 0x1.f2a66d4867b9dp-3, 0x1.00e1da374b86dp-2, 0x1.081547935bb41p-2, 0x1.0eef0336d32fep-2, 0x1.1570a7474f1b4p-2, 0x1.1b9be0d9423a2p-2, 0x1.21726d5c05e9p-2, 0x1.26f6182b3b309p-2, 0x1.2c28b84c17e52p-2, 0x1.310c2e4d45f68p-2, 0x1.35a2624874327p-2, 0x1.39ed420d49ecbp-2, 0x1.3deebf6f395cfp-2, 0x1.41a8ceb32954fp-2, 0x1.451d6521e80e6p-2, 0x1.484e77bcbf93p-2, 0x1.4b3dfa0e32195p-2, 0x1.4deddd177a083p-2, 0x1.50600e5c95435p-2, 0x1.52967707063f6p-2, 0x1.5492fb1e13eb8p-2, 0x1.565778d6b53cp-2, 0x1.57e5c7f6489c5p-2, 0x1.593fb9467eb38p-2, 0x1.5a67161994aaap-2, 0x1.5b5d9fdeb8215p-2, 0x1.5c250fc5f52bp-2, 0x1.5cbf166f494fap-2, 0x1.5d2d5ba7093b2p-2, 0x1.5d717e303933bp-2, 0x1.5d8d1397d8f1bp-2, 0x1.5d81a8129448cp-2, 0x1.5d50be656954ap-2, 0x1.5cfbcfd5e5b4ep-2, 0x1.5c844c230bf4fp-2, 0x1.5beb9985cb2cbp-2, 0x1.5b3314b6a7b82p-2, 0x1.5a5c10fad2163p-2, 0x1.5967d836c7458p-2, 0x1.5857ab0395fd2p-2, 0x1.572cc0c97f34ep-2, 0x1.55e847df04ef2p-2, 0x1.548b65a968afap-2, 0x1.531736c07974p-2, 0x1.518ccf1566d8ap-2, 0x1.4fed3a1a4cf58p-2, 0x1.4e397aec42c9ap-2, 0x1.4c728c7f5d251p-2, 0x1.4a9961ca31272p-2, 0x1.48aee5f316e5cp-2, 0x1.46b3fc7f9e26ap-2, 0x1.44a98182703c6p-2, 0x1.429049c94bd5ep-2, 0x1.4069230ddc339p-2, 0x1.3e34d4253cd44p-2, 0x1.3bf41d2d08375p-2, 0x1.39a7b7baf65ddp-2, 0x1.3750570d9fc41p-2, 0x1.34eea838f3f79p-2, 0x1.32835251c5513p-2, 0x1.300ef69d1f55dp-2, 0x1.2d9230be1e054p-2, 0x1.2b0d96de6dce7p-2, 0x1.2881b9d7b036cp-2, 0x1.25ef2560750efp-2, 0x1.23566035e112ap-2, 0x1.20b7ec402aeb3p-2, 0x1.1e1446b8fc6c4p-2, 0x1.1b6be854c05c3p-2, 0x1.18bf4567dc24p-2, 0x1.160ece074362bp-2, 0x1.135aee2b2f0f6p-2, 0x1.10a40dd43b033p-2, 0x1.0dea912c62a9fp-2, 0x1.0b2ed8a3d0179p-2, 0x1.0871410fa0eecp-2, 0x1.05b223cb250a2p-2, 0x1.02f1d6d4ba528p-2, 0x1.0030ace6b1f4ep-2, 0x1.faddeb24e7f49p-3, 0x1.f559fabcad5fcp-3, 0x1.efd61bbed11edp-3, 0x1.ea52db9bf357ep-3, 0x1.e4d0c238590ecp-3, 0x1.df505222b583cp-3, 0x1.d9d208c5d2509p-3, 0x1.d4565e8abea43p-3, 0x1.ceddc6f8fccd6p-3, 0x1.c968b0e4ce15ap-3, 0x1.c3f786a30eb2bp-3, 0x1.be8aae2d6cdb7p-3, 0x1.b922893713a1dp-3, 0x1.b3bf7548e16b4p-3, 0x1.ae61cbf07a96bp-3, 0x1.a909e2ef7cadbp-3, 0x1.a3b80c54ccb77p-3, 0x1.9e6c96876bbfap-3, 0x1.9927cc5e43e47p-3, 0x1.93e9f54dbefe7p-3, 0x1.8eb355944c9acp-3, 0x1.89842e4e5882cp-3, 0x1.845cbd798d7c1p-3, 0x1.7f3d3e049c72cp-3, 0x1.7a25e7f7cee6bp-3, 0x1.7516f0a1b71e5p-3, 0x1.70108aacf63c6p-3, 0x1.6b12e61fa95abp-3, 0x1.661e305fb6cf5p-3, 0x1.613294505ad0fp-3, 0x1.5c503a7e1d2eep-3, 0x1.5777493ccbe9p-3, 0x1.52a7e4ab2235bp-3, 0x1.4de22ead5b9adp-3, 0x1.492646f930015p-3, 0x1.44744b38fbdf2p-3, 0x1.3fcc5731a9d2ap-3, 0x1.3b2e84d4335ep-3, 0x1.369aec39a56f2p-3, 0x1.3211a39e9c915p-3, 0x1.2d92bf726a3edp-3, 0x1.291e527895115p-3, 0x1.24b46de878aecp-3, 0x1.2055217953748p-3, 0x1.1c007b5cf5b63p-3, 0x1.17b6883b68277p-3, 0x1.1377533f9d233p-3, 0x1.0f42e633e75a4p-3, 0x1.0b19499dd3f08p-3, 0x1.06fa84ca7073cp-3, 0x1.02e69dcb01f38p-3, 0x1.fdbb32df6dc68p-4, 0x1.f5bef69ce5f0dp-4, 0x1.edd88bafff6e7p-4, 0x1.e607f4e1fcd31p-4, 0x1.de4d33029ed1p-4, 0x1.d6a844eb34d6p-4, 0x1.cf192774c252fp-4, 0x1.c79fd578d3995p-4, 0x1.c03c47e97b4a1p-4, 0x1.b8ee75f93698fp-4, 0x1.b1b6553e97a4dp-4, 0x1.aa93d9c49ea61p-4, 0x1.a386f608bbc22p-4, 0x1.9c8f9af53a8f3p-4, 0x1.95adb7e79b3edp-4, 0x1.8ee13ac7be2cap-4, 0x1.882a10279a222p-4, 0x1.8188235d57f6dp-4, 0x1.7afb5e8edd586p-4, 0x1.7483aab118a5cp-4, 0x1.6e20ef85a8dddp-4, 0x1.67d313a114a86p-4, 0x1.6199fc7c833p-4, 0x1.5b758e8da906cp-4, 0x1.5565ad5b9a956p-4, 0x1.4f6a3b8a0f1cbp-4, 0x1.49831adb9e649p-4, 0x1.43b02c31548a2p-4, 0x1.3df14f8eabb5ap-4, 0x1.384664250fac1p-4, 0x1.32af4864d49ep-4, 0x1.2d2bda0e40421p-4, 0x1.27bbf63d89f44p-4, 0x1.225f79704b7cp-4, 0x1.1d163f871989ep-4, 0x1.17e023c7d1955p-4, 0x1.12bd00e3edbfcp-4, 0x1.0dacb1033a65fp-4, 0x1.08af0dd0a7984p-4, 0x1.03c3f085e54ddp-4, 0x1.fdd663e6a857p-5, 0x1.f44955084b25dp-5, 0x1.eae064818d0e4p-5, 0x1.e19b41a46b32dp-5, 0x1.d8799b0fb1adbp-5, 0x1.cf7b1ebf55733p-5, 0x1.c69f7a1ed63acp-5, 0x1.bde65a1a0a60bp-5, 0x1.b54f6b299ddcdp-5, 0x1.acda595b0e78ap-5, 0x1.a486d05661045p-5, 0x1.9c547b6497015p-5, 0x1.94430578b9698p-5, 0x1.8c52193b7e8ffp-5, 0x1.8481611829d8ap-5, 0x1.7cd0874919768p-5, 0x1.753f35e2505b5p-5, 0x1.6dcd16d96b647p-5, 0x1.6679d40b9f0adp-5, 0x1.5f4517436e001p-5, 0x1.582e8a3f5bb76p-5, 0x1.5135d6ba03595p-5, 0x1.4a5aa672ec5c6p-5, 0x1.439ca3377ae9p-5, 0x1.3cfb76eb54e9bp-5, 0x1.3676cb8fac928p-5, 0x1.300e4b495b453p-5, 0x1.29c1a06623046p-5, 0x1.23907561ef329p-5, 0x1.1d7a74eca539p-5, 0x1.177f49f0645cep-5, 0x1.119e9f97c101bp-5, 0x1.0bd82153987abp-5, 0x1.062b7ae072827p-5, 0x1.0098584b8575ep-5, 0x1.f63ccbeebb57dp-6, 0x1.eb7aa140a9e6fp-6, 0x1.e0e98ac26c18dp-6, 0x1.d688e3706923cp-6, 0x1.cc58071821bedp-6, 0x1.c2565261b8857p-6, 0x1.b88322d7d2bcp-6, 0x1.aeddd6ed9e175p-6, 0x1.a565ce03b1141p-6, 0x1.9c1a686c94c07p-6, 0x1.92fb0771f8d0cp-6, 0x1.8a070d5b245cep-6, 0x1.813ddd75343cp-6, 0x1.789edc1d0da99p-6, 0x1.70296ec9cee05p-6, 0x1.67dcfc161bad7p-6, 0x1.5fb8ebc666c59p-6, 0x1.57bca6cb91168p-6, 0x1.4fe797421a307p-6, 0x1.4839286f52835p-6, 0x1.40b0c6be9c62dp-6, 0x1.394ddfc101109p-6, 0x1.320fe2310b4e1p-6, 0x1.2af63dfbea6b1p-6, 0x1.2400644f22a2fp-6, 0x1.1d2dc7a86acb6p-6, 0x1.167ddbe3cd48fp-6, 0x1.0ff0164459d2p-6, 0x1.0983ed746794ap-6, 0x1.0338d97cbf8fbp-6, 0x1.fa1ca7691000ep-7, 0x1.ee07ad5c76b34p-7, 0x1.e231bc4f3c7e7p-7, 0x1.d699ce05a8b01p-7, 0x1.cb3ede9a5099cp-7, 0x1.c01feca8dcf1bp-7, 0x1.b53bf98f8c19fp-7, 0x1.aa9209b882e1p-7, 0x1.a02124d6b367bp-7, 0x1.95e856027ebd1p-7, 0x1.8be6aba83c3b4p-7, 0x1.821b3745f237ap-7, 0x1.78850d03d9961p-7, 0x1.6f23433f3ad92p-7, 0x1.65f4f2281161cp-7, 0x1.5cf93390e9de1p-7, 0x1.542f230799d84p-7, 0x1.4b95de3bb65d4p-7, 0x1.432c85a1f18acp-7, 0x1.3af23d2f985fcp-7, 0x1.32e62cfcbd9f6p-7, 0x1.2b07819b6d086p-7, 0x1.23556bffdfefp-7, 0x1.1bcf20ef81aa5p-7, 0x1.1473d80c64baep-7, 0x1.0d42cab0f5175p-7, 0x1.063b32e3e60aap-7, 0x1.feb8955e116dfp-8, 0x1.f14a9826520bep-8, 0x1.e42ae3603cc06p-8, 0x1.d757f01602718p-8, 0x1.cad03e5fea22ap-8, 0x1.be9258999940ap-8, 0x1.b29cd5b0c396ep-8, 0x1.a6ee59d989073p-8, 0x1.9b85954a681b4p-8, 0x1.90614118b5dacp-8, 0x1.85801aca04ab1p-8, 0x1.7ae0df91485a2p-8, 0x1.7082485ad0f2cp-8, 0x1.666307b3221bep-8, 0x1.5c81ca374c7d8p-8, 0x1.52dd39acc4263p-8, 0x1.4974023be6d5p-8, 0x1.4044d8b83a0bap-8, 0x1.374e808c19702p-8, 0x1.2e8fcfd8af5ddp-8, 0x1.2607b0adf70d6p-8, 0x1.1db51ed92ffd7p-8, 0x1.1597228abf7a2p-8, 0x1.0dacc8d47d1f7p-8, 0x1.05f51b9036ddp-8, 0x1.fcde34f408eb4p-9, 0x1.ee336e37c1379p-9, 0x1.dfe7a931285abp-9, 0x1.d1f8971f0dfb8p-9, 0x1.c463e2d627613p-9, 0x1.b727434ad4f18p-9, 0x1.aa408e31351fep-9, 0x1.9dadc6bb9e4d9p-9, 0x1.916d2530c83f5p-9, 0x1.857d1576cadadp-9, 0x1.79dc2c82ec84bp-9, 0x1.6e89168d19db1p-9, 0x1.638281858321ap-9, 0x1.58c7083b40472p-9, 0x1.4e552297c2144p-9, 0x1.442b1e449c6b1p-9, 0x1.3a47213c9b198p-9, 0x1.30a735a87de66p-9, 0x1.27495c890f2c6p-9, 0x1.1e2ba37557c81p-9, 0x1.154c394916bcp-9, 0x1.0ca97df253899p-9, 0x1.04420a7762196p-9, 0x1.f8295f5bfebf5p-10, 0x1.e840d789c55fep-10, 0x1.d8c8b1022b595p-10, 0x1.c9bf2b2830654p-10, 0x1.bb2266adef39dp-10, 0x1.acf044576cad6p-10, 0x1.9f265362a423p-10, 0x1.91c1d23eab23dp-10, 0x1.84bfc029a4ac5p-10, 0x1.781cfb13c9111p-10, 0x1.6bd6636e7f58dp-10, 0x1.5fe8ff42d9d02p-10, 0x1.545216ac729bap-10, 0x1.490f455b42453p-10, 0x1.3e1e7ee9e2692p-10, 0x1.337e065546e68p-10, 0x1.292c5b1cfa384p-10, 0x1.1f281ff8b6122p-10, 0x1.156fff88829c3p-10, 0x1.0c02933bc84f6p-10, 0x1.02de501f63086p-10, 0x1.f402f8ab286d9p-11, 0x1.e2d45d4ddb91ap-11, 0x1.d22cb00951381p-11, 0x1.c207aa4a7c0eep-11, 0x1.b2610947d7592p-11, 0x1.a334b8ef8ce1dp-11, 0x1.947ef226b44bap-11, 0x1.863c4454086e6p-11, 0x1.78698a3c1b7e7p-11, 0x1.6b03d35ae0927p-11, 0x1.5e084f6ded10cp-11, 0x1.5174462fb0292p-11, 0x1.45451b71cc7f2p-11, 0x1.39785685cd1cap-11, 0x1.2e0ba19090e7ap-11, 0x1.22fcbb62739e3p-11, 0x1.184960819e12cp-11, 0x1.0def378925281p-11, 0x1.03ebccd48418bp-11, 0x1.f47942aa3e7c9p-12, 0x1.e1be89c8de8cbp-12, 0x1.cfa2d8d026702p-12, 0x1.be21e9c3c8a0cp-12, 0x1.ad379d3e5eabp-12, 0x1.9cdfb4a017c74p-12, 0x1.8d15988f34d0dp-12, 0x1.7dd451da8aeb1p-12, 0x1.6f16bf5c86d2fp-12, 0x1.60d7ef2414647p-12, 0x1.53136c10a84dfp-12, 0x1.45c55a115f4f6p-12, 0x1.38ea5c8f111d2p-12, 0x1.2c7f6478d0e8dp-12, 0x1.20818d0d4f343p-12, 0x1.14ee19d5c54ffp-12, 0x1.09c2885d9f93ap-12, 0x1.fdf92f9039cc4p-13, 0x1.e93462b571d14p-13, 0x1.d53265f5390f8p-13, 0x1.c1ee5d345667bp-13, 0x1.af6272fa77318p-13, 0x1.9d87c977064c8p-13, 0x1.8c56d8339e515p-13, 0x1.7bc8200b2f9efp-13, 0x1.6bd4e67ccf08dp-13, 0x1.5c778ef270c32p-13, 0x1.4dab5269013bfp-13, 0x1.3f6b8022c00ecp-13, 0x1.31b2d6fb91103p-13, 0x1.247b87ec17b22p-13, 0x1.17bff899a4114p-13, 0x1.0b7bc6b5df232p-13, 0x1.ff58b09a174e4p-14, 0x1.e8a125e0887f3p-14, 0x1.d2cfb3d5ddb86p-14, 0x1.bde1acb6beb28p-14, 0x1.a9d13784813cap-14, 0x1.9694fbc9db6b1p-14, 0x1.84212c2b1224cp-14, 0x1.72697b0ece7b3p-14, 0x1.6163510a44fcdp-14, 0x1.51076fe5c2842p-14, 0x1.415227c9b88d5p-14, 0x1.3241cbe613f33p-14, 0x1.23d423ae541ffp-14, 0x1.160464bf099afp-14, 0x1.08caebc750712p-14, 0x1.f83d40ca3c9cbp-15, 0x1.dfedde5303174p-15, 0x1.c89a96fadbcfbp-15, 0x1.b23b67b69d91dp-15, 0x1.9ccc4cb94f36ap-15, 0x1.884ac5229c381p-15, 0x1.74b33d026dc5fp-15, 0x1.61ff3f8a337f6p-15, 0x1.50249d3eee913p-15, 0x1.3f15bb2ac7a1dp-15, 0x1.2ec3777d41453p-15, 0x1.1f205ca25323ap-15, 0x1.10239f6411cacp-15, 0x1.01c9fc6855f91p-15, 0x1.e8273c298083ep-16, 0x1.ce00955e308efp-16, 0x1.b51915b3a375dp-16, 0x1.9d63028f1a437p-16, 0x1.86cdadf5137b3p-16, 0x1.714a238895a72p-16, 0x1.5ccdc20b0b06dp-16, 0x1.4950bf4e985d1p-16, 0x1.36c9ac976eae6p-16, 0x1.252aa2e39fec9p-16, 0x1.14632655e5396p-16, 0x1.0464a31dd524dp-16, 0x1.ea4a56ad25c94p-17, 0x1.cd3cc9ae4ad41p-17, 0x1.b194738fce8a6p-17, 0x1.9740d84b75acap-17, 0x1.7e2d5270d0058p-17, 0x1.66452d43217b2p-17, 0x1.4f78e69a4353fp-17, 0x1.39c0e962f8de3p-17, 0x1.251b0c0794543p-17, 0x1.118411580dc92p-17, 0x1.fde4560f8faf6p-18, 0x1.daac8a56d2468p-18, 0x1.b946332250567p-18, 0x1.99a0c7b87018ap-18, 0x1.7baccac21611dp-18, 0x1.5f5359da01a08p-18, 0x1.4478c69895454p-18, 0x1.2b034dffec6fcp-18, 0x1.12de2a2626dacp-18, 0x1.f7f0c6573231p-19, 0x1.cc834af6ce875p-19, 0x1.a34f46fe4a185p-19, 0x1.7c2c0645e78bap-19, 0x1.56efd5ea563a6p-19, 0x1.337284ee2dd5p-19, 0x1.1194761cae94bp-19, 0x1.e2936adf72a5fp-20, 0x1.a52ae97def8bap-20, 0x1.6ae4203bd6145p-20, 0x1.3386f075821a3p-20, 0x1.fda715e9ddc68p-21, 0x1.99640f6eabd81p-21, 0x1.3a3ed83e6e67ap-21, 0x1.bff19a9d494dap-22, 0x1.142959c24d08dp-22, 0x1.c0a0d45899cccp-24, -0x1.663fa088d81bap-25, -0x1.863a83af70374p-23, -0x1.532a74ab76fc9p-22, -0x1.dd30821f59165p-22, -0x1.30b38aef23c89p-21, -0x1.700302bf601f7p-21, -0x1.aca834dad5c97p-21, -0x1.e6d0067d16bc8p-21, -0x1.0f5c742971711p-20, -0x1.2a560b33f0c31p-20, -0x1.4470abae21de6p-20, -0x1.5db852c08c7f4p-20, -0x1.7633bf07ddafep-20, -0x1.8dedf0dff90efp-20, -0x1.a4f223702abecp-20, -0x1.bb49120fe4d8bp-20, -0x1.d0fe15251d13bp-20, -0x1.e61ed2844ab89p-20, -0x1.fab8862df92aap-20, -0x1.076cc18705c12p-19, -0x1.1147a502fd0bbp-19, -0x1.1af0c3eca1185p-19, -0x1.24692169eecffp-19, -0x1.2db1b4fd3bcb4p-19, -0x1.36cdf55626161p-19, -0x1.3fc3e18ffff19p-19, -0x1.489980b6a6f74p-19, -0x1.5152db724fe3dp-19, -0x1.59f1997df6a88p-19, -0x1.62718273f8909p-19, -0x1.6ac9cf791889fp-19, -0x1.72fe0e43803e8p-19, -0x1.7b1dd61d7f431p-19, -0x1.832d290cd46e4p-19, -0x1.8b2720523b76bp-19, -0x1.9310ecff2fcf9p-19, -0x1.9aeff7d99cadfp-19, -0x1.a2bc6d2f1bf0dp-19, -0x1.aa6bf333f41c1p-19, -0x1.b1fef824d9543p-19, -0x1.b97e1a69abb9ap-19, -0x1.c0ed02c6c7c45p-19, -0x1.c8469f1c130fep-19, -0x1.cf88a56d3526ep-19, -0x1.d6b93406efed8p-19, -0x1.dddd542070826p-19, -0x1.e4f3e5dec82b5p-19, -0x1.ebfa3d4279c3cp-19, -0x1.f2ee6d414b027p-19, -0x1.f9cf605f4c1bbp-19, -0x1.004fbe19ebc8dp-18, -0x1.03ae2ee1dfc0cp-18, -0x1.06fbef42b4d7fp-18, -0x1.0a3a84c5d3a1p-18, -0x1.0d6fc6f0d1436p-18, -0x1.1095a25f73db6p-18, -0x1.13abe6e948913p-18, -0x1.16b9d34ba549ep-18, -0x1.19be06b179cfap-18, -0x1.1cb4280a5194ap-18, -0x1.1f9b2fb4a6ad1p-18, -0x1.227429e4ef798p-18, -0x1.254070d4c029dp-18, -0x1.28009ec84156cp-18, -0x1.2ab2c68ace364p-18, -0x1.2d52161e4b272p-18, -0x1.2fdc5ef2bd85p-18, -0x1.325548b85cf52p-18, -0x1.34be29a4cc792p-18, -0x1.3712d9462ef22p-18, -0x1.3953b30590b63p-18, -0x1.3b859b9398103p-18, -0x1.3da8c1332cc85p-18, -0x1.3fbcc395f7c11p-18, -0x1.41c19e76f4a89p-18, -0x1.43aef0dc7625ap-18, -0x1.458402087433ap-18, -0x1.47413ec3d7d1ap-18, -0x1.48e53d5f8bf96p-18, -0x1.4a78d84c31587p-18, -0x1.4bfb393876f07p-18, -0x1.4d6760d2976abp-18, -0x1.4ebc21cd6e2fbp-18, -0x1.4ff9da4d62756p-18, -0x1.5120c362b13c8p-18, -0x1.5230caf366475p-18, -0x1.5329c3590cdbp-18, -0x1.540b8a24dffcfp-18, }}, 
      {{-0x1.4b662c0d8dca1p+1, -0x1.485e0cc68ca66p+1, -0x1.438764fce962ap+1, -0x1.3d21ae26419fp+1, -0x1.35722ea0e3f14p+1, -0x1.2cbe158090531p+1, -0x1.2346da9724fbfp+1, -0x1.194826be2e5f9p+1, -0x1.0ef6c6601aa0bp+1, -0x1.04804f6f92a1ep+1, -0x1.f4167b5f3ab89p+0, -0x1.df6eb327d5a6dp+0, -0x1.cb3c94da6dab2p+0, -0x1.b7a87b30ae13ap+0, -0x1.a4d126d3accf8p+0, -0x1.92cd0e6c983a8p+0, -0x1.81ab998c85732p+0, -0x1.71763ffcbef72p+0, -0x1.62318bccb42b3p+0, -0x1.53ddfe1743693p+0, -0x1.4678d758c144cp+0, -0x1.39fcc4e01d7a5p+0, -0x1.2e6275686f1aep+0, -0x1.23a11732c4588p+0, -0x1.19aec20b8a6e2p+0, -0x1.1080cf99bd9a6p+0, -0x1.080c2437b168cp+0, -0x1.00456a6c4b762p+0, -0x1.f24285d8382fap-1, -0x1.e528d5b0e1258p-1, -0x1.d927b3823b8ddp-1, -0x1.ce29b17c0647fp-1, -0x1.c41a279090b6ap-1, -0x1.bae54ca405c84p-1, -0x1.b27847eb82f93p-1, -0x1.aac13bed2bcc1p-1, -0x1.a3af4c588c7a1p-1, -0x1.9d329fbc6c2fap-1, -0x1.973c5df3dc62bp-1, -0x1.91beabff49113p-1, -0x1.8caca5dee1af5p-1, -0x1.87fa56e93a41cp-1, -0x1.839cb102c51a3p-1, -0x1.7f8983084c39cp-1, -0x1.7bb76eaf25e7cp-1, -0x1.781dde1132efcp-1, -0x1.74b4f91035ff7p-1, -0x1.71759ab37c247p-1, -0x1.6e59469bb83a2p-1, -0x1.6b5a1ea31d81ep-1, -0x1.6872d8baf31b3p-1, -0x1.659eb513f84fep-1, -0x1.62d9749bd1ab8p-1, -0x1.601f4fd71857p-1, -0x1.5d6cee1d34e45p-1, -0x1.5abf5d39200d8p-1, -0x1.58140970e73e6p-1, -0x1.5568b5f55dc67p-1, -0x1.52bb75ba9234ep-1, -0x1.500aa4b7a67e1p-1, -0x1.4d54e18a9d806p-1, -0x1.4a99077cf3919p-1, -0x1.47d628e8203e3p-1, -0x1.450b89fa77f9dp-1, -0x1.42389bd8fc9a5p-1, -0x1.3f5cf8172a7c7p-1, -0x1.3c785c7ae36cep-1, -0x1.398aa70cdf57fp-1, -0x1.3693d27562c35p-1, -0x1.3393f2aaa554bp-1, -0x1.308b31e72a0b9p-1, -0x1.2d79cdda24eb7p-1, -0x1.2a60150e36598p-1, -0x1.273e6479b63b9p-1, -0x1.241525505accp-1, -0x1.20e4cb086959ap-1, -0x1.1dadd19c7f98ep-1, -0x1.1a70bbf871b83p-1, -0x1.172e1282cfbc9p-1, -0x1.13e661c5198eep-1, -0x1.109a392c20685p-1, -0x1.0d4a29ec17de1p-1, -0x1.09f6c6093be7dp-1, -0x1.06a09f84b7a86p-1, -0x1.034847a819eb3p-1, -0x1.ffdc9cce3aa96p-2, -0x1.f92683a318cf6p-2, -0x1.f26f5b223df4p-2, -0x1.ebb834e6e42cbp-2, -0x1.e5021c0337ff5p-2, -0x1.de4e144f48cc1p-2, -0x1.d79d19d9edf46p-2, -0x1.d0f0207a6e33ep-2, -0x1.ca48137ee7fbep-2, -0x1.c3a5d5712afa3p-2, -0x1.bd0a3febfcd6p-2, -0x1.b676237ba4cdfp-2, -0x1.afea47866e451p-2, -0x1.a9676a3c2328fp-2, -0x1.a2ee408ca9bb1p-2, -0x1.9c7f7626e873ep-2, -0x1.961bad816330dp-2, -0x1.8fc37fed160f6p-2, -0x1.89777db2b205ep-2, -0x1.83382e397944ep-2, -0x1.7d061036209adp-2, -0x1.76e199dffe7c5p-2, -0x1.70cb392abcfap-2, -0x1.6ac35402aa69dp-2, -0x1.64ca488a778aap-2, -0x1.5ee06d597d1dap-2, -0x1.590611b9ef77cp-2, -0x1.533b7de6e6179p-2, -0x1.4d80f34a61795p-2, -0x1.47d6acbb5efd9p-2, -0x1.423cdebc3956ap-2, -0x1.3cb3b7b97ed4p-2, -0x1.373b604939264p-2, -0x1.31d3fb6a6fa0fp-2, -0x1.2c7da6c4b6aebp-2, -0x1.27387ae77e9e5p-2, -0x1.22048b88a5c2dp-2, -0x1.1ce1e7c201d05p-2, -0x1.17d09a4d8ce5ap-2, -0x1.12d0a9bff1a69p-2, -0x1.0de218c13b77ep-2, -0x1.0904e643931cfp-2, -0x1.04390db809797p-2, -0x1.fefd0e82bea14p-3, -0x1.f5aa8fc9a91e7p-3, -0x1.ec7a837252b37p-3, -0x1.e36cc827964d9p-3, -0x1.da813768995e6p-3, -0x1.d1b7a5dc919c9p-3, -0x1.c90fe3a33ad3fp-3, -0x1.c089bca2648e7p-3, -0x1.b824f8d093319p-3, -0x1.afe15c7c7fc89p-3, -0x1.a7bea891cd906p-3, -0x1.9fbc9adb0980fp-3, -0x1.97daee407ed63p-3, -0x1.90195b043c13ep-3, -0x1.887796fb9a525p-3, -0x1.80f555c59605dp-3, -0x1.799248fe63b0bp-3, -0x1.724e2070c632bp-3, -0x1.6b288a447c10ep-3, -0x1.64213329e988ap-3, -0x1.5d37c683e25edp-3, -0x1.566bee8f121dp-3, -0x1.4fbd5486aba7fp-3, -0x1.492ba0c75f45ep-3, -0x1.42b67af0b4fdp-3, -0x1.3c5d8a03deab6p-3, -0x1.36207480ae413p-3, -0x1.2ffee0817fb32p-3, -0x1.29f873d5446a7p-3, -0x1.240cd417648dbp-3, -0x1.1e3ba6c6a0528p-3, -0x1.1884915af31ap-3, -0x1.12e739597da7dp-3, -0x1.0d634466e648bp-3, -0x1.07f8585934271p-3, -0x1.02a61b488afd3p-3, -0x1.fad8673c3ac4bp-4, -0x1.f094904433b29p-4, -0x1.e6800012932bp-4, -0x1.dc9a060316722p-4, -0x1.d2e1f27981bc6p-4, -0x1.c95716f63c139p-4, -0x1.bff8c62a78e37p-4, -0x1.b6c6540a4fff6p-4, -0x1.adbf15dc3764ep-4, -0x1.a4e26247a2d9ap-4, -0x1.9c2f916372478p-4, -0x1.93a5fcc2a51fbp-4, -0x1.8b44ff7ecdc66p-4, -0x1.830bf641cebc9p-4, -0x1.7afa3f4fb558ap-4, -0x1.730f3a8f5a4bbp-4, -0x1.6b4a4990f3456p-4, -0x1.63aacf93e2048p-4, -0x1.5c30318ce565dp-4, -0x1.54d9d62baf482p-4, -0x1.4da725dea4e87p-4, -0x1.46978ad5915fap-4, -0x1.3faa7104c5606p-4, -0x1.38df462858079p-4, -0x1.323579c60eb12p-4, -0x1.2bac7d2dc9561p-4, -0x1.2543c379f6a84p-4, -0x1.1efac190bde89p-4, -0x1.18d0ee24bd6c9p-4, -0x1.12c5c1b440d69p-4, -0x1.0cd8b6879b0bfp-4, -0x1.070948b019392p-4, -0x1.0156f60799cb8p-4, -0x1.f7827c5edbbaap-5, -0x1.ec8f451b9e019p-5, -0x1.e1d34c95b8b8dp-5, -0x1.d74d9c9cc5efcp-5, -0x1.ccfd427c84814p-5, -0x1.c2e14ef842541p-5, -0x1.b8f8d643b501dp-5, -0x1.af42effb06125p-5, -0x1.a5beb71c6a565p-5, -0x1.9c6b4a0324b5bp-5, -0x1.9347ca61b967dp-5, -0x1.8a535d39d8686p-5, -0x1.818d2ad31faadp-5, -0x1.78f45eb2ef0a8p-5, -0x1.70882795efcfep-5, -0x1.6847b769b63ecp-5, -0x1.60324344af8f8p-5, -0x1.5847035c6e44dp-5, -0x1.508532fc1794bp-5, -0x1.48ec107c60822p-5, -0x1.417add3c99e38p-5, -0x1.3a30dd9b28fbfp-5, -0x1.330d58ec592a5p-5, -0x1.2c0f9970466f4p-5, -0x1.2536ec496484cp-5, -0x1.1e82a17470b67p-5, -0x1.17f20bc117844p-5, -0x1.118480c9e94b3p-5, -0x1.0b3958eafe36ep-5, -0x1.050fef37f85a6p-5, -0x1.fe0f42e552141p-6, -0x1.f23fa005c28dap-6, -0x1.e6afbbdde0a63p-6, -0x1.db5e61a745d2ep-6, -0x1.d04a61b682819p-6, -0x1.c5729167d93f9p-6, -0x1.bad5cb0cbccc3p-6, -0x1.b072eddb3a0bbp-6, -0x1.a648dddedd448p-6, -0x1.9c5683e9699e5p-6, -0x1.929acd821d15bp-6, -0x1.8914acd3aa67dp-6, -0x1.7fc3189a2ca93p-6, -0x1.76a50c1268688p-6, -0x1.6db986ea9579bp-6, -0x1.64ff8d33cf876p-6, -0x1.5c762752dfdep-6, -0x1.541c61efe54bap-6, -0x1.4bf14de55b8f2p-6, -0x1.43f4002f8a382p-6, -0x1.3c2391dd27bebp-6, -0x1.347f20010ad17p-6, -0x1.2d05cba4339a5p-6, -0x1.25b6b9b74bcb2p-6, -0x1.1e9113035009fp-6, -0x1.17940419fc253p-6, -0x1.10bebd468f3ddp-6, -0x1.0a10727f7f322p-6, -0x1.03885b58fa36fp-6, -0x1.fa4b65ef7f658p-7, -0x1.edcf700739d3ap-7, -0x1.e19b5932f4f75p-7, -0x1.d5adac7a3d29cp-7, -0x1.ca04fb966c68p-7, -0x1.be9fded7f54b6p-7, -0x1.b37cf50cfa27p-7, -0x1.a89ae368b19eap-7, -0x1.9df8556aaf17cp-7, -0x1.9393fcc5af51dp-7, -0x1.896c9145f4672p-7, -0x1.7f80d0b7c3947p-7, -0x1.75cf7ece9725ep-7, -0x1.6c57650d51fp-7, -0x1.631752af43145p-7, -0x1.5a0e1c9181068p-7, -0x1.513a9d1c48cbbp-7, -0x1.489bb42c08c77p-7, -0x1.403046fa6a215p-7, -0x1.37f74007907ccp-7, -0x1.2fef8f040173dp-7, -0x1.281828bb31dbfp-7, -0x1.207006fea9e8ep-7, -0x1.18f6289176b83p-7, -0x1.11a99113ae283p-7, -0x1.0a8948ede9891p-7, -0x1.03945d3cd329ap-7, -0x1.f993bf79ca054p-8, -0x1.ec51cd6d57e93p-8, -0x1.df6119d6d1cabp-8, -0x1.d2bfe3048a6edp-8, -0x1.c66c6feb866bap-8, -0x1.ba651002c68d4p-8, -0x1.aea81b1ebefc2p-8, -0x1.a333f14d13116p-8, -0x1.9806fab0a86cep-8, -0x1.8d1fa75e53bbp-8, -0x1.827c6f3a3cffdp-8, -0x1.781bd1d5f9b75p-8, -0x1.6dfc564f3b04p-8, -0x1.641c8b2f01916p-8, -0x1.5a7b06492ee88p-8, -0x1.5116649c597b5p-8, -0x1.47ed4a3209ac6p-8, -0x1.3efe61ff5be47p-8, -0x1.36485dc62198ep-8, -0x1.2dc9f5f69bba3p-8, -0x1.2581e991a721cp-8, -0x1.1d6efe0b7c7d7p-8, -0x1.158fff2ecdaecp-8, -0x1.0de3bf0052104p-8, -0x1.066915a2b6f01p-8, -0x1.fe3dc275b0c0cp-9, -0x1.f0080ba8f3a59p-9, -0x1.e22eda8eb06b6p-9, -0x1.d4b00e3959517p-9, -0x1.c78990ea371ebp-9, -0x1.bab957de0c4f2p-9, -0x1.ae3d631a8bed1p-9, -0x1.a213bd3c8d003p-9, -0x1.963a7b47243c4p-9, -0x1.8aafbc7387392p-9, -0x1.7f71aa01a72fbp-9, -0x1.747e770988de4p-9, -0x1.69d4604d415e4p-9, -0x1.5f71ac0b7e066p-9, -0x1.5554a9d2c3d2ap-9, -0x1.4b7bb254f64a8p-9, -0x1.41e5273be66dap-9, -0x1.388f72fe71bdap-9, -0x1.2f7908b6b1bfep-9, -0x1.26a063f90eed9p-9, -0x1.1e0408ac27dfbp-9, -0x1.15a282e180535p-9, -0x1.0d7a66ae82ef2p-9, -0x1.058a5005f4c04p-9, -0x1.fba1c5232ca09p-10, -0x1.ec999317bb00ep-10, -0x1.ddf96f34a42c2p-10, -0x1.cfbecd50fa6a1p-10, -0x1.c1e72f878a957p-10, -0x1.b47025f116d53p-10, -0x1.a7574e609ce0fp-10, -0x1.9a9a5421b6739p-10, -0x1.8e36efb7f3b0fp-10, -0x1.822ae69ef4f2bp-10, -0x1.76740b0a4c499p-10, -0x1.6b103ba4fe2b1p-10, -0x1.5ffd63510d613p-10, -0x1.553978e7592bp-10, -0x1.4ac27ef87c122p-10, -0x1.4096838fd811ap-10, -0x1.36b39ff8c28cap-10, -0x1.2d17f8862c671p-10, -0x1.23c1bc5c656c8p-10, -0x1.1aaf253c383dcp-10, -0x1.11de774ed0e7dp-10, -0x1.094e00f1c9c2ap-10, -0x1.00fc1a8345b5dp-10, -0x1.f1ce4c5b64aa4p-11, -0x1.e21b1f6772c6p-11, -0x1.d2db987925a1cp-11, -0x1.c40cb44213fb3p-11, -0x1.b5ab8172253bdp-11, -0x1.a7b520549297cp-11, -0x1.9a26c26ed6e45p-11, -0x1.8cfdaa21b9f7p-11, -0x1.80372a4e36fb4p-11, -0x1.73d0a5fee5f45p-11, -0x1.67c79016febe2p-11, -0x1.5c196b076c727p-11, -0x1.50c3c88830dc6p-11, -0x1.45c44954244e2p-11, -0x1.3b189ce29a62p-11, -0x1.30be811af90b4p-11, -0x1.26b3c1ff57b76p-11, -0x1.1cf6394d21f77p-11, -0x1.1383ce16ad922p-11, -0x1.0a5a745a9b61dp-11, -0x1.01782ca24f5f9p-11, -0x1.f1b6075cc2e1ep-12, -0x1.e1022470b56e4p-12, -0x1.d0d0f9958f7a8p-12, -0x1.c11ee757c9832p-12, -0x1.b1e865a3dcd5dp-12, -0x1.a32a03a79ebf9p-12, -0x1.94e067919638p-12, -0x1.87084e187e467p-12, -0x1.799e89c14bc0ep-12, -0x1.6ca001eaf8948p-12, -0x1.6009b1b6db65fp-12, -0x1.53d8a6f29fc79p-12, -0x1.480a012c026e4p-12, -0x1.3c9af1138f10bp-12, -0x1.3188b840e5553p-12, -0x1.26d0a956a6851p-12, -0x1.1c702869903f2p-12, -0x1.1264ab7e8200dp-12, -0x1.08abbaeaa5d33p-12, -0x1.fe85e2d18b9dap-13, -0x1.ec4ff78a9fd9p-13, -0x1.dab130314522dp-13, -0x1.c9a5293bfef49p-13, -0x1.b9279c9407372p-13, -0x1.a9345ead301a2p-13, -0x1.99c75c035f1c1p-13, -0x1.8adc9777af3bbp-13, -0x1.7c7029da2977ap-13, -0x1.6e7e42a582524p-13, -0x1.610329a0bc5f4p-13, -0x1.53fb40d8c8ecbp-13, -0x1.47630654627e6p-13, -0x1.3b3715070a52ap-13, -0x1.2f7424c9dbd14p-13, -0x1.241709604887fp-13, -0x1.191cb0aff9897p-13, -0x1.0e82205de205ep-13, -0x1.0444730416c3ap-13, -0x1.f4c1aa95c46b1p-14, -0x1.e1a906a8419bbp-14, -0x1.cf398e088f24ap-14, -0x1.bd6def3b2ec53p-14, -0x1.ac40f58efc52cp-14, -0x1.9bad8d3c45d41p-14, -0x1.8baec804fbedep-14, -0x1.7c3fe0adf8816p-14, -0x1.6d5c3c5a17f44p-14, -0x1.5eff69d272c96p-14, -0x1.51251f8da8996p-14, -0x1.43c9395a0929dp-14, -0x1.36e7b60f83eecp-14, -0x1.2a7cb50630b0bp-14, -0x1.1e8472da06023p-14, -0x1.12fb4567644c5p-14, -0x1.07dd97bc9a2d1p-14, -0x1.fa4fce940719p-15, -0x1.e5ad86dc2a9d1p-15, -0x1.d1cd9ef6e4b39p-15, -0x1.bea98c33e2bd2p-15, -0x1.ac3af87a0c85bp-15, -0x1.9a7bc495d541cp-15, -0x1.896606753cc01p-15, -0x1.78f4052875c7bp-15, -0x1.692035608cae9p-15, -0x1.59e5381f4cd1ap-15, -0x1.4b3ddb708e9dcp-15, -0x1.3d251b6faa423p-15, -0x1.2f9621a41edddp-15, -0x1.228c41dd64824p-15, -0x1.1602f5647411fp-15, -0x1.09f5d6763df64p-15, -0x1.fcc13b86cc4e9p-16, -0x1.e67e449befe92p-16, -0x1.d11ab4e4405eep-16, -0x1.bc8eb895c4975p-16, -0x1.a8d2b8b001c0dp-16, -0x1.95df556f36d81p-16, -0x1.83ad60abaa828p-16, -0x1.7235db2293b54p-16, -0x1.6171f5c121c33p-16, -0x1.515b158739577p-16, -0x1.41ead755f19d1p-16, -0x1.331b11d77fc31p-16, -0x1.24e5d5ccdd83cp-16, -0x1.17456e61e112p-16, -0x1.0a34624b71427p-16, -0x1.fb5ae8e9888cbp-17, -0x1.e35743954febp-17, -0x1.cc5435b460f86p-17, -0x1.b6487569a1773p-17, -0x1.a12afcd88e812p-17, -0x1.8cf2ff279b609p-17, -0x1.7997e3701485p-17, -0x1.6711431caae53p-17, -0x1.5556eaeb6cc7ep-17, -0x1.4460df496c862p-17, -0x1.3427620f6e5fp-17, -0x1.24a2f4d1e1398p-17, -0x1.15cc55d9c20bp-17, -0x1.079c7d4665ee7p-17, -0x1.f419451aa8edep-18, -0x1.da2c96de05ca9p-18, -0x1.c166b429e211ap-18, -0x1.a9bc1974fc9d4p-18, -0x1.9321d5be7a0f6p-18, -0x1.7d8d5608b6155p-18, -0x1.68f444a9a84a5p-18, -0x1.554c8c76a1621p-18, -0x1.428c70006ed49p-18, -0x1.30aa97aacdb5cp-18, -0x1.1f9e092ca7e26p-18, -0x1.0f5e12b49e47dp-18, -0x1.ffc474e972f88p-19, -0x1.e2446fd4cda82p-19, -0x1.c62be422231c9p-19, -0x1.ab6b0305c33ebp-19, -0x1.91f27e24659a1p-19, -0x1.79b3c6dc134acp-19, -0x1.62a1508a23ccap-19, -0x1.4cae9a51919a9p-19, -0x1.37cfe2d6c74cbp-19, -0x1.23f9af999ce8p-19, -0x1.11207d5591332p-19, -0x1.fe719b6b7fe27p-20, -0x1.dc6eed246ed56p-20, -0x1.bc23d269dc85dp-20, -0x1.9d7c8955de35dp-20, -0x1.80667e922d036p-20, -0x1.64d01102d1a83p-20, -0x1.4aa862ebe634dp-20, -0x1.31df2ad029dfep-20, -0x1.1a647467eadffp-20, -0x1.042866246776p-20, -0x1.de36906287914p-21, -0x1.b65bf74edd515p-21, -0x1.90a55aa9236a6p-21, -0x1.6cfa5d07cb7f3p-21, -0x1.4b451024cf1cdp-21, -0x1.2b7015800bc4p-21, -0x1.0d653a4d80d74p-21, -0x1.e21b23d0a3c6dp-22, -0x1.aca5445c6e7d4p-22, -0x1.7a3ec953ac69cp-22, -0x1.4ac0db0eaa221p-22, -0x1.1e070674a0f4ap-22, -0x1.e7dcb1f5cf751p-23, -0x1.98a9a4f9129d4p-23, -0x1.4e329fb678943p-23, -0x1.08380a71f64e9p-23, -0x1.8cfca5fedcbaap-24, -0x1.119c4ad9c0db9p-24, -0x1.3bcc328beef09p-25, -0x1.8ba332fcdef2bp-27, 0x1.a0cc60aab4fd5p-27, 0x1.26373d64a22d5p-25, 0x1.d7c1a09729847p-25, 0x1.3eb4aacdad8e1p-24, 0x1.8be43b939f1c6p-24, 0x1.d3bd559d2eb7p-24, 0x1.0b4531112229p-23, 0x1.2a4842be23b9ep-23, 0x1.470877568d2bep-23, 0x1.61a4d68aef766p-23, 0x1.7a3a8541d3617p-23, 0x1.90e4ba217b58ep-23, 0x1.a5bd58e4d5eabp-23, 0x1.b8ddae2215c77p-23, 0x1.ca5ebb7ee962bp-23, 0x1.da58d98bb7284p-23, 0x1.e8e2f8e8ab08fp-23, 0x1.f6121ef55e35ep-23, 0x1.00fcaecb679b7p-22, 0x1.0654ff8ad72bbp-22, 0x1.0b19eac58f606p-22, 0x1.0f5300a296d96p-22, 0x1.1307dcecb5d08p-22, 0x1.163ff81185b2dp-22, 0x1.190208272d7d1p-22, 0x1.1b53dc0dbaff6p-22, 0x1.1d3af1f82f281p-22, 0x1.1ebcec80366abp-22, 0x1.1fdf655caee4dp-22, 0x1.20a79febe89a4p-22, 0x1.211a77d623417p-22, 0x1.213c61e074a83p-22, 0x1.2111710e47ca8p-22, 0x1.209d6e768f65ap-22, 0x1.1fe3f4dd840bcp-22, 0x1.1ee8779ae7811p-22, 0x1.1dae34d3132b3p-22, 0x1.1c382901713a7p-22, 0x1.1a89172ca351fp-22, 0x1.18a39cc61849ap-22, 0x1.168a3b6e4e3afp-22, 0x1.143f590228126p-22, 0x1.11c53c314d3c8p-22, 0x1.0f1df993cf3b8p-22, 0x1.0c4b64e05fb1ep-22, 0x1.094f2469024b2p-22, 0x1.062ac9957001ap-22, 0x1.02dfceca683adp-22, 0x1.fedf2a7c1af31p-23, 0x1.f7b6dfb585c19p-23, 0x1.f0494318c02cfp-23, 0x1.e898a621205d3p-23, 0x1.e0a7242039758p-23, 0x1.d876a1e057649p-23, 0x1.d008c5b59c2b8p-23, 0x1.c75f06348ded3p-23, 0x1.be7ae058bb34dp-23, 0x1.b55e114f4749cp-23, 0x1.ac0a8a18194cbp-23, 0x1.a28202a37c6d8p-23, 0x1.98c5953be93fp-23, 0x1.8ed5e0364eb97p-23, 0x1.84b364bb920b2p-23, 0x1.7a5ecdb1a6e82p-23, 0x1.6fd9537f873a6p-23, 0x1.6524921a42225p-23, 0x1.5a41c0bb3b753p-23, 0x1.4f31a279f349p-23, 0x1.43f4fe14da5c4p-23, 0x1.388c81d52aa1ep-23, 0x1.2cf8894bc44c5p-23, 0x1.21396077ca308p-23, 0x1.154fa7cbdbc07p-23, 0x1.093c65b21a92p-23, 0x1.fa015ce9ac9c1p-24, 0x1.e13a9ba189471p-24, 0x1.c825aa9c40bd7p-24, 0x1.aec3ad1b4fc1dp-24, 0x1.951606cf405f6p-24, 0x1.7b1e8f9c858a7p-24, 0x1.60df6db976ffp-24, 0x1.465a32229be1p-24, 0x1.2b8f345596748p-24, 0x1.107e7956b1a09p-24, 0x1.ea51a4c453f15p-25, 0x1.b31ffa961fccdp-25, 0x1.7b6da5d80b455p-25, 0x1.433f8bb91bf8ap-25, 0x1.0a975654441cfp-25, 0x1.a2ef48203f8b1p-26, 0x1.2fc98c1df3afbp-26, 0x1.77880db324d18p-27, 0x1.1b91ebd38da2bp-28, -0x1.7672bd38c4976p-29, -0x1.4a9acd98dd536p-27, -0x1.1c9262a2a07ccp-26, -0x1.9497de061ce11p-26, -0x1.06ac52b99829ep-25, -0x1.4367546369a75p-25, -0x1.8078a394b5214p-25, -0x1.bddaba34e4f76p-25, -0x1.fb88b69c6b683p-25, -0x1.1cbf7de8632a6p-24, -0x1.3bdcc3497b228p-24, -0x1.5b1a22f9235c5p-24, -0x1.7a7671fe2fabep-24, -0x1.99f05e5525271p-24, -0x1.b9857e379ebffp-24, -0x1.d93383bba7b31p-24, -0x1.f8f81689c0cefp-24, -0x1.0c68a486968e6p-23, -0x1.1c5e96e6e2bc4p-23, -0x1.2c5c60e9e399ep-23, -0x1.3c60d58fd4808p-23, -0x1.4c6afad109393p-23, -0x1.5c79c2876700cp-23, -0x1.6c8c1dbd0747cp-23, -0x1.7ca103e296c4p-23, -0x1.8cb76946a9013p-23, -0x1.9cce33ef2ffdap-23, -0x1.ace434dab08b9p-23, }}, 
      {{-0x1.b9162a38168c2p-12, -0x1.8950d87e6f7e8p-10, -0x1.716e9318e1a9dp-9, -0x1.fd12bc32dd2efp-9, -0x1.157868fa0ce6fp-8, -0x1.c8d3fb87581dbp-9, -0x1.63715f5af0b87p-10, 0x1.31d19cef46e01p-9, 0x1.f651f3cda4346p-8, 0x1.dfac159224fbap-7, 0x1.7bdf6f4b0bb14p-6, 0x1.0fd9c9da3f327p-5, 0x1.6c59acbadffd1p-5, 0x1.d1e93bf16a398p-5, 0x1.1f7119ee24772p-4, 0x1.58c85148d2b23p-4, 0x1.9420cf9c45372p-4, 0x1.d0a75a09f5b19p-4, 0x1.06c999ed509efp-3, 0x1.2514962d284d6p-3, 0x1.42ded34a14763p-3, 0x1.5fdae43047222p-3, 0x1.7bc3fdac7ab87p-3, 0x1.965df374f918dp-3, 0x1.af7502f234898p-3, 0x1.c6dd7a18a12d4p-3, 0x1.dc7345da62c87p-3, 0x1.f019713a1bb55p-3, 0x1.00dccdf8209fcp-2, 0x1.08a1b6f29cc2ap-2, 0x1.0f5605b52e05p-2, 0x1.14f6c68308138p-2, 0x1.19833e630ebc8p-2, 0x1.1cfcad2bf9225p-2, 0x1.1f66134dfd904p-2, 0x1.20c3fb806e3a5p-2, 0x1.211c4854160c3p-2, 0x1.20760591ade57p-2, 0x1.1ed93d3c3baafp-2, 0x1.1c4ed007a167cp-2, 0x1.18e0511119205p-2, 0x1.1497e4a852e8dp-2, 0x1.0f8021f9fe874p-2, 0x1.09a3f76f2278bp-2, 0x1.030e9196e6b79p-2, 0x1.f79688e5a6989p-3, 0x1.e7caedfec09cbp-3, 0x1.d6d121a9164cap-3, 0x1.c4bfd3780c06bp-3, 0x1.b1ad7638ff12dp-3, 0x1.9db026361e651p-3, 0x1.88dd92aac2a89p-3, 0x1.734aea31fae78p-3, 0x1.5d0cc9f962193p-3, 0x1.46372f87b51cep-3, 0x1.2edd6ce98e11ep-3, 0x1.17121f0b74b69p-3, 0x1.fdce4c5dc74f9p-4, 0x1.ccdb402d65e3bp-4, 0x1.9b6bc8526a0acp-4, 0x1.699f018c2883bp-4, 0x1.3792751310c5ap-4, 0x1.0562188d71e8bp-4, 0x1.a650a233b12dep-5, 0x1.41fbefd33598ap-5, 0x1.bbe981b1a0161p-6, 0x1.e99b03a035d3bp-7, 0x1.77ab6c561c1aep-9, -0x1.2aa5c5ab7b9d5p-7, -0x1.57c4f2d529c47p-6, -0x1.0c0fdd80cca57p-5, -0x1.6b138df85c346p-5, -0x1.c8d20163775bfp-5, -0x1.1298fe2773db9p-4, -0x1.400e3b445c0cfp-4, -0x1.6cbe4f3b0e891p-4, -0x1.989fc691ff57fp-4, -0x1.c3aa30458e663p-4, -0x1.edd5ff203c21ap-4, -0x1.0b8e41bbd1384p-3, -0x1.1fbbf03d08aeep-3, -0x1.33717d104c244p-3, -0x1.46acb75c96e4cp-3, -0x1.596bc4a23d528p-3, -0x1.6bad1c9a0b3b3p-3, -0x1.7d6f845660aa6p-3, -0x1.8eb209f969611p-3, -0x1.9f74007073cc6p-3, -0x1.afb4fb27c98efp-3, -0x1.bf74c9fd00379p-3, -0x1.ceb3755198eedp-3, -0x1.dd713a635aefep-3, -0x1.ebae87e6f84e2p-3, -0x1.f96bfaec5846bp-3, -0x1.03552df65a167p-2, -0x1.09b54e0061694p-2, -0x1.0fd6e91356df6p-2, -0x1.15ba9c41db3dap-2, -0x1.1b6114d573933p-2, -0x1.20cb0eed935c2p-2, -0x1.25f9541f0d1dp-2, -0x1.2aecba1d42e3p-2, -0x1.2fa6216b1aafp-2, -0x1.3426741bfb21fp-2, -0x1.386ea4aa45adcp-2, -0x1.3c7facdf2d002p-2, -0x1.405a8ccfd2d89p-2, -0x1.440049f01fa4p-2, -0x1.4771ee34ac7fep-2, -0x1.4ab087446eb08p-2, -0x1.4dbd25b97b369p-2, -0x1.5098dc6b5f2f7p-2, -0x1.5344bfc30352cp-2, -0x1.55c1e519e0deap-2, -0x1.5811622117e6cp-2, -0x1.5a344c5148331p-2, -0x1.5c2bb86555f56p-2, -0x1.5df8b9df6fb11p-2, -0x1.5f9c6297d3959p-2, -0x1.6117c25685868p-2, -0x1.626be6791ab9ap-2, -0x1.6399d9a172fedp-2, -0x1.64a2a36eadf3p-2, -0x1.658748404e7bp-2, -0x1.6648c900d5a2ap-2, -0x1.66e822f897b56p-2, -0x1.67664fa69e54ap-2, -0x1.67c4449ffa10bp-2, -0x1.6802f37493d18p-2, -0x1.682349969a504p-2, -0x1.6826304795343p-2, -0x1.680c8c88be02dp-2, -0x1.67d73f0cb01cfp-2, -0x1.6787242e1d66fp-2, -0x1.671d13e83425ap-2, -0x1.6699e1d0e35ep-2, -0x1.65fe5d17e0246p-2, -0x1.654b5085fe7ccp-2, -0x1.6481827ee6f56p-2, -0x1.63a1b507eb50ep-2, -0x1.62aca5ce025dp-2, -0x1.61a30e2da9c5ap-2, -0x1.6085a3401c9e3p-2, -0x1.5f5515e7245bfp-2, -0x1.5e1212d9b25cbp-2, -0x1.5cbd42b5d9235p-2, -0x1.5b574a10e9456p-2, -0x1.59e0c986b7483p-2, -0x1.585a5dceb1cap-2, -0x1.56c49fcf94c01p-2, -0x1.552024af5591fp-2, -0x1.536d7de8ab9cfp-2, -0x1.51ad396214443p-2, -0x1.4fdfe17e4dfc3p-2, -0x1.4e05fd2f5574p-2, -0x1.4c20100f295e3p-2, -0x1.4a2e9a7299dc9p-2, -0x1.483219787156p-2, -0x1.462b07202f145p-2, -0x1.4419da60f789cp-2, -0x1.41ff0737b4d47p-2, -0x1.3fdafeb753c6cp-2, -0x1.3dae2f20c9413p-2, -0x1.3b7903f6045cp-2, -0x1.393be60566fb3p-2, -0x1.36f73b7b39c7fp-2, -0x1.34ab67f89f8a5p-2, -0x1.3258cca2d5bf3p-2, -0x1.2fffc82d64a3p-2, -0x1.2da0b6ebad8ebp-2, -0x1.2b3bf2e5c07aep-2, -0x1.28d1d3e4e1bbbp-2, -0x1.2662af7caf868p-2, -0x1.23eed91badb3dp-2, -0x1.2176a21de1456p-2, -0x1.1efa59d753909p-2, -0x1.1c7a4d9be0469p-2, -0x1.19f6c8ce31defp-2, -0x1.177014f0a0e9ep-2, -0x1.14e679ae1d546p-2, -0x1.125a3cdfd2498p-2, -0x1.0fcba29a2bea1p-2, -0x1.0d3aed3d58811p-2, -0x1.0aa85d7da81f1p-2, -0x1.08143265de56dp-2, -0x1.057ea9606c6ep-2, -0x1.02e7fe487a07p-2, -0x1.00506b750e8a2p-2, -0x1.fb7053723d8fep-3, -0x1.f63ee0cada7a9p-3, -0x1.f10ceaad8048p-3, -0x1.ebdada0dea369p-3, -0x1.e6a91523236e7p-3, -0x1.e177ff5d89fbbp-3, -0x1.dc47f96d2bd75p-3, -0x1.d71961647d98ep-3, -0x1.d1ec92d8f897cp-3, -0x1.ccc1e6e3d2c2p-3, -0x1.c799b4112a48bp-3, -0x1.c2744e6529853p-3, -0x1.bd520780ff91dp-3, -0x1.b8332ec5bf715p-3, -0x1.b31811549a1cep-3, -0x1.ae00f9f87857dp-3, -0x1.a8ee3122a3b49p-3, -0x1.a3dffd0c05ae4p-3, -0x1.9ed6a1de442f3p-3, -0x1.99d261bdacff5p-3, -0x1.94d37cb26b519p-3, -0x1.8fda3096be072p-3, -0x1.8ae6b929ec7d1p-3, -0x1.85f9503c37dfbp-3, -0x1.81122dcb49ee4p-3, -0x1.7c3187f85339cp-3, -0x1.775792ebf7db4p-3, -0x1.728480cfe0d2cp-3, -0x1.6db881eda25bp-3, -0x1.68f3c4d9de86dp-3, -0x1.64367686482abp-3, -0x1.5f80c2300439ap-3, -0x1.5ad2d144a0202p-3, -0x1.562ccb60bab7cp-3, -0x1.518ed670c4b6fp-3, -0x1.4cf916d9e086p-3, -0x1.486baf8a06a66p-3, -0x1.43e6c1e774393p-3, -0x1.3f6a6db67f034p-3, -0x1.3af6d1152335dp-3, -0x1.368c089651b04p-3, -0x1.322a2f6946a5ap-3, -0x1.2dd15f6f31c9ep-3, -0x1.2981b132ca65fp-3, -0x1.253b3bd017db2p-3, -0x1.20fe14e7b6af5p-3, -0x1.1cca50ade1b87p-3, -0x1.18a0020cf4e88p-3, -0x1.147f3ac30c69ep-3, -0x1.10680b68062e1p-3, -0x1.0c5a835d8277bp-3, -0x1.0856b0bbc3f2dp-3, -0x1.045ca04fd2141p-3, -0x1.006c5db0a7e32p-3, -0x1.f90be6bd07b8bp-4, -0x1.f152d5b1079a2p-4, -0x1.e9ad993b130dap-4, -0x1.e21c403b59b1bp-4, -0x1.da9ed75841886p-4, -0x1.d3356900a478cp-4, -0x1.cbdffd920ad77p-4, -0x1.c49e9b8dca292p-4, -0x1.bd7147bea318fp-4, -0x1.b658053e4b668p-4, -0x1.af52d5616cd05p-4, -0x1.a861b7a0eb571p-4, -0x1.a184a99788122p-4, -0x1.9abba71c11912p-4, -0x1.9406aa6c4453ep-4, -0x1.8d65ac521e83ep-4, -0x1.86d8a433825ap-4, -0x1.805f880b102e3p-4, -0x1.79fa4c571193bp-4, -0x1.73a8e41022ebep-4, -0x1.6d6b40b39e061p-4, -0x1.674152607d2c4p-4, -0x1.612b07f9dce13p-4, -0x1.5b284f4028988p-4, -0x1.553914d938b45p-4, -0x1.4f5d444a1715ap-4, -0x1.4994c7ec81a9cp-4, -0x1.43df88ebf160bp-4, -0x1.3e3d6f50f3b3dp-4, -0x1.38ae6218bd1e2p-4, -0x1.3332474fc11cep-4, -0x1.2dc904259995bp-4, -0x1.28727cf56429p-4, -0x1.232e954411f46p-4, -0x1.1dfd2fbace839p-4, -0x1.18de2e252aa13p-4, -0x1.13d17178732f8p-4, -0x1.0ed6d9e41214p-4, -0x1.09ee46e5cc2cp-4, -0x1.0517975b52bddp-4, -0x1.0052a98cfce84p-4, -0x1.f73eb6625b244p-5, -0x1.edfb12d608906p-5, -0x1.e4da219187633p-5, -0x1.dbdb9a8cf5d08p-5, -0x1.d2ff34ae09a25p-5, -0x1.ca44a5e3bb8a1p-5, -0x1.c1aba343ced76p-5, -0x1.b933e122e7e2p-5, -0x1.b0dd1323a618dp-5, -0x1.a8a6ec3d232cp-5, -0x1.a0911ebbf76a9p-5, -0x1.989b5c4310bc1p-5, -0x1.90c555d1c94bap-5, -0x1.890ebbd1e38a9p-5, -0x1.81773e2baa3c7p-5, -0x1.79fe8c5b483f2p-5, -0x1.72a455832201fp-5, -0x1.6b6848790f507p-5, -0x1.644a13ce4e08cp-5, -0x1.5d4965d3635cbp-5, -0x1.5665ec9a64efdp-5, -0x1.4f9f55fb10a15p-5, -0x1.48f54f9b254bcp-5, -0x1.426786fb60bf4p-5, -0x1.3bf5a986b1098p-5, -0x1.359f64a098433p-5, -0x1.2f6465b124117p-5, -0x1.29445a2dcc17cp-5, -0x1.233eef9f613b3p-5, -0x1.1d53d3a5aa47bp-5, -0x1.1782b3fa0dcf2p-5, -0x1.11cb3e7355dd1p-5, -0x1.0c2d210c15175p-5, -0x1.06a809ebd07c1p-5, -0x1.013ba77172736p-5, -0x1.f7cf507ac9b7fp-6, -0x1.ed57767490e06p-6, -0x1.e30f1f480f6c9p-6, -0x1.d8f5aa1a449bcp-6, -0x1.cf0a76c47e0ddp-6, -0x1.c54ce5d8cc70cp-6, -0x1.bbbc58a6187a7p-6, -0x1.b258313e0d3ebp-6, -0x1.a91fd27e75a57p-6, -0x1.a012a01d0b75ap-6, -0x1.972ffeb47f83bp-6, -0x1.8e7753d141231p-6, -0x1.85e805fda0edap-6, -0x1.7d817ccd34d8ap-6, -0x1.754320e68f099p-6, -0x1.6d2c5c0a7cc15p-6, -0x1.653c991876d15p-6, -0x1.5d7344106f395p-6, -0x1.55cfca130b8fep-6, -0x1.4e5199617b7dbp-6, -0x1.46f8215d46132p-6, -0x1.3fc2d28961257p-6, -0x1.38b11e8dcea83p-6, -0x1.31c2783fad4bbp-6, -0x1.2af653ae97392p-6, -0x1.244c263671f7fp-6, -0x1.1dc36692afc23p-6, -0x1.175b8ceeb0167p-6, -0x1.111412eea0a0fp-6, -0x1.0aec73adad80ap-6, -0x1.04e42bafecfdbp-6, -0x1.fdf57194588bfp-7, -0x1.f25f340953b71p-7, -0x1.e7049f01304a6p-7, -0x1.dbe4b4d43c82bp-7, -0x1.d0fe79fd23cp-7, -0x1.c650f5552c894p-7, -0x1.bbdb3079a2649p-7, -0x1.b19c384646e4dp-7, -0x1.a7931d45e0418p-7, -0x1.9dbef3f718eeap-7, -0x1.941ed4c9fdd91p-7, -0x1.8ab1dbc9cc2bcp-7, -0x1.817727fb80571p-7, -0x1.786dda90b3479p-7, -0x1.6f95161f903f6p-7, -0x1.66ebfe183e533p-7, -0x1.5e71b6a8bc0f9p-7, -0x1.56256528ec054p-7, -0x1.4e06310771882p-7, -0x1.4613450b5f655p-7, -0x1.3e4bd0a0b8bc6p-7, -0x1.36af08d8c836bp-7, -0x1.2f3c28cfea478p-7, -0x1.27f271486b1a3p-7, -0x1.20d127787aff8p-7, -0x1.19d7933e09b63p-7, -0x1.1304fd18c9063p-7, -0x1.0c58ac64cec49p-7, -0x1.05d1e64f3aa32p-7, -0x1.fedfdbb8e44e2p-8, -0x1.f2640a3943c96p-8, -0x1.e62edec5e36d7p-8, -0x1.da3ee81cf9e0ep-8, -0x1.ce92c28d58fe9p-8, -0x1.c3291c009d89bp-8, -0x1.b800b57d7c08fp-8, -0x1.ad18618ad5212p-8, -0x1.a26eff8b816cfp-8, -0x1.980374e4188cbp-8, -0x1.8dd4a54e87334p-8, -0x1.83e16c0cd2fd6p-8, -0x1.7a28979670c16p-8, -0x1.70a8e8e54b781p-8, -0x1.676116c2bb397p-8, -0x1.5e4fd49424e4ep-8, -0x1.5573db561a68dp-8, -0x1.4ccbf2eea8592p-8, -0x1.4456f9d63ff21p-8, -0x1.3c13e95de72c2p-8, -0x1.3401d57bc293dp-8, -0x1.2c1fe7eda02b4p-8, -0x1.246d577ec1b29p-8, -0x1.1ce95d1d801b7p-8, -0x1.159328fc83c2ap-8, -0x1.0e69da0c26a7cp-8, -0x1.076c79a2951b6p-8, -0x1.0099fc4409b7cp-8, -0x1.f3e28ec5b3fa2p-9, -0x1.e6e275d5225dp-9, -0x1.da317967813eap-9, -0x1.cdcd87603195bp-9, -0x1.c1b4c171d8662p-9, -0x1.b5e586affdec2p-9, -0x1.aa5e732bade6bp-9, -0x1.9f1e557822aaep-9, -0x1.94241be494985p-9, -0x1.896ebcf8a997bp-9, -0x1.7efd1fe0c23c1p-9, -0x1.74ce098f2afdbp-9, -0x1.6ae0124150198p-9, -0x1.6131a51c5d4b9p-9, -0x1.57c1094eec022p-9, -0x1.4e8c724b2c2eap-9, -0x1.459213a49c332p-9, -0x1.3cd034df5a9d8p-9, -0x1.344541da9b9a9p-9, -0x1.2befd545feb87p-9, -0x1.23cebbb790ecbp-9, -0x1.1be0ef5a84fc1p-9, -0x1.14258d7d034c6p-9, -0x1.0c9bc829aa849p-9, -0x1.0542d65dacb4cp-9, -0x1.fc33cacb39b4bp-10, -0x1.ee401b3836203p-10, -0x1.e0a8986284212p-10, -0x1.d36b059e24125p-10, -0x1.c684fa0469c41p-10, -0x1.b9f3f4ae3847fp-10, -0x1.adb57649a0775p-10, -0x1.a1c71a1d47cf1p-10, -0x1.9626a7d1235e3p-10, -0x1.8ad219115ec36p-10, -0x1.7fc792c767cd4p-10, -0x1.7505572f7decbp-10, -0x1.6a89b91eba93bp-10, -0x1.605316e4850cfp-10, -0x1.565fdd586ad5fp-10, -0x1.4cae8db648b3dp-10, -0x1.433dbefc0762fp-10, -0x1.3a0c16bec727cp-10, -0x1.31183baa135ebp-10, -0x1.2860c8f7bbec9p-10, -0x1.1fe44abf28b3p-10, -0x1.17a14650ecbaap-10, -0x1.0f964a656bf9p-10, -0x1.07c1fd4084f4p-10, -0x1.00231ec26f588p-10, -0x1.f170f51abcba8p-11, -0x1.e301a009460e4p-11, -0x1.d4f57ab2972a5p-11, -0x1.c74975d08267ap-11, -0x1.b9fa57908f383p-11, -0x1.ad04f88a18594p-11, -0x1.a0667de8058a5p-11, -0x1.941c74f9828f8p-11, -0x1.8824c89fb3455p-11, -0x1.7c7da0a8f6491p-11, -0x1.7125454d958cbp-11, -0x1.661a170b8617dp-11, -0x1.5b5a96ceb694cp-11, -0x1.50e56cc6c29a7p-11, -0x1.46b95e5317ec2p-11, -0x1.3cd52f9fe6f5ap-11, -0x1.333779d488177p-11, -0x1.29de8635a867bp-11, -0x1.20c8405be4ed3p-11, -0x1.17f24bb895f52p-11, -0x1.0f5a39844a49ep-11, -0x1.06fdc887b41e7p-11, -0x1.fdb6184db0f24p-12, -0x1.ede0c337e3752p-12, -0x1.de7875b0f6adbp-12, -0x1.cf79d31f5c05ep-12, -0x1.c0e134fc49773p-12, -0x1.b2ab1afec0df4p-12, -0x1.a4d4cb936bc22p-12, -0x1.975cb1b6bb59ap-12, -0x1.8a42319f3e19ep-12, -0x1.7d8504101e7aap-12, -0x1.71246b04172cfp-12, -0x1.651e9f8f56d9cp-12, -0x1.5970b19c79cf6p-12, -0x1.4e16d8c1fc195p-12, -0x1.430d10e1b163bp-12, -0x1.384fcf0b7d633p-12, -0x1.2ddc8df662c25p-12, -0x1.23b1ebc9a017ap-12, -0x1.19cf37b11317cp-12, -0x1.1033a2d5f86eep-12, -0x1.06dd91a7f68adp-12, -0x1.fb94f2360108p-13, -0x1.e9ee984b5c7f8p-13, -0x1.d8c2488878753p-13, -0x1.c80b92a6f60f1p-13, -0x1.b7c7caafdc9f3p-13, -0x1.a7f5adf6b3528p-13, -0x1.98947f04d6afcp-13, -0x1.89a312f993c24p-13, -0x1.7b1f2ddaf846ap-13, -0x1.6d0541762c31dp-13, -0x1.5f5094afa52dfp-13, -0x1.51fbeae01f084p-13, -0x1.450293851b49p-13, -0x1.386168c2b0f4dp-13, -0x1.2c171c52b3933p-13, -0x1.202388154706bp-13, -0x1.148668f630b66p-13, -0x1.093e69c972732p-13, -0x1.fc9227a8c66f3p-14, -0x1.e746e26f7e1d1p-14, -0x1.d295a6f65681p-14, -0x1.be7a8943560a5p-14, -0x1.aaf292bbd71fbp-14, -0x1.97fa35a77c4fcp-14, -0x1.858c46761ec7dp-14, -0x1.73a29bfcaf7f9p-14, -0x1.6237a791af11cp-14, -0x1.51477ba64758fp-14, -0x1.40cf7a88f510ep-14, -0x1.30cd3138e974cp-14, -0x1.213d7725d39e8p-14, -0x1.121c693eee3d2p-14, -0x1.036613445bad4p-14, -0x1.ea2e9d864a7c8p-15, -0x1.ce5c7f37477b2p-15, -0x1.b353ec94e24d3p-15, -0x1.9912bcb7e8ab3p-15, -0x1.7f9494c6311a8p-15, -0x1.66d34b2d40cfcp-15, -0x1.4ec9603d0c7afp-15, -0x1.37732ac2f7796p-15, -0x1.20cd388c08aa1p-15, -0x1.0ad2ae304dda3p-15, -0x1.eafb54263e37p-16, -0x1.c190f8e2baed1p-16, -0x1.995c8091180cfp-16, -0x1.725566e9a1a07p-16, -0x1.4c7379fc5fa56p-16, -0x1.27ae1dfa87698p-16, -0x1.03fc5d9754055p-16, -0x1.c2aad860bf746p-17, -0x1.7f61c7e1837c7p-17, -0x1.3e0f1aeb351b8p-17, -0x1.fd53b25f304acp-18, -0x1.825afe5257292p-18, -0x1.0b2622bc51699p-18, -0x1.2f335876550d2p-19, -0x1.3cbbfab4b7fdap-21, 0x1.13c97dfdbb44ap-20, 0x1.5c1e8aca90cbap-19, 0x1.13d32ac30c1a8p-18, 0x1.765b9dce5836ap-18, 0x1.d5c5fea272b96p-18, 0x1.1914e29f5bceap-17, 0x1.45cca5724907ep-17, 0x1.711245f6f02cep-17, 0x1.9aed7f629c6c6p-17, 0x1.c36613839035ap-17, 0x1.ea83c5e4b5f17p-17, 0x1.0827308fbb653p-16, 0x1.1a66eb1438c74p-16, 0x1.2c051fb774e4p-16, 0x1.3d05f1081f90ep-16, 0x1.4d6d9b18100cfp-16, 0x1.5d401166726f4p-16, 0x1.6c8068366a417p-16, 0x1.7b311e2d6e971p-16, 0x1.8955326b8724p-16, 0x1.96f063c957722p-16, 0x1.a40626047ad25p-16, 0x1.b0991e3656cd4p-16, 0x1.bcac11d14f56p-16, 0x1.c84291a52eecap-16, 0x1.d3601e7cd9ebbp-16, 0x1.de072726eafedp-16, 0x1.e83940fa57514p-16, 0x1.f1f826f6a42e5p-16, 0x1.fb4680e845e15p-16, 0x1.0213eca38ff5cp-15, 0x1.064fe14caa68p-15, 0x1.0a58909fcbff3p-15, 0x1.0e2f04e1760f7p-15, 0x1.11d34f988647p-15, 0x1.1544b99c1e46dp-15, 0x1.18849b3abb812p-15, 0x1.1b96682b30544p-15, 0x1.1e7b9ca40ad53p-15, 0x1.213412d3c9c0ep-15, 0x1.23c16104a550ap-15, 0x1.2625414edf362p-15, 0x1.285f3661486d7p-15, 0x1.2a6e60480227dp-15, 0x1.2c53ac67b9a4ep-15, 0x1.2e1148fe79eep-15, 0x1.2fa88ba4b97dap-15, 0x1.31197a67bd9c8p-15, 0x1.326498301a4ffp-15, 0x1.338ba29ad1277p-15, 0x1.349019934c2bap-15, 0x1.3572911c07913p-15, 0x1.36336e786f4f2p-15, 0x1.36d33a29cc35ap-15, 0x1.375295725df61p-15, 0x1.37b29ad1d682p-15, 0x1.37f3b89a1fe46p-15, 0x1.3814a18b41feap-15, 0x1.381681d4af2a6p-15, 0x1.37fbd25774959p-15, 0x1.37c37581cff25p-15, 0x1.376e0b3bfbd3p-15, 0x1.36fe885cb9ac3p-15, 0x1.36754363536c6p-15, 0x1.35d19afdfa668p-15, 0x1.3513ec89d194p-15, 0x1.343d37fc07e14p-15, 0x1.334e936b60d03p-15, 0x1.3248d725b8e84p-15, 0x1.312c1525cedfap-15, 0x1.2ff7848b230aap-15, 0x1.2eab2b6ef744bp-15, 0x1.2d48c38444c39p-15, 0x1.2bd14c7052bep-15, 0x1.2a442dae77b6ep-15, 0x1.28a2215f7c434p-15, 0x1.26ed256e9715ap-15, 0x1.2525d238ae17ap-15, 0x1.234c980509656p-15, 0x1.216212051bcd5p-15, 0x1.1f6478bca4842p-15, 0x1.1d541f56aa3e9p-15, 0x1.1b31a67ae84d9p-15, 0x1.18fd23e31e4f4p-15, 0x1.16b9b23cbb668p-15, 0x1.14679ab0f889cp-15, 0x1.1205e4ab6c599p-15, 0x1.0f94b393cd91ap-15, 0x1.0d149f4067ce2p-15, 0x1.0a86335e5d11dp-15, 0x1.07e9e2ee030f3p-15, 0x1.054015b65ede8p-15, 0x1.02893393608d8p-15, }}, 
      {{0x1.0999190e09c61p-3, 0x1.dfd8e17cb0d47p-3, 0x1.35a4f2149b249p-2, 0x1.53b40ee7400a6p-2, 0x1.4d1e8f7a6b83ap-2, 0x1.2790053314773p-2, 0x1.d377344113d67p-3, 0x1.34c3a2dca643ep-3, 0x1.fe0942b497148p-5, -0x1.059fa7b8d2093p-5, -0x1.04e8f7ead59a2p-3, -0x1.c3c4d8ca61839p-3, -0x1.3c3ba8ed89ccap-2, -0x1.8f821f76e9d59p-2, -0x1.da602392fd0ffp-2, -0x1.0e0622563d34fp-1, -0x1.2a17548a06209p-1, -0x1.4164821b85272p-1, -0x1.5410c74bdf695p-1, -0x1.62588b88eb31fp-1, -0x1.6c89ffb81c912p-1, -0x1.72fef132034dp-1, -0x1.7617ccd054485p-1, -0x1.7637ac8f91a99p-1, -0x1.73c14a9aa7ae5p-1, -0x1.6f14b6045dfcp-1, -0x1.688da8058cdc5p-1, -0x1.60825bfb0ff3ep-1, -0x1.5742d0274fc9bp-1, -0x1.4d18590c0965dp-1, -0x1.424574c8c617ep-1, -0x1.3705cf25bd6dfp-1, -0x1.2b8e69c61b384p-1, -0x1.200dde68d83bp-1, -0x1.14acb32b5887bp-1, -0x1.098dba7656b07p-1, -0x1.fd9cf34e7ff5ep-2, -0x1.e90f25620ef4dp-2, -0x1.d59a5bc2d184ap-2, -0x1.c35ec37507edp-2, -0x1.b2752ed65ca7fp-2, -0x1.a2efd5cfda903p-2, -0x1.94db0c024565p-2, -0x1.883dec2bc04ecp-2, -0x1.7d1af86767eb7p-2, -0x1.7370af2dd7ed9p-2, -0x1.6b3a15304ee7cp-2, -0x1.646f344cae637p-2, -0x1.5f058ff29ff1dp-2, -0x1.5af08f642fa51p-2, -0x1.5821de4900657p-2, -0x1.5689c4132069bp-2, -0x1.561772b9bdfbdp-2, -0x1.56b94d4f1237cp-2, -0x1.585d26f777189p-2, -0x1.5af07ac2e9169p-2, -0x1.5e609ceb6ea04p-2, -0x1.629ae5f494435p-2, -0x1.678cd82aaf5cep-2, -0x1.6d243ff0e07e1p-2, -0x1.734f4f46f9914p-2, -0x1.79fcb4f446b6ap-2, -0x1.811bafaee0adfp-2, -0x1.889c1dd5b9d82p-2, -0x1.906e89c7c55abp-2, -0x1.988433906d217p-2, -0x1.a0cf17ab166cp-2, -0x1.a941f34ee963dp-2, -0x1.b1d047a6f3ccap-2, -0x1.ba6e590aeaac3p-2, -0x1.c3113100134a1p-2, -0x1.cbae98b368456p-2, -0x1.d43d190d73868p-2, -0x1.dcb3f3dc57f35p-2, -0x1.e50b1ec75f137p-2, -0x1.ed3b3fe5a572cp-2, -0x1.f53da3a847d7ep-2, -0x1.fd0c3aa832791p-2, -0x1.0250c7d67b121p-1, -0x1.05fc60d27983ap-1, -0x1.0986be292e3f3p-1, -0x1.0cedf7fb3622dp-1, -0x1.1030656609673p-1, -0x1.134c98b7dad7cp-1, -0x1.16415c35b7646p-1, -0x1.190daeb14f228p-1, -0x1.1bb0c056468dap-1, -0x1.1e29ef7493c11p-1, -0x1.2078c55a5e407p-1, -0x1.229cf34e1273p-1, -0x1.24964fa4ded45p-1, -0x1.2664d3055e809p-1, -0x1.280895cf68fcbp-1, -0x1.2981cdae2bca3p-1, -0x1.2ad0cb480aab8p-1, -0x1.2bf5f80861594p-1, -0x1.2cf1d40068f17p-1, -0x1.2dc4f3d592d4ep-1, -0x1.2e6ffec2b9fap-1, -0x1.2ef3acab21104p-1, -0x1.2f50c43ec411cp-1, -0x1.2f8819388fe32p-1, -0x1.2f9a8ab4b34fp-1, -0x1.2f8901a022674p-1, -0x1.2f546f45fb6bap-1, -0x1.2efdcbf620805p-1, -0x1.2e8615c429354p-1, -0x1.2dee4f6042e6ap-1, -0x1.2d377f04ac21ep-1, -0x1.2c62ad765b623p-1, -0x1.2b70e51a1d696p-1, -0x1.2a63311a96a83p-1, -0x1.293a9c9dd26c6p-1, -0x1.27f8320c789cp-1, -0x1.269cfa68a6fb6p-1, -0x1.2529fcb335831p-1, -0x1.23a03d60abe22p-1, -0x1.2200bddd56622p-1, -0x1.204c7c1e7dfbp-1, -0x1.1e84724091023p-1, -0x1.1ca99632b6113p-1, -0x1.1abcd96d14395p-1, -0x1.18bf28b135edbp-1, -0x1.16b16bd48d3b8p-1, -0x1.1494859368554p-1, -0x1.1269536baf4fp-1, -0x1.1030ad7e5355cp-1, -0x1.0deb66778131p-1, -0x1.0b9a4b7ce722dp-1, -0x1.093e242057e3p-1, -0x1.06d7b257c5d4dp-1, -0x1.0467b279ee3f5p-1, -0x1.01eedb3e520b7p-1, -0x1.fedbbb82bdf27p-2, -0x1.f9cacb17bd509p-2, -0x1.f4ac313a688a4p-2, -0x1.ef812ef21b8e6p-2, -0x1.ea4afa6e120b2p-2, -0x1.e50abf28e0f5p-2, -0x1.dfc19e11d3b3cp-2, -0x1.da70adb8608dep-2, -0x1.d518fa7a053dfp-2, -0x1.cfbb86b4bdc5bp-2, -0x1.ca594afa70a8dp-2, -0x1.c4f336455c728p-2, -0x1.bf8a2e300de71p-2, -0x1.ba1f0f2d3bd39p-2, -0x1.b4b2acbf41a9ep-2, -0x1.af45d1b2c9835p-2, -0x1.a9d940591f7ecp-2, -0x1.a46db2c0254f9p-2, -0x1.9f03daecd359p-2, -0x1.999c6316a272p-2, -0x1.9437eddf07d35p-2, -0x1.8ed71689619d2p-2, -0x1.897a7135a37cep-2, -0x1.84228b178c3d2p-2, -0x1.7ecfeaaac33f2p-2, -0x1.79830fea2478ap-2, -0x1.743c7486eb054p-2, -0x1.6efc8c1a42d56p-2, -0x1.69c3c4568429ap-2, -0x1.6492853bfc219p-2, -0x1.5f69314aa9141p-2, -0x1.5a4825aea311fp-2, -0x1.552fba6e360e5p-2, -0x1.5020429a80576p-2, -0x1.4b1a0c7b8db14p-2, -0x1.461d61b823692p-2, -0x1.412a878010b8ap-2, -0x1.3c41beb7fce99p-2, -0x1.37634420488dcp-2, -0x1.328f50788afb6p-2, -0x1.2dc618a5a5b0ap-2, -0x1.2907cdd8bb191p-2, -0x1.24549db16cbcep-2, -0x1.1facb25d272dp-2, -0x1.1b1032b8ecf84p-2, -0x1.167f4273fdf8p-2, -0x1.11fa022de703bp-2, -0x1.0d808f918eaa7p-2, -0x1.09130572d1abfp-2, -0x1.04b17bedc1423p-2, -0x1.005c08817d46fp-2, -0x1.f8257c4d99068p-3, -0x1.efab5ad1e25d9p-3, -0x1.e749c9043833ap-3, -0x1.df00deea039ddp-3, -0x1.d6d0b0400bd43p-3, -0x1.ceb94c9fe9ef4p-3, -0x1.c6babfb0745c6p-3, -0x1.bed511594d679p-3, -0x1.b70845e9afc79p-3, -0x1.af545e339e16p-3, -0x1.a7b957acc911bp-3, -0x1.a0372c9cdefe8p-3, -0x1.98cdd44b28756p-3, -0x1.917d431bffec3p-3, -0x1.8a456aa3c2fe9p-3, -0x1.832639c28a3d4p-3, -0x1.7c1f9cceb8051p-3, -0x1.75317dbea9accp-3, -0x1.6e5bc4415dd66p-3, -0x1.679e55caf2b1bp-3, -0x1.60f915a8c1754p-3, -0x1.5a6be525daf0cp-3, -0x1.53f6a3b2e2239p-3, -0x1.4d992efee04b5p-3, -0x1.475363007334ep-3, -0x1.41251a008056bp-3, -0x1.3b0e2cb4c7b6dp-3, -0x1.350e7264caebfp-3, -0x1.2f25c106d4efp-3, -0x1.2953ed4b9c769p-3, -0x1.2398caa1fe575p-3, -0x1.1df42b4405df5p-3, -0x1.1865e053161dbp-3, -0x1.12edb9f7bcd32p-3, -0x1.0d8b8775c43e6p-3, -0x1.083f173166d6bp-3, -0x1.030836b16c418p-3, -0x1.fbcd6557f2c57p-4, -0x1.f1b4ae3ff5a99p-4, -0x1.e7c5dedf9d5afp-4, -0x1.de008ce1ba13ep-4, -0x1.d4644cdd66726p-4, -0x1.caf0b257658e2p-4, -0x1.c1a54fd526ba7p-4, -0x1.b881b7059acdp-4, -0x1.af8578ee927a7p-4, -0x1.a6b02609ff54ep-4, -0x1.9e014e4d6dd34p-4, -0x1.95788128f2002p-4, -0x1.8d154d90721d8p-4, -0x1.84d742175faebp-4, -0x1.7cbded160d4e5p-4, -0x1.74c8dcc7babp-4, -0x1.6cf79f576c143p-4, -0x1.6549c2e003f74p-4, -0x1.5dbed56d3a101p-4, -0x1.56566508cab9bp-4, -0x1.4f0fffd438538p-4, -0x1.47eb342513d8cp-4, -0x1.40e790983bbe8p-4, -0x1.3a04a418305e8p-4, -0x1.3341fddc3e38p-4, -0x1.2c9f2d6a5f9cep-4, -0x1.261bc2a2911d9p-4, -0x1.1fb74dd28185ap-4, -0x1.19715fca3118fp-4, -0x1.134989e9d900dp-4, -0x1.0d3f5e26b0e64p-4, -0x1.07526f0a8455ep-4, -0x1.01824fb48b7c7p-4, -0x1.f79d27c0b1973p-5, -0x1.ec6d9fe5bcb02p-5, -0x1.e175321272e55p-5, -0x1.d6b30a07dbd9p-5, -0x1.cc2655181c6a5p-5, -0x1.c1ce42276d5ap-5, -0x1.b7aa01ab8675ap-5, -0x1.adb8c5b0ab9e5p-5, -0x1.a3f9c1e73d213p-5, -0x1.9a6c2bb6b4161p-5, -0x1.910f3a4f7b6a1p-5, -0x1.87e226b64b28ap-5, -0x1.7ee42bc80475ap-5, -0x1.7614863922b45p-5, -0x1.6d72749572581p-5, -0x1.64fd3743c35a2p-5, -0x1.5cb4108e7fe5dp-5, -0x1.549644aef00dfp-5, -0x1.4ca319d748f26p-5, -0x1.44d9d838af5c7p-5, -0x1.3d39ca04da16ap-5, -0x1.35c23b6cfd602p-5, -0x1.2e727aa09222bp-5, -0x1.2749d7cdf5af4p-5, -0x1.2047a525cbfb7p-5, -0x1.196b36e03abf5p-5, -0x1.12b3e341f0dafp-5, -0x1.0c21029f35308p-5, -0x1.05b1ef5c6cb1cp-5, -0x1.fecc0bd9469e8p-6, -0x1.f279499eadd19p-6, -0x1.e66a591d11384p-6, -0x1.da9dff7c216fap-6, -0x1.cf1305f8920c1p-6, -0x1.c3c839e69cc4ap-6, -0x1.b8bc6cb38f08dp-6, -0x1.adee73e4d51e1p-6, -0x1.a35d29146fc67p-6, -0x1.990769eb86785p-6, -0x1.8eec181c1ca0ep-6, -0x1.850a195ac57dep-6, -0x1.7b605759868e2p-6, -0x1.71edbfc40bc66p-6, -0x1.68b1443cb04a1p-6, -0x1.5fa9da59195d6p-6, -0x1.56d67b9da862fp-6, -0x1.4e3625779d302p-6, -0x1.45c7d93623219p-6, -0x1.3d8a9c028de4p-6, -0x1.357d76d811f31p-6, -0x1.2d9f767baf0d9p-6, -0x1.25efab749a083p-6, -0x1.1e6d2a05903fcp-6, -0x1.17170a2667903p-6, -0x1.0fec677d50e37p-6, -0x1.08ec6157ba58ap-6, -0x1.02161aa2996c1p-6, -0x1.f6d173c4268d2p-7, -0x1.e9c6d250f9bbap-7, -0x1.dd0aac1979812p-7, -0x1.d09b6340d84b6p-7, -0x1.c47760cc80ebbp-7, -0x1.b89d1491e9cf4p-7, -0x1.ad0af5257505cp-7, -0x1.a1bf7fc9e40eap-7, -0x1.96b9386030fb4p-7, -0x1.8bf6a957ab1e8p-7, -0x1.8176639d82c6fp-7, -0x1.7736fe8b2c043p-7, -0x1.6d3717d2b478ap-7, -0x1.63755369772e1p-7, -0x1.59f05b717bd48p-7, -0x1.50a6e022c24c7p-7, -0x1.479797b53f623p-7, -0x1.3ec13e4c93bb2p-7, -0x1.362295e616c92p-7, -0x1.2dba66497f16dp-7, -0x1.25877cfbc5d4ep-7, -0x1.1d88ad32cfffap-7, -0x1.15bccfc7c0429p-7, -0x1.0e22c3263ffc9p-7, -0x1.06b96b372d075p-7, -0x1.feff628d482ecp-8, -0x1.f0e907cd8811bp-8, -0x1.e32dada2616c2p-8, -0x1.d5cb4595c8f73p-8, -0x1.c8bfcb1aadc6bp-8, -0x1.bc09436f3deb9p-8, -0x1.afa5bd8fc634ap-8, -0x1.a39352368374ap-8, -0x1.97d023dfbe61cp-8, -0x1.8c5a5ec6990e1p-8, -0x1.813038cefc033p-8, -0x1.764ff15550a9dp-8, -0x1.6bb7d0e2008a7p-8, -0x1.616628c8309e1p-8, -0x1.575952bd4d772p-8, -0x1.4d8fb07c4d675p-8, -0x1.4407ab87a014dp-8, -0x1.3abfb516d6a11p-8, -0x1.31b64633503f2p-8, -0x1.28e9dff9432a4p-8, -0x1.20590be75456ep-8, -0x1.18025c1ed7b86p-8, -0x1.0fe46b76ec91ep-8, -0x1.07fddd4cb3ff8p-8, -0x1.004d5d0aefac3p-8, -0x1.f1a33aec190f4p-9, -0x1.e312afb8c7881p-9, -0x1.d4e696acb5d6ep-9, -0x1.c71c78877ce8bp-9, -0x1.b9b1e8532956fp-9, -0x1.aca483fc4d152p-9, -0x1.9ff1f5aa8b00bp-9, -0x1.9397f587c593dp-9, -0x1.87944b7c6eefbp-9, -0x1.7be4d05d0dbe2p-9, -0x1.70876e1c62244p-9, -0x1.657a1eca2fc18p-9, -0x1.5abaea6fbe59p-9, -0x1.5047e426796d5p-9, -0x1.461f2700be3cep-9, -0x1.3c3ed3761e538p-9, -0x1.32a50df642254p-9, -0x1.294fff0a32fe5p-9, -0x1.203dd5134b361p-9, -0x1.176cc753ff303p-9, -0x1.0edb199693be8p-9, -0x1.06871f949220fp-9, -0x1.fcde7e803d344p-10, -0x1.ed23e28bb626cp-10, -0x1.dddb7efaaf55bp-10, -0x1.cf0282e90168fp-10, -0x1.c0962f6d57f74p-10, -0x1.b293cd8652f9p-10, -0x1.a4f8a59378f8ep-10, -0x1.97c1fa4718277p-10, -0x1.8aed084d47c61p-10, -0x1.7e770adffd9ap-10, -0x1.725d446934677p-10, -0x1.669d0968bc081p-10, -0x1.5b33cb4b0b501p-10, -0x1.501f20d1271e1p-10, -0x1.455cca1d90e74p-10, -0x1.3aeaaf54c44a6p-10, -0x1.30c6d9d996ff4p-10, -0x1.26ef695467bc5p-10, -0x1.1d6286a3cb1eap-10, -0x1.141e575d1a623p-10, -0x1.0b20f47139e8cp-10, -0x1.026865e1860cep-10, -0x1.f3e548ad50f47p-11, -0x1.e37b404e1b49cp-11, -0x1.d38e98880ec59p-11, -0x1.c41b55a3b5ec1p-11, -0x1.b51db1f20ee8dp-11, -0x1.a6922f7521f69p-11, -0x1.9875a043ee9edp-11, -0x1.8ac524076aaedp-11, -0x1.7d7e1ae16f73cp-11, -0x1.709e101399752p-11, -0x1.6422a07151ab9p-11, -0x1.580961a0a12ebp-11, -0x1.4c4fcf095762bp-11, -0x1.40f33ffcda4d6p-11, -0x1.35f0e875f8b6p-11, -0x1.2b45e3756c16cp-11, -0x1.20ef442f280b1p-11, -0x1.16ea2a520294p-11, -0x1.0d33d59a4e708p-11, -0x1.03c9b56215129p-11, -0x1.f552e397bad14p-12, -0x1.e3a1dacd40704p-12, -0x1.d27c7f2a6906ep-12, -0x1.c1df5283f164cp-12, -0x1.b1c70c55e8815p-12, -0x1.a2307a99f9c57p-12, -0x1.9318659ea06bp-12, -0x1.847b7ae6353b8p-12, -0x1.765641f1f4baep-12, -0x1.68a51c4f76351p-12, -0x1.5b64507e6c118p-12, -0x1.4e901d734e5bep-12, -0x1.4224d2a70a54cp-12, -0x1.361ee703867afp-12, -0x1.2a7b088a0e052p-12, -0x1.1f3620794e949p-12, -0x1.144d4c2b0711p-12, -0x1.09bdcfd630256p-12, -0x1.ff0a158f52d5ap-13, -0x1.eb40e50858b2dp-13, -0x1.d81b29bef3461p-13, -0x1.c594380bf8e56p-13, -0x1.b3a79c6dd60e3p-13, -0x1.a2510c62cb727p-13, -0x1.918c4d9d169b6p-13, -0x1.8155209bffd65p-13, -0x1.71a73b8892945p-13, -0x1.627e597ce56c3p-13, -0x1.53d655ebf7c13p-13, -0x1.45ab43611b055p-13, -0x1.37f96dbaec745p-13, -0x1.2abd42f0d421ap-13, -0x1.1df32d05badaep-13, -0x1.119772c616095p-13, -0x1.05a6337c40bp-13, -0x1.f4370666691cap-14, -0x1.dde733e7818edp-14, -0x1.c855fa90768a7p-14, -0x1.b37d1fbf767b9p-14, -0x1.9f5708e91853bp-14, -0x1.8bde85c86d742p-14, -0x1.790ea7c972475p-14, -0x1.66e2bb3e27689p-14, -0x1.555656645e2bp-14, -0x1.4465609f8f538p-14, -0x1.340bfc259099ep-14, -0x1.244651c6616c4p-14, -0x1.151050aebf506p-14, -0x1.06657c9344656p-14, -0x1.f081c78e33cd7p-15, -0x1.d53a95cf50e3ep-15, -0x1.baeb07bfed9b6p-15, -0x1.a18994863010ap-15, -0x1.890de335f75dp-15, -0x1.71708c26e2479p-15, -0x1.5aaa65dbac8afp-15, -0x1.44b3e5eb790e1p-15, -0x1.2f85203fbc045p-15, -0x1.1b167b15135ddp-15, -0x1.07619f09e7b9bp-15, -0x1.e8c3f208633f5p-16, -0x1.c428ddddda396p-16, -0x1.a0ecd0fa80e58p-16, -0x1.7f0953069b5acp-16, -0x1.5e750f7d936edp-16, -0x1.3f2391e2fb4c4p-16, -0x1.210645f7bbbebp-16, -0x1.040e47d6b7391p-16, -0x1.d05cce04fafd4p-17, -0x1.9ab93bef17a0cp-17, -0x1.67247bc5adae7p-17, -0x1.35950eeee1d7ap-17, -0x1.0600b86bd8791p-17, -0x1.b0b1b11bf255p-18, -0x1.5913de1a4637ap-18, -0x1.04fc3c72f493ep-18, -0x1.6882ed8a8f133p-19, -0x1.9b081a0920525p-20, -0x1.c65fdb28ff59dp-22, 0x1.571888d1e2e3bp-21, 0x1.bc9acc892e54p-20, 0x1.60e89fefeed88p-19, 0x1.ddc0a1facea43p-19, 0x1.2a856cd55a7dep-18, 0x1.6383e3034ed8fp-18, 0x1.99fe183240084p-18, 0x1.ce131f82ed78ap-18, 0x1.ffd9be61dcc7bp-18, 0x1.17af8d4b3b871p-17, 0x1.2e55339bb53a5p-17, 0x1.43e1b075ddc57p-17, 0x1.585b86a4819p-17, 0x1.6bcbf45fd6799p-17, 0x1.7e3d516de81dcp-17, 0x1.8fb91e55fadd9p-17, 0x1.a046f620112b1p-17, 0x1.afed31801239dp-17, 0x1.beb2c45ea37b4p-17, 0x1.cca066c8a25f7p-17, 0x1.d9bfc8a89aa47p-17, 0x1.e619b6883cd19p-17, 0x1.f1b4fb2949a01p-17, 0x1.fc96d1d7b8ffap-17, 0x1.03622027edc04p-16, 0x1.0821899a1e92p-16, 0x1.0c8cec92c1bp-16, 0x1.10a78b29daf7p-16, 0x1.1474204344e45p-16, 0x1.17f49ce4e1b45p-16, 0x1.1b2a66edea0ffp-16, 0x1.1e16f99fe6fe6p-16, 0x1.20bc6b83334dfp-16, 0x1.231d4c06bfccap-16, 0x1.253bf477d097dp-16, 0x1.271a3ad72c939p-16, 0x1.28b9e2762e852p-16, 0x1.2a1d04f3331e2p-16, 0x1.2b45f28f5a162p-16, 0x1.2c36e0466cf9fp-16, 0x1.2cf1c37954d06p-16, 0x1.2d7860746f2bap-16, 0x1.2dcc6d8053062p-16, 0x1.2defad4255dddp-16, 0x1.2de3ecd4031aap-16, 0x1.2daaf1deddfcep-16, 0x1.2d466f758d653p-16, 0x1.2cb7e7c4ec129p-16, 0x1.2c00798596183p-16, 0x1.2b20f802f7dd5p-16, 0x1.2a1a60c35cd07p-16, 0x1.28ee1c153fdap-16, 0x1.279da02aab7c8p-16, 0x1.2629fdc28de8p-16, 0x1.249410d3156d2p-16, 0x1.22dcf76d992cfp-16, 0x1.21061499902f3p-16, 0x1.1f10c37d8478p-16, 0x1.1cfe2d28361adp-16, 0x1.1acf5092dbdbep-16, 0x1.18851890bc255p-16, 0x1.162069e2e43e2p-16, 0x1.13a22752b92bbp-16, 0x1.110b311de684bp-16, 0x1.0e5c65157bbp-16, 0x1.0b96a05bbe7ap-16, 0x1.08babfb0208abp-16, 0x1.05c99febc15a9p-16, 0x1.02c41ed3f43bcp-16, 0x1.ff561fa4b87e5p-17, 0x1.f8fe55ae8e2f5p-17, 0x1.f28229b457226p-17, 0x1.ebe2fdf35b66ep-17, 0x1.e5225ac38f526p-17, 0x1.de41b40f755d4p-17, 0x1.d7424cf7d79d3p-17, 0x1.d0256c31fd1fap-17, 0x1.c8ec812af1534p-17, 0x1.c198f3f8e1725p-17, 0x1.ba2bed7404678p-17, 0x1.b2a6646ffffcap-17, 0x1.ab095570e0f1ep-17, 0x1.a355ec5b58eebp-17, 0x1.9b8d8033d4801p-17, 0x1.93b164867e9b9p-17, 0x1.8bc2c56f2e6edp-17, 0x1.83c2a1f80285ap-17, 0x1.7bb1905662b42p-17, 0x1.738fd5ebb9125p-17, 0x1.6b5e8f104857fp-17, 0x1.631fa7c98cafbp-17, 0x1.5ad43adad21d9p-17, 0x1.527cc044a7008p-17, 0x1.4a1a5d6537d39p-17, 0x1.41ae3dfd2e705p-17, 0x1.3938b03485fdap-17, 0x1.30b9dd8f879f5p-17, 0x1.28329f09f58c9p-17, 0x1.1fa4454b90abbp-17, 0x1.170fcb1b4c57fp-17, 0x1.0e75a7f947a26p-17, 0x1.05d680179f994p-17, 0x1.fa66db462ffd9p-18, 0x1.e91ae334d9a7bp-18, 0x1.d7ca60d452e2ap-18, 0x1.c67671aed7057p-18, 0x1.b52048e249529p-18, 0x1.a3c92c8388f2ap-18, 0x1.9272baba0da14p-18, 0x1.811e0953bf7d2p-18, 0x1.6fcae885e5218p-18, 0x1.5e7af67b32f38p-18, 0x1.4d30b5fe351fbp-18, 0x1.3bec1b35ac918p-18, 0x1.2aae55786681p-18, 0x1.197a2403a90d2p-18, 0x1.08506c1ec0343p-18, 0x1.ee62d7d551241p-19, 0x1.cc3c1e8f8597cp-19, 0x1.aa2f5750913f6p-19, 0x1.883f3fc3d6f83p-19, 0x1.666e3886f6d1ap-19, 0x1.44bd8ff5f5facp-19, 0x1.232d67f6ead7p-19, 0x1.01bef05a8874fp-19, 0x1.c0eb3211a10ebp-20, 0x1.7ea7a4e4ccb31p-20, 0x1.3cb3c6e0c4438p-20, 0x1.f627385c5d72ap-21, 0x1.739cf46156187p-21, 0x1.e39fd46691148p-22, 0x1.c3190ef8d3b97p-23, -0x1.ef296b44307d7p-26, -0x1.1de9499dd2b6cp-22, -0x1.0da672bed24e4p-21, -0x1.8b87de112dd9cp-21, -0x1.044a7d2b27002p-20, -0x1.425d59bdc7d21p-20, -0x1.7ffa4845a933cp-20, -0x1.bd223975d96dfp-20, -0x1.f9d3572795269p-20, -0x1.1b055b737a156p-19, -0x1.38e2ce8930478p-19, -0x1.5680cd040049ap-19, -0x1.73de33b553956p-19, -0x1.90f9e5d2be547p-19, }}, 
      {{-0x1.f0be3b1277fddp+1, -0x1.d48eb690ccb04p+1, -0x1.b22eabc7703a4p+1, -0x1.8f3b7ed5c2c58p+1, -0x1.6ec9385442084p+1, -0x1.5251cc482956ap+1, -0x1.3a527ff1dcc92p+1, -0x1.26b325f6578a5p+1, -0x1.170971f9f343bp+1, -0x1.0ac44f810a124p+1, -0x1.01471e03a7ecfp+1, -0x1.f3f429eaa4dd6p+0, -0x1.e8a6dd5e7e7f7p+0, -0x1.dfb79e352a82fp+0, -0x1.d85f40037b7b1p+0, -0x1.d1fd1ee08fcb5p+0, -0x1.cc13fc692e4d5p+0, -0x1.c645cfd2e35c8p+0, -0x1.c04f3998210bp+0, -0x1.ba03076d7ae15p+0, -0x1.b34605e9f3f06p+0, -0x1.ac0b3f74df924p+0, -0x1.a450b58d49dc1p+0, -0x1.9c1c95fdcc899p+0, -0x1.937ae65659c4p+0, -0x1.8a7b9baefdcfcp+0, -0x1.81311282d37d2p+0, -0x1.77aed9c4aaddfp+0, -0x1.6e08c4a073b11p+0, -0x1.64523743c8f22p+0, -0x1.5a9da43a51a85p+0, -0x1.50fc313672217p+0, -0x1.477d7b6796fd4p+0, -0x1.3e2f74b3dc8b3p+0, -0x1.351e5443561a8p+0, -0x1.2c5495c3f3c3dp+0, -0x1.23db03a56235ep+0, -0x1.1bb8c945fea19p+0, -0x1.13f38aa6bd0ebp+0, -0x1.0c8f7fbf2da7bp+0, -0x1.058f91f6b7df9p+0, -0x1.fdeaf53fc6a76p-1, -0x1.f183c331de144p-1, -0x1.e5e8f6d9a5d87p-1, -0x1.db184cf78566dp-1, -0x1.d10e0da9aec87p-1, -0x1.c7c5410b0d04bp-1, -0x1.bf37e071777bfp-1, -0x1.b75f041fb9864p-1, -0x1.b0330d59731f5p-1, -0x1.a9abccda84edcp-1, -0x1.a3c0a5c288a22p-1, -0x1.9e68ad104befbp-1, -0x1.999ac5d10b998p-1, -0x1.954dba2d1684bp-1, -0x1.9178517dec712p-1, -0x1.8e11639dbefa7p-1, -0x1.8b0fe9a154fcfp-1, -0x1.886b0c2e0b65ap-1, -0x1.861a2f9d233ffp-1, -0x1.8414fe1476b53p-1, -0x1.82536fc8f07a7p-1, -0x1.80cdd18b2a688p-1, -0x1.7f7cc9e53621dp-1, -0x1.7e595ccdde5c7p-1, -0x1.7d5cee3ea6c9fp-1, -0x1.7c814397f6313p-1, -0x1.7bc0840956379p-1, -0x1.7b153872222e2p-1, -0x1.7a7a49e3da874p-1, -0x1.79eb00e22d10dp-1, -0x1.796302303ebacp-1, -0x1.78de4d4a1a2ddp-1, -0x1.7859389f45553p-1, -0x1.77d06e5fcd21p-1, -0x1.7740e9c96ca3fp-1, -0x1.76a7f25f8afeep-1, -0x1.760319a8be27bp-1, -0x1.75503671b94ap-1, -0x1.748d615e3c6efp-1, -0x1.73b8f115a0618p-1, -0x1.72d1763099089p-1, -0x1.71d5b7cc1ed53p-1, -0x1.70c4afd4f2cabp-1, -0x1.6f9d87c392a39p-1, -0x1.6e5f954408411p-1, -0x1.6d0a5710a78dcp-1, -0x1.6b9d71d8a6ce4p-1, -0x1.6a18ad3f543f9p-1, -0x1.687bf1023be14p-1, -0x1.66c742421669dp-1, -0x1.64fac0f93e652p-1, -0x1.6316a599cd551p-1, -0x1.611b3ed395643p-1, -0x1.5f08ef79e0667p-1, -0x1.5ce02c83e16acp-1, -0x1.5aa17b25cb84p-1, -0x1.584d6efd20019p-1, -0x1.55e4a852801c1p-1, -0x1.5367d271c7569p-1, -0x1.50d7a21835a08p-1, -0x1.4e34d3fd10e08p-1, -0x1.4b802b7448b32p-1, -0x1.48ba712a7e09p-1, -0x1.45e471fbff867p-1, -0x1.42fefde3b8fb9p-1, -0x1.400ae7000d73p-1, -0x1.3d0900ad8ab03p-1, -0x1.39fa1eb457de5p-1, -0x1.36df14869ca32p-1, -0x1.33b8b49038c3fp-1, -0x1.3087cf960f801p-1, -0x1.2d4d3423b058dp-1, -0x1.2a09ae0847e8ep-1, -0x1.26be05e1d97d8p-1, -0x1.236b00b5b4b8fp-1, -0x1.20115f964b85cp-1, -0x1.1cb1df55e157bp-1, -0x1.194d384493fd8p-1, -0x1.15e41df8e4f9bp-1, -0x1.12773f22a14c5p-1, -0x1.0f0745665d9eep-1, -0x1.0b94d5409607cp-1, -0x1.08208df02e8b7p-1, -0x1.04ab09671e134p-1, -0x1.0134dc40bc2b2p-1, -0x1.fb7d2b79df269p-2, -0x1.f4917f7fe0092p-2, -0x1.eda7bdace482cp-2, -0x1.e6c0e47a443a4p-2, -0x1.dfdde7d732a3ap-2, -0x1.d8ffb1458e15p-2, -0x1.d2271ffb928bdp-2, -0x1.cb55090ac420fp-2, -0x1.c48a378bbb6a4p-2, -0x1.bdc76ccd714c9p-2, -0x1.b70d60886a91p-2, -0x1.b05cc114d9423p-2, -0x1.a9b633a2ad421p-2, -0x1.a31a547452f7ep-2, -0x1.9c89b71afcf07p-2, -0x1.9604e6b372c09p-2, -0x1.8f8c66244b2f3p-2, -0x1.8920b05cbe8bbp-2, -0x1.82c23893167fdp-2, -0x1.7c716a839cfc2p-2, -0x1.762eaaaf52d95p-2, -0x1.6ffa5699a9958p-2, -0x1.69d4c506506cap-2, -0x1.63be46366b05ap-2, -0x1.5db724241d145p-2, -0x1.57bfa2bdbf558p-2, -0x1.51d80020c32f4p-2, -0x1.4c0074d268a44p-2, -0x1.463933f7589aap-2, -0x1.40826b8b527d9p-2, -0x1.3adc4496f8b82p-2, -0x1.3546e363396cbp-2, -0x1.2fc267acc37c2p-2, -0x1.2a4eecd6d0e85p-2, -0x1.24ec8a1ae1ebep-2, -0x1.1f9b52b6fe46fp-2, -0x1.1a5b561c74552p-2, -0x1.152ca01ce59bdp-2, -0x1.100f391415e0ap-2, -0x1.0b0326111865fp-2, -0x1.060868ffe5d48p-2, -0x1.011f00d09f164p-2, -0x1.f88dd337b7756p-3, -0x1.ef00398daa581p-3, -0x1.e595224f89d14p-3, -0x1.dc4c764f7f7bdp-3, -0x1.d32619c4052acp-3, -0x1.ca21ec8690fc8p-3, -0x1.c13fca52673ffp-3, -0x1.b87f8afea937p-3, -0x1.afe102b3d49acp-3, -0x1.a76402218b409p-3, -0x1.9f0856b48173p-3, -0x1.96cdcac802dfdp-3, -0x1.8eb425d31c2d8p-3, -0x1.86bb2c964dc93p-3, -0x1.7ee2a14a06602p-3, -0x1.772a43c90e87ep-3, -0x1.6f91d1b5fb9acp-3, -0x1.681906a0eab55p-3, -0x1.60bf9c2faeddp-3, -0x1.59854a435655bp-3, -0x1.5269c7175d7bbp-3, -0x1.4b6cc75f0cc92p-3, -0x1.448dfe669d8c4p-3, -0x1.3dcd1e35951dbp-3, -0x1.3729d7ab3d521p-3, -0x1.30a3da9514534p-3, -0x1.2a3ad5c697eb8p-3, -0x1.23ee77366a5e7p-3, -0x1.1dbe6c1b0bf16p-3, -0x1.17aa610016067p-3, -0x1.11b201d5f97b9p-3, -0x1.0bd4fa04df3cep-3, -0x1.0612f485a4c9dp-3, -0x1.006b9bfa3dea4p-3, -0x1.f5bd357c57898p-4, -0x1.ead735e22eb09p-4, -0x1.e0248d08969fbp-4, -0x1.d5a48e9e1bdf7p-4, -0x1.cb568e480244p-4, -0x1.c139dfbf01fa9p-4, -0x1.b74dd6ddb423p-4, -0x1.ad91c7b025336p-4, -0x1.a4050690ddab1p-4, -0x1.9aa6e84dde2fcp-4, -0x1.9176c245631d5p-4, -0x1.8873ea7306eacp-4, -0x1.7f9db77661b33p-4, -0x1.76f380a213429p-4, -0x1.6e749e172456fp-4, -0x1.662068e1e682dp-4, -0x1.5df63b0b65c71p-4, -0x1.55f56f9e3b5e7p-4, -0x1.4e1d62a9cd7fep-4, -0x1.466d714f329b7p-4, -0x1.3ee4f9d7b6501p-4, -0x1.37835bca702e5p-4, -0x1.3047f7f74cd97p-4, -0x1.293230780f3ap-4, -0x1.224168b0ba0bbp-4, -0x1.1b7505581e9e4p-4, -0x1.14cc6c886af7cp-4, -0x1.0e4705cf9d93bp-4, -0x1.07e43a37dd409p-4, -0x1.01a374473aac5p-4, -0x1.f7083ffaf59b6p-5, -0x1.eb0b55ae95b9cp-5, -0x1.df4f07b0fc88p-5, -0x1.d3d23730b1f7fp-5, -0x1.c893c8926306ap-5, -0x1.bd92a371ae82p-5, -0x1.b2cdb29a2b6ddp-5, -0x1.a843e40439168p-5, -0x1.9df428dc7b356p-5, -0x1.93dd75931eec4p-5, -0x1.89fec1e98a6eap-5, -0x1.805708f6a2895p-5, -0x1.76e549217d92ap-5, -0x1.6da88419375a7p-5, -0x1.649fbed16a55ap-5, -0x1.5bca01864aecdp-5, -0x1.532657c502585p-5, -0x1.4ab3d071bde76p-5, -0x1.42717dc6e456dp-5, -0x1.3a5e754df5dbbp-5, -0x1.3279cfd6d519p-5, -0x1.2ac2a972313afp-5, -0x1.23382171047c5p-5, -0x1.1bd95a670aa7ep-5, -0x1.14a57a2c27f97p-5, -0x1.0d9ba9d98151ep-5, -0x1.06bb15c2369c2p-5, -0x1.0002ed6a45b9cp-5, -0x1.f2e4c6fdb114p-6, -0x1.e6115ba32ba8dp-6, -0x1.d98a0aace0e3fp-6, -0x1.cd4d4c438ec5fp-6, -0x1.c1599ec8e754bp-6, -0x1.b5ad86c9e693ap-6, -0x1.aa478eed24655p-6, -0x1.9f2647e0e9355p-6, -0x1.9448484c13e8cp-6, -0x1.89ac2cc2934eap-6, -0x1.7f5097bbed37dp-6, -0x1.753431893a3a5p-6, -0x1.6b55a8483ffd9p-6, -0x1.61b3afd34b109p-6, -0x1.584d01af3634cp-6, -0x1.4f205cf9a7232p-6, -0x1.462c8659107efp-6, -0x1.3d7047ee81663p-6, -0x1.34ea714896eddp-6, -0x1.2c99d7561f81dp-6, -0x1.247d545747347p-6, -0x1.1c93c7cd0752bp-6, -0x1.14dc166789ddcp-6, -0x1.0d5529f485fb1p-6, -0x1.05fdf14e8d0d7p-6, -0x1.fdaac09a63e69p-7, -0x1.efb4df6bf4734p-7, -0x1.e2183a5ad1496p-7, -0x1.d4d2d64f1384dp-7, -0x1.c7e2c1af84fcap-7, -0x1.bb46143fbe9c3p-7, -0x1.aefaeefe0a385p-7, -0x1.a2ff7c01dafa8p-7, -0x1.9751ee5b4a2a3p-7, -0x1.8bf081f34c535p-7, -0x1.80d97b6c840d5p-7, -0x1.760b28041359ap-7, -0x1.6b83dd724ca3ep-7, -0x1.6141f9cac789ap-7, -0x1.5743e35c2c73dp-7, -0x1.4d88089011131p-7, -0x1.440cdfcb567abp-7, -0x1.3ad0e74f02f14p-7, -0x1.31d2a51958b13p-7, -0x1.2910a6c723d51p-7, -0x1.20898175194b2p-7, -0x1.183bd1a19bf5cp-7, -0x1.10263b0e9d19cp-7, -0x1.084768a3a8d94p-7, -0x1.009e0c5066a69p-7, -0x1.f251bddef28d6p-8, -0x1.e3cd40536d4b5p-8, -0x1.d5ac2cb2f097ap-8, -0x1.c7ec1cdb86961p-8, -0x1.ba8ab79a91cf8p-8, -0x1.ad85b0731692fp-8, -0x1.a0dac764d0b01p-8, -0x1.9487c8b4974e3p-8, -0x1.888a8cb624d4ap-8, -0x1.7ce0f7977db71p-8, -0x1.7188f92e04827p-8, -0x1.66808cc43f3dbp-8, -0x1.5bc5b8e7aadddp-8, -0x1.51568f354c6f9p-8, -0x1.47312c253722cp-8, -0x1.3d53b6d4dc25cp-8, -0x1.33bc60d159f18p-8, -0x1.2a6965e2b9fdbp-8, -0x1.21590bd96a6a1p-8, -0x1.1889a25ecc119p-8, -0x1.0ff982c93fb3fp-8, -0x1.07a70ff33a062p-8, -0x1.ff216c2819c92p-9, -0x1.ef69d53026592p-9, -0x1.e02457ed4a43fp-9, -0x1.d14e03083d1dfp-9, -0x1.c2e3f67fe0d91p-9, -0x1.b4e3633feb574p-9, -0x1.a7498ab651eb6p-9, -0x1.9a13be6e328a6p-9, -0x1.8d3f5fb5fac8ap-9, -0x1.80c9df556d16dp-9, -0x1.74b0bd539c731p-9, -0x1.68f188c935ce7p-9, -0x1.5d89dfb737ca4p-9, -0x1.52776ed793a6fp-9, -0x1.47b7f15dc52a9p-9, -0x1.3d4930a17a8a9p-9, -0x1.332903b2216acp-9, -0x1.29554eda893b1p-9, -0x1.1fcc032072ffcp-9, -0x1.168b1dd05b19fp-9, -0x1.0d90a824b26d6p-9, -0x1.04dab712a1148p-9, -0x1.f8ced67b8b3d6p-10, -0x1.e869e21214e3ap-10, -0x1.d88301645f39dp-10, -0x1.c916bcbf5cdf2p-10, -0x1.ba21b4133d1fbp-10, -0x1.aba09e5ab4348p-10, -0x1.9d90489236f7p-10, -0x1.8fed9456dfc09p-10, -0x1.82b576612362ep-10, -0x1.75e4f5207a7e6p-10, -0x1.697927bc839c1p-10, -0x1.5d6f35aeede9fp-10, -0x1.51c45706d3436p-10, -0x1.4675d53b6ceddp-10, -0x1.3b810c4c825dcp-10, -0x1.30e36bd34bec5p-10, -0x1.269a77a172607p-10, -0x1.1ca3c7a08c478p-10, -0x1.12fd06cd87435p-10, -0x1.09a3f162aaffbp-10, -0x1.009652797feacp-10, -0x1.efa4032f44544p-11, -0x1.dea9c14ff36f3p-11, -0x1.ce39b5a853fd6p-11, -0x1.be4fc906d83acp-11, -0x1.aee7f904f6951p-11, -0x1.9ffe5c230d676p-11, -0x1.918f26afab13bp-11, -0x1.8396af3ae356p-11, -0x1.7611715cabb13p-11, -0x1.68fc0de8abe2fp-11, -0x1.5c53483666bcp-11, -0x1.501400cccdb1cp-11, -0x1.443b2e612b069p-11, -0x1.38c5d68687e69p-11, -0x1.2db10792bbc75p-11, -0x1.22f9d5075eadcp-11, -0x1.189d574a7929cp-11, -0x1.0e98aec35914ap-11, -0x1.04e909afe3df9p-11, -0x1.f71756d62e57fp-12, -0x1.e4fbe710d53d4p-12, -0x1.d37ac651449ecp-12, -0x1.c28f3e87a7fep-12, -0x1.b234de7f87e2ap-12, -0x1.a2676fd46febp-12, -0x1.9322e769b8e74p-12, -0x1.846353569dc2p-12, -0x1.7624c9dded9dcp-12, -0x1.68635cdb5094bp-12, -0x1.5b1b141d6e61p-12, -0x1.4e47efa1774edp-12, -0x1.41e5f0f22875ap-12, -0x1.35f129842ddd2p-12, -0x1.2a65cb097764cp-12, -0x1.1f40368028318p-12, -0x1.147d07203b517p-12, -0x1.0a1917156fc08p-12, -0x1.00117d1187f05p-12, -0x1.ecc70614bed2dp-13, -0x1.da192f8815ddcp-13, -0x1.c8147bb062edp-13, -0x1.b6b3f6ff4e73bp-13, -0x1.a5f29c770acd4p-13, -0x1.95cb49246c909p-13, -0x1.8638bd5134eefp-13, -0x1.7735a9f6812d6p-13, -0x1.68bcc6af92eedp-13, -0x1.5ac8eb55cff52p-13, -0x1.4d5528621f023p-13, -0x1.405cd9eaee964p-13, -0x1.33dbb25021ee1p-13, -0x1.27cdbb49c74dbp-13, -0x1.1c2f4dddbf88cp-13, -0x1.10fd034b3b63ap-13, -0x1.0633a1e46d641p-13, -0x1.f7a0120e7c642p-14, -0x1.e39e3e5991fcfp-14, -0x1.d05b891151228p-14, -0x1.bdd197ee672ap-14, -0x1.abf9f5fd36092p-14, -0x1.9ace2118811ep-14, -0x1.8a47a1f13f199p-14, -0x1.7a60297725b68p-14, -0x1.6b11ac8d5ac66p-14, -0x1.5c56768838745p-14, -0x1.4e292d6a08527p-14, -0x1.4084c856f93e8p-14, -0x1.33647eb752037p-14, -0x1.26c3b94037101p-14, -0x1.1a9e0b5e7d40ap-14, -0x1.0eef34e791025p-14, -0x1.03b325f1b8995p-14, -0x1.f1cbface3fbf2p-15, -0x1.dd07fdf8bb078p-15, -0x1.c91307797e287p-15, -0x1.b5e5da12119p-15, -0x1.a379431601678p-15, -0x1.91c62c9797ea5p-15, -0x1.80c5bd8585b66p-15, -0x1.707173c15497p-15, -0x1.60c325cce6c29p-15, -0x1.51b4e6c90609fp-15, -0x1.4340d9baeb9ffp-15, -0x1.35610d77b4ec7p-15, -0x1.280f784956a1bp-15, -0x1.1b4618f677dap-15, -0x1.0eff2c9905d11p-15, -0x1.03355c7148208p-15, -0x1.efc79a2964d27p-16, -0x1.da0c19c80b94bp-16, -0x1.c52fe7f6fffeap-16, -0x1.b12b1a58592f7p-16, -0x1.9df625c7143c7p-16, -0x1.8b89efe7192fep-16, -0x1.79dfd56b0ae2fp-16, -0x1.68f18cfc18fb7p-16, -0x1.58b8e853605c3p-16, -0x1.492f89b5e3a94p-16, -0x1.3a4eac995432p-16, -0x1.2c0f1dd5a5feap-16, -0x1.1e6971317127fp-16, -0x1.1156666d381d8p-16, -0x1.04cf50e6a46bcp-16, -0x1.f19c8ea46cacap-17, -0x1.da9bf3533bdc4p-17, -0x1.c4928d169891bp-17, -0x1.af75bf63fffb1p-17, -0x1.9b3a971dfa518p-17, -0x1.87d69c2c5cc57p-17, -0x1.7540e36810479p-17, -0x1.63729ebe074cdp-17, -0x1.5266c2a43ffe5p-17, -0x1.4218ea3399e8ap-17, -0x1.32840a29aecd9p-17, -0x1.23a18e745639bp-17, -0x1.1569376bbef73p-17, -0x1.07d1adcc7e5c6p-17, -0x1.f5a314fea67b8p-18, -0x1.dcc0f03cd5f57p-18, -0x1.c4f003b9faee7p-18, -0x1.ae27493fa9937p-18, -0x1.985ffc9b34e4ap-18, -0x1.8392fff10da61p-18, -0x1.6fb6d767a3bb9p-18, -0x1.5cbf6d0fca687p-18, -0x1.4a9f7de574f29p-18, -0x1.394a93bd09d25p-18, -0x1.28b67dbd598cfp-18, -0x1.18dbc63099236p-18, -0x1.09b5198f932e2p-18, -0x1.f67c022fa0aep-19, -0x1.dae333b17f59p-19, -0x1.c09372973b623p-19, -0x1.a77d2350fb25dp-19, -0x1.8f8dccd4e2a7fp-19, -0x1.78b1f4445615p-19, -0x1.62d81a9df5dfdp-19, -0x1.4df371074de01p-19, -0x1.39fc863253071p-19, -0x1.26ef3a364ad78p-19, -0x1.14c731bad189fp-19, -0x1.037d43abd6971p-19, -0x1.e60ecbf50ac95p-20, -0x1.c6b4ee07207e7p-20, -0x1.a8d8af4a59074p-20, -0x1.8c6a162ad6329p-20, -0x1.715c04550dec8p-20, -0x1.57a033be0ce62p-20, -0x1.3f24c29046091p-20, -0x1.27d5ee3ceae1ep-20, -0x1.11a204e7c50f8p-20, -0x1.f8f773c23326ap-21, -0x1.d0b24a76eb276p-21, -0x1.aa61bfec900cfp-21, -0x1.85efdfeff91c6p-21, -0x1.6343b296bec6bp-21, -0x1.4244a7c6f20f4p-21, -0x1.22dee19fdce9cp-21, -0x1.05055710d2eb9p-21, -0x1.d15f561fc8814p-22, -0x1.9ba9ae8bcac5ep-22, -0x1.68cd96d0584dp-22, -0x1.38a733d96e1bfp-22, -0x1.0b16660d810f3p-22, -0x1.c0077e4e10d7ap-23, -0x1.6eb24e462329p-23, -0x1.21f639e65ad8p-23, -0x1.b32b529f79c24p-24, -0x1.2aae0239a88ccp-24, -0x1.5424d184a4cbfp-25, -0x1.881c1d929a945p-27, 0x1.033f806905db3p-26, 0x1.577834d6b14fcp-25, 0x1.1018325881f82p-24, 0x1.6e39378aa210ep-24, 0x1.c66f403006381p-24, 0x1.0c7eb1d01500ap-23, 0x1.3306607817206p-23, 0x1.56d98defb61a9p-23, 0x1.7808b343c039ap-23, 0x1.96b20f4a1bb46p-23, 0x1.b2f59a386b6dp-23, 0x1.cce656638a122p-23, 0x1.e490ad4f44709p-23, 0x1.fa099225ab919p-23, 0x1.06b76074d7d47p-22, 0x1.0f6e7967bc6a6p-22, 0x1.173548b800fdp-22, 0x1.1e1465a5b5141p-22, 0x1.241331eee5b5ep-22, 0x1.2938bef1c505cp-22, 0x1.2d8c0f9720058p-22, 0x1.31140e17dc81bp-22, 0x1.33d78dbdd4245p-22, 0x1.35dd677dd7ebap-22, 0x1.372c800db90cp-22, 0x1.37cbd1cb6d83fp-22, 0x1.37c27b7b2e9e6p-22, 0x1.37170ad3702b9p-22, 0x1.35ce6948a34abp-22, 0x1.33ec64eb220b9p-22, 0x1.3175a3403e562p-22, 0x1.2e701015cb038p-22, 0x1.2ae10b21d102bp-22, 0x1.26cc86656c947p-22, 0x1.2236a752c2f73p-22, 0x1.1d24ee72c768ap-22, 0x1.179cb858e6b4ap-22, 0x1.11a180e263a74p-22, 0x1.0b354e1eee5fbp-22, 0x1.045a6cf133609p-22, 0x1.fa297698b9f84p-23, 0x1.ead305d77d32dp-23, 0x1.dabc0b99f5e77p-23, 0x1.c9ecc69a880d9p-23, 0x1.b86adcd662c13p-23, 0x1.a635b2392f1e7p-23, 0x1.9347f2672fd19p-23, 0x1.7fa9b750f359cp-23, 0x1.6b6fef25c652ep-23, 0x1.56a2d73e4b2e7p-23, 0x1.4140f83e38cd1p-23, 0x1.2b539cc011182p-23, 0x1.14e4905344486p-23, 0x1.fbe0a990b9e71p-24, 0x1.cce2d5459d813p-24, 0x1.9cda5059ba293p-24, 0x1.6be0a303df1dep-24, 0x1.3a054017a92f4p-24, 0x1.0747fe205acf3p-24, 0x1.a75cd5947c088p-25, 0x1.3e996796242d1p-25, 0x1.a8d14b26d4a23p-26, 0x1.a35ef274f757p-27, -0x1.04346b35be981p-31, -0x1.c9155884e2c24p-27, -0x1.c36e60a9648b2p-26, -0x1.524c7d08c51b5p-25, -0x1.c3fb38b15143ap-25, -0x1.1b6fe1958c612p-24, -0x1.556f23c341f88p-24, -0x1.8fdf987f5106ap-24, -0x1.cacc48da3f26ap-24, -0x1.03168bdb0e3d1p-23, -0x1.20f0fe91ae709p-23, -0x1.3ef37463e2e96p-23, -0x1.5d20ac0b69c7bp-23, -0x1.7b7616e3b5fc4p-23, -0x1.99ede7f38a127p-23, -0x1.b881ee940fb06p-23, -0x1.d72d3c2df31p-23, -0x1.f5eece0c0814cp-23, -0x1.0a64f764c2d0ap-22, -0x1.19dee7adbef5bp-22, -0x1.296082c6255c3p-22, -0x1.38e6e69d067ap-22, -0x1.487336fc0b43fp-22, -0x1.58034726cc82p-22, -0x1.6791bce78dd23p-22, -0x1.771cb8a209ca4p-22, -0x1.86a2c5c26a66fp-22, -0x1.962228615ff17p-22, -0x1.a59efd3cef1eep-22, -0x1.b518090e93a73p-22, -0x1.c48b4e4493896p-22, -0x1.d3f81e64f0873p-22, -0x1.e356baccacc37p-22, -0x1.f2a628740d0fdp-22, -0x1.00f4264648643p-21, -0x1.088e361753ae8p-21, -0x1.102061ba6ccp-21, -0x1.17a9d8100fd8ap-21, -0x1.1f29e5e1a874cp-21, -0x1.269fe5bff9514p-21, -0x1.2e0b330774942p-21, }}, 
      {{-0x1.e7a9de3dc0e2ap-1, -0x1.e7524655a8d09p-1, -0x1.e6c07f136bad3p-1, -0x1.e5f4d8b09a068p-1, -0x1.e4efc22d990c8p-1, -0x1.e3b1c81062d66p-1, -0x1.e23b92ea4bdf1p-1, -0x1.e08de5ba5247fp-1, -0x1.dea99c3a26588p-1, -0x1.dc8fa91d19842p-1, -0x1.da4114443482cp-1, -0x1.d7bef8e9f038ep-1, -0x1.d50a83c953ba5p-1, -0x1.d224f1460f68ap-1, -0x1.cf0f8b9c882fp-1, -0x1.cbcba921188e8p-1, -0x1.c85aaa950f2b9p-1, -0x1.c4bdf99668b83p-1, -0x1.c0f7072d3fd95p-1, -0x1.bd074a77ecd67p-1, -0x1.b8f03f7505b5fp-1, -0x1.b4b365e911515p-1, -0x1.b052405cedb42p-1, -0x1.abce53318560fp-1, -0x1.a72923c583519p-1, -0x1.a26437aa0bbd9p-1, -0x1.9d8113e4110aep-1, -0x1.98813c388102ep-1, -0x1.936632822a396p-1, -0x1.8e317610d2d8bp-1, -0x1.88e48311724f2p-1, -0x1.8380d1ffdb7e4p-1, -0x1.7e07d7225c3e1p-1, -0x1.787b020fede4ep-1, -0x1.72dbbd418e8f8p-1, -0x1.6d2b6daf3ef7ep-1, -0x1.676b7278f322dp-1, -0x1.619d249b8ddd9p-1, -0x1.5bc1d6b1c2fa7p-1, -0x1.55dad4c0814d3p-1, -0x1.4fe9640e48ee8p-1, -0x1.49eec304a7a4dp-1, -0x1.43ec291aea371p-1, -0x1.3de2c6c8f3855p-1, -0x1.37d3c5811a36p-1, -0x1.31c047afe5dcbp-1, -0x1.2ba968c0847cfp-1, -0x1.25903d24e194fp-1, -0x1.1f75d26052d72p-1, -0x1.195b2f13f0296p-1, -0x1.1341530bc162fp-1, -0x1.0d29374c14806p-1, -0x1.0713ce1e65e42p-1, -0x1.0102031d7186ep-1, -0x1.f5e9768039a63p-2, -0x1.e9d9a9c61046bp-2, -0x1.ddd64fa1724c8p-2, -0x1.d1e10a90c209ep-2, -0x1.c5fb7006bccd2p-2, -0x1.ba2708734db6cp-2, -0x1.ae654f4aacb6dp-2, -0x1.a2b7b30b5fab5p-2, -0x1.971f9543b2b65p-2, -0x1.8b9e4a97590b1p-2, -0x1.80351ac5db8ecp-2, -0x1.74e540b281b4ep-2, -0x1.69afea6e4be1dp-2, -0x1.5e9639449fdb6p-2, -0x1.539941cb250f8p-2, -0x1.48ba0bf54770cp-2, -0x1.3df9932bc7621p-2, -0x1.3358c668a4197p-2, -0x1.28d888579854dp-2, -0x1.1e79af7b5328bp-2, -0x1.143d06577c4d9p-2, -0x1.0a234b9f87e14p-2, -0x1.002d326a3c24dp-2, -0x1.ecb6c4d39b034p-3, -0x1.d95cf050b498fp-3, -0x1.c64e0a910356p-3, -0x1.b38b21938ea3dp-3, -0x1.a1152ea0e57edp-3, -0x1.8eed16e0fd427p-3, -0x1.7d13abf6710c9p-3, -0x1.6b89ac9e432c9p-3, -0x1.5a4fc5534133p-3, -0x1.496690f42c174p-3, -0x1.38ce996bba78ep-3, -0x1.28885859a2c37p-3, -0x1.189437bbbc307p-3, -0x1.08f292967fb2ep-3, -0x1.f3476b3808329p-4, -0x1.d54fbfa1903bp-4, -0x1.b7fe865b17052p-4, -0x1.9b540a7b3febp-4, -0x1.7f507f720aedep-4, -0x1.63f40233c3f3dp-4, -0x1.493e9a5997c1dp-4, -0x1.2f303b3701ed6p-4, -0x1.15c8c4e36ddf3p-4, -0x1.fa100a6ed4eeep-5, -0x1.c9db717a06dadp-5, -0x1.9af31725ccb1ep-5, -0x1.6d5634843307cp-5, -0x1.4103e50c4c2a2p-5, -0x1.15fb280f663c1p-5, -0x1.d875c426711a8p-6, -0x1.8783bc22e8629p-6, -0x1.391d9d3a27575p-6, -0x1.da813bb8db43p-7, -0x1.47d38f5482f81p-7, -0x1.7457e4aaae6d4p-8, -0x1.8c1e753b137d8p-10, 0x1.48af08c79128fp-9, 0x1.a1d3e969af5a4p-8, 0x1.4abe4948b6226p-7, 0x1.bfb08a6da42e1p-7, 0x1.17e465981540ep-6, 0x1.4d87b2ed911a4p-6, 0x1.80c67d7154c1ap-6, 0x1.b1a5380144af9p-6, 0x1.e02877c57dccfp-6, 0x1.062a79f59547bp-5, 0x1.1b17c2b8950c1p-5, 0x1.2ede938212e93p-5, 0x1.41817a73a65e4p-5, 0x1.53031673cf7b5p-5, 0x1.6366172ba6ba3p-5, 0x1.72ad3d0773952p-5, 0x1.80db593937ca4p-5, 0x1.8df34dbc0b9d7p-5, 0x1.99f80d5778b21p-5, 0x1.a4ec9ba1dcd8p-5, 0x1.aed40d0108601p-5, 0x1.b7b186a85aad1p-5, 0x1.bf883e9399078p-5, 0x1.c65b7b7de976ep-5, 0x1.cc2e94d45ccdp-5, 0x1.d104f2a37acafp-5, 0x1.d4e20d7f5daep-5, 0x1.d7c96e65f9ea8p-5, 0x1.d9beae9b2d756p-5, 0x1.dac5777e6121p-5, 0x1.dae1825963626p-5, 0x1.da16982868cc5p-5, 0x1.d868915aec3adp-5, 0x1.d5db558d80fabp-5, 0x1.d272db3c5c2c3p-5, 0x1.ce33276eb9f76p-5, 0x1.c9204d5b15122p-5, 0x1.c33e6e0439643p-5, 0x1.bc91b7cf5e787p-5, 0x1.b51e6613690aep-5, 0x1.ace8c0a1681ccp-5, 0x1.a3f51b46a5296p-5, 0x1.9a47d5485806ap-5, 0x1.8fe558d95c06cp-5, 0x1.84d21a8a0ed2ep-5, 0x1.791298b2b4d1ep-5, 0x1.6cab5ad8aae3ep-5, 0x1.5fa0f10ea57ap-5, 0x1.51f7f35068b5p-5, 0x1.43b500da3b567p-5, 0x1.34dcbf7c78ca5p-5, 0x1.2573daeb8ea3dp-5, 0x1.157f040cd67cfp-5, 0x1.0502f0408a80cp-5, 0x1.e808b152a4779p-6, 0x1.c50ff2e34f767p-6, 0x1.a125221f01fefp-6, 0x1.7c51bf0d435d2p-6, 0x1.569f4b53b6148p-6, 0x1.301748b740664p-6, 0x1.08c3379ca6b24p-6, 0x1.c1592b124bb0ep-7, 0x1.6fb9b74792f83p-7, 0x1.1cbafa704366bp-7, 0x1.90df98ec13482p-8, 0x1.cbabce8fdf5fp-9, 0x1.c3f21bbc58675p-11, -0x1.dc08776880d89p-10, -0x1.28863c8ef65bp-8, -0x1.dbe952b62fdb2p-8, -0x1.48836d0b7a646p-7, -0x1.a3dd48d1796dep-7, -0x1.fff04167ba3a6p-7, -0x1.2e5541b4a4dcbp-6, -0x1.5cfd32f0dd372p-6, -0x1.8be73666d152fp-6, -0x1.bb0aa5c592884p-6, -0x1.ea5ef39cba106p-6, -0x1.0cedd641b0dc5p-5, -0x1.24bc3c1b13a21p-5, -0x1.3c968d55dd8f3p-5, -0x1.5478ba8ff2a1p-5, -0x1.6c5ec38a6242p-5, -0x1.8444b7a4faf6dp-5, -0x1.9c26b654caafap-5, -0x1.b400ef9577554p-5, -0x1.cbcfa4554f33fp-5, -0x1.e38f26dc163p-5, -0x1.fb3bdb2c7a4edp-5, -0x1.09691bb015535p-4, -0x1.152761ff4042ep-4, -0x1.20d70e26e7ca1p-4, -0x1.2c76774f9bfe8p-4, -0x1.3803fe4a95f15p-4, -0x1.437e0db23436dp-4, -0x1.4ee31a07dd37p-4, -0x1.5a31a1cf29e5cp-4, -0x1.65682da66a799p-4, -0x1.7085505c8b781p-4, -0x1.7b87a70467c0bp-4, -0x1.866dd9057ba08p-4, -0x1.9136982a197a6p-4, -0x1.9be0a0ab1a624p-4, -0x1.a66ab93911881p-4, -0x1.b0d3b30323854p-4, -0x1.bb1a69bb6cca1p-4, -0x1.c53dc3991ec04p-4, -0x1.cf3cb15849422p-4, -0x1.d9162e3779e9fp-4, -0x1.e2c93ff31898bp-4, -0x1.ec54f6beb7be2p-4, -0x1.f5b86d3c4344ep-4, -0x1.fef2c87133149p-4, -0x1.04019bdce4facp-3, -0x1.08747a5d33f03p-3, -0x1.0cd1a1a7850dap-3, -0x1.1118b8bc839cap-3, -0x1.15496ba587026p-3, -0x1.19636b69bc75fp-3, -0x1.1d666e028e51bp-3, -0x1.21522e4f3849fp-3, -0x1.25266c07ac987p-3, -0x1.28e2ebaebdcc7p-3, -0x1.2c8776839df6p-3, -0x1.3013da72bb174p-3, -0x1.3387ea05fb7e5p-3, -0x1.36e37c54681bdp-3, -0x1.3a266cf14a1c9p-3, -0x1.3d509bdac10d4p-3, -0x1.4061ed67ddd91p-3, -0x1.435a4a364546ep-3, -0x1.46399f176644fp-3, -0x1.48ffdcfd46a75p-3, -0x1.4bacf8e6f0055p-3, -0x1.4e40ebcc8744ep-3, -0x1.50bbb28b0fb45p-3, -0x1.531d4dcfe0bc8p-3, -0x1.5565c203d8b95p-3, -0x1.579517365bec2p-3, -0x1.59ab590806e85p-3, -0x1.5ba89695477cep-3, -0x1.5d8ce260bc71bp-3, -0x1.5f58523d74b92p-3, -0x1.610aff39119a9p-3, -0x1.62a50585d11d3p-3, -0x1.642684647d2ep-3, -0x1.658f9e0e59e52p-3, -0x1.66e0779eff8f4p-3, -0x1.681938fe383c8p-3, -0x1.693a0cc9dd4edp-3, -0x1.6a43203fb88d5p-3, -0x1.6b34a327742bbp-3, -0x1.6c0ec7bc9c68ep-3, -0x1.6cd1c298ac9dbp-3, -0x1.6d7dca9d3cd68p-3, -0x1.6e1318de49d0dp-3, -0x1.6e91e88c975bbp-3, -0x1.6efa76e03eb3cp-3, -0x1.6f4d03035d6a7p-3, -0x1.6f89cdfcf58f9p-3, -0x1.6fb11a9bf56fep-3, -0x1.6fc32d627257ep-3, -0x1.6fc04c711e464p-3, -0x1.6fa8bf72e7d64p-3, -0x1.6f7ccf88dfa7fp-3, -0x1.6f3cc73651ad6p-3, -0x1.6ee8f24d24d6cp-3, -0x1.6e819dda73eb3p-3, -0x1.6e0718136e81dp-3, -0x1.6d79b0427db65p-3, -0x1.6cd9b6b4ad79p-3, -0x1.6c277ca764286p-3, -0x1.6b635436624afp-3, -0x1.6a8d904a07c6ap-3, -0x1.69a68485f1ef8p-3, -0x1.68ae8537dff41p-3, -0x1.67a5e746eadaep-3, -0x1.668d00230d8a6p-3, -0x1.656425b4fbfbbp-3, -0x1.642bae4e5425bp-3, -0x1.62e3f09a1e119p-3, -0x1.618d438d9cdd2p-3, -0x1.6027fe597ebb7p-3, -0x1.5eb4785b589bap-3, -0x1.5d33090f78e42p-3, -0x1.5ba408031d93ap-3, -0x1.5a07ccc6e9b69p-3, -0x1.585eaee1c8d06p-3, -0x1.56a905c416e0dp-3, -0x1.54e728bb2aed2p-3, -0x1.53196ee53519cp-3, -0x1.51402f256f72dp-3, -0x1.4f5bc018ab0ffp-3, -0x1.4d6c780a2f06dp-3, -0x1.4b72ace8ee71ep-3, -0x1.496eb43d174e3p-3, -0x1.4760e31df083ep-3, -0x1.45498e2811a6bp-3, -0x1.43290973ed656p-3, -0x1.40ffa88caa427p-3, -0x1.3ecdbe67596aap-3, -0x1.3c939d5a72281p-3, -0x1.3a519715ac546p-3, -0x1.3807fc9a1e85cp-3, -0x1.35b71e32b7b6dp-3, -0x1.335f4b6cfe6bep-3, -0x1.3100d3122448ep-3, -0x1.2e9c032062aa3p-3, -0x1.2c3128c4ac8ecp-3, -0x1.29c09054962b6p-3, -0x1.274a8548a6ebbp-3, -0x1.24cf5236d68dfp-3, -0x1.224f40cd63f64p-3, -0x1.1fca99cdedfb2p-3, -0x1.1d41a508d0cd5p-3, -0x1.1ab4a958cc626p-3, -0x1.1823ec9ee9521p-3, -0x1.158fb3bea5d59p-3, -0x1.12f8429a5e961p-3, -0x1.105ddc0ffc17dp-3, -0x1.0dc0c1f5e05b2p-3, -0x1.0b21351809449p-3, -0x1.087f753578819p-3, -0x1.05dbc0fdd900bp-3, -0x1.0336560f52265p-3, -0x1.008f70f4a1604p-3, -0x1.fbce9a46bf687p-4, -0x1.f67c49f510cb3p-4, -0x1.f12863825c737p-4, -0x1.ebd3574ac5bf2p-4, -0x1.e67d9376b0ca4p-4, -0x1.e12783f95b8d8p-4, -0x1.dbd1928fd980ep-4, -0x1.d67c26c073852p-4, -0x1.d127a5da5534bp-4, -0x1.cbd472f5a1fffp-4, -0x1.c682eef3db364p-4, -0x1.c13378808e2f8p-4, -0x1.bbe66c126a411p-4, -0x1.b69c23ec9282dp-4, -0x1.b154f82042432p-4, -0x1.ac113e8ebee2ep-4, -0x1.a6d14aeb89063p-4, -0x1.a1956ebed96adp-4, -0x1.9c5df96867a17p-4, -0x1.972b3822577b1p-4, -0x1.91fd760485cffp-4, -0x1.8cd4fc07f70d3p-4, -0x1.87b2110a8e10ap-4, -0x1.8294f9d2f2dddp-4, -0x1.7d7df914b604fp-4, -0x1.786d4f749b44ap-4, -0x1.73633b8d20dd5p-4, -0x1.6e5ff9f3303b7p-4, -0x1.6963c53afb52p-4, -0x1.646ed5fd031ep-4, -0x1.5f8162db4bbb9p-4, -0x1.5a9ba086b2c87p-4, -0x1.55bdc1c467e75p-4, -0x1.50e7f77392d3ep-4, -0x1.4c1a70930a003p-4, -0x1.47555a4739388p-4, -0x1.4298dfe014c55p-4, -0x1.3de52adf37d37p-4, -0x1.393a62fe0df22p-4, -0x1.3498ae341fbfcp-4, -0x1.300030bd6b068p-4, -0x1.2b710d20dbeb3p-4, -0x1.26eb6436cdaccp-4, -0x1.226f552fa026ap-4, -0x1.1dfcfd9a6052p-4, -0x1.1994796b79c0ap-4, -0x1.1535e30379af4p-4, -0x1.10e15335d7e59p-4, -0x1.0c96e14fd0205p-4, -0x1.0856a31f3ba7ep-4, -0x1.0420acf978732p-4, -0x1.ffea2384ad3ep-5, -0x1.f7a7c5e6035b9p-5, -0x1.ef7a6141f6bbp-5, -0x1.e762130a0cf8dp-5, -0x1.df5ef6044e675p-5, -0x1.d771225919f5p-5, -0x1.cf98ada1261cp-5, -0x1.c7d5aaf350e99p-5, -0x1.c0282af284c7fp-5, -0x1.b8903bdb8f8f7p-5, -0x1.b10de992e0f6p-5, -0x1.a9a13db2538dcp-5, -0x1.a24a3f96d6723p-5, -0x1.9b08f46e07211p-5, -0x1.93dd5f43c395p-5, -0x1.8cc7810fa7f81p-5, -0x1.85c758c26169fp-5, -0x1.7edce353141fbp-5, -0x1.78081bcc7f5ep-5, -0x1.7148fb5a21196p-5, -0x1.6a9f79553aa04p-5, -0x1.640b8b51b3d7ep-5, -0x1.5d8d252ae9b76p-5, -0x1.57243910544cp-5, -0x1.50d0b7921e50ep-5, -0x1.4a928fad84d53p-5, -0x1.4469aed92d627p-5, -0x1.3e56011151359p-5, -0x1.385770e3b9531p-5, -0x1.326de77bab1f7p-5, -0x1.2c994cada7ee9p-5, -0x1.26d9870302009p-5, -0x1.212e7bc550c56p-5, -0x1.1b980f09c5d0ep-5, -0x1.161623bc4b9efp-5, -0x1.10a89baa8453ap-5, -0x1.0b4f578ea5ffep-5, -0x1.060a371a270ccp-5, -0x1.00d919003c8f2p-5, -0x1.f777b60085956p-6, -0x1.ed64b3dfc9f03p-6, -0x1.e378e38a53e69p-6, -0x1.d9b3fb40a2d46p-6, -0x1.d015afab08b89p-6, -0x1.c69db3eccb2b3p-6, -0x1.bd4bb9b6c92ep-6, -0x1.b41f7159f55cbp-6, -0x1.ab1889d957c7ep-6, -0x1.a236b0fbcc427p-6, -0x1.9979935d696d7p-6, -0x1.90e0dc8081064p-6, -0x1.886c36de64654p-6, -0x1.801b4bf7bc9dcp-6, -0x1.77edc46495ea5p-6, -0x1.6fe347e411072p-6, -0x1.67fb7d6bc39f2p-6, -0x1.60360b36c4484p-6, -0x1.589296d45b052p-6, -0x1.5110c53660257p-6, -0x1.49b03abf454d6p-6, -0x1.42709b4fdba32p-6, -0x1.3b518a549e23p-6, -0x1.3452aad2d3d74p-6, -0x1.2d739f755a1a5p-6, -0x1.26b40a98f683fp-6, -0x1.20138e5889e05p-6, -0x1.1991cc98cf0b5p-6, -0x1.132e6713e39c6p-6, -0x1.0ce8ff6475188p-6, -0x1.06c1371099b1ep-6, -0x1.00b6af9468ff3p-6, -0x1.f59214d8878c6p-7, -0x1.e9efd23d95b2fp-7, -0x1.de85da8d290a4p-7, -0x1.d353713730305p-7, -0x1.c857d9f870a43p-7, -0x1.bd9258ec64bd9p-7, -0x1.b302329e3cafep-7, -0x1.a8a6ac196ef5cp-7, -0x1.9e7f0af9bd682p-7, -0x1.948a957acdf75p-7, -0x1.8ac89286f752p-7, -0x1.813849c5e1ebfp-7, -0x1.77d903aa58b94p-7, -0x1.6eaa097fa0e18p-7, -0x1.65aaa576c1f75p-7, -0x1.5cda22b294581p-7, -0x1.5437cd53fc947p-7, -0x1.4bc2f2855ac7ap-7, -0x1.437ae085861a5p-7, -0x1.3b5ee6b27b266p-7, -0x1.336e55936e466p-7, -0x1.2ba87ee28ab84p-7, -0x1.240cb59632a99p-7, -0x1.1c9a4de9cc90dp-7, -0x1.15509d665913p-7, -0x1.0e2efaea5d5a8p-7, -0x1.0734beb16dddcp-7, -0x1.0061425bade45p-7, -0x1.f367c1e8c8971p-8, -0x1.e657edf18ab3fp-8, -0x1.d991c4bb796dep-8, -0x1.cd14052c0120cp-8, -0x1.c0dd712e86965p-8, -0x1.b4eccdbed5606p-8, -0x1.a940e2f26b27bp-8, -0x1.9dd87c016fa9dp-8, -0x1.92b2674ebbc57p-8, -0x1.87cd766f94cf9p-8, -0x1.7d287e32a4906p-8, -0x1.72c256a631915p-8, -0x1.6899db1e197ddp-8, -0x1.5eadea38df5c8p-8, -0x1.54fd65e49a416p-8, -0x1.4b873362b0a14p-8, -0x1.424a3b4bfceadp-8, -0x1.39456993bfe13p-8, -0x1.3077ad8a12538p-8, -0x1.27dff9de583dap-8, -0x1.1f7d44a0c5379p-8, -0x1.174e8743bf65dp-8, -0x1.0f52be9c9e50dp-8, -0x1.0788eae41c9bfp-8, -0x1.ffe01f6c84222p-9, -0x1.f10e68247a217p-9, -0x1.e29ac4b2706a2p-9, -0x1.d483509ae3a46p-9, -0x1.c6c62e218c539p-9, -0x1.b9618644b3b17p-9, -0x1.ac5388ba5477ep-9, -0x1.9f9a6be9bd235p-9, -0x1.93346ce693bdep-9, -0x1.871fcf6a78215p-9, -0x1.7b5addcdd3af3p-9, -0x1.6fe3e900ca3e7p-9, -0x1.64b9488322742p-9, -0x1.59d95a5bc715ep-9, -0x1.4f4283101e24bp-9, -0x1.44f32d9a38facp-9, -0x1.3ae9cb5f14bcep-9, -0x1.3124d424504fap-9, -0x1.27a2c60597fcfp-9, -0x1.1e6225692e3bbp-9, -0x1.15617cf472c6bp-9, -0x1.0c9f5d80529f2p-9, -0x1.041a5e0cb90abp-9, -0x1.f7a2376914fb5p-10, -0x1.e784733f507dcp-10, -0x1.d7d8c1ef0d62dp-10, -0x1.c89c81b011b75p-10, -0x1.b9cd1c856db2dp-10, -0x1.ab68082191a18p-10, -0x1.9d6ac5c963199p-10, -0x1.8fd2e237b8a55p-10, -0x1.829df580791a9p-10, -0x1.75c9a2f2b25bcp-10, -0x1.695398fade42fp-10, -0x1.5d399104868b2p-10, -0x1.51794f5b661f5p-10, -0x1.4610a30df4f3fp-10, -0x1.3afd65cbf46e5p-10, -0x1.303d7bc9d0098p-10, -0x1.25ced39f6b0b9p-10, -0x1.1baf662934517p-10, -0x1.11dd366779ffbp-10, -0x1.0856515fdf42fp-10, -0x1.fe319bf73c23p-11, -0x1.ec4599d0f8ea1p-11, -0x1.dae4f0f015733p-11, -0x1.ca0c08ff55d96p-11, -0x1.b9b75c6f787e1p-11, -0x1.a9e3783770436p-11, -0x1.9a8cfb92c1d75p-11, -0x1.8bb097c0bd393p-11, -0x1.7d4b0fc4ca311p-11, -0x1.6f59382377a9fp-11, -0x1.61d7f6a50083ap-11, -0x1.54c4421187b55p-11, -0x1.481b21f3f684ep-11, -0x1.3bd9ae5779513p-11, -0x1.2ffd0f8966171p-11, -0x1.24827dd80b3a2p-11, -0x1.1967415495233p-11, -0x1.0ea8b192b9efep-11, -0x1.0444356b33761p-11, -0x1.f46e85780fcd1p-12, -0x1.e0febc57842e9p-12, -0x1.ce3435d4f80f9p-12, -0x1.bc0a34eb02747p-12, -0x1.aa7c18b272fefp-12, -0x1.99855bec2332ep-12, -0x1.892194846d7aep-12, -0x1.794c73217162ap-12, -0x1.6a01c2a5f7ca7p-12, -0x1.5b3d67c2a895ap-12, -0x1.4cfb607c43d9p-12, -0x1.3f37c3bb58badp-12, -0x1.31eec0d94003bp-12, -0x1.251c9f2d06051p-12, -0x1.18bdbd9cb3a52p-12, -0x1.0cce922d6dba9p-12, -0x1.014ba994ba0aap-12, -0x1.ec634d98f4917p-13, -0x1.d6fa854c8734dp-13, -0x1.c25696c168bcp-13, -0x1.ae71487b8b623p-13, -0x1.9b448a3726f08p-13, -0x1.88ca7415dd7f7p-13, -0x1.76fd45d46790bp-13, -0x1.65d7660345e0ap-13, -0x1.5553613b7c1bbp-13, -0x1.456be95ae0a0cp-13, -0x1.361bd4c4764a1p-13, -0x1.275e1d9bba94bp-13, -0x1.192de10c148fcp-13, -0x1.0b865e8a711a9p-13, -0x1.fcc5ee3b410a7p-14, -0x1.e37e5952452c3p-14, -0x1.cb2d42732e65ap-14, -0x1.b3ca2ca0d1c13p-14, -0x1.9d4cd874ac9f3p-14, -0x1.87ad42c1bf361p-14, -0x1.72e3a33d8485cp-14, -0x1.5ee86b3ba981ep-14, -0x1.4bb4445b42ee2p-14, -0x1.39400f4b08d0bp-14, -0x1.2784e281f3b84p-14, -0x1.167c090d7dcb1p-14, -0x1.061f015395d71p-14, -0x1.eccef7cdb8a55p-15, -0x1.ce9eb4b96c014p-15, -0x1.b1a15c4359f16p-15, -0x1.95cb6ebb522cdp-15, -0x1.7b11c7a5e2b95p-15, -0x1.61699b8a28017p-15, -0x1.48c875cef29dcp-15, -0x1.3124369dcacc1p-15, -0x1.1a7310ca30bacp-15, -0x1.04ab87cc986c5p-15, -0x1.df88db7a32749p-16, -0x1.b769c2a7e4075p-16, -0x1.90e8981369e97p-16, -0x1.6bf4c0455ae9dp-16, -0x1.487e2dae42d99p-16, -0x1.26755cffe6cedp-16, -0x1.05cb5196d641dp-16, -0x1.cce323d79d4b1p-17, -0x1.90b44832334b3p-17, -0x1.56ef150a3fefp-17, -0x1.1f79810083736p-17, -0x1.d474dc4aecca8p-18, -0x1.6e3346ee25e19p-18, -0x1.0bff8d59e9a59p-18, -0x1.5b595829c5622p-19, -0x1.4c3d13112e1d3p-20, 0x1.009b6e81cc4d8p-24, 0x1.5ec28ac7189ccp-20, 0x1.50441e199b2b1p-19, 0x1.eaf7e0427c801p-19, 0x1.3fe216f67ea64p-18, }}, 
      {{-0x1.e7af2de4d4b66p-1, -0x1.e7677dbc67944p-1, -0x1.e6f020cd5a08ap-1, -0x1.e64943d1bb9cfp-1, -0x1.e57324dd07117p-1, -0x1.e46e12d472277p-1, -0x1.e33a6ccb1d285p-1, -0x1.e1d8a14a9a9ep-1, -0x1.e0492d8e8befbp-1, -0x1.de8c9cb7a3735p-1, -0x1.dca386f8741f7p-1, -0x1.da8e90bd73c35p-1, -0x1.d84e69d1608eep-1, -0x1.d5e3cc7f881adp-1, -0x1.d34f7cb5dcbep-1, -0x1.d092472926f76p-1, -0x1.cdad007dbb4f4p-1, -0x1.caa08476fcbfbp-1, -0x1.c76db52f9a32ep-1, -0x1.c4157a5beff41p-1, -0x1.c098c0976e08ep-1, -0x1.bcf878bd5692p-1, -0x1.b935974cab856p-1, -0x1.b55113d6d1edcp-1, -0x1.b14be878225b6p-1, -0x1.ad271159878a9p-1, -0x1.a8e38c3a410dfp-1, -0x1.a4825800e386fp-1, -0x1.a0047452d4792p-1, -0x1.9b6ae131997dap-1, -0x1.96b69e9d7951dp-1, -0x1.91e8ac3d14274p-1, -0x1.8d020909b6133p-1, -0x1.8803b300473efp-1, -0x1.82eea6d6ce324p-1, -0x1.7dc3dfb68783fp-1, -0x1.788456faa1735p-1, -0x1.733103f3a7f53p-1, -0x1.6dcadbafac692p-1, -0x1.6852d0c72c453p-1, -0x1.62c9d32eb1e12p-1, -0x1.5d30d00d1e01p-1, -0x1.5788b1967a763p-1, -0x1.51d25eeb30029p-1, -0x1.4c0ebbfb66fb1p-1, -0x1.463ea96e5781dp-1, -0x1.4063048d40fecp-1, -0x1.3a7ca731bc88dp-1, -0x1.348c67b71a33ap-1, -0x1.2e9318ee76939p-1, -0x1.28918a153638fp-1, -0x1.228886cd94e4dp-1, -0x1.1c78d718fe942p-1, -0x1.16633f53e530fp-1, -0x1.10488032d4af9p-1, -0x1.0a2956c084b6fp-1, -0x1.04067c5cb5eb1p-1, -0x1.fbc14d7757919p-2, -0x1.ef710fcc353b8p-2, -0x1.e31d9c72dbcd7p-2, -0x1.d6c848d094fc8p-2, -0x1.ca7262f67fb4fp-2, -0x1.be1d31a32ed67p-2, -0x1.b1c9f4447fcb7p-2, -0x1.a579e2f9a424dp-2, -0x1.992e2e955f8cp-2, -0x1.8ce800a09079p-2, -0x1.80a87b5d06c11p-2, -0x1.7470b9c8d003ap-2, -0x1.6841cfa203a23p-2, -0x1.5c1cc96b31e2ep-2, -0x1.5002ac7090a1ap-2, -0x1.43f476ce0063ap-2, -0x1.37f31f76026dap-2, -0x1.2bff9639bff96p-2, -0x1.201ac3d22df81p-2, -0x1.144589ea6f406p-2, -0x1.0880c32b75981p-2, -0x1.f99a86920368ep-3, -0x1.e257ae1ff0284p-3, -0x1.cb3a88ec49495p-3, -0x1.b4449556bb9fcp-3, -0x1.9d77445823de1p-3, -0x1.86d3f9aa7116dp-3, -0x1.705c0bf32d6cp-3, -0x1.5a10c4f0b5b74p-3, -0x1.43f361a9e53cep-3, -0x1.2e0512a029192p-3, -0x1.1846fc03ccc8ap-3, -0x1.02ba35ea5adaap-3, -0x1.dabf990dbf547p-4, -0x1.b07180c7c2834p-4, -0x1.868c0d3db7b47p-4, -0x1.5d11124a12e4dp-4, -0x1.34024de2958ecp-4, -0x1.0b616895db96cp-4, -0x1.c65fec14a5f0fp-5, -0x1.76deeafc4ff66p-5, -0x1.2842a48f77b42p-5, -0x1.b51b915941804p-6, -0x1.1b85c2c9bfd84p-6, -0x1.07914fee62eeep-7, 0x1.2173c375e87b1p-10, 0x1.4c2b5907f3bb6p-7, 0x1.382eaf69528adp-6, 0x1.c85e8d31c6791p-6, 0x1.2b50e70b6b44ap-5, 0x1.717a9c3505a2dp-5, 0x1.b6aae7640f233p-5, 0x1.fae0672b97809p-5, 0x1.1f0ceb442acc2p-4, 0x1.402b0605e7379p-4, 0x1.60c9fc86e6fe8p-4, 0x1.80e9547243728p-4, 0x1.a088a011aed6cp-4, 0x1.bfa77df0566f1p-4, 0x1.de4598812781p-4, 0x1.fc62a5c8a0435p-4, 0x1.0cff338503a1dp-3, 0x1.1b8c543c1b52cp-3, 0x1.29d8a074d6626p-3, 0x1.37e408c80f05dp-3, 0x1.45ae82d99feddp-3, 0x1.533809376ff17p-3, 0x1.60809b3a0d10ap-3, 0x1.6d883ce6cee3ep-3, 0x1.7a4ef6d37265fp-3, 0x1.86d4d60b272d4p-3, 0x1.9319ebf4ef4bbp-3, 0x1.9f1e4e3b55596p-3, 0x1.aae216b559e0cp-3, 0x1.b66563508e801p-3, 0x1.c1a855fc48c1cp-3, 0x1.ccab1495e845ep-3, 0x1.d76dc8d60442ap-3, 0x1.e1f0a03e9110bp-3, 0x1.ec33cc09d007cp-3, 0x1.f637811a06256p-3, 0x1.fffbf7e9e8c7fp-3, 0x1.04c0b63ed6218p-2, 0x1.09640f2a50798p-2, 0x1.0de8282dabe3p-2, 0x1.124d246f1badep-2, 0x1.169328be3b97bp-2, 0x1.1aba5b8db879dp-2, 0x1.1ec2e4ed1a647p-2, 0x1.22acee82b1e96p-2, 0x1.2678a385976e7p-2, 0x1.2a2630b7bd692p-2, 0x1.2db5c46010adep-2, 0x1.31278e449e05cp-2, 0x1.347bbfa4b520cp-2, 0x1.37b28b3313024p-2, 0x1.3acc250ff8326p-2, 0x1.3dc8c2c34040ep-2, 0x1.40a89b365fc5ep-2, 0x1.436be6ae5a786p-2, 0x1.4612dec59c3d1p-2, 0x1.489dbe65bedbep-2, 0x1.4b0cc1c136a3ap-2, 0x1.4d60264ce1258p-2, 0x1.4f982ab978acp-2, 0x1.51b50eece4f33p-2, 0x1.53b713fb725f1p-2, 0x1.559e7c20e20d1p-2, 0x1.576b8ab95e306p-2, 0x1.591e843a45172p-2, 0x1.5ab7ae2adb8e3p-2, 0x1.5c374f1cd57d3p-2, 0x1.5d9daea4c09a4p-2, 0x1.5eeb15524e921p-2, 0x1.601fcca87b1fap-2, 0x1.613c1f1595fe6p-2, 0x1.624057eb2d319p-2, 0x1.632cc355d730ap-2, 0x1.6401ae54e5c49p-2, 0x1.64bf66b1f8593p-2, 0x1.65663af877703p-2, 0x1.65f67a6cfb681p-2, 0x1.66707504963c6p-2, 0x1.66d47b5c0de13p-2, 0x1.6722deaf0425dp-2, 0x1.675bf0cf0b3d9p-2, 0x1.6780041aad879p-2, 0x1.678f6b746a576p-2, 0x1.678a7a39a2e8fp-2, 0x1.677184398672ep-2, 0x1.6744ddabf096dp-2, 0x1.6704db284a751p-2, 0x1.66b1d19c64b6dp-2, 0x1.664c16435279fp-2, 0x1.65d3fe9c4bb62p-2, 0x1.6549e0618bad4p-2, 0x1.64ae117f3d6e9p-2, 0x1.6400e80a6c4eep-2, 0x1.6342ba3802e48p-2, 0x1.6273de53d1edcp-2, 0x1.6194aab7aa915p-2, 0x1.60a575c288e4cp-2, 0x1.5fa695cfcc14ap-2, 0x1.5e98612e89d22p-2, 0x1.5d7b2e18f519bp-2, 0x1.5c4f52abd9a63p-2, 0x1.5b1524de38d09p-2, 0x1.59ccfa78fa39cp-2, 0x1.5877290ebe52bp-2, 0x1.571405f3cd79fp-2, 0x1.55a3e63626c4ap-2, 0x1.54271e95b1f5bp-2, 0x1.529e037c92015p-2, 0x1.5108e8f79c117p-2, 0x1.4f6822aef53dcp-2, 0x1.4dbc03ded4547p-2, 0x1.4c04df506c897p-2, 0x1.4a430752ffbb4p-2, 0x1.4876cdb5192dap-2, 0x1.46a083bdf3cf1p-2, 0x1.44c07a2709d51p-2, 0x1.42d70115d2873p-2, 0x1.40e46815a88p-2, 0x1.3ee8fe11de1bbp-2, 0x1.3ce511500248p-2, 0x1.3ad8ef6a4d59ep-2, 0x1.38c4e54a4005fp-2, 0x1.36a93f2371d91p-2, 0x1.3486486e88272p-2, 0x1.325c4be464d4bp-2, 0x1.302b93797af34p-2, 0x1.2df4685959e72p-2, 0x1.2bb712e264879p-2, 0x1.2973daa1b6de5p-2, 0x1.272b064f3c475p-2, 0x1.24dcdbc9f5811p-2, 0x1.2289a01469666p-2, 0x1.203197514adedp-2, 0x1.1dd504c047469p-2, 0x1.1b742abb06172p-2, 0x1.190f4ab255ddbp-2, 0x1.16a6a52b852c1p-2, 0x1.143a79bdebeadp-2, 0x1.11cb07109c401p-2, 0x1.0f588ad845295p-2, 0x1.0ce341d53b58ap-2, 0x1.0a6b67d1b1208p-2, 0x1.07f137a018289p-2, 0x1.0574eb19a9648p-2, 0x1.02f6bb1d1baaep-2, 0x1.0076df8d7ecb8p-2, 0x1.fbeb1ea285443p-3, 0x1.f6e600a2bd671p-3, 0x1.f1decef150d4fp-3, 0x1.ecd5f16695807p-3, 0x1.e7cbcddcc1491p-3, 0x1.e2c0c82f75df7p-3, 0x1.ddb5423b8414p-3, 0x1.d8a99bdf01d45p-3, 0x1.d39e32f999556p-3, 0x1.ce93636d213fbp-3, 0x1.c989871e75f2dp-3, 0x1.c480f5f68db7dp-3, 0x1.bf7a05e3cc48ap-3, 0x1.ba750adb93ea8p-3, 0x1.b57256dc0fb44p-3, 0x1.b07239ee3620ep-3, 0x1.ab750227fea66p-3, 0x1.a67afbaed6a12p-3, 0x1.a18470ba3f974p-3, 0x1.9c91a996a2426p-3, 0x1.97a2eca8557f7p-3, 0x1.92b87e6ed1393p-3, 0x1.8dd2a1880b8b2p-3, 0x1.88f196b404839p-3, 0x1.84159cd87cff1p-3, 0x1.7f3ef104cfd2p-3, 0x1.7a6dce75f8af9p-3, 0x1.75a26e9ab8f8bp-3, 0x1.70dd0917e4206p-3, 0x1.6c1dd3cccc9b4p-3, 0x1.676502d7d07a6p-3, 0x1.62b2c89b06907p-3, 0x1.5e0755c104398p-3, 0x1.5962d941c56f9p-3, 0x1.54c58067a7588p-3, 0x1.502f76d48602ep-3, 0x1.4ba0e686e2ef2p-3, 0x1.4719f7df2fa86p-3, 0x1.429ad1a5258f6p-3, 0x1.3e23990d31e0bp-3, 0x1.39b471bdf270ep-3, 0x1.354d7dd5c7857p-3, 0x1.30eeddf06f5a7p-3, 0x1.2c98b12cb4211p-3, 0x1.284b1532248c4p-3, 0x1.24062636d6eb9p-3, 0x1.1fc9ff0537b56p-3, 0x1.1b96b901e704fp-3, 0x1.176c6c3192943p-3, 0x1.134b2f3ee06b5p-3, 0x1.0f3317805b536p-3, 0x1.0b2438fe6651dp-3, 0x1.071ea67933a8fp-3, 0x1.0322716eb934fp-3, 0x1.fe5f544167798p-4, 0x1.f68cbf3534db9p-4, 0x1.eecd3f6f42979p-4, 0x1.e720ee51676bfp-4, 0x1.df87e2f4da537p-4, 0x1.d802323620867p-4, 0x1.d08feec0f7f6ep-4, 0x1.c931291c3900bp-4, 0x1.c1e5efb5abc99p-4, 0x1.baae4eedd312cp-4, 0x1.b38a5123a8f7ep-4, 0x1.ac79fec054a43p-4, 0x1.a57d5e42ce70ap-4, 0x1.9e94744b66192p-4, 0x1.97bf43a74f74dp-4, 0x1.90fdcd5c087ap-4, 0x1.8a5010b2b3d2fp-4, 0x1.83b60b435bb2dp-4, 0x1.7d2fb90021236p-4, 0x1.76bd14405149bp-4, 0x1.705e15cb66f67p-4, 0x1.6a12b4e3ec5f5p-4, 0x1.63dae75248f67p-4, 0x1.5db6a16f734ap-4, 0x1.57a5d62f84fb1p-4, 0x1.51a8772c369bp-4, 0x1.4bbe74af39676p-4, 0x1.45e7bdbc7a279p-4, 0x1.4024401c3f72ep-4, 0x1.3a73e8652cb1ep-4, 0x1.34d6a20626b07p-4, 0x1.2f4c5750152e1p-4, 0x1.29d4f17f85d19p-4, 0x1.247058c630538p-4, 0x1.1f1e745455b6fp-4, 0x1.19df2a61ff7e3p-4, 0x1.14b2603820159p-4, 0x1.0f97fa398d3edp-4, 0x1.0a8fdbebd6c61p-4, 0x1.0599e80000e3ep-4, 0x1.00b6005b15fc8p-4, 0x1.f7c80c3d2ab84p-5, 0x1.ee47b36185a12p-5, 0x1.e4eab5899f1cfp-5, 0x1.dbb0d0c5bec11p-5, 0x1.d299c1dfd7113p-5, 0x1.c9a5446b03208p-5, 0x1.c0d312d2bd20ep-5, 0x1.b822e669c94c3p-5, 0x1.af947778e286cp-5, 0x1.a7277d4d1182cp-5, 0x1.9edbae45c8133p-5, 0x1.96b0bfe2b2f59p-5, 0x1.8ea666d14321p-5, 0x1.86bc56f9eb15ep-5, 0x1.7ef2438d1e9abp-5, 0x1.7747df10045cbp-5, 0x1.6fbcdb68e8f08p-5, 0x1.6850e9eb61997p-5, 0x1.6103bb64393c3p-5, 0x1.59d5002501d72p-5, 0x1.52c4680f78f08p-5, 0x1.4bd1a2a098489p-5, 0x1.44fc5efb6abaap-5, 0x1.3e444bf39b747p-5, 0x1.37a91817bbfe1p-5, 0x1.312a71bb5250ap-5, 0x1.2ac80700a73e3p-5, 0x1.248185e246bd4p-5, 0x1.1e569c3c49512p-5, 0x1.1846f7d559e4fp-5, 0x1.125246678a09ap-5, 0x1.0c7835a8cbc84p-5, 0x1.06b873534c7d8p-5, 0x1.0112ad2d7e6ecp-5, 0x1.f70d2223d9c88p-6, 0x1.ec2799edb2bf3p-6, 0x1.e1741deb2bf2ap-6, 0x1.d6f20aa357563p-6, 0x1.cca0bcff8122bp-6, 0x1.c27f92589ec1dp-6, 0x1.b88de88443fcep-6, 0x1.aecb1de128fd3p-6, 0x1.a53691634609ap-6, 0x1.9bcfa29f80cbp-6, 0x1.9295b1d6fec8ap-6, 0x1.8988200201ad8p-6, 0x1.80a64eda6b96fp-6, 0x1.77efa0e5c83e8p-6, 0x1.6f63797f0f111p-6, 0x1.67013cdff617p-6, 0x1.5ec85029ec32ep-6, 0x1.56b8196eaca25p-6, 0x1.4ecfffb8802a8p-6, 0x1.470f6b1224e65p-6, 0x1.3f75c48e5660bp-6, 0x1.3802764f062b4p-6, 0x1.30b4eb8c3628dp-6, 0x1.298c909a9870ap-6, 0x1.2288d2f1ae6afp-6, 0x1.1ba92131cd306p-6, 0x1.14eceb29ba77cp-6, 0x1.0e53a1dbf512bp-6, 0x1.07dcb783b928ep-6, 0x1.01879f99c4693p-6, 0x1.f6a79db1a6526p-7, 0x1.ea817683857bp-7, 0x1.de9bb83efe172p-7, 0x1.d2f554156896bp-7, 0x1.c78d3dda4d6c5p-7, 0x1.bc626c09d0ddfp-7, 0x1.b173d7ce75f2cp-7, 0x1.a6c07d0677d2fp-7, 0x1.9c475a48afc0cp-7, 0x1.920770e8ff378p-7, 0x1.87ffc4fc4dacap-7, 0x1.7e2f5d5c2534ep-7, 0x1.749543a9c26cep-7, 0x1.6b308450e7dcfp-7, 0x1.62002e8a2e7a6p-7, 0x1.5903545d01b78p-7, 0x1.50390aa126c3bp-7, 0x1.47a069001bd33p-7, 0x1.3f3889f5cb6bbp-7, 0x1.37008ad14c801p-7, 0x1.2ef78bb4dfc33p-7, 0x1.271caf960849bp-7, 0x1.1f6f1c3cf612bp-7, 0x1.17edfa43f3aa6p-7, 0x1.1098751644626p-7, 0x1.096dbaeee9c59p-7, 0x1.026cfcd719ab6p-7, 0x1.f72add48b1a13p-8, 0x1.e9cc8decf9e5ep-8, 0x1.dcbd7e6a78ba6p-8, 0x1.cffc271ba5f83p-8, 0x1.c38705dfe96c5p-8, 0x1.b75c9e1623a15p-8, 0x1.ab7b7895d4003p-8, 0x1.9fe223a8827fap-8, 0x1.948f330284a9p-8, 0x1.89813fbb4b8d6p-8, 0x1.7eb6e845915bcp-8, 0x1.742ed066e99f4p-8, 0x1.69e7a12f39903p-8, 0x1.5fe008eff7899p-8, 0x1.5616bb329be4ap-8, 0x1.4c8a70af4cefdp-8, 0x1.4339e743311c2p-8, 0x1.3a23e1e6253a3p-8, 0x1.314728a0b9156p-8, 0x1.28a2888180eccp-8, 0x1.2034d3925e318p-8, 0x1.17fce0cda6c6dp-8, 0x1.0ff98c12e7c51p-8, 0x1.0829b61ba44c8p-8, 0x1.008c446fe2cd8p-8, 0x1.f24042b4badb4p-9, 0x1.e3c877b9d7222p-9, 0x1.d5af0f48e1e4ap-9, 0x1.c7f1f9f99613bp-9, 0x1.ba8f31894ec22p-9, 0x1.ad84b8c28510dp-9, 0x1.a0d09b63d992ep-9, 0x1.9470ee0726241p-9, 0x1.8863ce087e4b4p-9, 0x1.7ca7616c8f2bfp-9, 0x1.7139d6c7a8eaep-9, 0x1.66196523b67a5p-9, 0x1.5b444be6eaabbp-9, 0x1.50b8d2b9fd39fp-9, 0x1.4675496e460d6p-9, 0x1.3c7807e3d51e7p-9, 0x1.32bf6deffdc08p-9, 0x1.2949e342b39eap-9, 0x1.2015d74d52421p-9, 0x1.1721c12854b21p-9, 0x1.0e6c1f7953713p-9, 0x1.05f378597672dp-9, 0x1.fb6cb2766276ap-10, 0x1.eb66ada1e6a4dp-10, 0x1.dbd219e5d4084p-10, 0x1.ccac3d0b1757ap-10, 0x1.bdf26ac00db14p-10, 0x1.afa2046571884p-10, 0x1.a1b878dafb01p-10, 0x1.9433444d8b7f6p-10, 0x1.870ff0043a19ap-10, 0x1.7a4c122e39583p-10, 0x1.6de54db0e69d4p-10, 0x1.61d951f6a9d82p-10, 0x1.5625dabc8eb48p-10, 0x1.4ac8afe22f243p-10, 0x1.3fbfa5386f0a5p-10, 0x1.35089a51353a5p-10, 0x1.2aa17a4f6da66p-10, 0x1.20883bb71fd17p-10, 0x1.16bae03e4b6a3p-10, 0x1.0d37749d5c307p-10, 0x1.03fc10616b95ap-10, 0x1.f60dab7a50c17p-11, 0x1.e4abe2b78b9d7p-11, 0x1.d3cf34656f90bp-11, 0x1.c37422aa8a88bp-11, 0x1.b39743902a84ap-11, 0x1.a43540a87950ep-11, 0x1.954ad6b8462fep-11, 0x1.86d4d5604d951p-11, 0x1.78d01ec71ef3bp-11, 0x1.6b39a74487368p-11, 0x1.5e0e750da4c6fp-11, 0x1.514b9fe176c0ep-11, 0x1.44ee50b801f41p-11, 0x1.38f3c16f7816ep-11, 0x1.2d593c7d4f1a9p-11, 0x1.221c1c9ef6fedp-11, 0x1.1739cc8a5f3b2p-11, 0x1.0cafc6a215251p-11, 0x1.027b94a8005a8p-11, 0x1.f1359ee3c0d02p-12, 0x1.de163d3ebb76ep-12, 0x1.cb94709f43c72p-12, 0x1.b9abc1b3742c7p-12, 0x1.a857d5097ab87p-12, 0x1.97946a80ecf19p-12, 0x1.875d5cc13f223p-12, 0x1.77aea0afa9493p-12, 0x1.688444e6e1c55p-12, 0x1.59da7131d6828p-12, 0x1.4bad6609093f4p-12, 0x1.3df97c107a951p-12, 0x1.30bb239623c44p-12, 0x1.23eee4166a601p-12, 0x1.17915bbd6051fp-12, 0x1.0b9f3eeff70bp-12, 0x1.001557cf5f90bp-12, 0x1.e9e10b8dc7f6p-13, 0x1.d45b7a27c9992p-13, 0x1.bf940caa37424p-13, 0x1.ab84fc3285df8p-13, 0x1.9828a8de5a961p-13, 0x1.857998f23e4c2p-13, 0x1.737278029b90ap-13, 0x1.620e161ea59a9p-13, 0x1.514767027b29ap-13, 0x1.41198149bbcabp-13, 0x1.317f9da6c2f6dp-13, 0x1.2275161d0fa47p-13, 0x1.13f5653e903ddp-13, 0x1.05fc256dd4641p-13, 0x1.f10a204397d43p-14, 0x1.d717fa5e20e4p-14, 0x1.be19c4208f1c2p-14, 0x1.a607a271805a3p-14, 0x1.8ed9f2c63efa8p-14, 0x1.788949cf37215p-14, 0x1.630e7226224dap-14, 0x1.4e626b070ceccp-14, 0x1.3a7e670b3a079p-14, 0x1.275bcaea516cep-14, 0x1.14f42c4634b24p-14, 0x1.03415076b1709p-14, 0x1.e47a56c4836dap-15, 0x1.c3c3bca79f30ap-15, 0x1.a4536dbcd82c4p-15, 0x1.861e5b7f511a9p-15, 0x1.6919cb9c95de6p-15, 0x1.4d3b55d09923ep-15, 0x1.3278e1d5abefap-15, 0x1.18c8a55b47d98p-15, 0x1.00212208d6377p-15, 0x1.d0f24714c3048p-16, 0x1.a38f7b4df3aaap-16, 0x1.780894be7b64dp-16, 0x1.4e4cd03b4bee7p-16, 0x1.264befc97aa35p-16, 0x1.ffec6e4cb1f4ep-17, 0x1.b678d0a5eb3f6p-17, 0x1.701f806bc40dbp-17, 0x1.2cc3e6ac06a3dp-17, 0x1.d894aa99e1472p-18, 0x1.5d3001488ce31p-18, 0x1.ce4be59f0368bp-19, 0x1.d91134d7342eep-20, 0x1.4b4feccaa6b7ap-23, -0x1.7319c942832fap-20, -0x1.7e97f32dfd622p-19, -0x1.1d6208f5f4117p-18, -0x1.77331e85ea338p-18, -0x1.cce84e8ad61c7p-18, -0x1.0f54a6d5b289ap-17, -0x1.364e3d7cb04bdp-17, -0x1.5b7374d8e15fdp-17, -0x1.7ed6356f5713dp-17, -0x1.a087cb4a8482cp-17, -0x1.c098ea90a9f5p-17, -0x1.df19b3f1ce26dp-17, -0x1.fc19b8fbe907fp-17, -0x1.0bd40029d9f62p-16, -0x1.18e984f27ef5ep-16, -0x1.2554696eff2fep-16, -0x1.311b6cd023aa9p-16, -0x1.3c4510ca62cb8p-16, -0x1.46d79b78427c1p-16, -0x1.50d9192a3f00cp-16, -0x1.5a4f5e29e2796p-16, -0x1.63400877a8c12p-16, -0x1.6bb08180f5721p-16, -0x1.73a5ffb86d732p-16, -0x1.7b25883cc4ae6p-16, -0x1.8233f061305ddp-16, -0x1.88d5df33ce353p-16, -0x1.8f0fcefa5a9ap-16, -0x1.94e60e9fd655dp-16, -0x1.9a5cc31e4085dp-16, -0x1.9f77e8dc14ea5p-16, -0x1.a43b54fdc9adbp-16, -0x1.a8aab6b3ab9f7p-16, -0x1.acc9987c45b21p-16, -0x1.b09b615b2ef92p-16, -0x1.b423560a7579fp-16, -0x1.b7649a23b0798p-16, -0x1.ba623142f7dcap-16, -0x1.bd1f0019b9314p-16, -0x1.bf9dcd81598dbp-16, -0x1.c1e14383c0e58p-16, -0x1.c3ebf05baa66dp-16, -0x1.c5c0476bb508p-16, -0x1.c760a239a0b29p-16, -0x1.c8cf414fe1f05p-16, -0x1.ca0e4d28228a9p-16, -0x1.cb1fd70886041p-16, -0x1.cc05d9d7dd187p-16, -0x1.ccc23af17b8fdp-16, -0x1.cd56caefb7325p-16, -0x1.cdc5467057567p-16, -0x1.ce0f56d27cb21p-16, -0x1.ce3692f31783ep-16, -0x1.ce3c7fd9bdd26p-16, -0x1.ce22916d1292bp-16, -0x1.cdea2b164e66cp-16, -0x1.cd94a069225ddp-16, -0x1.cd2335bee1b3bp-16, -0x1.cc9720cf96572p-16, -0x1.cbf18946e47fp-16, -0x1.cb3389547b057p-16, -0x1.ca5e2e331d092p-16, -0x1.c97278b425fe6p-16, }}, 
      {{-0x1.e7bf1e0e390ddp-1, -0x1.e7a7372a9d76dp-1, -0x1.e77f67061ae6dp-1, -0x1.e747b69940c9ep-1, -0x1.e700325f82047p-1, -0x1.e6a8ea4382cefp-1, -0x1.e641f186c9b1ep-1, -0x1.e5cb5ea5e2c58p-1, -0x1.e5454b39ed417p-1, -0x1.e4afd3d856a31p-1, -0x1.e40b17f13fe1p-1, -0x1.e35739ace3c0ap-1, -0x1.e2945dc82f8fdp-1, -0x1.e1c2ab70c5047p-1, -0x1.e0e24c20928e3p-1, -0x1.dff36b7944132p-1, -0x1.def6371fc9e25p-1, -0x1.ddeade984110ep-1, -0x1.dcd1932281352p-1, -0x1.dbaa87978df35p-1, -0x1.da75f04825f8cp-1, -0x1.d93402dc909b4p-1, -0x1.d7e4f635ce2bbp-1, -0x1.d68902503357ep-1, -0x1.d520602774e2ap-1, -0x1.d3ab499c202cfp-1, -0x1.d229f95a719cfp-1, -0x1.d09caac276a14p-1, -0x1.cf0399d16b7c4p-1, -0x1.cd5f030c3b1c4p-1, -0x1.cbaf236b112bap-1, -0x1.c9f43845e85b9p-1, -0x1.c82e7f4208277p-1, -0x1.c65e36406009bp-1, -0x1.c4839b4cb950cp-1, -0x1.c29eec8db37b3p-1, -0x1.c0b0683585d4fp-1, -0x1.beb84c7381b67p-1, -0x1.bcb6d76650c8bp-1, -0x1.baac470eeea3ep-1, -0x1.b898d9445730fp-1, -0x1.b67ccba7efbdbp-1, -0x1.b4585b9a9e725p-1, -0x1.b22bc6329651dp-1, -0x1.aff74831cfd94p-1, -0x1.adbb1dfd2b635p-1, -0x1.ab7783943a031p-1, -0x1.a92cb489a409ep-1, -0x1.a6daebfc2c581p-1, -0x1.a48264904346p-1, -0x1.a223586a28b55p-1, -0x1.9fbe01288f376p-1, -0x1.9d5297dfbc532p-1, -0x1.9ae155151c76ep-1, -0x1.986a70bb40af2p-1, -0x1.95ee222e4185fp-1, -0x1.936ca0307a0ffp-1, -0x1.90e620e79813dp-1, -0x1.8e5ad9d9f4fb3p-1, -0x1.8bcaffec363bep-1, -0x1.8936c75f283fp-1, -0x1.869e63cdd2e5dp-1, -0x1.8402082bbedfdp-1, -0x1.8161e6c3684dcp-1, -0x1.7ebe3134da83ap-1, -0x1.7c1718746ec1ep-1, -0x1.796cccc9adacdp-1, -0x1.76bf7dce4ee4bp-1, -0x1.740f5a6d541acp-1, -0x1.715c90e23e18dp-1, -0x1.6ea74eb85b13p-1, -0x1.6befc0ca2c104p-1, -0x1.69361340e088ep-1, -0x1.667a7193e7c9fp-1, -0x1.63bd068898c75p-1, -0x1.60fdfc31eed11p-1, -0x1.5e3d7bf05b9e1p-1, -0x1.5b7bae71af1b6p-1, -0x1.58b8bbb115395p-1, -0x1.55f4caf7297dep-1, -0x1.533002da20cc7p-1, -0x1.506a893e09d4ap-1, -0x1.4da4835525405p-1, -0x1.4ade15a053368p-1, -0x1.481763ef99b7ep-1, -0x1.45509162c168bp-1, -0x1.4289c06a0a8cp-1, -0x1.3fc312c6f7c35p-1, -0x1.3cfca98d30ff2p-1, -0x1.3a36a5237e2f6p-1, -0x1.37712544d5f63p-1, -0x1.34ac490183aadp-1, -0x1.31e82ec0643a6p-1, -0x1.2f24f4403511p-1, -0x1.2c62b698f9011p-1, -0x1.29a1923d70131p-1, -0x1.26e1a2fca15dcp-1, -0x1.24230403771f7p-1, -0x1.2165cfde6a735p-1, -0x1.1eaa207b3ea48p-1, -0x1.1bf00f2acc1d6p-1, -0x1.1937b4a2d6566p-1, -0x1.168128fff0b8p-1, -0x1.13cc83c76b684p-1, -0x1.1119dbe94cd8cp-1, -0x1.0e6947c2517d2p-1, -0x1.0bbadd1df4bddp-1, -0x1.090eb1387fa2bp-1, -0x1.0664d8c11c54p-1, -0x1.03bd67dbeeaa4p-1, -0x1.011872242e804p-1, -0x1.fcec155c89c22p-2, -0x1.f7ac8813d5805p-2, -0x1.f27260888bde3p-2, -0x1.ed3dc1d40d075p-2, -0x1.e80ece1304877p-2, -0x1.e2e5a6699917dp-2, -0x1.ddc26b0799c9cp-2, -0x1.d8a53b2c9bcc4p-2, -0x1.d38e352c15fe8p-2, -0x1.ce7d76716d8e8p-2, -0x1.c9731b83f5663p-2, -0x1.c46f400ae4cc4p-2, -0x1.bf71fed13b1c2p-2, -0x1.ba7b71c998ef5p-2, -0x1.b58bb212042b1p-2, -0x1.b0a2d7f7a2d0ap-2, -0x1.abc0fafa5e0eep-2, -0x1.a6e631d077b09p-2, -0x1.a212926a0e646p-2, -0x1.9d4631f48c06fp-2, -0x1.988124de06bb6p-2, -0x1.93c37ed88b95cp-2, -0x1.8f0d52dd59e0dp-2, -0x1.8a5eb33007f5bp-2, -0x1.85b7b1619bc32p-2, -0x1.81185e538ab37p-2, -0x1.7c80ca3aaa9ecp-2, -0x1.77f104a212e7bp-2, -0x1.73691c6de72a5p-2, -0x1.6ee91fde14b8dp-2, -0x1.6a711c90fe815p-2, -0x1.66011f861609bp-2, -0x1.6199352066c96p-2, -0x1.5d396929128f3p-2, -0x1.58e1c6d1bcc01p-2, -0x1.549258b6e6a18p-2, -0x1.504b28e240a5ap-2, -0x1.4c0c40cceb712p-2, -0x1.47d5a961ac206p-2, -0x1.43a76aff14ac5p-2, -0x1.3f818d79a06fdp-2, -0x1.3b64181dc53cep-2, -0x1.374f11b1f9e4ep-2, -0x1.33428078af8e2p-2, -0x1.2f3e6a3246a3dp-2, -0x1.2b42d41ef623fp-2, -0x1.274fc300abe36p-2, -0x1.23653b1ce5584p-2, -0x1.1f83403e7dd5fp-2, -0x1.1ba9d5b779b53p-2, -0x1.17d8fe62c7cecp-2, -0x1.1410bca5ff71fp-2, -0x1.10511273135c1p-2, -0x1.0c9a014a06723p-2, -0x1.08eb8a3a973eap-2, -0x1.0545ade5e6277p-2, -0x1.01a86c801b343p-2, -0x1.fc278ba40b56ep-3, -0x1.f50f727570571p-3, -0x1.ee088b6246026p-3, -0x1.e712d38b55f25p-3, -0x1.e02e47477b1cdp-3, -0x1.d95ae226c78d4p-3, -0x1.d2989ef5a779ap-3, -0x1.cbe777bff9c9ep-3, -0x1.c54765d42ec7p-3, -0x1.beb861c664276p-3, -0x1.b83a637371451p-3, -0x1.b1cd620406ae8p-3, -0x1.ab7153efba5d4p-3, -0x1.a5262f001d997p-3, -0x1.9eebe853cd968p-3, -0x1.98c27461808aep-3, -0x1.92a9c6fb1ab25p-3, -0x1.8ca1d350bb662p-3, -0x1.86aa8bf3cb15dp-3, -0x1.80c3e2da0da5fp-3, -0x1.7aedc960aea72p-3, -0x1.7528304f502ffp-3, -0x1.6f7307db1c5abp-3, -0x1.69ce3fa9ced89p-3, -0x1.6439c6d4c9f41p-3, -0x1.5eb58bec2024p-3, -0x1.59417cf9a2e5fp-3, -0x1.53dd8783f2794p-3, -0x1.4e8998918853ap-3, -0x1.49459cabc6dc4p-3, -0x1.44117fe2021ep-3, -0x1.3eed2dcc8ea15p-3, -0x1.39d8918fc85bfp-3, -0x1.34d395df1d253p-3, -0x1.2fde250013a58p-3, -0x1.2af828cd5164cp-3, -0x1.26218ab99ff7ap-3, -0x1.215a33d2ece59p-3, -0x1.1ca20cc54d13ap-3, -0x1.17f8fdddf3dfp-3, -0x1.135eef0e3768dp-3, -0x1.0ed3c7ee7e039p-3, -0x1.0a576fc13b75bp-3, -0x1.05e9cd75dbc35p-3, -0x1.018ac7abb7a54p-3, -0x1.fa748969ed0d8p-4, -0x1.f1f05532f29edp-4, -0x1.e988be3378c26p-4, -0x1.e13d8f635fd2dp-4, -0x1.d90e9337276dp-4, -0x1.d0fb93a58d7aap-4, -0x1.c9045a2d30c0fp-4, -0x1.c128afda174acp-4, -0x1.b9685d4b3a187p-4, -0x1.b1c32ab7fbb47p-4, -0x1.aa38dff58d2f7p-4, -0x1.a2c9447c56a24p-4, -0x1.9b741f6d41c65p-4, -0x1.943937970246p-4, -0x1.8d18537b4489ap-4, -0x1.86113953dbfe1p-4, -0x1.7f23af17d4814p-4, -0x1.784f7a808049dp-4, -0x1.7194610e6e3c1p-4, -0x1.6af2280e52862p-4, -0x1.6468949de1dd3p-4, -0x1.5df76bb094fb6p-4, -0x1.579e721466219p-4, -0x1.515d6c7671933p-4, -0x1.4b341f678d458p-4, -0x1.45224f60ca37cp-4, -0x1.3f27c0c7e59bcp-4, -0x1.394437f3a9482p-4, -0x1.337779303410ep-4, -0x1.2dc148c337eb5p-4, -0x1.28216af01e631p-4, -0x1.2297a3fc1d943p-4, -0x1.1d23b832388f9p-4, -0x1.17c56be72dfabp-4, -0x1.127c837d5274fp-4, -0x1.0d48c3685693ep-4, -0x1.0829f030fcb0cp-4, -0x1.031fce78b8041p-4, -0x1.fc5445fa6da49p-5, -0x1.f2916537bdbe1p-5, -0x1.e8f684aa60639p-5, -0x1.df832ea02d932p-5, -0x1.d636edba4f1d2p-5, -0x1.cd114cf396fe7p-5, -0x1.c411d7a6a7a2dp-5, -0x1.bb381993fc7cdp-5, -0x1.b2839ee7c31e6p-5, -0x1.a9f3f43f933e3p-5, -0x1.a188a6afffaf8p-5, -0x1.994143c9f7d99p-5, -0x1.911d59a0108eep-5, -0x1.891c76cb981cep-5, -0x1.813e2a718f9ecp-5, -0x1.7982044771ff6p-5, -0x1.71e79497e25aep-5, -0x1.6a6e6c472a85ap-5, -0x1.63161cd798275p-5, -0x1.5bde386db53dap-5, -0x1.54c651d459917p-5, -0x1.4dcdfc8098a2dp-5, -0x1.46f4cc958d19bp-5, -0x1.403a56e7fe90bp-5, -0x1.399e3101e215p-5, -0x1.331ff125be25bp-5, -0x1.2cbf2e51e0f6p-5, -0x1.267b80438355bp-5, -0x1.20547f79b9a3p-5, -0x1.1a49c5384ffabp-5, -0x1.145aeb8a7df14p-5, -0x1.0e878d457e26fp-5, -0x1.08cf460b00e9fp-5, -0x1.0331b24b85dd6p-5, -0x1.fb5cde911bbcap-6, -0x1.f08a362d6cc8ap-6, -0x1.e5eaa93f61483p-6, -0x1.db7d77483c9e8p-6, -0x1.d141e17a9b364p-6, -0x1.c7372abdbeee3p-6, -0x1.bd5c97b08d6a1p-6, -0x1.b3b16eac6b344p-6, -0x1.aa34f7c7cdb03p-6, -0x1.a0e67cd8ad62ep-6, -0x1.97c54976a8b66p-6, -0x1.8ed0aafd0c006p-6, -0x1.8607f08c9ae7fp-6, -0x1.7d6a6b0d1dfaap-6, -0x1.74f76d2ed9bd3p-6, -0x1.6cae4b6bbd41bp-6, -0x1.648e5c086cda3p-6, -0x1.5c96f71522922p-6, -0x1.54c7766e5a963p-6, -0x1.4d1f35bd5129ep-6, -0x1.459d927869644p-6, -0x1.3e41ebe34a0a5p-6, -0x1.370ba30efa689p-6, -0x1.2ffa1ad9aabbcp-6, -0x1.290cb7ee80d27p-6, -0x1.2242e0c517fa9p-6, -0x1.1b9bfda0ff873p-6, -0x1.15177890fb693p-6, -0x1.0eb4bd6e2ef7bp-6, -0x1.087339db226cdp-6, -0x1.02525d42a803cp-6, -0x1.f8a331ad41709p-7, -0x1.ece0bf1d45884p-7, -0x1.e15c4c4d024b9p-7, -0x1.d614c6396b333p-7, -0x1.cb091d6169843p-7, -0x1.c03845c2302fdp-7, -0x1.b5a136d38470cp-7, -0x1.ab42eb83a27bfp-7, -0x1.a11c6233266a8p-7, -0x1.972c9cb09136ep-7, -0x1.8d72a033c8192p-7, -0x1.83ed755955f62p-7, -0x1.7a9c281d77549p-7, -0x1.717dc7d71ddf5p-7, -0x1.68916732a247ep-7, -0x1.5fd61c2c76282p-7, -0x1.574b000ba069fp-7, -0x1.4eef2f5c0ca4ap-7, -0x1.46c1c9e8c973fp-7, -0x1.3ec1f2b630016p-7, -0x1.36eecffbc35bap-7, -0x1.2f478b1e211ccp-7, -0x1.27cb50a8bfd2dp-7, -0x1.20795047959f1p-7, -0x1.1950bcc0a4843p-7, -0x1.1250cbed775cfp-7, -0x1.0b78b6b4776b5p-7, -0x1.04c7b90246f8p-7, -0x1.fc7a2385d0505p-8, -0x1.efb005b5e9b36p-8, -0x1.e32fa2413cb1bp-8, -0x1.d6f788a98102bp-8, -0x1.cb064e37a0481p-8, -0x1.bf5a8ded78ac3p-8, -0x1.b3f2e877a7f1cp-8, -0x1.a8ce041f133ddp-8, -0x1.9dea8cba6bc93p-8, -0x1.9347339faa904p-8, -0x1.88e2af956f948p-8, -0x1.7ebbbcc454bbcp-8, -0x1.74d11ca825621p-8, -0x1.6b2196011f35p-8, -0x1.61abf4c5222bdp-8, -0x1.586f0a10cccbap-8, -0x1.4f69ac18a0dd2p-8, -0x1.469ab61a23e95p-8, -0x1.3e01084ce228bp-8, -0x1.359b87d39699ap-8, -0x1.2d691ead35d0cp-8, -0x1.2568bba60453fp-8, -0x1.1d995248b7171p-8, -0x1.15f9dacf89471p-8, -0x1.0e89521555bcfp-8, -0x1.0746b986daaa7p-8, -0x1.00311713d3e52p-8, -0x1.f28eea407ed68p-9, -0x1.e511c4eb23b8ap-9, -0x1.d7e8e46862a18p-9, -0x1.cb1277893a507p-9, -0x1.be8cb5920e8eap-9, -0x1.b255de1d67d2cp-9, -0x1.a66c38ff18399p-9, -0x1.9ace162772823p-9, -0x1.8f79cd86b3b46p-9, -0x1.846dbef06d578p-9, -0x1.79a851ff2be55p-9, -0x1.6f27f5f85e8aap-9, -0x1.64eb21b041b7ap-9, -0x1.5af0536e0d3f7p-9, -0x1.513610d040dc7p-9, -0x1.47bae6b1235fdp-9, -0x1.3e7d690b871f5p-9, -0x1.357c32dfa5771p-9, -0x1.2cb5e6183f8a6p-9, -0x1.24292b6fcb664p-9, -0x1.1bd4b2561b4dcp-9, -0x1.13b730d5f813p-9, -0x1.0bcf637b20c54p-9, -0x1.041c0d386173ap-9, -0x1.f937ee9bf4e11p-10, -0x1.ea9be2605f193p-10, -0x1.dc61a0dc3fe2cp-10, -0x1.ce86e131b22fp-10, -0x1.c109665500831p-10, -0x1.b3e6fedc1caa3p-10, -0x1.a71d84cda48f9p-10, -0x1.9aaadd71333dp-10, -0x1.8e8cf91fe0025p-10, -0x1.82c1d315120e8p-10, -0x1.7747713fe5466p-10, -0x1.6c1be41544607p-10, -0x1.613d466264f48p-10, -0x1.56a9bd1f8839ep-10, -0x1.4c5f7743ab963p-10, -0x1.425cad98446e7p-10, -0x1.389fa28dc3418p-10, -0x1.2f26a210afe11p-10, -0x1.25f0015ef2b47p-10, -0x1.1cfa1edde423bp-10, -0x1.144361f0c5d84p-10, -0x1.0bca3acfc79aap-10, -0x1.038d225f641e2p-10, -0x1.f71534113d0ffp-11, -0x1.e7825722a66e5p-11, -0x1.d85ed1eaaf6c7p-11, -0x1.c9a7d87fe4febp-11, -0x1.bb5aaecbf77fep-11, -0x1.ad74a8406a8e2p-11, -0x1.9ff3278d3f56cp-11, -0x1.92d39e575d5a6p-11, -0x1.86138cf14b30fp-11, -0x1.79b08213a9d47p-11, -0x1.6da81a97d2349p-11, -0x1.61f8013255be8p-11, -0x1.569dee2f7c064p-11, -0x1.4b97a72ffcc92p-11, -0x1.40e2fee70dbc4p-11, -0x1.367dd4d96e5bbp-11, -0x1.2c66151d06518p-11, -0x1.2299b81a209d6p-11, -0x1.1916c24cc5d05p-11, -0x1.0fdb440814164p-11, -0x1.06e5593925fc5p-11, -0x1.fc665258ec0b4p-12, -0x1.eb85cca5b3161p-12, -0x1.db259c103a2d4p-12, -0x1.cb4250b4f330cp-12, -0x1.bbd88fa537f14p-12, -0x1.ace5127a1ea6dp-12, -0x1.9e64a6e7c9599p-12, -0x1.90542e53aa593p-12, -0x1.82b09d6c5491bp-12, -0x1.7576fbc1f19cp-12, -0x1.68a46361ad4fep-12, -0x1.5c36007279dc2p-12, -0x1.502910d2f7411p-12, -0x1.447ae3b9d3194p-12, -0x1.3928d9571ced9p-12, -0x1.2e3062776574p-12, -0x1.238f0028e8ad1p-12, -0x1.1942436198bb7p-12, -0x1.0f47cca73fc2fp-12, -0x1.059d4bb9378ep-12, -0x1.f880fe75a7141p-13, -0x1.e65e68c14f024p-13, -0x1.d4ce8d3c50caep-13, -0x1.c3cd3eaaa4407p-13, -0x1.b3566b0f1142fp-13, -0x1.a3661b1064936p-13, -0x1.93f87160ea84ep-13, -0x1.8509aa28daae7p-13, -0x1.76961a73def26p-13, -0x1.689a2fa0ba8ecp-13, -0x1.5b126ed4b7a7p-13, -0x1.4dfb746ffd2fep-13, -0x1.4151f3868d696p-13, -0x1.3512b55a3222dp-13, -0x1.293a98d823c1fp-13, -0x1.1dc692185888p-13, -0x1.12b3a9e024507p-13, -0x1.07fefd25f971ap-13, -0x1.fb4b79336ab04p-14, -0x1.e74a585a48287p-14, -0x1.d3f5453faa8f6p-14, -0x1.c147121b3d0dap-14, -0x1.af3ab4fc8a517p-14, -0x1.9dcb46f28dac3p-14, -0x1.8cf40332d5378p-14, -0x1.7cb0464887931p-14, -0x1.6cfb8d46e5e26p-14, -0x1.5dd174ff7ed48p-14, -0x1.4f2db93c8b668p-14, -0x1.410c33ffcbab7p-14, -0x1.3368dcc5dc36fp-14, -0x1.263fc7cb70a84p-14, -0x1.198d255937179p-14, -0x1.0d4d4112549a9p-14, -0x1.017c8144fa12ep-14, -0x1.ec2ecc8367689p-15, -0x1.d6351368a1228p-15, -0x1.c1053c01d900cp-15, -0x1.ac98db49b3c1fp-15, -0x1.98e9b534bd4e3p-15, -0x1.85f1bb7fe1ccap-15, -0x1.73ab0c85bf29ep-15, -0x1.620ff21c4daf7p-15, -0x1.511ae0753e295p-15, -0x1.40c67509133d5p-15, -0x1.310d7583c4ea8p-15, -0x1.21eacebac1071p-15, -0x1.135993a9a3661p-15, -0x1.0554fc702d347p-15, -0x1.efb0cab554db6p-16, -0x1.d5be9bdddbb55p-16, -0x1.bccaaffacde3p-16, -0x1.a4cc8d707446ep-16, -0x1.8dbbfba2e5a3bp-16, -0x1.77910135e527fp-16, -0x1.6243e25f4434p-16, -0x1.4dcd1f3b97527p-16, -0x1.3a2572331d61bp-16, -0x1.2745ce66524f8p-16, -0x1.15275e211f2f5p-16, -0x1.03c3815bc82a5p-16, -0x1.e627988466aa9p-17, -0x1.c6240b87ec91ap-17, -0x1.a7704c60271acp-17, -0x1.8a00abaa2f9cfp-17, -0x1.6dc9d75d8d931p-17, -0x1.52c0d8325e0bfp-17, -0x1.38db0f112eeddp-17, -0x1.200e32a06563dp-17, -0x1.08504cd8ff98p-17, -0x1.e32f714f74ccap-18, -0x1.b7b63f4671718p-18, -0x1.8e22efa3040d9p-18, -0x1.666402f579ab9p-18, -0x1.40688a0244f08p-18, -0x1.1c2021a847207p-18, -0x1.f2f5dd938daf4p-19, -0x1.b0d334d4f0ffp-19, -0x1.71ba9b8ca838dp-19, -0x1.358f5d409761ep-19, -0x1.f86b6e516a26fp-20, -0x1.8b25a249464efp-20, -0x1.23196d8e69ef6p-20, -0x1.80294232b4fe6p-21, -0x1.879aeabe31802p-22, -0x1.0c1b00fbbe8fap-25, 0x1.32a956ce559aap-22, 0x1.3acd2be39f57ap-21, 0x1.d3fc692dcbc77p-21, 0x1.329a0d5ac77c5p-20, 0x1.7761973166d65p-20, 0x1.b87aef04482f8p-20, 0x1.f60ae2595b50ap-20, 0x1.181a7cd7b381ep-19, 0x1.338dc137ccdf9p-19, 0x1.4d6fcc63cb74ep-19, 0x1.65d0988974dp-19, 0x1.7cbf90866ec06p-19, 0x1.924b9473a6ab3p-19, 0x1.a682fdfd752b3p-19, 0x1.b973a49df1ed2p-19, 0x1.cb2ae1c18f017p-19, 0x1.dbb594d0d41f7p-19, 0x1.eb20270b1b2b8p-19, 0x1.f9768f5854b2bp-19, 0x1.03622af351a16p-18, 0x1.098a4be8800cbp-18, 0x1.0f39054811de6p-18, 0x1.14737fafbc367p-18, 0x1.193eb33f370f7p-18, 0x1.1d9f69342f8d3p-18, 0x1.219a3d72933b4p-18, 0x1.2533a0065d127p-18, 0x1.286fd69662bp-18, 0x1.2b52fdcd78888p-18, 0x1.2de10abd3906cp-18, 0x1.301dcc334f883p-18, 0x1.320cec009439p-18, 0x1.33b1f03ff2539p-18, 0x1.35103c888eddcp-18, 0x1.362b131f173ap-18, 0x1.3705961b30547p-18, 0x1.37a2c87e19509p-18, 0x1.38058f48eecebp-18, 0x1.3830b28b0cdfp-18, 0x1.3826de6230d28p-18, 0x1.37eaa3f5dab6ep-18, 0x1.377e7a6a9e3a8p-18, 0x1.36e4bfcdee2f6p-18, 0x1.361fb9fab565ap-18, 0x1.3531977638921p-18, 0x1.341c704243227p-18, 0x1.32e246b136da9p-18, 0x1.3185082e1447ep-18, 0x1.30068dfed8d42p-18, 0x1.2e689dff29ed7p-18, 0x1.2caceb596932ap-18, 0x1.2ad517353ac0ap-18, 0x1.28e2b162030fp-18, 0x1.26d738fba031cp-18, 0x1.24b41d0a10ea7p-18, 0x1.227abd1a31203p-18, 0x1.202c69d6b5c08p-18, 0x1.1dca65973b4cbp-18, 0x1.1b55e4e987bap-18, 0x1.18d00f1b0c056p-18, 0x1.1639febaef62bp-18, 0x1.1394c217b97e8p-18, 0x1.10e15bb71e7ep-18, 0x1.0e20c2cc679c1p-18, 0x1.0b53e3ab1b19ap-18, 0x1.087ba0321ecdap-18, 0x1.0598d038eb52p-18, 0x1.02ac41f2af466p-18, 0x1.ff6d74a59fd21p-19, 0x1.f971ead61a5dcp-19, 0x1.f3674d8eb9806p-19, 0x1.ed4ef38c7a22cp-19, 0x1.e72a23dcabc41p-19, 0x1.e0fa167dd5c02p-19, 0x1.dabff501eef71p-19, 0x1.d47cdb2919e15p-19, 0x1.ce31d7702f1a4p-19, 0x1.c7dfeba08c772p-19, 0x1.c1880d59eff47p-19, 0x1.bb2b26972fbb3p-19, 0x1.b4ca1628bda0dp-19, 0x1.ae65b0313580ep-19, 0x1.a7febe9aef683p-19, 0x1.a196018792a2cp-19, 0x1.9b2c2fbb5286p-19, 0x1.94c1f70b7d829p-19, 0x1.8e57fcbcea72dp-19, 0x1.87eedde7d04bep-19, 0x1.81872fd4c02e7p-19, 0x1.7b2180534b9c7p-19, 0x1.74be561269704p-19, 0x1.6e5e30f1d446p-19, 0x1.68018a4fde1ep-19, 0x1.61a8d555c8b06p-19, 0x1.5b547f4302b56p-19, 0x1.5504efaf96108p-19, 0x1.4eba88d1e5f55p-19, 0x1.4875a7bc7d98cp-19, 0x1.4236a49e753dfp-19, 0x1.3bfdd2fd318bdp-19, 0x1.35cb81ec26734p-19, 0x1.2f9ffc43c966ep-19, 0x1.297b88d53e8dbp-19, 0x1.235e6a9b2f9eap-19, 0x1.1d48e0eb01463p-19, }}, 
      {{0x1.7c8b09d763a93p-7, 0x1.7ca76a9337e3ep-6, 0x1.1d9ff0aa20f89p-5, 0x1.7d127913b0d7p-5, 0x1.dcb3729ed609cp-5, 0x1.1e43c4fed2814p-4, 0x1.4e47c91ab0043p-4, 0x1.7e6428e4ad4bep-4, 0x1.ae953c184d42p-4, 0x1.ded55a0c307a4p-4, 0x1.078e78da237bbp-3, 0x1.1fb155b1758bdp-3, 0x1.37cdc8ca7a17bp-3, 0x1.4fdd9f3ee3c8bp-3, 0x1.67da0633e7ef5p-3, 0x1.7fbba3a8f8c83p-3, 0x1.977aaf3eb7712p-3, 0x1.af0f0a70f2888p-3, 0x1.c67057dbc22abp-3, 0x1.dd96113dd3c29p-3, 0x1.f4779c004af64p-3, 0x1.05862e100defbp-2, 0x1.10a5e2b26e4bdp-2, 0x1.1b96b56f30827p-2, 0x1.2654865682bf8p-2, 0x1.30db52104dca8p-2, 0x1.3b27371ffd0d7p-2, 0x1.45347a67a1fep-2, 0x1.4eff8af6ca784p-2, 0x1.5885053221ca2p-2, 0x1.61c1b5611ae51p-2, 0x1.6ab299aede33fp-2, 0x1.7354e3ab3d12dp-2, 0x1.7ba5f957f3f39p-2, 0x1.83a375cdd843dp-2, 0x1.8b4b2984dd7ap-2, 0x1.929b1a491ceep-2, 0x1.999182e665735p-2, 0x1.a02cd2930ce94p-2, 0x1.a66bac222aa09p-2, 0x1.ac4ce504ac43cp-2, 0x1.b1cf84202f77bp-2, 0x1.b6f2c081e6d0bp-2, 0x1.bbb5fff361e1ep-2, 0x1.c018d57678e35p-2, 0x1.c41affad3974cp-2, 0x1.c7bc673230467p-2, 0x1.cafd1ce5130a2p-2, 0x1.cddd582f551c2p-2, 0x1.d05d7543e6901p-2, 0x1.d27df35cf26ddp-2, 0x1.d43f72fa2c4eap-2, 0x1.d5a2b421df6cep-2, 0x1.d6a894a6b3349p-2, 0x1.d7520e73cff1bp-2, 0x1.d7a035e0cbcfp-2, 0x1.d794380e91cf6p-2, 0x1.d72f594e41d8cp-2, 0x1.d672f392c9903p-2, 0x1.d56074ede03dp-2, 0x1.d3f95e18d1e3ap-2, 0x1.d23f410976d4cp-2, 0x1.d033bf9383ac4p-2, 0x1.cdd88a1657929p-2, 0x1.cb2f5e373e329p-2, 0x1.c83a05a827256p-2, 0x1.c4fa54faa1939p-2, 0x1.c1722a7efe92dp-2, 0x1.bda36d2f53e23p-2, 0x1.b9900ba62b903p-2, 0x1.b539fb208ebcap-2, 0x1.b0a3368b25f8dp-2, 0x1.abcdbd9a208d5p-2, 0x1.a6bb93eb8dc26p-2, 0x1.a16ec033d972p-2, 0x1.9be94b741a868p-2, 0x1.962d4039e278ep-2, 0x1.903ca9e83c012p-2, 0x1.8a1994098f865p-2, 0x1.83c609aa1f052p-2, 0x1.7d4414bad06afp-2, 0x1.7695bd7c00e84p-2, 0x1.6fbd09f019fb4p-2, 0x1.68bbfd55ab806p-2, 0x1.619497a8c46afp-2, 0x1.5a48d52b51da7p-2, 0x1.52daadf44a7e7p-2, 0x1.4b4c158565315p-2, 0x1.439efa672ecfcp-2, 0x1.3bd545cb3f86ep-2, 0x1.33f0db3466416p-2, 0x1.2bf398248c311p-2, 0x1.23df53d029c04p-2, 0x1.1bb5ded71976bp-2, 0x1.1379030295ccbp-2, 0x1.0b2a83083dddp-2, 0x1.02cc1a51eadc2p-2, 0x1.f4bef99461e6cp-3, 0x1.e3ccad5abb847p-3, 0x1.d2c498bd91f68p-3, 0x1.c1a9f484a5388p-3, 0x1.b07fe933bf638p-3, 0x1.9f498ecd624b2p-3, 0x1.8e09ec9cda05bp-3, 0x1.7cc3f90763732p-3, 0x1.6b7a99641cdf9p-3, 0x1.5a30a1da6fd51p-3, 0x1.48e8d546ba0e9p-3, 0x1.37a5e524d4ca1p-3, 0x1.266a71804bdbdp-3, 0x1.153908e9ef2fep-3, 0x1.041428727e841p-3, 0x1.e5fc77546e1d1p-4, 0x1.c3f33949df01bp-4, 0x1.a2112805305fp-4, 0x1.805ab1f7a471ap-4, 0x1.5ed422e4d9002p-4, 0x1.3d81a40b106c7p-4, 0x1.1c673c525e62bp-4, 0x1.f711a10497ea5p-5, 0x1.b5d446fb19836p-5, 0x1.751dad06bff33p-5, 0x1.34f4d2ec7da5ap-5, 0x1.eac0ec9def68fp-6, 0x1.6cce269df318p-6, 0x1.e03b94d1b7f8cp-7, 0x1.d2ef38fa35302p-8, -0x1.5315a029bae2ap-12, -0x1.f7bea75845913p-8, -0x1.ea475b34c8dffp-7, -0x1.6ade5de806f63p-6, -0x1.df162f7b0bc7p-6, -0x1.28e10703d6fd6p-5, -0x1.616cad441781fp-5, -0x1.9929f4c180553p-5, -0x1.d01500a4f0af7p-5, -0x1.0315160cae445p-4, -0x1.1db304b2bb069p-4, -0x1.37e2b0816cf0fp-4, -0x1.51a298598c526p-4, -0x1.6af155496eabcp-4, -0x1.83cd9a15bb8adp-4, -0x1.9c3632c18394bp-4, -0x1.b42a0415c6146p-4, -0x1.cba80b288a84bp-4, -0x1.e2af5ce38f246p-4, -0x1.f93f258ac2969p-4, -0x1.07ab54214ab37p-3, -0x1.127a9f4b126cdp-3, -0x1.1d0d2bfeb9e77p-3, -0x1.2762bcb1d719ep-3, -0x1.317b1e56c7d19p-3, -0x1.3b56281ffb004p-3, -0x1.44f3bb435efbap-3, -0x1.4e53c2bdf8329p-3, -0x1.57763317a2fcfp-3, -0x1.605b0a270a313p-3, -0x1.69024ed5ded27p-3, -0x1.716c10e54aacbp-3, -0x1.799868b2ae971p-3, -0x1.818776fca7141p-3, -0x1.893964a862bfdp-3, -0x1.90ae62875439p-3, -0x1.97e6a91d34154p-3, -0x1.9ee2786669bf4p-3, -0x1.a5a2179ed3547p-3, -0x1.ac25d508f2abp-3, -0x1.b26e05b5884a2p-3, -0x1.b87b054b9b75ep-3, -0x1.be4d35d0f655dp-3, -0x1.c3e4ff7313949p-3, -0x1.c942d0508e2d9p-3, -0x1.ce671c4307192p-3, -0x1.d3525ca98e081p-3, -0x1.d80510338fd34p-3, -0x1.dc7fbaac4e22ap-3, -0x1.e0c2e4c6de8a3p-3, -0x1.e4cf1beab8264p-3, -0x1.e8a4f200d7a15p-3, -0x1.ec44fd4171b8fp-3, -0x1.efafd80241742p-3, -0x1.f2e6208570474p-3, -0x1.f5e878c91d6e6p-3, -0x1.f8b7865781d94p-3, -0x1.fb53f217bc188p-3, -0x1.fdbe681f3f05bp-3, -0x1.fff79783ecd21p-3, -0x1.010019176e5d4p-2, -0x1.01ec7657e45e8p-2, -0x1.02c13f089ca63p-2, -0x1.037ecfd6a9df9p-2, -0x1.04258681b4b01p-2, -0x1.04b5c1c71d68dp-2, -0x1.052fe14d77703p-2, -0x1.05944590672fdp-2, -0x1.05e34fccdbedcp-2, -0x1.061d61eda6723p-2, -0x1.0642de7875457p-2, -0x1.0654287b2d49ep-2, -0x1.0651a379a4d9ep-2, -0x1.063bb35bc47e2p-2, -0x1.0612bc5c04e13p-2, -0x1.05d722f6525bp-2, -0x1.05894bd75766bp-2, -0x1.05299bcc24c63p-2, -0x1.04b877b24332fp-2, -0x1.0436446825d0ep-2, -0x1.03a366be04ddp-2, -0x1.03004367198e9p-2, -0x1.024d3eeb41528p-2, -0x1.018abd9904dd4p-2, -0x1.00b9237802a1ap-2, -0x1.ffb1a8778307p-3, -0x1.fdd4666dc270dp-3, -0x1.fbdb469d6e932p-3, -0x1.f9c70dde8d5f6p-3, -0x1.f7987fff449bep-3, -0x1.f5505fad58734p-3, -0x1.f2ef6e607533fp-3, -0x1.f0766c453c55ep-3, -0x1.ede618290b193p-3, -0x1.eb3f2f668d368p-3, -0x1.e8826dd30765fp-3, -0x1.e5b08dac5e22cp-3, -0x1.e2ca4787dc2ffp-3, -0x1.dfd05241af314p-3, -0x1.dcc362ed22435p-3, -0x1.d9a42cc57fb36p-3, -0x1.d673611fb8a11p-3, -0x1.d331af5cb4a17p-3, -0x1.cfdfc4dc4b256p-3, -0x1.cc7e4cf0f5986p-3, -0x1.c90df0d42358p-3, -0x1.c58f579b3a12cp-3, -0x1.c203262d371efp-3, -0x1.be69ff38f54e2p-3, -0x1.bac4832c157afp-3, -0x1.b713502a81e67p-3, -0x1.b357020687ff6p-3, -0x1.af90323993217p-3, -0x1.abbf77dd74f24p-3, -0x1.a7e567a63fc26p-3, -0x1.a40293dcb2f27p-3, -0x1.a0178c5933336p-3, -0x1.9c24de7f47992p-3, -0x1.982b1539a0c6dp-3, -0x1.942ab8f6a167fp-3, -0x1.90244fa56553cp-3, -0x1.8c185cb3491cdp-3, -0x1.88076109e69d9p-3, -0x1.83f1db0d88442p-3, -0x1.7fd8469c16a24p-3, -0x1.7bbb1d0c6c05ep-3, -0x1.779ad52e1df01p-3, -0x1.7377e349aad26p-3, -0x1.6f52b9211159cp-3, -0x1.6b2bc5f0cce14p-3, -0x1.670376713002fp-3, -0x1.62da34d81c65dp-3, -0x1.5eb068db1b4dbp-3, -0x1.5a8677b1c5552p-3, -0x1.565cc41885a21p-3, -0x1.5233ae53aa82ap-3, -0x1.4e0b9432c9997p-3, -0x1.49e4d11468a68p-3, -0x1.45bfbde9f73c7p-3, -0x1.419cb13c08abcp-3, -0x1.3d7bff2ed60fp-3, -0x1.395df986fa64fp-3, -0x1.3542efae74278p-3, -0x1.312b2eb9dbaa2p-3, -0x1.2d17016dd547dp-3, -0x1.2906b044b695fp-3, -0x1.24fa817462201p-3, -0x1.20f2b8f44ffffp-3, -0x1.1cef9883c6d69p-3, -0x1.18f15fb03fdf1p-3, -0x1.14f84bdbf3774p-3, -0x1.110498448b7cp-3, -0x1.0d167e09fd39dp-3, -0x1.092e343583082p-3, -0x1.054befc0b2ebcp-3, -0x1.016fe39cb8687p-3, -0x1.fb348173532d9p-4, -0x1.f3966c1bd9e1ap-4, -0x1.ec05e13b82d8fp-4, -0x1.e4833705ab149p-4, -0x1.dd0ebfe7e37b9p-4, -0x1.d5a8ca996e228p-4, -0x1.ce51a22ad97aep-4, -0x1.c7098e15ad1a4p-4, -0x1.bfd0d24c3b72ep-4, -0x1.b8a7af49819f1p-4, -0x1.b18e622118c47p-4, -0x1.aa85248f32055p-4, -0x1.a38c2d08a4094p-4, -0x1.9ca3aecafdcd5p-4, -0x1.95cbd9ec8ff3fp-4, -0x1.8f04db6c93dp-4, -0x1.884edd4337588p-4, -0x1.81aa0671b1e7bp-4, -0x1.7b167b124f20ap-4, -0x1.74945c687135bp-4, -0x1.6e23c8f08928p-4, -0x1.67c4dc6ffd426p-4, -0x1.6177b005047eep-4, -0x1.5b3c5a366ca34p-4, -0x1.5512ef034ae69p-4, -0x1.4efb7ff29aa58p-4, -0x1.48f61c22beb5bp-4, -0x1.4302d058ed9c3p-4, -0x1.3d21a7107cdf1p-4, -0x1.3752a88a1279ep-4, -0x1.3195dadab6a86p-4, -0x1.2beb41fac1fa2p-4, -0x1.2652dfd4aee74p-4, -0x1.20ccb453c04a5p-4, -0x1.1b58bd728ad43p-4, -0x1.15f6f74953bf8p-4, -0x1.10a75c1c46e15p-4, -0x1.0b69e46989e42p-4, -0x1.063e86f7216bcp-4, -0x1.012538e0ad0fp-4, -0x1.f83bdb49f0c82p-5, -0x1.ee512e66bf704p-5, -0x1.e48a4bf20f7b8p-5, -0x1.dae711dbcd938p-5, -0x1.d1675b43431bcp-5, -0x1.c80b00906cc91p-5, -0x1.bed1d78cf4559p-5, -0x1.b5bbb37ccb8fbp-5, -0x1.acc865366322ap-5, -0x1.a3f7bb3a81aafp-5, -0x1.9b4981cbb5d0fp-5, -0x1.92bd830566ec8p-5, -0x1.8a5386f28054ep-5, -0x1.820b53a3ba2bbp-5, -0x1.79e4ad457a5d3p-5, -0x1.71df5635531c1p-5, -0x1.69fb0f171b546p-5, -0x1.623796e99d912p-5, -0x1.5a94ab1ae9fe9p-5, -0x1.5312079c3c689p-5, -0x1.4baf66f57a138p-5, -0x1.446c825853c0bp-5, -0x1.3d4911b2f8dd9p-5, -0x1.3644cbc26c0e3p-5, -0x1.2f5f662471ae5p-5, -0x1.2898956914113p-5, -0x1.21f00d23d29b4p-5, -0x1.1b657ffc59964p-5, -0x1.14f89fbeed512p-5, -0x1.0ea91d6c5eadbp-5, -0x1.0876a949aae32p-5, -0x1.0260f2ef38082p-5, -0x1.f8cf52af604dfp-6, -0x1.ed14f5dcf66bcp-6, -0x1.e1922b3bbc917p-6, -0x1.d6464db97a574p-6, -0x1.cb30b777f3a6bp-6, -0x1.c050c1e6fd512p-6, -0x1.b5a5c5ddd7df4p-6, -0x1.ab2f1bb3c6c1cp-6, -0x1.a0ec1b58168b8p-6, -0x1.96dc1c6950c4dp-6, -0x1.8cfe764bdb44ap-6, -0x1.8352803fdba73p-6, -0x1.79d79176799f2p-6, -0x1.708d012672c3ep-6, -0x1.677226a01b4d3p-6, -0x1.5e865960a3a0ap-6, -0x1.55c8f124cc353p-6, -0x1.4d3945faf9067p-6, -0x1.44d6b054a9832p-6, -0x1.3ca0891753906p-6, -0x1.349629acafb34p-6, -0x1.2cb6ec12657dfp-6, -0x1.25022ae929d76p-6, -0x1.1d7741835f4dap-6, -0x1.16158bf307301p-6, -0x1.0edc6717464bap-6, -0x1.07cb30a9503f5p-6, -0x1.00e14748d643ap-6, -0x1.f43c150fdc43ep-7, -0x1.e701b5ecf93d2p-7, -0x1.da12345a35c69p-7, -0x1.cd6c55af045b1p-7, -0x1.c10ee17d163b7p-7, -0x1.b4f8a1a33c5bfp-7, -0x1.a928625f8ff2fp-7, -0x1.9d9cf26098138p-7, -0x1.925522d59522bp-7, -0x1.874fc77e05dc9p-7, -0x1.7c8bb6b842b95p-7, -0x1.7207c98f4bd85p-7, -0x1.67c2dbc7cad9ap-7, -0x1.5dbbcbec679bcp-7, -0x1.53f17b592f20dp-7, -0x1.4a62ce4663dd5p-7, -0x1.410eabd27982bp-7, -0x1.37f3fe0b76671p-7, -0x1.2f11b1f782f13p-7, -0x1.2666b79cf9ef6p-7, -0x1.1df20209b2c4fp-7, -0x1.15b28759ab935p-7, -0x1.0da740bd2b03ap-7, -0x1.05cf2a7e1e938p-7, -0x1.fc52880a4a026p-8, -0x1.ed691fbb9afc7p-8, -0x1.dee02774a1847p-8, -0x1.d0b5b0eddef6cp-8, -0x1.c2e7d43924f04p-8, -0x1.b574afc61f3bdp-8, -0x1.a85a6865c48e9p-8, -0x1.9b97294ce976ap-8, -0x1.8f292415d87fp-8, -0x1.830e90c0f9f16p-8, -0x1.7745adb4e502p-8, -0x1.6bccbfbd3722fp-8, -0x1.60a21208e82c4p-8, -0x1.55c3f627e6271p-8, -0x1.4b30c4079fc86p-8, -0x1.40e6d9ef243dbp-8, -0x1.36e49c7a7a915p-8, -0x1.2d28769545797p-8, -0x1.23b0d974c0857p-8, -0x1.1a7c3c913bd04p-8, -0x1.11891d9ee4f6cp-8, -0x1.08d60085f194fp-8, -0x1.00616f5a84861p-8, -0x1.f053f4a7755e4p-9, -0x1.e05c6f84a9fcep-9, -0x1.d0d9880e16e0bp-9, -0x1.c1c883106e642p-9, -0x1.b326b14e56d75p-9, -0x1.a4f16f6a3f66cp-9, -0x1.972625cf5b257p-9, -0x1.89c2489a03882p-9, -0x1.7cc3577f16cacp-9, -0x1.7026ddb31e0b2p-9, -0x1.63ea71d047e58p-9, -0x1.580bb5bc558fp-9, -0x1.4c88568d8c4c6p-9, -0x1.415e0c6f4584ap-9, -0x1.368a9a86092bep-9, -0x1.2c0bced3114f4p-9, -0x1.21df82178f23dp-9, -0x1.180397b76a1a4p-9, -0x1.0e75fd9b8f7bdp-9, -0x1.0534ac13e7648p-9, -0x1.f87b4b72d708ep-10, -0x1.e71dee9e03003p-10, -0x1.d64d6f463b74p-10, -0x1.c6060ee12ba3p-10, -0x1.b644227e3fa12p-10, -0x1.a70412883f335p-10, -0x1.98425a858cc4p-10, -0x1.89fb88d8e5d1ep-10, -0x1.7c2c3e8197c29p-10, -0x1.6ed12edb2256bp-10, -0x1.61e71f5d757e9p-10, -0x1.556ae75c8becbp-10, -0x1.49596fc7d77f4p-10, -0x1.3dafb2ea11ddfp-10, -0x1.326abc2901d5cp-10, -0x1.2787a7c49e932p-10, -0x1.1d03a29739324p-10, -0x1.12dbe9d528353p-10, -0x1.090dcacc8f201p-10, -0x1.ff2d454b1c3aep-11, -0x1.ece7bc4556573p-11, -0x1.db45f2c1e0278p-11, -0x1.ca42ff324c449p-11, -0x1.b9da15c10f71ep-11, -0x1.aa0687d358a0fp-11, -0x1.9ac3c38eaf6d1p-11, -0x1.8c0d5359d10aep-11, -0x1.7ddedd63ac055p-11, -0x1.70342327b62fep-11, -0x1.630900f3ed506p-11, -0x1.56596d708b0e4p-11, -0x1.4a2179278109dp-11, -0x1.3e5d4e0d84321p-11, -0x1.33092f0b7d6eep-11, -0x1.282177894876cp-11, -0x1.1da29af9f50c2p-11, -0x1.1389246825bb6p-11, -0x1.09d1b603493e7p-11, -0x1.007908afc3c0ep-11, -0x1.eef7d72b46fp-12, -0x1.ddae876606c38p-12, -0x1.cd1016d9abfap-12, -0x1.bd16a44767756p-12, -0x1.adbc778e824a5p-12, -0x1.9efc00d9f3ff3p-12, -0x1.90cfd7cce76dp-12, -0x1.8332bab3f1a28p-12, -0x1.761f8db74d8a4p-12, -0x1.69915a10ce459p-12, -0x1.5d834d43af5d2p-12, -0x1.51f0b85681d32p-12, -0x1.46d50f10c842fp-12, -0x1.3c2be739e7072p-12, -0x1.31f0f7dc1bb1bp-12, -0x1.2820188740bap-12, -0x1.1eb5409a3ebbfp-12, -0x1.15ac868c0f602p-12, -0x1.0d021f3730eabp-12, -0x1.04b25d2a39afbp-12, -0x1.f9735ff0e65fep-13, -0x1.ea29471d56bd8p-13, -0x1.db7fbf130b3a4p-13, -0x1.cd704d1edc4c2p-13, -0x1.bff4ab57f8261p-13, -0x1.b306c75f60892p-13, -0x1.a6a0c11f26d64p-13, -0x1.9abce99489255p-13, -0x1.8f55c19c5f23p-13, -0x1.8465f8c2130d6p-13, -0x1.79e86c1b3a791p-13, -0x1.6fd8251f18734p-13, -0x1.66305889f943cp-13, -0x1.5cec6542c856ep-13, -0x1.5407d34505bffp-13, -0x1.4b7e5291aa261p-13, -0x1.434bba23db134p-13, -0x1.3b6c06e944683p-13, -0x1.33db5ac2be9c9p-13, -0x1.2c95fb8598075p-13, -0x1.2598520450f9bp-13, -0x1.1edee91b07ce8p-13, -0x1.18666cc1f884fp-13, -0x1.122ba92237695p-13, -0x1.0c2b89b095cdcp-13, -0x1.0663184d32046p-13, -0x1.00cf7c6684dccp-13, -0x1.f6dbf4451e91bp-14, -0x1.ec77e31152799p-14, -0x1.e26dbb6ddba98p-14, -0x1.d8b8a824992cbp-14, -0x1.cf540706a9316p-14, -0x1.c63b676525609p-14, -0x1.bd6a8894bad4ap-14, -0x1.b4dd58791e44fp-14, -0x1.ac8ff219893e6p-14, -0x1.a47e9c3ba0784p-14, -0x1.9ca5c807845b7p-14, -0x1.95020fb325b3ap-14, -0x1.8d903534c8077p-14, -0x1.864d2100ecf8ep-14, -0x1.7f35e0c54404bp-14, -0x1.7847a639f7c5ap-14, -0x1.717fc5ed47831p-14, -0x1.6adbb61e1dd09p-14, -0x1.64590d9873fcap-14, -0x1.5df5829dd197fp-14, -0x1.57aee9d018e16p-14, -0x1.51833524ca531p-14, -0x1.4b7072e036693p-14, -0x1.4574cc955bbe6p-14, -0x1.3f8e862ba7854p-14, -0x1.39bbfced86ac7p-14, -0x1.33fba69ae745ep-14, -0x1.2e4c108231467p-14, -0x1.28abdea167241p-14, -0x1.2319cac8eedecp-14, -0x1.1d94a3c8caef1p-14, -0x1.181b4c9e9a443p-14, -0x1.12acbbae77a88p-14, -0x1.0d47f9fc43fadp-14, -0x1.07ec226f40f37p-14, -0x1.029861153a0fep-14, -0x1.fa97e4e090876p-15, -0x1.f00c458bd7de6p-15, -0x1.e58c9aeb27122p-15, -0x1.db17b8a3da8c3p-15, -0x1.d0ac8e015505bp-15, -0x1.c64a24ba64c16p-15, -0x1.bbef9fc37ccc7p-15, -0x1.b19c3a27ce408p-15, -0x1.a74f45ecbd3dfp-15, -0x1.9d082af95caf5p-15, -0x1.92c6661135f4cp-15, -0x1.888987c4e0cbdp-15, -0x1.7e51337f958c3p-15, -0x1.741d1e8d7adc8p-15, -0x1.69ed0f30f8c28p-15, -0x1.5fc0dbbdaf5f3p-15, -0x1.559869b8e4abp-15, -0x1.4b73ad0513b5dp-15, -0x1.4152a71100fc1p-15, -0x1.3735660f985fp-15, -0x1.2d1c0438aa5e6p-15, -0x1.2306a7098cdb7p-15, -0x1.18f57e9280648p-15, -0x1.0ee8c4c7c96b8p-15, -0x1.04e0bcd94b18ap-15, -0x1.f5bb65223bba2p-16, -0x1.e1bff36a92edap-16, -0x1.cdcfdae5ebc89p-16, -0x1.b9ebdf9812f56p-16, -0x1.a614d2134be32p-16, -0x1.924b8e713b6bcp-16, -0x1.7e90fb4cf878dp-16, -0x1.6ae608ca2f032p-16, -0x1.574bafa650401p-16, -0x1.43c2f052b9d6bp-16, -0x1.304cd218de037p-16, -0x1.1cea624573ba3p-16, -0x1.099cb35ffa304p-16, -0x1.ecc9b8d535572p-17, -0x1.c687f0483c35ap-17, -0x1.a07648aba548bp-17, -0x1.7a97025e51254p-17, -0x1.54ec613b1ee41p-17, -0x1.2f78ab710ef43p-17, -0x1.0a3e284e4a59ap-17, -0x1.ca7e3e60e3e53p-18, -0x1.80fbacefac7a3p-18, -0x1.37f9250339c2dp-18, -0x1.def6530653946p-19, -0x1.4f0c6b5eb0fb6p-19, -0x1.807aeda815e8p-20, -0x1.94921aada737bp-22, 0x1.67b1e8ca8d8a2p-21, 0x1.ca6c51321c631p-20, 0x1.6f424d399e13ep-19, 0x1.f8088e768427ep-19, 0x1.3fc05b07116ffp-18, 0x1.82d159aea91d1p-18, 0x1.c5334ec898c74p-18, 0x1.03712d580f2c2p-17, 0x1.23ed59c3dda15p-17, 0x1.440c5301edb1p-17, 0x1.63cc4b15ede29p-17, 0x1.832b800f0c8d1p-17, 0x1.a2283c51f42d9p-17, 0x1.c0c0d6f202ec5p-17, 0x1.def3b3eed2421p-17, 0x1.fcbf447384b8bp-17, 0x1.0d1103881c6fdp-16, 0x1.1b8d43f67d24p-16, 0x1.29d3b07885a83p-16, 0x1.37e39cf8b3f8fp-16, 0x1.45bc646608f22p-16, 0x1.535d68c22decbp-16, 0x1.60c6132d7d34cp-16, 0x1.6df5d3ecb3c38p-16, 0x1.7aec2271e4ad3p-16, 0x1.87a87d60d6063p-16, }}, 
      {{0x1.498b34f242dc1p-7, 0x1.4997934f164c4p-6, 0x1.ee81a59920649p-6, 0x1.49c72966eaa31p-5, 0x1.9c63310db798cp-5, 0x1.ef183ccea9d4ep-5, 0x1.20f434893e422p-4, 0x1.4a6a410827b11p-4, 0x1.73edfac03a652p-4, 0x1.9d7e67017e509p-4, 0x1.c719db53b54bfp-4, 0x1.f0be028c64ep-4, 0x1.0d33f24540b85p-3, 0x1.2209f7ff3bfe6p-3, 0x1.36df02dc9396cp-3, 0x1.4bb0c28732c59p-3, 0x1.607cac7425283p-3, 0x1.7540029be355fp-3, 0x1.89f7da3e45618p-3, 0x1.9ea1229542066p-3, 0x1.b338ab5f2d017p-3, 0x1.c7bb2b2e0497ep-3, 0x1.dc25456da1e96p-3, 0x1.f07390168361ap-3, 0x1.02514c830336p-2, 0x1.0c57757bd4603p-2, 0x1.164a890e9e1f7p-2, 0x1.2028d02ae30c8p-2, 0x1.29f098821b7fdp-2, 0x1.33a0364433587p-2, 0x1.3d3605aec207ap-2, 0x1.46b06c70e905ap-2, 0x1.500ddae605795p-2, 0x1.594ccd296ff24p-2, 0x1.626bcc05b02b6p-2, 0x1.6b696dc177e4dp-2, 0x1.744456ccc97bcp-2, 0x1.7cfb3a508bb56p-2, 0x1.858cdaa2d5e1dp-2, 0x1.8df809a20dc7ap-2, 0x1.963ba8f8f0c86p-2, 0x1.9e56aa4d7e102p-2, 0x1.a6480f5c9bebcp-2, 0x1.ae0eea043f782p-2, 0x1.b5aa5c3dc228ap-2, 0x1.bd199809f015bp-2, 0x1.c45bdf504db59p-2, 0x1.cb7083b2f2334p-2, 0x1.d256e6583e0bap-2, 0x1.d90e77aba0ebcp-2, 0x1.df96b7168e027p-2, 0x1.e5ef32b2a2b1ap-2, 0x1.ec1786f5f4978p-2, 0x1.f20f5e5a6ba33p-2, 0x1.f7d67100ef6f8p-2, 0x1.fd6c84512ab97p-2, 0x1.0168b54b4955ap-1, 0x1.0402814da4dc3p-1, 0x1.06839ba0b83e9p-1, 0x1.08ebff8db3dap-1, 0x1.0b3bae01b77fap-1, 0x1.0d72ad598970dp-1, 0x1.0f91092d5e4a1p-1, 0x1.1196d21cde0fep-1, 0x1.13841d9b88abdp-1, 0x1.155905bd9a9d9p-1, 0x1.1715a9058cebep-1, 0x1.18ba2a3248162p-1, 0x1.1a46b00e1eb18p-1, 0x1.1bbb653ea149ap-1, 0x1.1d18781558b66p-1, 0x1.1e5e1a6176132p-1, 0x1.1f8c81427d2e6p-1, 0x1.20a3e4fbf74b2p-1, 0x1.21a480ca2edefp-1, 0x1.228e92b7fca55p-1, 0x1.23625b75a5622p-1, 0x1.24201e30cfcadp-1, 0x1.24c8206d8ca84p-1, 0x1.255aa9e076773p-1, 0x1.25d80449e502bp-1, 0x1.26407b523531bp-1, 0x1.26945c671ff7bp-1, 0x1.26d3f69a214abp-1, 0x1.26ff9a7fea476p-1, 0x1.27179a10dac7p-1, 0x1.271c488a7fc2ap-1, 0x1.270dfa5212574p-1, 0x1.26ed04d7f303ap-1, 0x1.26b9be7c1cf35p-1, 0x1.26747e738d999p-1, 0x1.261d9cae9ae39p-1, 0x1.25b571c034b72p-1, 0x1.253c56c60d1e8p-1, 0x1.24b2a5519f6f4p-1, 0x1.2418b75218d77p-1, 0x1.236ee6ff1395cp-1, 0x1.22b58ec42acbfp-1, 0x1.21ed092d59111p-1, 0x1.2115b0d4234e5p-1, 0x1.202fe04d886b8p-1, 0x1.1f3bf218b1659p-1, 0x1.1e3a408e5d314p-1, 0x1.1d2b25d1058ddp-1, 0x1.1c0efbbdb4a4ep-1, 0x1.1ae61bdd8a5dep-1, 0x1.19b0df57ea947p-1, 0x1.186f9ee551fdcp-1, 0x1.1722b2c2c99b5p-1, 0x1.15ca72a5f8816p-1, 0x1.146735b1cdca6p-1, 0x1.12f9526bbbe47p-1, 0x1.11811eb1861b9p-1, 0x1.0ffeefaf983d5p-1, 0x1.0e7319d7e4d04p-1, 0x1.0cddf0d9473d4p-1, 0x1.0b3fc7976469bp-1, 0x1.0998f023063f3p-1, 0x1.07e9bbb2ee629p-1, 0x1.06327a9d1bb59p-1, 0x1.04737c5080368p-1, 0x1.02ad0f4f20debp-1, 0x1.00df81289fb74p-1, 0x1.fe163cea50025p-2, 0x1.fa6065a179531p-2, 0x1.f69e11adc8665p-2, 0x1.f2cfd43d5c4p-2, 0x1.eef63e6e1f4fep-2, 0x1.eb11df4727ff3p-2, 0x1.e72343b2b954ep-2, 0x1.e32af678dfbb6p-2, 0x1.df29803aa34f3p-2, 0x1.db1f676dc6089p-2, 0x1.d70d305910651p-2, 0x1.d2f35d111d9b6p-2, 0x1.ced26d75a9feap-2, 0x1.caaadf2f59e29p-2, 0x1.c67d2dadf2d9cp-2, 0x1.c249d2270ad19p-2, 0x1.be1143951be58p-2, 0x1.b9d3f6b702302p-2, 0x1.b5925e0fdc212p-2, 0x1.b14ce9e7479eep-2, 0x1.ad040849f8e13p-2, 0x1.a8b8250aa9416p-2, 0x1.a469a9c35767dp-2, 0x1.a018fdd6d31f3p-2, 0x1.9bc6867299326p-2, 0x1.9772a690f295bp-2, 0x1.931dbefb5b3f4p-2, 0x1.8ec82e4d25409p-2, 0x1.8a7250f65f9b9p-2, 0x1.861c813ef39f9p-2, 0x1.81c71749fc555p-2, 0x1.7d72691954e4p-2, 0x1.791eca9154437p-2, 0x1.74cc8d7cc1398p-2, 0x1.707c0190ec2acp-2, 0x1.6c2d7471fa9cdp-2, 0x1.67e131b7573bp-2, 0x1.639782f04dd4dp-2, 0x1.5f50afa8c5453p-2, 0x1.5b0cfd6e24733p-2, 0x1.56ccafd450d57p-2, 0x1.5290087ad175ep-2, 0x1.4e5747120c598p-2, 0x1.4a22a9609f2c1p-2, 0x1.45f26b48d3a1ap-2, 0x1.41c6c6ce2b27p-2, 0x1.3d9ff41affae6p-2, 0x1.397e29863b5aep-2, 0x1.35619b9924d7ep-2, 0x1.314a7d1539c33p-2, 0x1.2d38fefa1e33p-2, 0x1.292d508b99df5p-2, 0x1.25279f57a3cd6p-2, 0x1.2128173c7a4cep-2, 0x1.1d2ee26ec7452p-2, 0x1.193c297fd1b3ap-2, 0x1.15501363b1ceep-2, 0x1.116ac5779730fp-2, 0x1.0d8c63880db04p-2, 0x1.09b50fd74cc6bp-2, 0x1.05e4eb238d916p-2, 0x1.021c14ad61b1fp-2, 0x1.fcb5547c1eecfp-3, 0x1.f541905be30cfp-3, 0x1.eddd12d5ad1f8p-3, 0x1.e6880efcc56b2p-3, 0x1.df42b528e03d6p-3, 0x1.d80d3302e1aabp-3, 0x1.d0e7b39197a0ap-3, 0x1.c9d25f4675bb5p-3, 0x1.c2cd5c0a468bfp-3, 0x1.bbd8cd49d798cp-3, 0x1.b4f4d4029bafdp-3, 0x1.ae218ecf41ca6p-3, 0x1.a75f19f441623p-3, 0x1.a0ad8f6c5c38cp-3, 0x1.9a0d06f50cc44p-3, 0x1.937d961ae92dap-3, 0x1.8cff5045f6792p-3, 0x1.869246c5e30dbp-3, 0x1.803688de3b146p-3, 0x1.79ec23d27b6afp-3, 0x1.73b322f21ae8fp-3, 0x1.6d8b8fa4769ebp-3, 0x1.67757174a9d86p-3, 0x1.6170ce1d51053p-3, 0x1.5b7da9942f97bp-3, 0x1.559c0615bfe81p-3, 0x1.4fcbe430a7d25p-3, 0x1.4a0d42d112f13p-3, 0x1.44601f4beef06p-3, 0x1.3ec4756a11e1ap-3, 0x1.393a3f73381bbp-3, 0x1.33c17638f243ap-3, 0x1.2e5a112169fefp-3, 0x1.290406320d236p-3, 0x1.23bf4a1a177a3p-3, 0x1.1e8bd03d005cep-3, 0x1.19698abcbe1a5p-3, 0x1.14586a83f8a4ap-3, 0x1.0f585f5007789p-3, 0x1.0a6957badded9p-3, 0x1.058b4144cd4c9p-3, 0x1.00be085e257a7p-3, 0x1.f80330e1686b4p-4, 0x1.eeabb7d23ec39p-4, 0x1.e57578803a0bap-4, 0x1.dc60440710353p-4, 0x1.d36be9bea0cfdp-4, 0x1.ca98374c8ca3p-4, 0x1.c1e4f8b585266p-4, 0x1.b951f86e559c5p-4, 0x1.b0deff6c9b3fap-4, 0x1.a88bd53743639p-4, 0x1.a0583ff6aa944p-4, 0x1.984404848b292p-4, 0x1.904ee67b87913p-4, 0x1.8878a84683028p-4, 0x1.80c10b2fa0cc4p-4, 0x1.7927cf6f01dc7p-4, 0x1.71acb43935928p-4, 0x1.6a4f77cd6162ep-4, 0x1.630fd7832167ap-4, 0x1.5bed8fd81e5a5p-4, 0x1.54e85c7d5a5e8p-4, 0x1.4dfff86437143p-4, 0x1.47341dcb3389p-4, 0x1.4084864a60fadp-4, 0x1.39f0eadf90008p-4, 0x1.337903fa3b063p-4, 0x1.2d1c898723e8bp-4, 0x1.26db32fbb1007p-4, 0x1.20b4b76101857p-4, 0x1.1aa8cd5ebf459p-4, 0x1.14b72b45a91bap-4, 0x1.0edf8719dcd6cp-4, 0x1.0921969cdac28p-4, 0x1.037d0f5749268p-4, 0x1.fbe34d44ea8c8p-5, 0x1.f0fe23631fe3fp-5, 0x1.e64a0b355d9c5p-5, 0x1.dbc66ebf13672p-5, 0x1.d172b7ebf3ea6p-5, 0x1.c74e50a0760b2p-5, 0x1.bd58a2c9dd2f8p-5, 0x1.b391186dc222p-5, 0x1.a9f71bb9299c4p-5, 0x1.a08a170f20062p-5, 0x1.97497516e00aap-5, 0x1.8e34a0c98896bp-5, 0x1.854b057f5cf8ap-5, 0x1.7c8c0efc973a5p-5, 0x1.73f7297dc9895p-5, 0x1.6b8bc1c3d503ap-5, 0x1.6349451f74809p-5, 0x1.5b2f217c5c08ep-5, 0x1.533cc56bf0dedp-5, 0x1.4b71a02f9d3eap-5, 0x1.43cd21c2be70ep-5, 0x1.3c4ebae430b29p-5, 0x1.34f5dd1f75141p-5, 0x1.2dc1fad5839b9p-5, 0x1.26b2874530548p-5, 0x1.1fc6f6934405ap-5, 0x1.18febdd22f92bp-5, 0x1.125953096e70ep-5, 0x1.0bd62d3c89c27p-5, 0x1.0574c471d29cep-5, 0x1.fe6923717ed92p-6, 0x1.f22a1e5ff72bcp-6, 0x1.e62b70164dbd4p-6, 0x1.da6c113093172p-6, 0x1.ceeafc89ec526p-6, 0x1.c3a72f464ed97p-6, 0x1.b89fa8dba6474p-6, 0x1.add36b1a602b2p-6, 0x1.a3417a3582483p-6, 0x1.98e8dcca28d5dp-6, 0x1.8ec89be681296p-6, 0x1.84dfc31050f82p-6, 0x1.7b2d604aea87p-6, 0x1.71b0841cb74d2p-6, 0x1.686841944283ap-6, 0x1.5f53ae4cd1025p-6, 0x1.5671e2728c0ap-6, 0x1.4dc1f8c630358p-6, 0x1.45430ea060ef9p-6, 0x1.3cf443f48b529p-6, 0x1.34d4bb5362fe3p-6, 0x1.2ce399ecfe86ap-6, 0x1.25200792937bp-6, 0x1.1d892eb7d7a5bp-6, 0x1.161e3c7401311p-6, 0x1.0ede608277473p-6, 0x1.07c8cd432cd8cp-6, 0x1.00dcb7baa4219p-6, 0x1.f432af234c5b8p-7, 0x1.e6fbce2963c88p-7, 0x1.da1346662636p-7, 0x1.cd7796fb96738p-7, 0x1.c127444c24d7ep-7, 0x1.b520d7f76b45fp-7, 0x1.a962e0d6404edp-7, 0x1.9debf2f663979p-7, 0x1.92baa795a322ep-7, 0x1.87cd9d1c970cfp-7, 0x1.7d237718f3ba3p-7, 0x1.72bade375bf3ap-7, 0x1.6892803ce432cp-7, 0x1.5ea9100037a2fp-7, 0x1.54fd456231cd6p-7, 0x1.4b8ddd465d884p-7, 0x1.4259998afb48ep-7, 0x1.395f4100a906ap-7, 0x1.309d9f61df552p-7, 0x1.2813854a0899ap-7, 0x1.1fbfc82c5f648p-7, 0x1.17a1424a7d46ep-7, 0x1.0fb6d2aab7b1bp-7, 0x1.07ff5d0e38fefp-7, 0x1.0079c9e6d5153p-7, 0x1.f24a0c997f49p-8, 0x1.e40007e805453p-8, 0x1.d61372436c4bep-8, 0x1.c8824142569cfp-8, 0x1.bb4a7371a22f9p-8, 0x1.ae6a103dfa0b3p-8, 0x1.a1df27dd2c3c5p-8, 0x1.95a7d3371c251p-8, 0x1.89c233ce8df58p-8, 0x1.7e2c73a9a3e42p-8, 0x1.72e4c53a4fdc1p-8, 0x1.67e9634669686p-8, 0x1.5d3890cfa4f0fp-8, 0x1.52d098fb66605p-8, 0x1.48afcefa89a6fp-8, 0x1.3ed48df0dfcf7p-8, 0x1.353d38dcae52ep-8, 0x1.2be83a7e2523ap-8, 0x1.22d4053e936a9p-8, 0x1.19ff1317bdc2fp-8, 0x1.1167e57b1f127p-8, 0x1.090d053909022p-8, 0x1.00ed0267e7eedp-8, 0x1.f20ce896abbedp-9, 0x1.e2aff276c0db8p-9, 0x1.d3c06d177e684p-9, 0x1.c53bb0e61986cp-9, 0x1.b71f23e42a8bp-9, 0x1.a968397648903p-9, 0x1.9c14723320566p-9, 0x1.8f215bb212a83p-9, 0x1.828c905abd7fcp-9, 0x1.7653b733fea11p-9, 0x1.6a7483b3b74adp-9, 0x1.5eecb58e91987p-9, 0x1.53ba1887ec2b9p-9, 0x1.48da8442342c1p-9, 0x1.3e4bdc0f5f5eap-9, 0x1.340c0ec1cdd1p-9, 0x1.2a19167d74b45p-9, 0x1.2070f88936418p-9, 0x1.1711c520b727p-9, 0x1.0df9974662afep-9, 0x1.05269495fe78bp-9, 0x1.f92dda2ea04f5p-10, 0x1.e891b622e6b2ap-10, 0x1.d87545bc5cd92p-10, 0x1.c8d5257c22d05p-10, 0x1.b9ae05594706bp-10, 0x1.aafca86a7d43cp-10, 0x1.9cbde4900f0c4p-10, 0x1.8eeea21f290d9p-10, 0x1.818bdb8db9c69p-10, 0x1.74929d1f315f3p-10, 0x1.680004924233ep-10, 0x1.5bd140cf275dp-10, 0x1.5003919770c57p-10, 0x1.44944735e0253p-10, 0x1.3980c22fd7ed9p-10, 0x1.2ec672f799608p-10, 0x1.2462d99f07829p-10, 0x1.1a53858ba42d4p-10, 0x1.1096152b81737p-10, 0x1.072835ab18b5p-10, 0x1.fc0f4557ee1adp-11, 0x1.ea644bf8861f8p-11, 0x1.d94b2e9f2edc2p-11, 0x1.c8bfb7f0ae3a7p-11, 0x1.b8bdcd449e267p-11, 0x1.a9416e1c0e33p-11, 0x1.9a46b39a5b587p-11, 0x1.8bc9cfffdd334p-11, 0x1.7dc70e2618d29p-11, 0x1.703ad0fe7bd1ap-11, 0x1.6321931264ef3p-11, 0x1.5677e60525f27p-11, 0x1.4a3a7218580ap-11, 0x1.3e65f5b15a147p-11, 0x1.32f744e1397a5p-11, 0x1.27eb48edfe5e2p-11, 0x1.1d3effde55883p-11, 0x1.12ef7c0665cf4p-11, 0x1.08f9e397490c4p-11, 0x1.feb6e05ea5bb6p-12, 0x1.ec22dcda4b09bp-12, 0x1.da327b077cebp-12, 0x1.c8e09da1dfe37p-12, 0x1.b8284aea17faep-12, 0x1.a804abd96d92dp-12, 0x1.98710b58aad89p-12, 0x1.8968d57a16cd3p-12, 0x1.7ae796b76a1e3p-12, 0x1.6ce8fb32a12d7p-12, 0x1.5f68cdfb02e91p-12, 0x1.5262f853c0907p-12, 0x1.45d381004088p-12, 0x1.39b68b915ffa2p-12, 0x1.2e0857b79ab7dp-12, 0x1.22c54097a4332p-12, 0x1.17e9bc22286cp-12, 0x1.0d725a6ef3688p-12, 0x1.035bc51ad4891p-12, 0x1.f3457d51cfeadp-13, 0x1.e08843ce1d796p-13, 0x1.ce79c2a95b73dp-13, 0x1.bd140d19f631bp-13, 0x1.ac516368a9745p-13, 0x1.9c2c31cf107a5p-13, 0x1.8c9f0f5ed055ep-13, 0x1.7da4bceba5c0ep-13, 0x1.6f3823fc68905p-13, 0x1.615455c1ceef4p-13, 0x1.53f48a1142bacp-13, 0x1.47141e665352bp-13, 0x1.3aae94e91e54ap-13, 0x1.2ebf9378acbf2p-13, 0x1.2342e2bcd5d2ep-13, 0x1.18346d3b0ad8bp-13, 0x1.0d903e70d444dp-13, 0x1.035281f34fadap-13, 0x1.f2ef05278697cp-14, 0x1.dff7530fb643dp-14, 0x1.cdb6fb2f42d06p-14, 0x1.bc2744a07a824p-14, 0x1.ab41ae73af233p-14, 0x1.9affee276774fp-14, 0x1.8b5bee25a06b8p-14, 0x1.7c4fcc4d25a29p-14, 0x1.6dd5d881517f4p-14, 0x1.5fe893429f3ep-14, 0x1.5282ac4f21dbcp-14, 0x1.459f014db4c05p-14, 0x1.39389c7b456adp-14, 0x1.2d4ab3666f971p-14, 0x1.21d0a5ae8d2bap-14, 0x1.16c5fbcabd071p-14, 0x1.0c2665db1f266p-14, 0x1.01edba7dc4599p-14, 0x1.f02feb5aef42p-15, 0x1.dd426f4a3cdffp-15, 0x1.cb0b8797453f7p-15, 0x1.b983ff4d844f6p-15, 0x1.a8a4e3a6a58afp-15, 0x1.98678207fea7cp-15, 0x1.88c56611eaa51p-15, 0x1.79b857b467407p-15, 0x1.6b3a59539781ep-15, 0x1.5d45a5f8703fdp-15, 0x1.4fd4af8e1a665p-15, 0x1.42e21d2541557p-15, 0x1.3668c94bac99ep-15, 0x1.2a63c0686ebecp-15, 0x1.1ece3f240b4a4p-15, 0x1.13a3b0dc5534dp-15, 0x1.08dfae2271f9p-15, 0x1.fcfbf68585cd8p-16, 0x1.e8f50dabc7875p-16, 0x1.d5a2d0be17833p-16, 0x1.c2fdbddfc2448p-16, 0x1.b0fe9fb15b2cp-16, 0x1.9f9e8abb1701ap-16, 0x1.8ed6daf3c1b46p-16, 0x1.7ea131555803fp-16, 0x1.6ef7717b11f96p-16, 0x1.5fd3bf5d1ebbdp-16, 0x1.51307d167b422p-16, 0x1.430848ba183c2p-16, 0x1.3555fa36b444ep-16, 0x1.2814a14ee49dp-16, 0x1.1b3f839a2074dp-16, 0x1.0ed21a9bf607bp-16, 0x1.02c811dfbe797p-16, 0x1.ee3a8a59e40b4p-17, 0x1.d79b7d88fa9bap-17, 0x1.c1ab6b4a671b6p-17, 0x1.ac6317d20d31p-17, 0x1.97bb9a4b2f354p-17, 0x1.83ae59b9b4b07p-17, 0x1.703509f7d8e4bp-17, 0x1.5d49a8bf582ddp-17, 0x1.4ae67adb06d4ap-17, 0x1.3906096150a6ep-17, 0x1.27a31f04e51cdp-17, 0x1.16b8c581271c8p-17, 0x1.0642431ad8187p-17, 0x1.ec76305c7c08ap-18, 0x1.cd3df9add6934p-18, 0x1.aed3bd5e8fec8p-18, 0x1.912fbd3729205p-18, 0x1.744a9d4bf5c27p-18, 0x1.581d5fe547731p-18, 0x1.3ca1617cfa4eep-18, 0x1.21d054f2f1db8p-18, 0x1.07a43fc254c42p-18, 0x1.dc2eecf9ee452p-19, 0x1.aa49328e550f2p-19, 0x1.798d210bfa018p-19, 0x1.49f1133e91945p-19, 0x1.1b6be7a7f1b2p-19, 0x1.dbe9f51e12efp-20, 0x1.8308402e5f2d7p-20, 0x1.2c233d5d93448p-20, 0x1.ae58a6a439afap-21, 0x1.082b7023bccddp-21, 0x1.96933800f0c5cp-23, -0x1.ca9e8e28954d6p-24, -0x1.a9ab394f83efdp-22, -0x1.6cf66d5ae699fp-21, -0x1.00e56e9ed37b8p-20, -0x1.49b32a6f1c5f6p-20, -0x1.90ed8e017d31bp-20, -0x1.d69d34873429cp-20, -0x1.0d651bd70fe36p-19, -0x1.2ebe1b7eaf747p-19, -0x1.4f5d2f3feb395p-19, -0x1.6f45b6a9db92cp-19, -0x1.8e7addf989ea6p-19, -0x1.acffa11f4045ep-19, -0x1.cad6ce96a4672p-19, -0x1.e8030a3679fbbp-19, -0x1.024367df84832p-18, -0x1.10323abdeb286p-18, -0x1.1dcf174e272a1p-18, -0x1.2b1b06ccffc95p-18, -0x1.3817032d02ba8p-18, -0x1.44c3f82f7e0ddp-18, -0x1.5122c45ebed82p-18, -0x1.5d343a0ba01edp-18, -0x1.68f920341a15ap-18, -0x1.747233622f71ap-18, -0x1.7fa026860436ap-18, -0x1.8a83a3c05ccfdp-18, -0x1.951d4d201f453p-18, -0x1.9f6dbd6203516p-18, -0x1.a97588985c7d8p-18, -0x1.b3353cd1ae641p-18, -0x1.bcad62b8e3955p-18, -0x1.c5de7e248fbd1p-18, -0x1.cec90ea4c0444p-18, -0x1.d76d900c1013fp-18, -0x1.dfcc7ae997821p-18, -0x1.e7e644feea933p-18, -0x1.efbb61b192dap-18, -0x1.f74c427384543p-18, -0x1.fe99572388061p-18, -0x1.02d187367d8b7p-17, -0x1.0634eb0c534fap-17, -0x1.09770db0e087p-17, -0x1.0c98259f557ecp-17, -0x1.0f9869553d7e8p-17, -0x1.12780f7169e06p-17, -0x1.15374ed396a32p-17, -0x1.17d65eb71ca4fp-17, -0x1.1a5576cc6afefp-17, -0x1.1cb4cf5202905p-17, -0x1.1ef4a128fe4e5p-17, -0x1.211525e72e282p-17, -0x1.231697ec7f94dp-17, -0x1.24f93270bee35p-17, -0x1.26bd3190d5ae5p-17, -0x1.2862d25eedc74p-17, -0x1.29ea52eac4ad2p-17, -0x1.2b53f24d2e8f6p-17, -0x1.2c9ff0af99aa3p-17, -0x1.2dce8f53c054ep-17, -0x1.2ee0109891b0bp-17, -0x1.2fd4b7ff5ef19p-17, -0x1.30acca3054cb9p-17, -0x1.31688cfc0ffacp-17, -0x1.3208475cab7abp-17, -0x1.328c41781324cp-17, -0x1.32f4c49e2b228p-17, -0x1.33421b4757eeap-17, -0x1.33749114a96bfp-17, -0x1.338c72c9a0b1dp-17, -0x1.338a0e4c8db8bp-17, -0x1.336db2a02854bp-17, -0x1.3337afded5a43p-17, -0x1.32e85736ead94p-17, -0x1.327ffae2831f6p-17, -0x1.31feee24688f6p-17, -0x1.3165853e52cfap-17, -0x1.30b4156b1bd8dp-17, -0x1.2feaf4d6e3d2ap-17, -0x1.2f0a7a97837c2p-17, -0x1.2e12fea2ca13fp-17, -0x1.2d04d9c8899d5p-17, -0x1.2be065a7218e2p-17, -0x1.2aa5fca3c48ap-17, -0x1.2955f9e185d13p-17, -0x1.27f0b935e7d29p-17, -0x1.2676972198138p-17, -0x1.24e7f0c4a9e1dp-17, -0x1.234523d62a5d4p-17, -0x1.218e8e98d5f2cp-17, -0x1.1fc48fd22d6edp-17, -0x1.1de786beb72b7p-17, -0x1.1bf7d3093b9fcp-17, -0x1.19f5d4bf5d4f9p-17, -0x1.17e1ec4817fccp-17, -0x1.15bc7a593c014p-17, -0x1.1385dfeca4eaep-17, -0x1.113e7e36e6808p-17, -0x1.0ee6b69bdd58bp-17, -0x1.0c7eeaa59a20cp-17, -0x1.0a077bfa2a7f8p-17, }}, 
      {{0x1.fe3c745cbb9ep-1, 0x1.fd4d4806ccb4fp-1, 0x1.fbc49f6a9acacp-1, 0x1.f9aac46284282p-1, 0x1.f70a42c5271fcp-1, 0x1.f3ef34c1da2a4p-1, 0x1.f0669cf215232p-1, 0x1.ec7dd6c735fe8p-1, 0x1.e842205a835fdp-1, 0x1.e3c03d6199d15p-1, 0x1.df04314cbbd39p-1, 0x1.da190dc8cca6p-1, 0x1.d508d2a09f33fp-1, 0x1.cfdc5c09a1076p-1, 0x1.ca9b5ca036a29p-1, 0x1.c54c60a207e71p-1, 0x1.bff4d843571bfp-1, 0x1.ba992749beef5p-1, 0x1.b53cb85f05634p-1, 0x1.afe212d0bec29p-1, 0x1.aa8af1acba9a1p-1, 0x1.a5385b5eb2b85p-1, 0x1.9feab921bcc3bp-1, 0x1.9aa1edbfdcdcbp-1, 0x1.955d6b3c410b8p-1, 0x1.901c47218fe1cp-1, 0x1.8add4d45cfd5fp-1, 0x1.859f10e9224fcp-1, 0x1.805ffc247e4ebp-1, 0x1.7b1e5daa0af11p-1, 0x1.75d874e2562e3p-1, 0x1.708c7c78ae67cp-1, 0x1.6b38b36dde42cp-1, 0x1.65db64cbc42b3p-1, 0x1.6072ee160fc59p-1, 0x1.5afdc49526c0cp-1, 0x1.557a799808af7p-1, 0x1.4fe7bdc93d499p-1, 0x1.4a4463b18feb3p-1, 0x1.448f6181ceabdp-1, 0x1.3ec7d23aef03bp-1, 0x1.38ecf64a20badp-1, 0x1.32fe33ac6d0a1p-1, 0x1.2cfb15ab9d987p-1, 0x1.26e34c4455ae3p-1, 0x1.20b6ab4395003p-1, 0x1.1a7529283eb36p-1, 0x1.141eddd3c41cfp-1, 0x1.0db40113beca6p-1, 0x1.0734e90d05689p-1, 0x1.00a2088fb520bp-1, 0x1.f3f7dab552862p-2, 0x1.e6867ca7f2f16p-2, 0x1.d8f17376b330ap-2, 0x1.cb3a66b4f9402p-2, 0x1.bd63256e13c65p-2, 0x1.af6da29252bfdp-2, 0x1.a15bf1726fbddp-2, 0x1.9330424d8f07cp-2, 0x1.84ecdef57d207p-2, 0x1.7694278c1a836p-2, 0x1.68288f5c6c471p-2, 0x1.59ac99d144625p-2, 0x1.4b22d78b0f293p-2, 0x1.3c8de395f6cb3p-2, 0x1.2df060c1321fbp-2, 0x1.1f4cf7181bc4bp-2, 0x1.10a6517d5da49p-2, 0x1.01ff1b6854841p-2, 0x1.e6b3fd892c134p-3, 0x1.c97343e6ab0b8p-3, 0x1.ac414bdc971d5p-3, 0x1.8f23491724c44p-3, 0x1.721e5dc3b87b6p-3, 0x1.5537979886141p-3, 0x1.3873ed19cb72ap-3, 0x1.1bd83b1ae2913p-3, 0x1.fed284f278e3ep-4, 0x1.c6574c1ebb66bp-4, 0x1.8e47d1bb72c85p-4, 0x1.56acd8ceb968p-4, 0x1.1f8ede805aeebp-4, 0x1.d1ec2f2a6c6eap-5, 0x1.65d4dc89f70fcp-5, 0x1.f5ce01976fb98p-6, 0x1.226277a6f4af7p-6, 0x1.460c7a883c346p-8, -0x1.f2d518ce6ec1ap-8, -0x1.482d36547e0b1p-6, -0x1.08663acd3e64ap-5, -0x1.6b3e0678008c8p-5, -0x1.cc9325106ca8fp-5, -0x1.162dafb6ab302p-4, -0x1.45468fbb10059p-4, -0x1.738fb7748deb1p-4, -0x1.a104fae7e966dp-4, -0x1.cda27c53ffb95p-4, -0x1.f964ab23ed848p-4, -0x1.1224216101a63p-3, -0x1.272524a7417c2p-3, -0x1.3bb4071e8877ep-3, -0x1.4fcf946dc593dp-3, -0x1.6376bb626ce7dp-3, -0x1.76a88d211ec26p-3, -0x1.89643c4ea6fc8p-3, -0x1.9ba91c3283ff8p-3, -0x1.ad769fd3db111p-3, -0x1.becc5911f27dap-3, -0x1.cfa9f7b90056fp-3, -0x1.e00f48942d319p-3, -0x1.effc347d97d54p-3, -0x1.ff70bf6d0c6eep-3, -0x1.073683c30eb74p-2, -0x1.0e78a2132146ap-2, -0x1.157ee279c5cccp-2, -0x1.1c49787635edfp-2, -0x1.22d8a2bc8fb0bp-2, -0x1.292caabf8b9f3p-2, -0x1.2f45e43b68881p-2, -0x1.3524acc23a2b1p-2, -0x1.3ac96b49ca521p-2, -0x1.40348fbb25d77p-2, -0x1.4566928402775p-2, -0x1.4a5ff42a14b9ep-2, -0x1.4f213ce06b849p-2, -0x1.53aafc1ef1dcbp-2, -0x1.57fdc83c1d75dp-2, -0x1.5c1a3e08e54ebp-2, -0x1.6001006f05351p-2, -0x1.63b2b8119c41fp-2, -0x1.673012f02ea9bp-2, -0x1.6a79c40c1179bp-2, -0x1.6d90831042758p-2, -0x1.70750bfbb079bp-2, -0x1.73281ecdf464dp-2, -0x1.75aa7f3677e24p-2, -0x1.77fcf4460d9c9p-2, -0x1.7a204822eda46p-2, -0x1.7c1547bf1df7cp-2, -0x1.7ddcc2913520fp-2, -0x1.7f778a4f7ae26p-2, -0x1.80e672ad56391p-2, -0x1.822a511b09262p-2, -0x1.8343fc87af40fp-2, -0x1.84344d256e5b3p-2, -0x1.84fc1c2fdd2c6p-2, -0x1.859c43b489962p-2, -0x1.86159e5d9c4f6p-2, -0x1.8669073e89af8p-2, -0x1.869759a2ca532p-2, -0x1.86a170de89921p-2, -0x1.868828214722dp-2, -0x1.864c5a4a58919p-2, -0x1.85eee1bf43115p-2, -0x1.85709843e4da8p-2, -0x1.84d256d45b2e2p-2, -0x1.8414f580a33b2p-2, -0x1.83394b49e0c97p-2, -0x1.82402e0149592p-2, -0x1.812a72289feb1p-2, -0x1.7ff8ead43d7ddp-2, -0x1.7eac698e94361p-2, -0x1.7d45be3d2b00cp-2, -0x1.7bc5b70700164p-2, -0x1.7a2d203c4ca75p-2, -0x1.787cc43f99de9p-2, -0x1.76b56b7025e4ep-2, -0x1.74d7dc15858e5p-2, -0x1.72e4da4c807d3p-2, -0x1.70dd27f51af99p-2, -0x1.6ec184a1c2efbp-2, -0x1.6c92ad879b3ep-2, -0x1.6a515d6fd6d05p-2, -0x1.67fe4caa21c4dp-2, -0x1.659a310008c67p-2, -0x1.6325bda95c68ep-2, -0x1.60a1a3418517cp-2, -0x1.5e0e8fbdbecc8p-2, -0x1.5b6d2e643a581p-2, -0x1.58be27c4146bcp-2, -0x1.560221ae22d1p-2, -0x1.5339bf2e8c619p-2, -0x1.5065a08724b58p-2, -0x1.4d86632a85606p-2, -0x1.4a9ca1b7e1a81p-2, -0x1.47a8f3f785c1ap-2, -0x1.44abeed803c77p-2, -0x1.41a6246c04bb6p-2, -0x1.3e9823e8b539bp-2, -0x1.3b8279a4cc1aap-2, -0x1.3865af1823f8dp-2, -0x1.35424adbde608p-2, -0x1.3218d0ab12da6p-2, -0x1.2ee9c163fb4e8p-2, -0x1.2bb59b09a1446p-2, -0x1.287cd8c5fe5cep-2, -0x1.253ff2ec954eep-2, -0x1.21ff5efd71ccep-2, -0x1.1ebb8fa898215p-2, -0x1.1b74f4d1d51b9p-2, -0x1.182bfb94f0f21p-2, -0x1.14e10e4a3afb3p-2, -0x1.1194948b6f8f8p-2, -0x1.0e46f338f10b6p-2, -0x1.0af88c7f4dc77p-2, -0x1.07a9bfdd153c3p-2, -0x1.045aea28f14fdp-2, -0x1.010c659805931p-2, -0x1.fb7d13891ba3ep-3, -0x1.f4e3576977139p-3, -0x1.ee4c3bc38e886p-3, -0x1.e7b8607e7f09cp-3, -0x1.e128608503e07p-3, -0x1.da9cd1d4d7b82p-3, -0x1.d416458e62476p-3, -0x1.cd954804becf8p-3, -0x1.c71a60ce0e411p-3, -0x1.c0a612d40fbf7p-3, -0x1.ba38dc64f95a5p-3, -0x1.b3d3374492bf6p-3, -0x1.ad7598bd7e8afp-3, -0x1.a72071b2ba21cp-3, -0x1.a0d42eb14c28cp-3, -0x1.9a913802170e3p-3, -0x1.9457f1bbd326dp-3, -0x1.8e28bbd51ec94p-3, -0x1.8803f236ba644p-3, -0x1.81e9eccdc656ep-3, -0x1.7bdaff9e21551p-3, -0x1.75d77ad4d23bp-3, -0x1.6fdfaada77279p-3, -0x1.69f3d865c1c8dp-3, -0x1.6414488df2c73p-3, -0x1.5e413cdd5a776p-3, -0x1.587af363cb7ap-3, -0x1.52c1a6c910df6p-3, -0x1.4d158e5f57fb2p-3, -0x1.4776de3588a05p-3, -0x1.41e5c72994912p-3, -0x1.3c6276faae4e6p-3, -0x1.36ed185b6f2ffp-3, -0x1.3185d303e3fb4p-3, -0x1.2c2ccbc37ff78p-3, -0x1.26e22492f2faep-3, -0x1.21a5fca5e2713p-3, -0x1.1c78707c7e516p-3, -0x1.175999f4f82bbp-3, -0x1.1249905cd2a25p-3, -0x1.0d486882086cp-3, -0x1.085634c412ca9p-3, -0x1.03730524b978cp-3, -0x1.fd3dceb18b21dp-4, -0x1.f3b3cdb0f8506p-4, -0x1.ea4819dfe62dfp-4, -0x1.e0fac19e5aebap-4, -0x1.d7cbcf341d85cp-4, -0x1.cebb48f02efcap-4, -0x1.c5c93147e9d4bp-4, -0x1.bcf586f5a2ecfp-4, -0x1.b4404516f968cp-4, -0x1.aba9634aab746p-4, -0x1.a330d5ce017c1p-4, -0x1.9ad68d99cfd55p-4, -0x1.929a787ef9646p-4, -0x1.8a7c81429aa5ep-4, -0x1.827c8fb9a7471p-4, -0x1.7a9a88e429193p-4, -0x1.72d64f07ff1f9p-4, -0x1.6b2fc1cb2d419p-4, -0x1.63a6be4db7003p-4, -0x1.5c3b1f4301a96p-4, -0x1.54ecbd0ac3518p-4, -0x1.4dbb6dc97a587p-4, -0x1.46a705806e5d6p-4, -0x1.3faf56253b80ep-4, -0x1.38d42fb8e5256p-4, -0x1.3215605e7629bp-4, -0x1.2b72b47125a3ap-4, -0x1.24ebf69a0aa9fp-4, -0x1.1e80efe557153p-4, -0x1.183167d71dcb3p-4, -0x1.11fd247fa51b6p-4, -0x1.0be3ea8f45598p-4, -0x1.05e57d69d0b94p-4, -0x1.00019f398c281p-4, -0x1.f470220365f9ap-5, -0x1.e91125611589ap-5, -0x1.dde5c6620c3f5p-5, -0x1.d2ed80f7f1e69p-5, -0x1.c827cf51b7b83p-5, -0x1.bd9429fc43534p-5, -0x1.b33208024a1fcp-5, -0x1.a900df0b4479bp-5, -0x1.9f002379a0c11p-5, -0x1.952f48880e8c4p-5, -0x1.8b8dc06609653p-5, -0x1.821afc5390c55p-5, -0x1.78d66cbc0e045p-5, -0x1.6fbf81507c488p-5, -0x1.66d5a920c4bf1p-5, -0x1.5e1852b456da7p-5, -0x1.5586ec2201dd7p-5, -0x1.4d20e3270ea58p-5, -0x1.44e5a53d9f54ap-5, -0x1.3cd49fb25805dp-5, -0x1.34ed3fb94a36ep-5, -0x1.2d2ef2823d4bp-5, -0x1.2599254c34214p-5, -0x1.1e2b457853489p-5, -0x1.16e4c09c1855dp-5, -0x1.0fc50492ed44cp-5, -0x1.08cb7f8f11336p-5, -0x1.01f7a029e6a86p-5, -0x1.f691aae746552p-6, -0x1.e97d1e04beebdp-6, -0x1.dcb07a0129f16p-6, -0x1.d02aa075fcc8bp-6, -0x1.c3ea745be3adcp-6, -0x1.b7eeda2448dacp-6, -0x1.ac36b7d1b859fp-6, -0x1.a0c0f50f4c244p-6, -0x1.958c7b46f4ecbp-6, -0x1.8a9835b6d18e4p-6, -0x1.7fe3118566aafp-6, -0x1.756bfdd4fe428p-6, -0x1.6b31ebd5f9c63p-6, -0x1.6133ced83bf4cp-6, -0x1.57709c5baeb83p-6, -0x1.4de74c1fda762p-6, -0x1.4496d832a775p-6, -0x1.3b7e3cfe40e34p-6, -0x1.329c795621f31p-6, -0x1.29f08e8367c7cp-6, -0x1.21798050363e8p-6, -0x1.1936551281337p-6, -0x1.112615b5fd0a2p-6, -0x1.0947cdc55d2e1p-6, -0x1.019a8b72e5774p-6, -0x1.f43abf408932fp-7, -0x1.e59ebbcb8f9bdp-7, -0x1.d75f3931ce03ap-7, -0x1.c97a69a470a49p-7, -0x1.bbee84e58a675p-7, -0x1.aeb9c8517a171p-7, -0x1.a1da76e7567adp-7, -0x1.954ed950279f9p-7, -0x1.89153de503d8dp-7, -0x1.7d2bf8b44b927p-7, -0x1.71916385a2d9p-7, -0x1.6643dddd52e2fp-7, -0x1.5b41ccfe5703ep-7, -0x1.50899bebd3093p-7, -0x1.4619bb6979d32p-7, -0x1.3bf0a1fb2c14dp-7, -0x1.320ccbe3dc9a2p-7, -0x1.286cbb238e96fp-7, -0x1.1f0ef774a4bdap-7, -0x1.15f20e48717f8p-7, -0x1.0d1492c3264b9p-7, -0x1.04751db700961p-7, -0x1.f8249b3dcc642p-8, -0x1.e7d58d30cb2e2p-8, -0x1.d7fa64ba0f8edp-8, -0x1.c890807678ea9p-8, -0x1.b9954a1d384adp-8, -0x1.ab06366f6711fp-8, -0x1.9ce0c526af474p-8, -0x1.8f2280e2e5f33p-8, -0x1.81c8ff16dfe31p-8, -0x1.74d1dff481adp-8, -0x1.683ace57cc765p-8, -0x1.5c017fb15273p-8, -0x1.5023b3efed1e5p-8, -0x1.449f3569d031dp-8, -0x1.3971d8c4cf6a8p-8, -0x1.2e997cde5bf74p-8, -0x1.24140ab28eb52p-8, -0x1.19df7542f5579p-8, -0x1.0ff9b97cea78ap-8, -0x1.0660de1f1fe6bp-8, -0x1.fa25e73e3d114p-9, -0x1.e81c281c5382ep-9, -0x1.d6a0c5fbb7cb4p-9, -0x1.c5b01ac8cb9b5p-9, -0x1.b54693010440ep-9, -0x1.a560ad7a4bd13p-9, -0x1.95fafb29b18edp-9, -0x1.87121eea28f27p-9, -0x1.78a2cd422f3a6p-9, -0x1.6aa9cc29b2473p-9, -0x1.5d23f2cf651aap-9, -0x1.500e295dc3d5ep-9, -0x1.436568c0280b2p-9, -0x1.3726ba67784aap-9, -0x1.2b4f380eb5e8fp-9, -0x1.1fdc0b7f88847p-9, -0x1.14ca6e56ec723p-9, -0x1.0a17a9c97514ap-9, -0x1.ff822cd00ad4dp-10, -0x1.eb8837c86196cp-10, -0x1.d83c61aa41013p-10, -0x1.c599b4f837d29p-10, -0x1.b39b591375456p-10, -0x1.a23c91c5f7545p-10, -0x1.9178beccfdad3p-10, -0x1.814b5b64985dp-10, -0x1.71affdd2d7e99p-10, -0x1.62a256f4c3276p-10, -0x1.541e31caec3bcp-10, -0x1.461f7306c5068p-10, -0x1.38a218996a77cp-10, -0x1.2ba2394258418p-10, -0x1.1f1c041f654cp-10, -0x1.130bc03d5047bp-10, -0x1.076dcc297d5e1p-10, -0x1.f87d3b0843fdp-11, -0x1.e2f581273c60bp-11, -0x1.ce3dafb21bc14p-11, -0x1.ba4f374a476b9p-11, -0x1.a723b35d2810bp-11, -0x1.94b4e9534d02dp-11, -0x1.82fcc7c02f533p-11, -0x1.71f565958b72p-11, -0x1.6199015851ef1p-11, -0x1.51e20057cb2cdp-11, -0x1.42caede6f00dep-11, -0x1.344e7a985b243p-11, -0x1.26677b7c4197p-11, -0x1.1910e9606abe8p-11, -0x1.0c45e013a989cp-11, -0x1.00019daa582dap-11, -0x1.e87f038bcf016p-12, -0x1.d1f619be084b8p-12, -0x1.bc5fbf2326ec8p-12, -0x1.a7b373d75144cp-12, -0x1.93e8f57cdd3b3p-12, -0x1.80f83de42db9ap-12, -0x1.6ed981b79eb08p-12, -0x1.5d852f2c2fb9bp-12, -0x1.4cf3ecb83b118p-12, -0x1.3d1e97cdbcfddp-12, -0x1.2dfe439a96e1ep-12, -0x1.1f8c37cd41ad4p-12, -0x1.11c1ef5e79e93p-12, -0x1.0499175fc9eb9p-12, -0x1.f0171b9da29d1p-13, -0x1.d826c0dc521c9p-13, -0x1.c155974468cf6p-13, -0x1.ab9872a6daf8cp-13, -0x1.96e47fa9b9bc1p-13, -0x1.832f41a197a6ap-13, -0x1.706e906f6188ap-13, -0x1.5e98966d2d2b1p-13, -0x1.4da3ce61cecf1p-13, -0x1.3d87017c43ad3p-13, -0x1.2e39455c8d35bp-13, -0x1.1fb1fa214fe33p-13, -0x1.11e8c881c292bp-13, -0x1.04d59feff00f9p-13, -0x1.f0e1698436909p-14, -0x1.d964fccfef778p-14, -0x1.c3276b4e482bbp-14, -0x1.ae1aa5bf97882p-14, -0x1.9a3118b6870a8p-14, -0x1.875da9468865dp-14, -0x1.7593b1bf31a8ap-14, -0x1.64c6fe7d47ce6p-14, -0x1.54ebcacac38p-14, -0x1.45f6bdce28488p-14, -0x1.37dce789d39e1p-14, -0x1.2a93bdee5a652p-14, -0x1.1e1119f837598p-14, -0x1.124b34e23e97bp-14, -0x1.0738a562a179ap-14, -0x1.f9a0b9f13deb2p-15, -0x1.e6134a9cf8ebbp-15, -0x1.d3b83b3f52485p-15, -0x1.c27f707042448p-15, -0x1.b2596ff736fcbp-15, -0x1.a3375bf8a2183p-15, -0x1.950aee4478d1cp-15, -0x1.87c673badb4bfp-15, -0x1.7b5cc7cde56b8p-15, -0x1.6fc1501d3b903p-15, -0x1.64e7f82b9d068p-15, -0x1.5ac52d3257076p-15, -0x1.514dda09c5fc5p-15, -0x1.48776329c6e71p-15, -0x1.4037a2c9f12b7p-15, -0x1.3884e51203fb6p-15, -0x1.3155e469204e7p-15, -0x1.2aa1c5d39d315p-15, -0x1.24601573739b2p-15, -0x1.1e88c312838d9p-15, -0x1.19141ed0390b8p-15, -0x1.13fad5dab71a2p-15, -0x1.0f35ef426a1dcp-15, -0x1.0abec8df88a59p-15, -0x1.068f144fcd7d4p-15, -0x1.02a0d407c3311p-15, -0x1.fddcb0e9960fcp-16, -0x1.f6e47a694838ap-16, -0x1.f04eccc6daadcp-16, -0x1.ea11fbed313aap-16, -0x1.e424e2582048p-16, -0x1.de7edc1ce49abp-16, -0x1.d917c210dbd24p-16, -0x1.d3e7e50dd5c33p-16, -0x1.cee8096594d49p-16, -0x1.ca11626995651p-16, -0x1.c55d8e1b8dc29p-16, -0x1.c0c690f763058p-16, -0x1.bc46d1e327104p-16, -0x1.b7d91636919a6p-16, -0x1.b3787de7139a2p-16, -0x1.af207fc913f86p-16, -0x1.aacce5f72d7bfp-16, -0x1.a679ca4ed5682p-16, -0x1.a2239306a2f35p-16, -0x1.9dc6ef69c58c9p-16, -0x1.9960d49e47fafp-16, -0x1.94ee7a8f10a34p-16, -0x1.906d58f0bb61ap-16, -0x1.8bdb2454a4875p-16, -0x1.8735cb5d24283p-16, -0x1.827b7404a8de9p-16, -0x1.7daa78f876044p-16, -0x1.78c1671215f69p-16, -0x1.73befade3ba94p-16, -0x1.6ea21e3be344p-16, -0x1.6969e60e6fc19p-16, -0x1.6415900825243p-16, -0x1.5ea48081c1fd8p-16, -0x1.5916406a1162fp-16, -0x1.536a7b44e046p-16, -0x1.4da0fd3d0ec9ap-16, -0x1.47b9b149115d7p-16, -0x1.41b49f5d7faeep-16, -0x1.3b91eab8098e4p-16, -0x1.3551d02d27817p-16, -0x1.2ef4a4947f61ap-16, -0x1.287ad338b8cbdp-16, -0x1.21e4dc5e5b7b1p-16, -0x1.1b3353d4d297bp-16, -0x1.1466df960835fp-16, -0x1.0d80367450f5cp-16, -0x1.06801ed66e1dfp-16, -0x1.fecedaff48dbbp-17, -0x1.f06e08ca9e6c1p-17, -0x1.e1dfa32104c81p-17, -0x1.d3259c0dcc8b8p-17, -0x1.c441f9911fd42p-17, -0x1.b536d39f8fa47p-17, -0x1.a606524539ad9p-17, -0x1.96b2abd492668p-17, -0x1.873e232bd2029p-17, -0x1.77ab061535ef8p-17, -0x1.67fbabac0e2ffp-17, -0x1.583272e63f9c8p-17, -0x1.4851c12143831p-17, -0x1.385c00c6a456cp-17, -0x1.2853a000fb656p-17, -0x1.183b0f8237c1p-17, -0x1.0814c156917b9p-17, -0x1.efc64f9848f0dp-18, -0x1.cf5168c787b26p-18, -0x1.aecfada5d9a6bp-18, -0x1.8e45f822d90bap-18, -0x1.6db91af2f9dc1p-18, -0x1.4d2ddfde2da74p-18, -0x1.2ca9063354808p-18, -0x1.0c2f4141d8932p-18, -0x1.d78a6df980bcap-19, -0x1.96defd52a5065p-19, -0x1.56653f579740ep-19, -0x1.162620c29ae6p-19, -0x1.ac54d4451508p-20, -0x1.2cf57bb6328abp-20, -0x1.5c7e596e0e67cp-21, -0x1.8214470481d67p-23, 0x1.33c0925611b46p-22, 0x1.9291d36d80276p-21, 0x1.44b8303af773p-20, 0x1.bf2ec031f7337p-20, 0x1.1c4ee0eefad54p-19, 0x1.587b5fd4485cdp-19, 0x1.9415d3ed14eap-19, 0x1.cf1767062b338p-19, 0x1.04bcbb222fb4p-18, 0x1.219ac952e31d2p-18, 0x1.3e22c0c3b5456p-18, 0x1.5a519e7db20a1p-18, 0x1.76247a06793c1p-18, 0x1.91988586df85ep-18, 0x1.acab0dd97dd03p-18, 0x1.c7597a936a77ep-18, 0x1.e1a14e086eff2p-18, 0x1.fb80253ecd4b9p-18, 0x1.0a79dbf349d96p-17, 0x1.16fcec1fea653p-17, 0x1.2348398086ab1p-17, 0x1.2f5ac79a714a9p-17, 0x1.3b33a706c72d2p-17, 0x1.46d1f55950acp-17, 0x1.5234dd08a8692p-17, 0x1.5d5b954f861d9p-17, 0x1.6845620dc8683p-17, 0x1.72f193a61f382p-17, 0x1.7d5f86db8b695p-17, 0x1.878ea4a8af902p-17, 0x1.917e621747ae8p-17, 0x1.9b2e4018cb39fp-17, 0x1.a49dcb5b88f8fp-17, 0x1.adcc9c1a17a29p-17, 0x1.b6ba55f02559fp-17, 0x1.bf66a7a74d0d6p-17, 0x1.c7d14b0987384p-17, 0x1.cffa04ad3b42ap-17, 0x1.d7e0a3c279c19p-17, 0x1.df8501e12e988p-17, 0x1.e6e702d1164e3p-17, 0x1.ee069455faa88p-17, 0x1.f4e3adfa41d1ep-17, 0x1.fb7e50d5fa36bp-17, 0x1.00eb43ad5c01dp-16, 0x1.03f6328cfceb9p-16, 0x1.06e00347793b1p-16, 0x1.09a8c872dd112p-16, 0x1.0c5098e1254efp-16, 0x1.0ed78f84c8eccp-16, 0x1.113dcb5439257p-16, 0x1.13836f2da8f7fp-16, 0x1.15a8a1baed284p-16, 0x1.17ad8d5567c89p-16, 0x1.19925fe9c4eb8p-16, 0x1.1b574adc1cf0bp-16, 0x1.1cfc82ebc3f3p-16, 0x1.1e824018a9db5p-16, 0x1.1fe8bd86dbfc8p-16, 0x1.21303963bd843p-16, 0x1.2258f4ca7d5d5p-16, 0x1.236333a8e6253p-16, 0x1.244f3ca54444dp-16, 0x1.251d5903b90bp-16, 0x1.25cdd48c10331p-16, 0x1.2660fd6ff3184p-16, 0x1.26d7243100876p-16, 0x1.27309b8743ae4p-16, 0x1.276db848d27aap-16, 0x1.278ed1510e4c8p-16, }}, 
      {{0x1.fe71fed799e7dp-1, 0x1.fe21f69506c5p-1, 0x1.fd9dc9af4ddf7p-1, 0x1.fce72fdba5874p-1, 0x1.fc00663ea4a21p-1, 0x1.faec117e0ec39p-1, 0x1.f9ad20a5424c8p-1, 0x1.f846b2781be73p-1, 0x1.f6bbfe015457ap-1, 0x1.f5103ea4e6042p-1, 0x1.f346a3ae20c27p-1, 0x1.f1624322aae69p-1, 0x1.ef660f8ba96d9p-1, 0x1.ed54d05c6c6e6p-1, 0x1.eb311c9c8fb5cp-1, 0x1.e8fd577f12084p-1, 0x1.e6bbae961abeep-1, 0x1.e46e195a9add2p-1, 0x1.e21659c6d85a9p-1, 0x1.dfb5fdcab60bap-1, 0x1.dd4e616808921p-1, 0x1.dae0b14c258b3p-1, 0x1.d86dedc248297p-1, 0x1.d5f6ede01cf8ap-1, 0x1.d37c62d2f7332p-1, 0x1.d0fedb38caf93p-1, 0x1.ce7ec6740c35cp-1, 0x1.cbfc77ed1c367p-1, 0x1.c9782a36f9c53p-1, 0x1.c6f2020f80c8p-1, 0x1.c46a1135baaf9p-1, 0x1.c1e059129805bp-1, 0x1.bf54cd31efc52p-1, 0x1.bcc7558ae1fafp-1, 0x1.ba37d097af495p-1, 0x1.b7a6153deadf6p-1, 0x1.b511f4887a88fp-1, 0x1.b27b3b354c233p-1, 0x1.afe1b318fb559p-1, 0x1.ad45245ad222dp-1, 0x1.aaa5568bb250ep-1, 0x1.a802119a7c758p-1, 0x1.a55b1ea88ebd6p-1, 0x1.a2b048c0e7382p-1, 0x1.a0015d745d7aap-1, 0x1.9d4e2d5d54824p-1, 0x1.9a968c8d21065p-1, 0x1.97da52e54606p-1, 0x1.95195c5e7f95bp-1, 0x1.9253893f7b871p-1, 0x1.8f88be44f273cp-1, 0x1.8cb8e4bcbb8p-1, 0x1.89e3ea954ee94p-1, 0x1.8709c2631066ep-1, 0x1.842a635c9a497p-1, 0x1.8145c94f2a132p-1, 0x1.7e5bf48c3195cp-1, 0x1.7b6ce9d0feb1dp-1, 0x1.7878b2294b115p-1, 0x1.757f5acd7e9c1p-1, 0x1.7280f4fd4e6b6p-1, 0x1.6f7d95d75cb82p-1, 0x1.6c75562e67625p-1, 0x1.6968525c84643p-1, 0x1.6656aa14e5941p-1, 0x1.634080348557fp-1, 0x1.6025fa921c639p-1, 0x1.5d0741cdb4f26p-1, 0x1.59e4812020193p-1, 0x1.56bde62a938e9p-1, 0x1.5393a0c6a6016p-1, 0x1.5065e2d6de553p-1, 0x1.4d34e01801be2p-1, 0x1.4a00cdf345e6bp-1, 0x1.46c9e3518a877p-1, 0x1.4390586fb5438p-1, 0x1.405466b447fb5p-1, 0x1.3d1648864722p-1, 0x1.39d639257d0ebp-1, 0x1.369474842c8aep-1, 0x1.3351372237abfp-1, 0x1.300cbde9c780fp-1, 0x1.2cc7460d753dap-1, 0x1.29810ce7fa61fp-1, 0x1.263a4fdd6967cp-1, 0x1.22f34c3debe3cp-1, 0x1.1fac3f2a0617fp-1, 0x1.1c6565785aea9p-1, 0x1.191efb9cec82fp-1, 0x1.15d93d91d1db2p-1, 0x1.129466c15ca78p-1, 0x1.0f50b1f1a5068p-1, 0x1.0c0e593175b0ap-1, 0x1.08cd95c68d3b1p-1, 0x1.058ea01d2af5ep-1, 0x1.0251afb8e0267p-1, 0x1.fe2df64d2f12dp-2, 0x1.f7bd6fdf93c1bp-2, 0x1.f152351db1093p-2, 0x1.eaecacc8f6f8ep-2, 0x1.e48d3b5c81711p-2, 0x1.de3442fc144f9p-2, 0x1.d7e223650907bp-2, 0x1.d19739e115e5bp-2, 0x1.cb53e13ad50adp-2, 0x1.c51871b3fbbd2p-2, 0x1.bee540fd29db8p-2, 0x1.b8baa22f3cc84p-2, 0x1.b298e5c613c4ap-2, 0x1.ac80599cb02ep-2, 0x1.a67148eaa0775p-2, 0x1.a06bfc429e1dfp-2, 0x1.9a70b99251d9cp-2, 0x1.947fc4232f131p-2, 0x1.8e995c9c47d6fp-2, 0x1.88bdc1051a99ap-2, 0x1.82ed2cc93c513p-2, 0x1.7d27d8bcd61bap-2, 0x1.776dfb21e70c8p-2, 0x1.71bfc7ae396abp-2, 0x1.6c1d6f91ff7f8p-2, 0x1.6687217f0cf78p-2, 0x1.60fd09b09bae6p-2, 0x1.5b7f51f392a9cp-2, 0x1.560e21af47577p-2, 0x1.50a99deea5b66p-2, 0x1.4b51e969be88p-2, 0x1.4607248fa830dp-2, 0x1.40c96d90b55bbp-2, 0x1.3b98e068e9a0cp-2, 0x1.367596eaafb3ep-2, 0x1.315fa8c9c53b4p-2, 0x1.2c572ba653822p-2, 0x1.275c33182cacap-2, 0x1.226ed0ba300fdp-2, 0x1.1d8f1435bfb13p-2, 0x1.18bd0b4e5028ep-2, 0x1.13f8c1ed06271p-2, 0x1.0f42422c5a918p-2, 0x1.0a999463c6fc8p-2, 0x1.05febf336f0fdp-2, 0x1.0171c78fc90a5p-2, 0x1.f9e5619a73096p-3, 0x1.f102f95752f81p-3, 0x1.e83c56c40f62cp-3, 0x1.df91775377eb5p-3, 0x1.d7025594064dfp-3, 0x1.ce8ee9466518ep-3, 0x1.c6372773ca696p-3, 0x1.bdfb02840eedep-3, 0x1.b5da6a538f401p-3, 0x1.add54c48c5ff8p-3, 0x1.a5eb9369abde3p-3, 0x1.9e1d2870c41d2p-3, 0x1.9669f1e1e7108p-3, 0x1.8ed1d41eb9f4bp-3, 0x1.8754b17ae2278p-3, 0x1.7ff26a4fd880bp-3, 0x1.78aadd10764bbp-3, 0x1.717de65c2a4c5p-3, 0x1.6a6b6111d328dp-3, 0x1.637326624f105p-3, 0x1.5c950de2a5583p-3, 0x1.55d0ed9de1d09p-3, 0x1.4f269a2699038p-3, 0x1.4895e6a8066c2p-3, 0x1.421ea4f6e1aafp-3, 0x1.3bc0a5a1cdb1ep-3, 0x1.357bb80171bcbp-3, 0x1.2f4faa483dd76p-3, 0x1.293c4991cea3ep-3, 0x1.234161f1f928dp-3, 0x1.1d5ebe8385b45p-3, 0x1.179429768596cp-3, 0x1.11e16c1e5e195p-3, 0x1.0c464eff70f0ap-3, 0x1.06c299dc77473p-3, 0x1.015613c3822e5p-3, 0x1.f801063549b77p-4, 0x1.ed835b58a4c09p-4, 0x1.e332b166b6fc4p-4, 0x1.d90e91cd550c4p-4, 0x1.cf16850935deap-4, 0x1.c54a12bc28789p-4, 0x1.bba8c1c2883e9p-4, 0x1.b23218482b88cp-4, 0x1.a8e59bdcb2209p-4, 0x1.9fc2d18733a7bp-4, 0x1.96c93dd9649ap-4, 0x1.8df865021a572p-4, 0x1.854fcadf4b3bcp-4, 0x1.7ccef30f7552cp-4, 0x1.747561027c29p-4, 0x1.6c429809fd3b7p-4, 0x1.64361b6919985p-4, 0x1.5c4f6e63bb8fp-4, 0x1.548e144d59d75p-4, 0x1.4cf19097366dcp-4, 0x1.457966de22a49p-4, 0x1.3e251af7c53fp-4, 0x1.36f430ff65eeap-4, 0x1.2fe62d62426b1p-4, 0x1.28fa94eb6ee79p-4, 0x1.2230eccf41e4cp-4, 0x1.1b88bab6512eap-4, 0x1.150184c800b95p-4, 0x1.0e9ad1b4a3b7fp-4, 0x1.085428bf36c8dp-4, 0x1.022d11c6b0c1ap-4, 0x1.f84a2a9ddfd2p-5, 0x1.ec777912873b8p-5, 0x1.e0e122b9291p-5, 0x1.d5863cda62f9ep-5, 0x1.ca65de4878a96p-5, 0x1.bf7f1f6d7e48ap-5, 0x1.b4d11a58d08d4p-5, 0x1.aa5aeacbe603bp-5, 0x1.a01bae466eac5p-5, 0x1.96128411dd018p-5, 0x1.8c3e8d4c45678p-5, 0x1.829eecf2a704bp-5, 0x1.7932c7ea9c419p-5, 0x1.6ff9450b7727bp-5, 0x1.66f18d26d0503p-5, 0x1.5e1acb1086f89p-5, 0x1.55742ba63ab08p-5, 0x1.4cfcddd63fae3p-5, 0x1.44b412a615e09p-5, 0x1.3c98fd385b035p-5, 0x1.34aad2d24ddd3p-5, 0x1.2ce8cae0cef66p-5, 0x1.25521efcfa372p-5, 0x1.1de60af0499abp-5, 0x1.16a3ccb84dfa3p-5, 0x1.0f8aa489fefdep-5, 0x1.0899d4d4a6c89p-5, 0x1.01d0a244673f4p-5, 0x1.f65ca788c8616p-6, 0x1.e96465011fcb7p-6, 0x1.dcb713ce3704cp-6, 0x1.d0534f532a257p-6, 0x1.c437b77b5a8e2p-6, 0x1.b862f0bb669adp-6, 0x1.acd3a411770adp-6, 0x1.a1887f04f8a23p-6, 0x1.968033a5d0cc3p-6, 0x1.8bb9788af3351p-6, 0x1.813308d07e5b4p-6, 0x1.76eba415526dp-6, 0x1.6ce20e78275fep-6, 0x1.631510943108ap-6, 0x1.5983777d44896p-6, 0x1.502c14bba1912p-6, 0x1.470dbe473c3c7p-6, 0x1.3e274e82afb58p-6, 0x1.3577a435c3c07p-6, 0x1.2cfda287a4e12p-6, 0x1.24b830f8ac9d1p-6, 0x1.1ca63b5be900bp-6, 0x1.14c6b1d043086p-6, 0x1.0d1888b965b4ep-6, 0x1.059ab8b84ddd7p-6, 0x1.fc987d472fba1p-7, 0x1.ee5836ff200c7p-7, 0x1.e072a8ebfc434p-7, 0x1.d2e5e59b68cf6p-7, 0x1.c5b007c3d1ff3p-7, 0x1.b8cf3232ae653p-7, 0x1.ac418fba62f35p-7, 0x1.a005531fc0599p-7, 0x1.9418b7072d5b5p-7, 0x1.8879fde17b4b1p-7, 0x1.7d2771d872bfdp-7, 0x1.721f64bb0ea96p-7, 0x1.67602fe97c48bp-7, 0x1.5ce83440d6324p-7, 0x1.52b5da06b2471p-7, 0x1.48c790d471c0fp-7, 0x1.3f1bcf8269d6ep-7, 0x1.35b11412d2d19p-7, 0x1.2c85e39ca4442p-7, 0x1.2398ca3644cb8p-7, 0x1.1ae85ae022057p-7, 0x1.12732f6f1d09fp-7, 0x1.0a37e87704682p-7, 0x1.02352d34cdf5ap-7, 0x1.f4d356f1d8af1p-8, 0x1.e5a82f22ffap-8, 0x1.d6e658691569cp-8, 0x1.c88b54d42ecd8p-8, 0x1.ba94b2ecd435dp-8, 0x1.ad000d8858e7ap-8, 0x1.9fcb0b9d34bbdp-8, 0x1.92f360177f9fbp-8, 0x1.8676c9ad77c7dp-8, 0x1.7a5312b4190dep-8, 0x1.6e8610f3e1e87p-8, 0x1.630da57db638ap-8, 0x1.57e7bc7fdf155p-8, 0x1.4d124d1b47abap-8, 0x1.428b5938e52fap-8, 0x1.3850ed5f45a4fp-8, 0x1.2e61208873192p-8, 0x1.24ba13f7ef5aap-8, 0x1.1b59f31110cbep-8, 0x1.123ef32d87763p-8, 0x1.096753743d07fp-8, 0x1.00d15cb0710eap-8, 0x1.f0f6c2523ddfbp-9, 0x1.e0c778f17889ap-9, 0x1.d111a6ca8ffc8p-9, 0x1.c1d227713cfc5p-9, 0x1.b305e832696dfp-9, 0x1.a4a9e7c64796p-9, 0x1.96bb3603204d6p-9, 0x1.8936f390c8f7fp-9, 0x1.7c1a519cec96ap-9, 0x1.6f629190104f6p-9, 0x1.630d04c349da6p-9, 0x1.57170c36c3f89p-9, 0x1.4b7e184909132p-9, 0x1.403fa86f12535p-9, 0x1.35594aed483b2p-9, 0x1.2ac89c90f8e6bp-9, 0x1.208b486b07ddap-9, 0x1.169f078b222efp-9, 0x1.0d01a0bbe77p-9, 0x1.03b0e83fe275p-9, 0x1.f5557f1e94e6fp-10, 0x1.e3da2a2d61282p-10, 0x1.d2ebc7ecd9d8cp-10, 0x1.c2866785d16b4p-10, 0x1.b2a6308bc2acfp-10, 0x1.a347628074d35p-10, 0x1.94665459fb06p-10, 0x1.85ff7409f3a95p-10, 0x1.780f46068463fp-10, 0x1.6a9264d54349dp-10, 0x1.5d85809790321p-10, 0x1.50e55e98c14cap-10, 0x1.44aed8ddde499p-10, 0x1.38deddb735811p-10, 0x1.2d726f538aefap-10, 0x1.2266a354b51cbp-10, 0x1.17b8a2664faf4p-10, 0x1.0d65a7d5d1ca4p-10, 0x1.036b012c3799p-10, 0x1.f38c1b9308cb8p-11, 0x1.e0e87d036eaacp-11, 0x1.cee62a76feeb2p-11, 0x1.bd804920e512dp-11, 0x1.acb21eddcd59p-11, 0x1.9c77117a9b288p-11, 0x1.8ccaa5fe617a9p-11, 0x1.7da87ff7b02ccp-11, 0x1.6f0c60cc9023ap-11, 0x1.60f2270db0d42p-11, 0x1.5355cdcca895p-11, 0x1.46336bf56eabcp-11, 0x1.398733aa63b9cp-11, 0x1.2d4d71a37aac9p-11, 0x1.21828c9088bap-11, 0x1.1623047dfafa1p-11, 0x1.0b2b723cdb942p-11, 0x1.009886cd8d60ep-11, 0x1.ecce159a25fd8p-12, 0x1.d927bbcb04b16p-12, 0x1.c637ec8178ee7p-12, 0x1.b3f8bffc98473p-12, 0x1.a26479575eabdp-12, 0x1.9175857e7bbf7p-12, 0x1.81267a2b9f8cfp-12, 0x1.717214e58c9c1p-12, 0x1.62533a05e9cdbp-12, 0x1.53c4f3c2d5493p-12, 0x1.45c2713f06cep-12, 0x1.3847059d4367p-12, 0x1.2b4e2719c02d5p-12, 0x1.1ed36e27e0234p-12, 0x1.12d29494337abp-12, 0x1.074774abbc229p-12, 0x1.f85c10cea3f27p-13, 0x1.e304d1372bc28p-13, 0x1.ce81985afd0cfp-13, 0x1.bacb0e95835b6p-13, 0x1.a7da154e0de4ep-13, 0x1.95a7c579af105p-13, 0x1.842d6e269db66p-13, 0x1.7364930e04008p-13, 0x1.6346eb2f7b42fp-13, 0x1.53ce5f731fc99p-13, 0x1.44f509545ad3ap-13, 0x1.36b531938e5e5p-13, 0x1.29094eefe9b43p-13, 0x1.1bec04e7c4d2dp-13, 0x1.0f582280ecbccp-13, 0x1.0348a11806bf4p-13, 0x1.ef71466cddb06p-14, 0x1.d946e6df1adeep-14, 0x1.c409068828f2fp-14, 0x1.afaed41a3a9f1p-14, 0x1.9c2fc7d8e07f4p-14, 0x1.8983a1882031bp-14, 0x1.77a266681e6ddp-14, 0x1.66845f3b7c8e8p-14, 0x1.5622165b41857p-14, 0x1.467455d623ea6p-14, 0x1.3774259bc73ecp-14, 0x1.291ac9b2f456fp-14, 0x1.1b61c07a71c23p-14, 0x1.0e42c0f655ca2p-14, 0x1.01b7b926ac12ep-14, 0x1.eb7598d341d21p-15, 0x1.d48ca3ce3e58dp-15, 0x1.bea9a60ef5b39p-15, 0x1.a9c213e62bb6dp-15, 0x1.95cbc03889a7dp-15, 0x1.82bcd9a611679p-15, 0x1.708be7c2310e8p-15, 0x1.5f2fc85f8ee4p-15, 0x1.4e9facee836efp-15, 0x1.3ed317ea6ac41p-15, 0x1.2fc1da5aa86a3p-15, 0x1.21641162cf3a2p-15, 0x1.13b223e47503dp-15, 0x1.06a4c02f6f8e2p-15, 0x1.f469b387e4a4cp-16, 0x1.dcb74e42f7d8cp-16, 0x1.c6253f4e93b03p-16, 0x1.b0a6f302909ap-16, 0x1.9c304f4a8ec6dp-16, 0x1.88b5afb9ccb16p-16, 0x1.762be1bb2fa95p-16, 0x1.648820dcba615p-16, 0x1.53c01334f67acp-16, 0x1.43c9c5e01379fp-16, 0x1.349ba999eec42p-16, 0x1.262c8f6ebdc4p-16, 0x1.1873a57fe74e1p-16, 0x1.0b6873e7a98fbp-16, 0x1.fe05b35845537p-17, 0x1.e676139af5d7ep-17, 0x1.d01310d076decp-17, 0x1.bace4fd99a841p-17, 0x1.a69a0cd4c9181p-17, 0x1.936915e073196p-17, 0x1.812ec602c1d89p-17, 0x1.6fdf0037a13cp-17, 0x1.5f6e2aa4dc063p-17, 0x1.4fd129f2bfbecp-17, 0x1.40fd5cc860efep-17, 0x1.32e89767b51a2p-17, 0x1.25891f720564dp-17, 0x1.18d5a7c686bc9p-17, 0x1.0cc54c84a54c1p-17, 0x1.014f8f2fc64e8p-17, 0x1.ecd8a5d72c0d5p-18, 0x1.d827b1b53d84ap-18, 0x1.c47d7934822f5p-18, 0x1.b1cbe1aa9359cp-18, 0x1.a00577f4e8489p-18, 0x1.8f1d6a0fc08b4p-18, 0x1.7f0780e28099dp-18, 0x1.6fb81a4128d5ap-18, 0x1.6124232157705p-18, 0x1.534111f5d6c0cp-18, 0x1.4604e14275f61p-18, 0x1.39660a5f06dc9p-18, 0x1.2d5b805cbd53ap-18, 0x1.21dcab1daabeap-18, 0x1.16e1629282bc3p-18, 0x1.0c61ea24d0513p-18, 0x1.0256ec45049eep-18, 0x1.f172ec3fca07dp-19, 0x1.df05e6f7d592fp-19, 0x1.cd5a5577b7ffbp-19, 0x1.bc6471f4e0149p-19, 0x1.ac191caad509ap-19, 0x1.9c6dd4a33b108p-19, 0x1.8d58b0bf4177fp-19, 0x1.7ed0590f1a0e9p-19, 0x1.70cc005569a69p-19, 0x1.63435dcc3f9a4p-19, 0x1.562ea7217a52dp-19, 0x1.49868aaccc03bp-19, 0x1.3d4429dbcb085p-19, 0x1.316113d09f5ddp-19, 0x1.25d74032347cp-19, 0x1.1aa10a3bb52f5p-19, 0x1.0fb92be5d080ep-19, 0x1.051ab9499f667p-19, 0x1.f582385fe233fp-20, 0x1.e1501f9ec370dp-20, 0x1.cd97394eea4bfp-20, 0x1.ba502930ea54ep-20, 0x1.a7741e2eda7b3p-20, 0x1.94fccb09063c3p-20, 0x1.82e45f532ad1bp-20, 0x1.712580c5248dp-20, 0x1.5fbb44c785838p-20, 0x1.4ea12a37fb3b2p-20, 0x1.3dd31388a6708p-20, 0x1.2d4d4111760ddp-20, 0x1.1d0c4b9851303p-20, 0x1.0d0d1f10a7437p-20, 0x1.fa99eb4e1d13ap-21, 0x1.db92a5ec49cc9p-21, 0x1.bcfffed17305p-21, 0x1.9ede07c79d196p-21, 0x1.81294b3833857p-21, 0x1.63dec41ebc423p-21, 0x1.46fbd662f1861p-21, 0x1.2a7e479521a77p-21, 0x1.0e6437f2704fcp-21, 0x1.e55837a3fec21p-22, 0x1.aea96a757da0cp-22, 0x1.78ba1bf97a3ep-22, 0x1.4388e3e57992cp-22, 0x1.0f14d2f98208bp-22, 0x1.b6bad1823b1abp-23, 0x1.50c5135cca9f4p-23, 0x1.d891d6eac34bp-24, 0x1.128efe924aa53p-24, 0x1.3e1446ac010d1p-26, -0x1.c21dc879eaffp-26, -0x1.2d9123978a0bap-24, -0x1.e791cb00aa4b1p-24, -0x1.4f413e4e40105p-23, -0x1.a92dd903323f9p-23, -0x1.00c55892170bfp-22, -0x1.2c29c620f113bp-22, -0x1.56c2022b03e1ap-22, -0x1.808bc8ddc784p-22, -0x1.a984ca5865b22p-22, -0x1.d1aaaef5fcecdp-22, -0x1.f8fb1b7b8b225p-22, -0x1.0fb9da6730f63p-21, -0x1.228911cccbff1p-21, -0x1.34ea0bc5a921ap-21, -0x1.46dba534db7bfp-21, -0x1.585cc170d9466p-21, -0x1.696c4b9a2e00ep-21, -0x1.7a0937d0f4ae1p-21, -0x1.8a3284460794cp-21, -0x1.99e73a4d0a5f2p-21, -0x1.a9266f48ef3c3p-21, -0x1.b7ef457500236p-21, -0x1.c640ecaebfeb4p-21, -0x1.d41aa31effcdbp-21, -0x1.e17bb5d89c332p-21, -0x1.ee638166bfdf8p-21, -0x1.fad1723822b27p-21, -0x1.036282887467fp-20, -0x1.091ee3b00e13cp-20, -0x1.0e9dabc2e9107p-20, -0x1.13deb28b706e8p-20, -0x1.18e1d87e11828p-20, -0x1.1da706d119cdep-20, -0x1.222e2f885bfd1p-20, -0x1.26774d7684043p-20, -0x1.2a8264419dcedp-20, -0x1.2e4f805f18e9fp-20, -0x1.31deb708965a6p-20, -0x1.353026312c0cp-20, -0x1.3843f47264a5p-20, -0x1.3b1a50f9bbdc9p-20, -0x1.3db3736f6e30ep-20, -0x1.400f9bdcb87f3p-20, -0x1.422f128c0fd93p-20, -0x1.441227e6f2d85p-20, -0x1.45b93454efedp-20, -0x1.472498154b16dp-20, -0x1.4854bb1492867p-20, -0x1.494a0cc409a42p-20, -0x1.4a0503ee8afd4p-20, -0x1.4a861e88e134cp-20, -0x1.4acde18325a96p-20, -0x1.4adcd89b05b2p-20, -0x1.4ab39626f24e4p-20, -0x1.4a52b2e4479d2p-20, -0x1.49bacdc4f8f7bp-20, -0x1.48ec8bb9baea9p-20, -0x1.47e8977ea999bp-20, -0x1.46afa164e4ebp-20, -0x1.45425f1ddbe2cp-20, -0x1.43a18b826eb27p-20, -0x1.41cde65eb6996p-20, -0x1.3fc8343a8670bp-20, -0x1.3d913e2425e9fp-20, -0x1.3b29d1774eb9fp-20, -0x1.3892bfa959edbp-20, -0x1.35ccde1168d7bp-20, -0x1.32d905b2013a4p-20, -0x1.2fb8130514913p-20, -0x1.2c6ae5c501be7p-20, -0x1.28f260b920e95p-20, -0x1.254f697f080a1p-20, -0x1.2182e858292e2p-20, -0x1.1d8dc7f7857d7p-20, -0x1.1970f54d90c5ap-20, -0x1.152d5f56a6304p-20, -0x1.10c3f6eb84f05p-20, -0x1.0c35ae8e7329bp-20, -0x1.07837a3b0f10fp-20, -0x1.02ae4f3aa1a7ap-20, -0x1.fb6e47e34b6ep-21, -0x1.f13ddf6ca869cp-21, -0x1.e6cd5543f2ec8p-21, -0x1.dc1e9acf18d58p-21, -0x1.d133a24fd580bp-21, -0x1.c60e5e8f95d04p-21, -0x1.bab0c29056e22p-21, -0x1.af1cc13e292d4p-21, -0x1.a3544d1bbacb7p-21, -0x1.975957fd17766p-21, -0x1.8b2dd2bb323a4p-21, -0x1.7ed3aceb546fdp-21, -0x1.724cd49ce055ap-21, -0x1.659b3610dac98p-21, -0x1.58c0bb81d5b8dp-21, -0x1.4bbf4cd8cedb8p-21, -0x1.3e98cf75ece6p-21, -0x1.314f25f4873bp-21, -0x1.23e42febe9854p-21, -0x1.1659c9bf14b2bp-21, -0x1.08b1cc61f4f2fp-21, -0x1.f5dc1a4bdc8f2p-22, -0x1.da20bb12fc46dp-22, -0x1.be351611e8182p-22, -0x1.a21cbdde3fb58p-22, -0x1.85db3c4e1c77ep-22, -0x1.6974122c26579p-22, -0x1.4ceab6db53f06p-22, -0x1.30429810c073bp-22, -0x1.137f19852d281p-22, -0x1.ed47295bc31bep-23, -0x1.b366b0f9a0a84p-23, -0x1.7963524572dc5p-23, -0x1.3f437f9abcb72p-23, -0x1.050d94ee0b9a7p-23, -0x1.958fae9c7c982p-24, -0x1.20f0e90642272p-24, -0x1.58960aee51c47p-25, -0x1.bd50023e3bb18p-27, 0x1.e732d6718648cp-27, 0x1.62b4e291d0749p-25, 0x1.25a6da66eb1d3p-24, 0x1.99c05fb2277f9p-24, 0x1.06cdfeb820efp-23, 0x1.409771816119p-23, }}, 
      {{-0x1.9fb1e7780e022p-16, -0x1.a0bec38307a2p-14, -0x1.d694eb7715d18p-13, -0x1.a41a07afa807ap-12, -0x1.499b7a77e62aep-11, -0x1.dc57bf279bdbp-11, -0x1.44f0883287916p-10, -0x1.a8aad7d775c79p-10, -0x1.0c50e26059cb3p-9, -0x1.49e869e328bcdp-9, -0x1.8c743fc028adep-9, -0x1.d328c5d20279ep-9, -0x1.0e8ca3f3bc656p-8, -0x1.349dc6da1e1c6p-8, -0x1.5b35fb21c9aeep-8, -0x1.81b8f29f0696ap-8, -0x1.a7822a2d2f1ecp-8, -0x1.cbe73200b2cb2p-8, -0x1.ee39e6d94a24dp-8, -0x1.06e54850311f4p-7, -0x1.14f4eeedd1198p-7, -0x1.20f55aece16b6p-7, -0x1.2a91eed3ee448p-7, -0x1.3178b6d98448p-7, -0x1.355b0bc0cb9ccp-7, -0x1.35ee1e15ebf2ep-7, -0x1.32eb6a9a287f1p-7, -0x1.2c11190bc7816p-7, -0x1.212246b6e6666p-7, -0x1.11e73e6502657p-7, -0x1.fc5b3ead08b62p-8, -0x1.cb90e9ee2a8a5p-8, -0x1.912081edbc6c3p-8, -0x1.4cc5f2c689828p-8, -0x1.fc8ff10efda12p-9, -0x1.4aefe897429cbp-9, -0x1.08c6c737cc669p-10, 0x1.5d27010fee855p-11, 0x1.4838043e802a2p-9, 0x1.273a7fad67ebap-8, 0x1.b4fe11f438b08p-8, 0x1.26ade41438c6cp-7, 0x1.78203a1ed04bbp-7, 0x1.cec88d52ee04p-7, 0x1.154ad90261f11p-6, 0x1.45b98400afaa7p-6, 0x1.78a45a01b075dp-6, 0x1.adfdec70cc7f1p-6, 0x1.e5b768137d9ccp-6, 0x1.0fe05873a14b3p-5, 0x1.2e043eb9f4bc1p-5, 0x1.4d3e38bc9d075p-5, 0x1.6d849bf1916d3p-5, 0x1.8ecd4df99efa5p-5, 0x1.b10dd0c8fca6ep-5, 0x1.d43b4e5e4e434p-5, 0x1.f84aa4041bf5bp-5, 0x1.0e98368cf5182p-4, 0x1.217086b19db01p-4, 0x1.34a85d6ddce8cp-4, 0x1.4839c38846202p-4, 0x1.5c1eb3ffd2551p-4, 0x1.7051203f33628p-4, 0x1.84caf414c8fccp-4, 0x1.998619706552fp-4, 0x1.ae7c7be83c11fp-4, 0x1.c3a80c067a3e1p-4, 0x1.d902c2612dfa3p-4, 0x1.ee86a27e27439p-4, 0x1.0216dec24a42dp-3, 0x1.0cf91a5f1b01ap-3, 0x1.17e71df4f879bp-3, 0x1.22de0db0c6bc8p-3, 0x1.2ddb190a4362bp-3, 0x1.38db7bacd45a8p-3, 0x1.43dc7e4c9dc1ep-3, 0x1.4edb7768c7023p-3, 0x1.59d5cbfbbde49p-3, 0x1.64c8f01a4e3cfp-3, 0x1.6fb26782579bcp-3, 0x1.7a8fc619e992p-3, 0x1.855eb05f86498p-3, 0x1.901cdbcc3fc39p-3, 0x1.9ac80f2869561p-3, 0x1.a55e22d37bbc5p-3, 0x1.afdd00ffe9ba1p-3, 0x1.ba42a5e362387p-3, 0x1.c48d1fdc42411p-3, 0x1.ceba8f8ca5ad3p-3, 0x1.d8c927ebc3cfep-3, 0x1.e2b72e4e0b56cp-3, 0x1.ec82fa6494ac2p-3, 0x1.f62af634627adp-3, 0x1.ffad9e05eb78ap-3, 0x1.0484c026b7d37p-2, 0x1.091e9ec63ea75p-2, 0x1.0da3c41694d52p-2, 0x1.1213922baccbfp-2, 0x1.166d73e045e69p-2, 0x1.1ab0dcbb43f88p-2, 0x1.1edd48d2aa90dp-2, 0x1.22f23cac6a8ffp-2, 0x1.26ef451d31922p-2, 0x1.2ad3f72564843p-2, 0x1.2e9fefcc70ee4p-2, 0x1.3252d3faa2404p-2, 0x1.35ec50519898cp-2, 0x1.396c19039165ep-2, 0x1.3cd1e9a99e075p-2, 0x1.401d8518f075bp-2, 0x1.434eb5375af7ep-2, 0x1.46654acf26845p-2, 0x1.49611d6259c28p-2, 0x1.4c420afd90c71p-2, 0x1.4f07f80a7e9c5p-2, 0x1.51b2cf2233dbbp-2, 0x1.544280df41365p-2, 0x1.56b703afcb7b5p-2, 0x1.591053a7ad3efp-2, 0x1.5b4e7252b1947p-2, 0x1.5d716686ff284p-2, 0x1.5f793c37c6a4dp-2, 0x1.6166044842e4dp-2, 0x1.6337d45f16629p-2, 0x1.64eec6ba1cc35p-2, 0x1.668afa02b3927p-2, 0x1.680c91228ca51p-2, 0x1.6973b3190f6d9p-2, 0x1.6ac08ad15ad68p-2, 0x1.6bf346f8e25dbp-2, 0x1.6d0c19d6bff1ep-2, 0x1.6e0b3923b004bp-2, 0x1.6ef0dde2cb2abp-2, 0x1.6fbd443af7927p-2, 0x1.7070ab511ff4p-2, 0x1.710b55232d566p-2, 0x1.718d8663c6bdbp-2, 0x1.71f78656ddcd3p-2, 0x1.72499eaf04d69p-2, 0x1.72841b6b901acp-2, 0x1.72a74ab787f1fp-2, 0x1.72b37cc963113p-2, 0x1.72a903c390657p-2, 0x1.72883395cc909p-2, 0x1.725161df4225cp-2, 0x1.7204e5d170b0fp-2, 0x1.71a31813deeeap-2, 0x1.712c52a88ef84p-2, 0x1.70a0f0d137e8dp-2, 0x1.70014ef53f435p-2, 0x1.6f4dca886f76ap-2, 0x1.6e86c1f26b0e9p-2, 0x1.6dac9476d436cp-2, 0x1.6cbfa21e30098p-2, 0x1.6bc04b9f73a29p-2, 0x1.6aaef24a4512cp-2, 0x1.698bf7f1e5a71p-2, 0x1.6857bed8c3c0cp-2, 0x1.6712a99cb0b8dp-2, 0x1.65bd1b23b9ef2p-2, 0x1.645776899ae67p-2, 0x1.62e21f0dcf772p-2, 0x1.615d78023643bp-2, 0x1.5fc9e4ba4c3a6p-2, 0x1.5e27c87af4632p-2, 0x1.5c77866ace9d3p-2, 0x1.5ab9818316b3bp-2, 0x1.58ee1c810b585p-2, 0x1.5715b9d7d58aep-2, 0x1.5530bba2f3f0dp-2, 0x1.533f839922344p-2, 0x1.514272ffb8e3dp-2, 0x1.4f39ea9e88783p-2, 0x1.4d264ab426b2cp-2, 0x1.4b07f2eaaec63p-2, 0x1.48df424cf1a62p-2, 0x1.46ac973c12f78p-2, 0x1.44704f6591c28p-2, 0x1.422ac7b9b6bbfp-2, 0x1.3fdc5c626cfdfp-2, 0x1.3d8568ba77fdbp-2, 0x1.3b264745130e6p-2, 0x1.38bf51a5e7f97p-2, 0x1.3650e09969dcfp-2, 0x1.33db4bed86ae6p-2, 0x1.315eea7ab58a1p-2, 0x1.2edc121d58925p-2, 0x1.2c5317af7816bp-2, 0x1.29c44f02cff96p-2, 0x1.27300adb30a4dp-2, 0x1.24969ce92ba69p-2, 0x1.21f855c5159d1p-2, 0x1.1f5584ea5126bp-2, 0x1.1cae78b2e5e7bp-2, 0x1.1a037e5362539p-2, 0x1.1754e1d704462p-2, 0x1.14a2ee1c2b7f4p-2, 0x1.11edecd10e176p-2, 0x1.0f362670b2e19p-2, 0x1.0c7be2402e37p-2, 0x1.09bf664c1f68cp-2, 0x1.0700f7666e684p-2, 0x1.0440d92447726p-2, 0x1.017f4ddc536c6p-2, 0x1.fd792d4a59e4p-3, 0x1.f7f1e6a81e01cp-3, 0x1.f26944f778c0ap-3, 0x1.ecdfc2d73dc77p-3, 0x1.e755d85e3df11p-3, 0x1.e1cbfb1a580bbp-3, 0x1.dc429e0ff94dep-3, 0x1.d6ba31ba02119p-3, 0x1.d133240a04482p-3, 0x1.cbade068f0c2dp-3, 0x1.c62acfb812c44p-3, 0x1.c0aa5852719a9p-3, 0x1.bb2cde0e8407cp-3, 0x1.b5b2c2403f246p-3, 0x1.b03c63bb72aa2p-3, 0x1.aaca1ed67b725p-3, 0x1.a55c4d6d40b83p-3, 0x1.9ff346e48086p-3, 0x1.9a8f602d627ffp-3, 0x1.9530ebc957362p-3, 0x1.8fd839ce35ea3p-3, 0x1.8a8597eaa0b33p-3, 0x1.8539516aa7f6dp-3, 0x1.7ff3af3cab74bp-3, 0x1.7ab4f7f67803ap-3, 0x1.757d6fda9852cp-3, 0x1.704d58dde5e16p-3, 0x1.6b24f2ad4895p-3, 0x1.66047ab3a5cf1p-3, 0x1.60ec2c2008af7p-3, 0x1.5bdc3febebc41p-3, 0x1.56d4ece1b77eep-3, 0x1.51d667a36a035p-3, 0x1.4ce0e2b15bfb5p-3, 0x1.47f48e7135cc5p-3, 0x1.4311993501d4p-3, 0x1.3e382f4260f28p-3, 0x1.39687ad9dc1bdp-3, 0x1.34a2a43e52f03p-3, 0x1.2fe6d1bc891dap-3, 0x1.2b3527b2c63a3p-3, 0x1.268dc8988e3fbp-3, 0x1.21f0d50671c6cp-3, 0x1.1d5e6bbded361p-3, 0x1.18d6a9b15d0e6p-3, 0x1.1459aa0bfcc3ep-3, 0x1.0fe78639f8114p-3, 0x1.0b8055f084347p-3, 0x1.07242f36065dfp-3, 0x1.02d3266a3e857p-3, 0x1.fd1a9c9d02655p-4, 0x1.f4a5701bd2b76p-4, 0x1.ec46e68b3b3a4p-4, 0x1.e3ff1c1a1243ep-4, 0x1.dbce29fc43794p-4, 0x1.d3b4267b4c2c7p-4, 0x1.cbb12506b2728p-4, 0x1.c3c536448181cp-4, 0x1.bbf06821b0f26p-4, 0x1.b432c5e28a3d8p-4, 0x1.ac8c5832f2168p-4, 0x1.a4fd2536b70adp-4, 0x1.9d853099b427ap-4, 0x1.96247b9fef389p-4, 0x1.8edb0535a1372p-4, 0x1.87a8c9ff18322p-4, 0x1.808dc4688960cp-4, 0x1.7989ecb5c2d68p-4, 0x1.729d3911bd5fbp-4, 0x1.6bc79d9e0f3acp-4, 0x1.65090c823c295p-4, 0x1.5e6175fae116fp-4, 0x1.57d0c868bc636p-4, 0x1.5156f05f8ca87p-4, 0x1.4af3d8b4cabbdp-4, 0x1.44a76a8e36d3cp-4, 0x1.3e718d703dea7p-4, 0x1.3852274c31bdep-4, 0x1.32491c8e5588ap-4, 0x1.2c56502bb9a5cp-4, 0x1.2679a3afee0a5p-4, 0x1.20b2f74a7cfaap-4, 0x1.1b0229dc3e84p-4, 0x1.1567190474056p-4, 0x1.0fe1a12db2fd4p-4, 0x1.0a719d9a9fdp-4, 0x1.0516e87272601p-4, 0x1.ffa2b59a905p-5, 0x1.f54199808484ap-5, 0x1.eb0a2ad2de62fp-5, 0x1.e0fc15f6fa212p-5, 0x1.d7170592744fcp-5, 0x1.cd5aa2a1b9033p-5, 0x1.c3c6948e2f6b2p-5, 0x1.ba5a8143ed6f6p-5, 0x1.b1160d470ae4ap-5, 0x1.a7f8dbc8815a4p-5, 0x1.9f028ebaa259dp-5, 0x1.9632c6e51fe09p-5, 0x1.8d8923f8a49bdp-5, 0x1.850544a20ccbfp-5, 0x1.7ca6c69d1e06ap-5, 0x1.746d46c6e6a97p-5, 0x1.6c58612fa9e49p-5, 0x1.6467b12c5b888p-5, 0x1.5c9ad167bc7aap-5, 0x1.54f15bf3041bcp-5, 0x1.4d6aea562297dp-5, 0x1.4607159f9eef3p-5, 0x1.3ec5767404688p-5, 0x1.37a5a51cf2c62p-5, 0x1.30a73997be3dbp-5, 0x1.29c9cba3af62fp-5, 0x1.230cf2cfdf7fcp-5, 0x1.1c704688ae88dp-5, 0x1.15f35e24d526ep-5, 0x1.0f95d0f21981dp-5, 0x1.095736419c413p-5, 0x1.03372573d11b7p-5, 0x1.fa6a6c0816c0ep-6, 0x1.eea1ff277498fp-6, 0x1.e31433ea79b62p-6, 0x1.d7c03a6ccefcap-6, 0x1.cca543554b1f3p-6, 0x1.c1c27fe98eb9ep-6, 0x1.b7172220f1eap-6, 0x1.aca25cb6c1f96p-6, 0x1.a263633bda604p-6, 0x1.98596a279d56p-6, 0x1.8e83a6e82daf7p-6, 0x1.84e14ff23067dp-6, 0x1.7b719ccfd0dfap-6, 0x1.7233c62f2f387p-6, 0x1.692705f0462cep-6, 0x1.604a97321f947p-6, 0x1.579db65f91faap-6, 0x1.4f1fa13b598cfp-6, 0x1.46cf96ebab54dp-6, 0x1.3eacd8053dd2p-6, 0x1.36b6a695c63fcp-6, 0x1.2eec462df18f2p-6, 0x1.274cfbeae23c8p-6, 0x1.1fd80e7f18f5ep-6, 0x1.188cc63b04979p-6, 0x1.116a6d14ee333p-6, 0x1.0a704eb088e7ap-6, 0x1.039db8660d9d9p-6, 0x1.f9e3f291a2208p-7, 0x1.ecd8c45afcb7fp-7, 0x1.e0188b5fa72cep-7, 0x1.d3a1f07016bcbp-7, 0x1.c7739fff8e199p-7, 0x1.bb8c4a2d4349ap-7, 0x1.afeaa2ccb6a3dp-7, 0x1.a48d616d5f821p-7, 0x1.9973416177c5p-7, 0x1.8e9b01c43d6bap-7, 0x1.8403657f6981ep-7, 0x1.79ab334ffcc3cp-7, 0x1.6f9135ca74419p-7, 0x1.65b43b5e57f29p-7, 0x1.5c131659249d3p-7, 0x1.52ac9ce8ad3cp-7, 0x1.497fa91ccc766p-7, 0x1.408b18e8a9defp-7, 0x1.37cdce236e848p-7, 0x1.2f46ae885db76p-7, 0x1.26f4a3b67e334p-7, 0x1.1ed69b2fc62c1p-7, 0x1.16eb8657d18e8p-7, 0x1.0f325a721100bp-7, 0x1.07aa109facbfcp-7, 0x1.0051a5dcc73p-7, 0x1.f25035fb18665p-8, 0x1.e458e95594d41p-8, 0x1.d6bb76bc1e69ap-8, 0x1.c975f6bb244a8p-8, 0x1.bc86896f48e75p-8, 0x1.afeb567bd0988p-8, 0x1.a3a28d003df62p-8, 0x1.97aa638d69e4bp-8, 0x1.8c01181a07035p-8, 0x1.80a4eff66e249p-8, 0x1.759437c038656p-8, 0x1.6acd4354eecb2p-8, 0x1.604e6dc4978bdp-8, 0x1.5616194386be5p-8, 0x1.4c22af1bf5a06p-8, 0x1.42729f9f0d1e6p-8, 0x1.39046215adeebp-8, 0x1.2fd674b09f8ccp-8, 0x1.26e75c78aa18cp-8, 0x1.1e35a53e321c6p-8, 0x1.15bfe18888517p-8, 0x1.0d84aa8513af2p-8, 0x1.05829ff5efdc5p-8, 0x1.fb70d0414f8cfp-9, 0x1.ec495f789b0f7p-9, 0x1.dd8c53bf73fa3p-9, 0x1.cf371fdedd42cp-9, 0x1.c14743165d92cp-9, 0x1.b3ba48f75025ep-9, 0x1.a68dc93f8604cp-9, 0x1.99bf67b3ed706p-9, 0x1.8d4cd3fae4dcep-9, 0x1.8133c9760910bp-9, 0x1.75720f1c785bcp-9, 0x1.6a05775453071p-9, 0x1.5eebdfcc6b0dap-9, 0x1.54233155cabd2p-9, 0x1.49a95fbd2a734p-9, 0x1.3f7c69a45727bp-9, 0x1.359a585b652bbp-9, 0x1.2c013fba456dbp-9, 0x1.22af3df9ec668p-9, 0x1.19a27b8dc626p-9, 0x1.10d92afd4a76ap-9, 0x1.085188bd41a0dp-9, 0x1.0009db098c589p-9, 0x1.f000e37d960a8p-10, 0x1.e0674c686d25ap-10, 0x1.d143b62b2ad24p-10, 0x1.c292f87ac4faep-10, 0x1.b451fd1e39d86p-10, 0x1.a67dbfa36530dp-10, 0x1.99134d14985dap-10, 0x1.8c0fc3ae589a3p-10, 0x1.7f7052958727ap-10, 0x1.7332398e30131p-10, 0x1.6752c8b2cab2ep-10, 0x1.5bcf602bc7d3fp-10, 0x1.50a56fe821bbbp-10, 0x1.45d27755ff4dfp-10, 0x1.3b54051c48243p-10, 0x1.3127b6d46d8f9p-10, 0x1.274b38c554f63p-10, 0x1.1dbc459e380e6p-10, 0x1.1478a632f7856p-10, 0x1.0b7e313858424p-10, 0x1.02cacb0163ed8p-10, 0x1.f4b8ca7a5fa2p-11, 0x1.e461fd6af3bbp-11, 0x1.d48d461bfc37cp-11, 0x1.c536d508e6686p-11, 0x1.b65af3628f319p-11, 0x1.a7f60291ee474p-11, 0x1.9a047bbd0c398p-11, 0x1.8c82ef4bb5d9cp-11, 0x1.7f6e04701d47ep-11, 0x1.72c278aef6235p-11, 0x1.667d1f69dcc88p-11, 0x1.5a9ae16bb08dp-11, 0x1.4f18bc7548f59p-11, 0x1.43f3c2cd081b1p-11, 0x1.39291acf2f646p-11, 0x1.2eb5fe7f8ba69p-11, 0x1.2497bb1daa769p-11, 0x1.1acbb0b9a89ap-11, 0x1.114f51cae7c2bp-11, 0x1.082022c84ba67p-11, 0x1.fe777384718c9p-12, 0x1.ed3f7bfb084e8p-12, 0x1.dc93cf217ed93p-12, 0x1.cc6ffe0527adfp-12, 0x1.bccfb9d339098p-12, 0x1.adaed31bebfe2p-12, 0x1.9f0939188a4e4p-12, 0x1.90daf8f460aaep-12, 0x1.83203d192740fp-12, 0x1.75d54c7e294a4p-12, 0x1.68f689f9807dcp-12, 0x1.5c8073976fc1p-12, 0x1.506fa1ef90c11p-12, 0x1.44c0c7821e275p-12, 0x1.3970b014b1beep-12, 0x1.2e7c40131c63ap-12, 0x1.23e073f3cd789p-12, 0x1.199a5f9e0055p-12, 0x1.0fa72dd3385e8p-12, 0x1.06041f9b22871p-12, 0x1.f95d1764c4c88p-13, 0x1.e747bbfadb9bfp-13, 0x1.d5c32df77c1d5p-13, 0x1.c4ca967e034a6p-13, 0x1.b45945ccaf34ep-13, 0x1.a46ab232132b6p-13, 0x1.94fa770da4c13p-13, 0x1.860453d10a7e8p-13, 0x1.77842b0a91551p-13, 0x1.69760170937adp-13, 0x1.5bd5fcf5cd4a7p-13, 0x1.4ea063e016a1ap-13, 0x1.41d19be483c11p-13, 0x1.35662947efacdp-13, 0x1.295aae05efa92p-13, 0x1.1dabe8fa50233p-13, 0x1.1256b51097a17p-13, 0x1.075808780706p-13, 0x1.f959e7b6acc2dp-14, 0x1.e4a5433c4d7a2p-14, 0x1.d08caa3829dc7p-14, 0x1.bd0ad3df93e44p-14, 0x1.aa1aa6783f3a4p-14, 0x1.97b735f168c8ap-14, 0x1.85dbc289f2effp-14, 0x1.7483b77b580abp-14, 0x1.63aaa9ae31103p-14, 0x1.534c567327291p-14, 0x1.4364a24845744p-14, 0x1.33ef97a25cef2p-14, 0x1.24e965c152654p-14, 0x1.164e5f86cb765p-14, 0x1.081afa591487cp-14, 0x1.f4979a17f3a9p-15, 0x1.d9bb1d97d9accp-15, 0x1.bf9a2c2fd753fp-15, 0x1.a62eaf7404a58p-15, 0x1.8d72cb99d13c5p-15, 0x1.7560dd89a47bap-15, 0x1.5df378fd0f21fp-15, 0x1.472566ad5fb1cp-15, 0x1.30f1a28b9887bp-15, 0x1.1b535a038f62dp-15, 0x1.0645ea4c945f7p-15, 0x1.e389bd8ab0bafp-16, 0x1.bb97deb67aae4p-16, 0x1.94adfdf5e9279p-16, 0x1.6ec434231ac32p-16, 0x1.49d2ea214016ap-16, 0x1.25d2d6064afeep-16, 0x1.02bcf84f208f9p-16, 0x1.c115325ad7b56p-17, 0x1.7e6a8bd8aea6bp-17, 0x1.3d6d9cb9256d2p-17, 0x1.fc250999fa3fp-18, 0x1.809bbe6180a11p-18, 0x1.08297b61b440fp-18, 0x1.2572910942db6p-19, 0x1.01b8496af5c2dp-21, -0x1.3dc230fe5d325p-20, -0x1.789fed5204b4ep-19, -0x1.2678f237a1ab5p-18, -0x1.8dfc80226e093p-18, -0x1.f2eaee2a4ca18p-18, -0x1.2aa9eef73312ep-17, -0x1.5aa325f10dc8ep-17, -0x1.89684b2772c9fp-17, -0x1.b70041e53c462p-17, -0x1.e371a4d9738bp-17, -0x1.076164963d4bp-16, -0x1.1c7ce0bf9351ep-16, -0x1.310e3068df25dp-16, -0x1.45181ea42e6c7p-16, -0x1.589d5976b17fdp-16, -0x1.6ba07320afe55p-16, -0x1.7e23e3646c641p-16, -0x1.902a08bede728p-16, -0x1.a1b5299267e45p-16, -0x1.b2c7754937226p-16, -0x1.c363056fda815p-16, -0x1.d389debe081d3p-16, -0x1.e33df22154be8p-16, -0x1.f2811db13f3a1p-16, -0x1.00aa96d3dc351p-15, -0x1.07ddeea1da9c6p-15, -0x1.0edb6bd74b245p-15, -0x1.15a3dc65d74a3p-15, -0x1.1c380707b171dp-15, -0x1.2298ab9fac477p-15, -0x1.28c6839a8d61dp-15, -0x1.2ec24249c2e62p-15, -0x1.348c953bb8491p-15, -0x1.3a26249060725p-15, -0x1.3f8f934ab03f3p-15, -0x1.44c97f9d90e56p-15, -0x1.49d48335b3934p-15, -0x1.4eb133817662fp-15, -0x1.536021f4bc09p-15, -0x1.57e1dc4869dc8p-15, -0x1.5c36ecbb8715bp-15, -0x1.605fda4ba243bp-15, -0x1.645d28ef76233p-15, -0x1.682f59cbefd47p-15, -0x1.6bd6eb67d6813p-15, -0x1.6f5459dca77adp-15, -0x1.72a81f055e335p-15, -0x1.75d2b2aa5f62cp-15, -0x1.78d48aabe982ep-15, -0x1.7bae1b28bb09fp-15, -0x1.7e5fd6a5ecb08p-15, -0x1.80ea2e310069fp-15, -0x1.834d918306dcbp-15, -0x1.858a6f1fda892p-15, -0x1.87a13473eab8fp-15, -0x1.89924df1926b9p-15, -0x1.8b5e272b1ec82p-15, -0x1.8d052aeb82e3dp-15, -0x1.8e87c34fc8aedp-15, -0x1.8fe659dabe23ap-15, -0x1.9121578af2c78p-15, -0x1.923924ede043bp-15, -0x1.932e2a312fd9bp-15, -0x1.9400cf34070c4p-15, -0x1.94b17b95aa9e2p-15, -0x1.954096c473599p-15, -0x1.95ae8809cbb7ep-15, -0x1.95fbb69694efap-15, -0x1.9628898e4d846p-15, -0x1.96356810f2238p-15, -0x1.9622b9433f16bp-15, -0x1.95f0e457cc0dp-15, -0x1.95a050950ba6dp-15, -0x1.9531655c34795p-15, -0x1.94a48a2ebcbd3p-15, -0x1.93fa26b2220a6p-15, -0x1.9332a2b5e7735p-15, -0x1.924e6634af9fdp-15, -0x1.914dd95821b7ap-15, -0x1.9031647ab297ap-15, -0x1.8ef9702896359p-15, -0x1.8da66521bd135p-15, -0x1.8c38ac58a0329p-15, -0x1.8ab0aef369f59p-15, -0x1.890ed64a69ce1p-15, -0x1.87538be72a0d5p-15, -0x1.857f398297e9fp-15, -0x1.839249044dea1p-15, -0x1.818d247e67fedp-15, -0x1.7f70362c37b0cp-15, -0x1.7d3be86ef4ba4p-15, -0x1.7af0a5c99f8c5p-15, -0x1.788ed8de70dc5p-15, -0x1.7616ec6a2dd8dp-15, -0x1.73894b40cd981p-15, -0x1.70e660485891p-15, -0x1.6e2e9674819fep-15, -0x1.6b6258c220c7bp-15, -0x1.6882123245d3fp-15, -0x1.658e2dc47d9d1p-15, -0x1.62871672838d4p-15, -0x1.5f6d372a27c77p-15, -0x1.5c40fac7ddeb6p-15, -0x1.5902cc11b960bp-15, -0x1.55b315b0b9a66p-15, -0x1.5252422bc97f8p-15, -0x1.4ee0bbe1a96dp-15, }}, 
      {{0x1.35f1da6b0ca21p-7, 0x1.36febd7bbeb6cp-6, 0x1.d4e51d318c0acp-6, 0x1.3a95997d9feb8p-5, 0x1.8bfbdc2db2635p-5, 0x1.de90f4401ea5cp-5, 0x1.19101d65659a2p-4, 0x1.432e97bba6cf9p-4, 0x1.6d75d138a2be1p-4, 0x1.97b37e32fdad8p-4, 0x1.c1b42f023684cp-4, 0x1.eb45c33df62aap-4, 0x1.0a1ca3c72224dp-3, 0x1.1e322685bb3eap-3, 0x1.31d0e64730f4fp-3, 0x1.44e95480fc65bp-3, 0x1.576ef17978891p-3, 0x1.695846fe2f7abp-3, 0x1.7a9ecb5d562fap-3, 0x1.8b3eb2f1bfb8cp-3, 0x1.9b36b593c14fdp-3, 0x1.aa87cc573ae47p-3, 0x1.b934eb2b91ea9p-3, 0x1.c742b93849f86p-3, 0x1.d4b74a2eb3ec7p-3, 0x1.e199da3ecf579p-3, 0x1.edf28de83da15p-3, 0x1.f9ca367ea6925p-3, 0x1.02950df46b1fap-2, 0x1.080de5f099e8bp-2, 0x1.0d5477656c54dp-2, 0x1.126d91037c3f9p-2, 0x1.175debcc310dbp-2, 0x1.1c2a1d66a38dap-2, 0x1.20d68ccc6c4ecp-2, 0x1.2567691e85a2fp-2, 0x1.29e0a2702744bp-2, 0x1.2e45e454e2d5ap-2, 0x1.329a92002e70ep-2, 0x1.36e1c3c63d816p-2, 0x1.3b1e45d0a2cbap-2, 0x1.3f5297dc2db59p-2, 0x1.4380edd8bff0ep-2, 0x1.47ab31474453ap-2, 0x1.4bd303355d14p-2, 0x1.4ff9beb9c3c7cp-2, 0x1.54207bd786415p-2, 0x1.584812b15b8e7p-2, 0x1.5c711ef922eccp-2, 0x1.609c038a338d8p-2, 0x1.64c8ee1f891a2p-2, 0x1.68f7db18ff1c3p-2, 0x1.6d289944adaf6p-2, 0x1.715acda33fc5ep-2, 0x1.758df71f8fcacp-2, 0x1.79c1723331fecp-2, 0x1.7df47c72b9b66p-2, 0x1.822637fd8fd3ap-2, 0x1.8655aece0623cp-2, 0x1.8a81d5e71a151p-2, 0x1.8ea9905e03dbdp-2, 0x1.92cbb23e33107p-2, 0x1.96e70346db1d3p-2, 0x1.9afa41819293ep-2, 0x1.9f0423b1e6315p-2, 0x1.a3035b9e01dd7p-2, 0x1.a6f69830d7e32p-2, 0x1.aadc87765be85p-2, 0x1.aeb3d872940bfp-2, 0x1.b27b3cd4654c2p-2, 0x1.b6316a852073fp-2, 0x1.b9d51d15e5f54p-2, 0x1.bd65170c0e648p-2, 0x1.c0e0230dd2ecap-2, 0x1.c44514f079dep-2, 0x1.c792caa9567a7p-2, 0x1.cac82d22e87cp-2, 0x1.cde430f77b9ecp-2, 0x1.d0e5d7128f46cp-2, 0x1.d3cc2d3a6689cp-2, 0x1.d6964e830a069p-2, 0x1.d94363ac0f835p-2, 0x1.dbd2a36a6da71p-2, 0x1.de43529f9ff1cp-2, 0x1.e094c47f52c61p-2, 0x1.e2c65aa4d118p-2, 0x1.e4d785195c2f4p-2, 0x1.e6c7c24c8ee0ep-2, 0x1.e8969effe5ba6p-2, 0x1.ea43b6267d3bbp-2, 0x1.ebceb0ba08bc4p-2, 0x1.ed374585f7632p-2, 0x1.ee7d38e9c3352p-2, 0x1.efa05c9340d85p-2, 0x1.f0a08f31d2fddp-2, 0x1.f17dbc234e646p-2, 0x1.f237db1b50d8bp-2, 0x1.f2ceefc5c7e07p-2, 0x1.f343096553077p-2, 0x1.f394426e2c726p-2, 0x1.f3c2c01e2b0e4p-2, 0x1.f3ceb2127455p-2, 0x1.f3b851db643bep-2, 0x1.f37fe28f2751ep-2, 0x1.f325b05b7dcdfp-2, 0x1.f2aa101712dc6p-2, 0x1.f20d5ed2cb20bp-2, 0x1.f150016b65e61p-2, 0x1.f072641bc814p-2, 0x1.ef74fa1035824p-2, 0x1.ee583cfac8476p-2, 0x1.ed1caca95ac96p-2, 0x1.ebc2ce9d213fep-2, 0x1.ea4b2da4268fep-2, 0x1.e8b65974d3a3dp-2, 0x1.e704e64bab79p-2, 0x1.e5376c8b5e313p-2, 0x1.e34e885f4d8aep-2, 0x1.e14ad9609e04cp-2, 0x1.df2d023de796bp-2, 0x1.dcf5a8659797p-2, 0x1.daa573b30f3b5p-2, 0x1.d83d0e1e8c57dp-2, 0x1.d5bd236fddaebp-2, 0x1.d32660f3eb9a8p-2, 0x1.d079753512011p-2, 0x1.cdb70fb650d44p-2, 0x1.cadfe0b14893ep-2, 0x1.c7f498d7025edp-2, 0x1.c4f5e9137cfcp-2, 0x1.c1e48253f52cfp-2, 0x1.bec1154fdc18ap-2, 0x1.bb8c52547c3fep-2, 0x1.b846e9132ea16p-2, 0x1.b4f1887228da2p-2, 0x1.b18cde5fbfc0ep-2, 0x1.ae1997a825f6ep-2, 0x1.aa985fcd833e1p-2, 0x1.a709e0e265069p-2, 0x1.a36ec3666e3fp-2, 0x1.9fc7ae2538c6cp-2, 0x1.9c15461759fe5p-2, 0x1.98582e45778bap-2, 0x1.949107ad5c0dep-2, 0x1.90c07128f9468p-2, 0x1.8ce707574c49ap-2, 0x1.890564870950fp-2, 0x1.851c20a30b3d5p-2, 0x1.812bd1206a2f2p-2, 0x1.7d3508ee2f195p-2, 0x1.7938586696abbp-2, 0x1.75364d41cb64cp-2, 0x1.712f728a0f50cp-2, 0x1.6d245091444e9p-2, 0x1.69156ce7bea03p-2, 0x1.65034a545abccp-2, 0x1.60ee68cdc53cdp-2, 0x1.5cd74574e34a1p-2, 0x1.58be5a9053a75p-2, 0x1.54a41f88f87bcp-2, 0x1.508908e77caf7p-2, 0x1.4c6d8852ca4b4p-2, 0x1.48520c8f6277bp-2, 0x1.4437017f8ebecp-2, 0x1.401cd0246092fp-2, 0x1.3c03de9f6fb5ep-2, 0x1.37ec90355157p-2, 0x1.33d74550bceb7p-2, 0x1.2fc45b86511c3p-2, 0x1.2bb42d98f7ea3p-2, 0x1.27a7137ed40aap-2, 0x1.239d6266bb702p-2, 0x1.1f976cbe2f2c9p-2, 0x1.1b958237c9a14p-2, 0x1.1797efd21c656p-2, 0x1.139effdef4a57p-2, 0x1.0faafa0b0125ep-2, 0x1.0bbc2365d18dbp-2, 0x1.07d2be6a25bc1p-2, 0x1.03ef0b068d298p-2, 0x1.001146a648b22p-2, 0x1.f8735874dcb1p-3, 0x1.f0d0e88691b11p-3, 0x1.e93ba9b3cf36dp-3, 0x1.e1b40373cb4a6p-3, 0x1.da3a5896a7634p-3, 0x1.d2cf0759a01cep-3, 0x1.cb72697b75368p-3, 0x1.c424d45112aa3p-3, 0x1.bce698da6cc8dp-3, 0x1.b5b803d782284p-3, 0x1.ae995ddd898cdp-3, 0x1.a78aeb6c324b9p-3, 0x1.a08ced0306192p-3, 0x1.999f9f36d01ffp-3, 0x1.92c33ac714ccdp-3, 0x1.8bf7f4b385355p-3, 0x1.853dfe517c2bap-3, 0x1.7e95856168d97p-3, 0x1.77feb4243250fp-3, 0x1.7179b1708c2a8p-3, 0x1.6b06a0c835245p-3, 0x1.64a5a26d17da4p-3, 0x1.5e56d37652dc6p-3, 0x1.581a4de521fc6p-3, 0x1.51f028b99c812p-3, 0x1.4bd8780751ed6p-3, 0x1.45d34d09b665ap-3, 0x1.3fe0b6386780ap-3, 0x1.3a00bf5b39aep-3, 0x1.3433719e1a82bp-3, 0x1.2e78d3a4b7355p-3, 0x1.28d0e99dec912p-3, 0x1.233bb55701418p-3, 0x1.1db9364ea1a92p-3, 0x1.184969c79c647p-3, 0x1.12ec4adb62fcp-3, 0x1.0da1d28c4b417p-3, 0x1.0869f7d78b2fdp-3, 0x1.0344afc6f5766p-3, 0x1.fc63db04d841bp-4, 0x1.f26344c22d1afp-4, 0x1.e8877bf49236p-4, 0x1.ded05c6c593fap-4, 0x1.d53dbebc30f31p-4, 0x1.cbcf78595547dp-4, 0x1.c2855bbb214bdp-4, 0x1.b95f387a143fdp-4, 0x1.b05cdb6e4d7c8p-4, 0x1.a77e0ecd6136fp-4, 0x1.9ec29a47a791ep-4, 0x1.962a4324fb406p-4, 0x1.8db4cc60ce0acp-4, 0x1.8561f6c5c3967p-4, 0x1.7d318108a865bp-4, 0x1.752327e2d6d2dp-4, 0x1.6d36a62c0d8cep-4, 0x1.656bb4f3ae14fp-4, 0x1.5dc20b996c351p-4, 0x1.56395fe56abf6p-4, 0x1.4ed1661fc6766p-4, 0x1.4789d12791ee9p-4, 0x1.4062528943d2ep-4, 0x1.395a9a949540ap-4, 0x1.32725871d1786p-4, 0x1.2ba93a36a0348p-4, 0x1.24feecfa3eb0ep-4, 0x1.1e731ce933859p-4, 0x1.1805755879fe4p-4, 0x1.11b5a0d82736ap-4, 0x1.0b8349458a0b1p-4, 0x1.056e17dcc5af6p-4, 0x1.feeb6a93e404cp-5, 0x1.f333937362265p-5, 0x1.e7b3f9d29e9fep-5, 0x1.dc6bec6cc2586p-5, 0x1.d15ab95bd5d07p-5, 0x1.c67fae36108e2p-5, 0x1.bbda182a48c22p-5, 0x1.b169441b6a86dp-5, 0x1.a72c7ebb1337ap-5, 0x1.9d2314a33de2p-5, 0x1.934c526f14838p-5, 0x1.89a784d2e66ebp-5, 0x1.8033f8b3459a3p-5, 0x1.76f0fb3b49cacp-5, 0x1.6dddd9f208b9ap-5, 0x1.64f9e2cf3f593p-5, 0x1.5c44644f2f072p-5, 0x1.53bcad85b8e18p-5, 0x1.4b620e30b46d4p-5, 0x1.4333d6c98bc2ap-5, 0x1.3b3158961a6eep-5, 0x1.3359e5b8d8313p-5, 0x1.2bacd1405046bp-5, 0x1.24296f35e9d91p-5, 0x1.1ccf14ac09a65p-5, 0x1.159d17cb868e1p-5, 0x1.0e92cfe081e62p-5, 0x1.07af956699093p-5, 0x1.00f2c21481031p-5, 0x1.f4b761ce1312bp-6, 0x1.e7d37c5714231p-6, 0x1.db388f1379c6cp-6, 0x1.cee5581a27873p-6, 0x1.c2d8985af0488p-6, 0x1.b71113af227c3p-6, 0x1.ab8d90e9034c6p-6, 0x1.a04cd9e24b0a3p-6, 0x1.954dbb89b0f39p-6, 0x1.8a8f05ef7ddddp-6, 0x1.800f8c514136dp-6, 0x1.75ce252496112p-6, 0x1.6bc9aa211e3bp-6, 0x1.6200f8498bf76p-6, 0x1.5872eff3f8fb4p-6, 0x1.4f1e74d163f99p-6, 0x1.46026df469dbbp-6, 0x1.3d1dc5d74b88ep-6, 0x1.346f6a6133924p-6, 0x1.2bf64cead464fp-6, 0x1.23b162424d69dp-6, 0x1.1b9fa2ae7826bp-6, 0x1.13c009f18bc87p-6, 0x1.0c11974b2f036p-6, 0x1.04934d79e2796p-6, 0x1.fa886577eca09p-7, 0x1.ec46a19fbd463p-7, 0x1.de5f69e8112a5p-7, 0x1.d0d0dfcc64479p-7, 0x1.c3992bc48ad4cp-7, 0x1.b6b67d4171827p-7, 0x1.aa270aa8f8523p-7, 0x1.9de91151042bfp-7, 0x1.91fad579a56bep-7, 0x1.865aa2468612p-7, 0x1.7b06c9b784d71p-7, 0x1.6ffda4a0b2a0dp-7, 0x1.653d92a18985fp-7, 0x1.5ac4fa1b754e4p-7, 0x1.50924827d90fbp-7, 0x1.46a3f08d5444bp-7, 0x1.3cf86db4a3f57p-7, 0x1.338e409cc311ep-7, 0x1.2a63f0cebaff8p-7, 0x1.21780c50d51eap-7, 0x1.18c92799644e1p-7, 0x1.1055dd811d23fp-7, 0x1.081ccf3503c0cp-7, 0x1.001ca427f8864p-7, 0x1.f0a81407ccbe9p-8, 0x1.e18369352c39cp-8, 0x1.d2c8bbac85d53p-8, 0x1.c4758b538240cp-8, 0x1.b6876401069aap-8, 0x1.a8fbdd5c8ce94p-8, 0x1.9bd09abd092cep-8, 0x1.8f034b077df14p-8, 0x1.8291a88d04fa1p-8, 0x1.767978e8953abp-8, 0x1.6ab88cdc60173p-8, 0x1.5f4cc02f097f1p-8, 0x1.5433f9887afa6p-8, 0x1.496c2a4e768a3p-8, 0x1.3ef34e811ed68p-8, 0x1.34c76c973c171p-8, 0x1.2ae6955a4a5ffp-8, 0x1.214ee3c29ebcp-8, 0x1.17fe7cd32e8b2p-8, 0x1.0ef38f759906ap-8, 0x1.062c5455e3a5cp-8, 0x1.fb4e1b7cb7e31p-9, 0x1.eac40ee6c3f8cp-9, 0x1.dab72d1e8658fp-9, 0x1.cb2432bc769dp-9, 0x1.bc07ee74bc064p-9, 0x1.ad5f40cf5dcc8p-9, 0x1.9f271be09ec56p-9, 0x1.915c8301bc1fcp-9, 0x1.83fc8a89b4913p-9, 0x1.77045786984f2p-9, 0x1.6a711f772086dp-9, 0x1.5e40280485e23p-9, 0x1.526ec6bd0aa14p-9, 0x1.46fa60ceb12cep-9, 0x1.3be06ac27814bp-9, 0x1.311e6838259a9p-9, 0x1.26b1eba26f005p-9, 0x1.1c989603c7089p-9, 0x1.12d016abbd242p-9, 0x1.09562af4be947p-9, 0x1.00289e029544p-9, 0x1.ee8a9102ea18ap-10, 0x1.dd5420cb605cap-10, 0x1.cca9d157b8c25p-10, 0x1.bc87a233e70a6p-10, 0x1.ace9ac016486p-10, 0x1.9dcc1ffbf5807p-10, 0x1.8f2b477fa206ap-10, 0x1.8103838f85bb8p-10, 0x1.73514c5ebf7aep-10, 0x1.661130da578f9p-10, 0x1.593fd634bfbc8p-10, 0x1.4cd9f772b5ef4p-10, 0x1.40dc64f98bdb2p-10, 0x1.3544041f06276p-10, 0x1.2a0dceba713dbp-10, 0x1.1f36d2b7b9c11p-10, 0x1.14bc31ab46ad3p-10, 0x1.0a9b2067e4a1cp-10, 0x1.00d0e695f5531p-10, 0x1.eeb5bc981b997p-11, 0x1.dc6ce752a10ffp-11, 0x1.cac248e22a3abp-11, 0x1.b9b0ff50090acp-11, 0x1.a9344a65b3f88p-11, 0x1.99478aed6c5cap-11, 0x1.89e641f54f5a8p-11, 0x1.7b0c101617df7p-11, 0x1.6cb4b4bc05d88p-11, 0x1.5edc0d73a793fp-11, 0x1.517e1538a778ep-11, 0x1.4496e3c86f883p-11, 0x1.3822acf74070ap-11, 0x1.2c1dc007f0015p-11, 0x1.208487073af78p-11, 0x1.15538629269f1p-11, 0x1.0a875b2a2e191p-11, 0x1.001cbcb298adep-11, 0x1.ec20f378ff308p-12, 0x1.d8bef1fab1854p-12, 0x1.c60d70a321c68p-12, 0x1.b406985695adfp-12, 0x1.a2a4be0753f54p-12, 0x1.91e2619e16894p-12, 0x1.81ba2ce6f10c5p-12, 0x1.7226f2842d9e6p-12, 0x1.6323ace69f8f6p-12, 0x1.54ab7d4a1a37bp-12, 0x1.46b9aab808de4p-12, 0x1.3949a10f11cd8p-12, 0x1.2c56f00e8dd6dp-12, 0x1.1fdd4a68567c6p-12, 0x1.13d884d6b6e62p-12, 0x1.084495376f3a5p-12, 0x1.fa3b23568be33p-13, 0x1.e4bf5f7500a3dp-13, 0x1.d00e86fbdd7fep-13, 0x1.bc217d987411cp-13, 0x1.a8f160d903519p-13, 0x1.96778699107ddp-13, 0x1.84ad7b779cbbp-13, 0x1.738d015599167p-13, 0x1.63100ddcc8a94p-13, 0x1.5330c90f79571p-13, 0x1.43e98bdf9f28dp-13, 0x1.3534decf87eb9p-13, 0x1.270d78993ffa2p-13, 0x1.196e3cddeb8ep-13, 0x1.0c523adddd73dp-13, 0x1.ff69586e6028bp-14, 0x1.e721e75924243p-14, 0x1.cfc537e6abf8bp-14, 0x1.b94aad1196cd8p-14, 0x1.a3a9f51c32ddbp-14, 0x1.8edb07578892bp-14, 0x1.7ad621f86acefp-14, 0x1.6793c7f89fe56p-14, 0x1.550cbf06eaa1p-14, 0x1.433a0d82aef4cp-14, 0x1.3214f8860bb9ap-14, 0x1.219701f9882fcp-14, 0x1.11b9e6b7e770cp-14, 0x1.02779cbbb37e6p-14, 0x1.e794a2b076df9p-15, 0x1.cb58cf021773dp-15, 0x1.b030ec31f08c5p-15, 0x1.96128c9e09fd4p-15, 0x1.7cf3a40bfb514p-15, 0x1.64ca8489eee73p-15, 0x1.4d8ddb69c0c2fp-15, 0x1.3734ae4e0f66dp-15, 0x1.21b6584aba73ap-15, 0x1.0d0a871a68b4cp-15, 0x1.f25270d0ab1f8p-16, 0x1.cc156e541075fp-16, 0x1.a74f321c50b51p-16, 0x1.83f177fc43016p-16, 0x1.61ee875f2f31bp-16, 0x1.41392e8ceee19p-16, 0x1.21c4be16461b1p-16, 0x1.0385045c26de2p-16, 0x1.ccdc927a8bb7p-17, 0x1.94ea93bba4e89p-17, 0x1.5f1e69222f014p-17, 0x1.2b6349ccf464ep-17, 0x1.f34a7f191a91cp-18, 0x1.93a23eeb5dd99p-18, 0x1.37a9053020e04p-18, 0x1.be76fbc590d3dp-19, 0x1.146f827733318p-19, 0x1.c3ea334acd315p-21, -0x1.613294a9b115ap-22, -0x1.865dfbdc235bbp-20, -0x1.5458e44bea0d3p-19, -0x1.dfdb190e495dbp-19, -0x1.32f535498ef5fp-18, -0x1.735cbc20268fdp-18, -0x1.b13c63d9b3bb7p-18, -0x1.ecab6cb9cf778p-18, -0x1.12e00f3736623p-17, -0x1.2e47e8e135691p-17, -0x1.48977cf569ccdp-17, -0x1.61d896d08af05p-17, -0x1.7a1497e85da7bp-17, -0x1.91547c0bbb3f1p-17, -0x1.a7a0dd783612bp-17, -0x1.bd01f8d2ac555p-17, -0x1.d17fb0f5af99ep-17, -0x1.e52192a034e9ep-17, -0x1.f7eed80c000ddp-17, -0x1.04f7362efb47ap-16, -0x1.0d93777a3d68cp-16, -0x1.15cf5b50c7fecp-16, -0x1.1dadea61f64dp-16, -0x1.25320c212fb19p-16, -0x1.2c5e883644b29p-16, -0x1.333607e32a6e6p-16, -0x1.39bb175843ea6p-16, -0x1.3ff026ff8e27ep-16, -0x1.45d78cbb1f78cp-16, -0x1.4b738517e160fp-16, -0x1.50c6347428108p-16, -0x1.55d1a81c89127p-16, -0x1.5a97d75beb49ep-16, -0x1.5f1aa48494b29p-16, -0x1.635bddea1ef73p-16, -0x1.675d3ed6f0de4p-16, -0x1.6b207073ffa1dp-16, -0x1.6ea70aaa330d6p-16, -0x1.71f294fa3cb27p-16, -0x1.7504874afab2ap-16, -0x1.77de4aaf49d34p-16, -0x1.7a813a251858ep-16, -0x1.7ceea34be8e46p-16, -0x1.7f27c712967cp-16, -0x1.812dda61d11bfp-16, -0x1.830206b9506fbp-16, -0x1.84a56acbe08d5p-16, -0x1.86191b10a6292p-16, -0x1.875e225218f65p-16, -0x1.88758231d09e8p-16, -0x1.896033aa072d4p-16, -0x1.8a1f2788d60a2p-16, -0x1.8ab346e3e7154p-16, -0x1.8b1d7389cd86fp-16, -0x1.8b5e886b7263p-16, -0x1.8b775a01b9308p-16, -0x1.8b68b6ada9bb8p-16, -0x1.8b3367157212cp-16, -0x1.8ad82e7a8ea38p-16, -0x1.8a57cb0e280bep-16, -0x1.89b2f63ee64fbp-16, -0x1.88ea65045d658p-16, -0x1.87fec825d07e3p-16, -0x1.86f0cc7ecb2d4p-16, -0x1.85c11b3cf594p-16, -0x1.84705a1d71a8fp-16, -0x1.82ff2ba5ac0a8p-16, -0x1.816e2f5863a5fp-16, -0x1.7fbe01ea48299p-16, -0x1.7def3d6fbf4dbp-16, -0x1.7c02798b35e8cp-16, -0x1.79f84b96a807cp-16, -0x1.77d146cba1c25p-16, -0x1.758dfc687b013p-16, -0x1.732efbd33bc15p-16, -0x1.70b4d2b9ffbe4p-16, -0x1.6e200d31a3489p-16, -0x1.6b7135d16ba6cp-16, -0x1.68a8d5ce01cdbp-16, -0x1.65c77511c7096p-16, -0x1.62cd9a533590bp-16, -0x1.5fbbcb29a2c55p-16, -0x1.5c928c20dce4bp-16, -0x1.595260c9ee105p-16, -0x1.55fbcbccc6a2cp-16, -0x1.528f4ef545746p-16, -0x1.4f0d6b421d24cp-16, -0x1.4b76a0eeee407p-16, -0x1.47cb6f80ddab6p-16, -0x1.440c55cfb121fp-16, -0x1.4039d20de3fefp-16, -0x1.3c5461d0f7182p-16, -0x1.385c821778efap-16, -0x1.3452af4e6bc4dp-16, -0x1.30376556616c9p-16, -0x1.2c0b1f876fbap-16, -0x1.27ce58b3cbbf6p-16, -0x1.23818b2ab95d8p-16, -0x1.1f2530b9a502bp-16, -0x1.1ab9c2ada69ddp-16, -0x1.163fb9d38dddfp-16, -0x1.11b78e78322e7p-16, -0x1.0d21b867b2525p-16, -0x1.087eaeebd32d3p-16, -0x1.03cee8cac7c14p-16, -0x1.fe25b888e53e8p-17, -0x1.f495fe23551a3p-17, -0x1.eaef8cbe9543fp-17, -0x1.e1334d9a6c254p-17, -0x1.d76228d2407dbp-17, -0x1.cd7d0557c77f7p-17, -0x1.c384c8ea76421p-17, -0x1.b97a580fb2e21p-17, -0x1.af5e9609f53f4p-17, -0x1.a53264cef42dbp-17, -0x1.9af6a4ff1295ap-17, -0x1.90ac35dbf7497p-17, -0x1.8653f53db3ecp-17, -0x1.7beebf89dd09cp-17, -0x1.717d6fa935955p-17, -0x1.6700defcbd4dep-17, -0x1.5c79e5537069p-17, -0x1.51e958e04af7cp-17, -0x1.47500e2e3e479p-17, -0x1.3caed818416f1p-17, -0x1.320687bc52fbfp-17, -0x1.2757ec738148fp-17, -0x1.1ca3d3c575833p-17, -0x1.11eb095ed2492p-17, -0x1.072e57075b61p-17, -0x1.f8dd0930ac262p-18, -0x1.e358afe2c67fp-18, -0x1.cdd129df71cdbp-18, -0x1.b847fac7f4137p-18, -0x1.a2bea2126bf05p-18, -0x1.8d369af78f8ecp-18, -0x1.77b15c606e717p-18, -0x1.623058d719287p-18, -0x1.4cb4fe71ab553p-18, -0x1.3740b6c5f53ccp-18, -0x1.21d4e6d6dab86p-18, -0x1.0c72ef0514486p-18, -0x1.ee385603eb0bdp-19, -0x1.c3a3e37ef2fadp-19, -0x1.992b2ac6f7afap-19, -0x1.6ed0c675c6a1dp-19, -0x1.4497475733006p-19, -0x1.1a813455c282p-19, -0x1.e12214ba36a07p-20, -0x1.8d92789c8b91bp-20, -0x1.3a5865c1febcap-20, -0x1.cef1325cbaac3p-21, -0x1.29ef76a88268fp-21, -0x1.0b697f9fbb3cep-22, 0x1.db5f45b40c811p-25, 0x1.808fa3c8f63bbp-22, 0x1.61f82ef357a01p-21, 0x1.015f45f46cbaep-20, 0x1.514949c9e21cfp-20, 0x1.a0b60daf5c44bp-20, 0x1.efa191aa0612dp-20, 0x1.1f03f5967ab5cp-19, 0x1.45f2a28e16f87p-19, 0x1.6c9aefeb0709ep-19, 0x1.92fb089f0417p-19, 0x1.b911225da048bp-19, 0x1.dedb7d9fe2d44p-19, 0x1.022c32d18d892p-18, }}, 
      {{0x1.fd8ba3d6ef50dp-1, 0x1.fceca18702c0ep-1, 0x1.fbf24c12f0441p-1, 0x1.faabd938e6c4p-1, 0x1.f92800e34d581p-1, 0x1.f7738e866b091p-1, 0x1.f598d34988938p-1, 0x1.f39f9b6230f31p-1, 0x1.f18d6a31e1557p-1, 0x1.ef65d7347fd65p-1, 0x1.ed2af4c657b8cp-1, 0x1.eaddb38e0a943p-1, 0x1.e87e3b9505682p-1, 0x1.e60c37fbe7a9ap-1, 0x1.e387148ecc325p-1, 0x1.e0ee2dd3f8518p-1, 0x1.de40f4e3b7bfcp-1, 0x1.db7f08a7db022p-1, 0x1.d8a846346834p-1, 0x1.d5bcd1db31ad5p-1, 0x1.d2bd1a7962a4bp-1, 0x1.cfa9d8529c68cp-1, 0x1.cc84089f1c476p-1, 0x1.c94ce6c51b2cap-1, 0x1.c605e40b3131ap-1, 0x1.c2b09e6b0cce4p-1, 0x1.bf4ed709a9213p-1, 0x1.bbe268bc77e8fp-1, 0x1.b86d3ee97976fp-1, 0x1.b4f14cfabebc8p-1, 0x1.b170868bfcd29p-1, 0x1.adecd86a347aep-1, 0x1.aa682271c47fcp-1, 0x1.a6e4324df918ap-1, 0x1.a362bf161e667p-1, 0x1.9fe565bed3ec5p-1, 0x1.9c6da652ac732p-1, 0x1.98fce1e298e32p-1, 0x1.9594591d32e1ap-1, 0x1.92352b7b43f13p-1, 0x1.8ee056efe01bcp-1, 0x1.8b96b80ad1a7ap-1, 0x1.88590a7cdc8d1p-1, 0x1.8527e9ee628e8p-1, 0x1.8203d31a1318bp-1, 0x1.7eed251e9a625p-1, 0x1.7be422fb836e7p-1, 0x1.78e8f52ec9c87p-1, 0x1.75fbab69ccfdcp-1, 0x1.731c3e558b7e8p-1, 0x1.704a915f1a231p-1, 0x1.6d867486561e8p-1, 0x1.6acfa629b59c3p-1, 0x1.6825d4caf5db4p-1, 0x1.6588a0c9220f2p-1, 0x1.62f79e0d14fd4p-1, 0x1.607255a631adbp-1, 0x1.5df847558dbebp-1, 0x1.5b88eb063c3f2p-1, 0x1.5923b231c79b4p-1, 0x1.56c809303d61bp-1, 0x1.54755873768d9p-1, 0x1.522b05ad84965p-1, 0x1.4fe874e256d71p-1, 0x1.4dad0964e1c08p-1, 0x1.4b7826c0270c9p-1, 0x1.4949318ca193bp-1, 0x1.471f9032afcafp-1, 0x1.44faab9a9d3acp-1, 0x1.42d9efcb0b1f4p-1, 0x1.40bccc767123cp-1, 0x1.3ea2b578804e4p-1, 0x1.3c8b2344342f4p-1, 0x1.3a75934360d09p-1, 0x1.386188288976ap-1, 0x1.364e8a33d1fdp-1, 0x1.343c276bd3223p-1, 0x1.3229f3cb1c847p-1, 0x1.3017896326eabp-1, 0x1.2e04887577451p-1, 0x1.2bf09783ac35ep-1, 0x1.29db63572a3c8p-1, 0x1.27c49f0114e41p-1, 0x1.25ac03d33b356p-1, 0x1.239151529a96dp-1, 0x1.21744d240d317p-1, 0x1.1f54c2f3bc416p-1, 0x1.1d328457de6ep-1, 0x1.1b0d68af46c61p-1, 0x1.18e54cfc4378p-1, 0x1.16ba13bc425ecp-1, 0x1.148ba4bcab17ep-1, 0x1.1259eced56a68p-1, 0x1.1024de3109933p-1, 0x1.0dec6f2c495f4p-1, 0x1.0bb09b12e5099p-1, 0x1.0971617480777p-1, 0x1.072ec6086991ap-1, 0x1.04e8d078fefcbp-1, 0x1.029f8c2ee394fp-1, 0x1.0053081c39d49p-1, 0x1.fc06ad1035a4cp-2, 0x1.f76119b4ee7c9p-2, 0x1.f2b586d11dff8p-2, 0x1.ee042a8448d09p-2, 0x1.e94d3fff1afefp-2, 0x1.e491072186279p-2, 0x1.dfcfc41b0b8p-2, 0x1.db09bf0d67029p-2, 0x1.d63f43b1be09cp-2, 0x1.d170a100780e9p-2, 0x1.cc9e28dbd7f83p-2, 0x1.c7c82fbd77695p-2, 0x1.c2ef0c66a871dp-2, 0x1.be131793d9597p-2, 0x1.b934abb2fa125p-2, 0x1.b454249cf0164p-2, 0x1.af71df5215982p-2, 0x1.aa8e39b9c6af9p-2, 0x1.a5a99264faba7p-2, 0x1.a0c44853dda48p-2, 0x1.9bdebabe6601bp-2, 0x1.96f948dfdba92p-2, 0x1.921451c543d33p-2, 0x1.8d30341ea0b24p-2, 0x1.884d4e12f986ep-2, 0x1.836bfd171928p-2, 0x1.7e8c9dc6efa44p-2, 0x1.79af8bc188096p-2, 0x1.74d521877be2ap-2, 0x1.6ffdb85bcf53p-2, 0x1.6b29a82728981p-2, 0x1.6659475d457fap-2, 0x1.618ceae49f69ep-2, 0x1.5cc4e600292dbp-2, 0x1.58018a3b0d5c1p-2, 0x1.534327565d0d8p-2, 0x1.4e8a0b3897093p-2, 0x1.49d681def53dep-2, 0x1.4528d550693c6p-2, 0x1.40814d92361dp-2, 0x1.3be0309e1394dp-2, 0x1.3745c259c5fe4p-2, 0x1.32b24490194eep-2, 0x1.2e25f6eb2b9e9p-2, 0x1.29a116eff5a99p-2, 0x1.2523dffb02c9dp-2, 0x1.20ae8b3e4117bp-2, 0x1.1c414fbfdd624p-2, 0x1.17dc625a1dcd2p-2, 0x1.137ff5bc22731p-2, 0x1.0f2c3a6b8a4a4p-2, 0x1.0ae15ec6df44ap-2, 0x1.069f8f08c9aa9p-2, 0x1.0266f54bf4439p-2, 0x1.fc6f731f2bb86p-3, 0x1.f42403793322cp-3, 0x1.ebebe356a6cf7p-3, 0x1.e3c75653736ap-3, 0x1.dbb69c042fd91p-3, 0x1.d3b9f0045ebe6p-3, 0x1.cbd18a057eab6p-3, 0x1.c3fd9dded06afp-3, 0x1.bc3e5b9dc1c7p-3, 0x1.b493ef96f4e0ap-3, 0x1.acfe8277c46fap-3, 0x1.a57e395846ac2p-3, 0x1.9e1335cdb721cp-3, 0x1.96bd95fd35d5ep-3, 0x1.8f7d74aee025fp-3, 0x1.8852e96122d25p-3, 0x1.813e085c45363p-3, 0x1.7a3ee2c6231ddp-3, 0x1.735586b60809bp-3, 0x1.6c81ff48a2315p-3, 0x1.65c454b403994p-3, 0x1.5f1c8c5bb2fe2p-3, 0x1.588aa8e4b2318p-3, 0x1.520eaa4982b4bp-3, 0x1.4ba88dee199c9p-3, 0x1.45584eb3c481ep-3, 0x1.3f1de50cea60fp-3, 0x1.38f94710b216p-3, 0x1.32ea688e868b4p-3, 0x1.2cf13b2169a56p-3, 0x1.270dae431eb96p-3, 0x1.213faf5f203bap-3, 0x1.1b8729e55ee5fp-3, 0x1.15e4075cca544p-3, 0x1.10562f759b2e1p-3, 0x1.0add881b5d18bp-3, 0x1.0579f586b955dp-3, 0x1.002b5a4efbe3dp-3, 0x1.f5e32ef6a480cp-4, 0x1.eb9919278b1d1p-4, 0x1.e1782f63c25a1p-4, 0x1.d7802b223e7dp-4, 0x1.cdb0c33de8e04p-4, 0x1.c409ac153fdfap-4, 0x1.ba8a97a94a5dap-4, 0x1.b13335bbe5eafp-4, 0x1.a80333ed88315p-4, 0x1.9efa3dda4eaf5p-4, 0x1.9617fd367a81dp-4, 0x1.8d5c19ea415aep-4, 0x1.84c63a2d01329p-4, 0x1.7c56029fd1f1bp-4, 0x1.740b166774e99p-4, 0x1.6be51745a2f92p-4, 0x1.63e3a5b1bb504p-4, 0x1.5c0660f0d13a7p-4, 0x1.544ce72d19a64p-4, 0x1.4cb6d58cbebdap-4, 0x1.4543c848111eep-4, 0x1.3df35abf2250cp-4, 0x1.36c5278ec0e32p-4, 0x1.2fb8c8a4dfba6p-4, 0x1.28cdd75461aa8p-4, 0x1.2203ec6853955p-4, 0x1.1b5aa0368f3d8p-4, 0x1.14d18ab1cee67p-4, 0x1.0e68437b2ca6fp-4, 0x1.081e61f31937cp-4, 0x1.01f37d49c0642p-4, 0x1.f7ce591dcf8e6p-5, 0x1.ebf20d8284c3ep-5, 0x1.e05145ba7f173p-5, 0x1.d4eb2fd6ab2efp-5, 0x1.c9befa1b93e37p-5, 0x1.becbd31bf79b7p-5, 0x1.b410e9d25b0d9p-5, 0x1.a98d6db9b1adcp-5, 0x1.9f408ee5075f2p-5, 0x1.95297e164734cp-5, 0x1.8b476cd415c28p-5, 0x1.81998d7ec6609p-5, 0x1.781f136473208p-5, 0x1.6ed732d43a429p-5, 0x1.65c12130a4b1ep-5, 0x1.5cdc15013c8f6p-5, 0x1.5427460353cdp-5, 0x1.4ba1ed3a05bfbp-5, 0x1.434b44fd74b7fp-5, 0x1.3b22890948331p-5, 0x1.3326f68a6af0bp-5, 0x1.2b57cc2c1fcc4p-5, 0x1.23b44a24572f2p-5, 0x1.1c3bb23f5e166p-5, 0x1.14ed47eae4ea8p-5, 0x1.0dc850405febp-5, 0x1.06cc120ec729p-5, 0x1.ffefabc76e3eep-6, 0x1.f295cc280d55ap-6, 0x1.e5891d876d297p-6, 0x1.d8c83bdac21bp-6, 0x1.cc51c6d22a0abp-6, 0x1.c02461e560ca1p-6, 0x1.b43eb45f5b13cp-6, 0x1.a89f6968fcd0bp-6, 0x1.9d453012bc38cp-6, 0x1.922ebb5d6d9fbp-6, 0x1.875ac2421626ap-6, 0x1.7cc7ffb8df5cap-6, 0x1.727532bf3bfc1p-6, 0x1.68611e5d2fb3ap-6, 0x1.5e8a89a9ce617p-6, 0x1.54f03fcef646ap-6, 0x1.4b91100c4fc05p-6, 0x1.426bcdb98ce57p-6, 0x1.397f504803c6ap-6, 0x1.30ca73439320fp-6, 0x1.284c1652ead8ep-6, 0x1.20031d3736d4cp-6, 0x1.17ee6fcb25e2p-6, 0x1.100cfa0171fp-6, 0x1.085dabe2c455bp-6, 0x1.00df798b2c50fp-6, 0x1.f322b64dff45p-7, 0x1.e4e499de9ac91p-7, 0x1.d7029e4b9d62fp-7, 0x1.c97acc20de4cbp-7, 0x1.bc4b33e8cdd4p-7, 0x1.af71ee21d37dap-7, 0x1.a2ed1b32eb58bp-7, 0x1.96bae35f8c5d1p-7, 0x1.8ad976bacdf9fp-7, 0x1.7f470d19f2d4fp-7, 0x1.7401e60651b04p-7, 0x1.690848ae94055p-7, 0x1.5e5883d77b978p-7, 0x1.53f0edcc08fdap-7, 0x1.49cfe44d3b6eep-7, 0x1.3ff3cc8138248p-7, 0x1.365b12e2213a8p-7, 0x1.2d042b2c625cep-7, 0x1.23ed904cb3d92p-7, 0x1.1b15c44db24e4p-7, 0x1.127b5045220fp-7, 0x1.0a1cc440e3fcap-7, 0x1.01f8b733a34ebp-7, 0x1.f41b8dc277b8cp-8, 0x1.e4b52f95c1917p-8, 0x1.d5bbaa3627828p-8, 0x1.c72c6122af652p-8, 0x1.b904c4dba0b1ep-8, 0x1.ab4252b92ba2bp-8, 0x1.9de294c214464p-8, 0x1.90e32181e99abp-8, 0x1.84419bdf0f583p-8, 0x1.77fbb2f0b68fp-8, 0x1.6c0f21d49a99cp-8, 0x1.6079af84a15a2p-8, 0x1.55392eac6fea8p-8, 0x1.4a4b7d7ef91f1p-8, 0x1.3fae858bf8522p-8, 0x1.35603b95733abp-8, 0x1.2b5e9f653ffb4p-8, 0x1.21a7bba2ae6p-8, 0x1.1839a5a83435fp-8, 0x1.0f127d5926941p-8, 0x1.06306cf7b9cb7p-8, 0x1.fb2351f6033ecp-9, 0x1.ea68dfca899c9p-9, 0x1.da2e143490527p-9, 0x1.ca6f936c1874ep-9, 0x1.bb2a14c7355f3p-9, 0x1.ac5a62683cb5fp-9, 0x1.9dfd58ec7c64cp-9, 0x1.900fe71b77b82p-9, 0x1.828f0d96b4043p-9, 0x1.7577de8a249c7p-9, 0x1.68c77d5d1de6fp-9, 0x1.5c7b1e6427ed3p-9, 0x1.50900693294f4p-9, 0x1.45038b308b099p-9, 0x1.39d31188ece8dp-9, 0x1.2efc0ea38fd22p-9, 0x1.247c06f7a64b8p-9, 0x1.1a508e2232e07p-9, 0x1.1077469cd5379p-9, 0x1.06ede1753f7b3p-9, 0x1.fb643c0b546a1p-10, 0x1.e983935bdd9a2p-10, 0x1.d8357f1ace1fap-10, 0x1.c775d07bb8195p-10, 0x1.b740731e51119p-10, 0x1.a7916c8745759p-10, 0x1.9864db9b2cfc6p-10, 0x1.89b6f81aabab4p-10, 0x1.7b841220f6372p-10, 0x1.6dc891a381e36p-10, 0x1.6080f5f3d30fdp-10, 0x1.53a9d542ccd51p-10, 0x1.473fdc25e4c44p-10, 0x1.3b3fcd1e496cfp-10, 0x1.2fa680216a6bp-10, 0x1.2470e22380bd7p-10, 0x1.199bf4a3d077cp-10, 0x1.0f24cd3ad557ap-10, 0x1.05089529dbeb5p-10, 0x1.f68911d95da41p-11, 0x1.e3abef99b83fep-11, 0x1.d17486ed5e4fbp-11, 0x1.bfddbf2047d2fp-11, 0x1.aee2a2a2b4dc8p-11, 0x1.9e7e5e3d9d84fp-11, 0x1.8eac404ac656p-11, 0x1.7f67b7eff7ed4p-11, 0x1.70ac545dd7efap-11, 0x1.6275c41213989p-11, 0x1.54bfd41ca8fefp-11, 0x1.47866f68c462dp-11, 0x1.3ac59e08da242p-11, 0x1.2e79848609ffep-11, 0x1.229e63326c186p-11, 0x1.1730957f3520ep-11, 0x1.0c2c91554f02dp-11, 0x1.018ee671adda9p-11, 0x1.eea87b89492e5p-12, 0x1.daf2b1a799dbbp-12, 0x1.c7f6223f4c7a5p-12, 0x1.b5acaf17c02adp-12, 0x1.a4106795706aep-12, 0x1.931b879686e6cp-12, 0x1.82c876552075cp-12, 0x1.7311c54f97ab5p-12, 0x1.63f22f3602abdp-12, 0x1.556496de56eaap-12, 0x1.4764063c99a24p-12, 0x1.39ebad61a672ep-12, 0x1.2cf6e17f03e2cp-12, 0x1.20811befc9ce9p-12, 0x1.1485f947472dep-12, 0x1.0901386464353p-12, 0x1.fbdd731415662p-13, 0x1.e694faf9b069fp-13, 0x1.d221494bb79cdp-13, 0x1.be7adc736f0b5p-13, 0x1.ab9a6eca36983p-13, 0x1.9978f4fa7727ep-13, 0x1.880f9c6b81efbp-13, 0x1.7757c9b4f01a9p-13, 0x1.674b171c73c49p-13, 0x1.57e3531bc8b8bp-13, 0x1.491a7eeea652ep-13, 0x1.3aeacd2a9d68fp-13, 0x1.2d4ea05de01e4p-13, 0x1.204089b7d1b78p-13, 0x1.13bb47b8ab94bp-13, 0x1.07b9c4e8b6519p-13, 0x1.f86e2d311f1a8p-14, 0x1.e25cf74fff12ap-14, 0x1.cd36b6a9db4a9p-14, 0x1.b8f28822e99fbp-14, 0x1.a587d4c345457p-14, 0x1.92ee4f7ed181ap-14, 0x1.811df30caefeep-14, 0x1.700effcc659aep-14, 0x1.5fb9f9b6e12a4p-14, 0x1.5017a65e66426p-14, 0x1.41210afb1ae7ap-14, 0x1.32cf6a825d87p-14, 0x1.251c43cce7191p-14, 0x1.18014fc7b685cp-14, 0x1.0b787fb15618p-14, 0x1.fef7f6c503079p-15, 0x1.e80c3f4477f5ep-15, 0x1.d222f90a99e7ap-15, 0x1.bd31a7aff862bp-15, 0x1.a92e2f27716cdp-15, 0x1.960ed0bbf7dd9p-15, 0x1.83ca28247a7f2p-15, 0x1.725728aab62cdp-15, 0x1.61ad1a66023aep-15, 0x1.51c39789ef871p-15, 0x1.429289c5da7adp-15, 0x1.341227b9f59c1p-15, 0x1.263af27b3c48fp-15, 0x1.1905b3298f543p-15, 0x1.0c6b7898530ecp-15, 0x1.0065950616feap-15, 0x1.e9db37cb0eb8ep-16, 0x1.d3fabf6cd2438p-16, 0x1.bf1ddfdc7789cp-16, 0x1.ab392ddd071b6p-16, 0x1.9841b01774f6bp-16, 0x1.862cdb4519378p-16, 0x1.74f08e7451cefp-16, 0x1.64830f6be0eb8p-16, 0x1.54db07266ce04p-16, 0x1.45ef7e6ad6598p-16, 0x1.37b7da7a11352p-16, 0x1.2a2bd9dbbc35p-16, 0x1.1d43913f4203ep-16, 0x1.10f768749b766p-16, 0x1.05401780bd0eep-16, 0x1.f42d4783d8f62p-17, 0x1.dee8ba5e149b3p-17, 0x1.caa5b757689afp-17, 0x1.b757f8dd12014p-17, 0x1.a4f3beffa0e27p-17, 0x1.936dca93e8124p-17, 0x1.82bb58792cf3bp-17, 0x1.72d21d0738684p-17, 0x1.63a83fa29e491p-17, 0x1.5534566fa34c8p-17, 0x1.476d622c8684bp-17, 0x1.3a4aca2e53534p-17, 0x1.2dc4587c0285dp-17, 0x1.21d23607a5b9cp-17, 0x1.166ce70c708ffp-17, 0x1.0b8d4785cf012p-17, 0x1.012c87c889a8p-17, 0x1.ee885268f7537p-18, 0x1.db9bf608d9179p-18, 0x1.c9882e7821689p-18, 0x1.b841bf4ea2322p-18, 0x1.a7bdf5faca8abp-18, 0x1.97f2a42c25d9dp-18, 0x1.88d61a71e21eep-18, 0x1.7a5f230db3cfcp-18, 0x1.6c84fcee8333dp-18, 0x1.5f3f56d7597d1p-18, 0x1.52864ab2b0356p-18, 0x1.4652590eeeb28p-18, 0x1.3a9c64c669a04p-18, 0x1.2f5daecb177adp-18, 0x1.248fd217d94cep-18, 0x1.1a2cbfcd6e282p-18, 0x1.102ebb6afdb32p-18, 0x1.0690572f02152p-18, 0x1.fa98e128b06fp-19, 0x1.e8bc59f11e1eap-19, 0x1.d781ecaefe10dp-19, 0x1.c6e0f063d73e7p-19, 0x1.b6d1391096e05p-19, 0x1.a74b11ec1368fp-19, 0x1.984737c99d2b3p-19, 0x1.89bed3c405232p-19, 0x1.7bab7617f29cbp-19, 0x1.6e071127d0148p-19, 0x1.60cbf4b84f228p-19, 0x1.53f4c965c9c0fp-19, 0x1.477c8c346763ep-19, 0x1.3b5e8a59a36f9p-19, 0x1.2f965d2dc0e94p-19, 0x1.241fe64801b87p-19, 0x1.18f74bbe2df6fp-19, 0x1.0e18f4950d34bp-19, 0x1.0381854ec3abbp-19, 0x1.f25bb93cd301fp-20, 0x1.de36207fa008p-20, 0x1.ca8cd3e4d2e53p-20, 0x1.b75ac9247fd3p-20, 0x1.a49b52ab00b88p-20, 0x1.924a1a3f958bep-20, 0x1.80631bff8be34p-20, 0x1.6ee2a1791b167p-20, 0x1.5dc53d108f959p-20, 0x1.4d07c58e3a7e3p-20, 0x1.3ca751dfa3bdep-20, 0x1.2ca1350fd9a9p-20, 0x1.1cf2fa73ee512p-20, 0x1.0d9a61f8214d6p-20, 0x1.fd2ab940b569ap-21, 0x1.dfc4126f87ebcp-21, 0x1.c2fd622e4f296p-21, 0x1.a6d38a5b43971p-21, 0x1.8b43b63211bb8p-21, 0x1.704b54dd444e6p-21, 0x1.55e81434bfdb7p-21, 0x1.3c17dbe9821e3p-21, 0x1.22d8c8cac0009p-21, 0x1.0a29285986b62p-21, 0x1.e40ee93b854a2p-22, 0x1.b4e4a03e7fb1p-22, 0x1.86d1045d90005p-22, 0x1.59d1e6aebfa11p-22, 0x1.2de55413590c1p-22, 0x1.03098ecd06c97p-22, 0x1.b27a114472f6ap-23, 0x1.60fcba54b32adp-23, 0x1.1198994078e0ep-23, 0x1.8896db9fb857cp-24, 0x1.e44cb72e46aaep-25, 0x1.7f6fe13449347p-26, -0x1.725dee4f479eep-27, -0x1.70a7f64c75bf1p-25, -0x1.3e3fc74e0a4c3p-24, -0x1.c01209d9bcbc9p-24, -0x1.1ee6cb98c51a5p-23, -0x1.5bba9db3db9ffp-23, -0x1.9685e27fa6706p-23, -0x1.cf4a07433d3c8p-23, -0x1.030441de09d37p-22, -0x1.1d616f26e699dp-22, -0x1.36bd57d58a785p-22, -0x1.4f18d327902edp-22, -0x1.6674c4c4e6b49p-22, -0x1.7cd21e1eced9p-22, -0x1.9231dfbae65fep-22, -0x1.a6951a52450ebp-22, -0x1.b9fcefc883ccfp-22, -0x1.cc6a940a205e5p-22, -0x1.dddf4dd170068p-22, -0x1.ee5c7740817acp-22, -0x1.fde37e8336adfp-22, -0x1.063af3143c04dp-21, -0x1.0d0aa2c7946a4p-21, -0x1.1361a488ad02bp-21, -0x1.1940d92572308p-21, -0x1.1ea92c1a09596p-21, -0x1.239b938f96d7bp-21, -0x1.28191062128d5p-21, -0x1.2c22ae0d1d83bp-21, -0x1.2fb9829a5d01fp-21, -0x1.32deae89acaa9p-21, -0x1.35935cb23a5d8p-21, -0x1.37d8c2182c24ap-21, -0x1.39b01dc5445c9p-21, -0x1.3b1ab894ea24ep-21, -0x1.3c19e500be787p-21, -0x1.3caefee6333f3p-21, -0x1.3cdb6b4b45036p-21, -0x1.3ca0981e4d1eep-21, -0x1.3bfffbeb2df0ep-21, -0x1.3afb1597c8456p-21, -0x1.39936c16097dep-21, -0x1.37ca8e23ad23ep-21, -0x1.35a211ec8726fp-21, -0x1.331b94ca68b6cp-21, -0x1.3038bae641bep-21, -0x1.2cfb2ee9fb9eap-21, -0x1.2964a1af41de8p-21, -0x1.2576c9e8580d3p-21, -0x1.213363cb99096p-21, -0x1.1c9c30b9ea8b2p-21, -0x1.17b2f6ec8d3eap-21, -0x1.1279811e6b7d4p-21, -0x1.0cf19e334e4d3p-21, -0x1.071d20e66e7c6p-21, -0x1.00fddf72163b2p-21, -0x1.f52b6676737e3p-22, -0x1.e7ccf0f39cad4p-22, -0x1.d9e41bcf6e92p-22, -0x1.cb74a8d114859p-22, -0x1.bc825d7efe9eep-22, -0x1.ad11026e0a28fp-22, -0x1.9d2462ae83337p-22, -0x1.8cc04b21e3fd4p-22, -0x1.7be889e0b4c0bp-22, -0x1.6aa0eda4c1127p-22, -0x1.58ed4539e8d0ap-22, -0x1.46d15eda42dbdp-22, -0x1.345107a7d859p-22, -0x1.21700b19d4606p-22, -0x1.0e3232748d49bp-22, -0x1.f5368887fccaep-23, -0x1.cd5e07a8839fbp-23, -0x1.a4e261743c645p-23, -0x1.7bcb0c89cdb9ep-23, -0x1.521f7628abc45p-23, -0x1.27e7013179432p-23, -0x1.fa520a7728a3ap-24, -0x1.a3d99b8c43357p-24, -0x1.4c73329de99fbp-24, -0x1.e85a62442f429p-25, -0x1.362bb6c52df0cp-25, -0x1.04ed5bcac0234p-26, 0x1.95456aed4a224p-28, 0x1.d22d26ea966e2p-26, 0x1.a0b7824f81e86p-25, 0x1.2cb8204ec02c5p-24, 0x1.8992effd02992p-24, 0x1.e6dedfae6282fp-24, 0x1.2247636cc3794p-23, 0x1.514ad2e57ee42p-23, 0x1.8073536116adcp-23, 0x1.afba8f8633262p-23, 0x1.df1a47e582571p-23, 0x1.074629bd9e8eep-22, 0x1.1f05500ebfcb8p-22, 0x1.36c7996486addp-22, 0x1.4e8a140f092d5p-22, 0x1.6649da5577be5p-22, 0x1.7e04129ed081p-22, 0x1.95b5ef9c7c32ap-22, 0x1.ad5cb06834a7ap-22, 0x1.c4f5a0a8fb0d8p-22, 0x1.dc7e18af475c8p-22, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      37, 0x1.4e147ae147ae1p+2, 0x1.37f649b81af5cp-4, 0x1.803fb53a2328ep-3, -0x1.bb641d004983p-1, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.0ae014700cc84p-4, -0x1.227c081eeaa35p-4, 0x1.61fc24b3a2dp-9, 0x1.9f274e1ea0187p-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.f8c53cb417ddep-5, -0x1.20fd34f90be62p-4, 0x1.2d89dcfc9b09ap-8, 0x1.9f27531f9cf2ap-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.dbfa8f8cc3b6dp-5, -0x1.1eb71bc0f5435p-4, 0x1.aa15a91fb0853p-8, 0x1.9f273f1bc5dd7p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.bf740ed24166ep-5, -0x1.1ba9bc7a4103ap-4, 0x1.1350b7a0cf89fp-7, 0x1.9f278a29fd2c6p-7}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.a345a7ecb538bp-5, -0x1.17d51717b9766p-4, 0x1.5196a5f3e8b78p-7, 0x1.9f2671f50dd8ep-7}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.8783484443783p-5, -0x1.13392bca9b19cp-4, 0x1.8fdc6a3f11315p-7, 0x1.9f2a87ba9625cp-7}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6c40dd4110703p-5, -0x1.0dd5f9db299ffp-4, 0x1.ce22cb67daea8p-7, 0x1.9f1b48d94b51ap-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5192544b406c5p-5, -0x1.07ab83f719c72p-4, 0x1.06337191064e8p-6, 0x1.9f542e991d9aap-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.378b9acaf7b7fp-5, -0x1.00b9c01f54df6p-4, 0x1.2559c1dc82204p-6, 0x1.9e7fd67af3224p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.1e409e285a9ep-5, -0x1.f201a74501d29p-5, 0x1.44702525bac31p-6, 0x1.a1985133e4e48p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.05c54bcb8d6a4p-5, -0x1.e100668a392cfp-5, 0x1.63c1f8099f20fp-6, 0x1.8a7d2ba86f1d1p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dc5af2e730656p-6, -0x1.ce7958efaa9c4p-5, 0x1.8158281ca7768p-6, 0x1.592e65d862ae8p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.af17c1e4612b4p-6, -0x1.ba8f40a8de366p-5, 0x1.9b3ba2f34876bp-6, 0x1.2bcc72dfa66fp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.83e237cf06e65p-6, -0x1.a56f9141b97a4p-5, 0x1.b1b7c52a74f21p-6, 0x1.faba841155e06p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.5ad7183231749p-6, -0x1.8f465d31d34f6p-5, 0x1.c4b85d5181c4p-6, 0x1.9e6c6ba6550a3p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.340eb6e3a6cf2p-6, -0x1.7840158c3bf0ep-5, 0x1.d442d48e24f49p-6, 0x1.41f7a9ec388e4p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.0f9cf803e30dep-6, -0x1.6089120a6ceb9p-5, 0x1.e055b7ba33e05p-6, 0x1.cb1a88576075dp-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.db229ffc30c58p-7, -0x1.484db130c11f3p-5, 0x1.e8f16a48a415ap-6, 0x1.12402fa702bb2p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.9bed87105e399p-7, -0x1.2fba4fb1a4e06p-5, 0x1.ee15d193c5bc7p-6, 0x1.659d4f07006c1p-11}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.61a7cf458b4f1p-7, -0x1.16fb4abc5d57p-5, 0x1.efc2f4bf67bcdp-6, -0x1.7dc7b885cbf76p-11}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.2c55c3326114bp-7, -0x1.fc79febd75c55p-6, 0x1.edf8d1e1fa61bp-6, -0x1.184b14d74a67bp-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f7e59c05e9aaep-8, -0x1.cb57955f10675p-6, 0x1.e8b7697df0fcap-6, -0x1.d124424582029p-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.a0e2f6f190224p-8, -0x1.9ae8138637113p-6, 0x1.dffebb7309bfbp-6, -0x1.44feb7ff50825p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.5376efd591045p-8, -0x1.6b84335d451fbp-6, 0x1.d3cec7bfdd215p-6, -0x1.a16b4aea37335p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.0f63208aa036ap-8, -0x1.3d84af0cc3468p-6, 0x1.c4278e8a47dc4p-6, -0x1.fdd7ed761fa56p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.a8aec828941f8p-9, -0x1.114240c2d610fp-6, 0x1.b1090f3c4045cp-6, -0x1.2d222ab7e19ebp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.43e3ad41e6b61p-9, -0x1.ce2b45320a923p-7, 0x1.9a734c080f5ap-6, -0x1.5b58cc08ca8a5p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.defb562765414p-10, -0x1.7eaf1deb600f8p-7, 0x1.80663cba99c2dp-6, -0x1.898dd55245423p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.54e3fd4c46733p-10, -0x1.34c17e40e9825p-7, 0x1.62e1ffee07c48p-6, -0x1.b7c8d16592f86p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ce499d5c52ef8p-11, -0x1.e227c23c74ad8p-8, 0x1.41e6236ccff1fp-6, -0x1.e5ed9a58f489ep-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.26349b685113p-11, -0x1.68af44761aebbp-8, 0x1.1d745172f0cd7p-6, -0x1.0a329e811b06p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.576809c2feb41p-12, -0x1.fcfa4708a4e75p-9, 0x1.eb0ca68bf3194p-7, -0x1.20d3d5f9efd07p-6}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.6193cd0e653ffp-13, -0x1.49e33517fb04p-9, 0x1.9466b3275e5b6p-7, -0x1.39b60806f7c16p-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.2ab44b08f0fp-14, -0x1.75e6423a43292p-10, 0x1.3649b0bee0d4cp-7, -0x1.4a2ee99f23eep-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.613e6c6a0c2p-16, -0x1.4a95125f12bd4p-11, 0x1.a6773bb7df4eap-8, -0x1.7a0c127662ec7p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.7266ca3654p-19, -0x1.4d5d35b608437p-13, 0x1.8746614814adap-9, -0x1.27b793e1a7177p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4e147ae147ae1p+2, 0x1.3e31a3339d83p-26, 0x1.19320962406ep-18, 0x1.2350b1ca61644p-12, -0x1.057b5e073a49ap-3}, 
      }}, 
      0x1.00533e5813c1dp+3, -0x1.280a458bff98bp+7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{0x1.5ff10cbe5fda6p-3, 0x1.8c6cd24ee5dc5p-3, 0x1.cd1d0723edefap-3, 0x1.0c51dadeccb33p-2, 0x1.332ca8a0403d2p-2, 0x1.5790e8aa9a982p-2, 0x1.76d7277ec3e24p-2, 0x1.8f36866179e24p-2, 0x1.9fa91cbd14e1dp-2, 0x1.a7c93509c3b35p-2, 0x1.a7ae1236a5a84p-2, 0x1.9fcba3400b0dap-2, 0x1.90d68d05fb85cp-2, 0x1.7bac82441a1bcp-2, 0x1.6141b8ca0b8dfp-2, 0x1.4291c3b47cc8cp-2, 0x1.20948cf2d91dap-2, 0x1.f86c20b7267e4p-3, 0x1.aca19ef3cd683p-3, 0x1.5f5416a4bc9c1p-3, 0x1.11e0158a1800ep-3, 0x1.8ae538e8b15cfp-4, 0x1.ec27deca7f7dbp-5, 0x1.9bbe58395abacp-6, -0x1.09c08de291669p-7, -0x1.42beaece97949p-5, -0x1.18c6ca029b1e4p-4, -0x1.86eb771da3511p-4, -0x1.eb7eade6bbb87p-4, -0x1.232f6129e1078p-3, -0x1.4bc7ff5e7d6a4p-3, -0x1.6f9b1e746d87p-3, -0x1.8ec79bac1a8e1p-3, -0x1.a976a5f793a12p-3, -0x1.bfd980058b5ddp-3, -0x1.d2277c773727dp-3, -0x1.e09c406354d4p-3, -0x1.eb763d113995ap-3, -0x1.f2f5731476017p-3, -0x1.f75a5240b8a79p-3, -0x1.f8e4dab5a255bp-3, -0x1.f7d3e18bb0022p-3, -0x1.f4647c8dafc96p-3, -0x1.eed18e8965cb5p-3, -0x1.e753700d2b19ap-3, -0x1.de1fb2833b3d6p-3, -0x1.d368f69cadd69p-3, -0x1.c75ecfd87cf22p-3, -0x1.ba2dc3e5b02f4p-3, -0x1.abff42f4e01d2p-3, -0x1.9cf9ba0ef1c2dp-3, -0x1.8d40a4117a6a4p-3, -0x1.7cf4a23c61b34p-3, -0x1.6c339a7c852b8p-3, -0x1.5b18d74deac2cp-3, -0x1.49bd2aa1884f6p-3, -0x1.38371172daebep-3, -0x1.269ad91a4fac4p-3, -0x1.14fac0d353afbp-3, -0x1.0367206c252f9p-3, -0x1.e3dd16c618c71p-4, -0x1.c13bdb9050967p-4, -0x1.9f0167538fcbfp-4, -0x1.7d41c3051c3ffp-4, -0x1.5c0e6e416ff06p-4, -0x1.3b768d2bcb2eep-4, -0x1.1b871d13b1aeep-4, -0x1.f89662b1d04e5p-5, -0x1.bb9820a16b488p-5, -0x1.8022cf2d6f14cp-5, -0x1.4642dd6e154bdp-5, -0x1.0e02182b55a21p-5, -0x1.aecfed52bcb23p-6, -0x1.44f381ca5846ap-6, -0x1.bceb76a015dd7p-7, -0x1.ed67f37dfe902p-8, -0x1.ba097d9d8eadcp-10, 0x1.02e35c2b4e63ep-8, 0x1.336e399120975p-7, 0x1.dec245799c4ddp-7, 0x1.41bfaabe78e3cp-6, 0x1.90dd26b18bed2p-6, 0x1.dcc56feebc0b1p-6, 0x1.12c2c458d4b13p-5, 0x1.3595cd7fa1b0dp-5, 0x1.56e3510d115bcp-5, 0x1.76b3343f43dadp-5, 0x1.950da1c1a2b5fp-5, 0x1.b1fb0f776fb44p-5, 0x1.cd841e2ee3988p-5, 0x1.e7b1994888354p-5, 0x1.004631a395f81p-4, 0x1.0c0ebaad761acp-4, 0x1.1736e7188e4e5p-4, 0x1.21c336e744792p-4, 0x1.2bb826187adcep-4, 0x1.351a2ce9f332p-4, 0x1.3dedb70374a8fp-4, 0x1.4637264523c91p-4, 0x1.4dfacf0f13aabp-4, 0x1.553cf481ece45p-4, 0x1.5c01c9ee61c6p-4, 0x1.624d6f8b927f2p-4, 0x1.6823ef81e311bp-4, 0x1.6d8941b3860dfp-4, 0x1.72814669ab604p-4, 0x1.770fc55f5641ep-4, 0x1.7b387528c7aaap-4, 0x1.7efeec6dcc221p-4, 0x1.8266af035e9fp-4, 0x1.857326c1f40b5p-4, 0x1.8827a50bd3ceap-4, 0x1.8a87622f60283p-4, 0x1.8c957eafec227p-4, 0x1.8e550248cfe2fp-4, 0x1.8fc8dc199f7a1p-4, 0x1.90f3e32d787ebp-4, 0x1.91d8d6db0c8adp-4, 0x1.927a5eae6a34dp-4, 0x1.92db0b7107de9p-4, 0x1.92fd56f9fd71dp-4, 0x1.92e3a3b99892ep-4, 0x1.9290400e60f6p-4, 0x1.9205636193ff3p-4, 0x1.9145303502261p-4, 0x1.9051b5d69d39ap-4, 0x1.8f2cee8c0f1c7p-4, 0x1.8dd8c16ec22eap-4, 0x1.8c57033d4a536p-4, 0x1.8aa975c636108p-4, 0x1.88d1ca07c2b32p-4, 0x1.86d19f161bd27p-4, 0x1.84aa841f07f46p-4, 0x1.825df846cfb22p-4, 0x1.7fed6b37277c1p-4, 0x1.7d5a3db67b433p-4, 0x1.7aa5c28a09dd7p-4, 0x1.77d13e7db4063p-4, 0x1.74ddea078da26p-4, 0x1.71ccf052af4bep-4, 0x1.6e9f70f1fed9p-4, 0x1.6b567fed824f5p-4, 0x1.67f325fd60b76p-4, 0x1.64766251dcc6cp-4, 0x1.60e1295ec2814p-4, 0x1.5d3466814efa5p-4, 0x1.5970fbf4ddaa9p-4, 0x1.5597c3a8f43a2p-4, 0x1.51a98f74a866bp-4, 0x1.4da729c51389dp-4, 0x1.4991552a6a599p-4, 0x1.4568cf0522dfep-4, 0x1.412e4b6e69c4cp-4, 0x1.3ce27c7dea9bp-4, 0x1.38860b0a7d3dbp-4, 0x1.34199c8723448p-4, 0x1.2f9dd132e771bp-4, 0x1.2b1344d9e247p-4, 0x1.267a8e6eb8dp-4, 0x1.21d4414d5c456p-4, 0x1.1d20ed0cee659p-4, 0x1.18611de9929bap-4, 0x1.13955cc6b7772p-4, 0x1.0ebe2ff04411p-4, 0x1.09dc1a8353c6p-4, 0x1.04ef9d70eedbdp-4, 0x1.fff26e5d538a7p-5, 0x1.f5f2c8cf3d488p-5, 0x1.ebe13f5753715p-5, 0x1.e1bec37cc22adp-5, 0x1.d78c43c04f429p-5, 0x1.cd4aabe01f3dep-5, 0x1.c2fae5299d203p-5, 0x1.b89dd5ac818p-5, 0x1.ae34624725da2p-5, 0x1.a3bf6d2341ea4p-5, 0x1.993fd781a439ep-5, 0x1.8eb680a3e2d3fp-5, 0x1.842446222f34dp-5, 0x1.798a04b14023p-5, 0x1.6ee89734e6cb2p-5, 0x1.6440d7f4e4d92p-5, 0x1.5993a0d838104p-5, 0x1.4ee1c9976cb59p-5, 0x1.442c29b9ce625p-5, 0x1.397397c01fd9cp-5, 0x1.2eb8e99c83a42p-5, 0x1.23fcf439c9d8ap-5, 0x1.19408bd35a264p-5, 0x1.0e84840df3d44p-5, 0x1.03c9af8087b92p-5, 0x1.f221beeb4c61cp-6, 0x1.dcb5cb70e1a06p-6, 0x1.c751239286f34p-6, 0x1.b1f566cc95dfap-6, 0x1.9ca4312075399p-6, 0x1.875f1afe03a51p-6, 0x1.7227c1632a18ep-6, 0x1.5cffb27036b0bp-6, 0x1.47e887fe27007p-6, 0x1.32e3cfb170809p-6, 0x1.1df3175e1457ep-6, 0x1.0917e974c99f8p-6, 0x1.e8a79c68166b7p-7, 0x1.bf5091105fc3bp-7, 0x1.962db2d694cecp-7, 0x1.6d41f9d29d0cp-7, 0x1.44905918e4541p-7, 0x1.1c1bb7b8c7a2ep-7, 0x1.e7cdeca885019p-8, 0x1.97e9d9459d5a2p-8, 0x1.4890c6ac71a9bp-8, 0x1.f390900c50005p-9, 0x1.572b9214a30e5p-9, 0x1.77fa916d064e1p-10, 0x1.1081cb280c79fp-12, -0x1.da44833ba657bp-11, -0x1.0ddcc007c4b6ep-9, -0x1.a3c89ad7d08e4p-9, -0x1.1c256d6afeef9p-8, -0x1.65acffb911964p-8, -0x1.ae764e07a91edp-8, -0x1.f67cb6714c81ap-8, -0x1.1eddf07daaaa4p-7, -0x1.4217b500302dbp-7, -0x1.64e97bfc846f1p-7, -0x1.87513fa513493p-7, -0x1.a94d0054f5838p-7, -0x1.cadacabfe9c0ep-7, -0x1.ebf8ba58b3912p-7, -0x1.06527fc9fa046p-6, -0x1.166eebe908c6fp-6, -0x1.2650c7ced4398p-6, -0x1.35f744d9fdb5dp-6, -0x1.456199f55454ep-6, -0x1.548f0632e177cp-6, -0x1.637ed300da23ep-6, -0x1.723051a37c221p-6, -0x1.80a2dc5ad1c5ap-6, -0x1.8ed5d33a1ea2ap-6, -0x1.9cc8a46a44609p-6, -0x1.aa7ac0a053a54p-6, -0x1.b7eba53cc7ad8p-6, -0x1.c51ad892d8e67p-6, -0x1.d207e663f0414p-6, -0x1.deb2664531bc2p-6, -0x1.eb19f81240c35p-6, -0x1.f73e3f1112254p-6, -0x1.018f79c66b1c8p-5, -0x1.075de40f4f4bbp-5, -0x1.0d0a406cd7db2p-5, -0x1.129473f6031a7p-5, -0x1.17fc68039c32cp-5, -0x1.1d4209ee8a135p-5, -0x1.22654b8e99613p-5, -0x1.27662297145bap-5, -0x1.2c4488f7c5bfbp-5, -0x1.31007d24596f2p-5, -0x1.359a00c2d979p-5, -0x1.3a1119a4235a2p-5, -0x1.3e65d1f54a706p-5, -0x1.4298376118b35p-5, -0x1.46a85b5603332p-5, -0x1.4a96533d881e7p-5, -0x1.4e62381e6bfb3p-5, -0x1.520c266ec23ccp-5, -0x1.55943e41a7cf5p-5, -0x1.58faa3675124fp-5, -0x1.5c3f7cfdacaa2p-5, -0x1.5f62f51ddd051p-5, -0x1.626539b0c4a93p-5, -0x1.65467b99d2153p-5, -0x1.6806eedb74d4dp-5, -0x1.6aa6ca8bf8c12p-5, -0x1.6d2648bc5893bp-5, -0x1.6f85a670f62fp-5, -0x1.71c5236549416p-5, -0x1.73e502189c81ep-5, -0x1.75e588158c3f7p-5, -0x1.77c6fd108d5c4p-5, -0x1.7989a9bd0a8ddp-5, -0x1.7b2ddd7deb51cp-5, -0x1.7cb3e68e1a6f7p-5, -0x1.7e1c1504242e9p-5, -0x1.7f66bcf3bde89p-5, -0x1.809434417b2dap-5, -0x1.81a4d2448bf8cp-5, -0x1.8298f088393f6p-5, -0x1.8370ea523ee72p-5, -0x1.842d1c8f7d6c5p-5, -0x1.84cde60807f7p-5, -0x1.8553a71bf695cp-5, -0x1.85bec19589917p-5, -0x1.860f98832d2bap-5, -0x1.864690ba7723fp-5, -0x1.86640fc6d1186p-5, -0x1.86687dc555219p-5, -0x1.86543e8a0fd11p-5, -0x1.8627c3d0c9d87p-5, -0x1.85e36e7986c7p-5, -0x1.8587ae76824f3p-5, -0x1.8514ee004dc5bp-5, -0x1.848b9a451170fp-5, -0x1.83ec1fee620acp-5, -0x1.8336ecbc7a27p-5, -0x1.826c6e40cd594p-5, -0x1.818d13f8e7cbcp-5, -0x1.80994c0f7008ep-5, -0x1.7f918685fb812p-5, -0x1.7e7631c9d3e38p-5, -0x1.7d47be0c3782fp-5, -0x1.7c069ae1404b3p-5, -0x1.7ab337eef64f1p-5, -0x1.794e04e3c4eefp-5, -0x1.77d7714b75c8ep-5, -0x1.764fec899dff3p-5, -0x1.74b7e5e06bd86p-5, -0x1.730fcc368b7fcp-5, -0x1.71580e269e513p-5, -0x1.6f9119b22dc9ap-5, -0x1.6dbb5d0b8dd97p-5, -0x1.6bd74541245f8p-5, -0x1.69e53f27ef6bap-5, -0x1.67e5b6f7b389ep-5, -0x1.65d91844200f9p-5, -0x1.63bfcdfad0949p-5, -0x1.619a4248f4cf6p-5, -0x1.5f68deaa6e833p-5, -0x1.5d2c0bc603f82p-5, -0x1.5ae4316cd0142p-5, -0x1.5891b691f862ap-5, -0x1.5635013fbf92p-5, -0x1.53ce768ff6a9fp-5, -0x1.515e7aa4ebdd2p-5, -0x1.4ee5709fee1c5p-5, -0x1.4c63ba93fa508p-5, -0x1.49d9b97d05b8bp-5, -0x1.4747cd50fab3bp-5, -0x1.44ae54da5da37p-5, -0x1.420dadb84a765p-5, -0x1.3f663466d5243p-5, -0x1.3cb84430bafcep-5, -0x1.3a043727f929bp-5, -0x1.374a663002869p-5, -0x1.348b28d27704ap-5, -0x1.31c6d56591373p-5, -0x1.2efdc0efe84a5p-5, -0x1.2c303f2234c06p-5, -0x1.295ea26844ca5p-5, -0x1.26893bd690de9p-5, -0x1.23b05b229aa3ap-5, -0x1.20d44ed392cc3p-5, -0x1.1df5642ee3affp-5, -0x1.1b13e6246a71ep-5, -0x1.18301f258a7e1p-5, -0x1.154a58c13034p-5, -0x1.1262da1711786p-5, -0x1.0f79e8b1c2dcap-5, -0x1.0c8fca6be0ce1p-5, -0x1.09a4c1d18911cp-5, -0x1.06b9114265bdfp-5, -0x1.03ccf8b5233a4p-5, -0x1.00e0b7b365d0dp-5, -0x1.fbe9188a7e6a5p-6, -0x1.f611622da9dd4p-6, -0x1.f03accef74cf1p-6, -0x1.ea65b99257ed9p-6, -0x1.e492a7161bd7ep-6, -0x1.dec1feac9cb7bp-6, -0x1.d8f42b21541bp-6, -0x1.d329947640567p-6, -0x1.cd62a030eb406p-6, -0x1.c79fb0e7cbd4cp-6, -0x1.c1e12683437d7p-6, -0x1.bc275e5631095p-6, -0x1.b672b4a6ad6cap-6, -0x1.b0c37aef5840ep-6, -0x1.ab1a128ccc117p-6, -0x1.a576c106fb4dcp-6, -0x1.9fd9df277c872p-6, -0x1.9a43b87c2ab87p-6, -0x1.94b498397750fp-6, -0x1.8f2cc72a5c543p-6, -0x1.89ac8b7a9ddabp-6, -0x1.843428c9c7d8dp-6, -0x1.7ec3e03144155p-6, -0x1.795bf084a4013p-6, -0x1.73fc95c7a93ccp-6, -0x1.6ea60a65ca7d1p-6, -0x1.6958862a3a552p-6, -0x1.64143ee71f54bp-6, -0x1.5ed968d0ada48p-6, -0x1.59a83596a69cp-6, -0x1.5480d42c5edd7p-6, -0x1.4f63725f3f271p-6, -0x1.4a503b7f8de9p-6, -0x1.4547584960bdap-6, -0x1.4048ee2d4e4ffp-6, -0x1.3b5521d3901b4p-6, -0x1.366c1581fe4aap-6, -0x1.318de9bffcd2ep-6, -0x1.2cbabd9500d22p-6, -0x1.27f2ae8e8b148p-6, -0x1.2335d8a10c72fp-6, -0x1.1e8456375cc52p-6, -0x1.19de40fc0b8abp-6, -0x1.1543abe73b973p-6, -0x1.10b4ac83e0bbep-6, -0x1.0c3154802b615p-6, -0x1.07b9b2533c36bp-6, -0x1.034dd3b2ec231p-6, -0x1.fddb89e82ea6bp-7, -0x1.f53328b18509dp-7, -0x1.eca29abd715e5p-7, -0x1.e429f8b53ccf7p-7, -0x1.dbc95fd4eaa4dp-7, -0x1.d380e7e101c2fp-7, -0x1.cb50a25a23a7dp-7, -0x1.c3389c41ac683p-7, -0x1.bb38dbb716f7p-7, -0x1.b351588694453p-7, -0x1.ab82041023ce6p-7, -0x1.a3cac811fe189p-7, -0x1.9c2b8a365822bp-7, -0x1.94a432d14941cp-7, -0x1.8d34afbbba105p-7, -0x1.85dcf96884111p-7, -0x1.7e9cffe6485fep-7, -0x1.7774fd7d65038p-7, -0x1.7064d745af9fbp-7, -0x1.696cb565725c6p-7, -0x1.628ca3676a8f4p-7, -0x1.5bc4a3642ad2bp-7, -0x1.5514a4af40b33p-7, -0x1.4e7c821da9f69p-7, -0x1.47fc022709276p-7, -0x1.4192db6b5eb02p-7, -0x1.3b40bbe46d463p-7, -0x1.3505521f05c5cp-7, -0x1.2ee0568a8945cp-7, -0x1.28d193160af62p-7, -0x1.22d8e76fc6fafp-7, -0x1.1cf649761093ap-7, -0x1.1729c26c1fc83p-7, -0x1.11736e0f0951ap-7, -0x1.0bd35510fa4e7p-7, -0x1.0649882d7f892p-7, -0x1.00d60a07511cap-7, -0x1.f6f1775ae9e8dp-8, -0x1.ec62cc9d4468cp-8, -0x1.e1ff7ee9a827ep-8, -0x1.d7c6e011482a7p-8, -0x1.cdb809c449c46p-8, -0x1.c3d2728f13dbap-8, -0x1.ba153dc344651p-8, -0x1.b07ff7024cffap-8, -0x1.a7123a53b7486p-8, -0x1.9dcbd2bb563fdp-8, -0x1.94ac98b660328p-8, -0x1.8bb4763c4aacap-8, -0x1.82e35d1767831p-8, -0x1.7a391e9cb483fp-8, -0x1.71b576677060fp-8, -0x1.695801be92433p-8, -0x1.6120421494fdp-8, -0x1.590da3932e19dp-8, -0x1.511f893e6f12bp-8, -0x1.49555929e9597p-8, -0x1.41ae88989493ap-8, -0x1.3a2aa4459b4d1p-8, -0x1.32c95647103b7p-8, -0x1.2b8a5d2df10c5p-8, -0x1.246d89721094ap-8, -0x1.1d72af2f79184p-8, -0x1.16999b0b1527ap-8, -0x1.0fe208c709c2p-8, -0x1.094b9d8582767p-8, -0x1.02d5e60b00aa1p-8, -0x1.f900b1bf2fdffp-9, -0x1.ec94b6e3661e8p-9, -0x1.e066947e1b647p-9, -0x1.d475051e91058p-9, -0x1.c8bedac46b5aap-9, -0x1.bd43069f09941p-9, -0x1.b200af8e7880dp-9, -0x1.a6f6fe9f497edp-9, -0x1.9c2575b0f0148p-9, -0x1.918b053350942p-9, -0x1.872701907c84cp-9, -0x1.7cf904eb85ba7p-9, -0x1.73004fb5fbf38p-9, -0x1.693c6b94418d8p-9, -0x1.5facf4411997ep-9, -0x1.56517f815f992p-9, -0x1.4d29a21fa5412p-9, -0x1.44346d780a2d6p-9, -0x1.3b7125f733c19p-9, -0x1.32deda0b0cfa3p-9, -0x1.2a7cff8e810c6p-9, -0x1.224b1edc7b7bdp-9, -0x1.1a49185977e2dp-9, -0x1.1276ca2e6f1b4p-9, -0x1.0ad3bc490cbe4p-9, -0x1.035ed2c784031p-9, -0x1.f82c75124be7dp-10, -0x1.e9ef290e2956dp-10, -0x1.dc00df4e8291fp-10, -0x1.ce5d9745b3bd4p-10, -0x1.c10306334b2d5p-10, -0x1.b3f0ad642bcbp-10, -0x1.a72703b8d0a89p-10, -0x1.9aa73dea0413ep-10, -0x1.8e71a0b7514fp-10, -0x1.8285a48cc9d55p-10, -0x1.76e22f6db17eap-10, -0x1.6b86345bceea4p-10, -0x1.607151c3a88a8p-10, -0x1.55a41b4d236d9p-10, -0x1.4b1fe26f2b16fp-10, -0x1.40e65ef012b2bp-10, -0x1.36f7b358d6207p-10, -0x1.2d52e73394e6cp-10, -0x1.23f5a2b545b9ep-10, -0x1.1adaa321518cdp-10, -0x1.11fcfba976c4p-10, -0x1.0955fe53e5b22p-10, -0x1.00e2759f1e746p-10, -0x1.f13fd2148d4c2p-11, -0x1.e11b64752f6f1p-11, -0x1.d15793284f46p-11, -0x1.c1f445f646a63p-11, -0x1.b2f10800ea203p-11, -0x1.a44d97864745fp-11, -0x1.960a66738fce7p-11, -0x1.8828aec9cf18ap-11, -0x1.7aaa1262e6ac7p-11, -0x1.6d8fe83558bdcp-11, -0x1.60daafdad62b3p-11, -0x1.5489e8e48e8dbp-11, -0x1.489c6d7a29ce8p-11, -0x1.3d10ca2148a9bp-11, -0x1.31e4f7599d08fp-11, -0x1.2715adb7fef1p-11, -0x1.1c9d2e5ae952ep-11, -0x1.1276f7f5a4ebfp-11, -0x1.089be284e346cp-11, -0x1.fe1137500a084p-12, -0x1.eb76f505a26bcp-12, -0x1.d96768b05cab5p-12, -0x1.c7df7ec443defp-12, -0x1.b6d943f2a1166p-12, -0x1.a64d2411baep-12, -0x1.96347333500f5p-12, -0x1.868da5865ecb5p-12, -0x1.775ced615d1efp-12, -0x1.68a9bbc100d25p-12, -0x1.5a791eaeaa4a2p-12, -0x1.4cc9ad3f5df6ep-12, -0x1.3f951812da5f5p-12, -0x1.32d2e22972573p-12, -0x1.267dfedd6c0bfp-12, -0x1.1a964f77d89dap-12, -0x1.0f1d951938baap-12, -0x1.04159f6994bd9p-12, -0x1.f2f7e4ca832a8p-13, -0x1.de927874548bep-13, -0x1.cae913ae1df4dp-13, -0x1.b7e53344d3203p-13, -0x1.a57b131433579p-13, -0x1.93af9a6f65445p-13, -0x1.828b52a7592dbp-13, -0x1.721729c9f6ab1p-13, -0x1.624d53006344bp-13, -0x1.53257fa17a8f5p-13, -0x1.448ccbdabf8ep-13, -0x1.368587077e958p-13, -0x1.2909aa843ec4dp-13, -0x1.1c1429213ccadp-13, -0x1.0f9ee952850a2p-13, -0x1.03a74a776e167p-13, -0x1.f057cef2d979ep-14, -0x1.da563d1f0c964p-14, -0x1.c534f3bf17379p-14, -0x1.b0ef1a26519cfp-14, -0x1.9d9ee1621e44p-14, -0x1.8b5119ceafde9p-14, -0x1.7a08c2cd6ec3bp-14, -0x1.69b3c3cefed66p-14, -0x1.5a3019b8d20e1p-14, -0x1.4b528bbd211f2p-14, -0x1.3cfa77e75ce6p-14, -0x1.2f2c1f73d1e82p-14, -0x1.2208886bb81edp-14, -0x1.15a0e61531177p-14, -0x1.09e469c4fa106p-14, -0x1.fd86c78670efp-15, -0x1.e8a00dade4009p-15, -0x1.d52a734872034p-15, -0x1.c30f12dc3ff14p-15, -0x1.b22b6d6d700dfp-15, -0x1.a22e660b4298ap-15, -0x1.92e82c941b826p-15, -0x1.8459b98dea9abp-15, -0x1.76aac2a1490b8p-15, -0x1.69f306113f2d3p-15, -0x1.5e1adbc0b287p-15, -0x1.52fc2fedd1303p-15, -0x1.48b41576b0eafp-15, -0x1.3f61a5df223aap-15, -0x1.36f9e2add0647p-15, -0x1.2f6db1e777346p-15, -0x1.28a3c5e22173fp-15, -0x1.227f403af26dbp-15, -0x1.1cd44be6fd797p-15, -0x1.178ee2e7b8a99p-15, -0x1.12d5a29fda15bp-15, -0x1.0ebff8c470ad9p-15, -0x1.0b26b2d1f58e8p-15, -0x1.07f693156d8bfp-15, -0x1.054f07733b0b6p-15, -0x1.033bae7cbae45p-15, -0x1.01aa6fe27bd06p-15, -0x1.008c9b82920ddp-15, -0x1.ffc106945e6bep-16, -0x1.ff452f26e73ecp-16, -0x1.ff8042dbe83f6p-16, -0x1.001864a1de506p-15, -0x1.00a98ed0584cap-15, -0x1.018dcd9d6cc57p-15, -0x1.02c4c4897d5c8p-15, -0x1.043310f8df4c1p-15, -0x1.05d9f47ccffd3p-15, -0x1.07df7a57754aap-15, -0x1.0a084a50acb5ep-15, -0x1.0c8b812905049p-15, -0x1.0f31b45650036p-15, -0x1.12065b52d7dc4p-15, -0x1.150fa7b751141p-15, -0x1.1843fa0dc0669p-15, -0x1.1b84dba648335p-15, -0x1.1efe5f5184223p-15, -0x1.2284de06c9b69p-15, -0x1.261951891b1b8p-15, -0x1.29cf9e95a5c33p-15, -0x1.2daadeccc4ff3p-15, -0x1.319a5e9cc37b8p-15, -0x1.3594c3c06f604p-15, -0x1.39a7b4538b246p-15, -0x1.3dafd4e1fdf59p-15, -0x1.41cc09068e5bdp-15, -0x1.45f76ce80827cp-15, -0x1.4a2ed00cb4aeep-15, -0x1.4e77e7f3abcc8p-15, -0x1.52af1441570ddp-15, -0x1.56ea247358fefp-15, -0x1.5b202688326d1p-15, -0x1.5f4e51ab9956dp-15, -0x1.6380f1e038c17p-15, -0x1.67b2ff6f2f24p-15, -0x1.6bdba56ba8bf8p-15, -0x1.6ff8dbc1fd11fp-15, -0x1.7419750e2a881p-15, -0x1.780636cc79531p-15, -0x1.7c0641326800fp-15, -0x1.7ff7fe56522a1p-15, -0x1.83df201d681dp-15, -0x1.87b28ec5e06edp-15, -0x1.8b7000aaca7ep-15, -0x1.8f1b80d13006cp-15, -0x1.92b66f39e1a3fp-15, -0x1.964253545b4d1p-15, -0x1.99b8e319acc73p-15, -0x1.9d19842c11757p-15, -0x1.a06433e02b8e5p-15, -0x1.a3989ff2a29bdp-15, -0x1.a6b65ba8ad09ep-15, -0x1.a9bd191758289p-15, -0x1.aca4f03648adap-15, -0x1.af791460e1e61p-15, -0x1.b245d4545d373p-15, -0x1.b4edf80429909p-15, -0x1.b77af22071b66p-15, -0x1.b9ed24a6cc11dp-15, -0x1.bc46f5deba02dp-15, -0x1.be876402d3a05p-15, -0x1.c0ace9b965e38p-15, -0x1.c2b793d6a379ap-15, -0x1.c4a79545475e4p-15, -0x1.c67bee44f8935p-15, -0x1.c836327685f96p-15, -0x1.c9d4dac1cc826p-15, -0x1.cb5816b361ff2p-15, -0x1.ccc2656da3fcfp-15, -0x1.ce1aa13396e63p-15, -0x1.cf3da054bcdd5p-15, -0x1.d05fa723931a4p-15, -0x1.d15303d673abcp-15, -0x1.d22fad380d086p-15, -0x1.d2f603d87502ep-15, -0x1.d3a07dda52c4fp-15, -0x1.d42ffbbeaf144p-15, -0x1.d4a73d6640602p-15, -0x1.d4f3d1625a7b5p-15, -0x1.d53d80b2cd4bbp-15, -0x1.d562616c2b341p-15, -0x1.d56d7a9621b67p-15, -0x1.d55eea53bfe18p-15, -0x1.d53670fae00f9p-15, -0x1.d4f3f550eaed5p-15, -0x1.d4993f85f0bedp-15, -0x1.d425e47dc8605p-15, -0x1.d399093282768p-15, -0x1.d2f424476e925p-15, -0x1.d2372157517adp-15, -0x1.d1628b4b623acp-15, -0x1.d07676ceb522dp-15, -0x1.cf7339a3c77ffp-15, -0x1.ce59349e01e12p-15, -0x1.cd28c7870aefap-15, -0x1.cbe1da01096e6p-15, -0x1.ca84f1147af53p-15, -0x1.c912d29b62ea4p-15, -0x1.c78ca3e75a9c5p-15, -0x1.c5e51510b8c45p-15, -0x1.c43c61d7d2bf1p-15, -0x1.c27ac4fce1c2ap-15, -0x1.c0a1322f8b5dcp-15, -0x1.beb4ccaca01fdp-15, -0x1.bcb5bfe4d9dcep-15, -0x1.baa3f86e7a4c3p-15, -0x1.b880272ae2d7fp-15, -0x1.b64a34afa9fe5p-15, -0x1.b402b2f3d1c33p-15, -0x1.b1aa30d32d7fdp-15, -0x1.af41c7e6440cp-15, -0x1.ace13c5e5d34ep-15, -0x1.aa3c0d839728ap-15, -0x1.a7a86cbd38952p-15, -0x1.a4fa71200951cp-15, -0x1.a24273b81c244p-15, -0x1.9f7ebc90a8189p-15, -0x1.9cb64b96e4bcep-15, -0x1.99d67f7ef6623p-15, -0x1.96d8c3b150583p-15, -0x1.93dcd21bf92e7p-15, -0x1.90d4501782d37p-15, -0x1.8dbe57d5ba879p-15, -0x1.8a9fd18bae65ep-15, -0x1.8770355150464p-15, -0x1.843b3eed33c09p-15, -0x1.80f92f97dc187p-15, -0x1.7dace504cdbc2p-15, -0x1.7a565871ccd6cp-15, -0x1.76f648fa70fe7p-15, -0x1.738cf034c4a53p-15, -0x1.701aeca9a3c9dp-15, -0x1.6ca01de95fcdfp-15, -0x1.691cce4bfb174p-15, -0x1.65916c0965226p-15, -0x1.61ff05e1b1b6fp-15, -0x1.5e6593ca19931p-15, -0x1.5ac4ef109bc17p-15, -0x1.571db094d331ep-15, -0x1.537044c9696edp-15, -0x1.4fbd30a45f51fp-15, -0x1.4c041d7eec86p-15, -0x1.48460802771dap-15, -0x1.44832283dc748p-15, -0x1.40bb7193c5e84p-15, -0x1.3cef4ee20e493p-15, -0x1.391f4227422bep-15, -0x1.354b80865ac72p-15, -0x1.31744fdc6f95fp-15, -0x1.2d99f0e9b50e8p-15, -0x1.29bc8fb96850ep-15, -0x1.25deb1a25afa1p-15, -0x1.21fa3dd161412p-15, -0x1.1e161ce175245p-15, -0x1.1a3178bb6d1adp-15, -0x1.1645015daf9ebp-15, -0x1.12591521b3bf2p-15, -0x1.0e76470b12b69p-15, -0x1.0a82c14ccc18cp-15, -0x1.06a10bb915a9bp-15, -0x1.02b73aa8fb431p-15, -0x1.fd989c6b2821dp-16, -0x1.f5c2edf5758bbp-16, -0x1.eded55304e4b4p-16, -0x1.e62216721d0c6p-16, -0x1.de47215afeaf7p-16, -0x1.d679e7ab5f6a1p-16, -0x1.ceae4b861e156p-16, -0x1.c6e60fd302d24p-16, -0x1.bf00c750afa69p-16, -0x1.b742ce2721b86p-16, -0x1.af9ff961e5442p-16, -0x1.a7e5c25812e29p-16, -0x1.a02f0692dbdfbp-16, -0x1.98634eaa53a58p-16, -0x1.90e52f9eae2ecp-16, -0x1.895f5128b7628p-16, -0x1.819cf08627d0bp-16, -0x1.7a04b68f13bd8p-16, -0x1.7276647b3d464p-16, -0x1.6aefdf8080f1fp-16, -0x1.637169d3725e1p-16, -0x1.5bf940ebaf2c4p-16, -0x1.548a4399fd1eap-16, -0x1.4d240eaf081e5p-16, -0x1.45c6871cb3b39p-16, -0x1.3e71244a7660ap-16, -0x1.373073e0567p-16, -0x1.2fe505f0fd4a6p-16, -0x1.28b029d943b59p-16, -0x1.2183c533f7cacp-16, -0x1.1a6194652ae89p-16, -0x1.134a106af26cap-16, -0x1.0c3d93d730d7bp-16, -0x1.053bc05b8ae95p-16, -0x1.fc880edbc0b82p-17, -0x1.eecb2e51ba927p-17, -0x1.e0f624815f6d6p-17, -0x1.d34f7d4dba6e5p-17, -0x1.c5c1f874b2d94p-17, -0x1.b84e251200be3p-17, -0x1.aaef3af801c64p-17, -0x1.9dabbe8fac09p-17, -0x1.908130ca46832p-17, -0x1.836f6ef7f0ba7p-17, -0x1.76781404383eap-17, -0x1.69dd7531813a7p-17, -0x1.5cd7b06bfb865p-17, -0x1.5032e3d2f0978p-17, -0x1.43a9964b4e6fep-17, -0x1.37391c394ec0cp-17, -0x1.2ae34bbd53586p-17, -0x1.1ea9b851ca539p-17, -0x1.128c2def3e7e7p-17, -0x1.0689ffbfc4209p-17, -0x1.f54af9e38cf4ep-18, -0x1.ddb6244884f29p-18, -0x1.c65f94b3690ep-18, -0x1.af3ec14148f11p-18, -0x1.985c2da453b84p-18, -0x1.81aa18dbbe413p-18, -0x1.6b38f8d2b0284p-18, -0x1.550534a333115p-18, -0x1.3f0a9bb59979cp-18, -0x1.294cf284615e4p-18, -0x1.14251a8d7bcdbp-18, -0x1.fcf5f3cde4d23p-19, -0x1.d2cd4fa951a1dp-19, -0x1.a91c2e7821a21p-19, -0x1.7fe531f018484p-19, -0x1.572582e794904p-19, -0x1.2ed5194343e82p-19, -0x1.078724e18820bp-19, -0x1.c0935b9ebd754p-20, -0x1.71e681c45a387p-20, -0x1.24ebef7ccd021p-20, -0x1.b1dea99541c93p-21, -0x1.1c18184f80d98p-21, -0x1.1028d627abd78p-22, 0x1.395fb2ef9d3ebp-26, 0x1.2dd74c8d81fbap-22, 0x1.2709140f66e13p-21, 0x1.b5fddc988c02p-21, 0x1.202f79b1f654dp-20, 0x1.64d83bf6f50c7p-20, 0x1.a815423e6315cp-20, 0x1.eaa74a6c7544p-20, 0x1.1649cc24d0859p-19, 0x1.36ca4149d7d21p-19, 0x1.567851493b4dbp-19, 0x1.764175bb7b6c5p-19, 0x1.954a39ca97c56p-19, 0x1.b3d70738e7c82p-19, 0x1.d1f958caee0d3p-19, 0x1.efad19382c3e8p-19, 0x1.067aeb3db86d3p-18, 0x1.14dbba813770ep-18, 0x1.230b7b4cfaa87p-18, 0x1.310c9fa7878eep-18, 0x1.3ec19ff38f137p-18, 0x1.4c479e136c434p-18, 0x1.5999952031fe3p-18, 0x1.66b863306f43dp-18, 0x1.72f748a70da31p-18, 0x1.8049ab17fbafbp-18, 0x1.8cb2697105f39p-18, 0x1.98ef7474c516cp-18, 0x1.a53d1057ad8a1p-18, 0x1.b0ca16547e15cp-18, 0x1.bc65d43df55f1p-18, 0x1.c7c67c284c8acp-18, 0x1.d36ef27a389eap-18, 0x1.de003ffc97b28p-18, 0x1.e8d0911871057p-18, 0x1.f36f9f8db42a3p-18, 0x1.fdb779775a562p-18, 0x1.04052676c3398p-17, 0x1.0901db1c5835cp-17, 0x1.0debda79c6271p-17, 0x1.12fff4c592f46p-17, 0x1.176ea5014ea83p-17, 0x1.1c09d7a40680ep-17, 0x1.208e18bb3b1cdp-17, 0x1.251606961be11p-17, 0x1.28b60b8b37f3p-17, 0x1.2d89c21d0d8cp-17, 0x1.31b3327950965p-17, 0x1.35c3403a7e7fp-17, 0x1.39ba7e87ee3f5p-17, 0x1.3d9b6780cc023p-17, 0x1.4165ac2436a1dp-17, 0x1.44d65e69e6c5bp-17, 0x1.48bd4a92c35c3p-17, 0x1.4c3caa57a8041p-17, 0x1.4fac84b3a71f6p-17, 0x1.52fdd4d40e846p-17, 0x1.5648d057b7b1bp-17, 0x1.59d353683235bp-17, 0x1.5c8bc5e1db021p-17, 0x1.5fa0e712967aap-17, 0x1.629478c2bfb18p-17, 0x1.6570067068104p-17, 0x1.683864662bcbbp-17, 0x1.6aed24c4d6d6ap-17, 0x1.6d8d1069e65f6p-17, 0x1.701abd20aca24p-17, 0x1.72943fbf8c865p-17, 0x1.74fbad50ae2bp-17, 0x1.774d07d53ad1p-17, 0x1.791e00562f2dep-17, 0x1.7bbda8dd51e96p-17, 0x1.7dd62c7cda65bp-17, 0x1.801aec7081ceep-17, 0x1.81d9f818ced85p-17, 0x1.83c3d8a5accbp-17, 0x1.859d2a988b07dp-17, 0x1.870be574e3be7p-17, 0x1.89144b66f7cdfp-17, 0x1.8aaecedd9a598p-17, 0x1.8c3940511330cp-17, 0x1.8d7d87636facbp-17, 0x1.8f2609e34c85fp-17, 0x1.90878472229f6p-17, 0x1.91d654509579bp-17, 0x1.931539379a765p-17, 0x1.943e1bd3e1fb1p-17, 0x1.956423ca4ad86p-17, 0x1.96734c476b73ep-17, 0x1.976a9ca51ca41p-17, 0x1.98a20ec2f34bfp-17, 0x1.994a22711f96p-17, 0x1.9a26d7a98d576p-17, 0x1.9aef61aa8c73ep-17, 0x1.9b9e114bfbbf2p-17, 0x1.9c5925ff4b82ap-17, 0x1.9cf39c5f4190ap-17, 0x1.9d1ddba4771c1p-17, 0x1.9e0a8cb3b6dd2p-17, 0x1.9e7b58dbacffp-17, 0x1.9ee2919c7f5b1p-17, 0x1.9f3f07c134512p-17, 0x1.9f8f1c7590eccp-17, 0x1.9fd19a8299a78p-17, 0x1.a009d8c468ffbp-17, 0x1.a0396ab81c366p-17, 0x1.a0345ce29a526p-17, 0x1.a0b401e9df94dp-17, 0x1.a07712192f92dp-17, 0x1.a076d7361b4dep-17, 0x1.a062152ff8d33p-17, 0x1.a04a78fac5c2cp-17, 0x1.a027a41f47525p-17, 0x1.9ffc3f0bdfd09p-17, 0x1.a0144d0b37aacp-17, 0x1.9f84f4f883e41p-17, 0x1.9f32fe033f40bp-17, 0x1.9edc992e9af0cp-17, 0x1.9e7f1b146a246p-17, 0x1.9e30578c4ed36p-17, 0x1.9da086ddef2e2p-17, 0x1.9d22a991f2ee9p-17, 0x1.9c9c1d814c925p-17, 0x1.9c0c51dc8ae19p-17, 0x1.9b74411b65b9ap-17, 0x1.9b44cefae9652p-17, 0x1.9a313966b0f96p-17, 0x1.99b6ff889eafcp-17, 0x1.98c1efbb49cep-17, 0x1.97ef6ae81b017p-17, 0x1.973885544451ap-17, 0x1.966a97e70eef7p-17, 0x1.959116ee51424p-17, 0x1.94b366fc2e74fp-17, 0x1.93cbe741715f1p-17, 0x1.92e08589d2386p-17, 0x1.91f9c3943bd03p-17, 0x1.910ca793355a1p-17, 0x1.8feca7b9a4fbbp-17, 0x1.8ee835bf17029p-17, 0x1.8dd31eb0fc391p-17, 0x1.8cbd2be24e7d6p-17, 0x1.8b9e663883ff9p-17, 0x1.8ac65a725daecp-17, 0x1.895530a4d6062p-17, 0x1.88295383cee6ap-17, 0x1.86f683aa884cep-17, 0x1.85bdbf80753e4p-17, 0x1.847f5de9cc45ap-17, 0x1.833ab144625ecp-17, 0x1.81fa8808c28e1p-17, 0x1.80e4891404efap-17, 0x1.7f512401e71fp-17, 0x1.7df9b883cdc72p-17, 0x1.7c9e17d93ae37p-17, 0x1.7b3d5a651281ap-17, 0x1.79d7cc0fd6e57p-17, 0x1.786dec8812759p-17, 0x1.76ffd9f7018e9p-17, 0x1.758da03e43fddp-17, 0x1.74109e26c62cbp-17, 0x1.728d71a094101p-17, 0x1.711789d21c4ep-17, 0x1.700c0619ca381p-17, 0x1.6e25793164282p-17, 0x1.6c904d3f9a1b4p-17, 0x1.6b11152fe12a8p-17, 0x1.6974288049d6ap-17, 0x1.67e1bb6e6f529p-17, 0x1.664baee40ceb5p-17, 0x1.64b20e670e111p-17, 0x1.63143e3cbd6fp-17, 0x1.617486fd04154p-17, 0x1.5fb13f1263288p-17, 0x1.5e3047d96d2e8p-17, 0x1.5c8d0625f89dep-17, 0x1.5ae11531a5ce4p-17, 0x1.593277bc134d2p-17, 0x1.578cf227a28c6p-17, 0x1.55dba76a783f1p-17, 0x1.542b7df56be7fp-17, 0x1.5276112abfe2p-17, 0x1.50c14d9b791f1p-17, 0x1.4f09a75707a2dp-17, 0x1.4d50eb828b91dp-17, 0x1.4b9566b6cae67p-17, 0x1.49d468ce14994p-17, 0x1.4858fa081b9c7p-17, 0x1.4655579912942p-17, 0x1.4499554a587b6p-17, 0x1.42d0df339e308p-17, 0x1.40f5b3a2729cdp-17, 0x1.3f4949f73b62ep-17, 0x1.3d81b80f2d8a3p-17, 0x1.3bc11ae4f05e8p-17, 0x1.39f500524666cp-17, 0x1.387cc23eaeb6fp-17, 0x1.3669c7c61aaeap-17, 0x1.349a290b2a1bbp-17, 0x1.32cfc54a16d8ap-17, 0x1.3104908bd0cp-17, 0x1.2f37dfd272f44p-17, 0x1.2d68faf56846cp-17, 0x1.2bb7be9794e72p-17, 0x1.29c2365aaa7d2p-17, 0x1.28006941b62eep-17, 0x1.262adc1eaa562p-17, 0x1.2457787e6aed6p-17, 0x1.228f127d9c1a9p-17, 0x1.20c2c87536ad5p-17, 0x1.1ef40d1980adbp-17, 0x1.1d240d5cfe75fp-17, 0x1.1b538a8642a1dp-17, 0x1.198d365e88b28p-17, 0x1.1747004bdbff2p-17, 0x1.15e1680c75d2dp-17, 0x1.1414ac161b93ap-17, 0x1.1245ed04b6b7p-17, 0x1.10d90dda80d9ap-17, 0x1.0ea61a4b66318p-17, 0x1.0cf54d995a22cp-17, 0x1.0b18d9e687a77p-17, 0x1.094534322792dp-17, 0x1.0779516b143e7p-17, 0x1.05adb43a7a273p-17, 0x1.03e2b26293f2dp-17, 0x1.01f9d406b3679p-17, 0x1.004e7742dc3c5p-17, 0x1.fd091ec04c52fp-18, 0x1.f97ae6eada4d6p-18, 0x1.f5edc9c7b97e9p-18, 0x1.f27293181adap-18, 0x1.eec614d847949p-18, 0x1.eb407552cf255p-18, 0x1.e7befc688928bp-18, 0x1.e444da61c7796p-18, 0x1.e0bca67d5b5c1p-18, 0x1.dd36adc763b91p-18, 0x1.d9b58ecf5796p-18, 0x1.d637e66576bf6p-18, 0x1.d2b67b71ca319p-18, 0x1.cf086cc1fc71fp-18, 0x1.cbcc2a36e26d3p-18, 0x1.c758692b2a77ap-18, 0x1.c4d6c7ea788acp-18, 0x1.c18af2ba7bda5p-18, 0x1.be20169ace319p-18, 0x1.bae5c4cdf4c31p-18, 0x1.b7312885e821fp-18, 0x1.b3d4fac70b5p-18, 0x1.b0956990da815p-18, 0x1.ad22557d5814p-18, 0x1.a99c673bc8a6ap-18, 0x1.a65e3687f17f5p-18, 0x1.a3063513783d3p-18, 0x1.9fb6e8b1bb8c5p-18, 0x1.9c67cc9377849p-18, 0x1.991d925d585fep-18, 0x1.95dcd0c9dc517p-18, 0x1.928e954ae352cp-18, 0x1.8f4b18a01cf8ep-18, 0x1.8c0071e94a331p-18, 0x1.880bc3aba2674p-18, 0x1.858d06955996ep-18, 0x1.8256214397526p-18, 0x1.7f265c46c6041p-18, 0x1.7bf8186d9652ep-18, 0x1.78cc373a9a9ep-18, 0x1.75a332352f78cp-18, 0x1.7276009cc30efp-18, 0x1.6ef068c21b492p-18, 0x1.6c38fc1899485p-18, 0x1.69239b658be1ap-18, 0x1.66091104420a3p-18, 0x1.63689daaf57ccp-18, 0x1.603d75ab01423p-18, 0x1.5cda3ef706525p-18, 0x1.59cd946e8513ep-18, 0x1.564ac73dbe4acp-18, 0x1.53c6e340d143dp-18, 0x1.50ce7c306ee17p-18, 0x1.4dd638adfe177p-18, 0x1.4adb816312483p-18, 0x1.47eca6f792255p-18, 0x1.450205abbb00dp-18, 0x1.4214d17b65a6ap-18, 0x1.3f2eb79e0e594p-18, 0x1.3c4c532613468p-18, 0x1.396d9a9f39916p-18, 0x1.369535d284d5p-18, 0x1.33b961ad5164fp-18, 0x1.30e9de9b9826p-18, 0x1.2e1752feec6efp-18, 0x1.2b4722dfa1ae3p-18, 0x1.287e59e36e809p-18, 0x1.258e6ba027849p-18, 0x1.22f69bc54e4a5p-18, 0x1.20404c7b43324p-18, 0x1.1d8d1e7638949p-18, 0x1.1ad8923bd089ap-18, 0x1.18260920a0e0ap-18, 0x1.1567791b4e461p-18, 0x1.12d6a476ed0cfp-18, 0x1.1030d1efcee2ep-18, 0x1.0d8c935900d7ep-18, 0x1.0aec0be6b4483p-18, 0x1.085175e06b93ep-18, 0x1.05b5b9f50eeadp-18, 0x1.03b371c22b867p-18, 0x1.00f1ed705de72p-18, 0x1.fc09a096c8b48p-19, 0x1.f71e53cf1c065p-19, 0x1.f29022f13241cp-19, 0x1.ed57ce560f51bp-19, 0x1.e7f72f4ce6152p-19, 0x1.e32a190af0d47p-19, 0x1.de85837a350eap-19, 0x1.d9d8536919a3ap-19, 0x1.d5285442e86dap-19, 0x1.d03d0683ff3d6p-19, 0x1.cb7ca97503107p-19, 0x1.c6baa64a7ac44p-19, 0x1.c20586f9a934cp-19, 0x1.bd5820fd8dff7p-19, 0x1.b8b366a7dc727p-19, 0x1.b410d33da5d95p-19, 0x1.af81231dcef3ap-19, 0x1.aaf462f0b4b85p-19, 0x1.a67070528c91fp-19, 0x1.a1f2dbdcf232cp-19, 0x1.9e25bea3e1ee5p-19, 0x1.99078cefdcfd3p-19, 0x1.94af47a0cd461p-19, 0x1.908e4a64e1cccp-19, 0x1.8c097011601a6p-19, 0x1.87ac7b23604e2p-19, 0x1.836f67bf884eep-19, 0x1.7f3bacd400215p-19, 0x1.7afd263799a06p-19, 0x1.76afdf8ad4f74p-19, 0x1.727a6bfb6b78dp-19, 0x1.6e8d9270d846ep-19, 0x1.6a76de0e4e15ep-19, 0x1.6668ac9a1df16p-19, 0x1.6284dbb519faep-19, 0x1.5e61f61d7a08p-19, 0x1.5a04895e66d38p-19, 0x1.5676f25cd692p-19, 0x1.5291235345a23p-19, 0x1.4eb073c55bbd8p-19, 0x1.4ad7a409772eep-19, 0x1.470614b49615bp-19, 0x1.430846346b9bbp-19, 0x1.3f87eaddd1324p-19, 0x1.3bb8b32cfed73p-19, 0x1.3809e482319bdp-19, 0x1.345018a79cc02p-19, 0x1.30b15966cec09p-19, 0x1.2d32428689afap-19, 0x1.29759848ff9e8p-19, 0x1.25e72d5c0086p-19, 0x1.225f6d87f2e39p-19, 0x1.1edbf259bb672p-19, 0x1.1b5f21dfbcdd7p-19, 0x1.17f35ac9566f3p-19, 0x1.147d81d5051c1p-19, 0x1.1118a4a436a87p-19, 0x1.0e016669c26ffp-19, 0x1.0ad4d6e4b57b8p-19, 0x1.070c5c6901382p-19, 0x1.03c849a62a52cp-19, 0x1.004885131bf5dp-19, 0x1.fa8c50ad8de53p-20, 0x1.f4215cdfd7ap-20, 0x1.edbfed456b947p-20, 0x1.e78e5f140b749p-20, 0x1.e11ec08e7cc2ep-20, 0x1.db00d0fa5238fp-20, 0x1.d4e2f97e35606p-20, 0x1.ceaabeaf55c24p-20, 0x1.c88e41ca88dafp-20, 0x1.c2a0b0d6ab04cp-20, 0x1.bc5594752412dp-20, 0x1.b6c7c7ea6ce38p-20, 0x1.b0aaed0102abap-20, 0x1.abb62dc9e82e9p-20, 0x1.a54e51da71112p-20, }}, 
      {{0x1.554baa5f2d822p-3, 0x1.64b84b866c3b3p-3, 0x1.7c534a8ee1c84p-3, 0x1.99da38f04ae42p-3, 0x1.bb0752cb97267p-3, 0x1.ddc5ee96fd254p-3, 0x1.00275aa588342p-2, 0x1.1098477e0f04ep-2, 0x1.1fa78bb80f80ep-2, 0x1.2cedff155cb7cp-2, 0x1.3826b19e6e3c2p-2, 0x1.4129b2b5e707dp-2, 0x1.47e6f69c5a69ap-2, 0x1.4c618b2f2e0a5p-2, 0x1.4eab3c676e072p-2, 0x1.4ee10415c0c2cp-2, 0x1.4d27e1928903cp-2, 0x1.49a9efb552acp-2, 0x1.449488447b56fp-2, 0x1.3e16383c46acfp-2, 0x1.365da6ec129b6p-2, 0x1.2d98443942f84p-2, 0x1.23f1aa4ec333dp-2, 0x1.199311122464cp-2, 0x1.0ea2c41a86087p-2, 0x1.03441060b319fp-2, 0x1.ef2e5f37cc461p-3, 0x1.d772183ca2af9p-3, 0x1.bf87383a4bf3bp-3, 0x1.a79b95c4dd429p-3, 0x1.8fd74504009afp-3, 0x1.785d34185dd08p-3, 0x1.614b26ec5de01p-3, 0x1.4aba6dfed372cp-3, 0x1.34c01c5a2a356p-3, 0x1.1f6d7b8450f67p-3, 0x1.0ad05ccd5d047p-3, 0x1.ede749b681a6ap-4, 0x1.c7be8cc384401p-4, 0x1.a331e337d21a8p-4, 0x1.80485a061a924p-4, 0x1.5f054b2d49b36p-4, 0x1.3f68de1a248d2p-4, 0x1.21707dc9368a3p-4, 0x1.051745fb9eb48p-4, 0x1.d4acb0b2f2dacp-5, 0x1.a24a144b94f0fp-5, 0x1.72f38da817905p-5, 0x1.4692b6c70a8acp-5, 0x1.1d1059a9c7f9ap-5, 0x1.eca6fe5286783p-6, 0x1.a48517cc4fb32p-6, 0x1.6185dd21e8052p-6, 0x1.2373e842bb23ap-6, 0x1.d432e08f8b22cp-7, 0x1.6a819ff63726cp-7, 0x1.09699d79931e7p-7, 0x1.61035fffeb8f6p-8, 0x1.7d8bf5e8a78cap-9, 0x1.5a91631c23f8ap-11, -0x1.68802d5ab870ap-10, -0x1.a4961cd0de951p-9, -0x1.3debbf116477ep-8, -0x1.9db2f022f808p-8, -0x1.f24dac06f2ce3p-8, -0x1.1e30e6928eda4p-7, -0x1.3e4766141afe6p-7, -0x1.59b6cf9b26f96p-7, -0x1.70c84d12d8952p-7, -0x1.83c1da4d81523p-7, -0x1.92e64835be961p-7, -0x1.9e754a9779051p-7, -0x1.a6ab9c4f14863p-7, -0x1.abc2f6379f2e8p-7, -0x1.adf241c571dfcp-7, -0x1.ad6da5d3e3432p-7, -0x1.aa669ed919935p-7, -0x1.a50c14628ea9cp-7, -0x1.9d8a75f3caefdp-7, -0x1.940bcdc050ef6p-7, -0x1.88b7ae526ded8p-7, -0x1.7bb4f1837e621p-7, -0x1.6d253915231cp-7, -0x1.5d2af0a5f6864p-7, -0x1.4be638e5f3257p-7, -0x1.39744973f9fffp-7, -0x1.25f15a755711p-7, -0x1.1177ebf2b7bbcp-7, -0x1.f841af1094e9bp-8, -0x1.cc070f40253a1p-8, -0x1.9e6be4d64b453p-8, -0x1.6f99840a2ac59p-8, -0x1.3fb69d05305f4p-8, -0x1.0ee7836eef93cp-8, -0x1.ba9c6c19744b1p-9, -0x1.56152d13debfp-9, -0x1.e0e9ad364f2b8p-10, -0x1.13e64690b92c5p-10, -0x1.1620c61ba5642p-12, 0x1.139f12f008059p-11, 0x1.59c65cf9d2b49p-10, 0x1.1503f9f2f0269p-9, 0x1.7d2307ab56348p-9, 0x1.e51ba7ad91f13p-9, 0x1.26662ba458216p-8, 0x1.5a0abcc4032cap-8, 0x1.8d6d0873e099dp-8, 0x1.c07fa02bb3601p-8, 0x1.f3361803c4f28p-8, 0x1.12c28682f78fap-7, 0x1.2bb11ede7e8ebp-7, 0x1.446175de62d77p-7, 0x1.5ccf84b58c2cp-7, 0x1.74f7e3d59185ap-7, 0x1.8cd57fb2751aep-7, 0x1.a465f4c4aa334p-7, 0x1.bba5cc6397832p-7, 0x1.d2927a9bff76ap-7, 0x1.e92968cd91e77p-7, 0x1.ff685d90b69c4p-7, 0x1.0aa6ae476ece9p-6, 0x1.156b4d12ac001p-6, 0x1.20014a5f07e8ap-6, 0x1.2a67f3ee230a5p-6, 0x1.349eb0729efadp-6, 0x1.3ea500227aee8p-6, 0x1.487a75aac30f9p-6, 0x1.521eb660be2a4p-6, 0x1.5b917b03c399ep-6, 0x1.64d2884d15673p-6, 0x1.6de1b6e9da75dp-6, 0x1.76beea26f320ap-6, 0x1.7f6a13faea711p-6, 0x1.87e3330f7cc2cp-6, 0x1.902a4ec6a3c18p-6, 0x1.983f7bb58a54p-6, 0x1.a022d68be6249p-6, 0x1.a7d47b03cd777p-6, 0x1.af54a55911a16p-6, 0x1.b6a37ff5ef94fp-6, 0x1.bdc14ebdd7a6ap-6, 0x1.c4ae4783e5487p-6, 0x1.cb6ab8f962da5p-6, 0x1.d1f6ef9242e7bp-6, 0x1.d8533ab3b3ef7p-6, 0x1.de7ff05d14b33p-6, 0x1.e47d69c09ad06p-6, 0x1.ea4c0307914a7p-6, 0x1.efec1c6fe939p-6, 0x1.f55e21546fd5cp-6, 0x1.faa27a51d5949p-6, 0x1.ffb94079704fp-6, 0x1.0251c3d3581d9p-5, 0x1.04b0881957811p-5, 0x1.06f94f770b516p-5, 0x1.092c4a4576d0dp-5, 0x1.0b49aef11fff5p-5, 0x1.0d51b628216d9p-5, 0x1.0f4499004cdafp-5, 0x1.1122914f6abe1p-5, 0x1.12ebd906a6be6p-5, 0x1.14a0aa7e5fc0dp-5, 0x1.16413ffb18865p-5, 0x1.17cdd4c95cdc3p-5, 0x1.1946a3d28b84cp-5, 0x1.1aabe7ddea5e6p-5, 0x1.1bfddbc347415p-5, 0x1.1d3cbad137699p-5, 0x1.1e68c0f79ff8fp-5, 0x1.1f82293646bf6p-5, 0x1.20892e9eda6ccp-5, 0x1.217e0d143144fp-5, 0x1.2260ff9447581p-5, 0x1.233240c411afp-5, 0x1.23f20c9a5ed7ap-5, 0x1.24a09db9f84bp-5, 0x1.253e2f85c1c2fp-5, 0x1.25cafce780becp-5, 0x1.264740e6e6612p-5, 0x1.26b336299d401p-5, 0x1.270f17218e907p-5, 0x1.275b1e89b7692p-5, 0x1.2797872397ea1p-5, 0x1.27c48b1f363efp-5, 0x1.27e264d68cf5p-5, 0x1.27f14e960cf08p-5, 0x1.27f181be5bb87p-5, 0x1.27e3395a2a287p-5, 0x1.27c6ae95faf08p-5, 0x1.279c1b56c22e1p-5, 0x1.2763b9684367p-5, 0x1.271dc0dada4efp-5, 0x1.26ca6d52b5a9cp-5, 0x1.2669f6e4fd748p-5, 0x1.25fc96a905c18p-5, 0x1.258287e21a1b9p-5, 0x1.24fc0777d0eb1p-5, 0x1.246930f32513ep-5, 0x1.23ca70d57d293p-5, 0x1.231fd108bca74p-5, 0x1.2269a1681cda6p-5, 0x1.21a814c99b367p-5, 0x1.20db631ab6ebp-5, 0x1.2003c479f56bap-5, 0x1.1f21709cf1d44p-5, 0x1.1e349f4726695p-5, 0x1.1d3d87eb7a98ep-5, 0x1.1c3c620c0d6ep-5, 0x1.1b316498fc2fbp-5, 0x1.1a1cc6d8e9c32p-5, 0x1.18febeffb1a42p-5, 0x1.17d784024e467p-5, 0x1.16a74c7c69e7ap-5, 0x1.156e4e6288978p-5, 0x1.142cc01b427bap-5, 0x1.12e2d6ad001f7p-5, 0x1.1190c8180bd1bp-5, 0x1.1036c9a0d52dp-5, 0x1.0ed5105ee1311p-5, 0x1.0d6bd152dd935p-5, 0x1.0bfb43aa3bed4p-5, 0x1.0a839d3de14ep-5, 0x1.0904f25eaf9b7p-5, 0x1.077fa94ce4e1bp-5, 0x1.05f3ec06c8c03p-5, 0x1.0461c7b6e15dfp-5, 0x1.02c98e0051faap-5, 0x1.012b6c2584abap-5, 0x1.ff0f26300fab1p-6, 0x1.fbbc69260115p-6, 0x1.f85f0406646ddp-6, 0x1.f4f7593d4d21p-6, 0x1.f185c9ed4c11ep-6, 0x1.ee0ab682f24a7p-6, 0x1.ea867ff9be777p-6, 0x1.e6f9845dac885p-6, 0x1.e364236625b5dp-6, 0x1.dfc6b962b36abp-6, 0x1.dc21a193ac8fdp-6, 0x1.d8753a5bdf0c9p-6, 0x1.d4c1dbbed1f38p-6, 0x1.d107e5e1b222fp-6, 0x1.cd47aac0497a3p-6, 0x1.c98180cdebc8bp-6, 0x1.c5b5c7140715fp-6, 0x1.c1e4cef4116d3p-6, 0x1.be0ef7ffbe23ep-6, 0x1.ba3476086760bp-6, 0x1.b655cb8bbd9edp-6, 0x1.b27322e5d19a6p-6, 0x1.ae8ce232cdd3bp-6, 0x1.aaa353abbbc53p-6, 0x1.a6b6c5bbe884ap-6, 0x1.a2c78679ae661p-6, 0x1.9ed5e25ad3e8cp-6, 0x1.9ae2259fda157p-6, 0x1.96ec9c0fab0bcp-6, 0x1.92f58c583ba3ep-6, 0x1.8efd40c67e26ep-6, 0x1.8b04009f0c4fep-6, 0x1.870a10cb78e67p-6, 0x1.830fb60bf4ae6p-6, 0x1.7f15359af68cap-6, 0x1.7b1ad06413b35p-6, 0x1.7720c7c836eecp-6, 0x1.73275c7878619p-6, 0x1.6f2ecd5eb2fc1p-6, 0x1.6b37589da4acep-6, 0x1.6741396a41276p-6, 0x1.634cac9b8650bp-6, 0x1.5f59ebad616eap-6, 0x1.5b692f7dab6abp-6, 0x1.577aafd69ba07p-6, 0x1.538ea34b05984p-6, 0x1.4fa53f362f831p-6, 0x1.4bbeb7aad1379p-6, 0x1.47db3fae48373p-6, 0x1.43fb0956829d9p-6, 0x1.401e46daec40ap-6, 0x1.3c452849faf95p-6, 0x1.386fc3b95db3fp-6, 0x1.349e6d8610564p-6, 0x1.30d14956718cfp-6, 0x1.2d08699e7ae0cp-6, 0x1.294404579876bp-6, 0x1.2584466cdf89ap-6, 0x1.21c95496ff433p-6, 0x1.1e13539fffc5cp-6, 0x1.1a626809842fap-6, 0x1.16b6b657af45ep-6, 0x1.131060e371039p-6, 0x1.0f6f87cc0a2abp-6, 0x1.0bd44fd671442p-6, 0x1.083ed128225f4p-6, 0x1.04af2ed2f197dp-6, 0x1.0125822db9bcfp-6, 0x1.fb43e8f16af5cp-7, 0x1.f448e3287d556p-7, 0x1.ed5add50ecb0ap-7, 0x1.e6794a096c1cfp-7, 0x1.dfa4bee2687eap-7, 0x1.d8dd4a4b49283p-7, 0x1.d223267e38e0bp-7, 0x1.cb76749ed718cp-7, 0x1.c4d75a68c0391p-7, 0x1.be460846c1138p-7, 0x1.b7c2900f047e9p-7, 0x1.b14d2248ceaf5p-7, 0x1.aae5cff9a89bdp-7, 0x1.a48cc87cc0ea4p-7, 0x1.9e421cbaad543p-7, 0x1.9805e94b7cfd2p-7, 0x1.91d8471838fb9p-7, 0x1.8bb94b5f0819fp-7, 0x1.85a90b6b6604fp-7, 0x1.7fa79b45dcfd1p-7, 0x1.79b50c5cee62ep-7, 0x1.73d16ee6ae79ap-7, 0x1.6dfcd15203198p-7, 0x1.6837416a52c68p-7, 0x1.6280c8f34cc9dp-7, 0x1.5cd972e02e091p-7, 0x1.574146842875dp-7, 0x1.51b84b6560262p-7, 0x1.4c3e883af5144p-7, 0x1.46d3ff1eb09a6p-7, 0x1.4178b57bc924ap-7, 0x1.3c2caa61e7158p-7, 0x1.36efde59dd502p-7, 0x1.31c25135862f4p-7, 0x1.2ca40090de40ap-7, 0x1.2794e8a368396p-7, 0x1.2295049c42355p-7, 0x1.1da44ec420d6fp-7, 0x1.18c2c05c5be56p-7, 0x1.13f05179aec56p-7, 0x1.0f2cf90228d94p-7, 0x1.0a78ac6440f51p-7, 0x1.05d36078b8fefp-7, 0x1.013d0920748d7p-7, 0x1.f96b33798fca8p-8, 0x1.f07a06df2f59bp-8, 0x1.e7a670d6c5442p-8, 0x1.def0521253a92p-8, 0x1.d65786e7f37afp-8, 0x1.cddbf00e2223ap-8, 0x1.c57d688bdaab9p-8, 0x1.bd3bc73e30697p-8, 0x1.b516e6187d1fap-8, 0x1.ad0e9cf45b58ap-8, 0x1.a522c0e48319cp-8, 0x1.9d532a3d31cd5p-8, 0x1.959fb2b454543p-8, 0x1.8e0818ae70628p-8, 0x1.868c31317427bp-8, 0x1.7f2bdb074843bp-8, 0x1.77e6d86acecc3p-8, 0x1.70bd0cb143e1cp-8, 0x1.69ae20433f918p-8, 0x1.62b9f8e30e404p-8, 0x1.5be05244b0e08p-8, 0x1.552107797a086p-8, 0x1.4e7bd630c9934p-8, 0x1.47f0915944697p-8, 0x1.417ed6858ccfdp-8, 0x1.3b26fc523a9f6p-8, 0x1.34e7d26cec854p-8, 0x1.2ec1e2d72d2eep-8, 0x1.28b4b941f3d02p-8, 0x1.22c019ae4a03fp-8, 0x1.1ce3c76a8273ep-8, 0x1.171f87e27af06p-8, 0x1.11731c9ecab3fp-8, 0x1.0bde48f672a6cp-8, 0x1.0660d1672696p-8, 0x1.00fa906b9ee6ep-8, 0x1.f755d61a8efc6p-9, 0x1.ece493d9ca2aep-9, 0x1.e29f6e93aed97p-9, 0x1.d886d00075b7cp-9, 0x1.ce99fd945ab88p-9, 0x1.c4d8778379111p-9, 0x1.bb41c04a87153p-9, 0x1.b1d55a4806faap-9, 0x1.a892c718484acp-9, 0x1.9f79885db6ff1p-9, 0x1.9689260fd3a39p-9, 0x1.8dc1116628187p-9, 0x1.8520dd75f3121p-9, 0x1.7ca804bea2754p-9, 0x1.7456069cf6169p-9, 0x1.6c2a6e2e33318p-9, 0x1.6424bb5a3a525p-9, 0x1.5c44539ee2c7ep-9, 0x1.5488f65a01098p-9, 0x1.4cf1f322f68b8p-9, 0x1.457edb832e74p-9, 0x1.3e2f4cfa39f94p-9, 0x1.3702b17ae66f5p-9, 0x1.2ff8908533feap-9, 0x1.291074f249625p-9, 0x1.2249e62e4e233p-9, 0x1.1ba46b28aa339p-9, 0x1.151f887ae981p-9, 0x1.0ebac71c30a65p-9, 0x1.0875d07da249ap-9, 0x1.024fed62a765ep-9, 0x1.f891a77301bdep-10, 0x1.ecc0256a32e93p-10, 0x1.e12a4aa9c0b9cp-10, 0x1.d5cf3b4b7cab7p-10, 0x1.caadf25f19a43p-10, 0x1.bfc601178a78dp-10, 0x1.b51626c01e1e2p-10, 0x1.aa9d543ff25bdp-10, 0x1.a05b1c05f44dfp-10, 0x1.964e9b98cba9ep-10, 0x1.8c76b3cdd35a5p-10, 0x1.82d29b7f4297p-10, 0x1.7961ae7c97233p-10, 0x1.7022e922421a6p-10, 0x1.6715888b0d34bp-10, 0x1.5e38baaf79ad7p-10, 0x1.558bbb8fac278p-10, 0x1.4d0db4ae40981p-10, 0x1.44bdd2a7abe35p-10, 0x1.3c9b9c8c9a4a2p-10, 0x1.34a4e2c0479a9p-10, 0x1.2cdc2a630d9ffp-10, 0x1.253d699561ed5p-10, 0x1.1dc9474bfb083p-10, 0x1.167ed0949a4e5p-10, 0x1.0f5d4f68fbaa1p-10, 0x1.08640349c68eap-10, 0x1.019234e542eabp-10, 0x1.f5ce5f60d2dc9p-11, 0x1.e8c4827b86cc6p-11, 0x1.dc056d29a4592p-11, 0x1.cf8fc3e370247p-11, 0x1.c362380f0e898p-11, 0x1.b77b7eefc3e79p-11, 0x1.abda4ea599303p-11, 0x1.a07d2ad2794dap-11, 0x1.9562e4f88536ep-11, 0x1.8a8c68ad5fbc6p-11, 0x1.7ff49806f218dp-11, 0x1.759b4f6693283p-11, 0x1.6b81535b468c1p-11, 0x1.61a473166e842p-11, 0x1.5802d56e7adf9p-11, 0x1.4e9b9be8de8e5p-11, 0x1.456e3556be7cfp-11, 0x1.3c777a87e6887p-11, 0x1.33ba00834eb87p-11, 0x1.2b31704f5a644p-11, 0x1.22de056369dabp-11, 0x1.1abe7ceb8012cp-11, 0x1.12d22892f499bp-11, 0x1.0b17923770d6cp-11, 0x1.038d96562e4bep-11, 0x1.f8677a56057a9p-12, 0x1.ea117daa9fc86p-12, 0x1.dc174353e7a6p-12, 0x1.ce76e17aae281p-12, 0x1.c12e80285d94p-12, 0x1.b43c3d4144fa5p-12, 0x1.a79e546b7a61dp-12, 0x1.9b52fd621df27p-12, 0x1.8f587f62c33e1p-12, 0x1.83ad54184bc73p-12, 0x1.784f430e02e5cp-12, 0x1.6d3d31efe615fp-12, 0x1.62755255f9a04p-12, 0x1.57f604c38148fp-12, 0x1.4dbdad3b6e65dp-12, 0x1.43cab392f6eb2p-12, 0x1.3a1b85acd4f4ap-12, 0x1.30ae9b47553a7p-12, 0x1.278275cccba3bp-12, 0x1.1e959f2dd95f8p-12, 0x1.15e6ab252fcacp-12, 0x1.0d7429a7233ap-12, 0x1.053ccffe6d596p-12, 0x1.fa7e00248035ap-13, 0x1.eaf414962f446p-13, 0x1.dbd70fd4201aep-13, 0x1.cd2a722a20886p-13, 0x1.bee26fe04cc25p-13, 0x1.b0fdd1a3c2afdp-13, 0x1.a381913ad3e8bp-13, 0x1.966729879e3bfp-13, 0x1.89ac5feb411d2p-13, 0x1.7d4e77e2d66f1p-13, 0x1.714a7229542dbp-13, 0x1.65a64be5e3284p-13, 0x1.5a52546f60ab6p-13, 0x1.4f55b156103f3p-13, 0x1.44a881c15aec7p-13, 0x1.3a50bc44ba33bp-13, 0x1.30462c227bacdp-13, 0x1.2687b0268e0b3p-13, 0x1.1d13a44a14e2bp-13, 0x1.13e84432ad14ap-13, 0x1.0b0369ce71751p-13, 0x1.0263724a8dd26p-13, 0x1.f40c1725075fp-14, 0x1.e3d37bdbb680fp-14, 0x1.d419b4147a841p-14, 0x1.c4dc307e09829p-14, 0x1.b6190700aeb6ep-14, 0x1.a7c896efc45e4p-14, 0x1.99edc2f7147d4p-14, 0x1.8c839e07ae5d1p-14, 0x1.7f86b1e140b4dp-14, 0x1.72f4726ead41bp-14, 0x1.66ca16349ba57p-14, 0x1.5b04a76a3e793p-14, 0x1.4fa192235e88dp-14, 0x1.449e03d23fbeep-14, 0x1.39fe06fceeb29p-14, 0x1.2fb253a5e2227p-14, 0x1.25b6c75b48cf7p-14, 0x1.1c1677849453ep-14, 0x1.12c186f527d6ep-14, 0x1.09cd09ae41c8ep-14, 0x1.0112ff18b3961p-14, 0x1.f155174e2581p-15, 0x1.e113e179339fdp-15, 0x1.d1614207ebf62p-15, 0x1.c23920c51c87p-15, 0x1.b39761d350ae9p-15, 0x1.a5781796d9cp-15, 0x1.97d8196d4457bp-15, 0x1.8ab2c6a9bb126p-15, 0x1.7e059e08fe92fp-15, 0x1.71ccfcb243334p-15, 0x1.6605bd9e48056p-15, 0x1.5aac29ccd2c5p-15, 0x1.4fbc957ef15f8p-15, 0x1.4533f3ca333bcp-15, 0x1.3b0f0a754c35cp-15, 0x1.3149b1a52a74p-15, 0x1.27e1609f4132ap-15, 0x1.1ec6576b35b62p-15, 0x1.1615c3d8e8257p-15, 0x1.0daf73d78f7dfp-15, 0x1.0599196690175p-15, 0x1.fba1d18059414p-16, 0x1.eca9f2ebc4571p-16, 0x1.de4509d65aa84p-16, 0x1.d06debf756d99p-16, 0x1.c326a1b552ff5p-16, 0x1.b65443f47b90fp-16, 0x1.aa07726d1f6eep-16, 0x1.9e37ffc9c2c4p-16, 0x1.92e09c0dcff0ap-16, 0x1.87ff748250dfap-16, 0x1.7d8d0d610b494p-16, 0x1.738b6dcab94c7p-16, 0x1.69ed0b1ccb39ap-16, 0x1.60b0ddc01eef3p-16, 0x1.57ddbdeacb318p-16, 0x1.4f644f7e4cc5p-16, 0x1.4743b8c79c2bcp-16, 0x1.3f755c8745764p-16, 0x1.37ef760735c95p-16, 0x1.30e30bca9a57dp-16, 0x1.2a09878104bfcp-16, 0x1.23596348d9fe7p-16, 0x1.1d1a062d704a6p-16, 0x1.17128254c4cb5p-16, 0x1.114d0c43c8f3dp-16, 0x1.0bb0e745fd3adp-16, 0x1.068287a73d97p-16, 0x1.015df18183fb3p-16, 0x1.f91cffd977717p-17, 0x1.efcebb884bb52p-17, 0x1.e6e7e6457bc19p-17, 0x1.de63798207ea8p-17, 0x1.d63cc4aadb5d7p-17, 0x1.ce6e8baf6c06cp-17, 0x1.c71fb98bf0743p-17, 0x1.c0010ef75d55p-17, 0x1.b8fc9171496c4p-17, 0x1.b272e5b57754ap-17, 0x1.ac2f48e7682c5p-17, 0x1.a62f1bfa19cdp-17, 0x1.a0701f01fabefp-17, 0x1.9aeeec7c53299p-17, 0x1.95a5bc7181f19p-17, 0x1.9092f036f6199p-17, 0x1.8bb50341b7aa2p-17, 0x1.870af2c7042bap-17, 0x1.8290964f7c2f6p-17, 0x1.7e420c5bc01fdp-17, 0x1.7a1be8cafb19ap-17, 0x1.763e0b2a482d9p-17, 0x1.727256b335f57p-17, 0x1.6e9c16063802cp-17, 0x1.6b10719332c45p-17, 0x1.67a1f3f23f367p-17, 0x1.64505d062b99cp-17, 0x1.611a0c8eed182p-17, 0x1.5dfdd8d271c38p-17, 0x1.5afa7979680f1p-17, 0x1.580ec7eafa50ap-17, 0x1.55104ce91dcfbp-17, 0x1.524feeff204dcp-17, 0x1.4fc44250f67a6p-17, 0x1.4d258ef330099p-17, 0x1.4a995e46db356p-17, 0x1.481c43f2301f7p-17, 0x1.45a7d617c07cp-17, 0x1.433f2d74450cfp-17, 0x1.40e2ad957d0dfp-17, 0x1.3e9036a7f8c83p-17, 0x1.3c490807a00e4p-17, 0x1.3a0993f666e1p-17, 0x1.37cfdc159f3b6p-17, 0x1.359c4e1f0525bp-17, 0x1.336e7043ab8cep-17, 0x1.31492ec5ee627p-17, 0x1.2f220823a2679p-17, 0x1.2d01ce66f5befp-17, 0x1.2ae43fe269ff5p-17, 0x1.28c8ae38b48adp-17, 0x1.26a9094cdb225p-17, 0x1.249083e0fc335p-17, 0x1.227a3a00649c2p-17, 0x1.20611ced77c7bp-17, 0x1.1e4901e9c7edap-17, 0x1.1c2893cb4c02fp-17, 0x1.1a575c6097d11p-17, 0x1.17bcca06e3c71p-17, 0x1.15d4ec18958cfp-17, 0x1.13b1562f04ae1p-17, 0x1.118b3f106d4ccp-17, 0x1.0f61ec4141e96p-17, 0x1.0d3509c5ae0b7p-17, 0x1.0ade087d90695p-17, 0x1.08d42ac65eca3p-17, 0x1.069e261f19c3bp-17, 0x1.04653255764bp-17, 0x1.0226e7d848a45p-17, 0x1.ffc848552cc75p-18, 0x1.fb3c26d7d319dp-18, 0x1.f6a21cf5ec05fp-18, 0x1.f249a66afe8cdp-18, 0x1.ed674b024c18p-18, 0x1.e8aaabde8d815p-18, 0x1.e3f160f7ee848p-18, 0x1.df07e8785b80dp-18, 0x1.da9150bca7cd5p-18, 0x1.d57f96f7cdcfdp-18, 0x1.d09da1981ca6fp-18, 0x1.cbbded37cde88p-18, 0x1.c6ca0983812ebp-18, 0x1.c1ccb1d202e45p-18, 0x1.bcc759d6283ap-18, 0x1.b7bac26aeef35p-18, 0x1.b2a7fa4b441dcp-18, 0x1.ae024c3cacd5cp-18, 0x1.a81f6b522019fp-18, 0x1.a324b6643e051p-18, 0x1.9de8ec9829a3fp-18, 0x1.98a74aab51506p-18, 0x1.9361a48f9290dp-18, 0x1.8e0f5c88bb804p-18, 0x1.88d0a2ec2f093p-18, 0x1.8354d8528b20fp-18, 0x1.7deda7277de5bp-18, 0x1.7880a84403194p-18, 0x1.730da2edf66b4p-18, 0x1.6d94a2cc5eb5ep-18, 0x1.6815bbb9d4868p-18, 0x1.62915d0c23e3fp-18, 0x1.5d0a14e4bd529p-18, 0x1.5750c9f55e73fp-18, 0x1.51a631a3516ebp-18, 0x1.4c53568a0fdep-18, 0x1.46b5bce0e0a3ep-18, 0x1.4117072df8c83p-18, 0x1.3b74ff614cceep-18, 0x1.35cffa0d6c51ap-18, 0x1.3028af68aca79p-18, 0x1.2a7f0ad6da9bep-18, 0x1.24d31a8faad32p-18, 0x1.1f25f28278d8ep-18, 0x1.1974d273ccc89p-18, 0x1.13c6dddb5e28dp-18, 0x1.0e1552264a96ep-18, 0x1.08622c0c79963p-18, 0x1.02b8baac803c4p-18, 0x1.fa82cfe339f07p-19, 0x1.ee95925cfb5f4p-19, 0x1.e3989c1734d26p-19, 0x1.d7ef3aa6b6ec5p-19, 0x1.cc7b8563fdfeep-19, 0x1.c13487127b386p-19, 0x1.b5e7eebccf506p-19, 0x1.aaa0cdfdccaefp-19, 0x1.9f892903d33acp-19, 0x1.9362ef58ed6d8p-19, 0x1.88d5ca72482a2p-19, 0x1.7d9a3558b6699p-19, 0x1.726a1c5c72c6ep-19, 0x1.6743d8e14d164p-19, 0x1.5c26b9e6cc71ep-19, 0x1.5112f6344daabp-19, 0x1.46090434f0ce5p-19, 0x1.3b095dea4d4dbp-19, 0x1.30147dcb79bf2p-19, 0x1.252d3663de56cp-19, 0x1.1a4d0de5052f1p-19, 0x1.0f7b6231e6017p-19, 0x1.04b65299da18bp-19, 0x1.f3fd664cfae46p-20, 0x1.deabba1d2f372p-20, 0x1.c97a96007f11dp-20, 0x1.b45a9fd658ab4p-20, 0x1.9f550e46c50b3p-20, 0x1.8a7997b28a909p-20, 0x1.75de4ccd36392p-20, 0x1.6019a208c118dp-20, 0x1.4c75960b931eap-20, 0x1.3867de797c7d2p-20, 0x1.241c95391356dp-20, 0x1.10034199c4b74p-20, 0x1.f8253b9c63b2dp-21, 0x1.d08d311c10f26p-21, 0x1.a94c84e055248p-21, 0x1.824b2999e2a2fp-21, 0x1.5b8be49424f9bp-21, 0x1.3522cd795cbddp-21, 0x1.0f3b227402eb6p-21, 0x1.db8c470f47f49p-22, 0x1.877ab43a9da92p-22, 0x1.3e85ad2c6ae41p-22, 0x1.e77236854c2a6p-23, 0x1.555bfee19bbc5p-23, 0x1.8c03cbdf4bcb6p-24, 0x1.efcb99d32b52bp-26, -0x1.41c9599e6a51ep-25, -0x1.c747da6e5377cp-24, -0x1.6e98a4fd2868cp-23, -0x1.f81bb271fc4bcp-23, -0x1.40d82469b3bcep-22, -0x1.82d3ca00eec6ep-22, -0x1.c7a05a8a097f4p-22, -0x1.040c51d31279p-21, -0x1.24a94193eff95p-21, -0x1.44e1491d13b33p-21, -0x1.64c83b04a4dc6p-21, -0x1.84479fa73d3cep-21, -0x1.a3670b832d1p-21, -0x1.c239789382dbcp-21, -0x1.e07c027da6e2dp-21, -0x1.fe8d16f1765bbp-21, -0x1.0e1fccf1dd5e5p-20, -0x1.1cbcf3226abdep-20, -0x1.2b1fefee28732p-20, -0x1.395e7a5150fb5p-20, -0x1.4771d27bef76ap-20, -0x1.555155237d779p-20, -0x1.62f97f489d0acp-20, -0x1.707a38e04f36cp-20, -0x1.7dc5024e77908p-20, -0x1.8adeeebbd2272p-20, -0x1.97c84fcad58d8p-20, -0x1.a480fa242fc82p-20, -0x1.b108ff8f67bc5p-20, -0x1.bd60733f88ac9p-20, -0x1.c986bff2449b7p-20, -0x1.d57b38e14cfe4p-20, -0x1.e13b967fb039ep-20, -0x1.ecbca60f2ed09p-20, -0x1.f843083cb03e9p-20, -0x1.01bc6ebc859e1p-19, -0x1.072f563318c5bp-19, -0x1.0cdb4e862ab63p-19, -0x1.1256f36abcd4bp-19, -0x1.172a64f83e5b8p-19, -0x1.1c7b90b3f986p-19, -0x1.215bb7c95852dp-19, -0x1.26473abb0878dp-19, -0x1.2b208f5c8822dp-19, -0x1.2fe30fb9b2e4ep-19, -0x1.34903ab2ad114p-19, -0x1.390d009931b9p-19, -0x1.3da5d1e1a7895p-19, -0x1.4204ccc52f672p-19, -0x1.464f5acac39cfp-19, -0x1.4a812e5d62cc3p-19, -0x1.4f437d148849p-19, -0x1.53326cae790cfp-19, -0x1.569b013775513p-19, -0x1.5a834b30c2814p-19, -0x1.5e5164056086cp-19, -0x1.626326a6ff6eep-19, -0x1.6565687b7e39ep-19, -0x1.687c9dd1ba8dep-19, -0x1.6c811c59bc29fp-19, -0x1.6fe754fff408ep-19, -0x1.7329f75974d5dp-19, -0x1.7654ac1875896p-19, -0x1.796bba5116f21p-19, -0x1.7c7607fb6c41ap-19, -0x1.7f672e2b38ee4p-19, -0x1.8242c321966eap-19, -0x1.850a4cfc1950dp-19, -0x1.87bf591fe21a2p-19, -0x1.8a4b3768df52cp-19, -0x1.8ce95e3c9add4p-19, -0x1.8f5c57c210d2ep-19, -0x1.91bedea39bc9ep-19, -0x1.940e540dc3e92p-19, -0x1.964a26a973fe8p-19, -0x1.9871b0fb59b7ep-19, -0x1.9a88e30f2b031p-19, -0x1.9c924c5b28e13p-19, -0x1.9e6b40bba232ap-19, -0x1.a05bb970466aep-19, -0x1.a228a56666c0ap-19, -0x1.a3e3ef10a2e7ap-19, -0x1.a588696ce7f17p-19, -0x1.a723b5fe8a521p-19, -0x1.a8a7dacc4f173p-19, -0x1.aa1c079a9d685p-19, -0x1.ab82bee74316p-19, -0x1.acd38e6156d3cp-19, -0x1.adcfa6bcdb3a7p-19, -0x1.af4abaf906eb4p-19, -0x1.b067799936ad4p-19, -0x1.b1716da76a298p-19, -0x1.b2720c338844dp-19, -0x1.b36518fa4fe55p-19, -0x1.b446a02e75145p-19, -0x1.b5180fd414aa2p-19, -0x1.b5dd14b307474p-19, -0x1.b68ddc1473ccdp-19, -0x1.b73498807186cp-19, -0x1.b7c8325ff56afp-19, -0x1.b84fc63d02607p-19, -0x1.b8c89ce87aa9fp-19, -0x1.b93647aab8a1ap-19, -0x1.b9935ff38263dp-19, -0x1.b9e19ad9264fap-19, -0x1.ba227fc88adf8p-19, -0x1.ba583538face9p-19, -0x1.ba43b8758cf02p-19, -0x1.ba9395a395f9dp-19, -0x1.baa1f7c3bfdbbp-19, -0x1.baa87db978515p-19, -0x1.ba9f2ac12013dp-19, -0x1.ba85fc0d3e0f5p-19, -0x1.ba64c0c86edbfp-19, -0x1.ba16c89264556p-19, -0x1.b9c4362f5dc1cp-19, -0x1.b9a84b6bf8bc1p-19, -0x1.b95cf876104efp-19, -0x1.b901a3763ede6p-19, -0x1.b897432c06a09p-19, -0x1.b822a8b172677p-19, -0x1.b79bd95d47ce6p-19, -0x1.b6c20366a338cp-19, -0x1.b63ed8fcacb7bp-19, -0x1.b5facc722175p-19, -0x1.b541fbed91f41p-19, -0x1.b49e7723f5b55p-19, -0x1.b3e9aa482d78ap-19, -0x1.b3064da8b7d5bp-19, -0x1.b245958599d56p-19, -0x1.b177dac2a0a9p-19, -0x1.b091b3a53f6a5p-19, -0x1.afb4817d70108p-19, -0x1.aec3fada0dba2p-19, -0x1.adc9963d22752p-19, -0x1.acc6ed4e95b08p-19, -0x1.abbf6f8508529p-19, -0x1.aab34d7766f0cp-19, -0x1.a993771671e5fp-19, -0x1.a87299b97bae9p-19, -0x1.a7515ee89b84fp-19, -0x1.a61d25dfaaa35p-19, -0x1.a4e5b6473e9abp-19, -0x1.a3ac1988cb13bp-19, -0x1.a26ad9729bea7p-19, -0x1.a0e8a15a7860ep-19, -0x1.9fca580ae017dp-19, -0x1.9e72b8188f11cp-19, -0x1.9d1393089c2d1p-19, -0x1.9bc9d0650b185p-19, -0x1.9a43236125d91p-19, -0x1.98d1e77ec230cp-19, -0x1.975801975c85cp-19, -0x1.9612d06ecc707p-19, -0x1.945d1579f45e3p-19, -0x1.92d7df3d6e33bp-19, -0x1.914d0ca36fb54p-19, -0x1.8fb6088f977fap-19, -0x1.8e260e3d5813fp-19, -0x1.8c89b3edf8bdbp-19, -0x1.8aeb91e282e26p-19, -0x1.8971740a38a42p-19, -0x1.879dd92b7b0c5p-19, -0x1.85ef752c16367p-19, -0x1.843d711443031p-19, -0x1.829d804f5e347p-19, -0x1.8030c9249c113p-19, -0x1.7f0cd4a94938cp-19, -0x1.7d4f882eee99bp-19, -0x1.7b8ebbc15d77ep-19, -0x1.79c5f50b56c47p-19, -0x1.77fa95c03cc71p-19, -0x1.7628ab72c475p-19, -0x1.743c5090c5c3ep-19, -0x1.7286a75580d6ap-19, -0x1.70abd165c50e1p-19, -0x1.6ed062cd83b7bp-19, -0x1.6cebf3e2a9dd1p-19, -0x1.6b0cadde3b0d6p-19, -0x1.698b0982ae04fp-19, -0x1.6743e37080508p-19, -0x1.6561195b43ec8p-19, -0x1.638ba455d50d4p-19, -0x1.618ea2bb3a03cp-19, -0x1.5f9fbe29157f3p-19, -0x1.5db016ec47513p-19, -0x1.5bba99b9d8a2ep-19, -0x1.59c9bc3489f92p-19, -0x1.57d3f6abdbdffp-19, -0x1.55dbb1cd9c716p-19, -0x1.53e1d2326f11dp-19, -0x1.5187c5824ce3cp-19, -0x1.4fea2151980dcp-19, -0x1.4debdf3b79084p-19, -0x1.4c2a33cb00bbdp-19, -0x1.49eda8fa21e1ap-19, -0x1.47f99333a2d7bp-19, -0x1.45f6a22e2afecp-19, -0x1.43dc5d5765244p-19, -0x1.41f4cc5b89c57p-19, -0x1.3ff08690e1bb4p-19, -0x1.3de98d51607d5p-19, -0x1.3b9368a69cc0bp-19, -0x1.39df013c7eb4cp-19, -0x1.37dd65d82d777p-19, -0x1.35d7642ecce93p-19, -0x1.33d19a5df681dp-19, -0x1.31c7955a31dc2p-19, -0x1.2fc59835b34dbp-19, -0x1.2dbd1d2e6b576p-19, -0x1.2bb4f022b2fa5p-19, -0x1.29eb3cb442468p-19, -0x1.27aa29ba25679p-19, -0x1.25b0c5e1822eap-19, -0x1.239f29574a9dap-19, -0x1.21a321e1d4a08p-19, -0x1.1fa3e9fbe0b93p-19, -0x1.1d923dd5b8ffep-19, -0x1.1b744d2f386c4p-19, -0x1.198a875d18341p-19, -0x1.17855b67b3541p-19, -0x1.1583b57a10002p-19, -0x1.13816ded61c0cp-19, -0x1.117fbb65971afp-19, -0x1.0f7e52c5d409ap-19, -0x1.0d7e8a4014899p-19, -0x1.0b7fa6235b2aap-19, -0x1.097e16cb7c926p-19, -0x1.07c000a3a835fp-19, -0x1.058b46bc2eaefp-19, -0x1.0390ad98e1ab4p-19, -0x1.019389da6a323p-19, -0x1.ff3638119c1fap-20, -0x1.fb46bab8fb003p-20, -0x1.f759629059c49p-20, -0x1.f3774ea2df031p-20, -0x1.ef8944780cf2ep-20, -0x1.eba1f6e5ce944p-20, -0x1.e7c0e3fdd88f2p-20, -0x1.e3de924760b44p-20, -0x1.e0164635aec07p-20, -0x1.dc28c2c1ae3cbp-20, -0x1.d8516abb76731p-20, -0x1.d47a957bcafdcp-20, -0x1.d0a5ec8d4628p-20, -0x1.ccd71949f65f1p-20, -0x1.c9d75f22b6bc6p-20, -0x1.c55aff288548fp-20, -0x1.c182f681eb555p-20, -0x1.bdbbfa557a7bap-20, -0x1.b9f6b0fe08264p-20, -0x1.b650ab22c5762p-20, -0x1.b298c24de344cp-20, -0x1.aedf03556dfe1p-20, -0x1.ab35f67a973cdp-20, -0x1.a78cda23ba80fp-20, -0x1.a3e6d4af47dc6p-20, -0x1.a043e108e9fa2p-20, -0x1.9ca9d769a9e4ap-20, -0x1.990656ef11526p-20, -0x1.9571e33a141e9p-20, -0x1.91d9b14cac944p-20, -0x1.8e48401047b4cp-20, -0x1.8aabc48c956f3p-20, -0x1.87bed760a105cp-20, -0x1.83ae0b024d05ep-20, -0x1.8031fd872b2adp-20, -0x1.7cb806284433bp-20, -0x1.7941a0fad643fp-20, -0x1.75cf9a5ad6587p-20, -0x1.725f80f99581ap-20, -0x1.6efabb2ed25f5p-20, -0x1.6baaeab80ab39p-20, -0x1.682acd77361fcp-20, -0x1.64cccdd4c95b5p-20, -0x1.6178c876b348fp-20, -0x1.5e25aa9adbfbbp-20, -0x1.5ad467046034p-20, -0x1.5787fb5be7353p-20, -0x1.544093ce5a969p-20, -0x1.50fda6262b92ep-20, -0x1.4db5075efd52ep-20, -0x1.4a7a493fa1c76p-20, -0x1.47498e4c345c3p-20, -0x1.447104c44300fp-20, -0x1.413f1b25d244cp-20, -0x1.3dd007fab874ap-20, -0x1.3aad5a6b63213p-20, -0x1.378f4174d3512p-20, -0x1.3476922405cacp-20, -0x1.3161fa10ddfa8p-20, -0x1.2e50e6160483p-20, -0x1.2b42c4840b559p-20, -0x1.283c9e64dc20ep-20, -0x1.25125519f5607p-20, -0x1.223c3dd13ff3ep-20, -0x1.1f478ae2cfe8fp-20, -0x1.1c5726f35b4d9p-20, -0x1.1969cdad9a13bp-20, -0x1.167e4af37ecc1p-20, -0x1.1393f1af9b3e6p-20, -0x1.10b8a20985d5ap-20, -0x1.0dded8e310a87p-20, -0x1.0b05e3e6e5fe1p-20, -0x1.0832aa24b59cfp-20, -0x1.056663db6151dp-20, -0x1.029d0d348353bp-20, -0x1.ffab3d7b72749p-21, -0x1.fa84e07febb34p-21, -0x1.f4a8e6587e256p-21, -0x1.ef5e66d765e2ep-21, -0x1.e9bf314e2a15bp-21, -0x1.e47a92fd55ee9p-21, -0x1.df308494c3dedp-21, -0x1.d9e174187b729p-21, -0x1.d4cad0058b369p-21, -0x1.cf8222b3dd627p-21, -0x1.cb395fc5096ffp-21, -0x1.c54369a7df3b6p-21, -0x1.c0342227a8cb9p-21, -0x1.bb1d4baeb70dbp-21, -0x1.b61faf723d95dp-21, -0x1.b127d34af8583p-21, -0x1.ac361438afd04p-21, -0x1.a7102af312d26p-21, -0x1.a21f50aa9f816p-21, -0x1.9d9cb35336903p-21, -0x1.989188561503p-21, -0x1.93b701f42cae7p-21, -0x1.8f4f120660709p-21, -0x1.8a9ee6e636cb7p-21, -0x1.85f715d8adb85p-21, -0x1.8155cff9724d5p-21, -0x1.7cbdbb5cd100ap-21, -0x1.7843799ec57bep-21, -0x1.7374f0d91984ap-21, -0x1.6f3069bff55c3p-21, -0x1.6abc9f6abc88bp-21, -0x1.665b29e31d767p-21, -0x1.625f352423b85p-21, -0x1.5d967852b2079p-21, -0x1.597337a026f9p-21, -0x1.5523359ea73a6p-21, -0x1.50d3175f3c1d1p-21, -0x1.4ca0cecb758efp-21, -0x1.48762be80c345p-21, -0x1.445433c55f029p-21, -0x1.3ffa3e7db78f5p-21, -0x1.3c2981183c9b8p-21, -0x1.381d87a8824dbp-21, -0x1.34237301ef425p-21, -0x1.3032caa81b0b1p-21, -0x1.2c3b18c9e7e44p-21, -0x1.2850afe1aaf0dp-21, -0x1.247773b07a1fdp-21, -0x1.20a49fba5da44p-21, -0x1.1cd87ce8fd6a2p-21, -0x1.19132a76d19c2p-21, -0x1.1556062b2ddcbp-21, -0x1.119dd3358b9e7p-21, -0x1.0df49cd091f6cp-21, -0x1.0a494803d1908p-21, -0x1.06848d5bab3a1p-21, -0x1.0331bc5cf9ddep-21, -0x1.fe8af07ff2f0fp-22, -0x1.f81eb80c72c2ap-22, -0x1.f1779ef4f3061p-22, -0x1.ea473d025167ep-22, -0x1.e3bb47ae33104p-22, -0x1.dca56c3a2f113p-22, -0x1.d5f7519042a5p-22, -0x1.cf50b1e29c287p-22, -0x1.c8b19cac7d21p-22, -0x1.c23bdf44ad32ep-22, -0x1.bbb990c62b8dap-22, -0x1.b53692cb0513ap-22, -0x1.aee23ed0ff29dp-22, -0x1.a89255ae6b0a4p-22, -0x1.a2693167148c6p-22, -0x1.9c3428f387d73p-22, -0x1.961eb5835fa3fp-22, -0x1.900ad8f42644ep-22, -0x1.89ea4d31820a5p-22, -0x1.83d2f443a10dbp-22, -0x1.7e2a07674236bp-22, -0x1.781ec2b278ad5p-22, -0x1.727bba58e89fdp-22, -0x1.6cc7acbbf1ebdp-22, -0x1.671bfe051620ep-22, -0x1.617b4337c28acp-22, -0x1.5ba6d9dd21bbp-22, -0x1.55886136beaeep-22, -0x1.50ed0e8ada321p-22, -0x1.4b8bd4216fb5cp-22, -0x1.4626841a7d4f4p-22, -0x1.411b29806e13dp-22, -0x1.3bb9e9af298fcp-22, -0x1.368734a80c91fp-22, -0x1.314c370c170b5p-22, -0x1.2b97149ca740cp-22, -0x1.272a2cb4ca8d2p-22, -0x1.222d8608b42efp-22, -0x1.1d4c0ebef0917p-22, -0x1.185ef310e63d4p-22, -0x1.1387438fbff6bp-22, -0x1.0ec758d7cc48dp-22, -0x1.09ffdccdae2acp-22, -0x1.054f553173c4p-22, -0x1.00ab0c15bcc67p-22, -0x1.f825a5a93e5e3p-23, -0x1.ef0db6631a364p-23, -0x1.e6011886a73bbp-23, -0x1.dd3abf09e74bfp-23, -0x1.d45b47a212895p-23, -0x1.cb8ae9086a6ebp-23, -0x1.c2fda525a0066p-23, -0x1.b960b2620ff61p-23, -0x1.b1ec694384f6cp-23, -0x1.a9a2a18b7f586p-23, -0x1.a170225761ddp-23, -0x1.99368d2218de3p-23, -0x1.910c54676a5c7p-23, -0x1.88bd03a5ab09cp-23, -0x1.81344f4175b63p-23, -0x1.7961d0411a274p-23, -0x1.71a12c7f3c0edp-23, -0x1.69f13b378c04bp-23, -0x1.625a185539be9p-23, -0x1.5af7477c04ba6p-23, -0x1.54393aa8ec841p-23, -0x1.4c2e586de1123p-23, -0x1.44eb06589f9aep-23, -0x1.3db98fbc534a4p-23, -0x1.36b19ace05a4p-23, -0x1.2fb9997a543cep-23, -0x1.28c20d14f5d74p-23, -0x1.21e7742e53247p-23, -0x1.1b23076d35d4ep-23, -0x1.14830a7f0714ep-23, -0x1.0e43da8b4f2c1p-23, -0x1.07544c8d264a3p-23, -0x1.00eec85077828p-23, -0x1.f4f134d06bda8p-24, -0x1.e8642cd3852bep-24, -0x1.dbeffdbe89632p-24, -0x1.cf9af3c305668p-24, -0x1.c33cfec54ba0dp-24, -0x1.b74dddd2454a7p-24, -0x1.ab6dc9ccc2e9dp-24, -0x1.9fac9214ef8e1p-24, -0x1.940d32e1d9415p-24, -0x1.8908e49e90eap-24, -0x1.7d2cf7490e95p-24, -0x1.72096f858e5ffp-24, -0x1.67fd7b928e75ap-24, -0x1.5c364fe6e5c4ep-24, -0x1.511ea4275ce47p-24, -0x1.4693dcd227888p-24, -0x1.3c335a31773dcp-24, -0x1.31b08afa5f0edp-24, -0x1.2603c6bd07afep-24, -0x1.1b23551856c27p-24, -0x1.1337f34818f88p-24, -0x1.095a939a2e643p-24, -0x1.feebaa6ca02e1p-25, -0x1.ebeed3eb08845p-25, -0x1.d95ac1637bf21p-25, -0x1.c5134bb48c1d8p-25, -0x1.b35bf23d0731fp-25, -0x1.a114ce9addcc9p-25, -0x1.8ef1229079dc6p-25, -0x1.7d16c1164f0cep-25, -0x1.6b8f510800c4p-25, -0x1.562d5c4f5cd84p-25, -0x1.4b2add7ad3cc2p-25, -0x1.37e4defabb65p-25, -0x1.2771621d9e7d6p-25, -0x1.1683e1d7e722bp-25, -0x1.06844c1fdf986p-25, -0x1.eca02d1a5cde8p-26, -0x1.cc8fb9f2eb966p-26, -0x1.acd6b546174e3p-26, -0x1.8ec561e82fe8p-26, -0x1.7063ea8962ec9p-26, -0x1.525eba043ee74p-26, -0x1.3545c879cfc82p-26, -0x1.171a966fb7b16p-26, -0x1.f5739a7f40f77p-27, -0x1.c73f4ea43d7dep-27, -0x1.88a9763f13589p-27, -0x1.4ded65e2a731cp-27, -0x1.17855763b6c2fp-27, -0x1.bdf2e2ce245d1p-28, -0x1.587e01425a91dp-28, -0x1.e0ea01808419dp-29, -0x1.10078151a831p-29, -0x1.287a3f80353d3p-31, 0x1.0807c4bf1cd3ap-30, 0x1.3be23eaa51b9dp-29, 0x1.00841f1428478p-28, 0x1.641686f9948e9p-28, 0x1.c5a1217c3dce7p-28, 0x1.0e5c50ce18994p-27, 0x1.3dc8816662c2bp-27, 0x1.69129abc9423p-27, 0x1.9888e76f981bdp-27, 0x1.c0d32c2efe0d7p-27, 0x1.ecb35ff114e3dp-27, }}, 
      std::vector<double>(1250, 0.0), 
      {{-0x1.41db177345a9ep-7, -0x1.a1ff21291b3bcp-6, -0x1.894d2049ce7c6p-5, -0x1.356409e7fefc6p-4, -0x1.af7265b7aacdbp-4, -0x1.13b49a1e97007p-3, -0x1.49cd1ca437508p-3, -0x1.7663a8fa023b3p-3, -0x1.971aa91fd7917p-3, -0x1.aab658163e063p-3, -0x1.b0ebb5ee7f733p-3, -0x1.aa2b4ff712424p-3, -0x1.976ec0e84073cp-3, -0x1.7a0c58fe51486p-3, -0x1.5391aea4eac4dp-3, -0x1.25a5d29f2ff3cp-3, -0x1.e3e3fc7c6cc62p-4, -0x1.7420b69062402p-4, -0x1.fdfef86617a25p-5, -0x1.0e6f1b95f7715p-5, -0x1.e607362275a7cp-9, 0x1.9c0b58cc34784p-6, 0x1.b3435d6cd68ebp-5, 0x1.473d0daed1353p-4, 0x1.aeb13534df9bdp-4, 0x1.078fd6dfebc98p-3, 0x1.33f41a8e854c7p-3, 0x1.5c50a08d95e15p-3, 0x1.808872a943bfap-3, 0x1.a092da758f4c4p-3, 0x1.bc781b379551ep-3, 0x1.d44e85408d682p-3, 0x1.e837ab8083438p-3, 0x1.f85e0bc447efep-3, 0x1.027973f9bcbd7p-2, 0x1.071637c1cd711p-2, 0x1.0a2211129f2afp-2, 0x1.0bbabc63f66d3p-2, 0x1.0bfe59812d492p-2, 0x1.0b0af6153c61bp-2, 0x1.08fe262d6106ap-2, 0x1.05f4b441dbca7p-2, 0x1.020a6296538d7p-2, 0x1.fab376b06c8fap-3, 0x1.eff7dc7b16ce9p-3, 0x1.e41172ee13b9ap-3, 0x1.d72cb36d77bb4p-3, 0x1.c97310d8f1fa3p-3, 0x1.bb0aebb91e1bdp-3, 0x1.ac17a8eb35b2fp-3, 0x1.9cb9bc07b05e1p-3, 0x1.8d0ec45e303bep-3, 0x1.7d31a93ffcb63p-3, 0x1.6d3abbb5a3023p-3, 0x1.5d3fd9be1d29dp-3, 0x1.4d549342e6d67p-3, 0x1.3d8a4f63c9a7ap-3, 0x1.2df071bb92e7ep-3, 0x1.1e947f4447aa8p-3, 0x1.0f82423c2cbacp-3, 0x1.00c3eb9b72106p-3, 0x1.e4c472778429p-4, 0x1.c8c91a3a10992p-4, 0x1.ada228798bd4ep-4, 0x1.9359bb4feae75p-4, 0x1.79f7ec33251c9p-4, 0x1.6183051142cafp-4, 0x1.49ffa89ffde2dp-4, 0x1.337102d166a77p-4, 0x1.1dd8ed3dfbb89p-4, 0x1.093814e5da42cp-4, 0x1.eb1c374534a31p-5, 0x1.c5b36a86691dp-5, 0x1.a2318eec769ap-5, 0x1.8090ffb09a5cp-5, 0x1.60cad9ba9b6dp-5, 0x1.42d727118308ep-5, 0x1.26ad04325ebadp-5, 0x1.0c42c3f62c4b6p-5, 0x1.e71c1e98b752p-6, 0x1.b90801f88e8edp-6, 0x1.8e3278a16f47ap-6, 0x1.66842a476d59cp-6, 0x1.41e513da31141p-6, 0x1.203cd1ce4b72ap-6, 0x1.0172be5e788efp-6, 0x1.cadc0d5c8d736p-7, 0x1.982b8c7502708p-7, 0x1.6aa2490193bf7p-7, 0x1.420ec81b959ebp-7, 0x1.1e3ff18648d43p-7, 0x1.fe0a4ec2df3aap-8, 0x1.c85cdfd46e20bp-8, 0x1.9b1901c31dd67p-8, 0x1.75e1b720c646bp-8, 0x1.585bb6af7ce58p-8, 0x1.422d99af41997p-8, 0x1.32ffdb9b7db79p-8, 0x1.2a7d059b3d697p-8, 0x1.2851bac4d0b79p-8, 0x1.2c2cbeae1fab4p-8, 0x1.35bf0924e23fcp-8, 0x1.44bbc702d0d56p-8, 0x1.58d864bf94ce2p-8, 0x1.71cc85a26a8f1p-8, 0x1.8f521ad18d85ep-8, 0x1.b12540457f5cdp-8, 0x1.d704672026a37p-8, 0x1.00580e6fb1b5p-7, 0x1.16f598c892283p-7, 0x1.2f3d4e4db2fdcp-7, 0x1.4912b11921d8dp-7, 0x1.645a604502555p-7, 0x1.80fa07c2b6dep-7, 0x1.9ed83109b1c22p-7, 0x1.bddc8d7e44e9ap-7, 0x1.ddefafd2994e8p-7, 0x1.fefb23f46a27fp-7, 0x1.1074afd5e0c52p-6, 0x1.21d2df496bcf8p-6, 0x1.338e3f25ec735p-6, 0x1.459d5a50488d8p-6, 0x1.57f7257925619p-6, 0x1.6a92fc0a982d9p-6, 0x1.7d689d4a09c44p-6, 0x1.9070286a32183p-6, 0x1.a3a219be83f4cp-6, 0x1.b6f74886baff2p-6, 0x1.ca68e2f763fbp-6, 0x1.ddf06a634c324p-6, 0x1.f187b280ab1ep-6, 0x1.02946e9e9686cp-5, 0x1.0c672b9280e9p-5, 0x1.16396af1a6196p-5, 0x1.2008aa9bdddb9p-5, 0x1.29d289ed6f885p-5, 0x1.3394c81a2664ap-5, 0x1.3d4d442d5e4c6p-5, 0x1.46f9fa222cf33p-5, 0x1.5099032f15719p-5, 0x1.5a2892ba244f3p-5, 0x1.63a6f8099627ap-5, 0x1.6d129a223888dp-5, 0x1.7669f8a282c38p-5, 0x1.7faba99688a29p-5, 0x1.88d65979154ccp-5, 0x1.91e8c9c7b4b7dp-5, 0x1.9ae1cfb9d94ebp-5, 0x1.a3c05386b3104p-5, 0x1.ac83502b6f704p-5, 0x1.b529d1eec82f2p-5, 0x1.bdb2f2558ec13p-5, 0x1.c61de44b8672ep-5, 0x1.ce69dc41fb2acp-5, 0x1.d696278890e7fp-5, 0x1.dea21cf184554p-5, 0x1.e68d2067b0cccp-5, 0x1.ee56a258739e7p-5, 0x1.f5fe1f002a75bp-5, 0x1.fd831dd75c037p-5, 0x1.02729858ddc36p-4, 0x1.0611f9aa162fep-4, 0x1.099f8582b18dap-4, 0x1.0d1b132ac6fbep-4, 0x1.10847e1e4ba26p-4, 0x1.13dba5ee1d69dp-4, 0x1.17206dd822a29p-4, 0x1.1a52bcec4e0c9p-4, 0x1.1d727db8e7dd5p-4, 0x1.207f9e0753aa7p-4, 0x1.237a0eb361d67p-4, 0x1.2661c38608289p-4, 0x1.2936b3274a57fp-4, 0x1.2bf8d6ca09dc4p-4, 0x1.2ea82a5bd5ddfp-4, 0x1.3144abf6ea5ddp-4, 0x1.33ce5c0462f5ap-4, 0x1.36453d15c6418p-4, 0x1.38a953ccbc71fp-4, 0x1.3afaa6cad7031p-4, 0x1.3d393e62b6c25p-4, 0x1.3f6524ae6cb3ap-4, 0x1.417e658d73cd8p-4, 0x1.43850e562d5f2p-4, 0x1.45792df501181p-4, 0x1.475ad4c998cabp-4, 0x1.492a1484a31e1p-4, 0x1.4ae700225893dp-4, 0x1.4c91abe4efaa4p-4, 0x1.4e2a2d564e82ap-4, 0x1.4fb09b1464c45p-4, 0x1.51250cdc9ac6dp-4, 0x1.52879b6f9cdb7p-4, 0x1.53d860940012bp-4, 0x1.55177719aeda7p-4, 0x1.5644fad0baad7p-4, 0x1.5761088db6e42p-4, 0x1.586bbc74cd3c2p-4, 0x1.5965373ba18f1p-4, 0x1.5a4d95ffa9d52p-4, 0x1.5b24f9b601587p-4, 0x1.5beb82e3043d4p-4, 0x1.5ca152ff23491p-4, 0x1.5d468c5454f37p-4, 0x1.5ddb51b033ffap-4, 0x1.5e5fc6bb0baf2p-4, 0x1.5ed40fae848adp-4, 0x1.5f38518038db5p-4, 0x1.5f8cb1bf46189p-4, 0x1.5fd15696c7d08p-4, 0x1.600666d7f23bap-4, 0x1.602c09bdd8cbfp-4, 0x1.60426762a44ap-4, 0x1.6049a83b6b1f5p-4, 0x1.6041f5513b8e3p-4, 0x1.602b7833a3461p-4, 0x1.60065b356ad5ep-4, 0x1.5fd2c8b70777dp-4, 0x1.5f90ebeda2f6ep-4, 0x1.5f40f0918eaf3p-4, 0x1.5ee302b5ce81ap-4, 0x1.5e774f15247bdp-4, 0x1.5dfe0172cd05cp-4, 0x1.5d774914daa0cp-4, 0x1.5ce3538e40e6p-4, 0x1.5c424dc3ad4bcp-4, 0x1.5b946789af8c5p-4, 0x1.5ad9cfa5bd26fp-4, 0x1.5a12b5877be2ep-4, 0x1.593f490d8558p-4, 0x1.585fba49fa71ap-4, 0x1.577439be204c8p-4, 0x1.567cf8425ddbap-4, 0x1.557a26cfe5c3fp-4, 0x1.546bf6d9d4c95p-4, 0x1.53529a19bee3ep-4, 0x1.522e4274fd906p-4, 0x1.50ff22083470fp-4, 0x1.4fc56b51219dfp-4, 0x1.4e8150e8fe7a5p-4, 0x1.4d330587a788dp-4, 0x1.4bdabc40623f8p-4, 0x1.4a78a84c7c797p-4, 0x1.490cfcecbc573p-4, 0x1.4797ed8cfa3a4p-4, 0x1.4619adc656021p-4, 0x1.4492718e5a3afp-4, 0x1.43026bc78eebdp-4, 0x1.4169d17d8f796p-4, 0x1.3fc8d5837ebd3p-4, 0x1.3e1fac5eaeb0fp-4, 0x1.3c6e89c3f161bp-4, 0x1.3ab5a19a62a5dp-4, 0x1.38f527d522d92p-4, 0x1.372d504a1a7efp-4, 0x1.355e4ed05cfecp-4, 0x1.3388572a22b2ap-4, 0x1.31ab9ce32e52fp-4, 0x1.2fc8539d24a65p-4, 0x1.2ddeaec3325b2p-4, 0x1.2beee1964c308p-4, 0x1.29f91f31f381bp-4, 0x1.27fd9a924a4d9p-4, 0x1.25fc86728cddap-4, 0x1.23f6155dfe8dap-4, 0x1.21ea79a7babdap-4, 0x1.1fd9e567f4f52p-4, 0x1.1dc48a6a0f7bfp-4, 0x1.1baa9a448cd22p-4, 0x1.198c463937d23p-4, 0x1.1769bf380df3cp-4, 0x1.154335e33034dp-4, 0x1.1318da8917335p-4, 0x1.10eadd1e81154p-4, 0x1.0eb96d392a46dp-4, 0x1.0c84ba0e24a0bp-4, 0x1.0a4cf27150a6ap-4, 0x1.081244d00a223p-4, 0x1.05d4df2a57b1ep-4, 0x1.0394ef1c21b9p-4, 0x1.0152a13a7543p-4, 0x1.fe1c460b3d058p-5, 0x1.f98f41092db11p-5, 0x1.f4fe89d4cc595p-5, 0x1.f06a7761a55c4p-5, 0x1.ebd35f55c5287p-5, 0x1.e73995ff36651p-5, 0x1.e29d6eb0a0573p-5, 0x1.ddff3bb38bf68p-5, 0x1.d95f4e50ee48dp-5, 0x1.d4bdf6a1f0cacp-5, 0x1.d01b8398e7751p-5, 0x1.cb784337cd94bp-5, 0x1.c6d48210aebbbp-5, 0x1.c2308bc55d20cp-5, 0x1.bd8caaa769f32p-5, 0x1.b8e92897de797p-5, 0x1.b4464aef8b5c5p-5, 0x1.afa45dab783a2p-5, 0x1.ab03a0f11b4b2p-5, 0x1.a6645c074ef67p-5, 0x1.a1c6d109c75a9p-5, 0x1.9d2b425bb4546p-5, 0x1.9891f057f6de5p-5, 0x1.93fb1a54b2f8ep-5, 0x1.8f66fe4793dbcp-5, 0x1.8ad5d926fad4p-5, 0x1.8647e65e94f1ap-5, 0x1.81bd6044bfc2cp-5, 0x1.7d367fa7ee222p-5, 0x1.78b37c4fc08bcp-5, 0x1.74348c9f29b42p-5, 0x1.6fb9e5b1064a1p-5, 0x1.6b43bb51089ep-5, 0x1.66d2400d611efp-5, 0x1.6265a52c3199bp-5, 0x1.5dfe1a9d13409p-5, 0x1.599bcf1b40cd3p-5, 0x1.553ef01f98615p-5, 0x1.50e7a9c5a4007p-5, 0x1.4c9626fcfa9a2p-5, 0x1.484a9162a9ad1p-5, 0x1.44051159e6261p-5, 0x1.3fc5ce0970399p-5, 0x1.3b8ced5d63789p-5, 0x1.375a93f614bb2p-5, 0x1.332ee5579aa43p-5, 0x1.2f0a03ade8fc6p-5, 0x1.2aec100166967p-5, 0x1.26d52a2bb2bf3p-5, 0x1.22c570d15a7fbp-5, 0x1.1ebd0168e31c5p-5, 0x1.1abbf83ec7217p-5, 0x1.16c270784ad6p-5, 0x1.12d08415e5b78p-5, 0x1.0ee64bf94fff2p-5, 0x1.0b03dfe6b570ep-5, 0x1.072956787d1cfp-5, 0x1.0356c53e514d8p-5, 0x1.ff188172cc0f2p-6, 0x1.f793b89803e8fp-6, 0x1.f01f5492fc63ep-6, 0x1.e8bb780c85eefp-6, 0x1.e168439bd1ffp-6, 0x1.da25d5bce942cp-6, 0x1.d2f44b0e6874fp-6, 0x1.cbd3be23f0bdbp-6, 0x1.c4c4479125be6p-6, 0x1.bdc5fe1ce1277p-6, 0x1.b6d8f6a9e427ep-6, 0x1.affd4436dfde9p-6, 0x1.a932f820d5ff8p-6, 0x1.a27a221cb0882p-6, 0x1.9bd2cf12bed9p-6, 0x1.953d0b26ffab8p-6, 0x1.8eb8e151676c8p-6, 0x1.884659c8901d4p-6, 0x1.81e57b668afe8p-6, 0x1.7b964bf3bf99fp-6, 0x1.7558cf1d898d5p-6, 0x1.6f2d07534cb6bp-6, 0x1.6912f53196e6ap-6, 0x1.630a986116c74p-6, 0x1.5d13ef2a9caf6p-6, 0x1.572ef472b89d7p-6, 0x1.515ba8f043db7p-6, 0x1.4b99fd1ac9dccp-6, 0x1.45e9f1115b008p-6, 0x1.404b79efdefe3p-6, 0x1.3abe8dc9c8d41p-6, 0x1.3543217e4cb1fp-6, 0x1.2fd928d84f6a4p-6, 0x1.2a80966416955p-6, 0x1.25395b9a2ce88p-6, 0x1.200368e9d385p-6, 0x1.1adeaead9543p-6, 0x1.15cb175ffe655p-6, 0x1.10c8977805df9p-6, 0x1.0bd71384ab11dp-6, 0x1.06f67c1345ad4p-6, 0x1.0226ba770a423p-6, 0x1.facf70d7f88ep-7, 0x1.f172bdcbbc50cp-7, 0x1.e8372bf491cbap-7, 0x1.df1c89db91511p-7, 0x1.d622a481d0ed9p-7, 0x1.cd4947681c5bbp-7, 0x1.c4903c7d9b57ap-7, 0x1.bbf74cd9e6725p-7, 0x1.b37e4015a621bp-7, 0x1.ab24dcf91d7fcp-7, 0x1.a2eae8ab97e4fp-7, 0x1.9ad0276f00c2ep-7, 0x1.92d45ef6f10f6p-7, 0x1.8af74e3b3f5b3p-7, 0x1.8338b8add878dp-7, 0x1.7b985dde6c13p-7, 0x1.7415fc8ddc9c1p-7, 0x1.6cb152c9b0eb3p-7, 0x1.656a1de8fbe25p-7, 0x1.5e401abd6bd84p-7, 0x1.573305a839e1p-7, 0x1.50429aa9caf88p-7, 0x1.496e95423f3bep-7, 0x1.42b6b08f1dcb9p-7, 0x1.3c1aa83023987p-7, 0x1.359a3296c7e77p-7, 0x1.2f3509f30b17p-7, 0x1.28eae5fe82bf5p-7, 0x1.22bb7cbf66837p-7, 0x1.1ca684df86afep-7, 0x1.16abb526a8123p-7, 0x1.10cac568bd539p-7, 0x1.0b036e2bd92fap-7, 0x1.0555692f17db6p-7, 0x1.ff80e2706f49fp-8, 0x1.f4888203981b1p-8, 0x1.e9c1249c6a8a2p-8, 0x1.df2a39d276e22p-8, 0x1.d4c32ef18f43p-8, 0x1.ca8b6786c21d6p-8, 0x1.c08244d14979cp-8, 0x1.b6a7242d4cdd4p-8, 0x1.acf9625d843fbp-8, 0x1.a3785fad72c38p-8, 0x1.9a2382b200516p-8, 0x1.90fa3d35b2a4dp-8, 0x1.87fbf8405e2dcp-8, 0x1.7f285fe99b64fp-8, 0x1.767ed4ae6b755p-8, 0x1.6dfef439bea4bp-8, 0x1.65a84513f3e06p-8, 0x1.5d7a48e637635p-8, 0x1.557475401c981p-8, 0x1.4d963287a501ep-8, 0x1.45dedc48d956ap-8, 0x1.3e4dc4ad77807p-8, 0x1.36e239d7f0dc9p-8, 0x1.2f9b8c8f1f5f9p-8, 0x1.287916ec095d3p-8, 0x1.217a41adaf7e9p-8, 0x1.1a9e87151a844p-8, 0x1.13e5732e30756p-8, 0x1.0d4ea0e79abe5p-8, 0x1.06d9b681a1391p-8, 0x1.0086571893d69p-8, 0x1.f4a84a3ea7997p-9, 0x1.e885721d79139p-9, 0x1.dca33348d8805p-9, 0x1.d1007b44793a9p-9, 0x1.c59c1d633e757p-9, 0x1.ba74e24976ea9p-9, 0x1.af896220b908p-9, 0x1.a4d898d10495ap-9, 0x1.9a6126fb70a27p-9, 0x1.902212310ffdap-9, 0x1.861a66a223c29p-9, 0x1.7c495576e805ep-9, 0x1.72ae1a931e4b4p-9, 0x1.694800cacbb72p-9, 0x1.60165bf1ff9edp-9, 0x1.57186a068d7fp-9, 0x1.4e4d5d1c2629dp-9, 0x1.45b455158b004p-9, 0x1.3d4c618d61c79p-9, 0x1.351486bb9ae08p-9, 0x1.2d0bc5abf6bcp-9, 0x1.253124e651c89p-9, 0x1.1d83b8a6eb22dp-9, 0x1.1602a892891a7p-9, 0x1.0ead3269fb902p-9, 0x1.0782a60a8293fp-9, 0x1.0082611fd9fb8p-9, 0x1.f3578cbbdc836p-10, 0x1.e5fc6b3827d62p-10, 0x1.d8f20ac2bd22ep-10, 0x1.cc36fe0d257ecp-10, 0x1.bfc9bb4b14513p-10, 0x1.b3a89f44b8b81p-10, 0x1.a7d1f43bc5ef3p-10, 0x1.9c43fda807585p-10, 0x1.90fd05574957fp-10, 0x1.85fb68fdac333p-10, 0x1.7b3daaac444fcp-10, 0x1.70c245cc6dd7fp-10, 0x1.6688123d1e9ecp-10, 0x1.5c8dd91546d25p-10, 0x1.52d22083db7cp-10, 0x1.4953b79e8e32ep-10, 0x1.4011aacc84fdap-10, 0x1.370ac1784e034p-10, 0x1.2e3dfe6d15314p-10, 0x1.25aa752fe016ep-10, 0x1.1d4f38c4d2e45p-10, 0x1.152b524877d74p-10, 0x1.0d3d94dc6d3ep-10, 0x1.0584d87de2376p-10, 0x1.fbffd3a458e63p-11, 0x1.ed5b94826560dp-11, 0x1.df1b401642f59p-11, 0x1.d13d87638a2f7p-11, 0x1.c3c11ef0b62c8p-11, 0x1.b6a44dbb3bc69p-11, 0x1.a9e485e68981dp-11, 0x1.9d7e4e621e7cfp-11, 0x1.916d7f3ce3883p-11, 0x1.85ade420976d2p-11, 0x1.7a3bea1089735p-11, 0x1.6f1528b7a8963p-11, 0x1.64386d24c774cp-11, 0x1.59a524e2ff84ep-11, 0x1.4f5b43ea00f8fp-11, 0x1.455a1e43f39bp-11, 0x1.3ba087d96c15bp-11, 0x1.322cfaa7fcdd4p-11, 0x1.28fdfeb99f605p-11, 0x1.201290dda9497p-11, 0x1.176a506785a97p-11, 0x1.0f05597201d76p-11, 0x1.06e423b53576cp-11, 0x1.fe0bc3e2e07dfp-12, 0x1.eed272ca345f2p-12, 0x1.e01847cdb78b2p-12, 0x1.d1d526d96a60fp-12, 0x1.c40099a55a6fcp-12, 0x1.b69215471a806p-12, 0x1.a9836ff5d673p-12, 0x1.9cd0aa2808a4ep-12, 0x1.9077d44bb749dp-12, 0x1.8477d3520722dp-12, 0x1.78cf877a320f4p-12, 0x1.6d7d9cbeabf94p-12, 0x1.6280e723451ddp-12, 0x1.57d8b98ef4924p-12, 0x1.4d84f150a6fc5p-12, 0x1.4385ab917b55fp-12, 0x1.39dadb290f999p-12, 0x1.3083e9ef316ebp-12, 0x1.277fa4274ea2fp-12, 0x1.1ecc744e1bcd2p-12, 0x1.16689c26a7f87p-12, 0x1.0e5206bf6352dp-12, 0x1.0685db363af0dp-12, 0x1.fdff4a41ebd11p-13, 0x1.ef77e8fcd0954p-13, 0x1.e16adbab31fa2p-13, 0x1.d3d2af1c9dbb7p-13, 0x1.c6ac0bc6d0cc7p-13, 0x1.b9f4acc97e6d8p-13, 0x1.ada97e14375b3p-13, 0x1.a1c59467597d8p-13, 0x1.964305427a9aep-13, 0x1.8b1ca2ea72277p-13, 0x1.805050289e62p-13, 0x1.75dfae751bd76p-13, 0x1.6bce603386fb2p-13, 0x1.621e89f5fef29p-13, 0x1.58ce509cd9dcep-13, 0x1.4fd8daab2ac1fp-13, 0x1.473831ea4e869p-13, 0x1.3ee829aa78fbdp-13, 0x1.36e76f2670f07p-13, 0x1.2f371dcfecb75p-13, 0x1.27d72ffff48afp-13, 0x1.20c5589729034p-13, 0x1.19fc565f64ddep-13, 0x1.13758852ee5ffp-13, 0x1.0d29c0f01ba4p-13, 0x1.0714cca70af1p-13, 0x1.013713706ada5p-13, 0x1.f725fdd163ea9p-14, 0x1.ec5543e60038ap-14, 0x1.e1f7e885a92eap-14, 0x1.d805c1ce00c9p-14, 0x1.ce74fb3083e2cp-14, 0x1.c543d5c0f568bp-14, 0x1.bc6eedbdff425p-14, 0x1.b3f1e086e723p-14, 0x1.abc81c70bb1f6p-14, 0x1.a3ef3762e6d67p-14, 0x1.9c658d786a353p-14, 0x1.952a0f99d37f5p-14, 0x1.8e348208df7e4p-14, 0x1.8782717610727p-14, 0x1.811cb677a4039p-14, 0x1.7b05c0a99cb69p-14, 0x1.753dd3a3c19e9p-14, 0x1.6fbecafa33491p-14, 0x1.6a7dbda73e271p-14, 0x1.656d1836d8056p-14, 0x1.608294aca5b95p-14, 0x1.5bbf15ce6893fp-14, 0x1.572c1a54ea02cp-14, 0x1.52ce54c92ea5fp-14, 0x1.4ea04e2d191dcp-14, 0x1.4a9cf476f656dp-14, 0x1.46c972f4737a9p-14, 0x1.432871756eb51p-14, 0x1.3fb6083f94639p-14, 0x1.3c6d3382880f9p-14, 0x1.3941757c1d15ap-14, 0x1.362b7a6201f66p-14, 0x1.332b2888e8a03p-14, 0x1.3046236158a5p-14, 0x1.2d7fb735ed01cp-14, 0x1.2ad42c06b1dc6p-14, 0x1.283f010ac6de2p-14, 0x1.25c1ab5186dbdp-14, 0x1.2361188c83437p-14, 0x1.211d84e1946f2p-14, 0x1.1ef367c81f3a5p-14, 0x1.1cdee99efaa96p-14, 0x1.1adbb05957c65p-14, 0x1.18e33221c5bafp-14, 0x1.16f274c226c0ep-14, 0x1.150f16088ca52p-14, 0x1.133c715ed2025p-14, 0x1.1174c24f23e24p-14, 0x1.0fb5373cabf4dp-14, 0x1.0e02591f770cap-14, 0x1.0c5dcb03d9767p-14, 0x1.0ac4e48db315cp-14, 0x1.09358cb3eb8b5p-14, 0x1.07af7e605ebfbp-14, 0x1.06323908fe057p-14, 0x1.04bb05948d0e1p-14, 0x1.03461eaee3826p-14, 0x1.01d146047d734p-14, 0x1.00612433ff1d2p-14, 0x1.fded33e13d98fp-15, 0x1.fb1a3ef76d2ddp-15, 0x1.f84a288b69bep-15, 0x1.f585bf545eecbp-15, 0x1.f2c35d9d2bee1p-15, 0x1.f008f56e5b444p-15, 0x1.ed4d46c43eb1fp-15, 0x1.ea920a8dc9cbcp-15, 0x1.e7d938a3ae1bep-15, 0x1.e5202d957887fp-15, 0x1.e25d17b2e928cp-15, 0x1.dfa12ec06620cp-15, 0x1.dcdbad7f8fd06p-15, 0x1.da0e961b5e681p-15, 0x1.d73fc1cf78184p-15, 0x1.d47044fce34c3p-15, 0x1.d19b9f61322aap-15, 0x1.cebf66b57cb93p-15, 0x1.cbe008b0aa8fbp-15, 0x1.c8f2e93ee962cp-15, 0x1.c601b893991ebp-15, 0x1.c30b31ae0351dp-15, 0x1.c00edd5cca20ep-15, 0x1.bd0d7112e7eb5p-15, 0x1.b9ff0d129c706p-15, 0x1.b6e8b3e90fa89p-15, 0x1.b3c874d9f8f61p-15, 0x1.b09df00d1a94dp-15, 0x1.ad6cc6d7794d8p-15, 0x1.aa33cda83dc9dp-15, 0x1.a6f0cca598db4p-15, 0x1.a3a36dfd1b81p-15, 0x1.a04da5418597bp-15, 0x1.9ce942cd25e8ap-15, 0x1.997ee96dab082p-15, 0x1.960bc45fbb1fcp-15, 0x1.928fccf9b711cp-15, 0x1.8f08c9bf53b2ap-15, 0x1.8b7670f729a02p-15, 0x1.87d9e0c0dd3a5p-15, 0x1.843471a4f5dep-15, 0x1.8086106c9b6fp-15, 0x1.7ccd8d8b4ac01p-15, 0x1.790b0107a9408p-15, 0x1.753eab04b45a5p-15, 0x1.7168b59019836p-15, 0x1.6d8941c17cd6cp-15, 0x1.69a06f0a84f86p-15, 0x1.65adf9607a4b5p-15, 0x1.61b2e48f621e3p-15, 0x1.5db05d4413baap-15, 0x1.59a44192c504ep-15, 0x1.558edd4e9665dp-15, 0x1.517098a2527e9p-15, 0x1.4d4a585c2dd66p-15, 0x1.491c0bd9b85dap-15, 0x1.44e59f00a26d3p-15, 0x1.40a728a7fe424p-15, 0x1.3c60e0e1ee4bbp-15, 0x1.38138d1c326c7p-15, 0x1.33bebb92274d2p-15, 0x1.2f62c960afadp-15, 0x1.2affd2ae20f3cp-15, 0x1.269708a977c62p-15, 0x1.222b40405b276p-15, 0x1.1daf6ec4578fep-15, 0x1.19366ad9d4fa8p-15, 0x1.14b1d2be299cap-15, 0x1.10291344f9533p-15, 0x1.0b9c20a1b9cap-15, 0x1.0709c238db132p-15, 0x1.02726483be607p-15, 0x1.fbad3e41a3599p-16, 0x1.f2681cd6bfe55p-16, 0x1.e9211f8ce66bdp-16, 0x1.dfcf0d9d59aa9p-16, 0x1.d6756f229074fp-16, 0x1.cd14b4f6d5dd3p-16, 0x1.c3ad20f61133p-16, 0x1.ba3f02a3413ep-16, 0x1.b0cb8657d07d9p-16, 0x1.a752d26691444p-16, 0x1.9dd4d7ed9cba3p-16, 0x1.945291f343d59p-16, 0x1.8acc6130fd3cdp-16, 0x1.8142c2357f5c6p-16, 0x1.77b616f0d3c32p-16, 0x1.6e26d3df54606p-16, 0x1.649570a90dc8ep-16, 0x1.5b02644c4fad1p-16, 0x1.516dfab92b1p-16, 0x1.47d8ba545d5abp-16, 0x1.3e43392478b77p-16, 0x1.34ae216825f0dp-16, 0x1.2b16330d60c16p-16, 0x1.218420febb5acp-16, 0x1.17f2329027567p-16, 0x1.0e60e1f4272dfp-16, 0x1.04d1e1787ee92p-16, 0x1.f68b2282b239dp-17, 0x1.e3785fe1263c3p-17, 0x1.d06c8af85af54p-17, 0x1.bd68216756379p-17, 0x1.aa6bf76b39b68p-17, 0x1.9778f6fa60bcbp-17, 0x1.849033349995p-17, 0x1.71bc9b8fd514ep-17, 0x1.5edd21f5a1d31p-17, 0x1.4c1b0210c9d25p-17, 0x1.395b8d8996ff5p-17, 0x1.26ae04e79c335p-17, 0x1.1411a87fa48bdp-17, 0x1.018129485487fp-17, 0x1.de28d34b91aa9p-18, 0x1.b924dc0adfa49p-18, 0x1.9461ef877ea7bp-18, 0x1.6fc7969df8f95p-18, 0x1.4b4ed700b82a9p-18, 0x1.270021e5c1eb7p-18, 0x1.02cffe9c3793bp-18, 0x1.bd9fcaa1b31a4p-19, 0x1.75eab71fd219fp-19, 0x1.2e8a1f43e72d5p-19, 0x1.cefecf83c65a3p-20, 0x1.419b7eb69f9a9p-20, 0x1.69db896711978p-21, 0x1.47cd23fec252fp-23, -0x1.88f4ef646bf5ap-22, -0x1.d9674e78233e7p-21, -0x1.766429a239a7dp-20, -0x1.ff4985dcde3f9p-20, -0x1.43b0a7248787bp-19, -0x1.87555b5f160d3p-19, -0x1.ca90606320c7ap-19, -0x1.06afc4ab66a8p-18, -0x1.27e05aa2c7ecfp-18, -0x1.48d9c8e423723p-18, -0x1.699ae4d22e131p-18, -0x1.8a232bc597919p-18, -0x1.aa717845d235cp-18, -0x1.ca85171495ee7p-18, -0x1.ea5dd479921b9p-18, -0x1.04fd6bb002b04p-17, -0x1.14adb26bdf4a9p-17, -0x1.243f741e1e0afp-17, -0x1.33b29115050a4p-17, -0x1.43048ad548967p-17, -0x1.523afd5adf8abp-17, -0x1.614fad30fb1b1p-17, -0x1.7043833c38661p-17, -0x1.7f1b01d6f00bcp-17, -0x1.8dd12461387a1p-17, -0x1.9c6140e7161cap-17, -0x1.aadd6632e6a4cp-17, -0x1.b9253997d6b72p-17, -0x1.c75434fe33a27p-17, -0x1.d562e5dda641fp-17, -0x1.e35020ea5e4abp-17, -0x1.f11c214d38866p-17, -0x1.febffbe22797bp-17, -0x1.0626bec110b2bp-16, -0x1.0cd89595c35c5p-16, -0x1.1379bbf9017a9p-16, -0x1.1a09b3c41d129p-16, -0x1.208bf43928e83p-16, -0x1.26f6fc08a4fe6p-16, -0x1.2d51b6410164ep-16, -0x1.339c1b9b513edp-16, -0x1.39d5190452952p-16, -0x1.3ffdd1d625a7ap-16, -0x1.4610f81bccfeep-16, -0x1.4c123930895ccp-16, -0x1.5208c6c15f686p-16, -0x1.57ea029f25d7p-16, -0x1.5db9362b53bd6p-16, -0x1.6376aa5cc471cp-16, -0x1.69226ee127c64p-16, -0x1.6ebcb9f2082efp-16, -0x1.74453195b11b4p-16, -0x1.79bbee749816bp-16, -0x1.7f210418235f1p-16, -0x1.8474a36f69b5p-16, -0x1.89b4178c2a34ep-16, -0x1.8ee6648b6bda6p-16, -0x1.94043cde215d6p-16, -0x1.9910d4de38077p-16, -0x1.9e0bdc16c6725p-16, -0x1.a2f54be1eb81bp-16, -0x1.a7cd25684b444p-16, -0x1.ac938b8cb2dd2p-16, -0x1.b148b932bec18p-16, -0x1.b5e90f445aa3fp-16, -0x1.ba7de2cfb833p-16, -0x1.befe7d6e6726p-16, -0x1.c36d9ccc7b785p-16, -0x1.c7cb716c2d7abp-16, -0x1.cc1840b7f4a4ap-16, -0x1.d053bca61440fp-16, -0x1.d47e1f0c69184p-16, -0x1.d8978ba83c20dp-16, -0x1.dc9ff9fad9e5cp-16, -0x1.e08cb2f05c6ecp-16, -0x1.e47e00608df4cp-16, -0x1.e85325e6cbc74p-16, -0x1.ec17b59c4e804p-16, -0x1.efcbc7c9dc68fp-16, -0x1.f36f4744dc37ep-16, -0x1.f7022e972fee1p-16, -0x1.fa849ba83da2ap-16, -0x1.fdf6cbcf2eeb3p-16, -0x1.00ac4d57e0b48p-15, -0x1.0254d2eaebfbap-15, -0x1.03f59df7fb222p-15, -0x1.058e2a817e94ap-15, -0x1.071ea84e6df75p-15, -0x1.08a7722719edfp-15, -0x1.0a28233b55686p-15, -0x1.0ba0e08341628p-15, -0x1.0d11d8b443a51p-15, -0x1.0e7b26701d00fp-15, -0x1.0fdc1c052fec6p-15, -0x1.1136468d7f219p-15, -0x1.12886f7c54235p-15, -0x1.13d30764df2fbp-15, -0x1.15160f2a7c13ap-15, -0x1.165199dcba339p-15, -0x1.1785b00a72f6p-15, -0x1.18b0b16007315p-15, -0x1.19d6aa4417618p-15, -0x1.1af552119c37fp-15, -0x1.1c0c2b798b0c6p-15, -0x1.1d1be60c5f31p-15, -0x1.1e241b4134d8fp-15, -0x1.1f255fc94ef1ep-15, -0x1.201f76ee75b5fp-15, -0x1.21113431eabadp-15, -0x1.21fdf0ab223e3p-15, -0x1.22e4e62bc350ap-15, -0x1.23c33e9419451p-15, -0x1.249b3dfdcff95p-15, -0x1.256ae65985b07p-15, -0x1.26366d14040a8p-15, -0x1.26fa701d6b1b2p-15, -0x1.27b7faa2aa7dep-15, -0x1.286dd859e4b6p-15, -0x1.291f1bc418fefp-15, -0x1.29c902ac18626p-15, -0x1.2a6c7339c15f9p-15, -0x1.2b09bbc70fedfp-15, -0x1.2ba0d67407c13p-15, -0x1.2c31d51cbc867p-15, -0x1.2cbc8c47f727bp-15, -0x1.2d4157ff789dap-15, -0x1.2dbeea579ab3p-15, -0x1.2e38dc843e511p-15, -0x1.2eabb753bc8bp-15, -0x1.2f18d53ebaeefp-15, -0x1.2f804d285f5bbp-15, -0x1.2fdd6682c19a4p-15, -0x1.303e0b2877ef9p-15, -0x1.309401990fe51p-15, -0x1.30e4bed3e3dd2p-15, -0x1.3130661377ed8p-15, -0x1.3175d7efd7036p-15, -0x1.31b63ce78d024p-15, -0x1.31f14f0e40313p-15, -0x1.3227ca99bca5ep-15, -0x1.3257cdd451abep-15, -0x1.32834db759948p-15, -0x1.32a9cf7999382p-15, -0x1.32ca60b2ecec9p-15, -0x1.32e77cb02c034p-15, -0x1.32feb1a5fdd11p-15, -0x1.331165680e794p-15, -0x1.3324517b669a9p-15, -0x1.3327de599c874p-15, -0x1.332be40294d65p-15, -0x1.332b5fbf0e442p-15, -0x1.3326e2e5ad18cp-15, -0x1.3318fa560ab49p-15, -0x1.330e5f2b73554p-15, -0x1.32fbdc0980f31p-15, -0x1.32e4ee9709444p-15, -0x1.32c996a1e6ddp-15, -0x1.32a9fc6710d55p-15, -0x1.328629363fe1cp-15, -0x1.325a7798dcd47p-15, -0x1.32325efdd765ep-15, -0x1.3201bb09a933fp-15, -0x1.31cd7e2d19beap-15, -0x1.3196f212b26c1p-15, -0x1.315902624eed2p-15, -0x1.311b867615099p-15, -0x1.30d4952eda6c7p-15, -0x1.308da33ce31d4p-15, -0x1.304252df4072cp-15, -0x1.2ff3565dcf4fcp-15, -0x1.2fa0b2dd7d0c3p-15, -0x1.2f4a6aa7d6b57p-15, -0x1.2ef0cc953008ap-15, -0x1.2e93a6241e637p-15, -0x1.2e330e453f3d2p-15, -0x1.2dcf317c8bbbbp-15, -0x1.2d67edd1a9aaap-15, -0x1.2cf7c14e51df2p-15, -0x1.2c8fdeeb1ee6p-15, -0x1.2c1ec13c106cap-15, -0x1.2bab54fa84f2bp-15, -0x1.2b33bb37bd64ep-15, -0x1.2ab98eb405837p-15, -0x1.2a3cbc660cdf3p-15, -0x1.29b81fe4ec81ep-15, -0x1.2939bacd66ac6p-15, -0x1.28b39787158bfp-15, -0x1.282ac1cf23cb3p-15, -0x1.279d4b875a39bp-15, -0x1.271122aeccbp-15, -0x1.26806f66adee3p-15, -0x1.25ed03ff80275p-15, -0x1.255700eab737dp-15, -0x1.24be4ade50ccfp-15, -0x1.24236352fbd86p-15, -0x1.2385e4dbad976p-15, -0x1.22e77c024a29ep-15, -0x1.22454f34c36c8p-15, -0x1.219ee6851e15p-15, -0x1.20f7e202e0f62p-15, -0x1.204f2e47abd98p-15, -0x1.1fa3551052738p-15, -0x1.1ef69573cc0d6p-15, -0x1.1e469f8d1eca5p-15, -0x1.1d8e842c9c598p-15, -0x1.1ce1249699e36p-15, -0x1.1c2b193d755f5p-15, -0x1.1b73126fd4d0cp-15, -0x1.1ab953549420ap-15, -0x1.19fdb2181f418p-15, -0x1.1940225a44428p-15, -0x1.1880da9606307p-15, -0x1.17bfed1328276p-15, -0x1.16fb68643ccfdp-15, -0x1.163a602cdfa55p-15, -0x1.15722f5838f59p-15, -0x1.14aa4fa482644p-15, -0x1.13e0c8d99a32p-15, -0x1.1315bf4468b84p-15, -0x1.12492bf07b6b3p-15, -0x1.117b323bcd45fp-15, -0x1.10af75c507e62p-15, -0x1.0fdad5364d125p-15, -0x1.0f082c2b12d4fp-15, -0x1.0e346bc5c5922p-15, -0x1.0d5f57372f859p-15, -0x1.0c8ba09560413p-15, -0x1.0bb14d8652be6p-15, -0x1.0ad84bf1b3146p-15, -0x1.09fe27259521ep-15, -0x1.0922df3517c63p-15, -0x1.08465614cd2ebp-15, -0x1.076c27508b3a8p-15, -0x1.068a3b727254bp-15, -0x1.05ad7e715ba5ap-15, -0x1.04c9bd8353941p-15, -0x1.03e79e0ad5461p-15, -0x1.030551ae2ea8fp-15, -0x1.0221b5616e345p-15, -0x1.013d17149181bp-15, -0x1.0057b9997c734p-15, -0x1.fee2c3d924b2dp-16, -0x1.fd14c49159eebp-16, -0x1.fb465fc27eae8p-16, -0x1.f97773a23582ap-16, -0x1.f7a099c029533p-16, -0x1.f5cc23631158p-16, -0x1.f3f6432dff60fp-16, -0x1.f21f5c6eae76p-16, -0x1.f046335240b84p-16, -0x1.ee71d9511dd5ep-16, -0x1.ec9230ac4a5b6p-16, -0x1.eab65306f12e6p-16, -0x1.e8d9463215bcfp-16, -0x1.e6fb22418fe23p-16, -0x1.e51bf896dcc52p-16, -0x1.e33bccf9bf606p-16, -0x1.e15b50bb7cbb7p-16, -0x1.df7fd395748c7p-16, -0x1.dd962fc4a8737p-16, -0x1.dbb2a3480c0dfp-16, -0x1.d9ce66db308aep-16, -0x1.d7e975f047367p-16, -0x1.d603dc15808e4p-16, -0x1.d41da55e8f6b7p-16, -0x1.d236dc23b88f8p-16, -0x1.d04f8c6c19da2p-16, -0x1.ce67661e6e67fp-16, -0x1.cc818268941d8p-16, -0x1.ca9685711fc7ap-16, -0x1.c8b28d3c8b7bap-16, -0x1.c6c46b5770377p-16, -0x1.c4daca4647dabp-16, -0x1.c2f25d99eb733p-16, -0x1.c106b13706eefp-16, -0x1.bf1c4f58301f7p-16, -0x1.bd31c5fb39fdp-16, -0x1.bb471838d2f6ep-16, -0x1.b95c3f6c32f73p-16, -0x1.b77174bf63378p-16, -0x1.b584cdb1690bbp-16, -0x1.b39c26132dbeep-16, -0x1.b1b1b2a3b36a3p-16, -0x1.afc8bcc402e2dp-16, -0x1.addc8a00b3c39p-16, -0x1.abf2575c056c3p-16, -0x1.aa080b7b3de33p-16, -0x1.a81e3750d8d38p-16, -0x1.a634565e7a307p-16, -0x1.a44b02f904dp-16, -0x1.a261e29de7915p-16, -0x1.a0792132f49a3p-16, -0x1.9e90a90a4af7cp-16, -0x1.9ca84f74cf73fp-16, -0x1.9ac399f76798bp-16, -0x1.98d97bc3360fbp-16, -0x1.96f2d334a0414p-16, -0x1.950c5e0a152c8p-16, -0x1.93258c57be176p-16, -0x1.91412545711aep-16, -0x1.8f5d6bb81b29p-16, -0x1.8d78d2291fe8bp-16, -0x1.8b94fa428c2ep-16, -0x1.89b75d76dce1bp-16, -0x1.87d0c9ba2b697p-16, -0x1.85eed2ff15e9p-16, -0x1.840e14f3911c8p-16, -0x1.822e1b9e9fa38p-16, -0x1.804ecc79346bbp-16, -0x1.7e7032b6a5eafp-16, -0x1.7c932184f512ep-16, -0x1.7ab57162c66dcp-16, -0x1.78d964931c2f6p-16, -0x1.76fe071814043p-16, -0x1.752381f403148p-16, -0x1.7349e5a648809p-16, -0x1.7171970796877p-16, -0x1.6f99fe78117d2p-16, -0x1.6dc33f973935ap-16, -0x1.6bed6fd691e38p-16, -0x1.6a193c020958dp-16, -0x1.684070424a34fp-16, -0x1.6671dc8236c56p-16, -0x1.64a0359295f25p-16, -0x1.62cf67f6f7694p-16, -0x1.6104c5a1c058bp-16, -0x1.5f315ffaca085p-16, -0x1.5d656ca34f3a6p-16, -0x1.5b98741a0711bp-16, -0x1.59cca5b6a8fcap-16, -0x1.580295cb0e2fcp-16, -0x1.5639a992b1ca6p-16, -0x1.5471e881af58cp-16, -0x1.52a90c3e2dd06p-16, -0x1.50e5f10e35632p-16, -0x1.4f21b4d41acd2p-16, -0x1.4d5ed06bbb933p-16, -0x1.4b9d23b43d2dbp-16, -0x1.49dced40cc41dp-16, -0x1.481cee63ad131p-16, -0x1.465ee6b3c595ap-16, -0x1.44a28247b569bp-16, -0x1.42e7deee3785bp-16, -0x1.412d81564d7b7p-16, -0x1.3f7475bb9515ep-16, -0x1.3dbceddfb2538p-16, -0x1.3c06c326feb34p-16, -0x1.3a51c3b63bdabp-16, -0x1.389ca934f97e3p-16, -0x1.36ecadffa68a1p-16, -0x1.35353a49ae5e3p-16, -0x1.338b863d02ffcp-16, -0x1.31dfb3494d329p-16, -0x1.30331ab8c0a27p-16, -0x1.2e8888890553p-16, -0x1.2cdc84db48592p-16, -0x1.2b34663172fa9p-16, -0x1.298dfb63f3319p-16, -0x1.27e8dc44e9b18p-16, -0x1.2642267d49383p-16, -0x1.24a12d90b5f7dp-16, -0x1.2300058c5c153p-16, -0x1.216086e5bfa9ep-16, -0x1.1fc2676506e4ep-16, -0x1.1e25b053b4e3ap-16, -0x1.1c8b236fb5f95p-16, -0x1.1af0a6f057459p-16, -0x1.1958559ed6644p-16, -0x1.17c13d4407e39p-16, -0x1.1627800f7bad8p-16, -0x1.14983f4020ec9p-16, -0x1.1305ee56317f4p-16, -0x1.11751e9fc498cp-16, -0x1.0fe5e24110194p-16, -0x1.0e581f304b716p-16, -0x1.0ccbdd1211b34p-16, -0x1.0b40f95f53772p-16, -0x1.09b4c6bbee2d8p-16, -0x1.08304071f3d68p-16, -0x1.06aa3b93b2b75p-16, -0x1.05258183408d3p-16, -0x1.03a5a6ffc8358p-16, -0x1.02232536a5125p-16, -0x1.00a12461b1ed6p-16, -0x1.fe453d1cbd36dp-17, -0x1.fb4416acf9325p-17, -0x1.f854ffb0d5fc3p-17, -0x1.f561eb0de7a45p-17, -0x1.f271a660638d9p-17, -0x1.ef84578a2d17cp-17, -0x1.ec9a6790d3daap-17, -0x1.e9b3b2487548bp-17, -0x1.e6cfb99d5146ap-17, -0x1.e3ef172013512p-17, -0x1.e11199ab1391dp-17, -0x1.de373dbc2dc7fp-17, -0x1.db601e9870c7fp-17, -0x1.d88bd4657f513p-17, -0x1.d5bb2bd7d91a5p-17, -0x1.d2ed39a199fe8p-17, -0x1.d0225507872bcp-17, -0x1.cd5ac982f9e9bp-17, -0x1.ca95c84c9e883p-17, -0x1.c7d526d5eead5p-17, -0x1.c51736f6a8cc6p-17, -0x1.c25c81fec08e8p-17, -0x1.bfa4ad2b5b96fp-17, -0x1.bcefc454b46adp-17, -0x1.ba3b48c938c42p-17, -0x1.b790424ce6a46p-17, -0x1.b4e5163b6a9a3p-17, -0x1.b23ce974286b7p-17, -0x1.af97e12b550d1p-17, -0x1.acf5fb4305739p-17, -0x1.aa572a9165391p-17, -0x1.a7c3c3c461e49p-17, -0x1.a527e6ac96979p-17, -0x1.a28dd3b5aef9cp-17, -0x1.9ffbbdca03876p-17, -0x1.9d6de8f1a7efdp-17, -0x1.9ae18e82de768p-17, -0x1.98579634d6783p-17, -0x1.95d2135e907afp-17, -0x1.935016e1bce19p-17, -0x1.90d14d0a9bb5ep-17, -0x1.8e54d3d2d94d2p-17, -0x1.8bdb5c817f639p-17, -0x1.8965352acd4fep-17, -0x1.86f1f486ad62bp-17, -0x1.8481dd0a2f9ebp-17, -0x1.8214d1bd89ac1p-17, -0x1.7faadd3ddde8bp-17, -0x1.7d43ab3978878p-17, -0x1.7adff66db1a12p-17, -0x1.787f2bba6b859p-17, -0x1.76216a2b4db24p-17, -0x1.73c6a5c9b317p-17, -0x1.7173e72ae758cp-17, -0x1.6f19f8911211ep-17, -0x1.6cc89c3a029b3p-17, -0x1.6a789ce5f6d03p-17, -0x1.682eb84bded94p-17, -0x1.65e5a89c5344bp-17, -0x1.63a03d834b9e3p-17, -0x1.615ddb40e4b4cp-17, -0x1.5f1e02ff46645p-17, -0x1.5ce1117c04001p-17, -0x1.5aa7206a5cb48p-17, -0x1.5870c46b70032p-17, -0x1.563d087bbc393p-17, -0x1.540c2abdb0091p-17, -0x1.51dfc6c842a4ap-17, -0x1.4fb358de9852bp-17, -0x1.4d86025c38a79p-17, -0x1.4b6612875fd6cp-17, -0x1.494404032e31bp-17, -0x1.4724b8c7ee688p-17, -0x1.4508547f594bcp-17, -0x1.42eebeed31df5p-17, -0x1.40d7e201879ebp-17, -0x1.3ec46aaa1efa7p-17, -0x1.3cb35c9c0e063p-17, -0x1.3aa555fa01781p-17, -0x1.3899b182ba341p-17, -0x1.3691974f09b5ap-17, -0x1.348d27d837fc9p-17, -0x1.328909fac0c3ep-17, -0x1.308928fb566e4p-17, -0x1.2e8c03ff08f6bp-17, -0x1.2c91a11cfac34p-17, -0x1.2a99f3d9cfe5bp-17, -0x1.28a5481c63828p-17, -0x1.26b31558528c1p-17, -0x1.24c3b97251716p-17, -0x1.22d7668669eb5p-17, -0x1.20f13e20a8393p-17, -0x1.1f060e82191a3p-17, -0x1.1d21e62edbfb4p-17, -0x1.1b3cacf615f96p-17, -0x1.1961221fd7145p-17, -0x1.1784d4b03b788p-17, -0x1.15ab35d317cb3p-17, -0x1.13d4a152b4ae5p-17, -0x1.11ffadd207bc2p-17, -0x1.102e5cd3c67cp-17, -0x1.0e5fa340cfe95p-17, -0x1.0c92c7b636a44p-17, -0x1.0ac8ce3ab9b7fp-17, -0x1.0901db75b04c9p-17, -0x1.073a4cab207eep-17, -0x1.057b55280d5c7p-17, -0x1.03bce2f6a1764p-17, -0x1.0201f54923216p-17, -0x1.0044d1c9559p-17, }}, 
      {{0x1.06caa5af46d5ep-1, 0x1.2ddd1f6611ac6p-1, 0x1.54bd2c9e38b54p-1, 0x1.72a17c6ab4b0dp-1, 0x1.849e4ef5f51bcp-1, 0x1.8ae531c3d9d54p-1, 0x1.8724b48b91d45p-1, 0x1.7b9890de98726p-1, 0x1.6a86130c8b6cep-1, 0x1.55f9afbb2fcc2p-1, 0x1.3faac6b08e9fep-1, 0x1.28f4ef3c56df6p-1, 0x1.12dcb8d77fc9ep-1, 0x1.fc33de0a1826ep-2, 0x1.d6479854eecb7p-2, 0x1.b47ac5e7fe829p-2, 0x1.97021cf61a427p-2, 0x1.7dd524a9491d3p-2, 0x1.68bf656eb9581p-2, 0x1.576eba91c2c84p-2, 0x1.497eab4bd3f4p-2, 0x1.3e81792fe9676p-2, 0x1.3606e432d7607p-2, 0x1.2fa12d622ddfp-2, 0x1.2ae8a8d452fe1p-2, 0x1.277e02299baafp-2, 0x1.250b98b93f97dp-2, 0x1.234634451d01fp-2, 0x1.21ed033c702a9p-2, 0x1.20c95cb11c405p-2, 0x1.1fae2d58f2913p-2, 0x1.1e772bd306c91p-2, 0x1.1d081386b0bd2p-2, 0x1.1b4bb00945a93p-2, 0x1.193306e206d65p-2, 0x1.16b47469efa04p-2, 0x1.13cadf1695a94p-2, 0x1.1074ef8b66e7p-2, 0x1.0cb46b2be52fp-2, 0x1.088d8a32b0721p-2, 0x1.040670355586dp-2, 0x1.fe4d62562d42bp-3, 0x1.f3edcda034ac3p-3, 0x1.e900af151700bp-3, 0x1.dd9950069e689p-3, 0x1.d1cb419fd68c2p-3, 0x1.c5a9f52c4bff5p-3, 0x1.b9485cf0a01e2p-3, 0x1.acb8c9fc1fa44p-3, 0x1.a00c98a33972ep-3, 0x1.93542a086ff5p-3, 0x1.869ebd9f38107p-3, 0x1.79fa66a63dedp-3, 0x1.6d7405dcdd347p-3, 0x1.611745b0d331ap-3, 0x1.54eea0120ac91p-3, 0x1.490364f1c0cc9p-3, 0x1.3d5dc92834bc1p-3, 0x1.3204edc6f65e5p-3, 0x1.26feeef0c4b7dp-3, 0x1.1c5102b6311dbp-3, 0x1.11ff6913b2899p-3, 0x1.080da0710146bp-3, 0x1.fcfcb84ca7376p-4, 0x1.eaa73dcc379dp-4, 0x1.d91d93a334918p-4, 0x1.c86157d366023p-4, 0x1.b8731a29d03d2p-4, 0x1.a95279a5b2c82p-4, 0x1.9afe427fcbb72p-4, 0x1.8d74822c731ebp-4, 0x1.80b29c0e6327bp-4, 0x1.74b560f5cb0f3p-4, 0x1.697920a7a16a9p-4, 0x1.5ef9baddc226p-4, 0x1.5532b643b174p-4, 0x1.4c1f4246f09eap-4, 0x1.43ba4e34ce1a3p-4, 0x1.3bfe911b6d088p-4, 0x1.34e69dcb9c3c1p-4, 0x1.2e6cdcdc59364p-4, 0x1.288bab12b5453p-4, 0x1.233d3ef2976b8p-4, 0x1.1e7bdc356cfb3p-4, 0x1.1a41c2a1486eep-4, 0x1.168929b8f8b69p-4, 0x1.134c573c5afdcp-4, 0x1.1085a21eb64bp-4, 0x1.0e2f6d9baaa2cp-4, 0x1.0c44373bfdc44p-4, 0x1.0abe900f8d48ep-4, 0x1.0999274391a94p-4, 0x1.08cec613dc83ep-4, 0x1.085a561392372p-4, 0x1.0836dea1914d4p-4, 0x1.085f8d031a468p-4, 0x1.08cfb061cc58p-4, 0x1.0982b90e9e98bp-4, 0x1.0a743b31dba55p-4, 0x1.0b9ff258fe37ep-4, 0x1.0d01bc9820a85p-4, 0x1.0e959e801cbb2p-4, 0x1.1057bcda830b7p-4, 0x1.12446877201dp-4, 0x1.1458111d39a02p-4, 0x1.168f49eed581p-4, 0x1.18e6ca3372261p-4, 0x1.1b5b6fe8beb11p-4, 0x1.1dea3715dfac2p-4, 0x1.20903be9f6b4ep-4, 0x1.234abeddbea0ep-4, 0x1.2617229952257p-4, 0x1.28f2e5c8e1807p-4, 0x1.2bdb9d8f231e8p-4, 0x1.2ecf122be8ad7p-4, 0x1.31cb147012478p-4, 0x1.34cd9a029b76p-4, 0x1.37d4b27e51681p-4, 0x1.3ade888f688e7p-4, 0x1.3de95f0c54324p-4, 0x1.40f390d99a8acp-4, 0x1.43fb9540f4cb8p-4, 0x1.46fff55372f3fp-4, 0x1.49ff4eba586f2p-4, 0x1.4cf85ffd137f9p-4, 0x1.4fe9ee7ca90a5p-4, 0x1.52d2da7d2e9f8p-4, 0x1.55b215530a1b2p-4, 0x1.5886a36a6a6e5p-4, 0x1.5b4f997010f44p-4, 0x1.5e0c1d21571a8p-4, 0x1.60bb66ac86444p-4, 0x1.635cb9a9bdd9bp-4, 0x1.65ef692c06eb4p-4, 0x1.6872d829bdc2fp-4, 0x1.6ae674aee0fb2p-4, 0x1.6d49bc2f7d309p-4, 0x1.6f9c375fe78d9p-4, 0x1.71dd772eab01bp-4, 0x1.740d1b6361f8dp-4, 0x1.762accf2aa687p-4, 0x1.78363dcb8cdcap-4, 0x1.7a2f2ad38238dp-4, 0x1.7c1557dcf47fbp-4, 0x1.7de8938d890a4p-4, 0x1.7fa8b26f1a008p-4, 0x1.815591c1fa61cp-4, 0x1.82ef1699ab55fp-4, 0x1.84752b15b8251p-4, 0x1.85e7bd97bc51p-4, 0x1.8746c84f500dfp-4, 0x1.88924851868bdp-4, 0x1.89ca387915f22p-4, 0x1.8aeeaa7567736p-4, 0x1.8bffa344dfbaap-4, 0x1.8cfd33524326p-4, 0x1.8de76f3ea11d4p-4, 0x1.8ebe6e79a60a1p-4, 0x1.8f824cf45b6e1p-4, 0x1.9033290a6a4a4p-4, 0x1.90d12422d54f3p-4, 0x1.915c631bdf3bdp-4, 0x1.91d50d33ed092p-4, 0x1.923b4ac905308p-4, 0x1.928f4a53f494ep-4, 0x1.92d136fb1f098p-4, 0x1.9301439db431fp-4, 0x1.931fa1377fdc4p-4, 0x1.932c819e08915p-4, 0x1.93281b0203e73p-4, 0x1.9312a3a69d3dbp-4, 0x1.92ec519999117p-4, 0x1.92b55f27ed18fp-4, 0x1.926e061f4c996p-4, 0x1.92167ffec8fc4p-4, 0x1.91af0958b4477p-4, 0x1.9137dc76db4dep-4, 0x1.90b13700b66cep-4, 0x1.901b565b6f219p-4, 0x1.8f76763e3bd0bp-4, 0x1.8ec2d7bfb49f6p-4, 0x1.8e00b8f9db57cp-4, 0x1.8d30557dfcef8p-4, 0x1.8c51ef1853fb4p-4, 0x1.8b65c46c42cfp-4, 0x1.8a6c13fde1abcp-4, 0x1.89651c76ab52dp-4, 0x1.88511e4ce8282p-4, 0x1.873059113887cp-4, 0x1.86030ab4ae376p-4, 0x1.84c973b08c0cep-4, 0x1.8383d33cfcd9cp-4, 0x1.823266d364e4cp-4, 0x1.80d56dd6447cep-4, 0x1.7f6d25f74fa69p-4, 0x1.7df9cc7ba583ap-4, 0x1.7c7ba1c971a0dp-4, 0x1.7af2e6dc579a9p-4, 0x1.795fd130a4158p-4, 0x1.77c2a42729ee9p-4, 0x1.761b9a24b42e7p-4, 0x1.746af0b04b828p-4, 0x1.72b0e446da266p-4, 0x1.70edae92deb85p-4, 0x1.6f218dfd2825p-4, 0x1.6d4cbc3ac523p-4, 0x1.6b6f740d5f56cp-4, 0x1.6989eff69acf1p-4, 0x1.679c69d2b390ap-4, 0x1.65a71b1570186p-4, 0x1.63aa3d73f817fp-4, 0x1.61a60a5ccaf7cp-4, 0x1.5f9ab8a023bfbp-4, 0x1.5d887fb3af2efp-4, 0x1.5b6f991466793p-4, 0x1.59503a3dd21c2p-4, 0x1.572a9a799bec7p-4, 0x1.54feeee2e2378p-4, 0x1.52cd6e9d1693p-4, 0x1.50964ebb773bcp-4, 0x1.4e59c2ff8785cp-4, 0x1.4c17fd7688892p-4, 0x1.49d139e051b79p-4, 0x1.4785a2e5d15d8p-4, 0x1.45356a55e365bp-4, 0x1.42e0cb904dbbbp-4, 0x1.4087f2409c66ap-4, 0x1.3e2b114183804p-4, 0x1.3bca58da4559ep-4, 0x1.3965f953a82dp-4, 0x1.36fe2377ba613p-4, 0x1.3493053c26625p-4, 0x1.3224cda190f4fp-4, 0x1.2fb3acadd8921p-4, 0x1.2d3fce3a25e41p-4, 0x1.2ac9605e6bba8p-4, 0x1.28508ea4a4273p-4, 0x1.25d5873fa5f95p-4, 0x1.235873dd1e693p-4, 0x1.20d98070b0393p-4, 0x1.1e58d97197bbdp-4, 0x1.1bd6a62a6b1ecp-4, 0x1.1953105bdf683p-4, 0x1.16ce42332f8cfp-4, 0x1.144863f630582p-4, 0x1.11c19d8805364p-4, 0x1.0f3a14504141p-4, 0x1.0cb1f15e16102p-4, 0x1.0a2959b90293ap-4, 0x1.07a0743c42983p-4, 0x1.051762b16bbdep-4, 0x1.028e4c5a4e33bp-4, 0x1.000555b559791p-4, 0x1.faf940fe8d9abp-5, 0x1.f5e8a1da4980dp-5, 0x1.f0d90fe5f203p-5, 0x1.ebcacc2823af5p-5, 0x1.e6be1e215690bp-5, 0x1.e1b3437bcfb93p-5, 0x1.dcaa7aef6d30ep-5, 0x1.d7a4048dbcbb4p-5, 0x1.d2a01f9654976p-5, 0x1.cd9f04dcda4c9p-5, 0x1.c8a0f0e055c03p-5, 0x1.c3a61de33f903p-5, 0x1.beaec57d1f166p-5, 0x1.b9bb1d139bfd6p-5, 0x1.b4cb5c30b5badp-5, 0x1.afdfb6b3041fp-5, 0x1.aaf86207b41e8p-5, 0x1.a61590d2acefbp-5, 0x1.a13774aa57907p-5, 0x1.9c5e3e0f42dc5p-5, 0x1.978a1c681e68p-5, 0x1.92bb3df9042b1p-5, 0x1.8df1cfdf08653p-5, 0x1.892dfdb22ad7ap-5, 0x1.846ff20aa9047p-5, 0x1.7fb7d608bce9cp-5, 0x1.7b05d127ce324p-5, 0x1.765a13026ee66p-5, 0x1.71b4b753225cep-5, 0x1.6d15e37965f6cp-5, 0x1.687dc2a0412d5p-5, 0x1.63ec74354d16cp-5, 0x1.5f621917e56ap-5, 0x1.5aded1f63b5c7p-5, 0x1.5662bf61af082p-5, 0x1.51ee00e0943cbp-5, 0x1.4d80b117f1116p-5, 0x1.491aecfde96bcp-5, 0x1.44bcd14f076c4p-5, 0x1.40667582d083ap-5, 0x1.3c17f5b26a95ap-5, 0x1.37d16e0c92fcdp-5, 0x1.3392ea4bed84p-5, 0x1.2f5c86b9f558ap-5, 0x1.2b2e5f89a166ap-5, 0x1.27087acc75315p-5, 0x1.22eaf4bcc25cp-5, 0x1.1ed5dd16229c4p-5, 0x1.1ac947e5bebe9p-5, 0x1.16c542c4dc7b2p-5, 0x1.12c9dcea6decdp-5, 0x1.0ed725da7d812p-5, 0x1.0aed2b2ed7b1bp-5, 0x1.070bf9aa51cc1p-5, 0x1.03339b7ade99bp-5, 0x1.fec8388c8bed3p-6, 0x1.f73b0df8cb6bfp-6, 0x1.efbfc886fa569p-6, 0x1.e85676fb45043p-6, 0x1.e0ff299d4cc36p-6, 0x1.d9b9f0d182fp-6, 0x1.d286d60dcbc44p-6, 0x1.cb65e2c04d30ep-6, 0x1.c45724188a341p-6, 0x1.bd5a9e02e2746p-6, 0x1.b670545a028d5p-6, 0x1.af984d87634d8p-6, 0x1.a8d28d1dcf2f3p-6, 0x1.a21f146dae47bp-6, 0x1.9b7de5bf5893ep-6, 0x1.94eefdd122d2fp-6, 0x1.8e725878fe9f4p-6, 0x1.8807f70c0979p-6, 0x1.81afce2c5dff7p-6, 0x1.7b69dd812018p-6, 0x1.75361c60b649ap-6, 0x1.6f14806889d36p-6, 0x1.6905006410a67p-6, 0x1.63079278f0de3p-6, 0x1.5d1c2b3f0ee72p-6, 0x1.5742bd9cc4302p-6, 0x1.517b3b46281ddp-6, 0x1.4bc593e64262cp-6, 0x1.4621b73f704bep-6, 0x1.408f991b71efbp-6, 0x1.3b0f25eb87554p-6, 0x1.35a048b2d67e9p-6, 0x1.3042ef831c0f1p-6, 0x1.2af708ba20e16p-6, 0x1.25bc7c15c967p-6, 0x1.209331bdd896ep-6, 0x1.1b7b174dcdf6cp-6, 0x1.1674111e10f7p-6, 0x1.117e0829e244ep-6, 0x1.0c98e72dce604p-6, 0x1.07c492daec7f2p-6, 0x1.0300efd43d717p-6, 0x1.fc9bc7a44370cp-7, 0x1.f356a73a75d5cp-7, 0x1.ea3244c5bd272p-7, 0x1.e12e6a8bfbe02p-7, 0x1.d84ade2119726p-7, 0x1.cf8762024f068p-7, 0x1.c6e3bc23fe13ep-7, 0x1.be5fadff94dabp-7, 0x1.b5fafc1c982a5p-7, 0x1.adb5626864a9cp-7, 0x1.a58ea9061a5c2p-7, 0x1.9d8694df2e72dp-7, 0x1.959cd52efa247p-7, 0x1.8dd12ecfd5c2ep-7, 0x1.862365398d34p-7, 0x1.7e931d88a2b68p-7, 0x1.77204320d10f8p-7, 0x1.6fca6de2f83c5p-7, 0x1.689161c4ef055p-7, 0x1.6174dcc9215bfp-7, 0x1.5a7492b0be47fp-7, 0x1.539045bba4a42p-7, 0x1.4cc7b091e5501p-7, 0x1.461a8c50f438fp-7, 0x1.3f888dc8dee2ep-7, 0x1.3911678e55ed5p-7, 0x1.32b4ed0dfa5bdp-7, 0x1.2c72ae9d3161ep-7, 0x1.264a8b50b30a3p-7, 0x1.203c26a263777p-7, 0x1.1a47418c7e573p-7, 0x1.146b927cc9e0fp-7, 0x1.0ea8d0b97de9ep-7, 0x1.08feb4e7138ap-7, 0x1.036cf68fbf73ep-7, 0x1.fbe69789f4f02p-8, 0x1.f122e10574345p-8, 0x1.e68e3af58bb69p-8, 0x1.dc280e6838294p-8, 0x1.d1efceb035106p-8, 0x1.c7e4ea89ab824p-8, 0x1.be06e56761f3dp-8, 0x1.b4552899399b1p-8, 0x1.aacf22ed8fa7bp-8, 0x1.a174494c45cc3p-8, 0x1.984408ec4a222p-8, 0x1.8f3dde0b5faa1p-8, 0x1.86612f03bae9fp-8, 0x1.7dad8354a16bep-8, 0x1.75224fa38b837p-8, 0x1.6cbf0335d501ap-8, 0x1.64831399c40c8p-8, 0x1.5c6df8fe16031p-8, 0x1.547f32c29398ep-8, 0x1.4cb63e8a4fdbp-8, 0x1.45127e56dbcdap-8, 0x1.3d9388f9b8074p-8, 0x1.3638c33b1bd4fp-8, 0x1.2f01b46524486p-8, 0x1.27ede0c5cd811p-8, 0x1.20fcba0456aacp-8, 0x1.1a2dbf5d7d4d5p-8, 0x1.138070d997615p-8, 0x1.0cf45281f6a18p-8, 0x1.0688e932d5e04p-8, 0x1.003dbf7686ef9p-8, 0x1.f424af8b5babfp-9, 0x1.e80c733b62a75p-9, 0x1.dc3178d24f9fap-9, 0x1.d094009d96782p-9, 0x1.c531e0cfc3528p-9, 0x1.ba0a8641356f8p-9, 0x1.af1cf7c2fd47ep-9, 0x1.a4683c27942e8p-9, 0x1.99eb61ae9ef8p-9, 0x1.8fa57ec0f8f55p-9, 0x1.8595a6175b682p-9, 0x1.7bbb425c55fe3p-9, 0x1.7214f87e30485p-9, 0x1.68a29bd87d78cp-9, 0x1.5f632fe158b6ep-9, 0x1.5655f4beeac37p-9, 0x1.4d7a23fed4ff7p-9, 0x1.44cee923db8bcp-9, 0x1.3c537f0afeb8ap-9, 0x1.3406f28d0c9e6p-9, 0x1.2be857208fc5ap-9, 0x1.23f6cb048acc9p-9, 0x1.1c316a7628ed7p-9, 0x1.1497545a43a55p-9, 0x1.0d27b68f500b3p-9, 0x1.05e1d48d41d13p-9, 0x1.fd8a0ffd37ec8p-10, 0x1.efa1793070096p-10, 0x1.e2088bbcbd3e2p-10, 0x1.d4be510186d6dp-10, 0x1.c7c1abb76ac03p-10, 0x1.bb1132b0b78a7p-10, 0x1.aeaba2ad66e4ep-10, 0x1.a28fe5f591634p-10, 0x1.96bc5989f416p-10, 0x1.8b2f35dc69957p-10, 0x1.7fe7402f7513ap-10, 0x1.74e2322180b4ap-10, 0x1.6a1f6373f6f3cp-10, 0x1.5f9d4c1f73445p-10, 0x1.555ac0013bda4p-10, 0x1.4b5662c61aae2p-10, 0x1.418f50f4052f4p-10, 0x1.380496a89bb93p-10, 0x1.2eb52412d6a59p-10, 0x1.25a004a3e2a6bp-10, 0x1.1cc42a9cf7156p-10, 0x1.14207699ac6abp-10, 0x1.0bb3c9ef79e7fp-10, 0x1.037cea1836cbp-10, 0x1.f6f552e063d24p-11, 0x1.e757b31735a9bp-11, 0x1.d81ec58fe23fap-11, 0x1.c949032a841fp-11, 0x1.bad2d103d65c3p-11, 0x1.acbc1e42a6988p-11, 0x1.9f02b88a4e6ebp-11, 0x1.91a50266894ebp-11, 0x1.84a15f1eabb14p-11, 0x1.77f62516dfe69p-11, 0x1.6ba19528ffaefp-11, 0x1.5fa1d121578aep-11, 0x1.53f4e98a7d0cap-11, 0x1.4898fc8ac7fadp-11, 0x1.3d8c0aa0db7b6p-11, 0x1.32cc0b02d5ae9p-11, 0x1.28572e0cb840ap-11, 0x1.1e2b93f025eb1p-11, 0x1.1448118bba2fbp-11, 0x1.0aaa7a54deadp-11, 0x1.01514b6dd945p-11, 0x1.f07793fc45d1ap-12, 0x1.ded0d49dd2b6p-12, 0x1.cdaa3eb69eadep-12, 0x1.bd01f549f094dp-12, 0x1.acd595b39b6d3p-12, 0x1.9d22f353fdda8p-12, 0x1.8de7c90e7a859p-12, 0x1.7f20df2e796d6p-12, 0x1.70ccf2dccdb54p-12, 0x1.62e8921ca9cf3p-12, 0x1.55718c00fbcc8p-12, 0x1.4864b0dc7904bp-12, 0x1.3bc0996e5368cp-12, 0x1.2f83fdbc1d3dp-12, 0x1.23ac989b53526p-12, 0x1.1838686128b74p-12, 0x1.0d24a28bcc564p-12, 0x1.026d7feb960cbp-12, 0x1.f01f5198ccfabp-13, 0x1.dc0ceb267f84dp-13, 0x1.c89cb29dec453p-13, 0x1.b5ca5929bbff8p-13, 0x1.a3916895c57cep-13, 0x1.91f12fb7335adp-13, 0x1.80e78df6c8883p-13, 0x1.7073222bbd1dap-13, 0x1.6092684b0e576p-13, 0x1.514123bba3aadp-13, 0x1.427c4172163dep-13, 0x1.3441a527e023bp-13, 0x1.268f02e1cea33p-13, 0x1.1963de71eebb3p-13, 0x1.0cbe73b79cd12p-13, 0x1.00a091e913e98p-13, 0x1.ea11082a2910ap-14, 0x1.d3db26b207413p-14, 0x1.be94d4a889702p-14, 0x1.aa2bcaee56e44p-14, 0x1.96913d720f85fp-14, 0x1.83b71ad4190c8p-14, 0x1.7196e4869608cp-14, 0x1.602c64535a86fp-14, 0x1.4f73b841a6cefp-14, 0x1.3f6bf297c61c4p-14, 0x1.3010b77760b26p-14, 0x1.215ec0b214902p-14, 0x1.1354e8cae14d1p-14, 0x1.05f1d96f3cf54p-14, 0x1.f2676e1340e0dp-15, 0x1.da33c372ed3c1p-15, 0x1.c34796529d33bp-15, 0x1.ad9e438ff6957p-15, 0x1.992f156b1e94dp-15, 0x1.85f16a9463418p-15, 0x1.73dd36ba2cf59p-15, 0x1.62e6c8736a34bp-15, 0x1.53032b09b9e8fp-15, 0x1.4413707dabba6p-15, 0x1.3613a90f74505p-15, 0x1.28f4907c77ec9p-15, 0x1.1cb168e670b65p-15, 0x1.113da7db889ebp-15, 0x1.069a2a64cc00fp-15, 0x1.f975aa681b49fp-16, 0x1.e752b210745c1p-16, 0x1.d631d9ca7336ep-16, 0x1.c69b0ebbc20d8p-16, 0x1.b8541e5c05144p-16, 0x1.ab70526f62284p-16, 0x1.9fec901180cb8p-16, 0x1.95cedefdf5fc8p-16, 0x1.8cff366291d36p-16, 0x1.8563ff8b6d2dcp-16, 0x1.7eef9d6d96dafp-16, 0x1.799e0d02a3d99p-16, 0x1.7569b58e423dbp-16, 0x1.725569e764792p-16, 0x1.7058c5f7eb7f5p-16, 0x1.6f5e94dbc269bp-16, 0x1.6f44896b565f9p-16, 0x1.6fff019d18705p-16, 0x1.7180069bccf4bp-16, 0x1.73bcc2fc38b89p-16, 0x1.76c59f291c7b2p-16, 0x1.7a93bd6d2e2cap-16, 0x1.7f2954ba1046fp-16, 0x1.8464f4088934ap-16, 0x1.8a53e0cd1240fp-16, 0x1.90dc94aaedfc4p-16, 0x1.97fdb5cce7164p-16, 0x1.9fac81383b83cp-16, 0x1.a7e09a34b83p-16, 0x1.b09516c06b892p-16, 0x1.b9c68bddcdcbep-16, 0x1.c361feb382056p-16, 0x1.cd74d0b4245dp-16, 0x1.d7ff61e7eaa5p-16, 0x1.e2eb594c52071p-16, 0x1.ee4dbe0f6a0bp-16, 0x1.fa269aaadf3ddp-16, 0x1.03345e111c27ap-15, 0x1.0981826a59cd5p-15, 0x1.0ff16cc5c6f6ap-15, 0x1.1676c245545e9p-15, 0x1.1d1142a501b13p-15, 0x1.23c7e05663fd5p-15, 0x1.2aa1a8d13e347p-15, 0x1.319ade45800e3p-15, 0x1.38acc6b3d3b3dp-15, 0x1.3fd6a829834f9p-15, 0x1.472142e56146p-15, 0x1.4e8d4beda5fd3p-15, 0x1.560960db15767p-15, 0x1.5d910b245fccp-15, 0x1.651db25568fdp-15, 0x1.6caeec32d1d01p-15, 0x1.74492f4c41a01p-15, 0x1.7beeb86e97967p-15, 0x1.839beb5136f65p-15, 0x1.8b4c63dd34cdfp-15, 0x1.9304aac51e327p-15, 0x1.9ac5b96d8b076p-15, 0x1.a28c661607453p-15, 0x1.aa5636e13b144p-15, 0x1.b2223b4858e12p-15, 0x1.b9f2494a26df3p-15, 0x1.c1ba6b35fe95cp-15, 0x1.c976457b5924ep-15, 0x1.d12cf0f1f167bp-15, 0x1.d8ddc5aaf679fp-15, 0x1.e087d5494bfeep-15, 0x1.e829a74fc90a4p-15, 0x1.efc48f5367f8bp-15, 0x1.f759082b4577p-15, 0x1.fee56bd526c34p-15, 0x1.03338d9b25ee9p-14, 0x1.06ef359c06705p-14, 0x1.0aa549de82f7bp-14, 0x1.0e54bb2aae27fp-14, 0x1.11facebbf4ea1p-14, 0x1.1599721c7e28p-14, 0x1.1930fcb985573p-14, 0x1.1cc05dcd63e78p-14, 0x1.204694b113509p-14, 0x1.23c48e902b2e3p-14, 0x1.2742c0a0903c8p-14, 0x1.2aac4755c23dcp-14, 0x1.2e10fa5480fefp-14, 0x1.31690d6b94abap-14, 0x1.34babd143ed88p-14, 0x1.38036ee78e2d7p-14, 0x1.3b41d9c9d7e67p-14, 0x1.3e777d366643dp-14, 0x1.419fd150b5dd6p-14, 0x1.44bf619fc2977p-14, 0x1.47d2598c1d4c1p-14, 0x1.4adb91f793d0fp-14, 0x1.4ddad3aa74e97p-14, 0x1.50cdbab023503p-14, 0x1.53b5e43c3a1b8p-14, 0x1.569104f15494ap-14, 0x1.5964dd285f467p-14, 0x1.5c2bc0453a25dp-14, 0x1.5ee6db3ddeab9p-14, 0x1.61976221edcb3p-14, 0x1.643a167b9f8e8p-14, 0x1.66d39b2b305dfp-14, 0x1.69603d303afd6p-14, 0x1.6be0bfdc7d5b9p-14, 0x1.6e559403acef4p-14, 0x1.70beb476d8bf7p-14, 0x1.731bdd12cae9cp-14, 0x1.756cc69693a8ap-14, 0x1.77b1cd2a7cc38p-14, 0x1.79eaad7e9808cp-14, 0x1.7c1c67ac91c9dp-14, 0x1.7e3d056aed5ffp-14, 0x1.8051fd0e53b1dp-14, 0x1.825b6b609338dp-14, 0x1.84584341effcbp-14, 0x1.864ad146e1277p-14, 0x1.883ec2ab69dd1p-14, 0x1.8a0c6ccd3759ep-14, 0x1.8bdb181d72ad6p-14, 0x1.8d9df65ad77b1p-14, 0x1.8f551564132a1p-14, 0x1.91009533e9f6bp-14, 0x1.92a0be9dc58b2p-14, 0x1.9435a8bc5999dp-14, 0x1.95bea759c9765p-14, 0x1.973beb3c1d32ap-14, 0x1.98ae1e4350207p-14, 0x1.9a1463129274p-14, 0x1.9b6f0e1863784p-14, 0x1.9cbebbb1d12acp-14, 0x1.9e03e59789b0fp-14, 0x1.9f3deb0cb1437p-14, 0x1.a06c2f0b9749dp-14, 0x1.a190691e77ad6p-14, 0x1.a2a99b3222ee3p-14, 0x1.a3b85fd123526p-14, 0x1.a4ba7e6883a02p-14, 0x1.a5b462a73e9c4p-14, 0x1.a6a2e7683bccep-14, 0x1.a786fb9d98539p-14, 0x1.a85fbc77ba4c2p-14, 0x1.a92bdaa029a09p-14, 0x1.a9f33c73d6deap-14, 0x1.aaadea24d4777p-14, 0x1.ab61b475feb88p-14, 0x1.ac08cda44f3d7p-14, 0x1.aca48e3a7bd55p-14, 0x1.ad379afe72134p-14, 0x1.adc0b671fe9dcp-14, 0x1.ae40f4c7c5813p-14, 0x1.aeb9f19c58f67p-14, 0x1.af2648d0c0054p-14, 0x1.af8a9f3a13454p-14, 0x1.afe5bd5485e7fp-14, 0x1.b037cc48ff232p-14, 0x1.b080c97b91e57p-14, 0x1.b0c0c2618bbe7p-14, 0x1.b0f83fad273aap-14, 0x1.b127236feeb24p-14, 0x1.b14d45120f38cp-14, 0x1.b16b80040af7ep-14, 0x1.b1806f6f9247dp-14, 0x1.b18da07e127adp-14, 0x1.b192acdd50a15p-14, 0x1.b18fa9db474c5p-14, 0x1.b18494c928273p-14, 0x1.b1716b9fee656p-14, 0x1.b157db34e3235p-14, 0x1.b136860eff7b5p-14, 0x1.b10cab6f6ebcdp-14, 0x1.b0da0f874daa8p-14, 0x1.b0a2d7e274061p-14, 0x1.b0629bf54e265p-14, 0x1.b01b90c8eda1cp-14, 0x1.afcdc72452178p-14, 0x1.af7909a3a0adfp-14, 0x1.af1da4dd09b7dp-14, 0x1.aebafa93215dep-14, 0x1.ae51d27af6fc9p-14, 0x1.ade1dba8a8982p-14, 0x1.ad6d0b07e5c04p-14, 0x1.acf162ed2162ap-14, 0x1.ac6e64d4182b3p-14, 0x1.abe2911ea43cfp-14, 0x1.ab5586c9695bbp-14, 0x1.aac06b0e17d95p-14, 0x1.aa27df8df55a9p-14, 0x1.a98821a24a624p-14, 0x1.a8e133003bfc4p-14, 0x1.a836a75ceb113p-14, 0x1.a781d197e874dp-14, 0x1.a6cd5acb45533p-14, 0x1.a6124ddce1ecdp-14, 0x1.a55195cf9214ep-14, 0x1.a48becb8423abp-14, 0x1.a3c07752be11fp-14, 0x1.a2f14448cfc7cp-14, 0x1.a21c032bca33cp-14, 0x1.a14280a57c94p-14, 0x1.a06455fe76959p-14, 0x1.9f818bca72bd5p-14, 0x1.9e9a41789b989p-14, 0x1.9dae797c7068bp-14, 0x1.9cbe16b1a3499p-14, 0x1.9bc9507ae8689p-14, 0x1.9ad1e6e9d5d48p-14, 0x1.99d674647dabcp-14, 0x1.98d57a376028ep-14, 0x1.97cfb84dfc6c8p-14, 0x1.96c7d90e5b67ep-14, 0x1.95bc5275a91b4p-14, 0x1.94acce5634e91p-14, 0x1.9399900a0613ep-14, 0x1.9282b8de20747p-14, 0x1.91686b021f556p-14, 0x1.904ae19f6f137p-14, 0x1.8f2a0b7081b4ap-14, 0x1.8e0606e77264ep-14, 0x1.8cdedaf868635p-14, 0x1.8bb49aa998109p-14, 0x1.8a874a3f9fb5ep-14, 0x1.8956c338fb5e6p-14, 0x1.8822cbac31485p-14, 0x1.86ed2232e33e8p-14, 0x1.85b6d9cc1c954p-14, 0x1.847c0d8ec1933p-14, 0x1.833ca94cdb536p-14, 0x1.81fbf248d961bp-14, 0x1.80b9b9b822664p-14, 0x1.7f744edff15e3p-14, 0x1.7e2e2921ef141p-14, 0x1.7ce33ef808d63p-14, 0x1.7b976009fedccp-14, 0x1.7a4941e9edap-14, 0x1.78f9024ade855p-14, 0x1.77a6b26a01412p-14, 0x1.7651e469936e1p-14, 0x1.74fd75b6414d9p-14, 0x1.73a5967319bffp-14, 0x1.724b88b54d29p-14, 0x1.70f0b33577e52p-14, 0x1.6f94893b205ccp-14, 0x1.6e34fc50e4f83p-14, 0x1.6cd47f748847fp-14, 0x1.6b73059118648p-14, 0x1.6a10d90d0ac71p-14, 0x1.68abf07212dcfp-14, 0x1.67451d2bde732p-14, 0x1.65dcdf9909f1dp-14, 0x1.6476938c5d94ep-14, 0x1.630e01639c7fp-14, 0x1.61a2d416398d8p-14, 0x1.603618e626c81p-14, 0x1.5ecac6b0af09cp-14, 0x1.5d5c6571d3334p-14, 0x1.5bedb1cd49ad3p-14, 0x1.5a7e15716bd6ep-14, 0x1.590d9c5e71404p-14, 0x1.579c691f048dep-14, 0x1.5629eef405418p-14, 0x1.54b7187c5411ap-14, 0x1.5344369129bdp-14, 0x1.51d02809252bfp-14, 0x1.505b79e129bd6p-14, 0x1.4ee616468cbfp-14, 0x1.4d6fdbb08ed25p-14, 0x1.4bf9e59dfc3f5p-14, 0x1.4a84b89b99e1bp-14, 0x1.490cc36f1be44p-14, 0x1.4794a2f3b0073p-14, 0x1.461d0b6ef0f56p-14, 0x1.44a569ad39756p-14, 0x1.432d420190c13p-14, 0x1.41b4a00682aa6p-14, 0x1.403b90a942341p-14, 0x1.3ec2c001a6eb7p-14, 0x1.3d4b0c957e05p-14, 0x1.3bd13eee908aep-14, 0x1.3a5626bde5cbcp-14, 0x1.38e0043aa5fb5p-14, 0x1.3766521556588p-14, 0x1.35ec6a0e199fcp-14, 0x1.3473b0d9972f5p-14, 0x1.32fb53815b8d4p-14, 0x1.3182c02e609d2p-14, 0x1.300a33f0a2363p-14, 0x1.2e91bed31587dp-14, 0x1.2d19d80b89db4p-14, 0x1.2ba1f19454802p-14, 0x1.2a2a4a2177442p-14, 0x1.28b30960dc7f2p-14, 0x1.273c14638582fp-14, 0x1.25c595724be63p-14, 0x1.244f60ad493e2p-14, 0x1.22d99a293e94fp-14, 0x1.216449e7fd0a3p-14, 0x1.1fef70a571827p-14, 0x1.1e7a94aa24699p-14, 0x1.1d066b0f28347p-14, 0x1.1b92cf198ed87p-14, 0x1.1a20ff0993af7p-14, 0x1.18af404ab501bp-14, 0x1.173d249c71877p-14, 0x1.15cc1dc5daba6p-14, 0x1.1459b91abc5ddp-14, 0x1.12ea96f6aa3eep-14, 0x1.117beecc1e5cp-14, 0x1.100d9024a5a92p-14, 0x1.0e9dc70ba509ep-14, 0x1.0d32b677350a4p-14, 0x1.0bc6641b9fe17p-14, 0x1.0a5abf84d6155p-14, 0x1.08ef248d8d894p-14, 0x1.078510da6cf35p-14, 0x1.061cabf9bfe64p-14, 0x1.04b3e8e6c30e3p-14, 0x1.034d9bf179c1ap-14, 0x1.01e67de1f56c2p-14, 0x1.008034885604dp-14, 0x1.fe365c722e96cp-15, 0x1.fb6f7167b8de5p-15, 0x1.f8a8f9be1feabp-15, 0x1.f5e58745a9bccp-15, 0x1.f320206a4e2fap-15, 0x1.f062081dddb61p-15, 0x1.eda281d9717f7p-15, 0x1.eae80987759d6p-15, 0x1.e82ec0776c21bp-15, 0x1.e5748fd1e4f0cp-15, 0x1.e2bc740c25f62p-15, 0x1.e008ed0fe9b35p-15, 0x1.dd562cade21fap-15, 0x1.daa5749b6cdfcp-15, 0x1.d7faf64c692e3p-15, 0x1.d54db29fa5854p-15, 0x1.d29d41fe0ebafp-15, 0x1.cffa264d944c6p-15, 0x1.cd56901b84f8fp-15, 0x1.cab2853f399a7p-15, 0x1.c809500d9dfddp-15, 0x1.c57145c09dc91p-15, 0x1.c2d54e20f1ec8p-15, 0x1.c03b5c4707de2p-15, 0x1.bda4225d371a5p-15, 0x1.bb0e0588cce05p-15, 0x1.b87ace50fdc3cp-15, 0x1.b5ea068a3a7b4p-15, 0x1.b35ae9aca155ap-15, 0x1.b0cf57d79b18dp-15, 0x1.ae45718202f15p-15, 0x1.abbddcf93a304p-15, 0x1.a93d9cbb9e2dap-15, 0x1.a6b6af783401p-15, 0x1.a43678d9045cep-15, 0x1.a1b8cbdbfca31p-15, 0x1.9f2af1c8d7595p-15, 0x1.9cc127f99f3b7p-15, 0x1.9a4d696265851p-15, 0x1.97d9cbfe97a33p-15, 0x1.956b0f5ae0e5bp-15, 0x1.92fb851dc420ap-15, 0x1.908f512ecd0b9p-15, 0x1.8e2369d3ba4bcp-15, 0x1.8bb9e8a2485e4p-15, 0x1.89590599f0dbep-15, 0x1.86f6b386c102ap-15, 0x1.8497223a90cbdp-15, 0x1.823b80805f7p-15, 0x1.7fdf2e8ddbe55p-15, 0x1.7d89d62746dfdp-15, 0x1.7b30470a355dcp-15, 0x1.78de4976f9368p-15, 0x1.768fcc221e433p-15, 0x1.74432ffcbef4cp-15, 0x1.71f6e23ef0091p-15, 0x1.6facba49f61dbp-15, 0x1.6d679d7fad2c4p-15, 0x1.6b24dc74b2295p-15, 0x1.68e3bf20d6bc9p-15, 0x1.66a493c806455p-15, 0x1.646bd2f3c5aabp-15, 0x1.622e41199640ep-15, 0x1.5ffa382d887a5p-15, 0x1.5dc54f239d9f3p-15, 0x1.5b96ecf2bd83cp-15, 0x1.596a7aa3926b6p-15, 0x1.573cc751a406cp-15, 0x1.551260f93e411p-15, 0x1.52e833f320808p-15, 0x1.50c8b5a81ce63p-15, 0x1.4ea74cc9e3d05p-15, 0x1.4c87d7f137a3ep-15, 0x1.4a69f442d5bafp-15, 0x1.485281136194p-15, 0x1.463b78408e9dap-15, 0x1.4426ee74964bep-15, 0x1.421525f24b121p-15, 0x1.40093a3beed22p-15, 0x1.3df980284315ap-15, 0x1.3bef68a0faccp-15, 0x1.39e9530912dbcp-15, 0x1.37e4ad2e75f8fp-15, 0x1.35e1357d14cefp-15, 0x1.33e3135a1fdbp-15, 0x1.31e4cc9797993p-15, 0x1.2fea114179709p-15, 0x1.2df2accbd4d46p-15, 0x1.2bfd31b87a6e5p-15, 0x1.2a05d194d0521p-15, 0x1.281a613ab54a5p-15, 0x1.26294ea443a18p-15, 0x1.2441106578a23p-15, 0x1.22589d8d8efd3p-15, 0x1.2072c68b2f0a2p-15, 0x1.1e8f7311669b1p-15, 0x1.1cae8dd346182p-15, 0x1.1ad058f348899p-15, 0x1.18f3680e57f7p-15, 0x1.171d13493e289p-15, 0x1.15448ec3eb045p-15, 0x1.13704dbad67bfp-15, 0x1.119e7d7791399p-15, 0x1.0fcf2aac7445p-15, 0x1.0e023eb317c6dp-15, 0x1.0c37aae3c3914p-15, 0x1.0a725c77342c9p-15, 0x1.08ac2646b9e4ap-15, 0x1.06e84a87b5462p-15, 0x1.0528d45d0e3fcp-15, 0x1.03694972dfecdp-15, 0x1.01b00f4217ea7p-15, 0x1.ffeb2cd40e04ep-16, 0x1.fc7e2b27dee2dp-16, 0x1.f914e8aef8b8p-16, 0x1.f5ac57fb7e25bp-16, 0x1.f25175501175bp-16, 0x1.ef059a8b270ffp-16, 0x1.eba601a141efdp-16, 0x1.e8534224185ccp-16, 0x1.e505011dcf15bp-16, 0x1.e1c3ffd3f8d1dp-16, 0x1.de843be449d91p-16, 0x1.db4359ea0186dp-16, 0x1.d806b5dc3673bp-16, 0x1.d4d5f333c6036p-16, 0x1.d1a89129b1bacp-16, 0x1.ce7e5ebeb94d4p-16, 0x1.cb59972bdb553p-16, 0x1.c83a351057b7fp-16, 0x1.c51ac3e9c0adp-16, 0x1.c202da1df0e7bp-16, 0x1.beef896305be6p-16, 0x1.bbe102cfaf019p-16, 0x1.b8d64ffc5dbd9p-16, 0x1.b5d59534e34b7p-16, 0x1.b2cfbcc86c9f8p-16, 0x1.afd37710a5ee2p-16, 0x1.acdbd4064d11ep-16, 0x1.a9e85e617dd1cp-16, 0x1.a6f96eaa09237p-16, 0x1.a40e896b7e1efp-16, 0x1.a1284fb8e91eep-16, 0x1.9e4b0157ac776p-16, 0x1.9b688afd6a939p-16, 0x1.988f4b86999ddp-16, 0x1.95bb424fafbc6p-16, 0x1.92eb20d2479fbp-16, 0x1.901f016ebc983p-16, 0x1.8d5734eb1ef8fp-16, 0x1.8a93bb8789dffp-16, 0x1.87d48d3761ab8p-16, 0x1.851a04f33f65cp-16, 0x1.82646132139afp-16, 0x1.7fb03af54d71cp-16, 0x1.7d05e1bc5e622p-16, 0x1.7a585d90709cp-16, 0x1.77b2bd98ef041p-16, 0x1.7511b8842aca9p-16, 0x1.72733bd59f3cap-16, 0x1.6fd9e5e7eb481p-16, 0x1.6d4484f084033p-16, 0x1.6ab2cb6998ad2p-16, 0x1.6824b77d8a389p-16, 0x1.659d6f1b01348p-16, 0x1.6317ab21cc8d7p-16, 0x1.6094d21a3faf4p-16, 0x1.5e178d2f819d1p-16, 0x1.5ba0c31ac4884p-16, 0x1.592d968d76bebp-16, 0x1.56b897b962264p-16, 0x1.5449248dd7594p-16, 0x1.51e2a7e320e2dp-16, 0x1.4f7fc161705e7p-16, 0x1.4d19920e36b36p-16, 0x1.4abba1fdcf1dp-16, 0x1.4862b48a076bdp-16, 0x1.460be78a4bcb8p-16, 0x1.43b77629f99d6p-16, 0x1.416d560b87fb8p-16, 0x1.3f223f25c8498p-16, 0x1.3cd7133f81c0cp-16, 0x1.3a926ebf91706p-16, 0x1.38523c2b5501ep-16, 0x1.36171809e43ffp-16, 0x1.33e3fd7e083a3p-16, 0x1.31ace208b7f81p-16, 0x1.2f72f2c317483p-16, 0x1.2d52e57a48c7cp-16, 0x1.2b231638be96p-16, 0x1.28ff8159ef8fep-16, 0x1.26d4e57abe6e5p-16, 0x1.24b7a1a9f2f49p-16, 0x1.229ce73c4169bp-16, 0x1.20845ee851b02p-16, 0x1.1e6f964ad7edfp-16, 0x1.1c5d83aa167b5p-16, 0x1.1a4fa4b313c4dp-16, 0x1.1845073b584e4p-16, 0x1.163ecede7c37bp-16, 0x1.143a271f38679p-16, 0x1.1239c02ad977fp-16, 0x1.103c8a340d4c9p-16, 0x1.0e42a93719e81p-16, 0x1.0c4c1344e1172p-16, 0x1.0a596b8419e98p-16, 0x1.0865fab5694abp-16, 0x1.067c8b34452b6p-16, 0x1.0491b2433f673p-16, 0x1.02af3c1360473p-16, 0x1.00d078bd788b8p-16, 0x1.fdd13fc68d291p-17, 0x1.fa1af3e6045f2p-17, 0x1.f6694fba9d60ep-17, 0x1.f2bc50d594c13p-17, 0x1.ef16420279743p-17, 0x1.eb7664d25ba83p-17, 0x1.e7dcc3a8faa0fp-17, 0x1.e4b770379e44fp-17, 0x1.e0bab86f3db85p-17, 0x1.dd2fb2ed0b4ep-17, 0x1.d9b3721a5c351p-17, 0x1.d63ccc1396584p-17, 0x1.d2bf603e26395p-17, 0x1.cf4fe8d201c98p-17, 0x1.cbe949b4c14e5p-17, 0x1.c885983320a18p-17, 0x1.c5269a858b5fdp-17, 0x1.c1cf1d62d55c3p-17, 0x1.be7d7c2d87c01p-17, 0x1.bb3115560d073p-17, 0x1.b7e8da8917b61p-17, 0x1.b4a4e0861f3efp-17, 0x1.b16e12fa1213fp-17, 0x1.ae3a40222b036p-17, 0x1.aafa687669456p-17, 0x1.a7dc889220722p-17, 0x1.a4bc56a37e44cp-17, 0x1.a196d190befecp-17, 0x1.9e822a1062e41p-17, 0x1.9b6ad2e7581ecp-17, 0x1.985bb5e92fe7bp-17, 0x1.955159a7dde11p-17, 0x1.9246dad8e8764p-17, 0x1.8f55971a495b8p-17, 0x1.8c58760fdc5eep-17, 0x1.8959f7bc87d01p-17, 0x1.866c350b060d7p-17, 0x1.838376a6d2668p-17, 0x1.809f4e80700bbp-17, 0x1.7dbae6a3243b5p-17, 0x1.7ae7f77b2ce7ap-17, 0x1.7810dfa22256dp-17, 0x1.7534c5bd31bb4p-17, 0x1.726e951928008p-17, 0x1.6fae6909508bp-17, 0x1.6cebaec700cb5p-17, 0x1.6a28ae7308cf4p-17, 0x1.67730200f6cf3p-17, 0x1.64bff74ad4a27p-17, 0x1.6210db35f7dc1p-17, 0x1.5f6524cc2baaap-17, 0x1.5cbe1d346f23ap-17, 0x1.5a23b473df467p-17, 0x1.5789b5dfb191ap-17, 0x1.54eaf06278e64p-17, 0x1.525d27b54b334p-17, 0x1.4fd771b80b618p-17, 0x1.4d4b3e984b4aep-17, 0x1.4abf52b2be90bp-17, 0x1.483c5cb4728b4p-17, 0x1.45c4fb900e0cap-17, 0x1.434fad933e892p-17, 0x1.40dd940e4c5afp-17, 0x1.3e6ede1e0867dp-17, 0x1.3c0592d00c599p-17, 0x1.39a025aa24854p-17, 0x1.373f71243a88dp-17, 0x1.34e2e65f0cbbap-17, 0x1.328a8569b28e5p-17, 0x1.30362d87a2fedp-17, 0x1.2de451b552065p-17, 0x1.2b96e847409c1p-17, 0x1.2957beaba92bdp-17, 0x1.2710bcaf94e7cp-17, 0x1.24cd16f5ba3d8p-17, 0x1.2295070b8feffp-17, 0x1.205e2be1886cep-17, 0x1.1e299bc8f2c26p-17, 0x1.1bfa07711c7e6p-17, 0x1.19d43e1a38d22p-17, 0x1.17ab0c523cfacp-17, 0x1.158487abc161bp-17, 0x1.1364da1571ddep-17, 0x1.114d5bf741ec6p-17, 0x1.0f3589d6b0dfbp-17, 0x1.0d2251cdae6b2p-17, 0x1.0b0f57f97c4f2p-17, 0x1.0902d1450e931p-17, 0x1.0702a45edfdep-17, 0x1.0500bc5e2578dp-17, 0x1.02f7c384b802cp-17, 0x1.00fa6fe76c5bcp-17, 0x1.fe03f2f09d47ep-18, 0x1.fa18cfc699581p-18, 0x1.f636ff97636e5p-18, 0x1.f2585b21629cap-18, 0x1.ee7e3b8aabb2p-18, 0x1.eaad4b6873b27p-18, 0x1.e6f6d668e860fp-18, 0x1.e326a5e0f4d6dp-18, 0x1.df6b07843ed2p-18, 0x1.dbbd60c4fd09fp-18, 0x1.d80e30751590dp-18, 0x1.d46fb423e69b5p-18, 0x1.d0d33ffd27d94p-18, 0x1.cd3d22d9d7421p-18, 0x1.c9a146efcb624p-18, 0x1.c61c6ed2dd4f2p-18, 0x1.c29bb7a1af239p-18, 0x1.bf1e4a0a80879p-18, 0x1.bba762538d80cp-18, 0x1.b83ebd838abe7p-18, 0x1.b4c9bb65c01a1p-18, 0x1.b168f29e77fecp-18, 0x1.ae107a6268572p-18, 0x1.aab46ac353e65p-18, 0x1.a75e8027e77ecp-18, 0x1.a41ccc08a0e32p-18, 0x1.a0de75b3ae8efp-18, 0x1.9d9f8ab45d7cdp-18, 0x1.9a68b597bc009p-18, 0x1.972e944ad8687p-18, 0x1.9402039263564p-18, 0x1.90e311e250103p-18, 0x1.8dc3851bfeb5cp-18, 0x1.8aab891031fcep-18, 0x1.8797a4e425cf7p-18, 0x1.8481948dad8ecp-18, 0x1.818296bdf665dp-18, 0x1.7e7cbd577d04bp-18, 0x1.7b7f1b9648d81p-18, 0x1.788d48b1bc011p-18, 0x1.7598481904ddep-18, 0x1.72af33b9767a8p-18, 0x1.6fc3efa05feccp-18, 0x1.6ce76004adc52p-18, 0x1.6a117cf6de37dp-18, 0x1.672ab24a80cefp-18, 0x1.646a09459df48p-18, 0x1.616f8837ca8acp-18, 0x1.5ecfb3a67ddf9p-18, 0x1.5c145d64e856dp-18, 0x1.5959bb25ddc01p-18, 0x1.56a10fb0dc105p-18, 0x1.53ef4ac4d15cep-18, 0x1.514bdf3bcbf98p-18, 0x1.4e9f738e70976p-18, 0x1.4bfcef96bdaaap-18, 0x1.4966646b131dp-18, 0x1.46cc9884fd183p-18, 0x1.4439e31077124p-18, 0x1.41ae24c39b503p-18, 0x1.3fa19a33ad0e9p-18, 0x1.3c9e985166859p-18, 0x1.3a20949571009p-18, 0x1.37a608e50b177p-18, 0x1.3532751b4f22bp-18, 0x1.32b1b3546c63p-18, 0x1.305771d4317c9p-18, 0x1.2dfc363f11475p-18, 0x1.2b84ee5823e3bp-18, 0x1.292062673dcf3p-18, 0x1.26d1bfa7a80eep-18, 0x1.247be341e251ep-18, 0x1.222f10ccb831p-18, 0x1.1fe382813c1bbp-18, 0x1.1d9e89660ecd6p-18, 0x1.1b561ceac5fbbp-18, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{-0x1.ebb41d4268ecep-1, -0x1.eb724cab2094bp-1, -0x1.eb02daee0157ap-1, -0x1.ea6383a672daep-1, -0x1.e991a9e090272p-1, -0x1.e88aaea88319fp-1, -0x1.e74c39327920ep-1, -0x1.e5d46cc1ff163p-1, -0x1.e4220c199d6b4p-1, -0x1.e2348c449f34fp-1, -0x1.e00c1984e61cbp-1, -0x1.dda9917899c95p-1, -0x1.db0e756d96225p-1, -0x1.d83cd782c85fep-1, -0x1.d53744c9b4b6cp-1, -0x1.d200ae27bf549p-1, -0x1.ce9c514b0b21fp-1, -0x1.cb0da2a7c93a9p-1, -0x1.c7583922f272ep-1, -0x1.c37fbbcef1352p-1, -0x1.bf87d1ec8a822p-1, -0x1.bb74153cc48f9p-1, -0x1.b748069587f8cp-1, -0x1.b30704986cc51p-1, -0x1.aeb4445fb9975p-1, -0x1.aa52cbef5bfcbp-1, -0x1.a5e56e355dd49p-1, -0x1.a16ec865c7506p-1, -0x1.9cf1408034f0ep-1, -0x1.986f04d0ea51p-1, -0x1.93ea0c434eed9p-1, -0x1.8f6417602d0e6p-1, -0x1.8adeb1d67b31p-1, -0x1.865b3471aac72p-1, -0x1.81dac7646fb5fp-1, -0x1.7d5e64d286277p-1, -0x1.78e6db8730e8ap-1, -0x1.7474d1c902e5p-1, -0x1.7008c83dfbdf1p-1, -0x1.6ba31cd52ce52p-1, -0x1.67440dace852ep-1, -0x1.62ebbbee22936p-1, -0x1.5e9a2e96feff5p-1, -0x1.5a4f552fae2e4p-1, -0x1.560b0a65c456fp-1, -0x1.51cd168b099cfp-1, -0x1.4d9531f578b5fp-1, -0x1.4963073ecf25ap-1, -0x1.453635628d737p-1, -0x1.410e51b9c77bcp-1, -0x1.3ceae9d48355p-1, -0x1.38cb8530c5914p-1, -0x1.34afa6cfa8fafp-1, -0x1.3096cea92b202p-1, -0x1.2c807aff87602p-1, -0x1.286c299326623p-1, -0x1.245958b84fe3ap-1, -0x1.2047884feae9cp-1, -0x1.1c363aa4aaa5ap-1, -0x1.1824f52e1fda7p-1, -0x1.1413413b2939bp-1, -0x1.1000ac854e4f8p-1, -0x1.0becc9ae8a023p-1, -0x1.07d730ab0eec8p-1, -0x1.03bf7f18890b3p-1, -0x1.ff4ab108b41aep-2, -0x1.f710cd4482fe3p-2, -0x1.eed0b2e9ae7b4p-2, -0x1.e689ced26602ep-2, -0x1.de3b9ace10634p-2, -0x1.d5e59dacdd6d7p-2, -0x1.cd876b3903c4p-2, -0x1.c520a41fd79f3p-2, -0x1.bcb0f5ccba039p-2, -0x1.b4381a37cec38p-2, -0x1.abb5d7aa2f55ep-2, -0x1.a32a007937eddp-2, -0x1.9a9472ba674b7p-2, -0x1.91f517f12b669p-2, -0x1.894be4b7c5235p-2, -0x1.8098d8646788ep-2, -0x1.77dbfcab81bafp-2, -0x1.6f156540107f4p-2, -0x1.66452f72c20d7p-2, -0x1.5d6b81d088bcfp-2, -0x1.54888bc13ca6cp-2, -0x1.4b9c8526c137bp-2, -0x1.42a7adfd1bc71p-2, -0x1.39aa4dfbd6396p-2, -0x1.30a4b438f39fap-2, -0x1.279736cdb2309p-2, -0x1.1e82327d48cb4p-2, -0x1.15660a5dc16f3p-2, -0x1.0c43278307f94p-2, -0x1.0319f8ac400f7p-2, -0x1.f3d5e3e6c0effp-3, -0x1.e16d18fe42fe2p-3, -0x1.cefa8c6e5b68ap-3, -0x1.bc7f42f5267b8p-3, -0x1.a9fc49b0ccb75p-3, -0x1.9772b59502a4ep-3, -0x1.84e3a2e4b0fdap-3, -0x1.725034af7fa9dp-3, -0x1.5fb994533c8c1p-3, -0x1.4d20f100ce0fp-3, -0x1.3a877f44a0bd7p-3, -0x1.27ee789251732p-3, -0x1.15571ad373983p-3, -0x1.02c2a7f93ea2ep-3, -0x1.e064cb220d6f4p-4, -0x1.bb4f38b695826p-4, -0x1.96472fca81069p-4, -0x1.714f4c49744f2p-4, -0x1.4c6a2e2c77dacp-4, -0x1.279a78ba6c647p-4, -0x1.02e2d1cc7d3d9p-4, -0x1.bc8bc22cd30f5p-5, -0x1.738c9ee50c17bp-5, -0x1.2acd8c6291706p-5, -0x1.c4a7b9b12782dp-6, -0x1.3449c1727bc92p-6, -0x1.491795a433f8p-7, -0x1.57867f11f1595p-10, 0x1.e39780db33241p-8, 0x1.068494467f4cbp-6, 0x1.93594adf790bcp-6, 0x1.0facd67eb5134p-5, 0x1.553dbc21917c5p-5, 0x1.9a5a409d22046p-5, 0x1.defd5ac32546ap-5, 0x1.11910782836ap-4, 0x1.3361b84000e62p-4, 0x1.54ee51013cadfp-4, 0x1.76346b851f245p-4, 0x1.9731aa5df502bp-4, 0x1.b7e3b96977f82p-4, 0x1.d8484e452a1a9p-4, 0x1.f85d28bf07dacp-4, 0x1.0c1009a12d265p-3, 0x1.1bc771a058669p-3, 0x1.2b53bccb7e32p-3, 0x1.3ab3e1774f7c4p-3, 0x1.49e6dc0d3b913p-3, 0x1.58ebaf37e7fcdp-3, 0x1.67c1640da179ep-3, 0x1.76670a38a0166p-3, 0x1.84dbb81d48c57p-3, 0x1.931e8afe3a3bap-3, 0x1.a12ea71e413b6p-3, 0x1.af0b37e022ba9p-3, 0x1.bcb36fe44127p-3, 0x1.ca2689240eb84p-3, 0x1.d763c50b66509p-3, 0x1.e46a6c8fa6dbep-3, 0x1.f139d044b8c33p-3, 0x1.fdd1486fdeaa2p-3, 0x1.05181a8c373efp-2, 0x1.0b2aff0b302e5p-2, 0x1.1121098f6125p-2, 0x1.16f9f5e71042bp-2, 0x1.1cb583d864f03p-2, 0x1.225377248cb77p-2, 0x1.27d39789d838fp-2, 0x1.2d35b0c4dbaefp-2, 0x1.3279929096827p-2, 0x1.379f10a5a1f27p-2, 0x1.3ca602b86f98ep-2, 0x1.418e44769df5fp-2, 0x1.4657b5835f0bcp-2, 0x1.4b02397304659p-2, 0x1.4f8db7c5a90ebp-2, 0x1.53fa1be1078e1p-2, 0x1.584755097da73p-2, 0x1.5c75565a4479fp-2, 0x1.608416bce71f2p-2, 0x1.647390dff66f6p-2, 0x1.6843c32d0878p-2, 0x1.6bf4afbe040f3p-2, 0x1.6f865c51c5b7dp-2, 0x1.72f8d240188fp-2, 0x1.764c1e6d1a925p-2, 0x1.7980513c05a54p-2, 0x1.7c957e8169a7bp-2, 0x1.7f8bbd74dc727p-2, 0x1.826328a22cec5p-2, 0x1.851bddda130fep-2, 0x1.87b5fe22718cbp-2, 0x1.8a31ada627b28p-2, 0x1.8c8f13a47d544p-2, 0x1.8ece5a602de89p-2, 0x1.90efaf0e18a07p-2, 0x1.92f341c3a3164p-2, 0x1.94d94564c86c5p-2, 0x1.96a1ef91e6029p-2, 0x1.984d78954b7aep-2, 0x1.99dc1b508bd8bp-2, 0x1.9b4e1529a0029p-2, 0x1.9ca3a5f7d790cp-2, 0x1.9ddd0ff0a9809p-2, 0x1.9efa979459ce8p-2, 0x1.9ffc839a8d078p-2, 0x1.a0e31cdebf444p-2, 0x1.a1aeae4cac307p-2, 0x1.a25f84ccaeb6ap-2, 0x1.a2f5ef3015ad6p-2, 0x1.a3723e1d78f52p-2, 0x1.a3d4c3fd14be5p-2, 0x1.a41dd4e52a164p-2, 0x1.a44dc6866df7fp-2, 0x1.a464f0188983ap-2, 0x1.a463aa46b185cp-2, 0x1.a44a4f1c53fbp-2, 0x1.a41939f1e7e32p-2, 0x1.a3d0c759de0f6p-2, 0x1.a371550db35dfp-2, 0x1.a2fb41db32e5dp-2, 0x1.a26eed91ddf55p-2, 0x1.a1ccb8f088d78p-2, 0x1.a1150593286acp-2, 0x1.a04835e0d47eap-2, 0x1.9f66acfa0601ap-2, 0x1.9e70cea70d09fp-2, 0x1.9d66ff46c7851p-2, 0x1.9c49a3bd965bp-2, 0x1.9b19216496bcfp-2, 0x1.99d5ddf91ebe9p-2, 0x1.98803f8c83d1cp-2, 0x1.9718ac7423ac3p-2, 0x1.959f8b39be18cp-2, 0x1.9415428c175b2p-2, 0x1.927a392fe7fa5p-2, 0x1.90ced5f11c972p-2, 0x1.8f137f94639b1p-2, 0x1.8d489cc910396p-2, 0x1.8b6e941b4ad84p-2, 0x1.8985cbe6981e1p-2, 0x1.878eaa48b00a1p-2, 0x1.85899514ae54cp-2, 0x1.8376f1c6942d7p-2, 0x1.81572577202bcp-2, 0x1.7f2a94cffe367p-2, 0x1.7cf1a4004b6b9p-2, 0x1.7aacb6b170acbp-2, 0x1.785c2ffc5601fp-2, 0x1.7600725ee98d9p-2, 0x1.7399dfb1fcb3p-2, 0x1.7128d91f7cb8cp-2, 0x1.6eadbf18f9b2fp-2, 0x1.6c28f14e8a3acp-2, 0x1.699acea600122p-2, 0x1.6703b532744d5p-2, 0x1.6464022c25bap-2, 0x1.61bc11e8adeb9p-2, 0x1.5f0c3fd387332p-2, 0x1.5c54e666e546ep-2, 0x1.59965f24e1799p-2, 0x1.56d10290f68cap-2, 0x1.54052829ccfe4p-2, 0x1.513326635681bp-2, 0x1.4e5b52a138a2p-2, 0x1.4b7e013183ebp-2, 0x1.489b8547b6b8p-2, 0x1.45b430f80c892p-2, 0x1.42c85533196eep-2, 0x1.3fd841c1a8bf8p-2, 0x1.3ce44540e8c41p-2, 0x1.39ecad1edcc3dp-2, 0x1.36f1c5971107fp-2, 0x1.33f3d9af97p-2, 0x1.30f3333642ee9p-2, 0x1.2df01abe2b1dap-2, 0x1.2aead79d65f73p-2, 0x1.27e3afeb0c49ap-2, 0x1.24dae87d72858p-2, 0x1.21d0c4e8a545dp-2, 0x1.1ec5877d194d6p-2, 0x1.1bb971469ded1p-2, 0x1.18acc20b80acp-2, 0x1.159fb84bea8ddp-2, 0x1.129291417532ap-2, 0x1.0f8588deefe88p-2, 0x1.0c78d9d059f37p-2, 0x1.096cbd7b0fda6p-2, 0x1.06616bfe24aeep-2, 0x1.03571c32ede8ap-2, 0x1.004e03adbacb9p-2, 0x1.fa8cad7d6f924p-3, 0x1.f48090e5f832cp-3, 0x1.ee78152b84dep-3, 0x1.e8739b638efaap-3, 0x1.e2738225a0271p-3, 0x1.dc78258ea7726p-3, 0x1.d681df449959p-3, 0x1.d091067a51ba2p-3, 0x1.caa5eff3b7c5bp-3, 0x1.c4c0ee0a26861p-3, 0x1.bee250b110594p-3, 0x1.b90a657ad8f3p-3, 0x1.b339779deeb3bp-3, 0x1.ad6fcffa17e55p-3, 0x1.a7adb51df21b4p-3, 0x1.a1f36b4ca2d46p-3, 0x1.9c413483b95f4p-3, 0x1.9697508138534p-3, 0x1.90f5fcc9d20e5p-3, 0x1.8b5d74af431abp-3, 0x1.85cdf156da52p-3, 0x1.8047a9c01fcap-3, 0x1.7acad2cb9fd0dp-3, 0x1.75579f41d2f16p-3, 0x1.6fee3fda2ae84p-3, 0x1.6a8ee3422dac1p-3, 0x1.6539b624b6486p-3, 0x1.5feee33149f3ep-3, 0x1.5aae93237cfb6p-3, 0x1.5578ecca72f24p-3, 0x1.504e15106dd5cp-3, 0x1.4b2e2f026de81p-3, 0x1.46195bd7e15f3p-3, 0x1.410fbafa5bfffp-3, 0x1.3c116a0d604f4p-3, 0x1.371e84f62fcd8p-3, 0x1.323725e3a5c04p-3, 0x1.2d5b655610392p-3, 0x1.288b5a271ab46p-3, 0x1.23c71991b533p-3, 0x1.1f0eb739fd172p-3, 0x1.1a6245352a661p-3, 0x1.15c1d4117c295p-3, 0x1.112d72de222c5p-3, 0x1.0ca52f3324161p-3, 0x1.0829153946c11p-3, 0x1.03b92fb1ea893p-3, 0x1.feab0ffdc8a5dp-4, 0x1.f5fc4c54a0d43p-4, 0x1.ed6621dcb3e2fp-4, 0x1.e4e89b79ff5d2p-4, 0x1.dc83c18f8934fp-4, 0x1.d4379a0ec62c8p-4, 0x1.cc042886d0bedp-4, 0x1.c3e96e338e70fp-4, 0x1.bbe76a0cc1c99p-4, 0x1.b3fe18d4f9194p-4, 0x1.ac2d75285a135p-4, 0x1.a475778b5a0ccp-4, 0x1.9cd616794f87bp-4, 0x1.954f4672dbcfp-4, 0x1.8de0fa0c4192cp-4, 0x1.868b21fb84fa8p-4, 0x1.7f4dad26758e7p-4, 0x1.782888b08574bp-4, 0x1.711ba00885982p-4, 0x1.6a26dcf62cae1p-4, 0x1.634a27a77eebp-4, 0x1.5c8566be0acb9p-4, 0x1.55d87f5bf62fap-4, 0x1.4f435530e4957p-4, 0x1.48c5ca86ae2e5p-4, 0x1.425fc04df04p-4, 0x1.3c11162a6973p-4, 0x1.35d9aa7f2b074p-4, 0x1.2fb95a7aa2cdcp-4, 0x1.29b0022266818p-4, 0x1.23bd7c5ee3545p-4, 0x1.1de1a306d206p-4, 0x1.181c4eea7fb47p-4, 0x1.126d57dee7ep-4, 0x1.0cd494c899a96p-4, 0x1.0751dba672a99p-4, 0x1.01e5019c2afe5p-4, 0x1.f91bb5f953d8bp-5, 0x1.ee9876a85e751p-5, 0x1.e43feae494d4p-5, 0x1.da11b6e74f6aep-5, 0x1.d00d7d973cdf7p-5, 0x1.c632e09b472d7p-5, 0x1.bc81806cee864p-5, 0x1.b2f8fc6a61568p-5, 0x1.a998f2e8316dbp-5, 0x1.a06101429834ap-5, 0x1.9750c3ee70a6bp-5, 0x1.8e67d689c492cp-5, 0x1.85a5d3ec05111p-5, 0x1.7d0a5635e290dp-5, 0x1.7494f6e0c69b2p-5, 0x1.6c454ecdf21adp-5, 0x1.641af6553d591p-5, 0x1.5c1585538929bp-5, 0x1.54349338c35fep-5, 0x1.4c77b715a3d53p-5, 0x1.44de87a9030efp-5, 0x1.3d689b6cdff5cp-5, 0x1.361588a30f003p-5, 0x1.2ee4e5619383dp-5, 0x1.27d6479e9e3f1p-5, 0x1.20e9453c3934fp-5, 0x1.1a1d7413ae381p-5, 0x1.13726a0081cbdp-5, 0x1.0ce7bceb377c3p-5, 0x1.067d02d3ab405p-5, 0x1.0031d1db388bdp-5, 0x1.f40b809ce9514p-6, 0x1.e7f0c95d650e7p-6, 0x1.dc12ab767303p-6, 0x1.d07054f43a3b7p-6, 0x1.c508f481c39aep-6, 0x1.b9dbb97986c1ep-6, 0x1.aee7d3f5a1cfep-6, 0x1.a42c74df4ap-6, 0x1.99a8cdfdbd9bep-6, 0x1.8f5c1204cf319p-6, 0x1.854574a2bec0ep-6, 0x1.7b642a8dab77ap-6, 0x1.71b76990730fep-6, 0x1.683e68971baa4p-6, 0x1.5ef85fbabb796p-6, 0x1.55e4884cd89ddp-6, 0x1.4d021ce271c04p-6, 0x1.4450595e68567p-6, 0x1.3bce7afb84e08p-6, 0x1.337bc056232f4p-6, 0x1.2b5769753e3a5p-6, 0x1.2360b7d334e3p-6, 0x1.1b96ee660c89ap-6, 0x1.13f951a75dc7ep-6, 0x1.0c87279bbb795p-6, 0x1.053fb7d9e4479p-6, 0x1.fc449722ad2e5p-7, 0x1.ee5c5b2166642p-7, 0x1.e0c5549762eeep-7, 0x1.d37e1fc16377p-7, 0x1.c6855c3be2b83p-7, 0x1.b9d9ad0d0069p-7, 0x1.ad79b8ad7fb1dp-7, 0x1.a164291148627p-7, 0x1.9597abaf31322p-7, 0x1.8a12f188298edp-7, 0x1.7ed4af2df004bp-7, 0x1.73db9cc8d0f33p-7, 0x1.6926761d4d54fp-7, 0x1.5eb3fa90c2cbdp-7, 0x1.5482ed2dd2ef6p-7, 0x1.4a9214a82489dp-7, 0x1.40e03b5f91323p-7, 0x1.376c2f62f4bfep-7, 0x1.2e34c27255435p-7, 0x1.2538ca00bce3p-7, 0x1.1c771f3596beep-7, 0x1.13ee9eed68b69p-7, 0x1.0b9e29ba473cap-7, 0x1.0384a3e4050ccp-7, 0x1.f741eacefced4p-8, 0x1.e7e413ec21238p-8, 0x1.d8eda1e8a9f6cp-8, 0x1.ca5c7af0ff69cp-8, 0x1.bc2e8c9130d53p-8, 0x1.ae61cbb037778p-8, 0x1.a0f4348aeb54ep-8, 0x1.93e3caae3dc0cp-8, 0x1.872e98f085c6bp-8, 0x1.7ad2b16ac2299p-8, 0x1.6ece2d70d50c5p-8, 0x1.631f2d8940a96p-8, 0x1.57c3d9648ec07p-8, 0x1.4cba5fd422454p-8, 0x1.4200f6c051418p-8, 0x1.3795db1e4862cp-8, 0x1.2d7750e58b2cdp-8, 0x1.23a3a304914d6p-8, 0x1.1a1923558c777p-8, 0x1.10d62a925c44fp-8, 0x1.07d918484111dp-8, 0x1.fe40a596d9922p-9, 0x1.ed548e53a6537p-9, 0x1.dcead23b6c6cep-9, 0x1.cd0066015c6c5p-9, 0x1.bd924b79b6b8fp-9, 0x1.ae9d917ecf9ddp-9, 0x1.a01f53d397c26p-9, 0x1.9214bb05e866cp-9, 0x1.847afc5151aa2p-9, 0x1.774f59802b86cp-9, 0x1.6a8f20cd65a4ap-9, 0x1.5e37acc4e27f9p-9, 0x1.5246642434823p-9, 0x1.46b8b9bb1942bp-9, 0x1.3b8c2c4b21146p-9, 0x1.30be4666d7efcp-9, 0x1.264c9e521706ep-9, 0x1.1c34d5e0476dfp-9, 0x1.12749a53e9969p-9, 0x1.0909a43ca9cefp-9, 0x1.ffe36ead6c657p-10, 0x1.ee5544d07656dp-10, 0x1.dd647e410fadfp-10, 0x1.cd0ce3eb47ba8p-10, 0x1.bd4a54054a791p-10, 0x1.ae18c1cb18fa7p-10, 0x1.9f74353aa4dfap-10, 0x1.9158cacfca0e2p-10, 0x1.83c2b33f5f558p-10, 0x1.76ae333423558p-10, 0x1.6a17a309646ep-10, 0x1.5dfb6e881e0f7p-10, 0x1.525614a12b924p-10, 0x1.4724272afb464p-10, 0x1.3c624a9d84c68p-10, 0x1.320d35cd6f02fp-10, 0x1.2821b1a9e877p-10, 0x1.1e9c98f903f27p-10, 0x1.157ad814a0ff7p-10, 0x1.0cb96ca7b75bfp-10, 0x1.0455656c164efp-10, 0x1.f897c3cf6417bp-11, 0x1.e9342457f6904p-11, 0x1.da7a6d25bb63ap-11, 0x1.cc653efd966dp-11, 0x1.beef5a33ee71ap-11, 0x1.b2139e297ee9ep-11, 0x1.a5cd08cf4e792p-11, 0x1.9a16b62484589p-11, 0x1.8eebdfb9f0059p-11, 0x1.8447dc349c2afp-11, 0x1.7a261ed09795p-11, 0x1.708236e6f447fp-11, 0x1.6757cf73023a4p-11, 0x1.5ea2ae9860a85p-11, 0x1.565eb52bf43f4p-11, 0x1.4e87de3bc2ae3p-11, 0x1.471a3e98d134p-11, 0x1.4012046205e85p-11, 0x1.396b76914e6eep-11, 0x1.3322f487c6a31p-11, 0x1.2d34f59baca89p-11, 0x1.279e08a9031b2p-11, 0x1.225ad3a0d6713p-11, 0x1.1d68131d071dep-11, 0x1.18c299efd2812p-11, 0x1.146750bc98753p-11, 0x1.10533588fe12cp-11, 0x1.0c835b55c8dc7p-11, 0x1.08f4e9b69a5c3p-11, 0x1.05a51c69ea212p-11, 0x1.029142f3ff99bp-11, 0x1.ff6d8074ce361p-12, 0x1.fa2614409185ep-12, 0x1.f5475249b5c38p-12, 0x1.f0cc70047866dp-12, 0x1.ecb0c69b7c13ap-12, 0x1.e8efd235b02c8p-12, 0x1.e5853136ebe8fp-12, 0x1.e26ca38e36f87p-12, 0x1.dfa209fccbe8ap-12, 0x1.dd216565529fap-12, 0x1.dae6d6198e132p-12, 0x1.d8ee9b2ff91ddp-12, 0x1.d73511d59bf67p-12, 0x1.d5b6b4a6d16aep-12, 0x1.d4701b086d63p-12, 0x1.d35df8849db32p-12, 0x1.d27d1c28711d8p-12, 0x1.d1ca6fe5d8f19p-12, 0x1.d142f7f6c8a5ep-12, 0x1.d0e3d24273ad7p-12, 0x1.d0aa35c7ec0d4p-12, 0x1.d093720529c3p-12, 0x1.d09cee6853511p-12, 0x1.d0c429bac783dp-12, 0x1.d106b996e8438p-12, 0x1.d16249d8d5b72p-12, 0x1.d1d49c17a3af9p-12, 0x1.d25b871bbae57p-12, 0x1.d2f4f65b7bb19p-12, 0x1.d39ee9777f7e5p-12, 0x1.d45773baffb8cp-12, 0x1.d51cbb9c1606bp-12, 0x1.d5ecfa4196e1bp-12, 0x1.d6c67b070ac38p-12, 0x1.d7a79b06b65c5p-12, 0x1.d88ec8a2d0eacp-12, 0x1.d97a8312e4947p-12, 0x1.da6959f152531p-12, 0x1.db59ecce43b06p-12, 0x1.dc4aeabf21b2ap-12, 0x1.dd3b11f6bb367p-12, 0x1.de292f598789dp-12, 0x1.df141e1803c64p-12, 0x1.dffac74911127p-12, 0x1.e0dc21869031fp-12, 0x1.e1b7308bf3af8p-12, 0x1.e28b04d789624p-12, 0x1.e356bb4c24537p-12, 0x1.e4197cd634d7dp-12, 0x1.e4d27e1147579p-12, 0x1.e580fef07ad86p-12, 0x1.e6244a67e8053p-12, 0x1.e6bbb618da96dp-12, 0x1.e746a1fe72518p-12, 0x1.e7c4781cbe916p-12, 0x1.e834ac321ac01p-12, 0x1.e896bb6938a0ep-12, 0x1.e8ea2c0cc6b19p-12, 0x1.e92e8d3df0205p-12, 0x1.e96376ab11e64p-12, 0x1.e9888848efd7bp-12, 0x1.e99d6a0d01d4cp-12, 0x1.e9a1cba989a3ep-12, 0x1.e995644b2a4e3p-12, 0x1.e977f2580f67cp-12, 0x1.e9493b2fdd33ep-12, 0x1.e9090aee6bf56p-12, 0x1.e8b7342ea9f9fp-12, 0x1.e8538fcf1044bp-12, 0x1.e7ddfcb8ff379p-12, 0x1.e7565fa6c6501p-12, 0x1.e6bca2edb9f93p-12, 0x1.e610b647a97bbp-12, 0x1.e5528e9e9d804p-12, 0x1.e48225d9d8939p-12, 0x1.e39f7aab417f5p-12, 0x1.e2aa905f34d54p-12, 0x1.e1a36eacbe821p-12, 0x1.e08a21873e5dep-12, 0x1.df5eb8f185b05p-12, 0x1.de2148d0fd435p-12, 0x1.dcd1e8c3c250ep-12, 0x1.db70b3f636072p-12, 0x1.d9fdc8fa9eac5p-12, 0x1.d87949a16087cp-12, 0x1.d6e35ad2c9dd9p-12, 0x1.d53c2468629ddp-12, 0x1.d383d10a2a2e1p-12, 0x1.d1ba8e098c2e9p-12, 0x1.cfe08b3f40d88p-12, 0x1.cdf5faea49163p-12, 0x1.cbfb118e52d5ap-12, 0x1.c9f005d4ebaeap-12, 0x1.c7d5106da0dp-12, 0x1.c5aa6bf103c4dp-12, 0x1.c37054c2dc74cp-12, 0x1.c12708f68bd73p-12, 0x1.becec832c8ebp-12, 0x1.bc67d3980b206p-12, 0x1.b9f26da5f7a97p-12, 0x1.b76eda2290b2bp-12, 0x1.b4dd5e021e28bp-12, 0x1.b23e3f4f7102bp-12, 0x1.af91c5156d10ep-12, 0x1.acd83748e9b52p-12, 0x1.aa11deb300f34p-12, 0x1.a73f04dce4f6ap-12, 0x1.a45ff3fb8327fp-12, 0x1.a174f6dc7ca1cp-12, 0x1.9e7e58d3127c9p-12, 0x1.9b7c65a6da517p-12, 0x1.986f69818158cp-12, 0x1.9557b0de2b9c3p-12, 0x1.92358879b94c2p-12, 0x1.8f093d4245052p-12, 0x1.8bd31c48e1a52p-12, 0x1.889372b29af9cp-12, 0x1.854a8daa38fd4p-12, 0x1.81f8ba5388a27p-12, 0x1.7e9e45bd5843ap-12, 0x1.7b3b7cd5e59e4p-12, 0x1.77d0ac5e2c067p-12, 0x1.745e20defd85cp-12, 0x1.70e4269d61fa1p-12, 0x1.6d63099071687p-12, 0x1.69db1556d7d7dp-12, 0x1.664c952d42752p-12, 0x1.62b7d3e5041c7p-12, 0x1.5f1d1bdb291f4p-12, 0x1.5b7cb6efd80d7p-12, 0x1.57d6ee7e89c43p-12, 0x1.542c0b55d23fap-12, 0x1.507c55b064ad1p-12, 0x1.4cc8152de5f3p-12, 0x1.490f90cbf4d0bp-12, 0x1.45530ee083c38p-12, 0x1.4192d51301933p-12, 0x1.3dcf285783485p-12, 0x1.3a084ce8c2a47p-12, 0x1.363e86431a286p-12, 0x1.327217205b13cp-12, 0x1.2ea34172370cep-12, 0x1.2ad2465f31674p-12, 0x1.26ff663dcb59bp-12, 0x1.232ae0916ef6dp-12, 0x1.1f54f4069809cp-12, 0x1.1b7dde6ff025ap-12, 0x1.17a5dcc3072ccp-12, 0x1.13cd2b16063e9p-12, 0x1.0ff4049ce4fefp-12, 0x1.0c1aa3a754cfap-12, 0x1.0841419e5d397p-12, 0x1.0468170338fd9p-12, 0x1.008f5b6cabca2p-12, 0x1.f96e8b0ced3a5p-13, 0x1.f1c0161f0416fp-13, 0x1.ea13c1b1e9edap-13, 0x1.e269f58a53e2ap-13, 0x1.dac3178eeb2f8p-13, 0x1.d31f8bc4e53e2p-13, 0x1.cb7fb451d7216p-13, 0x1.c3e3f178c4952p-13, 0x1.bc4ca19b78f7bp-13, 0x1.b4ba21394cf02p-13, 0x1.ad2ccaf097b9bp-13, 0x1.a5a4f77e0a4edp-13, 0x1.9e22fdbe83c95p-13, 0x1.96a732af29b3ap-13, 0x1.8f31e96f8f46fp-13, 0x1.87c373422c4fep-13, 0x1.805c1f8ea0589p-13, 0x1.78fc3be3dacc7p-13, 0x1.71a413f972253p-13, 0x1.6a53f1b24ea99p-13, 0x1.630c1d1fb10bcp-13, 0x1.5bccdc828a7cbp-13, 0x1.5496744f72e2p-13, 0x1.4d69273081b6cp-13, 0x1.4645360a06cf5p-13, 0x1.3f2adffb7ad8p-13, 0x1.381a62654d847p-13, 0x1.3113f8ead88fcp-13, 0x1.2a17dd7649562p-13, 0x1.2326483c99be9p-13, 0x1.1c3f6fc19a419p-13, 0x1.156388db434a1p-13, 0x1.0e92c6b66df9ep-13, 0x1.07cd5ada9b88fp-13, 0x1.0113752e4a0eap-13, 0x1.f4ca87f6e7413p-14, 0x1.e785e7e77a8edp-14, 0x1.da596069f53cap-14, 0x1.cd45449b7a50bp-14, 0x1.c049e484743bbp-14, 0x1.b3678d212a9a4p-14, 0x1.a69e886b33bd8p-14, 0x1.99ef1d63a15eap-14, 0x1.8d59901bce95p-14, 0x1.80de21c0f4d3bp-14, 0x1.747d10a2d8378p-14, 0x1.6836984070dbbp-14, 0x1.5c0af15072609p-14, 0x1.4ffa51cc00a13p-14, 0x1.4404ecf7d6a77p-14, 0x1.382af36f61b43p-14, 0x1.2c6c932e4a8efp-14, 0x1.20c9f79a3e6cfp-14, 0x1.1543498da6e51p-14, 0x1.09d8af623fd7cp-14, 0x1.fd1499f3a6671p-15, 0x1.e6b087932d486p-15, 0x1.d08565c7369c8p-15, 0x1.ba936e046f7c6p-15, 0x1.a4dad521b912p-15, 0x1.8f5bcb6de3cd5p-15, 0x1.7a167cc249ad8p-15, 0x1.650b109913736p-15, 0x1.5039aa2082043p-15, 0x1.3ba2684e641d7p-15, 0x1.274565f5efcd4p-15, 0x1.1322b9d81e6f4p-15, 0x1.fe74ed77ee7cep-16, 0x1.d71956fdc4a0bp-16, 0x1.b032c65429c4cp-16, 0x1.89c14a0982b53p-16, 0x1.63c4e95122377p-16, 0x1.3e3da42b0116ep-16, 0x1.192b7385df204p-16, 0x1.e91c92d0c6ef4p-17, 0x1.a0cc222c307bep-17, 0x1.59655e6c91ffep-17, 0x1.12e803ee74653p-17, 0x1.9aa784d0dc1adp-18, 0x1.11507a64d480bp-18, 0x1.13942e423e375p-19, 0x1.04dc7d447a33p-24, -0x1.ff51d4fb64d89p-20, -0x1.01eeb50ee977p-18, -0x1.823c7a0a58b84p-18, -0x1.005f83100ba3cp-17, -0x1.3ebbd80fea58ep-17, -0x1.7c33f1996ebebp-17, -0x1.b8c88f259d6aap-17, -0x1.f47a79d4fc8a5p-17, -0x1.17a54215280d2p-16, -0x1.349cc4e7476ddp-16, -0x1.512437a4bb37fp-16, -0x1.6d3c10e334be3p-16, -0x1.88e4cb6acc0b5p-16, -0x1.a41ee618dd339p-16, -0x1.beeae3bca5f87p-16, -0x1.d9494afde0bf9p-16, -0x1.f33aa63ba8704p-16, -0x1.065fc1b8b40e6p-15, -0x1.12ec3a0c25dbbp-15, -0x1.1f430685e3fcap-15, -0x1.2b64733629d5bp-15, -0x1.3750cdc28391bp-15, -0x1.43086556895ddp-15, -0x1.4e8b8a98d946dp-15, -0x1.59da8f9b3ac75p-15, -0x1.64f5c7cf40034p-15, -0x1.6fdd87f8f90f6p-15, -0x1.7a92262104bb3p-15, -0x1.8513f9897755dp-15, -0x1.8f635aa150dfap-15, -0x1.9980a2f80d2d3p-15, -0x1.a36c2d315ee95p-15, -0x1.ad2654fa022d3p-15, -0x1.b6af76fb892a1p-15, -0x1.c007f0d20bf87p-15, -0x1.c93021004ccf2p-15, -0x1.d22866e424483p-15, -0x1.daf122accc1d2p-15, -0x1.e38ab54f9a534p-15, -0x1.ebf5807e35a11p-15, -0x1.f431e69b74a24p-15, -0x1.fc404ab2390d3p-15, -0x1.02108835888c7p-14, -0x1.05ea4e01565e1p-14, -0x1.09ada9200656p-14, -0x1.0d5acc35db753p-14, -0x1.10f1ea232ae89p-14, -0x1.1473360008828p-14, -0x1.17dee317673b9p-14, -0x1.1b3524e33fa1p-14, -0x1.1e762f0893ad6p-14, -0x1.21a2355285605p-14, -0x1.24b96baed79c6p-14, -0x1.27bc0629d445ap-14, -0x1.2aaa38eaa015fp-14, -0x1.2d84382f06128p-14, -0x1.304a3847fbd56p-14, -0x1.32fc6d96360ddp-14, -0x1.359b0c864af7ep-14, -0x1.3826498d1eb0dp-14, -0x1.3a9e5924d1111p-14, -0x1.3d036fc9617bfp-14, -0x1.3f55c1f535dd4p-14, -0x1.4195841e1cb06p-14, -0x1.43c2eab235727p-14, -0x1.45de2a14d9cdep-14, -0x1.47e7769b9d778p-14, -0x1.49df048bafb03p-14, -0x1.4bc50816e284cp-14, -0x1.4d99b558d1c38p-14, -0x1.4f5d405462c0bp-14, -0x1.510fdcf146168p-14, -0x1.52b1bef92d038p-14, -0x1.54431a158135bp-14, -0x1.55c421ccdaa6ap-14, -0x1.57350980d8e84p-14, -0x1.5896046be4201p-14, -0x1.59e7459e98fa9p-14, -0x1.5b28fffe2b0f4p-14, -0x1.5c5b66422384p-14, -0x1.5d7eaaf20e934p-14, -0x1.5e930063ebfd4p-14, -0x1.5f9898b9ff244p-14, -0x1.608fa5e13a448p-14, -0x1.6178598f3ae17p-14, -0x1.6252e540b01fep-14, -0x1.631f7a379ac1ep-14, -0x1.63de4979d6cf5p-14, -0x1.648f83cf6df18p-14, -0x1.653359c0ebc9cp-14, -0x1.65c9fb962cc73p-14, -0x1.66539954e23acp-14, -0x1.66d062bef93b3p-14, -0x1.67408751a03f3p-14, -0x1.67a43643d999dp-14, -0x1.67fb9e8546888p-14, -0x1.6846eebcff0aap-14, -0x1.688655485f74dp-14, -0x1.68ba003a22099p-14, -0x1.68e21d5934a7ap-14, -0x1.68feda1fa4cf1p-14, -0x1.691063b9cea99p-14, -0x1.6916e7057479bp-14, -0x1.69129090deddcp-14, -0x1.69038c99e9cbfp-14, -0x1.68ea070d7a0aep-14, -0x1.68c62b8672c24p-14, -0x1.6898254d27875p-14, -0x1.68601f56bd4b1p-14, -0x1.681e444462c17p-14, -0x1.67d2be62c8baap-14, -0x1.677db7a990c37p-14, -0x1.671f59badd462p-14, -0x1.66b7cde2ac2bap-14, -0x1.66473d16532bap-14, -0x1.65cdcff440c04p-14, -0x1.654baec37fd8dp-14, -0x1.64c101734ed42p-14, -0x1.642def9abdddp-14, -0x1.6392a078a6a0fp-14, -0x1.62ef3af30dc93p-14, -0x1.6243e59711535p-14, -0x1.6190c6987cd76p-14, -0x1.60d603d1c368p-14, -0x1.6013c2c3e1d9p-14, -0x1.5f4a28960c9ap-14, -0x1.5e795a15b2c6bp-14, -0x1.5da17bb6511d5p-14, -0x1.5cc2b1915da3dp-14, -0x1.5bdd1f6630987p-14, -0x1.5af0e89a30388p-14, -0x1.59fe30389438fp-14, -0x1.590518f29a608p-14, -0x1.5805c51f54452p-14, -0x1.570056bbdc142p-14, -0x1.55f4ef6b85921p-14, -0x1.54e3b077a7574p-14, -0x1.53ccbad0294dfp-14, -0x1.52b02f0b45a5cp-14, -0x1.518e2d65d4aacp-14, -0x1.5066d5c35db45p-14, -0x1.4f3a47ae72a8ap-14, -0x1.4e08a258c5c8dp-14, -0x1.4cd2049b8bb06p-14, -0x1.4b968cf7884ddp-14, -0x1.4a56599543205p-14, -0x1.4911884580d0fp-14, -0x1.47c83681659a8p-14, -0x1.467a816ae16p-14, -0x1.452885ccf2bp-14, -0x1.43d2601bd9357p-14, -0x1.42782c758257ep-14, -0x1.411a06a1f3e0fp-14, -0x1.3fb80a139b6dap-14, -0x1.3e5251e79afe3p-14, -0x1.3ce8f8e622ac3p-14, -0x1.3b7c198318bd7p-14, -0x1.3a0bcdde2dd16p-14, -0x1.38982fc39b787p-14, -0x1.372158ac3327ep-14, -0x1.35a761be04518p-14, -0x1.342a63ccc36e8p-14, -0x1.32aa775a291d2p-14, -0x1.3127b496bf4fep-14, -0x1.2fa23361cc0b9p-14, -0x1.2e1a0b4a2db87p-14, -0x1.2c8f538eaf147p-14, -0x1.2b02231e9fc84p-14, -0x1.2972909a52af5p-14, -0x1.27e0b2536b1fdp-14, -0x1.264c9e4d79484p-14, -0x1.24b66a3ea43dap-14, -0x1.231e2b90163fcp-14, -0x1.2183f75e7f821p-14, -0x1.1fe7e27a68ad3p-14, -0x1.1e4a016932227p-14, -0x1.1caa68654219fp-14, -0x1.1b092b5e94356p-14, -0x1.19665dfb60db1p-14, -0x1.17c21398a05a8p-14, -0x1.161c5f4aacb1dp-14, -0x1.147553ddc05f9p-14, -0x1.12cd03d684573p-14, -0x1.112381728aae5p-14, -0x1.0f78dea8ec3d6p-14, -0x1.0dcd2d2b223c4p-14, -0x1.0c207e6524584p-14, -0x1.0a72e37e4af6ap-14, -0x1.08c46d59b04dcp-14, -0x1.07152c96ef58dp-14, -0x1.05653192b8d27p-14, -0x1.03b48c672e8a4p-14, -0x1.02034cecbb90cp-14, -0x1.005182ba7ce16p-14, -0x1.fd3e7a4df29f5p-15, -0x1.f9d91691472ffp-15, -0x1.f672f7ec83302p-15, -0x1.f30c3b8fd4fc6p-15, -0x1.efa4fe2ea769dp-15, -0x1.ec3d5c00fe88ap-15, -0x1.e8d570c456a87p-15, -0x1.e56d57bd84f87p-15, -0x1.e2052bb8f57f4p-15, -0x1.de9d070c5d9d1p-15, -0x1.db350397c8d1cp-15, -0x1.d7cd3ac73e469p-15, -0x1.d465c59341c9ap-15, -0x1.d0febc81f1272p-15, -0x1.cd9837a89a91p-15, -0x1.ca324ead0eee1p-15, -0x1.c6cd18c64fdf8p-15, -0x1.c368acbdaf42dp-15, -0x1.c00520f0578cap-15, -0x1.bca28b5041dc4p-15, -0x1.b94101653e12fp-15, -0x1.b5e0984e5f146p-15, -0x1.b28164c2d68dp-15, -0x1.af237b134b946p-15, -0x1.abc6ef2ac5397p-15, -0x1.a86bd48fc555ep-15, -0x1.a5123e6600776p-15, -0x1.a1ba3f6eac0eap-15, -0x1.9e63ea0a2ad1p-15, -0x1.9b0f50388e6cbp-15, -0x1.97bc839b6ca12p-15, -0x1.946b95766545ep-15, -0x1.911c96b0d1eaap-15, -0x1.8dcf97d64d4f1p-15, -0x1.8a84a917ed327p-15, -0x1.873bda4d0c72ap-15, -0x1.83f53af50b3f1p-15, -0x1.80b0da3831b7ap-15, -0x1.7d6ec6e8601adp-15, -0x1.7a2f0f81eb45p-15, -0x1.76f1c22dabca4p-15, -0x1.73b6ecc11f78p-15, -0x1.707e9cbf6f9f6p-15, -0x1.6d48df5b01007p-15, -0x1.6a15c1762a74fp-15, -0x1.66e54fa4616adp-15, -0x1.63b7962b062d3p-15, -0x1.608ca10264c6ap-15, -0x1.5d647bd6dbb89p-15, -0x1.5a3f32098c85bp-15, -0x1.571cceb1fa632p-15, -0x1.53fd5c9e6617dp-15, -0x1.50e0e654e19b6p-15, -0x1.4dc776141300cp-15, -0x1.4ab115d4e754p-15, -0x1.479dcf4afc872p-15, -0x1.448dabe5818bbp-15, -0x1.4180b4d030005p-15, -0x1.3e76f2f41e999p-15, -0x1.3b706ef90acbbp-15, -0x1.386d3146613e1p-15, -0x1.356d42034c34bp-15, -0x1.3270a91830632p-15, -0x1.2f776e2f5e2fap-15, -0x1.2c8198b699b12p-15, -0x1.298f2fdeb8b02p-15, -0x1.26a03a9daf3a9p-15, -0x1.23b4bfaebfeb5p-15, -0x1.20ccc593787a1p-15, -0x1.1de852948e3a4p-15, -0x1.1b076cc2dde93p-15, -0x1.182a19f802ffep-15, -0x1.15505fd73ea53p-15, -0x1.127a43ce48a54p-15, -0x1.0fa7cb15f86b2p-15, -0x1.0cd8fab354a8dp-15, -0x1.0a0dd77863f2fp-15, -0x1.07466604c91dfp-15, -0x1.0482aac616782p-15, -0x1.01c2a9f956807p-15, -0x1.fe0ccf575c0f2p-16, -0x1.f89bcf75c01b3p-16, -0x1.f3325bab75d96p-16, -0x1.edd07afae8c6p-16, -0x1.e876340c60a41p-16, -0x1.e3238d2fc0f77p-16, -0x1.ddd88c5c976e6p-16, -0x1.d8953734a2f52p-16, -0x1.d3599305add9ap-16, -0x1.ce25a4ca5564fp-16, -0x1.c8f9712a99f8cp-16, -0x1.c3d4fc7eea00ap-16, -0x1.beb84acff8df8p-16, -0x1.b9a35fd950d23p-16, -0x1.b4963f092ee85p-16, -0x1.af90eb83a72ddp-16, -0x1.aa936821bbecp-16, -0x1.a59db77513618p-16, -0x1.a0afdbc6ee969p-16, -0x1.9bc9d71b5a7edp-16, -0x1.96ebab3095c55p-16, -0x1.92155981f58d4p-16, -0x1.8d46e3479b399p-16, -0x1.8880497976005p-16, -0x1.83c18cce31d17p-16, -0x1.7f0aadbe2293ap-16, -0x1.7a5bac8370189p-16, -0x1.75b4891c9a4f4p-16, -0x1.7115434b372a8p-16, -0x1.6c7dda9720294p-16, -0x1.67ee4e4ece92p-16, -0x1.63669d88da132p-16, -0x1.5ee6c723aba8fp-16, -0x1.5a6ec9c81826p-16, -0x1.55fea3ea312abp-16, -0x1.519653c9c4affp-16, -0x1.4d35d77308868p-16, -0x1.48dd2cc0b101dp-16, -0x1.448c515c90373p-16, -0x1.404342bff3aadp-16, -0x1.3c01fe351a4ap-16, -0x1.37c880d82f2e3p-16, -0x1.3396c7988a44dp-16, -0x1.2f6ccf38c3c3fp-16, -0x1.2b4a9450435d2p-16, -0x1.2730134bf5d37p-16, -0x1.231d486f6d364p-16, -0x1.1f122fd53195ap-16, -0x1.1b0ec5708ee61p-16, -0x1.1713050d3c5edp-16, -0x1.131eea516068ap-16, -0x1.0f3270bd9c257p-16, -0x1.0b4d93aeb54c4p-16, -0x1.07704e5ccc66bp-16, -0x1.039a9bde76e3bp-16, -0x1.ff98ee4e8b059p-17, -0x1.f80bb6148f9b3p-17, -0x1.f08d8472fad64p-17, -0x1.e91e4e907ddfep-17, -0x1.e1be095372f48p-17, -0x1.da6ca96806028p-17, -0x1.d32a233e19acbp-17, -0x1.cbf66b0d732edp-17, -0x1.c4d174d3f5d86p-17, -0x1.bdbb345ad6ac1p-17, -0x1.b6b39d355c70ap-17, -0x1.afbaa2c2ead3cp-17, -0x1.a8d0382fe4ad4p-17, -0x1.a1f45078bedd6p-17, -0x1.9b26de695ee41p-17, -0x1.9467d49e9d1b8p-17, -0x1.8db725892243ep-17, -0x1.8714c36cac2a3p-17, -0x1.8080a06253e18p-17, -0x1.79faae59f0494p-17, -0x1.7382df1ac18c6p-17, -0x1.6d1924452008dp-17, -0x1.66bd6f5280a25p-17, -0x1.606fb19894996p-17, -0x1.5a2fdc481dc8cp-17, -0x1.53fde070763f8p-17, -0x1.4dd9aefe2dbb3p-17, -0x1.47c338be277a5p-17, -0x1.41ba6e5d9102ap-17, -0x1.3bbf406b59fc1p-17, -0x1.35d19f58bba8p-17, -0x1.2ff17b7af6576p-17, -0x1.2a1ec50bb165ap-17, -0x1.24596c2a73cb8p-17, -0x1.1ea160dd3add7p-17, -0x1.18f693117207ap-17, -0x1.1358f29d5d1c3p-17, -0x1.0dc86f3fd3decp-17, -0x1.0844f8a38e3ebp-17, -0x1.02ce7e5c74553p-17, -0x1.fac9dfd8486fep-18, -0x1.f0107980a996dp-18, -0x1.e570a86984678p-18, -0x1.daea4b26fc7efp-18, -0x1.d07d402da335ap-18, -0x1.c62965cfc5e32p-18, -0x1.bbee9a455d07p-18, -0x1.b1ccbba661554p-18, -0x1.a7c3a7f2ac2bdp-18, -0x1.9dd33d0ed1ae5p-18, -0x1.93fb58c888e83p-18, -0x1.8a3bd8d771d08p-18, -0x1.80949adcb504ep-18, -0x1.77057c67d76e9p-18, -0x1.6d8e5af3bc244p-18, -0x1.642f13ed6ab2ap-18, -0x1.5ae784aec3467p-18, -0x1.51b78a87c68e3p-18, -0x1.489f02b6b9043p-18, -0x1.3f9dca728c7c1p-18, -0x1.36b3bee48b6afp-18, -0x1.2de0bd2ee25e4p-18, -0x1.2524a26a38098p-18, -0x1.1c7f4ba9418e7p-18, -0x1.13f095f85be15p-18, -0x1.0b785e603f899p-18, -0x1.031681e4a395bp-18, -0x1.f595bb1102d8cp-19, -0x1.e52a9c992241ep-19, -0x1.d4eb6260a53edp-19, -0x1.c4d7c66ef01ffp-19, -0x1.b4ef82c2b57e5p-19, -0x1.a53251710f289p-19, -0x1.959fec832d72cp-19, -0x1.86380e1db6a1ap-19, -0x1.76fa7061ab1bep-19, -0x1.67e6cd86be01dp-19, -0x1.58fcdfcfdf915p-19, -0x1.4a3c618e1c228p-19, -0x1.3ba50d2b2bc1ep-19, -0x1.2d369d1c05e7cp-19, -0x1.1ef0cbf4598cdp-19, -0x1.10d35456a9148p-19, -0x1.02ddf105f40f7p-19, -0x1.ea20b9adf248ep-20, -0x1.ced4a58867c46p-20, -0x1.b3d71bb505498p-20, -0x1.9927929f6b22ap-20, -0x1.7ec580e2f0ce4p-20, -0x1.64b05d67af08bp-20, -0x1.4ae79f59ae603p-20, -0x1.316abe28bb65dp-20, -0x1.183931976df97p-20, -0x1.fea4e35fc70e2p-21, -0x1.cd6bed967ee47p-21, -0x1.9cc6733c25638p-21, -0x1.6cb36642ad891p-21, -0x1.3d31b977ef199p-21, -0x1.0e4060237204fp-21, -0x1.bfbc9d05a67d8p-22, -0x1.6414f29dcfc8cp-22, -0x1.0987ac79116f4p-22, -0x1.60256e3e55ae6p-23, -0x1.5ed003c91e42fp-24, -0x1.a5e71913b211p-32, 0x1.573bb3e4bde4p-24, 0x1.55ee801e050ddp-23, 0x1.fe2315a289e65p-23, 0x1.521fd69f39079p-22, 0x1.a4242b58888cfp-22, 0x1.f5208ef40df6bp-22, 0x1.228b82d96a09p-21, 0x1.4a04c8fdd45d9p-21, 0x1.70fd1a3cd1742p-21, 0x1.977575ec557cdp-21, 0x1.bd6eda8ba0465p-21, 0x1.e2ea458c670a6p-21, 0x1.03f459c12ea45p-20, 0x1.16358ffbc34b9p-20, 0x1.283942c33052cp-20, 0x1.39ffeee589867p-20, 0x1.4b8a10ad2517fp-20, 0x1.5cd823eacd05ep-20, 0x1.6deaa3e5c927dp-20, 0x1.7ec20b69b17f6p-20, 0x1.8f5ed4b6cebbfp-20, 0x1.9fc1798ee6d5p-20, 0x1.afea732871972p-20, 0x1.bfda3a38138a6p-20, 0x1.cf9146e515501p-20, 0x1.df1010d22e23fp-20, 0x1.ee570f182b578p-20, 0x1.fd66b8414ba86p-20, 0x1.061fc12aeb68fp-19, 0x1.0d70f161c6c25p-19, 0x1.14a7273ebbaa4p-19, 0x1.1bc29cebb52ebp-19, 0x1.22c38c532e505p-19, 0x1.29aa2f12cf869p-19, 0x1.3076be837cc03p-19, 0x1.372973b692a53p-19, }}, 
      {{-0x1.ebc29efcaa121p-1, -0x1.ebacc6a238c1dp-1, -0x1.eb88018a58deap-1, -0x1.eb53d33b0bd3dp-1, -0x1.eb0fa45a118ccp-1, -0x1.eabad1ad1c7e9p-1, -0x1.ea54b9a7ec8f1p-1, -0x1.e9dcc7b54380ap-1, -0x1.e9527cee097d1p-1, -0x1.e8b5764691a3ep-1, -0x1.e805706b7928dp-1, -0x1.e74249a0c63eep-1, -0x1.e66c01fefe737p-1, -0x1.e582ba68d6ccep-1, -0x1.e486b28cf75ap-1, -0x1.e378463d22a17p-1, -0x1.e257ea58a86ebp-1, -0x1.e126297cb6499p-1, -0x1.dfe3a0a2820e1p-1, -0x1.de90fbc9e55c4p-1, -0x1.dd2ef2c6da632p-1, -0x1.dbbe46418d656p-1, -0x1.da3fbcf32b89fp-1, -0x1.d8b4212531a16p-1, -0x1.d71c3e759d53ep-1, -0x1.d578dfdfd1e06p-1, -0x1.d3cace0823856p-1, -0x1.d212cdc6b8bfep-1, -0x1.d0519eed9079fp-1, -0x1.ce87fb4509afap-1, -0x1.ccb695ba05563p-1, -0x1.cade19b8bdbd6p-1, -0x1.c8ff2aaf8661bp-1, -0x1.c71a63b4e16ddp-1, -0x1.c530574c9b71bp-1, -0x1.c3418f47f1301p-1, -0x1.c14e8cbd1333ep-1, -0x1.bf57c812b1be1p-1, -0x1.bd5db11c8d9f3p-1, -0x1.bb60af4656e1fp-1, -0x1.b96121ca6f20ap-1, -0x1.b75f5ff26758bp-1, -0x1.b55bb95f51461p-1, -0x1.b35676583381bp-1, -0x1.b14fd81d27b1fp-1, -0x1.af48193dd48c5p-1, -0x1.ad3f6df221635p-1, -0x1.ab36047429712p-1, -0x1.a92c055a91decp-1, -0x1.a72193f2895f7p-1, -0x1.a516ce98ceddbp-1, -0x1.a30bcf1139bffp-1, -0x1.a100aadc4e562p-1, -0x1.9ef5738a81dcep-1, -0x1.9cea370ce075ap-1, -0x1.9adf0002d4a5ap-1, -0x1.98d3d604e3472p-1, -0x1.96c8bdec33e73p-1, -0x1.94bdba16cf21bp-1, -0x1.92b2caa8819cep-1, -0x1.90a7edc8594dfp-1, -0x1.8e9d1fdac24ep-1, -0x1.8c925bb842cfp-1, -0x1.8a879ae0e47b5p-1, -0x1.887cd5ac5bbeep-1, -0x1.86720376fde78p-1, -0x1.84671acb9f679p-1, -0x1.825c118a734b7p-1, -0x1.8050dd0d05d59p-1, -0x1.7e45724773ad4p-1, -0x1.7c39c5e6f7936p-1, -0x1.7a2dcc6df0b29p-1, -0x1.78217a4d81de8p-1, -0x1.7614c3fce6c8ap-1, -0x1.74079e0ea4c59p-1, -0x1.71f9fd43aee25p-1, -0x1.6febd69ca5c06p-1, -0x1.6ddd1f69481bbp-1, -0x1.6bcdcd563a76fp-1, -0x1.69bdd6793d3d8p-1, -0x1.67ad315bed47bp-1, -0x1.659bd5052ce27p-1, -0x1.6389b9014b8ffp-1, -0x1.6176d56905229p-1, -0x1.5f6322e771ecp-1, -0x1.5d4e9abefa097p-1, -0x1.5b3936cd631b8p-1, -0x1.5922f18f0b53cp-1, -0x1.570bc62162c68p-1, -0x1.54f3b044b65a2p-1, -0x1.52daac5d5986cp-1, -0x1.50c0b7743f2b2p-1, -0x1.4ea5cf3710a3cp-1, -0x1.4c89f1f7ccd08p-1, -0x1.4a6d1eabfbcafp-1, -0x1.484f54eb84ee6p-1, -0x1.463094ef2c798p-1, -0x1.4410df8ec4e1fp-1, -0x1.41f0363f1d157p-1, -0x1.3fce9b0fb00f4p-1, -0x1.3dac10a81efd8p-1, -0x1.3b889a457c1fcp-1, -0x1.39643bb76ba48p-1, -0x1.373ef95d203e9p-1, -0x1.3518d822364d2p-1, -0x1.32f1dd7b75118p-1, -0x1.30ca0f63777bdp-1, -0x1.2ea174573ec1ep-1, -0x1.2c781352b6ab4p-1, -0x1.2a4df3cd28edfp-1, -0x1.28231db5a4e42p-1, -0x1.25f7996f5d5c3p-1, -0x1.23cb6fcdfeeefp-1, -0x1.219eaa11ff14p-1, -0x1.1f7151e4e7e9dp-1, -0x1.1d4371559f979p-1, -0x1.1b1512d4aece5p-1, -0x1.18e6413084de8p-1, -0x1.16b70791be008p-1, -0x1.148771776a0ep-1, -0x1.12578ab353abcp-1, -0x1.10275f664cba4p-1, -0x1.0df6fbfc7cc15p-1, -0x1.0bc66d29b3513p-1, -0x1.0995bfe5bf014p-1, -0x1.07650168cb08p-1, -0x1.05343f27c1007p-1, -0x1.030386d0b09fcp-1, -0x1.00d2e64740a7p-1, -0x1.fd44d74245615p-2, -0x1.f8e44a4525bcdp-2, -0x1.f4844275ba0c4p-2, -0x1.f024dd01d321fp-2, -0x1.ebc6375fac052p-2, -0x1.e7686f4725fe2p-2, -0x1.e30ba2ab1db52p-2, -0x1.deafefb2cf43ep-2, -0x1.da5574b352086p-2, -0x1.d5fc502927601p-2, -0x1.d1a4a0b1e0b2dp-2, -0x1.cd4e8505da295p-2, -0x1.c8fa1bf20e04ep-2, -0x1.c4a784520097dp-2, -0x1.c056dd09c0794p-2, -0x1.bc08450005f2fp-2, -0x1.b7bbdb1865c88p-2, -0x1.b371be2da48b1p-2, -0x1.af2a0d0c1f08bp-2, -0x1.aae4e66c52d6fp-2, -0x1.a6a268ed7f0e1p-2, -0x1.a262b31064aeap-2, -0x1.9e25e332232ccp-2, -0x1.99ec17872fcf7p-2, -0x1.95b56e16703f4p-2, -0x1.918204b46e263p-2, -0x1.8d51f8feadff5p-2, -0x1.89256857219b4p-2, -0x1.84fc6fdfbcf27p-2, -0x1.80d72c7627ff1p-2, -0x1.7cb5baaf9435ep-2, -0x1.789836d4af06dp-2, -0x1.747ebcddb78cp-2, -0x1.7069686eb302fp-2, -0x1.6c5854d3c392dp-2, -0x1.684b9cfda00fap-2, -0x1.64435b7e2bd85p-2, -0x1.603faa8531e3fp-2, -0x1.5c40a3dd3f796p-2, -0x1.584660e8a0c48p-2, -0x1.5450fa9e7e67ap-2, -0x1.506089881cea5p-2, -0x1.4c7525be3e763p-2, -0x1.488ee6e6a0b9ap-2, -0x1.44ade431a25f7p-2, -0x1.40d23458043bbp-2, -0x1.3cfbed98cd375p-2, -0x1.392b25b74d756p-2, -0x1.355ff1f944371p-2, -0x1.319a67251ed19p-2, -0x1.2dda998060faap-2, -0x1.2a209cce2313cp-2, -0x1.266c844db414p-2, -0x1.22be62b95879bp-2, -0x1.1f164a4528758p-2, -0x1.1b744c9e09caap-2, -0x1.17d87ae8c797ap-2, -0x1.1442e5c147961p-2, -0x1.10b39d39d9be3p-2, -0x1.0d2ab0daa7243p-2, -0x1.09a82fa136d2ep-2, -0x1.062c280014137p-2, -0x1.02b6a7de872ddp-2, -0x1.fe8f7930dd69bp-3, -0x1.f7bee5fc5d9f6p-3, -0x1.f0fbaea96fa5cp-3, -0x1.ea45eaab4e78ep-3, -0x1.e39db05f02a26p-3, -0x1.dd03150bf6e1p-3, -0x1.d6762ce4c9816p-3, -0x1.cff70b083b9efp-3, -0x1.c985c18251a6fp-3, -0x1.c322614d9a8f9p-3, -0x1.bcccfa54a1475p-3, -0x1.b6859b737dcf5p-3, -0x1.b04c527994126p-3, -0x1.aa212c2b72676p-3, -0x1.a4043444cedc2p-3, -0x1.9df5757ab07bap-3, -0x1.97f4f97daf732p-3, -0x1.9202c8fc54e14p-3, -0x1.8c1eeba5a1598p-3, -0x1.8649682ba5e03p-3, -0x1.808244463acecp-3, -0x1.7ac984b5d8249p-3, -0x1.751f2d467a289p-3, -0x1.6f8340d2aafcap-3, -0x1.69f5c1469962p-3, -0x1.6476afa34ac2cp-3, -0x1.5f060c01dd108p-3, -0x1.59a3d596e0631p-3, -0x1.54500ab5bf8a9p-3, -0x1.4f0aa8d43bfc4p-3, -0x1.49d3ac8df7d1cp-3, -0x1.44ab11a811603p-3, -0x1.3f90d314c5d88p-3, -0x1.3a84eaf72c88cp-3, -0x1.358752a6f3e05p-3, -0x1.309802b42ba51p-3, -0x1.2bb6f2eb1d3bep-3, -0x1.26e41a582694cp-3, -0x1.221f6f4ba2481p-3, -0x1.1d68e75dd5dcep-3, -0x1.18c07772e0efbp-3, -0x1.142613bebb4ddp-3, -0x1.0f99afc92c06fp-3, -0x1.0b1b3e71d1355p-3, -0x1.06aab1f41e18cp-3, -0x1.0247fbeb63c02p-3, -0x1.fbe61aadac5bep-4, -0x1.f357ad3b28405p-4, -0x1.eae48f255f73cp-4, -0x1.e28c9ef2674f5p-4, -0x1.da4fba104ec6p-4, -0x1.d22dbcdd2366dp-4, -0x1.ca2682aef65ebp-4, -0x1.c239e5dbc7178p-4, -0x1.ba67bfc182f29p-4, -0x1.b2afe8cde1d4ep-4, -0x1.ab12388640f05p-4, -0x1.a38e858f7a085p-4, -0x1.9c24a5b5a0537p-4, -0x1.94d46df3bbf43p-4, -0x1.8d9db27b6c77p-4, -0x1.868046bc830b8p-4, -0x1.7f7bfd6c89eacp-4, -0x1.7890a88e399f1p-4, -0x1.71be1978ded07p-4, -0x1.6b0420dfaac7cp-4, -0x1.64628ed8f178fp-4, -0x1.5dd932e553258p-4, -0x1.5767dbf6d05b1p-4, -0x1.510e5877ce1cdp-4, -0x1.4acc7651f7922p-4, -0x1.44a202f518249p-4, -0x1.3e8ecb5dd3227p-4, -0x1.38929c1c4a7e8p-4, -0x1.32ad415aa77a1p-4, -0x1.2cde86e392c5dp-4, -0x1.272638288c444p-4, -0x1.218420482daf8p-4, -0x1.1bf80a14538ffp-4, -0x1.1681c01829b3p-4, -0x1.11210c9e21fedp-4, -0x1.0bd5b9b5cbf4fp-4, -0x1.069f913996652p-4, -0x1.017e5cd470ee1p-4, -0x1.f8e3cc0eb2e1p-5, -0x1.eef3ec5d8e677p-5, -0x1.e52cad10039f1p-5, -0x1.db8da06caadb8p-5, -0x1.d216589066557p-5, -0x1.c8c667785fb81p-5, -0x1.bf9d5f0bda0d3p-5, -0x1.b69ad125bdffcp-5, -0x1.adbe4f9e0456bp-5, -0x1.a5076c52cf83ep-5, -0x1.9c75b93166965p-5, -0x1.9408c83eeadc7p-5, -0x1.8bc02ba0de06bp-5, -0x1.839b75a56a5d3p-5, -0x1.7b9a38cb81172p-5, -0x1.73bc07cab84ebp-5, -0x1.6c00759af7593p-5, -0x1.6467157bea796p-5, -0x1.5cef7afc4ecf8p-5, -0x1.55993a00f4c08p-5, -0x1.4e63e6cb9ed41p-5, -0x1.474f1601acd9cp-5, -0x1.405a5cb282728p-5, -0x1.3985505dd281fp-5, -0x1.32cf86f9a76cep-5, -0x1.2c3896f83f01bp-5, -0x1.25c0174dba0c9p-5, -0x1.1f659f759075p-5, -0x1.1928c777dce53p-5, -0x1.130927ee7a5ap-5, -0x1.0d065a09e9676p-5, -0x1.071ff79615783p-5, -0x1.01559afeda054p-5, -0x1.f74dbea8d5e3ep-6, -0x1.ec26c09f11acfp-6, -0x1.e13574ab0db16p-6, -0x1.d67914f85aab1p-6, -0x1.cbf0dd1ad1a44p-6, -0x1.c19c0a15ad96fp-6, -0x1.b779da6243f15p-6, -0x1.ad898df67823ap-6, -0x1.a3ca664adabcbp-6, -0x1.9a3ba66074159p-6, -0x1.90dc92c64aba9p-6, -0x1.87ac719e9d213p-6, -0x1.7eaa8aa3c1ffcp-6, -0x1.75d6272ce2a49p-6, -0x1.6d2e923236a41p-6, -0x1.64b3185139e54p-6, -0x1.5c6307d063505p-6, -0x1.543db0a2c1738p-6, -0x1.4c42646b3fe6fp-6, -0x1.4470767faec3p-6, -0x1.3cc73beb96b87p-6, -0x1.35460b72b96bbp-6, -0x1.2dec3d936b1bap-6, -0x1.26b92c88aad79p-6, -0x1.1fac344bef695p-6, -0x1.18c4b296d8ce3p-6, -0x1.120206e49cb95p-6, -0x1.0b6392732e204p-6, -0x1.04e8b8444cda7p-6, -0x1.fd21ba3ca3663p-7, -0x1.f0b6cf199271cp-7, -0x1.e48f7fc1c5d92p-7, -0x1.d8aaa0635b8adp-7, -0x1.cd0708b85391cp-7, -0x1.c1a394064c873p-7, -0x1.b67f211dff47dp-7, -0x1.ab98925a5c5d4p-7, -0x1.a0eecd9f46e3cp-7, -0x1.9680bc581e2d4p-7, -0x1.8c4d4b75e919dp-7, -0x1.82536b6d31373p-7, -0x1.78921033ac9e6p-7, -0x1.6f08313d8c569p-7, -0x1.65b4c97a8b631p-7, -0x1.5c96d752bd14p-7, -0x1.53ad5ca3311e6p-7, -0x1.4af75eba3c398p-7, -0x1.4273e65390761p-7, -0x1.3a21ff941e8eep-7, -0x1.3200ba05cef87p-7, -0x1.2a0f2892eab89p-7, -0x1.224c6181632b5p-7, -0x1.1ab77e6df2ef8p-7, -0x1.134f9c46ee0b7p-7, -0x1.0c13db470b078p-7, -0x1.05035eeff0a4bp-7, -0x1.fc3a9c09260bbp-8, -0x1.eec1a50700c16p-8, -0x1.e19a3341d713cp-8, -0x1.d4c2a78150dbdp-8, -0x1.c83968e010e7p-8, -0x1.bbfce4bf066f4p-8, -0x1.b00b8eb8aa964p-8, -0x1.a463e093d0aafp-8, -0x1.99045a36a8d0fp-8, -0x1.8deb8198eb9c5p-8, -0x1.8317e2b685bf3p-8, -0x1.78880f8187211p-8, -0x1.6e3a9fd43eff3p-8, -0x1.642e316310463p-8, -0x1.5a6167ae246d3p-8, -0x1.50d2ebf2f58p-8, -0x1.47816d1dbd6cap-8, -0x1.3e6b9fbad1e3cp-8, -0x1.35903de7de737p-8, -0x1.2cee0744fa09ap-8, -0x1.2483c0e5b7ad9p-8, -0x1.1c50354214e3p-8, -0x1.145234276e85cp-8, -0x1.0c8892a944abdp-8, -0x1.04f22b121d35bp-8, -0x1.fb1bb9a831ed8p-9, -0x1.ecb518f39ba77p-9, -0x1.deae472db8667p-9, -0x1.d105217157ac9p-9, -0x1.c3b78eadedbd6p-9, -0x1.b6c37f89020cap-9, -0x1.aa26ee3f63b15p-9, -0x1.9ddfde86718c8p-9, -0x1.91ec5d6d7d75fp-9, -0x1.864a813eefcb3p-9, -0x1.7af869620a502p-9, -0x1.6ff43e3bf2f8ep-9, -0x1.653c311177ea8p-9, -0x1.5ace7be8c6885p-9, -0x1.50a9616ae6d57p-9, -0x1.46cb2cc5983a1p-9, -0x1.3d32318d4a6edp-9, -0x1.33dccb9f394e9p-9, -0x1.2ac95f037855cp-9, -0x1.21f657cf4e116p-9, -0x1.19622a07b6f69p-9, -0x1.110b5183e3b8bp-9, -0x1.08f051d02b97cp-9, -0x1.010fb610dbc73p-9, -0x1.f2d021cac40fap-10, -0x1.e3eff8974e35ap-10, -0x1.d57c3306efb12p-10, -0x1.c77221e47d8efp-10, -0x1.b9cf240deadc4p-10, -0x1.ac90a63c41d02p-10, -0x1.9fb422cc7be27p-10, -0x1.933721886ac5ep-10, -0x1.871737705346ep-10, -0x1.7b5206849fcf1p-10, -0x1.6fe53d90ab426p-10, -0x1.64ce97f52686fp-10, -0x1.5a0bdd73f97bp-10, -0x1.4f9ae1fb82e9dp-10, -0x1.457985736a72dp-10, -0x1.3ba5b38902f9dp-10, -0x1.321d637cf159bp-10, -0x1.28de97f0b390ap-10, -0x1.1fe75eb517bd6p-10, -0x1.1735d09912cffp-10, -0x1.0ec81138ef0cdp-10, -0x1.069c4ece615e9p-10, -0x1.fd61840154bb8p-11, -0x1.ee075b6bc24afp-11, -0x1.df26bdc7b69a9p-11, -0x1.d0bc58c5749f9p-11, -0x1.c2c4ed7ded938p-11, -0x1.b53d50194eda5p-11, -0x1.a82267762c2e9p-11, -0x1.9b712cd177d7cp-11, -0x1.8f26ab702c59bp-11, -0x1.834000492fc8ap-11, -0x1.77ba59b11ffbep-11, -0x1.6c92f70721b4cp-11, -0x1.61c72861db74dp-11, -0x1.57544e3e6b361p-11, -0x1.4d37d9307c5d9p-11, -0x1.436f499280954p-11, -0x1.39f82f38369eap-11, -0x1.30d0292139b41p-11, -0x1.27f4e52d14e6p-11, -0x1.1f641fd09d6e8p-11, -0x1.171ba3cbc7f78p-11, -0x1.0f1949e104ca7p-11, -0x1.075af88daef26p-11, -0x1.ffbd47859eb62p-12, -0x1.f1449940317e2p-12, -0x1.e348025db0a5bp-12, -0x1.d5c3b83ce50f6p-12, -0x1.c8b409038f084p-12, -0x1.bc155b1b92d05p-12, -0x1.afe42cb14d784p-12, -0x1.a41d1334bded9p-12, -0x1.98bcbadc9b9ebp-12, -0x1.8dbfe62a7748cp-12, -0x1.83236d727d509p-12, -0x1.78e43e6307eaep-12, -0x1.6eff5b90324a4p-12, -0x1.6571dc0008126p-12, -0x1.5c38eab8fe446p-12, -0x1.5351c651fc889p-12, -0x1.4ab9c08585699p-12, -0x1.426e3dc44909bp-12, -0x1.3a6cb4cc5356ep-12, -0x1.32b2ae401142ep-12, -0x1.2b3dc43f94a41p-12, -0x1.240ba20482628p-12, -0x1.1d1a037e226afp-12, -0x1.1666b4f137e8cp-12, -0x1.0fef92975a0bdp-12, -0x1.09b288418483ep-12, -0x1.03ad90fc3bf4cp-12, -0x1.fbbd6d693f83cp-13, -0x1.f08823bec2acep-13, -0x1.e5b7924401afap-13, -0x1.db4821f9c6bc5p-13, -0x1.d13656ee19d24p-13, -0x1.c77ecf97a0109p-13, -0x1.be1e443490dc2p-13, -0x1.b51186299d827p-13, -0x1.ac557f683f14p-13, -0x1.a3e731d4c0b06p-13, -0x1.9bc3b6b06a5d9p-13, -0x1.93e83e06b531fp-13, -0x1.8c520e1d01b4bp-13, -0x1.84fe82e4faca2p-13, -0x1.7deb0d71e8ba4p-13, -0x1.771533719cc01p-13, -0x1.707a8ea6776cdp-13, -0x1.6a18cc65a44d8p-13, -0x1.63edad1646f58p-13, -0x1.5df703b4e9016p-13, -0x1.5832b5596dea9p-13, -0x1.529eb8bd0ef66p-13, -0x1.4d3915c6383fap-13, -0x1.47ffe514c7ed6p-13, -0x1.42f14f912f1aep-13, -0x1.3e0b8dfdc5b21p-13, -0x1.394ce88b167bep-13, -0x1.34b3b66d23c94p-13, -0x1.303e5d750733ap-13, -0x1.2beb51aa32caap-13, -0x1.27b914e835e07p-13, -0x1.23a6367dce34bp-13, -0x1.1fb152ccb55edp-13, -0x1.1bd912ee4e9edp-13, -0x1.181c2c57f44cep-13, -0x1.147960821d11dp-13, -0x1.10ef7c924b641p-13, -0x1.0d7d590508bb1p-13, -0x1.0a21d95c2e56ap-13, -0x1.06dbebcd22511p-13, -0x1.03aa88f1a637bp-13, -0x1.008cb37a62983p-13, -0x1.fb02efc7dcebep-14, -0x1.f50fd8578b463p-14, -0x1.ef3e5f1185d52p-14, -0x1.e98cd44a39468p-14, -0x1.e3f999b201608p-14, -0x1.de8321ceecbddp-14, -0x1.d927ef7a11ddbp-14, -0x1.d3e6955e45494p-14, -0x1.cebdb57d94b4ep-14, -0x1.c9ac00b425cc6p-14, -0x1.c4b0364479eaap-14, -0x1.bfc9236113af3p-14, -0x1.baf5a2bc6375dp-14, -0x1.b6349c1aa6cdep-14, -0x1.b18503e4fbfd9p-14, -0x1.ace5dac1eb6ffp-14, -0x1.a8562d2dbb18p-14, -0x1.a3d51317e1463p-14, -0x1.9f61af81031aep-14, -0x1.9afb301cb7a48p-14, -0x1.96a0ccf5b0bdbp-14, -0x1.9251c812c8297p-14, -0x1.8e0d6d2050b81p-14, -0x1.89d3111a7d05bp-14, -0x1.85a211fa5aa1cp-14, -0x1.8179d66557b5fp-14, -0x1.7d59cd5e1aa09p-14, -0x1.79416df83d3b1p-14, -0x1.7530370eacecep-14, -0x1.7125aef96f484p-14, -0x1.6d216348f59b7p-14, -0x1.6922e88030087p-14, -0x1.6529d9d2c1e07p-14, -0x1.6135d8e39182cp-14, -0x1.5d468d865ed9dp-14, -0x1.595ba581d87cfp-14, -0x1.5574d45586f6fp-14, -0x1.5191d2fe30988p-14, -0x1.4db25fbf70bcep-14, -0x1.49d63deb5d231p-14, -0x1.45fd35afbf759p-14, -0x1.422713e03a832p-14, -0x1.3e53a9c6aad1ep-14, -0x1.3a82ccf17679dp-14, -0x1.36b45704dc3adp-14, -0x1.32e8258db74a9p-14, -0x1.2f1e19d559d14p-14, -0x1.2b5618b5f950ep-14, -0x1.27900a7252205p-14, -0x1.23cbda8c1a476p-14, -0x1.2009779e4a22dp-14, -0x1.1c48d336868efp-14, -0x1.1889e1b0a8f12p-14, -0x1.14cc9a13edb1ap-14, -0x1.1110f5f066434p-14, -0x1.0d56f13d85fe4p-14, -0x1.099e8a3a47ba9p-14, -0x1.05e7c14e3550ap-14, -0x1.023298eb50766p-14, -0x1.fcfe2ae1dab9cp-15, -0x1.f59a7a2075896p-15, -0x1.ee3a2f609a76ap-15, -0x1.e6dd5daa158cbp-15, -0x1.df841b0a683b2p-15, -0x1.d82e8064d3714p-15, -0x1.d0dca942677d2p-15, -0x1.c98eb3a5bc4e2p-15, -0x1.c244bfdeac992p-15, -0x1.bafef05fe89acp-15, -0x1.b3bd699741499p-15, -0x1.ac8051c5e0cbfp-15, -0x1.a547d0dabfc95p-15, -0x1.9e14104f464c9p-15, -0x1.96e53b039f8b6p-15, -0x1.8fbb7d1cb2236p-15, -0x1.889703e5be341p-15, -0x1.8177fdafce1c4p-15, -0x1.7a5e99b4a5cedp-15, -0x1.734b07fa1765cp-15, -0x1.6c3d793706f8ep-15, -0x1.65361eb979116p-15, -0x1.5e352a4ccff3bp-15, -0x1.573ace22794abp-15, -0x1.50473cba4a65dp-15, -0x1.495aa8cd0e83dp-15, -0x1.4275453770a1p-15, -0x1.3b9744e57aca7p-15, -0x1.34c0dac006475p-15, -0x1.2df2399a9d3ffp-15, -0x1.272b942107ba2p-15, -0x1.206d1cc8b421fp-15, -0x1.19b705bf4d158p-15, -0x1.130980dc5bef7p-15, -0x1.0c64bf93a5f27p-15, -0x1.05c8f2e6c5d1dp-15, -0x1.fe6c96b2fa9b4p-16, -0x1.f159f1c8cb303p-16, -0x1.e45a55d6764c4p-16, -0x1.d76e20615a763p-16, -0x1.ca95ad9a5f807p-16, -0x1.bdd1584af5354p-16, -0x1.b12179c3851adp-16, -0x1.a48669c8bd811p-16, -0x1.98007e875e877p-16, -0x1.8b900c833bff6p-16, -0x1.7f356689fc3aap-16, -0x1.72f0dda8e9b8fp-16, -0x1.66c2c11e0a43dp-16, -0x1.5aab5e50688dbp-16, -0x1.4eab00c4f75cbp-16, -0x1.42c1f2168d572p-16, -0x1.36f079ec9eb77p-16, -0x1.2b36ddf64bf74p-16, -0x1.1f9561e09eda6p-16, -0x1.140c475425f17p-16, -0x1.089bcdedcfc79p-16, -0x1.fa8866754cfb5p-17, -0x1.e40b656a5d8bep-17, -0x1.cdc10b82f27d8p-17, -0x1.b7a9c7564b717p-17, -0x1.a1c60346b5ea5p-17, -0x1.8c16257dfe7d5p-17, -0x1.769a8fedff7eep-17, -0x1.6153a04d37acp-17, -0x1.4c41b01940ab3p-17, -0x1.37651495c3b74p-17, -0x1.22be1ed2e61ecp-17, -0x1.0e4d1baa89b21p-17, -0x1.f424a78fbb57ap-18, -0x1.cc1c175923c3fp-18, -0x1.a4810765421eap-18, -0x1.7d53f02b56e2ep-18, -0x1.569541f1dba87p-18, -0x1.304564d8061c5p-18, -0x1.0a64b8eee05e1p-18, -0x1.c9e72c80c9c6dp-19, -0x1.7fe499cfbc284p-19, -0x1.36c24a42cb907p-19, -0x1.dd017d88a3bb6p-20, -0x1.4e40d19c5bc74p-20, -0x1.8286aa827e023p-21, -0x1.b04d76874b32p-23, 0x1.4dae646313133p-22, 0x1.b6382e961086ep-21, 0x1.61077d99027e9p-20, 0x1.e52d9a7111779p-20, 0x1.33c72c3b753c6p-19, 0x1.7414df0f9306fp-19, 0x1.b37ff6a024c3cp-19, 0x1.f208915259a3p-19, 0x1.17d76d68f7dbap-18, 0x1.363985e93d08ap-18, 0x1.542ab4eef9249p-18, 0x1.71ab2389bbe7dp-18, 0x1.8ebb00f96d102p-18, 0x1.ab5a8292f0f49p-18, 0x1.c789e39bfb1a8p-18, 0x1.e349653755daap-18, 0x1.fe994e3e38426p-18, 0x1.0cbcf59427b0fp-17, 0x1.19f5c6f58bcfp-17, 0x1.26f746ee31438p-17, 0x1.33c1a3ca77914p-17, 0x1.40550e68eb82ep-17, 0x1.4cb1ba2b860d9p-17, 0x1.58d7dce7de923p-17, 0x1.64c7aed9507a1p-17, 0x1.70816a91b2ebdp-17, 0x1.7c054ce97899dp-17, 0x1.875394f2895f4p-17, 0x1.926c83e7e9258p-17, 0x1.9d505d1fe018ep-17, 0x1.a7ff65fcd8d7dp-17, 0x1.b279e5df8cfafp-17, 0x1.bcc0261659d4ap-17, 0x1.c6d271d2bdcfep-17, 0x1.d0b11616571bdp-17, 0x1.da5c61a8317bbp-17, 0x1.e3d4a5055dd81p-17, 0x1.ed1a325320378p-17, 0x1.f62d5d50dcdd9p-17, 0x1.ff0e7b4a99d9cp-17, 0x1.03def185b1e21p-16, 0x1.081df667ef932p-16, 0x1.0c44791c2936ap-16, 0x1.1052a71e52b02p-16, 0x1.1448ae8f43f24p-16, 0x1.1826be2e336bdp-16, 0x1.1bed05526f255p-16, 0x1.1f9bb3e5794efp-16, 0x1.2332fa5bf348cp-16, 0x1.26b309b05182cp-16, 0x1.2a1c135c53081p-16, 0x1.2d6e49538235ep-16, 0x1.30a9ddfc3c962p-16, 0x1.33cf042b98febp-16, 0x1.36ddef1e34554p-16, 0x1.39d6d272f8e47p-16, 0x1.3cb9e2260059fp-16, 0x1.3f87528aa132fp-16, 0x1.423f58462edc2p-16, 0x1.44e2284ad252p-16, 0x1.476ff7d21fbd5p-16, 0x1.49e8fc5822f53p-16, 0x1.4c4d6b9667adap-16, 0x1.4e9d7b7ecdc52p-16, 0x1.50d96236d759p-16, 0x1.53015612b2651p-16, 0x1.55158d90ff2e5p-16, 0x1.57163f55b5db1p-16, 0x1.5903a22601c35p-16, 0x1.5addece395486p-16, 0x1.5ca5568888bf8p-16, 0x1.5e5a1623395bep-16, 0x1.5ffc62d19519bp-16, 0x1.618c73bda18d3p-16, 0x1.630a80195fd86p-16, 0x1.6476bf1a98208p-16, 0x1.65d167f745b4p-16, 0x1.671ab1e201bf8p-16, 0x1.6852d40601ec8p-16, 0x1.697a0583d259fp-16, 0x1.6a907d6dd75ffp-16, 0x1.6b9672c4bf797p-16, 0x1.6c8c1c7422936p-16, 0x1.6d71b14fb45b2p-16, 0x1.6e47680f8ff71p-16, 0x1.6f0d774d8e5cdp-16, 0x1.6fc41581ec1c1p-16, 0x1.706b7900c69e1p-16, 0x1.7103d7f6f0c6ep-16, 0x1.718d68675c07ap-16, 0x1.7208602828cecp-16, 0x1.7274f4e056f07p-16, 0x1.72d35c0514c78p-16, 0x1.7323cad71e311p-16, 0x1.73667660c4253p-16, 0x1.739b9373165fap-16, 0x1.73c356a3db1e9p-16, 0x1.73ddf44b6a0e3p-16, 0x1.73eba0828cf87p-16, 0x1.73ec8f2054ecep-16, 0x1.73e0f3b821212p-16, 0x1.73c90197e763ep-16, 0x1.73a4ebc5fe759p-16, 0x1.7374e4ff8295ep-16, 0x1.73391fb6834dp-16, 0x1.72f1ce10910b8p-16, 0x1.729f21e4ccb05p-16, 0x1.72414cba82d94p-16, 0x1.71d87fc7c5c2ap-16, 0x1.7164ebefeb0dp-16, 0x1.70e6c1c22c18cp-16, 0x1.705e31781b25fp-16, 0x1.6fcb6af4af0e2p-16, 0x1.6f2e9dc2d47e3p-16, 0x1.6e87f914612ffp-16, 0x1.6dd7abc0ff36ep-16, 0x1.6d1de44509e32p-16, 0x1.6c5ad0c07b376p-16, 0x1.6b8e9ef608edbp-16, 0x1.6ab97c4a59fc3p-16, 0x1.69db95c302743p-16, 0x1.68f51805a9e52p-16, 0x1.68062f5771e0dp-16, 0x1.670f079c2fd35p-16, 0x1.660fcc559fa53p-16, 0x1.6508a8a2db8b9p-16, 0x1.63f9c73fafd03p-16, 0x1.62e3528420521p-16, 0x1.61c57463e6d15p-16, 0x1.60a0566df58dbp-16, 0x1.5f7421cbeda58p-16, 0x1.5e40ff41e4b7bp-16, 0x1.5d07172de83aep-16, 0x1.5bc69187c03dcp-16, 0x1.5a7f95e08ed86p-16, 0x1.59324b62a4378p-16, 0x1.57ded8d1494a7p-16, 0x1.568564888d51dp-16, 0x1.5526147d21d88p-16, 0x1.53c10e3c1c02fp-16, 0x1.525676eb0dc74p-16, 0x1.50e67347c231bp-16, 0x1.4f7127a86958ep-16, 0x1.4df6b7fb9070cp-16, 0x1.4c7747c81642fp-16, 0x1.4af2fa2d256b6p-16, 0x1.4969f1e274798p-16, 0x1.47dc5138620acp-16, 0x1.464a3a17ddbb7p-16, 0x1.44b3ce02b8db5p-16, 0x1.43192e13fa039p-16, 0x1.417a7affeb804p-16, 0x1.3fd7d51458902p-16, 0x1.3e315c38b6771p-16, 0x1.3c872fee8fdcp-16, 0x1.3ad96f51aaf98p-16, 0x1.39283918738a7p-16, 0x1.3773ab9473d8bp-16, 0x1.35bbe4b26c848p-16, 0x1.340101fab8ad6p-16, 0x1.32432091c9e2ap-16, 0x1.30825d38a6f56p-16, 0x1.2ebed44d3296ep-16, 0x1.2cf8a1ca8a758p-16, 0x1.2b2fe14991973p-16, 0x1.2964ae01a47dcp-16, 0x1.279722c8d2145p-16, 0x1.25c75a14506a7p-16, 0x1.23f56df92834p-16, 0x1.2221782c92758p-16, 0x1.204b920494e1bp-16, 0x1.1e73d478b0f32p-16, 0x1.1c9a58223dfe9p-16, 0x1.1abf353d1be71p-16, 0x1.18e283a83cbfp-16, 0x1.17045ae627ed4p-16, 0x1.1524d21dc3f03p-16, 0x1.1344001ad3beep-16, 0x1.1161fb4e8f8c3p-16, 0x1.0f7ed9d064733p-16, 0x1.0d9ab15e7b369p-16, 0x1.0bb5975e675a2p-16, 0x1.09cfa0ddce4f6p-16, 0x1.07e8e29337b46p-16, 0x1.060170de70c49p-16, 0x1.04195fc9407d5p-16, 0x1.0230c30834fb8p-16, 0x1.0047adfb7301ap-16, 0x1.fcbc675e6f592p-17, 0x1.f8e8cdb909557p-17, 0x1.f514b3d3de153p-17, 0x1.f1403dd85bce1p-17, 0x1.ed6b8f4df7e39p-17, 0x1.e996cb1b3812dp-17, 0x1.e5c21387c0779p-17, 0x1.e1ed8a3d2766p-17, 0x1.de1950489e8e6p-17, 0x1.da45861c4cdd4p-17, 0x1.d6724b91554c5p-17, 0x1.d29fbfe88f59dp-17, 0x1.cece01cc302c7p-17, 0x1.cafd2f5138a0dp-17, 0x1.c72d65f91174dp-17, 0x1.c35ec2b338be5p-17, 0x1.bf9161de5af12p-17, 0x1.bbc55f49cb036p-17, 0x1.b7fad6373718bp-17, 0x1.b431e15c05445p-17, 0x1.b06a9ae2d452cp-17, 0x1.aca51c6cdfc0cp-17, 0x1.a8e17f13905f5p-17, 0x1.a51fdb69c377ap-17, 0x1.a160497d8f50bp-17, 0x1.9da2e0d9e23cep-17, 0x1.99e7b8875ac5bp-17, 0x1.962ee70e11f57p-17, 0x1.9278827727a82p-17, 0x1.8ec4a04e23a08p-17, 0x1.8b1355a2552c5p-17, 0x1.8764b70825cfdp-17, 0x1.83b8d89b16p-17, 0x1.800fcdfec9305p-17, 0x1.7c69aa60542b8p-17, 0x1.78c6807800286p-17, 0x1.7526628a6b04ep-17, 0x1.7189626a1acb8p-17, 0x1.6def9178ebc12p-17, 0x1.6a5900a975cc8p-17, 0x1.66c5c08048136p-17, 0x1.6335e115b9075p-17, 0x1.5fa9721706a09p-17, 0x1.5c2082c79c119p-17, 0x1.589b22024bf2ap-17, 0x1.55195e3b3bb0ep-17, 0x1.519b4580d88cdp-17, 0x1.4e20e57d2d723p-17, 0x1.4aaa4b7795e82p-17, 0x1.47378455d10a2p-17, 0x1.43c89c9d3d24ap-17, 0x1.405da074249d2p-17, 0x1.3cf69ba380e1fp-17, 0x1.39939997cd661p-17, 0x1.3634a56296af5p-17, 0x1.32d9c9bb8b00fp-17, 0x1.2f831101db958p-17, 0x1.2c30853d9839dp-17, 0x1.28e23020f9c1ep-17, 0x1.25981b098c109p-17, 0x1.22524f01617d8p-17, 0x1.1f10d4c0402d3p-17, 0x1.1bd3b4acf5506p-17, 0x1.189af6de82578p-17, 0x1.1566a31d35655p-17, 0x1.1236c0e4652efp-17, 0x1.0f0b5762e84f7p-17, 0x1.0be46d7c919a1p-17, 0x1.08c209cb4b6eap-17, 0x1.05a432a06e6e4p-17, 0x1.028aee05b7a19p-17, 0x1.feec837cfe13fp-18, 0x1.f8cc669157d08p-18, 0x1.f2b58fbbfeac7p-18, 0x1.eca808ea9284ap-18, 0x1.e6a3db866a729p-18, 0x1.e0a9107780c16p-18, 0x1.dab7b0258ed66p-18, 0x1.d4cfc27af4d32p-18, 0x1.cef14ee6daea6p-18, 0x1.c91c5c5ef5527p-18, 0x1.c350f16187e99p-18, 0x1.bd8f13f7ab48fp-18, 0x1.b7d6c9b742937p-18, 0x1.b22817c50b7fbp-18, 0x1.ac8302d686076p-18, 0x1.a6e78f341401bp-18, 0x1.a155c0ba70fd5p-18, 0x1.9bcd9add0f3f9p-18, 0x1.964f20a7f3ec4p-18, 0x1.90da54c1b0008p-18, 0x1.8b6f396cfd5b9p-18, 0x1.860dd08a290d2p-18, 0x1.80b61b9a1c1cdp-18, 0x1.7b681bbf4df1bp-18, 0x1.7623d1bfd98b7p-18, 0x1.70e93e06a9d8fp-18, 0x1.6bb860a5e895cp-18, 0x1.66913958a3f85p-18, 0x1.6173c78405b25p-18, 0x1.5c600a3937748p-18, 0x1.57560037738bfp-18, 0x1.5255a7ed7f0a9p-18, 0x1.4d5eff7b088e1p-18, 0x1.487204b238e39p-18, 0x1.438eb51974f53p-18, 0x1.3eb50decf9abcp-18, 0x1.39e50c205539bp-18, 0x1.351eac6019c2p-18, 0x1.3061eb132107p-18, 0x1.2baec45bf4b4p-18, 0x1.2705341a9453bp-18, 0x1.226535eddb01fp-18, 0x1.1dcec534e4d3cp-18, 0x1.1941dd103ae31p-18, 0x1.14be786373cd8p-18, 0x1.104491d6d7a77p-18, 0x1.0bd423d813d7ap-18, 0x1.076d289be7f9ap-18, 0x1.030f9a1fa9402p-18, 0x1.fd76e4555e21ep-19, 0x1.f4e1549e01a5ap-19, 0x1.ec5e77d5ecd73p-19, 0x1.e3ee40558640bp-19, 0x1.db90a01236a1bp-19, 0x1.d34588a109aa1p-19, 0x1.cb0ceb3a2a565p-19, 0x1.c2e6b8bab1d5dp-19, 0x1.bad2e1a6a8972p-19, 0x1.b2d1562ad2e01p-19, 0x1.aae2062066cf4p-19, 0x1.a304e10ebe6f7p-19, 0x1.9b39d62d4a5afp-19, 0x1.9380d465bc49dp-19, 0x1.8bd9ca55ccbe7p-19, 0x1.8444a6527e506p-19, 0x1.7cc15668f7932p-19, 0x1.754fc861b515cp-19, 0x1.6defe9c1544ccp-19, 0x1.66a1a7cbe827fp-19, 0x1.5f64ef85f871dp-19, 0x1.5839adb61d676p-19, 0x1.511fcee85cf36p-19, 0x1.4a173f6ee6084p-19, 0x1.431feb63e5dcep-19, 0x1.3c39beac00e11p-19, 0x1.3564a4f752b06p-19, 0x1.2ea089c3e390bp-19, 0x1.27ed585eeeb94p-19, 0x1.214afbe74719cp-19, 0x1.1ab95f4e08e6fp-19, 0x1.14386d585d8cfp-19, 0x1.0dc810a1f9d33p-19, 0x1.0768339e95237p-19, 0x1.0118c09a19f5dp-19, 0x1.f5b34377805b5p-20, 0x1.e955820d4a928p-20, 0x1.dd1810b8693c4p-20, 0x1.d0fac2f938bd9p-20, 0x1.c4fd6c10a6952p-20, 0x1.b91fdf0610c45p-20, 0x1.ad61eea52eda6p-20, 0x1.a1c36d85dda9cp-20, 0x1.96442e09c7c2cp-20, 0x1.8ae40263c5f06p-20, 0x1.7fa2bc96adb18p-20, 0x1.74802e7a4448ep-20, 0x1.697c29bd6cc0bp-20, 0x1.5e967fe718e02p-20, 0x1.53cf025a0f51ap-20, 0x1.49258257534bep-20, 0x1.3e99d100324d2p-20, 0x1.342bbf586b33cp-20, 0x1.29db1e48849c7p-20, 0x1.1fa7be9fa3463p-20, 0x1.15917115c2763p-20, 0x1.0b98064febe94p-20, 0x1.01bb4ede96b2dp-20, 0x1.eff63683afd5cp-21, 0x1.dcae77d96675ap-21, 0x1.c99f028792cedp-21, 0x1.b6c7774540771p-21, 0x1.a42776b39e45ep-21, 0x1.91bea16b4311cp-21, 0x1.7f8c97f614a1ap-21, 0x1.6d90fad86ccc2p-21, 0x1.5bcb6a94e29d4p-21, 0x1.4a3b87ac684ffp-21, 0x1.38e0f2a4c3d2ap-21, 0x1.27bb4c0959764p-21, 0x1.16ca347024fccp-21, 0x1.060d4c7c01aa9p-21, 0x1.eb0869c1dfe11p-22, 0x1.ca5d1ccb56f4cp-22, 0x1.aa17f3cd9bb24p-22, 0x1.8a3830b2d57d4p-22, 0x1.6abd15a065907p-22, 0x1.4ba5e4f620b04p-22, 0x1.2cf1e157d6bfcp-22, 0x1.0ea04dafa9cf4p-22, 0x1.e160da6e6a9ebp-23, 0x1.a64306f3f4ac2p-23, 0x1.6be5a8b1fd245p-23, 0x1.3247481fcbb88p-23, 0x1.f2ccdd01c9432p-24, 0x1.82834bae0e72p-24, 0x1.13aef1fbf1944p-24, 0x1.4c99cea40e8dfp-25, 0x1.d2d227bea2e89p-27, -0x1.815ed0dee8c9bp-27, -0x1.3290b1aecd355p-25, -0x1.00fe1855ea9edp-24, -0x1.674ff791c1ed8p-24, -0x1.cc40d3796011ep-24, -0x1.17e9c366f485ap-23, -0x1.4905750d18192p-23, -0x1.7974e9d4f57ap-23, -0x1.a9398bbc7ee4ap-23, -0x1.d854c38c80848p-23, -0x1.0363fc70b752bp-22, -0x1.1a4a4909367d8p-22, -0x1.30ddfa201a3f8p-22, -0x1.471fc19c24fb4p-22, -0x1.5d1050c10a666p-22, -0x1.72b058263995p-22, -0x1.880087bbf7ed5p-22, -0x1.9d018ebc56dbap-22, -0x1.b1b41bb687a67p-22, -0x1.c618dc813264p-22, -0x1.da307e41f9f8ap-22, -0x1.edfbad5f63724p-22, -0x1.00bd8ac5614e2p-21, -0x1.0a57b0db00a9bp-21, -0x1.13cc9e0a4049bp-21, -0x1.1d1ca70bb773ep-21, -0x1.26482037fa4cp-21, -0x1.2f4f5d8330e2dp-21, -0x1.3832b280674cap-21, -0x1.40f2725bc0e64p-21, -0x1.498eefdee1f6bp-21, -0x1.52087d6ba114dp-21, -0x1.5a5f6cfdbb6b8p-21, -0x1.62941029cc3e8p-21, -0x1.6aa6b81b2de3fp-21, -0x1.7297b597085e9p-21, -0x1.7a6758f56817fp-21, -0x1.8215f226cc1edp-21, -0x1.89a3d0b01a993p-21, -0x1.911143aa0fbafp-21, -0x1.985e99c329d6ap-21, -0x1.9f8c213b9ef71p-21, -0x1.a69a27e80b525p-21, -0x1.ad88fb2f7889ep-21, -0x1.b458e809e16eep-21, -0x1.bb0a3b02bc7cbp-21, -0x1.c19d4035413a4p-21, -0x1.c812434e8c8e9p-21, -0x1.ce698f8b6cf96p-21, -0x1.d4a36fba1c24bp-21, -0x1.dac02e3796ab8p-21, -0x1.e0c014f16a317p-21, -0x1.e6a36d62fe2cp-21, -0x1.ec6a8098e8d16p-21, -0x1.f215972cde3cep-21, -0x1.f7a4f947ecf94p-21, -0x1.fd18eea135a6ap-21, -0x1.0138df3fb39b3p-20, -0x1.03d7d7dade9d1p-20, -0x1.06698453764c9p-20, -0x1.08ee07a170487p-20, -0x1.0b658483596efp-20, -0x1.0dd01d7fcdb82p-20, -0x1.102df4e22de2fp-20, -0x1.127f2cbf799d4p-20, -0x1.14c3e6f05c294p-20, -0x1.16fc45179e146p-20, -0x1.1928689b90cc4p-20, -0x1.1b4872ac3334ap-20, -0x1.1d5c843e3b22p-20, -0x1.1f64be0e8bf2dp-20, -0x1.216140a08072dp-20, -0x1.23522c3e63eap-20, -0x1.2537a0f99debcp-20, -0x1.2711beaaa35a9p-20, -0x1.28e0a4f0e3f4fp-20, -0x1.2aa47332f74cbp-20, -0x1.2c5d489f07ff9p-20, -0x1.2e0b4429a6cd9p-20, -0x1.2fae849081cf2p-20, -0x1.314728569e4f4p-20, -0x1.32d54dc8dc05bp-20, -0x1.345912fa5624p-20, -0x1.35d295c66fe9ep-20, -0x1.3741f3d0a1ea9p-20, -0x1.38a74a844d163p-20, -0x1.3a02b7144647dp-20, -0x1.3b54567daeeadp-20, -0x1.3c9c45830439dp-20, -0x1.3ddaa0b33cdc1p-20, -0x1.3f0f8461d3af6p-20, -0x1.403b0caf42bbap-20, -0x1.415d558113bffp-20, -0x1.42767a89cfa57p-20, -0x1.43869741d7a86p-20, -0x1.448dc6ee1c59ap-20, -0x1.458c249adf9e7p-20, -0x1.4681cb2011defp-20, -0x1.476ed51e46a62p-20, -0x1.48535d013359ap-20, -0x1.492f7cfe55596p-20, -0x1.4a034f16461c8p-20, -0x1.4aceed139af6p-20, -0x1.4b92708ccdebbp-20, -0x1.4c4df2e2ada5cp-20, -0x1.4d018d422287fp-20, -0x1.4dad58a38afa9p-20, -0x1.4e516dca233adp-20, -0x1.4eede54720df3p-20, -0x1.4f82d774f281fp-20, -0x1.50105c7dc77e1p-20, -0x1.50968c5555716p-20, -0x1.51157ebe88607p-20, -0x1.518d4b48065ap-20, -0x1.51fe094e038d5p-20, -0x1.5267cffa9faccp-20, -0x1.52cab6453213p-20, -0x1.5326d2f3488ebp-20, -0x1.537c3c98ad25fp-20, -0x1.53cb0997502edp-20, -0x1.5413502058663p-20, -0x1.5455263364b42p-20, -0x1.5490a19f3db8fp-20, -0x1.54c5d80286329p-20, -0x1.54f4deca8bc4ep-20, -0x1.551dcb35876f9p-20, -0x1.5540b250bf17ap-20, -0x1.555da8fad2ac3p-20, -0x1.5574c3e200465p-20, -0x1.5586178675ea5p-20, -0x1.5591b838820e7p-20, -0x1.5597ba1adf97dp-20, -0x1.559831207e9e5p-20, -0x1.5593310fb389ap-20, -0x1.5588cd7f5e6c1p-20, -0x1.557919da120dep-20, -0x1.5564295c2b16cp-20, -0x1.554a0f14f16fep-20, -0x1.552adde7a7338p-20, -0x1.5506a8894cd3fp-20, -0x1.54dd8184b10abp-20, -0x1.54af7b3623ce4p-20, -0x1.547ca7d0422ebp-20, -0x1.54451958b2777p-20, -0x1.5408e1aa22edcp-20, -0x1.53c81274d8c6fp-20, -0x1.5382bd3cbaa34p-20, -0x1.5338f35db4a71p-20, -0x1.52eac60657e41p-20, -0x1.5298463dfeef2p-20, -0x1.524184e01ffddp-20, -0x1.51e6929fe6152p-20, -0x1.51878006d7299p-20, -0x1.51245d75215dep-20, -0x1.50bd3b23344c6p-20, -0x1.5052291fd26cep-20, -0x1.4fe337530a01ep-20, -0x1.4f70757b92a37p-20, -0x1.4ef9f331a959ep-20, -0x1.4e7fbfe4fd1e8p-20, -0x1.4e01eadf3a427p-20, -0x1.4d808341e7f25p-20, -0x1.4cfb98093e8d9p-20, -0x1.4c733809c6e85p-20, -0x1.4be771f36235bp-20, -0x1.4b58544e82ae1p-20, -0x1.4ac5ed7f87a2cp-20, -0x1.4a304bc45011fp-20, -0x1.49977d36640d2p-20, -0x1.48fb8fca42059p-20, -0x1.485c914f6dc92p-20, -0x1.47ba8f722d892p-20, -0x1.471597b90e982p-20, -0x1.466db7894aaa4p-20, -0x1.45c2fc219e959p-20, -0x1.451572a0bc26cp-20, -0x1.446527fed161bp-20, -0x1.43b22914b51bfp-20, -0x1.42fc829591fadp-20, -0x1.42444114f2d31p-20, -0x1.4189710253083p-20, -0x1.40cc1eacafa99p-20, -0x1.400c56413edd3p-20, }}, 
      std::vector<double>(1250, 0.0), 
      {{-0x1.071c207d83d48p-7, -0x1.072de164c48efp-6, -0x1.8afc43d86f378p-6, -0x1.0791b1c43a74fp-5, -0x1.49eb826acd864p-5, -0x1.8ca72bc95cedap-5, -0x1.cfdec64649f81p-5, -0x1.09d415911db1ap-4, -0x1.2c0975b19c03ep-4, -0x1.4e93859e64347p-4, -0x1.717239726dacfp-4, -0x1.94a17babec571p-4, -0x1.b8196c346dbd9p-4, -0x1.dbcec8f70b375p-4, -0x1.ffb370b160118p-4, -0x1.11db799417b47p-3, -0x1.23e3924ad5c0ep-3, -0x1.35e8565af582fp-3, -0x1.47dfc60d23d7bp-3, -0x1.59bfca2a23fcfp-3, -0x1.6b7e68884366ap-3, -0x1.7d11f0b3d176cp-3, -0x1.8e7120c4863fbp-3, -0x1.9f9342bf51261p-3, -0x1.b070431620e76p-3, -0x1.c100c0f446499p-3, -0x1.d13e1912e80e7p-3, -0x1.e1226bd261402p-3, -0x1.f0a89f4ea522ep-3, -0x1.ffcc5e18c801ep-3, -0x1.0745099887b58p-2, -0x1.0e6f71e630fd1p-2, -0x1.156453afca636p-2, -0x1.1c22ef2d6ca04p-2, -0x1.22aad3f84e6dp-2, -0x1.28fbdb9ab567ep-2, -0x1.2f1623ecfffebp-2, -0x1.34fa095af5a58p-2, -0x1.3aa82127c0e26p-2, -0x1.402133c2e1bd6p-2, -0x1.4566373cdc422p-2, -0x1.4a7849e75cbf3p-2, -0x1.4f58ad2a094f3p-2, -0x1.5408c09300703p-2, -0x1.5889fd2836302p-2, -0x1.5cddf0fd528f9p-2, -0x1.61063b10665b5p-2, -0x1.6504876eb94e4p-2, -0x1.68da8ba1fd208p-2, -0x1.6c8a036577209p-2, -0x1.7014ada207bd7p-2, -0x1.737c49af6cdf5p-2, -0x1.76c294d8b7a69p-2, -0x1.79e948218034bp-2, -0x1.7cf2164929d6fp-2, -0x1.7fdeaa094a25fp-2, -0x1.82b0a48c1ef84p-2, -0x1.85699c17dd2a1p-2, -0x1.880b1aeb91f5p-2, -0x1.8a969e4a4bbcdp-2, -0x1.8d0d95b13de4dp-2, -0x1.8f71623591eeep-2, -0x1.91c35606bb552p-2, -0x1.9404b4121e478p-2, -0x1.9636afc508f6cp-2, -0x1.985a6cea0e0a1p-2, -0x1.9a70ff9ef43fp-2, -0x1.9c7b6c609181p-2, -0x1.9e7aa82a0d98ap-2, -0x1.a06f98a52a711p-2, -0x1.a25b14695ccc5p-2, -0x1.a43de347a1ae4p-2, -0x1.a618bea128bf3p-2, -0x1.a7ec51c70e362p-2, -0x1.a9b93a618912fp-2, -0x1.ab8008dd11ab3p-2, -0x1.ad4140dc2d00ep-2, -0x1.aefd59acad6d9p-2, -0x1.b0b4bebf4cf46p-2, -0x1.b267d020b50e2p-2, -0x1.b416e2f31a3bdp-2, -0x1.b5c241e7ad60ap-2, -0x1.b76a2db74109ep-2, -0x1.b90edd9997abp-2, -0x1.bab07fbae32cap-2, -0x1.bc4f39af11f97p-2, -0x1.bdeb28e29bafcp-2, -0x1.bf846308878ap-2, -0x1.c11af6857c8edp-2, -0x1.c2aeead7b6958p-2, -0x1.c44040fbc4dc1p-2, -0x1.c5cef3cdfca07p-2, -0x1.c75af868a2615p-2, -0x1.c8e43e7ebf382p-2, -0x1.ca6ab0b3abf95p-2, -0x1.cbee34ef62d0fp-2, -0x1.cd6eacaf9ae0ep-2, -0x1.ceebf555d02dep-2, -0x1.d065e8723f56bp-2, -0x1.d1dc5c0bfbc7fp-2, -0x1.d34f22e62c4d3p-2, -0x1.d4be0cc29594ap-2, -0x1.d628e6a185fedp-2, -0x1.d78f7aff3fc19p-2, -0x1.d8f1920f0108cp-2, -0x1.da4ef1f3c164p-2, -0x1.dba75ef6bd929p-2, -0x1.dcfa9bbbf0074p-2, -0x1.de4869748bafbp-2, -0x1.df90880f8efe1p-2, -0x1.e0d2b66886836p-2, -0x1.e20eb27497bbap-2, -0x1.e344396ddd49p-2, -0x1.e47307fd3365ep-2, -0x1.e59ada6278f55p-2, -0x1.e6bb6c9b5e42p-2, -0x1.e7d47a88ca38dp-2, -0x1.e8e5c012e03bcp-2, -0x1.e9eef94bbba98p-2, -0x1.eaefe290e18b2p-2, -0x1.ebe838ab7527ep-2, -0x1.ecd7b8ef3aef1p-2, -0x1.edbe21586d3ccp-2, -0x1.ee9b30a86991ep-2, -0x1.ef6ea6813e2a6p-2, -0x1.f03843801e8abp-2, -0x1.f0f7c956bbefcp-2, -0x1.f1acfae38fb4dp-2, -0x1.f2579c49142a7p-2, -0x1.f2f77303f2774p-2, -0x1.f38c460023c06p-2, -0x1.f415ddad1097bp-2, -0x1.f4940410a7a78p-2, -0x1.f50684d973149p-2, -0x1.f56d2d6fb16dfp-2, -0x1.f5c7cd05679b8p-2, -0x1.f61634a581c97p-2, -0x1.f6583741ef158p-2, -0x1.f68da9c0cf4c7p-2, -0x1.f6b66308a0403p-2, -0x1.f6d23c0b8123ap-2, -0x1.f6e10fd17cf8dp-2, -0x1.f6e2bb81eb759p-2, -0x1.f6d71e6be0746p-2, -0x1.f6be1a0db793cp-2, -0x1.f697921bb419p-2, -0x1.f6636c85c2b99p-2, -0x1.f621917c5802cp-2, -0x1.f5d1eb7472db1p-2, -0x1.f574672aca961p-2, -0x1.f508f3a622e4p-2, -0x1.f48f8238d5718p-2, -0x1.f40806818a9fep-2, -0x1.f372766b2f672p-2, -0x1.f2ceca2c26a0dp-2, -0x1.f21cfc44bda5ap-2, -0x1.f15d097ce6e17p-2, -0x1.f08ef0e1455c9p-2, -0x1.efb2b3bf84d44p-2, -0x1.eec855a20dc6dp-2, -0x1.edcfdc4b14937p-2, -0x1.ecc94faf0dc9p-2, -0x1.ebb4b9ee8887bp-2, -0x1.ea92274f78a01p-2, -0x1.e961a635f4667p-2, -0x1.e823471c6fe74p-2, -0x1.e6d71c8b7429ap-2, -0x1.e57d3b10e094dp-2, -0x1.e415b936b6769p-2, -0x1.e2a0af7978594p-2, -0x1.e11e383e22dfcp-2, -0x1.df8e6fc7c1cbep-2, -0x1.ddf1742cabbd1p-2, -0x1.dc47654b682b8p-2, -0x1.da9064bf45c91p-2, -0x1.d8cc95d4a7e03p-2, -0x1.d6fc1d7d0e34fp-2, -0x1.d51f2242e116ep-2, -0x1.d335cc3d05267p-2, -0x1.d14045023972ep-2, -0x1.cf3eb79c4b5f5p-2, -0x1.cd31507b20c02p-2, -0x1.cb183d67a01a4p-2, -0x1.c8f3ad767c4cep-2, -0x1.c6c3d0fae414bp-2, -0x1.c488d979222b1p-2, -0x1.c242f9992cae7p-2, -0x1.bff2651928aadp-2, -0x1.bd9750bfeb6f9p-2, -0x1.bb31f24f78d0cp-2, -0x1.b8c2807782ba9p-2, -0x1.b64932c7f2e2p-2, -0x1.b3c641a37db22p-2, -0x1.b139e632450e9p-2, -0x1.aea45a548a0a2p-2, -0x1.ac05d8957b335p-2, -0x1.a95e9c1e171cdp-2, -0x1.a6aee0a82d3dep-2, -0x1.a3f6e2717d2bfp-2, -0x1.a136de2efcf87p-2, -0x1.9e6f11003e58p-2, -0x1.9b9fb86301f7ep-2, -0x1.98c91226f3b9cp-2, -0x1.95eb5c6191992p-2, -0x1.9306d56245248p-2, -0x1.901bbba6af19ap-2, -0x1.8d2a4dcf20bf7p-2, -0x1.8a32ca9351f12p-2, -0x1.873570b74a9e4p-2, -0x1.84327f008344ep-2, -0x1.812a342b444fcp-2, -0x1.7e1ccee03bfdep-2, -0x1.7b0a8daa54f09p-2, -0x1.77f3aeecc8199p-2, -0x1.74d870d96edebp-2, -0x1.71b9116753b1ep-2, -0x1.6e95ce498430dp-2, -0x1.6b6ee4e625adap-2, -0x1.6844924dc89cp-2, -0x1.65171332ffb95p-2, -0x1.61e6a3e23a7edp-2, -0x1.5eb38039e2dep-2, -0x1.5b7de3a2bac32p-2, -0x1.5846090880d66p-2, -0x1.550c2ad2d7a6ep-2, -0x1.51d082de6d7c4p-2, -0x1.4e934a766a15ap-2, -0x1.4b54ba4e20949p-2, -0x1.48150a7afd38p-2, -0x1.44d4726ebddbap-2, -0x1.419328f1e8097p-2, -0x1.3e51641e80234p-2, -0x1.3b0f595b0213bp-2, -0x1.37cd3d559cd8dp-2, -0x1.348b43ffa88dbp-2, -0x1.3149a08962611p-2, -0x1.2e08855ddf867p-2, -0x1.2ac8241f43009p-2, -0x1.2788ada32dea2p-2, -0x1.244a51ef6c705p-2, -0x1.210d4036de2cdp-2, -0x1.1dd1a6d694988p-2, -0x1.1a97b3533305ap-2, -0x1.175f92567da9cp-2, -0x1.14296fad2406dp-2, -0x1.10f57644c3a02p-2, -0x1.0dc3d02a19bdfp-2, -0x1.0a94a6876f3fcp-2, -0x1.076821a3337ccp-2, -0x1.043e68dec8673p-2, -0x1.0117a2b584c79p-2, -0x1.fbe7e977b9782p-3, -0x1.f5a7073d85e6p-3, -0x1.ef6ce6465a2adp-3, -0x1.e939cc4b9ad12p-3, -0x1.e30dfd35dad77p-3, -0x1.dce9bb1cf998ap-3, -0x1.d6cd46487d655p-3, -0x1.d0b8dd304c3bbp-3, -0x1.caacbc7da596ap-3, -0x1.c4a91f0c6c482p-3, -0x1.beae3decb874cp-3, -0x1.b8bc5064a64p-3, -0x1.b2d38bf271e13p-3, -0x1.acf4244ecce44p-3, -0x1.a71e4b6f7482ap-3, -0x1.a1523189ff65dp-3, -0x1.9b900516ef256p-3, -0x1.95d7f2d4ea3acp-3, -0x1.902a25cc39b02p-3, -0x1.8a86c7526bc11p-3, -0x1.84edff0e340d4p-3, -0x1.7f5ff2fb719e5p-3, -0x1.79dcc76f60079p-3, -0x1.74649f1cfb89dp-3, -0x1.6ef79b1984e2p-3, -0x1.6995dae12d8ep-3, -0x1.643f7c5be9e3ep-3, -0x1.5ef49be263b56p-3, -0x1.59b554430bbc4p-3, -0x1.5481bec74b926p-3, -0x1.4f59f338d20d4p-3, -0x1.4a3e07e6fe631p-3, -0x1.452e11ac5880dp-3, -0x1.402a23f432b8bp-3, -0x1.3b3250c04a8eap-3, -0x1.3646a8ae92dcdp-3, -0x1.31673afefdf7bp-3, -0x1.2c9415996316ep-3, -0x1.27cd45136ba8dp-3, -0x1.2312d4b695c27p-3, -0x1.1e64ce8634cc7p-3, -0x1.19c33b458e56cp-3, -0x1.152e227dec5d5p-3, -0x1.10a58a84c82e5p-3, -0x1.0c297881ed65bp-3, -0x1.07b9f075aa19ep-3, -0x1.0356f53f028e5p-3, -0x1.fe011143b9f3fp-4, -0x1.f56d569a7dcdbp-4, -0x1.ecf2b9c2f5766p-4, -0x1.e49137ecc8992p-4, -0x1.dc48cc43059f2p-4, -0x1.d4196ff8777b4p-4, -0x1.cc031a53fd391p-4, -0x1.c405c0bcc8e9dp-4, -0x1.bc2156c6a216ep-4, -0x1.b455ce3e0c0e1p-4, -0x1.aca3173463625p-4, -0x1.a509200be8124p-4, -0x1.9d87d583bb5e7p-4, -0x1.961f22c3b30cbp-4, -0x1.8ecef16836dfap-4, -0x1.8797298de9a18p-4, -0x1.8077b1dd4af86p-4, -0x1.79706f9635845p-4, -0x1.7281469b4759ep-4, -0x1.6baa197d2c677p-4, -0x1.64eac985c9303p-4, -0x1.5e4336c34af6bp-4, -0x1.57b34013153f6p-4, -0x1.513ac32c8d5ecp-4, -0x1.4ad99cabcecf5p-4, -0x1.448fa81c2c55bp-4, -0x1.3e5cc002a1a9dp-4, -0x1.3840bde810861p-4, -0x1.323b7a6367052p-4, -0x1.2c4ccd2399237p-4, -0x1.26748cf976e44p-4, -0x1.20b28fe1610a4p-4, -0x1.1b06ab0ccf5e6p-4, -0x1.1570b2ebb7d37p-4, -0x1.0ff07b35cf7ccp-4, -0x1.0a85d6f397722p-4, -0x1.05309887554c1p-4, -0x1.ffe1236bad56fp-5, -0x1.f58b275e18f18p-5, -0x1.eb5ede2d0f0c4p-5, -0x1.e15be817861e4p-5, -0x1.d781e4649a87bp-5, -0x1.cdd0717385963p-5, -0x1.c4472ccb4b59fp-5, -0x1.bae5b32a1247bp-5, -0x1.b1aba09427d12p-5, -0x1.a8989062bc82bp-5, -0x1.9fac1d524a481p-5, -0x1.96e5e190a2064p-5, -0x1.8e4576cabcb11p-5, -0x1.85ca763a26583p-5, -0x1.7d7478b2270ebp-5, -0x1.754316ac9e6ap-5, -0x1.6d35e85681c4ep-5, -0x1.654c859c1d48fp-5, -0x1.5d868634f382cp-5, -0x1.55e381af6a4b4p-5, -0x1.4e630f7c1202ep-5, -0x1.4704c6f8ab5a7p-5, -0x1.3fc83f7adea6ep-5, -0x1.38ad105ab2d13p-5, -0x1.31b2d0fca871dp-5, -0x1.2ad918db980dbp-5, -0x1.241f7f9249f49p-5, -0x1.1d859ce4b51b6p-5, -0x1.170b08c90ba63p-5, -0x1.10af5b7079567p-5, -0x1.0a722d4f9436ap-5, -0x1.045317269a427p-5, -0x1.fca36412acc7fp-6, -0x1.f0db2ecda912ap-6, -0x1.e54cc2219e037p-6, -0x1.d9f75285aaf81p-6, -0x1.ceda155273ef4p-6, -0x1.c3f440cf70cap-6, -0x1.b9450c3fe27a2p-6, -0x1.aecbafef0fd34p-6, -0x1.a487653c58238p-6, -0x1.9a7766a68393bp-6, -0x1.909aefd6d86c6p-6, -0x1.86f13dabab5adp-6, -0x1.7d798e426d87bp-6, -0x1.743321016a75ap-6, -0x1.6b1d36a101943p-6, -0x1.6237113487292p-6, -0x1.597ff432b5565p-6, -0x1.50f7247db3928p-6, -0x1.489be86ac35b7p-6, -0x1.406d87c97c509p-6, -0x1.386b4beac13b7p-6, -0x1.30947fa735067p-6, -0x1.28e86f657aeb8p-6, -0x1.2166691fef886p-6, -0x1.1a0dbc6a37057p-6, -0x1.12ddba7652e82p-6, -0x1.0bd5b6197cc94p-6, -0x1.04f503d093f8bp-6, -0x1.fc75f388a714dp-7, -0x1.ef4ddf9a5f71p-7, -0x1.e2707eedc1e22p-7, -0x1.d5dc88076d303p-7, -0x1.c990b4df00783p-7, -0x1.bd8bc2e4c1f4p-7, -0x1.b1cc73063e94bp-7, -0x1.a65189b2d750ep-7, -0x1.9b19cedf98e6p-7, -0x1.90240e0a7d02cp-7, -0x1.856f163d52c7cp-7, -0x1.7af9ba101ec36p-7, -0x1.70c2cfab1f74p-7, -0x1.66c930c83b328p-7, -0x1.5d0bbab401bf2p-7, -0x1.53894e4e7149cp-7, -0x1.4a40d00b112f6p-7, -0x1.413127f0e3c33p-7, -0x1.38594199c9aaap-7, -0x1.2fb80c31a2ef9p-7, -0x1.274c7a75105f3p-7, -0x1.1f1582afba53ep-7, -0x1.17121eba81f66p-7, -0x1.0f414bf9235dbp-7, -0x1.07a20b579ff4p-7, -0x1.003361477288p-7, -0x1.f1e8ab78926afp-8, -0x1.e3c7e8513f467p-8, -0x1.d60296f3f994ap-8, -0x1.c896dc2a03771p-8, -0x1.bb82e3a23e9d1p-8, -0x1.aec4dfe865406p-8, -0x1.a25b0a5b782f8p-8, -0x1.9643a323f8c5ep-8, -0x1.8a7cf129ab8b6p-8, -0x1.7f054208ef965p-8, -0x1.73daea07993b3p-8, -0x1.68fc44099ffc2p-8, -0x1.5e67b1854d3d8p-8, -0x1.541b9a771299p-8, -0x1.4a166d55351fbp-8, -0x1.40569f02fcc2bp-8, -0x1.36daaac3c9d6dp-8, -0x1.2da1122d9b9a8p-8, -0x1.24a85d1bbddc2p-8, -0x1.1bef19a0c66c2p-8, -0x1.1373dbf8bb5f9p-8, -0x1.0b353e7ac2d24p-8, -0x1.0331e18aae118p-8, -0x1.f6d0d714dc84cp-9, -0x1.e7af119644056p-9, -0x1.d8fbd6fc74cdcp-9, -0x1.cab4974ccda83p-9, -0x1.bcd6ce1071075p-9, -0x1.af6002357df9dp-9, -0x1.a24dc5f06934cp-9, -0x1.959db69c29809p-9, -0x1.894d7c9b6f8cap-9, -0x1.7d5acb38bbd7ap-9, -0x1.71c36086a230ep-9, -0x1.66850540244fp-9, -0x1.5b9d8ca86a44dp-9, -0x1.510ad46afd013p-9, -0x1.46cac47b8fa7dp-9, -0x1.3cdb4ef58e5d8p-9, -0x1.333a6ffc40934p-9, -0x1.29e62d9a4db0cp-9, -0x1.20dc97a170787p-9, -0x1.181bc78a390ebp-9, -0x1.0fa1e053e7c5fp-9, -0x1.076d0e63f9aadp-9, -0x1.fef70ecc436d4p-10, -0x1.ef97145872p-10, -0x1.e0b6bd1bfac21p-10, -0x1.d252aa929a2fp-10, -0x1.c4678fc4422efp-10, -0x1.b6f23105a119ap-10, -0x1.a9ef63b90f2edp-10, -0x1.9d5c0e0f5927p-10, -0x1.913526c87c21cp-10, -0x1.8577b4f697e7ap-10, -0x1.7a20cfbdf3526p-10, -0x1.6f2d9e1892f0cp-10, -0x1.649b56982071cp-10, -0x1.5a673f288cf63p-10, -0x1.508eacd3fd45bp-10, -0x1.470f0385e91ap-10, -0x1.3de5b5cf94108p-10, -0x1.351044ac1ba6bp-10, -0x1.2c8c3f4560c29p-10, -0x1.245742b9f8b1cp-10, -0x1.1c6ef9e273054p-10, -0x1.14d11d176b36bp-10, -0x1.0d7b71f9233e9p-10, -0x1.066bcb35e64a1p-10, -0x1.ff4010a4b8d45p-11, -0x1.f22c2ae27cfcfp-11, -0x1.e597d639a4af3p-11, -0x1.d97f1c1e7c585p-11, -0x1.cdde1dfa7a1c3p-11, -0x1.c2b114bfedd85p-11, -0x1.b7f4507fec6f5p-11, -0x1.ada4380136d49p-11, -0x1.a3bd485848c11p-11, -0x1.9a3c148009fccp-11, -0x1.911d44f4119a5p-11, -0x1.885d974c7cb8bp-11, -0x1.7ff9ddd997545p-11, -0x1.77eeff425b4dbp-11, -0x1.7039f6219842cp-11, -0x1.68d7d0a757e01p-11, -0x1.61c5b0399494dp-11, -0x1.5b00c9154df36p-11, -0x1.548661f32a592p-11, -0x1.4e53d3ab3e9c5p-11, -0x1.486688db2f2f4p-11, -0x1.42bbfd8c3f78fp-11, -0x1.3d51bedc02b13p-11, -0x1.38256aa4c595p-11, -0x1.3334af28cb616p-11, -0x1.2e7d4abc94afdp-11, -0x1.29fd0b7444cf4p-11, -0x1.25b1ced1ce9f6p-11, -0x1.2199817201a4bp-11, -0x1.1db21ebef4085p-11, -0x1.19f9b09f6e881p-11, -0x1.166e4f29f0ef9p-11, -0x1.130e2058522aap-11, -0x1.0fd757bba1324p-11, -0x1.0cc83632c9f04p-11, -0x1.09df09a0e1a47p-11, -0x1.071a2ca514521p-11, -0x1.04780653f08eap-11, -0x1.01f709f17ca06p-11, -0x1.ff2b6d5819a2p-12, -0x1.faa52eb205af4p-12, -0x1.f6588464f03f9p-12, -0x1.f242b12a64beep-12, -0x1.ee610d80edd15p-12, -0x1.eab1072cf0025p-12, -0x1.e73020bbe63d5p-12, -0x1.e3dbf10add307p-12, -0x1.e0b222cb2184p-12, -0x1.ddb0740f9fc01p-12, -0x1.dad4b5d4b6db7p-12, -0x1.d81ccb8ff075cp-12, -0x1.d586aabf04059p-12, -0x1.d3105a787d501p-12, -0x1.d0b7f2ffc79e9p-12, -0x1.ce7b9d5a1dbcep-12, -0x1.cc5992e652336p-12, -0x1.ca501cf509712p-12, -0x1.c85d94644c8cap-12, -0x1.c680613c428cdp-12, -0x1.c4b6fa4e3978ap-12, -0x1.c2ffe4d3771a7p-12, -0x1.c159b411538c5p-12, -0x1.bfc308fbf321ep-12, -0x1.be3a91dcc6585p-12, -0x1.bcbf09f8edda3p-12, -0x1.bb4f393b840f2p-12, -0x1.b9e9f3e02ced5p-12, -0x1.b88e1a1eaff49p-12, -0x1.b73a97da4d5ffp-12, -0x1.b5ee64508caf8p-12, -0x1.b4a881cab6636p-12, -0x1.b367fd50f1e75p-12, -0x1.b22bee5e94d5ap-12, -0x1.b0f37697ac215p-12, -0x1.afbdc181d6a0ap-12, -0x1.ae8a043b6063p-12, -0x1.ad577d3792a44p-12, -0x1.ac2573f886f0cp-12, -0x1.aaf338ce9608ap-12, -0x1.a9c02494d228fp-12, -0x1.a88b98734e2ap-12, -0x1.a754fd9ef792fp-12, -0x1.a61bc51d1150ep-12, -0x1.a4df678766a0bp-12, -0x1.a39f64d1ae6adp-12, -0x1.a25b440fc7b15p-12, -0x1.a112933e5fe2cp-12, -0x1.9fc4e70b814f1p-12, -0x1.9e71daa162122p-12, -0x1.9d190f71f34bap-12, -0x1.9bba2d03b8349p-12, -0x1.9a54e0bf90d8ep-12, -0x1.98e8ddc0c9c89p-12, -0x1.9775dca3b755fp-12, -0x1.95fb9b58ae9eep-12, -0x1.9479dcf562822p-12, -0x1.92f06988e41e9p-12, -0x1.915f0df0145cdp-12, -0x1.8fc59bab6fcc6p-12, -0x1.8e23e8b53493dp-12, -0x1.8c79cf59ce3d8p-12, -0x1.8ac72e0fa28bp-12, -0x1.890be7515eb15p-12, -0x1.8747e177c5954p-12, -0x1.857b06959d9dp-12, -0x1.83a54453c8d76p-12, -0x1.81c68bce953cbp-12, -0x1.7fded173e7cefp-12, -0x1.7dee0ce2263bap-12, -0x1.7bf438c82c735p-12, -0x1.79f152c610128p-12, -0x1.77e55b4e401dp-12, -0x1.75d055880ba94p-12, -0x1.73b24732a4d84p-12, -0x1.718b3888fa9fdp-12, -0x1.6f5b34260ca14p-12, -0x1.6d2246ea8d9dbp-12, -0x1.6ae07fe2bc68ep-12, -0x1.6895f02d6bf42p-12, -0x1.6642aae3170dfp-12, -0x1.63e6c4fe55377p-12, -0x1.61825544683e7p-12, -0x1.5f15742eb407dp-12, -0x1.5ca03bd4ff359p-12, -0x1.5a22c7d7d354p-12, -0x1.579d354c3af4bp-12, -0x1.550fa2a759f45p-12, -0x1.527a2fab0af72p-12, -0x1.4fdcfd5316ea3p-12, -0x1.4d382dc2c2fd5p-12, -0x1.4a8be432ec79fp-12, -0x1.47d844e0fbdf9p-12, -0x1.451d74fdf7137p-12, -0x1.425b9a9e68954p-12, -0x1.3f92dcaa6ba21p-12, -0x1.3cc362ced9055p-12, -0x1.39ed556e2432fp-12, -0x1.3710dd925bc43p-12, -0x1.342e24df53d5cp-12, -0x1.314555856c399p-12, -0x1.2e569a33fa557p-12, -0x1.2b621e0de01a3p-12, -0x1.28680c9c763cbp-12, -0x1.256891c45f12cp-12, -0x1.2263d9ba714ebp-12, -0x1.1f5a10f83ebfdp-12, -0x1.1c4b64323b35p-12, -0x1.1938004d4297dp-12, -0x1.16201254edbf3p-12, -0x1.1303c7722c9c7p-12, -0x1.0fe34ce2669dcp-12, -0x1.0cbecfee42cb5p-12, -0x1.09967de1f827ep-12, -0x1.066a84049f2a4p-12, -0x1.033b0f90aeb34p-12, -0x1.00084dac8ffcdp-12, -0x1.f9a4d6c6baa15p-13, -0x1.f3332b3c68083p-13, -0x1.ecbbf23afd97fp-13, -0x1.e63f84e52b436p-13, -0x1.dfbe3bf3b303cp-13, -0x1.d9386fa9d57a8p-13, -0x1.d2ae77c9d9984p-13, -0x1.cc20ab8abe67ap-13, -0x1.c58f618ea015dp-13, -0x1.befaefd824627p-13, -0x1.b863abc1d8417p-13, -0x1.b1c9e9f5e78fep-13, -0x1.ab2dfe64b1d98p-13, -0x1.a4903c3e0c919p-13, -0x1.9df0f5e973795p-13, -0x1.97507cfe31d25p-13, -0x1.90af223e1fcbp-13, -0x1.8a0d358de4028p-13, -0x1.836b05eff4831p-13, -0x1.7cc8e17e3ddbep-13, -0x1.76271565a0681p-13, -0x1.6f85ede074fc2p-13, -0x1.68e5b6320a2d4p-13, -0x1.6246b8a278101p-13, -0x1.5ba93e7a9464bp-13, -0x1.550d90003c546p-13, -0x1.4e73f47290ac6p-13, -0x1.47dcb2072e4c1p-13, -0x1.41480de76dc88p-13, -0x1.3ab64c2d27a8ep-13, -0x1.3427afe0ca692p-13, -0x1.2d9c7af71582dp-13, -0x1.2714ee4ed2a91p-13, -0x1.209149afd5fadp-13, -0x1.1a11cbc8d7abbp-13, -0x1.1396b22ed015ap-13, -0x1.0d20395b73832p-13, -0x1.06ae9cac1f76dp-13, -0x1.0042166212843p-13, -0x1.f3b5bf41624eep-14, -0x1.e6f260dc97dd4p-14, -0x1.da3a7f66772eep-14, -0x1.cd8e86747810ep-14, -0x1.c0eedf6115e18p-14, -0x1.b45bf14c891cdp-14, -0x1.a7d6211cdb2d6p-14, -0x1.9b5dd1807be97p-14, -0x1.8ef362eebb87ep-14, -0x1.829733a9bd72p-14, -0x1.76499fc040bfap-14, -0x1.6a0b0110d8317p-14, -0x1.5ddbaf4a83507p-14, -0x1.51bbfff103658p-14, -0x1.45ac465efd7d4p-14, -0x1.39acd3c8c9007p-14, -0x1.2dbdf74027955p-14, -0x1.21dffdb820ac5p-14, -0x1.16133206cc81fp-14, -0x1.0a57dceb95f59p-14, -0x1.fd5c8a2283c96p-15, -0x1.e62d5e259b2a8p-15, -0x1.cf22bafe4e9f5p-15, -0x1.b83d21bcc73b9p-15, -0x1.a17d0f6a3cafdp-15, -0x1.8ae2fd1464fd1p-15, -0x1.746f5fd4c65p-15, -0x1.5e22a8dc3350bp-15, -0x1.47fd457acc73dp-15, -0x1.31ff9f2b1b5f1p-15, -0x1.1c2a1b9d21b1cp-15, -0x1.067d1cbf04648p-15, -0x1.e1f2018f762edp-16, -0x1.b73c44876b3ccp-16, -0x1.8cd9b039dc835p-16, -0x1.62caeb4fab16dp-16, -0x1.3910955a12b28p-16, -0x1.0fab46ed0478ep-16, -0x1.cd37235ca8989p-17, -0x1.7bc400e911e82p-17, -0x1.2afe2eb27bf4p-17, -0x1.b5cd4f3f0e9dfp-18, -0x1.16fcb2f6ca594p-18, -0x1.e631292afccep-20, 0x1.14121456f9b57p-21, 0x1.7a5ac8df160c8p-19, 0x1.5673a50aa0345p-18, 0x1.ee53a6705a99bp-18, 0x1.4266115b34813p-17, 0x1.8cedf5cf372c5p-17, 0x1.d6c0f51b98bcdp-17, 0x1.0fef47a0179fdp-16, 0x1.342327c150527p-16, 0x1.57fbe62189d77p-16, 0x1.7b795365e022bp-16, 0x1.9e9b459194ba9p-16, 0x1.c16197ee5abf2p-16, 0x1.e3cc2af389336p-16, 0x1.02ed72193b67ap-15, 0x1.13c6d71e2cce9p-15, 0x1.24723c466e6a9p-15, 0x1.34ef9bb8cc299p-15, 0x1.453ef1faabdacp-15, 0x1.55603de39058cp-15, 0x1.65538092a0a27p-15, 0x1.7518bd639181dp-15, 0x1.84aff9e295e0dp-15, 0x1.94193dc1a564bp-15, 0x1.a35492ce4dbebp-15, 0x1.b26204e59159ep-15, 0x1.c141a1e99f176p-15, 0x1.cff379b67a069p-15, 0x1.de779e185e6dcp-15, 0x1.ecce22c037119p-15, 0x1.faf71d3974498p-15, 0x1.0479526fb4d52p-14, 0x1.0b6069695f921p-14, 0x1.1230e0f7f37d8p-14, 0x1.18eac761ffee1p-14, 0x1.1f8e2bc1fbe2ep-14, 0x1.261b1e00a9e88p-14, 0x1.2c91aed07777cp-14, 0x1.32f1efa885ddbp-14, 0x1.393bf2c00e782p-14, 0x1.3f6fcb094032cp-14, 0x1.458d8c2c99db8p-14, 0x1.4b954a849162ep-14, 0x1.51871b1886c8dp-14, 0x1.576313982cda9p-14, 0x1.5d294a5756d17p-14, 0x1.62d9d649750fbp-14, 0x1.6874cefccd689p-14, 0x1.6dfa4c965f71fp-14, 0x1.736a67cdcfddp-14, 0x1.78c539e8d35cbp-14, 0x1.7e0adcb7174aep-14, 0x1.833b6a8de5aa1p-14, 0x1.8856fe446e58ap-14, 0x1.8d5db32f79201p-14, 0x1.924fa51d932a4p-14, 0x1.972cf05329ba4p-14, 0x1.9bf5b18672a31p-14, 0x1.a0aa05dbb4944p-14, 0x1.a54a0ae17decep-14, 0x1.a9d5de8d2d585p-14, 0x1.ae4d9f3700ff8p-14, 0x1.b2b16b9682aeep-14, 0x1.b70162bf1664dp-14, 0x1.bb3da41ca9d6ep-14, 0x1.bf664f6feedfap-14, 0x1.c37b84cb34734p-14, 0x1.c77d648ec6e14p-14, 0x1.cb6c0f65f2385p-14, 0x1.cf47a643d5d2fp-14, 0x1.d3104a6013dd4p-14, 0x1.d6c61d339f7a3p-14, 0x1.da694075d6924p-14, 0x1.ddf9d61955606p-14, 0x1.e17800492ee07p-14, 0x1.e4e3e165d42cfp-14, 0x1.e83d9c025989ap-14, 0x1.eb8552e1b7d3cp-14, 0x1.eebb28f3d44cfp-14, 0x1.f1df4152fbb0dp-14, 0x1.f4f1bf410fd45p-14, 0x1.f7f2c6250bbd6p-14, 0x1.fae279884178ap-14, 0x1.fdc0fd141d3ddp-14, 0x1.00473a47cca87p-13, 0x1.01a581ee5abebp-13, 0x1.02fb677b0865ap-13, 0x1.0448fcf65d86ep-13, 0x1.058e5472f21bp-13, 0x1.06cb800c3e9ecp-13, 0x1.080091e58ddbdp-13, 0x1.092d9c28ef982p-13, 0x1.0a52b1064817ap-13, 0x1.0b6fe2b218767p-13, 0x1.0c854364740bcp-13, 0x1.0d92e5583b27dp-13, 0x1.0e98dac9ec6f9p-13, 0x1.0f9735f6c9166p-13, 0x1.108e091c1168cp-13, 0x1.117d6675e745ap-13, 0x1.1265603e64d4bp-13, 0x1.134608ace12dp-13, 0x1.141f71f51adc5p-13, 0x1.14f1ae464f84bp-13, 0x1.15bccfca6bcb3p-13, 0x1.1680e8a541953p-13, 0x1.173e0af3e5e6fp-13, 0x1.17f448cbe554p-13, 0x1.18a3b43a65846p-13, 0x1.194c5f4384e0dp-13, 0x1.19ee5be1a83b2p-13, 0x1.1a89bc04cec48p-13, 0x1.1b1e9191e603dp-13, 0x1.1bacee622a686p-13, 0x1.1c34e4428ff7cp-13, 0x1.1cb684f30c5bap-13, 0x1.1d31e226015cep-13, 0x1.1da70d7fc998cp-13, 0x1.1e161895fe0ep-13, 0x1.1e7f14eefb9d4p-13, 0x1.1ee2140176f32p-13, 0x1.1f3f2733d24b9p-13, 0x1.1f965fdba68cdp-13, 0x1.1fe7cf3d48c81p-13, 0x1.2033868b71f3fp-13, 0x1.207996e68c951p-13, 0x1.20ba115c5376bp-13, 0x1.20f506e781811p-13, 0x1.212a886f65a2ep-13, 0x1.215aa6c764b7dp-13, 0x1.218572ae9927ep-13, 0x1.21aafccf83a3ep-13, 0x1.21cb55bf8a582p-13, 0x1.21e68dfece96cp-13, 0x1.21fcb5f7a7895p-13, 0x1.220dddfe7527bp-13, 0x1.221a16513421bp-13, 0x1.22216f174b6eap-13, 0x1.2223f86111cd9p-13, 0x1.2221c227ca2b6p-13, 0x1.221adc4d3b267p-13, 0x1.220f569b46937p-13, 0x1.21ff40c3d2f84p-13, 0x1.21eaaa6095812p-13, 0x1.21d1a2f2d68e3p-13, 0x1.21b439e320a2ap-13, 0x1.21927e811a908p-13, 0x1.216c800358a1fp-13, 0x1.21424d87220d6p-13, 0x1.2113f6104b212p-13, 0x1.20e1888905863p-13, 0x1.20ab13c1bc39p-13, 0x1.2070a670daca9p-13, 0x1.20324f32ba765p-13, 0x1.1ff01c899752ep-13, 0x1.1faa1cdd492a1p-13, 0x1.1f605e7b0e548p-13, 0x1.1f12ef95afc0bp-13, 0x1.1ec1de4555b74p-13, 0x1.1e6d388735e3ap-13, 0x1.1e150c3db1f4p-13, 0x1.1db9673064354p-13, 0x1.1d5a570bbe4c6p-13, 0x1.1cf7e9611ded4p-13, 0x1.1c922ba6cbf4ap-13, 0x1.1c292b37c9f7p-13, 0x1.1bbcf553e9ac2p-13, 0x1.1b4d971fa9cep-13, 0x1.1adb1da43a99dp-13, 0x1.1a6595cf74ce5p-13, 0x1.19ed0c73d6f7bp-13, 0x1.19718e488ad76p-13, 0x1.18f327e953605p-13, 0x1.1871e5d66a7cbp-13, 0x1.17edd474c5824p-13, 0x1.1767000df211dp-13, 0x1.16dd74d005e05p-13, 0x1.16513ecddb108p-13, 0x1.15c269ff02af9p-13, 0x1.1531023f8f912p-13, 0x1.149d135058f66p-13, 0x1.1406a8d71afafp-13, 0x1.136dce5e33edcp-13, 0x1.12d28f54ee2dp-13, 0x1.1234f70f78f17p-13, 0x1.119510c6e59aap-13, 0x1.10f2e79949027p-13, 0x1.104e8689d7696p-13, 0x1.0fa7f880eac48p-13, 0x1.0eff484bfe3c9p-13, 0x1.0e54809dd402ap-13, 0x1.0da7ac0e8920bp-13, 0x1.0cf8d51b94937p-13, 0x1.0c480627fd55p-13, 0x1.0b95497c747c2p-13, 0x1.0ae0a9473f9ddp-13, 0x1.0a2a2f9c79a7ep-13, 0x1.0971e67602aa1p-13, 0x1.08b7d7b3bdfc7p-13, 0x1.07fc0d1bb0df5p-13, 0x1.073e9059fa601p-13, 0x1.067f6b00ee5e5p-13, 0x1.05bea6895f685p-13, 0x1.04fc4c528bd05p-13, 0x1.043865a24b9cap-13, 0x1.0372fba544c55p-13, 0x1.02ac176eda171p-13, 0x1.01e3c1f964d8dp-13, 0x1.011a04265aa02p-13, 0x1.004ee6be64bc6p-13, 0x1.ff04e4e2df0d8p-14, 0x1.fd695fadc80f3p-14, 0x1.fbcb4edb7b28ep-14, 0x1.fa2ac33964b0bp-14, 0x1.f887cd64a5b48p-14, 0x1.f6e27dca466bp-14, 0x1.f53ae4a7770d7p-14, 0x1.f3911209e0e83p-14, 0x1.f1e515d017d8cp-14, 0x1.f036ffa9b8ed5p-14, 0x1.ee86df1792066p-14, 0x1.ecd4c36bfbe98p-14, 0x1.eb20bbcb71934p-14, 0x1.e96ad72c8000ap-14, 0x1.e7b324583b475p-14, 0x1.e5f9b1ea60cf9p-14, 0x1.e43e8e51bc35cp-14, 0x1.e281c7d0832a1p-14, 0x1.e0c36c7c90e3p-14, 0x1.df038a3f96c0ep-14, 0x1.dd422ed78dcb6p-14, 0x1.db7f67d719c63p-14, 0x1.d9bb42a5a99d9p-14, 0x1.d7f5cc7fc8773p-14, 0x1.d62f127763f3cp-14, 0x1.d46721743844fp-14, 0x1.d29e06342a4p-14, 0x1.d0d3cd4b6997cp-14, 0x1.cf088324d223fp-14, 0x1.cd3c34021c84bp-14, 0x1.cb6eebfc83dddp-14, 0x1.c9a0b704d2735p-14, 0x1.c7d1a0e39ee8fp-14, 0x1.c601b539de2cep-14, 0x1.c430ff80e544ep-14, 0x1.c25f8b0afd064p-14, 0x1.c08d630394863p-14, 0x1.beba926f66eeep-14, 0x1.bce7242d166b8p-14, 0x1.bb1322f580d37p-14, 0x1.b93e995bb8757p-14, 0x1.b76991cd6c938p-14, 0x1.b59416939d87dp-14, 0x1.b3be31d26a53bp-14, 0x1.b1e7ed897e835p-14, 0x1.b011539495aecp-14, 0x1.ae3a6dabc555dp-14, 0x1.ac634563927e5p-14, 0x1.aa8be42d465edp-14, 0x1.a8b453577013p-14, 0x1.a6dc9c0e3ce08p-14, 0x1.a504c75b766a3p-14, 0x1.a32cde2700c9ap-14, 0x1.a154e937352c3p-14, 0x1.9f7cf13112765p-14, 0x1.9da4fe988f97p-14, 0x1.9bcd19d1034b2p-14, 0x1.99f54b1d473e7p-14, 0x1.981d9aa03a77bp-14, 0x1.9646105ce6d18p-14, 0x1.946eb436b33c8p-14, 0x1.92978df1f6068p-14, 0x1.90c0a534257dep-14, 0x1.8eea0183fa884p-14, 0x1.8d13aa49d2457p-14, 0x1.8b3da6d03da2fp-14, 0x1.8967fe43cf475p-14, 0x1.8792b7b3bb8ap-14, 0x1.85bdda123595ap-14, 0x1.83e96c3465dbdp-14, 0x1.821574d2d206ep-14, 0x1.8041fa89d2c9fp-14, 0x1.7e6f03d9cbe74p-14, 0x1.7c9c97273929p-14, 0x1.7acababb1cfcap-14, 0x1.78f974c384dbp-14, 0x1.7728cb536822ap-14, 0x1.7558c46322c59p-14, 0x1.738965d0c90dap-14, 0x1.71bab5604f0fep-14, 0x1.6fecb8bbf1288p-14, 0x1.6e1f757444e9ep-14, 0x1.6c52f100a0b18p-14, 0x1.6a8730bf87be7p-14, 0x1.68bc39f6784aap-14, 0x1.66f211d2a1ab7p-14, 0x1.6528bd692611dp-14, 0x1.636041b6f2307p-14, 0x1.6198a3a145f68p-14, 0x1.5fd1e7f638f73p-14, 0x1.5e0c136c76dc5p-14, 0x1.5c472aa3d2c1bp-14, 0x1.5a8332259a12bp-14, 0x1.58c02e6465582p-14, 0x1.56fe23bccd151p-14, 0x1.553d1675a7edap-14, 0x1.537d0abfe81p-14, 0x1.51be04b70c284p-14, 0x1.5000086194d41p-14, 0x1.4e4319b10279cp-14, 0x1.4c873c8203f03p-14, 0x1.4acc749cf327ep-14, 0x1.4912c5b5e986p-14, 0x1.475a336cf8a36p-14, 0x1.45a2c14e6f795p-14, 0x1.43ec72d311dd7p-14, 0x1.42374b607b39fp-14, 0x1.40834e48f7a45p-14, 0x1.3ed07ecc279d5p-14, 0x1.3d1ee0170c234p-14, 0x1.3b6e754403737p-14, 0x1.39bf415b9891p-14, 0x1.3811475438829p-14, 0x1.36648a1261b2ap-14, 0x1.34b90c694ddp-14, 0x1.330ed11ad0d65p-14, 0x1.3165dad792857p-14, 0x1.2fbe2c3f77677p-14, 0x1.2e17c7e186559p-14, 0x1.2c72b03c69cffp-14, 0x1.2acee7bea0cf6p-14, 0x1.292c70c661969p-14, 0x1.278b4da20906p-14, 0x1.25eb8090856f8p-14, 0x1.244d0bc10bd3bp-14, 0x1.22aff153a5d5ep-14, 0x1.211433594502ep-14, 0x1.1f79d3d3fe9fap-14, 0x1.1de0d4b7317dbp-14, 0x1.1c4937e7b0db3p-14, 0x1.1ab2ff3c22c7fp-14, 0x1.191e2c7cd6b69p-14, 0x1.178ac16451ffep-14, 0x1.15f8bf9f629eap-14, 0x1.146828cd04b4cp-14, 0x1.12d8fe7f206a3p-14, 0x1.114b423a2bb5fp-14, 0x1.0fbef5758a627p-14, 0x1.0e34199c0a88p-14, 0x1.0caab00b7c9bdp-14, 0x1.0b22ba153fc48p-14, 0x1.099c38fe7392ep-14, 0x1.08172dffeb372p-14, 0x1.06939a469262bp-14, 0x1.05117ef353291p-14, 0x1.0390dd1b8358ep-14, 0x1.0211b5c90b651p-14, 0x1.009409fa3d23fp-14, 0x1.fe2fb54498a76p-15, 0x1.fb3a515319814p-15, 0x1.f847e9da6b1fp-15, 0x1.f558807fab971p-15, 0x1.f26c16d2e3e29p-15, 0x1.ef82ae4f423b5p-15, 0x1.ec9c485b2f018p-15, 0x1.e9b8e6491287ep-15, 0x1.e6d889573ac6cp-15, 0x1.e3fb32b0420aap-15, 0x1.e120e36bafa45p-15, 0x1.de499c8d5d58bp-15, 0x1.db755f06e2305p-15, 0x1.d8a42bb726bd3p-15, 0x1.d5d6036a73844p-15, 0x1.d30ae6dbadaeep-15, 0x1.d042d6b3947c9p-15, 0x1.cd7dd38979badp-15, 0x1.cabbdde3e0a7dp-15, 0x1.c7fcf637f2e0ap-15, 0x1.c5411cea6d72bp-15, 0x1.c288524f98928p-15, 0x1.bfd296aba715dp-15, 0x1.bd1fea32d0641p-15, 0x1.ba704d0999f64p-15, 0x1.b7c3bf456f057p-15, 0x1.b51a40ec461bep-15, 0x1.b273d1f539d83p-15, 0x1.afd07248ecba2p-15, 0x1.ad3021c15aa89p-15, 0x1.aa92e02a3ffbfp-15, 0x1.a7f8ad41a601dp-15, 0x1.a56188b7b0e83p-15, 0x1.a2cd722ee3798p-15, 0x1.a03c693cbfccdp-15, 0x1.9dae6d6965465p-15, 0x1.9b237e3068674p-15, 0x1.989b9b007468cp-15, 0x1.9616c33bd8d38p-15, 0x1.9394f638f36cep-15, 0x1.91163341af3abp-15, 0x1.8e9a799483994p-15, 0x1.8c21c864495bp-15, 0x1.89ac1ed835bddp-15, 0x1.87397c0cade79p-15, 0x1.84c9df12ce347p-15, 0x1.825d46f0fc213p-15, 0x1.7ff3b2a314692p-15, 0x1.7d8d211a849aep-15, 0x1.7b29913e6398p-15, 0x1.78c901ebee3e2p-15, 0x1.766b71f67d505p-15, 0x1.7410e02789c9cp-15, 0x1.71b94b3f50701p-15, 0x1.6f64b1f4a6971p-15, 0x1.6d1312f526cdep-15, 0x1.6ac46ce5a1a3fp-15, 0x1.6878be6211c59p-15, 0x1.663005fda6cabp-15, 0x1.63ea42436fa18p-15, 0x1.61a771b5dfb2cp-15, 0x1.5f6792cf749d5p-15, 0x1.5d2aa402ab0aep-15, 0x1.5af0a3ba2b5cfp-15, 0x1.58b9905914f9ap-15, 0x1.5685683ad64ddp-15, 0x1.545429b3c366dp-15, 0x1.5225d310e6074p-15, 0x1.4ffa629818505p-15, 0x1.4dd1d688b09d6p-15, 0x1.4bac2d1adcdd2p-15, 0x1.4989648076c73p-15, 0x1.47697ae4d72f1p-15, 0x1.454c6e6ce91cbp-15, 0x1.43323d379d738p-15, 0x1.411ae55dbd8ccp-15, 0x1.3f0664f21c93ap-15, 0x1.3cf4ba01dcb24p-15, 0x1.3ae5e29482e25p-15, 0x1.38d9dcabf57c8p-15, 0x1.36d0a644f1ac2p-15, 0x1.34ca3d56b835ap-15, 0x1.32c69fd39435ep-15, 0x1.30c5cba8ce29ap-15, 0x1.2ec7bebeab35p-15, 0x1.2ccc76f8c1165p-15, 0x1.2ad3f23610167p-15, 0x1.28de2e50f04cfp-15, 0x1.26eb291f7cfdcp-15, 0x1.24fae073633cep-15, 0x1.230d521a2f08bp-15, 0x1.21227bdd653abp-15, 0x1.1f3a5b8279cdp-15, 0x1.1d54eecb30697p-15, 0x1.1b7233754e3a3p-15, 0x1.1992273b4b89ap-15, 0x1.17b4c7d3ae62ap-15, 0x1.15da12f1f1dedp-15, 0x1.1402064605871p-15, 0x1.122c9f7c9b261p-15, 0x1.1059dc3f685aap-15, 0x1.0e89ba34d8695p-15, 0x1.0cbc3700a21d4p-15, 0x1.0af15043812acp-15, 0x1.0929039b7ef64p-15, 0x1.07634ea3ef563p-15, 0x1.05a02ef5aee7bp-15, 0x1.03dfa226f54c9p-15, 0x1.0221a5cbc761ap-15, 0x1.006637759bbb4p-15, 0x1.fd5aa967c382p-16, 0x1.f9edf6278c763p-16, 0x1.f6865040d9373p-16, 0x1.f323b2c62bcf1p-16, 0x1.efc618c5fdb22p-16, 0x1.ec6d7d4b42e4p-16, 0x1.e919db5d8d464p-16, 0x1.e5cb2e00da281p-16, 0x1.e28170364f106p-16, 0x1.df3c9cfbaf644p-16, 0x1.dbfcaf4c399e9p-16, 0x1.d8c1a22018a3p-16, 0x1.d58b706d3e144p-16, 0x1.d25a1526bb271p-16, 0x1.cf2d8b3dd8f07p-16, 0x1.cc05cda141aa2p-16, 0x1.c8e2d73dd3d3ap-16, 0x1.c5c4a2fe6381ap-16, 0x1.c2ab2bcbeef7fp-16, 0x1.bf966c8e1eecep-16, 0x1.bc86602aba062p-16, 0x1.b97b01867740ep-16, 0x1.b6744b8495769p-16, 0x1.b37239074772bp-16, 0x1.b074c4ef8c511p-16, 0x1.ad7bea1dc1c4ep-16, 0x1.aa87a3710a9cfp-16, 0x1.a797ebc84af7ap-16, 0x1.a4acbe0174d5fp-16, 0x1.a1c614fa59cc2p-16, 0x1.9ee3eb9024fa4p-16, 0x1.9c063c9ffe9eap-16, 0x1.992d0306befbbp-16, 0x1.965839a146f96p-16, 0x1.9387db4c79a91p-16, 0x1.90bbe2e56c8dp-16, 0x1.8df44b4973d7dp-16, 0x1.8b310f5627786p-16, 0x1.887229e9af7aep-16, 0x1.85b795e29250cp-16, 0x1.83014e2042c4cp-16, 0x1.804f4d8297122p-16, 0x1.7da18eea8d9c6p-16, 0x1.7af80d3983e49p-16, 0x1.7852c3523efd1p-16, 0x1.75b1ac185b6bfp-16, 0x1.7314c270bc231p-16, 0x1.707c01417934ep-16, 0x1.6de76371de636p-16, 0x1.6b56e3eabdfdfp-16, 0x1.68ca7d9635126p-16, 0x1.66422b6018f45p-16, 0x1.63bde8358d502p-16, }}, 
      {{-0x1.e8d5e9262d663p-1, -0x1.e8b011129f15dp-1, -0x1.e86c04b08c621p-1, -0x1.e805e3f87162dp-1, -0x1.e77b4235428e9p-1, -0x1.e6cb625ccb15fp-1, -0x1.e5f70c0806cb8p-1, -0x1.e500360f0bca2p-1, -0x1.e3e9a7b52b1dap-1, -0x1.e2b6a0f2fa84bp-1, -0x1.e16a91130dbe9p-1, -0x1.e008ddac005ep-1, -0x1.de94b94fb81bcp-1, -0x1.dd1108036fce7p-1, -0x1.db804f1f1c0d3p-1, -0x1.d9e4ae2e2553fp-1, -0x1.d83fde9f8ccaep-1, -0x1.d693385fe4b11p-1, -0x1.d4dfb9ca12e65p-1, -0x1.d32611aaeb5afp-1, -0x1.d166aa5aa72fcp-1, -0x1.cfa1b52c587e7p-1, -0x1.cdd735a68c691p-1, -0x1.cc070c21e47e7p-1, -0x1.ca30ff8bcae29p-1, -0x1.c854c6256eff1p-1, -0x1.c6720d2b49dc2p-1, -0x1.c4887f6078ce2p-1, -0x1.c297ca8437469p-1, -0x1.c09fa3bf81a51p-1, -0x1.be9fcb1e16eddp-1, -0x1.bc980e293817fp-1, -0x1.ba8849bc21101p-1, -0x1.b8706b2aafd61p-1, -0x1.b65070d2433c3p-1, -0x1.b4286a2bda2edp-1, -0x1.b1f8777509e17p-1, -0x1.afc0c903b0b35p-1, -0x1.ad819e566edc7p-1, -0x1.ab3b44f2035b1p-1, -0x1.a8ee1719c4f46p-1, -0x1.a69a7a6f984b6p-1, -0x1.a440de85fbc55p-1, -0x1.a1e1bb6d24f87p-1, -0x1.9f7d9042a3843p-1, -0x1.9d14e1c9a1c18p-1, -0x1.9aa839109e9cep-1, -0x1.983822286124ep-1, -0x1.95c52aeef9ef2p-1, -0x1.934fe1f0c511cp-1, -0x1.90d8d560b33e6p-1, -0x1.8e609228803e7p-1, -0x1.8be7a310fd4c7p-1, -0x1.896e90022c702p-1, -0x1.86f5dd5a93cfep-1, -0x1.847e0b5ceb87bp-1, -0x1.820795b318a2bp-1, -0x1.7f92f3053d65fp-1, -0x1.7d2094a391fdcp-1, -0x1.7ab0e641a6ce8p-1, -0x1.78444dc1a8365p-1, -0x1.75db2b0e417c2p-1, -0x1.7375d801bb573p-1, -0x1.7114a85900549p-1, -0x1.6eb7e9b13d3fdp-1, -0x1.6c5fe38ee62dfp-1, -0x1.6a0cd76cf4e06p-1, -0x1.67bf00d3507b1p-1, -0x1.657695735c2bep-1, -0x1.6333c549bed35p-1, -0x1.60f6bac48f419p-1, -0x1.5ebf9aed1cec1p-1, -0x1.5c8e8594a59fep-1, -0x1.5a63958356c7ep-1, -0x1.583ee0a90dfb6p-1, -0x1.5620784f5981dp-1, -0x1.5408694c49159p-1, -0x1.51f6bc35afe74p-1, -0x1.4feb75948255ap-1, -0x1.4de6961807aadp-1, -0x1.4be81ac8a0c1ap-1, -0x1.49effd39f1e1p-1, -0x1.47fe33bc42477p-1, -0x1.4612b18ceee12p-1, -0x1.442d6705d3218p-1, -0x1.424e41cb9121p-1, -0x1.40752cfaa5a6p-1, -0x1.3ea211533f4cap-1, -0x1.3cd4d563caf26p-1, -0x1.3b0d5db23252cp-1, -0x1.394b8ce3c8de1p-1, -0x1.378f43e3e7ac9p-1, -0x1.35d86209373c4p-1, -0x1.3426c539ace81p-1, -0x1.327a4a0d3ddcbp-1, -0x1.30d2cbef4f3b9p-1, -0x1.2f30253ee6491p-1, -0x1.2d922f6da3a41p-1, -0x1.2bf8c31d8ad8bp-1, -0x1.2a63b83da3b8fp-1, -0x1.28d2e625773bfp-1, -0x1.274623af73556p-1, -0x1.25bd47523a612p-1, -0x1.24382738e67fcp-1, -0x1.22b6995a49069p-1, -0x1.2138738f28a5dp-1, -0x1.1fbd8ba78bb05p-1, -0x1.1e45b77f0cc1ap-1, -0x1.1cd0cd1046f3dp-1, -0x1.1b5ea2875a872p-1, -0x1.19ef0e5392ffp-1, -0x1.1881e73831c8cp-1, -0x1.1717045c62eabp-1, -0x1.15ae3d5a6255fp-1, -0x1.14476a4dd40c6p-1, -0x1.12e263e156957p-1, -0x1.117f035b506afp-1, -0x1.101d22aa01d21p-1, -0x1.0ebc9c6ed925bp-1, -0x1.0d5d4c0913405p-1, -0x1.0bff0d9fa8e4dp-1, -0x1.0aa1be2a8d55bp-1, -0x1.09453b7b42ef4p-1, -0x1.07e96444c983bp-1, -0x1.068e1822e8e2dp-1, -0x1.053337a0dd0dbp-1, -0x1.03d8a43f68434p-1, -0x1.027e407a4a052p-1, -0x1.0123efcd27d5ap-1, -0x1.ff932d6fc0691p-2, -0x1.fcde3584ae801p-2, -0x1.fa28c4ff6d314p-2, -0x1.f772ab22554bep-2, -0x1.f4bbb9504111p-2, -0x1.f203c3100ba52p-2, -0x1.ef4a9e0f1dbb5p-2, -0x1.ec902223166f8p-2, -0x1.e9d4294a8d3a8p-2, -0x1.e7168facf9c17p-2, -0x1.e4573399d0046p-2, -0x1.e195f586c9e2p-2, -0x1.ded2b80d76212p-2, -0x1.dc0d5fe80748ap-2, -0x1.d945d3ed759f7p-2, -0x1.d67bfd0cf1b0ep-2, -0x1.d3afc648b8ed7p-2, -0x1.d0e11cb04bf74p-2, -0x1.ce0fef5a143c1p-2, -0x1.cb3c2f5c7b811p-2, -0x1.c865cfc68372cp-2, -0x1.c58cc597df6c5p-2, -0x1.c2b107b8977f3p-2, -0x1.bfd28ef03fbbp-2, -0x1.bcf155dccb2dcp-2, -0x1.ba0d58e8fd426p-2, -0x1.b72696428165cp-2, -0x1.b43d0dcfb7e82p-2, -0x1.b150c125302f8p-2, -0x1.ae61b37ae6387p-2, -0x1.ab6fe9a13d3d1p-2, -0x1.a87b69f5c596p-2, -0x1.a5843c57d2a9ep-2, -0x1.a28a6a1ce3912p-2, -0x1.9f8dfe04e5e63p-2, -0x1.9c8f042e5c70bp-2, -0x1.998d8a0a66963p-2, -0x1.96899e50b8669p-2, -0x1.938350f37d1b6p-2, -0x1.907ab313321d1p-2, -0x1.8d6fd6f27d321p-2, -0x1.8a62cfe9fac3p-2, -0x1.8753b25c163c5p-2, -0x1.844293a8e5847p-2, -0x1.812f8a220effcp-2, -0x1.7e1aacfec0bbdp-2, -0x1.7b04144fb68e5p-2, -0x1.77ebd8f35b08ap-2, -0x1.74d21489fe681p-2, -0x1.71b6e16a2a8dcp-2, -0x1.6e9a5a9515bf6p-2, -0x1.6b7c9bab3b3bp-2, -0x1.685dc0e113045p-2, -0x1.653de6f3f76fep-2, -0x1.621d2b1f2f2ebp-2, -0x1.5efbab11274a8p-2, -0x1.5bd984e0d7cb2p-2, -0x1.58b6d7035bd0fp-2, -0x1.5593c041b7dd5p-2, -0x1.52705faed7149p-2, -0x1.4f4cd49db8e11p-2, -0x1.4c293e97d833ap-2, -0x1.4905bd53c94cep-2, -0x1.45e270ac0f61bp-2, -0x1.42bf78962a8b1p-2, -0x1.3f9cf519e1f7p-2, -0x1.3c7b0648c6d54p-2, -0x1.3959cc35f699p-2, -0x1.363966ee12726p-2, -0x1.3319f66f7bd41p-2, -0x1.2ffb9aa2c5c01p-2, -0x1.2cde7353680cap-2, -0x1.29c2a028acb79p-2, -0x1.26a8409ede503p-2, -0x1.238f7400aead8p-2, -0x1.20785960ddda2p-2, -0x1.1d630f941bef1p-2, -0x1.1a4fb52b2962ep-2, -0x1.173e686d30f59p-2, -0x1.142f47526010bp-2, -0x1.11226f7eb7726p-2, -0x1.0e17fe3d1a4cfp-2, -0x1.0b10107a93ef1p-2, -0x1.080ac2c1d93c4p-2, -0x1.0508313702711p-2, -0x1.020877937cc22p-2, -0x1.fe17624466cb5p-3, -0x1.f823f177e2b12p-3, -0x1.f236d187e8ccbp-3, -0x1.ec50364972ba9p-3, -0x1.e6705299f76f2p-3, -0x1.e0975859c8a7cp-3, -0x1.dac57866e1d3dp-3, -0x1.d4fae2980b6ecp-3, -0x1.cf37c5b869aabp-3, -0x1.c97c4f8363f1ap-3, -0x1.c3c8aca0ea856p-3, -0x1.be1d08a210907p-3, -0x1.b8798dfe0c3fdp-3, -0x1.b2de660f7b792p-3, -0x1.ad4bb91206aeap-3, -0x1.a7c1ae2051fc7p-3, -0x1.a2406b3242b7p-3, -0x1.9cc8151b8610ep-3, -0x1.9758cf8a7179p-3, -0x1.91f2bd07208b1p-3, -0x1.8c95fef2ddc53p-3, -0x1.8742b587d27bdp-3, -0x1.81f8ffd8ef1a7p-3, -0x1.7cb8fbd2228dbp-3, -0x1.7782c638be89cp-3, -0x1.72567aac26957p-3, -0x1.6d3433a6abf0fp-3, -0x1.681c0a7eaa946p-3, -0x1.630e1767d9324p-3, -0x1.5e0a7174c5359p-3, -0x1.59112e9887ebfp-3, -0x1.542263a8ac113p-3, -0x1.4f3e245f376aep-3, -0x1.4a64835ce6878p-3, -0x1.4595922b93972p-3, -0x1.40d16140bc0d9p-3, -0x1.3c180000323f7p-3, -0x1.37697cbef30fcp-3, -0x1.32c5e4c619856p-3, -0x1.2e2d4455f20b6p-3, -0x1.299fa6a930dfep-3, -0x1.251d15f84205ep-3, -0x1.20a59b7caf345p-3, -0x1.1c393f74a8f4p-3, -0x1.17d809269eb2p-3, -0x1.1381fee4f1356p-3, -0x1.0f372611b5cb2p-3, -0x1.0af7832291323p-3, -0x1.06c319a49ed8p-3, -0x1.0299ec406ef37p-3, -0x1.fcf7f97c0e875p-4, -0x1.f4d29811ffe8dp-4, -0x1.ecc3b4693f42cp-4, -0x1.e4cb4d0017293p-4, -0x1.dce95eb4f0099p-4, -0x1.d51de4ced3d6bp-4, -0x1.cd68d905f6fbep-4, -0x1.c5ca338c46971p-4, -0x1.be41eb16084aap-4, -0x1.b6cff4e28821fp-4, -0x1.af7444c4b8632p-4, -0x1.a82ecd2be4bacp-4, -0x1.a0ff7f2c6567dp-4, -0x1.99e64a8847d8cp-4, -0x1.92e31db7ff342p-4, -0x1.8bf5e5f3112ecp-4, -0x1.851e8f38b33a2p-4, -0x1.7e5d04586d809p-4, -0x1.77b12efaa83e7p-4, -0x1.711af7a93ebc1p-4, -0x1.6a9a45d7f3d8bp-4, -0x1.642effecec09cp-4, -0x1.5dd90b490cf6p-4, -0x1.57984c505445dp-4, -0x1.516ca67218481p-4, -0x1.4b55fc313eeacp-4, -0x1.45542f2c5bb7ep-4, -0x1.3f672025bc686p-4, -0x1.398eaf0b605a4p-4, -0x1.33cabafede424p-4, -0x1.2e1b225d2d8acp-4, -0x1.287fc2c65d39ep-4, -0x1.22f879253425ep-4, -0x1.1d8521b6b2607p-4, -0x1.1825981181913p-4, -0x1.12d9b72d46872p-4, -0x1.0da15969da28dp-4, -0x1.087c589669f1p-4, -0x1.036a8df876fddp-4, -0x1.fcd7a4a5849acp-5, -0x1.f2fffbd8297aap-5, -0x1.e94dd12be1be2p-5, -0x1.dfc0d3664cbb4p-5, -0x1.d658b07c8a085p-5, -0x1.cd15159fefb02p-5, -0x1.c3f5af4a821efp-5, -0x1.bafa294b2cbabp-5, -0x1.b2222ed1c5b44p-5, -0x1.a96d6a7ad00d8p-5, -0x1.a0db865b098c5p-5, -0x1.986c2c0ab303fp-5, -0x1.901f04b0a3d6ap-5, -0x1.87f3b90d214e1p-5, -0x1.7fe9f18475e9ep-5, -0x1.780156294f549p-5, -0x1.70398ec6e13cbp-5, -0x1.689242eac6625p-5, -0x1.610b19eeb76bap-5, -0x1.59a3bb01e96ap-5, -0x1.525bcd3251fb3p-5, -0x1.4b32f77595eb3p-5, -0x1.4428e0b1cfba1p-5, -0x1.3d3d2fc61293bp-5, -0x1.366f8b92b60a5p-5, -0x1.2fbf9b016bfc2p-5, -0x1.292d050d177ddp-5, -0x1.22b770c970c0cp-5, -0x1.1c5e856a759bp-5, -0x1.1621ea4b90dfap-5, -0x1.100146f6a483bp-5, -0x1.09fc432accb04p-5, -0x1.041286e2ee0e1p-5, -0x1.fc8774b83193cp-6, -0x1.f11f0c3760fa1p-6, -0x1.e5eb25eac5a76p-6, -0x1.daeb1421d38d6p-6, -0x1.d01e29df3f7b2p-6, -0x1.c583bae3bf3c7p-6, -0x1.bb1b1bb8602b4p-6, -0x1.b0e3a1b8932a1p-6, -0x1.a6dca31bcb8bdp-6, -0x1.9d0576febb77ap-6, -0x1.935d756c47d1cp-6, -0x1.89e3f766107a9p-6, -0x1.809856ecaa718p-6, -0x1.7779ef07841e8p-6, -0x1.6e881bcc69337p-6, -0x1.65c23a66bf7b9p-6, -0x1.5d27a91e63428p-6, -0x1.54b7c75e4c24ap-6, -0x1.4c71f5bac580cp-6, -0x1.445595f769b15p-6, -0x1.3c620b0cc8d4cp-6, -0x1.3496b92dd8b1dp-6, -0x1.2cf305ccfd2bbp-6, -0x1.257657a0e0275p-6, -0x1.1e2016a900f6ap-6, -0x1.16efac31f0bap-6, -0x1.0fe482d95b641p-6, -0x1.08fe0691d0b3ap-6, -0x1.023ba4a63970fp-6, -0x1.f739977a52f78p-7, -0x1.ea41d7b7b7feep-7, -0x1.dd8eecd209758p-7, -0x1.d11fbc5ec81dap-7, -0x1.c4f32ec03bab7p-7, -0x1.b9082f29b6e45p-7, -0x1.ad5daba36b277p-7, -0x1.a1f2950df8684p-7, -0x1.96c5df254633dp-7, -0x1.8bd6808360eebp-7, -0x1.812372a297abcp-7, -0x1.76abb1df7ddd8p-7, -0x1.6c6e3d7a7dd84p-7, -0x1.626a1799005ecp-7, -0x1.589e45465d4b4p-7, -0x1.4f09ce745a399p-7, -0x1.45abbdfb7a0b4p-7, -0x1.3c83219ae48ebp-7, -0x1.338f09f8089fep-7, -0x1.2ace8a9dfb937p-7, -0x1.2240b9fc82385p-7, -0x1.19e4b166f48d7p-7, -0x1.11b98d12b14c9p-7, -0x1.09be6c158482cp-7, -0x1.01f270639c04ep-7, -0x1.f4a97d9adacbbp-8, -0x1.e5c8fdfa8a2d3p-8, -0x1.d741b6e969773p-8, -0x1.c91203135558cp-8, -0x1.bb3842c6f630ep-8, -0x1.adb2dbef498bbp-8, -0x1.a0803a0cc332ap-8, -0x1.939ece2e3d429p-8, -0x1.870d0ee94a118p-8, -0x1.7ac978529938p-8, -0x1.6ed28bf58a583p-8, -0x1.6326d0cbe703ep-8, -0x1.57c4d3352e951p-8, -0x1.4cab24ed6d7dep-8, -0x1.41d85d040a2edp-8, -0x1.374b17d2363a3p-8, -0x1.2d01f6f143518p-8, -0x1.22fba1309c383p-8, -0x1.1936c28b77a04p-8, -0x1.0fb20c1ea2632p-8, -0x1.066c341dc407ep-8, -0x1.fac7eb9162b71p-9, -0x1.e93022c0e073cp-9, -0x1.d80e983853c4cp-9, -0x1.c760e03be6294p-9, -0x1.b72498cea25dep-9, -0x1.a757699bb6556p-9, -0x1.97f703df073ep-9, -0x1.8901224db382ap-9, -0x1.7a7388fe99dd8p-9, -0x1.6c4c0552462bp-9, -0x1.5e886ddb0cf63p-9, -0x1.5126a244c3f1p-9, -0x1.44248b3c8abfcp-9, -0x1.37801a583772p-9, -0x1.2b3749fdfe16fp-9, -0x1.1f481d4b91c6ep-9, -0x1.13b09ffd89ca7p-9, -0x1.086ee6569a486p-9, -0x1.fb021a0d79413p-10, -0x1.e5ca722470806p-10, -0x1.d1332f71a7fc2p-10, -0x1.bd38bcb9ba7dep-10, -0x1.a9d794d459b16p-10, -0x1.970c427a9c9ap-10, -0x1.84d360150cb9fp-10, -0x1.7329978a176ebp-10, -0x1.620ba20bf16ffp-10, -0x1.517647e782e4dp-10, -0x1.416660526b89ep-10, -0x1.31d8d13a030a3p-10, -0x1.22ca8f11fbe5bp-10, -0x1.14389ca348c53p-10, -0x1.06200adb65e5bp-10, -0x1.f0fbf136ba52p-11, -0x1.d69f250f0fba6p-11, -0x1.bd2425aec8a95p-11, -0x1.a485824a9d912p-11, -0x1.8cbde47d7a589p-11, -0x1.75c80fea39978p-11, -0x1.5f9ee1dbdda41p-11, -0x1.4a3d50e8e362ep-11, -0x1.359e6c954317ep-11, -0x1.21bd5cf5a69d4p-11, -0x1.0e956253c5b02p-11, -0x1.f843a9a49abcfp-12, -0x1.d4bc482534f7cp-12, -0x1.b28badb512803p-12, -0x1.91a91574ee3a7p-12, -0x1.720be76aac6acp-12, -0x1.53abb7d0761cfp-12, -0x1.36804666124e4p-12, -0x1.1a817dc40834fp-12, -0x1.ff4ee56119cb2p-13, -0x1.cbd4c6e947b8ep-13, -0x1.9a856e686af78p-13, -0x1.6b51fa8f1d73fp-13, -0x1.3e2bd92a5471dp-13, -0x1.1304c5ddf5dc2p-13, -0x1.d39d91beb3894p-14, -0x1.84f86b6994ecdp-14, -0x1.39ff53f1fed99p-14, -0x1.e530308085197p-15, -0x1.5d5228fc20383p-15, -0x1.b864c6eb64742p-16, -0x1.867f1be692756p-17, 0x1.295b519d2e3b4p-19, 0x1.013a1b8811c66p-16, 0x1.d14871fb87503p-16, 0x1.4ad82a3892cfbp-15, 0x1.a764d6e41bb47p-15, 0x1.fe753ad572656p-15, 0x1.2819ae5821f29p-14, 0x1.4e64291c492aap-14, 0x1.722e224889c8ep-14, 0x1.938b3a3d1bd8dp-14, 0x1.b28e9f4081badp-14, 0x1.cf4b0f8784191p-14, 0x1.e9d2db42ea08dp-14, 0x1.011bf34e1f4aap-13, 0x1.0c45d5d9fb256p-13, 0x1.166f9e47ac3cdp-13, 0x1.1fa1a2862c71ep-13, 0x1.27e40660522dcp-13, 0x1.2f3ebc6e96407p-13, 0x1.35b98702f424ap-13, 0x1.3b5bf911b9bbep-13, 0x1.402d771770da6p-13, 0x1.443537fbbbe4dp-13, 0x1.477a45f0c1881p-13, 0x1.4a037f4ded2e7p-13, 0x1.4bd7976a99d7ep-13, 0x1.4cfd1771a2638p-13, 0x1.4d7a5f370b94fp-13, 0x1.4d55a6047d6a7p-13, 0x1.4c94fb660903bp-13, 0x1.4b3e47f56fb97p-13, 0x1.49574e1dc40b6p-13, 0x1.46e5aadfe0065p-13, 0x1.43eed691a3e5fp-13, 0x1.4078259c25985p-13, 0x1.3c86c934c636ep-13, 0x1.381fd0157b07fp-13, 0x1.3348272f5a54ap-13, 0x1.2e049a5e59961p-13, 0x1.2859d51616ea2p-13, 0x1.224c630d1f387p-13, 0x1.1be0b0e8ea49cp-13, 0x1.151b0cdff20bfp-13, 0x1.0dffa7602a55p-13, 0x1.069293ae87879p-13, 0x1.fdaf9109774bcp-14, 0x1.eda6415bad89ap-14, 0x1.dd10b73afe2cep-14, 0x1.cbf63c0dafc84p-14, 0x1.ba5de4e0c93b9p-14, 0x1.a84e938886539p-14, 0x1.95cef7be7821cp-14, 0x1.82e5903aadb28p-14, 0x1.6f98abc5bad21p-14, 0x1.5bee6a460102p-14, 0x1.47ecbdcb243dap-14, 0x1.33996b9271ccp-14, 0x1.1efa0d071030ep-14, 0x1.0a1410be3dc46p-14, 0x1.e9d976d869ef2p-15, 0x1.bf1251b79383bp-15, 0x1.93dc99aaefcf5p-15, 0x1.6841e82060805p-15, 0x1.3c4b8a2529ab4p-15, 0x1.1002822a878ebp-15, 0x1.c6df13848b17dp-16, 0x1.6d36269e7ea79p-16, 0x1.131a975e20f7dp-16, 0x1.71386f6e70d4bp-17, 0x1.77295434235adp-18, 0x1.59ddaa30e23aep-23, -0x1.62651f5d8f4a5p-18, -0x1.681dc465472d6p-17, -0x1.0f9fb9cdaaec8p-16, -0x1.6b3eea33277dcp-16, -0x1.c6e00184fe74bp-16, -0x1.113b7edbc2fe1p-15, -0x1.3efc24e565e97p-15, -0x1.6cac5d932f10ep-15, -0x1.9a46c7786d01dp-15, -0x1.c7c633bd3cf84p-15, -0x1.f525a4dd7b186p-15, -0x1.113026b4be1cep-14, -0x1.27b8c76791e6dp-14, -0x1.3e2a7c15494e1p-14, -0x1.5483228dbe208p-14, -0x1.6ac0ae4fc1717p-14, -0x1.80e127fc341cp-14, -0x1.96e2acc70c06ep-14, -0x1.acc36df0d7ec4p-14, -0x1.c281b03d6931p-14, -0x1.d81bcb734649ap-14, -0x1.ed9029d7c11e3p-14, -0x1.016ea3d9f1352p-13, -0x1.0c00d96b5333dp-13, -0x1.167e050e9d0dp-13, -0x1.20e57e7e60a8cp-13, -0x1.2b36a5874fe4fp-13, -0x1.3570e1cf46d3fp-13, -0x1.3f93a29e65cep-13, -0x1.499e5ea867db7p-13, -0x1.539093d7d7673p-13, -0x1.5d69c71a2a6d9p-13, -0x1.6729842d2dbc5p-13, -0x1.70cf5d6d0cec5p-13, -0x1.7a5aeba4c2733p-13, -0x1.83cbcddd3508fp-13, -0x1.8d21a93047a91p-13, -0x1.965c289a7cc99p-13, -0x1.9f7afccf2eb24p-13, -0x1.a87ddc0d2e82ep-13, -0x1.b16481f46053cp-13, -0x1.ba2eaf5c4352cp-13, -0x1.c2dc2a2bfc49dp-13, -0x1.cb6cbd325388bp-13, -0x1.d3e037ff984bbp-13, -0x1.dc366ebfa0f55p-13, -0x1.e46f3a1525286p-13, -0x1.ec8a76f5bcb68p-13, -0x1.f4880686d474bp-13, -0x1.fc67cdfb62039p-13, -0x1.0214db393a225p-12, -0x1.05e6d66b56fffp-12, -0x1.09a9d0df2b7a1p-12, -0x1.0d5dc4a60fa01p-12, -0x1.1102ad887967bp-12, -0x1.149888f71620ap-12, -0x1.181f55fc75d26p-12, -0x1.1b97152ec5eadp-12, -0x1.1effc8a231a73p-12, -0x1.225973db75623p-12, -0x1.25a41bc2db43dp-12, -0x1.28dfc6974fcf9p-12, -0x1.2c0c7be225308p-12, -0x1.2f2a446ace69cp-12, -0x1.32392a2b1d21cp-12, -0x1.35393843bfd43p-12, -0x1.382a7af0f84fcp-12, -0x1.3b0cff7fcf66bp-12, -0x1.3de0d44346d2ap-12, -0x1.40a6088a1881ep-12, -0x1.435cac94861b2p-12, -0x1.4604d18a9cb2ep-12, -0x1.489e89727fb56p-12, -0x1.4b29e7272c0f5p-12, -0x1.4da6fe4f5f5e4p-12, -0x1.5015e354b52c1p-12, -0x1.5276ab5b09f86p-12, -0x1.54c96c3830acdp-12, -0x1.570e3c6bbafb5p-12, -0x1.594533171580cp-12, -0x1.5b6e67f5e2816p-12, -0x1.5d89f35678ac8p-12, -0x1.5f97ee1267478p-12, -0x1.61987187bb8dap-12, -0x1.638b9791ca36p-12, -0x1.65717a82a910fp-12, -0x1.674a351cb7f5bp-12, -0x1.6915e28c2c62fp-12, -0x1.6ad49e611479p-12, -0x1.6c86848953a4cp-12, -0x1.6e2bb14ad6bp-12, -0x1.6fc4413dfec4p-12, -0x1.715051483f4ecp-12, -0x1.72cffe96a7324p-12, -0x1.74436698f99ccp-12, -0x1.75aaa6fc89a23p-12, -0x1.7705dda775c21p-12, -0x1.785528b3fee6fp-12, -0x1.7998a66bfd91ep-12, -0x1.7ad0754480e85p-12, -0x1.7bfcb3d9988abp-12, -0x1.7d1d80ea20382p-12, -0x1.7e32fb53d54e3p-12, -0x1.7f3d420f778adp-12, -0x1.803c742cfbd2p-12, -0x1.8130b0cffd19dp-12, -0x1.821a172c4dc34p-12, -0x1.82f8c6826d076p-12, -0x1.83ccde1c592a4p-12, -0x1.84967d4a7cb37p-12, -0x1.8555c36072ab6p-12, -0x1.860acfb23be27p-12, -0x1.86b5c191631b5p-12, -0x1.8756b84a17bffp-12, -0x1.87edd320c4e3ap-12, -0x1.887b314f4a247p-12, -0x1.88fef202a8be5p-12, -0x1.8979345888fc9p-12, -0x1.89ea175d0eee7p-12, -0x1.8a51ba089c31fp-12, -0x1.8ab03b3da58ecp-12, -0x1.8b05b9c6b8c25p-12, -0x1.8b5254548658dp-12, -0x1.8b96297c020b1p-12, -0x1.8bd157b47cce4p-12, -0x1.8c03fd5607d95p-12, -0x1.8c2e3897c6ffdp-12, -0x1.8c50278e45c13p-12, -0x1.8c69e829ff3bfp-12, -0x1.8c7b9835e4532p-12, -0x1.8c855555eca3cp-12, -0x1.8c873d05d5dc5p-12, -0x1.8c816c97c8f64p-12, -0x1.8c74013339874p-12, -0x1.8c5f17d3ae1b6p-12, -0x1.8c42cd4792774p-12, -0x1.8c1f3e2f58374p-12, -0x1.8bf486fc45ea6p-12, -0x1.8bc2c3efa8cefp-12, -0x1.8b8a1119d9f87p-12, -0x1.8b4a8a5965b02p-12, -0x1.8b044b5a4ec1dp-12, -0x1.8ab76f953d10bp-12, -0x1.8a64124ebb097p-12, -0x1.8a0a4e96ab5f4p-12, -0x1.89aa3f478c58ap-12, -0x1.8943ff05e0f06p-12, -0x1.88d7a83fa9ba1p-12, -0x1.8865552befca1p-12, -0x1.87ed1fca237adp-12, -0x1.876f21e1cd299p-12, -0x1.86eb75021904fp-12, -0x1.866232816e1ddp-12, -0x1.85d3737d24184p-12, -0x1.853f50d9345b4p-12, -0x1.84a5e33fd8c9bp-12, -0x1.8407432173707p-12, -0x1.836388b43233bp-12, -0x1.82bacbf3e8fa5p-12, -0x1.820d24a1e3bdep-12, -0x1.815aaa44cbf8dp-12, -0x1.80a3742879cfap-12, -0x1.7fe7995de7019p-12, -0x1.7f2730bb14569p-12, -0x1.7e6250db06049p-12, -0x1.7d99101daaeadp-12, -0x1.7ccb84a7ea147p-12, -0x1.7bf9c463abba1p-12, -0x1.7b23e4ffd5a8p-12, -0x1.7a49fbf04f4b7p-12, -0x1.796c1e6e2fa26p-12, -0x1.788a6177b2e01p-12, -0x1.77a4d9d06d50ap-12, -0x1.76bb9c0158691p-12, -0x1.75cebc590a9f1p-12, -0x1.74de4eebba9p-12, -0x1.73ea679390855p-12, -0x1.72f319f0bfac6p-12, -0x1.71f87969b2394p-12, -0x1.70fa992b4a40ep-12, -0x1.6ff98c291aeb2p-12, -0x1.6ef5651d957bfp-12, -0x1.6dee368a4b14p-12, -0x1.6ce412b83365cp-12, -0x1.6bd70bb7e3338p-12, -0x1.6ac73361e3ae5p-12, -0x1.69b49b56e880fp-12, -0x1.689f550022adbp-12, -0x1.6787718f85e93p-12, -0x1.666d020022ad2p-12, -0x1.655017166d604p-12, -0x1.6430c1608fda1p-12, -0x1.630f1136bf682p-12, -0x1.61eb16bb96dfep-12, -0x1.60c4e1dc6f57ap-12, -0x1.5f9c8251a7c1dp-12, -0x1.5e72079f10901p-12, -0x1.5d45811441b78p-12, -0x1.5c16fdccfdc58p-12, -0x1.5ae68cb17fc93p-12, -0x1.59b43c76ef111p-12, -0x1.58801b9fb122dp-12, -0x1.574a387bca8ebp-12, -0x1.5612a1294e2cbp-12, -0x1.54d96394bc238p-12, -0x1.539e8d795dc7cp-12, -0x1.52622c61ad316p-12, -0x1.51244da7bdb78p-12, -0x1.4fe4fe75a792fp-12, -0x1.4ea44bc5e4a4dp-12, -0x1.4d624263bba59p-12, -0x1.4c1eeeeba660dp-12, -0x1.4ada5dcbb94a2p-12, -0x1.49949b4414faep-12, -0x1.484db367419e9p-12, -0x1.4705b21aa4f11p-12, -0x1.45bca316db6aep-12, -0x1.447291e831d9cp-12, -0x1.432789ef08e85p-12, -0x1.41db9660404d9p-12, -0x1.408ec245972d8p-12, -0x1.3f41187e228aep-12, -0x1.3df2a3beb4dc6p-12, -0x1.3ca36e9243616p-12, -0x1.3b53835a4a1cdp-12, -0x1.3a02ec4f456e2p-12, -0x1.38b1b38111fe5p-12, -0x1.375fe2d75214dp-12, -0x1.360d8411e1c8dp-12, -0x1.34baa0c9343adp-12, -0x1.3367426ec2d1bp-12, -0x1.3213724d75b67p-12, -0x1.30bf398a0c501p-12, -0x1.2f6aa1237f713p-12, -0x1.2e15b1f36b2dfp-12, -0x1.2cc074ae7a7e4p-12, -0x1.2b6af1e4c79efp-12, -0x1.2a1532024419fp-12, -0x1.28bf3d4f21421p-12, -0x1.27691bf033474p-12, -0x1.2612d5e7568b7p-12, -0x1.24bc7313cf1c8p-12, -0x1.2365fb32b3e38p-12, -0x1.220f75df4fec4p-12, -0x1.20b8ea9385792p-12, -0x1.1f6260a82ac99p-12, -0x1.1e0bdf5570553p-12, -0x1.1cb56db3419fdp-12, -0x1.1b5f12b9aa1acp-12, -0x1.1a08d5412c836p-12, -0x1.18b2bc03291eep-12, -0x1.175ccd9a34a5p-12, -0x1.160710827d222p-12, -0x1.14b18b1a2816ep-12, -0x1.135c43a1ac8acp-12, -0x1.1207403c2a6adp-12, -0x1.10b286efd0c4fp-12, -0x1.0f5e1da62f4bap-12, -0x1.0e0a0a2c931c6p-12, -0x1.0cb6523467936p-12, -0x1.0b62fb538267ep-12, -0x1.0a100b04840ccp-12, -0x1.08bd86a72be8p-12, -0x1.076b7380af3e7p-12, -0x1.0619d6bc12d27p-12, -0x1.04c8b56a7f8f3p-12, -0x1.037814839158bp-12, -0x1.0227f8e5ac9d2p-12, -0x1.00d8675657f43p-12, -0x1.ff12c90512443p-13, -0x1.fc75e9fdefea3p-13, -0x1.f9da3a90dbf8bp-13, -0x1.f73fc388357f2p-13, -0x1.f4a68d7fb79b6p-13, -0x1.f20ea0e52669fp-13, -0x1.ef7805f8e90cp-13, -0x1.ece2c4ce9b92p-13, -0x1.ea4ee54db0364p-13, -0x1.e7bc6f32087c4p-13, -0x1.e52b6a0c81b3cp-13, -0x1.e29bdd43954cfp-13, -0x1.e00dd013e55b7p-13, -0x1.dd814990d04e5p-13, -0x1.daf650a5010d3p-13, -0x1.d86cec1305646p-13, -0x1.d5e52275d6ed2p-13, -0x1.d35efa41605c8p-13, -0x1.d0da79c313eedp-13, -0x1.ce57a7226b4e9p-13, -0x1.cbd6886177b2p-13, -0x1.c957235d6475cp-13, -0x1.c6d97dcf00ec6p-13, -0x1.c45d9d4b3bc43p-13, -0x1.c1e38743b324fp-13, -0x1.bf6b41072546dp-13, -0x1.bcf4cfc1fc0efp-13, -0x1.ba80387ec95c1p-13, -0x1.b80d8026c26cap-13, -0x1.b59cab823c2b4p-13, -0x1.b32dbf39277bap-13, -0x1.b0c0bfd38738dp-13, -0x1.ae55b1b9eb9b7p-13, -0x1.abec9935e751ap-13, -0x1.a9857a7280fc8p-13, -0x1.a720597caa158p-13, -0x1.a4bd3a43b1527p-13, -0x1.a25c2099b8a43p-13, -0x1.9ffd1034184adp-13, -0x1.9da00cabdb224p-13, -0x1.9b45197e271e2p-13, -0x1.98ec3a0ca5c59p-13, -0x1.9695719df5b0ap-13, -0x1.9440c35e0bcf9p-13, -0x1.91ee325ea402p-13, -0x1.8f9dc197a6de8p-13, -0x1.8d4f73e7875ffp-13, -0x1.8b034c13b5493p-13, -0x1.88b94cc8f905p-13, -0x1.8671789bcdb84p-13, -0x1.842bd208d00c3p-13, -0x1.81e85b751af4p-13, -0x1.7fa7172ea2a67p-13, -0x1.7d68076c9a657p-13, -0x1.7b2b2e4fc75c2p-13, -0x1.78f08de2dd64dp-13, -0x1.76b8281ade82fp-13, -0x1.7481fed7740f3p-13, -0x1.724e13e33fc7cp-13, -0x1.701c68f4397d3p-13, -0x1.6decffac058aap-13, -0x1.6bbfd99845e64p-13, -0x1.6994f832efb2ep-13, -0x1.676c5ce2a0d15p-13, -0x1.654608fae7ef5p-13, -0x1.6321fdbca14dap-13, -0x1.61003c563fb54p-13, -0x1.5ee0c5e4173a4p-13, -0x1.5cc39b70b6673p-13, -0x1.5aa8bdf531e68p-13, -0x1.58902e5960db9p-13, -0x1.5679ed743e29bp-13, -0x1.5465fc0c1ae5p-13, -0x1.52545ad6f0499p-13, -0x1.50450a7ab800ap-13, -0x1.4e380b8d98433p-13, -0x1.4c2d5e963ed33p-13, -0x1.4a25040c1b873p-13, -0x1.481efc57a2f2p-13, -0x1.461b47d29a0b8p-13, -0x1.4419e6c8553d8p-13, -0x1.421ad975f4bd2p-13, -0x1.401e200aad7fep-13, -0x1.3e23baa801142p-13, -0x1.3c2ba96203e26p-13, -0x1.3a35ec3f95ec7p-13, -0x1.3842833aa3a73p-13, -0x1.36516e406086cp-13, -0x1.3462ad3187d86p-13, -0x1.32763fe291009p-13, -0x1.308c261be585ep-13, -0x1.2ea45f9a28396p-13, -0x1.2cbeec0e5ea53p-13, -0x1.2adbcb1e3834fp-13, -0x1.28fafc643c256p-13, -0x1.271c7f6ffcdbcp-13, -0x1.254053c653585p-13, -0x1.236678e193746p-13, -0x1.218eee31bc85ap-13, -0x1.1fb9b31caf696p-13, -0x1.1de6c6fe5d5adp-13, -0x1.1c16292900b1ep-13, -0x1.1a47d8e54ad33p-13, -0x1.187bd5728e852p-13, -0x1.16b21e06fe169p-13, -0x1.14eab1cfcd98fp-13, -0x1.13258ff16550cp-13, -0x1.1162b7878ebf3p-13, -0x1.0fa227a5a0c45p-13, -0x1.0de3df56b1299p-13, -0x1.0c27dd9dc0c43p-13, -0x1.0a6e2175dcc9p-13, -0x1.08b6a9d2578afp-13, -0x1.0701759ee801cp-13, -0x1.054e83bfd5062p-13, -0x1.039dd312250e4p-13, -0x1.01ef626bbbe78p-13, -0x1.0043309b87bf9p-13, -0x1.fd3278d34c245p-14, -0x1.f9e3092f1dcacp-14, -0x1.f6980fc077096p-14, -0x1.f35189f08c0ecp-14, -0x1.f00f751c2ae65p-14, -0x1.ecd1ce93e6b48p-14, -0x1.e998939c7e657p-14, -0x1.e663c16f16522p-14, -0x1.e33355397cb4ep-14, -0x1.e0074c1e7e547p-14, -0x1.dcdfa3360e258p-14, -0x1.d9bc578d9bc2fp-14, -0x1.d69d662850ad6p-14, -0x1.d382cbff52f29p-14, -0x1.d06c8601fed2bp-14, -0x1.cd5a911625cd7p-14, -0x1.ca4cea184f7bdp-14, -0x1.c7438ddbf502dp-14, -0x1.c43e792bb8ebdp-14, -0x1.c13da8c9ad65dp-14, -0x1.be41196f8883bp-14, -0x1.bb48c7ceda46fp-14, -0x1.b854b09149dfbp-14, -0x1.b564d058c65p-14, -0x1.b27923bfbe443p-14, -0x1.af91a7595450dp-14, -0x1.acae57b1a7016p-14, -0x1.a9cf314de8434p-14, -0x1.a6f430aca1daap-14, -0x1.a41d5245e4384p-14, -0x1.a14a928b7eae9p-14, -0x1.9e7bede9214fp-14, -0x1.9bb160c4954d1p-14, -0x1.98eae77df3375p-14, -0x1.96287e6fc89dcp-14, -0x1.936a21ef4124ap-14, -0x1.90afce4c5d47ap-14, -0x1.8df97fd2199fep-14, -0x1.8b4732c6a6e9bp-14, -0x1.8898e36b8876dp-14, -0x1.85ee8dfdbedfep-14, -0x1.83482eb5f7ef7p-14, -0x1.80a5c1c8aeb2ep-14, -0x1.7e07436655d01p-14, -0x1.7b6cafbb85d0dp-14, -0x1.78d602f125abep-14, -0x1.7643392c8769p-14, -0x1.73b44e8f907b5p-14, -0x1.71293f38e444fp-14, -0x1.6ea2074403cb7p-14, -0x1.6c1ea2c975b5ep-14, -0x1.699f0ddee576fp-14, -0x1.67234497469bep-14, -0x1.64ab4302faa11p-14, -0x1.6237052feab4dp-14, -0x1.5fc68729ab623p-14, -0x1.5d59c4f9a99a9p-14, -0x1.5af0baa7304bp-14, -0x1.588b6437ab03dp-14, -0x1.5629bdaeab8dbp-14, -0x1.53cbc30e0ae19p-14, -0x1.517170560d5ddp-14, -0x1.4f1ac18579d56p-14, -0x1.4cc7b299b467p-14, -0x1.4a783f8ee48p-14, -0x1.482c6460134e2p-14, -0x1.45e41d073718bp-14, -0x1.439f657d58e72p-14, -0x1.415e39bab54a3p-14, -0x1.3f2095b6b8efdp-14, -0x1.3ce675683fbp-14, -0x1.3aafd4c59d327p-14, -0x1.387cafc4b062fp-14, -0x1.364d025b00447p-14, -0x1.3420c87dccdfcp-14, -0x1.31f7fe222d876p-14, -0x1.2fd29f3d3258fp-14, -0x1.2db0a7c3e5dcbp-14, -0x1.2b9213ab75bb8p-14, -0x1.2976dee936596p-14, -0x1.275f0572caa56p-14, -0x1.254a833e28f6ap-14, -0x1.23395441aa5c2p-14, -0x1.212b74743c839p-14, -0x1.1f20dfcd51262p-14, -0x1.1d199245166b3p-14, -0x1.1b1587d46a7a7p-14, -0x1.1914bc74f8203p-14, -0x1.17172c214fa9cp-14, -0x1.151cd2d4f7a61p-14, -0x1.1325ac8c6dcc8p-14, -0x1.1131b545500f6p-14, -0x1.0f40e8fe66b27p-14, -0x1.0d5343b79f11bp-14, -0x1.0b68c17237399p-14, -0x1.09815e30c124ep-14, -0x1.079d15f732693p-14, -0x1.05bbe4cafeb2p-14, -0x1.03ddc6b31568fp-14, -0x1.0202b7b7fe2ccp-14, -0x1.002ab3e3e3cddp-14, -0x1.fcab6e85308a6p-15, -0x1.f9077bc34f99ap-15, -0x1.f56987a0d22bep-15, -0x1.f1d18a402fe53p-15, -0x1.ee3f7bc778f2dp-15, -0x1.eab35460d4811p-15, -0x1.e72d0c3a36274p-15, -0x1.e3ac9b85b9c6dp-15, -0x1.e031fa79a83afp-15, -0x1.dcbd2150677dcp-15, -0x1.d94e0848e9a0ap-15, -0x1.d5e4a7a66e1b8p-15, -0x1.d280f7b0b213fp-15, -0x1.cf22f0b41bf5cp-15, -0x1.cbca8b01a7fep-15, -0x1.c877beef0f81p-15, -0x1.c52a84d7090b4p-15, -0x1.c1e2d518f5e08p-15, -0x1.bea0a8196d0dbp-15, -0x1.bb63f641f1e95p-15, -0x1.b82cb8012345fp-15, -0x1.b4fae5cad3f26p-15, -0x1.b1ce7818186a2p-15, -0x1.aea76767478e7p-15, -0x1.ab85ac3c263dfp-15, -0x1.a8693f1fecbcap-15, -0x1.a55218a13f7fp-15, -0x1.a24031546d7e8p-15, -0x1.9f3381d35028bp-15, -0x1.9c2c02bd6608ap-15, -0x1.9929acb800889p-15, -0x1.962c786e0c199p-15, -0x1.93345e908d94fp-15, -0x1.904157d616719p-15, -0x1.8d535cfb73815p-15, -0x1.8a6a66c33048p-15, -0x1.87866df5dbcc2p-15, -0x1.84a76b624a299p-15, -0x1.81cd57dd33a67p-15, -0x1.7ef82c419092bp-15, -0x1.7c27e170a0d96p-15, -0x1.795c7051969cep-15, -0x1.7695d1d23f30ap-15, -0x1.73d3fee66cdbcp-15, -0x1.7116f0886856bp-15, -0x1.6e5e9fb8d05dep-15, -0x1.6bab057eb6e11p-15, -0x1.68fc1ae780f25p-15, -0x1.6651d9073fc3cp-15, -0x1.63ac38f844352p-15, -0x1.610b33dba140bp-15, -0x1.5e6ec2d8cf62dp-15, -0x1.5bd6df1de35dap-15, -0x1.594381dfa0992p-15, -0x1.56b4a4594c75ep-15, -0x1.542a3fcd01e38p-15, -0x1.51a44d835524ap-15, -0x1.4f22c6cbb62aep-15, -0x1.4ca5a4fc2a553p-15, -0x1.4a2ce17186155p-15, -0x1.47b8758f781aep-15, -0x1.45485ac03ebf2p-15, -0x1.42dc8a752cf73p-15, -0x1.4074fe262e63bp-15, -0x1.3e11af520d35fp-15, -0x1.3bb2977e8f02cp-15, -0x1.3957b037fe95ep-15, -0x1.3700f311e2401p-15, -0x1.34ae59a67068bp-15, -0x1.325fdd96cb005p-15, -0x1.3015788b0711bp-15, -0x1.2dcf24321c2efp-15, -0x1.2b8cda41e4153p-15, -0x1.294e94774927p-15, -0x1.27144c95e3b4p-15, -0x1.24ddfc689994bp-15, -0x1.22ab9dc0df92cp-15, -0x1.207d2a77849ccp-15, -0x1.1e529c6bf8f24p-15, -0x1.1c2bed84dd2cdp-15, -0x1.1a0917af9a7c7p-15, -0x1.17ea14e0c1c55p-15, -0x1.15cedf13b809dp-15, -0x1.13b7704aecd16p-15, -0x1.11a3c28fe1017p-15, -0x1.0f93cff2d73d4p-15, -0x1.0d87928b5d87bp-15, -0x1.0b7f0477abda2p-15, -0x1.097a1fdd20cd9p-15, -0x1.0778dee811534p-15, -0x1.057b3bcba9b86p-15, -0x1.038130c24a3e7p-15, -0x1.018ab80d15414p-15, -0x1.ff2f97e870b4ep-16, -0x1.fb50cd8de0afcp-16, -0x1.f77905b66a92bp-16, -0x1.f3a8351c5c4f4p-16, -0x1.efde508790b0fp-16, -0x1.ec1b4ccdf3f3dp-16, -0x1.e85f1ed335392p-16, -0x1.e4a9bb88e7acep-16, -0x1.e0fb17ee92606p-16, -0x1.dd53291137f3dp-16, -0x1.d9b1e40c1b4e1p-16, -0x1.d6173e07c1f81p-16, -0x1.d2832c3b019bep-16, -0x1.cef5a3e9f1148p-16, -0x1.cb6e9a66df969p-16, -0x1.c7ee0511508f8p-16, -0x1.c473d95707b36p-16, -0x1.c1000cb2ddf2dp-16, -0x1.bd9294adc201ap-16, -0x1.ba2b66de08849p-16, -0x1.b6ca78e778518p-16, -0x1.b36fc07bf19b8p-16, -0x1.b01b335a2334ap-16, -0x1.acccc74f04db2p-16, -0x1.a98472347be85p-16, -0x1.a64229f21538ep-16, -0x1.a305e47d0474dp-16, -0x1.9fcf97d75c759p-16, -0x1.9c9f3a114a2a8p-16, -0x1.9974c1478f7c8p-16, -0x1.965023a4e01p-16, -0x1.93315760d02c2p-16, -0x1.901852c095d7cp-16, -0x1.8d050c1635b8ap-16, -0x1.89f779c142073p-16, -0x1.86ef922e0f5aep-16, -0x1.83ed4bd687caep-16, -0x1.80f09d415b67cp-16, -0x1.7df97d026e7acp-16, -0x1.7b07e1ba9a1cbp-16, -0x1.781bc217c626fp-16, -0x1.753514d4c4738p-16, -0x1.7253d0b949a84p-16, -0x1.6f77ec9a07e05p-16, -0x1.6ca15f582f217p-16, -0x1.69d01fe25a6d7p-16, -0x1.670425332c843p-16, -0x1.643d6652cf3bep-16, -0x1.617bda55552cbp-16, -0x1.5ebf785c27bdcp-16, -0x1.5c083794c2e34p-16, -0x1.59560f398bd96p-16, -0x1.56a8f6915af7ep-16, -0x1.5400e4ef60503p-16, -0x1.515dd1b37f30fp-16, -0x1.4ebfb449cc719p-16, -0x1.4c26842adfdf6p-16, -0x1.499238dbabe35p-16, -0x1.4702c9ed48e7bp-16, -0x1.44782efd150cep-16, -0x1.41f25fb4d0439p-16, -0x1.3f7153c9f9731p-16, -0x1.3cf502fedd691p-16, -0x1.3a7d65210d6a7p-16, -0x1.380a720af2007p-16, -0x1.359c21a2399c8p-16, -0x1.33326bd92074ep-16, -0x1.30cd48ad3fb6ep-16, -0x1.2e6cb02884afp-16, -0x1.2c109a6042ff2p-16, -0x1.29b8ff75fa0e4p-16, -0x1.2765d7968076bp-16, -0x1.25171afab5492p-16, -0x1.22ccc1e6dd32cp-16, -0x1.2086c4aaecb5bp-16, -0x1.1e451ba276ddcp-16, -0x1.1c07bf3460deap-16, -0x1.19cea7d33e4ffp-16, -0x1.1799cdfcd3cbdp-16, -0x1.15692a3a6e1fap-16, -0x1.133cb520a5c48p-16, -0x1.1114674f33a35p-16, -0x1.0ef039715d2adp-16, -0x1.0cd0243d2e275p-16, -0x1.0ab420745b051p-16, -0x1.089c26e3047b6p-16, -0x1.06883060fc873p-16, -0x1.047835d0aed5fp-16, -0x1.026c301f9357cp-16, -0x1.006418464c83p-16, -0x1.fcbfce8f8e763p-17, -0x1.f8bf2c65222cep-17, -0x1.f4c63c3e235eep-17, -0x1.f0d4f0629b728p-17, -0x1.eceb3b2e51ec7p-17, -0x1.e9090f13a88b3p-17, -0x1.e52e5e991b678p-17, -0x1.e15b1c5b20dbfp-17, -0x1.dd8f3b0a5c59ep-17, -0x1.d9caad6d1f32ap-17, -0x1.d60d665db10adp-17, -0x1.d25758cbfa6ecp-17, -0x1.cea877bb89898p-17, -0x1.cb00b645410c9p-17, -0x1.c7600795ed03dp-17, -0x1.c3c65eeec5fb3p-17, -0x1.c033afa5a1fdep-17, -0x1.bca7ed239381cp-17, -0x1.b9230ae7143fp-17, -0x1.b5a4fc80fdd96p-17, -0x1.b22db597c0c5dp-17, -0x1.aebd29e3b1745p-17, -0x1.ab534d329b718p-17, -0x1.a7f0136442726p-17, -0x1.a493706d59d09p-17, -0x1.a13d5854d68d8p-17, -0x1.9dedbf35a6dfcp-17, -0x1.9aa4993dcfefdp-17, -0x1.9761daae07864p-17, -0x1.942577daf289fp-17, -0x1.90ef652ac9285p-17, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
    }}, 
    {
      24, 0x1.93d70a3d70a3dp+2, 0x1.4de94c9a1b975p+1, 0x1.2a1ea5bdee619p+3, -0x1.03b38a930911ap-8, 
      {{
        {0x1.4a3d70a3d70a4p+2, 0x1.4cccccccccccdp+2, 0x1.858934daef565p-7, -0x1.52ba89f090d74p-5, 0x1.b9d15690c2082p-5, -0x1.f99e7ecba9419p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.521a2fb0b545ep-7, -0x1.3098c3a04064bp-5, 0x1.9b7b07471928p-5, -0x1.e35820119764dp-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.192d4a2a73ceep-7, -0x1.0942df2db00bcp-5, 0x1.773ad1ac2dcd6p-5, -0x1.cd03dc6aa4318p-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.cf85ff4582088p-8, -0x1.caef20f49e906p-6, 0x1.54a75457617dp-5, -0x1.b6c2333251c4p-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.7a548e90cd725p-8, -0x1.8a18144fae3d9p-6, 0x1.33bf2a1a01c1ap-5, -0x1.a07b8de2fd4cfp-6}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.31754b6708747p-8, -0x1.4fab17d5c81bp-6, 0x1.1482b2a8fb8eap-5, -0x1.8a363e810c8e3p-6}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.e750b39639413p-9, -0x1.1b52a3ee8d91ap-6, 0x1.ede3a8be9ba1bp-6, -0x1.73f093808fe7ap-6}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.7f7df1253cf1p-9, -0x1.d97265c46edp-7, 0x1.b6192c381fa58p-6, -0x1.5dab010cdd9e4p-6}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.293702cb9ae75p-9, -0x1.87127cf070edap-7, 0x1.81a5ec0fcb346p-6, -0x1.4765680493743p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.c4c5a2fe4ff5bp-10, -0x1.3eda813507f0ap-7, 0x1.5089e9424eafep-6, -0x1.311fd0c1d6815p-6}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.5214f7b61dd4dp-10, -0x1.001f6653a318bp-7, 0x1.22c5238ba1b56p-6, -0x1.1ada38fd7f876p-6}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.ed65587f4184fp-11, -0x1.946c40251b41cp-8, 0x1.f0af35fe69f6p-7, -0x1.0494a17a0472p-6}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.5e73a8cd0bbc2p-11, -0x1.38e7446e34478p-8, 0x1.a2829f269bd3cp-7, -0x1.dc9e12e975882p-7}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.e227bd04985d7p-12, -0x1.d8b38216875afp-9, 0x1.5b0482b6ca332p-7, -0x1.b012e66b77829p-7}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.3f1b9cc218d5cp-12, -0x1.5adb3b1d6fd2bp-9, 0x1.1a34e026ab794p-7, -0x1.8387acbeed6fep-7}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.92c88f02b658p-13, -0x1.eb330598088abp-10, 0x1.c02772e0dc826p-8, -0x1.56fca43fe6938p-7}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.ded3046f43e9ep-14, -0x1.4c84522333ef6p-10, 0x1.59420e674a89bp-8, -0x1.2a70e4395b2e8p-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.0746ea566c84p-14, -0x1.a8a3e756d0c9p-11, 0x1.ff7393df5e5e8p-9, -0x1.fbcfa246fb48ep-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.048c90ec4d781p-15, -0x1.f50e80555fc0ep-12, 0x1.671baffd462fbp-9, -0x1.a2a983a4867c8p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.bb8a61a381801p-17, -0x1.080273faa862bp-12, 0x1.d304ddcb087cp-10, -0x1.49cdecfba56ecp-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.2aed7a203ccp-18, -0x1.d31d30b82b074p-14, 0x1.0d22e9340b9cep-10, -0x1.dfb85dc74c96ap-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.0b205e9636p-20, -0x1.2f41e1a455a9bp-15, 0x1.f4e19aadd28ep-12, -0x1.33f10d1c11efcp-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.7a548e9000001p-24, -0x1.92ea19d9d79a1p-18, 0x1.06b3e2b1e078fp-13, -0x1.a79574ef555b5p-11}, 
        {0x1.9333333333333p+2, 0x1.93d70a3d70a3dp+2, 0x1.2aed787ffffffp-34, 0x1.f17f9651fa5dfp-22, 0x1.11ad2aaf42p-18, -0x1.e6a769e219381p-6}, 
      }}, 
      0x1.f729469e6b30ep+1, -0x1.264faf9b989a7p+7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_cl() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.458cc335e5765p-3, -0x1.481ee802f2dbp-3, -0x1.4bbf02fb7ddfap-3, -0x1.4f9817e91a177p-3, -0x1.52c18c0406c21p-3, -0x1.546660791835bp-3, -0x1.53e295d446ed2p-3, -0x1.50cd1ae6d2331p-3, -0x1.4af370d0ebc2fp-3, -0x1.424ed929cce58p-3, -0x1.36f9e01a9d3e1p-3, -0x1.29276f1d5965p-3, -0x1.191c36c01ebadp-3, -0x1.072953c4bfe1ap-3, -0x1.e74f5e8273869p-4, -0x1.bde8733d6c0fdp-4, -0x1.92d8f7dbf6585p-4, -0x1.66d751a83403ep-4, -0x1.3a9085eb2e674p-4, -0x1.0ea465255d62cp-4, -0x1.c74567da1ae93p-5, -0x1.7412480666f1cp-5, -0x1.248474fce884ap-5, -0x1.b29411e6f747fp-6, -0x1.25d6030222619p-6, -0x1.472d21634da81p-7, -0x1.62dab42c44c69p-9, 0x1.fc88a107cebb2p-9, 0x1.402e7d3d59d8bp-7, 0x1.ea95ac059c4c8p-7, 0x1.3f62de739466fp-6, 0x1.7eb27d1aaa568p-6, 0x1.b3a28a01f2ee9p-6, 0x1.deac0268e126ap-6, 0x1.0029b04fed075p-5, 0x1.0c926649df25ap-5, 0x1.14d885db06a26p-5, 0x1.194588887b9e6p-5, 0x1.1a231ce851dbbp-5, 0x1.17ba669be977ep-5, 0x1.12537deac4baep-5, 0x1.0a34f6fcabe3dp-5, 0x1.ff4749f56d24fp-6, 0x1.e5c49bdc8198fp-6, 0x1.c863018c93ba5p-6, 0x1.a79ebeefd3847p-6, 0x1.83ef3000ed392p-6, 0x1.5dc66310ec1c8p-6, 0x1.3590f67a955d7p-6, 0x1.0bb5fd021797ep-6, 0x1.c12db60db1e6ap-7, 0x1.691e63807375ap-7, 0x1.0fe9e2bdaba9cp-7, 0x1.6c60af151152p-8, 0x1.7219ad816b5e2p-9, 0x1.baa202f2bc052p-14, -0x1.52153982007bcp-9, -0x1.55ed1ca3288dap-8, -0x1.feed20116d8ebp-8, -0x1.51a7f407c40bcp-7, -0x1.a137910adbfe9p-7, -0x1.eddc13a9f4e7ep-7, -0x1.1baad02b4f1a7p-6, -0x1.3eb6b1ccd7567p-6, -0x1.5ffa8a6211689p-6, -0x1.7f633d1581148p-6, -0x1.9ce177ca8fd65p-6, -0x1.b86976d0ac783p-6, -0x1.d1f2caf561fddp-6, -0x1.e9781e2da4c53p-6, -0x1.fef6f807aa0ebp-6, -0x1.0937c1ba22052p-5, -0x1.11f2299294439p-5, -0x1.19ad14968a6c7p-5, -0x1.206bdf8899893p-5, -0x1.2632c6be1296fp-5, -0x1.2b06ce74a662ap-5, -0x1.2eeda8defdf7cp-5, -0x1.31ed9f9bb175ap-5, -0x1.340d7e2c26159p-5, -0x1.35547f3ea386p-5, -0x1.35ca344ccb197p-5, -0x1.357680af0b9f8p-5, -0x1.34617c0b5f5bdp-5, -0x1.329372db136fbp-5, -0x1.3014cc510e2d4p-5, -0x1.2cee052b49bcbp-5, -0x1.2927a8212212ap-5, -0x1.24ca3ec2518e2p-5, -0x1.1fde4a3c4f2dep-5, -0x1.1a6c45293a908p-5, -0x1.147c8e0474bcp-5, -0x1.0e176e41f9601p-5, -0x1.074510748d759p-5, -0x1.000d7f01938b4p-5, -0x1.f0f139a9dc597p-6, -0x1.e11c4f1194348p-6, -0x1.d0ab628bc8b5ep-6, -0x1.bfad4006fe3a1p-6, -0x1.ae3055dbeda14p-6, -0x1.9c42b2d37fe4fp-6, -0x1.89f203cfa757cp-6, -0x1.774b91be3e7e7p-6, -0x1.645c3d463c4ffp-6, -0x1.51307d387d927p-6, -0x1.3dd4601454005p-6, -0x1.2a53892a41eacp-6, -0x1.16b92cdf0e54bp-6, -0x1.0310121605ce2p-6, -0x1.dec52de274aa8p-7, -0x1.b7754a1f75529p-7, -0x1.9043754a87b56p-7, -0x1.6941ce0fe8cdep-7, -0x1.42818a8bc764ap-7, -0x1.1c131c659ed4bp-7, -0x1.ec0be976b8aecp-8, -0x1.a0d19fadbd281p-8, -0x1.5692db5754aa8p-8, -0x1.0d699852da0ddp-8, -0x1.8adbf3863fc07p-9, -0x1.fadafe88b2cadp-10, -0x1.cac6b76ad374fp-11, 0x1.530c50033a53bp-13, 0x1.342bf600a3e89p-10, 0x1.1bdd54ab57ac5p-9, 0x1.9a69268d9f6b7p-9, 0x1.0acf3c632dda2p-8, 0x1.46b290cb6fb58p-8, 0x1.80d3e0513e872p-8, 0x1.b9298cb4e07dap-8, 0x1.efab6966c22ep-8, 0x1.122933ff12c8bp-7, 0x1.2b8c49a9ec41dp-7, 0x1.43fc77900c09ep-7, 0x1.5b77cd97a713fp-7, 0x1.71fcd3347e8aap-7, 0x1.878a7a91690ebp-7, 0x1.9c203cb414f9ep-7, 0x1.afbde6a8cc938p-7, 0x1.c2639d8cb7802p-7, 0x1.d411ec9c20942p-7, 0x1.e4c9c16de5aefp-7, 0x1.f48c40bce2a83p-7, 0x1.01ad6ecf7e00cp-6, 0x1.089bac56ad1fep-6, 0x1.0f11dbffe25d6p-6, 0x1.15111609aefeap-6, 0x1.1a9a8efaefd23p-6, 0x1.1faf98416d952p-6, 0x1.2451a0650c501p-6, 0x1.28821af9a2119p-6, 0x1.2c4298857982dp-6, 0x1.2f94bf80a55c9p-6, 0x1.327a3eb3f66a6p-6, 0x1.34f4d6d60c04ap-6, 0x1.37065296eada3p-6, 0x1.38b0861d7ec95p-6, 0x1.39f55f33f9b61p-6, 0x1.3ad6c84e449bfp-6, 0x1.3b56b288ecb6p-6, 0x1.3b771c56bc7e4p-6, 0x1.3b3a0dc60d49cp-6, 0x1.3aa18f269ff7dp-6, 0x1.39afaf638f532p-6, 0x1.38667a77e544p-6, 0x1.36c80f0cc8ecfp-6, 0x1.34d687c9742cfp-6, 0x1.3293ffbf49ffdp-6, 0x1.300295b0897e8p-6, 0x1.2d246644a1a63p-6, 0x1.29fb9b90630b3p-6, 0x1.268a57172f9a6p-6, 0x1.22d2b9d702993p-6, 0x1.1ed6e48776ca6p-6, 0x1.1a98fdc2971a4p-6, 0x1.161b280fa35e1p-6, 0x1.115f889980625p-6, 0x1.0c683da3e3b3bp-6, 0x1.073760ad743e5p-6, 0x1.01cf16463b2adp-6, 0x1.f862eb8bf691bp-7, 0x1.ecc141230b088p-7, 0x1.e0bd533df63fbp-7, 0x1.d45b412a015bap-7, 0x1.c79f3221e3595p-7, 0x1.ba8d4bbbbbfe5p-7, 0x1.ad29a0bfabc43p-7, 0x1.9f7845eae0b23p-7, 0x1.917d3b4f03862p-7, 0x1.833c7f929a4p-7, 0x1.74ba0da446ba9p-7, 0x1.65f9d66cc7eb8p-7, 0x1.56ffc2bb73f05p-7, 0x1.47cfaa7839c2ep-7, 0x1.386d605595c8ep-7, 0x1.28dca7185d0abp-7, 0x1.1921428b6b01fp-7, 0x1.093ee856df399p-7, 0x1.f27279e6a9267p-8, 0x1.d227b0860c27fp-8, 0x1.b1a4965a9f1bap-8, 0x1.90f0293dad7bfp-8, 0x1.701165e60c649p-8, 0x1.4f0f1941b2114p-8, 0x1.2deff8380d301p-8, 0x1.0cba976f58028p-8, 0x1.d6eae9a53800bp-9, 0x1.944df96963623p-9, 0x1.51aae48ed19c1p-9, 0x1.0f0e1924ecee1p-9, 0x1.990738937bef7p-10, 0x1.142e7c76009a8p-10, 0x1.1f526c7eba868p-11, 0x1.71cad0c25aac9p-15, -0x1.e02fd40e633ddp-12, -0x1.f61fdb69a4adfp-11, -0x1.7d68419d26615p-10, -0x1.ff002e7ef59a9p-10, -0x1.3fe1b10e8ec28p-9, -0x1.7fcf0622f540bp-9, -0x1.bf3e7070e2915p-9, -0x1.fe26904213324p-9, -0x1.1e3f31683adfcp-8, -0x1.3d1e7893d8405p-8, -0x1.5bacc907d3789p-8, -0x1.79e609d0c2a1ap-8, -0x1.97c60b3ba4045p-8, -0x1.b54901da8f62bp-8, -0x1.d26b25225d8fdp-8, -0x1.ef28b3a283342p-8, -0x1.05bf1adcd5bb9p-7, -0x1.13b41c9ceda17p-7, -0x1.2171b24ab4337p-7, -0x1.2ef654cc3e6c1p-7, -0x1.3c407b875152fp-7, -0x1.494eb65d8b4afp-7, -0x1.561f9ce57de4fp-7, -0x1.62b1ddbeb3b9ep-7, -0x1.6f042bb2e15dfp-7, -0x1.7b1551dc8bae5p-7, -0x1.86e42c7c0b69cp-7, -0x1.926fa4ff8803fp-7, -0x1.9db6ba76322ecp-7, -0x1.a8b86dbd19cdap-7, -0x1.b373d3fd4eea1p-7, -0x1.bde80ce73516cp-7, -0x1.c8144ba37a0aep-7, -0x1.d1f7d2c484d06p-7, -0x1.db91f49924af1p-7, -0x1.e4e2103cb45d2p-7, -0x1.ede79120a3e1bp-7, -0x1.f6a1ec345fda2p-7, -0x1.ff10a420aefe8p-7, -0x1.0399a4f8fe7cbp-6, -0x1.0784bfe9b8e9ep-6, -0x1.0b497a184a972p-6, -0x1.0ee7b1e2f0907p-6, -0x1.125f49e3bd069p-6, -0x1.15b029478e927p-6, -0x1.18da3f4f28584p-6, -0x1.1bdd7f042a329p-6, -0x1.1eb9e4ac6e41cp-6, -0x1.216f703f9b6c8p-6, -0x1.23fe2914eb3f6p-6, -0x1.26661c180deffp-6, -0x1.28a75a12b5e1fp-6, -0x1.2ac1f811cd6cap-6, -0x1.2cb6105b22ebap-6, -0x1.2e83c266ffbf3p-6, -0x1.302b33fdf1f9fp-6, -0x1.31ac90e0c415cp-6, -0x1.330808a498907p-6, -0x1.343dcf967ce84p-6, -0x1.354e1f181e2c2p-6, -0x1.3639337204f2dp-6, -0x1.36ff4af1179f3p-6, -0x1.37a0ab01ff1f7p-6, -0x1.381d9d5c9aa7ep-6, -0x1.38767021a9311p-6, -0x1.38ab7552203d2p-6, -0x1.38bd0307829eep-6, -0x1.38ab72ba4bb8cp-6, -0x1.38772063432dp-6, -0x1.38206b0b3e4fcp-6, -0x1.37a7b52898571p-6, -0x1.370d64f325ac5p-6, -0x1.3651e4adc8eedp-6, -0x1.3575a186b65b5p-6, -0x1.34790c106bacdp-6, -0x1.335c97e2390bep-6, -0x1.3220ba3f36b0fp-6, -0x1.30c5eafe09005p-6, -0x1.2f4ca36cf28ep-6, -0x1.2db55fd49b453p-6, -0x1.2c009f40a3414p-6, -0x1.2a2ee392608b8p-6, -0x1.2840aff1d9b97p-6, -0x1.26368d3f1e753p-6, -0x1.241100d6192dbp-6, -0x1.21d093717b9fcp-6, -0x1.1f75cce7559fcp-6, -0x1.1d01427d285d8p-6, -0x1.1a737cd4b453p-6, -0x1.17cd0a8be28b3p-6, -0x1.150e7cad80fc4p-6, -0x1.123865258bafbp-6, -0x1.0f4b5778e3b57p-6, -0x1.0c47e8961e3cp-6, -0x1.092ead47589fcp-6, -0x1.06003addd6705p-6, -0x1.02bd28abdd214p-6, -0x1.fecc1bc9f4e29p-7, -0x1.f7f702c1d17a4p-7, -0x1.f0fc35b62e4ap-7, -0x1.e9dce5f181d7cp-7, -0x1.e29a46669dedbp-7, -0x1.db358759f15c2p-7, -0x1.d3afdc88098c7p-7, -0x1.cc0a78cb67773p-7, -0x1.c4468dfc23d52p-7, -0x1.bc654e1548a58p-7, -0x1.b467ea7ea7cfdp-7, -0x1.ac4f93c101972p-7, -0x1.a41d79f1a35edp-7, -0x1.9bd2cc90f5333p-7, -0x1.9370ba3f356a6p-7, -0x1.8af86f3214f9fp-7, -0x1.826b17e713f8bp-7, -0x1.79c9dd46d0821p-7, -0x1.7115e78bfb92ep-7, -0x1.68505dae70e15p-7, -0x1.5f7a64038d50cp-7, -0x1.56951eafd53dbp-7, -0x1.4da1af5acf4e6p-7, -0x1.44a1361fa9bfbp-7, -0x1.3b94d0442fc5dp-7, -0x1.327d987746552p-7, -0x1.295ca63a3950bp-7, -0x1.20330d2a01369p-7, -0x1.1701dcac66e36p-7, -0x1.0dca20c72cfcep-7, -0x1.048ce374954fp-7, -0x1.f69657a88e4f2p-8, -0x1.e40c00a6d2246p-8, -0x1.d17cccb798b46p-8, -0x1.beeac35d41e04p-8, -0x1.ac57e4dcb108ep-8, -0x1.99c628f769p-8, -0x1.87377cc9839e8p-8, -0x1.74adc456c3f36p-8, -0x1.622ad62573839p-8, -0x1.4fb074b1e3a89p-8, -0x1.3d405bf0f50b8p-8, -0x1.2adc431e9627p-8, -0x1.1885dba24f97dp-8, -0x1.063ed36cb25dfp-8, -0x1.e811bcb49a76bp-9, -0x1.c3cb5e7c0f8d2p-9, -0x1.9fadf1b37f236p-9, -0x1.7bbcd2d8f7554p-9, -0x1.57fb49dad7e77p-9, -0x1.346c7c99a5704p-9, -0x1.1113634f8be21p-9, -0x1.dbe585725ff6ep-10, -0x1.961a5b1b38451p-10, -0x1.50ca16adb9632p-10, -0x1.0bf95214daa3p-10, -0x1.8f592ecbf92d9p-11, -0x1.07d11c72188d4p-11, -0x1.02c881dfa4994p-12, 0x1.f1709c6d22c1fp-18, 0x1.0ff24a9fa57f8p-12, 0x1.0ad301af25993p-11, 0x1.8c64ad083727cp-11, 0x1.0651ac6fbeb84p-10, 0x1.45c28185d765ep-10, 0x1.8480e62edf7a6p-10, 0x1.c289c7665bd3p-10, 0x1.ffdb217a09e0ep-10, 0x1.1e39dcc8da7f5p-9, 0x1.3c295b8d5ff34p-9, 0x1.59bb8f4e02c76p-9, 0x1.76efa08a12b2ap-9, 0x1.93c42166c3033p-9, 0x1.b036ec4bc2d0dp-9, 0x1.cc4527fb989f7p-9, 0x1.e7eb741172e69p-9, 0x1.019326bca2252p-8, 0x1.0ef93fbf49b72p-8, 0x1.1c26cd05da2ccp-8, 0x1.291b2df16f49fp-8, 0x1.35d675369b3fp-8, 0x1.425963dce0bd4p-8, 0x1.4ea53fc88e4e3p-8, 0x1.5abb8913fe026p-8, 0x1.669d9ad3975dap-8, 0x1.724c476fb325bp-8, 0x1.7dc7879a3d653p-8, 0x1.890e4dac4f5fdp-8, 0x1.941e8ecc706d4p-8, 0x1.9ef57c43f5776p-8, 0x1.a98ff49b9de05p-8, 0x1.b3eb1acdede26p-8, 0x1.be04e43b45833p-8, 0x1.c7dc83b2a0dfbp-8, 0x1.d172d99b08f02p-8, 0x1.daca276bcdda4p-8, 0x1.e3e6103c50d58p-8, 0x1.eccabff6ec155p-8, 0x1.f57c3c3afcc69p-8, 0x1.fdfd94447fa0cp-8, 0x1.03281cb3194ecp-7, 0x1.0739cc3975bdap-7, 0x1.0b3289632ebefp-7, 0x1.0f10322a5967fp-7, 0x1.12d02ccf8a0fep-7, 0x1.166fe2f784cafp-7, 0x1.19ed428a0e59bp-7, 0x1.1d472dad58a2ep-7, 0x1.207dc2f9b7637p-7, 0x1.23926d9714f39p-7, 0x1.2687b85177db8p-7, 0x1.2960e81e33c2fp-7, 0x1.2c216fb4c8875p-7, 0x1.2ecc5614a2025p-7, 0x1.3163ad897934cp-7, 0x1.33e8363db509bp-7, 0x1.36593eefa6073p-7, 0x1.38b4ca014a914p-7, 0x1.3af7ef99ed696p-7, 0x1.3d1f6a47fc17ap-7, 0x1.3f28344213ce4p-7, 0x1.411019c464137p-7, 0x1.42d6266940a5p-7, 0x1.447ad8611874ep-7, 0x1.4600138518573p-7, 0x1.4768d18ba4aeep-7, 0x1.48b8a2662f74bp-7, 0x1.49f3140e498b5p-7, 0x1.4b1b1963dc40ep-7, 0x1.4c329eb59b173p-7, 0x1.4d3a43a80a7f3p-7, 0x1.4e316238a7d28p-7, 0x1.4f1641929c0b2p-7, 0x1.4fe680477e008p-7, 0x1.509f91e1da722p-7, 0x1.513f4024898acp-7, 0x1.51c41a1a7001ap-7, 0x1.522dbf0509c42p-7, 0x1.527cf846394ebp-7, 0x1.52b39beb6ef3fp-7, 0x1.52d43a7ea2f5fp-7, 0x1.52e1a66a9faadp-7, 0x1.52de6b8f8f0f4p-7, 0x1.52cc5b5547d4fp-7, 0x1.52ac48599b72ap-7, 0x1.527dfa822c6e6p-7, 0x1.5240638a4eebdp-7, 0x1.51f1fadd84f73p-7, 0x1.5191250e7186dp-7, 0x1.511c8da641472p-7, 0x1.509363285e27dp-7, 0x1.4ff57354fd989p-7, 0x1.4f432c251cf87p-7, 0x1.4e7d8cb4d7062p-7, 0x1.4da615638e824p-7, 0x1.4cbeb7486e21ep-7, 0x1.4bc9b4c983d47p-7, 0x1.4ac96a357309fp-7, 0x1.49bff812502fp-7, 0x1.48aee29bc42bap-7, 0x1.4796b466b0731p-7, 0x1.4676d62a507f6p-7, 0x1.454da6c9e0c2fp-7, 0x1.4418dba43ce2p-7, 0x1.42d613d6623ap-7, 0x1.41836eb599d95p-7, 0x1.401ff1a0ad953p-7, 0x1.3eab9a0049f7bp-7, 0x1.3d271cf6d04d9p-7, 0x1.3b937c5ce0cfdp-7, 0x1.39f1ab7324c82p-7, 0x1.3842712b55186p-7, 0x1.368695b93fa98p-7, 0x1.34bf32d12009fp-7, 0x1.32ee03e3a9832p-7, 0x1.31156f52d9eb6p-7, 0x1.2f384707a2633p-7, 0x1.2d594ec66158p-7, 0x1.2b7abc5af34c9p-7, 0x1.299de1583790cp-7, 0x1.27c30fc31474fp-7, 0x1.25e9a6486be8ap-7, 0x1.2410224c36373p-7, 0x1.223428157bdc9p-7, 0x1.20529272cd117p-7, 0x1.1e67ae5b26bcap-7, 0x1.1c6fba484568fp-7, 0x1.1a679a3cc2979p-7, 0x1.184d897f7e9a9p-7, 0x1.162185162d4bbp-7, 0x1.13e5404f707e9p-7, 0x1.119ba43fd80eap-7, 0x1.0f480cb5da41fp-7, 0x1.0ced9b7b79354p-7, 0x1.0a8ef12c5efffp-7, 0x1.082e7b78c90eap-7, 0x1.05cf24162787bp-7, 0x1.0374eb2c13b62p-7, 0x1.0124dc9ff589ap-7, 0x1.fdc85e6dfcc37p-8, 0x1.f96d7692bd18ap-8, 0x1.f53abd6c8c4d1p-8, 0x1.f129a9e784c26p-8, 0x1.ed2b12fe97691p-8, 0x1.e929395b13b44p-8, 0x1.e50c4d2c68abep-8, 0x1.e0c09fc1d1c9p-8, 0x1.dc3c89acbf2e1p-8, 0x1.d7833b9c007fep-8, 0x1.d2a2add35b61bp-8, 0x1.cdacdffab8101p-8, 0x1.c8b040b42addcp-8, 0x1.c3b3163bdde72p-8, 0x1.beb48ce5112dcp-8, 0x1.b9b202752f183p-8, 0x1.b4acf149ff20fp-8, 0x1.afae06f3c0acp-8, 0x1.aac3ef19719a5p-8, 0x1.a5feb187a7fedp-8, 0x1.a16a2fbb0d1a2p-8, 0x1.9d0a7210c7698p-8, 0x1.98dad27ec6922p-8, 0x1.94cf239c3eb5fp-8, 0x1.90d59b9507b3ep-8, 0x1.8cd96f81e5896p-8, 0x1.88c6bee5f179ap-8, 0x1.848f72e3ff244p-8, 0x1.802ef92f9f8b1p-8, 0x1.7baa6a8b0d249p-8, 0x1.770cb8f6fb603p-8, 0x1.72614f8876afcp-8, 0x1.6db05719a569dp-8, 0x1.68fe118169a2ap-8, 0x1.644cabc2b0c69p-8, 0x1.5f9ef20a9229ep-8, 0x1.5afa14eac4e5bp-8, 0x1.5665361df47bfp-8, 0x1.51e767eb1750dp-8, 0x1.4d8632ddfa416p-8, 0x1.494556596bb25p-8, 0x1.45266f15d7629p-8, 0x1.4127a70cf1756p-8, 0x1.3d4235ae7f439p-8, 0x1.396a885ddbc4p-8, 0x1.35931cbe714b5p-8, 0x1.31b177b41668ep-8, 0x1.2dc296b9dfc64p-8, 0x1.29cb8b01b39e5p-8, 0x1.25d5074ef6145p-8, 0x1.21e4c591720c4p-8, 0x1.1df9ca72321b4p-8, 0x1.1a0dcf7120df1p-8, 0x1.161a0a4ccd24p-8, 0x1.121c86ca96e6cp-8, 0x1.0e1b401efc7ddp-8, 0x1.0a21f6d61e2d1p-8, 0x1.063b6edf604d3p-8, 0x1.026ba519f93c5p-8, 0x1.fd5e97554e5adp-9, 0x1.f6002b9366584p-9, 0x1.eeb555c7df118p-9, 0x1.e78422fafaadbp-9, 0x1.e079f8a430d04p-9, 0x1.d99e340e14fefp-9, 0x1.d2e9446c98e13p-9, 0x1.cc473ad79931bp-9, 0x1.c5a17be9ec38bp-9, 0x1.bee8b136323cp-9, 0x1.b81b5a8ed7dc2p-9, 0x1.b1460c7e67592p-9, 0x1.aa7c432cbae36p-9, 0x1.a3cdce964b152p-9, 0x1.9d3fe846928ffp-9, 0x1.96d018b664457p-9, 0x1.907f462fbb862p-9, 0x1.8a53375a47b26p-9, 0x1.8449892b55d58p-9, 0x1.7e5022911d5f7p-9, 0x1.7851a598d4bcdp-9, 0x1.7247a5e1772fdp-9, 0x1.6c3dbddcaaa28p-9, 0x1.6643a44355624p-9, 0x1.605e9468d8495p-9, 0x1.5a8adfce02685p-9, 0x1.54cb5f8708e9ap-9, 0x1.4f305a7ad0929p-9, 0x1.49c9572a460d1p-9, 0x1.4492c2661b6f1p-9, 0x1.3f72ccb8fc236p-9, 0x1.3a47fc9b5f286p-9, 0x1.35017b14b49c9p-9, 0x1.2fac2a1fd66aep-9, 0x1.2a62aeb2a0b5fp-9, 0x1.25300bc499309p-9, 0x1.20096d2610e82p-9, 0x1.1ae7c47a6ac8ep-9, 0x1.15d95b0fcbdb8p-9, 0x1.10f14bfe8da39p-9, 0x1.0c3489c61b751p-9, 0x1.079d29d876a59p-9, 0x1.032433f87294cp-9, 0x1.fd84749b6bc01p-10, 0x1.f4d1f58b02636p-10, 0x1.ec072c1efe499p-10, 0x1.e30e5c647d3eap-10, 0x1.da05793635a0fp-10, 0x1.d12649d1f3f12p-10, 0x1.c88dba3368594p-10, 0x1.c030891ecbb86p-10, 0x1.b809e7b8b633cp-10, 0x1.b02edeaa2cd9cp-10, 0x1.a89a491355582p-10, 0x1.a10fbe7421447p-10, 0x1.99608cfffd459p-10, 0x1.91aa8b3ebfd67p-10, 0x1.8a1ed44437a1cp-10, 0x1.82b1cda6a56b4p-10, 0x1.7b40ab17edafcp-10, 0x1.73dd410780069p-10, 0x1.6cb04dbcafe99p-10, 0x1.65bb79b18f918p-10, 0x1.5ee4404478dbep-10, 0x1.58168e2dfc47ep-10, 0x1.514ec62cd15d2p-10, 0x1.4a94c19c37681p-10, 0x1.43f543696455bp-10, 0x1.3d7c3b6a767bcp-10, 0x1.37312fed5bc38p-10, 0x1.3115690e46916p-10, 0x1.2b1c14e56d1bap-10, 0x1.25252929e4e0cp-10, 0x1.1f1f780bb21cdp-10, 0x1.192fd4522259ap-10, 0x1.1383965cd86a7p-10, 0x1.0e10117c695bcp-10, 0x1.08b0d53ccff0ap-10, 0x1.03549b7108c0fp-10, 0x1.fbf46896411f3p-11, 0x1.f17bbe19fd588p-11, 0x1.e760e7948c8eep-11, 0x1.dd4f6d4129eb9p-11, 0x1.d3203008da359p-11, 0x1.c92a75bf18789p-11, 0x1.bf98e6a3f57ep-11, 0x1.b64339cdc698p-11, 0x1.ad04757f997a6p-11, 0x1.a3d5b1957aebep-11, 0x1.9abd13e45a797p-11, 0x1.91c187c7749e4p-11, 0x1.88e670b53a7fcp-11, 0x1.802c5f8a7ca7fp-11, 0x1.77930248298c9p-11, 0x1.6f1b055f38818p-11, 0x1.66c695839389ep-11, 0x1.5e97c64c4a717p-11, 0x1.568fe32af36dcp-11, 0x1.4eb7217a74d7cp-11, 0x1.472495369175p-11, 0x1.3fded3562db6cp-11, 0x1.38ba8f8650922p-11, 0x1.31b220df16bbcp-11, 0x1.2af0766ad9c83p-11, 0x1.242e61f9702c3p-11, 0x1.1d412da1d3dcep-11, 0x1.1693166ddcfefp-11, 0x1.10167b1b7a722p-11, 0x1.099d2ee70b48p-11, 0x1.035e1a6fee833p-11, 0x1.fab4b7744a44dp-12, 0x1.eed69e7324ab9p-12, 0x1.e30a0070ed7ddp-12, 0x1.d75bc7059dd86p-12, 0x1.cbdb1249a7318p-12, 0x1.c08fbb60bd2b6p-12, 0x1.b57bf81219ab6p-12, 0x1.aa9ef66215862p-12, 0x1.9ff72e62736e1p-12, 0x1.9583b21257456p-12, 0x1.8b44a1c26d42dp-12, 0x1.8139aa4700f1fp-12, 0x1.7761781cf379ap-12, 0x1.6db8ac3c4f9c9p-12, 0x1.643a51974c724p-12, 0x1.5ae345897255dp-12, 0x1.51b2897679db9p-12, 0x1.48a362237cb2ep-12, 0x1.3fb3ff3b17222p-12, 0x1.371bc4340e35cp-12, 0x1.2f42168cbe068p-12, 0x1.27d3df1edc257p-12, 0x1.202f14448646ap-12, 0x1.184d144015198p-12, 0x1.10299b51f0e0ep-12, 0x1.0888433caa635p-12, 0x1.01853bb408095p-12, 0x1.f546343520cd2p-13, 0x1.e77948fa2389fp-13, 0x1.d9c30501728p-13, 0x1.cc4435ad559e3p-13, 0x1.bf0cc9b811734p-13, 0x1.b221f087f58b8p-13, 0x1.a583c69beba6cp-13, 0x1.99302eb11f38p-13, 0x1.8d2427bbcb62fp-13, 0x1.815ca388cf61dp-13, 0x1.75d732b8b7845p-13, 0x1.6a928813ccc2cp-13, 0x1.5f8ea476a6a67p-13, 0x1.54cc379f11c75p-13, 0x1.4a4b16246f09p-13, 0x1.400886efe3dbap-13, 0x1.360067315891ep-13, 0x1.2c2ccb1d9628ep-13, 0x1.22894ef021bb4p-13, 0x1.191062aff6b26p-13, 0x1.0fbb4f93f254bp-13, 0x1.06a487d71d618p-13, 0x1.fc28a87ed306ep-14, 0x1.eba1ca80e6c9ap-14, 0x1.db1df09d917c5p-14, 0x1.cb013241d049ap-14, 0x1.bb88e2dc0beb6p-14, 0x1.ac2598f414985p-14, 0x1.9ceeab75e6f9ep-14, 0x1.8e73bd117f82cp-14, 0x1.8056ec8868461p-14, 0x1.726a5ccc33d88p-14, 0x1.64c12753d3768p-14, 0x1.576b02fedb559p-14, 0x1.4a6c573b3635cp-14, 0x1.3dc4ffa2d5ef6p-14, 0x1.3172861741e31p-14, 0x1.2572b52b88484p-14, 0x1.19c2ee5a2c002p-14, 0x1.0e60e02d732e2p-14, 0x1.034a8bf4dc83dp-14, 0x1.f0fcd0dd5707bp-15, 0x1.dbf6c51fa0b47p-15, 0x1.c78122b0acd39p-15, 0x1.b3994f18f9a42p-15, 0x1.a03ad6e6bd2b5p-15, 0x1.8d5fc8d547a82p-15, 0x1.7b02a42bd6818p-15, 0x1.6920f6675a235p-15, 0x1.57ba1f6a47313p-15, 0x1.46c4e071f7a32p-15, 0x1.3631b31e21ffep-15, 0x1.263c0e97d1b63p-15, 0x1.1725f47d78a6ep-15, 0x1.080dd27b41157p-15, 0x1.f23611d86c3c6p-16, 0x1.d5ec07d5f9372p-16, 0x1.ba87d56b98ec4p-16, 0x1.a04935394d993p-16, 0x1.867616074ed5fp-16, 0x1.6cd59fdbc31b8p-16, 0x1.54792a3ad495ap-16, 0x1.3d02dafeb6ff7p-16, 0x1.2610797a4cdd6p-16, 0x1.0fc169937eeb2p-16, 0x1.f4460017420a8p-17, 0x1.ca65c403c9ee8p-17, 0x1.a1e1095c23e2cp-17, 0x1.7aab89aa3f8f3p-17, 0x1.54b7ebd4657adp-17, 0x1.300544ec620efp-17, 0x1.0c83f0bf20da3p-17, 0x1.d4604148bde6dp-18, 0x1.9205c85bfc4d7p-18, 0x1.51eb0ef3c720bp-18, 0x1.1402fdcb8bd31p-18, 0x1.b07f7f8503412p-19, 0x1.3d24f7dbeecc8p-19, 0x1.9baf35a3382b4p-20, 0x1.89ea4a71c4ae7p-21, -0x1.41c9c2d259b1ep-25, -0x1.a2e080ad3a25cp-21, -0x1.9157cbbcf3d4ep-20, -0x1.2525b8b6dccf1p-19, -0x1.7e4b308be0608p-19, -0x1.d37961927e423p-19, -0x1.12d7be955b344p-18, -0x1.3a3530c79ef53p-18, -0x1.5fdd9044dbb07p-18, -0x1.841d44032fe3fp-18, -0x1.a6ea8a914c396p-18, -0x1.c84e45eb2a476p-18, -0x1.e84864d3bf351p-18, -0x1.036154372b523p-17, -0x1.11f0e57222afap-17, -0x1.1fd402e8a6b0cp-17, -0x1.2d1c2bce64278p-17, -0x1.39c066f8865c2p-17, -0x1.45c72bdc32b5cp-17, -0x1.5135e8fcd9fa4p-17, -0x1.5c10eda8f3f15p-17, -0x1.665c3ffc554fep-17, -0x1.701c0ef1f82cdp-17, -0x1.795484b93c651p-17, -0x1.81fab7496511cp-17, -0x1.8a3bba3633d77p-17, -0x1.91f304d114802p-17, -0x1.9930ebcf9bep-17, -0x1.9ff891a113511p-17, -0x1.a64eb1b95e19dp-17, -0x1.ac3b607ce4608p-17, -0x1.b1b8cd5cc3ffap-17, -0x1.b6ccadfc9c188p-17, -0x1.bb78c983faf8fp-17, -0x1.bfbfe7ee2cb6ep-17, -0x1.c3ae54b67e679p-17, -0x1.c743de93016c6p-17, -0x1.ca78545b42589p-17, -0x1.cd4293f78d669p-17, -0x1.cfc38ac70d2b8p-17, -0x1.d20de1016ef55p-17, -0x1.d4196577d5de9p-17, -0x1.d5b26ee06f6d2p-17, -0x1.d703335443e6ap-17, -0x1.d80cae5099f4ep-17, -0x1.d8d370cfa4bf5p-17, -0x1.d958b9a317878p-17, -0x1.d9a1e8b20711fp-17, -0x1.d9adddf15be01p-17, -0x1.d96bba8185a4cp-17, -0x1.d8e515127c088p-17, -0x1.d848f8ef76bf1p-17, -0x1.d7870edfb1076p-17, -0x1.d678f06d336dfp-17, -0x1.d53270f16cb31p-17, -0x1.d3bdafe73636p-17, -0x1.d21abf6c1507cp-17, -0x1.d04bcf51828acp-17, -0x1.ce5251c82f4b4p-17, -0x1.cc2fa7b0cae5fp-17, -0x1.c9e56c7afcfc7p-17, -0x1.c775366ca02b4p-17, -0x1.c4e0c2902fb4dp-17, -0x1.c22c1fc8561b1p-17, -0x1.bf3021a968929p-17, -0x1.bc59d8ce23134p-17, -0x1.b942de42c6104p-17, -0x1.b60d93ed2261p-17, -0x1.b2bb6c627abf6p-17, -0x1.af4e9854ec474p-17, -0x1.abc902645d2bbp-17, -0x1.a82fc566ee7b5p-17, -0x1.a486942a5bfafp-17, -0x1.a0b13a952a0fdp-17, -0x1.9cc22e1014efp-17, -0x1.98df788967c01p-17, -0x1.94e134e12dc1ap-17, -0x1.90cd57648656p-17, -0x1.8ca6aee17bf1fp-17, -0x1.8871218de9316p-17, -0x1.842db035410b7p-17, -0x1.7fdc9b589beep-17, -0x1.7b7fff5099fa3p-17, -0x1.7710563b85b5bp-17, -0x1.72a212954edf5p-17, -0x1.6e22a8d52a255p-17, -0x1.699b3cccb448ap-17, -0x1.650a0fd709bb1p-17, -0x1.607365ab99019p-17, -0x1.5bd4b98f86872p-17, -0x1.5723672e4d642p-17, -0x1.527c756460152p-17, -0x1.4dd922095629bp-17, -0x1.4923c476e85fcp-17, -0x1.44697d863cfddp-17, -0x1.3faf9209916b1p-17, -0x1.3af0ff2e1e059p-17, -0x1.363400c75dbd1p-17, -0x1.3175a9bbc0209p-17, -0x1.2cd0da2cc2badp-17, -0x1.27efedf3e40b4p-17, -0x1.23312a51b8f8ep-17, -0x1.1e6ea759a66d6p-17, -0x1.19af8ec506e2dp-17, -0x1.14efc6bf5909bp-17, -0x1.10341e27ee6dcp-17, -0x1.0b7bf3826c3a7p-17, -0x1.06c6859a8b489p-17, -0x1.0212cab019a89p-17, -0x1.fab43f623254fp-18, -0x1.f163139e343e7p-18, -0x1.e82e775335f05p-18, -0x1.ded63ea40e2e5p-18, -0x1.d599a8b48171ap-18, }}, 
      {{-0x1.4562d3e62951ap-3, -0x1.478ec959df6b2p-3, -0x1.4acd2a32e8307p-3, -0x1.4e9e37d9361c2p-3, -0x1.526ca4370f326p-3, -0x1.55a1a0dd38f4cp-3, -0x1.57b57be29f0cbp-3, -0x1.583aa49de8051p-3, -0x1.56e1958fa5e61p-3, -0x1.5377921b915a6p-3, -0x1.4de32131e840fp-3, -0x1.461fc67705e2p-3, -0x1.3c3a0e8005f73p-3, -0x1.304c1ace9da4p-3, -0x1.227a931b11fe8p-3, -0x1.12f21bd406c89p-3, -0x1.01e50c47b1369p-3, -0x1.df12e113a1de4p-4, -0x1.b82e9e29473dfp-4, -0x1.8f8e535b2efe4p-4, -0x1.65a16c863c561p-4, -0x1.3ad39c0afa07cp-4, -0x1.0f8b20c142812p-4, -0x1.c84edd96475f7p-5, -0x1.7200690c08043p-5, -0x1.1cc96a9658057p-5, -0x1.926dcda5abf48p-6, -0x1.df10e24f0cd2p-7, -0x1.46db1ce11c1bap-8, 0x1.1952427cf921cp-8, 0x1.b00ce8c2da893p-7, 0x1.62e900cdd84a8p-6, 0x1.e6a12fcd99432p-6, 0x1.3176104d09882p-5, 0x1.6bce51804a41ap-5, 0x1.a24c609a99ec6p-5, 0x1.d4eba50106eb9p-5, 0x1.01d76a61556a1p-4, 0x1.174f7d8b74d1ap-4, 0x1.2ae5472466f6dp-4, 0x1.3ca24c9aea958p-4, 0x1.4c92002e26778p-4, 0x1.5ac172520e785p-4, 0x1.673f0bab6b965p-4, 0x1.721a46ee6fa71p-4, 0x1.7b6375d87c80cp-4, 0x1.832b9480a0013p-4, 0x1.8984208374878p-4, 0x1.8e7eebc224c99p-4, 0x1.922dfbdad39f1p-4, 0x1.94a36701964adp-4, 0x1.95f13a7d0a5e5p-4, 0x1.962974662f19dp-4, 0x1.955dd412b65e7p-4, 0x1.939fda3edb551p-4, 0x1.9100b134f4aa3p-4, 0x1.8d9119a2f6869p-4, 0x1.89616ab820a03p-4, 0x1.848187a1c7952p-4, 0x1.7f00d10c90837p-4, 0x1.78ee1d57b4ac2p-4, 0x1.7257bb30b4951p-4, 0x1.6b4b619aeac76p-4, 0x1.63d63364c8f19p-4, 0x1.5c04bd9fd0873p-4, 0x1.53e2f453cf984p-4, 0x1.4b7c387528b91p-4, 0x1.42db4cf6325ebp-4, 0x1.3a0a625eaefbcp-4, 0x1.311317427fcebp-4, 0x1.27fe71d9d844fp-4, 0x1.1ed4ec1672b05p-4, 0x1.159e73d6c78f3p-4, 0x1.0c626ad6e2c68p-4, 0x1.0327b21ec154ap-4, 0x1.f3e95a04c899cp-5, 0x1.e19e7e5e5ba89p-5, 0x1.cf79abf7eebd3p-5, 0x1.bd84dfd8f1ca1p-5, 0x1.abc936b3a64e5p-5, 0x1.9a4efb494ddb1p-5, 0x1.891db55741db9p-5, 0x1.783c2e990ae32p-5, 0x1.67b07fcfd4211p-5, 0x1.5780105b41489p-5, 0x1.47afa8e32c3a1p-5, 0x1.38437e95caccap-5, 0x1.293f320a29bcp-5, 0x1.1aa5dd04a3117p-5, 0x1.0c7a2003853a6p-5, 0x1.fd7c3acb07345p-6, 0x1.e2e721cba0a4bp-6, 0x1.c937970b744fap-6, 0x1.b06f7ddd88226p-6, 0x1.988ffb2de2d01p-6, 0x1.81999b13ad95ep-6, 0x1.6b8c46b8944c9p-6, 0x1.5667572b75e66p-6, 0x1.42299e616ccc2p-6, 0x1.2ed17a61f7adcp-6, 0x1.1c5cd26cc4592p-6, 0x1.0ac927dac029ap-6, 0x1.f427403e4d183p-7, 0x1.d4720964cd92bp-7, 0x1.b66bb7c474e45p-7, 0x1.9a0cb40f993d6p-7, 0x1.7f4ced2a10652p-7, 0x1.6623e83b67ae2p-7, 0x1.4e88c526e63b6p-7, 0x1.387234425e263p-7, 0x1.23d6b43c9217dp-7, 0x1.10ac6ac5ab436p-7, 0x1.fdd29e2ae0abep-8, 0x1.dd06418b4bc94p-8, 0x1.bedf02978acbap-8, 0x1.a347c708e8548p-8, 0x1.8a2b4f82d72ffp-8, 0x1.73745e038f262p-8, 0x1.5f0d7d3c8b68cp-8, 0x1.4ce14cdd10b05p-8, 0x1.3cda5fd5c20fdp-8, 0x1.2ee364301874p-8, 0x1.22e741171d2e2p-8, 0x1.18d0d76048036p-8, 0x1.108b4aa86ad07p-8, 0x1.0a02148d25abp-8, 0x1.0520ce74b9b11p-8, 0x1.01d35ddbf5141p-8, 0x1.000604083a36ap-8, 0x1.ff4a8cbb80c66p-9, 0x1.009e10c9f3f84p-8, 0x1.02dd98f1830c9p-8, 0x1.0651942c46b26p-8, 0x1.0ae7f0a054cbcp-8, 0x1.108f2eb1b5416p-8, 0x1.173619b61e425p-8, 0x1.1ecbf01332de3p-8, 0x1.2740751c3ef87p-8, 0x1.3083bafa3f9f1p-8, 0x1.3a86506c80671p-8, 0x1.453933b5f0148p-8, 0x1.508de1b720bd9p-8, 0x1.5c7621e15db7fp-8, 0x1.68e460091c237p-8, 0x1.75cb446a9135bp-8, 0x1.831e08ac0901ep-8, 0x1.90d04909b3f0fp-8, 0x1.9ed6162806c9ep-8, 0x1.ad23dc1b59e74p-8, 0x1.bbae76c754369p-8, 0x1.ca6b3dada787cp-8, 0x1.d94fd77aa756ap-8, 0x1.e8525e3e9930dp-8, 0x1.f769445285e96p-8, 0x1.0345b1a93a1d8p-7, 0x1.0ad803ea05b88p-7, 0x1.12675907a3153p-7, 0x1.19efb2ed6c309p-7, 0x1.216d32f712539p-7, 0x1.28dc33671f901p-7, 0x1.30392da049f08p-7, 0x1.3780cafab915fp-7, 0x1.3eafdb0d0ca48p-7, 0x1.45c35a41d7638p-7, 0x1.4cb869934b712p-7, 0x1.538c463c6abccp-7, 0x1.5a3c6609ea4abp-7, 0x1.60c65015ce7cep-7, 0x1.6727bd234e0d3p-7, 0x1.6d5e79d8c4ff6p-7, 0x1.7368823bba55fp-7, 0x1.7943e9064c2b7p-7, 0x1.7eeee4e700f7p-7, 0x1.8467c4a46dbb8p-7, 0x1.89ad062a8dc8bp-7, 0x1.8ebd23d9afcd4p-7, 0x1.9396d9cc66a02p-7, 0x1.9838e4fabd318p-7, 0x1.9ca2252f12aaep-7, 0x1.a0d19422c1e5dp-7, 0x1.a4c6402d481p-7, 0x1.a87f5a78e2ef3p-7, 0x1.abfc1ec8a37ecp-7, 0x1.af3be6f994c4bp-7, 0x1.b23e1cadf300cp-7, 0x1.b50245e300e97p-7, 0x1.b787fd147d47bp-7, 0x1.b9cee193322a9p-7, 0x1.bbd6c19499b88p-7, 0x1.bd9f5fa95c2c1p-7, 0x1.bf28a695abadep-7, 0x1.c072869cbd7bep-7, 0x1.c17d045e54954p-7, 0x1.c248339198736p-7, 0x1.c2d43bd1926fep-7, 0x1.c3214b87f7a82p-7, 0x1.c32fa566431a2p-7, 0x1.c2ff9da157fb6p-7, 0x1.c291861e50a2ep-7, 0x1.c1e5d3ec28133p-7, 0x1.c0fcf71f1baa1p-7, 0x1.bfd76a6527032p-7, 0x1.be75c78c25b2fp-7, 0x1.bcd89d7eb746dp-7, 0x1.bb008fc597ff3p-7, 0x1.b8ee4a42b6ba1p-7, 0x1.b6a2812cef6b6p-7, 0x1.b41df77f30549p-7, 0x1.b1616ae4c563bp-7, 0x1.ae6db09c8e26fp-7, 0x1.ab439d97d1141p-7, 0x1.a7e40e6cceadep-7, 0x1.a44fe84cb06f1p-7, 0x1.a0881881531d6p-7, 0x1.9c8d8d1e0e604p-7, 0x1.98613d0a298a1p-7, 0x1.9404267290b0cp-7, 0x1.8f7748723e0ffp-7, 0x1.8abbabafe5813p-7, 0x1.85d25be73d4f9p-7, 0x1.80bc5f554a516p-7, 0x1.7b7ad07299046p-7, 0x1.760ec04bff6d7p-7, 0x1.70794b1d4e683p-7, 0x1.6abb85fead08dp-7, 0x1.64d694ce224fap-7, 0x1.5ecb942795318p-7, 0x1.589ba60d5e29fp-7, 0x1.5247ed6f36be7p-7, 0x1.4bd1908bb34c4p-7, 0x1.4539b4053dc69p-7, 0x1.3e817d70080dbp-7, 0x1.37aa18c5deb9bp-7, 0x1.30b4a90f5cf3bp-7, 0x1.29a257368aadp-7, 0x1.22744ab2b77cp-7, 0x1.1b2baf4b9a5d9p-7, 0x1.13c9a7efd2cd9p-7, 0x1.0c4f5c8e63b89p-7, 0x1.04bdf2aa2aab1p-7, 0x1.fa2d1f756efa7p-8, 0x1.eab4ab92baa83p-8, 0x1.db14cb75ee413p-8, 0x1.cb4fc825397adp-8, 0x1.bb67e0d99d5fdp-8, 0x1.ab5f430e35239p-8, 0x1.9b382e7c14dd7p-8, 0x1.8af4d336c203ep-8, 0x1.7a975d7e7fb64p-8, 0x1.6a21f60dd589fp-8, 0x1.5996c451f257p-8, 0x1.48f7e34b90c0dp-8, 0x1.38476b7b5ea3cp-8, 0x1.278770472c5cfp-8, 0x1.16b9fdbcd73ecp-8, 0x1.05e11e61d5911p-8, 0x1.e9fd9e0bc0dcfp-9, 0x1.c82a0ea1bd168p-9, 0x1.a64b85dc72f4bp-9, 0x1.8465d50392656p-9, 0x1.627cc21878809p-9, 0x1.40940d445eec5p-9, 0x1.1eaf66b8552ebp-9, 0x1.f9a4da5a069d1p-10, 0x1.b60165ec2f6b4p-10, 0x1.727b7a9adb3eep-10, 0x1.2f19e37c9756bp-10, 0x1.d7c6fc8e9d35fp-11, 0x1.51bdc6bfc767p-11, 0x1.984a440fc0a68p-12, 0x1.1c27fa89569a2p-13, -0x1.ec3a3cf2f7aacp-14, -0x1.8304a8cb01de8p-12, -0x1.44db10213e157p-11, -0x1.c785e2aca716cp-11, -0x1.24bb949cec995p-10, -0x1.6551dc2efdfbfp-10, -0x1.a5804dc27c9d1p-10, -0x1.e5419579f2b9ep-10, -0x1.12483587b480ap-9, -0x1.31b3e0b91b06p-9, -0x1.50e155a03e655p-9, -0x1.6fce23aa6e60dp-9, -0x1.8e77f9efdb551p-9, -0x1.acdc8d8ca707p-9, -0x1.caf9ae2628d9fp-9, -0x1.e8cd2f4b456ffp-9, -0x1.032a82a1110f8p-8, -0x1.11c7963f404ffp-8, -0x1.203cd4fdcf688p-8, -0x1.2e89524116c0ep-8, -0x1.3cac22c2ba8e1p-8, -0x1.4aa46b3db21d3p-8, -0x1.587151072998dp-8, -0x1.6612067b934e2p-8, -0x1.7385c416b94dfp-8, -0x1.80cbcd299c523p-8, -0x1.8de3624605493p-8, -0x1.9acbdcce28d66p-8, -0x1.a78498520bc04p-8, -0x1.b40cff49aa234p-8, -0x1.c0645e9ed8658p-8, -0x1.cc8a37b97c6eep-8, -0x1.d87e0487c03b2p-8, -0x1.e43f40a80f702p-8, -0x1.efcd7833e764ep-8, -0x1.fb283bbdc430ep-8, -0x1.03278da24d15ep-7, -0x1.08a0dd3926d76p-7, -0x1.0dffdf68e948cp-7, -0x1.13446a36e146p-7, -0x1.186e577143c81p-7, -0x1.1d7d82d3ecb9dp-7, -0x1.2271ce0560c67p-7, -0x1.274b1e212d3c7p-7, -0x1.2c095a7e2cf7fp-7, -0x1.30ac6de778f31p-7, -0x1.353445bbeda34p-7, -0x1.39a0d36f6a513p-7, -0x1.3df20bd8e1285p-7, -0x1.4227e68916c8bp-7, -0x1.46425e09f568cp-7, -0x1.4a416ffc9f2bdp-7, -0x1.4e251d16faba2p-7, -0x1.51ed684a51f61p-7, -0x1.559a56e59e50bp-7, -0x1.592bf52287921p-7, -0x1.5ca24aa23877dp-7, -0x1.5ffd68120a44cp-7, -0x1.633d5e9990662p-7, -0x1.6662414e1ed8ap-7, -0x1.696c27022c61p-7, -0x1.6c5b26d95a3fep-7, -0x1.6f2f5d4a684fcp-7, -0x1.71e8e700e5a9ap-7, -0x1.7487e3a0ef455p-7, -0x1.770c751d122abp-7, -0x1.7976bf51e75fp-7, -0x1.7bc6e7dda4a6cp-7, -0x1.7dfd164852103p-7, -0x1.801974e72f324p-7, -0x1.821c311bed64ep-7, -0x1.8405785515a09p-7, -0x1.85d57a7516c81p-7, -0x1.878c68d1cf9e9p-7, -0x1.892a7674bb114p-7, -0x1.8aafd902be2d5p-7, -0x1.8c1cc6ef68095p-7, -0x1.8d7179b1a4811p-7, -0x1.8eae29598d7ccp-7, -0x1.8fd30f3bb2c03p-7, -0x1.90e06a0f762p-7, -0x1.91d678484378ep-7, -0x1.92b5786ce90edp-7, -0x1.937daa3368b01p-7, -0x1.942f4f7aaaac7p-7, -0x1.94caab4e8b405p-7, -0x1.955001f12943dp-7, -0x1.95bf9832c73c8p-7, -0x1.9619b3615717bp-7, -0x1.965e999fd992dp-7, -0x1.968e928d2e359p-7, -0x1.96a9e6b1fbbd3p-7, -0x1.96b0df78250d2p-7, -0x1.96a3c74c603e7p-7, -0x1.9682e9eab7a74p-7, -0x1.964e934b5d1cap-7, -0x1.9607101db02edp-7, -0x1.95acad2a805a8p-7, -0x1.953fb724d0de8p-7, -0x1.94c07a8bb6e9ap-7, -0x1.942f443d07c5ap-7, -0x1.938c619fac38bp-7, -0x1.92d81ee6207d4p-7, -0x1.9212cd6da6ae7p-7, -0x1.913cb9e42f097p-7, -0x1.905637b6eb478p-7, -0x1.8f5f98447d5bcp-7, -0x1.8e592d80533bbp-7, -0x1.8d43497ff1fe7p-7, -0x1.8c1e3da8a11b4p-7, -0x1.8aea5a2249b16p-7, -0x1.89a7ed923cdd9p-7, -0x1.88574525fe677p-7, -0x1.86f8ada30785p-7, -0x1.858c741b1e60cp-7, -0x1.8412e33a307b4p-7, -0x1.828c4a949bd3p-7, -0x1.80f8fc55ecd91p-7, -0x1.7f594a50358f6p-7, -0x1.7dad87e67edb2p-7, -0x1.7bf608a52eb81p-7, -0x1.7a331f2a336ebp-7, -0x1.78651c94e80fbp-7, -0x1.768c4f80fa971p-7, -0x1.74a90407a9fd2p-7, -0x1.72bb8331c720ap-7, -0x1.70c4140146d5bp-7, -0x1.6ec2fc1ffb161p-7, -0x1.6cb881bff7a4ep-7, -0x1.6aa4eb0a5ba82p-7, -0x1.68887f70342f3p-7, -0x1.66638bd6209fap-7, -0x1.643662a384b1p-7, -0x1.62014120edb8cp-7, -0x1.5fc49c386d9bfp-7, -0x1.5d809267bdce1p-7, -0x1.5b3591230980bp-7, -0x1.58e3dae54559cp-7, -0x1.568bb3b874868p-7, -0x1.542d5c2c1b9eap-7, -0x1.51c912d805affp-7, -0x1.4f5f139956f3fp-7, -0x1.4cef97bcb48ffp-7, -0x1.4a7ad8f546faep-7, -0x1.48011167c2977p-7, -0x1.45827daacfc4dp-7, -0x1.42ff5d6759ebap-7, -0x1.4077f372f8616p-7, -0x1.3dec858ccd185p-7, -0x1.3b5d5b5b909f1p-7, -0x1.38cabd0a69594p-7, -0x1.3634f15707bfp-7, -0x1.339c3b93c959ep-7, -0x1.3100d9d5465b3p-7, -0x1.2e6303ab8189cp-7, -0x1.2bc2e9e2c3d9bp-7, -0x1.2920b78befdadp-7, -0x1.267c943ff3506p-7, -0x1.23d6a6d7d629bp-7, -0x1.212f17c571a89p-7, -0x1.1e861290a6fdfp-7, -0x1.1bdbc5ac9e22p-7, -0x1.1930670ed1271p-7, -0x1.16842d974bda6p-7, -0x1.13d756e0af64dp-7, -0x1.112a20fa92218p-7, -0x1.0e7cca1ae5f5p-7, -0x1.0bcf8e86f780ap-7, -0x1.0922a193919a8p-7, -0x1.0676329426737p-7, -0x1.03ca65a6ee7a3p-7, -0x1.011f5b3834202p-7, -0x1.fcea5807ec912p-8, -0x1.f797df150775p-8, -0x1.f2477c5e8598ep-8, -0x1.ecf9678500845p-8, -0x1.e7ade23a59d8bp-8, -0x1.e26538e750e2dp-8, -0x1.dd1fc0ff1a622p-8, -0x1.d7ddd5d1a09f8p-8, -0x1.d29fd4a5525e6p-8, -0x1.cd66107e37637p-8, -0x1.c830d690685f2p-8, -0x1.c3006b2c7ee81p-8, -0x1.bdd508f92257ep-8, -0x1.b8aee17be9756p-8, -0x1.b38e225ab4fc2p-8, -0x1.ae72fa1af63e2p-8, -0x1.a95d9a64bf587p-8, -0x1.a44e30718827ep-8, -0x1.9f44de61469fp-8, -0x1.9a41ca6fc5389p-8, -0x1.954528e31008p-8, -0x1.904f31bbe8f9cp-8, -0x1.8b60221766aeap-8, -0x1.867841975fd19p-8, -0x1.8197d6120157bp-8, -0x1.7cbf12ef043ebp-8, -0x1.77ee267c7b547p-8, -0x1.73250411bf5aap-8, -0x1.6e63b9b58d318p-8, -0x1.69aa47a3efa21p-8, -0x1.64f8b27d241cap-8, -0x1.604f126b101b8p-8, -0x1.5bad883081c7fp-8, -0x1.571436c5d2331p-8, -0x1.52833d0c64d4dp-8, -0x1.4dfab542ea9c1p-8, -0x1.497aba9847c5dp-8, -0x1.450370bdbc78cp-8, -0x1.40950a45ddc5ep-8, -0x1.3c2fac6790a5fp-8, -0x1.37d3df6e6b81bp-8, -0x1.338174bd2b6f6p-8, -0x1.2f38c6d580b55p-8, -0x1.2af9d56caaf7ep-8, -0x1.26c49ca0d60dp-8, -0x1.22990d0f7a0a8p-8, -0x1.1e7712800c55ap-8, -0x1.1a5e9945f5de5p-8, -0x1.164f90c5e231ap-8, -0x1.1249e9e737c62p-8, -0x1.0e4d93808d669p-8, -0x1.0a5a7928aa2a1p-8, -0x1.0670875f3ae74p-8, -0x1.028fb4300dfp-8, -0x1.fd700fdcb310bp-9, -0x1.f5d342130439cp-9, -0x1.ee4960a35a584p-9, -0x1.e6d2ded72eb38p-9, -0x1.df702cfb2e356p-9, -0x1.d821aacf9a21ep-9, -0x1.d0e79c59625c4p-9, -0x1.c9c23784aa1dap-9, -0x1.c2b1950f7f11p-9, -0x1.bbb5bb6004066p-9, -0x1.b4ce8f26a167ep-9, -0x1.adfbdb117d1e1p-9, -0x1.a73d460076d2dp-9, -0x1.a092683f1e4fap-9, -0x1.99fac478ce13bp-9, -0x1.9375f147f087cp-9, -0x1.8d03714d3dbdcp-9, -0x1.86a2f79376697p-9, -0x1.80544eca6a9a9p-9, -0x1.7a173a55565a2p-9, -0x1.73eb7bf099cb3p-9, -0x1.6dd112a8c9bf2p-9, -0x1.67c88210d79p-9, -0x1.61d22555fdd5cp-9, -0x1.5beedfa43c094p-9, -0x1.561f287979229p-9, -0x1.506358be5d0e6p-9, -0x1.4abb738a6f622p-9, -0x1.4527467420e1bp-9, -0x1.3fa68fe2f0edp-9, -0x1.3a39097f35d03p-9, -0x1.34de62e3f6fdbp-9, -0x1.2f963d0be1e14p-9, -0x1.2a603228c6e35p-9, -0x1.253be4fe63753p-9, -0x1.20290787e1283p-9, -0x1.1b274d728d62bp-9, -0x1.1636527ba2454p-9, -0x1.11558ea88e2b1p-9, -0x1.0c846e6d69401p-9, -0x1.07c2885352e35p-9, -0x1.030fcd7199b0dp-9, -0x1.fcd92462d050fp-10, -0x1.f3b2cf22d2a9ap-10, -0x1.eaadb992fca3ap-10, -0x1.e1ca9af0dc669p-10, -0x1.d909aa8133df1p-10, -0x1.d06aae8e7588cp-10, -0x1.c7ed2b989ac5ap-10, -0x1.bf90951da293fp-10, -0x1.b7546e7eaf24ap-10, -0x1.af384cea915a9p-10, -0x1.a73bc3dfad5ddp-10, -0x1.9f5e0062dc6eap-10, -0x1.979fb5287d3c2p-10, -0x1.8fff1373f872p-10, -0x1.887be54d1e703p-10, -0x1.811539d6d7cbep-10, -0x1.79ca2bed68f9ep-10, -0x1.729a2f2ec6e29p-10, -0x1.6b8542ec7a334p-10, -0x1.648bb7526f6d3p-10, -0x1.5dadacb2cbf46p-10, -0x1.56eac9b724c6ap-10, -0x1.504273e3add01p-10, -0x1.49b4506180c2dp-10, -0x1.4340781093fa3p-10, -0x1.3ce72f9e5ac47p-10, -0x1.36a87abed3badp-10, -0x1.3083fae7caba6p-10, -0x1.2a792dd051ff8p-10, -0x1.2487b61722489p-10, -0x1.1eafae8600499p-10, -0x1.18f0ef060ef2ap-10, -0x1.134b94f80ebfcp-10, -0x1.0dbecbc9f2ef6p-10, -0x1.0849d5760c5dp-10, -0x1.02ebd043c1de4p-10, -0x1.fb477eed0384ep-11, -0x1.f0e260521547fp-11, -0x1.e6a8a873b9a2bp-11, -0x1.dc9b57dcdc2a3p-11, -0x1.d2bb041592d4p-11, -0x1.c90747213a81p-11, -0x1.bf7e911d73aa4p-11, -0x1.b62082eaa0a71p-11, -0x1.acec12b32e202p-11, -0x1.a3e14f4249729p-11, -0x1.9afef092325e8p-11, -0x1.92444d7700e9ap-11, -0x1.89b0b1e8962d2p-11, -0x1.81437807361cep-11, -0x1.78fc193b1c203p-11, -0x1.70da49b2b6995p-11, -0x1.68de01e8e578ep-11, -0x1.610753726055fp-11, -0x1.5955e27adf508p-11, -0x1.51c8fdc0cda4ep-11, -0x1.4a5f9712a6a51p-11, -0x1.4318ea5851aafp-11, -0x1.3bf410e7f7d8ep-11, -0x1.34f075ac32a3ep-11, -0x1.2e0d8d7fcac1dp-11, -0x1.274ad04f19c59p-11, -0x1.20a7a55cc133fp-11, -0x1.1a23b608f83fdp-11, -0x1.13bf3467b758ap-11, -0x1.0d7a6ec4f2d6ep-11, -0x1.075519ab6aa71p-11, -0x1.014e4f60d248cp-11, -0x1.f6ca4048086ecp-12, -0x1.eb31d3067c729p-12, -0x1.dfd2bcb5f1e09p-12, -0x1.d4acab3dd7a9ep-12, -0x1.c9c0a6c6aecdcp-12, -0x1.bf0b0d276e08p-12, -0x1.b48a47183a627p-12, -0x1.aa3f248fab08dp-12, -0x1.a0261d39b047ap-12, -0x1.963e5ee6b4531p-12, -0x1.8c8873be73e48p-12, -0x1.83054ae6e7602p-12, -0x1.79b4e9e67c3c9p-12, -0x1.70964e2b565c5p-12, -0x1.67a7d96a2a5c9p-12, -0x1.5ee75e12f0bd3p-12, -0x1.5651fbea15a38p-12, -0x1.4de6ce4a2507ep-12, -0x1.45a67aaa68dddp-12, -0x1.3d90d578e6f92p-12, -0x1.35a82103a28dfp-12, -0x1.2de96e43e85aap-12, -0x1.2653c725ee7aep-12, -0x1.1ee6da65ddda4p-12, -0x1.17a1e1eef68b5p-12, -0x1.1083fa5c8a429p-12, -0x1.098bd1b127228p-12, -0x1.02b9421514f71p-12, -0x1.f818981916e8ap-13, -0x1.eb0a56fb0607ap-13, -0x1.de47bb55d47ecp-13, -0x1.d1cedf2334382p-13, -0x1.c59c13c649f5cp-13, -0x1.b9ab234a89a23p-13, -0x1.adf910dc7a865p-13, -0x1.a2860db5f275ap-13, -0x1.9755600aba687p-13, -0x1.8c68ecf292be7p-13, -0x1.81bd8ebf1b9a4p-13, -0x1.774dce9ef2a48p-13, -0x1.6d16be6c5822ap-13, -0x1.6313e420c2c6bp-13, -0x1.594b637c021b1p-13, -0x1.4fbc7e63d8131p-13, -0x1.46656ceded434p-13, -0x1.3d435106d3cb6p-13, -0x1.34568f6e88b34p-13, -0x1.2b9e364ab945fp-13, -0x1.2318fd7f9c816p-13, -0x1.1ac63ccd3c058p-13, -0x1.12a3f3ea1176bp-13, -0x1.0ab2da09f90d6p-13, -0x1.02f1459680c75p-13, -0x1.f6bc8adfcd38p-14, -0x1.e7f2ade1512d1p-14, -0x1.d98218d6f06e9p-14, -0x1.cb69e263a6dedp-14, -0x1.bda953ff7a3dbp-14, -0x1.b03faf04d62efp-14, -0x1.a32af8f8e39e3p-14, -0x1.9668aca142e41p-14, -0x1.89f731a5cf67ep-14, -0x1.7dd55cdbb23ccp-14, -0x1.720056207848cp-14, -0x1.667546cf16a5cp-14, -0x1.5b33c48d802f7p-14, -0x1.5036db700c45ep-14, -0x1.457d377d347e9p-14, -0x1.3b084dcc7fb16p-14, -0x1.30d8e8260a215p-14, -0x1.26e8a3045d82ap-14, -0x1.1d3885834143cp-14, -0x1.13c87a0c6b692p-14, -0x1.0a93ff5183e18p-14, -0x1.019bc4717ea56p-14, -0x1.f1be2d1213e6fp-15, -0x1.e0bb69dfc6e83p-15, -0x1.d02c6076ba5e9p-15, -0x1.c00d458708c59p-15, -0x1.b05aa2a5b513ep-15, -0x1.a1118cae50ac5p-15, -0x1.922fd3ee58824p-15, -0x1.83ae92f1fcbfdp-15, -0x1.7596bc6a81ad6p-15, -0x1.67e5651cf7ac9p-15, -0x1.5a903b5ef347dp-15, -0x1.4d99621878b1ep-15, -0x1.40fe8072d2d23p-15, -0x1.34bf980f3f836p-15, -0x1.28daec7636faep-15, -0x1.1d48639c0e2ep-15, -0x1.1209afb87df42p-15, -0x1.0720d0a53b0f4p-15, -0x1.f912503540fefp-16, -0x1.e4792902d273fp-16, -0x1.d0741b11c64a2p-16, -0x1.bcfc983b194bp-16, -0x1.aa17a3ec67f5dp-16, -0x1.97c399373ab8p-16, -0x1.85fb443d9817p-16, -0x1.74ac5aaa672aep-16, -0x1.63e50207e8d5p-16, -0x1.53a0680a0af0fp-16, -0x1.43dd4b6fe7d7ep-16, -0x1.34934739f549ep-16, -0x1.25c204acee3b7p-16, -0x1.176a5802b13a3p-16, -0x1.097cfbfc65eb5p-16, -0x1.f7f43005e7dc7p-17, -0x1.ddf652d81bf79p-17, -0x1.c4b0173b6e667p-17, -0x1.ac3a855c02962p-17, -0x1.949b01ec55143p-17, -0x1.7dc28346fb959p-17, -0x1.67858045f4418p-17, -0x1.5225d65830d71p-17, -0x1.3d7b8c94b0ad1p-17, -0x1.2973dc785a207p-17, -0x1.161b9f3b2f33cp-17, -0x1.037981b8c74d3p-17, -0x1.e2e13db79d632p-18, -0x1.c03cecc4ffaep-18, -0x1.9ed2df72aab67p-18, -0x1.7e86ba4b4488dp-18, -0x1.5f60f9ca916d8p-18, -0x1.41600e786f115p-18, -0x1.24745e5c7814dp-18, -0x1.0892fdf53b28fp-18, -0x1.db777dd08b3fep-19, -0x1.a7d6f54adbff9p-19, -0x1.76336dcdf274ep-19, -0x1.4671bbf4a5543p-19, -0x1.18847af44afafp-19, -0x1.d8f22c53d4ce5p-20, -0x1.84610e15d07a2p-20, -0x1.335fbf6b08e74p-20, -0x1.cb586d72bba1bp-21, -0x1.36749b9029024p-21, -0x1.4fc0f27b1bdb4p-22, -0x1.f6b7c220b9c2bp-25, 0x1.8c5d2002f9349p-23, 0x1.bfa971e7e4d98p-22, 0x1.570437256a068p-21, 0x1.c89fca18878e7p-21, 0x1.1a5d4045f084fp-20, 0x1.4db6c3d8ac23cp-20, 0x1.7ec8a2fde6476p-20, 0x1.ad77ccf8839c3p-20, 0x1.d99b0b285ac3ep-20, 0x1.01c9fc4bc6dd8p-19, 0x1.15b9ae7879228p-19, 0x1.28896f353c19fp-19, 0x1.3a42687463e6ep-19, 0x1.4af4e1bb3710ep-19, 0x1.5ad4ab35767dcp-19, 0x1.694c2cb7ffb8p-19, 0x1.77494dd2a6969p-19, 0x1.844fc52b6258fp-19, 0x1.906ff5cd1577ep-19, 0x1.9bd3a14461ff1p-19, 0x1.a73d320899335p-19, 0x1.b014d7096b23ep-19, 0x1.b8d7445983184p-19, 0x1.c106aedad9783p-19, 0x1.c8ce89850780ap-19, 0x1.cfc609f0e4c9dp-19, 0x1.d5cf3017733ecp-19, 0x1.db4699deada65p-19, 0x1.e0a5ebb9320e5p-19, 0x1.e476fdb36aae2p-19, 0x1.e85835670bc14p-19, 0x1.eba2d613574cfp-19, 0x1.ee5c2755496a5p-19, 0x1.f08f715c5ad97p-19, 0x1.f244d58630208p-19, 0x1.f381916b7d22cp-19, 0x1.f44a2f17ea8a6p-19, 0x1.f4a2591e46d33p-19, 0x1.f48e0fec0214dp-19, 0x1.f4121e87e540ap-19, 0x1.f333a558fe034p-19, 0x1.f1f6b6da3a8fcp-19, 0x1.f05f4a03e45adp-19, 0x1.ee71097172f1fp-19, 0x1.ec2e8206375b3p-19, 0x1.e99bc37e0b729p-19, 0x1.e6bc10df99d51p-19, 0x1.e392f3b8c6f3cp-19, 0x1.e023b50fa4113p-19, 0x1.dc7330773185ap-19, 0x1.d887df22f94a3p-19, 0x1.d461a765a6459p-19, 0x1.cff0f8cb075fp-19, 0x1.cb5a7d9e465aep-19, 0x1.c67bfd3e0243ep-19, 0x1.c17f6d31c44aep-19, 0x1.bc4e4b3fc0643p-19, 0x1.b6f32df2c8a92p-19, 0x1.b1694f9424affp-19, 0x1.abbb35f8c6a4fp-19, 0x1.a5ed993f27379p-19, 0x1.9ffae7797c95ap-19, 0x1.99e5ffa1b4c45p-19, 0x1.93518a39350a8p-19, 0x1.8d5a22151096fp-19, 0x1.86f3183bc30bfp-19, 0x1.8070523d9cc65p-19, 0x1.79c3bfe7a047bp-19, 0x1.72f67d13651efp-19, 0x1.6c5f6891a473bp-19, 0x1.659a195392b6ep-19, 0x1.5eb5c4dcbdc13p-19, 0x1.57c4e78d4fd93p-19, 0x1.50b96cf8652b4p-19, 0x1.49bb9cb3db0ddp-19, 0x1.42a8f5edf789fp-19, 0x1.3b7629b68b399p-19, 0x1.34358057a598cp-19, 0x1.2d1e8b10ff001p-19, 0x1.25f213357238ep-19, 0x1.1f3b382b4b9cap-19, 0x1.17c23fc08878dp-19, 0x1.107c3436b725p-19, 0x1.093cc49abaafdp-19, 0x1.01f9fff0ae906p-19, 0x1.f59968b0b0a93p-20, 0x1.e73734f8b936p-20, 0x1.d92e0ac0d6bd6p-20, 0x1.cb094555cea45p-20, 0x1.bc57b2fb26614p-20, 0x1.ae0d3db44748ap-20, 0x1.9ffb8d7544d68p-20, 0x1.91d1cb6940f22p-20, 0x1.83acc874d1d9p-20, 0x1.75c79b7d71dd6p-20, 0x1.67ffdb660b22ep-20, 0x1.5a187e90e164ap-20, 0x1.4c7f7e42ed695p-20, 0x1.3ed156027cd41p-20, 0x1.31488f6499b4p-20, 0x1.23eb75b2eb297p-20, 0x1.168cea0b928dp-20, 0x1.0965412a48aabp-20, 0x1.f63ebf76e163dp-21, 0x1.de76cfbb84d4cp-21, 0x1.c4b380b469064p-21, 0x1.ab16800920e28p-21, 0x1.91aefda68345bp-21, 0x1.7888183334448p-21, 0x1.5f85d63bebb05p-21, 0x1.46ff6ca3c8ecep-21, 0x1.2f7899058c579p-21, 0x1.1729d8189fd0fp-21, 0x1.ff5c2dbdc2017p-22, 0x1.cf2f72cf59b79p-22, 0x1.a03663818daefp-22, 0x1.730004b99a611p-22, 0x1.45e0420ce1374p-22, 0x1.192780fd36a5p-22, 0x1.da2a2100b66fep-23, 0x1.82ec9fd0548b3p-23, 0x1.2d830d27b7632p-23, 0x1.ad9523fc2eeffp-24, 0x1.07a5f97dbb9bbp-24, 0x1.985cf8f62513bp-26, -0x1.ebe5337389a0ap-27, -0x1.c181cfbdba812p-25, -0x1.7f16b9dbbbd7p-24, -0x1.0cd2f791c7d42p-23, -0x1.59a6fb24d3e58p-23, -0x1.a30c7d0effa4cp-23, -0x1.ecd11d5ad593ap-23, -0x1.1ba2bf04cb433p-22, -0x1.4014669e5b231p-22, -0x1.62bb3a0f83383p-22, -0x1.85c6ccd7d6839p-22, -0x1.a6f48b4d133f6p-22, -0x1.c859387dfcf6ap-22, -0x1.e70b467f2d5e5p-22, -0x1.0532ab4938e2dp-21, -0x1.1517adc4bf252p-21, -0x1.2491dfd7fc0adp-21, -0x1.33d371396dae6p-21, -0x1.42fc3d289a3d1p-21, -0x1.516e961f165ebp-21, -0x1.5fc61db71d72ap-21, -0x1.6dfd7768cfb05p-21, -0x1.7bfd466ec0b06p-21, -0x1.89cd4a3823006p-21, -0x1.96d41873e1d1bp-21, -0x1.a35615e416e37p-21, -0x1.b06add2cab3ap-21, -0x1.bd5c8182a0439p-21, }}, 
      {{-0x1.44e119e574544p-3, -0x1.459f894af2662p-3, -0x1.46c9671cab7dp-3, -0x1.48437d40a99acp-3, -0x1.49ec4acca1f12p-3, -0x1.4b9f5f4edc249p-3, -0x1.4d3881ab7b3cdp-3, -0x1.4e9612257a23bp-3, -0x1.4f9b0e1541233p-3, -0x1.502f5e8637234p-3, -0x1.50406c75bbc6p-3, -0x1.4fc07a4a13355p-3, -0x1.4ea665af11162p-3, -0x1.4ced24099b94ap-3, -0x1.4a92f8786f5f9p-3, -0x1.479933e2f8f5fp-3, -0x1.4403a7cac682ep-3, -0x1.3fd83062f7c5cp-3, -0x1.3b1e5727031ddp-3, -0x1.35def852d4fbfp-3, -0x1.3023ed5d51bffp-3, -0x1.29f7c0a24e496p-3, -0x1.23656f0a3bd35p-3, -0x1.1c783132760f1p-3, -0x1.153b4a1702be1p-3, -0x1.0db9dc9c1c279p-3, -0x1.05fec8cfea72p-3, -0x1.fc291ec0fc75ap-4, -0x1.ec0a7740770fbp-4, -0x1.dbb4a33013fd7p-4, -0x1.cb3986979d059p-4, -0x1.baa9d1cd59effp-4, -0x1.aa14f78c4f2a5p-4, -0x1.998930922fa58p-4, -0x1.89137a63aaaf2p-4, -0x1.78bf9db8134d2p-4, -0x1.68983dfc9f4dfp-4, -0x1.58a6e356ad00ep-4, -0x1.48f4058eabc29p-4, -0x1.39871db1ff38p-4, -0x1.2a66b780dea92p-4, -0x1.1b987f208f261p-4, -0x1.0d214f7e994bp-4, -0x1.fe0a849b4ded8p-5, -0x1.e28f7e4247f34p-5, -0x1.c7d7112a6980cp-5, -0x1.ade595386cbdep-5, -0x1.94be4f446ed03p-5, -0x1.7c638767c9934p-5, -0x1.64d69ba787dd2p-5, -0x1.4e181999418b5p-5, -0x1.3827d3deb15d5p-5, -0x1.2304eec4868b5p-5, -0x1.0eadfb7f81308p-5, -0x1.f641fd39e372ap-6, -0x1.d0b6ffef1739cp-6, -0x1.acb5383a14ce4p-6, -0x1.8a361e87ee233p-6, -0x1.6932866902432p-6, -0x1.49a2b72ed2ebcp-6, -0x1.2b7e7f10fc85ep-6, -0x1.0ebd35775c74ap-6, -0x1.e6abc69cc0c07p-7, -0x1.b27e88ea5158fp-7, -0x1.80dfbe135956bp-7, -0x1.51bc20f31e183p-7, -0x1.25001ab768ea6p-7, -0x1.f5300c8cf5cfdp-8, -0x1.a4e03da4daaeep-8, -0x1.58e92caec9849p-8, -0x1.11238c04a30cep-8, -0x1.9ad05bdf9912fp-9, -0x1.1b205f8df7a36p-9, -0x1.45d529244819p-10, -0x1.8f196334c76a9p-12, 0x1.c205586ec529cp-12, 0x1.37940f4a138e8p-10, 0x1.f20124dacf817p-10, 0x1.502ab4b98a385p-9, 0x1.a18cffc5f3dbap-9, 0x1.ed6a56bceb94ap-9, 0x1.1a02026b63b4ep-8, 0x1.3acccfb87ff27p-8, 0x1.59347ab053c36p-8, 0x1.7556e321470ap-8, 0x1.8f50fef134d96p-8, 0x1.a73f06e9173a6p-8, 0x1.bd3c1f253a2fbp-8, 0x1.d1627659b32bp-8, 0x1.e3cb9913cf822p-8, 0x1.f48fb570be0e2p-8, 0x1.01e341746c4d2p-7, 0x1.08c35bac9eee7p-7, 0x1.0ef311fd637edp-7, 0x1.147cd527a5a3p-7, 0x1.196ab930d8736p-7, 0x1.1dc6673068b07p-7, 0x1.2199125ebc3e8p-7, 0x1.24eb993b0b6ecp-7, 0x1.27c6780d147ep-7, 0x1.2a31cc55fe12ep-7, 0x1.2c35525cd617ep-7, 0x1.2dd86a5f89b93p-7, 0x1.2f221fe012ae8p-7, 0x1.30193399b408p-7, 0x1.30c4052924bd2p-7, 0x1.3128a207bc3c8p-7, 0x1.314cd83da2176p-7, 0x1.31362db6c4c99p-7, 0x1.30e9c58d61543p-7, 0x1.306c9526f8faep-7, 0x1.2fc344e91ca4fp-7, 0x1.2ef24624ee8c2p-7, 0x1.2dfdc1ef4fc2cp-7, 0x1.2ce9abdb55d48p-7, 0x1.2bb9b5632ceaap-7, 0x1.2a715ab309f6ep-7, 0x1.2913e90f297b9p-7, 0x1.27a47c5e41dfp-7, 0x1.2625ff0aaa7f9p-7, 0x1.249b2055fc63cp-7, 0x1.230664eaebcc4p-7, 0x1.216a32773efb6p-7, 0x1.1fc8b8a6c6673p-7, 0x1.1e23ff49cc864p-7, 0x1.1c7df5a67061cp-7, 0x1.1ad85bc23e9ecp-7, 0x1.1934d70e6d74fp-7, 0x1.1794df7fb9bd6p-7, 0x1.15f9d328d5df7p-7, 0x1.1464f47335c46p-7, 0x1.12d778ac7df33p-7, 0x1.115272923ce32p-7, 0x1.0fd6c27756154p-7, 0x1.0e6542a40366p-7, 0x1.0cfeaf9f3274ap-7, 0x1.0ba3c9170ebcep-7, 0x1.0a552c8bedd93p-7, 0x1.09135b0dbcf1bp-7, 0x1.07dec66bc4bf5p-7, 0x1.06b7d618f3c11p-7, 0x1.059edfc730227p-7, 0x1.049421d6f18b3p-7, 0x1.0397d37acc47ep-7, 0x1.02aa19b6e426cp-7, 0x1.01cb14803c112p-7, 0x1.00fad3e114fabp-7, 0x1.00395df338141p-7, 0x1.ff0d5c276aa76p-8, 0x1.fdc55cdb8baa7p-8, 0x1.fc9a9ed003605p-8, 0x1.fb8cd7d32badcp-8, 0x1.fa9bc8cbd58b3p-8, 0x1.f9c70d5cd91b4p-8, 0x1.f90e36980079fp-8, 0x1.f870cbdeae23fp-8, 0x1.f7ee496e621bep-8, 0x1.f7861d86f1afap-8, 0x1.f737ba8d3b379p-8, 0x1.f702987b3395bp-8, 0x1.f6e6047e7a5f4p-8, 0x1.f6e14cba1c516p-8, 0x1.f6f3c0ee310ccp-8, 0x1.f71cad07bbbc9p-8, 0x1.f75b547da65c9p-8, 0x1.f7aeeaeebdc74p-8, 0x1.f816b567b838bp-8, 0x1.f891eae544de1p-8, 0x1.f91fc555c1d3dp-8, 0x1.f9bf7824aceccp-8, 0x1.fa7035f2a1186p-8, 0x1.fb3131c98f6bap-8, 0x1.fc019daa30b72p-8, 0x1.fce0a235a454cp-8, 0x1.fdcd764a50376p-8, 0x1.fec74525f601p-8, 0x1.ffcd498c032e4p-8, 0x1.006f57dbf1643p-7, 0x1.00fd54871ff0bp-7, 0x1.019036ca989a8p-7, 0x1.022788e6b3487p-7, 0x1.02c3067ac84bp-7, 0x1.03623cc3e615cp-7, 0x1.0404c4c990c3cp-7, 0x1.04aa38db29e22p-7, 0x1.0552461afa5f4p-7, 0x1.05fc9115a0b07p-7, 0x1.06a8b5012f36dp-7, 0x1.07565b816e996p-7, 0x1.080526a2c9f6fp-7, 0x1.08b4c43b933c5p-7, 0x1.0964d8e3f08eep-7, 0x1.0a150fb37d1e6p-7, 0x1.0ac5174a030cdp-7, 0x1.0b74a341cf293p-7, 0x1.0c2360925c47bp-7, 0x1.0cd101350a27ep-7, 0x1.0d7d3a613b9adp-7, 0x1.0e27c0ee649c3p-7, 0x1.0ed05375b92fdp-7, 0x1.0f76aa05a36d5p-7, 0x1.101a7ea44ed7fp-7, 0x1.10bb93bf2c059p-7, 0x1.1159a548c9295p-7, 0x1.11f4765958558p-7, 0x1.128bcbb25b9eep-7, 0x1.131f6ab983a68p-7, 0x1.13af1b4220069p-7, 0x1.143aa629f46ebp-7, 0x1.14c1dbe4628b3p-7, 0x1.15448bd3ce4cbp-7, 0x1.15c281d27c089p-7, 0x1.163b8e28dfca8p-7, 0x1.16af8ebef5fc3p-7, 0x1.171e481a7a075p-7, 0x1.17879bfbfddbbp-7, 0x1.17eb60fcc1773p-7, 0x1.18497570f753cp-7, 0x1.18a1b9d13ff3p-7, 0x1.18f409966d948p-7, 0x1.194042d7b83c1p-7, 0x1.19864c2815c8bp-7, 0x1.19c6088d065a6p-7, 0x1.19ff5cf063983p-7, 0x1.1a322eae13b74p-7, 0x1.1a5e685cfa46dp-7, 0x1.1a83f4ef06174p-7, 0x1.1aa2c18387e97p-7, 0x1.1ababc4f260d6p-7, 0x1.1acbd4fbb543p-7, 0x1.1ad5fc98f93b2p-7, 0x1.1ad9255af1565p-7, 0x1.1ad5444415efbp-7, 0x1.1aca4ecee4113p-7, 0x1.1ab83c276dc06p-7, 0x1.1a9f00d4d597ep-7, 0x1.1a7e9bf53136p-7, 0x1.1a57047e92afbp-7, 0x1.1a283649f50e5p-7, 0x1.19f23024e6fe2p-7, 0x1.19b4f79bdd50ap-7, 0x1.1970851fd83bbp-7, 0x1.1924d90cbac08p-7, 0x1.18d1fc068fa12p-7, 0x1.1877ecef08e48p-7, 0x1.1816ae0de3278p-7, 0x1.17ae493b5446ap-7, 0x1.173ec75c9491ep-7, 0x1.16c82da90a3b8p-7, 0x1.164a82e4eeep-7, 0x1.15c5d0d25013p-7, 0x1.153a209942a3p-7, 0x1.14a77d59dea75p-7, 0x1.140df362645adp-7, 0x1.136d91b00f153p-7, 0x1.12c6699cfbb3p-7, 0x1.1218839f455cp-7, 0x1.1163f3f191214p-7, 0x1.10a8cd71d9d44p-7, 0x1.0fe7183b6199fp-7, 0x1.0f1eeaba63883p-7, 0x1.0e50513c8a1b2p-7, 0x1.0d7b631d66e55p-7, 0x1.0ca034518587ep-7, 0x1.0bbed73c74239p-7, 0x1.0ad76127304a7p-7, 0x1.09e9e54db6a24p-7, 0x1.08f67b1d7c0e8p-7, 0x1.07fd376522783p-7, 0x1.06fe3013e1649p-7, 0x1.05f97c327827fp-7, 0x1.04ef339221f44p-7, 0x1.03df6f4cdf38fp-7, 0x1.02ca435601e2fp-7, 0x1.01afc5b29bec5p-7, 0x1.0090179d6e4d5p-7, 0x1.fed698cb0ffd6p-8, 0x1.fc82fa8ecfbd4p-8, 0x1.fa2586f0fe43fp-8, 0x1.f7be76c13a31bp-8, 0x1.f54df7aa9e1bbp-8, 0x1.f2d43bd30efdcp-8, 0x1.f0517f7006c47p-8, 0x1.edc5f19e83044p-8, 0x1.eb31c948bb534p-8, 0x1.e8953a7753f45p-8, 0x1.e5f07ca94344fp-8, 0x1.e343c3fd64bbcp-8, 0x1.e08f45170d526p-8, 0x1.ddd336efbd1fap-8, 0x1.db0fcc0d34644p-8, 0x1.d8453e9e21e5dp-8, 0x1.d573c3f0be4d6p-8, 0x1.d29b96e05a7b2p-8, 0x1.cfbce7a04ccfdp-8, 0x1.ccd7eced93d0ap-8, 0x1.c9ece67a3cd4ap-8, 0x1.c6fbe55e93e8bp-8, 0x1.c4053fb20da7fp-8, 0x1.c10934f7a3c77p-8, 0x1.be08202a18536p-8, 0x1.bb01c4d45803dp-8, 0x1.b7f6971e1e9a3p-8, 0x1.b4e6cfafd550fp-8, 0x1.b1d2a07bf75ecp-8, 0x1.aeba3a3320fe4p-8, 0x1.ab9dcf859b4c8p-8, 0x1.a87d9947fa154p-8, 0x1.a559c7b47e7b9p-8, 0x1.a232924980f4cp-8, 0x1.9f0826f489ad9p-8, 0x1.9bdab258d575ap-8, 0x1.98aa6d3a4796ap-8, 0x1.957786d4f2f11p-8, 0x1.9242308df7bf6p-8, 0x1.8f0a98c775c99p-8, 0x1.8bd0f73443facp-8, 0x1.8895755b93405p-8, 0x1.855840bc8b596p-8, 0x1.82198a377a52fp-8, 0x1.7ed9806505bd1p-8, 0x1.7b98502540b2p-8, 0x1.7856262a11315p-8, 0x1.75132e9d861edp-8, 0x1.71cf961db42c1p-8, 0x1.6e8b89740738ap-8, 0x1.6b472e9ba395p-8, 0x1.6802b5c110754p-8, 0x1.64be451bf5237p-8, 0x1.617a058d54b46p-8, 0x1.5e36204c00436p-8, 0x1.5af2bb4c0aceap-8, 0x1.57b000dc02069p-8, 0x1.546e1518d139bp-8, 0x1.512d1ff76d9fcp-8, 0x1.4ded46aa5cc49p-8, 0x1.4aaead79469d3p-8, 0x1.477177865aea5p-8, 0x1.4435c6945002p-8, 0x1.40fbbeaaab69ep-8, 0x1.3dc383900e487p-8, 0x1.3a8d32e1a546cp-8, 0x1.3758f5520e134p-8, 0x1.3426e8735d41ep-8, 0x1.30f7291fbf0d5p-8, 0x1.2dc9d3f462456p-8, 0x1.2a9f07ff775cap-8, 0x1.2776e9dd727a1p-8, 0x1.2451948dc9963p-8, 0x1.212f1f4ee393cp-8, 0x1.1e0fa4338e4eep-8, 0x1.1af3471a9f51fp-8, 0x1.17da2314fba69p-8, 0x1.14c44a4f04074p-8, 0x1.11b1d4912b15dp-8, 0x1.0ea2e1177d972p-8, 0x1.0b9781e14a0cbp-8, 0x1.088fd043d6cacp-8, 0x1.058be3ba8235ap-8, 0x1.028bd282f8c05p-8, 0x1.ff1f6529eacc6p-9, 0x1.f92f3036d0b2fp-9, 0x1.f3472dfd8582ap-9, 0x1.ed678546d25fdp-9, 0x1.e7905bb64a603p-9, 0x1.e1c1d5ad24138p-9, 0x1.dbfc178af3c3fp-9, 0x1.d63f4364854b4p-9, 0x1.d08b7a1b38abfp-9, 0x1.cae0db215c0cdp-9, 0x1.c53f83fd8f09bp-9, 0x1.bfa793f610858p-9, 0x1.ba1932a436b0ep-9, 0x1.b494632acb6f2p-9, 0x1.af194f1089757p-9, 0x1.a9a803cd890c1p-9, 0x1.a440af5ed764ep-9, 0x1.9ee355a6c242fp-9, 0x1.99901351a6c94p-9, 0x1.9446fe0cbcac1p-9, 0x1.8f08280d6e172p-9, 0x1.89d3a4d3be8b8p-9, 0x1.84a9865f59259p-9, 0x1.7f89dd97e896fp-9, 0x1.7a74bc2970ce3p-9, 0x1.756a31eb74acfp-9, 0x1.706a3b26facddp-9, 0x1.6b74ea8e5bac9p-9, 0x1.668a58316f7f1p-9, 0x1.61aa8e135fab5p-9, 0x1.5cd595761d6e8p-9, 0x1.580b75dad0f1bp-9, 0x1.534c35c8203bcp-9, 0x1.4e97db4e91585p-9, 0x1.49ee6e7f184c9p-9, 0x1.454ff5b99c822p-9, 0x1.40bc76f5db923p-9, 0x1.3c33f61ab3ef2p-9, 0x1.37b67440adaf7p-9, 0x1.3343fcd187a89p-9, 0x1.2edc8af5c71cbp-9, 0x1.2a800e2729c8ap-9, 0x1.262e8ed52bc96p-9, 0x1.21e83f9324f7ep-9, 0x1.1daca6c6435dfp-9, 0x1.197c9d4c6bb88p-9, 0x1.1557084e4824cp-9, 0x1.113ca259ee096p-9, 0x1.0d2d3e1090562p-9, 0x1.0928ce39dfafbp-9, 0x1.052f45b01db7ap-9, 0x1.0140a48e700bdp-9, 0x1.fab9d4dffdd41p-10, 0x1.f30818bf5292ep-10, 0x1.eb6c12aa7cb6cp-10, 0x1.e3e5afa6535dbp-10, 0x1.dc74dfc7dcfa9p-10, 0x1.d5198850e2968p-10, 0x1.cdd39293478cep-10, 0x1.c6a2ef57fb808p-10, 0x1.bf8782d81ad28p-10, 0x1.b88135c9efa7bp-10, 0x1.b18ff2a5d3bbdp-10, 0x1.aab3a520914a1p-10, 0x1.a3ec3922f8d2ep-10, 0x1.9d3998bb4f5d4p-10, 0x1.969baac4509f9p-10, 0x1.901253e819da7p-10, 0x1.899d78c15aa6p-10, 0x1.833d0040d0b9ap-10, 0x1.7cf0ce60e5a23p-10, 0x1.76b8c8fb5f424p-10, 0x1.7094bbffd8a8ep-10, 0x1.6a848e3e48386p-10, 0x1.648813471f946p-10, 0x1.5e9f2d356532dp-10, 0x1.58c9bb100f29ap-10, 0x1.5307a3d6da81ap-10, 0x1.4d58e4550dec3p-10, 0x1.47bd30398a721p-10, 0x1.42348c6b18f2dp-10, 0x1.3cbeb36b14b25p-10, 0x1.375ba76aa101cp-10, 0x1.320b2d0781c5bp-10, 0x1.2ccd1ef826937p-10, 0x1.27a158dc88495p-10, 0x1.2287b4a3030c4p-10, 0x1.1d800a6ff8cbdp-10, 0x1.188a308943ed7p-10, 0x1.13a5fc16cc341p-10, 0x1.0ed3441ecd226p-10, 0x1.0a11e758b0a76p-10, 0x1.0561c50651a95p-10, 0x1.00c2af1845511p-10, 0x1.f868f1786e058p-11, 0x1.ef6e3b51d0563p-11, 0x1.e694d9b590e95p-11, 0x1.dddc591c47182p-11, 0x1.d544672b401f1p-11, 0x1.ccccda3c2d52dp-11, 0x1.c4757c276cddfp-11, 0x1.bc3dc65dd5174p-11, 0x1.b42546bd5ff88p-11, 0x1.ac2be66c9a3edp-11, 0x1.a4514cd67e8dcp-11, 0x1.9c950250aae9ap-11, 0x1.94f6a643a8488p-11, 0x1.8d7605862073fp-11, 0x1.8612be3884ecep-11, 0x1.7ecd17c37644cp-11, 0x1.77a3bd5cedb82p-11, 0x1.70970014acc69p-11, 0x1.69a6977814e4cp-11, 0x1.62d1fffe7faa4p-11, 0x1.5c18f743bca99p-11, 0x1.557b2da510ed5p-11, 0x1.4ef854361bc9bp-11, 0x1.48901cf4fb146p-11, 0x1.4242394bfa3dap-11, 0x1.3c0e589b1fdebp-11, 0x1.35f428ce608f6p-11, 0x1.2ff36787d1a47p-11, 0x1.2a0b28f3c3a82p-11, 0x1.243d379d6dba6p-11, 0x1.1e86882ea5489p-11, 0x1.18e86040f13d8p-11, 0x1.136212e08b87ep-11, 0x1.0df356e337108p-11, 0x1.089be05ae6ac2p-11, 0x1.035b5dab557aep-11, 0x1.fc62f44f67446p-12, 0x1.f23bcb61ef07ap-12, 0x1.e840aea8a6a71p-12, 0x1.de7113bbacd66p-12, 0x1.d4cc710af358bp-12, 0x1.cb523c19411d3p-12, 0x1.c201ea5a2eebp-12, 0x1.b8daf2f08b11ap-12, 0x1.afdcce4148e47p-12, 0x1.a706f430d9d1dp-12, 0x1.9e58d87a63ce6p-12, 0x1.95d1f994d5cbep-12, 0x1.8d71eb199a26bp-12, 0x1.8537c9a2fdd1p-12, 0x1.7d2359261491dp-12, 0x1.7533c38f5c2eep-12, 0x1.6d68a68eb0ecep-12, 0x1.65c155d3eb952p-12, 0x1.5e3d7081710ap-12, 0x1.56dc2430fddc8p-12, 0x1.4f9d19f7fbf16p-12, 0x1.487f85f07a0b8p-12, 0x1.4183a85b14a7p-12, 0x1.3aa830658eac2p-12, 0x1.33eccc8d3f923p-12, 0x1.2d51915393dc1p-12, 0x1.26d6231b26ab6p-12, 0x1.207985e0c4105p-12, 0x1.1a3af2c7bbce1p-12, 0x1.141b95f95aaf7p-12, 0x1.0e18c31a1157ep-12, 0x1.0833c09a91ff8p-12, 0x1.026afd304df95p-12, 0x1.f97ce5d52fbbcp-13, 0x1.ee5b974bdb4f5p-13, 0x1.e371070189d53p-13, 0x1.d8bc36f032dfcp-13, 0x1.ce3c2b62f32bep-13, 0x1.c3eff0bf2bb09p-13, 0x1.b9d69ff47ac1ap-13, 0x1.afef63163196ep-13, 0x1.a6397736375d5p-13, 0x1.9cb4273990b6fp-13, 0x1.935ebfd17fa4ep-13, 0x1.8a3881ecfd9bbp-13, 0x1.81409f8cb00e4p-13, 0x1.78764c0916e4cp-13, 0x1.6fd8cdef299c8p-13, 0x1.6767773f461bap-13, 0x1.5f21906f850eap-13, 0x1.570652eb49eb4p-13, 0x1.4f14f9d5b2542p-13, 0x1.474c9bfc2d5b5p-13, 0x1.3facd09a8c968p-13, 0x1.3835062088bp-13, 0x1.30e47af2b0067p-13, 0x1.29ba44614f2f7p-13, 0x1.22b5907f3902ap-13, 0x1.1bd5cec75c3d8p-13, 0x1.151a75b675a7dp-13, 0x1.0e811623b2254p-13, 0x1.080ecd65cd343p-13, 0x1.01bcc784dcc59p-13, 0x1.f719ab8ed5223p-14, 0x1.eafc4e0e807c3p-14, 0x1.df2047a18eb0fp-14, 0x1.d38461fa67d1ap-14, 0x1.c82770a295631p-14, 0x1.bd08504512fdcp-14, 0x1.b225e92471a3dp-14, 0x1.a77f397e40e8dp-14, 0x1.9d131cfcfa7d8p-14, 0x1.92e08e4942621p-14, 0x1.88e67fe202996p-14, 0x1.7f23e2ba1e74bp-14, 0x1.7597b69881a86p-14, 0x1.6c40f9a7578d8p-14, 0x1.631e937545ef8p-14, 0x1.5a2eb0e67c7ccp-14, 0x1.5171f6e3f2dbap-14, 0x1.48e57e2325aadp-14, 0x1.408acfe63a6dap-14, 0x1.385f52a9538a4p-14, 0x1.30629f8703e89p-14, 0x1.289469201298bp-14, 0x1.20f260caafbaap-14, 0x1.197b8fe559231p-14, 0x1.122fc035ccccdp-14, 0x1.0b0e6b31b23bdp-14, 0x1.0416cfdefdfep-14, 0x1.fa926601b2d12p-15, 0x1.ed421c515503ap-15, 0x1.e044b04908e4dp-15, 0x1.d390065f0683dp-15, 0x1.c72a85e556416p-15, 0x1.bb0ad15bc8047p-15, 0x1.af32eb5ecb7c9p-15, 0x1.a3a2a216ae98bp-15, 0x1.98580d33b24fap-15, 0x1.8d50e84a3b289p-15, 0x1.828bade076e64p-15, 0x1.78077c9e36757p-15, 0x1.6dc42850c7518p-15, 0x1.63be87b4b977fp-15, 0x1.59f688e8ad1bep-15, 0x1.50695fe0338fcp-15, 0x1.4717cb82b9fadp-15, 0x1.3dfeefccbe49bp-15, 0x1.351e4613a6618p-15, 0x1.2c749c6e2bbcep-15, 0x1.2400e2f4bf0ap-15, 0x1.1bc20553fb413p-15, 0x1.13b6ec910ebbdp-15, 0x1.0bde7e77158f2p-15, 0x1.043797cb13eefp-15, 0x1.f982223643785p-16, 0x1.eaf3c73fcf199p-16, 0x1.dcc20ccc3c2ecp-16, 0x1.ceea8eb360a36p-16, 0x1.c16b783d755fep-16, 0x1.b442f113ba2f8p-16, 0x1.a7798fa67ad87p-16, 0x1.9af9eec5ca393p-16, 0x1.8ec1a3949035ep-16, 0x1.82e324dfcfe9dp-16, 0x1.77520e5b73bbep-16, 0x1.6c0d3506ecb29p-16, 0x1.61121ff15dca1p-16, 0x1.565fc60197b9ep-16, 0x1.4bf4468d92734p-16, 0x1.41ce3a378fc07p-16, 0x1.37ecd0d8e4365p-16, 0x1.2e4df6d7cb3fp-16, 0x1.24ecbe419570bp-16, 0x1.1bcc300729638p-16, 0x1.12ed9b18c09dfp-16, 0x1.0a429dafe0f44p-16, 0x1.01dd4a808ca4cp-16, 0x1.f35b1d167648cp-17, 0x1.e3682464034aep-17, 0x1.d3e41c32616fp-17, 0x1.c4cd41bb046b3p-17, 0x1.b626b19616652p-17, 0x1.a7de12cea55e8p-17, 0x1.99fcbdd38d776p-17, 0x1.8c7f55a135a9ap-17, 0x1.7f60bfe2531a7p-17, 0x1.729f55b163c42p-17, 0x1.663922deace8ap-17, 0x1.5a2c6ca9d6905p-17, 0x1.4e76bfa6a0d2ap-17, 0x1.4314fc83a05bap-17, 0x1.3804ce3b6c944p-17, 0x1.2d451c6b65fb8p-17, 0x1.22d4ab253ef4cp-17, 0x1.18b1a2c158852p-17, 0x1.0edb39d8a069cp-17, 0x1.055607520fceep-17, 0x1.f8098799575b2p-18, 0x1.e60a0172d2f3ep-18, 0x1.d48fb2e4bafe4p-18, 0x1.c39969f346cf3p-18, 0x1.b31a4d45755ep-18, 0x1.a3259acef887ap-18, 0x1.93a7b101fb5eap-18, 0x1.849fc3dc538f3p-18, 0x1.76164c5296b86p-18, 0x1.67ee07580dcb4p-18, 0x1.5a42164a0268dp-18, 0x1.4cfdb17dcb613p-18, 0x1.40204db5e04e3p-18, 0x1.33adab595dc75p-18, 0x1.279ca95c1a317p-18, 0x1.1bec9b893ae9ep-18, 0x1.109b3cfc3a9d7p-18, 0x1.05a6e1bd911a9p-18, 0x1.f616c7a03809bp-19, 0x1.e18c0f2af785dp-19, 0x1.cdac9a6a5cdcfp-19, 0x1.ba75792c79995p-19, 0x1.a7e0023c8484fp-19, 0x1.95e6288292d25p-19, 0x1.8492246730b9bp-19, 0x1.73cf21f5aac19p-19, 0x1.6392308a57871p-19, 0x1.53ce4fba64dbep-19, 0x1.44ad8199f2a93p-19, 0x1.360b664ac4e27p-19, 0x1.27ee0711b5cfp-19, 0x1.1a5dd737a28ep-19, 0x1.0d2d9c4cd5902p-19, 0x1.007b38208c665p-19, 0x1.e866b6ea7e62dp-20, 0x1.d0ca0e35ecb5ep-20, 0x1.ba11fe7547e03p-20, 0x1.a429d3f4e5db9p-20, 0x1.8f0cbc811b0bp-20, 0x1.7ab765f2f3d99p-20, 0x1.672714b2e4387p-20, 0x1.5406e8a743f84p-20, 0x1.41ee88c8a0d1ap-20, 0x1.30c1e2874f57dp-20, 0x1.1ffd552892ba7p-20, 0x1.0fdec1bd52d76p-20, 0x1.005aee32890e9p-20, 0x1.e31c4e54dbd7cp-21, 0x1.c6edeb618caacp-21, 0x1.ab5ae2f9192e3p-21, 0x1.91232b181d65bp-21, 0x1.7829ec9081391p-21, 0x1.601889bb6a11cp-21, 0x1.48dadf4a200d9p-21, 0x1.32b7351af09e8p-21, 0x1.1daac856509dep-21, 0x1.0994c9c8c92a2p-21, 0x1.ecbdb1bf9167cp-22, 0x1.c856e18e5c682p-22, 0x1.a49acfdcd9567p-22, 0x1.82fddcd6819f5p-22, 0x1.632805817954ap-22, 0x1.451d699d04ecep-22, 0x1.283979ae0b505p-22, 0x1.0caf8f884a1bfp-22, 0x1.e5b2ccf31b05p-23, 0x1.b33a51de5a264p-23, 0x1.8290f031fcd72p-23, 0x1.584cab0c70bd2p-23, 0x1.2e552c06ad9f5p-23, 0x1.06ce5d3395146p-23, 0x1.c4873193e6b45p-24, 0x1.7fba681638574p-24, 0x1.3a6287cb7913ep-24, 0x1.fa2fabf078d5dp-25, 0x1.86f93827b66e9p-25, 0x1.169c595968e8cp-25, 0x1.5b36f99242eefp-26, 0x1.45b9fec98fc9p-27, -0x1.10b9483bf1464p-30, -0x1.620c5b204a6e4p-27, -0x1.4453c98ffd333p-26, -0x1.cf96234f10051p-26, -0x1.287a078a4d9eep-25, -0x1.62d193a33f42fp-25, -0x1.96eb4a5f02c56p-25, -0x1.c69fc17336276p-25, -0x1.f2b93a4ce169ep-25, -0x1.0cac5208703bp-24, -0x1.1d41533e519a8p-24, -0x1.2c2c28063a9cp-24, -0x1.39b28ffe96821p-24, -0x1.4460b8f0ab8e5p-24, -0x1.4d80cd6e21166p-24, -0x1.53f99e1761e2ap-24, -0x1.59211d0a95743p-24, -0x1.5ca239edc9449p-24, -0x1.5e9ec54af12e8p-24, -0x1.5f2e238c4e9acp-24, -0x1.5e5c22cafbb16p-24, -0x1.5c46dffb40163p-24, -0x1.59732f7df18ep-24, -0x1.54d251fb714p-24, -0x1.4eaa2529e082ap-24, -0x1.46546fe3d8ff1p-24, -0x1.3e8e0fdb12936p-24, -0x1.360204f052838p-24, -0x1.2b55a8f59a253p-24, -0x1.20a1b606a998bp-24, -0x1.15e7e960d757ep-24, -0x1.0a08745d6a8ap-24, -0x1.f9f36cb4fe4e1p-25, -0x1.dc0cafcb5cd34p-25, -0x1.c30065dfb8677p-25, -0x1.9c3e7aee4830ep-25, -0x1.7fced9736a6a7p-25, -0x1.5fff9cfc9aa4cp-25, -0x1.3e7218283544p-25, -0x1.1e55aa14c85bbp-25, -0x1.06c6d1020705bp-25, -0x1.afea49261f98ap-26, -0x1.5f86ca1a0e8cp-26, -0x1.1378f017201dfp-26, -0x1.a277a10f48b98p-27, -0x1.0efaa9469412fp-27, -0x1.a85d3b57dba9p-29, 0x1.b3c8571fda3cap-30, 0x1.720b73204c575p-28, 0x1.7b77cfede240dp-27, 0x1.0a83ae0804b9p-26, 0x1.59033424a8329p-26, 0x1.a922eaf55eeeap-26, 0x1.f9d8716d5d1ffp-26, 0x1.2544dc755dcdep-25, 0x1.4d8fd529a9cd6p-25, 0x1.75cc52787753dp-25, 0x1.9e171d1d3a60bp-25, 0x1.c67c1e231bdcbp-25, 0x1.eeddc47bb7806p-25, 0x1.0b7fc3157f7b1p-24, 0x1.1f61dc8f2a24p-24, 0x1.3311461f136c6p-24, 0x1.469867823b5b1p-24, 0x1.5a0b5a9c483bp-24, 0x1.6d703bdf22f64p-24, 0x1.80b757c48716ap-24, 0x1.93d3bc61d3f14p-24, 0x1.a6cd373ada95ep-24, 0x1.b96ffa4269047p-24, 0x1.cb7eb2054697p-24, 0x1.dd5c617a05faap-24, 0x1.f049bb0a99648p-24, 0x1.00e7099f76371p-23, 0x1.09ba1671cf98bp-23, 0x1.128bc7e8cb5d7p-23, 0x1.1b0f7e4d969eap-23, 0x1.236dc7156f249p-23, 0x1.2bcf7751a9a98p-23, 0x1.33fc236f2d3b7p-23, 0x1.3be2b47bd8c14p-23, 0x1.43b4db1f37c8p-23, 0x1.4b771a332a284p-23, 0x1.53f6bd44e2796p-23, 0x1.5aa90ec27b356p-23, 0x1.61f055c5844bp-23, 0x1.6915e44428b8ap-23, 0x1.705984bfc2b52p-23, 0x1.77b80d38bcdfp-23, 0x1.7df70b51eaf25p-23, 0x1.844e3a738e6efp-23, 0x1.8ac870037e75bp-23, 0x1.90fdb0286ba13p-23, 0x1.971ec5e401b04p-23, 0x1.9d00bfbf1e199p-23, 0x1.a2e0a5cd3c8a2p-23, 0x1.a8eadfa0374dap-23, 0x1.af099c789474bp-23, 0x1.b3f2c727f23d7p-23, 0x1.b936fcc4e035p-23, 0x1.bceac7213e4fep-23, 0x1.c28436edf3809p-23, 0x1.c78c9876f1569p-23, 0x1.cc5292eec68f8p-23, 0x1.d1162c1d02d6dp-23, 0x1.d5478dc5c7579p-23, 0x1.d979ecb16b25ep-23, 0x1.dd0c69e634ac7p-23, 0x1.e0b239775b232p-23, 0x1.e51732f936097p-23, 0x1.e8bdbcbe60638p-23, 0x1.ec22630b05176p-23, 0x1.ef8b5d7303249p-23, 0x1.f2e571a49c223p-23, 0x1.f5d60adbb2302p-23, 0x1.f884e02aac312p-23, 0x1.fb7462e095bd9p-23, 0x1.fdbc517b784b5p-23, 0x1.003f3089c6eedp-22, 0x1.016c0cff0c3fap-22, 0x1.025c998830ba4p-22, 0x1.0379c3def45d2p-22, 0x1.046c5eb542a14p-22, 0x1.05d0fd3519999p-22, 0x1.062db1ab76ad6p-22, 0x1.06f47d45289bap-22, 0x1.07b313a251b09p-22, 0x1.0865780f09fb3p-22, 0x1.0909d1f2947f6p-22, 0x1.09a5aebb7e008p-22, 0x1.0a15cdc37f7acp-22, 0x1.0a4a343c09e2dp-22, 0x1.0aba495784d03p-22, 0x1.0afb0ef45f88ep-22, 0x1.0b746ab289b45p-22, 0x1.0ba9120d92d4cp-22, 0x1.0bbb0482586bp-22, 0x1.0bcda40eb103ep-22, 0x1.0bdbacc57b295p-22, 0x1.0bd23cf069b1bp-22, 0x1.0bc33a4ef0eb6p-22, 0x1.0b8b9ea973121p-22, 0x1.0ba2c500b9926p-22, 0x1.0b76da3ad5512p-22, 0x1.0ad3daadb55fdp-22, 0x1.0aac22ab2e18fp-22, 0x1.0a789a155ba4p-22, 0x1.0a17b0caf5836p-22, 0x1.09a0220a0cdfep-22, 0x1.092b15ba1000cp-22, 0x1.0879ffbbcc616p-22, 0x1.07e243ef26b78p-22, 0x1.07672221d826dp-22, 0x1.06dbeb70dc5ep-22, 0x1.060d94fdfd55dp-22, 0x1.05683c5ebb31fp-22, 0x1.047a50680d406p-22, 0x1.03ae331b175c5p-22, 0x1.02a9ef7170644p-22, 0x1.0222bed7ed5f7p-22, 0x1.01542501e43c5p-22, 0x1.0049daf79084dp-22, 0x1.feb851837ba1bp-23, 0x1.fcd669b67cb8bp-23, 0x1.fa879833cb07ap-23, 0x1.f85f5dd832db8p-23, 0x1.f64c6ff7db589p-23, 0x1.f42f0b32fd7ecp-23, 0x1.f20987c0bac65p-23, 0x1.ef96fdf22fa6ep-23, 0x1.ecf8a4f9b76f1p-23, 0x1.eaa7735c1ef56p-23, 0x1.e882f68ef206dp-23, }}, 
      {{-0x1.5f807f9e9a104p-10, -0x1.33a06661b3864p-9, -0x1.72d405930f1bep-9, -0x1.777ba55599165p-9, -0x1.767f36bf65f9p-9, -0x1.bae05d05cbc83p-9, -0x1.457fe5a2834dfp-8, -0x1.05fcdb0a46b47p-7, -0x1.9dfd1eb10deb9p-7, -0x1.350452e168a7dp-6, -0x1.b23b51fc8b991p-6, -0x1.21113e2aae335p-5, -0x1.6fa349359c433p-5, -0x1.c1eaaeef4f2fep-5, -0x1.0a81719c977cfp-4, -0x1.3316ffd999e29p-4, -0x1.5974f108b39c1p-4, -0x1.7c7e858030b1dp-4, -0x1.9b3f287926391p-4, -0x1.b4ec9ce1a4ac9p-4, -0x1.c8e7dbd97715bp-4, -0x1.d6bcce3e39f92p-4, -0x1.de20e5aafe93ep-4, -0x1.def0a5708d985p-4, -0x1.d92c3fc80c6cdp-4, -0x1.ccf37f845b594p-4, -0x1.ba8141666ba4dp-4, -0x1.a226bfb0ed5cbp-4, -0x1.8446eb5909574p-4, -0x1.61520286735c2p-4, -0x1.39c1875bfee4cp-4, -0x1.0e14abd354358p-4, -0x1.bd9a7ab249779p-5, -0x1.58da220880091p-5, -0x1.ddcfa97f630c5p-6, -0x1.01774a3624fb4p-6, -0x1.e874e1b1e54f3p-10, 0x1.9277b04ffb75bp-7, 0x1.b427fc5d5f4b4p-6, 0x1.50576fe9fe9dep-5, 0x1.c6af803fa888bp-5, 0x1.1e38f5bccf60cp-4, 0x1.5881680e5ca2dp-4, 0x1.91ea350cfe11ap-4, 0x1.ca334ee8b140cp-4, 0x1.00919e3b33bcdp-3, 0x1.1b436a1d5cc63p-3, 0x1.35187b55123d1p-3, 0x1.4dfd1e6ef7b0dp-3, 0x1.65e0531357da4p-3, 0x1.7cb3a79c75991p-3, 0x1.926b16f928211p-3, 0x1.a6fce3d7b2abp-3, 0x1.ba6174b09d654p-3, 0x1.cc932d8e93d34p-3, 0x1.dd8e4ec982ec2p-3, 0x1.ed50d586a38f4p-3, 0x1.fbda5c63862a2p-3, 0x1.0495fdcac3adfp-2, 0x1.0aa4143296fcdp-2, 0x1.10194a49133a3p-2, 0x1.14f8075934d78p-2, 0x1.1943321e3e128p-2, 0x1.1cfe22772d78bp-2, 0x1.202c9364049f4p-2, 0x1.22d295a6de3acp-2, 0x1.24f482c34d228p-2, 0x1.2696f0797a039p-2, 0x1.27bea50b7c3ebp-2, 0x1.28708c4511642p-2, 0x1.28b1ad635c17bp-2, 0x1.288721e9c3df5p-2, 0x1.27f60d43ee24ap-2, 0x1.2703951491b75p-2, 0x1.25b4da854b54dp-2, 0x1.240ef416b0b84p-2, 0x1.2216e82423fddp-2, 0x1.1fd1a8236008dp-2, 0x1.1d440c9a1d91ep-2, 0x1.1a72d17e56ec4p-2, 0x1.17629361d9d6p-2, 0x1.1417ccf967cabp-2, 0x1.1096d57e1e989p-2, 0x1.0ce3defdbe58dp-2, 0x1.0902f5916f8efp-2, 0x1.04f7fe7cbd8b6p-2, 0x1.00c6b81b39597p-2, 0x1.f8e5731666534p-3, 0x1.effee5cb7624bp-3, 0x1.e6e05b48af64ap-3, 0x1.dd9019aaa10cp-3, 0x1.d4141c71baf43p-3, 0x1.ca7214e2e023dp-3, 0x1.c0af6c4c90cdap-3, 0x1.b6d1460f3b4fcp-3, 0x1.acdc805778c8dp-3, 0x1.a2d5b79465fd2p-3, 0x1.98c147afc30c8p-3, 0x1.8ea34d5195d83p-3, 0x1.847fa9cc91677p-3, 0x1.7a5a0367a3b34p-3, 0x1.7035c77657b2dp-3, 0x1.66162da711b1bp-3, 0x1.5bfe383f6e0cp-3, 0x1.51f0b6e9d2c9dp-3, 0x1.47f048a30a88ep-3, 0x1.3dff5d0467fccp-3, 0x1.3420365e2ef37p-3, 0x1.2a54ebc59de14p-3, 0x1.209f6a4f19d56p-3, 0x1.170176ac01bdbp-3, 0x1.0d7cafa6b35c5p-3, 0x1.04128ee792b78p-3, 0x1.f588d4f185f2p-4, 0x1.e326eef6ce14ep-4, 0x1.d10193b029bd7p-4, 0x1.bf1aae93121e9p-4, 0x1.ad73f0a828cfep-4, 0x1.9c0ed28635ac7p-4, 0x1.8aec98151f5bdp-4, 0x1.7a0e546be297cp-4, 0x1.6974e9247b78p-4, 0x1.59210ca09f2f3p-4, 0x1.49134c5581p-4, 0x1.394c0c1fbeb3dp-4, 0x1.29cb8c6d3dbb1p-4, 0x1.1a91ec9b2fbdep-4, 0x1.0b9f2a28ba845p-4, 0x1.f9e64aa4376c1p-5, 0x1.dd1b4b3fc3dfp-5, 0x1.c0dcad58308ffp-5, 0x1.a5299a9d84d55p-5, 0x1.8a01170551c0fp-5, 0x1.6f61fd947c31cp-5, 0x1.554b02f5dee34p-5, 0x1.3bbac134e5127p-5, 0x1.22afb81d2571bp-5, 0x1.0a284760b289bp-5, 0x1.e445751b30eep-6, 0x1.b53a9cd4ee7a2p-6, 0x1.872c5628fea97p-6, 0x1.5a16cb3d34ce3p-6, 0x1.2df617ca4d695p-6, 0x1.02c645f41fe7fp-6, 0x1.b10688e3ad647p-7, 0x1.5e51e3c61f901p-7, 0x1.0d665beab3524p-7, 0x1.7c7744f9cc49fp-8, 0x1.c3252c076d805p-9, 0x1.28371d10fb4bp-10, -0x1.289f45dd6d345p-10, -0x1.b63dc05c3095ap-9, -0x1.68e82125621ccp-8, -0x1.f3942d5876d9ep-8, -0x1.3d99ac07f2f7bp-7, -0x1.7feae53d90888p-7, -0x1.c0c5cdd247544p-7, -0x1.00192f8a79c3cp-6, -0x1.1f1c2f2b737acp-6, -0x1.3d6fb61b3d9f9p-6, -0x1.5b178d80df842p-6, -0x1.7817710e2c319p-6, -0x1.9473030b25249p-6, -0x1.b02dce47bfa76p-6, -0x1.cb4b4cbe0af59p-6, -0x1.e5ceed95b329ap-6, -0x1.ffbc087e2c8acp-6, -0x1.0c8aecf64cf45p-5, -0x1.18efc4814aa65p-5, -0x1.250e163d43dap-5, -0x1.30e765f8ba63dp-5, -0x1.3c7d2a02577bcp-5, -0x1.47d0cbcae864bp-5, -0x1.52e3aadd4df6fp-5, -0x1.5db71f4dc12dbp-5, -0x1.684c76ec95492p-5, -0x1.72a4f3f664333p-5, -0x1.7cc1cc349299p-5, -0x1.86a42bdf74465p-5, -0x1.904d38387a507p-5, -0x1.99be0cc966d04p-5, -0x1.a2f7ba120fcacp-5, -0x1.abfb45e9913a1p-5, -0x1.b4c9acf580fb6p-5, -0x1.bd63e4d9b3204p-5, -0x1.c5cadb2f90cb2p-5, -0x1.cdff73eabb3ffp-5, -0x1.d6028a2f353bdp-5, -0x1.ddd4efed6a8cap-5, -0x1.e577707827d5fp-5, -0x1.ecead0d951dc6p-5, -0x1.f42fcf12352cdp-5, -0x1.fb472103e7816p-5, -0x1.0118ba3b4d8abp-4, -0x1.0477b8740f50bp-4, -0x1.07c0dc57e63ddp-4, -0x1.0af474ab3c12bp-4, -0x1.0e12cd0df1842p-4, -0x1.111c2db5fdb05p-4, -0x1.1410dbe777cc4p-4, -0x1.16f11ac46d1fap-4, -0x1.19bd2b6cdc3fp-4, -0x1.1c754d39c74a3p-4, -0x1.1f19bce7403c1p-4, -0x1.21aab4c5e6fbep-4, -0x1.24286d02e09b3p-4, -0x1.26931c3edb0b2p-4, -0x1.28eaf7f337cc9p-4, -0x1.2b3033f5746d1p-4, -0x1.2d63029f9e2a6p-4, -0x1.2f83945c4a992p-4, -0x1.3192184a63527p-4, -0x1.338ebc7b23832p-4, -0x1.3579ae11fe099p-4, -0x1.375319b56ee77p-4, -0x1.391b2a675d8abp-4, -0x1.3ad20a8261553p-4, -0x1.3c77e34d414f5p-4, -0x1.3e0cdd6d40b61p-4, -0x1.3f91212b03d9dp-4, -0x1.4104d6441e707p-4, -0x1.426823de5468dp-4, -0x1.43bb307b31a5cp-4, -0x1.44fe228802806p-4, -0x1.46311ffd79c73p-4, -0x1.47544e4187e24p-4, -0x1.4867d30498841p-4, -0x1.496bd328312b5p-4, -0x1.4a6073c074832p-4, -0x1.4b45da0a4e59fp-4, -0x1.4c1c2abde41a3p-4, -0x1.4ce38acbf339ep-4, -0x1.4d9c1f236dadp-4, -0x1.4e460c2f86044p-4, -0x1.4ee176dda7a7dp-4, -0x1.4f6e8428b421cp-4, -0x1.4fed591cf9d6p-4, -0x1.505e1aeeec837p-4, -0x1.50c0ef16f9927p-4, -0x1.5115fadb22547p-4, -0x1.515d6370bda59p-4, -0x1.51974ea013ee5p-4, -0x1.51c3e228b9b74p-4, -0x1.51e3441fc3618p-4, -0x1.51f59afc5dccap-4, -0x1.51fb0d4c26658p-4, -0x1.51f3c194a7de6p-4, -0x1.51dfde798c721p-4, -0x1.51bf8adba8cf9p-4, -0x1.5192ede81087bp-4, -0x1.515a2f09b2c66p-4, -0x1.51157603d9b1dp-4, -0x1.50c4eac50648dp-4, -0x1.5068b5579b0abp-4, -0x1.5000fdbf9068ap-4, -0x1.4f8dec20350a5p-4, -0x1.4f0fa8fcd18afp-4, -0x1.4e865ce134d52p-4, -0x1.4df230bdb86cfp-4, -0x1.4d534dc65513dp-4, -0x1.4ca9dd19a29d1p-4, -0x1.4bf60808e4485p-4, -0x1.4b37f7dd5fe3ap-4, -0x1.4a6fd5f75dfb7p-4, -0x1.499dcbdf2f702p-4, -0x1.48c20342121e3p-4, -0x1.47dca60065e0bp-4, -0x1.46edde064913dp-4, -0x1.45f5d55ab0878p-4, -0x1.44f4b5f50a176p-4, -0x1.43eaa9c4d9b49p-4, -0x1.42d7dac43f5eep-4, -0x1.41bc72f5c0ad1p-4, -0x1.40989c75e11a5p-4, -0x1.3f6c81660d71fp-4, -0x1.3e384bd10e399p-4, -0x1.3cfc25e9be517p-4, -0x1.3bb839ac10721p-4, -0x1.3a6cb106b814dp-4, -0x1.3919b5d07f52ap-4, -0x1.37bf71e583d66p-4, -0x1.365e0f03bd99fp-4, -0x1.34f5b6c76cceep-4, -0x1.338692e2e0371p-4, -0x1.3210ccd8c4074p-4, -0x1.30948e0b50b87p-4, -0x1.2f11ffab01b7p-4, -0x1.2d894acd23abbp-4, -0x1.2bfa985c8b737p-4, -0x1.2a661114252cfp-4, -0x1.28cbdd967cd6dp-4, -0x1.272c265273667p-4, -0x1.25871386e9d9ap-4, -0x1.23dccd4f81cc3p-4, -0x1.222d7b8d7c49cp-4, -0x1.207945e3c1274p-4, -0x1.1ec053b745ecap-4, -0x1.1d02cc1eed1f5p-4, -0x1.1b40d6064dd6dp-4, -0x1.197a9823188f3p-4, -0x1.17b038ff6fd73p-4, -0x1.15e1deb091c18p-4, -0x1.140faf3008f7bp-4, -0x1.1239d0211a346p-4, -0x1.106066d62e59ap-4, -0x1.0e83986350529p-4, -0x1.0ca389866c835p-4, -0x1.0ac05e9a83897p-4, -0x1.08da3bcbb57fdp-4, -0x1.06f144e8e4054p-4, -0x1.05059d73909f7p-4, -0x1.0317688dc9fc6p-4, -0x1.0126c8f748e61p-4, -0x1.fe67c2895d3c8p-5, -0x1.fa7da72b26a68p-5, -0x1.f68f834614f2ap-5, -0x1.f29d999a50cfcp-5, -0x1.eea82c597665fp-5, -0x1.eaaf7ce255d55p-5, -0x1.e6b3cbc573dap-5, -0x1.e2b558d0de77dp-5, -0x1.deb463170ce66p-5, -0x1.dab128e52eb7ap-5, -0x1.d6abe7b60e328p-5, -0x1.d2a4dc31c074dp-5, -0x1.ce9c42338f14ep-5, -0x1.ca9254fb0d2ccp-5, -0x1.c6874ebda7a6ep-5, -0x1.c27b692a5147cp-5, -0x1.be6edcfafc767p-5, -0x1.ba61e21583c82p-5, -0x1.b654af7dd8365p-5, -0x1.b2477b523446p-5, -0x1.ae3a7ac076a5ap-5, -0x1.aa2de2100e7d4p-5, -0x1.a621e4c08dd7bp-5, -0x1.a216b57c17e1ep-5, -0x1.9e0c8626a153ap-5, -0x1.9a0387f011415p-5, -0x1.95fbeb3f6a1a4p-5, -0x1.91f5dfac7f454p-5, -0x1.8df194066c331p-5, -0x1.89ef35eb04196p-5, -0x1.85eef227a664dp-5, -0x1.81f0f46e6f2a4p-5, -0x1.7df5675c59142p-5, -0x1.79fc7490fa6dbp-5, -0x1.760644b4e3efp-5, -0x1.7212ffe4709fap-5, -0x1.6e22cd96c8f7ep-5, -0x1.6a35d4a29e469p-5, -0x1.664c3b42d641dp-5, -0x1.6266272b577a7p-5, -0x1.5e83bd5ded13bp-5, -0x1.5aa521c1a3d83p-5, -0x1.56ca76f4ec25ap-5, -0x1.52f3de77d560bp-5, -0x1.4f21784982691p-5, -0x1.4b53631e20646p-5, -0x1.4789bc8c22f9ap-5, -0x1.43c4a14d5ecd4p-5, -0x1.40042da47954ap-5, -0x1.3c487daba704ep-5, -0x1.3891ad887309p-5, -0x1.34dfd9728fb2cp-5, -0x1.31331d88a4084p-5, -0x1.2d8b958365678p-5, -0x1.29e95c3025427p-5, -0x1.264c8adf9ef15p-5, -0x1.22b538e438987p-5, -0x1.1f237b4687e65p-5, -0x1.1b9764be05153p-5, -0x1.181105f51929dp-5, -0x1.14906e7ada564p-5, -0x1.1115ad622296bp-5, -0x1.0da0d25239447p-5, -0x1.0a31ee54d4f06p-5, -0x1.06c91499f2a7bp-5, -0x1.03665a01cdf73p-5, -0x1.0009d4c059be7p-5, -0x1.f96736425b43p-6, -0x1.f2c783df0190ap-6, -0x1.ec34b5be73bdp-6, -0x1.e5aee674af1f1p-6, -0x1.df3626692df1bp-6, -0x1.d8ca7c36889ccp-6, -0x1.d26be6d39cf41p-6, -0x1.cc1a61d25e289p-6, -0x1.c5d5ea54cd626p-6, -0x1.bf9e841ebc13dp-6, -0x1.b9743ddfbe8d1p-6, -0x1.b357333c6fc13p-6, -0x1.ad478bff51b88p-6, -0x1.a745785a50918p-6, -0x1.a1512aa1925eep-6, -0x1.9b6acfab3a426p-6, -0x1.959287370542dp-6, -0x1.8fc85df6040b2p-6, -0x1.8a0c4abee013p-6, -0x1.845e2f8f12786p-6, -0x1.7ebddf4f498f3p-6, -0x1.792b26b1a8c87p-6, -0x1.73a5d6a4193ebp-6, -0x1.6e2dcee83ff6ap-6, -0x1.68c30743127a7p-6, -0x1.63659438d07eap-6, -0x1.5e15a2ee03b79p-6, -0x1.58d3758c98cadp-6, -0x1.539f557f82ef6p-6, -0x1.4e798632e941ap-6, -0x1.496236ba990c9p-6, -0x1.445976a56d0c1p-6, -0x1.3f5f30670f7a5p-6, -0x1.3a732a717f9e9p-6, -0x1.35950ef2f8e41p-6, -0x1.30c4797a0501cp-6, -0x1.2c0107a5d9e35p-6, -0x1.274a6a45b23f2p-6, -0x1.22a0731d41e29p-6, -0x1.1e031cfffaef8p-6, -0x1.19728c9c93954p-6, -0x1.14ef08f33a12fp-6, -0x1.1078ed2ac96e9p-6, -0x1.0c10961166eadp-6, -0x1.07b64ec915bdap-6, -0x1.036a405fe9cc5p-6, -0x1.fe58cf01566c3p-7, -0x1.f5f92472786e9p-7, -0x1.edb4cc75a377p-7, -0x1.e58adc8e94ccep-7, -0x1.dd7a5891520eep-7, -0x1.d582591a3bd4p-7, -0x1.cda22e224c68bp-7, -0x1.c5d976f4c339dp-7, -0x1.be282b0dea6f1p-7, -0x1.b68e947169324p-7, -0x1.af0d395ce9af9p-7, -0x1.a7a4bc48b9b12p-7, -0x1.a055b7208c06bp-7, -0x1.99209a598e4bcp-7, -0x1.92059253d2d99p-7, -0x1.8b047d4c01c93p-7, -0x1.841cec6a14888p-7, -0x1.7d4e34ca9d3cdp-7, -0x1.76978780b607bp-7, -0x1.6ff80f6c679dep-7, -0x1.696f0e85c805fp-7, -0x1.62fbf62911f21p-7, -0x1.5c9e76ae80c36p-7, -0x1.565683c17df74p-7, -0x1.50244c68754bdp-7, -0x1.4a08279de00fcp-7, -0x1.44027827dad2dp-7, -0x1.3e138fef686ccp-7, -0x1.383b95ed3dac1p-7, -0x1.327a75e60f25bp-7, -0x1.2ccfe0d9fa14bp-7, -0x1.273b57b63151dp-7, -0x1.21bc3eb72638bp-7, -0x1.1c51f3c0e3a86p-7, -0x1.16fbe22566e8cp-7, -0x1.11b990613aef7p-7, -0x1.0c8aa6036dd26p-7, -0x1.076eec08cfd38p-7, -0x1.02664bfb4e619p-7, -0x1.fae199fd17e59p-8, -0x1.f11d211958374p-8, -0x1.e77f9768fa56fp-8, -0x1.de097828aa027p-8, -0x1.d4bb2c3609479p-8, -0x1.cb94e0a66c361p-8, -0x1.c29660ca0ea0ep-8, -0x1.b9bf036bed272p-8, -0x1.b10db1d5ff9d1p-8, -0x1.a8810ae3fb6ccp-8, -0x1.a01799b3ac951p-8, -0x1.97d00e39e4d78p-8, -0x1.8fa964cd967fcp-8, -0x1.87a2f06053032p-8, -0x1.7fbc483f43e59p-8, -0x1.77f527383dd8cp-8, -0x1.704d5002e9da6p-8, -0x1.68c485b8258bfp-8, -0x1.615a9c91e34fcp-8, -0x1.5a0f919ff0c4cp-8, -0x1.52e3a309cd5e9p-8, -0x1.4bd74c55b4603p-8, -0x1.44eb2c4997d03p-8, -0x1.3e1fd85a70248p-8, -0x1.3775afd9135cdp-8, -0x1.30ecbdb1d42cap-8, -0x1.2a84ad4a43bf7p-8, -0x1.243ccbb3deb88p-8, -0x1.1e140afaadc6fp-8, -0x1.1809045c480ap-8, -0x1.121a01376e0dap-8, -0x1.0c451790a67afp-8, -0x1.068860a0d80fbp-8, -0x1.00e240edea474p-8, -0x1.f6a3564766368p-9, -0x1.ebac86312c5f6p-9, -0x1.e0e0a16dc2269p-9, -0x1.d6410ddb352b2p-9, -0x1.cbcf6e2fb7c96p-9, -0x1.c18d1dae8c035p-9, -0x1.b77b0b8511cdcp-9, -0x1.ad99f7f33e1cfp-9, -0x1.a3eaf5987914fp-9, -0x1.9a6fcbade7d8ep-9, -0x1.912ae74ec18f5p-9, -0x1.881eb8b6ace6dp-9, -0x1.7f4cb4c0e8b43p-9, -0x1.76b44f4277537p-9, -0x1.6e525f6e82001p-9, -0x1.6621149cd7fe8p-9, -0x1.5e18b27373629p-9, -0x1.56310b69283efp-9, -0x1.4e637099cba2ap-9, -0x1.46ac72c32cb2p-9, -0x1.3f0ca4ea116aap-9, -0x1.3787db679cc17p-9, -0x1.3023062ab0d43p-9, -0x1.28e1ddc9c3959p-9, -0x1.21c5932920e3dp-9, -0x1.1acd3627217e7p-9, -0x1.13f7562bfae4bp-9, -0x1.0d43bfebe0ffbp-9, -0x1.06b457e2ac288p-9, -0x1.004cb08a5f90ep-9, -0x1.f421536ce8f01p-10, -0x1.e805b69d04974p-10, -0x1.dc471e0fc56p-10, -0x1.d0e1214b574fdp-10, -0x1.c5cb22a63190bp-10, -0x1.baf98a6f95846p-10, -0x1.b05f652afd7b9p-10, -0x1.a5f0aa9b7bef7p-10, -0x1.9ba4e39b7226dp-10, -0x1.917902f0a7aap-10, -0x1.876f3578a0257p-10, -0x1.7d8c9efca90c9p-10, -0x1.73d66e96dc8d6p-10, -0x1.6a4ffc87d8aafp-10, -0x1.60fa8d69ec911p-10, -0x1.57d65823286c3p-10, -0x1.4ee3e9bda997ep-10, -0x1.462502d958929p-10, -0x1.3d9c4fa1ea7b2p-10, -0x1.354c62312539cp-10, -0x1.2d370404e5c4ap-10, -0x1.255d270d6fb47p-10, -0x1.1dbea8ef7a634p-10, -0x1.16599ddf6419p-10, -0x1.0f2971d3b7b06p-10, -0x1.0827174622febp-10, -0x1.014a9b2ba2272p-10, -0x1.f51b83e82dad2p-11, -0x1.e7dc85da3ff81p-11, -0x1.dadbfae7b282fp-11, -0x1.ce2149d5a9936p-11, -0x1.c1b0d8840680ap-11, -0x1.b58865bc4c02p-11, -0x1.a9a082360a34p-11, -0x1.9df14a9c1a128p-11, -0x1.92779123e7ad7p-11, -0x1.8737b548de83fp-11, -0x1.7c3b675fca501p-11, -0x1.718b3b5dae28cp-11, -0x1.672962972d5abp-11, -0x1.5d115b0c5583cp-11, -0x1.533c0db456108p-11, -0x1.49a54820c3bbfp-11, -0x1.404ecc7afe86dp-11, -0x1.373db73031722p-11, -0x1.2e74214ed1333p-11, -0x1.25ed0867fd0dep-11, -0x1.1d9da11d6e8f7p-11, -0x1.157a05f82bbdap-11, -0x1.0d79f30225e8cp-11, -0x1.059bc6dd1ac7bp-11, -0x1.fbc8c1cd9429ep-12, -0x1.ecb74829545a1p-12, -0x1.de0ee869baa37p-12, -0x1.cfd1cb2c744f4p-12, -0x1.c1fb8865cd784p-12, -0x1.b48b0f9c6a3ap-12, -0x1.a783818af1665p-12, -0x1.9ae0d3a06894fp-12, -0x1.8e91a7df65604p-12, -0x1.8282225f8b5d1p-12, -0x1.76ab4097766bbp-12, -0x1.6b1547a5e05c8p-12, -0x1.5fcbfd400966p-12, -0x1.54d26ce35bdc7p-12, -0x1.4a24114e87523p-12, -0x1.3fc1b39322a75p-12, -0x1.35b7096683e2bp-12, -0x1.2c0ef4fdfb0e9p-12, -0x1.22c44f550f4a9p-12, -0x1.19bfbb9f5e837p-12, -0x1.10e4453bbc6c3p-12, -0x1.08236e787446ap-12, -0x1.ff0e055ac167p-13, -0x1.ee46668dead6ep-13, -0x1.ddfe3c862b958p-13, -0x1.ce2196a10e5c3p-13, -0x1.bea34e0ef4d98p-13, -0x1.af97154febeffp-13, -0x1.a11701e2a4d66p-13, -0x1.932745796c409p-13, -0x1.85bc42513ddc7p-13, -0x1.78c954b5ca4e9p-13, -0x1.6c41dcc02c4edp-13, -0x1.600ee12cf406cp-13, -0x1.540f3a2d92a44p-13, -0x1.4831006ef0439p-13, -0x1.3c88802282a4cp-13, -0x1.313ec88ddf799p-13, -0x1.26677fe5f1975p-13, -0x1.1bf828e10675ap-13, -0x1.11ea820798fcdp-13, -0x1.084b35160b45dp-13, -0x1.fe285ae06f96bp-14, -0x1.ec304503497d3p-14, -0x1.da6985a9650acp-14, -0x1.c8fcc9f3e880ap-14, -0x1.b82bc6cb76d6p-14, -0x1.a7e1610512f39p-14, -0x1.97eb207f82965p-14, -0x1.885ff250206ap-14, -0x1.797460dc5e9cbp-14, -0x1.6b26b21fd4a0fp-14, -0x1.5d4ff5efa6992p-14, -0x1.4fd355df950acp-14, -0x1.42a9bd77bb8a7p-14, -0x1.35db442704c25p-14, -0x1.2976375587b9bp-14, -0x1.1d878f0486b9bp-14, -0x1.121669a479b1ep-14, -0x1.0721d803ae69bp-14, -0x1.f92e23dbd83afp-15, -0x1.e49621078fa95p-15, -0x1.d04c1204498a3p-15, -0x1.bcaa5a73a10fap-15, -0x1.aa2090bf7f468p-15, -0x1.988e7ef095616p-15, -0x1.87919089f3186p-15, -0x1.76f9157121c63p-15, -0x1.66c1b99148e5ap-15, -0x1.572f45d719aedp-15, -0x1.48668f528b61ap-15, -0x1.39fa2f15c3badp-15, -0x1.2bb9087f6314p-15, -0x1.1e0a8bacf00e5p-15, -0x1.111d9554e5101p-15, -0x1.04be1a79fbbd9p-15, -0x1.f17bbe323edd3p-16, -0x1.da2626d0168bbp-16, -0x1.c384a1d7a62bep-16, -0x1.ada28f6fe6009p-16, -0x1.988295c732cdap-16, -0x1.8420a0184125cp-16, -0x1.707756ff5c99ep-16, -0x1.5d832f2445459p-16, -0x1.4b441ce98a96bp-16, -0x1.39b9fc4e1f00dp-16, -0x1.28e32678ae6cep-16, -0x1.18cd55e3316d2p-16, -0x1.09a6dcb1ce19fp-16, -0x1.f6f39bc33a3a5p-17, -0x1.dbc7a1bf5e2e9p-17, -0x1.c1acb4020c34dp-17, -0x1.a9557ef0b30aap-17, -0x1.917ce68de259bp-17, -0x1.795f3c855369dp-17, -0x1.62c8abf52aaa2p-17, -0x1.4d7ce1f51d30ap-17, -0x1.38b1cc91a8864p-17, -0x1.2544254386c5p-17, -0x1.132bdafcf7902p-17, -0x1.01c2c4540f26ap-17, -0x1.e1aad26c941d5p-18, -0x1.c0f739e49a54cp-18, -0x1.a19ef02bb7b96p-18, -0x1.83b7fba628895p-18, -0x1.6740f15ce5babp-18, -0x1.4c2c625df3ba3p-18, -0x1.326aac3d8f2c3p-18, -0x1.19ef35f69f557p-18, -0x1.02b5b6fc0e251p-18, -0x1.d95ab778a5f8cp-19, -0x1.af92607a6b217p-19, -0x1.87f495f3e838fp-19, -0x1.6245406be87b3p-19, -0x1.3e5f44ee1d309p-19, -0x1.1c2da85704f26p-19, -0x1.f6ff791d93785p-20, -0x1.b87b6aea1dc84p-20, -0x1.7ff25b3127cc9p-20, -0x1.53590ec5a7acfp-20, -0x1.2d99dfcfb573cp-20, -0x1.052d638e92084p-20, -0x1.b37a4a3f447cp-21, -0x1.5633878995ca1p-21, -0x1.08b17e4466684p-21, -0x1.9b6bad1a1f783p-22, -0x1.2daa560e59588p-22, -0x1.801302570d913p-23, -0x1.55f0888e61311p-24, 0x1.cd82fe77779ep-27, 0x1.a8ae27ab45769p-24, 0x1.7afa8c1818344p-23, 0x1.08937ad26d8cp-22, 0x1.4bd943731103bp-22, 0x1.87c2ead3de5b3p-22, 0x1.bcd06d097515p-22, 0x1.ec314b2d6d716p-22, 0x1.0a94ebc710a13p-21, 0x1.1c3364f3df06cp-21, 0x1.2b15b428db6a7p-21, 0x1.373a9ac86d9cep-21, 0x1.407e89f4bc532p-21, 0x1.47c878a169a63p-21, 0x1.4d2c2356ba5b3p-21, 0x1.50f9d0de6b58bp-21, 0x1.5378d62895dd5p-21, 0x1.550c68d21a89dp-21, 0x1.547a651975ad4p-21, 0x1.4e3faff02e7ebp-21, 0x1.457172bdefe9fp-21, 0x1.3db9964b81fe3p-21, 0x1.3493a3f5c72d3p-21, 0x1.28983fc0a0094p-21, 0x1.1d47b9bb1ecb7p-21, 0x1.121639d2bdbc5p-21, 0x1.03aae27371d9dp-21, 0x1.e875d3759193fp-22, 0x1.c9c802d1d91p-22, 0x1.aa8780ae4abb6p-22, 0x1.8a02c160ac471p-22, 0x1.6814ebffe683p-22, 0x1.44bbdf0fcc407p-22, 0x1.2037fc134f8fap-22, 0x1.f53cd38d67504p-23, 0x1.a8375e74888dbp-23, 0x1.599f757425fcbp-23, 0x1.09ae8c2fdf1dp-23, 0x1.712c0504a7362p-24, 0x1.99f86649862dfp-25, 0x1.38aa2ea0f333bp-27, -0x1.006e8f52d0cfbp-25, -0x1.2890eaa070042p-24, -0x1.d16511d61b87dp-24, -0x1.3cf73e19a9a54p-23, -0x1.910f675b0c9e7p-23, -0x1.e50dc18ee0645p-23, -0x1.1c319b7123951p-22, -0x1.453d0acbf5ec4p-22, -0x1.6ee1f56c7bbaep-22, -0x1.9a491470c30aap-22, -0x1.c326a155cb578p-22, -0x1.ea677c2b96e6p-22, -0x1.0961446430132p-21, -0x1.1da513b5ed8cep-21, -0x1.31e335624d233p-21, -0x1.457beba994fa8p-21, -0x1.583082e3108f2p-21, -0x1.6bb8549a6ebdap-21, -0x1.7de767bab542dp-21, -0x1.90252d87f0669p-21, -0x1.a1f6f996fb201p-21, -0x1.b3855054ff4d4p-21, -0x1.c48b1f212e5d7p-21, -0x1.d540fa42ca17dp-21, -0x1.e5849fe5bef09p-21, -0x1.f604a4eaf8a8p-21, -0x1.02b23690f7eb3p-20, -0x1.0a4e7b5db9729p-20, -0x1.11b6525e5e4dbp-20, -0x1.18eac24268f15p-20, -0x1.1fea802a808e9p-20, -0x1.26b4a9e45d8a8p-20, -0x1.2d48de8326d7ep-20, -0x1.33a6beb34bc3dp-20, -0x1.39cd8c9657f04p-20, -0x1.3fbca8e7939ffp-20, -0x1.4574291b40933p-20, -0x1.4af500697585ep-20, -0x1.503fa19a5696dp-20, -0x1.5551daee67d5ap-20, -0x1.5a2aee082b481p-20, -0x1.5ed40b1c5fc2fp-20, -0x1.63410091de2dap-20, -0x1.677a24a6123fdp-20, -0x1.6b800d3ef0d39p-20, -0x1.6f4cc0120a421p-20, -0x1.72e241074adfbp-20, -0x1.7641687b82afbp-20, -0x1.796c050ff9874p-20, -0x1.7c6419fc317cfp-20, -0x1.7f2b14d8367b5p-20, -0x1.81b76f9f1c93ap-20, -0x1.841e6dcb3fa8dp-20, -0x1.8649f226ea2f7p-20, -0x1.884548d2842dfp-20, -0x1.8a1164a606b9ap-20, -0x1.8bad3166ace52p-20, -0x1.8d18e845f449bp-20, -0x1.8e56b5a96db84p-20, -0x1.8f68c108bba31p-20, -0x1.901f66752ae73p-20, -0x1.9101dfdbfcea8p-20, -0x1.918b00470910ap-20, -0x1.91e8b1a14ca2fp-20, -0x1.92226908bd51ep-20, -0x1.9234eea3582bcp-20, -0x1.920dc823a0441p-20, -0x1.91c68e311379ap-20, -0x1.915c1dc712257p-20, -0x1.90c973576b8c5p-20, -0x1.901980807f0dcp-20, -0x1.8f3a661f74d7ap-20, -0x1.8e3b1ea4653bp-20, -0x1.8d1e70a17c242p-20, -0x1.8be1a17233776p-20, -0x1.8a7ce03b782bdp-20, -0x1.88f326edb8687p-20, -0x1.876eac9b21cbdp-20, -0x1.858052dd0c8b4p-20, -0x1.83a005406652dp-20, -0x1.81a60a666cf83p-20, -0x1.7f89fe6540743p-20, -0x1.7d56c35215f26p-20, -0x1.7b0558f6f6adep-20, -0x1.78aad16bdeb9ap-20, -0x1.7631c4fb7d64cp-20, -0x1.737edb16ce89fp-20, -0x1.70c38c6ad56c7p-20, -0x1.6e00bc6726bccp-20, -0x1.6b1c96c326831p-20, -0x1.682139652259dp-20, -0x1.651b168efcee2p-20, -0x1.620348a80f27fp-20, -0x1.5ece934a063dbp-20, -0x1.5b915f2388552p-20, -0x1.583f5e57ae9f6p-20, -0x1.54dbc930eabd9p-20, -0x1.516833c83c4cdp-20, -0x1.4de60fff7ed29p-20, -0x1.4a5d0a5f8479cp-20, -0x1.4657c39ae8e43p-20, -0x1.43084c3e61476p-20, -0x1.3f4b0fbbfd866p-20, -0x1.3b866788158b7p-20, -0x1.37b752cb6c8cdp-20, -0x1.33dd5a625f4b5p-20, -0x1.2ffc08c8f136cp-20, -0x1.2c0d430e6657fp-20, -0x1.28055540fe6b6p-20, -0x1.240b3863fe7e1p-20, -0x1.1ffbd186f1a48p-20, -0x1.1bfb2972dab59p-20, -0x1.17e78eda94ec9p-20, -0x1.13cc7a4832d07p-20, -0x1.0fa968a9fb7bep-20, -0x1.0b8357fabf748p-20, -0x1.0758f7e0d25fbp-20, -0x1.032c5b0116332p-20, -0x1.fdfa4079fd2b7p-21, -0x1.f577641cb03f6p-21, -0x1.ed264b3ea5cfbp-21, -0x1.e4abea776a99dp-21, -0x1.dc330d2cd3fe2p-21, -0x1.d3c9cafa2b607p-21, -0x1.cb4b0fd6884ep-21, -0x1.c2d6a6ca74977p-21, -0x1.ba5b3413ca7b3p-21, -0x1.b1d5d5ba4186dp-21, -0x1.a9622d3f3303ap-21, -0x1.a1019da7443p-21, -0x1.989e483aa362p-21, -0x1.9027d7dcb2c5ap-21, -0x1.87c855d444c83p-21, -0x1.7f58389c1f54fp-21, -0x1.770dd13ab906ap-21, -0x1.6f592c7034424p-21, -0x1.667379170474ap-21, -0x1.5e5143c2ed2c7p-21, -0x1.55e0fc7b5c929p-21, -0x1.4db7cb17f7ce2p-21, -0x1.4599e334044efp-21, -0x1.3d75242afd119p-21, -0x1.3560d1c1d20e6p-21, -0x1.2d5eab470d08bp-21, -0x1.256d6ab0a83b4p-21, -0x1.1d8b75690e6fap-21, -0x1.159da843918b3p-21, -0x1.0dba94fbdbd75p-21, -0x1.05e83696869a9p-21, -0x1.fc1420ca30d87p-22, }}, 
      {{-0x1.37c6cbc296673p-10, -0x1.2397cf5514057p-9, -0x1.89b69c9ea2a35p-9, -0x1.ca43a25c85c66p-9, -0x1.efa4600f99706p-9, -0x1.083aa2aa58d97p-8, -0x1.246efa846337dp-8, -0x1.5a0807472badp-8, -0x1.b40584614edcbp-8, -0x1.1ce71cd1b34a8p-7, -0x1.778689f68f313p-7, -0x1.ea062026d0473p-7, -0x1.399430a7de262p-6, -0x1.88515d0646c0dp-6, -0x1.dfb7340445916p-6, -0x1.1f03317d0646bp-5, -0x1.50afc9aeaa0a5p-5, -0x1.83ec96b972551p-5, -0x1.b7c804735db81p-5, -0x1.eb5a1098f6125p-5, -0x1.0ee48c6b9f419p-4, -0x1.2726b3c0b5788p-4, -0x1.3e19d71c533f4p-4, -0x1.536f4c2011daep-4, -0x1.66e3ca9645a23p-4, -0x1.783f7ae8fc5f2p-4, -0x1.8755ba1b10547p-4, -0x1.9404a186fd526p-4, -0x1.9e345f4f20d93p-4, -0x1.a5d66e1c8e8aep-4, -0x1.aae4b5d6f2de7p-4, -0x1.ad60a1bdba097p-4, -0x1.ad5234fe344bep-4, -0x1.aac721b807168p-4, -0x1.a5d1ec878a22bp-4, -0x1.9e891d3f50461p-4, -0x1.95067eafe9f47p-4, -0x1.89666feabd627p-4, -0x1.7bc748c11bdddp-4, -0x1.6c48d0fd8dd49p-4, -0x1.5b0bc4ac5a19bp-4, -0x1.483168460220ep-4, -0x1.33db31e7c99b3p-4, -0x1.1e2a7e7aaaa37p-4, -0x1.07404ae4beb8ap-4, -0x1.de79f5a126961p-5, -0x1.ac8062fcba44ap-5, -0x1.78d1623d6adf7p-5, -0x1.43a86fe40f32ep-5, -0x1.0d3ec7df2b365p-5, -0x1.ab96868aba629p-6, -0x1.3b0492be001f2p-6, -0x1.9257179f46642p-7, -0x1.59a872bc678abp-8, 0x1.ce6506b2255eep-10, 0x1.20e33b86850f2p-7, 0x1.03e8ec83f8cbdp-6, 0x1.77027cb431008p-6, 0x1.e9799581a7e34p-6, 0x1.2d873a9ee632bp-5, 0x1.65c31ef15093ap-5, 0x1.9d5569f752b3cp-5, 0x1.d42561ba1241cp-5, 0x1.050e43b5bf77ap-4, 0x1.1f93402271307p-4, 0x1.39987f0bd0f28p-4, 0x1.5315d301aeb36p-4, 0x1.6c03feb3f7083p-4, 0x1.845ca7e728c9p-4, 0x1.9c1a4c3fab598p-4, 0x1.b3383701341fdp-4, 0x1.c9b273b33d9ep-4, 0x1.df85c26269c55p-4, 0x1.f4af8cb6a0c46p-4, 0x1.0496ec6cc2c6ep-3, 0x1.0e7f9f38411efp-3, 0x1.18116e795651p-3, 0x1.214c28346b2a2p-3, 0x1.2a2fd3812735fp-3, 0x1.32bcac60d0799p-3, 0x1.3af31f043787p-3, 0x1.42d3c350d1d1dp-3, 0x1.4a5f58f4757a4p-3, 0x1.5196c37a27888p-3, 0x1.587b07080cec7p-3, 0x1.5f0d4497161e1p-3, 0x1.654eb68b28cf5p-3, 0x1.6b40ae43ad746p-3, 0x1.70e490f701775p-3, 0x1.763bd496709dbp-3, 0x1.7b47feb7473a7p-3, 0x1.800aa0a1cad5cp-3, 0x1.8485567157b67p-3, 0x1.88b9c4cb31be3p-3, 0x1.8ca997704356cp-3, 0x1.90567f20ce009p-3, 0x1.93c230965c48p-3, 0x1.96ee63243b94ep-3, 0x1.99dccf59451bep-3, 0x1.9c8f2dd43b8a3p-3, 0x1.9f07366435f6ep-3, 0x1.a1469efc4bad7p-3, 0x1.a34f1ad4a720cp-3, 0x1.a52259bda6226p-3, 0x1.a6c20727a2e92p-3, 0x1.a82fc9f75ab3ep-3, 0x1.a96d43b18ee58p-3, 0x1.aa7c0fed25123p-3, 0x1.ab5dc3ffbf5c8p-3, 0x1.ac13eee02624ep-3, 0x1.aca01844175bp-3, 0x1.ad03c0ccd9aap-3, 0x1.ad40617da8e9fp-3, 0x1.ad576bb412c0cp-3, 0x1.ad4a48c25d772p-3, 0x1.ad1a5a1226094p-3, 0x1.acc8f8cbe2b12p-3, 0x1.ac5775a398f95p-3, 0x1.abc7191308a4ap-3, 0x1.ab192313731b1p-3, 0x1.aa4ecb4644b58p-3, 0x1.a96940d8e710cp-3, 0x1.a869aa6ae51d1p-3, 0x1.a7512670abf7dp-3, 0x1.a620cb0362512p-3, 0x1.a4d9a5d7c9fp-3, 0x1.a37cbc9f24aep-3, 0x1.a20b0cf3e50f5p-3, 0x1.a0858c83abf8p-3, 0x1.9eed29337fc04p-3, 0x1.9d42c918d1b87p-3, 0x1.9b874aa37d9fbp-3, 0x1.99bb84cd8369fp-3, 0x1.97e047b04ec16p-3, 0x1.95f65bedffd7dp-3, 0x1.93fe8361ec0dp-3, 0x1.91f978c33945cp-3, 0x1.8fe7f0406ffdbp-3, 0x1.8dca97a7ee0a5p-3, 0x1.8ba2165d6684cp-3, 0x1.896f0d99dcfe3p-3, 0x1.873218914538dp-3, 0x1.84ebccc2e840fp-3, 0x1.829cb9ca50e5fp-3, 0x1.80456a005e0dcp-3, 0x1.7de6624408beap-3, 0x1.7b80224e91abep-3, 0x1.791324cf07c27p-3, 0x1.769fdfb220ca7p-3, 0x1.7426c433f0abp-3, 0x1.71a83ee43cd8p-3, 0x1.6f24b81175328p-3, 0x1.6c9c93bff8f23p-3, 0x1.6a1031ebb48b8p-3, 0x1.677fee915b703p-3, 0x1.64ec21cd5106p-3, 0x1.6255203c0d364p-3, 0x1.5fbb3ad2820cfp-3, 0x1.5d1ebf2acf3e1p-3, 0x1.5a7ff776f8b2p-3, 0x1.57df2aeb1de2bp-3, 0x1.553c9da0e2a0ep-3, 0x1.529890c51ad86p-3, 0x1.4ff342ab8c511p-3, 0x1.4d4ceefbbf6d5p-3, 0x1.4aa5cee313784p-3, 0x1.47fe18e167867p-3, 0x1.455601381dc1ep-3, 0x1.42adb9c1afb0dp-3, 0x1.40057244c0861p-3, 0x1.3d5d5855d19d2p-3, 0x1.3ab5978ff78c8p-3, 0x1.380e5994bc3dep-3, 0x1.3567c63dea3ap-3, 0x1.32c2037cad702p-3, 0x1.301d35cf25ae8p-3, 0x1.2d797fc67fdafp-3, 0x1.2ad702982dc1ap-3, 0x1.2835ddeb174cbp-3, 0x1.25963005afd63p-3, 0x1.22f816048ba13p-3, 0x1.205bab0f7bcdp-3, 0x1.1dc109b29b56cp-3, 0x1.1b284b24539bp-3, 0x1.189187883dee3p-3, 0x1.15fcd5ac6fc1bp-3, 0x1.136a4b7a1d1dp-3, 0x1.10d9fdfee232bp-3, 0x1.0e4c0116acc47p-3, 0x1.0bc067fae0a9p-3, 0x1.093744d7472bbp-3, 0x1.06b0a923b24c2p-3, 0x1.042ca58474913p-3, 0x1.01ab49e3a148fp-3, 0x1.fe594ad13a2f9p-4, 0x1.f9618d4323271p-4, 0x1.f46f76d20aeefp-4, 0x1.ef8321e788d75p-4, 0x1.ea9ca7fe20f93p-4, 0x1.e5bc2111c2734p-4, 0x1.e0e1a4579fca5p-4, 0x1.dc0d47fc67ab4p-4, 0x1.d73f20d72e014p-4, 0x1.d277433016f88p-4, 0x1.cdb5c238b54bp-4, 0x1.c8fab04cd5ed6p-4, 0x1.c4461eff7b384p-4, 0x1.bf981f05eacf7p-4, 0x1.baf0c07b56e61p-4, 0x1.b6501271cf832p-4, 0x1.b1b62370178edp-4, 0x1.ad23016c28f74p-4, 0x1.a896b9a54cd7p-4, 0x1.a411589727546p-4, 0x1.9f92ea51f3ffap-4, 0x1.9b1b7a3258cp-4, 0x1.96ab130b727c8p-4, 0x1.9241bf366048fp-4, 0x1.8ddf886e02a43p-4, 0x1.898477f65d5fdp-4, 0x1.853096bb55509p-4, 0x1.80e3ece9b4a7ep-4, 0x1.7c9e826d2e72ap-4, 0x1.78605e9e9c4b8p-4, 0x1.7429888d3ae04p-4, 0x1.6ffa06adf9e71p-4, 0x1.6bd1df3248a26p-4, 0x1.67b117d7ad3dp-4, 0x1.6397b5fa097f3p-4, 0x1.5f85be8d9e59ep-4, 0x1.5b7b363070a9p-4, 0x1.5778212455b79p-4, 0x1.537c833a3c9cep-4, 0x1.4f88600c8aed7p-4, 0x1.4b9bbacab89fbp-4, 0x1.47b6965ab3bcfp-4, 0x1.43d8f52d4ffdap-4, 0x1.4002d98e8bddbp-4, 0x1.3c34456203d87p-4, 0x1.386d3a4268766p-4, 0x1.34adb974b21bfp-4, 0x1.30f5c408bc2d7p-4, 0x1.2d455ab2e15cp-4, 0x1.299c7dc9c013ep-4, 0x1.25fb2d627c0a7p-4, 0x1.226169855152p-4, 0x1.1ecf31b239256p-4, 0x1.1b44853186c55p-4, 0x1.17c163175173ap-4, 0x1.1445ca269734p-4, 0x1.10d1b8dc6eea7p-4, 0x1.0d652d868a535p-4, 0x1.0a002629ac94fp-4, 0x1.06a2a08b3a32ep-4, 0x1.034c9a3513a07p-4, 0x1.fffc20d3aee6ap-5, 0x1.f96e008dc16e4p-5, 0x1.f2eecd35241c3p-5, 0x1.ec7e7fdb9357cp-5, 0x1.e61d114d60424p-5, 0x1.dfca79e3cd63dp-5, 0x1.d986b1703a20fp-5, 0x1.d351af5d21162p-5, 0x1.cd2b6aacce10dp-5, 0x1.c713d9f057263p-5, 0x1.c10af34d4f17fp-5, 0x1.bb10aca976707p-5, 0x1.b524fb47cedb8p-5, 0x1.af47d43118c54p-5, 0x1.a9792c075d8f8p-5, 0x1.a3b8f6f452572p-5, 0x1.9e0728e94163cp-5, 0x1.9863b5557308ep-5, 0x1.92ce8f5696fe1p-5, 0x1.8d47a9ce7f04dp-5, 0x1.87cef712b26c1p-5, 0x1.8264694dd80acp-5, 0x1.7d07f24c16a5dp-5, 0x1.77b98389cfffbp-5, 0x1.72790e1081d4bp-5, 0x1.6d4682c3b4a8dp-5, 0x1.6821d23400a39p-5, 0x1.630aec86d613bp-5, 0x1.5e01c1bf03859p-5, 0x1.590641781039dp-5, 0x1.54185b1f4a96p-5, 0x1.4f37fdc16a7a1p-5, 0x1.4a65184652b6cp-5, 0x1.459f994063198p-5, 0x1.40e76eeccb75ap-5, 0x1.3c3c87794722bp-5, 0x1.379ed09915288p-5, 0x1.330e382aa7016p-5, 0x1.2e8aab5a8077bp-5, 0x1.2a14176d1d231p-5, 0x1.25aa692b9fb04p-5, 0x1.214d8d1b7da8ep-5, 0x1.1cfd7124c0bfep-5, 0x1.18ba00ce17d17p-5, 0x1.148327db9ace6p-5, 0x1.1058d0d65daa9p-5, 0x1.0c3aeb0869c81p-5, 0x1.0829601e0d0a4p-5, 0x1.04241b7f979c6p-5, 0x1.002b08a021e0ap-5, 0x1.f87c259205035p-6, 0x1.f0ba4a1193d75p-6, 0x1.e910543e54aefp-6, 0x1.e17e19be560d3p-6, 0x1.da036fb013e3ap-6, 0x1.d2a02ae5f2aa2p-6, 0x1.cb54209ca107fp-6, 0x1.c41f255849eb5p-6, 0x1.bd010d26ef8d4p-6, 0x1.b5f9abf46d89ap-6, 0x1.af08d5ccdba11p-6, 0x1.a82e5e8fc3823p-6, 0x1.a16a19b9a0c72p-6, 0x1.9abbdab6d7a6ep-6, 0x1.942374e03d9c4p-6, 0x1.8da0bb5acaf53p-6, 0x1.8733812761fd7p-6, 0x1.80db992f2c2e2p-6, 0x1.7a98d64282d0ap-6, 0x1.746b0b0c3d5dcp-6, 0x1.6e520a1a3637bp-6, 0x1.684da63396eeap-6, 0x1.625db1892caabp-6, 0x1.5c81feb4de112p-6, 0x1.56ba60248fbe3p-6, 0x1.5106a80e3f69bp-6, 0x1.4b66a8ff05f26p-6, 0x1.45da34f8e2d0ap-6, 0x1.40611e8cee0c8p-6, 0x1.3afb37f497164p-6, 0x1.35a853828b548p-6, 0x1.3068439387accp-6, 0x1.2b3ada82c3e0ep-6, 0x1.261feaa693228p-6, 0x1.2117465d5508dp-6, 0x1.1c20c02d69ee8p-6, 0x1.173c2acbf49b6p-6, 0x1.126958cff1182p-6, 0x1.0da81cee0b406p-6, 0x1.08f849e7af579p-6, 0x1.0459b29688275p-6, 0x1.ff98540fd5f6dp-7, 0x1.f69f06bef880ap-7, 0x1.edc723d3b5e9fp-7, 0x1.e510518e279b4p-7, 0x1.dc7a367ff3fcdp-7, 0x1.d4047a4e2247ap-7, 0x1.cbaec4a1d7d44p-7, 0x1.c378bd13b2017p-7, 0x1.bb620b82a9c36p-7, 0x1.b36a585fcfa2cp-7, 0x1.ab914c7857c29p-7, 0x1.a3d690f7c1913p-7, 0x1.9c39cf45c3772p-7, 0x1.94bab106f3b96p-7, 0x1.8d58e03d13658p-7, 0x1.861407742e0cbp-7, 0x1.7eebd1aa120f4p-7, 0x1.77dfea46a119bp-7, 0x1.70effd1dbf8a9p-7, 0x1.6a1bb6a2b5c53p-7, 0x1.6362c39119f89p-7, 0x1.5cc4d12c727c3p-7, 0x1.56418d0d207c6p-7, 0x1.4fd8a5218bbfbp-7, 0x1.4989c7acd249fp-7, 0x1.4354a36f20197p-7, 0x1.3d38e7c13f73p-7, 0x1.37364402599d1p-7, 0x1.314c692e11f04p-7, 0x1.2b7b07b48bc6p-7, 0x1.25c1d1e82e096p-7, 0x1.20207a0d09c6ap-7, 0x1.1a96b30a6f0cfp-7, 0x1.15243052dd8e5p-7, 0x1.0fc8a5c26c94p-7, 0x1.0a83c78b19c69p-7, 0x1.05554a2932db4p-7, 0x1.003ce25e0e138p-7, 0x1.f6748a5402712p-8, 0x1.ec9a50438ac1p-8, 0x1.e2ea85c86cef3p-8, 0x1.d964990564c54p-8, 0x1.d007f9696b0fcp-8, 0x1.c6d41a16a539bp-8, 0x1.bdc86f60f0cc3p-8, 0x1.b4e46ea6dac99p-8, 0x1.ac278e3e13559p-8, 0x1.a3914551b20e9p-8, 0x1.9b210b7cb327ep-8, 0x1.92d658fb2f5cp-8, 0x1.8ab0a64e48eep-8, 0x1.82af6cbb45529p-8, 0x1.7ad226684989cp-8, 0x1.73184f0d50ac8p-8, 0x1.6b8163a14034cp-8, 0x1.640ce2dc366f9p-8, 0x1.5cba4ef1d7253p-8, 0x1.558928b1a2669p-8, 0x1.4e7904f989328p-8, 0x1.4789474ec27ecp-8, 0x1.40b9a25719f6cp-8, 0x1.3a098525c5587p-8, 0x1.33788065b27bcp-8, 0x1.2d061d4f4e474p-8, 0x1.26b1e4f8bbd54p-8, 0x1.207b61c28923fp-8, 0x1.1a621eb34939dp-8, 0x1.1465a72c6f95bp-8, 0x1.0e85887e2eb9dp-8, 0x1.08c15155af1fap-8, 0x1.031892b241d37p-8, 0x1.fb15c03b24b7cp-9, 0x1.f02f9f2dadf05p-9, 0x1.e57df2de190c4p-9, 0x1.daffefd717aabp-9, 0x1.d0b4cd94e8dabp-9, 0x1.c69bc5460965bp-9, 0x1.bcb410a71198cp-9, 0x1.b2fce908cc424p-9, 0x1.a97586a56c0f3p-9, 0x1.a01d209471a1bp-9, 0x1.96f2ed92b95ffp-9, 0x1.8df625aaeb8cap-9, 0x1.852603f934553p-9, 0x1.7c81c7c5d652ep-9, 0x1.7408b472a3b0ap-9, 0x1.6bba15030524fp-9, 0x1.6395347f6eceep-9, 0x1.5b996959eb1a5p-9, 0x1.53c60a1bcd86fp-9, 0x1.4c1a726aa192ep-9, 0x1.4495ff86d9dfdp-9, 0x1.3d381045a09f5p-9, 0x1.35ffff603df7ap-9, 0x1.2eed29dbda48ep-9, 0x1.27fee80b7357ep-9, 0x1.21349521d3a7bp-9, 0x1.1a8d8a0e666f3p-9, 0x1.140922c99a723p-9, 0x1.0da6beeb2f12ap-9, 0x1.0765c2cb7bd19p-9, 0x1.0145980d98c3fp-9, 0x1.f68b5adb39685p-10, 0x1.eacaec167c4b9p-10, 0x1.df48cffda4bd9p-10, 0x1.d403f46989d51p-10, 0x1.c8fb539e2d8a4p-10, 0x1.be2ddcff19b6dp-10, 0x1.b39a7b28f69cp-10, 0x1.a940233dac4f8p-10, 0x1.9f1dc6aecf4dep-10, 0x1.95325947cdd94p-10, 0x1.8b7cd59eaa516p-10, 0x1.81fc3f2c975f7p-10, 0x1.78af9ba2416a1p-10, 0x1.6f95ecd790984p-10, 0x1.66ae3d10c669bp-10, 0x1.5df7a520b6616p-10, 0x1.5571414ea1fap-10, 0x1.4d1a320019a89p-10, 0x1.44f1a1ee1b84ap-10, 0x1.3cf6bfad6f639p-10, 0x1.3528bbf9489a9p-10, 0x1.2d869c88a0fa5p-10, 0x1.260fb1fbc24b6p-10, 0x1.1ec2f91df376dp-10, 0x1.179f8fda020fep-10, 0x1.10a4a8f03e7aep-10, 0x1.09d1741c325d2p-10, 0x1.03252c4b32616p-10, 0x1.f93e22d939de7p-11, 0x1.ec7ccb1d1f24bp-11, 0x1.e004d97f17cffp-11, 0x1.d3d4df5fc9068p-11, 0x1.c7eb7e545a4e1p-11, 0x1.bc4766338e29cp-11, 0x1.b0e792834cc28p-11, 0x1.a5ca0a92b824bp-11, 0x1.9aee92c673713p-11, 0x1.9053559627f2ep-11, 0x1.85f72b2ffaa3bp-11, 0x1.7bd8c009093a3p-11, 0x1.71f6be48f454fp-11, 0x1.684fd16486de7p-11, 0x1.5ee2a9fb80134p-11, 0x1.55ae008c35671p-11, 0x1.4cb094e1be611p-11, 0x1.43e92b983da1ep-11, 0x1.3b568d7ac7255p-11, 0x1.32f78ae1e9458p-11, 0x1.2acb021c65928p-11, 0x1.22cfe5aad122ap-11, 0x1.1b053e9670bbep-11, 0x1.136a29a74fcc9p-11, 0x1.0bfdd011867fcp-11, 0x1.04bf5fd565704p-11, 0x1.fb5c0dea9a8a4p-12, 0x1.ed91d33dd3945p-12, 0x1.e01e61c55209p-12, 0x1.d2fff20e46322p-12, 0x1.c634c0b032c96p-12, 0x1.b9baf08f3897cp-12, 0x1.ad909f669c3b1p-12, 0x1.a1b3d2a089049p-12, 0x1.96229d93928dap-12, 0x1.8adafe58b56c3p-12, 0x1.7fdb09926b7cap-12, 0x1.7520ea10f543fp-12, 0x1.6aaad368b8103p-12, 0x1.6077263179f17p-12, 0x1.5684533c92cd2p-12, 0x1.4cd0b7bae440ap-12, 0x1.435b23cf9efacp-12, 0x1.3a22053d9e5eap-12, 0x1.312544a02f24fp-12, 0x1.2863282941cfap-12, 0x1.1fdb67778c18cp-12, 0x1.178cd70592baap-12, 0x1.0f763067bf557p-12, 0x1.07962297623cap-12, 0x1.ffd6ad86ab0f2p-13, 0x1.f0e8f5c265cb1p-13, 0x1.e26079f6647b6p-13, 0x1.d43a8eacf1183p-13, 0x1.c6748a218f3e8p-13, 0x1.b90bd794b6ab3p-13, 0x1.abfe0025da7e8p-13, 0x1.9f489b016c255p-13, 0x1.92e92fc6824dbp-13, 0x1.86dd2c31c5479p-13, 0x1.7b2206bf7da59p-13, 0x1.6fb5809821f02p-13, 0x1.6495d86386bb4p-13, 0x1.59c1c9812f311p-13, 0x1.4f3855a404dap-13, 0x1.44f879f091e2fp-13, 0x1.3b00fe3352a2dp-13, 0x1.315075e61d7e3p-13, 0x1.27e53dbacb20fp-13, 0x1.1ebd8b80920bfp-13, 0x1.15d78c6f5d70dp-13, 0x1.0d318849cf681p-13, 0x1.04c9ea121230ep-13, 0x1.f93e41e057067p-14, 0x1.e9609f570ac69p-14, 0x1.d9f2ae1d406efp-14, 0x1.caf68d7132455p-14, 0x1.bc66d2768daf8p-14, 0x1.ae4037a13aebap-14, 0x1.a07f5ce3b2ep-14, 0x1.93216ab71ace6p-14, 0x1.86243c467f794p-14, 0x1.79860ffb6586ap-14, 0x1.6d44f194298e6p-14, 0x1.615e6c4b90487p-14, 0x1.55cfcd94a2d8ep-14, 0x1.4a96bb4fb86cap-14, 0x1.3fb1697c2642cp-14, 0x1.351e4a0928b33p-14, 0x1.2adb97149caa1p-14, 0x1.20e72d24e571dp-14, 0x1.173ec6f2bd483p-14, 0x1.0de06493ae309p-14, 0x1.04c9b092d74b3p-14, 0x1.f7f5b1b1f454ep-15, 0x1.e6e0c59defe87p-15, 0x1.d651dc51d5bd9p-15, 0x1.c6440cc0178b6p-15, 0x1.b6b2ed03caeb1p-15, 0x1.a799233699d0dp-15, 0x1.98f303b452e0dp-15, 0x1.8abe8903fa5e9p-15, 0x1.7cfa4186bff35p-15, 0x1.6fa44eca530bfp-15, 0x1.62ba1f7d06a39p-15, 0x1.5638690dddc7ep-15, 0x1.4a19112f6cf88p-15, 0x1.3e5e3177bf3dbp-15, 0x1.33006702fa11p-15, 0x1.27ff9b6f978a3p-15, 0x1.1d58527df07bcp-15, 0x1.13081c0322d81p-15, 0x1.090c4ef4dc0bfp-15, 0x1.fec4ae5020625p-16, 0x1.ec101adfbfd06p-16, 0x1.d9f76da027b5p-16, 0x1.c877a4729b668p-16, 0x1.b78c379dfc025p-16, 0x1.a73101186e501p-16, 0x1.9760b042fcd2dp-16, 0x1.8816777f650cap-16, 0x1.794e79aee261p-16, 0x1.6b03fa7553894p-16, 0x1.5d33422f8cd58p-16, 0x1.4fd88d5ed22ecp-16, 0x1.42f02632e6cbdp-16, 0x1.3676f7fb97b38p-16, 0x1.2a6af9aa2fdcap-16, 0x1.1eca54d1cdf28p-16, 0x1.139225da55a53p-16, 0x1.08be9a6a5d053p-16, 0x1.fc97c1ad1adf2p-17, 0x1.e86d50370f8b2p-17, 0x1.d4f8c86c9443fp-17, 0x1.c2361da2b65fap-17, 0x1.b015fa124025dp-17, 0x1.9ea643a195256p-17, 0x1.8de2b99fec8ddp-17, 0x1.7dae44aadb023p-17, 0x1.6e0d5b452b8dbp-17, 0x1.5efb237d1f282p-17, 0x1.50752e98cc1a2p-17, 0x1.427a558a0f715p-17, 0x1.3507760dcf488p-17, 0x1.2817edddaa5d8p-17, 0x1.1ba666e3f6bfap-17, 0x1.0faa98a623399p-17, 0x1.041ecf63ed475p-17, 0x1.f200c841dcd63p-18, 0x1.dc8dc7e19a3fcp-18, 0x1.c8004e33c431bp-18, 0x1.b4383375ce11ap-18, 0x1.a137a43592b9dp-18, 0x1.8ef22508c7c9dp-18, 0x1.7d65deee5d7e5p-18, 0x1.6c8cb2b8577b1p-18, 0x1.5c610a00a5584p-18, 0x1.4cd720ddcd8c4p-18, 0x1.3dedbf712b6a9p-18, 0x1.2fa12c78946d8p-18, 0x1.21eddc3172321p-18, 0x1.14d069dd27bp-18, 0x1.08430d561c80fp-18, 0x1.f87b9ac95a15bp-19, 0x1.e16f29e0c4edp-19, 0x1.cb515eaccdb9dp-19, 0x1.b61cf2fd18f27p-19, 0x1.a1d712f9f2457p-19, 0x1.8e80dba6cb405p-19, 0x1.7c0c235bdc392p-19, 0x1.6a649403ae775p-19, 0x1.596f40c7f0821p-19, 0x1.495570bc2b9acp-19, 0x1.39cf05da8a27dp-19, 0x1.2b0d2498a7d1cp-19, 0x1.1cf8183f678ddp-19, 0x1.0f8070873ddc9p-19, 0x1.02acdcaacd954p-19, 0x1.ece5f79afb781p-20, 0x1.d59be4f829f85p-20, 0x1.bf58452afd3e4p-20, 0x1.aa57cf3527883p-20, 0x1.96370977294dbp-20, 0x1.831d280919e54p-20, 0x1.70fbbd0548fd3p-20, 0x1.5fb955d590b5ep-20, 0x1.4f5b8a6c4502cp-20, 0x1.3fd4f9a0e1bebp-20, 0x1.3120587676636p-20, 0x1.2338b14448331p-20, 0x1.1614c297b9a69p-20, 0x1.09ab94abe1e25p-20, 0x1.fbe56a1c744a3p-21, 0x1.e5baff5567df3p-21, 0x1.d0cbafc22513dp-21, 0x1.bd136a1bf8p-21, 0x1.aa78c2558c293p-21, 0x1.990b024ca3a49p-21, 0x1.8876dd522ec23p-21, 0x1.78c5393bbeb8fp-21, 0x1.6a322a5bf8038p-21, 0x1.5c728224f3af3p-21, 0x1.4f92b673a546fp-21, 0x1.4398482b8a98fp-21, 0x1.384308a779095p-21, 0x1.2d9c4da5c84bp-21, 0x1.23b2d46007abbp-21, 0x1.1a90a8a0a2812p-21, 0x1.120a5b8d250fep-21, 0x1.0a23ae49438fbp-21, 0x1.02cde15792c06p-21, 0x1.f80008920ac26p-22, 0x1.eb6319cd661f2p-22, 0x1.e07825f722c64p-22, 0x1.d5be5f442936ep-22, 0x1.cb53a20e9d329p-22, 0x1.c26b44dce0992p-22, 0x1.ba450330e9364p-22, 0x1.b2d7b45d9371ap-22, 0x1.ac41d57769c26p-22, 0x1.a67c4dc19b85ap-22, 0x1.a1072cea8a40fp-22, 0x1.9c354f9f5b8c7p-22, 0x1.981fbee8bf4d4p-22, 0x1.9479261545fbcp-22, 0x1.911c5d6ac57dbp-22, 0x1.8e398f547666fp-22, 0x1.8bc5fd34911cap-22, 0x1.89b7d3894b629p-22, 0x1.87fafd17a05fcp-22, 0x1.863dbbde7a516p-22, 0x1.855d6bb96f9c8p-22, 0x1.847367eac1d8bp-22, 0x1.83deaf6999fb4p-22, 0x1.839e5cd751e4fp-22, 0x1.836f8c7a20c0ap-22, 0x1.836992574d81cp-22, 0x1.83ae718b49863p-22, 0x1.8435e6fd23919p-22, 0x1.85128da9a7a4ap-22, 0x1.84f387392b1d3p-22, 0x1.85b6038a0cd82p-22, 0x1.8672ce13ed5f1p-22, 0x1.86f8e2ff4ab03p-22, 0x1.87996d52ddc03p-22, 0x1.894d54e9e8c83p-22, 0x1.8a5cfe31b11c9p-22, 0x1.8b798d060370ep-22, 0x1.8c552dd496123p-22, 0x1.8d3f187118246p-22, 0x1.8e6cfae177609p-22, 0x1.8f59527656a7dp-22, 0x1.908a655d6a604p-22, 0x1.91ab592107937p-22, 0x1.929e7690f3795p-22, 0x1.9381cebc76e32p-22, 0x1.9465d83d38debp-22, 0x1.95469bb79e3dfp-22, 0x1.960cb11a345efp-22, 0x1.96b2cf155fe44p-22, 0x1.975370cb2399fp-22, 0x1.97ee0aea9abfdp-22, 0x1.9864bb9b3b19cp-22, 0x1.98c963e6a1c48p-22, 0x1.990d7711ca582p-22, 0x1.9961874dbaf0bp-22, 0x1.997fe2aaf3fdfp-22, 0x1.999a61702f22ap-22, 0x1.999c16b4c59ecp-22, 0x1.9984a51553567p-22, 0x1.9953a60699b66p-22, 0x1.99092b877f0a2p-22, 0x1.98a3c5bf16b09p-22, 0x1.981af0764f90ap-22, 0x1.9784bf40b8ed9p-22, 0x1.96e535a03fad3p-22, 0x1.964768c0d65adp-22, 0x1.956504aaa58fbp-22, 0x1.9463552fb4a37p-22, 0x1.936ccdf96a152p-22, 0x1.92449f8b489d3p-22, 0x1.90ed25c9bb853p-22, 0x1.8f8e1bef6bcbep-22, 0x1.8e2408b5010d6p-22, 0x1.8cb0c145dfa25p-22, 0x1.8b16e9f1a588p-22, 0x1.88ff4c8508388p-22, 0x1.87c6ecc04b95dp-22, 0x1.85dfa9852e6d8p-22, 0x1.83f4f5fd3c323p-22, 0x1.81f23dc7ffccep-22, 0x1.80d7a280a1224p-22, 0x1.7da0695b3ce97p-22, 0x1.7b7fb938134e3p-22, 0x1.792b02300aadp-22, 0x1.770cd2014fd3p-22, 0x1.74323c089242dp-22, 0x1.7172808bbe1f9p-22, 0x1.6e804e9192d8ep-22, 0x1.6d16829a0e977p-22, 0x1.69b0f8c909ee4p-22, 0x1.66d662c0bbdeep-22, 0x1.63ecd0aea85fep-22, 0x1.60fe84e8036a9p-22, 0x1.5e052194fcadep-22, 0x1.5afd2ac54b6d1p-22, 0x1.57e76f6d66367p-22, 0x1.54c5468ba387fp-22, 0x1.519845270fa8cp-22, 0x1.4e6162fabfcfap-22, 0x1.4b2070009c6f8p-22, 0x1.47d4212537e11p-22, 0x1.447bf253ef19p-22, 0x1.4118299a8633ep-22, 0x1.3daa7d7c7920fp-22, 0x1.3a35b8ce8fe17p-22, 0x1.36bb3a18eff76p-22, 0x1.333a61fb190b2p-22, 0x1.2fb28cdd0f534p-22, 0x1.2c24e49e82587p-22, 0x1.288e30e0724f8p-22, 0x1.24eae95e0fca5p-22, 0x1.2143704c0b6b2p-22, 0x1.1dae6ec6625bbp-22, 0x1.1a0369fda901ap-22, 0x1.164530f666181p-22, 0x1.12b3b731b13a6p-22, 0x1.0efa4185b36ecp-22, 0x1.0b407b946aaeap-22, 0x1.078f42205938ep-22, 0x1.03d825506ee0ap-22, 0x1.001761637d447p-22, 0x1.f8b545939cccep-23, 0x1.f1505f6315d99p-23, 0x1.e8ffa7ac4d657p-23, 0x1.e2781e4a531c4p-23, 0x1.daffc07d98712p-23, 0x1.d386aee82ccbfp-23, 0x1.cc46ab830a73ap-23, 0x1.c52ca8aa01ca7p-23, 0x1.bd70e8219babep-23, 0x1.b5ef75431fc8dp-23, 0x1.ae9f7883aa201p-23, 0x1.a73aa506353f8p-23, 0x1.a00f49ea1572ep-23, 0x1.98b8be3f60c29p-23, 0x1.918c434bdc6dfp-23, 0x1.8a95532f7bf58p-23, 0x1.83bad5fb95215p-23, 0x1.7c7188487dc5ep-23, 0x1.75540de12ea06p-23, 0x1.6f0bd2df7d462p-23, 0x1.66fcae96e6061p-23, 0x1.60253d54240a2p-23, 0x1.5972ff7dbd1a6p-23, 0x1.5284d04e00d66p-23, 0x1.4be21667ad7fbp-23, 0x1.45253fd8fecd5p-23, 0x1.3ee89bb19302dp-23, 0x1.388e6a551ef8ep-23, 0x1.315a65ca04e5dp-23, 0x1.2ac80e26b1ea6p-23, 0x1.247655eab2db3p-23, 0x1.1e018aab94891p-23, 0x1.1783f4fc5e0a7p-23, 0x1.1158c4b0bc732p-23, 0x1.0b5ccb0f6690cp-23, 0x1.051473b827149p-23, 0x1.fe4342b9d63e5p-24, 0x1.f294dfc495ac2p-24, 0x1.e6cdc6d5c14c5p-24, 0x1.daf5487aa35f6p-24, 0x1.cf95bd853c31bp-24, 0x1.c478fd0612a4fp-24, 0x1.b65ae42775ee5p-24, 0x1.addea939cbd99p-24, 0x1.a2d04a9e6ffd9p-24, 0x1.981613f6da584p-24, 0x1.8d8db0f3ec8fp-24, 0x1.832be84f3a0fap-24, 0x1.790a6eb54e621p-24, 0x1.6ec69b904b18dp-24, 0x1.63f5002bf7803p-24, 0x1.5a56c79986335p-24, 0x1.5059afd975a88p-24, 0x1.476abd74cce82p-24, 0x1.3df72ae1aeaa7p-24, 0x1.34a0ffda0932dp-24, 0x1.2b65fcfdab4e7p-24, 0x1.226bc7bb14d6ep-24, 0x1.198b232915eadp-24, 0x1.10e823a9a54e4p-24, 0x1.084ae5745015ap-24, 0x1.fff8c6ec6a019p-25, 0x1.f0475a7b4f9ccp-25, 0x1.dee901852710ep-25, 0x1.cf63a10c31effp-25, 0x1.c0b002209e9ap-25, 0x1.b1398088eb715p-25, 0x1.a271c8b091482p-25, 0x1.93e939f076969p-25, 0x1.84b757be744bbp-25, 0x1.7673044857af7p-25, 0x1.69c237db657afp-25, 0x1.5cdd6265a269ep-25, 0x1.4ef3446f2aa6bp-25, 0x1.42960b8b8ad02p-25, 0x1.35135bb9071a8p-25, 0x1.2930dc8f266afp-25, 0x1.206afb99d54b5p-25, 0x1.120eb69fe4513p-25, 0x1.08964af530bdap-25, 0x1.f626ce40516bbp-26, 0x1.e16f7a9a6e619p-26, 0x1.cd3000e9229d4p-26, 0x1.b7637a8591cp-26, 0x1.a3275c06919fdp-26, 0x1.903f6ee330a96p-26, 0x1.7e1f494923992p-26, 0x1.6cde0cb9b9ff8p-26, 0x1.5a2d626c8c30bp-26, 0x1.4749d6c9ce779p-26, 0x1.367698d463a19p-26, 0x1.2240395157e09p-26, }}, 
      {{-0x1.619006ed28516p-3, -0x1.cafc4e5cd0665p-4, -0x1.b61af2a8351e6p-5, -0x1.83f20e2cd3d4fp-6, -0x1.2496be2f0f85bp-5, -0x1.752e7e9802672p-4, -0x1.7848a219c4057p-3, -0x1.36bc4ce2c795dp-2, -0x1.c164459fcc7fp-2, -0x1.287bb462939cp-1, -0x1.6df559dec280dp-1, -0x1.ad63b353de99dp-1, -0x1.e420a8454e066p-1, -0x1.08440c877c1bbp+0, -0x1.18ea3a02d48ddp+0, -0x1.23fa7c50d1f9bp+0, -0x1.29b1dbc9e3594p+0, -0x1.2a7f5f961bb8ap+0, -0x1.26f312cf5ff27p+0, -0x1.1fafccb91fbb2p+0, -0x1.155fc169ad111p+0, -0x1.08abaf4062342p+0, -0x1.f468c0d959c76p-1, -0x1.d51c56551f001p-1, -0x1.b47c31eaaa84bp-1, -0x1.9370c262285d1p-1, -0x1.72bfd6f50068fp-1, -0x1.530d2e0435a97p-1, -0x1.34dc1cf8db757p-1, -0x1.1891f490414f8p-1, -0x1.fcf1afff00894p-2, -0x1.cd859c62b5f7fp-2, -0x1.a319c586a2308p-2, -0x1.7dc470304751bp-2, -0x1.5d7de84803bb2p-2, -0x1.4225f1ff229d9p-2, -0x1.2b88bfe2c5b78p-2, -0x1.1963642bdad26p-2, -0x1.0b67bc0ce6a7p-2, -0x1.013fd8eb52032p-2, -0x1.f521d82e75452p-3, -0x1.edfb7baffe08bp-3, -0x1.ec5176454b5c3p-3, -0x1.ef6b4587af231p-3, -0x1.f695b3451a8ffp-3, -0x1.009273a3a5122p-2, -0x1.073afdb92014dp-2, -0x1.0ef80f69c1f74p-2, -0x1.1782a8f5d78dcp-2, -0x1.209968f53c557p-2, -0x1.2a00a471ca4dcp-2, -0x1.3382666e6516p-2, -0x1.3cee584ccacfbp-2, -0x1.46199775c0bc1p-2, -0x1.4ede7d2422c5ap-2, -0x1.571c5f213cad4p-2, -0x1.5eb74bb23f7f2p-2, -0x1.6597c10957218p-2, -0x1.6baa610f9894ep-2, -0x1.70dfa2bc07878p-2, -0x1.752b830c11e63p-2, -0x1.78853760f6298p-2, -0x1.7ae6e2b138d32p-2, -0x1.7c4d4da40f4c8p-2, -0x1.7cb7a1a0e5a24p-2, -0x1.7c2727173d091p-2, -0x1.7a9f06ca21a63p-2, -0x1.78240ed2d60fdp-2, -0x1.74bc7b19503d1p-2, -0x1.706fc1c5b842bp-2, -0x1.6b4663b239fc5p-2, -0x1.6549c0477038cp-2, -0x1.5e83ed31a3b76p-2, -0x1.56ff91427872ep-2, -0x1.4ec7c292d97c5p-2, -0x1.45e7e79a90ce5p-2, -0x1.3c6b9b5bb28afp-2, -0x1.325e9417990b8p-2, -0x1.27cc8cc80e21bp-2, -0x1.1cc131225cb0dp-2, -0x1.11480bf953fa4p-2, -0x1.056c77c3d81adp-2, -0x1.f27322c5f4cf5p-3, -0x1.d974595f45fcfp-3, -0x1.bff195e69127cp-3, -0x1.a5ff25c001e4cp-3, -0x1.8bb09453d9f4cp-3, -0x1.7118a0d4ba854p-3, -0x1.564936cb5b422p-3, -0x1.3b5368a2d1ff6p-3, -0x1.20476bcee0ce1p-3, -0x1.05349825a47f9p-3, -0x1.d452cce069a33p-4, -0x1.9e66e4fce229bp-4, -0x1.68befb80a6d28p-4, -0x1.3372e2c8b25eep-4, -0x1.fd31905481578p-5, -0x1.948a7ba6c865ep-5, -0x1.2d16862278937p-5, -0x1.8df159166e9bfp-6, -0x1.8943f318ccfd4p-7, 0x1.869c4311f4be6p-14, 0x1.88a69eee4262bp-7, 0x1.83943aa35f373p-6, 0x1.1f8f34a0ebf21p-5, 0x1.7b65cc8c512b6p-5, 0x1.d53d031b0d227p-5, 0x1.16830c0f8254dp-4, 0x1.415a271827af6p-4, 0x1.6b1e685bf0e18p-4, 0x1.93cb4d2acfdfp-4, 0x1.bb5d2a80962d2p-4, 0x1.e1d1228e7d6a1p-4, 0x1.03928bb7539c5p-3, 0x1.15abce93138ddp-3, 0x1.2733f86274a9fp-3, 0x1.382af57b1fb49p-3, 0x1.4890fa63e3594p-3, 0x1.58667fac960c4p-3, 0x1.67ac3bd5f628fp-3, 0x1.76631e4f0911bp-3, 0x1.848c4c5ed6cedp-3, 0x1.92291b2a1ef12p-3, 0x1.9f3b0b8134a16p-3, 0x1.abc3c7866d81cp-3, 0x1.b7c51d36f2b33p-3, 0x1.c340faa3bb96dp-3, 0x1.ce396c53742c3p-3, 0x1.d8b09890df9edp-3, 0x1.e2a8bba11b42bp-3, 0x1.ec2426fba0ebdp-3, 0x1.f5253d7be833ep-3, 0x1.fdae6fa0ddf04p-3, 0x1.02e11d6a22132p-2, 0x1.06b193b49a6a4p-2, 0x1.0a49e250d91dfp-2, 0x1.0dab53baaeedbp-2, 0x1.10d735321cdecp-2, 0x1.13ced50a27e45p-2, 0x1.1693819774ff9p-2, 0x1.192689510be26p-2, 0x1.1b893a3876013p-2, 0x1.1dbce05d5663ap-2, 0x1.1fc2c59e070dp-2, 0x1.219c31cf79baep-2, 0x1.234a6a0068ecdp-2, 0x1.24ceaf6357247p-2, 0x1.262a3f6d98686p-2, 0x1.275e5409b9413p-2, 0x1.286c22d25f8a1p-2, 0x1.2954dc57745d7p-2, 0x1.2a19ac687ed3fp-2, 0x1.2abbba4b754d7p-2, 0x1.2b3c2810701dap-2, 0x1.2b9c121a02e92p-2, 0x1.2bdc8f67fc1bap-2, 0x1.2bfeb1ca842c1p-2, 0x1.2c0385905c303p-2, 0x1.2bec1109e6e97p-2, 0x1.2bb954c6f56bcp-2, 0x1.2b6c4be343a8cp-2, 0x1.2b05ebe88ccc9p-2, 0x1.2a8724758ab86p-2, 0x1.29f0df47dc2a6p-2, 0x1.29440088ec27ep-2, 0x1.288166f6dfe55p-2, 0x1.27a9ebb598cc4p-2, 0x1.26be621fe0b9dp-2, 0x1.25bf980a4ab65p-2, 0x1.24ae5606d6f1bp-2, 0x1.238b5f79fed02p-2, 0x1.2257725fc9cfep-2, 0x1.2113475b31bf5p-2, 0x1.1fbf91faa1bf9p-2, 0x1.1e5d00fd04376p-2, 0x1.1cec3e357ba3dp-2, 0x1.1b6dee91447c7p-2, 0x1.19e2b21e2a6cep-2, 0x1.184b245946c78p-2, 0x1.16a7dc5421231p-2, 0x1.14f96cb4aa143p-2, 0x1.134063b054da9p-2, 0x1.117d4b35a9c53p-2, 0x1.0fb0a915364dep-2, 0x1.0ddaff1f2e685p-2, 0x1.0bfccb39fdc85p-2, 0x1.0a1687715654cp-2, 0x1.0828a9ffdbd02p-2, 0x1.0633a57942195p-2, 0x1.0437e8d948b48p-2, 0x1.0235dfb8fe0ecp-2, 0x1.002df255b12eep-2, 0x1.fc410b3503525p-3, 0x1.f81bf66078ad9p-3, 0x1.f3ed632f766efp-3, 0x1.efb608aedcee2p-3, 0x1.eb76982ce76a4p-3, 0x1.e72fbd3d545dcp-3, 0x1.e2e21db725596p-3, 0x1.de8e59e43bc31p-3, 0x1.da350cd3098c7p-3, 0x1.d5d6cc996d839p-3, 0x1.d1742a7413eaep-3, 0x1.cd0db2a026d42p-3, 0x1.c8a3ec88d9596p-3, 0x1.c4375af113838p-3, 0x1.bfc87c4adf11bp-3, 0x1.bb57cae43f419p-3, 0x1.b6e5bcca19281p-3, 0x1.b272c3e040144p-3, 0x1.adff4deb171adp-3, 0x1.a98bc4e914aacp-3, 0x1.a5188f315d3bdp-3, 0x1.a0a60f9b87062p-3, 0x1.9c34a55d9eac4p-3, 0x1.97c4ac280f6b1p-3, 0x1.93567c3d27258p-3, 0x1.8eea6ab9301d4p-3, 0x1.8a80c9b0e40bdp-3, 0x1.8619e837e713fp-3, 0x1.81b6124c7943fp-3, 0x1.7d5590ff19c1cp-3, 0x1.78f8aa6e70f06p-3, 0x1.749fa228212fdp-3, 0x1.704ab92ef0e21p-3, 0x1.6bfa2de96a3c2p-3, 0x1.67ae3c479aa91p-3, 0x1.63671d9699205p-3, 0x1.5f2508bc3a3d4p-3, 0x1.5ae832783847p-3, 0x1.56b0cd4fca4f7p-3, 0x1.527f09bc9ab32p-3, 0x1.4e531619ea0b2p-3, 0x1.4a2d1e7be09a5p-3, 0x1.460d4d087008dp-3, 0x1.41f3c9db707b6p-3, 0x1.3de0bb611b53fp-3, 0x1.39d446351357ap-3, 0x1.35ce8d42bff68p-3, 0x1.31cfb19e75502p-3, 0x1.2dd7d293c1228p-3, 0x1.29e70dc3558c2p-3, 0x1.25fd7f3ea1309p-3, 0x1.221b41a8c8d48p-3, 0x1.1e406e3a87912p-3, 0x1.1a6d1cba7b9f6p-3, 0x1.16a1636c43f1dp-3, 0x1.12dd5722cc1fep-3, 0x1.0f210b4f171dcp-3, 0x1.0b6c921fed3bdp-3, 0x1.07bffc92be8d1p-3, 0x1.041b5a8578f44p-3, 0x1.007ebaa39fa6bp-3, 0x1.f9d454d887dddp-4, 0x1.f2bb6c4b5432fp-4, 0x1.ebb2d1ee5c629p-4, 0x1.e4ba99eb58894p-4, 0x1.ddd2d68edb2dbp-4, 0x1.d6fb98453ee23p-4, 0x1.d034eda1afb5p-4, 0x1.c97ee349f7163p-4, 0x1.c2d983ff8a7dfp-4, 0x1.bc44d8a4d0beep-4, 0x1.b5c0e8592ba25p-4, 0x1.af4db8a0583b3p-4, 0x1.a8eb4d7f876e2p-4, 0x1.a299a984e7ce2p-4, 0x1.9c58cdd0d7724p-4, 0x1.9628ba02cb176p-4, 0x1.90096c38bc1c6p-4, 0x1.89fae11cff38bp-4, 0x1.83fd14050a17ap-4, 0x1.7e0fff046baaap-4, 0x1.78339b0aa30acp-4, 0x1.7267dfe22af03p-4, 0x1.6cacc44441f5cp-4, 0x1.67023dc194a47p-4, 0x1.616840c6ccde6p-4, 0x1.5bdec0a61a42p-4, 0x1.5665afad70675p-4, 0x1.50fcff33c2f43p-4, 0x1.4ba49faa096f7p-4, 0x1.465c80ae800e8p-4, 0x1.4124910c9299p-4, 0x1.3bfcbec0bc14ep-4, 0x1.36e4f6ee2e9f2p-4, 0x1.31dd25ea33cf2p-4, 0x1.2ce5374130974p-4, 0x1.27fd15c8ab58ap-4, 0x1.2324aba979a4ep-4, 0x1.1e5be2709ef26p-4, 0x1.19a2a312b6972p-4, 0x1.14f8d5f3dd2c8p-4, 0x1.105e62e6c120dp-4, 0x1.0bd3312f7378p-4, 0x1.07572781fa951p-4, 0x1.02ea2c0d9c18p-4, 0x1.fd1848f25ce8cp-5, 0x1.f479ec11c9a39p-5, 0x1.ebf90b2fb20f6p-5, 0x1.e3956f50097cp-5, 0x1.db4ee0709f03dp-5, 0x1.d32526279f54dp-5, 0x1.cb180742d777p-5, 0x1.c32749da56be9p-5, 0x1.bb52b35e84d7cp-5, 0x1.b39a08a58ffe2p-5, 0x1.abfd0e0140f86p-5, 0x1.a47b87466d61fp-5, 0x1.9d1537d84210ap-5, 0x1.95c9e2b5405b4p-5, 0x1.8e994a75290dfp-5, 0x1.8783315ce539bp-5, 0x1.80875959d5b66p-5, 0x1.79a58403b9622p-5, 0x1.72dd72a298dffp-5, 0x1.6c2ee640cfd5fp-5, 0x1.65999fb3cdd22p-5, 0x1.5f1d5f9d30d24p-5, 0x1.58b9e6783daf5p-5, 0x1.526ef4a222b21p-5, 0x1.4c3c4a5c17e0ep-5, 0x1.4621a7d06718dp-5, 0x1.401ecd1971f9bp-5, 0x1.3a337a466804ep-5, 0x1.345f6f6125b0fp-5, 0x1.2ea26c76d278ep-5, 0x1.28fc319c78049p-5, 0x1.236c7ef38fd17p-5, 0x1.1df314ae64dffp-5, 0x1.188fb3118e48cp-5, 0x1.13421a7dc4ae6p-5, 0x1.0e0a0b6432827p-5, 0x1.08e7465ab416ep-5, 0x1.03d98c1ce4c6cp-5, 0x1.fdc13b2651822p-6, 0x1.f3f877ba56b88p-6, 0x1.ea5850b1ede7ep-6, 0x1.e0e04952675fep-6, 0x1.d78fe564e62d4p-6, 0x1.ce66a92e1eed7p-6, 0x1.c5641967f307ap-6, 0x1.bc87bb46daf09p-6, 0x1.b3d1146b91239p-6, 0x1.ab3faaedcf716p-6, 0x1.a2d3056f54843p-6, 0x1.9a8aab2eac2bdp-6, 0x1.92662420d35cap-6, 0x1.8a64f911961afp-6, 0x1.8286b3b5617cap-6, 0x1.7acadeacedacdp-6, 0x1.7331057528a5ap-6, 0x1.6bb8b4541cf7dp-6, 0x1.6461784e5155ep-6, 0x1.5d2adf11674c5p-6, 0x1.561476cd2e56ap-6, 0x1.4f1dce2b1dbcdp-6, 0x1.48467464bc54fp-6, 0x1.418df96d98699p-6, 0x1.3af3ee12895b1p-6, 0x1.3477e41cb061p-6, 0x1.2e196e7ac5718p-6, 0x1.27d821664c5e5p-6, 0x1.21b392741e372p-6, 0x1.1bab5886062f9p-6, 0x1.15bf0ba291028p-6, 0x1.0fee44b7a4911p-6, 0x1.0a389d6964826p-6, 0x1.049dafd355a2fp-6, 0x1.fe3a2cbaacbd3p-7, 0x1.f36cd76467d63p-7, 0x1.e8d295a38af19p-7, 0x1.de6a9e8cbecc7p-7, 0x1.d4342b235382ap-7, 0x1.ca2e76fa127e9p-7, 0x1.c058c133c566cp-7, 0x1.b6b24cde28517p-7, 0x1.ad3a617059fbdp-7, 0x1.a3f04a765295cp-7, 0x1.9ad356cefda54p-7, 0x1.91e2d78adfa98p-7, 0x1.891e1e97e4573p-7, 0x1.80847d683a316p-7, 0x1.781543eba62a4p-7, 0x1.6fcfc026d467bp-7, 0x1.67b33e9098279p-7, 0x1.5fbf0b220cceap-7, 0x1.57f2737604ea3p-7, 0x1.504cc8d8335d6p-7, 0x1.48cd62485712ep-7, 0x1.41739e320f2bcp-7, 0x1.3a3ee309edaadp-7, 0x1.332e9eb4bba0cp-7, 0x1.2c4244b33c84bp-7, 0x1.25794b5276e0bp-7, 0x1.1ed3286e95631p-7, 0x1.184f4e3c1001p-7, 0x1.11ed28f63e6dap-7, 0x1.0bac1deb1748p-7, 0x1.058b8c43fd995p-7, 0x1.ff159f2646f41p-8, 0x1.f352874b41d7ep-8, 0x1.e7cc91d704ae5p-8, 0x1.dc82922f2d978p-8, 0x1.d17371e16f43ap-8, 0x1.c69e3d4024782p-8, 0x1.bc020ed16948dp-8, 0x1.b19e1e49a7eb1p-8, 0x1.a771a7ff6f884p-8, 0x1.9d7be750995ddp-8, 0x1.93bc0a60d42cfp-8, 0x1.8a312976bfc0ap-8, 0x1.80da4341ba3f6p-8, 0x1.77b63e82852eep-8, 0x1.6ec3f0b15d61dp-8, 0x1.66022937af512p-8, 0x1.5d6fbe868bd9ap-8, 0x1.550b9ae661f8dp-8, 0x1.4cd4c695f6fbep-8, 0x1.44ca6d49e015p-8, 0x1.3cebdddc1a17dp-8, 0x1.353883f38dbc6p-8, 0x1.2dafdcb80c6f5p-8, 0x1.265168ba80237p-8, 0x1.1f1c9dc585376p-8, 0x1.1810db3e9c7d5p-8, 0x1.112d63502a06ep-8, 0x1.0a715a186e384p-8, 0x1.03dbcae2fbe21p-8, 0x1.fad76482e473p-9, 0x1.ee40161f7af87p-9, 0x1.e1efb8545f318p-9, 0x1.d5e48435ad89ap-9, 0x1.ca1cf74031289p-9, 0x1.be97c9a09743p-9, 0x1.b353f60b72197p-9, 0x1.a850a138cda7fp-9, 0x1.9d8d070444074p-9, 0x1.93086184d6144p-9, 0x1.88c1d42cebe98p-9, 0x1.7eb85b4762f9cp-9, 0x1.74eac6e55daedp-9, 0x1.6b57bc985ecfdp-9, 0x1.61fdc3960073ep-9, 0x1.58db5458110dep-9, 0x1.4feeeb34d9028p-9, 0x1.473719b6a05d2p-9, 0x1.3eb29421c013bp-9, 0x1.3660392b6387bp-9, 0x1.2e3f12b7f1cbfp-9, 0x1.264e4f88d9f8dp-9, 0x1.1e8d36e738c17p-9, 0x1.16fb1771e9401p-9, 0x1.0f97383dbf753p-9, 0x1.0860cb5bf010bp-9, 0x1.0156e64fd97e8p-9, 0x1.f4f109850da9ep-10, 0x1.e78920a43902dp-10, 0x1.da73d87f9de67p-10, 0x1.cdaf030ebdfb4p-10, 0x1.c13892c18700dp-10, 0x1.b50ea6fcecc2p-10, 0x1.a92f8bbeb016ep-10, 0x1.9d99b49fefa24p-10, 0x1.924bb9249bed1p-10, 0x1.87444e2885eb9p-10, 0x1.7c823e19c7436p-10, 0x1.7204625a6ddbep-10, 0x1.67c9991af1df7p-10, 0x1.5dd0b5d4469bp-10, 0x1.5418702c2d77dp-10, 0x1.4a9f55bb74f37p-10, 0x1.4163c6126a81cp-10, 0x1.3863fbbe0fac9p-10, 0x1.2f9e2226bd84cp-10, 0x1.271072ded08bp-10, 0x1.1eb950c7cd164p-10, 0x1.16975763fcbf9p-10, 0x1.0ea958ed6992ep-10, 0x1.06ee4d35a95b6p-10, 0x1.feca73fc22239p-11, 0x1.f01a41dbb1673p-11, 0x1.e1c9e7bfd3a24p-11, 0x1.d3d77e635c132p-11, 0x1.c640da951d98bp-11, 0x1.b9045c2673f69p-11, 0x1.ac20754abf15ep-11, 0x1.9f93c4638f35ep-11, 0x1.935ce477aee46p-11, 0x1.877a480d146a3p-11, 0x1.7bea249378be4p-11, 0x1.70aa71d53795ep-11, 0x1.65b8f667fd7a6p-11, 0x1.5b1355835d205p-11, 0x1.50b71790130b9p-11, 0x1.46a1b080370b6p-11, 0x1.3cd08ce386e9fp-11, 0x1.33412befdb527p-11, 0x1.29f1437ca2669p-11, 0x1.20dee23d6c17ap-11, 0x1.180881f11878ep-11, 0x1.0f6d00b3dc75cp-11, 0x1.070b82e7a99f5p-11, 0x1.fdc6957c49b9bp-12, 0x1.ede7202184a61p-12, 0x1.de76eab5b55e3p-12, 0x1.cf742612bccfap-12, 0x1.c0dd3a11016f4p-12, 0x1.b2b0fb56b259dp-12, 0x1.a4eea9ba238a6p-12, 0x1.97958a6ac76d2p-12, 0x1.8aa455cb1c49ep-12, 0x1.7e18980d88c68p-12, 0x1.71ee59c2e67ffp-12, 0x1.66202b086c947p-12, 0x1.5aa7976ea4775p-12, 0x1.4f7e17f7d93p-12, 0x1.449e3b9d8a45ep-12, 0x1.3a0482a037ebcp-12, 0x1.2fafc3071ea22p-12, 0x1.25a0908688ed4p-12, 0x1.1bd8312ad8984p-12, 0x1.1256f87d681abp-12, 0x1.091c0378e151bp-12, 0x1.00255791aca6cp-12, 0x1.eee1653f50ff7p-13, 0x1.ddf91dfe2bd3fp-13, 0x1.cd9109a2c7d42p-13, 0x1.bdaa0b0930bcep-13, 0x1.ae4538aa4308dp-13, 0x1.9f623f7482e11p-13, 0x1.90fe74841114fp-13, 0x1.8314d26482edfp-13, 0x1.759e8733f688cp-13, 0x1.6893a5778b255p-13, 0x1.5bebe519f42f5p-13, 0x1.4f9f9c94a7c16p-13, 0x1.43a8e0a69e9fp-13, 0x1.38044e1050f23p-13, 0x1.2cb0eea715424p-13, 0x1.21af2f1c69135p-13, 0x1.16ff863b164dcp-13, 0x1.0ca193693b55dp-13, 0x1.029405623e13dp-13, 0x1.f1aa25d6360b3p-14, 0x1.dec635a93744dp-14, 0x1.cc7a15c89a106p-14, 0x1.bac47a79fd39dp-14, 0x1.a9a3ddec836cbp-14, 0x1.9915da5a7e97p-14, 0x1.8916c38589829p-14, 0x1.79a3ecff5486ep-14, 0x1.6ab695d7d79a3p-14, 0x1.5c48dd3cba059p-14, 0x1.4e533d254d92cp-14, 0x1.40ce2e32b9eedp-14, 0x1.33b37ba374c2ep-14, 0x1.26ff6429893b8p-14, 0x1.1ab08eac899ebp-14, 0x1.0ec696f2f03f1p-14, 0x1.0340206859283p-14, 0x1.f033bfc095947p-15, 0x1.da9e4c2f301c1p-15, 0x1.c5b6a9849d768p-15, 0x1.b176c67b681fp-15, 0x1.9ddd3fefc474fp-15, 0x1.8aebc68f794dcp-15, 0x1.78a3161c43995p-15, 0x1.66ffe4371455p-15, 0x1.55faf1fa05e4ap-15, 0x1.458b4c777d033p-15, 0x1.35aa66cc0db05p-15, 0x1.2654f620d4313p-15, 0x1.1788f7bfdf569p-15, 0x1.094355c57c1d4p-15, 0x1.f6fdef280eee5p-16, 0x1.dc69b49ee35d8p-16, 0x1.c2bbb75604d6ap-16, 0x1.a9e8bd52206f7p-16, 0x1.91ea34ae7a424p-16, 0x1.7abdb2c444ab2p-16, 0x1.64631295c1da1p-16, 0x1.4ed957ea8edc4p-16, 0x1.3a1aa7aebc6dap-16, 0x1.2620782c63c5bp-16, 0x1.12e38f45a99e9p-16, 0x1.005ecaac80fc2p-16, 0x1.dd1608fb80f33p-17, 0x1.babbe77f53d38p-17, 0x1.999b7d2f31429p-17, 0x1.79a98261fec78p-17, 0x1.5ae1bc57117dp-17, 0x1.3d3f537265697p-17, 0x1.20b915bc82c1fp-17, 0x1.05433f458d6efp-17, 0x1.d5aae06e79fd3p-18, 0x1.a2dc6181aaf93p-18, 0x1.7205ca02559bp-18, 0x1.431a1537a5dd7p-18, 0x1.15ff9fac053d9p-18, 0x1.d53faefc136e2p-19, 0x1.81d40ee444d8ep-19, 0x1.31a8f013670b5p-19, 0x1.c95fe1044ab22p-20, 0x1.35a72cf71ec3cp-20, 0x1.4fd9d7ee37d6ap-21, 0x1.ff86a5cd711b6p-24, -0x1.8963382354ac4p-22, -0x1.be42d9aa6fe0bp-21, -0x1.56956a272709bp-20, -0x1.c8fb07bc518bap-20, -0x1.1b39e1b1d28cbp-19, -0x1.4fb9e7f8bc25dp-19, -0x1.821862fea5d6cp-19, -0x1.b23fd2ec23eb4p-19, -0x1.e042d960a8f14p-19, -0x1.0616bb13eefa4p-18, -0x1.1b10bb50e5fbdp-18, -0x1.2f227a1061607p-18, -0x1.425617fc52254p-18, -0x1.54b1822231eedp-18, -0x1.663f42eb124c3p-18, -0x1.77046fdfca8b1p-18, -0x1.86fa5e20de2e6p-18, -0x1.961e29befde3ap-18, -0x1.a47bb6b6a7d0ap-18, -0x1.b228a812a76e5p-18, -0x1.bf268747b2db4p-18, -0x1.cb7155d6b2723p-18, -0x1.d713996ea0abp-18, -0x1.e2202de1822e9p-18, -0x1.ec9d94dd9dfdcp-18, -0x1.f68a3b09d9e41p-18, -0x1.ffe455f4bb3e4p-18, -0x1.045852f75923fp-17, -0x1.087b623533a79p-17, -0x1.0c603ffee4ee5p-17, -0x1.100bfac9355eep-17, -0x1.138289398c34dp-17, -0x1.16c64fdc2defap-17, -0x1.19d6ad566e92fp-17, -0x1.1cae807775c7dp-17, -0x1.1f4b828bbeb1dp-17, -0x1.21b919544cdc4p-17, -0x1.2406481bbbf12p-17, -0x1.26328dc97e3fep-17, -0x1.2833a94b67e66p-17, -0x1.2a047207d6961p-17, -0x1.2ba6f31070d24p-17, -0x1.2d270d4d05899p-17, -0x1.2e8b0784aafe9p-17, -0x1.2fc694ddd0378p-17, -0x1.30d4fc0dd4765p-17, -0x1.31c52fc32b3a2p-17, -0x1.329e5e6b4bb85p-17, -0x1.335c26e29de02p-17, -0x1.33fa237bee505p-17, -0x1.347a27cdb79ecp-17, -0x1.34dc66a23cdcep-17, -0x1.35240ff43a15dp-17, -0x1.355468f06be0bp-17, -0x1.3567e28ecdf0ep-17, -0x1.356635a298acdp-17, -0x1.354da9e49fcc1p-17, -0x1.351ff72d7240bp-17, -0x1.34df0cf3ee70dp-17, -0x1.348b48b9f5f33p-17, -0x1.342727458cd78p-17, -0x1.33b86760744c8p-17, -0x1.3340e5e90dda2p-17, -0x1.32b9c87487225p-17, -0x1.3223aee963055p-17, -0x1.3187d2e1412fap-17, -0x1.30d6f8accd422p-17, -0x1.3005af9c26f8bp-17, -0x1.2f2d2daf9e385p-17, -0x1.2e4e31607ef99p-17, -0x1.2d5d61d98151ep-17, -0x1.2c672ef697f12p-17, -0x1.2b6c5934d11ccp-17, -0x1.2a63873433e1dp-17, -0x1.294ba908d42efp-17, -0x1.282744f9d6c39p-17, -0x1.26f8fa042fc0ap-17, -0x1.25c196263b96dp-17, -0x1.2481d2e7a630cp-17, -0x1.2339de9ecb86ep-17, -0x1.21e9ecbf8513fp-17, -0x1.20924bb00f42fp-17, -0x1.1f34905778515p-17, -0x1.1dcf04436a684p-17, -0x1.1c6226db334e7p-17, -0x1.1aefc614be2f5p-17, -0x1.1976841b3aaaep-17, -0x1.17f645a8ef00fp-17, -0x1.166f816e3bdd7p-17, -0x1.14e1eec9fa717p-17, -0x1.134cc5681369cp-17, -0x1.11b878150be0ep-17, -0x1.10340fa8bb4d1p-17, -0x1.0eb48104b3d0fp-17, -0x1.0d23304f68317p-17, -0x1.0b7f65feb3071p-17, -0x1.09c896d31f0bfp-17, -0x1.081ab77dc121bp-17, -0x1.067a1e89fe4bap-17, -0x1.04d4f02aae7b4p-17, -0x1.03272aa398957p-17, -0x1.01722c07f9555p-17, -0x1.ff71d3a802582p-18, -0x1.fbf984a4e213fp-18, -0x1.f87cb8eebde05p-18, -0x1.f4fbb6b8be8efp-18, -0x1.f176a2aa298e1p-18, -0x1.eded81dc1769ap-18, -0x1.ea604a09dce3ep-18, -0x1.e6cf3c7676481p-18, -0x1.e33a681a00c86p-18, -0x1.df9f6e78c7764p-18, -0x1.dbfd3c918c9dap-18, -0x1.d860189bef9eap-18, -0x1.d4c570a934536p-18, -0x1.d120e905e382ep-18, -0x1.cd7a0b8d2b94ap-18, -0x1.c9cc7db144f68p-18, -0x1.c61a522aff86bp-18, -0x1.c264b3f2d553bp-18, -0x1.beacb1911ef51p-18, -0x1.bb0349d8de328p-18, -0x1.b75b2efdadf5ap-18, -0x1.b3a716a02545bp-18, -0x1.aff1eeeac9c39p-18, -0x1.ac41ae3e22f1dp-18, -0x1.a889541c53814p-18, -0x1.a4cae3b9493f9p-18, -0x1.a113ce933abdfp-18, -0x1.9d5ca3babe1d9p-18, -0x1.99a12c7d9f745p-18, -0x1.95e2b97ea1117p-18, -0x1.9223453b21798p-18, -0x1.8e63445ab1e63p-18, -0x1.8aa3cd38f9834p-18, -0x1.86e3c002869bap-18, -0x1.832402058284ep-18, -0x1.7f643aef3bb76p-18, -0x1.7ba471bd2bc7p-18, -0x1.77e4b4b61186bp-18, -0x1.74251d2e14c67p-18, -0x1.7065c9218b423p-18, -0x1.6ca6c947cb504p-18, -0x1.68e865be2a99bp-18, -0x1.652ac56363d01p-18, -0x1.616ddfcf0079fp-18, -0x1.5db0ba0eb8d53p-18, -0x1.59f3f4c12be8fp-18, -0x1.5638675389f01p-18, -0x1.527cdd00379d2p-18, -0x1.4ec0c1b1fb358p-18, -0x1.4b0807245a34ep-18, -0x1.47561b7e8b153p-18, -0x1.439faee406d92p-18, -0x1.3fe67253b0e26p-18, -0x1.3c319a941fb16p-18, -0x1.3882c16ebb008p-18, -0x1.34d53fbe272bbp-18, -0x1.31272ccba1f5p-18, -0x1.2d76de1b78dafp-18, -0x1.29d881bade677p-18, -0x1.262317b41a90cp-18, -0x1.227b09d67a156p-18, -0x1.1ed4dc472fbedp-18, -0x1.1b2a337bca26dp-18, -0x1.17883f88b0d0fp-18, -0x1.13e86151c8083p-18, -0x1.10486dda71078p-18, -0x1.0cb074da4d7acp-18, -0x1.091442421d9d6p-18, -0x1.057acb9d845a6p-18, -0x1.01e3f33960693p-18, -0x1.fc9ff510ac04ep-19, -0x1.f57d405e89d09p-19, -0x1.ee5f91adaad38p-19, -0x1.e746f83cb90dbp-19, -0x1.e033887bbf989p-19, -0x1.d925516b2ba7bp-19, -0x1.d21c666c743aap-19, -0x1.cb18efbc8d3dcp-19, -0x1.c41b2aa53c105p-19, -0x1.bd232e7f0a672p-19, -0x1.b63073464235fp-19, -0x1.af42fece0bd54p-19, -0x1.a85d83c7d1718p-19, -0x1.a17d010b671a1p-19, -0x1.9aa372accc082p-19, -0x1.93d0d6abf88d6p-19, -0x1.8d03c6e24ee2p-19, -0x1.863cebb225374p-19, -0x1.7f7c1b6ce7535p-19, -0x1.78c184c0c7e83p-19, -0x1.720fb5267c1eep-19, -0x1.6b63bddddf508p-19, -0x1.64be2cb14ac29p-19, -0x1.5e22ce8bd3a75p-19, -0x1.578beff2320edp-19, -0x1.50fc31bc4d0f4p-19, -0x1.4a74575d628fdp-19, -0x1.43f3c010bc206p-19, -0x1.3d7a42d60f971p-19, -0x1.3708bd1f33d8ep-19, -0x1.309f93d1295bdp-19, -0x1.2a309615b089bp-19, -0x1.23e379b266c02p-19, -0x1.1d90fcbb18ep-19, -0x1.17465ed5f1449p-19, -0x1.1105de93338c9p-19, -0x1.0ace28c54a6a8p-19, -0x1.0497e0f88814fp-19, -0x1.fcdb023c7c4f4p-20, -0x1.f09a9497d2fabp-20, -0x1.e461cfdd4e137p-20, -0x1.d84c280976224p-20, -0x1.cc3a1b1ac8624p-20, -0x1.c03b24627dd4p-20, -0x1.b44c0711d4c85p-20, -0x1.a877ff77136edp-20, -0x1.9cac50f8bce57p-20, -0x1.90f29e10dc4bap-20, -0x1.854b6c3d50f84p-20, -0x1.79b6af8c73011p-20, -0x1.6e3547e7200b1p-20, -0x1.62c6e90caf66ap-20, -0x1.57672ba005a47p-20, -0x1.4c1e3cf42818cp-20, -0x1.40e59193144a8p-20, -0x1.35c389c357397p-20, -0x1.2ab2c239b4e46p-20, -0x1.1facc205ca888p-20, -0x1.14bc99178647p-20, -0x1.09e4f0e94cca8p-20, -0x1.fe37fd57e5e7dp-21, -0x1.e8ca734d85cc9p-21, -0x1.d389516ce06bfp-21, -0x1.be72c6a228cdep-21, -0x1.a978bc3b10431p-21, -0x1.94acedfa87aeep-21, -0x1.8009d8676cb8ep-21, -0x1.6b8a36c86caffp-21, -0x1.572e890c6c13p-21, -0x1.42fffc7b5bc31p-21, -0x1.2eff54fb5392cp-21, -0x1.1ab122dfa02d4p-21, -0x1.0759d0c521c27p-21, -0x1.e7872d841ec31p-22, -0x1.c0b39c0a2cf5cp-22, -0x1.9a3232fa00cf6p-22, -0x1.7401cda9548cap-22, -0x1.4e289b96fa61dp-22, -0x1.289259f86dfa8p-22, -0x1.031fbdb5dde04p-22, -0x1.bc78cdefc8959p-23, -0x1.7310b9931cf9p-23, -0x1.2ab73b72af32ep-23, -0x1.c43c8ab1c52abp-24, -0x1.36c555b64e6b2p-24, -0x1.525390d47bab7p-25, -0x1.cdcaff14bc744p-28, 0x1.b9a59eace9b96p-26, 0x1.efd874226cd64p-25, 0x1.8084c9a9fe181p-24, 0x1.03cec98879d25p-23, 0x1.468426185c8fcp-23, 0x1.88fe62679f329p-23, 0x1.caa7daed35c0bp-23, 0x1.05d9f5644fc94p-22, 0x1.260e1bc3084bp-22, 0x1.45f198aa3fdcdp-22, 0x1.65854c6c9d92dp-22, 0x1.84c8ae6daad13p-22, 0x1.a3bb37bd90acep-22, 0x1.c253aec3b32b5p-22, 0x1.e09f89b708ca5p-22, 0x1.fea6a884b0ecfp-22, 0x1.0e287b96d6242p-21, 0x1.1cdbec2ac23e6p-21, 0x1.2b5baf6f08983p-21, 0x1.3970e2485248ap-21, 0x1.47efdcbe2b4adp-21, 0x1.55f5dd228bcb7p-21, 0x1.63ed2f0b58e9fp-21, 0x1.71a8967765fa2p-21, 0x1.7f3cf0a869562p-21, 0x1.8cb24b049f613p-21, 0x1.99fc3e024f66ep-21, 0x1.a71b1bb5d9f93p-21, 0x1.b40fe9b3639d2p-21, 0x1.c0d9f35ba267fp-21, 0x1.cd8d88b5cf515p-21, 0x1.da1f51eec4f4p-21, 0x1.e67d8b1587971p-21, 0x1.f2c2cc0e53b14p-21, }}, 
      {{-0x1.85d06833fe2f9p-3, -0x1.55f486a2c76f9p-3, -0x1.1b6df903deec1p-3, -0x1.cd6175feecbdep-4, -0x1.865e6e4bec767p-4, -0x1.6e3982842939p-4, -0x1.88b8372cde8d1p-4, -0x1.d370245a35783p-4, -0x1.2406221173357p-3, -0x1.6f117453b419ap-3, -0x1.c6487bc53ff17p-3, -0x1.1299ed502b4aep-2, -0x1.43e07150c407ep-2, -0x1.75354a897923cp-2, -0x1.a5255cb877546p-2, -0x1.d28d5d3de2e38p-2, -0x1.fc9525f427f8bp-2, -0x1.115408d3eb6f2p-1, -0x1.2235f474632f3p-1, -0x1.30dbb474dce3dp-1, -0x1.3d44874c380c9p-1, -0x1.477f46c2429cbp-1, -0x1.4fa6962fa25dp-1, -0x1.55dd906fb478ep-1, -0x1.5a4cf7681403dp-1, -0x1.5d20df910b9fbp-1, -0x1.5e86cd8b6166ep-1, -0x1.5eac398f47d0cp-1, -0x1.5dbd6bae3b398p-1, -0x1.5be4a3ce61598p-1, -0x1.5949813116d36p-1, -0x1.56109e383e767p-1, -0x1.525b567342579p-1, -0x1.4e47ae6519d01p-1, -0x1.49f055475c996p-1, -0x1.456cbaa54129cp-1, -0x1.40d1328cf1e6fp-1, -0x1.3c2f23e8e43e4p-1, -0x1.37953d6a71ceep-1, -0x1.330fae29b56fap-1, -0x1.2ea8601efac77p-1, -0x1.2a673291a736dp-1, -0x1.265232997f7c6p-1, -0x1.226dd151ff076p-1, -0x1.1ebd17cc3e597p-1, -0x1.1b41d7700e99ap-1, -0x1.17fcd5d2eceb9p-1, -0x1.14edf4d92ea22p-1, -0x1.12145803a6603p-1, -0x1.0f6e864b8be33p-1, -0x1.0cfa87b5b9ccbp-1, -0x1.0ab5feeff6f0bp-1, -0x1.089e40266cbc7p-1, -0x1.06b065d01e3dap-1, -0x1.04e962e6aa34cp-1, -0x1.0346125415614p-1, -0x1.01c343bc86a31p-1, -0x1.005dc61d00096p-1, -0x1.fe24e1ec284a4p-2, -0x1.fbbc586cad104p-2, -0x1.f97bedb92d55bp-2, -0x1.f75dd88a703fp-2, -0x1.f55c907eaf6aep-2, -0x1.f372d40464c8p-2, -0x1.f19bac7cd0429p-2, -0x1.efd2710f5e826p-2, -0x1.ee12c85a20106p-2, -0x1.ec58a96fe7ebfp-2, -0x1.eaa05bc1e7213p-2, -0x1.e8e67665e5a11p-2, -0x1.e727debe93c64p-2, -0x1.e561c6529820ap-2, -0x1.e391a86eb2d45p-2, -0x1.e1b5474df78dcp-2, -0x1.dfcaa8f3a7929p-2, -0x1.ddd013ea3ede6p-2, -0x1.dbc40c024d5a3p-2, -0x1.d9a54ed10a8b8p-2, -0x1.d772d030f9078p-2, -0x1.d52bb6e1c43a7p-2, -0x1.d2cf5910fa746p-2, -0x1.d05d38f296ec8p-2, -0x1.cdd50178f3d57p-2, -0x1.cb36831cd96p-2, -0x1.c881b0cd32fd7p-2, -0x1.c5b69ce518dfbp-2, -0x1.c2d5763d79f96p-2, -0x1.bfde85748384bp-2, -0x1.bcd22a5355d17p-2, -0x1.b9b0d94d14966p-2, -0x1.b67b18f6aaf94p-2, -0x1.b3318012a096cp-2, -0x1.afd4b34e6dabcp-2, -0x1.ac65636f5b517p-2, -0x1.a8e44b94d0879p-2, -0x1.a5522f7c1b3c6p-2, -0x1.a1afda0bbf46ap-2, -0x1.9dfe1bed8e55fp-2, -0x1.9a3dca2a4e58cp-2, -0x1.966fbd01e07c9p-2, -0x1.9294cecaf6e15p-2, -0x1.8eaddaed3d17ep-2, -0x1.8abbbcf48ba85p-2, -0x1.86bf4fb9e8b7fp-2, -0x1.82b96c9a1a426p-2, -0x1.7eaaeae0dbf06p-2, -0x1.7a949f262a839p-2, -0x1.76775ac4f3219p-2, -0x1.7253eb6cb333p-2, -0x1.6e2b1ad0b7cf7p-2, -0x1.69fdae2c89b64p-2, -0x1.65cc6614d24dcp-2, -0x1.6197fe1fed89cp-2, -0x1.5d612cc4243dcp-2, -0x1.5928a319cc1bcp-2, -0x1.54ef0cbe89551p-2, -0x1.50b50fb26c5e9p-2, -0x1.4c7b4c3b72e69p-2, -0x1.48425cdfcb52fp-2, -0x1.440ad65937449p-2, -0x1.3fd5479984d7dp-2, -0x1.3ba239c7b17dp-2, -0x1.3772303fed0cbp-2, -0x1.3345a8af5d762p-2, -0x1.2f1d1b1c77c27p-2, -0x1.2af8f9f0e7fe4p-2, -0x1.26d9b2221b4bdp-2, -0x1.22bfab3c8f8f7p-2, -0x1.1eab47875b093p-2, -0x1.1a9ce40f263e2p-2, -0x1.1694d8de51aacp-2, -0x1.1293791814842p-2, -0x1.0e991303b5158p-2, -0x1.0aa5f03060d5ap-2, -0x1.06ba55a8fce92p-2, -0x1.02d68404afb18p-2, -0x1.fdf56f40009c9p-3, -0x1.f64e5149a1417p-3, -0x1.eeb8168071762p-3, -0x1.e7331f732f63bp-3, -0x1.dfbfc52ec5ba4p-3, -0x1.d85e598bc27b7p-3, -0x1.d10f2776905dcp-3, -0x1.c9d2731c5056cp-3, -0x1.c2a87a4ad1f93p-3, -0x1.bb91749951dd4p-3, -0x1.b48d93b58c248p-3, -0x1.ad9d039e45807p-3, -0x1.a6bfeae9d6745p-3, -0x1.9ff66b083f199p-3, -0x1.9940a05868631p-3, -0x1.929ea291ee67bp-3, -0x1.8c1084d79e70ep-3, -0x1.8596560ecf871p-3, -0x1.7f3020fe74c01p-3, -0x1.78ddec85fe5ddp-3, -0x1.729fbbd4f9cd3p-3, -0x1.6c758e96fcd05p-3, -0x1.665f6118d906ap-3, -0x1.605d2c767f1afp-3, -0x1.5a6ee6e28adeap-3, -0x1.549483b997f83p-3, -0x1.4ecdf3a5dfeaap-3, -0x1.491b24ca7392p-3, -0x1.437c02ec4996bp-3, -0x1.3df0779d0f3d7p-3, -0x1.38786a4600731p-3, -0x1.3313c05efbefdp-3, -0x1.2dc25d8130c5ap-3, -0x1.2884238f982c6p-3, -0x1.2358f2ce7a6ecp-3, -0x1.1e40a9fe8dabep-3, -0x1.193b26775be15p-3, -0x1.1448444906d65p-3, -0x1.0f67de457ad3p-3, -0x1.0a99ce294a0f7p-3, -0x1.05ddec9b9ea0ap-3, -0x1.0134115cd2da6p-3, -0x1.f93826a12bd5p-4, -0x1.f02b9100d867fp-4, -0x1.e7420c610c46cp-4, -0x1.de7b4277a9aaap-4, -0x1.d5d6db57c338cp-4, -0x1.cd547e16bc462p-4, -0x1.c4f3d0d886024p-4, -0x1.bcb4791915836p-4, -0x1.b4961b6adbddfp-4, -0x1.ac985be4b45cdp-4, -0x1.a4baddf8ec0b1p-4, -0x1.9cfd44c464dd9p-4, -0x1.955f32f048128p-4, -0x1.8de04af04fcp-4, -0x1.86802f10eea4dp-4, -0x1.7f3e815e63ffcp-4, -0x1.781ae3e8590a5p-4, -0x1.7114f8c9c8c72p-4, -0x1.6a2c622ad0439p-4, -0x1.6360c25194563p-4, -0x1.5cb1bbb729b0ap-4, -0x1.561ef0fc87dfcp-4, -0x1.4fa8051f4e56p-4, -0x1.494c9b7020c35p-4, -0x1.430c5791c3438p-4, -0x1.3ce6dda1766f6p-4, -0x1.36dbd21fc7ef5p-4, -0x1.30eada06a67fdp-4, -0x1.2b139ad1c4e47p-4, -0x1.2555ba83c7a7ap-4, -0x1.1fb0dfbacfef4p-4, -0x1.1a24b1af88b73p-4, -0x1.14b0d835291acp-4, -0x1.0f54fbb90d109p-4, -0x1.0a10c553e9719p-4, -0x1.04e3debdedcdap-4, -0x1.ff9be55ab4f57p-5, -0x1.f59d5873b6be1p-5, -0x1.ebcb6eb59acfep-5, -0x1.e22581645b5afp-5, -0x1.d8aaeb4fda4f6p-5, -0x1.cf5b08f31d5dap-5, -0x1.c635384dcc01p-5, -0x1.bd38d8cf30626p-5, -0x1.b4654b982a905p-5, -0x1.abb9f362f361ap-5, -0x1.a336348707908p-5, -0x1.9ad974f7db3c9p-5, -0x1.92a31c4a0be31p-5, -0x1.8a9293b0967a9p-5, -0x1.82a7460cbe483p-5, -0x1.7ae09fde8aabp-5, -0x1.733e0f55350cdp-5, -0x1.6bbf0448a6e71p-5, -0x1.6462f0347bddbp-5, -0x1.5d294644e4fbdp-5, -0x1.56117b3f374e1p-5, -0x1.4f1b05b6b254dp-5, -0x1.48455dac7acebp-5, -0x1.418ffcfe23c05p-5, -0x1.3afa5f1b7fb0dp-5, -0x1.348401116fe9cp-5, -0x1.2e2c6171d841ap-5, -0x1.27f300b606c49p-5, -0x1.21d760d617d28p-5, -0x1.1bd90548890d1p-5, -0x1.15f7735a3d0fdp-5, -0x1.103231cf9d12ep-5, -0x1.0a88c8fe9b357p-5, -0x1.04fac2d1d12cfp-5, -0x1.ff0f55ab91ae7p-6, -0x1.f45e1c519a891p-6, -0x1.e9e0f6e5309b6p-6, -0x1.df9705c134fabp-6, -0x1.d57f6c5b227a9p-6, -0x1.cb99511cb31fdp-6, -0x1.c1e3dd6bef57p-6, -0x1.b85e3d96ff7acp-6, -0x1.af07a1425636dp-6, -0x1.a5df3a8196b68p-6, -0x1.9ce43e8104a41p-6, -0x1.9415e5be214e5p-6, -0x1.8b736afec27c1p-6, -0x1.82fc0c5768f1ep-6, -0x1.7aaf0a310ed06p-6, -0x1.728ba7e8dc864p-6, -0x1.6a912bb90d9d8p-6, -0x1.62bede7dd60cp-6, -0x1.5b140bd7881b8p-6, -0x1.539001f7efadbp-6, -0x1.4c3211c7ad582p-6, -0x1.44f98ec9aa99bp-6, -0x1.3de5cf1df663dp-6, -0x1.36f62b55c52e5p-6, -0x1.3029fe9af3106p-6, -0x1.2980a6c4e171fp-6, -0x1.22f984145139cp-6, -0x1.1c93f8cee8ea7p-6, -0x1.164f6a326f1fp-6, -0x1.102b3fa909021p-6, -0x1.0a26e2fd18e2ap-6, -0x1.0441c039b6e88p-6, -0x1.fcf68bcad5515p-7, -0x1.f1a5c9889eb9cp-7, -0x1.e6901f662cbc3p-7, -0x1.dbb477f7e1808p-7, -0x1.d111c1f9c309ap-7, -0x1.c6a6f09d2531bp-7, -0x1.bc72fb4de90c9p-7, -0x1.b274ddbce0d7dp-7, -0x1.a8ab97cdef32cp-7, -0x1.9f162d90ef9a5p-7, -0x1.95b3a71f1f35bp-7, -0x1.8c83109ccfb71p-7, -0x1.838379e2a863bp-7, -0x1.7ab3f705c1ddap-7, -0x1.7213a00acf42ap-7, -0x1.69a1910bf7f2ep-7, -0x1.615ce9e60de87p-7, -0x1.5944cb13c9bc9p-7, -0x1.51585cf63d2dfp-7, -0x1.4996cad91c611p-7, -0x1.41ff45ae7604bp-7, -0x1.3a90f882aad43p-7, -0x1.334b1c2e14fd2p-7, -0x1.2c2ce93818d41p-7, -0x1.25359b15f2478p-7, -0x1.1e6470ec328f2p-7, -0x1.17b8ad423a376p-7, -0x1.113195c6c3aaep-7, -0x1.0ace736c82d5fp-7, -0x1.048e9246f833dp-7, -0x1.fce283cc6772ep-8, -0x1.f0eba85cb1161p-8, -0x1.e5373bf85797cp-8, -0x1.d9c3eff4c4f6ep-8, -0x1.ce907b3fd28bbp-8, -0x1.c39b99dc0d82dp-8, -0x1.b8e40c9b150e8p-8, -0x1.ae689b7378633p-8, -0x1.a4281390f66fbp-8, -0x1.9a21470cd5038p-8, -0x1.90530d8ee520ep-8, -0x1.86bc443049625p-8, -0x1.7d5bcd32fc46p-8, -0x1.74308fe9f93d1p-8, -0x1.6b3978ad374dfp-8, -0x1.627578ce825c3p-8, -0x1.59e38681c5fecp-8, -0x1.51829cd3ba4f7p-8, -0x1.4951bb8daead5p-8, -0x1.414fe7240b787p-8, -0x1.397c28c2e113ap-8, -0x1.31d58dc29a23cp-8, -0x1.2a5b2859103b3p-8, -0x1.230c0ecf68158p-8, -0x1.1be75bd08e1efp-8, -0x1.14ec2e6093bfap-8, -0x1.0e19a9affc8ecp-8, -0x1.076ef5159e815p-8, -0x1.00eb3beb98ff2p-8, -0x1.f51b5ab85ba6bp-9, -0x1.e8aaf9039c56fp-9, -0x1.dc83c1658da5dp-9, -0x1.d0a428a09d9bcp-9, -0x1.c50aac1ea59p-9, -0x1.b9b5d0ab115c9p-9, -0x1.aea42257a33b2p-9, -0x1.a3d433d2b7eabp-9, -0x1.99449e295fa4bp-9, -0x1.8ef401e273c98p-9, -0x1.84e107480f08dp-9, -0x1.7b0a5cd5fda75p-9, -0x1.716eb53bdecaep-9, -0x1.680ccb69996dep-9, -0x1.5ee362158fb2dp-9, -0x1.55f14126f6921p-9, -0x1.4d353534f7db8p-9, -0x1.44ae12a4632e9p-9, -0x1.3c5ab2902f671p-9, -0x1.3439f402e47dap-9, -0x1.2c4abbc775528p-9, -0x1.248bf43b199bfp-9, -0x1.1cfc8d75e5f4ap-9, -0x1.159b7d109a838p-9, -0x1.0e67bde8f5a5ap-9, -0x1.076050079d17ep-9, -0x1.008438633e62p-9, -0x1.f3a50260828bp-10, -0x1.e694730a2df53p-10, -0x1.d9d4eab309d67p-10, -0x1.cd649ab595d41p-10, -0x1.c141bdc095e04p-10, -0x1.b56a96fb842d9p-10, -0x1.a9dd7140d398fp-10, -0x1.9e98a6e0f15cp-10, -0x1.939a921862ddcp-10, -0x1.88e19e3cfa8eap-10, -0x1.7e6c36479b7afp-10, -0x1.7438d584cfc77p-10, -0x1.6a45fb9363b44p-10, -0x1.6092306afedd3p-10, -0x1.571c03f851ad2p-10, -0x1.4de20d39e7016p-10, -0x1.44e2ea72cc47ep-10, -0x1.3c1d4114f8332p-10, -0x1.338fbe598e828p-10, -0x1.2b391724b25e2p-10, -0x1.2318045960587p-10, -0x1.1b2b49010b731p-10, -0x1.1371af7768d04p-10, -0x1.0bea06bb142dap-10, -0x1.0493256780fc4p-10, -0x1.fad7d245d9688p-11, -0x1.ece66b7c8b016p-11, -0x1.df4fe9459d1a2p-11, -0x1.d21228ff5ebadp-11, -0x1.c52b123c288edp-11, -0x1.b89897d17235dp-11, -0x1.ac58b798f1b9dp-11, -0x1.a0697b2f3fb73p-11, -0x1.94c8f3de6cf4dp-11, -0x1.8975438eca284p-11, -0x1.7e6c9aaf03c2ep-11, -0x1.73ad2a067093ep-11, -0x1.69353713c0cfcp-11, -0x1.5f02dc5b76416p-11, -0x1.5514e8e486f5ap-11, -0x1.4b692bb7cd1abp-11, -0x1.41fe62b88bd9ap-11, -0x1.38d2e49b519c2p-11, -0x1.2fe52a810dd1p-11, -0x1.2733b76b43569p-11, -0x1.1ebd0fcfe205cp-11, -0x1.167fc00f0b68p-11, -0x1.0e7a6109b0afbp-11, -0x1.06ab8d589fe95p-11, -0x1.fe23d909cb6eap-12, -0x1.ef58600f13f19p-12, -0x1.e0f226b5e4f07p-12, -0x1.d2eeb07ac272ep-12, -0x1.c54b8c918b6a5p-12, -0x1.b8065e2b5df2dp-12, -0x1.ab1cd81279299p-12, -0x1.9e8cb8b75915p-12, -0x1.9253c7cd0fb0ap-12, -0x1.866fd6ef4725p-12, -0x1.7adec2690aa77p-12, -0x1.6f9e70fc8ddf8p-12, -0x1.64acd3cb86b69p-12, -0x1.5a07e728c861dp-12, -0x1.4fadb3c608c7ap-12, -0x1.459c520d0154bp-12, -0x1.3bd1f5a23589dp-12, -0x1.324c95e7c0543p-12, -0x1.290ad14de4eeap-12, -0x1.200a9c6b60ccdp-12, -0x1.174a816f53b45p-12, -0x1.0ec8d56c9c37bp-12, -0x1.068401678b101p-12, -0x1.fcf4dca2f9928p-13, -0x1.ed554f424b92fp-13, -0x1.de26400629983p-13, -0x1.cf64d9d4b7f9ap-13, -0x1.c10e1e60a3e31p-13, -0x1.b31f4ce54087dp-13, -0x1.a595a37e5fadcp-13, -0x1.986e71b9db9f4p-13, -0x1.8ba71c784930ap-13, -0x1.7f3d1e2bd068dp-13, -0x1.732e05a4626d5p-13, -0x1.67777412d4fb2p-13, -0x1.5c171c99a9beap-13, -0x1.510ac5e471fcp-13, -0x1.46501db458d97p-13, -0x1.3be505fe06a92p-13, -0x1.31c776da9dcb9p-13, -0x1.27f53f2ea93abp-13, -0x1.1e6c5d2306f2ap-13, -0x1.152ae3a055b38p-13, -0x1.0c2ee65456ad3p-13, -0x1.03767265b9bc2p-13, -0x1.f5ff4c9339bdap-14, -0x1.e5919bde3267fp-14, -0x1.d5a06c1f5620bp-14, -0x1.c6282aaf9575p-14, -0x1.b725922f51bc8p-14, -0x1.a8959cb56d304p-14, -0x1.9a7536882ccfcp-14, -0x1.8cc14beab0e67p-14, -0x1.7f76dedcd55b9p-14, -0x1.7292fe15791cbp-14, -0x1.6612cdc5908aep-14, -0x1.59f3770abbc2ap-14, -0x1.4e323938ec7bdp-14, -0x1.42cc6c542eb32p-14, -0x1.37bf80350e3acp-14, -0x1.2d08fbaf542cap-14, -0x1.22a6767d2c38p-14, -0x1.189595dc9d58cp-14, -0x1.0ed40edaa6741p-14, -0x1.055fa9eb88a12p-14, -0x1.f86c77a9f3f15p-15, -0x1.e6ab5769f17d9p-15, -0x1.d5767cfdd21fdp-15, -0x1.c4cec70922fefp-15, -0x1.b4aa60171d2a4p-15, -0x1.a508e95862dcfp-15, -0x1.95e5c1de5733fp-15, -0x1.873d5008046fp-15, -0x1.790bfaf4b4242p-15, -0x1.6b4e3acdff06ap-15, -0x1.5e00a4f538bbep-15, -0x1.511fe9101dfccp-15, -0x1.44a8ca0e47783p-15, -0x1.38981d5c1bddep-15, -0x1.2ceacce53bf7ap-15, -0x1.219dd9dc03afbp-15, -0x1.16ae62c02ec0ep-15, -0x1.0c19a8473175dp-15, -0x1.01dd0dfdaeb2bp-15, -0x1.efec296cdd77ap-16, -0x1.dcc4a75deba71p-16, -0x1.ca3ed2a833f95p-16, -0x1.b855d863d4cefp-16, -0x1.a705aeba1f9b9p-16, -0x1.9649704b1762ep-16, -0x1.861d40ccb8fc5p-16, -0x1.767c72cd0e4e1p-16, -0x1.6762e8013c092p-16, -0x1.58cc055a404fap-16, -0x1.4ab43c146562ep-16, -0x1.3d1745e1a1901p-16, -0x1.2ff19f79e46e7p-16, -0x1.233e9b1fce389p-16, -0x1.16faefb8200efp-16, -0x1.0b235a9ad56abp-16, -0x1.ff67cd2c6f629p-17, -0x1.e951a2038a387p-17, -0x1.d3ff819c1b73dp-17, -0x1.bf6aa85f13d7fp-17, -0x1.ab8e783a008efp-17, -0x1.986317efad187p-17, -0x1.85ea2056560d4p-17, -0x1.741779c77a9f1p-17, -0x1.62e7ef99c7829p-17, -0x1.5258b523b0927p-17, -0x1.4263394c0f017p-17, -0x1.33028e5a7bc97p-17, -0x1.2431e9eb6f3bbp-17, -0x1.15ec9a6ba674ep-17, -0x1.082e0188bbb67p-17, -0x1.f5e327a8c6c73p-18, -0x1.dc65c90f1a76cp-18, -0x1.c3db61984b3bep-18, -0x1.ac3bb92feca09p-18, -0x1.957ed0647c043p-18, -0x1.7f9cce19fe006p-18, -0x1.6a8df90180d5cp-18, -0x1.564ade1691734p-18, -0x1.42ccafda4dff7p-18, -0x1.300d7de7d132p-18, -0x1.1e07ff8c1302fp-18, -0x1.0cb72c300da8p-18, -0x1.f82ba9d825fe2p-19, -0x1.d83d1eca28e4fp-19, -0x1.b9971570d70b3p-19, -0x1.9c2c6334a9e4p-19, -0x1.7ff1f8df5bebp-19, -0x1.64dff9046db5bp-19, -0x1.4aeb3e666ba9dp-19, -0x1.3206f986e8e71p-19, -0x1.1a19bfaeb3967p-19, -0x1.03546f8c10135p-19, -0x1.dae2a8017104fp-20, -0x1.b0fc447ddae0dp-20, -0x1.88df827c7229dp-20, -0x1.627c73fe8e93ep-20, -0x1.3dc3e04974666p-20, -0x1.1aa78b236e792p-20, -0x1.f233d149fd528p-21, -0x1.b21ad0637ea6dp-21, -0x1.74e7d58ee2bcfp-21, -0x1.3a801ae3ce0a9p-21, -0x1.02c9b790a7b13p-21, -0x1.9b5a8bf6ad2cfp-22, -0x1.362902f21d873p-22, -0x1.aba173716af9bp-23, -0x1.e88b5bde067cp-24, -0x1.17a2e6592641dp-25, 0x1.7e9dc4ab42ca4p-25, 0x1.f954e34db795cp-24, 0x1.91db30aea7481p-23, 0x1.0fa2bb37c0d23p-22, 0x1.5291839dc666ep-22, 0x1.91ed63c760bcap-22, 0x1.cdf10058c2f45p-22, 0x1.034a1f89b7bd9p-21, 0x1.1dfa0be32ca71p-21, 0x1.371f368f31a79p-21, 0x1.4ec901df8b559p-21, 0x1.6502c0d30cb0bp-21, 0x1.79ebed4c33579p-21, 0x1.8d84e8bf7c082p-21, 0x1.9fbfa6edce5b2p-21, 0x1.b0de0b6e00826p-21, 0x1.c0b8ea0a06abp-21, 0x1.cf7ac4dcbbe24p-21, 0x1.dd27d97a264eap-21, 0x1.e9ce22bca1b38p-21, 0x1.f5775596dc913p-21, 0x1.00153e8c57e62p-20, 0x1.04f82bb2b8068p-20, 0x1.096a0c7a76146p-20, 0x1.0d73f5ccfb103p-20, 0x1.111245dc04b1fp-20, 0x1.145017810a356p-20, 0x1.1731e1aebe271p-20, 0x1.19a64d3fb66d8p-20, 0x1.1bd7e2b7fe0d1p-20, 0x1.1daebd0fcaaa9p-20, 0x1.1f35630eda2c8p-20, 0x1.206f0baf93cffp-20, 0x1.215f7f623302fp-20, 0x1.220a6a5f8f1b2p-20, 0x1.2272da329b085p-20, 0x1.229b03b0b7f03p-20, 0x1.2282ae5c54979p-20, 0x1.223138a2ec8c5p-20, 0x1.21aa933a18d1p-20, 0x1.20ec284cf32f8p-20, 0x1.1ffacae3764b5p-20, 0x1.1eddb29b7d9d2p-20, 0x1.1d7798cd006cap-20, 0x1.1bfb6dc206835p-20, 0x1.1a72186a34f2ep-20, 0x1.18a51aba7b20dp-20, 0x1.16b3aae06aa8dp-20, 0x1.149f0a63054ccp-20, 0x1.1268490ee84bap-20, 0x1.1011da9ba5287p-20, 0x1.0d9d48b727db8p-20, 0x1.0b0ca4e6d9115p-20, 0x1.0861cbf6a4deap-20, 0x1.059894c71e0bdp-20, 0x1.02b3d91e3c6efp-20, 0x1.ff7d001d09986p-21, 0x1.f95c0fb048296p-21, 0x1.f31ecd50204dcp-21, 0x1.ecbceb20aaccep-21, 0x1.e63656f8f238cp-21, 0x1.df83b26e5d933p-21, 0x1.d8b11f3bef0bcp-21, 0x1.d1c3421ef09cp-21, 0x1.cac3ff37ce6dfp-21, 0x1.c39f833317152p-21, 0x1.bc674f5fa9c7cp-21, 0x1.b51ba75e3d603p-21, 0x1.adba7313c079dp-21, 0x1.a6467ec6b255p-21, 0x1.9ec22c65a8b4dp-21, 0x1.972f99e10d14cp-21, 0x1.8f8f3a32cdd08p-21, 0x1.87e088e0753aep-21, 0x1.8024bbccf601ep-21, 0x1.785f3e6b3c826p-21, 0x1.7092ba31cd328p-21, 0x1.68bf71df0c3cep-21, 0x1.60e4fb4717cb2p-21, 0x1.590454e3854cp-21, 0x1.511dede4330aep-21, 0x1.4934fef39e185p-21, 0x1.4148dea098238p-21, 0x1.3959b4c79eabbp-21, 0x1.3166343b22998p-21, 0x1.297bbc56c2506p-21, 0x1.218b14b6a4064p-21, 0x1.199bc42cce148p-21, 0x1.11a5aa193387cp-21, 0x1.09cc3fd16f7b7p-21, 0x1.01e2e137b922fp-21, 0x1.f4063b8f2307p-22, 0x1.e482eb2623fe2p-22, 0x1.d49cb281cbb5p-22, 0x1.c4fabf406e109p-22, 0x1.b559f5465f8c9p-22, 0x1.a5c5fe690c88cp-22, 0x1.96511e68d4529p-22, 0x1.86e5d36b20bfcp-22, 0x1.7789f5ffc27fbp-22, 0x1.684b1ce176c5ep-22, 0x1.5911c6b0934fdp-22, 0x1.49e18d6569031p-22, 0x1.3aca9b17d1b16p-22, 0x1.2bc9658405c1cp-22, 0x1.1ceb610c73468p-22, 0x1.0e0b13323d15bp-22, 0x1.fe5daf75e8bc7p-23, 0x1.e1102751db131p-23, 0x1.c3d6cd1c5b2f8p-23, 0x1.a6d2adecc971ep-23, 0x1.8a2a889e2f0a9p-23, 0x1.6d7d9352d7652p-23, 0x1.50e9d13fd2cb8p-23, 0x1.348395b03dbe4p-23, 0x1.187b311dddc5dp-23, 0x1.f91ce34a4981cp-24, 0x1.c1af2a4df60b7p-24, 0x1.8aa55fe323e37p-24, 0x1.5401d0db9221dp-24, 0x1.1dc24479087fbp-24, 0x1.d0da2f823002dp-25, 0x1.65ee532953c8cp-25, 0x1.f60588bcc0a92p-26, 0x1.23cc9309b6185p-26, 0x1.4ca97a3cfcb67p-28, -0x1.eff6afd7cba8p-28, -0x1.49059e52fcdf1p-26, -0x1.09e99f180bfbcp-25, -0x1.6f2303457bf37p-25, -0x1.d31e69c4647adp-25, -0x1.1b0ef9e836bc9p-24, -0x1.4c36001e0ca72p-24, -0x1.7d0b988f0ed1ap-24, -0x1.ad677c1c81ec1p-24, -0x1.dd40b474e8862p-24, -0x1.0651033faaa61p-23, -0x1.1dced0d4a5f12p-23, -0x1.352bb84fe2442p-23, -0x1.4c2f0748f6eb2p-23, -0x1.6309b99dec6eep-23, -0x1.79a8c13677084p-23, -0x1.900dbd71a7035p-23, -0x1.a635e99a3cfedp-23, -0x1.bc2ca44eedd5fp-23, -0x1.d1eed274d3d1bp-23, -0x1.e77844e0212b5p-23, -0x1.fcc80b4e44782p-23, -0x1.08edaa07f5205p-22, -0x1.135a7edfb4e3ep-22, -0x1.1dc36ba57edf9p-22, -0x1.2834cfa9d6298p-22, -0x1.3241651a9e1e5p-22, -0x1.3c0c868e68434p-22, -0x1.45f18235097bcp-22, -0x1.4fad109e4a051p-22, -0x1.596904f9e636ep-22, -0x1.630c42456ba25p-22, -0x1.6c79531a5d0c2p-22, -0x1.75de94f6d6089p-22, -0x1.7f1395a1d065dp-22, -0x1.882f5c3143e1p-22, -0x1.913afa6e85a14p-22, -0x1.9a2e1241e5be9p-22, -0x1.a30249c0f954cp-22, -0x1.abb80957f572ep-22, -0x1.b455b942e9c48p-22, -0x1.bcdd938306b75p-22, -0x1.c5486e44dfab8p-22, -0x1.cd958b8a92f1cp-22, -0x1.d5cbbc25b2f13p-22, -0x1.dde618cbc9924p-22, -0x1.e5e9ee6a00a0fp-22, -0x1.edc98e761a8e2p-22, -0x1.f59808b685473p-22, -0x1.fd46d65b4e678p-22, -0x1.026e0e6f11a1p-21, -0x1.062c2c5f93a59p-21, -0x1.09dddb111d8e1p-21, -0x1.0d830129e5a4p-21, -0x1.111bb6a5aa8ffp-21, -0x1.14a8f961bbd66p-21, -0x1.182864f63d6abp-21, -0x1.1b99f1f36def7p-21, -0x1.1efc4af61707cp-21, -0x1.22567767fa9b5p-21, -0x1.25a4d36eaa8a8p-21, -0x1.28e36f07a049fp-21, -0x1.2c1838f1f4cf7p-21, -0x1.2f433a31befe3p-21, -0x1.32614c1c98e6ap-21, -0x1.3572038574096p-21, -0x1.3872dcd3b6085p-21, -0x1.3b6be885f0723p-21, -0x1.3e644370fff75p-21, -0x1.4136eb0d913f3p-21, -0x1.4409d32f33331p-21, -0x1.46d15e9d6d31ep-21, -0x1.498ff1a93cbf6p-21, -0x1.4c195a67d0f5bp-21, -0x1.4ee3dcd881785p-21, -0x1.517b69511931bp-21, -0x1.54065742f4dfbp-21, -0x1.569a6f2a8e9adp-21, -0x1.5910e3400d335p-21, -0x1.5b79f0ea07492p-21, -0x1.5ddeeb7703dep-21, -0x1.602129d56487bp-21, -0x1.627327a0c3b4cp-21, -0x1.64b7ba7e1ef18p-21, -0x1.66eff5fbce6adp-21, -0x1.691b20df7884ap-21, -0x1.6b3adf5607a73p-21, -0x1.6d5017601662ap-21, -0x1.6f5acb5735be6p-21, -0x1.715ae75a8b138p-21, -0x1.7350553dfed67p-21, -0x1.753afc6883be4p-21, -0x1.771ae8c8099fep-21, -0x1.78f0849594021p-21, -0x1.7abc57d21b45ep-21, -0x1.7c7eb97a9aea4p-21, -0x1.7e37641d9c93cp-21, -0x1.7fe59c3c0f2fdp-21, -0x1.818910325e79dp-21, -0x1.83223023049f1p-21, -0x1.84b188accad23p-21, -0x1.863716e966045p-21, -0x1.87b37a16edffep-21, -0x1.8927a5fda0e82p-21, -0x1.8a925d0e6f78ap-21, -0x1.8bee8e2a70578p-21, -0x1.8d45dfa5829f6p-21, -0x1.8e94934dcd657p-21, -0x1.8fd55f9ff813p-21, -0x1.9110282234a0dp-21, -0x1.924261d65b627p-21, -0x1.9369df0c70ac8p-21, -0x1.948906d6a85ffp-21, -0x1.95a0c5e86b21dp-21, -0x1.96ae5ea71590cp-21, -0x1.97b2156c5bee9p-21, -0x1.98bc27763494ep-21, -0x1.99a0fbd953279p-21, -0x1.9a8bd28045de9p-21, -0x1.9b6e8a29614eep-21, -0x1.9c457731d6553p-21, -0x1.9d123b92aba9bp-21, -0x1.9de1e7250858dp-21, -0x1.9ea4d0a706da3p-21, -0x1.9f5c10c072dd9p-21, -0x1.a011b5f27dd86p-21, -0x1.a0b4e72ba704p-21, -0x1.a156a96058dbep-21, -0x1.a1ef413a70483p-21, -0x1.a281e834a54ap-21, -0x1.a303dac82249cp-21, -0x1.a388ae2f935e6p-21, -0x1.a403ee80e2905p-21, -0x1.a477128620dcep-21, -0x1.a4e2926ac8443p-21, -0x1.a545926fead16p-21, -0x1.a5a052867d0f4p-21, -0x1.a5f92cc974122p-21, -0x1.a644362fd8172p-21, -0x1.a68b49c9f58eap-21, -0x1.a6c843857cbfdp-21, -0x1.a6ff673816225p-21, -0x1.a735b5aebd002p-21, -0x1.a761cc773ed68p-21, -0x1.a78502b15d81ep-21, -0x1.a7a39f68c03f9p-21, -0x1.a7bca78794d96p-21, -0x1.a7cd16b878cb8p-21, -0x1.a7d46cb5f1fb7p-21, -0x1.a7dab27552d68p-21, -0x1.a7d81e7b84642p-21, -0x1.a7cb58c126b81p-21, -0x1.a7bc054ddcd72p-21, -0x1.a7aa5b0f563ddp-21, -0x1.a78d13c8d10f9p-21, -0x1.a769bb91af0e7p-21, -0x1.a759b6510b1d4p-21, -0x1.a717bd41bcf4fp-21, -0x1.a6e59b96d9dbcp-21, -0x1.a6ac6e2e72e86p-21, -0x1.a66d2bbd98ce9p-21, -0x1.a6282ec1dae52p-21, -0x1.a5dcfafacd054p-21, -0x1.a58f47bb3f686p-21, -0x1.a541f85bb1ba3p-21, -0x1.a4e61cbbe8e4ap-21, -0x1.a489172349b05p-21, -0x1.a41ebb9758a3dp-21, -0x1.a3be381bf9454p-21, -0x1.a346c7a639513p-21, -0x1.a2d468e4dbb7cp-21, -0x1.a25cf4553aefp-21, -0x1.a1e3589ca1526p-21, -0x1.a15fd0048c2dbp-21, -0x1.a0dc54b8ce27dp-21, -0x1.a04c9dc55d512p-21, -0x1.9fb894e16c363p-21, -0x1.9f2b288ae08fcp-21, -0x1.9e8fe850c07ffp-21, -0x1.9df2525ad6379p-21, -0x1.9d507a8d1b67ap-21, -0x1.9caa5b0acfe12p-21, -0x1.9c0024280b8fdp-21, -0x1.9b5206b18a9a6p-21, -0x1.9aa01e164466fp-21, -0x1.99e7d33dcc534p-21, -0x1.992d2a4e29a78p-21, -0x1.987083bac9104p-21, -0x1.97accc6dfaa8dp-21, -0x1.96e8221b213efp-21, -0x1.961d01d887918p-21, -0x1.95441788d68ddp-21, -0x1.947c490e59157p-21, -0x1.93a2a2c57175bp-21, -0x1.92cf520bfa2f8p-21, -0x1.91f1468a81a87p-21, -0x1.9110e83b0096ep-21, -0x1.9030aff7fc7p-21, -0x1.8f4adeb12b407p-21, -0x1.8e603c77dfa95p-21, -0x1.8d71e421c4f7dp-21, -0x1.8c7fac274d202p-21, -0x1.8b8e68f07fccep-21, -0x1.8a9ba7873427cp-21, -0x1.89a229d43c766p-21, -0x1.88aae608dfe97p-21, }}, 
      {{-0x1.b59d77bcf0337p-13, -0x1.8218e9c38d3b1p-11, -0x1.755e4795385a3p-10, -0x1.22b7917dc39b7p-9, -0x1.8500d78f757adp-9, -0x1.b94d10337843dp-9, -0x1.92225abd10f29p-9, -0x1.da6bb80a12c2fp-10, 0x1.12cb9ee37b916p-11, 0x1.ff7b5aec53716p-9, 0x1.0bd91d8350b7dp-7, 0x1.ad81fca3483cbp-7, 0x1.2de25e3295544p-6, 0x1.8684f3f5fb162p-6, 0x1.dbf840c4ffbbcp-6, 0x1.14f3240519087p-5, 0x1.363dec0a8df66p-5, 0x1.503fc11e1251dp-5, 0x1.61ae1ffd869b5p-5, 0x1.6991cdc24657p-5, 0x1.6744f7f609aacp-5, 0x1.5a6f3476995bap-5, 0x1.42ffdb6c014e3p-5, 0x1.2127151205718p-5, 0x1.ea9bcea2baecp-6, 0x1.801b282487646p-6, 0x1.044d427844626p-6, 0x1.e3bf14cf7fd31p-8, -0x1.00a2909eddac1p-9, -0x1.8975882ee8128p-7, -0x1.72f286eef3042p-6, -0x1.14552c8ff724ap-5, -0x1.71eda6e188e3ap-5, -0x1.d148a7847ae69p-5, -0x1.18bc6ba381273p-4, -0x1.48cffc2390a31p-4, -0x1.787841745defdp-4, -0x1.a7574b2ebe35bp-4, -0x1.d5182fa3e12e4p-4, -0x1.00b7840971a9ep-3, -0x1.160c5f1c4ea84p-3, -0x1.2a6d5dff7b986p-3, -0x1.3dc1453100294p-3, -0x1.4ff2b00b9874ap-3, -0x1.60efd12288303p-3, -0x1.70aa33a35c3ecp-3, -0x1.7f1680b73e1b6p-3, -0x1.8c2c44b5d3d4ap-3, -0x1.97e5b15d4ed94p-3, -0x1.a23f630653d55p-3, -0x1.ab382d9f8973fp-3, -0x1.b2d0ee530c184p-3, -0x1.b90c5c4de2e85p-3, -0x1.bdeed862da32dp-3, -0x1.c17e3e8f308fep-3, -0x1.c3c1bd25cce26p-3, -0x1.c4c1b07bc43fep-3, -0x1.c487806331091p-3, -0x1.c31d7d63a7f54p-3, -0x1.c08ebd98cc4b6p-3, -0x1.bce6fab41c463p-3, -0x1.b832726a64d99p-3, -0x1.b27dca0e7127bp-3, -0x1.abd5f4d53dd4dp-3, -0x1.a4481c0ecd302p-3, -0x1.9be188f04bf82p-3, -0x1.92af8f7f577c6p-3, -0x1.88bf7ae5387eep-3, -0x1.7e1e7b821ed2ep-3, -0x1.72d996f306adep-3, -0x1.66fd9a321f9f3p-3, -0x1.5a970db80b5fp-3, -0x1.4db22b65d871bp-3, -0x1.405ad60a0cd98p-3, -0x1.329c926f7402dp-3, -0x1.24828184db4d5p-3, -0x1.16175bac8fd5cp-3, -0x1.07656d15a58bep-3, -0x1.f0ed263242946p-4, -0x1.d2a874dd5b681p-4, -0x1.b40ebcaf0ab6ep-4, -0x1.9531110c562adp-4, -0x1.761fa3df580f8p-4, -0x1.56e9c7e844524p-4, -0x1.379df4d4415c8p-4, -0x1.1849cb3772765p-4, -0x1.f1f4357f2ae3p-5, -0x1.b375ce9f64009p-5, -0x1.752edf965f061p-5, -0x1.3734695ce049ep-5, -0x1.f333fa1b4623ap-6, -0x1.78e399678d50cp-6, -0x1.ff32d8100501ap-7, -0x1.0ee94c15ecde7p-7, -0x1.09213f170437bp-10, 0x1.93cf4dd8893dap-8, 0x1.b2098f59cd768p-7, 0x1.4b8a97019cba6p-6, 0x1.bc711423f43bep-6, 0x1.15d2f6998f2b6p-5, 0x1.4c8c4fa644d06p-5, 0x1.825d2f1c7fa8bp-5, 0x1.b73ef9b2a3eabp-5, 0x1.eb2bd9febc1e5p-5, 0x1.0f0f5980923adp-4, 0x1.28098a9eb82a3p-4, 0x1.40829b8fd6ecbp-4, 0x1.5878f58aafa32p-4, 0x1.6feb4a9c85c3ep-4, 0x1.86d89260c7a68p-4, 0x1.9d40060188734p-4, 0x1.b3211b237b35p-4, 0x1.c87b8193fb9a7p-4, 0x1.dd4f1fad03edcp-4, 0x1.f19c0d74f009bp-4, 0x1.02b149eccb3bp-3, 0x1.0c5193d5535fdp-3, 0x1.15af337394b6ep-3, 0x1.1eca8b956fb1cp-3, 0x1.27a410cc0d9d5p-3, 0x1.303c47ee2db72p-3, 0x1.3893c5fcd285ep-3, 0x1.40ab2d978bb72p-3, 0x1.48832dfcd16e1p-3, 0x1.501c83134891fp-3, 0x1.5777f2eae2e42p-3, 0x1.5e964cd2d0036p-3, 0x1.65786990c7375p-3, 0x1.6c1f295dae5b7p-3, 0x1.728b72455ee18p-3, 0x1.78be3152b0d25p-3, 0x1.7eb858968bd14p-3, 0x1.847add6c54309p-3, 0x1.8a06b93c04f37p-3, 0x1.8f5ce8f2d47ap-3, 0x1.947e6aaff1787p-3, 0x1.996c3ded12c0ep-3, 0x1.9e27645b307cp-3, 0x1.a2b0dfa5c372bp-3, 0x1.a709b0756b0fbp-3, 0x1.ab32d7b0bd9dcp-3, 0x1.af2d56093a8fap-3, 0x1.b2fa29bfaa4cap-3, 0x1.b69a4f038e37ap-3, 0x1.ba0ec10347e61p-3, 0x1.bd5878b12903ep-3, 0x1.c0786b2fce581p-3, 0x1.c36f8abb69b8bp-3, 0x1.c63ec773206cep-3, 0x1.c8e70e09d47ddp-3, 0x1.cb69465a8d565p-3, 0x1.cdc654d7a2cf9p-3, 0x1.cfff1af86c14ap-3, 0x1.d21475fc1f36dp-3, 0x1.d4073e0bb1f49p-3, 0x1.d5d847268617bp-3, 0x1.d78861cc37c05p-3, 0x1.d9185a50e609dp-3, 0x1.da88f788f3bb6p-3, 0x1.dbdafb9b073dfp-3, 0x1.dd0f251bd42eap-3, 0x1.de262e748e823p-3, 0x1.df20ccd541e74p-3, 0x1.dfffb07d1698cp-3, 0x1.e0c3859a3758fp-3, 0x1.e16cf4b4ebbecp-3, 0x1.e1fca1a40e4f9p-3, 0x1.e2732b4093088p-3, 0x1.e2d12c1d3accfp-3, 0x1.e3173b25a4e99p-3, 0x1.e345eb96a4ac2p-3, 0x1.e35dcc14889a9p-3, 0x1.e35f66dbbd51ap-3, 0x1.e34b42784442p-3, 0x1.e321e24046df1p-3, 0x1.e2e3c5e216103p-3, 0x1.e29169206142p-3, 0x1.e22b43e1cb6dep-3, 0x1.e1b1cad71cec1p-3, 0x1.e1256fe45eb3ap-3, 0x1.e086a1c925722p-3, 0x1.dfd5cbf06b948p-3, 0x1.df13567f3469fp-3, 0x1.de3fa6d1ff8dep-3, 0x1.dd5b1fe520e21p-3, 0x1.dc66223c2e784p-3, 0x1.db610b8f7afeap-3, 0x1.da4c36ff50b95p-3, 0x1.d927fd370b994p-3, 0x1.d7f4b4e88af52p-3, 0x1.d6b2b2ddeef5cp-3, 0x1.d56249dbf18ecp-3, 0x1.d403ca7e5f55dp-3, 0x1.d29783589ec51p-3, 0x1.d11dc14e1975cp-3, 0x1.cf96cfd65fa8p-3, 0x1.ce02f8ff2d78dp-3, 0x1.cc62853cb3bfep-3, 0x1.cab5bb62ac86ap-3, 0x1.c8fce0d6bcbebp-3, 0x1.c73839dcf13d6p-3, 0x1.c56809b134a31p-3, 0x1.c38c928faa917p-3, 0x1.c1a61584fcee7p-3, 0x1.bfb4d27bdf658p-3, 0x1.bdb9085d5917cp-3, 0x1.bbb2f54696cf2p-3, 0x1.b9a2d6b0622fap-3, 0x1.b788e95368267p-3, 0x1.b565692c1212dp-3, 0x1.b338915f4d83p-3, 0x1.b1029c655518cp-3, 0x1.aec3c426c2e9ap-3, 0x1.ac7c420d6cbcep-3, 0x1.aa2c4f3e80e08p-3, 0x1.a7d4241c9ce0ep-3, 0x1.a573f8a3c98e2p-3, 0x1.a30c04447ede9p-3, 0x1.a09c7e0767c98p-3, 0x1.9e259ca94edc7p-3, 0x1.9ba796921da8p-3, 0x1.9922a1d102b4ep-3, 0x1.9696f410f79edp-3, 0x1.9404c2b3cb9b1p-3, 0x1.916c42bec43b9p-3, 0x1.8ecda8db7dbbep-3, 0x1.8c29298acfc72p-3, 0x1.897ef8ee1d9b7p-3, 0x1.86cf4af368c95p-3, 0x1.841a534be7f41p-3, 0x1.816045456aa6p-3, 0x1.7ea153f249e4ap-3, 0x1.7bddb21f42b46p-3, 0x1.7915923a0c813p-3, 0x1.7649268a3e91fp-3, 0x1.7378a114404c3p-3, 0x1.70a43386f9c3fp-3, 0x1.6dcc0f4b92fbap-3, 0x1.6af06582fc54dp-3, 0x1.681166ed89567p-3, 0x1.652f43ee1746ap-3, 0x1.624a2cbd1debep-3, 0x1.5f62512dfd2fp-3, 0x1.5c77e0bdd5e68p-3, 0x1.598b0aa2f90a3p-3, 0x1.569bfdad77474p-3, 0x1.53aae8432e53bp-3, 0x1.50b7f86564747p-3, 0x1.4dc35bb5f0c8ap-3, 0x1.4acd3f77cf0f6p-3, 0x1.47d5d087e2521p-3, 0x1.44dd3b5db829ep-3, 0x1.41e3abfe619b3p-3, 0x1.3ee94dfa29437p-3, 0x1.3bee4c628e686p-3, 0x1.38f2d1cdd6e21p-3, 0x1.35f708694dd4bp-3, 0x1.32fb19d4a854ep-3, 0x1.2fff2f40c3451p-3, 0x1.2d03716b6b2c8p-3, 0x1.2a080872a419bp-3, 0x1.270d1bfe0ac51p-3, 0x1.2412d319cec69p-3, 0x1.211954493347dp-3, 0x1.1e20c5851e75ep-3, 0x1.1b294c3586cfcp-3, 0x1.18330d37bb139p-3, 0x1.153e2cd13cdbcp-3, 0x1.124aceb46dc53p-3, 0x1.0f5915f58d2a7p-3, 0x1.0c69250bef859p-3, 0x1.097b1dd152e9ep-3, 0x1.068f2181f33f4p-3, 0x1.03a550c4ef24ap-3, 0x1.00bdcb9efe7d3p-3, 0x1.fbb162cb4845p-4, 0x1.f5ec41c780e89p-4, 0x1.f02c706513b9bp-4, 0x1.ea72298c73649p-4, 0x1.e4bda6d1f5938p-4, 0x1.df0f209206c4bp-4, 0x1.d966cdd2252cfp-4, 0x1.d3c4e43a4b63p-4, 0x1.ce29984054148p-4, 0x1.c8951cfdb34f3p-4, 0x1.c307a43eecbf1p-4, 0x1.bd815e78c6304p-4, 0x1.b8027ad3bfb23p-4, 0x1.b28b2726d38c5p-4, 0x1.ad1b8ff44d007p-4, 0x1.a7b3e077ee862p-4, 0x1.a254429806872p-4, 0x1.9cfcdef177c39p-4, 0x1.97addcd47367cp-4, 0x1.9267624ad7aa7p-4, 0x1.8d299411af0d9p-4, 0x1.87f4959e7934ep-4, 0x1.82c889052fff2p-4, 0x1.7da58f388c706p-4, 0x1.788bc7e55e254p-4, 0x1.737b518c75afdp-4, 0x1.6e74491fc7c5ap-4, 0x1.6976caac063bep-4, 0x1.6482f0e7c2fap-4, 0x1.5f98d54d04d77p-4, 0x1.5ab8902d858fbp-4, 0x1.55e238a7b84a1p-4, 0x1.5115e4a1059cfp-4, 0x1.4c53a8e74b0b2p-4, 0x1.479b9919144adp-4, 0x1.42edc7bf215d2p-4, 0x1.3e4a4632c450fp-4, 0x1.39b124a6cc603p-4, 0x1.3522725a05613p-4, 0x1.309e3d698ea58p-4, 0x1.2c2492d8dbf08p-4, 0x1.27b57e97e51d6p-4, 0x1.23510ba66851dp-4, 0x1.1ef743f712337p-4, 0x1.1aa830759a069p-4, 0x1.1663d913959d7p-4, 0x1.122a44cd3f791p-4, 0x1.0dfb79aac8bb9p-4, 0x1.09d77cc36a4b9p-4, 0x1.05be52411c0a1p-4, 0x1.01affd6683e83p-4, 0x1.fb5901446fdfdp-5, 0x1.f367bae428131p-5, 0x1.eb8c291e4feddp-5, 0x1.e3c64baa815dap-5, 0x1.dc16209c34f72p-5, 0x1.d47ba4729d88ap-5, 0x1.ccf6d20a78b8cp-5, 0x1.c587a2c059e14p-5, 0x1.be2e0e63efa1ep-5, 0x1.b6ea0b5a0e57bp-5, 0x1.afbb8e9cf0802p-5, 0x1.a8a28bcae848cp-5, 0x1.a19ef536cf9c3p-5, 0x1.9ab0bbe4e6483p-5, 0x1.93d7cf99f153bp-5, 0x1.8d141ef1a049ep-5, 0x1.8665971abacbbp-5, 0x1.7fcc242ec4ee9p-5, 0x1.7947b108cd6c9p-5, 0x1.72d82751acecp-5, 0x1.6c7d6f931b591p-5, 0x1.6637713bdf9cfp-5, 0x1.600612dab41eep-5, 0x1.59e93a0fee38ap-5, 0x1.53e0cb9c20a51p-5, 0x1.4decab62e50a2p-5, 0x1.480cbc97d013cp-5, 0x1.4240e1a84852bp-5, 0x1.3c88fc0946d4ep-5, 0x1.36e4ec37f6e1bp-5, 0x1.315491f9d91e2p-5, 0x1.2bd7cc0cf3a16p-5, 0x1.266e7853284bap-5, 0x1.211873e702a15p-5, 0x1.1bd59b36a8487p-5, 0x1.16a5ca3083f46p-5, 0x1.1188dc62bfac8p-5, 0x1.0c7ead15a39fdp-5, 0x1.07871755a8ce4p-5, 0x1.02a1f5ee88825p-5, 0x1.fb9e46a8b4f04p-6, 0x1.f21cf304d729p-6, 0x1.e8bfa39b8a4a5p-6, 0x1.df86097eda46bp-6, 0x1.d66fd400a7c0bp-6, 0x1.cd7cb0ae32a9bp-6, 0x1.c4ac4b77ed47cp-6, 0x1.bbfe4fbe399edp-6, 0x1.b372681bd962bp-6, 0x1.ab083fb9c16ffp-6, 0x1.a2bf82536f82bp-6, 0x1.9a97dd69c2d81p-6, 0x1.9290ff673be2dp-6, 0x1.8aaa97b4e75b7p-6, 0x1.82e455efcf85bp-6, 0x1.7b3de8e2e22f6p-6, 0x1.73b6fd95d40abp-6, 0x1.6c4f3e82f30fap-6, 0x1.6506533a0f67dp-6, 0x1.5ddbe08b872d8p-6, 0x1.56cf89343779cp-6, 0x1.4fe0ef507a461p-6, 0x1.490fb5dfb1e7fp-6, 0x1.425b824a5ec2bp-6, 0x1.3bc3fdb95b52p-6, 0x1.3548d5ac8a333p-6, 0x1.2ee9bbb2ee629p-6, 0x1.28a6644743371p-6, 0x1.227e84e573d77p-6, 0x1.1c71d1d3f2c3ep-6, 0x1.167ffbe38b18cp-6, 0x1.10a8aec8ea216p-6, 0x1.0aeb9063b8668p-6, 0x1.054841058eab3p-6, 0x1.ff7cbaed7d5d9p-7, 0x1.f49b032894a55p-7, 0x1.e9ea9631c8c48p-7, 0x1.df6ab97b7e7d9p-7, 0x1.d51ac1f10749bp-7, 0x1.cafa1713ee1d1p-7, 0x1.c1082dce479d3p-7, 0x1.b7448995e28dep-7, 0x1.adaeb211de88ep-7, 0x1.a4462c87e9cc4p-7, 0x1.9b0a73e883b7bp-7, 0x1.91faf2906df56p-7, 0x1.8916ff9abb7f7p-7, 0x1.805ddffd5e595p-7, 0x1.77cecad5be625p-7, 0x1.6f68f17c6bea9p-7, 0x1.672b889f0ca8p-7, 0x1.5f15d1b949838p-7, 0x1.5727223e93f8fp-7, 0x1.4f5ee7a3b0913p-7, 0x1.47bca79899225p-7, 0x1.403ffb692dc82p-7, 0x1.38e8881b38a32p-7, 0x1.31b5f45cffe2ep-7, 0x1.2aa7de369dbd7p-7, 0x1.23bdd27f30f6ep-7, 0x1.1cf747b82fc81p-7, 0x1.16539d48a8e07p-7, 0x1.0fd21f39d67d1p-7, 0x1.09720da16ab46p-7, 0x1.0332a6630f98ap-7, 0x1.fa265e8158298p-8, 0x1.ee25fdbb03a5ap-8, 0x1.e2630570bb125p-8, 0x1.d6dc81bacb9c3p-8, 0x1.cb91acd1e714fp-8, 0x1.c081e236ed39cp-8, 0x1.b5ac8dc1d7ddp-8, 0x1.ab111819f6fecp-8, 0x1.a0aed78969d01p-8, 0x1.9684fff35246cp-8, 0x1.8c92a11f71f3p-8, 0x1.82d6a551a5bbp-8, 0x1.794fdcedb200fp-8, 0x1.6ffd099120084p-8, 0x1.66dcedd457d16p-8, 0x1.5dee5c33ec4d2p-8, 0x1.5530432ea7972p-8, 0x1.4ca1b4d6273f9p-8, 0x1.4441e89e3f14cp-8, 0x1.3c1036fda4927p-8, 0x1.340c0f5e532fdp-8, 0x1.2c34e91733524p-8, 0x1.248a366115769p-8, 0x1.1d0b56973d0e8p-8, 0x1.15b78cb50c16fp-8, 0x1.0e8e01cbd66f6p-8, 0x1.078dc98b09944p-8, 0x1.00b5eb90090d4p-8, 0x1.f40add90afdadp-9, 0x1.e6f6c66d41455p-9, 0x1.da2dd1c6fca94p-9, 0x1.cdae6612e640ep-9, 0x1.c17710228ba48p-9, 0x1.b5868361d9619p-9, 0x1.a9db968027eb3p-9, 0x1.9e75410a87876p-9, 0x1.935293bb0309ap-9, 0x1.8872ae3adf2fbp-9, 0x1.7dd4ad352e50cp-9, 0x1.737796e06fb55p-9, 0x1.695a46c5b0d2dp-9, 0x1.5f7b658391e45p-9, 0x1.55d96b632c056p-9, 0x1.4c72b021f6da5p-9, 0x1.4345847799bb7p-9, 0x1.3a504c68dbb85p-9, 0x1.319192016fea2p-9, 0x1.29080ae94058p-9, 0x1.20b2914093c58p-9, 0x1.189015e765346p-9, 0x1.109f94fabbf66p-9, 0x1.08e012b60031dp-9, 0x1.0150a3c1ce0fap-9, 0x1.f3e0e96c9f265p-10, 0x1.e57dac8bfe7b9p-10, 0x1.d77670a2feabcp-10, 0x1.c9ca3bb3486f9p-10, 0x1.bc7810d1238a2p-10, 0x1.af7ec7be10874p-10, 0x1.a2dcf19fba3bep-10, 0x1.9690ce41c96c1p-10, 0x1.8a984bcce2daap-10, 0x1.7ef1087c19cb4p-10, 0x1.7398547344df4p-10, 0x1.688b3b685a4bdp-10, 0x1.5dc6a19a8f98fp-10, 0x1.53477903daba9p-10, 0x1.490b05b1e694ep-10, 0x1.3f0f1b6904183p-10, 0x1.35523bb71972ep-10, 0x1.2bd385c04433dp-10, 0x1.22927da4a741p-10, 0x1.198ec63867a71p-10, 0x1.10c7df4b9b642p-10, 0x1.083d1c986ad0bp-10, 0x1.ffdb7d7fc2ab7p-11, 0x1.efb261aad8453p-11, 0x1.dffe613cb63c9p-11, 0x1.d0bf930d9a34fp-11, 0x1.c1f60f03659dep-11, 0x1.b3a1164dd7f35p-11, 0x1.a5be27abbe77ep-11, 0x1.9848988c36926p-11, 0x1.8b39866e7e1c6p-11, 0x1.7e8884358be22p-11, 0x1.722ce43f19a9p-11, 0x1.661f5d438216p-11, 0x1.5a5b80f743cbdp-11, 0x1.4ee04e8e1df74p-11, 0x1.43af927b5fa41p-11, 0x1.38cbf5f626482p-11, 0x1.2e37224d8083ep-11, 0x1.23f09e21831b4p-11, 0x1.19f631b918109p-11, 0x1.1045465e52e7ep-11, 0x1.06dc56cef367ep-11, 0x1.fb773c808d9b4p-12, 0x1.e9c975b5bd34fp-12, 0x1.d8b310cd55081p-12, 0x1.c835a9311ddc5p-12, 0x1.b84f185160c74p-12, 0x1.a8f931d5e2b47p-12, 0x1.9a2a717d514ecp-12, 0x1.8bd709d184a1fp-12, 0x1.7df242c75c142p-12, 0x1.70705895dd68dp-12, 0x1.6348965a88e8ep-12, 0x1.5676bafca67f7p-12, 0x1.49fab7306f0cp-12, 0x1.3dd6cd4c3c042p-12, 0x1.320d3ddaa80b4p-12, 0x1.269ed95a79912p-12, 0x1.1b8ad55eec126p-12, 0x1.10cfa4d7fed71p-12, 0x1.066c08edaf43bp-12, 0x1.f8bf6f25b8dbep-13, 0x1.e5563e8f4d3a4p-13, 0x1.d29d3a956e3b4p-13, 0x1.c093fc10742a5p-13, 0x1.af38f254b9d17p-13, 0x1.9e88e9bf1a7bbp-13, 0x1.8e7e09eead8c8p-13, 0x1.7f0e49ab63f11p-13, 0x1.702bdd7da2026p-13, 0x1.61c7bafcc8137p-13, 0x1.53d5b0d894d85p-13, 0x1.464fd100a549bp-13, 0x1.3936ae190390ap-13, 0x1.2c8db6bef4304p-13, 0x1.2056181e05b19p-13, 0x1.148bfe4486f72p-13, 0x1.0927b79d1203ep-13, 0x1.fc429ba58c123p-14, 0x1.e6e8ca22ee8acp-14, 0x1.d2449dacf2717p-14, 0x1.be609d2a09369p-14, 0x1.ab45a0299d44dp-14, 0x1.98f321f4e86adp-14, 0x1.875ecf2ea8201p-14, 0x1.767ae6896d581p-14, 0x1.663e13fcdab9ep-14, 0x1.56a7c13583dc8p-14, 0x1.47bc75095038ep-14, 0x1.397c2ad96e7cap-14, 0x1.2bdc537c30a59p-14, 0x1.1ec9ea941b86fp-14, 0x1.12307c8952e31p-14, 0x1.060132f0c8546p-14, 0x1.f46e6e2316bd9p-15, 0x1.ddae75606a16cp-15, 0x1.c7d5143b06797p-15, 0x1.b2edea1f8b153p-15, 0x1.9ef79e94ed294p-15, 0x1.8be6d0798aff9p-15, 0x1.79b61b28b0578p-15, 0x1.6865b4ffaaec3p-15, 0x1.57ebc6541e272p-15, 0x1.482bdbeeb1edp-15, 0x1.390651c024501p-15, 0x1.2a6dcb965b113p-15, 0x1.1c6a7bb218874p-15, 0x1.0f09919d766c5p-15, 0x1.024c50c035a2fp-15, 0x1.ec5294de608ccp-16, 0x1.d53d20545db61p-16, 0x1.bf72519ca0aa3p-16, 0x1.ab0a13c4dbceep-16, 0x1.97ef8be8c6219p-16, 0x1.85dbd3cc5cc06p-16, 0x1.7479bba285932p-16, 0x1.639d56a289895p-16, 0x1.535dc5b57f34dp-16, 0x1.43edc06463598p-16, 0x1.355baedad1d6dp-16, 0x1.2788196e253d2p-16, 0x1.1a5d729e6de84p-16, 0x1.0df225efc1576p-16, 0x1.0264873187e8dp-16, 0x1.ef6b7d62a91ecp-17, 0x1.dba539040146bp-17, 0x1.c94dd17590791p-17, 0x1.b83f261d00c2fp-17, 0x1.a8373f02e9983p-17, 0x1.98d858a508a35p-17, 0x1.89ee8c807194fp-17, 0x1.7ba9811dabcd3p-17, 0x1.6e6f9f7b07365p-17, 0x1.626f561098a5p-17, 0x1.5787ebc15c2bp-17, 0x1.4da327cda8974p-17, 0x1.44dc26f70c01fp-17, 0x1.3d1e11b12c566p-17, 0x1.35f032825b306p-17, 0x1.2ef7b506daa38p-17, 0x1.28658517cea19p-17, 0x1.228a73212532cp-17, 0x1.1d45cc8d91f8cp-17, 0x1.18560a46a68e2p-17, 0x1.13d59ffd700fbp-17, 0x1.10033dab56522p-17, 0x1.0cd91a4e47f34p-17, 0x1.0a23844a7e4ccp-17, 0x1.07bdcdcbc3333p-17, 0x1.059c5ea4a4b9ep-17, 0x1.03c726b8ca3efp-17, 0x1.024dac1d88142p-17, 0x1.013d7c1de0883p-17, 0x1.009d1c9ca035cp-17, 0x1.00697a302fe15p-17, 0x1.008a416f4e2d8p-17, 0x1.00ca38a396c3fp-17, 0x1.010b78c6ae969p-17, 0x1.01831cd3f0383p-17, 0x1.0272e616ee0c1p-17, 0x1.03c6004b3c71dp-17, 0x1.053f8a855cbeap-17, 0x1.06c0c58d7e0bbp-17, 0x1.0848e4478ec14p-17, 0x1.09fe4935ecce6p-17, 0x1.0bf6298697b6ap-17, 0x1.0dee9f3ba2764p-17, 0x1.0fcb1346ef623p-17, 0x1.11c7259e3edfp-17, 0x1.13fd8746acaecp-17, 0x1.164f4f4d750c2p-17, 0x1.18a14d6b46096p-17, 0x1.1aef09500f125p-17, 0x1.1d39b47540d26p-17, 0x1.1f852911f3d83p-17, 0x1.21d1e22160942p-17, 0x1.241e6d255f131p-17, 0x1.2669657edbf85p-17, 0x1.28b1ad330e8b3p-17, 0x1.2af735d7422e7p-17, 0x1.2d39f6b5c7b23p-17, 0x1.2f79907948dbcp-17, 0x1.31b9e859adc58p-17, 0x1.3407c7478d12dp-17, 0x1.366608c22d682p-17, 0x1.38ba1fd6c526bp-17, 0x1.3b00af0ce3be6p-17, 0x1.3d522056d7dd5p-17, 0x1.3f81ff5b4182cp-17, 0x1.41759ea9bf242p-17, 0x1.436c649b22fa5p-17, 0x1.455f092f72cafp-17, 0x1.4732fc245935bp-17, 0x1.49059ab1d3677p-17, 0x1.4ad58c819c66dp-17, 0x1.4c8d9789f5abep-17, 0x1.4e2777238d20bp-17, 0x1.4fa77300ae9cep-17, 0x1.51114f42d60fcp-17, 0x1.5266d92aae73dp-17, 0x1.53a8aad4bc5e2p-17, 0x1.54d65b7d1f932p-17, 0x1.55ef6f38d658cp-17, 0x1.56f3a71f84873p-17, 0x1.57e4313c5b221p-17, 0x1.58bee03c2ae6bp-17, 0x1.5983a129e9b4ep-17, 0x1.5a3385a2082e8p-17, 0x1.5acc84de4fb93p-17, 0x1.5b4e313ce0305p-17, 0x1.5bb860f800334p-17, 0x1.5c0a2e7ee8b27p-17, 0x1.5c4400249e604p-17, 0x1.5c7214625fa8ep-17, 0x1.5cac9bbd9f87fp-17, 0x1.5cdfedd4eb9ap-17, 0x1.5ce797d1e9acdp-17, 0x1.5cc35486dd6e6p-17, 0x1.5c737d23be50fp-17, 0x1.5c231437fdd9dp-17, 0x1.5bd78616db5a5p-17, 0x1.5b75c31e7952bp-17, 0x1.5af7f08d45fdp-17, 0x1.5a6072bdeb48p-17, 0x1.59b39fe483231p-17, 0x1.58f37e08f3d07p-17, 0x1.5820e2c502fdap-17, 0x1.573c43071069ap-17, 0x1.5645dc4d86d0ep-17, 0x1.553e22f780a1ap-17, 0x1.54253c2571d05p-17, 0x1.52f907dd631dep-17, 0x1.51bd1609d2c33p-17, 0x1.50705a7dfb468p-17, 0x1.4f12e28fd160fp-17, 0x1.4da5a1559e1f4p-17, 0x1.4c2a8df828212p-17, 0x1.4a9e9beaa6e2dp-17, 0x1.49033015f4562p-17, 0x1.4758439ee0d0dp-17, 0x1.459e0b5db1051p-17, 0x1.43d43ba6db392p-17, 0x1.41fd8709808d5p-17, 0x1.40205dd6177f3p-17, 0x1.3e37aab3803efp-17, 0x1.3c3e0739c52e4p-17, 0x1.3a386902ca992p-17, 0x1.382986e01e266p-17, 0x1.360c2350fcbc3p-17, 0x1.33e1a6d8e4033p-17, 0x1.31afe3199fa0ep-17, 0x1.2f73dea46164cp-17, 0x1.2d2c429de6511p-17, 0x1.2ada0923eb529p-17, 0x1.287e49ebab48bp-17, 0x1.261969e6a6bd6p-17, 0x1.23ac2cd6f0c35p-17, 0x1.213662ea88d6dp-17, 0x1.1eb8b865ce48ap-17, 0x1.1c3359df2c9c8p-17, 0x1.19a6a0597e4f2p-17, 0x1.1712e156643aep-17, 0x1.14786ed42fa58p-17, 0x1.11d79a7c28f19p-17, 0x1.0f30b734004ddp-17, 0x1.0c841031ed458p-17, 0x1.09d1fe789df21p-17, 0x1.071ac09fe5cb9p-17, 0x1.045e7f0d429f5p-17, 0x1.019d9c5504d08p-17, 0x1.fdb10cb7ff66ep-18, 0x1.f81e9323fb4aap-18, 0x1.f28423026b4e5p-18, 0x1.ece419cdba8c7p-18, 0x1.e7402a50e0d85p-18, 0x1.e1938e3730804p-18, 0x1.dbe1537ef480dp-18, 0x1.d629a39769863p-18, 0x1.d071f2ae7f196p-18, 0x1.cab562f0be5a8p-18, 0x1.c4f52ba036529p-18, 0x1.bf316e3ddbf6fp-18, 0x1.b971c2ff2597fp-18, 0x1.b3a552d96143p-18, 0x1.addce041cff5p-18, 0x1.a8138dc9e1b96p-18, 0x1.a24b66879ede8p-18, 0x1.9c811d4bcbc46p-18, 0x1.96b7819beb2acp-18, 0x1.90ee7c64044e1p-18, 0x1.8b2d449aca876p-18, 0x1.85658db0d5f8bp-18, 0x1.7fa33c801b684p-18, 0x1.79e36385ca2ffp-18, 0x1.7426828264de5p-18, 0x1.6e6cedc248c09p-18, 0x1.68b6fb1df7d82p-18, 0x1.6305076db565p-18, 0x1.5d576d3ecc5bcp-18, 0x1.57ae78b80df56p-18, 0x1.520a73694fd32p-18, 0x1.4c6badbb109bbp-18, 0x1.46d280112e814p-18, 0x1.413f3e7c17bc9p-18, 0x1.3bb232b795deep-18, 0x1.362b9c11022ccp-18, 0x1.30abb49dc6bd7p-18, 0x1.2b32ac2a18d9p-18, 0x1.25c0d32190ef6p-18, 0x1.2056708c8a42cp-18, 0x1.1af3c01bac807p-18, 0x1.1598f042c13ffp-18, 0x1.104646aedd1f1p-18, 0x1.0afc0ad42a4c4p-18, 0x1.05ba2411bbc8dp-18, 0x1.0081588e33fe5p-18, 0x1.f6a1d5e7a1ca6p-19, 0x1.ec550dc0dee15p-19, 0x1.e219982eafbd4p-19, 0x1.d7f12e24f7e94p-19, 0x1.cddc33af66c83p-19, 0x1.c3dac29bdbe2ap-19, 0x1.b9ed18c0e8f47p-19, 0x1.b013ad35b9f39p-19, 0x1.a64ef500a4738p-19, 0x1.9c983c0b6e841p-19, 0x1.93032949d8715p-19, 0x1.897cbe1ff098ap-19, 0x1.800b9f7822c62p-19, 0x1.76b0bfbcfdd4cp-19, 0x1.6d6be84facab5p-19, 0x1.643b8c9005367p-19, 0x1.5b21f2030e9efp-19, 0x1.521f1a4da286ap-19, 0x1.493260e963bccp-19, 0x1.405cf7c48f83p-19, 0x1.379d6c8bff6f4p-19, 0x1.2ef547ce94decp-19, 0x1.266469b881e73p-19, 0x1.1dea71ae57feep-19, 0x1.15876c5261cc2p-19, 0x1.0d3b5abb856e5p-19, 0x1.050cdd3b0d424p-19, 0x1.f9d2eb6c64e95p-20, 0x1.e9c7b1f3a5ad4p-20, 0x1.d9ecbe02bab67p-20, 0x1.ca3e8e461b4e5p-20, 0x1.bac24797d8d07p-20, 0x1.ab73d8042390cp-20, 0x1.9c5a1d99e4789p-20, 0x1.8d6d0b05ec3b2p-20, 0x1.7ea413374a93ap-20, 0x1.7011640f5722cp-20, 0x1.61b25cad51e84p-20, 0x1.537e80c986f53p-20, 0x1.4578bbf63c271p-20, 0x1.37a549fbe54e7p-20, 0x1.2a0206907901cp-20, 0x1.1c89eb4a46182p-20, 0x1.0f4470447974ep-20, 0x1.022c58ea7259p-20, 0x1.ea853366f12a6p-21, 0x1.d10eba7fc6cf4p-21, 0x1.b7f516b0d1252p-21, 0x1.9f3c391967163p-21, 0x1.86a3e50e4e7f8p-21, 0x1.6ed1682eea455p-21, 0x1.57259298b2e92p-21, 0x1.3fd68339c3f5p-21, 0x1.28e25c2c0a55fp-21, 0x1.124878067d0c6p-21, 0x1.f812fe22237bfp-22, 0x1.cc4544d53750ep-22, 0x1.a11f818085004p-22, 0x1.76b61edc112e7p-22, 0x1.4cf2666818763p-22, 0x1.23f22e97d232p-22, 0x1.f726d58b49f94p-23, 0x1.a7c72f9153b71p-23, 0x1.59b6dda8153b2p-23, 0x1.0cfe8d8078673p-23, 0x1.8332940a7d77p-24, 0x1.de1cad50e2bbap-25, 0x1.762eca576692fp-26, -0x1.8d124fdb1e5b9p-27, -0x1.7b96d39151632p-25, -0x1.47ac9264e706p-24, -0x1.cf00b550f6705p-24, -0x1.29dad240602aep-23, -0x1.6b062027225efp-23, -0x1.aae88d6da4c73p-23, -0x1.e99d23e5f9b7dp-23, -0x1.138d7e16a0816p-22, -0x1.31ab748643725p-22, -0x1.4f2a25779790ap-22, -0x1.6c15bd71735d4p-22, -0x1.887389b246b98p-22, -0x1.a4358e6fc99a8p-22, -0x1.bf6bb916fd6fp-22, -0x1.da01fd4d8d5e7p-22, -0x1.f3be5eae84906p-22, -0x1.06c6462abd80fp-21, -0x1.13350c29cb9f9p-21, -0x1.1f7455d3b0c5ap-21, -0x1.2b5e2a4cf9138p-21, -0x1.370385755becdp-21, -0x1.4267c1cf957f6p-21, -0x1.4d8734cf3db9fp-21, -0x1.5862a72317122p-21, -0x1.62fb6121af507p-21, -0x1.6d531f587cac7p-21, -0x1.776d7d1ef8904p-21, -0x1.814736c1eb562p-21, -0x1.8ae51ada4bbdfp-21, -0x1.944c3fc536b66p-21, }}, 
      {{-0x1.0e3228d3c4c7ap-8, -0x1.0a4462d4c3c9p-5, -0x1.1532ee61b3d7cp-4, -0x1.63857be94b8fp-4, -0x1.366de07b668cdp-4, -0x1.f7a05b4095cd6p-6, 0x1.6e0900aea7d04p-5, 0x1.23c3a889a14a2p-3, 0x1.030337975a133p-2, 0x1.777729654ec28p-2, 0x1.e6e58fc57f989p-2, 0x1.25692b9c8020cp-1, 0x1.4f5d8d5e01c09p-1, 0x1.6ffaa01da9e62p-1, 0x1.86b55ca1e01e5p-1, 0x1.93a4ed00af31cp-1, 0x1.975a7287fbb72p-1, 0x1.92bc2abd7edbfp-1, 0x1.86e59ed4bbb47p-1, 0x1.750d6e1483c69p-1, 0x1.5e70a1c1ef1e5p-1, 0x1.44431ccdffd4bp-1, 0x1.27a485f544b49p-1, 0x1.0998f7a420579p-1, 0x1.d60981e3bfa6ap-2, 0x1.9955200969f84p-2, 0x1.5e56e1b6612aep-2, 0x1.26103fecd934ap-2, 0x1.e28d17031dfaap-3, 0x1.811110d0e7d43p-3, 0x1.28694c831397fp-3, 0x1.b1fdbf57ac266p-4, 0x1.25e79b8741897p-4, 0x1.58bcbd04d8c36p-5, 0x1.13440350a93ddp-6, -0x1.19c29d8d06449p-8, -0x1.5ff462f263a5p-6, -0x1.1f1bf88554c3ap-5, -0x1.734acafa6c7dp-5, -0x1.af5110fa9f2a6p-5, -0x1.d602f457b7f97p-5, -0x1.ea2e7347047c7p-5, -0x1.ee8e9833bac7fp-5, -0x1.e5c18cf97bef8p-5, -0x1.d2414205b1eeep-5, -0x1.b65e2c78ad5e5p-5, -0x1.943baeb033c63p-5, -0x1.6dce07cf38538p-5, -0x1.44d9a435c2e92p-5, -0x1.1af36d93010abp-5, -0x1.e3037afea9062p-6, -0x1.937ba9018d427p-6, -0x1.496bb1fb60f34p-6, -0x1.069e9072a08e1p-6, -0x1.99268dba17b7fp-7, -0x1.3904992c7f8d1p-7, -0x1.dd8bb4c8779aep-8, -0x1.77c29a79e44d6p-8, -0x1.42c24aa3b16a7p-8, -0x1.3fdb3b76713f9p-8, -0x1.6faefa2928a41p-8, -0x1.d244217dc79eep-8, -0x1.338c79daa9826p-7, -0x1.969a53508bc72p-7, -0x1.08cddf6ca8c47p-6, -0x1.51da7537da8dp-6, -0x1.a5f28beec2f69p-6, -0x1.0243479e613b5p-5, -0x1.367d598a1d59ap-5, -0x1.6f54d4ef6f5fbp-5, -0x1.ac738a279fdep-5, -0x1.ed80d862f28efp-5, -0x1.191153007c4fep-4, -0x1.3cff1ec20209fp-4, -0x1.625c8854b74bbp-4, -0x1.88fcb2597262ap-4, -0x1.b0b374402d24ap-4, -0x1.d9559bb855712p-4, -0x1.015c92405eb98p-3, -0x1.165ab3bae4c3dp-3, -0x1.2b91a0b72d432p-3, -0x1.40ee995488ab7p-3, -0x1.565fbba1ca43p-3, -0x1.6bd40ccac974ap-3, -0x1.813b7f7622f9cp-3, -0x1.9686f7ca76f0bp-3, -0x1.aba84cf607362p-3, -0x1.c09249398bec7p-3, -0x1.d538a7b82db8ep-3, -0x1.e9901120bf995p-3, -0x1.fd8e17944af15p-3, -0x1.089498030e59ep-2, -0x1.122c5682302dp-2, -0x1.1b8a5b766658fp-2, -0x1.24ab21e727f96p-2, -0x1.2d8b8856abf34p-2, -0x1.3628cbd9352c6p-2, -0x1.3e8083ba73ed4p-2, -0x1.46909dde1e174p-2, -0x1.4e5758f95be91p-2, -0x1.55d340f44fe6cp-2, -0x1.5d032a824f53fp-2, -0x1.63e62de2da3c7p-2, -0x1.6a7ba37e21d03p-2, -0x1.70c31f5a99201p-2, -0x1.76bc6cd0d7543p-2, -0x1.7c678afc195b3p-2, -0x1.81c4a8eacf6e4p-2, -0x1.86d421b0ca65bp-2, -0x1.8b96792b8fea2p-2, -0x1.900c58cef5302p-2, -0x1.94368bf4ce9ffp-2, -0x1.9815fd5597aecp-2, -0x1.9babb3faf6c55p-2, -0x1.9ef8d02fb71ebp-2, -0x1.a1fe8970ff0a9p-2, -0x1.a4be2b947e83cp-2, -0x1.a7391462a2a92p-2, -0x1.a970b1db3e315p-2, -0x1.ab667faf23287p-2, -0x1.ad1c054c075d2p-2, -0x1.ae92d496f6b71p-2, -0x1.afcc879b13315p-2, -0x1.b0cabefcc95eep-2, -0x1.b18f2117cc98ep-2, -0x1.b21b57f49cb97p-2, -0x1.b2710ff882ea3p-2, -0x1.b291f76499112p-2, -0x1.b27fbca113794p-2, -0x1.b23c0cffde6ep-2, -0x1.b1c894999b744p-2, -0x1.b126fd06401dap-2, -0x1.b058ec1a2b07ep-2, -0x1.af6003decf379p-2, -0x1.ae3de2055b9b2p-2, -0x1.acf41e87e8bbcp-2, -0x1.ab844b8b6cff5p-2, -0x1.a9eff573534efp-2, -0x1.a838a1d4ab4c5p-2, -0x1.a65fcee2801b9p-2, -0x1.a466f3cd85fd4p-2, -0x1.a24f80810d9c3p-2, -0x1.a01adcbb2dbbbp-2, -0x1.9dca681db02cap-2, -0x1.9b5f7a8edaa2ep-2, -0x1.98db63d314776p-2, -0x1.963f6af61d00cp-2, -0x1.938ccea4d90b6p-2, -0x1.90c4c58909d1ep-2, -0x1.8de87ddc88f4fp-2, -0x1.8af91d179e5ep-2, -0x1.87f7c062892d9p-2, -0x1.84e57cefbc077p-2, -0x1.81c35fa2713e6p-2, -0x1.7e926ce3e5028p-2, -0x1.7b53a1128042ap-2, -0x1.7807f0d8f5688p-2, -0x1.74b0490bf79a9p-2, -0x1.714d8e7c3e0b8p-2, -0x1.6de09e5380674p-2, -0x1.6a6a4e76c07cep-2, -0x1.66eb6d90d4726p-2, -0x1.6364c2edef08fp-2, -0x1.5fd70ead37036p-2, -0x1.5c430a255aa24p-2, -0x1.58a9681bec58p-2, -0x1.550ad4bad26d8p-2, -0x1.5167f5919e7e6p-2, -0x1.4dc169e956bf5p-2, -0x1.4a17cb14c7bcdp-2, -0x1.466bac9022155p-2, -0x1.42bd9bf3050f1p-2, -0x1.3f0e21173b4f8p-2, -0x1.3b5dbe6609a03p-2, -0x1.37acf11e00276p-2, -0x1.33fc3155f2638p-2, -0x1.304bf21055f79p-2, -0x1.2c9ca15bd5cd9p-2, -0x1.28eea89e08c0dp-2, -0x1.25426cc17fe69p-2, -0x1.21984e4362afap-2, -0x1.1df0a94eca5b7p-2, -0x1.1a4bd5d30dc12p-2, -0x1.16aa27c1ec14cp-2, -0x1.130bef3555168p-2, -0x1.0f71788d90f6bp-2, -0x1.0bdb0c7eb472p-2, -0x1.0848f02ae9d46p-2, -0x1.04bb654f72f9ap-2, -0x1.0132aa602e887p-2, -0x1.fb5df56527b79p-3, -0x1.f4611d133070ep-3, -0x1.ed6f3659b8684p-3, -0x1.e688a5f87869p-3, -0x1.dfadcb29a0228p-3, -0x1.d8deffe295838p-3, -0x1.d21c9908deb5fp-3, -0x1.cb66e688dbdb8p-3, -0x1.c4be336e77ecbp-3, -0x1.be22c619d8a6cp-3, -0x1.b794e07cd6c1dp-3, -0x1.b114c054f958ap-3, -0x1.aaa29f4e2d7b6p-3, -0x1.a43eb3030d6f2p-3, -0x1.9de92d284d2ebp-3, -0x1.97a23bb3e7b85p-3, -0x1.916a091950ee4p-3, -0x1.8b40bc737dd92p-3, -0x1.8526798ac84eap-3, -0x1.7f1b60efe6ff2p-3, -0x1.791f900f44c7cp-3, -0x1.733321669e1ebp-3, -0x1.6d562ca4ff1e7p-3, -0x1.6788c6d0a2931p-3, -0x1.61cb02459d91cp-3, -0x1.5c1ceed2ab7a6p-3, -0x1.567e99cb5956ep-3, -0x1.50f00e33f0251p-3, -0x1.4b7154dc7149bp-3, -0x1.46027472523aep-3, -0x1.40a371880c84bp-3, -0x1.3b544eb27e727p-3, -0x1.36150c8ce3e28p-3, -0x1.30e5a9eb00922p-3, -0x1.2bc623e5fd5f4p-3, -0x1.26b675e22b634p-3, -0x1.21b699ac2465ep-3, -0x1.1cc68771e035bp-3, -0x1.17e635e0ebf11p-3, -0x1.13159a47e24c3p-3, -0x1.0e54a894c3984p-3, -0x1.09a3537280a56p-3, -0x1.05018c4c8ae99p-3, -0x1.006f4347455d6p-3, -0x1.f7d8ceda78484p-4, -0x1.eef1cd4af7ee1p-4, -0x1.e6295bc1641bfp-4, -0x1.dd7f521c49276p-4, -0x1.d4f386690d689p-4, -0x1.cc85ccd3ec7dcp-4, -0x1.c435f7c2a4941p-4, -0x1.bc03d7f32a983p-4, -0x1.b3ef3c9e27baep-4, -0x1.abf7f395cf0e5p-4, -0x1.a41dc9523898ep-4, -0x1.9c6088fbbc7a2p-4, -0x1.94bffc6acb827p-4, -0x1.8d3bec41cfb68p-4, -0x1.85d41ffe981adp-4, -0x1.7e885e19ea069p-4, -0x1.77586c1a9730fp-4, -0x1.70440eabd4629p-4, -0x1.694b099747e92p-4, -0x1.626d1fd7a1552p-4, -0x1.5baa139672505p-4, -0x1.5501a6478fdecp-4, -0x1.4e7398b2721eep-4, -0x1.47ffab18efc56p-4, -0x1.41a59d35bbf73p-4, -0x1.3b652e4a32451p-4, -0x1.353e1d1d26adbp-4, -0x1.2f3028082c3fap-4, -0x1.293b0cfda217bp-4, -0x1.235e8997ab21cp-4, -0x1.1d9a5b296111cp-4, -0x1.17ee3ecd2da33p-4, -0x1.1259f16c016d2p-4, -0x1.0cdd2fc85e116p-4, -0x1.0777b67b5f4f7p-4, -0x1.022941fb705d8p-4, -0x1.f9e31d4a4c44ep-5, -0x1.efa0b19282c14p-5, -0x1.e58ab96811177p-5, -0x1.dba0ad7796284p-5, -0x1.d1e20685a9b04p-5, -0x1.c84e3d8af28ecp-5, -0x1.bee4cba48d59p-5, -0x1.b5a52a2525a3cp-5, -0x1.ac8ed29eb3e17p-5, -0x1.a3a13ef948b64p-5, -0x1.9adbe9798aba4p-5, -0x1.923e4cd33b373p-5, -0x1.89c7e43bbf1fap-5, -0x1.81782b6a0343p-5, -0x1.794e9ea41cd5bp-5, -0x1.714ababaa7ba3p-5, -0x1.696bfd17a13b6p-5, -0x1.61b1e3c286e02p-5, -0x1.5a1bed6fd737bp-5, -0x1.52a99988024efp-5, -0x1.4b5a6834e3843p-5, -0x1.442dda6a22045p-5, -0x1.3d2371e2bd744p-5, -0x1.363ab132b88a1p-5, -0x1.2f731bbe29036p-5, -0x1.28cc35c64abbbp-5, -0x1.2245846f0bb75p-5, -0x1.1bde8d97bcb4p-5, -0x1.1596d848cfe1bp-5, -0x1.0f6dec72e5ce4p-5, -0x1.0963531acfc9p-5, -0x1.037695bd0dae1p-5, -0x1.fb4e7ed26e7cep-6, -0x1.efe9b800b80e9p-6, -0x1.e4bdf0bc74f1dp-6, -0x1.d9ca44d1afd72p-6, -0x1.cf0dd222e0751p-6, -0x1.c487b8b5d574dp-6, -0x1.ba371ab35bc7ap-6, -0x1.b01b1c6fad90ep-6, -0x1.a632e47229665p-6, -0x1.9c7d9b6740d6ep-6, -0x1.92fa6c3ffac94p-6, -0x1.89a884253698ep-6, -0x1.808712792b982p-6, -0x1.779548d4dcbefp-6, -0x1.6ed25b0dc0db5p-6, -0x1.663d7f46b093cp-6, -0x1.5dd5ede244d1ap-6, -0x1.559ae185ff4a4p-6, -0x1.4d8b972228735p-6, -0x1.45a74deed8ef7p-6, -0x1.3ded476aa228p-6, -0x1.365cc75cb549cp-6, -0x1.2ef513d541904p-6, -0x1.27b5752d84754p-6, -0x1.209d3609790cbp-6, -0x1.19aba355bcfe9p-6, -0x1.12e00c46256ccp-6, -0x1.0c39c251fa315p-6, -0x1.05b81936d5394p-6, -0x1.feb4cdd2f7956p-7, -0x1.f240074b42ecep-7, -0x1.e61093abe2b1fp-7, -0x1.da252c5096b4ap-7, -0x1.ce7c8f05f46a3p-7, -0x1.c3157e136859p-7, -0x1.b7eec039535ddp-7, -0x1.ad0720b01028bp-7, -0x1.a25d6f1915b1ep-7, -0x1.97f07f6d3838cp-7, -0x1.8dbf29eb6e8dp-7, -0x1.83c84b18a93e7p-7, -0x1.7a0ac3a1ea7e3p-7, -0x1.7085785b64f11p-7, -0x1.67375240d2f0ep-7, -0x1.5e1f3e7633239p-7, -0x1.553c2e4e30122p-7, -0x1.4c8d1755015b1p-7, -0x1.4410f3506f5abp-7, -0x1.3bc6c03849ccap-7, -0x1.33ad802082c8dp-7, -0x1.2bc4392609288p-7, -0x1.2409f55a69376p-7, -0x1.1c7dc2a6cc3c1p-7, -0x1.151eb2a5d5a6cp-7, -0x1.0debda952341ap-7, -0x1.06e4535179607p-7, -0x1.0007396691144p-7, -0x1.f2a75a2f03c08p-8, -0x1.e591a4d6982d7p-8, -0x1.d8cba278e3239p-8, -0x1.cc53aa9109252p-8, -0x1.c0281c662b7d1p-8, -0x1.b4475eec26c1fp-8, -0x1.a8afe06a4cc16p-8, -0x1.9d6016314f8ffp-8, -0x1.92567c25fad9bp-8, -0x1.879194615addcp-8, -0x1.7d0fe6d9f54cap-8, -0x1.72d0013c2ae51p-8, -0x1.68d076e2c115p-8, -0x1.5f0fe100cdc58p-8, -0x1.558cdf4aff3ep-8, -0x1.4c4617edbf4fbp-8, -0x1.433a388e3c053p-8, -0x1.3a67f60c3528cp-8, -0x1.31ce0d1ac7b7cp-8, -0x1.296b41c5d5b4fp-8, -0x1.213e5ee69147ep-8, -0x1.1946355715697p-8, -0x1.11819b0282867p-8, -0x1.09ef69f3fbbf4p-8, -0x1.028e7f9e62834p-8, -0x1.f6bb7917d7898p-9, -0x1.e8b8090cadd6bp-9, -0x1.db107e302a929p-9, -0x1.cdc2b20c99483p-9, -0x1.c0cc8ad95920cp-9, -0x1.b42bfd9abfdcap-9, -0x1.a7df103786495p-9, -0x1.9be3d9f6d87cbp-9, -0x1.9038828670c33p-9, -0x1.84db3f8c8616ep-9, -0x1.79ca5126050c7p-9, -0x1.6f03fdb6bd83fp-9, -0x1.64868e30337f3p-9, -0x1.5a504b21880e7p-9, -0x1.505f7bada5acp-9, -0x1.46b2666c2d02p-9, -0x1.3d4754881a34ap-9, -0x1.341c9620b0bdcp-9, -0x1.2b30871eaa724p-9, -0x1.22819502724d3p-9, -0x1.1a0e3d7fd126cp-9, -0x1.11d51f5da284bp-9, -0x1.09d4dbc9a56ddp-9, -0x1.020c3402e577fp-9, -0x1.f4f3d816b37ccp-10, -0x1.e6399a9165991p-10, -0x1.d7e73dbdab07ep-10, -0x1.c9fa4106f63f5p-10, -0x1.bc70116ea7239p-10, -0x1.af460c2ce8b45p-10, -0x1.a2798560249d4p-10, -0x1.9607d58dfdcfep-10, -0x1.89ee6788d88fcp-10, -0x1.7e2ac60fa3fa9p-10, -0x1.72baa64e34bb9p-10, -0x1.679bed1cc1118p-10, -0x1.5cccade0d4b2bp-10, -0x1.524b22e45bcfp-10, -0x1.4815a0854e3b7p-10, -0x1.3e2a85afdd97bp-10, -0x1.34882c921714bp-10, -0x1.2b2cde61c49cap-10, -0x1.2216cc6eaf239p-10, -0x1.19440fbbfa672p-10, -0x1.10b2aef204942p-10, -0x1.0860a94fd73ebp-10, -0x1.004c04869b6eap-10, -0x1.f0e5b7237fa87p-11, -0x1.e1a6c77fce0f4p-11, -0x1.d2d80b3af18bbp-11, -0x1.c47689afa96f2p-11, -0x1.b67faa1871297p-11, -0x1.a8f1030df3b13p-11, -0x1.9bc84e46b5c5fp-11, -0x1.8f034c8f91378p-11, -0x1.829fb2d39af81p-11, -0x1.769b153754dc9p-11, -0x1.6af2e6d83c7a4p-11, -0x1.5fa4782563a3fp-11, -0x1.54ad077360c9dp-11, -0x1.4a09cec6caf72p-11, -0x1.3fb81739fe111p-11, -0x1.35b54a47c2463p-11, -0x1.2bfefeef74c39p-11, -0x1.229300de7dfc8p-11, -0x1.196f5084914efp-11, -0x1.10921c20b756p-11, -0x1.07f9b2edeb42bp-11, -0x1.ff48e40ddd09fp-12, -0x1.ef216f623364bp-12, -0x1.df79a9a295e6ep-12, -0x1.d04e06d9edd2p-12, -0x1.c19ad757142cp-12, -0x1.b35c556e763adp-12, -0x1.a58ebbb99840cp-12, -0x1.982e5d218206dp-12, -0x1.8b37b97c09861p-12, -0x1.7ea789c81035bp-12, -0x1.727abf6e84d03p-12, -0x1.66ae7f141f332p-12, -0x1.5b401da91c261p-12, -0x1.502d19d044434p-12, -0x1.457313f6149aep-12, -0x1.3b0fc7af87ac7p-12, -0x1.3101019033ea9p-12, -0x1.27448f487c1b1p-12, -0x1.1dd82f6180e8cp-12, -0x1.14b981a68f9bep-12, -0x1.0be6035f81c4ep-12, -0x1.035b16eb8454p-12, -0x1.f62c2ee7de7a4p-13, -0x1.e628e80ae16fap-13, -0x1.d6a79155fe189p-13, -0x1.c7a3d98ccf45dp-13, -0x1.b919e36f81baep-13, -0x1.ab06278b327ddp-13, -0x1.9d654a3b67847p-13, -0x1.9033fd755cfadp-13, -0x1.836ed8ffe4bc1p-13, -0x1.7713057ddc986p-13, -0x1.6b1cf987cba82p-13, -0x1.5f8a30fd2d7f8p-13, -0x1.54580fe8dcb74p-13, -0x1.4984382c990c6p-13, -0x1.3f0c5220e76cbp-13, -0x1.34edebf4f298p-13, -0x1.2b26665cff17ap-13, -0x1.21b2f346aa5c6p-13, -0x1.18909fda7ae15p-13, -0x1.0fbc5faa39f34p-13, -0x1.073313e804d42p-13, -0x1.fde324051ffcbp-14, -0x1.ede9635b2c37ep-14, -0x1.de72ce4db1ed2p-14, -0x1.cf79ccb3896cp-14, -0x1.c0f98526b4a1p-14, -0x1.b2edfba9c2f83p-14, -0x1.a553fe3797f4p-14, -0x1.9828e4acc0ce3p-14, -0x1.8b6a4f170cefep-14, -0x1.7f15c11b416cbp-14, -0x1.7328ae750f02cp-14, -0x1.67a0753f3f2ap-14, -0x1.5c7ab89ad88d4p-14, -0x1.51b57ff11834p-14, -0x1.474f4680c02ffp-14, -0x1.3d4685458f0ebp-14, -0x1.339948630f0cbp-14, -0x1.2a449241745b8p-14, -0x1.21442ebd2a1dcp-14, -0x1.1892b69d93069p-14, -0x1.1029f6d370cp-14, -0x1.0803be48340a1p-14, -0x1.001ae1a22888p-14, -0x1.f0d7ccae5838dp-15, -0x1.e1eae1b262cdap-15, -0x1.d36ed3e6be8d3p-15, -0x1.c5654fd461cd2p-15, -0x1.b7cd90cd40926p-15, -0x1.aaa563ed6b843p-15, -0x1.9de8d174950d6p-15, -0x1.9193400838773p-15, -0x1.85a175c3b260ep-15, -0x1.7a121af5c95dp-15, -0x1.6ee54292faac3p-15, -0x1.641b2bc09d04fp-15, -0x1.59b2f050af696p-15, -0x1.4fa9c66b22402p-15, -0x1.45fb03ec3b8c4p-15, -0x1.3ca097a0f8143p-15, -0x1.33939e7ae2e9p-15, -0x1.2acd04e66da48p-15, -0x1.224651c078a15p-15, -0x1.19fa898f2f86ep-15, -0x1.11e6c606b7709p-15, -0x1.0a0a146942b2p-15, -0x1.026499b05d72bp-15, -0x1.f5ed00fcafc88p-16, -0x1.e77e95d22cf5bp-16, -0x1.d97b85d530d0fp-16, -0x1.cbe0b61acb458p-16, -0x1.beab5434d5a4fp-16, -0x1.b1d9772506b48p-16, -0x1.a569e506e907p-16, -0x1.995b343ac57fbp-16, -0x1.8dab55deb009dp-16, -0x1.8256d8b501504p-16, -0x1.775d34c651ec3p-16, -0x1.6cb76c670475p-16, -0x1.6261931c35556p-16, -0x1.5855c378bcf9bp-16, -0x1.4e8e353ec6645p-16, -0x1.450633cebd517p-16, -0x1.3bbafbfe81e9ep-16, -0x1.32abadc0523bep-16, -0x1.29d829bb4018bp-16, -0x1.213f95ead2ddap-16, -0x1.18dfa58c47583p-16, -0x1.10b5017981a8p-16, -0x1.08bc6452d235cp-16, -0x1.00f3bd4d619a8p-16, -0x1.f2b578f5e63a6p-17, -0x1.e3e46c1f0c588p-17, -0x1.d57545d1d6ed5p-17, -0x1.c7660ddf0b681p-17, -0x1.b9b1dad7bd562p-17, -0x1.ac526bedefbbap-17, -0x1.9f43cbfdaee36p-17, -0x1.9283ea3d6bfbap-17, -0x1.8611ef317bdb2p-17, -0x1.79ec249e4ac09p-17, -0x1.6e0f5d455142bp-17, -0x1.6276fc65097c3p-17, -0x1.571e5282ac707p-17, -0x1.4c01df8cb293ap-17, -0x1.411fe847e2c14p-17, -0x1.3677e77ab9d4ap-17, -0x1.2c0a91f40989fp-17, -0x1.21d8d6ba459aap-17, -0x1.17dff3403034dp-17, -0x1.0e1f4a17da41ap-17, -0x1.0494250a80976p-17, -0x1.f67b067e37389p-18, -0x1.e432da7ee9464p-18, -0x1.d249ab2edaf0bp-18, -0x1.c0b9b99ca627dp-18, -0x1.af803e54de305p-18, -0x1.9e9ce3b023682p-18, -0x1.8e0ecd43ac322p-18, -0x1.7dd481d9f8525p-18, -0x1.6dea76a53057p-18, -0x1.5e4ee21ccb532p-18, -0x1.4f03c6a8cba89p-18, -0x1.4003e26c66a2dp-18, -0x1.314fdaa6006ap-18, -0x1.22e3c2427b13dp-18, -0x1.14bcbddb49171p-18, -0x1.06d8f3d6a2ef1p-18, -0x1.f26f772287c3cp-19, -0x1.d7b1a2f4212dfp-19, -0x1.bd76890840dd1p-19, -0x1.a3bb4a7b3f25ap-19, -0x1.8a7c995b48af3p-19, -0x1.71b9667aeff82p-19, -0x1.597129aea3996p-19, -0x1.41a110f927f2fp-19, -0x1.2a44bbdda190ep-19, -0x1.135ee196c00b9p-19, -0x1.f9c11d64d9f61p-20, -0x1.cd8c6892caedbp-20, -0x1.a239381c8ce27p-20, -0x1.77bc1a0ba68f8p-20, -0x1.4e13d6b2cf4d5p-20, -0x1.253837d517711p-20, -0x1.fa3e448d331f2p-21, -0x1.ab8993241d65bp-21, -0x1.5e4fbd2516aecp-21, -0x1.1287796c172e6p-21, -0x1.90606e1c1f585p-22, -0x1.fd56178a247f8p-23, -0x1.bff4d093a6299p-24, 0x1.bb775d7e1cfcap-26, 0x1.496a0e0db1c1cp-23, 0x1.2ae35f23fad3ap-22, 0x1.ae3beaeee335fp-22, 0x1.1767bdfda96d5p-21, 0x1.5663dc359ceabp-21, 0x1.94177a31b24bfp-21, 0x1.d080309ec83fap-21, 0x1.05c9d43f722c8p-20, 0x1.22acced4102b4p-20, 0x1.3eec40ca64c3cp-20, 0x1.5a8c6adec3e31p-20, 0x1.7592806b82412p-20, 0x1.9002676f58691p-20, 0x1.a9de2c8c02ab2p-20, 0x1.c3242d4d25179p-20, 0x1.dbcd5d0e80339p-20, 0x1.f3d64275a1251p-20, 0x1.05a5fea5d2feep-19, 0x1.11200272e3e5p-19, 0x1.1c5889e7c811cp-19, 0x1.274913075c92ap-19, 0x1.31ee487aad20fp-19, 0x1.3c49325dfe88bp-19, 0x1.4660ef379e72bp-19, 0x1.5038d7d04560ap-19, 0x1.59c974d2355c5p-19, 0x1.630fd1572920ap-19, 0x1.6c1597d68aaabp-19, 0x1.74dd83ef794p-19, 0x1.7d659c5ff4d76p-19, 0x1.85aa7123d7b66p-19, 0x1.8db0b37c227efp-19, 0x1.9573f5eddb98fp-19, 0x1.9cf8a9290c096p-19, 0x1.a4425da5dd7cep-19, 0x1.ab4737cc43ebcp-19, 0x1.b212dc6827ed1p-19, 0x1.b8a1d17965844p-19, 0x1.bef572118dd77p-19, 0x1.c50f2cba0426dp-19, 0x1.caef3596c6459p-19, 0x1.d0973d1d328c9p-19, 0x1.d60aa88343e9ap-19, 0x1.db4a554eeabeep-19, 0x1.e052fcdc871c2p-19, 0x1.e525b287e30f6p-19, 0x1.e9c772252afabp-19, 0x1.ee30b3dae9a49p-19, 0x1.f25aa7ccb84fbp-19, 0x1.f65399867b7afp-19, 0x1.fa1cf4669e185p-19, 0x1.fdb096c7a84ffp-19, 0x1.008ab911bc335p-18, 0x1.022664c7c222bp-18, 0x1.03a8975264695p-18, 0x1.05113c3e75c8ap-18, 0x1.06616971d91a3p-18, 0x1.079a99937a289p-18, 0x1.08bc4e6ca54f4p-18, 0x1.09c764b3e2de7p-18, 0x1.0abc137a97604p-18, 0x1.0b9aa17c1c48dp-18, 0x1.0c6359f7e04ddp-18, 0x1.0d17c2078a429p-18, 0x1.0db5e8f9075a9p-18, 0x1.0e3e60b7aaecp-18, 0x1.0eb357b222e7ap-18, 0x1.0f13e26a1e5ebp-18, 0x1.0f603295aab34p-18, 0x1.0f98d6f2fa1a2p-18, 0x1.0fbe06f2ada86p-18, 0x1.0fcf4bcca32dep-18, 0x1.0fcfaac8e104ap-18, 0x1.0fc2c35b3f289p-18, 0x1.0fa6078d76651p-18, 0x1.0f743dc8e38a3p-18, 0x1.0f2da31037fb7p-18, 0x1.0ed271d1f6ec9p-18, 0x1.0e6994d6a0da6p-18, 0x1.0df43a553fa0bp-18, 0x1.0d6e352360fa1p-18, 0x1.0cd7921424ad6p-18, 0x1.0c3039434913p-18, 0x1.0b795d6cdc39cp-18, 0x1.0ab394189210bp-18, 0x1.09df570c8313ap-18, 0x1.08fccdd40b2a1p-18, 0x1.080c4dbb7546bp-18, 0x1.070e2770d0608p-18, 0x1.0602a0fe263f6p-18, 0x1.04ea0db959a8ep-18, 0x1.03c4aa8cac89ep-18, 0x1.0291e50bfb65fp-18, 0x1.0151995acee16p-18, 0x1.0007f3163eb43p-18, 0x1.fd68789d4b5dap-19, 0x1.faa5bf201d024p-19, 0x1.f7cd2131d5196p-19, 0x1.f4dd72e42e4b5p-19, 0x1.f1d7f559f263ap-19, 0x1.eebe60399c6b3p-19, 0x1.eb90428397fc9p-19, 0x1.e8521669b8ffep-19, 0x1.e5019d01afbfap-19, 0x1.e19c63c17f88bp-19, 0x1.de2525ea6cbe6p-19, 0x1.da9dcadb368eap-19, 0x1.d7042b50cb6d9p-19, 0x1.d3590e30c485ep-19, 0x1.cf9f8f308f4a9p-19, 0x1.cbd6db2e46217p-19, 0x1.c7fe976e6b6acp-19, 0x1.c41751e8ed23ep-19, 0x1.c02229999357fp-19, 0x1.bc1f2491804d4p-19, 0x1.b80fd0f251c26p-19, 0x1.b3f343b33edd5p-19, 0x1.afcb0a950168ap-19, 0x1.ab9728c8a7debp-19, 0x1.a758109122fc2p-19, 0x1.a30e345e7715p-19, 0x1.9eba091c81711p-19, 0x1.9a5bfd4a14d2cp-19, 0x1.95f45dcb443f2p-19, 0x1.9183e75babd5p-19, 0x1.8d0ae2c62549bp-19, 0x1.8889eb635ad84p-19, 0x1.8400bf68cc395p-19, 0x1.7f702069e0278p-19, 0x1.7ad8c617e2acbp-19, 0x1.763a95488bf03p-19, 0x1.7195d88781bd7p-19, 0x1.6ceba4016569p-19, 0x1.683ce5d2e2ce5p-19, 0x1.6388b2a372dfp-19, 0x1.5ececbe3f36b5p-19, 0x1.5a0f2fe04f0f9p-19, 0x1.554fbaf013fbdp-19, 0x1.508b3b3b558ecp-19, 0x1.4bc306ada2f5bp-19, 0x1.46f709704574ep-19, 0x1.423126d69d80ap-19, 0x1.3d592e672f23ap-19, 0x1.3886c3a9f6397p-19, 0x1.33b2f3901ca28p-19, 0x1.2edaed06a7f54p-19, 0x1.2a05ae3742257p-19, 0x1.252ea75306eb9p-19, 0x1.2056d7b00add6p-19, 0x1.1b817cef85fep-19, 0x1.16a82d4df6141p-19, 0x1.11d07ba825e99p-19, 0x1.0cf98dd24762cp-19, 0x1.0823be4b50db9p-19, 0x1.034f2f7c2beeep-19, 0x1.fcf8245a8b108p-20, 0x1.f3554dd20c138p-20, 0x1.e9b65d943e43bp-20, 0x1.e01bdac0d469fp-20, 0x1.d686483eac37fp-20, 0x1.ccf61bdec4257p-20, 0x1.c36bb97caae33p-20, 0x1.b9e781b182fd4p-20, 0x1.b069d60eca02p-20, 0x1.a6f3354002e93p-20, 0x1.9d843783c1ed3p-20, 0x1.941d3c7a4b28ep-20, 0x1.8abea6b176f86p-20, 0x1.8168c4c4e4f0ap-20, 0x1.781c050da1b31p-20, 0x1.6ed88caca8ac1p-20, 0x1.659e7ca675382p-20, 0x1.5c6ead745a801p-20, 0x1.534ad833032f9p-20, 0x1.4a30a1a4226bap-20, 0x1.4120cdc2e1daep-20, 0x1.381e73193148ep-20, 0x1.2f26d674ff6e8p-20, 0x1.263b2caec938ep-20, 0x1.1d5c3626555a3p-20, 0x1.1489d016ce833p-20, 0x1.0bc4168d29bdcp-20, 0x1.030be5e1c6118p-20, 0x1.f4c2f36e64d2bp-21, 0x1.e37a004912a71p-21, 0x1.d26aa002a25efp-21, 0x1.c168e94ec4e46p-21, 0x1.b083ab1287f09p-21, 0x1.9fbd4a9540ae9p-21, 0x1.8f153b7560944p-21, 0x1.7e8686a721a1ep-21, 0x1.6e18a1f7c6ffep-21, 0x1.5dcb33deaad3ep-21, 0x1.4d9788984e939p-21, 0x1.3d8dbdddce8c1p-21, 0x1.2d9d396d147dcp-21, 0x1.1dcdab06c8336p-21, 0x1.0e1e81ebe0435p-21, 0x1.fd283e3259df3p-22, 0x1.de4c0cbd03ae4p-22, 0x1.bfb574804fe3ap-22, 0x1.a161aca9a38a2p-22, 0x1.8352c6af59aa8p-22, 0x1.6588e458507d4p-22, 0x1.480542820181cp-22, 0x1.2abfacd1e1029p-22, 0x1.0dc946686f3d2p-22, 0x1.e228ddd7f3cd5p-23, 0x1.a956af1e845d6p-23, 0x1.710e2712b5079p-23, 0x1.393ea417d3265p-23, 0x1.0206951d54cccp-23, 0x1.96d298a33afe4p-24, 0x1.2aa3f05af47e8p-24, 0x1.7f1ea9bd4aea2p-25, 0x1.56a9da5531dcap-26, -0x1.3096223a9ae55p-28, -0x1.eaeca19cf8723p-26, -0x1.c26e98b53ecf1p-25, -0x1.467d41b0f0ad4p-24, -0x1.aab39ec9155a9p-24, -0x1.06ed309d07516p-23, -0x1.37dfa7b2f11c2p-23, -0x1.683b25a4354bp-23, -0x1.988354737e416p-23, -0x1.c757bf99997e5p-23, -0x1.f608e9c1c804ep-23, -0x1.1211db034a59dp-22, -0x1.28d589a7dc34cp-22, -0x1.3f4fbedc0378fp-22, -0x1.557fe93bc4fc8p-22, -0x1.6b6a773b43261p-22, -0x1.8111ff59ef3bap-22, -0x1.96673693da17ep-22, -0x1.ab780bd59e783p-22, -0x1.c036fab0249f6p-22, -0x1.d4cc2d9151c43p-22, -0x1.e8e90bdaebf09p-22, -0x1.fcd82b91e04a9p-22, -0x1.083f20a8a75ecp-21, -0x1.11efab0ad8578p-21, -0x1.1b79bc03bc593p-21, -0x1.24e2ad4b9a25dp-21, -0x1.2e252ac4f0679p-21, -0x1.37418f42ceac3p-21, -0x1.40438d14583d4p-21, -0x1.491bd5922ce38p-21, -0x1.51d2799a69686p-21, -0x1.5a6648ea21898p-21, -0x1.62d75ff7a2c35p-21, -0x1.6b25fdfd8638cp-21, -0x1.735225b0712a6p-21, -0x1.7b5c12f652554p-21, -0x1.83429aea2aeaep-21, -0x1.8b081af26f2dcp-21, -0x1.92acb6e73b99bp-21, -0x1.9a2e3722e1761p-21, -0x1.a18f7143d6e93p-21, -0x1.a8cd0477e94b2p-21, -0x1.afd8c4eaf38f1p-21, -0x1.b6e8698fbfc76p-21, -0x1.bdc2950b26cap-21, -0x1.c482728ce7e3dp-21, -0x1.cb1cb0c40eabdp-21, -0x1.d1979d93acb7bp-21, -0x1.d7f4346bfd23bp-21, -0x1.de3026bb87cc3p-21, -0x1.e44bd741e5252p-21, -0x1.ea47c84e2bceap-21, -0x1.f024271bbcc47p-21, -0x1.f5e42cc86bdedp-21, -0x1.fb8627fd357b4p-21, -0x1.00846ceae9459p-20, -0x1.03382108aa2adp-20, }}, 
      {{-0x1.a5bd95351b262p-2, -0x1.e97bbfea8ba07p-3, -0x1.a208f11080e23p-3, -0x1.31e682b6f1434p-2, -0x1.e2ed5f947ffb5p-2, -0x1.5840a737ac71cp-1, -0x1.babbc20f91fa7p-1, -0x1.07105226d7066p+0, -0x1.26f2eca4637c9p+0, -0x1.3ce0bd942e66ep+0, -0x1.49f47fdb97ae3p+0, -0x1.4fe0ac5f81f2dp+0, -0x1.507eac06781c4p+0, -0x1.4d8abd209f5abp+0, -0x1.4880647af8b12p+0, -0x1.428cb15742ea3p+0, -0x1.3c8e03e88c2adp+0, -0x1.371b6955d54ffp+0, -0x1.328f97e316266p+0, -0x1.2f1508858a98fp+0, -0x1.2cb1ac21cf653p+0, -0x1.2b516ae7cf7dep+0, -0x1.2acf1124b023cp+0, -0x1.2afb937e82b2cp+0, -0x1.2ba3bd2c376adp+0, -0x1.2c947090d1ebep+0, -0x1.2d9dace2d7057p+0, -0x1.2e948e648ce0bp+0, -0x1.2f547cb9d10c8p+0, -0x1.2fbfb62e9a7c5p+0, -0x1.2fbf60c0804aap+0, -0x1.2f43434b72b1ep+0, -0x1.2e4142f168abap+0, -0x1.2cb4bb2258fd3p+0, -0x1.2a9dc1bc0ba36p+0, -0x1.2800649593112p+0, -0x1.24e3ea488ce1p+0, -0x1.21521d26e8ab8p+0, -0x1.1d56a4c04035ap+0, -0x1.18fe7083e81a3p+0, -0x1.145735152e1ebp+0, -0x1.0f6efc6d7275fp+0, -0x1.0a53c7bbe7162p+0, -0x1.0513427b16165p+0, -0x1.ff750bfef2c8fp-1, -0x1.f4abd61654f1cp-1, -0x1.e9e1ce0c6b40cp-1, -0x1.df2be86f7243cp-1, -0x1.d49d086c4ae6p-1, -0x1.ca45f45b4e41ap-1, -0x1.c0355517d7b2ep-1, -0x1.b677be52e7b6bp-1, -0x1.ad17bfde4b37p-1, -0x1.a41dfea668d06p-1, -0x1.9b915255160ecp-1, -0x1.9376e4df3cac9p-1, -0x1.8bd252d8dda4fp-1, -0x1.84a5cc9ff1526p-1, -0x1.7df23883f7c75p-1, -0x1.77b7555fb7ab2p-1, -0x1.71f3dc9bab514p-1, -0x1.6ca5a2b60b47p-1, -0x1.67c9b5d0caecdp-1, -0x1.635c7a30312a9p-1, -0x1.5f59c4d7ba8ecp-1, -0x1.5bbcf45f5f3b9p-1, -0x1.5881081881922p-1, -0x1.55a0b5696c7f7p-1, -0x1.53167b499dc23p-1, -0x1.50dcb3d648df7p-1, -0x1.4eeda4021a96fp-1, -0x1.4d43897f1d032p-1, -0x1.4bd8a6fb58277p-1, -0x1.4aa74edd665cbp-1, -0x1.49a9ec946acd2p-1, -0x1.48db0ca8147b1p-1, -0x1.48356395bb03cp-1, -0x1.47b3d398a7061p-1, -0x1.4751716b17bf9p-1, -0x1.470988199acaap-1, -0x1.46d79bf75052bp-1, -0x1.46b76cc98a80bp-1, -0x1.46a4f74483f2ep-1, -0x1.469c75df4852dp-1, -0x1.469a612231779p-1, -0x1.469b6f716505dp-1, -0x1.469c9461aaeb8p-1, -0x1.469affbff23a3p-1, -0x1.46941c2de2689p-1, -0x1.46858d86ff295p-1, -0x1.466d2f279a3f9p-1, -0x1.464911c18a7f3p-1, -0x1.46177979a21bcp-1, -0x1.45d6db95fd9b2p-1, -0x1.4585dc29fea02p-1, -0x1.45234bfbafe18p-1, -0x1.44ae25f706ed2p-1, -0x1.44258ccd1542ep-1, -0x1.4388c8deaa24p-1, -0x1.42d74575447c7p-1, -0x1.42108ebc9ea37p-1, -0x1.41344f85cfbd1p-1, -0x1.40424ec87e80cp-1, -0x1.3f3a6dd456331p-1, -0x1.3e1ca627ccf93p-1, -0x1.3ce90767b67bcp-1, -0x1.3b9fb5a41f26fp-1, -0x1.3a40e78cdef1cp-1, -0x1.38cce4a911e17p-1, -0x1.374403d87961ep-1, -0x1.35a6a9ce8961p-1, -0x1.33f5478375177p-1, -0x1.323058fb949e7p-1, -0x1.305863f1ed5d7p-1, -0x1.2e6df68c412e9p-1, -0x1.2c71a66071358p-1, -0x1.2a640f48886b3p-1, -0x1.2845d25bdf163p-1, -0x1.261795294be78p-1, -0x1.23da00b5205b6p-1, -0x1.218dc0b031091p-1, -0x1.1f3382ded3505p-1, -0x1.1ccbf640bf771p-1, -0x1.1a57ca768ca13p-1, -0x1.17d7af54a3fecp-1, -0x1.154c542fe4f8cp-1, -0x1.12b66763422bp-1, -0x1.1016960c31317p-1, -0x1.0d6d8b7c096a8p-1, -0x1.0abbf0ce27dc9p-1, -0x1.08026cc8599f3p-1, -0x1.0541a37742d79p-1, -0x1.027a35c9a6835p-1, -0x1.ff59830c97847p-2, -0x1.f9b3c235f0772p-2, -0x1.f40456821f92cp-2, -0x1.ee4c65e03c52bp-2, -0x1.e88d0ebc97f3cp-2, -0x1.e2c76783b082fp-2, -0x1.dcfc7e58d3025p-2, -0x1.d72d594aa1ff1p-2, -0x1.d15af63c6d6cep-2, -0x1.cb864a89ef60ep-2, -0x1.c5b043148f5ccp-2, -0x1.bfd9c48c54d9dp-2, -0x1.ba03ab4e2bb91p-2, -0x1.b42ecb363d54fp-2, -0x1.ae5befde02a5ep-2, -0x1.a88bdce358bcbp-2, -0x1.a2bf4dcee88c9p-2, -0x1.9cf6f608a3c9fp-2, -0x1.9733812a23c9ep-2, -0x1.91759342265abp-2, -0x1.8bbdc8cc7091cp-2, -0x1.860cb6b9a8b33p-2, -0x1.8062eabfeacb7p-2, -0x1.7ac0eba31ce6p-2, -0x1.7527393d72b96p-2, -0x1.6f964c91a324ep-2, -0x1.6a0e980ceec2bp-2, -0x1.649087d2c5627p-2, -0x1.5f1c81dcb985fp-2, -0x1.59b2e60d445dap-2, -0x1.54540e6007e56p-2, -0x1.4f004f31b365dp-2, -0x1.49b7f7757cd06p-2, -0x1.447b50cc4db67p-2, -0x1.3f4a9fa551955p-2, -0x1.3a26237635ec1p-2, -0x1.350e16fcf9d42p-2, -0x1.3002b06490d6cp-2, -0x1.2b04215c451bap-2, -0x1.2612973dba162p-2, -0x1.212e3b47ecbbbp-2, -0x1.1c5732d10f863p-2, -0x1.178d9f656a2efp-2, -0x1.12d19edc4d8ap-2, -0x1.0e234b853bca4p-2, -0x1.0982bc5797b91p-2, -0x1.04f0051976fa7p-2, -0x1.006b367a93819p-2, -0x1.f7e8bc60106d6p-3, -0x1.ef170e2ecf111p-3, -0x1.e66172b9bc6abp-3, -0x1.ddc7f5383be5cp-3, -0x1.d54a9bf7eb25ep-3, -0x1.cce9688fbe36dp-3, -0x1.c4a4581a1fe67p-3, -0x1.bc7b6367902bfp-3, -0x1.b46e7f3e3e9adp-3, -0x1.ac7d9c8d098bbp-3, -0x1.a4a8a89f7e1ebp-3, -0x1.9cef8d43424bdp-3, -0x1.955230f08c0bdp-3, -0x1.8dd076f97b3d8p-3, -0x1.866a3fc3a557dp-3, -0x1.7f1f68f247e5bp-3, -0x1.77efcd84a5a1p-3, -0x1.70db45f31a952p-3, -0x1.69e1a850185e9p-3, -0x1.6302c87c8d16ep-3, -0x1.5c3e78522301fp-3, -0x1.559487bb4a4cbp-3, -0x1.4f04c4ca11932p-3, -0x1.488efbcda3d5p-3, -0x1.4232f779133ffp-3, -0x1.3bf0810b00c15p-3, -0x1.35c76069d27f6p-3, -0x1.2fb75c3515ca9p-3, -0x1.29c039d080811p-3, -0x1.23e1bd80061afp-3, -0x1.1e1baa87ae1f7p-3, -0x1.186dc3484a298p-3, -0x1.12d7c950d6f78p-3, -0x1.0d597d6c2a254p-3, -0x1.07f29fa800e35p-3, -0x1.02a2ef6fae21dp-3, -0x1.fad4574cc3a1ap-4, -0x1.f09025757f0ebp-4, -0x1.e678c565ba75cp-4, -0x1.dc8db266ec0e6p-4, -0x1.d2ce671122138p-4, -0x1.c93a5d770a138p-4, -0x1.bfd10f4ba2409p-4, -0x1.b691f605b4495p-4, -0x1.ad7c8ae9b1d34p-4, -0x1.a49047140f9f3p-4, -0x1.9bcca38a39879p-4, -0x1.93311954ff662p-4, -0x1.8abd21a2d560ap-4, -0x1.827035e4c9c85p-4, -0x1.7a49cfd83bc22p-4, -0x1.724969891c1f9p-4, -0x1.6a6e7d5d2c279p-4, -0x1.62b88622b19cfp-4, -0x1.5b26ff2dbbf5bp-4, -0x1.53b9646c6b74bp-4, -0x1.4c6f327a7e244p-4, -0x1.4547e69ec8cbap-4, -0x1.3e42fecdb44c5p-4, -0x1.375ff9ae90d9fp-4, -0x1.309e56b06d833p-4, -0x1.29fd961b6da5cp-4, -0x1.237d391dea17ep-4, -0x1.1d1cc1db0ce7dp-4, -0x1.16dbb364fc4fp-4, -0x1.10b991bb1b81p-4, -0x1.0ab5e1d19e35p-4, -0x1.04d0299afa57ap-4, -0x1.fe0fe0310717ep-5, -0x1.f2b97ac9f957ap-5, -0x1.e79c3574b7e28p-5, -0x1.dcb724dd35b86p-5, -0x1.d2095fe3971a7p-5, -0x1.c791ff9dbe124p-5, -0x1.bd501f62e8941p-5, -0x1.b342dce5d5f9p-5, -0x1.a969583d5c9c1p-5, -0x1.9fc2b3f09b695p-5, -0x1.964e14fca754fp-5, -0x1.8d0aa2c0d5911p-5, -0x1.83f787040085cp-5, -0x1.7b13edef4a966p-5, -0x1.725f061e69975p-5, -0x1.69d800aa54474p-5, -0x1.617e11300d78ep-5, -0x1.59506dd59d0bcp-5, -0x1.514e4f3ef8e4ep-5, -0x1.4976f08c8e928p-5, -0x1.41c98f537966p-5, -0x1.3a456b9cf502dp-5, -0x1.32e9c7edb4912p-5, -0x1.2bb5e948ba5acp-5, -0x1.24a9173792481p-5, -0x1.1dc29bc65f072p-5, -0x1.1701c377838b9p-5, -0x1.1065dd4a28e82p-5, -0x1.09ee3aa9df252p-5, -0x1.039a2f6dcfc67p-5, -0x1.fad223add5cbdp-6, -0x1.eeb4752e40478p-6, -0x1.e2da099ba731cp-6, -0x1.d7419c069d8c3p-6, -0x1.cbe9ec5524d71p-6, -0x1.c0d1bf281868ap-6, -0x1.b5f7ddd473812p-6, -0x1.ab5b1651166f9p-6, -0x1.a0fa3b35f7afap-6, -0x1.96d423b36d391p-6, -0x1.8ce7ab8dde866p-6, -0x1.8333b31ee2472p-6, -0x1.79b71f482ba33p-6, -0x1.7070d964c49d3p-6, -0x1.675fcf41bfab5p-6, -0x1.5e82f309a76ebp-6, -0x1.55d93b3d434c2p-6, -0x1.4d61a2a660181p-6, -0x1.451b2842ddfd8p-6, -0x1.3d04cf5e83a27p-6, -0x1.351d9f733bc08p-6, -0x1.2d64a42b62216p-6, -0x1.25d8ed23d152p-6, -0x1.1e798e3639dc8p-6, -0x1.17459f2bf425bp-6, -0x1.103c3bbc9281cp-6, -0x1.095c838d2822ep-6, -0x1.02a59a1e74faep-6, -0x1.f82d4d7dde007p-7, -0x1.eb5da91ba42bep-7, -0x1.dedaa4c97a6efp-7, -0x1.d2a2a5a9ee026p-7, -0x1.c6b41823ce3a4p-7, -0x1.bb0d6fc6b6af1p-7, -0x1.afad274ff8074p-7, -0x1.a491c0790712ap-7, -0x1.99b9c3df8773bp-7, -0x1.8f23c0ebaa70bp-7, -0x1.84ce4dcdf7c7ep-7, -0x1.7ab8075bf2dbap-7, -0x1.70df90f991ddcp-7, -0x1.67439483f8adap-7, -0x1.5de2c239a980bp-7, -0x1.54bbd0a289eadp-7, -0x1.4bcd7c78d01d1p-7, -0x1.4316888fdfad7p-7, -0x1.3a95bdbe7727ap-7, -0x1.3249ead5627dbp-7, -0x1.2a31e46b01a36p-7, -0x1.224c84e91d3aap-7, -0x1.1a98ac5ebc258p-7, -0x1.13154070b721ep-7, -0x1.0bc12c3bc057fp-7, -0x1.049b6048fae88p-7, -0x1.fb45a4e400becp-8, -0x1.edacfb99b3448p-8, -0x1.e06ac53870ad1p-8, -0x1.d37d0c783e9ffp-8, -0x1.c6e1e61b4c09ap-8, -0x1.ba9770c3c299cp-8, -0x1.ae9bd4c257edep-8, -0x1.a2ed43f1639c1p-8, -0x1.9789f990e7967p-8, -0x1.8c7039ead4b68p-8, -0x1.819e525a53ca8p-8, -0x1.77129910a22bep-8, -0x1.6ccb6cf4f0341p-8, -0x1.62c73586570efp-8, -0x1.590462b68da98p-8, -0x1.4f816cead9a2fp-8, -0x1.463cd4c4db914p-8, -0x1.3d35230031814p-8, -0x1.3468e8472839ap-8, -0x1.2bd6bd1495302p-8, -0x1.237d417dd4345p-8, -0x1.1b5b1cecd9108p-8, -0x1.136efdf7eacc6p-8, -0x1.0bb79a6402895p-8, -0x1.0433aedb679ddp-8, -0x1.f9c3fdd210c44p-9, -0x1.eb82a9cead1c6p-9, -0x1.dda103e79f295p-9, -0x1.d01cbbcc659d4p-9, -0x1.c2f38e6ded132p-9, -0x1.b62345c63af7fp-9, -0x1.a9a9b890f3facp-9, -0x1.9d84c9e5f27cbp-9, -0x1.91b268d3c70c2p-9, -0x1.86308fe7f743ep-9, -0x1.7afd44c4d9e38p-9, -0x1.701697c4a1c9ep-9, -0x1.657aa3b8a897cp-9, -0x1.5b278dc3c47afp-9, -0x1.511b854c38adap-9, -0x1.4754c461466eap-9, -0x1.3dd18f687f369p-9, -0x1.3490358d08dc3p-9, -0x1.2b8f108db68e4p-9, -0x1.22cc85069ae17p-9, -0x1.1a4701a5edc17p-9, -0x1.11fcfeee5db22p-9, -0x1.09ecfe84ba41ep-9, -0x1.02158a67d948p-9, -0x1.f4ea6881039a8p-10, -0x1.e61529a3d3dd1p-10, -0x1.d7a89765225cap-10, -0x1.c9a1fea5c920ap-10, -0x1.bbfeba6b9a383p-10, -0x1.aebc3558c60a4p-10, -0x1.a1d7eaeca799p-10, -0x1.954f68b2cd43dp-10, -0x1.89204f418d7e2p-10, -0x1.7d48523d9a2b1p-10, -0x1.71c53774dd3a8p-10, -0x1.6694d51e8d62cp-10, -0x1.5bb50f5cc15eap-10, -0x1.5123d57cd555ep-10, -0x1.46df1f6954c72p-10, -0x1.3ce4ebc398221p-10, -0x1.33333f1bb157cp-10, -0x1.29c824365f4a2p-10, -0x1.20a1ae29ce91ep-10, -0x1.17bdfaf178234p-10, -0x1.0f1b3607d2a3ep-10, -0x1.06b79b65a1abep-10, -0x1.fd22f1ef7b47fp-11, -0x1.ed4e65487f1cap-11, -0x1.ddee72a5f526ep-11, -0x1.cf00234c5aa0cp-11, -0x1.c0809355d265dp-11, -0x1.b26cee4f4760ep-11, -0x1.a4c266722b538p-11, -0x1.977e2e90671ebp-11, -0x1.8a9d77aae8522p-11, -0x1.7e1d723da1c7ep-11, -0x1.71fb529ef95e5p-11, -0x1.663458a609e28p-11, -0x1.5ac5d810a5c3p-11, -0x1.4fad40e547daap-11, -0x1.44e825336be12p-11, -0x1.3a743bc992ffap-11, -0x1.304f5f684a204p-11, -0x1.2677897195886p-11, -0x1.1ceac9f5fdb77p-11, -0x1.13a73e29ef34p-11, -0x1.0aab070ab17c5p-11, -0x1.01f441f1831fap-11, -0x1.f30208c695d09p-12, -0x1.e29eb78b86b23p-12, -0x1.d2baa1c796c98p-12, -0x1.c351dcc138a2ep-12, -0x1.b46091b29574dp-12, -0x1.a5e30da83869p-12, -0x1.97d5cf7739097p-12, -0x1.8a358ef72d2e4p-12, -0x1.7cff3ed9f12c5p-12, -0x1.703007e7c005bp-12, -0x1.63c53dd6444a9p-12, -0x1.57bc510b14dfp-12, -0x1.4c12bf170db72p-12, -0x1.40c6081dc643bp-12, -0x1.35d3a199c70d5p-12, -0x1.2b38f7598aac7p-12, -0x1.20f36996a1f55p-12, -0x1.170057455b21fp-12, -0x1.0d5d253687ccep-12, -0x1.040749235fb8bp-12, -0x1.f5f8a6932af69p-13, -0x1.e473eae87ff89p-13, -0x1.d37c0cf4eb841p-13, -0x1.c30d0376ba98p-13, -0x1.b323057854e31p-13, -0x1.a3ba7b2e006fdp-13, -0x1.94cfe7a3c0bf2p-13, -0x1.865fdc84b59dfp-13, -0x1.7866e909956p-13, -0x1.6ae18d4b4a382p-13, -0x1.5dcc442e26478p-13, -0x1.51238995bfd12p-13, -0x1.44e3e6066d432p-13, -0x1.3909fc2d8c5c3p-13, -0x1.2d9292ed689ep-13, -0x1.227a9b17a55adp-13, -0x1.17bf2f1dbed73p-13, -0x1.0d5d8e5cf5048p-13, -0x1.03531afa97221p-13, -0x1.f33aa90c9f519p-14, -0x1.e073aa346fd36p-14, -0x1.ce4c96ffc4affp-14, -0x1.bcc0eb9703fcdp-14, -0x1.abcc40118c351p-14, -0x1.9b6a1025b46edp-14, -0x1.8b95e1b0f7087p-14, -0x1.7c4b1d8289276p-14, -0x1.6d851e164db15p-14, -0x1.5f3f4dab72b04p-14, -0x1.51753dfd3eb07p-14, -0x1.4422c29705ee2p-14, -0x1.3743fdda762e1p-14, -0x1.2ad55d306de8dp-14, -0x1.1ed386f6ba3f8p-14, -0x1.133b42a32457bp-14, -0x1.080966e10a01p-14, -0x1.fa7597e1cb26dp-15, -0x1.e598f3c6eee4ep-15, -0x1.d176c0aa4a72p-15, -0x1.be09984d9c501p-15, -0x1.ab4c3a5e6851cp-15, -0x1.9939afb4d49eap-15, -0x1.87cd1c7787bb2p-15, -0x1.77019c03d97ccp-15, -0x1.66d22f3ef14bp-15, -0x1.5739bce254585p-15, -0x1.48331d7e5fa38p-15, -0x1.39b92886c11e7p-15, -0x1.2bc6bc3dd1b5p-15, -0x1.1e56c3343566cp-15, -0x1.11643f2db8712p-15, -0x1.04ea5ea57332fp-15, -0x1.f1c93512ac1a1p-16, -0x1.da9da359ea6c7p-16, -0x1.c44aabcad7841p-16, -0x1.aec9c5621c7e2p-16, -0x1.9a15029854656p-16, -0x1.8626d5b95b2cbp-16, -0x1.72f9b47f3b6dp-16, -0x1.60881eb7c82b8p-16, -0x1.4ecc9e24d1396p-16, -0x1.3dc20cbfd51dep-16, -0x1.2d63b4e197f46p-16, -0x1.1dad5fc653698p-16, -0x1.0e9aee9118739p-16, -0x1.0027f5ffb6904p-16, -0x1.e49e2fae0966ap-17, -0x1.ca13fd0d2b01dp-17, -0x1.b0a28ad6544a2p-17, -0x1.9839ca7028419p-17, -0x1.80c9ed287d934p-17, -0x1.6a452dc2fb5e7p-17, -0x1.54a1037e6e74cp-17, -0x1.3fd713f26b21fp-17, -0x1.2be312e7e5f4cp-17, -0x1.18c2aaf0e1319p-17, -0x1.0671afda3db56p-17, -0x1.e9d4be3b5dab5p-18, -0x1.c84acf78cdb1bp-18, -0x1.a836b17f30703p-18, -0x1.898bee82dff0cp-18, -0x1.6c419fd885c7cp-18, -0x1.50518cf45e47cp-18, -0x1.35b5ee762ca7ap-18, -0x1.1c67172d7f933p-18, -0x1.045a2b6013605p-18, -0x1.db026ad967402p-19, -0x1.af9812976cde6p-19, -0x1.8652a07f3abc4p-19, -0x1.5f0f3d0ae9fb2p-19, -0x1.39ad94279ebcbp-19, -0x1.1612d43f0bf45p-19, -0x1.e8575a5793bc4p-20, -0x1.a7d7ae5b5283fp-20, -0x1.6a962bb2d5f5fp-20, -0x1.3082ecf43afa8p-20, -0x1.f31484dc939d3p-21, -0x1.8b26f6a3904b7p-21, -0x1.29089ea2cd32p-21, -0x1.991031ccbeec6p-22, -0x1.d5eb57feb6136p-23, -0x1.1dd98cf4b83b1p-24, 0x1.46e5095a76374p-24, 0x1.c1d75b62ca3d2p-23, 0x1.6680c4e06b1fdp-22, 0x1.e2c553b8d9e5ep-22, 0x1.2b1c0611d63cfp-21, 0x1.60a1970b8d76dp-21, 0x1.92303207dc8bfp-21, 0x1.c002e6dfd7464p-21, 0x1.ea4d08e450a7bp-21, 0x1.089a988bf1192p-20, 0x1.1a6aec986431p-20, 0x1.2aa23f2ea5ebfp-20, 0x1.394d5e8b962f1p-20, 0x1.467d2d3d64a69p-20, 0x1.52456775370e9p-20, 0x1.5cb91f9298c5cp-20, 0x1.65e74d357797p-20, 0x1.6dd93d0d30183p-20, 0x1.749485cf8077cp-20, 0x1.7a1fb0bafa87fp-20, 0x1.7e85d08ee9b82p-20, 0x1.81d5ad6fc66dp-20, 0x1.8421690739964p-20, 0x1.8573dfb9b328ap-20, 0x1.85d940a30e9f2p-20, 0x1.8558f6834b53dp-20, 0x1.83fc015092145p-20, 0x1.81cd36c7aa768p-20, 0x1.7ed8e1f14fd09p-20, 0x1.7b2b0d8bcdc2ep-20, 0x1.76ce054953fd9p-20, 0x1.71c9a4988f2b2p-20, 0x1.6c2440d5a2f28p-20, 0x1.65e1f375adc26p-20, 0x1.5f067d506d08bp-20, 0x1.579b5c9e8790ap-20, 0x1.4fa57871d34d2p-20, 0x1.472d98077b03dp-20, 0x1.3e39aa2972352p-20, 0x1.34d0c7b289201p-20, 0x1.2afae9715608dp-20, 0x1.20bf7611fp-20, 0x1.1623ee313140ep-20, 0x1.0b2c783eb1c57p-20, 0x1.ffbb1813ef4c1p-21, 0x1.e87820936f2a9p-21, 0x1.d09ae1449a4aap-21, 0x1.b82bb2896c749p-21, 0x1.9f32f6b80ecdcp-21, 0x1.85b8521098eb2p-21, 0x1.6bc4a05659986p-21, 0x1.515fc65d990f1p-21, 0x1.3690aabe7b2dcp-21, 0x1.1b5dd0cab3849p-21, 0x1.ff9bf388972a8p-22, 0x1.c7d0062e2428fp-22, 0x1.8f647fe1e2b26p-22, 0x1.5665f15222ffep-22, 0x1.1cdf00f5e776ap-22, 0x1.c5b6f37472de7p-23, 0x1.50ccf7d284566p-23, 0x1.b62e6d7d4643ep-24, 0x1.92ba33ba91846p-25, -0x1.25fe464e890a1p-27, -0x1.13d5735a9f755p-24, -0x1.01e0d98aca173p-23, -0x1.7a5252245d85dp-23, -0x1.f32dfcdbc580ep-23, -0x1.363111d69aaa4p-22, -0x1.72e89a0602773p-22, -0x1.afae59c11b8bap-22, -0x1.ec7bdbd4adb3bp-22, -0x1.14a624e42d9a4p-21, -0x1.330b0fa2716a2p-21, -0x1.516a83822d432p-21, -0x1.6fc6e4c8a9c18p-21, -0x1.8e216b59cba53p-21, -0x1.ac76488419b81p-21, -0x1.cab9c1d149d33p-21, -0x1.e8ef9be843415p-21, -0x1.038b39ffee46dp-20, -0x1.1295577ed7ff5p-20, -0x1.2192f8ad11f3dp-20, -0x1.3082f63abb13cp-20, -0x1.3f650ef734b12p-20, -0x1.4e3a7424ea5e3p-20, -0x1.5d01783db237dp-20, -0x1.6bb8e4824e681p-20, -0x1.7a5f556e6b716p-20, -0x1.88f32106c7daep-20, -0x1.9772fd07d1776p-20, -0x1.a5de1c6a9778bp-20, -0x1.b43499732455ap-20, -0x1.c277cd514b7f5p-20, -0x1.d0a8332ca5ffep-20, -0x1.dec2925b40349p-20, -0x1.ecc2e41c2dc13p-20, -0x1.faa94e81b2fe6p-20, -0x1.043c2f86de8e7p-19, -0x1.0b18dfc1bf023p-19, -0x1.11e956ba434bap-19, -0x1.18ad9e8a07dd4p-19, -0x1.1f63eaaf8651ap-19, -0x1.260e03150993cp-19, -0x1.2cac866b0bd04p-19, -0x1.333d488a9665ap-19, -0x1.39bfa85dc60e4p-19, -0x1.40341a8209f13p-19, -0x1.469b49678623ep-19, -0x1.4cf47424fcc12p-19, -0x1.534040809ed94p-19, -0x1.597df0fb5ca97p-19, -0x1.5fad700a6bcdp-19, -0x1.65ce8a109d6a8p-19, -0x1.6be13ac628b7cp-19, -0x1.71e559dc8f275p-19, -0x1.77dac3199ec37p-19, -0x1.7dc1547557156p-19, -0x1.8398ee05f1abap-19, -0x1.89615253d90ecp-19, -0x1.8f19fca544af4p-19, -0x1.94c2af7368842p-19, -0x1.9a5c26fe511e6p-19, -0x1.9fe65a98c8f57p-19, -0x1.a5605dd07609p-19, -0x1.aacbba32044c4p-19, -0x1.b029a92c73af2p-19, -0x1.b577a5fb3cb68p-19, -0x1.bab5a303f7fbdp-19, -0x1.bfe4bbcdd9e2cp-19, -0x1.c503c701d2071p-19, -0x1.ca12bc7718887p-19, -0x1.cf128f737ac84p-19, -0x1.d4035c11b9714p-19, -0x1.d8e4f3be40bcdp-19, -0x1.ddb71040dee1dp-19, -0x1.e279bb103b02fp-19, -0x1.e72ce417684f1p-19, -0x1.ebd08e893ef64p-19, -0x1.f064bddbd31fbp-19, -0x1.f4e978e90282ap-19, -0x1.f95e4777289b1p-19, -0x1.fdc41e23669bdp-19, -0x1.010d733b03c4cp-18, -0x1.0330f011fbc2dp-18, -0x1.054cca5f5878dp-18, -0x1.07610d2b3f69bp-18, -0x1.096da98160bdap-18, -0x1.0b72a67c2d9ffp-18, -0x1.0d7042455540ep-18, -0x1.0f65f070179dcp-18, -0x1.11533062db4ep-18, -0x1.13388a4c6932p-18, -0x1.1516efc1dbb33p-18, -0x1.16ee612f89c95p-18, -0x1.18bee62a01838p-18, -0x1.1a87700f22f7ap-18, -0x1.1c47e3d4c2eb2p-18, -0x1.1e010f567edfap-18, -0x1.1fb2de9da12b2p-18, -0x1.215d8e0d848a6p-18, -0x1.2300ec3594931p-18, -0x1.249cf5c12781ap-18, -0x1.2631c07558557p-18, -0x1.27bf423df1d3cp-18, -0x1.29457f7ac104dp-18, -0x1.2ac47aa1837fcp-18, -0x1.2c3c38f239e74p-18, -0x1.2dad3e0ae49d3p-18, -0x1.2f16e17c4b37dp-18, -0x1.307976b8dd6efp-18, -0x1.31d511db24fddp-18, -0x1.3329b51120008p-18, -0x1.34770b1a191e9p-18, -0x1.35bda7583b5aep-18, -0x1.36fd61f6ceddap-18, -0x1.383651d91ec6bp-18, -0x1.39687945cfb62p-18, -0x1.3a93cd433231p-18, -0x1.3bb865f7db85bp-18, -0x1.3cd60c6b0ba9ap-18, -0x1.3decf32382f43p-18, -0x1.3efd5bb6d51e2p-18, -0x1.40072c81fa5cep-18, -0x1.410a55702019dp-18, -0x1.42071037a69bdp-18, -0x1.42fd62359e9cdp-18, -0x1.43ed2742e147bp-18, -0x1.44d680a73255p-18, -0x1.45b986833afbap-18, -0x1.469641c150375p-18, -0x1.476cb3153fd8ap-18, -0x1.483cea79dd38ep-18, -0x1.4906e425b87a7p-18, -0x1.49cabcb043384p-18, -0x1.4a886f61e1e76p-18, -0x1.4b400d6d0c9b2p-18, -0x1.4bf1a2e6c844dp-18, -0x1.4c9d3b4468643p-18, -0x1.4d42e08bfa485p-18, -0x1.4de29dd797ddp-18, -0x1.4e7c880ae085cp-18, -0x1.4f1092ad579abp-18, -0x1.4f9ed95aef8acp-18, -0x1.502754dc46c81p-18, -0x1.50aa3090e7194p-18, -0x1.5127677b92c43p-18, -0x1.519efbc3de227p-18, -0x1.5211065a08073p-18, -0x1.527d942c9494ap-18, -0x1.52e4a3fc191f7p-18, -0x1.5346369f0ca44p-18, -0x1.53a26435fcf81p-18, -0x1.53f957db4016dp-18, -0x1.544b0e43766d5p-18, -0x1.5497376c44705p-18, -0x1.54de5572205afp-18, -0x1.55204c621955dp-18, -0x1.555d2d60fe5b1p-18, -0x1.55949c0b336d6p-18, -0x1.55c7aceb71014p-18, -0x1.55f568f721acdp-18, -0x1.561e3dad4a8b7p-18, -0x1.5642058226677p-18, -0x1.5661398b08206p-18, -0x1.567b9736347ep-18, -0x1.569139a119c64p-18, -0x1.56a197eea9a56p-18, -0x1.56adfcfb7e446p-18, -0x1.56b57ded55548p-18, -0x1.56b86b6a431c7p-18, -0x1.56b6ce04880b2p-18, -0x1.56b0b1eb7dap-18, -0x1.56a62325f7f15p-18, -0x1.56972d81a4cc3p-18, -0x1.5683dca1aa609p-18, -0x1.566c3acfaa711p-18, -0x1.565052b620e7fp-18, -0x1.5630304cdc497p-18, -0x1.560be077da574p-18, -0x1.55e36f446faf6p-18, -0x1.55b6e81039f99p-18, -0x1.558654e4212efp-18, -0x1.5551bee02fbf7p-18, -0x1.551931244dfe3p-18, -0x1.54dcb7e5bea08p-18, -0x1.549c5f406fbffp-18, -0x1.54583133253e7p-18, -0x1.54103c4d2d3a6p-18, -0x1.53c48dfaf2e8ep-18, -0x1.53752959473fep-18, -0x1.53220f11d8952p-18, -0x1.52cb62f7dc6ffp-18, -0x1.52712fe4e7b14p-18, -0x1.52135c26f3542p-18, -0x1.51b21e0e7a345p-18, -0x1.514d6ac04b8f3p-18, -0x1.50e54f33a34b9p-18, -0x1.5079d86dd688bp-18, -0x1.500b10cbb228bp-18, -0x1.4f9904df9f546p-18, -0x1.4f23b8c8d148ap-18, -0x1.4eab679fe7a99p-18, -0x1.4e2f9789d5705p-18, -0x1.4db0dae5c68c9p-18, -0x1.4d2f0c5209d15p-18, -0x1.4caa319425b25p-18, -0x1.4c225684d4aep-18, -0x1.4b9799affec64p-18, -0x1.4b09efc082b7ap-18, -0x1.4a7964ffa7168p-18, -0x1.49e60754db6eap-18, -0x1.494fddbb5364p-18, -0x1.48b6f6ee64e87p-18, -0x1.481b5ab4748f7p-18, -0x1.477d0ab42ae0cp-18, -0x1.46dc17f6b764dp-18, -0x1.4638a40b0e0efp-18, -0x1.4592932f7b7f8p-18, -0x1.44e9cdd39693p-18, -0x1.443efc26f4eb3p-18, -0x1.43917f6765a1p-18, -0x1.42e198845f344p-18, -0x1.422f5c4915074p-18, -0x1.417ac76040d4p-18, -0x1.40c3ecc8d809fp-18, -0x1.400ab994b63cp-18, -0x1.3f4f592583104p-18, -0x1.3e91fc15c97bap-18, -0x1.3dd25b2668b0ep-18, -0x1.3d1093faa35d3p-18, -0x1.3c4cc61702d8bp-18, -0x1.3b86f49f8be8bp-18, -0x1.3abf153b381adp-18, -0x1.39f53a6c5d836p-18, -0x1.392982c5be05fp-18, -0x1.385bd9aec7f8ap-18, -0x1.378c52dc01664p-18, -0x1.36bafd3facfe8p-18, -0x1.35e7e0d16cccbp-18, -0x1.3512fa9af359fp-18, -0x1.343c57d72c18bp-18, -0x1.336457bafea4dp-18, -0x1.328a1aa240039p-18, -0x1.31ae857970267p-18, -0x1.30d154d859accp-18, -0x1.2ff2938edcebep-18, -0x1.2f124a3774ffcp-18, -0x1.2e30803ea352ep-18, -0x1.2d4d457a15153p-18, -0x1.2c68a1c2f0c57p-18, -0x1.2b828a867f048p-18, -0x1.2a9b188c4151cp-18, -0x1.29b23ebf30e92p-18, -0x1.28c8250c53aap-18, -0x1.27dcc2f9c4b8dp-18, -0x1.26f01cc7412e2p-18, -0x1.26023af98e339p-18, -0x1.25132ab16b9b1p-18, -0x1.2422eea96c862p-18, -0x1.233192c074ef7p-18, -0x1.223f14ae3071fp-18, -0x1.214b7832459ecp-18, -0x1.2056f18b69fep-18, -0x1.1f61465da6f49p-18, -0x1.1e6a9c46a2875p-18, -0x1.1d73053f10ef2p-18, -0x1.1c7a766b0a18bp-18, -0x1.1b81006fe38cbp-18, -0x1.1a86acb79e72ep-18, -0x1.198b77e51d48dp-18, -0x1.188f62307ee66p-18, -0x1.179282bfc4ef1p-18, -0x1.1694e368acbaep-18, -0x1.15967646ff5e5p-18, -0x1.149757e7b9a8cp-18, -0x1.1397780dc87d6p-18, -0x1.1296bfc9b3dp-18, -0x1.1195b9203f5bap-18, -0x1.1093cbc7a8c5p-18, -0x1.0f9173a4ec51ap-18, -0x1.0e8e5f9af09bap-18, -0x1.0d8abf7bfc7afp-18, -0x1.0c869cabb1b4fp-18, -0x1.0b81f156fbd4ap-18, -0x1.0a7cc3542f6ep-18, -0x1.09771a019ff28p-18, -0x1.0870fbd7926cdp-18, -0x1.076a764280319p-18, -0x1.0663898b27d15p-18, -0x1.055c3905768edp-18, -0x1.0454a404eb98ep-18, }}, 
      {{-0x1.c654eb7b39e61p-1, -0x1.c63a4da615985p-1, -0x1.c60e11218bce4p-1, -0x1.c5d0646510f67p-1, -0x1.c5817cd1a049ap-1, -0x1.c5218735a5009p-1, -0x1.c4b09a46c2cap-1, -0x1.c42eaedd4420bp-1, -0x1.c39b9e2f4cf6ap-1, -0x1.c2f7242cdde25p-1, -0x1.c240e393b86c3p-1, -0x1.c17869d3f7894p-1, -0x1.c09d31cd351e8p-1, -0x1.bfaea54e65f9fp-1, -0x1.beac1dd6ebf2cp-1, -0x1.bd94e54f3da7ep-1, -0x1.bc68375d1ad08p-1, -0x1.bb2543b9e75b9p-1, -0x1.b9cb31a77881fp-1, -0x1.b859245e2c23dp-1, -0x1.b6ce4022120d2p-1, -0x1.b529af9760826p-1, -0x1.b36aa8edb568ap-1, -0x1.b19072884336p-1, -0x1.af9a66e09cf2dp-1, -0x1.ad87f77ccb155p-1, -0x1.ab58aeeb28241p-1, -0x1.a90c31cc8a52ep-1, -0x1.a6a23f05c210ap-1, -0x1.a41aaf3c39815p-1, -0x1.a17573c6ca636p-1, -0x1.9eb2953ca2078p-1, -0x1.9bd231c935ca3p-1, -0x1.98d47b672c4bap-1, -0x1.95b9b61d9203dp-1, -0x1.92823653ad687p-1, -0x1.8f2e5f48f81f1p-1, -0x1.8bbea1b8a064fp-1, -0x1.88337aaac3a5dp-1, -0x1.848d727191287p-1, -0x1.80cd1bcd99288p-1, -0x1.7cf31332b61c9p-1, -0x1.78fffe2624dc8p-1, -0x1.74f48aae3c842p-1, -0x1.70d16eccc2218p-1, -0x1.6c9767fdb5db5p-1, -0x1.68473ab5b10adp-1, -0x1.63e1b1dc346a2p-1, -0x1.5f679e3f99aa4p-1, -0x1.5ad9d60196003p-1, -0x1.563933fc4de16p-1, -0x1.51869720e3403p-1, -0x1.4cc2e1d1174e2p-1, -0x1.47eef93611f2p-1, -0x1.430bc496aec1ap-1, -0x1.3e1a2cafc5143p-1, -0x1.391b1b10da60bp-1, -0x1.340f797f7c69cp-1, -0x1.2ef83163435eap-1, -0x1.29d62b3c1c36fp-1, -0x1.24aa4e242db79p-1, -0x1.1f757f5e33266p-1, -0x1.1a38a1f0d655dp-1, -0x1.14f4964f2bfeap-1, -0x1.0faa3a0e24aafp-1, -0x1.0a5a67a67a91dp-1, -0x1.0505f64262caap-1, -0x1.ff5b732c38881p-2, -0x1.f4a503849c07ap-2, -0x1.e9ea367e17a2ap-2, -0x1.df2c9d9ca173cp-2, -0x1.d46dc2e969f34p-2, -0x1.c9af28ee5c1d8p-2, -0x1.bef24ab9688e3p-2, -0x1.b4389be56fa5ap-2, -0x1.a98388a6e2197p-2, -0x1.9ed475da4c571p-2, -0x1.942cc11349b23p-2, -0x1.898dc0aaa325ap-2, -0x1.7ef8c3ca7a05cp-2, -0x1.746f1277c115dp-2, -0x1.69f1ed986307ep-2, -0x1.5f828ef5b4c51p-2, -0x1.5522293b06311p-2, -0x1.4ad1e7f045f91p-2, -0x1.4092ef70dd60ap-2, -0x1.36665cdf004cap-2, -0x1.2c4d4613cc965p-2, -0x1.2248b98cad33cp-2, -0x1.1859be567cc9fp-2, -0x1.0e8153f6f69ap-2, -0x1.04c0725506099p-2, -0x1.f63013411ac8p-3, -0x1.e312047469edap-3, -0x1.d0287937a7579p-3, -0x1.bd7522840103p-3, -0x1.aaf9a12e7d95dp-3, -0x1.98b785c2a3043p-3, -0x1.86b0506215208p-3, -0x1.74e570a9fe4f7p-3, -0x1.6358459edfd38p-3, -0x1.520a1d9f4150dp-3, -0x1.40fc365dad7bcp-3, -0x1.302fbce24ce08p-3, -0x1.1fa5cd9443b35p-3, -0x1.0f5f744aedef7p-3, -0x1.febb58cdf54a5p-4, -0x1.df42c1e69f317p-4, -0x1.c056d99afd50fp-4, -0x1.a1f935ab3af5fp-4, -0x1.842b4c4a47131p-4, -0x1.66ee7498de5b9p-4, -0x1.4a43e72d2eb8p-4, -0x1.2e2cbea6060afp-4, -0x1.12a9f848a02f3p-4, -0x1.ef78e9502fd3p-5, -0x1.bac9f0aaade6ap-5, -0x1.8748592d0e88p-5, -0x1.54f54049b6cf6p-5, -0x1.23d18fdf3905ap-5, -0x1.e7bbff8dd00bp-6, -0x1.8a362ed367332p-6, -0x1.2f125eb29791cp-6, -0x1.aca1cbae5dd9ap-7, -0x1.ffc70eb48cc6ep-8, -0x1.5fa51caeb5664p-9, 0x1.2d38ff470a155p-9, 0x1.d389e7fa2cbadp-8, 0x1.837d50ebb0b7dp-7, 0x1.0c3d30a8fd61fp-6, 0x1.545fdc86b4d5p-6, 0x1.9a28b7aa6ad8dp-6, 0x1.dd9a0c88ee02fp-6, 0x1.0f5b30d9bdc4dp-5, 0x1.2ec03b994877fp-5, 0x1.4cfda1fca367dp-5, 0x1.6a14f9b929931p-5, 0x1.8607f1939e2efp-5, 0x1.a0d85041172f3p-5, 0x1.ba87f355549d9p-5, 0x1.d318ce3e840c2p-5, 0x1.ea8ce94e5bbaap-5, 0x1.007330683f26ep-4, 0x1.0b13b216e4936p-4, 0x1.15291a8e348f1p-4, 0x1.1eb4936e1a6dep-4, 0x1.27b74ebf86bb2p-4, 0x1.3032869e5247cp-4, 0x1.38277ce8ac34ep-4, 0x1.3f977af3caad4p-4, 0x1.4683d1457a332p-4, 0x1.4cedd75271a78p-4, 0x1.52d6eb41009b1p-4, 0x1.584071afc892p-4, 0x1.5d2bd5804c73dp-4, 0x1.619a87a4e69dep-4, 0x1.658dfef1f23b9p-4, 0x1.6907b7f1cfebep-4, 0x1.6c0934bb71cc5p-4, 0x1.6e93fccb3d4bdp-4, 0x1.70a99cddd31p-4, 0x1.724ba6cc9df71p-4, 0x1.737bb16bcc521p-4, 0x1.743b58697ab32p-4, 0x1.748c3c2dd58d5p-4, 0x1.747001bbef804p-4, 0x1.73e8529314b81p-4, 0x1.72f6dc907616ep-4, 0x1.719d51d0e1e9cp-4, 0x1.6fdd68927dabbp-4, 0x1.6db8db1638897p-4, 0x1.6b316780e6761p-4, 0x1.6848cfbbd1538p-4, 0x1.6500d954b9ac9p-4, 0x1.615b4d5d0dd38p-4, 0x1.5d59f848627adp-4, 0x1.58fea9c9eeae3p-4, 0x1.544b34b12aa95p-4, 0x1.4f416ec557247p-4, 0x1.49e330a002ba2p-4, 0x1.443255867b1acp-4, 0x1.3e30bb421eca9p-4, 0x1.37e041f7942bcp-4, 0x1.3142cbfceb19fp-4, 0x1.2a5a3dae9c13ep-4, 0x1.23287d437b49cp-4, 0x1.1baf729f9da1ep-4, 0x1.13f10726379cep-4, 0x1.0bef258a89a23p-4, 0x1.03abb99fd38aep-4, 0x1.f6516050e4824p-5, 0x1.e4cfed4858c1ep-5, 0x1.d2d6f63b6c972p-5, 0x1.c06a57ef20522p-5, 0x1.ad8def708c93cp-5, 0x1.9a4599ac3ceb7p-5, 0x1.86953304a61dap-5, 0x1.728096e7d6528p-5, 0x1.5e0b9f6478842p-5, 0x1.493a24be7b636p-5, 0x1.340ffd0355045p-5, 0x1.1e90fb9e213fbp-5, 0x1.08c0f0ebda77p-5, 0x1.e547539f5cfd7p-6, 0x1.b879de8f45656p-6, 0x1.8b210c03ad723p-6, 0x1.5d445be48dfa8p-6, 0x1.2eeb43d318fdp-6, 0x1.001d2e58b5fp-6, 0x1.a1c2f430e7bb6p-7, 0x1.427ef205cbaa3p-7, 0x1.c4f9be3302a5ap-8, 0x1.03964fa10e45p-8, 0x1.03c0d4240e74fp-10, -0x1.05b867ed47935p-9, -0x1.47b2cfc41bf21p-8, -0x1.06bbe3d50f58ap-7, -0x1.6a07c653eb551p-7, -0x1.cdaf6d1779f47p-7, -0x1.18d2ae33f1a15p-6, -0x1.4aee2034ae457p-6, -0x1.7d23772f9c391p-6, -0x1.af6c32f27f2fcp-6, -0x1.e1c1e90e8032dp-6, -0x1.0a0f22b54a032p-5, -0x1.233d85680b70ep-5, -0x1.3c6909b920ba4p-5, -0x1.558ea8b80ab12p-5, -0x1.6eab67a83a441p-5, -0x1.87bc583c6102ep-5, -0x1.a0be98ceee3fdp-5, -0x1.b9af54976d273p-5, -0x1.d28bc3dd562afp-5, -0x1.eb512c27adb14p-5, -0x1.01fe7034edaabp-4, -0x1.0e462096c9297p-4, -0x1.1a7e5e5cde29fp-4, -0x1.26a5e79b50dfdp-4, -0x1.32bb81677f203p-4, -0x1.3ebdf7e72fbaap-4, -0x1.4aac1e5e3c267p-4, -0x1.5684cf3aebc31p-4, -0x1.6246ec20c8e66p-4, -0x1.6df15df221dccp-4, -0x1.798314d82ed0ap-4, -0x1.84fb0849c9407p-4, -0x1.90583710dd78bp-4, -0x1.9b99a74e817d4p-4, -0x1.a6be667dc67dfp-4, -0x1.b1c58975352e6p-4, -0x1.bcae2c6719114p-4, -0x1.c77772e097b9dp-4, -0x1.d22087c76fc5fp-4, -0x1.dca89d56b53cep-4, -0x1.e70eed1a584f1p-4, -0x1.f152b7e979fb2p-4, -0x1.fb7345dfca689p-4, -0x1.02b7f32add376p-3, -0x1.07a3f7ebd9a67p-3, -0x1.0c7d600e24215p-3, -0x1.1143ddfcb488cp-3, -0x1.15f727ac55432p-3, -0x1.1a96f69550c0cp-3, -0x1.1f2307acaa04p-3, -0x1.239b1b5ced5e1p-3, -0x1.27fef57e9419p-3, -0x1.2c4e5d5001384p-3, -0x1.30891d6d1e586p-3, -0x1.34af03c69c329p-3, -0x1.38bfe198d33fep-3, -0x1.3cbb8b6254511p-3, -0x1.40a1d8da21308p-3, -0x1.4472a4e59ee53p-3, -0x1.482dcd8e32a3fp-3, -0x1.4bd333f69cc7bp-3, -0x1.4f62bc5017189p-3, -0x1.52dc4dcf23e8bp-3, -0x1.563fd2a02f738p-3, -0x1.598d37dbf0261p-3, -0x1.5cc46d7b98486p-3, -0x1.5fe5664ccf5bdp-3, -0x1.62f017e582215p-3, -0x1.65e47a97823f9p-3, -0x1.68c289640b84ep-3, -0x1.6b8a41ef13819p-3, -0x1.6e3ba47285c8cp-3, -0x1.70d6b3b1597c3p-3, -0x1.735b74ea929e2p-3, -0x1.75c9efcc257a1p-3, -0x1.78222e65cb1a2p-3, -0x1.7a643d1bbeddap-3, -0x1.7c902a996b58bp-3, -0x1.7ea607c414912p-3, -0x1.80a5e7ad6a7aep-3, -0x1.828fdf861e186p-3, -0x1.8464069072347p-3, -0x1.86227612beeb5p-3, -0x1.87cb494a01836p-3, -0x1.895e9d5c69a3p-3, -0x1.8adc914be767p-3, -0x1.8c4545e8c86dbp-3, -0x1.8d98ddc4531f1p-3, -0x1.8ed77d2377f2fp-3, -0x1.900149f187fdep-3, -0x1.91166bb2fd15cp-3, -0x1.92170b7850095p-3, -0x1.930353d0e859fp-3, -0x1.93db70be121d6p-3, -0x1.949f8fa61ef9fp-3, -0x1.954fdf47847e4p-3, -0x1.95ec8fac29f9bp-3, -0x1.9675d21cc466fp-3, -0x1.96ebd9144cba4p-3, -0x1.974ed8339f876p-3, -0x1.979f043528f79p-3, -0x1.97dc92e0c3c44p-3, -0x1.9807baffa5638p-3, -0x1.9820b45080bdap-3, -0x1.9827b77bb532fp-3, -0x1.981cfe07b9725p-3, -0x1.9800c24d90dd7p-3, -0x1.97d33f6d80428p-3, -0x1.9794b143d6d04p-3, -0x1.9745545de76bep-3, -0x1.96e565ef24545p-3, -0x1.967523c66a456p-3, -0x1.95f4cc436d07dp-3, -0x1.95649e4c5624ap-3, -0x1.94c4d9438889cp-3, -0x1.9415bcfd902a2p-3, -0x1.935789b73e799p-3, -0x1.928a800bf3c4ep-3, -0x1.91aee0ec0e5dp-3, -0x1.90c4ed93912c3p-3, -0x1.8fcce780f0fefp-3, -0x1.8ec7106c041bcp-3, -0x1.8db3aa3d3d7f5p-3, -0x1.8c92f704f1c66p-3, -0x1.8b6538f2e357p-3, -0x1.8a2ab24df0d7dp-3, -0x1.88e3a56bf5ca8p-3, -0x1.879054a9d47dep-3, -0x1.86310263b92c6p-3, -0x1.84c5f0ed7be44p-3, -0x1.834f628b3c7d6p-3, -0x1.81cd996a2461ap-3, -0x1.8040d79960a16p-3, -0x1.7ea95f03382d1p-3, -0x1.7d0771666407dp-3, -0x1.7b5b504f88053p-3, -0x1.79a53d12d944cp-3, -0x1.77e578c5f6d0dp-3, -0x1.761c4439ee38p-3, -0x1.7449dff565183p-3, -0x1.726e8c2efbd6fp-3, -0x1.708a88c7cf226p-3, -0x1.6e9e15462c76cp-3, -0x1.6ca970d07542fp-3, -0x1.6aacda281e323p-3, -0x1.68a88fa4eeac3p-3, -0x1.669ccf3053af4p-3, -0x1.6489d640ed993p-3, -0x1.626fe1d63e7c5p-3, -0x1.604f2e7485505p-3, -0x1.5e27f820bb713p-3, -0x1.5bfa7a5cc5229p-3, -0x1.59c6f023bd57dp-3, -0x1.578d93e66e582p-3, -0x1.554e9f87f2d91p-3, -0x1.530a4c5a7b293p-3, -0x1.50c0d31c33c7ep-3, -0x1.4e726bf45635ap-3, -0x1.4c1f4e705eb5bp-3, -0x1.49c7b1815e35fp-3, -0x1.476bcb797f3afp-3, -0x1.450bd2099478bp-3, -0x1.42a7fa3ee5dfap-3, -0x1.404078810adb4p-3, -0x1.3dd5808fefaa5p-3, -0x1.3b674581f51a6p-3, -0x1.38f5f9c236f7fp-3, -0x1.3681cf0eedc22p-3, -0x1.340af677ed665p-3, -0x1.3191a05d4648ep-3, -0x1.2f15fc6e00b24p-3, -0x1.2c9839a6fa893p-3, -0x1.2a188651d9488p-3, -0x1.279710041f246p-3, -0x1.2514039e570d8p-3, -0x1.228f8d4b5cdadp-3, -0x1.2009d87fc1988p-3, -0x1.1d830ff944125p-3, -0x1.1afb5dbe69e96p-3, -0x1.1872eb1e279e8p-3, -0x1.15e9e0afaae9fp-3, -0x1.136066522ec06p-3, -0x1.10d6a32cf7ce6p-3, -0x1.0e4cbdaf571bdp-3, -0x1.0bc2db90c7f41p-3, -0x1.093921d1258dep-3, -0x1.06afb4b8f088cp-3, -0x1.0426b7d9aa676p-3, -0x1.019e4e0e46271p-3, -0x1.fe2d32f746c95p-4, -0x1.f91f77225095fp-4, -0x1.f413aa12c6d88p-4, -0x1.ef0a0bd57ca2bp-4, -0x1.ea02db1091551p-4, -0x1.e4fe550518977p-4, -0x1.dffcb590e03ap-4, -0x1.dafe3730604edp-4, -0x1.d6031300c221cp-4, -0x1.d10b80c1f8c88p-4, -0x1.cc17b6d903eb2p-4, -0x1.c727ea5245e6p-4, -0x1.c23c4ee3ef091p-4, -0x1.bd5516f08a42ep-4, -0x1.b872738997df8p-4, -0x1.b39494723f251p-4, -0x1.aebba82218928p-4, -0x1.a9e7dbc810be5p-4, -0x1.a5195b4d4eba9p-4, -0x1.a05051583f6a8p-4, -0x1.9b8ce74fa61efp-4, -0x1.96cf455dc16dfp-4, -0x1.9217927381cf5p-4, -0x1.8d65f44bcc892p-4, -0x1.88ba8f6ecd63ep-4, -0x1.8415873555ea1p-4, -0x1.7f76fdcc4d8b3p-4, -0x1.7adf143824354p-4, -0x1.764dea585aec2p-4, -0x1.71c39eeb0bd96p-4, -0x1.6d404f90866a5p-4, -0x1.68c418ceefd42p-4, -0x1.644f1615e6954p-4, -0x1.5fe161c2386ffp-4, -0x1.5b7b1521980aap-4, -0x1.571c48765a209p-4, -0x1.52c512fb3772cp-4, -0x1.4e758ae715c25p-4, -0x1.4a2dc570d779fp-4, -0x1.45edd6d328b42p-4, -0x1.41b5d25056a25p-4, -0x1.3d85ca362017cp-4, -0x1.395dcfe195355p-4, -0x1.353df3c2ef852p-4, -0x1.312645616b7dep-4, -0x1.2d16d35f27a7cp-4, -0x1.290fab7cff888p-4, -0x1.2510da9e6af52p-4, -0x1.211a6ccd51404p-4, -0x1.1d2c6d3dec3dcp-4, -0x1.1946e6529ef5fp-4, -0x1.1569e19fc68a2p-4, -0x1.119567ef9412cp-4, -0x1.0dc98145da595p-4, -0x1.0a0634e3dbecdp-4, -0x1.064b894c1827dp-4, -0x1.029984460aaaep-4, -0x1.fde055c3e79f2p-5, -0x1.f69f02f920704p-5, -0x1.ef6f1785a6ba1p-5, -0x1.e850996b3512fp-5, -0x1.e1438d5ab251fp-5, -0x1.da47f6bb7783ap-5, -0x1.d35dd7b29c8e3p-5, -0x1.cc85312a2ce94p-5, -0x1.c5be02d842a6p-5, -0x1.bf084b46298eep-5, -0x1.b86407d767e41p-5, -0x1.b1d134d0b8ab3p-5, -0x1.ab4fcd5efd32fp-5, -0x1.a4dfcb9e1324ep-5, -0x1.9e81289f9c2b1p-5, -0x1.9833dc71d18b4p-5, -0x1.91f7de26159d3p-5, -0x1.8bcd23d79cd35p-5, -0x1.85b3a2b1f33a8p-5, -0x1.7fab4ef77061ep-5, -0x1.79b41c07a439ap-5, -0x1.73cdfc65a1766p-5, -0x1.6df8e1be479a9p-5, -0x1.6834bcee653dfp-5, -0x1.62817e08d8925p-5, -0x1.5cdf145ca0135p-5, -0x1.574d6e7abfef5p-5, -0x1.51cc7a3c22dd4p-5, -0x1.4c5c24c779e45p-5, -0x1.46fc5a96df9f7p-5, -0x1.41ad077d91aadp-5, -0x1.3c6e16ad6a091p-5, -0x1.373f72bc7aa89p-5, -0x1.322105aa57fcdp-5, -0x1.2d12b8e58721p-5, -0x1.28147550af1bap-5, -0x1.23262347d01e3p-5, -0x1.1e47aaa54a901p-5, -0x1.1978f2c6f53b5p-5, -0x1.14b9e293066fap-5, -0x1.100a607ce6a14p-5, -0x1.0b6a528a0145p-5, -0x1.06d99e5672234p-5, -0x1.02582919a5a68p-5, -0x1.fbcbaf55a923ep-6, -0x1.f3051d0b175dep-6, -0x1.ea5c639c1607ep-6, -0x1.e1d14aaafa92ap-6, -0x1.d963993c8b11ep-6, -0x1.d11315c036f69p-6, -0x1.c8df86183b61bp-6, -0x1.c0c8afa196348p-6, -0x1.b8ce573bdc472p-6, -0x1.b0f04150d807bp-6, -0x1.a92e31dc313f2p-6, -0x1.a187ec72935bep-6, -0x1.99fd344909376p-6, -0x1.928dcc3c0ef83p-6, -0x1.8b3976d64a963p-6, -0x1.83fff6579a383p-6, -0x1.7ce10cbb740dap-6, -0x1.75dc7bbf7dc03p-6, -0x1.6ef204e9e1bf5p-6, -0x1.6821698f6536fp-6, -0x1.616a6ad990523p-6, -0x1.5accc9cc86456p-6, -0x1.5448474ccff99p-6, -0x1.4ddca424f8461p-6, -0x1.4789a10b130e7p-6, -0x1.414efea60aabcp-6, -0x1.3b2c7d92de8ffp-6, -0x1.3521de69cf9c1p-6, -0x1.2f2ee1c3369e4p-6, -0x1.2953483c6779ap-6, -0x1.238ed27c71d2fp-6, -0x1.1de141389e302p-6, -0x1.184a55390fae8p-6, -0x1.12c9cf5cc8199p-6, -0x1.0d5f709e4f426p-6, -0x1.080afa1768461p-6, -0x1.02cc2d05381fp-6, -0x1.fb45959859c31p-7, -0x1.f11d29f73bcb6p-7, -0x1.e71e9aa3102ddp-7, -0x1.dd496b7c0c03ap-7, -0x1.d39d20cd8751ep-7, -0x1.ca193f548ed9fp-7, -0x1.c0bd4c464777cp-7, -0x1.b788cd56203e7p-7, -0x1.ae7b48bbf6823p-7, -0x1.a594453979125p-7, -0x1.9cd34a203b5f4p-7, -0x1.9437df56c5ac3p-7, -0x1.8bc18d5ded06cp-7, -0x1.836fdd55a85c2p-7, -0x1.7b425902264b7p-7, -0x1.73388ad034746p-7, -0x1.6b51fdd9c5bc6p-7, -0x1.638e3dea48b9ap-7, -0x1.5becd782b9284p-7, -0x1.546d57dd85be9p-7, -0x1.4d0f4cf26685dp-7, -0x1.45d24579eecd7p-7, -0x1.3eb5d0f0ea0f3p-7, -0x1.37b97f9be864ep-7, -0x1.30dce289e9f47p-7, -0x1.2a1f8b97f53f7p-7, -0x1.23810d733facap-7, -0x1.1d00fb9c87531p-7, -0x1.169eea6a08b51p-7, -0x1.105a6f0a59bd9p-7, -0x1.0a331f8661973p-7, -0x1.042892c3a464dp-7, -0x1.fc74c10c4c3fep-8, -0x1.f0d042e4e26e7p-8, -0x1.e562de1e3d04ap-8, -0x1.da2bc78d7bcc4p-8, -0x1.cf2a35d21b48cp-8, -0x1.c45d615944cccp-8, -0x1.b9c4845fe4ff8p-8, -0x1.af5edaf564836p-8, -0x1.a52ba2fd5da78p-8, -0x1.9b2a1c3217b19p-8, -0x1.915988256e856p-8, -0x1.87b92a432fd0cp-8, -0x1.7e4847d1a2ff2p-8, -0x1.750627f32b373p-8, -0x1.6bf213a705eap-8, -0x1.630b55c9f7ee2p-8, -0x1.5a513b16dc352p-8, -0x1.51c3122739d21p-8, -0x1.49602b73374efp-8, -0x1.4127d951db22p-8, -0x1.39196ff8dfc4ap-8, -0x1.3134457c75c6bp-8, -0x1.2977b1ceda41p-8, -0x1.21e30ebff2e8cp-8, -0x1.1a75b7fc52fc7p-8, -0x1.132f0b0c8c77ap-8, -0x1.0c0e675462514p-8, -0x1.05132e117d77ap-8, -0x1.fc7984b484e76p-9, -0x1.ef1512394f376p-9, -0x1.e1f7d238df3d7p-9, -0x1.d52095e40750ep-9, -0x1.c88e3210e3fp-9, -0x1.bc3f7f379df69p-9, -0x1.b033596ebd5cfp-9, -0x1.a468a06762a27p-9, -0x1.98de37684a082p-9, -0x1.8d93054a8dc6dp-9, -0x1.8285f474a9da2p-9, -0x1.77b5f2d5a7339p-9, -0x1.6d21f1e0e99e4p-9, -0x1.62c8e68887d72p-9, -0x1.58a9c938c22f3p-9, -0x1.4ec395d2396c4p-9, -0x1.45154ba5253e7p-9, -0x1.3b9ded6b1458ap-9, -0x1.325c8141df581p-9, -0x1.295010a5b56c5p-9, -0x1.2077a86aef043p-9, -0x1.17d258b8bed72p-9, -0x1.0f5f350272344p-9, -0x1.071d54016845ep-9, -0x1.fe179f5dc4fb3p-10, -0x1.ee538a7b7636p-10, -0x1.deecaa2758773p-10, -0x1.cfe145861c85fp-10, -0x1.c12faa084496dp-10, -0x1.b2d62b5bf9c5ep-10, -0x1.a4d3236117e42p-10, -0x1.9724f21a4a4c5p-10, -0x1.89c9fd9fad25dp-10, -0x1.7cc0b2113d1efp-10, -0x1.700781892f80fp-10, -0x1.639ce40ced3dbp-10, -0x1.577f577f68c3ep-10, -0x1.4bad5f9374f32p-10, -0x1.402585bc9440dp-10, -0x1.34e65921c5e41p-10, -0x1.29ee6e8e35744p-10, -0x1.1f3c60633b2b4p-10, -0x1.14cece8a1659fp-10, -0x1.0aa45e6526625p-10, -0x1.00bbbac13c765p-10, -0x1.ee27278fa0dep-11, -0x1.db553dde6e896p-11, -0x1.c8ff2ddbd7b6ep-11, -0x1.b72277542646ep-11, -0x1.a5bca45840947p-11, -0x1.94cb491f0108bp-11, -0x1.844c03e97e3bfp-11, -0x1.743c7ce57f29fp-11, -0x1.649a661095ceap-11, -0x1.55637b1aad062p-11, -0x1.46958148a7fd3p-11, -0x1.382e47590fe06p-11, -0x1.2a2ba5664e6afp-11, -0x1.1c8b7cc9cafdfp-11, -0x1.0f4bb7ff5e68bp-11, -0x1.026a4a8a6bc78p-11, -0x1.ebca61ad1481ap-12, -0x1.d374e03a84fep-12, -0x1.bbd02c93c0bf6p-12, -0x1.a4d873b85003dp-12, -0x1.8e89f39aa899p-12, -0x1.78e0fae984464p-12, -0x1.63d9e8d55c79ep-12, -0x1.4f712cdc2bf21p-12, -0x1.3ba346910cb38p-12, -0x1.286cc567aae27p-12, -0x1.15ca487b19dcap-12, -0x1.03b87e5bf5dfp-12, -0x1.e46849aea3c9fp-13, -0x1.c274118a00f82p-13, -0x1.a18e0b9fab525p-13, -0x1.81b00c860dcc1p-13, -0x1.62d405ac35748p-13, -0x1.44f404eee2c83p-13, -0x1.280a3438bbfd5p-13, -0x1.0c10d917962ddp-13, -0x1.e204a8b0e126bp-14, -0x1.adb2434ad0554p-14, -0x1.7b1fae3f1425fp-14, -0x1.4a4249fd285cfp-14, -0x1.1b0faa5a2e327p-14, -0x1.dafb2bafd4fa3p-15, -0x1.830409b77408bp-15, -0x1.2e2641ecb393ep-15, -0x1.b89d108c74af4p-16, -0x1.1ad3e043ebe82p-16, -0x1.0597ab4b6e607p-17, 0x1.f3ee75b49466dp-21, 0x1.392353c15d4ep-17, 0x1.242dc7aa9bf8ap-16, 0x1.a6961733c1dfap-16, 0x1.11f61a5cbf23ep-15, 0x1.4e2888b1dbadp-15, 0x1.87f27aecec469p-15, 0x1.bf63c282a6007p-15, 0x1.f48bdf5178969p-15, 0x1.13bd007d49b31p-14, 0x1.2c1e840b1431p-14, 0x1.4371c3cc09958p-14, 0x1.59bde2fcd9aa3p-14, 0x1.6f09df450232fp-14, 0x1.835c914da130bp-14, 0x1.96bcad6797f96p-14, 0x1.a930c418fd0f9p-14, 0x1.babf42beea14fp-14, 0x1.cb6e741f733cfp-14, 0x1.db448103fdbcep-14, 0x1.ea4770c68668p-14, 0x1.f87d29e40c3e2p-14, 0x1.02f5b9489683bp-13, 0x1.094bf8a0217c8p-13, 0x1.0f441698bf4bbp-13, 0x1.14e0c77f11e6cp-13, 0x1.1a24b08dca2b6p-13, 0x1.1f12683587c77p-13, 0x1.23ac7659b078cp-13, 0x1.27f55498a105dp-13, 0x1.2bef6e85b3038p-13, 0x1.2f9d21ed9b9f2p-13, 0x1.3300bf12d1609p-13, 0x1.361c88ee1f142p-13, 0x1.38f2b569fb55p-13, 0x1.3b856da01225p-13, 0x1.3dd6ce1531fc6p-13, 0x1.3fe8e6f372e2cp-13, 0x1.41bdbc4388f73p-13, 0x1.435746287b744p-13, 0x1.44b77113f2cadp-13, 0x1.45e01e01688acp-13, 0x1.46d322ac1dbabp-13, 0x1.479249c506602p-13, 0x1.481f53267cad4p-13, 0x1.487bf40a757eep-13, 0x1.48a9d73ee4fbp-13, 0x1.48aa9d5675088p-13, 0x1.487fdcd9245bcp-13, 0x1.482b227bfaa92p-13, 0x1.47adf14bd9816p-13, 0x1.4709c2df65ee8p-13, 0x1.46400786ba9cbp-13, 0x1.45522679aa848p-13, 0x1.44417e04271a4p-13, 0x1.430f63b49c30dp-13, 0x1.41bd24879bb5ep-13, 0x1.404c05149c268p-13, 0x1.3ebd41b74b83ep-13, 0x1.3d120ebb5614dp-13, 0x1.3b4b98848c83ep-13, 0x1.396b03ba43f1dp-13, 0x1.37716d6bced33p-13, 0x1.355feb3aff6f5p-13, 0x1.33378b81f7ea2p-13, 0x1.30f9557acb12fp-13, 0x1.2ea64963660a9p-13, 0x1.2c3f60a39bbf2p-13, 0x1.29c58df16256cp-13, 0x1.2739bd7534a0cp-13, 0x1.249cd4ed517f9p-13, 0x1.21efb3cde3967p-13, 0x1.1f333366ca1e5p-13, 0x1.1c6827029589ep-13, 0x1.198f5c08b7d0ep-13, 0x1.16a99a1d21688p-13, 0x1.13b7a33ffa272p-13, 0x1.10ba33eea2ebdp-13, 0x1.0db2033f4fc3fp-13, 0x1.0a9fc3019ac8ep-13, 0x1.07841fda5c6c2p-13, 0x1.045fc162a1cdp-13, 0x1.01334a431ba29p-13, 0x1.fbfeb0a0a301bp-14, 0x1.f589094da139ap-14, 0x1.ef06c78993e21p-14, 0x1.e8790b4e4f2e9p-14, 0x1.e1e0ebc0b1189p-14, 0x1.db3f7768592c5p-14, 0x1.d495b46161827p-14, 0x1.cde4a08d488e8p-14, 0x1.c72d31c32fcb8p-14, 0x1.c07055ff8a49bp-14, 0x1.b9aef39350bdfp-14, 0x1.b2e9e9512958bp-14, 0x1.ac220ebac20d5p-14, 0x1.a558342ce697ap-14, 0x1.9e8d230904cc9p-14, 0x1.97c19de1ba0eap-14, 0x1.90f660a5ae6f5p-14, 0x1.8a2c20c3bc4dp-14, 0x1.83638d575148fp-14, 0x1.7c9d4f4e67354p-14, 0x1.75da098f7cd4dp-14, 0x1.6f1a591f03e53p-14, 0x1.685ed54533dbfp-14, 0x1.61a80fb16be66p-14, 0x1.5af6949f94e1dp-14, 0x1.544aeaf7e3418p-14, 0x1.4da59475350bfp-14, 0x1.47070dc1b38e1p-14, 0x1.406fce9c4022p-14, 0x1.39e049f5e596cp-14, 0x1.3358ee1023914p-14, 0x1.2cda249e978ep-14, 0x1.266452e374108p-14, 0x1.1ff7d9ce0b6d5p-14, 0x1.19951617220b4p-14, 0x1.133c605e784adp-14, 0x1.0cee0d43a3c4ep-14, 0x1.06aa6d8541f99p-14, 0x1.0071ce18eec1dp-14, 0x1.f488f08a497cep-15, 0x1.e8456378eef4p-15, 0x1.dc197969836c6p-15, 0x1.d005b0038774bp-15, 0x1.c40a7e5480bbap-15, 0x1.b8285504fcaaep-15, 0x1.ac5f9e812c274p-15, 0x1.a0b0bf28b22fcp-15, 0x1.951c15793a8a1p-15, 0x1.89a1fa38d611ap-15, 0x1.7e42c0a121253p-15, 0x1.72feb68847e28p-15, 0x1.67d62487bc975p-15, 0x1.5cc94e2566dc9p-15, 0x1.51d871f8ef381p-15, 0x1.4703c9cfc2855p-15, 0x1.3c4b8ad58eb8dp-15, 0x1.31afe5b5795p-15, 0x1.273106bb55c0bp-15, 0x1.1ccf15f7f48aap-15, 0x1.128a3763a465fp-15, 0x1.08628afcf3a26p-15, 0x1.fcb059d21efeep-16, 0x1.e8d66b278d206p-16, 0x1.d537739a34c32p-16, 0x1.c1d395cc6a3f8p-16, 0x1.aeaaeda2ec20dp-16, 0x1.9bbd9074d3feep-16, 0x1.890b8d496efc8p-16, 0x1.7694ed09a49b9p-16, 0x1.6459b2ba239a4p-16, 0x1.5259dbaa77be1p-16, 0x1.40955fa7919bbp-16, 0x1.2f0c31305c638p-16, 0x1.1dbe3da220a4ap-16, 0x1.0cab6d66a0c6ap-16, 0x1.f7a748467bed5p-17, 0x1.d66d81c682bbep-17, 0x1.b5a93c8b32fadp-17, 0x1.955a254d8e50ep-17, 0x1.757fe09062cfdp-17, 0x1.561a0af269097p-17, 0x1.3728397d42979p-17, 0x1.18a9f9f006907p-17, 0x1.f53da61329d1bp-18, 0x1.ba0c89a756317p-18, 0x1.7fbf91c6a554ep-18, 0x1.4655a53d435b2p-18, 0x1.0dcd9f0942364p-18, 0x1.ac4c9dab87888p-19, 0x1.3ebcf2f1dc483p-19, 0x1.a5d365b9d2beap-20, 0x1.a340fa89627a8p-21, 0x1.b7927621dab1p-29, -0x1.99007b0b97922p-21, -0x1.96794063a5917p-20, -0x1.2e8a84a209c46p-19, -0x1.902cc07f60626p-19, -0x1.f02656db90068p-19, -0x1.273d2c5150246p-18, -0x1.5595f1f3d5349p-18, -0x1.831f1193dc301p-18, -0x1.afda2644b8199p-18, -0x1.dbc8d09b41943p-18, -0x1.03765b2b23bfdp-17, -0x1.18a3c1083e1b2p-17, -0x1.2d6d71785aa9ep-17, -0x1.41d44628c383ep-17, -0x1.55d91abf76c6bp-17, -0x1.697cccb4c71d9p-17, -0x1.7cc03b2f1319bp-17, -0x1.8fa446dfae109p-17, -0x1.a229d1e1e2865p-17, -0x1.b451bf9b251d4p-17, -0x1.c61cf49a97b24p-17, -0x1.d78c567bf2ee4p-17, -0x1.e8a0cbc92a248p-17, -0x1.f95b3bdc17d68p-17, -0x1.04de47625591cp-16, -0x1.0ce2d6972a0d6p-16, -0x1.14bbc0223b5e7p-16, -0x1.1c6978cca4d6dp-16, -0x1.23ec75873863bp-16, -0x1.2b452b5efc1dfp-16, -0x1.32740f70ba107p-16, }}, 
      {{-0x1.c65688cd9d4ap-1, -0x1.c640beccaf4ecp-1, -0x1.c61c7fa27d904p-1, -0x1.c5e9e5d23723ap-1, -0x1.c5a912d10862dp-1, -0x1.c55a2865c2ee7p-1, -0x1.c4fd4196e4209p-1, -0x1.c4926d21cb9c7p-1, -0x1.c419aa4b405ap-1, -0x1.c392e7e2f80e9p-1, -0x1.c2fe04d160e99p-1, -0x1.c25ad16bb0837p-1, -0x1.c1a910f042276p-1, -0x1.c0e87ace74e7cp-1, -0x1.c018bb9ccab0fp-1, -0x1.bf3975ce206bap-1, -0x1.be4a424ed2426p-1, -0x1.bd4ab1370f225p-1, -0x1.bc3a4ab69b581p-1, -0x1.bb18904e99572p-1, -0x1.b9e4fe5cf9c34p-1, -0x1.b89f0deec1f09p-1, -0x1.b74636c441883p-1, -0x1.b5d9f16d04bc3p-1, -0x1.b459b9606217p-1, -0x1.b2c50ef9e0c61p-1, -0x1.b11b794555853p-1, -0x1.af5c878c3deb5p-1, -0x1.ad87d29bd3c6ep-1, -0x1.ab9cfdc0cf30ap-1, -0x1.a99bb77a713a5p-1, -0x1.a783b9ea04cadp-1, -0x1.a554cb068406ap-1, -0x1.a30ebc9d79b63p-1, -0x1.a0b16c2aca1b4p-1, -0x1.9e3cc290d88ccp-1, -0x1.9bb0b3b9d3039p-1, -0x1.990d3e29d8c63p-1, -0x1.96526a886f021p-1, -0x1.93804b266424p-1, -0x1.9096fb8403744p-1, -0x1.8d969fda3abdfp-1, -0x1.8a7f64a866134p-1, -0x1.87517e4789ca8p-1, -0x1.840d288329527p-1, -0x1.80b2a6376ad34p-1, -0x1.7d4240f3e4e0bp-1, -0x1.79bc48a24d794p-1, -0x1.762113302b1e5p-1, -0x1.7270fc3ab9175p-1, -0x1.6eac64bc3f583p-1, -0x1.6ad3b2ba48f1dp-1, -0x1.66e750f449575p-1, -0x1.62e7ae926ac29p-1, -0x1.5ed53ed46c6dap-1, -0x1.5ab078c0973bp-1, -0x1.5679d6d2f3e4ep-1, -0x1.5231d6ad04e5cp-1, -0x1.4dd8f8c659a43p-1, -0x1.496fc01e58578p-1, -0x1.44f6b1efa9141p-1, -0x1.406e5565a7cfep-1, -0x1.3bd733543ad45p-1, -0x1.3731d5f26d0ep-1, -0x1.327ec89815ac7p-1, -0x1.2dbe977ecd483p-1, -0x1.28f1cf86643c1p-1, -0x1.2418fdfcfbd7cp-1, -0x1.1f34b06ad2b0ap-1, -0x1.1a457461cbfb9p-1, -0x1.154bd750a680fp-1, -0x1.10486659d040fp-1, -0x1.0b3bae2db47a1p-1, -0x1.06263ae85e076p-1, -0x1.010897f23c9bdp-1, -0x1.f7c69fc7b1783p-2, -0x1.ed6dd8d87cca9p-2, -0x1.e307ec73c1272p-2, -0x1.d895e9cb7b9f6p-2, -0x1.ce18ddc10b88dp-2, -0x1.c391d2c313f76p-2, -0x1.b901d0ae819fbp-2, -0x1.ae69dcb2479d2p-2, -0x1.a3caf9357c06ep-2, -0x1.992625bf72b23p-2, -0x1.8e7c5ee188b86p-2, -0x1.83ce9e225de86p-2, -0x1.791dd9ea37f74p-2, -0x1.6e6b057061b2ep-2, -0x1.63b710a954f4dp-2, -0x1.5902e83591dd5p-2, -0x1.4e4f755102cb7p-2, -0x1.439d9dc2dccbdp-2, -0x1.38ee43cdeedc8p-2, -0x1.2e42462156c8bp-2, -0x1.239a7fc999da9p-2, -0x1.18f7c82225587p-2, -0x1.0e5af2c73c84cp-2, -0x1.03c4cf8856c45p-2, -0x1.f26c54b60c37bp-3, -0x1.dd5f969cc5dfep-3, -0x1.c864ecfe317a4p-3, -0x1.b37dd81838461p-3, -0x1.9eabd01830ab2p-3, -0x1.89f045074cdap-3, -0x1.754c9eb8b78cap-3, -0x1.60c23cb97242bp-3, -0x1.4c52764216656p-3, -0x1.37fe9a2a8d8ddp-3, -0x1.23c7eedfce20dp-3, -0x1.0fafb25baeb78p-3, -0x1.f76e343dbcd1p-4, -0x1.cfbea65a10336p-4, -0x1.a853041648be3p-4, -0x1.812d858002957p-4, -0x1.5a5051ade67e2p-4, -0x1.33bd7ec96d304p-4, -0x1.0d77121ce019dp-4, -0x1.cefe004b1fa6cp-5, -0x1.83ae595414319p-5, -0x1.3902d5a8afc75p-5, -0x1.ddfdf53fd360bp-6, -0x1.4b4c59adceccdp-6, -0x1.73eec1ec69d46p-7, -0x1.502a99af4c632p-9, 0x1.920f1c19f7b13p-8, 0x1.e33c48133543cp-7, 0x1.7d4438316cc97p-6, 0x1.03b85a90f7525p-5, 0x1.480f44774a29dp-5, 0x1.8ba46e9dee4d2p-5, 0x1.ce758b2cdba22p-5, 0x1.08403495e6442p-4, 0x1.28e17a04c9829p-4, 0x1.491d99908a52cp-4, 0x1.68f3a49e2e4c4p-4, 0x1.8862ba0b12ec2p-4, 0x1.a76a05ed2185cp-4, 0x1.c608c15298c5bp-4, 0x1.e43e32019e9c5p-4, 0x1.0104d51bdbe2ep-3, 0x1.0fb54434b183fp-3, 0x1.1e301b80e8bb7p-3, 0x1.2c7516119155dp-3, 0x1.3a83f4b372ca9p-3, 0x1.485c7dcfae489p-3, 0x1.55fe7d4ca8e25p-3, 0x1.6369c46f610bp-3, 0x1.709e29bd27784p-3, 0x1.7d9b88dddbf55p-3, 0x1.8a61c27e9bae1p-3, 0x1.96f0bc34f7d15p-3, 0x1.a3486062bb933p-3, 0x1.af689e1a39a56p-3, 0x1.bb5169032f37bp-3, 0x1.c702b9403e44p-3, 0x1.d27c8b54f81b7p-3, 0x1.ddbee00c8647ep-3, 0x1.e8c9bc60e4907p-3, 0x1.f39d2962ba336p-3, 0x1.fe393421bb76ep-3, 0x1.044ef6cad6897p-2, 0x1.0965b543f5c62p-2, 0x1.0e60e1bec72p-2, 0x1.13408a5101084p-2, 0x1.1804bed920c2p-2, 0x1.1cad90f43c1a3p-2, 0x1.213b13f41b404p-2, 0x1.25ad5cd589981p-2, 0x1.2a048236e2cd1p-2, 0x1.2e409c4ed74fdp-2, 0x1.3261c4e364b8ap-2, 0x1.3668174101a02p-2, 0x1.3a53b031f885fp-2, 0x1.3e24adf5f0e61p-2, 0x1.41db30399f01fp-2, 0x1.4577580ea0857p-2, 0x1.48f947e37a288p-2, 0x1.4c61237bbab2dp-2, 0x1.4faf0fe83a957p-2, 0x1.52e3337f7e43dp-2, 0x1.55fdb5d62e899p-2, 0x1.58febfb7af395p-2, 0x1.5be67b1ec8544p-2, 0x1.5eb5132e67625p-2, 0x1.616ab42a71f0dp-2, 0x1.64078b70aa1a1p-2, 0x1.668bc771a2e19p-2, 0x1.68f797a9c0708p-2, 0x1.6b4b2c9a4a5a4p-2, 0x1.6d86b7c27ec23p-2, 0x1.6faa6b98ba2d1p-2, 0x1.71b67b83a0a47p-2, 0x1.73ab1bd351d86p-2, 0x1.758881baa2184p-2, 0x1.774ee3485902bp-2, 0x1.78fe776078912p-2, 0x1.7a9775b582609p-2, 0x1.7c1a16c1c788ep-2, 0x1.7d8693c0b792ep-2, 0x1.7edd26a833d42p-2, 0x1.801e0a21e64f7p-2, 0x1.814979849b392p-2, 0x1.825fb0cd9bcdp-2, 0x1.8360ec9a0edbdp-2, 0x1.844d6a205877bp-2, 0x1.852567297f584p-2, 0x1.85e9220a9552cp-2, 0x1.8698d99e20431p-2, 0x1.8734cd3d8ca12p-2, 0x1.87bd3cba9d03p-2, 0x1.88326858e50d6p-2, 0x1.889490c74464fp-2, 0x1.88e3f7196a6b1p-2, 0x1.8920dcc15f41ap-2, 0x1.894b83891367bp-2, 0x1.89642d8bf57e8p-2, 0x1.896b1d30929ccp-2, 0x1.896095223efccp-2, 0x1.8944d84ac5b44p-2, 0x1.891829cc24bcep-2, 0x1.88daccfa50e6ep-2, 0x1.888d05550cb59p-2, 0x1.882f1681becacp-2, 0x1.87c1444563979p-2, 0x1.8743d27e80ce6p-2, 0x1.86b7051f2d115p-2, 0x1.861b20272704p-2, 0x1.8570679df91fcp-2, 0x1.84b71f8d2fff7p-2, 0x1.83ef8bfaa0812p-2, 0x1.8319f0e2c1b25p-2, 0x1.8236923316914p-2, 0x1.8145b3c4ac097p-2, 0x1.80479956ab9bap-2, 0x1.7f3c8688ff9ep-2, 0x1.7e24bed70ecb1p-2, 0x1.7d0085928d5d8p-2, 0x1.7bd01dde5fc41p-2, 0x1.7a93caa9990a4p-2, 0x1.794bceaa8e5d3p-2, 0x1.77f86c59ff3ccp-2, 0x1.7699e5ee59615p-2, 0x1.75307d57114d9p-2, 0x1.73bc743817061p-2, 0x1.723e0be55f744p-2, 0x1.70b5855e8ad0cp-2, 0x1.6f23214aa1ec1p-2, 0x1.6d871ff3eebc2p-2, 0x1.6be1c143edfb3p-2, 0x1.6a3344bf5b2a7p-2, 0x1.687be982592a9p-2, 0x1.66bbee3cb0617p-2, 0x1.64f3912e2d6bep-2, 0x1.63231023171dap-2, 0x1.614aa870c118dp-2, 0x1.5f6a96f237e7p-2, 0x1.5d8318050856ep-2, 0x1.5b9467862532dp-2, 0x1.599ec0cee4b73p-2, 0x1.57a25eb2171a4p-2, 0x1.559f7b793fd2ep-2, 0x1.539650e1e1c86p-2, 0x1.5187181aec0e3p-2, 0x1.4f7209c23c2c5p-2, 0x1.4d575de240f39p-2, 0x1.4b374befb5821p-2, 0x1.49120ac772457p-2, 0x1.46e7d0ac612c5p-2, 0x1.44b8d34583df9p-2, 0x1.4285479c17735p-2, 0x1.404d6219d20b2p-2, 0x1.3e115687383d7p-2, 0x1.3bd1580a0c6a1p-2, 0x1.398d9923d803dp-2, 0x1.37464bb08a664p-2, 0x1.34fba0e53361ap-2, 0x1.32adc94ed433fp-2, 0x1.305cf4d147617p-2, 0x1.2e0952a6427f6p-2, 0x1.2bb3115c6bc99p-2, 0x1.295a5ed6893a7p-2, 0x1.26ff684ac44e1p-2, 0x1.24a25a4203c37p-2, 0x1.224360975cacap-2, 0x1.1fe2a6779749cp-2, 0x1.1d805660c9705p-2, 0x1.1b1c9a2202fb9p-2, 0x1.18b79adb142edp-2, 0x1.165180fc614a1p-2, 0x1.13ea7446cd6dbp-2, 0x1.11829bcbb8675p-2, 0x1.0f1a1ded0b02bp-2, 0x1.0cb1205d5bfacp-2, 0x1.0a47c820205afp-2, 0x1.07de3989f39fbp-2, 0x1.05749840e7519p-2, 0x1.030b073cef35dp-2, 0x1.00a1a8c85337ep-2, 0x1.fc713d006cdbcp-3, 0x1.f7a012aa58624p-3, 0x1.f2d01317b6916p-3, 0x1.ee017d7b62b46p-3, 0x1.e9348fb342b2dp-3, 0x1.e4698649e55bep-3, 0x1.dfa09c783b15ep-3, 0x1.dada0c275d816p-3, 0x1.d6160df282364p-3, 0x1.d154d928f48a5p-3, 0x1.cc96a3d02fe3p-3, 0x1.c7dba2a60b9fcp-3, 0x1.c324092304eb7p-3, 0x1.be70097c9079p-3, 0x1.b9bfd4a78dacdp-3, 0x1.b5139a5ac0cf3p-3, 0x1.b06b891169657p-3, 0x1.abc7ce0dea216p-3, 0x1.a728955c7619p-3, 0x1.a28e09d5df6a5p-3, 0x1.9df8552267a1ap-3, 0x1.99679fbca53cbp-3, 0x1.94dc10f47ac48p-3, 0x1.9055cef2116cdp-3, 0x1.8bd4feb8ea918p-3, 0x1.8759c42af67b8p-3, 0x1.82e4420bbcbd6p-3, 0x1.7e749a0388f54p-3, 0x1.7a0aeca2a683ap-3, 0x1.75a75964a34acp-3, 0x1.7149feb39fa06p-3, 0x1.6cf2f9eb9f206p-3, 0x1.68a2675de7926p-3, 0x1.6458625466d89p-3, 0x1.6015051519c03p-3, 0x1.5bd868e580e43p-3, 0x1.57a2a60e13ce5p-3, 0x1.5373d3ddbf86ep-3, 0x1.4f4c08ad61a05p-3, 0x1.4b2b59e34f92cp-3, 0x1.4711dbf6dfda7p-3, 0x1.42ffa273ec0c7p-3, 0x1.3ef4bffe66454p-3, 0x1.3af14655e084cp-3, 0x1.36f54659221dp-3, 0x1.3300d009b373dp-3, 0x1.2f13f28f73717p-3, 0x1.2b2ebc3c27a87p-3, 0x1.27513a8f0d5e5p-3, 0x1.237b7a386b75ap-3, 0x1.1fad871d21b46p-3, 0x1.1be76c5a37294p-3, 0x1.1829344867afep-3, 0x1.1472e87faa6b5p-3, 0x1.10c491dac10cap-3, 0x1.0d1e387ab581ap-3, 0x1.097fe3ca606fcp-3, 0x1.05e99a81e5205p-3, 0x1.025b62aa2e4e6p-3, 0x1.fdaa8340c6134p-4, 0x1.f6ae7832b570fp-4, 0x1.efc2ac4a0b54ep-4, 0x1.e8e72663bced1p-4, 0x1.e21bec2085713p-4, 0x1.db6101ebb2006p-4, 0x1.d4b66b01cc12bp-4, 0x1.ce1c29773ce0ap-4, 0x1.c7923e3ee9c15p-4, 0x1.c118a930b9aa7p-4, 0x1.baaf6910172aep-4, 0x1.b4567b9262907p-4, 0x1.ae0ddd6554383p-4, 0x1.a7d58a354b84fp-4, 0x1.a1ad7cb39a511p-4, 0x1.9b95ae9cc40f9p-4, 0x1.958e18be911f6p-4, 0x1.8f96b2fe3b46cp-4, 0x1.89af745e6b091p-4, 0x1.83d8530534755p-4, 0x1.7e114441fd704p-4, 0x1.785a3c93588f1p-4, 0x1.72b32facc85f4p-4, 0x1.6d1c107c77c62p-4, 0x1.6794d130dd716p-4, 0x1.621d633e51bb6p-4, 0x1.5cb5b7648e65ap-4, 0x1.575dbdb421209p-4, 0x1.52156593c654ap-4, 0x1.4cdc9dc5bb787p-4, 0x1.47b3546cf5425p-4, 0x1.429977124d3a2p-4, 0x1.3d8ef2a991bdbp-4, 0x1.3893b3968efb5p-4, 0x1.33a7a5b1fef1dp-4, 0x1.2ecab44e6a7b8p-4, 0x1.29fcca3cf4b7p-4, 0x1.253dd1d214d72p-4, 0x1.208db4ea41001p-4, 0x1.1bec5cee81ea6p-4, 0x1.1759b2d8f6b22p-4, 0x1.12d59f3941122p-4, 0x1.0e600a38ecb2ep-4, 0x1.09f8db9fae89ep-4, 0x1.059ffad7a6afbp-4, 0x1.01554ef185892p-4, 0x1.fa317d51396a3p-5, 0x1.f1d460cdc31bap-5, 0x1.e9931491ba61ep-5, 0x1.e16d64431856fp-5, 0x1.d9631afc48ed2p-5, 0x1.d1740353a5aa7p-5, 0x1.c99fe762c030dp-5, 0x1.c1e690cd872p-5, 0x1.ba47c8c95581cp-5, 0x1.b2c35823d25bbp-5, 0x1.ab590749acb81p-5, 0x1.a4089e4d3da52p-5, 0x1.9cd1e4ed02189p-5, 0x1.95b4a299eaf3dp-5, 0x1.8eb09e7d9de81p-5, 0x1.87c59f8080847p-5, 0x1.80f36c4fac0c1p-5, 0x1.7a39cb62be1c7p-5, 0x1.7398830189a9cp-5, 0x1.6d0f59499d682p-5, 0x1.669e1433bfa6fp-5, 0x1.604479992ad75p-5, 0x1.5a024f38cac61p-5, 0x1.53d75abc3bea1p-5, 0x1.4dc361bcc9fd5p-5, 0x1.47c629c82d7f9p-5, 0x1.41df78654d719p-5, 0x1.3c0f1318c7b61p-5, 0x1.3654bf6967281p-5, 0x1.30b042e482d16p-5, 0x1.2b2163222a776p-5, 0x1.25a7e5c9510b6p-5, 0x1.20439093bf295p-5, 0x1.1af429520c45bp-5, 0x1.15b975ef4b824p-5, 0x1.10933c74d5b6bp-5, 0x1.0b81430dc44e5p-5, 0x1.0683500a74f2dp-5, 0x1.019929e3e5cdep-5, 0x1.f9852e7de9e2ap-6, 0x1.effebddf1fd46p-6, 0x1.e69e8ff770cd6p-6, 0x1.dd64333d0ccb9p-6, 0x1.d44f369616e0fp-6, 0x1.cb5f295e14645p-6, 0x1.c2939b6b5b6dap-6, 0x1.b9ec1d1453956p-6, 0x1.b1683f345597ap-6, 0x1.a9079330a2304p-6, 0x1.a0c9aafcf7db1p-6, 0x1.98ae19200c6e1p-6, 0x1.90b470b7f197cp-6, 0x1.88dc457e27083p-6, 0x1.81252bcba915ap-6, 0x1.798eb89cc444fp-6, 0x1.72188194b4bf5p-6, 0x1.6ac21d014513fp-6, 0x1.638b21de19f09p-6, 0x1.5c7327d7f7851p-6, 0x1.5579c74fd0b76p-6, 0x1.4e9e995dbd02dp-6, 0x1.47e137d3c41e7p-6, 0x1.41413d4085cp-6, 0x1.3abe44f1cadacp-6, 0x1.3457eaf6dc75ap-6, 0x1.2e0dcc22e0d74p-6, 0x1.27df860ee4f49p-6, 0x1.21ccb71bfdcc8p-6, 0x1.1bd4fe751dc4p-6, 0x1.15f7fc10e94ddp-6, 0x1.103550b35834p-6, 0x1.0a8c9def54c4bp-6, 0x1.04fd862816094p-6, 0x1.ff0f59252974ap-7, 0x1.f4556a6d6ca21p-7, 0x1.e9cc89e0d6db8p-7, 0x1.df7402e198444p-7, 0x1.d54b227dd618bp-7, 0x1.cb513771a11d2p-7, 0x1.c185922837e77p-7, 0x1.b7e784bd681fdp-7, 0x1.ae7662fecb292p-7, 0x1.a531826caa1fdp-7, 0x1.9c183a3ab637ap-7, 0x1.9329e350d1fcap-7, 0x1.8a65d84b76a82p-7, 0x1.81cb757bfeb7dp-7, 0x1.795a18e8d8981p-7, 0x1.7111224daf749p-7, 0x1.68eff31b0b846p-7, 0x1.60f5ee76428f1p-7, 0x1.59227938fc134p-7, 0x1.5174f9f0b1345p-7, 0x1.49ecd8de14bb6p-7, 0x1.42897ff439a6ep-7, 0x1.3b4a5ad7c2bbbp-7, 0x1.342ed6ddbe7dcp-7, 0x1.2d36630abf404p-7, 0x1.266070116bf6ap-7, 0x1.1fac70515e255p-7, 0x1.1919d7d57f9bep-7, 0x1.12a81c52a4fc5p-7, 0x1.0c56b525fc106p-7, 0x1.06251b53258a7p-7, 0x1.0012c9828d1eap-7, 0x1.f43e77ff099f1p-8, 0x1.e893e16c6f661p-8, 0x1.dd24ce63635dap-8, 0x1.d1f041337ec25p-8, 0x1.c6f53f6151342p-8, 0x1.bc32d1a226288p-8, 0x1.b1a803d6fb32ep-8, 0x1.a753e507f77fp-8, 0x1.9d35875f87d0dp-8, 0x1.934c00250e6e2p-8, 0x1.899667b81d84bp-8, 0x1.8013d98aff1bbp-8, 0x1.76c3741d48479p-8, 0x1.6da458f6a2f93p-8, 0x1.64b5aca0fc24cp-8, 0x1.5bf696a31c06cp-8, 0x1.5366417ae2ee3p-8, 0x1.4b03da974d2b2p-8, 0x1.42ce9252d7d0cp-8, 0x1.3ac59bed7498fp-8, 0x1.32e82d866e4c2p-8, 0x1.2b35801661257p-8, 0x1.23accf6942222p-8, 0x1.1c4d5a181bb93p-8, 0x1.15166182a2e37p-8, 0x1.0e0729c93c2a2p-8, 0x1.071ef9c64347p-8, 0x1.005d1b0841bd4p-8, 0x1.f381b395bdde7p-9, 0x1.e69309e214aaap-9, 0x1.d9ecdbfc04307p-9, 0x1.cd8dd21e58fddp-9, 0x1.c17499aafe2a5p-9, 0x1.b59fe51dd1d4cp-9, 0x1.aa0e6bff75b11p-9, 0x1.9ebeead874068p-9, 0x1.93b02323c1fd5p-9, 0x1.88e0db41d5f9fp-9, 0x1.7e4fde6b66272p-9, 0x1.73fbfca4119aep-9, 0x1.69e40aad4d098p-9, 0x1.6006e1f9196ep-9, 0x1.5663609ce4ea7p-9, 0x1.4cf8694426fa8p-9, 0x1.43c4e323aa9a1p-9, 0x1.3ac7b9eb94b8dp-9, 0x1.31ffddbb4ed18p-9, 0x1.296c431368362p-9, 0x1.210be2c93417bp-9, 0x1.18ddb9f951743p-9, 0x1.10e0c9fb034ffp-9, 0x1.09141852ff92cp-9, 0x1.0176aea656a9ap-9, 0x1.f40f355bebf16p-10, 0x1.e58bdc5314d85p-10, 0x1.d7617da5dd4cp-10, 0x1.c98e4ca296f7p-10, 0x1.bc10845903441p-10, 0x1.aee667811152fp-10, 0x1.a20e4061cd778p-10, 0x1.958660b86cde9p-10, 0x1.894d219f809aep-10, 0x1.7d60e37679c29p-10, 0x1.71c00dc8eb1efp-10, 0x1.66690f363ff49p-10, 0x1.5b5a5d59b1d7ep-10, 0x1.509274b213b94p-10, 0x1.460fd889cc3a8p-10, 0x1.3bd112df6da54p-10, 0x1.31d4b44ded0c9p-10, 0x1.281953f5698cep-10, 0x1.1e9d8f63c321ap-10, 0x1.15600a7daf94bp-10, 0x1.0c5f6f684485fp-10, 0x1.039a6e718f9adp-10, 0x1.f61f7bf55c8bfp-11, 0x1.e57c34c23f066p-11, 0x1.d5488bd1bfccep-11, 0x1.c582114da848bp-11, 0x1.b62660d433cf8p-11, 0x1.a733214f08ca9p-11, 0x1.98a604c78960dp-11, 0x1.8a7cc83cb4f17p-11, 0x1.7cb53379441bbp-11, 0x1.6f4d18ea402c3p-11, 0x1.6242557615098p-11, 0x1.5592d053490ecp-11, 0x1.493c7ae117af2p-11, 0x1.3d3d507e7d4e5p-11, 0x1.31935663fae74p-11, 0x1.263c9b7bb6dd1p-11, 0x1.1b37383b3238ap-11, 0x1.10814e7cbfbf9p-11, 0x1.0619095a36bf2p-11, 0x1.f7f93a0ca90aep-12, 0x1.e4548d538264dp-12, 0x1.d14098786688dp-12, 0x1.beb9f8c36cc76p-12, 0x1.acbd5c8dbd1e3p-12, 0x1.9b4782fa16feep-12, 0x1.8a553badb8027p-12, 0x1.79e3668de05bbp-12, 0x1.69eef379a66efp-12, 0x1.5a74e206f2ce6p-12, 0x1.4b72413fe933dp-12, 0x1.3ce42f611c23dp-12, 0x1.2ec7d9992d5bp-12, 0x1.211a7bc66e2ccp-12, 0x1.13d9603abf1cp-12, 0x1.0701df791bf59p-12, 0x1.f522bff6bffeap-13, 0x1.dd0aabe610dc4p-13, 0x1.c5b686192cbp-13, 0x1.af216c6db81b1p-13, 0x1.994696c908bcap-13, 0x1.842156a9f2a58p-13, 0x1.6fad16b40a75p-13, 0x1.5be55a3f78986p-13, 0x1.48c5bce948d6cp-13, 0x1.3649f22651b19p-13, 0x1.246dc4d726623p-13, 0x1.132d16dc2690dp-13, 0x1.0283e0ac6a544p-13, 0x1.e4dc61dcd64cbp-14, 0x1.c5d05823ba945p-14, 0x1.a7dc17d27cde6p-14, 0x1.8af83e9502d1p-14, 0x1.6f1d934da39c8p-14, 0x1.5445055ddd84dp-14, 0x1.3a67abe40b398p-14, 0x1.217ec4fec9774p-14, 0x1.0983b5151c16ep-14, 0x1.e4e00c447bb03p-15, 0x1.b87acdfd086cfp-15, 0x1.8dcb5561165c3p-15, 0x1.64c58f7dab773p-15, 0x1.3d5daf070f19ap-15, 0x1.17882b0bf3b41p-15, 0x1.e6737b395587ap-16, 0x1.a0cec529d2369p-16, 0x1.5e0caca2241bfp-16, 0x1.1e1828cb8a78p-16, 0x1.c1b959e1eb3d6p-17, 0x1.4c8c4c01d0963p-17, 0x1.b903e124ffac6p-18, 0x1.c5cfe7fc61facp-19, 0x1.67a005bc9b977p-22, -0x1.591e10bcf1314p-19, -0x1.667a7beb75e96p-18, -0x1.0bc6ffdf7384ap-17, -0x1.6006c8f5c4624p-17, -0x1.b01dc8b1f32aap-17, -0x1.fc2c6313fde9dp-17, -0x1.22291a7068895p-16, -0x1.44570bc638acdp-16, -0x1.64af12963778dp-16, -0x1.833fde366184p-16, -0x1.a017c2291880fp-16, -0x1.bb44b7f3e33e7p-16, -0x1.d4d461180e829p-16, -0x1.ecd408bae6a4fp-16, -0x1.01a852c643955p-15, -0x1.0c2b6dbdba1c9p-15, -0x1.15f97ebacca16p-15, -0x1.1f1887831e9f4p-15, -0x1.278e630b246e8p-15, -0x1.2f60c64154ecp-15, -0x1.369540dea45f7p-15, -0x1.3d313e2d364bcp-15, -0x1.433a05cf0dcf9p-15, -0x1.48b4bc850bd74p-15, -0x1.4da664e85defbp-15, -0x1.5213e029aab5fp-15, -0x1.5601eec959f2cp-15, -0x1.5975314976d74p-15, -0x1.5c7228e73e28p-15, -0x1.5efd383f49d46p-15, -0x1.611aa4049e2dap-15, -0x1.62ce939af330fp-15, -0x1.641d11ca9c23fp-15, -0x1.650a0d56e6e8cp-15, -0x1.659959a38a67p-15, -0x1.65ceaf4ffe693p-15, -0x1.65adaccd3ddbp-15, -0x1.6539d6fa53c7ap-15, -0x1.647699b24558bp-15, -0x1.6367485d4feafp-15, -0x1.620f1e818b20dp-15, -0x1.6071404d17668p-15, -0x1.5e90bb1e1051ep-15, -0x1.5c70860819713p-15, -0x1.5a13825910c41p-15, -0x1.577c7c191f7e9p-15, -0x1.54ae2a8a1afb7p-15, -0x1.51ab309f5a884p-15, -0x1.4e761d7d91661p-15, -0x1.4b116ceb77d67p-15, -0x1.477f87cc5daadp-15, -0x1.43c2c48d25871p-15, -0x1.3fdd67984de73p-15, -0x1.3bd1a3c1fbb58p-15, -0x1.37a19ab349877p-15, -0x1.334f5d540dc73p-15, -0x1.2edcec340fab4p-15, -0x1.2a4c37ed5215dp-15, -0x1.259f218a78b12p-15, -0x1.20d77ae5f2f8p-15, -0x1.1bf70708d96bdp-15, -0x1.16ff7a8884025p-15, -0x1.11f27be39806fp-15, -0x1.0cd1a3d90edf5p-15, -0x1.079e7dc2b5a43p-15, -0x1.025a87e5e00a9p-15, -0x1.fa0e679c87015p-16, -0x1.ef4bcd35711fcp-16, -0x1.e46ff29fd6728p-16, -0x1.d97d724d40bf4p-16, -0x1.ce76cfb0ece3bp-16, -0x1.c35e77da0c8ecp-16, -0x1.b836c20390275p-16, -0x1.ad01f0282484cp-16, -0x1.a1c22f8e40a18p-16, -0x1.9679994f08534p-16, -0x1.8b2a32e574c9p-16, -0x1.7fd5eea97ec8cp-16, -0x1.747eac592cf83p-16, -0x1.692639943a0b1p-16, -0x1.5dce5258ac55bp-16, -0x1.5278a17b2a6c4p-16, -0x1.4726c1201bae2p-16, -0x1.3bda3b2bb43d2p-16, -0x1.309489b78def2p-16, -0x1.25571779f3474p-16, -0x1.1a23403d5d59fp-16, -0x1.0efa51428bdf5p-16, -0x1.03dd89a7fcd99p-16, -0x1.f19c35a690ebfp-17, -0x1.db9a51a2bdf72p-17, -0x1.c5b7956c5629ap-17, -0x1.aff615fa481a6p-17, -0x1.9a57cfc76edf7p-17, -0x1.84dea7882215bp-17, -0x1.6f8c6ada6e41ep-17, -0x1.5a62d0f58ef55p-17, -0x1.45637b4847d04p-17, -0x1.308ff62ab7094p-17, -0x1.1be9b96cd5291p-17, -0x1.07722901accfbp-17, -0x1.e6552b1e75055p-18, -0x1.be287a14de1p-18, -0x1.96609681b8fe6p-18, -0x1.6effb4d9177fap-18, -0x1.4807e7741c341p-18, -0x1.217b1fac26ec8p-18, -0x1.f6b65db09ed13p-19, -0x1.ab538e8f953f5p-19, -0x1.60d0fa96e4475p-19, -0x1.17319044ab4f2p-19, -0x1.9cf00bbe73101p-20, -0x1.0d4db671022d3p-20, -0x1.fe02db953ca1fp-22, 0x1.8e584c3f40a18p-25, 0x1.2d11cee77dc67p-21, 0x1.1ebe497df15d5p-20, 0x1.a50fd5dfa5f4ep-20, 0x1.14bd694eb16c9p-19, 0x1.55fe6de2187e9p-19, 0x1.9649f00a0c795p-19, 0x1.d59f0f2a239edp-19, 0x1.09fe889e3a4f1p-18, 0x1.28b1b0b37dd7p-18, 0x1.46e8c75d46406p-18, 0x1.64a3a56ba2812p-18, 0x1.81e23454a3748p-18, 0x1.9ea46d997f7efp-18, 0x1.baea5a2a07012p-18, 0x1.d6b411ce6d38ep-18, 0x1.f201ba9ca595bp-18, 0x1.0669c42e8367fp-17, 0x1.1394de068c46dp-17, 0x1.208251abb5b39p-17, 0x1.2d324c08682c3p-17, 0x1.39a4ffdae75fep-17, 0x1.45daa57797aa6p-17, 0x1.51d37a8f419fdp-17, 0x1.5d8fc1f31e36cp-17, 0x1.690fc35cf024fp-17, 0x1.7453cb37f6fep-17, 0x1.7f5c2a6aad3cp-17, 0x1.8a293623ca4b9p-17, 0x1.94bb47a87be17p-17, 0x1.9f12bc20b9a54p-17, 0x1.a92ff46acc18p-17, 0x1.b31354e954eap-17, 0x1.bcbd455958a24p-17, 0x1.c62e30a57c056p-17, 0x1.cf6684bb80811p-17, 0x1.d866b2658066ep-17, 0x1.e12f2d1f4ff5ep-17, 0x1.e9c06af19f406p-17, 0x1.f21ae44ab904dp-17, 0x1.fa3f13dcd2d3ap-17, 0x1.0116bb3c2aabap-16, 0x1.04f34576316cdp-16, 0x1.08b568f130764p-16, 0x1.0c5d66e028eedp-16, 0x1.0feb81454ab3ep-16, 0x1.135ffae240417p-16, 0x1.16bb172a47c54p-16, 0x1.19fd1a333b195p-16, 0x1.1d2648a8b2bb5p-16, 0x1.2036e7bdccbadp-16, 0x1.232f3d222cb6ap-16, 0x1.260f8ef4712bbp-16, 0x1.28d823b680062p-16, 0x1.2b89424273e22p-16, 0x1.2e2331bf54b33p-16, 0x1.30a63996c3405p-16, 0x1.3312a16a2fe51p-16, 0x1.3568b10858a85p-16, 0x1.37a8b064d04d9p-16, 0x1.39d2e78e1dd46p-16, 0x1.3be79ea47855dp-16, 0x1.3de71dd1d41c3p-16, 0x1.3fd1ad4163f07p-16, 0x1.41a7951810d76p-16, 0x1.43691d6bafb59p-16, 0x1.45168e3c47daep-16, 0x1.46b02f6cc7ff3p-16, 0x1.483648bc5ca81p-16, 0x1.49a921bffe0a3p-16, 0x1.4b0901dbef81bp-16, 0x1.4c56303d912fap-16, 0x1.4d90f3d58f443p-16, 0x1.4eb99352b9e67p-16, 0x1.4fd0551cee671p-16, 0x1.50d57f4ef4658p-16, 0x1.51c957b295a7p-16, 0x1.52ac23bb57022p-16, 0x1.537e288248278p-16, 0x1.543faac1a040bp-16, 0x1.54f0eed0f57c3p-16, 0x1.559238a108832p-16, 0x1.5623cbb854a63p-16, 0x1.56a5eb2f7134fp-16, 0x1.5718d9ae02f1bp-16, 0x1.577cd967606c6p-16, 0x1.57d22c17a5546p-16, 0x1.581913008cde6p-16, 0x1.5851cee73cd57p-16, 0x1.587ca0117226p-16, 0x1.5899c6433faf8p-16, 0x1.58a980bcd673cp-16, 0x1.58ac0e3873f7ap-16, 0x1.58a1ace89517bp-16, 0x1.588a9a75b8745p-16, 0x1.586713fcc2463p-16, 0x1.5837560d888d3p-16, 0x1.57fb9ca9287b8p-16, 0x1.57b42340e5826p-16, 0x1.576124b4d47cfp-16, 0x1.5702db52af354p-16, 0x1.569980d4b08eep-16, 0x1.56254e60fa534p-16, 0x1.55a67c885de75p-16, 0x1.551d4345d41b5p-16, 0x1.5489d9fdcec9cp-16, 0x1.53ec777d4c7e1p-16, 0x1.534551f999c3cp-16, 0x1.52949f102026ep-16, 0x1.51da93c5a9697p-16, 0x1.51176486648eap-16, 0x1.504b45257e17ap-16, 0x1.4f7668dd0d475p-16, 0x1.4e99024e1088p-16, 0x1.4db34380732f5p-16, 0x1.4cc55de34217fp-16, 0x1.4bcf824c5f407p-16, 0x1.4ad1e0f919d5cp-16, 0x1.49cca98e5463fp-16, 0x1.48c00b1881f47p-16, 0x1.47ac340c482efp-16, 0x1.46915247217aep-16, 0x1.456f930f42562p-16, 0x1.444723148c2a3p-16, 0x1.43182e70db1f2p-16, 0x1.41e2e0a87965fp-16, 0x1.40a764aaf53bdp-16, 0x1.3f65e4d3a4c74p-16, 0x1.3e1e8aea43e6cp-16, 0x1.3cd18023d2d9p-16, }}, 
      {{-0x1.c65b616c3152ep-1, -0x1.c6541d3e5e10ap-1, -0x1.c64804646e74p-1, -0x1.c6371c32b7d01p-1, -0x1.c6216bd125c27p-1, -0x1.c606fb56ac213p-1, -0x1.c5e7d2a6a5725p-1, -0x1.c5c3f85abb4d5p-1, -0x1.c59b70e996ce7p-1, -0x1.c56e3e1b97ddcp-1, -0x1.c53c5ec7ff3e7p-1, -0x1.c505cec8df597p-1, -0x1.c4ca87112564dp-1, -0x1.c48a7dd2d4953p-1, -0x1.c445a6a91c737p-1, -0x1.c3fbf2bfd58d3p-1, -0x1.c3ad50f6c74e3p-1, -0x1.c359ae024d2b6p-1, -0x1.c300f48c6f08bp-1, -0x1.c2a30d59bde3ap-1, -0x1.c23fdf748f126p-1, -0x1.c1d75060132c9p-1, -0x1.c16944538b40ap-1, -0x1.c0f59e7cca1adp-1, -0x1.c07c41485d2a5p-1, -0x1.bffd0ead3ac77p-1, -0x1.bf77e8799aaa3p-1, -0x1.beecb09eb0809p-1, -0x1.be5b49793871dp-1, -0x1.bdc3961523765p-1, -0x1.bd257a6b193acp-1, -0x1.bc80db96fa3f1p-1, -0x1.bbd5a006e8cf6p-1, -0x1.bb23afa2c7af6p-1, -0x1.ba6af3ec5c6d9p-1, -0x1.b9ab58188239p-1, -0x1.b8e4c9220332ap-1, -0x1.b81735d6c1fd2p-1, -0x1.b7428edfeb632p-1, -0x1.b666c6c5ea8dp-1, -0x1.b583d1f0cc663p-1, -0x1.b499a6a5b6e6fp-1, -0x1.b3a83d02052dp-1, -0x1.b2af8ef483c06p-1, -0x1.b1af98353abffp-1, -0x1.b0a8563c1a9ebp-1, -0x1.af99c836cfd69p-1, -0x1.ae83eefdf95f6p-1, -0x1.ad66cd09e2e81p-1, -0x1.ac426666e86adp-1, -0x1.ab16c0a99444bp-1, -0x1.a9e3e2e286533p-1, -0x1.a8a9d592330bep-1, -0x1.a768a29c79757p-1, -0x1.a620553c1ebccp-1, -0x1.a4d0f9f62ac8fp-1, -0x1.a37a9e8d2f7ap-1, -0x1.a21d51f47d6fbp-1, -0x1.a0b924434a844p-1, -0x1.9f4e26a7d1062p-1, -0x1.9ddc6b5a6ef12p-1, -0x1.9c640590cadffp-1, -0x1.9ae50971097adp-1, -0x1.995f8c05191d1p-1, -0x1.97d3a32e20388p-1, -0x1.96416598134dfp-1, -0x1.94a8eaad7ecc1p-1, -0x1.930a4a8b8a523p-1, -0x1.91659df63f769p-1, -0x1.8fbafe4d17cbdp-1, -0x1.8e0a857fdcb3fp-1, -0x1.8c544e03d9aa6p-1, -0x1.8a9872c9695f8p-1, -0x1.88d70f31de16fp-1, -0x1.87103f05c8ccap-1, -0x1.85441e6ba11bfp-1, -0x1.8372c9dece20cp-1, -0x1.819c5e270ec8bp-1, -0x1.7fc0f85044703p-1, -0x1.7de0b5a298fap-1, -0x1.7bfbb39b02cd3p-1, -0x1.7a120fe4221a6p-1, -0x1.7823e84f7373fp-1, -0x1.76315aced6d6dp-1, -0x1.743a856e6616bp-1, -0x1.723f864e95d54p-1, -0x1.70407b9e9fecdp-1, -0x1.6e3d839731951p-1, -0x1.6c36bc7559be8p-1, -0x1.6a2c4475b41f4p-1, -0x1.681e39cfcc526p-1, -0x1.660cbab1b862cp-1, -0x1.63f7e53be496fp-1, -0x1.61dfd77d0c19cp-1, -0x1.5fc4af6e62744p-1, -0x1.5da68aefe188cp-1, -0x1.5b8587c4c1fe8p-1, -0x1.5961c39017153p-1, -0x1.573b5bd18cfe8p-1, -0x1.55126de2486c8p-1, -0x1.52e716f1e591dp-1, -0x1.50b9740394d22p-1, -0x1.4e89a1eb535f8p-1, -0x1.4c57bd4b40df8p-1, -0x1.4a23e2910ec9dp-1, -0x1.47ee2df38911bp-1, -0x1.45b6bb7039325p-1, -0x1.437da6c9216b9p-1, -0x1.41430b828f162p-1, -0x1.3f0704e107226p-1, -0x1.3cc9ade747b3cp-1, -0x1.3a8b21546224bp-1, -0x1.384b79a1ebe99p-1, -0x1.360ad10246c28p-1, -0x1.33c9415efdd19p-1, -0x1.3186e4573b89fp-1, -0x1.2f43d33e54bbep-1, -0x1.2d00271a68bc8p-1, -0x1.2abbf8a31a9f7p-1, -0x1.287760405cb12p-1, -0x1.2632760953e8fp-1, -0x1.23ed51c35077dp-1, -0x1.21a80ae0daca3p-1, -0x1.1f62b880d535fp-1, -0x1.1d1d716db3a59p-1, -0x1.1ad84c1cc62cdp-1, -0x1.18935ead9810ap-1, -0x1.164ebee961809p-1, -0x1.140a82428d8acp-1, -0x1.11c6bdd451e05p-1, -0x1.0f83866259122p-1, -0x1.0d40f0587dbcbp-1, -0x1.0aff0fca97838p-1, -0x1.08bdf874588acp-1, -0x1.067dbdb93a8e3p-1, -0x1.043e72a47b5c2p-1, -0x1.020029e92926p-1, -0x1.ff85ebc476433p-2, -0x1.fb0dd125731d3p-2, -0x1.f698274be4fabp-2, -0x1.f22510df72b87p-2, -0x1.edb4afd96a106p-2, -0x1.e94725856d532p-2, -0x1.e4dc928237ff4p-2, -0x1.e07516c27875bp-2, -0x1.dc10d18dbad49p-2, -0x1.d7afe18166bbap-2, -0x1.d3526491cab31p-2, -0x1.cef8780b3aec3p-2, -0x1.caa238933c529p-2, -0x1.c64fc229ba9bep-2, -0x1.c201302a4f7fp-2, -0x1.bdb69d4d90134p-2, -0x1.b97023aa660f8p-2, -0x1.b52ddcb775ca3p-2, -0x1.b0efe14c851b2p-2, -0x1.acb649a3f211fp-2, -0x1.a8812d5c29acep-2, -0x1.a450a379283c4p-2, -0x1.a024c265fe2c3p-2, -0x1.9bfd9ff658c37p-2, -0x1.97db51680f482p-2, -0x1.93bdeb64b2c81p-2, -0x1.8fa5820320f52p-2, -0x1.8b9228c919a55p-2, -0x1.8783f2acd4c32p-2, -0x1.837af2169ae2p-2, -0x1.7f7738e25c806p-2, -0x1.7b78d8614bed9p-2, -0x1.777fe15b74fcdp-2, -0x1.738c6411567a7p-2, -0x1.6f9e703d7a4f8p-2, -0x1.6bb6151609affp-2, -0x1.67d3614e668fcp-2, -0x1.63f66318bcbd1p-2, -0x1.601f2827960ebp-2, -0x1.5c4dbdaf6b7dap-2, -0x1.5882306832bafp-2, -0x1.54bc8c8eeca5ep-2, -0x1.50fcdde7303ep-2, -0x1.4d432fbcb19f7p-2, -0x1.498f8ce4ca517p-2, -0x1.45e1ffbffbdc9p-2, -0x1.423a923b71f13p-2, -0x1.3e994dd281e99p-2, -0x1.3afe3b9026c7dp-2, -0x1.376964107c524p-2, -0x1.33dacf8235ca9p-2, -0x1.305285a81584fp-2, -0x1.2cd08dda5d773p-2, -0x1.2954ef084188ep-2, -0x1.25dfafb9550e4p-2, -0x1.2270d60ef6f03p-2, -0x1.1f0867c5bcf3ep-2, -0x1.1ba66a36d8d9ap-2, -0x1.184ae2597decep-2, -0x1.14f5d4c446939p-2, -0x1.11a745ae94264p-2, -0x1.0e5f38f1ed059p-2, -0x1.0b1db20b5ab03p-2, -0x1.07e2b41cc615dp-2, -0x1.04ae41ee4f141p-2, -0x1.01805defa4d48p-2, -0x1.fcb21472b9b13p-3, -0x1.f670911c897e5p-3, -0x1.f03c34b96d597p-3, -0x1.ea15017fd1bbap-3, -0x1.e3faf9027a726p-3, -0x1.ddee1c331e3efp-3, -0x1.d7ee6b6500b3ep-3, -0x1.d1fbe64f84277p-3, -0x1.cc168c10bc877p-3, -0x1.c63e5b3003ef9p-3, -0x1.c07351a07e88ep-3, -0x1.bab56cc3ac7ccp-3, -0x1.b504a96bedd43p-3, -0x1.af6103df0576dp-3, -0x1.a9ca77d89debap-3, -0x1.a441008cc54dfp-3, -0x1.9ec498aa6cc7ap-3, -0x1.99553a5ddd7c8p-3, -0x1.93f2df53347f8p-3, -0x1.8e9d80b8d51aep-3, -0x1.89551741d874dp-3, -0x1.84199b287e153p-3, -0x1.7eeb043096431p-3, -0x1.79c949a9ed438p-3, -0x1.74b46272aead9p-3, -0x1.6fac44f9c99f8p-3, -0x1.6ab0e7415331dp-3, -0x1.65c23ee0de5cp-3, -0x1.60e04107dae2bp-3, -0x1.5c0ae27fea98ap-3, -0x1.574217af34dep-3, -0x1.5285d49ab4d7ep-3, -0x1.4dd60ce88a4b7p-3, -0x1.4932b3e241addp-3, -0x1.449bbc77198fcp-3, -0x1.4011193e43a3dp-3, -0x1.3b92bc7926a5bp-3, -0x1.372098159937bp-3, -0x1.32ba9db015b7bp-3, -0x1.2e60be95efd54p-3, -0x1.2a12ebc786a3fp-3, -0x1.25d115fa67b95p-3, -0x1.219b2d9b7f7c7p-3, -0x1.1d7122d1361b9p-3, -0x1.1952e57d9006bp-3, -0x1.1540654047606p-3, -0x1.11399178e1ea1p-3, -0x1.0d3e5948c28a6p-3, -0x1.094eab953207dp-3, -0x1.056a77096c28fp-3, -0x1.0191aa189ec24p-3, -0x1.fb8865ffcfc48p-4, -0x1.f403ff909d6e3p-4, -0x1.ec95fc916e591p-4, -0x1.e53e384fa40b2p-4, -0x1.ddfc8dbc0a16cp-4, -0x1.d6d0d76e9dac3p-4, -0x1.cfbaefaa4a9e1p-4, -0x1.c8bab060a31d9p-4, -0x1.c1cff3358098cp-4, -0x1.bafa9182a65aep-4, -0x1.b43a645b4f109p-4, -0x1.ad8f448fba4bfp-4, -0x1.a6f90ab09a5e1p-4, -0x1.a0778f129043cp-4, -0x1.9a0aa9d18d2e6p-4, -0x1.93b232d425ap-4, -0x1.8d6e01cee23e7p-4, -0x1.873dee47812a6p-4, -0x1.8121cf982754bp-4, -0x1.7b197cf28d6ep-4, -0x1.7524cd631b113p-4, -0x1.6f4397d3f6d8bp-4, -0x1.6975b3100eb6dp-4, -0x1.63baf5c609f58p-4, -0x1.5e13368b3d806p-4, -0x1.587e4bde87334p-4, -0x1.52fc0c2b240fp-4, -0x1.4d8c4dcb74a8fp-4, -0x1.482ee70bbe9dep-4, -0x1.42e3ae2cd535cp-4, -0x1.3daa7966c2085p-4, -0x1.38831eeb56efbp-4, -0x1.336d74e8bc1bfp-4, -0x1.2e69518beacd5p-4, -0x1.29768b0321b8ap-4, -0x1.2494f78048886p-4, -0x1.1fc46d3b4ba04p-4, -0x1.1b04c27466fd7p-4, -0x1.1655cd76692bdp-4, -0x1.11b76498e52bp-4, -0x1.0d295e425edf6p-4, -0x1.08ab90ea6509fp-4, -0x1.043dd31ba437p-4, -0x1.ffbff6ebd7342p-5, -0x1.f723c16045eacp-5, -0x1.eea6b33478379p-5, -0x1.e6487a3e255bdp-5, -0x1.de08c48c81841p-5, -0x1.d5e7406bd95f1p-5, -0x1.cde39c690a85bp-5, -0x1.c5fd8754e93cfp-5, -0x1.be34b04798d8fp-5, -0x1.b688c6a3b9e7bp-5, -0x1.aef97a199be06p-5, -0x1.a7867aaa3c827p-5, -0x1.a02f78aa4c215p-5, -0x1.98f424c5048dbp-5, -0x1.91d42ffefd2dp-5, -0x1.8acf4bb8e1843p-5, -0x1.83e529b20e6c2p-5, -0x1.7d157c0b2404ap-5, -0x1.765ff5487eabbp-5, -0x1.6fc4485497ae1p-5, -0x1.6942288257311p-5, -0x1.62d9498f51b38p-5, -0x1.5c895fa5ec3a4p-5, -0x1.56521f5f7a26bp-5, -0x1.50333dc633a5fp-5, -0x1.4a2c70572e95ep-5, -0x1.443d6d043110ap-5, -0x1.3e65ea3584ac7p-5, -0x1.38a59ecba68bbp-5, -0x1.32fc4220efaffp-5, -0x1.2d698c0b29f2dp-5, -0x1.27ed34dd0e7a3p-5, -0x1.2286f567bb069p-5, -0x1.1d3686fc0c29fp-5, -0x1.17fba36bf3f9fp-5, -0x1.12d6050bb333fp-5, -0x1.0dc566b30c0bap-5, -0x1.08c983be5a96ap-5, -0x1.03e2180fafae4p-5, -0x1.fe1dc01f86b68p-6, -0x1.f49f315dd9c49p-6, -0x1.eb47fecc07306p-6, -0x1.e217a46e6833p-6, -0x1.d90d9f5d82e7fp-6, -0x1.d0296dc77d253p-6, -0x1.c76a8ef167eabp-6, -0x1.bed083388260ep-6, -0x1.b65acc134a2bep-6, -0x1.ae08ec12856a9p-6, -0x1.a5da66e2281cep-6, -0x1.9dcec14a273f7p-6, -0x1.95e5812f2c3c1p-6, -0x1.8e1e2d9333f27p-6, -0x1.86784e961e454p-6, -0x1.7ef36d76185c6p-6, -0x1.778f148ff1c9cp-6, -0x1.704acf5f6d765p-6, -0x1.69262a7f6a726p-6, -0x1.6220b3a9fc964p-6, -0x1.5b39f9b874f48p-6, -0x1.54718ca34e259p-6, -0x1.4dc6fd8210d64p-6, -0x1.4739de8b17437p-6, -0x1.40c9c3134de4dp-6, -0x1.3a763f8dd305ap-6, -0x1.343ee98b8a661p-6, -0x1.2e2357baa7b77p-6, -0x1.282321e618b98p-6, -0x1.223de0f4e84e4p-6, -0x1.1c732ee994e35p-6, -0x1.16c2a6e153db6p-6, -0x1.112be5133ba24p-6, -0x1.0bae86cf7416ap-6, -0x1.064a2a7e48b14p-6, -0x1.00fe6f9f2f69fp-6, -0x1.f795ed8f88b4dp-7, -0x1.ed5ec34580e7fp-7, -0x1.e356a5dda1157p-7, -0x1.d97cdcfaedddep-7, -0x1.cfd0b263994fdp-7, -0x1.c65171fe8c66cp-7, -0x1.bcfe69d0c0b07p-7, -0x1.b3d6e9faaf0ep-7, -0x1.aada44b57276ap-7, -0x1.a207ce4ffb9c2p-7, -0x1.995edd2c3516p-7, -0x1.90dec9bbf9198p-7, -0x1.8886ee7e0fa4ap-7, -0x1.8056a7fb0c49cp-7, -0x1.784d54c21c804p-7, -0x1.706a5565db968p-7, -0x1.68ad0c78f561ap-7, -0x1.6114de8adb38cp-7, -0x1.59a1322449173p-7, -0x1.52516fc3e9b41p-7, -0x1.4b2501dac0e6ap-7, -0x1.441b54c8a7a27p-7, -0x1.3d33d6d8b0ddfp-7, -0x1.366df83d90728p-7, -0x1.2fc92b0dd9bb5p-7, -0x1.2944e3405f8fcp-7, -0x1.22e096a86974bp-7, -0x1.1c9bbcf1e0c81p-7, -0x1.1675cf9d9d072p-7, -0x1.106e49fd6afa4p-7, -0x1.0a84a93048cbfp-7, -0x1.04b86c1e73f5cp-7, -0x1.fe1226eb07f95p-8, -0x1.f2ec4348dbe81p-8, -0x1.e7fe35af31385p-8, -0x1.dd4709e9ca7d7p-8, -0x1.d2c5cf2f476d6p-8, -0x1.c879981945847p-8, -0x1.be617a9c29aeep-8, -0x1.b47c8fff27dfbp-8, -0x1.aac9f4d43079ap-8, -0x1.a148c8efbcc99p-8, -0x1.97f82f60cb12bp-8, -0x1.8ed74e68aa30bp-8, -0x1.85e54f72df677p-8, -0x1.7d215f0cedcc5p-8, -0x1.748aacde517a1p-8, -0x1.6c206ba040c91p-8, -0x1.63e1d11581cb9p-8, -0x1.5bce160259f7p-8, -0x1.53e476245c074p-8, -0x1.4c24302a42d37p-8, -0x1.448c85abf072ep-8, -0x1.3d1cbb22250b3p-8, -0x1.35d417de94319p-8, -0x1.2eb1e603b7062p-8, -0x1.27b5727cd45acp-8, -0x1.20de0cf5ddc8ep-8, -0x1.1a2b07d38cf45p-8, -0x1.139bb82b4eb4p-8, -0x1.0d2f75bb648dep-8, -0x1.06e59ae2edfd7p-8, -0x1.00bd8499fd456p-8, -0x1.f56d24d394bd5p-9, -0x1.e9a04cc992f43p-9, -0x1.de134a3e11712p-9, -0x1.d2c4eb4c57de1p-9, -0x1.c7b402f405e49p-9, -0x1.bcdf690943017p-9, -0x1.b245fa25a6fe6p-9, -0x1.a7e6979900142p-9, -0x1.9dc0275a3532dp-9, -0x1.93d193f86486bp-9, -0x1.8a19cc8bae1afp-9, -0x1.8097c4a6916bdp-9, -0x1.774a74474315cp-9, -0x1.6e30d7c8c0181p-9, -0x1.6549efd47d07p-9, -0x1.5c94c153e7143p-9, -0x1.54105562001dp-9, -0x1.4bbbb93d2b22cp-9, -0x1.4395fe390f475p-9, -0x1.3b9e39b06f879p-9, -0x1.33d384f76a0aep-9, -0x1.2c34fd4d7fb7ap-9, -0x1.24c1c3d0023c1p-9, -0x1.1d78fd6c62011p-9, -0x1.1659d2d2bdfa4p-9, -0x1.0f63706884e97p-9, -0x1.0895063b2ff7ep-9, -0x1.01edc7f325d6ep-9, -0x1.f6d9d98d55a83p-10, -0x1.ea235ed9ec28ep-10, -0x1.ddb69c22fd168p-10, -0x1.d192148e5e57bp-10, -0x1.c5b451f7ce359p-10, -0x1.ba1be4d812248p-10, -0x1.aec7642c60fc8p-10, -0x1.a3b56d5dd7534p-10, -0x1.98e4a4297773p-10, -0x1.8e53b2880d2bcp-10, -0x1.84014896c5c93p-10, -0x1.79ec1c7f835a4p-10, -0x1.7012ea61bef6ep-10, -0x1.6674743b860a1p-10, -0x1.5d0f81d2e3b3p-10, -0x1.53e2e09f5c298p-10, -0x1.4aed63b38f8a7p-10, -0x1.422de3a76840ep-10, -0x1.39a33e82340bp-10, -0x1.314c57a54d1bfp-10, -0x1.292817b6c21e2p-10, -0x1.21356c8c2e9fp-10, -0x1.197349161cd7p-10, -0x1.11e0a54b7df64p-10, -0x1.0a7c7e1528125p-10, -0x1.0345d539efcap-10, -0x1.f87762958b7b7p-11, -0x1.eaba3b1dffe06p-11, -0x1.dd5253e252f2dp-11, -0x1.d03dd5d7b1829p-11, -0x1.c37af2ed5c84ep-11, -0x1.b707e5e767cedp-11, -0x1.aae2f239eacp-11, -0x1.9f0a63e472aeap-11, -0x1.937c8f4e714cdp-11, -0x1.8837d1232345fp-11, -0x1.7d3a8e2f25da2p-11, -0x1.7283333d332d9p-11, -0x1.681034f4b4c49p-11, -0x1.5de00fb74f37p-11, -0x1.53f1478062032p-11, -0x1.4a4267c380985p-11, -0x1.40d2034c79454p-11, -0x1.379eb41f5fc1ap-11, -0x1.2ea71b58cb817p-11, -0x1.25e9e10ee7e74p-11, -0x1.1d65b432d4d97p-11, -0x1.15194a7228ab8p-11, -0x1.0d0360194b8d6p-11, -0x1.0522b7f622044p-11, -0x1.faec3675854c5p-12, -0x1.ebf8b2c22221cp-12, -0x1.dd68901cc92d2p-12, -0x1.cf3985eface65p-12, -0x1.c169578db7558p-12, -0x1.b3f5d3fc4ded6p-12, -0x1.a6dcd5be6ac51p-12, -0x1.9a1c429fe4a8p-12, -0x1.8db20b8187aa9p-12, -0x1.819c2c26a063dp-12, -0x1.75d8ab0267a0dp-12, -0x1.6a659906b2cdcp-12, -0x1.5f4111737c8b1p-12, -0x1.546939a62dc2cp-12, -0x1.49dc40eb5be45p-12, -0x1.3f98604f617e8p-12, -0x1.359bda70f6e85p-12, -0x1.2be4fb53c8362p-12, -0x1.2272183443483p-12, -0x1.19418f5c03ecdp-12, -0x1.1051c7f624fd1p-12, -0x1.07a131e55d4a8p-12, -0x1.fe5c8b3354521p-13, -0x1.edef07d025995p-13, -0x1.ddf6ebc2e2827p-13, -0x1.ce715956438a5p-13, -0x1.bf5b82ae8b36bp-13, -0x1.b0b2a97dda4d6p-13, -0x1.a2741eb74363ap-13, -0x1.949d4244f1a88p-13, -0x1.872b82bda5725p-13, -0x1.7a1c5d1db103dp-13, -0x1.6d6d5c7eeab41p-13, -0x1.611c19d3678f2p-13, -0x1.55263ba0ca946p-13, -0x1.498975bc0f5b7p-13, -0x1.3e438907c31ebp-13, -0x1.33524331fc04fp-13, -0x1.28b37e74e2d8ap-13, -0x1.1e65215635bbdp-13, -0x1.14651e6af550ep-13, -0x1.0ab17418152c2p-13, -0x1.01482c58f25adp-13, -0x1.f04eb903d63f5p-14, -0x1.de9a4a10968b9p-14, -0x1.cd6f628f3bd84p-14, -0x1.bcca6e969d64p-14, -0x1.aca7ef2cce688p-14, -0x1.9d0479dac18d1p-14, -0x1.8ddcb843b01e3p-14, -0x1.7f2d67bb730e6p-14, -0x1.70f358e02ef68p-14, -0x1.632b6f360fe8ap-14, -0x1.55d2a0c2b8575p-14, -0x1.48e5f5ae26159p-14, -0x1.3c6287e0adb8ep-14, -0x1.304582a725fd7p-14, -0x1.248c225588a5ep-14, -0x1.1933b3ed3c1afp-14, -0x1.0e3994c39e6f7p-14, -0x1.039b322b4d833p-14, -0x1.f2ac123bdca8dp-15, -0x1.decf4bd2192dcp-15, -0x1.cb9b47b30f7ap-15, -0x1.b90b59da2f60cp-15, -0x1.a71af300cd2a3p-15, -0x1.95c5a0055d093p-15, -0x1.8507095033056p-15, -0x1.74daf23d9524bp-15, -0x1.653d388b9d9ap-15, -0x1.5629d3c6fff6dp-15, -0x1.479cd4be0112ap-15, -0x1.399264f50da2ep-15, -0x1.2c06c61ce3fcbp-15, -0x1.1ef6518f40e3dp-15, -0x1.125d77c61eb89p-15, -0x1.0638bfe023765p-15, -0x1.f5098e3d27dd3p-16, -0x1.de7c80d30f8c9p-16, -0x1.c8c3e7adb2f9fp-16, -0x1.b3d97c638dfd9p-16, -0x1.9fb7210d697a4p-16, -0x1.8c56df5ce55aap-16, -0x1.79b2e7bfe3e9ap-16, -0x1.67c5907e07a2ep-16, -0x1.568954e6a29d5p-16, -0x1.45f8d47711738p-16, -0x1.360ed20da619ap-16, -0x1.26c6331b7bd72p-16, -0x1.1819fede427adp-16, -0x1.0a055d9864059p-16, -0x1.f9072faffe186p-17, -0x1.df202b6413451p-17, -0x1.c64cbc1fe209bp-17, -0x1.ae842bf4274dp-17, -0x1.97bdffc94de59p-17, -0x1.81f1f6060d0cep-17, -0x1.6d18053bf0083p-17, -0x1.59285ad9aff7ep-17, -0x1.461b59e4a0bf7p-17, -0x1.33e999b884159p-17, -0x1.228be4cf2c9c5p-17, -0x1.11fb379114675p-17, -0x1.0230bf1f90cfep-17, -0x1.e64bb07ad9de6p-18, -0x1.c9a81c3c9122cp-18, -0x1.ae6a32b9e5b0ep-18, -0x1.9485bdb66a9fap-18, -0x1.7beedd6b6cf13p-18, -0x1.649a0687336d2p-18, -0x1.4e7c000be632p-18, -0x1.3989e16c1d323p-18, -0x1.25b9108e99c59p-18, -0x1.12ff3fec74331p-18, -0x1.01526cb32deefp-18, -0x1.e151b9e8ee0f5p-19, -0x1.c1f23bc5a1cbdp-19, -0x1.a474041d20e68p-19, -0x1.88c53f5f3317bp-19, -0x1.6ed49e0192c4ap-19, -0x1.5691513c8ebdcp-19, -0x1.3feb07cda39bap-19, -0x1.2ad1eaf05003fp-19, -0x1.17369b333ae8ep-19, -0x1.050a2d986fddap-19, -0x1.e87c51346c663p-20, -0x1.c989029f1ec54p-20, -0x1.ad1f3143e11abp-20, -0x1.9324713f9e82bp-20, -0x1.7b7f237b665cdp-20, -0x1.6616708a18d65p-20, -0x1.52d2438857602p-20, -0x1.419b452249af2p-20, -0x1.325ad6b64ecc7p-20, -0x1.24fb0d7e17e81p-20, -0x1.1966adfd4c473p-20, -0x1.0f89277f9fb83p-20, -0x1.074e8f5dfd04cp-20, -0x1.00a39cf9a7d6dp-20, -0x1.f6eb4a8c64169p-21, -0x1.ef652da24b6a7p-21, -0x1.ea91eadbfc73ap-21, -0x1.e84fad1909a58p-21, -0x1.e87dba3f3a046p-21, -0x1.eafc6bde0facp-21, -0x1.efad27e019bb2p-21, -0x1.f672590abc1c8p-21, -0x1.ff2f682abfd6cp-21, -0x1.04e45a9bc4d4bp-20, -0x1.0b11c83590dd8p-20, -0x1.121319eabd4bap-20, -0x1.19dbde7618243p-20, -0x1.2260131fe654dp-20, -0x1.2b9420b370a47p-20, -0x1.356cd891ab65bp-20, -0x1.3fdf71a1e6d3dp-20, -0x1.4ae185b0b930bp-20, -0x1.56690e76d2e45p-20, -0x1.626c63004da6bp-20, -0x1.6ee234fd25324p-20, -0x1.7bc18e4421d62p-20, -0x1.8901ce3389fb1p-20, -0x1.969aa748be62bp-20, -0x1.a4841cb99dcd6p-20, -0x1.b2b68028afe63p-20, -0x1.c12a6f5678affp-20, -0x1.cfd8d1e6fff47p-20, -0x1.debad73c09387p-20, -0x1.edc9f4576cb61p-20, -0x1.fcffe1cd0b36cp-20, -0x1.062b4ce231db9p-19, -0x1.0de42afb9f8d6p-19, -0x1.15a7c6edbd8c5p-19, -0x1.1d737a58b4822p-19, -0x1.2544bbe89c2b4p-19, -0x1.2d191e60ec3ddp-19, -0x1.34ee4fd493f53p-19, -0x1.3cc218beedbcdp-19, -0x1.44925b38d64f5p-19, -0x1.4c5d122fceaf5p-19, -0x1.542050976baep-19, -0x1.5bda40b09db0ap-19, -0x1.6389234abbaa3p-19, -0x1.6b2b4f090cb2cp-19, -0x1.72bf2fb0b334ep-19, -0x1.7a43457f01c38p-19, -0x1.81b6247bd8369p-19, -0x1.891673d85eb37p-19, -0x1.9062ed497e0cp-19, -0x1.979a5c6f8871ap-19, -0x1.9ebb9e3e82fdfp-19, -0x1.a5c5a0673be03p-19, -0x1.acb760ca6f97p-19, -0x1.b38fece8fcbbdp-19, -0x1.ba4e615f22307p-19, -0x1.c0f1e95ee5215p-19, -0x1.c779be2d311f1p-19, -0x1.cde526a743537p-19, -0x1.d43376c7890dep-19, -0x1.da640f2dfeb5dp-19, -0x1.e0765caef2bbbp-19, -0x1.e669d7de95637p-19, -0x1.ec3e04a8e8c97p-19, -0x1.f1f271e641cd2p-19, -0x1.f786b8f4503efp-19, -0x1.fcfa7d50ebp-19, -0x1.0126b61cbeab2p-18, -0x1.03bf9e261fd85p-18, -0x1.0647d697f9322p-18, -0x1.08bf439ab9562p-18, -0x1.0b25cd81df7e1p-18, -0x1.0d7b60a2b3d2p-18, -0x1.0fbfed2a3641ap-18, -0x1.11f366f6e43adp-18, -0x1.1415c570a2cc4p-18, -0x1.16270364fcbcbp-18, -0x1.18271ee1e7572p-18, -0x1.1a1619131cfe2p-18, -0x1.1bf3f62104ed5p-18, -0x1.1dc0bd0d514bfp-18, -0x1.1f7c7795f92c2p-18, -0x1.21273213ad4bbp-18, -0x1.22c0fb5d4a8e1p-18, -0x1.2449e4a9f4515p-18, -0x1.25c20175190a2p-18, -0x1.2729676248788p-18, -0x1.28802e2444817p-18, -0x1.29c66f61ca5dcp-18, -0x1.2afc469e2bbbfp-18, -0x1.2c21d11f7fa55p-18, -0x1.2d372dd83b489p-18, -0x1.2e3c7d512d58p-18, -0x1.2f31e192cf58ap-18, -0x1.30177e1044fc5p-18, -0x1.30ed7792f9b89p-18, -0x1.31b3f42743363p-18, -0x1.326b1b08cc20dp-18, -0x1.331314908bda6p-18, -0x1.33ac0a227542fp-18, -0x1.3436261bf7e8fp-18, -0x1.34b193c465736p-18, -0x1.351e7f3b858e1p-18, -0x1.357d156bb24dcp-18, -0x1.35cd83f95d5bep-18, -0x1.360ff9356eef6p-18, -0x1.3644a40ed6f95p-18, -0x1.366bb405cc5cp-18, -0x1.3685591e1b759p-18, -0x1.3691c3d2f248ep-18, -0x1.3691250a74bb9p-18, -0x1.3683ae0ae007p-18, -0x1.3669906f24f6cp-18, -0x1.3642fe1bb7c37p-18, -0x1.361029348db4ap-18, -0x1.35d14412f5004p-18, -0x1.3586813c3a766p-18, -0x1.35301358baf92p-18, -0x1.34ce2d2aa76bdp-18, -0x1.34610185a5215p-18, -0x1.33e8c346655acp-18, -0x1.3365a54bc8842p-18, -0x1.32d7da6e274ccp-18, -0x1.323f95795cc38p-18, -0x1.319d0924daa3p-18, -0x1.30f0680d7aa57p-18, -0x1.3039e4af7e403p-18, -0x1.2f79b1603830bp-18, -0x1.2eb000486d106p-18, -0x1.2ddd035ecc1e9p-18, -0x1.2d00ec62c7bbep-18, -0x1.2c1becd7b35bcp-18, -0x1.2b2e35ffeb8d6p-18, -0x1.2a37f8d8009bap-18, -0x1.2939661311d6fp-18, -0x1.2832ae15d7a37p-18, -0x1.272400f37a696p-18, -0x1.260d8e6a029eap-18, -0x1.24ef85de6a90bp-18, -0x1.23ca1659677eep-18, -0x1.229d6e84464dcp-18, -0x1.2169bca614092p-18, -0x1.202f2ea0c460ep-18, -0x1.1eedf1eef0e99p-18, -0x1.1da633a10ee01p-18, -0x1.1c58205b4297p-18, -0x1.1b03e4532883bp-18, -0x1.19a9ab4e3c886p-18, -0x1.1849a09f7f437p-18, -0x1.16e3ef263669cp-18, -0x1.1578c14bd2a69p-18, -0x1.14084102b4dbcp-18, -0x1.129297c500a4fp-18, -0x1.1117ee934fb94p-18, -0x1.0f986df38df11p-18, -0x1.0e143defe28ep-18, -0x1.0c8b8615c6c38p-18, -0x1.0afe6d7547c54p-18, -0x1.096d1aa0b8612p-18, -0x1.07d7b3ab86ad7p-18, -0x1.063e5e29f3b0dp-18, -0x1.04a13f30a3d65p-18, -0x1.03007b5414dd7p-18, -0x1.015c36a8a884ap-18, -0x1.ff692984ec426p-19, -0x1.fc13716a27b7ap-19, -0x1.f8b78a26e7a12p-19, -0x1.f555b7dfa17ddp-19, -0x1.f1ee3db7ddc7ep-19, -0x1.ee815dd2c6eb1p-19, -0x1.eb0f5952d9b74p-19, -0x1.e798705adaf35p-19, -0x1.e41ce20e8607ap-19, -0x1.e09cec9378309p-19, -0x1.dd18cd11d30e3p-19, -0x1.d990bfb57c005p-19, -0x1.d604ffae58adap-19, -0x1.d275c731fa2c3p-19, -0x1.cee34f7cb1213p-19, -0x1.cb4dd0d342b6p-19, -0x1.c7b58283d618dp-19, -0x1.c41a9ae7182cfp-19, -0x1.c07d4f626a21fp-19, -0x1.bcddd4693c7b3p-19, -0x1.b93c5d7e2bd57p-19, -0x1.b5991d34d8723p-19, -0x1.b1f4453427417p-19, -0x1.ae4e0637b9bbbp-19, -0x1.aaa69011dc7c8p-19, -0x1.a6fe11ad62d7p-19, -0x1.a354b90f0f1f7p-19, -0x1.9faab3583ae4cp-19, -0x1.9c002cc8ba035p-19, -0x1.985550c0927cp-19, -0x1.94aa49c270cb9p-19, -0x1.90ff41755c4c6p-19, -0x1.8d5460a73433ap-19, -0x1.89a9cf4e93379p-19, -0x1.85ffb48cdafd1p-19, -0x1.825636b0a9028p-19, -0x1.7ead7b37ad045p-19, -0x1.7b05a6d17b4afp-19, -0x1.775edd61b6a59p-19, -0x1.73b9420207aa2p-19, -0x1.7014f70488faep-19, -0x1.6c721df5ee5f2p-19, -0x1.68d0d7a00b8dp-19, -0x1.6531440bd1c15p-19, -0x1.61938284155e7p-19, -0x1.5df7b1976aa8ap-19, -0x1.5a5def1aaa412p-19, -0x1.56c6582b6cfcap-19, -0x1.533109325ac26p-19, -0x1.4f9e1de50d0bbp-19, -0x1.4c0db148ade3fp-19, -0x1.487fddb410045p-19, -0x1.44f4bcd26a134p-19, -0x1.416c67a596866p-19, -0x1.3de6f6884a4c3p-19, -0x1.3a64813025fcap-19, -0x1.36e51eb06f5dap-19, -0x1.3368e57c13973p-19, -0x1.2fefeb681e6cbp-19, -0x1.2c7a45add38p-19, -0x1.290808ed04afp-19, -0x1.2599492e54448p-19, -0x1.222e19e58f5edp-19, -0x1.1ec68df3be8d5p-19, -0x1.1b62b7a979dfbp-19, -0x1.1802a8c8dd442p-19, -0x1.14a67287e381dp-19, -0x1.114e2592a587cp-19, -0x1.0df9d20d6a765p-19, -0x1.0aa9879704546p-19, -0x1.075d554ab28eep-19, -0x1.041549c286bfdp-19, -0x1.00d173192aee8p-19, -0x1.fb23bdd7e20b5p-20, -0x1.f4ad34ba58268p-20, -0x1.ee3f642c968cp-20, -0x1.e7da649330375p-20, -0x1.e17e4d68d8ed4p-20, -0x1.db2b35422dbp-20, -0x1.d4e131d1a0f13p-20, -0x1.cea057ebda0e8p-20, -0x1.c868bb8af5ba4p-20, -0x1.c23a6fd24784ep-20, -0x1.bc158712ba80bp-20, }}, 
      {{-0x1.e3c567e23cb32p-8, -0x1.e3bc36cfe8184p-7, -0x1.6ac5b67010858p-6, -0x1.e3a84380c859bp-6, -0x1.2e41152336e49p-5, -0x1.6aa5ebe74f862p-5, -0x1.a6fe7d4b98e8bp-5, -0x1.e3485776e06b7p-5, -0x1.0fc221a6dd1f9p-4, -0x1.2ddb678327535p-4, -0x1.4bf3fd7f68c0ep-4, -0x1.6a113016e7112p-4, -0x1.88391539343dp-4, -0x1.a672136571d4ep-4, -0x1.c4c2826adb781p-4, -0x1.e33068610a4dbp-4, -0x1.00e0a6cfffc5ep-3, -0x1.103d0fcf2db5ap-3, -0x1.1faf8d916117ep-3, -0x1.2f39dc3f2f1fp-3, -0x1.3edd4ba17cca3p-3, -0x1.4e9ab4a0d5196p-3, -0x1.5e726f1923564p-3, -0x1.6e64490f81fc7p-3, -0x1.7e6f80594d68fp-3, -0x1.8e92bf8669925p-3, -0x1.9ecc1e81892b1p-3, -0x1.af1926f311789p-3, -0x1.bf76dc17fba51p-3, -0x1.cfe1c57955fddp-3, -0x1.e055fbc727bf9p-3, -0x1.f0cf3709e7b19p-3, -0x1.00a46eb252dedp-2, -0x1.08df08dcbbc17p-2, -0x1.1114e0d200c0ep-2, -0x1.194359325e00dp-2, -0x1.2167c63f55815p-2, -0x1.297f72f64582dp-2, -0x1.3187a5780f801p-2, -0x1.397da2ca55eb9p-2, -0x1.415eb206942ebp-2, -0x1.49281f0f75b49p-2, -0x1.50d73ce6228e3p-2, -0x1.586967b835a46p-2, -0x1.5fdc06bc3423ap-2, -0x1.672c8dee92b9p-2, -0x1.6e587fbcde28cp-2, -0x1.755d6ea82002ep-2, -0x1.7c38fee358262p-2, -0x1.82e8e7ef1ed2ap-2, -0x1.896af6308b139p-2, -0x1.8fbd0c7f0ee86p-2, -0x1.95dd25a37a32p-2, -0x1.9bc955c18563dp-2, -0x1.a17fcba4fd451p-2, -0x1.a6fed1ec06beep-2, -0x1.ac44d008b254ep-2, -0x1.b1504b151d068p-2, -0x1.b61fe67696cbdp-2, -0x1.bab2644daf861p-2, -0x1.bf06a5b250af5p-2, -0x1.c31baabc6ace6p-2, -0x1.c6f0925adff9dp-2, -0x1.ca8499fb6aa94p-2, -0x1.cdd71d0718e74p-2, -0x1.d0e79437a300cp-2, -0x1.d3b594ca6c451p-2, -0x1.d640cf9638a9dp-2, -0x1.d8891008e10b3p-2, -0x1.da8e3b1232b8fp-2, -0x1.dc504e011174fp-2, -0x1.ddcf5d57a6807p-2, -0x1.df0b939b15f81p-2, -0x1.e0053022c1d7p-2, -0x1.e0bc85eaa6d29p-2, -0x1.e131fa6bf14dep-2, -0x1.e166047e50072p-2, -0x1.e1592b441bbd3p-2, -0x1.e10c0522e5574p-2, -0x1.e07f36c98b83p-2, -0x1.dfb3724487444p-2, -0x1.dea97620bea04p-2, -0x1.dd620c9cdb321p-2, -0x1.dbde0ae8caef4p-2, -0x1.da1e5072e2558p-2, -0x1.d823c641d5b22p-2, -0x1.d5ef5e5aa0da9p-2, -0x1.d38213315575p-2, -0x1.d0dce723b4234p-2, -0x1.ce00e3fc6ebc7p-2, -0x1.caef1a7de9642p-2, -0x1.c7a8a1f361774p-2, -0x1.c42e97c75a3b8p-2, -0x1.c0821f1e5c8b1p-2, -0x1.bca4607505217p-2, -0x1.b896894098185p-2, -0x1.b459cb91541e3p-2, -0x1.afef5db5dd638p-2, -0x1.ab5879df3e818p-2, -0x1.a6965dc505159p-2, -0x1.a1aa4a4931f1ep-2, -0x1.9c95831bb4c0fp-2, -0x1.97594e5d599aep-2, -0x1.91f6f44214c18p-2, -0x1.8c6fbeb2b46e3p-2, -0x1.86c4f8ee12332p-2, -0x1.80f7ef29ea338p-2, -0x1.7b09ee338ba87p-2, -0x1.74fc4310a9f0bp-2, -0x1.6ed03aa08ade5p-2, -0x1.6887213dee9c8p-2, -0x1.62224261fd45p-2, -0x1.5ba2e848952ecp-2, -0x1.550a5b964c335p-2, -0x1.4e59e300835cdp-2, -0x1.4792c2f7d9814p-2, -0x1.40b63d5554c2ap-2, -0x1.39c5910a87ff4p-2, -0x1.32c1f9d505201p-2, -0x1.2bacaff555707p-2, -0x1.2486e7e9b6748p-2, -0x1.1d51d22cc8893p-2, -0x1.160e9af86416bp-2, -0x1.0ebe6a0caed5ap-2, -0x1.0762627b8ff22p-2, -0x1.fff744f12f6ccp-3, -0x1.f116865ad0c2ep-3, -0x1.e224b12536a2cp-3, -0x1.d323e29a577e2p-3, -0x1.c4162d20a4bd4p-3, -0x1.b4fd98079151cp-3, -0x1.a5dc1f5cb739cp-3, -0x1.96b3b3c95c9fp-3, -0x1.87863a7824ab7p-3, -0x1.78558d02933d2p-3, -0x1.692379661edccp-3, -0x1.59f1c2006bcefp-3, -0x1.4ac21d92576ap-3, -0x1.3b9637496be3dp-3, -0x1.2c6faecf5cb85p-3, -0x1.1d50185f1db3dp-3, -0x1.0e38fcdf17bb1p-3, -0x1.fe57b40068208p-4, -0x1.e05444c24a104p-4, -0x1.c26a7b6b4498ep-4, -0x1.a49d11e2307d5p-4, -0x1.86eeace8d481ep-4, -0x1.6961dc7cb3894p-4, -0x1.4bf91c3c6e81bp-4, -0x1.2eb6d3d0e952p-4, -0x1.119d57597d37bp-4, -0x1.e95dcfb50aa83p-5, -0x1.afdb675b3f5ep-5, -0x1.76b7ade6096bcp-5, -0x1.3df6b806afe17p-5, -0x1.059c77c2df7bcp-5, -0x1.9b597aae1387dp-6, -0x1.2c56702d74194p-6, -0x1.7c6ddd282db98p-7, -0x1.4407583b046e7p-8, 0x1.b4235ee862f68p-10, 0x1.0d1d9a0fc42ep-7, 0x1.e1bb80c829b51p-7, 0x1.5a2919231826cp-6, 0x1.c26b16e17a09ap-6, 0x1.14cf1724b9bd7p-5, 0x1.47de83d8f5d9fp-5, 0x1.7a613ee61f7b9p-5, 0x1.ac54ce305220ep-5, 0x1.ddb6cf8cd1f2ap-5, 0x1.07427c17adeb3p-4, 0x1.1f5e8a0f7fdbbp-4, 0x1.372e82d946628p-4, 0x1.4eb1628a2a171p-4, 0x1.65e62fe6a539fp-4, 0x1.7ccbfc2ba34a4p-4, 0x1.9361e2db168c5p-4, 0x1.a9a7098bf514dp-4, 0x1.bf9a9fbd70a91p-4, 0x1.d53bdead4f3e3p-4, 0x1.ea8a093140ba9p-4, 0x1.ff846b92f62a1p-4, 0x1.0a152db783cafp-3, 0x1.143d9bcb20cb7p-3, 0x1.1e3b33f8ac6f9p-3, 0x1.280daeb36f64ap-3, 0x1.31b4c8e18dba2p-3, 0x1.3b3043d0f061dp-3, 0x1.447fe52cf9e03p-3, 0x1.4da376f50efa1p-3, 0x1.569ac773ba313p-3, 0x1.5f65a9367ac72p-3, 0x1.6803f3060a7f9p-3, 0x1.70757fdf204a3p-3, 0x1.78ba2eeb875d8p-3, 0x1.80d1e37b8ac36p-3, 0x1.88bc84ff95abfp-3, 0x1.9079ff01fd188p-3, 0x1.980a4120ea118p-3, 0x1.9f6d3f08421abp-3, 0x1.a6a2f06b8ec59p-3, 0x1.adab50ffd3ac9p-3, 0x1.b4866075405dep-3, 0x1.bb342270b72c8p-3, 0x1.c1b49e8521dd6p-3, 0x1.c807e02c78edep-3, 0x1.ce2df6c089c1cp-3, 0x1.d426f5735eb3cp-3, 0x1.d9f2f34754769p-3, 0x1.df920b06c0a2p-3, 0x1.e5045b3b393fbp-3, 0x1.ea4a062469ff1p-3, 0x1.ef6331ae738b4p-3, 0x1.f4500767d5024p-3, 0x1.f910b476db28ep-3, 0x1.fda5698e8f31dp-3, 0x1.01072d7196111p-2, 0x1.0325e00f07413p-2, 0x1.052eea289404bp-2, 0x1.07226af4f96d1p-2, 0x1.09008351f14a5p-2, 0x1.0ac955bd2bcdfp-2, 0x1.0c7d064d0a4a6p-2, 0x1.0e1bbaa91d40dp-2, 0x1.0fa59a0265bd2p-2, 0x1.111acd0b5df69p-2, 0x1.127b7defc6901p-2, 0x1.13c7d84c3e30dp-2, 0x1.15000925a4562p-2, 0x1.16243ee04a02p-2, 0x1.1734a936ed321p-2, 0x1.183179318cc1ep-2, 0x1.191ae11c0bebep-2, 0x1.19f1147cae358p-2, 0x1.1ab4480a710d3p-2, 0x1.1b64b1a3388c3p-2, 0x1.1c028841e78cep-2, 0x1.1c8e03f44d87dp-2, 0x1.1d075dd103bb5p-2, 0x1.1d6ecfed2c69ep-2, 0x1.1dc495521dde7p-2, 0x1.1e08e9f2fd2a1p-2, 0x1.1e3c0aa247baep-2, 0x1.1e5e350753b6cp-2, 0x1.1e6fa793c2b3bp-2, 0x1.1e70a178f1cc4p-2, 0x1.1e61629d63fcep-2, 0x1.1e422b922b9fbp-2, 0x1.1e133d88584e5p-2, 0x1.1dd4da4666154p-2, 0x1.1d87441db5e42p-2, 0x1.1d2abde014107p-2, 0x1.1cbf8ad541ec4p-2, 0x1.1c45eeb099503p-2, 0x1.1bbe2d86b961cp-2, 0x1.1b288bc34d4bep-2, 0x1.1a854e1ee41f4p-2, 0x1.19d4b994e386p-2, 0x1.19171359962d2p-2, 0x1.184ca0d05572p-2, 0x1.1775a781d0172p-2, 0x1.16926d1274987p-2, 0x1.15a33738fc7c3p-2, 0x1.14a84bb519f18p-2, 0x1.13a1f0464bb28p-2, 0x1.12906aa2d9cd4p-2, 0x1.1174006ef9206p-2, 0x1.104cf734182fap-2, 0x1.0f1b945857f2fp-2, 0x1.0de01d1631118p-2, 0x1.0c9ad674482b9p-2, 0x1.0b4c053d6a9afp-2, 0x1.09f3edf8c37e9p-2, 0x1.0892d4e238cc3p-2, 0x1.0728fde2fe09cp-2, 0x1.05b6ac8a56f73p-2, 0x1.043c24068beaep-2, 0x1.02b9a71e13d6p-2, 0x1.012f7828ed584p-2, 0x1.ff3bb2145e7b1p-3, 0x1.fc0a1653963e9p-3, 0x1.f8ca9edd06f54p-3, 0x1.f57dcc7032618p-3, 0x1.f2241eb35655ep-3, 0x1.eebe142893c75p-3, 0x1.eb4c2a2383d4p-3, 0x1.e7cedcbf32d23p-3, 0x1.e446a6d4832adp-3, 0x1.e0b401f0fb83ap-3, 0x1.dd17664dfcb51p-3, 0x1.d9714ac85b25p-3, 0x1.d5c224d86452fp-3, 0x1.d20a688a48aa9p-3, 0x1.ce4a8876e6182p-3, 0x1.ca82f5bcffaf5p-3, 0x1.c6b41ffacf0a1p-3, 0x1.c2de754800168p-3, 0x1.bf026230069d6p-3, 0x1.bb2051acdab21p-3, 0x1.b738ad220c37cp-3, 0x1.b34bdc583c6f6p-3, 0x1.af5a4578e8722p-3, 0x1.ab644d0a99b51p-3, 0x1.a76a55ed6778ap-3, 0x1.a36cc157d1f18p-3, 0x1.9f6beed3f1e1cp-3, 0x1.9b683c3d0109cp-3, 0x1.976205bd2d5d8p-3, 0x1.9359a5cbc34e1p-3, 0x1.8f4f752ba3b95p-3, 0x1.8b43caea08222p-3, 0x1.8736fc5d9450ap-3, 0x1.83295d25ad6fcp-3, 0x1.7f1b3f2a1beecp-3, 0x1.7b0cf29af4a2dp-3, 0x1.76fec5f0c05cp-3, 0x1.72f105ecf000dp-3, 0x1.6ee3fd9a85714p-3, 0x1.6ad7f64f03a87p-3, 0x1.66cd37ab98ecep-3, 0x1.62c4079e7f89ap-3, 0x1.5ebcaa64a2425p-3, 0x1.5ab7628b6cc22p-3, 0x1.56b470f2d7dbp-3, 0x1.52b414cfa7e86p-3, 0x1.4eb68baddb928p-3, 0x1.4abc11734d964p-3, 0x1.46c4e0627fe46p-3, 0x1.42d1311d98034p-3, 0x1.3ee13aa984c77p-3, 0x1.3af5327148fep-3, 0x1.370d4c4971313p-3, 0x1.3329ba73ae5ddp-3, 0x1.2f4aada294b9ap-3, 0x1.2b7054fd74dcep-3, 0x1.279ade24638a6p-3, 0x1.23ca753454d1cp-3, 0x1.1fff44cb5357p-3, 0x1.1c39760cdf2f9p-3, 0x1.187930a65ad24p-3, 0x1.14be9ad391891p-3, 0x1.1109d9635cacdp-3, 0x1.0d5b0fbc57d43p-3, 0x1.09b25fe1a93e7p-3, 0x1.060fea77de793p-3, 0x1.0273cec9da9d8p-3, 0x1.fdbc559ba8c4dp-4, 0x1.f69e3654b9f6cp-4, 0x1.ef8d767700f15p-4, 0x1.e88a4a2fcc501p-4, 0x1.e194e32bffd25p-4, 0x1.daad70a28ba5bp-4, 0x1.d3d41f5eee3e7p-4, 0x1.cd0919cbc0bdep-4, 0x1.c64c87fd5dbc7p-4, 0x1.bf9e8fbc810a3p-4, 0x1.b8ff5490fac94p-4, 0x1.b26ef7cc67cf4p-4, 0x1.abed9894e6823p-4, 0x1.a57b53efd4815p-4, 0x1.9f1844cc88c8ap-4, 0x1.98c4840f11e0dp-4, 0x1.9280289ae7375p-4, 0x1.8c4b475d9edc8p-4, 0x1.8625f359952e7p-4, 0x1.80103db0931c1p-4, 0x1.7a0a35ae64ec9p-4, 0x1.7413e8d366792p-4, 0x1.6e2d62df06407p-4, 0x1.6856adda3a679p-4, 0x1.628fd221e0cb2p-4, 0x1.5cd8d671150a2p-4, 0x1.5731bfeb7173cp-4, 0x1.519a92273f994p-4, 0x1.4c134f3790f2dp-4, 0x1.469bf7b648903p-4, 0x1.41348ace08fep-4, 0x1.3bdd06440dc2bp-4, 0x1.36956681f2086p-4, 0x1.315da69f54f91p-4, 0x1.2c35c06b6d647p-4, 0x1.271dac767e41dp-4, 0x1.2215621b3345cp-4, 0x1.1d1cd787e1d8cp-4, 0x1.183401c7ac7fdp-4, 0x1.135ad4cb8b87cp-4, 0x1.0e914373349d9p-4, 0x1.09d73f95ed1dbp-4, 0x1.052cba0b32de6p-4, 0x1.0091a2b352ae9p-4, 0x1.f80bd0ffabaefp-5, 0x1.ef12f2f7a7febp-5, 0x1.e63885a85226ep-5, 0x1.dd7c61bf0c276p-5, 0x1.d4de5e4cc9541p-5, 0x1.cc5e50d5adbd8p-5, 0x1.c3fc0d607bfcdp-5, 0x1.bbb76685accc9p-5, 0x1.b3902d7e5b5a1p-5, 0x1.ab863232d7df2p-5, 0x1.a39943490ef43p-5, 0x1.9bc92e329c71ep-5, 0x1.9415bf3aa87cbp-5, 0x1.8c7ec1937e335p-5, 0x1.8503ff63dd0cp-5, 0x1.7da541d40c9f8p-5, 0x1.7662511aa8537p-5, 0x1.6f3af48934d55p-5, 0x1.682ef29869968p-5, 0x1.613e10f434f71p-5, 0x1.5a681487914c4p-5, 0x1.53acc18803b2p-5, 0x1.4d0bdb80eb5dcp-5, 0x1.4685255e870dbp-5, 0x1.40186178bc8b3p-5, 0x1.39c5519da5c5ep-5, 0x1.338bb71bd356ap-5, 0x1.2d6b52cc63085p-5, 0x1.2763e51cc5197p-5, 0x1.21752e184d114p-5, 0x1.1b9eed718edc3p-5, 0x1.15e0e28b6bbp-5, 0x1.103acc81f29adp-5, 0x1.0aac6a3302171p-5, 0x1.05357a46af91ep-5, 0x1.ffab766ede846p-6, 0x1.f519d6b41ea1dp-6, 0x1.eab591cad7287p-6, 0x1.e07e23f3ecbcdp-6, 0x1.d673095208dbcp-6, 0x1.cc93bdf7cafe3p-6, 0x1.c2dfbdf57d2e9p-6, 0x1.b95685667866bp-6, 0x1.aff7907e12b4fp-6, 0x1.a6c25b94231fcp-6, 0x1.9db663312c2b1p-6, 0x1.94d3241a172e9p-6, 0x1.8c181b5b9d57cp-6, 0x1.8384c655341dep-6, 0x1.7b18a2c3c21eap-6, 0x1.72d32ecbc95b2p-6, 0x1.6ab3e903651ebp-6, 0x1.62ba507bc7203p-6, 0x1.5ae5e4ca6e44cp-6, 0x1.533626120403fp-6, 0x1.4baa950adce92p-6, 0x1.4442b30b32026p-6, 0x1.3cfe020f07463p-6, 0x1.35dc04bfaca4ap-6, 0x1.2edc3e7b012bbp-6, 0x1.27fe335a7b0fbp-6, 0x1.21416839a5c73p-6, 0x1.1aa562bca67c8p-6, 0x1.1429a9563d9c8p-6, 0x1.0dcdc34d8c948p-6, 0x1.079138c3a99adp-6, 0x1.017392b8d4775p-6, 0x1.f6e8b622f84d3p-7, 0x1.eb26393603464p-7, 0x1.df9ec6204571ap-7, 0x1.d451763a97067p-7, 0x1.c93d64c924244p-7, 0x1.be61af02eb138p-7, 0x1.b3bd7418e3446p-7, 0x1.a94fd53cab447p-7, 0x1.9f17f5a6a5bf2p-7, 0x1.9514fa9bdccap-7, 0x1.8b460b736acp-7, 0x1.81aa519b54f7fp-7, 0x1.7840f89d4a55p-7, 0x1.6f092e22c86fcp-7, 0x1.660221f8eae5bp-7, 0x1.5d2b061406965p-7, 0x1.54830e92baf3bp-7, 0x1.4c0971c09dfe6p-7, 0x1.43bd68191b0fep-7, 0x1.3b9e2c49136fep-7, 0x1.33aafb311f7e4p-7, 0x1.2be313e6ecfecp-7, 0x1.2445b7b66e872p-7, 0x1.1cd22a22fb962p-7, 0x1.1587b0e7df48ap-7, 0x1.0e6593f8de55p-7, 0x1.076b1d82463e6p-7, 0x1.009799e8de217p-7, 0x1.f3d4af9360c24p-8, 0x1.e6c54ff2bba78p-8, 0x1.d9ffbb067c897p-8, 0x1.cd829b514e361p-8, 0x1.c14c9fbed56cbp-8, 0x1.b55c7ba1551a7p-8, 0x1.a9b0e6adffb1ap-8, 0x1.9e489cf9df5f9p-8, 0x1.93225ef56183p-8, 0x1.883cf16875114p-8, 0x1.7d971d6da13c9p-8, 0x1.732fb06d36486p-8, 0x1.69057c17e6ee5p-8, 0x1.5f175661605b3p-8, 0x1.5564197a5646dp-8, 0x1.4beaa3ca55a0ep-8, 0x1.42a9d7e9a7486p-8, 0x1.39a09c9a5bb78p-8, 0x1.30cddcc1cf27cp-8, 0x1.283087610c137p-8, 0x1.1fc78f8e0a637p-8, 0x1.1791ec6c0426p-8, 0x1.0f8e99237e8d3p-8, 0x1.07bc94dac18c5p-8, 0x1.001ae2ada572cp-8, 0x1.f151134ad3a0fp-9, 0x1.e2c9296080b57p-9, 0x1.d49c2531c5974p-9, 0x1.c6c82bfb87f93p-9, 0x1.b94b6a913fb8ep-9, 0x1.ac24154a402a5p-9, 0x1.9f5067f0583ap-9, 0x1.92cea5adb6882p-9, 0x1.869d18f98c126p-9, 0x1.7aba1386c87b9p-9, 0x1.6f23ee3045edp-9, 0x1.63d908e67b178p-9, 0x1.58d7ca9c40345p-9, 0x1.4e1ea13377dfep-9, 0x1.43ac016a225abp-9, 0x1.397e66c6e64d5p-9, 0x1.2f9453857074bp-9, 0x1.25ec508346b59p-9, 0x1.1c84ed2beb8cp-9, 0x1.135cbf6545991p-9, 0x1.0a72637bfc7e3p-9, 0x1.01c47c101164dp-9, 0x1.f2a36401b2aaap-10, 0x1.e23168b27518ap-10, 0x1.d23070787b60ep-10, 0x1.c29df1a210537p-10, 0x1.b3776e5f7bb04p-10, 0x1.a4ba74998469ap-10, 0x1.96649dcd37bafp-10, 0x1.88738ee1fad43p-10, 0x1.7ae4f80406ed1p-10, 0x1.6db6947d66893p-10, 0x1.60e62a8e71427p-10, 0x1.54718b479837fp-10, 0x1.48569262f24fbp-10, 0x1.3c93261db674ap-10, 0x1.3125371231ae8p-10, 0x1.260ac011be594p-10, 0x1.1b41c5fec7bf6p-10, 0x1.10c857a82cfbdp-10, 0x1.069c8da213764p-10, 0x1.f9791445a4104p-11, 0x1.e64cf1b98366ap-11, 0x1.d3b11db47ec2bp-11, 0x1.c1a214b11a5c5p-11, 0x1.b01c6549e851fp-11, 0x1.9f1cafef9720ep-11, 0x1.8e9fa6a2ef92p-11, 0x1.7ea20cadfa40fp-11, 0x1.6f20b65e70d3ap-11, 0x1.601888bf9dbaap-11, 0x1.5186795646cfap-11, 0x1.43678ddc38ed5p-11, 0x1.35b8dbfc5621ep-11, 0x1.28778911364eap-11, 0x1.1ba0c9e08ae4dp-11, 0x1.0f31e25c24e8cp-11, 0x1.0328255e3f7ddp-11, 0x1.ef01e8d78fd8p-12, 0x1.d8737ee4e7f96p-12, 0x1.c2a0091763852p-12, 0x1.ad829f7995442p-12, 0x1.991675751e3eep-12, 0x1.8556d9572503ep-12, 0x1.723f33d8f2e04p-12, 0x1.5fcb07a752b0bp-12, 0x1.4df5f0eef3ad4p-12, 0x1.3cbba4e60d30bp-12, 0x1.2c17f15af0dd5p-12, 0x1.1c06bc411acadp-12, 0x1.0c840342b99fap-12, 0x1.fb17b69f30267p-13, 0x1.de34e06740e4bp-13, 0x1.c258084b6f709p-13, 0x1.a779dec4c33cfp-13, 0x1.8d933f7c8636dp-13, 0x1.749d30820db22p-13, 0x1.5c90e17d20d7fp-13, 0x1.4567aae1c02a2p-13, 0x1.2f1b0d2a9a977p-13, 0x1.19a4b015b8372p-13, 0x1.04fe61e02e381p-13, 0x1.e2442d11ee8ccp-14, 0x1.bc13ce27a2affp-14, 0x1.976021a09c6ep-14, 0x1.741de943a1545p-14, 0x1.52422c9b78d3cp-14, 0x1.31c2378d7a8dep-14, 0x1.129398fea0491p-14, 0x1.e95842fd78bccp-15, 0x1.b003c3e29a931p-15, 0x1.7916547bf092ap-15, 0x1.447d101c52e6dp-15, 0x1.12258afff4c69p-15, 0x1.c3fb9fc1fac9cp-16, 0x1.67e8baf07fa1ep-16, 0x1.0ff0482f94292p-16, 0x1.77e20d3a6758cp-17, 0x1.af2a3c9af0c1ap-18, 0x1.f5d4fdb8e56afp-20, -0x1.4babc3bf2d608p-19, -0x1.bb2efb3913d1dp-18, -0x1.61856092ab08cp-17, -0x1.deed6cd7b9a05p-17, -0x1.2b037b68d2e42p-16, -0x1.6383ee34df338p-16, -0x1.991246afbde77p-16, -0x1.cbc8098d17c72p-16, -0x1.fbbe0c5dee12ap-16, -0x1.14863caf67155p-15, -0x1.29e569a403db4p-15, -0x1.3e07fc89c7232p-15, -0x1.50f914c9fc85cp-15, -0x1.62c383913210cp-15, -0x1.7371cd9209856p-15, -0x1.830e2cbf10081p-15, -0x1.91a291fe9fa2fp-15, -0x1.9f38a6db8e346p-15, -0x1.abd9cf246dd76p-15, -0x1.b78f2a88c113ap-15, -0x1.c2619638d5d5ep-15, -0x1.cc59ae6149694p-15, -0x1.d57fcfbfb325ep-15, -0x1.dddc191c2e92p-15, -0x1.e5766cbe0feccp-15, -0x1.ec5671dc7011bp-15, -0x1.f283960acfd7fp-15, -0x1.f8050e99e3421p-15, -0x1.fce1d9ef7975ap-15, -0x1.0090606f1f416p-14, -0x1.02642bf75df45p-14, -0x1.03ef80563c318p-14, -0x1.0535757039219p-14, -0x1.06390ae7402bp-14, -0x1.06fd28b3dbe9cp-14, -0x1.07849fbc8dc07p-14, -0x1.07d22a683ee38p-14, -0x1.07e86d3109a9dp-14, -0x1.07c9f72cff3c3p-14, -0x1.0779429ec865bp-14, -0x1.06f8b57a39f6bp-14, -0x1.064aa1ea46a31p-14, -0x1.057146d2de057p-14, -0x1.046ed04fea207p-14, -0x1.034558322b09bp-14, -0x1.01f6e67a5710ep-14, -0x1.008571d116612p-14, -0x1.fde5bff206767p-15, -0x1.fa820c889c7fcp-15, -0x1.f6e3540525e64p-15, -0x1.f30d01de8441ep-15, -0x1.ef0263383addp-15, -0x1.eac6a7b528434p-15, -0x1.e65ce2457731dp-15, -0x1.e1c809eacceeep-15, -0x1.dd0afa8196b7bp-15, -0x1.d828757c7ab46p-15, -0x1.d323229f657bap-15, -0x1.cdfd90b9574a8p-15, -0x1.c8ba365496451p-15, -0x1.c35b7267c74c4p-15, -0x1.bde38cfc54a47p-15, -0x1.b854b7db1333bp-15, -0x1.b2b10f2a3e464p-15, -0x1.acfa9a0e72603p-15, -0x1.a7334b4591175p-15, -0x1.a15d01bf9dc13p-15, -0x1.9b7989313723ep-15, -0x1.958a9aa61b3d4p-15, -0x1.8f91dd0d7a7ecp-15, -0x1.8990e5c3083f5p-15, -0x1.83893914ccb6bp-15, -0x1.7d7c4ac98ab0bp-15, -0x1.776b7e9de2ea5p-15, -0x1.715828c1d407bp-15, -0x1.6b438e5501726p-15, -0x1.652ee5dab07b7p-15, -0x1.5f1b57ae3ee81p-15, -0x1.5909fe7542b25p-15, -0x1.52fbe78c96f2bp-15, -0x1.4cf21374d3a14p-15, -0x1.46ed763c3e431p-15, -0x1.40eef7e06eb17p-15, -0x1.3af774b73ff99p-15, -0x1.3507bdcd23387p-15, -0x1.2f2099437c8dcp-15, -0x1.2942c2abc0833p-15, -0x1.236eeb6460c82p-15, -0x1.1da5baedd6f4bp-15, -0x1.17e7cf3f0b5dep-15, -0x1.1235bd1b265d3p-15, -0x1.0c90105f339a4p-15, -0x1.06f74c50f791ep-15, -0x1.016bebed3f73fp-15, -0x1.f7dcc46049afbp-16, -0x1.ecfe34bcf9af3p-16, -0x1.e23cf09867e08p-16, -0x1.d799b1411a2fp-16, -0x1.cd152231f3f0ep-16, -0x1.c2afe192f4535p-16, -0x1.b86a80b5ad805p-16, -0x1.ae45849284ceep-16, -0x1.a441663e3c927p-16, -0x1.9a5e936005621p-16, -0x1.909d6e9d6bdcp-16, -0x1.86fe500a42bf2p-16, -0x1.7d81859314f03p-16, -0x1.74275363e8fb9p-16, -0x1.6aeff448410bep-16, -0x1.61db9a1237c5ap-16, -0x1.58ea6df6e981dp-16, -0x1.501c90e80acb9p-16, -0x1.47721bee20ff2p-16, -0x1.3eeb2080b4d0bp-16, -0x1.3687a8d47b4p-16, -0x1.2e47b82f516bbp-16, -0x1.262b4b3a542a1p-16, -0x1.1e325848e70c8p-16, -0x1.165ccfa34aea4p-16, -0x1.0eaa9bd24865fp-16, -0x1.071ba1e06e28bp-16, -0x1.ff5f833bf18ddp-17, -0x1.f0cdabc90ef86p-17, -0x1.e28169a0a3c02p-17, -0x1.d47a6005b6c5cp-17, -0x1.c6b829b8a42a6p-17, -0x1.b93a596bf5dc1p-17, -0x1.ac007a287cb4dp-17, -0x1.9f0a0fc3298d7p-17, -0x1.92569743178f3p-17, -0x1.85e58742a0ddcp-17, -0x1.79b6504a64938p-17, -0x1.6dc85d372d0bap-17, -0x1.621b1396ca3e1p-17, -0x1.56add3f42b3d7p-17, -0x1.4b7ffa341a73fp-17, -0x1.4090dde1fad85p-17, -0x1.35dfd2804c4abp-17, -0x1.2b6c27d003dfep-17, -0x1.21352a1d6fda9p-17, -0x1.173a2288ecb8bp-17, -0x1.0d7a57429d15cp-17, -0x1.03f50bcf0c0bfp-17, -0x1.f5530291b71bcp-18, -0x1.e32ded3994cacp-18, -0x1.d179517d56d7dp-18, -0x1.c033a5c18767ap-18, -0x1.af5b5d5ecdc8p-18, -0x1.9eeee904cc3b7p-18, -0x1.8eecb71c8fab5p-18, -0x1.7f5334252fca4p-18, -0x1.7020cb0bf1775p-18, -0x1.6153e58f89fefp-18, -0x1.52eaec8653224p-18, -0x1.44e4483b65b9ap-18, -0x1.373e60acb0bf2p-18, -0x1.29f79ddebd11cp-18, -0x1.1d0e6823073eep-18, -0x1.10812859fc678p-18, -0x1.044e482fb5653p-18, -0x1.f0e864ba0cf1ap-19, -0x1.d9e2a5bed3599p-19, -0x1.c3882e68bb983p-19, -0x1.add5dd0a52a4fp-19, -0x1.98c893ca43c5bp-19, -0x1.845d38f5bc1adp-19, -0x1.7090b75b317bdp-19, -0x1.5d5ffea99c6a3p-19, -0x1.4ac803b5f47e8p-19, -0x1.38c5c0dacfd04p-19, -0x1.27563629d97f3p-19, -0x1.167669b40026cp-19, -0x1.062367e1d6cc1p-19, -0x1.ecb4872f88086p-20, -0x1.ce302cfc76b59p-20, -0x1.b0b402679379ep-20, -0x1.943a56ef8d2f7p-20, -0x1.78bd88c4e27e3p-20, -0x1.5e3805112a4cbp-20, -0x1.44a4486dcbea2p-20, -0x1.2bfcdef486477p-20, -0x1.143c64a3a6c61p-20, -0x1.fabb0b585b94dp-21, -0x1.ceb5fd4bb653fp-21, -0x1.a45f3954b3417p-21, -0x1.7bac7b5a58741p-21, -0x1.5493a0f5b96dap-21, -0x1.2f0aa9fd3648bp-21, -0x1.0b07b8b3b8064p-21, -0x1.d1022427ae3f1p-22, -0x1.8eda3bf2eebb6p-22, -0x1.4f84ce809e169p-22, -0x1.12ef37e1c25ccp-22, -0x1.b20e35e0e4abfp-23, -0x1.4374c250f7838p-23, -0x1.b3dcec7812b43p-24, -0x1.d56101c70c5aap-25, -0x1.58f9d40249a34p-27, 0x1.1635a2c7e094ap-25, 0x1.384071cd94fe9p-24, 0x1.dc935a7f422c8p-24, 0x1.3c2a128369728p-23, 0x1.85e128e8c0cdap-23, 0x1.cb8e2418f4a78p-23, 0x1.06a7d5cbeb641p-22, 0x1.25a1ede53eba5p-22, 0x1.42c42360aad19p-22, 0x1.5e1cfa416daaep-22, 0x1.77bab203eee71p-22, 0x1.8fab45f975692p-22, 0x1.a5fc6dc11859ep-22, 0x1.babb9da0cd069p-22, 0x1.cdf6072e68559p-22, 0x1.dfb899d4413cp-22, 0x1.f010034b6dcc6p-22, 0x1.ff08b02aee207p-22, 0x1.065766363fd8cp-21, 0x1.0c8721f595732p-21, 0x1.121961a6954b7p-21, 0x1.1713dc2f7f72p-21, 0x1.1b7c2958c2ea6p-21, 0x1.1f57c22f9ea68p-21, 0x1.22ac014fda63ep-21, 0x1.257e2353e9b93p-21, 0x1.27d347087ba7dp-21, 0x1.29b06dd07afffp-21, 0x1.2b1a7bf8dca1fp-21, 0x1.2c16391586304p-21, 0x1.2ca8506081ab1p-21, 0x1.2cd55122ab7c2p-21, 0x1.2ca1aefb85f2ap-21, 0x1.2c11c2300e763p-21, 0x1.2b29c835eb2ecp-21, 0x1.29ede3eb19822p-21, 0x1.28621e0723fd3p-21, 0x1.268a656eb33fp-21, 0x1.246a8f9fad8b2p-21, 0x1.22065901f2faep-21, 0x1.1f61654bc0cd4p-21, 0x1.1c7f3fe0414b7p-21, 0x1.19635c33468a4p-21, 0x1.16111626c2d6cp-21, 0x1.128bb27090bccp-21, 0x1.0ed65ee3f5b45p-21, 0x1.0af432e7b958cp-21, 0x1.06e82fcc05161p-21, 0x1.02b5411e84f6cp-21, 0x1.fcbc7a3df07dcp-22, 0x1.f3cbca144e382p-22, 0x1.ea9dcae149836p-22, 0x1.e137ad4d7adb7p-22, 0x1.d79e7a31ed5a1p-22, 0x1.cdd713591718p-22, 0x1.c3e6341cbffcdp-22, 0x1.b9d07220eac17p-22, 0x1.af9a3e0904d07p-22, 0x1.a547e43e9b7ap-22, 0x1.9add8d74a3272p-22, 0x1.905f3f784a042p-22, 0x1.85d0dddaa5ee9p-22, 0x1.7b362a92531fbp-22, 0x1.7092c6b759e6cp-22, 0x1.65ea332481b18p-22, 0x1.5b3fd105c9f34p-22, 0x1.5096e2a04a2e9p-22, 0x1.45f28be2368bbp-22, 0x1.3b55d30699271p-22, 0x1.30c3a13e409d7p-22, 0x1.263ec34166e95p-22, 0x1.1bc9e9e98e42p-22, 0x1.1167aae8a3823p-22, 0x1.071a814df1c7ep-22, 0x1.f9c99c2cbaeb6p-23, 0x1.e591b1779e6cep-23, 0x1.d1919fc60312ep-23, 0x1.bdcd93c2c1eep-23, 0x1.aa498a7b46672p-23, 0x1.970952b08dfb1p-23, 0x1.84108db2e5933p-23, 0x1.7162b0a605216p-23, 0x1.5f030574b85e7p-23, 0x1.4cf4abf846239p-23, 0x1.3b3a9aceecfe3p-23, 0x1.29d7a08bf5ae8p-23, 0x1.18ce64b28758dp-23, 0x1.082168ad106bp-23, 0x1.efa61163f39eep-24, 0x1.cfcaf9993cbd3p-24, 0x1.b0b5b3a743ab5p-24, 0x1.926a244d0395fp-24, }}, 
      {{-0x1.a2f6fc029bac7p-8, -0x1.a2f282f506e3ep-7, -0x1.3a31caab5abefp-6, -0x1.a2e77307ee3dbp-6, -0x1.05ccdbc99b907p-5, -0x1.3a23622378526p-5, -0x1.6e75e18c23739p-5, -0x1.a2c2e48e6548p-5, -0x1.d7096e81a45aap-5, -0x1.05a4aefe714f9p-4, -0x1.1fc1ce83d9fd1p-4, -0x1.39dd112a7ba68p-4, -0x1.53f7e88dd5304p-4, -0x1.6e14238ac5dc9p-4, -0x1.8833d2b043f7cp-4, -0x1.a2592e429a1a4p-4, -0x1.bc867fd2782e3p-4, -0x1.d6be0fd831841p-4, -0x1.f10216d886e0dp-4, -0x1.05aa589c4f71dp-3, -0x1.12dbea73d2594p-3, -0x1.2016a41c5cd33p-3, -0x1.2d5b4cc71f04dp-3, -0x1.3aaa8bdc43854p-3, -0x1.4804e58cffc0ep-3, -0x1.556ab7dee403cp-3, -0x1.62dc384ad2f8p-3, -0x1.705972064c401p-3, -0x1.7de2450599f79p-3, -0x1.8b7665baac2fdp-3, -0x1.99155d8a1a45cp-3, -0x1.a6be8be681242p-3, -0x1.b47127fbbb3f2p-3, -0x1.c22c42cf092ecp-3, -0x1.cfeec9b7c6b37p-3, -0x1.ddb789149fe2dp-3, -0x1.eb852f239223p-3, -0x1.f9564ee652c6bp-3, -0x1.0394b1806dd8p-2, -0x1.0a7e68420f394p-2, -0x1.116774cd827f5p-2, -0x1.184ef809cb596p-2, -0x1.1f340be0b13bep-2, -0x1.2615c45c5ab38p-2, -0x1.2cf330b210809p-2, -0x1.33cb5c3b80d8bp-2, -0x1.3a9d4f60386a1p-2, -0x1.416810712c1dp-2, -0x1.482aa478118adp-2, -0x1.4ee40ffc2a9cep-2, -0x1.559357bdcf818p-2, -0x1.5c378169c10a4p-2, -0x1.62cf9444f594p-2, -0x1.695a99d141a9ap-2, -0x1.6fd79e6b03875p-2, -0x1.7645b1dfaddd4p-2, -0x1.7ca3e7fcf2ef2p-2, -0x1.82f15918228b2p-2, -0x1.892d228d4b254p-2, -0x1.8f5667359b758p-2, -0x1.956c4fd49321fp-2, -0x1.9b6e0b7b96b3ep-2, -0x1.a15acfe39428ep-2, -0x1.a731d9bc7e829p-2, -0x1.acf26cf285f24p-2, -0x1.b29bd4e907585p-2, -0x1.b82d64ab5b1ddp-2, -0x1.bda67713b89fcp-2, -0x1.c3066ee884cf8p-2, -0x1.c84cb6f07fb45p-2, -0x1.cd78c1fe471c6p-2, -0x1.d28a0af3cbf03p-2, -0x1.d78014be50228p-2, -0x1.dc5a6a4b9309dp-2, -0x1.e1189e78dcf1ep-2, -0x1.e5ba4bfc8fb34p-2, -0x1.ea3f154aeaea7p-2, -0x1.eea6a476a8bcdp-2, -0x1.f2f0ab0e117f8p-2, -0x1.f71ce1f5209ecp-2, -0x1.fb2b093d45c0ep-2, -0x1.ff1ae7fb422p-2, -0x1.0176260dcf817p-1, -0x1.034f851b0ed24p-1, -0x1.05197eb0457dfp-1, -0x1.06d403809ce49p-1, -0x1.087f0750bbe76p-1, -0x1.0a1a80e016d8fp-1, -0x1.0ba669d26eb54p-1, -0x1.0d22be9993a44p-1, -0x1.0e8f7e5f774ecp-1, -0x1.0fecaaf09c39p-1, -0x1.113a48a6e5a61p-1, -0x1.12785e54ce2d6p-1, -0x1.13a6f53108f7p-1, -0x1.14c618c285b4fp-1, -0x1.15d5d6ccdb4d6p-1, -0x1.16d63f3d13f08p-1, -0x1.17c76416d15bep-1, -0x1.18a95961c9bd1p-1, -0x1.197c3517942fp-1, -0x1.1a400f11bbcep-1, -0x1.1af500f81b25p-1, -0x1.1b9b262f6fe5fp-1, -0x1.1c329bc82b8c2p-1, -0x1.1cbb806d745fap-1, -0x1.1d35f45456a0fp-1, -0x1.1da2192b213f4p-1, -0x1.1e001208eb04fp-1, -0x1.1e50035d3e07ap-1, -0x1.1e9212dfe9934p-1, -0x1.1ec66780f70cdp-1, -0x1.1eed2958c4df8p-1, -0x1.1f06819846943p-1, -0x1.1f129a796a82fp-1, -0x1.1f119f2faad7p-1, -0x1.1f03bbd8c65fep-1, -0x1.1ee91d6daaa4ap-1, -0x1.1ec1f1b38c253p-1, -0x1.1e8e672d355d2p-1, -0x1.1e4ead0c8bdecp-1, -0x1.1e02f32453719p-1, -0x1.1dab69da2f6c4p-1, -0x1.1d484218e8e31p-1, -0x1.1cd9ad42fb6c9p-1, -0x1.1c5fdd256dfcep-1, -0x1.1bdb03eafaeabp-1, -0x1.1b4b540f8a331p-1, -0x1.1ab1005400665p-1, -0x1.1a0c3bb269809p-1, -0x1.195d39527bb84p-1, -0x1.18a42c7e7a9dcp-1, -0x1.17e14898793a4p-1, -0x1.1714c10fff5c3p-1, -0x1.163ec958112f1p-1, -0x1.155f94dd9c335p-1, -0x1.147756fe487d3p-1, -0x1.138642ffb1f65p-1, -0x1.128c8c0705ae6p-1, -0x1.118a651105dccp-1, -0x1.108000ea73b37p-1, -0x1.0f6d9228dbedep-1, -0x1.0e534b23ca12p-1, -0x1.0d315dee5a074p-1, -0x1.0c07fc512e9dbp-1, -0x1.0ad757c4c194cp-1, -0x1.099fa16c157d3p-1, -0x1.08610a0fbeb04p-1, -0x1.071bc21944e53p-1, -0x1.05cff98edbdc5p-1, -0x1.047de00f6c851p-1, -0x1.0325a4ceeff2cp-1, -0x1.01c776931585bp-1, -0x1.006383b0352a5p-1, -0x1.fdf3f40d0cda2p-2, -0x1.fb160dff3a16p-2, -0x1.f82daf184b013p-2, -0x1.f53b3043bc93dp-2, -0x1.f23ee9739c188p-2, -0x1.ef39319d5bbc2p-2, -0x1.ec2a5eb7142f7p-2, -0x1.e912c5b525483p-2, -0x1.e5f2ba8836f3ep-2, -0x1.e2ca901b8b873p-2, -0x1.df9a9853a67e9p-2, -0x1.dc63240d3b604p-2, -0x1.d924831c64be9p-2, -0x1.d5df044c18cc8p-2, -0x1.d292f55ddc672p-2, -0x1.cf40a309a75fcp-2, -0x1.cbe858fe01f4p-2, -0x1.c88a61e045e4bp-2, -0x1.c527074d12216p-2, -0x1.c1be91d8dc5b6p-2, -0x1.be514910a6a99p-2, -0x1.badf737ad2a38p-2, -0x1.b76956980d8e5p-2, -0x1.b3ef36e454494p-2, -0x1.b07157d80c57p-2, -0x1.aceffbe92a889p-2, -0x1.a96b648c6d736p-2, -0x1.a5e3d2369ef09p-2, -0x1.a259845de5e2p-2, -0x1.9eccb97b19b9cp-2, -0x1.9b3daf0b21e19p-2, -0x1.97aca19056e49p-2, -0x1.9419cc93ea31dp-2, -0x1.90856aa74b3b9p-2, -0x1.8cefb56592be9p-2, -0x1.8958e574ea13bp-2, -0x1.85c13287f6e89p-2, -0x1.8228d35f3f0c2p-2, -0x1.7e8ffdca8dfeep-2, -0x1.7af6e6aa5a11ap-2, -0x1.775dc1f120b8ep-2, -0x1.73c4c2a4c583ap-2, -0x1.702c1adfe9277p-2, -0x1.6c93fbd342bfdp-2, -0x1.68fc95c6ed2d4p-2, -0x1.6566181bbb7dfp-2, -0x1.61d0b14c7f439p-2, -0x1.5e3c8eef5581cp-2, -0x1.5aa9ddb6e9fp-2, -0x1.5718c973b959fp-2, -0x1.53897d1554e11p-2, -0x1.4ffc22ab9dc43p-2, -0x1.4c70e36804acp-2, -0x1.48e7e79ec3b04p-2, -0x1.456156c819aebp-2, -0x1.41dd578185a23p-2, -0x1.3e5c0f8f00374p-2, -0x1.3adda3dc36421p-2, -0x1.3762387dc6b9p-2, -0x1.33e9f0b27d9adp-2, -0x1.3074eee493acp-2, -0x1.2d0354aaf1477p-2, -0x1.299542ca6f6d5p-2, -0x1.262ad937212d1p-2, -0x1.22c437159d0efp-2, -0x1.1f617abc4b54fp-2, -0x1.1c02c1b4b9113p-2, -0x1.18a828bcefa2ep-2, -0x1.1551cbc8d0994p-2, -0x1.11ffc60376dcep-2, -0x1.0eb231d09f53cp-2, -0x1.0b6928ce13b7fp-2, -0x1.0824c3d51ffc9p-2, -0x1.04e51afc09e5ap-2, -0x1.01aa4597932dcp-2, -0x1.fce8b478fd81cp-3, -0x1.f686dd823f45cp-3, -0x1.f02f307dda3bfp-3, -0x1.e9e1d6283f798p-3, -0x1.e39ef5caa9b9ep-3, -0x1.dd66b53e6ff4p-3, -0x1.d73938f06decap-3, -0x1.d116a3e47594ep-3, -0x1.caff17b8d4a3ap-3, -0x1.c4f2b4a9df761p-3, -0x1.bef199959815ep-3, -0x1.b8fbe3ff5b684p-3, -0x1.b311b0139aac7p-3, -0x1.ad3318abad9c5p-3, -0x1.a7603751a9d34p-3, -0x1.a19924444bcd6p-3, -0x1.9bddf67ae992fp-3, -0x1.962ec3a97a809p-3, -0x1.908ba044a6fa2p-3, -0x1.8af49f85e007fp-3, -0x1.8569d36f8f956p-3, -0x1.7feb4cd148aefp-3, -0x1.7a791b4c07961p-3, -0x1.75134d5680c9p-3, -0x1.6fb9f04171cc9p-3, -0x1.6a6d103c046f1p-3, -0x1.652cb85833cdap-3, -0x1.5ff8f28f404d5p-3, -0x1.5ad1c7c628db9p-3, -0x1.55b73fd22cfa2p-3, -0x1.50a9617d5412ap-3, -0x1.4ba8328afbd2ep-3, -0x1.46b3b7bc71f9p-3, -0x1.41cbf4d587f74p-3, -0x1.3cf0eca1382f3p-3, -0x1.3822a0f645e62p-3, -0x1.336112bbe523bp-3, -0x1.2eac41ee64539p-3, -0x1.2a042da3d7a89p-3, -0x1.2568d410c9c79p-3, -0x1.20da328ce72bp-3, -0x1.1c584597afafp-3, -0x1.17e308dd273bap-3, -0x1.137a773a7e852p-3, -0x1.0f1e8ac2c8fdfp-3, -0x1.0acf3cc3a2119p-3, -0x1.068c85c9d8887p-3, -0x1.02565da61585ap-3, -0x1.fc5976e2f733ap-4, -0x1.f41f2b24963b1p-4, -0x1.ebfdc380ef2e6p-4, -0x1.e3f52a14788p-4, -0x1.dc0547b15bcadp-4, -0x1.d42e03e889bf9p-4, -0x1.cc6f4512b1ecbp-4, -0x1.c4c8f0594898dp-4, -0x1.bd3ae9bf65e9cp-4, -0x1.b5c5142a98ba4p-4, -0x1.ae67516bbcf56p-4, -0x1.a721824799a5ap-4, -0x1.9ff3867f97a54p-4, -0x1.98dd3cda4199p-4, -0x1.91de832bc87cap-4, -0x1.8af7365e625dfp-4, -0x1.8427327a9ad6cp-4, -0x1.7d6e52af91c36p-4, -0x1.76cc715b17a9ep-4, -0x1.70416811bc969p-4, -0x1.69cd0fa6c548cp-4, -0x1.636f4033ff1fcp-4, -0x1.5d27d12188c59p-4, -0x1.56f6992d74d9ep-4, -0x1.50db6e735a243p-4, -0x1.4ad62673c6ec5p-4, -0x1.44e6961b971e5p-4, -0x1.3f0c91cb31cdfp-4, -0x1.3947ed5dac56ap-4, -0x1.33987c2fcad3p-4, -0x1.2dfe1126ef575p-4, -0x1.28787eb7df4cep-4, -0x1.230796ed7790ap-4, -0x1.1dab2b6f3b9f3p-4, -0x1.18630d87cc4dep-4, -0x1.132f0e2b3f5fap-4, -0x1.0e0efdfd5743p-4, -0x1.0902ad57a2b58p-4, -0x1.0409ec4f77763p-4, -0x1.fe491577ab23cp-5, -0x1.f4a4b076511d7p-5, -0x1.eb264871d7d52p-5, -0x1.e1cd7be66633bp-5, -0x1.d899e90023b7bp-5, -0x1.cf8b2da5c69e1p-5, -0x1.c6a0e782fc0b7p-5, -0x1.bddab41275c8bp-5, -0x1.b53830a7da719p-5, -0x1.acb8fa796131ep-5, -0x1.a45caea945c0ep-5, -0x1.9c22ea4ef81a1p-5, -0x1.940b4a800d962p-5, -0x1.8c156c59077p-5, -0x1.8440ed05ca7bp-5, -0x1.7c8d69c9f024p-5, -0x1.74fa8008d7102p-5, -0x1.6d87cd4d7249ap-5, -0x1.6634ef51f2136p-5, -0x1.5f0184072c58ap-5, -0x1.57ed299bc1e98p-5, -0x1.50f77e8324c0bp-5, -0x1.4a20217c56833p-5, -0x1.4366b1987a4fdp-5, -0x1.3ccace412abf9p-5, -0x1.364c173ea49e8p-5, -0x1.2fea2cbdb1f5ap-5, -0x1.29a4af5570238p-5, -0x1.237b400cd5376p-5, -0x1.1d6d806013857p-5, -0x1.177b1245b7eafp-5, -0x1.11a39833ae63p-5, -0x1.0be6b52405de6p-5, -0x1.06440c99881fdp-5, -0x1.00bb42a4302bfp-5, -0x1.f697f7cabbbebp-6, -0x1.ebebbb27e05fp-6, -0x1.e1711b00489fp-6, -0x1.d727642eb0aa1p-6, -0x1.cd0de4cf2df46p-6, -0x1.c323ec45f8a24p-6, -0x1.b968cb45e8f03p-6, -0x1.afdbd3d6a7332p-6, -0x1.a67c595a7b706p-6, -0x1.9d49b093e28eap-6, -0x1.94432faacfc8cp-6, -0x1.8b682e3198fc1p-6, -0x1.82b80529acc6ep-6, -0x1.7a320f07f7badp-6, -0x1.71d5a7b8fef7bp-6, -0x1.69a22ca4c1c6fp-6, -0x1.6196fcb249965p-6, -0x1.59b3784b030edp-6, -0x1.51f7015dd9401p-6, -0x1.4a60fb6209b7cp-6, -0x1.42f0cb59be328p-6, -0x1.3ba5d7d462098p-6, -0x1.347f88f0e3ed6p-6, -0x1.2d7d485f7a5e1p-6, -0x1.269e81637c8c2p-6, -0x1.1fe2a0d4c5012p-6, -0x1.194915210c8a8p-6, -0x1.12d14e4cf9d94p-6, -0x1.0c7abdf50d3e5p-6, -0x1.0644d74e4dc59p-6, -0x1.002f0f26cf9dfp-6, -0x1.f471b7cc2900ep-7, -0x1.e8c36b1a5dbffp-7, -0x1.dd522b6d94b56p-7, -0x1.d21cef2df387dp-7, -0x1.c722aff5d6492p-7, -0x1.bc626a90decdp-7, -0x1.b1db1efaaf8eap-7, -0x1.a78bd05d7dc5cp-7, -0x1.9d73851013ee5p-7, -0x1.93914693ec3d5p-7, -0x1.89e42192c1291p-7, -0x1.806b25dc0ba6p-7, -0x1.77256662193dfp-7, -0x1.6e11f9370e737p-7, -0x1.652ff78994b4p-7, -0x1.5c7e7da15f79cp-7, -0x1.53fcaadb7bf1ep-7, -0x1.4ba9a1a651d3ep-7, -0x1.4384877db2b6ap-7, -0x1.3b8c84e6636aep-7, -0x1.33c0c569c012cp-7, -0x1.2c2077912565ap-7, -0x1.24aacce1110c9p-7, -0x1.1d5ef9d42f474p-7, -0x1.163c35d64e3fcp-7, -0x1.0f41bb3f2604dp-7, -0x1.086ec74cef429p-7, -0x1.01c29a1ee8f3ap-7, -0x1.f678ed5f7d5f3p-8, -0x1.e9b7459f88625p-8, -0x1.dd3ece3e5b3e5p-8, -0x1.d10e1e1028167p-8, -0x1.c523d170dd5c5p-8, -0x1.b97e8a37f8321p-8, -0x1.ae1cefabf6407p-8, -0x1.a2fdae75d5e83p-8, -0x1.981f789465c17p-8, -0x1.8d81054f4d2c6p-8, -0x1.8321112a24a56p-8, -0x1.78fe5dd74d5bap-8, -0x1.6f17b22ac48f2p-8, -0x1.656bda0cb709ap-8, -0x1.5bf9a66c4398ep-8, -0x1.52bfed31cea28p-8, -0x1.49bd8931a878ap-8, -0x1.40f15a1e30ccp-8, -0x1.385a447a60da8p-8, -0x1.2ff7318be42f6p-8, -0x1.27c70f4d7b21ap-8, -0x1.1fc8d0610d62cp-8, -0x1.17fb6c01eafe9p-8, -0x1.105dddf6f375dp-8, -0x1.08ef2684a263ap-8, -0x1.01ae4a5f5ae76p-8, -0x1.f534a53abdcb5p-9, -0x1.e7649952558b8p-9, -0x1.d9ea9466ae0bfp-9, -0x1.ccc4c24a1faddp-9, -0x1.bff15724236a9p-9, -0x1.b36e8f55fcccp-9, -0x1.a73aaf5f433dfp-9, -0x1.9b5403c25b0c1p-9, -0x1.8fb8e0e966d8bp-9, -0x1.8467a30abe5a9p-9, -0x1.795eae0e034a8p-9, -0x1.6e9c6d7157887p-9, -0x1.641f542e1f487p-9, -0x1.59e5dc9e72e3bp-9, -0x1.4fee8862a57d8p-9, -0x1.4637e0468c9c1p-9, -0x1.3cc074277f462p-9, -0x1.3386dad9fcbecp-9, -0x1.2a89b20fbb669p-9, -0x1.21c79e3df3d93p-9, -0x1.193f4a839a971p-9, -0x1.10ef689006e5cp-9, -0x1.08d6b089b4258p-9, -0x1.00f3e0f50176bp-9, -0x1.f28b7d37203e9p-10, -0x1.e39628e6da0c7p-10, -0x1.d505670d3de52p-10, -0x1.c6d6e5b5b6269p-10, -0x1.b9085eb30e6c6p-10, -0x1.ab97976fabc9ap-10, -0x1.9e8260be431bap-10, -0x1.91c696ab2e1d4p-10, -0x1.8562204dcdfd6p-10, -0x1.7952ef9b076ecp-10, -0x1.6d97013741be1p-10, -0x1.622c5c49d613ap-10, -0x1.57111250586d6p-10, -0x1.4c433ef296fd7p-10, -0x1.41c107d6c572dp-10, -0x1.37889c76ea42dp-10, -0x1.2d9835f560a33p-10, -0x1.23ee16f37a531p-10, -0x1.1a888b67655dcp-10, -0x1.1165e872d6e54p-10, -0x1.08848c3ab101p-10, -0x1.ffc5bb7cb564fp-11, -0x1.eefe9960eb1c5p-11, -0x1.deb0a29e36f89p-11, -0x1.ced8d87a78bbep-11, -0x1.bf744cb8f4447p-11, -0x1.b080214e6dec2p-11, -0x1.a1f988161a1f8p-11, -0x1.93ddc28894ac2p-11, -0x1.862a2172b4b4cp-11, -0x1.78dc04ada0a02p-11, -0x1.6bf0dad84db26p-11, -0x1.5f662111d7993p-11, -0x1.533962b3a83aep-11, -0x1.4768390e804f2p-11, -0x1.3bf04b26e86c6p-11, -0x1.30cf4d7320e36p-11, -0x1.2603019a63995p-11, -0x1.1b89363440e7cp-11, -0x1.115fc689803eep-11, -0x1.07849a5582429p-11, -0x1.fbeb4b13274bfp-12, -0x1.e961d01ef1f24p-12, -0x1.d768db1d69ef1p-12, -0x1.c5fc9a61c5417p-12, -0x1.b51952d0e968ep-12, -0x1.a4bb5f7015db2p-12, -0x1.94df30f2fe5cap-12, -0x1.85814d4ee21dcp-12, -0x1.769e4f4da17eep-12, -0x1.6832e6229a3d7p-12, -0x1.5a3bd5014af2p-12, -0x1.4cb5f2b65771p-12, -0x1.3f9e2940c1dccp-12, -0x1.32f1756ef00b3p-12, -0x1.26ace67ab8522p-12, -0x1.1acd9da97ea8fp-12, -0x1.0f50cdecf544dp-12, -0x1.0433bb840957bp-12, -0x1.f2e77740c0163p-13, -0x1.de1c6815684dbp-13, -0x1.ca0135939c7f5p-13, -0x1.b690eb970cd4cp-13, -0x1.a3c6b51ba8b12p-13, -0x1.919ddb96b008bp-13, -0x1.8011c64fb0012p-13, -0x1.6f1df9bc13cc8p-13, -0x1.5ebe16e09784cp-13, -0x1.4eeddab304e34p-13, -0x1.3fa91d7eb4d63p-13, -0x1.30ebd24d0f674p-13, -0x1.22b2065170d42p-13, -0x1.14f7e0564c9aep-13, -0x1.07b9a02be3263p-13, -0x1.f5e73c39b126bp-14, -0x1.dd4494c34644ep-14, -0x1.c58459370995ep-14, -0x1.ae9fc69646d65p-14, -0x1.989046a2d3e6ep-14, -0x1.834f6ed7c2b3cp-14, -0x1.6ed6ff7176dcp-14, -0x1.5b20e274df357p-14, -0x1.48272abb920e8p-14, -0x1.35e413065f28cp-14, -0x1.2451fd147a94bp-14, -0x1.136b70bd70622p-14, -0x1.032b1b1140eefp-14, -0x1.e7179af963de4p-15, -0x1.c910f9e2406b3p-15, -0x1.ac388221a7b53p-15, -0x1.9084a6be53406p-15, -0x1.75ec1cebe60d7p-15, -0x1.5c65da7acebb1p-15, -0x1.43e91455b0619p-15, -0x1.2c6d3cfb6a60fp-15, -0x1.15ea03120f0c7p-15, -0x1.00574ff109d94p-15, -0x1.d75a8c76ba2cfp-16, -0x1.afc880fdb05cp-16, -0x1.89e99fb85542dp-16, -0x1.65af756732304p-16, -0x1.430bf6b1fdc38p-16, -0x1.21f17da4afbb3p-16, -0x1.0252c72fc5e64p-16, -0x1.c845e188d4c58p-17, -0x1.8eaaebd59983cp-17, -0x1.57bc5be847189p-17, -0x1.236293611b27ep-17, -0x1.e30d44e1e59d2p-18, -0x1.842486e551873p-18, -0x1.29dfad66035p-18, -0x1.a82978fc95a0dp-19, -0x1.0535e73fe248bp-19, -0x1.aa562d15d4d43p-21, 0x1.4022f135ed2bfp-22, 0x1.65c4a0ea769d4p-20, 0x1.364c8e2e1415bp-19, 0x1.b2892f9ad6a8dp-19, 0x1.13ee1886ab50dp-18, 0x1.4b43c06a60294p-18, 0x1.7f65867a57db1p-18, 0x1.b072683453eb5p-18, 0x1.de88700911adap-18, 0x1.04e25df3387dcp-17, 0x1.1921c1a8e10fp-17, 0x1.2c100ec8fb2d8p-17, 0x1.3dba83cdd7b0fp-17, 0x1.4e2df4ed520dfp-17, 0x1.5d76cef912f8p-17, 0x1.6ba11a1ee53c2p-17, 0x1.78b87c99983aap-17, 0x1.84c83d5d12a03p-17, 0x1.8fdb46abcc56fp-17, 0x1.99fc289cdd6fep-17, 0x1.a3351b8fde213p-17, 0x1.ab90029b6c3b7p-17, 0x1.b3166de1f68ddp-17, 0x1.b9d19ce05424fp-17, 0x1.bfca80a61092fp-17, 0x1.c509be081b63ep-17, 0x1.c997afbd186e7p-17, 0x1.cd7c687ae5fe2p-17, 0x1.d0bfb4f87a9c1p-17, 0x1.d3691dee437f5p-17, 0x1.d57fe9fcb9128p-17, 0x1.d70b1f9aa2a55p-17, 0x1.d81186e489408p-17, 0x1.d899ab65f0907p-17, 0x1.d8a9dddb03393p-17, 0x1.d84835e97cbc8p-17, 0x1.d77a93c1f2dbep-17, 0x1.d646a1c80a277p-17, 0x1.d4b1d6210bde9p-17, 0x1.d2c17441d4a3fp-17, 0x1.d07a8e6f0f6d9p-17, 0x1.cde2073072482p-17, 0x1.cafc92c3d14e2p-17, 0x1.c7ceb87a80ddbp-17, 0x1.c45cd418bd2dbp-17, 0x1.c0ab172158171p-17, 0x1.bcbd8a25eaac1p-17, 0x1.b8980e045a823p-17, 0x1.b43e5d1b10c2fp-17, 0x1.afb40c810dde4p-17, 0x1.aafc8d292d4bcp-17, 0x1.a61b2d00b5f09p-17, 0x1.a113180b8606dp-17, 0x1.9be75973326e8p-17, 0x1.969adc8eee6fep-17, 0x1.91306de559486p-17, 0x1.8baabc30a4ad6p-17, 0x1.860c59492f5c3p-17, 0x1.8057bb1ac7c46p-17, 0x1.7a8f3c8ac1593p-17, 0x1.74b51e57ff87cp-17, 0x1.6ecb87f651a4p-17, 0x1.68d488672aeeap-17, 0x1.62d21704182b4p-17, 0x1.5cc6144a70d2fp-17, 0x1.56b24aa05830fp-17, 0x1.50986f116de97p-17, 0x1.4a7a220aa3e1ep-17, 0x1.4458f00a8399fp-17, 0x1.3e3652546b4adp-17, 0x1.3813af98f61b4p-17, 0x1.31f25c9a11608p-17, 0x1.2bd39ccb1a4afp-17, 0x1.25b8a2efed365p-17, 0x1.1fa291ae6a934p-17, 0x1.19927c247dbeap-17, 0x1.138966792848ep-17, 0x1.0d88466312adbp-17, 0x1.079003b188be1p-17, 0x1.01a178ccceb32p-17, 0x1.f77ae66b8b6dfp-18, 0x1.ebc96804a98cp-18, 0x1.e02fe0a5d5b5ap-18, 0x1.d4afa388a3293p-18, 0x1.c949edc5a8d1bp-18, 0x1.bdffe72ab0c85p-18, 0x1.b2d2a30acdeap-18, 0x1.a7c32111d6bacp-18, 0x1.9cd24e011d6bcp-18, 0x1.920104795acdbp-18, 0x1.87500dad74f9dp-18, 0x1.7cc0221c41df9p-18, 0x1.7251ea38bade6p-18, 0x1.6805ff157f319p-18, 0x1.5ddceb0d755aep-18, 0x1.53d72a594b3a8p-18, 0x1.49f52bad4ba28p-18, 0x1.403750cf022c7p-18, 0x1.369def26d0906p-18, 0x1.2d295042db39dp-18, 0x1.23d9b263f8846p-18, 0x1.1aaf48ff1e41dp-18, 0x1.11aa3d3ba0ff5p-18, 0x1.08caae6a17b5ap-18, 0x1.0010b27be93d3p-18, 0x1.eef8ace8a7813p-19, 0x1.de1b3dad68a73p-19, 0x1.cd891019194fdp-19, 0x1.bd420da26c08dp-19, 0x1.ad461125d9ff3p-19, 0x1.9d94e7a0e2041p-19, 0x1.8e2e50f15128dp-19, 0x1.7f1200835e1ddp-19, 0x1.703f9df74064p-19, 0x1.61b6c5d40078fp-19, 0x1.53770a17bacc2p-19, 0x1.457ff2dab838dp-19, 0x1.37d0fee446a7dp-19, 0x1.2a69a4316169bp-19, 0x1.1d49508456394p-19, 0x1.106f69ea5ea58p-19, 0x1.03db4f354917cp-19, 0x1.ef18b0ed80a4ep-20, 0x1.d703aefcab5c3p-20, 0x1.bf7630847081bp-20, 0x1.a86ec29c3f314p-20, 0x1.91ebe85d8eb61p-20, 0x1.7bec1baa3c1f6p-20, 0x1.666dcde4f414bp-20, 0x1.516f68bd06e94p-20, 0x1.3cef4ecaccf5bp-20, 0x1.28ebdc4772798p-20, 0x1.156367b4da36ap-20, 0x1.0254426fdc9bdp-20, 0x1.df797294a1d2bp-21, 0x1.bb362a3718e5bp-21, 0x1.97db3695c3e8bp-21, 0x1.75651ca196f43p-21, 0x1.53d05c68e0492p-21, 0x1.331972122e445p-21, 0x1.133cd6bfcd1f8p-21, 0x1.e86e02bb4dce9p-22, 0x1.ac08cee631438p-22, 0x1.7142fc003f541p-22, 0x1.381574366c3fap-22, 0x1.00792385b8619p-22, 0x1.94cdf202a8ec8p-23, 0x1.2bafd00ac58eep-23, 0x1.8b13a59a4db03p-24, 0x1.8937e6dbeffe5p-25, 0x1.ee5382f7252bap-31, -0x1.6e8bfe35f08c3p-25, -0x1.6ce796f2c95abp-24, -0x1.0e91c6ea45dd6p-23, -0x1.640a917a72f1cp-23, -0x1.b6ebb1e384fddp-23, -0x1.03a14a4c5168dp-22, -0x1.2a8e4538af9d9p-22, -0x1.50436378e9ab9p-22, -0x1.74c72fbc18bb2p-22, -0x1.982024da56f69p-22, -0x1.ba54ad6ba00b2p-22, -0x1.db6b231ce92cap-22, -0x1.fb69ce5bc7c93p-22, -0x1.0d2b72e30a34p-21, -0x1.1c1c46f0aaa0fp-21, -0x1.2a8a6c4c56b58p-21, -0x1.3878e28579625p-21, -0x1.45ea9f97af5dcp-21, -0x1.52e28fb9cebbep-21, -0x1.5f639548b198p-21, -0x1.6b7088ab451fcp-21, -0x1.770c38396b0a7p-21, -0x1.8239681ae2da3p-21, -0x1.8cfad243dc7c6p-21, -0x1.97532658eb6e9p-21, -0x1.a14509a16d9cbp-21, -0x1.aad317031d98fp-21, -0x1.b3ffdef46f547p-21, -0x1.bccde7751da7p-21, -0x1.c53fac085e7fcp-21, -0x1.cd579dbf4d9a2p-21, -0x1.d51823317d7aap-21, -0x1.dc83987ba8db4p-21, -0x1.e39c4f45aee6bp-21, -0x1.ea648ecb69f1ep-21, -0x1.f0de93e5fda66p-21, -0x1.f70c9111d28dp-21, -0x1.fcf0ae7577f2fp-21, -0x1.014684fe723c3p-20, -0x1.03f1dba9f0cc5p-20, -0x1.067b600090173p-20, -0x1.08e411bcad7e1p-20, -0x1.0b2ceb9202dadp-20, -0x1.0d56e33b47efp-20, -0x1.0f62e9852bb65p-20, -0x1.1151ea57ca582p-20, -0x1.1324ccbda26adp-20, -0x1.14dc72f1d3dfap-20, -0x1.1679ba6f0f195p-20, -0x1.17fd7bf6b3b0bp-20, -0x1.19688b9ece957p-20, -0x1.1abbb8defa41bp-20, -0x1.1bf7ce9c77799p-20, -0x1.1d1d9337aa4b2p-20, -0x1.1e2dc897116b4p-20, -0x1.1f292c3a7359cp-20, -0x1.20107746e94aap-20, -0x1.20e45e92759dcp-20, -0x1.21a592b5bb76dp-20, -0x1.2254c016786fp-20, -0x1.22f28ef7265fep-20, -0x1.237fa3896b726p-20, -0x1.23fc9df89183p-20, -0x1.246a1a7b3c925p-20, -0x1.24c8b15f94cf5p-20, -0x1.2518f71d7616ep-20, -0x1.255b7c64154dfp-20, -0x1.2590ce27a5bb6p-20, -0x1.25b975af4141p-20, -0x1.25d5f8a723624p-20, -0x1.25e6d92f9981ap-20, -0x1.25ec95ecfd71ap-20, -0x1.25e7aa143a93ep-20, -0x1.25d88d79679e8p-20, -0x1.25bfb4a0424dcp-20, -0x1.259d90cc17822p-20, -0x1.2572900e3a6f9p-20, -0x1.253f1d52a8dd9p-20, -0x1.2503a06faf4p-20, -0x1.24c07e36b76afp-20, -0x1.247618803a1efp-20, -0x1.2424ce3ac2e02p-20, -0x1.23ccfb79fd06ap-20, -0x1.236ef982ff383p-20, -0x1.230b1edd78a68p-20, -0x1.22a1bf5fdc407p-20, -0x1.22332c3f04cb5p-20, -0x1.21bfb419989f5p-20, -0x1.2147a305aa658p-20, -0x1.20cb429f9a587p-20, -0x1.204ada17f9ep-20, -0x1.1fc6ae3fe97ep-20, -0x1.1f3f0195be351p-20, -0x1.1eb414544f29ap-20, -0x1.1e26247c6beb3p-20, -0x1.1d956de1daa2ap-20, -0x1.1d022a38a37e4p-20, -0x1.1c6c9120cf83ep-20, -0x1.1bd4d8356fdd3p-20, -0x1.1b3b33152452fp-20, -0x1.1a9fd3711bae8p-20, -0x1.1a02e916ec03p-20, -0x1.1964a1fa35ee5p-20, -0x1.18c52a425204cp-20, -0x1.1824ac568414fp-20, -0x1.178350e74353ep-20, -0x1.16e13ef913bfbp-20, -0x1.163e9befe4199p-20, -0x1.159b8b9a55f6ep-20, -0x1.14f8303ba62e9p-20, -0x1.1454aa93afe57p-20, -0x1.13b119e9b130cp-20, -0x1.130d9c17affa6p-20, -0x1.126a4d94242c4p-20, -0x1.11c7497bdb81p-20, -0x1.1124a99af34ap-20, -0x1.1082867476065p-20, -0x1.0fe0f74ce1c37p-20, -0x1.0f4012321fa1bp-20, -0x1.0e9fec065e5f1p-20, -0x1.0e00988736df8p-20, -0x1.0d622a55ce5a1p-20, -0x1.0cc4b2ff98c7bp-20, -0x1.0c284306fe26bp-20, -0x1.0b8ce9e9e12d6p-20, -0x1.0af2b62a3e713p-20, -0x1.0a59b5557086cp-20, -0x1.09c1f40c272d5p-20, -0x1.092b7e08b8486p-20, -0x1.08965e28d308ap-20, -0x1.08029e73b044bp-20, -0x1.077048201aecfp-20, -0x1.06df639a2ae85p-20, -0x1.064ff88b62fd6p-20, -0x1.05c20de17fceep-20, -0x1.0535a9d454806p-20, -0x1.04aad1ec35bd4p-20, -0x1.04218b07c392ap-20, -0x1.0399d9631f9bap-20, -0x1.0313c09b054adp-20, -0x1.028f43b4e0cb2p-20, -0x1.020c6522fa249p-20, -0x1.018b26ca5e547p-20, -0x1.010b8a073b199p-20, -0x1.008d8fb46f667p-20, -0x1.0011382f44d8dp-20, -0x1.ff2d06ba149cp-21, -0x1.fe3ae15e5d8cep-21, -0x1.fd4bfe4cf9015p-21, -0x1.fc605ab472409p-21, -0x1.fb77f2f80f753p-21, -0x1.fa92c2b6deb0ap-21, -0x1.f9b0c4d58185ep-21, -0x1.f8d1f386e2537p-21, -0x1.f7f64852d25dbp-21, -0x1.f71dbc1fe8521p-21, -0x1.f6484739952ebp-21, -0x1.f575e157e7345p-21, -0x1.f4a681a45460ap-21, -0x1.f3da1ec452905p-21, -0x1.f310aee1e4339p-21, -0x1.f24a27ae994e1p-21, -0x1.f1867e6b33bdcp-21, -0x1.f0c5a7efbfb8cp-21, -0x1.f00798af2ffbep-21, -0x1.ef4c44bba1d6dp-21, -0x1.ee939fd22a84ap-21, -0x1.eddd9d5c01c74p-21, -0x1.ed2a30754ae51p-21, -0x1.ec794bf3a9142p-21, -0x1.ebcae2689b60bp-21, -0x1.eb1ee62931182p-21, -0x1.ea7549514c0ap-21, -0x1.e9cdfdc83a5b4p-21, -0x1.e928f54556cdep-21, }}, 
      {{0x1.a0c472183718cp-1, 0x1.a0c27ae26eb4ep-1, 0x1.a0c4324e4fbcep-1, 0x1.a0cd96b5f2b08p-1, 0x1.a0e0371fc504cp-1, 0x1.a0fa3e7f11b5cp-1, 0x1.a116748d67b2p-1, 0x1.a12cdc52e25ffp-1, 0x1.a1339e0902ed5p-1, 0x1.a12000550f635p-1, 0x1.a0e74bb562cccp-1, 0x1.a07f84d8b0ba6p-1, 0x1.9fdff6d4033ebp-1, 0x1.9f018dd5c6adbp-1, 0x1.9ddf074ddbe41p-1, 0x1.9c74fe9b672a1p-1, 0x1.9ac1ddf361313p-1, 0x1.98c5baef18e35p-1, 0x1.9682256c92cb6p-1, 0x1.93f9ee682722dp-1, 0x1.9130eb63939a6p-1, 0x1.8e2bb9e6372cbp-1, 0x1.8aef85b3dfe29p-1, 0x1.8781d38a9448p-1, 0x1.83e8518df1668p-1, 0x1.8028adfec33dap-1, 0x1.7c4874741c181p-1, 0x1.784cf17c8948cp-1, 0x1.743b1c55bd2cfp-1, 0x1.701786433209cp-1, 0x1.6be64ef51e98p-1, 0x1.67ab1d656cfb8p-1, 0x1.63691c8d6062fp-1, 0x1.5f22fb5a06e74p-1, 0x1.5adaef4d6ef4dp-1, 0x1.5692b945819b7p-1, 0x1.524babedfedcp-1, 0x1.4e06b3709f67bp-1, 0x1.49c45e0403fa8p-1, 0x1.4584e50772e11p-1, 0x1.41483665f8417p-1, 0x1.3d0dfe073e033p-1, 0x1.38d5af1f0644fp-1, 0x1.349e8d35c3427p-1, 0x1.3067b4cd228c4p-1, 0x1.2c30238ab5343p-1, 0x1.27f6bfd918a79p-1, 0x1.23ba5ff559f48p-1, 0x1.1f79d062b5fe1p-1, 0x1.1b33d9c28096ep-1, 0x1.16e74610f51f7p-1, 0x1.1292e54a08868p-1, 0x1.0e35917b31111p-1, 0x1.09ce32487908cp-1, 0x1.055bbfec32f05p-1, 0x1.00dd45b95f3fep-1, 0x1.f8a3c85277c93p-2, 0x1.ef71a4f96f737p-2, 0x1.e622bff512edap-2, 0x1.dcb5e9a53769fp-2, 0x1.d32a255e8f32bp-2, 0x1.c97ea9f92e8a3p-2, 0x1.bfb2e1dadcb1cp-2, 0x1.b5c66a8c2df28p-2, 0x1.abb913e695afap-2, 0x1.a18adee8bfac4p-2, 0x1.973bfc3d98c9bp-2, 0x1.8cccca81a2202p-2, 0x1.823dd45133e94p-2, 0x1.778fce2987003p-2, 0x1.6cc394258f36bp-2, 0x1.61da279ed3882p-2, 0x1.56d4acb9bbfe7p-2, 0x1.4bb467e40e3d8p-2, 0x1.407abb4ba3806p-2, 0x1.35292452bb42dp-2, 0x1.29c13906b4525p-2, 0x1.1e44a59d638fdp-2, 0x1.12b529fcb6e1ap-2, 0x1.0714974fdb352p-2, 0x1.f6c99b593aae5p-3, 0x1.df4f7396b786ep-3, 0x1.c7bea5a6f4ce7p-3, 0x1.b01b307bd665fp-3, 0x1.98691f9e1e5aep-3, 0x1.80ac8751dc7a4p-3, 0x1.68e980ece41edp-3, 0x1.5124276049136p-3, 0x1.396093f55eadep-3, 0x1.21a2db3e5549dp-3, 0x1.09ef0a3a56767p-3, 0x1.e49247590d998p-4, 0x1.b56a3b4a7aff6p-4, 0x1.866dbe78d4c7ep-4, 0x1.57a47cf80c9edp-4, 0x1.2915fcf2578d6p-4, 0x1.f5933669a9f59p-5, 0x1.998d1026cf65bp-5, 0x1.3e278940e855ap-5, 0x1.c6e080d42332bp-6, 0x1.12e8d91721831p-6, 0x1.8206c8105ad52p-8, -0x1.40f0ecdb2ab09p-8, -0x1.fe7230c2596f7p-7, -0x1.ac5df6ab244c4p-6, -0x1.2bca691aff58ep-5, -0x1.80644a60f35c3p-5, -0x1.d3f28bc72ccfp-5, -0x1.1335c91ed3dcfp-4, -0x1.3be31d9e1cc14p-4, -0x1.63fcee53e49f2p-4, -0x1.8b7f2235ae992p-4, -0x1.b265dbe587174p-4, -0x1.d8ad793b5cc1bp-4, -0x1.fe5292b10cp-4, -0x1.11a8fd59d1d5fp-3, -0x1.23d45e6e4ceeep-3, -0x1.35aa0e8a95399p-3, -0x1.4728cb53296a6p-3, -0x1.584f6d9bb1efcp-3, -0x1.691ce8deaaedep-3, -0x1.79904aae5bde9p-3, -0x1.89a8ba1ffd21bp-3, -0x1.99657731eaeb5p-3, -0x1.a8c5da2da54f1p-3, -0x1.b7c953065d2b7p-3, -0x1.c66f68b4b351cp-3, -0x1.d4b7b89054909p-3, -0x1.e2a1f5a7f690cp-3, -0x1.f02de8185055cp-3, -0x1.fd5b6c627c537p-3, -0x1.051539611c1b5p-2, -0x1.0b4d7f423c1eap-2, -0x1.115692af4aaf4p-2, -0x1.1730876344be4p-2, -0x1.1cdb79a6333efp-2, -0x1.22578dfab5d8ap-2, -0x1.27a4f0cc747fp-2, -0x1.2cc3d61f92c37p-2, -0x1.31b4794141772p-2, -0x1.36771c7983b8fp-2, -0x1.3b0c08be36647p-2, -0x1.3f738d676e1bbp-2, -0x1.43adffe53b524p-2, -0x1.47bbbb76db60ep-2, -0x1.4b9d20e35f6fap-2, -0x1.4f529633dd6fep-2, -0x1.52dc866f2109fp-2, -0x1.563b6156eb716p-2, -0x1.596f9b26c301dp-2, -0x1.5c79ac54570a2p-2, -0x1.5f5a1151712cbp-2, -0x1.62114a4f81161p-2, -0x1.649fdb04b325ep-2, -0x1.67064a729de8fp-2, -0x1.694522ae79a47p-2, -0x1.6b5cf0aae3435p-2, -0x1.6d4e44032873p-2, -0x1.6f19aec815e66p-2, -0x1.70bfc54e4277ap-2, -0x1.72411dfdd6479p-2, -0x1.739e5123c5802p-2, -0x1.74d7f8c478905p-2, -0x1.75eeb06fdf3f9p-2, -0x1.76e31516e4096p-2, -0x1.77b5c4e240323p-2, -0x1.78675f0aa130fp-2, -0x1.78f883b22361dp-2, -0x1.7969d3bf13f12p-2, -0x1.79bbf0b7f5254p-2, -0x1.79ef7ca0c266ep-2, -0x1.7a0519d96976ap-2, -0x1.79fd6afd70e84p-2, -0x1.79d912c4cd326p-2, -0x1.7998b3e5d6b3p-2, -0x1.793cf0f8599d7p-2, -0x1.78c66c59c3576p-2, -0x1.7835c81257b85p-2, -0x1.778ba5bb79998p-2, -0x1.76c8a666f04ap-2, -0x1.75ed6a87300dbp-2, -0x1.74fa91d899c81p-2, -0x1.73f0bb4bac8b8p-2, -0x1.72d084f023c5dp-2, -0x1.719a8be101296p-2, -0x1.704f6c31727cap-2, -0x1.6eefc0da99093p-2, -0x1.6d7c23aa2576dp-2, -0x1.6bf52d31c7a3bp-2, -0x1.6a5b74b769accp-2, -0x1.68af902633833p-2, -0x1.66f21400538a5p-2, -0x1.6523935181af8p-2, -0x1.63449fa23f2f6p-2, -0x1.6155c8ebc9cb7p-2, -0x1.5f579d8cbe7b8p-2, -0x1.5d4aaa3e6885fp-2, -0x1.5b2f7a0ab8294p-2, -0x1.59069642db1e1p-2, -0x1.56d0867673dfp-2, -0x1.548dd06b6c2fdp-2, -0x1.523ef8165b6bbp-2, -0x1.4fe47f93825b6p-2, -0x1.4d7ee7205277p-2, -0x1.4b0ead157f40ap-2, -0x1.48944de197f5fp-2, -0x1.46104404228f8p-2, -0x1.4383080934887p-2, -0x1.40ed1085873c2p-2, -0x1.3e4ed21305a6cp-2, -0x1.3ba8bf4dc9db8p-2, -0x1.38fb48d18f78p-2, -0x1.3646dd379015bp-2, -0x1.338be914c8679p-2, -0x1.30cad6f8a837dp-2, -0x1.2e040f6c1d6ecp-2, -0x1.2b37f8f107565p-2, -0x1.2866f80200815p-2, -0x1.25916f12834c9p-2, -0x1.22b7be8f6655cp-2, -0x1.1fda44dfaa4f9p-2, -0x1.1cf95e6597e12p-2, -0x1.1a1565802e01bp-2, -0x1.172eb28cd5d1p-2, -0x1.14459be962f6dp-2, -0x1.115a75f654386p-2, -0x1.0e6d93195bbe2p-2, -0x1.0b7f43c021d78p-2, -0x1.088fd66346a3ep-2, -0x1.059f97899e393p-2, -0x1.02aed1cba4a5dp-2, -0x1.ff7b9bae4e546p-3, -0x1.f999a4e63c862p-3, -0x1.f3b849077734ap-3, -0x1.edd80e1d49a67p-3, -0x1.e7f9767eb11fap-3, -0x1.e21d00d77d1fap-3, -0x1.dc432831c08bep-3, -0x1.d66c63ff8938fp-3, -0x1.d0992824df941p-3, -0x1.cac9e5020926ap-3, -0x1.c4ff077e0a6eap-3, -0x1.bf38f91160216p-3, -0x1.b9781fd0f0b99p-3, -0x1.b3bcde792f48p-3, -0x1.ae07947973eb5p-3, -0x1.a8589dff73f34p-3, -0x1.a2b05402efab4p-3, -0x1.9d0f0c5178c61p-3, -0x1.9775199a63e3bp-3, -0x1.91e2cb7ad2b7ep-3, -0x1.8c586e89da565p-3, -0x1.86d64c64c6868p-3, -0x1.815cabbb6885ep-3, -0x1.7bebd05c81f0bp-3, -0x1.7683fb423b19bp-3, -0x1.71256a9ea5b23p-3, -0x1.6bd059e84ae21p-3, -0x1.668501e6c068ap-3, -0x1.614398bf45a88p-3, -0x1.5c0c520161944p-3, -0x1.56df5eb37ed95p-3, -0x1.51bced5f8e325p-3, -0x1.4ca52a1f9aa77p-3, -0x1.47983eaa65b88p-3, -0x1.4296525fea05cp-3, -0x1.3d9f8a55e886p-3, -0x1.38b409645a788p-3, -0x1.33d3f031dd2eep-3, -0x1.2eff5d4010a4cp-3, -0x1.2a366cf7e0fb8p-3, -0x1.257939b5c020ap-3, -0x1.20c7dbd5cddc7p-3, -0x1.1c2269bfe65edp-3, -0x1.1788f7f3a2b8ap-3, -0x1.12fb991436266p-3, -0x1.0e7a5df43e28ep-3, -0x1.0a0555a172f3ap-3, -0x1.059c8d703ad43p-3, -0x1.01401107279bfp-3, -0x1.f9dfd4d49ff33p-4, -0x1.f158440d25aa7p-4, -0x1.e8e97d7969b2fp-4, -0x1.e0938bd8c5706p-4, -0x1.d85676fe1b38cp-4, -0x1.d03243e55a718p-4, -0x1.c826f4c8bb8b8p-4, -0x1.c0348935a78e7p-4, -0x1.b85afe2178efbp-4, -0x1.b09a4dfdd2dbbp-4, -0x1.a8f270ccc73dcp-4, -0x1.a1635c34ad9cdp-4, -0x1.99ed0393a90c6p-4, -0x1.928f5812ee9b1p-4, -0x1.8b4a48b9b533bp-4, -0x1.841dc27fe2fe5p-4, -0x1.7d09b06069d57p-4, -0x1.760dfb6b52cdep-4, -0x1.6f2a8ad785aa4p-4, -0x1.685f44143afbbp-4, -0x1.61ac0ada23d8ap-4, -0x1.5b10c13c420efp-4, -0x1.548d47b873a2cp-4, -0x1.4e217d47aef5bp-4, -0x1.47cd3f6df1599p-4, -0x1.41906a49ddf1ap-4, -0x1.3b6ad8a41364ap-4, -0x1.355c63fe2cc3ep-4, -0x1.2f64e4a179163p-4, -0x1.298431ad6601cp-4, -0x1.23ba21259c5acp-4, -0x1.1e0687ffcde12p-4, -0x1.18693a313975ap-4, -0x1.12e20abbe45d8p-4, -0x1.0d70cbbb83d4fp-4, -0x1.08154e722042fp-4, -0x1.02cf635469704p-4, -0x1.fb3db42b8c9dep-5, -0x1.f10703683186p-5, -0x1.e6fa51066b2f6p-5, -0x1.dd17387036629p-5, -0x1.d35d53e7b76f3p-5, -0x1.c9cc3c9c8a905p-5, -0x1.c0638ac07b9e3p-5, -0x1.b722d59bc18b8p-5, -0x1.ae09b3a0aab02p-5, -0x1.a517ba7ebf816p-5, -0x1.9c4c7f356809p-5, -0x1.93a79626049ebp-5, -0x1.8b2893258b7d2p-5, -0x1.82cf098da427ep-5, -0x1.7a9a8c4d3f3acp-5, -0x1.728aadf8bebp-5, -0x1.6a9f00d990019p-5, -0x1.62d716fd5f8d8p-5, -0x1.5b328244c9712p-5, -0x1.53b0d47196a37p-5, -0x1.4c519f348adfap-5, -0x1.4514743abcb26p-5, -0x1.3df8e53a7e581p-5, -0x1.36fe83ffd4f59p-5, -0x1.3024e2788f0fbp-5, -0x1.296b92bfe57e2p-5, -0x1.22d22729b1c2cp-5, -0x1.1c58324d4d793p-5, -0x1.15fd470ffe04dp-5, -0x1.0fc0f8af013efp-5, -0x1.09a2dac94012dp-5, -0x1.03a281689515cp-5, -0x1.fb7f0215905abp-6, -0x1.eff2dd5433f27p-6, -0x1.e49fbf8b15413p-6, -0x1.d984d4d16cbbfp-6, -0x1.cea14a66d103fp-6, -0x1.c3f44ec1b2a16p-6, -0x1.b97d119d2cbebp-6, -0x1.af3ac406340bbp-6, -0x1.a52c98683071p-6, -0x1.9b51c298fd5d3p-6, -0x1.91a977e44c70dp-6, -0x1.8832ef167b6e4p-6, -0x1.7eed6086e475bp-6, -0x1.75d80621855efp-6, -0x1.6cf21b7046ab8p-6, -0x1.643adda3a423fp-6, -0x1.5bb18b9ad833cp-6, -0x1.535565eb91c17p-6, -0x1.4b25aee9239edp-6, -0x1.4321aaab43626p-6, -0x1.3b489f145c966p-6, -0x1.3399d3d76051ap-6, -0x1.2c14927d3467cp-6, -0x1.24b82669afe6ap-6, -0x1.1d83dce03cccfp-6, -0x1.16770507fc7f1p-6, -0x1.0f90efefad9b7p-6, -0x1.08d0f09107e25p-6, -0x1.02365bd3dfd26p-6, -0x1.f7811121d0e9bp-7, -0x1.eadd9f281468ep-7, -0x1.de81173cfa5e6p-7, -0x1.d26a32d111846p-7, -0x1.c697af45e9f22p-7, -0x1.bb084df05ffc2p-7, -0x1.afbad41a534e3p-7, -0x1.a4ae0b03cfdfdp-7, -0x1.99e0bfe39d81dp-7, -0x1.8f51c3e78203cp-7, -0x1.84ffec33a7ccap-7, -0x1.7aea11e1e2acap-7, -0x1.710f120048fb5p-7, -0x1.676dcd8f5d881p-7, -0x1.5e05297fe951p-7, -0x1.54d40eb049e5ep-7, -0x1.4bd969e965b9p-7, -0x1.43142bdb3dc6ep-7, -0x1.3a8349192ebe9p-7, -0x1.3225ba15b9447p-7, -0x1.29fa7b1e18633p-7, -0x1.22008c555d1f7p-7, -0x1.1a36f1af67909p-7, -0x1.129cb2eb614f5p-7, -0x1.0b30db8e201bep-7, -0x1.03f27adc2cc0dp-7, -0x1.f9c147a6f724bp-8, -0x1.ebf4da4a07b4fp-8, -0x1.de7de25bf0d3fp-8, -0x1.d15a9be1eedfp-8, -0x1.c4894a1db60e8p-8, -0x1.b808377eaed05p-8, -0x1.abd5b59326e09p-8, -0x1.9ff01cf8c5cacp-8, -0x1.9455cd4ced27dp-8, -0x1.89052d1ca6041p-8, -0x1.7dfca9d4640cbp-8, -0x1.733ab7af6127dp-8, -0x1.68bdd1a6c151bp-8, -0x1.5e847960a114cp-8, -0x1.548d371ea5109p-8, -0x1.4ad699ac86f78p-8, -0x1.415f364e88ef9p-8, -0x1.3825a8af710aap-8, -0x1.2f2892cea4d52p-8, -0x1.26669cee03077p-8, -0x1.1dde757fa54a5p-8, -0x1.158ed1137070fp-8, -0x1.0d766a44baf02p-8, -0x1.059401a7aeeeap-8, -0x1.fbccbb6d4f1abp-9, -0x1.ecd8957f3e253p-9, -0x1.de4935a2c9035p-9, -0x1.d01c4b51af57ep-9, -0x1.c24f913c6619ap-9, -0x1.b4e0cd24714f1p-9, -0x1.a7cdcfb6d29ecp-9, -0x1.9b14746677df1p-9, -0x1.8eb2a146b7b9ap-9, -0x1.82a646e5ec243p-9, -0x1.76ed6027d48e3p-9, -0x1.6b85f220900d8p-9, -0x1.606e0bef1cd23p-9, -0x1.55a3c69876ea6p-9, -0x1.4b2544e2902ecp-9, -0x1.40f0b32f7a48dp-9, -0x1.37044758ca254p-9, -0x1.2d5e408b0a094p-9, -0x1.23fce7218c7b6p-9, -0x1.1ade8c8250102p-9, -0x1.12018afa14c07p-9, -0x1.09644598a35afp-9, -0x1.0105280da902bp-9, -0x1.f1c54d0a346cp-10, -0x1.e1f67b0949388p-10, -0x1.d29ae391cdbp-10, -0x1.c3afa045ca4aep-10, -0x1.b531daac4a567p-10, -0x1.a71ecbed3983bp-10, -0x1.9973bc8e945bdp-10, -0x1.8c2e0431f6279p-10, -0x1.7f4b095242fcdp-10, -0x1.72c84102dbdbdp-10, -0x1.66a32eaebb28ep-10, -0x1.5ad963d85ceecp-10, -0x1.4f687fda776bep-10, -0x1.444e2fa96c45ep-10, -0x1.39882d94d5e23p-10, -0x1.2f14410a7887ap-10, -0x1.24f03e598a323p-10, -0x1.1b1a0676775fep-10, -0x1.118f86bfb4f48p-10, -0x1.084eb8c3247c2p-10, -0x1.feab4407d2ee5p-11, -0x1.ed44a783084c1p-11, -0x1.dc65d57e0eb56p-11, -0x1.cc0b1e16125fcp-11, -0x1.bc30e792adcd7p-11, -0x1.acd3adf6fd7bp-11, -0x1.9df00297da6e1p-11, -0x1.8f828bb11c2acp-11, -0x1.818803fce179dp-11, -0x1.73fd3a4d0a8e5p-11, -0x1.66df112514726p-11, -0x1.5a2a7e561c5eap-11, -0x1.4ddc8a9badbacp-11, -0x1.41f2513a52413p-11, -0x1.3668ffa00d79dp-11, -0x1.2b3dd5054ca03p-11, -0x1.206e220f51841p-11, -0x1.15f74875597f2p-11, -0x1.0bd6baa53bbc2p-11, -0x1.0209fb6b35112p-11, -0x1.f11d3b3298fb8p-12, -0x1.dec48763ff2c2p-12, -0x1.cd053f24d509cp-12, -0x1.bbdae43ef48e9p-12, -0x1.ab4115e677021p-12, -0x1.9b33901834941p-12, -0x1.8bae2afa5ff28p-12, -0x1.7cacda405e15ap-12, -0x1.6e2bac90ba07cp-12, -0x1.6026caed90145p-12, -0x1.529a78204ed8dp-12, -0x1.4583102706e7bp-12, -0x1.38dd07a57f168p-12, -0x1.2ca4eb5699dd1p-12, -0x1.20d75f8318c0ap-12, -0x1.15711f78fcec5p-12, -0x1.0a6efd04d9e2ap-12, -0x1.ff9bbfdef0075p-13, -0x1.eb158af877c5p-13, -0x1.d7457fd575011p-13, -0x1.c425ebf3f00d9p-13, -0x1.b1b144dd6d24fp-13, -0x1.9fe227367a1dep-13, -0x1.8eb355d52187bp-13, -0x1.7e1fb8d7c9dd8p-13, -0x1.6e225cc4dceb1p-13, -0x1.5eb671acdd97ep-13, -0x1.4fd74a4e49f6ep-13, -0x1.41805b43b8a0fp-13, -0x1.33ad3a2f71255p-13, -0x1.26599cef8bd26p-13, -0x1.198158d519032p-13, -0x1.0d2061ddadd15p-13, -0x1.0132c9f3572f6p-13, -0x1.eb69805dc7fc2p-14, -0x1.d545203bd1fbfp-14, -0x1.bff1421c03db1p-14, -0x1.ab66eab405e58p-14, -0x1.979f5377102bp-14, -0x1.8493e940c1449p-14, -0x1.723e4b0844f72p-14, -0x1.60984897169cfp-14, -0x1.4f9be1490d198p-14, -0x1.3f4342d326be7p-14, -0x1.2f88c80fbeacfp-14, -0x1.2066f7d3faa4dp-14, -0x1.11d883c5da0dap-14, -0x1.03d847432397cp-14, -0x1.ecc28c8306805p-15, -0x1.d2dd587ea2d5bp-15, -0x1.b9f7966bdea11p-15, -0x1.a208352363adbp-15, -0x1.8b066c62e7ab3p-15, -0x1.74e9bad63b4f2p-15, -0x1.5fa9e42a94092p-15, -0x1.4b3eef2f17fcep-15, -0x1.37a123fe98249p-15, -0x1.24c90a351f64ap-15, -0x1.12af6732582bp-15, -0x1.014d3c5b87c59p-15, -0x1.e1378af2d04ap-16, -0x1.c128ee1ff504ap-16, -0x1.a261f99416552p-16, -0x1.84d66fcec68fcp-16, -0x1.687a7b7734c5ap-16, -0x1.4d42ac5f1a76dp-16, -0x1.3323f49f2e02p-16, -0x1.1a13a5c4faf55p-16, -0x1.02076e10a5f36p-16, -0x1.d5eaab838ae05p-17, -0x1.a9a778f2cea6cp-17, -0x1.7f32ad54d1c8cp-17, -0x1.567a562f1a92p-17, -0x1.2f6d20d5e1887p-17, -0x1.09fa559857e6fp-17, -0x1.cc23a664ce69ep-18, -0x1.874814698fb2cp-18, -0x1.4543f162770d2p-18, -0x1.05fa4bc4d9d5bp-18, -0x1.929e7828663e1p-19, -0x1.1e4fb940c246bp-19, -0x1.5da906b48fb7fp-20, -0x1.0feb8d4d624cap-21, 0x1.136a24c6a1ef5p-22, 0x1.0924972c7397dp-20, 0x1.c541a0c1c32b6p-20, 0x1.3cc3c75467134p-19, 0x1.932487d6b22afp-19, 0x1.e5ead995ea098p-19, 0x1.1a9e80a37a866p-18, 0x1.409fe6a085ea2p-18, 0x1.650b50b6dde38p-18, 0x1.87f1c1b3c452p-18, 0x1.a96392d33633cp-18, 0x1.c97079732207cp-18, 0x1.e8278c70f7a3dp-18, 0x1.02cba4bb65f4fp-17, 0x1.10e6cd12e375fp-17, 0x1.1e6bec8661237p-17, 0x1.2b616b414712p-17, 0x1.37cd6eb07d366p-17, 0x1.43b5dbc88c27fp-17, 0x1.4f2059436235ep-17, 0x1.5a1251c963a3dp-17, 0x1.6490f60a2a963p-17, 0x1.6ea13ec3ad854p-17, 0x1.7847eebf94e5bp-17, 0x1.818994bf61447p-17, 0x1.8a6a8d56030f3p-17, 0x1.92ef04babc835p-17, 0x1.9b1af88ace01ep-17, 0x1.a2f23979d2d98p-17, 0x1.aa786cfb48813p-17, 0x1.b1b10eda689b7p-17, 0x1.b89f72c9b6b79p-17, 0x1.bf46c5e496934p-17, 0x1.c5aa1022cf7b8p-17, 0x1.cbcc35c44f356p-17, 0x1.d1aff8b02cb24p-17, 0x1.d757f9c4c9cc4p-17, 0x1.dcc6ba25079d1p-17, 0x1.e1fe9c77c9f34p-17, 0x1.e701e6184d6e7p-17, 0x1.ebd2c044fcd2ap-17, 0x1.f073393c0be8p-17, 0x1.f4e545579abd4p-17, 0x1.f92ac0195492cp-17, 0x1.fd456d32b99c9p-17, 0x1.009b7cc0f0a4dp-16, 0x1.02807e024f873p-16, 0x1.04527b6310b4dp-16, 0x1.06122be19a241p-16, 0x1.07c03ce35e956p-16, 0x1.095d52a111f57p-16, 0x1.0aea088c4627p-16, 0x1.0c66f1b360d3bp-16, 0x1.0dd49921c192fp-16, 0x1.0f33823c088e6p-16, 0x1.10842919bfbb9p-16, 0x1.11c702dcdc1fap-16, 0x1.12fc7e02f9a1ep-16, 0x1.142502b755196p-16, 0x1.1540f31f4c1d3p-16, 0x1.1650aba4544fap-16, 0x1.1754833c95e77p-16, 0x1.184ccbaf96233p-16, 0x1.1939d1da0032p-16, 0x1.1a1bddec34007p-16, 0x1.1af333a901b27p-16, 0x1.1bc0129fa6f18p-16, 0x1.1c82b665e4023p-16, 0x1.1d3b56ce46f4fp-16, 0x1.1dea281d597dp-16, 0x1.1e8f5b3bb3fc7p-16, 0x1.1f2b1de6fa6b9p-16, 0x1.1fbd9ae015a4ep-16, 0x1.2046fa17aea89p-16, 0x1.20c760d946a07p-16, 0x1.213ef1f54447fp-16, 0x1.21adcde6f0183p-16, 0x1.221412fb5b5c3p-16, 0x1.2271dd74c56f3p-16, 0x1.22c747ad87ec3p-16, 0x1.23146a38782f4p-16, 0x1.23595c011ce28p-16, 0x1.2396326a5ad45p-16, 0x1.23cb016a90a31p-16, 0x1.23f7dba7908b4p-16, 0x1.241cd290b9956p-16, 0x1.2439f677b0678p-16, 0x1.244f56a885d03p-16, 0x1.245d01808146dp-16, 0x1.24630483f0aa6p-16, 0x1.24616c72393d6p-16, 0x1.245845599cf97p-16, 0x1.24479aa9c66f3p-16, 0x1.242f774538057p-16, 0x1.240fe5917a90dp-16, 0x1.23e8ef880d08p-16, 0x1.23ba9ec49f07p-16, 0x1.2384fc933442bp-16, 0x1.234811fd672b5p-16, 0x1.2303e7d6f6b1p-16, 0x1.22b886c97a6b9p-16, 0x1.2265f75f5715ap-16, 0x1.220c420e7680ep-16, 0x1.21ab6f4244e89p-16, 0x1.21438764476c5p-16, 0x1.20d492e4feeb1p-16, 0x1.205e9a43b8558p-16, 0x1.1fe1a6158ee93p-16, 0x1.1f5dbf0d07305p-16, 0x1.1ed2edfffbd12p-16, 0x1.1e413bedc1da1p-16, 0x1.1da8b2043f8fp-16, 0x1.1d0959a4f4146p-16, 0x1.1c633c69f3935p-16, 0x1.1bb66428acfd9p-16, 0x1.1b02daf748e9ep-16, 0x1.1a48ab2f1b099p-16, 0x1.1987df6fad19bp-16, 0x1.18c082a1e3c54p-16, 0x1.17f29ffa2d179p-16, 0x1.171e42f9ae681p-16, 0x1.1643777106845p-16, 0x1.156249812242p-16, 0x1.147ac59cb784cp-16, 0x1.138cf88914c4cp-16, 0x1.1298ef5f177ebp-16, 0x1.119eb78b0602ep-16, 0x1.109e5ecd9396p-16, 0x1.0f97f33afe2e9p-16, 0x1.0e8b833b93c2fp-16, 0x1.0d791d8b28a89p-16, 0x1.0c60d138f8978p-16, 0x1.0b42ada61f64bp-16, 0x1.0a1ec28591cd7p-16, 0x1.08f51fdaf4968p-16, 0x1.07c5d5f919999p-16, 0x1.0690f580f8c22p-16, 0x1.05568f60b03fcp-16, 0x1.0416b4d1d2bcep-16, 0x1.02d17757b7be7p-16, 0x1.0186e8bdea47dp-16, 0x1.00371b16f69bfp-16, 0x1.fdc4417389cc3p-17, 0x1.fb10187fe8d1ap-17, 0x1.f851e1087ea52p-17, 0x1.f589c140282dep-17, 0x1.f2b7dfd37dcbp-17, 0x1.efdc63e497948p-17, 0x1.ecf7750679b3p-17, 0x1.ea093b38d2dd7p-17, 0x1.e711dee350308p-17, 0x1.e41188d13ed9ap-17, 0x1.e108622cb1d11p-17, 0x1.ddf6947a36406p-17, 0x1.dadc4994eb59ap-17, 0x1.d7b9aba80340dp-17, 0x1.d48ee52b58444p-17, 0x1.d15c20ded08eap-17, 0x1.ce2189c40317fp-17, 0x1.cadf4b1b8c8a2p-17, 0x1.c795905f134f7p-17, 0x1.c444853d4125cp-17, 0x1.c0ec5593f3da1p-17, 0x1.bd8d2d6d1d717p-17, 0x1.ba2738f970d4ap-17, 0x1.b6baa48afea17p-17, 0x1.b3479c9117af5p-17, 0x1.afce4d94e97cbp-17, 0x1.ac4ee433656a2p-17, 0x1.a8c98d194d0a7p-17, 0x1.a53e74ff1d4cbp-17, 0x1.a1adc8a462544p-17, 0x1.9e17b4cbd0c11p-17, 0x1.9a7c66365178bp-17, 0x1.96dc099f58e6fp-17, 0x1.9336cbb8a57adp-17, 0x1.8f8cd925db8d9p-17, 0x1.8bde5e796138cp-17, 0x1.882b88303100fp-17, 0x1.847482ad6ff84p-17, 0x1.80b97a36d3688p-17, 0x1.7cfa9af1854efp-17, 0x1.793810ddc495dp-17, 0x1.757207d3fee2ep-17, 0x1.71a8ab80c014bp-17, 0x1.6ddc2761c4dc1p-17, 0x1.6a0ca6c2369afp-17, 0x1.663a54b8359bcp-17, 0x1.62655c210ad96p-17, 0x1.5e8de79e3082ap-17, 0x1.5ab4219216c15p-17, 0x1.56d8341dc3902p-17, 0x1.52fa491e279f2p-17, 0x1.4f1a8a288e83p-17, 0x1.4b392088672e3p-17, 0x1.4756353ccb6b8p-17, 0x1.4371f0f5d0bap-17, 0x1.3f8c7c127ab68p-17, 0x1.3ba5fe9d2f9dp-17, 0x1.37bea04b30627p-17, 0x1.33d6887907bc5p-17, 0x1.2fedde293b591p-17, 0x1.2c04c802083e9p-17, 0x1.281b6c4b31074p-17, 0x1.2431f0ec73956p-17, 0x1.20487b6b8d11fp-17, 0x1.1c5f30eae07a6p-17, 0x1.1876362733931p-17, 0x1.148daf7676e48p-17, 0x1.10a5c0c66763ap-17, 0x1.0cbe8d9ad0fbap-17, 0x1.08d8390c4feadp-17, 0x1.04f2e5c7367p-17, 0x1.010eb60a49f96p-17, 0x1.fa57974b600cdp-18, 0x1.f2948ff1af44ep-18, 0x1.ead497e619a47p-18, 0x1.e317f023d4c72p-18, 0x1.db5ed8c02e813p-18, 0x1.d3a990e916c04p-18, 0x1.cbf856e496ec3p-18, 0x1.c44b680e82be3p-18, 0x1.bca300d80cbdep-18, 0x1.b4ff5cc579fa8p-18, 0x1.ad60b66e31e4fp-18, 0x1.a5c7477aed1bap-18, 0x1.9e3348a55a9f9p-18, 0x1.96a4f1b7e0b51p-18, 0x1.8f1c798ca0b05p-18, 0x1.879a160c81189p-18, 0x1.801dfc2f73fccp-18, 0x1.78a85ffb8b773p-18, 0x1.71397485c7c34p-18, 0x1.69d16bf1b134fp-18, 0x1.6270777098d65p-18, 0x1.5b16c7426b637p-18, 0x1.53c48ab57103ep-18, 0x1.4c79f02688177p-18, 0x1.45372502e0cc2p-18, 0x1.3dfc55c6f2cb2p-18, 0x1.36c9adff2b501p-18, 0x1.2f9f58488a3ebp-18, 0x1.287d7e51a011cp-18, 0x1.216448dbfda2bp-18, 0x1.1a53dfbbdbf6ep-18, 0x1.134c69d97cc16p-18, 0x1.0c4e0d3195e54p-18, 0x1.0558eed770326p-18, 0x1.fcda65ea6e797p-19, 0x1.ef15f99a7d8b1p-19, 0x1.e164dd76ff8bdp-19, 0x1.d3c7546d3a9p-19, 0x1.c63d9fa1eab65p-19, 0x1.b8c7fe74cfcfdp-19, 0x1.ab66ae845464cp-19, 0x1.9e19ebae654d2p-19, 0x1.90e1f0152cd5ep-19, 0x1.83bef42153367p-19, 0x1.76b12e858ba54p-19, 0x1.69b8d44310132p-19, 0x1.5cd618aaed361p-19, 0x1.50092d62d5e45p-19, 0x1.4352426827893p-19, 0x1.36b18613beb4bp-19, 0x1.2a27251d4cd83p-19, 0x1.1db34aa05e5c3p-19, 0x1.1156201f83668p-19, 0x1.050fcd86e50d7p-19, 0x1.f1c0f2639b6a9p-20, 0x1.d9908fdbe68bp-20, 0x1.c18eb9ff1e551p-20, 0x1.a9bbb44c5463fp-20, 0x1.9217bf418a87ep-20, 0x1.7aa31860948a4p-20, 0x1.635dfa3942525p-20, 0x1.4c489c7476637p-20, 0x1.356333dac25a6p-20, 0x1.1eadf25c2cde5p-20, 0x1.08290719a987ep-20, 0x1.e3a93cdee846cp-21, 0x1.b761c3f5c4fd9p-21, 0x1.8b7bf1479d6c3p-21, 0x1.5ff80d5048a82p-21, 0x1.34d65b479c4f3p-21, 0x1.0a17192e8f242p-21, 0x1.bf74ffcca365dp-22, 0x1.6b81867b5cfc5p-22, 0x1.1854240e3eec8p-22, 0x1.8bda58b5657cep-23, 0x1.d133a5f1cdcc5p-24, 0x1.1b9ce006f86ebp-25, -0x1.64f427b57951dp-25, -0x1.efa52e17d8436p-24, -0x1.94d925f0fc4aap-23, -0x1.18283f8e2e5b1p-22, -0x1.651c3e5dccf8dp-22, -0x1.b148853a43295p-22, -0x1.fcad1287360c4p-22, -0x1.23a4f68985b75p-21, -0x1.488f91fb2b028p-21, -0x1.6d166737d8444p-21, -0x1.913985df1aa1fp-21, -0x1.b4f9017f2ab9cp-21, -0x1.d854f186a0569p-21, -0x1.fb4d712f2f7f6p-21, -0x1.0ef14fb6409bbp-20, -0x1.200a4f6c7e90bp-20, -0x1.30f1cad3bffc1p-20, -0x1.41a7d6c99def5p-20, -0x1.522c89e51066ep-20, -0x1.627ffc6ee0d7ep-20, -0x1.72a2485b3aa8fp-20, -0x1.8293893d1716cp-20, -0x1.9253dc3e82c9fp-20, -0x1.a1e3601cc665fp-20, -0x1.b142351c45b7cp-20, -0x1.c0707d000a861p-20, -0x1.cf6e5b0352bcdp-20, -0x1.de3bf3cfaeea6p-20, -0x1.ecd96d766efbfp-20, -0x1.fb46ef689e0a1p-20, -0x1.04c25136a934cp-19, -0x1.0bc9584e1b966p-19, -0x1.12b8a2aa2eaafp-19, -0x1.19904699855c8p-19, -0x1.20505b082c126p-19, }}, 
      {{0x1.a0c54a631c15p-1, 0x1.a0c4524851a9cp-1, 0x1.a0c3d3e391253p-1, 0x1.a0c4e7e0747c4p-1, 0x1.a0c85b037fb0bp-1, 0x1.a0ce6d3559f66p-1, 0x1.a0d6b7c04ab58p-1, 0x1.a0e031c6fa9fp-1, 0x1.a0e94839a1ecp-1, 0x1.a0effff95637cp-1, 0x1.a0f21b3b998e4p-1, 0x1.a0ed3d8f5dfadp-1, 0x1.a0df0bc1d9fc1p-1, 0x1.a0c5464008914p-1, 0x1.a09ddd82a2d8dp-1, 0x1.a06700ae2a798p-1, 0x1.a01f26eda8fe4p-1, 0x1.9fc5143f55d45p-1, 0x1.9f57da7c9631fp-1, 0x1.9ed6d7652e12cp-1, 0x1.9e41b067b7f3p-1, 0x1.9d984ccd018e5p-1, 0x1.9cdaced47afc5p-1, 0x1.9c098c37ff9e5p-1, 0x1.9b2506767e01ep-1, 0x1.9a2de33032868p-1, 0x1.9924e4cce3eafp-1, 0x1.980ae394ddf6fp-1, 0x1.96e0c75839631p-1, 0x1.95a781b54d731p-1, 0x1.9460090681c1cp-1, 0x1.930b53f8ff85dp-1, 0x1.91aa55c8ac3a5p-1, 0x1.903dfb1a11c27p-1, 0x1.8ec7276840afp-1, 0x1.8d46b2fb0493ep-1, 0x1.8bbd6958ca142p-1, 0x1.8a2c0827366c1p-1, 0x1.88933e6d790d6p-1, 0x1.86f3ac2bc0a09p-1, 0x1.854de23bdd49cp-1, 0x1.83a2626fd8421p-1, 0x1.81f19fe42edfbp-1, 0x1.803bff7c42134p-1, 0x1.7e81d88084197p-1, 0x1.7cc37556d1478p-1, 0x1.7b01144e4c954p-1, 0x1.793ae878e9e08p-1, 0x1.77711a8d9e2aep-1, 0x1.75a3c9cee4cefp-1, 0x1.73d30cf1f5829p-1, 0x1.71fef3039d9e3p-1, 0x1.7027844839399p-1, 0x1.6e4cc314c6075p-1, 0x1.6c6eac9f6d3cep-1, 0x1.6a8d39c64d971p-1, 0x1.68a85fcb90811p-1, 0x1.66c011062a0fdp-1, 0x1.64d43d86d8115p-1, 0x1.62e4d3b128541p-1, 0x1.60f1c0c87fff1p-1, 0x1.5efaf17135214p-1, 0x1.5d005225f80b4p-1, 0x1.5b01cfa1d817dp-1, 0x1.58ff573f423b1p-1, 0x1.56f8d74c6f6dep-1, 0x1.54ee3f55b9ed4p-1, 0x1.52df80665de79p-1, 0x1.50cc8d402fe96p-1, 0x1.4eb55a8ad3cc3p-1, 0x1.4c99defaff207p-1, 0x1.4a7a13725aa24p-1, 0x1.4855f318851eap-1, 0x1.462d7b6dc6f21p-1, 0x1.4400ac57f7a56p-1, 0x1.41cf882a164ep-1, 0x1.3f9a13a711613p-1, 0x1.3d60560031a46p-1, 0x1.3b2258cf9c1f1p-1, 0x1.38e0280f53114p-1, 0x1.3699d20d1c684p-1, 0x1.344f675bace95p-1, 0x1.3200fac16f5f2p-1, 0x1.2faea1253dfe4p-1, 0x1.2d5871795934cp-1, 0x1.2afe84a4e6018p-1, 0x1.28a0f56c34079p-1, 0x1.263fe0580c3e9p-1, 0x1.23db639c3d764p-1, 0x1.21739efd9b746p-1, 0x1.1f08b3b7a25f8p-1, 0x1.1c9ac461e449bp-1, 0x1.1a29f4d56bf4bp-1, 0x1.17b66a1234b25p-1, 0x1.15404a24d93edp-1, 0x1.12c7bc0c918cdp-1, 0x1.104ce7a19be1ap-1, 0x1.0dcff57c23f23p-1, 0x1.0b510edbbc3c7p-1, 0x1.08d05d8f79016p-1, 0x1.064e0bdeba11ep-1, 0x1.03ca4472b02ebp-1, 0x1.01453240a7a97p-1, 0x1.fd7e00ea38e79p-2, 0x1.f86fb4bf4618p-2, 0x1.f35fd6bf4b3cbp-2, 0x1.ee4ebda3f5b48p-2, 0x1.e93cbffead68bp-2, 0x1.e42a34173131bp-2, 0x1.df176fcbe4729p-2, 0x1.da04c873cfaa7p-2, 0x1.d4f292c251cbcp-2, 0x1.cfe122ac75963p-2, 0x1.cad0cb4fecb6bp-2, 0x1.c5c1dedb9f863p-2, 0x1.c0b4ae79cde28p-2, 0x1.bba98a3bb37efp-2, 0x1.b6a0c106ad09p-2, 0x1.b19aa082c26c7p-2, 0x1.ac97750aa1a5bp-2, 0x1.a797899ce4c04p-2, 0x1.a29b27ceae711p-2, 0x1.9da297bf7f63fp-2, 0x1.98ae200e4047fp-2, 0x1.93be05cf72f67p-2, 0x1.8ed28c847ca47p-2, 0x1.89ebf613fefe7p-2, 0x1.850a82c32fea5p-2, 0x1.802e71302874cp-2, 0x1.7b57fe4d1d47bp-2, 0x1.7687655c7297ap-2, 0x1.71bcdfeda40cdp-2, 0x1.6cf8a5daf3e81p-2, 0x1.683aed47d4a1cp-2, 0x1.6383eaa005886p-2, 0x1.5ed3d097552e7p-2, 0x1.5a2ad02a04cf6p-2, 0x1.5589189dba345p-2, 0x1.50eed78302bb3p-2, 0x1.4c5c38b751f3bp-2, 0x1.47d166677ee63p-2, 0x1.434e8912ad1b3p-2, 0x1.3ed3c78da4777p-2, 0x1.3a61470687364p-2, 0x1.35f72b08e20dp-2, 0x1.3195958213631p-2, 0x1.2d3ca6c5f9591p-2, 0x1.28ec7d93ef6acp-2, 0x1.24a5371c037b6p-2, 0x1.2066ef046bf92p-2, 0x1.1c31bf6f33383p-2, 0x1.1805c1000fa9ep-2, 0x1.13e30ae26d55bp-2, 0x1.0fc9b2cf97de8p-2, 0x1.0bb9cd150e4f6p-2, 0x1.07b36c9aeffa1p-2, 0x1.03b6a2ea873dap-2, 0x1.ff870069d1111p-3, 0x1.f7b426b354d79p-3, 0x1.eff4d3db4b328p-3, 0x1.e849208397809p-3, 0x1.e0b122d40059bp-3, 0x1.d92cee87fb30dp-3, 0x1.d1bc94fc7efeap-3, 0x1.ca60253ddc342p-3, 0x1.c317ac1594ac6p-3, 0x1.bbe3341830fb6p-3, 0x1.b4c2c5b311569p-3, 0x1.adb6673a306bp-3, 0x1.a6be1cf5d900fp-3, 0x1.9fd9e9304a08dp-3, 0x1.9909cc4349f14p-3, 0x1.924dc4a59c14ep-3, 0x1.8ba5cef862ce8p-3, 0x1.8511e61463a51p-3, 0x1.7e9203172caep-3, 0x1.78261d701b26ep-3, 0x1.71ce2aed3edf4p-3, 0x1.6b8a1fc81b55p-3, 0x1.6559eeb243de7p-3, 0x1.5f3d88e1d0404p-3, 0x1.5934de1da8cc6p-3, 0x1.533fdcc9acae6p-3, 0x1.4d5e71f2ac3cfp-3, 0x1.4790895a358e1p-3, 0x1.41d60d823ebccp-3, 0x1.3c2ee7b8945f3p-3, 0x1.369b002229331p-3, 0x1.311a3dc633a6ap-3, 0x1.2bac869915ba6p-3, 0x1.2651bf872293fp-3, 0x1.2109cc7f2ae4dp-3, 0x1.1bd4907cdf18p-3, 0x1.16b1ed93011f7p-3, 0x1.11a1c4f565dfcp-3, 0x1.0ca3f702c55a7p-3, 0x1.07b8634e5edcdp-3, 0x1.02dee8a96bed2p-3, 0x1.fc2eca58bce0dp-4, 0x1.f2c36c7fe930ap-4, 0x1.e97b714c3c63cp-4, 0x1.e056910555146p-4, 0x1.d75482c7a4857p-4, 0x1.ce74fc950aaa8p-4, 0x1.c5b7b365284cdp-4, 0x1.bd1c5b354ce99p-4, 0x1.b4a2a71803ce8p-4, 0x1.ac4a49444cc55p-4, 0x1.a412f324723adp-4, 0x1.9bfc55648af4cp-4, 0x1.940620009c6e1p-4, 0x1.8c30025267e12p-4, 0x1.8479ab1edf2e4p-4, 0x1.7ce2c8a33e753p-4, 0x1.756b08a1d4949p-4, 0x1.6e12186e71971p-4, 0x1.66d7a4fa848e3p-4, 0x1.5fbb5ae0e1fdfp-4, 0x1.58bce6713bffdp-4, 0x1.51dbf3bb44e5bp-4, 0x1.4b182e9984a2ep-4, 0x1.447142bbdc393p-4, 0x1.3de6dbb1bc738p-4, 0x1.3778a4f41018cp-4, 0x1.312649eed77c6p-4, 0x1.2aef760a7bedcp-4, 0x1.24d3d4b4d6471p-4, 0x1.1ed31169f166ep-4, 0x1.18ecd7bc7e8e7p-4, 0x1.1320d35e0901dp-4, 0x1.0d6eb026e1b53p-4, 0x1.07d61a1dc76bcp-4, 0x1.0256bd7f4b48dp-4, 0x1.f9e08d89eb0a8p-5, 0x1.ef44c558494ebp-5, 0x1.e4d97c7969387p-5, 0x1.da9e0d9ec04e5p-5, 0x1.d091d427d2a23p-5, 0x1.c6b42c2e0b01ap-5, 0x1.bd047290190fap-5, 0x1.b38204fcdfd4ep-5, 0x1.aa2c41fdefdaep-5, 0x1.a102890197b8cp-5, 0x1.98043a6481937p-5, 0x1.8f30b77ae7c37p-5, 0x1.868762996534ap-5, 0x1.7e079f1d5ad05p-5, 0x1.75b0d174f3169p-5, 0x1.6d825f26c2da2p-5, 0x1.657baed90f355p-5, 0x1.5d9c2858afecap-5, 0x1.55e3349f96569p-5, 0x1.4e503ddb05197p-5, 0x1.46e2af7164567p-5, 0x1.3f99f607c8138p-5, 0x1.38757f8722331p-5, 0x1.3174bb212542p-5, 0x1.2a971954d388bp-5, 0x1.23dc0bf2c7bd4p-5, 0x1.1d4306212d235p-5, 0x1.16cb7c5f736a3p-5, 0x1.1074e489bac43p-5, 0x1.0a3eb5dbf3a3fp-5, 0x1.042868f4c73d1p-5, 0x1.fc62efb06e5e9p-6, 0x1.f0b2bbe3fc6ebp-6, 0x1.e53f302f65e52p-6, 0x1.da07491566cb3p-6, 0x1.cf0a05f39cbacp-6, 0x1.c4466905771c5p-6, 0x1.b9bb7766af101p-6, 0x1.af6839155cd35p-6, 0x1.a54bb8f3a17b8p-6, 0x1.9b6504c8ee2dp-6, 0x1.91b32d42eaea9p-6, 0x1.883545f5fcfcbp-6, 0x1.7eea655d777f8p-6, 0x1.75d1a4db73fafp-6, 0x1.6cea20b8519c2p-6, 0x1.6432f821e4eafp-6, 0x1.5bab4d2a5ce8p-6, 0x1.535244c6d521ep-6, 0x1.4b2706cda9297p-6, 0x1.4328bdf46ea7cp-6, 0x1.3b5697cdc6a3dp-6, 0x1.33afc4c6ccf85p-6, 0x1.2c33782468d2cp-6, 0x1.24e0e8004a2a1p-6, 0x1.1db74d45b75aep-6, 0x1.16b5e3ae205c4p-6, 0x1.0fdbe9bd7e95bp-6, 0x1.0928a0be7feeap-6, 0x1.029b4cbe814f8p-6, 0x1.f8666912b5638p-7, 0x1.ebdf434a0626dp-7, 0x1.df9fc099fc778p-7, 0x1.d3a67edb6254fp-7, 0x1.c7f2213f1193ep-7, 0x1.bc815043e897ep-7, 0x1.b152b9ac9eaebp-7, 0x1.a6651075347f4p-7, 0x1.9bb70cc83ba7dp-7, 0x1.91476bf3dc374p-7, 0x1.8714f05e9f098p-7, 0x1.7d1e617c0c83cp-7, 0x1.73628bc11a0e2p-7, 0x1.69e040986212ap-7, 0x1.60965656440fp-7, 0x1.5783a82cbb78p-7, 0x1.4ea7161f3f0dep-7, 0x1.45ff84f657fe6p-7, 0x1.3d8bde332e9ccp-7, 0x1.354b1002f62a9p-7, 0x1.2d3c0d323d0b7p-7, 0x1.255dcd202b3cbp-7, 0x1.1daf4bb1a18efp-7, 0x1.162f89445145ap-7, 0x1.0edd8aa1c1b3bp-7, 0x1.07b858f241b73p-7, 0x1.00bf01afd3708p-7, 0x1.f3e12d3216e5p-8, 0x1.e6985b47cac98p-8, 0x1.d9a1c1e14a588p-8, 0x1.ccfb9d791cd75p-8, 0x1.c0a432a989efcp-8, 0x1.b499ce121993cp-8, 0x1.a8dac43d3831p-8, 0x1.9d657185d73b6p-8, 0x1.923839fd0c4f2p-8, 0x1.8751894fd532bp-8, 0x1.7cafd2acca1dp-8, 0x1.725190a9fa343p-8, 0x1.6835452adf693p-8, 0x1.5e597946404fap-8, 0x1.54bcbd2c673f6p-8, 0x1.4b5da80d49224p-8, 0x1.423ad7fecd311p-8, 0x1.3952f1e34d43dp-8, 0x1.30a4a150211c4p-8, 0x1.282e987457dap-8, 0x1.1fef8fff8ddc5p-8, 0x1.17e64708fa5f7p-8, 0x1.101182f699879p-8, 0x1.08700f647832ep-8, 0x1.0100be0c46b9ep-8, 0x1.f384cd5a15dd3p-9, 0x1.e567cde5dfe29p-9, 0x1.d7a844bed2ad2p-9, 0x1.ca440462d7f3ep-9, 0x1.bd38ea9bcc4a4p-9, 0x1.b084e050daf53p-9, 0x1.a425d9582ec11p-9, 0x1.9819d4491be12p-9, 0x1.8c5eda4eace28p-9, 0x1.80f2fefac43ep-9, 0x1.75d460197f371p-9, 0x1.6b0125851644cp-9, 0x1.607780fa3cb45p-9, 0x1.5635aded02e6cp-9, 0x1.4c39f15e090edp-9, 0x1.428299b036ca3p-9, 0x1.390dfe7f0bd9fp-9, 0x1.2fda807527764p-9, 0x1.26e689238336cp-9, 0x1.1e308ad917d09p-9, 0x1.15b7007ae458bp-9, 0x1.0d786d5c96872p-9, 0x1.05735d19849a8p-9, 0x1.fb4cc6dc8ad97p-10, 0x1.ec203825723bcp-10, 0x1.dd5e552905cddp-10, 0x1.cf0474641f517p-10, 0x1.c10ffb6bf61dap-10, 0x1.b37e5ea65f303p-10, 0x1.a64d21023b68dp-10, 0x1.9979d3b1c0e56p-10, 0x1.8d0215e4f287cp-10, 0x1.80e3948595298p-10, 0x1.751c09f3e9d84p-10, 0x1.69a93dc445df3p-10, 0x1.5e89047dbfc92p-10, 0x1.53b93f59bd90fp-10, 0x1.4937dc0482663p-10, 0x1.3f02d45ea7c1dp-10, 0x1.35182e3f7207bp-10, 0x1.2b75fb382fff3p-10, 0x1.221a58586614cp-10, 0x1.19036df31c179p-10, 0x1.102f6f64be752p-10, 0x1.079c9ada4b98ap-10, 0x1.fe927231f8411p-11, 0x1.ee673a8e6e703p-11, 0x1.deb4496c27946p-11, 0x1.cf766d5803a26p-11, 0x1.c0aa886010c37p-11, 0x1.b24d8fac436p-11, 0x1.a45c8b18aa0bbp-11, 0x1.96d494d144b9ep-11, 0x1.89b2d8efbd61ap-11, 0x1.7cf4951a6abfp-11, 0x1.709718259e591p-11, 0x1.6497c1b5be181p-11, 0x1.58f401e39e8b7p-11, 0x1.4da958e268d35p-11, 0x1.42b556a6a3b34p-11, 0x1.38159a8f274fp-11, 0x1.2dc7d30f9af87p-11, 0x1.23c9bd5c6f519p-11, 0x1.1a1925184418bp-11, 0x1.10b3e402c0d3fp-11, 0x1.0797e1a9316c9p-11, 0x1.fd86263078f9ep-12, 0x1.ec66f51ea6d9ep-12, 0x1.dbce4e6a9abbfp-12, 0x1.cbb8699d37634p-12, 0x1.bc2196e99df6ap-12, 0x1.ad063e9eb526bp-12, 0x1.9e62e09be22e3p-12, 0x1.903413c7f12b4p-12, 0x1.8276858ab306cp-12, 0x1.7526f949979ep-12, 0x1.684247e637527p-12, 0x1.5bc55f3fe2c42p-12, 0x1.4fad41b735c24p-12, 0x1.43f705b4a4b1ep-12, 0x1.389fd530c9295p-12, 0x1.2da4ed3fe473ap-12, 0x1.23039d9eafcc2p-12, 0x1.18b948427bb99p-12, 0x1.0ec360eabe75ap-12, 0x1.051f6cb5831cfp-12, 0x1.f796036b0df0dp-13, 0x1.e5878d15a2a88p-13, 0x1.d40ee3fab56d7p-13, 0x1.c32795334276ap-13, 0x1.b2cd4c9f0ccc7p-13, 0x1.a2fbd425edf6dp-13, 0x1.93af12fdffc3fp-13, 0x1.84e30cf40b057p-13, 0x1.7693e1b9f26d7p-13, 0x1.68bdcc36dfc81p-13, 0x1.5b5d21dc9441cp-13, 0x1.4e6e51ffd5d09p-13, 0x1.41ede5344f52ap-13, 0x1.35d87cac505d7p-13, 0x1.2a2ad19ba949bp-13, 0x1.1ee1b49e3d81cp-13, 0x1.13fa0d221353dp-13, 0x1.0970d8d401e66p-13, 0x1.fe865620561b6p-14, 0x1.eadc58ab96052p-14, 0x1.d7de337a80e93p-14, 0x1.c58688e4c0c6p-14, 0x1.b3d02261507ccp-14, 0x1.a2b5ef85fdb1fp-14, 0x1.9233050cd721ap-14, 0x1.82429bde4945ap-14, 0x1.72e01021c50ecp-14, 0x1.6406e053b00aep-14, 0x1.55b2ac5f89152p-14, 0x1.47df34c183a11p-14, 0x1.3a8859ab53cc2p-14, 0x1.2daa1a2ebe5a9p-14, 0x1.2140936d39052p-14, 0x1.1547ffcc9d12cp-14, 0x1.09bcb62fad926p-14, 0x1.fd3652685e797p-15, 0x1.e7bfcceb60eaep-15, 0x1.d30f2ba75533ap-15, 0x1.bf1df17b33b3ep-15, 0x1.abe5d3038e677p-15, 0x1.9960b5431a6b1p-15, 0x1.8788ac526c05cp-15, 0x1.7657fa17ac721p-15, 0x1.65c90d0617537p-15, 0x1.55d67ee787defp-15, 0x1.467b13a8d2439p-15, 0x1.37b1b832ecc77p-15, 0x1.29758147d2929p-15, 0x1.1bc1aa670e719p-15, 0x1.0e9194bb5353dp-15, 0x1.01e0c60c03cadp-15, 0x1.eb55cf705e10ep-16, 0x1.d3d78b6aa7977p-16, 0x1.bd3e9b2d4bee2p-16, 0x1.a7831b3417473p-16, 0x1.929d6775c9955p-16, 0x1.7e86199493242p-16, 0x1.6b36071e931c6p-16, 0x1.58a63fd4f4d22p-16, 0x1.46d00c007a39fp-16, 0x1.35acead0afe7bp-16, 0x1.253690c7649aap-16, 0x1.1566e629fa24ap-16, 0x1.063805837c3aep-16, 0x1.ef4874571d551p-17, 0x1.d34bfdb23678ep-17, 0x1.b86ff87d8f332p-17, 0x1.9eaa0f602195cp-17, 0x1.85f0439fe0127p-17, 0x1.6e38ea8e98892p-17, 0x1.577aab0e484abp-17, 0x1.41ac7b1f0ab71p-17, 0x1.2cc59d842d95bp-17, 0x1.18bd9f71b56d8p-17, 0x1.058c56520c26bp-17, 0x1.e653bb2ff525ep-18, 0x1.c31d2935ec148p-18, 0x1.a166391480584p-18, 0x1.8120acd440f91p-18, 0x1.623ec23dc2602p-18, 0x1.44b32f0c7502bp-18, 0x1.28711d3d1b7f5p-18, 0x1.0d6c277352917p-18, 0x1.e730ab00ace4bp-19, 0x1.b5d431e8821d9p-19, 0x1.86ac93b088cbbp-19, 0x1.59a446f11cf56p-19, 0x1.2ea6827bf52cap-19, 0x1.059f375b3230ep-19, 0x1.bcf615c7c410bp-20, 0x1.724ea1f66675cp-20, 0x1.2b240d174c517p-20, 0x1.cea7304cde02ap-21, 0x1.4d7781b77e248p-21, 0x1.a4f0ddc5ea4fbp-22, 0x1.75aea582786fp-23, -0x1.1eadf45d4a0ecp-25, -0x1.ef1440fc40f3fp-23, -0x1.c0b56b5e4fafcp-22, -0x1.3fe19441626e9p-21, -0x1.9a8d7a263721dp-21, -0x1.f0904fb803d08p-21, -0x1.210d13d5d9fe4p-20, -0x1.47aca747e3c4fp-20, -0x1.6c3d2d0bdf32cp-20, -0x1.8ed41bd2543dfp-20, -0x1.af861d62c1748p-20, -0x1.ce6715685170fp-20, -0x1.eb8a283ec308ep-20, -0x1.0380e0b32389bp-19, -0x1.106fccea801e7p-19, -0x1.1c9a5f0f88d64p-19, -0x1.2808ca2c99318p-19, -0x1.32c2f0f01c626p-19, -0x1.3cd06876a7fep-19, -0x1.46387afa64291p-19, -0x1.4f022a72da9f6p-19, -0x1.5734331bdb323p-19, -0x1.5ed50decec991p-19, -0x1.65eaf2fa585d2p-19, -0x1.6c7bdbc0a289dp-19, -0x1.728d8561846bcp-19, -0x1.782572cbd3a31p-19, -0x1.7d48eed542bacp-19, -0x1.81fd0e3e5c87ap-19, -0x1.8646b1a6b4ce9p-19, -0x1.8a2a877609582p-19, -0x1.8dad0db053f3dp-19, -0x1.90d293bc7f307p-19, -0x1.939f3c1c31c1fp-19, -0x1.9616fe178caeap-19, -0x1.983da7550ed5dp-19, -0x1.9a16dd6a5dbap-19, -0x1.9ba61f58da49bp-19, -0x1.9ceec706bb06ap-19, -0x1.9df40aa222b2p-19, -0x1.9eb8fe019e4f9p-19, -0x1.9f4093ee9e875p-19, -0x1.9f8d9f6deed27p-19, -0x1.9fa2d4f70dd42p-19, -0x1.9f82cba4a9381p-19, -0x1.9f2ffe570b4cdp-19, -0x1.9eaccccf4e2d5p-19, -0x1.9dfb7cc055356p-19, -0x1.9d1e3ad6719bap-19, -0x1.9c171bb305eebp-19, -0x1.9ae81ce65206ep-19, -0x1.999325d7b8f37p-19, -0x1.981a08abb493p-19, -0x1.967e83204bf77p-19, -0x1.94c23f5fcadd9p-19, -0x1.92e6d4ceac215p-19, -0x1.90edc8d18b85ep-19, -0x1.8ed88f8a4a1bap-19, -0x1.8ca88c8fea455p-19, -0x1.8a5f139e94809p-19, -0x1.87fd69429e2b8p-19, -0x1.8584c37c594edp-19, -0x1.82f64a5e1ae71p-19, -0x1.805318a2d2489p-19, -0x1.7d9c3c41cf5bbp-19, -0x1.7ad2b6faea1b7p-19, -0x1.77f77edec5606p-19, -0x1.750b7ed076e98p-19, -0x1.720f9703d8803p-19, -0x1.6f049d74b1b2cp-19, -0x1.6beb5e5b24943p-19, -0x1.68c49c9c29adbp-19, -0x1.65911233610a6p-19, -0x1.6251709a8a95bp-19, -0x1.5f06612d15beep-19, -0x1.5bb08586282a4p-19, -0x1.585077daf79b2p-19, -0x1.54e6cb545986p-19, -0x1.51740c60f59d2p-19, -0x1.4df8c1071a658p-19, -0x1.4a756930da2a4p-19, -0x1.46ea7ef6a0852p-19, -0x1.435876e7244a2p-19, -0x1.3fbfc04959c27p-19, -0x1.3c20c55f9b09dp-19, -0x1.387beba5a44b1p-19, -0x1.34d1940bc3716p-19, -0x1.31221b307736cp-19, -0x1.2d6dd9975e798p-19, -0x1.29b523dc99eb6p-19, -0x1.25f84ae8ce94ap-19, -0x1.22379c1eda40cp-19, -0x1.1e73618c56302p-19, -0x1.1aabe213068c5p-19, -0x1.16e1619302e77p-19, -0x1.13142113754b5p-19, -0x1.0f445ee70e8b8p-19, -0x1.0b7256d2a1b15p-19, -0x1.079e422dbbacfp-19, -0x1.03c858042ede9p-19, -0x1.ffe19a6b86165p-20, -0x1.f82fa92867a2fp-20, -0x1.f07b3dfe9ddc1p-20, -0x1.e8c4b700fcb0ep-20, -0x1.e10c6ec82d0f5p-20, -0x1.d952bca424945p-20, -0x1.d197f4cad4bbp-20, -0x1.c9dc6882535c8p-20, -0x1.c220664d1b4aep-20, -0x1.ba643a10d8bccp-20, -0x1.b2a82d3cc9584p-20, -0x1.aaec86ec90e5p-20, -0x1.a3318c0bf6e21p-20, -0x1.9b777f7323572p-20, -0x1.93bea207f70fap-20, -0x1.8c0732d962fdcp-20, -0x1.84516f3a54648p-20, -0x1.7c9d92daf0a9ap-20, -0x1.74ebd7e0f618ep-20, -0x1.6d3c76fe2970dp-20, -0x1.658fa7848d59ep-20, -0x1.5de59f7b7bd61p-20, -0x1.563e93b4150efp-20, -0x1.4e9ab7d6536b8p-20, -0x1.46fa3e7623d8ap-20, -0x1.3f5d591f3ba9ep-20, -0x1.37c438654df6fp-20, -0x1.302f0beff2c75p-20, -0x1.289e0288b67e4p-20, -0x1.21114a25b623p-20, -0x1.19890ff55620fp-20, -0x1.12058067dc4e6p-20, -0x1.0a86c7391cfa4p-20, -0x1.030d0f7851ed3p-20, -0x1.f731071fdeb09p-21, -0x1.e8529a9c08c23p-21, -0x1.d97f2bd4c6d0cp-21, -0x1.cab70c183d83cp-21, -0x1.bbfa8b9e13d7dp-21, -0x1.ad49f992ace43p-21, -0x1.9ea5a4223ae36p-21, -0x1.900dd87b31b27p-21, -0x1.8182e2dc18ac2p-21, -0x1.73050e98fd3b8p-21, -0x1.6494a61f98024p-21, -0x1.5631f2fb0615p-21, -0x1.47dd3ddc569bfp-21, -0x1.3996ce9b3a11ap-21, -0x1.2b5eec3997869p-21, -0x1.1d35dce78ca77p-21, -0x1.0f1be604fd1c8p-21, -0x1.01114c237e248p-21, -0x1.e62ca61085c23p-22, -0x1.ca567b591f42bp-22, -0x1.aea09c7e911ffp-22, -0x1.930b8c497ede1p-22, -0x1.7797cbeabb45ap-22, -0x1.5c45dafeafffep-22, -0x1.4116378b2f1cfp-22, -0x1.26095df9adf45p-22, -0x1.0b1fc91b4db34p-22, -0x1.e0b3e43bca4e1p-23, -0x1.ab70a129f7533p-23, -0x1.7676b4daa761p-23, -0x1.41c707d7d6a05p-23, -0x1.0d627f5fc0ebdp-23, -0x1.b293faac5d5acp-24, -0x1.4afcc062cb683p-24, -0x1.c8020bfa69c85p-25, -0x1.f689ead7edc43p-26, -0x1.7e2c6c2574f56p-28, 0x1.34f1d2cd5ed9ap-26, 0x1.63733b39b4fd4p-25, 0x1.1593211de1cafp-24, 0x1.78c77391906fbp-24, 0x1.db5510b27d5dep-24, 0x1.1e9d3dcd97e42p-23, 0x1.4f3b1f65cfdddp-23, 0x1.7f83762559587p-23, 0x1.af758edf8751dp-23, 0x1.df10ba3566663p-23, 0x1.072a2650a29bbp-22, 0x1.1e9fcf414aaf5p-22, 0x1.35e906115b111p-22, 0x1.4d057adca6dbcp-22, 0x1.63f4dfba408f4p-22, 0x1.7ab6e8bff2bcp-22, 0x1.914b4c072b76ep-22, 0x1.a7b1c1a831a3dp-22, 0x1.bdea03c2b4e4dp-22, 0x1.d3f3ce81b1441p-22, 0x1.e9cee01a248bp-22, 0x1.ff7af8cffcf0ap-22, 0x1.0a7bed7a6773ap-21, 0x1.1522a575e64d2p-21, 0x1.1fb187950fee3p-21, 0x1.2a28781d0c0ebp-21, 0x1.34875c5c851e6p-21, 0x1.3ece1aadf056cp-21, 0x1.48fc9a762ec7ep-21, 0x1.5312c425b01cep-21, 0x1.5d1081366f7bcp-21, 0x1.66f5bc2edab1dp-21, 0x1.70c260a0b6d02p-21, 0x1.7a765b28668dp-21, 0x1.8411996d9de3cp-21, 0x1.8d940a21bee11p-21, 0x1.96fd9d00d1f9dp-21, 0x1.a04e42cf09dc7p-21, 0x1.a985ed5a0d686p-21, 0x1.b2a48f76c0361p-21, 0x1.bbaa1d00defa7p-21, 0x1.c4968ad9ebfa3p-21, 0x1.cd69cee82af0fp-21, 0x1.d623e0143e3f4p-21, 0x1.dec4b649cfb4cp-21, 0x1.e74c4a75bc04p-21, 0x1.efba968438724p-21, 0x1.f80f955f3af09p-21, 0x1.0025a17671cb4p-20, 0x1.0436ce075a031p-20, 0x1.083b4f4f6093cp-20, 0x1.0c3324b75b72cp-20, 0x1.101e4e22bc4bcp-20, 0x1.13fccbeeb5e89p-20, 0x1.17ce9ef0a2ca1p-20, 0x1.1b93c8755be87p-20, 0x1.1f4c4a407f148p-20, 0x1.22f8268aca269p-20, 0x1.269760019b053p-20, 0x1.2a29f9c5283d9p-20, 0x1.2daff7678238p-20, 0x1.31295ceb6f876p-20, 0x1.34962ec324541p-20, 0x1.37f671ced3bafp-20, 0x1.3b4a2b5ba452dp-20, 0x1.3e9161221dce3p-20, 0x1.41cc19452ff31p-20, 0x1.44fa5a50746cbp-20, 0x1.481c2b3679d6bp-20, 0x1.4b319350020c1p-20, 0x1.4e3a9a5a8a4cep-20, 0x1.51374876c2193p-20, 0x1.5427a626d63b8p-20, 0x1.570bbc4d15c1cp-20, 0x1.59e3942b22764p-20, 0x1.5caf375f3e466p-20, 0x1.5f6eafe3ecb85p-20, 0x1.6222080db4c37p-20, 0x1.64c94a89f75c1p-20, 0x1.6764825d3ba5cp-20, 0x1.69f3bae1cd00cp-20, 0x1.6c76ffc5fa8d5p-20, 0x1.6eee5d0a533a2p-20, 0x1.7159df00ade32p-20, 0x1.73b9924a655fap-20, 0x1.760d83d6c1874p-20, 0x1.7855c0e13a2acp-20, 0x1.7a9256f02793cp-20, 0x1.7cc353d2fe933p-20, 0x1.7ee8c5a0daf52p-20, 0x1.8102bab6bcb5ep-20, 0x1.831141b6734eap-20, 0x1.851469848599bp-20, 0x1.870c4146e93d4p-20, 0x1.88f8d8630e4d4p-20, 0x1.8ada3e7cbcc21p-20, 0x1.8cb083747b2efp-20, 0x1.8e7bb765d77edp-20, 0x1.903beaa5cc839p-20, 0x1.91f12dc184e84p-20, 0x1.939b917c9d03p-20, 0x1.953b26cfb6824p-20, 0x1.96cffee6ad8ffp-20, 0x1.985a2b1f5bc38p-20, 0x1.99d9bd07fc8a9p-20, 0x1.9b4ec65deca58p-20, 0x1.9cb9590baede6p-20, 0x1.9e198727e4043p-20, 0x1.9f6f62f36c747p-20, 0x1.a0bafed83446bp-20, 0x1.a1fc6d67d159fp-20, 0x1.a333c159dfab1p-20, 0x1.a4610d8ac1f8dp-20, 0x1.a58464fa2425ap-20, 0x1.a69ddac967b2p-20, 0x1.a7ad823a9cdfp-20, 0x1.a8b36eaedb8e7p-20, 0x1.a9afb3a4f29c4p-20, 0x1.aaa264b84554fp-20, 0x1.ab8b959f11e3ep-20, 0x1.ac6b5a294ff15p-20, 0x1.ad41c63f5a377p-20, 0x1.ae0eede0e5565p-20, 0x1.aed2e52370eabp-20, 0x1.af8dc030dfd7ep-20, 0x1.b03f93465b824p-20, 0x1.b0e872b3608bp-20, 0x1.b18872d835aabp-20, 0x1.b21fa824aa072p-20, 0x1.b2ae271720c7ap-20, 0x1.b334043b56563p-20, 0x1.b3b1542901e21p-20, 0x1.b4262b82c421fp-20, 0x1.b4929ef54fbb3p-20, 0x1.b4f6c33605012p-20, 0x1.b552ad01c3e49p-20, 0x1.b5a6711bf2eb6p-20, 0x1.b5f2244d93fecp-20, 0x1.b635db643453fp-20, 0x1.b671ab3093b36p-20, 0x1.b6a5a885ed27fp-20, 0x1.b6d1e838c32a7p-20, 0x1.b6f67f1e0a577p-20, 0x1.b713820a216a3p-20, 0x1.b72905cfef43dp-20, 0x1.b7371f3fe0a9fp-20, 0x1.b73de326fe3bfp-20, 0x1.b73d664de7e36p-20, 0x1.b735bd7826bcbp-20, 0x1.b726fd6339d2ep-20, 0x1.b7113ac5962cep-20, 0x1.b6f48a4e2485cp-20, 0x1.b6d100a321119p-20, 0x1.b6a6b26146333p-20, 0x1.b675b41b3a10bp-20, 0x1.b63e1a58d9909p-20, 0x1.b5fff99625f52p-20, 0x1.b5bb66428fd9fp-20, 0x1.b57074c04ee06p-20, 0x1.b51f3963de40ap-20, 0x1.b4c7c8732e6a5p-20, 0x1.b46a36249863p-20, 0x1.b406969ed117ap-20, 0x1.b39cfdf7bec11p-20, 0x1.b32d803412484p-20, 0x1.b2b8314671fb5p-20, 0x1.b23d250f46d38p-20, 0x1.b1bc6f5bd143p-20, 0x1.b13623e5a6ecfp-20, 0x1.b0aa56521263fp-20, 0x1.b0191a31c4c45p-20, 0x1.af8283000f663p-20, 0x1.aee6a42254e78p-20, 0x1.ae4590e79144ap-20, 0x1.ad9f5c880dc04p-20, 0x1.acf41a24c0a24p-20, 0x1.ac43dcc6d55p-20, 0x1.ab8eb75f1c2f1p-20, 0x1.aad4bcc5cd8a5p-20, 0x1.aa15ffba11aa8p-20, 0x1.a95292e168a6cp-20, 0x1.a88a88c777aa2p-20, 0x1.a7bdf3dd8d969p-20, 0x1.a6ece67a30e1ap-20, 0x1.a61772d8e5eedp-20, 0x1.a53dab1a034p-20, 0x1.a45fa141ffe8ap-20, 0x1.a37d67390e18cp-20, 0x1.a2970ecb130b3p-20, 0x1.a1aca9a764266p-20, 0x1.a0be496011faep-20, 0x1.9fcbff6a01ap-20, 0x1.9ed5dd1cca1dep-20, 0x1.9ddbf3b1f2bc2p-20, 0x1.9cde5444fc3b7p-20, 0x1.9bdd0fd320452p-20, 0x1.9ad8373b07a19p-20, 0x1.99cfdb3cb450bp-20, 0x1.98c40c791650cp-20, 0x1.97b4db721289dp-20, 0x1.96a2588a256a3p-20, 0x1.958c94045bfcp-20, }}, 
      {{0x1.1a4b0d0a5f83fp-17, 0x1.10c43287fad8p-15, 0x1.28a1cacf9211ap-14, 0x1.010f8baa69eb7p-13, 0x1.8b0b71636caacp-13, 0x1.197a38d70599cp-12, 0x1.7c8edf2be7d8fp-12, 0x1.ef02e152f7cccp-12, 0x1.38c7d64f8e641p-11, 0x1.82d4ef2591c53p-11, 0x1.d6c430e21421fp-11, 0x1.1aff35ab331b5p-10, 0x1.510d3f5be16b7p-10, 0x1.8e5ea1288d7f2p-10, 0x1.d3bf6f125e96fp-10, 0x1.10f5d8d0ef485p-9, 0x1.3cc45cab47d61p-9, 0x1.6d90214b06e57p-9, 0x1.a38e1fe1511a3p-9, 0x1.dee1445f30117p-9, 0x1.0fcc0c5b16f66p-8, 0x1.32d52da485e92p-8, 0x1.587b5d2018c08p-8, 0x1.80a07c8a1ea3ep-8, 0x1.ab185f72d9658p-8, 0x1.d7a89cc54ea2ap-8, 0x1.03046a4b3fa1fp-7, 0x1.1af1b412c2765p-7, 0x1.336b4be9b46c7p-7, 0x1.4c3af9cce70bap-7, 0x1.6526033cd1894p-7, 0x1.7dee1221f695cp-7, 0x1.965221395a59p-7, 0x1.ae0f63ed0f502p-7, 0x1.c4e22189990d2p-7, 0x1.da867e02871c3p-7, 0x1.eeb92cad5ba97p-7, 0x1.009c05aa89481p-6, 0x1.08e152d6052d4p-6, 0x1.100d513096999p-6, 0x1.16020dfbdbf2ap-6, 0x1.1aa2f3feb67cbp-6, 0x1.1dd4e7b43572dp-6, 0x1.1f7e5d69f8d2bp-6, 0x1.1f876a8a0ffecp-6, 0x1.1dd9d31e0fa59p-6, 0x1.1a6114637754p-6, 0x1.150a6d12687a9p-6, 0x1.0dc4e3c3ed8cdp-6, 0x1.04814bb76a72p-6, 0x1.f26490230ec43p-7, 0x1.d7989b25ad448p-7, 0x1.b88b45626b559p-7, 0x1.952cbbe984396p-7, 0x1.6d70c4eb845ccp-7, 0x1.414eb4b8cd5fep-7, 0x1.10c15e9551867p-7, 0x1.b78e028f52933p-8, 0x1.44c25ec8a07a4p-8, 0x1.9252cdc432cefp-9, 0x1.134b80bc86d04p-10, -0x1.20ae1a49206f8p-10, -0x1.bb6d051f1e851p-9, -0x1.7bad7fc396a16p-8, -0x1.10f57c2fe09b7p-7, -0x1.682267d2a1219p-7, -0x1.c34657896f974p-7, -0x1.11241932d0395p-6, -0x1.428690889a6d2p-6, -0x1.75bc5e53ddfd2p-6, -0x1.aab69e5592f79p-6, -0x1.e165d1d50ac72p-6, -0x1.0cdcfa8eff828p-5, -0x1.29d14a0163df6p-5, -0x1.47876ea1f6895p-5, -0x1.65f6da62b7dc8p-5, -0x1.8516e240dfee8p-5, -0x1.a4dec61884de9p-5, -0x1.c545b7d0e5235p-5, -0x1.e642e1e2b9324p-5, -0x1.03e6b69e28fbcp-4, -0x1.14ee4344bc807p-4, -0x1.2633b173603bap-4, -0x1.37b2a204a6a9ap-4, -0x1.4966bdf29b1acp-4, -0x1.5b4bb7ee9acb9p-4, -0x1.6d5d4dc37498dp-4, -0x1.7f974987696bp-4, -0x1.91f582a3afbcap-4, -0x1.a473deb6e1813p-4, -0x1.b70e52578149fp-4, -0x1.c9c0e1bb6f43fp-4, -0x1.dc87a148e861p-4, -0x1.ef5eb614e9b73p-4, -0x1.01212b297794p-3, -0x1.0a9764dc7e296p-3, -0x1.141034ed6f802p-3, -0x1.1d89d13f73648p-3, -0x1.270278f7064dbp-3, -0x1.307874a07963bp-3, -0x1.39ea16557997p-3, -0x1.4355b9e1f863dp-3, -0x1.4cb9c4e8bd80dp-3, -0x1.5614a707a9638p-3, -0x1.5f64d9fbb9507p-3, -0x1.68a8e1c49c978p-3, -0x1.71df4cc7a471dp-3, -0x1.7b06b3f1df023p-3, -0x1.841dbad8e87b2p-3, -0x1.8d230fda369a3p-3, -0x1.96156c3864347p-3, -0x1.9ef394362be79p-3, -0x1.a7bc572e9b30cp-3, -0x1.b06e8faa3161dp-3, -0x1.b909237080067p-3, -0x1.c18b0395ff51fp-3, -0x1.c9f32c85c689p-3, -0x1.d240a606ef3c5p-3, -0x1.da72833d63fd6p-3, -0x1.e287e2a5ebf0ep-3, -0x1.ea7fee0d60c3fp-3, -0x1.f259da82e851ap-3, -0x1.fa14e845365e5p-3, -0x1.00d8315569e26p-2, -0x1.0495d002ba61ap-2, -0x1.084300c03e278p-2, -0x1.0bdf797d64bb2p-2, -0x1.0f6af56dfe474p-2, -0x1.12e534f2ad70dp-2, -0x1.164dfd7f50e37p-2, -0x1.19a5197f79401p-2, -0x1.1cea58391221p-2, -0x1.201d8dad65c8fp-2, -0x1.233e9278a2308p-2, -0x1.264d43b002315p-2, -0x1.294982becb9f9p-2, -0x1.2c33354248258p-2, -0x1.2f0a44e4e69d9p-2, -0x1.31ce9f38a7aap-2, -0x1.348035910a514p-2, -0x1.371efcdc98b8ep-2, -0x1.39aaed7e3ec8dp-2, -0x1.3c240326963fep-2, -0x1.3e8a3cad44d0bp-2, -0x1.40dd9bea9922ep-2, -0x1.431e2591803bp-2, -0x1.454be109f6e8ap-2, -0x1.4766d84c1593dp-2, -0x1.496f17bbce99dp-2, -0x1.4b64ae05784bp-2, -0x1.4d47abfb4001ep-2, -0x1.4f1824738ead5p-2, -0x1.50d62c287eea7p-2, -0x1.5281d998666f3p-2, -0x1.541b44e78d2a5p-2, -0x1.55a287c3152bcp-2, -0x1.5717bd451e54ap-2, -0x1.587b01da3300ep-2, -0x1.59cc7327f5bf4p-2, -0x1.5b0c2ff523722p-2, -0x1.5c3a5812deda4p-2, -0x1.5d570c474bb37p-2, -0x1.5e626e397811fp-2, -0x1.5f5ca05e8971ep-2, -0x1.6045c5e833a15p-2, -0x1.611e02b46b01p-2, -0x1.61e57b3e513b7p-2, -0x1.629c54904e5e7p-2, -0x1.6342b43753442p-2, -0x1.63d8c0373574bp-2, -0x1.645e9f0021df1p-2, -0x1.64d47765129c7p-2, -0x1.653a709341979p-2, -0x1.6590b20a8c36bp-2, -0x1.65d76396b6721p-2, -0x1.660ead4986bc8p-2, -0x1.6636b775aaea2p-2, -0x1.664faaaa58723p-2, -0x1.6659afaf9c2c8p-2, -0x1.6654ef834fdccp-2, -0x1.664193569f1f2p-2, -0x1.661fc48c1a626p-2, -0x1.65efacb643b66p-2, -0x1.65b175968d11ep-2, -0x1.6565491cb9fe9p-2, -0x1.650b51669afccp-2, -0x1.64a3b8c0164f3p-2, -0x1.642ea9a370fd4p-2, -0x1.63ac4eb9d0909p-2, -0x1.631cd2dbf0488p-2, -0x1.62806112f4351p-2, -0x1.61d724995aabp-2, -0x1.612148dc02636p-2, -0x1.605ef97b39d78p-2, -0x1.5f90624bd1409p-2, -0x1.5eb5af582bb61p-2, -0x1.5dcf0ce143fbbp-2, -0x1.5cdca75fa33c3p-2, -0x1.5bdeab8440e5ap-2, -0x1.5ad5463946d0dp-2, -0x1.59c0a4a2b7f0bp-2, -0x1.58a0f41ef19fbp-2, -0x1.57766247078b5p-2, -0x1.56411ceef333ap-2, -0x1.5501522598c1fp-2, -0x1.53b730349a2c6p-2, -0x1.5262e59ff9f91p-2, -0x1.5104a12587e86p-2, -0x1.4f9c91bc1ccdbp-2, -0x1.4e2ae6929f6eap-2, -0x1.4cafcf0ed2d91p-2, -0x1.4b2b7acbee2fbp-2, -0x1.499e19990172cp-2, -0x1.4807db771f58ep-2, -0x1.4668f09755762p-2, -0x1.44c189586f2bp-2, -0x1.4311d64481296p-2, -0x1.415a080e4b317p-2, -0x1.3f9a4f8e5edf7p-2, -0x1.3dd2ddc01fc58p-2, -0x1.3c03e3be90f1cp-2, -0x1.3a2d92c0f75a8p-2, -0x1.38501c1755967p-2, -0x1.366bb126bb9a1p-2, -0x1.3480836575081p-2, -0x1.328ec45713715p-2, -0x1.3096a58857286p-2, -0x1.2e98588afb7e1p-2, -0x1.2c940ef16586dp-2, -0x1.2a89fa4a3c726p-2, -0x1.287a4c1be7efap-2, -0x1.266535dffc897p-2, -0x1.244ae8fe97bc9p-2, -0x1.222b96c9a995dp-2, -0x1.2007707835838p-2, -0x1.1ddea7218828dp-2, -0x1.1bb16bb864d59p-2, -0x1.197fef062fe9fp-2, -0x1.174a61a61382cp-2, -0x1.1510f40027aa2p-2, -0x1.12d3d6449a887p-2, -0x1.10933866dcfabp-2, -0x1.0e4f4a18d6a3cp-2, -0x1.0c083ac622c8ap-2, -0x1.09be398f56d9fp-2, -0x1.0771754553fc5p-2, -0x1.05221c64adacfp-2, -0x1.02d05d1117e03p-2, -0x1.007c6510ec6fap-2, -0x1.fc4cc3918985ap-3, -0x1.f79d006e4cc3ap-3, -0x1.f2e9d9e08cccep-3, -0x1.ee33a833d0634p-3, -0x1.e97ac2cea0b8ep-3, -0x1.e4bf802ab0691p-3, -0x1.e00235cd310f6p-3, -0x1.db43383f64affp-3, -0x1.d682db076e738p-3, -0x1.d1c170a15c912p-3, -0x1.ccff4a78743p-3, -0x1.c83cb8e0bbbd1p-3, -0x1.c37a0b10cabddp-3, -0x1.beb78f1bd6549p-3, -0x1.b9f591ec0b2cbp-3, -0x1.b5345f3d20934p-3, -0x1.b07441973c7cap-3, -0x1.abb5824a151c1p-3, -0x1.a6f869685d406p-3, -0x1.a23d3dc3770e5p-3, -0x1.9d8444e76fbd5p-3, -0x1.98cdc3173aa92p-3, -0x1.9419fb4940d45p-3, -0x1.8f692f2428b7p-3, -0x1.8abb9efbefdacp-3, -0x1.861189cf44acfp-3, -0x1.816b2d4527906p-3, -0x1.7cc8c5aad24dbp-3, -0x1.782a8df1dfb99p-3, -0x1.7390bfaebd3e5p-3, -0x1.6efb93175ad91p-3, -0x1.6a6b3f021fb3p-3, -0x1.65dff8e51c4d6p-3, -0x1.6159f4d581495p-3, -0x1.5cd965874d9ap-3, -0x1.585e7c4d477bap-3, -0x1.53e969191fa21p-3, -0x1.4f7a5a7be00dep-3, -0x1.4b117da68c231p-3, -0x1.46aefe6af9ec5p-3, -0x1.4253073ce2c92p-3, -0x1.3dfdc1332d48p-3, -0x1.39af54096761ep-3, -0x1.3567e62171f7bp-3, -0x1.31279c8561f7fp-3, -0x1.2cee9ae990227p-3, -0x1.28bd03aed305p-3, -0x1.2492f7e4e796bp-3, -0x1.2070974d0a33ep-3, -0x1.1c56005cad826p-3, -0x1.184350406297bp-3, -0x1.1438a2dee52fap-3, -0x1.103612dc4b126p-3, -0x1.0c3bb99d56a95p-3, -0x1.0849af4ae93e7p-3, -0x1.04600ad59cd17p-3, -0x1.007ee1f970647p-3, -0x1.f94c928337be6p-4, -0x1.f1aca818f0584p-4, -0x1.ea1e291f08babp-4, -0x1.e2a137b70521bp-4, -0x1.db35f3c14e9b7p-4, -0x1.d3dc7ae5cf55cp-4, -0x1.cc94e89ca0823p-4, -0x1.c55f5636eec44p-4, -0x1.be3bdae7f57dbp-4, -0x1.b72a8bce1b87cp-4, -0x1.b02b7bfc331bcp-4, -0x1.a93ebc82c449fp-4, -0x1.a2645c7986ef6p-4, -0x1.9b9c6908d5a39p-4, -0x1.94e6ed73480cdp-4, -0x1.8e43f31f5141ap-4, -0x1.87b381a0f182fp-4, -0x1.81359ec36ea6fp-4, -0x1.7aca4e931ba3bp-4, -0x1.747193671c692p-4, -0x1.6e2b6deb3c6p-4, -0x1.67f7dd29ba5b6p-4, -0x1.61d6de951c474p-4, -0x1.5bc86e1200baap-4, -0x1.55cc8600e8cccp-4, -0x1.4fe31f4803518p-4, -0x1.4a0c315cedb6p-4, -0x1.4447b24e685e4p-4, -0x1.3e9596ce09c8cp-4, -0x1.38f5d239e181fp-4, -0x1.336856a60656p-4, -0x1.2ded14e626cb9p-4, -0x1.2883fc96f69ccp-4, -0x1.232cfc279b4ecp-4, -0x1.1de800e2fb3b8p-4, -0x1.18b4f6f8fcc5ep-4, -0x1.1393c987af63bp-4, -0x1.0e8462a461a7ap-4, -0x1.0986ab649af84p-4, -0x1.049a8be70382ap-4, -0x1.ff7fd6b851474p-5, -0x1.f5ed601e7272bp-5, -0x1.ec7d7edd2760ap-5, -0x1.e32ffc288389dp-5, -0x1.da049f9cbd9c7p-5, -0x1.d0fb2f4ea097ap-5, -0x1.c8136fdbe8244p-5, -0x1.bf4d247b3b1dep-5, -0x1.b6a80f0c0c12cp-5, -0x1.ae23f02622273p-5, -0x1.a5c08728ede6ap-5, -0x1.9d7d924a99d32p-5, -0x1.955acea6e2a88p-5, -0x1.8d57f84da0d02p-5, -0x1.8574ca511d0d8p-5, -0x1.7db0fed419df4p-5, -0x1.760c4f179d8cp-5, -0x1.6e8673887737ep-5, -0x1.671f23cc87d0fp-5, -0x1.5fd616cfbb769p-5, -0x1.58ab02d0c9e16p-5, -0x1.519d9d6da7fb1p-5, -0x1.4aad9bafc0d0cp-5, -0x1.43dab217e4fcp-5, -0x1.3d2494a9f6d86p-5, -0x1.368af6f84fa64p-5, -0x1.300d8c2ee4feap-5, -0x1.29ac071e2fa66p-5, -0x1.23661a45bfb23p-5, -0x1.1d3b77dea563dp-5, -0x1.172bd1e57945ep-5, -0x1.1136da2440bd8p-5, -0x1.0b5c423c00fc4p-5, -0x1.059bbbae0e63dp-5, -0x1.ffe9efca4ac06p-6, -0x1.f4cf507c6dd1ep-6, -0x1.e9e6fc220bb87p-6, -0x1.df305570ea5fcp-6, -0x1.d4aabf3544d4p-6, -0x1.ca559c617be77p-6, -0x1.c030501d482eap-6, -0x1.b63a3dd4880fcp-6, -0x1.ac72c945751efp-6, -0x1.a2d9568e94846p-6, -0x1.996d4a3bf1213p-6, -0x1.902e095427f71p-6, -0x1.871af964ce7d7p-6, -0x1.7e33808e95699p-6, -0x1.75770590cb053p-6, -0x1.6ce4efd4a80a7p-6, -0x1.647ca77808b99p-6, -0x1.5c3d9557cd449p-6, -0x1.54272319e0dc4p-6, -0x1.4c38bb36b61d5p-6, -0x1.4471c902950bcp-6, -0x1.3cd1b8b6489d1p-6, -0x1.3557f777a4db5p-6, -0x1.2e03f36198eb7p-6, -0x1.26d51b8bd401cp-6, -0x1.1fcae01226c8bp-6, -0x1.18e4b21b894c8p-6, -0x1.122203e0bf176p-6, -0x1.0b8248b2b7bf2p-6, -0x1.0504f500793b7p-6, -0x1.fd52fcb9d7f26p-7, -0x1.f0deb708562a1p-7, -0x1.e4ac08c1345b2p-7, -0x1.d8b9e41f5d047p-7, -0x1.cd073dcccb79cp-7, -0x1.c1930ceb0e81cp-7, -0x1.b65c4b1af2379p-7, -0x1.ab61f483fe4afp-7, -0x1.a0a307db1ced1p-7, -0x1.961e8668e642p-7, -0x1.8bd3740f6ff92p-7, -0x1.81c0d74f864eep-7, -0x1.77e5b94d7b809p-7, -0x1.6e4125d582707p-7, -0x1.64d22b5f8937bp-7, -0x1.5b97db12b56cdp-7, -0x1.529148c868c9fp-7, -0x1.49bd8b0ed6a41p-7, -0x1.411bbb2b3ceb6p-7, -0x1.38aaf51bbca01p-7, -0x1.306a5798cb8ap-7, -0x1.285904163f0f4p-7, -0x1.20761ec40db79p-7, -0x1.18c0ce8eb265p-7, -0x1.11383d1f2a132p-7, -0x1.09db96dac8365p-7, -0x1.02aa0ae28a0c4p-7, -0x1.f74596249514ap-8, -0x1.e98a17fefe76dp-8, -0x1.dc2009efb9418p-8, -0x1.cf05dfff0dc67p-8, -0x1.c23a139e66a2cp-8, -0x1.b5bb23a3af743p-8, -0x1.a987944470916p-8, -0x1.9d9def107dd2dp-8, -0x1.91fcc2ebfa81bp-8, -0x1.86a2a4092b73ep-8, -0x1.7b8e2be1d4e91p-8, -0x1.70bdf930177c3p-8, -0x1.6630afe6f4fc1p-8, -0x1.5be4f92ab454bp-8, -0x1.51d9834864da7p-8, -0x1.480d01adccd3dp-8, -0x1.3e7e2ce05a668p-8, -0x1.352bc2742640fp-8, -0x1.2c148502a2a9ep-8, -0x1.23373c20d8d97p-8, -0x1.1a92b455b584fp-8, -0x1.1225bf0fcf6fp-8, -0x1.09ef329afd468p-8, -0x1.01edea15f3f66p-8, -0x1.f4418acec7874p-9, -0x1.e50d526616018p-9, -0x1.d63cfd9d24dcfp-9, -0x1.c7ce686ca11dep-9, -0x1.b9bf78037e029p-9, -0x1.ac0e1aaff5ae8p-9, -0x1.9eb847c814bddp-9, -0x1.91bbff91dae2cp-9, -0x1.85174b2b969f7p-9, -0x1.78c83c738979dp-9, -0x1.6cccedefb397bp-9, -0x1.612382b564cf1p-9, -0x1.55ca2650b340ep-9, -0x1.4abf0cab424f8p-9, -0x1.400071f467bd9p-9, -0x1.358c9a86f791p-9, -0x1.2b61d2d13b087p-9, -0x1.217e6f3b574dfp-9, -0x1.17e0cc0e185edp-9, -0x1.0e874d5a0fd46p-9, -0x1.05705ede24af3p-9, -0x1.f934e7dd05ad2p-10, -0x1.e8080eb64844dp-10, -0x1.d75736ad4ac9cp-10, -0x1.c71f72bac705ep-10, -0x1.b75de4380a1d3p-10, -0x1.a80fbaac85dbcp-10, -0x1.9932339cdb317p-10, -0x1.8ac29a579b357p-10, -0x1.7cbe47c477e9ap-10, -0x1.6f22a231f08e3p-10, -0x1.61ed1d249348ap-10, -0x1.551b3925092b1p-10, -0x1.48aa838fea38cp-10, -0x1.3c98966479119p-10, -0x1.30e31814552fdp-10, -0x1.2587bb535fd05p-10, -0x1.1a843ee7d805cp-10, -0x1.0fd66d7a6709p-10, -0x1.057c1d6727b99p-10, -0x1.f6e6611dfac2ap-11, -0x1.e37328508e341p-11, -0x1.d09a8122f4fa8p-11, -0x1.be587244168f6p-11, -0x1.aca917fbf18ecp-11, -0x1.9b88a3d0a5a11p-11, -0x1.8af35c2be7011p-11, -0x1.7ae59c039284fp-11, -0x1.6b5bd280fef96p-11, -0x1.5c5282aa84cffp-11, -0x1.4dc6430c0c142p-11, -0x1.3fb3bd62754fbp-11, -0x1.3217ae4678d95p-11, -0x1.24eee4d9a7855p-11, -0x1.1836427249c2dp-11, -0x1.0beaba4a5cc13p-11, -0x1.0009512ee3ce5p-11, -0x1.e91e3a5b44412p-12, -0x1.d2f28a90863bep-12, -0x1.bd8a02483086p-12, -0x1.a8df317b31916p-12, -0x1.94ecc836d1a1dp-12, -0x1.81ad9604f48ddp-12, -0x1.6f1c8957cdbfep-12, -0x1.5d34aef5daed2p-12, -0x1.4bf1316775ebap-12, -0x1.3b4d5867eace6p-12, -0x1.2b4488568ee71p-12, -0x1.1bd241aa8695p-12, -0x1.0cf22068cb164p-12, -0x1.fd3fb7390ea79p-13, -0x1.e1ae899ecf3b9p-13, -0x1.c7288f0a86af3p-13, -0x1.ada5d171d6bf5p-13, -0x1.951e8cb671daap-13, -0x1.7d8b2da9a4dfep-13, -0x1.66e4510bf65b3p-13, -0x1.5122c29e8b4dbp-13, -0x1.3c3f7c27bf224p-13, -0x1.2833a48888938p-13, -0x1.14f88eceeadc9p-13, -0x1.0287b94bcde94p-13, -0x1.e1b5995d47a06p-14, -0x1.bfd7364939d95p-14, -0x1.9f683ef52e3a1p-14, -0x1.805cf8835e059p-14, -0x1.62a9f5f22d13cp-14, -0x1.464416741edfdp-14, -0x1.2b2083d3c236dp-14, -0x1.1134b0d00eb15p-14, -0x1.f0ecaf2895b49p-15, -0x1.c1b6f049ebd9bp-15, -0x1.94b4adbd53d14p-15, -0x1.69d2f5e356bcfp-15, -0x1.40ff59e1641acp-15, -0x1.1a27eab57e2b6p-15, -0x1.ea766cbaebfb4p-16, -0x1.a4508a257db21p-16, -0x1.61bd2d0e28221p-16, -0x1.229c3e63839dfp-16, -0x1.cd9d16b77d77ep-17, -0x1.5c6b807d98e92p-17, -0x1.e2d18d11e5807p-18, -0x1.18b73e9e4c80dp-18, -0x1.686309d8b5d05p-20, 0x1.65d83623a216cp-20, 0x1.025e3de91e74bp-18, 0x1.a105d3c82c078p-18, 0x1.1ae7efc5e2145p-17, 0x1.608e472e4ee72p-17, 0x1.a1a49e0cb05b2p-17, 0x1.de58422a75fdap-17, 0x1.0b6a94d4714a9p-16, 0x1.25a2fda8341c3p-16, 0x1.3dea0b5b09e87p-16, 0x1.5453ce1547f09p-16, 0x1.68f3ba4bdee7bp-16, 0x1.7bdcac93246c9p-16, 0x1.8d20ed60c042fp-16, 0x1.9cd234b4e8a8cp-16, 0x1.ab01adc083273p-16, 0x1.b7bffa5625f5ep-16, 0x1.c31d368293719p-16, 0x1.cd28fbce0956cp-16, 0x1.d5f264ab43f9ap-16, 0x1.dd880fa92cdd1p-16, 0x1.e3f822a2bcd74p-16, 0x1.e9504de27e8eep-16, 0x1.ed9dcf2e70754p-16, 0x1.f0ed74bc320f1p-16, 0x1.f34ba02ad48ddp-16, 0x1.f4c4495674df3p-16, 0x1.f563012900d6p-16, 0x1.f532f45724fc6p-16, 0x1.f43eee107525p-16, 0x1.f2915a9c16ff9p-16, 0x1.f03449ec117bp-16, 0x1.ed31721f2e5ap-16, 0x1.e99231efa972bp-16, 0x1.e55f931b73949p-16, 0x1.e0a24cc34f8e8p-16, 0x1.db62c5a8cebfep-16, 0x1.d5a9167a9c598p-16, 0x1.cf7d0bf8e9a93p-16, 0x1.c8e629229b637p-16, 0x1.c1eba946fed2fp-16, 0x1.ba94821035761p-16, 0x1.b2e765812cc85p-16, 0x1.aaeac3edc60ecp-16, 0x1.a2a4cdda71ff7p-16, 0x1.9a1b75ded1971p-16, 0x1.915472714f2d1p-16, 0x1.88553faf63d04p-16, 0x1.7f23211a1a11ep-16, 0x1.75c323403a433p-16, 0x1.6c3a1d6b2f7fap-16, 0x1.628cb331e138fp-16, 0x1.58bf56121d266p-16, 0x1.4ed646f13e4aep-16, 0x1.44d5979f479afp-16, 0x1.3ac12c49ab4b1p-16, 0x1.309cbce3bab93p-16, 0x1.266bd68f0b86bp-16, 0x1.1c31dcf219dcfp-16, 0x1.11f20b88266e7p-16, 0x1.07af76e8aaaa5p-16, 0x1.fada1c14dea63p-17, 0x1.e65b36eb5294cp-17, 0x1.d1e78ce864448p-17, 0x1.bd842889f37bep-17, 0x1.a935d2520b334p-17, 0x1.95011318c275ep-17, 0x1.80ea36214f5ffp-17, 0x1.6cf54b2b68b88p-17, 0x1.5926288155432p-17, 0x1.45806cea2c7ffp-17, 0x1.3207819557e98p-17, 0x1.1ebe9bfc431dcp-17, 0x1.0ba8bfac285b5p-17, 0x1.f19180195b2e2p-18, 0x1.cc42843e49a9ap-18, 0x1.a7697c3605cdep-18, 0x1.830b023a86167p-18, 0x1.5f2b5d6a8ff6p-18, 0x1.3bce84ddbe4cp-18, 0x1.18f822a1d84bap-18, 0x1.ed572d410686ap-19, 0x1.a9d7f2c5ac49cp-19, 0x1.67783dcc53b95p-19, 0x1.263d3270f686fp-19, 0x1.cc56ec2675fbap-20, 0x1.4e8e68e84c88cp-20, 0x1.a65091ed949bap-21, 0x1.68ac6796d2c09p-22, -0x1.c636d8be5c79fp-24, -0x1.20fcc969cf3b9p-21, -0x1.0221a892fe75dp-20, -0x1.7149d2f65b05cp-20, -0x1.ddf432d4bb673p-20, -0x1.240f62227404fp-19, -0x1.57e4144c2dcddp-19, -0x1.8a77cfb4abe5bp-19, -0x1.bbca7f832802ap-19, -0x1.ebdc56e31113cp-19, -0x1.0d56e6c285018p-18, -0x1.241fce3df9a6p-18, -0x1.3a495d871e561p-18, -0x1.4fd42dcc8d66fp-18, -0x1.64c0f456f3c16p-18, -0x1.79108114cc63ap-18, -0x1.8cc3bd436e461p-18, -0x1.9fdbaa01e6a21p-18, -0x1.b2595f1af4b61p-18, -0x1.c43e09c30ff46p-18, -0x1.d58aeb586a0ebp-18, -0x1.e641583d221cp-18, -0x1.f662b6baee9bdp-18, -0x1.02f83ef147bcbp-17, -0x1.0a761a44895a7p-17, -0x1.11abb82086b7cp-17, -0x1.1899ea32838dfp-17, -0x1.1f41888dcf304p-17, -0x1.25a37139568a5p-17, -0x1.2bc087c3df25p-17, -0x1.3199b4d01aaa4p-17, -0x1.372fe5b29cccfp-17, -0x1.3c840c0c1d33dp-17, -0x1.41971d66da3e3p-17, -0x1.466a12de4af5cp-17, -0x1.4afde8c33310fp-17, -0x1.4f539e4157bccp-17, -0x1.536c3518e114fp-17, -0x1.5748b1449820ap-17, -0x1.5aea18b05e59fp-17, -0x1.5e5172f296363p-17, -0x1.617fc907dc6cep-17, -0x1.64762508d5962p-17, -0x1.673591efc0734p-17, -0x1.69bf1b5be605cp-17, -0x1.6c13cd4fd8e76p-17, -0x1.6e34b400aad3ep-17, -0x1.7022db9f0dc0bp-17, -0x1.71df501dcf9cep-17, -0x1.736b1d092559bp-17, -0x1.74c74d53aa13cp-17, -0x1.75f4eb2897a14p-17, -0x1.76f4ffc292c73p-17, -0x1.77c893459feb9p-17, -0x1.7870ac94a262ep-17, -0x1.78ee51318266ep-17, -0x1.794285167eeecp-17, -0x1.796e4a982c582p-17, -0x1.7972a242a1702p-17, -0x1.79508ac0cae1dp-17, -0x1.790900c01020dp-17, -0x1.789cfed378118p-17, -0x1.780d7d5ad13b5p-17, -0x1.775b7271a317cp-17, -0x1.7687d1d1c40ep-17, -0x1.75938cc31766dp-17, -0x1.747f920815cbcp-17, -0x1.734ccdcce6f08p-17, -0x1.71fc29928bdf4p-17, -0x1.708e8c269fae9p-17, -0x1.6f04d991b8b3cp-17, -0x1.6d5ff306eb602p-17, -0x1.6ba0b6dd6adf1p-17, -0x1.69c80084d09b7p-17, -0x1.67d6a8771c1a7p-17, -0x1.65cd84335872ep-17, -0x1.63ad66358c91fp-17, -0x1.61771dec10402p-17, -0x1.5f2b77b71d28bp-17, -0x1.5ccb3cde7bc78p-17, -0x1.5a57338e3f8adp-17, -0x1.57d01ed177d14p-17, -0x1.5536be930534ap-17, -0x1.528bcf970645cp-17, -0x1.4fd00b79b751ap-17, -0x1.4d0428ade985ap-17, -0x1.4a28da7f96d6ep-17, -0x1.473ed1110d8a9p-17, -0x1.4446b959c7c45p-17, -0x1.41413d2ad587bp-17, -0x1.3e2f032d89c3p-17, -0x1.3b10aee8711dep-17, -0x1.37e6e0bebba96p-17, -0x1.34b235f66e934p-17, -0x1.317348b8cda3bp-17, -0x1.2e2ab015e525fp-17, -0x1.2ad9000c0104dp-17, -0x1.277ec989b7c95p-17, -0x1.241c9a719e041p-17, -0x1.20b2fda0c8feep-17, -0x1.1d427af522bc4p-17, -0x1.19cb97535b63fp-17, -0x1.164ed4aa17a82p-17, -0x1.12ccb1f9ec094p-17, -0x1.0f45ab5bd526ep-17, -0x1.0bba3a07c7fcdp-17, -0x1.082ad45cef4d4p-17, -0x1.0497ede64a865p-17, -0x1.0101f7645cd4p-17, -0x1.fad2bda42be89p-18, -0x1.f39d1eddef34ap-18, -0x1.ec63e38c4de26p-18, -0x1.e527d76b1a36fp-18, -0x1.dde9c0ec742afp-18, -0x1.d6aa614ae34bcp-18, -0x1.cf6a7497e747cp-18, -0x1.c82ab1cca32eap-18, -0x1.c0ebcadb7babep-18, -0x1.b9ae6cc3bf3dbp-18, -0x1.b2733f9e36db8p-18, -0x1.ab3ae6b092395p-18, -0x1.a406008102bc1p-18, -0x1.9cd526e4b33c8p-18, -0x1.95a8ef10e5fe6p-18, -0x1.8e81e9add1fd9p-18, -0x1.8760a2ea0a942p-18, -0x1.8045a28c1b1d2p-18, -0x1.79316c016acd9p-18, -0x1.72247e72d46fbp-18, -0x1.6b1f54d372e37p-18, -0x1.642265f3f52b4p-18, -0x1.5d2e2495c0523p-18, -0x1.5642ff7ba50c9p-18, -0x1.4f61617bc8e2fp-18, -0x1.4889b18e1b5cfp-18, -0x1.41bc52e314d59p-18, -0x1.3af9a4f300a65p-18, -0x1.3442038d7ceefp-18, -0x1.2d95c6eaaebe2p-18, -0x1.26f543bfb250dp-18, -0x1.2060cb4d17274p-18, -0x1.19d8ab72c9162p-18, -0x1.135d2ebe29357p-18, -0x1.0cee9c7a7a94ap-18, -0x1.068d38c1f1c8ap-18, -0x1.0039448fbc5afp-18, -0x1.f3e5fb9feb2d1p-19, -0x1.e7753eddc245p-19, -0x1.db20c2d25aaf7p-19, -0x1.cee8f1b9a1504p-19, -0x1.c2ce302e888cbp-19, -0x1.b6d0dd4ace281p-19, -0x1.aaf152c94accp-19, -0x1.9f2fe51feaee7p-19, -0x1.938ce3a1f48d2p-19, -0x1.8808989ae0e59p-19, -0x1.7ca3496f6770fp-19, -0x1.715d36b6e7d41p-19, -0x1.66369c5895582p-19, -0x1.5b2fb1aa13531p-19, -0x1.5048a98b177b4p-19, -0x1.4581b2817491ap-19, -0x1.3adaf6d3aa505p-19, -0x1.30549ca56d2c8p-19, -0x1.25eec611b1aecp-19, -0x1.1ba9914345b4fp-19, -0x1.1185188d096f2p-19, -0x1.0781728765c94p-19, -0x1.fb3d645894ce2p-20, -0x1.e7b9cdd4e15ebp-20, -0x1.d4783984e5094p-20, -0x1.c178b8b66fd7cp-20, -0x1.aebb562d6acf7p-20, -0x1.9c4016612d948p-20, -0x1.8a06f7a653e6bp-20, -0x1.780ff25736efcp-20, -0x1.665af902d17b4p-20, -0x1.54e7f898bdb36p-20, -0x1.43b6d898ce5b1p-20, -0x1.32c77b397dd68p-20, -0x1.2219bd8d50917p-20, -0x1.11ad77aa5e7f2p-20, -0x1.01827cdc95b49p-20, -0x1.e3313790c1832p-21, -0x1.c3df3d288d22ep-21, -0x1.a50e961ac07a7p-21, -0x1.86bec58c646c7p-21, -0x1.68ef4686bfa7ap-21, -0x1.4b9f8c31b05ccp-21, -0x1.2ecf022bf40b4p-21, -0x1.127d0cc76eaa6p-21, -0x1.ed52129393ddep-22, -0x1.b6a49c68c8e5p-22, -0x1.80f057099d3abp-22, -0x1.4c33d5df3639ep-22, -0x1.186da04d9e8cbp-22, -0x1.cb38642e8bcc3p-23, -0x1.677bf7e0f8d6dp-23, -0x1.05a2c7bb7feadp-23, -0x1.4b53170907e1ep-24, -0x1.1e339e4a86058p-25, 0x1.4b6926f72e96ep-27, 0x1.bc918adbef77ep-25, 0x1.8f8034d9af637p-24, 0x1.1e8d5adadd718p-23, 0x1.738fd4a57fc2ep-23, 0x1.c6cb46f5b342dp-23, 0x1.0c21bf6de6d29p-22, 0x1.33fe2b37f8051p-22, 0x1.5afcda1c35932p-22, 0x1.811fc5267025fp-22, 0x1.a668eaf11651cp-22, 0x1.cada4f3a22913p-22, 0x1.ee75fa9a736bap-22, 0x1.089efd14e12dp-21, 0x1.199a2f9382baep-21, 0x1.2a2d9f58a2bbdp-21, 0x1.3a5a58c165d8ap-21, 0x1.4a2169dd7cf85p-21, 0x1.5983e2383325bp-21, 0x1.6882d2bd31d7ep-21, 0x1.771f4d974a619p-21, 0x1.855a660bb8de6p-21, 0x1.9335305ede917p-21, 0x1.a0b0c1b30bca7p-21, 0x1.adce2fe548482p-21, 0x1.ba8e91706378p-21, 0x1.c6f2fd565f05ap-21, 0x1.d2fc8b098367fp-21, 0x1.deac52426843dp-21, 0x1.ea036ae4cfffp-21, 0x1.f502ecf0f9749p-21, 0x1.ffabf0650c8b1p-21, 0x1.04ffc690bbf07p-20, 0x1.09ff6d6b2db0fp-20, 0x1.0ed5787acbfe4p-20, 0x1.13827344633f7p-20, 0x1.1806e913f8dc3p-20, 0x1.1c6364f1d5f34p-20, 0x1.20987195eefa2p-20, 0x1.24a6996191099p-20, 0x1.288e6653bd9p-20, 0x1.2c5062005449bp-20, 0x1.2fed1586e2238p-20, 0x1.3365098dfc919p-20, }}, 
      {{-0x1.0fd6d1e30c984p-11, -0x1.109f54d45f12dp-10, -0x1.9dc3906d21f8ap-10, -0x1.19c18a88bec4cp-9, -0x1.69a033235a27dp-9, -0x1.bcd2c24251876p-9, -0x1.079362870f625p-8, -0x1.2d26c4bad942bp-8, -0x1.4b4b87ae3b371p-8, -0x1.5de12b8f1aa1fp-8, -0x1.60de5ebe87c63p-8, -0x1.509e1ce37dddep-8, -0x1.2a16b7ca9b27dp-8, -0x1.d5f6ab8399ef1p-9, -0x1.23953b404e9fep-9, -0x1.dce3009afb3ecp-12, 0x1.c3c53e1d84feep-10, 0x1.19c0277bab53ap-8, 0x1.db586a57c0cf6p-8, 0x1.59feac5723f93p-7, 0x1.d0cbaa6ff9bep-7, 0x1.2873bd9647c4dp-6, 0x1.6c898d4a4657dp-6, 0x1.b403c01f93d8cp-6, 0x1.fe3fb6d7c1b21p-6, 0x1.254fea8b8c591p-5, 0x1.4c476b1a1f5fdp-5, 0x1.73c1308dde5ap-5, 0x1.9b7e748b01cb4p-5, 0x1.c347766e90113p-5, 0x1.eaebd3ba5b0b9p-5, 0x1.092151bf15ca3p-4, 0x1.1c952f61dba67p-4, 0x1.2fc44fc9f7fap-4, 0x1.42a4dfc006994p-4, 0x1.55302ee2c1f86p-4, 0x1.67626a1dd797ap-4, 0x1.793a50a503ab3p-4, 0x1.8ab8e61c7bd4cp-4, 0x1.9be12426775d4p-4, 0x1.acb7ad245815ep-4, 0x1.bd42819a1baf8p-4, 0x1.cd88b94d20d4p-4, 0x1.dd9240ec7e33p-4, 0x1.ed679cd082a04p-4, 0x1.fd11b1287fbfap-4, 0x1.064cc7e04754dp-3, 0x1.0e0425b20e1ddp-3, 0x1.15b368625cf78p-3, 0x1.1d5ee25ac9ec4p-3, 0x1.250ab3bd93148p-3, 0x1.2cbabe7128071p-3, 0x1.34729c64e67c6p-3, 0x1.3c3597e2252a2p-3, 0x1.4406a5bb9c77cp-3, 0x1.4be8612d554c3p-3, 0x1.53dd0940186f5p-3, 0x1.5be67f84f5839p-3, 0x1.640647ff7c0f5p-3, 0x1.6c3d8a1786797p-3, 0x1.748d126e1b47ap-3, 0x1.7cf555737ae0fp-3, 0x1.8576729f3c162p-3, 0x1.8e10382def28ap-3, 0x1.96c2274a6b613p-3, 0x1.9f8b788b77ef5p-3, 0x1.a86b20b0cfe71p-3, 0x1.b15fd58cdf3d5p-3, 0x1.ba68130aa5861p-3, 0x1.c38220412a46dp-3, 0x1.ccac1487c5459p-3, 0x1.d5e3dc802b5d4p-3, 0x1.df273f0cac5ffp-3, 0x1.e873e22a9519cp-3, 0x1.f1c74fa9d0f55p-3, 0x1.fb1ef9bc13967p-3, 0x1.023c1fab7a828p-2, 0x1.06e838329b899p-2, 0x1.0b9268e2300a7p-2, 0x1.103950863f7efp-2, 0x1.14db8c104e744p-2, 0x1.1977b84385c74p-2, 0x1.1e0c73448a566p-2, 0x1.22985e0d1e3a8p-2, 0x1.271a1dc3b944dp-2, 0x1.2b905cf78e2ep-2, 0x1.2ff9ccc17ab19p-2, 0x1.345525ca9d7ebp-2, 0x1.38a129394d5b3p-2, 0x1.3cdca18551537p-2, 0x1.410663344afc4p-2, 0x1.451d4d7f4a614p-2, 0x1.49204ae294643p-2, 0x1.4d0e5198a8b5ap-2, 0x1.50e6640199d71p-2, 0x1.54a790f7d0a0bp-2, 0x1.5850f41346b0cp-2, 0x1.5be1b5dc5a7bp-2, 0x1.5f590bef43888p-2, 0x1.62b6391137248p-2, 0x1.65f88d384477ap-2, 0x1.691f6586ed4fep-2, 0x1.6c2a2c3c6b467p-2, 0x1.6f18589a9e982p-2, 0x1.71e96ec280d3bp-2, 0x1.749cff880b819p-2, 0x1.7732a83e56eb6p-2, 0x1.79aa127ccb27fp-2, 0x1.7c02f3de1d04ap-2, 0x1.7e3d0db9d1b78p-2, 0x1.80582cd8f9b6p-2, 0x1.82542926bf428p-2, 0x1.8430e55d6e0ebp-2, 0x1.85ee4eb079359p-2, 0x1.878c5c7411204p-2, 0x1.890b0fc2bd71p-2, 0x1.8a6a7321799f4p-2, 0x1.8baa9a22b88a2p-2, 0x1.8ccba108b9009p-2, 0x1.8dcdac6782c3cp-2, 0x1.8eb0e8c6e46afp-2, 0x1.8f758a44bb2ap-2, 0x1.901bcc37cecf7p-2, 0x1.90a3f0d37c772p-2, 0x1.910e40cc6b524p-2, 0x1.915b0afe827ddp-2, 0x1.918aa414454a4p-2, 0x1.919d662fc3b0fp-2, 0x1.9193b09541b6bp-2, 0x1.916de757b1e09p-2, 0x1.912c730721149p-2, 0x1.90cfc061249b3p-2, 0x1.905840036273fp-2, 0x1.8fc666203d37cp-2, 0x1.8f1aaa35b9174p-2, 0x1.8e5586c692eacp-2, 0x1.8d777915a3476p-2, 0x1.8c8100e380d7ap-2, 0x1.8b72a02e6b343p-2, 0x1.8a4cdaf480e04p-2, 0x1.891036f835db6p-2, 0x1.87bd3b870c1abp-2, 0x1.8654714289838p-2, 0x1.84d661eb637cp-2, 0x1.8343982ed515p-2, 0x1.819c9f761af45p-2, 0x1.7fe203b80d163p-2, 0x1.7e14514cc6203p-2, 0x1.7c3414c350ca8p-2, 0x1.7a41dab94ff15p-2, 0x1.783e2fb493ab7p-2, 0x1.76299ffe91b93p-2, 0x1.7404b781b0252p-2, 0x1.71d001a85b0c2p-2, 0x1.6f8c093dcf1fap-2, 0x1.6d39585099c31p-2, 0x1.6ad87816b460cp-2, 0x1.6869f0d3330bap-2, 0x1.65ee49bd7be05p-2, 0x1.636608e9f4abcp-2, 0x1.60d1b3341fceep-2, 0x1.5e31cc2a15756p-2, 0x1.5b86d5f95286dp-2, 0x1.58d1515ccbbafp-2, 0x1.5611bd8c3e373p-2, 0x1.5348982caa5d6p-2, 0x1.50765d41f7e7ep-2, 0x1.4d9b8721aa444p-2, 0x1.4ab88e66a8aedp-2, 0x1.47cde9e60483fp-2, 0x1.44dc0ea4b4898p-2, 0x1.41e36fce445p-2, 0x1.3ee47eac60cc6p-2, 0x1.3bdfaa9f41ba2p-2, 0x1.38d56116e141dp-2, 0x1.35c60d8cfd7eep-2, 0x1.32b2197fd6b1ep-2, 0x1.2f99ec6da5badp-2, 0x1.2c7debd0bd377p-2, 0x1.295e7b1c5465fp-2, 0x1.263bfbb9ef7aap-2, 0x1.2316cd075d0dbp-2, 0x1.1fef4c5548303p-2, 0x1.1cc5d4e64ee3p-2, 0x1.199abfee9ddp-2, 0x1.166e6494095cp-2, 0x1.134117ee9ad3cp-2, 0x1.10132d098f82ap-2, 0x1.0ce4f4e4c0e57p-2, 0x1.09b6be7673573p-2, 0x1.0688d6ad8660fp-2, 0x1.035b8873fb3ccp-2, 0x1.002f1cb1d6d3fp-2, 0x1.fa07b4a0a32aep-3, 0x1.f3b40c7aaa493p-3, 0x1.ed63c6de88b7cp-3, 0x1.e71765d2070aep-3, 0x1.e0cf677c8d036p-3, 0x1.da8c46302cb08p-3, 0x1.d44e78732997ap-3, 0x1.ce167109dfbd4p-3, 0x1.c7e49f0115fd8p-3, 0x1.c1b96db8aafe9p-3, 0x1.bb9544ee9af9cp-3, 0x1.b57888ca520bdp-3, 0x1.af6399e84e902p-3, 0x1.a956d5660574cp-3, 0x1.a35294ee07a5bp-3, 0x1.9d572ec462671p-3, 0x1.9764f5d334766p-3, 0x1.917c39b7746d6p-3, 0x1.8b9d46cde6a56p-3, 0x1.85c8664033a56p-3, 0x1.7ffdde122a8bep-3, 0x1.7a3df12f1ddbdp-3, 0x1.7488df775b8ep-3, 0x1.6edee5cdbf86p-3, 0x1.69403e255a425p-3, 0x1.63ad1f8f24be3p-3, 0x1.5e25be47c7ad2p-3, 0x1.58aa4bc564793p-3, 0x1.533af6c56c53ep-3, 0x1.4dd7eb5a79097p-3, 0x1.488152fa26b55p-3, 0x1.4337548aebb48p-3, 0x1.3dfa1471ea6f3p-3, 0x1.38c9b4a0c4e52p-3, 0x1.33a654a35bfebp-3, 0x1.2e9011ad8a784p-3, 0x1.298706a8d0d8fp-3, 0x1.248b4c41f0b3ep-3, 0x1.1f9cf8f678132p-3, 0x1.1abc21223989cp-3, 0x1.15e8d70caac2ap-3, 0x1.11232af63259cp-3, 0x1.0c6b2b25598f1p-3, 0x1.07c0e3f3e0f2ep-3, 0x1.03245fdbc1b7cp-3, 0x1.fd2b4f080d1ep-4, 0x1.f429839b25d9p-4, 0x1.eb4367bf7ca09p-4, 0x1.e2790269a896bp-4, 0x1.d9ca574ced386p-4, 0x1.d13766f3a863ap-4, 0x1.c8c02ed7848c6p-4, 0x1.c064a97952fc6p-4, 0x1.b824ce78af893p-4, 0x1.b00092ab40044p-4, 0x1.a7f7e833b99c5p-4, 0x1.a00abe988036cp-4, 0x1.983902da09443p-4, 0x1.90829f88de5a3p-4, 0x1.88e77cdb52388p-4, 0x1.816780c2dd241p-4, 0x1.7a028f0127cddp-4, 0x1.72b8893cbb73ep-4, 0x1.6b894f1560072p-4, 0x1.6474be381d141p-4, 0x1.5d7ab272e7a2dp-4, 0x1.569b05c7f3babp-4, 0x1.4fd59080afep-4, 0x1.492a294066247p-4, 0x1.4298a51681095p-4, 0x1.3c20d7907ca43p-4, 0x1.35c292cb7b0dep-4, 0x1.2f7da7857d299p-4, 0x1.2951e52e46465p-4, 0x1.233f19f7e4192p-4, 0x1.1d4512e6dc779p-4, 0x1.17639be205923p-4, 0x1.119a7fc202015p-4, 0x1.0be9886068055p-4, 0x1.06507ea68e88p-4, 0x1.00cf2a9c03907p-4, 0x1.f6caa6e95ac74p-5, 0x1.ec257f3d23db6p-5, 0x1.e1ae699e99c7ap-5, 0x1.d764f0225c3abp-5, 0x1.cd489ba00a225p-5, 0x1.c358f3cb2f0edp-5, 0x1.b9957f4b8b933p-5, 0x1.affdc3d4bc25fp-5, 0x1.a691463d3edd1p-5, 0x1.9d4f8a94cd76cp-5, 0x1.9438143a2b59cp-5, 0x1.8b4a65f041e72p-5, 0x1.828601f2b2859p-5, 0x1.79ea6a09c56bbp-5, 0x1.71771f9dc60c4p-5, 0x1.692ba3c9c61abp-5, 0x1.6107776dcf9a7p-5, 0x1.590a1b4088c8ep-5, 0x1.51330fe03ef9fp-5, 0x1.4981d5e372cb3p-5, 0x1.41f5ede8caeedp-5, 0x1.3a8ed8a687f37p-5, 0x1.334c16f96e1f1p-5, 0x1.2c2d29f32aff3p-5, 0x1.253192e836aep-5, 0x1.1e58d37d3b5a9p-5, 0x1.17a26db3f8859p-5, 0x1.110de3f7acdbfp-5, 0x1.0a9ab9290ca94p-5, 0x1.044870a9b34b2p-5, 0x1.fc2d1cce6711dp-6, 0x1.f0092dcb43074p-6, 0x1.e4241e937b4d3p-6, 0x1.d87cfac54d1e8p-6, 0x1.cd12cf664382dp-6, 0x1.c1e4aaf4ff763p-6, 0x1.b6f19d7a2a24cp-6, 0x1.ac38b8989b143p-6, 0x1.a1b90f9cbe331p-6, 0x1.9771b78b39cb8p-6, 0x1.8d61c72ed677dp-6, 0x1.83885725aa808p-6, 0x1.79e481ed96b63p-6, 0x1.707563f019b4fp-6, 0x1.673a1b8d6c32ap-6, 0x1.5e31c926fc279p-6, 0x1.555b8f29483bp-6, 0x1.4cb6921513b54p-6, 0x1.4441f88815726p-6, 0x1.3bfceb44ed0f2p-6, 0x1.33e6953aad1ffp-6, 0x1.2bfe238bba68dp-6, 0x1.2442c5942dd39p-6, 0x1.1cb3acefb21b6p-6, 0x1.15500d7ed406cp-6, 0x1.0e171d6bdf3a8p-6, 0x1.0708152f3a46p-6, 0x1.00222f9349a6ep-6, 0x1.f2c9536fdc578p-7, 0x1.e59d862ae7947p-7, 0x1.d8bf7afe76fc3p-7, 0x1.cc2dba4bbc1bp-7, 0x1.bfe6d131e3d32p-7, 0x1.b3e95190f0ca7p-7, 0x1.a833d20bba4b1p-7, 0x1.9cc4ee094c1b1p-7, 0x1.919b45b578dacp-7, 0x1.86b57e00eae7fp-7, 0x1.7c1240a070392p-7, 0x1.71b03c0ba026ap-7, 0x1.678e237b0f347p-7, 0x1.5daaaee5d4585p-7, 0x1.54049afe77a94p-7, 0x1.4a9aa92f7a517p-7, 0x1.416b9f9736beap-7, 0x1.3876490369b4p-7, 0x1.2fb974ec2068bp-7, 0x1.2733f76e4f644p-7, 0x1.1ee4a945e654bp-7, 0x1.16ca67c781cbep-7, 0x1.0ee414d9cc10ep-7, 0x1.073096ee5ffb3p-7, 0x1.ff5db1f4bf9d9p-8, 0x1.f0bb94dd676adp-8, 0x1.e278be6002949p-8, 0x1.d4931f1c771fbp-8, 0x1.c708b0780107p-8, 0x1.b9d7748b548b8p-8, 0x1.acfd76101a2a7p-8, 0x1.a078c84e2a667p-8, 0x1.944787082f089p-8, 0x1.8867d667d0223p-8, 0x1.7cd7e2e996771p-8, 0x1.7195e1484834bp-8, 0x1.66a00e680e354p-8, 0x1.5bf4af4141721p-8, 0x1.519210cad1ffap-8, 0x1.477687e47cc88p-8, 0x1.3da07140b740ap-8, 0x1.340e314e74d14p-8, 0x1.2abe34227f9dep-8, 0x1.21aeed60f1189p-8, 0x1.18ded82626025p-8, 0x1.104c76efcffa5p-8, 0x1.07f65385de841p-8, 0x1.ffb5fdc61bf79p-9, 0x1.eff2223b5028dp-9, 0x1.e09e52a00851cp-9, 0x1.d1b7db020df9fp-9, 0x1.c33c15192cc7dp-9, 0x1.b5286817f5362p-9, 0x1.a77a487c8decap-9, 0x1.9a2f37e152fep-9, 0x1.8d44c4cde88e4p-9, 0x1.80b88a87bf9bp-9, 0x1.748830e32c028p-9, 0x1.68b16c1454424p-9, 0x1.5d31fc80438cap-9, 0x1.5207ae8e3a5bap-9, 0x1.47305a791a99p-9, 0x1.3ca9e420e0b9p-9, 0x1.32723adc7a48ap-9, 0x1.2887594bdee8ep-9, 0x1.1ee7452a279a2p-9, 0x1.15900f203aa5dp-9, 0x1.0c7fd29758918p-9, 0x1.03b4b58c5ee7bp-9, 0x1.f659d0c5d2722p-10, 0x1.e5cd4b724b667p-10, 0x1.d5c064779dbc6p-10, 0x1.c62fb8f4b5ab3p-10, 0x1.b717f9779704dp-10, 0x1.a875e9a718aefp-10, 0x1.9a465fee19496p-10, 0x1.8c864526e55edp-10, 0x1.7f32944746775p-10, 0x1.72485a0e19fc2p-10, 0x1.65c4b4b0ea5bp-10, 0x1.59a4d38ae1d0ap-10, 0x1.4de5f6cc50b15p-10, 0x1.42856f2b44292p-10, 0x1.37809d94b85c5p-10, 0x1.2cd4f2dec239dp-10, 0x1.227fef7be04aap-10, 0x1.187f232eb0d59p-10, 0x1.0ed02cbeea05p-10, 0x1.0570b9af56b24p-10, 0x1.f8bd0be868422p-11, 0x1.e72eb7560c69bp-11, 0x1.d63225a6300bep-11, 0x1.c5c3220e0151ep-11, 0x1.b5dd926dd3ae6p-11, 0x1.a67d76c8174d4p-11, 0x1.979ee8b9c4bcp-11, 0x1.893e1af49fa5ep-11, 0x1.7b5758bbdc7ap-11, 0x1.6de70562167c6p-11, 0x1.60e99bc956567p-11, 0x1.545bade5199d5p-11, 0x1.4839e43e05f61p-11, 0x1.3c80fd779a7bdp-11, 0x1.312dcdd7996p-11, 0x1.263d3ecf976e6p-11, 0x1.1bac4e8827a53p-11, 0x1.11780f6da7294p-11, 0x1.079da7bf867c1p-11, 0x1.fc34a24120f28p-12, 0x1.e9d6b05385b5p-12, 0x1.d81c37fd03ebbp-12, 0x1.c7001bc57a75cp-12, 0x1.b67d61a56acbdp-12, 0x1.a68f32393c1b1p-12, 0x1.9730d7f8566a6p-12, 0x1.885dbe6f32cd2p-12, 0x1.7a11717d2980cp-12, 0x1.6c479c955bd32p-12, 0x1.5efc0a03e3f61p-12, 0x1.522aa2347cdf7p-12, 0x1.45cf6afee9096p-12, 0x1.39e686f501702p-12, 0x1.2e6c34b422ffcp-12, 0x1.235cce3af0cbcp-12, 0x1.18b4c840ac7fap-12, 0x1.0e70b191143ccp-12, 0x1.048d326aeed13p-12, 0x1.f60e17c1e7ba6p-13, 0x1.e3b62e7e3f749p-13, 0x1.d20c8ae44406dp-13, 0x1.c10b3ce362d02p-13, 0x1.b0ac815ca9cf9p-13, 0x1.a0eac1040e2c7p-13, 0x1.91c08f45e0ccbp-13, 0x1.8328a934161e7p-13, 0x1.751df478550fap-13, 0x1.679b7e4ad54dbp-13, 0x1.5a9c7a6f4641bp-13, 0x1.4e1c423751cbep-13, 0x1.4216538997cfdp-13, 0x1.36864fef11f66p-13, 0x1.2b67fba462d6cp-13, 0x1.20b73cb053e26p-13, 0x1.16701a01a86ap-13, 0x1.0c8eba8d3517ap-13, 0x1.030f647585c38p-13, 0x1.f3dcf86885e16p-14, 0x1.e251079211699p-14, 0x1.d17433dbf1c8ap-14, 0x1.c13ff29eb7f35p-14, 0x1.b1adef90dfaf4p-14, 0x1.a2b80b4859b29p-14, 0x1.945859c4caaf2p-14, 0x1.86892104a62b6p-14, 0x1.7944d79eba3ep-14, 0x1.6c8623658a235p-14, 0x1.6047d815c2697p-14, 0x1.5484f606fab8bp-14, 0x1.4938a8e902adep-14, 0x1.3e5e4684c28ep-14, 0x1.33f14d89651c3p-14, 0x1.29ed645b4484fp-14, 0x1.204e57ef9bd0cp-14, 0x1.17101aabb7d6ap-14, 0x1.0e2ec34c0a269p-14, 0x1.05a68bd12cbbcp-14, 0x1.fae7a0ec22fd8p-15, 0x1.eb261d54dea97p-15, 0x1.dc01c8283fe13p-15, 0x1.cd741b2f11686p-15, 0x1.bf76cccbfc81p-15, 0x1.b203ce23bc23cp-15, 0x1.a515494eecfdep-15, 0x1.98a59f9d716d2p-15, 0x1.8caf67e0e4b12p-15, 0x1.812d6cc0ce2efp-15, 0x1.761aab1f1f66bp-15, 0x1.6b725083baa19p-15, 0x1.612fb9936f727p-15, 0x1.574e708fa3ab3p-15, 0x1.4dca2be356bb9p-15, 0x1.449eccb61747bp-15, 0x1.3bc85d8d82845p-15, 0x1.334310f21f399p-15, 0x1.2b0b402320f06p-15, 0x1.231d69d18712dp-15, 0x1.1b7630df9eb44p-15, 0x1.14125b31cbf72p-15, 0x1.0ceed07ec0739p-15, 0x1.0608992deb0c2p-15, 0x1.feb9ba79e99b1p-16, 0x1.f1d1c654b1dc2p-16, 0x1.e5541dd806edp-16, 0x1.d93bc1d42c17dp-16, 0x1.cd83ea03c3d89p-16, 0x1.c2280321adf9fp-16, 0x1.b723ad0cb0844p-16, 0x1.ac72b8f649094p-16, 0x1.a21127a13d8fap-16, 0x1.97fb27afef46dp-16, 0x1.8e2d13f92dc2fp-16, 0x1.84a371ee4b59cp-16, 0x1.7b5af00b83da6p-16, 0x1.72506453380aep-16, 0x1.6980cad991635p-16, 0x1.60e9445273ef1p-16, 0x1.588714b79a53ap-16, 0x1.5057a1eb23082p-16, 0x1.4858726f53173p-16, 0x1.40872c241d56cp-16, 0x1.38e1930d6e378p-16, 0x1.3165882782891p-16, 0x1.2a11083f8865ep-16, 0x1.22e22ad99f943p-16, 0x1.1bd7211dd1541p-16, 0x1.14ee34cee8ad9p-16, 0x1.0e25c748dffap-16, 0x1.077c508960a61p-16, 0x1.00f05e3aa31e2p-16, 0x1.f501259f1883ap-17, 0x1.e857493ec346ep-17, 0x1.dbe0ba1988cf4p-17, 0x1.cf9b2f664dd2bp-17, 0x1.c3848335acb47p-17, 0x1.b79ab0ecfbb04p-17, 0x1.abdbd3c38db86p-17, 0x1.a04625599201ap-17, 0x1.94d7fc5363306p-17, 0x1.898fcb034e483p-17, 0x1.7e6c1e2030dffp-17, 0x1.736b9b877dabp-17, 0x1.688d010845bc3p-17, 0x1.5dcf2340370eep-17, 0x1.5330ec76c3ce7p-17, 0x1.48b15b91a2d5ep-17, 0x1.3e4f830394f26p-17, 0x1.340a87d54713dp-17, 0x1.29e1a0a83310ep-17, 0x1.1fd414d109282p-17, 0x1.15e13b6cf72bfp-17, 0x1.0c087a8b92832p-17, 0x1.0249465999e76p-17, 0x1.f14640b05c465p-18, 0x1.de2b2d30c3968p-18, 0x1.cb4086046b00cp-18, 0x1.b885953b80f24p-18, 0x1.a5f9b9d3eaa48p-18, 0x1.939c666c2c057p-18, 0x1.816d2004f5809p-18, 0x1.6f6b7cd1a3766p-18, 0x1.5d97231841ce7p-18, 0x1.4befc810f1df6p-18, 0x1.3a752ee2cb13ep-18, 0x1.292727a098f91p-18, 0x1.18058e5493a0ep-18, 0x1.07104a15c7164p-18, 0x1.ec8e9850aa247p-19, 0x1.cb551e4db516dp-19, 0x1.aa742c6f728bdp-19, 0x1.89ebd8918da5ep-19, 0x1.69bc46b63b3cp-19, 0x1.49e5a791e2568p-19, 0x1.2a68374a27803p-19, 0x1.0b443c2bed9b2p-19, 0x1.d8f40b037630cp-20, 0x1.9c13d4e13b656p-20, 0x1.5fe891c2d2683p-20, 0x1.24730902306c3p-20, 0x1.d3681723ca279p-21, 0x1.5f58e43b4fd4p-21, 0x1.d9746d75eaad3p-22, 0x1.ee3753be8372fp-23, 0x1.7ab15a6017b31p-26, -0x1.89b3630793d12p-23, -0x1.9e6f0dc66d3aep-22, -0x1.3a88b31d157b1p-21, -0x1.a45e95e20f436p-21, -0x1.065bb762e1055p-20, -0x1.39c8c348ffc8fp-20, -0x1.6c7598a6013ccp-20, -0x1.9e616810784bfp-20, -0x1.cf8b697261388p-20, -0x1.fff2dced5d5cp-20, -0x1.17cb85c2c87fep-19, -0x1.2f3ba3eafce6p-19, -0x1.4649775a56ea2p-19, -0x1.5cf4b3da0b56p-19, -0x1.733d12e2d7b01p-19, -0x1.892253c9b1849p-19, -0x1.9ea43bfe3fb9bp-19, -0x1.b3c2973cf7b19p-19, -0x1.c87d37b29b77p-19, -0x1.dcd3f62ee388p-19, -0x1.f0c6b239b7fap-19, -0x1.022aa91d74e92p-18, -0x1.0bbfe1c58c1a6p-18, -0x1.1522fd4650593p-18, -0x1.1e53f95c7bfbap-18, -0x1.2752d758ea5d6p-18, -0x1.301f9c220edc7p-18, -0x1.38ba503953ff1p-18, -0x1.4122ffbb8aff3p-18, -0x1.4959ba5dd5c03p-18, -0x1.515e936fd2ce4p-18, -0x1.5931a1d5293b2p-18, -0x1.60d30004ba88bp-18, -0x1.6842cbff2a10bp-18, -0x1.6f81274aeda76p-18, -0x1.768e36e980e6ep-18, -0x1.7d6a2350c6f74p-18, -0x1.8415185f5384fp-18, -0x1.8a8f4553052efp-18, -0x1.90d8dcbc3576ap-18, -0x1.96f214718d8e7p-18, -0x1.9cdb2583dc057p-18, -0x1.a2944c2d82071p-18, -0x1.a81dc7c739694p-18, -0x1.ad77dab84b65p-18, -0x1.b2a2ca65a9ac9p-18, -0x1.b79edf22cdc1ap-18, -0x1.bc6c64219f435p-18, -0x1.c10ba760ef5abp-18, -0x1.c57cf99a94763p-18, -0x1.c9c0ae327ab99p-18, -0x1.cdd71b255ed3ap-18, -0x1.d1c098f69c30dp-18, -0x1.d57d829e19274p-18, -0x1.d90e3574db911p-18, -0x1.dc7311237bdd3p-18, -0x1.dfac778df9b34p-18, -0x1.e2baccc26456dp-18, -0x1.e59e76e61fa75p-18, -0x1.e857de212a615p-18, -0x1.eae76c8c33829p-18, -0x1.ed4d8e1d43ee3p-18, -0x1.ef8ab095f1378p-18, -0x1.f19f436e4e48p-18, -0x1.f38bb7c433271p-18, -0x1.f55080482bcb8p-18, -0x1.f6ee112a4252p-18, -0x1.f864e00635576p-18, -0x1.f9b563d3970e5p-18, -0x1.fae014d1e4c29p-18, -0x1.fbe56c7649cd6p-18, -0x1.fcc5e559cf342p-18, -0x1.fd81fb27e3798p-18, -0x1.fe1a2a8ccb162p-18, -0x1.fe8ef123bff2fp-18, -0x1.fee0cd66b3afdp-18, -0x1.ff103e9c7c16ep-18, -0x1.ff1dc4c8cf51fp-18, -0x1.ff09e09a5e355p-18, -0x1.fed5135beaa2dp-18, -0x1.fe7fdee4d54e9p-18, -0x1.fe0ac586fef74p-18, -0x1.fd764a01e70b2p-18, -0x1.fcc2ef701ec5dp-18, -0x1.fbf1393c2bc75p-18, -0x1.fb01ab0f95ec2p-18, -0x1.f9f4c8c4d99c5p-18, -0x1.f8cb165a5ef3ap-18, -0x1.f78517e405744p-18, -0x1.f623517bd992p-18, -0x1.f4a647373f0e2p-18, -0x1.f30e7d193974bp-18, -0x1.f15c77056344bp-18, -0x1.ef90b8b34e4c6p-18, -0x1.edabc5a3a5161p-18, -0x1.ebae2112b3f56p-18, -0x1.e9984dee8d48ap-18, -0x1.e76aceca6538ap-18, -0x1.e52625d4f5196p-18, -0x1.e2cad4cd51523p-18, -0x1.e0595cf90b07p-18, -0x1.ddd23f183022cp-18, -0x1.db35fb5e2ee0ep-18, -0x1.d8851167467dp-18, -0x1.d5c0002f20c3fp-18, -0x1.d2e746076da86p-18, -0x1.cffb60907d02ep-18, -0x1.ccfcccaffec22p-18, -0x1.c9ec068918a84p-18, -0x1.c6c98975191e4p-18, -0x1.c395cffc6567ep-18, -0x1.c05153ce61d67p-18, -0x1.bcfc8db9e32fp-18, -0x1.b997f5a781fbcp-18, -0x1.b624029289096p-18, -0x1.b2a12a83c6adep-18, -0x1.af0fe28a855c3p-18, -0x1.ab709eb702b38p-18, -0x1.a7c3d21522cbfp-18, -0x1.a409eea7278c7p-18, -0x1.a0436560ae543p-18, -0x1.9c70a6221e0d9p-18, -0x1.98921fb446d42p-18, -0x1.94a83fc487578p-18, -0x1.90b372df66cb5p-18, -0x1.8cb4246d4c6bep-18, -0x1.88aabeaf3e388p-18, -0x1.8497aabb2499fp-18, -0x1.807b50790103bp-18, -0x1.7c56169f04a44p-18, -0x1.782862afdf2f2p-18, -0x1.73f298f6bda09p-18, -0x1.6fb51c8648464p-18, -0x1.6b704f35ee6adp-18, -0x1.6724919f752a5p-18, -0x1.62d2431d5f059p-18, -0x1.5e79c1ca026bp-18, -0x1.5a1b6a7c68b8cp-18, -0x1.55b798c7d4e3fp-18, -0x1.514ea6fae00f2p-18, -0x1.4ce0ee1dfbec3p-18, -0x1.486ec5f310293p-18, -0x1.43f884f3c60efp-18, -0x1.3f7e8052062c1p-18, -0x1.3b010bf6c436cp-18, -0x1.36807a81bb9aap-18, -0x1.31fd1d4a5000dp-18, -0x1.2d77445f00a7bp-18, -0x1.28ef3e851bb7fp-18, -0x1.2465593922dbdp-18, -0x1.1fd9e0af8cf03p-18, -0x1.1b4d1fd492b68p-18, -0x1.16bf604d935f3p-18, -0x1.1230ea7977b05p-18, -0x1.0da205717775cp-18, -0x1.0912f709bef3p-18, -0x1.048403d3556b7p-18, -0x1.ffeade38f1017p-19, -0x1.f6cef5e41232dp-19, -0x1.edb4d0418306fp-19, -0x1.e49cec6e5e058p-19, -0x1.db87c70e43324p-19, -0x1.d275da4d3f291p-19, -0x1.c9679de3b21f8p-19, -0x1.c05d8719fb866p-19, -0x1.b75808cc22c99p-19, -0x1.ae57936ec1b9bp-19, -0x1.a55c950fe30ffp-19, -0x1.9c67795ebfb98p-19, -0x1.9378a9ad1b9ap-19, -0x1.8a908cf4c6fdap-19, -0x1.81af87dcade8p-19, -0x1.78d5fcbc3ba6dp-19, -0x1.70044ba0502fcp-19, -0x1.673ad250b3bd1p-19, -0x1.5e79ec55388e8p-19, -0x1.55c1f2f89c347p-19, -0x1.4d133d4f4206fp-19, -0x1.446e203c0c444p-19, -0x1.3bd2ee75a471ap-19, -0x1.3341f88b9e434p-19, -0x1.2abb8ceb9d665p-19, -0x1.223ff7e7639b7p-19, -0x1.19cf83ba13539p-19, -0x1.116a788c63f03p-19, -0x1.09111c7c21f48p-19, -0x1.00c3b3a1568a1p-19, -0x1.f1050027a6a6dp-20, -0x1.e09b83e12f3e7p-20, -0x1.d04b6ebfb2a53p-20, -0x1.c0153935bace2p-20, -0x1.aff957e421f17p-20, -0x1.9ff83ba53ca43p-20, -0x1.90125199152e5p-20, -0x1.8048032fe9d8cp-20, -0x1.7099b637f4de5p-20, -0x1.6107cce8c2532p-20, -0x1.5192a5ef50f58p-20, -0x1.423a9c794c6a1p-20, -0x1.330008418ee54p-20, -0x1.23e33d9bda397p-20, -0x1.14e48d8254d6cp-20, -0x1.060445a0a7346p-20, -0x1.ee8560bd3bb8ep-21, -0x1.d14029dd67b89p-21, -0x1.b4396eb0624d5p-21, -0x1.9771b1066afaap-21, -0x1.7ae96c8e9534ep-21, -0x1.5ea116e8e5335p-21, -0x1.42991fc0da1a8p-21, -0x1.26d1f0e435b1ap-21, -0x1.0b4bee59a4f69p-21, -0x1.e00eecfb72a4bp-22, -0x1.aa09c42ad970ap-22, -0x1.748908ce76392p-22, -0x1.3f8d56a3a0aafp-22, -0x1.0b173ec7a3385p-22, -0x1.ae4e8fcefa465p-23, -0x1.477bdcdf65a6dp-23, -0x1.c36e92d17ac37p-24, -0x1.f40699221eeefp-25, -0x1.95bb0e89ef7dbp-27, 0x1.24e7b1b60942ap-25, 0x1.557d3454551ap-24, 0x1.0b31d326b2b53p-23, 0x1.6a932443a11edp-23, 0x1.c8e22c23147b6p-23, 0x1.130f4d61fc745p-22, 0x1.4124189249068p-22, 0x1.6eaf607b4e422p-22, 0x1.9bb1162755857p-22, 0x1.c82932a76ac64p-22, 0x1.f417b6e156d71p-22, 0x1.0fbe55b7830c3p-21, 0x1.252c1038003e6p-21, 0x1.3a5516b0d775fp-21, 0x1.4f39787bea9c5p-21, 0x1.63d9487b324a8p-21, 0x1.78349d040ccddp-21, 0x1.8c4b8fca9e013p-21, 0x1.a01e3dce39042p-21, 0x1.b3acc747a3cb1p-21, 0x1.c6f74f955dc9cp-21, 0x1.d9fdfd288c67bp-21, 0x1.ecc0f972e467fp-21, 0x1.ff4070d2d7716p-21, 0x1.08be4941612dbp-20, 0x1.11bac8438c43ep-20, 0x1.1a95cfcda704bp-20, 0x1.234f7b902a322p-20, 0x1.2be7e8861a7f2p-20, 0x1.345f34eb43c2ap-20, 0x1.3cb5803549779p-20, 0x1.44eaeb0ac6547p-20, 0x1.4cff9739944a1p-20, 0x1.54f3a7b15e176p-20, 0x1.5cc74078c0223p-20, 0x1.647a86a665a61p-20, 0x1.6c0da0596c447p-20, 0x1.7380b4b1aac21p-20, 0x1.7ad3ebc73e253p-20, 0x1.82076ea43cc61p-20, 0x1.891b673c3a33fp-20, 0x1.9010006573611p-20, 0x1.96e565d157175p-20, 0x1.9d9bc40489d72p-20, 0x1.a4334850e874ap-20, 0x1.aaac20cf01824p-20, 0x1.b1067c568c7abp-20, 0x1.b7428a779a88bp-20, 0x1.bd607b73ec34ap-20, 0x1.c3608038a4745p-20, 0x1.c942ca5828b22p-20, 0x1.cf078c033a86p-20, 0x1.d4aef803038c3p-20, 0x1.da3941b29a578p-20, 0x1.dfa69cf96a836p-20, 0x1.e4f73e45464e1p-20, 0x1.ea2b5a85174dap-20, 0x1.ef4327229ab8dp-20, 0x1.f43ed9fbc4e9fp-20, 0x1.f91ea95e39888p-20, 0x1.fde2cc02301eep-20, 0x1.0145bc81d8356p-19, 0x1.038c73ef98d5dp-19, 0x1.05c5a83636639p-19, 0x1.07f1756b8e0a7p-19, 0x1.0a0ff7cdc1cf3p-19, 0x1.0c214bc0b944p-19, 0x1.0e258dcba6d9ap-19, 0x1.101cda96f2121p-19, 0x1.12074ee96b895p-19, 0x1.13e507a650858p-19, 0x1.15b621caf371dp-19, 0x1.177aba6cf758fp-19, }}, 
      {{0x1.a5a1770ff7fe9p-1, 0x1.a5b6b8c7af5bfp-1, 0x1.a5e45d34728f9p-1, 0x1.a628c7258d04dp-1, 0x1.a67a7633ae4dep-1, 0x1.a6cc1831e814p-1, 0x1.a71029ad1219ep-1, 0x1.a73b4e18bd6ddp-1, 0x1.a7456661af6ccp-1, 0x1.a729bb4fa531dp-1, 0x1.a6e699cc42fc5p-1, 0x1.a67cac1dfd2c7p-1, 0x1.a5ee42a24c17ap-1, 0x1.a53ea9b1712d6p-1, 0x1.a4719b59478b9p-1, 0x1.a38ad1f2d120ep-1, 0x1.a28dbae75c567p-1, 0x1.a17d45fd200bap-1, 0x1.a05bcc3b1d6f3p-1, 0x1.9f2b0931725bap-1, 0x1.9dec21c2bc444p-1, 0x1.9c9fb423f555ap-1, 0x1.9b45ed7dbcb9ep-1, 0x1.99dea251dcc52p-1, 0x1.98696773556f1p-1, 0x1.96e5a9f6d69aep-1, 0x1.9552c50251937p-1, 0x1.93b014cbfc51fp-1, 0x1.91fd066d2a32ap-1, 0x1.9039246ddca7fp-1, 0x1.8e64201d93ce4p-1, 0x1.8c7dd7ef5d7fcp-1, 0x1.8a865b24de274p-1, 0x1.887deb209995cp-1, 0x1.8664fabd03427p-1, 0x1.843c2c05c6ee5p-1, 0x1.82044cacb0e2bp-1, 0x1.7fbe518cf9288p-1, 0x1.7d6b51876275cp-1, 0x1.7b0c7ff86fabbp-1, 0x1.78a3270080ef8p-1, 0x1.7630a1cc6516cp-1, 0x1.73b657041b7edp-1, 0x1.7135b37d72d5ep-1, 0x1.6eb02548dabbcp-1, 0x1.6c2717286037p-1, 0x1.699bec7b39261p-1, 0x1.670ffda399a52p-1, 0x1.648494e8ad4c6p-1, 0x1.61faebd368383p-1, 0x1.5f7429026d598p-1, 0x1.5cf15e6f64daep-1, 0x1.5a73881ebaebdp-1, 0x1.57fb8b31ceb1bp-1, 0x1.558a355305579p-1, 0x1.53203c72ed844p-1, 0x1.50be3ecd93688p-1, 0x1.4e64c32f4dd26p-1, 0x1.4c1439709ba73p-1, 0x1.49ccfb210822fp-1, 0x1.478f4c5995e62p-1, 0x1.455b5cafa7611p-1, 0x1.43314841fd3ddp-1, 0x1.411118d9e3d55p-1, 0x1.3efac71b48d42p-1, 0x1.3cee3bbef693ep-1, 0x1.3aeb50d2bd70dp-1, 0x1.38f1d2fbd9c03p-1, 0x1.370182b855303p-1, 0x1.351a159c9dbadp-1, 0x1.333b378aed848p-1, 0x1.31648be2831p-1, 0x1.2f95aea4fd67dp-1, 0x1.2dce35907f7ap-1, 0x1.2c0db12d89174p-1, 0x1.2a53adcfa9053p-1, 0x1.289fb48871ba8p-1, 0x1.26f14c0c3c6fdp-1, 0x1.2547f98882ac2p-1, 0x1.23a3416bad16bp-1, 0x1.2202a81e61038p-1, 0x1.2065b2ae705abp-1, 0x1.1ecbe76ba6203p-1, 0x1.1d34ce76bf376p-1, 0x1.1b9ff242f1ad7p-1, 0x1.1a0ce00a707edp-1, 0x1.187b283665ab1p-1, 0x1.16ea5ebae811fp-1, 0x1.155a1b677538p-1, 0x1.13c9fa2c7fde4p-1, 0x1.12399b56a3041p-1, 0x1.10a8a3c012297p-1, 0x1.0f16bcf8d6a21p-1, 0x1.0d8395667296p-1, 0x1.0beee05b79f18p-1, 0x1.0a585627b1f5fp-1, 0x1.08bfb4214623cp-1, 0x1.0724bca79b447p-1, 0x1.0587372046f09p-1, 0x1.03e6efeeac379p-1, 0x1.0243b866bb30ap-1, 0x1.009d66bb48726p-1, 0x1.fde7abd0e580dp-2, 0x1.fa8dcb34fd00bp-2, 0x1.f72cf42325e17p-2, 0x1.f3c4f8056f5f5p-2, 0x1.f055b0ece3925p-2, 0x1.ecdf014aa82bap-2, 0x1.e960d3a5b077bp-2, 0x1.e5db1a4d8f958p-2, 0x1.e24dcf0b01bd4p-2, 0x1.deb8f2cead029p-2, 0x1.db1c8d5e93d61p-2, 0x1.d778ad02a6c9bp-2, 0x1.d3cd6630e69f4p-2, 0x1.d01ad33967fe2p-2, 0x1.cc6113f29e686p-2, 0x1.c8a04d662d544p-2, 0x1.c4d8a97e952c4p-2, 0x1.c10a56b5ede8fp-2, 0x1.bd3587c5f4517p-2, 0x1.b95a735991e75p-2, 0x1.b57953c01445bp-2, 0x1.b19266a2324bbp-2, 0x1.ada5ecb90717fp-2, 0x1.a9b429871c57bp-2, 0x1.a5bd631399e6cp-2, 0x1.a1c1e1a7ae1a5p-2, 0x1.9dc1ef8e42f19p-2, 0x1.99bdd8d605e44p-2, 0x1.95b5eb15cb1a9p-2, 0x1.91aa7533569ccp-2, 0x1.8d9bc72c86a3bp-2, 0x1.898a31e2e3e14p-2, 0x1.857606e994acp-2, 0x1.815f9855a9d26p-2, 0x1.7d473890c7473p-2, 0x1.792d3a2e17823p-2, 0x1.7511efc1860ep-2, 0x1.70f5abb936b6bp-2, 0x1.6cd8c039266f6p-2, 0x1.68bb7ef8f2d9bp-2, 0x1.649e3923b2737p-2, 0x1.60813f39d65f3p-2, 0x1.5c64e0f500ac7p-2, 0x1.58496d2dc10cdp-2, 0x1.542f31c32d66fp-2, 0x1.50167b843e884p-2, 0x1.4bff961ae90a7p-2, 0x1.47eacbf8d9cc4p-2, 0x1.43d86645cc4f4p-2, 0x1.3fc8accf6964ep-2, 0x1.3bbbe5fa9bb05p-2, 0x1.37b256b64dad7p-2, 0x1.33ac426f7ec43p-2, 0x1.2fa9eb069eb1bp-2, 0x1.2bab90c6298fp-2, 0x1.27b1725a653cep-2, 0x1.23bbccca44282p-2, 0x1.1fcadb714e2ebp-2, 0x1.1bded7fa8e516p-2, 0x1.17f7fa5c747e2p-2, 0x1.141678d59735dp-2, 0x1.103a87ea550edp-2, 0x1.0c645a6340163p-2, 0x1.0894214c4962ap-2, 0x1.04ca0bf4a47e3p-2, 0x1.010647ef5493ap-2, 0x1.fa920228b608fp-3, 0x1.f324c304f389ap-3, 0x1.ebc523430a308p-3, 0x1.e473704a69b23p-3, 0x1.dd2ff420e54f8p-3, 0x1.d5faf5722ddcdp-3, 0x1.ced4b7982269bp-3, 0x1.c7bd7aa3e0a9cp-3, 0x1.c0b57b67870bdp-3, 0x1.b9bcf380a094ap-3, 0x1.b2d4196322bdcp-3, 0x1.abfb2064f8f24p-3, 0x1.a53238ca1077dp-3, 0x1.9e798fd0ca608p-3, 0x1.97d14fbee7c0bp-3, 0x1.91399feebe05fp-3, 0x1.8ab2a4dccb2ddp-3, 0x1.843c80358e99dp-3, 0x1.7dd750e39db26p-3, 0x1.7783331df45b1p-3, 0x1.714040767404dp-3, 0x1.6b0e8fe8850e1p-3, 0x1.64ee35e7ded77p-3, 0x1.5edf446f64f4p-3, 0x1.58e1cb1015107p-3, 0x1.52f5d7000834p-3, 0x1.4d1b732977865p-3, 0x1.4752a839c0338p-3, 0x1.419b7cb067516p-3, 0x1.3bf5f4ee179bp-3, 0x1.366213438d95ep-3, 0x1.30dfd8007846dp-3, 0x1.2b6f418244cb7p-3, 0x1.26104c42cdccfp-3, 0x1.20c2f2e6f87aep-3, 0x1.1b872e4d282ep-3, 0x1.165cf59b9dd03p-3, 0x1.11443e4ea8a5bp-3, 0x1.0c3cfc46b84d4p-3, 0x1.074721d64021ap-3, 0x1.02629fcf7a0f4p-3, 0x1.fb1ecb23deb87p-4, 0x1.f19ac22fc7109p-4, 0x1.e838fe06fc2a6p-4, 0x1.def95557acce3p-4, 0x1.d5db9c53744f9p-4, 0x1.ccdfa4c8a2b7ap-4, 0x1.c4053e3b00fe5p-4, 0x1.bb4c35fc3d4d9p-4, 0x1.b2b45743e4eb8p-4, 0x1.aa3d6b46ea086p-4, 0x1.a1e7394ebfff3p-4, 0x1.99b186d00fcbp-4, 0x1.919c1780ee869p-4, 0x1.89a6ad6ea7336p-4, 0x1.81d10913168dbp-4, 0x1.7a1ae96991e37p-4, 0x1.72840c035a293p-4, 0x1.6b0c2d1b9f598p-4, 0x1.63b307ab117b3p-4, 0x1.5c78557afbf59p-4, 0x1.555bcf37f53bdp-4, 0x1.4e5d2c84167cep-4, 0x1.477c2408c803fp-4, 0x1.40b86b8819aa1p-4, 0x1.3a11b7edad27p-4, 0x1.3387bd5f31bacp-4, 0x1.2d1a2f4c71027p-4, 0x1.26c8c07eef418p-4, 0x1.209323291e993p-4, 0x1.1a7908f52993p-4, 0x1.147a231350c6cp-4, 0x1.0e962247e1685p-4, 0x1.08ccb6f8c21bfp-4, 0x1.031d913a9d459p-4, 0x1.fb10c1bb44fep-5, 0x1.f019aaf3c89dcp-5, 0x1.e5553cf6ad656p-5, 0x1.dac2d65ad15d2p-5, 0x1.d061d58c7f23p-5, 0x1.c63198e32aadap-5, 0x1.bc317eb6700f9p-5, 0x1.b260e5725fd91p-5, 0x1.a8bf2bab0d7a1p-5, 0x1.9f4bb02f8004ap-5, 0x1.9605d21be1113p-5, 0x1.8cecf0eb0d4e9p-5, 0x1.84006c8778511p-5, 0x1.7b3fa55b71582p-5, 0x1.72a9fc60bc61cp-5, 0x1.6a3ed32f9bb01p-5, 0x1.61fd8c0d2e4fep-5, 0x1.59e589f9461bbp-5, 0x1.51f630bb9cf34p-5, 0x1.4a2ee4f07b1a7p-5, 0x1.428f0c14d513bp-5, 0x1.3b160c91d82b3p-5, 0x1.33c34dc7edc9bp-5, 0x1.2c9638193cf29p-5, 0x1.258e34f3a993fp-5, 0x1.1eaaaeda50f34p-5, 0x1.17eb116e8d6b7p-5, 0x1.114ec9787eac2p-5, 0x1.0ad544ef1ddc9p-5, 0x1.047df2ffdceefp-5, 0x1.fc90882bac21bp-6, 0x1.f06753c11b5e7p-6, 0x1.e47f2eb491a08p-6, 0x1.d8d7019bfc315p-6, 0x1.cd6db7b9bebf9p-6, 0x1.c2423f07066bbp-6, 0x1.b753883d5a9d7p-6, 0x1.aca086df72aa1p-6, 0x1.a22831415dacp-6, 0x1.97e9808ffc8a6p-6, 0x1.8de370d7bf69cp-6, 0x1.8415010ade1e8p-6, 0x1.7a7d3306d1371p-6, 0x1.711b0b9946bbbp-6, 0x1.67ed928477e59p-6, 0x1.5ef3d282effc7p-6, 0x1.562cd94ac3a76p-6, 0x1.4d97b790455a5p-6, 0x1.4533810834c46p-6, 0x1.3cff4c696cc41p-6, 0x1.34fa336e20c42p-6, 0x1.2d2352d494652p-6, 0x1.2579ca5f720b1p-6, 0x1.1dfcbcd5a916bp-6, 0x1.16ab5001e6c99p-6, 0x1.0f84acb1a7056p-6, 0x1.0887feb3ea444p-6, 0x1.01b474d784d45p-6, 0x1.f61281d23072ep-7, 0x1.e90b2f6177453p-7, 0x1.dc5161de87ef2p-7, 0x1.cfe38eb69d5bfp-7, 0x1.c3c0313bd86dp-7, 0x1.b7e5ca9e2f801p-7, 0x1.ac52e1e3af716p-7, 0x1.a10603e047ce2p-7, 0x1.95fdc32d1dfdep-7, 0x1.8b38b81f5d897p-7, 0x1.80b580be9c03ap-7, 0x1.7672c0bad1fbap-7, 0x1.6c6f2161e629ep-7, 0x1.62a95194e8634p-7, 0x1.592005bcd4ed1p-7, 0x1.4fd1f7bf187b1p-7, 0x1.46bde6f1bc801p-7, 0x1.3de2980f4a4fap-7, 0x1.353ed52a515c4p-7, 0x1.2cd16da0c82a8p-7, 0x1.2499360f1529dp-7, 0x1.1c950842f7becp-7, 0x1.14c3c32e13da4p-7, 0x1.0d244ad876637p-7, 0x1.05b58852cba96p-7, 0x1.fcecd350f5e7p-8, 0x1.eecbc3a32c514p-8, 0x1.e105d1494cd6cp-8, 0x1.d398f590b6084p-8, 0x1.c683334a3339cp-8, 0x1.b9c296ace6eecp-8, 0x1.ad553539241b9p-8, 0x1.a1392d9aebeb6p-8, 0x1.956ca78c88ccbp-8, 0x1.89edd3b8e757ep-8, 0x1.7ebaeb9ddca26p-8, 0x1.73d2316e7863ep-8, 0x1.6931eff52b32cp-8, 0x1.5ed87a75fbab6p-8, 0x1.54c42c90acacep-8, 0x1.4af36a22fc11fp-8, 0x1.41649f2ad790cp-8, 0x1.38163fa89109fp-8, 0x1.2f06c78147c2ap-8, 0x1.2634ba614e3e2p-8, 0x1.1d9ea39e97207p-8, 0x1.1543161b6af82p-8, 0x1.0d20ac29010a5p-8, 0x1.0536076a74291p-8, 0x1.fb03a16f61919p-9, 0x1.ec0570014054p-9, 0x1.dd6ee860e071ep-9, 0x1.cf3d8622168e2p-9, 0x1.c16ed25da2b3ap-9, 0x1.b4006378ca5b3p-9, 0x1.a6efdced76bc5p-9, 0x1.9a3aef12b902bp-9, 0x1.8ddf56e5d990bp-9, 0x1.81daddd3a1cd4p-9, 0x1.762b598249c39p-9, 0x1.6aceab9bd6e9dp-9, 0x1.5fc2c198d7cb4p-9, 0x1.5505948bd4669p-9, 0x1.4a9528ed1c902p-9, 0x1.406f8e671bbf5p-9, 0x1.3692dfa348cbbp-9, 0x1.2cfd42177eef9p-9, 0x1.23ace5d3ffaddp-9, 0x1.1aa0055200532p-9, 0x1.11d4e542aaep-9, 0x1.0949d45ec6243p-9, 0x1.00fd2b36e856ep-9, 0x1.f1da9808943ebp-10, 0x1.e23144f40266bp-10, 0x1.d2fb472e30644p-10, 0x1.c4359af1cb19cp-10, 0x1.b5dd4e5c8198dp-10, 0x1.a7ef81167cc4cp-10, 0x1.9a6963fa9add2p-10, 0x1.8d4838c06b245p-10, 0x1.808951a6ff716p-10, 0x1.742a112109e6p-10, 0x1.6827e98230444p-10, 0x1.5c805cad6e9b1p-10, 0x1.5130fbc4d39a3p-10, 0x1.463766da2a765p-10, 0x1.3b914ca14201cp-10, 0x1.313c6a22d165cp-10, 0x1.27368a70ffb1p-10, 0x1.1d7d865cd1156p-10, 0x1.140f442cd627ep-10, 0x1.0ae9b755069d1p-10, 0x1.020ae02fc1c5ap-10, 0x1.f2e1976f98499p-11, 0x1.e23326874dcd9p-11, 0x1.d206b883f3p-11, 0x1.c258afedf058bp-11, 0x1.b325867644c9ep-11, 0x1.a469cc7599cc3p-11, 0x1.9622286e49c46p-11, 0x1.884b568fba35ap-11, 0x1.7ae2283ca3931p-11, 0x1.6de383932268dp-11, 0x1.614c62f6a779fp-11, 0x1.5519d49c81ba7p-11, 0x1.4948fa19fcee5p-11, 0x1.3dd707f50ea9p-11, 0x1.32c14536b3de8p-11, 0x1.28050aff23813p-11, 0x1.1d9fc41c9b34fp-11, 0x1.138eeca386c93p-11, 0x1.09d01188f1646p-11, 0x1.0060d03eb9b86p-11, 0x1.ee7daca3aab93p-12, 0x1.dccfc2147dbe6p-12, 0x1.cbb37a1992a6ep-12, 0x1.bb248bfe10d9ap-12, 0x1.ab1ecc5929e9bp-12, 0x1.9b9e2c5cd3433p-12, 0x1.8c9eb9282d196p-12, 0x1.7e1c9b1c7a67cp-12, 0x1.701415367324p-12, 0x1.6281846a70785p-12, 0x1.55615f041be95p-12, 0x1.48b0340931b6p-12, 0x1.3c6aaa9fc7f0bp-12, 0x1.308d81777ae22p-12, 0x1.25158e35ba9e2p-12, 0x1.19ffbce585e48p-12, 0x1.0f490f69bffe5p-12, 0x1.04ee9cf2ab66p-12, 0x1.f5db22ecd8cecp-13, 0x1.e2865a588b9f1p-13, 0x1.cfd988157fb59p-13, 0x1.bdcf7a912d698p-13, 0x1.ac6325c0f14a9p-13, 0x1.9b8fa22eec615p-13, 0x1.8b502c0ba9d0dp-13, 0x1.7ba022460a731p-13, 0x1.6c7b05a71f779p-13, 0x1.5ddc77f42274bp-13, 0x1.4fc03b14b20c7p-13, 0x1.4222303e41d42p-13, 0x1.34fe572406a7bp-13, 0x1.2850cd2bc52fcp-13, 0x1.1c15cca764e13p-13, 0x1.1049ac12c8764p-13, 0x1.04e8dd56378a4p-13, 0x1.f3dfda19ca4c1p-14, 0x1.deb703a11d156p-14, 0x1.ca50b70f6e708p-14, 0x1.b6a6a573dd2e4p-14, 0x1.a3b2afcd8d5d5p-14, 0x1.916ee5c209c89p-14, 0x1.7fd5845cb6fa4p-14, 0x1.6ee0f4d3bdf62p-14, 0x1.5e8bcb5667c46p-14, 0x1.4ed0c5e1faf47p-14, 0x1.3faacb1cf572fp-14, 0x1.3114e93b3747ap-14, 0x1.230a54e783b85p-14, 0x1.1586683408ccp-14, 0x1.0884a191f7a2p-14, 0x1.f801459f582afp-15, 0x1.dfec6038122dp-15, 0x1.c8c25e22fd8e4p-15, 0x1.b27b4b8d3fd3cp-15, 0x1.9d0f73c857386p-15, 0x1.88775f82f86d5p-15, 0x1.74abd30d5b55bp-15, 0x1.61a5cca76504p-15, 0x1.4f5e82dc15cbp-15, 0x1.3dcf62e56f847p-15, 0x1.2cf20f1ad4bfep-15, 0x1.1cc05d6dabd19p-15, 0x1.0d3455e8b5feep-15, 0x1.fc90628120c14p-16, 0x1.dfecaed1eff96p-16, 0x1.c472bc698e882p-16, 0x1.aa1810010374bp-16, 0x1.90d284c7ca2d8p-16, 0x1.789849da9b227p-16, 0x1.615fdfc98f1c2p-16, 0x1.4b20163013d26p-16, 0x1.35d0095ee885ap-16, 0x1.21672012a6eb2p-16, 0x1.0ddd093a5c6dcp-16, 0x1.f65373a3f58b2p-17, 0x1.d28ad589757d2p-17, 0x1.b0512dc86ce08p-17, 0x1.8f97f1cf502aep-17, 0x1.705112fee70b4p-17, 0x1.526efadfee2ecp-17, 0x1.35e4877eaaf5ep-17, 0x1.1aa507d752c3fp-17, 0x1.00a4385fbe354p-17, 0x1.cfac7f4eb73bfp-18, 0x1.a05f5624a2dfep-18, 0x1.734ad752c652cp-18, 0x1.4859a6005c643p-18, 0x1.1f772067e89c3p-18, 0x1.f11eb3f954285p-19, 0x1.a71e2b7acc6bap-19, 0x1.60c7814d78791p-19, 0x1.1df6d8ba230e3p-19, 0x1.bd1327cbce0c8p-20, 0x1.44bc934f278ebp-20, 0x1.a552eef30d015p-21, 0x1.9a6e69a967814p-22, 0x1.5bc95d847ed12p-30, -0x1.8179b203c6cf3p-22, -0x1.7778c2a095dc1p-21, -0x1.11f8cfbf8f01cp-20, -0x1.6347b05c33dccp-20, -0x1.afdb20b8ad465p-20, -0x1.f7e372dc2f904p-20, -0x1.1dc79e2d3798bp-19, -0x1.3d85b285648c1p-19, -0x1.5b419a8d81cb3p-19, -0x1.771031797f0f6p-19, -0x1.910590417458fp-19, -0x1.a935141a481c6p-19, -0x1.bfb164c53f549p-19, -0x1.d48c7aa2ae1efp-19, -0x1.e7d7a49b2def5p-19, -0x1.f9a38dde68651p-19, -0x1.050021b53515fp-18, -0x1.0c7e9cb906717p-18, -0x1.1354a84aa18c9p-18, -0x1.19896d78035a2p-18, -0x1.1f23d07d24e19p-18, -0x1.242a73270023cp-18, -0x1.28a3b71f0d46cp-18, -0x1.2c95c02502f8cp-18, -0x1.30067638d1955p-18, -0x1.32fb87af1b5c8p-18, -0x1.357a6b3b121c3p-18, -0x1.378861dd76852p-18, -0x1.392a78d15598ep-18, -0x1.3a658b5d9b188p-18, -0x1.3b3e449cf1b5p-18, -0x1.3bb92136c4981p-18, -0x1.3bda710839f69p-18, -0x1.3ba658c0f374bp-18, -0x1.3b20d37291d0cp-18, -0x1.3a4db4111ecedp-18, -0x1.3930a6e92864ap-18, -0x1.37cd33081891dp-18, -0x1.3626bb97853d3p-18, -0x1.344081338a20dp-18, -0x1.321da32b13fdbp-18, -0x1.2fc120bec589bp-18, -0x1.2d2dda4fc8b9dp-18, -0x1.2a66928786c12p-18, -0x1.276def732d161p-18, -0x1.24467b9731263p-18, -0x1.20f2a6f8ab564p-18, -0x1.1d74c81d57ad8p-18, -0x1.19cf1d03047efp-18, -0x1.1603cc0fb3086p-18, -0x1.1214e4f806b1ap-18, -0x1.0e04619da64b5p-18, -0x1.09d426e73623bp-18, -0x1.0586058e44354p-18, -0x1.011bbae9bb24cp-18, -0x1.f92de35ab6006p-19, -0x1.eff2854bbc8abp-19, -0x1.e6886ad621717p-19, -0x1.dcf2821bff9cap-19, -0x1.d333997ed2e87p-19, -0x1.c94e60e557d0bp-19, -0x1.bf456aee75e37p-19, -0x1.b51b2e1fc7d53p-19, -0x1.aad20603944a2p-19, -0x1.a06c34405437p-19, -0x1.95ebe1a344e17p-19, -0x1.8b531f24d1411p-19, -0x1.80a3e6de9eb65p-19, -0x1.75e01cfbeb57fp-19, -0x1.6b09909eb4e69p-19, -0x1.6021fcbf0339cp-19, -0x1.552b08fe5b10ep-19, -0x1.4a264a77dbbb4p-19, -0x1.3f154482af53ep-19, -0x1.33f96971e2e79p-19, -0x1.28d41b49609bbp-19, -0x1.1da6ac6e27319p-19, -0x1.12726050bca4ep-19, -0x1.07386c0d5cb53p-19, -0x1.f7f3ee134ba9ep-20, -0x1.e17037128633dp-20, -0x1.cae7ce7ac51b8p-20, -0x1.b45cb7a0ed47ap-20, -0x1.9dd0ded4ac1d6p-20, -0x1.87461a5fddae8p-20, -0x1.70be2b7875e68p-20, -0x1.5a3abf2df32d7p-20, -0x1.43bd6f4a7ea4ep-20, -0x1.2d47c3296a596p-20, -0x1.16db308929eb6p-20, -0x1.00791c50d182ap-20, -0x1.d445b69b877dfp-21, -0x1.a7b365d54c3d3p-21, -0x1.7b3db3bc439c3p-21, -0x1.4ee6f1a40e38ep-21, -0x1.22b1560c261f9p-21, -0x1.ed3dfb9c1ebacp-22, -0x1.9563da913145cp-22, -0x1.3dd822ed4f21p-22, -0x1.cd3d03ea696a5p-23, -0x1.1f74f48b053b6p-23, -0x1.c97b2e460089ap-25, 0x1.cff8882574966p-26, 0x1.cb3d0aefb7511p-24, 0x1.9079bcf428521p-23, 0x1.1d45932950b32p-22, 0x1.71e6b8847f5d5p-22, 0x1.c61dc51c1b192p-22, 0x1.0cf4267554cc2p-21, 0x1.36a2000678c2ep-21, 0x1.601754b7f132fp-21, 0x1.895316cf941c4p-21, 0x1.b25444cfba94p-21, 0x1.db19e8e512c86p-21, 0x1.01d18c325d5fap-20, 0x1.15f779a44712ap-20, 0x1.29fe51db7b7d5p-20, 0x1.3de5aec70af99p-20, 0x1.51ad2ef9d5d02p-20, 0x1.6554757773fbap-20, 0x1.78db297fa441bp-20, 0x1.8c40f660fb80fp-20, 0x1.9f858b4aa7a59p-20, 0x1.b2a89b2233902p-20, 0x1.c5a9dc5ae6942p-20, 0x1.d88908cd7b968p-20, 0x1.eb45dd933d78ap-20, 0x1.fde01ae4e197fp-20, 0x1.082bc1fb9f552p-19, 0x1.1155ef6f036p-19, 0x1.1a6e7a36bca13p-19, 0x1.2375480e53ae5p-19, 0x1.2c6a3ff6508a6p-19, 0x1.354d4a275d53fp-19, 0x1.3e1e5005f0fe5p-19, 0x1.46dd3c17591bdp-19, 0x1.4f89f9f716aa4p-19, 0x1.5824764c69913p-19, 0x1.60ac9ec0a1d9cp-19, 0x1.692261f6a8c47p-19, 0x1.7185af81d0d3p-19, 0x1.79d677de3e893p-19, 0x1.8214ac6946386p-19, 0x1.8a403f5a2a114p-19, 0x1.925923bbcae58p-19, 0x1.9a5f4d6588cf2p-19, 0x1.a252b0f52e2b9p-19, 0x1.aa3343ca1dfb1p-19, 0x1.b200fbff0e6f9p-19, 0x1.b9bbd06568df9p-19, 0x1.c163b88162c4bp-19, 0x1.c8f8ac83c33ddp-19, 0x1.d07aa546f7f77p-19, 0x1.d7e99c4acb97p-19, 0x1.df458bb0efb55p-19, 0x1.e68e6e38f8771p-19, 0x1.edc43f3d64c61p-19, 0x1.f4e6fab0b057cp-19, 0x1.fbf69d19ca0e3p-19, 0x1.017991c8bff62p-18, 0x1.04ee45dff8667p-18, 0x1.085969ed4bb8dp-18, 0x1.0bbafd50a06e9p-18, 0x1.0f12ffadf57f3p-18, 0x1.126170ecb081ap-18, 0x1.15a6513655174p-18, 0x1.18e1a0f58cc15p-18, 0x1.1c1360d588ed8p-18, 0x1.1f3b91c0d52f4p-18, 0x1.225a34e0c3ac6p-18, 0x1.256f4b9c89203p-18, 0x1.287ad798968bcp-18, 0x1.2b7cdab6022dfp-18, 0x1.2e75571181832p-18, 0x1.31644f031ee7ap-18, 0x1.3449c51d75994p-18, 0x1.3725bc2d09acfp-18, 0x1.39f8373809ccfp-18, 0x1.3cc1397d41708p-18, 0x1.3f80c673c467cp-18, 0x1.4236e1ca96a95p-18, 0x1.44e38f67aeadap-18, 0x1.4786d367b853fp-18, 0x1.4a20b21dcd1dcp-18, 0x1.4cb13012a53b4p-18, 0x1.4f38520406472p-18, 0x1.51b61ce4a18d6p-18, 0x1.542a95db52106p-18, 0x1.5695c24297a98p-18, 0x1.58f7a7a87146cp-18, 0x1.5b504bcd78ed7p-18, 0x1.5d9fb4a4995dp-18, 0x1.5fe5e852bbap-18, 0x1.6222ed2de4c96p-18, 0x1.6456c9bcf3a94p-18, 0x1.668184b7514p-18, 0x1.68a32504351acp-18, 0x1.6abbb1ba10997p-18, 0x1.6ccb321e656d4p-18, 0x1.6ed1ada5047b9p-18, 0x1.70cf2befa1343p-18, 0x1.72c3b4cd3c43cp-18, 0x1.74af5039cc87fp-18, 0x1.7692065d8808dp-18, 0x1.786bdf8c3b11cp-18, 0x1.7a3ce44512013p-18, 0x1.7c051d3208046p-18, 0x1.7dc493271012p-18, 0x1.7f7b4f21e02b5p-18, 0x1.81295a4914935p-18, 0x1.82cebdebd5975p-18, 0x1.846b83811b582p-18, 0x1.85ffb4a75e869p-18, 0x1.878b5b23b388cp-18, 0x1.890e80e15a111p-18, 0x1.8a892ff137f48p-18, 0x1.8bfb728915759p-18, 0x1.8d655302f3359p-18, 0x1.8ec6dbdcc2265p-18, 0x1.902017b785063p-18, 0x1.91711156b2b7p-18, 0x1.92b9d39fc58aep-18, 0x1.93fa6999558c9p-18, 0x1.9532de6aacb29p-18, 0x1.96633d5b049b2p-18, 0x1.978b91d114b22p-18, 0x1.98abe7522218bp-18, 0x1.99c449818773ep-18, 0x1.9ad4c4200f314p-18, 0x1.9bdd630b518acp-18, 0x1.9cde323cdbc67p-18, 0x1.9dd73dc9bae7cp-18, 0x1.9ec891e1d6d0fp-18, 0x1.9fb23acf21df3p-18, 0x1.a09444f5129a2p-18, 0x1.a16ebccfd34f7p-18, 0x1.a241aef3cc7a1p-18, 0x1.a30d280cc3f04p-18, 0x1.a3d134dd5ca07p-18, 0x1.a48de23e6bef4p-18, 0x1.a5433d1e20f7cp-18, 0x1.a5f1527f74242p-18, 0x1.a6982f7998377p-18, 0x1.a737e1372f19cp-18, 0x1.a7d074f5a05d5p-18, 0x1.a861f8047c28cp-18, 0x1.a8ec77c4d7c9fp-18, 0x1.a97001a897d61p-18, 0x1.a9eca331c86a2p-18, 0x1.aa6269f2038a1p-18, 0x1.aad16389a7f19p-18, 0x1.ab399da75bb2cp-18, 0x1.ab9b26074acf4p-18, 0x1.abf60a72a0538p-18, 0x1.ac4a58beb968dp-18, 0x1.ac981ecc88889p-18, 0x1.acdf6a8811308p-18, 0x1.ad2049e7b8108p-18, 0x1.ad5acaeb9868cp-18, 0x1.ad8efb9ced011p-18, 0x1.adbcea0d6a241p-18, 0x1.ade4a456b4ffep-18, 0x1.ae0638999905dp-18, 0x1.ae21b4fda9607p-18, 0x1.ae3727b08599fp-18, 0x1.ae469ee534be1p-18, 0x1.ae5028d3a1ebp-18, 0x1.ae53d3b813b2cp-18, 0x1.ae51add2820c8p-18, 0x1.ae49c565faf97p-18, 0x1.ae3c28b81f162p-18, 0x1.ae28e6109740ap-18, 0x1.ae100bb87bd55p-18, 0x1.adf1a7f9d0f66p-18, 0x1.adcdc91ef5dabp-18, 0x1.ada47d7218b93p-18, 0x1.ad75d33ca8668p-18, 0x1.ad41d8c6d0085p-18, 0x1.ad089c57155fcp-18, 0x1.acca2c31a3c75p-18, 0x1.ac869697d6996p-18, 0x1.ac3de9c7c756fp-18, 0x1.abf033fbd97ecp-18, 0x1.ab9d836a20a3bp-18, 0x1.ab45e643faadbp-18, 0x1.aae96ab5829ep-18, 0x1.aa881ee52d68dp-18, 0x1.aa2210f35412p-18, 0x1.a9b74ef9bc0fdp-18, 0x1.a947e70b1ccb5p-18, 0x1.a8d3e732ba2b5p-18, 0x1.a85b5d73ecadp-18, 0x1.a7de57c9bed0ep-18, 0x1.a75ce4267f93bp-18, 0x1.a6d710735e208p-18, 0x1.a64cea8ffb6c3p-18, 0x1.a5be8052067b8p-18, 0x1.a52bdf84e3e61p-18, 0x1.a49515e935ef2p-18, 0x1.a3fa3134970f1p-18, 0x1.a35b3f112785bp-18, 0x1.a2b84d1d3a57dp-18, 0x1.a21168eb08a3dp-18, 0x1.a166a00046b2bp-18, 0x1.a0b7ffd5ca9dfp-18, 0x1.a00595d74d7a7p-18, 0x1.9f4f6f6303948p-18, 0x1.9e9599c9517fep-18, 0x1.9dd8224c7bf6ap-18, 0x1.9d17162069971p-18, 0x1.9c52826a53a0ap-18, 0x1.9b8a744071803p-18, 0x1.9abef8a9a6aa8p-18, 0x1.99f01c9d591b6p-18, 0x1.991ded030d513p-18, 0x1.984876b23ed01p-18, 0x1.976fc6722914fp-18, 0x1.9693e8f96424cp-18, 0x1.95b4eaedb4b3bp-18, 0x1.94d2d8e3d2804p-18, 0x1.93edbf5f3e879p-18, 0x1.9305aad1fcfbcp-18, 0x1.921aa79c53d5ap-18, 0x1.912cc20c9864bp-18, 0x1.903c065f163afp-18, 0x1.8f4880bdd6af5p-18, 0x1.8e523d4053546p-18, 0x1.8d5947eb62a91p-18, 0x1.8c5dacb0fe72fp-18, 0x1.8b5f77701a3d4p-18, 0x1.8a5eb3f483a3ep-18, 0x1.895b6df6b27b3p-18, 0x1.8855b11babfcfp-18, 0x1.874d88f4d057dp-18, 0x1.864300ffaf297p-18, 0x1.853624a5ff22bp-18, 0x1.8426ff3d6948ap-18, 0x1.83159c076d48dp-18, 0x1.8202063157192p-18, 0x1.80ec48d408c7ep-18, 0x1.7fd46ef3e604dp-18, 0x1.7eba8380bfaa2p-18, 0x1.7d9e9155c3989p-18, 0x1.7c80a3394f771p-18, 0x1.7b60c3dce121ap-18, 0x1.7a3efddd0ad8dp-18, 0x1.791b5bc165ffp-18, 0x1.77f5e7fc72d05p-18, 0x1.76ceaceb8bb46p-18, 0x1.75a5b4d6de9cbp-18, 0x1.747b09f1486a1p-18, 0x1.734eb658622eap-18, 0x1.7220c4145d705p-18, 0x1.70f13d1814034p-18, 0x1.6fc02b40e2912p-18, 0x1.6e8d9856b82ap-18, 0x1.6d598e0bf7b6dp-18, 0x1.6c2415fd8e74cp-18, 0x1.6aed39b2e2602p-18, 0x1.69b5029db35d5p-18, 0x1.687b7a1a308dp-18, 0x1.6740a96efdc6p-18, 0x1.660499cd2e1b7p-18, 0x1.64c754503777dp-18, 0x1.6388e1fdfaaf3p-18, 0x1.62494bc6c1309p-18, 0x1.61089a85488dcp-18, 0x1.5fc6d6fec2317p-18, 0x1.5e8409e2d3a8dp-18, 0x1.5d403bcb9eb5cp-18, 0x1.5bfb753dc198bp-18, 0x1.5ab5bea8685bap-18, 0x1.596f20655cacbp-18, 0x1.5827a2b8fa563p-18, 0x1.56df4dd235969p-18, 0x1.559629cabf273p-18, 0x1.544c3ea6fec2bp-18, 0x1.530194561247bp-18, 0x1.51b632b1e83cep-18, 0x1.506a217f6797ep-18, 0x1.4f1d686e51c35p-18, 0x1.4dd00f1959641p-18, 0x1.4c821d06481b3p-18, 0x1.4b3399a5f7e5p-18, 0x1.49e48c5471a65p-18, 0x1.4894fc58f25ccp-18, 0x1.4744f0e601e3ep-18, 0x1.45f47119868ecp-18, 0x1.44a383fcdba32p-18, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      39, 0x1.90a3d70a3d70ap+2, 0x1.9435c6d328513p+0, 0x1.e0b1b34514a3fp+1, -0x1.669371bfe0c78p-7, 
      {{
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.0cedf46c29245p-5, -0x1.1b15823ef999fp-4, 0x1.bef968db7afcbp-5, -0x1.37352c8f66c73p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.edf9d9c2edd9fp-6, -0x1.0994186c06854p-4, 0x1.ac4d4257ff0f7p-5, -0x1.2ef3c43c85566p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.baf6c36c9abc2p-6, -0x1.e9767fbed6987p-5, 0x1.959493a041dc4p-5, -0x1.26ad35a5eb375p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.8c023a09804bbp-6, -0x1.c20287e76f4acp-5, 0x1.7f7ac933d0383p-5, -0x1.1e6d8c1bb7458p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.60e3a96f69cd2p-6, -0x1.9cbc6c4f28472p-5, 0x1.69ff5eb1bc131p-5, -0x1.162c09a008e9p-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.3964132c2c99ep-6, -0x1.799454cbbe76fp-5, 0x1.552277928834ep-5, -0x1.0deb05dde67a7p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.154e0e85a8201p-6, -0x1.587a67e6901b3p-5, 0x1.40e40a5516eb6p-5, -0x1.05a9e02710edp-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.e8db90f38bc83p-7, -0x1.395ecc820a5bbp-5, 0x1.2d4419855c0cep-5, -0x1.fad18712e7652p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ad22077cf2fcbp-7, -0x1.1c31a968bd6d7p-5, 0x1.1a42a474a692cp-5, -0x1.ea4f48f766e61p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.770e318381383p-7, -0x1.00e3256b9e674p-5, 0x1.07dfab51c5ea3p-5, -0x1.d9cd0c2a71369p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4641eb5346003p-7, -0x1.cec6ceb3d791cp-6, 0x1.ec365c205cf08p-6, -0x1.c94acf03bbc15p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.1a623ca86502bp-7, -0x1.9f452c06b323p-6, 0x1.c9ea59667ba7ep-6, -0x1.b8c891f53b5e6p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.e62eb15e2c377p-8, -0x1.7321b06ef8982p-6, 0x1.a8db4e741734p-6, -0x1.a84654e0106e3p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.a0193c074a993p-8, -0x1.4a3ca98be1db4p-6, 0x1.89093b49af925p-6, -0x1.97c417ccd5de2p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.61e12d64e587dp-8, -0x1.247664fca44d3p-6, 0x1.6a741fe71f884p-6, -0x1.8741dab8fb96p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.2ae9f06fe5b1p-8, -0x1.01af306076927p-6, 0x1.4d1bfc4c73103p-6, -0x1.76bf9da55db75p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.f53a8e02b82fdp-9, -0x1.c38eb2ad1ddf3p-7, 0x1.3100d079a5a2p-6, -0x1.663d6091a2b02p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.a0d693a5042a4p-9, -0x1.893e5afc4790dp-7, 0x1.16229c6eb96eap-6, -0x1.55bb237dfa8eep-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.5794d0f972a71p-9, -0x1.542df4ecd6eb5p-7, 0x1.f902c0575a14ep-7, -0x1.4538e66a4436bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.186ed2f317a3fp-9, -0x1.241e1bbd38a9dp-7, 0x1.c83a3761030ccp-7, -0x1.34b6a95690ba6p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c4d5a88aaf929p-10, -0x1.f19ed557b2e39p-8, 0x1.99eb9dfa6d577p-7, -0x1.24346c42f10bp-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.69377ac7d0cecp-10, -0x1.a404f9ee4c26ep-8, 0x1.6e16f42395fb9p-7, -0x1.13b22f2f22594p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1c4249059ee97p-10, -0x1.5eefdbbb1659fp-8, 0x1.44bc39dc8407cp-7, -0x1.032ff21ba7867p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.b89d36598e4f8p-11, -0x1.21e0b13aeb426p-8, 0x1.1ddb6f252ae6fp-7, -0x1.e55b6a0ef7b2ep-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.4f9ca94d3024p-11, -0x1.d8b161d54683cp-9, 0x1.f2e927fb4a402p-8, -0x1.c456efea8af54p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.f532d1740642p-12, -0x1.7bb2228e3730dp-9, 0x1.af0f50cb4f02p-8, -0x1.a35275b8bbe4ap-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.6db952ea53371p-12, -0x1.2bc6119a3eaebp-9, 0x1.702958bc66052p-8, -0x1.824dfbb7a0527p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.03c4aeaa115cp-12, -0x1.cfdf37e6f5876p-10, 0x1.36373fc7412c3p-8, -0x1.61498102480f5p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.656454c51f8c1p-13, -0x1.5e625d24202efp-10, 0x1.01390606e9908p-8, -0x1.404508ebaecc3p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.d911e7168ce7dp-14, -0x1.011a6ceafdc34p-10, 0x1.a25d562d85175p-9, -0x1.1f40871017631p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.2a8efa1e951p-14, -0x1.6c1882074cd07p-11, 0x1.4c3060dbe479fp-9, -0x1.fc7853505098fp-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.62ec42fba8201p-15, -0x1.ecf2d00c7707dp-12, 0x1.ffd64252e3f6ep-10, -0x1.ba6e886da97aep-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.864d506770fffp-16, -0x1.3ac276065e561p-12, 0x1.7b1b7fcb9785cp-10, -0x1.7868b4f1c5927p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.8242071295fffp-17, -0x1.736701ed46af9p-13, 0x1.0a2f49830f73bp-10, -0x1.365413e998b32p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.48c4ed0f3ap-18, -0x1.87635592d6bd8p-14, 0x1.5a2c20ad29b01p-11, -0x1.e8ed635e2afp-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.bb273a63ap-20, -0x1.5a3e28502d69p-15, 0x1.8efd05bb6cd13p-12, -0x1.6396438fc59fap-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8c023a08f0001p-22, -0x1.c192695e7d82p-17, 0x1.7345ba63ec75cp-13, -0x1.c8842719ffe21p-11}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.186ed2ed80001p-25, -0x1.2aa7d70368a1bp-19, 0x1.857358847ef01p-15, -0x1.39f9fed5dd5eap-12}, 
        {0x1.9p+2, 0x1.90a3d70a3d70ap+2, 0x1.bb271ffffffffp-36, 0x1.70c3cda50836fp-23, 0x1.95b80a1510001p-20, -0x1.68b9fed07f6c4p-7}, 
      }}, 
      0x1.74f65db22256p+0, -0x1.b44f3f857c437p+5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.cb8411e6557a1p+0, -0x1.bab5658646a75p+0, -0x1.a03717c51dcadp+0, -0x1.7defa1e27f065p+0, -0x1.5601e98ef71e7p+0, -0x1.2a8f9a87295ffp+0, -0x1.fb1f03ba9b484p-1, -0x1.a1699afe54d63p-1, -0x1.4ac6c0831fae6p-1, -0x1.f2b6b8c8261b4p-2, -0x1.5d6415d226e51p-2, -0x1.af2d787a97281p-3, -0x1.898f39aaf6aa6p-4, 0x1.e16c733bd9bc3p-10, 0x1.55fb74f4116bp-4, 0x1.325cf63eb5593p-3, 0x1.9bfb5c36eebfp-3, 0x1.ea63028122459p-3, 0x1.102f906d68f9cp-2, 0x1.206b6b9870001p-2, 0x1.2758072ab1921p-2, 0x1.265cbc59c7208p-2, 0x1.1ecd582a63927p-2, 0x1.11e4bb84b3ce3p-2, 0x1.00c19774ccf91p-2, 0x1.d8c9b667763b9p-3, 0x1.ab62dbbe37779p-3, 0x1.7ad9b2425a6dfp-3, 0x1.4881479358ae1p-3, 0x1.15783b33a659ep-3, 0x1.c559b32551e6cp-4, 0x1.61c30ecb827eep-4, 0x1.0162973f4c76bp-4, 0x1.4a516370c8d9cp-5, 0x1.3723ec187446p-6, -0x1.0f4dfcb2dd64p-10, -0x1.425b76c78d74p-6, -0x1.2e2bb8d2c2863p-5, -0x1.af54c5dd06ae8p-5, -0x1.125d007bdeb18p-4, -0x1.47497b27b266cp-4, -0x1.769a5d86776f2p-4, -0x1.a0852f6c50586p-4, -0x1.c5474b8acdcd4p-4, -0x1.e52342941f5c4p-4, -0x1.002f5e33b5f58p-3, -0x1.0ba063d38802ep-3, -0x1.1508443b2d21dp-3, -0x1.1c8a1be9f1ebdp-3, -0x1.224832ec06308p-3, -0x1.2663b965b0663p-3, -0x1.28fc9a1d77b31p-3, -0x1.2a315e416b05ep-3, -0x1.2a1f1eae08c83p-3, -0x1.28e17f4dcb12p-3, -0x1.2692b1ed0132p-3, -0x1.234b7e46e4d63p-3, -0x1.1f234d924720ep-3, -0x1.1a30382b1bae2p-3, -0x1.1487145eb36cfp-3, -0x1.0e3b8575045e1p-3, -0x1.07600a9a38c57p-3, -0x1.00060d2914376p-3, -0x1.f07bdc0fe1d7ap-4, -0x1.e02e244bd8667p-4, -0x1.cf3fdb8340eafp-4, -0x1.bdcc1daeb8bd5p-4, -0x1.abec4cf29753cp-4, -0x1.99b822f058ddbp-4, -0x1.8745c055fbe1fp-4, -0x1.74a9bbdbe840fp-4, -0x1.61f72ff4962c2p-4, -0x1.4f3fc83eaac8dp-4, -0x1.3c93ce9103539p-4, -0x1.2a0237b1cff89p-4, -0x1.1798b0139b77dp-4, -0x1.0563a8bacd4a5p-4, -0x1.e6dcc7a8d5354p-5, -0x1.c386037d3ea68p-5, -0x1.a0d51bea3685cp-5, -0x1.7eda184e3ae11p-5, -0x1.5da30a6fb912dp-5, -0x1.3d3c28eaa657ep-5, -0x1.1dafe91bd71c7p-5, -0x1.fe0e32c92a3a9p-6, -0x1.c291f5356b6d1p-6, -0x1.88f6b3993de1ep-6, -0x1.5145520e492p-6, -0x1.1b842fe56dce6p-6, -0x1.cf6eafca65cacp-7, -0x1.6bc15b84fd0a1p-7, -0x1.0c003a9c3219ep-7, -0x1.604f0d764dbp-8, -0x1.60c0d69183e9ep-9, -0x1.0410ee51506d4p-13, 0x1.3113eb53ef194p-9, 0x1.31bd22eecd49ap-8, 0x1.c39b5292752e3p-8, 0x1.272540041766bp-7, 0x1.68f9f3f077d98p-7, 0x1.a761c10a8182cp-7, 0x1.e273ce85e6ef1p-7, 0x1.0d241fc444de7p-6, 0x1.277bfd30fa3dep-6, 0x1.404e44cf99a48p-6, 0x1.57a7f5915af09p-6, 0x1.6d96359518978p-6, 0x1.822646b01028fp-6, 0x1.95656fe3b3b4ap-6, 0x1.a760f40bf0ae4p-6, 0x1.b8260759a1912p-6, 0x1.c7c1bd2490edbp-6, 0x1.d6410522f696ep-6, 0x1.e3b0a18d2316p-6, 0x1.f01d19afb31ddp-6, 0x1.fb92baa9897dep-6, 0x1.030ec82aea81dp-5, 0x1.07e4ad16e390dp-5, 0x1.0c50c76e2d84cp-5, 0x1.1058ac11f97fap-5, 0x1.1401c4b83c096p-5, 0x1.1751520f71c8dp-5, 0x1.1a4c6bf721376p-5, 0x1.1cf7fcee475d6p-5, 0x1.1f58c3f0f1292p-5, 0x1.217356c1505c5p-5, 0x1.234c1e6d537b7p-5, 0x1.24e75748a65b6p-5, 0x1.264914f09d377p-5, 0x1.2775411c22c9ap-5, 0x1.286f9967bd92bp-5, 0x1.293bb2e9a9fccp-5, 0x1.29dcfc6cba46bp-5, 0x1.2a56bbd630162p-5, 0x1.2aac0ebe29b1cp-5, 0x1.2adfeeb6590c5p-5, 0x1.2af53183bb71ap-5, 0x1.2aee86ff0eb94p-5, 0x1.2ace7b672aaf4p-5, 0x1.2a977b0f183a7p-5, 0x1.2a4bd1afaadaep-5, 0x1.29eda907a03a3p-5, 0x1.297f0bb231a62p-5, 0x1.2901e8472c20bp-5, 0x1.2878109081aaap-5, 0x1.27e33880377cp-5, 0x1.2744f8d4e5d48p-5, 0x1.269ed2077f65ep-5, 0x1.25f22bf56a0ap-5, 0x1.254054ac87bb9p-5, 0x1.248a82543ab13p-5, 0x1.23d1d62588468p-5, 0x1.23175d175339ep-5, 0x1.225c0e605c3a8p-5, 0x1.21a0cc380f9a1p-5, 0x1.20e666f17d562p-5, 0x1.202d9e1a401e9p-5, 0x1.1f771fa503e99p-5, 0x1.1ec387bb547bdp-5, 0x1.1e1362c55884fp-5, 0x1.1d672f69ca931p-5, 0x1.1cbf5ea57c10fp-5, 0x1.1c1c530bbde76p-5, 0x1.1b7e616e2dcbbp-5, 0x1.1ae5d2df82f13p-5, 0x1.1a52e5ef0f47dp-5, 0x1.19c5ce6961071p-5, 0x1.193eb4e34e899p-5, 0x1.18bdb7a0d1238p-5, 0x1.1842ec42de5f1p-5, 0x1.17ce60a22f2bfp-5, 0x1.17601a920dae1p-5, 0x1.16f817906dc02p-5, 0x1.16964d8d39cfp-5, 0x1.163aac4762b64p-5, 0x1.15e51e0bffd7ap-5, 0x1.1595879d729aap-5, 0x1.154bc7e8b46c1p-5, 0x1.1507b87ed55fdp-5, 0x1.14c92ea9c05eap-5, 0x1.148ffc2c5d7e1p-5, 0x1.145bef5e3adb9p-5, 0x1.142cd2eb28076p-5, 0x1.14026defabff5p-5, 0x1.13dc84b8f7535p-5, 0x1.13bad983b94b7p-5, 0x1.139d2ccd0b687p-5, 0x1.13833d3c6bcc9p-5, 0x1.136cc77ff2846p-5, 0x1.1359869d4f537p-5, 0x1.1349349339448p-5, 0x1.133b8acca82fp-5, 0x1.13304245262fcp-5, 0x1.1327136dfcb98p-5, 0x1.131fb61e97495p-5, 0x1.1319e1e250ebep-5, 0x1.13154e6d05298p-5, 0x1.1311b3e5516f8p-5, 0x1.130ecafbd750fp-5, 0x1.130c4cd711378p-5, 0x1.1309f3045d46dp-5, 0x1.130777abaa547p-5, 0x1.130495e17c88ep-5, 0x1.130109dc27ed3p-5, 0x1.12fc91089decfp-5, 0x1.12f6ea00b6274p-5, 0x1.12efd476d3a0bp-5, 0x1.12e711490f92ep-5, 0x1.12dc62b7c7dcep-5, 0x1.12cf8c8f30e02p-5, 0x1.12c0543a57262p-5, 0x1.12ae80c46fbdap-5, 0x1.1299dac7a64f7p-5, 0x1.12822c6433c4p-5, 0x1.12674158f40afp-5, 0x1.1248e7247bb03p-5, 0x1.1226ed1614fffp-5, 0x1.1201245348324p-5, 0x1.11d75fd2bc18fp-5, 0x1.11a9744bf6a05p-5, 0x1.1177383081d02p-5, 0x1.114083bb9b633p-5, 0x1.110531034f1f6p-5, 0x1.10c51bfdaf22fp-5, 0x1.1080228072c8ap-5, 0x1.1036243ac214cp-5, 0x1.0fe702a6b9464p-5, 0x1.0f92a0ff0a2d9p-5, 0x1.0f38e443c9de4p-5, 0x1.0ed9b34276655p-5, 0x1.0e74f695f4ac7p-5, 0x1.0e0a98a240beap-5, 0x1.0d9a858e522fdp-5, 0x1.0d24ab38cff57p-5, 0x1.0ca8f92a83926p-5, 0x1.0c27609102e1bp-5, 0x1.0b9fd440564cbp-5, 0x1.0b1248b1366f1p-5, 0x1.0a7eb3fa8cec7p-5, 0x1.09e50dca1df21p-5, 0x1.09454f5c1ddffp-5, 0x1.089f736f45647p-5, 0x1.07f37638d4b43p-5, 0x1.0741555e849dp-5, 0x1.06890ff38834fp-5, 0x1.05caa672876cfp-5, 0x1.05061ab5015b7p-5, 0x1.043b6feaa5613p-5, 0x1.036aaa906adcbp-5, 0x1.0293d065ad27ep-5, 0x1.01b6e8609be23p-5, 0x1.00d3faa60d789p-5, 0x1.ffd621078a066p-6, 0x1.fdf868d27decdp-6, 0x1.fc0ee3bd3631bp-6, 0x1.fa19aaf6cf063p-6, 0x1.f818d9bba29c5p-6, 0x1.f60c8d42607cap-6, 0x1.f3f4e4a6d189fp-6, 0x1.f1d200d647285p-6, 0x1.efa40480a5117p-6, 0x1.ed6b1409fc1e9p-6, 0x1.eb275579c2457p-6, 0x1.e8d8f068b768p-6, 0x1.e6800def64f36p-6, 0x1.e41cd89542dd4p-6, 0x1.e1af7c3f0ba1fp-6, 0x1.df38261bdcc01p-6, 0x1.dcb70493bec93p-6, 0x1.da2c4738c39e9p-6, 0x1.d7981eb87ca38p-6, 0x1.d4fabccc2f5ap-6, 0x1.d254542876ed3p-6, 0x1.cfa5186d52ceap-6, 0x1.cced3e16d9485p-6, 0x1.ca2cfa6deac37p-6, 0x1.c76483784af36p-6, 0x1.c4940fe919005p-6, 0x1.c1bbd712d7635p-6, 0x1.bedc10da4a62bp-6, 0x1.bbf4f5a8f355cp-6, 0x1.b906be5f1d6e2p-6, 0x1.b611a446048a5p-6, 0x1.b315e1029f49cp-6, 0x1.b013ae88e392p-6, 0x1.ad0b470f27ed7p-6, 0x1.a9fce50159496p-6, 0x1.a6e8c2f4b0c69p-6, 0x1.a3cf1b9c5ae67p-6, 0x1.a0b029be84c1dp-6, 0x1.9d8c282949951p-6, 0x1.9a6351a79aaa9p-6, 0x1.9735e0f668b78p-6, 0x1.940410ba5237p-6, 0x1.90ce1b75d1239p-6, 0x1.8d943b7fab8acp-6, 0x1.8a56aaf97e294p-6, 0x1.8715a3c659538p-6, 0x1.83d15f823c3b4p-6, 0x1.808a177979b0ep-6, 0x1.7d4004a0eb12cp-6, 0x1.79f35f8d89d53p-6, 0x1.76a4606ce81bfp-6, 0x1.73533efd91674p-6, 0x1.700032882235cp-6, 0x1.6cab71d8995a6p-6, 0x1.69553337f1cd9p-6, 0x1.65fdac65ccacep-6, 0x1.62a512927060ep-6, 0x1.5f4b9a591746cp-6, 0x1.5bf177ba9ec21p-6, 0x1.5896de18640b4p-6, 0x1.553c002f491b3p-6, 0x1.51e1101300a89p-6, 0x1.4e863f298897p-6, 0x1.4b2bbe26f552ep-6, 0x1.47d1bd097bcdep-6, 0x1.44786b15c341ep-6, 0x1.411ff6d3661a5p-6, 0x1.3dc88e09d073cp-6, 0x1.3a725dbd7a16cp-6, 0x1.371d922d818e9p-6, 0x1.33ca56d169ba9p-6, 0x1.3078d656f7bebp-6, 0x1.2d293a9fe8d77p-6, 0x1.29dbacbfa4a93p-6, 0x1.269054f8dd43dp-6, 0x1.23475abb741c7p-6, 0x1.2000e4a27d493p-6, 0x1.1cbd187323375p-6, 0x1.197c1b1c041d9p-6, 0x1.163e10b553c36p-6, 0x1.13031c817a893p-6, 0x1.0fcb60ede17a8p-6, 0x1.0c96ff936939ep-6, 0x1.096619367d012p-6, 0x1.0638cdc490ddbp-6, 0x1.030f3c567cc05p-6, 0x1.ffd30650cc7a9p-7, 0x1.f98f7f3e12126p-7, 0x1.f3541c853cacp-7, 0x1.ed2115839e5adp-7, 0x1.e6f69fe80b4c9p-7, 0x1.e0d4efba1e55ap-7, 0x1.dabc376288e4dp-7, 0x1.d4aca7b281c8cp-7, 0x1.cea66fe8b502p-7, 0x1.c8a9bdb2be591p-7, 0x1.c2b6bd2b3f99ep-7, 0x1.bccd98d5cae5ep-7, 0x1.b6ee799a56cdep-7, 0x1.b11986c28b4cdp-7, 0x1.ab4ee5fa7cf5cp-7, 0x1.a58ebb55cca09p-7, 0x1.9fd92958c63f6p-7, 0x1.9a2e51041d9dbp-7, 0x1.948e51e13c14cp-7, 0x1.8ef94a0d015eap-7, 0x1.896f563f7a22ap-7, 0x1.83f091d0284d2p-7, 0x1.7e7d16b7536cdp-7, 0x1.7914fd8de6ebbp-7, 0x1.73b85d8d8e34ap-7, 0x1.6e674c923d5bep-7, 0x1.6921df1d7c23ap-7, 0x1.63e8285adb5d6p-7, 0x1.5eba3a224c74bp-7, 0x1.5998250421bbep-7, 0x1.5481f836c84ebp-7, 0x1.4f77c1a840b59p-7, 0x1.4a798df459fdfp-7, 0x1.4587686a428d9p-7, 0x1.40a15b17a1c45p-7, 0x1.3bc76edd2fba9p-7, 0x1.36f9ab8c39bb6p-7, 0x1.323818091e971p-7, 0x1.2d82ba6bd70f6p-7, 0x1.28d99815b6ae9p-7, 0x1.243cb5b437fe5p-7, 0x1.1fac172ba6822p-7, 0x1.1b27bf6a0f4ecp-7, 0x1.16afb0299e65cp-7, 0x1.1243e9afe75fbp-7, 0x1.0de46a9bcae37p-7, 0x1.09912fd3c8ac6p-7, 0x1.054a34a211e05p-7, 0x1.010f7302c58e5p-7, 0x1.f9c1c8399961bp-8, 0x1.f17d01a3a1165p-8, 0x1.e95084905e5ebp-8, 0x1.e13c449c079c1p-8, 0x1.d94036efcc096p-8, 0x1.d15c51d32bcf8p-8, 0x1.c9908b8fa7a7fp-8, 0x1.c1dcd8ceb4232p-8, 0x1.ba412abe158dap-8, 0x1.b2bd6d604a88fp-8, 0x1.ab51867221ca6p-8, 0x1.a3fd553c5dfe7p-8, 0x1.9cc0b37ea90c4p-8, 0x1.959b7768c12bp-8, 0x1.8e8d765a40835p-8, 0x1.879687ed0c667p-8, 0x1.80b688afb5347p-8, 0x1.79ed5bf474606p-8, 0x1.733aec39de7c4p-8, 0x1.6c9f29f132217p-8, 0x1.661a08b80bba5p-8, 0x1.5fab7b701b658p-8, 0x1.59536fe65cdcfp-8, 0x1.5311cae242917p-8, 0x1.4ce66572b1f6dp-8, 0x1.46d10c1ff521dp-8, 0x1.40d18055e19aap-8, 0x1.3ae77bee10099p-8, 0x1.3512b645ae069p-8, 0x1.2f52ea4ff1495p-8, 0x1.29a7dc162c56bp-8, 0x1.24115cf3f7cecp-8, 0x1.1e8f4d52a2b0cp-8, 0x1.19219c1c967dap-8, 0x1.13c842f2319a3p-8, 0x1.0e834019f838ep-8, 0x1.09528f4baf037p-8, 0x1.043622681555ap-8, 0x1.fe5bb70e6c927p-9, 0x1.f4731303f96b7p-9, 0x1.eab1cf5918104p-9, 0x1.e11741ccbf189p-9, 0x1.d7a2ab1d79731p-9, 0x1.ce5346d60bbe5p-9, 0x1.c5285c6bef111p-9, 0x1.bc214eda72f19p-9, 0x1.b33da8146c6abp-9, 0x1.aa7d1e40f5c1ep-9, 0x1.a1df91ad9b907p-9, 0x1.99650393eb2e8p-9, 0x1.910d871274fccp-9, 0x1.88d92ed15cd04p-9, 0x1.80c7fa7898656p-9, 0x1.78d9c732a8949p-9, 0x1.710e45e5ce966p-9, 0x1.6964f8b46d031p-9, 0x1.61dd37fb343b9p-9, 0x1.5a763dba4d302p-9, 0x1.532f35605b533p-9, 0x1.4c074d64e4fddp-9, 0x1.44fdc7c63c2d1p-9, 0x1.3e1208f4a5474p-9, 0x1.37439d5bb48f5p-9, 0x1.30923e619d991p-9, 0x1.29fdcca05930dp-9, 0x1.238646272e837p-9, 0x1.1d2bb84a6fc76p-9, 0x1.16ee2f8b873b8p-9, 0x1.10cda825acb71p-9, 0x1.0aca01b22ab1p-9, 0x1.04e2f7c8a2edcp-9, 0x1.fe304123db723p-10, 0x1.f2d1e25f4639p-10, 0x1.e7a98dc5cbdb9p-10, 0x1.dcb5e65daabeap-10, 0x1.d1f591a8eb9ebp-10, 0x1.c7674ee15b3b7p-10, 0x1.bd0a079342db1p-10, 0x1.b2dcd724dd4d1p-10, 0x1.a8df092d3baeap-10, 0x1.9f1010f97a9d5p-10, 0x1.956f7e2b83bf3p-10, 0x1.8bfcf215062d9p-10, 0x1.82b8178315501p-10, 0x1.79a09c508e45ap-10, 0x1.70b62ac9a797dp-10, 0x1.67f861711482ap-10, 0x1.5f66c9ab386b6p-10, 0x1.5700d00209775p-10, 0x1.4ec5c1d300be5p-10, 0x1.46b4d3724746ap-10, 0x1.3ecd2eee04b33p-10, 0x1.370e077f8ecbbp-10, 0x1.2f76aa325f609p-10, 0x1.2806839f94712p-10, 0x1.20bd1616587f7p-10, 0x1.1999e253330aep-10, 0x1.129c4c10a6f9p-10, 0x1.0bc3877d463f4p-10, 0x1.050e9a57f3462p-10, 0x1.fcf8e6ac4d2c5p-11, 0x1.f0181ffbd5187p-11, 0x1.e37942e2c16d9p-11, 0x1.d71b3fef95586p-11, 0x1.cafd88741f62bp-11, 0x1.bf1fd28d924b6p-11, 0x1.b381cbab2f597p-11, 0x1.a822e0075b5d9p-11, 0x1.9d023353874b6p-11, 0x1.921eccc590abfp-11, 0x1.8777dc57327e2p-11, 0x1.7d0cf03becfb8p-11, 0x1.72ddf8402373cp-11, 0x1.68eb0c7443be6p-11, 0x1.5f3408caad22bp-11, 0x1.55b823acff952p-11, 0x1.4c75aa9bcb0cep-11, 0x1.436a04c641776p-11, 0x1.3a920497c575cp-11, 0x1.31ea752ebf83ap-11, 0x1.2970b736d686fp-11, 0x1.2123334368fccp-11, 0x1.190171089f197p-11, 0x1.110bc6a7bcad1p-11, 0x1.0942c5368107fp-11, 0x1.01a6ab65de858p-11, 0x1.f46e45c81041ap-12, 0x1.e5e6c1b225a08p-12, 0x1.d7b5153c75967p-12, 0x1.c9d83fb059823p-12, 0x1.bc505f8f358f1p-12, 0x1.af1e7e203e595p-12, 0x1.a243d60a7a095p-12, 0x1.95c0ea7868e3fp-12, 0x1.8994cd959654bp-12, 0x1.7dbccd691a3e3p-12, 0x1.72348d4ffe68cp-12, 0x1.66f67e6fca393p-12, 0x1.5bfcab05367bbp-12, 0x1.5141bb0a7525ap-12, 0x1.46c1ef6b89b16p-12, 0x1.3c7bad89c0e52p-12, 0x1.326f4a42931dp-12, 0x1.289e2008660b5p-12, 0x1.1f0965fea25fp-12, 0x1.15b15e8c154e5p-12, 0x1.0c95328544893p-12, 0x1.03b36b584df0cp-12, 0x1.f615737adb158p-13, 0x1.e5352d6bcecd3p-13, 0x1.d4c6b989defdap-13, 0x1.c4cb9c027ea9ap-13, 0x1.b544c414b4af7p-13, 0x1.a63195e8fbbb5p-13, 0x1.978fbaa5f4e77p-13, 0x1.895b77c629c4ep-13, 0x1.7b9018cb69b6dp-13, 0x1.6e282f4ac89d4p-13, 0x1.611dca06901f7p-13, 0x1.546add05f77f6p-13, 0x1.4809e356685cap-13, 0x1.3bf693c0099d1p-13, 0x1.302e68b7363acp-13, 0x1.24b0b373c0dfcp-13, 0x1.197e1b50514d9p-13, 0x1.0e97a55bddf11p-13, 0x1.03fd9a00b6826p-13, 0x1.f35e09710c14ap-14, 0x1.df54bce1a6329p-14, 0x1.cbdd3e1e2015fp-14, 0x1.b8f6b94df95adp-14, 0x1.a6a0390538d9ep-14, 0x1.94d7f58cb677ep-14, 0x1.839b7f13850a2p-14, 0x1.72e796a88ce43p-14, 0x1.62b808acde1edp-14, 0x1.53085debebdfp-14, 0x1.43d4ccd9d646bp-14, 0x1.351a536b51defp-14, 0x1.26d5fa9fbb58ep-14, 0x1.1903f8a703c96p-14, 0x1.0b9f0fc759a74p-14, 0x1.fd417074e830bp-15, 0x1.e405e42ce4837p-15, 0x1.cb853f381da7fp-15, 0x1.b3bee835c4156p-15, 0x1.9cb1f19510ec7p-15, 0x1.86583c1748e4ap-15, 0x1.70a9f331ca5bp-15, 0x1.5ba604bc7789ep-15, 0x1.4752a6d05b592p-15, 0x1.33b31aa30a8dbp-15, 0x1.20c0a395022dap-15, 0x1.0e6fc36e3aa05p-15, 0x1.f97311356d146p-16, 0x1.d739f97e1aaacp-16, 0x1.b631eac210154p-16, 0x1.9650205528ed5p-16, 0x1.7786761d2188fp-16, 0x1.59cc26e8127d8p-16, 0x1.3d1feda895b68p-16, 0x1.218313351e491p-16, 0x1.06f2e52d153a6p-16, 0x1.dac69b341e5f2p-17, 0x1.a977ffc673245p-17, 0x1.79c5f2b3f9a1ep-17, 0x1.4ba9da3e29932p-17, 0x1.1f52d14634a6p-17, 0x1.e9c4e3a5b9d1ep-18, 0x1.98678c0b2cd52p-18, 0x1.4a021da712c0cp-18, 0x1.fc9f64b0017ffp-19, 0x1.6aceee9d58421p-19, 0x1.bdb80a0659e57p-20, 0x1.63561c049281cp-21, -0x1.3ce29b0dd31fcp-22, -0x1.4612e9f245143p-20, -0x1.19b36d57d2bd8p-19, -0x1.8b64c69bf441cp-19, -0x1.f7f2ed0f9e791p-19, -0x1.2fccd2b2735a6p-18, -0x1.61614d669df09p-18, -0x1.90d7ad917f0ecp-18, -0x1.be3242c1fd24p-18, -0x1.e966685889981p-18, -0x1.09381bd7440e9p-17, -0x1.1caceecfa8e44p-17, -0x1.2f2719add1563p-17, -0x1.40d45931c2c4ap-17, -0x1.51d023ddb35b4p-17, -0x1.61f9ab8f6994ep-17, -0x1.713174de03e3bp-17, -0x1.7f904d2421d4dp-17, -0x1.8d2821de029b4p-17, -0x1.99ddf306f150ap-17, -0x1.a5adb0cb3c88p-17, -0x1.b0c7295603751p-17, -0x1.bb5aa1e6e99bep-17, -0x1.c5680deb641a5p-17, -0x1.ced231cc42e3p-17, -0x1.d798248a84002p-17, -0x1.dfd4a2b9d2604p-17, -0x1.e7895cfa0debfp-17, -0x1.eea4037738429p-17, -0x1.f5226690cc434p-17, -0x1.fb197f32abb2ep-17, -0x1.004ce1205592dp-16, -0x1.02d3d4432e17ap-16, -0x1.0520b759d7c0ep-16, -0x1.07335f3d599e8p-16, -0x1.090c959a71ca8p-16, -0x1.0aaaf0b85e317p-16, -0x1.0c112726317b8p-16, -0x1.0d4d48a6fa026p-16, -0x1.0e6164d2c065dp-16, -0x1.0f4602441140dp-16, -0x1.100739326dd9dp-16, -0x1.10a64ecd32051p-16, -0x1.1113d4848c13ap-16, -0x1.1150f53e7c5cap-16, -0x1.1166911e66807p-16, -0x1.11574beef0d0cp-16, -0x1.11224c58e1653p-16, -0x1.10cc33a3942afp-16, -0x1.105efabc4864fp-16, -0x1.0fd97237f22f7p-16, -0x1.0f358dbd5fcfbp-16, -0x1.0e7b1d9b69ca5p-16, -0x1.0dac15841dde7p-16, -0x1.0cbddf084cb51p-16, -0x1.0bb0c375961dbp-16, -0x1.0a8d25a787049p-16, -0x1.0957b7002fc96p-16, -0x1.08110a4c6b796p-16, -0x1.06b8a636a372fp-16, -0x1.054f41688c439p-16, -0x1.03d55f9b9f1f5p-16, -0x1.0245c5a98125p-16, -0x1.009d7a6cdde98p-16, -0x1.fdd1cafa01087p-17, -0x1.fa578922e1665p-17, -0x1.f6d1ea427cbap-17, -0x1.f33935c97bbc1p-17, -0x1.ef77605d4a712p-17, -0x1.eb99c009e152fp-17, -0x1.e7ad6f47b11f9p-17, -0x1.e3b3c197b3ca1p-17, -0x1.dfab65c0b8438p-17, -0x1.db9405a026fb6p-17, -0x1.d76e46de71ac4p-17, -0x1.d3384137a3cb3p-17, -0x1.ceeaabd8d6536p-17, -0x1.ca8861f575b01p-17, -0x1.c622112961cc9p-17, -0x1.c1b98e6b246f3p-17, -0x1.bd52ee7e33347p-17, -0x1.b8e4ff11067b7p-17, -0x1.b4625fab26f9ep-17, -0x1.afd5d7e7a7f07p-17, -0x1.ab48d24fa25f6p-17, -0x1.a6bc2326a5c5ap-17, -0x1.a22e59de7df04p-17, -0x1.9d9f9ca5dbe1cp-17, -0x1.99111ab37dbfep-17, -0x1.947c228819f44p-17, -0x1.8fd680f6da2d7p-17, -0x1.8b32aafb1bed8p-17, -0x1.869e4a2338bdap-17, -0x1.8211b06f2b1ep-17, -0x1.7d794cb067b2fp-17, -0x1.78defe3a0964p-17, -0x1.744b32536b63ap-17, -0x1.6fbce2edc051dp-17, -0x1.6b328ca25d252p-17, -0x1.66abd218d1e48p-17, -0x1.62290fa40cb4ep-17, -0x1.5daafb49968c4p-17, -0x1.593253a72e69cp-17, -0x1.54bfb72790559p-17, -0x1.5053efb6afaabp-17, -0x1.4bef85dd08066p-17, -0x1.478e92bd42f26p-17, -0x1.4329f52fafc9ap-17, -0x1.3ecadedbc13bp-17, -0x1.3a7ce59c87c5dp-17, -0x1.363c065106e49p-17, -0x1.31fa9d0318129p-17, -0x1.2dbd3298cd2afp-17, -0x1.298aa11fa23f7p-17, -0x1.2562663fd1f87p-17, -0x1.2142f23bc7876p-17, -0x1.1d2c5997300a1p-17, -0x1.191f230930596p-17, -0x1.151558cdc492dp-17, -0x1.110fb172982f2p-17, -0x1.0d1d2957fd253p-17, -0x1.0932ad6125a02p-17, -0x1.054ab8cb8b682p-17, -0x1.016da17d93ba7p-17, -0x1.fb36f1528cccep-18, -0x1.f3a5e820c68ecp-18, -0x1.ec2758cfe1abfp-18, -0x1.e4bb32612f391p-18, -0x1.dd61859170cd1p-18, -0x1.d61a5d53d6387p-18, -0x1.cee5c250876fbp-18, -0x1.c7c3cef5f27fap-18, -0x1.c0b4bf39a916ep-18, -0x1.b9b8e73ba26ecp-18, -0x1.b2d084b2a8ac1p-18, -0x1.abfb887fc6163p-18, -0x1.a5398c0ced51bp-18, -0x1.9e8c63582bfdp-18, -0x1.97f1617dc7c13p-18, -0x1.916345a5a39a6p-18, -0x1.8ae4d3f75db8fp-18, -0x1.8483bd8a78d0ep-18, -0x1.7e3238aacec44p-18, -0x1.77ef1092d872ap-18, -0x1.71c0d1bf38f31p-18, -0x1.6ba5f935e3f8ep-18, -0x1.659dc83136842p-18, -0x1.5fa995dcdc444p-18, -0x1.59c4e27be800ep-18, -0x1.53f18138d23a6p-18, -0x1.4e32d111b54cap-18, -0x1.488181fd3061dp-18, -0x1.42e3c796524bcp-18, -0x1.3d58c6ddd37c6p-18, -0x1.37df4687971f2p-18, -0x1.3276f04f7f008p-18, -0x1.2d1fa710738c1p-18, -0x1.27d952869d353p-18, -0x1.22a3d70709755p-18, -0x1.1d7f156501362p-18, -0x1.186aeb71628e9p-18, -0x1.1367340b99d5bp-18, -0x1.0e73c74725c25p-18, -0x1.09907bacb959cp-18, -0x1.04bd28f7008a8p-18, -0x1.fff34feaf98a3p-19, -0x1.f6853d86fa6fbp-19, -0x1.ed4365f7be68bp-19, -0x1.e419f07710972p-19, -0x1.db0ee25432225p-19, -0x1.d221be0ae6cb6p-19, -0x1.c9527a93347b8p-19, -0x1.c0a1cf6352a2dp-19, -0x1.b80e101fcf7f9p-19, -0x1.af95a00177207p-19, -0x1.a73a9a76afeecp-19, -0x1.9ef9f12219dfcp-19, -0x1.96d6192e735f3p-19, -0x1.8eceed2184707p-19, -0x1.86e3dd366177p-19, -0x1.7f12bc8f28c21p-19, -0x1.775b644eaa365p-19, -0x1.6fbe39b266593p-19, -0x1.683be2b98be03p-19, -0x1.60d359d17ef5ap-19, -0x1.5984229540b02p-19, -0x1.524df0a94a0b9p-19, -0x1.4b307b3b60d67p-19, -0x1.442b77f70c49cp-19, -0x1.3d3e9b9f255a7p-19, -0x1.36699aae89d89p-19, -0x1.2fac2978dd0e3p-19, -0x1.2905fc75f5746p-19, -0x1.2276c83a918bp-19, -0x1.1bfe41bc381a5p-19, -0x1.159c1e74de267p-19, -0x1.0f501493dc58p-19, -0x1.0919db2824be1p-19, -0x1.02f92b0b0773p-19, -0x1.f9db7ebe14242p-20, -0x1.edeeaa154613bp-20, -0x1.e22b50fe248bfp-20, -0x1.d690e6b35be15p-20, -0x1.cb1ed86d1c961p-20, -0x1.bfd49258f2267p-20, -0x1.b4b18b3bd6d34p-20, -0x1.a9b5540105e82p-20, -0x1.9edf8936620e1p-20, -0x1.942f7c4f8f2ebp-20, -0x1.89a408efb751cp-20, -0x1.7f3dc39616d06p-20, -0x1.74fd1f34f35dep-20, -0x1.6adf0ada25fccp-20, -0x1.60e4ae8ddb3f9p-20, -0x1.570e52ea438a7p-20, -0x1.4d594cc1e7105p-20, -0x1.43c60ec5c7611p-20, -0x1.3a5477487c316p-20, -0x1.31040f2a63347p-20, -0x1.27d45e7565255p-20, -0x1.1ec4f2df70c7dp-20, -0x1.15d55df872974p-20, -0x1.0d0533f9f4932p-20, -0x1.04540b33f9ff1p-20, -0x1.f782f7471fc19p-21, -0x1.e69a3d7f23a7cp-21, -0x1.d5ed2051bbb8dp-21, -0x1.c57ad84e7ad4cp-21, -0x1.b542a39699ec2p-21, -0x1.a543c0ed00f83p-21, -0x1.957d730b1cbaep-21, -0x1.85ef00da1062ap-21, -0x1.7697b9898eafbp-21, -0x1.6776c4c0788e1p-21, -0x1.588adaf5abf47p-21, -0x1.49d3b86729057p-21, -0x1.3b53d3c451307p-21, -0x1.2d05dc48fc196p-21, -0x1.1eeae33dfedb3p-21, -0x1.1102572e3d468p-21, -0x1.034b861da30a9p-21, -0x1.eb8b82c702af6p-22, -0x1.d0e0eae101004p-22, -0x1.b6966ab883eadp-22, -0x1.9cab0e5de18b5p-22, -0x1.831dad569d29ep-22, -0x1.69eafb9fd3e3cp-22, -0x1.510f6158dd4f1p-22, -0x1.389202bb7304bp-22, -0x1.207052d81c5fbp-22, -0x1.08a88c3f75df7p-22, -0x1.e266f6545b669p-23, -0x1.b42736c267906p-23, -0x1.86919143f6f9bp-23, -0x1.59a3d24caa7a1p-23, -0x1.2d5bc5fdcae4bp-23, -0x1.01b75a851e83bp-23, -0x1.ad6926b89540cp-24, -0x1.58a2ff4fc4cbap-24, -0x1.0514e3c285585p-24, -0x1.658b5e588cc44p-25, -0x1.869ef94bf46e4p-26, -0x1.1ba456538fb9bp-28, 0x1.e82dede20b404p-27, 0x1.15373f5ed2c97p-25, 0x1.ae1685e3ae815p-25, 0x1.22585d80add2p-24, 0x1.6c85a09d69f7p-24, 0x1.b5962db98fa3ep-24, 0x1.fd8ddee631da2p-24, 0x1.2237d8706eedbp-23, 0x1.451f1462f353p-23, 0x1.677e2b72d8681p-23, 0x1.8956be054994dp-23, 0x1.aaaa5684e8891p-23, 0x1.cb7a6dd020095p-23, 0x1.ebc876a84ea35p-23, 0x1.05caef9e2bc25p-22, 0x1.1571ff5700689p-22, 0x1.24da07e0618d8p-22, 0x1.3403b5f86d7e1p-22, 0x1.42efbdc1f1519p-22, 0x1.519ef473c7d37p-22, 0x1.6012c5fbe82e2p-22, 0x1.6e49552270776p-22, 0x1.7c45522c38801p-22, 0x1.8a072df64563bp-22, 0x1.978f1e81a3484p-22, 0x1.a4ddd3d8c2833p-22, 0x1.b1f445e861ca7p-22, 0x1.bed31d8af9d62p-22, 0x1.cb792d3c5293bp-22, 0x1.d7e8dc596cfecp-22, 0x1.e422858b5eb98p-22, 0x1.f0266bd2747a1p-22, 0x1.fbf51c14303cdp-22, 0x1.03c792d7df2d7p-21, 0x1.097a8a0652d9dp-21, }}, 
      {{-0x1.cc8da0bf2a305p+0, -0x1.bea40dfab2e5fp+0, -0x1.a853bc97162cbp+0, -0x1.8ac03d20047ebp+0, -0x1.674187aefe625p+0, -0x1.3f4284344d98p+0, -0x1.1427cb33fe541p+0, -0x1.ce7c39a4e4c72p-1, -0x1.735ea075ce762p-1, -0x1.18f8d0adee3f8p-1, -0x1.81ee318e95f37p-2, -0x1.b2c6396086f1bp-3, -0x1.d313f7c644b42p-5, 0x1.664301695f83cp-4, 0x1.c2e3a3337d122p-3, 0x1.5ca82d6bbd1f7p-2, 0x1.caf6227dd1ddcp-2, 0x1.1634359a47c07p-1, 0x1.40a397de9e9a6p-1, 0x1.65045426fee4cp-1, 0x1.83a2b867c27b5p-1, 0x1.9cd7435d957p-1, 0x1.b1026d2c3e103p-1, 0x1.c08929c47fc22p-1, 0x1.cbd212d48378bp-1, 0x1.d34325ec7e5c3p-1, 0x1.d740031cf4facp-1, 0x1.d828999e6ca3ep-1, 0x1.d6583085cd082p-1, 0x1.d224bbd89a1afp-1, 0x1.cbde70d2967eep-1, 0x1.c3cf8cfc144f5p-1, 0x1.ba3c45e9acddap-1, 0x1.af62d98f1f335p-1, 0x1.a37bb752be008p-1, 0x1.96b9bb8b10f02p-1, 0x1.894a78530f049p-1, 0x1.7b56877ee696bp-1, 0x1.6d01e22e66b43p-1, 0x1.5e6c3abf7e011p-1, 0x1.4fb157069b186p-1, 0x1.40e968e0d6c0cp-1, 0x1.322963a96c70cp-1, 0x1.23834db586d2p-1, 0x1.15068d145454dp-1, 0x1.06c02f0a78465p-1, 0x1.f176544280075p-2, 0x1.d601357984393p-2, 0x1.bb2ff48ff40aep-2, 0x1.a10ea2535424bp-2, 0x1.87a6c79027b1dp-2, 0x1.6effb5d1215fdp-2, 0x1.571ecf93ec579p-2, 0x1.4007c88278f8fp-2, 0x1.29bcde72f1e92p-2, 0x1.143f0bdc7504fp-2, 0x1.ff1c68d0ccf87p-3, 0x1.d752988163157p-3, 0x1.b11cf56c0495ep-3, 0x1.8c767175a985dp-3, 0x1.6958d7621edd1p-3, 0x1.47bcf9f084528p-3, 0x1.279add3c3e7f5p-3, 0x1.08e9db12d60d9p-3, 0x1.d74185ac80537p-4, 0x1.9f6beb0f04526p-4, 0x1.6a3efcba2b7a1p-4, 0x1.37a650daed68dp-4, 0x1.078d233d52ac7p-4, 0x1.b3bcedc9e1e1ep-5, 0x1.5d0a664433493p-5, 0x1.0ad87af5a6c8ep-5, 0x1.79fa4093ac305p-6, 0x1.cd3a6c6e46d16p-7, 0x1.6d1d1bbc91fb5p-8, -0x1.42c7dfe7f8cacp-9, -0x1.492759eaba659p-7, -0x1.19b7658968f09p-6, -0x1.88111921a74f3p-6, -0x1.efebf61a54773p-6, -0x1.28c8a58f594a9p-5, -0x1.56a4390a35e38p-5, -0x1.81ab5f7e3b04fp-5, -0x1.a9ffb9b7b0d06p-5, -0x1.cfc1da667dd71p-5, -0x1.f31143054a17p-5, -0x1.0a06311a916fep-4, -0x1.1968499c8ff5dp-4, -0x1.27bd0f73d5a5fp-4, -0x1.35121e9c04df5p-4, -0x1.41748c02168a5p-4, -0x1.4cf0e73ee3603p-4, -0x1.57933ca80135p-4, -0x1.616717b1fd3a2p-4, -0x1.6a77859e98f86p-4, -0x1.72cf184bd3834p-4, -0x1.7a77e946c195dp-4, -0x1.817b9d07c1047p-4, -0x1.87e366399874fp-4, -0x1.8db8092e825dcp-4, -0x1.9301df5d34c1fp-4, -0x1.97c8daeb994aap-4, -0x1.9c148a44b318bp-4, -0x1.9fec1ba4f5de3p-4, -0x1.a35660b962ccap-4, -0x1.a659d226f49bdp-4, -0x1.a8fc930bf869ep-4, -0x1.ab447483646e7p-4, -0x1.ad36f9043367ep-4, -0x1.aed957c3162c6p-4, -0x1.b0307ffbc8cb8p-4, -0x1.b1411c187a6dcp-4, -0x1.b20f94df9ccafp-4, -0x1.b2a01479fedcfp-4, -0x1.b2f68954685cbp-4, -0x1.b316a90e76c77p-4, -0x1.b303f332dde1ap-4, -0x1.b2c1b3d6600f1p-4, -0x1.b2530637c784p-4, -0x1.b1bad73464e2bp-4, -0x1.b0fbe79755eb1p-4, -0x1.b018ce733c6bbp-4, -0x1.af13fb4e69187p-4, -0x1.adefb82a91b9dp-4, -0x1.acae2b91f8a96p-4, -0x1.ab515a88d8192p-4, -0x1.a9db2a4e7e0ccp-4, -0x1.a84d6220e8ad7p-4, -0x1.a6a9acf62c6afp-4, -0x1.a4f19b033830ep-4, -0x1.a326a3393845ep-4, -0x1.a14a24c49a1abp-4, -0x1.9f5d686997db7p-4, -0x1.9d61a1c234c24p-4, -0x1.9b57f0809d8dbp-4, -0x1.994161a593931p-4, -0x1.971ef0931a4b4p-4, -0x1.94f18813473b9p-4, -0x1.92ba036103e6cp-4, -0x1.90792f20332f6p-4, -0x1.8e2fca386bdd3p-4, -0x1.8bde86aa4289ap-4, -0x1.89860a67119d8p-4, -0x1.8726f01597ba4p-4, -0x1.84c1c7c0c5258p-4, -0x1.82571782f0f4fp-4, -0x1.7fe75c3171cd2p-4, -0x1.7d7309fb254b1p-4, -0x1.7afa8cf325d86p-4, -0x1.787e4996731e6p-4, -0x1.75fe9d54aec7ap-4, -0x1.737bdf0f98779p-4, -0x1.70f65f88f4ccbp-4, -0x1.6e6e69c9102aep-4, -0x1.6be443898fd9ep-4, -0x1.69582d9b3189fp-4, -0x1.66ca643f2b5f5p-4, -0x1.643b1f75e8e5dp-4, -0x1.61aa934dd3a07p-4, -0x1.5f18f03367636p-4, -0x1.5c86633adf42ep-4, -0x1.59f3165e27592p-4, -0x1.575f30b5fa582p-4, -0x1.54cad6b4db53dp-4, -0x1.52362a62a8f3dp-4, -0x1.4fa14b8fa6498p-4, -0x1.4d0c57ff546bcp-4, -0x1.4a776b9144931p-4, -0x1.47e2a06c91f9p-4, -0x1.454e0f2a27806p-4, -0x1.42b9cef82fff9p-4, -0x1.4025f5b75a3c9p-4, -0x1.3d929816da17fp-4, -0x1.3affc9b2f4faep-4, -0x1.386d9d32bc387p-4, -0x1.35dc24607463ep-4, -0x1.334b703d0de29p-4, -0x1.30bb911230a13p-4, -0x1.2e2c96865f77cp-4, -0x1.2b9e8fb169a94p-4, -0x1.29118b2d5dd3ap-4, -0x1.268597231d4e6p-4, -0x1.23fac154c345cp-4, -0x1.2171172a3d061p-4, -0x1.1ee8a5bdf9ad7p-4, -0x1.1c6179e90e89p-4, -0x1.19dba04adcbd2p-4, -0x1.1757254f52564p-4, -0x1.14d41534bece2p-4, -0x1.12527c12f73ap-4, -0x1.0fd265e2d5f37p-4, -0x1.0d53de83d8946p-4, -0x1.0ad6f1bf9a4e9p-4, -0x1.085bab4bdae36p-4, -0x1.05e216ccce716p-4, -0x1.036a3fd8cf8f8p-4, -0x1.00f431fbe162p-4, -0x1.fcfff173af4aep-5, -0x1.f81b3f1e1dbe9p-5, -0x1.f33a63e05df0bp-5, -0x1.ee5d76944dadep-5, -0x1.e9848e069b861p-5, -0x1.e4afc0f91eb18p-5, -0x1.dfdf262339ee8p-5, -0x1.db12d4307fe2dp-5, -0x1.d64ae1bde9917p-5, -0x1.d1876556e12f7p-5, -0x1.ccc875740c851p-5, -0x1.c80e287aef563p-5, -0x1.c35894bc87abdp-5, -0x1.bea7d0727b7e2p-5, -0x1.b9fbf1bbc4e41p-5, -0x1.b5550e985b4e8p-5, -0x1.b0b33ce5e9374p-5, -0x1.ac16925d716c6p-5, -0x1.a77f24916fd9bp-5, -0x1.a2ed08eae0d94p-5, -0x1.9e6054a5c7637p-5, -0x1.99d91cccf6a8p-5, -0x1.955776359b9e8p-5, -0x1.90db757c4ff33p-5, -0x1.8c652f02a10efp-5, -0x1.87f4b6ec3ba5cp-5, -0x1.838a211c24fcap-5, -0x1.7f258130fef49p-5, -0x1.7ac6ea814d7cdp-5, -0x1.766e701810d11p-5, -0x1.721c24b1aa4edp-5, -0x1.6dd01ab975156p-5, -0x1.698a64476b507p-5, -0x1.654b131d7ecf6p-5, -0x1.611238a4e9844p-5, -0x1.5cdfe5eb7b8cbp-5, -0x1.58b42ba0deacdp-5, -0x1.548f1a13a8e17p-5, -0x1.5070c12f69769p-5, -0x1.4c59307b2876p-5, -0x1.4848771797fb7p-5, -0x1.443ea3bceef96p-5, -0x1.403bc4b910b2ep-5, -0x1.3c3fe7edf876dp-5, -0x1.384b1acfc92c2p-5, -0x1.345d6a632e24dp-5, -0x1.3076e33c403c7p-5, -0x1.2c97917d93c62p-5, -0x1.28bf80d72e8e7p-5, -0x1.24eebc85826fdp-5, -0x1.21254f5081f06p-5, -0x1.1d63438acab02p-5, -0x1.19a8a310caea9p-5, -0x1.15f577480fc8p-5, -0x1.1249c91ee5aap-5, -0x1.0ea5a10c3e227p-5, -0x1.0b09070f65019p-5, -0x1.077402afdb64ep-5, -0x1.03e69afd45115p-5, -0x1.0060d68f60b57p-5, -0x1.f9c5770c2873ep-6, -0x1.f2d89f130fb31p-6, -0x1.ebfb2f94d410ep-6, -0x1.e52d3204e0761p-6, -0x1.de6eaee9c1a3bp-6, -0x1.d7bfadde324e7p-6, -0x1.d12035924bd08p-6, -0x1.ca904bccdef87p-6, -0x1.c40ff56cf7104p-6, -0x1.bd9f366b6339fp-6, -0x1.b73e11dc60de9p-6, -0x1.b0ec89f19bf77p-6, -0x1.aaaa9ffc8da1cp-6, -0x1.a47854701009dp-6, -0x1.9e55a6e2a94a8p-6, -0x1.984296124925bp-6, -0x1.923f1fe4ca7eap-6, -0x1.8c4b416cca8b4p-6, -0x1.8666f6ea3b328p-6, -0x1.80923bcdb5ce4p-6, -0x1.7acd0abbb81cdp-6, -0x1.75175d8f7bddfp-6, -0x1.6f712d5dfefdap-6, -0x1.69da727917b56p-6, -0x1.64532472a14e7p-6, -0x1.5edb3a1fb9c79p-6, -0x1.5972a99bed2f4p-6, -0x1.5419684cae655p-6, -0x1.4ecf6ae49e9aap-6, -0x1.4994a566f8008p-6, -0x1.44690b2b03055p-6, -0x1.3f4c8edfaec13p-6, -0x1.3a3f228f24753p-6, -0x1.3540b7a259a26p-6, -0x1.30513ee4acaefp-6, -0x1.2b70a88783a81p-6, -0x1.269ee425f7adcp-6, -0x1.21dbe0c87fab3p-6, -0x1.1d278ce8a0b01p-6, -0x1.1881d674b852cp-6, -0x1.13eaaad3150abp-6, -0x1.0f61f6e73202ap-6, -0x1.0ae7a7131b293p-6, -0x1.067ba73da3869p-6, -0x1.021de2d491da3p-6, -0x1.fb9c89a0d762fp-7, -0x1.f3196f7174772p-7, -0x1.eab24b4ebce74p-7, -0x1.e266f098a1ea5p-7, -0x1.da3731e28cbdap-7, -0x1.d222e0faa8d2ep-7, -0x1.ca29cef117792p-7, -0x1.c24bcc1f30309p-7, -0x1.ba88a82ea7a99p-7, -0x1.b2e0322090c33p-7, -0x1.ab52385461c2fp-7, -0x1.a3de888f079fap-7, -0x1.9c84f001c971fp-7, -0x1.95453b50fedc5p-7, -0x1.8e1f369af64bfp-7, -0x1.8712ad7eb3d2ap-7, -0x1.801f6b2288979p-7, -0x1.79453a3a9c361p-7, -0x1.7283e50f71e3p-7, -0x1.6bdb358436afp-7, -0x1.654af51d12999p-7, -0x1.5ed2ed054e02ap-7, -0x1.5872e6157013ap-7, -0x1.522aa8d94269fp-7, -0x1.4bf9fd957aaffp-7, -0x1.45e0ac4f46cc2p-7, -0x1.3fde7cced75e4p-7, -0x1.39f336a85e7ebp-7, -0x1.341ea1400164ap-7, -0x1.2e6083cfa1f1bp-7, -0x1.28b8a56c31505p-7, -0x1.2326cd0ae0a8p-7, -0x1.1daac18650208p-7, -0x1.184449a502b82p-7, -0x1.12f32c15502f1p-7, -0x1.0db72f892fdf6p-7, -0x1.08901a96af54fp-7, -0x1.037db3e39f554p-7, -0x1.fcff841edccf3p-8, -0x1.f32c1784a8f6ap-8, -0x1.e980af600c6b2p-8, -0x1.dffcd937f53ap-8, -0x1.d6a022bacaac4p-8, -0x1.cd6a19c595ad7p-8, -0x1.c45a4c6b7772ap-8, -0x1.bb7048fd83c6p-8, -0x1.b2ab9e12565bcp-8, -0x1.aa0bda8d509d6p-8, -0x1.a1908da612d99p-8, -0x1.993946efab6cp-8, -0x1.9105965f80fp-8, -0x1.88f50c541281dp-8, -0x1.8107399b51436p-8, -0x1.793baf78990d3p-8, -0x1.7191ffaa541d8p-8, -0x1.6a09bc6f6a252p-8, -0x1.62a2788c8cb4ep-8, -0x1.5b5bc75172c7cp-8, -0x1.54353c9de4733p-8, -0x1.4d2e6ce6b2e33p-8, -0x1.4646ed3ac9641p-8, -0x1.3f7e53480667fp-8, -0x1.38d4355fac1fbp-8, -0x1.32482a7a6304cp-8, -0x1.2bd9ca326b19p-8, -0x1.2588acf7b9408p-8, -0x1.1f546bb3e1ba3p-8, -0x1.193ca02d86782p-8, -0x1.1340e4dc4dc4ap-8, -0x1.0d60d4f65032p-8, -0x1.079c0c73b6fp-8, -0x1.01f228121f4d2p-8, -0x1.f8c58aaec370ep-9, -0x1.eddb0527ccf6cp-9, -0x1.e323fdc88e4eap-9, -0x1.d89fb4650d7aep-9, -0x1.ce4d6a6e21f5cp-9, -0x1.c42c62f37bbbfp-9, -0x1.ba3be2a685533p-9, -0x1.b07b2fde726f2p-9, -0x1.a6e9929dcfa45p-9, -0x1.9d8654992f865p-9, -0x1.9450c13ed639p-9, -0x1.8b4825be17e31p-9, -0x1.826bd10e1a9f8p-9, -0x1.79bb13f166788p-9, -0x1.713540f7a9741p-9, -0x1.68d9ac7c9d89dp-9, -0x1.60a7aca30f3fp-9, -0x1.589e994e512f1p-9, -0x1.50bdcc1aef9d7p-9, -0x1.4904a05825af1p-9, -0x1.41727303d587p-9, -0x1.3a06a2ca7131bp-9, -0x1.32c0900bcee22p-9, -0x1.2b9f9ce49d10fp-9, -0x1.24a32d3b87ccep-9, -0x1.1dcaa6d01eb76p-9, -0x1.17157148d1f14p-9, -0x1.1082f63ce2131p-9, -0x1.0a12a137c95p-9, -0x1.03c3dfb42d3cfp-9, -0x1.fb2c421b947dap-10, -0x1.ef11acd782f4cp-10, -0x1.e336e54c72bd3p-10, -0x1.d79ad457621fp-10, -0x1.cc3c65d61d715p-10, -0x1.c11a888ea8326p-10, -0x1.b6342e30d25a8p-10, -0x1.ab884b74784c8p-10, -0x1.a115d851f8032p-10, -0x1.96dbd04dc908dp-10, -0x1.8cd932c510a2bp-10, -0x1.830d02d7c2b77p-10, -0x1.79764858d5f4fp-10, -0x1.70140f52d8cffp-10, -0x1.66e567ffb1539p-10, -0x1.5de965942282fp-10, -0x1.551f1f5039f71p-10, -0x1.4c85af7bad7f4p-10, -0x1.441c328c98cc5p-10, -0x1.3be1c71c85726p-10, -0x1.33d58dbd9925bp-10, -0x1.2bf6a908055a7p-10, -0x1.24443de2fcd2bp-10, -0x1.1cbd73fb1e79p-10, -0x1.15617650bf9dfp-10, -0x1.0e2f73c2684ep-10, -0x1.07269f799fd4ep-10, -0x1.0046312587b18p-10, -0x1.f31ac9f22acc3p-11, -0x1.e5f6f6d8b6b8ep-11, -0x1.d91f71918076fp-11, -0x1.cc92c91d748d1p-11, -0x1.c04f919002fa3p-11, -0x1.b45462bca9c81p-11, -0x1.a89fd7228dd66p-11, -0x1.9d308b4d5cebcp-11, -0x1.92051dd208b7ap-11, -0x1.871c2ff3c039fp-11, -0x1.7c7466d36f69dp-11, -0x1.720c6ce81f057p-11, -0x1.67e2f36b7fefbp-11, -0x1.5df6b36ed899fp-11, -0x1.54466e642f956p-11, -0x1.4ad0ed27fe79dp-11, -0x1.419504be552c9p-11, -0x1.38918b4f624bep-11, -0x1.2fc561c3b1494p-11, -0x1.272f6d8495e9bp-11, -0x1.1ece987cd0a7ap-11, -0x1.16a1cfe214b1ep-11, -0x1.0ea80310e0ddfp-11, -0x1.06e022bd342a7p-11, -0x1.fe924185436e2p-12, -0x1.efc3e165671b9p-12, -0x1.e153120dfbac9p-12, -0x1.d33dc93baaec3p-12, -0x1.c58207fb7fbd7p-12, -0x1.b81ddc0bcbddp-12, -0x1.ab0f5fe7e26e7p-12, -0x1.9e54b9e184344p-12, -0x1.91ec1b05bc60fp-12, -0x1.85d3be7062cbap-12, -0x1.7a09e94b1c954p-12, -0x1.6e8ceb25808b7p-12, -0x1.635b1e05d36e8p-12, -0x1.5872e59fbdc1bp-12, -0x1.4dd2ad8ec2be6p-12, -0x1.4378e70f1c5bbp-12, -0x1.3964071678683p-12, -0x1.2f92859fac0bcp-12, -0x1.2602de719bba6p-12, -0x1.1cb392ed74221p-12, -0x1.13a32becbcd65p-12, -0x1.0ad03abf1bd67p-12, -0x1.023958d368d0cp-12, -0x1.f3ba4c9be60b5p-13, -0x1.e37490a798be5p-13, -0x1.d39ecfede0327p-13, -0x1.c43664dadde45p-13, -0x1.b538b52b55b5ep-13, -0x1.a6a3366057058p-13, -0x1.987371a8a3154p-13, -0x1.8aa705935e493p-13, -0x1.7d3ba50baf46dp-13, -0x1.702f1478d1ad2p-13, -0x1.637f269563352p-13, -0x1.5729ba4415c5ap-13, -0x1.4b2cb99a7a79ep-13, -0x1.3f8619697dfa5p-13, -0x1.3433d864a96f8p-13, -0x1.2933fdaf48d4p-13, -0x1.1e84973781d47p-13, -0x1.1423b84baa1a5p-13, -0x1.0a0f785c0cc8cp-13, -0x1.0045f1bb8888ep-13, -0x1.ed8a818eee3ecp-14, -0x1.db1708ea23829p-14, -0x1.c92dc1cfbe70ap-14, -0x1.b7cb06d29ecb1p-14, -0x1.a6eb4c41b28aep-14, -0x1.968b2491e985bp-14, -0x1.86a7422e60e77p-14, -0x1.773c7930c93aap-14, -0x1.6847c28a810acp-14, -0x1.59c63ed86d486p-14, -0x1.4bb534a3c1a83p-14, -0x1.3e12071973c77p-14, -0x1.30da270a284b7p-14, -0x1.240b04c4b4de6p-14, -0x1.17a209c7b8c61p-14, -0x1.0b9c9c43260a2p-14, -0x1.fff04f676b8cp-15, -0x1.e964466f6b3d7p-15, -0x1.d39022f9e8cecp-15, -0x1.be6ef81756234p-15, -0x1.a9fbde03d1528p-15, -0x1.9631f1a69063p-15, -0x1.830c5b1f9ac79p-15, -0x1.70865528f6af3p-15, -0x1.5e9b31d5738bfp-15, -0x1.4d466119bef84p-15, -0x1.3c837fe06d046p-15, -0x1.2c4e6f69d7e21p-15, -0x1.1ca368e409103p-15, -0x1.0d7efbe00d70dp-15, -0x1.fdbbe3fce6b5dp-16, -0x1.e17a49943fe0cp-16, -0x1.c632b904c280fp-16, -0x1.abde8e71fa3cep-16, -0x1.92770c59e246dp-16, -0x1.79f5866089c5fp-16, -0x1.625381501a49dp-16, -0x1.4b8abcd519e8p-16, -0x1.359527f7012b4p-16, -0x1.206cc9b260e7p-16, -0x1.0c0bac4b1e78fp-16, -0x1.f0d7ae54f048bp-17, -0x1.cb0ead9fcc9eap-17, -0x1.a6b08f2ac5da2p-17, -0x1.83b1b5a5bf8d4p-17, -0x1.6206bace39603p-17, -0x1.41a49df61a901p-17, -0x1.22810ff14e75bp-17, -0x1.0492a1b68c164p-17, -0x1.cfa1427bb4fdfp-18, -0x1.98657c100deaep-18, -0x1.63618b90a9732p-18, -0x1.308545f7be9p-18, -0x1.ff81cb8d8311cp-19, -0x1.a209cf0e8dd9dp-19, -0x1.4883597d8a07bp-19, -0x1.e59dde533b4b2p-20, -0x1.419b99beacabcp-20, -0x1.498b0f1c95991p-21, -0x1.dc8269796ea96p-25, 0x1.007ec1d655ff2p-21, 0x1.08dc0c09ee688p-20, 0x1.8b2a018fc1deap-20, 0x1.03b082b867337p-19, 0x1.3edb68317ea69p-19, 0x1.772f16fc364b9p-19, 0x1.acc3c14ce0dd6p-19, 0x1.dfb0d4dfc5806p-19, 0x1.0806802e1e491p-18, 0x1.1ef7137e5bd6bp-18, 0x1.34b4f8be322d7p-18, 0x1.494b3aab22473p-18, 0x1.5cc4cac50ff6ep-18, 0x1.6f2b9a65ec851p-18, 0x1.80882c461961ap-18, 0x1.90e25767b5afep-18, 0x1.a0426d17221d6p-18, 0x1.aeb172c28d94fp-18, 0x1.bc386b23aef27p-18, 0x1.c8dfb1147eb8p-18, 0x1.d4aef19e1ceedp-18, 0x1.dfad8439d8599p-18, 0x1.e9e2bc0eb6538p-18, 0x1.f3561835d8b0ap-18, 0x1.fc0f4f4c7b02p-18, 0x1.020b09cbd7ba8p-17, 0x1.05b8ca0c2b1ecp-17, 0x1.09140bc2524e8p-17, 0x1.0c1f8d423372dp-17, 0x1.0eddf799b9f1cp-17, 0x1.11522b13cbd9fp-17, 0x1.137f4c5392ec5p-17, 0x1.1568a49f3db2ap-17, 0x1.17116fbe275f6p-17, 0x1.187c8d39954c2p-17, 0x1.19ac55d5a1335p-17, 0x1.1aa2b76caace7p-17, 0x1.1b61107108a87p-17, 0x1.1beb4a17c3ab3p-17, 0x1.1c43688ff763ap-17, 0x1.1c6c081c27b15p-17, 0x1.1c662a1bceec2p-17, 0x1.1c346d8e031d6p-17, 0x1.1bd89b4424be4p-17, 0x1.1b547807f8c41p-17, 0x1.1aa9e28c7ca5ap-17, 0x1.19dab5ff0a5a7p-17, 0x1.18e8ca9cfd57bp-17, 0x1.17d5f6d59bb92p-17, 0x1.16a3f0ae3e7d6p-17, 0x1.155429148d4aep-17, 0x1.13e7ce439de3ap-17, 0x1.126005c6d7d7p-17, 0x1.10be3171fcab3p-17, 0x1.0f03f5aff5868p-17, 0x1.0d33086296068p-17, 0x1.0b4d04d6c84eap-17, 0x1.09532f9fc13dap-17, 0x1.074658f76a63ep-17, 0x1.0527470e107b5p-17, 0x1.02f71242ad70fp-17, 0x1.00b6e7da356aap-17, 0x1.fccfa8ec82332p-18, 0x1.f815e2e6e6d8ep-18, 0x1.f342dfd0de397p-18, 0x1.ee58c317375b6p-18, 0x1.e95915dfccff3p-18, 0x1.e44501e8e4764p-18, 0x1.df1df2ffd6987p-18, 0x1.d9e5c2496e0cep-18, 0x1.d49f5713a8029p-18, 0x1.cf482c5576b76p-18, 0x1.c9e58a506fd1dp-18, 0x1.c477c1a300c84p-18, 0x1.befff3ae5a2bp-18, 0x1.b97f177ee8122p-18, 0x1.b3f60f83b0b34p-18, 0x1.ae65eef7964a3p-18, 0x1.a8d01aad20e7ep-18, 0x1.a33601d606d0ep-18, 0x1.9d98cf18a1b07p-18, 0x1.97f9689e665adp-18, 0x1.92586a88a604fp-18, 0x1.8cb688f41133dp-18, 0x1.8714eb6a7254p-18, 0x1.8174769e9b96p-18, 0x1.7bd59aa89a411p-18, 0x1.7638e34d32152p-18, 0x1.709f039216b26p-18, 0x1.6b08c1def8762p-18, 0x1.6576f10e1692dp-18, 0x1.5fea5b4c7f4f7p-18, 0x1.5a63a23e8fc48p-18, 0x1.54e31eb03ec4fp-18, 0x1.4f69278c594b3p-18, 0x1.49f65ab2aa03fp-18, 0x1.448b40311cf17p-18, 0x1.3f28227131d83p-18, 0x1.39cd6074044a3p-18, 0x1.347b6e49b2c5cp-18, 0x1.2f32afc3e1d39p-18, 0x1.29f370dd34838p-18, 0x1.24bdf02b5f223p-18, 0x1.1f927bbfbe4a1p-18, 0x1.1a7176b98e1b2p-18, 0x1.155b21c0dd399p-18, 0x1.104f978c31162p-18, 0x1.0b4f29554bfe3p-18, 0x1.065a26bd87d8dp-18, 0x1.0170e395d8712p-18, 0x1.f927095b4c174p-19, 0x1.ef83ffa58e1e1p-19, 0x1.e5f9069a37064p-19, 0x1.dc8676633de56p-19, 0x1.d32c7ba53cf1p-19, 0x1.c9eb379400b12p-19, 0x1.c0c2d1a974134p-19, 0x1.b7b38806b6dd4p-19, 0x1.aebda76783a18p-19, 0x1.a5e15aa6837d9p-19, 0x1.9d1eb91b3b96bp-19, 0x1.9475ee92d0a3fp-19, 0x1.8be7075a59bfbp-19, 0x1.83722067ca002p-19, 0x1.7b171fa85be47p-19, 0x1.72d5d7b105c3ap-19, 0x1.6aae7159fe81fp-19, 0x1.62a11662662ebp-19, 0x1.5aadc89019e97p-19, 0x1.52d46a8a3ab06p-19, 0x1.4b14de52bfd6fp-19, 0x1.436f1486e2a9bp-19, 0x1.3be2d82853287p-19, 0x1.346fe50a7d1c7p-19, 0x1.2d167850f3f7bp-19, 0x1.25d6bf1dbeccdp-19, 0x1.1eb085a20f4b5p-19, 0x1.17a360478dd67p-19, 0x1.10af4c32613a4p-19, 0x1.09d43d432198ap-19, 0x1.0311fff3886dep-19, 0x1.f8d0b7cb0935dp-20, 0x1.ebae3c3cebf3fp-20, 0x1.debc38207732fp-20, 0x1.d1fa65fb7e616p-20, 0x1.c56882cc36b53p-20, 0x1.b9063d76026f5p-20, 0x1.acd3379abc2acp-20, 0x1.a0cf0f401fa12p-20, 0x1.94f940115792ep-20, 0x1.895125cc76072p-20, 0x1.7dd68e284bf3bp-20, 0x1.728960cdb211ep-20, 0x1.67691f7132ec8p-20, 0x1.5c750e642f833p-20, 0x1.51acea8c87cfcp-20, 0x1.47107854a7821p-20, 0x1.3c9f38da481bfp-20, 0x1.325896d06e0c3p-20, 0x1.283c0eeea4f92p-20, 0x1.1e4934158e641p-20, 0x1.147f7b88b860fp-20, 0x1.0ade8ec4285dep-20, 0x1.01666eb5e010fp-20, 0x1.f02c93b583e3ep-21, 0x1.dddaf01356d34p-21, 0x1.cbd77bfc56612p-21, 0x1.ba214fef7fe9ep-21, 0x1.a8b7744b49d09p-21, 0x1.9798ff3aed25cp-21, 0x1.86c50ae454fa6p-21, 0x1.763aa678a44f2p-21, 0x1.65f8e65816987p-21, 0x1.55fedf935d4b2p-21, 0x1.464bae73714e5p-21, 0x1.36de7400b3c3ep-21, 0x1.27b658befa755p-21, 0x1.18d2767ffc0c4p-21, 0x1.0a31f1fff4acap-21, 0x1.f7b3828311da3p-22, 0x1.db5759ab7f885p-22, 0x1.bfba0f0cc0cd9p-22, 0x1.a4875a6677cf9p-22, 0x1.89c7c2bbc1418p-22, 0x1.6f8baa30126e9p-22, 0x1.55ca28e8eca47p-22, 0x1.3c81795658265p-22, 0x1.23b043268ec4bp-22, 0x1.0b54a89042bf7p-22, 0x1.e6d9f11a9d15ap-23, 0x1.b7efa98bc9215p-23, 0x1.89e711a9337c3p-23, 0x1.5cbd46144630bp-23, 0x1.306f77938077cp-23, 0x1.04f99fd61feep-23, 0x1.b4b2bd7979bdfp-24, 0x1.61171bb5edac8p-24, 0x1.0f1a0dcda051bp-24, 0x1.7d6b1f50c8ae2p-25, 0x1.bf8ef36f8e988p-26, 0x1.14f61b54fb404p-27, -0x1.48f8ffc85eea9p-27, -0x1.cd6e93b87166p-26, -0x1.7838f6f6b4802p-25, -0x1.03674f4c01e4cp-24, -0x1.4941c0553a5a9p-24, -0x1.8db13d0d3211fp-24, -0x1.d0bab2b830756p-24, -0x1.09305246deb37p-23, -0x1.28494bd877d9ap-23, -0x1.48d23636d91abp-23, -0x1.67a6a2b9cc046p-23, -0x1.85d40cd31d5b9p-23, -0x1.a35d9f11d7352p-23, -0x1.c0461dc912a2ep-23, -0x1.dc90231280a4fp-23, -0x1.f83e26de03b5bp-23, -0x1.09a9450f8d618p-22, -0x1.16e7c19cd306ep-22, -0x1.23dbc7ac90837p-22, -0x1.3086693319813p-22, -0x1.3ce8bce951116p-22, -0x1.4903daf81d055p-22, -0x1.54d8e9c1fd34p-22, -0x1.6068fe34a0a7bp-22, -0x1.6bb52471739afp-22, -0x1.76be62a8f4168p-22, -0x1.8185c7b74bf2bp-22, -0x1.8c0c5a3ccda4ep-22, -0x1.96531ba79da98p-22, -0x1.a05b09a5cd9a9p-22, -0x1.aa251e43d88aep-22, -0x1.b3b2500c25c93p-22, -0x1.bd0390188bf01p-22, -0x1.c619d26113f06p-22, -0x1.cef5ff3da0d9bp-22, -0x1.d79901913b461p-22, -0x1.e003bf79704a6p-22, -0x1.e8371b56d59d2p-22, -0x1.f033f2a768076p-22, -0x1.f7fb24b45aa74p-22, -0x1.ff8d887fb0c7bp-22, -0x1.0375f8b69a167p-21, -0x1.070b98532b641p-21, -0x1.0a880a9cd1841p-21, -0x1.0debb5a8b2e69p-21, -0x1.1136fec1deefap-21, -0x1.146a4a4aeabe9p-21, -0x1.1785fb0a5a20ap-21, -0x1.1a8a6de3606f8p-21, -0x1.1d77ffb2319c2p-21, -0x1.204f1052e479p-21, -0x1.230ffbc940dc6p-21, -0x1.25bb1b630890dp-21, -0x1.2850c7e8b0beep-21, -0x1.2ad15d9143546p-21, -0x1.2d3d2f28f6aebp-21, -0x1.2f9490bf59795p-21, -0x1.31d7db16121b7p-21, -0x1.3407607d9946ap-21, -0x1.36237443d007cp-21, -0x1.382c6a2f523f9p-21, -0x1.3a2294449014ap-21, -0x1.3c063ed9f1abdp-21, -0x1.3dd7ae0429c09p-21, -0x1.3f97230a99a36p-21, -0x1.4144e3e8e13e2p-21, -0x1.42e139c1dc6f8p-21, -0x1.446c71778e152p-21, -0x1.45e6dc2f05a88p-21, -0x1.4750ca09538e6p-21, -0x1.48aa81bd8f6e5p-21, -0x1.49f44699c2925p-21, -0x1.4b2e5ccda0a0bp-21, -0x1.4c5913b19c69bp-21, -0x1.4d74dd0b4f20fp-21, -0x1.4e80f1c33d288p-21, -0x1.4f791fa0424c7p-21, -0x1.50605faf744d6p-21, -0x1.514ef91c82f21p-21, -0x1.522217ff22791p-21, -0x1.52e6f8679e45p-21, -0x1.539e8e2aeba1ap-21, -0x1.5448ebd7c0a2ap-21, -0x1.54e63dfe6e62dp-21, -0x1.5576b8ce14278p-21, -0x1.55fa918bb6765p-21, -0x1.5671fe01d1d06p-21, -0x1.56dd33d450a22p-21, -0x1.573c68cf5c148p-21, -0x1.578fd262f3b2ep-21, -0x1.57d79ed363b25p-21, -0x1.581404a631686p-21, -0x1.5845338470675p-21, -0x1.586b601b98efcp-21, -0x1.5886b99026086p-21, -0x1.58976f60650b8p-21, -0x1.589db0a488c07p-21, -0x1.5899ac3bd1ee3p-21, -0x1.588b9098a4b5ap-21, -0x1.58738b28f0ffdp-21, -0x1.5851be9fd3d2fp-21, -0x1.58216aa2ec47bp-21, -0x1.57f1506f145e6p-21, -0x1.57b3dc5497055p-21, -0x1.576ce85a34021p-21, -0x1.571d0785723a3p-21, -0x1.56c463982d724p-21, -0x1.56632faeda54p-21, -0x1.55f99b3b9b7e4p-21, -0x1.5587c106673e8p-21, -0x1.550dc5c72ca61p-21, -0x1.548bdd8844387p-21, -0x1.54022afc38cafp-21, -0x1.5370c82709d35p-21, -0x1.52d7d9f65af9bp-21, -0x1.52378925a3ce3p-21, -0x1.518ffbe8195c2p-21, -0x1.50e155dfa8dcap-21, -0x1.502bb9b424bb2p-21, -0x1.4f6f49a9644c6p-21, -0x1.4eac27c3b4538p-21, -0x1.4de2761b39943p-21, -0x1.4d1257e59996ap-21, -0x1.4c3bf266cf977p-21, -0x1.4b5f6c39379bap-21, -0x1.4a7ce55e90bc9p-21, -0x1.499465debf2edp-21, -0x1.48a5f88d2354cp-21, -0x1.47b1e2161ec55p-21, -0x1.46b849b878611p-21, -0x1.45b924e138db3p-21, -0x1.44b49492be9cdp-21, -0x1.43aad16c63ddcp-21, -0x1.429bff36fe64p-21, -0x1.418835c9f4c4ap-21, -0x1.406f8b5095efap-21, -0x1.3f521817a013cp-21, -0x1.3e2ff657e031dp-21, -0x1.3d0940dab4fe6p-21, -0x1.3bde122143c73p-21, }}, 
      {{-0x1.cfb41243e8896p+0, -0x1.cb049f1f8d442p+0, -0x1.c363a6097dadbp+0, -0x1.b90f74ce1cc24p+0, -0x1.ac54b7c34a869p+0, -0x1.9d88558719e6cp+0, -0x1.8d025c2ea2024p+0, -0x1.7b1a129939ec4p+0, -0x1.6823149388221p+0, -0x1.546b53da85d3fp+0, -0x1.4039d5dba1d62p+0, -0x1.2bce071f35b95p+0, -0x1.175f80ed2737ep+0, -0x1.031e22c597415p+0, -0x1.de64cd26442d5p-1, -0x1.b77bb723b1f3ap-1, -0x1.91b770ecafd45p-1, -0x1.6d42f27e9fa01p-1, -0x1.4a3f007a9f588p-1, -0x1.28c368967f0f1p-1, -0x1.08e0301fb0086p-1, -0x1.d53d5e3fdc2cdp-2, -0x1.9c0529da7ea1ep-2, -0x1.6615a927a77bcp-2, -0x1.3364f170ee839p-2, -0x1.03e2beed758b2p-2, -0x1.aef37d0418125p-3, -0x1.5c2159714677bp-3, -0x1.0f169a76b7157p-3, -0x1.8f2cfa4e0d715p-4, -0x1.0ac2b8690b1a9p-4, -0x1.20d77abbbaf8bp-5, -0x1.fa3e86a3eddb9p-8, 0x1.2062d8ae99a89p-6, 0x1.4e991536d23abp-5, 0x1.fceede772d3b6p-5, 0x1.4e15d87d56efp-4, 0x1.96a032a3ab7cap-4, 0x1.d88a69ff62cd3p-4, 0x1.0a21cb4fd637p-3, 0x1.251ae32c552bdp-3, 0x1.3d62efcf5f405p-3, 0x1.5329cc2f0e5cfp-3, 0x1.669cbebab690fp-3, 0x1.77e683ad5d85cp-3, 0x1.872f5c55ad6f7p-3, 0x1.949d224ad7b8bp-3, 0x1.a0535d93cdfc9p-3, 0x1.aa735cd4ff154p-3, 0x1.b31c4ec63ec57p-3, 0x1.ba6b5c5ca4adap-3, 0x1.c07bc33391988p-3, 0x1.c566efe71366ap-3, 0x1.c94497fb3c23fp-3, 0x1.cc2ad321e9e24p-3, 0x1.ce2e33c1495e1p-3, 0x1.cf61de879d844p-3, 0x1.cfd7a100ca0a1p-3, 0x1.cfa00729f062fp-3, 0x1.ceca6feb406f7p-3, 0x1.cd652079a3fd1p-3, 0x1.cb7d56ab5c772p-3, 0x1.c91f5a4338eebp-3, 0x1.c6568d3716e61p-3, 0x1.c32d7af886f02p-3, 0x1.bfade6d225a9ap-3, 0x1.bbe0d962ed5dp-3, 0x1.b7cead3db4002p-3, 0x1.b37f1ab8ca989p-3, 0x1.aef942fff06dap-3, 0x1.aa43ba6b01c3ep-3, 0x1.a564922dcbe3p-3, 0x1.a0616163fe623p-3, 0x1.9b3f4d841d36cp-3, 0x1.9603124905063p-3, 0x1.90b10911f64e3p-3, 0x1.8b4d2fc90ab1p-3, 0x1.85db2f57afdbbp-3, 0x1.805e61ab63c58p-3, 0x1.7ad9d75201351p-3, 0x1.75505cbd05987p-3, 0x1.6fc47f278c97cp-3, 0x1.6a38912bddc2bp-3, 0x1.64aeaf05cae65p-3, 0x1.5f28c2922ccb3p-3, 0x1.59a88706ed5a7p-3, 0x1.542f8c6b087bap-3, 0x1.4ebf3ad4cb987p-3, 0x1.4958d56ae0a57p-3, 0x1.43fd7d37f120fp-3, 0x1.3eae33c8cdf3ep-3, 0x1.396bdd9d14049p-3, 0x1.3437446ecb21ap-3, 0x1.2f11194f53c7ap-3, 0x1.29f9f69ef1df3p-3, 0x1.24f261e43f0d3p-3, 0x1.1ffacd7ef3949p-3, 0x1.1b139a3d28bc1p-3, 0x1.163d18d41672bp-3, 0x1.11778b3ece4fap-3, 0x1.0cc32600edd62p-3, 0x1.082011542d5fp-3, 0x1.038e6a3ff5063p-3, 0x1.fe1c873674efp-4, 0x1.f53f4df800ad2p-4, 0x1.ec852b28eb017p-4, 0x1.e3ee11ffe899fp-4, 0x1.db79e8016808ep-4, 0x1.d328865adb662p-4, 0x1.caf9bb2671946p-4, 0x1.c2ed4a9542bfep-4, 0x1.bb02f0001dd42p-4, 0x1.b33a5ee44506dp-4, 0x1.ab9343cba8e04p-4, 0x1.a40d4522349e5p-4, 0x1.9ca803f9c5d75p-4, 0x1.95631cbea9a6ap-4, 0x1.8e3e27dbe19p-4, 0x1.8738ba51ec461p-4, 0x1.80526640b31e3p-4, 0x1.798abb6576565p-4, 0x1.72e1478e22edap-4, 0x1.6c559701d77a4p-4, 0x1.65e734e019147p-4, 0x1.5f95ab7724b4ep-4, 0x1.596084926623dp-4, 0x1.534749c15cf3dp-4, 0x1.4d498497e003bp-4, 0x1.4766bee7c6bf2p-4, 0x1.419e82f4c022fp-4, 0x1.3bf05ba2a4c09p-4, 0x1.365bd49f58d3cp-4, 0x1.30e07a878288ep-4, 0x1.2b7ddb07384d9p-4, 0x1.263384f6ea604p-4, 0x1.21010874ed4d4p-4, 0x1.1be5f6fb8ea6ep-4, 0x1.16e1e373ee8f8p-4, 0x1.11f46246c383p-4, 0x1.0d1d096a2fd32p-4, 0x1.085b706d5fc96p-4, 0x1.03af30823f6e3p-4, 0x1.fe2fc90a5df02p-5, 0x1.f52a5206480a2p-5, 0x1.ec4d387c24a2dp-5, 0x1.e397bc5fd5796p-5, 0x1.db09211991378p-5, 0x1.d2a0ad86bac58p-5, 0x1.ca5dabf8e82f7p-5, 0x1.c23f6a3342458p-5, 0x1.ba453966591d7p-5, 0x1.b26e6e2a536c4p-5, 0x1.aaba60781a904p-5, 0x1.a3286ba118569p-5, 0x1.9bb7ee4592cc3p-5, 0x1.94684a4a7f30cp-5, 0x1.8d38e4ce5f538p-5, 0x1.8629261d61a51p-5, 0x1.7f3879a53d61ap-5, 0x1.78664de8aa748p-5, 0x1.71b21471754adp-5, 0x1.6b1b41c320175p-5, 0x1.64a14d4ccd203p-5, 0x1.5e43b15ba9d44p-5, 0x1.5801eb0c108b8p-5, 0x1.51db7a3b42a1fp-5, 0x1.4bcfe17900169p-5, 0x1.45dea5f8fbfbbp-5, 0x1.40074f845ef9ep-5, 0x1.3a49686b5de0ep-5, 0x1.34a47d76d3098p-5, 0x1.2f181dd9f0b23p-5, 0x1.29a3db2417f38p-5, 0x1.24474932dd719p-5, 0x1.1f01fe24324b1p-5, 0x1.19d39248c7ca8p-5, 0x1.14bba0169375dp-5, 0x1.0fb9c41b818f6p-5, 0x1.0acd9cf082b8p-5, 0x1.05f6cb2cbf90ap-5, 0x1.0134f158d743ep-5, 0x1.f90f67c5cd3a6p-6, 0x1.efdd7225e8e8ap-6, 0x1.e6d351fb6da8bp-6, 0x1.ddf05af468a4ep-6, 0x1.d533e42aa4383p-6, 0x1.cc9d481082bf2p-6, 0x1.c42be45a64e02p-6, 0x1.bbdf19e8d2bf6p-6, 0x1.b3b64cb468f76p-6, 0x1.abb0e3ba0e0c3p-6, 0x1.a3ce48e772764p-6, 0x1.9c0de90810becp-6, 0x1.946f33b2bc761p-6, 0x1.8cf19b37a0581p-6, 0x1.8594948ec879ep-6, 0x1.7e5797473d6cdp-6, 0x1.773a1d7675ef3p-6, 0x1.703ba3a84acbap-6, 0x1.695ba8cf5716dp-6, 0x1.6299ae35cf594p-6, 0x1.5bf5376ed7634p-6, 0x1.556dca48447efp-6, 0x1.4f02eebcc65fp-6, 0x1.48b42ee672925p-6, 0x1.428116f1afaa8p-6, 0x1.3c6935108e291p-6, 0x1.366c196e7f03fp-6, 0x1.308956246caep-6, 0x1.2ac07f2d29451p-6, 0x1.25112a5a63db4p-6, 0x1.1f7aef49a57ebp-6, 0x1.19fd6759df35cp-6, 0x1.14982da11205dp-6, 0x1.0f4adee2abd1fp-6, 0x1.0a151985b3ac9p-6, 0x1.04f67d8b65573p-6, 0x1.ffdd590c2641ep-7, 0x1.f5fa93225ea2ep-7, 0x1.ec43f292f5be7p-7, 0x1.e2b8c3864b955p-7, 0x1.d9585503c8fe4p-7, 0x1.d021f8e3e349bp-7, 0x1.c71503bec836p-7, 0x1.be30cce0c18f5p-7, 0x1.b574ae3d4cab3p-7, 0x1.ace0045f6f643p-7, 0x1.a4722e5be75dep-7, 0x1.9c2a8dc4c02afp-7, 0x1.9408869d23268p-7, 0x1.8c0b7f4d59f82p-7, 0x1.8432e0971bafp-7, 0x1.7c7e158a2ce65p-7, 0x1.74ec8b79139d1p-7, 0x1.6d7db1eef29b3p-7, 0x1.6630faa4ff815p-7, 0x1.5f05d97806ebap-7, 0x1.57fbc45e89fcp-7, 0x1.5112335fc41bfp-7, 0x1.4a48a08a770a8p-7, 0x1.439e87eb605c3p-7, 0x1.3d136784baaa8p-7, 0x1.36a6bf45baf59p-7, 0x1.305811024d37ep-7, 0x1.2a26e06b08b44p-7, 0x1.2412b3055b705p-7, 0x1.1e1b1023ea507p-7, 0x1.183f80df20369p-7, 0x1.127f900df0a2ap-7, 0x1.0cdaca3ec8e8fp-7, 0x1.0750bdb0a918ap-7, 0x1.01e0fa4c8bfa6p-7, 0x1.f916233d6150fp-8, 0x1.ee9d2da0df885p-8, 0x1.e4563d43c3095p-8, 0x1.da407ec7a2a4fp-8, 0x1.d05b21e3a57acp-8, 0x1.c6a55958e2a7cp-8, 0x1.bd1e5ae70b44bp-8, 0x1.b3c55f4154d97p-8, 0x1.aa99a203b1c84p-8, 0x1.a19a61a82f28fp-8, 0x1.98c6df7c99da5p-8, 0x1.901e5f985956dp-8, 0x1.87a028d27e53cp-8, 0x1.7f4b84b8091bbp-8, 0x1.771fbf825dca9p-8, 0x1.6f1c280def25p-8, 0x1.67400fd0b9953p-8, 0x1.5f8acad0c459fp-8, 0x1.57fbaf9d9dc94p-8, 0x1.5092174764baep-8, 0x1.494d5d52590cdp-8, 0x1.422cdfb34727ep-8, 0x1.3b2ffec1f6e11p-8, 0x1.34561d36b8e94p-8, 0x1.2d9ea020ccae6p-8, 0x1.2708eedd0f232p-8, 0x1.2094730ee774bp-8, 0x1.1a409898f58b1p-8, 0x1.140ccd95a38c1p-8, 0x1.0df8824fc05f8p-8, 0x1.0803293b4935fp-8, 0x1.022c36ee55655p-8, 0x1.f8e64434132ffp-9, 0x1.edaec70754739p-9, 0x1.e2b0ebfba1085p-9, 0x1.d7ebacc36a6d9p-9, 0x1.cd5e07111085ap-9, 0x1.c306fc89d86b2p-9, 0x1.b8e592b9035c8p-9, 0x1.aef8d3030c7ffp-9, 0x1.a53fca9916808p-9, 0x1.9bb98a6c7ca32p-9, 0x1.926527229204dp-9, 0x1.8941b9087abdep-9, 0x1.804e5c06ebb06p-9, 0x1.778a2f97e3dddp-9, 0x1.6ef456b712d62p-9, 0x1.668bf7dc721c7p-9, 0x1.5e503cea34853p-9, 0x1.56405325e5ddbp-9, 0x1.4e5b6b2c24893p-9, 0x1.46a0b8e4ec5bbp-9, 0x1.3f0f73792c786p-9, 0x1.37a6d547e1e6cp-9, 0x1.30661bdb574fbp-9, 0x1.294c87de9be55p-9, 0x1.22595d12ff5c8p-9, 0x1.1b8be245bedfcp-9, 0x1.14e36145a59ffp-9, 0x1.0e5f26d9281e4p-9, 0x1.07fe82b43c782p-9, 0x1.01c0c76e38543p-9, 0x1.f74a94f012e56p-10, 0x1.eb56c8258e5d7p-10, 0x1.dfa4de8ba2524p-10, 0x1.d43393aa8b89cp-10, 0x1.c901a87138352p-10, 0x1.be0de322913d1p-10, 0x1.b3570f42f0963p-10, 0x1.a8dbfd85b17bep-10, 0x1.9e9b83bb271f1p-10, 0x1.94947cbe5d4a7p-10, 0x1.8ac5c8636fe5ep-10, 0x1.812e4b65fa1dep-10, 0x1.77ccef58268c8p-10, 0x1.6ea0a28e2c072p-10, 0x1.65a858140d25p-10, 0x1.5ce30795e3a61p-10, 0x1.544fad528cf86p-10, 0x1.4bed4a0a6a70fp-10, 0x1.43bae2eeed4dcp-10, 0x1.3bb781920451cp-10, 0x1.33e233d54a53dp-10, 0x1.2c3a0bd37540bp-10, 0x1.24be1ff786f9ep-10, 0x1.1d6d8a8d3ee21p-10, 0x1.16476a4efa44dp-10, 0x1.0f4ae1ac5288p-10, 0x1.0877172c0ef67p-10, 0x1.01cb35320ab59p-10, 0x1.f68cd3f0f531dp-11, 0x1.e9cfcefc20cd6p-11, 0x1.dd5dc6f0cdb4ep-11, 0x1.d1352e94a50d3p-11, 0x1.c5547fec49efap-11, 0x1.b9ba3c1a4f6e6p-11, 0x1.ae64eb409bdd4p-11, 0x1.a3531c658f33bp-11, 0x1.9883655974a3bp-11, 0x1.8df4629c7bfap-11, 0x1.83a4b744b985bp-11, 0x1.79930ce4009eap-11, 0x1.6fbe136e07ce2p-11, 0x1.6624811eabd0fp-11, 0x1.5cc5126079fbbp-11, 0x1.539e89b39189dp-11, 0x1.4aafaf94c6745p-11, 0x1.41f75264fd79fp-11, 0x1.397446519e7a7p-11, 0x1.3125653de30b7p-11, 0x1.29098eaa20b6cp-11, 0x1.211fa79bf95b6p-11, 0x1.19669a8793773p-11, 0x1.11dd573a3960dp-11, 0x1.0a82d2e66471dp-11, 0x1.03560762775a9p-11, 0x1.f8abe8ca83ff7p-12, 0x1.eb033c3dd1bfbp-12, 0x1.ddb01b98e7d6dp-12, 0x1.d0b0a301d044fp-12, 0x1.c402f82108ddbp-12, 0x1.b7a549f8ce66fp-12, 0x1.ab95d0bc40899p-12, 0x1.9fd2cda7b54c9p-12, 0x1.945a8ad923155p-12, 0x1.892b5b2963ba3p-12, 0x1.7e439a0618d07p-12, 0x1.73a1ab4c42c41p-12, 0x1.6943fb235db25p-12, 0x1.5f28fdd8fff81p-12, 0x1.554f2fbcc3826p-12, 0x1.4bb514fcbc161p-12, 0x1.4259398133972p-12, 0x1.393a30c91cb5ap-12, 0x1.305695c549e72p-12, 0x1.27ad0ab85f64p-12, 0x1.1f3c391396e54p-12, 0x1.1702d1546e788p-12, 0x1.0eff8ae67db9fp-12, 0x1.0731240527079p-12, 0x1.ff2cc33acdc08p-13, 0x1.f05c1e623139p-13, 0x1.e1edfd7347a9bp-13, 0x1.d3e011161451ap-13, 0x1.c6301668e3d16p-13, 0x1.b8dbd6c251fcap-13, 0x1.abe12772b20b3p-13, 0x1.9f3de984f17c5p-13, 0x1.92f00981f3472p-13, 0x1.86f57f3646879p-13, 0x1.7b4c4d7cb1dacp-13, 0x1.6ff2820cc0a76p-13, 0x1.64e6354cb67e8p-13, 0x1.5a258a25ddf76p-13, 0x1.4faeadd95ea78p-13, 0x1.457fd7d399b3ap-13, 0x1.3b97497ca930dp-13, 0x1.31f34e05c516dp-13, 0x1.28923a330b27cp-13, 0x1.1f726c21f0f61p-13, 0x1.16924b0869d2ep-13, 0x1.0df046db35a6fp-13, 0x1.058ad81b21dd4p-13, 0x1.fac106fcfc354p-14, 0x1.eadfa1ee80549p-14, 0x1.db6ea21181aecp-14, 0x1.cc6b3686c0866p-14, 0x1.bdd2b1a8eeeccp-14, 0x1.afa2660a6856dp-14, 0x1.a1d7b27212c0dp-14, 0x1.94700b402492dp-14, 0x1.8768f3125573cp-14, 0x1.7abffa9f3c2bbp-14, 0x1.6e72c09ffb649p-14, 0x1.627ef18ad8149p-14, 0x1.56e247463c1fp-14, 0x1.4b9a88e32ea96p-14, 0x1.40a58a5f880aep-14, 0x1.36012c703fe93p-14, 0x1.2bab5c4fc6434p-14, 0x1.21a2138e33bcep-14, 0x1.17e357df960d3p-14, 0x1.0e6d3ae4f5b47p-14, 0x1.053dd9ee0722ap-14, 0x1.f8a6bb61c89ep-15, 0x1.e757f3f4be643p-15, 0x1.d68bdab1c830fp-15, 0x1.c63f0195c15c7p-15, 0x1.b66e0eeb5dec4p-15, 0x1.a715bcd7e13a4p-15, 0x1.9832d9079e11cp-15, 0x1.89c24471e7093p-15, 0x1.7bc0f325949dfp-15, 0x1.6e2bebf8c1424p-15, 0x1.610048ae2d7f5p-15, 0x1.543b48826038p-15, 0x1.47d9eddd0e134p-15, 0x1.3bd9c35a03d17p-15, 0x1.3038145e7cd73p-15, 0x1.24f25190706a9p-15, 0x1.1a05fb5208354p-15, 0x1.0f70a174294c8p-15, 0x1.052fe2aa885c7p-15, 0x1.f682d810f444ap-16, 0x1.e345f1236328bp-16, 0x1.d0a4a21e4fb9dp-16, 0x1.be9a98213c725p-16, 0x1.ad239bca3f991p-16, 0x1.9c3b91509a898p-16, 0x1.8bde784d7a3cap-16, 0x1.7c086b20e1b6bp-16, 0x1.6cb59e1b4dd84p-16, 0x1.5de25e7e73f0fp-16, 0x1.4f8b11b5815aap-16, 0x1.41ac349577c84p-16, 0x1.34425ae10ec1dp-16, 0x1.274a2ebea0822p-16, 0x1.1ac0700a865b3p-16, 0x1.0ea1f37b2b3bp-16, 0x1.02eba1b45be1bp-16, 0x1.ef34ecf9ec156p-17, 0x1.d957009310d22p-17, 0x1.c437c057618a5p-17, 0x1.afd19413ad56cp-17, 0x1.9c1f09bb562eap-17, 0x1.891ad5729cc5ap-17, 0x1.76bfd0d4da885p-17, 0x1.6508f985f102p-17, 0x1.53f16f76ceccp-17, 0x1.43747360e039ep-17, 0x1.338d65b9fb8d1p-17, 0x1.2437c647576e6p-17, 0x1.156f33f233eeep-17, 0x1.072f6c6c65b8ap-17, 0x1.f2e896a6224d5p-18, 0x1.d873919bf1532p-18, 0x1.bef7f0021c7e4p-18, 0x1.a66e0b8b5efe8p-18, 0x1.8ece6ff7c9042p-18, 0x1.7811dae48643ep-18, 0x1.62313c22b80ebp-18, 0x1.4d25b5c6f3144p-18, 0x1.38e89b6b1060cp-18, 0x1.25737093bfe0cp-18, 0x1.12bfe6952a775p-18, 0x1.00c7da716037p-18, 0x1.df0aa64354182p-19, 0x1.bde5014bd80b3p-19, 0x1.9e1377dd61aeep-19, 0x1.7f8b0eb00f232p-19, 0x1.62411df24ce59p-19, 0x1.462b501ac19b8p-19, 0x1.2b3f9e46c030ap-19, 0x1.11744b260587fp-19, 0x1.f17fbcd55a228p-20, 0x1.c23244ca9e367p-20, 0x1.94ee47f5e38ccp-20, 0x1.69a266e7fcc02p-20, 0x1.403dc82c90b7bp-20, 0x1.18b012e4aa5bbp-20, 0x1.e5d2cbdaae29ap-21, 0x1.9db49e2367f92p-21, 0x1.58e78abf88c46p-21, 0x1.174e4e7450c87p-21, 0x1.b198eaaab21b6p-22, 0x1.3a8cb7f139665p-22, 0x1.9284be5731b17p-23, 0x1.76176b41dd375p-24, -0x1.1b679e38a9c39p-27, -0x1.a846e15a7b291p-24, -0x1.8c99ba3d3c15p-23, -0x1.1dba79edb5449p-22, -0x1.70870372f2a04p-22, -0x1.bedd9d9f2abb5p-22, -0x1.0474049ca9744p-21, -0x1.27674f942ca4cp-21, -0x1.485c2c7431aa8p-21, -0x1.676572267b6f5p-21, -0x1.84956127c520ep-21, -0x1.9ffdb4b9d9c42p-21, -0x1.b9afaef15c596p-21, -0x1.d1bc1c1de1934p-21, -0x1.e8334f9421425p-21, -0x1.fd251e2b59df7p-21, -0x1.08506d09e576bp-20, -0x1.115aa965c40e7p-20, -0x1.19b86cd289dd6p-20, -0x1.2170a4ab22231p-20, -0x1.288a06afb584p-20, -0x1.2f0b138dd59d2p-20, -0x1.34fa18284f52cp-20, -0x1.3a5d2e1db1bbfp-20, -0x1.3f3a3b7fd1dccp-20, -0x1.4396f155820f9p-20, -0x1.4778c9a8d770fp-20, -0x1.4ae507bad67e7p-20, -0x1.4de0bc20a13ep-20, -0x1.5070cb49a9678p-20, -0x1.5299f2763562ep-20, -0x1.5460c97c963afp-20, -0x1.55c9c3270158cp-20, -0x1.56d92e8362698p-20, -0x1.579338b598b87p-20, -0x1.57fbeccc5ee09p-20, -0x1.5817312b36a81p-20, -0x1.57e8c54ee17f4p-20, -0x1.5774431ac621p-20, -0x1.56bd23a7d18c9p-20, -0x1.55c6c3880538p-20, -0x1.5494679b218b3p-20, -0x1.53293b16536b2p-20, -0x1.51884baa22e9p-20, -0x1.4fb4872b778b7p-20, -0x1.4db0bb5b1c5ddp-20, -0x1.4b7f97f498275p-20, -0x1.4923b153d20fp-20, -0x1.469f8364ab867p-20, -0x1.43f5750bdc9dep-20, -0x1.4127da46a1da7p-20, -0x1.3e38f23f7b88ap-20, -0x1.3b2ae2887257dp-20, -0x1.37ffb51362846p-20, -0x1.34b95c68ff26cp-20, -0x1.3159ba9306242p-20, -0x1.2de2a4202f89bp-20, -0x1.2a55dd9eff2aep-20, -0x1.26b517b4fcb88p-20, -0x1.2301ee1f6f01cp-20, -0x1.1f3dea30ecbf6p-20, -0x1.1b6a869defbd6p-20, -0x1.17893263c117ap-20, -0x1.139b5188e2a5p-20, -0x1.0fa23b333f396p-20, -0x1.0b9f35db67c08p-20, -0x1.079374144f65ep-20, -0x1.038014c37004p-20, -0x1.fecc4ef656761p-21, -0x1.f68d64de4c037p-21, -0x1.ee456d659c377p-21, -0x1.e5f665a935e64p-21, -0x1.dda257ee3dd04p-21, -0x1.d54ba57521c9p-21, -0x1.ccf5c78b5f4p-21, -0x1.c4a0b662af53dp-21, -0x1.bc3a011b99d91p-21, -0x1.b3e45d3ea530ep-21, -0x1.ab95a6d734212p-21, -0x1.a355cb3e7095fp-21, -0x1.9b0d00ac30176p-21, -0x1.92cd7b0f6944ep-21, -0x1.8a98a7576425ap-21, -0x1.826e2d74f5fc2p-21, -0x1.7a4ea48be5893p-21, -0x1.723aeaf2162e4p-21, -0x1.6a33e71277a6ap-21, -0x1.623a77ce34cfp-21, -0x1.5a4f6f73c1d26p-21, -0x1.52738fa1134a8p-21, -0x1.4aa7859bfcbbp-21, -0x1.42ebe99c41ffap-21, -0x1.3b41432e134c2p-21, -0x1.33a8122cca22bp-21, -0x1.2c20d8d4105b8p-21, -0x1.24ac2123d5d1bp-21, -0x1.1d4a7722dd784p-21, -0x1.15fc5ac97b682p-21, -0x1.0ec2366fb57b6p-21, -0x1.079c5f92281b6p-21, -0x1.008b1d6bb2cdbp-21, -0x1.f31d6014a5ff4p-22, -0x1.e54ea96a43617p-22, -0x1.d7aa8ca922667p-22, -0x1.ca3177782ea4ap-22, -0x1.bce3cc94f30fap-22, -0x1.afc1e6ca8e9b7p-22, -0x1.a2cc30dcce28cp-22, -0x1.96041eecdc0bp-22, -0x1.8980fe4d34d13p-22, -0x1.7cf7c02aa8c13p-22, -0x1.70b21baa0d3aap-22, -0x1.649b54e63d02cp-22, -0x1.58b1cf69ab336p-22, -0x1.4cf551a2391dep-22, -0x1.4165cae42837p-22, -0x1.36032f0ef083p-22, -0x1.2acd7400ad568p-22, -0x1.1fc48c65160ccp-22, -0x1.14e860db2973p-22, -0x1.0a38ce41db77bp-22, -0x1.ff6b538b0e7b6p-23, -0x1.eabd8ca578401p-23, -0x1.d667e9209984fp-23, -0x1.c269faf835b4ep-23, -0x1.aec34160c24f7p-23, -0x1.9b732f5dc4fbfp-23, -0x1.887932f13194bp-23, -0x1.75d4b9f61cdbap-23, -0x1.63853180d28a3p-23, -0x1.518a00ddabbep-23, -0x1.3fe2870da712ap-23, -0x1.2e8e132f71b33p-23, -0x1.1d8bf7943697ap-23, -0x1.0cdb7f78a527p-23, -0x1.f8f7df95b616bp-24, -0x1.d8d90cdc35b47p-24, -0x1.b958fa295bd63p-24, -0x1.9a7615f42db03p-24, -0x1.7c2ec9d325eap-24, -0x1.5e81783023145p-24, -0x1.416c713553574p-24, -0x1.24edfbf917901p-24, -0x1.090497aabfcf5p-24, -0x1.db5d2b903163bp-25, -0x1.a5d4866d02169p-25, -0x1.716b8839196c4p-25, -0x1.3e1eebaa6b51ep-25, -0x1.0beb53c27c386p-25, -0x1.b59a8e5f9fa2p-26, -0x1.558275059cfe4p-26, -0x1.ef0e7e1927df5p-27, -0x1.37439ddb4a63bp-27, -0x1.072c307291e96p-28, 0x1.604151383aeddp-30, 0x1.af4a3c4d9395dp-28, 0x1.7f4e915f89ea3p-27, 0x1.11891c7775e46p-26, 0x1.617ef11fe78e1p-26, 0x1.af8fc81f5dbcap-26, 0x1.fbc2aef70733ep-26, 0x1.230f578d96e13p-25, 0x1.47556397e3e31p-25, 0x1.6ab6f797660bap-25, 0x1.8d3786503b674p-25, 0x1.aeda723121ea7p-25, 0x1.cfa31274ad06bp-25, 0x1.ef94bb1e490f4p-25, 0x1.07596153a22b9p-24, 0x1.16803f622755bp-24, 0x1.25409eaf76c58p-24, 0x1.339c240c573ebp-24, 0x1.419470b3a74d1p-24, 0x1.4f2b1cba1e5c9p-24, 0x1.5c61bbc0ef971p-24, 0x1.6939e0b0013ddp-24, 0x1.75b51cc70a627p-24, 0x1.81d4fc4bc97f5p-24, 0x1.8d9b090aa97cfp-24, 0x1.9908cb05e5fbap-24, 0x1.a41fc71dbe093p-24, 0x1.aee17d71c088ap-24, 0x1.b94f67d845f4ep-24, 0x1.c36af961b9acap-24, 0x1.cd359f6f3c2ffp-24, 0x1.d6b0c39871f76p-24, 0x1.dfddccacf0726p-24, 0x1.e8be1e96ede4cp-24, 0x1.f1531affd5c34p-24, 0x1.f99e21c1b969cp-24, 0x1.00d0478aeae9ep-23, 0x1.04adde27e06ffp-23, 0x1.086880d4c743ap-23, 0x1.0c00db2273b5p-23, 0x1.0f7796bb1339bp-23, 0x1.12cd58677bc8fp-23, 0x1.1602b8e726754p-23, 0x1.1918407a18fc9p-23, 0x1.1c0e726be7632p-23, 0x1.1ee5e131eed9p-23, 0x1.219f2884960ecp-23, 0x1.243ad8e79288cp-23, 0x1.26b98387df0a7p-23, 0x1.291bcc47c8dffp-23, 0x1.2b625a5df1b95p-23, 0x1.2d8dc5f1b00ccp-23, 0x1.2f9e976b90f72p-23, 0x1.31954f96e040ep-23, 0x1.33727110a489ap-23, 0x1.35367b247de97p-23, 0x1.36e1e84e85ef2p-23, 0x1.38753a37f2d31p-23, 0x1.39f0f19d240bap-23, 0x1.3b5590de5a3c8p-23, 0x1.3ca397c0a6b63p-23, 0x1.3ddb8dd0e712ap-23, 0x1.3efe1007a097dp-23, 0x1.400b7fa7cb2e4p-23, 0x1.40f77aec1350ap-23, 0x1.4201ada40aac4p-23, 0x1.42b57f3c710d8p-23, 0x1.436c2dfa99f58p-23, 0x1.441b57a4648e3p-23, 0x1.44b1091de3e1ap-23, 0x1.4534aa3350623p-23, 0x1.45a6a49f98dbdp-23, 0x1.46073d7167552p-23, 0x1.4656ca21a184ap-23, 0x1.4695a664a1de3p-23, 0x1.46c42f1da7b9p-23, 0x1.46e2c1081dfc4p-23, 0x1.46f1b80302f82p-23, 0x1.46f16ebd92bcdp-23, 0x1.46e23eafd93ebp-23, 0x1.46c47f97095e3p-23, 0x1.469887d782ef6p-23, 0x1.465eac662588cp-23, 0x1.461740d4bda7ep-23, 0x1.45c297792546p-23, 0x1.456101b5aed27p-23, 0x1.44f2d07cebae7p-23, 0x1.447855310fd96p-23, 0x1.43f1e2d265621p-23, 0x1.435fce87c013ap-23, 0x1.42c26bda15ed4p-23, 0x1.4219fd55d2f98p-23, 0x1.41669888f69bep-23, 0x1.40a7c3a1ff041p-23, 0x1.3f6825b355cc1p-23, 0x1.3f0c441ef9981p-23, 0x1.3e309c94970a2p-23, 0x1.3d4ae18e8ab14p-23, 0x1.3c5b7341a9767p-23, 0x1.3b62cb6e42d93p-23, 0x1.3a61641a7ceebp-23, 0x1.39578aab46ee5p-23, 0x1.3845739dc8c91p-23, 0x1.372b4ebe177edp-23, 0x1.36094df9c2d5cp-23, 0x1.34dfa56aabbe9p-23, 0x1.33ae8a1810953p-23, 0x1.3276311c7e83cp-23, 0x1.3136cf748d787p-23, 0x1.2ff0999df9e35p-23, 0x1.2ea3c2f8733e2p-23, 0x1.2d507e232efd5p-23, 0x1.2bf6fce6535a7p-23, 0x1.2a976fda5e228p-23, 0x1.293206a51e586p-23, 0x1.27c6f011a25edp-23, 0x1.26565a0ba2c1fp-23, 0x1.24e071a92cd88p-23, 0x1.2365622cecb3fp-23, 0x1.21e5590ff17eap-23, 0x1.20607ece8aac8p-23, 0x1.1ed6fde7592cbp-23, 0x1.1d48ff2f41f44p-23, 0x1.1bb6aacf85d39p-23, 0x1.1a2028dfbb62cp-23, 0x1.18859e8342069p-23, 0x1.16e7321d9b698p-23, 0x1.154509482b045p-23, 0x1.139f485240635p-23, 0x1.11f61291308d4p-23, 0x1.10498b21170d8p-23, 0x1.0e99d49c221c5p-23, 0x1.0ce7120e5ab95p-23, 0x1.0b31668427f8p-23, 0x1.0978ebd4dba1cp-23, 0x1.07bdc01fee233p-23, 0x1.060009f56fb22p-23, 0x1.043fe5fd33165p-23, 0x1.027d70ca703efp-23, 0x1.00b8c78c64eb1p-23, 0x1.fde40e08a5536p-24, 0x1.fa5296fa057e6p-24, 0x1.f6bd623cb15b9p-24, 0x1.f324a8f2c0725p-24, 0x1.ef88a6b36396cp-24, 0x1.ebe99b759965p-24, 0x1.e847cb3d2b9b3p-24, 0x1.e4a375e7a5718p-24, 0x1.e0fcc39eeaf95p-24, 0x1.dd53b80d0260bp-24, 0x1.d9a84df34578fp-24, 0x1.d5fa9c5886e53p-24, 0x1.d24acde95588ep-24, 0x1.ce9922a05567dp-24, 0x1.cae5faf54e49bp-24, 0x1.c731a952b6d8bp-24, 0x1.c37c66381ffabp-24, 0x1.bfc64daec32edp-24, 0x1.bc0f85c23bdcfp-24, 0x1.b85859ac0be34p-24, 0x1.b4a1765c6c0a1p-24, 0x1.b0e84dfa09887p-24, 0x1.ad21592e7e777p-24, 0x1.a9540ca613ea1p-24, 0x1.a5bf7b167f40fp-24, 0x1.a207ae7032afdp-24, 0x1.9e4ee3ca0738ap-24, 0x1.9a971714d9961p-24, 0x1.96dfff6eae4ccp-24, 0x1.93299c96b1321p-24, 0x1.8f7403d292e86p-24, 0x1.8bbf4e94f0f9dp-24, 0x1.880b98840c7a6p-24, 0x1.845900f81009bp-24, 0x1.80a7ab18a7595p-24, 0x1.7cf7bbb21f20dp-24, 0x1.79495425fa38dp-24, 0x1.759c96b6058ccp-24, 0x1.71f199ef331c3p-24, 0x1.6e48756ef60f9p-24, 0x1.6aa13cc98aad4p-24, 0x1.66fc028b8bca4p-24, 0x1.6358d91bdc491p-24, 0x1.5fb7d4b638a1dp-24, 0x1.5c190ad7c2054p-24, 0x1.587c8fd2105f1p-24, 0x1.54e2639b4b4e4p-24, 0x1.51400b20e5e5ep-24, 0x1.4db4d855da255p-24, 0x1.4a23692703b51p-24, 0x1.4693c5410ffe1p-24, 0x1.430705e4a559dp-24, 0x1.3f7d54081922fp-24, 0x1.3bf681a03b7a6p-24, 0x1.38727050ec385p-24, 0x1.34f182c79f105p-24, 0x1.3173d8ac36734p-24, 0x1.2df928be5a553p-24, 0x1.2a8195f84d444p-24, 0x1.270d7c19eddccp-24, 0x1.239ceaa9594a1p-24, 0x1.202fd23c7b74p-24, 0x1.1cc631f267947p-24, 0x1.1960154f8d7c4p-24, 0x1.15fd8b097b8fp-24, 0x1.129ea1b151b2cp-24, 0x1.0f4367bf96746p-24, 0x1.0bebed5fb22acp-24, 0x1.0898481068c47p-24, 0x1.054897751bf5bp-24, 0x1.01fd02c59d441p-24, 0x1.fd6b2649f9424p-25, 0x1.f6e3da578664bp-25, 0x1.f063750cc5969p-25, 0x1.e9eb63ca93759p-25, 0x1.e37c137f121e3p-25, 0x1.dd1423842ee43p-25, 0x1.d6b3c3ae7ef0ep-25, 0x1.d05bfe04b4bbdp-25, 0x1.ca0d274fa270fp-25, 0x1.c3c7200100ac4p-25, 0x1.bd89c5c07e161p-25, 0x1.b7550c2e938a3p-25, 0x1.b128f6a07b16p-25, 0x1.ab058f14f01efp-25, 0x1.a4eae129f069fp-25, }}, 
      {{0x1.0f53ca1f462b2p-4, 0x1.f50efaec2cbfdp-4, 0x1.4a65efab5348ap-3, 0x1.71555c414dd1cp-3, 0x1.7018875c438ccp-3, 0x1.4bd7cdb3e2634p-3, 0x1.0c1dc605efe11p-3, 0x1.72a70af5126f8p-4, 0x1.6ec6fef2794p-5, -0x1.5b3c6c51fe483p-9, -0x1.8fae472c9e80cp-5, -0x1.761d10eaf1632p-4, -0x1.077582d95080cp-3, -0x1.46fb2a4bd930dp-3, -0x1.788737532de96p-3, -0x1.9bdbd7d9e1a8dp-3, -0x1.b1642c22a77f5p-3, -0x1.ba072bec47411p-3, -0x1.b70090791e2cfp-3, -0x1.a9c039570c132p-3, -0x1.93cfd3f89359fp-3, -0x1.76be38ed111a6p-3, -0x1.540fd1b0a9aacp-3, -0x1.2d3351639afa7p-3, -0x1.037a027c2ba28p-3, -0x1.b0261bf769d32p-4, -0x1.58122d308f5d5p-4, -0x1.008341f13e72fp-4, -0x1.55f76b94000a3p-5, -0x1.62e2cbdf05b57p-6, -0x1.56df911640242p-9, 0x1.f23ba189a88fbp-7, 0x1.036ab3d8b273cp-5, 0x1.7e67d53830b7fp-5, 0x1.ed194f37c674dp-5, 0x1.27ab632e8a384p-4, 0x1.52989e60c8779p-4, 0x1.77744ebeb8e38p-4, 0x1.967124d1bd8e9p-4, 0x1.afd05141037f8p-4, 0x1.c3ddd1dc46069p-4, 0x1.d2ed3fe3de553p-4, 0x1.dd5716eea423dp-4, 0x1.e3766e07eb2b5p-4, 0x1.e5a716c4708efp-4, 0x1.e4441887d17fdp-4, 0x1.dfa67d3b927a2p-4, 0x1.d824640b6efadp-4, 0x1.ce105156b7fd7p-4, 0x1.c1b8b019eb93p-4, 0x1.b3677f17a4749p-4, 0x1.a3622209c0b81p-4, 0x1.91e94c06cc7a2p-4, 0x1.7f3902bc81ba6p-4, 0x1.6b88b18b50913p-4, 0x1.570b4a4e67957p-4, 0x1.41ef6f41dd281p-4, 0x1.2c5fa3ebd029ap-4, 0x1.1682820e89122p-4, 0x1.007aef8b1dbf1p-4, 0x1.d4d0b3448e095p-5, 0x1.a8cdd7a1f65d5p-5, 0x1.7d1f8b1923386p-5, 0x1.51f2643a0730ep-5, 0x1.276db253f8382p-5, 0x1.fb67d27e62fap-6, 0x1.a9c5e85e92581p-6, 0x1.5a293150baa4fp-6, 0x1.0cbd755f5043p-6, 0x1.834f0479162eep-7, 0x1.e4163cfe8e0d3p-8, 0x1.977f53349a7edp-9, -0x1.0868cb2e99ab4p-10, -0x1.45400536f71e7p-8, -0x1.1ec6244e32b9dp-7, -0x1.9574f94bf69f9p-7, -0x1.0354bcf71b7ddp-6, -0x1.39339d97cea8dp-6, -0x1.6c5be40133244p-6, -0x1.9cd508fe00fefp-6, -0x1.caa8ded66de8dp-6, -0x1.f5e34c14f091dp-6, -0x1.0f4902c95b994p-5, -0x1.22622b1db10b6p-5, -0x1.34456f5bfb93fp-5, -0x1.44fbaf7cd4e7fp-5, -0x1.548e4367b8f29p-5, -0x1.6306e1c5d638dp-5, -0x1.706f8da5c12d3p-5, -0x1.7cd27ffd94b17p-5, -0x1.883a1735deb7ep-5, -0x1.92b0c6f04371bp-5, -0x1.9c4108bcde8fbp-5, -0x1.a4f54f562176bp-5, -0x1.acd7fb707a52ap-5, -0x1.b3f350521d6bap-5, -0x1.ba51693815279p-5, -0x1.bffc338e8e4b2p-5, -0x1.c4fd695e7f817p-5, -0x1.c95e85293fad3p-5, -0x1.cd28c352ec0f9p-5, -0x1.d06517d1c76cp-5, -0x1.d31c3474b26fcp-5, -0x1.d55676958f2c7p-5, -0x1.d71bf616d64c8p-5, -0x1.d874799a37deap-5, -0x1.d96773bcd118cp-5, -0x1.d9fc0ef1ee5f3p-5, -0x1.da392083d3b62p-5, -0x1.da252bb72c808p-5, -0x1.d9c66b30a0c08p-5, -0x1.d922c868a5c6dp-5, -0x1.d83fdf2f6526fp-5, -0x1.d72300834349cp-5, -0x1.d5d136e81f805p-5, -0x1.d44f42a7e6b5ep-5, -0x1.d2a1a01e28b29p-5, -0x1.d0cc84fd2fd61p-5, -0x1.ced3ea7de075ap-5, -0x1.ccbb87ff0cb9bp-5, -0x1.ca86d84772316p-5, -0x1.c8391c0b6350bp-5, -0x1.c5d55b405a865p-5, -0x1.c35e6898b7f02p-5, -0x1.c0d6e26fbbdep-5, -0x1.be4135f284b87p-5, -0x1.bb9fa0edf42cdp-5, -0x1.b8f4337692d18p-5, -0x1.b640d2749ae6ep-5, -0x1.b3873b358249dp-5, -0x1.b0c902216ac25p-5, -0x1.ae0796bc91513p-5, -0x1.ab44461ebd65ep-5, -0x1.a8803b928be81p-5, -0x1.a5bc8198f03d3p-5, -0x1.a2fa05523fdbap-5, -0x1.a0399852509d7p-5, -0x1.9d7bf0136e32ap-5, -0x1.9ac1a88f08c9ep-5, -0x1.980b4689c0ebap-5, -0x1.9559388c47b03p-5, -0x1.92abd75f1ec23p-5, -0x1.90036782ed836p-5, -0x1.8d601bb30d444p-5, -0x1.8ac2158a8d07ap-5, -0x1.882965a0958cp-5, -0x1.85960d5462979p-5, -0x1.8308008bee6b3p-5, -0x1.807f260ee0cc2p-5, -0x1.7dfb583f764f3p-5, -0x1.7b7c6687b49ccp-5, -0x1.790216bb75622p-5, -0x1.768c249d1b794p-5, -0x1.741a434064fe9p-5, -0x1.71ac1e57bccf1p-5, -0x1.6f415a6db448cp-5, -0x1.6cd99630ae91ep-5, -0x1.6a746ab128656p-5, -0x1.68116bb2bb808p-5, -0x1.65b0288a2cf86p-5, -0x1.63502d281d559p-5, -0x1.60f10299ee3dep-5, -0x1.5e922f1f8f0c1p-5, -0x1.5c3336986434cp-5, -0x1.59d39b4f790cp-5, -0x1.5772deb282941p-5, -0x1.5510819d0e655p-5, -0x1.52ac046b0441ep-5, -0x1.5044e758e60d1p-5, -0x1.4ddaab3028ff8p-5, -0x1.4b6cd1cac0f76p-5, -0x1.48fade3e6c9abp-5, -0x1.468454ea5e507p-5, -0x1.4408bbc2e64e6p-5, -0x1.41879ad30503ep-5, -0x1.3f007ca35f5d2p-5, -0x1.3c72ee5c73cccp-5, -0x1.39de7fc8602c9p-5, -0x1.3742c381a4df6p-5, -0x1.349f4f514e552p-5, -0x1.31f3bc802c8b3p-5, -0x1.2f3fa7f83dc6cp-5, -0x1.2c82b24257be7p-5, -0x1.29bc7f9612a7cp-5, -0x1.26ecb810aab07p-5, -0x1.241307f7853a6p-5, -0x1.212f1fda1e1ecp-5, -0x1.1e40b495fd57fp-5, -0x1.1b477f4e95d91p-5, -0x1.18433d7f97a21p-5, -0x1.1533b127c92e1p-5, -0x1.1218a0eaeebb6p-5, -0x1.0ef1d81d98fbbp-5, -0x1.0bbf26bb17b2p-5, -0x1.088061594b4e1p-5, -0x1.05356134084d6p-5, -0x1.01de0444d6bcbp-5, -0x1.fcf45aa22b45bp-6, -0x1.f61387d1aa6d9p-6, -0x1.ef1968acd1dd3p-6, -0x1.e805df17f1d8ap-6, -0x1.e0d8d644ae8d6p-6, -0x1.d99242c1e2ae7p-6, -0x1.d232227d9c389p-6, -0x1.cab87cb3b4b25p-6, -0x1.c32561c729eb9p-6, -0x1.bb78eb103e48ep-6, -0x1.b3b33abe8d204p-6, -0x1.abd47bcf2a5fep-6, -0x1.a3dce1fc040f9p-6, -0x1.9bcca99efddb5p-6, -0x1.93a4178805d76p-6, -0x1.8b6378c6281f9p-6, -0x1.830b22718674ep-6, -0x1.7a9b7188c1094p-6, -0x1.7214cad31e90ep-6, -0x1.69779ab94b99bp-6, -0x1.60c4551760ab1p-6, -0x1.57fb75054f1f2p-6, -0x1.4f1d7c9686673p-6, -0x1.462af4a281f7ep-6, -0x1.3d246c96a25f9p-6, -0x1.340a7a47ae66ap-6, -0x1.2addb9bfadb0fp-6, -0x1.219ecd02ec4ffp-6, -0x1.184e5bd2ea584p-6, -0x1.0eed136e14da7p-6, -0x1.057ba64f7887p-6, -0x1.f7f597ede9a68p-7, -0x1.e4d68165fc38bp-7, -0x1.d19b8acb3e397p-7, -0x1.be463e8e7dfabp-7, -0x1.aad82f50692f1p-7, -0x1.9752f75de3b17p-7, -0x1.83b8382aa5ca6p-7, -0x1.700999d3dd00cp-7, -0x1.5c48caaaf13d5p-7, -0x1.48777ebd96e83p-7, -0x1.34976f5a50109p-7, -0x1.20aa5a944a09fp-7, -0x1.0cb202c4cd66bp-7, -0x1.f1605c15d7751p-8, -0x1.c94d4b94c63e8p-8, -0x1.a12e6c66f1773p-8, -0x1.79075b9f6399p-8, -0x1.50dbba19365a8p-8, -0x1.28af2b894bad1p-8, -0x1.00855593bc6e5p-8, -0x1.b0c3bdc69df68p-9, -0x1.6090dc78fe471p-9, -0x1.10795327bef84p-9, -0x1.8108d4c0cf204p-10, -0x1.c2e596d32d3c1p-11, -0x1.08fc10a38d7cfp-12, 0x1.72105eacd5fa5p-12, 0x1.f590650c43b1cp-11, 0x1.987f0dd444323p-10, 0x1.1acd428dc8a37p-9, 0x1.69064888c3202p-9, 0x1.b6e3a5468215cp-9, 0x1.022f3b5392838p-8, 0x1.28b7f6aaf55a2p-8, 0x1.4f08a7117654cp-8, 0x1.751df9ab96e9bp-8, 0x1.9af4a6fe70f5p-8, 0x1.c089738cc1cb2p-8, 0x1.e5d9306d99cdep-8, 0x1.05705def276c9p-7, 0x1.17ce80e718189p-7, 0x1.2a057e315b6bp-7, 0x1.3c13da37373ccp-7, 0x1.4df820f79fb69p-7, 0x1.5fb0e645f1bf2p-7, 0x1.713cc6020b217p-7, 0x1.829a644a39081p-7, 0x1.93c86da8dc282p-7, 0x1.a4c59742d067ep-7, 0x1.b5909f06b9ec9p-7, 0x1.c6284bd4f446p-7, 0x1.d68b6da4f4952p-7, 0x1.e6b8dda8c1ed9p-7, 0x1.f6af7e6dc75d4p-7, 0x1.03371dfc35108p-6, 0x1.0afa05ef69e41p-6, 0x1.129ff6af0472ap-6, 0x1.1a2874b7d2e81p-6, 0x1.2193096e629a5p-6, 0x1.28df43275b3eep-6, 0x1.300cb52e3ba7cp-6, 0x1.371af7ca5a795p-6, 0x1.3e09a842545e6p-6, 0x1.44d868de4fde8p-6, 0x1.4b86e0e8dff48p-6, 0x1.5214bcaefa348p-6, 0x1.5881ad7f1651dp-6, 0x1.5ecd69a779d5ep-6, 0x1.64f7ac734ab2ap-6, 0x1.6b00362887f09p-6, 0x1.70e6cbfd7b85bp-6, 0x1.76ab3819d3cf1p-6, 0x1.7c4d4986b9eb6p-6, 0x1.81ccd427efb24p-6, 0x1.8729b0b8688a4p-6, 0x1.8c63bcb7c82f5p-6, 0x1.917ada641ce24p-6, 0x1.966ef0ad390a4p-6, 0x1.9b3feb283cafep-6, 0x1.9fedba01f27efp-6, 0x1.a47851f05f4dep-6, 0x1.a8dfac2359f31p-6, 0x1.ad23c634f995p-6, 0x1.b144a217f59f2p-6, 0x1.b54246075c68fp-6, 0x1.b91cbc7643872p-6, 0x1.bcd413fd36639p-6, 0x1.c0685f4564823p-6, 0x1.c3d9b4f6193e9p-6, 0x1.c7282fa059401p-6, 0x1.ca53eda9fdbf6p-6, 0x1.cd5d11398829cp-6, 0x1.d043c02251f36p-6, 0x1.d30823d128c77p-6, 0x1.d5aa69386e2b2p-6, 0x1.d82ac0bbc521p-6, 0x1.da895e199a386p-6, 0x1.dcc67852f4823p-6, 0x1.dee24992c7284p-6, 0x1.e0dd0f0c1e8dbp-6, 0x1.e2b708ede86abp-6, 0x1.e4707a3c91821p-6, 0x1.e609a8c3f4284p-6, 0x1.e782dd03a0b69p-6, 0x1.e8dc621eb2742p-6, 0x1.ea1685cba316fp-6, 0x1.eb319841b5d64p-6, 0x1.ec2dec205e1e4p-6, 0x1.ed0bd65dd2e32p-6, 0x1.edcbae09ad4a1p-6, 0x1.ee6dcc562ccabp-6, 0x1.eef28c4855528p-6, 0x1.ef5a4abd61fa4p-6, 0x1.efa56646ee58dp-6, 0x1.efd43f1e9ef4dp-6, 0x1.efe7371f2802ep-6, 0x1.efdeb1be1ece3p-6, 0x1.efbb14027b2f4p-6, 0x1.ef7cc475ae0a5p-6, 0x1.ef242b0c5eb56p-6, 0x1.eeb1b1063b7e3p-6, 0x1.ee25c0c79c4c6p-6, 0x1.ed80c5b180764p-6, 0x1.ecc32bfd97b45p-6, 0x1.ebed60a20f00bp-6, 0x1.eaffd13eeb79fp-6, 0x1.e9faec13e94dp-6, 0x1.e8df1ffb84d8ap-6, 0x1.e7acdc66e0c7p-6, 0x1.e6649156b864p-6, 0x1.e506af4fa0c2p-6, 0x1.e393a74a56abfp-6, 0x1.e20beaa0fe16ap-6, 0x1.e06feafd3ff06p-6, 0x1.dec01a4de1f7bp-6, 0x1.dcfceabe6fbe6p-6, 0x1.db26ceac1481bp-6, 0x1.d93e38905dc59p-6, 0x1.d7439af0729dbp-6, 0x1.d53767df8badcp-6, 0x1.d31a115667aebp-6, 0x1.d0ec08534ca53p-6, 0x1.ceadbcea8499ap-6, 0x1.cc5f9e19f8568p-6, 0x1.ca0219dbe4b42p-6, 0x1.c7959d70faefdp-6, 0x1.c51a95db86927p-6, 0x1.c2917073e17c8p-6, 0x1.bffa9b70c963cp-6, 0x1.bd5686367164ap-6, 0x1.baa5a143d257cp-6, 0x1.b7e85da5fcccap-6, 0x1.b51f2bf4dade7p-6, 0x1.b24a7afd6ca1ap-6, 0x1.af6ab65be8f63p-6, 0x1.ac80455b37ae7p-6, 0x1.a98b8a700e7e4p-6, 0x1.a68ce38f02d75p-6, 0x1.a384ab748cef2p-6, 0x1.a0733bbe11459p-6, 0x1.9d58ef757bdd2p-6, 0x1.9a3625884b29ep-6, 0x1.970b428f8f7b3p-6, 0x1.93d8b15a379c2p-6, 0x1.909ee1e1b1da3p-6, 0x1.8d5e46a123dcep-6, 0x1.8a1750a705c96p-6, 0x1.86ca6b115964dp-6, 0x1.8377f6e1cca7cp-6, 0x1.80204825122aap-6, 0x1.7cc3a5400a898p-6, 0x1.796248d733e0cp-6, 0x1.75fc664119b26p-6, 0x1.72922fe3dc2eap-6, 0x1.6f23de5e930fdp-6, 0x1.6bb1b71041752p-6, 0x1.683c1084b5845p-6, 0x1.64c35396a71a7p-6, 0x1.6147f8a6d491fp-6, 0x1.5dca810a26ac3p-6, 0x1.5a4b6d9fbff97p-6, 0x1.56cb34307da51p-6, 0x1.534a35a1a3a37p-6, 0x1.4fc8b70946d78p-6, 0x1.4c46df4b2af2fp-6, 0x1.48c4ba1f24953p-6, 0x1.4542406279ebbp-6, 0x1.41bf6491b1d64p-6, 0x1.3e3c2136d94e1p-6, 0x1.3ab886edc7ccfp-6, 0x1.3734c718d61fap-6, 0x1.33b13926020bcp-6, 0x1.302e58a293eddp-6, 0x1.2cacbc63e6da1p-6, 0x1.292d07bb7d485p-6, 0x1.25afd80f86813p-6, 0x1.2235b22d7a764p-6, 0x1.1ebef2c2a82a1p-6, 0x1.1b4bc4f9fc584p-6, 0x1.17dc2131d4a2bp-6, 0x1.146fd44ea84a9p-6, 0x1.11068eaa344fep-6, 0x1.0d9ff84a1075dp-6, 0x1.0a3bc71b2a96ep-6, 0x1.06d9d387876e2p-6, 0x1.037a27e493c6dp-6, 0x1.001d07ed8df01p-6, 0x1.f985dd5e9e5d5p-7, 0x1.f2d905ae5ddb3p-7, 0x1.ec35060e5479bp-7, 0x1.e59b5ab0ca304p-7, 0x1.df0d4c75e9ccap-7, 0x1.d88bc639cccbap-7, 0x1.d217392b2fe8ap-7, 0x1.cbaf94c098ffep-7, 0x1.c554532f034a9p-7, 0x1.bf0497b085bd6p-7, 0x1.b8bf5933536cdp-7, 0x1.b283928e415bfp-7, 0x1.ac507148429a1p-7, 0x1.a6257a51e86afp-7, 0x1.a002a58243892p-7, 0x1.99e8621b5cef9p-7, 0x1.93d78da7fbc1dp-7, 0x1.8dd1587239d11p-7, 0x1.87d71dc2ae8ecp-7, 0x1.81ea35c1c331ap-7, 0x1.7c0bc869673e7p-7, 0x1.763ca8eb41e3dp-7, 0x1.707d3f6b4ddaap-7, 0x1.6acd841ec2913p-7, 0x1.652d0b89fa717p-7, 0x1.5f9b20acb7fafp-7, 0x1.5a16e7ef1445ep-7, 0x1.549f84b09d897p-7, 0x1.4f343b3b372c8p-7, 0x1.49d48995adbbdp-7, 0x1.4480339876fcdp-7, 0x1.3f3741c8161ep-7, 0x1.39f9f5f8a3f8ep-7, 0x1.34c8bb1451ac9p-7, 0x1.2fa41539d8c51p-7, 0x1.2a8c94e0eafedp-7, 0x1.2582cc6a86645p-7, 0x1.208745958ca72p-7, 0x1.1b9a74e2933fp-7, 0x1.16bcab8edf2f8p-7, 0x1.11ee0be491affp-7, 0x1.0d2e8569e7dfcp-7, 0x1.087ddda30d249p-7, 0x1.03dbc61905746p-7, 0x1.fe8ff43066d43p-8, 0x1.f584b1abdd227p-8, 0x1.ec95de2999c49p-8, 0x1.e3c3d0a9b45f8p-8, 0x1.db0ed44d83c2p-8, 0x1.d276cfb97fb8p-8, 0x1.c9fb06f53d07p-8, 0x1.c19a1bd3b1fc2p-8, 0x1.b95257eeaa9ffp-8, 0x1.b122293306568p-8, 0x1.a9089f493ac8bp-8, 0x1.a105b31481e7bp-8, 0x1.991a36b72212cp-8, 0x1.91477432ce0dap-8, 0x1.898ea8ee09277p-8, 0x1.81f0a032a403p-8, 0x1.7a6da0a282244p-8, 0x1.7305b4a45bf08p-8, 0x1.6bb922be01bcfp-8, 0x1.6488cdf0db3b7p-8, 0x1.5d763fa6ad7b8p-8, 0x1.568345cae4049p-8, 0x1.4fb14211f4244p-8, 0x1.49006c701816ap-8, 0x1.426f552a192d1p-8, 0x1.3bfae14892b54p-8, 0x1.359ed5afcf895p-8, 0x1.2f56d3f712ce7p-8, 0x1.291f7c3ae2db5p-8, 0x1.22f749c6d3d25p-8, 0x1.1cdecb5f260e9p-8, 0x1.16d816d1c505ap-8, 0x1.10e5b68211ba2p-8, 0x1.0b09994ab8c51p-8, 0x1.05448be268d9bp-8, 0x1.ff2ce2a1c51bcp-9, 0x1.f3fe0709b016bp-9, 0x1.e8fd45ade3aa6p-9, 0x1.de2d82b205bc3p-9, 0x1.d39366c079004p-9, 0x1.c933f9ff02672p-9, 0x1.bf12de4cb398bp-9, 0x1.b530e1efdcbd6p-9, 0x1.ab8b55f06911cp-9, 0x1.a21c33c5b9366p-9, 0x1.98dafa729ea7ap-9, 0x1.8fbe345ffcaecp-9, 0x1.86bd7e359538p-9, 0x1.7dd38cf973dafp-9, 0x1.74ff5e1a917f4p-9, 0x1.6c43decfcd686p-9, 0x1.63a6157a0cec8p-9, 0x1.5b2abbf124687p-9, 0x1.52d487f161d01p-9, 0x1.4aa3dadcd143fp-9, 0x1.4297bffee4ee3p-9, 0x1.3aaf8cf45eb68p-9, 0x1.32ec35a0bb1bbp-9, 0x1.2b50845ca6a1ap-9, 0x1.23e018daa5ef6p-9, 0x1.1c9deb7375f86p-9, 0x1.158b45423c6bcp-9, 0x1.0ea7905034248p-9, 0x1.07f0ba706e22bp-9, 0x1.0163a7225ac14p-9, 0x1.f5f8dab224432p-10, 0x1.e96d11068fdaap-10, 0x1.dd1a836939715p-10, 0x1.d0f8b86cd4c04p-10, 0x1.c501b32a703bcp-10, 0x1.b933219951a28p-10, 0x1.ad8e9a24470fep-10, 0x1.a2189ea964cbp-10, 0x1.96d68d25e0e69p-10, 0x1.8bcc2a10be19ap-10, 0x1.80fa6b1edc3ccp-10, 0x1.7660e34e65db3p-10, 0x1.6c0032cfaa20ap-10, 0x1.61da617672bebp-10, 0x1.57f14fc34c5e5p-10, 0x1.4e45d34b8aee8p-10, 0x1.44d7d5899fb6dp-10, 0x1.3ba6337eeedep-10, 0x1.32aeac3ca20afp-10, 0x1.29eebb6a95c9dp-10, 0x1.2164aecde3de5p-10, 0x1.190fbc9322192p-10, 0x1.10ef21c773675p-10, 0x1.09011be001d6cp-10, 0x1.014223827a3d9p-10, 0x1.f35a0777ee72ep-11, 0x1.e479bdca15e5ep-11, 0x1.d5dff9e60ba2ap-11, 0x1.c78fe92d6f59p-11, 0x1.b98cb55ab9c05p-11, 0x1.abd3a3d802747p-11, 0x1.9e5fbdd9b0946p-11, 0x1.9133a45e7055cp-11, 0x1.845a6f0ce28a5p-11, 0x1.77dbcbea87bf1p-11, 0x1.6bb39d86a33eap-11, 0x1.5fd8022eb8054p-11, 0x1.54444431e347fp-11, 0x1.48fa93fde8a91p-11, 0x1.3dfcc98812df5p-11, 0x1.3347b4bc7c76dp-11, 0x1.28d629633b79ep-11, 0x1.1ea634ba6f76ep-11, 0x1.14ba5ad5c4c5dp-11, 0x1.0b168f6b6fe07p-11, 0x1.01bc3ba2ca36ep-11, 0x1.f14e000231a92p-12, 0x1.df960a74f7039p-12, 0x1.ce36885569162p-12, 0x1.bd30864309335p-12, 0x1.aca5753765d27p-12, 0x1.9caed3c5274c5p-12, 0x1.8d3bd397d4c01p-12, 0x1.7e2692586740cp-12, 0x1.6f5f293936bbap-12, 0x1.60f0e1bd7d5d7p-12, 0x1.52eb885de6505p-12, 0x1.45554b5bd0183p-12, 0x1.382540dbda87ep-12, 0x1.2b49fb40138e7p-12, 0x1.1ebd9dd72c7bcp-12, 0x1.128bfff5e4b1ep-12, 0x1.06bf339860497p-12, 0x1.f6a3a67494d69p-13, 0x1.e06f12577a959p-13, 0x1.cad3f8bf43f86p-13, 0x1.b5d7b74944a61p-13, 0x1.a186fe4230095p-13, 0x1.8de9fd6df4821p-13, 0x1.7b00404e3bc34p-13, 0x1.68b5d4ad0d758p-13, 0x1.56da1695fd129p-13, 0x1.45527a97e5258p-13, 0x1.344b5713a6d0dp-13, 0x1.23ee31cdc8dcap-13, 0x1.142258c1dcb5ap-13, 0x1.04d7e3adef4f4p-13, 0x1.ec653adad3cffp-14, 0x1.d07598826ee1dp-14, 0x1.b57aa1a810426p-14, 0x1.9b0e4ae478fedp-14, 0x1.81390854e47a8p-14, 0x1.68456b8c4184cp-14, 0x1.503d006611f28p-14, 0x1.38e9cb0f0c2f8p-14, 0x1.224d48a407e04p-14, 0x1.0c9b304c90431p-14, 0x1.efb5ba78a72eap-15, 0x1.c7c75351b81d2p-15, 0x1.a12c1e48ca798p-15, 0x1.7bda87caa24f7p-15, 0x1.57e41c283866fp-15, 0x1.3553a6d30a4cep-15, 0x1.142c4fd92c653p-15, 0x1.e90937cd73bd2p-16, 0x1.ac993f3c371afp-16, 0x1.7224d67aacb2fp-16, 0x1.39992b50baf2ap-16, 0x1.03815d0ae0ae6p-16, 0x1.9e4ff666780fep-17, 0x1.3919e3d5fc34fp-17, 0x1.b2b6832fdb57bp-18, 0x1.fbbe38aa0c8b7p-19, 0x1.4688e57d0ffbcp-20, -0x1.49e2679ba0acbp-20, -0x1.dc334144f1cb5p-19, -0x1.8235f031db361p-18, -0x1.08813f169ce9ep-17, -0x1.4d0d812c09c36p-17, -0x1.8dfd6e9ec5678p-17, -0x1.cc2d5f13feea5p-17, -0x1.03e6643976128p-16, -0x1.1fcb6ea4c6cdp-16, -0x1.39c5a83241618p-16, -0x1.524d59f5d921dp-16, -0x1.69a3628aa25b2p-16, -0x1.7fcb855e4286ap-16, -0x1.94bae6dfec0fbp-16, -0x1.a8774b9281094p-16, -0x1.bb0161c84e819p-16, -0x1.cc0e96348f985p-16, -0x1.db7edbbef3d3bp-16, -0x1.e9f977baa9545p-16, -0x1.f7a798e29f45fp-16, -0x1.02512c1702cecp-15, -0x1.085a659bdb3ccp-15, -0x1.0db2a674716fdp-15, -0x1.1283557c5a4cdp-15, -0x1.16f0469624fccp-15, -0x1.1afc36254aec5p-15, -0x1.1ea3d4f65b08ep-15, -0x1.21e700a5584afp-15, -0x1.24c846143c4bap-15, -0x1.27440dccb7dc8p-15, -0x1.2949a7f8c0afcp-15, -0x1.2ae0c2d26fe9dp-15, -0x1.2c327057e0febp-15, -0x1.2d440f2a2177cp-15, -0x1.2e20a49b8983bp-15, -0x1.2eb34127d1703p-15, -0x1.2edcc6f3b3fc6p-15, -0x1.2eb8237fc3504p-15, -0x1.2e5c9622099bcp-15, -0x1.2dcc8fdd7c4bdp-15, -0x1.2d057484fcf61p-15, -0x1.2c088812ccaa3p-15, -0x1.2ad8e445768afp-15, -0x1.296987e8333bfp-15, -0x1.27a9a73be715fp-15, -0x1.25c07343d5098p-15, -0x1.23c5b601dcb7dp-15, -0x1.21a9d074a4c8fp-15, -0x1.1f4e464508093p-15, -0x1.1cc69e952a097p-15, -0x1.1a20e15b1caf3p-15, -0x1.175c2d234be6p-15, -0x1.14777fab2af63p-15, -0x1.1173b3178147ep-15, -0x1.0e529a90a7e64p-15, -0x1.0b166b2735101p-15, -0x1.07c154ba5985dp-15, -0x1.04555226b97d8p-15, -0x1.00d480e6a77dcp-15, -0x1.fa815581786dbp-16, -0x1.f32d2740830b7p-16, -0x1.eb9eb796e95a4p-16, -0x1.e3ed224455755p-16, -0x1.dc34ea07e4c5bp-16, -0x1.d46f455d46f6ap-16, -0x1.cc7f73cc10b73p-16, -0x1.c4716b44dd6d9p-16, -0x1.bc5639c7a49ap-16, -0x1.b42e86cd8f0dcp-16, -0x1.abf8fd71177aep-16, -0x1.a3b7c2a2ebb1ap-16, -0x1.9b6d44861dbf5p-16, -0x1.93105cbb8b018p-16, -0x1.8aa58b704143bp-16, -0x1.8245dfd0b01edp-16, -0x1.79e08e3604b07p-16, -0x1.7170c5a3e3ebfp-16, -0x1.690394741e6f7p-16, -0x1.6099f8bf996b1p-16, -0x1.5833a603e8126p-16, -0x1.4fd18ab8bb845p-16, -0x1.4774fb6851803p-16, -0x1.3f1f518f495eep-16, -0x1.36d1d34e741f1p-16, -0x1.2e8db617c1054p-16, -0x1.265426f3b1459p-16, -0x1.1e26523956698p-16, -0x1.16055fb404e68p-16, -0x1.0df263c7ced1ap-16, -0x1.05ee4aa16861dp-16, -0x1.fbf2f2b46dfd9p-17, -0x1.ec2e86136e1d2p-17, -0x1.dc886691a83p-17, -0x1.cd039602d133dp-17, -0x1.bda2e07b29f4ep-17, -0x1.ae703205887ccp-17, -0x1.9f63916adec8cp-17, -0x1.907d5cc751061p-17, -0x1.81c36237a752dp-17, -0x1.7335dc8bea891p-17, -0x1.64d5628b75cabp-17, -0x1.56a386c425642p-17, -0x1.489e7b84ab363p-17, -0x1.3ac8597c4ca44p-17, -0x1.2d2392d78d7ebp-17, -0x1.1fad7a6f2df7ep-17, -0x1.1269a0a969f47p-17, -0x1.05582b1e87c03p-17, -0x1.f0f2481b19177p-18, -0x1.d799de45215bbp-18, -0x1.bea7f45322862p-18, -0x1.a61d4fc27fa2cp-18, -0x1.8dfa9b25a3a9ap-18, -0x1.764067834fb75p-18, -0x1.5eef2de303c7p-18, -0x1.48075031f98c8p-18, -0x1.318919ac4d2c2p-18, -0x1.1b74bed33a8f5p-18, -0x1.05ca5c241cbaep-18, -0x1.e1138f5a73f2bp-19, -0x1.b6fbb117e63c4p-19, -0x1.8e8ed30f5ebfbp-19, -0x1.668aec22c167cp-19, -0x1.3f5a01754b78p-19, -0x1.18fbafdd62366p-19, -0x1.e6df53927f2cap-20, -0x1.9d6c615ef9e36p-20, -0x1.559a885f7245fp-20, -0x1.0f65a93f9cfafp-20, -0x1.95a011d81d16dp-21, -0x1.0fa4f71f1f81cp-21, -0x1.19bda3fada268p-22, -0x1.a9285d048e3f3p-26, 0x1.bc856d19cecbap-23, 0x1.d0dbdd60204aep-22, 0x1.5ea29c804f2fap-21, 0x1.d1c3167a7e62ap-21, 0x1.20e87ba930577p-20, 0x1.576b192d2a41p-20, 0x1.8c6d60f9487ccp-20, 0x1.bff2f3e211cp-20, 0x1.f1ff7fba53d24p-20, 0x1.114b66b000cd5p-19, 0x1.28de5f776e13ap-19, 0x1.3fbaa8e77b5d1p-19, 0x1.55e2475e5cbfp-19, 0x1.6b57521ae969p-19, 0x1.801be52f6e9d9p-19, 0x1.94322740aaf3fp-19, 0x1.a79c470326c09p-19, 0x1.ba5c7a6a3755ap-19, 0x1.cc74fba4ec70ep-19, 0x1.dde8090bc885cp-19, 0x1.eeb7e16842749p-19, 0x1.fee6c3ee13b8bp-19, 0x1.073b7b1ad7ba2p-18, 0x1.0eb56640f28a6p-18, 0x1.15e2556e1d079p-18, 0x1.1cc37ea649e83p-18, 0x1.235a126a1198bp-18, 0x1.29a72eee1482ep-18, 0x1.2fabed99eff98p-18, 0x1.3569a22b31984p-18, 0x1.3ae1f2bdd509fp-18, 0x1.40153a64ca353p-18, 0x1.4503f59e2fdfdp-18, 0x1.49b1617c8dc01p-18, 0x1.4e1d66e537d01p-18, 0x1.5248679713f2dp-18, 0x1.56358abfe7905p-18, 0x1.59e54635b57b1p-18, 0x1.5d58787fabce4p-18, 0x1.60904f97fbd9ep-18, 0x1.638dfc5a7d189p-18, 0x1.6652aa3c7b648p-18, 0x1.68df801584db2p-18, 0x1.6b35a21cb524ep-18, 0x1.6d5634376c1e5p-18, 0x1.6f425ac9a3212p-18, 0x1.70fb3987a2e81p-18, 0x1.7281f2cff67a3p-18, 0x1.73d79f6f61b03p-18, 0x1.74fd58d374955p-18, 0x1.75f437659e2bfp-18, 0x1.76bd523ecfc7cp-18, 0x1.7759b6362f58ap-18, 0x1.77ca5e1721ba1p-18, 0x1.7810ccef2c746p-18, 0x1.782ff7494b5e8p-18, 0x1.7827a16357b16p-18, 0x1.77ee9a964aa29p-18, 0x1.7794df81cfe64p-18, 0x1.7715da2092214p-18, 0x1.76723c74b8a54p-18, 0x1.75ab1e0031adcp-18, 0x1.74c18eb3fe5ebp-18, 0x1.73b67faf08b91p-18, 0x1.728aae3beb45p-18, 0x1.713eddaa195b7p-18, 0x1.6fd3f2edbeee6p-18, 0x1.6e4c05004d858p-18, 0x1.6ca9a92200895p-18, 0x1.6ae8fc65b99e3p-18, 0x1.690b67a6a157p-18, 0x1.67126cb4ecfa9p-18, 0x1.65027d3ce3894p-18, 0x1.62da4f3156615p-18, 0x1.609a2c9e79a52p-18, 0x1.5e42f1f514e84p-18, 0x1.5bd57b3418318p-18, 0x1.595299ab5e31bp-18, 0x1.56bb17f3b23d4p-18, 0x1.540fc6d325f68p-18, 0x1.5156ca0845269p-18, 0x1.4e80ec67437f4p-18, 0x1.4b9df42af8a8cp-18, 0x1.48aa8fb2ac2b5p-18, 0x1.45a70700e3317p-18, 0x1.42940e2d89983p-18, 0x1.3f723b98f1f79p-18, 0x1.3c4228e67b97bp-18, 0x1.39049c228d1dbp-18, 0x1.35ba3fa002536p-18, 0x1.3263931b849bap-18, 0x1.2f0139fdc7eb2p-18, 0x1.2b93eb02f915ap-18, 0x1.281c41052a4a1p-18, 0x1.249ac9a1c0eb2p-18, 0x1.21101433d78a3p-18, 0x1.1d7cb1731278p-18, 0x1.19e132c8ce089p-18, 0x1.163e28c98644bp-18, 0x1.1294127934fa3p-18, 0x1.0ee351248ad2ep-18, 0x1.0b2c5f6197e67p-18, 0x1.076fcfa3451c1p-18, 0x1.03ae6a7e25e24p-18, 0x1.ffd45e6e38cd9p-19, 0x1.f83dc2e7cc4cep-19, 0x1.f0a15981af595p-19, 0x1.e8ffc0d24821bp-19, 0x1.e15804afe2d3fp-19, 0x1.d9ab53ef2ebcbp-19, 0x1.d1fc7c76823bcp-19, 0x1.ca4cb7d2bf76ep-19, 0x1.c2937b176b3f8p-19, 0x1.badb410cefe0ap-19, 0x1.b323a7c295454p-19, 0x1.ab6bd57409264p-19, 0x1.a3b47b6beab02p-19, 0x1.9bfe5c7b516d4p-19, 0x1.944a2d0ad45c2p-19, }}, 
      {{0x1.dc65b4187b34p-5, 0x1.c9cab8602d838p-4, 0x1.422e6d2a8618p-3, 0x1.8a9defa77564bp-3, 0x1.bc81033da46a1p-3, 0x1.d82f370156634p-3, 0x1.df69a00387e12p-3, 0x1.d4d0db9365b18p-3, 0x1.bb77f3bb22407p-3, 0x1.9692695e91e5dp-3, 0x1.6939f9b7ff9d8p-3, 0x1.36484859e8292p-3, 0x1.004079191d7c1p-3, 0x1.9289dbee162fcp-4, 0x1.262b7f508b36dp-4, 0x1.7c5446f9eba1ap-5, 0x1.7277f1b63c1d8p-6, 0x1.836db775c9e7ep-11, -0x1.367a9fe95cf85p-6, -0x1.29884fed32dd1p-5, -0x1.a46b0da27bdb1p-5, -0x1.0606c562e989ap-4, -0x1.3083dcf224cbep-4, -0x1.5222b50d3b57ep-4, -0x1.6b772d29acaep-4, -0x1.7d29174906585p-4, -0x1.87ebf8fd00a1fp-4, -0x1.8c7864d2f23bp-4, -0x1.8b86b55d66065p-4, -0x1.85cafce8fafa2p-4, -0x1.7bf1f9c662089p-4, -0x1.6e9ee14a41128p-4, -0x1.5e69e8debf1a4p-4, -0x1.4bdf593894c9ap-4, -0x1.377f1f3006c6ep-4, -0x1.21bcb6a71b1e2p-4, -0x1.0aff60ae523c2p-4, -0x1.e74522c6db86ap-5, -0x1.b7ecfc91fa9abp-5, -0x1.8881aa469f5d3p-5, -0x1.597af184f8778p-5, -0x1.2b3e8f15f9cecp-5, -0x1.fc43b5227cc1fp-6, -0x1.a4d6abd7f11f8p-6, -0x1.50a856317d27bp-6, -0x1.00134c2dbcc1p-6, -0x1.66ba57b8e9461p-7, -0x1.aae477fe5e008p-8, -0x1.325153066d281p-9, 0x1.9da9f5a9bf72ap-10, 0x1.56b0c7e5d12e2p-8, 0x1.1a577de0ac32cp-7, 0x1.80c64dce22e75p-7, 0x1.dec725e28889bp-7, 0x1.1a443121ad38fp-6, 0x1.41211f5d782d2p-6, 0x1.641a70d348956p-6, 0x1.835353af2a8b4p-6, 0x1.9ef1582d1965ap-6, 0x1.b71bce2036154p-6, 0x1.cbfb3527dd833p-6, 0x1.ddb8c3fc24c66p-6, 0x1.ec7e024d26423p-6, 0x1.f874715391088p-6, 0x1.00e29f3a601e1p-5, 0x1.044c84243e5c4p-5, 0x1.068bd4625b474p-5, 0x1.07b40802deba8p-5, 0x1.07d80c2c99e75p-5, 0x1.070a3c1682d05p-5, 0x1.055c4ea31c3dp-5, 0x1.02df54997b071p-5, 0x1.ff47630e3f228p-6, 0x1.f772257a03141p-6, 0x1.ee5ceb66babe5p-6, 0x1.e424439af0bd3p-6, 0x1.d8e34e2e07775p-6, 0x1.ccb3ca3dbcdf6p-6, 0x1.bfae198e3bbdcp-6, 0x1.b1e93bd777c45p-6, 0x1.a37ae0f93da7cp-6, 0x1.94776e55e0dd2p-6, 0x1.84f20c6735cfcp-6, 0x1.74fca7670db22p-6, 0x1.64a801cc34d33p-6, 0x1.5403be46b8b7dp-6, 0x1.431e693696feap-6, 0x1.320588382302cp-6, 0x1.20c59dac02241p-6, 0x1.0f6a3c8b32c91p-6, 0x1.fbfc2252f8b9dp-7, 0x1.d915d5993088dp-7, 0x1.b633951de9ae8p-7, 0x1.9365d8786034bp-7, 0x1.70bb9e7ad23f8p-7, 0x1.4e428baca1144p-7, 0x1.2c06f8f0aa4a6p-7, 0x1.0a140790b6bf6p-7, 0x1.d0e76932a2da1p-8, 0x1.8e5ddf9411357p-8, 0x1.4c9b4bddfa928p-8, 0x1.0badae88a8586p-8, 0x1.974293dce2452p-9, 0x1.19019a4f31f7bp-9, 0x1.39557783d4012p-10, 0x1.126c264111cd3p-12, -0x1.5823f8cb4449fp-11, -0x1.989c66e1996d1p-10, -0x1.4079a32b9966bp-9, -0x1.b284c5fedd4b4p-9, -0x1.113580b99b3b8p-8, -0x1.4814ada8e5f94p-8, -0x1.7ddf2c2545839p-8, -0x1.b294ee90b2674p-8, -0x1.e636934aa72b5p-8, -0x1.0c629f6fd6227p-7, -0x1.25214e9c6436fp-7, -0x1.3d58621a65482p-7, -0x1.550921b3936abp-7, -0x1.6c34fd43a56b9p-7, -0x1.82dd8ebfef2f1p-7, -0x1.99049511264dep-7, -0x1.aeabe92eb1cd6p-7, -0x1.c3d585f44a093p-7, -0x1.d883787fe8996p-7, -0x1.ecb7e0a68e5f1p-7, -0x1.003a77fb29075p-6, -0x1.09de719c7ab6p-6, -0x1.1348ff0899b56p-6, -0x1.1c7b486d00622p-6, -0x1.25767627358dap-6, -0x1.2e3bb1fd1d75fp-6, -0x1.36cc2639574dap-6, -0x1.3f28fcfdf8ffep-6, -0x1.47535dc4e2ad8p-6, -0x1.4f4c6e1898f3cp-6, -0x1.571551cd8823ep-6, -0x1.5eaf27ca88dfcp-6, -0x1.661b0b643d158p-6, -0x1.6d5a138431df8p-6, -0x1.746d524768df2p-6, -0x1.7b55d4c6a83bdp-6, -0x1.8214a19116461p-6, -0x1.88aaba14134dp-6, -0x1.8f1919f4fc026p-6, -0x1.9560b5d1235f6p-6, -0x1.9b827c2b21631p-6, -0x1.a17f5507892d6p-6, -0x1.a75821b92ac92p-6, -0x1.ad0dbcefa83b5p-6, -0x1.b2a0fabc2dbedp-6, -0x1.b812a7e8c7812p-6, -0x1.bd638ab93e75p-6, -0x1.c29463021b97ep-6, -0x1.c7a5e966b30ep-6, -0x1.cc98cff819acfp-6, -0x1.d16dc23e7c1d4p-6, -0x1.d62565311490ap-6, -0x1.dac0575047163p-6, -0x1.df3f30c61f304p-6, -0x1.e3a2838fbf369p-6, -0x1.e7eadb777600ap-6, -0x1.ec18be14c6a33p-6, -0x1.f02cab7149b91p-6, -0x1.f4271dc287fc9p-6, -0x1.f8088980577b2p-6, -0x1.fbd15dc6653a4p-6, -0x1.ff82046e2da84p-6, -0x1.018d711595c22p-5, -0x1.034e2b57ea57dp-5, -0x1.05035e6ace2cep-5, -0x1.06ad35656b881p-5, -0x1.084bd9238cb29p-5, -0x1.09df70560609fp-5, -0x1.0b681f88750f1p-5, -0x1.0ce6094998117p-5, -0x1.0e594e3eb5294p-5, -0x1.0fc20d27649a6p-5, -0x1.112062ff7bfa8p-5, -0x1.12746b14984ap-5, -0x1.13be3f14a2d4p-5, -0x1.14fdf72196ce3p-5, -0x1.1633a9e743bccp-5, -0x1.175f6cab82bd4p-5, -0x1.18815363bcc01p-5, -0x1.199970c478b35p-5, -0x1.1aa7d65920a5fp-5, -0x1.1bac94952e111p-5, -0x1.1ca7badfbe20ep-5, -0x1.1d9957a68a8e2p-5, -0x1.1e8178736d073p-5, -0x1.1f6029f6300e2p-5, -0x1.20357816371bap-5, -0x1.21016e06bda18p-5, -0x1.21c41655661f7p-5, -0x1.227d7af781a66p-5, -0x1.232da557a35bcp-5, -0x1.23d49e63e3348p-5, -0x1.24726e9bb3f7dp-5, -0x1.25071e1d7ed9fp-5, -0x1.2592b4b3b52abp-5, -0x1.261539e137052p-5, -0x1.268eb4ed85385p-5, -0x1.26ff2cf0f7c3p-5, -0x1.2766a8df6ed1ap-5, -0x1.27c52f915de04p-5, -0x1.281ac7cebd759p-5, -0x1.28677859bfa5bp-5, -0x1.28ab47f70fd68p-5, -0x1.28e63d78527b4p-5, -0x1.29185fc5ab5bcp-5, -0x1.2941b5e65331dp-5, -0x1.296247079ac4dp-5, -0x1.297a1a84f9116p-5, -0x1.298937ee2ac03p-5, -0x1.298fa70eb066cp-5, -0x1.298d6ff3d9956p-5, -0x1.29829af2d8581p-5, -0x1.296f30af373abp-5, -0x1.29533a20fa81dp-5, -0x1.292ec098497b1p-5, -0x1.2901cdc241cf5p-5, -0x1.28cc6bae33554p-5, -0x1.288ea4d0d7bbap-5, -0x1.28488408cb6fcp-5, -0x1.27fa14a1c3858p-5, -0x1.27a36256c4897p-5, -0x1.27447954ca9dbp-5, -0x1.26dd663d9ea0bp-5, -0x1.266e362accc05p-5, -0x1.25f6f6afd9e34p-5, -0x1.2577b5db9622ap-5, -0x1.24f082392c698p-5, -0x1.24616ad17980ep-5, -0x1.23ca7f2b13197p-5, -0x1.232bcf4b2ef49p-5, -0x1.22856bb682504p-5, -0x1.21d765718ef4bp-5, -0x1.2121cdffc47cdp-5, -0x1.2064b7630c3abp-5, -0x1.1fa0341c04534p-5, -0x1.1ed45728efc4fp-5, -0x1.1e013404ae859p-5, -0x1.1d26dea5a8f5ep-5, -0x1.1c456b7c8fb3ep-5, -0x1.1b5cef7302182p-5, -0x1.1a6d7fe9ebde5p-5, -0x1.197732b772368p-5, -0x1.187a1e2489eeap-5, -0x1.177658eaa8b3ep-5, -0x1.166bfa31a1f47p-5, -0x1.155b198cef477p-5, -0x1.1443cefa93145p-5, -0x1.132632df4727p-5, -0x1.12025e044c8d5p-5, -0x1.10d8699439e77p-5, -0x1.0fa86f17bfdedp-5, -0x1.0e7288727d18p-5, -0x1.0d36cfe005dcfp-5, -0x1.0bf55ff089432p-5, -0x1.0aae5385472ccp-5, -0x1.0961c5cd4e695p-5, -0x1.080fd241e4fe3p-5, -0x1.06b894a2fbb02p-5, -0x1.055c28f38c718p-5, -0x1.03faab75f43cfp-5, -0x1.029438a83aa45p-5, -0x1.0128ed4054cd5p-5, -0x1.ff71cc51102fap-6, -0x1.fc8880f7bc042p-6, -0x1.f99633025714ep-6, -0x1.f69b1d4ea63a7p-6, -0x1.f3977b087c364p-6, -0x1.f08b8799c6e6ap-6, -0x1.ed777eabf13bdp-6, -0x1.ea5b9c177546ep-6, -0x1.e7381bdeb9bd1p-6, -0x1.e40d3a27ef563p-6, -0x1.e0db33358c371p-6, -0x1.dda2435e1f2d2p-6, -0x1.da62a704bb9d7p-6, -0x1.d71c9a928c4c6p-6, -0x1.d3d05a6f1a009p-6, -0x1.d07e22f74aef9p-6, -0x1.cd263077e08d6p-6, -0x1.c9c8bf25a4dabp-6, -0x1.c6660b1661a82p-6, -0x1.c2fe5039efc7p-6, -0x1.bf91ca5361ab4p-6, -0x1.bc20b4f24762bp-6, -0x1.b8ab4b6c07a87p-6, -0x1.b531c8d561c91p-6, -0x1.b1b467fc02864p-6, -0x1.ae33636038a5p-6, -0x1.aaaef52ece139p-6, -0x1.a727573b070edp-6, -0x1.a39cc2f964e7ep-6, -0x1.a00f717698c61p-6, -0x1.9c7f9b5a3c4d5p-6, -0x1.98ed78d4343f2p-6, -0x1.955941a54d21cp-6, -0x1.91c32d12bb955p-6, -0x1.8e2b71df2ad07p-6, -0x1.8a92464bb88b7p-6, -0x1.86f7e00fcc753p-6, -0x1.835c74551bda2p-6, -0x1.7fc037b327988p-6, -0x1.7c235e2b0dd1p-6, -0x1.78861b23905ebp-6, -0x1.74e8a1658f6a8p-6, -0x1.714b2318ff244p-6, -0x1.6dadd1bf1fe77p-6, -0x1.6a10de300a8b1p-6, -0x1.667478994a345p-6, -0x1.62d8d07a33baep-6, -0x1.5f3e149df010dp-6, -0x1.5ba4731b5be3dp-6, -0x1.580c19525f264p-6, -0x1.547533e9221c8p-6, -0x1.50dfeec9c3315p-6, -0x1.4d4c75202f44dp-6, -0x1.49baf15803218p-6, -0x1.462b8d1aeb9b2p-6, -0x1.429e714e84333p-6, -0x1.3f13c612f5246p-6, -0x1.3b8bb2c18f51cp-6, -0x1.38065de9d0c6cp-6, -0x1.3483ed5902a1bp-6, -0x1.310486083c261p-6, -0x1.2d884c2cd9d2ap-6, -0x1.2a0f632f34534p-6, -0x1.2699edabcfcacp-6, -0x1.23280d72ccf9ep-6, -0x1.1fb9e387768bbp-6, -0x1.1c4f902036879p-6, -0x1.18e932abeefdp-6, -0x1.1586e9b05595cp-6, -0x1.1228d320c2086p-6, -0x1.0ecf0bd4e0349p-6, -0x1.0b79b01d3c1bcp-6, -0x1.0828db5c99f85p-6, -0x1.04dca831e22d2p-6, -0x1.01953072a34e1p-6, -0x1.fca51a57857ffp-7, -0x1.f629ad44188cbp-7, -0x1.efb848a4c7f26p-7, -0x1.e95119e56ddd3p-7, -0x1.e2f44ce5ded0dp-7, -0x1.dca20bfc8bcadp-7, -0x1.d65a7ffb36f8ep-7, -0x1.d01dd0304b1f5p-7, -0x1.c9ec226aea3d4p-7, -0x1.c3c59aff0bacbp-7, -0x1.bdaa5cc8dc43p-7, -0x1.b79a89301e72p-7, -0x1.b196402b8798p-7, -0x1.ab9da04405632p-7, -0x1.a5b0c69846c2dp-7, -0x1.9fcfcee0d02cfp-7, -0x1.99fad374ac1c1p-7, -0x1.9431ed4c3498ep-7, -0x1.8e7534026aa0ep-7, -0x1.88c4bddd7322bp-7, -0x1.83209fd53410ep-7, -0x1.7d88ed96cb06dp-7, -0x1.77fdb984441a5p-7, -0x1.727f1473855a2p-7, -0x1.6d0d0f0bf108ap-7, -0x1.67a7b722814f6p-7, -0x1.624f1a6652587p-7, -0x1.5d034512f1772p-7, -0x1.57c4423b1d3b9p-7, -0x1.52921bcf0000dp-7, -0x1.4d6cdaa1e35fbp-7, -0x1.4854866ee37dp-7, -0x1.434925dc951c5p-7, -0x1.3e4abe7fac434p-7, -0x1.395954dd158f3p-7, -0x1.3474ec6c2634p-7, -0x1.2f9d8799aac4p-7, -0x1.2ad327cc4a8dfp-7, -0x1.2615cd6ac838bp-7, -0x1.216577e40f6cbp-7, -0x1.1cc225b8af6ccp-7, -0x1.182bd4857c62ep-7, -0x1.13a2810c55d3cp-7, -0x1.0f26273ba3531p-7, -0x1.0ab6c238ba483p-7, -0x1.06544c623ee6ap-7, -0x1.01febf4f4b05ap-7, -0x1.fb6c27a161648p-8, -0x1.f2f483dc93ad2p-8, -0x1.ea9681c6d6f71p-8, -0x1.e2520e39221ep-8, -0x1.da27146e95e08p-8, -0x1.d2157e0bb3113p-8, -0x1.ca1d332e812d7p-8, -0x1.c23e1a88a06a7p-8, -0x1.ba781981eefc3p-8, -0x1.b2cb1460e2a7p-8, -0x1.ab36ee73d7c3ap-8, -0x1.a3bb8a34fde09p-8, -0x1.9c58c96308d7cp-8, -0x1.950e8d08b8e8fp-8, -0x1.8ddcb5705dbbap-8, -0x1.86c3220398f65p-8, -0x1.7fc1b11c0a6f4p-8, -0x1.78d83fcda8c24p-8, -0x1.7206a9b65f4ap-8, -0x1.6b4cc8e0151e3p-8, -0x1.64aa75bff3dddp-8, -0x1.5e1f875a5f4adp-8, -0x1.57abd38df19a4p-8, -0x1.514f2f844d99bp-8, -0x1.4b097023baa6bp-8, -0x1.44da691958631p-8, -0x1.3ec1f05d7ca7dp-8, -0x1.38bfdc63e8069p-8, -0x1.32d40490f7eccp-8, -0x1.2cfe3cfd66889p-8, -0x1.273e5c612657fp-8, -0x1.2194393f6234p-8, -0x1.1bffa77adf30cp-8, -0x1.168079210a493p-8, -0x1.11167e1960d1ep-8, -0x1.0bc184215018ep-8, -0x1.0681572919873p-8, -0x1.0155c1ff07a94p-8, -0x1.f87d1e5654c96p-9, -0x1.ee7713a760836p-9, -0x1.e498fd025ea97p-9, -0x1.dae27741a7c32p-9, -0x1.d15323600b032p-9, -0x1.c7eaa61635dabp-9, -0x1.bea8a6cae63c1p-9, -0x1.b58ccdf68bfa3p-9, -0x1.ac96c32c470c3p-9, -0x1.a3c62b0e9f6b4p-9, -0x1.9b1aa5873744bp-9, -0x1.9293cca3a4f73p-9, -0x1.8a3134688210ep-9, -0x1.81f26bc11619p-9, -0x1.79d6fe6b9c8a8p-9, -0x1.71de777d90a8ap-9, -0x1.6a0863f20d547p-9, -0x1.625454bf671b9p-9, -0x1.5ac1dfdb12b61p-9, -0x1.535098c105ac6p-9, -0x1.4c003869bbbf4p-9, -0x1.44d04b3043c03p-9, -0x1.3dc0818a2a08p-9, -0x1.36d085085a1dap-9, -0x1.2fffff4677e99p-9, -0x1.294e97cd2e8f5p-9, -0x1.22bbf2064fbbcp-9, -0x1.1c47abb4d7905p-9, -0x1.15f15c7c9a44cp-9, -0x1.0fb896dff9f06p-9, -0x1.099cea842704ep-9, -0x1.039de7054569dp-9, -0x1.fb763d19a62cep-10, -0x1.efe84eb848722p-10, -0x1.e4913814b9ab5p-10, -0x1.d97035a144167p-10, -0x1.ce84892cb607bp-10, -0x1.c3cd78c6d6056p-10, -0x1.b94a4ef58ee8bp-10, -0x1.aefa5bac4759fp-10, -0x1.a4dcf4c69f6e4p-10, -0x1.9af174d677cbcp-10, -0x1.913737f09f84cp-10, -0x1.87ad975e874b8p-10, -0x1.7e53e5fb04866p-10, -0x1.75296ef3584c1p-10, -0x1.6c2d7794f0beap-10, -0x1.635f434d1f231p-10, -0x1.5abe17e65af12p-10, -0x1.52494002a9821p-10, -0x1.4a000accccd05p-10, -0x1.41e1c94b0fa38p-10, -0x1.39edcaed5a7c6p-10, -0x1.32235b5177f84p-10, -0x1.2a81c2a178e1cp-10, -0x1.230848bffbc51p-10, -0x1.1bb639fe6c60dp-10, -0x1.148aeb4d420cp-10, -0x1.0d85bc1991cdcp-10, -0x1.06a6154c8b60dp-10, -0x1.ffd6ccc6e96e1p-11, -0x1.f2aa44cc7799p-11, -0x1.e5c57c4bb9384p-11, -0x1.d9275fe76bc24p-11, -0x1.cccedfc276ff4p-11, -0x1.c0baeece0542p-11, -0x1.b4ea8026a7784p-11, -0x1.a95c8374bb243p-11, -0x1.9e0fe188c5808p-11, -0x1.93037973deedbp-11, -0x1.88361debb48a5p-11, -0x1.7da693d92c325p-11, -0x1.7353941b63007p-11, -0x1.693bd1bd0322p-11, -0x1.5f5e0302c3c39p-11, -0x1.55b8e98a36ff3p-11, -0x1.4c4b569af892ap-11, -0x1.43142c568e1fdp-11, -0x1.3a125f25d78d2p-11, -0x1.3144f9c2adfd1p-11, -0x1.28ab221f0f157p-11, -0x1.204419eb32fb9p-11, -0x1.180f3653a08a3p-11, -0x1.100bd00737d3p-11, -0x1.083932b222aadp-11, -0x1.0096947feab1ep-11, -0x1.f24631e26bccbp-12, -0x1.e3bbb4d0a62afp-12, -0x1.d58be407fe085p-12, -0x1.c7b4f13019936p-12, -0x1.ba35048d449dfp-12, -0x1.ad0a3490ecd81p-12, -0x1.a03285fab9fcp-12, -0x1.93abf372b3376p-12, -0x1.8774756373165p-12, -0x1.7b8a061735623p-12, -0x1.6feaa74084279p-12, -0x1.64947318a8ed5p-12, -0x1.5985ba2259598p-12, -0x1.4ebd1e0a161f5p-12, -0x1.44399468a9c17p-12, -0x1.39fa480fd8fc6p-12, -0x1.2ffe66815ab6dp-12, -0x1.2644f5816496ap-12, -0x1.1cccc5abd83c9p-12, -0x1.13948197175d9p-12, -0x1.0a9ac89272582p-12, -0x1.01de43afb438p-12, -0x1.f2bb5a7f40cfp-13, -0x1.e22f965de3269p-13, -0x1.d216c3a4af548p-13, -0x1.c26e4f63f865ap-13, -0x1.b33382c6b484ap-13, -0x1.a4638b2cc5b56p-13, -0x1.95fb861395ebep-13, -0x1.87f886e93d294p-13, -0x1.7a579f73de489p-13, -0x1.6d15fe40eb1b6p-13, -0x1.60312166c89bep-13, -0x1.53a6f885cf196p-13, -0x1.4775d27f47b73p-13, -0x1.3b9c23fcc5b16p-13, -0x1.30185a0a66607p-13, -0x1.24e8d677b66c6p-13, -0x1.1a0bfdd91753ep-13, -0x1.0f802e79b1364p-13, -0x1.0543a48421f89p-13, -0x1.f6a8f208f731ep-14, -0x1.e36193bf63f99p-14, -0x1.d0adbd1b74b6bp-14, -0x1.be8a446e1693cp-14, -0x1.acf3fdaad30f6p-14, -0x1.9be777b64213dp-14, -0x1.8b60efcce5831p-14, -0x1.7b5c80ee913d8p-14, -0x1.6bd66e8f5fe91p-14, -0x1.5ccb4e66d41f6p-14, -0x1.4e37f62ba8179p-14, -0x1.4019584aab9c8p-14, -0x1.326c81bd9ad8ep-14, -0x1.252e9d448e1ddp-14, -0x1.185cc1ffe100bp-14, -0x1.0bf3ba96ba89bp-14, -0x1.ffe0786963fffp-15, -0x1.e89f0e6e6cbdap-15, -0x1.d21f6ec9150b7p-15, -0x1.bc5e8247bb4acp-15, -0x1.a7584d3c7d9f7p-15, -0x1.93079afacfd9dp-15, -0x1.7f66f8b098b19p-15, -0x1.6c719cc3cd875p-15, -0x1.5a2373e5e187p-15, -0x1.4878aa9e958b7p-15, -0x1.376d3de8107dcp-15, -0x1.26fcb78d1fcd1p-15, -0x1.17221db428225p-15, -0x1.07d84760691c2p-15, -0x1.f2352128f8766p-16, -0x1.d5cad7dff0816p-16, -0x1.ba6c78420447fp-16, -0x1.a014e985b11dfp-16, -0x1.86bd814b01f27p-16, -0x1.6e5db57b0bb41p-16, -0x1.56ebd537e2c43p-16, -0x1.405e338aa7b25p-16, -0x1.2aad210bd2275p-16, -0x1.15d45e1f987aep-16, -0x1.01cfb13dbb62fp-16, -0x1.dd25332194042p-17, -0x1.b844b5b39a696p-17, -0x1.94e6e3a52bb85p-17, -0x1.730378666a825p-17, -0x1.527cf7aff14bdp-17, -0x1.33569efb553b6p-17, -0x1.1588400966812p-17, -0x1.f20e9d2a18a7cp-18, -0x1.bb91bda87c0e1p-18, -0x1.87844a1e3e287p-18, -0x1.55d05001df038p-18, -0x1.265f4e9e93e6bp-18, -0x1.f239bcc4064bfp-19, -0x1.9bf3ac88d6804p-19, -0x1.49d7fb99913cap-19, -0x1.f7a3daf3637a3p-20, -0x1.638183cbadabdp-20, -0x1.addc894ed186bp-21, -0x1.46201e861d799p-22, 0x1.685bb37582e58p-23, 0x1.4a1550426085cp-21, 0x1.168f2ee8dee0bp-20, 0x1.81b2800fcd7c6p-20, 0x1.e6ac2680e1844p-20, 0x1.22de10fff300cp-19, 0x1.4f8ca11621dc6p-19, 0x1.7980608961c65p-19, 0x1.a0dcd1319d3afp-19, 0x1.c5c10f6e6571bp-19, 0x1.e8402c45823ccp-19, 0x1.0432ef4791cc3p-18, 0x1.1321af77ea6c2p-18, 0x1.20f75ef15fe93p-18, 0x1.2d9a54aab228bp-18, 0x1.3990589e7b391p-18, 0x1.446a7ed0013e6p-18, 0x1.4e557a240504bp-18, 0x1.575ccfdc355d6p-18, 0x1.5f878e161c0cbp-18, 0x1.66dbe016d0779p-18, 0x1.6d620d285bfe7p-18, 0x1.732593bdc919ep-18, 0x1.783243cfc5455p-18, 0x1.7c9162d9a0688p-18, 0x1.8049f04717122p-18, 0x1.8360735b67938p-18, 0x1.85da8b30683efp-18, 0x1.87c21f0f18b66p-18, 0x1.891eabae14274p-18, 0x1.89f3c8423880cp-18, 0x1.8a4653efa13abp-18, 0x1.8a1ca81d4ea0fp-18, 0x1.897dda05ad18bp-18, 0x1.88717f2e797ddp-18, 0x1.86fee9e4c3ce2p-18, 0x1.852c0825eeac6p-18, 0x1.82fc584e2a718p-18, 0x1.807343ac51b74p-18, 0x1.7d96b08ecfc25p-18, 0x1.7a6bebae3f6e6p-18, 0x1.76f653b986f2ap-18, 0x1.733a1382a8c31p-18, 0x1.6f3c1827d0a8dp-18, 0x1.6b00c6ef318d8p-18, 0x1.668bbdf79138cp-18, 0x1.61e033897d754p-18, 0x1.5d01dee6768a5p-18, 0x1.57f52639d3737p-18, 0x1.52bd3f28bdfd3p-18, 0x1.4d5c75480e123p-18, 0x1.47d6b2708b89fp-18, 0x1.422fbd3068993p-18, 0x1.3c6b4cd058c31p-18, 0x1.368bd34b9f7e6p-18, 0x1.3092b098c1f6dp-18, 0x1.2a82c734354f6p-18, 0x1.245edaf2a613ap-18, 0x1.1e29234d8b23ep-18, 0x1.17e3b59730b25p-18, 0x1.1190b335a3e9fp-18, 0x1.0b3270f193634p-18, 0x1.04cb5d80f8075p-18, 0x1.fcbaf5b97ac8dp-19, 0x1.efd513688c35ep-19, 0x1.e2e8fdeb5009ep-19, 0x1.d5f9f3513c12p-19, 0x1.c90b98e1c27c9p-19, 0x1.bc2064bd02a2bp-19, 0x1.af3a4f78ee571p-19, 0x1.a25d081f4e56cp-19, 0x1.958c10f1926c5p-19, 0x1.88c9f45ce5b01p-19, 0x1.7c189ffe67427p-19, 0x1.6f7a0f766ec3p-19, 0x1.62f07d6e02c76p-19, 0x1.567d6841257ddp-19, 0x1.4a2214f04e13ep-19, 0x1.3de1e551d452p-19, 0x1.31bf9767a06f9p-19, 0x1.25bc3d7a590b7p-19, 0x1.19d83596be36dp-19, 0x1.0e1571e05e273p-19, 0x1.02759f2fe14b7p-19, 0x1.edf3a46645cc6p-20, 0x1.d74610664a04ep-20, 0x1.c0e48400f1c61p-20, 0x1.aad10e12cd05ep-20, 0x1.950dc23f3cf97p-20, 0x1.7f9c95280f4bdp-20, 0x1.6a7f32ffb465p-20, 0x1.55b705519ba1bp-20, 0x1.41455068a133cp-20, 0x1.2d2ae841163fap-20, 0x1.19683cd39b8ap-20, 0x1.05fed9f0c56c5p-20, 0x1.e5e0fcf803002p-21, 0x1.c07b8553b1f7dp-21, 0x1.9bcceb65a6bfp-21, 0x1.77d6efbdad998p-21, 0x1.549b405240aa2p-21, 0x1.321a1591ccd1ep-21, 0x1.10532f87283bbp-21, 0x1.de8d2bf592444p-22, 0x1.9de924ca361b9p-22, 0x1.5eb97f0292301p-22, 0x1.20feca0d1e2d2p-22, 0x1.c9771b13afac9p-23, 0x1.53d883acd1127p-23, 0x1.c23b5a1d0c4e7p-24, 0x1.c51b8a684240cp-25, 0x1.142c6c2b0c18ep-29, -0x1.9724341693bb9p-25, -0x1.9a152d2d8708cp-24, -0x1.3178c3b5224fep-23, -0x1.93180051e8608p-23, -0x1.f1edc53fe5deap-23, -0x1.26ffe6a10f0ap-22, -0x1.53aa03ef2397bp-22, -0x1.7ef7f97f76099p-22, -0x1.a8ec68c2f9898p-22, -0x1.d18962a1f4c22p-22, -0x1.f8d330f6539fap-22, -0x1.0f9523871ecc4p-21, -0x1.216666982bfp-21, -0x1.3382006581968p-21, -0x1.44ac6872cc507p-21, -0x1.550f3bffd3a5bp-21, -0x1.64ec6132371d5p-21, -0x1.742dc52ceee69p-21, -0x1.82d592f028954p-21, -0x1.90e6515d8378ep-21, -0x1.9e6279ea18c03p-21, -0x1.ab4c5eb500a56p-21, -0x1.b7a63713012edp-21, -0x1.c3725b25c5edep-21, -0x1.ceb30c7ac483fp-21, -0x1.d96a8fe752361p-21, -0x1.e39b5847714ccp-21, -0x1.ed47a363c380ep-21, -0x1.f671cdaa3cf2dp-21, -0x1.ff1c355bb4364p-21, -0x1.03a49b35cebf5p-20, -0x1.077d967406c3cp-20, -0x1.0b1a3ace2d404p-20, -0x1.0e7bb72b4ba8fp-20, -0x1.11a33b18fc5dp-20, -0x1.1491f738ef2a1p-20, -0x1.17491db49882p-20, -0x1.19c9e0d4b9a48p-20, -0x1.1c156d1f60d32p-20, -0x1.1e2ceda073cbfp-20, -0x1.2013600cf321fp-20, -0x1.23a299f6a0ddbp-20, -0x1.23472d715954p-20, -0x1.2497ec0b28b18p-20, -0x1.25bbeea2171abp-20, -0x1.26b29dc9ed4bbp-20, -0x1.277d1c550fc2bp-20, -0x1.281c9f0e9fdcp-20, -0x1.2892465b3484cp-20, -0x1.28df255dcf2e8p-20, -0x1.2904494f5e4e5p-20, -0x1.2902c3b9863aap-20, -0x1.28dba0255a9c9p-20, -0x1.288fe9765631p-20, -0x1.2820a8c69c86ep-20, -0x1.278ee687a1594p-20, -0x1.26dba65083882p-20, -0x1.2607e906d74aep-20, -0x1.2514aaa36e3c9p-20, -0x1.2402e58ad96dep-20, -0x1.22d39144c9ddfp-20, -0x1.2187a1ec7e7dep-20, -0x1.2020080ae5465p-20, -0x1.1e9db0be238fbp-20, -0x1.1d01859aaeb93p-20, -0x1.1b4c717b42fd8p-20, -0x1.197f4d903106fp-20, -0x1.179b0354f0a4fp-20, -0x1.15a06b90c2008p-20, -0x1.13905f2eb8c01p-20, -0x1.116bb40516e1p-20, -0x1.0f333de289d3p-20, -0x1.0ce7c72f3194bp-20, -0x1.0a8a1bbce69bep-20, -0x1.081b036e1f812p-20, -0x1.059b40ffa1b62p-20, -0x1.030b932767ecbp-20, -0x1.006cb6cc09bf4p-20, -0x1.fb7ecb3f699a8p-21, -0x1.f608ab09b12a1p-21, -0x1.f078708732367p-21, -0x1.eacf7d9159e33p-21, -0x1.e50f2850a7e47p-21, -0x1.df38b9cbbbb53p-21, -0x1.d94d7d6c49815p-21, -0x1.d34eb4ceb5cdep-21, -0x1.cd3d9b136c8e1p-21, -0x1.c71b6d09d3aeep-21, -0x1.c0e951ad3bbb3p-21, -0x1.baa86c4e1d3aap-21, -0x1.b459e5455ea2fp-21, -0x1.adfed1af25392p-21, -0x1.a798406704433p-21, -0x1.a12739d914a96p-21, -0x1.9aacc2ce80c4ap-21, -0x1.9429e59d14689p-21, -0x1.8d9fb735f5734p-21, -0x1.870f475320e3p-21, -0x1.807988f34915p-21, -0x1.79df50e86f759p-21, -0x1.73415c83a3083p-21, -0x1.6ca069c4285abp-21, -0x1.65fd45eb981ccp-21, -0x1.5f58ccfe6f22bp-21, -0x1.58b3b1e7e7415p-21, -0x1.520e9acaecc3fp-21, -0x1.4b6a06eb89c77p-21, -0x1.44c5b194a643cp-21, -0x1.3e28797773bcep-21, -0x1.37ac6f4ad1e9fp-21, -0x1.3141437aab844p-21, -0x1.2a60f82b58cf8p-21, -0x1.23d24dff6dfcfp-21, -0x1.1d4c104a3c689p-21, -0x1.16cadcc9518fap-21, -0x1.1050247e1e323p-21, -0x1.09dcbda6beac7p-21, -0x1.03714665472c8p-21, -0x1.fa1c8bf61a61dp-22, -0x1.ed6879a03101fp-22, -0x1.e0c751ff3be05p-22, -0x1.d43a13631187ap-22, -0x1.c7c1b829d1342p-22, -0x1.bb5f08326cb75p-22, -0x1.af12bde3d5a73p-22, -0x1.a2ddcfe0f15ecp-22, -0x1.96c107b1ff714p-22, -0x1.8abd10faa93d3p-22, -0x1.7ed29c8efc297p-22, -0x1.73025bcdc2f95p-22, -0x1.674cf01615cdp-22, -0x1.5bb2f051fb7bbp-22, -0x1.5034f83dc2866p-22, -0x1.44d4730969186p-22, -0x1.39fb2a0c8067ap-22, -0x1.2e71c92b3bb4fp-22, -0x1.235efacb2f705p-22, -0x1.1873f9e83272dp-22, -0x1.0da8565231ebep-22, -0x1.02fc51e40a5a7p-22, -0x1.f0dfb2716b2f1p-23, -0x1.dc05ee64bd5a7p-23, -0x1.c76d13936eb4ap-23, -0x1.b315f0a6d8734p-23, -0x1.9efff26b63d6fp-23, -0x1.8b2be2804432ap-23, -0x1.779b35fbc3101p-23, -0x1.644e61463fdd7p-23, -0x1.514572c78dc0cp-23, -0x1.3e8098895a81ep-23, -0x1.2c00208ce1414p-23, -0x1.19c45c39fe102p-23, -0x1.07cd957ae1cc8p-23, -0x1.ec381069ccf2dp-24, -0x1.c95fc7cf3372ap-24, -0x1.a712d96644988p-24, -0x1.8552149343e6dp-24, -0x1.641e639cd101p-24, -0x1.4378159b11f2dp-24, -0x1.235c36408d8e4p-24, -0x1.03c904152e8b4p-24, -0x1.c984db7d4f1b8p-25, -0x1.8c928c8033399p-25, -0x1.50b22498b6088p-25, -0x1.15e434614a79p-25, -0x1.b85c54a1ad0e6p-26, -0x1.471ff60a84345p-26, -0x1.b02400b45602fp-27, -0x1.acba63026715dp-28, -0x1.caf244ba6bd98p-36, 0x1.a08f36de6e7bp-28, 0x1.9d2e017a6fe84p-27, 0x1.32e8bc17dd101p-26, }}, 
      {{-0x1.db9e3c1c9e873p+0, -0x1.a691e464ce8f2p+0, -0x1.5fd8397c732bfp+0, -0x1.154ee346d07c2p+0, -0x1.a194de0948ef6p-1, -0x1.2fd424c403394p-1, -0x1.b3a1f3cc0a8fdp-2, -0x1.3e94b28b720acp-2, -0x1.f48c12f17d307p-3, -0x1.bb3c27d16267dp-3, -0x1.bd4e305694261p-3, -0x1.e7aa258a33fedp-3, -0x1.14c0a544ca3b3p-2, -0x1.3a7e459af2e67p-2, -0x1.5fb336476218ep-2, -0x1.808195f47683ep-2, -0x1.9a5d8baa9f995p-2, -0x1.abd7d07d52b43p-2, -0x1.b465a99dec4bap-2, -0x1.b42b4d48a097dp-2, -0x1.abcb7ef501b8p-2, -0x1.9c3dd2ff9d6afp-2, -0x1.86ac0e041ee5ap-2, -0x1.6c56804a2dfdp-2, -0x1.4e7ed5c0192fp-2, -0x1.2e589ae4cb6dep-2, -0x1.0cfe9934a931ap-2, -0x1.d6d85e3e0544ap-3, -0x1.94f39f0ef970ap-3, -0x1.55b7d81f2589ep-3, -0x1.1a47478154094p-3, -0x1.c702b969e6a62p-4, -0x1.6410670eb88a8p-4, -0x1.0c8dfa7dcc4afp-4, -0x1.81e3802dc07bap-5, -0x1.02bfa29f3969ap-5, -0x1.36de483efbe0ap-6, -0x1.2d032ec148a54p-7, -0x1.12aab8dae0df4p-9, 0x1.420e1895cce8fp-9, 0x1.3106391d6aa06p-8, 0x1.33aa072a4482ep-8, 0x1.6d23dd2b1949cp-9, -0x1.c2fe30643a1edp-11, -0x1.8b507d6e827d8p-8, -0x1.9a54b0584662p-7, -0x1.49d19f9a07039p-6, -0x1.d5a6aa205918ap-6, -0x1.36d933f4c745ap-5, -0x1.87974d2261306p-5, -0x1.dbc4552b6f1fbp-5, -0x1.1918c3aac9d36p-4, -0x1.44e569fc7cb6p-4, -0x1.70cb47d9c2cb3p-4, -0x1.9c5a68e9e1d0ep-4, -0x1.c72f438de2373p-4, -0x1.f0f22b98e7703p-4, -0x1.0cab5904ec9edp-3, -0x1.200d7c6f1211cp-3, -0x1.32838058e6e17p-3, -0x1.43f5f95fa056cp-3, -0x1.5451b65d47669p-3, -0x1.638767de81771p-3, -0x1.718b49635fab3p-3, -0x1.7e54cf542d32bp-3, -0x1.89de56758def5p-3, -0x1.9424da3bf2177p-3, -0x1.9d27ac57b8eecp-3, -0x1.a4e834b7c25aap-3, -0x1.ab69afeeb2e66p-3, -0x1.b0b0f9375315dp-3, -0x1.b4c4520596c55p-3, -0x1.b7ab311555d82p-3, -0x1.b96e16d29aed3p-3, -0x1.ba1660392b4c7p-3, -0x1.b9ae22881720ep-3, -0x1.b84008ebbcb88p-3, -0x1.b5d7330726c61p-3, -0x1.b27f18b4cb44ep-3, -0x1.ae437174f87cdp-3, -0x1.a9301bef93304p-3, -0x1.a3510989a46acp-3, -0x1.9cb22bb0fadc5p-3, -0x1.955f647032f73p-3, -0x1.8d6477711510cp-3, -0x1.84ccfd7133bdfp-3, -0x1.7ba459e2ad1b5p-3, -0x1.71f5b10ef404ap-3, -0x1.67cbe1313249bp-3, -0x1.5d317af7f90bcp-3, -0x1.5230bc9470a44p-3, -0x1.46d38d6e7082ep-3, -0x1.3b237a8659c4ap-3, -0x1.2f29b43280e9cp-3, -0x1.22ef0c74a3229p-3, -0x1.167bf5bd7a363p-3, -0x1.09d8825e9c596p-3, -0x1.fa18ca0b4b8e8p-4, -0x1.e03de309e005ep-4, -0x1.c62e39de593f5p-4, -0x1.abf70001f0f02p-4, -0x1.91a4afdf7f5e4p-4, -0x1.774313351baeep-4, -0x1.5cdd4351c5e56p-4, -0x1.427db28d2f40ep-4, -0x1.282e2e3e04cccp-4, -0x1.0df7e388d6705p-4, -0x1.e7c6d0993b392p-5, -0x1.b3f179ac8eaebp-5, -0x1.807ea4ab4c1c3p-5, -0x1.4d7c26526ae97p-5, -0x1.1af6cae8cd1d7p-5, -0x1.d1f4c63dbaab8p-6, -0x1.6f23a0195ac74p-6, -0x1.0d8e1ef880e31p-6, -0x1.5a8d0ec49007bp-7, -0x1.3976036a0e40ap-8, 0x1.e3bb96f6d7102p-11, 0x1.ac77a0f45dbddp-8, 0x1.8b2cbe7c26c5ap-7, 0x1.1e7c4fc1fde5dp-6, 0x1.75c6040e1f607p-6, 0x1.cb6af3395deddp-6, 0x1.0fb1d730500b6p-5, 0x1.38d4e96623a8bp-5, 0x1.611bfbc4da7p-5, 0x1.8884d00a1f318p-5, 0x1.af0d979be3ba2p-5, 0x1.d4b4ebc78a328p-5, 0x1.f979c5f99b8p-5, 0x1.0eadbe5ed3e5cp-4, 0x1.202cdddf1b015p-4, 0x1.313a3eb463a9cp-4, 0x1.41d6035be43d3p-4, 0x1.52007176cfc4cp-4, 0x1.61b9ee790def2p-4, 0x1.7102fd34d541p-4, 0x1.7fdc3cb67596bp-4, 0x1.8e4665b22b1c2p-4, 0x1.9c42482066fdfp-4, 0x1.a9d0c98822c7dp-4, 0x1.b6f2e3a4746c2p-4, 0x1.c3a9a2ba00c09p-4, 0x1.cff6235ae37d2p-4, 0x1.dbd99122ba26ap-4, 0x1.e75525d33dc11p-4, 0x1.f26a27b29ac87p-4, 0x1.fd19e7ff40f5ap-4, 0x1.03b2e0fa3451dp-3, 0x1.08a78cecaf549p-3, 0x1.0d6badeb926aap-3, 0x1.11fffd68d37dp-3, 0x1.166537e055476p-3, 0x1.1a9c1c5ddb9fap-3, 0x1.1ea56c1304798p-3, 0x1.2281e9fca915fp-3, 0x1.26325a6dafd14p-3, 0x1.29b782cd648fap-3, 0x1.2d12295b97c9dp-3, 0x1.304314dfd44c3p-3, 0x1.334b0c4f50a77p-3, 0x1.362ad68ed602cp-3, 0x1.38e33a4bf470cp-3, 0x1.3b74fdc9575ebp-3, 0x1.3de0e6a57af9bp-3, 0x1.4027b9a0b44b3p-3, 0x1.424a3a73eedf9p-3, 0x1.44492bb7d370ep-3, 0x1.46254ec4e35dep-3, 0x1.47df638857cf3p-3, 0x1.4978285e454cfp-3, 0x1.4af059fa8cafep-3, 0x1.4c48b3592750fp-3, 0x1.4d81edaa2897p-3, 0x1.4e9cc037402d1p-3, 0x1.4f99e049cffeep-3, 0x1.507a011d490dap-3, 0x1.513dd3d913e3fp-3, 0x1.51e60784f8c86p-3, 0x1.527348f9220ap-3, 0x1.52e642cf852e2p-3, 0x1.533f9d5bd19d9p-3, 0x1.537ffea8eda66p-3, 0x1.53a80a75d528bp-3, 0x1.53b8622f39e9dp-3, 0x1.53b1a4e72f68p-3, 0x1.53946f50a9afap-3, 0x1.53615bbf3c43ap-3, 0x1.531902298e285p-3, 0x1.52bbf82964714p-3, 0x1.524ad0f92ff93p-3, 0x1.51c61d72cd349p-3, 0x1.512e6c104bdd8p-3, 0x1.508448ef7c77ap-3, 0x1.4fc83dd692e82p-3, 0x1.4efad236fde58p-3, 0x1.4e1c8b2eeca21p-3, 0x1.4d2deb8b77318p-3, 0x1.4c2f73cc51df3p-3, 0x1.4b21a22976c71p-3, 0x1.4a04f29933b4ap-3, 0x1.48d9ded4e55bfp-3, 0x1.47a0de5ce3dd1p-3, 0x1.465a667cbcaf6p-3, 0x1.4506ea504f7d9p-3, 0x1.43a6daca2eb36p-3, 0x1.423aa6ba823aap-3, 0x1.40c2bad519c01p-3, 0x1.3f3f81b6d615dp-3, 0x1.3db163eb1295ep-3, 0x1.3c18c7f134578p-3, 0x1.3a76124326e2ap-3, 0x1.38c9a55c4434p-3, 0x1.3713e1c06b5f5p-3, 0x1.35552601f78fap-3, 0x1.338dcec7c7be5p-3, 0x1.31be36d361aeap-3, 0x1.2fe6b70732d0dp-3, 0x1.2e07a66d3106ep-3, 0x1.2c215a3ddecdap-3, 0x1.2a3425e6cfdb8p-3, 0x1.28405b10d86c3p-3, 0x1.264649a6303c3p-3, 0x1.24463fd8a4787p-3, 0x1.22408a280ba65p-3, 0x1.20357368b3631p-3, 0x1.1e2544c9dd17fp-3, 0x1.1c1045dc2c9b2p-3, 0x1.19f6bc97a2b4bp-3, 0x1.17d8ed619dcc2p-3, 0x1.15b71b12efb22p-3, 0x1.139186fded42p-3, 0x1.116870f47294p-3, 0x1.0f3c174e0354ep-3, 0x1.0d0cb6edbc7fap-3, 0x1.0ada8b4838e4ep-3, 0x1.08a5ce6957cabp-3, 0x1.066eb8f9ee6f9p-3, 0x1.0435824563903p-3, 0x1.01fa603f3bf95p-3, 0x1.ff7b0f11867ep-4, 0x1.fafe56ed43f67p-4, 0x1.f67efc2ce1101p-4, 0x1.f1fd606847ccfp-4, 0x1.ed79e2be84b4ep-4, 0x1.e8f4dfe02c88p-4, 0x1.e46eb2199ec1ep-4, 0x1.dfe7b15d5efbep-4, 0x1.db60334e4ce28p-4, 0x1.d6d88b4a1475ep-4, 0x1.d2510a735d337p-4, 0x1.cdc9ffbb63b6dp-4, 0x1.c943b7eb9de8bp-4, 0x1.c4be7daec29bfp-4, 0x1.c03a999a5196fp-4, 0x1.bbb8523816557p-4, 0x1.b737ec0f93ec8p-4, 0x1.b2b9a9af5bd16p-4, 0x1.ae3dcbb6270e4p-4, 0x1.a9c490db728f4p-4, 0x1.a54e35f7fbc4fp-4, 0x1.a0daf60e4612cp-4, 0x1.9c6b0a532746bp-4, 0x1.97feaa367d0e8p-4, 0x1.93960b6bb7ad7p-4, 0x1.8f3161f21acdfp-4, 0x1.8ad0e01cad0ep-4, 0x1.8674b699f53a1p-4, 0x1.821d147bb9ff2p-4, 0x1.7dca273ecfaf8p-4, 0x1.797c1ad2aa916p-4, 0x1.753319a14db68p-4, 0x1.70ef4c970100dp-4, 0x1.6cb0db29e614dp-4, 0x1.6877eb609052p-4, 0x1.6444a1d8f000fp-4, 0x1.601721cf30508p-4, 0x1.5bef8d2501291p-4, 0x1.57ce0468ac94p-4, 0x1.53b2a6dbfca2ep-4, 0x1.4f9d927aff62bp-4, 0x1.4b8ee402bc628p-4, 0x1.4786b6f742386p-4, 0x1.438525a9ad842p-4, 0x1.3f8a493e5e90bp-4, 0x1.3b9639b34deb7p-4, 0x1.37a90de662eb9p-4, 0x1.33c2db9bc5a5cp-4, 0x1.2fe3b78411091p-4, 0x1.2c0bb54217e8ep-4, 0x1.283ae7706a854p-4, 0x1.24715fa6c3452p-4, 0x1.20af2e7f5eae2p-4, 0x1.1cf4639c7ea36p-4, 0x1.19410dae05eb5p-4, 0x1.15953a771d351p-4, 0x1.11f0f6d3aec72p-4, 0x1.0e544ebe2155p-4, 0x1.0abf4d5346457p-4, 0x1.0731fcd8ea1a4p-4, 0x1.03ac66c0bd4a9p-4, 0x1.002e93adbe597p-4, 0x1.f97116f3e46b5p-5, 0x1.f294aa73d12fdp-5, 0x1.ebc7ee84d787p-5, 0x1.e50aee5a5996cp-5, 0x1.de5db3bab7911p-5, 0x1.d7c047081fba3p-5, 0x1.d132af48f80acp-5, 0x1.cab4f230309a3p-5, 0x1.c4471425ba9fap-5, 0x1.bde9184e3d963p-5, 0x1.b79b0093f87f9p-5, 0x1.b15ccdafd08afp-5, 0x1.ab2e7f31815d8p-5, 0x1.a51013869491cp-5, 0x1.9f018802b47b3p-5, 0x1.9902d8e6e2a06p-5, 0x1.9314016877513p-5, 0x1.8d34fbb858211p-5, 0x1.8765c10a6164ep-5, 0x1.81a6499cfe7d1p-5, 0x1.7bf68cc0ee745p-5, 0x1.765680e0ac6fap-5, 0x1.70c61b875cf95p-5, 0x1.6b4551671eb9ap-5, 0x1.65d4165f90aacp-5, 0x1.60725d8074946p-5, 0x1.5b2019147ce42p-5, 0x1.55dd3aa1d0f84p-5, 0x1.50a9b2f32a335p-5, 0x1.4b85721e5a89bp-5, 0x1.4670678bc35efp-5, 0x1.416a81fdaf886p-5, 0x1.3c73af970d3a1p-5, 0x1.378bdde048625p-5, 0x1.32b2f9d1959f8p-5, 0x1.2de8efc7a6cbfp-5, 0x1.292dab9e302b3p-5, 0x1.2481189a3a149p-5, 0x1.1fe3217fd543cp-5, 0x1.1b53b09046e55p-5, 0x1.16d2af918a01ap-5, 0x1.126007d5b9554p-5, 0x1.0dfba242a3082p-5, 0x1.09a567588f43ep-5, 0x1.055d3f3809d1cp-5, 0x1.012311a5f1728p-5, 0x1.f9ed8c1c6c4d9p-6, 0x1.f1b0870c140aap-6, 0x1.e98ee19a248f7p-6, 0x1.e188689f30f66p-6, 0x1.d99ce8534aa22p-6, 0x1.d1cc2c55f66adp-6, 0x1.ca15ffb7c6989p-6, 0x1.c27a2d045d041p-6, 0x1.baf87e4c1107ep-6, 0x1.b390bd2cac86p-6, 0x1.ac42b2d9a8dbap-6, 0x1.a50e2824c532cp-6, 0x1.9df2e5876dd3p-6, 0x1.96f0b32ddb3fep-6, 0x1.90075905aa196p-6, 0x1.89369ecc096edp-6, 0x1.827e4c1828891p-6, 0x1.7bde285e8bc8ep-6, 0x1.7555fafa8c99p-6, 0x1.6ee58ade64914p-6, 0x1.688c9f04d6f1p-6, 0x1.624afdd618769p-6, 0x1.5c206d5bc0402p-6, 0x1.560cb3337b5b6p-6, 0x1.500f94a42d4fap-6, 0x1.4a28d6c9fed24p-6, 0x1.44583ed4c9dp-6, 0x1.3e9d924e42584p-6, 0x1.38f89757feba2p-6, 0x1.336914d01d148p-6, 0x1.2deed24e0c051p-6, 0x1.288997f03ffe6p-6, 0x1.23392dfe9950ap-6, 0x1.1dfd5c7133498p-6, 0x1.18d5ea7567d23p-6, 0x1.13c29e1139d57p-6, 0x1.0ec33c01176a2p-6, 0x1.09d787e70519dp-6, 0x1.04ff44cc7325ep-6, 0x1.003a35eb64acp-6, 0x1.f7103f2e8f36p-7, 0x1.edd1902dbb09fp-7, 0x1.e4b7f077c8578p-7, 0x1.dbc2f7120d002p-7, 0x1.d2f23f9abd0b7p-7, 0x1.ca45686fedbf3p-7, 0x1.c1bc100cda481p-7, 0x1.b955d2180ad9fp-7, 0x1.b11244c2a91c6p-7, 0x1.a8f0f71887af7p-7, 0x1.a0f170c15b5b5p-7, 0x1.991333708038cp-7, 0x1.9155bdea6a72dp-7, 0x1.89b8902b8abbp-7, 0x1.823b2ff1329a5p-7, 0x1.7add2cbaf4f7fp-7, 0x1.739e225e7a0c5p-7, 0x1.6c7db97d12e79p-7, 0x1.657ba58a44953p-7, 0x1.5e97a08ccc8a5p-7, 0x1.57d16540c9c0fp-7, 0x1.5128a8a623cfep-7, 0x1.4a9d143be0649p-7, 0x1.442e421f1f879p-7, 0x1.3ddbbbfb84565p-7, 0x1.37a4fd3afef5bp-7, 0x1.318978496e2ccp-7, 0x1.2b889e3c33b2ap-7, 0x1.25a1e72a43c05p-7, 0x1.1fd4da5580245p-7, 0x1.1a21140ee0821p-7, 0x1.14864888bff58p-7, 0x1.0f0441e8f8e7dp-7, 0x1.099adae24b6d5p-7, 0x1.0449f60409078p-7, 0x1.fe22e619e4573p-8, 0x1.f3e248da6bd36p-8, 0x1.e9d18da64b505p-8, 0x1.dfeff8c30d412p-8, 0x1.d63c991610ebbp-8, 0x1.ccb65173b221dp-8, 0x1.c35bea212ac8bp-8, 0x1.ba2c27b8d429dp-8, 0x1.b125e3b31c309p-8, 0x1.a848228607515p-8, 0x1.9f92239b77a6bp-8, 0x1.97036841736d4p-8, 0x1.8e9bb01936a7p-8, 0x1.865aeb3ea746cp-8, 0x1.7e41243151663p-8, 0x1.764e6518ce382p-8, 0x1.6e829cff5697dp-8, 0x1.66dd89b228151p-8, 0x1.5f5eaa21c2be4p-8, 0x1.58053b71b35e7p-8, 0x1.50d040e20d26bp-8, 0x1.49be94da067e6p-8, 0x1.42cefffe792bap-8, 0x1.3c005298f0f32p-8, 0x1.35517d17d8b22p-8, 0x1.2ec1a0075301fp-8, 0x1.28501df083544p-8, 0x1.21fc97b468639p-8, 0x1.1bc6e911316cbp-8, 0x1.15af19005a8ep-8, 0x1.0fb544b47f9a9p-8, 0x1.09d987d22e92ap-8, 0x1.041be5bbd3fedp-8, 0x1.fcf86f4aee078p-9, 0x1.f1f444968973fp-9, 0x1.e72a29342b4bep-9, 0x1.dc989dbe2847p-9, 0x1.d23de1611afddp-9, 0x1.c8181593989a4p-9, 0x1.be256384032d6p-9, 0x1.b4641d25d0fe2p-9, 0x1.aad2d4a5af623p-9, 0x1.a170670d32ed5p-9, 0x1.983bf9d7053ddp-9, 0x1.8f34eea5f97d4p-9, 0x1.865ad26bd1732p-9, 0x1.7dad4d1fbc6fbp-9, 0x1.752c14a7bbb6dp-9, 0x1.6cd6e271ce84ap-9, 0x1.64ad69613ae8cp-9, 0x1.5caf4a36ea2d3p-9, 0x1.54dc070157a7cp-9, 0x1.4d32f8f42e461p-9, 0x1.45b34da502f5ep-9, 0x1.3e5c0fe4690d2p-9, 0x1.372c3caf1c338p-9, 0x1.3022deee58aaap-9, 0x1.293f277a705dp-9, 0x1.22807580f6531p-9, 0x1.1be64832906b7p-9, 0x1.15701c8166f7fp-9, 0x1.0f1d44557c2f8p-9, 0x1.08ecca76943aap-9, 0x1.02dd7371ca4dp-9, 0x1.f9dbc02944596p-10, 0x1.ee398d1bad4d3p-10, 0x1.e2d256a929b7ap-10, 0x1.d7a501ff0f6a7p-10, 0x1.ccb1402cf4d36p-10, 0x1.c1f73415ba16bp-10, 0x1.b776f93b82c22p-10, 0x1.ad30478ce84edp-10, 0x1.a32262e5eca8p-10, 0x1.994c5cb10309ap-10, 0x1.8fad7feb92bfdp-10, 0x1.8645a677ec18ap-10, 0x1.7d15405cc0ac3p-10, 0x1.741cfb6240cf6p-10, 0x1.6b5d26999107p-10, 0x1.62d50d3c66f62p-10, 0x1.5a828be7fffd2p-10, 0x1.526212325c84bp-10, 0x1.4a6f203bd836ep-10, 0x1.42a5254ab963dp-10, 0x1.3b007bbf7a1dap-10, 0x1.337f2632ca554p-10, 0x1.2c20fbf68c27fp-10, 0x1.24e72a7d1fcf8p-10, 0x1.1dd343de0f772p-10, 0x1.16e651fc2e1f5p-10, 0x1.1020635a0434cp-10, 0x1.0980be4f5a998p-10, 0x1.030688b51042cp-10, 0x1.f962f3a34cdc9p-11, 0x1.ed04678fe19e7p-11, 0x1.e0f42fd42edbep-11, 0x1.d5355a09cb1p-11, 0x1.c9c9c021dbfbep-11, 0x1.beb0dc05f8e53p-11, 0x1.b3e744a9f86eep-11, 0x1.a966d8cc38c34p-11, 0x1.9f277e76eba58p-11, 0x1.952069889c1cep-11, 0x1.8b49c90941b74p-11, 0x1.819e705f156bcp-11, 0x1.781ccc03aec48p-11, 0x1.6ec68ed95a382p-11, 0x1.659f242487caep-11, 0x1.5ca9b016fdc69p-11, 0x1.53e7a76065ab7p-11, 0x1.4b589446d7d4p-11, 0x1.42faee6813f5ep-11, 0x1.3acd71a33a57dp-11, 0x1.32d02fff7c639p-11, 0x1.2b04b9327c121p-11, 0x1.236d44a24135cp-11, 0x1.1c0b7baa8c019p-11, 0x1.14dfa8b1a4444p-11, 0x1.0de8998c7ffa9p-11, 0x1.0723f86a4c79dp-11, 0x1.008eacded01cbp-11, 0x1.f44a1bb25389ap-12, 0x1.e7c60b53f40c4p-12, 0x1.db88c31a14015p-12, 0x1.cf8aae2666c46p-12, 0x1.c3c6381e73e13p-12, 0x1.b838b4d24f9c4p-12, 0x1.ace28a8b97084p-12, 0x1.a1c667d3d4e0cp-12, 0x1.96e7a61c1a012p-12, 0x1.8c48603c0135cp-12, 0x1.81e88430019adp-12, 0x1.77c6ef57a4942p-12, 0x1.6de35362e24dp-12, 0x1.643e7cfa001f8p-12, 0x1.5ad91bfc44fd1p-12, 0x1.51b30ccc1b26dp-12, 0x1.48cb6e884c7b1p-12, 0x1.40209486ecc98p-12, 0x1.37b0076c171bcp-12, 0x1.2f7732310df67p-12, 0x1.2774320997b14p-12, 0x1.1fa5e1c7b2c34p-12, 0x1.180b2c7122a29p-12, 0x1.10a247388ae01p-12, 0x1.09681d119b082p-12, 0x1.02585a601e1a4p-12, 0x1.f6ddc67f64c25p-13, 0x1.e953ca62fb7b6p-13, 0x1.dc140469fd439p-13, 0x1.cf1fdfbbfa93p-13, 0x1.c274a0d138177p-13, 0x1.b60df891dc459p-13, 0x1.a9ed193be587ap-13, 0x1.9e195149b3758p-13, 0x1.92976ac5d781ap-13, 0x1.8763a19c8ce35p-13, 0x1.7c760f65d8973p-13, 0x1.71ca8e7fb9392p-13, 0x1.6761eb0f69b96p-13, 0x1.5d3cb4c36f40fp-13, 0x1.5357f828ea31ep-13, 0x1.49af72502e67p-13, 0x1.40413aafb3c6dp-13, 0x1.370e96d7a5fefp-13, 0x1.2e19d00fcace9p-13, 0x1.25636746a1bd1p-13, 0x1.1ce7d8c527ccep-13, 0x1.149e79a9ae022p-13, 0x1.0c7dd0aad06p-13, 0x1.0485c327f91fdp-13, 0x1.f982d26213c62p-14, 0x1.ea722d6568393p-14, 0x1.dbccd0b08eecep-14, 0x1.cd780b39e01a7p-14, 0x1.bf681ed8abb9fp-14, 0x1.b1a47b4ffea57p-14, 0x1.a4373e1446eb2p-14, 0x1.97241386caf37p-14, 0x1.8a641318da3e8p-14, 0x1.7deabf7c560bdp-14, 0x1.71b3a75c1c6c9p-14, 0x1.65c63978fa1b8p-14, 0x1.5a2891dc8fbfdp-14, 0x1.4ed67dc1ab663p-14, 0x1.43c74f94e50bap-14, 0x1.38f66b71c98c4p-14, 0x1.2e653330ce4cp-14, 0x1.24176caf68c98p-14, 0x1.1a0f56d57e793p-14, 0x1.104c524420db6p-14, 0x1.06c7709b361a2p-14, 0x1.fae116288dd39p-15, 0x1.e87d725052792p-15, 0x1.d6802abbc38c6p-15, 0x1.c5039feb44956p-15, 0x1.b3f72f0921a9bp-15, 0x1.a34fbdee9c982p-15, 0x1.93239cd9a304fp-15, 0x1.83776a6699661p-15, 0x1.7429b359920adp-15, 0x1.651981662d196p-15, 0x1.56496319384d8p-15, 0x1.47d09d616b113p-15, 0x1.39b1a74290f55p-15, 0x1.2bdb43ce40c71p-15, 0x1.1e4e5b8a425c3p-15, 0x1.11188e451044cp-15, 0x1.043d8c2cdae76p-15, 0x1.ef5fa466aa88cp-16, 0x1.d6cacdd9de572p-16, 0x1.beb9339863434p-16, 0x1.a72facf64b112p-16, 0x1.9030ebd3517cbp-16, 0x1.79bd2f66cc993p-16, 0x1.63da7a38cac8ep-16, 0x1.4e8376693e0dp-16, 0x1.3995ad16b6ae3p-16, 0x1.250df8ccd9dc3p-16, 0x1.1100c06e82376p-16, 0x1.faa4e1353a777p-17, 0x1.d405427aa13b3p-17, 0x1.ae6db8d22a6cbp-17, 0x1.89d812a495584p-17, 0x1.661c6591705f7p-17, 0x1.4330e8b3ebfafp-17, 0x1.211b5bf1959p-17, 0x1.ff922800e5da7p-18, 0x1.be2118264927ep-18, 0x1.7df1ea45c2ff5p-18, 0x1.3f3b959cd0beap-18, 0x1.01be656003879p-18, 0x1.8ada24dd191dep-19, 0x1.1544322859b0ap-19, 0x1.456d0a026c09cp-20, 0x1.9542de9bbd7c1p-22, -0x1.d9783385440a8p-22, -0x1.4da927868aab3p-20, -0x1.103d9975b3ffdp-19, -0x1.7771d6c30f27p-19, -0x1.dc741102361aep-19, -0x1.1f7af9df13b02p-18, -0x1.4f6b37659dfc7p-18, -0x1.7e654bb35eedp-18, -0x1.ac801292de88ep-18, -0x1.d9c9bd211d158p-18, -0x1.03133ab43792ep-17, -0x1.18aab23a9b26cp-17, -0x1.2dc1cd2f29ff2p-17, -0x1.426c0febb0a3ap-17, -0x1.56ab2ceb2f579p-17, -0x1.6a7d910c7f5d5p-17, -0x1.7de358f3ba2a5p-17, -0x1.90de04e9c3625p-17, -0x1.a36bde5ed6d6bp-17, -0x1.b584ac0413a16p-17, -0x1.c72d128b735d6p-17, -0x1.d87a59aa8d3cep-17, -0x1.e96f39e1a0adp-17, -0x1.fa1109019a93fp-17, -0x1.052ac120ea91cp-16, -0x1.0d1711a8ea30fp-16, -0x1.14d4415e9d949p-16, -0x1.1c67f8075142p-16, -0x1.23d2dd8d10bd1p-16, -0x1.2b1474aea7b79p-16, -0x1.322d2c6073ea7p-16, -0x1.391de4050f37fp-16, -0x1.3fe3d5af6bb25p-16, -0x1.467b5ee1d7807p-16, -0x1.4ced8b0c6bf59p-16, -0x1.533fe74240a5ep-16, -0x1.596f1163cba3dp-16, -0x1.5f7447d473a58p-16, -0x1.65541bbf3fa72p-16, -0x1.6b11df9e10d97p-16, -0x1.70ad85f5f7711p-16, -0x1.7626fa8145dd1p-16, -0x1.7b7e94b041cbap-16, -0x1.80b4e290dafa7p-16, -0x1.85ca85564205ep-16, -0x1.8ac01ab9734fep-16, -0x1.8f96348563204p-16, -0x1.944d6bc22eee5p-16, -0x1.98e646065e05dp-16, -0x1.9d604802cbd8dp-16, -0x1.a1ba5728d20a3p-16, -0x1.a5f6fc46e7cd3p-16, -0x1.aa190cd8382e6p-16, -0x1.ae1ff0dc1a2e3p-16, -0x1.b2093e23c35aep-16, -0x1.b5d650f69c44cp-16, -0x1.b988d833af3b5p-16, -0x1.bd210ce984005p-16, -0x1.c09f02f7e574fp-16, -0x1.c40319749dd11p-16, -0x1.c74db70d165a7p-16, -0x1.ca7e5bfd21997p-16, -0x1.cd95975225538p-16, -0x1.d0959062f96a4p-16, -0x1.d37d2d5a8df4bp-16, -0x1.d64c4251e8a4fp-16, -0x1.d904066bf6396p-16, -0x1.dba4c069dbf57p-16, -0x1.de2e9ccb000fbp-16, -0x1.e0a1df6319bafp-16, -0x1.e2fed4c64ae85p-16, -0x1.e545c9ecac11dp-16, -0x1.e777097c194d7p-16, -0x1.e992dce4c5f8cp-16, -0x1.eb998cb501c85p-16, -0x1.ed8b61b753b88p-16, -0x1.ef68a2b0ebcc1p-16, -0x1.f13194af2d791p-16, -0x1.f2e6791d09e7dp-16, -0x1.f48715a801eep-16, -0x1.f616151f355ecp-16, -0x1.f78f456ac5b8cp-16, -0x1.f8f62afadc612p-16, -0x1.fa4aa9292bac8p-16, -0x1.fb8c6fc17064cp-16, -0x1.fcbbd66ed4d46p-16, -0x1.fdd91d8d842cep-16, -0x1.fee489ec0b08bp-16, -0x1.ffde50ab30921p-16, -0x1.006354425bd12p-15, -0x1.00cee49e914e9p-15, -0x1.0131f5b76c3bap-15, -0x1.018ca2c054554p-15, -0x1.01df067a6f018p-15, -0x1.02293c3c8cd5ep-15, -0x1.026b5de7b4cd4p-15, -0x1.02a585ade0359p-15, -0x1.02d7cd7ac49fbp-15, -0x1.03024edfd9966p-15, -0x1.03252323990eap-15, -0x1.0340634640758p-15, -0x1.0354280339b22p-15, -0x1.036089d04d103p-15, -0x1.0365a0d9d927cp-15, -0x1.03638504f9627p-15, -0x1.035a4e0299af8p-15, -0x1.034a136ef2283p-15, -0x1.0332ecc1243a9p-15, -0x1.0314eb72dfd86p-15, -0x1.02ea552d58163p-15, -0x1.02c4d4cd5b26cp-15, -0x1.0292e8dfc39f1p-15, -0x1.025a7d6e2a73dp-15, -0x1.021baed82fa6ep-15, -0x1.01d692e5ca778p-15, -0x1.018b3c1a4fea9p-15, -0x1.0139c21f40db6p-15, -0x1.00e23ee6813d8p-15, -0x1.0084c0a2b3729p-15, -0x1.002168d88b614p-15, -0x1.ff7082b2379eep-16, -0x1.fe92b7044c187p-16, -0x1.fda9975102cd7p-16, -0x1.fcb5652910256p-16, -0x1.fbb64a11eac16p-16, -0x1.faac65e54b7c3p-16, -0x1.f997d0585f0f7p-16, -0x1.f878bc19f47bbp-16, -0x1.f74f54260ffb5p-16, -0x1.f61bc0168d6f7p-16, -0x1.f4de2700687ebp-16, -0x1.f396afdaee569p-16, -0x1.f245817290a73p-16, -0x1.f0eac2f0352a5p-16, -0x1.ef869987dac9fp-16, -0x1.ee192c4e9b703p-16, -0x1.eca2a07a5f4c7p-16, -0x1.eb231b6da3093p-16, -0x1.e99ac24fa2791p-16, -0x1.e809b9f5f2f6fp-16, -0x1.e670278d8b6d1p-16, -0x1.e4ce2fead79d6p-16, -0x1.e323f80b5f4cdp-16, -0x1.e171a50329d07p-16, -0x1.dfb75b570907p-16, -0x1.ddf53e350659ep-16, -0x1.dc2b6f8cbc70bp-16, -0x1.da5a10e00822bp-16, -0x1.d8814521073a4p-16, -0x1.d6a133e3385f9p-16, -0x1.d4ba033b55fd8p-16, -0x1.d2cbc7e848215p-16, -0x1.d0d68cc57b815p-16, -0x1.cedaabadefeacp-16, -0x1.ccd863aa9912p-16, -0x1.cacf6953fd577p-16, -0x1.c8c01f5989d9cp-16, -0x1.c6aacea2eb259p-16, -0x1.c48f3a1f990eep-16, -0x1.c26da3e38fa69p-16, -0x1.c0463abaccc5ap-16, -0x1.be191e7bff0e1p-16, -0x1.bbe66dddf211p-16, -0x1.b9ae47bd642d9p-16, -0x1.b770cae50bc08p-16, -0x1.b52e1622ab88cp-16, -0x1.b2e64890e47a9p-16, -0x1.b09981a3cfc47p-16, -0x1.ae47e070676fep-16, -0x1.abf18499644a1p-16, -0x1.a99688c7ca95fp-16, -0x1.a7370e27184b3p-16, -0x1.a4d3329b83cffp-16, -0x1.a26b141ca0619p-16, -0x1.9ffed08e8c9ecp-16, -0x1.9d8e88fa661a5p-16, -0x1.9b1a407169573p-16, -0x1.98a1a8ac9cc6ap-16, -0x1.962524e1c97ffp-16, -0x1.93a70c94ef2efp-16, -0x1.912434edcb24dp-16, -0x1.8e9df1d9c1c11p-16, -0x1.8c146f97383fp-16, -0x1.8987c4b9217bp-16, -0x1.86f8093ac872fp-16, -0x1.846557ec29111p-16, -0x1.81cfd05f6f25fp-16, -0x1.7f3791343b332p-16, -0x1.7c9cb52e344afp-16, -0x1.79ff393d0256dp-16, -0x1.775f0dd18cbcap-16, -0x1.74bcc2e647716p-16, -0x1.721862b64f7cdp-16, -0x1.6f71f5897a241p-16, -0x1.6cc93f281131ep-16, -0x1.6a1e8b26075f5p-16, -0x1.6771fe0681148p-16, -0x1.64c3ae675fe53p-16, -0x1.6213b28ea221ep-16, -0x1.5f622148d81ecp-16, -0x1.5caf112c5be53p-16, -0x1.59fa97d2d2e84p-16, -0x1.5743c61ed367ep-16, -0x1.548db74835c4ap-16, -0x1.51d5a91d75953p-16, -0x1.4f1c75839e416p-16, -0x1.4c6248251469fp-16, -0x1.49a736d84881dp-16, -0x1.46eb585e56d73p-16, -0x1.442ec2ca6f553p-16, -0x1.4171893b03c7fp-16, -0x1.3eb3c0020605ap-16, -0x1.3bf57d6e76eeep-16, -0x1.3936d562a143fp-16, -0x1.3677da5b0c67ep-16, -0x1.33b89fee80ef5p-16, -0x1.30f939f9938dfp-16, -0x1.2e39bbe31a8e1p-16, -0x1.2b7a38817a6e4p-16, -0x1.28bac23126e2ap-16, -0x1.25fb6af53dfbap-16, -0x1.233c45b848a8ep-16, -0x1.207d672f2f7b5p-16, -0x1.1dbee18cc41d1p-16, -0x1.1b00c48c2fc6p-16, -0x1.18431b36f01eap-16, -0x1.1585d8e43ad65p-16, -0x1.12c96bd97c69dp-16, -0x1.100d9e33700c3p-16, -0x1.0d52824cdd6bdp-16, -0x1.0a98332a27694p-16, -0x1.07dec359f0decp-16, -0x1.052631fe90713p-16, -0x1.026e870db3f2ap-16, -0x1.ff70535d0eaaap-17, -0x1.fa05999a2a488p-17, -0x1.f49d158b0c9dep-17, -0x1.ef3702c538afbp-17, -0x1.e9d37e32b0e52p-17, -0x1.e472a2741124ep-17, -0x1.df148a96635c8p-17, }}, 
      {{-0x1.e904f723601dfp+0, -0x1.d61b89d3bbb35p+0, -0x1.babe05895b5f6p+0, -0x1.9aa65c2120de9p+0, -0x1.78f65a1cbb49bp+0, -0x1.5800d0e49095fp+0, -0x1.3951086f0855p+0, -0x1.1dcb95942038dp+0, -0x1.05d595b989617p+0, -0x1.e2f2cc82c6beap-1, -0x1.c10ad158553cp-1, -0x1.a54825e0d9055p-1, -0x1.8edb8ba5eaabfp-1, -0x1.7ceac5af73383p-1, -0x1.6ea16af34881dp-1, -0x1.633b5f0b94592p-1, -0x1.5a0aa4b187b04p-1, -0x1.5279e21a9e3e5p-1, -0x1.4c0ca5cdb5d66p-1, -0x1.465e378fb0ab8p-1, -0x1.411f845f124cp-1, -0x1.3c149799d3a81p-1, -0x1.3711e6fd7667p-1, -0x1.31f9a4f9c58afp-1, -0x1.2cb93c807e79bp-1, -0x1.274707588c772p-1, -0x1.21a04770a8369p-1, -0x1.1bc76ad4064ap-1, -0x1.15c292f358f0ep-1, -0x1.0f9a5f18e6713p-1, -0x1.0958f1d56dee7p-1, -0x1.030929ba789e6p-1, -0x1.f96c132d077fcp-2, -0x1.ecd489621b0fep-2, -0x1.e05fd8cd1968ap-2, -0x1.d4206e37be343p-2, -0x1.c826baa0a4eb8p-2, -0x1.bc810b88427eep-2, -0x1.b13b7f5f6a8f2p-2, -0x1.a6600de4963a4p-2, -0x1.9bf69cde628eap-2, -0x1.92051fbb85e2fp-2, -0x1.888fbe83f0f2bp-2, -0x1.7f98ffd36ae4p-2, -0x1.7721f42892e14p-2, -0x1.6f2a622f06194p-2, -0x1.67b0f28fde4d4p-2, -0x1.60b357b1c8df9p-2, -0x1.5a2e749c5706fp-2, -0x1.541e80fc98789p-2, -0x1.4e7f2971b7cc8p-2, -0x1.494bad3512d92p-2, -0x1.447ef87f42551p-2, -0x1.4013bbdeadc36p-2, -0x1.3c04810786189p-2, -0x1.384bbc8da08p-2, -0x1.34e3dd865bb61p-2, -0x1.31c75ad56f46ep-2, -0x1.2ef0be3a909a4p-2, -0x1.2c5aad95a2232p-2, -0x1.29fff2b0a172p-2, -0x1.27db818761a2ep-2, -0x1.25e87d2b34522p-2, -0x1.24223b3d47a61p-2, -0x1.2284470f7c5ep-2, -0x1.210a6377bacd6p-2, -0x1.1fb08bdbf4622p-2, -0x1.1e72f4a3d346dp-2, -0x1.1d4e0b6beacep-2, -0x1.1c3e7641f2631p-2, -0x1.1b411310f3de2p-2, -0x1.1a52f6324569p-2, -0x1.19716904c132fp-2, -0x1.1899e881f46afp-2, -0x1.17ca231579208p-2, -0x1.16fff6e65e568p-2, -0x1.16396fe5b8555p-2, -0x1.1574c5805045ap-2, -0x1.14b0588650369p-2, -0x1.13eab14f85bb8p-2, -0x1.13227d5ff40e2p-2, -0x1.12568d5fc96e6p-2, -0x1.1185d2f3b819bp-2, -0x1.10af5ef1b2324p-2, -0x1.0fd25f39c555ap-2, -0x1.0eee1cd317188p-2, -0x1.0e01fa23552e3p-2, -0x1.0d0d71129e4dcp-2, -0x1.0c101182a810ep-2, -0x1.0b097f7e94f9p-2, -0x1.09f971c2afbdp-2, -0x1.08dfb049e70e9p-2, -0x1.07bc12d00917ep-2, -0x1.068e7f8cf19dbp-2, -0x1.0556e9ff7058ap-2, -0x1.041551a074482p-2, -0x1.02c9c0d92f0c9p-2, -0x1.01744bf5dff4p-2, -0x1.00151029a49cfp-2, -0x1.fd58652a9f4f1p-3, -0x1.fa73bf07fd60cp-3, -0x1.f77c931ef0bc9p-3, -0x1.f47351cbbaa8ap-3, -0x1.f158751a49bdp-3, -0x1.ee2c7fac3d3c2p-3, -0x1.eaeffb6999476p-3, -0x1.e7a3785cd278p-3, -0x1.e4478bd9f77cfp-3, -0x1.e0dccf6f15bf9p-3, -0x1.dd63dfffd6a3bp-3, -0x1.d9dd5d2c9d501p-3, -0x1.d649e871d9077p-3, -0x1.d2aa248516f75p-3, -0x1.cefeb4c342f3p-3, -0x1.cb483cc7f4e0dp-3, -0x1.c7875fb7b2acp-3, -0x1.c3bcbff5e20c8p-3, -0x1.bfe8fe96e50fdp-3, -0x1.bc0cbb52a58c1p-3, -0x1.b82893e372166p-3, -0x1.b43d23e701b1fp-3, -0x1.b04b049ce3fcbp-3, -0x1.ac52cc8c36cfcp-3, -0x1.a8550f9776134p-3, -0x1.a4525e9225984p-3, -0x1.a04b47346efc1p-3, -0x1.9c40540aa8cf9p-3, -0x1.98320c488b1f7p-3, -0x1.9420f3ac3bdep-3, -0x1.900d8a9ef9553p-3, -0x1.8bf84defabe29p-3, -0x1.87e1b6e438f4ep-3, -0x1.83ca3b3575fcdp-3, -0x1.7fb24d0f91facp-3, -0x1.7b9a5afda918bp-3, -0x1.7782cffd1a3a3p-3, -0x1.736c138c1dce9p-3, -0x1.6f5689911dbd3p-3, -0x1.6b429278a2cb5p-3, -0x1.67308b3a1ec9p-3, -0x1.6320cd6322bb1p-3, -0x1.5f13af25350b3p-3, -0x1.5b098353d6e04p-3, -0x1.57029987439b3p-3, -0x1.52ff3e25d06a5p-3, -0x1.4effba669d051p-3, -0x1.4b04546e7f57ep-3, -0x1.470d4f5d87e67p-3, -0x1.431aeb5ec7337p-3, -0x1.3f2d65bb51832p-3, -0x1.3b44f8ec69593p-3, -0x1.3761dca47d697p-3, -0x1.338445ea4e625p-3, -0x1.2fac672b92cebp-3, -0x1.2bda704490c7ap-3, -0x1.280e8e993a23fp-3, -0x1.2448ed264020bp-3, -0x1.2089b49127f34p-3, -0x1.1cd10b397d3b8p-3, -0x1.191f154a11a6fp-3, -0x1.1573f4cb1ea3cp-3, -0x1.11cfc9b0b6601p-3, -0x1.0e32b1e99f385p-3, -0x1.0a9cc9762c3cfp-3, -0x1.070e2a730d539p-3, -0x1.0386ed28166a9p-3, -0x1.0007281ab59c9p-3, -0x1.f91de0389c658p-4, -0x1.f23cb0b0f7cdcp-4, -0x1.eb6ae4c6d6837p-4, -0x1.e4a89c8fdc7dp-4, -0x1.ddf5f52b201bp-4, -0x1.d75308dd471e6p-4, -0x1.d0bfef29f7491p-4, -0x1.ca3cbcea2a11bp-4, -0x1.c3c98469a0a63p-4, -0x1.bd66557ef8394p-4, -0x1.b7133d9fda97cp-4, -0x1.b0d047fb0d1ddp-4, -0x1.aa9d7d8f18dbcp-4, -0x1.a47ae53f07e81p-4, -0x1.9e6883e6fbfe4p-4, -0x1.98665c70761fep-4, -0x1.92746fe7dd825p-4, -0x1.8c92bd8ec84f7p-4, -0x1.86c142efecb92p-4, -0x1.80fffbf05993ap-4, -0x1.7b4ee2e1bcf96p-4, -0x1.75adf092a39d9p-4, -0x1.701d1c5f2e562p-4, -0x1.6a9c5c424081ap-4, -0x1.652ba4e3947e2p-4, -0x1.5fcae9a72fca4p-4, -0x1.5a7a1cbd04b77p-4, -0x1.55392f2ed922ap-4, -0x1.500810ed93126p-4, -0x1.4ae6b0de6efc9p-4, -0x1.45d4fce7c3b32p-4, -0x1.40d2e1fd6f693p-4, -0x1.3be04c2cdeaecp-4, -0x1.36fd26a8a2d5ep-4, -0x1.32295bd3a3b6dp-4, -0x1.2d64d54c0439fp-4, -0x1.28af7bf5b59a8p-4, -0x1.2409380463e35p-4, -0x1.1f71f104be493p-4, -0x1.1ae98de603f44p-4, -0x1.166ff5033b495p-4, -0x1.12050c2ba1883p-4, -0x1.0da8b8ab674a2p-4, -0x1.095adf5442f4bp-4, -0x1.051b648506ba7p-4, -0x1.00ea2c311a1b3p-4, -0x1.f98e33cf26addp-5, -0x1.f16421b4f3625p-5, -0x1.e955e7cac0cdep-5, -0x1.e1634b282e36p-5, -0x1.d98c1051ea8f7p-5, -0x1.d1cffb452ade9p-5, -0x1.ca2ecf82be136p-5, -0x1.c2a8501bcaa13p-5, -0x1.bb3c3fbcb280fp-5, -0x1.b3ea60b70305bp-5, -0x1.acb2750c91deep-5, -0x1.a5943e77989edp-5, -0x1.9e8f7e7314296p-5, -0x1.97a3f6448b5e1p-5, -0x1.90d16704d4e9bp-5, -0x1.8a1791a87bfbbp-5, -0x1.83763707ae69cp-5, -0x1.7ced17e60d455p-5, -0x1.767bf4f9c9a5bp-5, -0x1.70228ef26b3f6p-5, -0x1.69e0a67f32b46p-5, -0x1.63b5fc55fd5efp-5, -0x1.5da251394e9dep-5, -0x1.57a565fdfc97ep-5, -0x1.51befb90f1c0fp-5, -0x1.4beed2fd23dabp-5, -0x1.4634ad70bf978p-5, -0x1.40904c418500bp-5, -0x1.3b0170f1adc94p-5, -0x1.3587dd348c8ep-5, -0x1.302352f2eaa43p-5, -0x1.2ad3944f49c2cp-5, -0x1.259863a9f02fcp-5, -0x1.207183a4bb3b6p-5, -0x1.1b5eb7269698bp-5, -0x1.165fc15eb7337p-5, -0x1.117465c7cac2bp-5, -0x1.0c9c682af50b5p-5, -0x1.07d78ca38d981p-5, -0x1.032597a0ebefep-5, -0x1.fd0c9bd4b428ap-6, -0x1.f3f2e941c5a8ep-6, -0x1.eafda2839d461p-6, -0x1.e22c5351ae7bbp-6, -0x1.d97e882482977p-6, -0x1.d0f3ce39db11bp-6, -0x1.c88bb398c7ef6p-6, -0x1.c045c714e34bcp-6, -0x1.b8219851bc06ep-6, -0x1.b01eb7c625038p-6, -0x1.a83cb6bf20776p-6, -0x1.a07b2762a1b84p-6, -0x1.98d99cb232e21p-6, -0x1.9157aa8d514f1p-6, -0x1.89f4e5b3ac80fp-6, -0x1.82b0e3c6e87d8p-6, -0x1.7b8b3b4c120e5p-6, -0x1.748383af51eb1p-6, -0x1.6d995545306b6p-6, -0x1.66cc4949c758ap-6, -0x1.601bf9e400fc6p-6, -0x1.59880224925a6p-6, -0x1.530ffe09d7df1p-6, -0x1.4cb38a7fed4c7p-6, -0x1.467245602f103p-6, -0x1.404bcd7270971p-6, -0x1.3a3fc26e30843p-6, -0x1.344dc4fb256d6p-6, -0x1.2e7576b0ef0bbp-6, -0x1.28b67a17937c6p-6, -0x1.231072a7fc83p-6, -0x1.1d8304cb87a65p-6, -0x1.180dd5dc035fcp-6, -0x1.12b08c23acfefp-6, -0x1.0d6acedd19711p-6, -0x1.083c4632bcecp-6, -0x1.03249b3eb8446p-6, -0x1.fc46f014c83a5p-7, -0x1.f2710f1ba0436p-7, -0x1.e8c6eb5e5baep-7, -0x1.df47de845513dp-7, -0x1.d5f3440e7ec5bp-7, -0x1.ccc87955e3fdfp-7, -0x1.c3c6dd8a7febp-7, -0x1.baedd1af3614ep-7, -0x1.b23cb89db830cp-7, -0x1.a9b2f6fb5bc0cp-7, -0x1.a14ff340d36fep-7, -0x1.991315b2cb8fap-7, -0x1.90fbc85f002edp-7, -0x1.8909771da99c8p-7, -0x1.813b8f8cbc6f1p-7, -0x1.7991810d9361cp-7, -0x1.720abcc23c4f9p-7, -0x1.6aa6b58afaa86p-7, -0x1.6364e003c5adfp-7, -0x1.5c44b28176781p-7, -0x1.5545a50e4bae1p-7, -0x1.4e67316a21d24p-7, -0x1.47a8d3063ad0dp-7, -0x1.410a06ff9e656p-7, -0x1.3a8a4c1cb3811p-7, -0x1.342922ce261dcp-7, -0x1.2de60d28b9a25p-7, -0x1.27c08ee249b99p-7, -0x1.21b82d4f2a951p-7, -0x1.1bcc6f5eeb47p-7, -0x1.15fcdd992b64cp-7, -0x1.1049021a50263p-7, -0x1.0ab0689038891p-7, -0x1.05329e367de8cp-7, -0x1.ff9e63a7a2983p-8, -0x1.f50b676d5f119p-8, -0x1.eaab6b60225a5p-8, -0x1.e07d962ce59ddp-8, -0x1.d681116de917ap-8, -0x1.ccb509babadb3p-8, -0x1.c318ae95e0ab4p-8, -0x1.b9ab3268567dap-8, -0x1.b06bca7a7f21ap-8, -0x1.a759aeece59cap-8, -0x1.9e741ab14fdeep-8, -0x1.95ba4b8b73c0fp-8, -0x1.8d2b81d963945p-8, -0x1.84c7010e0e1c1p-8, -0x1.7c8c0ee2065ecp-8, -0x1.7479f421356cap-8, -0x1.6c8ffc0986ad2p-8, -0x1.64cd74833b459p-8, -0x1.5d31ae11c23efp-8, -0x1.55bbfbc9a31e1p-8, -0x1.4e6bb349d306p-8, -0x1.47402cb86142p-8, -0x1.4038c2bb65ab3p-8, -0x1.3954d270cbbadp-8, -0x1.3293bb6674ddfp-8, -0x1.2bf4df918d97bp-8, -0x1.2577a34a08ec9p-8, -0x1.1f1b6d43818d5p-8, -0x1.18dfa68632eefp-8, -0x1.12c3ba68943bbp-8, -0x1.0cc71688b35f4p-8, -0x1.06e92ac573a47p-8, -0x1.01296937d8b66p-8, -0x1.f70e8c588c2cap-9, -0x1.ec0470367fd1p-9, -0x1.e1336f4338f5ep-9, -0x1.d69a7ef9253dep-9, -0x1.cc38991094abbp-9, -0x1.c20cbb64d9428p-9, -0x1.b815e7ded0a1cp-9, -0x1.ae532469633a4p-9, -0x1.a4c37af47198p-9, -0x1.9b65f906268c2p-9, -0x1.9239b17f2d54dp-9, -0x1.893db8ddd382fp-9, -0x1.807128e4b2693p-9, -0x1.77d31eb8a369ap-9, -0x1.6f62bb349b7e5p-9, -0x1.671f22dde01fdp-9, -0x1.5f077dd7faddbp-9, -0x1.571af7d7d31afp-9, -0x1.4f58c01660c57p-9, -0x1.47c0094278cddp-9, -0x1.4050097283ab1p-9, -0x1.3907fa1663b84p-9, -0x1.31e717ea49b22p-9, -0x1.2aeca2eae75d9p-9, -0x1.2417de4b04d56p-9, -0x1.1d68106c17666p-9, -0x1.16dc82d25ed0cp-9, -0x1.10748223805efp-9, -0x1.0a2f5e1a0446ap-9, -0x1.040c6983d9aa9p-9, -0x1.fc15f45b6e854p-10, -0x1.f054d1b72441fp-10, -0x1.e4d4228112d5dp-10, -0x1.d992a3d51cfe6p-10, -0x1.ce8f186520919p-10, -0x1.c3c84854dd1afp-10, -0x1.b93d0122eca59p-10, -0x1.aeec158903dc7p-10, -0x1.a4d45d6bcf1dcp-10, -0x1.9af4b5c38ef18p-10, -0x1.914c009765937p-10, -0x1.87d924fdde0eep-10, -0x1.7e9b0f1ef8e9ep-10, -0x1.7590b0379c996p-10, -0x1.6cb8fe98da9b3p-10, -0x1.6412f59fb3c68p-10, -0x1.5b9d95a0cc44bp-10, -0x1.5357e3c61b4c3p-10, -0x1.4b40e9df42dfdp-10, -0x1.4357b627f8263p-10, -0x1.3b9b5b0a9cb95p-10, -0x1.340aeee79fd0ep-10, -0x1.2ca58bea71f34p-10, -0x1.256a4ff3b7df7p-10, -0x1.1e585c9d9c2f7p-10, -0x1.176ed75cc175dp-10, -0x1.10ace9c3aae9p-10, -0x1.0a11c1bd2336p-10, -0x1.039c8f918194cp-10, -0x1.fa991603ebcc2p-11, -0x1.ee41e07a31c8ap-11, -0x1.e23201102900cp-11, -0x1.d667f7a9370abp-11, -0x1.cae254911656bp-11, -0x1.bf9fb09a59533p-11, -0x1.b49ea68cc635cp-11, -0x1.a9ddd661dc0f6p-11, -0x1.9f5be4ab164a7p-11, -0x1.95177a57dde31p-11, -0x1.8b0f450b25458p-11, -0x1.8141f7d90c34fp-11, -0x1.77ae4c4093366p-11, -0x1.6e53032b84144p-11, -0x1.652ee5c0ba11ep-11, -0x1.5c40c5de1f749p-11, -0x1.53877e232ac95p-11, -0x1.4b01f186862eep-11, -0x1.42af0a81995cdp-11, -0x1.3a8db9e971955p-11, -0x1.329cf594f1b5ep-11, -0x1.2adbb6fd73d2ap-11, -0x1.2348fa12a13e7p-11, -0x1.1be3bc6e9086ep-11, -0x1.14aafd2c4f97ep-11, -0x1.0d9dbd6ab901ap-11, -0x1.06bb016425593p-11, -0x1.0001d1e08bce2p-11, -0x1.f2e27b4acfd63p-12, -0x1.e610b53e322a3p-12, -0x1.d98c8c77ebcf4p-12, -0x1.cd54342cd4534p-12, -0x1.c1664d0961abcp-12, -0x1.b5c0f5df48493p-12, -0x1.aa62b9f0e829ap-12, -0x1.9f4a1578ff4f2p-12, -0x1.94758cb57ed71p-12, -0x1.89e3a908e75bdp-12, -0x1.7f92f6714542p-12, -0x1.758201a3c6f3bp-12, -0x1.6baf578aa0b49p-12, -0x1.6219863f9cf34p-12, -0x1.58bf1f790f64bp-12, -0x1.4f9ebbe488eb3p-12, -0x1.46b6fde13dca9p-12, -0x1.3e06931d73668p-12, -0x1.358c349e9f926p-12, -0x1.2d46a5a81dcfap-12, -0x1.2534b2a16926p-12, -0x1.1d55300ca2919p-12, -0x1.15a6fab5fb1cdp-12, -0x1.0e28f7f3e01b8p-12, -0x1.06da15c6ee9bp-12, -0x1.ff72940d3c2eep-13, -0x1.f18b20e13a538p-13, -0x1.e3fbd046339d1p-13, -0x1.d6c2a3020b38ep-13, -0x1.c9dd9ae5c4c99p-13, -0x1.bd4abcb2fdbcdp-13, -0x1.b108146372dbp-13, -0x1.a513b99e96f69p-13, -0x1.996bd22f89392p-13, -0x1.8e0e9164f2ac1p-13, -0x1.82fa34eab0a1cp-13, -0x1.782d00dc42f49p-13, -0x1.6da53d2a6411fp-13, -0x1.636135f3d8f33p-13, -0x1.595f3ec461703p-13, -0x1.4f9db76f23c3ep-13, -0x1.461b104186611p-13, -0x1.3cd5cba44c4b2p-13, -0x1.33cc7caa4d206p-13, -0x1.2afdc3a92169ep-13, -0x1.22684acbb6e02p-13, -0x1.1a0ac41b8870bp-13, -0x1.11e3e932424f5p-13, -0x1.09f27b571829fp-13, -0x1.0235430af6dcep-13, -0x1.f5561cd6b56b2p-14, -0x1.e6a55e2ccff37p-14, -0x1.d855f0851c273p-14, -0x1.ca657a5eda373p-14, -0x1.bcd19fa37e51p-14, -0x1.af98004160e86p-14, -0x1.a2b63a0a28aaep-14, -0x1.9629ef0054559p-14, -0x1.89f0ce616570ap-14, -0x1.7e089c7d29b62p-14, -0x1.726f367772408p-14, -0x1.672292c4a416dp-14, -0x1.5c20c1f821a13p-14, -0x1.5167f26ab1312p-14, -0x1.46f674fa63cc6p-14, -0x1.3ccabd8018239p-14, -0x1.32e35a69af21dp-14, -0x1.293ee478d2c1p-14, -0x1.1fdbede8135e8p-14, -0x1.16b8f9a84b4cp-14, -0x1.0dd47e1300d0dp-14, -0x1.052cee69c29d5p-14, -0x1.f98185603d49ap-15, -0x1.e91cf1524aa75p-15, -0x1.d9291f658782cp-15, -0x1.c9a309bbe4dd4p-15, -0x1.ba87a51f08f24p-15, -0x1.abd3e8340e12fp-15, -0x1.9d84d365a506dp-15, -0x1.8f97737f96639p-15, -0x1.8208e6d7a394bp-15, -0x1.74d66ccd7e5d6p-15, -0x1.67fd7fe5d2e59p-15, -0x1.5b7bf0065ad0dp-15, -0x1.4f4fe62093e12p-15, -0x1.4377c6a4ade07p-15, -0x1.37f20039491c1p-15, -0x1.2cbce28556478p-15, -0x1.21d6914199a12p-15, -0x1.173d12cf0f426p-15, -0x1.0cee69c846905p-15, -0x1.02e8a8c5f3573p-15, -0x1.f253f21b3f7d7p-16, -0x1.df612a2ddd7fp-16, -0x1.ccf578ec6aadfp-16, -0x1.bb0d51deb4f2fp-16, -0x1.a9a515956e774p-16, -0x1.98b9189b6f0e1p-16, -0x1.8845ad500107p-16, -0x1.784728143ec9bp-16, -0x1.68b9e61523ab6p-16, -0x1.599a67fd6bd92p-16, -0x1.4ae57fe0f71cbp-16, -0x1.3c9870274a20fp-16, -0x1.2eb0db66f3bb8p-16, -0x1.212c904857d4bp-16, -0x1.14095f10bd747p-16, -0x1.0745147d8a20ap-16, -0x1.f5bb0b3f2e5b9p-17, -0x1.dda111479fcf2p-17, -0x1.c637ba706a285p-17, -0x1.af7a57735f18fp-17, -0x1.99644efc1d7d9p-17, -0x1.83f15c54bcfcep-17, -0x1.6f1d84d1ee5bbp-17, -0x1.5ae4d8b9f8e5dp-17, -0x1.47433ea9247c4p-17, -0x1.343462e403c2dp-17, -0x1.21b3e1e47fef4p-17, -0x1.0fbd8765d8276p-17, -0x1.fc9addb851bf1p-18, -0x1.dabfe72add6c7p-18, -0x1.b9e325f0af3f9p-18, -0x1.99fdd607fce54p-18, -0x1.7b097b89387ddp-18, -0x1.5cff8fe44dc4bp-18, -0x1.3fd919f4946cfp-18, -0x1.238f0cfb1c7b7p-18, -0x1.081b593850d58p-18, -0x1.daf2de7eadb91p-19, -0x1.a74ac4f2ab93fp-19, -0x1.753527d874057p-19, -0x1.44a6d98d587c4p-19, -0x1.1594618c5e65fp-19, -0x1.cfe6f2bec857ep-20, -0x1.7776393536dfdp-20, -0x1.21c58b025da05p-20, -0x1.9d86eae85615bp-21, -0x1.f9751d0e8d2adp-22, -0x1.83f6c75d38724p-23, 0x1.aec67001b8029p-24, 0x1.8fdccd2a1c7edp-22, 0x1.55613f08c0fdp-21, 0x1.de49304f8916ap-21, 0x1.315eb284b4178p-20, 0x1.716ce821612p-20, 0x1.af600fbb8878p-20, 0x1.eb4aaaa779cd2p-20, 0x1.129f6ab0ea79ep-19, 0x1.2ea552d611c9fp-19, 0x1.49ba48eadb957p-19, 0x1.63e458eb3aed5p-19, 0x1.7d3fa1abd4c86p-19, 0x1.95acb5a2db2d6p-19, 0x1.ad3fcebf7c1bcp-19, 0x1.c3f7c93bc5aa6p-19, 0x1.d9f66e472500bp-19, 0x1.ef2d163fc783ap-19, 0x1.01cfe04d506c9p-18, 0x1.0baa6047e317p-18, 0x1.1528d6d7517fbp-18, 0x1.1e4de0b05af23p-18, 0x1.271c164ad969ap-18, 0x1.2f961888d1289p-18, 0x1.37be52597a5e9p-18, 0x1.3f96acd0323c5p-18, 0x1.4720953d37a56p-18, 0x1.4e5d75b2acfaep-18, 0x1.554f415da6ae3p-18, 0x1.5bf87ddf612ap-18, 0x1.625bdcd6bdf37p-18, 0x1.687be33038aa5p-18, 0x1.6e5a6de18032dp-18, 0x1.73f87b59e2445p-18, 0x1.795704162188p-18, 0x1.7e77ae899a5a9p-18, 0x1.835c5252611afp-18, 0x1.88068e5aa5857p-18, 0x1.8c782445e8a06p-18, 0x1.90b30b97da34dp-18, 0x1.94b903d189d7dp-18, 0x1.988b3c7db361bp-18, 0x1.9c2a8e200eec8p-18, 0x1.9f9806a66e987p-18, 0x1.a2d46dc4bd341p-18, 0x1.a5d34ba28848fp-18, 0x1.a8c3207448f7bp-18, 0x1.ab78d1a26015ep-18, 0x1.ae022564423fcp-18, 0x1.b0612e3407bdcp-18, 0x1.b296f1d6b59fap-18, 0x1.b4a44b4a77418p-18, 0x1.b68a408dfad78p-18, 0x1.b84a1d2fe3d5cp-18, 0x1.b9e532011b1b9p-18, 0x1.bb5c9557eebcbp-18, 0x1.bcb1291854bcp-18, 0x1.bde397406295p-18, 0x1.bef4a1510a0c4p-18, 0x1.bfe566c7a144cp-18, 0x1.c0b6d115fed1fp-18, 0x1.c1697326de85fp-18, 0x1.c1fdfbdc014c8p-18, 0x1.c27539cb0576fp-18, 0x1.c2d009825d2dep-18, 0x1.c30f4fd96a561p-18, 0x1.c333ea5c05f3dp-18, 0x1.c33e99a8c967p-18, 0x1.c32fe50c55e15p-18, 0x1.c30859895749cp-18, 0x1.c2c8b435ee50fp-18, 0x1.c271a42a56c6dp-18, 0x1.c203afbd199efp-18, 0x1.c17f6d59742p-18, 0x1.c0e581f4ef58bp-18, 0x1.c036868b842fbp-18, 0x1.bf7303a25bfadp-18, 0x1.be9b7ab29d245p-18, 0x1.bdb07759f45a1p-18, 0x1.bcb288d5ddfd4p-18, 0x1.bba23013a4c7bp-18, 0x1.ba7fdc65d4ebp-18, 0x1.b94c1d960d606p-18, 0x1.b80772d50cp-18, 0x1.b6b25fba2a046p-18, 0x1.b54d51291fc42p-18, 0x1.b3d89e01f708p-18, 0x1.b254ba23a6be7p-18, 0x1.b0c2164950559p-18, 0x1.af211790ee731p-18, 0x1.ad721fb8e998dp-18, 0x1.abb590bf3a9e2p-18, 0x1.a9ebcfd70bca3p-18, 0x1.a815436c5fa8fp-18, 0x1.a632496d4e12p-18, 0x1.a4433b11d4af4p-18, 0x1.a2487532b6706p-18, 0x1.a0424da5ba617p-18, 0x1.9e311d1215c3cp-18, 0x1.9c1530a6e3dbdp-18, 0x1.99eed0df8db37p-18, 0x1.97be54ede7dbep-18, 0x1.958411aad96a1p-18, 0x1.934052e5207afp-18, 0x1.90f35eb53968dp-18, 0x1.8e9d7b3a2c53cp-18, 0x1.8c3ef01999163p-18, 0x1.89d7fe3c1b712p-18, 0x1.8768e42138b03p-18, 0x1.84f1f16e7091fp-18, 0x1.82736fe37b718p-18, 0x1.7fed9ab506c93p-18, 0x1.7d60a6a39edb4p-18, 0x1.7accd51d7c489p-18, 0x1.783264e13ecf9p-18, 0x1.75918f61eded6p-18, 0x1.72ea8cf692c19p-18, 0x1.703d958a6dd6ap-18, 0x1.6d8ae087e1715p-18, 0x1.6ad2a4bbb918cp-18, 0x1.681517e95f469p-18, 0x1.65526e495512ep-18, 0x1.628adab0a2568p-18, 0x1.5fbe8efd13457p-18, 0x1.5cedbaff7ae66p-18, 0x1.5a188cc5e89fcp-18, 0x1.573f35e46d044p-18, 0x1.5461e7d573569p-18, 0x1.5180cf7b98f35p-18, 0x1.4e9c16f95430ep-18, 0x1.4bb3ebbe93148p-18, 0x1.48c87a1d4e05fp-18, 0x1.45d9eb19d0b52p-18, 0x1.42e865599301ap-18, 0x1.3ff40f6ee1abdp-18, 0x1.3cfd10db3e4d4p-18, 0x1.3a0390528615dp-18, 0x1.3707b480c5066p-18, 0x1.3409a51ff738bp-18, 0x1.3109862845ec9p-18, 0x1.2e077c6a9da58p-18, 0x1.2b03ad09a6692p-18, 0x1.27fe3b070ea5ep-18, 0x1.24f747dc5e704p-18, 0x1.21eef4103a35fp-18, 0x1.1ee562439a8f7p-18, 0x1.1bdaafeaa291bp-18, 0x1.18cefd7a0cebbp-18, 0x1.15c26b084fec2p-18, 0x1.12b519def2f3cp-18, 0x1.0fa72b3e12571p-18, 0x1.0c98bcc597daap-18, 0x1.0989e97c50563p-18, 0x1.067acb4bb2684p-18, 0x1.0369690518b5bp-18, 0x1.00603f423ed4p-18, 0x1.fa987edbc52aap-19, 0x1.f47814da9276fp-19, 0x1.ee5bd22623996p-19, 0x1.e83e0addd6e1fp-19, 0x1.e2212d200de32p-19, 0x1.dc056a899fa73p-19, 0x1.d5eae978da73dp-19, 0x1.cfd1d51311afap-19, 0x1.c9ba5a2416a08p-19, 0x1.c3a4a58ed2bacp-19, 0x1.bd90e3c464949p-19, 0x1.b77f408e6c766p-19, 0x1.b16fe700b325cp-19, 0x1.ab6301779f05p-19, 0x1.a558b98a59b08p-19, 0x1.9f513811f238ap-19, 0x1.994ca5246730cp-19, 0x1.934b281146919p-19, 0x1.8d4ce7616e4ffp-19, 0x1.875208de3ab2bp-19, 0x1.815ab1942149p-19, 0x1.7b6705a0043eap-19, 0x1.757727aa44ba6p-19, 0x1.6f8b3891b83fcp-19, 0x1.69a35846527bdp-19, 0x1.63bfa8bd4f183p-19, 0x1.5de04fdce5202p-19, 0x1.5805242680304p-19, 0x1.51dc3073aa786p-19, 0x1.4c5d9018c80e1p-19, 0x1.469120e2f4c96p-19, 0x1.40c95e1a9f652p-19, 0x1.3b06b99e85d7cp-19, 0x1.35494962129e9p-19, 0x1.2f911e1d00a78p-19, 0x1.29de502c09f6ep-19, 0x1.2430fc03efc6cp-19, 0x1.1e893e0412662p-19, 0x1.18e731abcfd34p-19, 0x1.134af0bf9bad5p-19, 0x1.0db4941c1afa1p-19, 0x1.0824340246494p-19, 0x1.0299e8394e04p-19, 0x1.fa2b8ec3fba79p-20, 0x1.ef2fce75abeb1p-20, 0x1.e440bab3e67fbp-20, 0x1.d95e7eafd3859p-20, 0x1.ce894419741cep-20, 0x1.c3c1337b07c95p-20, 0x1.b9067465b8465p-20, 0x1.ae592d4abcf79p-20, 0x1.a3b9833febce6p-20, 0x1.99279eef523dp-20, 0x1.8ea39af7a9f47p-20, 0x1.842da297c2bd7p-20, 0x1.79c5d3e65c802p-20, 0x1.6f6c4f7669726p-20, 0x1.6521355571a49p-20, 0x1.5ae4a58a74438p-20, 0x1.50b6bc56fd3dep-20, 0x1.469797db8919ep-20, 0x1.3c875562e800fp-20, 0x1.328610afa7cd7p-20, 0x1.2893e44a091c6p-20, 0x1.1eb0ea5050d74p-20, 0x1.14dd3b526bff3p-20, 0x1.0b18eb9ef1336p-20, 0x1.0164090d29f7fp-20, 0x1.ef7d795862b07p-21, 0x1.dc525d842163cp-21, 0x1.c946a6f38d0f4p-21, 0x1.b65a7f593c5efp-21, 0x1.a38e1ce04213p-21, 0x1.90e1a78f2b08p-21, 0x1.7e553ee3782f1p-21, 0x1.6be907899845p-21, 0x1.599d23698e8cdp-21, 0x1.4771ae3b51aaep-21, 0x1.3566c8680a1abp-21, 0x1.237c91b679124p-21, 0x1.11b32840905bbp-21, 0x1.000aa53b7f318p-21, 0x1.dd062ff13769p-22, 0x1.ba390972a498p-22, 0x1.97ade0e8f92b7p-22, 0x1.7564e79808393p-22, 0x1.535e89cbb3fa5p-22, 0x1.319b622fa511bp-22, 0x1.101ade886edffp-22, 0x1.ddba6981f0cb8p-23, 0x1.9bc4b86bdcd7bp-23, 0x1.5a56887208dd2p-23, 0x1.196fe9a2d1deap-23, 0x1.b2223f89150f1p-24, 0x1.32772a21de296p-24, 0x1.679b75f8bcc9bp-25, 0x1.aefe6d15c1581p-27, -0x1.1c8ceca97f9f9p-26, -0x1.838ace67d5344p-25, -0x1.3c2d7123f8a57p-24, -0x1.b58e9a678dd41p-24, -0x1.16eef4679eb04p-23, -0x1.528ed56402baap-23, -0x1.8da758e357bc2p-23, -0x1.c838b242b6053p-23, -0x1.01217df77856ap-22, -0x1.1de322885fee9p-22, -0x1.3a6148facb7d1p-22, -0x1.569bef4fb2b31p-22, -0x1.729313aee320dp-22, -0x1.8e469a9b23eb2p-22, -0x1.a9b6b0e26985p-22, -0x1.c4e345812969cp-22, -0x1.dfcc8705dce28p-22, -0x1.fa72900cc948dp-22, -0x1.0a6ac0d2cd9b6p-21, -0x1.177abfc02a4f9p-21, -0x1.246955240d4c2p-21, -0x1.313690a6367dep-21, -0x1.3de27e88690dcp-21, -0x1.4a6d6506e6b43p-21, -0x1.56e8b70f1296ep-21, -0x1.6320df3d1dbabp-21, -0x1.6f46b679765c8p-21, -0x1.7b4d20b82583fp-21, -0x1.873292d3a642bp-21, -0x1.92f704f55df6ap-21, -0x1.9e9ad070eb0edp-21, -0x1.aa1e3e4a01f6cp-21, -0x1.b5810ca7f6814p-21, -0x1.c0c34230aa91bp-21, -0x1.cbe556f7821a4p-21, -0x1.d6e74e618f229p-21, -0x1.e1c8ee941282cp-21, -0x1.ec8a4f6d573e6p-21, -0x1.f72ba9cfca78fp-21, -0x1.00d693f509e4p-20, -0x1.060773d4e807fp-20, -0x1.0b2881d816368p-20, -0x1.1039cb4cffdc5p-20, -0x1.153b5e039ce0ap-20, -0x1.1a2d48b67b943p-20, -0x1.1f0f9c4246011p-20, -0x1.23e26ca9e2332p-20, -0x1.28a5d03283b59p-20, -0x1.2d59d783d2af9p-20, -0x1.31fe7aa344dffp-20, -0x1.3693ac43623bdp-20, -0x1.3b19811aee302p-20, -0x1.3f9079ca013c7p-20, -0x1.43f84b85a9459p-20, -0x1.4850e0be52ebfp-20, -0x1.4c9a860f235fp-20, -0x1.50d5560198498p-20, -0x1.55015d9393489p-20, -0x1.591ea84dcae5cp-20, -0x1.5d2d451fae5bap-20, -0x1.612d466d4a58dp-20, -0x1.651ec02549fcdp-20, -0x1.6901c651cc9cep-20, }}, 
      {{-0x1.2a1aad788c7dap-8, -0x1.dafc4ed445f3cp-7, -0x1.73f8bce156199p-6, -0x1.81cbc90090998p-6, -0x1.d5b4e571ba83ap-7, 0x1.50c80a45ad7ccp-8, 0x1.11e156231cf47p-5, 0x1.175ded981f5b1p-4, 0x1.b54e8e570dbebp-4, 0x1.2bf3313ed7dacp-3, 0x1.7abe42e616906p-3, 0x1.c318dfbbc298cp-3, 0x1.010b29e9fc60ep-2, 0x1.1ae513ddb5b5dp-2, 0x1.2e9810d8c9d4dp-2, 0x1.3c04467a4d0dp-2, 0x1.435807551079p-2, 0x1.44fc00dde7a48p-2, 0x1.41812f8ba9bc5p-2, 0x1.39915d327497fp-2, 0x1.2de268d4cbfbcp-2, 0x1.1f2c4516f743ep-2, 0x1.0e216dd3e1d48p-2, 0x1.f6d3022e1655bp-3, 0x1.cf3b4569db075p-3, 0x1.a68ca6cda1565p-3, 0x1.7db4db31e52f6p-3, 0x1.557e057899f54p-3, 0x1.2e8fbadb07b8ep-3, 0x1.0970ef9c57a6bp-3, 0x1.cd14f922ea5efp-4, 0x1.8c53ff113a0c2p-4, 0x1.5109cda7ec765p-4, 0x1.1b770c498cdp-4, 0x1.d7706a450a5b5p-5, 0x1.8396ac7d1e94bp-5, 0x1.3b2ae361ed72fp-5, 0x1.fb9da696eb837p-6, 0x1.9609bacace00fp-6, 0x1.446fa73f57c1cp-6, 0x1.0583902d60f62p-6, 0x1.afc786c55e6ebp-7, 0x1.74451712f4d2fp-7, 0x1.559cabb71c21bp-7, 0x1.50f0a56dea683p-7, 0x1.637378548982cp-7, 0x1.8a6fdb798e2d3p-7, 0x1.c34eebb9f6ebep-7, 0x1.05ce48c7e6f1ep-6, 0x1.308537c99410fp-6, 0x1.60b8cda07864fp-6, 0x1.9569acdfd4abap-6, 0x1.cdac88a0d8944p-6, 0x1.0454e793793c1p-5, 0x1.22ce8c405c1cap-5, 0x1.41ea3489b621fp-5, 0x1.6157aab7c7854p-5, 0x1.80cf08ed0ebc4p-5, 0x1.a0103ae53f893p-5, 0x1.bee27cfce8ca1p-5, 0x1.dd13dc53cd5d8p-5, 0x1.fa78b85657763p-5, 0x1.0b75a3fdb4f9cp-4, 0x1.19259248eec09p-4, 0x1.263e6c96385a6p-4, 0x1.32b4bcc3b2836p-4, 0x1.3e7f1e72e12a2p-4, 0x1.499610bbd742bp-4, 0x1.53f3c975557bfp-4, 0x1.5d940d7a42c03p-4, 0x1.667409271ef41p-4, 0x1.6e922dd004fap-4, 0x1.75ee108b9ca58p-4, 0x1.7c884adaa8b1bp-4, 0x1.82625f58d87a2p-4, 0x1.877e9ea32a1b4p-4, 0x1.8be00ecebaf08p-4, 0x1.8f8a554479be7p-4, 0x1.9281a1c74da8cp-4, 0x1.94ca9aaf6c19cp-4, 0x1.966a4b960498ap-4, 0x1.976614b92ebadp-4, 0x1.97c39c1a6ee8ap-4, 0x1.9788bf4d036afp-4, 0x1.96bb8728e49cep-4, 0x1.95621c10d8cabp-4, 0x1.9382bb91ef518p-4, 0x1.9123aec3d2efep-4, 0x1.8e4b41c11a389p-4, 0x1.8affbbe0e027p-4, 0x1.874758f644befp-4, 0x1.8328430330b2p-4, 0x1.7ea88ce8987b9p-4, 0x1.79ce2dbcd745cp-4, 0x1.749efc747396ap-4, 0x1.6f20acaedc9dp-4, 0x1.6958cb8249201p-4, 0x1.634cbd17306cep-4, 0x1.5d01ba89f6be2p-4, 0x1.567cd08640824p-4, 0x1.4fc2dde77efeap-4, 0x1.48d89303356bcp-4, 0x1.41c270c7ccd1cp-4, 0x1.3a84c923218dfp-4, 0x1.3323be43fffacp-4, 0x1.2ba3434a880f2p-4, 0x1.24071ccf67ccdp-4, 0x1.1c52e0faa775ep-4, 0x1.1489f8c06746dp-4, 0x1.0cafa0d3b9b8bp-4, 0x1.04c6ea28e7135p-4, 0x1.f9a576bd89ac2p-5, 0x1.e9aba450fcd76p-5, 0x1.d9a5886f06816p-5, 0x1.c998009c0dda8p-5, 0x1.b987a0643cf8fp-5, 0x1.a978b32dd8f0cp-5, 0x1.996f3efc71f54p-5, 0x1.896f0744e6bfdp-5, 0x1.797b900a5a6c1p-5, 0x1.69981f9c04b7fp-5, 0x1.59c7c21291b65p-5, 0x1.4a0d4c27f809dp-5, 0x1.3a6b5c89499e2p-5, 0x1.2ae45f46c1fdp-5, 0x1.1b7a90ada6519p-5, 0x1.0c2ffeb8dbea2p-5, 0x1.fa0d16de78981p-6, 0x1.dbffe01f476d7p-6, 0x1.be3b7d395beddp-6, 0x1.a0c2c71b59d3cp-6, 0x1.839850b1fb199p-6, 0x1.66be6b9c91b34p-6, 0x1.4a372a60be5eap-6, 0x1.2e0463d717739p-6, 0x1.1227b8071b1fdp-6, 0x1.ed45269624678p-7, 0x1.b6ec608df42b6p-7, 0x1.81473637dec84p-7, 0x1.4c576b4493c87p-7, 0x1.181e736a89283p-7, 0x1.c93aea9f3e8f2p-8, 0x1.63aaa19f6721cp-8, 0x1.ff1a96d083fb6p-9, 0x1.39c75d6eb5876p-9, 0x1.dd70f36d880b5p-11, -0x1.209be5fceebbep-11, -0x1.04c330fddffb6p-9, -0x1.be7a03839f809p-9, -0x1.3aa6da4902c62p-8, -0x1.94a091feee657p-8, -0x1.ed2bdcb4faeffp-8, -0x1.2225548360ab5p-7, -0x1.4cff902d946dfp-7, -0x1.7725d1fd94efap-7, -0x1.a099615f1247p-7, -0x1.c95b99b11905dp-7, -0x1.f16de8fc93c58p-7, -0x1.0c68e77ebfa3ep-6, -0x1.1fc46d43d6afcp-6, -0x1.32ca533df92e8p-6, -0x1.457b6c106a98p-6, -0x1.57d88f4abf156p-6, -0x1.69e298dff020ep-6, -0x1.7b9a67fdae214p-6, -0x1.8d00de06e841ap-6, -0x1.9e16de2b4d0fdp-6, -0x1.aedd4d484d1cdp-6, -0x1.bf55116c0b525p-6, -0x1.cf7f10f4e19b9p-6, -0x1.df5c31e3dbecap-6, -0x1.eeed59a644e9ap-6, -0x1.fe336d0fd161fp-6, -0x1.0697a802ca768p-5, -0x1.0df0f26ee7278p-5, -0x1.152605f3a6f1bp-5, -0x1.1c3751a473ebfp-5, -0x1.232543876dad5p-5, -0x1.29f04883346d4p-5, -0x1.3098cc2ae6e56p-5, -0x1.371f3890e562p-5, -0x1.3d83f6395739bp-5, -0x1.43c76c264523dp-5, -0x1.49e9ffd9f8262p-5, -0x1.4fec153d9ca8bp-5, -0x1.55ce0e7f94877p-5, -0x1.5b904c061855fp-5, -0x1.61332c76b167p-5, -0x1.66b70cc6e988ap-5, -0x1.6c1c483b7fa6cp-5, -0x1.71633855cfb2cp-5, -0x1.768c34c5cc132p-5, -0x1.7b97936a8f4d4p-5, -0x1.8085a861da00dp-5, -0x1.8556c6198b30ep-5, -0x1.8a0b3d50af2f5p-5, -0x1.8ea35d0eb5388p-5, -0x1.931f72a07afc7p-5, -0x1.977fc99ef4993p-5, -0x1.9bc4abffed3adp-5, -0x1.9fee622870c1ap-5, -0x1.a3fd32f2eca11p-5, -0x1.a7f163adc3036p-5, -0x1.abcb381ddf327p-5, -0x1.af8af2873ff34p-5, -0x1.b330d3bc2dbafp-5, -0x1.b6bd1b3024c11p-5, -0x1.ba30070393db4p-5, -0x1.bd89d407a2a6cp-5, -0x1.c0cabdc3610a2p-5, -0x1.c3f2fe7cc930fp-5, -0x1.c702cf456806fp-5, -0x1.c9fa680b25953p-5, -0x1.ccd9ffa8685b4p-5, -0x1.cfa1cbed082a2p-5, -0x1.d25201a47fe68p-5, -0x1.d4ead49edcdefp-5, -0x1.d76c77bb8e663p-5, -0x1.d9d71cf6beee4p-5, -0x1.dc2af57963adbp-5, -0x1.de6831a63e793p-5, -0x1.e08f0122bd43fp-5, -0x1.e29f92df21432p-5, -0x1.e49a151fc8b02p-5, -0x1.e67eb588c09aep-5, -0x1.e84da129b8315p-5, -0x1.ea07048b01312p-5, -0x1.ebab0bba26707p-5, -0x1.ed39e25302f68p-5, -0x1.eeb3b387b6ce4p-5, -0x1.f018aa29fd735p-5, -0x1.f168f0b4fc93ep-5, -0x1.f2a4b15734997p-5, -0x1.f3cc15fd38bp-5, -0x1.f4df485cfeccep-5, -0x1.f5de71ff0be32p-5, -0x1.f6c9bc45a78cap-5, -0x1.f7a1507479f57p-5, -0x1.f86557b905ad4p-5, -0x1.f915fb32caec1p-5, -0x1.f9b363fb46f31p-5, -0x1.fa3dbb2ea7ec4p-5, -0x1.fab529f4541b5p-5, -0x1.fb19d985b6cap-5, -0x1.fb6bf3340b4d3p-5, -0x1.fbaba06e6e0fp-5, -0x1.fbd90ac841afap-5, -0x1.fbf45bff3472cp-5, -0x1.fbfdbe0100b6dp-5, -0x1.fbf55af1931b4p-5, -0x1.fbdb5d30e885ap-5, -0x1.fbafef5fd7406p-5, -0x1.fb733c63e6621p-5, -0x1.fb256f6b0bdf8p-5, -0x1.fac6b3efd1009p-5, -0x1.fa5735bd20a19p-5, -0x1.f9d720f1a3cf7p-5, -0x1.f946a203256d4p-5, -0x1.f8a5e5c1d521p-5, -0x1.f7f5195af1e76p-5, -0x1.f7346a5a9adc9p-5, -0x1.f66406ad453f5p-5, -0x1.f5841ca165774p-5, -0x1.f494dae8fe132p-5, -0x1.f396709ad7de4p-5, -0x1.f2890d335880ap-5, -0x1.f16ce09519c9dp-5, -0x1.f0421b095d72ap-5, -0x1.ef08ed400dd15p-5, -0x1.edc1884f26e8ap-5, -0x1.ec6c1db24abddp-5, -0x1.eb08df49fc505p-5, -0x1.e997ff5adbf9dp-5, -0x1.e819b08c18164p-5, -0x1.e68e25e65a39fp-5, -0x1.e4f592d1df2f7p-5, -0x1.e3502b14afae9p-5, -0x1.e19e22d07472bp-5, -0x1.dfdfae802f392p-5, -0x1.de1502f5a8cefp-5, -0x1.dc3e5556cd866p-5, -0x1.da5bdb1ad8c4cp-5, -0x1.d86dca07521eep-5, -0x1.d674582c9cae9p-5, -0x1.d46fbbe2952fbp-5, -0x1.d2602bc501513p-5, -0x1.d045deafffbacp-5, -0x1.ce210bbc591bep-5, -0x1.cbf1ea3b90232p-5, -0x1.c9b8b1b3c3051p-5, -0x1.c77599db69d2dp-5, -0x1.c528da9506be5p-5, -0x1.c2d2abeab54bdp-5, -0x1.c0734609a13c3p-5, -0x1.be0ae13d7f39dp-5, -0x1.bb99b5ebfcb99p-5, -0x1.b91ffc904a991p-5, -0x1.b69dedb5fa47fp-5, -0x1.b413c1f53e4d4p-5, -0x1.b181b1ec3cabep-5, -0x1.aee7f63bd5758p-5, -0x1.ac46c781e46fbp-5, -0x1.a99e5e539e85p-5, -0x1.a6eef339d087fp-5, -0x1.a438beab52749p-5, -0x1.a17bf9083b80fp-5, -0x1.9eb8da94fd332p-5, -0x1.9bef9b757225ep-5, -0x1.992073a7ecce3p-5, -0x1.964b9b0036c4fp-5, -0x1.93714922a966p-5, -0x1.9091b57f4f959p-5, -0x1.8dad174d2621p-5, -0x1.8ac3a5855cd4ap-5, -0x1.87d596de989f1p-5, -0x1.84e321c82c351p-5, -0x1.81ec7c6553dfbp-5, -0x1.7ef1dc888afa4p-5, -0x1.7bf377aef8a83p-5, -0x1.78f182fc2bb5ep-5, -0x1.75ec333604368p-5, -0x1.72e3bcc0dc76ep-5, -0x1.6fd8539bc6586p-5, -0x1.6cca2b5cbd69dp-5, -0x1.69b9772c94be3p-5, -0x1.66a669c29fcd3p-5, -0x1.6391355fdd5e4p-5, -0x1.607a0bcb8d8dap-5, -0x1.5d611e4c7ddb2p-5, -0x1.5a469da7b3e0bp-5, -0x1.572aba1c53111p-5, -0x1.540da361bf9e8p-5, -0x1.50ef88a60b441p-5, -0x1.4dd0988c76774p-5, -0x1.4ab1012b85efep-5, -0x1.4790f00ab0be6p-5, -0x1.4470921b4f1dap-5, -0x1.415013bc1334ep-5, -0x1.3e2fa0a6f6b3p-5, -0x1.3b0f63fa3d248p-5, -0x1.37ef882b22fp-5, -0x1.34d037080f3b1p-5, -0x1.31b199b81d582p-5, -0x1.2e93d8bc71b62p-5, -0x1.2b771bf241e7p-5, -0x1.285b8a94693e5p-5, -0x1.25414b3b65a6cp-5, -0x1.222883db2b5e6p-5, -0x1.1f1159befebfp-5, -0x1.1bfbf18401892p-5, -0x1.18e86f13872ebp-5, -0x1.15d6f59e6f97dp-5, -0x1.12c7a79a81d64p-5, -0x1.0fbaa6c234e7ep-5, -0x1.0cb01416b32a7p-5, -0x1.09a80fe33c3eap-5, -0x1.06a2b9c0d0744p-5, -0x1.03a0309910d8ep-5, -0x1.00a092a7ba273p-5, -0x1.fb47faf556399p-6, -0x1.f5551be1f9ec5p-6, -0x1.ef68c073f1795p-6, -0x1.e9831fa949255p-6, -0x1.e3a46f2026703p-6, -0x1.ddcce317f325bp-6, -0x1.d7fcae7107844p-6, -0x1.d23402a148f8ap-6, -0x1.cc730fccf77d1p-6, -0x1.c6ba047258783p-6, -0x1.c1090d9d7e18cp-6, -0x1.bb6056b82510cp-6, -0x1.b5c0098dc1d16p-6, -0x1.b0284e599dfa6p-6, -0x1.aa994be9163p-6, -0x1.a51327cfa5b8cp-6, -0x1.9f9606a439c22p-6, -0x1.9a220c39c28f4p-6, -0x1.94b75bc2343afp-6, -0x1.8f5617ccba80ep-6, -0x1.89fe6216038b2p-6, -0x1.84b05b2c0cdc7p-6, -0x1.7f6c21f340431p-6, -0x1.7a31d32641fap-6, -0x1.750188f0fd08dp-6, -0x1.6fdb5ac796657p-6, -0x1.6abf5d917f084p-6, -0x1.65ada43082327p-6, -0x1.60a640564bdeep-6, -0x1.5ba94384a0df5p-6, -0x1.56b6c003b4838p-6, -0x1.51cec992e4e3p-6, -0x1.4cf1759e811ap-6, -0x1.481edad978a1dp-6, -0x1.43571039581d4p-6, -0x1.3e9a2b777ff15p-6, -0x1.39e83f5c4fabbp-6, -0x1.35415a2fa08f1p-6, -0x1.30a584aeaa4c5p-6, -0x1.2c14c1d6c5fd6p-6, -0x1.278f0fafd08aep-6, -0x1.2314690df4746p-6, -0x1.1ea4c80b67c5p-6, -0x1.1a4028ca91dc3p-6, -0x1.15e68bf3e6cdcp-6, -0x1.1197f8609c4d8p-6, -0x1.0d547b800790ap-6, -0x1.091c283d92c06p-6, -0x1.04ef14781855p-6, -0x1.00cd5569c2cp-6, -0x1.f96df743f9a0ap-7, -0x1.f1581eb1551dcp-7, -0x1.e9591bc36d64dp-7, -0x1.e170d1bcf8942p-7, -0x1.d99f0efc54ep-7, -0x1.d1e393771bddbp-7, -0x1.ca3e1a2e6b153p-7, -0x1.c2ae64679174ap-7, -0x1.bb34440ece2d2p-7, -0x1.b3cfa3b7412cdp-7, -0x1.ac808a14fbeddp-7, -0x1.a54718db979e9p-7, -0x1.9e2385bba7f81p-7, -0x1.97160f028123dp-7, -0x1.901eeddfee5fbp-7, -0x1.893e487c07ceep-7, -0x1.82742686d5b9cp-7, -0x1.7bc06a78787b1p-7, -0x1.7522d0e8a2d45p-7, -0x1.6e9af65030528p-7, -0x1.68286265b3487p-7, -0x1.61ca974b3c1ddp-7, -0x1.5b812218b608fp-7, -0x1.554baa082f8f6p-7, -0x1.4f29fbaf7cdb4p-7, -0x1.491c0e4079a15p-7, -0x1.432201b0ee637p-7, -0x1.3d3c15d29a44dp-7, -0x1.376a9ba23062cp-7, -0x1.31ade32ed0921p-7, -0x1.2c06293455123p-7, -0x1.267387a3e33c2p-7, -0x1.20f5ebce418b8p-7, -0x1.1b8d13ccf8b07p-7, -0x1.16389369ea313p-7, -0x1.10f7df7701d9cp-7, -0x1.0bca5d8f18fc8p-7, -0x1.06af75b21a954p-7, -0x1.01a6a2d5746ep-7, -0x1.f95f0411da622p-8, -0x1.ef93b05459fb5p-8, -0x1.e5eb2e8736934p-8, -0x1.dc65b1cf4e119p-8, -0x1.d303a8daff124p-8, -0x1.c9c5a0e3b5f6dp-8, -0x1.c0ac245f792a4p-8, -0x1.b7b79abe40e06p-8, -0x1.aee82e7b2165ep-8, -0x1.a63dbda3aab0cp-8, -0x1.9db7d6eb7d255p-8, -0x1.9555c2fbdf5d8p-8, -0x1.8d1697979ea01p-8, -0x1.84f950cafce83p-8, -0x1.7cfcebbf7796p-8, -0x1.75207ec3586acp-8, -0x1.6d634aa91ae1ap-8, -0x1.65c4c3088c789p-8, -0x1.5e448d2441807p-8, -0x1.56e277a9e8a81p-8, -0x1.4f9e6f1a097afp-8, -0x1.4878727bdce1ap-8, -0x1.41708a33a5ad4p-8, -0x1.3a86c0888ad57p-8, -0x1.33bb1a19bdd3ap-8, -0x1.2d0d8cf5604b6p-8, -0x1.267df6da3d0ccp-8, -0x1.200c154965597p-8, -0x1.19b783362550cp-8, -0x1.137fbf7804fd2p-8, -0x1.0d643c4fca2c2p-8, -0x1.07647407efc52p-8, -0x1.017ffadbe9475p-8, -0x1.f76d0ab946a85p-9, -0x1.ec0fbc1a846f2p-9, -0x1.e0e79866fb3dep-9, -0x1.d5f3eb7604e93p-9, -0x1.cb3394db8df69p-9, -0x1.c0a5093f84e28p-9, -0x1.b646858cdb82cp-9, -0x1.ac1663bd54152p-9, -0x1.a2136f34b2338p-9, -0x1.983d13ba359bep-9, -0x1.8e9350ff4b8a9p-9, -0x1.851677a9e0f77p-9, -0x1.7bc6cfb6d5461p-9, -0x1.72a454be882bbp-9, -0x1.69aeaa7eda184p-9, -0x1.60e54e3524e06p-9, -0x1.5847e74f91dafp-9, -0x1.4fd6873e67dd6p-9, -0x1.4791af1cbb57ep-9, -0x1.3f7a0d9edb5fbp-9, -0x1.3790093edba84p-9, -0x1.2fd342ecd1e2ap-9, -0x1.28424403bf004p-9, -0x1.20da7e177462dp-9, -0x1.1998a93e1ba37p-9, -0x1.12796cb04ddadp-9, -0x1.0b7a1e204454ep-9, -0x1.0499517cdee57p-9, -0x1.fbadf63a4e0f7p-10, -0x1.ee6821286133bp-10, -0x1.e163a5d8b49dcp-10, -0x1.d4a238cb8cfefp-10, -0x1.c82413524fbd4p-10, -0x1.bbe84031454adp-10, -0x1.afed9852a74a2p-10, -0x1.a433d099e2461p-10, -0x1.98bc0394f920bp-10, -0x1.8d88719f2d809p-10, -0x1.829b97d15c1b7p-10, -0x1.77f709df58588p-10, -0x1.6d9a86be88c0fp-10, -0x1.63838d06b59b9p-10, -0x1.59ad7663d141dp-10, -0x1.50120a67aefacp-10, -0x1.46aa7dfd25508p-10, -0x1.3d70c3973041dp-10, -0x1.3460d6c79ffbcp-10, -0x1.2b797a5eda538p-10, -0x1.22bbf9488603ap-10, -0x1.1a2af4cc70b86p-10, -0x1.11c8db426b306p-10, -0x1.0996d1203767ap-10, -0x1.019480144151bp-10, -0x1.f38174d0eff6p-11, -0x1.e43508641baa3p-11, -0x1.d543d50a03202p-11, -0x1.c6b04b7cf012fp-11, -0x1.b87deba495433p-11, -0x1.aaaf63847a5a5p-11, -0x1.9d45431f39af5p-11, -0x1.903dc018166b2p-11, -0x1.839531460a052p-11, -0x1.77469e4e01abfp-11, -0x1.6b4c10bd00abp-11, -0x1.5f9ed7f31a3b1p-11, -0x1.5438137c34a33p-11, -0x1.49118e4d0a6c2p-11, -0x1.3e26b244a9988p-11, -0x1.33753f89f983dp-11, -0x1.28fd6c16287bfp-11, -0x1.1ec1404bcd7dep-11, -0x1.14c34b944d0adp-11, -0x1.0b051cbb0c211p-11, -0x1.0186848a4c19fp-11, -0x1.f08cf5e8ed63ep-12, -0x1.de89445048926p-12, -0x1.cd02f9785eaa1p-12, -0x1.bbfaeef738257p-12, -0x1.ab70c06461e5fp-12, -0x1.9b62f45429f83p-12, -0x1.8bcecf1bd02c1p-12, -0x1.7cb0369136649p-12, -0x1.6e02bd50332dbp-12, -0x1.5fc2f96605c87p-12, -0x1.51eea048cdcd3p-12, -0x1.4483728b64743p-12, -0x1.377dfcec6191p-12, -0x1.2ad8acdaeb056p-12, -0x1.1e8bf66da0fep-12, -0x1.1290d506b49dcp-12, -0x1.06e4351c63092p-12, -0x1.f70e27901635bp-13, -0x1.e0f4c60cfa937p-13, -0x1.cb76ec2533d8dp-13, -0x1.b68c8f49641e2p-13, -0x1.a236edd2fd4c5p-13, -0x1.8e818ccd707dcp-13, -0x1.7b73ccd894b9p-13, -0x1.6906d6242f6d7p-13, -0x1.572cf31effe6p-13, -0x1.45dec7af0384fp-13, -0x1.351d5a08bae1p-13, -0x1.24e945d86472fp-13, -0x1.153d1279a1d6p-13, -0x1.0610e8a696a15p-13, -0x1.eec1c03149383p-14, -0x1.d25cf16c86123p-14, -0x1.b6f9d994896d5p-14, -0x1.9c98cdc514e99p-14, -0x1.832c47c540a54p-14, -0x1.6a94fe06823a9p-14, -0x1.52b120456cb38p-14, -0x1.3b7f9808ee14ap-14, -0x1.2525fd9e4a01ap-14, -0x1.0fc02e55cf367p-14, -0x1.f66f05121d40ep-15, -0x1.ceba09b0f2d55p-15, -0x1.a8371a7f4bc55p-15, -0x1.82fc67d7201e1p-15, -0x1.5f2a3b5369b17p-15, -0x1.3ccb4abe22522p-15, -0x1.1bc6a91649fbp-15, -0x1.f7de98787bb9ep-16, -0x1.ba66f548ed99p-16, -0x1.7f56b91d765d4p-16, -0x1.46d5fdea4247fp-16, -0x1.10c3f838a0ecp-16, -0x1.b9bebb4473a23p-17, -0x1.5606e6a915f06p-17, -0x1.ecd8fd98e34f3p-18, -0x1.363c1b72032p-18, -0x1.10d3b824926b2p-19, 0x1.cbbcbb1975d6p-22, 0x1.7411a51e4998fp-19, 0x1.515b8cd182f61p-18, 0x1.e3c04dff3a6bep-18, 0x1.37d6d4e9ef69cp-17, 0x1.79dbb50527d81p-17, 0x1.b86c7b122c698p-17, 0x1.f3dc9d39ba26cp-17, 0x1.15c8197fef821p-16, 0x1.2fb5bdce179bdp-16, 0x1.4832397afc35bp-16, 0x1.5fb7b20211ca5p-16, 0x1.7640865c1c20fp-16, 0x1.8b7ab8f52180ep-16, 0x1.9f5f410f1c102p-16, 0x1.b2304f9b10ca8p-16, 0x1.c3ef275363f0bp-16, 0x1.d46727997b61fp-16, 0x1.e3905cfa284b3p-16, 0x1.f19dfdeaf0dd1p-16, 0x1.feb7c5f3aa855p-16, 0x1.05733c1b5eef2p-15, 0x1.0b11962afb12ep-15, 0x1.1035667b36874p-15, 0x1.14df44d133325p-15, 0x1.190a37664287fp-15, 0x1.1cbc45efc0b14p-15, 0x1.20174b331b8eap-15, 0x1.231f2e56ef1dbp-15, 0x1.25c16f4658298p-15, 0x1.2818ea12b3408p-15, 0x1.2a26b094c3ae3p-15, 0x1.2bc8409228601p-15, 0x1.2d017121e8f4cp-15, 0x1.2de5c0fea4321p-15, 0x1.2e7a7206fd356p-15, 0x1.2ebd786c0a634p-15, 0x1.2eb86420346fcp-15, 0x1.2e7fe34bfb46cp-15, 0x1.2e1152da06536p-15, 0x1.2d5ff51be12ffp-15, 0x1.2c7c092aacd37p-15, 0x1.2b69b236dcef7p-15, 0x1.2a1302fd9845cp-15, 0x1.2878b54a652cbp-15, 0x1.26ac50b4e7d0cp-15, 0x1.24b7930694111p-15, 0x1.229ba6c3d94ep-15, 0x1.2057a65e70571p-15, 0x1.1decf5e2506dp-15, 0x1.1b5c37e46c847p-15, 0x1.189ba76db4618p-15, 0x1.15a781e5b4c44p-15, 0x1.1297703e17e1p-15, 0x1.0f7186b8e098ap-15, 0x1.0c398e716a7b9p-15, 0x1.08e8abfebcdb1p-15, 0x1.056ed7ceab95dp-15, 0x1.01d7d433e3425p-15, 0x1.fc5b6b5a83fdap-16, 0x1.f4e323cd7ad08p-16, 0x1.ed45c024ddedap-16, 0x1.e583e44e1973cp-16, 0x1.dd9f9fe11fac3p-16, 0x1.d597b5131b335p-16, 0x1.cd63de4a3f4fp-16, 0x1.c508c54965ec5p-16, 0x1.bc9cd7e9b68cdp-16, 0x1.b42376e5d721ep-16, 0x1.aba3039aff20cp-16, 0x1.a310ce92b90d2p-16, 0x1.9a5cb149c384fp-16, 0x1.91956d858a636p-16, 0x1.88c7c1aca1cf4p-16, 0x1.7ff54b4098524p-16, 0x1.771cf55c85a3ap-16, 0x1.6e3fb6c9f3f68p-16, 0x1.655f7172f1f3fp-16, 0x1.5c7599356f361p-16, 0x1.5379e0899b51cp-16, 0x1.4a80fea6cb1b7p-16, 0x1.419733ab1f46cp-16, 0x1.38b475ab16ca6p-16, 0x1.2fc9a141d0e22p-16, 0x1.26e0ee1d8259ap-16, 0x1.1e018238ede4ap-16, 0x1.152b07fa27834p-16, 0x1.0c5d24bcb323ep-16, 0x1.039869bc010dp-16, 0x1.f5bbba4063484p-17, 0x1.e45d5cea06058p-17, 0x1.d3180ad01ae87p-17, 0x1.c1edd6ca686eep-17, 0x1.b0e0e92ca7bd9p-17, 0x1.9ff31413f88e5p-17, 0x1.8f217c9a88bd3p-17, 0x1.7e65e46be3a82p-17, 0x1.6dcb17149c3d9p-17, 0x1.5d5e5beb6a9e6p-17, 0x1.4d1c9ce1512d6p-17, 0x1.3cf88cd251035p-17, 0x1.2cf7a5b6d555ep-17, 0x1.1d21b387b6f6bp-17, 0x1.0d76eeda57587p-17, 0x1.fbed5fbd0e151p-18, 0x1.dd43c08f0d9fap-18, 0x1.bef2ddf2b9753p-18, 0x1.a0f2af9690812p-18, 0x1.83476869ee1cfp-18, 0x1.6604f04c653b6p-18, 0x1.491d31aa06b01p-18, 0x1.2c8d12448d68ep-18, 0x1.105e22e5500e3p-18, 0x1.e92148912727ep-19, 0x1.b2484f475f7f1p-19, 0x1.7c324e903b545p-19, 0x1.46e0b1511f241p-19, 0x1.1254d0f78c35ap-19, 0x1.bd1fb1441be5dp-20, 0x1.57258d4edf2d6p-20, 0x1.e579cc840ceadp-21, 0x1.1fce5a68c1bfdp-21, 0x1.752cc419948cap-23, -0x1.88370d948b2f1p-23, -0x1.1e3b6eac9d1c7p-21, -0x1.d745c870928d3p-21, -0x1.4680d3e9e5e83p-20, -0x1.9fdec689d02ccp-20, -0x1.f7a14daf37258p-20, -0x1.26e5d156685dcp-19, -0x1.51302d968be37p-19, -0x1.7ab12d1e38d37p-19, -0x1.a369946fe32b1p-19, -0x1.cb58f784e298p-19, -0x1.f280006a53988p-19, -0x1.0c6fba2dc481ep-18, -0x1.1f3c3bd2540bfp-18, -0x1.31a6068fd5a78p-18, -0x1.43ad7cba2f568p-18, -0x1.55536d4bf42afp-18, -0x1.6697a94b2f4a9p-18, -0x1.777b6af02cc72p-18, -0x1.87ff4f851eff4p-18, -0x1.9823d5e82aa2cp-18, -0x1.a7e99d2a440a9p-18, -0x1.b75154402f315p-18, -0x1.c65bb1faff567p-18, -0x1.d50972de422edp-18, -0x1.e35b587e0e90fp-18, -0x1.f152291f6e8fbp-18, -0x1.feeeaf58d3f5fp-18, -0x1.0618dcd9b884bp-17, -0x1.0c8e0d3ac21e9p-17, -0x1.12d7543a57b28p-17, -0x1.18f52ba291ac9p-17, -0x1.1ef406ae67362p-17, -0x1.24b008a14b1bcp-17, -0x1.2a4df8a459de1p-17, -0x1.2fc23c9002a8fp-17, -0x1.350d3b36d098ap-17, -0x1.3a2f6ebca1485p-17, -0x1.3f295e49c579ap-17, -0x1.43fb6d9bb0ba6p-17, -0x1.48a601ed1f3c7p-17, -0x1.4d29b92fee0f5p-17, -0x1.5186e43dd7e63p-17, -0x1.55be2800c901p-17, -0x1.59d002b02a068p-17, -0x1.5dbcec383f6c1p-17, -0x1.618544a52a0ecp-17, -0x1.65298b9daca91p-17, -0x1.68aa4907b82dcp-17, -0x1.6c0806f0c788bp-17, -0x1.6f433803cd083p-17, -0x1.725c5706dd80ep-17, -0x1.7553e1484a6acp-17, -0x1.782a541748f1ap-17, -0x1.7ae02c796edefp-17, -0x1.7d75e72744f08p-17, -0x1.7fec00aef8a9dp-17, -0x1.8242f4df9e372p-17, -0x1.847b3fc365dcfp-17, -0x1.86955c9c1ca18p-17, -0x1.8891c659feb1cp-17, -0x1.8a70f7737161p-17, -0x1.8c3369d9fd625p-17, -0x1.8dd996ed98a9cp-17, -0x1.8f63f77a8cdf6p-17, -0x1.90d303ab2ad92p-17, -0x1.922732f73c2cep-17, -0x1.9360fc1952714p-17, -0x1.9480d5145cdd1p-17, -0x1.95873339b2a28p-17, -0x1.96748b2370571p-17, -0x1.9749509cc1d23p-17, -0x1.9805f67039c66p-17, -0x1.98aaeeb986a23p-17, -0x1.9938aafafddap-17, -0x1.99af9b77ed5d8p-17, -0x1.9a102e492035cp-17, -0x1.9a5ad13850713p-17, -0x1.9a8ff581dfc37p-17, -0x1.9ab0059ce017ep-17, -0x1.9abb67f932ea2p-17, -0x1.9ab28e9152becp-17, -0x1.9a95e1943dac7p-17, -0x1.9a65c80687c4cp-17, -0x1.9a22a9468f788p-17, -0x1.99ccebd5cddccp-17, -0x1.9964f5050108ap-17, -0x1.98eb28dec7b46p-17, -0x1.985fea4aed3f9p-17, -0x1.97c39b40b7d2cp-17, -0x1.97169cc06abap-17, -0x1.96594ed08cdffp-17, -0x1.958c1085f9f9cp-17, -0x1.94af3faeb3048p-17, -0x1.93c338e3cc56bp-17, -0x1.92c8576d71a8fp-17, -0x1.91bef53ea7753p-17, -0x1.90a76a3706e95p-17, -0x1.8f8209de9f33fp-17, -0x1.8e4f44a06fd4cp-17, -0x1.8d0fdb79351c9p-17, -0x1.8bc3ddb96564p-17, -0x1.8a6961a65ed2p-17, -0x1.8904028142d38p-17, -0x1.8792d932c4336p-17, -0x1.861625300d30bp-17, -0x1.848e3a10984a9p-17, -0x1.82fb6831e5dfcp-17, -0x1.815dfcd3f9d9ap-17, -0x1.7fb641351949dp-17, -0x1.7e047dad21cb2p-17, -0x1.7c48fb700b205p-17, -0x1.7a8412c5dbd57p-17, -0x1.78b623c9accd5p-17, -0x1.76df33976c0d9p-17, -0x1.74ff8ccdab61bp-17, -0x1.73177e5792194p-17, -0x1.71277d0421d9fp-17, -0x1.6f2fad930c138p-17, -0x1.6d3049e827375p-17, -0x1.6b299301a3894p-17, -0x1.691bc8f03c12fp-17, -0x1.67072a5406093p-17, -0x1.64ebf4aeae96p-17, -0x1.62ca663e0a81bp-17, -0x1.60a3a453073fap-17, -0x1.5e75342ffb07cp-17, -0x1.5c41dcd761e82p-17, -0x1.5a0926a9bc685p-17, -0x1.57cb35121c312p-17, -0x1.55883e0955acp-17, -0x1.5340766119fdap-17, -0x1.50f4122e68523p-17, -0x1.4ea345bcef2f5p-17, -0x1.4c4e43d3ad349p-17, -0x1.49f53d528503ep-17, -0x1.479863100fa2ap-17, -0x1.4537e59792e5cp-17, -0x1.42d3f418acb6dp-17, -0x1.406cbcb9e26f6p-17, -0x1.3e026cd42f5e9p-17, -0x1.3b9530fb017ep-17, -0x1.3925351a42473p-17, -0x1.36b2a470079a1p-17, -0x1.343da867d2824p-17, -0x1.31c667b671b91p-17, -0x1.2f4d0a40d3072p-17, -0x1.2cd1b92414b9ep-17, -0x1.2a54a0ab9b619p-17, -0x1.27d602509feb9p-17, -0x1.2555ae41ff0bbp-17, -0x1.22d40ad696c52p-17, -0x1.20513afd1b66dp-17, -0x1.1dcd51497797dp-17, -0x1.1b4871ec30af7p-17, -0x1.18c2d0e2cd1cfp-17, -0x1.163c93bb06e2bp-17, -0x1.13b584afd882fp-17, -0x1.112e1cc4755d2p-17, -0x1.0ea6702e4d6e2p-17, -0x1.0c1e8e65d92ddp-17, -0x1.099694aef0c54p-17, -0x1.070ea07975c6bp-17, -0x1.0486ce3c57013p-17, }}, 
      {{0x1.4bde8e8d82e48p-2, 0x1.0a7275cbcb6d4p-1, 0x1.28ad6e188df9fp-1, 0x1.141fecee8b6bbp-1, 0x1.c79934384543p-2, 0x1.54e67d9bb510dp-2, 0x1.d29a49f5a2111p-3, 0x1.25669d16bf022p-3, 0x1.59eea76e009cbp-4, 0x1.a2eb6da190acp-5, 0x1.46176d63a1275p-5, 0x1.7455ed39e3098p-5, 0x1.00dd2a0942edbp-4, 0x1.62a6bda3386f7p-4, 0x1.ce1abc8c2abc2p-4, 0x1.1ac11ccc4239fp-3, 0x1.477570dde73a5p-3, 0x1.69ed203ebc4bfp-3, 0x1.8068744e30b9dp-3, 0x1.8a5d42cbc9e21p-3, 0x1.882eb3c1bc73bp-3, 0x1.7aea59af5987cp-3, 0x1.640dad9e582e3p-3, 0x1.455540d36e57cp-3, 0x1.2095cb4b08775p-3, 0x1.ef3d007080277p-4, 0x1.98474a9fd0f84p-4, 0x1.3f6065200827cp-4, 0x1.ce74d8dc3606dp-5, 0x1.2437112e06968p-5, 0x1.0772bdc7923a9p-6, -0x1.025324ccf8fabp-9, -0x1.2a9436f2068c9p-6, -0x1.0a4ca5504c028p-5, -0x1.6e60d143e4f33p-5, -0x1.c14157eb3c1f4p-5, -0x1.018cec477d05cp-4, -0x1.1a3901aa1ec4ap-4, -0x1.2b0d238cd17d8p-4, -0x1.348d2d5f55dfap-4, -0x1.3750e37b63d23p-4, -0x1.33fd3e930b3e9p-4, -0x1.2b3eb7617cc56p-4, -0x1.1dc482a3a2157p-4, -0x1.0c3caaaf60668p-4, -0x1.eea1e30fed2e1p-5, -0x1.bf48c772d18a7p-5, -0x1.8ba3094916ed7p-5, -0x1.54d1fe27825e5p-5, -0x1.1be18bac91cc7p-5, -0x1.c38e45474f0ep-6, -0x1.4ec2a595ce39cp-6, -0x1.b5df66951e2e6p-7, -0x1.a5e08d9885616p-8, 0x1.1b29b1e3a9fa8p-12, 0x1.b6c2dc3d5adbcp-8, 0x1.a2daa9c234fa5p-7, 0x1.2ee099b249afp-6, 0x1.856ae6c11e7b3p-6, 0x1.d48c4aa3a8835p-6, 0x1.0df0f2be5e0dfp-5, 0x1.2d91aaf982f26p-5, 0x1.49101bf4e97c5p-5, 0x1.605ede0cf5bcep-5, 0x1.737a2d59e92d3p-5, 0x1.8266d3d9b11e3p-5, 0x1.8d31232e0e34ep-5, 0x1.93ec00c8f2828p-5, 0x1.96b00178b61efp-5, 0x1.959a98b6cee01p-5, 0x1.90cd553a35a93p-5, 0x1.886d30b46da56p-5, 0x1.7ca1ed69927c6p-5, 0x1.6d9581c89b3b7p-5, 0x1.5b73949a9fa26p-5, 0x1.466903a76db73p-5, 0x1.2ea377c73c537p-5, 0x1.14510542c7062p-5, 0x1.ef3facf568129p-6, 0x1.b17bbf2d6dc14p-6, 0x1.6fb13af87f6f3p-6, 0x1.2a39b7c0777ebp-6, 0x1.c2da115d9ad0dp-7, 0x1.2b41ccc267405p-7, 0x1.1ca2a627322c1p-8, -0x1.355e2873ab696p-11, -0x1.722fe2d90ae79p-8, -0x1.625edb703fd2dp-7, -0x1.074d601bd5ae5p-6, -0x1.5ea1042293fd9p-6, -0x1.b6e8bfb9c72fbp-6, -0x1.07f31966990f7p-5, -0x1.34af1c6bfc5efp-5, -0x1.618c72af34246p-5, -0x1.8e70bee94c2a9p-5, -0x1.bb433655cb931p-5, -0x1.e7ec9a1ff8466p-5, -0x1.0a2b97486afcfp-4, -0x1.203758aab0e75p-4, -0x1.36102757cb002p-4, -0x1.4bad4b0f8859ap-4, -0x1.6106b70c052bep-4, -0x1.761503e6b329p-4, -0x1.8ad168d1de5c7p-4, -0x1.9f35b560c513fp-4, -0x1.b33c4abb0234bp-4, -0x1.c6e014ddbd0aap-4, -0x1.da1c843d17d3bp-4, -0x1.eced871979ccep-4, -0x1.ff4f82d4a667ep-4, -0x1.089fa6f7e7d81p-3, -0x1.115d14e57baadp-3, -0x1.19dede1cc8b0cp-3, -0x1.222404f9a69eep-3, -0x1.2a2bb88ee5b67p-3, -0x1.31f55197fb2a5p-3, -0x1.39805001c4943p-3, -0x1.40cc586a50fdep-3, -0x1.47d93190c3165p-3, -0x1.4ea6c1f16cd98p-3, -0x1.55350dc75a2bp-3, -0x1.5b8434ac492c7p-3, -0x1.61946f807eba2p-3, -0x1.67660ecfcefd1p-3, -0x1.6cf978bfe791ep-3, -0x1.724f273195547p-3, -0x1.7767a65ad150fp-3, -0x1.7c4393366d7c1p-3, -0x1.80e399ca90aa3p-3, -0x1.854873e973e68p-3, -0x1.8972e800a1811p-3, -0x1.8d63c7ba43bb9p-3, -0x1.911beeb5c55f7p-3, -0x1.949c41a025343p-3, -0x1.97e5ad34d8c43p-3, -0x1.9af9251acc7dep-3, -0x1.9dd7a2fecfb9cp-3, -0x1.a08225df60bd8p-3, -0x1.a2f9b1402982p-3, -0x1.a53f4c4436f2fp-3, -0x1.a75401084ccfep-3, -0x1.a938dc21c6d57p-3, -0x1.aaeeebf5c5231p-3, -0x1.ac7740102e682p-3, -0x1.add2e8a98804dp-3, -0x1.af02f64679bb9p-3, -0x1.b0087940b66eap-3, -0x1.b0e4814372ecp-3, -0x1.b1981cec9faa3p-3, -0x1.b224599111819p-3, -0x1.b28a42ed17434p-3, -0x1.b2cae2c12c22dp-3, -0x1.b2e7407f44653p-3, -0x1.b2e0612ac92d7p-3, -0x1.b2b7472dc2661p-3, -0x1.b26cf20ce21c6p-3, -0x1.b2025e3232b99p-3, -0x1.b17884cd86eb2p-3, -0x1.b0d05bbdd9692p-3, -0x1.b00ad56c3f40dp-3, -0x1.af28e0a267e91p-3, -0x1.ae2b68711785ap-3, -0x1.ad1354256da4p-3, -0x1.abe1873dcddacp-3, -0x1.aa96e152090ecp-3, -0x1.a9343dfed5c8ap-3, -0x1.a7ba74df24e2dp-3, -0x1.a62a598d0d453p-3, -0x1.a484bb9e6d002p-3, -0x1.a2ca669adaae3p-3, -0x1.a0fc21f528c0dp-3, -0x1.9f1ab10e68ea9p-3, -0x1.9d26d33df3c55p-3, -0x1.9b2143d5bc3f7p-3, -0x1.990aba21ac00bp-3, -0x1.96e3e969e00ap-3, -0x1.94ad80fb07701p-3, -0x1.92682c326131cp-3, -0x1.9014928836255p-3, -0x1.8db357963b494p-3, -0x1.8b451b1e5e836p-3, -0x1.88ca7915c1dbep-3, -0x1.864409b3516e9p-3, -0x1.83b2617daf97fp-3, -0x1.81161156803cp-3, -0x1.7e6fa6845b3e2p-3, -0x1.7bbfaabf03841p-3, -0x1.7906a43e2016p-3, -0x1.764515c91b08ep-3, -0x1.737b7ec581c7ap-3, -0x1.70aa5b4392498p-3, -0x1.6dd2240ab8735p-3, -0x1.6af34ea79d73fp-3, -0x1.680e4d7bea88ep-3, -0x1.65238fce3195bp-3, -0x1.623381d8376f4p-3, -0x1.5f3e8cd42f3c3p-3, -0x1.5c45170a28d92p-3, -0x1.594783de5a437p-3, -0x1.564633e04f784p-3, -0x1.534184da383c9p-3, -0x1.5039d1def1513p-3, -0x1.4d2f73573fd2ep-3, -0x1.4a22bf0f15667p-3, -0x1.47140843246fbp-3, -0x1.44039faef130bp-3, -0x1.40f1d39b1dd74p-3, -0x1.3ddeefeaefc08p-3, -0x1.3acb3e28f009p-3, -0x1.37b70593818f5p-3, -0x1.34a28b297a7aep-3, -0x1.318e11b6e2b46p-3, -0x1.2e79d9e1dad4fp-3, -0x1.2b6622375394fp-3, -0x1.28532736fe709p-3, -0x1.2541235ecbf2cp-3, -0x1.22304f367d5a6p-3, -0x1.1f20e15b0b255p-3, -0x1.1c130e8a235b5p-3, -0x1.190709adab5e3p-3, -0x1.15fd03e6d122p-3, -0x1.12f52c98a4c5bp-3, -0x1.0fefb1727032dp-3, -0x1.0cecbe79f9a0ap-3, -0x1.09ec7e15bd4c1p-3, -0x1.06ef1916f50c1p-3, -0x1.03f4b6c393951p-3, -0x1.00fd7ce004ce6p-3, -0x1.fc131f70fea37p-4, -0x1.f6322454505ccp-4, -0x1.f0584b582fc4cp-4, -0x1.ea85d4b0865ccp-4, -0x1.e4bafde858fdep-4, -0x1.def801f2fb2cp-4, -0x1.d93d193d1bb4ep-4, -0x1.d38a79bd286c9p-4, -0x1.cde057032a748p-4, -0x1.c83ee2485c237p-4, -0x1.c2a64a7eab945p-4, -0x1.bd16bc5fb3fc6p-4, -0x1.b790627b89442p-4, -0x1.b21365474ed9dp-4, -0x1.ac9feb2b8d6c1p-4, -0x1.a736189212c69p-4, -0x1.a1d60ff3584c6p-4, -0x1.9c7ff1e3b4aabp-4, -0x1.9733dd2049773p-4, -0x1.91f1ee9bba9f1p-4, -0x1.8cba418a9a30ep-4, -0x1.878cef6fbeaf7p-4, -0x1.826a102842aaap-4, -0x1.7d51b9f742324p-4, -0x1.78440190df09fp-4, -0x1.7340fa25791d2p-4, -0x1.6e48b56c6e9e2p-4, -0x1.695b43aedb70fp-4, -0x1.6478b3d20eb35p-4, -0x1.5fa11361d7a14p-4, -0x1.5ad46e9a826e2p-4, -0x1.5612d072826efp-4, -0x1.515c42a3d6f45p-4, -0x1.4cb0cdb5404b2p-4, -0x1.4810790357b55p-4, -0x1.437b4ac9910c2p-4, -0x1.3ef1482afd93ap-4, -0x1.3a72753acde4bp-4, -0x1.35fed5048dff3p-4, -0x1.319669942cc26p-4, -0x1.2d3933fdd54e7p-4, -0x1.28e73465a0493p-4, -0x1.24a06a074035fp-4, -0x1.2064d33d72848p-4, -0x1.1c346d895777bp-4, -0x1.180f359947dd7p-4, -0x1.13f5274fd8de4p-4, -0x1.0fe63dca5bae7p-4, -0x1.0be273676f8b8p-4, -0x1.07e9c1cd6d326p-4, -0x1.03fc21f0c38e9p-4, -0x1.00198c1a2e0fap-4, -0x1.f883efd974872p-5, -0x1.f0eab8d727d54p-5, -0x1.e9675fff48032p-5, -0x1.e1f9d0f9f177dp-5, -0x1.daa1f6505885ep-5, -0x1.d35fb9776d0a9p-5, -0x1.cc3302da5f70cp-5, -0x1.c51bb9e4ef2b1p-5, -0x1.be19c50d6f4a7p-5, -0x1.b72d09de5536cp-5, -0x1.b0556cff6c47p-5, -0x1.a992d23ed4ec4p-5, -0x1.a2e51c99c4e26p-5, -0x1.9c4c2e453a5b9p-5, -0x1.95c7e8b69b1dcp-5, -0x1.8f582cac3125bp-5, -0x1.88fcda3588acbp-5, -0x1.82b5d0bb01696p-5, -0x1.7c82ef066866p-5, -0x1.76641348c95b5p-5, -0x1.70591b2327236p-5, -0x1.6a61e3acb5398p-5, -0x1.647e49797bd62p-5, -0x1.5eae28a1fe4bap-5, -0x1.58f15cc990521p-5, -0x1.5347c124ffc41p-5, -0x1.4db13080e8dc7p-5, -0x1.482d8547ca6aap-5, -0x1.42bc9987dddcbp-5, -0x1.3d5e46f8c6d37p-5, -0x1.3812670128ac7p-5, -0x1.32d8d2bc263cap-5, -0x1.2db162fed6479p-5, -0x1.289bf05d9fb07p-5, -0x1.239853315fd5fp-5, -0x1.1ea6639c5abeap-5, -0x1.19c5f98ef4089p-5, -0x1.14f6eccc3fbc3p-5, -0x1.103914ee6d7a2p-5, -0x1.0b8c496b2f158p-5, -0x1.06f061982259p-5, -0x1.026534af3368dp-5, -0x1.fbd533a5e38aap-6, -0x1.f300d02579afap-6, -0x1.ea4cecdd381bep-6, -0x1.e1b937b5931a1p-6, -0x1.d9455e85bf518p-6, -0x1.d0f10f1b8e51bp-6, -0x1.c8bbf73df8c79p-6, -0x1.c0a5c4b71f355p-6, -0x1.b8ae25593910dp-6, -0x1.b0d4c70634172p-6, -0x1.a91957b71b53ep-6, -0x1.a17b858345ddcp-6, -0x1.99fafea6f1188p-6, -0x1.92977189e9bd4p-6, -0x1.8b508cbd366cfp-6, -0x1.8425ff100be57p-6, -0x1.7d1777774a39bp-6, -0x1.7624a52deba0fp-6, -0x1.6f4d37a419f84p-6, -0x1.6890de8c51aebp-6, -0x1.61ef49e0015fcp-6, -0x1.5b6829e5f9dc5p-6, -0x1.54fb2f391462fp-6, -0x1.4ea80ace3ca07p-6, -0x1.486e6df92e8cp-6, -0x1.424e0a6fa7629p-6, -0x1.3c46924b25e65p-6, -0x1.3657b809ccf53p-6, -0x1.30812e8efad3ep-6, -0x1.2ac2a924613fp-6, -0x1.251bdb7c0ed9ep-6, -0x1.1f8c79b388f0ep-6, -0x1.1a143857c8867p-6, -0x1.14b2cc697dbe6p-6, -0x1.0f67eb6129c4ap-6, -0x1.0a334b32abf75p-6, -0x1.0514a2503879fp-6, -0x1.000ba7acf61e9p-6, -0x1.f630257f81cc9p-7, -0x1.ec73370ccf4dep-7, -0x1.e2dff512e5d23p-7, -0x1.d975d1c005fcep-7, -0x1.d03440656e341p-7, -0x1.c71ab57934e96p-7, -0x1.be28a6859938p-7, -0x1.b55d8a5afbee8p-7, -0x1.acb8d8871db32p-7, -0x1.a43a09bd2c661p-7, -0x1.9be0978d6fb55p-7, -0x1.93abfc7064022p-7, -0x1.8b9bb3d5572e5p-7, -0x1.83af3a42039c2p-7, -0x1.7be60d7fc66e2p-7, -0x1.743facce606a2p-7, -0x1.6cbb991027dbfp-7, -0x1.655954e29753ap-7, -0x1.5e18649841893p-7, -0x1.56f84e0ecccb2p-7, -0x1.4ff8986416c55p-7, -0x1.4918cb96ab24cp-7, -0x1.42587025de785p-7, -0x1.3bb70ec945258p-7, -0x1.3534305712c98p-7, -0x1.2ecf5de7bb001p-7, -0x1.2888213a9993ap-7, -0x1.225e054eb4a73p-7, -0x1.1c50971417305p-7, -0x1.165f6610361e8p-7, -0x1.108a04cca80a9p-7, -0x1.0ad008edc61bfp-7, -0x1.05310ade5df0ep-7, -0x1.ff594a2698dbbp-8, -0x1.f484e605bf70ep-8, -0x1.e9e4200098075p-8, -0x1.df762c71e797bp-8, -0x1.d53a3c2126b9ep-8, -0x1.cb2f7c19c0c68p-8, -0x1.c15516cd8b9ddp-8, -0x1.b7aa366c3b881p-8, -0x1.ae2e081350b8fp-8, -0x1.a4dfbf41e175cp-8, -0x1.9bbe98dc5cbf7p-8, -0x1.92c9dd114cfafp-8, -0x1.8a00df9af5868p-8, -0x1.8162fe240efa8p-8, -0x1.78ef9cf48aa5p-8, -0x1.70a622698a0d3p-8, -0x1.6885f2079004p-8, -0x1.608e681be0c9p-8, -0x1.58bed6d7f7dcp-8, -0x1.51168598305p-8, -0x1.4994b2a50fea9p-8, -0x1.42389742dbc1fp-8, -0x1.3b016d349c74ap-8, -0x1.33ee75c408a35p-8, -0x1.2cfeff6806e34p-8, -0x1.26326a37a25a7p-8, -0x1.1f88290358b6ap-8, -0x1.18ffc128db57cp-8, -0x1.1298c5dcc7b55p-8, -0x1.0c52d1222ebefp-8, -0x1.062d7c05870ecp-8, -0x1.002856c17ddccp-8, -0x1.f485c4f862866p-9, -0x1.e8f91ba228edbp-9, -0x1.dda969b33a5b4p-9, -0x1.d29549901acfp-9, -0x1.c7bb450bbb14fp-9, -0x1.bd19e684a5b9ap-9, -0x1.b2afcb1253ce7p-9, -0x1.a87bb2bf25e0bp-9, -0x1.9e7c8c0e368ddp-9, -0x1.94b178bccfdf8p-9, -0x1.8b19caba043edp-9, -0x1.81b4f99444ce1p-9, -0x1.788291f09df28p-9, -0x1.6f8221c129a73p-9, -0x1.66b324a1ee3c9p-9, -0x1.5e14f3cb3712cp-9, -0x1.55a6bc5e9dfc3p-9, -0x1.4d677d957d1b4p-9, -0x1.45560edae24b7p-9, -0x1.3d712c7b6b714p-9, -0x1.35b7889e10dc8p-9, -0x1.2e27ddb8c212dp-9, -0x1.26c0fe9cf5dbbp-9, -0x1.1f81ea3c8968ep-9, -0x1.1869c74ebcp-9, -0x1.1177f26bb1328p-9, -0x1.0aabf283fbdfep-9, -0x1.04056f1e5194fp-9, -0x1.fb0841fd51263p-10, -0x1.ee4f81eec5deap-10, -0x1.e1dfef4a83357p-10, -0x1.d5b8a17649fa9p-10, -0x1.c9d867b62ea2cp-10, -0x1.be3dc7c0038e3p-10, -0x1.b2e7087e076e9p-10, -0x1.a7d24642a45eep-10, -0x1.9cfd8c6b1af5dp-10, -0x1.9266effbc9ca9p-10, -0x1.880ca6e4dfc9ep-10, -0x1.7ded184fde6c2p-10, -0x1.7406e3bf3cba7p-10, -0x1.6a58defd061ccp-10, -0x1.60e20d23adf95p-10, -0x1.57a1928ca510cp-10, -0x1.4e96a93778637p-10, -0x1.45c09776b1a09p-10, -0x1.3d1ea87d071cbp-10, -0x1.34b02526283a5p-10, -0x1.2c744bbde8dbfp-10, -0x1.246a4739c6fa5p-10, -0x1.1c91284820b56p-10, -0x1.14e7e3a41039bp-10, -0x1.0d6d587f0c879p-10, -0x1.06205f2f10e2bp-10, -0x1.fdffb8b912958p-11, -0x1.f015a2c4181e2p-11, -0x1.e280c39199a8ap-11, -0x1.d53f9261dfbdfp-11, -0x1.c85087788f789p-11, -0x1.bbb1e492b0bb4p-11, -0x1.af618f45a940fp-11, -0x1.a35d13270ff33p-11, -0x1.97a1d17770626p-11, -0x1.8c2d4ee5403cbp-11, -0x1.80fd800fc908dp-11, -0x1.7610f3472b7a3p-11, -0x1.6b66c3e3b10c4p-11, -0x1.60fe5c3fa1b2dp-11, -0x1.56d7239f9a0d8p-11, -0x1.4cf04091b479fp-11, -0x1.43488eab68f4cp-11, -0x1.39decb3444645p-11, -0x1.30b1dd884115dp-11, -0x1.27c10f8c849cfp-11, -0x1.1f0c119b9f238p-11, -0x1.1692bed491a43p-11, -0x1.0e54b4bc217f4p-11, -0x1.0650e60adfd2ep-11, -0x1.fd0aaa47d3f37p-12, -0x1.edde2df7bc7a5p-12, -0x1.df15503057886p-12, -0x1.d0a901ddbb1eep-12, -0x1.c293785284f9p-12, -0x1.b4d123823948p-12, -0x1.a760e373b6a37p-12, -0x1.9a435cb9679d5p-12, -0x1.8d79b87d0dd9dp-12, -0x1.81046e13064dep-12, -0x1.74e2ae63d7282p-12, -0x1.6912a94778507p-12, -0x1.5d92698255916p-12, -0x1.5260bc1a2feefp-12, -0x1.477da2fe995c9p-12, -0x1.3cea1a59ede6cp-12, -0x1.32a74fe2b0384p-12, -0x1.28b5aad1843f9p-12, -0x1.1f140a6eb3484p-12, -0x1.15bf7331621afp-12, -0x1.0cb32ce57ef1dp-12, -0x1.03e94196b0b52p-12, -0x1.f6b6a6945d9f9p-13, -0x1.e60763dfce308p-13, -0x1.d5bcd6c02f91ep-13, -0x1.c5d3c855c2cffp-13, -0x1.b64d3aa1e5b76p-13, -0x1.a72c637b3cb09p-13, -0x1.98741cf923162p-13, -0x1.8a251bf8c1b95p-13, -0x1.7c3da8b4d693p-13, -0x1.6ebab3f449c32p-13, -0x1.61998bc3f27fdp-13, -0x1.54d936270badap-13, -0x1.487aa0f341876p-13, -0x1.3c7f9145b3512p-13, -0x1.30e91c15e05ecp-13, -0x1.25b69f57580b9p-13, -0x1.1ae59cb193d93p-13, -0x1.107228d02262ap-13, -0x1.065765af99d7cp-13, -0x1.f91f87fa9bbd1p-14, -0x1.e62a6a27faf04p-14, -0x1.d3c32725f067dp-14, -0x1.c1de9950ea548p-14, -0x1.b07439245d701p-14, -0x1.9f7f35e2ab0e1p-14, -0x1.8efe9fa2caf7ep-14, -0x1.7ef462609307bp-14, -0x1.6f633e7fc97dep-14, -0x1.604c67bf806cp-14, -0x1.51ae61531ffa4p-14, -0x1.438663aa4fcc1p-14, -0x1.35d2b61e7fb62p-14, -0x1.28930388b9a9bp-14, -0x1.1bc6d957739fep-14, -0x1.0f6ccaec27957p-14, -0x1.03828f4cf89d9p-14, -0x1.f009d61fdb469p-15, -0x1.d9df595cff9c4p-15, -0x1.c47d007e2e19ep-15, -0x1.afdbe022c807dp-15, -0x1.9bf6e5ece7ea4p-15, -0x1.88c92f2e9885p-15, -0x1.764c273815ae3p-15, -0x1.6476248020a77p-15, -0x1.533a9322af42bp-15, -0x1.428d949196fp-15, -0x1.3269085cad43fp-15, -0x1.22ccda15549f1p-15, -0x1.13b91af4ab4c2p-15, -0x1.0528c4752f0aep-15, -0x1.ee29d9c9ff30fp-16, -0x1.d2fad19ae061cp-16, -0x1.b8d2f589f4c98p-16, -0x1.9fbab3782d1bep-16, -0x1.87a5dd237b99dp-16, -0x1.707e717f36c22p-16, -0x1.5a37ab579b326p-16, -0x1.44d0ce94a991bp-16, -0x1.304891c0e6f9p-16, -0x1.1c9532d99f4bdp-16, -0x1.09a9d3f664791p-16, -0x1.eefeb1dd2de6dp-17, -0x1.cc2cbbb4edec6p-17, -0x1.aae3e7bb5db7dp-17, -0x1.8b21c89c0b45cp-17, -0x1.6cd0b786d8717p-17, -0x1.4fc29245e036ap-17, -0x1.33c5d47a0d5c7p-17, -0x1.18d64b24995d8p-17, -0x1.fe4ac6ea52089p-18, -0x1.cdad73ddcd891p-18, -0x1.9f8c1903ec532p-18, -0x1.736776b3ac4d5p-18, -0x1.48fea78a05571p-18, -0x1.206efb1b2eb47p-18, -0x1.f3b874b85f55ep-19, -0x1.aaa944393809dp-19, -0x1.656336cb9ee3dp-19, -0x1.2363e0d4d8656p-19, -0x1.c8ea8a6a12e7fp-20, -0x1.51a3eef497a76p-20, -0x1.c2a164b912f26p-21, -0x1.de2db9351e4b1p-22, -0x1.39afd4a2b898dp-24, 0x1.2baffa574b165p-22, 0x1.480696b454edcp-21, 0x1.eeef0959ddee9p-21, 0x1.4531e7298265fp-20, 0x1.8d512a3c2ba48p-20, 0x1.d069a161296cbp-20, 0x1.07dd51cea6849p-19, 0x1.25fcdd3dbcdfap-19, 0x1.421753639e54ap-19, 0x1.5bba06cb9c6b3p-19, 0x1.733a2dcfffb89p-19, 0x1.88d2512a12a5p-19, 0x1.9c22339cd569ep-19, 0x1.ad1bf0a69064ep-19, 0x1.bc6107569f17ap-19, 0x1.ca8fddad5b154p-19, 0x1.d7a283494b4dfp-19, 0x1.e3334b2050055p-19, 0x1.ed3c64db19d92p-19, 0x1.f61277984ffe9p-19, 0x1.fdae8747a437fp-19, 0x1.01f8fd0b45652p-18, 0x1.045b329d471b4p-18, 0x1.06232791ca428p-18, 0x1.076a67f3e7403p-18, 0x1.08371153fc664p-18, 0x1.0885b51ae1ecbp-18, 0x1.08554d50596f7p-18, 0x1.07a78c31eaf81p-18, 0x1.06777d453779dp-18, 0x1.04cd2573c315ep-18, 0x1.02d1981eb5faep-18, 0x1.0089feee40cd7p-18, 0x1.fbc18d139e541p-19, 0x1.f5ed4d959c4a3p-19, 0x1.ef9ad5864402bp-19, 0x1.e878785b70d31p-19, 0x1.e0904cb6d9432p-19, 0x1.d811e48ab6174p-19, 0x1.cf0ab6f603a02p-19, 0x1.c576c28ae01e2p-19, 0x1.bb6d3f5005371p-19, 0x1.b11ec807481f3p-19, 0x1.a6854d6da58aep-19, 0x1.9b83fa23c07e3p-19, 0x1.90404ee0c7fb4p-19, 0x1.84c383973dd7ap-19, 0x1.78dca9cc83a7cp-19, 0x1.6c8e9197c1a68p-19, 0x1.6000f14193118p-19, 0x1.53497ae74b53bp-19, 0x1.466ad354dce14p-19, 0x1.39632f69668b4p-19, 0x1.2c35d2180867fp-19, 0x1.1ee47718ffd84p-19, 0x1.115a6a9885edfp-19, 0x1.038fbf1bf592dp-19, 0x1.eb6eddd50378ap-20, 0x1.cfbd543d8b94cp-20, 0x1.b41b5762c5df7p-20, 0x1.986b75bf05471p-20, 0x1.7c68b13841d0ep-20, 0x1.604582cd0cbe4p-20, 0x1.442d1790c2d9ep-20, 0x1.2823d3063p-20, 0x1.0c270d1140197p-20, 0x1.e06f6d87e5b9bp-21, 0x1.a8b352deb5b9cp-21, 0x1.7113989193349p-21, 0x1.396e03b81fdcep-21, 0x1.01d6f0010de37p-21, 0x1.9552f3958e013p-22, 0x1.27e2e4056b742p-22, 0x1.7716d2d303363p-23, 0x1.3fd31bb2ee41dp-24, -0x1.b5d53cd608be8p-26, -0x1.0befe414c3e0bp-23, -0x1.def817582b5cdp-23, -0x1.57e045c54c3b6p-22, -0x1.bf2ef2c2328p-22, -0x1.12b17451e187p-21, -0x1.453804d6381c6p-21, -0x1.7743b1672b4a8p-21, -0x1.a8f3700040ba7p-21, -0x1.d9fd1d0e74de1p-21, -0x1.051aac7eb6e5ep-20, -0x1.1cdd3394a3013p-20, -0x1.34622e6d803aap-20, -0x1.4b97bfe482cccp-20, -0x1.62719f86bf806p-20, -0x1.78f1164da7e7bp-20, -0x1.8f1778bbe9dbap-20, -0x1.a4e4751ab01f6p-20, -0x1.ba56f091d6ac9p-20, -0x1.cf6d9454f3d8dp-20, -0x1.e42723ea500cp-20, -0x1.f8829ca608f2ap-20, -0x1.063f76d7d3127p-19, -0x1.100dac91769c8p-19, -0x1.19ad70d14118p-19, -0x1.23216fc419257p-19, -0x1.2c659d5d37dc5p-19, -0x1.35756323f2235p-19, -0x1.3e52875689338p-19, -0x1.4702351b18e54p-19, -0x1.4f82a18c56579p-19, -0x1.57d16dc444869p-19, -0x1.5feeef4722ddfp-19, -0x1.67dbbefdaaf81p-19, -0x1.6f97ef1b7c262p-19, -0x1.77238db3e64a9p-19, -0x1.7e8033f39ceeap-19, -0x1.85ad9725940bdp-19, -0x1.8ca8fe03b9d77p-19, -0x1.9374f93be8cf4p-19, -0x1.9a12660b12c8p-19, -0x1.a0802ba07ec7fp-19, -0x1.a6bea52e46599p-19, -0x1.acce4b1468dbep-19, -0x1.b2af7415437e2p-19, -0x1.b8626c00f64fbp-19, -0x1.bde782be29d0ap-19, -0x1.c33f0c08b60dcp-19, -0x1.c8695f866daa7p-19, -0x1.cd66d8514c4c1p-19, -0x1.d237d3e3c1534p-19, -0x1.d6dcb042697cfp-19, -0x1.db55c95e9c8fdp-19, -0x1.dfa38bede362fp-19, -0x1.e3c8ade8daf3dp-19, -0x1.e7ba5d21db391p-19, -0x1.eb8dcfbf9632fp-19, -0x1.ef33bd7d0807ep-19, -0x1.f2ae843c550bap-19, -0x1.f601c33826defp-19, -0x1.f92cc7a734e64p-19, -0x1.fc300721ea05cp-19, -0x1.ff0bfbe42ad39p-19, -0x1.00e0928c2e583p-18, -0x1.022800523d6eap-18, -0x1.035c85e6b8e9ep-18, -0x1.047e6247f0926p-18, -0x1.058dd4f5bf1cep-18, -0x1.068b1d8786ae4p-18, -0x1.07767ca9001b4p-18, -0x1.085032500fe15p-18, -0x1.09187f2c31cf9p-18, -0x1.09cfa43e426c2p-18, -0x1.0a75e29dca9f3p-18, -0x1.0b0b7b73c8e7cp-18, -0x1.0b90afed5050ap-18, -0x1.0c05c12a7600ep-18, -0x1.0c6af032f0606p-18, -0x1.0cc07df80ae28p-18, -0x1.0d06ab6119469p-18, -0x1.0d3db95fde53cp-18, -0x1.0d65e927cd54ap-18, -0x1.0d7f7d1237258p-18, -0x1.0d8accb64c923p-18, -0x1.0d9d1b0cbb677p-18, -0x1.0d77216bbe33dp-18, -0x1.0d58ac3a7db05p-18, -0x1.0d2ced0df3aaap-18, -0x1.0cf41339cc0cbp-18, -0x1.0cae5bc171d8bp-18, -0x1.0c5bfe2d6f003p-18, -0x1.0bfd3cff495e2p-18, -0x1.0b925f9b095d2p-18, -0x1.0b1b945fb2278p-18, -0x1.0a9931ebadba3p-18, -0x1.0a0b5be3e6715p-18, -0x1.09724729608cp-18, -0x1.08ce30fdd7bc5p-18, -0x1.081f6c8f26bfep-18, -0x1.0766325c6481fp-18, -0x1.06a2b3942fbccp-18, -0x1.05d51ef8cd20ep-18, -0x1.04fdb662449fbp-18, -0x1.041cb46ab043bp-18, -0x1.03325101e3622p-18, -0x1.023ec37713855p-18, -0x1.014242b0848d5p-18, -0x1.003d052606f3dp-18, -0x1.fe5e8031ce8dfp-19, -0x1.fc325461fd8c7p-19, -0x1.f9f5edcc2310bp-19, -0x1.f7a9b5e75949fp-19, -0x1.f54e13fcdfbf4p-19, -0x1.f2e36e2285c7ep-19, -0x1.f06a295416c93p-19, -0x1.ede2a93bd062ep-19, -0x1.eb4d507a904e4p-19, -0x1.e8aa807c5e198p-19, -0x1.e5fa995b71d58p-19, -0x1.e33df9d9a8e41p-19, -0x1.e074ff8c84484p-19, -0x1.dda0070e61813p-19, -0x1.dabf6c6b9785dp-19, -0x1.d7d38b56d053ep-19, -0x1.d4dcb9e4b29dap-19, -0x1.d1db4d54c560ep-19, -0x1.cecfa25a19e33p-19, -0x1.cbba0e5df3d5bp-19, -0x1.c89adfe25d0ep-19, -0x1.c5726812bfcb4p-19, -0x1.c2410499ccfbcp-19, -0x1.bf06ffdd81b05p-19, -0x1.bbc49a4353b96p-19, -0x1.b87a3811c7aa8p-19, -0x1.b52822519c663p-19, -0x1.b1cea03564f4ep-19, -0x1.ae6dfbadc26c1p-19, -0x1.ab067e3ea793ep-19, -0x1.a79870c8c81b6p-19, -0x1.a4241bbd3076ap-19, -0x1.a0a9c67c7c445p-19, -0x1.9d29b682b8da9p-19, -0x1.99a42f9fd8927p-19, -0x1.9619742209f8dp-19, -0x1.9289c3f3fa315p-19, -0x1.8ef55fa7e3aa2p-19, -0x1.8b5c857ee88cfp-19, -0x1.87bf73fd653fcp-19, -0x1.841e67432c26cp-19, -0x1.807996fda426bp-19, -0x1.7cd12e493a7ap-19, -0x1.7925c01b5eddcp-19, -0x1.7578fc60b3d16p-19, -0x1.71ca289322b79p-19, -0x1.6e11a62e52fb2p-19, -0x1.6a5b28e39854bp-19, -0x1.66a2a081397e5p-19, -0x1.62e80575f37bcp-19, -0x1.5f2b988d32d5cp-19, -0x1.5b6d91fc4eccfp-19, -0x1.57ae246f5b6c8p-19, -0x1.53ed7c535cfaep-19, -0x1.502bc514b765p-19, -0x1.4c692c4561073p-19, -0x1.48a5f762346fep-19, -0x1.44e2789e6153dp-19, -0x1.411e751ed022fp-19, -0x1.3d5a2381f1a8dp-19, -0x1.3995bc37e2c63p-19, -0x1.35d1b2493954bp-19, -0x1.320e0161a8921p-19, -0x1.2e4ac63e0b6adp-19, -0x1.2a8828b707597p-19, -0x1.26c64fcb5dc62p-19, -0x1.230560f77d567p-19, -0x1.1f4580fa46cc7p-19, -0x1.1b86d8c5f8ef3p-19, -0x1.17cc4f9031077p-19, -0x1.140dd5f1d27eep-19, -0x1.10534718a7489p-19, -0x1.0c9aaec034909p-19, -0x1.08e3efa4947cdp-19, -0x1.052f270649e83p-19, -0x1.017c7245a2266p-19, -0x1.fb97dcb48bac9p-20, -0x1.f43b71302ac52p-20, -0x1.ece3da259a6b3p-20, -0x1.e5914c8d07c41p-20, -0x1.de43fd88d2d4ap-20, -0x1.d6fc21fba0a41p-20, -0x1.cfb9eca2de4b2p-20, -0x1.c87d8ec5dbb23p-20, -0x1.c1473880354ap-20, -0x1.ba1718f479cdp-20, -0x1.b2ed5e78d73a7p-20, -0x1.abca36760d8c3p-20, -0x1.a4adca9858e39p-20, -0x1.9d983e9576a36p-20, -0x1.9689b9a866d56p-20, -0x1.8f82666c3da4dp-20, -0x1.888277a20280fp-20, -0x1.818a55bb00cfdp-20, -0x1.7a99597a0eafp-20, -0x1.73b04c6183c0bp-20, -0x1.6ccf4c677817bp-20, -0x1.65f642231592fp-20, -0x1.5f25618d762cap-20, -0x1.585cfbaa8752fp-20, -0x1.519d2f71dac5bp-20, -0x1.4ae54c6210381p-20, -0x1.44364533f9fd7p-20, -0x1.3d901c0944aabp-20, -0x1.36f2c8e1cce9bp-20, -0x1.305e659a386bdp-20, -0x1.29d30d25eaa7ap-20, -0x1.2350d84bef398p-20, }}, 
      {{-0x1.71e8e7678eeffp+1, -0x1.3c409d2ad6d38p+1, -0x1.0d49fca8650d4p+1, -0x1.d82c2692ebd14p+0, -0x1.ae99d5a5cb755p+0, -0x1.96519e1c6956bp+0, -0x1.87e586e1ce0a6p+0, -0x1.7db769eb83914p+0, -0x1.74349a44b7962p+0, -0x1.697f7dcc05836p+0, -0x1.5cf32f2145603p+0, -0x1.4eaf8951a21e6p+0, -0x1.3f3dc1a4dfc5ep+0, -0x1.2f4fb34cce2dep+0, -0x1.1f963d1ed7ea8p+0, -0x1.10a9673f098f7p+0, -0x1.02fd331a0bc5dp+0, -0x1.edbda6c19d0e1p-1, -0x1.d8ee13af44f3cp-1, -0x1.c79ea52a2537fp-1, -0x1.b9b0859aecc0dp-1, -0x1.aee0242ad64bcp-1, -0x1.a6d1592dd7ea4p-1, -0x1.a119eda90daf8p-1, -0x1.9d4a3cb638a32p-1, -0x1.9af3e7c708c3cp-1, -0x1.99aebf8c8bf2fp-1, -0x1.991c1a6f56132p-1, -0x1.98e8da0e1340ap-1, -0x1.98ce63505b863p-1, -0x1.9892c80df74ddp-1, -0x1.9808598afc8afp-1, -0x1.970cd2e0dd34p-1, -0x1.9588410b82e65p-1, -0x1.936bc69d58a9p-1, -0x1.90b05177ac52ap-1, -0x1.8d55539452b9p-1, -0x1.895f8accf1b54p-1, -0x1.84d7e008a45d1p-1, -0x1.7fca62ab5705ep-1, -0x1.7a4562a54d3bcp-1, -0x1.7458a9cc27e46p-1, -0x1.6e14d3a4513a8p-1, -0x1.678ac1cb1503cp-1, -0x1.60cb2aadaddddp-1, -0x1.59e63fe8f3f9dp-1, -0x1.52eb6984fbf88p-1, -0x1.4be91329588b5p-1, -0x1.44ec88cf10f39p-1, -0x1.3e01e06cc1128p-1, -0x1.3733ee55a5502p-1, -0x1.308c42543ece1p-1, -0x1.2a132bb2fc0b4p-1, -0x1.23cfc2a000853p-1, -0x1.1dc7f5a107525p-1, -0x1.180099f346ebfp-1, -0x1.127d7df4021aap-1, -0x1.0d417ccc961efp-1, -0x1.084e92c39becap-1, -0x1.03a5f1b5fb4b2p-1, -0x1.fe902aa430ebfp-2, -0x1.f669ad8fad674p-2, -0x1.eed6ff61eae4ep-2, -0x1.e7d5b8076b59ap-2, -0x1.e16296009f29fp-2, -0x1.db799df22e2bbp-2, -0x1.d61637ecf3934p-2, -0x1.d1334a5fcb9dcp-2, -0x1.cccb52cf63b92p-2, -0x1.c8d87c403024ep-2, -0x1.c554b39753763p-2, -0x1.c239b9da74d96p-2, -0x1.bf81348d88a81p-2, -0x1.bd24bc463e703p-2, -0x1.bb1de976bb827p-2, -0x1.b9665fbb50bfdp-2, -0x1.b7f7d7a4b90f2p-2, -0x1.b6cc2728f1fa7p-2, -0x1.b5dd48d34d4b1p-2, -0x1.b52561e2cc171p-2, -0x1.b49ec7470beafp-2, -0x1.b44401c2e1938p-2, -0x1.b40fd1230de39p-2, -0x1.b3fd2eca6b063p-2, -0x1.b4074f72bd42dp-2, -0x1.b429a46e130c2p-2, -0x1.b45fdc44e34cdp-2, -0x1.b4a5e2f4dbc86p-2, -0x1.b4f7e1aca08c4p-2, -0x1.b5523e413f732p-2, -0x1.b5b19a41567a1p-2, -0x1.b612d1d298b3cp-2, -0x1.b672fa5098a51p-2, -0x1.b6cf60b3b8252p-2, -0x1.b72587e70e411p-2, -0x1.b77326df99232p-2, -0x1.b7b626b873529p-2, -0x1.b7eca0abd3282p-2, -0x1.b814dc00bd39bp-2, -0x1.b82d4bf8f062dp-2, -0x1.b8348db359aabp-2, -0x1.b82966114a0d3p-2, -0x1.b80abfa43e73p-2, -0x1.b7d7a89826e74p-2, -0x1.b78f50afcb8a1p-2, -0x1.b73107499f31fp-2, -0x1.b6bc396b39dafp-2, -0x1.b6306fe2e37e7p-2, -0x1.b58d4d78f5eb7p-2, -0x1.b4d28d2351764p-2, -0x1.b400005c1de2bp-2, -0x1.b3158d863d6d7p-2, -0x1.b2132e4f9bd6p-2, -0x1.b0f8ee4006e85p-2, -0x1.afc6e9555efbfp-2, -0x1.ae7d4a9761b03p-2, -0x1.ad1c4adbf3e66p-2, -0x1.aba42f977968p-2, -0x1.aa1549a7c167ep-2, -0x1.a86ff4424e311p-2, -0x1.a6b493feec60cp-2, -0x1.a4e395cedc5f9p-2, -0x1.a2fd6e13ebd2cp-2, -0x1.a10297ddec54bp-2, -0x1.9ef394117e134p-2, -0x1.9cd0e89fcd8aep-2, -0x1.9a9b1fe89b0c4p-2, -0x1.9852c8163bdd2p-2, -0x1.95f87271bf3dcp-2, -0x1.938cb2dcddd05p-2, -0x1.91101f59b7b62p-2, -0x1.8e834f8511cfdp-2, -0x1.8be6dc1bda4ep-2, -0x1.893b5e9fdbb78p-2, -0x1.868170fa4718bp-2, -0x1.83b9ad1537e86p-2, -0x1.80e4ac892bd0ep-2, -0x1.7e03085d2bfc4p-2, -0x1.7b1558c11790ep-2, -0x1.781c34c378728p-2, -0x1.7518321aac412p-2, -0x1.7209e4fad1881p-2, -0x1.6ef1dfe381bd1p-2, -0x1.6bd0b36d6b94fp-2, -0x1.68a6ee267d21p-2, -0x1.65751c777174ap-2, -0x1.623bc8843984ap-2, -0x1.5efb7a0a19e2ep-2, -0x1.5bb4b64883ef7p-2, -0x1.5867fff3aaf8ep-2, -0x1.5515d723adb5cp-2, -0x1.51beb93f999d2p-2, -0x1.4e6320ee22666p-2, -0x1.4b0386114e9b2p-2, -0x1.47a05dc17c28ap-2, -0x1.443a1a427b928p-2, -0x1.40d12afc91105p-2, -0x1.3d65fc7ba0913p-2, -0x1.39f8f8717db5ep-2, -0x1.368a85b58cd17p-2, -0x1.331b0843315e9p-2, -0x1.2faae13be8519p-2, -0x1.2c3a6eed69c24p-2, -0x1.28ca0cd8601e3p-2, -0x1.255a13b49cccbp-2, -0x1.21ead975a0d45p-2, -0x1.1e7cb15239301p-2, -0x1.1b0febce3eb3ep-2, -0x1.17a4d6c3ea301p-2, -0x1.143bbd6ba66f3p-2, -0x1.10d4e8645026ep-2, -0x1.0d709dbd787bap-2, -0x1.0a0f2102eb362p-2, -0x1.06b0b347c3f18p-2, -0x1.035593305f418p-2, -0x1.fffbf9f920084p-3, -0x1.f9545525f8804p-3, -0x1.f2b4a71a8d0a7p-3, -0x1.ec1d5a881866p-3, -0x1.e58ed5b415d97p-3, -0x1.df097a8e1b838p-3, -0x1.d88da6c6f77c7p-3, -0x1.d21bb3e90ee83p-3, -0x1.cbb3f770b51cdp-3, -0x1.c556c2e346213p-3, -0x1.bf0463e58791dp-3, -0x1.b8bd24521f83ep-3, -0x1.b2814a50f642bp-3, -0x1.ac51186ed843ep-3, -0x1.a62ccdb4658bbp-3, -0x1.a014a5bc260b5p-3, -0x1.9a08d8c8257e4p-3, -0x1.94099bd7b3571p-3, -0x1.8e1720bd89974p-3, -0x1.88319635c5e8bp-3, -0x1.825927fb22f6dp-3, -0x1.7c8dfedb95353p-3, -0x1.76d040cc8521ep-3, -0x1.712010fef54d2p-3, -0x1.6b7d8ff3c3a52p-3, -0x1.65e8db8fa382cp-3, -0x1.60620f2e83ef4p-3, -0x1.5ae943b65f81p-3, -0x1.557e8fa9b5232p-3, -0x1.50220739bc40bp-3, -0x1.4ad3bc588596bp-3, -0x1.4593becae49afp-3, -0x1.40621c39e3057p-3, -0x1.3b3ee043a1746p-3, -0x1.362a148bf617cp-3, -0x1.3123c0cc9f2b9p-3, -0x1.2c2beae54c1b1p-3, -0x1.274296eb6f395p-3, -0x1.2267c739bb087p-3, -0x1.1d9b7c7f27e0bp-3, -0x1.18ddb5cd9e1c7p-3, -0x1.142e70a851fb5p-3, -0x1.0f8da911d4c14p-3, -0x1.0afb5999d86d4p-3, -0x1.06777b6ac3f0dp-3, -0x1.02020656f91e1p-3, -0x1.fb35e1cb604f1p-4, -0x1.f28460befb99bp-4, -0x1.e9ef71b54d072p-4, -0x1.e176fa8e2c49cp-4, -0x1.d91adef425ff3p-4, -0x1.d0db0073962e4p-4, -0x1.c8b73e910d924p-4, -0x1.c0af76df1f9b2p-4, -0x1.b8c3851399227p-4, -0x1.b0f3431c52da7p-4, -0x1.a93e89336aaefp-4, -0x1.a1a52df2fe7d5p-4, -0x1.9a27066872afdp-4, -0x1.92c3e6273a2f6p-4, -0x1.8b7b9f5b26e24p-4, -0x1.844e02da3639p-4, -0x1.7d3ae035e9461p-4, -0x1.764205cc26164p-4, -0x1.6f6340d79ae5cp-4, -0x1.689e5d7fbb2p-4, -0x1.61f326e857642p-4, -0x1.5b616740d46e3p-4, -0x1.54e8e7d2e9ab9p-4, -0x1.4e897110e9f0cp-4, -0x1.4842caa3a1674p-4, -0x1.4214bb77d1508p-4, -0x1.3bff09cb4ee65p-4, -0x1.36017b39c52b1p-4, -0x1.301bd4c92fa75p-4, -0x1.2a4ddaf5e517cp-4, -0x1.249751be57b09p-4, -0x1.1ef7fcae1d5d6p-4, -0x1.196f9ee90a1fdp-4, -0x1.13fdfb35af447p-4, -0x1.0ea2d407bc555p-4, -0x1.095deb8a0924ep-4, -0x1.042f03a84b679p-4, -0x1.fe2bbc30e5843p-5, -0x1.f42478c751519p-5, -0x1.ea47bfdded0d8p-5, -0x1.e09514075ec0dp-5, -0x1.d70bf7af511c8p-5, -0x1.cdabed2a669f2p-5, -0x1.c47476c59460fp-5, -0x1.bb6516d4e3794p-5, -0x1.b27d4fc17de3cp-5, -0x1.a9bca4173d175p-5, -0x1.a1229691bb5ap-5, -0x1.98aeaa290e2e2p-5, -0x1.9060621e1081bp-5, -0x1.883742064fa16p-5, -0x1.8032cdd78b72dp-5, -0x1.785289f24f85bp-5, -0x1.7095fb2c74922p-5, -0x1.68fca6dabb81ep-5, -0x1.618612da64f4bp-5, -0x1.5a31c59a78e65p-5, -0x1.52ff4624b49c8p-5, -0x1.4bee1c261afd5p-5, -0x1.44fdcff707a44p-5, -0x1.3e2deaa2c677ep-5, -0x1.377df5eebc10bp-5, -0x1.30ed7c6122d05p-5, -0x1.2a7c0947a3badp-5, -0x1.242928bd9dafbp-5, -0x1.1df467b24f14bp-5, -0x1.17dd53eeb10a8p-5, -0x1.11e37c1ad3f7cp-5, -0x1.0c066fc2f1225p-5, -0x1.0645bf5c055c8p-5, -0x1.00a0fc4822298p-5, -0x1.f62f71b50d2b1p-6, -0x1.eb5310b72369dp-6, -0x1.e0abfe1910e74p-6, -0x1.d639645666915p-6, -0x1.cbfa6fea6bca3p-6, -0x1.c1ee4f55f0d18p-6, -0x1.b81433250aa84p-6, -0x1.ae6b4df326a29p-6, -0x1.a4f2d4700d3a5p-6, -0x1.9ba9fd6384551p-6, -0x1.929001b0ff9dep-6, -0x1.89a41c5b7e9b3p-6, -0x1.80e58a88a88e6p-6, -0x1.78538b8395fd4p-6, -0x1.6fed60bf2f465p-6, -0x1.67b24dd7ffe09p-6, -0x1.5fa198958af0dp-6, -0x1.57ba88eb61f3p-6, -0x1.4ffc68f9f2343p-6, -0x1.4866850f42d15p-6, -0x1.40f82ba77144cp-6, -0x1.39b0ad6cf710ap-6, -0x1.328f5d38a4d1cp-6, -0x1.2b939011406f9p-6, -0x1.24bc9d2abd433p-6, -0x1.1e09dde51f197p-6, -0x1.177aadcb24347p-6, -0x1.110e6a90c2f8ep-6, -0x1.0ac474119ba44p-6, -0x1.049c2c4f564f8p-6, -0x1.fd29eedfee2f3p-7, -0x1.f15c77776466fp-7, -0x1.e5cec335d31dfp-7, -0x1.da7fa7270306p-7, -0x1.cf6dfc8b65561p-7, -0x1.c498a0d2bbd1cp-7, -0x1.b9fe7593c76e6p-7, -0x1.af9e60875e21p-7, -0x1.a5774b811c77cp-7, -0x1.9b8824696a60ep-7, -0x1.91cfdd3765337p-7, -0x1.884d6bea689d3p-7, -0x1.7effca8348bf6p-7, -0x1.75e5f6fd37daep-7, -0x1.6cfef341df58dp-7, -0x1.6449c528d8ae9p-7, -0x1.5bc576606ac3dp-7, -0x1.53711472a565ep-7, -0x1.4b4bb0b1f93fp-7, -0x1.43546034c22d1p-7, -0x1.3b8a3bcc945dap-7, -0x1.33ec5ffe9290ep-7, -0x1.2c79ecfbca20fp-7, -0x1.253206990b734p-7, -0x1.1e13d4460a536p-7, -0x1.171e8103de018p-7, -0x1.10513b5a8b629p-7, -0x1.09ab354e31751p-7, -0x1.032ba454281f6p-7, -0x1.f9a382908651dp-8, -0x1.ed3990c54aeaep-8, -0x1.e117f25bf2093p-8, -0x1.d53d2cfc22f6bp-8, -0x1.c9a7ccccfb4bfp-8, -0x1.be5664620893ap-8, -0x1.b3478ca7dc08ep-8, -0x1.a879e4d09674bp-8, -0x1.9dec1240b8288p-8, -0x1.939cc07d26e09p-8, -0x1.898aa11a4ff0cp-8, -0x1.7fb46bac3da27p-8, -0x1.7618ddb697bedp-8, -0x1.6cb6ba9af9a95p-8, -0x1.638ccb841442fp-8, -0x1.5a99df469a962p-8, -0x1.51dcca5fc350bp-8, -0x1.4954669c2e507p-8, -0x1.40ff932fa3a6dp-8, -0x1.38dd347c042c5p-8, -0x1.30ec3401fba6ap-8, -0x1.292b805689246p-8, -0x1.219a0d2371d4ap-8, -0x1.1a36d330053a4p-8, -0x1.1300d06ceebebp-8, -0x1.0bf707fb238d1p-8, -0x1.05188226721d6p-8, -0x1.fcc8989a7559p-9, -0x1.efb2f1653236bp-9, -0x1.e2ee3c7c0ec6ap-9, -0x1.d678b05fcdaa9p-9, -0x1.ca508baebcfd2p-9, -0x1.be7414afee4c9p-9, -0x1.b2e199148de8ep-9, -0x1.a7976e048bca5p-9, -0x1.9c93f071e5dd1p-9, -0x1.91d585a66bb25p-9, -0x1.875a9be933fbdp-9, -0x1.7d21ab120434cp-9, -0x1.732934dc930b3p-9, -0x1.696fc4d844cc5p-9, -0x1.5ff3efe0b1bb9p-9, -0x1.56b45329850f5p-9, -0x1.4daf92f9c06e6p-9, -0x1.44e4595197ac9p-9, -0x1.3c5154b8dc245p-9, -0x1.33f5377c867c1p-9, -0x1.2bceb7892776fp-9, -0x1.23dc8ef594b5p-9, -0x1.1c1d7d2e38f15p-9, -0x1.1490488b99c09p-9, -0x1.0d33c003f0593p-9, -0x1.0606bc98c1b22p-9, -0x1.fe10444ec1b8dp-10, -0x1.f06dbeb83b27ep-10, -0x1.e323d95f78f29p-10, -0x1.d6309510d558ep-10, -0x1.c991fd8dab8dp-10, -0x1.bd4624583900fp-10, -0x1.b14b1c2c827acp-10, -0x1.a59ef60def98cp-10, -0x1.9a3fc0928974cp-10, -0x1.8f2b89ad18e18p-10, -0x1.846062ba26f9dp-10, -0x1.79dc65e4eb104p-10, -0x1.6f9dbcfad5618p-10, -0x1.65a2a6b46704ap-10, -0x1.5be97ab971f01p-10, -0x1.5270aa3cf6de5p-10, -0x1.4936bf7571a9ap-10, -0x1.403a5898a7881p-10, -0x1.377a20b1d2308p-10, -0x1.2ef4c7efbc295p-10, -0x1.26a8fc00ce30ap-10, -0x1.1e95621cdbb3ap-10, -0x1.16b893d8d5995p-10, -0x1.0f111f5d091bap-10, -0x1.079d8afc07ad5p-10, -0x1.005c5b8f29881p-10, -0x1.f298390a69b2p-11, -0x1.e4d6d08e8072bp-11, -0x1.d771df13c8739p-11, -0x1.ca66fc92931f4p-11, -0x1.bdb3fb1173719p-11, -0x1.b156e2e0a1f17p-11, -0x1.a54de7f52cf44p-11, -0x1.999759ffc9c19p-11, -0x1.8e3191d738456p-11, -0x1.831adf61c6e54p-11, -0x1.78517b1a72f19p-11, -0x1.6dd37da1b4d1p-11, -0x1.639ede974d67ap-11, -0x1.59b17a9d38ee8p-11, -0x1.50091f262e935p-11, -0x1.46a399df052eep-11, -0x1.3d7ec91d0ed4p-11, -0x1.3498a9ba24121p-11, -0x1.2bef68aa70f7cp-11, -0x1.23815d2754152p-11, -0x1.1b4d159549ae6p-11, -0x1.13514bdefcc36p-11, -0x1.0b8cdc4f14ca3p-11, -0x1.03feb79674be6p-11, -0x1.f94ba7018c638p-12, -0x1.eb02398455b9ep-12, -0x1.dd1ed8429bde8p-12, -0x1.cf9f01403f4e6p-12, -0x1.c27ffe90ce189p-12, -0x1.b5bef06066da6p-12, -0x1.a958ded52a1c1p-12, -0x1.9d4ad0312bdaap-12, -0x1.9191df661d3cfp-12, -0x1.862b4f6cd8562p-12, -0x1.7b14985412772p-12, -0x1.704b6c67bef23p-12, -0x1.65cdb5688e5e5p-12, -0x1.5b998c0f2a424p-12, -0x1.51ad2d10e4b13p-12, -0x1.4806eec13bb2p-12, -0x1.3ea538da1321dp-12, -0x1.35867e15c3349p-12, -0x1.2ca93635077b8p-12, -0x1.240bd75ac95b4p-12, -0x1.1baccf0998759p-12, -0x1.138a7ca685bf1p-12, -0x1.0ba3303d6d72dp-12, -0x1.03f52fc8a5ff1p-12, -0x1.f8fd86261889dp-13, -0x1.ea7c8634c1cap-13, -0x1.dc644dffa248ep-13, -0x1.ceb2101104862p-13, -0x1.c16332122bb2ep-13, -0x1.b47526329da66p-13, -0x1.a7e53e5dd84aap-13, -0x1.9bb08e5166c8bp-13, -0x1.8fd3edb999f97p-13, -0x1.844c1e62398e5p-13, -0x1.791609c39399bp-13, -0x1.6e2efce1c18c8p-13, -0x1.6394c82e1ade4p-13, -0x1.5945b4580fb55p-13, -0x1.4f405084810d2p-13, -0x1.4583314c1f2f1p-13, -0x1.3c0cc0530b549p-13, -0x1.32db3460e104ep-13, -0x1.29ecb43ac3ab6p-13, -0x1.213f8e8f984fp-13, -0x1.18d264e891d02p-13, -0x1.10a42da76f4fap-13, -0x1.08b405593093fp-13, -0x1.0100decc91b78p-13, -0x1.f31261cdb0ae3p-14, -0x1.e49587ba477bbp-14, -0x1.d6856b785697ap-14, -0x1.c8db788eb5048p-14, -0x1.bb912a15f7b6p-14, -0x1.aea1022208cc2p-14, -0x1.a2073da34b9ffp-14, -0x1.95c1f6df1fb12p-14, -0x1.89d0a0b0b66b9p-14, -0x1.7e331589663e8p-14, -0x1.72e8b0926588ap-14, -0x1.67efe15d2c0bp-14, -0x1.5d4661a171aa6p-14, -0x1.52e9d8bc701cap-14, -0x1.48d884bdb132cp-14, -0x1.3f118b69949a9p-14, -0x1.3594cbf4211afp-14, -0x1.2c624b24ad136p-14, -0x1.237980ae486ecp-14, -0x1.1ad8cfef724d9p-14, -0x1.127d52c4c1638p-14, -0x1.0a62f513a8949p-14, -0x1.0284d28838f5bp-14, -0x1.f5bb9c3e31ab5p-15, -0x1.e6d2a7f8136e4p-15, -0x1.d8482a9595928p-15, -0x1.ca18ded631476p-15, -0x1.bc447d700978cp-15, -0x1.aecc4ba76d3ap-15, -0x1.a1b14d94420e6p-15, -0x1.94f3093963f73p-15, -0x1.888f5b7130a11p-15, -0x1.7c833e7dcccd1p-15, -0x1.70cbf943a9d63p-15, -0x1.656809d49c937p-15, -0x1.5a573f82bd5d7p-15, -0x1.4f99fad059ba1p-15, -0x1.4530211398784p-15, -0x1.3b186e80e9723p-15, -0x1.315066ba250dcp-15, -0x1.27d4aa6f83d6ap-15, -0x1.1ea15008c1fd8p-15, -0x1.15b20f98fb5dbp-15, -0x1.0d025f22c94e5p-15, -0x1.048db12fdcbf5p-15, -0x1.f89fbf30697b9p-16, -0x1.e88b4a6e4fa0ap-16, -0x1.d8d9f1a1aaf8bp-16, -0x1.c98a3262ff2cp-16, -0x1.ba9c6b7b23579p-16, -0x1.ac1187fb08462p-16, -0x1.9de976490ced9p-16, -0x1.902270301d03dp-16, -0x1.82b9e360752p-16, -0x1.75adf2824e4bbp-16, -0x1.68fda8edbf171p-16, -0x1.5ca8005f9b19p-16, -0x1.50ab4ea0ff4dp-16, -0x1.450559d7c3d8p-16, -0x1.39b356784dba7p-16, -0x1.2eb1f42aaf65p-16, -0x1.23fde70678a93p-16, -0x1.1994821f96894p-16, -0x1.0f73ba7856618p-16, -0x1.0599a112916ccp-16, -0x1.f8079c0c55db7p-17, -0x1.e55de60c9490ep-17, -0x1.d32dc70b455dcp-17, -0x1.c16f458b8a862p-17, -0x1.b01dc25c3592ep-17, -0x1.9f3837d34abafp-17, -0x1.8ebdd770f09c3p-17, -0x1.7eaaff4d5ba31p-17, -0x1.6efb0ebe8af65p-17, -0x1.5fad5af10e4fdp-17, -0x1.50c58186fcd58p-17, -0x1.4245493c32e06p-17, -0x1.34287a15d83d6p-17, -0x1.266811089ce81p-17, -0x1.18ffbaa8d2dfbp-17, -0x1.0bee92b7e3d9p-17, -0x1.fe672d885fad7p-18, -0x1.e596fae7c4398p-18, -0x1.cd64729c9bf27p-18, -0x1.b5cabf499471cp-18, -0x1.9ec94aaa33591p-18, -0x1.8860d8570d6f1p-18, -0x1.728fe876f0f4dp-18, -0x1.5d4fec47db9cap-18, -0x1.4893eca0bf056p-18, -0x1.344e17b6e39afp-18, -0x1.207c8b271d9e6p-18, -0x1.0d2b7e2a4208cp-18, -0x1.f4c6a44ee2bap-19, -0x1.d031ac6cb243fp-19, -0x1.ac771c2bd6feep-19, -0x1.898419a956d4ap-19, -0x1.67605acd2a8d6p-19, -0x1.4612e5a91775bp-19, -0x1.259f17d90943cp-19, -0x1.05f93f46fe4bcp-19, -0x1.ce1eafbdb87bbp-20, -0x1.91b36436401a4p-20, -0x1.56bd48723a5cbp-20, -0x1.1d455336c47cp-20, -0x1.ca79575986a96p-21, -0x1.5d15a6d2b76d9p-21, -0x1.e483f823d1ec3p-22, -0x1.13f7b6c8a6094p-22, -0x1.225ab4eac74b1p-24, 0x1.f67258ee0f75dp-24, 0x1.3eb872a6946c9p-22, 0x1.fb08ed3bebfb2p-22, 0x1.5993bfab3c758p-21, 0x1.b3b6e1a3d795dp-21, 0x1.05dc18e49a3c1p-20, 0x1.30b339e31ec88p-20, 0x1.5a762228b4179p-20, 0x1.83345242013cep-20, 0x1.aada059b9d4bdp-20, 0x1.d165fd9cda265p-20, 0x1.f6fe2736d11aep-20, 0x1.0de360892c7c1p-19, 0x1.1fdf9fc225c2ep-19, 0x1.31698785b40ap-19, 0x1.42816e99a7a4p-19, 0x1.5330d4344f5b8p-19, 0x1.6375c7e16fbb7p-19, 0x1.73535cda6e01fp-19, 0x1.82c1571c09267p-19, 0x1.91c998404a308p-19, 0x1.a0720047b52c7p-19, 0x1.aebc746d60d6bp-19, 0x1.bca906fa8e8f9p-19, 0x1.ca38456215c5p-19, 0x1.d76b46dd1929bp-19, 0x1.e441ebf8c387cp-19, 0x1.f0be6e546dbcp-19, 0x1.fce90c4cd58bep-19, 0x1.0461b607448c4p-18, 0x1.0a252670832aap-18, 0x1.0fc22e2e1c79cp-18, 0x1.15394dfeeee2fp-18, 0x1.1a87214dc14aap-18, 0x1.1fac7b2566e07p-18, 0x1.24abe63ac62e9p-18, 0x1.298658ac53812p-18, 0x1.2e3bfa630b692p-18, 0x1.32ce2168e429ap-18, 0x1.373f26d902b91p-18, 0x1.3b8f10dc73612p-18, 0x1.3fbd10353d03ep-18, 0x1.43caeb46ff38p-18, 0x1.47b937c9d5d02p-18, 0x1.4b8681f9a46cbp-18, 0x1.4f335a47d670dp-18, 0x1.52c1873b18a37p-18, 0x1.56321494d11d7p-18, 0x1.59856721b32aap-18, 0x1.5cbbc3a7937c1p-18, 0x1.5fd599d3aa9bap-18, 0x1.62d34ff5bb184p-18, 0x1.65b4a439697f8p-18, 0x1.6879b3bfd07c7p-18, 0x1.6b24536cfe3e6p-18, 0x1.6db538d222949p-18, 0x1.702cf45b1fa7bp-18, 0x1.728b69ee3c88p-18, 0x1.74cfe85c279f4p-18, 0x1.76fb7f67ee3bcp-18, 0x1.790f2205ea4b9p-18, 0x1.7b0b2f6358db2p-18, 0x1.7cefeabecbf5p-18, 0x1.7ebda37260036p-18, 0x1.8074b06e616e8p-18, 0x1.8215512bf7a8ap-18, 0x1.839fa7489e424p-18, 0x1.8514323c5c61dp-18, 0x1.8673be785457ap-18, 0x1.87be9d5e37f8dp-18, 0x1.88f522158411cp-18, 0x1.8a176561797c4p-18, 0x1.8b25919093803p-18, 0x1.8c202cd0461dep-18, 0x1.8d079dcd0ba9dp-18, 0x1.8ddc2d2f4c4e2p-18, 0x1.8e9e231392c9dp-18, 0x1.8f4dcb7991c56p-18, 0x1.8feb73a0a48ccp-18, 0x1.907767974f78cp-18, 0x1.90f1f23f17f34p-18, 0x1.915b5fd2c7d6ap-18, 0x1.91b3fa95a984ap-18, 0x1.91fc09cc56e0dp-18, 0x1.9233d2f45ce3fp-18, 0x1.925b9cc4c5a97p-18, 0x1.9273acf192235p-18, 0x1.927c4801c2506p-18, 0x1.9275b1f9fa01dp-18, 0x1.92602e1e6782ep-18, 0x1.923bfe556431cp-18, 0x1.920962be0ef7ap-18, 0x1.91c89a050023ep-18, 0x1.9179e24a819e8p-18, 0x1.911d78ebb297bp-18, 0x1.90b39a6bd63f3p-18, 0x1.903c8db75f2f8p-18, 0x1.8fb8a9d34cee9p-18, 0x1.8f281879b28b2p-18, 0x1.8e8ae898888cbp-18, 0x1.8de157cbd9073p-18, 0x1.8d2bda77a2c53p-18, 0x1.8c6a9f51bcb0ep-18, 0x1.8b9dbf7a88e7bp-18, 0x1.8ac5742f3ce9ap-18, 0x1.89e1fc14ce3f1p-18, 0x1.88f38cfbb0833p-18, 0x1.87fa5c63f07f8p-18, 0x1.86f6be5e9126dp-18, 0x1.85e8df3955791p-18, 0x1.84d0b8996bf35p-18, 0x1.83aeaf1107b7ep-18, 0x1.8283038c68f47p-18, 0x1.814dcdd9c1271p-18, 0x1.800f428bb76f6p-18, 0x1.7ec7975b57f6dp-18, 0x1.7d76fdcb8cfcbp-18, 0x1.7c1da70ec2dfap-18, 0x1.7abbc2a7811bdp-18, 0x1.79518014bf379p-18, 0x1.77df0e5c3af58p-18, 0x1.76649bdbae0d3p-18, 0x1.74e256294a065p-18, 0x1.73586bb3df5b6p-18, 0x1.71c70c1288a7cp-18, 0x1.702e630a7e5b7p-18, 0x1.6e8e52f8e86eap-18, 0x1.6ce8692ab34fep-18, 0x1.6b3a42b96313p-18, 0x1.6985fe6337b57p-18, 0x1.67cb8811b0808p-18, 0x1.660a9c350fbb4p-18, 0x1.6443928bfcaafp-18, 0x1.6276958ad4adcp-18, 0x1.60a3c89b6e19ap-18, 0x1.5ecb52ef851f1p-18, 0x1.5ced5bc4660f2p-18, 0x1.5b0a0b9cf084bp-18, 0x1.59218998c9675p-18, 0x1.5733fad98982fp-18, 0x1.554187f87962bp-18, 0x1.534a4ee59572fp-18, 0x1.514e7aed6797p-18, 0x1.4f4e30846d2f6p-18, 0x1.4d49923afdf49p-18, 0x1.4b40c333ae22ap-18, 0x1.4933e6869b6f6p-18, 0x1.47231ef8f9209p-18, 0x1.450e8eef73eacp-18, 0x1.42f6586bed729p-18, 0x1.40da9d06fa0a2p-18, 0x1.3ebb7de6e093ep-18, 0x1.3c991bb74b14fp-18, 0x1.3a7396944128ap-18, 0x1.384b0dca2de2ep-18, 0x1.361f9b3b929eap-18, 0x1.33ec7618168aap-18, 0x1.31c0933b8a235p-18, 0x1.2f8d3a099f453p-18, 0x1.2d577269eed78p-18, 0x1.2b1f5d02293cp-18, 0x1.28e517de49b82p-18, 0x1.26a8c33adb21dp-18, 0x1.246a78841027fp-18, 0x1.222a4f202f7cp-18, 0x1.1fe86a1bbf7eep-18, 0x1.1da4d961b333bp-18, 0x1.1b5fc2c9789b1p-18, 0x1.191943410ab2fp-18, 0x1.16d17414fe148p-18, 0x1.1488654a2ece7p-18, 0x1.123e3114c38c3p-18, 0x1.0ff2f40a4e4bp-18, 0x1.0da6cb2cd4d2dp-18, 0x1.0b59cb36732f5p-18, 0x1.090c0b3f488f1p-18, 0x1.06bda2e0d9946p-18, 0x1.046ea961fefd4p-18, 0x1.021f359f0ca15p-18, 0x1.ff9ebc10f7c95p-19, 0x1.fafe72892e959p-19, 0x1.f65db7efaf52dp-19, 0x1.f1bcb9575730dp-19, 0x1.ed1ba00abaf14p-19, 0x1.e87a95869114cp-19, 0x1.e3d9c2a57cc54p-19, 0x1.df394f94c2e24p-19, 0x1.da9963c95586p-19, 0x1.d5fa261ad3c8fp-19, 0x1.d15bbcbb192e8p-19, 0x1.ccbe4d39c743fp-19, 0x1.c821fc8c64eb5p-19, 0x1.c386ef0b52fbfp-19, 0x1.beed4848e4d91p-19, 0x1.ba552a6499c3fp-19, 0x1.b5beb58f6fe78p-19, 0x1.b12a0fd622ab8p-19, 0x1.ac975e5f17dfap-19, 0x1.a806b9de862f5p-19, 0x1.a3784277866eap-19, 0x1.9eec1a49e363p-19, 0x1.9a6260c094ae7p-19, 0x1.95db30f50ad03p-19, 0x1.9156a9fc51fa8p-19, 0x1.8cd4ec8d97109p-19, 0x1.88560f8905a52p-19, 0x1.83da2fcc9f4c7p-19, 0x1.7f6169dc4cd53p-19, 0x1.7aebd8b6d16a2p-19, 0x1.76799692265bbp-19, 0x1.720abcdc29caep-19, 0x1.6d9f642e9b3e9p-19, 0x1.6937a4975ffe2p-19, 0x1.64d395f2381c7p-19, 0x1.60734fde0435dp-19, 0x1.5c16e9f8aab78p-19, 0x1.57be79b01174ep-19, 0x1.536a16f17a7c6p-19, 0x1.4f19d5c0832a7p-19, 0x1.4acdcc1fc22dap-19, 0x1.46860e6fd1414p-19, 0x1.4242b1bd1203p-19, 0x1.3e03cd4fecf78p-19, 0x1.39c95f6b476ddp-19, 0x1.359323043bca6p-19, 0x1.316162b8f5d03p-19, 0x1.2d360451cd0a3p-19, 0x1.290e69d3648f8p-19, 0x1.24eba3248136ap-19, 0x1.20cdcea06c10ap-19, 0x1.1cb4f919017f6p-19, 0x1.18a1305bb38c3p-19, 0x1.149282a668b38p-19, 0x1.1088ff0b1a84dp-19, 0x1.0c84b4590fcaep-19, 0x1.0885b0605f52fp-19, 0x1.048bfbd42f597p-19, 0x1.00979c620948dp-19, 0x1.f951657107f1bp-20, 0x1.f17e8d29a4993p-20, 0x1.e9b6c4fb3b1bep-20, 0x1.e1fa06af4b693p-20, 0x1.da487877b8833p-20, 0x1.d2a232f2b9a35p-20, 0x1.cb0749aac68f5p-20, 0x1.c377cf7368884p-20, 0x1.bbf3d6ab98e52p-20, 0x1.b47b714d5acb1p-20, 0x1.ad0ead0987c9cp-20, 0x1.a5ac5f7fb1515p-20, 0x1.9e583f1d6fd24p-20, 0x1.970ee8d8e1f71p-20, 0x1.8fd158cc3f6bap-20, 0x1.889fb856d743fp-20, 0x1.817a158ebf957p-20, 0x1.7a607c1e88457p-20, 0x1.7352f736298c2p-20, 0x1.6c51932a75816p-20, 0x1.655c5ac73ed97p-20, 0x1.5e7356cfb27cap-20, 0x1.579690f69f204p-20, 0x1.50c6131e4b446p-20, 0x1.4a01e589d3579p-20, 0x1.434a0f7ab09a2p-20, 0x1.3c9e97c7213ccp-20, 0x1.35ff84cce87b6p-20, 0x1.2f6cdc5ecc1b4p-20, 0x1.28e6a3ca76223p-20, 0x1.226ce03b509e2p-20, 0x1.1bff970cb9ecp-20, 0x1.159ecc75d22dep-20, 0x1.0f4a839fb7448p-20, 0x1.0902bdf9ae47fp-20, 0x1.02c774658ae9ep-20, 0x1.f9318ab5346b8p-21, 0x1.eced2feefcd9cp-21, 0x1.e0c1d27873dc5p-21, 0x1.d4afa8413668ap-21, 0x1.c8b697001478cp-21, 0x1.bcd68154e6a74p-21, 0x1.b10f72ef4c458p-21, 0x1.a561a2b60078cp-21, 0x1.99ccd1f5c1f1dp-21, 0x1.8e5103e94df34p-21, 0x1.82ee3d2ee5d5p-21, 0x1.77a47755c6a44p-21, 0x1.6c73aa75bdbe4p-21, 0x1.615bced24162p-21, }}, 
      {{-0x1.d5c68d760c333p-3, -0x1.d82f28331e3fp-3, -0x1.dc18ae12841d5p-3, -0x1.e15e32e0dde7ep-3, -0x1.e7d0135676df6p-3, -0x1.ef3706dc791d2p-3, -0x1.f7572ec4bec3p-3, -0x1.fff2ea7383952p-3, -0x1.0466a5be6b8c7p-2, -0x1.08d60a1ba7bbp-2, -0x1.0d2c9ce69ec9cp-2, -0x1.1151f7b25a2f9p-2, -0x1.1530a461d1385p-2, -0x1.18b6439b4f77bp-2, -0x1.1bd3920adb356p-2, -0x1.1e7c5529663dbp-2, -0x1.20a736ae93c9dp-2, -0x1.224d942c259dfp-2, -0x1.236b46e1ed5dcp-2, -0x1.23fe66be596dfp-2, -0x1.24070abb21d91p-2, -0x1.23870846e0ce3p-2, -0x1.2281b31e018bp-2, -0x1.20fb9ec3019bap-2, -0x1.1efa62a00bbf5p-2, -0x1.1c8461b7f336p-2, -0x1.19a096a5b2cf9p-2, -0x1.1656647e2c4bap-2, -0x1.12ad6cf91bd76p-2, -0x1.0ead6c1679406p-2, -0x1.0a5e19475603cp-2, -0x1.05c70df777dcp-2, -0x1.00efb13111311p-2, -0x1.f7be4fef24cb4p-3, -0x1.ed3893c3791a6p-3, -0x1.e25b32dc5cb96p-3, -0x1.d7327f0f3e277p-3, -0x1.cbca135c57db4p-3, -0x1.c02cd480dd7bp-3, -0x1.b464f4d0605f9p-3, -0x1.a87bfa752202fp-3, -0x1.9c7ac7524dcaep-3, -0x1.9069a1e044ca5p-3, -0x1.84503e78484a1p-3, -0x1.7835c8a10f2cp-3, -0x1.6c20ec07fffc9p-3, -0x1.6017dcea96919p-3, -0x1.54205fc82c384p-3, -0x1.483fd0461b45cp-3, -0x1.3c7b273ecf70ep-3, -0x1.30d6fffff6b91p-3, -0x1.25579cc4c99e7p-3, -0x1.1a00ea7fefba3p-3, -0x1.0ed6840c70882p-3, -0x1.03dbb4df9a649p-3, -0x1.f226f6acd8fa2p-4, -0x1.dd011571173cdp-4, -0x1.c84a9a12a0e3bp-4, -0x1.b407c97a958f6p-4, -0x1.a03c5ccfceea1p-4, -0x1.8ceb84e3c0771p-4, -0x1.7a17edcc40c2bp-4, -0x1.67c3c2bf2ddd3p-4, -0x1.55f0b23f0ec14p-4, -0x1.449ff2a239dbfp-4, -0x1.33d246f9023b8p-4, -0x1.23880452e9a21p-4, -0x1.13c1175f052f9p-4, -0x1.047d0a6082ed7p-4, -0x1.eb7616db4ef47p-5, -0x1.cef3e5db2f988p-5, -0x1.b370948fb357cp-5, -0x1.98e8a56eff277p-5, -0x1.7f5818670a3c4p-5, -0x1.66ba78bb9a2fbp-5, -0x1.4f0aead4f6a4cp-5, -0x1.384439e3f0e2p-5, -0x1.2260e54174acap-5, -0x1.0d5b2d71dfb91p-5, -0x1.f25a416d12909p-6, -0x1.cba14e34e2832p-6, -0x1.a67f1bd30cbdbp-6, -0x1.82e725093c8cdp-6, -0x1.60ccd90d93d5dp-6, -0x1.4023ae668173bp-6, -0x1.20df344b1a9a9p-6, -0x1.02f3227fef137p-6, -0x1.cca6cf593804fp-7, -0x1.95e86c54e07cdp-7, -0x1.61941ea01b61dp-7, -0x1.2f939a824fd26p-7, -0x1.ffa2ad31d2584p-8, -0x1.a471339176bb9p-8, -0x1.4d6b0d04493c7p-8, -0x1.f4d48de3b5b5dp-9, -0x1.569587ce3099dp-9, -0x1.7fa90ebedb1d9p-10, -0x1.8286739b22bbdp-12, 0x1.60ca7b5ef41f8p-11, 0x1.b3de028f4bcf9p-10, 0x1.5519ec2a649bfp-9, 0x1.c9e558d464e2bp-9, 0x1.1c3fdfab043a7p-8, 0x1.508a19e4ffe48p-8, 0x1.81e543d1769e6p-8, 0x1.b063b731fe83p-8, 0x1.dc16529b74aaap-8, 0x1.028647360ed45p-7, 0x1.15aa4956bdc1dp-7, 0x1.277da6d2e1d6ep-7, 0x1.380645709d5a4p-7, 0x1.4749853fe016dp-7, 0x1.554c4c4b5de2dp-7, 0x1.6213123de7cbdp-7, 0x1.6da1ebe84eb5ap-7, 0x1.77fc9695fcb86p-7, 0x1.812683204896ap-7, 0x1.8922e0b26595bp-7, 0x1.8ff4a73188654p-7, 0x1.959ea13ec80a8p-7, 0x1.9a2375c978c94p-7, 0x1.9d85b12a92461p-7, 0x1.9fc7cdc3108bap-7, 0x1.a0ec3c1886209p-7, 0x1.a0f56a6c5eae5p-7, 0x1.9fe5cbcb53463p-7, 0x1.9dbfde9406467p-7, 0x1.9a8632743fc33p-7, 0x1.963b6ddd52f8p-7, 0x1.90e252f12756bp-7, 0x1.8a7dc3e9cabefp-7, 0x1.8310c6fe755fcp-7, 0x1.7a9e89c901171p-7, 0x1.712a642fbfc61p-7, 0x1.66b7dad7c4defp-7, 0x1.5b4aa12436846p-7, 0x1.4ee69ac774466p-7, 0x1.418fdceb1312ap-7, 0x1.334aaef3fd719p-7, 0x1.241b8ae8256d7p-7, 0x1.14071d7b3c408p-7, 0x1.031245c7f5138p-7, 0x1.e2842976d2cacp-8, 0x1.bd37987070c32p-8, 0x1.9649bbedd15bap-8, 0x1.6dc5d451d1c2fp-8, 0x1.43b77bc737728p-8, 0x1.182aa2b1367e5p-8, 0x1.d6571781b53f6p-9, 0x1.798d8f723687dp-9, 0x1.1a1261d649f49p-9, 0x1.6fff99d05cb7ap-10, 0x1.4dc23a29b2cf4p-11, -0x1.380260201dbb5p-13, -0x1.f2dacac54e1b5p-11, -0x1.d02e32f69dc0ep-10, -0x1.558507558ab74p-9, -0x1.c4e3df4c0b7fep-9, -0x1.1b0b62d54c252p-8, -0x1.548055958f5dp-8, -0x1.8ec22c0ed40bp-8, -0x1.c9c23bbfaef7cp-8, -0x1.02b8e87db2ec5p-7, -0x1.20e11a2af9d0ep-7, -0x1.3f5257fd05d7fp-7, -0x1.5e054a728331dp-7, -0x1.7cf2a002d25e8p-7, -0x1.9c130f9d1eaa5p-7, -0x1.bb5f5b15d7934p-7, -0x1.dad051813b0b4p-7, -0x1.fa5ed179e1f2dp-7, -0x1.0d01e5a9300dfp-6, -0x1.1cdc219897fd9p-6, -0x1.2cbaa98b149d4p-6, -0x1.3c9a1664767d5p-6, -0x1.4c770dd7eb983p-6, -0x1.5c4e434791093p-6, -0x1.6c1c7897f663bp-6, -0x1.7bde7ef791f7p-6, -0x1.8b91379a0d5d9p-6, -0x1.9b31946767862p-6, -0x1.aabc989f085e8p-6, -0x1.ba2f596ec83a8p-6, -0x1.c986fe7e19692p-6, -0x1.d8c0c26d723b6p-6, -0x1.e7d9f34a28bc8p-6, -0x1.f6cff2f6e1308p-6, -0x1.02d01bc46adb2p-5, -0x1.0a2425cd13cdcp-5, -0x1.1162e748c2d6fp-5, -0x1.188b3a6fb7a7fp-5, -0x1.1f9c0418a86b1p-5, -0x1.269433cd69f9dp-5, -0x1.2d72c3dacde6p-5, -0x1.3436b95be797fp-5, -0x1.3adf2440dc0b7p-5, -0x1.416b1f51698e4p-5, -0x1.47d9d02b5597ep-5, -0x1.4e2a673ce1cdp-5, -0x1.545c1fbb7a7f9p-5, -0x1.5a6e3f96c3f6ap-5, -0x1.6060176830b64p-5, -0x1.6631025f54db5p-5, -0x1.6be0662b1418p-5, -0x1.716db2dfe2431p-5, -0x1.76d862db3515fp-5, -0x1.7c1ffaa458022p-5, -0x1.814408cabcdaap-5, -0x1.864425c2019d5p-5, -0x1.8b1ff3bbc7822p-5, -0x1.8fd71e7f85887p-5, -0x1.94695b407d90fp-5, -0x1.98d66871f78cep-5, -0x1.9d1e0d99e37bap-5, -0x1.a1401b220457ap-5, -0x1.a53c6a27cb5a7p-5, -0x1.a912dc4af8009p-5, -0x1.acc35b7b2e0eap-5, -0x1.b04dd9c491134p-5, -0x1.b3b2511b90acbp-5, -0x1.b6f0c327f12e9p-5, -0x1.ba09390f3db05p-5, -0x1.bcfbc33eaf21cp-5, -0x1.bfc87934a75afp-5, -0x1.c26f7949de6afp-5, -0x1.c4f0e87a4dc02p-5, -0x1.c74cf22dfba6bp-5, -0x1.c983c801b6f1bp-5, -0x1.cb95a18fd682dp-5, -0x1.cd82bc391064fp-5, -0x1.cf4b5aed795d4p-5, -0x1.d0efc5f5c1b49p-5, -0x1.d2704abcbcf24p-5, -0x1.d3cd3b9945118p-5, -0x1.d506ef988c31bp-5, -0x1.d61dc248e3ca8p-5, -0x1.d71213850cbdfp-5, -0x1.d7e4474018ba5p-5, -0x1.d894c551e503ap-5, -0x1.d923f944430c4p-5, -0x1.d9925220ccc11p-5, -0x1.d9e0423f77e27p-5, -0x1.da0e3f15ecfd5p-5, -0x1.da1cc107a8b3dp-5, -0x1.da0c4336f4b3cp-5, -0x1.d9dd4356b3c89p-5, -0x1.d990417d129ffp-5, -0x1.d925bff719624p-5, -0x1.d89e431d26912p-5, -0x1.d7fa512857645p-5, -0x1.d73a7208e2ec5p-5, -0x1.d65f2f3d6746ap-5, -0x1.d56913ab3154ep-5, -0x1.d458ab777bcd3p-5, -0x1.d32e83e1aa8fbp-5, -0x1.d1eb2b1e82f5ep-5, -0x1.d08f30345fb38p-5, -0x1.cf1b22d8620b7p-5, -0x1.cd8f934ca3dcbp-5, -0x1.cbed123f65f57p-5, -0x1.ca3430ab3c14p-5, -0x1.c8657fb8352cep-5, -0x1.c681909e053e2p-5, -0x1.c488f48724049p-5, -0x1.c27c3c74e7425p-5, -0x1.c05bf92492f6p-5, -0x1.be28baf561447p-5, -0x1.bbe311cf7948fp-5, -0x1.b98b8d0bd743cp-5, -0x1.b722bb5d22a04p-5, -0x1.b4a92ab970c65p-5, -0x1.b21f6844ef148p-5, -0x1.af86003d6e62ep-5, -0x1.acdd7de6d5ae9p-5, -0x1.aa266b7870529p-5, -0x1.a761520b13eedp-5, -0x1.a48eb98821dbcp-5, -0x1.a1af289955be4p-5, -0x1.9ec3249969531p-5, -0x1.9bcb31857df69p-5, -0x1.98c7d1ef51e47p-5, -0x1.95b986f035925p-5, -0x1.92a0d01cc2349p-5, -0x1.8f7e2b794cd8dp-5, -0x1.8c52156f0eb44p-5, -0x1.891d08c1ff201p-5, -0x1.85df7e875eeap-5, -0x1.8299ee1ceac56p-5, -0x1.7f4ccd20b5901p-5, -0x1.7bf88f69a4714p-5, -0x1.789da70086d54p-5, -0x1.753c8419c939cp-5, -0x1.71d5950fbc73cp-5, -0x1.6e69465d70628p-5, -0x1.6af8029a18e7dp-5, -0x1.67823274fab0cp-5, -0x1.64083cb1e1366p-5, -0x1.608a86260e212p-5, -0x1.5d0971b5ac9d2p-5, -0x1.59856051b5ap-5, -0x1.55feb0f64c28bp-5, -0x1.5275c0a98a711p-5, -0x1.4eeaea7ab8523p-5, -0x1.4b5e8781efca2p-5, -0x1.47d0eee020262p-5, -0x1.444275bf76dc6p-5, -0x1.40b36f5425a27p-5, -0x1.3d242cdd7e033p-5, -0x1.3994fda76c4e8p-5, -0x1.36062f0c39413p-5, -0x1.32780c76a4572p-5, -0x1.2eeadf6448009p-5, -0x1.2b5eef684057p-5, -0x1.27d4822e22be8p-5, -0x1.244bdb7d2a4e2p-5, -0x1.20c53d3baf836p-5, -0x1.1d40e772d516dp-5, -0x1.19bf18526e848p-5, -0x1.16400c351fedap-5, -0x1.12c3fda4ae89p-5, -0x1.0f4b255e82aedp-5, -0x1.0bd5ba585964bp-5, -0x1.0863f1c518648p-5, -0x1.04f5ff19db7d1p-5, -0x1.018c14131498bp-5, -0x1.fc4cc173babefp-6, -0x1.f58a26d2c7e3bp-6, -0x1.eed0b1a8f0b66p-6, -0x1.e820b8166aecap-6, -0x1.e17a8d01886aep-6, -0x1.dade8022783bdp-6, -0x1.d44cde0f23adfp-6, -0x1.cdc5f0473d673p-6, -0x1.c749fd407d81dp-6, -0x1.c0d94872e99fep-6, -0x1.ba7412654736ep-6, -0x1.b41a98b9b10b2p-6, -0x1.adcd163a2709dp-6, -0x1.a78bc2e54f64fp-6, -0x1.a156d3fb3376bp-6, -0x1.9b2e7c0a10588p-6, -0x1.9512eafb2e841p-6, -0x1.8f044e1fcb0b5p-6, -0x1.8902d03df2bdfp-6, -0x1.830e999d704edp-6, -0x1.7d27d014adce9p-6, -0x1.774e97159c7bap-6, -0x1.71830fba8c631p-6, -0x1.6bc558d3007c4p-6, -0x1.66158ef0815cfp-6, -0x1.6073cc734ed9cp-6, -0x1.5ae029971ce9fp-6, -0x1.555abc7fa922p-6, -0x1.4fe3994552ffdp-6, -0x1.4a7ad20189fd9p-6, -0x1.452076db3fddap-6, -0x1.3fd496132f55fp-6, -0x1.3a973c10182c7p-6, -0x1.3568736ad608ap-6, -0x1.304844fa6cb6bp-6, -0x1.2b36b7dfe3281p-6, -0x1.2633d192176b9p-6, -0x1.213f95e960ae6p-6, -0x1.1c5a072b232abp-6, -0x1.1783261530b77p-6, -0x1.12baf1e91a91ap-6, -0x1.0e01687753ff1p-6, -0x1.0956862a3e6dap-6, -0x1.04ba4610fbdd9p-6, -0x1.002ca1ea3babdp-6, -0x1.f75b245d879a8p-7, -0x1.ee7a1c37dac12p-7, -0x1.e5b6177bd7887p-7, -0x1.dd0efff3e69cdp-7, -0x1.d484bd3071395p-7, -0x1.cc17349b871cep-7, -0x1.c3c6498c506cep-7, -0x1.bb91dd5a0ac7ap-7, -0x1.b379cf6ecb3b5p-7, -0x1.ab7dfd59f9ddcp-7, -0x1.a39e42e25f9e5p-7, -0x1.9bda7a180004cp-7, -0x1.94327b657f89p-7, -0x1.8ca61da16119ep-7, -0x1.8535361ed1a4fp-7, -0x1.7ddf98be2ea83p-7, -0x1.76a517fd3df3bp-7, -0x1.6f85850709effp-7, -0x1.6880afc3734dfp-7, -0x1.619666e67115bp-7, -0x1.5ac677ff0a56ap-7, -0x1.5410af85db084p-7, -0x1.4d74d8eb80fdep-7, -0x1.46f2bea67da97p-7, -0x1.408a2a40ff86p-7, -0x1.3a3ae46624662p-7, -0x1.3404b4ef2cfb5p-7, -0x1.2de762f025755p-7, -0x1.27e2b4c46ba5ep-7, -0x1.21f6701adb36ap-7, -0x1.1c225a019cb37p-7, -0x1.166636f1cc78cp-7, -0x1.10c1cadabff65p-7, -0x1.0b34d92cfa4c8p-7, -0x1.05bf24e4f6b1fp-7, -0x1.006070958bd38p-7, -0x1.f630fce422d7ep-8, -0x1.ebce20b0a85ap-8, -0x1.e197cfb43c45fp-8, -0x1.d78d8c8d3b7a3p-8, -0x1.cdaed966ed20ep-8, -0x1.c3fb380b1a498p-8, -0x1.ba7229f33e7dp-8, -0x1.b1133059263c9p-8, -0x1.a7ddcc470423fp-8, -0x1.9ed17ea70d933p-8, -0x1.95edc852b63cbp-8, -0x1.8d322a214871ap-8, -0x1.849e24f60b6fp-8, -0x1.7c3139ce1b23p-8, -0x1.73eae9cda1317p-8, -0x1.6bcab64cac4c8p-8, -0x1.63d020e38191ep-8, -0x1.5bfaab76baad8p-8, -0x1.5449d842b01fbp-8, -0x1.4cbd29e69e449p-8, -0x1.4554236f627efp-8, -0x1.3e0e4861c19a5p-8, -0x1.36eb1cc45d1cap-8, -0x1.2fea25293848bp-8, -0x1.290ae6b6dbbd3p-8, -0x1.224ce731284acp-8, -0x1.1bafad01b4fa2p-8, -0x1.1532bf3feedep-8, -0x1.0ed5a5b8cb1dcp-8, -0x1.0897e8f621771p-8, -0x1.02791245c88ap-8, -0x1.f8f15780900fep-9, -0x1.ed2c809e610fdp-9, -0x1.e1a2b766a0e6ep-9, -0x1.d6531514c3b0cp-9, -0x1.cb3cb4a93ca97p-9, -0x1.c05eb2f3ccb9bp-9, -0x1.b5b82e9d6dee4p-9, -0x1.ab48483178c71p-9, -0x1.a10e22268cba1p-9, -0x1.9708e0e6c2e02p-9, -0x1.8d37aad74ff58p-9, -0x1.8399a85fd5489p-9, -0x1.7a2e03f0fcf43p-9, -0x1.70f3ea0af8d43p-9, -0x1.67ea8942f4f28p-9, -0x1.5f111248c9015p-9, -0x1.5666b7ebca57dp-9, -0x1.4deaaf1f1762dp-9, -0x1.459c2efdfcfb5p-9, -0x1.3d7a70cf74ed7p-9, -0x1.3584b00978967p-9, -0x1.2dba2a540ae3dp-9, -0x1.261a1f8b972fdp-9, -0x1.1ea3d1c3591efp-9, -0x1.17568547171afp-9, -0x1.1031809cb1745p-9, -0x1.09340c855ad22p-9, -0x1.025d73fea1e89p-9, -0x1.f75a08856b2d6p-10, -0x1.ea44199227f5p-10, -0x1.dd77be8ca8cb3p-10, -0x1.d0f39f5807cc6p-10, -0x1.c4b66850184f1p-10, -0x1.b8beca483144ep-10, -0x1.ad0b7a88dac0bp-10, -0x1.a19b32cd8ea0ep-10, -0x1.966cb141c514fp-10, -0x1.8b7eb87d3f7b3p-10, -0x1.80d00f8112a5ap-10, -0x1.765f81b269e7ap-10, -0x1.6c2bded6f3bacp-10, -0x1.6233fb0f40979p-10, -0x1.5876aed1d1733p-10, -0x1.4ef2d6e557116p-10, -0x1.45a7545ad411ap-10, -0x1.3c930c874c244p-10, -0x1.33b4e8fd2e916p-10, -0x1.2b0bd78576712p-10, -0x1.2296ca18cf641p-10, -0x1.1a54b6d7e581p-10, -0x1.12449803c0841p-10, -0x1.0a656bf6682ddp-10, -0x1.02b6351a2c63bp-10, -0x1.f66bf3c4170aep-11, -0x1.e7c789811bcf5p-11, -0x1.d97d483f42e5bp-11, -0x1.cb8b54af21db3p-11, -0x1.bdefdb4c0976ep-11, -0x1.b0a91049ef205p-11, -0x1.a3b52f82ad62ep-11, -0x1.97127c630c98ep-11, -0x1.8abf41d82e72p-11, -0x1.7eb9d23b9cab2p-11, -0x1.730087402ccbbp-11, -0x1.6791c1de48102p-11, -0x1.5c6bea3f8ef29p-11, -0x1.518d6fab79209p-11, -0x1.46f4c87275827p-11, -0x1.3ca071da23bc6p-11, -0x1.328ef0088bda9p-11, -0x1.28becdef8f2f3p-11, -0x1.1f2e9d3864004p-11, -0x1.15dcf62ed141p-11, -0x1.0cc877aca0ca1p-11, -0x1.03efc70459d2bp-11, -0x1.f6a31fd95ea98p-12, -0x1.e5d908d73a4d5p-12, -0x1.d57eb9835c21dp-12, -0x1.c591aea94f485p-12, -0x1.b60f7135ce19dp-12, -0x1.a6f5960da2166p-12, -0x1.9841bde281851p-12, -0x1.89f1950b41284p-12, -0x1.7c02d358d48bp-12, -0x1.6e733bedc7832p-12, -0x1.61409d14d190ep-12, -0x1.5468d01794edcp-12, -0x1.47e9b915af2p-12, -0x1.3bc146dbfaa4p-12, -0x1.2fed72bc8193ep-12, -0x1.246c406559163p-12, -0x1.193bbdb8e515fp-12, -0x1.0e5a02a5b37f4p-12, -0x1.03c530ff05522p-12, -0x1.f2f6e8ab06cafp-13, -0x1.def6039f0189dp-13, -0x1.cb843005a85f6p-13, -0x1.b89dfd9b3f8a5p-13, -0x1.a6400e60915fcp-13, -0x1.9467164f6ea55p-13, -0x1.830fdb0d43202p-13, -0x1.723733a3681d7p-13, -0x1.61da08329ce38p-13, -0x1.51f551aa085bbp-13, -0x1.4286197f5cc4bp-13, -0x1.3389796567dfp-13, -0x1.24fc9b05bd88dp-13, -0x1.16dcb7b98ce14p-13, -0x1.09271843d3ccfp-13, -0x1.f7b22917bc484p-14, -0x1.dde026b1c300ep-14, -0x1.c4d3141c9a614p-14, -0x1.ac85f8d26d985p-14, -0x1.94f3f878eff5dp-14, -0x1.7e18526208f15p-14, -0x1.67ee6108bb57p-14, -0x1.52719991019ap-14, -0x1.3d9d8b496b9bdp-14, -0x1.296ddf2edaddfp-14, -0x1.15de5770c5a1p-14, -0x1.02eacef773238p-14, -0x1.e11e71d73e2afp-15, -0x1.bd8f40818e81fp-15, -0x1.9b204e7e49c7p-15, -0x1.79ca0e218823p-15, -0x1.59851e9e457f1p-15, -0x1.3a4a4b2587c03p-15, -0x1.1c128a0c51335p-15, -0x1.fdadf7d5fdfb4p-16, -0x1.c521d59aa36edp-16, -0x1.8e7392adf1ffcp-16, -0x1.599663f0a05b5p-16, -0x1.267dcc3901c57p-16, -0x1.ea3b3589c877bp-17, -0x1.8ad3d33f7d87fp-17, -0x1.2eae38463c74dp-17, -0x1.ab6775b4fc267p-18, -0x1.ff38f72fa2b2cp-19, -0x1.67416c4a0210bp-20, 0x1.189c15ca22db1p-20, 0x1.c0e56f88ec02cp-19, 0x1.753acb7181ddfp-18, 0x1.025329a8fe05ep-17, 0x1.476db5721ebdap-17, 0x1.89ff9dd413e84p-17, 0x1.ca1b012a244cdp-17, 0x1.03e8c5005e631p-16, 0x1.219a38c7b7772p-16, 0x1.3e2a412358c15p-16, 0x1.59a10d196e76dp-16, 0x1.740696b32aa3ep-16, 0x1.8d62a42a0f9edp-16, 0x1.a5bcc910ed70bp-16, 0x1.bd1c67730c6e3p-16, 0x1.d388b0f61b6c6p-16, 0x1.e908a7f033c1dp-16, 0x1.fda3207a4e79bp-16, 0x1.08af60bfe5b3ep-15, 0x1.122102e3d850dp-15, 0x1.1b299e7ace7ecp-15, 0x1.23cc4646fa88bp-15, 0x1.2c0bf876e2b83p-15, 0x1.33eb9f1f6594ap-15, 0x1.3b6e10b55ab18p-15, 0x1.429610833ceb3p-15, 0x1.49664f1cbb168p-15, 0x1.4fe16ad15bfacp-15, 0x1.5609f01a4d119p-15, 0x1.5be25a08520f5p-15, 0x1.616d12af2db5p-15, 0x1.66ac738d35eccp-15, 0x1.6ba2c5f24a755p-15, 0x1.705243658c55ap-15, 0x1.74bd16069b99ap-15, 0x1.78e558ef0f6ccp-15, 0x1.7ccd188f9884cp-15, 0x1.8076530dc77a7p-15, 0x1.83e2f89e68b7cp-15, 0x1.8714ebdddd2f3p-15, 0x1.8a0e02277c472p-15, 0x1.8cd003e978fa8p-15, 0x1.8f5cacf98b542p-15, 0x1.91b5ace4c000fp-15, 0x1.93dca740291p-15, 0x1.95d333f69ec6fp-15, 0x1.979adf93a3ff3p-15, 0x1.99352b8fe766ep-15, 0x1.9aa38e98b9202p-15, 0x1.9be774d802706p-15, 0x1.9d024038d07f6p-15, 0x1.9df548acc7d46p-15, 0x1.9ec1dc6da762p-15, 0x1.9f69403e6820ep-15, 0x1.9fecafab6e281p-15, 0x1.a04d5d486016cp-15, 0x1.a08c72ec5898dp-15, 0x1.a0ab11ed85476p-15, 0x1.a0aa535ae4eadp-15, 0x1.a08b48348df39p-15, 0x1.a04ef9a3eadddp-15, 0x1.9ff669301d30bp-15, 0x1.9f8290f3b8edep-15, 0x1.9ef463d01959ep-15, 0x1.9e4ccd9e54e19p-15, 0x1.9d8cb361915c6p-15, 0x1.9cb4f3766d116p-15, 0x1.9bc665c0ac957p-15, 0x1.9ac1dbd9a7f9p-15, 0x1.99a8213c5fb8cp-15, 0x1.9879fb7082be5p-15, 0x1.97382a353c892p-15, 0x1.95e367a9228ccp-15, 0x1.947c687364614p-15, 0x1.9303dbea6cf22p-15, 0x1.917a6c3a5fa64p-15, 0x1.8fe0be899f49bp-15, 0x1.8e37731d32bdap-15, 0x1.8c7f257ca73b6p-15, 0x1.8ab86c9383a7bp-15, 0x1.88e3dad3918c2p-15, 0x1.8701fe551c5e7p-15, 0x1.851360f66876p-15, 0x1.8318887b58d73p-15, 0x1.8111f6ab1339fp-15, 0x1.7f00296d32eeap-15, 0x1.7ce39ae73d55ep-15, 0x1.7abcc19781931p-15, 0x1.788c10706002ep-15, 0x1.7651f6f2d824dp-15, 0x1.740ee14840263p-15, 0x1.71c3385ae0e11p-15, 0x1.6f6f61ee56682p-15, 0x1.6d13c0b74db9bp-15, 0x1.6ab0b472a8f69p-15, 0x1.684699fb294bdp-15, 0x1.65d5cb5fe6f21p-15, 0x1.635e9ff8e9457p-15, 0x1.60e16c7c1f6c8p-15, 0x1.5e5e8310c7fe5p-15, 0x1.5bd633638de32p-15, 0x1.5948cab8b11f9p-15, 0x1.56b693feb0402p-15, 0x1.541fd7e05a15ap-15, 0x1.5184dcd57a0a4p-15, 0x1.4ee5e73447bd2p-15, 0x1.4c4339415577fp-15, 0x1.499d133f8186ap-15, 0x1.46f3b37f548f7p-15, 0x1.4447566e0f936p-15, 0x1.419836a45fdb6p-15, 0x1.3ee68cf3c9f51p-15, 0x1.3c32907554fa8p-15, 0x1.397c7695c4c0fp-15, 0x1.36c473235a388p-15, 0x1.340ab859d4adbp-15, 0x1.314f76eec0dd7p-15, 0x1.2e92de1d316fep-15, 0x1.2bd51bb158d29p-15, 0x1.29165c1326272p-15, 0x1.2656ca51a3ab2p-15, 0x1.2396902cd456bp-15, 0x1.20d5d6202bae9p-15, 0x1.1e14c36c0a77fp-15, 0x1.1b537e1fa83a6p-15, 0x1.18922b21c9caep-15, 0x1.15d0ee3a103d7p-15, 0x1.130fea193ab4dp-15, 0x1.104f4062174acp-15, 0x1.0d8f11b0df5ebp-15, 0x1.0acf7da3f2cfdp-15, 0x1.0810a2e299027p-15, 0x1.05529f251e4bcp-15, 0x1.02958f3b5dd7cp-15, 0x1.ffb31e286ac57p-16, 0x1.fa3d738741befp-16, 0x1.f4ca53137b907p-16, 0x1.ef59efb1e8eb4p-16, 0x1.e9ec7ab799965p-16, 0x1.e48223f637c24p-16, 0x1.df1b19c71fd36p-16, 0x1.d9b78916938ep-16, 0x1.d4579d6e00305p-16, 0x1.cefb80fea96ep-16, 0x1.c9a35cac08c2ep-16, 0x1.c44f58145583bp-16, 0x1.beff999b5551fp-16, 0x1.b9b44671d3cbfp-16, 0x1.b46d82a0085bcp-16, 0x1.af2b710ca905dp-16, 0x1.a9ee3385e0009p-16, 0x1.a4b5eac91fa0bp-16, 0x1.9f82b68a94fdfp-16, 0x1.9a54b57ca33d5p-16, 0x1.952c05572d239p-16, 0x1.9008c2de41916p-16, 0x1.8aeb09e94b24dp-16, 0x1.85d2f568e1a76p-16, 0x1.80c09f6d75198p-16, 0x1.7bb4212d708d8p-16, 0x1.76ad930af1a4fp-16, 0x1.71ad0c9930125p-16, 0x1.6cb2a4a237f7ep-16, 0x1.67be712c5da9ap-16, 0x1.62d0877f58ccap-16, 0x1.5de8fc2876p-16, 0x1.5907e30097216p-16, 0x1.542d4f2fa8e32p-16, 0x1.4f5953320f597p-16, 0x1.4a8c00dc4109p-16, 0x1.45c5695f5e294p-16, 0x1.41059d4d10e06p-16, 0x1.3c4cac9b83d52p-16, 0x1.379aa6a931d7ep-16, 0x1.32ef9a4093adap-16, 0x1.2e4b959b6d4c2p-16, 0x1.29aea6667d162p-16, 0x1.2518d9c4a22dep-16, 0x1.208a3c5272793p-16, 0x1.1c02da28c325ep-16, 0x1.1782bedfeeb15p-16, 0x1.1309f592beb47p-16, 0x1.0e9888e15abacp-16, 0x1.0a2e82f3ce9d8p-16, 0x1.05cbed7ccd666p-16, 0x1.0170d1bc16854p-16, 0x1.fa3a71022393p-17, 0x1.f1a2545af4fa6p-17, 0x1.e9195d6e20ebcp-17, 0x1.e09f9b54f275dp-17, 0x1.d8351c5a149d7p-17, 0x1.cfd9edfe2323bp-17, 0x1.c78e1cfbac9fap-17, 0x1.bf51b54b41905p-17, 0x1.b724c22800d03p-17, 0x1.af074e12090abp-17, 0x1.a6f962d334bebp-17, 0x1.9efb0981fc1d1p-17, 0x1.970c4a8577226p-17, 0x1.8f2d2d9874c7ep-17, 0x1.875db9ccc0531p-17, 0x1.7f9df58ea1bafp-17, 0x1.77ede6a77496p-17, 0x1.704d92413125bp-17, 0x1.68bcfce8c54bbp-17, 0x1.613c2a91d5cap-17, 0x1.59cb1e9896f55p-17, 0x1.5269dbc5360bap-17, 0x1.4b18644e47347p-17, 0x1.43d6b9db23a7p-17, 0x1.3ca4dd87397e7p-17, 0x1.3582cfe387e6fp-17, 0x1.2e7090f9b7761p-17, 0x1.276e204e40f9cp-17, 0x1.207b7ce2f748ep-17, 0x1.1998a538f5257p-17, 0x1.12c597536b13p-17, 0x1.0c0250b907ea1p-17, 0x1.054ece76bc98p-17, 0x1.fd561a42e228cp-18, 0x1.f02e11b102bb8p-18, 0x1.e3257a8ee5bb8p-18, 0x1.d63c4b500166cp-18, 0x1.c972798851b6p-18, 0x1.bcc7f9f0705e3p-18, 0x1.b03cc06825fa7p-18, 0x1.a3d0bffc1cc85p-18, 0x1.9783eae741bcbp-18, 0x1.8b56329863efdp-18, 0x1.7f4787b4e532cp-18, 0x1.7357da1b901c5p-18, 0x1.678718e9c42acp-18, 0x1.5bd5327d15648p-18, 0x1.504214778d474p-18, 0x1.44cdabc35f593p-18, 0x1.3977e4959a9bp-18, 0x1.2e40aa70c9f95p-18, 0x1.2327e829de22dp-18, 0x1.182d87e98e539p-18, 0x1.0d517330998ep-18, 0x1.029392da9f8a3p-18, 0x1.efe79e412aae8p-19, 0x1.dae41f397a294p-19, 0x1.c61c76993e6d4p-19, 0x1.b190712ae0214p-19, 0x1.9d3fda8ab322bp-19, 0x1.892a7d2ee5f84p-19, 0x1.7550226d2701ep-19, 0x1.61b0927f11cb2p-19, 0x1.4e4b94888815fp-19, 0x1.3b20ee9e46462p-19, 0x1.283065c97db75p-19, 0x1.1579be0f2c004p-19, 0x1.02fcba745ec3dp-19, 0x1.e1723a0666de4p-20, 0x1.bd5d4da554da5p-20, 0x1.99ba3012a10ep-20, 0x1.76885fc5cdeb9p-20, 0x1.53c7596d4abd2p-20, 0x1.317697f917ff5p-20, 0x1.0f9594a31436bp-20, 0x1.dc478df1a837cp-21, 0x1.9a4149d0af9bfp-21, 0x1.5917458ffd4e2p-21, 0x1.18c866be6cd39p-21, 0x1.b2a71fd9d1bfbp-22, 0x1.356f4166326fp-22, 0x1.73cdd730a8591p-23, 0x1.002f492db83a8p-24, -0x1.c122e0ae2465dp-25, -0x1.5d57ecd845733p-23, -0x1.238d58bf39e1ap-22, -0x1.96cae40f8eb08p-22, -0x1.04337f201eb4bp-21, -0x1.3c3208f5b8a05p-21, -0x1.7362471da60a6p-21, -0x1.a9c573641b84dp-21, -0x1.df5cc9ba5b985p-21, -0x1.0a14c410f52c2p-20, -0x1.2416774ffc2d6p-20, -0x1.3db41f95f43b1p-20, -0x1.56ee5ecb0f45ap-20, -0x1.6fc5d7bf6d6dep-20, -0x1.883b2e2256174p-20, -0x1.a04f067676c8p-20, -0x1.b802060cc570ep-20, -0x1.cf54d2fb755c6p-20, -0x1.e64814152dd52p-20, -0x1.fcdc70df3c3cdp-20, -0x1.098948c6bc4aap-19, -0x1.14758f7baf23bp-19, -0x1.1f336148dafd4p-19, -0x1.29c31331d7c0dp-19, -0x1.3424fa808387dp-19, -0x1.3e596cc206cc5p-19, -0x1.4860bfc218b01p-19, -0x1.523b498782a08p-19, -0x1.5be9604f8579dp-19, -0x1.656b5a8afa8a2p-19, -0x1.6ec18edafcad6p-19, -0x1.77ec540ca0733p-19, -0x1.80ec01155aefcp-19, -0x1.89c0ed0fa513fp-19, -0x1.926b6f375e75p-19, -0x1.9aebdee6a3f2ep-19, -0x1.a3429392c330dp-19, -0x1.ab6fe4c767ce5p-19, -0x1.b3742a24670cp-19, -0x1.bb4fbb5a644adp-19, -0x1.c302f026c0894p-19, -0x1.ca8e2051b3dabp-19, -0x1.d1f1a3a9fce7fp-19, -0x1.d92dd2020567bp-19, -0x1.e043032db7908p-19, -0x1.e7318efdc6696p-19, -0x1.edf9cd3d7283cp-19, -0x1.f49c15afe37d6p-19, -0x1.fb18c00cb6974p-19, -0x1.00b811fee091p-18, -0x1.03d14c8db676fp-18, -0x1.06d83b751f181p-18, -0x1.09cd0a6bf9af1p-18, -0x1.0cafe51caec1p-18, -0x1.0f80f7236d521p-18, }}, 
      {{-0x1.d5a0df591ffb8p-3, -0x1.d79c0017b4428p-3, -0x1.dada874cf5315p-3, -0x1.df4768156d23ep-3, -0x1.e4c6ed15e3203p-3, -0x1.eb381f7ef53f4p-3, -0x1.f2763c35ffdf4p-3, -0x1.fa5a1ddae8df5p-3, -0x1.015dc519f682ep-2, -0x1.05b92b9f175a8p-2, -0x1.0a2bb090bd93cp-2, -0x1.0ea2a76cefca5p-2, -0x1.130c939db5432p-2, -0x1.17595d54fd6fdp-2, -0x1.1b7a73b15fe12p-2, -0x1.1f62df5838116p-2, -0x1.2307489108e6ap-2, -0x1.265df3971489fp-2, -0x1.295eb5691d402p-2, -0x1.2c02e2f316c53p-2, -0x1.2e453c0e53f8dp-2, -0x1.3021d387949a3p-2, -0x1.3195f51efff6ep-2, -0x1.32a00a49d0982p-2, -0x1.333f7e5c8ba3cp-2, -0x1.3374a2ab4868fp-2, -0x1.33409318f50fep-2, -0x1.32a51b7c5e6ccp-2, -0x1.31a49e30ceb69p-2, -0x1.3041fc17a7badp-2, -0x1.2e807e4060c1p-2, -0x1.2c63c15ca9459p-2, -0x1.29efa317e56c6p-2, -0x1.2728315b8a02p-2, -0x1.24119b7dea28dp-2, -0x1.20b0254ea7f43p-2, -0x1.1d081beb6a881p-2, -0x1.191dcc40f4316p-2, -0x1.14f57b17bd32ep-2, -0x1.10935e8839dfcp-2, -0x1.0bfb98b134353p-2, -0x1.0732338a68da3p-2, -0x1.023b1dae4d0e5p-2, -0x1.fa344fef1fc38p-3, -0x1.efa607a24ee31p-3, -0x1.e4d28434fdf4ap-3, -0x1.d9c0a508b08b9p-3, -0x1.ce77069c3bf03p-3, -0x1.c2fc029d0a47ap-3, -0x1.b755b06ae3fe5p-3, -0x1.ab89e5f00668ep-3, -0x1.9f9e38b48b171p-3, -0x1.9397ff192f79cp-3, -0x1.877c51a9cc8eep-3, -0x1.7b500c7b9dc5dp-3, -0x1.6f17d08ebbaf3p-3, -0x1.62d8052cdfc8p-3, -0x1.5694d941d164ap-3, -0x1.4a5244ab8c81cp-3, -0x1.3e140981b569bp-3, -0x1.31ddb554db5cdp-3, -0x1.25b2a266c7c6dp-3, -0x1.1995f8dda2851p-3, -0x1.0d8aaff3d7d39p-3, -0x1.01938f26d5cb7p-3, -0x1.eb665ecd39fb6p-4, -0x1.d3d7f88ff3bc5p-4, -0x1.bc806a75f57c8p-4, -0x1.a563dd8ded7d9p-4, -0x1.8e86279a450c8p-4, -0x1.77eacda4a6858p-4, -0x1.619506a0b4728p-4, -0x1.4b87be1de32a9p-4, -0x1.35c5970806d18p-4, -0x1.2050ee758e02dp-4, -0x1.0b2bde81f4066p-4, -0x1.ecb082651e707p-5, -0x1.c3af66c72eecap-5, -0x1.9b572f75fb1edp-5, -0x1.73aa333d01bd6p-5, -0x1.4caa6054a6185p-5, -0x1.2659424b1e5f8p-5, -0x1.00b807e387899p-5, -0x1.b78f11cb7fb85p-6, -0x1.6f1097b39668p-6, -0x1.27f5175394624p-6, -0x1.c478f49743e47p-7, -0x1.3bcc5195301ffp-7, -0x1.6bc4500fc383fp-8, -0x1.95bc051bc9942p-10, 0x1.36dd881cf2b3bp-9, 0x1.96dde17544196p-8, 0x1.46743d8498468p-7, 0x1.beccea86aded8p-7, 0x1.1a3f8cca03208p-6, 0x1.53c8ae547d5c6p-6, 0x1.8c05539fad428p-6, 0x1.c2f92040206aep-6, 0x1.f8a7db29c5abap-6, 0x1.168ab452d8d3ap-5, 0x1.3022e25a5ebp-5, 0x1.491e7eee8e65ep-5, 0x1.617f98305f558p-5, 0x1.794840ecde8p-5, 0x1.907a8e9ceb55fp-5, 0x1.a7189794d0c78p-5, 0x1.bd247161e31cep-5, 0x1.d2a02f5443bb4p-5, 0x1.e78de132c0b39p-5, 0x1.fbef9216c3275p-5, 0x1.07e3a3b716a29p-4, 0x1.118b80108231cp-4, 0x1.1af059ec5e3p-4, 0x1.241329337efcap-4, 0x1.2cf4e1a4e00c2p-4, 0x1.359672a54e179p-4, 0x1.3df8c71ba206dp-4, 0x1.461cc5588919ep-4, 0x1.4e034f08de66p-4, 0x1.55ad41319f88cp-4, 0x1.5d1b74348fc72p-4, 0x1.644ebbdca5991p-4, 0x1.6b47e7716c303p-4, 0x1.7207c1d084ce8p-4, 0x1.788f118c85b68p-4, 0x1.7ede99107cee5p-4, 0x1.84f716c763382p-4, 0x1.8ad94546de1acp-4, 0x1.9085db7cb24c8p-4, 0x1.95fd8cde5c39p-4, 0x1.9b41099a3fc9ep-4, 0x1.a050fec9ff619p-4, 0x1.a52e16a579422p-4, 0x1.a9d8f8b6171c3p-4, 0x1.ae524a09f824fp-4, 0x1.b29aad66b9b6p-4, 0x1.b6b2c37b7ae5cp-4, 0x1.ba9b2b11df461p-4, 0x1.be54813dda422p-4, 0x1.c1df618bfcbbdp-4, 0x1.c53c662e237c2p-4, 0x1.c86c282651b01p-4, 0x1.cb6f3f6fab20dp-4, 0x1.ce4643254ed35p-4, 0x1.d0f1c9a71e5e6p-4, 0x1.d37268bc40b6ep-4, 0x1.d5c8b5b379115p-4, 0x1.d7f54581198eep-4, 0x1.d9f8acdab15f1p-4, 0x1.dbd380506681ep-4, 0x1.dd865463feae1p-4, 0x1.df11bd9d9ae1bp-4, 0x1.e076509e31eb5p-4, 0x1.e1b4a22fc9eeap-4, 0x1.e2cd475385fdfp-4, 0x1.e3c0d54d9962bp-4, 0x1.e48fe1af1d0e1p-4, 0x1.e53b025df16c5p-4, 0x1.e5c2cd9ab01ddp-4, 0x1.e627da04b8252p-4, 0x1.e66abe9c8084dp-4, 0x1.e68c12c43bdaep-4, 0x1.e68c6e3ed4036p-4, 0x1.e66c692d6638ap-4, 0x1.e62c9c0b5148ep-4, 0x1.e5cd9fa8eafcep-4, 0x1.e5500d24e73e5p-4, 0x1.e4b47de4a4029p-4, 0x1.e3fb8b8b512d1p-4, 0x1.e325cff01252ap-4, 0x1.e233e51344958p-4, 0x1.e1266512e3534p-4, 0x1.dffdea1e24461p-4, 0x1.debb0e68738eap-4, 0x1.dd5e6c1bc3576p-4, 0x1.dbe89d4a63d6bp-4, 0x1.da5a3be057609p-4, 0x1.d8b3e1944afd6p-4, 0x1.d6f627d830012p-4, 0x1.d521a7c9a29e5p-4, 0x1.d336fa2208583p-4, 0x1.d136b7269b1acp-4, 0x1.cf2176984f617p-4, 0x1.ccf7cfa3ba5dcp-4, 0x1.caba58d0f1147p-4, 0x1.c869a7f381dep-4, 0x1.c606521a7bfa3p-4, 0x1.c390eb80a31e5p-4, 0x1.c10a077ccd3cap-4, 0x1.be7238727dddap-4, 0x1.bbca0fc2b47e8p-4, 0x1.b9121dbd19ee9p-4, 0x1.b64af19160b12p-4, 0x1.b375194110afcp-4, 0x1.b0912191a75d3p-4, 0x1.ad9f95ff1a5cep-4, 0x1.aaa100aec0336p-4, 0x1.a795ea62a4465p-4, 0x1.a47eda6d49b18p-4, 0x1.a15c56a5e3f9ep-4, 0x1.9e2ee35d0219fp-4, 0x1.9af70351b2f0fp-4, 0x1.97b537a725b8bp-4, 0x1.9469ffdac1945p-4, 0x1.9115d9bac2d3p-4, 0x1.8db9415d4fff5p-4, 0x1.8a54b11811ff9p-4, 0x1.86e8a1784a84bp-4, 0x1.8375893b6b138p-4, 0x1.7ffbdd482b11ap-4, 0x1.7c7c10a81c7bcp-4, 0x1.78f69481c0af2p-4, 0x1.756bd813182a8p-4, 0x1.71dc48acb0cbep-4, 0x1.6e4851ad2cbdcp-4, 0x1.6ab05c7d437a3p-4, 0x1.6714d08c3ac98p-4, 0x1.6376134cd3821p-4, 0x1.5fd48832ab9efp-4, 0x1.5c3090b00f863p-4, 0x1.588a8c343cc5fp-4, 0x1.54e2d82a0e06ap-4, 0x1.5139cff712ffep-4, 0x1.4d8fccfb0fb29p-4, 0x1.49e5268fdf349p-4, 0x1.463a3209b9b54p-4, 0x1.428f42b7d7ebfp-4, 0x1.3ee4a9e573f05p-4, 0x1.3b3ab6db23f87p-4, 0x1.3791b6e0895b1p-4, 0x1.33e9f53e553e1p-4, 0x1.3043bb409c6fdp-4, 0x1.2c9f503979e29p-4, 0x1.28fcf983fa852p-4, 0x1.255cfa8752496p-4, 0x1.21bf94ba548c5p-4, 0x1.1e2507a72efd4p-4, 0x1.1a8d90ef63265p-4, 0x1.16f96c4ffca59p-4, 0x1.1368d3a5fe778p-4, 0x1.0fdbfef309401p-4, 0x1.0c5324623411fp-4, 0x1.08ce784d13d3bp-4, 0x1.054e2d40f4145p-4, 0x1.01d274043a18bp-4, 0x1.fcb6f737dd38dp-5, 0x1.f5d2e2a2e1d49p-5, 0x1.eef90170944d8p-5, 0x1.e829a7684c25p-5, 0x1.e16524fdca9fp-5, 0x1.daabc75da27fep-5, 0x1.d3fdd879cb6b3p-5, 0x1.cd5b9f1669af2p-5, 0x1.c6c55ed6bf947p-5, 0x1.c03b584a46cabp-5, 0x1.b9bdc8f9eb41p-5, 0x1.b34ceb75649bbp-5, 0x1.ace8f760ab1acp-5, 0x1.a692218185224p-5, 0x1.a0489bcd2388bp-5, 0x1.9a0c9575d46b1p-5, 0x1.93de3af8ba38fp-5, 0x1.8dbdb62b93fecp-5, 0x1.87ab2e4a8446ep-5, 0x1.81a6c805e06dcp-5, 0x1.7bb0a58ffb61ap-5, 0x1.75c8e6aaf0097p-5, 0x1.6fefa8b663ed5p-5, 0x1.6a2506bd4221fp-5, 0x1.646919836c59ap-5, 0x1.5ebbf7935c7a6p-5, 0x1.591db54bb65edp-5, 0x1.538e64ecca1b8p-5, 0x1.4e0e16a5feb1fp-5, 0x1.489cd8a329c37p-5, 0x1.433ab719cd94dp-5, 0x1.3de7bc563bfa5p-5, 0x1.38a3f0c8a1b11p-5, 0x1.336f5b11ef3d5p-5, 0x1.2e4a0010a8735p-5, 0x1.2933e2ed8eb4dp-5, 0x1.242d05282da0ap-5, 0x1.1f3566a343de3p-5, 0x1.1a4d05b105362p-5, 0x1.1573df1f3ca58p-5, 0x1.10a9ee434384cp-5, 0x1.0bef2d05d362dp-5, 0x1.074393eeb0d21p-5, 0x1.02a71a302ba3p-5, 0x1.fc336b64ec9cap-6, 0x1.f336b63da7b47p-6, 0x1.ea57fbd5338aap-6, 0x1.e19720c40b381p-6, 0x1.d8f40765d37b5p-6, 0x1.d06e8fee53dbdp-6, 0x1.c806987e1cc2dp-6, 0x1.bfbbfd36cf4a6p-6, 0x1.b78e984f08dc3p-6, 0x1.af7e4225fbc8ap-6, 0x1.a78ad1569fb78p-6, 0x1.9fb41aca93fd6p-6, 0x1.97f9f1cc97afp-6, 0x1.905c281ab2e4ap-6, 0x1.88da8df7faa8ap-6, 0x1.8174f23dfad38p-6, 0x1.7a2b226dc7f23p-6, 0x1.72fceac0b0105p-6, 0x1.6bea1638938c4p-6, 0x1.64f26eafdfa06p-6, 0x1.5e15bce933127p-6, 0x1.5753c89ea1c7p-6, 0x1.50ac5890a6b47p-6, 0x1.4a1f3294b29d3p-6, 0x1.43ac1ba36ecb2p-6, 0x1.3d52d7e69bddfp-6, 0x1.37132ac69ef8fp-6, 0x1.30ecd6f7bb33bp-6, 0x1.2adf9e86f0446p-6, 0x1.24eb42e68620fp-6, 0x1.1f0f84fa44e2cp-6, 0x1.194c25235b0a6p-6, 0x1.13a0e34bee9d1p-6, 0x1.0e0d7ef262437p-6, 0x1.0891b73441095p-6, 0x1.032d4ad8e5dbcp-6, 0x1.fbbff0b79bc43p-7, 0x1.f152fbed3f155p-7, 0x1.e7133355cf6aap-7, 0x1.dd0012970a799p-7, 0x1.d319150bad26bp-7, 0x1.c95db5d5230c5p-7, 0x1.bfcd6fecb8bfp-7, 0x1.b667be343bb49p-7, 0x1.ad2c1b860ed67p-7, 0x1.a41a02c4b7f83p-7, 0x1.9b30eee9e4ca5p-7, 0x1.92705b14efbabp-7, 0x1.89d7c298e62b8p-7, 0x1.8166a10a04bd1p-7, 0x1.791c724ac8a3p-7, 0x1.70f8b2986d31ep-7, 0x1.68fade97122c2p-7, 0x1.6122735d51187p-7, 0x1.596eee7f690b3p-7, 0x1.51dfce1a00e1cp-7, 0x1.4a7490dc71ddcp-7, 0x1.432cb612a25d3p-7, 0x1.3c07bdae88e4cp-7, 0x1.3505285131582p-7, 0x1.2e2477536f05cp-7, 0x1.27652cce1daefp-7, 0x1.20c6cba20fab6p-7, 0x1.1a48d77f8f426p-7, 0x1.13ead4ed8b927p-7, 0x1.0dac49506f33dp-7, 0x1.078cbaf09702bp-7, 0x1.018bb1007479p-7, 0x1.f7516744bf0dap-8, 0x1.ebc697dc2eb5bp-8, 0x1.e07607ebdfb35p-8, 0x1.d55ecd9762819p-8, 0x1.ca80010a6b016p-8, 0x1.bfd8bc8159001p-8, 0x1.b5681c514f4f6p-8, 0x1.ab2d3eefb09dcp-8, 0x1.a12744f91b1bfp-8, 0x1.97555137db0eap-8, 0x1.8db688a9e1cf5p-8, 0x1.844a12863d022p-8, 0x1.7b0f1842231ebp-8, 0x1.7204c595745bcp-8, 0x1.692a487ee0f8ap-8, 0x1.607ed1478c13bp-8, 0x1.580192866040ep-8, 0x1.4fb1c122d913ap-8, 0x1.478e94578beb7p-8, 0x1.3f9745b438006p-8, 0x1.37cb111f804d2p-8, 0x1.302934d857818p-8, 0x1.28b0f176fc7e4p-8, 0x1.216189edb6a37p-8, 0x1.1a3a438934acp-8, 0x1.133a65f0a602dp-8, 0x1.0c613b2584ffcp-8, 0x1.05ae0f831494fp-8, 0x1.fe40637b368d2p-9, 0x1.f16de5c2ab073p-9, 0x1.e4e34ca26ce9p-9, 0x1.d89f438aa5e0fp-9, 0x1.cca07a9247d41p-9, 0x1.c0e5a673058b7p-9, 0x1.b56d8084eccdap-9, 0x1.aa36c6b9888fep-9, 0x1.9f403b96b1865p-9, 0x1.9488a630e2db2p-9, 0x1.8a0ed22545b6cp-9, 0x1.7fd18f935fe49p-9, 0x1.75cfb3166865fp-9, 0x1.6c0815be56c66p-9, 0x1.627995088ecbfp-9, 0x1.592312d866ff5p-9, 0x1.5003756f3fbdcp-9, 0x1.4719a7647883dp-9, 0x1.3e64979d235a8p-9, 0x1.35e339436a04bp-9, 0x1.2d9483bdc7d38p-9, 0x1.257772a616714p-9, 0x1.1d8b05c060b13p-9, 0x1.15ce40f187351p-9, 0x1.0e402c35b1486p-9, 0x1.06dfd396b309dp-9, 0x1.ff588e444ce81p-10, 0x1.f14935bf00ed7p-10, 0x1.e38fcd8bec69ap-10, 0x1.d62a8d648b1b7p-10, 0x1.c917b4b8de05dp-10, 0x1.bc558a9a78c6cp-10, 0x1.afe25da7a7b2fp-10, 0x1.a3bc83f6279b5p-10, 0x1.97e25afde332fp-10, 0x1.8c52478396908p-10, 0x1.810ab5832bc09p-10, 0x1.760a181a283bap-10, 0x1.6b4ee971f0b3dp-10, 0x1.60d7aaaa0ce22p-10, 0x1.56a2e3c23548ep-10, 0x1.4caf2384a0033p-10, 0x1.42faff6feba01p-10, 0x1.398513a15e6f1p-10, 0x1.304c02beda5d9p-10, 0x1.274e75e115818p-10, 0x1.1e8b1c7d9a599p-10, 0x1.1600ac50f8766p-10, 0x1.0dade1490186bp-10, 0x1.05917d6ee5f6ap-10, 0x1.fb5491a345b19p-11, 0x1.ebee22e07d713p-11, 0x1.dced5648c0186p-11, 0x1.ce4fdf1948bebp-11, 0x1.c0137beeeb6ap-11, 0x1.b235f69b0ff4bp-11, 0x1.a4b523f9c3f29p-11, 0x1.978ee3c760469p-11, 0x1.8ac12076be9bdp-11, 0x1.7e49cf07906c9p-11, 0x1.7226eedd0f6dfp-11, 0x1.66568994d9ab9p-11, 0x1.5ad6b2de520adp-11, 0x1.4fa58851fc4dp-11, 0x1.44c131494562p-11, 0x1.3a27deb6efe1ep-11, 0x1.2fd7caff17d1dp-11, 0x1.25cf39d0786adp-11, 0x1.1c0c77fd3c54ep-11, 0x1.128ddb5498c5ap-11, 0x1.0951c27cac2c5p-11, 0x1.005694cc8b418p-11, 0x1.ef35844e13c67p-12, 0x1.de3985ab12b0dp-12, 0x1.cdb62ec66c8adp-12, 0x1.bda890f1efaeep-12, 0x1.ae0dcd7294e4bp-12, 0x1.9ee315399885fp-12, 0x1.9025a89e3229bp-12, 0x1.81d2d71825d54p-12, 0x1.73e7fefaef341p-12, 0x1.66628d31fcd35p-12, 0x1.593ffcfd9db52p-12, 0x1.4c7dd7b065c9bp-12, 0x1.4019b46e3e3edp-12, 0x1.341137eb4613ap-12, 0x1.2862142c1a0e8p-12, 0x1.1d0a0846ea10cp-12, 0x1.1206e02536664p-12, 0x1.075674460c14fp-12, 0x1.f9ed53046ea8p-13, 0x1.e5cae19f372abp-13, 0x1.d2418e0dc9957p-13, 0x1.bf4d695249b4p-13, 0x1.acea9b4c9a95bp-13, 0x1.9b15624a26fe3p-13, 0x1.89ca1295c875ap-13, 0x1.7905160a741cep-13, 0x1.68c2eba680a1fp-13, 0x1.590027213a2c5p-13, 0x1.49b9708250f78p-13, 0x1.3aeb83b9d1bd5p-13, 0x1.2c93303a14b99p-13, 0x1.1ead58944c9e1p-13, 0x1.1136f214ecfe6p-13, 0x1.042d0462dbe72p-13, 0x1.ef19523f0eaf3p-14, 0x1.d6a617125b5c3p-14, 0x1.befad03ae8e3p-14, 0x1.a812187df239bp-14, 0x1.91e6abb65087ap-14, 0x1.7c73662460da3p-14, 0x1.67b343c0ce3dep-14, 0x1.53a15f91cd7bbp-14, 0x1.4038f3030cc5p-14, 0x1.2d755540efe2fp-14, 0x1.1b51fa975e177p-14, 0x1.09ca73d10fe44p-14, 0x1.f1b4db38db29fp-15, 0x1.d0fb5fe0c596cp-15, 0x1.b1603aecc36acp-15, 0x1.92db65ebb3cbep-15, 0x1.75650d836e82bp-15, 0x1.58f59053efd14p-15, 0x1.3d857ddd83581p-15, 0x1.230d956d1ecd8p-15, 0x1.0986c50cd01b3p-15, 0x1.e1d450f41dd8dp-16, 0x1.b26210408e346p-16, 0x1.84a9b0340f4c7p-16, 0x1.589e6e663378fp-16, 0x1.2e33dbe780334p-16, 0x1.055ddb5d707eap-16, 0x1.bc213e4618d34p-17, 0x1.70814ef9e60a7p-17, 0x1.27c5819a3549bp-17, 0x1.c3b0074e8f55bp-18, 0x1.3d4727e15c382p-18, 0x1.784dfcd18345cp-19, 0x1.009ce6af87e85p-20, -0x1.b6fb45df771cbp-21, -0x1.522645777d135p-19, -0x1.16992bf79c12p-18, -0x1.7f95bfe3a8d34p-18, -0x1.e42c23bed82c6p-18, -0x1.223f563312dcep-17, -0x1.50576204733cbp-17, -0x1.7c6e77e4e8208p-17, -0x1.a6946a9e9a01p-17, -0x1.ced89fe1be62dp-17, -0x1.f54a12ea12aedp-17, -0x1.0cfbab869c67bp-16, -0x1.1e774d243d84cp-16, -0x1.2f1ed3d7b4f93p-16, -0x1.3ef8f4efb1897p-16, -0x1.4e0c36ac296f9p-16, -0x1.5c5ef167134f1p-16, -0x1.69f750b73764ap-16, -0x1.76db548bca982p-16, -0x1.8310d240d87bep-16, -0x1.8e9d75aff9be1p-16, -0x1.9986c239a7163p-16, -0x1.a3d213c8f1888p-16, -0x1.ad849fd238094p-16, -0x1.b6a3764a1d60dp-16, -0x1.bf33829a5b256p-16, -0x1.c7398c8e28056p-16, -0x1.ceba393a7f25ap-16, -0x1.d5ba0be0cd8d1p-16, -0x1.dc3d66ce7432dp-16, -0x1.e2488c32d4304p-16, -0x1.e7df9ef635498p-16, -0x1.ed06a386849edp-16, -0x1.f1c180a2b97ep-16, -0x1.f61400201d1c5p-16, -0x1.fa01cfab7cc26p-16, -0x1.fd8e818608714p-16, -0x1.005ec69e6bdb8p-15, -0x1.01c9282ec9348p-15, -0x1.03080792aa175p-15, -0x1.041cfa965b6a3p-15, -0x1.05098b079b1cdp-15, -0x1.05cf37074e7a6p-15, -0x1.066f71594e211p-15, -0x1.06eba1b24caaep-15, -0x1.07452503ecedbp-15, -0x1.077d4dc6e425dp-15, -0x1.079564433ac9bp-15, -0x1.078ea6d739f81p-15, -0x1.076a4a3c2f23fp-15, -0x1.072979c9a650dp-15, -0x1.06cd57b715d49p-15, -0x1.0656fd5ba46e3p-15, -0x1.05c77b6ce23a2p-15, -0x1.051fda3b8715dp-15, -0x1.046119ee87833p-15, -0x1.038c32bd5dfc5p-15, -0x1.02a215280734dp-15, -0x1.01a3aa2e5daaep-15, -0x1.0091d38553becp-15, -0x1.fedad79796238p-16, -0x1.fc6e8d7a0854cp-16, -0x1.f9e062c444ee6p-16, -0x1.f731e4866ff74p-16, -0x1.f464932b7fa58p-16, -0x1.f179e2d58ba82p-16, -0x1.ee733bb753ca6p-16, -0x1.eb51fa6bab99bp-16, -0x1.e817704999876p-16, -0x1.e4c4e3b7ad005p-16, -0x1.e15b907c62cb8p-16, -0x1.dddca80c3a896p-16, -0x1.da4951d6cf46dp-16, -0x1.d6a2ab9074b65p-16, -0x1.d2e9c97ab3757p-16, -0x1.cf1fb6ab50105p-16, -0x1.cb45755044ea3p-16, -0x1.c75bfef24349ap-16, -0x1.c36444b71568ep-16, -0x1.bf5f2f9eff569p-16, -0x1.bb4da0c3a0a0ap-16, -0x1.b73071934f1dp-16, -0x1.b308740b1fbf8p-16, -0x1.aed672efd4f7fp-16, -0x1.aa9b32052f74dp-16, -0x1.a6576e43065c1p-16, -0x1.a20bde09b7ap-16, -0x1.9db93154a94a4p-16, -0x1.996011ec1307ep-16, -0x1.9501239440a1fp-16, -0x1.909d043ca2bd5p-16, -0x1.8c344c2d23029p-16, -0x1.87c78e316f4b7p-16, -0x1.835757c5460fap-16, -0x1.7ee4313c767f8p-16, -0x1.7a6e9dec49a12p-16, -0x1.75f71c52d3515p-16, -0x1.717e263c3a4b2p-16, -0x1.6d0430e9206ap-16, -0x1.6889ad3172067p-16, -0x1.640f07a86d55ap-16, -0x1.5f94a8bdf54eep-16, -0x1.5b1af4dfe54adp-16, -0x1.56a24c9a07df1p-16, -0x1.522b0cb577d9ap-16, -0x1.4db58e569275dp-16, -0x1.4942271aae7bp-16, -0x1.44d129346495bp-16, -0x1.4062e38736477p-16, -0x1.3bf7a1c2dda65p-16, -0x1.378fac7c92b21p-16, -0x1.332b494968f62p-16, -0x1.2ecabad609fe7p-16, -0x1.2a6e40ff17b0bp-16, -0x1.261618e7d7d14p-16, -0x1.21c27d1136b89p-16, -0x1.1d73a56f14a46p-16, -0x1.1929c77dc57a7p-16, -0x1.14e516566bfcfp-16, -0x1.10a5c2c2a80ebp-16, -0x1.0c6bfb5054196p-16, -0x1.0837ec63d800bp-16, -0x1.0409c04aa01cbp-16, -0x1.ffc33e989e728p-17, -0x1.f77f5f782d8d6p-17, -0x1.ef482c12c9f74p-17, -0x1.e71de99f024aep-17, -0x1.df00d9cb1f784p-17, -0x1.d6f13ada1a0d3p-17, -0x1.ceef47c22304bp-17, -0x1.c6fb3847fa023p-17, -0x1.bf15411addc1ap-17, -0x1.b73d93ef0010ap-17, -0x1.af745f970edeap-17, -0x1.a7b9d01d9c289p-17, -0x1.a00e0edcfb037p-17, -0x1.987142968b19p-17, -0x1.90e38f8a0cc9fp-17, -0x1.8965178ad1acap-17, -0x1.81f5fa1578d6dp-17, -0x1.7a9654649673dp-17, -0x1.73464184ab884p-17, -0x1.6c05da66e94e2p-17, -0x1.64d535f509449p-17, -0x1.5db469226032ep-17, -0x1.56a386fe1449p-17, -0x1.4fa2a0c388f6ep-17, -0x1.48b1c5eb9c047p-17, -0x1.41d1043be37d1p-17, -0x1.3b0067d656f83p-17, -0x1.343ffb4850b3bp-17, -0x1.2d8fc798f8143p-17, -0x1.26efd4571fc75p-17, -0x1.206027a6c37bfp-17, -0x1.19e0c64e91dbp-17, -0x1.1371b3c3e829bp-17, -0x1.0d12f2379cdfep-17, -0x1.06c482a1a2a91p-17, -0x1.008664cc740e9p-17, -0x1.f4b12ec147c3bp-18, -0x1.e8762fdd6cc59p-18, -0x1.dc5bc5f5291b2p-18, -0x1.d061e8092dc36p-18, -0x1.c4888b283f95cp-18, -0x1.b8cfa280bd46cp-18, -0x1.ad371f73598a8p-18, -0x1.a1bef1a505675p-18, -0x1.9667070f1b329p-18, -0x1.8b2f4c10b2b7fp-18, -0x1.8017ab7e1e693p-18, -0x1.75200eb000801p-18, -0x1.6a485d92fd80ap-18, -0x1.5f907eb5716dap-18, -0x1.54f85755d1598p-18, -0x1.4a7fcb6f71a97p-18, -0x1.4026bdc882314p-18, -0x1.35ed0ffda0a24p-18, -0x1.2bd2a28f668c7p-18, -0x1.21d754ec423b5p-18, -0x1.17fb057da34b9p-18, -0x1.0e3d91b1bd561p-18, -0x1.049ed60710dbap-18, -0x1.f63d5c2bdff03p-19, -0x1.e379e93652283p-19, -0x1.d0f3070237859p-19, -0x1.bea867d220fc8p-19, -0x1.ac99bc68f7d9bp-19, -0x1.9ac6b41b3f2dep-19, -0x1.892efcdf7da04p-19, -0x1.77d2435ec5ce2p-19, -0x1.66b033043eb8ap-19, -0x1.55c8760ca5d9fp-19, -0x1.451ab594e575dp-19, -0x1.34a699a829354p-19, -0x1.246bc94d7b6eap-19, -0x1.1469ea95dc0ffp-19, -0x1.04a0a2a72fea2p-19, -0x1.ea1f2b97dd2c2p-20, -0x1.cb6ccef6bad79p-20, -0x1.ad2974cf96a28p-20, -0x1.8f546112eb4a2p-20, -0x1.71ecd65081a6bp-20, -0x1.54f215cef7883p-20, -0x1.38635f9e8c015p-20, -0x1.1c3ff2ad062a9p-20, -0x1.00870cda36623p-20, -0x1.ca6fd61010c4ep-21, -0x1.94a3925daa02dp-21, -0x1.5fa7c4d8755dfp-21, -0x1.2b7ae22a49a95p-21, -0x1.f036bb18c3b8bp-22, -0x1.8b0f51ca2f7a6p-22, -0x1.277c69cdd4b4ep-22, -0x1.8af5c4b6948b3p-23, -0x1.941e62d6cb375p-24, -0x1.87da18ee52ba5p-28, 0x1.5d035292bac85p-24, 0x1.66388b6c8f338p-23, 0x1.0d76134e7aap-22, 0x1.665166e018779p-22, 0x1.bdb16a9f20ab4p-22, 0x1.09cca4ab60058p-21, 0x1.3406171fe7e72p-21, 0x1.5d86a269bec0cp-21, 0x1.864fdc51328e5p-21, 0x1.ae635a971d70dp-21, 0x1.d5c2b2e1c7c31p-21, 0x1.fc6f7aa83a57cp-21, 0x1.1135a39218385p-20, 0x1.23dbd69dce4b4p-20, 0x1.362b20ba0866bp-20, 0x1.48244befa1a28p-20, 0x1.59c822065389ap-20, 0x1.6b176c7c21c94p-20, 0x1.7c12f47f85283p-20, 0x1.8cbb82e626d09p-20, 0x1.9d11e028280cfp-20, 0x1.ad16d457129a7p-20, 0x1.bccb27173540fp-20, 0x1.cc2f9f9c118edp-20, 0x1.db45049f8cbb8p-20, 0x1.ea0c1c5c6ec8cp-20, 0x1.f885ac88a4893p-20, 0x1.03593d280f396p-19, 0x1.0a49a5276a31ap-19, 0x1.11147045833fap-19, 0x1.17ba00389b3e3p-19, 0x1.1e3ab6670f5b7p-19, 0x1.2496f3e5a2fc9p-19, 0x1.2acf1973dcc1fp-19, 0x1.30e3877b2d33ap-19, 0x1.36d49e0ba76ep-19, 0x1.3ca2bcdab91fep-19, 0x1.424e43404b8ddp-19, 0x1.47d790356d273p-19, 0x1.4d3f025217679p-19, 0x1.5284f7cb19093p-19, 0x1.57a9ce70b6f49p-19, 0x1.5cade3ac6042cp-19, 0x1.6191947f610c1p-19, 0x1.66553d8140786p-19, 0x1.6af93adddb5e7p-19, 0x1.6f7de853e739p-19, 0x1.73e3a133968c3p-19, 0x1.782ac05d2bfebp-19, 0x1.7c53a03f66d46p-19, 0x1.805e9ad634954p-19, 0x1.844c09a960666p-19, 0x1.881c45cba61cbp-19, 0x1.8bcfa7d8bafd5p-19, 0x1.8f6687f4b3d32p-19, 0x1.92e13dcacac2ep-19, 0x1.9640208c35439p-19, 0x1.998386eefc652p-19, 0x1.9cabc72d25cbp-19, 0x1.9fb937037cf61p-19, 0x1.a2ac2bb0fa819p-19, 0x1.a584f9f566ccfp-19, 0x1.a843f610f111cp-19, 0x1.aae973c3027ap-19, 0x1.ad75c6496311ep-19, 0x1.afe9405fff8ecp-19, 0x1.b244343f65edep-19, 0x1.b486f39c97e98p-19, 0x1.b6b1cfa82463cp-19, 0x1.b8c5190da6d94p-19, 0x1.bac11ff30ee9ep-19, 0x1.bca633f82622bp-19, 0x1.be74a435abb6ep-19, 0x1.c02cbf3d62e91p-19, 0x1.c1ced31900126p-19, 0x1.c35b2d49df6cep-19, 0x1.c4d21ac8cf76dp-19, 0x1.c633e8053fb1ap-19, 0x1.c780e0e54f9e9p-19, 0x1.c8b950c4ea77ap-19, 0x1.c9dd8275c97dbp-19, 0x1.caedc03f156e8p-19, 0x1.cbea53dd07fa9p-19, 0x1.ccd38680b064ep-19, 0x1.cda9a0cf97472p-19, 0x1.ce6ceae3d3e63p-19, 0x1.cf1dac4b9bc8ep-19, 0x1.cfbc2c08c8826p-19, 0x1.d048b09158d2ep-19, 0x1.d0c37fcf003e8p-19, 0x1.d12cdf1ea9f6p-19, 0x1.d1851350ee6fbp-19, 0x1.d1cc60a9c99dcp-19, 0x1.d2030ae094978p-19, 0x1.d229551fcd1a9p-19, 0x1.d23f820539dc5p-19, 0x1.d245d3a20ad2p-19, 0x1.d23c8b7aa427fp-19, 0x1.d223ea86b79eap-19, 0x1.d1fc313177d92p-19, 0x1.d1c59f598fb71p-19, 0x1.d180745137a93p-19, 0x1.d12ceede37ff8p-19, 0x1.d0cb4d3a4a556p-19, 0x1.d05bcd13133a1p-19, 0x1.cfdeab8a5d90fp-19, 0x1.cf54253646f4bp-19, 0x1.cebc76216af37p-19, 0x1.ce17d9cb11cp-19, 0x1.cd668b2773a43p-19, 0x1.cca8c49ff86a1p-19, 0x1.cbdec013877c6p-19, 0x1.cb08b6d6a1444p-19, 0x1.ca26e1b3d3072p-19, 0x1.c93978ebe3ddep-19, 0x1.c840b43667b4p-19, 0x1.c73ccac1a7a5p-19, 0x1.c62df33348958p-19, 0x1.c51463a8b66bbp-19, 0x1.c3f051b724a35p-19, 0x1.c2c1f26c49a6bp-19, 0x1.c1897a4e90f63p-19, 0x1.c0471d5da3332p-19, 0x1.befb0f12b2382p-19, 0x1.bda5826105c08p-19, 0x1.bc46a9b6493b8p-19, 0x1.badeb6fb17dffp-19, 0x1.b96ddb9382fdbp-19, 0x1.b7f4485f58512p-19, 0x1.b6722dbacf876p-19, 0x1.b4e7bb7f0ffbp-19, 0x1.b35521026777fp-19, 0x1.b1ba8d19021f3p-19, 0x1.b0182e15885a9p-19, 0x1.ae6e31c985785p-19, 0x1.acbcc585e3087p-19, 0x1.ab04161ba3a25p-19, 0x1.a9444fdc7147ap-19, 0x1.a77d9e9af7e55p-19, 0x1.a5b02daba38f5p-19, 0x1.a3dc27e536615p-19, 0x1.a201b7a152d8fp-19, 0x1.a02106bd1caaap-19, 0x1.9e3a3e99dc78ap-19, 0x1.9c4d881daf11cp-19, 0x1.9a5b0bb3f13d6p-19, 0x1.9862f14e00d8cp-19, 0x1.96656063f146p-19, 0x1.94627ff509aa5p-19, 0x1.925a76886cae5p-19, 0x1.904d6a2e1467dp-19, 0x1.8e3b807f16f31p-19, 0x1.8c24de9e8ec3p-19, 0x1.8a09a93a1973bp-19, 0x1.87ea048aa90b7p-19, 0x1.85c614553587cp-19, 0x1.839dfbeb4f493p-19, 0x1.8171de2bdde1fp-19, 0x1.7f41dd840fe53p-19, }}, 
      {{-0x1.d52f3a9d56ebep-3, -0x1.d5d904db4a0cap-3, -0x1.d6f10a09e98d3p-3, -0x1.d872fcf5e5ab9p-3, -0x1.da591b76e6e95p-3, -0x1.dc9c66a7f3d57p-3, -0x1.df34df980ca7p-3, -0x1.e219c4a0bcd9cp-3, -0x1.e541cc9d2c312p-3, -0x1.e8a35e005b437p-3, -0x1.ec34c067edb6p-3, -0x1.efec47d6ee7fap-3, -0x1.f3c07943269ffp-3, -0x1.f7a828890a047p-3, -0x1.fb9a90286890cp-3, -0x1.ff8f635dd49fap-3, -0x1.01bf6da2c6976p-2, -0x1.03b0dfdcff2aep-2, -0x1.0598b64c22c4dp-2, -0x1.0773ea02f1181p-2, -0x1.093fbf2025162p-2, -0x1.0af9c3b62201dp-2, -0x1.0c9fcde4d7d4ap-2, -0x1.0e2ff950940ffp-2, -0x1.0fa8a41a1da4ap-2, -0x1.11086b773234dp-2, -0x1.124e280616601p-2, -0x1.1378e9f35a9f7p-2, -0x1.1487f505ba854p-2, -0x1.157abca15a67ep-2, -0x1.1650dfd124f49p-2, -0x1.170a2562bdaecp-2, -0x1.17a6781f789e6p-2, -0x1.1825e32ab3b34p-2, -0x1.18888e8c3778fp-2, -0x1.18cebbeb7adf1p-2, -0x1.18f8c37f39426p-2, -0x1.19071133555d5p-2, -0x1.18fa2205e0309p-2, -0x1.18d2819b106fdp-2, -0x1.1890c80717902p-2, -0x1.183597cc136f2p-2, -0x1.17c19c09cc97fp-2, -0x1.173586dc8ea84p-2, -0x1.16920fe816889p-2, -0x1.15d7f30b72823p-2, -0x1.1507ef3a8fb04p-2, -0x1.1422c57a3e5c1p-2, -0x1.132937fb7acc1p-2, -0x1.121c0952ef2e7p-2, -0x1.10fbfbc9c4b7fp-2, -0x1.0fc9d0c50f44fp-2, -0x1.0e8648414894p-2, -0x1.0d32205f8f854p-2, -0x1.0bce15028eda3p-2, -0x1.0a5adf79288d7p-2, -0x1.08d9363531e9bp-2, -0x1.0749cc8cc7774p-2, -0x1.05ad5284de2dfp-2, -0x1.040474a3f55e4p-2, -0x1.024fdbcbdecdp-2, -0x1.00902d19c9739p-2, -0x1.fd8c139792dd3p-3, -0x1.f9e41e56810d2p-3, -0x1.f629acf72f05ep-3, -0x1.f25de9d9aa19ap-3, -0x1.ee81f72365618p-3, -0x1.ea96eeb19d9bep-3, -0x1.e69de21182c8bp-3, -0x1.e297da7d9742dp-3, -0x1.de85d8dfde4d5p-3, -0x1.da68d5d883p-3, -0x1.d641c1c89b37p-3, -0x1.d21184e0c2cafp-3, -0x1.cdd8ff334a755p-3, -0x1.c99908c9ba2b5p-3, -0x1.c55271bd7146ap-3, -0x1.c10602531eff6p-3, -0x1.bcb47b18f46dfp-3, -0x1.b85e9507446ebp-3, -0x1.b40501a368f23p-3, -0x1.afa86b24bc767p-3, -0x1.ab49749b6f5fbp-3, -0x1.a6e8ba190e148p-3, -0x1.a286d0da80752p-3, -0x1.9e24477356b17p-3, -0x1.99c1a5fa36a22p-3, -0x1.955f6e3633fcdp-3, -0x1.90fe1bccee72p-3, -0x1.8c9e24714390cp-3, -0x1.883ff8126bfabp-3, -0x1.83e4010b643d9p-3, -0x1.7f8aa45263bf2p-3, -0x1.7b3441a85d56dp-3, -0x1.76e133c844166p-3, -0x1.7291d09610be3p-3, -0x1.6e46694d55b8fp-3, -0x1.69ff4aaf50079p-3, -0x1.65bcbd30510d6p-3, -0x1.617f0524786f8p-3, -0x1.5d4662eb93d05p-3, -0x1.5913131c22a38p-3, -0x1.54e54ead665b9p-3, -0x1.50bd4b2068f27p-3, -0x1.4c9b3aa7f80c3p-3, -0x1.487f4c4f7f96p-3, -0x1.4469ac20c3012p-3, -0x1.405a834862a13p-3, -0x1.3c51f83933551p-3, -0x1.38502ece5c2b7p-3, -0x1.3455486c375d7p-3, -0x1.3061641ff9453p-3, -0x1.2c749ebe1d4e3p-3, -0x1.288f12ff90153p-3, -0x1.24b0d99dad953p-3, -0x1.20da096cf81e6p-3, -0x1.1d0ab776b32eap-3, -0x1.1942f7113e1ddp-3, -0x1.1582d9f7546e6p-3, -0x1.11ca705e2bd92p-3, -0x1.0e19c90a7479p-3, -0x1.0a70f1644f52fp-3, -0x1.06cff58a334ebp-3, -0x1.0336e062d4db6p-3, -0x1.ff4b775c2cd25p-4, -0x1.f839202a01ab3p-4, -0x1.f136ca71c1a4bp-4, -0x1.ea448382f666cp-4, -0x1.e36256d4e18a6p-4, -0x1.dc904e1faa60bp-4, -0x1.d5ce71740c376p-4, -0x1.cf1cc7518195fp-4, -0x1.c87b54bb213a7p-4, -0x1.c1ea1d4b15f76p-4, -0x1.bb692344ed428p-4, -0x1.b4f867a6a211cp-4, -0x1.ae97ea389709fp-4, -0x1.a847a99c8384ap-4, -0x1.a207a35b5a768p-4, -0x1.9bd7d3f2475b8p-4, -0x1.95b836decee22p-4, -0x1.8fa8c6aa16536p-4, -0x1.89a97cf36a57fp-4, -0x1.83ba527a0e9b6p-4, -0x1.7ddb3f2661bb8p-4, -0x1.780c3a1263987p-4, -0x1.724d3991a7834p-4, -0x1.6c9e3338bdbcep-4, -0x1.66ff1be420ed4p-4, -0x1.616fe7bead36cp-4, -0x1.5bf08a47ad607p-4, -0x1.5680f658865ebp-4, -0x1.51211e2a09224p-4, -0x1.4bd0f359718c9p-4, -0x1.469066ed1bd9ep-4, -0x1.415f6958f6514p-4, -0x1.3c3dea82b426bp-4, -0x1.372bd9c5ccd1p-4, -0x1.322925f744d7bp-4, -0x1.2d35bd694e566p-4, -0x1.28518deebffcap-4, -0x1.237c84de68de3p-4, -0x1.1eb68f1645d3ep-4, -0x1.19ff98fe9ab74p-4, -0x1.15578e8cf545dp-4, -0x1.10be5b4719dadp-4, -0x1.0c33ea45debd6p-4, -0x1.07b82637f87b7p-4, -0x1.034af964b9c67p-4, -0x1.fdd89b5d8e5a9p-5, -0x1.f538192d873dep-5, -0x1.ecb43e7be9525p-5, -0x1.e44cdcd1c2df3p-5, -0x1.dc01c503d9c65p-5, -0x1.d3d2c737d99d5p-5, -0x1.cbbfb2e97de86p-5, -0x1.c3c856efb7c1ap-5, -0x1.bbec8181d380dp-5, -0x1.b42c003c9b383p-5, -0x1.ac86a0277cb69p-5, -0x1.a4fc2db9ae201p-5, -0x1.9d8c74df544a9p-5, -0x1.963740feab357p-5, -0x1.8efc5cfd2fea1p-5, -0x1.87db9344ccd31p-5, -0x1.80d4adc9066d1p-5, -0x1.79e7760c29ba5p-5, -0x1.7313b5247bc44p-5, -0x1.6c5933c16adf5p-5, -0x1.65b7ba30bc107p-5, -0x1.5f2f1063bd05p-5, -0x1.58befdf46f5bcp-5, -0x1.52674a2ab5af8p-5, -0x1.4c27bc017b5bdp-5, -0x1.46001a2bd9ca1p-5, -0x1.3ff02b1a3878p-5, -0x1.39f7b4ff68c57p-5, -0x1.34167dd5b9501p-5, -0x1.2e4c4b6403ae4p-5, -0x1.2898e342b2c6p-5, -0x1.22fc0ae0bd882p-5, -0x1.1d7587889b557p-5, -0x1.18051e652b6p-5, -0x1.12aa948690151p-5, -0x1.0d65aee701621p-5, -0x1.0836326f8e159p-5, -0x1.031be3fcd0959p-5, -0x1.fc2d10c72f3fdp-6, -0x1.f24bc8eaf6acp-6, -0x1.e8937a0ac9206p-6, -0x1.df03add8074f1p-6, -0x1.d59bee1867174p-6, -0x1.cc5bc4ae9ef35p-6, -0x1.c342bba2debc9p-6, -0x1.ba505d2b2fcep-6, -0x1.b18433b3a330ep-6, -0x1.a8ddc9e65e02p-6, -0x1.a05caab37aeafp-6, -0x1.98006158bff99p-6, -0x1.8fc879692a3f9p-6, -0x1.87b47ed452bd8p-6, -0x1.7fc3fded9f3bbp-6, -0x1.77f683734c6eep-6, -0x1.704b9c954b139p-6, -0x1.68c2d6fbeb13cp-6, -0x1.615bc0ce5e8fbp-6, -0x1.5a15e8b90af0dp-6, -0x1.52f0ddf3ac3f6p-6, -0x1.4bec30474c22cp-6, -0x1.4507701409bc6p-6, -0x1.3e422e56ad6fep-6, -0x1.379bfcae18c7ap-6, -0x1.31146d607e0e7p-6, -0x1.2aab13606c47ap-6, -0x1.245f8251aed26p-6, -0x1.1e314e8e0003dp-6, -0x1.18200d298592p-6, -0x1.122b53f72a83dp-6, -0x1.0c52b98cc2f1fp-6, -0x1.0695d547085f5p-6, -0x1.00f43f4d64d05p-6, -0x1.f6db212b2cf1fp-7, -0x1.ec02c5ce45bbap-7, -0x1.e15ea1bd47e9cp-7, -0x1.d6edebe1cad97p-7, -0x1.ccafdcdbb246ap-7, -0x1.c2a3af06c9d19p-7, -0x1.b8c89e8006725p-7, -0x1.af1de92a7d54bp-7, -0x1.a5a2ceb403729p-7, -0x1.9c5690998837ap-7, -0x1.9338722b177bcp-7, -0x1.8a47b88f9abf5p-7, -0x1.8183aac84a2fbp-7, -0x1.78eb91b3d8b54p-7, -0x1.707eb8114b908p-7, -0x1.683c6a82a0b47p-7, -0x1.6023f78f20b08p-7, -0x1.5834afa57145p-7, -0x1.506de51d65d21p-7, -0x1.48ceec3993425p-7, -0x1.41571b28a2182p-7, -0x1.3a05ca0662b21p-7, -0x1.32da52dca6976p-7, -0x1.2bd411a3e07cbp-7, -0x1.24f264438a4d2p-7, -0x1.1e34aa92530b5p-7, -0x1.179a46561c491p-7, -0x1.11229b43baf68p-7, -0x1.0acd0efe8cd82p-7, -0x1.04990917d9ea9p-7, -0x1.fd0be61c094f9p-8, -0x1.f12670971f081p-8, -0x1.e5808c4be3b93p-8, -0x1.da1917b88904ap-8, -0x1.ceeef52b8666cp-8, -0x1.c4010ac04969p-8, -0x1.b94e425b9b3d4p-8, -0x1.aed589a7b9393p-8, -0x1.a495d210234aep-8, -0x1.9a8e10bd2727p-8, -0x1.90bd3e8f25196p-8, -0x1.872258199a48cp-8, -0x1.7dbc5d9de13c6p-8, -0x1.748a5305c7e01p-8, -0x1.6b8b3fddd868ep-8, -0x1.62be2f4f7ec2ap-8, -0x1.5a22301aedcffp-8, -0x1.51b65490d519p-8, -0x1.4979b28bea90cp-8, -0x1.416b636a45a12p-8, -0x1.398a84068d75bp-8, -0x1.31d634b100febp-8, -0x1.2a4d992855036p-8, -0x1.22efd892769efp-8, -0x1.1bbc1d751d53p-8, -0x1.14b195ae49aecp-8, -0x1.0dcf726ca19ecp-8, -0x1.0714e827aa659p-8, -0x1.00812e97f1215p-8, -0x1.f427015e2d358p-9, -0x1.e796391f81ceap-9, -0x1.db4e870affa13p-9, -0x1.cf4e73f92abbbp-9, -0x1.c3948ef363f5ep-9, -0x1.b81f6d233f784p-9, -0x1.aceda9c1b73bep-9, -0x1.a1fde60651278p-9, -0x1.974ec9161af46p-9, -0x1.8cdefff2a4f2cp-9, -0x1.82ad3d68dd47cp-9, -0x1.78b839ffe3d9fp-9, -0x1.6efeb3e7cf0acp-9, -0x1.657f6ee866ddap-9, -0x1.5c39344fdb0efp-9, -0x1.532ad2e171483p-9, -0x1.4a531ec431a4ep-9, -0x1.41b0f17196978p-9, -0x1.394329a4369d3p-9, -0x1.3108ab467b74bp-9, -0x1.29005f6157a45p-9, -0x1.2129340b04725p-9, -0x1.19821c55d540dp-9, -0x1.120a103efe87fp-9, -0x1.0ac00c9d84c7fp-9, -0x1.03a313112549ap-9, -0x1.f96453e2b72a6p-10, -0x1.ebd8b878ed585p-10, -0x1.dea1730d71ea8p-10, -0x1.d1bcabd3397fep-10, -0x1.c52893e637318p-10, -0x1.b8e3652a40cbap-10, -0x1.aceb622a0ced7p-10, -0x1.a13ed5f65e30bp-10, -0x1.95dc14057d227p-10, -0x1.8ac17812dac3ap-10, -0x1.7fed65fee2535p-10, -0x1.755e49af1d49ep-10, -0x1.6b1296ee869dfp-10, -0x1.6108c94e23d78p-10, -0x1.573f6405d1ed6p-10, -0x1.4db4f1d568d4fp-10, -0x1.446804e6151c9p-10, -0x1.3b5736abee527p-10, -0x1.328127c7ed1f4p-10, -0x1.29e47fea164b7p-10, -0x1.217fedb3e5f1ep-10, -0x1.1952269b22473p-10, -0x1.1159e6ccd92aap-10, -0x1.0995f110bb295p-10, -0x1.02050eacc0243p-10, -0x1.f54c1e9221bafp-11, -0x1.e6ef91a88f1d2p-11, -0x1.d8f22ecfe395cp-11, -0x1.cb51ba5aeec2ep-11, -0x1.be0c048671b98p-11, -0x1.b11ee944092f1p-11, -0x1.a4885005be7f3p-11, -0x1.98462b8a40003p-11, -0x1.8c5679a99f52cp-11, -0x1.80b74322c27cdp-11, -0x1.75669b697d3a7p-11, -0x1.6a62a07532c36p-11, -0x1.5fa97a902edd5p-11, -0x1.55395c279ba76p-11, -0x1.4b10819c0c3dbp-11, -0x1.412d3112be35fp-11, -0x1.378dba476236dp-11, -0x1.2e30765e97951p-11, -0x1.2513c7b906b02p-11, -0x1.1c3619c711bb1p-11, -0x1.1395e0dd2cd3dp-11, -0x1.0b319a08c34b6p-11, -0x1.0307cae5e9d72p-11, -0x1.f62e02eac0f26p-12, -0x1.e6bba7e708745p-12, -0x1.d7b5c15f348f8p-12, -0x1.c9199bc7b977p-12, -0x1.bae4931c2bd66p-12, -0x1.ad1412919c2efp-12, -0x1.9fa5944a33c2dp-12, -0x1.9296a109e3c5dp-12, -0x1.85e4cfec752f6p-12, -0x1.798dc61c88247p-12, -0x1.6d8f368bd7a33p-12, -0x1.61e6e1ac98e94p-12, -0x1.5692952bfe3bap-12, -0x1.4b902bade59f6p-12, -0x1.40dd8c8987d3ap-12, -0x1.3678ab876c00cp-12, -0x1.2c5f88a03154p-12, -0x1.22902fbcbf8a5p-12, -0x1.1908b8773f717p-12, -0x1.0fc745dd6446fp-12, -0x1.06ca063377a63p-12, -0x1.fc1e657184137p-13, -0x1.eb2a1ed960e79p-13, -0x1.dab3d5aa5b5e7p-13, -0x1.cab83b8bdf51bp-13, -0x1.bb34165155d5ep-13, -0x1.ac243f8d07337p-13, -0x1.9d85a42422829p-13, -0x1.8f5543e56282cp-13, -0x1.8190312174ce7p-13, -0x1.74339044dfdd8p-13, -0x1.673c97741044ep-13, -0x1.5aa88e294d406p-13, -0x1.4e74ccd4445cdp-13, -0x1.429ebc7b6ee91p-13, -0x1.3723d65f30c2p-13, -0x1.2c01a39ecc646p-13, -0x1.2135bcdeed384p-13, -0x1.16bdc9f1f51fap-13, -0x1.0c978181de70dp-13, -0x1.02c0a8bbd016ep-13, -0x1.f26e25facb493p-14, -0x1.dff143068222fp-14, -0x1.ce06863305b48p-14, -0x1.bca9e79b58704p-14, -0x1.abd77943da788p-14, -0x1.9b8b6684400b1p-14, -0x1.8bc1f3742f6d7p-14, -0x1.7c777c5b16496p-14, -0x1.6da87522551d4p-14, -0x1.5f5168cae7a63p-14, -0x1.516ef8e538d9cp-14, -0x1.43fddd0c502e8p-14, -0x1.36fae262d343fp-14, -0x1.2a62eb13a6906p-14, -0x1.1e32edd450981p-14, -0x1.1267f56a9157cp-14, -0x1.06ff2033fa5e7p-14, -0x1.f7eb3f60badadp-15, -0x1.e291701d06f63p-15, -0x1.cdeb7f763ccfap-15, -0x1.b9f43de537563p-15, -0x1.a6a69ea8f83ap-15, -0x1.93fdb6f3a1fc5p-15, -0x1.81f4bd1a308edp-15, -0x1.708707ca362e2p-15, -0x1.5fb00d4287cc7p-15, -0x1.4f6b629102158p-15, -0x1.3fb4bad440b2bp-15, -0x1.3087e681172acp-15, -0x1.21e0d2acbaf46p-15, -0x1.13bb885a04babp-15, -0x1.06142bcb1f184p-15, -0x1.f1cdf7aeb123ap-16, -0x1.d860a287225bcp-16, -0x1.bfd93c3e83a8ep-16, -0x1.a830da4a0c7adp-16, -0x1.9160c23c3077bp-16, -0x1.7b6268941bfa4p-16, -0x1.662f6f926376ap-16, -0x1.51c1a61574c85p-16, -0x1.3e13067c638efp-16, -0x1.2b1db58f743dap-16, -0x1.18dc016ff0036p-16, -0x1.0748608d66b21p-16, -0x1.ecbae141e3434p-17, -0x1.cc2beb5e5036dp-17, -0x1.acd9b21e29e89p-17, -0x1.8eba50ee478c1p-17, -0x1.71c42a1f39263p-17, -0x1.55ede515616e8p-17, -0x1.3b2e6c8428331p-17, -0x1.217cecb2593cp-17, -0x1.08d0d1ca2e8d4p-17, -0x1.e2438c64dc72p-18, -0x1.b4cf61e5828e6p-18, -0x1.8935683f86986p-18, -0x1.5f6656a45a33ap-18, -0x1.3753544d71966p-18, -0x1.10edf58e6e6dcp-18, -0x1.d85071ef313f6p-19, -0x1.91e9091babe34p-19, -0x1.4e8b46199b1dep-19, -0x1.0e1d82842b9acp-19, -0x1.a10dadc90dd13p-20, -0x1.2b5e2b3f7e5c4p-20, -0x1.75fb181fcfee1p-21, -0x1.3ef8fc2f91c2bp-22, 0x1.68bf6314ce05p-24, 0x1.e03001ea5cff9p-22, 0x1.a9d71005bcb0cp-21, 0x1.2d52f91c1fed6p-20, 0x1.81698cbc263aap-20, 0x1.d15550d4be0a5p-20, 0x1.0e9d9835977e1p-19, 0x1.329f7dc1c2b3ep-19, 0x1.54c1b76c639e7p-19, 0x1.75151db00764cp-19, 0x1.93aa06d04cf0cp-19, 0x1.b0904a6e0e9a6p-19, 0x1.cbd7450159474p-19, 0x1.e58ddb432ec12p-19, 0x1.fdc27d7bbe81dp-19, 0x1.0a41955d13933p-18, 0x1.14eeb9ff8b44fp-18, 0x1.1eef3fa55dbffp-18, 0x1.2849854e24381p-18, 0x1.3103b76bc36d9p-18, 0x1.3923d1504419cp-18, 0x1.40af9e8d0a618p-18, 0x1.47acbc4dfb0aep-18, 0x1.4e209aa7febfbp-18, 0x1.54107de01c791p-18, 0x1.59817faab49b9p-18, 0x1.5e78906196c87p-18, 0x1.62fa78325e6bcp-18, 0x1.670bd844ae8e8p-18, 0x1.6ab12bd8e76a4p-18, 0x1.6deec95f4b5e4p-18, 0x1.70c8e3879cc8fp-18, 0x1.73438a496efep-18, 0x1.7562abe672127p-18, 0x1.772a15e444481p-18, 0x1.789d7600bc8cdp-18, 0x1.79c05b1fe7c08p-18, 0x1.7a9636328cb4ap-18, 0x1.7b225b17547bdp-18, 0x1.7b6801758cffap-18, 0x1.7b6a4592625c4p-18, 0x1.7b2c291ff71b3p-18, 0x1.7ab09407222f4p-18, 0x1.79fa552afcd3p-18, 0x1.790c2328f0df6p-18, 0x1.77e89d103e0ebp-18, 0x1.76924b187b448p-18, 0x1.750b9f5030742p-18, 0x1.7356f647d87ffp-18, 0x1.717697b78c4e4p-18, 0x1.6f6cb72026514p-18, 0x1.6d3b746978a92p-18, 0x1.6ae4dc79855cap-18, 0x1.686ae9c9adbdp-18, 0x1.65cf84f651edep-18, 0x1.6314854b80b91p-18, 0x1.603bb14c7dd8ap-18, 0x1.5d46bf3933517p-18, 0x1.5a37558dbb086p-18, 0x1.570f0b802b51p-18, 0x1.53cf69799ba86p-18, 0x1.5079e98cfe982p-18, 0x1.4d0ff7e86b2a1p-18, 0x1.4992f345d5ab2p-18, 0x1.46042d569688dp-18, 0x1.4264eb2c9308dp-18, 0x1.3eb665a0ec78ep-18, 0x1.3af9c9b634c9dp-18, 0x1.373038f97e09ap-18, 0x1.335ac9df9e874p-18, 0x1.2f7a881fe6adap-18, 0x1.2b90750c0bc5cp-18, 0x1.279d87e6d4cd5p-18, 0x1.23a2ae35474c7p-18, 0x1.1fa0cc116bb97p-18, 0x1.1b98bc76d83d3p-18, 0x1.178b518fd63e6p-18, 0x1.137954fe4f5a4p-18, 0x1.0f638823e2c3bp-18, 0x1.0b4aa4673751ep-18, 0x1.072f5b771778fp-18, 0x1.0312578bf6912p-18, 0x1.fde8774f2616ap-19, 0x1.f5ab47a3967aep-19, 0x1.ed6e4aaa95648p-19, 0x1.e5329df0968e8p-19, 0x1.dcf9526b6e45dp-19, 0x1.d4c36ce5192e6p-19, 0x1.cc91e6675c343p-19, 0x1.c465aca09f114p-19, 0x1.bc3fa2479144dp-19, 0x1.b4209f7b80382p-19, 0x1.ac09722193064p-19, 0x1.a3fade3eae38ep-19, 0x1.9bf59e4ffe38p-19, 0x1.93fa639e66501p-19, 0x1.8c09d69285993p-19, 0x1.842497032f788p-19, 0x1.7c4b3c82e71p-19, 0x1.747e56ab11935p-19, 0x1.6cbe6d63d9367p-19, 0x1.650c012b0ddb8p-19, 0x1.5d678b5781522p-19, 0x1.55d17e5b9d49p-19, 0x1.4e4a4604bcep-19, 0x1.46d247b88e668p-19, 0x1.3f69e2b204b0ep-19, 0x1.38117039f9a9p-19, 0x1.30c943e0287dfp-19, 0x1.2991abb0f8b61p-19, 0x1.226af06a658dap-19, 0x1.1b5555ae59ee5p-19, 0x1.14511a343d74ap-19, 0x1.0d5e77f89dcd9p-19, 0x1.067da46aa8ea8p-19, 0x1.ff5da13376c3ep-20, 0x1.f1e452bf41226p-20, 0x1.e48faf151438dp-20, 0x1.d760000b657c4p-20, 0x1.ca558800478fp-20, 0x1.bd708223c871ep-20, 0x1.b0b122c3984afp-20, 0x1.a417978ea6351p-20, 0x1.97a407db86b79p-20, 0x1.8b5694e8e8636p-20, 0x1.7f2f5a1e29df3p-20, 0x1.732e6d48b54e4p-20, 0x1.6753ded74dfc3p-20, 0x1.5b9fba13affe5p-20, 0x1.5012055a2da14p-20, 0x1.44aac24f31451p-20, 0x1.3969ee13b9831p-20, 0x1.2e4f8176712d1p-20, 0x1.235b712485953p-20, 0x1.188dadd8afaacp-20, 0x1.0de6248714e42p-20, 0x1.0364be8b215ecp-20, 0x1.f212c39d33da6p-21, 0x1.dda7e1e86c889p-21, 0x1.c98896fd7970ep-21, 0x1.b5b49bea89493p-21, 0x1.a22ba412fbcd8p-21, 0x1.8eed5d720cad8p-21, 0x1.7bf970e232d19p-21, 0x1.694f825bda3eap-21, 0x1.56ef313587feep-21, 0x1.44d818612c147p-21, 0x1.3309cea5c967fp-21, 0x1.2183e6d7c0d74p-21, 0x1.1045f01090c35p-21, 0x1.fe9eebc5685d8p-22, 0x1.dd4001162c19dp-22, 0x1.bc6e2a4878946p-22, 0x1.9c286ba4d5514p-22, 0x1.7c6dc3e68e172p-22, 0x1.5d3d2c8ed0caap-22, 0x1.3e959a3be9fbdp-22, 0x1.2075fcf5ac70ep-22, 0x1.02dd408051366p-22, 0x1.cb9499433c13dp-23, 0x1.92780adbc3b53p-23, 0x1.5a62971406c0ep-23, 0x1.2351f8da7eeb1p-23, 0x1.da87ca928e281p-24, 0x1.706c18341800fp-24, 0x1.084c303dc9a91p-24, 0x1.4446bed1a61f5p-25, 0x1.ef6752c179b27p-27, -0x1.22df8c5a0bc74p-27, -0x1.0977fab07a2d4p-25, -0x1.c6700fab2db4bp-25, -0x1.3fd4e4cee6b51p-24, -0x1.9a976c5327838p-24, -0x1.f3847a1ab681dp-24, -0x1.2550766c35aa4p-23, -0x1.4ff8d2ced910dp-23, -0x1.79bdc3a524f64p-23, -0x1.a2a1bafa62cc4p-23, -0x1.caa72b336b79cp-23, -0x1.f1d086cb5fa17p-23, -0x1.0c102009a493dp-22, -0x1.1ecc647c16781p-22, -0x1.311e496327837p-22, -0x1.430706f9d195p-22, -0x1.5487d4f4ea162p-22, -0x1.65a1ea6b370b6p-22, -0x1.76567dbaf80d3p-22, -0x1.86a6c474eebd6p-22, -0x1.9693f344d0ff7p-22, -0x1.a61f3ddea62eap-22, -0x1.b549d6e79cf35p-22, -0x1.c414efe570ab6p-22, -0x1.d281b92bd4765p-22, -0x1.e09161ca1a344p-22, -0x1.ee45177be0bf4p-22, -0x1.fb9e06994d76fp-22, -0x1.044ead04217d9p-21, -0x1.0aa21d97025ep-21, -0x1.10c9e8f122476p-21, -0x1.16c6a2313a7cep-21, -0x1.1c98dba2b7063p-21, -0x1.224126b887ac2p-21, -0x1.27c0140728951p-21, -0x1.2d1633405eae8p-21, -0x1.3244132db56c7p-21, -0x1.374a41accf3c2p-21, -0x1.3c294baa693b9p-21, -0x1.40e1bd1f342dbp-21, -0x1.4574210b9eba5p-21, -0x1.49e101744b76dp-21, -0x1.4e28e75f8d91bp-21, -0x1.524c5ad18c13bp-21, -0x1.564be2ca02cbcp-21, -0x1.5a280541dc7eep-21, -0x1.5de147284ca74p-21, -0x1.61782c60c706ep-21, -0x1.64ed37c10b0e5p-21, -0x1.6840eb0f760d6p-21, -0x1.6b73c70131308p-21, -0x1.6e864b38bb7ebp-21, -0x1.7178f64401eeep-21, -0x1.744c459c52087p-21, -0x1.7700b5a4504ep-21, -0x1.7996c1a759d43p-21, -0x1.7c0ee3d8b9cdep-21, -0x1.7e69955312f98p-21, -0x1.80a74e179af12p-21, -0x1.82c8850dce88ap-21, -0x1.84cdb0032a178p-21, -0x1.86b743aab8415p-21, -0x1.8885b39d03e4fp-21, -0x1.8a39725852e92p-21, -0x1.8bd2f1405f725p-21, -0x1.8d52a09ec0cd3p-21, -0x1.8eb8efa2f0465p-21, -0x1.90064c62c9236p-21, -0x1.913b23dacca92p-21, -0x1.9257e1eead263p-21, -0x1.935cf169c229dp-21, -0x1.944abbfffe51ap-21, -0x1.9521aa4dd2009p-21, -0x1.95e223d9dbf2bp-21, -0x1.968c8f1551768p-21, -0x1.9721515c5b59ap-21, -0x1.97a0cef7bf91ap-21, -0x1.980b6b1d80568p-21, -0x1.986187f1dab31p-21, -0x1.98a38688509d4p-21, -0x1.98d1c6e4bd339p-21, -0x1.98eca7fcb6ea8p-21, -0x1.98f487b86e4b1p-21, -0x1.98e9c2f4246adp-21, -0x1.98ccb5812f7b8p-21, -0x1.989dba275d332p-21, -0x1.985d2aa66558dp-21, -0x1.980b5fb724bf2p-21, -0x1.97a8b10d070d7p-21, -0x1.973575573fa73p-21, -0x1.96b202428bc56p-21, -0x1.961eac7ab2631p-21, -0x1.957bc7ab85925p-21, -0x1.94c9a682b408fp-21, -0x1.94089ab1763e7p-21, -0x1.9338f4edd6151p-21, -0x1.925b04f4429acp-21, -0x1.916f19895222cp-21, -0x1.9075807b42a7fp-21, -0x1.8f6e86a38d52ap-21, -0x1.8e5a77e8b02e4p-21, -0x1.8d399f3f8ca65p-21, -0x1.8c0c46ad26dbep-21, -0x1.8ad2b748973f3p-21, -0x1.898d393c338e1p-21, -0x1.883c13c7bdc34p-21, -0x1.86df8d41c5ce4p-21, -0x1.8577eb1982f69p-21, -0x1.840571d86076ep-21, -0x1.82886523e0cb2p-21, -0x1.810107bf3fbcbp-21, -0x1.7f6f9b8d35defp-21, -0x1.7dd46191949c8p-21, -0x1.7c2f99f32224cp-21, -0x1.7a8183fd7d2f9p-21, -0x1.78ca5e22757bdp-21, -0x1.770a65fbfc7ccp-21, -0x1.7541d84def4b1p-21, -0x1.7370f107c34cap-21, -0x1.7197eb4657fc7p-21, -0x1.6fb70155bf79p-21, -0x1.6dce6cb2e9195p-21, -0x1.6bde660d3af13p-21, -0x1.69e725488eb77p-21, -0x1.67e8e17ec9729p-21, -0x1.65e3d101bd9f4p-21, -0x1.63d8295cc3c8fp-21, -0x1.61c61f5672083p-21, -0x1.5fade6f28976p-21, -0x1.5d8fb373a5981p-21, -0x1.5b6bb75cca99p-21, -0x1.594224733d49cp-21, -0x1.57132bc0439e4p-21, -0x1.54defd92b7f81p-21, -0x1.52a5c980e93a1p-21, -0x1.5067be6a4d342p-21, -0x1.4e250a792f5e4p-21, -0x1.4bdddb243de9cp-21, -0x1.49925d3062e9dp-21, -0x1.4742bcb27cbdfp-21, -0x1.44ef2510f0e6cp-21, -0x1.4297c10575f6bp-21, -0x1.403cba9eaeeecp-21, -0x1.3dde3b41c9d5bp-21, -0x1.3b7c6bac214eap-21, -0x1.391773f507ec1p-21, -0x1.36af7b8f6828ep-21, -0x1.3444a94b5b64p-21, -0x1.31d72357c02a4p-21, -0x1.2f670f43efdc9p-21, -0x1.2cf492013b61ep-21, -0x1.2a7fcfe4d3fdbp-21, -0x1.2808eca90138p-21, -0x1.25900b6f07dbap-21, -0x1.23154ec08f5e4p-21, -0x1.2098d8914e4d1p-21, -0x1.1e1aca40a3d1bp-21, -0x1.1b9b449b1d9cfp-21, -0x1.191a67dbf5fadp-21, -0x1.169853aea96bdp-21, -0x1.14152730a85f4p-21, -0x1.119100f2a6b36p-21, -0x1.0f0bfefa3a87ep-21, -0x1.0c863ec37a5e9p-21, -0x1.09ffdd4250873p-21, -0x1.0778f6e3f6e53p-21, -0x1.04f1a790b3808p-21, -0x1.026a0aad3052dp-21, -0x1.ffc4763786579p-22, -0x1.fab4a67c4a5e1p-22, -0x1.f5a4d9edd04adp-22, -0x1.f0954355aa698p-22, -0x1.eb8614847e48cp-22, -0x1.e6777e552f762p-22, -0x1.e169b0af93b5p-22, -0x1.dc5cda8b699dcp-22, -0x1.d75129f2f6b1bp-22, -0x1.d246cc06166bcp-22, -0x1.cd3decfcc91c5p-22, -0x1.c836b829a2f31p-22, -0x1.c33157fcf97fap-22, -0x1.be2df607ccf0ep-22, -0x1.b92cbafe199b4p-22, -0x1.b42dceb929f4fp-22, -0x1.af31583ab72c9p-22, -0x1.aa377db01d947p-22, -0x1.a5406473d741p-22, -0x1.a04c311077451p-22, -0x1.9b5b0743ae9c9p-22, -0x1.966d0a0059724p-22, -0x1.91825b71463edp-22, -0x1.8c9b1cfbdc9fep-22, -0x1.87b76f425b7fdp-22, -0x1.82d7722647a99p-22, -0x1.7dfb44cb21618p-22, -0x1.79230598ad9ebp-22, -0x1.744ed23d97592p-22, -0x1.6f7ec7b1c11p-22, -0x1.6ab302388a52p-22, -0x1.65eb9d6342785p-22, -0x1.6128b41375196p-22, -0x1.5c6a607d564fp-22, -0x1.57b0bc2a0b032p-22, -0x1.52fbdffa1d0c8p-22, -0x1.4e4be42784c34p-22, -0x1.49a0e047e88b4p-22, -0x1.44faeb4f1516ep-22, -0x1.405a1b91171ffp-22, -0x1.3bbe86c472a4cp-22, -0x1.372842043e031p-22, -0x1.329761d291782p-22, -0x1.2e0bfa1a41d96p-22, -0x1.29861e313905bp-22, -0x1.2505e0da8b019p-22, -0x1.208b54490bbe3p-22, -0x1.1c168a2085edp-22, -0x1.17a793783b1a5p-22, -0x1.133e80dcbafd5p-22, -0x1.0edb625277ddp-22, -0x1.0a7e475738e1bp-22, -0x1.06273ee4437bep-22, -0x1.01d657702b53fp-22, -0x1.fb173de1d62dcp-23, -0x1.f28e45bbf0613p-23, -0x1.ea11e063d3603p-23, -0x1.e1a226d8cc61ap-23, -0x1.d93f31282cc16p-23, -0x1.d0e916713580fp-23, -0x1.c89fece8786e6p-23, -0x1.c063c9db7f644p-23, -0x1.b834c1b466a03p-23, -0x1.b012e7fd7e79fp-23, -0x1.a7fe4f64ea563p-23, -0x1.9ff709c034887p-23, -0x1.97fd280f5c771p-23, -0x1.9010ba80e5288p-23, -0x1.8831d0748f78fp-23, -0x1.8060787f31509p-23, -0x1.789cc06dea849p-23, -0x1.70e6b54932fbdp-23, -0x1.693e635846e6fp-23, -0x1.61a3d624fdf6cp-23, -0x1.5a17187e19a7cp-23, -0x1.5298347abab3ep-23, -0x1.4b27337d8e92cp-23, -0x1.43c41e37f949bp-23, -0x1.3c6efcad2bddp-23, -0x1.3527d634e05dcp-23, -0x1.2deeb17e67222p-23, -0x1.26c3949444cc5p-23, }}, 
      {{0x1.2c82d6878ad0dp-7, 0x1.2d32abcc7e73ap-6, 0x1.c5670699efb31p-6, 0x1.2fa08975fee95p-5, 0x1.7d755d19f8228p-5, 0x1.cc2b4b82f5d19p-5, 0x1.0dd1b706986fap-4, 0x1.35d5d16267898p-4, 0x1.5e02206f57b2ap-4, 0x1.8632f2b7c4739p-4, 0x1.ae4364ff74ae6p-4, 0x1.d60f9dedc9d67p-4, 0x1.fd767ecc7408ap-4, 0x1.122d634000df6p-3, 0x1.2551dae87be1p-3, 0x1.381ea6dae1317p-3, 0x1.4a8c2154d7b8fp-3, 0x1.5c94ded105b93p-3, 0x1.6e357f2b595f4p-3, 0x1.7f6c769a5bf8ap-3, 0x1.9039d3481f354p-3, 0x1.a09f028194e55p-3, 0x1.b09e9733b7665p-3, 0x1.c03c12abc29e3p-3, 0x1.cf7bb02900317p-3, 0x1.de6233a1167e6p-3, 0x1.ecf4bc08d4f61p-3, 0x1.fb38996f4bb2fp-3, 0x1.0499939a464c8p-2, 0x1.0b74d54d8ec67p-2, 0x1.12309af0cc745p-2, 0x1.18cf47fd4f4efp-2, 0x1.1f53106f39475p-2, 0x1.25bdf12b02b9cp-2, 0x1.2c11aa82b5935p-2, 0x1.324fbcb2ca145p-2, 0x1.38796625d422dp-2, 0x1.3e8fa3483ae33p-2, 0x1.44932fb1df12dp-2, 0x1.4a84886ac9e24p-2, 0x1.5063ef11647c1p-2, 0x1.56316dabdb0a9p-2, 0x1.5becdaf2d6b48p-2, 0x1.6195dee91c602p-2, 0x1.672bf7998d94p-2, 0x1.6cae7ddb2bc78p-2, 0x1.721caa00be41fp-2, 0x1.7775985f69855p-2, 0x1.7cb84d9cd724cp-2, 0x1.81e3baba174afp-2, 0x1.86f6c0d48f4d2p-2, 0x1.8bf0349996d5ap-2, 0x1.90cee16c2efe8p-2, 0x1.95918c3e6d41ep-2, 0x1.9a36f621d03f1p-2, 0x1.9ebdde92dda1ep-2, 0x1.a32505852607bp-2, 0x1.a76b2d352abdfp-2, 0x1.ab8f1bc5c4d4cp-2, 0x1.af8f9cae929d7p-2, 0x1.b36b82009dfdap-2, 0x1.b721a586248d3p-2, 0x1.bab0e9c1dcd72p-2, 0x1.be183ad1a0db6p-2, 0x1.c1568f37e825bp-2, 0x1.c46ae88eebfe9p-2, 0x1.c7545427ef06ep-2, 0x1.ca11eb989bdd3p-2, 0x1.cca2d5381bbb5p-2, 0x1.cf06448d292ffp-2, 0x1.d13b7aae1cb79p-2, 0x1.d341c693b2866p-2, 0x1.d518855f1bf6fp-2, 0x1.d6bf2293cbe37p-2, 0x1.d83518454aep-2, 0x1.d979ef395e1b5p-2, 0x1.da8d3efeb1b64p-2, 0x1.db6eadf842d3dp-2, 0x1.dc1df15dbaa37p-2, 0x1.dc9acd30ff012p-2, 0x1.dce51429371ffp-2, 0x1.dcfca793a09a7p-2, 0x1.dce1772a84f49p-2, 0x1.dc9380e2c4fbep-2, 0x1.dc12d0b068dbdp-2, 0x1.db5f8042b7f54p-2, 0x1.da79b6b86302dp-2, 0x1.d961a84c5927cp-2, 0x1.d81795fbdd005p-2, 0x1.d69bcd268225fp-2, 0x1.d4eea728b25d6p-2, 0x1.d31088f16c1c2p-2, 0x1.d101e293d687ap-2, 0x1.cec32ed56090cp-2, 0x1.cc54f2b9051b8p-2, 0x1.c9b7bd085ed69p-2, 0x1.c6ec25db1f896p-2, 0x1.c3f2ce1d8cb24p-2, 0x1.c0cc5f1685d5cp-2, 0x1.bd7989eda05a8p-2, 0x1.b9fb0731dce3ap-2, 0x1.b651966162ca3p-2, 0x1.b27dfd72b4f13p-2, 0x1.ae81085fc2e89p-2, 0x1.aa5b88b32c21dp-2, 0x1.a60e551807e6p-2, 0x1.a19a48ec794c2p-2, 0x1.9d0043d7470a9p-2, 0x1.98412960b2844p-2, 0x1.935de08eb13f9p-2, 0x1.8e575384b3007p-2, 0x1.892e6f2708c08p-2, 0x1.83e422c20444ep-2, 0x1.7e795fb4db514p-2, 0x1.78ef1920549fp-2, 0x1.734643993b158p-2, 0x1.6d7fd4de99e54p-2, 0x1.679cc393acdbep-2, 0x1.619e06fd7fa84p-2, 0x1.5b8496c421acep-2, 0x1.55516ab75be6bp-2, 0x1.4f057a96d0b7fp-2, 0x1.48a1bddd673f4p-2, 0x1.42272b8fe4c25p-2, 0x1.3b96ba0e98778p-2, 0x1.34f15ee9f0c7dp-2, 0x1.2e380eb9e47bap-2, 0x1.276bbcf7ffe28p-2, 0x1.208d5bdbfea63p-2, 0x1.199ddc3ac6bf5p-2, 0x1.129e2d67a9462p-2, 0x1.0b8f3d17c18bp-2, 0x1.0471f74751096p-2, 0x1.fa8e8c41f81efp-3, 0x1.ec2023cd81b04p-3, 0x1.dd9a81b920075p-3, 0x1.ceff6e68c13d5p-3, 0x1.c050adf75997fp-3, 0x1.b190001468a8dp-3, 0x1.a2bf1fe3d9d56p-3, 0x1.93dfc3e0144e1p-3, 0x1.84f39dbdfea32p-3, 0x1.75fc5a52e1bcep-3, 0x1.66fba17be3165p-3, 0x1.57f316070f3p-3, 0x1.48e4559db94ddp-3, 0x1.39d0f8b01e04fp-3, 0x1.2aba9262272e4p-3, 0x1.1ba2b0793192cp-3, 0x1.0c8adb4ac39adp-3, 0x1.fae92b582e325p-4, 0x1.dcc2b9c4d3cp-4, 0x1.bea55127fe478p-4, 0x1.a093d57381e8ap-4, 0x1.82911f22ecbbbp-4, 0x1.649ffb210a15ep-4, 0x1.46c32aae60513p-4, 0x1.28fd63489ee38p-4, 0x1.0b514e92eedecp-4, 0x1.db83147e282bfp-5, 0x1.a0a14feec6f41p-5, 0x1.66025a92fcfcfp-5, 0x1.2bab2723b1f5cp-5, 0x1.e3411fa0072d1p-6, 0x1.6fceac2ec3fe1p-6, 0x1.fa108a94cd59ep-7, 0x1.15ee14b86d169p-7, 0x1.9a3e89da65058p-10, -0x1.5ba1949a430d6p-8, -0x1.8d4aad9fd99c9p-7, -0x1.358a9720308c1p-6, -0x1.a39003efa179fp-6, -0x1.0856d72ed6be8p-5, -0x1.3e6ded7eb720fp-5, -0x1.740980ff204b8p-5, -0x1.a925e7a81c02fp-5, -0x1.ddbf916211b01p-5, -0x1.08e98409ce316p-4, -0x1.22ae77d687fc9p-4, -0x1.3c2d0318cef83p-4, -0x1.556391df0c68ep-4, -0x1.6e509d469b746p-4, -0x1.86f2ab7cad20ap-4, -0x1.9f484fbddb6e4p-4, -0x1.b7502a5471309p-4, -0x1.cf08e8955429dp-4, -0x1.e67144dba601ap-4, -0x1.fd880682eb591p-4, -0x1.0a2600eff8618p-3, -0x1.155e0c1c1ac03p-3, -0x1.206b9bdbf5eb1p-3, -0x1.2b4e2db3512bep-3, -0x1.3605458d3a5bfp-3, -0x1.40906db4e8389p-3, -0x1.4aef36cdebeap-3, -0x1.552137cbab956p-3, -0x1.5f260de8297d1p-3, -0x1.68fd5c9a142cdp-3, -0x1.72a6cd8a2b1ebp-3, -0x1.7c221087eb8a1p-3, -0x1.856edb7d98b5bp-3, -0x1.8e8cea638b922p-3, -0x1.977bff32e7842p-3, -0x1.a03be1d79addap-3, -0x1.a8cc6021c5682p-3, -0x1.b12d4db671a6p-3, -0x1.b95e83ffc2394p-3, -0x1.c15fe21c73c33p-3, -0x1.c9314cced4ab7p-3, -0x1.d0d2ae6b22f86p-3, -0x1.d843f6c56473dp-3, -0x1.df851b1eabeb3p-3, -0x1.e6961611dfc58p-3, -0x1.ed76e77ffae5dp-3, -0x1.f427947bd6cedp-3, -0x1.faa827357aa0dp-3, -0x1.007c57727c4fep-2, -0x1.038c9fda6f537p-2, -0x1.0684f9561f688p-2, -0x1.096572cc2a5dcp-2, -0x1.0c2e1d7ae655ap-2, -0x1.0edf0cecd80bfp-2, -0x1.117856ed02678p-2, -0x1.13fa137b092fcp-2, -0x1.16645cbf379c6p-2, -0x1.18b74efe5d1d2p-2, -0x1.1af3088d902edp-2, -0x1.1d17a9c5d266bp-2, -0x1.1f2554f79c4dcp-2, -0x1.211c2e5e502a5p-2, -0x1.22fc5c1398fedp-2, -0x1.24c60602b9432p-2, -0x1.267955dbc8062p-2, -0x1.28167706e0dd4p-2, -0x1.299d96974e8dbp-2, -0x1.2b0ee33ea56fp-2, -0x1.2c6a8d3fe153p-2, -0x1.2db0c662794f8p-2, -0x1.2ee1c1e5770dbp-2, -0x1.2ffdb4728f6a1p-2, -0x1.3104d4113db91p-2, -0x1.31f75819e7d6cp-2, -0x1.32d57929054adp-2, -0x1.339f71125b189p-2, -0x1.34557ad4378e8p-2, -0x1.34f7d28ac95acp-2, -0x1.3586b5637da8fp-2, -0x1.3602619074adep-2, -0x1.366b163c0fb5fp-2, -0x1.36c1137c8b12fp-2, -0x1.37049a47b9e78p-2, -0x1.3735ec66d8d17p-2, -0x1.37554c6a77e3p-2, -0x1.3762fd9e8a6f2p-2, -0x1.375f43fe8b814p-2, -0x1.374a6429ccfe8p-2, -0x1.3724a357de15ep-2, -0x1.36ee474d1d3b6p-2, -0x1.36a7964f695c7p-2, -0x1.3650d71afaa9bp-2, -0x1.35ea50d761a44p-2, -0x1.35744b0caea1p-2, -0x1.34ef0d98c0e11p-2, -0x1.345ae0a4c0c42p-2, -0x1.33b80c9ac4a4p-2, -0x1.3306da1b9f079p-2, -0x1.324791f4e0bb8p-2, -0x1.317a7d16fe8a9p-2, -0x1.309fe48bab4c3p-2, -0x1.2fb8116c61025p-2, -0x1.2ec34cd91581ap-2, -0x1.2dc1dfef236f9p-2, -0x1.2cb413c05faccp-2, -0x1.2b9a314a63854p-2, -0x1.2a74816e050fbp-2, -0x1.29434ce703e1ep-2, -0x1.2806dc43e4d4fp-2, -0x1.26bf77de05a45p-2, -0x1.256d67d1da54dp-2, -0x1.2410f3f767bd5p-2, -0x1.22aa63dae7d86p-2, -0x1.2139feb5a7b2p-2, -0x1.1fc00b6713848p-2, -0x1.1e3cd06df95d9p-2, -0x1.1cb093e1fbb42p-2, -0x1.1b1b9b6d3b68bp-2, -0x1.197e2c462f11ep-2, -0x1.17d88b29aff19p-2, -0x1.162afc553a5eap-2, -0x1.1475c3815e1f3p-2, -0x1.12b923dc62a86p-2, -0x1.10f560051bbf4p-2, -0x1.0f2aba05efcbep-2, -0x1.0d59735012129p-2, -0x1.0b81ccb6e6444p-2, -0x1.09a4066b9efep-2, -0x1.07c05ff9028bfp-2, -0x1.05d7183f64023p-2, -0x1.03e86d70cc468p-2, -0x1.01f49d0d4c001p-2, -0x1.fff7c7bf0822bp-3, -0x1.fbfcfbf2a5245p-3, -0x1.f7f94d6164bcp-3, -0x1.f3ed31398d3a9p-3, -0x1.efd91b261d899p-3, -0x1.ebbd7d4991864p-3, -0x1.e79ac838fbaebp-3, -0x1.e3716af76993ep-3, -0x1.df41d2f1a82b8p-3, -0x1.db0c6bfa4afc1p-3, -0x1.d6d1a04612488p-3, -0x1.d291d86890901p-3, -0x1.ce4d7b5124806p-3, -0x1.ca04ee4843d36p-3, -0x1.c5b894ed003b5p-3, -0x1.c168d132e7c9bp-3, -0x1.bd1603601da17p-3, -0x1.b8c08a0bbd6dap-3, -0x1.b468c21c87d9dp-3, -0x1.b00f06c7cbbc2p-3, -0x1.abb3b1908bf0ap-3, -0x1.a7571a46f53ffp-3, -0x1.a2f99707fe7ecp-3, -0x1.9e9b7c3d5615p-3, -0x1.9a3d1c9d7a9eep-3, -0x1.95dec92c20f5cp-3, -0x1.9180d13abc87p-3, -0x1.8d2382694d284p-3, -0x1.88c728a760d1p-3, -0x1.846c0e353dcaap-3, -0x1.80127ba54d16ap-3, -0x1.7bbab7ddab889p-3, -0x1.77650819ec227p-3, -0x1.7311afed0d751p-3, -0x1.6ec0f143922fdp-3, -0x1.6a730c65c68cdp-3, -0x1.66283ffa39a27p-3, -0x1.61e0c9084bd12p-3, -0x1.5d9ce2faf3ba8p-3, -0x1.595cc7a39f5e5p-3, -0x1.5520af3d3b09dp-3, -0x1.50e8d06f58d31p-3, -0x1.4cb560517d05ap-3, -0x1.4886926e85d45p-3, -0x1.445c98c830f2p-3, -0x1.4037a3dac1b75p-3, -0x1.3c17e2a0be266p-3, -0x1.37fd8296c732ep-3, -0x1.33e8afbf8e11cp-3, -0x1.2fd994a7dc014p-3, -0x1.2bd05a6aaf2d2p-3, -0x1.27cd28b5749a7p-3, -0x1.23d025cc4f442p-3, -0x1.1fd9768e72927p-3, -0x1.1be93e7a91ee3p-3, -0x1.17ff9fb35e66ep-3, -0x1.141cbb0410a99p-3, -0x1.1040afe50ab78p-3, -0x1.0c6b9c807d215p-3, -0x1.089d9db71cf8ep-3, -0x1.04d6cf24e28eep-3, -0x1.01174b25d9c7ep-3, -0x1.fabe55b5ddd9fp-4, -0x1.f35d0c5d9f6dfp-4, -0x1.ec0ae7b59a772p-4, -0x1.e4c812d78f0d8p-4, -0x1.dd94b68e342bdp-4, -0x1.d670f95f2b08ep-4, -0x1.cf5cff94df167p-4, -0x1.c858eb4890398p-4, -0x1.c164dc6c3d577p-4, -0x1.ba80f0d4accbep-4, -0x1.b3ad44436508ap-4, -0x1.ace9f070afc46p-4, -0x1.a6370d1599a47p-4, -0x1.9f94aff5e2112p-4, -0x1.9902ecea02161p-4, -0x1.9281d5e90eabp-4, -0x1.8c117b12adcf2p-4, -0x1.85b1eab8f19bcp-4, -0x1.7f63316a35f9bp-4, -0x1.792559faececbp-4, -0x1.72f86d8f61b8cp-4, -0x1.6cdc73a5722dbp-4, -0x1.66d1721e362d5p-4, -0x1.60d76d479b3c6p-4, -0x1.5aee67e5edf3ap-4, -0x1.5516633d59977p-4, -0x1.4f4f5f1b4c97fp-4, -0x1.499959dfd4f97p-4, -0x1.43f45086e30d1p-4, -0x1.3e603eb17a92dp-4, -0x1.38dd1eaed0dadp-4, -0x1.336ae98555437p-4, -0x1.2e0996fba27f1p-4, -0x1.28b91da159278p-4, -0x1.237972d7e99b8p-4, -0x1.1e4a8adb3c6f5p-4, -0x1.192c58ca4c16p-4, -0x1.141eceaf9f0ddp-4, -0x1.0f21dd89ae57dp-4, -0x1.0a3575532e081p-4, -0x1.0559850b3fd7fp-4, -0x1.008dfabd89bfcp-4, -0x1.f7a58714612f9p-5, -0x1.ee4f975b764cbp-5, -0x1.e519fd11a99ebp-5, -0x1.dc048d4ff9798p-5, -0x1.d30f1b9622fbbp-5, -0x1.ca3979d981b5ap-5, -0x1.c1837893cab8ep-5, -0x1.b8ece6d17282dp-5, -0x1.b075923ff11f6p-5, -0x1.a81d473bbe2c1p-5, -0x1.9fe3d0de1b3dfp-5, -0x1.97c8f90aa3864p-5, -0x1.8fcc887c989cfp-5, -0x1.87ee46d40621p-5, -0x1.802dfaa29a676p-5, -0x1.788b69784a62ep-5, -0x1.710657efc60cep-5, -0x1.699e89ba9f65cp-5, -0x1.6253c1ad44c62p-5, -0x1.5b25c1cac0148p-5, -0x1.54144b50364b5p-5, -0x1.4d1f1ec02dffbp-5, -0x1.4645fbeda55ap-5, -0x1.3f88a206e20a5p-5, -0x1.38e6cfa00e929p-5, -0x1.326042bd9ff8bp-5, -0x1.2bf4b8de81c61p-5, -0x1.25a3ef0602b0ep-5, -0x1.1f6da1c596597p-5, -0x1.19518d4653795p-5, -0x1.134f6d52412adp-5, -0x1.0d66fd5d6b302p-5, -0x1.0797f88ec228cp-5, -0x1.01e219c8c2124p-5, -0x1.f88a3763c534fp-6, -0x1.ed817179b9bd9p-6, -0x1.e2a9566152c98p-6, -0x1.d8015a60beedp-6, -0x1.cd88f1859f12p-6, -0x1.c33f8fb3e8efbp-6, -0x1.b924a8b45c702p-6, -0x1.af37b04293c08p-6, -0x1.a5781a1ab67efp-6, -0x1.9be55a06d221cp-6, -0x1.927ee3ebb7ed1p-6, -0x1.89442bd58d812p-6, -0x1.8034a6041439ap-6, -0x1.774fc6f65508ep-6, -0x1.6e9503763c23ep-6, -0x1.6603d0a3ab767p-6, -0x1.5d9ba3ff33047p-6, -0x1.555bf3748ee3cp-6, -0x1.4d443564aa107p-6, -0x1.4553e0af70b34p-6, -0x1.3d8a6cbd36bdfp-6, -0x1.35e75187c475ap-6, -0x1.2e6a07a33051ep-6, -0x1.2712084650b79p-6, -0x1.1fdecd52d88d7p-6, -0x1.18cfd15d428fp-6, -0x1.11e48fb45b838p-6, -0x1.0b1c84687e591p-6, -0x1.04772c5295d75p-6, -0x1.fbe80a35a776fp-7, -0x1.ef251a7e15e2p-7, -0x1.e2a48831c7951p-7, -0x1.d66553c771f22p-7, -0x1.ca667f84553fcp-7, -0x1.bea70f872214p-7, -0x1.b32609d20e748p-7, -0x1.a7e276546db4ep-7, -0x1.9cdb5ef45d719p-7, -0x1.920fcf96fd96bp-7, -0x1.877ed62928783p-7, -0x1.7d2782a71cb3bp-7, -0x1.7308e723d6d97p-7, -0x1.692217d031616p-7, -0x1.5f722b0154b49p-7, -0x1.55f83936e5109p-7, -0x1.4cb35d20b1c17p-7, -0x1.43a2b3a3faf1fp-7, -0x1.3ac55be09524ap-7, -0x1.321a7735520eap-7, -0x1.29a1294412795p-7, -0x1.215897f5f2987p-7, -0x1.193feb7e6f7b1p-7, -0x1.11564e5ed202ep-7, -0x1.099aed68bba14p-7, -0x1.020cf7c0e7dcp-7, -0x1.f5573dc224898p-8, -0x1.e6ec2d3422b61p-8, -0x1.d8d72a2a7c44p-8, -0x1.cb16a5ab928c6p-8, -0x1.bda91573709acp-8, -0x1.b08cf3f53f011p-8, -0x1.a3c0c05c2aa6fp-8, -0x1.9742fe8ba38ebp-8, -0x1.8b12371f95f8cp-8, -0x1.7f2cf76b601d5p-8, -0x1.7391d179456f9p-8, -0x1.683f5c083922p-8, -0x1.5d34328a859fcp-8, -0x1.526ef5233bde7p-8, -0x1.47ee48a317a34p-8, -0x1.3db0d685a67dap-8, -0x1.33b54ced80a1cp-8, -0x1.29fa5ea0635c1p-8, -0x1.207ec302c2294p-8, -0x1.17413613388f7p-8, -0x1.0e4078655a1edp-8, -0x1.057b4f1cb954ap-8, -0x1.f9e107cd83335p-9, -0x1.e93dc9ea39b8ap-9, -0x1.d90a89ef26efep-9, -0x1.c944f629e9f2dp-9, -0x1.b9eac5ca50502p-9, -0x1.aaf9b8d2ed746p-9, -0x1.9c6f980b50f7bp-9, -0x1.8e4a34f0ea065p-9, -0x1.808769a74306ap-9, -0x1.732518e89c62ap-9, -0x1.66212df582ac7p-9, -0x1.59799c840bd01p-9, -0x1.4d2c60af44af7p-9, -0x1.41377ee57190dp-9, -0x1.359903d67564fp-9, -0x1.2a4f0461ee2dfp-9, -0x1.1f579d853c924p-9, -0x1.14b0f448a37f7p-9, -0x1.0a5935ac7550cp-9, -0x1.004e96965eca9p-9, -0x1.ed1ea77b9e713p-10, -0x1.da33633250c86p-10, -0x1.c7d7f891b75cbp-10, -0x1.b6090f0ac4de8p-10, -0x1.a4c35d12fba5fp-10, -0x1.9403a7fe293e9p-10, -0x1.83c6c3d5b8f44p-10, -0x1.7409932f2e348p-10, -0x1.64c907035c162p-10, -0x1.56021e85a4c28p-10, -0x1.47b1e6fa10c25p-10, -0x1.39d57b8c0aacp-10, -0x1.2c6a05248f359p-10, -0x1.1f6cba4018983p-10, -0x1.12dadec609e2ep-10, -0x1.06b1c3dc688adp-10, -0x1.f5dd8f80b239p-11, -0x1.df1eab3530d9ep-11, -0x1.c921caacb3785p-11, -0x1.b3e1f6ec14dfp-11, -0x1.9f5a51d6a9dfbp-11, -0x1.8b8615d6482cap-11, -0x1.7860958a7087ep-11, -0x1.65e53b73700bfp-11, -0x1.540f89a000f7ap-11, -0x1.42db1958fa0d6p-11, -0x1.32439acf74e73p-11, -0x1.2244d4c9d448bp-11, -0x1.12daa45107781p-11, -0x1.0400fc6038281p-11, -0x1.eb67cb2168c75p-12, -0x1.cfdefb9723e3dp-12, -0x1.b55fefec2e109p-12, -0x1.9be3374769346p-12, -0x1.83618988b19e5p-12, -0x1.6bd3c6acc3552p-12, -0x1.5532f62cad56ep-12, -0x1.3f784663345c5p-12, -0x1.2a9d0bef0a835p-12, -0x1.169ac119bac93p-12, -0x1.036b053bdfdd6p-12, -0x1.e20f384dbe915p-13, -0x1.bed4db1776778p-13, -0x1.9d1b08cbc4779p-13, -0x1.7cd61cca18206p-13, -0x1.5dfab6b728eb8p-13, -0x1.407db95132b3bp-13, -0x1.245449579a8aap-13, -0x1.0973cc5ed684cp-13, -0x1.dfa3cf80c7b8bp-14, -0x1.aec8fee88f91fp-14, -0x1.80436a0331fbdp-14, -0x1.53ffccd0728d7p-14, -0x1.29eb5a1673a66p-14, -0x1.01f3b94911bf5p-14, -0x1.b80e08e38c64cp-15, -0x1.70278c3151f7cp-15, -0x1.2c11ee70598c9p-15, -0x1.d757f4e153f85p-16, -0x1.5daa9fa794eccp-16, -0x1.d5b97c51c4efp-17, -0x1.fac32d36fa73cp-18, -0x1.8ead4081a2aa5p-20, 0x1.1abe40e9a631bp-18, 0x1.40ae8e308c07ep-17, 0x1.e887759aab5cp-17, 0x1.42aae18a03a6cp-16, 0x1.8bc144a5a9318p-16, 0x1.cfba0805a4883p-16, 0x1.0763787c13152p-15, 0x1.248c36b1ed715p-15, 0x1.3f6ecd4e3ba8bp-15, 0x1.5822261986bd4p-15, 0x1.6ebc89564c914p-15, 0x1.8353a12032ecfp-15, 0x1.95fc7c9ee4ba6p-15, 0x1.a6cb9346dca98p-15, 0x1.b5d4c80b72e4dp-15, 0x1.c32b6c77149bap-15, 0x1.cee243ca182e4p-15, 0x1.d90b85fd0bc18p-15, 0x1.e1b8e2cb17dfcp-15, 0x1.e8fb84926bc1bp-15, 0x1.eee41354b443ap-15, 0x1.f382b77d1f607p-15, 0x1.f6e71cbc0d308p-15, 0x1.f92074d131f42p-15, 0x1.fa3d7a359f648p-15, 0x1.fa4c72de0ff0ap-15, 0x1.f95b32d4153eep-15, 0x1.f7771ed582c23p-15, 0x1.f4ad2edc21746p-15, 0x1.f109f0a71d482p-15, 0x1.ec998a310138cp-15, 0x1.e767bc1e9cf26p-15, 0x1.e17fe427ecb9dp-15, 0x1.daecff67ea1ecp-15, 0x1.d3b9acb462addp-15, 0x1.cbf02eddac6adp-15, 0x1.c39a6eecd361bp-15, 0x1.bac1fe4c07534p-15, 0x1.b17018f9b8b07p-15, 0x1.a7ada79e80e38p-15, 0x1.9d83419e0ca7fp-15, 0x1.92f92f24cb2a3p-15, 0x1.88176b24f806bp-15, 0x1.7ce5a54f016a9p-15, 0x1.716b43fdf4276p-15, 0x1.65af66193e98ap-15, 0x1.59b8e4f08f5e5p-15, 0x1.4d8e5610e1c73p-15, 0x1.41360d05dbf6bp-15, 0x1.34b61d23d4738p-15, 0x1.28145b316b0ap-15, 0x1.1b565f224e467p-15, 0x1.0e8185b77f457p-15, 0x1.019af21fdab12p-15, 0x1.e94f1f1518afap-16, 0x1.cf58256a08b7cp-16, 0x1.b559f6e0d2bd6p-16, 0x1.9b5d2c3eb6fddp-16, 0x1.8169fa5c2a371p-16, 0x1.678834f3d9e59p-16, 0x1.4dbf51763e667p-16, 0x1.341669c6efd47p-16, 0x1.1a943eec9ce1p-16, 0x1.013f3ba4bceecp-16, 0x1.d03aee0f2c777p-17, 0x1.9e696dfc3c67ap-17, 0x1.6d14e56d36896p-17, 0x1.3c47aa293f29fp-17, 0x1.0c0b7e0b77ad3p-17, 0x1.b8d32727b54b3p-18, 0x1.5ad524f42d9fep-18, 0x1.fc5a7001666c4p-19, 0x1.45d53d1a10bf3p-19, 0x1.246e6ba4992f9p-20, -0x1.e6508690ad45cp-23, -0x1.97cd6f4a4a3dp-20, -0x1.7636d98ee22fcp-19, -0x1.0ea0142b871f2p-18, -0x1.607783cf3e1d9p-18, -0x1.b098bafe595bp-18, -0x1.fefb7f5eb41abp-18, -0x1.25cc2afa7e9fdp-17, -0x1.4b343e3d783d5p-17, -0x1.6fb2f15949f99p-17, -0x1.934591f8f0b94p-17, -0x1.b5e9c07016ca3p-17, -0x1.d79d6cab2807bp-17, -0x1.f85ed32eea62dp-17, -0x1.0c163d199e8bfp-16, -0x1.1b829767a89cep-16, -0x1.2a7401175537ap-16, -0x1.38ea2371b2d73p-16, -0x1.46e4c723aab34p-16, -0x1.5463d2f649893p-16, -0x1.61674a9197fe9p-16, -0x1.6def4d44e49bcp-16, -0x1.79fc14da33fa7p-16, -0x1.858df47253ad7p-16, -0x1.90a5576493bffp-16, -0x1.9b42c02b31473p-16, -0x1.a566c75575909p-16, -0x1.af121a801c31cp-16, -0x1.b8457b563e47cp-16, -0x1.c101be9b81d9p-16, -0x1.c947cb37d07cdp-16, -0x1.d1189950b9216p-16, -0x1.d875316570ac5p-16, -0x1.df5eab721d9edp-16, -0x1.e5d62e19c33d6p-16, -0x1.ebdcedd6ab163p-16, -0x1.f1742c31415e3p-16, -0x1.f69d36fd6c125p-16, -0x1.fb59679c4631cp-16, -0x1.ffaa2244dded1p-16, -0x1.01c86aa9c64a7p-15, -0x1.03877c4de284ep-15, -0x1.0513066138009p-15, -0x1.066bcd4ebfc1cp-15, -0x1.0792994b7d15cp-15, -0x1.0888360a3768p-15, -0x1.094d72738121bp-15, -0x1.09e3205e99978p-15, -0x1.0a4a144d070a9p-15, -0x1.0a832528935a3p-15, -0x1.0a8f2c05123dbp-15, -0x1.0a6f03e077dfp-15, -0x1.0a238969b0d6bp-15, -0x1.09ad9ac6380f4p-15, -0x1.090e175b3bd35p-15, -0x1.0845df98c1631p-15, -0x1.0755d4c62df1bp-15, -0x1.063ed8d13f4b2p-15, -0x1.0501ce1ea1ba3p-15, -0x1.039f975c42e2fp-15, -0x1.02191754bbd6ap-15, -0x1.006f30c6db84bp-15, -0x1.fd458c78e46f4p-16, -0x1.f96973c5f882cp-16, -0x1.f54bdacddfaa1p-16, -0x1.f0ee83a0c8119p-16, -0x1.ec532ec194c3bp-16, -0x1.e77b9ae2cb0e7p-16, -0x1.e26984ab3b54ep-16, -0x1.dd1ea678910bdp-16, -0x1.d79cb8280cc75p-16, -0x1.d1e56edc51997p-16, -0x1.cbfa7cce15a1bp-16, -0x1.c5dd91187a0a7p-16, -0x1.bf90578bc1b07p-16, -0x1.b914787e9ec7dp-16, -0x1.b26b98a72fad5p-16, -0x1.ab9758f1043b2p-16, -0x1.a49956572e94fp-16, -0x1.9d7329c14d9a8p-16, -0x1.962667e27235dp-16, -0x1.8eb4a1186afc4p-16, -0x1.871f614ed78afp-16, -0x1.7f682fe223637p-16, -0x1.77908f87a8e0ep-16, -0x1.6f99fe32da86dp-16, -0x1.6785f50012826p-16, -0x1.5f55e81eb0e87p-16, -0x1.570b46bf1694fp-16, -0x1.4ea77b001d9dfp-16, -0x1.462be9dd832abp-16, -0x1.3d99f32356cd5p-16, -0x1.34f2f15db423fp-16, -0x1.2c3839cec6f6cp-16, -0x1.236b1c620de41p-16, -0x1.1a8ce3a4dfcecp-16, -0x1.119ed4bbd739p-16, -0x1.08a22f5c47a5bp-16, -0x1.ff305b8fd877ap-17, -0x1.ed0409882afa3p-17, -0x1.dac1c731ee95ap-17, -0x1.c86be819d855ep-17, -0x1.b604b4c71630bp-17, -0x1.a38e6ab649836p-17, -0x1.910b3c5c47cc6p-17, -0x1.7e7d51249fa5p-17, -0x1.6be6c576a1256p-17, -0x1.5949aaba0b7d7p-17, -0x1.46a8075c0a64bp-17, -0x1.3403d6d7f02cfp-17, -0x1.215f09bf1c8fap-17, -0x1.0ebb85c4936edp-17, -0x1.f8364b8e68c2ap-18, -0x1.d2ff73c0e80fcp-18, -0x1.add60ee28c654p-18, -0x1.88bd926451757p-18, -0x1.63b95e8822af1p-18, -0x1.3eccbe80037p-18, -0x1.19fae893af643p-18, -0x1.ea8dfc94f83bbp-19, -0x1.a16819278edeep-19, -0x1.588a17d0c9631p-19, -0x1.0ff9c1027c8c7p-19, -0x1.8f7969fb5f902p-20, -0x1.ff61b0cc20bbbp-21, -0x1.c291bd16ccd9cp-22, 0x1.da17d7edd507ap-24, 0x1.562dced1391dfp-21, 0x1.37b2146799053p-20, 0x1.c369962536708p-20, 0x1.271a2490d2bfcp-19, 0x1.6c04a9fae97acp-19, 0x1.b0701321a561bp-19, 0x1.f4583bfc790cap-19, 0x1.1bdc921e975fbp-18, 0x1.3d477762585d3p-18, 0x1.5e6af0a1e95e7p-18, 0x1.7f4531dfefa5p-18, 0x1.9fd4800d2441cp-18, 0x1.c01730cbf69c2p-18, 0x1.e00baa37dd7ccp-18, 0x1.ffb062a2ef39bp-18, 0x1.0f81f030a9457p-17, 0x1.1f025cc31a81bp-17, 0x1.2e58c9d32587fp-17, 0x1.3d8491d0857f8p-17, 0x1.4c8516abe1757p-17, 0x1.5b59c1bf1d6f9p-17, 0x1.6a0203a7f8e3p-17, 0x1.787d542dc78d1p-17, 0x1.86cb321f3b921p-17, 0x1.94eb2336e5517p-17, 0x1.a2dcb3f9a621cp-17, 0x1.b09f77992c5b7p-17, 0x1.be3307d4f45dp-17, 0x1.cb9704dc3fff8p-17, 0x1.d8cb152edf66ep-17, 0x1.e5cee57fd2845p-17, 0x1.f2a228967c8bbp-17, 0x1.ff44972f73f88p-17, 0x1.05daf7f02cf4ap-16, 0x1.0bfafb7cbe466p-16, 0x1.12023b33e2403p-16, 0x1.17f09ecb5b2d3p-16, 0x1.1dc610aaac7b1p-16, 0x1.23827ddb5bd2dp-16, 0x1.2925d5fb5febfp-16, 0x1.2eb00b2e61736p-16, 0x1.3421120f7a0c9p-16, 0x1.3978e1a322288p-16, 0x1.3eb77349f08d2p-16, 0x1.43dcc2b0f4a6ep-16, 0x1.48e8cdc6b685bp-16, 0x1.4ddb94ab24605p-16, 0x1.52b519a29d0bep-16, 0x1.57756109eb201p-16, 0x1.5c1c71475707bp-16, 0x1.60aa52be9a37bp-16, 0x1.651f0fc443011p-16, 0x1.697ab48febe7ap-16, 0x1.6dbd4f3000bb2p-16, 0x1.71e6ef7d9a069p-16, 0x1.75f7a70f7b486p-16, 0x1.79ef892e94d58p-16, 0x1.7dceaac9755cap-16, 0x1.819522689ac97p-16, 0x1.854308227eb4p-16, 0x1.88d875905cb89p-16, 0x1.8c5585c2151bep-16, 0x1.8fba5533ed2cfp-16, 0x1.930701c2fad24p-16, 0x1.963baaa0e26dep-16, 0x1.9958704b57726p-16, 0x1.9c5d747fd0e9p-16, 0x1.9f4ada30f1321p-16, 0x1.a220c57e3beccp-16, 0x1.a4df5ba6cd90cp-16, 0x1.a786c300dee55p-16, 0x1.aa1722f130b07p-16, 0x1.ac90a3de8c5b2p-16, 0x1.aef36f2a89816p-16, 0x1.b13faf270eeaep-16, 0x1.b3758f0d0cf76p-16, 0x1.b5953af39fce2p-16, 0x1.b79edfc73d151p-16, 0x1.b992ab40976f8p-16, 0x1.bb70cbdba8e68p-16, 0x1.bd3970d02ef8ap-16, 0x1.beecca0890426p-16, 0x1.c08b0819e996p-16, 0x1.c2145c3bceb1fp-16, 0x1.c388f840d90d1p-16, 0x1.c4e90e8e16677p-16, 0x1.c634d2140e7bfp-16, 0x1.c76c7647c5cf6p-16, 0x1.c8902f19c254ep-16, 0x1.c9a030f0dc20fp-16, 0x1.ca9cb0a23148ep-16, 0x1.cb85e369c4898p-16, 0x1.cc5bfee52cd44p-16, 0x1.cd1f390b36513p-16, 0x1.cdcfc826b1a1p-16, 0x1.ce6de2d019861p-16, 0x1.cef9bfe69b777p-16, 0x1.cf73968ac2db9p-16, 0x1.cfdb9e17fefc9p-16, 0x1.d0320e1f3b87p-16, 0x1.d0771e60a24cfp-16, }}, 
      {{0x1.0425e08c8369dp-7, 0x1.04731ab058d03p-6, 0x1.876543b079505p-6, 0x1.058f93a17152cp-5, 0x1.47e1f69bde82fp-5, 0x1.8ab1a708c2f01p-5, 0x1.cdfd455900abep-5, 0x1.08dda16fe6df5p-4, 0x1.2aeda295c4d24p-4, 0x1.4d23daba40776p-4, 0x1.6f73ac298ebbap-4, 0x1.91cf67dba75ep-4, 0x1.b428f8700b2cdp-4, 0x1.d6727092c9321p-4, 0x1.f89e7a805e0d6p-4, 0x1.0d5054dea4163p-3, 0x1.1e36d921f9ea9p-3, 0x1.2efdc4bdd4aaep-3, 0x1.3fa0bac03095ep-3, 0x1.501c07763d43fp-3, 0x1.606c9c5bb2dd6p-3, 0x1.70900884f9255p-3, 0x1.80846ea08ca6cp-3, 0x1.90487965538c8p-3, 0x1.9fdb4f0c3063p-3, 0x1.af3c844a26c83p-3, 0x1.be6c0f234e66dp-3, 0x1.cd6a39da76af2p-3, 0x1.dc37963342f12p-3, 0x1.ead4f1320d719p-3, 0x1.f943477cdb0f5p-3, 0x1.03c1dd3cd2e3ep-2, 0x1.0acbc31feb547p-2, 0x1.11bffc3668cf7p-2, 0x1.189f33f2b98eap-2, 0x1.1f6a16c47336p-2, 0x1.26214eea12c6p-2, 0x1.2cc581b85d89fp-2, 0x1.33574d52c8c5ep-2, 0x1.39d746cea3bcp-2, 0x1.4045f8b98d153p-2, 0x1.46a3e1fac2eb1p-2, 0x1.4cf1750677888p-2, 0x1.532f1759eb695p-2, 0x1.595d21373f942p-2, 0x1.5f7bdd9812a5ap-2, 0x1.658b8a4e7a6c6p-2, 0x1.6b8c584c7e6c4p-2, 0x1.717e6c0ac9a1bp-2, 0x1.7761de0815f01p-2, 0x1.7d36bb5b84737p-2, 0x1.82fd0654c95ebp-2, 0x1.88b4b725cebb9p-2, 0x1.8e5dbc921ffdcp-2, 0x1.93f7fca0fd857p-2, 0x1.9983554f95f53p-2, 0x1.9eff9d415f434p-2, 0x1.a46ca46cf44fp-2, 0x1.a9ca34c4415bp-2, 0x1.af1812d721c2ep-2, 0x1.b455fe6fc6095p-2, 0x1.b983b32887358p-2, 0x1.bea0e8fae7b93p-2, 0x1.c3ad54c7aef6ap-2, 0x1.c8a8a8d829139p-2, 0x1.cd929558a1f73p-2, 0x1.d26ac8cc476f1p-2, 0x1.d730f07aa6d01p-2, 0x1.dbe4b8d6f989cp-2, 0x1.e085cde180702p-2, 0x1.e513db832a6edp-2, 0x1.e98e8de3ba89dp-2, 0x1.edf591baab306p-2, 0x1.f248949b01748p-2, 0x1.f687453a416a9p-2, 0x1.fab153b2afaa5p-2, 0x1.fec671c111a6p-2, 0x1.0163297f04b62p-1, 0x1.035856899ca07p-1, 0x1.05429bf62804bp-1, 0x1.0721d6f20d916p-1, 0x1.08f5e5f6e0a02p-1, 0x1.0abea8dd1fb31p-1, 0x1.0c7c00ed232bbp-1, 0x1.0e2dd0ee4cb9ap-1, 0x1.0fd3fd347f6c6p-1, 0x1.116e6babf77e5p-1, 0x1.12fd03e38607p-1, 0x1.147faf1548fd4p-1, 0x1.15f6582de5413p-1, 0x1.1760ebd2598c1p-1, 0x1.18bf586472a2p-1, 0x1.1a118e05f5709p-1, 0x1.1b577e9a8c85p-1, 0x1.1c911dc888ae4p-1, 0x1.1dbe60f8854a6p-1, 0x1.1edf3f540164dp-1, 0x1.1ff3b1c2fbb99p-1, 0x1.20fbb2e8a4156p-1, 0x1.21f73f1f2fb5bp-1, 0x1.22e65472e51b1p-1, 0x1.23c8f29c66912p-1, 0x1.249f1afa5757ap-1, 0x1.2568d08a5c17cp-1, 0x1.262617e193aa3p-1, 0x1.26d6f7248ad3bp-1, 0x1.277b75febfa26p-1, 0x1.28139d99c12d9p-1, 0x1.289f7893f4bc1p-1, 0x1.291f12f71096cp-1, 0x1.29927a2e57863p-1, 0x1.29f9bcfc9e379p-1, 0x1.2a54eb7225f89p-1, 0x1.2aa416e258aap-1, 0x1.2ae751d96c111p-1, 0x1.2b1eb011f5fc9p-1, 0x1.2b4a466a7bccp-1, 0x1.2b6a2adb0114dp-1, 0x1.2b7e746a9e6bbp-1, 0x1.2b873b2526b04p-1, 0x1.2b849810df0a4p-1, 0x1.2b76a52450696p-1, 0x1.2b5d7d3c36b3fp-1, 0x1.2b393c118fd96p-1, 0x1.2b09fe2fd2792p-1, 0x1.2acfe0eb4b058p-1, 0x1.2a8b0257a551cp-1, 0x1.2a3b813ea36d8p-1, 0x1.29e17d1702e5ep-1, 0x1.297d15fb9543dp-1, 0x1.290e6ca289939p-1, 0x1.2895a254e9d27p-1, 0x1.2812d8e64d5b5p-1, 0x1.278632acbde72p-1, 0x1.26efd278d3f77p-1, 0x1.264fdb8e075f6p-1, 0x1.25a6719b33412p-1, 0x1.24f3b8b3505cap-1, 0x1.2437d54661b99p-1, 0x1.2372ec1a96188p-1, 0x1.22a522459a351p-1, 0x1.21ce9d261e0cfp-1, 0x1.20ef825d89debp-1, 0x1.2007f7c9e2e09p-1, 0x1.1f18237fdfaf9p-1, 0x1.1e202bc528106p-1, 0x1.1d20370ac34ebp-1, 0x1.1c186be7af4bap-1, 0x1.1b08f113a3165p-1, 0x1.19f1ed61f9516p-1, 0x1.18d387bcc1bddp-1, 0x1.17ade71ff9e9bp-1, 0x1.16813294e8d62p-1, 0x1.154d912da0e05p-1, 0x1.14132a00a1fe4p-1, 0x1.12d224249e492p-1, 0x1.118aa6ac5e6abp-1, 0x1.103cd8a2c625dp-1, 0x1.0ee8e106f5046p-1, 0x1.0d8ee6c8863f8p-1, 0x1.0c2f10c3ebec4p-1, 0x1.0ac985bee3aa4p-1, 0x1.095e6c65093acp-1, 0x1.07edeb447e342p-1, 0x1.067828caadda9p-1, 0x1.04fd4b4126f6cp-1, 0x1.037d78ca8c1adp-1, 0x1.01f8d75f9cbfbp-1, 0x1.006f8ccc5114bp-1, 0x1.fdc37d5a1b1c8p-2, 0x1.fa9f24d7d24b8p-2, 0x1.f7725a7c0f392p-2, 0x1.f43d68421307ep-2, 0x1.f10097b11601bp-2, 0x1.edbc31d7742edp-2, 0x1.ea707f45f4c01p-2, 0x1.e71dc80b3c236p-2, 0x1.e3c453af5c6fep-2, 0x1.e064692f8a53ep-2, 0x1.dcfe4ef9f21d7p-2, 0x1.d9924ae9ae2fcp-2, 0x1.d620a242dd93fp-2, 0x1.d2a999aedbf67p-2, 0x1.cf2d7538963abp-2, 0x1.cbac7849000b4p-2, 0x1.c826e5a3a9144p-2, 0x1.c49cff636d828p-2, 0x1.c10f06f748601p-2, 0x1.bd7d3d1f3e91bp-2, 0x1.b9e7e1e96d745p-2, 0x1.b64f34af313a1p-2, 0x1.b2b374126a81ap-2, 0x1.af14ddfae1d53p-2, 0x1.ab73af93c35a4p-2, 0x1.a7d025493db08p-2, 0x1.a42a7ac6342a9p-2, 0x1.a082eaf215173p-2, 0x1.9cd9afeec5978p-2, 0x1.992f0316abcdap-2, 0x1.95831cfad4504p-2, 0x1.91d635613190cp-2, 0x1.8e288342f5a4ep-2, 0x1.8a7a3ccb09173p-2, 0x1.86cb97549a58bp-2, 0x1.831cc769c6443p-2, 0x1.7f6e00c25ef9ep-2, 0x1.7bbf7642c6862p-2, 0x1.781159fae9328p-2, 0x1.7463dd254c116p-2, 0x1.70b730263820fp-2, 0x1.6d0b828afd9ddp-2, 0x1.696103094ea53p-2, 0x1.65b7df7eb278p-2, 0x1.621044f01321ep-2, 0x1.5e6a5f89603b9p-2, 0x1.5ac65a9d4b307p-2, 0x1.572460a5182f2p-2, 0x1.53849b40897e1p-2, 0x1.4fe73335df7b2p-2, 0x1.4c4c5071ee28fp-2, 0x1.48b41a084a7b5p-2, 0x1.451eb6338d311p-2, 0x1.418c4a55a9784p-2, 0x1.3dfcfaf8599p-2, 0x1.3a70ebcda0159p-2, 0x1.36e83fb05dfe2p-2, 0x1.336318a4fa97ap-2, 0x1.2fe197da2187ep-2, 0x1.2c63dda991116p-2, 0x1.28ea0998fde49p-2, 0x1.25743a5b0737cp-2, 0x1.22028dd03dc77p-2, 0x1.1e9521083a3c4p-2, 0x1.1b2c1042c9fe1p-2, 0x1.17c776f124632p-2, 0x1.14676fb7380eep-2, 0x1.110c146d02dfep-2, 0x1.0db57e1ffb743p-2, 0x1.0a63c5148a135p-2, 0x1.071700c78c96ap-2, 0x1.03cf47efed3afp-2, 0x1.008cb080431f4p-2, 0x1.fa9e9f5104506p-3, 0x1.f42e73af6ca57p-3, 0x1.edc9057b96ae9p-3, 0x1.e76e7a9ac4c01p-3, 0x1.e11ef77b5aecfp-3, 0x1.dada9f18bad45p-3, 0x1.d4a192ff291b4p-3, 0x1.ce73f34fc9c5dp-3, 0x1.c851dec4b0cabp-3, 0x1.c23b72b506e28p-3, 0x1.bc30cb1939c5fp-3, 0x1.b632028f434b4p-3, 0x1.b03f325efbf21p-3, 0x1.aa58727e7e26ep-3, 0x1.a47dd99697984p-3, 0x1.9eaf7d0747be9p-3, 0x1.98ed70ec48101p-3, 0x1.9337c821a248ap-3, 0x1.8d8e9448521fep-3, 0x1.87f1e5caefccp-3, 0x1.8261cbe2626e6p-3, 0x1.7cde549a998a8p-3, 0x1.77678cd7548fp-3, 0x1.71fd8058e97dfp-3, 0x1.6ca039c116232p-3, 0x1.674fc297d4cf3p-3, 0x1.620c235035788p-3, 0x1.5cd5634d3c235p-3, 0x1.57ab88e6c1ed2p-3, 0x1.528e996e56188p-3, 0x1.4d7e9934237e4p-3, 0x1.487b8b8bd7c1ap-3, 0x1.438572d188c17p-3, 0x1.3e9c506e9928bp-3, 0x1.39c024dea2459p-3, 0x1.34f0efb450af7p-3, 0x1.302eaf9e4d3cfp-3, 0x1.2b79626c18c87p-3, 0x1.26d10512e7f49p-3, 0x1.223593b27d2e3p-3, 0x1.1da70999fc86ap-3, 0x1.1925614cba463p-3, 0x1.14b0948705fa3p-3, 0x1.10489c42f03c3p-3, 0x1.0bed70bd04284p-3, 0x1.079f097906fbdp-3, 0x1.035d5d469f135p-3, 0x1.fe50c48c0aec2p-4, 0x1.f6001bd942c93p-4, 0x1.edc8aa13460bap-4, 0x1.e5aa57952549dp-4, 0x1.dda50b7fb1cb7p-4, 0x1.d5b8abc27551p-4, 0x1.cde51d249681fp-4, 0x1.c62a434db109dp-4, 0x1.be8800ce93522p-4, 0x1.b6fe3729de53fp-4, 0x1.af8cc6dca1e53p-4, 0x1.a8338f66d414p-4, 0x1.a0f26f53b1a38p-4, 0x1.99c944420eb36p-4, 0x1.92b7eaec8fa7ap-4, 0x1.8bbe3f31b69c2p-4, 0x1.84dc1c1bf53ebp-4, 0x1.7e115be98c2b4p-4, 0x1.775dd814617c7p-4, 0x1.70c16959af12fp-4, 0x1.6a3be7c1a350fp-4, 0x1.63cd2aa6de4cap-4, 0x1.5d7508bdd6e87p-4, 0x1.5733581c26c33p-4, 0x1.5107ee3fb542bp-4, 0x1.4af2a015cd54cp-4, 0x1.44f3420211c38p-4, 0x1.3f09a7e55915dp-4, 0x1.3935a5246b5a3p-4, 0x1.33770caea3452p-4, 0x1.2dcdb10475461p-4, 0x1.2839643dd8871p-4, 0x1.22b9f8108f342p-4, 0x1.1d4f3dd65d847p-4, 0x1.17f906931441fp-4, 0x1.12b722fa8dc53p-4, 0x1.0d896376827a5p-4, 0x1.086f982c47c36p-4, 0x1.0369910270c52p-4, 0x1.fcee3b4c9c41ap-5, 0x1.f3301b22b39abp-5, 0x1.e998601cf6023p-5, 0x1.e026a87e72165p-5, 0x1.d6da924197bd4p-5, 0x1.cdb3bb221a9bp-5, 0x1.c4b1c0a6ac111p-5, 0x1.bbd4402a78b93p-5, 0x1.b31ad6e65c57bp-5, 0x1.aa8521f9fa5bcp-5, 0x1.a212be748d311p-5, 0x1.99c3495d855d4p-5, 0x1.91965fbcef43ep-5, 0x1.898b9ea3a7a83p-5, 0x1.81a2a33354049p-5, 0x1.79db0aa62d24cp-5, 0x1.723472568fb21p-5, 0x1.6aae77c6606a5p-5, 0x1.6348b8a62f404p-5, 0x1.5c02d2dc36f17p-5, 0x1.54dc648b21275p-5, 0x1.4dd50c1895764p-5, 0x1.46ec6833a6f08p-5, 0x1.402217dafb008p-5, 0x1.3975ba62cf301p-5, 0x1.32e6ef7aca297p-5, 0x1.2c755733a1cadp-5, 0x1.262092048d27dp-5, 0x1.1fe840d0870aep-5, 0x1.19cc04eb6968ep-5, 0x1.13cb801edde7dp-5, 0x1.0de654af17283p-5, 0x1.081c255f67398p-5, 0x1.026c9576ae4c2p-5, 0x1.f9ae9187244d1p-6, 0x1.eeb7c7413504dp-6, 0x1.e3f415f039b82p-6, 0x1.d962c88ffaaa1p-6, 0x1.cf032b4aa84a7p-6, 0x1.c4d48b7fb850fp-6, 0x1.bad637ca8bf5ap-6, 0x1.b1078008c9759p-6, 0x1.a767b56061da4p-6, 0x1.9df62a4558204p-6, 0x1.94b2327f2e4b6p-6, 0x1.8b9b232e3a8e3p-6, 0x1.82b052d06fb45p-6, 0x1.79f119462d4adp-6, 0x1.715ccfd696bf4p-6, 0x1.68f2d133c69cp-6, 0x1.60b2797eb6788p-6, 0x1.589b264af16f4p-6, 0x1.50ac36a202515p-6, 0x1.48e50b06a2852p-6, 0x1.41450577c17d2p-6, 0x1.39cb89733f7acp-6, 0x1.3277fbf8792bcp-6, 0x1.2b49c38a9bb02p-6, 0x1.24404832c3255p-6, 0x1.1d5af381e8a2fp-6, 0x1.1699309297ecap-6, 0x1.0ffa6c0a7e6fap-6, 0x1.097e141baef4ep-6, 0x1.03239885e1cedp-6, 0x1.f9d4d52eb5e82p-7, 0x1.eda3fa5b8deap-7, 0x1.e1b3896d9d839p-7, 0x1.d6026e6139535p-7, 0x1.ca8f98543fd19p-7, 0x1.bf59f98671fa5p-7, 0x1.b460875974b6p-7, 0x1.a9a23a506ceccp-7, 0x1.9f1e0e0f98c95p-7, 0x1.94d3015b34d77p-7, 0x1.8ac0161682e8ap-7, 0x1.80e45142649b3p-7, 0x1.773ebafba4403p-7, 0x1.6dce5e79040e2p-7, 0x1.64924a0936ce6p-7, 0x1.5b898f10749e7p-7, 0x1.52b34205e410bp-7, 0x1.4a0e7a70c55fbp-7, 0x1.419a52e579528p-7, 0x1.3955e9023dae1p-7, 0x1.31405d6bd3f95p-7, 0x1.2958d3c9d899cp-7, 0x1.219e72c303d73p-7, 0x1.1a1063f93d8e6p-7, 0x1.12add4056d795p-7, 0x1.0b75f2733f15ep-7, 0x1.0467f1bcba9efp-7, 0x1.fb060e8b3fea5p-8, 0x1.ed8cd6ad79c59p-8, 0x1.e062b23218f7fp-8, 0x1.d3861d2186272p-8, 0x1.c6f599303f46ep-8, 0x1.baafadb49d99ap-8, 0x1.aeb2e79beedd6p-8, 0x1.a2fdd95fd9e7ep-8, 0x1.978f1afaf779bp-8, 0x1.8c6549ddd64e8p-8, 0x1.817f08e34c294p-8, 0x1.76db004505a52p-8, 0x1.6c77dd8f924b2p-8, 0x1.6254539694679p-8, 0x1.586f1a68a05eap-8, 0x1.4ec6ef42f2e8fp-8, 0x1.455a9485471ep-8, 0x1.3c28d1a525f3ep-8, 0x1.33307321a0fc5p-8, 0x1.2a704a76523bbp-8, 0x1.21e72e0ef4d76p-8, 0x1.1993f93a4e1ffp-8, 0x1.11758c1d632b7p-8, 0x1.098acba6823e1p-8, 0x1.01d2a18026338p-8, 0x1.f497f8080b123p-9, 0x1.e5eb9c5b7d373p-9, 0x1.d79e1f1b8ca5ap-9, 0x1.c9ad7878b2aaep-9, 0x1.bc17a997f55bcp-9, 0x1.aedabc78b3777p-9, 0x1.a1f4c3da3fe14p-9, 0x1.9563db2108924p-9, 0x1.8926263c57ca6p-9, 0x1.7d39d18b9697fp-9, 0x1.719d11c3cd4b9p-9, 0x1.664e23d548838p-9, 0x1.5b4b4cd0f5085p-9, 0x1.5092d9ce164bdp-9, 0x1.46231fcfee452p-9, 0x1.3bfa7bab4c87bp-9, 0x1.321751ec8e816p-9, 0x1.28780ebd58ca1p-9, 0x1.1f1b25ca9130bp-9, 0x1.15ff122a691b3p-9, 0x1.0d22564294fp-9, 0x1.04837bae8c817p-9, 0x1.f842264bbf7a2p-10, 0x1.e7f368c5ac748p-10, 0x1.d817fc11dc451p-10, 0x1.c8ad2b17c2298p-10, 0x1.b9b04e2c996bbp-10, 0x1.ab1ecae1e7a11p-10, 0x1.9cf613d3f3a82p-10, 0x1.8f33a87878518p-10, 0x1.81d514ed9bb8p-10, 0x1.74d7f1ca06d2cp-10, 0x1.6839e3ebad831p-10, 0x1.5bf89c4908a2cp-10, 0x1.5011d7c10aafp-10, 0x1.44835eebfea4p-10, 0x1.394b05ed33c23p-10, 0x1.2e66ac442e9ap-10, 0x1.23d43c9f52255p-10, 0x1.1991acadc858ep-10, 0x1.0f9cfcf29f354p-10, 0x1.05f438982c35cp-10, 0x1.f92aea878a2f8p-11, 0x1.e6fda5d2ef76p-11, 0x1.d55cf7422ec3p-11, 0x1.c44546f5dd403p-11, 0x1.b3b310aa57834p-11, 0x1.a3a2e3639b432p-11, 0x1.9411611a20a11p-11, 0x1.84fb3e677b6p-11, 0x1.765d423595842p-11, 0x1.6834456d3b6eap-11, 0x1.5a7d32a66273dp-11, 0x1.4d3505d9cb59p-11, 0x1.4058cc121b75ap-11, 0x1.33e5a31f447a8p-11, 0x1.27d8b9498d6bap-11, 0x1.1c2f4d076a60ep-11, 0x1.10e6acb19f33p-11, 0x1.05fc363b1290bp-11, 0x1.f6daadcde2cffp-12, 0x1.e26f16035fe52p-12, 0x1.ceb0bb34dc937p-12, 0x1.bb9ad0789c3b4p-12, 0x1.a928a55419ep-12, 0x1.9755a533892dfp-12, 0x1.861d56e3299e9p-12, 0x1.757b5c0b263p-12, 0x1.656b70ac91bc3p-12, 0x1.55e96aa00f9bfp-12, 0x1.46f13917d1444p-12, 0x1.387ee420604c2p-12, 0x1.2a8e8c2653332p-12, 0x1.1d1c697c43023p-12, 0x1.1024cbe15fe73p-12, 0x1.03a41a0cc1babp-12, 0x1.ef2da26f48e8ap-13, 0x1.d7f309552d0bfp-13, 0x1.c191ba992a85p-13, 0x1.ac0332657adf1p-13, 0x1.9741166643f87p-13, 0x1.834534f10518ap-13, 0x1.7009842df7059p-13, 0x1.5d882148e0b9ep-13, 0x1.4bbb4fa0ca124p-13, 0x1.3a9d77fca0e47p-13, 0x1.2a2927c35c81p-13, 0x1.1a5910386de27p-13, 0x1.0b2805b98d577p-13, 0x1.f921fdfcb1e4ap-14, 0x1.dd1e28bfb05f9p-14, 0x1.c23afe3a38407p-14, 0x1.a86f3153d2a3p-14, 0x1.8fb1b3efbe082p-14, 0x1.77f9b597eee6ap-14, 0x1.613ea21c20183p-14, 0x1.4b7820446ddebp-14, 0x1.369e10839228fp-14, 0x1.22a88baee6bd2p-14, 0x1.0f8fe1bc31419p-14, 0x1.fa9931128cce3p-15, 0x1.d7aed543f8bd3p-15, 0x1.b6528c249f20dp-15, 0x1.967696749a93ep-15, 0x1.780d974dce916p-15, 0x1.5b0a91e750a76p-15, 0x1.3f60e75b5e822p-15, 0x1.2504547c256edp-15, 0x1.0be8efb27643bp-15, 0x1.e8064dcffd3p-16, 0x1.ba8f7ae18eb88p-16, 0x1.8f57942af0c64p-16, 0x1.66496a138c0adp-16, 0x1.3f506c0e8ed6fp-16, 0x1.1a58a4c04cd3bp-16, 0x1.ee9d6c9254fbdp-17, 0x1.ac3fad305b702p-17, 0x1.6d7397a62aa49p-17, 0x1.3215d1ab48906p-17, 0x1.f40826eb22f41p-18, 0x1.8a3a41f64058cp-18, 0x1.268186944d8b6p-18, 0x1.913f083648c77p-19, 0x1.c15ee9639e17cp-20, 0x1.d6f8d1b004ed3p-22, -0x1.828e4053ec13ap-21, -0x1.e48cf6f2c1431p-20, -0x1.7a741914a57e3p-19, -0x1.f99370e99523cp-19, -0x1.38041c30f0c9bp-18, -0x1.6f19741b61aecp-18, -0x1.a238691581a9ap-18, -0x1.d18e1b0a12c4p-18, -0x1.fd462b4503879p-18, -0x1.12c5634936e0bp-17, -0x1.25425792fb58dp-17, -0x1.362da3255089bp-17, -0x1.459a4aef6943fp-17, -0x1.539aacc3ed36ep-17, -0x1.604083f252942p-17, -0x1.6b9ceda66129cp-17, -0x1.75c06d4d7bac5p-17, -0x1.7ebaf0c8b64e4p-17, -0x1.869bd4926a867p-17, -0x1.8d71e7d68328cp-17, -0x1.934b705f5e556p-17, -0x1.98362e7871f39p-17, -0x1.9c3f60b60a592p-17, -0x1.9f73c7ac6657cp-17, -0x1.a1dfa9879092ap-17, -0x1.a38ed594848a8p-17, -0x1.a48ca7b5869afp-17, -0x1.a4e40bbde3937p-17, -0x1.a49f80bfb47ep-17, -0x1.a3c91c3d4ff6ap-17, -0x1.a26a8d4e13cdp-17, -0x1.a08d1faf07533p-17, -0x1.9e39bebe79dadp-17, -0x1.9b78f8624b3a9p-17, -0x1.9852ffeb4e229p-17, -0x1.94cfb0cc9ede3p-17, -0x1.90f6916010c34p-17, -0x1.8cced58211e57p-17, -0x1.885f61246d3d2p-17, -0x1.83aecad213579p-17, -0x1.7ec35e2b25715p-17, -0x1.79a31e398e6a8p-17, -0x1.7453c7d05f36p-17, -0x1.6edad3cc5bdc5p-17, -0x1.693d794c12715p-17, -0x1.6380afd5179fp-17, -0x1.5da9316e2097p-17, -0x1.57bb7cad6489fp-17, -0x1.51bbd6b0b8ebep-17, -0x1.4bae4d163a617p-17, -0x1.4596b7d8f4601p-17, -0x1.3f78bb2a1c963p-17, -0x1.3957c93e1e85p-17, -0x1.333724042b85cp-17, -0x1.2d19dedf98446p-17, -0x1.2702e0487b5a9p-17, -0x1.20f4e369b3424p-17, -0x1.1af279aff7935p-17, -0x1.14fe0c4e869adp-17, -0x1.0f19ddb750fffp-17, -0x1.09480b0ca471cp-17, -0x1.038a8d866f795p-17, -0x1.fbc6779560f6ap-18, -0x1.f0a7968342acbp-18, -0x1.e5bba2b8121b2p-18, -0x1.db0589a55d9f9p-18, -0x1.d087fdaf8c279p-18, -0x1.c64578933ff1fp-18, -0x1.bc403da23baf4p-18, -0x1.b27a5bfa8bad7p-18, -0x1.a8f5b0ae0774fp-18, -0x1.9fb3e8d535094p-18, -0x1.96b68396e417ap-18, -0x1.8dfed419efc06p-18, -0x1.858e036e57041p-18, -0x1.7d65126346e4cp-18, -0x1.7584db51a1a91p-18, -0x1.6dee13d0c6168p-18, -0x1.66a14e6ef631ep-18, -0x1.5f9efc4200e9p-18, -0x1.58e76e874a14p-18, -0x1.527ad82141814p-18, -0x1.4c594f14d96d5p-18, -0x1.4682cdf5a9facp-18, -0x1.40f73545da31dp-18, -0x1.3bb64cc839da8p-18, -0x1.36bfc4d3b3c68p-18, -0x1.3213378cbe454p-18, -0x1.2db02a19d63aap-18, -0x1.29960dcfaed0bp-18, -0x1.25c44150efa3fp-18, -0x1.223a11a55ce3dp-18, -0x1.1ef6bb434e483p-18, -0x1.1bf96b14ec023p-18, -0x1.19413f743439p-18, -0x1.16cd491809a7fp-18, -0x1.149c8c02320b7p-18, -0x1.12ae005a378ddp-18, -0x1.110093472ee02p-18, -0x1.0f9327c323b41p-18, -0x1.0e64975f5e7eap-18, -0x1.0d73b303afac9p-18, -0x1.0cbf43acd1a9ap-18, -0x1.0c460b1d61ca9p-18, -0x1.0c06c485f6372p-18, -0x1.0c00252d7b987p-18, -0x1.0c30dd0d97b8bp-18, -0x1.0c97976acae95p-18, -0x1.0d32fb67a9e19p-18, -0x1.0e01ac8c4f91fp-18, -0x1.0f024b513a08ep-18, -0x1.1033759bdcd54p-18, -0x1.1193c73a385cfp-18, -0x1.1321da59abad5p-18, -0x1.14dc47f645882p-18, -0x1.16c1a844e1864p-18, -0x1.18d0931c2a79fp-18, -0x1.1b07a053adc1bp-18, -0x1.1d656821acf1fp-18, -0x1.1fe8837455c86p-18, -0x1.228f8c46f64b2p-18, -0x1.25591df0101eep-18, -0x1.2843d5700a197p-18, -0x1.2b4e51b8cee16p-18, -0x1.2e7733f141197p-18, -0x1.31bd1fb810bb7p-18, -0x1.351ebb5f299fcp-18, -0x1.389ab0274efb3p-18, -0x1.3c2faa76a6b12p-18, -0x1.3fdc5a0bedc19p-18, -0x1.439f722f814b5p-18, -0x1.4777a9e085297p-18, -0x1.4b63bbff8ddd1p-18, -0x1.4f6267763b0e5p-18, -0x1.53726f5e27219p-18, -0x1.57929b2117259p-18, -0x1.5bc1b69a43c78p-18, -0x1.5ffe9234c6c08p-18, -0x1.64480305ef638p-18, -0x1.689ce2e7287d7p-18, -0x1.6cfc108c6752bp-18, -0x1.71646f9aad0fp-18, -0x1.75d4e8b90d1a4p-18, -0x1.7a4c69a2458f8p-18, -0x1.7ec9e53551b35p-18, -0x1.834c53819f3cp-18, -0x1.87d2b1d391fffp-18, -0x1.8c5c02bcf15cep-18, -0x1.90e74e2017c9dp-18, -0x1.9573a135482fdp-18, -0x1.9a000e90b485bp-18, -0x1.9e8bae26e27d3p-18, -0x1.a3159d509c073p-18, -0x1.a79cfec90ed93p-18, -0x1.ac20fab2f844ap-18, -0x1.b0a0be94e0cbcp-18, -0x1.b51b7d5745739p-18, -0x1.b9906f4416a31p-18, -0x1.bdfed2001ba65p-18, -0x1.c265e888694c5p-18, -0x1.c6c4fb2afe3f1p-18, -0x1.cb1b5780198ep-18, -0x1.cf685064430f1p-18, -0x1.d3ab3deec131ap-18, -0x1.d7e37d6956894p-18, -0x1.dc10714632771p-18, -0x1.e0318115e625ep-18, -0x1.e446197c2e0ddp-18, -0x1.e84dac2469525p-18, -0x1.ec47afb53af8ep-18, -0x1.f0339fc51d3c5p-18, -0x1.f410fccb5a8a6p-18, -0x1.f7df4c149a35cp-18, -0x1.fb9e17b1cb6e8p-18, -0x1.ff4cee6cde0d7p-18, -0x1.0175b1dc608c8p-17, -0x1.033c87d0c71ffp-17, -0x1.04fac75eb90f8p-17, -0x1.06b0410efd22dp-17, -0x1.085cc79f1ccb3p-17, -0x1.0a002ff978b9cp-17, -0x1.0b9a512db10c9p-17, -0x1.0d2b04677781cp-17, -0x1.0eb224e65762fp-17, -0x1.102f8ff584117p-17, -0x1.11a324e2b3ba5p-17, -0x1.130cc4f5d2efcp-17, -0x1.146c5367e92a4p-17, -0x1.15c1b55aa202bp-17, -0x1.170cd1cf3e18dp-17, -0x1.184d919e0e9c4p-17, -0x1.1983df6d38a88p-17, -0x1.1aafa7a807bbcp-17, -0x1.1bd0d875f9b4bp-17, -0x1.1ce761b1740edp-17, -0x1.1df334dfb529bp-17, -0x1.1ef445274cd92p-17, -0x1.1fea87478736ep-17, -0x1.20d5f18f68c66p-17, -0x1.21b67bd514f3dp-17, -0x1.228c1f6ccf1e5p-17, -0x1.2356d71ff088ep-17, -0x1.24169f24f89e6p-17, -0x1.24cb75168000bp-17, -0x1.257557eabb6bcp-17, -0x1.261447ea486fap-17, -0x1.26a846a8fd163p-17, -0x1.273156fc0fe4p-17, -0x1.27af7cf2d42e7p-17, -0x1.2822bdcdc9d92p-17, -0x1.288b1ff6c8d63p-17, -0x1.28e8aaf86eff1p-17, -0x1.293b677693a3bp-17, -0x1.29835f2625824p-17, -0x1.29c09cc4d7507p-17, -0x1.29f32c11c400bp-17, -0x1.2a1b19c5ab8ep-17, -0x1.2a38738b1ce68p-17, -0x1.2a4b47f6e1d72p-17, -0x1.2a53a680f8a21p-17, -0x1.2a519f7ca5b34p-17, -0x1.2a4544119a76ep-17, -0x1.2a2ea634854cdp-17, -0x1.2a0dd8a003568p-17, -0x1.29e2eecdfb0a5p-17, -0x1.29adfcf045844p-17, -0x1.296f17ea50de2p-17, -0x1.2926554a12229p-17, -0x1.28d3cb418db4ap-17, -0x1.287790a0ae8bfp-17, -0x1.2811bccea8b58p-17, -0x1.27a267c37376ep-17, -0x1.2729aa0226477p-17, -0x1.26a79c927ce58p-17, -0x1.261c58fb1f6ap-17, -0x1.2587f93bbed6dp-17, -0x1.24ea97c6f9defp-17, -0x1.24444f7d7e72dp-17, -0x1.23953ba7ac3d8p-17, -0x1.22dd77f0a272bp-17, -0x1.221d2060bbc44p-17, -0x1.215451586ded3p-17, -0x1.2083278af1082p-17, -0x1.1fa9bff98547ep-17, -0x1.1ec837ee33f52p-17, -0x1.1ddeacf73bebp-17, -0x1.1ced3ce2397afp-17, -0x1.1bf405b76e98p-17, -0x1.1af325b57f99bp-17, -0x1.19eabb4cabb22p-17, -0x1.18dae51ae4eap-17, -0x1.17c3c1e7076fep-17, -0x1.16a5709d2d88p-17, -0x1.1580104a7281p-17, -0x1.1453c018ef04cp-17, -0x1.13209f4c08b5p-17, -0x1.11e6cd3c99b83p-17, -0x1.10a669551a6f6p-17, -0x1.0f5f930e4fc23p-17, -0x1.0e1269eb9d53ep-17, -0x1.0cbf0d77b5407p-17, -0x1.0b659d4132a9dp-17, -0x1.0a0638d777dcep-17, -0x1.08a0ffc760f01p-17, -0x1.07361198639f8p-17, -0x1.05c58dc99bb46p-17, -0x1.044f93ce85473p-17, -0x1.02d4430c9dbc3p-17, -0x1.0153bad86e956p-17, -0x1.ff9c34e5bd79p-18, -0x1.fc87020da0a9p-18, -0x1.f9681b4cf834ap-18, -0x1.f63fbe91e75e8p-18, -0x1.f30e298ff99d4p-18, -0x1.efd399bb1ccfdp-18, -0x1.ec904c439e902p-18, -0x1.e9447e11b966dp-18, -0x1.e5f06bc1a446bp-18, -0x1.e294519f747d8p-18, -0x1.df306ba302873p-18, -0x1.dbc4f56c93298p-18, -0x1.d8522a41624cp-18, -0x1.d4d84507b555ep-18, -0x1.d1578043c975fp-18, -0x1.cdd01614d2ed6p-18, -0x1.ca42403170d8ap-18, -0x1.c6ae37e51fc45p-18, -0x1.c314360d9378bp-18, -0x1.bf74731737716p-18, -0x1.bbcf26fb8166bp-18, -0x1.b824893dd5364p-18, -0x1.b474d0e90751ep-18, -0x1.b0c0348df34fp-18, -0x1.ad06ea403f86dp-18, -0x1.a949279501c4cp-18, -0x1.a58721a0a6e15p-18, -0x1.a1c10cf4bd3fbp-18, -0x1.9df71d9ec7e44p-18, -0x1.9a2987263c40cp-18, -0x1.96587c8ab7a0fp-18, -0x1.928430430d579p-18, -0x1.8eacd43b623a5p-18, -0x1.8ad299d43399ep-18, -0x1.86f5b1e0f90efp-18, -0x1.83164ca6e2cfbp-18, -0x1.7f3499dc22f2dp-18, -0x1.7b50c8a695008p-18, -0x1.776b079b33983p-18, -0x1.738384bcf59dep-18, -0x1.6f9a6d7c19379p-18, -0x1.6bafeeb5ad571p-18, -0x1.67c434b2dcb7ep-18, -0x1.63d76b285d777p-18, -0x1.5fe9bd35f9c1ep-18, -0x1.5bfb55660c18fp-18, -0x1.580c5dada482dp-18, -0x1.541cff6b70171p-18, -0x1.502d63682c93bp-18, -0x1.4c3db1d68fdcap-18, -0x1.484e12524a0e1p-18, -0x1.445eabe122d5p-18, -0x1.406fa4f266704p-18, -0x1.3c81235eb7925p-18, -0x1.38934c68ddc0fp-18, -0x1.34a644bd793d6p-18, -0x1.30ba3072f60cp-18, -0x1.2ccf330ac0a6p-18, -0x1.28e56f7096278p-18, -0x1.24fd07fb2a0bp-18, -0x1.21161e6d16d56p-18, -0x1.1d30d3f46507bp-18, }}, 
      {{0x1.e48dfade9861dp-1, 0x1.e3cb9917eb77ep-1, 0x1.e2990ac8cf371p-1, 0x1.e10aa952de34cp-1, 0x1.df357d3da83fbp-1, 0x1.dd2c51e502dd7p-1, 0x1.dafe1eb746fffp-1, 0x1.d8b580f68fd5fp-1, 0x1.d658ef0e5154ap-1, 0x1.d3eb574494241p-1, 0x1.d16cede767f82p-1, 0x1.cedc0241dc167p-1, 0x1.cc35c1b7f308bp-1, 0x1.c976dc53c0e37p-1, 0x1.c69c061f5084dp-1, 0x1.c3a255af31d0ap-1, 0x1.c087831c350a1p-1, 0x1.bd4a0c0e87783p-1, 0x1.b9e941f13f7cfp-1, 0x1.b6654749be13p-1, 0x1.b2bf00c0fdf6dp-1, 0x1.aef7fdd6b18bap-1, 0x1.ab125c90c3a68p-1, 0x1.a710aad59366dp-1, 0x1.a2f5c785b8d46p-1, 0x1.9ec4c4e0d615fp-1, 0x1.9a80cd4a5ef25p-1, 0x1.962d0b2022dedp-1, 0x1.91cc94040f106p-1, 0x1.8d6257bb9fec5p-1, 0x1.88f11297f8627p-1, 0x1.847b433759172p-1, 0x1.80032359a26afp-1, 0x1.7b8aa3738291ep-1, 0x1.771368a518bd1p-1, 0x1.729eccb7663c6p-1, 0x1.6e2ddfc67c64bp-1, 0x1.69c16b43b666dp-1, 0x1.6559f6027562bp-1, 0x1.60f7c90a03ccdp-1, 0x1.5c9af4efdee65p-1, 0x1.5843578634919p-1, 0x1.53f0a1b29dd1fp-1, 0x1.4fa25d48caa52p-1, 0x1.4b57f2cbcbbf1p-1, 0x1.4710aefeea011p-1, 0x1.42cbc8346c27p-1, 0x1.3e88634d66d01p-1, 0x1.3a459861b6dbep-1, 0x1.3602770a9c9d6p-1, 0x1.31be0a4d3406cp-1, 0x1.2d775c244177p-1, 0x1.292d78aa8dd7bp-1, 0x1.24df70e872f0fp-1, 0x1.208c5d483c1efp-1, 0x1.1c335fb5c42aap-1, 0x1.17d3a56e3f2bdp-1, 0x1.136c68856da41p-1, 0x1.0efcf125a49ffp-1, 0x1.0a84969025a06p-1, 0x1.0602bfe32834ap-1, 0x1.0176e4aae47c7p-1, 0x1.f9c11a856b6b7p-2, 0x1.f07ea6166ae48p-2, 0x1.e725c0f3e1e36p-2, 0x1.ddb5e20e24e07p-2, 0x1.d42ea1fa2fffep-2, 0x1.ca8fba5cbdaebp-2, 0x1.c0d905281a985p-2, 0x1.b70a7bb3364bfp-2, 0x1.ad2435afe24b9p-2, 0x1.a3266805bf54fp-2, 0x1.99116396c8733p-2, 0x1.8ee593f20b88ap-2, 0x1.84a37df899babp-2, 0x1.7a4bbe78677ebp-2, 0x1.6fdf08c05a9f6p-2, 0x1.655e253087046p-2, 0x1.5ac9efc92918ap-2, 0x1.502356baaffd8p-2, 0x1.456b58f8e3595p-2, 0x1.3aa304d2dde12p-2, 0x1.2fcb76916db73p-2, 0x1.24e5d71d2083dp-2, 0x1.19f35aad1c3cbp-2, 0x1.0ef53f7fb1a75p-2, 0x1.03eccc9d68c9fp-2, 0x1.f1b6a14e4ddfcp-3, 0x1.db84415fd1ed9p-3, 0x1.c5452e44d7391p-3, 0x1.aefc2566078d1p-3, 0x1.98abeabb9aed2p-3, 0x1.825746e2898d5p-3, 0x1.6c01054a84a6dp-3, 0x1.55abf27c9f4b4p-3, 0x1.3f5ada7a59cd9p-3, 0x1.29108734b5285p-3, 0x1.12cfbf1ae22f4p-3, 0x1.f936877fff9fbp-4, 0x1.cceba12ebaccfp-4, 0x1.a0c4338d25fbcp-4, 0x1.74c59619b32eap-4, 0x1.48f50d7dac008p-4, 0x1.1d57c9ac6833fp-4, 0x1.e3e5c8511d85bp-5, 0x1.8d96bcdbdcd8p-5, 0x1.37cc40fcc04e9p-5, 0x1.c51fde40fae8fp-6, 0x1.1bd653739053bp-6, 0x1.cf38c8dbbdff7p-8, -0x1.97356732b5f01p-9, -0x1.b06dd9ab0d023p-7, -0x1.7c11af076c49bp-6, -0x1.0f334b044f38cp-5, -0x1.5f92e3dfbc68dp-5, -0x1.af1ff7a88a06fp-5, -0x1.fdd31f592b9a8p-5, -0x1.25d29bfa6ba85p-4, -0x1.4c47b18191948p-4, -0x1.724583744bc3bp-4, -0x1.97c8e78f2f9a7p-4, -0x1.bcced62585456p-4, -0x1.e1546a1f3e4aap-4, -0x1.02ab7074b1d6ap-3, -0x1.1469cd2cf6dap-3, -0x1.25e40c43e122bp-3, -0x1.3718ffcbe72f6p-3, -0x1.48078abff58dfp-3, -0x1.58aea0e01d5a8p-3, -0x1.690d4689e9283p-3, -0x1.7922908c95e78p-3, -0x1.88eda3f99875p-3, -0x1.986db5f1a1f4bp-3, -0x1.a7a20b6e7af03p-3, -0x1.b689f909f106ep-3, -0x1.c524e2c21a0bp-3, -0x1.d3723bbb2232bp-3, -0x1.e17185fee756p-3, -0x1.ef22523a90b97p-3, -0x1.fc843f7a4bdb2p-3, -0x1.04cb7d71beb6ap-2, -0x1.0b2d1fb6b3af5p-2, -0x1.1166eacc491d1p-2, -0x1.1778c992885e4p-2, -0x1.1d62ad63e3ec6p-2, -0x1.23248def6c18ap-2, -0x1.28be6912aa80ep-2, -0x1.2e3042b330fe7p-2, -0x1.337a2497e8ce6p-2, -0x1.389c1e4234de8p-2, -0x1.3d9644c6f07a3p-2, -0x1.4268b2a757f98p-2, -0x1.471387a9e9863p-2, -0x1.4b96e8b342cc2p-2, -0x1.4ff2ff9f0e0eap-2, -0x1.5427fb19045ap-2, -0x1.58360e760b6a5p-2, -0x1.5c1d718d7e3b5p-2, -0x1.5fde6092a437p-2, -0x1.63791bee5eed4p-2, -0x1.66ede8191aa52p-2, -0x1.6a3d0d7500e6dp-2, -0x1.6d66d8287a2fbp-2, -0x1.706b97f90092bp-2, -0x1.734ba0264c822p-2, -0x1.76074745e0281p-2, -0x1.789ee71ef4d1fp-2, -0x1.7b12dc86d0285p-2, -0x1.7d63873d891b8p-2, -0x1.7f9149cb39729p-2, -0x1.819c895da6fa7p-2, -0x1.8385ada666f96p-2, -0x1.854d20b97a23dp-2, -0x1.86f34eec68fd8p-2, -0x1.8878a6b5e57dbp-2, -0x1.89dd988ded1f2p-2, -0x1.8b2296ce773cep-2, -0x1.8c481594a9925p-2, -0x1.8d4e8aa29babbp-2, -0x1.8e366d41a7837p-2, -0x1.8f00362547bdcp-2, -0x1.8fac5f4e8b6ccp-2, -0x1.903b63f018c45p-2, -0x1.90adc052c6a85p-2, -0x1.9103f1bac7ce3p-2, -0x1.913e764d6eebcp-2, -0x1.915dccf788df4p-2, -0x1.916275544a2cfp-2, -0x1.914cef94d9f02p-2, -0x1.911dbc686f407p-2, -0x1.90d55ce50b99cp-2, -0x1.90745270c6672p-2, -0x1.8ffb1eabb8334p-2, -0x1.8f6a435a75aaap-2, -0x1.8ec24251279fbp-2, -0x1.8e039d5f36d5ap-2, -0x1.8d2ed63b8dc4p-2, -0x1.8c446e7170c4ap-2, -0x1.8b44e74deb58fp-2, -0x1.8a30c1cdccd02p-2, -0x1.89087e8c3d191p-2, -0x1.87cc9db1dfa3p-2, -0x1.867d9ee4867fcp-2, -0x1.851c013776a8cp-2, -0x1.83a8431c37ae7p-2, -0x1.8222e253f025ap-2, -0x1.808c5be14e5fbp-2, -0x1.7ee52bfaf7481p-2, -0x1.7d2dcdfe7fca7p-2, -0x1.7b66bc63e8d8fp-2, -0x1.799070b1a4aa1p-2, -0x1.77ab6371186d8p-2, -0x1.75b80c23a0a0cp-2, -0x1.73b6e138155e5p-2, -0x1.71a85800cab4bp-2, -0x1.6f8ce4aa090d1p-2, -0x1.6d64fa3100b84p-2, -0x1.6b310a5b33c9dp-2, -0x1.68f185ae540eep-2, -0x1.66a6db68920cfp-2, -0x1.645179795eca7p-2, -0x1.61f1cc7a9876bp-2, -0x1.5f883faa2656fp-2, -0x1.5d153ce3fa4c5p-2, -0x1.5a992c9c7e198p-2, -0x1.581475db62bc9p-2, -0x1.55877e36d47f9p-2, -0x1.52f2a9cf0f5acp-2, -0x1.50565b4a50934p-2, -0x1.4db2f3d126084p-2, -0x1.4b08d30b17a8p-2, -0x1.4858571ba7fafp-2, -0x1.45a1dc9faa002p-2, -0x1.42e5beaaebec5p-2, -0x1.402456c63112cp-2, -0x1.3d5dfced7af8ap-2, -0x1.3a93078ea0b0fp-2, -0x1.37c3cb882fab8p-2, -0x1.34f09c289433dp-2, -0x1.3219cb2d884e3p-2, -0x1.2f3fa8c3c7a1fp-2, -0x1.2c628387055b8p-2, -0x1.2982a8821fa1cp-2, -0x1.26a0632f93b1bp-2, -0x1.23bbfd7a2b26bp-2, -0x1.20d5bfbde5842p-2, -0x1.1dedf0c915337p-2, -0x1.1b04d5ddb6904p-2, -0x1.181ab2b2f9f97p-2, -0x1.152fc976fb2ep-2, -0x1.12445ad0ade24p-2, -0x1.0f58a5e1f64f4p-2, -0x1.0c6ce849ebfbap-2, -0x1.09815e274b92cp-2, -0x1.0696421b0a298p-2, -0x1.03abcd4b163fcp-2, -0x1.00c2376538dd2p-2, -0x1.fbb36d443ba58p-3, -0x1.f5e4ff90f2e75p-3, -0x1.f0198c60a2fa4p-3, -0x1.ea51778cc7cd6p-3, -0x1.e48d221f51ee3p-3, -0x1.deccea59e5a0bp-3, -0x1.d9112bbd49785p-3, -0x1.d35a3f1108d52p-3, -0x1.cda87a6b3fb9ep-3, -0x1.c7fc313899a55p-3, -0x1.c255b4446f359p-3, -0x1.bcb551c10ee5p-3, -0x1.b71b55502734p-3, -0x1.b188080b5320dp-3, -0x1.abfbb08cc102bp-3, -0x1.a67692f7f66bdp-3, -0x1.a0f8f102ad8e3p-3, -0x1.9b8309fdc97e3p-3, -0x1.96151ade5eb0cp-3, -0x1.90af5e46ca6dfp-3, -0x1.8b520c8fe3c52p-3, -0x1.85fd5bd230063p-3, -0x1.80b17fef2a94cp-3, -0x1.7b6eaa9a92023p-3, -0x1.76350b63c259ep-3, -0x1.7104cfbf1594fp-3, -0x1.6bde230f432dap-3, -0x1.66c12eaec87ddp-3, -0x1.61ae19f952e04p-3, -0x1.5ca50a55256cp-3, -0x1.57a6233c82341p-3, -0x1.52b186470abbcp-3, -0x1.4dc7533323ef9p-3, -0x1.48e7a7ef4b29fp-3, -0x1.4412a0a36a572p-3, -0x1.3f4857ba234cbp-3, -0x1.3a88e5ea0deffp-3, -0x1.35d4623eef527p-3, -0x1.312ae222e1daep-3, -0x1.2c8c796776641p-3, -0x1.27f93a4ebaf8fp-3, -0x1.2371359442715p-3, -0x1.1ef47a7611abbp-3, -0x1.1a8316bd7dd2dp-3, -0x1.161d16c7facdbp-3, -0x1.11c2858fd7375p-3, -0x1.0d736cb4e339ep-3, -0x1.092fd48504f11p-3, -0x1.04f7c404b7b05p-3, -0x1.00cb40f779b11p-3, -0x1.f9549fd0342dfp-4, -0x1.f129e861f8cb6p-4, -0x1.e916600878989p-4, -0x1.e11a08e77fb2p-4, -0x1.d934e2f25b0e6p-4, -0x1.d166ebfb9358dp-4, -0x1.c9b01fc482d93p-4, -0x1.c210780cac076p-4, -0x1.ba87eca0d995dp-4, -0x1.b316736a20937p-4, -0x1.abbc007c9363cp-4, -0x1.a4788625d34ap-4, -0x1.9d4bf4fb629f2p-4, -0x1.96363be8cbc14p-4, -0x1.8f37483d7e1fdp-4, -0x1.884f05ba90035p-4, -0x1.817d5ea0301c2p-4, -0x1.7ac23bbaf220ap-4, -0x1.741d8470dc9c9p-4, -0x1.6d8f1ece3dee9p-4, -0x1.6716ef9251111p-4, -0x1.60b4da3ba30fp-4, -0x1.5a68c11446aecp-4, -0x1.5432853dcf1dap-4, -0x1.4e1206bd10608p-4, -0x1.48072485af367p-4, -0x1.4211bc8571a67p-4, -0x1.3c31abaf5f861p-4, -0x1.3666ce06a7b77p-4, -0x1.30b0fea950cd2p-4, -0x1.2b1017dab2709p-4, -0x1.2583f30dbab65p-4, -0x1.200c68eefa9f7p-4, -0x1.1aa9516e7c6bbp-4, -0x1.155a83c96a6cp-4, -0x1.101fd6937cd58p-4, -0x1.0af91fc02eefp-4, -0x1.05e634abca054p-4, -0x1.00e6ea2434e9dp-4, -0x1.f7f628e3245eap-5, -0x1.ee450ebd5aa1bp-5, -0x1.e4ba2c826463p-5, -0x1.db5528036f24cp-5, -0x1.d215a64724974p-5, -0x1.c8fb4b98fc991p-5, -0x1.c005bb981f552p-5, -0x1.b7349945f078p-5, -0x1.ae878714437e5p-5, -0x1.a5fe26f3212e2p-5, -0x1.9d981a5e3bc95p-5, -0x1.9555026a06039p-5, -0x1.8d347fd0714dep-5, -0x1.853632fd4ff3p-5, -0x1.7d59bc1a5ee42p-5, -0x1.759ebb1b0386p-5, -0x1.6e04cfc79ee21p-5, -0x1.668b99c8a3f94p-5, -0x1.5f32b8b14e08fp-5, -0x1.57f9cc0a08004p-5, -0x1.50e0735a84ca9p-5, -0x1.49e64e3383dd3p-5, -0x1.430afc384b881p-5, -0x1.3c4e1d27ddf5cp-5, -0x1.35af50e5d257p-5, -0x1.2f2e3782f13p-5, -0x1.28ca71457f5e5p-5, -0x1.22839eb14e03dp-5, -0x1.1c59608f6de76p-5, -0x1.164b57f5bababp-5, -0x1.1059264e05f74p-5, -0x1.0a826d5d101fcp-5, -0x1.04c6cf49446eep-5, -0x1.fe4bdd4240296p-6, -0x1.f33edcc2ddc29p-6, -0x1.e865e3f67e352p-6, -0x1.ddc03ab33a0d4p-6, -0x1.d34d29ce24974p-6, -0x1.c90bfb25d8a03p-6, -0x1.befbf9ac8ce22p-6, -0x1.b51c7171b6708p-6, -0x1.ab6cafab5ba08p-6, -0x1.a1ec02beca05bp-6, -0x1.9899ba4914227p-6, -0x1.8f7527270b81fp-6, -0x1.867d9b7cdea33p-6, -0x1.7db26abd5cd15p-6, -0x1.7512e9b0d28b6p-6, -0x1.6c9e6e7b89086p-6, -0x1.645450a3e8d8dp-6, -0x1.5c33e9185629ap-6, -0x1.543c923496cefp-6, -0x1.4c6da7c705a48p-6, -0x1.44c68715533acp-6, -0x1.3d468ee1175dfp-6, -0x1.35ed1f6bee81bp-6, -0x1.2eb99a7b7078ep-6, -0x1.27ab635ccc666p-6, -0x1.20c1dee80e206p-6, -0x1.19fc73833a0fbp-6, -0x1.135a89250521ap-6, -0x1.0cdb89576f2c9p-6, -0x1.067edf39ffbd4p-6, -0x1.0043f783bea1cp-6, -0x1.f454810a2a78bp-7, -0x1.e86254529501dp-7, -0x1.dcb04befc1614p-7, -0x1.d13d4e2b58062p-7, -0x1.c608448b8265cp-7, -0x1.bb101bd440f9ap-7, -0x1.b053c408645aap-7, -0x1.a5d2306a42cdcp-7, -0x1.9b8a577bd46a4p-7, -0x1.917b32fe9c94fp-7, -0x1.87a3bff34a4c6p-7, -0x1.7e02fe98bda6p-7, -0x1.7497f26b03707p-7, -0x1.6b61a221d0c46p-7, -0x1.625f17aecebb2p-7, -0x1.598f603b7b2f6p-7, -0x1.50f18c26e7b75p-7, -0x1.4884af030da89p-7, -0x1.4047df91f6336p-7, -0x1.383a37c2a1e44p-7, -0x1.305ad4ada85f3p-7, -0x1.28a8d69195d17p-7, -0x1.212360cf2a44bp-7, -0x1.19c999e54752p-7, -0x1.129aab6cb2c39p-7, -0x1.0b95c213ab796p-7, -0x1.04ba0d994355ap-7, -0x1.fc0d819144b96p-8, -0x1.eef622e7deac5p-8, -0x1.e22c70de9e2e3p-8, -0x1.d5aee316f2841p-8, -0x1.c97bf720bcf54p-8, -0x1.bd92306f1346fp-8, -0x1.b1f0184ccb0b9p-8, -0x1.a6943dd0d5197p-8, -0x1.9b7d35d236c4ap-8, -0x1.90a99adbfc576p-8, -0x1.86180d20e063dp-8, -0x1.7bc7326e9dcb5p-8, -0x1.71b5b6212afa1p-8, -0x1.67e2491604e53p-8, -0x1.5e4ba19eb5911p-8, -0x1.54f07b73ea6cep-8, -0x1.4bcf97a7ef4e7p-8, -0x1.42e7bc990f88cp-8, -0x1.3a37b5e41b09ep-8, -0x1.31be54567d6a5p-8, -0x1.297a6de07c648p-8, -0x1.216add8748fadp-8, -0x1.198e8356d2b16p-8, -0x1.11e44453daf45p-8, -0x1.0a6b0a6db215p-8, -0x1.0321c46ff7a77p-8, -0x1.f80ecbe8c3d35p-9, -0x1.ea35cea8f610ep-9, -0x1.dcb68b364f928p-9, -0x1.cf8f04ecc90e6p-9, -0x1.c2bd4851d9071p-9, -0x1.b63f6af765897p-9, -0x1.aa138b5f3fd6ep-9, -0x1.9e37d0de3c6b2p-9, -0x1.92aa6b7f63374p-9, -0x1.876993e7744d9p-9, -0x1.7c738b3802b8p-9, -0x1.71c69af29e81fp-9, -0x1.676114dd10e99p-9, -0x1.5d4152e3d875fp-9, -0x1.5365b6fe96229p-9, -0x1.49ccab1364723p-9, -0x1.4074a0da8da53p-9, -0x1.375c11c2ce1c3p-9, -0x1.2e817ed5102f8p-9, -0x1.25e37098e52d7p-9, -0x1.1d8076f88af09p-9, -0x1.155729258223ap-9, -0x1.0d66257d5bb15p-9, -0x1.05ac116e5899dp-9, -0x1.fc4f32b8475d3p-10, -0x1.edaee10aed3b1p-10, -0x1.df74a1d1e0c47p-10, -0x1.d19df655e77a6p-10, -0x1.c4286cf5e69a7p-10, -0x1.b711a0f38d9dbp-10, -0x1.aa573a3e91ac8p-10, -0x1.9df6ed421d262p-10, -0x1.91ee7ab13f939p-10, -0x1.863baf549d5c6p-10, -0x1.7adc63d834df1p-10, -0x1.6fce7c99c6cbfp-10, -0x1.650fe977a4f3dp-10, -0x1.5a9ea59fa75f7p-10, -0x1.5078b75f5705ep-10, -0x1.469c2ff38bc6p-10, -0x1.3d072b59bcf91p-10, -0x1.33b7d02028c8ap-10, -0x1.2aac4f3854bf3p-10, -0x1.21e2e3c8f779ep-10, -0x1.1959d2fff8df7p-10, -0x1.110f6be630317p-10, -0x1.090207329f83ap-10, -0x1.0130071ea5184p-10, -0x1.f32fae74d8b36p-11, -0x1.e46fd8845bc2ep-11, -0x1.d61d87e6e4665p-11, -0x1.c835c9c7824a5p-11, -0x1.bab5bcace1c9ap-11, -0x1.ad9a9028a0385p-11, -0x1.a0e184868970ap-11, -0x1.9487ea7b6e3ep-11, -0x1.888b22d883224p-11, -0x1.7ce89e3be104ap-11, -0x1.719ddcc4a7a56p-11, -0x1.66a86dc7424bcp-11, -0x1.5c05ef821fbe9p-11, -0x1.51b40ed4ae4d1p-11, -0x1.47b086f666b4cp-11, -0x1.3df9212ef166dp-11, -0x1.348bb49000e14p-11, -0x1.2b6625af2a009p-11, -0x1.228666613665cp-11, -0x1.19ea757680589p-11, -0x1.11905e78b4065p-11, -0x1.0976396880fd9p-11, -0x1.019a2a7cd7facp-11, -0x1.f3f4c3c70f127p-12, -0x1.e52a3703c600dp-12, -0x1.d6d13d6f936d8p-12, -0x1.c8e67c4216bep-12, -0x1.bb66aeb787869p-12, -0x1.ae4ea5963dbb1p-12, -0x1.a19b46bcb582bp-12, -0x1.95498caf48bc9p-12, -0x1.89568626894b6p-12, -0x1.7dbf55a12019ap-12, -0x1.728130f700232p-12, -0x1.679960edddc12p-12, -0x1.5d0540d02b53fp-12, -0x1.52c23e051c088p-12, -0x1.48cdd7aab2634p-12, -0x1.3f259e32ba62fp-12, -0x1.35c732fdced7ep-12, -0x1.2cb047fd6743fp-12, -0x1.23de9f52e244p-12, -0x1.1b500af3076fcp-12, -0x1.13026c48f08d9p-12, -0x1.0af3b3ddbd8e4p-12, -0x1.0321e0fe1f7dcp-12, -0x1.f71602c8dac42p-13, -0x1.e85a61c57ecfbp-13, -0x1.da0d321e95f0dp-13, -0x1.cc2ae1e312f28p-13, -0x1.beaff963b5e81p-13, -0x1.b1991a93b545cp-13, -0x1.a4e3006c657dp-13, -0x1.988a7e565f84dp-13, -0x1.8c8c7f90140f2p-13, -0x1.80e6069eb98efp-13, -0x1.75942cb9974b1p-13, -0x1.6a942140342b3p-13, -0x1.5fe3292c6b475p-13, -0x1.557e9e8cb7a5ap-13, -0x1.4b63effca54bp-13, -0x1.4190a0231d16cp-13, -0x1.380245313a6efp-13, -0x1.2eb68865ae73ap-13, -0x1.25ab258fb803bp-13, -0x1.1cddea98509f6p-13, -0x1.144cb709e1b1ep-13, -0x1.0bf57b9de3104p-13, -0x1.03d639ca294e5p-13, -0x1.f7da06a4e4b0cp-14, -0x1.e86ff3b492d6dp-14, -0x1.d96a9cf900fd8p-14, -0x1.cac682bf49b89p-14, -0x1.bc8042a5e41e9p-14, -0x1.ae9496cf05b62p-14, -0x1.a10055202273cp-14, -0x1.93c06e8111ed2p-14, -0x1.86d1ee205317ap-14, -0x1.7a31f8bb061c6p-14, -0x1.6dddcbea8f9b9p-14, -0x1.61d2bd73a2106p-14, -0x1.560e3a9b68cd8p-14, -0x1.4a8dc77ee6d2ep-14, -0x1.3f4efe6ef0ae9p-14, -0x1.344f8f4f52a2bp-14, -0x1.298d3efabd6dep-14, -0x1.1f05e6a7edf8fp-14, -0x1.14b77354572e5p-14, -0x1.0a9fe5322fc16p-14, -0x1.00bd4f187fbf5p-14, -0x1.ee1babee68043p-15, -0x1.db1f609f065d9p-15, -0x1.c8824b5a02e2p-15, -0x1.b6411c497874ap-15, -0x1.a458a3a96e346p-15, -0x1.92c5d0d1bbedap-15, -0x1.8185b14227ccap-15, -0x1.70956fb773e45p-15, -0x1.5ff25340d93cp-15, -0x1.4f99be629d815p-15, -0x1.3f892e38b04b2p-15, -0x1.2fbe399e53a21p-15, -0x1.203690615b257p-15, -0x1.10effa71623e1p-15, -0x1.01e8571cbb7c2p-15, -0x1.e63b3897574c8p-16, -0x1.c91bab8b3d018p-16, -0x1.ac6e48ef35988p-16, -0x1.902f7b821e54ap-16, -0x1.745bd58afa7cfp-16, -0x1.58f00f822188fp-16, -0x1.3de906c7ed2f1p-16, -0x1.2343bc6059803p-16, -0x1.08fd53b623e83p-16, -0x1.de2622d7ebb5cp-17, -0x1.ab04b45ee8e74p-17, -0x1.78916332dd5f4p-17, -0x1.46c772221974bp-17, -0x1.15a25d7656b6ap-17, -0x1.ca3bb1aa02041p-18, -0x1.6a6b9a8e1baf8p-18, -0x1.0bccae6014a89p-18, -0x1.5caf11a44ece8p-19, -0x1.48149325bcbc5p-20, 0x1.2624e9662f898p-23, 0x1.8d46b3bc6813cp-20, 0x1.78c4d231c75b3p-19, 0x1.1469076b5c9ccp-18, 0x1.6b6ae586dd0a6p-18, 0x1.c16d161dd619p-18, 0x1.0b3a3207b558dp-17, 0x1.3542aaa4fbf88p-17, 0x1.5ed216db29aa9p-17, 0x1.87ea78feb804dp-17, 0x1.b08db51dc8c6dp-17, 0x1.d8bd924dcb2dp-17, 0x1.003dddf93edb6p-16, 0x1.13e4e17a40879p-16, 0x1.27548f7c4910dp-16, 0x1.3a8d97c0cb492p-16, 0x1.4d909e8a0dcaap-16, 0x1.605e3d22df604p-16, 0x1.72f702680805dp-16, 0x1.855b73461e418p-16, 0x1.978c0b3ab1a5ep-16, 0x1.a9893ccdd773ap-16, 0x1.bb53720466741p-16, 0x1.cceb0cd59f0cp-16, 0x1.de506795667dcp-16, 0x1.ef83d56187582p-16, 0x1.0042d14300506p-15, 0x1.08ab0a7056e8ep-15, 0x1.10fab621360b3p-15, 0x1.1931f163bd782p-15, 0x1.2150d69a4c6ebp-15, 0x1.29577da4cab8dp-15, 0x1.3145fc0b066a9p-15, 0x1.391c6524059c3p-15, 0x1.40daca3c8d4bdp-15, 0x1.48813abba3f51p-15, 0x1.500fc446afa2cp-15, 0x1.578672e3423fcp-15, 0x1.5ee551184faa4p-15, 0x1.662c680d47589p-15, 0x1.6d5bbfa8ea9e5p-15, 0x1.74735eade10a4p-15, 0x1.7b734ad701781p-15, 0x1.825b88f297b8dp-15, 0x1.892c1cfaf2853p-15, 0x1.8fe50a305c3e4p-15, 0x1.9686532f4294cp-15, 0x1.9d0ffa07dbbbfp-15, 0x1.a3820053a5172p-15, 0x1.a9dc6748c6e9ap-15, 0x1.b01f2fcfd7d4ep-15, 0x1.b64a5a947c919p-15, 0x1.bc5de818e47b3p-15, 0x1.c259d8c59e719p-15, 0x1.c83e2cfb139f8p-15, 0x1.ce0ae51fb7e71p-15, 0x1.d3c001af81cebp-15, 0x1.d95d834973c0cp-15, 0x1.dee36abcde51ap-15, 0x1.e451b915897f5p-15, 0x1.e9a86fa8541dap-15, 0x1.eee7901d12892p-15, 0x1.f40f1c7a76b0cp-15, 0x1.f91f172e50177p-15, 0x1.fe178318493p-15, 0x1.017c31c8d1eeep-14, 0x1.03e0de3af5a83p-14, 0x1.0639c914dd94cp-14, 0x1.0886f4d1a9e6fp-14, 0x1.0ac8643787e49p-14, 0x1.0cfe1a5bbefddp-14, 0x1.0f281aa4ad2b2p-14, 0x1.114668cd1624bp-14, 0x1.135908e5c9d25p-14, 0x1.155fff586198bp-14, 0x1.175b50e8c68a4p-14, 0x1.194b02b7455e7p-14, 0x1.1b2f1a41bdce5p-14, 0x1.1d079d6562995p-14, 0x1.1ed4925fdf55ep-14, 0x1.2095ffd019bccp-14, 0x1.224becb77055bp-14, 0x1.23f6607a3949ep-14, 0x1.259562e059b5ep-14, 0x1.2728fc15e8dfcp-14, 0x1.28b134ab26d8dp-14, 0x1.2a2e159538054p-14, 0x1.2b9fa82d531p-14, 0x1.2d05f631bb7f4p-14, 0x1.2e6109c49a44dp-14, 0x1.2fb0ed6c54c06p-14, 0x1.30f5ac12f1771p-14, 0x1.322f510591b01p-14, 0x1.335de7f3d65a3p-14, 0x1.34817cef5ee1cp-14, 0x1.359a1c6ab9b6dp-14, 0x1.36a7d338ca472p-14, 0x1.37aaae8bc6203p-14, 0x1.38a2bbf43c56p-14, 0x1.3990095febe9fp-14, 0x1.3a72a518c4e39p-14, 0x1.3b4a9dc394901p-14, 0x1.3c18025ed510dp-14, 0x1.3cdae24161e47p-14, 0x1.3d934d1924264p-14, 0x1.3e4152e9788c7p-14, 0x1.3ee5040a1b10ap-14, 0x1.3f7e71251eae9p-14, 0x1.400dab35fb18ep-14, 0x1.4092c3877dcd2p-14, 0x1.410dcbb283d67p-14, 0x1.417ed59c1e95p-14, 0x1.41e5f3741b9a2p-14, 0x1.424337b31efd4p-14, 0x1.4296b51901f72p-14, 0x1.42e07eab314efp-14, 0x1.4320a7b2d0df1p-14, 0x1.435743bae0e79p-14, 0x1.4384668ebb1abp-14, 0x1.43a82437e9645p-14, 0x1.43c290fca8ba7p-14, 0x1.43d3c15ddcb74p-14, 0x1.43dbca156169ep-14, 0x1.43dac0140e6e5p-14, 0x1.43d0b88016131p-14, 0x1.43bdc8b2f80c5p-14, 0x1.43a20637cf2p-14, 0x1.437d86c96c61ep-14, 0x1.43506050631e8p-14, 0x1.431aa8e17b47ap-14, 0x1.42dc76bb8416cp-14, 0x1.4295e045d08f6p-14, 0x1.4246fc0e204a3p-14, 0x1.41efe0c70095bp-14, 0x1.4190a545e5889p-14, 0x1.4129608150963p-14, 0x1.40ba298f3ea86p-14, 0x1.404317a327405p-14, 0x1.3fc4420c5d979p-14, 0x1.3f3dc034308abp-14, 0x1.3eafa99c5b382p-14, 0x1.3e1a15dd1db6p-14, 0x1.3d7d1ca3a19f5p-14, 0x1.3cd8d5b058af3p-14, 0x1.3c2d58d52f397p-14, 0x1.3b7abdf409096p-14, 0x1.3ac11cfcf4c12p-14, 0x1.3a008decbf0efp-14, 0x1.393928cb2c886p-14, 0x1.386b05a974ea9p-14, 0x1.37963ca0d4b02p-14, 0x1.36bae5d0ced9ep-14, 0x1.35d9195dcebb9p-14, 0x1.34f0ef6f9e8cbp-14, 0x1.3402802fe670ep-14, 0x1.330de3c8bb886p-14, 0x1.32133263435c1p-14, 0x1.31128426325b4p-14, 0x1.300bf1348374cp-14, 0x1.2eff91abf60a6p-14, 0x1.2ded7da3e6252p-14, 0x1.2cd5cd2bd47f3p-14, 0x1.2bb8984a30d94p-14, 0x1.2a95f6fb13eaap-14, 0x1.296e012ef7b33p-14, 0x1.2840cec977b98p-14, 0x1.270e77a04782cp-14, 0x1.25d71379c1756p-14, 0x1.249aba0c06634p-14, 0x1.235982fbacd98p-14, 0x1.221385dab56eap-14, 0x1.20c8da278673ep-14, 0x1.1f79974bba9dp-14, 0x1.1e25d49b358d8p-14, 0x1.1ccda953190dap-14, 0x1.1b712c98c50e8p-14, 0x1.1a107578db19cp-14, 0x1.18ab9ae66768dp-14, 0x1.1742b3b9d7b84p-14, 0x1.15d5d6b029f46p-14, 0x1.14651a6a062ddp-14, 0x1.12f0956addc7ep-14, 0x1.11785e182b137p-14, 0x1.0ffc8ab896414p-14, 0x1.0e7d317336c9cp-14, 0x1.0cfa684eb9744p-14, 0x1.0b744530cb8a1p-14, 0x1.09eadddd4362cp-14, 0x1.085e47f572031p-14, 0x1.06ce98f78c272p-14, 0x1.053be63dfc6b7p-14, 0x1.03a644fea6547p-14, 0x1.020dca4a78f59p-14, 0x1.00728b0cb61d6p-14, 0x1.fda93814c809fp-15, 0x1.fa6823c3ac1e2p-15, 0x1.f7220214246edp-15, 0x1.f3d6fba4b628bp-15, 0x1.f08738c359bfap-15, 0x1.ed32e16c91776p-15, 0x1.e9da1d4a7b994p-15, 0x1.e67d13b3f709bp-15, 0x1.e31bebabe0ba3p-15, 0x1.dfb6cbe02e285p-15, 0x1.dc4ddaa9423abp-15, 0x1.d8e13e0952b0fp-15, 0x1.d5711bab5e9b2p-15, 0x1.d1fd98e2e874ap-15, 0x1.ce86daab3d502p-15, 0x1.cb0d05a6ba368p-15, 0x1.c7903e1e65d4cp-15, 0x1.c410a80182f47p-15, 0x1.c08e66e4e5b58p-15, 0x1.bd099e028a596p-15, 0x1.b98270395354dp-15, 0x1.b5f9000c7bb79p-15, 0x1.b26d6fa33f9ffp-15, 0x1.aedfe0c899934p-15, 0x1.ab5074eb04e23p-15, 0x1.a7bf4d1bfadfap-15, 0x1.a42c8a0fe6fd3p-15, 0x1.a0984c1e0490fp-15, 0x1.9d02b33fec42fp-15, 0x1.996bdf11aac03p-15, 0x1.95d3eed17ecbdp-15, 0x1.923b015fbe95ap-15, 0x1.8ea1353ebe81dp-15, 0x1.8b06a892d1e19p-15, 0x1.876b792243be3p-15, 0x1.83cfc4552a888p-15, 0x1.8033a7359bfa6p-15, 0x1.7c973e6fbc38cp-15, 0x1.78faa6517902ap-15, 0x1.755dfacb0712ep-15, 0x1.71c1576ecdf2bp-15, 0x1.6e24d77158d83p-15, 0x1.6a8895a9cd2efp-15, 0x1.66ecac91e9838p-15, 0x1.63513646189bcp-15, 0x1.5fb64c85d42eep-15, 0x1.5c1c08b3c3e18p-15, 0x1.588283d5fd674p-15, 0x1.54e9d69639793p-15, 0x1.5152194236ea3p-15, 0x1.4dbb63cbd7d57p-15, 0x1.4a25cdc98ec9dp-15, 0x1.46916e76ac9cp-15, 0x1.42fe5cb393337p-15, 0x1.3f6caf06362a1p-15, 0x1.3bdc7b9a7e98bp-15, 0x1.384dd8426acbcp-15, 0x1.34c0da76a424ap-15, 0x1.3135975719a9cp-15, 0x1.2dac23aacfbf4p-15, 0x1.2a2493e0d5824p-15, 0x1.269efc10a5b3cp-15, 0x1.231b6ffa3b9e1p-15, 0x1.1f9a0307013b5p-15, 0x1.1c1ac84a04e47p-15, 0x1.189dd2805fff9p-15, 0x1.152334120e73fp-15, 0x1.11aaff1209af5p-15, 0x1.0e35453f011dcp-15, 0x1.0ac21803e8d63p-15, 0x1.0751887857ff8p-15, }}, 
      {{0x1.e4ba6ba93fff5p-1, 0x1.e478a80106196p-1, 0x1.e40eb951417c8p-1, 0x1.e38132190d571p-1, 0x1.e2d52f4fd81f5p-1, 0x1.e20fbed6e3d0ep-1, 0x1.e135779348d9p-1, 0x1.e04a3e872d25fp-1, 0x1.df512f5f036ecp-1, 0x1.de4c9e25a2557p-1, 0x1.dd3e290118e9dp-1, 0x1.dc26d2c0a0e6ap-1, 0x1.db0720f84fbf6p-1, 0x1.d9df3a1a0cd48p-1, 0x1.d8af0152df50fp-1, 0x1.d7762ef1837adp-1, 0x1.d63464cd20f99p-1, 0x1.d4e93e99511d4p-1, 0x1.d3945e5ee258ap-1, 0x1.d235757b85c9cp-1, 0x1.d0cc4a9f894a3p-1, 0x1.cf58bd471c372p-1, 0x1.cddac729923e8p-1, 0x1.cc527c1043537p-1, 0x1.cac0087aa185ap-1, 0x1.c923af67a8e85p-1, 0x1.c77dc78f117a1p-1, 0x1.c5ceb8477b7cap-1, 0x1.c416f64a99a61p-1, 0x1.c257007d74b18p-1, 0x1.c08f5cd95bcd5p-1, 0x1.bec09589f636cp-1, 0x1.bceb364e2741ep-1, 0x1.bb0fca23f27ep-1, 0x1.b92ed94325fe9p-1, 0x1.b748e7672f479p-1, 0x1.b55e7265e8933p-1, 0x1.b36ff10f5a64ap-1, 0x1.b17dd25128932p-1, 0x1.af887c97992f4p-1, 0x1.ad904d65bfd16p-1, 0x1.ab95991e36aa4p-1, 0x1.a998aaf5ebb6cp-1, 0x1.a799c50ad2591p-1, 0x1.a59920989b69ap-1, 0x1.a396ee461ada9p-1, 0x1.a19356866d929p-1, 0x1.9f8e7a097b217p-1, 0x1.9d887237eeef6p-1, 0x1.9b8151b737f7ep-1, 0x1.997924f29d3dbp-1, 0x1.976ff2a6d889bp-1, 0x1.9565bc6e13e66p-1, 0x1.935a7f4a7dceap-1, 0x1.914e342df8f2fp-1, 0x1.8f40d07db9a8dp-1, 0x1.8d324690d9678p-1, 0x1.8b2286292e6b8p-1, 0x1.89117ce5d73fcp-1, 0x1.86ff16af1f5a3p-1, 0x1.84eb3e1b7daf2p-1, 0x1.82d5dccd8f53bp-1, 0x1.80bedbcb0aa9ep-1, 0x1.7ea623ccb6f75p-1, 0x1.7c8b9d878b5bdp-1, 0x1.7a6f31ef2125p-1, 0x1.7850ca71b2a9ap-1, 0x1.7630512de6738p-1, 0x1.740db122ad15ep-1, 0x1.71e8d6597edfap-1, 0x1.6fc1ae0b43f5dp-1, 0x1.6d9826c037c3p-1, 0x1.6b6c306b16e4ep-1, 0x1.693dbc7fe966fp-1, 0x1.670cbe06b1db1p-1, 0x1.64d929aa53fe8p-1, 0x1.62a2f5c3f9126p-1, 0x1.606a1a633b593p-1, 0x1.5e2e91535dff1p-1, 0x1.5bf0561dd1da8p-1, 0x1.59af660a488e4p-1, 0x1.576bc01c8f384p-1, 0x1.552565106abc2p-1, 0x1.52dc5753aae05p-1, 0x1.50909afea547ap-1, 0x1.4e4235cb48e08p-1, 0x1.4bf12f0af43b1p-1, 0x1.499d8f9b38555p-1, 0x1.474761d9ae91bp-1, 0x1.44eeb19702638p-1, 0x1.42938c0952fa6p-1, 0x1.4035ffbe08304p-1, 0x1.3dd61c8b37194p-1, 0x1.3b73f380b097ap-1, 0x1.390f96d8cd4fp-1, 0x1.36a919e91272ap-1, 0x1.34409112bb4efp-1, 0x1.31d611b33dfd3p-1, 0x1.2f69b214d91a8p-1, 0x1.2cfb895f37b58p-1, 0x1.2a8baf88386a4p-1, 0x1.281a3d44e46f4p-1, 0x1.25a74bfa9cba7p-1, 0x1.2332f5b08a71p-1, 0x1.20bd55015544ap-1, 0x1.1e46850d2af5ap-1, 0x1.1bcea16c19bc6p-1, 0x1.1955c620c432dp-1, 0x1.16dc0f8b72429p-1, 0x1.14619a5d829d1p-1, 0x1.11e6838d3f279p-1, 0x1.0f6ae84a14248p-1, 0x1.0ceee5f130b18p-1, 0x1.0a729a028ae37p-1, 0x1.07f622164e511p-1, 0x1.05799bd2afc53p-1, 0x1.02fd24e228f5p-1, 0x1.0080daea1c715p-1, 0x1.fc09b703b839ap-2, 0x1.f71288542fbb4p-2, 0x1.f21c648958cffp-2, 0x1.ed278619ae60fp-2, 0x1.e834271f8c93ap-2, 0x1.e342814b174f7p-2, 0x1.de52cdd4ceed8p-2, 0x1.d9654570e3577p-2, 0x1.d47a20433079fp-2, 0x1.cf9195d3e9511p-2, 0x1.caabdd04eb664p-2, 0x1.c5c92c07b5eaep-2, 0x1.c0e9b853fa4f5p-2, 0x1.bc0db69ecf24fp-2, 0x1.b7355ad2702cdp-2, 0x1.b260d806937e6p-2, 0x1.ad9060794afadp-2, 0x1.a8c4258869b1p-2, 0x1.a3fc57ab6fd61p-2, 0x1.9f39266df3a5bp-2, 0x1.9a7ac06a84159p-2, 0x1.95c1534601673p-2, 0x1.910d0bab67a26p-2, 0x1.8c5e154805b19p-2, 0x1.87b49ac81cb9cp-2, 0x1.8310c5d3e73ep-2, 0x1.7e72bf0cfe60bp-2, 0x1.79daae0c1cd34p-2, 0x1.7548b95f3f021p-2, 0x1.70bd06881189ep-2, 0x1.6c37b9fabb282p-2, 0x1.67b8f71ced79bp-2, 0x1.6340e0454554bp-2, 0x1.5ecf96baf2d2cp-2, 0x1.5a653ab5a5f6fp-2, 0x1.5601eb5dbbfa8p-2, 0x1.51a5c6ccabee7p-2, 0x1.4d50ea0db160cp-2, 0x1.4903711ead8a3p-2, 0x1.44bd76f13f05dp-2, 0x1.407f156c0e4ecp-2, 0x1.3c48656c4a2eap-2, 0x1.38197ec753abap-2, 0x1.33f2784c95107p-2, 0x1.2fd367c7847e7p-2, 0x1.2bbc6201ca908p-2, 0x1.27ad7ac59255p-2, 0x1.23a6c4dff9d38p-2, 0x1.1fa85223a5c2p-2, 0x1.1bb2336b700ddp-2, 0x1.17c4789d3a74ep-2, 0x1.13df30acd63b5p-2, 0x1.1002699f0877bp-2, 0x1.0c2e308ca61edp-2, 0x1.086291a5c52bep-2, 0x1.049f983503559p-2, 0x1.00e54ea2decb8p-2, 0x1.fa677cf2449a8p-3, 0x1.f315e0ccbce74p-3, 0x1.ebd5d882e840ap-3, 0x1.e4a7721a567d3p-3, 0x1.dd8ab9f7a823ep-3, 0x1.d67fbae5efd27p-3, 0x1.cf867e1e18eb6p-3, 0x1.c89f0b4e6b4a4p-3, 0x1.c1c968a21521p-3, 0x1.bb059ac8c9f0ap-3, 0x1.b453a4fe5fc08p-3, 0x1.adb389127faecp-3, 0x1.a725477056817p-3, 0x1.a0a8df264e02dp-3, 0x1.9a3e4dedc3babp-3, 0x1.93e59032c5cf8p-3, 0x1.8d9ea11bce256p-3, 0x1.87697a917673cp-3, 0x1.8146154634454p-3, 0x1.7b3468be019e1p-3, 0x1.75346b560926fp-3, 0x1.6f46124c48aabp-3, 0x1.696951c728256p-3, 0x1.639e1cdd09c8ep-3, 0x1.5de4659bccd09p-3, 0x1.583c1d1043233p-3, 0x1.52a5334d9e28ap-3, 0x1.4d1f9774ca082p-3, 0x1.47ab37bbb4abdp-3, 0x1.4248017492203p-3, 0x1.3cf5e115022a6p-3, 0x1.37b4c23d2b508p-3, 0x1.32848fbec52b7p-3, 0x1.2d6533a40692cp-3, 0x1.285697368cbf6p-3, 0x1.2358a30622c3ap-3, 0x1.1e6b3eef7af07p-3, 0x1.198e5222d07aep-3, 0x1.14c1c32a7242bp-3, 0x1.100577f13b201p-3, 0x1.0b5955c8eb68ap-3, 0x1.06bd417077e57p-3, 0x1.02311f1a3215fp-3, 0x1.fb69a4e3cd8a7p-4, 0x1.f2907d45b4a32p-4, 0x1.e9d68cbb63346p-4, 0x1.e13b97bc81127p-4, 0x1.d8bf61e27ff9fp-4, 0x1.d061adf3d9a49p-4, 0x1.c8223def120ddp-4, 0x1.c000d3159303bp-4, 0x1.b7fd2df64862bp-4, 0x1.b0170e78159d6p-4, 0x1.a84e33e40db1bp-4, 0x1.a0a25cef7d612p-4, 0x1.991347c5c6f6cp-4, 0x1.91a0b211fd50cp-4, 0x1.8a4a590858625p-4, 0x1.830ff96f73b43p-4, 0x1.7bf14fa9535dep-4, 0x1.74ee17bc416a2p-4, 0x1.6e060d5b6e2fdp-4, 0x1.6738ebef6482cp-4, 0x1.60866e9e4b39fp-4, 0x1.59ee5053f21cbp-4, 0x1.53704bc9af7c2p-4, 0x1.4d0c1b8e0baa6p-4, 0x1.46c17a0c3dff9p-4, 0x1.4090219375729p-4, 0x1.3a77cc5df319bp-4, 0x1.34783497f6eefp-4, 0x1.2e9114667934cp-4, 0x1.28c225edb91bfp-4, 0x1.230b2357999f8p-4, 0x1.1d6bc6d9d3a19p-4, 0x1.17e3cabbfa775p-4, 0x1.1272e95d4d71p-4, 0x1.0d18dd3a6902fp-4, 0x1.07d560f2c0de7p-4, 0x1.02a82f4df4652p-4, 0x1.fb220681ee9bdp-5, 0x1.f11f2fe623a84p-5, 0x1.e747518568147p-5, 0x1.dd99e294470dcp-5, 0x1.d4165ac7fca48p-5, 0x1.cabc325f31698p-5, 0x1.c18ae22a651eep-5, 0x1.b881e39407c85p-5, 0x1.afa0b0a851a3fp-5, 0x1.a6e6c41cc765cp-5, 0x1.9e5399577a8c1p-5, 0x1.95e6ac75fca4ep-5, 0x1.8d9f7a5413f3ap-5, 0x1.857d809221a02p-5, 0x1.7d803d9b49453p-5, 0x1.75a730ab55a5p-5, 0x1.6df1d9d4580dep-5, 0x1.665fba040bee8p-5, 0x1.5ef05308f6dc5p-5, 0x1.57a327974f9a8p-5, 0x1.5077bb4da2a0fp-5, 0x1.496d92b940ce8p-5, 0x1.4284335a7196cp-5, 0x1.3bbb23a86ce48p-5, 0x1.3511eb151a93cp-5, 0x1.2e8812109ff61p-5, 0x1.281d220cb5bf1p-5, 0x1.21d0a57fcc556p-5, 0x1.1ba227e7f560dp-5, 0x1.159135cdaa83dp-5, 0x1.0f9d5cc65195ap-5, 0x1.09c62b76a18b6p-5, 0x1.040b3194d1325p-5, 0x1.fcd7ffd533df5p-6, 0x1.f1d050ae1a381p-6, 0x1.e6fe7ba08bad1p-6, 0x1.dc61a8c9d10e8p-6, 0x1.d1f9027aff18ep-6, 0x1.c7c3b53b57d9ep-6, 0x1.bdc0efca70451p-6, 0x1.b3efe321f3439p-6, 0x1.aa4fc27731668p-6, 0x1.a0dfc33c627c7p-6, 0x1.979f1d219b27bp-6, 0x1.8e8d0a158fca4p-6, 0x1.85a8c6460abdep-6, 0x1.7cf1902028247p-6, 0x1.7466a85058047p-6, 0x1.6c0751c2205c1p-6, 0x1.63d2d19faa6dfp-6, 0x1.5bc86f5119de8p-6, 0x1.53e7747ba74d1p-6, 0x1.4c2f2d0099da2p-6, 0x1.449ee6fbefc11p-6, 0x1.3d35f2c2fc63cp-6, 0x1.35f3a2e2ba568p-6, 0x1.2ed74c1dff2a2p-6, 0x1.27e0456b82e07p-6, 0x1.210de7f3b8ef8p-6, 0x1.1a5f8f0e8a4efp-6, 0x1.13d49840dd8e1p-6, 0x1.0d6c633a042d9p-6, 0x1.072651d101f8ep-6, 0x1.0101c801acf75p-6, 0x1.f5fc57d36c4a2p-7, 0x1.ea35cb8b19bfcp-7, 0x1.deaebfda3e4a5p-7, 0x1.d3660da129c51p-7, 0x1.c85a91e9967b6p-7, 0x1.bd8b2ddfb203fp-7, 0x1.b2f6c6cac4ffbp-7, 0x1.a89c4605cb5e5p-7, 0x1.9e7a98f7c9143p-7, 0x1.9490b10bffda9p-7, 0x1.8add83aa03289p-7, 0x1.81600a2d8cd71p-7, 0x1.781741de4d8c3p-7, 0x1.6f022be791858p-7, 0x1.661fcd4fad169p-7, 0x1.5d6f2eef7302p-7, 0x1.54ef5d6979902p-7, 0x1.4c9f69213b0ep-7, 0x1.447e663237b52p-7, 0x1.3c8b6c66f28f6p-7, 0x1.34c5972fdc571p-7, 0x1.2d2c059a27aebp-7, 0x1.25bdda4697275p-7, 0x1.1e7a3b602efcfp-7, 0x1.17605292dcd54p-7, 0x1.106f4d0216c41p-7, 0x1.09a65b3f73fb1p-7, 0x1.0304b141241e2p-7, 0x1.f9130cb0fba1cp-8, 0x1.ec682a50de938p-8, 0x1.e0073737e12b6p-8, 0x1.d3eeb5b8f398dp-8, 0x1.c81d2e90c9b97p-8, 0x1.bc9130d2b18cep-8, 0x1.b14951d55e675p-8, 0x1.a6442d1fc9875p-8, 0x1.9b806455f99f3p-8, 0x1.90fc9f25d1afdp-8, 0x1.86b78b33f07e7p-8, 0x1.7cafdc08a647bp-8, 0x1.72e44afcd0449p-8, 0x1.69539726d63edp-8, 0x1.5ffc8547c3badp-8, 0x1.56dddfb84543dp-8, 0x1.4df67655e23c8p-8, 0x1.45451e703787ap-8, 0x1.3cc8b2b639ca9p-8, 0x1.34801323a9397p-8, 0x1.2c6a24ee78b96p-8, 0x1.2485d27468cc8p-8, 0x1.1cd20b28b67afp-8, 0x1.154dc381d6556p-8, 0x1.0df7f4e75a415p-8, 0x1.06cf9d9fde05dp-8, 0x1.ffa7817e88226p-9, 0x1.f206cc2972c63p-9, 0x1.e4bb34327af28p-9, 0x1.d7c2dbbbe742ep-9, 0x1.cb1bedf59a7a6p-9, 0x1.bec49efa80d13p-9, 0x1.b2bb2bae3e8e9p-9, 0x1.a6fdd99b31f46p-9, 0x1.9b8af6d0ab35bp-9, 0x1.9060d9c18931cp-9, 0x1.857de12310bb1p-9, 0x1.7ae073cbff8acp-9, 0x1.7087009406c91p-9, 0x1.666ffe33784p-9, 0x1.5c99eb236545cp-9, 0x1.53034d7ddb7cbp-9, 0x1.49aab2deb000ep-9, 0x1.408eb0444463fp-9, 0x1.37ade1f0fcfdep-9, 0x1.2f06eb4cbb2dbp-9, 0x1.269876c6e337bp-9, 0x1.1e6135b879c7ap-9, 0x1.165fe046ce306p-9, 0x1.0e93354653f4fp-9, 0x1.06f9fa1dd4b3ap-9, 0x1.ff25f554134c5p-10, 0x1.f0ba1242b1334p-10, 0x1.e2adfbf07a523p-10, 0x1.d4ff6f8b1d02bp-10, 0x1.c7ac364efa741p-10, 0x1.bab22551a2b82p-10, 0x1.ae0f1d4c957e3p-10, 0x1.a1c10a68fcc12p-10, 0x1.95c5e40c15f8bp-10, 0x1.8a1baca43d6ccp-10, 0x1.7ec0717672009p-10, 0x1.73b24a6ca3a7ep-10, 0x1.68ef59e4c1431p-10, 0x1.5e75cc802bcffp-10, 0x1.5443d8f41f0cdp-10, 0x1.4a57bfda730e2p-10, 0x1.40afcb83317e9p-10, 0x1.374a4fc6cf419p-10, 0x1.2e25a9d8dd6e1p-10, 0x1.2540401b9034ep-10, 0x1.1c9881f3d3a3ep-10, 0x1.142ce79de6656p-10, 0x1.0bfbf202ca6a5p-10, 0x1.04042a8e1e2ddp-10, 0x1.f88846098517ap-11, 0x1.e974eab7bf764p-11, 0x1.dacb8721b83f4p-11, 0x1.cc896f0307b96p-11, 0x1.beac058a91483p-11, 0x1.b130bd0d054aap-11, 0x1.a41516b9be74dp-11, 0x1.9756a24fce739p-11, 0x1.8af2fdd4fd1cbp-11, 0x1.7ee7d54d43eb2p-11, 0x1.7332e273e51dp-11, 0x1.67d1ec757cfdfp-11, 0x1.5cc2c7aafebb4p-11, 0x1.5203555637e8p-11, 0x1.4791835ee41efp-11, 0x1.3d6b4c118d956p-11, 0x1.338eb5de810c3p-11, 0x1.29f9d31b00693p-11, 0x1.20aac1c266e74p-11, 0x1.179fab391f66p-11, 0x1.0ed6c4105565fp-11, 0x1.064e4bca8ffa9p-11, 0x1.fc0919433a514p-12, 0x1.ebefb69a179a3p-12, 0x1.dc4d2d941e51bp-12, 0x1.cd1e5048b609ap-12, 0x1.be60047ed84d1p-12, 0x1.b00f43428fd5p-12, 0x1.a229187c75194p-12, 0x1.94aaa289e2a04p-12, 0x1.879111d86fe0cp-12, 0x1.7ad9a882086a3p-12, 0x1.6e81b9eb5cbafp-12, 0x1.6286aa6439edfp-12, 0x1.56e5eec915739p-12, 0x1.4b9d0c26d03f3p-12, 0x1.40a9976010a0ep-12, 0x1.360934d3cc914p-12, 0x1.2bb99806691dep-12, 0x1.21b8834b8d871p-12, 0x1.1803c77208711p-12, 0x1.0e99437132893p-12, 0x1.0576e41803c4p-12, 0x1.f935477ab3e7bp-13, 0x1.e80513e41e7bfp-13, 0x1.d759566939c1bp-13, 0x1.c72e514b5ebe2p-13, 0x1.b7805f7e24308p-13, 0x1.a84bf415f11cfp-13, 0x1.998d99bb3b7fap-13, 0x1.8b41f21f9a793p-13, 0x1.7d65b57598d79p-13, 0x1.6ff5b1eb1af36p-13, 0x1.62eecb27b38dbp-13, 0x1.564df9cafa7bbp-13, 0x1.4a104af0623eap-13, 0x1.3e32dfb38bb56p-13, 0x1.32b2ecb78734bp-13, 0x1.278db9b16e34dp-13, 0x1.1cc0a0f3bb0c4p-13, 0x1.12490efe0bf8bp-13, 0x1.0824820d1330ep-13, 0x1.fca1135c93aaep-14, 0x1.e9958cab7b059p-14, 0x1.d721d1eae2d21p-14, 0x1.c541652dd9debp-14, 0x1.b3efe7efed953p-14, 0x1.a3291a5087a01p-14, 0x1.92e8da5347291p-14, 0x1.832b232475985p-14, 0x1.73ec0c627b114p-14, 0x1.6527c96822486p-14, 0x1.56daa89ea7fb2p-14, 0x1.490112d096defp-14, 0x1.3b978a81ab695p-14, 0x1.2e9aab4a76801p-14, 0x1.22072936eadc1p-14, 0x1.15d9d028ec857p-14, 0x1.0a0f833d99d47p-14, 0x1.fd4a786f7298ep-15, 0x1.e73015d5f1951p-15, 0x1.d1ca2959db7c9p-15, 0x1.bd13278dc7a75p-15, 0x1.a905add9d52d9p-15, 0x1.959c816ef9723p-15, 0x1.82d28e3cc5e6cp-15, 0x1.70a2e5f25b941p-15, 0x1.5f08bf02148cep-15, 0x1.4dff73ab4ca11p-15, 0x1.3d82810a84c43p-15, 0x1.2d8d862e9669p-15, 0x1.1e1c43325620dp-15, 0x1.0f2a985ecd12p-15, 0x1.00b4854d62373p-15, 0x1.e56c50281dfe4p-16, 0x1.ca5778e9420e4p-16, 0x1.b023361d12ca6p-16, 0x1.96c87135556ccp-16, 0x1.7e404a4e3ae53p-16, 0x1.668416b2ce2fp-16, 0x1.4f8d5f6c9f309p-16, 0x1.3955dfd628904p-16, 0x1.23d7843d19309p-16, 0x1.0f0c6887eba03p-16, 0x1.f5ddadcb19c2ep-17, 0x1.cef28d0abd2a9p-17, 0x1.a94cb4b0a6fbdp-17, 0x1.84e1bfaa535ep-17, 0x1.61a79b92c704dp-17, 0x1.3f9486631e79ap-17, 0x1.1e9f0c2a20ecbp-17, 0x1.fd7c09aca18ep-18, 0x1.bfd124237cb1ep-18, 0x1.842c3a4349b9cp-18, 0x1.4a7ca9c893e94p-18, 0x1.12b257894c133p-18, 0x1.b97b575340a31p-19, 0x1.511f1b77db36fp-19, 0x1.d8658457ed342p-20, 0x1.153404e46cc12p-20, 0x1.61cbe469977f1p-22, -0x1.784a666274972p-22, -0x1.0e8ff6458f8cap-20, -0x1.b936b5742f3ep-20, -0x1.2f1b68e644a91p-19, -0x1.7edf5a36e69a9p-19, -0x1.cbfda078ddbf1p-19, -0x1.0b45f847f3b09p-18, -0x1.2f4fa412b2b4dp-18, -0x1.5225f99b8c537p-18, -0x1.73d2c8bcb1913p-18, -0x1.945f8dcbbc97ap-18, -0x1.b3d5742c716b2p-18, -0x1.d23d58c6f7bc4p-18, -0x1.ef9fcc7818c75p-18, -0x1.06028b36549d5p-17, -0x1.13ba9b33f0022p-17, -0x1.20fbf381aac2dp-17, -0x1.2dca4feb065acp-17, -0x1.3a294bca061b3p-17, -0x1.461c630bb2ebbp-17, -0x1.51a6f3316fc8cp-17, -0x1.5ccc3c464e4c6p-17, -0x1.678f61d489b1bp-17, -0x1.71f36bcafe7cbp-17, -0x1.7bfb4766b7b0ap-17, -0x1.85a9c80a5148ep-17, -0x1.8f01a81b4c8c5p-17, -0x1.980589ce2d56ap-17, -0x1.a0b7f7f4492a3p-17, -0x1.a91b66c0f217fp-17, -0x1.b13234892bbb5p-17, -0x1.b8feaa7bf919ap-17, -0x1.c082fd5a04c58p-17, -0x1.c7c14e22123c4p-17, -0x1.cebbaabe76fe3p-17, -0x1.d5740ea76f9cep-17, -0x1.dbec63858d496p-17, -0x1.e22681cd62005p-17, -0x1.e82431554d973p-17, -0x1.ede729e8a2907p-17, -0x1.f37113d66846dp-17, -0x1.f8c3887a6201ap-17, -0x1.fde012c3ad384p-17, -0x1.016417dabeeaap-16, -0x1.03bea772ae059p-16, -0x1.0600697a151b1p-16, -0x1.082a0902e41c5p-16, -0x1.0a3c2b18cc9c9p-16, -0x1.0c376ef968968p-16, -0x1.0e1c6e4973122p-16, -0x1.0febbd494853ep-16, -0x1.11a5eb06b3bb3p-16, -0x1.134b818df7792p-16, -0x1.14dd061921c4bp-16, -0x1.165af93d752fap-16, -0x1.17c5d717e330ep-16, -0x1.191e1777d2bc7p-16, -0x1.1a642e0866113p-16, -0x1.1b988a7884ea8p-16, -0x1.1cbb98a1e9c54p-16, -0x1.1dcdc0ae187a8p-16, -0x1.1ecf673ae18fp-16, -0x1.1fc0ed7d921eap-16, -0x1.20a2b1647709ep-16, -0x1.21750db7ae279p-16, -0x1.22385a387765dp-16, -0x1.22ecebc06bf9cp-16, -0x1.2393145e1a4ebp-16, -0x1.242b237206d69p-16, -0x1.24b565ca0245ep-16, -0x1.253225bb649f9p-16, -0x1.25a1ab3d1adbcp-16, -0x1.26043bfff2eabp-16, -0x1.265a1b86590b2p-16, -0x1.26a38b3bc0199p-16, -0x1.26e0ca89febc2p-16, -0x1.271216ef708d9p-16, -0x1.2737ac12f73f7p-16, -0x1.2751c3d7dd786p-16, -0x1.2760967109284p-16, -0x1.27645a73094e5p-16, -0x1.275d44e6367b6p-16, -0x1.274b895714927p-16, -0x1.272f59e748f95p-16, -0x1.2708e75ce6351p-16, -0x1.26d86131b050fp-16, -0x1.269df5a19278p-16, -0x1.2659d1b8f13f4p-16, -0x1.260c216166885p-16, -0x1.25b50f6f346b2p-16, -0x1.2554c5ad9b7e5p-16, -0x1.24eb6cea3d928p-16, -0x1.24792d011c118p-16, -0x1.23fe2ce711faap-16, -0x1.237a92b4a2e56p-16, -0x1.22ee83af9fb3p-16, -0x1.225a2455380e9p-16, -0x1.21bd98629a44fp-16, -0x1.211902de7ebe6p-16, -0x1.206c8620dceddp-16, -0x1.1fb843db5fed8p-16, -0x1.1efc5d2121324p-16, -0x1.1e38f26dce168p-16, -0x1.1d6e23acced62p-16, -0x1.1c9c1040039d3p-16, -0x1.1bc2d705fb906p-16, -0x1.1ae296606914bp-16, -0x1.19fb6c39821c3p-16, -0x1.190d760a02943p-16, -0x1.1818d0de081bcp-16, -0x1.171d995a70277p-16, -0x1.161bebc118cb7p-16, -0x1.1513e3f61231fp-16, -0x1.14059d838b16dp-16, -0x1.12f1339dce8e8p-16, -0x1.11d6c1276dc14p-16, -0x1.10b660b4ac23bp-16, -0x1.0f902c8f14092p-16, -0x1.0e643eb8c5511p-16, -0x1.0d32b0ef57fe3p-16, -0x1.0bfb9caf24678p-16, -0x1.0abf1b359fc86p-16, -0x1.097d4584460c8p-16, -0x1.08363462c054dp-16, -0x1.06ea006188de3p-16, -0x1.0598c1dbbc7f4p-16, -0x1.044290f95b1e5p-16, -0x1.02e785b0ec828p-16, -0x1.0187b7c98389ep-16, -0x1.00233edc37be5p-16, -0x1.fd7464ab7327ep-17, -0x1.fa9952ef78471p-17, -0x1.f7b576b4928ecp-17, -0x1.f4c8fdd9d4f75p-17, -0x1.f1d415efa09c9p-17, -0x1.eed6ec39c29d1p-17, -0x1.ebd1adb12a367p-17, -0x1.e8c48705d886dp-17, -0x1.e5afa4a0378b8p-17, -0x1.e29332a2a21f4p-17, -0x1.df6f5cead7cb5p-17, -0x1.dc444f127d0aep-17, -0x1.d912347110d02p-17, -0x1.d5d9381bf2483p-17, -0x1.d29984e7af34p-17, -0x1.cf5345685d424p-17, -0x1.cc06a3f27ae11p-17, -0x1.c8b3ca9b21afp-17, -0x1.c55ae3386faf3p-17, -0x1.c1fc17620ec1p-17, -0x1.be9790710db74p-17, -0x1.bb2d77803f757p-17, -0x1.b7bdf56c5ef76p-17, -0x1.b44932d3c5d18p-17, -0x1.b0cf5816a4653p-17, -0x1.ad508d56a5a52p-17, -0x1.a9ccfa76f4d8ep-17, -0x1.a644c71bdff04p-17, -0x1.a2b81aaac3561p-17, -0x1.9f271c49419e6p-17, -0x1.9b91f2ddc3c97p-17, -0x1.97f8c50e199ffp-17, -0x1.945bb93fc1c16p-17, -0x1.90baf5972887p-17, -0x1.8d169ff74a571p-17, -0x1.896ede0126691p-17, -0x1.85c3d5133ba0cp-17, -0x1.8215aa4906da1p-17, -0x1.7e64827a68b4ep-17, -0x1.7ab0823affd9cp-17, -0x1.76f9cdd9d5637p-17, -0x1.734089608794fp-17, -0x1.6f84d892c3d1fp-17, -0x1.6bc6deedb3a01p-17, -0x1.6806bfa76c89p-17, -0x1.64449dae1f232p-17, -0x1.60809ba7b682cp-17, -0x1.5cbadbf105d1cp-17, -0x1.58f3809d84937p-17, -0x1.552aab762a171p-17, -0x1.51607df9733b5p-17, -0x1.4d95195a57ac8p-17, -0x1.49c89e7fc3007p-17, -0x1.45fb2e043a7eep-17, -0x1.422ce83512a64p-17, -0x1.3e5ded11fd9bbp-17, -0x1.3a8e5c4c7ecc9p-17, -0x1.36be554741741p-17, -0x1.32edf715ce18fp-17, -0x1.2f1d607bd94aap-17, -0x1.2b4cafece312bp-17, -0x1.277c038ba15d4p-17, -0x1.23ab79299bd02p-17, -0x1.1fdb2e46c8109p-17, -0x1.1c0b4010faf18p-17, -0x1.183bcb6397bfap-17, -0x1.146cecc72731cp-17, -0x1.109ec070ee7e7p-17, -0x1.0cd16242c060bp-17, -0x1.0904edca5e6c6p-17, -0x1.05397e415d873p-17, -0x1.016f2e8cce6eep-17, -0x1.fb4c3279c74c5p-18, -0x1.f3bcb1198b4b5p-18, -0x1.ec300cc4aa5a6p-18, -0x1.e4a6789bcbe43p-18, -0x1.dd2027141735dp-18, -0x1.d59d49f70687ep-18, -0x1.ce1e1261fa0b4p-18, -0x1.c6a2b0c5b6c87p-18, -0x1.bf2b54e69ccf7p-18, -0x1.b7b82ddbfb6ecp-18, -0x1.b0496a104f757p-18, -0x1.a8df3740d313ep-18, -0x1.a179c27db814cp-18, -0x1.9a193829d9772p-18, -0x1.92bdc3faecb7dp-18, -0x1.8b6790f957bcap-18, -0x1.8416c9808a2e5p-18, -0x1.7ccb973ee6b35p-18, -0x1.75862335e0e9bp-18, -0x1.6e4695ba7b122p-18, -0x1.670d167506a72p-18, -0x1.5fd9cc61bd695p-18, -0x1.58acddd0f9949p-18, -0x1.518670679701ap-18, -0x1.4a66a91f490bp-18, -0x1.434dac4701bcap-18, -0x1.3c3b9d836f7eep-18, -0x1.35309fcf411c7p-18, -0x1.2e2cd57be9c14p-18, -0x1.27306031e705p-18, -0x1.203b60f1a93b3p-18, -0x1.194df813d97d9p-18, -0x1.1268454a22db4p-18, -0x1.0b8a679fd2e45p-18, -0x1.04b47d7a9a7cfp-18, -0x1.fbcd49368ef8fp-19, -0x1.ee41f43ca465dp-19, -0x1.e0c734f9b98fbp-19, -0x1.d35d431ab031ep-19, -0x1.c6045508d8a77p-19, -0x1.b8bc9feb95021p-19, -0x1.ab8657aa5f466p-19, -0x1.9e61aeee042bfp-19, -0x1.914ed722f4ddfp-19, -0x1.844e007b2aa21p-19, -0x1.775f59eff1b54p-19, -0x1.6a831143d9a0bp-19, -0x1.5db95304de0d9p-19, -0x1.51024a8e865f1p-19, -0x1.445e220b84bfcp-19, -0x1.37cd02787287cp-19, -0x1.2b4f13a5d022ap-19, -0x1.1ee47c3a4d03ap-19, -0x1.128d61b4bf797p-19, -0x1.0649e86eac0b9p-19, -0x1.f434673d02a82p-20, -0x1.dbfccab47cfb2p-20, -0x1.c3ed3d329228dp-20, -0x1.ac05fe6e6d5e4p-20, -0x1.94474bec1d17p-20, -0x1.7cb16101d6e0fp-20, -0x1.654476dcc0eadp-20, -0x1.4e00c485f1c2p-20, -0x1.36e67ee766d7dp-20, -0x1.1ff5d8d145f6ep-20, -0x1.092f02ff2cc9cp-20, -0x1.e524583a137d1p-21, -0x1.b83f01995627ap-21, -0x1.8bae57559529p-21, -0x1.5f72aaa96c3f6p-21, -0x1.338c48d97046ap-21, -0x1.07fb7b4082132p-21, -0x1.b9810eb5af96cp-22, -0x1.63b75d9eaf81bp-22, -0x1.0e9a5ef6b65b4p-22, -0x1.74550df5f3044p-23, -0x1.99a10a0384d93p-24, -0x1.353f70c436addp-26, 0x1.f88fe8d5e20b6p-25, 0x1.219285a54b0d4p-23, 0x1.c3a3141470469p-23, 0x1.322a89a7b5bc2p-22, 0x1.81d3ff74e5a7bp-22, 0x1.d0cdb00bcf946p-22, 0x1.0f8bb35dfebe2p-21, 0x1.36587abaca1f3p-21, 0x1.5ccd1a5a1e977p-21, 0x1.82e981b3a7b87p-21, 0x1.a8ada36e95b7fp-21, 0x1.ce1975563f3bp-21, 0x1.f32cf04e312c5p-21, 0x1.0bf4082464a3bp-20, 0x1.1e256a1d94706p-20, 0x1.302a9f08f6c2dp-20, 0x1.4203a95384b04p-20, 0x1.53b08cdb17fdep-20, 0x1.65314ee89b83bp-20, 0x1.7685f62b4d256p-20, 0x1.87ae8ab31372cp-20, 0x1.98ab15ea8856ap-20, 0x1.a97ba292354c9p-20, 0x1.ba203cbabae2fp-20, 0x1.ca98f1bf91935p-20, 0x1.dae5d041946bbp-20, 0x1.eb06e821fdda6p-20, 0x1.fafc4a7cfa691p-20, 0x1.056304d20a224p-19, 0x1.0d321c8c8be96p-19, 0x1.14eb76c4830fap-19, 0x1.1c8f1e6344cdep-19, 0x1.241d1ee28625p-19, 0x1.2b958449b6867p-19, 0x1.32f85b2b5ba3dp-19, 0x1.3a45b0a29e3eep-19, 0x1.417d9250aa01dp-19, 0x1.48a00e5a40a67p-19, 0x1.4fad33655dd47p-19, 0x1.56a51096541bcp-19, 0x1.5d87b58d94909p-19, 0x1.645532653a73dp-19, 0x1.6b0d97ae7975p-19, 0x1.71b0f66f6ba6p-19, 0x1.783f602088f62p-19, 0x1.7eb8e6a9fcaa9p-19, 0x1.851d9c61be427p-19, 0x1.8b6d9408f1e32p-19, 0x1.91a8e0c99bc75p-19, 0x1.97cf96348386ap-19, 0x1.9de1c83e9dbbp-19, 0x1.a3df8b3ee85dap-19, 0x1.a9c8f3ec1d0ebp-19, 0x1.af9e175a9d02bp-19, 0x1.b55f0afa04292p-19, 0x1.bb0be492ee7a9p-19, 0x1.c0a4ba4512972p-19, 0x1.c629a284ec8fdp-19, 0x1.cb9ab4198a1f9p-19, 0x1.d0f8061a8c7fep-19, 0x1.d641afedf4a1dp-19, 0x1.db77c94651f99p-19, 0x1.e09a6a202009p-19, 0x1.e5a9aac05979ap-19, 0x1.eaa5a3b265307p-19, 0x1.ef8e6dc57eccdp-19, 0x1.f464220b892b1p-19, 0x1.f926d9d6cd5afp-19, 0x1.fdd6aeb78802dp-19, 0x1.0139dd3d6b337p-18, 0x1.037f0b942682cp-18, 0x1.05baef801af99p-18, 0x1.07ed963cfb7f1p-18, 0x1.0a170d20e603cp-18, 0x1.0c37619ba5da1p-18, 0x1.0e4ea135e1e16p-18, 0x1.105cd98fe78a1p-18, }}, 
      {{-0x1.5ed276b3e9db4p-15, -0x1.64ca074c35f32p-13, -0x1.9aa234678b436p-12, -0x1.75494678be12dp-11, -0x1.28bb27dfc4a21p-10, -0x1.af5d512f14d46p-10, -0x1.25a54055fa521p-9, -0x1.7be7ecc702432p-9, -0x1.d78fed79385afp-9, -0x1.1aae058c45f9fp-8, -0x1.48f35a526cf47p-8, -0x1.74ed2faee096fp-8, -0x1.9d0f86dc5419cp-8, -0x1.bffea84a9f42dp-8, -0x1.dc9a9d2640aa5p-8, -0x1.f204d9dea2863p-8, -0x1.ffa0fb975165ap-8, -0x1.0288e3fe5028dp-7, -0x1.0119d1bdb5fffp-7, -0x1.f71589d3f240bp-8, -0x1.e3f159f0d5d03p-8, -0x1.c92409a2f0902p-8, -0x1.a726222fb6161p-8, -0x1.7e84bf301c6b5p-8, -0x1.4fdb2ddd8617fp-8, -0x1.1bcd397b4ed0cp-8, -0x1.c6044eafe4977p-9, -0x1.4c40bec3ce366p-9, -0x1.9726ee15cd0aep-10, -0x1.14c3b4bbbf3e4p-11, 0x1.171a6af5ba32ep-11, 0x1.a895c9ee8bfe1p-10, 0x1.656e8c012c144p-9, 0x1.f860dbb53a906p-9, 0x1.46376895ebcaep-8, 0x1.9081ac5a11611p-8, 0x1.dad3720fcbac9p-8, 0x1.127f9d002b9eep-7, 0x1.37728b8b9c76fp-7, 0x1.5c38e6ba6bf3cp-7, 0x1.80cee81c7c27ep-7, 0x1.a53614b52f592p-7, 0x1.c974aad8bab23p-7, 0x1.ed950e28b1f08p-7, 0x1.08d29a9d524cp-6, 0x1.1adb0de52aa74p-6, 0x1.2ced9ddb472bp-6, 0x1.3f150738dd3ddp-6, 0x1.515ccc03ad5a7p-6, 0x1.63d0fe30dc4p-6, 0x1.767e0f8b14cbdp-6, 0x1.8970a6d5db1c6p-6, 0x1.9cb57a074c2f8p-6, 0x1.b0592d586d35cp-6, 0x1.c46836dacb041p-6, 0x1.d8eec6365e84fp-6, 0x1.edf8b02ce54dfp-6, 0x1.01c8aebedb4p-5, 0x1.0ce1de637e021p-5, 0x1.184d1b82bf92cp-5, 0x1.240f532d3cebcp-5, 0x1.302d27632601ep-5, 0x1.3caaec47a0b23p-5, 0x1.498ca60a090ccp-5, 0x1.56d6076924b1fp-5, 0x1.648a70b857155p-5, 0x1.72acef52cdd2fp-5, 0x1.81403d6bf1d66p-5, 0x1.9046c22f864aep-5, 0x1.9fc292268afe3p-5, 0x1.afb56fd84b88ep-5, 0x1.c020cca0ca17ep-5, 0x1.d105c9b7662aap-5, 0x1.e2653961b9c6dp-5, 0x1.f43fa04fa4f7dp-5, 0x1.034a9b8f1238dp-4, 0x1.0cb2f5ff7cb25p-4, 0x1.1658b241c5023p-4, 0x1.203b7fc4aeab1p-4, 0x1.2a5aeba35c60fp-4, 0x1.34b661badb00cp-4, 0x1.3f4d2dce1083cp-4, 0x1.4a1e7cb7105dcp-4, 0x1.55295da4d1cbap-4, 0x1.606cc364159c4p-4, 0x1.6be785b245a84p-4, 0x1.77986298f5b0cp-4, 0x1.837dffd09a5dfp-4, 0x1.8f96ec290e6d7p-4, 0x1.9be1a0f65989fp-4, 0x1.a85c83803c1ap-4, 0x1.b505e673086d9p-4, 0x1.c1dc0b50293dp-4, 0x1.cedd23dd0278dp-4, 0x1.dc07538eacba4p-4, 0x1.e958b0f1322cfp-4, 0x1.f6cf47090072cp-4, 0x1.02348b56b69e7p-3, 0x1.09120bed8878ap-3, 0x1.0fff1d7e8bf89p-3, 0x1.16fab516406d7p-3, 0x1.1e03c5324403fp-3, 0x1.25193e55cc925p-3, 0x1.2c3a0f980553ep-3, 0x1.3365272c25987p-3, 0x1.3a9972e3081c7p-3, 0x1.41d5e0a6170edp-3, 0x1.49195eeb84d9ep-3, 0x1.5062dd23b4a85p-3, 0x1.57b14c1fda90ep-3, 0x1.5f039e71ddf6dp-3, 0x1.6658c8c582856p-3, 0x1.6dafc2330826ap-3, 0x1.7507848b4f282p-3, 0x1.7c5f0c9db8d7fp-3, 0x1.83b55a77e98c7p-3, 0x1.8b09719fac4cbp-3, 0x1.925a594725d6cp-3, 0x1.99a71c7b9abebp-3, 0x1.a0eeca4f07fb6p-3, 0x1.a83075fccfd9cp-3, 0x1.af6b3709baab2p-3, 0x1.b69e295f9977cp-3, 0x1.bdc86d64c5a49p-3, 0x1.c4e9280fcbd5cp-3, 0x1.cbff82f77f9f9p-3, 0x1.d30aac5fc2cadp-3, 0x1.da09d7433796bp-3, 0x1.e0fc3b5a3269bp-3, 0x1.e7e1151f0fe29p-3, 0x1.eeb7a5d040365p-3, 0x1.f57f33703f46p-3, 0x1.fc3708c3a3a39p-3, 0x1.016f3aa6c6541p-2, 0x1.04ba66a546c16p-2, 0x1.07fcb4d52d5eap-2, 0x1.0b35d40429dc7p-2, 0x1.0e6575518b61ap-2, 0x1.118b4c29a880fp-2, 0x1.14a70e40eb447p-2, 0x1.17b8738ea0873p-2, 0x1.1abf36478befp-2, 0x1.1dbb12d85532dp-2, 0x1.20abc7dfd9ab4p-2, 0x1.239116296c4c3p-2, 0x1.266ac0a70f052p-2, 0x1.29388c6ba9eebp-2, 0x1.2bfa40a5501a6p-2, 0x1.2eafa6978cbd8p-2, 0x1.31588995c7abdp-2, 0x1.33f4b6fdc1912p-2, 0x1.3683fe322c518p-2, 0x1.390630955eadcp-2, 0x1.3b7b21842cd96p-2, 0x1.3de2a650dcc59p-2, 0x1.403c963e4272ap-2, 0x1.4288ca7afa98ep-2, 0x1.44c71e1cc8822p-2, 0x1.46f76e1c123aap-2, 0x1.4919994f8143ep-2, 0x1.4b2d8067bb778p-2, 0x1.4d3305eb3c759p-2, 0x1.4f2a0e3245112p-2, 0x1.51127f62e4aebp-2, 0x1.52ec416d158ccp-2, 0x1.54b73e06eb141p-2, 0x1.567360a8d1bfdp-2, 0x1.58209689d67fbp-2, 0x1.59bece9bfbbc2p-2, 0x1.5b4df988908dcp-2, 0x1.5cce09ac8e1dp-2, 0x1.5e3ef314f5722p-2, 0x1.5fa0ab7b27fe7p-2, 0x1.60f32a413c2ffp-2, 0x1.6236686e4a8b5p-2, 0x1.636a60aaaee57p-2, 0x1.648f0f3c3cdc4p-2, 0x1.65a4720264ebp-2, 0x1.66aa887247051p-2, 0x1.67a15392b1d7cp-2, 0x1.6888d5f80abc2p-2, 0x1.696113c0208c9p-2, 0x1.6a2a128de2552p-2, 0x1.6ae3d984fcf1bp-2, 0x1.6b8e71455b34ap-2, 0x1.6c29e3e68baa8p-2, 0x1.6cb63cf3039eap-2, 0x1.6d33896346db8p-2, 0x1.6da1d798ebcb2p-2, 0x1.6e01375984c37p-2, 0x1.6e51b9c964d1cp-2, 0x1.6e93716640e6bp-2, 0x1.6ec67201b7effp-2, 0x1.6eead0bbb19b1p-2, 0x1.6f00a3fca1d35p-2, 0x1.6f08036fa9f1fp-2, 0x1.6f0107fc98f1bp-2, 0x1.6eebcbc1cf7cdp-2, 0x1.6ec86a0dffeadp-2, 0x1.6e96ff59d4bbcp-2, 0x1.6e57a94176f8ap-2, 0x1.6e0a867dfb81ep-2, 0x1.6dafb6deb1953p-2, 0x1.6d475b425840bp-2, 0x1.6cd195903e4a8p-2, 0x1.6c4e88b1442ecp-2, 0x1.6bbe5888ccf7dp-2, 0x1.6b2129ed9756p-2, 0x1.6a7722a284af4p-2, 0x1.69c0694f4c644p-2, 0x1.68fd25791fb0fp-2, 0x1.682d7f7b3f7a1p-2, 0x1.6751a07f8012bp-2, 0x1.6669b276c6d93p-2, 0x1.6575e01177ff5p-2, 0x1.647654b7dfec1p-2, 0x1.636b3c8292f0fp-2, 0x1.6254c432c7471p-2, 0x1.6133192aab87dp-2, 0x1.60066965bcb52p-2, 0x1.5ecee37116fa5p-2, 0x1.5d8cb663cc954p-2, 0x1.5c4011d738ca5p-2, 0x1.5ae925df5d669p-2, 0x1.5988230341937p-2, 0x1.581d3a355824dp-2, 0x1.56a89ccbf075p-2, 0x1.552a7c79acf84p-2, 0x1.53a30b4609a5fp-2, 0x1.52127b85ec0e7p-2, 0x1.5078ffd443b6ep-2, 0x1.4ed6cb0ab6c56p-2, 0x1.4d2c103a6359p-2, 0x1.4b7902a4aef5p-2, 0x1.49bdd5b42cc9cp-2, 0x1.47fabcf594b56p-2, 0x1.462fec10d122p-2, 0x1.445d96c225f65p-2, 0x1.4283f0d3691d3p-2, 0x1.40a32e1559d72p-2, 0x1.3ebb82590d984p-2, 0x1.3ccd2169790c4p-2, 0x1.3ad83f05137d7p-2, 0x1.38dd0ed797432p-2, 0x1.36dbc473de55cp-2, 0x1.34d4934dda97ap-2, 0x1.32c7aeb4b1be1p-2, 0x1.30b549ccf16adp-2, 0x1.2e9d978ae836dp-2, 0x1.2c80caad1a72ap-2, 0x1.2a5f15b6dbd79p-2, 0x1.2838aaeb0640cp-2, 0x1.260dbc46d392cp-2, 0x1.23de7b7cdad29p-2, 0x1.21ab19f02ab42p-2, 0x1.1f73c8af8c9f3p-2, 0x1.1d38b870e59c3p-2, 0x1.1afa198cbc32dp-2, 0x1.18b81bf9e106ep-2, 0x1.1672ef493b159p-2, 0x1.142ac2a1b6b07p-2, 0x1.11dfc4bc5656fp-2, 0x1.0f9223e06b949p-2, 0x1.0d420ddfece67p-2, 0x1.0aefb013f4f89p-2, 0x1.089b37595fcadp-2, 0x1.0644d00d904c5p-2, 0x1.03eca60b53dfp-2, 0x1.0192e4a7ecff9p-2, 0x1.fe6f6d607eb54p-3, 0x1.f9b68ccc3473dp-3, 0x1.f4fb7afb5dda4p-3, 0x1.f03e8a363a5fep-3, 0x1.eb800ba05634ep-3, 0x1.e6c04f342fcb8p-3, 0x1.e1ffa3bf29e75p-3, 0x1.dd3e56ddb5178p-3, 0x1.d87cb4f7c1515p-3, 0x1.d3bb093d6d1dap-3, 0x1.cef99da3f0965p-3, 0x1.ca38bae2cc1edp-3, 0x1.c578a87133cdbp-3, 0x1.c0b9ac83addb5p-3, 0x1.bbfc0c09fa11dp-3, 0x1.b7400aad2e04p-3, 0x1.b285eace01a58p-3, 0x1.adcded8367881p-3, 0x1.a918529949295p-3, 0x1.a465588f87dc8p-3, 0x1.9fb53c9927ed1p-3, 0x1.9b083a9bb8726p-3, 0x1.965e8d2eeb848p-3, 0x1.91b86d9c5c2eap-3, 0x1.8d1613df8bcafp-3, 0x1.8877b6a609985p-3, 0x1.83dd8b4fcb911p-3, 0x1.7f47c5efb17b2p-3, 0x1.7ab6994c3d9f6p-3, 0x1.762a36e066231p-3, 0x1.71a2cedca6963p-3, 0x1.6d20902823fbbp-3, 0x1.68a3a8620ca16p-3, 0x1.642c43e30d13ep-3, 0x1.5fba8dbef6558p-3, 0x1.5b4eafc6811b5p-3, 0x1.56e8d2893439cp-3, 0x1.52891d576f218p-3, 0x1.4e2fb64496aa7p-3, 0x1.49dcc22956fabp-3, 0x1.459064a611695p-3, 0x1.414ac0255cd8fp-3, 0x1.3d0bf5dea238bp-3, 0x1.38d425d8dfb8fp-3, 0x1.34a36eed6f848p-3, 0x1.3079eecb017eep-3, 0x1.2c57c1f8933f8p-3, 0x1.283d03d88fa24p-3, 0x1.2429ceabfc6b4p-3, 0x1.201e3b95bb441p-3, 0x1.1c1a629de2791p-3, 0x1.181e5ab52044fp-3, 0x1.142a39b83a41cp-3, 0x1.103e14738e9cep-3, 0x1.0c59fea6b250fp-3, 0x1.087e0b0815895p-3, 0x1.04aa4b48b373bp-3, 0x1.00ded017d64d7p-3, 0x1.fa37524dbfadfp-4, 0x1.f2c1ca5a3df0ep-4, 0x1.eb5d23d75c64ep-4, 0x1.e4097862b3f29p-4, 0x1.dcc6dfbd26c19p-4, 0x1.d5956fd2c20b5p-4, 0x1.ce753cc2c15b2p-4, 0x1.c76658e7873f2p-4, 0x1.c068d4deb7676p-4, 0x1.b97cbf913f2cp-4, 0x1.b2a2263b76b5ap-4, 0x1.abd914754224ap-4, 0x1.a521943a30f71p-4, 0x1.9e7badf1a639cp-4, 0x1.97e7687700b99p-4, 0x1.9164c921bc586p-4, 0x1.8af3d3cd9c2d9p-4, 0x1.84948ae2c8835p-4, 0x1.7e46ef5df02bap-4, 0x1.780b00d85b0dfp-4, 0x1.71e0bd9004cc9p-4, 0x1.6bc8226fa1f43p-4, 0x1.65c12b16a2871p-4, 0x1.5fcbd1e132c67p-4, 0x1.59e80ff0213e1p-4, 0x1.5415dd30ca9e9p-4, 0x1.4e553064ec14ap-4, 0x1.48a5ff2a74ecdp-4, 0x1.43083e033ff05p-4, 0x1.3d7be05cc4a9ap-4, 0x1.3800d897b4416p-4, 0x1.3297180f90e71p-4, 0x1.2d3e8f2226436p-4, 0x1.27f72d36fbef3p-4, 0x1.22c0e0c6b057cp-4, 0x1.1d9b976244283p-4, 0x1.18873dba503bap-4, 0x1.1383bfa62b342p-4, 0x1.0e91082af6159p-4, 0x1.09af01829b552p-4, 0x1.04dd9522b0e2p-4, 0x1.001cabc34c753p-4, 0x1.f6d85acb79388p-5, 0x1.ed9802b65cd5ep-5, 0x1.e4781c967840ep-5, 0x1.db787474c5fd9p-5, 0x1.d298d520cfc9cp-5, 0x1.c9d9083d365efp-5, 0x1.c138d64c20edfp-5, 0x1.b8b806bb641f6p-5, 0x1.b0565ff08f0bp-5, 0x1.a813a754bdc6ep-5, 0x1.9fefa1603789dp-5, 0x1.97ea11a5e50c3p-5, 0x1.9002bade8abdap-5, 0x1.88395ef3e1345p-5, 0x1.808dbf0b6bd0fp-5, 0x1.78ff9b912637dp-5, 0x1.718eb441ffd3dp-5, 0x1.6a3ac83622ed2p-5, 0x1.630395eb0c99ap-5, 0x1.5be8db4d6d708p-5, 0x1.54ea55c2e7687p-5, 0x1.4e07c2337d3fcp-5, 0x1.4740dd12f377ep-5, 0x1.40956269e3349p-5, 0x1.3a050ddeb09b4p-5, 0x1.338f9abe3a202p-5, 0x1.2d34c40471a88p-5, 0x1.26f44464aabbbp-5, 0x1.20cdd651c9bep-5, 0x1.1ac134064026cp-5, 0x1.14ce178bcd409p-5, 0x1.0ef43ac327568p-5, 0x1.0933576b5340cp-5, 0x1.038b2728ee388p-5, 0x1.fbf6c71a791ebp-6, 0x1.f1078c39ff833p-6, 0x1.e64810ae5c8c3p-6, 0x1.dbb7c776ec7a9p-6, 0x1.d15623a12f53ep-6, 0x1.c722985521d91p-6, 0x1.bd1c98e128b6dp-6, 0x1.b34398c5d5022p-6, 0x1.a9970bc1224cdp-6, 0x1.a01665d97bbb4p-6, 0x1.96c11b6862cddp-6, 0x1.8d96a124c6a6fp-6, 0x1.84966c2d1221ap-6, 0x1.7bbff210c89cfp-6, 0x1.7312a8da03d16p-6, 0x1.6a8e07167a056p-6, 0x1.623183e045a13p-6, 0x1.59fc96e66ed64p-6, 0x1.51eeb8750bb8dp-6, 0x1.4a07617d3620bp-6, 0x1.42460b9c98b1p-6, 0x1.3aaa3124cf8aap-6, 0x1.33334d22748d3p-6, 0x1.2be0db63ee5ffp-6, 0x1.24b2587fe8386p-6, 0x1.1da741db9d4c2p-6, 0x1.16bf15b0d843p-6, 0x1.0ff95313b570bp-6, 0x1.095579f8163e4p-6, 0x1.02d30b36f1648p-6, 0x1.f8e311269931p-7, 0x1.ec60e97e02e34p-7, 0x1.e01ea6beb195p-7, 0x1.d41b5222955p-7, 0x1.c855f6db54d72p-7, 0x1.bccda219ef162p-7, 0x1.b181631635298p-7, 0x1.a6704b159a1b1p-7, 0x1.9b996d71d42d7p-7, 0x1.90fbdf9eee99cp-7, 0x1.8696b930fb9a2p-7, 0x1.7c6913e18f90cp-7, 0x1.72720b94961dp-7, 0x1.68b0be5d06d1fp-7, 0x1.5f244c81305f4p-7, 0x1.55cbd87e95f39p-7, 0x1.4ca6870d7c66ap-7, 0x1.43b37f244d4ecp-7, 0x1.3af1e9fa54281p-7, 0x1.3260f30a8f785p-7, 0x1.29ffc815df1cep-7, 0x1.21cd9925113e6p-7, 0x1.19c9988aa518dp-7, 0x1.11f2fae42babcp-7, 0x1.0a48f71b89741p-7, 0x1.02cac667d2412p-7, 0x1.f6ef489bcd198p-8, 0x1.e89d9d41e2e25p-8, 0x1.da9f0b04fbd2ap-8, 0x1.ccf216c4c489p-8, 0x1.bf9549fce4156p-8, 0x1.b28732c3fa6bbp-8, 0x1.a5c663ca0ac95p-8, 0x1.9951745697dap-8, 0x1.8d27004661014p-8, 0x1.8145a80883fc4p-8, 0x1.75ac109b99babp-8, 0x1.6a58e38a1ad96p-8, 0x1.5f4acee68f331p-8, 0x1.5480854789158p-8, 0x1.49f8bdc32064dp-8, 0x1.3fb233e9e2224p-8, 0x1.35aba7c25762p-8, 0x1.2be3ddc2dc304p-8, 0x1.22599ecc9278ep-8, 0x1.190bb8252bf9ep-8, 0x1.0ff8fb709db18p-8, 0x1.07203eaaeaa92p-8, 0x1.fd00b8428859fp-9, 0x1.ec3064d68d748p-9, 0x1.dbcd48c74ebe9p-9, 0x1.cbd53241e36edp-9, 0x1.bc45f7dc2678fp-9, 0x1.ad1d78851bdc4p-9, 0x1.9e599b74c3946p-9, 0x1.8ff8501c9b0d9p-9, 0x1.81f78e1671114p-9, 0x1.745555142e048p-9, 0x1.670facce38eddp-9, 0x1.5a24a4f2879ep-9, 0x1.4d9255128fbe3p-9, 0x1.4156dc91dccfdp-9, 0x1.3570629385f12p-9, 0x1.29dd15e811f8fp-9, 0x1.1e9b2cfb12631p-9, 0x1.13a8e5c04142ep-9, 0x1.090485a0a5f81p-9, 0x1.fd58b2cf068e6p-10, 0x1.e93d6a5f0c60ep-10, 0x1.d5b3e89dbb196p-10, 0x1.c2b8f2890fb41p-10, 0x1.b0495b47edc31p-10, 0x1.9e6204045131ap-10, 0x1.8cffdbc36b7b1p-10, 0x1.7c1fdf3d8e373p-10, 0x1.6bbf18b74fc6cp-10, 0x1.5bda9fd92a706p-10, 0x1.4c6f9987fcabdp-10, 0x1.3d7b37bccb259p-10, 0x1.2efab95ceff9bp-10, 0x1.20eb6a12041fcp-10, 0x1.134aa22256b3ep-10, 0x1.0615c647fa7fap-10, 0x1.f2948f132a63ep-11, 0x1.d9cb4624f9d88p-11, 0x1.c1cac413a5422p-11, 0x1.aa8e32d84d88bp-11, 0x1.9410d3c54ae87p-11, 0x1.7e4dff38385e4p-11, 0x1.6941244a55b7p-11, 0x1.54e5c881b2079p-11, 0x1.41378783117ebp-11, 0x1.2e3212c3e7edep-11, 0x1.1bd1313bcaa38p-11, 0x1.0a10bf184f16fp-11, 0x1.f1d95add2d5p-12, 0x1.d0c203ddf540dp-12, 0x1.b0d3ad31d0cc5p-12, 0x1.9206b2def5354p-12, 0x1.7453985ae67edp-12, 0x1.57b307f450c0cp-12, 0x1.3c1dd23f2517cp-12, 0x1.218ced7fe3d17p-12, 0x1.07f9751a58664p-12, 0x1.deb951f7f3d22p-13, 0x1.af5fda223eda9p-13, 0x1.81d9915e72901p-13, 0x1.5619cc145ce42p-13, 0x1.2c14234c65e28p-13, 0x1.03bc7396007a9p-13, 0x1.ba0db7e235676p-14, 0x1.6fcf797c7376bp-14, 0x1.28a76d54b0a15p-14, 0x1.c8fea6870f45dp-15, 0x1.4682cf0dac838p-15, 0x1.936182b685e2ap-16, 0x1.497b6c9c80b0ap-17, -0x1.f9b997020bb34p-19, -0x1.18ccd3924e52fp-16, -0x1.e850fd9e7786ap-16, -0x1.5707e0de39459p-15, -0x1.b529bbbd1f27ep-15, -0x1.0759312c044edp-14, -0x1.31e2a959b74ffp-14, -0x1.5a429ccc4e1e8p-14, -0x1.8089fb2d30cb6p-14, -0x1.a4c94f3ef5d9p-14, -0x1.c710c0b3ab851p-14, -0x1.e77015f56f1bdp-14, -0x1.02fb5af73ef43p-13, -0x1.1159d4e618d76p-13, -0x1.1edacf5aecd5ap-13, -0x1.2b8573c496c17p-13, -0x1.3760bf427f95ep-13, -0x1.4273837cd734fp-13, -0x1.4cc46774da855p-13, -0x1.5659e8569cdfp-13, -0x1.5f3a5a44ba533p-13, -0x1.676be9246a53fp-13, -0x1.6ef4996361184p-13, -0x1.75da48be3c9c1p-13, -0x1.7c22af01996ecp-13, -0x1.81d35eca89e21p-13, -0x1.86f1c642443d7p-13, -0x1.8b832fd8c487dp-13, -0x1.8f8cc2fc5214dp-13, -0x1.931384ceaefdfp-13, -0x1.961c58d50fd72p-13, -0x1.98ac01aaab37ep-13, -0x1.9ac721a9758fp-13, -0x1.9c723b98f7b54p-13, -0x1.9db1b350dee3fp-13, -0x1.9e89ce6308806p-13, -0x1.9efeb4ba47fedp-13, -0x1.9f14713adeeb3p-13, -0x1.9ecef2619eac4p-13, -0x1.9e320add180e6p-13, -0x1.9d4172262fe2cp-13, -0x1.9c00c516d555bp-13, -0x1.9a73867d5de25p-13, -0x1.989d1faca49cep-13, -0x1.9680e10bc91c2p-13, -0x1.942202a21a679p-13, -0x1.9183a4a06027cp-13, -0x1.8ea8cfea572efp-13, -0x1.8b94769a7d8a3p-13, -0x1.88497484f5495p-13, -0x1.84ca8fb9a8531p-13, -0x1.811a7901e24bap-13, -0x1.7d3bcc5bcc3f1p-13, -0x1.79311177a540ap-13, -0x1.74fcbc2bf0306p-13, -0x1.70a12cee51433p-13, -0x1.6c20b14618f29p-13, -0x1.677d843db07edp-13, -0x1.62b9ced211a41p-13, -0x1.5dd7a861f727bp-13, -0x1.58d9171774599p-13, -0x1.53c0105264c1dp-13, -0x1.4e8e79101609fp-13, -0x1.49462650f163bp-13, -0x1.43e8dd7bef492p-13, -0x1.3e7854c06f9b1p-13, -0x1.38f63376f51f9p-13, -0x1.3364127d6ae2fp-13, -0x1.2dc37c9673d25p-13, -0x1.2815eec0e8084p-13, -0x1.225cd89254384p-13, -0x1.1c999c8e1f9cap-13, -0x1.16cd907931ae2p-13, -0x1.10f9fdaf9f923p-13, -0x1.0b2021750df3bp-13, -0x1.05412d46155dap-13, -0x1.febc8e4be60e8p-14, -0x1.f2f113d8d2b9ap-14, -0x1.e7220b20fa2ebp-14, -0x1.db517ee60a963p-14, -0x1.cf81654ddafaep-14, -0x1.c3b3a06f97c61p-14, -0x1.b7e9fedf9c907p-14, -0x1.ac263c363eb69p-14, -0x1.a06a01962a66cp-14, -0x1.94b6e62c6a625p-14, -0x1.890e6fb320707p-14, -0x1.7d7212eb6cf8cp-14, -0x1.71e334189d093p-14, -0x1.6663277752d6ep-14, -0x1.5af331b2099f4p-14, -0x1.4f948853c867fp-14, -0x1.44485237c8b89p-14, -0x1.390fa7f61854dp-14, -0x1.2deb944e8a9eap-14, -0x1.22dd1491f0f98p-14, -0x1.17e5190659625p-14, -0x1.0d04854d4cd09p-14, -0x1.023c30c1f8476p-14, -0x1.ef19cdb663432p-15, -0x1.d9eecf0e6813ap-15, -0x1.c4f8cf0d97f34p-15, -0x1.b039218c72c7fp-15, -0x1.9bb10565f3ec9p-15, -0x1.8761a521ff438p-15, -0x1.734c179af45f2p-15, -0x1.5f71609f68a39p-15, -0x1.4bd2718d95d75p-15, -0x1.387029ee4813ap-15, -0x1.254b580b801c8p-15, -0x1.1264b981e5b28p-15, -0x1.ff79f79bbe53ap-16, -0x1.daa979b44ba86p-16, -0x1.b659170a255b7p-16, -0x1.9289d04a22208p-16, -0x1.6f3c8a1675bb7p-16, -0x1.4c720e00679d7p-16, -0x1.2a2b0b7a7b7cp-16, -0x1.086818ceb02e8p-16, -0x1.ce5368020dd3p-17, -0x1.8ce0876a47a88p-17, -0x1.4c7830120e12fp-17, -0x1.0d1ad6e30bb9fp-17, -0x1.9d918e1871107p-18, -0x1.23044742d623cp-18, -0x1.551ba49040ccdp-19, -0x1.a16ef0b0612c6p-21, 0x1.0070b64243c9ap-20, 0x1.64a25a7393451p-19, 0x1.22723eee38685p-18, 0x1.9080bf8ec8834p-18, 0x1.fc7e4824e37b9p-18, 0x1.333655aca566p-17, 0x1.6726f977df8a6p-17, 0x1.9a122eb16341ep-17, 0x1.cbf92dc2bca2fp-17, 0x1.fcdd471cc3951p-17, 0x1.165ff11071b03p-16, 0x1.2dd13e01ee7a4p-16, 0x1.44c35365591b5p-16, 0x1.5b3704205e99cp-16, 0x1.712d2c7dfa10ap-16, 0x1.86a6b1b59da46p-16, 0x1.9ba481720fcdfp-16, 0x1.b027915ee6b8cp-16, 0x1.c430deba8263ap-16, 0x1.d7c16de693a8bp-16, 0x1.eada4a00eca55p-16, 0x1.fd7c847cdc349p-16, 0x1.07d49a60a5f3fp-15, 0x1.10b0bbe3cbf44p-15, 0x1.195337e07cb22p-15, 0x1.21bca1dd18bffp-15, 0x1.29ed8fa3f1a22p-15, 0x1.31e699181bcfep-15, 0x1.39a8580dc343fp-15, 0x1.41336821b3c39p-15, 0x1.48886694a6b91p-15, 0x1.4fa7f2258165p-15, 0x1.5692aaeed5218p-15, 0x1.5d493243b4ddfp-15, 0x1.63cc2a8f51d09p-15, 0x1.6a1c3734d790ep-15, 0x1.7039fc707b293p-15, 0x1.76261f39dd8cdp-15, 0x1.7be1452793bp-15, 0x1.816c1453bdec7p-15, 0x1.86c733408741dp-15, 0x1.8bf348bf8f76fp-15, 0x1.90f0fbd8d7212p-15, 0x1.95c0f3b2a0aa8p-15, 0x1.9a63d77b84d5ap-15, 0x1.9eda4e53fda03p-15, 0x1.a324ff396834ep-15, 0x1.a74490f1bd2b5p-15, 0x1.ab39a9f855eadp-15, 0x1.af04f06b1dc6ep-15, 0x1.b2a709f8ce15p-15, 0x1.b6209bcfdc3e1p-15, 0x1.b9724a8e4280ep-15, 0x1.bc9cba3185996p-15, 0x1.bfa08e0835106p-15, 0x1.c27e68a29f439p-15, 0x1.c536ebc68c67bp-15, 0x1.c7cab8616cddfp-15, 0x1.ca3a6e7be2d9ep-15, 0x1.cc86ad2e111c5p-15, 0x1.ceb01294b08e2p-15, 0x1.d0b73bc6338c7p-15, 0x1.d29cc4c814cd4p-15, 0x1.d4614885ff52ap-15, 0x1.d60560c8c334dp-15, 0x1.d789a62d55f3cp-15, 0x1.d8eeb01ca7b6fp-15, 0x1.da3514c431611p-15, 0x1.db5d690eda302p-15, 0x1.dc68409e38292p-15, 0x1.dd562dc3d026fp-15, 0x1.de27c17bc39abp-15, 0x1.dedd8b670aa4fp-15, 0x1.df7819c5fe873p-15, 0x1.dff7f9742e778p-15, 0x1.e05db5e3b48d6p-15, 0x1.e0a9d91922007p-15, 0x1.e0dceba787de3p-15, 0x1.e0f774ad7addfp-15, 0x1.e0f9f9d200debp-15, 0x1.e0e4ff4198b21p-15, 0x1.e0b907ab9e22ep-15, 0x1.e076944052ff1p-15, 0x1.e01e24aef17f2p-15, 0x1.dfb037241ee0dp-15, 0x1.df2d48482064dp-15, 0x1.de95d33e19798p-15, 0x1.ddea51a2da349p-15, 0x1.dd2b3b8c2e0fdp-15, 0x1.dc59078874debp-15, 0x1.db742a9e9631dp-15, 0x1.da7d184d75303p-15, 0x1.d974428c6fc5cp-15, 0x1.d85a19cbc88fep-15, 0x1.d72f0cf4a9bf7p-15, 0x1.d5f38969f0a8fp-15, 0x1.d4a7fb0961d01p-15, 0x1.d34ccc2c677f7p-15, 0x1.d1e265a903e5ep-15, 0x1.d0692ed37a39ep-15, 0x1.cee18d7f4a34ep-15, 0x1.cd4be60113951p-15, 0x1.cba89b303471fp-15, 0x1.c9f80e68a7b2bp-15, 0x1.c83a9f8c8f361p-15, 0x1.c670ad0693444p-15, 0x1.c49a93cc01df7p-15, 0x1.c2b8af5ed7bdcp-15, 0x1.c0cb59d034a0dp-15, 0x1.bed2ebc2b5604p-15, 0x1.bccfbc6d1888ep-15, 0x1.bac2219cac93fp-15, 0x1.b8aa6fb7ef1efp-15, 0x1.b688f9c14e009p-15, 0x1.b45e115a11cd8p-15, 0x1.b22a06c52fdc5p-15, 0x1.afed28ea0311ep-15, 0x1.ada7c55755051p-15, 0x1.ab5a284698232p-15, 0x1.a9049c9eeb6bfp-15, 0x1.a6a76bf812a77p-15, 0x1.a442de9db594bp-15, 0x1.a1d73b9266886p-15, 0x1.9f64c8933026dp-15, 0x1.9cebca1ac4b94p-15, 0x1.9a6c8364989cdp-15, 0x1.97e73670376c3p-15, 0x1.955c2404f8a2ep-15, 0x1.92cb8bb50a327p-15, 0x1.9035abe0c326p-15, 0x1.8d9ac1ba6aa5fp-15, 0x1.8afb09495d923p-15, 0x1.8856bd6d807e9p-15, 0x1.85ae17e2b82afp-15, 0x1.830151446b59fp-15, 0x1.8050a110fcbap-15, 0x1.7d9c3dad4e89p-15, 0x1.7ae45c680b219p-15, 0x1.7829317d1300cp-15, 0x1.756af0194ccb1p-15, 0x1.72a9ca5dd04e8p-15, 0x1.6fe5f16384cfap-15, 0x1.6d1f953e60f12p-15, 0x1.6a56e5012adecp-15, 0x1.678c0ec093d12p-15, 0x1.64bf3f96ef937p-15, 0x1.61f0a3a776f05p-15, 0x1.5f206621b0ac6p-15, 0x1.5c4eb144e9fe7p-15, 0x1.597bae639fe63p-15, 0x1.56a785e6bc8e2p-15, 0x1.53d25f50f9114p-15, 0x1.50fc614226c0bp-15, 0x1.4e25b17a9bb87p-15, 0x1.4b4e74de75a8fp-15, 0x1.4876cf78e8842p-15, 0x1.459ee47f652cfp-15, 0x1.42c6d654c082cp-15, 0x1.3feec68cafd04p-15, 0x1.3d16d5eeb2f3ap-15, 0x1.3a3f247959ad9p-15, 0x1.3767d16573aebp-15, 0x1.3490fb291be53p-15, 0x1.31babf7abe62cp-15, 0x1.2ee53b544e89ep-15, 0x1.2c108af62bce8p-15, 0x1.293cc9ea354cfp-15, 0x1.266a1306bf794p-15, 0x1.239880717c7a2p-15, 0x1.20c82ba27d03ep-15, 0x1.1df92d67087c7p-15, 0x1.1b2b9de4878p-15, 0x1.185f949b5755fp-15, 0x1.159528697e0e1p-15, 0x1.12cc6f8d8a921p-15, 0x1.10057fa952209p-15, 0x1.0d406dc4aff17p-15, 0x1.0a7d4e502696cp-15, 0x1.07bc35278048fp-15, 0x1.04fd359485e59p-15, 0x1.024062519524ep-15, 0x1.ff0b9b18666a4p-16, 0x1.f99b11cf24bacp-16, 0x1.f42f4afe2a353p-16, 0x1.eec867d17b90cp-16, 0x1.e966886f6e4b2p-16, 0x1.e409cbfd51ee9p-16, 0x1.deb250a46da69p-16, 0x1.d960339689192p-16, 0x1.d41391129f0afp-16, 0x1.cecc846963563p-16, 0x1.c98b280215fc1p-16, 0x1.c44f955eb414ep-16, 0x1.bf19e52072f7dp-16, 0x1.b9ea2f0c314cfp-16, 0x1.b4c08a0ea0c86p-16, 0x1.af9d0c40a5385p-16, 0x1.aa7fcaeb6cf4fp-16, 0x1.a568da8c9a9c2p-16, 0x1.a0584eda4448ep-16, 0x1.9b4e3ac71a6cfp-16, 0x1.964ab0865223p-16, 0x1.914dc18f5b9f4p-16, 0x1.8c577ea1e501ap-16, 0x1.8767f7c971115p-16, 0x1.827f3c61544bdp-16, 0x1.7d9d5b183f606p-16, 0x1.78c261f3bedd5p-16, 0x1.73ee5e5415a8p-16, 0x1.6f215cf76e1ebp-16, 0x1.6a5b69fd7245bp-16, 0x1.659c90eac0a52p-16, 0x1.60e4dcabfcfe5p-16, 0x1.5c34579961fc2p-16, 0x1.578b0b7a18862p-16, 0x1.52e90186f8799p-16, 0x1.4e4e426e11b48p-16, 0x1.49bad65586bfdp-16, 0x1.452ec4dea4b9p-16, 0x1.40aa1528fb3bap-16, 0x1.3c2ccdd5370bcp-16, 0x1.37b6f507dc527p-16, 0x1.3348906c828f1p-16, }}, 
      {{0x1.4d7ffc39d8a17p-9, 0x1.576e48011fa11p-8, 0x1.0bc843b28ec68p-7, 0x1.73f93db4aa536p-7, 0x1.e3153ca420c85p-7, 0x1.2b92bd62181c9p-6, 0x1.670d0ffa631acp-6, 0x1.a31a37946e8abp-6, 0x1.df1cde827e682p-6, 0x1.0d5f8206d50fap-5, 0x1.2af5515e537f4p-5, 0x1.485deac8de097p-5, 0x1.65b86e03a42eap-5, 0x1.832d612419396p-5, 0x1.a0e81a99ca5ccp-5, 0x1.bf1195af1ce08p-5, 0x1.ddccbec1a5a96p-5, 0x1.fd341aa1714eap-5, 0x1.0eac4b92d0ed4p-4, 0x1.1f20a5749024ap-4, 0x1.2ff5f51691673p-4, 0x1.4126ddc9ca68dp-4, 0x1.52aa6f3a5ab7dp-4, 0x1.6474de4498b4fp-4, 0x1.767844499be31p-4, 0x1.88a55989e32f9p-4, 0x1.9aec225186a16p-4, 0x1.ad3c898964d83p-4, 0x1.bf86e58960f29p-4, 0x1.d1bc65d6cd936p-4, 0x1.e3cf69db71865p-4, 0x1.f5b3c1a24a559p-4, 0x1.03af6d2b6ee6cp-3, 0x1.0c63ec588cae6p-3, 0x1.14f3d1d7df0dcp-3, 0x1.1d5c7109a312ep-3, 0x1.259bf67e628e8p-3, 0x1.2db15cf89e91fp-3, 0x1.359c5f288ab9ep-3, 0x1.3d5d670d570e7p-3, 0x1.44f57bc991d17p-3, 0x1.4c662e9a39aa5p-3, 0x1.53b1878319985p-3, 0x1.5ad9f22851ff5p-3, 0x1.61e22b3467f73p-3, 0x1.68cd2e9467c92p-3, 0x1.6f9e26c0cdfb8p-3, 0x1.76585d39698a9p-3, 0x1.7cff2c4cca452p-3, 0x1.8395f2385c49dp-3, 0x1.8a2005a503a68p-3, 0x1.90a0ab7ca7105p-3, 0x1.971b0e0f4cc64p-3, 0x1.9d92357a1f67ep-3, 0x1.a409013f617c3p-3, 0x1.aa8222fc4b053p-3, 0x1.b1001a284f9dap-3, 0x1.b78530c8a39e3p-3, 0x1.be137902a11d8p-3, 0x1.c4accb77eb337p-3, 0x1.cb52c657bf087p-3, 0x1.d206cd11984f6p-3, 0x1.d8ca0896578b2p-3, 0x1.df9d68161cdeap-3, 0x1.e681a22a31b1dp-3, 0x1.ed77365b86883p-3, 0x1.f47e6ef778faep-3, 0x1.fb976325c701dp-3, 0x1.0160fc99d7f9ap-2, 0x1.04fef484b0c07p-2, 0x1.08a55f5feef2ep-2, 0x1.0c53eea7490ccp-2, 0x1.100a40a44e98ep-2, 0x1.13c7e1d1762dfp-2, 0x1.178c4e3e6b27ep-2, 0x1.1b56f2f2f32edp-2, 0x1.1f272f4e07c57p-2, 0x1.22fc565f172fdp-2, 0x1.26d5b037b7f8ep-2, 0x1.2ab27b344cfp-2, 0x1.2e91ed3a62adfp-2, 0x1.327334ebc5c89p-2, 0x1.36557acd86848p-2, 0x1.3a37e2624122ap-2, 0x1.3e198b373f791p-2, 0x1.41f991e41be1cp-2, 0x1.45d710fcb6ep-2, 0x1.49b121f5690f9p-2, 0x1.4d86ddf97b08ep-2, 0x1.51575eb3fbddp-2, 0x1.5521bf0b23e5bp-2, 0x1.58e51bce833e9p-2, 0x1.5ca094584db5bp-2, 0x1.60534b220f683p-2, 0x1.63fc664d3e968p-2, 0x1.679b101ffe42p-2, 0x1.6b2e777696646p-2, 0x1.6eb5d02a0597fp-2, 0x1.7230536c2ada4p-2, 0x1.759d401a00cc2p-2, 0x1.78fbdb0462f04p-2, 0x1.7c4b6f2fd5db8p-2, 0x1.7f8b4e0bd1703p-2, 0x1.82bacfa1ff0e9p-2, 0x1.85d952bde9821p-2, 0x1.88e63d0d898b3p-2, 0x1.8be0fb3b29bafp-2, 0x1.8ec901010abbdp-2, 0x1.919dc93732785p-2, 0x1.945ed5dbcd793p-2, 0x1.970bb0168812cp-2, 0x1.99a3e8373b4e9p-2, 0x1.9c2715b0497abp-2, 0x1.9e94d70d02562p-2, 0x1.a0ecd1e45fc5fp-2, 0x1.a32eb2c86e333p-2, 0x1.a55a2d32a36b1p-2, 0x1.a76efb6d747d3p-2, 0x1.a96cde7b6517p-2, 0x1.ab539dfbd486ap-2, 0x1.ad23080dc1935p-2, 0x1.aedaf130bec7ap-2, 0x1.b07b342447ff4p-2, 0x1.b203b1c5afc1ep-2, 0x1.b37450eccc706p-2, 0x1.b4ccfe4794536p-2, 0x1.b60dac34cfb09p-2, 0x1.b736529e03a43p-2, 0x1.b846eed0ba405p-2, 0x1.b93f83574b217p-2, 0x1.ba2017d13841ep-2, 0x1.bae8b8cb47835p-2, 0x1.bb99779767e25p-2, 0x1.bc326a247ee97p-2, 0x1.bcb3aad6329ffp-2, 0x1.bd1d585cc11aep-2, 0x1.bd6f958cfd704p-2, 0x1.bdaa89387fae3p-2, 0x1.bdce5e061032cp-2, 0x1.bddb424a6c4a6p-2, 0x1.bdd167e15d7e1p-2, 0x1.bdb104073f453p-2, 0x1.bd7a4f32f23a8p-2, 0x1.bd2d84f04b577p-2, 0x1.bccae3bb063efp-2, 0x1.bc52acda43649p-2, 0x1.bbc5243c9593p-2, 0x1.bb229054a5dd7p-2, 0x1.ba6b39f678174p-2, 0x1.b99f6c354a8ccp-2, 0x1.b8bf74421e9ep-2, 0x1.b7cba14ae7283p-2, 0x1.b6c4445a63c72p-2, 0x1.b5a9b038a80cfp-2, 0x1.b47c394c5316cp-2, 0x1.b33c357c777dep-2, 0x1.b1e9fc1336b99p-2, 0x1.b085e5a10f105p-2, 0x1.af104be0dc89ap-2, 0x1.ad89899c8f82fp-2, 0x1.abf1fa9296b5bp-2, 0x1.aa49fb5bfd1e7p-2, 0x1.a891e9533b54dp-2, 0x1.a6ca227bbb72dp-2, 0x1.a4f3056a10ddfp-2, 0x1.a30cf12cddc89p-2, 0x1.a11845366c954p-2, 0x1.9f156146f44f8p-2, 0x1.9d04a5578c2efp-2, 0x1.9ae67185ca306p-2, 0x1.98bb26000b727p-2, 0x1.968322f26493cp-2, 0x1.943ec8743af36p-2, 0x1.91ee76767af42p-2, 0x1.8f928cb27a368p-2, 0x1.8d2b6a99711d9p-2, 0x1.8ab96f44985fdp-2, 0x1.883cf965de53fp-2, 0x1.85b66739385e4p-2, 0x1.832616768895fp-2, 0x1.808c644418f25p-2, 0x1.7de9ad29ab1f6p-2, 0x1.7b3e4d04134d3p-2, 0x1.788a9ef9625fap-2, 0x1.75cefd6d9c69bp-2, 0x1.730bc1f7f38b4p-2, 0x1.704145588ab47p-2, 0x1.6d6fdf6eb8d5ep-2, 0x1.6a97e72fd0013p-2, 0x1.67b9b29e5c9b7p-2, 0x1.64d596c1e4fb2p-2, 0x1.61ebe79f1c411p-2, 0x1.5efcf8308db31p-2, 0x1.5c091a5fb9fefp-2, 0x1.59109efea4a4ap-2, 0x1.5613d5c1cd205p-2, 0x1.53130d3a9759ep-2, 0x1.500e92d2177a4p-2, 0x1.4d06b2c445fb9p-2, 0x1.49fbb81b940bap-2, 0x1.46edecace5154p-2, 0x1.43dd9913dfcf9p-2, 0x1.40cb04af9ebccp-2, 0x1.3db6759fb7be6p-2, 0x1.3aa030c199dcap-2, 0x1.378879ae3e9e1p-2, 0x1.346f92b82a18dp-2, 0x1.3155bce9be236p-2, 0x1.2e3b3803d4548p-2, 0x1.2b20427ca5db2p-2, 0x1.2805197ef782p-2, 0x1.24e9f8e98cf33p-2, 0x1.21cf1b4edc312p-2, 0x1.1eb4b9f501463p-2, 0x1.1b9b0cd5f37c2p-2, 0x1.18824a9ff11c7p-2, 0x1.156aa8b627e2bp-2, 0x1.12545b3193f73p-2, 0x1.0f3f94e213b15p-2, 0x1.0c2c874fad7c6p-2, 0x1.091b62bc09a2bp-2, 0x1.060c562417321p-2, 0x1.02ff8f41df0e3p-2, 0x1.ffea751d0b447p-3, 0x1.f9db0688db1b5p-3, 0x1.f3d126c314848p-3, 0x1.edcd2753a1f4ap-3, 0x1.e7cf5753a44bp-3, 0x1.e1d80372e17acp-3, 0x1.dbe775fd760e4p-3, 0x1.d5fdf6e1c35bep-3, 0x1.d01bcbb6998adp-3, 0x1.ca4137c18e741p-3, 0x1.c46e7bfd93d88p-3, 0x1.bea3d721b44acp-3, 0x1.b8e185a7fdd6bp-3, 0x1.b327c1d498a39p-3, 0x1.ad76c3bd044a6p-3, 0x1.a7cec14f793c2p-3, 0x1.a22fee5a68f24p-3, 0x1.9c9a7c941f8adp-3, 0x1.970e9ba280aa6p-3, 0x1.918c7922dec02p-3, 0x1.8c1440b1ebcd4p-3, 0x1.86a61bf3b59b2p-3, 0x1.8142329bc27d2p-3, 0x1.7be8aa75343aep-3, 0x1.7699a76afd735p-3, 0x1.71554b90226eep-3, 0x1.6c1bb72805613p-3, 0x1.66ed08aeba959p-3, 0x1.61c95ce15f3e5p-3, 0x1.5cb0cec680fb8p-3, 0x1.57a377b6758bbp-3, 0x1.52a16f63c87a6p-3, 0x1.4daacbe39655fp-3, 0x1.48bfa1b5f5f7fp-3, 0x1.43e003ce50367p-3, 0x1.3f0c039bc141bp-3, 0x1.3a43b11164e5fp-3, 0x1.35871aaea9d67p-3, 0x1.30d64d8794423p-3, 0x1.2c31554cf337p-3, 0x1.27983c5498a7dp-3, 0x1.230b0ba1762ebp-3, 0x1.1e89caebb80c9p-3, 0x1.1a1480a8cb0c3p-3, 0x1.15ab321356f64p-3, 0x1.114de333284f1p-3, 0x1.0cfc96e5095d2p-3, 0x1.08b74ee28c3cap-3, 0x1.047e0bc9bb6ffp-3, 0x1.0050cd24c0c3ap-3, 0x1.f85f22e2e1db1p-4, 0x1.f034ac5190706p-4, 0x1.e8222f8c9d194p-4, 0x1.e027a39ed045bp-4, 0x1.d844fdb520689p-4, 0x1.d07a312cf61b5p-4, 0x1.c8c72fa24b4f5p-4, 0x1.c12be8fd92344p-4, 0x1.b9a84b8170235p-4, 0x1.b23c43d84c8f6p-4, 0x1.aae7bd21ab2e8p-4, 0x1.a3aaa0ff56a35p-4, 0x1.9c84d7a252dbbp-4, 0x1.957647d7a9419p-4, 0x1.8e7ed714f83b5p-4, 0x1.879e6984d51b1p-4, 0x1.80d4e212f6d14p-4, 0x1.7a2222783010dp-4, 0x1.73860b463506dp-4, 0x1.6d007bf32bf18p-4, 0x1.669152e50b0c7p-4, 0x1.60386d7cc1892p-4, 0x1.59f5a8212c1b1p-4, 0x1.53c8de49d7061p-4, 0x1.4db1ea898a84cp-4, 0x1.47b0a698a1875p-4, 0x1.41c4eb5f32009p-4, 0x1.3bee90fefb51dp-4, 0x1.362d6edd2429bp-4, 0x1.30815babc66bdp-4, 0x1.2aea2d7343547p-4, 0x1.2567b99b6a0c1p-4, 0x1.1ff9d4f466491p-4, 0x1.1aa053bf81e87p-4, 0x1.155b09b7b192bp-4, 0x1.1029ca19ee891p-4, 0x1.0b0c67ad622edp-4, 0x1.0602b4cb60d6dp-4, 0x1.010c836730525p-4, 0x1.f8534a2b45bb9p-5, 0x1.eeb3d628ffd6fp-5, 0x1.e53a4ca380225p-5, 0x1.dbe64ee52dff9p-5, 0x1.d2b77db4a62b4p-5, 0x1.c9ad79621a871p-5, 0x1.c0c7e1d45afc8p-5, 0x1.b806569580c8bp-5, 0x1.af6876df460adp-5, 0x1.a6ede1a70231bp-5, 0x1.9e9635a95ce11p-5, 0x1.9661117595861p-5, 0x1.8e4e137891386p-5, 0x1.865cda078454cp-5, 0x1.7e8d036a52e8ap-5, 0x1.76de2de5a030ep-5, 0x1.6f4ff7c48e3abp-5, 0x1.67e1ff6232edp-5, 0x1.6093e332bc7fp-5, 0x1.596541cc4d74cp-5, 0x1.5255b9ef9566ep-5, 0x1.4b64ea900fb91p-5, 0x1.449272dc110d6p-5, 0x1.3dddf2447e84dp-5, 0x1.37470884449bep-5, 0x1.30cd55a790755p-5, 0x1.2a707a12bdd92p-5, 0x1.243016890a712p-5, 0x1.1e0bcc3304c45p-5, 0x1.18033ca4c28c5p-5, 0x1.121609e3d48acp-5, 0x1.0c43d66cfb64cp-5, 0x1.068c4539ab3b3p-5, 0x1.00eef9c54fefp-5, 0x1.f6d73024a5881p-6, 0x1.ec03895dee67cp-6, 0x1.e1624973e0a7ap-6, 0x1.d6f2bbcda1decp-6, 0x1.ccb42d047b6c4p-6, 0x1.c2a5eaebe087bp-6, 0x1.b8c744990e483p-6, 0x1.af178a6a4928p-6, 0x1.a5960e0dcb038p-6, 0x1.9c4222883e645p-6, 0x1.931b1c3aeafd4p-6, 0x1.8a2050e9875eap-6, 0x1.815117bfc0c85p-6, 0x1.78acc956569d2p-6, 0x1.7032bfb7f951ep-6, 0x1.67e25665d653cp-6, 0x1.5fbaea5bc3867p-6, 0x1.57bbda143d057p-6, 0x1.4fe4858c06023p-6, 0x1.48344e457fbeap-6, 0x1.40aa974bcbc1bp-6, 0x1.3946c53595614p-6, 0x1.32083e27a6851p-6, 0x1.2aee69d73f31dp-6, 0x1.23f8b18c23308p-6, 0x1.1d2680227186dp-6, 0x1.1677420c3eb74p-6, 0x1.0fea655301438p-6, 0x1.097f5998adf6ep-6, 0x1.03359018c1e49p-6, 0x1.fa18f751e1d68p-7, 0x1.ee072173810a2p-7, 0x1.e2348aadd8cffp-7, 0x1.d6a0224f1369fp-7, 0x1.cb48dadc230cbp-7, 0x1.c02daa106c05ap-7, 0x1.b54d88dd1bd89p-7, 0x1.aaa77368318d1p-7, 0x1.a03a690b3022p-7, 0x1.96056c518aa31p-7, 0x1.8c0782f6ba649p-7, 0x1.823fb5e4299e4p-7, 0x1.78ad112eb1a7dp-7, 0x1.6f4ea413ffe0cp-7, 0x1.662380f798137p-7, 0x1.5d2abd5fae084p-7, 0x1.546371f1c3fc5p-7, 0x1.4bccba6f0b2bep-7, 0x1.4365b5b089d0ap-7, 0x1.3b2d85a3145e7p-7, 0x1.33234f431bf83p-7, 0x1.2b463a983979ep-7, 0x1.239572b0a6ebdp-7, 0x1.1c10259c6850fp-7, 0x1.14b584687e2b5p-7, 0x1.0d84c319b167ap-7, 0x1.067d18a773689p-7, 0x1.ff3b7ded0dce8p-8, 0x1.f1cbe5a6e1e7ep-8, 0x1.e4a9e7d9d285ap-8, 0x1.d7d4099c2bf3ep-8, 0x1.cb48d5b18884cp-8, 0x1.bf06dc7ee0077p-8, 0x1.b30cb3fe5368ap-8, 0x1.a758f7b319d1fp-8, 0x1.9bea489ce936cp-8, 0x1.90bf4d2b6f7bap-8, 0x1.85d6b131841fdp-8, 0x1.7b2f25d84e5bdp-8, 0x1.70c76192402fcp-8, 0x1.669e200dd8957p-8, 0x1.5cb2222889725p-8, 0x1.53022de13d454p-8, 0x1.498d0e4aebbfep-8, 0x1.4051937f2bd6fp-8, 0x1.374e92907ca3cp-8, 0x1.2e82e57cb00d2p-8, 0x1.25ed6b1f29866p-8, 0x1.1d8d07232588ep-8, 0x1.1560a1f5dcbdep-8, 0x1.0d6728b8c8172p-8, 0x1.059f8d33ab337p-8, 0x1.fc118b8d7d24ap-9, 0x1.ed439ab9a96bfp-9, 0x1.ded346bae385cp-9, 0x1.d0be973db94c1p-9, 0x1.c3039cb0a2536p-9, 0x1.b5a070282aa91p-9, 0x1.a89333434228ep-9, 0x1.9bda100fa7f81p-9, 0x1.8f7338ee3f7c5p-9, 0x1.835ce877b1e2p-9, 0x1.77956160c9442p-9, 0x1.6c1aee5f58011p-9, 0x1.60ebe20ec17bdp-9, 0x1.560696d50457bp-9, 0x1.4b696ec7a52ep-9, 0x1.4112d390befabp-9, 0x1.370136545b085p-9, 0x1.2d330f95a714ap-9, 0x1.23a6df1c9d2cep-9, 0x1.1a5b2bdbb87c3p-9, 0x1.114e83d5ab3acp-9, 0x1.087f7c03594abp-9, 0x1.ffd9607481371p-10, 0x1.ef298624e30d4p-10, 0x1.deecbb9ad534cp-10, 0x1.cf2060794b2a2p-10, 0x1.bfc1e150eae09p-10, 0x1.b0ceb76e751c9p-10, 0x1.a24468a91aa9fp-10, 0x1.94208731ae3f8p-10, 0x1.8660b162024bap-10, 0x1.7902918c880ddp-10, 0x1.6c03ddccd8e0ep-10, 0x1.5f6257d83c23bp-10, 0x1.531bccceb1fdap-10, 0x1.472e150c9aa2fp-10, 0x1.3b9713fcc76e6p-10, 0x1.3054b7eac4471p-10, 0x1.2564f9d5d76b1p-10, 0x1.1ac5dd447892ap-10, 0x1.10757017e799ep-10, 0x1.0671ca60b89c8p-10, 0x1.f9721c66daf02p-11, 0x1.e692cefb5fb5cp-11, 0x1.d44217b86cb45p-11, 0x1.c27c74e198ddp-11, 0x1.b13e7771703b8p-11, 0x1.a084c2c94b15p-11, 0x1.904c0c5e81b76p-11, 0x1.80911b6c32512p-11, 0x1.7150c8a3b4cabp-11, 0x1.6287fdde758f2p-11, 0x1.5433b5d1a4eefp-11, 0x1.4650fbc1afca7p-11, 0x1.38dceb37b0dd3p-11, 0x1.2bd4afb6d4134p-11, 0x1.1f3584736a70bp-11, 0x1.12fcb40b0cdd3p-11, 0x1.0727983d1c293p-11, 0x1.f76733481778ep-12, 0x1.e13c5ee1d2b3dp-12, 0x1.cbc9be4c53facp-12, 0x1.b70a78a9afab6p-12, 0x1.a2f9d0b2af867p-12, 0x1.8f9324351a7e9p-12, 0x1.7cd1eb90bf05bp-12, 0x1.6ab1b93955328p-12, 0x1.592e3937b4684p-12, 0x1.484330ae539e9p-12, 0x1.37ec7d5f3f027p-12, 0x1.282615339480cp-12, 0x1.18ec05c50e562p-12, 0x1.0a3a73e8def04p-12, 0x1.f81b367af8ec6p-13, 0x1.dcc39b704fb89p-13, 0x1.c266e66d7afd6p-13, 0x1.a8fe122015106p-13, 0x1.908243527e301p-13, 0x1.78ecc8160adcfp-13, 0x1.623716efa99bp-13, 0x1.4c5ace0bb9c4ap-13, 0x1.3751b271a3516p-13, 0x1.2315af3cae7c3p-13, 0x1.0fa0d4d6d2036p-13, 0x1.f9dab06f885dcp-14, 0x1.d5eb244bc79fep-14, 0x1.b367fcf99fd62p-14, 0x1.924676e599e97p-14, 0x1.727c11cb3ca47p-14, 0x1.53fe8f512a808p-14, 0x1.36c3f1a629a2ap-14, 0x1.1ac27a304d13p-14, 0x1.ffe15069be07ap-15, 0x1.cc8a6f1d3784fp-15, 0x1.9b6e3eccfffabp-15, 0x1.6c7b21e24417p-15, 0x1.3f9fec69e9d15p-15, 0x1.14cbe1a723fbcp-15, 0x1.d7dd63607c7b2p-16, 0x1.89f0ee397f9a8p-16, 0x1.3fb3696a3aba5p-16, 0x1.f20d4cc5d89bap-17, 0x1.6b9a7c0eb4d4p-17, 0x1.d7aa3166947ccp-18, 0x1.ca15617055eb2p-19, -0x1.16341c92308d6p-26, -0x1.b6449a581629ap-19, -0x1.a980a0aec107ap-18, -0x1.364abd5d0d83p-17, -0x1.92613e90eaa37p-17, -0x1.e933572700eb3p-17, -0x1.1d77a22ad8674p-16, -0x1.43e102485ba6cp-16, -0x1.67ebaf62d2f03p-16, -0x1.89acf4bcdb75bp-16, -0x1.a93988dccacap-16, -0x1.c6a590f0cc06ap-16, -0x1.e204a42a7ef7ep-16, -0x1.fb69cf03e48fp-16, -0x1.0973cb3bba64ap-15, -0x1.1447fd9380eedp-15, -0x1.1e3a3e3591a14p-15, -0x1.27530db50fcb7p-15, -0x1.2f9aaeff65287p-15, -0x1.371928d5f512fp-15, -0x1.3dd64737ec6edp-15, -0x1.43d99cccd5359p-15, -0x1.492a843bb0586p-15, -0x1.4dd02189ab5a1p-15, -0x1.51d1636602b27p-15, -0x1.55350475563dbp-15, -0x1.58018c93ca1bap-15, -0x1.5a3d5212d126ep-15, -0x1.5bee7aed2dfa6p-15, -0x1.5d1afdf731a2fp-15, -0x1.5dc8a408a10e4p-15, -0x1.5dfd091cc0763p-15, -0x1.5dbd9d7345bd8p-15, -0x1.5d0fa6a29e13ap-15, -0x1.5bf840ad98406p-15, -0x1.5a7c5f0a29a57p-15, -0x1.58a0cdaa87e33p-15, -0x1.566a31fa04b46p-15, -0x1.53dd0bd9feafcp-15, -0x1.50fdb6956cc0fp-15, -0x1.4dd069d191d99p-15, -0x1.4a593a77366c4p-15, -0x1.469c1b9a0de48p-15, -0x1.429cdf571aa27p-15, -0x1.3e5f37b1f9a94p-15, -0x1.39e6b76a7db02p-15, -0x1.3536d2cfa19dfp-15, -0x1.3052e08b6a5fbp-15, -0x1.2b3e1a6dec4p-15, -0x1.25fb9e2e03a79p-15, -0x1.208e6e2dde4p-15, -0x1.1af97231b1b2cp-15, -0x1.153f781b6756ep-15, -0x1.0f63349aef3b6p-15, -0x1.096743ddf2dcdp-15, -0x1.034e2a3baa818p-15, -0x1.fa34a9b73e0d4p-16, -0x1.ed9c34b104df1p-16, -0x1.e0d776c1704adp-16, -0x1.d3eac6a313c3dp-16, -0x1.c6da519ed0b72p-16, -0x1.b9aa1cb5cdfeap-16, -0x1.ac5e05c38963ep-16, -0x1.9ef9c498906f7p-16, -0x1.9180ec1192a18p-16, -0x1.83f6eb23f8f7p-16, -0x1.765f0de570b7p-16, -0x1.68bc7e8f0f462p-16, -0x1.5b124677ceec4p-16, -0x1.4d634f08bb5a4p-16, -0x1.3fb262afb0da8p-16, -0x1.32022dc4dc798p-16, -0x1.24553f7275704p-16, -0x1.16ae0a90d5db1p-16, -0x1.090ee67fdfaffp-16, -0x1.f6f41ff34388p-17, -0x1.dbe353c76e3bp-17, -0x1.c0ef7c2a3c261p-17, -0x1.a61c7c37f398ap-17, -0x1.8b6e07fabe0c4p-17, -0x1.70e7a5dd30c2cp-17, -0x1.568cb0184eb4p-17, -0x1.3c60561374de6p-17, -0x1.22659dc119c78p-17, -0x1.089f64eac6361p-17, -0x1.de20c4fe4a548p-18, -0x1.ab764f97e84d6p-18, -0x1.79444370ea10fp-18, -0x1.478f33e9fb191p-18, -0x1.165b703e9c14bp-18, -0x1.cb5a0b96b89e2p-19, -0x1.6b0f847538f1cp-19, -0x1.0bde6b4ef49ecp-19, -0x1.5b9ad2bfbe4f3p-20, -0x1.438ad3d12b1a2p-21, 0x1.5b7d5559de47ap-24, 0x1.95a4658401b4cp-21, 0x1.7d7fc504433b5p-20, 0x1.16dbb53f2a06ap-19, 0x1.6db8611151d9cp-19, 0x1.c352125641cdap-19, 0x1.0bd2a77b25c9bp-18, 0x1.35577994ba0b2p-18, 0x1.5e3617257c796p-18, 0x1.866d3fe5b84ep-18, 0x1.adfbda1c23b14p-18, 0x1.d4e0f128696c7p-18, 0x1.fb1bb41e1539dp-18, 0x1.1055ba30e0208p-17, 0x1.22c7d22c9965ep-17, 0x1.34e3eb0f5fe1fp-17, 0x1.46a9dd203f7fbp-17, 0x1.58198f4374bdcp-17, 0x1.6932f664dee51p-17, 0x1.79f614e26445bp-17, 0x1.8a62fa009bd46p-17, 0x1.9a79c15ccb3f6p-17, 0x1.aa3a9268de271p-17, 0x1.b9a59fe7a284ep-17, 0x1.c8bb276e8964fp-17, 0x1.d77b70eb17953p-17, 0x1.e5e6ce2ce2c76p-17, 0x1.f3fd9a7021b28p-17, 0x1.00e01cf70fd3p-16, 0x1.07978cb945eap-16, 0x1.0e2556f81f20ep-16, 0x1.1489ba0e36b2bp-16, 0x1.1ac4f805b80a7p-16, 0x1.20d7566904835p-16, 0x1.26c11e13f2a49p-16, 0x1.2c829b06eb1b3p-16, 0x1.321c1c3c3ef4cp-16, 0x1.378df37d1c93ap-16, 0x1.3cd87539c4e67p-16, 0x1.41fbf86236ccep-16, 0x1.46f8d63f5895ap-16, 0x1.4bcf6a4f155fp-16, 0x1.5080122093b03p-16, 0x1.550b2d31eb6a8p-16, 0x1.59711cce7536fp-16, 0x1.5db243ef67617p-16, 0x1.61cf071c96bc1p-16, 0x1.65c7cc4e9725ep-16, 0x1.699cfad1e53e1p-16, 0x1.6d4efb2b045dap-16, 0x1.70de36fbaac7fp-16, 0x1.744b18e8d3b8dp-16, 0x1.77960c81dd806p-16, 0x1.7abf7e2891164p-16, 0x1.7dc7daf9e2ddp-16, 0x1.80af90b728d9cp-16, 0x1.83770db18d0eep-16, 0x1.861ec0b452a37p-16, 0x1.88a718f1c6259p-16, 0x1.8b1085efc8334p-16, 0x1.8d5b7775475ddp-16, 0x1.8f885d78d6ae9p-16, 0x1.9197a80f9d85p-16, 0x1.9389c75cc647bp-16, 0x1.955f2b825b221p-16, 0x1.97184491e2a13p-16, 0x1.98b5827e2af48p-16, 0x1.9a37550d8ccc1p-16, 0x1.9b9e2bccbb72ep-16, 0x1.9cea7601d95d4p-16, 0x1.9e1ca2a0f72a2p-16, 0x1.9f3520401c786p-16, 0x1.a0345d0c69094p-16, 0x1.a11ac6bf97e2ep-16, 0x1.a1e8ca95f89f1p-16, 0x1.a29ed544b010cp-16, 0x1.a33d52f11d76ep-16, 0x1.a3c4af27b60e3p-16, 0x1.a43554d41170cp-16, 0x1.a48fae38ef793p-16, 0x1.a4d424e9108e7p-16, 0x1.a50321bffecddp-16, 0x1.a51d0cdb7f19ap-16, 0x1.a5224d953df72p-16, 0x1.a5134a7d1d1c3p-16, 0x1.a4f069535226ep-16, 0x1.a4ba0f0338092p-16, 0x1.a4709f9eaa15p-16, 0x1.a4147e593de44p-16, 0x1.a3a60d83c324fp-16, 0x1.a325ae889d02dp-16, 0x1.a293c1e7a846ap-16, 0x1.a1f0a732f495dp-16, 0x1.a13cbd0b68145p-16, 0x1.a078611e311c7p-16, 0x1.9fa3f02158953p-16, 0x1.9ebfc5d1fbfcp-16, 0x1.9dcc3cf199a3cp-16, 0x1.9cc9af441ca0dp-16, 0x1.9bb8758e13379p-16, 0x1.9a98e7930f176p-16, 0x1.996b5c1430d07p-16, 0x1.983028cedba47p-16, 0x1.96e7a27bbf16dp-16, 0x1.95921ccda2846p-16, 0x1.942fea7113b6fp-16, 0x1.92c15d0b98cf3p-16, 0x1.9146c53b3f23ap-16, 0x1.8fc0729666a63p-16, 0x1.8e2eb3abadb76p-16, 0x1.8c91d601e2043p-16, 0x1.8aea2617f7287p-16, 0x1.8937ef6596135p-16, 0x1.877b7c5b49b4bp-16, 0x1.85b5166345259p-16, 0x1.83e505e187af5p-16, 0x1.820b9234ee9d9p-16, 0x1.802901b7e0bd5p-16, 0x1.7e3d99c15bdbap-16, 0x1.7c499ea5a3df7p-16, 0x1.7a4d53b7b3006p-16, 0x1.7848fb4a3c767p-16, 0x1.763cd6b0c7a9ep-16, 0x1.74292641469a9p-16, 0x1.720e295565aa2p-16, 0x1.6fec1e4bd883dp-16, 0x1.6dc3428a03403p-16, 0x1.6b93d27d83d46p-16, 0x1.695e099df9798p-16, 0x1.6722226e91b67p-16, 0x1.64e0567fd419ap-16, 0x1.6298de715ed1fp-16, 0x1.604bf1f3dcecp-16, 0x1.5df9c7cae581bp-16, 0x1.5ba295cecdefcp-16, 0x1.594690eed3f61p-16, 0x1.56e5ed32d8de9p-16, 0x1.5480ddbd9b772p-16, 0x1.521794cead972p-16, 0x1.4faa43c4bb114p-16, 0x1.4d391b1f65486p-16, 0x1.4ac44a819e4e6p-16, 0x1.484c00b3e16d6p-16, 0x1.45d06ba610e57p-16, 0x1.4351b871d4a61p-16, 0x1.40d0135cecc81p-16, 0x1.3e4ba7db6a163p-16, 0x1.3bc4a091bc128p-16, 0x1.393b2757318dcp-16, 0x1.36af6538081dcp-16, 0x1.34218277cdb89p-16, 0x1.3191a693b557ep-16, 0x1.2efff844d2637p-16, 0x1.2c6c9d8250816p-16, 0x1.29d7bb83d3089p-16, 0x1.274176c3d3016p-16, 0x1.24a9f301d1eaep-16, 0x1.221153449e83ap-16, 0x1.1f77b9dcc1ecbp-16, 0x1.1cdd4866b608dp-16, 0x1.1a421fcd25f2ap-16, 0x1.17a6604b4a8c9p-16, 0x1.150a296f28155p-16, 0x1.126d9a1bce9d6p-16, 0x1.0fd0d08bb3b59p-16, 0x1.0d33ea52d6125p-16, 0x1.0a970461030ccp-16, 0x1.07fa3b0424115p-16, 0x1.055da9ea81f74p-16, 0x1.02c16c24de8d8p-16, 0x1.00259c28b39fcp-16, 0x1.fb14a7a4b5d8ep-17, 0x1.f5df58ceae80bp-17, 0x1.f0ab7d30dc066p-17, 0x1.eb794507a5908p-17, 0x1.e648df6e60901p-17, 0x1.e11a7a63f2d29p-17, 0x1.dbee42ced0484p-17, 0x1.d6c4648105c3ep-17, 0x1.d19d0a3cc6de8p-17, 0x1.cc785db8366c3p-17, 0x1.c75687a189bafp-17, 0x1.c237afa330249p-17, 0x1.bd1bfc67cdf3cp-17, 0x1.b803939e35d83p-17, 0x1.b2ee99fd820edp-17, 0x1.addd3348c5c79p-17, 0x1.a8cf8252d9ebfp-17, 0x1.a3c5a9029a4f8p-17, 0x1.9ebfc85664a3ep-17, 0x1.99be0067ec74dp-17, 0x1.94c0706fef6f6p-17, 0x1.8fc736ca1c198p-17, 0x1.8ad270f852cedp-17, 0x1.85e23ba6a2161p-17, 0x1.80f6b2aec706ep-17, 0x1.7c0ff11b86c6p-17, 0x1.772e112c4a4c9p-17, 0x1.72512c58d13e1p-17, 0x1.6d795b5440748p-17, 0x1.68a6b610ab0aep-17, 0x1.63d953c266163p-17, 0x1.5f114ae35dcebp-17, 0x1.5a4eb13657fd2p-17, 0x1.55919bca44d18p-17, 0x1.50da1efd4bfddp-17, 0x1.4c284e7fde6d1p-17, 0x1.477c3d581f2b9p-17, 0x1.42d5fde4b2aep-17, 0x1.3e35a1dfd3d94p-17, 0x1.399b3a6280d2p-17, 0x1.3506d7e73d705p-17, 0x1.30788a4ce568fp-17, 0x1.2bf060d9fbb32p-17, 0x1.276e6a3f1615cp-17, 0x1.22f2b499be038p-17, 0x1.1e7d4d777dffbp-17, 0x1.1a0e41d840a14p-17, 0x1.15a59e31206e2p-17, 0x1.11436e6f2d9f5p-17, 0x1.0ce7bdfa022d6p-17, 0x1.089297b63c7fp-17, 0x1.044406081aaa5p-17, 0x1.fff825ac0ad87p-18, 0x1.f7758f15f68ebp-18, 0x1.ef005a32100dep-18, 0x1.e69897f77ad2ep-18, 0x1.de3e5874dfae6p-18, 0x1.d5f1aad528337p-18, 0x1.cdb29d64635ddp-18, 0x1.c5813d940432dp-18, 0x1.bd5d97ff7c0a5p-18, 0x1.b547b8708142p-18, 0x1.ad3fa9e38004fp-18, 0x1.a545768be70cp-18, 0x1.9d5927d80b2a6p-18, 0x1.957ac675fb3bfp-18, 0x1.8daa5a56e97bbp-18, 0x1.85e7eab333ab1p-18, 0x1.7e337e0ee8e44p-18, 0x1.768d1a3d3f556p-18, 0x1.6ef4c4644fbcap-18, 0x1.676a810160b77p-18, 0x1.5fee53ebfd607p-18, 0x1.58804059d566p-18, 0x1.512048e29bfa2p-18, 0x1.49ce6f8336a6p-18, 0x1.428ab5a15b5fap-18, 0x1.3b551c0ee51fcp-18, 0x1.342da30d674d3p-18, 0x1.2d144a515716dp-18, 0x1.260911054bdc4p-18, 0x1.1f0bf5cd3458dp-18, 0x1.181cf6c9506edp-18, 0x1.113c1199c1b0fp-18, 0x1.0a6943614375bp-18, 0x1.03a488c7d2339p-18, 0x1.f9dbbbfd2504fp-19, 0x1.ec8a7d83dccf9p-19, 0x1.df554cb86d497p-19, 0x1.d23c1f5328c43p-19, 0x1.c53eea32f5f9fp-19, 0x1.b85da1639a1bap-19, 0x1.ab983824becbbp-19, 0x1.9eeea0ec40fep-19, 0x1.9260cd6d5458bp-19, 0x1.85eeae9d20f32p-19, 0x1.799834b6ca0cp-19, 0x1.6d5d4f41ca89dp-19, 0x1.613ded15c4ed6p-19, 0x1.5539fc5ed6204p-19, 0x1.49516aa3a7978p-19, }}, 
      {{0x1.d3251b5074236p-1, 0x1.d2a3dfc1ef60ep-1, 0x1.d1e785094ff82p-1, 0x1.d101e6ef2d6d4p-1, 0x1.cffd4da9b75b1p-1, 0x1.cede0576f467bp-1, 0x1.cda4d90102a47p-1, 0x1.cc513192924fcp-1, 0x1.cae285f0f24b6p-1, 0x1.c9591ec1f6edap-1, 0x1.c7b6588f01366p-1, 0x1.c5fc90bf9f5fap-1, 0x1.c42ee467eb081p-1, 0x1.c250dda09042p-1, 0x1.c0662235bbe2p-1, 0x1.be722e6428303p-1, 0x1.bc782075b825fp-1, 0x1.ba7a962554947p-1, 0x1.b87b9a5ab3f1fp-1, 0x1.b67ca09b5cf2dp-1, 0x1.b47e8b1ee7c1dp-1, 0x1.b281b87f0c8adp-1, 0x1.b086164afb89bp-1, 0x1.ae8b36348678bp-1, 0x1.ac90640581edbp-1, 0x1.aa94bafec4dadp-1, 0x1.a89739a8ab97ap-1, 0x1.a696d373e6f4cp-1, 0x1.a4927fcfe8444p-1, 0x1.a28946934a8bap-1, 0x1.a07a49bbd660ep-1, 0x1.9e64cca928f15p-1, 0x1.9c483908ae0e4p-1, 0x1.9a2421b5677e1p-1, 0x1.97f843d3b8c17p-1, 0x1.95c486728b42bp-1, 0x1.9388f8f8ed7d8p-1, 0x1.9145d0a2d783ep-1, 0x1.8efb6549cf895p-1, 0x1.8caa2daf66b11p-1, 0x1.8a52bb787c0d6p-1, 0x1.87f5b7012573ep-1, 0x1.8593db2a6977p-1, 0x1.832df13cab7a4p-1, 0x1.80c4ccf3fe64bp-1, 0x1.7e5948c67a6d3p-1, 0x1.7bec4270451e5p-1, 0x1.797e97cd2c82bp-1, 0x1.7711240477d9ap-1, 0x1.74a4bd08ef149p-1, 0x1.723a316ce8bc4p-1, 0x1.6fd246887484dp-1, 0x1.6d6db6ee6c5ap-1, 0x1.6b0d312c2d213p-1, 0x1.68b156cf0d21dp-1, 0x1.665abbaa2dbb4p-1, 0x1.6409e55700598p-1, 0x1.61bf4aeac572ep-1, 0x1.5f7b54db4d02ap-1, 0x1.5d3e5d0d6d786p-1, 0x1.5b08af07d0bdfp-1, 0x1.58da88450bd7dp-1, 0x1.56b418a036b9bp-1, 0x1.549582d79e6a7p-1, 0x1.527edd2179d8ap-1, 0x1.507031ceefcbdp-1, 0x1.4e697ffa0b88bp-1, 0x1.4c6abc3ba2032p-1, 0x1.4a73d16674b0ap-1, 0x1.4884a14534257p-1, 0x1.469d05594daa6p-1, 0x1.44bccf98bc97ap-1, 0x1.42e3cb294c28ep-1, 0x1.4111bd18048d3p-1, 0x1.3f46650ba1cf7p-1, 0x1.3d817df135d3cp-1, 0x1.3bc2bea23651dp-1, 0x1.3a09da8368f63p-1, 0x1.3856821c3bc11p-1, 0x1.36a863a63fcp-1, 0x1.34ff2b948ef04p-1, 0x1.335a851304708p-1, 0x1.31ba1a7d42639p-1, 0x1.301d95cd8ddfep-1, 0x1.2e84a1039f7bcp-1, 0x1.2ceee6838f2b8p-1, 0x1.2b5c116d0bd18p-1, 0x1.29cbcdeb1eb64p-1, 0x1.283dc97cb6817p-1, 0x1.26b1b33646e22p-1, 0x1.25273bfcc3ee7p-1, 0x1.239e16ba4b07fp-1, 0x1.2215f88cc603bp-1, 0x1.208e98eedb7dbp-1, 0x1.1f07b1db7e953p-1, 0x1.1d80ffec6a60dp-1, 0x1.1bfa4273dd8cp-1, 0x1.1a733b91e0e16p-1, 0x1.18ebb04566d2ep-1, 0x1.176368798b404p-1, 0x1.15da2f0f3f905p-1, 0x1.144fd1e3a15ap-1, 0x1.12c421d3457f1p-1, 0x1.1136f2bab03d8p-1, 0x1.0fa81b7439531p-1, 0x1.0e1775d397cbep-1, 0x1.0c84de9f456bap-1, 0x1.0af03587f62b7p-1, 0x1.09595d1e4aefbp-1, 0x1.07c03ac6f5c7bp-1, 0x1.0624b6ad73569p-1, 0x1.0486bbb587cbbp-1, 0x1.02e6376ba0d72p-1, 0x1.014319f443871p-1, 0x1.ff3aabf54466cp-2, 0x1.fbe9c13cfdf0bp-2, 0x1.f89362c2e33f2p-2, 0x1.f53784275e2e5p-2, 0x1.f1d61d80d1ca9p-2, 0x1.ee6f2b33b84p-2, 0x1.eb02adca4614ep-2, 0x1.e790a9cbbdca1p-2, 0x1.e419279393199p-2, 0x1.e09c33287adc3p-2, 0x1.dd19dc13900a9p-2, 0x1.d992353798691p-2, 0x1.d60554a892361p-2, 0x1.d27353838ded5p-2, 0x1.cedc4dc6fc98ap-2, 0x1.cb40622b71cb1p-2, 0x1.c79fb1fcf3ab1p-2, 0x1.c3fa60f4e71dep-2, 0x1.c05095149ceaep-2, 0x1.bca2768095d46p-2, 0x1.b8f02f5c7ef7bp-2, 0x1.b539eba7f0218p-2, 0x1.b17fd91bf8668p-2, 0x1.adc227097a52fp-2, 0x1.aa0106385d681p-2, 0x1.a63ca8c79cd2bp-2, 0x1.a275420e3045bp-2, 0x1.9eab067cd8a6fp-2, 0x1.9ade2b80cf3bap-2, 0x1.970ee76757c4ep-2, 0x1.933d714235fdfp-2, 0x1.8f6a00cd0c327p-2, 0x1.8b94ce539a929p-2, 0x1.87be1298e258cp-2, 0x1.83e606bf2ef3fp-2, 0x1.800ce430fbf9bp-2, 0x1.7c32e48abe096p-2, 0x1.7858418584f24p-2, 0x1.747d34e27b832p-2, 0x1.70a1f8573c37ap-2, 0x1.6cc6c57afba4p-2, 0x1.68ebd5b486dd9p-2, 0x1.651162290c327p-2, 0x1.6137a3abaf119p-2, 0x1.5d5ed2ade723ep-2, 0x1.598727309cf34p-2, 0x1.55b0d8b60b296p-2, 0x1.51dc1e3456c42p-2, 0x1.4e092e08e2a53p-2, 0x1.4a383dec53eeep-2, 0x1.466982e746bd9p-2, 0x1.429d3147adf66p-2, 0x1.3ed37c96d8e4dp-2, 0x1.3b0c97901e35ep-2, 0x1.3748b41820e18p-2, 0x1.33880334b2f85p-2, 0x1.2fcab5054d185p-2, 0x1.2c10f8bc17049p-2, 0x1.285afc977d6a4p-2, 0x1.24a8eddc529fep-2, 0x1.20faf8d07274ap-2, 0x1.1d5148b5e58acp-2, 0x1.19ac07c686e05p-2, 0x1.160b5f301a6p-2, 0x1.126f7710de96ep-2, 0x1.0ed8767489ba1p-2, 0x1.0b468351b824bp-2, 0x1.07b9c287beabcp-2, 0x1.043257dce3dc5p-2, 0x1.00b065fcfc9e7p-2, 0x1.fa681cf0c35fdp-3, 0x1.f37ae38680517p-3, 0x1.ec995e6a83eb8p-3, 0x1.e5c3ca130d9e4p-3, 0x1.defa60bdd6f02p-3, 0x1.d83d5a713b09dp-3, 0x1.d18cecfdee847p-3, 0x1.cae94c014150cp-3, 0x1.c452a8e7df484p-3, 0x1.bdc932f1120cp-3, 0x1.b74d173278c12p-3, 0x1.b0de809c2ea25p-3, 0x1.aa7d97fd5dc26p-3, 0x1.a42a84093371ep-3, 0x1.9de5695c3aad7p-3, 0x1.97ae6a820778bp-3, 0x1.9185a7fb3cd2cp-3, 0x1.8b6b4043e0f4p-3, 0x1.855f4fd9f8cafp-3, 0x1.7f61f1446e3d8p-3, 0x1.79733d1a2dd52p-3, 0x1.73934a098ac8bp-3, 0x1.6dc22cdfd2866p-3, 0x1.67fff89115e59p-3, 0x1.624cbe40247bcp-3, 0x1.5ca88d46aa401p-3, 0x1.5713733d7aeb4p-3, 0x1.518d7c04ffa68p-3, 0x1.4c16b1cdc1c0ep-3, 0x1.46af1d210ee6cp-3, 0x1.4156c4e9bb41cp-3, 0x1.3c0dae7cf36dap-3, 0x1.36d3dda32389ep-3, 0x1.31a954a0ea9b4p-3, 0x1.2c8e1440195d2p-3, 0x1.27821bd8bba0ep-3, 0x1.2285695a27d55p-3, 0x1.1d97f9540dad6p-3, 0x1.18b9c6ff8cb0fp-3, 0x1.13eacc4843c49p-3, 0x1.0f2b01d55eeecp-3, 0x1.0a7a5f12a1985p-3, 0x1.05d8da3960f7fp-3, 0x1.01466859803f9p-3, 0x1.f985fac4b11e2p-4, 0x1.f09d1857276ap-4, 0x1.e7d20cfbf1b93p-4, 0x1.df24ba385d5adp-4, 0x1.d694ff96bd43ep-4, 0x1.ce22bab799dd5p-4, 0x1.c5cdc762b699bp-4, 0x1.bd95ff97e648ep-4, 0x1.b57b3b9faaa48p-4, 0x1.ad7d521bad291p-4, 0x1.a59c18170165ap-4, 0x1.9dd761162b7afp-4, 0x1.962eff26f6675p-4, 0x1.8ea2c2f00c927p-4, 0x1.87327bc05c739p-4, 0x1.7fddf79e3ab89p-4, 0x1.78a50356489cp-4, 0x1.71876a8a1fd4p-4, 0x1.6a84f7bebba6dp-4, 0x1.639d746aa1f6cp-4, 0x1.5cd0a903cd25ep-4, 0x1.561e5d0d52f33p-4, 0x1.4f865724cb218p-4, 0x1.49085d0f6c686p-4, 0x1.42a433c6f254dp-4, 0x1.3c599f86323d2p-4, 0x1.362863d575733p-4, 0x1.301043968aa16p-4, 0x1.2a1101109778bp-4, 0x1.242a5dfb9ee69p-4, 0x1.1e5c1b8bcb7a3p-4, 0x1.18a5fa7c6ed89p-4, 0x1.1307bb1ac1aeap-4, 0x1.0d811d505e801p-4, 0x1.0811e0ad76184p-4, 0x1.02b9c472c694bp-4, 0x1.faf10f369715dp-5, 0x1.f09bd1cb57b65p-5, 0x1.e6734dbad0b7p-5, 0x1.dc76ffc78e43dp-5, 0x1.d2a66470fbc87p-5, 0x1.c900f8043c7cdp-5, 0x1.bf8636ac7ef21p-5, 0x1.b6359c82d9b3cp-5, 0x1.ad0ea59da5b9ap-5, 0x1.a410ce1f6193ep-5, 0x1.9b3b92451a7fdp-5, 0x1.928e6e745b65ap-5, 0x1.8a08df48aa313p-5, 0x1.81aa61a08d2fep-5, 0x1.797272aa2031fp-5, 0x1.71608fef34275p-5, 0x1.6974376104d51p-5, 0x1.61ace7637ea8p-5, 0x1.5a0a1ed81a453p-5, 0x1.528b5d2846cfcp-5, 0x1.4b30224f7b84p-5, 0x1.43f7eee4d04a6p-5, 0x1.3ce2442441d8cp-5, 0x1.35eea3f78b91cp-5, 0x1.2f1c90fea2bfap-5, 0x1.286b8e97d1c03p-5, 0x1.21db20e7791f9p-5, 0x1.1b6accdf75375p-5, 0x1.151a184628ad4p-5, 0x1.0ee889bd3443bp-5, 0x1.08d5a8c7d54a8p-5, 0x1.02e0fdd0f433p-5, 0x1.fa142461bf7f4p-6, 0x1.eea0e0657869dp-6, 0x1.e36746333f021p-6, 0x1.d8666e4ad026ap-6, 0x1.cd9d732e8d4cp-6, 0x1.c30b716bfcfdbp-6, 0x1.b8af87a3cf866p-6, 0x1.ae88d69140567p-6, 0x1.a49681110ff94p-6, 0x1.9ad7ac27e4a3ap-6, 0x1.914b7f083cfaep-6, 0x1.87f12317e4e7p-6, 0x1.7ec7c3f4e8ea1p-6, 0x1.75ce8f7a27a7p-6, 0x1.6d04b5c368445p-6, 0x1.6469693105d7fp-6, 0x1.5bfbde6b2fdd9p-6, 0x1.53bb4c64caf9cp-6, 0x1.4ba6ec5de996dp-6, 0x1.43bdf9e5e41b1p-6, 0x1.3bffb2dd116aap-6, 0x1.346b5776336a1p-6, 0x1.2d002a377cc42p-6, 0x1.25bd6ffb4893p-6, 0x1.1ea26ff08286p-6, 0x1.17ae739abd65fp-6, 0x1.10e0c6d20990ap-6, 0x1.0a38b7c269a47p-6, 0x1.03b596eb1f0fap-6, 0x1.faad6e3b37b1ep-7, 0x1.ee36daf88213bp-7, 0x1.e20622f1b0456p-7, 0x1.d619f9a5a44d7p-7, 0x1.ca71172a9f8a3p-7, 0x1.bf0a3829d72a3p-7, 0x1.b3e41ddaabc19p-7, 0x1.a8fd8dfd7fc3cp-7, 0x1.9e5552d60deafp-7, 0x1.93ea3b258cf4fp-7, 0x1.89bb1a2462c93p-7, 0x1.7fc6c77b7abbdp-7, 0x1.760c1f3d67bdfp-7, 0x1.6c8a01df22a18p-7, 0x1.633f543081fefp-7, 0x1.5a2aff5479cebp-7, 0x1.514bf0b90acb5p-7, 0x1.48a11a0f079ap-7, 0x1.40297141774b8p-7, 0x1.37e3f06cf5541p-7, 0x1.2fcf95d6bb867p-7, 0x1.27eb63e376ff6p-7, 0x1.2036610e0f8e8p-7, 0x1.18af97de1ad27p-7, 0x1.115616de4a1f1p-7, 0x1.0a28f092a2597p-7, 0x1.03273b6e91102p-7, 0x1.f8a02395cd1c5p-8, 0x1.eb4523b751e47p-8, 0x1.de3bbb4bc7817p-8, 0x1.d18235ea85eedp-8, 0x1.c516e6a34cc6cp-8, 0x1.b8f827e9366b4p-8, 0x1.ad245b7da786fp-8, 0x1.a199ea5ae98c2p-8, 0x1.9657449ed4f78p-8, 0x1.8b5ae175593b3p-8, 0x1.80a33f02da29dp-8, 0x1.762ee24ea3559p-8, 0x1.6bfc572d3b10bp-8, 0x1.620a302aa1ba6p-8, 0x1.58570674a7476p-8, 0x1.4ee179c518434p-8, 0x1.45a8304c0f689p-8, 0x1.3ca9d69a3fe77p-8, 0x1.33e51f8b373b1p-8, 0x1.2b58c42fb41abp-8, 0x1.230383b804bccp-8, 0x1.1ae4235e84a03p-8, 0x1.12f96e51fbef8p-8, 0x1.0b4235a0566dep-8, 0x1.03bd502121407p-8, 0x1.f8d334c0bd226p-9, 0x1.ea8bed12c3d78p-9, 0x1.dca298a348e0dp-9, 0x1.cf1511c7c85cbp-9, 0x1.c1e13d96839bep-9, 0x1.b5050bbd249abp-9, 0x1.a87e76578d635p-9, 0x1.9c4b81c6eb8e6p-9, 0x1.906a3c8926f5ep-9, 0x1.84d8bf106feeap-9, 0x1.79952b9b6cd24p-9, 0x1.6e9dae0d4c83ep-9, 0x1.63f07bc6919a6p-9, 0x1.598bd37ddc6a5p-9, 0x1.4f6dfd19464dep-9, 0x1.45954987f6e89p-9, 0x1.3c00129c2cd28p-9, 0x1.32acbae56adbp-9, 0x1.2999ad8b449cp-9, 0x1.20c55e28674ap-9, 0x1.182e48a5f6649p-9, 0x1.0fd2f11770a34p-9, 0x1.07b1e396bb2a1p-9, 0x1.ff936841bf859p-10, 0x1.f031fce58e4a7p-10, 0x1.e13ccbcd76311p-10, 0x1.d2b12aa442e04p-10, 0x1.c48c7dc7018f7p-10, 0x1.b6cc3802413dfp-10, 0x1.a96dda4fc3821p-10, 0x1.9c6ef39559f4dp-10, 0x1.8fcd20644ab9bp-10, 0x1.83860ab959687p-10, 0x1.779769be3cc0dp-10, 0x1.6bff018b3745dp-10, 0x1.60baa2e9ed59dp-10, 0x1.55c82b18d6babp-10, 0x1.4b25838f97ed1p-10, 0x1.40d0a1c428919p-10, 0x1.36c786f09bdbbp-10, 0x1.2d083fda15a56p-10, 0x1.2390e49821776p-10, 0x1.1a5f985d0da67p-10, 0x1.1172893f39a27p-10, 0x1.08c7f002caba2p-10, 0x1.005e0fe48561bp-10, 0x1.f0666cca7f306p-11, 0x1.e08b762c6c1d8p-11, 0x1.d127fecc0c498p-11, 0x1.c238dcdd47484p-11, 0x1.b3baf987b1813p-11, 0x1.a5ab5085525d9p-11, 0x1.9806efc307e51p-11, 0x1.8acaf7023a8bfp-11, 0x1.7df4977bfbc5p-11, 0x1.71811385f6ec8p-11, 0x1.656dbe3891116p-11, 0x1.59b7fb168752ap-11, 0x1.4e5d3db62a719p-11, 0x1.435b096bcd4fcp-11, 0x1.38aef0f5e9d9bp-11, 0x1.2e56962a3ec43p-11, 0x1.244fa9a4e9124p-11, 0x1.1a97ea782f7ecp-11, 0x1.112d25de5b052p-11, 0x1.080d36ec6722dp-11, 0x1.fe6c0c8c776c5p-12, 0x1.ed4b13a883bb7p-12, 0x1.dcb388f42bd7cp-12, 0x1.cca18b9d9b8cep-12, 0x1.bd1153acd01fep-12, 0x1.adff3178ae88fp-12, 0x1.9f678d1eb7d06p-12, 0x1.9146e5fe0ecc3p-12, 0x1.8399d23318cap-12, 0x1.765cfe17a980fp-12, 0x1.698d2bc408fcep-12, 0x1.5d273292b23e8p-12, 0x1.5127fea6dc20cp-12, 0x1.458c90747e58cp-12, 0x1.3a51fc4b693dap-12, 0x1.2f7569e41a10dp-12, 0x1.24f413ee8821bp-12, 0x1.1acb47a3e27dep-12, 0x1.10f86459b7456p-12, 0x1.0778db175db51p-12, 0x1.fc945c5b5feddp-13, 0x1.ead3e1a18582ap-13, 0x1.d9ab8d6650c0ep-13, 0x1.c916c747becadp-13, 0x1.b911165bb56cp-13, 0x1.a9962072657fep-13, 0x1.9aa1a95da276p-13, 0x1.8c2f923b00816p-13, 0x1.7e3bd8c1dffb8p-13, 0x1.70c29695a16e2p-13, 0x1.63c0009a81a8bp-13, 0x1.5730664dc568ap-13, 0x1.4b103123cf1eep-13, 0x1.3f5be3e567577p-13, 0x1.34101a1466d75p-13, 0x1.292987511de09p-13, 0x1.1ea4f6c3883e1p-13, 0x1.147f4a8890bd2p-13, 0x1.0ab57b212739fp-13, 0x1.014496e574837p-13, 0x1.f05382f44c5a6p-14, 0x1.dec466923623ep-14, 0x1.cdd671fb7dc7ep-14, 0x1.bd8466057d6e7p-14, 0x1.adc92a061871dp-14, 0x1.9e9fcaddcfbafp-14, 0x1.90037a031bd1p-14, 0x1.81ef8c96cc2d8p-14, 0x1.745f7a7a1f5f7p-14, 0x1.674edd6e11a15p-14, 0x1.5ab9703321c95p-14, 0x1.4e9b0db21c647p-14, 0x1.42efb02708795p-14, 0x1.37b370520682bp-14, 0x1.2ce284ac68a37p-14, 0x1.227940a2f09bp-14, 0x1.187413d3ca78bp-14, 0x1.0ecf8951342fbp-14, 0x1.058846e92402p-14, 0x1.f93618df7206cp-15, 0x1.e809661fa47dfp-15, 0x1.d7845939d554dp-15, 0x1.c7a105d895d4ep-15, 0x1.b859ae5ff9771p-15, 0x1.a9a8c2aa627a8p-15, 0x1.9b88ded0fdf3ap-15, 0x1.8df4c9f7d4119p-15, 0x1.80e775234a483p-15, 0x1.745bfa130e6cbp-15, 0x1.684d9a25ca045p-15, 0x1.5cb7bd414b53ep-15, 0x1.5195f0c521eedp-15, 0x1.46e3e67e8eaaap-15, 0x1.3c9d73a72ec44p-15, 0x1.32be8fe94f60dp-15, 0x1.29435465d1567p-15, 0x1.2027fac8b951bp-15, 0x1.1768dc5a99a7bp-15, 0x1.0f02711d736cap-15, 0x1.06f14eedbe63ep-15, 0x1.fe64514ea0e57p-16, 0x1.ef839aa54994fp-16, 0x1.e13a4ea9c84eep-16, 0x1.d382774d0c2f9p-16, 0x1.c656521cd8ab7p-16, 0x1.b9b04ec4af2cbp-16, 0x1.ad8b0d95d9e85p-16, 0x1.a1e15e1cb0b02p-16, 0x1.96ae3dbe67fedp-16, 0x1.8becd65c4bd83p-16, 0x1.81987d041ab53p-16, 0x1.77acb0a6de162p-16, 0x1.6e2518d853123p-16, 0x1.64fd8499a7f18p-16, 0x1.5c31e9241cf44p-16, 0x1.53be60c8eca78p-16, 0x1.4b9f29ca0eaf8p-16, 0x1.43d0a54532db8p-16, 0x1.3c4f5622e3cb8p-16, 0x1.3517e00a87768p-16, 0x1.2e270661570d6p-16, 0x1.2779ab4d435ap-16, 0x1.210ccec09a1b8p-16, 0x1.1add8d8a820e9p-16, 0x1.14e9206f05b44p-16, 0x1.0f2cdb45018b7p-16, 0x1.09a62c1b95813p-16, 0x1.04529a6129e73p-16, 0x1.fe5f8c2dcd9a1p-17, 0x1.f476ce08bd069p-17, 0x1.eae697e71a0a3p-17, 0x1.e1aab3e0c0dc3p-17, 0x1.d8bf172126ea1p-17, 0x1.d01fe07b52c21p-17, 0x1.c7c95709ca6f9p-17, 0x1.bfb7e8db0f9c1p-17, 0x1.b7e829a3ab8c7p-17, 0x1.b056d17baa18cp-17, 0x1.a900bba66c08ep-17, 0x1.a1e2e56104107p-17, 0x1.9afa6cb9437c6p-17, 0x1.94448f72259d7p-17, 0x1.8dbea9e682343p-17, 0x1.87663601c5a6bp-17, 0x1.8138ca305a12p-17, 0x1.7b3418687d842p-17, 0x1.7555ed2a8b1ap-17, 0x1.6f9c2e9744231p-17, 0x1.6a04db812ad18p-17, 0x1.648e0a8bf2ae3p-17, 0x1.5f35e94fd7c3ep-17, 0x1.59fabb863ccf4p-17, 0x1.54dada37a06dfp-17, 0x1.4fd4b2f622f36p-17, 0x1.4ae6c71820ff3p-17, 0x1.460faafd9503ap-17, 0x1.414e0558695e9p-17, 0x1.3ca08e7b12c59p-17, 0x1.38060fac8764p-17, 0x1.337d6283c36dp-17, 0x1.2f057042d6ec9p-17, 0x1.2a9d313e9a95dp-17, 0x1.2643ac444318p-17, 0x1.21f7f608a15bp-17, 0x1.1db9309947af5p-17, 0x1.19868ad499bbap-17, 0x1.155f3fe28397p-17, 0x1.114296b6449a3p-17, 0x1.0d2fe18f96792p-17, 0x1.09267d84b1501p-17, 0x1.0525d20b4f2a3p-17, 0x1.012d5089d44d1p-17, 0x1.fa78e7d2e92bcp-18, 0x1.f2a5805a62c1bp-18, 0x1.eadf8417c0725p-18, 0x1.e3261d1bb9c12p-18, 0x1.db78855baf707p-18, 0x1.d3d605fa55396p-18, 0x1.cc3df6963528ep-18, 0x1.c4afbc9e1b0b6p-18, 0x1.bd2acaac6d536p-18, 0x1.b5ae9fe7460bcp-18, 0x1.ae3ac7651715dp-18, 0x1.a6ced79ab6dbcp-18, 0x1.9f6a71c95b24p-18, 0x1.980d41774940ap-18, 0x1.90b6fbe78b325p-18, 0x1.89675f9baca39p-18, 0x1.821e33d7adf95p-18, 0x1.7adb48291af9bp-18, 0x1.739e73f7a548ep-18, 0x1.6c679612dc295p-18, 0x1.6536944aac9e5p-18, 0x1.5e0b5b0791b79p-18, 0x1.56e5dce8162c3p-18, 0x1.4fc612639fc7ap-18, 0x1.48abf96d637a5p-18, 0x1.4197951e08103p-18, 0x1.3a88ed5ff2477p-18, 0x1.33800e9d9ea2bp-18, 0x1.2c7d09754fb6fp-18, 0x1.257ff26d1b97p-18, 0x1.1e88e1ada8785p-18, 0x1.1797f2bb58b3dp-18, 0x1.10ad44379b427p-18, 0x1.09c8f79f94dd1p-18, 0x1.02eb3111b3b6fp-18, 0x1.f8282e2417464p-19, 0x1.ea87a4ad77d09p-19, 0x1.dcf51b1f09356p-19, 0x1.cf70ea6afbb34p-19, 0x1.c1fb6eb704a95p-19, 0x1.b49506fb8ac6ep-19, 0x1.a73e14b2687eap-19, 0x1.99f6fb7d72ef1p-19, 0x1.8cc020dbb3eddp-19, 0x1.7f99ebd9fed61p-19, 0x1.7284c4cddd996p-19, 0x1.6581150c6d4ddp-19, 0x1.588f46af47d95p-19, 0x1.4bafc4519660ep-19, 0x1.3ee2f8d739af2p-19, 0x1.32294f3556481p-19, 0x1.2583323c85e1bp-19, 0x1.18f10c68bd093p-19, 0x1.0c7347b0d0831p-19, 0x1.000a4d59ea532p-19, 0x1.e76d0b9ce743cp-20, 0x1.cef0b0ec6614dp-20, 0x1.b6a057226484ap-20, 0x1.9e7cc828a4bedp-20, 0x1.8686cb167a7d3p-20, 0x1.6ebf23ed6a2c2p-20, 0x1.572693614401bp-20, 0x1.3fbdd6a8ef116p-20, 0x1.2885a744bbd4dp-20, 0x1.117ebad80fa84p-20, 0x1.f55385f5609a7p-21, 0x1.c80eda22f8f6cp-21, 0x1.9b30c46050071p-21, 0x1.6eba8ddfe06c9p-21, 0x1.42ad76b6fcbc2p-21, 0x1.170ab595f0049p-21, 0x1.d7a6ef4d6b7p-22, 0x1.8211c0ab8c293p-22, 0x1.2d5812635c5cfp-22, 0x1.b2f807245ce01p-23, 0x1.0cff3e3699555p-23, 0x1.a326db872adffp-25, -0x1.cd26590a0bde9p-26, -0x1.b4915b26385b2p-24, -0x1.791e7fcab664fp-23, -0x1.0b117d7fd2b68p-22, -0x1.58a9811ea6689p-22, -0x1.a555d14047a08p-22, -0x1.f11509665f97cp-22, -0x1.1df2ecfb1bf33p-21, -0x1.42e38423e52bap-21, -0x1.675bb73fd3987p-21, -0x1.8b5afdc1a07fap-21, -0x1.aee0d9733a1b9p-21, -0x1.d1ecd657f9b8ap-21, -0x1.f47e8aaefeaf9p-21, -0x1.0b4acb6658e16p-20, -0x1.1c18d2891f6eep-20, -0x1.2ca934e73021ap-20, -0x1.3cfbd19527ce9p-20, -0x1.4d108c84abc92p-20, -0x1.5ce74e796a916p-20, -0x1.6c8004f7fc6b8p-20, -0x1.7bdaa237d8912p-20, -0x1.8af71d124a892p-20, -0x1.99d570f55e127p-20, -0x1.a8759dccdbb6p-20, -0x1.b6d7a7f80fa57p-20, -0x1.c4fb9830fb6fep-20, -0x1.d2e17b7f45624p-20, -0x1.e08963238eec8p-20, -0x1.edf36484b2b6bp-20, -0x1.fb1f991a64dcfp-20, -0x1.04070f30267cp-19, -0x1.0a5f8adc7f30cp-19, -0x1.1099523128cc6p-19, -0x1.16b479adf483ep-19, -0x1.1cb117ab38125p-19, -0x1.228f444ddb994p-19, -0x1.284f197f2b587p-19, -0x1.2df0b2e07c1p-19, -0x1.33742dc28c4f7p-19, -0x1.38d9a919937cbp-19, -0x1.3e2145749674bp-19, -0x1.434b24f27f2b1p-19, -0x1.48576b365eff7p-19, -0x1.4d463d5f3a1e2p-19, -0x1.5217c1fcbad1cp-19, -0x1.56cc21044ade4p-19, -0x1.5b6383c85ee75p-19, -0x1.5fde14ec93e1bp-19, -0x1.643c005d85671p-19, -0x1.687d734409c1dp-19, -0x1.6ca29bfec2665p-19, -0x1.70abaa14bbc5bp-19, -0x1.7498ce2d8d6bfp-19, -0x1.786a3a0703779p-19, -0x1.7c20206bb46b5p-19, -0x1.7fbab528b62d2p-19, -0x1.833a2d051f9dap-19, -0x1.869ebdb7ad734p-19, -0x1.89e89ddddd356p-19, -0x1.8d1804f3426fep-19, -0x1.902d2b477b1bep-19, -0x1.932849f56d312p-19, -0x1.96099adae0732p-19, -0x1.98d1588f8de48p-19, -0x1.9b7fbe5c1ba0dp-19, -0x1.9e150831f4584p-19, -0x1.a09172a2e36b4p-19, -0x1.a2f53ad8983bcp-19, -0x1.a5409e8d141e2p-19, -0x1.a773dc0153302p-19, -0x1.a98f31f72a118p-19, -0x1.ab92dfa8102a7p-19, -0x1.ad7f24be4eb96p-19, -0x1.af54414d05455p-19, -0x1.b11275c9419c6p-19, -0x1.b2ba03023fa65p-19, -0x1.b44b2a1a72666p-19, -0x1.b5c62c810732ap-19, -0x1.b72b4beab6378p-19, -0x1.b87aca4a73da6p-19, -0x1.b9b4e9cbeb3e2p-19, -0x1.bad9eccc1896ep-19, -0x1.bbea15d3b7936p-19, -0x1.bce5a790782eap-19, -0x1.bdcce4cf6dacdp-19, -0x1.bea01076b0f41p-19, -0x1.bf5f6d800ef26p-19, -0x1.c00b3ef2f8357p-19, -0x1.c0a3c7df171a5p-19, -0x1.c1294b570ae2ep-19, -0x1.c19c0c6aa9286p-19, -0x1.c1fc4e22a549bp-19, -0x1.c24a537a9d693p-19, -0x1.c2865f5cbf8c8p-19, -0x1.c2b0b49caf59ep-19, -0x1.c2c995f3697a6p-19, -0x1.c2d145fa2f1afp-19, -0x1.c2c807260f60cp-19, -0x1.c2ae1bc4372b2p-19, -0x1.c283c5f50b463p-19, -0x1.c24947a8590bdp-19, -0x1.c1fee299690a7p-19, -0x1.c1a4d84b4c78ep-19, -0x1.c13b6a04e0e06p-19, -0x1.c0c2d8cd3250bp-19, -0x1.c03b65682e48bp-19, -0x1.bfa5505307a5bp-19, -0x1.bf00d9c136ca4p-19, -0x1.be4e4198adb55p-19, -0x1.bd8dc76f6ce3p-19, -0x1.bcbfaa88139f4p-19, -0x1.bbe429cf2714ep-19, -0x1.bafb83d86eb0bp-19, -0x1.ba05f6dbf6976p-19, -0x1.b903c0b39aba6p-19, -0x1.b7f51ed86fe9dp-19, -0x1.b6da4e60ad736p-19, -0x1.b5b38bfd1197bp-19, -0x1.b48113f69f59ep-19, -0x1.b343222c89453p-19, -0x1.b1f9f212758d8p-19, -0x1.b0a5beade3ab9p-19, -0x1.af46c294eab2fp-19, -0x1.addd37ec086c4p-19, -0x1.ac695864b3482p-19, -0x1.aaeb5d3b7188p-19, -0x1.a9637f366bc4cp-19, -0x1.a7d1f6a3e8656p-19, -0x1.a636fb59275b5p-19, -0x1.a492c4b07b9ap-19, -0x1.a2e58988aad53p-19, -0x1.a12f804327409p-19, -0x1.9f70dec360e54p-19, -0x1.9da9da6dad788p-19, -0x1.9bdaa825f68d8p-19, -0x1.9a037c4f0b7dfp-19, -0x1.98248ac9cd46fp-19, -0x1.963e06f468cf2p-19, -0x1.945023a961542p-19, -0x1.925b133f1f6dfp-19, -0x1.905f078740161p-19, -0x1.8e5c31ce1f0ep-19, -0x1.8c52c2d9fc652p-19, -0x1.8a42eaead5d8dp-19, -0x1.882cd9ba1d9fp-19, -0x1.8610be79ff0c5p-19, -0x1.83eec7d558d06p-19, -0x1.81c723ef6c41ap-19, -0x1.7f9a0063c2453p-19, -0x1.7d678a45d56a6p-19, -0x1.7b2fee2120541p-19, -0x1.78f357f906a9ep-19, -0x1.76b1f348a4ab8p-19, -0x1.746beb03071c1p-19, -0x1.722169935c414p-19, -0x1.6fd298dca85f9p-19, -0x1.6d7fa23a15daep-19, -0x1.6b28ae7f4fb7bp-19, -0x1.68cde5f892e62p-19, -0x1.666f706af120ep-19, -0x1.640d7514a91f9p-19, -0x1.61a81aad64d91p-19, -0x1.5f3f8766ab139p-19, -0x1.5cd3e0ec3018bp-19, -0x1.5a654c643285p-19, -0x1.57f3ee701095fp-19, -0x1.557feb2ca3d18p-19, -0x1.53096632defa2p-19, -0x1.509082984031ep-19, -0x1.4e1562ef56b7ep-19, -0x1.4b98294863bd3p-19, -0x1.4918f732152b1p-19, -0x1.4697edb9de693p-19, -0x1.44152d6cd6e12p-19, -0x1.4190d658575e2p-19, -0x1.3f0b080a99bb2p-19, -0x1.3c83e1939f787p-19, -0x1.39fb8185c4271p-19, -0x1.377205f665296p-19, -0x1.34e78c7eca968p-19, -0x1.325c323d179cdp-19, -0x1.2fd013d4c4b7ap-19, -0x1.2d434d6f89ba5p-19, -0x1.2ab5fabe64addp-19, -0x1.282836fa4599dp-19, -0x1.259a1ce4e8ff4p-19, -0x1.230bc6c9c7137p-19, -0x1.207d4e7eee3aep-19, -0x1.1deecd65e347p-19, -0x1.1b605c6ca7c0cp-19, -0x1.18d2140e6b756p-19, -0x1.16440c54c3bffp-19, -0x1.13b65cd86246bp-19, -0x1.11291cc208d2cp-19, -0x1.0e9c62cb7ee27p-19, -0x1.0c104540d1057p-19, -0x1.0984da01082d3p-19, -0x1.06fa367f0d60cp-19, -0x1.04706fc2c6821p-19, -0x1.01e79a6a20a18p-19, -0x1.febf9553e8896p-20, -0x1.f9b2289e163b1p-20, -0x1.f4a7157e5956dp-20, -0x1.ef9e81f424261p-20, -0x1.ea989334efep-20, -0x1.e5956dae2fe0ep-20, -0x1.e095350767776p-20, -0x1.db980c24342a9p-20, -0x1.d69e152631f4p-20, -0x1.d1a7716f26f52p-20, -0x1.ccb441a33ab4p-20, -0x1.c7c4a5aa964fbp-20, -0x1.c2d8bcb3d9fefp-20, -0x1.bdf0a5362bf2ep-20, -0x1.b90c7cf30b45ep-20, -0x1.b42c60f8693e8p-20, -0x1.af506da288ecep-20, -0x1.aa78be9e84cdfp-20, -0x1.a5a56eec37a19p-20, -0x1.a0d698dfe5d89p-20, -0x1.9c0c5624d35b7p-20, -0x1.9746bfbedf225p-20, -0x1.9285ee0cbcbfcp-20, -0x1.8dc9f8c9f694ep-20, -0x1.8912f710eede3p-20, -0x1.8460ff5ccd26ep-20, -0x1.7fb4278bdb918p-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      49, 0x1.fe147ae147ae1p+2, 0x1.42b0698f607fdp+0, -0x1.3f7f8b6228b98p-1, -0x1.e92aba0ebe44ap-14, 
      {{
        {0x1.65c28f5c28f5cp+2, 0x1.6666666666666p+2, 0x1.6ee0207570cc3p-12, -0x1.344c77bc1616ep-11, 0x1.849ca24ced218p-12, -0x1.b5a4db19dcbc8p-14}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.68bf8ed2011c5p-12, -0x1.306dd2a0224d8p-11, 0x1.81545b8988469p-12, -0x1.ad2fc99ddddf2p-14}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.4b415a5f50573p-12, -0x1.1d909c13e2a7ep-11, 0x1.713c2a60698ep-12, -0x1.a3d2b4f43077p-14}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.2f9bd808681d2p-12, -0x1.0b7f28b040f1ap-11, 0x1.617ddd30daeffp-12, -0x1.9abbc7d6b823fp-14}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.15bae07468a42p-12, -0x1.f46a15648123cp-12, 0x1.5216d27f34084p-12, -0x1.91920e7a2121dp-14}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fb157963c78a1p-13, -0x1.d35bc1547e3d2p-12, 0x1.4307bec105fd8p-12, -0x1.886d5e8da0e19p-14}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.cdf04c6db9f5ap-13, -0x1.b3ca8bb6419f5p-12, 0x1.3450719bb65b7p-12, -0x1.7f4755201885fp-14}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.a3e08dc192c4fp-13, -0x1.95adacd4aa4f8p-12, 0x1.25f0f8041bd63p-12, -0x1.7621a846745f7p-14}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.7cc171e91f787p-13, -0x1.78fc5c812fbeep-12, 0x1.17e94e817779p-12, -0x1.6cfbe29e6cfb1p-14}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.586f0e3d10d2dp-13, -0x1.5dadd2add11f8p-12, 0x1.0a397601ecfc7p-12, -0x1.63d6239bef1fcp-14}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.36c658e4fadb6p-13, -0x1.43b94743d6317p-12, 0x1.f9c2dc8b5b3d2p-13, -0x1.5ab062d19da2ep-14}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.17a528d754df9p-13, -0x1.2b15f22edca5bp-12, 0x1.dfc26ebba29dfp-13, -0x1.518aa28158d11p-14}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.f5d46bb2f2dcfp-14, -0x1.13bb0b59e1f61p-12, 0x1.c671a28b88c1p-13, -0x1.4864e2106529fp-14}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.c0ea30ff4cbe3p-14, -0x1.fb3f95601d073p-13, 0x1.add077fd812aap-13, -0x1.3f3f21a8417e9p-14}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.904c9459f995p-14, -0x1.d176d038fe6fdp-13, 0x1.95deef10e2a7bp-13, -0x1.3619613dae086p-14}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.63be4a27021d5p-14, -0x1.aa0a3714a81adp-13, 0x1.7e9d07c5dc00cp-13, -0x1.2cf3a0d3ca635p-14}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.3b03c868359c8p-14, -0x1.84e839c9584ddp-13, 0x1.680ac21c60061p-13, -0x1.23cde069bd2b2p-14}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.15e346bd29e01p-14, -0x1.61ff482d4dcf2p-13, 0x1.52281e1471d5bp-13, -0x1.1aa81fffaa537p-14}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.e8497cc676806p-15, -0x1.413dd216c7399p-13, 0x1.3cf51bae11dc7p-13, -0x1.11825f95adc26p-14}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.ab23d46b19398p-15, -0x1.2292475c0335fp-13, 0x1.2871bae93e6dfp-13, -0x1.085c9f2ba5d79p-14}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.73ec8d5a0ebbfp-15, -0x1.05eb17d340784p-13, 0x1.149dfbc5f8645p-13, -0x1.fe6dbd830df85p-15}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.423e23c0b6ea4p-15, -0x1.d66d66a57b27cp-14, 0x1.0179de444177ep-13, -0x1.ec223caf3451dp-15}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.15b69707febbbp-15, -0x1.a4c713617269ep-14, 0x1.de0ac4c82bcf5p-14, -0x1.d9d6bbdb0210ep-15}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.dbeed3a8c06e3p-16, -0x1.76c01586e41f3p-14, 0x1.ba81104af20e6p-14, -0x1.c78b3b06f008ap-15}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.954b440bc4e95p-16, -0x1.4c354cc24d75p-14, 0x1.98569f10d340ep-14, -0x1.b53fba32e9ceep-15}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.56d3917033404p-16, -0x1.250398c02bc4ep-14, 0x1.778b7119ce84bp-14, -0x1.a2f4395ee251cp-15}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.1fdfd4844dea3p-16, -0x1.0107d92cfc724p-14, 0x1.581f8665e3f1ep-14, -0x1.90a8b88aa4074p-15}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.df9e58dae3007p-17, -0x1.c03ddb6a79549p-15, 0x1.3a12def517a41p-14, -0x1.7e5d37b6aa0f5p-15}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.8c0f7d902996ap-17, -0x1.844b6c0ad3517p-15, 0x1.1d657ac7647cap-14, -0x1.6c11b6e2d5144p-15}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.43ed6f4f915b8p-17, -0x1.4df2239402198p-15, 0x1.021759dcc7b4dp-14, -0x1.59c6360e3714p-15}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.0620932e704cp-17, -0x1.1cebc15effb14p-15, 0x1.d050f86aa0c06p-15, -0x1.477ab53aae496p-15}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.a33eb660a1b5fp-18, -0x1.e1e409898d5edp-16, 0x1.9f31c3a1d368cp-15, -0x1.352f34666406dp-15}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.4adc8c8de329p-18, -0x1.937d5a3ca4959p-16, 0x1.70d1155f4467p-15, -0x1.22e3b3924d418p-15}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.013fc0a48ab4p-18, -0x1.4e16f3893957fp-16, 0x1.452eeda2ec03cp-15, -0x1.109832bdfe1dep-15}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.89530881cd8cp-19, -0x1.112454213fdf9p-16, 0x1.1c4b4c6cd2b2ap-15, -0x1.fc9963d6a7455p-16}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.26ee45b75c83fp-19, -0x1.b831f56d63bcep-17, 0x1.ec4c637972b4fp-16, -0x1.d8026223b461dp-16}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.b0880728026c2p-20, -0x1.5cd0cbf6ea61fp-17, 0x1.a57f3b274ad9bp-16, -0x1.b36b60a4802a5p-16}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.34fe80f59703fp-20, -0x1.0f0c294371cfbp-17, 0x1.642f1fdb6ad25p-16, -0x1.8ed45e611a9a8p-16}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.ac0cba1e74p-21, -0x1.9b96156a5af95p-18, 0x1.285c11b3406e9p-16, -0x1.6a3d5f00d972fp-16}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.1dacce3c9dap-21, -0x1.2fe8db6ceb90fp-18, 0x1.e40c207fd93bp-17, -0x1.45a654d0b2a3ep-16}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.6c5748f7742p-22, -0x1.b1bd3e4cd2a42p-19, 0x1.825a3a413d3d8p-17, -0x1.210f730361574p-16}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.b6e1c7d468bffp-23, -0x1.288ab82391e84p-19, 0x1.2ba2648d06707p-17, -0x1.f8eff4ebe7293p-17}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.eb19d52aaafffp-24, -0x1.7fac2969980aap-20, 0x1.bfc99939adebcp-18, -0x1.afc56913bd10ap-17}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.f1cd16c45b001p-25, -0x1.cced7436c5e0cp-21, 0x1.3e41934d5b9a7p-18, -0x1.668a75ab7d2ebp-17}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.b6db01a156001p-26, -0x1.f2b1f00673661p-22, 0x1.a563466705b37p-19, -0x1.1d8cbb4436cecp-17}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.38efcb81effffp-27, -0x1.cc3bc94b5e641p-23, 0x1.f41dac15c9a33p-20, -0x1.a75508caaa543p-18}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.36c658e600001p-29, -0x1.437b2750095dcp-24, 0x1.ec3bb4052d49cp-21, -0x1.1a3a0cd153a87p-18}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.1fdfd48efffffp-32, -0x1.04a74298870e2p-26, 0x1.331f49472b5b2p-22, -0x1.d1090ac858aedp-20}, 
        {0x1.fcccccccccccdp+2, 0x1.fe147ae147ae1p+2, 0x1.eb19dffffffffp-40, 0x1.e19d49d074cffp-32, 0x1.c19dc688fc002p-26, -0x1.a95e6e51ca5fap-17}, 
      }}, 
      0x1.a25174abd2eep-11, -0x1.e3844e7186ep-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.ab2bfdb4cc25p-5, -0x1.1a80cf9e3864dp-3, -0x1.822bbecaab8a6p-6, 0x1.695e17e34b945p-3, 0x1.695e17e34b945p-3, 0x1.695e17e34b945p-3, 0, 0, 2}, 
    {{
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{-0x1.b53dffd87c30dp-2, -0x1.a663e4ae209fep-2, -0x1.8fdaa23cc600dp-2, -0x1.73f4cfadd2a5p-2, -0x1.54eec76a00d7cp-2, -0x1.34b6df4e8b088p-2, -0x1.14da24c262895p-2, -0x1.ed07d125d0534p-3, -0x1.b50cec139aec1p-3, -0x1.82cfc07dab1f6p-3, -0x1.56df812c2b40bp-3, -0x1.31698c75655b6p-3, -0x1.12510f6bedb34p-3, -0x1.f28747b482b24p-4, -0x1.cb942f789038ap-4, -0x1.aeac4294efde7p-4, -0x1.9a9a57c8bcd79p-4, -0x1.8e21a699dac6ep-4, -0x1.880a7f9363829p-4, -0x1.872b94cbeb3c3p-4, -0x1.8a7047529e679p-4, -0x1.90dc916e7b434p-4, -0x1.998f145aeb7b4p-4, -0x1.a3c19aae9ffd7p-4, -0x1.aec89c148050cp-4, -0x1.ba11fb0f81c91p-4, -0x1.c523449fdab01p-4, -0x1.cf97bba4ea605p-4, -0x1.d91e3f9ce34b9p-4, -0x1.e17737e7d2e8ep-4, -0x1.e87296d94f813p-4, -0x1.ededfa4abc27bp-4, -0x1.f1d2effa2be27p-4, -0x1.f4155ae013582p-4, -0x1.f4b1fe0c0ebaep-4, -0x1.f3ad2b5304bfap-4, -0x1.f1118b2153acfp-4, -0x1.ecef044546fe9p-4, -0x1.e759bf0c19dbap-4, -0x1.e0693e8df3ce7p-4, -0x1.d837938ae5bebp-4, -0x1.cee0a6d59c2ccp-4, -0x1.c48196f0a884cp-4, -0x1.b9382a9fc764bp-4, -0x1.ad22569e853dep-4, -0x1.a05dd499857cfp-4, -0x1.9307cb8d8a009p-4, -0x1.853c85b6740fep-4, -0x1.771735628284ep-4, -0x1.68b1c4861faecp-4, -0x1.5a24b1483e9acp-4, -0x1.4b86f3f89026cp-4, -0x1.3cede9c0775a7p-4, -0x1.2e6d4e77d8becp-4, -0x1.2017307bc8c68p-4, -0x1.11fbfb2f962fbp-4, -0x1.042a722629972p-4, -0x1.ed5f884c87ba7p-5, -0x1.d32f1aef7836fp-5, -0x1.b9d7dc2b047adp-5, -0x1.a16b29af3eedfp-5, -0x1.89f7aaa9f9ddcp-5, -0x1.738971989fb17p-5, -0x1.5e2a25672e7d5p-5, -0x1.49e128244a5fep-5, -0x1.36b3bf764145ap-5, -0x1.24a53d7a5773ep-5, -0x1.13b729c2eabf7p-5, -0x1.03e969d60075cp-5, -0x1.ea74d16a3bd6fp-6, -0x1.cf4e7a75d8347p-6, -0x1.b6579e438579ap-6, -0x1.9f85f55efd3c8p-6, -0x1.8acd65be3a47p-6, -0x1.782043d9c8e46p-6, -0x1.676f9007a91afp-6, -0x1.58ab2fc7ce857p-6, -0x1.4bc2229935e71p-6, -0x1.40a2b23f60baap-6, -0x1.373a9e6d0823p-6, -0x1.2f774401be447p-6, -0x1.2945bfff34785p-6, -0x1.24930e778c7eap-6, -0x1.214c25e4e5ac5p-6, -0x1.1f5e0f29d0e76p-6, -0x1.1eb5fa61ee331p-6, -0x1.1f4150ce6fcd3p-6, -0x1.20edc40d075bfp-6, -0x1.23a95b0576c21p-6, -0x1.27627c87f6684p-6, -0x1.2c07f8223fca2p-6, -0x1.31890d1bb5247p-6, -0x1.37d5702324db1p-6, -0x1.3edd4f8dcee5p-6, -0x1.469156b4e5971p-6, -0x1.4ee2b0306b72cp-6, -0x1.57c307893c19bp-6, -0x1.612489fa6390fp-6, -0x1.6af9e6e8b3792p-6, -0x1.75364f8b28898p-6, -0x1.7fcd767379ef9p-6, -0x1.8ab38e652810cp-6, -0x1.95dd491ce69cdp-6, -0x1.a13fd5989a7d6p-6, -0x1.acd0de3b24358p-6, -0x1.b88686b8289f9p-6, -0x1.c45769baee1cap-6, -0x1.d03a968a9c8f3p-6, -0x1.dc278e626960fp-6, -0x1.e81641d432bacp-6, -0x1.f3ff0df8d8844p-6, -0x1.ffdab99359225p-6, -0x1.05d13918ccbd7p-5, -0x1.0ba7e492187f3p-5, -0x1.116e58438150cp-5, -0x1.1721bc1b27c5ap-5, -0x1.1cbf6559a3018p-5, -0x1.2244d512426f1p-5, -0x1.27afb69a38fe1p-5, -0x1.2cfdde03aa114p-5, -0x1.322d46a01f372p-5, -0x1.373c1170b49a3p-5, -0x1.3c2883b8de67ap-5, -0x1.40f1058713753p-5, -0x1.459420369d9b5p-5, -0x1.4a107d237bba9p-5, -0x1.4e64e43e8916bp-5, -0x1.52903aaee478p-5, -0x1.569181aa7110ap-5, -0x1.5a67d51bf903ep-5, -0x1.5e126a69a34a3p-5, -0x1.61908f7509564p-5, -0x1.64e1a9587c31bp-5, -0x1.6805334e5f68ap-5, -0x1.6afabddc27982p-5, -0x1.6dc1edac39694p-5, -0x1.705a7a8a309a3p-5, -0x1.72c42eb9b0bcap-5, -0x1.74fee5f583db9p-5, -0x1.770a8c711b3a6p-5, -0x1.78e71e54113fp-5, -0x1.7a94a6ee75474p-5, -0x1.7c133fb24982ap-5, -0x1.7d630fbaf553p-5, -0x1.7e844b4d504ccp-5, -0x1.7f7732d214f1bp-5, -0x1.803c12361fc94p-5, -0x1.80d340b963d55p-5, -0x1.813d202454ce9p-5, -0x1.817a1bd62a68p-5, -0x1.818aa898adb7ap-5, -0x1.816f4460a5a04p-5, -0x1.8128754527592p-5, -0x1.80b6c8d0b73d8p-5, -0x1.801ad420d9f29p-5, -0x1.7f55337d522bap-5, -0x1.7e66892cd72d5p-5, -0x1.7d4f7d02f088bp-5, -0x1.7c10bcb32409fp-5, -0x1.7aaafb50cfd02p-5, -0x1.791ef007cb972p-5, -0x1.776d55c2cd8fap-5, -0x1.7596ebb155522p-5, -0x1.739c74dd86a0ep-5, -0x1.717eb6c51602ep-5, -0x1.6f3e78ddcb9b7p-5, -0x1.6cdc854ab0428p-5, -0x1.6a59a8cc48d06p-5, -0x1.67b6b1500ebe1p-5, -0x1.64f46d0a1506bp-5, -0x1.6213ab26377e7p-5, -0x1.5f153c55553aep-5, -0x1.5bf9f1b1152ep-5, -0x1.58c29b5dd3aefp-5, -0x1.5570087c8456ep-5, -0x1.5203087777cfbp-5, -0x1.4e7c6aa02c1dp-5, -0x1.4adcfcfcae092p-5, -0x1.47258afd2f734p-5, -0x1.4356de5e7644bp-5, -0x1.3f71c07182395p-5, -0x1.3b76f92eb9465p-5, -0x1.37674d97551c5p-5, -0x1.33437f500ca91p-5, -0x1.2f0c4dc4f2ae1p-5, -0x1.2ac2772de282p-5, -0x1.2666b7a935462p-5, -0x1.21f9c7876caa4p-5, -0x1.1d7c5b045e4efp-5, -0x1.18ef23a398487p-5, -0x1.1452d1374bc4ep-5, -0x1.0fa81127b3dccp-5, -0x1.0aef8cd9a8bc6p-5, -0x1.0629e92c9cfcp-5, -0x1.0157c7a7f5d2bp-5, -0x1.f8f38f8fdfb71p-6, -0x1.ef210d99ba27bp-6, -0x1.e5393c9e5b342p-6, -0x1.db3d468f6e079p-6, -0x1.d12e4d6898ee7p-6, -0x1.c70d6e1cc78p-6, -0x1.bcdbc1be0cf09p-6, -0x1.b29a5bbee2741p-6, -0x1.a84a47583f70fp-6, -0x1.9dec87045f2d4p-6, -0x1.938216b2afeabp-6, -0x1.890bee429e5ddp-6, -0x1.7e8b01bea467bp-6, -0x1.74003f5aee878p-6, -0x1.696c8d626c83cp-6, -0x1.5ed0ca4f797d7p-6, -0x1.542dcf0bebb72p-6, -0x1.49847110124bcp-6, -0x1.3ed5827053f3fp-6, -0x1.3421d021385a7p-6, -0x1.296a20243acdp-6, -0x1.1eaf3181ba9abp-6, -0x1.13f1be2b6bf6cp-6, -0x1.09327cfab219ep-6, -0x1.fce4443d2b23fp-7, -0x1.e762bbc368e69p-7, -0x1.d1e1b5ee97185p-7, -0x1.bc627bc48202p-7, -0x1.a6e64c3971065p-7, -0x1.916e5fe6af27ep-7, -0x1.7bfbeb086a054p-7, -0x1.66901ca05e578p-7, -0x1.512c1bc3e665dp-7, -0x1.3bd1054f44b86p-7, -0x1.267fec160396p-7, -0x1.1139db81f6dc6p-7, -0x1.f7ffb4acba91ep-8, -0x1.cda5d7401228cp-8, -0x1.a3681b2bab7a2p-8, -0x1.79486ec13ce8cp-8, -0x1.4f48aee8376c8p-8, -0x1.256aa7e700ff4p-8, -0x1.f760337315c55p-9, -0x1.a43578a0d9717p-9, -0x1.51588211cd871p-9, -0x1.fd9944a5931p-10, -0x1.592a2a2e0cb4fp-10, -0x1.6ad3e5106fd31p-11, -0x1.25ea14b691064p-14, 0x1.1fe3e8a05f23fp-11, 0x1.3182194b18596p-10, 0x1.d24c31afe2936p-10, 0x1.39255e0be875ep-9, 0x1.88bc2cf5560c5p-9, 0x1.d7e7ed1c124adp-9, 0x1.13530feedc0afp-8, 0x1.3a7a2f2005b84p-8, 0x1.616829ba6b16bp-8, 0x1.881bdc34f04e3p-8, 0x1.ae94292ac1f51p-8, 0x1.d4cff9fa08e15p-8, 0x1.face4073a2beap-8, 0x1.1046fc7444dbfp-7, 0x1.2307159088befp-7, 0x1.35a6f4a6f893p-7, 0x1.482626f2aaaccp-7, 0x1.5a843d06c32ep-7, 0x1.6cc0ca89632c4p-7, 0x1.7edb6657c454p-7, 0x1.90d3ab0c26f42p-7, 0x1.a2a937c3a9313p-7, 0x1.b45bb0a3463bdp-7, 0x1.c5eabe9b5086ap-7, 0x1.d7560e9a803efp-7, 0x1.e89d50d9e65d7p-7, 0x1.f9c0388a7a3f7p-7, 0x1.055f3de36faeep-6, 0x1.0dcbe9e00aecap-6, 0x1.1625fe99b78f2p-6, 0x1.1e6d5c7d512f7p-6, 0x1.26a1e61ec5409p-6, 0x1.2ec38003d60a9p-6, 0x1.36d21050123cep-6, 0x1.3ecd7e8d7effcp-6, 0x1.46b5b3963cdd6p-6, 0x1.4e8a998d65afdp-6, 0x1.564c1bea126adp-6, 0x1.5dfa27a04091dp-6, 0x1.6594ab56cc877p-6, 0x1.6d1b977a7711cp-6, 0x1.748ede1416f89p-6, 0x1.7bee72864456ep-6, 0x1.833a4961c890fp-6, 0x1.8a72585401cddp-6, 0x1.9196961c833fep-6, 0x1.98a6fa8956b8cp-6, 0x1.9fa37e87f8bf3p-6, 0x1.a68c1c4b6e25ap-6, 0x1.ad60cf69d64f6p-6, 0x1.b42194cec129p-6, 0x1.bace6a8945999p-6, 0x1.c1674f9f0f847p-6, 0x1.c7ec43f7db76bp-6, 0x1.ce5d485435564p-6, 0x1.d4ba5e4353c67p-6, 0x1.db03881da3565p-6, 0x1.e138c910f5f32p-6, 0x1.e75a253c36aaep-6, 0x1.ed67a1c20b44cp-6, 0x1.f36144b990ad8p-6, 0x1.f947150657633p-6, 0x1.ff191a3775486p-6, 0x1.026bae3d0dd2dp-5, 0x1.0540f24a15beap-5, 0x1.080c5dedf3265p-5, 0x1.0acdf617c0f92p-5, 0x1.0d85bffb985a4p-5, 0x1.1033c11b06ee4p-5, 0x1.12d7ff4e8dbe4p-5, 0x1.157280c541844p-5, 0x1.18034bf84126cp-5, 0x1.1a8a679c5b108p-5, 0x1.1d07da9ad602fp-5, 0x1.1f7bac0ff7347p-5, 0x1.21e5e349b4103p-5, 0x1.244687c45ebfep-5, 0x1.269da127b7b03p-5, 0x1.28eb37486176fp-5, 0x1.2b2f522ea7c3dp-5, 0x1.2d69fa1d502bcp-5, 0x1.2f9b3790c004p-5, 0x1.31c31335ac4a7p-5, 0x1.33e195df5f4c2p-5, 0x1.35f6c883823e5p-5, 0x1.3802b43a2d6ep-5, 0x1.3a05623e06824p-5, 0x1.3bfedbea93f01p-5, 0x1.3def2ab9c72ep-5, 0x1.3fd6584370ab3p-5, 0x1.41b46e40d1e69p-5, 0x1.438976925790bp-5, 0x1.45557b42517e4p-5, 0x1.47188681078cfp-5, 0x1.48d2a29d7354p-5, 0x1.4a83da008518fp-5, 0x1.4c2c372c6faa5p-5, 0x1.4dcbc4bd9df61p-5, 0x1.4f628d6add423p-5, 0x1.50f09c0434ec1p-5, 0x1.5275fb71305dp-5, 0x1.53f2b6b0acb9ap-5, 0x1.5566d8db58891p-5, 0x1.56d26d27d2e2cp-5, 0x1.58357eecd53b9p-5, 0x1.5990199eb1a2dp-5, 0x1.5ae248ca46c9bp-5, 0x1.5c2c18117b4b1p-5, 0x1.5d6d932aba146p-5, 0x1.5ea6c5e1e03ebp-5, 0x1.5fd7bc190a882p-5, 0x1.610081c86faeep-5, 0x1.622122fd4b8ap-5, 0x1.6339abd8ee605p-5, 0x1.644a2890ef92fp-5, 0x1.6552a57130027p-5, 0x1.66532ede4e734p-5, 0x1.674bd1561fe28p-5, 0x1.683c996d4717fp-5, 0x1.692593cc06d52p-5, 0x1.6a06cd2caa666p-5, 0x1.6ae0525ba0b9fp-5, 0x1.6bb2303825432p-5, 0x1.6c7c73b48495ap-5, 0x1.6d3f29d5c6329p-5, 0x1.6dfa5fb2b697ap-5, 0x1.6eae2272f9c0dp-5, 0x1.6f5a7f4ecc2d7p-5, 0x1.6fff83900bd04p-5, 0x1.709d3c94098cdp-5, 0x1.7133b7cc7cb15p-5, 0x1.71c302be63dbcp-5, 0x1.724b2aff8c5c8p-5, 0x1.72cc3e347d855p-5, 0x1.73464a0fa58e4p-5, 0x1.73b95c51441f1p-5, 0x1.742582c7a679cp-5, 0x1.748acb4f3a7a3p-5, 0x1.74e943d25ebc9p-5, 0x1.7540fa48f530ep-5, 0x1.7591fcb7b32efp-5, 0x1.75dc592fa813ap-5, 0x1.76201dce4a9f6p-5, 0x1.765d58bde8d99p-5, 0x1.7694183597e08p-5, 0x1.76c46a781ce7p-5, 0x1.76ee5dd222662p-5, 0x1.77120098d02dbp-5, 0x1.772f612952b56p-5, 0x1.77468de8e92fep-5, 0x1.77579544f2e98p-5, 0x1.776285b2c18abp-5, 0x1.77676daef901ap-5, 0x1.77665bbc9e246p-5, 0x1.775f5e6406037p-5, 0x1.775284319dd3dp-5, 0x1.773fdbb5561a6p-5, 0x1.7727738299e05p-5, 0x1.77095a30b6244p-5, 0x1.76e59e5aff25bp-5, 0x1.76bc4ea03b36bp-5, 0x1.768d79a16c685p-5, 0x1.76592e00943bep-5, 0x1.761f7a5fcfa43p-5, 0x1.75e06d606ba3cp-5, 0x1.759c15a22eb0fp-5, 0x1.755281c29c79ep-5, 0x1.7503c05c65487p-5, 0x1.74afe006f9a4ap-5, 0x1.7456ef5634d46p-5, 0x1.73f8fcda12451p-5, 0x1.7396171e61314p-5, 0x1.732e4caa7e428p-5, 0x1.72c1ac011e16bp-5, 0x1.7250439fd3dccp-5, 0x1.71da21fe448f1p-5, 0x1.715f558cced8ep-5, 0x1.70dfecb33bc7ep-5, 0x1.705bf5cfc2e07p-5, 0x1.6fd37f36a306ap-5, 0x1.6f469731f845cp-5, 0x1.6eb54c01d362bp-5, 0x1.6e1fabdc43b67p-5, 0x1.6d85c4ed3c706p-5, 0x1.6ce7a5563ebccp-5, 0x1.6c455b2db9addp-5, 0x1.6b9ef47e2dfafp-5, 0x1.6af47f452f9e7p-5, 0x1.6a4609728122ep-5, 0x1.6993a0e770077p-5, 0x1.68dd53768f15dp-5, 0x1.68232ee3981ffp-5, 0x1.676540e367c74p-5, 0x1.66a3971bcc946p-5, 0x1.65de3f237e2bbp-5, 0x1.65154681f531p-5, 0x1.6448baaf405a8p-5, 0x1.6378a913997b5p-5, 0x1.62a51f06fe6c1p-5, 0x1.61ce29d00e119p-5, 0x1.60f3d6a3ace1ep-5, 0x1.601632a42bce2p-5, 0x1.5f354ae0d8056p-5, 0x1.5e512c55ba917p-5, 0x1.5d69e3eb9c8fep-5, 0x1.5c7f7e782fa82p-5, 0x1.5b9208be60609p-5, 0x1.5aa18f6eab9dbp-5, 0x1.59ae1f274e222p-5, 0x1.58b7c474372fcp-5, 0x1.57be8bce97f0ap-5, 0x1.56c2819c3e736p-5, 0x1.55c3b22ed5e9cp-5, 0x1.54c229c341ff3p-5, 0x1.53bdf48120e2bp-5, 0x1.52b71e7a7eedbp-5, 0x1.51adb3abc8eabp-5, 0x1.50a1bffbfcfdbp-5, 0x1.4f934f3cf9ce3p-5, 0x1.4e826d2be814dp-5, 0x1.4d6f2571a0a46p-5, 0x1.4c5983a2e07c1p-5, 0x1.4b4193405a059p-5, 0x1.4a275fb69023p-5, 0x1.490af45d84349p-5, 0x1.47ec5c7837141p-5, 0x1.46cba3344c8c7p-5, 0x1.45a8d3a998a63p-5, 0x1.4483f8d9de35bp-5, 0x1.435d1db0a22c6p-5, 0x1.42344d0338f75p-5, 0x1.410991910b757p-5, 0x1.3fdcf60406da5p-5, 0x1.3eae84f10e538p-5, 0x1.3d7e48d87795dp-5, 0x1.3c4c4c2659addp-5, 0x1.3b189932b51bcp-5, 0x1.39e33a416f40bp-5, 0x1.38ac398218aaap-5, 0x1.3773a10fa1153p-5, 0x1.36397aeff53f5p-5, 0x1.34fdd113a47ebp-5, 0x1.33c0ad55a43bbp-5, 0x1.3282197b3b88ep-5, 0x1.31421f341460bp-5, 0x1.3000c81a8e547p-5, 0x1.2ebe1db42549p-5, 0x1.2d7a2971f07b3p-5, 0x1.2c34f4b11b2e5p-5, 0x1.2aee88bb418fp-5, 0x1.29a6eec6df2e1p-5, 0x1.285e2ff71ecc9p-5, 0x1.2714555c2eccfp-5, 0x1.25c967f2f0a0cp-5, 0x1.247d70a4cc196p-5, 0x1.2330784763c29p-5, 0x1.21e2879c61de1p-5, 0x1.2093a75142347p-5, 0x1.1f43dfff4c73fp-5, 0x1.1df33a2ba7308p-5, 0x1.1ca1be4794c2p-5, 0x1.1b4f74b0c4e53p-5, 0x1.19fc65b1b6317p-5, 0x1.18a899822ec79p-5, 0x1.175418479934ap-5, 0x1.15feea15539c8p-5, 0x1.14a916ecf563cp-5, 0x1.1352a6be60c77p-5, 0x1.11fba167c5adap-5, 0x1.10a40eb57ed06p-5, 0x1.0f4bf661e7defp-5, 0x1.0df360152be1dp-5, 0x1.0c9a536513f8ap-5, 0x1.0b40d7d4f0214p-5, 0x1.09e6f4d58b9bap-5, 0x1.088cb1c54530ap-5, 0x1.073215f03b2d1p-5, 0x1.05d728908623ap-5, 0x1.047bf0ce8d5e5p-5, 0x1.032075c15338p-5, 0x1.01c4be6ecbaa2p-5, 0x1.0068d1cc1877p-5, 0x1.fe196d7b89f41p-6, 0x1.fb60e82fc1ca8p-6, 0x1.f8a8213c10b1ep-6, 0x1.f5ef2606b6e3cp-6, 0x1.f33603d4d693p-6, 0x1.f07cc7ca2a08bp-6, 0x1.edc37ee8b90cap-6, 0x1.eb0a3610c044ap-6, 0x1.e850fa006da67p-6, 0x1.e597d753ea51dp-6, 0x1.e2deda855bf8fp-6, 0x1.e0260fed22ccfp-6, 0x1.dd6d83c213e5ep-6, 0x1.dab54219ecaa7p-6, 0x1.d7fd56e9aac5dp-6, 0x1.d545ce05f5b56p-6, 0x1.d28eb3238d434p-6, 0x1.cfd811d788db5p-6, 0x1.cd21f597aa942p-6, 0x1.ca6c69ba80f5ep-6, 0x1.c7b779777ccaep-6, 0x1.c5032fe6f828fp-6, 0x1.c24f980236715p-6, 0x1.bf9cbca3482b4p-6, 0x1.bceaa88500757p-6, 0x1.ba396642d33f3p-6, 0x1.b7890058c5197p-6, 0x1.b4d98123496f7p-6, 0x1.b22af2df33bfep-6, 0x1.af7d5fa9968a3p-6, 0x1.acd0d17faf9a7p-6, 0x1.aa25523ecd4bep-6, 0x1.a77aeba45e042p-6, 0x1.a4d1a74d8759bp-6, 0x1.a2298eb7450a4p-6, 0x1.9f82ab3e7f7f7p-6, 0x1.9cdd06200d36dp-6, 0x1.9a38a878df177p-6, 0x1.97959b46591b6p-6, 0x1.94f3e766e345fp-6, 0x1.9253959a72274p-6, 0x1.8fb4ae836dabap-6, 0x1.8d173aa77bc51p-6, 0x1.8a7b42708143bp-6, 0x1.87e0ce2d7ecafp-6, 0x1.8547e6135b7b4p-6, 0x1.82b0923d73cb2p-6, 0x1.801adaadd9903p-6, 0x1.7d86c74d24258p-6, 0x1.7af45fe9dbf14p-6, 0x1.7863ac374f533p-6, 0x1.75d4b3cc19781p-6, 0x1.73477e2000494p-6, 0x1.70bc1289bbd8dp-6, 0x1.6e32783c8581ap-6, 0x1.6baab6461df3ap-6, 0x1.6924d38a1a99ep-6, 0x1.66a0d6c6bb63fp-6, 0x1.641ec68a672bp-6, 0x1.619ea93da6c89p-6, 0x1.5f20851db3c9cp-6, 0x1.5ca46041b7c5ap-6, 0x1.5a2a409e0ab7cp-6, 0x1.57b22c0901bf5p-6, 0x1.553c2840ba7f3p-6, 0x1.52c83af123019p-6, 0x1.505669bab3a48p-6, 0x1.4de6ba38a56efp-6, 0x1.4b793205afed9p-6, 0x1.490dd6c02e5b9p-6, 0x1.46a4ae0bdba9ap-6, 0x1.443dbd9146756p-6, 0x1.41d90afaac047p-6, 0x1.3f769bedeb73bp-6, 0x1.3d167603d1d76p-6, 0x1.3ab89ebcf08e6p-6, 0x1.385d1b7490daap-6, 0x1.3603f15273f6dp-6, 0x1.33ad253c683f4p-6, 0x1.3158bbc8adf0ep-6, 0x1.2f06b9326a446p-6, 0x1.2cb721513f8e1p-6, 0x1.2a69f79528146p-6, 0x1.281f3f077df22p-6, 0x1.25d6fa51a8586p-6, 0x1.23912bc9e9549p-6, 0x1.214dd58602edep-6, 0x1.1f0cf9731d007p-6, 0x1.1cce9971f7aabp-6, 0x1.1a92b775c6e5ap-6, 0x1.185955a3f4385p-6, 0x1.1622767295af8p-6, 0x1.13ee1cc31eabfp-6, 0x1.11bc4bf73b77p-6, 0x1.0f8d07fd55d9fp-6, 0x1.0d60555314c54p-6, 0x1.0b3638fc718d7p-6, 0x1.090eb86ea6274p-6, 0x1.06e9d96f292a6p-6, 0x1.04c7a1e770ac2p-6, 0x1.02a817afa50b8p-6, 0x1.008b4052acd09p-6, 0x1.fce2419e449cep-7, 0x1.f8b37ab26731fp-7, 0x1.f48a324395eedp-7, 0x1.f0666c4ea13b4p-7, 0x1.ec482a28f1e2bp-7, 0x1.e82f6a6142865p-7, 0x1.e41c28c94b2f2p-7, 0x1.e00e5eac06e93p-7, 0x1.dc0603313106cp-7, 0x1.d8030bec39187p-7, 0x1.d4056d910131p-7, 0x1.d00d1cc6b2b8cp-7, 0x1.cc1a0f0d2aff1p-7, 0x1.c82c3ba81e0f9p-7, 0x1.c4439c80c90ffp-7, 0x1.c0602eeedc2c9p-7, 0x1.bc81f45931caap-7, 0x1.b8a8f2a03be72p-7, 0x1.b4d53446d7418p-7, 0x1.b106c8512ebcep-7, 0x1.ad3dc1d593a9cp-7, 0x1.a97a374050bd1p-7, 0x1.a5bc414ff9e54p-7, 0x1.a203f9d5b0c68p-7, 0x1.9e517a483fa09p-7, 0x1.9aa4da3e6e93bp-7, 0x1.96fe2de641f37p-7, 0x1.935d84922ad73p-7, 0x1.8fc2e773f2358p-7, 0x1.8c2e589ce8ecep-7, 0x1.889fd257a756bp-7, 0x1.851746eb70f8bp-7, 0x1.8194a0d3f07c4p-7, 0x1.7e17c3715657dp-7, 0x1.7aa08c2e22ec3p-7, 0x1.772ed4103f2e3p-7, 0x1.73c271a3da577p-7, 0x1.705b3b287f6acp-7, 0x1.6cf908e2d5ea1p-7, 0x1.699bb77230734p-7, 0x1.66432a0688cf6p-7, 0x1.62ef4c54269efp-7, 0x1.5fa01423d4056p-7, 0x1.5c5582636f4e9p-7, 0x1.590fa3a060356p-7, 0x1.55ce8fddfb782p-7, 0x1.529269c2b3a5dp-7, 0x1.4f5b5d2067ef3p-7, 0x1.4c299ce690f6fp-7, 0x1.48fd6095bb45bp-7, 0x1.45d6e1541c9f8p-7, 0x1.42b656c9abddap-7, 0x1.3f9bf3eec9053p-7, 0x1.3c87e3fa8b0f2p-7, 0x1.397a479e0c897p-7, 0x1.367332b6e496dp-7, 0x1.3372aa9df1829p-7, 0x1.3078a530227b6p-7, 0x1.2d8508a4bf01cp-7, 0x1.2a97ac3a2b59fp-7, 0x1.27b059b572322p-7, 0x1.24cecfa4bdf7dp-7, 0x1.21f2c448cc3bap-7, 0x1.1f1be8ffce589p-7, 0x1.1c49ee0375942p-7, 0x1.197c8646d4157p-7, 0x1.16b36b3d8a63ap-7, 0x1.13ee60591ffc7p-7, 0x1.112d3611b5acep-7, 0x1.0e6fcc3d283c9p-7, 0x1.0bb613ba3e868p-7, 0x1.09000f325cc6fp-7, 0x1.064dd305d5a47p-7, 0x1.039f84583e686p-7, 0x1.00f5574c359a4p-7, 0x1.fc9f1908e66efp-8, 0x1.f75cdc0d82ec1p-8, 0x1.f2249749f99b5p-8, 0x1.ecf6ee278ea4bp-8, 0x1.e7d47fb7236bfp-8, 0x1.e2bddea5573d2p-8, 0x1.ddb389a3cc99dp-8, 0x1.d8b5e4aa2dd32p-8, 0x1.d3c5336f163d4p-8, 0x1.cee1956f5a8e7p-8, 0x1.ca0b03c9f9b2ap-8, 0x1.c541511d97e38p-8, 0x1.c0842b76a174p-8, 0x1.bbd32038b3776p-8, 0x1.b72da1c9eed81p-8, 0x1.b2930ea4e6c64p-8, 0x1.ae02b95bdcc6cp-8, 0x1.a97bf10669d86p-8, 0x1.a4fe098e2de22p-8, 0x1.a0886353e556p-8, 0x1.9c1a71ba288efp-8, 0x1.97b3c03adf54bp-8, 0x1.9353f5d167992p-8, 0x1.8efad6a8d6919p-8, 0x1.8aa84424a19c6p-8, 0x1.865c3b7eb997ap-8, 0x1.8216d35012bbcp-8, 0x1.7dd83866696a6p-8, 0x1.79a0aa46ff201p-8, 0x1.757077aa35c04p-8, 0x1.7147fb1bfb81ep-8, 0x1.6d2797c5e1a23p-8, 0x1.690fb64644b4ep-8, 0x1.6500c1618d61bp-8, 0x1.60fb225a64c27p-8, 0x1.5cff3cd1f26c9p-8, 0x1.590d6a3845f19p-8, 0x1.5525f503acb8dp-8, 0x1.514914121cbe7p-8, 0x1.4d76e6b3524e8p-8, 0x1.49af71e312cbcp-8, 0x1.45f29f2696ca6p-8, 0x1.42403d5cbbe9ap-8, 0x1.3e98039cc3a2ap-8, 0x1.3af99609f0a4p-8, 0x1.37648c4c0c2cap-8, 0x1.33d8792fbd1e4p-8, 0x1.3054f2c8b2383p-8, 0x1.2cd99a50306cep-8, 0x1.296622e9265aap-8, 0x1.25fa567320c41p-8, 0x1.229617b33472ep-8, 0x1.1f39615bbcd3ep-8, 0x1.1be441db64a3p-8, 0x1.1896d457bcecep-8, 0x1.155137b254ca5p-8, 0x1.121384deda8f6p-8, 0x1.0eddc60748d3ap-8, 0x1.0bafeff2bb88cp-8, 0x1.0889ded4f0617p-8, 0x1.056b57247744bp-8, 0x1.02540a6ba5a5bp-8, 0x1.fe873eb671d2ap-9, 0x1.f87377b8bfbe6p-9, 0x1.f26c1f1c69ae4p-9, 0x1.ec70ba29643f9p-9, 0x1.e68101bb22022p-9, 0x1.e09ce8e7347a1p-9, 0x1.dac49c0bb311p-9, 0x1.d4f878a2fa9a9p-9, 0x1.cf38ff1f52ecfp-9, 0x1.c986c0ad5057ap-9, 0x1.c3e24b1cf6543p-9, 0x1.be4c156181eb7p-9, 0x1.b8c46f3071632p-9, 0x1.b34b763a39e66p-9, 0x1.ade1132ee7f33p-9, 0x1.a885000b71464p-9, 0x1.a336d7f279becp-9, 0x1.9df62f1d50d3cp-9, 0x1.98c2af8d71344p-9, 0x1.939c35904ffdfp-9, 0x1.8e82e6621dbefp-9, 0x1.89773baf193e2p-9, 0x1.847a0067a0491p-9, 0x1.7f8c3e037c496p-9, 0x1.7aaf1c57b8ff8p-9, 0x1.75e3b8d1b574cp-9, 0x1.712afb9f81664p-9, 0x1.6c8571a49c38ap-9, 0x1.67f33100d2b21p-9, 0x1.6373cbb6a36fp-9, 0x1.5f0651455f4d1p-9, 0x1.5aa95d8d4c609p-9, 0x1.565b31b8badd4p-9, 0x1.5219d36f3a844p-9, 0x1.4de32f2435519p-9, 0x1.49b53b5e420e4p-9, 0x1.458e1b99e72edp-9, 0x1.416c41c7308c2p-9, 0x1.3d4e8c810ea99p-9, 0x1.39345f318ea64p-9, 0x1.351db01dedac5p-9, 0x1.310b0818f68ecp-9, 0x1.2cfd70a59bafep-9, 0x1.28f64fe37958ap-9, 0x1.24f735691b6bfp-9, 0x1.21019f3aa7ac1p-9, 0x1.1d16c134caccep-9, 0x1.19375a5d40b75p-9, 0x1.1563a1b045411p-9, 0x1.119b4f5fd4ed6p-9, 0x1.0dddc108925acp-9, 0x1.0a2a30fcc306dp-9, 0x1.067ff4536139bp-9, 0x1.02deb23903af9p-9, 0x1.fe8d124cb7188p-10, 0x1.f770362e8a86ap-10, 0x1.f068fe7c99d58p-10, 0x1.e97a3979a4333p-10, 0x1.e2a6ec13acd23p-10, 0x1.dbf1deec03f01p-10, 0x1.d55d384920273p-10, 0x1.ceea368de5226p-10, 0x1.c89916aa852aep-10, 0x1.c269268aa8902p-10, 0x1.bc58f827eea5cp-10, 0x1.b666a22c45c5p-10, 0x1.b08ff9552cfacp-10, 0x1.aad2b25193a42p-10, 0x1.a52c6534513f6p-10, 0x1.9f9a7742e7542p-10, 0x1.9a19faab3149ep-10, 0x1.94a79a4ca572bp-10, 0x1.8f3fa79b55b43p-10, 0x1.89de589b8887p-10, 0x1.848035309e709p-10, 0x1.7f22a12d34b49p-10, 0x1.79c4612b3be71p-10, 0x1.7465f136b5ca8p-10, 0x1.6f098a1e03e67p-10, 0x1.69b2c5ac830d7p-10, 0x1.6465eeaf4a91cp-10, 0x1.5f272617ce70bp-10, 0x1.59f9977753236p-10, 0x1.54def44c687cdp-10, 0x1.4fd756eb9192ep-10, 0x1.4ae18bf40d9cep-10, 0x1.45fba2865eaa1p-10, 0x1.4123944003385p-10, 0x1.3c57da079c6edp-10, 0x1.3797d2e17d857p-10, 0x1.32e3f207634bp-10, 0x1.2e3db1d4e3af4p-10, 0x1.29a74cd375031p-10, 0x1.252346400b28bp-10, 0x1.20b3dadfb9a7p-10, 0x1.1c5a814baae0dp-10, 0x1.1817a0dfb6eb9p-10, 0x1.13ea939a3cdfp-10, 0x1.0fd1eb00296dcp-10, 0x1.0bcbda0cfa2fep-10, 0x1.07d6a048b4b25p-10, 0x1.03f0db22977f5p-10, 0x1.0019b22683a17p-10, 0x1.f8a1bf68500b6p-11, 0x1.f12d3bfa6f487p-11, 0x1.e9d6ff53f768dp-11, 0x1.e2a070801cea4p-11, 0x1.db8aadb3e7339p-11, 0x1.d495f1b03963p-11, 0x1.cdc1034440b48p-11, 0x1.c708d82e3fa51p-11, 0x1.c0689798a3fadp-11, 0x1.b9da16dfea76fp-11, 0x1.b356c7e527dp-11, 0x1.acd8e8ade30ap-11, 0x1.a65ca8a3cb6b9p-11, 0x1.9fe0f1c44e74ap-11, 0x1.9967953abfb1fp-11, 0x1.92f4c30129e2p-11, 0x1.8c8dee912493cp-11, 0x1.86387b5c92bb6p-11, 0x1.7ff89fe75ae9ap-11, 0x1.79d0c907c4206p-11, 0x1.73c17faaa6b0fp-11, 0x1.6dc9a5040931cp-11, 0x1.67e6e95058e4bp-11, 0x1.6216906ec21dbp-11, 0x1.5c5695c30e823p-11, 0x1.56a6e887dfb57p-11, 0x1.510a1417c3085p-11, 0x1.4b84b6259a806p-11, 0x1.461bcde85b3d1p-11, 0x1.40d2b6a09d321p-11, 0x1.3ba9d8af26bf4p-11, 0x1.369e9d4472e59p-11, 0x1.31ac708f92908p-11, 0x1.2cce2d2b13518p-11, 0x1.27ff543cc8ecap-11, 0x1.233cc332d8ff5p-11, 0x1.1e84e3eaa1ac6p-11, 0x1.19d77c7ced598p-11, 0x1.15354be388b19p-11, 0x1.109f9900dc846p-11, 0x1.0c17cf6306cc8p-11, 0x1.079f3cc3e0256p-11, 0x1.0336fa16799b3p-11, 0x1.fdbfff269e6f1p-12, 0x1.f536a9737fd5cp-12, 0x1.ecd47f3d069d1p-12, 0x1.e49ca47bcbe8dp-12, 0x1.dc927f718de7bp-12, 0x1.d4b8f82838f24p-12, 0x1.cd11843538723p-12, 0x1.c59b4291a5c2dp-12, 0x1.be52477a36c3ep-12, 0x1.b72f166715436p-12, 0x1.b02678cfe97b5p-12, 0x1.a92a5d8ba9977p-12, 0x1.a22c8caae9067p-12, 0x1.9b230b16a92a7p-12, 0x1.940c6c3c5b2b6p-12, 0x1.8cf181e86597ap-12, 0x1.85e2d0438ae3ep-12, 0x1.7ef246c67dbfap-12, 0x1.782bc2c030c0ep-12, 0x1.719007c34c4ccp-12, 0x1.6b15726d26b53p-12, 0x1.64aee82d68bc2p-12, 0x1.5e55288efc82cp-12, 0x1.580c104f534afp-12, 0x1.51dff3247d879p-12, 0x1.4bdd7ba227ebcp-12, 0x1.460a77f1ad658p-12, 0x1.4063fbe7015a2p-12, 0x1.3ae15288736d4p-12, 0x1.35786b6bfece1p-12, 0x1.30210e3c87b45p-12, 0x1.2ad6120d369ecp-12, 0x1.25952601cbe78p-12, 0x1.205e013f11fccp-12, 0x1.1b318cd7a2c22p-12, 0x1.1611443d53c9ap-12, 0x1.10fed10bcacc7p-12, 0x1.0bfbcfce07bfep-12, 0x1.0709a84e2e8p-12, 0x1.02296a7d352eep-12, 0x1.fab7567d17c9bp-13, 0x1.f140cf9340a8ep-13, 0x1.e7ee012952fcdp-13, 0x1.debcc394f16bbp-13, 0x1.d5aad3865a113p-13, 0x1.ccb7131d9795p-13, 0x1.c3e2f583cd68dp-13, 0x1.bb33899b53499p-13, 0x1.b2b183fa15366p-13, 0x1.aa67f04b7f621p-13, 0x1.a261d7349da5dp-13, 0x1.9aa7b83da82e7p-13, 0x1.933d682f746bcp-13, 0x1.8c1f858bc30f7p-13, 0x1.853f2bdb95fabp-13, 0x1.7e7dd4cb74794p-13, 0x1.77b0f7b7ad7a7p-13, 0x1.70b3d0d1122a1p-13, 0x1.697fd273df983p-13, 0x1.623689afb1d44p-13, 0x1.5b0ecc372ea62p-13, 0x1.54301250b8a73p-13, 0x1.4d986d89617a2p-13, 0x1.4722e471cbb2dp-13, 0x1.40aa10ca243ddp-13, 0x1.3a2911058ad25p-13, 0x1.33bce77576525p-13, 0x1.2d889529f4e67p-13, 0x1.279abd2b9ab08p-13, 0x1.21ea1ee7a608dp-13, 0x1.1c627ca8e9415p-13, 0x1.16f19f208f50dp-13, 0x1.118cd4707f14ep-13, 0x1.0c30708c1eb0bp-13, 0x1.06dd23e5eecf6p-13, 0x1.0195869049fe8p-13, 0x1.f8b9164c8634bp-14, 0x1.ee697a2c71843p-14, 0x1.e43ffb9929766p-14, 0x1.da3f0529005ap-14, 0x1.d067dc2e185e6p-14, 0x1.c6bae59b45f27p-14, 0x1.bd37ec3f36607p-14, 0x1.b3de6058d5333p-14, 0x1.aaad89c86d236p-14, 0x1.a1a4a427cc883p-14, 0x1.98c2dba02a009p-14, 0x1.9007272504d21p-14, 0x1.87700c91f2e12p-14, 0x1.7efb722b97923p-14, 0x1.76a6b397e1403p-14, 0x1.6e6f2c35ce238p-14, 0x1.665340087f20ep-14, 0x1.5e53a246b462fp-14, 0x1.56744762ee2bep-14, 0x1.4ebc432df1c98p-14, 0x1.473417aa271cep-14, 0x1.3fe2f800a659bp-14, 0x1.38cd1e5f391f4p-14, 0x1.31f5c1d2b5d38p-14, 0x1.2b63562f75102p-14, 0x1.251d1dda5e277p-14, 0x1.1f1986afa9a1bp-14, 0x1.192c12cd04099p-14, 0x1.1319e4084192ep-14, 0x1.0cd63a2217aa3p-14, 0x1.0699be90d4b6fp-14, 0x1.00a0ab840517bp-14, 0x1.f5b86f7dec0d5p-15, 0x1.ea0aa4f9257d1p-15, 0x1.ddfe8df68c848p-15, 0x1.d205d643c9e25p-15, 0x1.c6b4ed1ab6ac1p-15, 0x1.bc3126f42c707p-15, 0x1.b23b69fcc7c4fp-15, 0x1.a8852ec7195f4p-15, 0x1.9ee06485bc569p-15, 0x1.953fff2653315p-15, 0x1.8ba8a51a18e57p-15, 0x1.8224648b349fbp-15, 0x1.78bcbb3c18cc6p-15, 0x1.6f78c0bbba1f9p-15, 0x1.665d2672896fdp-15, 0x1.5d6cc3b7dce67p-15, 0x1.54a92474c6907p-15, 0x1.4c12f19db6b15p-15, 0x1.43aa31eb044aep-15, 0x1.3b6e6dd7c89d7p-15, 0x1.335ec3fd20a83p-15, 0x1.2b79f93789593p-15, 0x1.23be8cf716f48p-15, 0x1.1c2ad67364544p-15, 0x1.14bd2b73bacc9p-15, 0x1.0d740cea3c80dp-15, 0x1.064e5134919b5p-15, 0x1.fe967689b3dd4p-16, 0x1.f0d541bfa0427p-16, 0x1.e3588b6bab8f7p-16, 0x1.d621226718f71p-16, }}, 
      {{-0x1.b8b62576a5c1p-2, -0x1.b39f832b55d96p-2, -0x1.aba0a69781ad3p-2, -0x1.a145dc86d8bf6p-2, -0x1.952173957e77fp-2, -0x1.87bd92d09b1d8p-2, -0x1.79952743b2a86p-2, -0x1.6b110f40eb30dp-2, -0x1.5c87b46b55c9dp-2, -0x1.4e3e00fad5d0cp-2, -0x1.40690b28ac88dp-2, -0x1.33300f8f8176ap-2, -0x1.26ae7acb81918p-2, -0x1.1af5dc7c39a7cp-2, -0x1.100fafce24308p-2, -0x1.05fef3d6f744p-2, -0x1.f9831caa1dd9ep-3, -0x1.e8a2ff6b34f9p-3, -0x1.d94bca76e13cbp-3, -0x1.cb67a56428cd9p-3, -0x1.bede092769087p-3, -0x1.b394ddeac1d39p-3, -0x1.a971684f4e59fp-3, -0x1.a058f3b92d069p-3, -0x1.98316075815c9p-3, -0x1.90e1876382afep-3, -0x1.8a517b8627b7fp-3, -0x1.846ac003eb2bap-3, -0x1.7f1861f80cb51p-3, -0x1.7a4703b9e9458p-3, -0x1.75e4e17911c6dp-3, -0x1.71e1cbb5257ecp-3, -0x1.6e2f1e264c79fp-3, -0x1.6abfab41a7243p-3, -0x1.6787a9cc32bc7p-3, -0x1.647ca56959fd3p-3, -0x1.619563fcbcd27p-3, -0x1.5ec9d0a6de951p-3, -0x1.5c12e8c503225p-3, -0x1.596aa1bf4bc56p-3, -0x1.56cbd43d88816p-3, -0x1.54322adde4102p-3, -0x1.519a0c5546d84p-3, -0x1.4f0088879234cp-3, -0x1.4c634738467f7p-3, -0x1.49c076dc3b589p-3, -0x1.4716bee3bb508p-3, -0x1.44653019d973fp-3, -0x1.41ab36bbb0fb7p-3, -0x1.3ee88df0bb646p-3, -0x1.3c1d36eee6526p-3, -0x1.39496d0ed8f6ep-3, -0x1.366d9c7538506p-3, -0x1.338a5a1bac887p-3, -0x1.30a05c5199453p-3, -0x1.2db073d48e01cp-3, -0x1.2abb85b4c3c24p-3, -0x1.27c285ed35b82p-3, -0x1.24c672b8f2dcdp-3, -0x1.21c8512c52293p-3, -0x1.1ec9294e1600cp-3, -0x1.1bca021a00fa2p-3, -0x1.18cbdedc52b79p-3, -0x1.15cfbdc1164dfp-3, -0x1.12d695fef019bp-3, -0x1.0fe155d340b94p-3, -0x1.0cf0e1564ed3p-3, -0x1.0a06117ec81d3p-3, -0x1.0721b34d74f29p-3, -0x1.0444873284caap-3, -0x1.016f40ac6d6e2p-3, -0x1.fd450c3028545p-4, -0x1.f7bde14f265d4p-4, -0x1.f24a18ebe507p-4, -0x1.eceab162116c7p-4, -0x1.e7a08fab4ee5dp-4, -0x1.e26c7ff74a8a7p-4, -0x1.dd4f365d0a8cbp-4, -0x1.d8494fa3ef5eap-4, -0x1.d35b52470591cp-4, -0x1.ce85afc0b448fp-4, -0x1.c9c8c5841677cp-4, -0x1.c524dda2455e6p-4, -0x1.c09a2fe00a8ffp-4, -0x1.bc28e3359e3b9p-4, -0x1.b7d10ef9a503ep-4, -0x1.b392bbb0a8909p-4, -0x1.af6de3fec7468p-4, -0x1.ab6275ad9f234p-4, -0x1.a77052a798d82p-4, -0x1.a39751e619d33p-4, -0x1.9fd74055a6c99p-4, -0x1.9c2fe1b05e8d6p-4, -0x1.98a0f14e720ffp-4, -0x1.952a22ebf9ff6p-4, -0x1.91cb2363f15b1p-4, -0x1.8e839960173e6p-4, -0x1.8b5325fe47ca2p-4, -0x1.8839656b52adep-4, -0x1.8535ef7473b41p-4, -0x1.8248580f67af2p-4, -0x1.7f702fda7dcdp-4, -0x1.7cad04945f4c5p-4, -0x1.79fe618cc9b51p-4, -0x1.7763d00dd4d83p-4, -0x1.74dcd7beae623p-4, -0x1.7268feff9e256p-4, -0x1.7007cb3faae39p-4, -0x1.6db8c14c26d86p-4, -0x1.6b7b659a05936p-4, -0x1.694f3c892994cp-4, -0x1.6733caa1cd8efp-4, -0x1.652894cda2528p-4, -0x1.632d208f8cb52p-4, -0x1.6140f439091cep-4, -0x1.5f6397156c606p-4, -0x1.5d94918826517p-4, -0x1.5bd36d2bc7611p-4, -0x1.5a1fb4fa2ec68p-4, -0x1.5878f570f8d13p-4, -0x1.56debcaa1e5dcp-4, -0x1.55509a6feda6ep-4, -0x1.53ce205042fbap-4, -0x1.5256e1af927c5p-4, -0x1.50ea73da1f4c5p-4, -0x1.4f886e11dc503p-4, -0x1.4e30699acc87dp-4, -0x1.4ce201c5607c6p-4, -0x1.4b9cd3f623798p-4, -0x1.4a607facdc90bp-4, -0x1.492ca689dfe1bp-4, -0x1.4800ec5131831p-4, -0x1.46dcf6ed79f8dp-4, -0x1.45c06e7197215p-4, -0x1.44aafd1808f67p-4, -0x1.439c4f42bd7abp-4, -0x1.42941379ce154p-4, -0x1.4191fa682bc1cp-4, -0x1.4095b6d8cc606p-4, -0x1.3f9efdb37fe2dp-4, -0x1.3ead85f7b09b7p-4, -0x1.3dc108b756ebp-4, -0x1.3cd94112786f8p-4, -0x1.3bf5ec30dc388p-4, -0x1.3b16c93b1ad8dp-4, -0x1.3a3b9955060b5p-4, -0x1.39641f96c0281p-4, -0x1.3890210512f73p-4, -0x1.37bf648a13372p-4, -0x1.36f1b2ee63b29p-4, -0x1.3626d6d132b53p-4, -0x1.355e9c9f7cd8dp-4, -0x1.3498d28cbfacbp-4, -0x1.33d5488baa9adp-4, -0x1.3313d045006c5p-4, -0x1.32543d0eaecfap-4, -0x1.319663e47b04fp-4, -0x1.30da1b6038d97p-4, -0x1.301f3bb0334fcp-4, -0x1.2f659e8e090a3p-4, -0x1.2ead1f376493bp-4, -0x1.2df59a6627373p-4, -0x1.2d3eee466e705p-4, -0x1.2c88fa6d0c0eap-4, -0x1.2bd39fd050ca9p-4, -0x1.2b1ec0c0bd574p-4, -0x1.2a6a40df4dd74p-4, -0x1.29b60513b5a9p-4, -0x1.2901f38520d54p-4, -0x1.284df393923cep-4, -0x1.2799edce39144p-4, -0x1.26e5cbe95ab53p-4, -0x1.263178b6e75ep-4, -0x1.257ce01ff2fp-4, -0x1.24c7ef1d42ffp-4, -0x1.241293ac8b87dp-4, -0x1.235cbcc722e46p-4, -0x1.22a65a5c8d80bp-4, -0x1.21ef5d4ccf559p-4, -0x1.2137b75f4c318p-4, -0x1.207f5b38e7e67p-4, -0x1.1fc63c53f821ep-4, -0x1.1f0c4efc79dd6p-4, -0x1.1e51884a4cae3p-4, -0x1.1d95de175ccd3p-4, -0x1.1cd946f6c2b4fp-4, -0x1.1c1bba2ee8fb1p-4, -0x1.1b5d2fb5a2f74p-4, -0x1.1a9da02ac9024p-4, -0x1.19dd04cf954c2p-4, -0x1.191b577de5f58p-4, -0x1.185892a2dc78fp-4, -0x1.1794b13be1a36p-4, -0x1.16cfaed21683ap-4, -0x1.1609877286ff5p-4, -0x1.154237a5ef566p-4, -0x1.1479bc6b65bffp-4, -0x1.13b01335cf275p-4, -0x1.12e539e8c9a29p-4, -0x1.12192ed2bbf41p-4, -0x1.114bf0a562059p-4, -0x1.107d7e702f9fcp-4, -0x1.0fadd79dba991p-4, -0x1.0edcfbf224477p-4, -0x1.0e0aeb87a0eb8p-4, -0x1.0d37a6c89761cp-4, -0x1.0c632e69b0a47p-4, -0x1.0b8d836641218p-4, -0x1.0ab6a6feebb37p-4, -0x1.09de9ab8381cp-4, -0x1.090560570df1fp-4, -0x1.082af9dac58b6p-4, -0x1.074f697b367bap-4, -0x1.0672b1a04a993p-4, -0x1.0594d4e6db575p-4, -0x1.04b5d61c3bddap-4, -0x1.03d5b83c1bb81p-4, -0x1.02f47e6c0fe03p-4, -0x1.02122bf78472bp-4, -0x1.012ec44d77166p-4, -0x1.004a4affc1c94p-4, -0x1.fec9878517b3dp-5, -0x1.fcfc64d519a58p-5, -0x1.fb2d35d3ceea6p-5, -0x1.f95c0299d22c8p-5, -0x1.f788d36ffabeap-5, -0x1.f5b3b0ce150b4p-5, -0x1.f3dca35ad20b3p-5, -0x1.f203b3ea8c5f1p-5, -0x1.f028eb7baa42p-5, -0x1.ee4c5331761f7p-5, -0x1.ec6df44fb9bb3p-5, -0x1.ea8dd83870267p-5, -0x1.e8ac086b30378p-5, -0x1.e6c88e84d2771p-5, -0x1.e4e3743dde43fp-5, -0x1.e2fcc36715fe3p-5, -0x1.e11485e530cb2p-5, -0x1.df2ac5ad69914p-5, -0x1.dd3f8cc3a3facp-5, -0x1.db52e539ba6d7p-5, -0x1.d964d92f006ecp-5, -0x1.d77572cef2a14p-5, -0x1.d584bc4e9c05ep-5, -0x1.d392bfe9514d1p-5, -0x1.d19f87ddd9edfp-5, -0x1.cfab1e6ce290ap-5, -0x1.cdb58dd85648dp-5, -0x1.cbbee06336d2dp-5, -0x1.c9c720512a94dp-5, -0x1.c7ce57e5583dp-5, -0x1.c5d491607ebf4p-5, -0x1.c3d9d6fefe8cep-5, -0x1.c1de32f78a9f9p-5, -0x1.bfe1af7a8fc69p-5, -0x1.bde456b213398p-5, -0x1.bbe632c1a3d18p-5, -0x1.b9e74dc612f6bp-5, -0x1.b7e7b1d4985fp-5, -0x1.b5e768f979f3fp-5, -0x1.b3e67d36aa381p-5, -0x1.b1e4f882dac87p-5, -0x1.afe2e4c8e7885p-5, -0x1.ade04be7860e5p-5, -0x1.abdd37b0f620ap-5, -0x1.a9d9b1ea98db2p-5, -0x1.a7d5c44c4177cp-5, -0x1.a5d1787f13633p-5, -0x1.a3ccd81c4972bp-5, -0x1.a1c7ecac33a37p-5, -0x1.9fc2bfa58a591p-5, -0x1.9dbd5a6ce038bp-5, -0x1.9bb7c654389b2p-5, -0x1.99b20c9aa01cp-5, -0x1.97ac366bcbd79p-5, -0x1.95a64cdf7c24fp-5, -0x1.93a058f8a5f5ep-5, -0x1.919a63a4a6111p-5, -0x1.8f9475bab0d07p-5, -0x1.8d8e97fb791d2p-5, -0x1.8b88d310e6e65p-5, -0x1.89832f8df1218p-5, -0x1.877db5ee8691bp-5, -0x1.85786e97914c4p-5, -0x1.837361d6c9af6p-5, -0x1.816e97e25ec6bp-5, -0x1.7f6a18d8990dbp-5, -0x1.7d65ecbfad0cbp-5, -0x1.7b621b85ac379p-5, -0x1.795ead0085481p-5, -0x1.775ba8ee07685p-5, -0x1.755916f400cfp-5, -0x1.7356fea074eeap-5, -0x1.71556769bb6bbp-5, -0x1.6f5458ae758ebp-5, -0x1.6d53d9b55bf3bp-5, -0x1.6b53f1ad20483p-5, -0x1.6954a7ac6f0d8p-5, -0x1.675602b1f485ap-5, -0x1.655809a466338p-5, -0x1.635ac3528af24p-5, -0x1.615e36735d169p-5, -0x1.5f6269a639eep-5, -0x1.5d676372fde53p-5, -0x1.5b6d2a49f99f4p-5, -0x1.5973c483cbf64p-5, -0x1.577b38614c849p-5, -0x1.55838c0b90924p-5, -0x1.538cc593f8cd7p-5, -0x1.5196eaf43a709p-5, -0x1.4fa2020e680ddp-5, -0x1.4dae10ad16db1p-5, -0x1.4bbb1c8387dc5p-5, -0x1.49c92b2de13d1p-5, -0x1.47d8423140f67p-5, -0x1.45e866fbb9febp-5, -0x1.43f99ee452e08p-5, -0x1.420bef2b1cf44p-5, -0x1.401f5cf95a053p-5, -0x1.3e33ed61a251bp-5, -0x1.3c49a56002cd2p-5, -0x1.3a6089da361fcp-5, -0x1.38789f9fdd4cp-5, -0x1.3691eb6ad2b7ep-5, -0x1.34ac71df7577ep-5, -0x1.32c8378cd9dd8p-5, -0x1.30e540ece9d54p-5, -0x1.2f0392647c2p-5, -0x1.2d2330438756dp-5, -0x1.2b441ec55d079p-5, -0x1.29666210e3689p-5, -0x1.2789fe38d0747p-5, -0x1.25aef73be127cp-5, -0x1.23d5510516b96p-5, -0x1.21fd0f6c01e5fp-5, -0x1.202636350de11p-5, -0x1.1e50c911bef66p-5, -0x1.1c7ccba0dc67dp-5, -0x1.1aaa416e97d5fp-5, -0x1.18d92df4b1d75p-5, -0x1.1709949ab5149p-5, -0x1.153b78b62cd19p-5, -0x1.136edd8ad5215p-5, -0x1.11a3c64ac8fd7p-5, -0x1.0fda3616ad8cep-5, -0x1.0e122ffde2b1ep-5, -0x1.0c4bb6feb9ed6p-5, -0x1.0a86ce06abd9dp-5, -0x1.08c377f28c3dbp-5, -0x1.0701b78ea68bap-5, -0x1.05418f96da62p-5, -0x1.038302b6b6489p-5, -0x1.01c61389a56dap-5, -0x1.000ac49b127b6p-5, -0x1.fca230cd2f975p-6, -0x1.f93222b030c61p-6, -0x1.f5c56397cf65fp-6, -0x1.f25bf81ddbae9p-6, -0x1.eef5e4bd8afc7p-6, -0x1.eb932dd3db092p-6, -0x1.e833d79fdd36fp-6, -0x1.e4d7e6430073bp-6, -0x1.e17f5dc14112ep-6, -0x1.de2a42015efc6p-6, -0x1.dad896cd197d1p-6, -0x1.d78a5fd17929ap-6, -0x1.d43fa09f19c1ep-6, -0x1.d0f85caa6dbe6p-6, -0x1.cdb4974bff0dfp-6, -0x1.ca7453c0af1e9p-6, -0x1.c7379529f57e3p-6, -0x1.c3fe5e8e22009p-6, -0x1.c0c8b2d8acf72p-6, -0x1.bd9694da8ba2cp-6, -0x1.ba68074a73c16p-6, -0x1.b73d0cc5175e5p-6, -0x1.b415a7cd5fee2p-6, -0x1.b0f1dacc9c0c6p-6, -0x1.add1a812ca128p-6, -0x1.aab511d6d3e84p-6, -0x1.a79c1a36e4293p-6, -0x1.a486c3389982ep-6, -0x1.a1750ec953691p-6, -0x1.9e66febe73868p-6, -0x1.9b5c94d59baa2p-6, -0x1.9855d2b4e6125p-6, -0x1.9552b9eb39de2p-6, -0x1.92534bf07c4f8p-6, -0x1.8f578a25e4888p-6, -0x1.8c5f75d6245b4p-6, -0x1.896b1035ac8c7p-6, -0x1.867a5a62db445p-6, -0x1.838d55664321cp-6, -0x1.80a40232ecabp-6, -0x1.7dbe61a695a35p-6, -0x1.7adc7489ecdacp-6, -0x1.77fe3b90d7246p-6, -0x1.7523b75a9dc7ep-6, -0x1.724ce87211b09p-6, -0x1.6f79cf4def5a2p-6, -0x1.6caa6c50f6bd3p-6, -0x1.69debfca3b87ep-6, -0x1.6716c9f5630a9p-6, -0x1.64528afae2246p-6, -0x1.619202f03b301p-6, -0x1.5ed531d82b0dp-6, -0x1.5c1c17a2e7c02p-6, -0x1.5966b42e3f6a5p-6, -0x1.56b50745e447cp-6, -0x1.540710a39147ap-6, -0x1.515ccfef48acdp-6, -0x1.4eb644bf8dc1dp-6, -0x1.4c136e999e8c5p-6, -0x1.49744cf1b8c3ap-6, -0x1.46d8df2b53842p-6, -0x1.4441249961752p-6, -0x1.41ad1c7e84274p-6, -0x1.3f1cc60d467c4p-6, -0x1.3c9020684bccfp-6, -0x1.3a072aa27cf23p-6, -0x1.3781e3bf41f8ap-6, -0x1.35004ab2a49c3p-6, -0x1.32825e6195f1cp-6, -0x1.30081da21e417p-6, -0x1.2d91873ba6e94p-6, -0x1.2b1e99e72d08p-6, -0x1.28af544f84568p-6, -0x1.2643b5118ca2bp-6, -0x1.23dbbabc652e4p-6, -0x1.217763d1a0c12p-6, -0x1.1f16aec576377p-6, -0x1.1cb999feecd6bp-6, -0x1.1a6023d8154d4p-6, -0x1.180a4a9e398c6p-6, -0x1.15b80c921ab4bp-6, -0x1.136967e82a15dp-6, -0x1.111e5ac8c44acp-6, -0x1.0ed6e35067689p-6, -0x1.0c92ff8fef833p-6, -0x1.0a52ad8cc199cp-6, -0x1.0815eb410a37ep-6, -0x1.05dcb69bea7e8p-6, -0x1.03a70d8178241p-6, -0x1.0174edcb5de54p-6, -0x1.fe8caa911699bp-7, -0x1.fa36837b61192p-7, -0x1.f5e761caafa57p-7, -0x1.f19f40e04c0e6p-7, -0x1.ed5e1c0a181b5p-7, -0x1.e923ee8303c32p-7, -0x1.e4f0b3737118ep-7, -0x1.e0c465f1a4e2bp-7, -0x1.dc9f0102237dp-7, -0x1.d8807f9803e33p-7, -0x1.d468dc9549c25p-7, -0x1.d05812cb2ea7fp-7, -0x1.cc4e1cfa6e01bp-7, -0x1.c84af5d39f2fcp-7, -0x1.c44e97f787258p-7, -0x1.c058fdf7863p-7, -0x1.bc6a2255e3f5ap-7, -0x1.b881ff8650f06p-7, -0x1.b4a08fee326d9p-7, -0x1.b0c5cde5148d1p-7, -0x1.acf1b3b4edcf5p-7, -0x1.a9243b9a99862p-7, -0x1.a55d5fc641625p-7, -0x1.a19d1a5b11746p-7, -0x1.9de3656ff4c2dp-7, -0x1.9a303b0fdba8bp-7, -0x1.96839539e33dap-7, -0x1.92dd6de19a4cp-7, -0x1.8f3dbeef59faep-7, -0x1.8ba482409a3f9p-7, -0x1.8811b1a8437e2p-7, -0x1.848546ef089bcp-7, -0x1.80ff3bd3bfa95p-7, -0x1.7d7f8a0bb654p-7, -0x1.7a062b42f9ac9p-7, -0x1.7693191c9b1d2p-7, -0x1.73264d32f3f72p-7, -0x1.6fbfc117e08f5p-7, -0x1.6c5f6e54e36d3p-7, -0x1.69054e6b72b26p-7, -0x1.65b15ad52253dp-7, -0x1.62638d03df357p-7, -0x1.5f1bde62314ffp-7, -0x1.5bda485383775p-7, -0x1.589ec4346b21bp-7, -0x1.55694b5aed5d3p-7, -0x1.5239d716d77a8p-7, -0x1.4f1060b1fcf92p-7, -0x1.4bece17072a39p-7, -0x1.48cf5290faedcp-7, -0x1.45b7ad4c847a3p-7, -0x1.42a5ead7b6476p-7, -0x1.3f9a0461b426fp-7, -0x1.3c93f31511ef9p-7, -0x1.3993b017b516bp-7, -0x1.3699348b1a7eep-7, -0x1.33a4798c79cbp-7, -0x1.30b57834f970dp-7, -0x1.2dcc2999e1638p-7, -0x1.2ae886ccdf557p-7, -0x1.280a88dc36261p-7, -0x1.253228d302fcp-7, -0x1.225f5fb97307ep-7, -0x1.1f922695092ecp-7, -0x1.1cca7668c66e8p-7, -0x1.1a0848355dcc1p-7, -0x1.174b94f9603cdp-7, -0x1.149455b14bfd6p-7, -0x1.11e28357b38ddp-7, -0x1.0f3616e557bb1p-7, -0x1.0c8f09514213fp-7, -0x1.09ed5390e8f0ep-7, -0x1.0750ee9853572p-7, -0x1.04b9d35a439d9p-7, -0x1.0227fac86409bp-7, -0x1.ff36bba6ea827p-8, -0x1.fa27ead6fadf6p-8, -0x1.f52374fff74a1p-8, -0x1.f0294c00292d6p-8, -0x1.eb3961b579b07p-8, -0x1.e653a7fdb58cap-8, -0x1.e17810b6d8c4fp-8, -0x1.dca68dbf46a98p-8, -0x1.d7df10f60f5ddp-8, -0x1.d3218c3afc3b6p-8, -0x1.ce6df16eddc96p-8, -0x1.c9c43273b3251p-8, -0x1.c524412cd6328p-8, -0x1.c08e0f7f52debp-8, -0x1.bc018f51f411fp-8, -0x1.b77eb28daeee3p-8, -0x1.b3056b1de975p-8, -0x1.ae95aaf0aa19ap-8, -0x1.aa2f63f6f924fp-8, -0x1.a5d288251af91p-8, -0x1.a17f0972d3578p-8, -0x1.9d34d9dba34d7p-8, -0x1.98f3eb5ef75dap-8, -0x1.94bc30005eab3p-8, -0x1.908d99c7a0ee9p-8, -0x1.8c681ac0f9d95p-8, -0x1.884ba4fd29b1bp-8, -0x1.84382a91a333fp-8, -0x1.802d9d98bd1c9p-8, -0x1.7c2bf031c39bcp-8, -0x1.7833148156a0dp-8, -0x1.7442fcb17c6dep-8, -0x1.705b9af1f3809p-8, -0x1.6c7ce1787d298p-8, -0x1.68a6c2810a956p-8, -0x1.64d9304dfe1a3p-8, -0x1.61141d2869b46p-8, -0x1.5d577b5fe3658p-8, -0x1.59a33d4b2b469p-8, -0x1.55f7554a5969dp-8, -0x1.5253b5c228948p-8, -0x1.4eb8511e54d2ap-8, -0x1.4b2519d36a36p-8, -0x1.479a025d3b556p-8, -0x1.4416fd3eebfefp-8, -0x1.409bfd0329cb9p-8, -0x1.3d28f43c71153p-8, -0x1.39bdd58514d87p-8, -0x1.365a937f99e7p-8, -0x1.32ff20d6ddbfep-8, -0x1.2fab703e888e9p-8, -0x1.2c5f7473320aap-8, -0x1.291b203ac9e52p-8, -0x1.25de6664e5303p-8, -0x1.22a939caebf8dp-8, -0x1.1f7b8d5045778p-8, -0x1.1c5553e2723dcp-8, -0x1.193680790acdcp-8, -0x1.161f0615bf0a6p-8, -0x1.130ed7c41189p-8, -0x1.1005e8994b771p-8, -0x1.0d042bb43e1d5p-8, -0x1.0a099439a51a5p-8, -0x1.07161566ce2bbp-8, -0x1.0429a26353064p-8, -0x1.01442e86feb32p-8, -0x1.fccb5a25ba283p-9, -0x1.f71c22c4e7eb6p-9, -0x1.f17a9db030121p-9, -0x1.ebe6b1c280fd3p-9, -0x1.e66045ee9c9dbp-9, -0x1.e0e7413fe67eap-9, -0x1.db7b8add3cca9p-9, -0x1.d61d0a086c1ecp-9, -0x1.d0cba61e12d54p-9, -0x1.cb874698acb48p-9, -0x1.c64fd30e4586cp-9, -0x1.c125333067a66p-9, -0x1.bc074eca930d9p-9, -0x1.b6f60dc0c669bp-9, -0x1.b1f1580d8e054p-9, -0x1.acf915bff29c2p-9, -0x1.a80d2ef990b71p-9, -0x1.a32d8bed32a2dp-9, -0x1.9e5a14dd72485p-9, -0x1.9992b21c77df4p-9, -0x1.94d74c0c3fbc8p-9, -0x1.9027cb1fe044cp-9, -0x1.8b8417dd72007p-9, -0x1.86ec1ae10a67ap-9, -0x1.825fbce04d8d2p-9, -0x1.7ddee6ae24611p-9, -0x1.7969813ed8d7dp-9, -0x1.74ff75abda3f9p-9, -0x1.70a0ad37064c7p-9, -0x1.6c4d114cf4406p-9, -0x1.68048b86419f9p-9, -0x1.63c705a77d5bep-9, -0x1.5f94699fabd74p-9, -0x1.5b6ca1853593p-9, -0x1.574f9791ec3f7p-9, -0x1.533d361d984e3p-9, -0x1.4f356797f667dp-9, -0x1.4b38168291f99p-9, -0x1.47452d6a9d831p-9, -0x1.435c96e3907c8p-9, -0x1.3f7e3d82dac51p-9, -0x1.3baa0bdd6b51bp-9, -0x1.37dfec86e343p-9, -0x1.341fca12e71a3p-9, -0x1.30698f18cf5a9p-9, -0x1.2cbd26393a7d3p-9, -0x1.291a7a255b0f6p-9, -0x1.258175a7b44cap-9, -0x1.21f203adb094bp-9, -0x1.1e6c0f512c9f7p-9, -0x1.1aef83e1b1103p-9, -0x1.177c4cec5bf41p-9, -0x1.1412564206341p-9, -0x1.10b18bfafdc8p-9, -0x1.0d59da7836456p-9, -0x1.0a0b2e614c86cp-9, -0x1.06c5749fd796dp-9, -0x1.03889a57b65d1p-9, -0x1.00548cdd416c2p-9, -0x1.fa52735305717p-10, -0x1.f40d1c9a5c3e4p-10, -0x1.edd8f0c6e5013p-10, -0x1.e7b5cb0ab95d3p-10, -0x1.e1a3867ca43efp-10, -0x1.dba1fe05cf5cep-10, -0x1.d5b10c54d872ap-10, -0x1.cfd08bd7d4e7ap-10, -0x1.ca0056bd1496dp-10, -0x1.c44046fbc0922p-10, -0x1.be903662ff9bfp-10, -0x1.b8effeb0156d7p-10, -0x1.b35f79a914ed9p-10, -0x1.adde813b71319p-10, -0x1.a86cef9c9faacp-10, -0x1.a30a9f6aef3e9p-10, -0x1.9db76bcca3c41p-10, -0x1.9873308ba7cebp-10, -0x1.933dca2c5176ap-10, -0x1.8e1715fdc693ep-10, -0x1.88fef222ad852p-10, -0x1.83f53d91d7328p-10, -0x1.7ef9d80e28865p-10, -0x1.7a0ca2161b2c7p-10, -0x1.752d7ccb4cf26p-10, -0x1.705c49d382bp-10, -0x1.6b98eb343712ap-10, -0x1.66e3432b9c627p-10, -0x1.623b3408329dbp-10, -0x1.5da0a0027220cp-10, -0x1.5913691a713e5p-10, -0x1.549370fb3ac2ap-10, -0x1.502098e623585p-10, -0x1.4bbac1a687a6dp-10, -0x1.4761cb8e4799ep-10, -0x1.4315967b0474p-10, -0x1.3ed601e2e66bdp-10, -0x1.3aa2ece7ec7f6p-10, -0x1.367c3670a2e2dp-10, -0x1.3261bd44f1a53p-10, -0x1.2e53602deb32ap-10, -0x1.2a50fe181a592p-10, -0x1.265a76372d554p-10, -0x1.226fa82b7e3fbp-10, -0x1.1e90742608693p-10, -0x1.1abcbb0c5ff66p-10, -0x1.16f45e997c959p-10, -0x1.133741776d40ep-10, -0x1.0f85475413bc9p-10, -0x1.0bde54f05211bp-10, -0x1.0842500a4f7cp-10, -0x1.04b11f6c93e14p-10, -0x1.012aaa8c13a98p-10, -0x1.fb5db3c4ea5c2p-11, -0x1.f47b2c4be0acap-11, -0x1.edad90efabe11p-11, -0x1.e6f4b41cd5628p-11, -0x1.e0506812b42ddp-11, -0x1.d9c07e96db5bep-11, -0x1.d344c8bdedb7dp-11, -0x1.ccdd16cb13e32p-11, -0x1.c689382456ba3p-11, -0x1.c048fb56ad2eep-11, -0x1.ba1c2e228a472p-11, -0x1.b4029d8a2ff15p-11, -0x1.adfc15dd9d5c3p-11, -0x1.a80862c132d89p-11, -0x1.a2274f3121da7p-11, -0x1.9c58a586c1566p-11, -0x1.969c2f871ef68p-11, -0x1.90f1b681d5affp-11, -0x1.8b590386d16fdp-11, -0x1.85d1dfb47eae6p-11, -0x1.805c149cccf9ap-11, -0x1.7af76cb876256p-11, -0x1.75a3b3dd159bcp-11, -0x1.7060b7a7e9c81p-11, -0x1.6b2e47cf06e78p-11, -0x1.660c364cd428cp-11, -0x1.60fa57604b659p-11, -0x1.5bf881601ec28p-11, -0x1.57068c677f80cp-11, -0x1.522451e9d7ea4p-11, -0x1.4d51ac3c2e3f4p-11, -0x1.488e762691903p-11, -0x1.43da8a8d84997p-11, -0x1.3f35c43e64b48p-11, -0x1.3a9ffde3668fbp-11, -0x1.3619121b068cfp-11, -0x1.31a0dba8ade2dp-11, -0x1.2d3735acab438p-11, -0x1.28dbfbd25ec91p-11, -0x1.248f0a621061ep-11, -0x1.20503e2c668a4p-11, -0x1.1c1f744c1fc77p-11, -0x1.17fc89c578b6fp-11, -0x1.13e75b12dbdccp-11, -0x1.0fdfc3b477a29p-11, -0x1.0be59dd8b10e2p-11, -0x1.07f8c23255d98p-11, -0x1.04190807210bdp-11, -0x1.0046457829316p-11, -0x1.f9009ff7a7131p-12, -0x1.f18df9efa084p-12, -0x1.ea3444c538dfap-12, -0x1.e2f32ea8ef70bp-12, -0x1.dbca68e196d22p-12, -0x1.d4b9a82e17e3p-12, -0x1.cdc0a4a75f526p-12, -0x1.c6df192395fe3p-12, -0x1.c014c23327e95p-12, -0x1.b9615ce24f9edp-12, -0x1.b2c4a5769227ap-12, -0x1.ac3e5666f55d7p-12, -0x1.a5ce27c9e839dp-12, -0x1.9f73cf632a7adp-12, -0x1.992f016393474p-12, -0x1.92ff71c982bf5p-12, -0x1.8ce4d630b68bp-12, -0x1.86dee7c499ea6p-12, -0x1.80ed64f9fdb08p-12, -0x1.7b1012b79d569p-12, -0x1.7546bcad4b382p-12, -0x1.6f9134bf64a15p-12, -0x1.69ef519792ea2p-12, -0x1.6460ec9a1ed09p-12, -0x1.5ee5df9c950c7p-12, -0x1.597e02c820fb3p-12, -0x1.54292b0486b36p-12, -0x1.4ee72928ea37ap-12, -0x1.49b7ca036b454p-12, -0x1.449ad71a4157ap-12, -0x1.3f9017e650931p-12, -0x1.3a97533a272p-12, -0x1.35b0508b84cbp-12, -0x1.30dad8efb881ep-12, -0x1.2c16b7b2a5edap-12, -0x1.2763ba8bfc62bp-12, -0x1.22c1b17cff606p-12, -0x1.1e306e6118515p-12, -0x1.19afc432e0fccp-12, -0x1.153f85ff4f1f1p-12, -0x1.10df858b694e1p-12, -0x1.0c8f91c2c4de5p-12, -0x1.084f7523300ddp-12, -0x1.041ef474365a7p-12, -0x1.fffb9c4a805e8p-13, -0x1.f7d775401a3d6p-13, -0x1.efd0db6f48d4bp-13, -0x1.e7e732445c503p-13, -0x1.e019df5c9fa4cp-13, -0x1.d8685160e45eap-13, -0x1.d0d20614a99ecp-13, -0x1.c9568e730258p-13, -0x1.c1f5900ab8d7fp-13, -0x1.baaec374dcacp-13, -0x1.b381efcd9371cp-13, -0x1.ac6ee59bce294p-13, -0x1.a57577cbb3cb8p-13, -0x1.9e957718f5d71p-13, -0x1.97ceae8f82382p-13, -0x1.9120e2acd2049p-13, -0x1.8a8bd29971897p-13, -0x1.840f3af808516p-13, -0x1.7daad89c0f643p-13, -0x1.775e6adafcbf7p-13, -0x1.7129b49308b4cp-13, -0x1.6b0c7b863240ep-13, -0x1.650686ec031c2p-13, -0x1.5f179ddfc99e7p-13, -0x1.593f866f68656p-13, -0x1.537e05a038875p-13, -0x1.4dd2e0339597bp-13, -0x1.483ddb7dc76d1p-13, -0x1.42bebd8aa8074p-13, -0x1.3d554c0fe243cp-13, -0x1.38014a2bb6a7cp-13, -0x1.32c275785e191p-13, -0x1.2d98834083dc3p-13, -0x1.28831ea1288d2p-13, -0x1.2381e8234bc84p-13, -0x1.1e9476fee78d4p-13, -0x1.19ba5bea2f374p-13, -0x1.14f3251761abp-13, -0x1.103e62dbe7759p-13, -0x1.0b9bac584f657p-13, -0x1.070aa358f78e7p-13, -0x1.028af6a5e1954p-13, -0x1.fc38c439ccb2p-14, -0x1.f37d58a88d237p-14, -0x1.eae3444c4db16p-14, -0x1.e26a2267843a8p-14, -0x1.da1185e898f71p-14, -0x1.d1d8f3ec9485cp-14, -0x1.c9bfe4f664cf8p-14, -0x1.c1c5cd20a2108p-14, -0x1.b9ea2922fb509p-14, -0x1.b22c8bfcb16d8p-14, -0x1.aa8ca869dbef8p-14, -0x1.a30a5239a160bp-14, -0x1.9ba5762f8090fp-14, -0x1.945e0a629c3d7p-14, -0x1.8d33fbf3bce64p-14, -0x1.8627203ada803p-14, -0x1.7f372e7f99bc5p-14, -0x1.7863c432c3655p-14, -0x1.71ac718f461d6p-14, -0x1.6b10c944be3e4p-14, -0x1.64906cc4994f7p-14, -0x1.5e2b1084cbc27p-14, -0x1.57e0772af1817p-14, -0x1.51b06649d604ap-14, -0x1.4b9a9982cedep-14, -0x1.459eb8b398645p-14, -0x1.3fbc5409f85a6p-14, -0x1.39f2e68032c82p-14, -0x1.3441dd6fbcbefp-14, -0x1.2ea8a2f25b7f6p-14, -0x1.2926a8853517fp-14, -0x1.23bb6fb279482p-14, -0x1.1e668f28c08d2p-14, -0x1.1927b38fb882p-14, -0x1.13fe9c6284977p-14, -0x1.0eeb15e4a7999p-14, -0x1.09ecf1ab814ecp-14, -0x1.0503ff1c96934p-14, -0x1.003004bc6295ap-14, -0x1.f6e17514fb4b4p-15, -0x1.ed8b8acd63c16p-15, -0x1.e45d67bf2615bp-15, -0x1.db55fb81fd8bep-15, -0x1.d2741112d4f47p-15, -0x1.c9b665411a51p-15, -0x1.c11bca1e27419p-15, -0x1.b8a3501a03a9fp-15, -0x1.b04c67690da4ap-15, -0x1.a816eb204838p-15, -0x1.a0030d9dfbcbbp-15, -0x1.9811296ec7c2ap-15, -0x1.904185e7d9e7fp-15, -0x1.889425060bf38p-15, -0x1.8108ad70b8538p-15, -0x1.799e782493f8bp-15, -0x1.7254ba06a2afdp-15, -0x1.6b2ab58799a75p-15, -0x1.641fddf072042p-15, -0x1.5d33ded37e2b4p-15, -0x1.56668962e67c4p-15, -0x1.4fb7b5ae949a6p-15, -0x1.492727e07c232p-15, -0x1.42b4823bb9339p-15, -0x1.3c5f432f7fad8p-15, -0x1.3626ca952360bp-15, -0x1.300a61a293499p-15, -0x1.2a094529ebfd9p-15, -0x1.2422b19839121p-15, -0x1.1e55f037234f6p-15, -0x1.18a263ab4bf64p-15, -0x1.1307918e14878p-15, -0x1.0d85275e85b4p-15, -0x1.081af9993f7a8p-15, -0x1.02c8fc69381bcp-15, -0x1.fb1e6c9477774p-16, -0x1.f0db5c98a2ec4p-16, -0x1.e6c8b25a3e902p-16, -0x1.dce6130022e68p-16, -0x1.d332cf7136c3p-16, -0x1.c9ade672a8274p-16, -0x1.c056198e5c14cp-16, -0x1.b72a0dbde9e6fp-16, -0x1.ae2868c3a4d91p-16, -0x1.a54fe4ffdc584p-16, -0x1.9c9f58f212907p-16, -0x1.9415b92088d28p-16, -0x1.8bb21dd567789p-16, -0x1.8373cfb200874p-16, -0x1.7b5a52161f30dp-16, -0x1.73655b6e22342p-16, -0x1.6b94b344f854bp-16, -0x1.63e802135ef2bp-16, -0x1.5c5eafc4a3ff1p-16, -0x1.54f7eb98064a2p-16, -0x1.4db2e07e876d1p-16, -0x1.468efa15f3a76p-16, -0x1.3f8c0ced47492p-16, -0x1.38aa41bbcac33p-16, -0x1.31e9cbfeccb3p-16, -0x1.2b4a9be77149ap-16, -0x1.24cc3e32766a9p-16, -0x1.1e6df587ca9b4p-16, -0x1.182eec75e6f9bp-16, -0x1.120e5678e03afp-16, -0x1.0c0b7348dd25ap-16, -0x1.0625859e47382p-16, -0x1.005bd11ae0683p-16, -0x1.f55b4526a43cdp-17, -0x1.ea34b44f25517p-17, -0x1.df42df8ea30f1p-17, -0x1.d484e3056a36ap-17, -0x1.c9f9fe52790cbp-17, -0x1.bfa18d60fd8bbp-17, -0x1.b57b057fc9867p-17, -0x1.ab85f55ae1fa5p-17, -0x1.a1c204237c9f2p-17, -0x1.982eebf3260fbp-17, -0x1.8ecc6cc1628bfp-17, -0x1.859a379e36424p-17, -0x1.7c97d4dcda0cap-17, -0x1.73c48b2479f87p-17, -0x1.6b1f50492dce7p-17, -0x1.62a6cdbdd756cp-17, -0x1.5a597fa23e2dep-17, -0x1.5235ed19bb814p-17, -0x1.4a3aec39abfep-17, -0x1.4267d7fbca2eep-17, -0x1.3abc9ad72b27dp-17, -0x1.33397c029b181p-17, -0x1.2bdeb97bfe2dbp-17, -0x1.24ac1a31695dep-17, -0x1.1da0b038fa026p-17, -0x1.16bae55944477p-17, -0x1.0ff8b662faffep-17, -0x1.0957f03b4e9eap-17, -0x1.02d670e6bbf73p-17, -0x1.f8e532e5b3d8ap-18, -0x1.ec57cf155c35cp-18, -0x1.e0068082d019bp-18, -0x1.d3f4e5ce0e5cap-18, -0x1.c8262db7ec8ddp-18, -0x1.bc9b0feb901cfp-18, -0x1.b1517b758d3d1p-18, -0x1.a6460fd7e4865p-18, -0x1.9b75f9bc6eaeep-18, -0x1.90dfa6f27ff48p-18, -0x1.8682259d8d6c5p-18, -0x1.7c5c4a0448adcp-18, -0x1.726c7c41466eap-18, -0x1.68b10ed499e15p-18, -0x1.5f2898e69b226p-18, -0x1.55d2140674e3bp-18, -0x1.4caccace90314p-18, -0x1.43b83887fdb49p-18, -0x1.3af3eca83c613p-18, -0x1.325f76f03117p-18, -0x1.29fa5b0df6c0ap-18, -0x1.21c4091d2b287p-18, -0x1.19bbda78b7b2ep-18, -0x1.11e1116882495p-18, -0x1.0a32dc35048d9p-18, -0x1.02b05aff5c97ep-18, -0x1.f6b14fa8d84e1p-19, -0x1.e855bed7d01a9p-19, -0x1.da4c4fd7afd7p-19, -0x1.cc9365169eb71p-19, -0x1.bf296bbaf0702p-19, -0x1.b20cc41ac811cp-19, -0x1.a53baabc603b9p-19, -0x1.98b437244d948p-19, -0x1.8c7482e9e2d56p-19, -0x1.807afab760235p-19, -0x1.74c6bd1a4c3d4p-19, -0x1.6957ddb389p-19, -0x1.5e2f3501a5464p-19, -0x1.534dc63c70a8bp-19, -0x1.48b3b5bf6c1f5p-19, -0x1.3e5f4d0257b56p-19, -0x1.344cbcaddc1b5p-19, -0x1.2a76f5762d8fbp-19, -0x1.20d9100627227p-19, -0x1.176f34274f457p-19, -0x1.0e36d3622e591p-19, -0x1.052f4cb817d3bp-19, -0x1.f8b5f4341e5ep-20, -0x1.e77c8d840583cp-20, -0x1.d6b7d9c0bb868p-20, -0x1.c663e5a206626p-20, -0x1.b6766e019a0c3p-20, -0x1.a6e8195f7aa68p-20, -0x1.97b8c577e1007p-20, -0x1.88eaca8363322p-20, -0x1.7a7d66d5c4b7ep-20, -0x1.6c6cb8eaab6e1p-20, -0x1.5eb47e0a68eafp-20, -0x1.51519e0d1f37dp-20, -0x1.444221d6e9ed7p-20, -0x1.3784aae31a5dap-20, -0x1.2b180eb94c6dap-20, -0x1.1efb2d0bdc7a1p-20, -0x1.132ce811c2d58p-20, -0x1.07ac2805453eap-20, -0x1.f8efba7173239p-21, -0x1.e31df808bf32ep-21, -0x1.cde0e4e0699fp-21, -0x1.b936334dc5cddp-21, -0x1.a51b4d926dc33p-21, -0x1.918d3e3a4c1c9p-21, -0x1.7e88a6de4cd9ep-21, -0x1.6c09ca94871e5p-21, -0x1.5a0cadfaac80fp-21, -0x1.488d4aa9c07d7p-21, -0x1.3787cfe5498d6p-21, -0x1.26f8de0381ddep-21, -0x1.16db7316f8d46p-21, -0x1.0739eee094bfcp-21, -0x1.efe6d107ac727p-22, -0x1.d25b1f37ab3dfp-22, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.00ae61b3e7c05p-5, 0x1.c4151800ecefep-5, 0x1.1925b5e376ff3p-4, 0x1.262d00a4389aep-4, 0x1.0fb4280a43a7ep-4, 0x1.bcfc22e69a5fp-5, 0x1.36c2c1554fcfep-5, 0x1.38fde9a2cfedep-6, -0x1.33c0466b31d4dp-11, -0x1.46285d01e32fdp-6, -0x1.36fadcd03c6b3p-5, -0x1.bb90a9f8d48cep-5, -0x1.16ef3ec86de79p-4, -0x1.464108e71ec3dp-4, -0x1.6ba882f8539p-4, -0x1.878415cee8cebp-4, -0x1.9a83cca16e548p-4, -0x1.a58d52c74ac95p-4, -0x1.a9a553e54bd0cp-4, -0x1.a7dda1a0435f9p-4, -0x1.a1478337c0a5bp-4, -0x1.96e9989880f74p-4, -0x1.89b8c236cb8a5p-4, -0x1.7a93884495502p-4, -0x1.6a3f862c45b3ep-4, -0x1.59686a5f0a34dp-4, -0x1.48a026e06c191p-4, -0x1.385ffc62ddfcbp-4, -0x1.290a17d042dcep-4, -0x1.1aeb884008a4fp-4, -0x1.0e3e60b834cebp-4, -0x1.032be50b2b03dp-4, -0x1.f39d565f050acp-5, -0x1.e46944d472e52p-5, -0x1.d8c1ef3ad1041p-5, -0x1.d09ba4b02360cp-5, -0x1.cbdbd25be07a4p-5, -0x1.ca5bdb72cfd28p-5, -0x1.cbeba38a7c94ap-5, -0x1.d053cf68954f8p-5, -0x1.d757c0f03b62dp-5, -0x1.e0b752f615258p-5, -0x1.ec3059aa51cf5p-5, -0x1.f97fec084df1ep-5, -0x1.0431bd6fbe1edp-4, -0x1.0c4cdce3a1042p-4, -0x1.14f1aeb0ab78fp-4, -0x1.1e01da35475f3p-4, -0x1.27608edeba149p-4, -0x1.30f2b113f4031p-4, -0x1.3a9ef90297497p-4, -0x1.444e05516b609p-4, -0x1.4dea676eef11cp-4, -0x1.5760a21bcbfafp-4, -0x1.609f2a484e206p-4, -0x1.6996551cc562bp-4, -0x1.7238512cb512bp-4, -0x1.7a790cf94455ap-4, -0x1.824e2abf95376p-4, -0x1.89aee4a3b3008p-4, -0x1.9093f9db67859p-4, -0x1.96f793aefa85bp-4, -0x1.9cd52f671e27fp-4, -0x1.a22986252dda9p-4, -0x1.a6f2764fb4ba4p-4, -0x1.ab2eecb649a57p-4, -0x1.aedece018b0e5p-4, -0x1.b202e072f6ad7p-4, -0x1.b49cb639651adp-4, -0x1.b6ae98892a5abp-4, -0x1.b83b7383a630bp-4, -0x1.b946c2ebc761fp-4, -0x1.b9d47f97c54adp-4, -0x1.b9e90da0f7ff6p-4, -0x1.b9892b5a383eap-4, -0x1.b8b9e127f6b1fp-4, -0x1.b7807253ae1c3p-4, -0x1.b5e24ef538d13p-4, -0x1.b3e506ff5ad33p-4, -0x1.b18e3e73e2f77p-4, -0x1.aee3a2ba9aa81p-4, -0x1.abeae10ec554cp-4, -0x1.a8a99df7edfa2p-4, -0x1.a5256dbe2839bp-4, -0x1.a163cdce576f3p-4, -0x1.9d6a1f057eb37p-4, -0x1.993da0d383b81p-4, -0x1.94e36d3162276p-4, -0x1.90607552e3583p-4, -0x1.8bb97f110f34dp-4, -0x1.86f322ef1615dp-4, -0x1.8211cab65afdbp-4, -0x1.7d19b088a4f59p-4, -0x1.780ede68bb444p-4, -0x1.72f52e161c949p-4, -0x1.6dd04943f1abbp-4, -0x1.68a3aa06355dep-4, -0x1.63729b84070c3p-4, -0x1.5e403acb1afc1p-4, -0x1.590f77d6bafaap-4, -0x1.53e316a864c23p-4, -0x1.4ebdb084959a1p-4, -0x1.49a1b53809cdfp-4, -0x1.44916c6f04552p-4, -0x1.3f8ef713a4aaap-4, -0x1.3a9c50ab64432p-4, -0x1.35bb50bb722c6p-4, -0x1.30edac21fedc7p-4, -0x1.2c34f67084cd7p-4, -0x1.2792a33b9893ep-4, -0x1.2308076224ecfp-4, -0x1.1e965a506ac44p-4, -0x1.1a3eb7320c888p-4, -0x1.16021e238017ap-4, -0x1.11e175551e192p-4, -0x1.0ddd8a246b084p-4, -0x1.09f71235d1e37p-4, -0x1.062eac796f38dp-4, -0x1.0284e234f9c31p-4, -0x1.fdf450041750dp-5, -0x1.f71dbd7e7736ap-5, -0x1.f086a91b06acbp-5, -0x1.ea2f8b666fec3p-5, -0x1.e418bb065006ap-5, -0x1.de426e947479ep-5, -0x1.d8acbe3611348p-5, -0x1.d357a55c5b6e2p-5, -0x1.ce4304799e4abp-5, -0x1.c96ea270f790bp-5, -0x1.c4da2e46b73bep-5, -0x1.c08540ae921d3p-5, -0x1.bc6f5d5493135p-5, -0x1.b897f47716062p-5, -0x1.b4fe6453c0b47p-5, -0x1.b1a1fa44c329cp-5, -0x1.ae81f43b018b5p-5, -0x1.ab9d821371a0ep-5, -0x1.a8f3c684541d6p-5, -0x1.a683d868f886fp-5, -0x1.a44cc40aa5497p-5, -0x1.a24d8be0d5dacp-5, -0x1.a0852998d38a1p-5, -0x1.9ef28f59a4f44p-5, -0x1.9d94a86cff594p-5, -0x1.9c6a59e82a92ep-5, -0x1.9b7283dbd022cp-5, -0x1.9aac021589b31p-5, -0x1.9a15ac682e87dp-5, -0x1.99ae57889c5ffp-5, -0x1.9974d60e678d1p-5, -0x1.9967f8a72ee7fp-5, -0x1.99868e53e2104p-5, -0x1.99cf6568ec2afp-5, -0x1.9a414c32301ep-5, -0x1.9adb10c36a966p-5, -0x1.9b9b81464da9p-5, -0x1.9c816d03e79b5p-5, -0x1.9d8ba4b78cea4p-5, -0x1.9eb8fa1a9ac17p-5, -0x1.a0084035bdf68p-5, -0x1.a1784c71fe11ap-5, -0x1.a307f6c55c42dp-5, -0x1.a4b61902b789p-5, -0x1.a6818f091965cp-5, -0x1.a86937e5efa59p-5, -0x1.aa6bf61a42858p-5, -0x1.ac88aebac4b0ep-5, -0x1.aebe49447a74ap-5, -0x1.b10bb0c08ed6p-5, -0x1.b36fd46c2de4fp-5, -0x1.b5e9a6e005f5cp-5, -0x1.b8781d53a29dap-5, -0x1.bb1a307163717p-5, -0x1.bdcedd8620275p-5, -0x1.c0952630149f2p-5, -0x1.c36c0f249e699p-5, -0x1.c652a02b3c11ep-5, -0x1.c947e575000c4p-5, -0x1.cc4af05543eebp-5, -0x1.cf5ad64757d92p-5, -0x1.d276afd570a89p-5, -0x1.d59d99217a5c2p-5, -0x1.d8ceb3581e0dbp-5, -0x1.dc0924ffafa07p-5, -0x1.df4c18bd54b04p-5, -0x1.e296bc64b728fp-5, -0x1.e5e841b115618p-5, -0x1.e93fdfb238cdep-5, -0x1.ec9cd303690f1p-5, -0x1.effe5c8c9d93cp-5, -0x1.f363c0892458dp-5, -0x1.f6cc471c66e27p-5, -0x1.fa373db37d8c8p-5, -0x1.fda3f7736e55cp-5, -0x1.0088e61655fd7p-4, -0x1.02400b9908825p-4, -0x1.03f71bbeb8a47p-4, -0x1.05adc873be8ep-4, -0x1.0763c67ddeab5p-4, -0x1.0918cd34ebd4ep-4, -0x1.0acc95e17deb9p-4, -0x1.0c7edb7d2c795p-4, -0x1.0e2f5b113279bp-4, -0x1.0fddd442dba16p-4, -0x1.118a096e93feep-4, -0x1.1333bf3048e87p-4, -0x1.14dabbddd0b85p-4, -0x1.167ec77a7df4bp-4, -0x1.181fac2144bbp-4, -0x1.19bd3670bd447p-4, -0x1.1b573583104a1p-4, -0x1.1ced7a7488921p-4, -0x1.1e7fd7f2e9131p-4, -0x1.200e22382df78p-4, -0x1.21982f63b3a98p-4, -0x1.231dd7d4420aap-4, -0x1.249ef6244e348p-4, -0x1.261b66c425ab2p-4, -0x1.2793078ff10dcp-4, -0x1.2905b7b69f782p-4, -0x1.2a7357f48f8d6p-4, -0x1.2bdbcae42caf7p-4, -0x1.2d3ef515703a9p-4, -0x1.2e9cbccd5a75p-4, -0x1.2ff509a38d8a3p-4, -0x1.3147c44c05791p-4, -0x1.3294d6a7b14cp-4, -0x1.33dc2c00d7a2dp-4, -0x1.351db13c0780bp-4, -0x1.365954cb82a3ap-4, -0x1.378f06683cebbp-4, -0x1.38beb6c8cf27ep-4, -0x1.39e8578525867p-4, -0x1.3b0bdb2b5d183p-4, -0x1.3c29356d6f3b3p-4, -0x1.3d405b401b72dp-4, -0x1.3e5142c959d55p-4, -0x1.3f5be325ff0f1p-4, -0x1.40603431c8796p-4, -0x1.415e2e707f021p-4, -0x1.4255cb1997c49p-4, -0x1.43470437e2632p-4, -0x1.4431d4c42bef7p-4, -0x1.4516389f94f7bp-4, -0x1.45f42c6b7e779p-4, -0x1.46cbad5c1ce19p-4, -0x1.479cb91f93b46p-4, -0x1.48674ddda704cp-4, -0x1.492b6a49c78cbp-4, -0x1.49e90dbb9aba9p-4, -0x1.4aa03839fa524p-4, -0x1.4b50ea69eb52bp-4, -0x1.4bfb256c7ff7dp-4, -0x1.4c9eeac3520f1p-4, -0x1.4d3c3c45acda7p-4, -0x1.4dd31c2449e78p-4, -0x1.4e638cf811392p-4, -0x1.4eed91d46126cp-4, -0x1.4f712e4dc7c1ep-4, -0x1.4fee666bc6435p-4, -0x1.50653e8ff53edp-4, -0x1.50d5bb63990d9p-4, -0x1.513fe1d070f52p-4, -0x1.51a3b7021eea5p-4, -0x1.5201406f2d3edp-4, -0x1.525883e70778dp-4, -0x1.52a9879ab64acp-4, -0x1.52f4521675583p-4, -0x1.5338ea3053e7dp-4, -0x1.537756f93f6bfp-4, -0x1.53af9fb61772cp-4, -0x1.53e1cbde28dd1p-4, -0x1.540de31e398d9p-4, -0x1.5433ed61161cp-4, -0x1.5453f2da21664p-4, -0x1.546dfc08a77fap-4, -0x1.548211af6d5eap-4, -0x1.54903cc7d90f8p-4, -0x1.54988679be6d4p-4, -0x1.549af81864b02p-4, -0x1.54979b21c97c9p-4, -0x1.548e79409a22ep-4, -0x1.547f9c5291e37p-4, -0x1.546b0e70c116dp-4, -0x1.5450d9f296c07p-4, -0x1.54310967eb7ddp-4, -0x1.540ba78f8c4fep-4, -0x1.53e0bf514ebp-4, -0x1.53b05bbc08b68p-4, -0x1.537a88048eda1p-4, -0x1.533f4f8596e85p-4, -0x1.52febdc28eef1p-4, -0x1.52b8de6d740adp-4, -0x1.526dbd6b4f86p-4, -0x1.521d66d25a469p-4, -0x1.51c7e6e2e685bp-4, -0x1.516d4a010f70ep-4, -0x1.510d9cb1f86c1p-4, -0x1.50a8eb9aa60cp-4, -0x1.503f437e997e5p-4, -0x1.4fd0b13f17a4ep-4, -0x1.4f5d41dcd357ep-4, -0x1.4ee5027bc1482p-4, -0x1.4e68006579eb6p-4, -0x1.4de64906bbf14p-4, -0x1.4d5fe9e96b694p-4, -0x1.4cd4f0af9a327p-4, -0x1.4c456b114eb2cp-4, -0x1.4bb166db6651fp-4, -0x1.4b18f1ee00264p-4, -0x1.4a7c1a3adf303p-4, -0x1.49daedc53be89p-4, -0x1.49357aa397807p-4, -0x1.488bcf01c5d6cp-4, -0x1.47ddf9201b987p-4, -0x1.472c074f3ff16p-4, -0x1.467607eb7a1f8p-4, -0x1.45bc095a07661p-4, -0x1.44fe1a07f6abep-4, -0x1.443c486910f12p-4, -0x1.4376a2f62da4ep-4, -0x1.42ad382ba9a2ap-4, -0x1.41e016890b5d9p-4, -0x1.410f4c921631cp-4, -0x1.403ae8cfcb3cfp-4, -0x1.3f62f9cf4d413p-4, -0x1.3e878e1e6e658p-4, -0x1.3da8b4482e21p-4, -0x1.3cc67ad2ba005p-4, -0x1.3be0f03e9272cp-4, -0x1.3af82305b3d05p-4, -0x1.3a0c219a3fa78p-4, -0x1.391cfa64f5aa7p-4, -0x1.382abbc43aedep-4, -0x1.3735740c363cp-4, -0x1.363d318780e19p-4, -0x1.3542027702caap-4, -0x1.3443f50fff3e7p-4, -0x1.3343177950153p-4, -0x1.323f77c94b0c1p-4, -0x1.31392404c4172p-4, -0x1.30302a1e7c11bp-4, -0x1.2f2497f65f0dbp-4, -0x1.2e167b5863d09p-4, -0x1.2d05e1fb61d07p-4, -0x1.2bf2d9804a964p-4, -0x1.2add6f722a451p-4, -0x1.29c5b14694252p-4, -0x1.28abac5d8813bp-4, -0x1.278f6e002117ap-4, -0x1.2671035e9fd3fp-4, -0x1.2550798eee8a3p-4, -0x1.242ddd8bee30bp-4, -0x1.23093c3531224p-4, -0x1.21e2a24eafa5fp-4, -0x1.20ba1c804295dp-4, -0x1.1f8fb754ecf05p-4, -0x1.1e637f3a34314p-4, -0x1.1d35807fcf651p-4, -0x1.1c05c757dcd0fp-4, -0x1.1ad45fd734479p-4, -0x1.19a155f53f94p-4, -0x1.186cb58b19d2cp-4, -0x1.17368a528ec67p-4, -0x1.15fedfe58a0ecp-4, -0x1.14c5c1bdfee1ep-4, -0x1.138b3b35f7007p-4, -0x1.124f578786bedp-4, -0x1.111221cca10a9p-4, -0x1.0fd3a4fece682p-4, -0x1.0e93ebf6eb81bp-4, -0x1.0d53016d25753p-4, -0x1.0c10eff95a694p-4, -0x1.0acdc213ab09fp-4, -0x1.09898214decf3p-4, -0x1.08443a363a1e4p-4, -0x1.06fdf491094dp-4, -0x1.05b6bb1e4a6ddp-4, -0x1.046e97b6ac14cp-4, -0x1.03259412c9aebp-4, -0x1.01dbb9cb7c6e1p-4, -0x1.0091125a27d14p-4, -0x1.fe8b4e3200023p-5, -0x1.fbf3028679ab1p-5, -0x1.f95953ea90e7cp-5, -0x1.f6be5459f47bdp-5, -0x1.f4221593f414bp-5, -0x1.f184a91c74774p-5, -0x1.eee6203cb4e27p-5, -0x1.ec468c0388c32p-5, -0x1.e9a5fd454dd9dp-5, -0x1.e704849c26a2dp-5, -0x1.e4623268b4d06p-5, -0x1.e1bf16d316445p-5, -0x1.df1b41cbf01cfp-5, -0x1.dc76c30d3ac66p-5, -0x1.d9d1aa1aeadd9p-5, -0x1.d72c064361c71p-5, -0x1.d485e69fc16c3p-5, -0x1.d1df5a145d2c2p-5, -0x1.cf386f515fee1p-5, -0x1.cc9134d3dc1aap-5, -0x1.c9e9b8e70b155p-5, -0x1.c74209a571446p-5, -0x1.c49a34f99f3a3p-5, -0x1.c1f2489e9bf71p-5, -0x1.bf4a52205255ap-5, -0x1.bca25edc1447bp-5, -0x1.b9fa7c0133e37p-5, -0x1.b752b6919784p-5, -0x1.b4ab1b625e72dp-5, -0x1.b203b71c9dd8bp-5, -0x1.af5c963e272ep-5, -0x1.acb5c51a609d3p-5, -0x1.aa0f4fdb2522ap-5, -0x1.a769428192609p-5, -0x1.a4c3a8e6e101bp-5, -0x1.a21e8ebd3341p-5, -0x1.9f79ff903fe95p-5, -0x1.9cd606c5bdfecp-5, -0x1.9a32af9da08f5p-5, -0x1.97900532419f9p-5, -0x1.94ee1278d1595p-5, -0x1.924ce241fb0fbp-5, -0x1.8fac7f3ac3421p-5, -0x1.8d0cf3ed68166p-5, -0x1.8a6e4ac241d3p-5, -0x1.87d08e007a882p-5, -0x1.8533c7cea7775p-5, -0x1.829802332a2f8p-5, -0x1.7ffd471469e67p-5, -0x1.7d63a038ffcddp-5, -0x1.7acb1747ea18p-5, -0x1.7833b5c8dea68p-5, -0x1.759d8524d604ep-5, -0x1.73088ea6a03ccp-5, -0x1.7074db7b81683p-5, -0x1.6de274b3c7943p-5, -0x1.6b51634347a83p-5, -0x1.68c1b001ec999p-5, -0x1.663363ac1edccp-5, -0x1.63a686e30901p-5, -0x1.611b222cc67c6p-5, -0x1.5e913df46b0fp-5, -0x1.5c08e28a0dab4p-5, -0x1.59821822e2256p-5, -0x1.56fce6d95e247p-5, -0x1.547956ad884d3p-5, -0x1.51f76f855bd3ep-5, -0x1.4f77392d41858p-5, -0x1.4cf8bb5890e7bp-5, -0x1.4a7bfda211b3cp-5, -0x1.4801078c57511p-5, -0x1.4587e081fa88dp-5, -0x1.43108fd595a79p-5, -0x1.409b1cc1a31p-5, -0x1.3e278e68524e8p-5, -0x1.3bb5ebd364e9ap-5, -0x1.39463bf41ee73p-5, -0x1.36d885a35e04fp-5, -0x1.346ccfa1bd9bcp-5, -0x1.32032097e6244p-5, -0x1.2f9b7f16e36ap-5, -0x1.2d35f1987d361p-5, -0x1.2ad27e7f883b3p-5, -0x1.28712c181e61bp-5, -0x1.26120097ade84p-5, -0x1.23b5021cf0985p-5, -0x1.215a36afc6d46p-5, -0x1.1f01a440ffa6ap-5, -0x1.1cab50aa2c6bep-5, -0x1.1a5741ad6c66dp-5, -0x1.18057cf5563b7p-5, -0x1.15b60814e927ep-5, -0x1.1368e887a4977p-5, -0x1.111e23b1b098dp-5, -0x1.0ed5bee01e9b2p-5, -0x1.0c8fbf492c47fp-5, -0x1.0a4c2a0c78a3fp-5, -0x1.080b043326e3fp-5, -0x1.05cc52afe1f1fp-5, -0x1.03901a5ecda5cp-5, -0x1.0156600551a47p-5, -0x1.fe3e50a3c2292p-6, -0x1.f9d4efb777fadp-6, -0x1.f570a6455826bp-6, -0x1.f1117d1dc4795p-6, -0x1.ecb77ce1beb1cp-6, -0x1.e862ae02f7488p-6, -0x1.e41318c407234p-6, -0x1.dfc8c538d7062p-6, -0x1.db83bb470d5a3p-6, -0x1.d74402a65052cp-6, -0x1.d309a2e0abf6ap-6, -0x1.ced4a3529d62p-6, -0x1.caa50b2b04b3fp-6, -0x1.c67ae16afe5a4p-6, -0x1.c2562ce592d91p-6, -0x1.be36f43f479c4p-6, -0x1.ba1d3dedcd568p-6, -0x1.b60910379727fp-6, -0x1.b1fa7133a68bcp-6, -0x1.adf166c96a44ep-6, -0x1.a9edf6b0df713p-6, -0x1.a5f02672bbc22p-6, -0x1.a1f7fb68bc4c9p-6, -0x1.9e057abe0addbp-6, -0x1.9a18a96fa4041p-6, -0x1.96318c4c97cc7p-6, -0x1.925027f65ee7ap-6, -0x1.8e7480e0f1e2fp-6, -0x1.8a9e9b52d0e6p-6, -0x1.86ce7b64d979ep-6, -0x1.8304250234f19p-6, -0x1.7f3f9be806156p-6, -0x1.7b80e3a537e08p-6, -0x1.77c7ff9a6377dp-6, -0x1.7414f2f9a80ddp-6, -0x1.7067c0c6e3e2p-6, -0x1.6cc06bd7bb4aap-6, -0x1.691ef6d3f5978p-6, -0x1.65836435dee2p-6, -0x1.61edb64aabf9bp-6, -0x1.5e5def32fa765p-6, -0x1.5ad410e317164p-6, -0x1.57501d2380a18p-6, -0x1.53d21591116dcp-6, -0x1.5059fb9d47d9cp-6, -0x1.4ce7d08e4b39ep-6, -0x1.497b957f17794p-6, -0x1.46154b5f6c364p-6, -0x1.42b4f2f3d804dp-6, -0x1.3f5a8cd5d5485p-6, -0x1.3c061973c7632p-6, -0x1.38b799112f7d3p-6, -0x1.356f0bc6fb544p-6, -0x1.322c7183b5c9fp-6, -0x1.2eefca0c03711p-6, -0x1.2bb914fb018dp-6, -0x1.288851c2cf4ap-6, -0x1.255d7fad055d8p-6, -0x1.22389ddb31df8p-6, -0x1.1f19ab4756f48p-6, -0x1.1c00a6c442c38p-6, -0x1.18ed8efe0f881p-6, -0x1.15e0627a4e7f8p-6, -0x1.12d91f98787f5p-6, -0x1.0fd7c49226414p-6, -0x1.0cdc4f7b3d6c3p-6, -0x1.09e6be42569d4p-6, -0x1.06f70eb0e3675p-6, -0x1.040d3e6b95105p-6, -0x1.01294af2a3a37p-6, -0x1.fc96634459e22p-7, -0x1.f6e5df6548e25p-7, -0x1.f14104728bedfp-7, -0x1.eba7cc50ef022p-7, -0x1.e61a30a0d1ecp-7, -0x1.e0982abec0479p-7, -0x1.db21b3c4cd1fp-7, -0x1.d5b6c48b42d6cp-7, -0x1.d05755a9b9d65p-7, -0x1.cb035f7802282p-7, -0x1.c5bada0f266ecp-7, -0x1.c07dbd4a40681p-7, -0x1.bb4c00c7bb375p-7, -0x1.b6259bea0bc2ep-7, -0x1.b10a85d9162d7p-7, -0x1.abfab582f9e7ap-7, -0x1.a6f6219d8daddp-7, -0x1.a1fcc0a72e6aap-7, -0x1.9d0e88e8088ap-7, -0x1.982b70734527p-7, -0x1.93536d27d07c7p-7, -0x1.8e8674b15faa5p-7, -0x1.89c47c894269p-7, -0x1.850d79f6eb8ccp-7, -0x1.806162108ea65p-7, -0x1.7bc029bb78acfp-7, -0x1.7729c5ac6036cp-7, -0x1.729e2a67b9ea1p-7, -0x1.6e1d4c41fedbep-7, -0x1.69a71f5fe372ep-7, -0x1.653b97b76ca86p-7, -0x1.60daa90feea01p-7, -0x1.5c844703e2b7ep-7, -0x1.58386501ccef5p-7, -0x1.53f6f64e3c2ffp-7, -0x1.4fbfee05c4f56p-7, -0x1.4b933f1f85e0ep-7, -0x1.4770dc6fb52b3p-7, -0x1.4358b8aa7e4ebp-7, -0x1.3f4ac6669b037p-7, -0x1.3b46f82035d63p-7, -0x1.374d403b07db6p-7, -0x1.335d910455073p-7, -0x1.2f77dcb4400ecp-7, -0x1.2b9c156e52c88p-7, -0x1.27ca2d41663fp-7, -0x1.24021626af372p-7, -0x1.2043c2000eaffp-7, -0x1.1c8f2295ab00cp-7, -0x1.18e4299352c82p-7, -0x1.1542c8852f5f3p-7, -0x1.11aaf0d4e091bp-7, -0x1.0e1c93c6bec2fp-7, -0x1.0a97a277c36bcp-7, -0x1.071c0ddc604ap-7, -0x1.03a9c6c0923c5p-7, -0x1.0040bdc96c06fp-7, -0x1.f9c1c6f04d50ap-8, -0x1.f314505d83de7p-8, -0x1.ec78f86c7ab1ep-8, -0x1.e5ef9f8c0029fp-8, -0x1.df782618b54ddp-8, -0x1.d9126c6f0128ap-8, -0x1.d2be52fd0a9f3p-8, -0x1.cc7bba53e79c6p-8, -0x1.c64a8335dfcbdp-8, -0x1.c02a8ea1d49f7p-8, -0x1.ba1bbdd9960b4p-8, -0x1.b41df26303e08p-8, -0x1.ae310e03499bdp-8, -0x1.a854f2b3a3f94p-8, -0x1.a2898290b2225p-8, -0x1.9cce9fc3f30bp-8, -0x1.97242c69c8803p-8, -0x1.918a0a744e709p-8, -0x1.8c001b8dada21p-8, -0x1.868640fbb2a96p-8, -0x1.811c5b86d9473p-8, -0x1.7bc24b6694b6fp-8, -0x1.7677f0358c2fp-8, -0x1.713d28ee9369bp-8, -0x1.6c11d3f3af953p-8, -0x1.66f5cf203f0a3p-8, -0x1.61e8f7e512644p-8, -0x1.5ceb2b6e8fbfp-8, -0x1.57fc46d2a19c8p-8, -0x1.531c2744aecf2p-8, -0x1.4e4aaa4c122f2p-8, -0x1.4987adfae317bp-8, -0x1.44d3112039987p-8, -0x1.402cb373b33cbp-8, -0x1.3b9475b617c19p-8, -0x1.370a39c47d008p-8, -0x1.328de29be4fcbp-8, -0x1.2e1f544be9d8fp-8, -0x1.29be73d839c97p-8, -0x1.256b2709bbbcep-8, -0x1.2125543124bbcp-8, -0x1.1cece1de65fefp-8, -0x1.18c1b69061199p-8, -0x1.14a3b861dcbb1p-8, -0x1.1092ccb849986p-8, -0x1.0c8ed7fa71ab4p-8, -0x1.0897bd52fb45dp-8, -0x1.04ad5e83d2b29p-8, -0x1.00cf9bce6156ep-8, -0x1.f9fca7e4e000dp-9, -0x1.f272c88b5749ep-9, -0x1.eb0151c6db72dp-9, -0x1.e3a7f9e5bdd78p-9, -0x1.dc667602937cp-9, -0x1.d53c7ad63d86bp-9, -0x1.ce29bd9e5445cp-9, -0x1.c72df509dcce5p-9, -0x1.c048da200512dp-9, -0x1.b97a29120584ep-9, -0x1.b2c1a1ebc3799p-9, -0x1.ac1f091764b5ap-9, -0x1.a59227aabe959p-9, -0x1.9f1acb77c4fa8p-9, -0x1.98b8c6dd499f1p-9, -0x1.926bf058b546bp-9, -0x1.8c3421dd0bda6p-9, -0x1.861137f6ed347p-9, -0x1.800310c94461bp-9, -0x1.7a098aefc2c54p-9, -0x1.742484569c19ap-9, -0x1.6e53d918c1669p-9, -0x1.68976273e6cb7p-9, -0x1.62eef5e2a9b7dp-9, -0x1.5d5a646a68f71p-9, -0x1.57d97a26bbb86p-9, -0x1.526bfe1c4f923p-9, -0x1.4d11b25422f51p-9, -0x1.47ca5441540fep-9, -0x1.42959d6b09b49p-9, -0x1.3d734452e36e4p-9, -0x1.3862fd8b80bf7p-9, -0x1.33647cf04a6d7p-9, -0x1.2e7776ed92846p-9, -0x1.299ba1c774091p-9, -0x1.24d0b6ce40a52p-9, -0x1.2016736f4d688p-9, -0x1.1b6c9a154f72p-9, -0x1.16d2f2ca99418p-9, -0x1.12494b9984b25p-9, -0x1.0dcf78a23b004p-9, -0x1.096553e910bf3p-9, -0x1.050abcdf78dfp-9, -0x1.00bf97ae56df3p-9, -0x1.f90798986ab0ep-10, -0x1.f0ae8ad1ec66bp-10, -0x1.e873de7de83edp-10, -0x1.e0576cab0e7a2p-10, -0x1.d8590c8aafebdp-10, -0x1.d07891190be4ep-10, -0x1.c8b5c703d098bp-10, -0x1.c11072e84f145p-10, -0x1.b9885002a9535p-10, -0x1.b21d0f600f059p-10, -0x1.aace57a1fd80ep-10, -0x1.a39bc555c9aacp-10, -0x1.9c84ebdcaa72ep-10, -0x1.958956d753792p-10, -0x1.8ea88bfd7c292p-10, -0x1.87e20d434964fp-10, -0x1.81355b2af01d1p-10, -0x1.7aa1f71b4a8a8p-10, -0x1.74276598cc39dp-10, -0x1.6dc5303d17d59p-10, -0x1.677ae755c0037p-10, -0x1.61482311a0edcp-10, -0x1.5b2c84372cd07p-10, -0x1.5527b460d0d45p-10, -0x1.4f3965c90c105p-10, -0x1.496152b83d7f5p-10, -0x1.439f3cac19318p-10, -0x1.3df2eb530bf91p-10, -0x1.385c2b758a841p-10, -0x1.32dacde1c9743p-10, -0x1.2d6ea665dcc9bp-10, -0x1.28178adcd3cfep-10, -0x1.22d552499ebcdp-10, -0x1.1da7d3f69b84p-10, -0x1.188ee68f73ffdp-10, -0x1.138a5f3050abfp-10, -0x1.0e9a106c98856p-10, -0x1.09bdc9589c832p-10, -0x1.04f554ab44c8ap-10, -0x1.0040780f58ec2p-10, -0x1.f73de780f1477p-11, -0x1.ee210509e5aadp-11, -0x1.e529b4253b9ap-11, -0x1.dc5757be342bep-11, -0x1.d3a94ca415004p-11, -0x1.cb1eec8812249p-11, -0x1.c2b7915d35ebdp-11, -0x1.ba7298d1c26fcp-11, -0x1.b24f678ed882bp-11, -0x1.aa4d6be939ea7p-11, -0x1.a26c1fb0b7068p-11, -0x1.9aab08d818c55p-11, -0x1.9309b8d122c2ep-11, -0x1.8b87ca9c329e3p-11, -0x1.8424dfbfaf607p-11, -0x1.7ce09c8828b53p-11, -0x1.75baa41955378p-11, -0x1.6eb294e6766d6p-11, -0x1.67c8062373147p-11, -0x1.60fa8699aebe5p-11, -0x1.5a499d1421bcp-11, -0x1.53b4ca55badc5p-11, -0x1.4d3b8c455b90cp-11, -0x1.46dd61cf704f1p-11, -0x1.4099cedd6e59bp-11, -0x1.3a705fc7c80ffp-11, -0x1.3460abbffc8acp-11, -0x1.2e6a55e2c797bp-11, -0x1.288d0cd897925p-11, -0x1.22c8891cf0afbp-11, -0x1.1d1c8a34359abp-11, -0x1.1788d332689fep-11, -0x1.120d2705f8ceep-11, -0x1.0ca944fd2e007p-11, -0x1.075ce5fd6a2cbp-11, -0x1.0227bad5f5bf4p-11, -0x1.fa12d8070052fp-12, -0x1.f003362340afp-12, -0x1.e61fcb18d55dbp-12, -0x1.dc67d25a21ad4p-12, -0x1.d2da91400a851p-12, -0x1.c977601e7d7b1p-12, -0x1.c03db10f1ed63p-12, -0x1.b72d12e438fa9p-12, -0x1.ae452f590e95ep-12, -0x1.a585c47146a06p-12, -0x1.9cee99eab33f9p-12, -0x1.947f7465490abp-12, -0x1.8c380857c4691p-12, -0x1.8417eee46f2dap-12, -0x1.7c1e9e3738a45p-12, -0x1.744b665a2990cp-12, -0x1.6c9d729e93959p-12, -0x1.6513cefa87962p-12, -0x1.5dad704d2263cp-12, -0x1.56693e5c34a04p-12, -0x1.4f461e8cc18ecp-12, -0x1.4842fe9c77d77p-12, -0x1.415ededdb385dp-12, -0x1.3a98db8454b0bp-12, -0x1.33f0346d64ff4p-12, -0x1.2d64528ccadd9p-12, -0x1.26f4ca0abf86dp-12, -0x1.20a1582355104p-12, -0x1.1a69dc4782004p-12, -0x1.144e4cc8b4d64p-12, -0x1.0e4ea841763a6p-12, -0x1.086ae5e436295p-12, -0x1.02a2e76f02b31p-12, -0x1.f9ecdf0a095a3p-13, -0x1.eeca3cf62b5cep-13, -0x1.e3dcecafb76b9p-13, -0x1.d923ca4f791bap-13, -0x1.ce9da6ac596ecp-13, -0x1.c44965bd138f3p-13, -0x1.ba26183118553p-13, -0x1.b0330b454bba7p-13, -0x1.a66fcc2cac1c5p-13, -0x1.9cdc1f10766dfp-13, -0x1.9377ebe8ade52p-13, -0x1.8a4325373da67p-13, -0x1.813dadabc3959p-13, -0x1.786741d27e8ddp-13, -0x1.6fbf69f2e9b55p-13, -0x1.6745762d0bc2fp-13, -0x1.5ef884448ada1p-13, -0x1.56d78c2b8c093p-13, -0x1.4ee16eed4806ep-13, -0x1.471503942bc2dp-13, -0x1.3f711eecdbab5p-13, -0x1.37f4951ee8349p-13, -0x1.309e36705239cp-13, -0x1.296cca7668146p-13, -0x1.225f0dee27a4p-13, -0x1.1b73b704e9805p-13, -0x1.14a9820f3d445p-13, -0x1.0dff45d20524fp-13, -0x1.07740b668e7cap-13, -0x1.0107235f018fcp-13, -0x1.f570625beb13ap-14, -0x1.e90e4ed99ab95p-14, -0x1.dce866e75a11p-14, -0x1.d0ff377b74b4fp-14, -0x1.c553323bad44bp-14, -0x1.b9e469e5a103ep-14, -0x1.aeb26a71d3f72p-14, -0x1.a3bc35d0a3a02p-14, -0x1.9900626a7p-14, -0x1.8e7d4ef917fc1p-14, -0x1.84315b7e69e59p-14, -0x1.7a1b198b15e6cp-14, -0x1.70396be7bf88p-14, -0x1.668b92f31c33dp-14, -0x1.5d112595c0a0dp-14, -0x1.53c9f7e9b673ap-14, -0x1.4ab5f380b2df8p-14, -0x1.41d4e9f9d561dp-14, -0x1.39266e7c4e8e9p-14, -0x1.30a9c1b742cfdp-14, -0x1.285dd561b6d61p-14, -0x1.20416373cd001p-14, -0x1.18530f1fce197p-14, -0x1.1091849e51083p-14, -0x1.08fb9039c8b7cp-14, -0x1.019029e9c71f9p-14, -0x1.f49ced279e21fp-15, -0x1.e66b834fe8aa5p-15, -0x1.d88ae32d6c96cp-15, -0x1.caf9f1571849bp-15, -0x1.bdb786c209cd3p-15, -0x1.b0c24bd03725bp-15, -0x1.a418984181804p-15, -0x1.97b8612883707p-15, -0x1.8b9f3daf86f77p-15, -0x1.7fca86cd44e28p-15, -0x1.74378e2785af2p-15, -0x1.68e3e08c86e14p-15, -0x1.5dcd839fa35eep-15, -0x1.52f31e005b152p-15, -0x1.4853fd2cdefe4p-15, -0x1.3deff4ecf55f8p-15, -0x1.33c72034cf44p-15, -0x1.29d99716ab3d5p-15, -0x1.20273111d6fb8p-15, -0x1.16af62e58773bp-15, -0x1.0d7138c34e26cp-15, -0x1.046b64b78c8ffp-15, -0x1.f738b7c6e08b2p-16, -0x1.e60508e042c14p-16, -0x1.d538e6e221534p-16, -0x1.c4d251c1e6b2p-16, -0x1.b4d0510fc0faep-16, -0x1.a532ade815f7fp-16, -0x1.95f947ff5febcp-16, -0x1.87235cb18e0fbp-16, -0x1.78af1e8a47eccp-16, -0x1.6a99c43071b05p-16, -0x1.5cdff0021b0cep-16, -0x1.4f7e30601d5e1p-16, -0x1.4271638a41abcp-16, -0x1.35b6e953d8116p-16, -0x1.294ca79f198d9p-16, -0x1.1d30f27f7ff62p-16, -0x1.1162691c69f8p-16, -0x1.05dfd3a0ae858p-16, -0x1.f55012a8c24cep-17, -0x1.df73c44c92fdbp-17, -0x1.ca28677f2f457p-17, -0x1.b56baf0756944p-17, -0x1.a13b68285ce1ep-17, -0x1.8d9586aef53b6p-17, -0x1.7a781df3f5947p-17, -0x1.67e141dc9d164p-17, -0x1.55ced648df337p-17, -0x1.443e5b7345887p-17, -0x1.332cc52a63036p-17, -0x1.229661df1def1p-17, -0x1.1276d1f46921ep-17, -0x1.02c91bd1edfbcp-17, -0x1.e70ffab832182p-18, -0x1.c95d26ae1832fp-18, -0x1.ac7268c20cbep-18, -0x1.904c2b71a5888p-18, -0x1.74ea9004c5b5bp-18, -0x1.5a4fd568b555p-18, -0x1.407dc67327dd8p-18, -0x1.2773569fb92b6p-18, -0x1.0f2b9be4088a8p-18, -0x1.ef3d99d24ae79p-19, -0x1.c189b7a3dc157p-19, -0x1.9530456c66e45p-19, -0x1.6a2cb11225d03p-19, -0x1.407e772bc3048p-19, -0x1.18244971fa8f3p-19, -0x1.e2316d9637224p-20, -0x1.96a41cc698b49p-20, -0x1.4d88f61cbce3ep-20, -0x1.06c8b1133b65dp-20, -0x1.849e2e7299bbep-21, -0x1.0017135d45a04p-21, -0x1.ff822d4c11cbcp-23, -0x1.f15240ad82195p-28, 0x1.cfe33e96ea153p-23, 0x1.cf8edcaaff74fp-22, 0x1.579ee81321bb8p-21, 0x1.c39541f8fd996p-21, 0x1.15e06bcd3e2e6p-20, 0x1.481c1a1ee7963p-20, 0x1.7888e7f9fe1a5p-20, 0x1.a731dcd68445p-20, 0x1.d4219ebf8e7cep-20, 0x1.ff625026332a2p-20, 0x1.147ec4c59ca0fp-19, 0x1.287e3f63a920cp-19, 0x1.3bb429f68c5ccp-19, 0x1.4e2547dc5f5e5p-19, 0x1.5fd6bfdf32c8cp-19, 0x1.70ce2bc680b32p-19, 0x1.8111752029542p-19, 0x1.90a68ad670623p-19, 0x1.9f931136031edp-19, 0x1.addc1aa6cabp-19, 0x1.bb85c221f1d8bp-19, 0x1.c89289e3c08e9p-19, 0x1.d502ffb207acap-19, 0x1.e0d6bd212f95fp-19, 0x1.ec0f0c68e34bbp-19, 0x1.f6b164fa30082p-19, 0x1.00638afda4a44p-18, 0x1.052cc6d609692p-18, 0x1.09b6fa749372ap-18, 0x1.0e0204ac18c38p-18, 0x1.120cdbd75122fp-18, 0x1.15d838722a944p-18, 0x1.196783036763ap-18, 0x1.1cbf33745ebap-18, 0x1.1fe28cb25b11ap-18, 0x1.22d2d13add9a1p-18, 0x1.259003e02458fp-18, 0x1.281a02d761071p-18, 0x1.2a71297ec0402p-18, 0x1.2c966a18d132ep-18, 0x1.2e8b23b93b32fp-18, 0x1.3050ed1e37488p-18, 0x1.31e96c7e8c232p-18, 0x1.33563facb0f7p-18, 0x1.3498f0553fee3p-18, 0x1.35b2efc604d1ap-18, 0x1.36a596e2089bap-18, 0x1.377228777c39cp-18, 0x1.3819d4fadfa3p-18, 0x1.389dbeeaaa10bp-18, 0x1.38feff0b97b2dp-18, 0x1.393ea74466a4dp-18, 0x1.395dc28971ec7p-18, 0x1.395d50d83c491p-18, 0x1.393e4002a345ap-18, 0x1.390164f5db7dcp-18, 0x1.38a77bf17ac22p-18, 0x1.3831369daecp-18, 0x1.379f5a8c02fd1p-18, 0x1.36f2e9eb01fa4p-18, 0x1.362d4596a4384p-18, 0x1.35502fa8f63a8p-18, 0x1.345d9c704c455p-18, 0x1.33575b2cabc7bp-18, 0x1.323ed49949edap-18, 0x1.311535c3c75ddp-18, 0x1.2fdbf49898d09p-18, 0x1.2e94aa881136ep-18, 0x1.2d3f20ce2aedbp-18, 0x1.2bd70d09c3a45p-18, 0x1.2a5631e5ed78p-18, 0x1.28bb96a7a4a06p-18, 0x1.270ec783054b4p-18, 0x1.255814267502cp-18, 0x1.2396780e03ad9p-18, 0x1.21c161018caa6p-18, 0x1.1fd5498a83c94p-18, 0x1.1dd9fa4bc2d49p-18, 0x1.1bda10fc77197p-18, 0x1.19d911771c35ap-18, 0x1.17d39a58d221ep-18, 0x1.15c4f28cacdbdp-18, 0x1.13aa67f6409aep-18, 0x1.118380c50f5e5p-18, 0x1.0f5101d303bd3p-18, 0x1.0d1419062d2e7p-18, 0x1.0acdf08b421b8p-18, 0x1.087f8a7e31b97p-18, 0x1.0629be3683ddp-18, 0x1.03cd405d92d14p-18, 0x1.016aabcd52cb3p-18, 0x1.fe05100b5d7d7p-19, 0x1.f92a99c77131ap-19, 0x1.f446c8bb4361ap-19, 0x1.ef5a5685f5f85p-19, 0x1.ea65e3f5a58b9p-19, 0x1.e569fc1a6cb2bp-19, 0x1.e06719ab2f747p-19, 0x1.db5daf0f9c16p-19, 0x1.d64e3032e92e5p-19, 0x1.d1391c521c99dp-19, 0x1.cc1f00c57af66p-19, 0x1.c7009cf7f33b3p-19, 0x1.c1de65f662249p-19, 0x1.bcb95f4c6b33p-19, }}, 
      {{-0x1.e62e1d054326ap-1, -0x1.c4e2fecb86732p-1, -0x1.9eb39e6be1af5p-1, -0x1.7a70a2a1842cep-1, -0x1.5b235ada343acp-1, -0x1.41ad96292809ep-1, -0x1.2dcdf3aeb75fp-1, -0x1.1ebb9795fc365p-1, -0x1.137f9c8fa88cep-1, -0x1.0b25bfa528544p-1, -0x1.04d47c132a3d1p-1, -0x1.ffad7d90ea644p-2, -0x1.f73b08ea881ap-2, -0x1.ef7a7b2208627p-2, -0x1.e7d2910666792p-2, -0x1.dfdda207b868dp-2, -0x1.d75f909131e2fp-2, -0x1.ce3c9742f0a57p-2, -0x1.c47139a1acae2p-2, -0x1.ba0b69b75d05bp-2, -0x1.af24d8f4e78f1p-2, -0x1.a3de5d52cc8fep-2, -0x1.985c4dfde5315p-2, -0x1.8cc3b91c8c27ep-2, -0x1.81385476902bdp-2, -0x1.75db0bcee5ea8p-2, -0x1.6ac911576ca4ap-2, -0x1.601b56accd28cp-2, -0x1.55e6572c5c1e5p-2, -0x1.4c3a1f461955cp-2, -0x1.43227f6aedde6p-2, -0x1.3aa75c3e02cbep-2, -0x1.32cd10974204ep-2, -0x1.2b94d881238adp-2, -0x1.24fd3ea5825a5p-2, -0x1.1f02877f95afap-2, -0x1.199f172c4a6b7p-2, -0x1.14cbcfe8db2bcp-2, -0x1.1080682dd9397p-2, -0x1.0cb3b7f6a6fe8p-2, -0x1.095bfd391bbfcp-2, -0x1.066f17d5f0e8cp-2, -0x1.03e2bd72c3d81p-2, -0x1.01aca5c4773fap-2, -0x1.ff855fcca0f3p-3, -0x1.fc3602a34dc7bp-3, -0x1.f9583de94c8ecp-3, -0x1.f6da022f6b5cbp-3, -0x1.f4aa44fb90f55p-3, -0x1.f2b916fd39f1ap-3, -0x1.f0f7b27b454b8p-3, -0x1.ef5882fb85779p-3, -0x1.edcf28c388aa3p-3, -0x1.ec5075a48c01dp-3, -0x1.ead2693a2df4ap-3, -0x1.e94c24c4da9e3p-3, -0x1.e7b5e2984c352p-3, -0x1.e608e5d2543c2p-3, -0x1.e43f6f086f529p-3, -0x1.e254aa7b74bbfp-3, -0x1.e044a1cc22675p-3, -0x1.de0c2a8220bffp-3, -0x1.dba8d6e645205p-3, -0x1.d918e6696b133p-3, -0x1.d65b371502a55p-3, -0x1.d36f373ad7877p-3, -0x1.d054d7a4390ffp-3, -0x1.cd0c7e48f4505p-3, -0x1.c996f9b1a05dbp-3, -0x1.c5f57516b2f9p-3, -0x1.c2296d37b5b7dp-3, -0x1.be34a5da1a09dp-3, -0x1.ba191fdb2009cp-3, -0x1.b5d90fc9814f5p-3, -0x1.b176d5042c61dp-3, -0x1.acf4f1645d1f7p-3, -0x1.a856017a889afp-3, -0x1.a39cb5636384ep-3, -0x1.9ecbca34d6444p-3, -0x1.99e603fd771e6p-3, -0x1.94ee284eb78e8p-3, -0x1.8fe6f9482b2d6p-3, -0x1.8ad3311d3247dp-3, -0x1.85b57e0fa327p-3, -0x1.80907edc56001p-3, -0x1.7b66bf98ffc35p-3, -0x1.763ab6ff55c66p-3, -0x1.710ec4263bcbep-3, -0x1.6be52ca061df5p-3, -0x1.66c01afed605cp-3, -0x1.61a19dab50ffap-3, -0x1.5c8ba617ab46cp-3, -0x1.57800834532d2p-3, -0x1.52807a2d6de7dp-3, -0x1.4d8e945eff8bcp-3, -0x1.48abd18329b73p-3, -0x1.43d98f0ac60d9p-3, -0x1.3f190da4e0555p-3, -0x1.3a6b71e6a7219p-3, -0x1.35d1c518123b4p-3, -0x1.314cf6181c099p-3, -0x1.2cddda5afe80ap-3, -0x1.28852ef8beafbp-3, -0x1.244399c8cebeap-3, -0x1.2019aa88e0cdep-3, -0x1.1c07dc048f95ap-3, -0x1.180e95425441bp-3, -0x1.142e2aaab76fep-3, -0x1.1066df2c6703ep-3, -0x1.0cb8e55990d3ap-3, -0x1.0924607984197p-3, -0x1.05a96594e7c14p-3, -0x1.0247fc709cd79p-3, -0x1.fe004103f79b8p-4, -0x1.f7a383a873aadp-4, -0x1.f1798bbe232cdp-4, -0x1.eb8210af4e0f9p-4, -0x1.e5bcb7d7dfef6p-4, -0x1.e02915f443f8dp-4, -0x1.dac6b0744fd04p-4, -0x1.d594fead76d4ap-4, -0x1.d0936b10d307dp-4, -0x1.cbc15433b6f94p-4, -0x1.c71e0dd046fe9p-4, -0x1.c2a8e1c56b4cdp-4, -0x1.be6110e34ecbep-4, -0x1.ba45d3c7a5153p-4, -0x1.b6565bad6ce7dp-4, -0x1.b291d30cffe17p-4, -0x1.aef75e5c91b92p-4, -0x1.ab861cba80b8bp-4, -0x1.a83d286c65b0cp-4, -0x1.a51b9789cdff4p-4, -0x1.a2207c8e34e1fp-4, -0x1.9f4ae6bdbc547p-4, -0x1.9c99e2bd0d8dap-4, -0x1.9a0c7b1770a1bp-4, -0x1.97a1b88dbffeap-4, -0x1.9558a29973508p-4, -0x1.93303ff1593adp-4, -0x1.912796c88618p-4, -0x1.8f3dad347f821p-4, -0x1.8d7189b66bf4fp-4, -0x1.8bc23376fbac6p-4, -0x1.8a2eb283e6d51p-4, -0x1.88b6105526a42p-4, -0x1.8757581d974edp-4, -0x1.861196dfa71ccp-4, -0x1.84e3dbcde5e42p-4, -0x1.83cd38c044d36p-4, -0x1.82ccc244f552ap-4, -0x1.81e18fb6031ebp-4, -0x1.810abbb011ff6p-4, -0x1.8047645da740ap-4, -0x1.7f96ab5aeb7bap-4, -0x1.7ef7b5d5350d7p-4, -0x1.7e69ad0645bd4p-4, -0x1.7debbe58408dp-4, -0x1.7d7d1b27c7c9p-4, -0x1.7d1cf8e29a2c8p-4, -0x1.7cca9182b191ep-4, -0x1.7c85239cd2346p-4, -0x1.7c4bf20310bd7p-4, -0x1.7c1e43ce38875p-4, -0x1.7bfb64dac0e47p-4, -0x1.7be2a5de0ebcfp-4, -0x1.7bd35bee618ddp-4, -0x1.7bcce05bd9a67p-4, -0x1.7bce9126dba02p-4, -0x1.7bd7d13da67b9p-4, -0x1.7be808042fea7p-4, -0x1.7bfea0e4c28a9p-4, -0x1.7c1b0b9a3a8fap-4, -0x1.7c3cbca6f78cdp-4, -0x1.7c632d183c742p-4, -0x1.7c8dd9db6d4abp-4, -0x1.7cbc439e9f433p-4, -0x1.7cedef5515989p-4, -0x1.7d2266723e291p-4, -0x1.7d59365cf2ba9p-4, -0x1.7d91efd2a3637p-4, -0x1.7dcc27078ce13p-4, -0x1.7e077434e80ecp-4, -0x1.7e4373a40b4cfp-4, -0x1.7e7fc505c0999p-4, -0x1.7ebc0aea11abcp-4, -0x1.7ef7eaf7c7944p-4, -0x1.7f330e7722ad7p-4, -0x1.7f6d225409dd2p-4, -0x1.7fa5d6797e16ep-4, -0x1.7fdcdd4ad057ep-4, -0x1.8011ebcdb558ap-4, -0x1.8044ba30dacafp-4, -0x1.807503e9b1905p-4, -0x1.80a2872d5db0ep-4, -0x1.80cd045d5e99bp-4, -0x1.80f43e05b71d1p-4, -0x1.8117f95370c14p-4, -0x1.8137fe61905cep-4, -0x1.815417ef56546p-4, -0x1.816c12cb0c355p-4, -0x1.817fbd91084fp-4, -0x1.818ee8f1c0732p-4, -0x1.8199681ecc44ep-4, -0x1.819f10d931a0cp-4, -0x1.819fbb0664b31p-4, -0x1.819b403ba7096p-4, -0x1.81917baf6e1dp-4, -0x1.81824a8ceaa06p-4, -0x1.816d8c486f64fp-4, -0x1.81532294c0036p-4, -0x1.8132f0fd6158bp-4, -0x1.810cdc89fc027p-4, -0x1.80e0cbb9f1b7ep-4, -0x1.80aea6cbb68dcp-4, -0x1.80765803e1375p-4, -0x1.8037cba93421fp-4, -0x1.7ff2efb3e3907p-4, -0x1.7fa7b37b17c51p-4, -0x1.7f5607a306c4fp-4, -0x1.7efdde4c4652bp-4, -0x1.7e9f2b53362d5p-4, -0x1.7e39e462b015p-4, -0x1.7dce00c38ef81p-4, -0x1.7d5b79134c9b1p-4, -0x1.7ce2471cb9e73p-4, -0x1.7c6265e623362p-4, -0x1.7bdbd1df55a18p-4, -0x1.7b4e8906432a7p-4, -0x1.7aba8addf46cfp-4, -0x1.7a1fd83b02e25p-4, -0x1.797e730efe0f8p-4, -0x1.78d65e545823ap-4, -0x1.78279e1d175a5p-4, -0x1.777237b24f07dp-4, -0x1.76b631a86caddp-4, -0x1.75f393d1676d4p-4, -0x1.752a6712bc835p-4, -0x1.745ab53d45b5ep-4, -0x1.738488fbdd8a2p-4, -0x1.72a7edd8fdc7cp-4, -0x1.71c4f05127e47p-4, -0x1.70db9de1600a4p-4, -0x1.6fec05000943cp-4, -0x1.6ef634ff2a0c5p-4, -0x1.6dfa3deb5b7b6p-4, -0x1.6cf830781ddb1p-4, -0x1.6bf01dfbd4ebap-4, -0x1.6ae21876f456ap-4, -0x1.69ce329ecd2c8p-4, -0x1.68b47fdf9cc78p-4, -0x1.6795144d2c5e3p-4, -0x1.66700488ed285p-4, -0x1.654565ac35faep-4, -0x1.64154d3cc41c3p-4, -0x1.62dfd129cd7c5p-4, -0x1.61a507cf5b349p-4, -0x1.606507fb6e4e4p-4, -0x1.5f1fe8ec55804p-4, -0x1.5dd5c242d42eap-4, -0x1.5c86abee45385p-4, -0x1.5b32be1c8691ap-4, -0x1.59da113085a35p-4, -0x1.587cbdbd8fdbp-4, -0x1.571adc86d23f2p-4, -0x1.55b486816f5afp-4, -0x1.5449d4d3cdea7p-4, -0x1.52dae0ccd470fp-4, -0x1.5167c3d55d7c3p-4, -0x1.4ff097632fa2fp-4, -0x1.4e7574f06ec38p-4, -0x1.4cf675f622cc2p-4, -0x1.4b73b3e91667dp-4, -0x1.49ed48399da51p-4, -0x1.48634c5471282p-4, -0x1.46d5d9a014d57p-4, -0x1.4545097492f31p-4, -0x1.43b0f511307fap-4, -0x1.4219b594b5f1ep-4, -0x1.407f63f879f27p-4, -0x1.3ee2190cbc716p-4, -0x1.3d41ed766167dp-4, -0x1.3b9ef9aed2ef4p-4, -0x1.39f95604e8c57p-4, -0x1.38511a9b94f1ap-4, -0x1.36a65f64a92dbp-4, -0x1.34f93c1a2f9fep-4, -0x1.3349c8399868ep-4, -0x1.31981b00dc93p-4, -0x1.2fe44b6c4cb46p-4, -0x1.2e2e7034e1928p-4, -0x1.2c769fcfeaaebp-4, -0x1.2abcf0701fa83p-4, -0x1.2901780646d4dp-4, -0x1.27444c3f63c41p-4, -0x1.25858280e9defp-4, -0x1.23c52fe56bef3p-4, -0x1.2203693aebb4ep-4, -0x1.2040430201b12p-4, -0x1.1e7bd16d17c3ep-4, -0x1.1cb6285ff72c6p-4, -0x1.1aef5b7060885p-4, -0x1.19277de78777bp-4, -0x1.175ea2c32647dp-4, -0x1.1594dcb4de913p-4, -0x1.13ca3e206ffe9p-4, -0x1.11fed91a68778p-4, -0x1.1032bf6801781p-4, -0x1.0e66027f804b9p-4, -0x1.0c98b38887da6p-4, -0x1.0acae35c766e3p-4, -0x1.08fca28751f5p-4, -0x1.072e01496e0afp-4, -0x1.055f0f992fbe5p-4, -0x1.038fdd23f8c5p-4, -0x1.01c0794dfcbc9p-4, -0x1.ffe1e664008p-5, -0x1.fc42b3439a07p-5, -0x1.f8a3764e7c92cp-5, -0x1.f5044c0ab4b76p-5, -0x1.f165507293c9ap-5, -0x1.edc69ef6b027bp-5, -0x1.ea285280aa306p-5, -0x1.e68a8576c99c6p-5, -0x1.e2ed51bf920bbp-5, -0x1.df50d0c419dc7p-5, -0x1.dbb51b711374fp-5, -0x1.d81a4a37c5aa8p-5, -0x1.d480750ffa18cp-5, -0x1.d0e7b37a8b8f6p-5, -0x1.cd501c8405098p-5, -0x1.c9b9c6c6f667dp-5, -0x1.c624c86e17e87p-5, -0x1.c2913736be319p-5, -0x1.beff2873b3b0cp-5, -0x1.bb6eb110758c5p-5, -0x1.b7dfe593d8963p-5, -0x1.b452da21cfe07p-5, -0x1.b0c7a27caa1acp-5, -0x1.ad3e5206ae488p-5, -0x1.a9b6fbc42a1c9p-5, -0x1.a631b25daa8dcp-5, -0x1.a2ae8822140c5p-5, -0x1.9f2d8f088975ep-5, -0x1.9baed8b22aec8p-5, -0x1.9832766c03d41p-5, -0x1.94b8793138245p-5, -0x1.9140f1ad5543cp-5, -0x1.8dcbf03e46b4bp-5, -0x1.8a5984f5aaaa6p-5, -0x1.86e9bf99d8292p-5, -0x1.837cafa6f3927p-5, -0x1.801264505e52ap-5, -0x1.7caaec824b254p-5, -0x1.794656e339b8fp-5, -0x1.75e4b1d556e18p-5, -0x1.72860b77b183p-5, -0x1.6f2a71a7589e5p-5, -0x1.6bd1f2008f884p-5, -0x1.687c99e00f7f7p-5, -0x1.652a76644f3d2p-5, -0x1.61db946e8427ep-5, -0x1.5e9000a36052ap-5, -0x1.5b47c76bb3a18p-5, -0x1.5802f4f527ac3p-5, -0x1.54c19533192ebp-5, -0x1.5183b3df70112p-5, -0x1.4e495c7b5a967p-5, -0x1.4b129a4fe0144p-5, -0x1.47df786e68c29p-5, -0x1.44b001b13778cp-5, -0x1.418440bbfb578p-5, -0x1.3e5c3ffc6dc2dp-5, -0x1.3b3809ab07ef6p-5, -0x1.3817a7cb9161ep-5, -0x1.34fb242d778a7p-5, -0x1.31e2886bf9c02p-5, -0x1.2ecdddee4c15cp-5, -0x1.2bbd2de7c625bp-5, -0x1.28b081582c40ap-5, -0x1.25a7e10be9d59p-5, -0x1.22a3559c5cbd5p-5, -0x1.1fa2e77017ba3p-5, -0x1.1ca69ebb184cap-5, -0x1.19ae837efb7a8p-5, -0x1.16ba9d8b24dcbp-5, -0x1.13caf47ce1747p-5, -0x1.10df8fbf8377p-5, -0x1.0df8768c738b3p-5, -0x1.0b15afeb32318p-5, -0x1.083742b143021p-5, -0x1.055d35823c81cp-5, -0x1.02878ecfdf011p-5, -0x1.ff6ca9b46cc58p-6, -0x1.f9d31b5f79e23p-6, -0x1.f4427e5aeb82ap-6, -0x1.eebaddfdc6674p-6, -0x1.e93c453c116b1p-6, -0x1.e3c6bea6a7c68p-6, -0x1.de5a546b1d9d8p-6, -0x1.d8f71053c925dp-6, -0x1.d39cfbc7d4f23p-6, -0x1.ce4c1fcb9193ap-6, -0x1.c9048500b70a8p-6, -0x1.c3c633a69ba9bp-6, -0x1.be91339a4ed45p-6, -0x1.b9658c56b7f3cp-6, -0x1.b44344f4972c3p-6, -0x1.af2a642a8fea6p-6, -0x1.aa1af04d3209cp-6, -0x1.a514ef4f07e73p-6, -0x1.a01866c0bd151p-6, -0x1.9b255bd1656dap-6, -0x1.963bd34ed2ecbp-6, -0x1.915bd1a5fbb86p-6, -0x1.8c855ae37276p-6, -0x1.87b872b3cdbaep-6, -0x1.82f51c6403876p-6, -0x1.7e3b5ae1d658fp-6, -0x1.798b30bc045p-6, -0x1.74e4a0228d8e4p-6, -0x1.7047aae6fbfd3p-6, -0x1.6bb4527cc24dep-6, -0x1.672a97f9b7d2p-6, -0x1.62aa7c16be8e1p-6, -0x1.5e33ff306fa07p-6, -0x1.59c72147d66fdp-6, -0x1.5563e2032df6p-6, -0x1.510a40ae8ff7ap-6, -0x1.4cba3c3c98f99p-6, -0x1.4873d34703111p-6, -0x1.4437040f36d9p-6, -0x1.4003cc7ee6f5ep-6, -0x1.3bda2a28b78fep-6, -0x1.37ba1a48fe6e9p-6, -0x1.33a399c69d1d3p-6, -0x1.2f96a533e705ep-6, -0x1.2b9338cfa0e1fp-6, -0x1.27995085fb3dp-6, -0x1.23a8e7f19d27bp-6, -0x1.1fc1fa5ca0d77p-6, -0x1.1be482c1866bbp-6, -0x1.18107bcc1b72p-6, -0x1.1445dfda631cdp-6, -0x1.1084a8fd84d0cp-6, -0x1.0cccd0faa6492p-6, -0x1.091e514bf5964p-6, -0x1.05792321bfc6ap-6, -0x1.01dd3f63813a9p-6, -0x1.fc953d624fdc7p-7, -0x1.f58272c892317p-7, -0x1.ee820f22cc8ep-7, -0x1.e79402125841bp-7, -0x1.e0b83ab33c5c6p-7, -0x1.d9eea79e91e3cp-7, -0x1.d33736ecc208bp-7, -0x1.cc91d637b3793p-7, -0x1.c5fe729d1979ap-7, -0x1.bf7cf8c0a56f5p-7, -0x1.b90d54ce7a911p-7, -0x1.b2af727d9d5eep-7, -0x1.ac633d128377ep-7, -0x1.a6289f61cc412p-7, -0x1.9fff83d2ece17p-7, -0x1.99e7d462e0765p-7, -0x1.93e17aa6f8a7p-7, -0x1.8dec5fcf5e003p-7, -0x1.88086ca9b91ebp-7, -0x1.823589a3a4f81p-7, -0x1.7c739ecd37a72p-7, -0x1.76c293db4d4c4p-7, -0x1.7122502a17e35p-7, -0x1.6b92babf7b075p-7, -0x1.6613ba4dacac3p-7, -0x1.60a53535a8cefp-7, -0x1.5b471189f55edp-7, -0x1.55f9351130ab1p-7, -0x1.50bb8548e1f63p-7, -0x1.4b8de7681a3p-7, -0x1.46704062148aep-7, -0x1.416274e8dfa75p-7, -0x1.3c64696fd360cp-7, -0x1.3776022e0f9c5p-7, -0x1.32972320e46eep-7, -0x1.2dc7b00e2592ep-7, -0x1.29078c868d593p-7, -0x1.24569be818251p-7, -0x1.1fb4c1604f279p-7, -0x1.1b21dfeec752cp-7, -0x1.169dda6772fbp-7, -0x1.122893751dd53p-7, -0x1.0dc1ed9bded29p-7, -0x1.0969cb3b808f3p-7, -0x1.05200e91e2da7p-7, -0x1.00e499bd5872ep-7, -0x1.f96e9d7dd4e25p-8, -0x1.f1301ef926c8ep-8, -0x1.e90d7b86f1368p-8, -0x1.e1067693e40b5p-8, -0x1.d91ad363618bdp-8, -0x1.d14a551366bddp-8, -0x1.c994bea0daca1p-8, -0x1.c1f9d2eb492f6p-8, -0x1.ba7954b93e5f5p-8, -0x1.b31306bc03119p-8, -0x1.abc6ab93d5b13p-8, -0x1.a49405d3dcdb6p-8, -0x1.9d7ad8060af36p-8, -0x1.967ae4af171a4p-8, -0x1.8f93ee524d0ebp-8, -0x1.88c5b77530dbbp-8, -0x1.821002a32fc2p-8, -0x1.7b72927117b57p-8, -0x1.74ed298083506p-8, -0x1.6e7f8a83301a5p-8, -0x1.6829783e24ad1p-8, -0x1.61eab58ceb65bp-8, -0x1.5bc30564b529p-8, -0x1.55b22ad75116dp-8, -0x1.4fb7e916585p-8, -0x1.49d403760c9dp-8, -0x1.44063d706735fp-8, -0x1.3e4e5aa7f5707p-8, -0x1.38ac1eeabf47bp-8, -0x1.331f4e350afd1p-8, -0x1.2da7acb4322cap-8, -0x1.2844fec926a92p-8, -0x1.22f7090b2f133p-8, -0x1.1dbd904a3c6bbp-8, -0x1.189859916b8efp-8, -0x1.13872a294051ap-8, -0x1.0e89c799f7fa6p-8, -0x1.099ff7adae6a4p-8, -0x1.04c9807262564p-8, -0x1.0006283c1affcp-8, -0x1.f6ab6b4d91edfp-9, -0x1.ed6fdf30c6c39p-9, -0x1.e4593a8525f5ep-9, -0x1.db670c499a31p-9, -0x1.d298e41bb6678p-9, -0x1.c9ee523ba7318p-9, -0x1.c166e78f7126p-9, -0x1.b90235a64b5aep-9, -0x1.b0bfcebba0625p-9, -0x1.a89f45ba6a7a6p-9, -0x1.a0a02e3fdb98bp-9, -0x1.98c21c9e5ef77p-9, -0x1.9104a5e0378eep-9, -0x1.89675fc9d5ef9p-9, -0x1.81e9e0dc9fd3dp-9, -0x1.7a8bc058d3b2ep-9, -0x1.734c963ffeb1cp-9, -0x1.6c2bfb56cad19p-9, -0x1.652989272b21cp-9, -0x1.5e44da01c2e93p-9, -0x1.577d89002e8ep-9, -0x1.50d33205fd88ep-9, -0x1.4a4571c2ba8f4p-9, -0x1.43d3e5b30bce6p-9, -0x1.3d7e2c225f531p-9, -0x1.3743e42bf27f5p-9, -0x1.3124adbc3152ap-9, -0x1.2b202992004d3p-9, -0x1.2535f93fd5596p-9, -0x1.1f65bf2cdad76p-9, -0x1.19af1e9601354p-9, -0x1.1411bb8f06f4cp-9, -0x1.0e8d3b036f3dep-9, -0x1.092142b757cadp-9, -0x1.03cd794854747p-9, -0x1.fd230c5c06825p-10, -0x1.f2da2375576ap-10, -0x1.e8bf8a3728c6dp-10, -0x1.ded294b271f49p-10, -0x1.d51298aec84e5p-10, -0x1.cb7eedaa1ba0ep-10, -0x1.c216ecd7fa24p-10, -0x1.b8d9f120f51bp-10, -0x1.afc7572132e96p-10, -0x1.a6de7d275239p-10, -0x1.9e1ec332f54d8p-10, -0x1.95878af31bce4p-10, -0x1.8d1837c5503adp-10, -0x1.84d02eb3cf0aap-10, -0x1.7caed67552e21p-10, -0x1.74b3976bdef36p-10, -0x1.6cdddba503ac9p-10, -0x1.652d0eda1161ap-10, -0x1.5da09e701f0e6p-10, -0x1.5637f979663d2p-10, -0x1.4ef290b5dc265p-10, -0x1.47cfd6943a469p-10, -0x1.40cf3f32bca5ap-10, -0x1.39f0405f9dafdp-10, -0x1.33325198e38b6p-10, -0x1.2c94ec0b6866p-10, -0x1.26178a9159663p-10, -0x1.1fb9a9af04237p-10, -0x1.197ac78f5f70cp-10, -0x1.135a63ff0595fp-10, -0x1.0d58006652fbp-10, -0x1.07731fc2d4108p-10, -0x1.01ab46a04f1f6p-10, -0x1.f7fff621c0643p-11, -0x1.ece1894cdc288p-11, -0x1.e1fa58d68ebfap-11, -0x1.d74979b957ca6p-11, -0x1.ccce03cc4059cp-11, -0x1.c28711bcb60d2p-11, -0x1.b873c10b9590cp-11, -0x1.ae93320ed4a83p-11, -0x1.a4e487f5f96b6p-11, -0x1.9b66e8d20351fp-11, -0x1.92197da075a88p-11, -0x1.88fb7257af111p-11, -0x1.800bf5f47d29cp-11, -0x1.774a3a86224fcp-11, -0x1.6eb5753a1be1ap-11, -0x1.664cde6238443p-11, -0x1.5e0fb178d0a6cp-11, -0x1.55fd2d1d47abp-11, -0x1.4e14930ab96a6p-11, -0x1.465528091883cp-11, -0x1.3ebe33d56f5fap-11, -0x1.374f01060d11dp-11, -0x1.3006dce8395b6p-11, -0x1.28e5175af892bp-11, -0x1.21e902a77362bp-11, -0x1.1b11f359fbf17p-11, -0x1.145f401d6fa1ep-11, -0x1.0dd0419b3500ap-11, -0x1.076452622a231p-11, -0x1.011aced62fc2dp-11, -0x1.f5e62a5364562p-12, -0x1.e9d90ac30691ap-12, -0x1.de0d02c8eb2b9p-12, -0x1.d280da26defe9p-12, -0x1.c7335cd7d503ap-12, -0x1.bc235b60da161p-12, -0x1.b14fab2a8b1bp-12, -0x1.a6b726dce7feap-12, -0x1.9c58aeb741984p-12, -0x1.923328dbd8d6fp-12, -0x1.8845818b44b58p-12, -0x1.7e8eab47c5e82p-12, -0x1.750d9edcb4481p-12, -0x1.6bc15b484e6f7p-12, -0x1.62a8e583e1f2fp-12, -0x1.59c3482fbfe2p-12, -0x1.510f9320e2ee6p-12, -0x1.488cdad803011p-12, -0x1.403a37e9c650fp-12, -0x1.3816c65cc02fep-12, -0x1.3021a50976351p-12, -0x1.2859f501d83abp-12, -0x1.20bed90db5998p-12, -0x1.194f753f913b9p-12, -0x1.120aeeac5937fp-12, -0x1.0af06b494df25p-12, -0x1.03ff11f1e0f53p-12, -0x1.fa6c153028fb4p-13, -0x1.ed28fd3943573p-13, -0x1.e033328f8abf6p-13, -0x1.d38910c0eb243p-13, -0x1.c728f9ab69d72p-13, -0x1.bb1156e204a96p-13, -0x1.af409b0fa9c11p-13, -0x1.a3b5434182ae7p-13, -0x1.986dd7ff0b21cp-13, -0x1.8d68ee26a95bp-13, -0x1.82a52773df9f6p-13, -0x1.782132ad23b43p-13, -0x1.6ddbcb6d3b97p-13, -0x1.63d3b98d972b8p-13, -0x1.5a07d0309c428p-13, -0x1.5076ec7d8e95cp-13, -0x1.471ff41909785p-13, -0x1.3e01d37186a21p-13, -0x1.351b7bf4afd58p-13, -0x1.2c6be245e0f6dp-13, -0x1.23f1fc9145e3cp-13, -0x1.1bacc10dbbc3fp-13, -0x1.139b24c6b5615p-13, -0x1.0bbc1abc0eb08p-13, -0x1.040e9362b5f56p-13, -0x1.f922f9206a5ap-14, -0x1.ea8783967aaa9p-14, -0x1.dc489a0647be2p-14, -0x1.ce640f33768cfp-14, -0x1.c0d7b7726c0f6p-14, -0x1.b3a16bb38b48fp-14, -0x1.a6bf0ccb809eep-14, -0x1.9a2e86c42d62ap-14, -0x1.8dedd404c4d01p-14, -0x1.81fb002a8084p-14, -0x1.76542a67d9f96p-14, -0x1.6af78745e966fp-14, -0x1.5fe361c08f21fp-14, -0x1.55161b9c7bd72p-14, -0x1.4a8e2d0984229p-14, -0x1.404a238b26938p-14, -0x1.3648a03eb9bffp-14, -0x1.2c88559427f6cp-14, -0x1.2308049dad47bp-14, -0x1.19c67a0dcc215p-14, -0x1.10c28b15d3436p-14, -0x1.07fb123df2a7p-14, -0x1.feddd8cab41c3p-15, -0x1.ee39ec0a72b75p-15, -0x1.de0811ba3379fp-15, -0x1.ce45f43bffcf5p-15, -0x1.bef1325b093c4p-15, -0x1.b0075e16c89bdp-15, -0x1.a185fcc8c94c2p-15, -0x1.936a889022f3cp-15, -0x1.85b272f2c965ap-15, -0x1.785b287e109e5p-15, -0x1.6b62152c368bep-15, -0x1.5ec4a93f90f2cp-15, -0x1.52805e49cd611p-15, -0x1.4692bc036acc4p-15, -0x1.3af95cb57d4b1p-15, -0x1.2fb1f0e586641p-15, -0x1.24ba4227aec07p-15, -0x1.1a1034e3ccb51p-15, -0x1.0fb1c911a34c5p-15, -0x1.059d19f3d1dcbp-15, -0x1.f7a0b9d62b79bp-16, -0x1.e493bf2c4fb91p-16, -0x1.d2100ae0f8362p-16, -0x1.c0128a6166d67p-16, -0x1.ae984c397e6f3p-16, -0x1.9d9e7aef82012p-16, -0x1.8d225866f83fap-16, -0x1.7d2139ae5e10ap-16, -0x1.6d9883451a38p-16, -0x1.5e85a5a28ecfcp-16, -0x1.4fe619dac4547p-16, -0x1.41b75e4222944p-16, -0x1.33f6f3167c3a1p-16, -0x1.26a2575757c5bp-16, -0x1.19b7060e29d2p-16, -0x1.0d32744085e4cp-16, -0x1.0112100673198p-16, -0x1.eaa681b3e0cdbp-17, -0x1.d3e6d296dae4ep-17, -0x1.bddfd42f6acadp-17, -0x1.a88c4cdc2eba8p-17, -0x1.93e71224138afp-17, -0x1.7feb13faee6fep-17, -0x1.6c9367f4a1b79p-17, -0x1.59db535c142f8p-17, -0x1.47be531198f4p-17, -0x1.3638202f649dp-17, -0x1.2544b09f02877p-17, -0x1.14e0336ca3ebap-17, -0x1.050708ceb2799p-17, -0x1.eb6b6de10a75ep-18, -0x1.cdd1b96b38484p-18, -0x1.b13a48cdef2aap-18, -0x1.959e7033b5c3bp-18, -0x1.7af77340c9b8ep-18, -0x1.613e7e5ad7e0ep-18, -0x1.486caa4eca80bp-18, -0x1.307b09a369251p-18, -0x1.1962bcff2e0fdp-18, -0x1.031d0b8845d48p-18, -0x1.db46f60eddde9p-19, -0x1.b1dfc8435f77ap-19, -0x1.89f8ff6711364p-19, -0x1.6387d6f8b593ap-19, -0x1.3e824bd5c36ep-19, -0x1.1adf035b9ccbcp-19, -0x1.f12a4cea71a3ap-20, -0x1.af386a3e3e36bp-20, -0x1.6fd7b178769f1p-20, -0x1.32f774b6df237p-20, -0x1.f10d8b05d8ff5p-21, -0x1.80e8a1e10c301p-21, -0x1.155cbc4071b94p-21, -0x1.5c8bc55e23f96p-22, -0x1.2e0080b9363a9p-23, 0x1.317c5cc1ce34ap-25, 0x1.b68e18586b8a2p-23, 0x1.88853bce7af72p-22, 0x1.1711d3b6f5829p-21, 0x1.662b0f47c1e19p-21, 0x1.b1a595a0fdd4dp-21, 0x1.f996a3ddcf76dp-21, 0x1.1f092945d6963p-20, 0x1.3f964e2efe6abp-20, 0x1.5e7d2f207afb9p-20, 0x1.7bc91410ffe1bp-20, 0x1.97866030363e3p-20, 0x1.b1c2a68f12311p-20, 0x1.ca8c91d62892cp-20, 0x1.e1f3a7866a878p-20, 0x1.f807f1fbf17c5p-20, 0x1.066cce8a72921p-19, 0x1.103c47a757029p-19, 0x1.197a037a9eb11p-19, 0x1.222d1f62fd8abp-19, 0x1.2a5c107b529bdp-19, 0x1.320c856873f2p-19, 0x1.3943553f46912p-19, 0x1.40047e6b7017bp-19, 0x1.465338d7847dp-19, 0x1.4c321c3032905p-19, 0x1.51a35737eadeap-19, 0x1.56a8f1e41a918p-19, 0x1.5b45100715d77p-19, 0x1.5f7a294a0009dp-19, 0x1.634b2b91ced9cp-19, 0x1.66bb81793c874p-19, 0x1.69cefb9360492p-19, 0x1.6c89a23d2296ap-19, 0x1.6eef7a7ab841ap-19, 0x1.71044b0673d2p-19, 0x1.72cb6df1d2c93p-19, 0x1.7447b71f73c6ap-19, 0x1.757b73934f6d1p-19, 0x1.76687f8ed1ca8p-19, 0x1.77106e541487ap-19, 0x1.7774bad258cb4p-19, 0x1.7796f7b87ea95p-19, 0x1.7778f5b8b75f4p-19, 0x1.771cd93393406p-19, 0x1.76851cd5a3e1p-19, 0x1.75b4837087bcdp-19, 0x1.74adff0ad49acp-19, 0x1.73749565a3f92p-19, 0x1.720b4962f9c26p-19, 0x1.70750de76d952p-19, 0x1.6eb4c34791d4ep-19, 0x1.6ccd3c5cc45b7p-19, 0x1.6ac145a33a44ep-19, 0x1.6893a7cd05d1bp-19, 0x1.66472078883cp-19, 0x1.63de4ec99b486p-19, 0x1.615b962c006d9p-19, 0x1.5ec0fdb3eb3a5p-19, 0x1.5c1015bc45a85p-19, 0x1.5949ed3146eb8p-19, 0x1.566f1d360272p-19, 0x1.537feb8c5628ep-19, 0x1.507c7d6c97624p-19, 0x1.4d650e609e7e7p-19, 0x1.4a3a1d018395bp-19, 0x1.46fc825cab919p-19, 0x1.43ad6f801a0bcp-19, 0x1.404e54f973639p-19, 0x1.3ce0bdcb9610ep-19, 0x1.396629103cce4p-19, 0x1.35dfeb2739444p-19, 0x1.324f1af62091fp-19, 0x1.2eb48c4d54888p-19, 0x1.2b10d6fea24b6p-19, 0x1.2764695c4a265p-19, 0x1.23afa2e7efc2ep-19, 0x1.1ff2f104555d6p-19, 0x1.1c2ee5a8b60b8p-19, 0x1.18644146c3656p-19, 0x1.1493edf926b2bp-19, 0x1.10beef593d8e9p-19, 0x1.0ce64dc1817f8p-19, 0x1.090b03a950753p-19, 0x1.052df13a3d41ap-19, 0x1.014fd7161ff2cp-19, 0x1.fae2ae487767ap-20, 0x1.f325f2eb40cdfp-20, 0x1.eb6a66ed8c4efp-20, 0x1.e3b0e1095e9b3p-20, 0x1.dbfa36320683bp-20, 0x1.d4474b7d324a6p-20, 0x1.cc99248b9512cp-20, 0x1.c4f0ea9c09b99p-20, 0x1.bd4fe8d953a5ap-20, 0x1.b5b77cdf6bc28p-20, 0x1.ae28fdcff34f3p-20, 0x1.a6a59f6f42afep-20, 0x1.9f2e585b577c7p-20, 0x1.97c3d2260d9edp-20, 0x1.9066686c26b1dp-20, 0x1.8916381672258p-20, 0x1.81d33b5e3ae1dp-20, 0x1.7a9d69f7a2099p-20, 0x1.7374d3bd19be7p-20, 0x1.6c59afa2fc80fp-20, 0x1.654c5e698b23cp-20, 0x1.5e4d64153ab5dp-20, 0x1.575d5a365da3bp-20, 0x1.507cdb0435b13p-20, 0x1.49ac67627ccap-20, 0x1.42ec5077c93ecp-20, 0x1.3c3cb196bb5acp-20, 0x1.359d819d3a154p-20, 0x1.2f0eb51cf1dc3p-20, 0x1.28905f0dacf53p-20, 0x1.2222bfee6ad5p-20, 0x1.1bc63eb875772p-20, 0x1.157b53e385d1dp-20, 0x1.0f4272d348288p-20, 0x1.091bfa5fd89abp-20, 0x1.03082eef19077p-20, 0x1.fa0e7827ceafap-21, 0x1.ee327446804ddp-21, 0x1.e27c69578419cp-21, 0x1.d6ec600a1dafdp-21, 0x1.cb825a3750de9p-21, 0x1.c03e56be6bb0dp-21, 0x1.b520520c03ddfp-21, 0x1.aa2844c1790e2p-21, 0x1.9f5621a81e613p-21, 0x1.94a9d4c21d375p-21, 0x1.8a23449f4f227p-21, 0x1.7fc256206f4bfp-21, 0x1.7586f1b98aef9p-21, 0x1.6b710899d0274p-21, 0x1.618098433341bp-21, 0x1.57b5ac4ac5042p-21, 0x1.4e105e0db8234p-21, 0x1.4490d10a397e3p-21, 0x1.3b3728c7de2cdp-21, 0x1.320377033cdd2p-21, 0x1.28f5a72e97dd7p-21, 0x1.200d725ec35eep-21, 0x1.174a659206b2bp-21, 0x1.0eabfa5142fd6p-21, 0x1.0631b70afcd34p-21, 0x1.fbb68f437d64ap-22, 0x1.eb510437c1a92p-22, 0x1.db32a9513d129p-22, 0x1.cb5b4e354de5ap-22, 0x1.bbca8576a7062p-22, 0x1.ac7fa01682db1p-22, 0x1.9d79d2dde3cafp-22, 0x1.8eb8648513bdp-22, 0x1.803ac2fe20bb9p-22, 0x1.7200798e85988p-22, 0x1.6409191fe0a54p-22, 0x1.565425ae5b0fdp-22, 0x1.48e110032c5b9p-22, 0x1.3baf3886a2724p-22, 0x1.2ebdf554ba82fp-22, 0x1.220c97c020637p-22, 0x1.159a6fbfb6b39p-22, 0x1.0966cd7e7bd6ap-22, 0x1.fae2037b1f08bp-23, 0x1.e370bb1797ea5p-23, 0x1.cc7863ce941aap-23, 0x1.b5f79ed1bc325p-23, 0x1.9fed0c43cf7d2p-23, 0x1.8a574b9ac4c04p-23, 0x1.7534fc4e6574bp-23, 0x1.6084bee5a7b55p-23, 0x1.4c45359e03464p-23, 0x1.38750482e0765p-23, 0x1.2512d0343db03p-23, 0x1.121d3ba73f783p-23, 0x1.ff25cae8955dap-24, 0x1.dae4cc0bdbcdp-24, 0x1.b7749f7c9d41fp-24, 0x1.94d2628c47451p-24, 0x1.72fb30e8944f4p-24, 0x1.51ec28d4b4368p-24, 0x1.31a26fe5e0e16p-24, 0x1.121b3ec797271p-24, 0x1.e6a7e36c74294p-25, 0x1.aa9411cb848d7p-25, 0x1.6ff608a685075p-25, 0x1.36c85929cf534p-25, 0x1.fe09fa132055bp-26, 0x1.914b6eb029814p-26, 0x1.27497d43a1ea2p-26, 0x1.7ff453ec24901p-27, 0x1.6d514f24a8b2p-28, -0x1.ac76b6f00b3eap-32, -0x1.988ee31bf29cfp-28, -0x1.861ab77376b8dp-27, -0x1.1d7a399d64b0fp-26, -0x1.7574893ff925ep-26, -0x1.cb059e4126239p-26, -0x1.0f1b4a7f749fap-25, -0x1.3788613afeb13p-25, -0x1.5ecee7cabf9d7p-25, -0x1.84f3d24c5ee0cp-25, -0x1.a9fc23e2b1746p-25, -0x1.cdece07aaec17p-25, -0x1.f0cb02cfbe35ep-25, -0x1.094dbb246bb96p-24, -0x1.19b1897e8b278p-24, -0x1.29934e040ba89p-24, -0x1.38f55f92c1e89p-24, -0x1.47da0afec9aecp-24, -0x1.564394509b53dp-24, -0x1.6434384f0e5e9p-24, -0x1.71ae2dc355f3ap-24, -0x1.7eb3a5b1316b4p-24, -0x1.8b46c9a341758p-24, -0x1.9769b815a2acp-24, -0x1.a31e808d2c644p-24, -0x1.ae6722461c77bp-24, -0x1.b945916eb81e5p-24, -0x1.c3bbc4f238963p-24, -0x1.cdcbca98979ebp-24, -0x1.d777da13dc8eep-24, -0x1.e0c2595927cf6p-24, -0x1.e9adc8ea447ddp-24, -0x1.f23c984fd89abp-24, -0x1.fa70ff121376bp-24, -0x1.012683f9acf9ep-23, -0x1.04e968a38294bp-23, -0x1.0882474032b29p-23, -0x1.0bf1d77d33312p-23, -0x1.0f37de1076798p-23, -0x1.12539879b968dp-23, -0x1.1545749e4eecfp-23, -0x1.180ff6b666b4p-23, -0x1.1ab5e780f5bbbp-23, -0x1.1d37bcbe5ef86p-23, -0x1.1f93e61c9ce1ep-23, -0x1.21ca0568e8b5bp-23, -0x1.23dcb6476d3b2p-23, -0x1.25cf72f7dec46p-23, -0x1.27a3e3d85f39ep-23, -0x1.2959ceba38623p-23, -0x1.2af089c978201p-23, -0x1.2c67eb96110a9p-23, -0x1.2dc061afe4d59p-23, -0x1.2efab12eebe93p-23, -0x1.3017bd1d064dbp-23, -0x1.311867fed9dc1p-23, -0x1.31fd890b24bcdp-23, -0x1.32c7eadab3043p-23, -0x1.33784d3be217dp-23, -0x1.340f6750f555bp-23, -0x1.348de90367ff1p-23, -0x1.34f47baa2d8c3p-23, -0x1.3543c2189dfeap-23, -0x1.357c58705181ap-23, -0x1.359ed4125d99ap-23, -0x1.35abc3ff82029p-23, -0x1.35a3b1cc4c19dp-23, -0x1.3587234394062p-23, -0x1.35569c8a8a0a7p-23, -0x1.3512a25f5ab1dp-23, -0x1.34bbba372a808p-23, -0x1.345277c76ddacp-23, -0x1.33d74faaa00cap-23, -0x1.334aeb28b6b61p-23, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      {{0x1.fff09d3f9e5f9p-1, 0x1.ffc2d8f0fbd79p-1, 0x1.ff77cf86597cap-1, 0x1.ff112f07280afp-1, 0x1.fe91070828e0fp-1, 0x1.fdf99b01617d7p-1, 0x1.fd4d3c9b4374dp-1, 0x1.fc8e2f1319c55p-1, 0x1.fbbe92a652227p-1, 0x1.fae0566861986p-1, 0x1.f9f52f216bf0fp-1, 0x1.f8fe923b5e50ep-1, 0x1.f7fdb410f4cafp-1, 0x1.f6f389170c491p-1, 0x1.f5e0c95f9cab1p-1, 0x1.f4c5f5efb6128p-1, 0x1.f3a35f5c69ed3p-1, 0x1.f2792d24b5fd9p-1, 0x1.f147654a4504ep-1, 0x1.f00df3be3d019p-1, 0x1.eeccb14f80fa2p-1, 0x1.ed8369e13379ap-1, 0x1.ec31e1c84256ap-1, 0x1.ead7da43981dap-1, 0x1.e975151305addp-1, 0x1.e809573cfe522p-1, 0x1.e6946b1b07d76p-1, 0x1.e51621c8bceabp-1, 0x1.e38e5412566f6p-1, 0x1.e1fce2fe7a6d8p-1, 0x1.e061b80c5690dp-1, 0x1.debcc53b6a3c8p-1, 0x1.dd0e04ee641d1p-1, 0x1.db5579b67668cp-1, 0x1.d9932e10c9478p-1, 0x1.d7c7341c7edb8p-1, 0x1.d5f1a54d11cd1p-1, 0x1.d412a21ac314ap-1, 0x1.d22a51b159db5p-1, 0x1.d038e19c8a25fp-1, 0x1.ce3e8570c995p-1, 0x1.cc3b766f469e7p-1, 0x1.ca2ff323cd4a1p-1, 0x1.c81c3efbbaad8p-1, 0x1.c600a1d58ad43p-1, 0x1.c3dd678902d58p-1, 0x1.c1b2df6876dc5p-1, 0x1.bf815bbc0a3a4p-1, 0x1.bd4931383165fp-1, 0x1.bb0ab670f1019p-1, 0x1.b8c6434b98c07p-1, 0x1.b67c3070ba1cep-1, 0x1.b42cd6c02d486p-1, 0x1.b1d88ec8e802fp-1, 0x1.af7fb0463cf42p-1, 0x1.ad2291a406c51p-1, 0x1.aac1878afac25p-1, 0x1.a85ce47632d34p-1, 0x1.a5f4f852c52dcp-1, 0x1.a38a1029fab0fp-1, 0x1.a11c75d6866b5p-1, 0x1.9eac6fc4e5e11p-1, 0x1.9c3a40bedf844p-1, 0x1.99c627c1ed74ap-1, 0x1.97505fe033fccp-1, 0x1.94d9202b8deecp-1, 0x1.92609baa0fe37p-1, 0x1.8fe70153620c5p-1, 0x1.8d6c7c1628ed9p-1, 0x1.8af132e4c679ap-1, 0x1.887548c89d28ap-1, 0x1.85f8dcfb10aa9p-1, 0x1.837c0b0378238p-1, 0x1.80feead93f8cbp-1, 0x1.7e819109767e6p-1, 0x1.7c040edf1c774p-1, 0x1.7986728d8542cp-1, 0x1.7708c75c344dep-1, 0x1.748b15d3a06dp-1, 0x1.720d63ea6409cp-1, 0x1.6f8fb532621aep-1, 0x1.6d120b057abcdp-1, 0x1.6a9464b17a8ap-1, 0x1.6816bfa2f4a6ap-1, 0x1.6599178ecd3b1p-1, 0x1.631b669a3f5c6p-1, 0x1.609da58138205p-1, 0x1.5e1fcbbae7db9p-1, 0x1.5ba1cf9c73c42p-1, 0x1.5923a679c15f9p-1, 0x1.56a544c44f348p-1, 0x1.54269e2824a41p-1, 0x1.51a7a5a6d9cccp-1, 0x1.4f284db0c6db5p-1, 0x1.4ca8883c6cd22p-1, 0x1.4a2846dc26babp-1, 0x1.47a77ad23da4dp-1, 0x1.4526152374578p-1, 0x1.42a406a82587ap-1, 0x1.4021401c0dde8p-1, 0x1.3d9db22cdb195p-1, 0x1.3b194d879bbfcp-1, 0x1.389402e526c01p-1, 0x1.360dc315958c3p-1, 0x1.33867f0ae564bp-1, 0x1.30fe27e2d6e73p-1, 0x1.2e74aef022bfep-1, 0x1.2bea05c3103efp-1, 0x1.295e1e318754p-1, 0x1.26d0ea5ea1e4fp-1, 0x1.24425cc1d78ccp-1, 0x1.21b2682dc5f49p-1, 0x1.1f20ffd6a1372p-1, 0x1.1c8e1758597fap-1, 0x1.19f9a2bc784fdp-1, 0x1.1763967fbe70bp-1, 0x1.14cbe79783e0cp-1, 0x1.12328b76de947p-1, 0x1.0f97781392aedp-1, 0x1.0cfaa3eacc2f9p-1, 0x1.0a5c0605a289fp-1, 0x1.07bb95fd65b11p-1, 0x1.05194bffb3bb6p-1, 0x1.027520d256a9cp-1, 0x1.ff9e1badcbddap-2, 0x1.fa4e1a1c55a7bp-2, 0x1.f4fa32368e961p-2, 0x1.efa25a8d327e9p-2, 0x1.ea468b00b6853p-2, 0x1.e4e6bcc5f8e5ap-2, 0x1.df82ea6a6865ep-2, 0x1.da1b0fd7874c3p-2, 0x1.d4af2a55e74ffp-2, 0x1.cf3f388f79939p-2, 0x1.c9cb3a914ad8ap-2, 0x1.c45331cc9a55ep-2, 0x1.bed721174e437p-2, 0x1.b9570cabc931cp-2, 0x1.b3d2fa281d169p-2, 0x1.ae4af08c9b9fap-2, 0x1.a8bef839c9127p-2, 0x1.a32f1aedb30a3p-2, 0x1.9d9b63c0abf5ap-2, 0x1.9803df216f49ep-2, 0x1.92689ad0ba4a8p-2, 0x1.8cc9a5dc4ed8p-2, 0x1.8727109974f1p-2, 0x1.8180ec9ef7d2p-2, 0x1.7bd74cbea70e9p-2, 0x1.762a44fe6551p-2, 0x1.7079ea90c28e4p-2, 0x1.6ac653cd3496p-2, 0x1.650f9827ecaecp-2, 0x1.5f55d029561c8p-2, 0x1.5999156540a76p-2, 0x1.53d98271c5a44p-2, 0x1.4e1732dde9b3fp-2, 0x1.4852432801d04p-2, 0x1.428ad0b3e7f8ap-2, 0x1.3cc0f9c1092a9p-2, 0x1.36f4dd6047cffp-2, 0x1.31269b69c7becp-2, 0x1.2b565472a2ea5p-2, 0x1.258429c290e1cp-2, 0x1.1fb03d4986653p-2, 0x1.19dab195556a1p-2, 0x1.1403a9c74e01fp-2, 0x1.0e2b4989f0675p-2, 0x1.0851b506aaeb1p-2, 0x1.027710dbb245p-2, 0x1.f9370423e88fp-3, 0x1.ed7e5c264588dp-3, 0x1.e1c4753fe9134p-3, 0x1.d6099b8cf6f55p-3, 0x1.ca4e1bb16cf3fp-3, 0x1.be9242c6932c2p-3, 0x1.b2d65e48e32b8p-3, 0x1.a71abc064fcb9p-3, 0x1.9b5faa0d09f4p-3, 0x1.8fa5769aaeea7p-3, 0x1.83ec700c07c55p-3, 0x1.7834e4cd2d252p-3, 0x1.6c7f234a469e8p-3, 0x1.60cb79e0c0e35p-3, 0x1.551a36d10fc7ep-3, 0x1.496ba830f9802p-3, 0x1.3dc01bde6bf58p-3, 0x1.3217df72dd183p-3, 0x1.267340373d335p-3, 0x1.1ad28b1869ae3p-3, 0x1.0f360c9c3636cp-3, 0x1.039e10d6fc80fp-3, 0x1.f015c6c371855p-4, 0x1.d8f99ea154414p-4, 0x1.c1e83e5504f81p-4, 0x1.aae239c02f1a3p-4, 0x1.93e8238926b81p-4, 0x1.7cfa8d0c5c11p-4, 0x1.661a064ed108fp-4, 0x1.4f471df16a57fp-4, 0x1.3882612553b15p-4, 0x1.21cc5ba13ca6bp-4, 0x1.0b2597978f5a8p-4, 0x1.e91d3b5adc543p-5, 0x1.bc0fe9e542f3bp-5, 0x1.8f2445b494b9ap-5, 0x1.625b5668e4bcap-5, 0x1.35b620506f61ap-5, 0x1.0935a45df8492p-5, 0x1.b9b5c03feab95p-6, 0x1.614d9b72f9248p-6, 0x1.0934c7b8f49efp-6, 0x1.62da5713b0a5p-7, 0x1.67e299abe3c43p-8, 0x1.6c8875336c421p-13, -0x1.4fbf0d8dd527cp-8, -0x1.54c017c93139ep-7, -0x1.007604f7c0748p-6, -0x1.562ff1f125eb1p-6, -0x1.ab8c1d160551ap-6, -0x1.00446bcabc82ap-5, -0x1.2a923cc093c2p-5, -0x1.54aeb0e1cca14p-5, -0x1.7e98fb0aee3c9p-5, -0x1.a8505179d024bp-5, -0x1.d1d3edc76e3d7p-5, -0x1.fb230ce0cae4ep-5, -0x1.121e777ff6a04p-4, -0x1.26906bd206647p-4, -0x1.3ae706c4cca65p-4, -0x1.4f21ed5106bbap-4, -0x1.6340c6059155bp-4, -0x1.7743390328f48p-4, -0x1.8b28eff7dee1bp-4, -0x1.9ef1961a8f674p-4, -0x1.b29cd826520ap-4, -0x1.c62a6455cb83p-4, -0x1.d999ea5e9c37dp-4, -0x1.eceb1b6ca1d77p-4, -0x1.000ed50eaf378p-3, -0x1.0998a53dadfd6p-3, -0x1.1312d8fcc638bp-3, -0x1.1c7d4bb761387p-3, -0x1.25d7d9889f84p-3, -0x1.2f225f3924256p-3, -0x1.385cba3ce61cp-3, -0x1.4186c8b114481p-3, -0x1.4aa0695a03e4ap-3, -0x1.53a97ba127cc7p-3, -0x1.5ca1df931f7fbp-3, -0x1.658975ddc5481p-3, -0x1.6e601fce64d31p-3, -0x1.7725bf4fe49acp-3, -0x1.7fda36e91a684p-3, -0x1.887d69bb1d32cp-3, -0x1.910f3b7fb78a5p-3, -0x1.998f9087e10bcp-3, -0x1.a1fe4dba53193p-3, -0x1.aa5b589222da4p-3, -0x1.b2a6971d85742p-3, -0x1.badfeffc87102p-3, -0x1.c3074a5ff1627p-3, -0x1.cb1c8e0836965p-3, -0x1.d31fa3446b2e4p-3, -0x1.db1072f16232bp-3, -0x1.e2eee678c2569p-3, -0x1.eabae7d04717ap-3, -0x1.f274617900fdp-3, -0x1.fa1b3e7eb11abp-3, -0x1.00d7b53b96b03p-2, -0x1.049868c0ed734p-2, -0x1.084fb0239ce92p-2, -0x1.0bfd81fc39eebp-2, -0x1.0fa1d52787e7dp-2, -0x1.133ca0c64be3p-2, -0x1.16cddc3d31c5bp-2, -0x1.1a557f34b1e8cp-2, -0x1.1dd38198fff16p-2, -0x1.2147db99ff61bp-2, -0x1.24b285ab35159p-2, -0x1.28137883d3224p-2, -0x1.2b6aad1eaf29ap-2, -0x1.2eb81cba53108p-2, -0x1.31fbc0d902b62p-2, -0x1.35359340d2d34p-2, -0x1.38658dfbb4692p-2, -0x1.3b8bab5792a9fp-2, -0x1.3ea7e5e667338p-2, -0x1.41ba387e5b0bfp-2, -0x1.44c29e39ded2p-2, -0x1.47c11277d251fp-2, -0x1.4ab590dba11c3p-2, -0x1.4da0154d67e77p-2, -0x1.50809bfa19f28p-2, -0x1.53572153a0af3p-2, -0x1.5623a21107bdp-2, -0x1.58e61b2e997fcp-2, -0x1.5b9e89ee0b8adp-2, -0x1.5e4cebd69c89ap-2, -0x1.60f13eb53cb5ap-2, -0x1.638b809ca8aa8p-2, -0x1.661bafe5932e1p-2, -0x1.68a1cb2ebb9e7p-2, -0x1.6b1dd15d0f5eep-2, -0x1.6d8fc19bc6debp-2, -0x1.6ff79b5c7730cp-2, -0x1.72555e572dc0fp-2, -0x1.74a90a8a82cc8p-2, -0x1.76f2a03ba5b32p-2, -0x1.79321ff66c5bp-2, -0x1.7b678a8d5d4ecp-2, -0x1.7d92e119b4235p-2, -0x1.7fb424fb63aacp-2, -0x1.81cb57d915f45p-2, -0x1.83d87ba02694ep-2, -0x1.85db928494233p-2, -0x1.87d49f00fc43p-2, -0x1.89c3a3d67d4bep-2, -0x1.8ba8a40ca836ap-2, -0x1.8d83a2f160118p-2, -0x1.8f54a418bc88ep-2, -0x1.911bab5ce566p-2, -0x1.92d8bcdde4613p-2, -0x1.948bdd017ae92p-2, -0x1.96351072efffbp-2, -0x1.97d45c22d2a77p-2, -0x1.9969c546c0b6ap-2, -0x1.9af55159246e4p-2, -0x1.9c770618e8642p-2, -0x1.9deee98932761p-2, -0x1.9f5d01f10d966p-2, -0x1.a0c155db11652p-2, -0x1.a21bec150e2f9p-2, -0x1.a36ccbafa12fbp-2, -0x1.a4b3fbfddc95dp-2, -0x1.a5f18494d13a6p-2, -0x1.a7256d4b242fp-2, -0x1.a84fbe389db68p-2, -0x1.a9707fb5aa9bap-2, -0x1.aa87ba5ae10b4p-2, -0x1.ab9577007fb7fp-2, -0x1.ac99bebde430ep-2, -0x1.ad949ae8fdb5p-2, -0x1.ae861515c54c3p-2, -0x1.af6e37159db0dp-2, -0x1.b04d0af6c1bc5p-2, -0x1.b1229b03a6836p-2, -0x1.b1eef1c2574a1p-2, -0x1.b2b219f3d1779p-2, -0x1.b36c1e935d056p-2, -0x1.b41d0ad5dc937p-2, -0x1.b4c4ea291b492p-2, -0x1.b563c8331eabap-2, -0x1.b5f9b0d164392p-2, -0x1.b686b0182fba9p-2, -0x1.b70ad251c327p-2, -0x1.b78623fda1f6bp-2, -0x1.b7f8b1cfc9771p-2, -0x1.b86288afe8ae9p-2, -0x1.b8c3b5b891a6fp-2, -0x1.b91c46366f8ecp-2, -0x1.b96c47a771dbbp-2, -0x1.b9b3c7b9faf1fp-2, -0x1.b9f2d44c06e04p-2, -0x1.ba297b6a55a1dp-2, -0x1.ba57cb4f9169bp-2, -0x1.ba7dd2636bb2cp-2, -0x1.ba9b9f39c0e7dp-2, -0x1.bab14091bdceap-2, -0x1.babec554f127fp-2, -0x1.bac43c966ee78p-2, -0x1.bac1b591e8dd9p-2, -0x1.bab73faac60ebp-2, -0x1.baa4ea6b38ba5p-2, -0x1.ba8ac58357748p-2, -0x1.ba68e0c82ec66p-2, -0x1.ba3f4c32d572p-2, -0x1.ba0e17df7ef39p-2, -0x1.b9d5540c91171p-2, -0x1.b9951119afe0dp-2, -0x1.b94d5f86d00edp-2, -0x1.b8fe4ff3499a5p-2, -0x1.b8a7f31ce32f8p-2, -0x1.b84a59dee600fp-2, -0x1.b7e5953127edap-2, -0x1.b779b6271fc4cp-2, -0x1.b706cdeeeda9ap-2, -0x1.b68cedd0742dep-2, -0x1.b60c272c5c4f6p-2, -0x1.b5848b7b2a9d2p-2, -0x1.b4f62c4c51485p-2, -0x1.b4611b453969p-2, -0x1.b3c56a205a563p-2, -0x1.b3232aac49f46p-2, -0x1.b27a6ecac82d4p-2, -0x1.b1cb486fda3d3p-2, -0x1.b115c9a0da205p-2, -0x1.b05a04738984ap-2, -0x1.af980b0d2bc54p-2, -0x1.aecfefa1978bp-2, -0x1.ae01c4724f051p-2, -0x1.ad2d9bcd9c17bp-2, -0x1.ac53880da5f18p-2, -0x1.ab739b978f6d1p-2, -0x1.aa8de8da917c9p-2, -0x1.a9a2824f191bp-2, -0x1.a8b17a75e931fp-2, -0x1.a7bae3d7388a3p-2, -0x1.a6bed101d503fp-2, -0x1.a5bd548a4971dp-2, -0x1.a4b6810a03e52p-2, -0x1.a3aa691e78e56p-2, -0x1.a2991f6850c5ep-2, -0x1.a182b68a92578p-2, -0x1.a0674129ceec6p-2, -0x1.9f46d1eb52c17p-2, -0x1.9e217b7453a55p-2, -0x1.9cf75069278aap-2, -0x1.9bc8636c739f4p-2, -0x1.9a94c71e6baa2p-2, -0x1.995c8e1c02043p-2, -0x1.981fcafe2b5bdp-2, -0x1.96de905914656p-2, -0x1.9598f0bb6a04dp-2, -0x1.944efead9282cp-2, -0x1.9300ccb0f93aap-2, -0x1.91ae6d3f4ed9bp-2, -0x1.9057f2c9d73fap-2, -0x1.8efd6fb8b2191p-2, -0x1.8d9ef66a26fdbp-2, -0x1.8c3c9931f8285p-2, -0x1.8ad66a58b4bd7p-2, -0x1.896c7c1b09504p-2, -0x1.87fee0a91bd6p-2, -0x1.868daa25e2c3fp-2, -0x1.8518eaa67e5f8p-2, -0x1.83a0b431a0925p-2, -0x1.822518bedf30cp-2, -0x1.80a62a3626cd3p-2, -0x1.7f23fa6f15597p-2, -0x1.7d9e9b3066614p-2, -0x1.7c161e2f61e6fp-2, -0x1.7a8a950f42757p-2, -0x1.78fc1160ab773p-2, -0x1.776aa4a118846p-2, -0x1.75d6603a53ba2p-2, -0x1.743f5581eeb54p-2, -0x1.72a595b8b8793p-2, -0x1.7109320a3fa74p-2, -0x1.6f6a3b8c4e1cep-2, -0x1.6dc8c33e6ced7p-2, -0x1.6c24da0968cc4p-2, -0x1.6a7e90bed6068p-2, -0x1.68d5f8189e9a2p-2, -0x1.672b20b88be74p-2, -0x1.657e1b27d6191p-2, -0x1.63cef7d6b4704p-2, -0x1.621dc71bf2632p-2, -0x1.606a9934859fep-2, -0x1.5eb57e4326414p-2, -0x1.5cfe864feaf86p-2, -0x1.5b45c147e688ep-2, -0x1.598b3efcc939fp-2, -0x1.57cf0f2482475p-2, -0x1.56114158e70a7p-2, -0x1.5451e5175860bp-2, -0x1.529109c070ddbp-2, -0x1.50cebe97ac64ap-2, -0x1.4f0b12c31c82fp-2, -0x1.4d46154b17f45p-2, -0x1.4b7fd519ee1cp-2, -0x1.49b860fb9f549p-2, -0x1.47efc79d930cdp-2, -0x1.4626178e57212p-2, -0x1.445b5f3d597d2p-2, -0x1.428facfaaa184p-2, -0x1.40c30ef6bf964p-2, -0x1.3ef5934235bf6p-2, -0x1.3d2747cd9b5cdp-2, -0x1.3b583a69382b4p-2, -0x1.398878c4d813bp-2, -0x1.37b8106f9acaap-2, -0x1.35e70ed7c0cbep-2, -0x1.3415814a82e3ep-2, -0x1.324374f3e23fbp-2, -0x1.3070f6de7ff6cp-2, -0x1.2e9e13f376569p-2, -0x1.2ccad8fa35436p-2, -0x1.2af752985db7p-2, -0x1.29238d51a0c47p-2, -0x1.274f9587a220ap-2, -0x1.257b7779da3a2p-2, -0x1.23a73f457d278p-2, -0x1.21d2f8e562067p-2, -0x1.1ffeb031e9e9dp-2, -0x1.1e2a70e0ee428p-2, -0x1.1c564685ad85p-2, -0x1.1a823c90ba735p-2, -0x1.18ae5e4fed28dp-2, -0x1.16dab6ee5577dp-2, -0x1.15075174328e8p-2, -0x1.133438c6e7f84p-2, -0x1.116177a8f7048p-2, -0x1.0f8f18b9f7bdap-2, -0x1.0dbd267699595p-2, -0x1.0bebab389d625p-2, -0x1.0a1ab136d6663p-2, -0x1.084a42852b0a2p-2, -0x1.067a69149df4ep-2, -0x1.04ab2eb349dap-2, -0x1.02dc9d0c6f1bcp-2, -0x1.010ebda879127p-2, -0x1.fe8333da12f71p-3, -0x1.faea763a052efp-3, -0x1.f75354b126f3fp-3, -0x1.f3bde13a95e71p-3, -0x1.f02a2d8c435ep-3, -0x1.ec984b17213fp-3, -0x1.e9084b0740ca9p-3, -0x1.e57a3e440139ep-3, -0x1.e1ee357039f75p-3, -0x1.de6440ea66998p-3, -0x1.dadc70ccdac9p-3, -0x1.d756d4edf707p-3, -0x1.d3d37ce05c932p-3, -0x1.d05277f327791p-3, -0x1.ccd3d5322de5ap-3, -0x1.c957a3663953bp-3, -0x1.c5ddf11549655p-3, -0x1.c266cc82d79f4p-3, -0x1.bef243b01dc6dp-3, -0x1.bb80645c5d21ep-3, -0x1.b8113c0523127p-3, -0x1.b4a4d7e6a10d2p-3, -0x1.b13b44fbef729p-3, -0x1.add48fff63c31p-3, -0x1.aa70c56ae26c7p-3, -0x1.a70ff17835debp-3, -0x1.a3b22021613b2p-3, -0x1.a0575d20f768ep-3, -0x1.9cffb3f27f5bdp-3, -0x1.99ab2fd2c33e5p-3, -0x1.9659dbc039ff4p-3, -0x1.930bc27b5f47cp-3, -0x1.8fc0ee8717c1bp-3, -0x1.8c796a291720dp-3, -0x1.89353f6a40e43p-3, -0x1.85f478171103p-3, -0x1.82b71dc00113fp-3, -0x1.7f7d39b9f8034p-3, -0x1.7c46d51ead77ep-3, -0x1.7913f8cd1b4cp-3, -0x1.75e4ad69e639p-3, -0x1.72b8fb5fd5787p-3, -0x1.6f90eae0370a3p-3, -0x1.6c6c83e35d7d5p-3, -0x1.694bce2905f91p-3, -0x1.662ed138d6e69p-3, -0x1.63159462cd033p-3, -0x1.60001ebfba0aap-3, -0x1.5cee7731af25ap-3, -0x1.59e0a4647c74ep-3, -0x1.56d6acce2df8cp-3, -0x1.53d096af7a661p-3, -0x1.50ce681444736p-3, -0x1.4dd026d418a1ap-3, -0x1.4ad5d8929eb4bp-3, -0x1.47df82c0266fdp-3, -0x1.44ed2a9a12e5fp-3, -0x1.41fed52b68f87p-3, -0x1.3f14874d40cfcp-3, -0x1.3c2e45a751b6bp-3, -0x1.394c14b065551p-3, -0x1.366df8aee38b9p-3, -0x1.3393f5b94a13fp-3, -0x1.30be0fb6b77b8p-3, -0x1.2dec4a5f5f3eep-3, -0x1.2b1ea93d1d908p-3, -0x1.28552fabe8d06p-3, -0x1.258fe0da5d68p-3, -0x1.22cebfca437dcp-3, -0x1.2011cf5107765p-3, -0x1.1d5912184792fp-3, -0x1.1aa48a9e537c3p-3, -0x1.17f43b36af523p-3, -0x1.1548260a995f9p-3, -0x1.12a04d198b672p-3, -0x1.0ffcb239c4bd4p-3, -0x1.0d5d5718c3aa5p-3, -0x1.0ac23d3bd5acap-3, -0x1.082b6600937e9p-3, -0x1.0598d29d64267p-3, -0x1.030a842207f1p-3, -0x1.00807b781558fp-3, -0x1.fbf572c7047ddp-4, -0x1.f6f27d063a99p-4, -0x1.f1f816a23feffp-4, -0x1.ed0640474702bp-4, -0x1.e81cfa5a599bbp-4, -0x1.e33c44fa5461ap-4, -0x1.de642000eeb91p-4, -0x1.d9948b03bd5fap-4, -0x1.d4cd855536c94p-4, -0x1.d00f0e05aeb17p-4, -0x1.cb5923e463449p-4, -0x1.c6abc580752cap-4, -0x1.c206f129e6a73p-4, -0x1.bd6aa4f29c5e4p-4, -0x1.b8d6deaf5e40bp-4, -0x1.b44b9bf8d4d5ep-4, -0x1.afc8da2c787fp-4, -0x1.ab4e966d9b1b4p-4, -0x1.a6dccda65e522p-4, -0x1.a2737c88a2d47p-4, -0x1.9e129f8f0935p-4, -0x1.99ba32fdebb79p-4, -0x1.956a32e440603p-4, -0x1.91229b1ca784ap-4, -0x1.8ce3674e39192p-4, -0x1.88ac92eda2361p-4, -0x1.847e193df3cd4p-4, -0x1.8057f55194e84p-4, -0x1.7c3a220b42cd3p-4, -0x1.78249a1edfe0ap-4, -0x1.74175812769aep-4, -0x1.7012563f11092p-4, -0x1.6c158ed1a83b1p-4, -0x1.6820fbcc04ea3p-4, -0x1.64349705a2f16p-4, -0x1.60505a2c95a54p-4, -0x1.5c743ec66ed0ep-4, -0x1.58a03e31076f7p-4, -0x1.54d451a36fcebp-4, -0x1.5110722ec9b37p-4, -0x1.4d5498bf16e1dp-4, -0x1.49a0be1c1fbf8p-4, -0x1.45f4daea35b86p-4, -0x1.4250e7ab1d38bp-4, -0x1.3eb4dcbed098ap-4, -0x1.3b20b26453bebp-4, -0x1.379460ba851ebp-4, -0x1.340fdfc0f1e2dp-4, -0x1.309327588d957p-4, -0x1.2d1e2f448ddbp-4, -0x1.29b0ef2b2db8p-4, -0x1.264b5e966b08cp-4, -0x1.22ed74f4cf3b7p-4, -0x1.1f97299a334a2p-4, -0x1.1c4873c07b9d7p-4, -0x1.19014a8864ff5p-4, -0x1.15c1a4fa18bb5p-4, -0x1.12897a061a1d5p-4, -0x1.0f58c085d24dp-4, -0x1.0c2f6f3c717c2p-4, -0x1.090d7cd76e444p-4, -0x1.05f2dfef6d84bp-4, -0x1.02df8f08cd896p-4, -0x1.ffa70128bd2c5p-5, -0x1.f99d55e0373c9p-5, -0x1.f3a208cf82c4dp-5, -0x1.edb5066b0098p-5, -0x1.e7d63b0557fe7p-5, -0x1.e20592d09089bp-5, -0x1.dc42f9df8383ep-5, -0x1.d68e5c27064dp-5, -0x1.d0e7a57f2a884p-5, -0x1.cb4ec1a4779a4p-5, -0x1.c5c39c393672ep-5, -0x1.c04620c6601a4p-5, -0x1.bad63abd2b9ffp-5, -0x1.b573d577da2ccp-5, -0x1.b01edc3b1e987p-5, -0x1.aad73a3710e38p-5, -0x1.a59cda88745fbp-5, -0x1.a06fa839b55e5p-5, -0x1.9b4f8e4403037p-5, -0x1.963c7790604e2p-5, -0x1.91364ef8bf544p-5, -0x1.8c3cff48fd2e2p-5, -0x1.8750733fe59f5p-5, -0x1.827095904ead3p-5, -0x1.7d9d50e1e5645p-5, -0x1.78d68fd26101bp-5, -0x1.741c3cf659ec8p-5, -0x1.6f6e42da36268p-5, -0x1.6acc8c033a542p-5, -0x1.663702f03d86fp-5, -0x1.61ad921ae0f9ap-5, -0x1.5d3023f81298ap-5, -0x1.58bea2f94e982p-5, -0x1.5458f98d2c8aap-5, -0x1.4fff122060399p-5, -0x1.4bb0d71e9eb26p-5, -0x1.476e32f33862p-5, -0x1.4337100a155a2p-5, -0x1.3f0b58d07e92fp-5, -0x1.3aeaf7b5c7274p-5, -0x1.36d5d72c2787cp-5, -0x1.32cbe1a972adap-5, -0x1.2ecd01a7dbd79p-5, -0x1.2ad921a6aee71p-5, -0x1.26f02c2af99d4p-5, -0x1.23120bc03c3aep-5, -0x1.1f3eaaf936fa9p-5, -0x1.1b75f47068ba9p-5, -0x1.17b7d2c8df476p-5, -0x1.140430aeba3ebp-5, -0x1.105af8d7f233fp-5, -0x1.0cbc1604c9fbap-5, -0x1.092773008ae7bp-5, -0x1.059cfaa211de8p-5, -0x1.021c97cc6b38cp-5, -0x1.fd4c6ade8fd6dp-6, -0x1.f6737d0f74f08p-6, -0x1.efae3c4122b54p-6, -0x1.e8fc7ea619289p-6, -0x1.e25e1a8e69df1p-6, -0x1.dbd2e6690c93dp-6, -0x1.d55ab8c4abee5p-6, -0x1.cef56850b46dep-6, -0x1.c8a2cbde2ff6bp-6, -0x1.c262ba60e9256p-6, -0x1.bc350aefe5bfep-6, -0x1.b61994c6c0ec8p-6, -0x1.b0102f4660bf2p-6, -0x1.aa18b1f5818d6p-6, -0x1.a432f481f784cp-6, -0x1.9e5ecec12a83dp-6, -0x1.989c18b10777ap-6, -0x1.92eaaa78a2e9p-6, -0x1.8d4a5c68ee89ap-6, -0x1.87bb06fdbc292p-6, -0x1.823c82dde24c5p-6, -0x1.7ccea8dc94fc3p-6, -0x1.777151f965115p-6, -0x1.7224576158456p-6, -0x1.6ce7926f3f0cep-6, -0x1.67badcac891a3p-6, -0x1.629e0fd1a9fe8p-6, -0x1.5d9105c6b2914p-6, -0x1.589398a3c50bap-6, -0x1.53a5a2b21a1ap-6, -0x1.4ec6fe6b9c3bbp-6, -0x1.49f7867c224edp-6, -0x1.453715c1bb904p-6, -0x1.4085874cfa32cp-6, -0x1.3be2b6615e54bp-6, -0x1.374e7e76161bbp-6, -0x1.32c8bb35ffd0cp-6, -0x1.2e51488045644p-6, -0x1.29e80268c276ap-6, -0x1.258cc5382132ap-6, -0x1.213f6d6c751cap-6, -0x1.1cffd7b982d97p-6, -0x1.18cde108c4674p-6, -0x1.14a9667a4071cp-6, -0x1.1092456443f38p-6, -0x1.0c885b54040fp-6, -0x1.088b860da7351p-6, -0x1.049ba38ca85c9p-6, -0x1.00b8920402a3ap-6, -0x1.f9c45fbcd8d73p-7, -0x1.f230b77ce8665p-7, -0x1.eab5e8fd48f2fp-7, -0x1.e353b264171c1p-7, -0x1.dc09d247fe189p-7, -0x1.d4d807b0c03b3p-7, -0x1.cdbe121796a61p-7, -0x1.c6bbb16755e24p-7, -0x1.bfd0a5fce9b92p-7, -0x1.b8fcb0a6e6055p-7, -0x1.b23f92a681368p-7, -0x1.ab990daf19dfep-7, -0x1.a508e3e6e3d3ep-7, -0x1.9e8ed7e63dd91p-7, -0x1.982aacb8d22d6p-7, -0x1.91dc25dca5ddp-7, -0x1.8ba30742df327p-7, -0x1.857f154f4f7fp-7, -0x1.7f7014d8f5fd2p-7, -0x1.7975cb297e55fp-7, -0x1.738ffdfd8ca11p-7, -0x1.6dbe738487e96p-7, -0x1.6800f260742d6p-7, -0x1.625741a65212cp-7, -0x1.5cc128dd7fddfp-7, -0x1.573e6fffed847p-7, -0x1.51cedf79b31fbp-7, -0x1.4c72402936ec8p-7, -0x1.47285b5ed23c8p-7, -0x1.41f0fadcd00ep-7, -0x1.3ccbe8d700d18p-7, -0x1.37b8eff291bdcp-7, -0x1.32b7db4636542p-7, -0x1.2dc876593a63dp-7, -0x1.28ea8d23d3aa8p-7, -0x1.241dec0ea9801p-7, -0x1.1f625ff26ecd4p-7, -0x1.1ab7b617c6be7p-7, -0x1.161dbc371ad2fp-7, -0x1.11944077a5b2cp-7, -0x1.0d1b11700f66bp-7, -0x1.08b1fe2510e0ep-7, -0x1.0458d60a2e2fp-7, -0x1.000f690069361p-7, -0x1.f7ab0eac5192ep-8, -0x1.ef56038efca9ap-8, -0x1.e71f52f937dfap-8, -0x1.df06a0149d9ep-8, -0x1.d70b8ee2401c8p-8, -0x1.cf2dc43adbc39p-8, -0x1.c76ce5cc5370ep-8, -0x1.bfc89a1a86abp-8, -0x1.b840887cf8f69p-8, -0x1.b0d4591f3fe4dp-8, -0x1.a983b4fec5fe3p-8, -0x1.a24e45eaccbaep-8, -0x1.9b33b68351a1p-8, -0x1.9433b2370619fp-8, -0x1.8d4de5447115cp-8, -0x1.8681fcb67bc68p-8, -0x1.7fcfa665732ccp-8, -0x1.793690f49a989p-8, -0x1.72b66bd1e3e2fp-8, -0x1.6c4ee734f1416p-8, -0x1.65ffb41d07c2cp-8, -0x1.5fc884511850fp-8, -0x1.59a90a5e9bcd6p-8, -0x1.53a0f99742474p-8, -0x1.4db006114574ep-8, -0x1.47d5e4a5dc627p-8, -0x1.42124aef49ccp-8, -0x1.3c64ef48dbd5ap-8, -0x1.36cd88cd36eap-8, -0x1.314bcf5537bfbp-8, -0x1.2bdf7b76b1e79p-8, -0x1.26884683a9ec2p-8, -0x1.2145ea88baedbp-8, -0x1.1c18224c3de62p-8, -0x1.16fea94c638d1p-8, -0x1.11f93bbf6359cp-8, -0x1.0d079690c2dc9p-8, -0x1.0829776144934p-8, -0x1.035e9c84abac2p-8, -0x1.fd4d8a037adc3p-9, -0x1.f403612046c3fp-9, -0x1.eade3f2e986f4p-9, -0x1.e1dda65b21028p-9, -0x1.d9011a2ccb49ap-9, -0x1.d0481f83ee3e7p-9, -0x1.c7b23c96a5691p-9, -0x1.bf3ef8ede4b6cp-9, -0x1.b6eddd64412a6p-9, -0x1.aebe7422e5bcdp-9, -0x1.a6b0489f0fe97p-9, -0x1.9ec2e79716925p-9, -0x1.96f5df114273bp-9, -0x1.8f48be581b425p-9, -0x1.87bb15f7c4b16p-9, -0x1.804c77bd02cefp-9, -0x1.78fc76b0a954ap-9, -0x1.71caa7174857p-9, -0x1.6ab69e6d05fbep-9, -0x1.63bff3639f51dp-9, -0x1.5ce63de02f2bbp-9, -0x1.562916f8c642bp-9, -0x1.4f8818f1261aep-9, -0x1.4902df390c2a1p-9, -0x1.42990669e7cfcp-9, -0x1.3c4a2c42e3555p-9, -0x1.3615efa8a0608p-9, -0x1.2ffbf0a0e7713p-9, -0x1.29fbd05138d65p-9, -0x1.241530fbb7fc9p-9, -0x1.1e47b5fd66419p-9, -0x1.189303cad6873p-9, -0x1.12f6bfee7198dp-9, -0x1.0d7291062ef3cp-9, -0x1.08061ec031d63p-9, -0x1.02b111d91bb71p-9, -0x1.fae62832c875ep-10, -0x1.f097a0a748b5ap-10, -0x1.e675e4c089834p-10, -0x1.dc804e3bad7d4p-10, -0x1.d2b638d9096ccp-10, -0x1.c917025851dd9p-10, -0x1.bfa20a7626dd6p-10, -0x1.b656b2e4704bbp-10, -0x1.ad345f4701a9cp-10, -0x1.a43a752f4ab91p-10, -0x1.9b685c16e7de2p-10, -0x1.92bd7d5b2014ep-10, -0x1.8a3944392b4d1p-10, -0x1.81db1dc85fb99p-10, -0x1.79a278f6271c8p-10, -0x1.718ec682181bp-10, -0x1.699f78f7db7d5p-10, -0x1.61d404ac2c51cp-10, -0x1.5a2bdfb7cda4cp-10, -0x1.52a681f3237a4p-10, -0x1.4b4364f1f9f05p-10, -0x1.440203fe0a605p-10, -0x1.3ce1dc13998dep-10, -0x1.35e26bdda2fddp-10, -0x1.2f0333b0abc75p-10, -0x1.2843b5859b05ep-10, -0x1.21a374f6ce404p-10, -0x1.1b21f73bb141bp-10, -0x1.14bec3246fd86p-10, -0x1.0e796114a13e2p-10, -0x1.08515b013fee3p-10, -0x1.02463c6980caap-10, -0x1.f8af24abfcdc5p-11, -0x1.ed09d6a498e93p-11, -0x1.e19baed3216bep-11, -0x1.d663d0453a8d9p-11, -0x1.cb6160f84afcep-11, -0x1.c09389cefbf4dp-11, -0x1.b5f9768d03c01p-11, -0x1.ab9255cbf61c2p-11, -0x1.a15d58f56bad5p-11, -0x1.9759b4395b52p-11, -0x1.8d869e88bcc35p-11, -0x1.83e3518ccf05dp-11, -0x1.7a6f099d027f3p-11, -0x1.712905bc3c6ddp-11, -0x1.6810878c8b1dep-11, -0x1.5f24d34c33c9p-11, -0x1.56652fca682cdp-11, -0x1.4dd0e66184bddp-11, -0x1.456742ef66a8dp-11, -0x1.3d2793cf6724cp-11, -0x1.351129d0b8265p-11, -0x1.2d235832f5f2dp-11, -0x1.255d749a5b767p-11, -0x1.1dbed70db2e4ep-11, -0x1.1646d9eb20ee6p-11, -0x1.0ef4d9e326da7p-11, -0x1.07c835f2caa8cp-11, -0x1.00c04f59d60c1p-11, -0x1.f3b9132f56a15p-12, -0x1.e63894c4366ccp-12, -0x1.d8fdf33d56dffp-12, -0x1.cc0802bc0680fp-12, -0x1.bf559ba7577c4p-12, -0x1.b2e59a9f4cf88p-12, -0x1.a6b6e0730c54dp-12, -0x1.9ac8520f5de0cp-12, -0x1.8f18d876d35b1p-12, -0x1.83a760b24fedap-12, -0x1.7872dbc5ae748p-12, -0x1.6d7a3ea4a9f91p-12, -0x1.62bc82219ed0dp-12, -0x1.5838a2e97fb04p-12, -0x1.4deda1704536dp-12, -0x1.43da81ebc2c65p-12, -0x1.39fe4c419ab87p-12, -0x1.30580c007d6fep-12, -0x1.26e6d051f9a49p-12, -0x1.1da9abefb087bp-12, -0x1.149fb5183f98ap-12, -0x1.0bc80585a621p-12, -0x1.0321ba5e104b7p-12, -0x1.f557e858eca89p-13, -0x1.e4cbadac41afp-13, -0x1.d49d131864d04p-13, -0x1.c4ca6d880f67fp-13, -0x1.b5521858c1b17p-13, -0x1.a6327542bcaa4p-13, -0x1.9769ec45690f5p-13, -0x1.88f6eb9697effp-13, -0x1.7ad7e78b3f1e7p-13, -0x1.6d0b5a7f7fae6p-13, -0x1.5f8fc4c9efa7ep-13, -0x1.5263aca4d65edp-13, -0x1.45859e18cbad1p-13, -0x1.38f42aeb1f72p-13, -0x1.2cadea8b5261cp-13, -0x1.20b179ff7c1cp-13, -0x1.14fd7bd0a673ep-13, -0x1.099097f94e285p-13, -0x1.fcd2f7aa7029fp-14, -0x1.e70db411510d2p-14, -0x1.d1ced4ec02693p-14, -0x1.bd13d4520e3a5p-14, -0x1.a8da3687dae1ap-14, -0x1.951f89da49572p-14, -0x1.81e1668974fecp-14, -0x1.6f1d6e945a62dp-14, -0x1.5cd14da582a6p-14, -0x1.4afab8e66f35ep-14, -0x1.39976eeacd191p-14, -0x1.28a5378a593c8p-14, -0x1.1821e3baa9bb5p-14, -0x1.080b4d7276ea7p-14, -0x1.f0beaf2cb4d9bp-15, -0x1.d237db8c14597p-15, -0x1.b47e08963b0f9p-15, -0x1.978d2feac0059p-15, -0x1.7b615bf930342p-15, -0x1.5ff6a7c70c867p-15, -0x1.45493ec218054p-15, -0x1.2b555c675b315p-15, -0x1.12174c23ff8f8p-15, -0x1.f316d2236b2cap-16, -0x1.c35c3b877c94fp-16, -0x1.94f7c8145b282p-16, -0x1.67e289709a44fp-16, -0x1.3c15aef1b0609p-16, -0x1.118a85218c752p-16, -0x1.d074eaa66982p-17, -0x1.803e0a6a42ed3p-17, -0x1.3263ad11458ccp-17, -0x1.cdb29a57a3741p-18, -0x1.3b25373a73c7bp-18, -0x1.5a0dfc29cb4aap-19, -0x1.1a012c2ab48ebp-21, 0x1.891acecc41e26p-20, 0x1.c74910000ef02p-19, 0x1.60efecd27a55bp-18, 0x1.da3f1418f0ec7p-18, 0x1.27d3e6abf2a4bp-17, 0x1.609fc3acf2af7p-17, 0x1.978da8d873a2cp-17, 0x1.cca7eefeaff3ap-17, 0x1.fff8c09fcfe32p-17, 0x1.18c50d5b12365p-16, 0x1.30b2e6a4739c2p-16, 0x1.47cabe167192cp-16, 0x1.5e114fc5e5835p-16, 0x1.738b4254c5b87p-16, 0x1.883d27428d57ap-16, 0x1.9c2b7b385ae99p-16, 0x1.af5aa65ea0d91p-16, 0x1.c1cefca44f0c8p-16, 0x1.d38cbe13fd5d5p-16, 0x1.e498171d29b36p-16, 0x1.f4f520e7aa366p-16, 0x1.0253f0cbcd1f5p-15, 0x1.09da264e36601p-15, 0x1.110f217903f74p-15, 0x1.17f4c9b5f878dp-15, 0x1.1e8cfd8565b16p-15, 0x1.24d99296e9cb2p-15, 0x1.2adc55f0ea763p-15, 0x1.30970c16cd3f9p-15, 0x1.360b7123a9268p-15, 0x1.3b3b38f2e6aecp-15, 0x1.40280f3ca171ep-15, 0x1.44d397b58566fp-15, }}, 
      {{0x1.fffaddf33497ep-1, 0x1.ffeb8bf2b0712p-1, 0x1.ffd2442abd7e5p-1, 0x1.ffaf60e063817p-1, 0x1.ff8354b2c9ddep-1, 0x1.ff4ea2ae20eb3p-1, 0x1.ff11d72c7a397p-1, 0x1.fecd81ea0a616p-1, 0x1.fe823154059d8p-1, 0x1.fe306eeec68d3p-1, 0x1.fdd8bca5fffebp-1, 0x1.fd7b92debe67bp-1, 0x1.fd195f2bbb35bp-1, 0x1.fcb2838bc3e0cp-1, 0x1.fc47561e29c5fp-1, 0x1.fbd8213b077e1p-1, 0x1.fb6523dda0e95p-1, 0x1.faee924f34853p-1, 0x1.fa74970118955p-1, 0x1.f9f75385ed765p-1, 0x1.f976e19b6803cp-1, 0x1.f8f3543840ccdp-1, 0x1.f86cb8943d6fbp-1, 0x1.f7e31722afa31p-1, 0x1.f756747a0bfap-1, 0x1.f6c6d22555331p-1, 0x1.f6342f5dbedeep-1, 0x1.f59e89ac611bep-1, 0x1.f505dd74d19bbp-1, 0x1.f46a266a388afp-1, 0x1.f3cb5ff0e4d03p-1, 0x1.f329856e9eac2p-1, 0x1.f284928c04502p-1, 0x1.f1dc836921638p-1, 0x1.f13154c74aa21p-1, 0x1.f083042a06c21p-1, 0x1.efd18ff096d4cp-1, 0x1.ef1cf769612acp-1, 0x1.ee653ae04fda8p-1, 0x1.edaa5ba8fc9d8p-1, 0x1.ecec5c25457c5p-1, 0x1.ec2b3fc8d3b9ap-1, 0x1.eb670b19ecf2fp-1, 0x1.ea9fc3afd9e38p-1, 0x1.e9d5702f19fbfp-1, 0x1.e90818438c446p-1, 0x1.e837c498bbf02p-1, 0x1.e7647ed06a5c5p-1, 0x1.e68e5177831e5p-1, 0x1.e5b547f996b81p-1, 0x1.e4d96e930a905p-1, 0x1.e3fad24222079p-1, 0x1.e31980b70fb8bp-1, 0x1.e23588433f457p-1, 0x1.e14ef7c800268p-1, 0x1.e065dea4c795ep-1, 0x1.df7a4ca53752bp-1, 0x1.de8c51ef13055p-1, 0x1.dd9bfef055869p-1, 0x1.dca9644d8a89fp-1, 0x1.dbb492d093d13p-1, 0x1.dabd9b57fca5bp-1, 0x1.d9c48ec6f58c4p-1, 0x1.d8c97df61733cp-1, 0x1.d7cc79a4fc3c4p-1, 0x1.d6cd926cc762ep-1, 0x1.d5ccd8b39e366p-1, 0x1.d4ca5ca127efcp-1, 0x1.d3c62e140dcd3p-1, 0x1.d2c05c9885f21p-1, 0x1.d1b8f75fe4d73p-1, 0x1.d0b00d392f233p-1, 0x1.cfa5ac8aaad13p-1, 0x1.ce99e34c646f3p-1, 0x1.cd8cbf039e1ddp-1, 0x1.cc7e4cbf1f4d6p-1, 0x1.cb6e991456b59p-1, 0x1.ca5db01d4468fp-1, 0x1.c94b9d7718e38p-1, 0x1.c8386c418243p-1, 0x1.c724271e9253fp-1, 0x1.c60ed8333518ap-1, 0x1.c4f8892827bc8p-1, 0x1.c3e1432b5fadfp-1, 0x1.c2c90ef1d9bb4p-1, 0x1.c1aff4b9c2b04p-1, 0x1.c095fc4ceb288p-1, 0x1.bf7b2d037e02ap-1, 0x1.be5f8dc6f152ap-1, 0x1.bd4325152073p-1, 0x1.bc25f9038f6d7p-1, 0x1.bb080f42c96fep-1, 0x1.b9e96d21d29b5p-1, 0x1.b8ca1791ad9d7p-1, 0x1.b7aa1328e4964p-1, 0x1.b6896427177dbp-1, 0x1.b5680e788c4b1p-1, 0x1.b44615b9b3e5bp-1, 0x1.b3237d3aab589p-1, 0x1.b2004802aef2ep-1, 0x1.b0dc78d381509p-1, 0x1.afb8122cbed0cp-1, 0x1.ae93164f23311p-1, 0x1.ad6d873fbb971p-1, 0x1.ac4766cb0182fp-1, 0x1.ab20b687e5438p-1, 0x1.a9f977dac3866p-1, 0x1.a8d1abf841668p-1, 0x1.a7a953e81ad75p-1, 0x1.a6807087d47a9p-1, 0x1.a557028d5f629p-1, 0x1.a42d0a89a4dcdp-1, 0x1.a30288eb0033ep-1, 0x1.a1d77dffa46fp-1, 0x1.a0abe9f7ef987p-1, 0x1.9f7fcce8ad158p-1, 0x1.9e5326cd4433ap-1, 0x1.9d25f789d7513p-1, 0x1.9bf83eed516e7p-1, 0x1.9ac9fcb365abbp-1, 0x1.999b30867c4ecp-1, 0x1.986bda019377ap-1, 0x1.973bf8b20f57ap-1, 0x1.960b8c197d35cp-1, 0x1.94da93af48295p-1, 0x1.93a90ee25f4fbp-1, 0x1.9276fd1ad05b9p-1, 0x1.91445dbb53677p-1, 0x1.90113022cae93p-1, 0x1.8edd73adb559ap-1, 0x1.8da927b79567dp-1, 0x1.8c744b9c485c4p-1, 0x1.8b3edeb956544p-1, 0x1.8a08e06f3003bp-1, 0x1.88d2502265361p-1, 0x1.879b2d3ccb798p-1, 0x1.8663772e9a3bdp-1, 0x1.852b2d6f7b404p-1, 0x1.83f24f7f8c20ep-1, 0x1.82b8dce857acdp-1, 0x1.817ed53dbf72p-1, 0x1.8044381edc09bp-1, 0x1.7f090536cfc33p-1, 0x1.7dcd3c3d8cc5cp-1, 0x1.7c90dcf891f5cp-1, 0x1.7b53e73b998f3p-1, 0x1.7a165ae93c181p-1, 0x1.78d837f38a4fp-1, 0x1.77997e5c98259p-1, 0x1.765a2e36fe461p-1, 0x1.751a47a650d3p-1, 0x1.73d9cadf89d58p-1, 0x1.7298b829691e6p-1, 0x1.71570fdcc9d08p-1, 0x1.7014d264ee068p-1, 0x1.6ed2003fbe5fdp-1, 0x1.6d8e99fe01dbfp-1, 0x1.6c4aa043899cdp-1, 0x1.6b0613c755a03p-1, 0x1.69c0f553add17p-1, 0x1.687b45c633d92p-1, 0x1.6735060feb403p-1, 0x1.65ee37353af9dp-1, 0x1.64a6da4de3b6bp-1, 0x1.635ef084f129p-1, 0x1.62167b18a35e3p-1, 0x1.60cd7b5a502dcp-1, 0x1.5f83f2ae3e0fdp-1, 0x1.5e39e28b78923p-1, 0x1.5cef4c7b9fbfap-1, 0x1.5ba4321aafd3fp-1, 0x1.5a589516c3716p-1, 0x1.590c772fd483ep-1, 0x1.57bfda3771b51p-1, 0x1.5672c01074f98p-1, 0x1.55252aaeb42ebp-1, 0x1.53d71c16ab1f4p-1, 0x1.5288965d26d99p-1, 0x1.51399ba6e9c48p-1, 0x1.4fea2e284db96p-1, 0x1.4e9a5024e4cc1p-1, 0x1.4d4a03ef14945p-1, 0x1.4bf94be7b370ep-1, 0x1.4aa82a7d9fa31p-1, 0x1.4956a22d5712bp-1, 0x1.4804b5808e314p-1, 0x1.46b2670dc3583p-1, 0x1.455fb977d378cp-1, 0x1.440caf6d8c611p-1, 0x1.42b94ba940527p-1, 0x1.416590f056136p-1, 0x1.40118212dd674p-1, 0x1.3ebd21eb1f90cp-1, 0x1.3d68735d31cf1p-1, 0x1.3c13795688132p-1, 0x1.3abe36cd8906ep-1, 0x1.3968aec120c28p-1, 0x1.3812e438557ccp-1, 0x1.36bcda41dede3p-1, 0x1.356693f3bb221p-1, 0x1.3410146ac8649p-1, 0x1.32b95eca5bf63p-1, 0x1.3162763bdfd7bp-1, 0x1.300b5dee6d21ep-1, 0x1.2eb419166a628p-1, 0x1.2d5caaed2aa26p-1, 0x1.2c0516b08fefap-1, 0x1.2aad5fa2accf5p-1, 0x1.295589096a4c5p-1, 0x1.27fd962e2e3f5p-1, 0x1.26a58a5d83c93p-1, 0x1.254d68e6c6e2p-1, 0x1.23f5351bcfe74p-1, 0x1.229cf250a358cp-1, 0x1.2144a3db22adep-1, 0x1.1fec4d12be0d2p-1, 0x1.1e93f1502a688p-1, 0x1.1d3b93ed18439p-1, 0x1.1be33843ec032p-1, 0x1.1a8ae1af7a329p-1, 0x1.1932938ac4718p-1, 0x1.17da5130b905ep-1, 0x1.16821dfbf2dd9p-1, 0x1.1529fd467f107p-1, 0x1.13d1f269a10fbp-1, 0x1.127a00bd9940fp-1, 0x1.11222b9970e09p-1, 0x1.0fca7652c307bp-1, 0x1.0e72e43d8a89p-1, 0x1.0d1b78abf18fep-1, 0x1.0bc436ee21e86p-1, 0x1.0a6d225217eacp-1, 0x1.09163e2377294p-1, 0x1.07bf8dab5fff5p-1, 0x1.0669143048a56p-1, 0x1.0512d4f5d4f2ap-1, 0x1.03bcd33cb40f6p-1, 0x1.0267124279c0ep-1, 0x1.011195417f67bp-1, 0x1.ff78bee18526p-2, 0x1.fccee8078b8d9p-2, 0x1.fa25ac54e759cp-2, 0x1.f77d1222041cap-2, 0x1.f4d51fbfaf503p-2, 0x1.f22ddb76e38fbp-2, 0x1.ef874b8898368p-2, 0x1.ece1762d92c1ep-2, 0x1.ea3c61963b466p-2, 0x1.e79813ea6eb28p-2, 0x1.e4f4934959dd4p-2, 0x1.e251e5c953429p-2, 0x1.dfb01177b28d6p-2, 0x1.dd0f1c58b3905p-2, 0x1.da6f0c675002ap-2, 0x1.d7cfe7952208ap-2, 0x1.d531b3ca48efp-2, 0x1.d29476e5482e9p-2, 0x1.cff836baefac9p-2, 0x1.cd5cf9164075fp-2, 0x1.cac2c3b8548efp-2, 0x1.c8299c5849d6bp-2, 0x1.c59188a326525p-2, 0x1.c2fa8e3bcafadp-2, 0x1.c064b2bad8084p-2, 0x1.bdcffbae9e6e4p-2, 0x1.bb3c6e9b0b3p-2, 0x1.b8aa10f9986c6p-2, 0x1.b618e8393922fp-2, 0x1.b388f9be4ab03p-2, 0x1.b0fa4ae2880cap-2, 0x1.ae6ce0f4f672cp-2, 0x1.abe0c139d89dep-2, 0x1.a955f0eaa35afp-2, 0x1.a6cc7535edb34p-2, 0x1.a444533f642b4p-2, 0x1.a1bd901fbea4fp-2, 0x1.9f3830e4b1dc8p-2, 0x1.9cb43a90e469bp-2, 0x1.9a31b21be2df9p-2, 0x1.97b09c7217718p-2, 0x1.9530fe74baff2p-2, 0x1.92b2dcf9cd9a3p-2, 0x1.90363ccc09c58p-2, 0x1.8dbb22aadcfb1p-2, 0x1.8b41934a5998dp-2, 0x1.88c9935330b8cp-2, 0x1.86532762a732p-2, 0x1.83de540a8a9ap-2, 0x1.816b1dd1295a2p-2, 0x1.7ef989314891dp-2, 0x1.7c899a9a1a69ep-2, 0x1.7a1b566f35486p-2, 0x1.77aec1088a24p-2, 0x1.7543deb25bb8p-2, 0x1.72dab3ad36292p-2, 0x1.7073442de2446p-2, 0x1.6e0d945d634c4p-2, 0x1.6ba9a858e5d18p-2, 0x1.69478431be619p-2, 0x1.66e72bed5be43p-2, 0x1.6488a38541028p-2, 0x1.622beee6f8b7ep-2, 0x1.5fd111f4133dap-2, 0x1.5d7810821716fp-2, 0x1.5b20ee5a7cab3p-2, 0x1.58cbaf3aa5094p-2, 0x1.567856d3d11bep-2, 0x1.5426e8cb17fcdp-2, 0x1.51d768b9636fbp-2, 0x1.4f89da2b62b0ep-2, 0x1.4d3e40a1867fap-2, 0x1.4af49f8ff5af3p-2, 0x1.48acfa5e89314p-2, 0x1.46675468c34ap-2, 0x1.4423b0fdc5731p-2, 0x1.41e213604e27fp-2, 0x1.3fa27ec6af398p-2, 0x1.3d64f65ac5728p-2, 0x1.3b297d39f664dp-2, 0x1.38f0167525db1p-2, 0x1.36b8c510b0213p-2, 0x1.34838c046760bp-2, 0x1.32506e3b8a645p-2, 0x1.301f6e94c0a2fp-2, 0x1.2df08fe21417p-2, 0x1.2bc3d4e8ee2a8p-2, 0x1.29994062111e4p-2, 0x1.2770d4f99251fp-2, 0x1.254a954edb25bp-2, 0x1.232683f4a10f2p-2, 0x1.2104a370e1339p-2, 0x1.1ee4f63ce22a7p-2, 0x1.1cc77ec52b317p-2, 0x1.1aac3f69857e5p-2, 0x1.18933a7cf92aap-2, 0x1.167c7245c9af5p-2, 0x1.1467e8fd7887dp-2, 0x1.1255a0d0be999p-2, 0x1.10459bdf8fb8bp-2, 0x1.0e37dc3d18043p-2, 0x1.0c2c63efbcc76p-2, 0x1.0a2334f11c79fp-2, 0x1.081c512e10116p-2, 0x1.0617ba86aa201p-2, 0x1.041572ce3cfd9p-2, 0x1.02157bcb5741bp-2, 0x1.0017d737cace3p-2, 0x1.fc390d815537p-3, 0x1.f847180ca709cp-3, 0x1.f459d138d9717p-3, 0x1.f0713c13d67bp-3, 0x1.ec8d5b923114cp-3, 0x1.e8ae328f2b372p-3, 0x1.e4d3c3ccc5b9ap-3, 0x1.e0fe11f3c67b2p-3, 0x1.dd2d1f93c3d14p-3, 0x1.d960ef233d296p-3, 0x1.d59982ff98652p-3, 0x1.d1d6dd6d3e004p-3, 0x1.ce190097a560cp-3, 0x1.ca5fee916127ep-3, 0x1.c6aba9543a767p-3, 0x1.c2fc32c137f64p-3, 0x1.bf518ca0bap-3, 0x1.bbabb8a28df52p-3, 0x1.b80ab85dfb718p-3, 0x1.b46e8d51e4d74p-3, 0x1.b0d738e4d9c74p-3, 0x1.ad44bc652d1efp-3, 0x1.a9b719090d991p-3, 0x1.a62e4feea4974p-3, 0x1.a2aa621c289a9p-3, 0x1.9f2b507fff91bp-3, 0x1.9bb11bf0d232cp-3, 0x1.983bc52db00bcp-3, 0x1.94cb4cde2c89ap-3, 0x1.915fb392787a4p-3, 0x1.8df8f9c3845abp-3, 0x1.8a971fd31d5ddp-3, 0x1.873a260c117d1p-3, 0x1.83e20ca25003ep-3, 0x1.808ed3b30859p-3, 0x1.7d407b44cef01p-3, 0x1.79f70347c15a1p-3, 0x1.76b26b95ab36cp-3, 0x1.7372b3f224fe1p-3, 0x1.7037dc0ac1bd7p-3, 0x1.6d01e3772fa37p-3, 0x1.69d0c9b960762p-3, 0x1.66a48e3db2093p-3, 0x1.637d305b116d5p-3, 0x1.605aaf532c322p-3, 0x1.5d3d0a5292b46p-3, 0x1.5a244070e1751p-3, 0x1.571050b0f099bp-3, 0x1.54013a00ffe6ap-3, 0x1.50f6fb3ad589p-3, 0x1.4df19323fba8dp-3, 0x1.4af1006de013ep-3, 0x1.47f541b60741cp-3, 0x1.44fe5586376dfp-3, 0x1.420c3a54a817ap-3, 0x1.3f1eee84309fdp-3, 0x1.3c3670647526p-3, 0x1.3952be3216e8bp-3, 0x1.3673d616e668ep-3, 0x1.3399b62a10463p-3, 0x1.30c45c704f621p-3, 0x1.2df3c6dc1b7e6p-3, 0x1.2b27f34de0a7bp-3, 0x1.2860df9426ca6p-3, 0x1.259e896bd0269p-3, 0x1.22e0ee8040e4fp-3, 0x1.20280c6b95a03p-3, 0x1.1d73e0b6d90ccp-3, 0x1.1ac468da32978p-3, 0x1.1819a23d1dd01p-3, 0x1.15738a369745p-3, 0x1.12d21e0d5bd89p-3, 0x1.10355af812189p-3, 0x1.0d9d3e1d81a85p-3, 0x1.0b09c494cd4ecp-3, 0x1.087aeb659e103p-3, 0x1.05f0af8860c0ep-3, 0x1.036b0de67665ep-3, 0x1.00ea035a69dd3p-3, 0x1.fcdb19604b0b1p-4, 0x1.f7eb4d4a5551bp-4, 0x1.f3049bd1857c9p-4, 0x1.ee26fe3872f04p-4, 0x1.e9526da61f908p-4, 0x1.e486e3265f8b3p-4, 0x1.dfc457aa547ep-4, 0x1.db0ac408c1e73p-4, 0x1.d65a20fe91171p-4, 0x1.d1b2672f27634p-4, 0x1.cd138f24e14c1p-4, 0x1.c87d91517c0ap-4, 0x1.c3f0660e72cb1p-4, 0x1.bf6c059d7f1ecp-4, 0x1.baf06828f9b7fp-4, 0x1.b67d85c443fa9p-4, 0x1.b213566c38929p-4, 0x1.adb1d207917cdp-4, 0x1.a958f0675c22fp-4, 0x1.a508a947585a9p-4, 0x1.a0c0f44e6abeep-4, 0x1.9c81c90f09c2fp-4, 0x1.984b1f079ba2cp-4, 0x1.941ceda2eeb82p-4, 0x1.8ff72c3897f2dp-4, 0x1.8bd9d20d658cp-4, 0x1.87c4d653bd7ebp-4, 0x1.83b8302c12b1cp-4, 0x1.7fb3d6a53feb6p-4, 0x1.7bb7c0bcfccep-4, 0x1.77c3e5603b9ccp-4, 0x1.73d83b6b9701ap-4, 0x1.6ff4b9abad012p-4, 0x1.6c1956dd9cc33p-4, 0x1.684609af5292ap-4, 0x1.647ac8bffe153p-4, 0x1.60b78aa06d999p-4, 0x1.5cfc45d37bdd8p-4, 0x1.5948f0ce6b018p-4, 0x1.559d81f94de9ap-4, 0x1.51f9efaf67f0dp-4, 0x1.4e5e303f907b5p-4, 0x1.4aca39ec98ff8p-4, 0x1.473e02eda4fc2p-4, 0x1.43b9816e8f1fdp-4, 0x1.403cab904d627p-4, 0x1.3cc7776949557p-4, 0x1.3959db05c7c1fp-4, 0x1.35f3cc683edc5p-4, 0x1.32954189b3ae5p-4, 0x1.2f3e305a1f99p-4, 0x1.2bee8ec0c113fp-4, 0x1.28a6529c8378dp-4, 0x1.256571c44d1f2p-4, 0x1.222be207631bdp-4, 0x1.1ef9992dc4e8cp-4, 0x1.1bce8cf8704cfp-4, 0x1.18aab321dc548p-4, 0x1.158e015e32aa5p-4, 0x1.12786d5baf1ecp-4, 0x1.0f69ecc2fe4d2p-4, 0x1.0c627537869d4p-4, 0x1.0961fc57c6bc1p-4, 0x1.066877bd9ef7bp-4, 0x1.0375dcfeaaf78p-4, 0x1.008a21ac98a44p-4, 0x1.fb4a76aad76b3p-5, 0x1.f58e3f07b30e2p-5, 0x1.efdf877f286ccp-5, 0x1.ea3e3b1b34a98p-5, 0x1.e4aa44e107e95p-5, 0x1.df238fd1b64ep-5, 0x1.d9aa06ea99c5ep-5, 0x1.d43d9526311dfp-5, 0x1.cede257c7d987p-5, 0x1.c98ba2e3b7126p-5, 0x1.c445f850c4b19p-5, 0x1.bf0d10b7f163fp-5, 0x1.b9e0d70d53aadp-5, 0x1.b4c1364579a7ep-5, 0x1.afae1955e5aacp-5, 0x1.aaa76b359b48p-5, 0x1.a5ad16ddadd81p-5, 0x1.a0bf0749bdb92p-5, 0x1.9bdd277889f8ap-5, 0x1.9707626c62adp-5, 0x1.923da32bbaf94p-5, 0x1.8d7fd4c1a7b71p-5, 0x1.88cde23e500dcp-5, 0x1.8427b6b77cffap-5, 0x1.7f8d3d49067c8p-5, 0x1.7afe6115520b3p-5, 0x1.767b0d45d00b9p-5, 0x1.72032d0b68c8bp-5, 0x1.6d96ab9ef581ap-5, 0x1.69357441ae2fcp-5, 0x1.64df723da5ba6p-5, 0x1.609490e6321cp-5, 0x1.5c54bb9856fe1p-5, 0x1.581fddbb364ffp-5, 0x1.53f5e2c0786c7p-5, 0x1.4fd6b624c0e99p-5, 0x1.4bc2436ffb4c2p-5, 0x1.47b87635d8a3bp-5, 0x1.43b93a162942cp-5, 0x1.3fc47abd40ab3p-5, 0x1.3bda23e456502p-5, 0x1.37fa2151e43b4p-5, 0x1.34245eda00c54p-5, 0x1.3058c85ebea36p-5, 0x1.2c9749d08266fp-5, 0x1.28dfcf2e63994p-5, 0x1.253244867be5cp-5, 0x1.218e95f63427dp-5, 0x1.1df4afaaacea2p-5, 0x1.1a647de0fa91p-5, 0x1.16ddece68c718p-5, 0x1.1360e919602fcp-5, 0x1.0fed5ee863e97p-5, 0x1.0c833ad3ba774p-5, 0x1.0922696d03e83p-5, 0x1.05cad757af7c1p-5, 0x1.027c71492906dp-5, 0x1.fe6e481290f2cp-6, 0x1.f7f5b8e4c63e8p-6, 0x1.f18f0ee3791f2p-6, 0x1.eb3a240f4a92ap-6, 0x1.e4f6d28fafe0cp-6, 0x1.dec4f4b317e72p-6, 0x1.d8a464efcf177p-6, 0x1.d294fde41db9bp-6, 0x1.cc969a56f0cfp-6, 0x1.c6a9153817fe2p-6, 0x1.c0cc49a0f1fa9p-6, 0x1.bb0012d4a8552p-6, 0x1.b5444c408284cp-6, 0x1.af98d17ca27dp-6, 0x1.a9fd7e4c099b3p-6, 0x1.a4722e9d1ad53p-6, 0x1.9ef6be8a13c1dp-6, 0x1.998b0a592a271p-6, 0x1.942eee7d1e582p-6, 0x1.8ee247955a2bcp-6, 0x1.89a4f26e7e6dp-6, 0x1.8476cc026ed1cp-6, 0x1.7f57b178cf3c7p-6, 0x1.7a47802737ce9p-6, 0x1.754615918d932p-6, 0x1.70534f6a2390ep-6, 0x1.6b6f0b922ee6ap-6, 0x1.66992819cf3c8p-6, 0x1.61d1834089e9ap-6, 0x1.5d17fb7542ea3p-6, 0x1.586c6f56a1805p-6, 0x1.53cebdb342de8p-6, 0x1.4f3ec589da861p-6, 0x1.4abc6609670ddp-6, 0x1.46477e9179e94p-6, 0x1.41dfeeb23dbd3p-6, 0x1.3d85962cc47c6p-6, 0x1.393854f30fd8cp-6, 0x1.34f80b285b26cp-6, 0x1.30c499210d4a8p-6, 0x1.2c9ddf63186b4p-6, 0x1.2883bea5e422fp-6, 0x1.247617d27ec07p-6, 0x1.2074cc03c0768p-6, 0x1.1c7fbc865f0fep-6, 0x1.1896cad8fe1eep-6, 0x1.14b9d8ac3c5bap-6, 0x1.10e8c7e2f7326p-6, 0x1.0d237a921277ap-6, 0x1.0969d300c51cp-6, 0x1.05bbb3a887949p-6, 0x1.0218ff3528432p-6, 0x1.fd0331099df57p-7, 0x1.f5eac5502f7aep-7, 0x1.eee881c3f1656p-7, 0x1.e7fc2d4fd4878p-7, 0x1.e1258f4395eb9p-7, 0x1.da646f53fb583p-7, 0x1.d3b8959a912afp-7, 0x1.cd21ca95c67ddp-7, 0x1.c69fd729148f7p-7, 0x1.c032849c90fc8p-7, 0x1.b9d99c9d21d29p-7, 0x1.b394e93c5e99cp-7, 0x1.ad6434f07e08bp-7, 0x1.a7474a9428fbbp-7, 0x1.a13df56689ef9p-7, 0x1.9b48010af890bp-7, 0x1.956539892122ep-7, 0x1.8f956b4c69b18p-7, 0x1.89d863246b18dp-7, 0x1.842dee445635bp-7, 0x1.7e95da42cde62p-7, 0x1.790ff519fd8dfp-7, 0x1.739c0d271bd4fp-7, 0x1.6e39f12a71b06p-7, 0x1.68e97046f9475p-7, 0x1.63aa5a0246057p-7, 0x1.5e7c7e443e3ccp-7, 0x1.595fad56c27b9p-7, 0x1.5453b7e5a51aap-7, 0x1.4f586efe502abp-7, 0x1.4a6da40f62f07p-7, 0x1.459328e88fb17p-7, 0x1.40c8cfba5531cp-7, 0x1.3c0e6b15a5e5ap-7, 0x1.3763cdeb9fbfp-7, 0x1.32c8cb8d37bbfp-7, 0x1.2e3d37ab02074p-7, 0x1.29c0e654beb53p-7, 0x1.2553abf918759p-7, 0x1.20f55d6552abap-7, 0x1.1ca5cfc4f4d83p-7, 0x1.1864d8a14d585p-7, 0x1.14324de14af96p-7, 0x1.100e05c90d822p-7, 0x1.0bf7d6f96ea2bp-7, 0x1.07ef986fb197ap-7, 0x1.03f5218544899p-7, 0x1.000849ef2478fp-7, 0x1.f851d37b6a443p-8, 0x1.f0adb2b80d058p-8, 0x1.e923e31fbbb86p-8, 0x1.e1b416f1cad0dp-8, 0x1.da5e012145008p-8, 0x1.d32155532e7bbp-8, 0x1.cbfdc7deaee9bp-8, 0x1.c4f30dcb7c5a3p-8, 0x1.be00dcd13f9d4p-8, 0x1.b726eb56c0501p-8, 0x1.b064f070f59bdp-8, 0x1.a9baa3e21c06p-8, 0x1.a327be18f7294p-8, 0x1.9cabf82fa2477p-8, 0x1.96470beafe7bcp-8, 0x1.8ff8b3b97febfp-8, 0x1.89c0aab26bd8ap-8, 0x1.839eac94e95c6p-8, 0x1.7d9275c7119a7p-8, 0x1.779bc354bc605p-8, 0x1.71ba52ef2a03ap-8, 0x1.6bede2eb441edp-8, 0x1.6636324166adfp-8, 0x1.6093008bdd078p-8, 0x1.5b040e06467cap-8, 0x1.55891b8c7e478p-8, 0x1.5021ea99864b4p-8, 0x1.4ace3d46a7056p-8, 0x1.458dd64a8bd7bp-8, 0x1.406078f80b283p-8, 0x1.3b45e93d5ff0dp-8, 0x1.363deba3275a1p-8, 0x1.3148454b1ac8dp-8, 0x1.2c64bbef759e4p-8, 0x1.279315e1b37eap-8, 0x1.22d31a09a07fap-8, 0x1.1e248fe4663fp-8, 0x1.19873f835492ep-8, 0x1.14faf18b4bcadp-8, 0x1.107f6f331dcb5p-8, 0x1.0c148243324abp-8, 0x1.07b9f513fb587p-8, 0x1.036f928d309ccp-8, 0x1.fe6a4c49bdeeep-9, 0x1.f614f7bc43fa5p-9, 0x1.eddec090bb9dap-9, 0x1.e5c740fc5c234p-9, 0x1.ddce14486f42cp-9, 0x1.d5f2d6d089b3bp-9, 0x1.ce35260092c62p-9, 0x1.c694a052904f6p-9, 0x1.bf10e54cef903p-9, 0x1.b7a9957ff70efp-9, 0x1.b05e528417ef4p-9, 0x1.a92ebef7d0639p-9, 0x1.a21a7e7dbc477p-9, 0x1.9b2135ba661d5p-9, 0x1.94428a524fc7ap-9, 0x1.8d7e22e82c3b9p-9, 0x1.86d3a71a4bba6p-9, 0x1.8042bf8110105p-9, 0x1.79cb15accf05bp-9, 0x1.736c5423cd953p-9, 0x1.6d2626600cf8cp-9, 0x1.66f838cdbaf7ep-9, 0x1.60e238c8a7b24p-9, 0x1.5ae3d49ae6583p-9, 0x1.54fcbb7a0e9abp-9, 0x1.4f2c9d85f1a7ep-9, 0x1.49732bc660765p-9, 0x1.43d0182913d73p-9, 0x1.3e43157fdd28p-9, 0x1.38cbd77eb14b8p-9, 0x1.336a12b97be8p-9, 0x1.2e1d7ca2621c5p-9, 0x1.28e5cb8843215p-9, 0x1.23c2b6939cd71p-9, 0x1.1eb3f5c5bc0a5p-9, 0x1.19b941f659179p-9, 0x1.14d254d1c0ba7p-9, 0x1.0ffee8d6e1d7fp-9, 0x1.0b3eb95556374p-9, 0x1.0691826be323ap-9, 0x1.01f70105e514ep-9, 0x1.fadde5b4d521bp-10, 0x1.f1f22cd256985p-10, 0x1.e92a55f36c5efp-10, 0x1.e085e131cd245p-10, 0x1.d804502f05644p-10, 0x1.cfa5261037c8dp-10, 0x1.c767e77aa2944p-10, 0x1.bf4c1a8fe29d1p-10, 0x1.b75146eb58c5bp-10, 0x1.af76f59c92f7dp-10, 0x1.a7bcb12538b75p-10, 0x1.a02205758c0b7p-10, 0x1.98a67fe848464p-10, 0x1.9149af3ecc3bfp-10, 0x1.8a0b239ec227ep-10, 0x1.82ea6e8da461ep-10, 0x1.7be722edba209p-10, 0x1.7500d4fadacf7p-10, 0x1.6e371a45ff271p-10, 0x1.678989b3293f4p-10, 0x1.60f7bb7563fd6p-10, 0x1.5a81490b0851p-10, 0x1.5425cd3b51f55p-10, 0x1.4de4e4123656fp-10, 0x1.47be2add879e5p-10, 0x1.41b140299abfcp-10, 0x1.3bbdc3bdc1a35p-10, 0x1.35e35699ac1b1p-10, 0x1.30219af1c4c51p-10, 0x1.2a78342bbe562p-10, 0x1.24e6c6dba01ffp-10, 0x1.1f6cf8c111a2bp-10, 0x1.1a0a70c3f31b7p-10, 0x1.14bed6f0b944bp-10, 0x1.0f89d4760d5a9p-10, 0x1.0a6b13a139bf2p-10, 0x1.05623fdbba748p-10, 0x1.006f05a77f15ep-10, 0x1.f7222538bda9cp-11, 0x1.ed902aca2957ep-11, 0x1.e4277b7858ba7p-11, 0x1.dae778d1da9bdp-11, 0x1.d1cf867a10191p-11, 0x1.c8df0a21ac12bp-11, 0x1.c0156b8296e89p-11, 0x1.b77214588b306p-11, 0x1.aef4705dba6c5p-11, 0x1.a69bed42c06bep-11, 0x1.9e67faaacf5p-11, 0x1.96580a25287bbp-11, 0x1.8e6b8f2786027p-11, 0x1.86a1ff0a238bbp-11, 0x1.7efad100bf77ap-11, 0x1.77757e160ce3fp-11, 0x1.70118125cc7cap-11, 0x1.68ce56d834d25p-11, 0x1.61ab7d9c6082fp-11, 0x1.5aa875a3317b1p-11, 0x1.53c4c0d9f970dp-11, 0x1.4cffe2e5dbec4p-11, 0x1.4659611e5e706p-11, 0x1.3fd0c2884a291p-11, 0x1.39658fd1314cfp-11, 0x1.3317534a2abcep-11, 0x1.2ce598e2a3079p-11, 0x1.26cfee244ba19p-11, 0x1.20d5e22e1de5fp-11, 0x1.1af705ae77f5bp-11, 0x1.1532eae04bea2p-11, 0x1.0f892584b4782p-11, 0x1.09f94adfe17bdp-11, 0x1.0482f1b351703p-11, 0x1.fe4b6472418d1p-12, 0x1.f3c24c4272a58p-12, 0x1.e969d115aa48dp-12, 0x1.df412c027383bp-12, 0x1.d54798edbed4bp-12, 0x1.cb7c5683e5cb3p-12, 0x1.c1dea62d4be6bp-12, 0x1.b86dcc0845312p-12, 0x1.af290edef8adp-12, 0x1.a60fb820c7eefp-12, 0x1.9d2113d7737edp-12, 0x1.945c70a2166a3p-12, 0x1.8bc11faaa8524p-12, 0x1.834e749dca4aep-12, 0x1.7b03c5a57bb8dp-12, 0x1.72e06b5e23394p-12, 0x1.6ae3c0d0a2b9p-12, 0x1.630d2369a7936p-12, 0x1.5b5bf2f2a6162p-12, 0x1.53cf918a76e4dp-12, 0x1.4c67639bf2801p-12, 0x1.4522cfd8fe68ep-12, 0x1.3e013f3256d8ap-12, 0x1.37021ccf1405p-12, 0x1.3024d60789c6dp-12, 0x1.2968da5cbb4d5p-12, 0x1.22cd9b70cd459p-12, 0x1.1c528d021d59bp-12, 0x1.15f724e29503ap-12, 0x1.0fbadaf117e86p-12, 0x1.099d2912f6b44p-12, 0x1.039d8b2daef97p-12, 0x1.fb76fe3f26c5ep-13, 0x1.efed0973cc322p-13, 0x1.e49c3b71f3b0cp-13, 0x1.d9839b8017fdep-13, 0x1.cea234a15579bp-13, 0x1.c3f7158c08d6ep-13, 0x1.b981509ae3266p-13, 0x1.af3ffbc2e74b4p-13, 0x1.a5323086b9152p-13, 0x1.9b570be88891ap-13, 0x1.91adae600116ep-13, 0x1.88353bce2ec97p-13, 0x1.7eecdb7312ad8p-13, 0x1.75d3b7e004ddfp-13, 0x1.6ce8feec9e60cp-13, 0x1.642be1acc5048p-13, 0x1.5b9b946497342p-13, 0x1.53374e7e52e62p-13, 0x1.4afe4a7d1cb4ap-13, 0x1.42efc5f55b808p-13, 0x1.3b0b01803013dp-13, 0x1.334f40b0c8596p-13, 0x1.2bbbca0b7ed83p-13, 0x1.244fe6f905c6dp-13, 0x1.1d0ae3bfc7e3ap-13, 0x1.15ec0f76b88e9p-13, 0x1.0ef2bbfc9cb47p-13, 0x1.081e3dee4ae92p-13, 0x1.016dec9cdb4c9p-13, 0x1.f5c24407d4b1dp-14, 0x1.e8ee75811a456p-14, 0x1.dc5f2c0f3dec7p-14, 0x1.d0132b37598f7p-14, 0x1.c4093b8b9c12bp-14, 0x1.b8402a959eb45p-14, 0x1.acb6cac63cf13p-14, 0x1.a16bf362e1e9cp-14, 0x1.965e8075e2b39p-14, 0x1.8b8d52ba4c377p-14, 0x1.80f74f8ce539bp-14, 0x1.769b60ddd8755p-14, 0x1.6c78751a36d96p-14, 0x1.628d7f1f6093bp-14, 0x1.58d9762aa0129p-14, 0x1.4f5b55c87a71bp-14, 0x1.46121dc411bccp-14, 0x1.3cfcd21a2dc85p-14, 0x1.341a7ae6890c5p-14, 0x1.2b6a2456062dep-14, 0x1.22eade991c4c8p-14, 0x1.1a9bbdd2360adp-14, 0x1.127bda08a74e8p-14, 0x1.0a8a4f19fd49cp-14, 0x1.02c63cab48ee1p-14, 0x1.f65d8c362db4fp-15, 0x1.e78624e7f6ba1p-15, 0x1.d90498bd1ae1dp-15, 0x1.cad74424a483cp-15, 0x1.bcfc8a965ebf7p-15, 0x1.af72d67303bc7p-15, 0x1.a23898ed08988p-15, 0x1.954c49ed01ff9p-15, 0x1.88ac67f968baep-15, 0x1.7c57781de9296p-15, 0x1.704c05cf4fdcdp-15, 0x1.6488a2d5b35fbp-15, 0x1.590be7356d89p-15, 0x1.4dd47113ca4c2p-15, 0x1.42e0e4a0bdd71p-15, 0x1.382fec00281ebp-15, 0x1.2dc03731b24bp-15, 0x1.23907bfca02f3p-15, 0x1.199f75d71f65ap-15, 0x1.0febe5d0e6894p-15, 0x1.0674927a91a6p-15, 0x1.fa708fac63ba6p-16, 0x1.e86bae79df84dp-16, 0x1.d6d82e951ebc8p-16, 0x1.c5b3c797c60e7p-16, 0x1.b4fc3b50814d1p-16, 0x1.a4af55982f273p-16, 0x1.94caec2e262a8p-16, 0x1.854cde918aeecp-16, 0x1.763315d7ac9bp-16, 0x1.677b848510202p-16, 0x1.5924266e74d7dp-16, 0x1.4b2b008c0210ep-16, 0x1.3d8e20d5ed58ep-16, 0x1.304b9e26e4828p-16, 0x1.2361980fcb5p-16, 0x1.16ce36bbe7d5cp-16, 0x1.0a8faaca82ddap-16, 0x1.fd485a547427ep-17, 0x1.e613fdf5e3701p-17, 0x1.cf7ed2dd2de04p-17, 0x1.b9857b43a1e32p-17, 0x1.a424a90822733p-17, 0x1.8f591d5f84924p-17, 0x1.7b1fa8a17bb6ep-17, 0x1.67752a0038e9p-17, 0x1.54568f539cc07p-17, 0x1.41c0d4de343b3p-17, 0x1.2fb105052a243p-17, 0x1.1e2438255b27dp-17, 0x1.0d1794520ff5fp-17, 0x1.f9109a359994fp-18, 0x1.d8e746a7b8207p-18, 0x1.b9adc9ca0019cp-18, 0x1.9b5ed916f7a98p-18, 0x1.7df54350700a2p-18, 0x1.616bf011ab2dep-18, 0x1.45bddf6b2130bp-18, 0x1.2ae62979d8c13p-18, 0x1.10dffe01808c8p-18, 0x1.ef4d481bb60dap-19, 0x1.be6af2fa314dbp-19, 0x1.8f0fe57df70b2p-19, 0x1.613334a78b94fp-19, 0x1.34cc211075b8dp-19, 0x1.09d21612c9522p-19, 0x1.c0795250aa12dp-20, 0x1.70073236b9b22p-20, 0x1.223d9ac774235p-20, 0x1.ae195613ef1d3p-21, 0x1.1cc9a14965057p-21, 0x1.20db1981df204p-22, 0x1.1ce4d1844c8d8p-26, -0x1.e79bb77b313ebp-23, -0x1.f032f4a14282cp-22, -0x1.71ccb82515f57p-21, -0x1.e71c52bb485d3p-21, -0x1.2c11b4ff9b626p-20, -0x1.627e4a657388p-20, -0x1.96e0f16ec6d44p-20, -0x1.c9466fdcf895bp-20, -0x1.f9bb4a6b029b2p-20, -0x1.1425e2d5b3bd3p-19, -0x1.2a81f3b542e88p-19, -0x1.3ff7bbdb45586p-19, -0x1.548d00ef67dd9p-19, -0x1.68476ac87130ap-19, -0x1.7b2c83e70f3b8p-19, -0x1.8d41ba157ebe1p-19, -0x1.9e8c5ec5067f8p-19, -0x1.af11a79ca3dbdp-19, -0x1.bed6aefb1e98bp-19, -0x1.cde074695aa81p-19, -0x1.dc33dd19f8cc9p-19, -0x1.e9d5b45aa2a54p-19, -0x1.f6caac16cb72ep-19, -0x1.018bae96a2d19p-18, -0x1.0760240243efap-18, -0x1.0ce4ea7806147p-18, -0x1.121c2a4c16d6ap-18, -0x1.170800321c09ap-18, -0x1.1baa7d76a6683p-18, -0x1.2005a83309b92p-18, -0x1.241b7b815a231p-18, -0x1.27ede7ae1089bp-18, -0x1.2b7ed26d4b904p-18, -0x1.2ed01705e6769p-18, -0x1.31e38687e2b25p-18, -0x1.34bae7f886877p-18, -0x1.3757f886b6974p-18, -0x1.39bc6bad70a4ep-18, -0x1.3be9eb7086711p-18, -0x1.3de21880248c4p-18, -0x1.3fa68a668cd0dp-18, -0x1.4138cfb5c477fp-18, -0x1.429a6e2b3b7e6p-18, -0x1.43cce2e69edd6p-18, -0x1.44d1a281d82ccp-18, -0x1.45aa1949d27f8p-18, -0x1.4657ab5e1df3fp-18, -0x1.46dbb4d92b9d5p-18, -0x1.473789f639669p-18, -0x1.476c773bf8d12p-18, -0x1.477bc1993cc26p-18, -0x1.4766a693ff2bp-18, -0x1.472e5c651c244p-18, -0x1.46d4121f323e9p-18, -0x1.4658efd6043a3p-18, -0x1.45be16b4e11ap-18, -0x1.4504a13171618p-18, -0x1.442da31b8e32p-18, -0x1.433a29c7277edp-18, -0x1.422b3c2dd7f2bp-18, -0x1.4101db0b2177p-18, -0x1.3fbf00fa68c71p-18, -0x1.3e63a29865e18p-18, -0x1.3cf0aea095d5p-18, -0x1.3b670e094c0bep-18, -0x1.39c7a41fcbf3ap-18, -0x1.38134ea8c82e4p-18, -0x1.364ae5f6ac177p-18, -0x1.346f3d0cee21ap-18, -0x1.328121b301e39p-18, -0x1.30815c92abde1p-18, -0x1.2e70b155f99a1p-18, -0x1.2c4fdeb7e76e8p-18, -0x1.2a1f9ea8a5447p-18, -0x1.27e0a65b60424p-18, -0x1.2593a666a1218p-18, -0x1.23394ad91cfc6p-18, -0x1.20d23b4ffbf14p-18, -0x1.1e5f1b1249056p-18, -0x1.1be089217b623p-18, -0x1.1957205684b1fp-18, -0x1.16c3777122c91p-18, -0x1.1426213259196p-18, -0x1.117fac715bba2p-18, -0x1.0ed0a42d1dc87p-18, -0x1.0c198fa375fa9p-18, }}, 
      std::vector<double>(1050, 0.0), 
      {{0x1.75a0f432a4007p-8, 0x1.761b8e540a722p-7, 0x1.191d833318c29p-6, 0x1.77ac3836a7713p-6, 0x1.d6b70bfd5a98cp-6, 0x1.1b142a9853e23p-5, 0x1.4aeece561653ap-5, 0x1.7ad68d06ed975p-5, 0x1.aab508f1cc021p-5, 0x1.da74097d9d2ebp-5, 0x1.04ff51e30ccc4p-4, 0x1.1ca104ce953b7p-4, 0x1.34170a29ac6c7p-4, 0x1.4b5acc6c39737p-4, 0x1.626746ca42034p-4, 0x1.7939040521d94p-4, 0x1.8fce0c0058f58p-4, 0x1.a625c3432c181p-4, 0x1.bc40bfe6b1057p-4, 0x1.d220979617cbdp-4, 0x1.e7c7aa2a742dbp-4, 0x1.fd38ec0f2f5c1p-4, 0x1.093bd989a7904p-3, 0x1.13c3c3d5c929p-3, 0x1.1e35fe01ffd6bp-3, 0x1.289444d323aaep-3, 0x1.32e03afa70bf1p-3, 0x1.3d1b5ea8134d7p-3, 0x1.47470235a64ccp-3, 0x1.51644790dfd09p-3, 0x1.5b741dfff0d59p-3, 0x1.657741d37e357p-3, 0x1.6f6e3d9c82db4p-3, 0x1.79596c83c4cc8p-3, 0x1.8338fd6bb157fp-3, 0x1.8d0cf6927286dp-3, 0x1.96d5397797d48p-3, 0x1.a09186d6065aep-3, 0x1.aa41828ef954cp-3, 0x1.b3e4b76db3e5dp-3, 0x1.bd7a9ab45a8f5p-3, 0x1.c7028f69cd025p-3, 0x1.d07be965ae256p-3, 0x1.d9e5f01be267ap-3, 0x1.e33fe12b567fcp-3, 0x1.ec88f2b5568d2p-3, 0x1.f5c0558371e32p-3, 0x1.fee53701b6833p-3, 0x1.03fb61896010cp-2, 0x1.087a12e10a6acp-2, 0x1.0cee466c4d466p-2, 0x1.115794aae0e11p-2, 0x1.15b59867a6625p-2, 0x1.1a07ef5c605dp-2, 0x1.1e4e3ac96ad69p-2, 0x1.228820016e6e6p-2, 0x1.26b548e8dac0bp-2, 0x1.2ad56468d2408p-2, 0x1.2ee826d53a22p-2, 0x1.32ed4a45a3902p-2, 0x1.36e48ee0c7cfdp-2, 0x1.3acdbb1a80e1ep-2, 0x1.3ea89be439cep-2, 0x1.427504cff39d1p-2, 0x1.4632d02629c74p-2, 0x1.49e1deeef90b4p-2, 0x1.4d8218ef1093bp-2, 0x1.51136c9910266p-2, 0x1.5495cef4123ccp-2, 0x1.58093b7832ed8p-2, 0x1.5b6db3e1f5b77p-2, 0x1.5ec33ffd71832p-2, 0x1.6209ed6a3ede1p-2, 0x1.6541cf591971dp-2, 0x1.686afe442c549p-2, 0x1.6b8597a2fa351p-2, 0x1.6e91bd9acep-2, 0x1.718f96ac960e7p-2, 0x1.747f4d60f9e3bp-2, 0x1.77610ff37c442p-2, 0x1.7a350ffd610bdp-2, 0x1.7cfb8220ff357p-2, 0x1.7fb49db620ec4p-2, 0x1.82609c77fdf3dp-2, 0x1.84ffba3546b5bp-2, 0x1.87923482b560fp-2, 0x1.8a184a707d83ap-2, 0x1.8c923c42e9b8p-2, 0x1.8f004b2e6a3f9p-2, 0x1.9162b917439bp-2, 0x1.93b9c85506767p-2, 0x1.9605bb79eb4d8p-2, 0x1.9846d51e1d366p-2, 0x1.9a7d57af0105ap-2, 0x1.9ca985426885p-2, 0x1.9ecb9f6db30f1p-2, 0x1.a0e3e720bef91p-2, 0x1.a2f29c8491d84p-2, 0x1.a4f7fedd9e21p-2, 0x1.a6f44c717b754p-2, 0x1.a8e7c26fed23p-2, 0x1.aad29cdf051ebp-2, 0x1.acb5168a419cap-2, 0x1.ae8f68f46746ap-2, 0x1.b061cc4bf078p-2, 0x1.b22c7761dbd8cp-2, 0x1.b3ef9fa2abb87p-2, 0x1.b5ab791162b51p-2, 0x1.b76036444feecp-2, 0x1.b90e086374413p-2, 0x1.bab51f2861472p-2, 0x1.bc55a8df59dd7p-2, 0x1.bdefd2698d00fp-2, 0x1.bf83c7404aecp-2, 0x1.c111b1790959cp-2, 0x1.c299b9ca118d8p-2, 0x1.c41c078fc4c34p-2, 0x1.c598c0d24a9f2p-2, 0x1.c7100a4b9b87cp-2, 0x1.c882076dc8931p-2, 0x1.c9eeda696dac2p-2, 0x1.cb56a43439459p-2, 0x1.ccb9848f7e29ep-2, 0x1.ce179a0eb819ap-2, 0x1.cf71021e04198p-2, 0x1.d0c5d908743f4p-2, 0x1.d21639fe41a11p-2, 0x1.d3623f1ad169p-2, 0x1.d4aa016a88a64p-2, 0x1.d5ed98f06dfb2p-2, 0x1.d72d1cab905bep-2, 0x1.d868a29c3c8bbp-2, 0x1.d9a03fc8f88b9p-2, 0x1.dad408434ab31p-2, 0x1.dc040f2c4b213p-2, 0x1.dd3066b9076fep-2, 0x1.de592036b525p-2, 0x1.df7e4c0eb899bp-2, 0x1.e09ff9ca8ae4ep-2, 0x1.e1be38177197fp-2, 0x1.e2d914ca2554ap-2, 0x1.e3f09ce2505cep-2, 0x1.e504dc8dfe2fp-2, 0x1.e615df2cf8a8cp-2, 0x1.e723af540f9dbp-2, 0x1.e82e56d05ce8cp-2, 0x1.e935deaa7fb1fp-2, 0x1.ea3a4f29cd26p-2, 0x1.eb3bafd789f9ep-2, 0x1.ec3a07821f882p-2, 0x1.ed355c4056a63p-2, 0x1.ee2db37498a1dp-2, 0x1.ef2311d03cff8p-2, 0x1.f0157b56db2e9p-2, 0x1.f104f361add46p-2, 0x1.f1f17ca2ff547p-2, 0x1.f2db1929a5bcap-2, 0x1.f3c1ca648da6p-2, 0x1.f4a591265014p-2, 0x1.f5866da8dfa3p-2, 0x1.f6645f9138cbp-2, 0x1.f73f65f32b343p-2, 0x1.f8177f552af5ap-2, 0x1.f8eca9b4336bcp-2, 0x1.f9bee287b1fa1p-2, 0x1.fa8e26c581f2ap-2, 0x1.fb5a72e5ef884p-2, 0x1.fc23c2e7c780ep-2, 0x1.fcea12546e62bp-2, 0x1.fdad5c43fe394p-2, 0x1.fe6d9b616e089p-2, 0x1.ff2ac9eeba20ap-2, 0x1.ffe4e1c914cc7p-2, 0x1.004dee368b483p-1, 0x1.00a7d97d784ddp-1, 0x1.01002f1d507dfp-1, 0x1.0156eb5011357p-1, 0x1.01ac0a27ce0e7p-1, 0x1.01ff8790c88e8p-1, 0x1.02515f5380cc2p-1, 0x1.02a18d16c927ep-1, 0x1.02f00c61d21b2p-1, 0x1.033cd89e3525ap-1, 0x1.0387ed19f8b15p-1, 0x1.03d1450992346p-1, 0x1.0418db89e0d88p-1, 0x1.045eaba2234c8p-1, 0x1.04a2b045e8866p-1, 0x1.04e4e456f89b2p-1, 0x1.052542a738c05p-1, 0x1.0563c5fa8729fp-1, 0x1.05a0690890c12p-1, 0x1.05db267e9f5fcp-1, 0x1.0613f9015f40fp-1, 0x1.064adb2e9ef1ep-1, 0x1.067fc79f06af5p-1, 0x1.06b2b8e7c534bp-1, 0x1.06e3a99c38962p-1, 0x1.0712944f8c53fp-1, 0x1.073f73964eda8p-1, 0x1.076a420800a1cp-1, 0x1.0792fa4097a5p-1, 0x1.07b996e1fdcbep-1, 0x1.07de129583e3dp-1, 0x1.0800680d4e399p-1, 0x1.08209205b66b6p-1, 0x1.083e8b46a632bp-1, 0x1.085a4ea4e8b82p-1, 0x1.0873d70372e47p-1, 0x1.088b1f54a4a7p-1, 0x1.08a0229b7f063p-1, 0x1.08b2dbecd3964p-1, 0x1.08c346706ab41p-1, 0x1.08d15d6220835p-1, 0x1.08dd1c12fa026p-1, 0x1.08e67dea31524p-1, 0x1.08ed7e6638fa1p-1, 0x1.08f2191db7084p-1, 0x1.08f449c078107p-1, 0x1.08f40c185995dp-1, 0x1.08f15c0a2ac8bp-1, 0x1.08ec3596863a9p-1, 0x1.08e494daa2febp-1, 0x1.08da76111d36fp-1, 0x1.08cdd592b59dp-1, 0x1.08beafd70a3ap-1, 0x1.08ad017546fb5p-1, 0x1.0898c724cb48fp-1, 0x1.0881fdbdcc16cp-1, 0x1.0868a239ea15fp-1, 0x1.084cb1b4c0dd3p-1, 0x1.082e296c7059p-1, 0x1.080d06c21a946p-1, 0x1.07e9473a5c72cp-1, 0x1.07c2e87dbeb7bp-1, 0x1.0799e8591d99fp-1, 0x1.076e44be0a2dep-1, 0x1.073ffbc323ad6p-1, 0x1.070f0ba4697dfp-1, 0x1.06db72c3862d2p-1, 0x1.06a52fa81212p-1, 0x1.066c40ffcffebp-1, 0x1.0630a59ee1ceap-1, 0x1.05f25c7ff73d9p-1, 0x1.05b164c474d3dp-1, 0x1.056dbdb493583p-1, 0x1.052766bf7adcbp-1, 0x1.04de5f7b548e1p-1, 0x1.0492a7a558561p-1, 0x1.04443f21d1eaap-1, 0x1.03f325fc2105bp-1, 0x1.039f5c66b456dp-1, 0x1.0348e2bafb7p-1, 0x1.02efb9795647bp-1, 0x1.0293e148fc97cp-1, 0x1.02355af7e09e3p-1, 0x1.01d4277a8bb5bp-1, 0x1.017047ebf6f8dp-1, 0x1.0109bd8d5c6b2p-1, 0x1.00a089c604d6p-1, 0x1.0034ae2310968p-1, 0x1.ff8c58ae74f6bp-2, 0x1.feaa0c752e3cbp-2, 0x1.fdc27b94a01fep-2, 0x1.fcd5aa50af11ap-2, 0x1.fbe39d363989p-2, 0x1.faec591a71532p-2, 0x1.f9efe31a2c884p-2, 0x1.f8ee4099359fdp-2, 0x1.f7e777418c1fep-2, 0x1.f6db8d02a46b3p-2, 0x1.f5ca88109de28p-2, 0x1.f4b46ee372dd5p-2, 0x1.f3994836235bfp-2, 0x1.f2791b05d83f3p-2, 0x1.f153ee91028afp-2, 0x1.f029ca5672bep-2, 0x1.eefab614709abp-2, 0x1.edc6b9c7c4dc4p-2, 0x1.ec8dddaac914fp-2, 0x1.eb502a346aca8p-2, 0x1.ea0da8172f04p-2, 0x1.e8c660403170ap-2, 0x1.e77a5bd61dd8p-2, 0x1.e629a43829191p-2, 0x1.e4d442fd0552ep-2, 0x1.e37a41f1d4bbap-2, 0x1.e21bab19156dep-2, 0x1.e0b888a9927d7p-2, 0x1.df50e50d4c3fcp-2, 0x1.dde4cae06105bp-2, 0x1.dc7444eff5d49p-2, 0x1.daff5e391886dp-2, 0x1.d98621e7a9668p-2, 0x1.d8089b5537257p-2, 0x1.d686d607e877ep-2, 0x1.d500ddb156bafp-2, 0x1.d376be2d71d79p-2, 0x1.d1e88381602fdp-2, 0x1.d05639da5c59dp-2, 0x1.cebfed8c97b07p-2, 0x1.cd25ab12172d5p-2, 0x1.cb877f0995f94p-2, 0x1.c9e576356398p-2, 0x1.c83f9d7a4446p-2, 0x1.c69601de546aep-2, 0x1.c4e8b087e8168p-2, 0x1.c337b6bc6d91ap-2, 0x1.c18321df52229p-2, 0x1.bfcaff70e50e5p-2, 0x1.be0f5d0d3daecp-2, 0x1.bc50486b22697p-2, 0x1.ba8dcf5aef36p-2, 0x1.b8c7ffc5816bep-2, 0x1.b6fee7ab207b5p-2, 0x1.b53295226beep-2, 0x1.b363165748868p-2, 0x1.b1907989d0029p-2, 0x1.afbacd0d4381fp-2, 0x1.ade21f46fd0b3p-2, 0x1.ac067ead66c8dp-2, 0x1.aa27f9c6f0838p-2, 0x1.a8469f290912p-2, 0x1.a6627d771a6c4p-2, 0x1.a47ba36185bf1p-2, 0x1.a2921fa4a3747p-2, 0x1.a0a60107c56f4p-2, 0x1.9eb7565c3946cp-2, 0x1.9cc62e7c50aa9p-2, 0x1.9ad2984a67936p-2, 0x1.98dca2aff10cdp-2, 0x1.96e45c9c82ad6p-2, 0x1.94e9d504e4e4dp-2, 0x1.92ed1ae2257dbp-2, 0x1.90ee3d30a9aep-2, 0x1.8eed4aef47a23p-2, 0x1.8cea531e5eb61p-2, 0x1.8ae564bef332dp-2, 0x1.88de8ed1cc3f7p-2, 0x1.86d5e05696a86p-2, 0x1.84cb684b0735dp-2, 0x1.82bf35aa00f7bp-2, 0x1.80b1576abe357p-2, 0x1.7ea1dc7ffb1f8p-2, 0x1.7c90d3d726393p-2, 0x1.7a7e4c578dadcp-2, 0x1.786a54e195014p-2, 0x1.7654fc4dea505p-2, 0x1.743e516cbea49p-2, 0x1.7226630501cd5p-2, 0x1.700d3fd3a06b7p-2, 0x1.6df2f68ac581cp-2, 0x1.6bd795d11b953p-2, 0x1.69bb2c4116987p-2, 0x1.679dc86839e26p-2, 0x1.657f78c6659e8p-2, 0x1.63604bcd258f2p-2, 0x1.61404fdf00408p-2, 0x1.5f1f934eccd41p-2, 0x1.5cfe245f0a8ebp-2, 0x1.5adc11413866dp-2, 0x1.58b9681531d95p-2, 0x1.569636e88ed3p-2, 0x1.54728bb6071e5p-2, 0x1.524e7464d2bd6p-2, 0x1.5029fec815b32p-2, 0x1.4e05389e47d72p-2, 0x1.4be02f90a5e5cp-2, 0x1.49baf1329b873p-2, 0x1.47958b013b68fp-2, 0x1.45700a62b2f1dp-2, 0x1.434a7ca5c2ccp-2, 0x1.4124ef013931cp-2, 0x1.3eff6e9372d33p-2, 0x1.3cda0861d917ap-2, 0x1.3ab4c95866f92p-2, 0x1.388fbe4930823p-2, 0x1.366af3ebec7f6p-2, 0x1.344676dd7c6e5p-2, 0x1.3222539f82efdp-2, 0x1.2ffe9697f0fe2p-2, 0x1.2ddb4c109b7ep-2, 0x1.2bb88036d4c56p-2, 0x1.29963f1b04cffp-2, 0x1.277494b048ee4p-2, 0x1.25538ccc12224p-2, 0x1.23333325ca865p-2, 0x1.2113935678f0ep-2, 0x1.1ef4b8d869dfep-2, 0x1.1cd6af06de1b8p-2, 0x1.1ab9811db411fp-2, 0x1.189d3a391df47p-2, 0x1.1681e55552fd8p-2, 0x1.14678d4e458ddp-2, 0x1.124e3cdf6052ap-2, 0x1.1035fea33f76ap-2, 0x1.0e1edd1370dcbp-2, 0x1.0c08e288368cep-2, 0x1.09f419384ae49p-2, 0x1.07e08b38a92bdp-2, 0x1.05ce427c562b3p-2, 0x1.03bd48d42e089p-2, 0x1.01ada7eeb456ap-2, 0x1.ff3ed2afcbce1p-3, 0x1.fb252cf21d239p-3, 0x1.f70e71313eda3p-3, 0x1.f2fab1b4165b8p-3, 0x1.eeea007b450e4p-3, 0x1.eadc6f40e49bfp-3, 0x1.e6d20f78530abp-3, 0x1.e2caf24df287bp-3, 0x1.dec728a704752p-3, 0x1.dac6c32172001p-3, 0x1.d6c9d213ad573p-3, 0x1.d2d0658c8e7bbp-3, 0x1.ceda8d5332b52p-3, 0x1.cae858e6ea195p-3, 0x1.c6f9d77f20ad3p-3, 0x1.c30f180b55991p-3, 0x1.bf2829330b539p-3, 0x1.bb451955cb264p-3, 0x1.b765f68b1c61dp-3, 0x1.b38acea295146p-3, 0x1.afb3af23d685p-3, 0x1.abe0a54ea8782p-3, 0x1.a811be1b02dcap-3, 0x1.a44706392ad2ap-3, 0x1.a0808a11ca6b9p-3, 0x1.9cbe55c614ba4p-3, 0x1.9900752fe7402p-3, 0x1.9546f3e1f506ap-3, 0x1.9191dd27f0d84p-3, 0x1.8de13c06c3c97p-3, 0x1.8a351b3cbaf6p-3, 0x1.868d8541c6d61p-3, 0x1.82ea8447b62d5p-3, 0x1.7f4c223a739d3p-3, 0x1.7bb268c053ee5p-3, 0x1.781d613a51e09p-3, 0x1.748d14c4653fep-3, 0x1.71018c35ce89ap-3, 0x1.6d7ad02168baap-3, 0x1.69f8e8d602262p-3, 0x1.667bde5eb54cfp-3, 0x1.6303b8834c42fp-3, 0x1.5f907ec898a51p-3, 0x1.5c223870dc457p-3, 0x1.58b8ec7c347bbp-3, 0x1.5554a1a8fbc7dp-3, 0x1.51f55e743ecefp-3, 0x1.4e9b291a288cdp-3, 0x1.4b460796758dep-3, 0x1.47f5ffa4ed52cp-3, 0x1.44ab16c1d66b5p-3, 0x1.4165522a74401p-3, 0x1.3e24b6dd8317ep-3, 0x1.3ae9499bbb287p-3, 0x1.37b30ee85020ep-3, 0x1.34820b0976dd5p-3, 0x1.31564208f1429p-3, 0x1.2e2fb7b48dc9p-3, 0x1.2b0e6f9ebd054p-3, 0x1.27f26d1f1ae08p-3, 0x1.24dbb352fed9bp-3, 0x1.21ca451e09a37p-3, 0x1.1ebe252ac297dp-3, 0x1.1bb755eb22b21p-3, 0x1.18b5d9992d9c6p-3, 0x1.15b9b2378f23p-3, 0x1.12c2e19230bcdp-3, 0x1.0fd1693ed45bp-3, 0x1.0ce54a9db47fdp-3, 0x1.09fe86da1fef6p-3, 0x1.071d1eeb1aa7dp-3, 0x1.04411393fdf7bp-3, 0x1.016a65651b38bp-3, 0x1.fd322978b6099p-4, 0x1.f79a438bcc325p-4, 0x1.f20d18f990208p-4, 0x1.ec8aa95725fabp-4, 0x1.e712f3da109e5p-4, 0x1.e1a5f75983647p-4, 0x1.dc43b24fa796ep-4, 0x1.d6ec22daf8c2fp-4, 0x1.d19f46bf8db33p-4, 0x1.cc5d1b686db8ep-4, 0x1.c7259de8eec1ep-4, 0x1.c1f8cafdf90adp-4, 0x1.bcd69f0f6c3e2p-4, 0x1.b7bf163166abp-4, 0x1.b2b22c25a6dfcp-4, 0x1.adafdc5ce0f3cp-4, 0x1.a8b821f8104c4p-4, 0x1.a3caf7c9cce69p-4, 0x1.9ee85857aeb4ap-4, 0x1.9a103ddb94d3dp-4, 0x1.9542a244fcc67p-4, 0x1.907f7f3a6c258p-4, 0x1.8bc6ce1aa8e3dp-4, 0x1.871887fe29282p-4, 0x1.8274a5b84f6ecp-4, 0x1.7ddb1fd8d5a42p-4, 0x1.794beead0729bp-4, 0x1.74c70a412b0f6p-4, 0x1.704c6a61c035p-4, 0x1.6bdc069cd8087p-4, 0x1.6775d643624f6p-4, 0x1.6319d06a7b3a9p-4, 0x1.5ec7ebecb1bcp-4, 0x1.5a801f6b5ae0cp-4, 0x1.5642614fd11ep-4, 0x1.520ea7ccc0ce6p-4, 0x1.4de4e8df6ad68p-4, 0x1.49c51a50ed17p-4, 0x1.45af31b77ee81p-4, 0x1.41a32477b1475p-4, 0x1.3da0e7c5af8c5p-4, 0x1.39a870a679c7bp-4, 0x1.35b9b3f11fd6dp-4, 0x1.31d4a64ff7b75p-4, 0x1.2df93c41d1bdfp-4, 0x1.2a276a1b2f9e6p-4, 0x1.265f2407713edp-4, 0x1.22a05e0a080dbp-4, 0x1.1eeb0bff9b36ap-4, 0x1.1b3f219f3c8d9p-4, 0x1.179c927b81271p-4, 0x1.14035203b9c89p-4, 0x1.10735384fe4ebp-4, 0x1.0cec8a2b5f9b3p-4, 0x1.096ee902f7345p-4, 0x1.05fa62f9079aep-4, 0x1.028eeadd1a83ep-4, 0x1.fe58e6c405241p-5, 0x1.f7a5de3dfa28ap-5, 0x1.f104a12170a51p-5, 0x1.ea751434ca387p-5, 0x1.e3f71c0d7597ep-5, 0x1.dd8a9d12044dap-5, 0x1.d72f7b7c1f0b9p-5, 0x1.d0e59b5a9a02p-5, 0x1.caace0935fb26p-5, 0x1.c4852ee575707p-5, 0x1.be6e69eacac3ap-5, 0x1.b868751a4aedp-5, 0x1.b27333c990227p-5, 0x1.ac8e892ee64e1p-5, 0x1.a6ba586312b16p-5, 0x1.a0f684630affp-5, 0x1.9b42f011e8f93p-5, 0x1.959f7e3a8186cp-5, 0x1.900c119142271p-5, 0x1.8a888cb5cf6adp-5, 0x1.8514d234c8b85p-5, 0x1.7fb0c4894dc93p-5, 0x1.7a5c461eda5bfp-5, 0x1.751739529bd79p-5, 0x1.6fe1807549787p-5, 0x1.6abafdcc7999ep-5, 0x1.65a393945dbd4p-5, 0x1.609b24012261bp-5, 0x1.5ba191406fef4p-5, 0x1.56b6bd7aefda1p-5, 0x1.51da8ad5b0b39p-5, 0x1.4d0cdb738ba36p-5, 0x1.484d917695d73p-5, 0x1.439c8f01697bbp-5, 0x1.3ef9b63892f3dp-5, 0x1.3a64e943c298ap-5, 0x1.35de0a4f3f91ep-5, 0x1.3164fb8d014f2p-5, 0x1.2cf99f36052bep-5, 0x1.289bd78b87399p-5, 0x1.244b86d826fb5p-5, 0x1.20088f7116b01p-5, 0x1.1bd2d3b74c5f2p-5, 0x1.17aa36188851cp-5, 0x1.138e99108d83p-5, 0x1.0f7fdf2a1627ep-5, 0x1.0b7deafff86b5p-5, 0x1.07889f3e241bep-5, 0x1.039fdea29d2f2p-5, 0x1.ff8717fd160e5p-6, 0x1.f7e7146e33f57p-6, 0x1.f05f788cfbe02p-6, 0x1.e8f00a7996e6ep-6, 0x1.e1989081cd3bfp-6, 0x1.da58d122e290cp-6, 0x1.d330930afc434p-6, 0x1.cc1f9d1b203e6p-6, 0x1.c525b6689df7fp-6, 0x1.be42a63eb82bcp-6, 0x1.b77634201e08dp-6, 0x1.b0c027c884bd1p-6, 0x1.aa20492e047cfp-6, 0x1.a39660827f648p-6, 0x1.9d22363525e75p-6, 0x1.96c392f395eadp-6, 0x1.907a3fab533fap-6, 0x1.8a46058afc8cap-6, 0x1.8426ae037b4d3p-6, 0x1.7e1c02c92ee26p-6, 0x1.7825cdd53f0c3p-6, 0x1.7243d96660f1dp-6, 0x1.6c75f00245c0dp-6, 0x1.66bbdc765e4dp-6, 0x1.611569d90bc2cp-6, 0x1.5b82638a80214p-6, 0x1.56029535a725ap-6, 0x1.5095cad112bbep-6, 0x1.4b3bd09fe1198p-6, 0x1.45f4733288cf9p-6, 0x1.40bf7f67a20bbp-6, 0x1.3b9cc26cadbdp-6, 0x1.368c09bed2deap-6, 0x1.318d232b9c76ap-6, 0x1.2c9fdcd17c791p-6, 0x1.27c40520bd24ep-6, 0x1.22f96adbb2faap-6, 0x1.1e3fdd17bc2c5p-6, 0x1.19972b3d90d62p-6, 0x1.14ff2509c0f41p-6, 0x1.10779a8d70446p-6, 0x1.0c005c2e80804p-6, 0x1.07993aa84634ep-6, 0x1.0342070bbb6d8p-6, 0x1.fdf5258022bb6p-7, 0x1.f5855f05dc9b5p-7, 0x1.ed345ed1922a5p-7, 0x1.e501c9ba8ecd6p-7, 0x1.dced4546fd199p-7, 0x1.d4f677ac51c9dp-7, 0x1.cd1d07cfe7f7p-7, 0x1.c5609d4777502p-7, 0x1.bdc0e05938b1bp-7, 0x1.b63d79fcb5082p-7, 0x1.aed613da8d044p-7, 0x1.a78a584d08a8bp-7, 0x1.a059f2602f369p-7, 0x1.99448dd21495ap-7, 0x1.9249d712bbc61p-7, 0x1.8b697b448d18bp-7, 0x1.84a3283bfc1c6p-7, 0x1.7df68c7fcb2c4p-7, 0x1.776357490b6f6p-7, 0x1.70e93882d94aep-7, 0x1.6a87e0ca7b58ap-7, 0x1.643f016f0583fp-7, 0x1.5e0e4c717697bp-7, 0x1.57f574846c3edp-7, 0x1.51f42d0ba45a5p-7, 0x1.4c0a2a1c1d6p-7, 0x1.4637207b899d9p-7, 0x1.407ac5a045a6bp-7, 0x1.3ad4cfb07f50ap-7, 0x1.3544f58265d41p-7, 0x1.2fcaee9b59eeap-7, 0x1.2a66732f918fdp-7, 0x1.25173c21d7ac1p-7, 0x1.1fdd0302ca291p-7, 0x1.1ab782106bcfp-7, 0x1.15a67435d4586p-7, 0x1.10a9950a25e38p-7, 0x1.0bc0a0d06b4f7p-7, 0x1.06eb5476c569p-7, 0x1.02296d95d13b5p-7, 0x1.faf554dfe39cfp-8, 0x1.f1bd93e1c1a98p-8, 0x1.e8ab17592ee31p-8, 0x1.dfbd5fbdfc91bp-8, 0x1.d6f3eed5bf208p-8, 0x1.ce4e47b2d8634p-8, 0x1.c5cbeeb278fdep-8, 0x1.bd6c697b749f5p-8, 0x1.b52f3efc47599p-8, 0x1.ad13f769c1542p-8, 0x1.a51a1c3d1be7dp-8, 0x1.9d4138327f992p-8, 0x1.9588d74742945p-8, 0x1.8df086b7dd225p-8, 0x1.8677d4fe9cacbp-8, 0x1.7f1e51d16618p-8, 0x1.77e38e2012a65p-8, 0x1.70c71c12d27a8p-8, 0x1.69c88f079d0a2p-8, 0x1.62e77b9137ba4p-8, 0x1.5c23777452284p-8, 0x1.557c19a687b5dp-8, 0x1.4ef0fa4b94de9p-8, 0x1.4881b2b3f7f02p-8, 0x1.422ddd5a97874p-8, 0x1.3bf515e2e4e5fp-8, 0x1.35d6f916f3078p-8, 0x1.2fd324e516a3ep-8, 0x1.29e9385e20735p-8, 0x1.2418d3b35d752p-8, 0x1.1e6198341b15ep-8, 0x1.18c3284c069a2p-8, 0x1.133d2780c02f4p-8, 0x1.0dcf3a6ff5f06p-8, 0x1.087906cd29e98p-8, 0x1.033a335f9c22bp-8, 0x1.fc24cfffab0d7p-9, 0x1.f2029b2ca72c3p-9, 0x1.e80d1c30b940ep-9, 0x1.de43a90d60804p-9, 0x1.d4a599d5a7896p-9, 0x1.cb3248aa81d75p-9, 0x1.c1e911b5c3293p-9, 0x1.b8c953267753p-9, 0x1.afd26d2c2364cp-9, 0x1.a703c1f2a1a1bp-9, 0x1.9e5cb59d47122p-9, 0x1.95dcae4354a9p-9, 0x1.8d8313eb0ad1ep-9, 0x1.854f50855d7p-9, 0x1.7d40cfe99e4b4p-9, 0x1.7556ffd16178fp-9, 0x1.6d914fd3944aap-9, 0x1.65ef3160d87f3p-9, 0x1.5e7017be7459ap-9, 0x1.57137802e07cdp-9, 0x1.4fd8c90ff1494p-9, 0x1.48bf839076e12p-9, 0x1.41c721f27258ap-9, 0x1.3aef20632186cp-9, 0x1.3436fccb12b82p-9, 0x1.2d9e36c96db7cp-9, 0x1.27244fafebec2p-9, 0x1.20c8ca7e669e2p-9, 0x1.1a8b2bde999b4p-9, 0x1.146afa203267p-9, 0x1.0e67bd3412828p-9, 0x1.0880fea8b30f9p-9, 0x1.02b649a560e7p-9, 0x1.fa0e55cc99d49p-10, 0x1.eee66170ef7cp-10, 0x1.e3f3d5eae6972p-10, 0x1.d935d5fe8311cp-10, 0x1.ceab877845d92p-10, 0x1.c454132510b37p-10, 0x1.ba2ea4cb40d66p-10, 0x1.b03a6b1f831dfp-10, 0x1.a67697bfdf29p-10, 0x1.9ce25f2a8ab8bp-10, 0x1.937cf8b565f22p-10, 0x1.8a459e86568e8p-10, 0x1.813b8d8c2d868p-10, 0x1.785e05759b18dp-10, 0x1.6fac48aa0a53dp-10, 0x1.67259c41ffa5fp-10, 0x1.5ec947fee2cf8p-10, 0x1.569696434c8f9p-10, 0x1.4e8cd40c39ffcp-10, 0x1.46ab50e825c23p-10, 0x1.3ef15ef11febap-10, 0x1.375e52c3c20a2p-10, 0x1.2ff18378bdb31p-10, 0x1.28aa4a9cc4dbap-10, 0x1.2188042a36cd4p-10, 0x1.1a8a0e80e7d73p-10, 0x1.13afca5f6b2efp-10, 0x1.0cf89adba54b2p-10, 0x1.0663e55b2172p-10, 0x1.ffe2231b94297p-11, 0x1.f33f12ca06015p-11, 0x1.e6dd721ae0e6p-11, 0x1.dabc1dcfeaa02p-11, 0x1.ced9f7065bfbbp-11, 0x1.c335e328b67b7p-11, 0x1.b7cecbe00d165p-11, 0x1.aca39f0949785p-11, 0x1.a1b34ea5d3122p-11, 0x1.96fcd0cf7344ep-11, 0x1.8c7f1fa9bcf92p-11, 0x1.8239395765ea5p-11, 0x1.782a1feb6788ap-11, 0x1.6e50d95d6b612p-11, 0x1.64ac6f7ccda87p-11, 0x1.5b3befe3ff3f6p-11, 0x1.51fe6bec94e17p-11, 0x1.48f2f8a21b4cbp-11, 0x1.4018aeb6eff96p-11, 0x1.376eaa772a6c4p-11, 0x1.2ef40bbdbdaa4p-11, 0x1.26a7f5e80d5abp-11, 0x1.1e898fc9fc48dp-11, 0x1.169803a25bb94p-11, 0x1.0ed27f0f9c0dp-11, 0x1.07383304a218p-11, 0x1.ff90a77a74964p-12, 0x1.f10431651bc7bp-12, 0x1.e2c9792004582p-12, 0x1.d4defa53b66bcp-12, 0x1.c74336e030b06p-12, 0x1.b9f4b6ca45405p-12, 0x1.acf2082512532p-12, 0x1.a039befdb349p-12, 0x1.93ca7545d6e2ep-12, 0x1.87a2cac03929ep-12, 0x1.7bc164e9d32afp-12, 0x1.7024eee9082bep-12, 0x1.64cc19755458p-12, 0x1.59b59ac94607bp-12, 0x1.4ee02e88b62d8p-12, 0x1.444a95b0cb76cp-12, 0x1.39f39686647f9p-12, 0x1.2fd9fc7e3b23dp-12, 0x1.25fc982e63477p-12, 0x1.1c5a3f39e1c3p-12, 0x1.12f1cc400c098p-12, 0x1.09c21ec776a5ap-12, 0x1.00ca1b2edcafcp-12, 0x1.f0115531bf6cp-13, 0x1.def975badf194p-13, 0x1.ce4a7cec358d9p-13, 0x1.be0258da89db2p-13, 0x1.ae1f009db8d7dp-13, 0x1.9e9e74289d694p-13, 0x1.8f7ebc3106cc7p-13, 0x1.80bdea0552e98p-13, 0x1.725a1774bf944p-13, 0x1.645166a90d194p-13, 0x1.56a2020a02036p-13, 0x1.494a1c1f29d12p-13, 0x1.3c47ef6cdf672p-13, 0x1.2f99be58eac2bp-13, 0x1.233dd30e52357p-13, 0x1.17327f59d2ecfp-13, 0x1.0b761c917d286p-13, 0x1.00070b778940fp-13, 0x1.e9c768334e253p-14, 0x1.d4150b6fc318ep-14, 0x1.bef3ed510b147p-14, 0x1.aa61087947351p-14, 0x1.96596545be58bp-14, 0x1.82da199df7459p-14, 0x1.6fe048bbd90d1p-14, 0x1.5d6922f6fa963p-14, 0x1.4b71e58eae131p-14, 0x1.39f7da7fdce67p-14, 0x1.28f8584771426p-14, 0x1.1870c1b6db0f3p-14, 0x1.085e85bf01c8dp-14, 0x1.f17e3e8c0bd22p-15, 0x1.d32029e2cc40fp-15, 0x1.b59df1eeaa2cep-15, 0x1.98f2d1e6d0937p-15, 0x1.7d1a1b6578b4fp-15, 0x1.620f361a9ce71p-15, 0x1.47cd9f6b8a02ap-15, 0x1.2e50ea15b39aep-15, 0x1.1594bdddfaf3ep-15, 0x1.fb29ae76a37c6p-16, 0x1.cc9a0df6c332fp-16, 0x1.9f7263e2be0edp-16, 0x1.73aaa156163bep-16, 0x1.493ade23746ep-16, 0x1.201b583e23cd2p-16, 0x1.f088e64e51e02p-17, 0x1.a35d6e788c6adp-17, 0x1.58a5a2659fbfdp-17, 0x1.105322db8aa98p-17, 0x1.94afadb845c12p-18, 0x1.0d4bd503c856dp-18, 0x1.14bf377073b53p-19, 0x1.7a0cee7e79ebp-23, -0x1.b9ef7ad522b83p-20, -0x1.c93d98b75c66cp-19, -0x1.56b17833845fdp-18, -0x1.c4cc7be5bc614p-18, -0x1.1783fb29344f7p-17, -0x1.4abdc6c3019d2p-17, -0x1.7c1f386fdfa69p-17, -0x1.abb3ad805deb9p-17, -0x1.d98649e594de2p-17, -0x1.02d0fc93090a4p-16, -0x1.1808b7aacc9e3p-16, -0x1.2c6f95099328dp-16, -0x1.400ab8b3ae34ap-16, -0x1.52df2c5c4888ep-16, -0x1.64f1dfd157874p-16, -0x1.7647a9829ce08p-16, -0x1.86e546d6b662p-16, -0x1.96cf5cab7b1b6p-16, -0x1.a60a77c6080e5p-16, -0x1.b49b0d2c5f519p-16, -0x1.c2857a9f60c9p-16, -0x1.cfce07013a10bp-16, -0x1.dc78e2b52fb07p-16, -0x1.e88a2807cd39bp-16, -0x1.f405db9889374p-16, -0x1.feefecaef05cfp-16, -0x1.04a61ad4859ebp-15, -0x1.098f3e2939034p-15, -0x1.0e35392192843p-15, -0x1.1299daa19cdf4p-15, -0x1.16bee7cd93b36p-15, -0x1.1aa61c3817656p-15, -0x1.1e512a0fa1b51p-15, -0x1.21c1ba490a659p-15, -0x1.24f96ccbe8ec5p-15, -0x1.27f9d89b16f7ep-15, -0x1.2ac48bfbac0e5p-15, -0x1.2d5b0ca0284d7p-15, -0x1.2fbed7d35d993p-15, -0x1.31f1629c596f8p-15, -0x1.33f419e37dbd5p-15, -0x1.35c8629c4187cp-15, -0x1.376f99eb29225p-15, -0x1.38eb1545ffb2p-15, -0x1.3a3c229f26519p-15, -0x1.3b640883933f3p-15, -0x1.3c6406408f57fp-15, -0x1.3d3d5405b5918p-15, -0x1.3df12308a60b3p-15, -0x1.3e809da386eefp-15, -0x1.3eece779aa583p-15, -0x1.3f371d940ff51p-15, -0x1.3f605684f2431p-15, -0x1.3f69a284e77p-15, -0x1.3f540b9418de6p-15, -0x1.3f209595ddd58p-15, -0x1.3ed03e6fb17b3p-15, -0x1.3e63fe28fbee7p-15, -0x1.3ddcc703657ecp-15, -0x1.3d3b859b9016dp-15, -0x1.3c81210171a8dp-15, -0x1.3bae7ad6a1e6dp-15, -0x1.3ac46f68be618p-15, -0x1.39c3d5cb989bep-15, -0x1.38ad7ff27992dp-15, -0x1.37823acc0fa7p-15, -0x1.3642ce5897593p-15, -0x1.34effdc6739edp-15, -0x1.338a878670f2cp-15, -0x1.321325675afa5p-15, -0x1.308a8cac69b5ap-15, -0x1.2ef16e236c08cp-15, -0x1.2d48763d25c21p-15, -0x1.2b904d21b76b7p-15, -0x1.29c996c85bfc4p-15, -0x1.27f4f30cade25p-15, -0x1.2612fdc2d3033p-15, -0x1.24244ecdaf32ap-15, -0x1.22297a3349218p-15, -0x1.2023102f92c52p-15, -0x1.1e119d4a0c681p-15, -0x1.1bf5aa685f501p-15, -0x1.19cfbce1485f6p-15, -0x1.17a0568f4f8dp-15, -0x1.1567f5e3a307fp-15, -0x1.132715f8c43cep-15, -0x1.10de2ea2c9e22p-15, -0x1.0e8db48276e98p-15, -0x1.0c361914816dcp-15, -0x1.09d7cac4d1463p-15, -0x1.077334fc9f27ep-15, -0x1.0508c0344dd1dp-15, -0x1.0298d20336a48p-15, -0x1.0023cd2ee5cp-15, -0x1.fb5423750374dp-16, -0x1.f657f9ec8718ep-16, -0x1.f153d31c6eef5p-16, -0x1.ec485f30190ffp-16, -0x1.e7364945e37c1p-16, -0x1.e21e3788a049cp-16, -0x1.dd00cb4adf9fap-16, -0x1.d7dea1251d003p-16, -0x1.d2b8510d9467cp-16, -0x1.cd8e6e7125a18p-16, -0x1.c861885062c8ep-16, -0x1.c33229568606bp-16, -0x1.be00d7f258802p-16, -0x1.b8ce166ec7d9cp-16, -0x1.b39a630a02ddap-16, -0x1.ae66380da5c98p-16, -0x1.a9320be4b2677p-16, -0x1.a3fe5131e0c76p-16, -0x1.9ecb76e6eabbfp-16, -0x1.9999e859680a9p-16, -0x1.946a0d55cd964p-16, -0x1.8f3c4a3827a1fp-16, -0x1.8a10fffd42721p-16, -0x1.84e88c5720e32p-16, -0x1.7fc349c18168dp-16, -0x1.7aa18f9604a8ep-16, -0x1.7583b21b9a3c7p-16, -0x1.706a029c4939ap-16, -0x1.6b54cf75aa74p-16, -0x1.6644642bea89p-16, -0x1.613909784e9b3p-16, -0x1.5c33055d080fp-16, -0x1.57329b35f6d97p-16, -0x1.52380bc729306p-16, -0x1.4d43954e55989p-16, -0x1.48557392bf44fp-16, -0x1.436ddff2fe074p-16, -0x1.3e8d1175771f5p-16, -0x1.39b33cd71fee9p-16, -0x1.34e0949a09e79p-16, -0x1.30154912047fep-16, -0x1.2b518875fc955p-16, -0x1.26957eeac9ffep-16, -0x1.21e156902dbf4p-16, -0x1.1d353791070eap-16, -0x1.1891482d55c2cp-16, -0x1.13f5acc7cfcap-16, -0x1.0f6287f26fa95p-16, -0x1.0ad7fa7a02733p-16, -0x1.06562371d2916p-16, -0x1.01dd204093363p-16, -0x1.fada1953d076dp-17, -0x1.f20c05b5c0e4dp-17, -0x1.e95036e6f2601p-17, -0x1.e0a6db267384ep-17, -0x1.d8101dc35ba1bp-17, -0x1.cf8c2732e05adp-17, -0x1.c71b1d26515cfp-17, -0x1.bebd2298617bep-17, -0x1.b67257ea0aafdp-17, -0x1.ae3adaeb88b8fp-17, -0x1.a616c6f3147e3p-17, -0x1.9e0634f09c683p-17, -0x1.96093b7c74588p-17, -0x1.8e1feee85a43ap-17, -0x1.864a6152f3759p-17, -0x1.7e88a2b555197p-17, -0x1.76dac0f3ea8fdp-17, -0x1.6f40c7f05517p-17, -0x1.67bac1950772cp-17, -0x1.6048b5e5db8eap-17, -0x1.58eaab1211da9p-17, -0x1.51a0a57d37c0fp-17, -0x1.4a6aa7d07aa7p-17, -0x1.4348b307dcb8ep-17, -0x1.3c3ac67f91a1dp-17, -0x1.3540e001365ecp-17, -0x1.2e5afbcf776bfp-17, -0x1.278914b66e0dp-17, -0x1.20cb241182985p-17, -0x1.1a2121dd439e2p-17, -0x1.138b04bfc1e04p-17, -0x1.0d08c2157e806p-17, -0x1.069a4dfcaf9c2p-17, -0x1.003f9b5d7a41dp-17, -0x1.f3f137f38d0dp-18, -0x1.e78a80e5ea476p-18, -0x1.db4af0aa64affp-18, -0x1.cf326447a22c3p-18, }}, 
      {{0x1.ffef24a5c81aep-1, 0x1.ffbe3fc0aa3a2p-1, 0x1.ff7118d1ba8a9p-1, 0x1.ff0be158a70fbp-1, 0x1.fe924aabce9f3p-1, 0x1.fe0732033d634p-1, 0x1.fd6ca03c9c671p-1, 0x1.fcc3ed92945a8p-1, 0x1.fc0dedf6c431bp-1, 0x1.fb4b1988b09c1p-1, 0x1.fa7bad385bf98p-1, 0x1.f99fc3ab790bfp-1, 0x1.f8b767d67bcc1p-1, 0x1.f7c2a2cbbdc6dp-1, 0x1.f6c185e1caa05p-1, 0x1.f5b431e9776cbp-1, 0x1.f49adbe41630ep-1, 0x1.f375cf8639bdp-1, 0x1.f2456fca4ae83p-1, 0x1.f10a35db3194p-1, 0x1.efc4aea846618p-1, 0x1.ee75777a5e5c6p-1, 0x1.ed1d39e2f8d49p-1, 0x1.ebbca759e6115p-1, 0x1.ea5474d4210dp-1, 0x1.e8e5569197492p-1, 0x1.e76ffc50f830bp-1, 0x1.e5f50e09e51f2p-1, 0x1.e47529400e9cfp-1, 0x1.e2f0def5dfcedp-1, 0x1.e168b23b90d47p-1, 0x1.dfdd1750161b6p-1, 0x1.de4e7344464p-1, 0x1.dcbd1c0d7e272p-1, 0x1.db2958f3bf974p-1, 0x1.d993634751ceep-1, 0x1.d7fb674b1e91bp-1, 0x1.d6618542d49ap-1, 0x1.d4c5d29626947p-1, 0x1.d3285afcff782p-1, 0x1.d18921aaff78ep-1, 0x1.cfe82272e9d95p-1, 0x1.ce4552dcd3d9p-1, 0x1.cca0a32bb1719p-1, 0x1.caf9ff505d6c7p-1, 0x1.c9514fc96f50cp-1, 0x1.c7a67a700f895p-1, 0x1.c5f963329a02fp-1, 0x1.c449ecbe4400cp-1, 0x1.c297f91926f99p-1, 0x1.c0e36a2e23afcp-1, 0x1.bf2c224bfcb33p-1, 0x1.bd720498e9cc5p-1, 0x1.bbb4f57bad133p-1, 0x1.b9f4dafb15a85p-1, 0x1.b8319d14898b1p-1, 0x1.b66b260a22dc1p-1, 0x1.b4a162a8adb97p-1, 0x1.b2d44285b949fp-1, 0x1.b103b835db684p-1, 0x1.af2fb97b2fbadp-1, 0x1.ad583f6c162d4p-1, 0x1.ab7d469231749p-1, 0x1.a99ecf01ac6e9p-1, 0x1.a7bcdc68d3c79p-1, 0x1.a5d7761820b41p-1, 0x1.a3eea702ddddcp-1, 0x1.a2027db89f79p-1, 0x1.a0130c57d864ep-1, 0x1.9e206879e4bccp-1, 0x1.9c2aab18f2f93p-1, 0x1.9a31f0703ed8fp-1, 0x1.983657d71bdcep-1, 0x1.9638039758fe3p-1, 0x1.943718bf8b044p-1, 0x1.9233bef1cd14cp-1, 0x1.902e202f9169ap-1, 0x1.8e2668a30c815p-1, 0x1.8c1cc666d597p-1, 0x1.8a11694c42f7dp-1, 0x1.880482a10e11ap-1, 0x1.85f644f4bd027p-1, 0x1.83e6e3de4d783p-1, 0x1.81d693c2913e5p-1, 0x1.7fc5899ba2f39p-1, 0x1.7db3fac1d05ccp-1, 0x1.7ba21cb64ec61p-1, 0x1.799024f002e55p-1, 0x1.777e48aa9b5a1p-1, 0x1.756cbcb8341c3p-1, 0x1.735bb555af0bdp-1, 0x1.714b6601e3815p-1, 0x1.6f3c0157c21b6p-1, 0x1.6d2db8eb79fcfp-1, 0x1.6b20bd2aaf515p-1, 0x1.69153d3fc233bp-1, 0x1.670b66f824aap-1, 0x1.650366adb4eb1p-1, 0x1.62fd67330ebf6p-1, 0x1.60f991c2bf50bp-1, 0x1.5ef80df143a7fp-1, 0x1.5cf901a1b81f9p-1, 0x1.5afc90fd175d3p-1, 0x1.5902de6be9991p-1, 0x1.570c0a9243361p-1, 0x1.5518344de802ap-1, 0x1.532778b6741f4p-1, 0x1.5139f31f5ec92p-1, 0x1.4f4fbd1bb0c57p-1, 0x1.4d68ee834c1e4p-1, 0x1.4b859d7995423p-1, 0x1.49a5de756208ep-1, 0x1.47c9c449fffe4p-1, 0x1.45f1603131d96p-1, 0x1.441cc1d603cb4p-1, 0x1.424bf7604d169p-1, 0x1.407f0d80c6f73p-1, 0x1.3eb60f7d95ab3p-1, 0x1.3cf1073f29398p-1, 0x1.3b2ffd5d580dcp-1, 0x1.3972f92ca0811p-1, 0x1.37ba00cb732dcp-1, 0x1.3605192f76e35p-1, 0x1.34544632afcb3p-1, 0x1.32a78aa07acb4p-1, 0x1.30fee8424b8d7p-1, 0x1.2f5a5fec22d7dp-1, 0x1.2db9f188b0024p-1, 0x1.2c1d9c2510593p-1, 0x1.2a855dfc2df6p-1, 0x1.28f13481aab4cp-1, 0x1.27611c6c5cfd9p-1, 0x1.25d511c053d47p-1, 0x1.244d0fd8631p-1, 0x1.22c9116f35143p-1, 0x1.214910a7e2b92p-1, 0x1.1fcd0716115f4p-1, 0x1.1e54edc599623p-1, 0x1.1ce0bd41b78fp-1, 0x1.1b706d9bcc418p-1, 0x1.1a03f671ada6cp-1, 0x1.189b4ef38e77cp-1, 0x1.17366de982683p-1, 0x1.15d549b89fa0bp-1, 0x1.1477d867ca755p-1, 0x1.131e0fa4279cfp-1, 0x1.11c7e4c5459e2p-1, 0x1.10754cd0f8643p-1, 0x1.0f263c7ef49ddp-1, 0x1.0ddaa83c2f4b6p-1, 0x1.0c92842e04919p-1, 0x1.0b4dc4352e9bp-1, 0x1.0a0c5bf0900f2p-1, 0x1.08ce3ebfd9cf1p-1, 0x1.07935fc60dbcp-1, 0x1.065bb1ebe8339p-1, 0x1.052727e22f994p-1, 0x1.03f5b423f2104p-1, 0x1.02c748f8b55a3p-1, 0x1.019bd8769984fp-1, 0x1.007354847688dp-1, 0x1.fe9b5db7e69ccp-2, 0x1.fc55b2173a49cp-2, 0x1.fa1588f1fe006p-2, 0x1.f7dac4c579c8dp-2, 0x1.f5a547c5668dap-2, 0x1.f374f3e041897p-2, 0x1.f149aac3a79efp-2, 0x1.ef234de0ca337p-2, 0x1.ed01be70f6f2cp-2, 0x1.eae4dd7a343eap-2, 0x1.e8cc8bd3f791p-2, 0x1.e6b8aa2bee578p-2, 0x1.e4a9190ae4458p-2, 0x1.e29db8d9b9ed3p-2, 0x1.e09669e6770cep-2, 0x1.de930c696bd0cp-2, 0x1.dc93808a6d596p-2, 0x1.da97a666194b1p-2, 0x1.d89f5e1339088p-2, 0x1.d6aa87a820161p-2, 0x1.d4b9034029b7bp-2, 0x1.d2cab1012f852p-2, 0x1.d0df71211438dp-2, 0x1.cef723eb4afafp-2, 0x1.cd11a9c663825p-2, 0x1.cb2ee33997f7ep-2, 0x1.c94eb0f252ef5p-2, 0x1.c770f3c9b5603p-2, 0x1.c5958cca0d39dp-2, 0x1.c3bc5d3449544p-2, 0x1.c1e546855762fp-2, 0x1.c0102a7b791c9p-2, 0x1.be3ceb1b80504p-2, 0x1.bc6b6ab5fb971p-2, 0x1.ba9b8bec48a15p-2, 0x1.b8cd31b58c91cp-2, 0x1.b7003f6395794p-2, 0x1.b53498a79833ap-2, 0x1.b36a2196d21e2p-2, 0x1.b1a0beaf0a423p-2, 0x1.afd854daefc2p-2, 0x1.ae10c97652e2cp-2, 0x1.ac4a025236817p-2, 0x1.aa83e5b8c08c1p-2, 0x1.a8be5a70feefbp-2, 0x1.a6f947c281dep-2, 0x1.a5349578ce7d6p-2, 0x1.a3702be6aa038p-2, 0x1.a1abf3e9323d3p-2, 0x1.9fe7d6ead0423p-2, 0x1.9e23bee5fddd2p-2, 0x1.9c5f9667dbe42p-2, 0x1.9a9b4892a0fc1p-2, 0x1.98d6c11fd324ap-2, 0x1.9711ec6260481p-2, 0x1.954cb7487d2dep-2, 0x1.93870f5d63005p-2, 0x1.91c0e2cad87bdp-2, 0x1.8ffa205a946abp-2, 0x1.8e32b77771115p-2, 0x1.8c6a982e78764p-2, 0x1.8aa1b32fc12a3p-2, 0x1.88d7f9cf253dap-2, 0x1.870d5e04cd3bp-2, 0x1.8541d26d96a08p-2, 0x1.83754a4b4b4a4p-2, 0x1.81a7b984b9a29p-2, 0x1.7fd914a5a45c8p-2, 0x1.7e0950de86a35p-2, 0x1.7c3864044019fp-2, 0x1.7a66448f915a8p-2, 0x1.7892e99c7cc0bp-2, 0x1.76be4ae985c78p-2, 0x1.74e860d6c9b2ep-2, 0x1.7311246502ac2p-2, 0x1.71388f3463badp-2, 0x1.6f5e9b835baabp-2, 0x1.6d83442d399a2p-2, 0x1.6ba684a8b7245p-2, 0x1.69c85906697a3p-2, 0x1.67e8bdef14937p-2, 0x1.6607b0a1eda86p-2, 0x1.64252ef2bee37p-2, 0x1.62413747f8994p-2, 0x1.605bc898add51p-2, 0x1.5e74e26a7bc93p-2, 0x1.5c8c84cf5ec62p-2, 0x1.5aa2b06371a58p-2, 0x1.58b7664aa3872p-2, 0x1.56caa82e540cdp-2, 0x1.54dc783ae73a1p-2, 0x1.52ecd91d49efdp-2, 0x1.50fbce006621ep-2, 0x1.4f095a8a8d5fcp-2, 0x1.4d1582dad62b8p-2, 0x1.4b204b8670145p-2, 0x1.4929b995edb39p-2, 0x1.4731d28283aafp-2, 0x1.45389c3341eb1p-2, 0x1.433e1cfa434d3p-2, 0x1.41425b91db6a5p-2, 0x1.3f455f19b65fap-2, 0x1.3d472f13fd693p-2, 0x1.3b47d3626d6a1p-2, 0x1.3947544372bb7p-2, 0x1.3745ba4f383a3p-2, 0x1.35430e74bf91bp-2, 0x1.333f59f6ee166p-2, 0x1.313aa6699e778p-2, 0x1.2f34fdaeacb8ep-2, 0x1.2d2e69f30af85p-2, 0x1.2b26f5abccf72p-2, 0x1.291eab933d502p-2, 0x1.271596a5eeb87p-2, 0x1.250bc21fd368fp-2, 0x1.23013979579b3p-2, 0x1.20f6086478825p-2, 0x1.1eea3ac9ecdafp-2, 0x1.1cdddcc642ed4p-2, 0x1.1ad0faa70e642p-2, 0x1.18c3a0e814d2ep-2, 0x1.16b5dc3083e77p-2, 0x1.14a7b9502c02cp-2, 0x1.1299453cc24b4p-2, 0x1.108a8d0f25d35p-2, 0x1.0e7b9e00b261fp-2, 0x1.0c6c856894fe1p-2, 0x1.0a5d50b92b07fp-2, 0x1.084e0d7d69ad4p-2, 0x1.063ec9564c67ap-2, 0x1.042f91f84d274p-2, 0x1.02207528e77c8p-2, 0x1.001180bc1d13bp-2, 0x1.fc058524213ccp-3, 0x1.f7e891293b51fp-3, 0x1.f3cc416a0874fp-3, 0x1.efb0b1d32ff2dp-3, 0x1.eb95fe56f49e5p-3, 0x1.e77c42e8cd272p-3, 0x1.e3639b78f80b6p-3, 0x1.df4c23f03e275p-3, 0x1.db35f82bbb6dcp-3, 0x1.d72133f8c5883p-3, 0x1.d30df310e24c4p-3, 0x1.cefc5115df9e5p-3, 0x1.caec698df09a9p-3, 0x1.c6de57dffa3e9p-3, 0x1.c2d2374fdf31p-3, 0x1.bec822faef9a2p-3, 0x1.bac035d4727e2p-3, 0x1.b6ba8aa23b689p-3, 0x1.b2b73bf966cb4p-3, 0x1.aeb6643b1c855p-3, 0x1.aab81d917ca38p-3, 0x1.a6bc81ec93293p-3, 0x1.a2c3aaff736f1p-3, 0x1.9ecdb23d59a9dp-3, 0x1.9adab0d6f5c8p-3, 0x1.96eabfb7c0defp-3, 0x1.92fdf78374037p-3, 0x1.8f14709388d01p-3, 0x1.8b2e42f4e5e66p-3, 0x1.874b86658e138p-3, 0x1.836c5252770a1p-3, 0x1.7f90bdd568e7ap-3, 0x1.7bb8dfb301cacp-3, 0x1.77e4ce58c85d1p-3, 0x1.74149fdb553bep-3, 0x1.704869f49a49p-3, 0x1.6c80420231052p-3, 0x1.68bc3d03d2419p-3, 0x1.64fc6f99d3fap-3, 0x1.6140ee03c516dp-3, 0x1.5d89cc1f19048p-3, 0x1.59d71d65f2f54p-3, 0x1.5628f4edf4a7ap-3, 0x1.527f6567321ecp-3, 0x1.4eda811b336d1p-3, 0x1.4b3a59ec05739p-3, 0x1.479f01536b2c9p-3, 0x1.44088862143d4p-3, 0x1.4076ffbeedeafp-3, 0x1.3cea77a6892cdp-3, 0x1.3962ffea8c2c5p-3, 0x1.35e0a7f13e29ep-3, 0x1.32637eb51d0dcp-3, 0x1.2eeb92c48b9aap-3, 0x1.2b78f2418bfp-3, 0x1.280baae18d675p-3, 0x1.24a3c9ed4a45bp-3, 0x1.21415c40b7058p-3, 0x1.1de46e4afc2e4p-3, 0x1.1a8d0c0e87ec4p-3, 0x1.173b41212954ep-3, 0x1.13ef18ac3b80ap-3, 0x1.10a89d6cddd6ap-3, 0x1.0d67d9b43c2d4p-3, 0x1.0a2cd767e6c05p-3, 0x1.06f7a002304f3p-3, 0x1.03c83c92a0765p-3, 0x1.009eb5be7258fp-3, 0x1.faf627822bdd7p-4, 0x1.f4babcd99aedfp-4, 0x1.ee8b3a568986fp-4, 0x1.e867adfc840b8p-4, 0x1.e2502500b27f9p-4, 0x1.dc44abcb580a8p-4, 0x1.d6454df96cdcbp-4, 0x1.d052165e3f1f5p-4, 0x1.ca6b0f0531cb5p-4, 0x1.c49041338b567p-4, 0x1.bec1b56a4d2b5p-4, 0x1.b8ff73682accdp-4, 0x1.b349822b7f366p-4, 0x1.ad9fe7f461e73p-4, 0x1.a802aa46c4b9p-4, 0x1.a271cdec953bap-4, 0x1.9ced56f7f8745p-4, 0x1.977548c59914ep-4, 0x1.9209a5fee7a14p-4, 0x1.8caa709c7fdf7p-4, 0x1.8757a9e88efccp-4, 0x1.8211528140e84p-4, 0x1.7cd76a5b3bc18p-4, 0x1.77a9f0c42303ap-4, 0x1.7288e465218d9p-4, 0x1.6d7443457cfcep-4, 0x1.686c0acd306c4p-4, 0x1.637037c7902adp-4, 0x1.5e80c665e5889p-4, 0x1.599db242285e6p-4, 0x1.54c6f661a72adp-4, 0x1.4ffc8d37c0f46p-4, 0x1.4b3e70a89af2p-4, 0x1.468c9a0be3ed1p-4, 0x1.41e7022f8d14dp-4, 0x1.3d4da15a90e5p-4, 0x1.38c06f4fb70e8p-4, 0x1.343f63505535dp-4, 0x1.2fca741f21a2ap-4, 0x1.2b619802ecc7cp-4, 0x1.2704c4c9725d8p-4, 0x1.22b3efca21b0cp-4, 0x1.1e6f0de8e15e4p-4, 0x1.1a361398d4774p-4, 0x1.1608f4df213a8p-4, 0x1.11e7a555b9096p-4, 0x1.0dd2182e11c21p-4, 0x1.09c84033eb6b1p-4, 0x1.05ca0fd0079e8p-4, 0x1.01d7790ae36bdp-4, 0x1.fbe0db1ee4358p-5, 0x1.f429bd5b8f7e4p-5, 0x1.ec897abb9a98bp-5, 0x1.e4fff483d2cd4p-5, 0x1.dd8d0b5346729p-5, 0x1.d6309f28876ebp-5, 0x1.ceea8f66ed049p-5, 0x1.c7babadbb164p-5, 0x1.c0a0ffc31d4c6p-5, 0x1.b99d3bcd9c1cep-5, 0x1.b2af4c24c934fp-5, 0x1.abd70d70634b9p-5, 0x1.a5145bdb526cap-5, 0x1.9e67131874f64p-5, 0x1.97cf0e678d4fp-5, 0x1.914c2899f9c6dp-5, 0x1.8ade3c177db61p-5, 0x1.848522e2e49c3p-5, 0x1.7e40b69eaa85cp-5, 0x1.7810d09182ab7p-5, 0x1.71f549aae2fe6p-5, 0x1.6bedfa876efb3p-5, 0x1.65fabb7558a39p-5, 0x1.601b6478bc30ap-5, 0x1.5a4fcd4fd45cdp-5, 0x1.5497cd7741ae7p-5, 0x1.4ef33c2e126c8p-5, 0x1.4961f079f0eddp-5, 0x1.43e3c12b10769p-5, 0x1.3e7884e0271adp-5, 0x1.3920120a4d97p-5, 0x1.33da3ef0cb1b5p-5, 0x1.2ea6e1b4e1161p-5, 0x1.2985d05563a05p-5, 0x1.2476e0b263dbcp-5, 0x1.1f79e890c7abp-5, 0x1.1a8ebd9da869fp-5, 0x1.15b53571d09cbp-5, 0x1.10ed259514ad2p-5, 0x1.0c36638191444p-5, 0x1.0790c4a6ec753p-5, 0x1.02fc1e6d75d4bp-5, 0x1.fcf08c727047bp-6, 0x1.f40a22da11bcep-6, 0x1.eb44aadadc89ap-6, 0x1.e29fcf4716c21p-6, 0x1.da1b3affdc471p-6, 0x1.d1b698fa9e26ep-6, 0x1.c97194468a0fap-6, 0x1.c14bd811c6d5fp-6, 0x1.b9450fae9204fp-6, 0x1.b15ce69841484p-6, 0x1.a99308781dd66p-6, 0x1.a1e7212a2a0bp-6, 0x1.9a58dcc1b185ap-6, 0x1.92e7e78dd948bp-6, 0x1.8b93ee1defcfcp-6, 0x1.845c9d45bbbcbp-6, 0x1.7d41a2218d4d2p-6, 0x1.7642aa1a4db2dp-6, 0x1.6f5f62e95e92fp-6, 0x1.68977a9c67ecep-6, 0x1.61ea9f98ee6a7p-6, 0x1.5b5880a003b9p-6, 0x1.54e0ccd1842f5p-6, 0x1.4e8333af9800ep-6, 0x1.483f6521d4be5p-6, 0x1.421511784df18p-6, 0x1.3c03e96eaee05p-6, 0x1.360b9e2f0091cp-6, 0x1.302be154919a1p-6, 0x1.2a6464ee8daebp-6, 0x1.24b4db8296a23p-6, 0x1.1f1cf80f4a60bp-6, 0x1.199c6e0ea5083p-6, 0x1.1432f1782fa37p-6, 0x1.0ee036c357003p-6, 0x1.09a3f2e9670afp-6, 0x1.047ddb6797c2bp-6, 0x1.fedb4c81e41f7p-7, 0x1.f4e6140064fd5p-7, 0x1.eb1b7b72cf726p-7, 0x1.e17af217685c1p-7, 0x1.d803e84596ee2p-7, 0x1.ceb5cf70e0e6dp-7, 0x1.c5901a2bd7485p-7, 0x1.bc923c2a8467ap-7, 0x1.b3bbaa451ab9ap-7, 0x1.ab0bda7a07672p-7, 0x1.a28243f06d074p-7, 0x1.9a1e5ef9d7e81p-7, 0x1.91dfa5146e31ep-7, 0x1.89c590ec5c696p-7, 0x1.81cf9e5da1a5fp-7, 0x1.79fd4a758b8f5p-7, 0x1.724e1373d6e0cp-7, 0x1.6ac178cc10a94p-7, 0x1.6356fb26966ffp-7, 0x1.5c0e1c617b9b2p-7, 0x1.54e65f916ed6fp-7, 0x1.4ddf490265c8ep-7, 0x1.46f85e3824733p-7, 0x1.403125eedf563p-7, 0x1.3989281b5d133p-7, 0x1.32ffedeb62ca6p-7, 0x1.2c9501c5db174p-7, 0x1.2647ef4aafa46p-7, 0x1.201843530543ep-7, 0x1.1a058bf0dd5cp-7, 0x1.140f586ee9922p-7, 0x1.0e353950410f6p-7, 0x1.0876c04fd6707p-7, 0x1.02d3806011087p-7, 0x1.fa961b545d19ap-8, 0x1.efb9fb1af7e05p-8, 0x1.e511cd3d8410ep-8, 0x1.da9cc14e977f6p-8, 0x1.d05a094807435p-8, 0x1.c648d988ec382p-8, 0x1.bc6868d3b9389p-8, 0x1.b2b7f04be7852p-8, 0x1.a936ab735f9c1p-8, 0x1.9fe3d82857721p-8, 0x1.96beb6a24ea42p-8, 0x1.8dc6896fe756bp-8, 0x1.84fa95734ab1p-8, 0x1.7c5a21e012e77p-8, 0x1.73e4783765f7ep-8, 0x1.6b98e44556e8p-8, 0x1.6376b41d88758p-8, 0x1.5b7d3817c04a6p-8, 0x1.53abc2cc64854p-8, 0x1.4c01a91132f52p-8, 0x1.447e41f565afap-8, 0x1.3d20e6be31292p-8, 0x1.35e8f2e2f88dfp-8, 0x1.2ed5c4094b383p-8, 0x1.27e6ba0157ce1p-8, 0x1.211b36c1853bp-8, 0x1.1a729e62d0f98p-8, 0x1.13ec571c734fp-8, 0x1.0d87c94003996p-8, 0x1.07445f34c861fp-8, 0x1.012185742efbfp-8, 0x1.f63d5509866a4p-9, 0x1.ea767decce1fap-9, 0x1.deed6abb41b92p-9, 0x1.d3a1049ee0508p-9, 0x1.c89038b947fedp-9, 0x1.bdb9f81add1dep-9, 0x1.b31d37b9efd7cp-9, 0x1.a8b8f0696aef4p-9, 0x1.9e8c1ed001316p-9, 0x1.9495c35e94bfp-9, 0x1.8ad4e2476cf04p-9, 0x1.81488374952c3p-9, 0x1.77efb27ed7201p-9, 0x1.6ec97ea43c7e4p-9, 0x1.65d4fabed68b1p-9, 0x1.5d113d3b4dee7p-9, 0x1.547d600f83693p-9, 0x1.4c1880b11a051p-9, 0x1.43e1c00c44d37p-9, 0x1.3bd8427a1d53p-9, 0x1.33fb2fb758f9p-9, 0x1.2c49b2dae4456p-9, 0x1.24c2fa4c66c19p-9, 0x1.1d6637bae716ep-9, 0x1.1632a01371642p-9, 0x1.0f276b7776a5bp-9, 0x1.0843d53404d94p-9, 0x1.01871bb7a45b6p-9, 0x1.f5e101138b0cp-10, 0x1.e8fe9081a4d13p-10, 0x1.dc6574f2a42f8p-10, 0x1.d014439973988p-10, 0x1.c409978f7eb03p-10, 0x1.b84411c3457c7p-10, 0x1.acc258e5afd28p-10, 0x1.a1831957ddbe8p-10, 0x1.96850519056ddp-10, 0x1.8bc6d3b48a84ap-10, 0x1.8147422ff70e1p-10, 0x1.770512f8ea494p-10, 0x1.6cff0dd3ee46ap-10, 0x1.6333ffc9f19d6p-10, 0x1.59a2bb176757ap-10, 0x1.504a171aa656dp-10, 0x1.4728f04263be2p-10, 0x1.3e3e27fc81cdfp-10, 0x1.3588a4a564babp-10, 0x1.2d075175d8785p-10, 0x1.24b91e739a10ep-10, 0x1.1c9d005f40d08p-10, 0x1.14b1f0a466c7bp-10, 0x1.0cf6ed48f5c0cp-10, 0x1.056af8dccef43p-10, 0x1.fc1a34d1f3dd1p-11, 0x1.edb8bac09dc62p-11, 0x1.dfafa31e1846fp-11, 0x1.d1fd161590ba6p-11, 0x1.c49f44463b32dp-11, 0x1.b79466a3709aep-11, 0x1.aadabe56862fcp-11, 0x1.9e70949ec0d9p-11, 0x1.92543ab50a04dp-11, 0x1.868409ab431efp-11, 0x1.7afe6250d66d4p-11, 0x1.6fc1ad1401cd7p-11, 0x1.64cc59e4110a9p-11, 0x1.5a1ce01642b7ap-11, 0x1.4fb1be46f8212p-11, 0x1.45897a3ec4b73p-11, 0x1.3ba2a0d5a8dd9p-11, 0x1.31fbc5d7a628cp-11, 0x1.289383e8f21acp-11, 0x1.1f687c6af87dp-11, 0x1.167957616c241p-11, 0x1.0dc4c35751d85p-11, 0x1.054975451c635p-11, 0x1.fa0c50ec71e66p-12, 0x1.e9f33cdf40f2cp-12, 0x1.da453dabd7ad8p-12, 0x1.caffeeaab84e5p-12, 0x1.bc20f70e7bdf1p-12, 0x1.ada609b4ca4f2p-12, 0x1.9f8ce4f5c5c2fp-12, 0x1.91d352733ef1bp-12, 0x1.847726e99c1b7p-12, 0x1.7776420151eacp-12, 0x1.6ace8e1fdd556p-12, 0x1.5e7e003acd4f6p-12, 0x1.528297aa57d9cp-12, 0x1.46da5dfc2f77dp-12, 0x1.3b8366c8e85dcp-12, 0x1.307bcf864163p-12, 0x1.25c1bf5f44264p-12, 0x1.1b536707df515p-12, 0x1.112f0092d931dp-12, 0x1.0752cf49ce165p-12, 0x1.fb7a3f076b6fap-13, 0x1.e8d88cfbb460fp-13, 0x1.d6bd44656b54ep-13, 0x1.c525326879d1p-13, 0x1.b40d3508026f3p-13, 0x1.a3723adc7b0b3p-13, 0x1.935142c8fa7ap-13, 0x1.83a75baf905bcp-13, 0x1.7471a428b929ep-13, 0x1.65ad4a3e9189cp-13, 0x1.57578b2118807p-13, 0x1.496db2e3d3dedp-13, 0x1.3bed1c38e4f42p-13, 0x1.2ed3302b4d3p-13, 0x1.221d65dd74a2ep-13, 0x1.15c94248d36ddp-13, 0x1.09d457f894f74p-13, 0x1.fc788d9dce052p-14, 0x1.e5fd77853fd21p-14, 0x1.d032e145fd593p-14, 0x1.bb1457b14523bp-14, 0x1.a69d8058cd11p-14, 0x1.92ca191222d6fp-14, 0x1.7f95f7867f9d1p-14, 0x1.6cfd08bcfa436p-14, 0x1.5afb50ab790f5p-14, 0x1.498ce9c721d31p-14, 0x1.38ae04942ef9dp-14, 0x1.285ae73eca34bp-14, 0x1.188fed2cb8106p-14, 0x1.09498696d466cp-14, 0x1.f5087045ee995p-15, 0x1.d87934f7e67e4p-15, 0x1.bcdeb3e3c37ap-15, 0x1.a2326c274029p-15, 0x1.886e02aa2ec8p-15, 0x1.6f8b4151cfc41p-15, 0x1.578416525c6e7p-15, 0x1.40529370a0596p-15, 0x1.29f0ed50adb48p-15, 0x1.14597ac68e64p-15, 0x1.ff0d6843f8639p-16, 0x1.d6e6650e84179p-16, 0x1.b0335e9154449p-16, 0x1.8aea06761a21fp-16, 0x1.67004c30725e3p-16, 0x1.446c5bb796319p-16, 0x1.23249c4f00dc2p-16, 0x1.031faf4f3590bp-16, 0x1.c8a8ddf108483p-17, 0x1.8d73da7e69683p-17, 0x1.548ee570acc5cp-17, 0x1.1de8fac8fec7fp-17, 0x1.d2e2fe9a6147dp-18, 0x1.6e307c7f4c864p-18, 0x1.0d9acea487271p-18, 0x1.620631e39260dp-19, 0x1.612cff5ed08e7p-20, 0x1.aaf2173818ef8p-25, -0x1.37e682c132739p-20, -0x1.377e81df75b3dp-19, -0x1.cc2c7bdc4e8efp-19, -0x1.2d192c2183437p-18, -0x1.70e1f6b3287a6p-18, -0x1.b189e3286fa5fp-18, -0x1.ef2994ed2a491p-18, -0x1.14ec887180891p-17, -0x1.30d7e056fedfep-17, -0x1.4b623b1d656c3p-17, -0x1.6496b76ed14p-17, -0x1.7c802b64c6e7p-17, -0x1.93292600bd726p-17, -0x1.a89bf0ced836fp-17, -0x1.bce2916ab2cd6p-17, -0x1.d006cafa755b4p-17, -0x1.e2121faec603fp-17, -0x1.f30dd22d2669cp-17, -0x1.0181738160042p-16, -0x1.08fd1301acf79p-16, -0x1.0ffe0dcf1cb19p-16, -0x1.16888d27838e3p-16, -0x1.1ca09de47a523p-16, -0x1.224a312d4a7edp-16, -0x1.27891d145cd9cp-16, -0x1.2c611d3583bc9p-16, -0x1.30d5d34e038c4p-16, -0x1.34eac7d6ba81cp-16, -0x1.38a36a9d4acdcp-16, -0x1.3c03135194e77p-16, -0x1.3f0d020da70b7p-16, -0x1.41c45ff33ae5ap-16, -0x1.442c3fa6f343fp-16, -0x1.46479dda5bc36p-16, -0x1.481961d3adcb2p-16, -0x1.49a45dec072c8p-16, -0x1.4aeb500be2b9ap-16, -0x1.4bf0e22befea3p-16, -0x1.4cb7aaca532b1p-16, -0x1.4d422d6464f09p-16, -0x1.4d92daea0ba29p-16, -0x1.4dac12301ac63p-16, -0x1.4d90205e7f0dbp-16, -0x1.4d414163d5848p-16, -0x1.4cc1a0557090fp-16, -0x1.4c1357e386728p-16, -0x1.4b3872b84aa29p-16, -0x1.4a32ebe258a51p-16, -0x1.4904af3195991p-16, -0x1.47af999a96a41p-16, -0x1.46357993ccba7p-16, -0x1.44980f734e37p-16, -0x1.42d90dc93b6e1p-16, -0x1.40fa19b2d1092p-16, -0x1.3efccb399cc9ap-16, -0x1.3ce2ada1bfb53p-16, -0x1.3aad3fbe364ap-16, -0x1.385df442890d5p-16, -0x1.35f6321049473p-16, -0x1.3377548878c98p-16, -0x1.30e2abd1aa5dep-16, -0x1.2e397d27bd86cp-16, -0x1.2b7d031e3397p-16, -0x1.28ae6dee50b9p-16, -0x1.25cee3b5b1efep-16, -0x1.22df80be320aep-16, -0x1.1fe157bebb11ep-16, -0x1.1cd5721bbe576p-16, -0x1.19bcd0279e217p-16, -0x1.1698695e47238p-16, -0x1.13692ca471465p-16, -0x1.1030008135334p-16, -0x1.0cedc357bd40bp-16, -0x1.09a34b9f454ep-16, -0x1.0651681c10566p-16, -0x1.02f8e01340bacp-16, -0x1.ff34e70166131p-17, -0x1.f86db6925032p-17, -0x1.f19d92dd33f48p-17, -0x1.eac5d27ca9b08p-17, -0x1.e3e7bf05e8cb8p-17, -0x1.dd049567f99b3p-17, -0x1.d61d863e5f458p-17, -0x1.cf33b6359fd77p-17, -0x1.c8483e5ab73f1p-17, -0x1.c15c2c7129116p-17, -0x1.ba70834807b2p-17, -0x1.b3863b0a33f29p-17, -0x1.ac9e418b6178ap-17, -0x1.a5b97a9987e26p-17, -0x1.9ed8c04035832p-17, -0x1.97fce31dcbde5p-17, -0x1.9126aa9f1ee4dp-17, -0x1.8a56d54d9c77dp-17, -0x1.838e19105bcd7p-17, -0x1.7ccd236c01128p-17, -0x1.761499cab51a2p-17, -0x1.6f6519b3d25bbp-17, -0x1.68bf390ea902bp-17, -0x1.6223865a5a0a6p-17, -0x1.5b9288eef229dp-17, -0x1.550cc12e1606dp-17, -0x1.4e92a8c2454c8p-17, -0x1.4824b2d0607bcp-17, -0x1.41c34c2f20962p-17, -0x1.3b6edb9a3c6a6p-17, -0x1.3527c1e1fc0a9p-17, -0x1.2eee5a21e9e09p-17, -0x1.28c2f9e85e56ap-17, -0x1.22a5f16ede873p-17, -0x1.1c978bbe27366p-17, -0x1.16980ee01ddbp-17, -0x1.10a7bc0803bd9p-17, -0x1.0ac6cfbd44a21p-17, -0x1.04f58204c8fadp-17, -0x1.fe680d0daa3a3p-18, -0x1.f305196ae70fap-18, -0x1.e7c27febb7ae2p-18, -0x1.dca08f81ac4aap-18, -0x1.d19f8f8c26eb9p-18, -0x1.c6bfc0249b3c7p-18, -0x1.bc015a5cbf3f5p-18, -0x1.b164907fe5eb8p-18, -0x1.a6e98e549bcdap-18, -0x1.9c907959ae44fp-18, -0x1.92597101a7e08p-18, -0x1.88448eef4f46fp-18, -0x1.7e51e72baa7d6p-18, -0x1.74818861035cfp-18, -0x1.6ad37c0b43eedp-18, -0x1.6147c6b22e871p-18, -0x1.57de68171d6ebp-18, -0x1.4e975b6c1315cp-18, -0x1.4572977b80639p-18, -0x1.3c700ede0971cp-18, -0x1.338fb0243c7bap-18, -0x1.2ad166019e5b5p-18, -0x1.2235177b34d41p-18, -0x1.19baa80bc0625p-18, -0x1.1161f7ceadeabp-18, -0x1.092ae3a876aa8p-18, -0x1.01154568705acp-18, -0x1.f241e7ddc80aap-19, -0x1.e29b86a4449eap-19, -0x1.d33709fffe505p-19, -0x1.c4140fbd2e0a8p-19, -0x1.b53230d81428cp-19, -0x1.a69101bfe8eap-19, -0x1.9830128e07babp-19, -0x1.8a0eef471e977p-19, -0x1.7c2d200db138p-19, -0x1.6e8a295d89511p-19, -0x1.61258c40da7a6p-19, -0x1.53fec68180cd3p-19, -0x1.471552db90bdep-19, -0x1.3a68a9307713p-19, -0x1.2df83eb34bf2fp-19, -0x1.21c38613bd146p-19, -0x1.15c9efb171276p-19, -0x1.0a0ae9bc536efp-19, -0x1.fd0bc0ccb7252p-20, -0x1.e6747c096f76ap-20, -0x1.d04ed672916d6p-20, -0x1.ba999e2ca11f5p-20, -0x1.a5539e85a0cb8p-20, -0x1.907ba034d638ep-20, -0x1.7c1069a16bfabp-20, -0x1.6810bf2021015p-20, -0x1.547b63327b8cdp-20, -0x1.414f16c2f9f8ep-20, -0x1.2e8a995650c7bp-20, -0x1.1c2ca950a557ep-20, -0x1.0a340418ebe63p-20, -0x1.f13eccb583d5dp-21, -0x1.cedb185b92f7p-21, -0x1.ad3a62908144ap-21, -0x1.8c5a225cf9ef6p-21, -0x1.6c37ceb389b29p-21, -0x1.4cd0deca77d7cp-21, -0x1.2e22ca6b83268p-21, -0x1.102b0a3ada526p-21, -0x1.e5ce300b82e4cp-22, -0x1.aca8de1158c36p-22, -0x1.74e118669b64fp-22, -0x1.3e71dcc82a01ep-22, -0x1.09562d577cc61p-22, -0x1.ab122212ac7c8p-23, -0x1.460b284390fe2p-23, -0x1.c71b225cf3dd3p-24, -0x1.071f19b1e657dp-24, -0x1.303ac27693b97p-26, 0x1.a8a60d5d1e1f1p-26, 0x1.1b9ccfef572bap-24, 0x1.c85e64e9b0a71p-24, 0x1.3840a949c17cdp-23, 0x1.8a0c4470e9913p-23, 0x1.d99b6b006aa51p-23, 0x1.137bb962a3f92p-22, 0x1.3914cfcf6e1f6p-22, 0x1.5d9d91a37e0d6p-22, 0x1.811a8e49dd3c4p-22, 0x1.a3904ba533e15p-22, 0x1.c50345c652ef6p-22, 0x1.e577eec4f2c3bp-22, 0x1.0279574cecff7p-21, 0x1.11bbf17ab78d3p-21, 0x1.2085ef88e488dp-21, 0x1.2ed975cdf2ccep-21, 0x1.3cb8a3431c89cp-21, 0x1.4a25917956393p-21, 0x1.5722548a5bd74p-21, 0x1.63b0fb0c12662p-21, 0x1.6fd38e08c9d3cp-21, 0x1.7b8c10eeefdc3p-21, 0x1.86dc818b79089p-21, 0x1.91c6d802d4d22p-21, 0x1.9c4d06cb57174p-21, 0x1.a670fa9f2d10bp-21, 0x1.b0349a831d8cbp-21, 0x1.b999c7b7141b5p-21, 0x1.c2a25dbbe9de3p-21, 0x1.cb50324ac712bp-21, 0x1.d3a515566ba7p-21, 0x1.dba2d107f45ap-21, 0x1.e34b29c2a542ep-21, 0x1.ea9fde22c9961p-21, 0x1.f1a2a6fdffbcfp-21, 0x1.f8553767de3a8p-21, 0x1.feb93cb0cd368p-21, 0x1.02682f35e0284p-20, 0x1.054e1f380065ep-20, 0x1.080f3c6e9106fp-20, 0x1.0aac52126cb92p-20, 0x1.0d262885ca332p-20, 0x1.0f7d85585bd21p-20, 0x1.11b32b4a2a525p-20, 0x1.13c7da4da1288p-20, 0x1.15bc4f8e61a4fp-20, 0x1.179145714669p-20, 0x1.1947739920469p-20, 0x1.1adf8eedfd5f2p-20, 0x1.1c5a499e53bf4p-20, 0x1.1db85325f2053p-20, 0x1.1efa584fc6c8ap-20, 0x1.2021033dab284p-20, 0x1.212cfb6a71ac9p-20, 0x1.221ee5b03210ap-20, 0x1.22f7644d9adb9p-20, 0x1.23b716ebe7d8bp-20, 0x1.245e9aa33048ap-20, 0x1.24ee8a014d28p-20, 0x1.25677d0df942fp-20, 0x1.25ca09512bfadp-20, 0x1.2616c1d813408p-20, 0x1.264e373ccbb01p-20, 0x1.2670f7aac5d12p-20, 0x1.267f8ee57ac9dp-20, 0x1.267a864e00d77p-20, 0x1.266264e8d159dp-20, 0x1.2637af6485989p-20, 0x1.25fae820656a8p-20, 0x1.25ac8f322f8fbp-20, 0x1.254d226c02532p-20, 0x1.24dd1d6404a9cp-20, 0x1.245cf9791d4ep-20, 0x1.23cd2dd9f5d94p-20, 0x1.232e2f8b47b3bp-20, 0x1.2280716e36dap-20, 0x1.21c46447bb92cp-20, 0x1.20fa76c5d3c02p-20, 0x1.20231586a51ap-20, 0x1.1f3eab1e20a33p-20, 0x1.1e4da01ca3c35p-20, 0x1.1d505b15a1723p-20, 0x1.1c4740a6806ccp-20, 0x1.1b32b37c8be91p-20, 0x1.1a13145a0cb17p-20, 0x1.18e8c21e7a4fp-20, 0x1.17b419cd4107ap-20, 0x1.16757692efba7p-20, 0x1.152d31cb5c753p-20, 0x1.13dba3079f89p-20, 0x1.128120158d63cp-20, 0x1.111dfd057b747p-20, 0x1.0fb28c30a5516p-20, 0x1.0e3f1e3eb2337p-20, 0x1.0cc4022bf1c2p-20, 0x1.0b41854fa05cfp-20, 0x1.09b7f361ccdd6p-20, 0x1.08279682c5fbp-20, 0x1.0690b73f01ff3p-20, 0x1.04f39c9693c6fp-20, 0x1.03508c022ec4cp-20, 0x1.01a7c978de0fap-20, 0x1.fff32eeea33c9p-21, 0x1.fc8c6e086d76cp-21, 0x1.f91bcf6d05ff3p-21, 0x1.f5a1cf7572799p-21, 0x1.f21ee7b14504bp-21, 0x1.ee938ef25f6dfp-21, 0x1.eb00395a4e10bp-21, 0x1.e76558602ab49p-21, 0x1.e3c35ade8dffbp-21, 0x1.e01aad1e4a69ap-21, 0x1.dc6bb8e19a7ap-21, 0x1.d8b6e56bd70b9p-21, 0x1.d4fc978ddf989p-21, 0x1.d13d31b25aa34p-21, 0x1.cd7913e4c62fp-21, 0x1.c9b09be008fd8p-21, 0x1.c5e425114df8ap-21, 0x1.c21408a82c6b2p-21, 0x1.be409d9e511f4p-21, 0x1.ba6a38c1a9349p-21, 0x1.b6912cbd1c419p-21, 0x1.b2b5ca2283481p-21, 0x1.aed85f7367e93p-21, 0x1.aaf9392be9509p-21, 0x1.a718a1cc01254p-21, 0x1.a336e1def12b2p-21, 0x1.9f5440042f6dap-21, 0x1.9b7100f91a909p-21, 0x1.978d67a1cbecfp-21, 0x1.93a9b5125e5a5p-21, 0x1.8fc6289583c14p-21, 0x1.8be2ffb5b6382p-21, 0x1.880076469d01cp-21, 0x1.841ec66c76f3cp-21, 0x1.803e28a4cf0f9p-21, 0x1.7c5ed3cc4d296p-21, 0x1.7880fd29f65ddp-21, 0x1.74a4d8739ec58p-21, 0x1.70ca97d7615c8p-21, 0x1.6cf26c0368419p-21, 0x1.691c842c704c2p-21, 0x1.65490e16827dp-21, 0x1.61783619b8b4bp-21, 0x1.5daa272b458a2p-21, 0x1.59df0ae5449c7p-21, }}, 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
      std::vector<double>(1050, 0.0), 
    }}, 
    {
      19, 0x1.019999999999ap+3, 0x1.9433b79d354e8p+1, 0x1.cfb3aeb46afddp+3, -0x1.79599467956c4p-14, 
      {{
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.1af6fd5b54e82p-12, -0x1.29dd2c34d0dap-10, 0x1.d64d36772d61bp-10, -0x1.432fbaf62a586p-10}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.c7ddeb369e4cdp-13, -0x1.fa83f052edbcdp-11, 0x1.a5d2da6bda3a2p-10, -0x1.2f7d2af3a33d8p-10}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.6ab25ffc6d11p-13, -0x1.aab3f73436764p-11, 0x1.784ce0c74e8a9p-10, -0x1.1ebdff3f5bdadp-10}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.1c986ef210f76p-13, -0x1.63be7ae08073dp-11, 0x1.4d49fa7dcd905p-10, -0x1.0d346b71dc5dp-10}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.b7afb897d71abp-14, -0x1.251fd4a15e7c7p-11, 0x1.24e883f9861c2p-10, -0x1.f7c22775f5657p-11}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.4da635118a245p-14, -0x1.dca4498af0216p-12, 0x1.fe40b53af4363p-11, -0x1.d4fe6785b73e1p-11}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.f01d29c731d92p-15, -0x1.7da048212726dp-12, 0x1.b7e758e6e5857p-11, -0x1.b242717228ef4p-11}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.6830ec6a5d76fp-15, -0x1.2c28c4d9ce57ap-12, 0x1.76c3c7e29295p-11, -0x1.8f84646e53536p-11}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.fca34f0910dep-16, -0x1.ce65ead72c3bbp-13, 0x1.3ad6526b9faf2p-11, -0x1.6cc6e94eed3b5p-11}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.5b68136e7db08p-16, -0x1.5b68136e7db8p-13, 0x1.041ee29fc8e67p-11, -0x1.4a093d8e0e709p-11}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.c7ddeb369e42bp-17, -0x1.fa84cc4c13e81p-14, 0x1.a53aff94f3decp-12, -0x1.274bc26ea7921p-11}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.1c986ef210e7ep-17, -0x1.63be8b549371bp-14, 0x1.4ca445408e64bp-12, -0x1.048db56ad2a98p-11}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.4da635118a06p-18, -0x1.dca446f2f7375p-15, 0x1.fcf3840dd1979p-13, -0x1.c3a37eae89213p-12}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.6830ec6a5d3c1p-19, -0x1.2c28d72b1c3fdp-15, 0x1.7575aad975414p-13, -0x1.7e1bfece0bbf5p-12}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.5b68136e7d2c2p-20, -0x1.5b678be9f0966p-16, 0x1.02d3ab353e885p-13, -0x1.38ce9ff28535ap-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.1c986ef20fbp-21, -0x1.63c27e33c60eap-17, 0x1.49f829a5c6bep-14, -0x1.e550a1790a652p-13}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.6830ec6a578p-23, -0x1.2c0b46ebfeaf2p-18, 0x1.70bff26954079p-15, -0x1.5f5743d6de10ep-13}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.1c986ef1fdp-25, -0x1.6576cffa0079p-20, 0x1.3be3f9d0d0c94p-16, -0x1.8385878529ba7p-14}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.1c986ef05p-29, -0x1.3065a42b524a9p-23, 0x1.4d82a203abdp-18, -0x1.034eca6db2eb9p-13}, 
      }}, 
      0x1.e8008db5129bep-10, -0x1.7814204b5b8b2p-7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_c_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.9662d55a7ec61p-6, 0x1.94e8bef6d00b2p-5, 0x1.2dde47e7d3011p-4, 0x1.8f2fbc68a67c5p-4, 0x1.edd34c5069f26p-4, 0x1.24a324519b295p-3, 0x1.508c88a4a665p-3, 0x1.7a774b42f3a1cp-3, 0x1.a23dab9d24322p-3, 0x1.c7c2032abe464p-3, 0x1.eaee028d650fbp-3, 0x1.05d8f62ae398dp-2, 0x1.1501eb5deb09ap-2, 0x1.22ef7c7eccc88p-2, 0x1.2fa18399736e3p-2, 0x1.3b19cef6a1b61p-2, 0x1.455bdee2a5dbap-2, 0x1.4e6cab032ebb2p-2, 0x1.56526e8fcf1cdp-2, 0x1.5d147a9cf0b0dp-2, 0x1.62bb0da362e2ap-2, 0x1.674f2f7d6583fp-2, 0x1.6ada9128aa445p-2, 0x1.6d676fb7d825bp-2, 0x1.6f0079f4c7c97p-2, 0x1.6fb0b84b53314p-2, 0x1.6f8376a8cb2b3p-2, 0x1.6e84301c8846dp-2, 0x1.6cbe7be7e1c5cp-2, 0x1.6a3dfc4cb1a76p-2, 0x1.670e4e7ab7b8cp-2, 0x1.633afc2b2fb0bp-2, 0x1.5ecf6e737e3d1p-2, 0x1.59d6e207e96abp-2, 0x1.545c5cd2199d2p-2, 0x1.4e6aa4854c7a5p-2, 0x1.480c36a931c1bp-2, 0x1.414b418171f6ap-2, 0x1.3a319e20f0e23p-2, 0x1.32c8cb634cf0cp-2, 0x1.2b19e9e30046p-2, 0x1.232db8c7075p-2, 0x1.1b0c93673f746p-2, 0x1.12be6fa3c107cp-2, 0x1.0a4add294c1cap-2, 0x1.01b90509dcb6bp-2, 0x1.f21f5423454d1p-3, 0x1.e0aa549e1909dp-3, 0x1.cf1efe4b13d9bp-3, 0x1.bd88821d8eed1p-3, 0x1.abf1501cf4dbcp-3, 0x1.9a631de828afep-3, 0x1.88e6ef8239fdp-3, 0x1.778513d7feeb8p-3, 0x1.66453ce571abep-3, 0x1.552e6be990079p-3, 0x1.44471c25686d1p-3, 0x1.33951d108f7c2p-3, 0x1.231dcee655027p-3, 0x1.12e5ecd1e8c8cp-3, 0x1.02f1d6b229035p-3, 0x1.e68aa49aa972ep-4, 0x1.c7c7adf26c315p-4, 0x1.a9a0ab253a48ep-4, 0x1.8c1ae454ce428p-4, 0x1.6f3acffb3d534p-4, 0x1.53043cb3a2cabp-4, 0x1.377a656a085c7p-4, 0x1.1c9fd60f79036p-4, 0x1.0276abbbda67ap-4, 0x1.d200d0e11ccc6p-5, 0x1.a07c4c7788408p-5, 0x1.70610c0c888d1p-5, 0x1.41af83201ab6dp-5, 0x1.1467621694cefp-5, 0x1.d10f3af3b8091p-6, 0x1.7c1cfd122dc04p-6, 0x1.29f3547cfe384p-6, 0x1.b518b119f5552p-7, 0x1.1bc1fefaad70ep-7, 0x1.0fa4c11f108b3p-8, -0x1.b215f1717dd89p-13, -0x1.2044601856ddbp-8, -0x1.1450e323b1578p-7, -0x1.936bbc8dfc6b5p-7, -0x1.06c5b9fa7dad8p-6, -0x1.4165044f00b64p-6, -0x1.79a14ea525cf9p-6, -0x1.af88aa59a3908p-6, -0x1.e329978bad09bp-6, -0x1.0a497a02f3293p-5, -0x1.21e9f57273551p-5, -0x1.387df25898253p-5, -0x1.4e0d3bcbad76fp-5, -0x1.629fac9f8355ep-5, -0x1.763d2840f3e91p-5, -0x1.88ed9474412f9p-5, -0x1.9ab8d36edeaccp-5, -0x1.aba6be853e30dp-5, -0x1.bbbf2168c258fp-5, -0x1.cb09b5c61ca8ep-5, -0x1.d98e1f5eb3a26p-5, -0x1.e753e86b7e8f6p-5, -0x1.f4627e4fbeeedp-5, -0x1.006097488f698p-4, -0x1.063b920bca16ap-4, -0x1.0bc5b258c95d9p-4, -0x1.1102676f0a728p-4, -0x1.15f50bf564104p-4, -0x1.1aa0e52be0333p-4, -0x1.1f0922443f8adp-4, -0x1.2330dbdb90643p-4, -0x1.271b1393f07b6p-4, -0x1.2acab3c70ecd4p-4, -0x1.2e428f529d0dbp-4, -0x1.31856174b0bfp-4, -0x1.3495cdb48773bp-4, -0x1.37765fe697085p-4, -0x1.3a298c2d6d96ap-4, -0x1.3cb1af09142bfp-4, -0x1.3f110d84aef1ap-4, -0x1.4149d5550c3e6p-4, -0x1.435e1d1174c09p-4, -0x1.454fe4855bd9ep-4, -0x1.472114f48fff6p-4, -0x1.48d3816c15299p-4, -0x1.4a68e751b5e5cp-4, -0x1.4be2eeadd6721p-4, -0x1.4d432a9ec115ep-4, -0x1.4e8b1a0b09561p-4, -0x1.4fbc27fe613dcp-4, -0x1.50d7ac2264357p-4, -0x1.51deeb7d5c271p-4, -0x1.52d318f02a6c4p-4, -0x1.53b5559ff9d1bp-4, -0x1.5486b1aa547f7p-4, -0x1.55482cd2926d6p-4, -0x1.55fab6d3fcf9dp-4, -0x1.569f3002b541bp-4, -0x1.57366a0a23f21p-4, -0x1.57c1285bf74ccp-4, -0x1.584020a29b57ap-4, -0x1.58b3fb7810dcep-4, -0x1.591d5500646e6p-4, -0x1.597cbd4ebcc2ep-4, -0x1.59d2b8ec52a4ep-4, -0x1.5a1fc1898dfe7p-4, -0x1.5a64467bc67dbp-4, -0x1.5aa0ad26955e3p-4, -0x1.5ad551856cd5dp-4, -0x1.5b0286c6d203ep-4, -0x1.5b2897bdf4d34p-4, -0x1.5b47c7488fdddp-4, -0x1.5b6050cf60a9dp-4, -0x1.5b7268cac212bp-4, -0x1.5b7e3d243a546p-4, -0x1.5b83f59ccf0a5p-4, -0x1.5b83b44018011p-4, -0x1.5b7d95c641b75p-4, -0x1.5b71b1eccf9c3p-4, -0x1.5b601bde8da5fp-4, -0x1.5b48e29503f98p-4, -0x1.5b2c111a78635p-4, -0x1.5b09aed4848bep-4, -0x1.5ae1bfec6f2cfp-4, -0x1.5ab445a6deb02p-4, -0x1.5a813e8f20641p-4, -0x1.5a48a6a6d26cdp-4, -0x1.5a0a77c28ce4cp-4, -0x1.59c6a9e6bd208p-4, -0x1.597d337091d49p-4, -0x1.592e0924ccd67p-4, -0x1.58d91e6758606p-4, -0x1.587e659ad1219p-4, -0x1.581dd06336678p-4, -0x1.57b74fab5380bp-4, -0x1.574ad3a51ebb9p-4, -0x1.56d84c05ab981p-4, -0x1.565fa86332deep-4, -0x1.55e0d861df271p-4, -0x1.555bcb9ce1d7bp-4, -0x1.54d0719998027p-4, -0x1.543eba0573305p-4, -0x1.53a695122432bp-4, -0x1.5307f3937f63p-4, -0x1.5262c6d5ae40dp-4, -0x1.51b70082bceabp-4, -0x1.510492d829a48p-4, -0x1.504b70fef5c1ap-4, -0x1.4f8b8f298c012p-4, -0x1.4ec4e26699c88p-4, -0x1.4df760751a799p-4, -0x1.4d22ffe052cecp-4, -0x1.4c47b84e498cep-4, -0x1.4b6582ad8b344p-4, -0x1.4a7c5918a1bap-4, -0x1.498c369c0f463p-4, -0x1.489517297f8b7p-4, -0x1.4796f7cc78c39p-4, -0x1.4691d6e98cc13p-4, -0x1.4585b4468a472p-4, -0x1.447290d824781p-4, -0x1.43586e8ec9a1dp-4, -0x1.4237505a9b031p-4, -0x1.410f3a62a7485p-4, -0x1.3fe0323459337p-4, -0x1.3eaa3eb93ae69p-4, -0x1.3d6d67fe5a80dp-4, -0x1.3c29b705c8412p-4, -0x1.3adf35ce7cec5p-4, -0x1.398def86b776ep-4, -0x1.3835f0b1b802fp-4, -0x1.36d74718c2508p-4, -0x1.35720194c5231p-4, -0x1.34062fe1a35f3p-4, -0x1.3293e29fe0f07p-4, -0x1.311b2b7bc778ap-4, -0x1.2f9c1d4e2f8b6p-4, -0x1.2e16cc141001bp-4, -0x1.2c8b4cc253d5p-4, -0x1.2af9b51a7acfcp-4, -0x1.29621b9f14c08p-4, -0x1.27c497a93cf7dp-4, -0x1.26214183f7abp-4, -0x1.2478326fb78d6p-4, -0x1.22c9848819e77p-4, -0x1.2115529ecdccep-4, -0x1.1f5bb823bb182p-4, -0x1.1d9cd124e12afp-4, -0x1.1bd8ba5d3b54fp-4, -0x1.1a0f913faeddap-4, -0x1.184173f09df8ap-4, -0x1.166e813002327p-4, -0x1.1496d84037196p-4, -0x1.12ba98d535bf1p-4, -0x1.10d9e310a2edep-4, -0x1.0ef4d7867e983p-4, -0x1.0d0b9740cca16p-4, -0x1.0b1e43bb9013p-4, -0x1.092cfed7f53eap-4, -0x1.0737eacaaff04p-4, -0x1.053f2a0b98bfep-4, -0x1.0342df4b3a877p-4, -0x1.01432d6fabf5ap-4, -0x1.fe806f2b845f7p-5, -0x1.fa744222dffc2p-5, -0x1.f6621ad1d7eddp-5, -0x1.f24a4092bcb71p-5, -0x1.ee2cfaeefc0e3p-5, -0x1.ea0a9181fa9c7p-5, -0x1.e5e34be6d0b1cp-5, -0x1.e1b771b3bb334p-5, -0x1.dd874a7db191dp-5, -0x1.d9531dda482a4p-5, -0x1.d51b335706f3cp-5, -0x1.d0dfd263f754ap-5, -0x1.cca14237163a9p-5, -0x1.c85fc9b2f679bp-5, -0x1.c41baf57e55ecp-5, -0x1.bfd539419f1a6p-5, -0x1.bb8cad2c053a9p-5, -0x1.b74250756d0eep-5, -0x1.b2f66817afe76p-5, -0x1.aea9389683a6p-5, -0x1.aa5b05e8165dp-5, -0x1.a60c136009ea3p-5, -0x1.a1bca3a346fb2p-5, -0x1.9d6cf8a592285p-5, -0x1.991d53acb0463p-5, -0x1.94cdf552a0614p-5, -0x1.907f1d81ef441p-5, -0x1.8c310b6ab09f4p-5, -0x1.87e3fd72aa809p-5, -0x1.83983125e6d2bp-5, -0x1.7f4de32c56cfep-5, -0x1.7b054f4602ff1p-5, -0x1.76beb04b6b9aep-5, -0x1.727a402e1af01p-5, -0x1.6e3837f66bbaap-5, -0x1.69f8cfbdbc043p-5, -0x1.65bc3ea64ba1dp-5, -0x1.6182bad37032p-5, -0x1.5d4c79649a615p-5, -0x1.5919ae73ba429p-5, -0x1.54ea8d15bcea8p-5, -0x1.50bf4759db755p-5, -0x1.4c980e44c050ap-5, -0x1.487511c7f84dp-5, -0x1.445680b8a4a2cp-5, -0x1.403c88c983f15p-5, -0x1.3c27568ba339ap-5, -0x1.381715768aa22p-5, -0x1.340beff52925cp-5, -0x1.30060f718399fp-5, -0x1.2c059c57fc883p-5, -0x1.280abe0d85c6ep-5, -0x1.24159ad9ae3b3p-5, -0x1.202657cbc8953p-5, -0x1.1c3d18a64be52p-5, -0x1.1859ffdb05006p-5, -0x1.147d2e9db8cd7p-5, -0x1.10a6c50a60347p-5, -0x1.0cd6e2534b846p-5, -0x1.090da4e5a479p-5, -0x1.054b2a731f14bp-5, -0x1.018f8fd7a06e6p-5, -0x1.fbb5e1bded84ap-6, -0x1.f45acff966d28p-6, -0x1.ed0e1c228a922p-6, -0x1.e5cff4adb4aadp-6, -0x1.dea0850b43cdfp-6, -0x1.d77ff65822621p-6, -0x1.d06e70460ab16p-6, -0x1.c96c19eecd08cp-6, -0x1.c2791a40dba14p-6, -0x1.bb9597cce267fp-6, -0x1.b4c1b7ef7ad0bp-6, -0x1.adfd9d8ea4ab8p-6, -0x1.a74967d2a398dp-6, -0x1.a0a531526acebp-6, -0x1.9a11101276f4ap-6, -0x1.938d1676550b2p-6, -0x1.8d1954f323b38p-6, -0x1.86b5dc0731486p-6, -0x1.8062bdd3398e4p-6, -0x1.7a200ebee7488p-6, -0x1.73ede4d4ecbfdp-6, -0x1.6dcc55e9f75f6p-6, -0x1.67bb750d149f3p-6, -0x1.61bb500b07566p-6, -0x1.5bcbeddbe88ebp-6, -0x1.55ed4e9951b91p-6, -0x1.501f6d286531ep-6, -0x1.4a6242383159bp-6, -0x1.44b5c7be94c7cp-6, -0x1.3f19fbe4029bbp-6, -0x1.398ee268e5d19p-6, -0x1.341483f9b0339p-6, -0x1.2eaaeb8560dd2p-6, -0x1.2952224b9aa6bp-6, -0x1.240a2bc9075b2p-6, -0x1.1ed302c2ad912p-6, -0x1.19ac9866ced6ap-6, -0x1.1496d5df52d4cp-6, -0x1.0f919ff534809p-6, -0x1.0a9cdbc096e5dp-6, -0x1.05b87309f2974p-6, -0x1.00e4571270653p-6, -0x1.f84101ddd7814p-7, -0x1.eed9deb09abffp-7, -0x1.e593452ccb9a1p-7, -0x1.dc6d2f79cefd2p-7, -0x1.d367894a8f825p-7, -0x1.ca822ba6faa03p-7, -0x1.c1bcddaf128d1p-7, -0x1.b91759ecf08ebp-7, -0x1.b091566d4f754p-7, -0x1.a82a8d09fb6bcp-7, -0x1.9fe2c1782b895p-7, -0x1.97b9c373b76c5p-7, -0x1.8faf6cad36ce4p-7, -0x1.87c39b72eac9ep-7, -0x1.7ff62c0b151bbp-7, -0x1.7846f31685d27p-7, -0x1.70b5baf02f108p-7, -0x1.694244edae0a1p-7, -0x1.61ec4de8365fcp-7, -0x1.5ab3943a137e2p-7, -0x1.5397dcb839146p-7, -0x1.4c98f484d9cd5p-7, -0x1.45b6aedccc816p-7, -0x1.3ef0df74c0aa7p-7, -0x1.384753278f31ep-7, -0x1.31b9c93ec2384p-7, -0x1.2b47ef91500bep-7, -0x1.24f16334e1176p-7, -0x1.1eb5b68908eecp-7, -0x1.18947be83d4e5p-7, -0x1.128d528432b0dp-7, -0x1.0c9ff18cd116dp-7, -0x1.06cc2d96f21c6p-7, -0x1.0111f5c4d10a7p-7, -0x1.f6e29217d921fp-8, -0x1.ebd44d95472b7p-8, -0x1.e0f8fe622f368p-8, -0x1.d6504e6ae06d6p-8, -0x1.cbd9a38ec8268p-8, -0x1.c1941ce81e629p-8, -0x1.b77e9b61fd575p-8, -0x1.ad97d7a09c2f3p-8, -0x1.a3de864ada491p-8, -0x1.9a5185c174d7dp-8, -0x1.90f007e0de87dp-8, -0x1.87b9a6916adp-8, -0x1.7eae584d1ec76p-8, -0x1.75ce48afd821bp-8, -0x1.6d19a74bcde7cp-8, -0x1.64908220bd1b1p-8, -0x1.5c32b6a4d1679p-8, -0x1.53fff3e802b38p-8, -0x1.4bf7bdf7dc26ep-8, -0x1.441965e52d204p-8, -0x1.3c63f8e9dba5cp-8, -0x1.34d639705f698p-8, -0x1.2d6eb7ba0a3f3p-8, -0x1.262c0e26918b1p-8, -0x1.1f0d285f04b1bp-8, -0x1.18116c3b918e3p-8, -0x1.1138a911597a7p-8, -0x1.0a82d85d87ff9p-8, -0x1.03efdca152bbfp-8, -0x1.fafed75220f5fp-9, -0x1.ee625c2a70e06p-9, -0x1.e209e784e762p-9, -0x1.d5f59b14f2983p-9, -0x1.ca25e289a7c77p-9, -0x1.be9ae4294c6f8p-9, -0x1.b353e84c58b9dp-9, -0x1.a84f11648a042p-9, -0x1.9d899584a7c72p-9, -0x1.93006253ea921p-9, -0x1.88b0d3dd4cf3fp-9, -0x1.7e99146bad43bp-9, -0x1.74b7ed819cb57p-9, -0x1.6b0c39ba5ac61p-9, -0x1.61947f6125b89p-9, -0x1.584f2644c2f66p-9, -0x1.4f3b2ec698e53p-9, -0x1.4658cd8e1faf7p-9, -0x1.3da9606e9b71ep-9, -0x1.352ebe3aced73p-9, -0x1.2cea5b548fac7p-9, -0x1.24dcbfe9d71b3p-9, -0x1.1d056e726f055p-9, -0x1.1562fd098021bp-9, -0x1.0df32b3b41a4fp-9, -0x1.06b30cfafc6dbp-9, -0x1.ff3eecc7c6763p-10, -0x1.f16afdd294c8p-10, -0x1.e3e56d1ac9832p-10, -0x1.d6a9fdc3ba3ccp-10, -0x1.c9b50a8975a4p-10, -0x1.bd0475758189bp-10, -0x1.b098b8da37b19p-10, -0x1.a474b47a6edb6p-10, -0x1.989c2da7cd9b2p-10, -0x1.8d1228a4c4a83p-10, -0x1.81d81852d04adp-10, -0x1.76ee3b71a0e2bp-10, -0x1.6c5498aa5274p-10, -0x1.620b38d0ec4e6p-10, -0x1.5810f1a938d23p-10, -0x1.4e61ff660c289p-10, -0x1.44f8207d8e808p-10, -0x1.3bcc1b4af349dp-10, -0x1.32d745530864bp-10, -0x1.2a1467f7a7329p-10, -0x1.218067c45ffb1p-10, -0x1.191ad3c25ba2dp-10, -0x1.10e590b77647fp-10, -0x1.08e33b84d8ef8p-10, -0x1.0115cded368e7p-10, -0x1.f2fd36c2ef47fp-11, -0x1.e43ca62c0cf73p-11, -0x1.d5e951f32559p-11, -0x1.c801d39990181p-11, -0x1.ba85b552803dep-11, -0x1.ad74d3c242ed4p-11, -0x1.a0cda7a7f5511p-11, -0x1.948cdbebeaa56p-11, -0x1.88ada87e20245p-11, -0x1.7d293260e04ap-11, -0x1.71f51ebd518cap-11, -0x1.670518ca4133dp-11, -0x1.5c5139299b27cp-11, -0x1.51daa29430cd2p-11, -0x1.47a76f8d7144dp-11, -0x1.3dbad69c756bbp-11, -0x1.341483a46e84ep-11, -0x1.2ab59c28822b8p-11, -0x1.219fe76331a3ap-11, -0x1.18d258a1d19bdp-11, -0x1.104af4cba44f4p-11, -0x1.0807d2c602192p-11, -0x1.0004fc1e86479p-11, -0x1.f07b369b8084dp-12, -0x1.e15f971a2b495p-12, -0x1.d2bb5389f7148p-12, -0x1.c4959372224c8p-12, -0x1.b6f1540947711p-12, -0x1.a9c643d4489ccp-12, -0x1.9cfdb0154fd04p-12, -0x1.90813a7a6e6b7p-12, -0x1.844f3d818681dp-12, -0x1.78725c08d9deep-12, -0x1.6cec79a2c0ce5p-12, -0x1.61bc301324268p-12, -0x1.56e796faa6166p-12, -0x1.4c709ffebf2abp-12, -0x1.42537bad1cf6p-12, -0x1.388dfb9facac2p-12, -0x1.2f1a1dd768ccp-12, -0x1.25ed75260001ep-12, -0x1.1d001ea9b2003p-12, -0x1.144f9da7d136ap-12, -0x1.0bddf5b8eb518p-12, -0x1.03b04890ec00cp-12, -0x1.f7997c7be01c9p-13, -0x1.e870e91ed8f1fp-13, -0x1.d9ea92f7cbd07p-13, -0x1.cbf2ddfe7ff21p-13, -0x1.be5c7fd0894f5p-13, -0x1.b111c3f5d8ae3p-13, -0x1.a421021609a36p-13, -0x1.9791e3346cd3fp-13, -0x1.8b675fcb8bbdfp-13, -0x1.7fa896289cecp-13, -0x1.7456712d77f15p-13, -0x1.69715860c3f2cp-13, -0x1.5eedbd643c279p-13, -0x1.54b99302a32f2p-13, -0x1.4acc331a410edp-13, -0x1.41257639b47fcp-13, -0x1.37c6b9dc9fd6dp-13, -0x1.2eafacb648c76p-13, -0x1.25df192c3e3e1p-13, -0x1.1d5565c62899p-13, -0x1.1515c45f9507ep-13, -0x1.0d24c4523aad7p-13, -0x1.0589350dfe09ep-13, -0x1.fc8f48ec07369p-14, -0x1.ee8eb6def108cp-14, -0x1.e0cec2bc8d698p-14, -0x1.d365d119f1403p-14, -0x1.c663c630ef35fp-14, -0x1.b9bf0419ef19fp-14, -0x1.ad8fd6bc0494ap-14, -0x1.a1e6224213a77p-14, -0x1.96a6bec56f49cp-14, -0x1.8bb4a22af35dp-14, -0x1.8109f7aa0809fp-14, -0x1.76aa94233b398p-14, -0x1.6c997ad42a80ep-14, -0x1.62d71b6a0837ap-14, -0x1.5961e3963935ep-14, -0x1.50368dca6ad96p-14, -0x1.4750ac5b67886p-14, -0x1.3eaca80dc1a1p-14, -0x1.364a213b3309p-14, -0x1.2e29c954cf1bfp-14, -0x1.264cef14d2e9p-14, -0x1.1ec6ac0cd3344p-14, -0x1.179b19078b7ap-14, -0x1.109141afdaf12p-14, -0x1.09a95942fc1fbp-14, -0x1.02dd195220b99p-14, -0x1.f883d850c0e21p-15, -0x1.ebef0cde1fc85p-15, -0x1.dfc0317faed5cp-15, -0x1.d3d0319c4e199p-15, -0x1.c82299589fedfp-15, -0x1.bcbf707322968p-15, -0x1.b1a8f97c04aadp-15, -0x1.a6ddb56a02cf1p-15, -0x1.9c5af70fbbf04p-15, -0x1.921e3f3f4c1b1p-15, -0x1.882562cc3ff02p-15, -0x1.7e6dabd227e4cp-15, -0x1.74f2e4f148bd1p-15, -0x1.6baffc8ba637ap-15, -0x1.62a19f37bb774p-15, -0x1.59c5e625c2185p-15, -0x1.5118aa6a70514p-15, -0x1.48aa8e0fbb851p-15, -0x1.40a2195e89a97p-15, -0x1.38c58e0a0041p-15, -0x1.30e6e35e0154cp-15, -0x1.2917558241c0fp-15, -0x1.219f9a879d234p-15, -0x1.1a58de09458abp-15, -0x1.132845784207ep-15, -0x1.0c1435bfbf4b2p-15, -0x1.0521d0d702f57p-15, -0x1.fca3ba55ef49cp-16, -0x1.ef46a8e0c0fa6p-16, -0x1.e2295f9c1dae6p-16, -0x1.d548c93ad0b2cp-16, -0x1.c8a24a98ef32bp-16, -0x1.bc340e55ea314p-16, -0x1.affcd3918eb24p-16, -0x1.a3fb06a6e924fp-16, -0x1.982baa4ed5794p-16, -0x1.8c8a5e84545f7p-16, -0x1.8113710082b45p-16, -0x1.75c575630518ap-16, -0x1.6a9e29b918f77p-16, -0x1.5fa4c1656b28cp-16, -0x1.54f57ca969f35p-16, -0x1.4a755586b9ee4p-16, -0x1.3fe9f030bc189p-16, -0x1.3590712729253p-16, -0x1.2b74b06da3a58p-16, -0x1.216e2ea5abf0ap-16, -0x1.1781b48dcb9d5p-16, -0x1.0db5346749d4p-16, -0x1.04097a4d77d4ap-16, -0x1.f4fb880690f7fp-17, -0x1.e22223edc060dp-17, -0x1.cf84d9b19de4fp-17, -0x1.bd21de38435cap-17, -0x1.aaf797be4592cp-17, -0x1.9904bd7e2631ep-17, -0x1.874878840e2dcp-17, -0x1.75c24c475cfc7p-17, -0x1.6471940f2140ep-17, -0x1.5354ddb736c2cp-17, -0x1.4269e0bce258dp-17, -0x1.31ae95a6e863bp-17, -0x1.2122b55cef2c6p-17, -0x1.10c63a65a94cap-17, -0x1.0099a8ed8e178p-17, -0x1.e1542e3221984p-18, -0x1.c1c66a8f2597ap-18, -0x1.a28ef0bee84d7p-18, -0x1.83c06969fec57p-18, -0x1.6553d5dc07e94p-18, -0x1.47326675aa29dp-18, -0x1.2967623e521e3p-18, -0x1.0bf704258d28ep-18, -0x1.ddc218dd7d09dp-19, -0x1.a44962ec2d40ap-19, -0x1.6b829d0a76181p-19, -0x1.336cc8418ecc3p-19, -0x1.f80e246a1995ap-20, -0x1.8aa18df521b97p-20, -0x1.1e92ab0e3fc21p-20, -0x1.67c197d897bep-21, -0x1.2a2fd06d7ea08p-22, 0x1.d6b2874081e07p-24, 0x1.0807dab90406dp-21, 0x1.d27e17227b28cp-21, 0x1.4d1ec27db21f7p-20, 0x1.afa55535714b6p-20, 0x1.0868e4224e276p-19, 0x1.38500ca01b9cep-19, 0x1.678b09c8bb0c9p-19, 0x1.96138cefa4a9ep-19, 0x1.c3eda5d25e0cap-19, 0x1.f118ca2d59bbap-19, 0x1.0ec599b5aac9fp-18, 0x1.24a75b968154cp-18, 0x1.3a34fd48932bdp-18, 0x1.4f6bb03a67c85p-18, 0x1.6449ea7d2de28p-18, 0x1.78cf9fa217e48p-18, 0x1.8cfcdb1e0e153p-18, 0x1.a0d198e90be19p-18, 0x1.b44dcc7919479p-18, 0x1.c771676e6f84p-18, 0x1.da3c5cf286a0cp-18, 0x1.ecaea2e34e22bp-18, 0x1.fec83160c27dcp-18, 0x1.084480a95f1d3p-17, 0x1.10f88480e7da5p-17, 0x1.19801c68297b3p-17, 0x1.21db402335e68p-17, 0x1.2a09efb41c23ep-17, 0x1.320c39602b3e1p-17, 0x1.39e2349d5a63fp-17, 0x1.418bef8eddb24p-17, 0x1.490951f02c7e6p-17, 0x1.505a4e06b1097p-17, 0x1.577f9a400a084p-17, 0x1.5e78d00a1c14ep-17, 0x1.6544fe44f36ebp-17, 0x1.6be5ae5622f25p-17, 0x1.725a05ef119fp-17, 0x1.78a26f412ce2bp-17, 0x1.7ebfc65c05edep-17, 0x1.84b18520a16p-17, 0x1.8a77bb352c8c4p-17, 0x1.901292b943b29p-17, 0x1.958234b728671p-17, 0x1.9ac6c9e3de521p-17, 0x1.9fe07c264fdc4p-17, 0x1.a4cf775e2c509p-17, 0x1.a993e9c57141dp-17, 0x1.ae2e0406c83dp-17, 0x1.b29df91b8d6f4p-17, 0x1.b6e3fe3a4504fp-17, 0x1.bb004aa27a184p-17, 0x1.bef317104e474p-17, 0x1.c2bc9d34380fap-17, 0x1.c65d1879454b5p-17, 0x1.c9d4c86c23ea7p-17, 0x1.cd23f1e0aed0ap-17, 0x1.d04add5e2172cp-17, 0x1.d349d25353d1fp-17, 0x1.d6210d5a30501p-17, 0x1.d8d0cba2b66acp-17, 0x1.db598db69440bp-17, 0x1.ddbbe58f6cda5p-17, 0x1.dff6cc5b7fc0dp-17, 0x1.e20bf5a5708acp-17, 0x1.e3fb7372cbdc8p-17, 0x1.e5c4ec8f62d7ap-17, 0x1.e769889aa600ep-17, 0x1.e8e94e7528ap-17, 0x1.ea448dfeb9098p-17, 0x1.eb7ba5bbfcf5dp-17, 0x1.ec8ef419eb302p-17, 0x1.ed7ed7eb3b55cp-17, 0x1.ee4bb0fc05296p-17, 0x1.eef5e04b7d072p-17, 0x1.ef7dc81836b8ep-17, 0x1.efe3cbebedcafp-17, 0x1.f02850937a24p-17, 0x1.f04bbc03da582p-17, 0x1.f04e754da472fp-17, 0x1.f030e48aaa5fp-17, 0x1.eff372bc32fc8p-17, 0x1.ef9689896ecc8p-17, 0x1.ef1a93295f6b8p-17, 0x1.ee7ffae4d3c3dp-17, 0x1.edc72db7dad8fp-17, 0x1.ecf09a1167176p-17, 0x1.ebfcaf2e89412p-17, 0x1.eaebdb0d4641p-17, 0x1.e9be87ab707adp-17, 0x1.e875232d8ce3p-17, 0x1.e7103c5cdefc3p-17, 0x1.e590414df7814p-17, 0x1.e3f527e827804p-17, 0x1.e2401a99df68ep-17, 0x1.e0712fb919b21p-17, 0x1.de88beed8d395p-17, 0x1.dc877a2a00f38p-17, 0x1.da6db6e07c277p-17, 0x1.d83be798dd526p-17, 0x1.d5f28088b1be1p-17, 0x1.d391f554bdb82p-17, 0x1.d11ab968c4738p-17, 0x1.ce8d4015fb396p-17, 0x1.cbe9fca1ded87p-17, 0x1.c931623854a58p-17, 0x1.c663e3ebad5d2p-17, 0x1.c381f4baae0e2p-17, 0x1.c08c07732eba3p-17, 0x1.bd828eab23a18p-17, 0x1.ba65fcbb6df5bp-17, }}, 
      {{0x1.6027a63d77b18p-6, 0x1.5f829e932b13p-5, 0x1.06d6304a244afp-4, 0x1.5cfce219116bep-4, 0x1.b1ef3aba98cb6p-4, 0x1.02b69d6ff5d81p-3, 0x1.2b9ead2ea2b1ap-3, 0x1.53964934cc075p-3, 0x1.7a871e43dbdd7p-3, 0x1.a05dea4d6a60ep-3, 0x1.c50a524e758d6p-3, 0x1.e87eb0d0e48e6p-3, 0x1.0557f09c6764cp-2, 0x1.15ca855913e4ap-2, 0x1.2593b6354ec4bp-2, 0x1.34b1160bf05ecp-2, 0x1.432113b13da45p-2, 0x1.50e2e442e925p-2, 0x1.5df66f20c4acap-2, 0x1.6a5c3b898d304p-2, 0x1.76155fc9d449ap-2, 0x1.812371e3ffbe3p-2, 0x1.8b887992bf1abp-2, 0x1.9546e3844f9f5p-2, 0x1.9e6175b068598p-2, 0x1.a6db44a9812e3p-2, 0x1.aeb7a9c5e783p-2, 0x1.b5fa3a183c148p-2, 0x1.bca6be0523ce1p-2, 0x1.c2c1299c378c8p-2, 0x1.c84d9555ccd9fp-2, 0x1.cd50377d7de6dp-2, 0x1.d1cd5e09e4cfcp-2, 0x1.d5c968e989ec8p-2, 0x1.d948c4dcac625p-2, 0x1.dc4fe68022218p-2, 0x1.dee345fcd0b03p-2, 0x1.e1075ae11527p-2, 0x1.e2c09878fdad1p-2, 0x1.e4136a58fb88fp-2, 0x1.e5043164b909ep-2, 0x1.e59740ebc47a6p-2, 0x1.e5d0dc441f141p-2, 0x1.e5b5349211af9p-2, 0x1.e54866c3a194dp-2, 0x1.e48e79f177c2dp-2, 0x1.e38b5dd920a77p-2, 0x1.e242e9a5e476ap-2, 0x1.e0b8dae0dd862p-2, 0x1.def0d4a5f6c97p-2, 0x1.dcee5eeb8a399p-2, 0x1.dab4e62066553p-2, 0x1.d847babd33f1ap-2, 0x1.d5aa113c6f06p-2, 0x1.d2df01f13eb54p-2, 0x1.cfe98941ff359p-2, 0x1.cccc87b70b366p-2, 0x1.c98ac26ac70e5p-2, 0x1.c626e33abbab3p-2, 0x1.c2a3796cb7b65p-2, 0x1.bf02f9f62df23p-2, 0x1.bb47c05118804p-2, 0x1.b7740ec2131b9p-2, 0x1.b38a0f446eda3p-2, 0x1.af8bd3c0174ap-2, 0x1.ab7b56fc4aebap-2, 0x1.a75a7ce99ae7p-2, 0x1.a32b137da6f0bp-2, 0x1.9eeed3202f2a6p-2, 0x1.9aa75f5843157p-2, 0x1.965647613b3c1p-2, 0x1.91fd06bbcf22ap-2, 0x1.8d9d05cc1bd4dp-2, 0x1.89379a5d3eb0fp-2, 0x1.84ce082d5d016p-2, 0x1.80618178e68cep-2, 0x1.7bf3279278b7cp-2, 0x1.77840b81cfec3p-2, 0x1.73152ea1083d7p-2, 0x1.6ea783312bc16p-2, 0x1.6a3bece361d85p-2, 0x1.65d3415a522eap-2, 0x1.616e48a9b3cb7p-2, 0x1.5d0dbdd893e41p-2, 0x1.58b24f66de8dfp-2, 0x1.545c9fd2e8527p-2, 0x1.500d461af1bc2p-2, 0x1.4bc4ce3739383p-2, 0x1.4783b98c555d7p-2, 0x1.434a7f57d9ba6p-2, 0x1.3f198d1aacfbcp-2, 0x1.3af14703aa471p-2, 0x1.36d2085c4598bp-2, 0x1.32bc23f6d5064p-2, 0x1.2eafe49bfb767p-2, 0x1.2aad8d7580855p-2, 0x1.26b55a73d1ef1p-2, 0x1.22c780ada2a69p-2, 0x1.1ee42eb97e3f5p-2, 0x1.1b0b8d0207a0dp-2, 0x1.173dbe1774f6p-2, 0x1.137adefe8ad0ap-2, 0x1.0fc3077ed71b3p-2, 0x1.0c164a70d1a78p-2, 0x1.0874b60af69d4p-2, 0x1.04de542db1014p-2, 0x1.01532aad1aa45p-2, 0x1.fba6772fa6f7dp-3, 0x1.f4bd0af3add35p-3, 0x1.edea073708548p-3, 0x1.e72d5c798a7ebp-3, 0x1.e086f598e1d63p-3, 0x1.d9f6b83928492p-3, 0x1.d37c85288393ep-3, 0x1.cd1838bd9d3b3p-3, 0x1.c6c9ab33c3835p-3, 0x1.c090b102dbeadp-3, 0x1.ba6d1b34c8184p-3, 0x1.b45eb7b7d48fbp-3, 0x1.ae6551ace7538p-3, 0x1.a880b1b31f36fp-3, 0x1.a2b09e2f039cbp-3, 0x1.9cf4db8cc4366p-3, 0x1.974d2c7ff07ddp-3, 0x1.91b9523d57d8fp-3, 0x1.8c390cb158b46p-3, 0x1.86cc1ab2bc7dap-3, 0x1.81723a3207db6p-3, 0x1.7c2b2864ca273p-3, 0x1.76f6a1ee5309dp-3, 0x1.71d4630715718p-3, 0x1.6cc4279f26d8fp-3, 0x1.67c5ab801226cp-3, 0x1.62d8aa6d822p-3, 0x1.5dfce040fe7dfp-3, 0x1.593209063dab7p-3, 0x1.5477e1145d19fp-3, 0x1.4fce252657321p-3, 0x1.4b34926f49e65p-3, 0x1.46aae6af8a396p-3, 0x1.4230e046f48f2p-3, 0x1.3dc63e447644ep-3, 0x1.396ac07535a5fp-3, 0x1.351e27726496ep-3, 0x1.30e034ac6528p-3, 0x1.2cb0aa7551964p-3, 0x1.288f4c09247c6p-3, 0x1.247bdd977e6edp-3, 0x1.2076244888c96p-3, 0x1.1c7de642e4c59p-3, 0x1.1892eab0e63e1p-3, 0x1.14b4f9c4713e7p-3, 0x1.10e3dcb8b0effp-3, 0x1.0d1f5dd5d821ep-3, 0x1.09674871ad259p-3, 0x1.05bb68f0e7e37p-3, 0x1.021b8cc70099ap-3, 0x1.fd0f04ec5df47p-4, 0x1.f5fe331d5696fp-4, 0x1.ef04455a3716ap-4, 0x1.e820def2af4f8p-4, 0x1.e153a5475fee6p-4, 0x1.da9c3fc59d008p-4, 0x1.d3fa57e1503f6p-4, 0x1.cd6d990ee265fp-4, 0x1.c6f5b0bc6f524p-4, 0x1.c0924e49d45dap-4, 0x1.ba43230147ecap-4, 0x1.b407e20e652bbp-4, 0x1.ade04076a0706p-4, 0x1.a7cbf50f4e98ap-4, 0x1.a1cab874b7d17p-4, 0x1.9bdc450068d9ap-4, 0x1.960056bfaacb5p-4, 0x1.9036ab69fe10ap-4, 0x1.8a7f025733e1fp-4, 0x1.84d91c749e245p-4, 0x1.7f44bc3b11dc6p-4, 0x1.79c1a5a554f0ep-4, 0x1.744f9e2670a8fp-4, 0x1.6eee6c9f2b9a7p-4, 0x1.699dd952f97fep-4, 0x1.645dadde0f9c8p-4, 0x1.5f2db52cbe3b6p-4, 0x1.5a0dbb720e1e7p-4, 0x1.54fd8e1cdd5dcp-4, 0x1.4ffcfbcd2b113p-4, 0x1.4b0bd44b0ba82p-4, 0x1.4629e87eb8d65p-4, 0x1.41570a67d326p-4, 0x1.3c930d130cfbbp-4, 0x1.37ddc48fd75c6p-4, 0x1.333705e885e8ap-4, 0x1.2e9ea71aceda2p-4, 0x1.2a147f0fd81fdp-4, 0x1.259865933670bp-4, 0x1.212a3349e175bp-4, 0x1.1cc9c1aa3a372p-4, 0x1.1876eaf52e00ep-4, 0x1.14318a2f886cfp-4, 0x1.0ff97b1a9a6e2p-4, 0x1.0bce9a2c31156p-4, 0x1.07b0c48752f48p-4, 0x1.039fd7f576023p-4, 0x1.ff3765c09cbe2p-5, 0x1.f74868994aac5p-5, 0x1.ef7277a81364dp-5, 0x1.e7b5533bf1f0ap-5, 0x1.e010bcb29b2bep-5, 0x1.d884766d6e225p-5, 0x1.d11043c86f9cep-5, 0x1.c9b3e911774bcp-5, 0x1.c26f2b7ddb50ep-5, 0x1.bb41d11ecb147p-5, 0x1.b42ba0d63ab42p-5, 0x1.ad2c624dfde14p-5, 0x1.a643ddf0a89fcp-5, 0x1.9f71dce3085e4p-5, 0x1.98b628fc79baap-5, 0x1.92108cbc78411p-5, 0x1.8b80d341ce0c9p-5, 0x1.8506c8438ff77p-5, 0x1.7ea2380b9353p-5, 0x1.7852ef717873ep-5, 0x1.7218bbd4b574p-5, 0x1.6bf36b156e7fbp-5, 0x1.65e2cb8d38ac9p-5, 0x1.5fe6ac090f451p-5, 0x1.59fedbc4d7b77p-5, 0x1.542b2a67ba085p-5, 0x1.4e6b68002dfa2p-5, 0x1.48bf64ff2ae49p-5, 0x1.4326f232e1aecp-5, 0x1.3da1e0c1e0b07p-5, 0x1.3830022713206p-5, 0x1.32d1282ee75b1p-5, 0x1.2d8524f52d875p-5, 0x1.284bcae18fb2dp-5, 0x1.2324eca455955p-5, 0x1.1e105d3344785p-5, 0x1.190defc674379p-5, 0x1.141d77d5d2c49p-5, 0x1.0f3ec9172d03bp-5, 0x1.0a71b77c6e8c9p-5, 0x1.05b61731dde58p-5, 0x1.010bbc9c37524p-5, 0x1.f8e4f8ad8bc0bp-6, 0x1.efd45663486b8p-6, 0x1.e6e53c6078b42p-6, 0x1.de17551014b32p-6, 0x1.d56a4b3f23d9ep-6, 0x1.ccddca1ae08c9p-6, 0x1.c4717d2f178d5p-6, 0x1.bc2510649bceep-6, 0x1.b3f82fffcc93ap-6, 0x1.abea889f13ce4p-6, 0x1.a3fbc739a48c4p-6, 0x1.9c2b991f17097p-6, 0x1.9479abf61d3ffp-6, 0x1.8ce5adbbd2486p-6, 0x1.856f4cc41c299p-6, 0x1.7e1637b9b5b2bp-6, 0x1.76da1d9e21d0bp-6, 0x1.6fbaadc999f6dp-6, 0x1.68b797eaef27ep-6, 0x1.61d08c0791001p-6, 0x1.5b053a7bc1136p-6, 0x1.545553fb4441ep-6, 0x1.4dc08992324ep-6, 0x1.47468ca5f0602p-6, 0x1.40e70ef61d76cp-6, 0x1.3aa1c29d5af3ap-6, 0x1.34765a11fd3bbp-6, 0x1.2e648826cd3bp-6, 0x1.286c000bec632p-6, 0x1.228c754ff5e26p-6, 0x1.1cc59be147f74p-6, 0x1.1717280f5c0adp-6, 0x1.1180ce8c2e463p-6, 0x1.0c02446d66879p-6, 0x1.069b3f2d306a2p-6, 0x1.014b74ab876a1p-6, 0x1.f825366042ba2p-7, 0x1.ede0d2d70b9eep-7, 0x1.e3c92cf0c3cb1p-7, 0x1.d9ddb3ba27a9ap-7, 0x1.d01dd719e2cd3p-7, 0x1.c68907d2d3c69p-7, 0x1.bd1eb786586d9p-7, 0x1.b3de58b6d6ad5p-7, 0x1.aac75ecaba212p-7, 0x1.a1d93e0fc1e97p-7, 0x1.99136bbe75e93p-7, 0x1.90755dfd55a44p-7, 0x1.87fe8be36f1f5p-7, 0x1.7fae6d7a2b15ep-7, 0x1.77847bbe9a869p-7, 0x1.6f8030a2e1cd9p-7, 0x1.67a107102c427p-7, 0x1.5fe67ae9d6de8p-7, 0x1.58500910c953fp-7, 0x1.50dd2f67f9823p-7, 0x1.498d6cd7b5124p-7, 0x1.4260414ff2f41p-7, 0x1.3b552dc8e6dcbp-7, 0x1.346bb4425c30bp-7, 0x1.2da357c2c1d5dp-7, 0x1.26fb9c5749ddfp-7, 0x1.20740715fcf35p-7, 0x1.1a0c1e222724cp-7, 0x1.13c368b27d9f7p-7, 0x1.0d996f174ed32p-7, 0x1.078dbabe35bfep-7, 0x1.019fd6328b658p-7, 0x1.f79e9a34bb387p-8, 0x1.ec37586113103p-8, 0x1.e109027cf299dp-8, 0x1.d612b630f0fc4p-8, 0x1.cb53933dca328p-8, 0x1.c0cabb8a1b3acp-8, 0x1.b67753389eebep-8, 0x1.ac5880c0c0ebfp-8, 0x1.a26d6d015f173p-8, 0x1.98b543464fa12p-8, 0x1.8f2f313d6e271p-8, 0x1.85da66dc94e4ep-8, 0x1.7cb6163ff2395p-8, 0x1.73c1738b55062p-8, 0x1.6afbb4d94d74p-8, 0x1.6264123fb9f92p-8, 0x1.59f9c5ea9fd73p-8, 0x1.51bc0c47391afp-8, 0x1.49aa243325cc1p-8, 0x1.41c34f20e8ac4p-8, 0x1.3a06d1253eea5p-8, 0x1.3273f0e658434p-8, 0x1.2b09f76ed3fc2p-8, 0x1.23c82fef32a5dp-8, 0x1.1cade77e97ab9p-8, 0x1.15ba6ced8620cp-8, 0x1.0eed10b97baf2p-8, 0x1.0845252768d18p-8, 0x1.01c1fe7f8591dp-8, 0x1.f6c5e6b5a5f9fp-9, 0x1.ea4eb9d904cfbp-9, 0x1.de1d2e625fd23p-9, 0x1.d23001e8da872p-9, 0x1.c685f7514fe36p-9, 0x1.bb1dd6316bd05p-9, 0x1.aff66a0a79328p-9, 0x1.a50e818ec4daap-9, 0x1.9a64ee2646c88p-9, 0x1.8ff883da763b1p-9, 0x1.85c819af36d1cp-9, 0x1.7bd28a57c4b23p-9, 0x1.7216b50cb5b17p-9, 0x1.68937e430d2a5p-9, 0x1.5f47d011117efp-9, 0x1.56329a26b4cb4p-9, 0x1.4d52d15fd9b13p-9, 0x1.44a76f0dff79ep-9, 0x1.3c2f70239a028p-9, 0x1.33e9d47039f9ep-9, 0x1.2bd59e1d63b9ep-9, 0x1.23f1d193706adp-9, 0x1.1c3d75d6f39fdp-9, 0x1.14b79548ad8d5p-9, 0x1.0d5f3e87b54fap-9, 0x1.06338520adf4fp-9, 0x1.fe67038b70fedp-10, 0x1.f0bca3fe97e66p-10, 0x1.e3662f04284d3p-10, 0x1.d661eeec299d9p-10, 0x1.c9ae33e0bb2a2p-10, 0x1.bd49536d09298p-10, 0x1.b131a87ae3b7fp-10, 0x1.a5659392ead8bp-10, 0x1.99e37b5162ddfp-10, 0x1.8ea9cd280490fp-10, 0x1.83b6fe74c6dd1p-10, 0x1.79098da06a92p-10, 0x1.6ea0029d47354p-10, 0x1.6478ee233ca4cp-10, 0x1.5a92e793ae579p-10, 0x1.50ec8a4368b83p-10, 0x1.47847370daa0bp-10, 0x1.3e5941f4cba1cp-10, 0x1.356997d41294fp-10, 0x1.2cb41ccfc8214p-10, 0x1.2437809f3ffb5p-10, 0x1.1bf27bed31f2p-10, 0x1.13e3d02f67aedp-10, 0x1.0c0a47312e879p-10, 0x1.0464b3130754fp-10, 0x1.f9e3dd49f33adp-11, 0x1.eb61ba45cd25fp-11, 0x1.dd40d0a800062p-11, 0x1.cf7efa20bebe5p-11, 0x1.c21a0f11963e9p-11, 0x1.b50fe29f7aeeep-11, 0x1.a85e44d78329bp-11, 0x1.9c0309e44c146p-11, 0x1.8ffc124e20933p-11, 0x1.8447500e64777p-11, 0x1.78e2c71a0fef6p-11, 0x1.6dcc8b938e76ap-11, 0x1.6302c10178412p-11, 0x1.58839bd0aa819p-11, 0x1.4e4d632bd1e57p-11, 0x1.445e6fe359f38p-11, 0x1.3ab526fda7c4fp-11, 0x1.314ff1d60197bp-11, 0x1.282d3784cef13p-11, 0x1.1f4b5a61bca73p-11, 0x1.16a8ba08b694bp-11, 0x1.0e43b80be818ep-11, 0x1.061abc42a23ccp-11, 0x1.fc586c085820cp-12, 0x1.eced3479451a6p-12, 0x1.ddf0c3fd42cdcp-12, 0x1.cf601cbc5e6acp-12, 0x1.c138647e2310fp-12, 0x1.b376f7cdb8a65p-12, 0x1.a6196b1975ee7p-12, 0x1.991d7472cf0a4p-12, 0x1.8c80cd091bf6dp-12, 0x1.80412185a649p-12, 0x1.745c19fe4df21p-12, 0x1.68cf6be612405p-12, 0x1.5d98e1e4b6841p-12, 0x1.52b653929c909p-12, 0x1.482596f3661aep-12, 0x1.3de47642cebfp-12, 0x1.33f0ab480d9a1p-12, 0x1.2a47df1c5dd53p-12, 0x1.20e7b56b1fc3cp-12, 0x1.17cdeacfcd017p-12, 0x1.0ef87ab1d218ep-12, 0x1.0665ad564e226p-12, 0x1.fc27f59b67b1p-13, 0x1.ec03af71ca797p-13, 0x1.dc5b33185c884p-13, 0x1.cd2b10e89813fp-13, 0x1.be700b37e2a9ap-13, 0x1.b02737f1fd5dap-13, 0x1.a24ddf40b2086p-13, 0x1.94e143d74125dp-13, 0x1.87de8321f876ap-13, 0x1.7b429257ec954p-13, 0x1.6f0a45a9a07a2p-13, 0x1.63325722e917dp-13, 0x1.57b7762a336b2p-13, 0x1.4c96704a9bfdep-13, 0x1.41cc6c95e1268p-13, 0x1.375707ff70a48p-13, 0x1.2d3425b67d595p-13, 0x1.2361981f86123p-13, 0x1.19dd02214e745p-13, 0x1.10a41098a1b83p-13, 0x1.07b4b9b7e6734p-13, 0x1.fe1a5dd032035p-14, 0x1.ed57432e47508p-14, 0x1.dd1c5cfe2c48p-14, 0x1.cd65e28668191p-14, 0x1.be300e1704d6dp-14, 0x1.af76ee3e715cbp-14, 0x1.a136582a00b09p-14, 0x1.936a1fe637268p-14, 0x1.860e5abf31e6fp-14, 0x1.791f6e9df3a49p-14, 0x1.6c99fbfd14533p-14, 0x1.607ac56627e5ap-14, 0x1.54be89b84bfbfp-14, 0x1.4961e478f7d6p-14, 0x1.3e618b94e0e7bp-14, 0x1.33bad0801e745p-14, 0x1.296ba51cbdf62p-14, 0x1.1f71f1d936429p-14, 0x1.15cb274b50365p-14, 0x1.0c74935c405bap-14, 0x1.036bc39f4d11ap-14, 0x1.f55cda4279594p-15, 0x1.e474630bd7944p-15, 0x1.d419225e39b5ep-15, 0x1.c4461383a760ep-15, 0x1.b4f69f2f5b344p-15, 0x1.a626eaceb3eefp-15, 0x1.97d39a23f0625p-15, 0x1.89f9199e93062p-15, 0x1.7c9321650341ep-15, 0x1.6f9ce07989ff1p-15, 0x1.631181f24c174p-15, 0x1.56ecea7dbcc46p-15, 0x1.4b2c56f947b03p-15, 0x1.3fcdb4c151e0dp-15, 0x1.34ce51be2f3ccp-15, 0x1.2a2af0ec34557p-15, 0x1.1fe09d907edb1p-15, 0x1.15ec81c3c21bap-15, 0x1.0c4b948fa58abp-15, 0x1.02fad50892d27p-15, 0x1.f3eeee8fc385p-16, 0x1.e27dcbbf9df73p-16, 0x1.d19d71b6a49ddp-16, 0x1.c14965533d72bp-16, 0x1.b17da3802976p-16, 0x1.a2369a70e8207p-16, 0x1.9370860b612aap-16, 0x1.8526ab820876p-16, 0x1.775383d0bddcbp-16, 0x1.69f17438c526ep-16, 0x1.5cfb89af380ddp-16, 0x1.506e7215b2423p-16, 0x1.4447c4d2df90cp-16, 0x1.38848e1e1f78ap-16, 0x1.2d21c289de25fp-16, 0x1.221c642b179a2p-16, 0x1.1770fd30c02d1p-16, 0x1.0d1c0de5cf2b7p-16, 0x1.031a51195acd8p-16, 0x1.f2d1a3843c53ep-17, 0x1.e00a00b91e8c2p-17, 0x1.cdd91c49575abp-17, 0x1.bc3a636a9544bp-17, 0x1.ab291935bc939p-17, 0x1.9aa096476a732p-17, 0x1.8a9cb896bdcb2p-17, 0x1.7b19df5a955dep-17, 0x1.6c14074623715p-17, 0x1.5d86009c6a564p-17, 0x1.4f6a019791019p-17, 0x1.41ba88a9bc35cp-17, 0x1.3473a2a4f274ep-17, 0x1.27934f30af064p-17, 0x1.1b16e8965579ap-17, 0x1.0efae43b1e553p-17, 0x1.033c0582560f2p-17, 0x1.efae46d3495dbp-18, 0x1.d991e38b5248bp-18, 0x1.c41cbc5c289b7p-18, 0x1.af4961e2d6c56p-18, 0x1.9b12b8a9b1795p-18, 0x1.8773dcb4676b2p-18, 0x1.74682ed17ae03p-18, 0x1.61eb3e655e503p-18, 0x1.4ff8950f03cc6p-18, 0x1.3e8ba6170fa2bp-18, 0x1.2da025e5ab744p-18, 0x1.1d32906a74085p-18, 0x1.0d3f98b0a8249p-18, 0x1.fb853479c0d61p-19, 0x1.dd6d3a62b367ep-19, 0x1.c02fb9b608e72p-19, 0x1.a3c4cfcb17909p-19, 0x1.88277be8712a5p-19, 0x1.6d501dd4cf8f2p-19, 0x1.53391d5e425b1p-19, 0x1.39de8d10a9ffbp-19, 0x1.2139b4a16d6d9p-19, 0x1.0944d9fcf04dep-19, 0x1.e3f6becc3ad6bp-20, 0x1.b6b13902c7cc1p-20, 0x1.8aaf66432e7f2p-20, 0x1.5fe790c17a6dfp-20, 0x1.365095afd482p-20, 0x1.0de24be86146p-20, 0x1.cd2ad52d9bec5p-21, 0x1.80c59b2ba6fp-21, 0x1.3685534e6fd23p-21, 0x1.dcb2e186eb7e9p-22, 0x1.506684a5342cap-22, 0x1.901c1d080362ap-23, 0x1.0e3a9c2070248p-24, -0x1.e98c2b21ac304p-25, -0x1.747c4a9b9b588p-23, -0x1.33b9dacfad662p-22, -0x1.a9cbec1ec33cp-22, -0x1.0e4457af04bc5p-21, -0x1.45f87cf2116bap-21, -0x1.7c0fac00b83d9p-21, -0x1.b0956582de6cdp-21, -0x1.e391370c28981p-21, -0x1.0a85775ba13ddp-20, -0x1.22856fd187e1p-20, -0x1.39ccc33dfe25p-20, -0x1.505fa8f5af05p-20, -0x1.6642355c54765p-20, -0x1.7b783174dadc9p-20, -0x1.9004f8d062307p-20, -0x1.a3eb8a6b61184p-20, -0x1.b72ee1b7ae726p-20, -0x1.c9d25b9f3ccep-20, -0x1.dbd9b57e00b17p-20, -0x1.ed48727e2d7fap-20, -0x1.fe213261ee36ep-20, -0x1.07330f8d225acp-19, -0x1.0f0cb5a9856d2p-19, -0x1.169e81b76de2ap-19, -0x1.1dea6476860cp-19, -0x1.24f2cf89409c7p-19, -0x1.2bb7f8c248222p-19, -0x1.323aa5e5ed98dp-19, -0x1.387c87998fc35p-19, -0x1.3e7e99922e648p-19, -0x1.4441ce8449953p-19, -0x1.49c72acb64cf4p-19, -0x1.4f0fb58a00ffp-19, -0x1.541c726b4784ap-19, -0x1.58ee61f46b7ecp-19, -0x1.5d868147c368ep-19, -0x1.61e5c74ba3149p-19, -0x1.660d2000b01f8p-19, -0x1.69fd6879b34b8p-19, -0x1.6db7712e2b7f1p-19, -0x1.713c0ae7bf391p-19, -0x1.748c154c685ap-19, -0x1.77a87e0d98d4ep-19, -0x1.7a922c204ce5bp-19, -0x1.7d49e484aa002p-19, -0x1.7fd04b807abe3p-19, -0x1.82260e2c651b7p-19, -0x1.844beff02a785p-19, -0x1.8642f492a3cacp-19, -0x1.880bdc460c462p-19, -0x1.89a74ccdd9bb9p-19, -0x1.8b15f613ddc6fp-19, -0x1.8c58a6fab5ef7p-19, -0x1.8d70083bab475p-19, -0x1.8e5cc81101dd9p-19, -0x1.8f1f979c757ebp-19, -0x1.8fb926e522f41p-19, -0x1.902a2485e18c4p-19, -0x1.90733e1417c33p-19, -0x1.9095204698f8cp-19, -0x1.909076c5ba5acp-19, -0x1.9065ebb767d94p-19, -0x1.901626f9faf9ep-19, -0x1.8fa1cd3d19c22p-19, -0x1.8f0980199e6ccp-19, -0x1.8e4de097b2b8p-19, -0x1.8d6f92954242ap-19, -0x1.8c6f3d0433e2fp-19, -0x1.8b4d860c9db76p-19, -0x1.8a0b0d595a04dp-19, -0x1.88a869a9a4eb9p-19, -0x1.872632ea6261ep-19, -0x1.858506e376867p-19, -0x1.83c58cdaf168p-19, -0x1.81e8617346d0dp-19, -0x1.7fee184a887c4p-19, -0x1.7dd74db4a222ep-19, -0x1.7ba49ed40da86p-19, -0x1.7956a0f3ac33fp-19, -0x1.76ede9ec889fp-19, -0x1.746b1064478ffp-19, -0x1.71ceaa37226a5p-19, -0x1.6f194c5f8a007p-19, -0x1.6c4b8b20f2ca4p-19, -0x1.6965fa25e411bp-19, -0x1.66692c75da7ccp-19, -0x1.6355b4607ab54p-19, -0x1.602c23543abe2p-19, -0x1.5ced09ce9c6b8p-19, -0x1.5998f72ca8559p-19, -0x1.5630797f4694p-19, -0x1.52b41dc19df6ap-19, -0x1.4f2470aa3ee21p-19, -0x1.4b81ff2299b57p-19, -0x1.47cd55a76da0ap-19, -0x1.4406ff3379804p-19, -0x1.402f84158a097p-19, -0x1.3c476ad13dcbcp-19, -0x1.384f3b95b6245p-19, -0x1.34477d5b8b0acp-19, -0x1.3030b56699a16p-19, -0x1.2c0b6b2d5d7d1p-19, -0x1.27d81f16aa90dp-19, -0x1.239754a33f93dp-19, -0x1.1f498f18f0b8ap-19, -0x1.1aef4d8cd3bffp-19, -0x1.16890f530996ap-19, -0x1.121752dd9e809p-19, -0x1.0d9a9575231a9p-19, -0x1.091353396bbc6p-19, -0x1.0482072964404p-19, -0x1.ffce5648c27afp-20, -0x1.f6866fd920aep-20, -0x1.ed2d4a432e228p-20, -0x1.e3c3d265d77a9p-20, -0x1.da4af2b19a5e9p-20, -0x1.d0c39318e7286p-20, -0x1.c72e98ef61feap-20, -0x1.bd8ce6cc86effp-20, -0x1.b3df5cab92659p-20, -0x1.aa26d85a20596p-20, -0x1.a06435a0c14fap-20, -0x1.96984dea66ae4p-20, -0x1.8cc3f7ceb2976p-20, -0x1.82e8065cad0ebp-20, -0x1.790548df079f7p-20, -0x1.6f1c8cfcd7d46p-20, -0x1.652ea0705f34dp-20, -0x1.5b3c48dd8ca78p-20, -0x1.5146514232205p-20, -0x1.474d7b008c7bcp-20, -0x1.3d5283a9b5839p-20, -0x1.33562cb4a6211p-20, -0x1.29592fb382117p-20, -0x1.1f5c44b389251p-20, -0x1.1560212ed0f84p-20, -0x1.0b6577c2540e1p-20, -0x1.016cf8307a9p-20, -0x1.eeee9ec0f1ca2p-21, -0x1.db0a4ecac441dp-21, -0x1.c72e4ef72a01fp-21, -0x1.b35be81e9476dp-21, -0x1.9f945d7a056e9p-21, -0x1.8bd8ec8a03b37p-21, -0x1.782acd11cd571p-21, -0x1.648b311bc57bp-21, -0x1.50fb44ec21483p-21, -0x1.3d7c2ee83e12bp-21, -0x1.2a0f0f851d68ep-21, -0x1.16b5019569982p-21, -0x1.036f1a92c1b4ap-21, -0x1.e07cd53672114p-22, -0x1.ba47f86d69785p-22, -0x1.9441a7fa36b26p-22, -0x1.6e6be055bcf33p-22, -0x1.48c8934cd0f97p-22, -0x1.2359a9bc20d75p-22, -0x1.fc41fee86bdf7p-23, -0x1.b240bdbb528efp-23, -0x1.68b33050e3143p-23, -0x1.1f9cbfb8c34cdp-23, -0x1.ae018e21785cfp-24, -0x1.1dc532c777fb2p-24, -0x1.1d1593d821e2ep-25, -0x1.623eecdb01542p-34, 0x1.1996d6117d32ep-25, 0x1.18db40dcf611ep-24, 0x1.a3d1369f147f5p-24, 0x1.16d3de3dd916cp-23, 0x1.5b2cb60afc041p-23, 0x1.9ef08382daedbp-23, 0x1.e21cbbb2e54fep-23, 0x1.125775f244e7fp-22, 0x1.335259343430dp-22, 0x1.53fde1215badcp-22, 0x1.7458f1684a1e4p-22, }}, 
      {{0x1.e3c9e11195947p-3, 0x1.fa1a1bb55deb8p-3, 0x1.0eeaec35014d4p-2, 0x1.26a0201759211p-2, 0x1.4332a20ad8f34p-2, 0x1.63a129f6ac954p-2, 0x1.86f0b4a36588fp-2, 0x1.ac352603b90a9p-2, 0x1.d2966e044d616p-2, 0x1.f95357117c054p-2, 0x1.0fe14e1af1b9dp-1, 0x1.22a959f783275p-1, 0x1.34c46054b0e3p-1, 0x1.45ff7ff9e77f6p-1, 0x1.56317af67918bp-1, 0x1.6539bf4be3252p-1, 0x1.72ff7074be516p-1, 0x1.7f707ae0d83e9p-1, 0x1.8a80b6d3a2b61p-1, 0x1.94291d8655cc4p-1, 0x1.9c67119795815p-1, 0x1.a33bba88eed51p-1, 0x1.a8ab7244c7ceep-1, 0x1.acbd433791e85p-1, 0x1.af7a756056dbp-1, 0x1.b0ee28d53966fp-1, 0x1.b124fc5efea1bp-1, 0x1.b02cbef584332p-1, 0x1.ae142afdf0b39p-1, 0x1.aaeaaa431503p-1, 0x1.a6c0219497f04p-1, 0x1.a1a4c31dcdf8cp-1, 0x1.9ba8e6948bb6p-1, 0x1.94dce68b6af95p-1, 0x1.8d5102534e9ecp-1, 0x1.851543ecd606bp-1, 0x1.7c3969a60787ep-1, 0x1.72ccd306900e7p-1, 0x1.68de70bdbbed5p-1, 0x1.5e7cb74943f89p-1, 0x1.53b59413d67dcp-1, 0x1.489664cb821a1p-1, 0x1.3d2bf0c1591e3p-1, 0x1.31826411bcc2ap-1, 0x1.25a54c67ccdecp-1, 0x1.199f974953da8p-1, 0x1.0d7b918484cb3p-1, 0x1.0142e7ecfbadap-1, 0x1.e9fd51f0093e2p-2, 0x1.d16e8e6d5b49fp-2, 0x1.b8e9398f93022p-2, 0x1.a07bdda723bbdp-2, 0x1.8833e588546eep-2, 0x1.701da38ddd682p-2, 0x1.5844603aa7351p-2, 0x1.40b25f0049e92p-2, 0x1.2970f2038d41cp-2, 0x1.12887a9fde80bp-2, 0x1.f8010615322a6p-3, 0x1.cbbf725faa79dp-3, 0x1.a0581c272a471p-3, 0x1.75d556dab5977p-3, 0x1.4c402c42d15afp-3, 0x1.23a045ed5b4ffp-3, 0x1.f7f854cbc3674p-4, 0x1.aab26a7dedd29p-4, 0x1.5f77760a5723ap-4, 0x1.164e3853a8164p-4, 0x1.9e772fc6f2d99p-5, 0x1.1485d89a98accp-5, 0x1.1d97d4d5682bdp-6, 0x1.a9477ae6c8732p-10, -0x1.c003dde682c93p-7, -0x1.d23382f700066p-6, -0x1.5e06513d6e7d2p-5, -0x1.cecec667041dap-5, -0x1.1dbe80275af34p-4, -0x1.520e3c45ad76ap-4, -0x1.845d0df8aef5fp-4, -0x1.b4b213cfa065ep-4, -0x1.e315039c93864p-4, -0x1.07c70d44e29b1p-3, -0x1.1d13070ddff8ap-3, -0x1.3172ff10eec71p-3, -0x1.44ebb3ce9b746p-3, -0x1.57820c20c8106p-3, -0x1.693b11526dc61p-3, -0x1.7a1be95c4556p-3, -0x1.8a29d16208387p-3, -0x1.996a18696cf15p-3, -0x1.a7e21a5a739dfp-3, -0x1.b5973b67045bep-3, -0x1.c28ee3c54c715p-3, -0x1.cece7bdcffd48p-3, -0x1.da5b68bc3b09cp-3, -0x1.e53b08e27d604p-3, -0x1.ef72b14bbc4bp-3, -0x1.f907aab12be66p-3, -0x1.00ff97819541cp-2, -0x1.052f3391a4db2p-2, -0x1.09153467fbca9p-2, -0x1.0cb41a6c78cf7p-2, -0x1.100e5acaa73ddp-2, -0x1.13265ec8ea128p-2, -0x1.15fe834030ed2p-2, -0x1.1899182d83b43p-2, -0x1.1af860554f295p-2, -0x1.1d1e90fc4ffecp-2, -0x1.1f0dd1af071c4p-2, -0x1.20c83c11b90a2p-2, -0x1.224fdbbf5277bp-2, -0x1.23a6ae32e6ca2p-2, -0x1.24cea2b8d0b94p-2, -0x1.25c99a6c7f5cp-2, -0x1.269968431dd3cp-2, -0x1.273fd11dc93a6p-2, -0x1.27be8be5ddf94p-2, -0x1.281741b77f27p-2, -0x1.284b8e0ef3214p-2, -0x1.285cfefd1507p-2, -0x1.284d1567ff681p-2, -0x1.281d454761c56p-2, -0x1.27cef5e720309p-2, -0x1.276382330fa51p-2, -0x1.26dc38f7ffb7ap-2, -0x1.263a5d2e4ef24p-2, -0x1.257f26485859dp-2, -0x1.24abc077d723fp-2, -0x1.23c14cf8f00fdp-2, -0x1.22c0e264eca2p-2, -0x1.21ab8cfb068b7p-2, -0x1.20824ee8c43bcp-2, -0x1.1f4620a10b7fdp-2, -0x1.1df7f128f835dp-2, -0x1.1c98a65bb510fp-2, -0x1.1b291d40d26c1p-2, -0x1.19aa2a5c7be34p-2, -0x1.181c99f1cbdd8p-2, -0x1.1681304eba09p-2, -0x1.14d8aa1eed75dp-2, -0x1.1323bcadb0af3p-2, -0x1.11631626c1cdap-2, -0x1.0f975de234327p-2, -0x1.0dc134a940e79p-2, -0x1.0be134f05dbd1p-2, -0x1.09f7f3161e22ap-2, -0x1.0805fda521194p-2, -0x1.060bdd8f8f31fp-2, -0x1.040a166281821p-2, -0x1.0201267e9386ep-2, -0x1.ffe30ea3fd514p-3, -0x1.fbb75b1505fc8p-3, -0x1.f7801285f9479p-3, -0x1.f33e0c6cfa8ep-3, -0x1.eef217e163c7fp-3, -0x1.ea9cfbf0020abp-3, -0x1.e63f77ee7621fp-3, -0x1.e1da43d312cfdp-3, -0x1.dd6e1082aaabfp-3, -0x1.d8fb88179f56ep-3, -0x1.d4834e2f2d2afp-3, -0x1.d00600325b94ep-3, -0x1.cb843591d8c03p-3, -0x1.c6fe800190a7cp-3, -0x1.c2756bbddce5bp-3, -0x1.bde97fc9be6d2p-3, -0x1.b95b3e1ca492cp-3, -0x1.b4cb23d0f0526p-3, -0x1.b039a95dbaf09p-3, -0x1.aba742ceed994p-3, -0x1.a7145fecc15d7p-3, -0x1.a2816c5cc43e6p-3, -0x1.9deecfcb680dap-3, -0x1.995cee1d34acp-3, -0x1.94cc27987d9d6p-3, -0x1.903cd9005a165p-3, -0x1.8baf5babafa5p-3, -0x1.872405a7b6bf9p-3, -0x1.829b29e32c554p-3, -0x1.7e15184f8578dp-3, -0x1.79921df0361ecp-3, -0x1.751284e850c3dp-3, -0x1.7096949904f56p-3, -0x1.6c1e91c97c8b9p-3, -0x1.67aabec083b44p-3, -0x1.633b5b4abe672p-3, -0x1.5ed0a4c24ca63p-3, -0x1.5a6ad6292436ep-3, -0x1.560a284c31c23p-3, -0x1.51aed1d8b015ap-3, -0x1.4d59075f78f5ep-3, -0x1.4908fb58185edp-3, -0x1.44bede3362521p-3, -0x1.407ade782c5fbp-3, -0x1.3c3d28d8c653cp-3, -0x1.3805e8394aef5p-3, -0x1.33d545afc5bb2p-3, -0x1.2fab688c13f93p-3, -0x1.2b88766bca762p-3, -0x1.276c9350d31fep-3, -0x1.2357e1aebf444p-3, -0x1.1f4a826c722dbp-3, -0x1.1b4494e3542fcp-3, -0x1.174636e74fbefp-3, -0x1.134f84d9a5b3p-3, -0x1.0f6099bce2ed3p-3, -0x1.0b798f3e18566p-3, -0x1.079a7db2d84ccp-3, -0x1.03c37c16b1e2cp-3, -0x1.ffe94026fdc68p-4, -0x1.f85bfc284eba9p-4, -0x1.f0df52ac662abp-4, -0x1.e97367df6a2d4p-4, -0x1.e2185d96acc6dp-4, -0x1.dace534bc91cbp-4, -0x1.d395662d52d6cp-4, -0x1.cc6db140b54f8p-4, -0x1.c5574d7fdfe2dp-4, -0x1.be5251e292267p-4, -0x1.b75ed357e6401p-4, -0x1.b07ce4c368befp-4, -0x1.a9ac970b0d94cp-4, -0x1.a2edf93213e87p-4, -0x1.9c41187162843p-4, -0x1.95a60041af9b4p-4, -0x1.8f1cba5a15dcdp-4, -0x1.88a54eafd2d58p-4, -0x1.823fc3807591dp-4, -0x1.7bec1d650237ap-4, -0x1.75aa5f64e75b2p-4, -0x1.6f7a8b01258f6p-4, -0x1.695ca03801819p-4, -0x1.63509d88170c8p-4, -0x1.5d567ff8c6055p-4, -0x1.576e4327b6f84p-4, -0x1.5197e156b7ad2p-4, -0x1.4bd35375c9119p-4, -0x1.46209128fdc4fp-4, -0x1.407f90ce0e67fp-4, -0x1.3af0478509438p-4, -0x1.3572a93bf828ep-4, -0x1.3006a8ba5f16dp-4, -0x1.2aac37a99065bp-4, -0x1.25634699e67d8p-4, -0x1.202bc507b29ap-4, -0x1.1b05a162f465p-4, -0x1.15f0c91a7f103p-4, -0x1.10ed28a815c79p-4, -0x1.0bfaab9a087cdp-4, -0x1.07193c98c5391p-4, -0x1.0248c569fbe66p-4, -0x1.fb125de963c28p-5, -0x1.f1b4c291cdd9dp-5, -0x1.e878875575a8dp-5, -0x1.df5d793ca4e52p-5, -0x1.d66363e261853p-5, -0x1.cd8a117f0a567p-5, -0x1.c4d14aed98ca3p-5, -0x1.bc38d7b12b3e4p-5, -0x1.b3c07e005dcefp-5, -0x1.ab6802d7bd7ep-5, -0x1.a32f2a0f8f82cp-5, -0x1.9b15b66f5a66p-5, -0x1.931b69bb3d007p-5, -0x1.8b4004bb108c6p-5, -0x1.8383473efcfd9p-5, -0x1.7be4f0264f6dap-5, -0x1.7464bd6b8a3d7p-5, -0x1.6d026c3513698p-5, -0x1.65bdb8e7506dfp-5, -0x1.5e965f34422a9p-5, -0x1.578c1a2695944p-5, -0x1.509ea4289d505p-5, -0x1.49cdb709e3607p-5, -0x1.43190c0658ecbp-5, -0x1.3c805bd0c2a5fp-5, -0x1.36035e9fd82d2p-5, -0x1.2fa1cc3be6b76p-5, -0x1.295b5c0ad8643p-5, -0x1.232fc5199f129p-5, -0x1.1d1ebe2384306p-5, -0x1.1727fd9904c74p-5, -0x1.114b39a7e9d8ep-5, -0x1.0b88284507ffap-5, -0x1.05de7f371e29cp-5, -0x1.004df420f7646p-5, -0x1.f5ac791276e14p-6, -0x1.eaee1bbf64a72p-6, -0x1.e0603b027ff53p-6, -0x1.d6024179a8d0cp-6, -0x1.cbd399b69bc31p-6, -0x1.c1d3ae5613615p-6, -0x1.b801ea1babe96p-6, -0x1.ae5db80ca877fp-6, -0x1.a4e683827cb3bp-6, -0x1.9b9bb8309d1ap-6, -0x1.927cc21e1c54p-6, -0x1.89890d99778bfp-6, -0x1.80c00730c95c2p-6, -0x1.78211bb847eb5p-6, -0x1.6fabb86432cedp-6, -0x1.675f4af42d996p-6, -0x1.5f3b41e53343bp-6, -0x1.573f0c9b07ab7p-6, -0x1.4f6a1b7252c36p-6, -0x1.47bbdfb3c406p-6, -0x1.4033cb6bf4d81p-6, -0x1.38d15137173fep-6, -0x1.3193e416ea4b6p-6, -0x1.2a7af7689d321p-6, -0x1.2385ff073a33fp-6, -0x1.1cb46f976ddafp-6, -0x1.1605bee9288cep-6, -0x1.0f7964504b807p-6, -0x1.090ed8d451f9fp-6, -0x1.02c59721c3f8cp-6, -0x1.f93a367881dfdp-7, -0x1.ed29c40e42e2dp-7, -0x1.e158d198d2fa9p-7, -0x1.d5c659dedee3dp-7, -0x1.ca7157dc6c85bp-7, -0x1.bf58c7794ee72p-7, -0x1.b47ba6cc406b3p-7, -0x1.a9d8f78e17956p-7, -0x1.9f6fc045acbeep-7, -0x1.953f0cc0ecb46p-7, -0x1.8b45eda1c85afp-7, -0x1.81837710431b8p-7, -0x1.77f6beeda0806p-7, -0x1.6e9edb17cf353p-7, -0x1.657ae05230755p-7, -0x1.5c89e23e7c4f2p-7, -0x1.53caf47f65543p-7, -0x1.4b3d2cbf23037p-7, -0x1.42dfa50651e2cp-7, -0x1.3ab17dac2a23cp-7, -0x1.32b1de3ee2c85p-7, -0x1.2adff50d9477ap-7, -0x1.233af566798fbp-7, -0x1.1bc21504a0be9p-7, -0x1.1474896e85202p-7, -0x1.0d518612384e5p-7, -0x1.06583bb768801p-7, -0x1.ff0fb2f4d6a68p-8, -0x1.f1bf1e18b62cfp-8, -0x1.e4bd1f21be0b5p-8, -0x1.d8082884af01dp-8, -0x1.cb9ebc2c62dbbp-8, -0x1.bf7f6bcf17dafp-8, -0x1.b3a8d63fbfc6cp-8, -0x1.a819a28f3906fp-8, -0x1.9cd07a76275afp-8, -0x1.91cc05af765e5p-8, -0x1.870ae79658e7ep-8, -0x1.7c8bbf9d6581p-8, -0x1.724d2c4ac7ab4p-8, -0x1.684dcfa1dec33p-8, -0x1.5e8c5389d5fdap-8, -0x1.55076cd9d68adp-8, -0x1.4bbddc404f91bp-8, -0x1.42ae6cf1f73b6p-8, -0x1.39d7f1c04e719p-8, -0x1.313941b0a50e7p-8, -0x1.28d1354ca0819p-8, -0x1.209ea59efc3c7p-8, -0x1.18a06d32d4cecp-8, -0x1.10d56aa520edfp-8, -0x1.093c83afc11dap-8, -0x1.01d4a755dd66ep-8, -0x1.f5399c49ecf0ap-9, -0x1.e727f07cff23ep-9, -0x1.d972536b32985p-9, -0x1.cc16ccc40c932p-9, -0x1.bf135ce4d0395p-9, -0x1.b265f9b184d0ap-9, -0x1.a60c90991bacbp-9, -0x1.9a050e2789df2p-9, -0x1.8e4d6a156bffp-9, -0x1.82e3b50eab034p-9, -0x1.77c624165152bp-9, -0x1.6cf3155d84071p-9, -0x1.62690c1b36776p-9, -0x1.5826a40e2d9cfp-9, -0x1.4e2a805ef1f0bp-9, -0x1.44733af0dd74cp-9, -0x1.3aff58247ca4ep-9, -0x1.31cd409aef951p-9, -0x1.28db40ae87edep-9, -0x1.20278d4b391cap-9, -0x1.17b04ee5854a2p-9, -0x1.0f73b336aee8cp-9, -0x1.0770039fb78a7p-9, -0x1.ff47739d0c993p-10, -0x1.f01b1433e1bb7p-10, -0x1.e158bc14e6596p-10, -0x1.d2fe81e6b47e1p-10, -0x1.c50a8f4e2337ap-10, -0x1.b77afbf563aebp-10, -0x1.aa4dbf31d63c4p-10, -0x1.9d80b2b96367ep-10, -0x1.9111963f223a8p-10, -0x1.84fe06e3bdafp-10, -0x1.79436c878e7f2p-10, -0x1.6ddeef7f97599p-10, -0x1.62cd8c9e831a5p-10, -0x1.580c4ca5e9f2dp-10, -0x1.4d9888711b5c3p-10, -0x1.437012e508f24p-10, -0x1.39912dfdb300ap-10, -0x1.2ffa53c851b58p-10, -0x1.26a9fbdcaa73cp-10, -0x1.1d9e86e47484p-10, -0x1.14d6599bc7983p-10, -0x1.0c500a15ba607p-10, -0x1.040a745aacc93p-10, -0x1.f8093ca798e4cp-11, -0x1.e87ae97cf16afp-11, -0x1.d9670940728e1p-11, -0x1.cac9b244a5a88p-11, -0x1.bc9e26eec6dcp-11, -0x1.aedf6644ba72ap-11, -0x1.a188d235651f7p-11, -0x1.94968f89dd09p-11, -0x1.88056bd0825dcp-11, -0x1.7bd26d4388649p-11, -0x1.6ffa7d6618954p-11, -0x1.647a8fd24fca6p-11, -0x1.5950315ea2c1bp-11, -0x1.4e79fe94cef61p-11, -0x1.43f7907cbdfb4p-11, -0x1.39c8e5246ecbp-11, -0x1.2feda9c127ef6p-11, -0x1.2664ca5a6c3b9p-11, -0x1.1d2c5cbb78c4ep-11, -0x1.1441b44514e33p-11, -0x1.0ba174c427311p-11, -0x1.0347babf7f4b5p-11, -0x1.f660f88af615ap-12, -0x1.e6affb3a3af4fp-12, -0x1.d7760914c7346p-12, -0x1.c8ad787ff2a11p-12, -0x1.ba51585500243p-12, -0x1.ac5e13bf48e6ap-12, -0x1.9ed22641b0b27p-12, -0x1.91add902f54ddp-12, -0x1.84f214b3c5937p-12, -0x1.789f2b3bd4789p-12, -0x1.6cb4455a08c09p-12, -0x1.612fa614e4a59p-12, -0x1.560f5ef7807c7p-12, -0x1.4b517c2cb13fap-12, -0x1.40f32d8de5884p-12, -0x1.36efd2dee701p-12, -0x1.2d411f20a3bd1p-12, -0x1.23e03750b4a92p-12, -0x1.1ac6c919422efp-12, -0x1.11efad54b2404p-12, -0x1.095762706f56dp-12, -0x1.00fc6e5d590e8p-12, -0x1.f1be1adbe359p-13, -0x1.e1ffe7837c35fp-13, -0x1.d2bea507bf3cap-13, -0x1.c3f9cd07026cdp-13, -0x1.b5b00cec97d0dp-13, -0x1.a7debf6dd62cdp-13, -0x1.9a82a12b39bafp-13, -0x1.8d99015dee3e9p-13, -0x1.811f6ff5f1e76p-13, -0x1.7512bc2880568p-13, -0x1.696ec462bbadep-13, -0x1.5e2eaad97f54p-13, -0x1.534c53989bfaep-13, -0x1.48bf62acab0fdp-13, -0x1.3e7e369b58839p-13, -0x1.34821cd547289p-13, -0x1.2aca5fef5c6fp-13, -0x1.2159a6e43ff73p-13, -0x1.1830cb5362c21p-13, -0x1.0f4e56b84b558p-13, -0x1.06b1bdfcbf053p-13, -0x1.fcb5cf90f1d68p-14, -0x1.ec8fe999b308dp-14, -0x1.dcecc28f1ebc7p-14, -0x1.cdc7666fff96ap-14, -0x1.bf18a1e16654ep-14, -0x1.b0d892873c1c7p-14, -0x1.a3031dd7f61e4p-14, -0x1.959908f332da3p-14, -0x1.889cde8884e02p-14, -0x1.7c0eb92b0695ep-14, -0x1.6fe815f8a35ebp-14, -0x1.641a117590e88p-14, -0x1.5895f3f8bb942p-14, -0x1.4d5925623e23p-14, -0x1.42688c1133b08p-14, -0x1.37c444231572dp-14, -0x1.2d6a4ea879f4bp-14, -0x1.235ccc60b7f68p-14, -0x1.199bb2932d138p-14, -0x1.1023b52d2945p-14, -0x1.06f23e979eae6p-14, -0x1.fc057a6db2432p-15, -0x1.ea9d2af18af5ep-15, -0x1.d9a199e423f29p-15, -0x1.c90eadda3897p-15, -0x1.b8e4f1cf7911fp-15, -0x1.a92822b0c6e7bp-15, -0x1.99dd1a0eb2297p-15, -0x1.8b07a09d2651ep-15, -0x1.7ca80715ec31p-15, -0x1.6eb2977c99db1p-15, -0x1.610e8fec62966p-15, -0x1.53af7c0e65c16p-15, -0x1.469be1029ac74p-15, -0x1.39d6e82e1997ap-15, -0x1.2d60bd6fcc69bp-15, -0x1.213bea61e8f8p-15, -0x1.156826083ad44p-15, -0x1.09e45ea88c30dp-15, -0x1.fd5365a7510d9p-16, -0x1.e75d55ca09e1dp-16, -0x1.d1dd3b47ce804p-16, -0x1.bcd1d653f3a97p-16, -0x1.a83b366d10825p-16, -0x1.9417ca743706p-16, -0x1.80652ed116e13p-16, -0x1.6d2288d2727dap-16, -0x1.5a51a232e9935p-16, -0x1.47f582f821b63p-16, -0x1.36130412903f4p-16, -0x1.24acd7c604459p-16, -0x1.13abd6fb8218cp-16, -0x1.02f1edf5ffc41p-16, -0x1.e511342d15637p-17, -0x1.c4ec1ee64aa57p-17, -0x1.a56a943304f86p-17, -0x1.86a15284aec9p-17, -0x1.689bf4d2feca3p-17, -0x1.4b41026fae348p-17, -0x1.2e7705016b264p-17, -0x1.12389bce9c1dfp-17, -0x1.ed109f423fca7p-18, -0x1.b6cf57ffde0bep-18, -0x1.81ac3cff54e33p-18, -0x1.4da3036a2570bp-18, -0x1.1aacc78adebf4p-18, -0x1.d181e806ddb72p-19, -0x1.6fb0d443bece6p-19, -0x1.0fe27533e4c5ep-19, -0x1.642ce525e435ep-20, -0x1.593951b711374p-21, 0x1.9edb4f09af0a8p-26, 0x1.6a11d8ef4d713p-21, 0x1.606f35274428ap-20, 0x1.0457e30a9fb01p-19, 0x1.56f9b029956f4p-19, 0x1.a7dbec10dbab8p-19, 0x1.f6a207b2dff51p-19, 0x1.21d474831e737p-18, 0x1.4795b756186e2p-18, 0x1.6c9271e9fed9bp-18, 0x1.90c550e01accfp-18, 0x1.b42d613a64b8dp-18, 0x1.d6cc6f7b4e34fp-18, 0x1.f8a51abb57f2ep-18, 0x1.0cdcec1d8820ap-17, 0x1.1d066ccd7f5f7p-17, 0x1.2cd0559edb3a5p-17, 0x1.3c3c6f51c1f3cp-17, 0x1.4b4ccb0d9c3d9p-17, 0x1.5a02dc70c78bp-17, 0x1.685f95e4ef721p-17, 0x1.7664a38c1455fp-17, 0x1.840ca588f15fcp-17, 0x1.914b1fd16c301p-17, 0x1.9e33fb140e3b8p-17, 0x1.aad6ce3ba310ep-17, 0x1.b72dfc7211a55p-17, 0x1.c321bb816415bp-17, 0x1.cebf5e8d18497p-17, 0x1.da100a91746fcp-17, 0x1.e511eed4e2326p-17, 0x1.efc3b3195c35ep-17, 0x1.fa2571e8dfd4bp-17, 0x1.021beee3511a8p-16, 0x1.06fde9ee287c7p-16, 0x1.0bb919cd096e8p-16, 0x1.104de513c956bp-16, 0x1.14bca35dd4515p-16, 0x1.1905a16fc1beep-16, 0x1.1d2933af30383p-16, 0x1.2127cc090ed87p-16, 0x1.2501f91db61f5p-16, 0x1.28b83c9c9884dp-16, 0x1.2c4aeb8c85da9p-16, 0x1.2fba6c112b753p-16, 0x1.3306689b2c36p-16, 0x1.362cf0192aa61p-16, 0x1.39305ba6a1569p-16, 0x1.3c15695cc476dp-16, 0x1.3ed7a10ed2c8dp-16, 0x1.417659e9aeef5p-16, 0x1.43f4f588efaf3p-16, 0x1.465358f81ad9fp-16, 0x1.4891536e63adap-16, 0x1.4aaf1ae5277cap-16, 0x1.4cad053212a9bp-16, 0x1.4e8b6e0006ce4p-16, 0x1.504ab17632de3p-16, 0x1.51eb2b87104c4p-16, 0x1.536d375636ee9p-16, 0x1.54d12de176fe7p-16, 0x1.56176498d1aabp-16, 0x1.57402e2cb4404p-16, 0x1.584bdfd10f8f3p-16, 0x1.593ad807b3b14p-16, 0x1.5a0d7f31e1579p-16, 0x1.5ac43c5db7545p-16, 0x1.5b5f652f9a327p-16, 0x1.5bdf4c54b589fp-16, 0x1.5c4440b506048p-16, 0x1.5c8e12294e7e7p-16, 0x1.5cbde53a4b9dbp-16, 0x1.5cd3fa02a80dfp-16, 0x1.5cd0441fb428dp-16, 0x1.5cb3412eb082bp-16, 0x1.5c7dc1a701342p-16, 0x1.5c2fe3257f279p-16, 0x1.5bc9e8e257419p-16, 0x1.5b4c2e3752982p-16, 0x1.5ab711e0330b8p-16, 0x1.5a0af2526068ep-16, 0x1.59482db7e511bp-16, 0x1.586f2233c7ba7p-16, 0x1.57802e0187c7bp-16, 0x1.567baf5a1fb37p-16, 0x1.55620419b4a74p-16, 0x1.5433893d5e7abp-16, 0x1.52f09acbf28d6p-16, 0x1.5199950d0e4d4p-16, 0x1.502ed694e106cp-16, 0x1.4eb0c0d564921p-16, 0x1.4d1fb5b251f8fp-16, 0x1.4b7c11e0b9893p-16, 0x1.49c62c328556ep-16, 0x1.47fe6abb4622ep-16, 0x1.4625185650cb5p-16, 0x1.443aa0f43a283p-16, 0x1.423f5f1c1e5dp-16, 0x1.40338dfe90941p-16, 0x1.3e17ae0e389c9p-16, 0x1.3bec333cc5394p-16, 0x1.39b166d295a18p-16, 0x1.37679ac57b1c4p-16, 0x1.350f2b089366bp-16, 0x1.32a873dd68358p-16, 0x1.3033d0b93f0b2p-16, 0x1.2db19c7235e37p-16, 0x1.2b22316ab7743p-16, 0x1.2885e9a07333p-16, 0x1.25dd1eb075c5p-16, 0x1.232829c8beedbp-16, 0x1.206763922a79fp-16, 0x1.1d9b24041622ep-16, 0x1.1ac3c23385cbep-16, 0x1.17e1947640b1dp-16, 0x1.14f4f116c6b8bp-16, 0x1.11fe2ee100f78p-16, 0x1.0efda4c36aa25p-16, 0x1.0bf3a8566649ep-16, 0x1.08e08b43aa468p-16, 0x1.05c49e8ae51bdp-16, 0x1.02a0420ca9759p-16, 0x1.fee7807e28914p-17, 0x1.f87eab3a7fa38p-17, 0x1.f206e11000292p-17, 0x1.eb809af765af4p-17, 0x1.e4ec86d5f5c2p-17, 0x1.de4b6301258bbp-17, 0x1.d79dafbc18182p-17, 0x1.d0e4051f08816p-17, 0x1.ca1efde4c71c4p-17, 0x1.c34f32a57037ap-17, 0x1.bc7539f3f7468p-17, 0x1.b591a89f6a262p-17, 0x1.aea511d11c402p-17, 0x1.a7b0072029929p-17, 0x1.a0b318901b5eep-17, 0x1.99aed486710fep-17, 0x1.92a3c7bdefde7p-17, 0x1.8b927d383c5a1p-17, 0x1.847b7e13be983p-17, 0x1.7d5f51605d825p-17, 0x1.763e7c4a46269p-17, 0x1.6f1982c59351dp-17, 0x1.67f0e7ecae791p-17, 0x1.60c52d9bf5c06p-17, 0x1.5996d331c98d9p-17, 0x1.526652d964f15p-17, 0x1.4b34240e29ae7p-17, 0x1.4400cd7f2d2cfp-17, 0x1.3cccda3fc2c9bp-17, 0x1.359864b9f0b91p-17, 0x1.2e643f5129431p-17, 0x1.2730cb4d30eccp-17, 0x1.1ffe48b518259p-17, 0x1.18cd60712a0cep-17, 0x1.119e6887ed7b4p-17, 0x1.0a71c92a834d3p-17, 0x1.0347ec61438eep-17, 0x1.f84273de1110cp-18, 0x1.e9fc2eebd4cd3p-18, 0x1.dbbdd148ff933p-18, 0x1.cd881e9a50c77p-18, 0x1.bf5bd6d867278p-18, 0x1.b139b664073dep-18, 0x1.a3227608345bp-18, 0x1.9516caf0776d1p-18, 0x1.871766aaa1374p-18, 0x1.7924f728250f6p-18, 0x1.6b4026ab26869p-18, 0x1.5d699ba6044e9p-18, 0x1.4fa1f8b319cd6p-18, 0x1.41e9dd08fc984p-18, 0x1.3441e4f7b320dp-18, 0x1.26aaa9cfd5fcbp-18, 0x1.1924c1734c64ep-18, 0x1.0bb0bceebd7fep-18, 0x1.fc9e4cd888635p-19, 0x1.e2010e3787d3ep-19, 0x1.c78af7acdeb9dp-19, 0x1.ad3d0d8841057p-19, 0x1.93179d6f2837fp-19, 0x1.791cacb998612p-19, 0x1.5f4ca99e69b25p-19, 0x1.45a859a659bb2p-19, 0x1.2c30ff13ca1d9p-19, 0x1.12e74e6952cffp-19, 0x1.f3983fb12a17dp-20, 0x1.c1c08ebba02e5p-20, 0x1.9049232b4776ep-20, 0x1.5f3388d1fd911p-20, 0x1.2e813ea308fefp-20, 0x1.fc676e0bf7b7ap-21, 0x1.9c98afe09b48cp-21, 0x1.3d98f6445fadfp-21, 0x1.bed5ba27389acp-22, 0x1.0421d011d38b3p-22, 0x1.2c6c18956d004p-24, -0x1.b0e7e9508c5a9p-24, }}, 
      {{0x1.deba6f76822b9p-3, 0x1.e642cfa053046p-3, 0x1.f28152690dafep-3, 0x1.018998feb5085p-2, 0x1.0bc273091ff0ep-2, 0x1.17ad459fe7ce2p-2, 0x1.250af939901f8p-2, 0x1.339d74c7b3535p-2, 0x1.432911b237707p-2, 0x1.53758d03b977dp-2, 0x1.644e9ec066a87p-2, 0x1.75844f1d10a11p-2, 0x1.86eb181a904d2p-2, 0x1.985be078cb322p-2, 0x1.a9b3db5830b83p-2, 0x1.bad4559774ad4p-2, 0x1.cba277d07332fp-2, 0x1.dc07020e998a4p-2, 0x1.ebee04f294233p-2, 0x1.fb469ae2c9a7bp-2, 0x1.050151886de38p-1, 0x1.0c0b3fc08778p-1, 0x1.12bc6b633852ap-1, 0x1.19112ce7b4a33p-1, 0x1.1f06c6f584e0cp-1, 0x1.249b4d7dc512p-1, 0x1.29cd8ed5f006ap-1, 0x1.2e9cfebf7146bp-1, 0x1.3309a3374a2a9p-1, 0x1.371402f7c592ap-1, 0x1.3abd157c9f0aap-1, 0x1.3e06347c5ee27p-1, 0x1.40f10eb26fc5ap-1, 0x1.437f9bdf2624p-1, 0x1.45b411e8bbaap-1, 0x1.4790db0019f13p-1, 0x1.49188cb83b5dbp-1, 0x1.4a4ddff9f1a47p-1, 0x1.4b33a9c2bc912p-1, 0x1.4bccd49cc92f8p-1, 0x1.4c1c5ac36d8f8p-1, 0x1.4c2540e11d2abp-1, 0x1.4bea915f65904p-1, 0x1.4b6f583a0b982p-1, 0x1.4ab69f4b59119p-1, 0x1.49c36b083dfc9p-1, 0x1.4898b7a273d31p-1, 0x1.4739768905ab4p-1, 0x1.45a88c3df6077p-1, 0x1.43e8ce7dc7807p-1, 0x1.41fd02a96e4d5p-1, 0x1.3fe7dc78c9e89p-1, 0x1.3dabfce3edcb7p-1, 0x1.3b4bf1472cccfp-1, 0x1.38ca32b49983ap-1, 0x1.3629257707d82p-1, 0x1.336b18b5d8ec9p-1, 0x1.309246435f506p-1, 0x1.2da0d2813cf62p-1, 0x1.2a98cc6cb2671p-1, 0x1.277c2db581d7p-1, 0x1.244cdafd2efd2p-1, 0x1.210ca40f1e66p-1, 0x1.1dbd4442327d7p-1, 0x1.1a6062c3c469bp-1, 0x1.16f79312b735ep-1, 0x1.1384556011984p-1, 0x1.10081717103c1p-1, 0x1.0c84334f7f97fp-1, 0x1.08f9f35607d49p-1, 0x1.056a8f313acaap-1, 0x1.01d72e2b8343fp-1, 0x1.fc81cebfb2d8fp-2, 0x1.f5518481fa549p-2, 0x1.ee1f6e413fee7p-2, 0x1.e6ed5f6fcdc11p-2, 0x1.dfbd0f6a30ac4p-2, 0x1.d8901a9887e02p-2, 0x1.d168038ce5a94p-2, 0x1.ca463416761ccp-2, 0x1.c32bfe45be05fp-2, 0x1.bc1a9d65757bbp-2, 0x1.b51336ee6e101p-2, 0x1.ae16db7bb9a71p-2, 0x1.a72687bfd84ddp-2, 0x1.a04325774369p-2, 0x1.996d8c52df352p-2, 0x1.92a682d5de2fap-2, 0x1.8beebf26127b2p-2, 0x1.8546e7d0a462cp-2, 0x1.7eaf948761bedp-2, 0x1.78294edac2af5p-2, 0x1.71b492f2df6aep-2, 0x1.6b51d04783feap-2, 0x1.65016a555781ap-2, 0x1.5ec3b94cfb20fp-2, 0x1.58990ab99e766p-2, 0x1.5281a21cfeacep-2, 0x1.4c7db980f797p-2, 0x1.468d81ffd8d22p-2, 0x1.40b124454001p-2, 0x1.3ae8c10a07dd1p-2, 0x1.3534718cd23a1p-2, 0x1.2f9448081cad2p-2, 0x1.2a0850261f2cdp-2, 0x1.24908f71c52e2p-2, 0x1.1f2d05c39da83p-2, 0x1.19ddada9e535p-2, 0x1.14a27cca9a848p-2, 0x1.0f7b643f2893bp-2, 0x1.0a6850e9c1eep-2, 0x1.05692bc498f2ep-2, 0x1.007dda2bf669p-2, 0x1.f74c7c46f8701p-3, 0x1.edc46d2fff1e7p-3, 0x1.e4633f3c48842p-3, 0x1.db28a55c819fep-3, 0x1.d2144dbc15441p-3, 0x1.c925e22fe2dc3p-3, 0x1.c05d089faefebp-3, 0x1.b7b9636b12d48p-3, 0x1.af3a91c8ce37bp-3, 0x1.a6e0301fed2a6p-3, 0x1.9ea9d85ba638bp-3, 0x1.969722392d9f6p-3, 0x1.8ea7a38f21bc4p-3, 0x1.86daf0907ab93p-3, 0x1.7f309c09d5e5fp-3, 0x1.77a83799cbcb1p-3, 0x1.704153e613526p-3, 0x1.68fb80cc39c1ep-3, 0x1.61d64d8ed9831p-3, 0x1.5ad149008393dp-3, 0x1.53ec01ab8c0a2p-3, 0x1.4d2605f706315p-3, 0x1.467ee4499d898p-3, 0x1.3ff62b2a9c959p-3, 0x1.398b695f789ddp-3, 0x1.333e2e082dfb5p-3, 0x1.2d0e08b957d93p-3, 0x1.26fa8993f7fadp-3, 0x1.2103415b153c4p-3, 0x1.1b27c187acd36p-3, 0x1.15679c5aebc1cp-3, 0x1.0fc264ee4fb82p-3, 0x1.0a37af41d3798p-3, 0x1.04c7104984d4cp-3, 0x1.fee03bf185738p-4, 0x1.f464de990bc9dp-4, 0x1.ea1b38a85410bp-4, 0x1.e0027c733f54ap-4, 0x1.d619de907006p-4, 0x1.cc6095e506b82p-4, 0x1.c2d5dbae39ffcp-4, 0x1.b978eb8b1f938p-4, 0x1.b04903832e46fp-4, 0x1.a745640bfafd2p-4, 0x1.9e6d500e34175p-4, 0x1.95c00ce93bfe1p-4, 0x1.8d3ce2758e919p-4, 0x1.84e31b060be58p-4, 0x1.7cb203694167p-4, 0x1.74a8eae8d4aeap-4, 0x1.6cc7234897f0cp-4, 0x1.650c00c520fffp-4, 0x1.5d76da11870bap-4, 0x1.5607085464d62p-4, 0x1.4ebbe7244b31p-4, 0x1.4794d4845789p-4, 0x1.409130df7b23bp-4, 0x1.39b05f03e2622p-4, 0x1.32f1c41dc1b9ep-4, 0x1.2c54c7b200e84p-4, 0x1.25d8d3987046bp-4, 0x1.1f7d53f5d7c5ap-4, 0x1.1941b735e5889p-4, 0x1.13256e04ce395p-4, 0x1.0d27eb486dfd1p-4, 0x1.0748a419c5f22p-4, 0x1.01870fbe9e45fp-4, 0x1.f7c54f452b7ep-5, 0x1.ecb5ce9f886bp-5, 0x1.e1de98cf64bb9p-5, 0x1.d73ead3990a4ap-5, 0x1.ccd50f57182dap-5, 0x1.c2a0c6a681cb7p-5, 0x1.b8a0de9cec9d4p-5, 0x1.aed4669877a1ep-5, 0x1.a53a71d33d0e3p-5, 0x1.9bd217555f702p-5, 0x1.929a71e67e1f4p-5, 0x1.89929fffc1516p-5, 0x1.80b9c3be4fbdbp-5, 0x1.780f02d68ee8cp-5, 0x1.6f918686c7edp-5, 0x1.67407b896accfp-5, 0x1.5f1b1207a583p-5, 0x1.57207d8c85575p-5, 0x1.4f4ff4f86922p-5, 0x1.47a8b27468ff9p-5, 0x1.4029f365cff6cp-5, 0x1.38d2f861c62c9p-5, 0x1.31a30520a0ab6p-5, 0x1.2a996071be9b8p-5, 0x1.23b554301559p-5, 0x1.1cf62d366b9d7p-5, 0x1.165b3b541eefcp-5, 0x1.0fe3d14199e9ap-5, 0x1.098f44949b578p-5, 0x1.035cedb4e19f5p-5, 0x1.fa984fa3235e7p-6, 0x1.eeb8a1ae11c46p-6, 0x1.e31992c8fa91cp-6, 0x1.d7b9e98244e59p-6, 0x1.cc9871a29565cp-6, 0x1.c1b3fc184aa0cp-6, 0x1.b70b5ee4c43ccp-6, 0x1.ac9d7509bff79p-6, 0x1.a2691e75b5cd9p-6, 0x1.986d3ff0bf75ep-6, 0x1.8ea8c3087f05p-6, 0x1.851a95fd4942ep-6, 0x1.7bc1abb10f8b3p-6, 0x1.729cfb96857f4p-6, 0x1.69ab819fb0d4p-6, 0x1.60ec3e2bcf8a3p-6, 0x1.585e35f553f6ap-6, 0x1.50007200eb7d1p-6, 0x1.47d1ff8d878bfp-6, 0x1.3fd1f004e75e7p-6, 0x1.37ff58ebd01dep-6, 0x1.305953d1cecaep-6, 0x1.28defe40e88fp-6, 0x1.218f79adf33cdp-6, 0x1.1a69eb69e4ce5p-6, 0x1.136d7c936c126p-6, 0x1.0c995a081b942p-6, 0x1.05ecb45685dfp-6, 0x1.fecd7f5eff3dcp-7, 0x1.f20d67aed5cbp-7, 0x1.e5979830f716bp-7, 0x1.d96a8e6addef6p-7, 0x1.cd84ceb8d539dp-7, 0x1.c1e4e4339b944p-7, 0x1.b6896095bc62p-7, 0x1.ab70dc2149f38p-7, 0x1.a099f58628a3bp-7, 0x1.960351c94ed79p-7, 0x1.8bab9c2c8c195p-7, 0x1.819186167a6c6p-7, 0x1.77b3c6fa537b5p-7, 0x1.6e111c3fcb66fp-7, 0x1.64a8492b568bfp-7, 0x1.5b7816c6fed4cp-7, 0x1.527f53cbff7d1p-7, 0x1.49bcd48cdcae2p-7, 0x1.412f72df85194p-7, 0x1.38d60e0661fa5p-7, 0x1.30af8a9b310fep-7, 0x1.28bad279c5aa8p-7, 0x1.20f6d4aa680fbp-7, 0x1.1962854d69141p-7, 0x1.11fcdd871b529p-7, 0x1.0ac4db6bf0b2ap-7, 0x1.03b981ec82f66p-7, 0x1.f9b3b18331d03p-8, 0x1.ec49d8b106233p-8, 0x1.df339b7f6d987p-8, 0x1.d26f252809a9ap-8, 0x1.c5faa9dc6c19p-8, 0x1.b9d466a1d54e8p-8, 0x1.adfaa12d1af47p-8, 0x1.a26ba7beae1b3p-8, 0x1.9725d0fec8c5p-8, 0x1.8c277bda186abp-8, 0x1.816f0f5f00c85p-8, 0x1.76fafa9bb29cep-8, 0x1.6cc9b47d03c94p-8, 0x1.62d9bbade317ap-8, 0x1.59299676b3855p-8, 0x1.4fb7d29c36ae2p-8, 0x1.4683053f2602ap-8, 0x1.3d89cabcd4dd8p-8, 0x1.34cac6917c2f8p-8, 0x1.2c44a3399fa43p-8, 0x1.23f61212fb266p-8, 0x1.1bddcb3ebfe94p-8, 0x1.13fa8d8431b52p-8, 0x1.0c4b1e3378d6cp-8, 0x1.04ce4908e1d5ap-8, 0x1.fb05c0214138fp-9, 0x1.eccf77165e948p-9, 0x1.def773a44555cp-9, 0x1.d17b7e7aa4922p-9, 0x1.c4596c102f2ap-9, 0x1.b78f1c6d27089p-9, 0x1.ab1a7af63bb4bp-9, 0x1.9ef97e383addp-9, 0x1.932a27b4eb40ap-9, 0x1.87aa83b1449fdp-9, 0x1.7c78a90655e88p-9, 0x1.7192b8f1689b5p-9, 0x1.66f6dee601021p-9, 0x1.5ca3505e95a31p-9, 0x1.52964caccfebep-9, 0x1.48ce1cc9368dap-9, 0x1.3f49132347e01p-9, 0x1.36058b7349ae2p-9, 0x1.2d01ea8ea3377p-9, 0x1.243c9e3f40a16p-9, 0x1.1bb41d1c4b8d2p-9, 0x1.1366e663315e8p-9, 0x1.0b5381d1ffc81p-9, 0x1.03787f7eb758ap-9, 0x1.f7a8ef553f6e5p-10, 0x1.e8cc15291d8f9p-10, 0x1.da57c09737ce2p-10, 0x1.cc495108c1756p-10, 0x1.be9e34e5b2a94p-10, 0x1.b153e95304d1p-10, 0x1.a467f9fa1cc38p-10, 0x1.97d800d3c60e2p-10, 0x1.8ba1a5f0d2bfcp-10, 0x1.7fc29f398591ep-10, 0x1.7438b02107df7p-10, 0x1.6901a94d87e96p-10, 0x1.5e1b683a443d1p-10, 0x1.5383d6dbcfaf2p-10, 0x1.4938eb4f9203p-10, 0x1.3f38a79caea19p-10, 0x1.35811987fe572p-10, 0x1.2c105a773e6e1p-10, 0x1.22e48f5a2fc04p-10, 0x1.19fbe88e3668ep-10, 0x1.1154a1b2916eep-10, 0x1.08ed01665b84p-10, 0x1.00c358f11eb7fp-10, 0x1.f1ac07bab60fcp-11, 0x1.e246cf2229f56p-11, 0x1.d353e5e6fa557p-11, 0x1.c4d03c56bce9dp-11, 0x1.b6b8d4f89e12ap-11, 0x1.a90ac47ed3028p-11, 0x1.9bc331d815324p-11, 0x1.8edf563eea346p-11, 0x1.825c7d289083cp-11, 0x1.763803fd3d547p-11, 0x1.6a6f598b6f8b3p-11, 0x1.5efffd401b59dp-11, 0x1.53e77e41a629bp-11, 0x1.49237a92379f4p-11, 0x1.3eb19e5edd1d5p-11, 0x1.348fa3960f897p-11, 0x1.2abb51d8a7249p-11, 0x1.21327ea4956f5p-11, 0x1.17f30d9e2373ap-11, 0x1.0efaf0c8fef11p-11, 0x1.06482887b86f1p-11, 0x1.fbb186a2274fep-12, 0x1.eb55ba4082d53p-12, 0x1.db793d6c0c9b4p-12, 0x1.cc18798fec091p-12, 0x1.bd2fee7b8893bp-12, 0x1.aebc31382ef21p-12, 0x1.a0b9eb691def6p-12, 0x1.9325db49e4089p-12, 0x1.85fcd42e154e1p-12, 0x1.793bbf2e5aa6bp-12, 0x1.6cdf9b93648bp-12, 0x1.60e57ea59df03p-12, 0x1.554a92cec22c2p-12, 0x1.4a0c16497960dp-12, 0x1.3f2759c821e63p-12, 0x1.3499bf6c1e3afp-12, 0x1.2a60ba2b1a81bp-12, 0x1.2079cd87a13dcp-12, 0x1.16e28d6f1ed1fp-12, 0x1.0d989e2cd2ee4p-12, 0x1.0499b47e97c3bp-12, 0x1.f7c72bac6a767p-13, 0x1.e6e8314366853p-13, 0x1.d692486ebb6a5p-13, 0x1.c6c15ffcda4b6p-13, 0x1.b771838caf71dp-13, 0x1.a89ed78f82a64p-13, 0x1.9a45963ad5a7dp-13, 0x1.8c620eac2fb6ap-13, 0x1.7ef0a66a1a5a2p-13, 0x1.71eddc1df5aa9p-13, 0x1.655649d1e13f2p-13, 0x1.5926a5959db77p-13, 0x1.4d5bc0b1c508p-13, 0x1.41f2867e9143p-13, 0x1.36e7fbd477c0fp-13, 0x1.2c393ef001913p-13, 0x1.21e3869d35fa6p-13, 0x1.17e41f817d5a3p-13, 0x1.0e3867943769bp-13, 0x1.04ddc96452787p-13, 0x1.f7a372f9d222ep-14, 0x1.e6236ed34cebbp-14, 0x1.d536a30c55c98p-14, 0x1.c4d8526595d96p-14, 0x1.b503ea543c2e3p-14, 0x1.a5b502a0f3f56p-14, 0x1.96e75aa5554ffp-14, 0x1.8896d7f9bb542p-14, 0x1.7abf87c8cf4eep-14, 0x1.6d5da05ccb121p-14, 0x1.606d7f184356p-14, 0x1.53eba174ba103p-14, 0x1.47d49b7b34c9ep-14, 0x1.3c25100e63204p-14, 0x1.30d9adfdf9905p-14, 0x1.25ef31f38fc09p-14, 0x1.1b626ae85ca8ep-14, 0x1.11303decc40ccp-14, 0x1.0755a6aea40a4p-14, 0x1.fb9f69cf70737p-15, 0x1.e937150b42409p-15, 0x1.d76cbec376184p-15, 0x1.c63b161d6f532p-15, 0x1.b59d1ca207292p-15, 0x1.a58e267d9063fp-15, 0x1.9609c2d3210f3p-15, 0x1.870b9bb330766p-15, 0x1.788f6537c8c9bp-15, 0x1.6a90e456c2b42p-15, 0x1.5d0bffa07632fp-15, 0x1.4ffcc5f404aeap-15, 0x1.435f6590bc259p-15, 0x1.37301d9a5c834p-15, 0x1.2b6b346126e06p-15, 0x1.200cf3302e8a2p-15, 0x1.1511a60ec2a44p-15, 0x1.0a75a5ba910e5p-15, 0x1.003572f36df44p-15, 0x1.ec9bb0ee38c9dp-16, 0x1.d977ee2c8e753p-16, 0x1.c6fa55329d5dp-16, 0x1.b51db5c47014bp-16, 0x1.a3dcc5164bc54p-16, 0x1.93323c79d9365p-16, 0x1.83191ac88c55p-16, 0x1.738cbe644a7edp-16, 0x1.6488c542da3cep-16, 0x1.5608dc6baa3bp-16, 0x1.4808a66dd7e91p-16, 0x1.3a83ba9da427bp-16, 0x1.2d75ab8c20dbcp-16, 0x1.20da0c282e8c6p-16, 0x1.14ac7b91569b8p-16, 0x1.08e8c588eb2fcp-16, 0x1.fb1624158a5fap-17, 0x1.e51ff72dd252dp-17, 0x1.cfe8cf9f50d3cp-17, 0x1.bb6a814f6a319p-17, 0x1.a79eb7447ea42p-17, 0x1.947f4f06a2e17p-17, 0x1.8206b97eec072p-17, 0x1.702fdd7b379a5p-17, 0x1.5ef5b5682f2fbp-17, 0x1.4e532fc5b6ee7p-17, 0x1.3e435172cd905p-17, 0x1.2ec13bfabc24ap-17, 0x1.1fc80a144030dp-17, 0x1.1152c4b49bb28p-17, 0x1.035c8c0a8bab1p-17, 0x1.ebc18dbf04608p-18, 0x1.d1b6570f80e1cp-18, 0x1.b88f5c4c6ad93p-18, 0x1.a044dd2d159aep-18, 0x1.88cf3ad8ec9cfp-18, 0x1.7226ca3439eaap-18, 0x1.5c442d0628c4p-18, 0x1.47210a25e9d89p-18, 0x1.32b80e5186c91p-18, 0x1.1f03f1cf6991cp-18, 0x1.0bfed955e0384p-18, 0x1.f345a2b6c45p-19, 0x1.cfd4b133e40e4p-19, 0x1.ada0792e96885p-19, 0x1.8c9e94b79dc5dp-19, 0x1.6cc47c69e441bp-19, 0x1.4e07d69117145p-19, 0x1.305f071ef9295p-19, 0x1.13c190b56577dp-19, 0x1.f04f8194f25c9p-20, 0x1.bb1387aa67a7p-20, 0x1.87be04dd19e7ap-20, 0x1.563cad475059ep-20, 0x1.267d6b070c214p-20, 0x1.f0e0911f940e9p-21, 0x1.98122081cfd69p-21, 0x1.427b34fd5484fp-21, 0x1.e009854e59bddp-22, 0x1.412aab5bd380ep-22, 0x1.50550818f2128p-23, 0x1.4db9e955919fcp-26, -0x1.e3c2e0b6d0bc6p-24, -0x1.016812b4aa98ep-22, -0x1.84b52c42d9fb6p-22, -0x1.017ffa53bfecbp-21, -0x1.3e3704aecca9p-21, -0x1.78917d133eb8ap-21, -0x1.b09fdbf0ae36fp-21, -0x1.e671464602d69p-21, -0x1.0d0a7c7bf4761p-20, -0x1.25ce112d98bf8p-20, -0x1.3d8cd04564c44p-20, -0x1.5450311967cf5p-20, -0x1.6a20cf49e043ep-20, -0x1.7f053bc0e9a91p-20, -0x1.9302d02c963bap-20, -0x1.a61f72c9a6572p-20, -0x1.b86120f4be999p-20, -0x1.c9cdb494d68d2p-20, -0x1.da6b6f8273aadp-20, -0x1.ea4085bc900f7p-20, -0x1.f952d61f85b9cp-20, -0x1.03d3eaf91e0b3p-19, -0x1.0aa23f24a4745p-19, -0x1.1116bada4a10bp-19, -0x1.1733a76494ce7p-19, -0x1.1cfb518bbfcf5p-19, -0x1.226ff8e275df5p-19, -0x1.2793b24a16429p-19, -0x1.2c68692331276p-19, -0x1.30f01c2800dfbp-19, -0x1.352d145277473p-19, -0x1.3921bdfa7f7a3p-19, -0x1.3cd06a1b0ee8ap-19, -0x1.403afaae3b56p-19, -0x1.4362ce491f914p-19, -0x1.46496e6b15361p-19, -0x1.48f09b0acfe38p-19, -0x1.4b59f7ba10bf8p-19, -0x1.4d871ee71f1c2p-19, -0x1.4f79afe9d93f9p-19, -0x1.5133375f89acap-19, -0x1.52b528c01501ap-19, -0x1.5400eb2042657p-19, -0x1.5517dc6134c1ap-19, -0x1.55fb4f2c90d2ep-19, -0x1.56ac8d20a9c76p-19, -0x1.572cdd0b8113bp-19, -0x1.577d8531c82cap-19, -0x1.579fc1bb7e53fp-19, -0x1.5794b5dc81dcfp-19, -0x1.575d7c5daae84p-19, -0x1.56fb54115b624p-19, -0x1.566f82095c07bp-19, -0x1.55bb25bf3026fp-19, -0x1.54df614d6bc05p-19, -0x1.53dd2d0659268p-19, -0x1.52b5a42e0a237p-19, -0x1.5169c207f022fp-19, -0x1.4ffa692ad5a6dp-19, -0x1.4e68a1780a95ep-19, -0x1.4cb5628ffbc76p-19, -0x1.4ae1930570dc2p-19, -0x1.48ee185d1a72bp-19, -0x1.46dbd93bb5722p-19, -0x1.44abba4a51f33p-19, -0x1.425e9a929ed99p-19, -0x1.3ff550ee00a9ap-19, -0x1.3d70acc8aa178p-19, -0x1.3ad17af35edfdp-19, -0x1.38188ac67e8dap-19, -0x1.3546acf47e13fp-19, -0x1.325caa9e86c4p-19, -0x1.2f5b41fd84df2p-19, -0x1.2c4334d26b321p-19, -0x1.2915418b55ffp-19, -0x1.25d20f3d03bp-19, -0x1.227a6730f2934p-19, -0x1.1f0f17cfa7554p-19, -0x1.1b90d072c83efp-19, -0x1.1800213030a77p-19, -0x1.145dc02cc7e7ap-19, -0x1.10aa5c6c25aecp-19, -0x1.0ce69764bf5afp-19, -0x1.091311d2add25p-19, -0x1.05306c75632d8p-19, -0x1.013f46fd79f96p-19, -0x1.fa807eb56b71p-20, -0x1.f267e2359f95ep-20, -0x1.ea35e8fafcc1dp-20, -0x1.e1ebbb699980cp-20, -0x1.d98a7a91d817fp-20, -0x1.d113442b78724p-20, -0x1.c887372cebd0ep-20, -0x1.bfe773c52011bp-20, -0x1.b735147c3b09fp-20, -0x1.ae71269b7b106p-20, -0x1.a59caf017e518p-20, -0x1.9cb8afa8295d3p-20, -0x1.93c624347cc8ep-20, -0x1.8ac61b84e86b8p-20, -0x1.81b9ac9f5e48ep-20, -0x1.78a1b8872445bp-20, -0x1.6f7f29fe0ef4bp-20, -0x1.6652fd95f14bcp-20, -0x1.5d1e1c2d028bp-20, -0x1.53e169dc19a2ap-20, -0x1.4a9dca5e100a2p-20, -0x1.41541f484a2fcp-20, -0x1.380545921c0c2p-20, -0x1.2eb216692ce94p-20, -0x1.255b67b3e3fdcp-20, -0x1.1c020bb773f8cp-20, -0x1.12a6d08865d89p-20, -0x1.094a7faf9723bp-20, -0x1.ffdbbc9e15daep-21, -0x1.ed235cad0e1a2p-21, -0x1.da6d5fbfca0c8p-21, -0x1.c7bb42568adcbp-21, -0x1.b50e7976ad2b8p-21, -0x1.a2686d7190e45p-21, -0x1.8fca79f80d663p-21, -0x1.7d35f5ec46f93p-21, -0x1.6aac3631a4fcdp-21, -0x1.582e9552d5ab7p-21, -0x1.45be5b18b00d8p-21, -0x1.335cc3ccb62afp-21, -0x1.210b07563ad47p-21, -0x1.0eca5d13b4b8ep-21, -0x1.f937ddddb0cc2p-22, -0x1.d501c32d9ac74p-22, -0x1.b0f4a82c845b1p-22, -0x1.8d12be26d3b65p-22, -0x1.695e29a0fa7f8p-22, -0x1.45d90298b0498p-22, -0x1.2285547d9fecap-22, -0x1.feca3c84d2d6fp-23, -0x1.b8f4a44e4f651p-23, -0x1.738daaf172398p-23, -0x1.2e99003e48a14p-23, -0x1.d43472aaf5974p-24, -0x1.4c29a6e7b4769p-24, -0x1.8a30dbfb10c8cp-25, -0x1.f83b8220f0dfp-27, 0x1.180b6061e5d14p-26, 0x1.94005554506c9p-25, 0x1.4cea8687b0d52p-24, 0x1.cebc17141dac3p-24, 0x1.27b793cd29137p-23, 0x1.677f0e0085a18p-23, 0x1.a6b1ccaf5febbp-23, 0x1.e54d411e465afp-23, 0x1.11a7749417066p-22, 0x1.305a2bab69219p-22, 0x1.4ebd9d8e01eb4p-22, 0x1.6cd0ac32b72fbp-22, 0x1.8a9243a441d0ap-22, 0x1.a8015aa4e6043p-22, 0x1.c51cf28c365c2p-22, 0x1.e1e416c5f4217p-22, 0x1.fe55dc6ba40ccp-22, 0x1.0d38b145d95f5p-21, 0x1.1b1ae93081221p-21, 0x1.28d12fb0880dcp-21, 0x1.365b2383da81p-21, 0x1.43b8684e1f85dp-21, 0x1.50e8a6a95dc95p-21, 0x1.5deb8c01b198cp-21, 0x1.6ac0ca33c2e88p-21, 0x1.7768174c77aedp-21, 0x1.83e12dac2c32cp-21, 0x1.902bcc6251292p-21, 0x1.9c47b79403b7ap-21, 0x1.a834b823525dep-21, 0x1.b3f29a552a16ep-21, 0x1.bf812e9690ee1p-21, 0x1.cae049cdf2c4dp-21, 0x1.d60fc3ce8848fp-21, 0x1.e10f7ad555c4ap-21, 0x1.ebdf4f73e5b9ap-21, 0x1.f67f25e030ea5p-21, 0x1.007773b0fd03ap-20, 0x1.0597403fb2a23p-20, 0x1.0a9ef0b5da6b7p-20, 0x1.0f8e7f05b05e3p-20, 0x1.1465e6f3eef73p-20, 0x1.192526092fc55p-20, 0x1.1dcc3b8b48777p-20, 0x1.225b287167268p-20, 0x1.26d1ef5cf4b74p-20, 0x1.2b30948f86615p-20, 0x1.2f771dec2f7d5p-20, 0x1.33a592eef2f82p-20, 0x1.37bbfca58693ep-20, 0x1.3bba65ac6ebb2p-20, 0x1.3fa0da255b409p-20, 0x1.436f679a8adcp-20, 0x1.47261ced02477p-20, 0x1.4ac50a566bdcbp-20, 0x1.4e4c41678f971p-20, 0x1.51bbd528ac82ap-20, 0x1.5513da63a4333p-20, 0x1.5854673784f55p-20, 0x1.5b7d91dc5044dp-20, 0x1.5e8f7295098b1p-20, 0x1.618a220d0d624p-20, 0x1.646dbb28c4a31p-20, 0x1.673a5a022071cp-20, 0x1.69f01ab63d9a8p-20, 0x1.6c8f1b484281fp-20, 0x1.6f177a95008d1p-20, 0x1.7189587268229p-20, 0x1.73e4d5b8a9a36p-20, 0x1.762a1439d2ad4p-20, 0x1.785936b957c43p-20, 0x1.7a7260e4dfa57p-20, 0x1.7c75b749ab9bap-20, 0x1.7e635f4d9465bp-20, 0x1.803b7f2a3896ap-20, 0x1.81fe3de7ad49dp-20, 0x1.83abc3567d4b2p-20, 0x1.854438088eee8p-20, 0x1.86c7c54da5657p-20, 0x1.883695307a437p-20, 0x1.8990d2761651bp-20, 0x1.8ad6a88a54de3p-20, 0x1.8c0843719aaa6p-20, 0x1.8d25cfb76cb98p-20, 0x1.8e2f7a70241e7p-20, 0x1.8f2571438ee0cp-20, 0x1.9007e27d0e4b2p-20, 0x1.90d6fced0cf55p-20, 0x1.9192efc78addap-20, 0x1.923bead0e3c13p-20, 0x1.92d21e95039f4p-20, 0x1.9355bb2652562p-20, 0x1.93c6f1de3e025p-20, 0x1.9425f442a12b1p-20, 0x1.9472f3d8efbbap-20, 0x1.94ae22e50f368p-20, 0x1.94d7b3d7fc2b4p-20, 0x1.94efd9721803cp-20, 0x1.94f6c6bedbf9fp-20, 0x1.94ecaf0bb5d11p-20, 0x1.94d1c5e8135ccp-20, 0x1.94a63f1e1b623p-20, 0x1.946a4ea793a49p-20, 0x1.941e28ababf67p-20, 0x1.93c20198a66bap-20, 0x1.93560dee9f461p-20, 0x1.92da82557028fp-20, 0x1.924f93979b99bp-20, }}, 
      {{-0x1.212b8cbf621c5p-10, -0x1.1cbf138f73aa8p-8, -0x1.38ffc91b25defp-7, -0x1.0e23dcf2881abp-6, -0x1.97b6f9c5bb395p-6, -0x1.1a544026b5601p-5, -0x1.703c10c84d8bp-5, -0x1.cb6fa20113adfp-5, -0x1.14fb02121ff6ep-4, -0x1.4503d283f39a5p-4, -0x1.750865ef0d62ap-4, -0x1.a458ba7bed0ecp-4, -0x1.d25dbcbc8f2a8p-4, -0x1.fe97cb5a3deb5p-4, -0x1.144e727748faap-3, -0x1.280b56644e80ap-3, -0x1.3a60336066aaap-3, -0x1.4b3280125a5f1p-3, -0x1.5a6e99d41f33bp-3, -0x1.6806e83037992p-3, -0x1.73f313c56bab7p-3, -0x1.7e2f50fa3c465p-3, -0x1.86bbbdfeaa471p-3, -0x1.8d9bd30ccd7eep-3, -0x1.92d5e38857e9ap-3, -0x1.9672ae6d70bf9p-3, -0x1.987cfc58a376ep-3, -0x1.9901498a765ap-3, -0x1.980d79cd0bc05p-3, -0x1.95b095bf9646cp-3, -0x1.91fa8ec7ca389p-3, -0x1.8cfc0a3fd3d84p-3, -0x1.86c632057e42ap-3, -0x1.7f6a8a795765fp-3, -0x1.76facd67373d4p-3, -0x1.6d88c88bfb714p-3, -0x1.632640d997da7p-3, -0x1.57e4d898a054ep-3, -0x1.4bd5f91b9ce99p-3, -0x1.3f0abf1ba0be6p-3, -0x1.3193e9f28e3ccp-3, -0x1.2381cd013d0dbp-3, -0x1.14e443837360dp-3, -0x1.05caa64f34b0bp-3, -0x1.ec8786cc23164p-4, -0x1.ccbbae941b087p-4, -0x1.ac4d0ff10847bp-4, -0x1.8b55c2111edfep-4, -0x1.69eea2c09e50fp-4, -0x1.482f5443c76aap-4, -0x1.262e3bfe75b6ap-4, -0x1.04008575d3915p-4, -0x1.c37448871c448p-5, -0x1.7edbb1ac9b124p-5, -0x1.3a5a710638caap-5, -0x1.ec22bc25c19b1p-6, -0x1.643e409f8d9a5p-6, -0x1.ba808e522b497p-7, -0x1.5d768e32b3435p-8, 0x1.69c8ada477e42p-9, 0x1.60ade7df418afp-7, 0x1.31d3005ae2b1p-6, 0x1.b187927712023p-6, 0x1.17a94ef42e62ep-5, 0x1.558a938f8334bp-5, 0x1.9259a9eed000bp-5, 0x1.ce0a19f90cdecp-5, 0x1.04485df09a4eap-4, 0x1.20f1e30c75422p-4, 0x1.3cfd47cd047e4p-4, 0x1.5866d2d7fbf51p-4, 0x1.732b4db3ef954p-4, 0x1.8d48052e4fda9p-4, 0x1.a6babe167a423p-4, 0x1.bf81ada67beb8p-4, 0x1.d79b73fd31edfp-4, 0x1.ef07148037227p-4, 0x1.02e1f8559d7b4p-3, 0x1.0de8e125cd0ccp-3, 0x1.18984b353b80dp-3, 0x1.22f06431ac34ep-3, 0x1.2cf17e968b86fp-3, 0x1.369c0f602dc7ap-3, 0x1.3ff0abc9a5211p-3, 0x1.48f0071101b8bp-3, 0x1.519af044084bcp-3, 0x1.59f25016dd05cp-3, 0x1.61f726c7f282fp-3, 0x1.69aa8a1218e5dp-3, 0x1.710da331772c6p-3, 0x1.7821aced8a827p-3, 0x1.7ee7f1b7bc325p-3, 0x1.8561c9d6868eep-3, 0x1.8b90999858806p-3, 0x1.9175cf9de0f8p-3, 0x1.9712e339868a8p-3, 0x1.9c6952e2f298cp-3, 0x1.a17aa2c90dcfep-3, 0x1.a6485b7c4156dp-3, 0x1.aad408b6ca538p-3, 0x1.af1f3837af8fp-3, 0x1.b32b78b8797f4p-3, 0x1.b6fa58f3bea48p-3, 0x1.ba8d66bcf3efep-3, 0x1.bde62e29fa96bp-3, 0x1.c10638cd16078p-3, 0x1.c3ef0cff0d50fp-3, 0x1.c6a22d39c5609p-3, 0x1.c921178565a15p-3, 0x1.cb6d44f58f6a3p-3, 0x1.cd8829376f07p-3, 0x1.cf73322e4af28p-3, 0x1.d12fc79f60d84p-3, 0x1.d2bf4ae840091p-3, 0x1.d42316c16119fp-3, 0x1.d55c7f09bd366p-3, 0x1.d66cd09849f95p-3, 0x1.d7555118b7c19p-3, 0x1.d8173eecbf43ep-3, 0x1.d8b3d110e7849p-3, 0x1.d92c370d66aebp-3, 0x1.d98198ea4e765p-3, 0x1.d9b51727e453dp-3, 0x1.d9c7cabedab02p-3, 0x1.d9bac52b03ffap-3, 0x1.d98f106b1edc4p-3, 0x1.d945af20fe491p-3, 0x1.d8df9c9bb00ffp-3, 0x1.d85dcceb823d5p-3, 0x1.d7c12d103d636p-3, 0x1.d70aa30b65f7ep-3, 0x1.d63b0dfdcf1f9p-3, 0x1.d5534657b0d0ap-3, 0x1.d4541dfa0a1afp-3, 0x1.d33e60557969p-3, 0x1.d212d2955813fp-3, 0x1.d0d233d50ecdep-3, 0x1.cf7d3d3616a6dp-3, 0x1.ce14a20ddede7p-3, 0x1.cc99101a12638p-3, 0x1.cb0b2fa48c0fp-3, 0x1.c96ba3a62dp-3, 0x1.c7bb09f90ed21p-3, 0x1.c5f9fb8725abep-3, 0x1.c4290c6c76846p-3, 0x1.c248cc1da378ep-3, 0x1.c059c59caaaf2p-3, 0x1.be5c7f9e02fe2p-3, 0x1.bc517cacee47cp-3, 0x1.ba393b536aee2p-3, 0x1.b814364786c09p-3, 0x1.b5e2e48ef6db5p-3, 0x1.b3a5b9a0de366p-3, 0x1.b15d258b1f15bp-3, 0x1.af09951aa474p-3, 0x1.acab71f85052bp-3, 0x1.aa4322c9f2b23p-3, 0x1.a7d10b563c0b4p-3, 0x1.a5558ca17fa32p-3, 0x1.a2d105073bec2p-3, 0x1.a043d05a10a5ep-3, 0x1.9dae4804445dcp-3, 0x1.9b10c31b9d0e5p-3, 0x1.986b967531b5cp-3, 0x1.95bf14c3e5595p-3, 0x1.930b8eb60540bp-3, 0x1.90515304da78bp-3, 0x1.8d90ae803fddfp-3, 0x1.8ac9ec2712c65p-3, 0x1.87fd554489fc8p-3, 0x1.852b31816128bp-3, 0x1.8253c6e8672cfp-3, 0x1.7f7759f25547bp-3, 0x1.7c962da017352p-3, 0x1.79b08392cfa78p-3, 0x1.76c69c11f6dc8p-3, 0x1.73d8b6099d886p-3, 0x1.70e70f16d4396p-3, 0x1.6df1e3a2c5b3dp-3, 0x1.6af96ef55910cp-3, 0x1.67fdeb329eea7p-3, 0x1.64ff91545bb1ep-3, 0x1.61fe9936d359p-3, 0x1.5efb39b3ac442p-3, 0x1.5bf5a8b0918b6p-3, 0x1.58ee1b177ee56p-3, 0x1.55e4c4ccd1b3bp-3, 0x1.52d9d8b98f0b1p-3, 0x1.4fcd88e460384p-3, 0x1.4cc0067fd0bb2p-3, 0x1.49b181e2b5758p-3, 0x1.46a22a7ae6bd3p-3, 0x1.43922ed0a8ee4p-3, 0x1.4081bc9b476f7p-3, 0x1.3d7100d26a535p-3, 0x1.3a6027ac271fcp-3, 0x1.374f5c8e9ec2bp-3, 0x1.343eca0977313p-3, 0x1.312e99e1beda5p-3, 0x1.2e1ef5256565fp-3, 0x1.2b1004333d326p-3, 0x1.2801eeb19ca21p-3, 0x1.24f4db8091997p-3, 0x1.21e8f0b86742ep-3, 0x1.1ede53b7dd00bp-3, 0x1.1bd5293493d6ap-3, 0x1.18cd953dcc573p-3, 0x1.15c7bb30da46p-3, 0x1.12c3bdacba907p-3, 0x1.0fc1be92a7f51p-3, 0x1.0cc1df13d5eebp-3, 0x1.09c43fbf2e436p-3, 0x1.06c900829bcp-3, 0x1.03d040a066f2ep-3, 0x1.00da1ea441fa4p-3, 0x1.fbcd70c62e83ep-4, 0x1.f5ec560bb891p-4, 0x1.f011262b09ce5p-4, 0x1.ea3c18fbc395ep-4, 0x1.e46d650c592aep-4, 0x1.dea53f8f952fdp-4, 0x1.d8e3dc5757d8bp-4, 0x1.d3296de10a9fbp-4, 0x1.cd762568f6b5cp-4, 0x1.c7ca32f4f2d65p-4, 0x1.c225c55010babp-4, 0x1.bc8909fdff2d3p-4, 0x1.b6f42d31f0d47p-4, 0x1.b16759d096db6p-4, 0x1.abe2b97b9ad6p-4, 0x1.a666749e2cd93p-4, 0x1.a0f2b27282dadp-4, 0x1.9b8798fef08b3p-4, 0x1.96254d0ef54a8p-4, 0x1.90cbf22e7f006p-4, 0x1.8b7baaab9f73bp-4, 0x1.8634979e4d373p-4, 0x1.80f6d8f100ab4p-4, 0x1.7bc28d66e7283p-4, 0x1.7697d29d3d8f6p-4, 0x1.7176c508944d1p-4, 0x1.6c5f7ff180cf1p-4, 0x1.67521d741df98p-4, 0x1.624eb6840284dp-4, 0x1.5d5562f3909f4p-4, 0x1.5866397b937e1p-4, 0x1.53814fc0306b3p-4, 0x1.4ea6ba51e6e9ep-4, 0x1.49d68cabc290dp-4, 0x1.4510d9319773p-4, 0x1.4055b131210d5p-4, 0x1.3ba524e7110fap-4, 0x1.36ff43869d9f3p-4, 0x1.32641b40d74e6p-4, 0x1.2dd3b94949c4cp-4, 0x1.294e29d709424p-4, 0x1.24d37823b08b9p-4, 0x1.2063ae6b2ef3cp-4, 0x1.1bfed5edba381p-4, 0x1.17a4f6f52488cp-4, 0x1.135618dc61ff8p-4, 0x1.0f1242166c981p-4, 0x1.0ad97832ec95ap-4, 0x1.06abbfe029d7ep-4, 0x1.02891ceb5834ap-4, 0x1.fce324826c4c7p-5, 0x1.f4ca43e1523e6p-5, 0x1.ecc79a5f7cdb3p-5, 0x1.e4db28c4221fbp-5, 0x1.dd04ee3e358fap-5, 0x1.d544e86e68937p-5, 0x1.cd9b136daa569p-5, 0x1.c60769d10b253p-5, 0x1.be89e4ad466bcp-5, 0x1.b7227b9c39ffp-5, 0x1.afd124c53a48ap-5, 0x1.a895d4e75ac59p-5, 0x1.a1707f63e225bp-5, 0x1.9a611647a3e3cp-5, 0x1.93678a52c5981p-5, 0x1.8c83caff6a784p-5, 0x1.85b5c688771d7p-5, 0x1.7efd69f15a5bep-5, 0x1.785aa10e389f3p-5, 0x1.71cd568d17104p-5, 0x1.6b5573fe794aep-5, 0x1.64f2e1dbc0835p-5, 0x1.5ea5878bc2aeep-5, 0x1.586d4b67490b4p-5, 0x1.524a12bf66786p-5, 0x1.4c3bc1e70a6a3p-5, 0x1.46423c3ff6cb5p-5, 0x1.405d64497f9fap-5, 0x1.3a8d1bae1f95dp-5, 0x1.34d1434c5eeb6p-5, 0x1.2f29bb38ea944p-5, 0x1.299662ba8dae2p-5, 0x1.24171843eafb6p-5, 0x1.1eabb970ae124p-5, 0x1.1954230b83117p-5, 0x1.1410311f50fc5p-5, 0x1.0edfbf11f78dfp-5, 0x1.09c2a7c253d73p-5, 0x1.04b8c5a08a075p-5, 0x1.ff83e5703b6cdp-6, 0x1.f5bc114ed61e1p-6, 0x1.ec19c10e350c4p-6, 0x1.e29ca5962e56fp-6, 0x1.d9446e55e6157p-6, 0x1.d010c93e18c88p-6, 0x1.c70162f40b61fp-6, 0x1.be15e7381870cp-6, 0x1.b54e01655ae43p-6, 0x1.aca95ce41639p-6, 0x1.a427a56629f79p-6, 0x1.9bc886d1987f5p-6, 0x1.938bacd8ac4e9p-6, 0x1.8b70c25db360ep-6, 0x1.837770d7af6ffp-6, 0x1.7b9f5ff464065p-6, 0x1.73e835a61387p-6, 0x1.6c5196aac7281p-6, 0x1.64db277187711p-6, 0x1.5d848d1d5e96cp-6, 0x1.564d6e53ddec9p-6, 0x1.4f35738ceeddfp-6, 0x1.483c46bd03eb3p-6, 0x1.416192669884bp-6, 0x1.3aa5005555263p-6, 0x1.34063868f2df3p-6, 0x1.2d84dfdaae2bp-6, 0x1.272099495dc21p-6, 0x1.20d9059dc936ap-6, 0x1.1aadc5935201p-6, 0x1.149e7b77dbf56p-6, 0x1.0eaacc9b3b2a7p-6, 0x1.08d261f673223p-6, 0x1.0314e7ca14837p-6, 0x1.fae418850ee8cp-7, 0x1.efd2fb0127046p-7, 0x1.e4f5cf34b7d29p-7, 0x1.da4be6660b5b3p-7, 0x1.cfd48a3f15fdap-7, 0x1.c58efe824400cp-7, 0x1.bb7a84c065e1cp-7, 0x1.b1966105e2f2ep-7, 0x1.a7e1de24aca39p-7, 0x1.9e5c505a20455p-7, 0x1.95051586e090cp-7, 0x1.8bdb92e64bb2cp-7, 0x1.82df30f2a0db1p-7, 0x1.7a0f56af73cf8p-7, 0x1.716b65c0eed7ep-7, 0x1.68f2b8742e503p-7, 0x1.60a4a24044ef2p-7, 0x1.5880728227b4ap-7, 0x1.5085788b759edp-7, 0x1.48b307bdc55eep-7, 0x1.41087a7fa144fp-7, 0x1.3985333f36929p-7, 0x1.32289b5ae0acp-7, 0x1.2af2206d79691p-7, 0x1.23e130f89d31p-7, 0x1.1cf5399429f9ap-7, 0x1.162da39816606p-7, 0x1.0f89d5ae1b9c8p-7, 0x1.09093601c7c84p-7, 0x1.02ab2d2a44ba1p-7, 0x1.f8de513a5082fp-8, 0x1.eca9374b7daa8p-8, 0x1.e0b5fce6c580dp-8, 0x1.d503970627f93p-8, 0x1.c990f86b64911p-8, 0x1.be5d0b4aeb5eap-8, 0x1.b366ad91af736p-8, 0x1.a8acb16b7f29bp-8, 0x1.9e2de2c4ba3f1p-8, 0x1.93e911198470ep-8, 0x1.89dd1b3acceecp-8, 0x1.8008f96c945d8p-8, 0x1.766bc228a23c5p-8, 0x1.6d04a74ce0fc7p-8, 0x1.63d2ec206477ep-8, 0x1.5ad5d72ba46eep-8, 0x1.520ca4050bba2p-8, 0x1.4976787008d3ap-8, 0x1.41125e59233p-8, 0x1.38df42df60a08p-8, 0x1.30dbfa9d73db7p-8, 0x1.29074c0933fd3p-8, 0x1.216000338f394p-8, 0x1.19e4f77195b23p-8, 0x1.12953bc4185b2p-8, 0x1.0b700952017dcp-8, 0x1.0474c85ebc89cp-8, 0x1.fb45f5cf0a1adp-9, 0x1.edf44c88c47ffp-9, 0x1.e0f384aae424p-9, 0x1.d44265e5d92a8p-9, 0x1.c7df92189abd1p-9, 0x1.bbc988d901e71p-9, 0x1.affea15825d3cp-9, 0x1.a47cfd1191b0dp-9, 0x1.994283ab3cea2p-9, 0x1.8e4cfa7e32e5cp-9, 0x1.839a3a5468c41p-9, 0x1.79286ceba44d1p-9, 0x1.6ef62e48611ddp-9, 0x1.65027afd94f98p-9, 0x1.5b4c766bf9dc8p-9, 0x1.51d330fae21d7p-9, 0x1.4895957d6db2ap-9, 0x1.3f9285576bfccp-9, 0x1.36c9066172edp-9, 0x1.2e3859393e3b9p-9, 0x1.25dfe11c65debp-9, 0x1.1dbee6b7525c7p-9, 0x1.15d4580bf9f59p-9, 0x1.0e1eabcc16bafp-9, 0x1.069bfc49da48bp-9, 0x1.fe949da3faf32p-10, 0x1.f04fc1e588dccp-10, 0x1.e2669d0e6e519p-10, 0x1.d4d6f41ef3ce6p-10, 0x1.c79e9b618774bp-10, 0x1.babb1f7b67a3ap-10, 0x1.ae29f5908b206p-10, 0x1.a1e9190b75bdcp-10, 0x1.95f79005d27ep-10, 0x1.8a556097c9fcap-10, 0x1.7f02fa7b21d47p-10, 0x1.74007dc3c08cep-10, 0x1.694d48b29ce49p-10, 0x1.5ee7e5860b509p-10, 0x1.54ce233af2ed4p-10, 0x1.4afd2a8d0a6dp-10, 0x1.4171a307741bfp-10, 0x1.38280b9c811fp-10, 0x1.2f1d241b0ec5fp-10, 0x1.264e14cac3439p-10, 0x1.1db84b10c265cp-10, 0x1.1559748788cfp-10, 0x1.0d2fe3d5f6bbfp-10, 0x1.053b02ef0c0e5p-10, 0x1.faf67c2488bfep-11, 0x1.ebe2c7cc933a2p-11, 0x1.dd3beb062625ap-11, 0x1.cf01a1dd20b2cp-11, 0x1.c132b3ddb86b4p-11, 0x1.b3cdc702ccd21p-11, 0x1.a6d18f34baaaep-11, 0x1.9a3bcfc79eafep-11, 0x1.8e0837fb0afc2p-11, 0x1.82307dc70ae32p-11, 0x1.76ad9ec02310cp-11, 0x1.6b791e5ab1aep-11, 0x1.608dbb10efed4p-11, 0x1.55e7ee36ab628p-11, 0x1.4b8659444663ap-11, 0x1.41698069c2c47p-11, 0x1.3792815dc23bbp-11, 0x1.2e01fe4325c58p-11, 0x1.24b817a788f0bp-11, 0x1.1bb46c6a8c1c9p-11, 0x1.12f5d8eb1d5eep-11, 0x1.0a7af21c8a983p-11, 0x1.0242b6ee60facp-11, 0x1.f498995d6fdfap-12, 0x1.e52c98d26c1a7p-12, 0x1.d63d2fb23ea78p-12, 0x1.c7c501b614011p-12, 0x1.b9bd20d4deab2p-12, 0x1.ac1bfaa2bb77p-12, 0x1.9ed693c7f3ed6p-12, 0x1.91e58958cd16bp-12, 0x1.854896858df4bp-12, 0x1.790350597396bp-12, 0x1.6d1705c6bdf77p-12, 0x1.61824c686245ap-12, 0x1.5644e8fb5b95dp-12, 0x1.4b5f214f5c868p-12, 0x1.40cf1257116a2p-12, 0x1.369230aa90e72p-12, 0x1.2ca60b6631eb1p-12, 0x1.23069fe063b99p-12, 0x1.19af433566317p-12, 0x1.109d9720a01d6p-12, 0x1.07d259db89e0fp-12, 0x1.fe9ed57bdabefp-13, 0x1.ee2a1e932f752p-13, 0x1.de3e79dc72735p-13, 0x1.cec8f4a9c51b7p-13, 0x1.bfb71a1e1e202p-13, 0x1.b1066d7857f7dp-13, 0x1.a2bdbc5c45e63p-13, 0x1.94dd17e3efa15p-13, 0x1.876227ed9f147p-13, 0x1.7a505631e9d79p-13, 0x1.6da7df3f35579p-13, 0x1.6164af98e7688p-13, 0x1.55840afce2e1dp-13, 0x1.4a0058231343ep-13, 0x1.3ed0a5de533aep-13, 0x1.33edf8835a702p-13, 0x1.295579c2f33bbp-13, 0x1.1f07c86984e97p-13, 0x1.1507e45c8c1ecp-13, 0x1.0b599165f63bbp-13, 0x1.01ffc72a034bep-13, 0x1.f1f61b58d61ap-14, 0x1.e08664e05e625p-14, 0x1.cf8cf5bdc3d63p-14, 0x1.bef84005dd965p-14, 0x1.aed1ad260e2f3p-14, 0x1.9f1da097483aap-14, 0x1.8fdd1d0a35bacp-14, 0x1.8114362cf9bb8p-14, 0x1.72c2587d90bd1p-14, 0x1.64e6af3334039p-14, 0x1.577788cf51c9ap-14, 0x1.4a665f602b528p-14, 0x1.3dabbc83641e9p-14, 0x1.31468dce14389p-14, 0x1.2536eda755cd2p-14, 0x1.197bbe3546b2fp-14, 0x1.0e1340aa0683p-14, 0x1.02fcf29a4eebp-14, 0x1.f074db293c45dp-15, 0x1.db9ca45b183dcp-15, 0x1.c779d6544e9dcp-15, 0x1.b411aaafb51bap-15, 0x1.a13e01f39a4ebp-15, 0x1.8eccb2a9691abp-15, 0x1.7ccd3592ea573p-15, 0x1.6b4a2ff9d72c5p-15, 0x1.5a3b595c6271p-15, 0x1.49b19b36df568p-15, 0x1.39b7b4875974p-15, 0x1.2a38820aee31cp-15, 0x1.1b1d85c46c89ep-15, 0x1.0c61829b7e08p-15, 0x1.fc0ce00a97da5p-16, 0x1.e01b632c6ee4fp-16, 0x1.c4ed9a9852eebp-16, 0x1.aa7fad253674fp-16, 0x1.90cb4b5f5e827p-16, 0x1.77c878e061afap-16, 0x1.5f7085b1ed492p-16, 0x1.47c1a456111fp-16, 0x1.30bbb187e00eap-16, 0x1.1a5f60ffd25cdp-16, 0x1.04c7e98906c69p-16, 0x1.dff4d57a00fe9p-17, 0x1.b741c5c5be9acp-17, 0x1.8f75265b7e88fp-17, 0x1.6879bcf3d4216p-17, 0x1.428df56ece8f2p-17, 0x1.1e0f840948852p-17, 0x1.f54634c64d39ep-18, 0x1.b018c150fbb2ep-18, 0x1.6c9e49f7dcb64p-18, 0x1.2aebf19bba921p-18, 0x1.d60b09704e8a5p-19, 0x1.59c718bdff0a3p-19, 0x1.c1ec87c764a18p-20, 0x1.ae110335795f7p-21, -0x1.a831c621765f7p-25, -0x1.d637017a45446p-21, -0x1.c2c1e131f2d86p-20, -0x1.4a3e4332f3666p-19, -0x1.b03eed034e45cp-19, -0x1.09b96ef9d000bp-18, -0x1.39fbe610fb64cp-18, -0x1.68b5364288fbcp-18, -0x1.956ef62818c3fp-18, -0x1.c0de376cf3911p-18, -0x1.eb959460bd409p-18, -0x1.0ab117a7c0409p-17, -0x1.1eb03243e292p-17, -0x1.3205dc9323ce3p-17, -0x1.44dd772d567dcp-17, -0x1.572dca5372afdp-17, -0x1.68ef849c72013p-17, -0x1.7a22394767941p-17, -0x1.8ac85c688c8dp-17, -0x1.9ae5353d450fp-17, -0x1.aa7c14211f7bep-17, -0x1.b98fe2e128dc4p-17, -0x1.c822deb856134p-17, -0x1.d636be4563552p-17, -0x1.e3cd7bef38f44p-17, -0x1.f0ea527b31232p-17, -0x1.fd91c20f5bc42p-17, -0x1.04e3e2d3a5499p-16, -0x1.0ac72ee3d7ef2p-16, -0x1.107412ac98a7cp-16, -0x1.15e7b9a7cbe78p-16, -0x1.1b1657f1c9d5ap-16, -0x1.200c0491afeb3p-16, -0x1.24e26fe634e62p-16, -0x1.297f9753044ep-16, -0x1.2dde5c3c2641p-16, -0x1.3210f975721f5p-16, -0x1.3615d0e112ff1p-16, -0x1.39eaa33f1886ep-16, -0x1.3d8f76de05258p-16, -0x1.410506652113fp-16, -0x1.444c2b34145a6p-16, -0x1.4765be0f3710bp-16, -0x1.4a529250b11cbp-16, -0x1.4d1371b4aa782p-16, -0x1.4fa913604d974p-16, -0x1.52141255d995cp-16, -0x1.5454f28daac33p-16, -0x1.566c432b6e41p-16, -0x1.585acb51b39abp-16, -0x1.5a218dee29776p-16, -0x1.5bc180d8ad63fp-16, -0x1.5d3b278b4f71fp-16, -0x1.5e8ef17c6afdep-16, -0x1.5fbd21366bc53p-16, -0x1.60c2b8380ee25p-16, -0x1.61a58cb7c111ap-16, -0x1.6265630a86c0ap-16, -0x1.63004ab3904e5p-16, -0x1.63777e5cd53ffp-16, -0x1.63ce912f02795p-16, -0x1.640480678cdf2p-16, -0x1.64192e66091dcp-16, -0x1.640d199335d36p-16, -0x1.63e0d4d87ada7p-16, -0x1.6394ef532bb5cp-16, -0x1.6329f4098f064p-16, -0x1.62a06bce5339dp-16, -0x1.61f8de08c8b67p-16, -0x1.6133d01d962cdp-16, -0x1.6051c37a6a8bcp-16, -0x1.5f5332cacee76p-16, -0x1.5e3891dcf162bp-16, -0x1.5d025592a568dp-16, -0x1.5bb1006ee4017p-16, -0x1.5a4525506953p-16, -0x1.58bf5787667d7p-16, -0x1.5720096f7cb32p-16, -0x1.55678e4b87c6bp-16, -0x1.53969bd68e504p-16, -0x1.51ad2b12b70acp-16, -0x1.4fac0a8955862p-16, -0x1.4d93aec2f7642p-16, -0x1.4b63c866f9cf9p-16, -0x1.491d94bb07011p-16, -0x1.46c21ae4271dap-16, -0x1.4451616e3c044p-16, -0x1.41cba008601dcp-16, -0x1.3f314c15f91afp-16, -0x1.3c82de6769141p-16, -0x1.39c0cc91967eep-16, -0x1.36eb89f5e7653p-16, -0x1.340388cb1cb55p-16, -0x1.31093aa20b939p-16, -0x1.2dfd108caef1fp-16, -0x1.2adf7b0154ddap-16, -0x1.27b0e98edac13p-16, -0x1.2471ca3fe8eap-16, -0x1.21228905a0b35p-16, -0x1.1dc3908d50cfbp-16, -0x1.1a554d1c6d9ep-16, -0x1.16d82e80f9ef4p-16, -0x1.134ca65301bd9p-16, -0x1.0fb321cc183c9p-16, -0x1.0c0c002112df8p-16, -0x1.0857a29453468p-16, -0x1.0496a9c25ce77p-16, -0x1.00c957a1ffc6ep-16, -0x1.f9df7e0635a06p-17, -0x1.f215816a34ee3p-17, -0x1.ea34ea0464b3cp-17, -0x1.e23eba8012408p-17, -0x1.da3437aee1d55p-17, -0x1.d215c06f2828p-17, -0x1.c9e41232168f7p-17, -0x1.c19ff839acc9ep-17, -0x1.b94a3a0712c82p-17, -0x1.b0e39bdfca549p-17, -0x1.a86cdfcb2cb41p-17, -0x1.9fe6c60b931ebp-17, -0x1.97520d52427ddp-17, -0x1.8eaf72cc84fbbp-17, -0x1.85ffb2127b9e4p-17, -0x1.7d4385183339cp-17, -0x1.747ba40a1d547p-17, -0x1.6ba8c501f16bdp-17, -0x1.62cb9bbb2c39bp-17, -0x1.59e4da042b544p-17, -0x1.50f5310dcd364p-17, -0x1.47fd520687f93p-17, -0x1.3efded3629f92p-17, -0x1.35f7af638dfa2p-17, -0x1.2ceb3c79c8dfdp-17, -0x1.23d935bb1aef2p-17, -0x1.1ac25e59446b6p-17, -0x1.11a780703073bp-17, -0x1.0888846cec829p-17, -0x1.fecd96f0f9fb4p-18, -0x1.ec85a1048a102p-18, -0x1.da39aa53772f9p-18, -0x1.c7ebc4b385d55p-18, -0x1.b59ccc4f5967dp-18, -0x1.a34de5b510de6p-18, -0x1.91003ed6fa7b2p-18, -0x1.7eb4fff0133a8p-18, -0x1.6c6d4c2439651p-18, -0x1.5a2a42269ff6cp-18, -0x1.47ecfc79bdc82p-18, -0x1.35b69187c96a2p-18, -0x1.238813b3b238bp-18, -0x1.1162915601177p-18, -0x1.fe8e295cdd9dp-19, -0x1.da6d47c07ea83p-19, -0x1.b66481d5acb87p-19, -0x1.9275d3319b193p-19, -0x1.6ea32e9cee11p-19, -0x1.4aee7e0a54bbcp-19, -0x1.2759a389e6099p-19, -0x1.03e67a519290fp-19, -0x1.c12dac849af19p-20, -0x1.7ad905e052ba6p-20, -0x1.34d280da9d4cap-20, -0x1.de3afb531bdp-21, -0x1.537aaf4a1527bp-21, -0x1.92d71021fe9bep-22, -0x1.004fd07b65926p-23, 0x1.22237670beba9p-23, 0x1.a0bfdb32c5397p-22, 0x1.576d7e3661a3p-21, 0x1.ddac388e1df93p-21, 0x1.318a59250d752p-20, 0x1.73d0f6be6e3c9p-20, 0x1.b5a72a3bba85cp-20, 0x1.f70a34aa14c3ap-20, 0x1.1bfbb4ca5157ap-19, 0x1.3c3616d45e001p-19, 0x1.5c32fb2267665p-19, 0x1.7bf1247a02bdbp-19, 0x1.9b6f5d9412bbep-19, 0x1.baac791fe4445p-19, 0x1.d9a75246cc89cp-19, 0x1.f85ecba3da65bp-19, 0x1.0b68e7e5fb46cp-18, 0x1.1a7fa89dd5b66p-18, }}, 
      {{0x1.5aab4b33c9dc7p-3, 0x1.51b47c6a52a0cp-2, 0x1.e7622410220e1p-2, 0x1.359b8713f976ap-1, 0x1.6dea17d514b0dp-1, 0x1.9c88b4eebbbd1p-1, 0x1.c1cafcef01b95p-1, 0x1.de47a507f8018p-1, 0x1.f2bdf637047e8p-1, 0x1.00011298a3e88p+0, 0x1.0377a00122b59p+0, 0x1.042ec0da98015p+0, 0x1.028df31cf8c37p+0, 0x1.fdec1fc342b9bp-1, 0x1.f38047e9265a2p-1, 0x1.e679cf4afd381p-1, 0x1.d7694cac78778p-1, 0x1.c6cee4501c38p-1, 0x1.b51b124f19d2ap-1, 0x1.a2afb0e4b21dap-1, 0x1.8fe11e81fb2c8p-1, 0x1.7cf76fca42a21p-1, 0x1.6a2f9fee1e9f1p-1, 0x1.57bcb68a281ap-1, 0x1.45c8dd971cc85p-1, 0x1.34766457f314ep-1, 0x1.23e0adca843b4p-1, 0x1.141d0a330e7dp-1, 0x1.053b7c17be46dp-1, 0x1.ee8ed3148f728p-2, 0x1.d49076018a317p-2, 0x1.bc83d26f1bb78p-2, 0x1.a66af7539f9e5p-2, 0x1.9242f241e79cp-2, 0x1.8004978092873p-2, 0x1.6fa533a564a86p-2, 0x1.611728f062f99p-2, 0x1.544a7a772fca9p-2, 0x1.492d46ebda6b9p-2, 0x1.3fac34a83ff66p-2, 0x1.37b2d0742f81bp-2, 0x1.312be0601d2eap-2, 0x1.2c01abe8934dap-2, 0x1.281e3a7bc4c47p-2, 0x1.256b8959b37f1p-2, 0x1.23d3b9bc83777p-2, 0x1.2341381054605p-2, 0x1.239edcf35d44fp-2, 0x1.24d808bce8a2bp-2, 0x1.26d8b9fda6f9dp-2, 0x1.298d9fb7d32c3p-2, 0x1.2ce4279fe386p-2, 0x1.30ca88e83e34dp-2, 0x1.352fcc46ceb09p-2, 0x1.3a03d0ab9c6a6p-2, 0x1.3f374ef72b364p-2, 0x1.44bbd973afc8p-2, 0x1.4a83dcfcc4a2ep-2, 0x1.50829bd23c249p-2, 0x1.56ac2daaee9f5p-2, 0x1.5cf57689bab41p-2, 0x1.635426869e7c7p-2, 0x1.69beade1f34dfp-2, 0x1.702c3bdb01ddcp-2, 0x1.7694b28090c25p-2, 0x1.7cf0a286a9cf1p-2, 0x1.8339421931d36p-2, 0x1.89686407be71bp-2, 0x1.8f7872a09e6e7p-2, 0x1.956463bd05dbp-2, 0x1.9b27b4fe06823p-2, 0x1.a0be60d43f09p-2, 0x1.a624d90124499p-2, 0x1.ab57fe7619b31p-2, 0x1.b0551a515b15cp-2, 0x1.b519d76b8bc87p-2, 0x1.b9a43bb41beb5p-2, 0x1.bdf2a25adaa71p-2, 0x1.c203b60710c43p-2, 0x1.c5d66b6670b59p-2, 0x1.c969fbea84a1dp-2, 0x1.ccbde0c0cad4ep-2, 0x1.cfd1ce076cbdbp-2, 0x1.d2a5ae408f867p-2, 0x1.d5399e0611597p-2, 0x1.d78de7ee7aa6ep-2, 0x1.d9a300a477648p-2, 0x1.db79831fc1fa6p-2, 0x1.dd122d0704e35p-2, 0x1.de6ddb381a055p-2, 0x1.df8d867c13c72p-2, 0x1.e0724070694efp-2, 0x1.e11d309e5123ep-2, 0x1.e18f91c87e44fp-2, 0x1.e1caaf6740da4p-2, 0x1.e1cfe34a431abp-2, 0x1.e1a093667c90fp-2, 0x1.e13e2fc1ae0f4p-2, 0x1.e0aa30816bd5p-2, 0x1.dfe6141e43857p-2, 0x1.def35db6b822fp-2, 0x1.ddd39388d16a9p-2, 0x1.dc883d8fee945p-2, 0x1.db12e44372956p-2, 0x1.d9750f783596bp-2, 0x1.d7b0455fbe6f5p-2, 0x1.d5c6099fbbf61p-2, 0x1.d3b7dc8312944p-2, 0x1.d1873a3f3af8ep-2, 0x1.cf359a4a129bdp-2, 0x1.ccc46ec2ed951p-2, 0x1.ca3523ebd5376p-2, 0x1.c7891fb12edep-2, 0x1.c4c1c141307e3p-2, 0x1.c1e060b3f92adp-2, 0x1.bee64ec032695p-2, 0x1.bbd4d47ccbe9cp-2, 0x1.b8ad33320c80ep-2, 0x1.b570a433b2397p-2, 0x1.b22058c42b998p-2, 0x1.aebd7a0529c01p-2, 0x1.ab4928eb5df2bp-2, 0x1.a7c47e393d173p-2, 0x1.a4308a853132bp-2, 0x1.a08e563cf9a0ep-2, 0x1.9cdee1b28704p-2, 0x1.9923252d97447p-2, 0x1.955c10fe8258ep-2, 0x1.918a8d948138cp-2, 0x1.8daf7b9a80e7p-2, 0x1.89cbb4156c33dp-2, 0x1.85e00880a57f7p-2, 0x1.81ed42f4dba22p-2, 0x1.7df4264eaa7d1p-2, 0x1.79f56e4f5c4b6p-2, 0x1.75f1cfc990281p-2, 0x1.71e9f8cc528dbp-2, 0x1.6dde90ca2afa2p-2, 0x1.69d038c3226fp-2, 0x1.65bf8b74e816ep-2, 0x1.61ad1d84400a4p-2, 0x1.5d997da553c4p-2, 0x1.598534c9f2fdfp-2, 0x1.5570c64de868cp-2, 0x1.515cb01e897e8p-2, 0x1.4d496ae48adf9p-2, 0x1.49376a2e8d679p-2, 0x1.45271c9b63218p-2, 0x1.4118ebfebe6dep-2, 0x1.3d0d3d88ec7e1p-2, 0x1.390471ef620a2p-2, 0x1.34fee591aea22p-2, 0x1.30fcf09bf78f4p-2, 0x1.2cfee72d1fe3ap-2, 0x1.29051979fe45fp-2, 0x1.250fd3ee54cbdp-2, 0x1.211f5f4da1aebp-2, 0x1.1d3400d54da69p-2, 0x1.194dfa5b640fap-2, 0x1.156d8a6b13462p-2, 0x1.1192ec63e3056p-2, 0x1.0dbe5897b2f43p-2, 0x1.09f00464b55f2p-2, 0x1.0628224e305d6p-2, 0x1.0266e2188296ep-2, 0x1.fd58e1c8840c4p-3, 0x1.f5f1f2889c474p-3, 0x1.ee9946a56e00cp-3, 0x1.e74f2990a41p-3, 0x1.e013e22b05403p-3, 0x1.d8e7b2ed1bd9cp-3, 0x1.d1cada09eb729p-3, 0x1.cabd9193a4ea9p-3, 0x1.c3c00fa606a49p-3, 0x1.bcd2868f579fap-3, 0x1.b5f524f0af653p-3, 0x1.af2815d8872ccp-3, 0x1.a86b80e24c966p-3, 0x1.a1bf8a5cc82e9p-3, 0x1.9b24536d44b66p-3, 0x1.9499fa27a8b7fp-3, 0x1.8e2099a23a09bp-3, 0x1.87b84a1181984p-3, 0x1.816120ebb203cp-3, 0x1.7b1b31065a169p-3, 0x1.74e68aa815e0cp-3, 0x1.6ec33b97d81a2p-3, 0x1.68b14f353336p-3, 0x1.62b0ce97755f3p-3, 0x1.5cc1c0a769238p-3, 0x1.56e42a2e63e6cp-3, 0x1.51180de24ac23p-3, 0x1.4b5d6c78a3783p-3, 0x1.45b444c01a313p-3, 0x1.401c93b84f6adp-3, 0x1.3a9654a18ae6dp-3, 0x1.352181070a7f4p-3, 0x1.2fbe10cb822b4p-3, 0x1.2a6bfa3c01d8ep-3, 0x1.252b3225f752fp-3, 0x1.1ffbabe93752bp-3, 0x1.1add5982e47fdp-3, 0x1.15d02b9562db1p-3, 0x1.10d41173ad93p-3, 0x1.0be8f932cef2ep-3, 0x1.070ecfbd61ed8p-3, 0x1.024580e1be80cp-3, 0x1.fb19eeb2a9e75p-4, 0x1.f1ca399cbeb3bp-4, 0x1.e89bb3ccd6adp-4, 0x1.df8e2ca579ef3p-4, 0x1.d6a171c1fdf28p-4, 0x1.cdd54f0c7dc3dp-4, 0x1.c5298ec848837p-4, 0x1.bc9df99b73fc7p-4, 0x1.b43256a1f9077p-4, 0x1.abe66b89e59e1p-4, 0x1.a3b9fcaf1e565p-4, 0x1.9baccd2da5e86p-4, 0x1.93be9eea857bp-4, 0x1.8bef329cf79d2p-4, 0x1.843e47de689c6p-4, 0x1.7cab9d40ca0c5p-4, 0x1.7536f064c4b25p-4, 0x1.6ddffe09ba72cp-4, 0x1.66a68217bcd45p-4, 0x1.5f8a37a89e4a5p-4, 0x1.588ad914a9769p-4, 0x1.51a820032de37p-4, 0x1.4ae1c57b7b0b3p-4, 0x1.443781f2d821cp-4, 0x1.3da90d570e5ebp-4, 0x1.37361f17e212bp-4, 0x1.30de6e31e9ffp-4, 0x1.2aa1b13aef831p-4, 0x1.247f9e6e6d65fp-4, 0x1.1e77ebb8cc55dp-4, 0x1.188a4ec0aabb2p-4, 0x1.12b67cf0191c7p-4, 0x1.0cfc2b7eb079cp-4, 0x1.075b0f7c1b015p-4, 0x1.01d2ddda0d643p-4, 0x1.f8c696e96ce7cp-5, 0x1.ee181a33e42f6p-5, 0x1.e399af20f7752p-5, 0x1.d94abf407c23p-5, 0x1.cf2ab437839f6p-5, 0x1.c538f7d30c5ffp-5, 0x1.bb74f417b0732p-5, 0x1.b1de134d5d522p-5, 0x1.a873c008e5c3fp-5, 0x1.9f356536716a4p-5, 0x1.96226e26e1d2dp-5, 0x1.8d3a469fcb3e3p-5, 0x1.847c5aeb7ea4p-5, 0x1.7be817e62f156p-5, 0x1.737ceb0738aefp-5, 0x1.6b3a426801ed6p-5, 0x1.631f8cca801e9p-5, 0x1.5b2c39a229e26p-5, 0x1.535fb91fe9647p-5, 0x1.4bb97c3efcc8ap-5, 0x1.4438f4d082b6p-5, 0x1.3cdd95840b619p-5, 0x1.35a6d1ed3fb04p-5, 0x1.2e941e8825b0cp-5, 0x1.27a4f0be2a1cfp-5, 0x1.20d8beed1f3ccp-5, 0x1.1a2f006ff2e22p-5, 0x1.13a72da7c256cp-5, 0x1.0d40c003b1469p-5, 0x1.06fb3206aa913p-5, 0x1.00d5ff4b3c441p-5, 0x1.f5a1490d34fc7p-6, 0x1.e9d53f1823b97p-6, 0x1.de46dea31ce7fp-6, 0x1.d2f527ea0300ap-6, 0x1.c7df1d838237p-6, 0x1.bd03c46a50622p-6, 0x1.b26224040fb94p-6, 0x1.a7f94626736cep-6, 0x1.9dc8371bf67a4p-6, 0x1.93ce05a9746p-6, 0x1.8a09c3142aadp-6, 0x1.807a832843c72p-6, 0x1.771f5c3e1dff9p-6, 0x1.6df7673d07bep-6, 0x1.6501bf9b8963ep-6, 0x1.5c3d835ec156fp-6, 0x1.53a9d31b0526p-6, 0x1.4b45d1f7788d1p-6, 0x1.4310a5b4fac02p-6, 0x1.3b0976b6d28d9p-6, 0x1.332f700a2d52cp-6, 0x1.2b81bf68ddf7cp-6, 0x1.23ff953587fecp-6, 0x1.1ca82471aac29p-6, 0x1.157aa2b11b768p-6, 0x1.0e7648101a3f1p-6, 0x1.079a4f30edfc6p-6, 0x1.00e5f54367781p-6, 0x1.f4b0f42970152p-7, 0x1.e7e240444f371p-7, 0x1.db5e594d6b06ep-7, 0x1.cf23cf38cd987p-7, 0x1.c331375b5f71dp-7, 0x1.b7852c3294fd5p-7, 0x1.ac1e4d20d2a41p-7, 0x1.a0fb3e35bab05p-7, 0x1.961aa8181c19cp-7, 0x1.8b7b381d6a9adp-7, 0x1.811ba08a87321p-7, 0x1.76fa98e8a6395p-7, 0x1.6d16de4f1bff8p-7, 0x1.636f3381fbdc5p-7, 0x1.5a0260d0cd20cp-7, 0x1.50cf33b5b42ep-7, 0x1.47d47e4cc17ddp-7, 0x1.3f1116cc5bf8p-7, 0x1.3683d72c7e095p-7, 0x1.2e2b9d1ef89ddp-7, 0x1.26074a620ccbdp-7, 0x1.1e15c557d3126p-7, 0x1.1655f9b240d06p-7, 0x1.0ec6d8f7b50f3p-7, 0x1.07675aaae9cb8p-7, 0x1.00367bfbc0e45p-7, 0x1.f2667e1846a1fp-8, 0x1.e4b953f287c97p-8, 0x1.d7638be3f8d0dp-8, 0x1.ca633d489307ap-8, 0x1.bdb6846a57405p-8, 0x1.b15b8399863e8p-8, 0x1.a550652151f27p-8, 0x1.99935d820e73fp-8, 0x1.8e22ad3980f0ap-8, 0x1.82fca17c08e73p-8, 0x1.781f938e73b6cp-8, 0x1.6d89e6da68893p-8, 0x1.633a063e163c2p-8, 0x1.592e615a6fb5dp-8, 0x1.4f656aaa3d526p-8, 0x1.45dd96f425f76p-8, 0x1.3c955e43577cdp-8, 0x1.338b3e1c011d8p-8, 0x1.2abdbc401af5fp-8, 0x1.222b692d5d65ap-8, 0x1.19d2e192c5c51p-8, 0x1.11b2ce4a5fc7cp-8, 0x1.09c9e2d687325p-8, 0x1.0216dad21701dp-8, 0x1.f530ee24a0cd4p-9, 0x1.e69af6991c4e4p-9, 0x1.d86959c97ee82p-9, 0x1.ca99a6508f894p-9, 0x1.bd29718caeff8p-9, 0x1.b0165beedb2a3p-9, 0x1.a35e153614a7cp-9, 0x1.96fe5f45b8952p-9, 0x1.8af50ed11a5a7p-9, 0x1.7f4009ce813efp-9, 0x1.73dd445449b1cp-9, 0x1.68cabcfa5022p-9, 0x1.5e0679f781463p-9, 0x1.538e87eb67a6fp-9, 0x1.4960faa83da77p-9, 0x1.3f7bef8f2e092p-9, 0x1.35dd906d3b425p-9, 0x1.2c84158b83d58p-9, 0x1.236dc5ef7bd5bp-9, 0x1.1a98f57ee32eap-9, 0x1.120401879e0a3p-9, 0x1.09ad4cb9507abp-9, 0x1.01933bc74c068p-9, 0x1.f368677f69328p-10, 0x1.e41d3597c4629p-10, 0x1.d541b7133f4e9p-10, 0x1.c6d2d4f664c5dp-10, 0x1.b8cd987be7c17p-10, 0x1.ab2f353a4e0ap-10, 0x1.9df50d304d85dp-10, 0x1.911cac8af2dc2p-10, 0x1.84a3bdda0639ap-10, 0x1.7887fa2975692p-10, 0x1.6cc719a087cc7p-10, 0x1.615ec8477e988p-10, 0x1.564ca05af59acp-10, 0x1.4b8e29ed07d06p-10, 0x1.4120df894c1adp-10, 0x1.37023875f4e3ep-10, 0x1.2d2fb8f6c42afp-10, 0x1.23a7066916033p-10, 0x1.1a65f950ae301p-10, 0x1.116aa5b9a87cbp-10, 0x1.08b3554109f27p-10, 0x1.003e74d0bed47p-10, 0x1.f014fcbf2b02ap-11, 0x1.e02bd0838be2ap-11, 0x1.d0be3d8b31aa8p-11, 0x1.c1c90af27aebp-11, 0x1.b348f1d4fa7a3p-11, 0x1.a53a966a697afp-11, 0x1.979a78d161769p-11, 0x1.8a64edbc03772p-11, 0x1.7d9631ab31718p-11, 0x1.712a9a3974d0dp-11, 0x1.651ed0d5d2508p-11, 0x1.596ff4e1d887ep-11, 0x1.4e1b8ee4cf5afp-11, 0x1.431f5dec2aa16p-11, 0x1.3879236382a01p-11, 0x1.2e26916b788c4p-11, 0x1.242562edddcc8p-11, 0x1.1a73833317711p-11, 0x1.110f1f9ef0df8p-11, 0x1.07f68f4a7c0c1p-11, 0x1.fe50333122d1bp-12, 0x1.ed43757928ebfp-12, 0x1.dcc210a9a7b91p-12, 0x1.ccc68fb1d805ep-12, 0x1.bd4b5acf45b27p-12, 0x1.ae4b43dce82f5p-12, 0x1.9fc1d2c832896p-12, 0x1.91ab289578993p-12, 0x1.84039b2d75635p-12, 0x1.76c76bdf24bc1p-12, 0x1.69f2ea4d0b4dp-12, 0x1.5d82eff6db511p-12, 0x1.517544f3aeaedp-12, 0x1.45c88e6dc0383p-12, 0x1.3a7bcd24363b4p-12, 0x1.2f8dc3a928274p-12, 0x1.24fc993d52cb7p-12, 0x1.1ac5cace2eed9p-12, 0x1.10e63e66582f3p-12, 0x1.075a54ffc8281p-12, 0x1.fc3c19b511037p-13, 0x1.ea5aa1c64988p-13, 0x1.d908ad11342adp-13, 0x1.c83f88c00b6fcp-13, 0x1.b7f9307839a32p-13, 0x1.a8303e9455cf6p-13, 0x1.98e0763ea3818p-13, 0x1.8a075a720e165p-13, 0x1.7ba3f6c866774p-13, 0x1.6db5e3a1b050cp-13, 0x1.603c4357ba6cbp-13, 0x1.533549fc07b3p-13, 0x1.469e78ab2bedp-13, 0x1.3a7534a885727p-13, 0x1.2eb6eb36fc101p-13, 0x1.23606041522acp-13, 0x1.186ce7c499851p-13, 0x1.0dd6853f8c745p-13, 0x1.0396d7846c91p-13, 0x1.f34ff6330c599p-14, 0x1.e00a15273a1b4p-14, 0x1.cd54f7de7227cp-14, 0x1.bb2cd5c24a742p-14, 0x1.a990ad1d0f2f3p-14, 0x1.9880478873d5fp-14, 0x1.87faa9a38efd2p-14, 0x1.77fe2587173f5p-14, 0x1.68886ef43da75p-14, 0x1.599636669e178p-14, 0x1.4b23c0106b7c4p-14, 0x1.3d2dd57bd33c6p-14, 0x1.2fb17dae3d3fdp-14, 0x1.22ab2a3b21d18p-14, 0x1.16168f8a6ee8ep-14, 0x1.09eed2da8cb8dp-14, 0x1.fc5c56e36b025p-15, 0x1.e59a3f22fe517p-15, 0x1.cf869db5e7512p-15, 0x1.ba1576ded69d3p-15, 0x1.a5443ee513c1p-15, 0x1.9115a2212b434p-15, 0x1.7d897887c0656p-15, 0x1.6a9c0cdbe8f4p-15, 0x1.584b25f9f5dabp-15, 0x1.469541323caaep-15, 0x1.357627d2c4b5cp-15, 0x1.24e8ba7080f79p-15, 0x1.14e7f9eef295dp-15, 0x1.056d30ff62dedp-15, 0x1.ece252324c707p-16, 0x1.cfdf417f02185p-16, 0x1.b3d040177c109p-16, 0x1.98b71b87445bfp-16, 0x1.7e91e3a3a5d43p-16, 0x1.6554924922e17p-16, 0x1.4ce67972a2f81p-16, 0x1.352f755efee5p-16, 0x1.1e2a111e6c564p-16, 0x1.07dc2f9b2de31p-16, 0x1.e488a511bc388p-17, 0x1.babbc49808a67p-17, 0x1.92553c6d9f923p-17, 0x1.6b51e3d748869p-17, 0x1.45a4cfa20fb41p-17, 0x1.21437a910e482p-17, 0x1.fc3adfe1fb859p-18, 0x1.b8381e49f9337p-18, 0x1.765b732d15a8dp-18, 0x1.36939ae1bc70cp-18, 0x1.f1bb26a1d8517p-19, 0x1.7a80334430288p-19, 0x1.078a789f34a07p-19, 0x1.31cf1018543f1p-20, 0x1.748111199b7f7p-22, -0x1.be577ca61f8fcp-22, -0x1.358cc39b7b05fp-20, -0x1.f5687eb62bbcdp-20, -0x1.5775090c1e058p-19, -0x1.b0fd784821173p-19, -0x1.03a9d6f31f2e5p-18, -0x1.2d37e75f99cf8p-18, -0x1.552d7bfb1acccp-18, -0x1.7b913c3e67633p-18, -0x1.a07b0b8ef3ea7p-18, -0x1.c40a80b60b2eap-18, -0x1.e650c7b1beccap-18, -0x1.03a97543a9f0dp-17, -0x1.1389f6f27164cp-17, -0x1.22cc9ae585dedp-17, -0x1.3174a8c804ffcp-17, -0x1.3f843c3206819p-17, -0x1.4cfb7379d8c24p-17, -0x1.59d97e8ab2037p-17, -0x1.661c36c8643f7p-17, -0x1.71c3108591b72p-17, -0x1.7ce0a4baa86aep-17, -0x1.878c9830034cdp-17, -0x1.91c12af630dd3p-17, -0x1.9b7b0eed4e424p-17, -0x1.a4bf4a2e59bb8p-17, -0x1.ad8774ec09f78p-17, -0x1.b5d083e22f33ep-17, -0x1.bda5279a71a2bp-17, -0x1.c5100b78f809dp-17, -0x1.cc14647d9f17ap-17, -0x1.d2b276d35399ap-17, -0x1.d8eade610bc9ep-17, -0x1.debefd245a33cp-17, -0x1.e430c6a682b8dp-17, -0x1.e942a660080ecp-17, -0x1.edf756229283cp-17, -0x1.f251475e3b214p-17, -0x1.f651ef9ebf589p-17, -0x1.f9fa6c821c5e7p-17, -0x1.fd4bb273c9446p-17, -0x1.0020cf4446ff3p-16, -0x1.016e300a12b9ap-16, -0x1.0296caeba0f3ep-16, -0x1.039b2f5987d3bp-16, -0x1.047cdbdc1e2afp-16, -0x1.053946054eb16p-16, -0x1.05cc944443898p-16, -0x1.063ba3d40ad63p-16, -0x1.0689b75d5c8acp-16, -0x1.06b713a2afd2fp-16, -0x1.06c3b512e35ccp-16, -0x1.06b000c32c584p-16, -0x1.067c9d2106421p-16, -0x1.062a432179079p-16, -0x1.05b9a5ec46adbp-16, -0x1.052b704aedaefp-16, -0x1.04805460f27e7p-16, -0x1.03b91d11bf571p-16, -0x1.02d6a361feea9p-16, -0x1.01d9a1467232p-16, -0x1.00c2b5a746657p-16, -0x1.ff25441da805cp-17, -0x1.fc9192659a4a6p-17, -0x1.f9c64f40fcdc7p-17, -0x1.f6cc0a958addep-17, -0x1.f3a9b9189e5aep-17, -0x1.f05e07ef6f101p-17, -0x1.ece0641bcdca1p-17, -0x1.e936d3bc28abep-17, -0x1.e565bfd3746fcp-17, -0x1.e16d39839e30fp-17, -0x1.dd4d7d4cc213cp-17, -0x1.d9075817b1df9p-17, -0x1.d49bd149eff4fp-17, -0x1.d00bff78d4229p-17, -0x1.cb58f8049fc56p-17, -0x1.c683c6340305ap-17, -0x1.c18d65c383e45p-17, -0x1.bc76c60df4efcp-17, -0x1.b740da2c441d5p-17, -0x1.b1ecacc7f6105p-17, -0x1.ac7b6039994a7p-17, -0x1.a6ee0a5fb1504p-17, -0x1.a14597948dd69p-17, -0x1.9b82fdf1f6245p-17, -0x1.95a68ccf8b175p-17, -0x1.8faf324fa730fp-17, -0x1.899f8f05e126ap-17, -0x1.837c54d3dee3bp-17, -0x1.7d423a5a8ffa2p-17, -0x1.76f12e116b6e7p-17, -0x1.708cb69208209p-17, -0x1.6a154933a6785p-17, -0x1.638b409868d8ep-17, -0x1.5cef4f3851f5p-17, -0x1.5642418800c31p-17, -0x1.4f84e6de601fbp-17, -0x1.48b80ca558962p-17, -0x1.41dc7da337e54p-17, -0x1.3af301473cd29p-17, -0x1.33fc5a2769715p-17, -0x1.2cf944603d97ap-17, -0x1.25ea764632a3ep-17, -0x1.1ed0a5eac61fp-17, -0x1.17ac907e87a75p-17, -0x1.107efb2e540c1p-17, -0x1.0948a777a62f6p-17, -0x1.020a422d9ffc5p-17, -0x1.f588e35132d1cp-18, -0x1.e6efa7e0a772fp-18, -0x1.d849014c187fp-18, -0x1.c997ea18a61f4p-18, -0x1.badd6f886e74bp-18, -0x1.ac1a00d813ddp-18, -0x1.9d4f18e4182c1p-18, -0x1.8e7ef18e9522cp-18, -0x1.7faa3e61b8249p-18, -0x1.70d1f9fc17a29p-18, -0x1.61f74e24824aep-18, -0x1.531b673b5c334p-18, -0x1.443f6c385f5ep-18, -0x1.35647e9442a4bp-18, -0x1.268bbae9c3053p-18, -0x1.17b6393ef6ecap-18, -0x1.08e50cb762a7bp-18, -0x1.f432857684c32p-19, -0x1.d6a7c3566f8b5p-19, -0x1.b92bd148ba742p-19, -0x1.9bc0a56350732p-19, -0x1.7e68385acec05p-19, -0x1.612488b79ce84p-19, -0x1.43f78e987af1bp-19, -0x1.26e31f0760ea7p-19, -0x1.09e8e8426aa2dp-19, -0x1.da15b91e06429p-20, -0x1.a094b4a5ac1edp-20, -0x1.6752c4dc19fbcp-20, -0x1.2e5330d5b73f3p-20, -0x1.eb2fc7f221cd8p-21, -0x1.7a4aee8bf8cf6p-21, -0x1.0a0010c795d34p-21, -0x1.34a7a255d2002p-22, -0x1.5a5af5e256266p-24, 0x1.0c4d8e18ca4edp-23, 0x1.61854f91e5e89p-22, 0x1.1dbccc34aaedp-21, 0x1.89fc56e1f143p-21, 0x1.f57bf1c93bb3p-21, 0x1.301b3462aaeebp-20, 0x1.651354731e7cdp-20, 0x1.99a3e08e19032p-20, 0x1.cdca71a7002b7p-20, 0x1.00c259e17d3e9p-19, 0x1.1a6833dba4213p-19, 0x1.33d5b09d29e21p-19, 0x1.4d09bf8f534b6p-19, 0x1.660352ad38f05p-19, 0x1.7ec16050505a5p-19, 0x1.9742eade67339p-19, 0x1.af870e6495072p-19, 0x1.c78cef41cc78bp-19, 0x1.df5367d00b609p-19, 0x1.f6d9c6d970edbp-19, 0x1.070fd4a4f2603p-18, 0x1.1291d59a5ac6cp-18, 0x1.1df2b83aeb1e3p-18, 0x1.29320adb1a27cp-18, 0x1.344f4a06c3e96p-18, 0x1.3f4a43ace572cp-18, 0x1.4a22a86aa7b36p-18, 0x1.54d8273cb8049p-18, 0x1.5f6a737d9f956p-18, 0x1.69d944ad8a0e4p-18, 0x1.7424560c11746p-18, 0x1.7e4b6660010e3p-18, 0x1.884e37d36b6a6p-18, 0x1.922c8fe5ff8bcp-18, 0x1.9be637654fa6cp-18, 0x1.a57afa6c79382p-18, 0x1.aeeaa8650a73ap-18, 0x1.b835142ac100ep-18, 0x1.c15a14275bddap-18, 0x1.ca59821251b35p-18, 0x1.d3333a288ebeap-18, 0x1.dbe71ab81fb1cp-18, 0x1.e4750487b4bdap-18, 0x1.ecdcdc23a129ep-18, 0x1.f51e8cca04fddp-18, 0x1.fd3a059f558d2p-18, 0x1.02979302e1511p-17, 0x1.067ee4a7642a7p-17, 0x1.0a532333059c5p-17, 0x1.0e14167a12cdap-17, 0x1.11c1c44218647p-17, 0x1.155c43a7cc3e2p-17, 0x1.18e3750aebe9cp-17, 0x1.1c5764bea0119p-17, 0x1.1fb815a63f38ap-17, 0x1.23058a0460f18p-17, 0x1.263fc58e01af2p-17, 0x1.2966cd5090361p-17, 0x1.2c7aa793a582fp-17, 0x1.2f7b5bc841791p-17, 0x1.3268f2817f707p-17, 0x1.354375698f6d3p-17, 0x1.380aef3cd9d54p-17, 0x1.3abf6bc698d69p-17, 0x1.3d60f7dbc30b1p-17, 0x1.3fefa155fe096p-17, 0x1.426b77128583fp-17, 0x1.44d488f57bb05p-17, 0x1.472ae7e691aafp-17, 0x1.496ea5b3d761ap-17, 0x1.4b9fd4f133e1p-17, 0x1.4dbe88faa41p-17, 0x1.4fcad6057477bp-17, 0x1.51c4d1686c40bp-17, 0x1.53ac920549cb1p-17, 0x1.55822f0cc3829p-17, 0x1.5745bbb0a7527p-17, 0x1.58f750b2f99a7p-17, 0x1.5a9719c60e493p-17, 0x1.5c25154de53a6p-17, 0x1.5da16bb031b2cp-17, 0x1.5f0c3c061df38p-17, 0x1.6065993787d11p-17, 0x1.61ada436f4ce4p-17, 0x1.62e47a63f1219p-17, 0x1.640a39887a4e6p-17, 0x1.651f0021eeb5p-17, 0x1.6622ed4c1dee2p-17, 0x1.671620b8ca17ep-17, 0x1.67f8baa5c52c3p-17, 0x1.68cadbd48f20ep-17, 0x1.698ca5874d1fap-17, 0x1.6a3e398e92e79p-17, 0x1.6adfba2580e66p-17, 0x1.6b7149ff37219p-17, 0x1.6bf30c4112ea5p-17, }}, 
      {{0x1.a32dd0cde27dbp-1, 0x1.c369a812b4b84p-1, 0x1.ed5e94b4969d2p-1, 0x1.0d6379b5aaeacp+0, 0x1.23b91419409ffp+0, 0x1.38582ffb00c63p+0, 0x1.4a72a337580fbp+0, 0x1.599c261f1a63p+0, 0x1.65ad3858d77c7p+0, 0x1.6ead7c2299ecbp+0, 0x1.74c3a959ed679p+0, 0x1.7829d544b4ff7p+0, 0x1.7924fce2fa2f2p+0, 0x1.77fefeeec47p+0, 0x1.750267f5bbf7bp+0, 0x1.7077996d48fap+0, 0x1.6aa2f10ae94abp+0, 0x1.63c3ab5ceb722p+0, 0x1.5c134d45f3ed5p+0, 0x1.53c56cddfe83bp+0, 0x1.4b07bc2c31411p+0, 0x1.42023fce3ed3fp+0, 0x1.38d7a17d8a744p+0, 0x1.2fa592d4415ecp+0, 0x1.2685380e73652p+0, 0x1.1d8b95008434dp+0, 0x1.14c9f84fc4b76p+0, 0x1.0c4e625179aa9p+0, 0x1.0423e5efbb9d8p+0, 0x1.f8a6055a11333p-1, 0x1.e9c3eec5c0536p-1, 0x1.dbaa1b7118be2p-1, 0x1.ce5dbd0fd9fecp-1, 0x1.c1e11f1503a29p-1, 0x1.b6341574575cap-1, 0x1.ab545fad5d3bbp-1, 0x1.a13e010eb7e51p-1, 0x1.97eb8f0ff5774p-1, 0x1.8f5676a22328dp-1, 0x1.8777394434418p-1, 0x1.8045a2a243963p-1, 0x1.79b8f771c378p-1, 0x1.73c81e398eba4p-1, 0x1.6e69c29e24d81p-1, 0x1.699473bf7fb4cp-1, 0x1.653ebe32f34e5p-1, 0x1.615f4209e645cp-1, 0x1.5decc55242c23p-1, 0x1.5ade437d60a42p-1, 0x1.582af9f83abe3p-1, 0x1.55ca725498475p-1, 0x1.53b48a493bbdbp-1, 0x1.51e179be68574p-1, 0x1.5049d750be64p-1, 0x1.4ee69b23b5df7p-1, 0x1.4db120e00a614p-1, 0x1.4ca327ecd243bp-1, 0x1.4bb6d3c75487ap-1, 0x1.4ae6aa1551c53p-1, 0x1.4a2d921368bf9p-1, 0x1.4986d0e693d83p-1, 0x1.48ee089b7ee7p-1, 0x1.485f333e843f9p-1, 0x1.47d6a15e1e7eep-1, 0x1.4750f4d5251b2p-1, 0x1.46cb1e3eef8ccp-1, 0x1.464258a6b264cp-1, 0x1.45b42568b1cc5p-1, 0x1.451e4937ffb6fp-1, 0x1.447ec6f33459ep-1, 0x1.43d3dd35c4415p-1, 0x1.431c018b4849dp-1, 0x1.4255dd8367c5p-1, 0x1.41804ae82f795p-1, 0x1.409a50620a53p-1, 0x1.3fa31e587eda8p-1, 0x1.3e9a0bd31cd35p-1, 0x1.3d7e93ae4000fp-1, 0x1.3c5051e111756p-1, 0x1.3b0f00ea2543bp-1, 0x1.39ba7755524a2p-1, 0x1.3852a55eff88ap-1, 0x1.36d792b96716p-1, 0x1.35495c7489662p-1, 0x1.33a83309f8346p-1, 0x1.31f4588485009p-1, 0x1.302e1ec13a918p-1, 0x1.2e55e5c2b2705p-1, 0x1.2c6c1a170dd54p-1, 0x1.2a71335271d84p-1, 0x1.2865b29f8e539p-1, 0x1.264a216bcba66p-1, 0x1.241f102d84585p-1, 0x1.21e515451282p-1, 0x1.1f9ccbf5b7ad3p-1, 0x1.1d46d37170efap-1, 0x1.1ae3cdf6bda91p-1, 0x1.18745ffc70c81p-1, 0x1.15f92f6b407dbp-1, 0x1.1372e2e6c4b61p-1, 0x1.10e22124d2549p-1, 0x1.0e479055c7caep-1, 0x1.0ba3d59e1add7p-1, 0x1.08f7949fb3f32p-1, 0x1.06436f1319933p-1, 0x1.0388046e99e07p-1, 0x1.00c5f198490cep-1, 0x1.fbfba14442366p-2, 0x1.f660711cc8dc8p-2, 0x1.f0bb7a341e305p-2, 0x1.eb0ddd1bb6268p-2, 0x1.e558b32a938d7p-2, 0x1.df9d0e362b37ap-2, 0x1.d9dbf8572dad1p-2, 0x1.d41673bb7801bp-2, 0x1.ce4d7a833128fp-2, 0x1.c881fea8c2696p-2, 0x1.c2b4e9f534913p-2, 0x1.bce71dfd2c8aep-2, 0x1.b719742534ad6p-2, 0x1.b14cbdaf4c8dap-2, 0x1.ab81c3cc51f96p-2, 0x1.a5b947b1af4cdp-2, 0x1.9ff402b4c174p-2, 0x1.9a32a666c5617p-2, 0x1.9475dcb375d08p-2, 0x1.8ebe480416d8ap-2, 0x1.890c83614e142p-2, 0x1.8361229736153p-2, 0x1.7dbcb25e2f474p-2, 0x1.781fb88231bep-2, 0x1.728ab40adc21dp-2, 0x1.6cfe1d68f5acap-2, 0x1.677a66a30f685p-2, 0x1.61fffb8038d8bp-2, 0x1.5c8f41b7b2479p-2, 0x1.572899214a262p-2, 0x1.51cc5be1572b8p-2, 0x1.4c7ade97a527bp-2, 0x1.473470904995p-2, 0x1.41f95bf0792cfp-2, 0x1.3cc9e5e299561p-2, 0x1.37a64ec468dp-2, 0x1.328ed2537d523p-2, 0x1.2d83a7d6f4b9fp-2, 0x1.288502490c459p-2, 0x1.2393108157e6p-2, 0x1.1eadfd5cd8354p-2, 0x1.19d5efe3eb1bdp-2, 0x1.150b0b7039d23p-2, 0x1.104d6fd2ee931p-2, 0x1.0b9d39786981dp-2, 0x1.06fa818a468e5p-2, 0x1.02655e121cf26p-2, 0x1.fbbbc436ec43dp-3, 0x1.f2c83ba5d9b4ap-3, 0x1.e9f03d4a77d91p-3, 0x1.e133debd5f163p-3, 0x1.d89330906221dp-3, 0x1.d00e3e8530addp-3, 0x1.c7a50fc5dcfa9p-3, 0x1.bf57a71c31f29p-3, 0x1.b7260322df412p-3, 0x1.af101e751dfc4p-3, 0x1.a715efe0e9e3fp-3, 0x1.9f376a9721318p-3, 0x1.97747e55cc2efp-3, 0x1.8fcd1790cf4ebp-3, 0x1.88411f9cc3e62p-3, 0x1.80d07cd8e52b8p-3, 0x1.797b12d4c348dp-3, 0x1.7240c272d9817p-3, 0x1.6b216a0b415eep-3, 0x1.641ce58f69596p-3, 0x1.5d330eacbd765p-3, 0x1.5663bceb8bd9cp-3, 0x1.4faec5caa06f3p-3, 0x1.4913fcdb6d4fcp-3, 0x1.429333e0db181p-3, 0x1.3c2c3aece1dcfp-3, 0x1.35dee078b99e1p-3, 0x1.2faaf179ea47ap-3, 0x1.2990397a394b7p-3, 0x1.238e82b2d2f0ep-3, 0x1.1da59624b85a6p-3, 0x1.17d53bab3bd1dp-3, 0x1.121d3a0cc8cbcp-3, 0x1.0c7d570f49436p-3, 0x1.06f5578f0c535p-3, 0x1.0184ff92d0f8ap-3, 0x1.f85824b5ef68dp-4, 0x1.edd4a4de8e48p-4, 0x1.e37f035e24561p-4, 0x1.d956c2c707bdcp-4, 0x1.cf5b64a16d672p-4, 0x1.c58c6986e415dp-4, 0x1.bbe951393f67p-4, 0x1.b2719aba0dca6p-4, 0x1.a924c465c9bccp-4, 0x1.a0024c1113bcdp-4, 0x1.9709af2323101p-4, 0x1.8e3a6aaa4a15ap-4, 0x1.8593fb6c8b71ep-4, 0x1.7d15ddf9a4b58p-4, 0x1.74bf8ec1ef81cp-4, 0x1.6c908a2f0fc49p-4, 0x1.64884cb873d23p-4, 0x1.5ca652f10792ep-4, 0x1.54ea199239c53p-4, 0x1.4d531d8ab496fp-4, 0x1.45e0dc125c71dp-4, 0x1.3e92d2be83075p-4, 0x1.37687f906960dp-4, 0x1.306160fdc141dp-4, 0x1.297cf5f895d78p-4, 0x1.22babdfbb61a2p-4, 0x1.1c1a391b31b16p-4, 0x1.159ae813a039fp-4, 0x1.0f3c4c540712cp-4, 0x1.08fde80390aeap-4, 0x1.02df3e079c8fcp-4, 0x1.f9bfa41b1833dp-5, 0x1.edfe512e4b20dp-5, 0x1.e2798e0b157cbp-5, 0x1.d730674053e68p-5, 0x1.cc21eb31ad5d3p-5, 0x1.c14d2a20c84p-5, 0x1.b6b1363b9b763p-5, 0x1.ac4d23adb0e37p-5, 0x1.a22008af28f1ep-5, 0x1.9828fd8e353d2p-5, 0x1.8e671cb4cdc6ep-5, 0x1.84d982af0fc2bp-5, 0x1.7b7f4e35054e6p-5, 0x1.7257a03661229p-5, 0x1.69619be464e72p-5, 0x1.609c66b7b28e3p-5, 0x1.580728734aa4ap-5, 0x1.4fa10b27b7525p-5, 0x1.47693b38d7053p-5, 0x1.3f5ee765aaea6p-5, 0x1.378140cf432afp-5, 0x1.2fcf7afc5ebb4p-5, 0x1.2848cbd9da8a4p-5, 0x1.20ec6bba5281bp-5, 0x1.19b995579b67bp-5, 0x1.12af85d6c5327p-5, 0x1.0bcd7cccf7271p-5, 0x1.0512bc427f0dcp-5, 0x1.fcfd11654d3ep-6, 0x1.f02052123d80dp-6, 0x1.e38dcd3e8e70bp-6, 0x1.d7441a76da547p-6, 0x1.cb41d6246bad8p-6, 0x1.bf85a1919cc9p-6, 0x1.b40e22eb3bd0ap-6, 0x1.a8da053ca0bd9p-6, 0x1.9de7f8673b9e2p-6, 0x1.9336b11985ef8p-6, 0x1.88c4e8c8788b1p-6, 0x1.7e915dacc0b41p-6, 0x1.749ad2c221c35p-6, 0x1.6ae00fc5d492p-6, 0x1.615fe13154cd3p-6, 0x1.581918313c7f2p-6, 0x1.4f0a8a9a097f1p-6, 0x1.463312dd8ddffp-6, 0x1.3d919002d7946p-6, 0x1.3524e5a086d64p-6, 0x1.2cebfbd80aa8ep-6, 0x1.24e5bf4f8324dp-6, 0x1.1d1121291af6cp-6, 0x1.156d16f7f59fbp-6, 0x1.0df89ab41a0bdp-6, 0x1.06b2aaaeee1f6p-6, 0x1.ff349312665c5p-7, 0x1.f15cfc54f0369p-7, 0x1.e3dca7719b3d6p-7, 0x1.d6b1b31f5750bp-7, 0x1.c9da466adcf32p-7, 0x1.bd54909f3c3ep-7, 0x1.b11ec92daf3f4p-7, 0x1.a5372f96548dep-7, 0x1.999c0b52cc9a3p-7, 0x1.8e4babc1fff24p-7, 0x1.834468133b3b6p-7, 0x1.78849f2f5625bp-7, 0x1.6e0ab79f90e74p-7, 0x1.63d51f73096dcp-7, 0x1.59e24c250d85ap-7, 0x1.5030ba85e381cp-7, 0x1.46beeea70086dp-7, 0x1.3d8b73c96ef9dp-7, 0x1.3494dc4bf9adbp-7, 0x1.2bd9c195d3312p-7, 0x1.2358c3fc04ab5p-7, 0x1.1b108aa1ba16ep-7, 0x1.12ffc35658ddfp-7, 0x1.0b252275a0983p-7, 0x1.037f62ce0c896p-7, 0x1.f81a8b1f357d9p-8, 0x1.e99b24837deap-8, 0x1.db7e2d7871493p-8, 0x1.cdc14e38767cp-8, 0x1.c0623b6059f1ap-8, 0x1.b35eb5addadadp-8, 0x1.a6b489a926764p-8, 0x1.9a618f45b378ap-8, 0x1.8e63a98cd371bp-8, 0x1.82b8c6630e0c5p-8, 0x1.775ede715e867p-8, 0x1.6c53f52f06f39p-8, 0x1.619618fc0ab7ep-8, 0x1.572363339b354p-8, 0x1.4cf9f81d964b8p-8, 0x1.431806b00c5fcp-8, 0x1.397bc820fb843p-8, 0x1.30237f5a7cdc5p-8, 0x1.270d787055815p-8, 0x1.1e3808396835fp-8, 0x1.15a18c26d4299p-8, 0x1.0d486a5edb88dp-8, 0x1.052b120bd3b4cp-8, 0x1.fa8ff774de4b9p-9, 0x1.eb3b53361c521p-9, 0x1.dc554efeae046p-9, 0x1.cddb1500fe808p-9, 0x1.bfc9e0ae6961ap-9, 0x1.b21efd122c785p-9, 0x1.a4d7c340da753p-9, 0x1.97f199482fb83p-9, 0x1.8b69f1e93b065p-9, 0x1.7f3e4d289bad6p-9, 0x1.736c397daf6c9p-9, 0x1.67f155339e622p-9, 0x1.5ccb4f784afaep-9, 0x1.51f7e8aa60fb9p-9, 0x1.4774f1af86819p-9, 0x1.3d404a6554cd8p-9, 0x1.3357df8aaaec1p-9, 0x1.29b9a8aa6e499p-9, 0x1.2063a6958ee62p-9, 0x1.1753e2d095aebp-9, 0x1.0e887011ea336p-9, 0x1.05ff6b9a12c7bp-9, 0x1.fb6dfddd6d70ap-10, 0x1.eb5ac2c7d8491p-10, 0x1.dbc1b1df40a0cp-10, 0x1.cc9f73f36f516p-10, 0x1.bdf0cc56fee44p-10, 0x1.afb29517ce187p-10, 0x1.a1e1bad414f4p-10, 0x1.947b394789deep-10, 0x1.877c196a6a58fp-10, 0x1.7ae1717887cb7p-10, 0x1.6ea8669a24d83p-10, 0x1.62ce2f6fdf3d5p-10, 0x1.57501689d419ep-10, 0x1.4c2b7befc90b8p-10, 0x1.415dd53f9c89p-10, 0x1.36e4ac61cf4fap-10, 0x1.2cbd9d42d9ca6p-10, 0x1.22e6534b08336p-10, 0x1.195c875cf560dp-10, 0x1.101dfeedf8c32p-10, 0x1.07288c662d4bp-10, 0x1.fcf420f21c9f9p-11, 0x1.ec20f77d9d8f8p-11, 0x1.dbd39f67ee857p-11, 0x1.cc083cfced7bfp-11, 0x1.bcbb12a65d96dp-11, 0x1.ade87bbccd8b1p-11, 0x1.9f8ce6d4bd70dp-11, 0x1.91a4d1237c7efp-11, 0x1.842cc44a0b761p-11, 0x1.772157515d4bp-11, 0x1.6a7f32f8d5efep-11, 0x1.5e43189c38a4p-11, 0x1.5269e9f6d181ap-11, 0x1.46f0af49a21ddp-11, 0x1.3bd499773dbf3p-11, 0x1.3112feb7999b9p-11, 0x1.26a952660681fp-11, 0x1.1c951a3c9e172p-11, 0x1.12d3e40deba74p-11, 0x1.09633e5d5a227p-11, 0x1.0040b4adcfd29p-11, 0x1.eed39e80de5b9p-12, 0x1.ddb82be2d6f9ep-12, 0x1.cd2a2d00e2f9p-12, 0x1.bd24dd1d396b3p-12, 0x1.ada3b0131b4fbp-12, 0x1.9ea268b5b26dcp-12, 0x1.901d231dbaaf7p-12, 0x1.82104cdcf6cf2p-12, 0x1.74788d9bdd7f8p-12, 0x1.6752aa9c01e47p-12, 0x1.5a9b71393259fp-12, 0x1.4e4fae7ca0546p-12, 0x1.426c306bba584p-12, 0x1.36edc7f34435fp-12, 0x1.2bd14421fc219p-12, 0x1.211367e0250efp-12, 0x1.16b0e45bc8014p-12, 0x1.0ca6640874b06p-12, 0x1.02f0a8a9a841bp-12, 0x1.f3195f8add0acp-13, 0x1.e0ef90a417363p-13, 0x1.cf5f17242bdc6p-13, 0x1.be637cbf4c095p-13, 0x1.adf862163814ep-13, 0x1.9e1967fbba60ep-13, 0x1.8ec24b7214cd6p-13, 0x1.7fef148064eeep-13, 0x1.719c2a59474a9p-13, 0x1.63c6342607676p-13, 0x1.5669d1c8e831cp-13, 0x1.498352541bb1bp-13, 0x1.3d0e91a16584ep-13, 0x1.310712a55737dp-13, 0x1.25684b5483aecp-13, 0x1.1a2dfa7d72444p-13, 0x1.0f545821540c7p-13, 0x1.04d8066d0794ap-13, 0x1.f56badb74db39p-14, 0x1.e1d53b54cb741p-14, 0x1.cee6897569625p-14, 0x1.bc9a2553cb89ep-14, 0x1.aaebc8a054b22p-14, 0x1.99d840ea02873p-14, 0x1.895cd402d527cp-14, 0x1.797689777ccdep-14, 0x1.6a21bc5c988a6p-14, 0x1.5b5a090f4729bp-14, 0x1.4d1a637f3a2c3p-14, 0x1.3f5d2c829c124p-14, 0x1.321c5c5d48a68p-14, 0x1.2551e38d9c28ep-14, 0x1.18f81c3d56fe7p-14, 0x1.0d09f93f0e134p-14, 0x1.0182e73b0407p-14, 0x1.ecbd818b2447fp-15, 0x1.d73434a5088edp-15, 0x1.c2652962ede54p-15, 0x1.ae4d71ba7ca23p-15, 0x1.9aeaca7e6e79cp-15, 0x1.883a74308f57ep-15, 0x1.7638ab79b7e2dp-15, 0x1.64e0ebb23d932p-15, 0x1.542e98e65e0e7p-15, 0x1.441d28e1faadp-15, 0x1.34a75d4047f4p-15, 0x1.25c667a1cae82p-15, 0x1.17721213ab5f9p-15, 0x1.09a1cb2585e87p-15, 0x1.f89b472a33cecp-16, 0x1.deddb9c8a25c7p-16, 0x1.c600a498efe2dp-16, 0x1.adfd96ef205d8p-16, 0x1.96d158b6c62a7p-16, 0x1.8079a0583d04ap-16, 0x1.6af34bf4085a9p-16, 0x1.563a7e922d192p-16, 0x1.424abdbf75f33p-16, 0x1.2f1e7c7462a9ap-16, 0x1.1cafbc16e2b18p-16, 0x1.0af918d33e07ep-16, 0x1.f3eb02a83c3fap-17, 0x1.d33eaec229e65p-17, 0x1.b3e091b7204ccp-17, 0x1.95c2fe16fdee4p-17, 0x1.78d65dda404cfp-17, 0x1.5d077ab40fedp-17, 0x1.42413727593a6p-17, 0x1.2873c9845056ap-17, 0x1.0f99e4177f162p-17, 0x1.ef682ca8f0972p-18, 0x1.c17fd9e3e0e97p-18, 0x1.956e30fe07eb8p-18, 0x1.6b29e31587b12p-18, 0x1.42ab574ec2075p-18, 0x1.1be532c5fb56ep-18, 0x1.ed90565db0136p-19, 0x1.a68aa37a3a9dcp-19, 0x1.62947c6a21746p-19, 0x1.21876eee2aa49p-19, 0x1.c6944a19a8c45p-20, 0x1.4fa7869fdc185p-20, 0x1.bc85ccd89753bp-21, 0x1.c943fcdec5527p-22, 0x1.7234adafcb979p-25, -0x1.59c39cb61e7ep-22, -0x1.68538cada3f1dp-21, -0x1.0dbc13fb312e7p-20, -0x1.6319c4aeb6af3p-20, -0x1.b4538f6775c83p-20, -0x1.00c3c38c1ee4cp-19, -0x1.255c74f40ce32p-19, -0x1.47fc3f24063d4p-19, -0x1.68b5bca94dedcp-19, -0x1.87990fd7f2344p-19, -0x1.a4bc5e2eebee9p-19, -0x1.c03bdcbc91548p-19, -0x1.da2e3bd6ce216p-19, -0x1.f2a0b19cc8fd9p-19, -0x1.04cc80982c95cp-18, -0x1.0f8be836b063dp-18, -0x1.198dfb988ec6ap-18, -0x1.22d2f87aaf8dcp-18, -0x1.2b5dcb4f18e65p-18, -0x1.333aa027af768p-18, -0x1.3a7f8dc667d69p-18, -0x1.4138f371380c3p-18, -0x1.47646ddcd2de2p-18, -0x1.4d022c8ecce36p-18, -0x1.5214afbc1efa7p-18, -0x1.569c97c61d314p-18, -0x1.5a9c9fbfee943p-18, -0x1.5e181bfc0d071p-18, -0x1.6116bb6559bdcp-18, -0x1.63a202227b457p-18, -0x1.65bfb72af2593p-18, -0x1.67728795c9b32p-18, -0x1.68bc99d48ef23p-18, -0x1.69a0a8b6ba2aap-18, -0x1.6a21b3fc110bap-18, -0x1.6a421c5608885p-18, -0x1.6a033a081b536p-18, -0x1.6965e873e5947p-18, -0x1.686a57c5de417p-18, -0x1.671183a53238ap-18, -0x1.6565ee29f9e97p-18, -0x1.63748e38d9ad1p-18, -0x1.613b9dbe63223p-18, -0x1.5eba92e98a6aap-18, -0x1.5bf506e04e696p-18, -0x1.58e8d1fa2e524p-18, -0x1.559584ae0763dp-18, -0x1.52017b4aea20ep-18, -0x1.4e32fab058c27p-18, -0x1.4a2c8dbc6d537p-18, -0x1.45ef4ad36b626p-18, -0x1.417c6da12cc1ep-18, -0x1.3cd5904563ba1p-18, -0x1.37fc8f4af1a69p-18, -0x1.32f37c6527296p-18, -0x1.2dbc8a6cce8efp-18, -0x1.2859c397cb3e5p-18, -0x1.22ccb1cdfeb5cp-18, -0x1.1d16af36ecc6ep-18, -0x1.1738fea818285p-18, -0x1.11326692d9e4ep-18, -0x1.0b03c30ad92a1p-18, -0x1.04b65ff7ac1bdp-18, -0x1.fc96ff6d630f7p-19, -0x1.ef8a91d4b4067p-19, -0x1.e243e47607417p-19, -0x1.d4bce3933e8cap-19, -0x1.c7004ea296f45p-19, -0x1.b915b4a1488bep-19, -0x1.aafed62233f55p-19, -0x1.9cbce3ce06e78p-19, -0x1.8e51d14df40e1p-19, -0x1.7fc0083db4a07p-19, -0x1.710a0d9f12b71p-19, -0x1.6232532657bddp-19, -0x1.533b3269c2a03p-19, -0x1.44270b3827005p-19, -0x1.34f8651565dd7p-19, -0x1.25b1dae9220cdp-19, -0x1.1655c4d3145ecp-19, -0x1.06e63fbd8cd01p-19, -0x1.eecb4477830c2p-20, -0x1.cfa7488f5cc3ap-20, -0x1.b05aafbe4fb1fp-20, -0x1.90f755b5fa5bbp-20, -0x1.718bef3f1379ep-20, -0x1.5217841443602p-20, -0x1.328b74d37b42dp-20, -0x1.12f491216859p-20, -0x1.e6b90e04a6461p-21, -0x1.a7899e01c5f4cp-21, -0x1.685e5241ac79bp-21, -0x1.293cb06ee45ffp-21, -0x1.d45600a2f0e9bp-22, -0x1.565f5283d66p-22, -0x1.b143d36d2954cp-23, -0x1.6ca7724c38277p-24, 0x1.0feb16b96bf81p-25, 0x1.3d91db808425ep-23, 0x1.1b2df0882171fp-22, 0x1.972117a71af53p-22, 0x1.094b47cae97c3p-21, 0x1.46c1881747317p-21, 0x1.83ee583fe0d73p-21, 0x1.c0ccb701dfa4ap-21, 0x1.fd5a1e71e97f5p-21, 0x1.1ccc8e80eb3e9p-20, 0x1.3abf66b151897p-20, 0x1.587c7a0078b1p-20, 0x1.760937fa7a35cp-20, 0x1.93653c16ed1f4p-20, 0x1.b089a6db70d56p-20, 0x1.cd7534c8c145bp-20, 0x1.ea26dbbc32938p-20, 0x1.034e7dcd6b478p-19, 0x1.116ae75478b22p-19, 0x1.1f67c9a918febp-19, 0x1.2d444a5cd6d49p-19, 0x1.3aff95e992e86p-19, 0x1.4898e0345452p-19, 0x1.560f65e55b2c7p-19, 0x1.63626da51e1ebp-19, 0x1.7091476a1b04ep-19, 0x1.7d9b478a8a9a8p-19, 0x1.8a7fc03317fd3p-19, 0x1.973e00b4e0073p-19, 0x1.a3d55fb621e72p-19, 0x1.b04549cf6b171p-19, 0x1.bc8d34c7bb694p-19, 0x1.c8aca1c395d38p-19, 0x1.d4a38a5f041acp-19, 0x1.e070b3c13404ep-19, 0x1.ec13bf1b0ea23p-19, 0x1.f78c92f2d4fdp-19, 0x1.016d53b60986bp-18, 0x1.06fe92b1007d5p-18, 0x1.0c79f0440a64cp-18, 0x1.11df48a1c5039p-18, 0x1.172e6f6f00c7ap-18, 0x1.1c67394aa954p-18, 0x1.21897d7b659a6p-18, 0x1.269515e6af16cp-18, 0x1.2b89deee5df61p-18, 0x1.3067b754904c2p-18, 0x1.352e80442f677p-18, 0x1.39de1d72fe35ap-18, 0x1.3e76755a90917p-18, 0x1.42f7713a4d2cdp-18, 0x1.4760fc6441bc9p-18, 0x1.4bb3032030797p-18, 0x1.4fed725d689dp-18, 0x1.541038e716cfap-18, 0x1.581b4a39304dfp-18, 0x1.5c0e9eb86c91fp-18, 0x1.5fea28f8c6b8dp-18, 0x1.63adebbf0e31ap-18, 0x1.6759da72415f6p-18, 0x1.6aedf28778834p-18, 0x1.6e6a43abd7a4ep-18, 0x1.71cebcf37e28ap-18, 0x1.751b543f681aap-18, 0x1.785016ff8c093p-18, 0x1.7b6d100e7219bp-18, 0x1.7e7246abca6a5p-18, 0x1.815fc36541c1dp-18, 0x1.843590a3b035ap-18, 0x1.86f3ba87fb8b9p-18, 0x1.899a4ec87b99fp-18, 0x1.8c295ca05f2b9p-18, 0x1.8ea0f4c4bd91bp-18, 0x1.9101296216c5p-18, 0x1.934a0e1a4fc11p-18, 0x1.957bb80db4a56p-18, 0x1.97963dea24538p-18, 0x1.9999b7cd6ac03p-18, 0x1.9b863ee41cb9p-18, 0x1.9d5bed1edc06p-18, 0x1.9f1add599487fp-18, 0x1.a0c32c066707dp-18, 0x1.a254f85d41624p-18, 0x1.a3d062b20eaa3p-18, 0x1.a535851bc249bp-18, 0x1.a68484c3533adp-18, 0x1.a7bd8dfcca38bp-18, 0x1.a8e0b664c2e71p-18, 0x1.a9ee2b9b87f1p-18, 0x1.aae60f8e4e34ep-18, 0x1.abc8813d2b9f1p-18, 0x1.ac95ae5af4475p-18, 0x1.ad4dbfa8e89cap-18, 0x1.adf0ddd6dc669p-18, 0x1.ae7f328f4ebf7p-18, 0x1.aef8e8687130dp-18, 0x1.af5e2acae010ep-18, 0x1.afaf25e49dfdp-18, 0x1.afec069d01723p-18, 0x1.b014fa8da4715p-18, 0x1.b02a2ffbe7b6ap-18, 0x1.b02bd5d6a5df1p-18, 0x1.b01a1baf76ecap-18, 0x1.aff531bb3089bp-18, 0x1.afbd48d339dbcp-18, 0x1.af7292644fdcp-18, 0x1.af15404bac52dp-18, 0x1.aea584c02593ap-18, 0x1.ae23925da25e5p-18, 0x1.ad8f9c5a1dc66p-18, 0x1.ace9d6f5fd62bp-18, 0x1.ac327700b1e1cp-18, 0x1.ab69aeae1f947p-18, 0x1.aa8faf8cf1467p-18, 0x1.a9a4bed77312fp-18, 0x1.a8a901b9160f4p-18, 0x1.a79cb124889c6p-18, 0x1.a6800b5d0e38dp-18, 0x1.a5533d27fe43dp-18, 0x1.a4168111aad74p-18, 0x1.a2ca0e7e8fe42p-18, 0x1.a16e1c7368845p-18, 0x1.a002e238e8933p-18, 0x1.9e88975051287p-18, 0x1.9cff7367d6aafp-18, 0x1.9b67ae521f3c3p-18, 0x1.99c1800124b69p-18, 0x1.980d2080e5abap-18, 0x1.964ac7f1403aep-18, 0x1.947aae841e8f5p-18, 0x1.929d0c78bee6p-18, 0x1.90b21a184910cp-18, 0x1.8eba0fb179598p-18, 0x1.8cb52597cd3c9p-18, 0x1.8aa39421461e8p-18, 0x1.88859398248d8p-18, 0x1.865b5c3743411p-18, 0x1.8425262290dbbp-18, 0x1.81e32967e40e1p-18, 0x1.7f959e19a200cp-18, 0x1.7d3cbc62f8f6bp-18, 0x1.7ad8bc2d376aap-18, 0x1.7869d3e329513p-18, 0x1.75f03b343aa4fp-18, 0x1.736c2eccd3196p-18, 0x1.70ddde2038a54p-18, 0x1.6e45842d83033p-18, 0x1.6ba358ecec98cp-18, 0x1.68f790870a568p-18, 0x1.664262b486dffp-18, 0x1.638405c7e1dd1p-18, 0x1.60bcafcac7a49p-18, 0x1.5dec969274cc4p-18, 0x1.5b13efb6eb5ecp-18, 0x1.5832f08feaa6ep-18, 0x1.5549ce372793dp-18, 0x1.5258bd7f5c2c4p-18, 0x1.4f5ff2ee6de98p-18, 0x1.4c5fa2c9c99f1p-18, 0x1.4958010448bbfp-18, 0x1.464941429a941p-18, 0x1.433396d8d98bdp-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.06b06b70e338cp-6, -0x1.067aa4d4ede84p-5, -0x1.8931d49335dadp-5, -0x1.05a472812a8bp-4, -0x1.4645ea74591f1p-4, -0x1.8663e09d99e69p-4, -0x1.c5e58eb923788p-4, -0x1.02597920e6802p-3, -0x1.215a70a649bf7p-3, -0x1.3fea8df49319p-3, -0x1.5dff2d1ed3e83p-3, -0x1.7b8e2bce688cap-3, -0x1.988ded6d16782p-3, -0x1.b4f55e10b486ep-3, -0x1.d0bbf44a9306cp-3, -0x1.ebd9b1fbab1b5p-3, -0x1.032392267cce7p-2, -0x1.0ffeb174b6919p-2, -0x1.1c7b074a3d47p-2, -0x1.2895a79b0a2e8p-2, -0x1.344be8b925aa1p-2, -0x1.3f9b61f04234fp-2, -0x1.4a81e9f9ee3c7p-2, -0x1.54fd95521f028p-2, -0x1.5f0cb472ced0ap-2, -0x1.68add1fc8b893p-2, -0x1.71dfb0d103efp-2, -0x1.7aa14a23e239fp-2, -0x1.82f1cb85abb6ap-2, -0x1.8ad094ebca478p-2, -0x1.923d36b866662p-2, -0x1.99376fc454dep-2, -0x1.9fbf2b6cfb28bp-2, -0x1.a5d47fa7b166ep-2, -0x1.ab77ab1bfc183p-2, -0x1.b0a913459fba9p-2, -0x1.b569429f6cdcdp-2, -0x1.b9b8e6d773aeep-2, -0x1.bd98cf0d1d489p-2, -0x1.c109ea1996681p-2, -0x1.c40d44e2c707dp-2, -0x1.c6a408b90f16ap-2, -0x1.c8cf79bfd9eap-2, -0x1.ca90f5610bf02p-2, -0x1.cbe9f0cb4e24ap-2, -0x1.ccdbf77b164d6p-2, -0x1.cd68a9ce5671bp-2, -0x1.cd91bba2b13ddp-2, -0x1.cd58f2fe02117p-2, -0x1.ccc026c111229p-2, -0x1.cbc93d64474b6p-2, -0x1.ca762bbe27e33p-2, -0x1.c8c8f3d3691p-2, -0x1.c6c3a3b078dbfp-2, -0x1.c468544c3b9acp-2, -0x1.c1b92873e0dffp-2, -0x1.beb84bbf995eap-2, -0x1.bb67f1900f591p-2, -0x1.b7ca541474c4fp-2, -0x1.b3e1b35904d53p-2, -0x1.afb0545ddc548p-2, -0x1.ab388035fe96p-2, -0x1.a67c832e7414bp-2, -0x1.a17eabfd5c0bdp-2, -0x1.9c414af8df02p-2, -0x1.96c6b155de34bp-2, -0x1.9111306e4d6ccp-2, -0x1.8b23190f16afdp-2, -0x1.84febacd7636cp-2, -0x1.7ea66363abebp-2, -0x1.781c5e14ef10ap-2, -0x1.7162f31885537p-2, -0x1.6a7c670be3453p-2, -0x1.636afa6bb864p-2, -0x1.5c30e913cd97ap-2, -0x1.54d069c59052fp-2, -0x1.4d4badb52ff5ep-2, -0x1.45a4e01d2d55bp-2, -0x1.3dde25d837783p-2, -0x1.35f99d0131e48p-2, -0x1.2df95c99470fap-2, -0x1.25df7433d928fp-2, -0x1.1dadeba82fd9p-2, -0x1.1566c2c8bf537p-2, -0x1.0d0bf11fd7e9bp-2, -0x1.049f65b1a1894p-2, -0x1.f8460d865f5e3p-3, -0x1.e731634d16266p-3, -0x1.d60475170e855p-3, -0x1.c4c2d8aa6e9acp-3, -0x1.b37010e7b4c3ep-3, -0x1.a20f8d8628baap-3, -0x1.90a4aad89c7b4p-3, -0x1.7f32b19a18a9bp-3, -0x1.6dbcd6c2335f7p-3, -0x1.5c463b60b5e7ap-3, -0x1.4ad1ec8045c31p-3, -0x1.3962e30fc1ca5p-3, -0x1.27fc03d20606ap-3, -0x1.16a01f53c9b9dp-3, -0x1.0551f1e74e947p-3, -0x1.e828474b2caa4p-4, -0x1.c5d290e9bb73fp-4, -0x1.a3a7c028223d2p-4, -0x1.81acac55fbd08p-4, -0x1.5fe604bdf5d29p-4, -0x1.3e5850d79e842p-4, -0x1.1d07f0812c182p-4, -0x1.f7f2388197ecbp-5, -0x1.b65fcb1a1c2a6p-5, -0x1.75606e37f09bp-5, -0x1.34fbaa70bc882p-5, -0x1.ea71787467efcp-6, -0x1.6c3d29570e6e9p-6, -0x1.decf69245d7a7p-7, -0x1.cff74ece287e9p-8, 0x1.7d145d6a665efp-12, 0x1.f98c8c2ea3d72p-8, 0x1.ea872e8b561e1p-7, 0x1.6a8b30851e446p-6, 0x1.de2ffb5dbefa8p-6, 0x1.28144648c6517p-5, 0x1.6035ff80cd1c7p-5, 0x1.9778f8ca57167p-5, 0x1.cdd9428a4d552p-5, 0x1.01a99680c98fap-4, 0x1.1bf1a399d4104p-4, 0x1.35c32ee4f1e63p-4, 0x1.4f1cbcf9ceaa9p-4, 0x1.67fcf021d31ecp-4, 0x1.806287c5b02dcp-4, 0x1.984c5fd9e5ea5p-4, 0x1.afb9704a6b7b9p-4, 0x1.c6a8cc65952bfp-4, 0x1.dd19a2467659ap-4, 0x1.f30b3a3ead852p-4, 0x1.043e7b1fff619p-3, 0x1.0eb728a2cd659p-3, 0x1.18ef6f5eab18ep-3, 0x1.22e724f873d5bp-3, 0x1.2c9e2ab79cd4ap-3, 0x1.36146d3afbe3bp-3, 0x1.3f49e42daf897p-3, 0x1.483e91fc44bb2p-3, 0x1.50f2838a1078bp-3, 0x1.5965cfe6d42c8p-3, 0x1.61989804b9206p-3, 0x1.698b066ea5aabp-3, 0x1.713d4efef8647p-3, 0x1.78afae96b5b8dp-3, 0x1.7fe26ad527cdep-3, 0x1.86d5d1d006c4ap-3, 0x1.8d8a39cc26abep-3, 0x1.940000f6b2305p-3, 0x1.9a378d1f02bf7p-3, 0x1.a0314b7119a31p-3, 0x1.a5edb030b5addp-3, 0x1.ab6d36752281ep-3, 0x1.b0b05fe5afd8p-3, 0x1.b5b7b476eeb09p-3, 0x1.ba83c228a1f56p-3, 0x1.bf151cc47a4bdp-3, 0x1.c36c5d9d9eda1p-3, 0x1.c78a2351021e1p-3, 0x1.cb6f118689df9p-3, 0x1.cf1bd0b3176f6p-3, 0x1.d2910ddb6a0abp-3, 0x1.d5cf7a57e18c1p-3, 0x1.d8d7cb992b158p-3, 0x1.dbaabaedd7b4fp-3, 0x1.de490548e0874p-3, 0x1.e0b36b091bde3p-3, 0x1.e2eaafc1a60ddp-3, 0x1.e4ef9a0345cabp-3, 0x1.e6c2f326c7b45p-3, 0x1.e865871857331p-3, 0x1.e9d82423d66cp-3, 0x1.eb1b9ac238d07p-3, 0x1.ec30bd67e3cc5p-3, 0x1.ed1860540daap-3, 0x1.edd35961299f4p-3, 0x1.ee627fd65755cp-3, 0x1.eec6ac39e2411p-3, 0x1.ef00b824c1cc4p-3, 0x1.ef117e172bf87p-3, 0x1.eef9d94e30be1p-3, 0x1.eebaa59a5ff3cp-3, 0x1.ee54bf377f01ep-3, 0x1.edc902a544b5ep-3, 0x1.ed184c8125c3p-3, 0x1.ec4379612ae7dp-3, 0x1.eb4b65afd0b7bp-3, 0x1.ea30ed88f3acbp-3, 0x1.e8f4ec97c096p-3, 0x1.e7983df5b696p-3, 0x1.e61bbc0aa2ef5p-3, 0x1.e480406dabbccp-3, 0x1.e2c6a3c75c63fp-3, 0x1.e0efbdb4b1fe5p-3, 0x1.defc64ab27ba6p-3, 0x1.dced6dddc7998p-3, 0x1.dac3ad232c319p-3, 0x1.d87ff4dc87acdp-3, 0x1.d62315dd9a0aap-3, 0x1.d3addf55a04e7p-3, 0x1.d1211eb93592fp-3, 0x1.ce7d9fad20baap-3, 0x1.cbc42bf213243p-3, 0x1.c8f58b514c10ep-3, 0x1.c612838a28a92p-3, 0x1.c31bd8408fe76p-3, 0x1.c0124aec479c6p-3, 0x1.bcf69ac91bacdp-3, 0x1.b9c984c7e920ep-3, 0x1.b68bc38077083p-3, 0x1.b33e0f2427bf6p-3, 0x1.afe11d7173a48p-3, 0x1.ac75a1a83442ap-3, 0x1.a8fc4c7eb1018p-3, 0x1.a575cc1773808p-3, 0x1.a1e2cbf7d9f1p-3, 0x1.9e43f4ff65acep-3, 0x1.9a99ed5fc3663p-3, 0x1.96e55895809f5p-3, 0x1.9326d7617abbep-3, 0x1.8f5f07c2f1ad6p-3, 0x1.8b8e84f249aa8p-3, 0x1.87b5e75c67b63p-3, 0x1.83d5c49eb7ea4p-3, 0x1.7feeaf83ca2c3p-3, 0x1.7c0138008388ep-3, 0x1.780deb31ed03dp-3, 0x1.7415535b8819bp-3, 0x1.7017f7e632a35p-3, 0x1.6c165d5f94d19p-3, 0x1.6811057a0eb4cp-3, 0x1.64086f0d254eep-3, 0x1.5ffd161671d4ap-3, 0x1.5bef73bafc3e3p-3, 0x1.57dffe491725cp-3, 0x1.53cf293a9fec6p-3, 0x1.4fbd6537b3dbap-3, 0x1.4bab2019c365fp-3, 0x1.4798c4ef17bffp-3, 0x1.4386bbfea5e1bp-3, 0x1.3f756acc521f6p-3, 0x1.3b65341d7f66ap-3, 0x1.375677fdf672ep-3, 0x1.334993c525d8p-3, 0x1.2f3ee21ba324dp-3, 0x1.2b36bb01069eep-3, 0x1.273173d1ff49fp-3, 0x1.232f5f4eb7dbep-3, 0x1.1f30cda170776p-3, 0x1.1b360c655fa64p-3, 0x1.173f66adcabe5p-3, 0x1.134d250d4ce44p-3, 0x1.0f5f8d9d60e8bp-3, 0x1.0b76e4060e544p-3, 0x1.07936985cdde2p-3, 0x1.03b55cf992d39p-3, 0x1.ffb9f5c9f668dp-4, 0x1.f814faf5605eep-4, 0x1.f07c3949b5b4dp-4, 0x1.e8f01c1b82c0bp-4, 0x1.e1710a50f7df4p-4, 0x1.d9ff6673a0b79p-4, 0x1.d29b8ec22289p-4, 0x1.cb45dd424ee96p-4, 0x1.c3fea7d34496ep-4, 0x1.bcc6403fb8bffp-4, 0x1.b59cf45061b7ap-4, 0x1.ae830dde76c71p-4, 0x1.a778d2e6451a7p-4, 0x1.a07e8599d9cafp-4, 0x1.99946473aeb8cp-4, 0x1.92baaa497222ep-4, 0x1.8bf18e5ec0b3p-4, 0x1.85394477ecbb5p-4, 0x1.7e91fcecc0b3fp-4, 0x1.77fbe4bb3bea8p-4, 0x1.7177259a48284p-4, 0x1.6b03e60c62ad6p-4, 0x1.64a249723936p-4, 0x1.5e52701d2ff39p-4, 0x1.58147761da815p-4, 0x1.51e879aa582c4p-4, 0x1.4bce8e889a6a3p-4, 0x1.45c6cac88cb4dp-4, 0x1.3fd1408220122p-4, 0x1.39edff2b34a87p-4, 0x1.341d13a962401p-4, 0x1.2e5e886398a88p-4, 0x1.28b265539dcfep-4, 0x1.2318b0175f851p-4, 0x1.1d916c021dd1cp-4, 0x1.181c9a2d662f1p-4, 0x1.12ba3989e183dp-4, 0x1.0d6a46eff79p-4, 0x1.082cbd303c566p-4, 0x1.03019523ad24dp-4, 0x1.fbd18b7774236p-5, 0x1.f1c488243dd57p-5, 0x1.e7dc06f10594dp-5, 0x1.de17eb0fc2a2ep-5, 0x1.d478145f7bbb5p-5, 0x1.cafc5f8a4124bp-5, 0x1.c1a4a622ae11dp-5, 0x1.b870bec0f8b83p-5, 0x1.af607d1f90c11p-5, 0x1.a673b23746ce3p-5, 0x1.9daa2c5af98d8p-5, 0x1.9503b752d181ep-5, 0x1.8c801c7700f2p-5, 0x1.841f22ca09c0bp-5, 0x1.7be08f128f83bp-5, 0x1.73c423f4a5a8ap-5, 0x1.6bc9a20aadb85p-5, 0x1.63f0c7fdb5e0bp-5, 0x1.5c39529d5c5a7p-5, 0x1.54a2fcf73b2dcp-5, 0x1.4d2d806dd7c39p-5, 0x1.45d894cf19147p-5, 0x1.3ea3f06a3dc4cp-5, 0x1.378f482561aap-5, 0x1.309a4f9286c2ap-5, 0x1.29c4b90420927p-5, 0x1.230e35a12f415p-5, 0x1.1c767578d77ep-5, 0x1.15fd27958e02p-5, 0x1.0fa1fa0fc958dp-5, 0x1.09649a203cbbp-5, 0x1.0344b431a0357p-5, 0x1.fa83e7e403c9p-6, 0x1.eeb808c74bc85p-6, 0x1.e3251fdaed6d7p-6, 0x1.d7ca80d6053d8p-6, 0x1.cca77e781663dp-6, 0x1.c1bb6aa74525ap-6, 0x1.b705968dc6abdp-6, 0x1.ac8552b66023dp-6, 0x1.a239ef2828956p-6, 0x1.9822bb816ba6fp-6, 0x1.8e3f0711bd7fbp-6, 0x1.848e20f3461c8p-6, 0x1.7b0f58233ba5fp-6, 0x1.71c1fb9997be8p-6, 0x1.68a55a600443p-6, 0x1.5fb8c3a806882p-6, 0x1.56fb86e07aabbp-6, 0x1.4e6cf3ca3845cp-6, 0x1.460c5a8c175d6p-6, 0x1.3dd90bc62ab3dp-6, 0x1.35d258a44ad7cp-6, 0x1.2df792effd436p-6, 0x1.26480d21a6a0ap-6, 0x1.1ec31a7112c39p-6, 0x1.17680ee5503cep-6, 0x1.10363f63f6bdfp-6, 0x1.092d01bfbfad8p-6, 0x1.024bacc67fb39p-6, 0x1.f723309d29e2p-7, 0x1.e9fc3a875ce1fp-7, 0x1.dd212b66108b3p-7, 0x1.d090b9ae27bddp-7, 0x1.c4499e453122bp-7, 0x1.b84a94966b913p-7, 0x1.ac925aa6de02fp-7, 0x1.a11fb1285bb0ap-7, 0x1.95f15b8b961bfp-7, 0x1.8b0620110fffdp-7, 0x1.805cc7d931e28p-7, 0x1.75f41ef35fecp-7, 0x1.6bcaf46c2bbd2p-7, 0x1.61e01a5a92cdfp-7, 0x1.583265ec765a3p-7, 0x1.4ec0af721d046p-7, 0x1.4589d268f775dp-7, 0x1.3c8cad858e82ap-7, 0x1.33c822bc97b98p-7, 0x1.2b3b174b5c6bcp-7, 0x1.22e473bf4a81dp-7, 0x1.1ac323fce32e2p-7, 0x1.12d61745f1429p-7, 0x1.0b1c403f0da1bp-7, 0x1.039494f470cedp-7, 0x1.f87c1dbc535e2p-8, 0x1.ea2f55c78978fp-8, 0x1.dc40d2be51b02p-8, 0x1.ceae9c3e24978p-8, 0x1.c176c0d1cfbcap-8, 0x1.b49755f3f5b9cp-8, 0x1.a80e7810bb75bp-8, 0x1.9bda4a8631695p-8, 0x1.8ff8f7a3cf0c7p-8, 0x1.8468b0a90c848p-8, 0x1.7927adc302a85p-8, 0x1.6e342e09343f4p-8, 0x1.638c7779777bdp-8, 0x1.592ed6f308f9p-8, 0x1.4f19a03100883p-8, 0x1.454b2dc396009p-8, 0x1.3bc1e10935a46p-8, 0x1.327c222691dap-8, 0x1.29785ffded9b3p-8, 0x1.20b510262a18cp-8, 0x1.1830aee0bbbc7p-8, 0x1.0fe9bf0f9e52ap-8, 0x1.07deca2a367cp-8, 0x1.000e6031c799p-8, 0x1.f0ee2f4b5941ap-9, 0x1.e22f1aed8d2e7p-9, 0x1.d3dcc9f5169cfp-9, 0x1.c5f48fbb7f705p-9, 0x1.b873cc2d6dd97p-9, 0x1.ab57ebae74729p-9, 0x1.9e9e66fbdc04fp-9, 0x1.9244c30f37d3fp-9, 0x1.864890ffca79bp-9, 0x1.7aa76de3b4b8ep-9, 0x1.6f5f02b0807d1p-9, 0x1.646d041ae4921p-9, 0x1.59cf3276482e3p-9, 0x1.4f83599412222p-9, 0x1.458750a1f5a37p-9, 0x1.3bd8fa084a59ap-9, 0x1.32764347d5fe3p-9, 0x1.295d24d77b86fp-9, 0x1.208ba2013ced3p-9, 0x1.17ffc8bf6f0edp-9, 0x1.0fb7b19977e7ap-9, 0x1.07b17f802896p-9, 0x1.ffd6bf5525515p-10, 0x1.f0c712e41803fp-10, 0x1.e2307c5c82bb9p-10, 0x1.d40f9222bfd8bp-10, 0x1.c660fe081e269p-10, 0x1.b9217d02a2d2ep-10, 0x1.ac4ddee4b4e11p-10, 0x1.9fe3061558bb2p-10, 0x1.93dde7475eab3p-10, 0x1.883b893223477p-10, 0x1.7cf9044955eaep-10, 0x1.72138274dc74p-10, 0x1.67883ec966a7dp-10, 0x1.5d54854139df7p-10, 0x1.5375b274a965fp-10, 0x1.49e933537905p-10, 0x1.40ac84de8c21ap-10, 0x1.37bd33e127a2fp-10, 0x1.2f18dcabfab53p-10, 0x1.26bd2aceed6d4p-10, 0x1.1ea7d8d4ca8cfp-10, 0x1.16d6affe6a0d5p-10, 0x1.0f4787fe99f04p-10, 0x1.07f846b6e05dfp-10, 0x1.00e6dff3e74aap-10, 0x1.f422aa56b9cb2p-11, 0x1.e6eb6a74a5294p-11, 0x1.da2438467144ep-11, 0x1.cdc9659b6db51p-11, 0x1.c1d75d8c72bffp-11, 0x1.b64aa3fc84313p-11, 0x1.ab1fd51b688acp-11, 0x1.a053a4e96731ap-11, 0x1.95e2debb0cafp-11, 0x1.8bca64c00e1bcp-11, 0x1.82072f8a821ccp-11, 0x1.78964d97c9febp-11, 0x1.6f74e2db2a436p-11, 0x1.66a0284939549p-11, 0x1.5e156b647d87fp-11, 0x1.55d20dccaf5a9p-11, 0x1.4dd384ce51ea5p-11, 0x1.461758f396ad5p-11, 0x1.3e9b2598ddbf5p-11, 0x1.375c987f27442p-11, 0x1.305971633ca72p-11, 0x1.298f81944d911p-11, 0x1.22fcab8d75507p-11, 0x1.1c9ee28fc3c2ap-11, 0x1.16742a3e2a99ep-11, 0x1.107a963ac1232p-11, 0x1.0ab049c597bd6p-11, 0x1.0513775cf88f3p-11, 0x1.ff44c0be28b37p-12, 0x1.f4b6a95cc9b3bp-12, 0x1.ea7964aa46582p-12, 0x1.e089ca58eb99ap-12, 0x1.d6e4cd07ec61ep-12, 0x1.cd877996fcf8bp-12, 0x1.c46ef67a3766p-12, 0x1.bb9883140a5dcp-12, 0x1.b301770ff922ep-12, 0x1.aaa741c19614cp-12, 0x1.a28769841addp-12, 0x1.9a9f8b1f69ebfp-12, 0x1.92ed5930041c2p-12, 0x1.8b6e9b8fe06b6p-12, 0x1.84212ec26964bp-12, 0x1.7d030364fff73p-12, 0x1.76121da0ba017p-12, 0x1.6f4c949f0dce9p-12, 0x1.68b092017f3e9p-12, 0x1.623c515c211cp-12, 0x1.5bee1fb2eb85fp-12, 0x1.55c45af84ef4cp-12, 0x1.4fbd718f182cp-12, 0x1.49d7e1d139fa2p-12, 0x1.44123995f8713p-12, 0x1.3e6b15bbb7eafp-12, 0x1.38e121b4ac63bp-12, 0x1.337317164f802p-12, 0x1.2e1fbd29509f7p-12, 0x1.28e5e87e9a042p-12, 0x1.23c47a841189p-12, 0x1.1eba611f51daep-12, 0x1.19c69646cb394p-12, 0x1.14e81f9e8ddc9p-12, 0x1.101e0e189d227p-12, 0x1.0b677d9694f2fp-12, 0x1.06c3948c93672p-12, 0x1.023183a833ac2p-12, 0x1.fb610af0032fep-13, 0x1.f27fbc2c9e91cp-13, 0x1.e9bdb5a9b12c5p-13, 0x1.e119a3d5cb1edp-13, 0x1.d892444c22dabp-13, 0x1.d0266539c0f58p-13, 0x1.c7d4e4c54cd11p-13, 0x1.bf9cb07ab7281p-13, 0x1.b77cc4bc384aep-13, 0x1.af742c365ee41p-13, 0x1.a781ff56a0f27p-13, 0x1.9fa563c66594bp-13, 0x1.97dd8be9ed9f6p-13, 0x1.9029b66380c58p-13, 0x1.88892d968e253p-13, 0x1.80fb4732009a6p-13, 0x1.797f63ba4681ap-13, 0x1.7214ee1a307b4p-13, 0x1.6abb5b35fa1f2p-13, 0x1.6372297ebde0ep-13, 0x1.5c38e08b4dc0fp-13, 0x1.550f10b54a42fp-13, 0x1.4df452b5d9e9dp-13, 0x1.46e8474624795p-13, 0x1.3fea96c522ce4p-13, 0x1.38faf0dc7e399p-13, 0x1.32190c2d90848p-13, 0x1.2b44a5f8f70bdp-13, 0x1.247d81cfbe1ebp-13, 0x1.1dc36942c3b32p-13, 0x1.17162b984fdfcp-13, 0x1.10759d81263a1p-13, 0x1.09e198cffbb1dp-13, 0x1.0359fc36217d1p-13, 0x1.f9bd55fe6ed75p-14, 0x1.ecdf19a1a5449p-14, 0x1.e0191ad4fe9f9p-14, 0x1.d36b38d4525cep-14, 0x1.c6d55a21a4c5ap-14, 0x1.ba576c194c4bep-14, 0x1.adf1627ef2697p-14, 0x1.a1a33716b7425p-14, 0x1.956ce93e0cad2p-14, 0x1.894e7d8cf7f9ap-14, 0x1.7d47fd749c2dbp-14, 0x1.715976e50a964p-14, 0x1.6582fbf6972a3p-14, 0x1.59c4a29718823p-14, 0x1.4e1e843722f33p-14, 0x1.4290bd7bde863p-14, 0x1.371b6df4b70bp-14, 0x1.2bbeb7d261b8fp-14, 0x1.207abfa56bcb1p-14, 0x1.154fac1ad0589p-14, 0x1.0a3da5bb8ab53p-14, 0x1.fe89ad5f6ba75p-15, 0x1.e8cad50dd59e1p-15, 0x1.d33f1bfe95f6bp-15, 0x1.bde6dd9d079ccp-15, 0x1.a8c276e705aeap-15, 0x1.93d2460348a25p-15, 0x1.7f16a9ee82081p-15, 0x1.6a90021e2ccafp-15, 0x1.563eae2d88e23p-15, 0x1.42230d8c05c93p-15, 0x1.2e3d7f34b03f1p-15, 0x1.1a8e6169854e3p-15, 0x1.0716116ca1b02p-15, 0x1.e7a9d67ed1a08p-16, 0x1.c19692d036169p-16, 0x1.9bf3096f7d993p-16, 0x1.76bfe82afc4a5p-16, 0x1.51fdd893bffe3p-16, 0x1.2dad7fa16ce62p-16, 0x1.09cf7d5897388p-16, 0x1.ccc8d8f23f365p-17, 0x1.86d9c46d18507p-17, 0x1.41d2dbc8cc0edp-17, 0x1.fb6a62dc86e1cp-18, 0x1.75039629f3f92p-18, 0x1.e0e6854725e8ep-19, 0x1.b6ecf94a56b03p-20, -0x1.322bc98904c3cp-22, -0x1.244a210401fcp-19, -0x1.0f4a3cf0fee4ep-18, -0x1.8a90df09b2c6bp-18, -0x1.01fbd914ab906p-17, -0x1.3dbec81ac7066p-17, -0x1.7890b90efb6b7p-17, -0x1.b271380d57d6bp-17, -0x1.eb5fe0ee16d84p-17, -0x1.11ae2fb635e0ep-16, -0x1.2d33379cb07abp-16, -0x1.483eee0998e5fp-16, -0x1.62d140db307bfp-16, -0x1.7cea25f916d58p-16, -0x1.96899b5673326p-16, -0x1.afafa6ea1f1bdp-16, -0x1.c85c56afb32b5p-16, -0x1.e08fc0995ffc4p-16, -0x1.f84a0285d1242p-16, -0x1.07c5a11c7b2e7p-15, -0x1.1329d6a511ee3p-15, -0x1.1e51bc8d38426p-15, -0x1.293d71610e865p-15, -0x1.33ed177cf2136p-15, -0x1.3e60d503b4e49p-15, -0x1.4898d3d7160c3p-15, -0x1.529541886ff7cp-15, -0x1.5c564f4c39149p-15, -0x1.65dc31edba7f4p-15, -0x1.6f2721c3bc6adp-15, -0x1.78375aa181227p-15, -0x1.810d1bc8efc43p-15, -0x1.89a8a7da9a43dp-15, -0x1.920a44c77ddcbp-15, -0x1.9a323bbd4d989p-15, -0x1.a220d91ac89aep-15, -0x1.a9d66c5ec504bp-15, -0x1.b153481550daap-15, -0x1.b897c1c8c300dp-15, -0x1.bfa431f072e51p-15, -0x1.c678f3dc521eep-15, -0x1.cd1665a8a31fp-15, -0x1.d37ce825093e6p-15, -0x1.d9acdec55b094p-15, -0x1.dfa6af910453dp-15, -0x1.e56ac30f7bfd1p-15, -0x1.eaf98435ce093p-15, -0x1.f0536056249f4p-15, -0x1.f578c70af7607p-15, -0x1.fa6a2a24bf4dap-15, -0x1.ff27fd95825a3p-15, -0x1.01d95bb0ab965p-14, -0x1.040567c5d0e14p-14, -0x1.0618600158558p-14, -0x1.08128246f587cp-14, -0x1.09f40d5e6e846p-14, -0x1.0bbd40e988bp-14, -0x1.0d6e5d5b9a4bcp-14, -0x1.0f07a3ef5e1d6p-14, -0x1.1089569e734bdp-14, -0x1.11f3b8183e2a4p-14, -0x1.13470bb9a12f9p-14, -0x1.14839583f86abp-14, -0x1.15a99a13ca90cp-14, -0x1.16b95e994d287p-14, -0x1.17b328ceb19d1p-14, -0x1.18973eef4dbc9p-14, -0x1.1965e7b016561p-14, -0x1.1a1f6a376f127p-14, -0x1.1ac40e1438d2ep-14, -0x1.1b541b36158c5p-14, -0x1.1bcfd9e5666bfp-14, -0x1.1c3792bbb83a8p-14, -0x1.1c8b8e9ba64d5p-14, -0x1.1ccc16a9591bbp-14, -0x1.1cf9744203395p-14, -0x1.1d13f0f5f5c95p-14, -0x1.1d1bd6804433ap-14, -0x1.1d116ebfb0fa2p-14, -0x1.1cf503b081dbdp-14, -0x1.1cc6df651b997p-14, -0x1.1c874bfe755f9p-14, -0x1.1c3693a631ba8p-14, -0x1.1bd500878e7b5p-14, -0x1.1b62dcc9884cap-14, -0x1.1ae072882c3aep-14, -0x1.1a4e0bce624b5p-14, -0x1.19abf28ff40fdp-14, -0x1.18fa70a40aaa7p-14, -0x1.1839cfbe91fcep-14, -0x1.176a596b8493ep-14, -0x1.168c5708a6636p-14, -0x1.15a011c030ba1p-14, -0x1.14a5d283f96c3p-14, -0x1.139de2084525bp-14, -0x1.128888be32b15p-14, -0x1.11660ecf478fap-14, -0x1.1036bc1994c66p-14, -0x1.0efad829a6378p-14, -0x1.0db2aa365ea96p-14, -0x1.0c5e791cd5404p-14, -0x1.0afe8b5c9048p-14, -0x1.09932712f1ba6p-14, -0x1.081c91f6e4147p-14, -0x1.069b115564926p-14, -0x1.050eea0e3902dp-14, -0x1.0378608f3592p-14, -0x1.01d7b8d1bc322p-14, -0x1.002d365704017p-14, -0x1.fcf23848ba2bcp-15, -0x1.f9775981e5d21p-15, -0x1.f5ea5464989dcp-15, -0x1.f24babf27dcacp-15, -0x1.ee9be21ed7eedp-15, -0x1.eadb77c7f2081p-15, -0x1.e70aecb4b25a6p-15, -0x1.e32abf8d2882cp-15, -0x1.df3b6dd5d0bcap-15, -0x1.db3d73eb8135cp-15, -0x1.d7314d00779c8p-15, -0x1.d317731721e5cp-15, -0x1.cef05efdd8d3ap-15, -0x1.cabc884a7503ep-15, -0x1.c67c655a1fbd3p-15, -0x1.c2306b4a935a5p-15, -0x1.bdd90df773c9bp-15, -0x1.b976bff9c0f55p-15, -0x1.b509f2a177606p-15, -0x1.b09315f61fe8cp-15, -0x1.ac1298b355ddap-15, -0x1.a788e8463d65fp-15, -0x1.a2f670cb11aebp-15, -0x1.9e5b9d0c486bap-15, -0x1.99b8d68061982p-15, -0x1.950e8548c2e9p-15, -0x1.905d102f1eb57p-15, -0x1.8ba4dca4d513bp-15, -0x1.86e64ec2cb22cp-15, -0x1.8221c94735637p-15, -0x1.7d57ad9555112p-15, -0x1.78885bb42c4e7p-15, -0x1.73b4324ec51f6p-15, -0x1.6edb8eb3f9911p-15, -0x1.69feccd4f4bd4p-15, -0x1.651e4745a5b8fp-15, }}, 
      {{-0x1.c70d3837d24f1p-7, -0x1.c6dea0535d42p-6, -0x1.54ecd0ecf73ddp-5, -0x1.c624c765b252fp-5, -0x1.1b8035ec52e5dp-4, -0x1.53b4a583bd691p-4, -0x1.8ba4abe30746ap-4, -0x1.c3457d632af18p-4, -0x1.fa8c904abb814p-4, -0x1.18b7d1748e8d3p-3, -0x1.33f2606b69a92p-3, -0x1.4ef123b33587ap-3, -0x1.69af74a979ecbp-3, -0x1.8428d8dd1ff2ap-3, -0x1.9e590338bc713p-3, -0x1.b83bd4e13bf38p-3, -0x1.d1cd5dd02d93p-3, -0x1.eb09dd30734eap-3, -0x1.01f6e0c1ffd5ep-2, -0x1.0e3ad44c66342p-2, -0x1.1a4f2fa960131p-2, -0x1.263270a7f63a4p-2, -0x1.31e32c35f9d44p-2, -0x1.3d600e138d2adp-2, -0x1.48a7d87a83e3ap-2, -0x1.53b963bb63b29p-2, -0x1.5e939dd1b5d5dp-2, -0x1.693589f10a853p-2, -0x1.739e400c05d17p-2, -0x1.7dccec569606ap-2, -0x1.87c0cec45468ep-2, -0x1.91793a83f651cp-2, -0x1.9af59578981aep-2, -0x1.a43557b18f1f1p-2, -0x1.ad380ae15da1bp-2, -0x1.b5fd49d44c8dp-2, -0x1.be84bfe725bcp-2, -0x1.c6ce287e67a77p-2, -0x1.ced94e7e580dap-2, -0x1.d6a60bc431d64p-2, -0x1.de3448a0b9673p-2, -0x1.e583fb5464467p-2, -0x1.ec95278d47ee4p-2, -0x1.f367dde6ee9d7p-2, -0x1.f9fc3b6c38d7ep-2, -0x1.0029348daecf4p-1, -0x1.03354db6108fcp-1, -0x1.062288ec274fcp-1, -0x1.08f10b334166cp-1, -0x1.0ba0fe9ba7dedp-1, -0x1.0e32920a5deedp-1, -0x1.10a5f902113ccp-1, -0x1.12fb6b6d39981p-1, -0x1.153325696acep-1, -0x1.174d6713d351ap-1, -0x1.194a7456e9097p-1, -0x1.1b2a94b9420edp-1, -0x1.1cee132d9532dp-1, -0x1.1e953de3e20f4p-1, -0x1.2020661bba0b2p-1, -0x1.218fdff7ad2ecp-1, -0x1.22e40251d1c35p-1, -0x1.241d269166bddp-1, -0x1.253ba8818ec1fp-1, -0x1.263fe6291d95ep-1, -0x1.272a3fa377cd5p-1, -0x1.27fb16fa8046bp-1, -0x1.28b2d0018f854p-1, -0x1.2951d03175901p-1, -0x1.29d87e857edd5p-1, -0x1.2a4743597bd8p-1, -0x1.2a9e8848c7b41p-1, -0x1.2adeb80e4bedfp-1, -0x1.2b083e657cb76p-1, -0x1.2b1b87ec4baf9p-1, -0x1.2b1902060d983p-1, -0x1.2b011abf517f1p-1, -0x1.2ad440b2a4851p-1, -0x1.2a92e2ee3e14dp-1, -0x1.2a3d70da972cap-1, -0x1.29d45a21dfc2bp-1, -0x1.29580e9859f4fp-1, -0x1.28c8fe258d9c1p-1, -0x1.282798ae58a5dp-1, -0x1.27744dffd2fbbp-1, -0x1.26af8dbb0665ep-1, -0x1.25d9c74173d14p-1, -0x1.24f369a2646fdp-1, -0x1.23fce38900c1ap-1, -0x1.22f6a32b2c35dp-1, -0x1.21e116391e221p-1, -0x1.20bca9cdb87fdp-1, -0x1.1f89ca5f92fc1p-1, -0x1.1e48e3b2bbaa9p-1, -0x1.1cfa60cb25015p-1, -0x1.1b9eabdfc0036p-1, -0x1.1a362e4e3c019p-1, -0x1.18c1508f6a675p-1, -0x1.17407a2c3f51ep-1, -0x1.15b411b36da01p-1, -0x1.141c7caf98c2dp-1, -0x1.127a1f9e18c9fp-1, -0x1.10cd5de64b9e9p-1, -0x1.0f1699d1716fcp-1, -0x1.0d5634830c67bp-1, -0x1.0b8c8df1c56b4p-1, -0x1.09ba04e0cb55ap-1, -0x1.07def6d9ae73p-1, -0x1.05fbc026b0169p-1, -0x1.0410bbcd86148p-1, -0x1.021e438a8aa4fp-1, -0x1.0024afcc58e8fp-1, -0x1.fc48af5f9cbd2p-2, -0x1.f83b21f8e4bccp-2, -0x1.f42160427539ep-2, -0x1.effc10635ce8ap-2, -0x1.ebcbd5c6c5974p-2, -0x1.e791511796a3cp-2, -0x1.e34d203cbe902p-2, -0x1.deffde561b5d1p-2, -0x1.daaa23b9f9bdep-2, -0x1.d64c85f32ce9dp-2, -0x1.d1e797bfaec4p-2, -0x1.cd7be90fca1ccp-2, -0x1.c90a0705c7921p-2, -0x1.c4927bf61605cp-2, -0x1.c015cf67eea9bp-2, -0x1.bb94861666ff7p-2, -0x1.b70f21f1f530ep-2, -0x1.b28622225c34bp-2, -0x1.adfa0308fc392p-2, -0x1.a96b3e438521fp-2, -0x1.a4da4aaf03a09p-2, -0x1.a0479c6b4793ap-2, -0x1.9bb3a4de9d155p-2, -0x1.971ed2b9d6e72p-2, -0x1.928991fca6457p-2, -0x1.8df44bfa36052p-2, -0x1.895f675e12a8bp-2, -0x1.84cb48314dd4dp-2, -0x1.80384fdfe3bdbp-2, -0x1.7ba6dd3e59c0cp-2, -0x1.77174c8f969bcp-2, -0x1.7289f78aef6afp-2, -0x1.6dff356265785p-2, -0x1.69775ac9162e5p-2, -0x1.64f2b9f9d4d2bp-2, -0x1.6071a2bdefcb8p-2, -0x1.5bf462741e5acp-2, -0x1.577b44179188ep-2, -0x1.5306904728af1p-2, -0x1.4e968d4cc53bcp-2, -0x1.4a2b7f24c0c5p-2, -0x1.45c5a7857755cp-2, -0x1.416545e6f479fp-2, -0x1.3d0a978ab171ep-2, -0x1.38b5d7836c05fp-2, -0x1.34673ebd11962p-2, -0x1.301f0404bc318p-2, -0x1.2bdd5c10be30fp-2, -0x1.27a27988bf69ep-2, -0x1.236e8d0de4eedp-2, -0x1.1f41c54305915p-2, -0x1.1b1c4ed4e79fdp-2, -0x1.16fe5482868efp-2, -0x1.12e7ff2560fd3p-2, -0x1.0ed975b9c95a7p-2, -0x1.0ad2dd673cb8p-2, -0x1.06d45988bd8d9p-2, -0x1.02de0bb52a189p-2, -0x1.fde0278f354b9p-3, -0x1.f6151fcf70c3p-3, -0x1.ee5b39242a107p-3, -0x1.e6b2a940fe26p-3, -0x1.df1ba2a49f774p-3, -0x1.d79654a96a162p-3, -0x1.d022eb95e7fb8p-3, -0x1.c8c190ad4ac11p-3, -0x1.c1726a3fce7c8p-3, -0x1.ba359bbb0cc5ep-3, -0x1.b30b45ba3d44bp-3, -0x1.abf3861659367p-3, -0x1.a4ee77f62e3e6p-3, -0x1.9dfc33de50aap-3, -0x1.971ccfc0fb3c7p-3, -0x1.90505f0dca087p-3, -0x1.8996f2c15ae7p-3, -0x1.82f09974ce433p-3, -0x1.7c5d5f6d2679ep-3, -0x1.75dd4eaa89503p-3, -0x1.6f706ef755703p-3, -0x1.6916c5f71f43dp-3, -0x1.62d057357d6edp-3, -0x1.5c9d2434b59eap-3, -0x1.567d2c7c4468bp-3, -0x1.50706da73223dp-3, -0x1.4a76e37249dap-3, -0x1.449087ca219b6p-3, -0x1.3ebd52d8f6d64p-3, -0x1.38fd3b146239p-3, -0x1.3350354addd63p-3, -0x1.2db634b11e6d3p-3, -0x1.282f2aef40b71p-3, -0x1.22bb082dc6532p-3, -0x1.1d59bb2266b82p-3, -0x1.180b311cb0a5ep-3, -0x1.12cf56127892ap-3, -0x1.0da614ac1f82cp-3, -0x1.088f5650a358p-3, -0x1.038b03317dde5p-3, -0x1.fd3204acb33f8p-4, -0x1.f37273511cdafp-4, -0x1.e9d71bfce59cdp-4, -0x1.e05fc64cedca1p-4, -0x1.d70c37e42bfb3p-4, -0x1.cddc348115138p-4, -0x1.c4cf7e12b6d0ap-4, -0x1.bbe5d4cd68cc4p-4, -0x1.b31ef73f13f08p-4, -0x1.aa7aa2631aecbp-4, -0x1.a1f891b5e3aa8p-4, -0x1.99987f47f8447p-4, -0x1.915a23d0c6b27p-4, -0x1.893d36c10069bp-4, -0x1.81416e549500fp-4, -0x1.79667fa44c412p-4, -0x1.71ac1eb6ff45fp-4, -0x1.6a11fe92710aap-4, -0x1.6297d14bc4cc2p-4, -0x1.5b3d481797017p-4, -0x1.54021359b564ep-4, -0x1.4ce5e2b47a1a8p-4, -0x1.45e86517c69bap-4, -0x1.3f0948cfa4ea9p-4, -0x1.38483b92885dcp-4, -0x1.31a4ea8f3675ap-4, -0x1.2b1f027a53293p-4, -0x1.24b62f9b92123p-4, -0x1.1e6a1dda91653p-4, -0x1.183a78cb5aaadp-4, -0x1.1226ebba8c369p-4, -0x1.0c2f21b92d78ap-4, -0x1.0652c5a82ceedp-4, -0x1.009182438b0c5p-4, -0x1.f5d6045a5e37p-5, -0x1.eabddfeedcb9fp-5, -0x1.dfd9ec5e798d1p-5, -0x1.d5297ecc2276bp-5, -0x1.caabec76f47f7p-5, -0x1.c0608accc4e94p-5, -0x1.b646af7c187c5p-5, -0x1.ac5db0857792dp-5, -0x1.a2a4e44c3d258p-5, -0x1.991ba1a6c23c8p-5, -0x1.8fc13fee05156p-5, -0x1.8695170cbc82ep-5, -0x1.7d967f8de0acp-5, -0x1.74c4d2aaaa936p-5, -0x1.6c1f6a580cdd3p-5, -0x1.63a5a153a5d2bp-5, -0x1.5b56d3303208fp-5, -0x1.53325c617f4e1p-5, -0x1.4b379a47dba6ap-5, -0x1.4365eb3b11f0fp-5, -0x1.3bbcae94e946dp-5, -0x1.343b44bb2d196p-5, -0x1.2ce10f29423ecp-5, -0x1.25ad70794d855p-5, -0x1.1e9fcc6ce51d7p-5, -0x1.17b787f55a912p-5, -0x1.10f4093b958dfp-5, -0x1.0a54b7a78a67bp-5, -0x1.03d8fbe74a385p-5, -0x1.fb007feb53993p-6, -0x1.ee93de4120809p-6, -0x1.e26aec1dbe6f4p-6, -0x1.d684858c0645cp-6, -0x1.cadf895e4a6c7p-6, -0x1.bf7ad9380e5cdp-6, -0x1.b455599713dfcp-6, -0x1.a96df1dbbbe41p-6, -0x1.9ec38c50c4c84p-6, -0x1.9455163270a53p-6, -0x1.8a217fb5014d7p-6, -0x1.8027bc0ab43aep-6, -0x1.7666c1690ddc3p-6, -0x1.6cdd890db6674p-6, -0x1.638b0f42b41ecp-6, -0x1.5a6e53622df74p-6, -0x1.518657d99eae7p-6, -0x1.48d2222c98b47p-6, -0x1.4050baf700283p-6, -0x1.38012deed9de2p-6, -0x1.2fe289e59c713p-6, -0x1.27f3e0c91f841p-6, -0x1.203447a40c57bp-6, -0x1.18a2d69df8893p-6, -0x1.113ea8fb1308bp-6, -0x1.0a06dd1b6836dp-6, -0x1.02fa9479d94edp-6, -0x1.f831e7555a261p-7, -0x1.eac244b38ccf2p-7, -0x1.dda4969127b43p-7, -0x1.d0d73897394b1p-7, -0x1.c4588c8fa262ep-7, -0x1.b826fa5f002d1p-7, -0x1.ac40effe24475p-7, -0x1.a0a4e172ec54dp-7, -0x1.955148c89984fp-7, -0x1.8a44a607b1e1dp-7, -0x1.7f7d7f2d6024cp-7, -0x1.74fa60225eba6p-7, -0x1.6ab9dab17c09fp-7, -0x1.60ba867da5b39p-7, -0x1.56fb00f7a4ff2p-7, -0x1.4d79ed535ca02p-7, -0x1.4435f47ccceaap-7, -0x1.3b2dc50cac5ep-7, -0x1.3260133cae468p-7, -0x1.29cb98db89566p-7, -0x1.216f1540a5281p-7, -0x1.19494d3f8793ep-7, -0x1.11590b1b15443p-7, -0x1.099d1e786a243p-7, -0x1.02145c51a9c98p-7, -0x1.f57b3dd0e48c5p-8, -0x1.e72f8b706f83fp-8, -0x1.d9436ad0cc304p-8, -0x1.cbb4af7cb4692p-8, -0x1.be81371e78656p-8, -0x1.b1a6e9634b63dp-8, -0x1.a523b7de68133p-8, -0x1.98f59dec04913p-8, -0x1.8d1aa093dc02bp-8, -0x1.8190ce6bdd543p-8, -0x1.76563f7a706cbp-8, -0x1.6b69151898793p-8, -0x1.60c779d4229aap-8, -0x1.566fa151941f1p-8, -0x1.4c5fc82e1f33ap-8, -0x1.429633e1741fep-8, -0x1.3911329f9c5a7p-8, -0x1.2fcf1b3aba509p-8, -0x1.26ce4d04c9bddp-8, -0x1.1e0d2fb17be1p-8, -0x1.158a333801f6p-8, -0x1.0d43cfb4dba02p-8, -0x1.0538854bdf986p-8, -0x1.facdb8142874p-9, -0x1.eb9ac78fa42c5p-9, -0x1.dcd56815e5d3fp-9, -0x1.ce7ad7d20abb8p-9, -0x1.c08863d37cd17p-9, -0x1.b2fb67d2e76d4p-9, -0x1.a5d14df7b065dp-9, -0x1.99078e9d7c69dp-9, -0x1.8c9bb01a2990bp-9, -0x1.808b46840f295p-9, -0x1.74d3f378cf572p-9, -0x1.697365e44834ep-9, -0x1.5e6759c81636p-9, -0x1.53ad98036dc93p-9, -0x1.4943f61b51de3p-9, -0x1.3f28560360ba5p-9, -0x1.3558a5e708626p-9, -0x1.2bd2dff31c682p-9, -0x1.22950a201d9c7p-9, -0x1.199d35fcaad9ep-9, -0x1.10e98078bac82p-9, -0x1.087811b143f64p-9, -0x1.00471cbc56ac1p-9, -0x1.f0a9beeb9fb63p-10, -0x1.e13f449916928p-10, -0x1.d24b70209ba28p-10, -0x1.c3cafb7fbefa2p-10, -0x1.b5bab4b030834p-10, -0x1.a8177d4651ee9p-10, -0x1.9ade4a1159759p-10, -0x1.8e0c22bc9057ap-10, -0x1.819e217173a4ap-10, -0x1.7591727b4412bp-10, -0x1.69e353eb87e6p-10, -0x1.5e91153feaffdp-10, -0x1.5398170942895p-10, -0x1.48f5ca93776d5p-10, -0x1.3ea7b18f0625dp-10, -0x1.34ab5dbb5353ep-10, -0x1.2afe7092a44e9p-10, -0x1.219e9af6a58e1p-10, -0x1.18899cdecb184p-10, -0x1.0fbd45073388p-10, -0x1.073770a150d1p-10, -0x1.fdec160a99677p-11, -0x1.edee1aca153fdp-11, -0x1.de70fcffbf113p-11, -0x1.cf70e4af90d3dp-11, -0x1.c0ea13cf65075p-11, -0x1.b2d8e5b5b60d4p-11, -0x1.a539ce8afd005p-11, -0x1.98095abcba963p-11, -0x1.8b442e73d368ap-11, -0x1.7ee7050c0fa16p-11, -0x1.72eeb08eaab8dp-11, -0x1.6758192ee8e5cp-11, -0x1.5c203cc8d0697p-11, -0x1.51442e61e0379p-11, -0x1.46c115ac935d5p-11, -0x1.3c942e8d7707dp-11, -0x1.32bac8a3003a6p-11, -0x1.293246ceb4a42p-11, -0x1.1ff81ec17de15p-11, -0x1.1709d8890432fp-11, -0x1.0e650e2026ccbp-11, -0x1.06076b0088a81p-11, -0x1.fbdd576df74f2p-12, -0x1.ec313af2e0c61p-12, -0x1.dd063b7dde098p-12, -0x1.ce5833b3c94ebp-12, -0x1.c0231d281100dp-12, -0x1.b2630f9854452p-12, -0x1.a514402ce9cd5p-12, -0x1.983300bb880ccp-12, -0x1.8bbbbf0f1ee3ep-12, -0x1.7fab043258706p-12, -0x1.73fd73be76c2p-12, -0x1.68afcb2d30858p-12, -0x1.5dbee12ecb817p-12, -0x1.5327a502c24bp-12, -0x1.48e71dd4cfe19p-12, -0x1.3efa6a1cf37f2p-12, -0x1.355ebf02daf49p-12, -0x1.2c1167c46e36ep-12, -0x1.230fc52010bbp-12, -0x1.1a574cc1777fcp-12, -0x1.11e588b2267d4p-12, -0x1.09b816cd13531p-12, -0x1.01cca834c538p-12, -0x1.f442019b23b84p-13, -0x1.e565ed72e106p-13, -0x1.d700e3b05239bp-13, -0x1.c90ed691de86ap-13, -0x1.bb8bd9e06fc16p-13, -0x1.ae7421fe6b74bp-13, -0x1.a1c402fdf80ebp-13, -0x1.9577efbb17d64p-13, -0x1.898c78fbddba7p-13, -0x1.7dfe4c9663b4dp-13, -0x1.72ca349ae9d38p-13, -0x1.67ed16839101ap-13, -0x1.5d63f26893223p-13, -0x1.532be239da905p-13, -0x1.494218fc0606ep-13, -0x1.3fa3e20ce5a87p-13, -0x1.364ea06991dbap-13, -0x1.2d3fcdfa81e14p-13, -0x1.2474fae4849dep-13, -0x1.1bebccdcd2055p-13, -0x1.13a1fe81feb91p-13, -0x1.0b955eba19024p-13, -0x1.03c3d0120af41p-13, -0x1.f85690485b41fp-14, -0x1.e9939e0201b29p-14, -0x1.db3afd38e47eep-14, -0x1.cd49047c9334ap-14, -0x1.bfba2bedbe43cp-14, -0x1.b28b0c2f9ad3p-14, -0x1.a5b85d5ddd1dap-14, -0x1.993ef60cb5022p-14, -0x1.8d1bca4d69073p-14, -0x1.814beab9aad6p-14, -0x1.75cc8386a0d24p-14, -0x1.6a9adb9e019e2p-14, -0x1.5fb453bd2efc7p-14, -0x1.5516659a6d9bdp-14, -0x1.4abea30fe3dd8p-14, -0x1.40aab54f4a77ap-14, -0x1.36d85c1617979p-14, -0x1.2d456cebbb83fp-14, -0x1.23efd2630d7a1p-14, -0x1.1ad58b60fd76ap-14, -0x1.11f4aa6b40776p-14, -0x1.094b54f8ea26cp-14, -0x1.00d7c2c9e0c56p-14, -0x1.f1307a83b9495p-15, -0x1.e1163d92ee0eep-15, -0x1.d15da467f75ecp-15, -0x1.c203a452899acp-15, -0x1.b30551261b964p-15, -0x1.a45fdc20d6eb2p-15, -0x1.961092d7d5decp-15, -0x1.8814de2dbb329p-15, -0x1.7a6a41513b6b6p-15, -0x1.6d0e58c32dff6p-15, -0x1.5ffed962d5303p-15, -0x1.53398f84c6117p-15, -0x1.46bc5e0f771d8p-15, -0x1.3a853d9e207cp-15, -0x1.2e923bacfe522p-15, -0x1.22e179c7e9dfep-15, -0x1.17712cc37ef8bp-15, -0x1.0c3f9bfb7dc17p-15, -0x1.014b20984b7d7p-15, -0x1.ed2449b211a07p-16, -0x1.d82646c91737ap-16, -0x1.c3994d3e0c36cp-16, -0x1.af7a900f2abcfp-16, -0x1.9bc75f33a5e55p-16, -0x1.887d2666daabfp-16, -0x1.75996c040528fp-16, -0x1.6319cfe622699p-16, -0x1.50fc0a5540271p-16, -0x1.3f3deafcb5d55p-16, -0x1.2ddd57e95cdap-16, -0x1.1cd84c90fc536p-16, -0x1.0c2cd8e5064e9p-16, -0x1.f7b240d2e9466p-17, -0x1.d7b6b2b3bdc0bp-17, -0x1.b86397a98e843p-17, -0x1.99b5a21087615p-17, -0x1.7ba9a4da21a28p-17, -0x1.5e3c920e474eep-17, -0x1.416b7958d55b7p-17, -0x1.253386ac8c784p-17, -0x1.099200e6e7df5p-17, -0x1.dd089120ed6b3p-18, -0x1.a80fad319519dp-18, -0x1.74347659e6775p-18, -0x1.4172391d970f3p-18, -0x1.0fc46c0843689p-18, -0x1.be4d5b27865e6p-19, -0x1.5f298427bbe6p-19, -0x1.021523aef2d0dp-19, -0x1.4e109d28da80ep-20, -0x1.37ed69857d1a3p-21, 0x1.2324c3e4d1808p-24, 0x1.78f198a1bc6dbp-21, 0x1.62eac3f7254bdp-20, 0x1.02cae200d8362p-19, 0x1.52437d869ac4p-19, 0x1.9fe59d8987a08p-19, 0x1.ebb77f449052dp-19, 0x1.1adf9b520f8bap-18, 0x1.3f01586273391p-18, 0x1.6243db11d4126p-18, 0x1.84a9f6630c148p-18, 0x1.a6366d22b88bcp-18, 0x1.c6ebf2e9434b1p-18, 0x1.e6cd2d02a6511p-18, 0x1.02ee59a806932p-17, 0x1.120e888ef3eadp-17, 0x1.20c862f9a06bp-17, 0x1.2f1d232aaf412p-17, 0x1.3d0dfe3f66a4ap-17, 0x1.4a9c2482f716cp-17, 0x1.57c8c1c46c271p-17, 0x1.6494fda5a5f04p-17, 0x1.7101fbde63c5dp-17, 0x1.7d10dc84a4a8fp-17, 0x1.88c2bc4f6141cp-17, 0x1.9418b4d33fd04p-17, 0x1.9f13dcbc3f54fp-17, 0x1.a9b54802a3d6p-17, 0x1.b3fe081d43102p-17, 0x1.bdef2c318aee4p-17, 0x1.c789c13f4db2dp-17, 0x1.d0ced24c0f4eep-17, 0x1.d9bf688549acbp-17, 0x1.e25c8b673a8c2p-17, 0x1.eaa740de653e9p-17, 0x1.f2a08d64b8f02p-17, 0x1.fa49741bcc6c4p-17, 0x1.00d17b7476686p-16, 0x1.04570b4607d86p-16, 0x1.07b5e95af2eb2p-16, 0x1.0aee950cba265p-16, 0x1.0e018d402455dp-16, 0x1.10ef506b8fae4p-16, 0x1.13b85c9fae77cp-16, 0x1.165d2f8d73de1p-16, 0x1.18de468a55732p-16, 0x1.1b3c1e95b1f85p-16, 0x1.1d77345cdaac9p-16, 0x1.1f90043ecec84p-16, 0x1.21870a4ea676dp-16, 0x1.235cc2553a898p-16, 0x1.2511a7d2f25b1p-16, 0x1.26a6360174284p-16, 0x1.281ae7d4495a2p-16, 0x1.297037f807cb4p-16, 0x1.2aa6a0d367eb9p-16, 0x1.2bbe9c84de1a2p-16, 0x1.2cb8a4e329517p-16, 0x1.2d95337b2e134p-16, 0x1.2e54c18ddfbddp-16, 0x1.2ef7c80dda9d7p-16, 0x1.2f7ebf9e4240fp-16, 0x1.2fea20902cb48p-16, 0x1.303a62de9ef7ap-16, 0x1.306ffe2c477b8p-16, 0x1.308b69bf67dc7p-16, 0x1.308d1c7ecfb46p-16, 0x1.30758ceef2cefp-16, 0x1.3045312cfab69p-16, 0x1.2ffc7eec53156p-16, 0x1.2f9beb71302fep-16, 0x1.2f23eb8d79dd5p-16, 0x1.2e94f39ca78ffp-16, 0x1.2def777e81e63p-16, 0x1.2d33ea92cf243p-16, 0x1.2c62bfb570cecp-16, 0x1.2b7c693a3aa87p-16, 0x1.2a8158e883111p-16, 0x1.2971fff5ebcb3p-16, 0x1.284ecf020688cp-16, 0x1.2718361254426p-16, 0x1.25cea48da043fp-16, 0x1.2472893724761p-16, 0x1.2304522b0b21ap-16, 0x1.21846cd9461f4p-16, 0x1.1ff3460127239p-16, 0x1.1e5149adc6da1p-16, 0x1.1c9ee3313ecbfp-16, 0x1.1adc7d20499a2p-16, 0x1.190a814db7fa8p-16, 0x1.172958c791bb4p-16, 0x1.15396bd268e27p-16, 0x1.133b21e59b504p-16, 0x1.112ee1a72116bp-16, 0x1.0f1510e87b0bdp-16, 0x1.0cee14a1d713p-16, 0x1.0aba50f004414p-16, 0x1.087a290fa700ap-16, 0x1.062dff5b4219ep-16, 0x1.03d63546f3084p-16, 0x1.01732b5d29103p-16, 0x1.fe0a82784da2p-17, 0x1.f919ab25cc10cp-17, 0x1.f4148c3c34a42p-17, 0x1.eefbdf4a7355ep-17, 0x1.e9d05bef9724fp-17, 0x1.e492b7d84b012p-17, 0x1.df43a6b65b6b5p-17, 0x1.d9e3da3ec0f08p-17, 0x1.d4740224414d4p-17, 0x1.cef4cc137e9fdp-17, 0x1.c966e3ae1029cp-17, 0x1.c3caf2888b596p-17, 0x1.be21a026c28a8p-17, 0x1.b86b91f8237b6p-17, 0x1.b2a96b53a83a8p-17, 0x1.acdbcd7701dc6p-17, 0x1.a70357820d79p-17, 0x1.a120a6760ebbfp-17, 0x1.9b3455329741ep-17, 0x1.953efc738fa29p-17, 0x1.8f4132cfea88dp-17, 0x1.893b8cb8c3e09p-17, 0x1.832e9c765af0ep-17, 0x1.7d1af228a3ea9p-17, 0x1.77011bc59ec41p-17, 0x1.70e1a518cfc1dp-17, 0x1.6abd17c21f3b2p-17, 0x1.6493fb3706cdcp-17, 0x1.5e66d4c2a137fp-17, 0x1.58362783f71e4p-17, 0x1.5202746ec75d9p-17, 0x1.4bcc3a4d52565p-17, 0x1.4593f5bf720b5p-17, 0x1.3f5a213b74771p-17, 0x1.391f3510983f4p-17, 0x1.32e3a766c81b8p-17, 0x1.2ca7ec40cfe8dp-17, 0x1.266c757d79251p-17, 0x1.2031b2d9410b7p-17, 0x1.19f811ef9a3eap-17, 0x1.13bffe3e47dafp-17, 0x1.0d89e125bc4ap-17, 0x1.075621eca2e1ep-17, 0x1.012525c12d602p-17, 0x1.f5ee9f7b7eb32p-18, 0x1.e99a01d352ddcp-18, 0x1.dd4d30780880bp-18, 0x1.d108e54003df7p-18, 0x1.c4cdd5ec2b69fp-18, 0x1.b89cb4302fab6p-18, 0x1.ac762db8aaf9bp-18, 0x1.a05aec3294ae1p-18, 0x1.944b9550c1265p-18, 0x1.8848cad5b8534p-18, 0x1.7c532a98c6c26p-18, 0x1.706b4e8d5aa48p-18, 0x1.6491cccbe3592p-18, 0x1.58c7379a5e406p-18, 0x1.4d0c1d728ce62p-18, 0x1.4161090b197p-18, 0x1.35c68160c6499p-18, 0x1.2a3d09bec3555p-18, 0x1.1ec521c6acf04p-18, 0x1.135f4578ee1b6p-18, 0x1.080bed3f94654p-18, 0x1.f9971bec9f01p-19, 0x1.e33d31e3b9fcp-19, 0x1.cd0af81952c22p-19, 0x1.b701435bb320cp-19, 0x1.a120e1a6b458dp-19, 0x1.8b6a9a3ac977cp-19, 0x1.75df2dacc44bcp-19, 0x1.607f55f713ed1p-19, 0x1.4b4bc691f5a93p-19, 0x1.36452c8678117p-19, 0x1.216c2e80f3b05p-19, 0x1.0cc16ce415033p-19, 0x1.f08b03c2fb9c6p-20, 0x1.c7f2031702a18p-20, 0x1.9fb8f3cfb7a02p-20, 0x1.77e0e60db5d3dp-20, 0x1.506ade3063af1p-20, 0x1.2957d4fb0c9fbp-20, 0x1.02a8b7bf54ba4p-20, 0x1.b8bcd1088a43fp-21, 0x1.6cf37c6ef1cbep-21, 0x1.21f7099eac92ap-21, 0x1.af91f5c722f05p-22, 0x1.1cd57aa295031p-22, 0x1.1776a44a85f3bp-23, -0x1.dcfe5e5f1309ep-29, -0x1.23102736c597ep-23, -0x1.1dacbbede0901p-22, -0x1.a825e67a86566p-22, -0x1.1878d5592022ap-21, -0x1.5c072304f5d28p-21, -0x1.9ebd0da1b272ep-21, -0x1.e099d8f099fc9p-21, -0x1.10ce6d61164a3p-20, -0x1.30e2bd4e8be05p-20, -0x1.508998b629306p-20, -0x1.6fc2c49d5fc75p-20, -0x1.8e8e0e6c6d957p-20, -0x1.aceb4bc572a36p-20, -0x1.cada5a5d00f02p-20, -0x1.e85b1fd8d581p-20, -0x1.02b6c4d28d008p-19, -0x1.1108c66201755p-19, -0x1.1f2392d8eb5e5p-19, -0x1.2d072c207910fp-19, -0x1.3ab397b4d510ap-19, -0x1.4828de93d10a5p-19, -0x1.55670d2a38161p-19, -0x1.626e3342b5a66p-19, -0x1.6f3e63f09578ep-19, }}, 
      {{-0x1.b25012fd563f4p-1, -0x1.b2368795c311cp-1, -0x1.b20afed42894p-1, -0x1.b1cc17a4647d5p-1, -0x1.b177fe87d2f1cp-1, -0x1.b10c820d53d11p-1, -0x1.b087280c026c5p-1, -0x1.afe54272f8f8ep-1, -0x1.af2402e7a6aa8p-1, -0x1.ae408cb7e973dp-1, -0x1.ad3804dbf847ep-1, -0x1.ac079feb72653p-1, -0x1.aaacae0468d2dp-1, -0x1.a924a4b60a968p-1, -0x1.a76d270cf65f1p-1, -0x1.a5840be6b6f81p-1, -0x1.a36762b612b05p-1, -0x1.a11576e34a613p-1, -0x1.9e8cd1f336256p-1, -0x1.9bcc3c9e99a03p-1, -0x1.98d2bf00be218p-1, -0x1.959fa00183938p-1, -0x1.9232641bef70dp-1, -0x1.8e8acb9f070d3p-1, -0x1.8aa8d08380648p-1, -0x1.868ca3edb3c21p-1, -0x1.8236ab703df14p-1, -0x1.7da77e2100572p-1, -0x1.78dfe18f9d3cap-1, -0x1.73e0c6aa44bf4p-1, -0x1.6eab469b8f686p-1, -0x1.69409faa536bep-1, -0x1.63a23222be6dep-1, -0x1.5dd17d4e94612p-1, -0x1.57d01c813f531p-1, -0x1.519fc43b4cd51p-1, -0x1.4b423f6811aa8p-1, -0x1.44b96cb76cd85p-1, -0x1.3e073c1502746p-1, -0x1.372dac3dc0df7p-1, -0x1.302ec87415913p-1, -0x1.290ca652ddc6cp-1, -0x1.21c963beda58p-1, -0x1.1a6724f633403p-1, -0x1.12e812bd6bdd6p-1, -0x1.0b4e58a90ddc4p-1, -0x1.039c23832cb73p-1, -0x1.f7a73f97c0c2ap-2, -0x1.e7edf0a77db35p-2, -0x1.d810a9deb930ep-2, -0x1.c813b285aa635p-2, -0x1.b7fb4748be22ap-2, -0x1.a7cb9829d8a8bp-2, -0x1.9788c69bca9f9p-2, -0x1.8736e3c6057d9p-2, -0x1.76d9eeeebec07p-2, -0x1.6675d409aef42p-2, -0x1.560e6a69ab0a9p-2, -0x1.45a77393649d7p-2, -0x1.35449a2faca3ap-2, -0x1.24e9711ba31cfp-2, -0x1.1499729543795p-2, -0x1.0457ff82d9388p-2, -0x1.e850bda7d402p-3, -0x1.c81b79f46c6e6p-3, -0x1.a81656f2ea268p-3, -0x1.88474119172f3p-3, -0x1.68b3edbdf72e2p-3, -0x1.4961dab2b403ap-3, -0x1.2a564dff56294p-3, -0x1.0b9655c0ffe54p-3, -0x1.da4d904f452e2p-4, -0x1.9e188722143efp-4, -0x1.62965d7eac673p-4, -0x1.27cf7251f2aep-4, -0x1.db976d81a0d8bp-5, -0x1.69255e470ae37p-5, -0x1.f0add0a63745p-6, -0x1.1272d08ba5eb3p-6, -0x1.bd968d77abdbfp-9, 0x1.3ef5684525486p-7, 0x1.72ffe02063b79p-6, 0x1.216430c0156a6p-5, 0x1.8760b808d73c7p-5, 0x1.eb6ce2434d186p-5, 0x1.26c0641bd8e26p-4, 0x1.56ca9d7d806adp-4, 0x1.85d1dfd7ac46bp-4, 0x1.b3d34595a4e13p-4, 0x1.e0cc3ec5e6f03p-4, 0x1.065d476d128cp-3, 0x1.1bce253000a83p-3, 0x1.30b7ea5a00ccbp-3, 0x1.4519eed8193f3p-3, 0x1.58f3afabee15bp-3, 0x1.6c44cdc0c35e9p-3, 0x1.7f0d0cc0453b8p-3, 0x1.914c51e7973b5p-3, 0x1.a302a2dd4b0a7p-3, 0x1.b43024889209bp-3, 0x1.c4d519ea465dbp-3, 0x1.d4f1e2f80e507p-3, 0x1.e486fb7a1fb7fp-3, 0x1.f394f9ebdacd7p-3, 0x1.010e472fd5a43p-2, 0x1.080f40b334e64p-2, 0x1.0ecdd97d4436fp-2, 0x1.154a8cb7a30e6p-2, 0x1.1b85e0321578p-2, 0x1.218063de74baap-2, 0x1.273ab14ef8c66p-2, 0x1.2cb56b36e0206p-2, 0x1.31f13ced90aeep-2, 0x1.36eed9f43e284p-2, 0x1.3baefd7e22744p-2, 0x1.403269fb56f3ap-2, 0x1.4479e8a653f63p-2, 0x1.48864914200b3p-2, 0x1.4c5860c737877p-2, 0x1.4ff10ac52b61p-2, 0x1.5351272f01ecep-2, 0x1.56799adc52e76p-2, 0x1.596b4ef928e4p-2, 0x1.5c2730a69e076p-2, 0x1.5eae309e39c3p-2, 0x1.610142d809dafp-2, 0x1.63215e33724fcp-2, 0x1.650f7c22b49d7p-2, 0x1.66cc9859203bfp-2, 0x1.6859b07bf1383p-2, 0x1.69b7c3d5cfb3dp-2, 0x1.6ae7d30ce69e9p-2, 0x1.6beadfdb96801p-2, 0x1.6cc1eccbaa5e8p-2, 0x1.6d6dfcf4155c4p-2, 0x1.6df013b929a65p-2, 0x1.6e49348f3b837p-2, 0x1.6e7a62bfb0825p-2, 0x1.6e84a130668d4p-2, 0x1.6e68f22d6f5d5p-2, 0x1.6e285735138ccp-2, 0x1.6dc3d0c611684p-2, 0x1.6d3c5e300d61ap-2, 0x1.6c92fd662a76ep-2, 0x1.6bc8aad3bd5c5p-2, 0x1.6ade61330e88dp-2, 0x1.69d5196623abcp-2, 0x1.68adca5180451p-2, 0x1.676968b8d2d2bp-2, 0x1.6608e71d886a2p-2, 0x1.648d359f31a26p-2, 0x1.62f741ddb70bfp-2, 0x1.6147f6dd48fb1p-2, 0x1.5f803cec06afdp-2, 0x1.5da0f9894bb45p-2, 0x1.5bab0f4e9d493p-2, 0x1.599f5dda24f6ap-2, 0x1.577ec1bab59f1p-2, 0x1.554a145d490a4p-2, 0x1.53022bfbf2d6p-2, 0x1.50a7db8e302a1p-2, 0x1.4e3bf2ba9a58ap-2, 0x1.4bbf3dc9e43a4p-2, 0x1.4932859b1ec0ep-2, 0x1.46968f9936aecp-2, 0x1.43ec1db1a3f7bp-2, 0x1.4133ee4c3eecp-2, 0x1.3e6ebc44302f3p-2, 0x1.3b9d3ee1f5c25p-2, 0x1.38c029d66c6b4p-2, 0x1.35d82d36dad61p-2, 0x1.32e5f579f2902p-2, 0x1.2fea2b75b8595p-2, 0x1.2ce5745e566fap-2, 0x1.29d871c5c2d66p-2, 0x1.26c3c19c3aec6p-2, 0x1.23a7fe3183289p-2, 0x1.2085be36ecc0bp-2, 0x1.1d5d94c20ec04p-2, 0x1.1a301150305d5p-2, 0x1.16fdbfca5b4f3p-2, 0x1.13c7288a0dca7p-2, 0x1.108cd05e86dcap-2, 0x1.0d4f3892a065ep-2, 0x1.0a0edef33720cp-2, 0x1.06cc3dd610732p-2, 0x1.0387cc2143bfbp-2, 0x1.0041fd5310586p-2, 0x1.f9f683144ffc5p-3, 0x1.f3680b1cc0943p-3, 0x1.ecd965b388cffp-3, 0x1.e64b5f440f255p-3, 0x1.dfbebdc48d758p-3, 0x1.d93440ca40c15p-3, 0x1.d2aca19e2f474p-3, 0x1.cc2893526e2d4p-3, 0x1.c5a8c2d7f4c77p-3, 0x1.bf2dd714df956p-3, 0x1.b8b870fb22f52p-3, 0x1.b2492b9f9cd59p-3, 0x1.abe09c51872a9p-3, 0x1.a57f52b235258p-3, 0x1.9f25d8cd1cf46p-3, 0x1.98d4b3301ff4ep-3, 0x1.928c61040cf4fp-3, 0x1.8c4d5c254f5p-3, 0x1.8618193ccbc92p-3, 0x1.7fed07d8db4dap-3, 0x1.79cc928662be5p-3, 0x1.73b71ee9fd31ep-3, 0x1.6dad0dd936ed5p-3, 0x1.67aebb73ce84ep-3, 0x1.61bc7f3cf43aap-3, 0x1.5bd6ac348c004p-3, 0x1.55fd90f06328fp-3, 0x1.503177b552c09p-3, 0x1.4a72a6905ada3p-3, 0x1.44c15f6f9648bp-3, 0x1.3f1de03b1e82ep-3, 0x1.398862edc710ep-3, 0x1.34011dadb94f2p-3, 0x1.2e8842e4de0e2p-3, 0x1.291e01592787ep-3, 0x1.23c28444a147p-3, 0x1.1e75f36d508edp-3, 0x1.1938733cdb96p-3, 0x1.140a24d7fcdc2p-3, 0x1.0eeb2635b567bp-3, 0x1.09db92363decdp-3, 0x1.04db80b9c089bp-3, 0x1.ffd60d6d84ef2p-4, 0x1.f6146ca0a91ep-4, 0x1.ec723dd7deb64p-4, 0x1.e2ef9a8e2333ap-4, 0x1.d98c9719181acp-4, 0x1.d04942d306d5dp-4, 0x1.c725a844447abp-4, 0x1.be21cd4c038d1p-4, 0x1.b53db3486ecb3p-4, 0x1.ac79573e357b9p-4, 0x1.a3d4b1ff67ce4p-4, 0x1.9b4fb851afa35p-4, 0x1.92ea5b13e3c5ep-4, 0x1.8aa48762ea874p-4, 0x1.827e26bdfbbc4p-4, 0x1.7a771f2a310bep-4, 0x1.728f53556cd4dp-4, 0x1.6ac6a2b894d82p-4, 0x1.631ce9b922c69p-4, 0x1.5b9201ca01b73p-4, 0x1.5425c18bc8022p-4, 0x1.4cd7fcec3d7e2p-4, 0x1.45a885453b24bp-4, 0x1.3e97297ada702p-4, 0x1.37a3b618ff01fp-4, 0x1.30cdf5703110fp-4, 0x1.2a15afb1d16bfp-4, 0x1.237aab0ba4c63p-4, 0x1.1cfcabc2b8c57p-4, 0x1.169b744d9db68p-4, 0x1.1056c56e0382ep-4, 0x1.0a2e5e49ab208p-4, 0x1.0421fc82bb422p-4, 0x1.fc62b89edef9ap-5, 0x1.f0b871225f375p-5, 0x1.e54495d600b46p-5, 0x1.da0697aebf48cp-5, 0x1.cefde57b0504ep-5, 0x1.c429ec0bfa438p-5, 0x1.b98a165da77ffp-5, 0x1.af1dcdbdec752p-5, 0x1.a4e479f254f76p-5, 0x1.9add815ccf0d3p-5, 0x1.9108491f3e0eep-5, 0x1.8764353df9394p-5, 0x1.7df0a8c1355a2p-5, 0x1.74ad05d5636fap-5, 0x1.6b98adea75ce2p-5, 0x1.62b301d22d93ep-5, 0x1.59fb61dd5cb52p-5, 0x1.51712df82c77bp-5, 0x1.4913c5c565e5bp-5, 0x1.40e288b8cc683p-5, 0x1.38dcd6307fa0dp-5, 0x1.31020d8d77822p-5, 0x1.29518e4b12359p-5, 0x1.21cab815c2957p-5, 0x1.1a6ceae0e157dp-5, 0x1.133786fba2527p-5, 0x1.0c29ed25304dcp-5, 0x1.05437e9ffcc6bp-5, 0x1.fd073a8888a52p-6, 0x1.efd357238354ap-6, 0x1.e2ea1981586cfp-6, 0x1.d64a49a3c91dp-6, 0x1.c9f2b13cebf21p-6, 0x1.bde21bccbae3ap-6, 0x1.b21756bd2c6bap-6, 0x1.a691317d034a7p-6, 0x1.9b4e7d9949b6p-6, 0x1.904e0ed5795abp-6, 0x1.858ebb42681ccp-6, 0x1.7b0f5b53f3f6fp-6, 0x1.70cec9f585313p-6, 0x1.66cbe49d641d1p-6, 0x1.5d058b5ee529fp-6, 0x1.537aa0fb909b7p-6, 0x1.4a2a0af3198dbp-6, 0x1.4112b19265b8ep-6, 0x1.38338001842c4p-6, 0x1.2f8b6450af27fp-6, 0x1.27194f845a7c1p-6, 0x1.1edc35a04a35ep-6, 0x1.16d30db1d901cp-6, 0x1.0efcd1d94a5fap-6, 0x1.07587f52571abp-6, 0x1.ffca2cf7afbddp-7, 0x1.f14335bd7b8cbp-7, 0x1.e31a26686453ap-7, 0x1.d54d12d5fef88p-7, 0x1.c7da15589744dp-7, 0x1.babf4ebf29ff8p-7, 0x1.adfae65c3341ap-7, 0x1.a18b0a0b02352p-7, 0x1.956dee33fe9cap-7, 0x1.89a1cdcf985d8p-7, 0x1.7e24ea682ba28p-7, 0x1.72f58c1ac313fp-7, 0x1.68120196c365fp-7, 0x1.5d78a01ca2059p-7, 0x1.5327c37b91c69p-7, 0x1.491dce0e39476p-7, 0x1.3f5928b6a32c6p-7, 0x1.35d842d92510ep-7, 0x1.2c9992569f219p-7, 0x1.239b9385d704fp-7, 0x1.1adcc92c0be61p-7, 0x1.125bbc74e5d67p-7, 0x1.0a16fce9afa22p-7, 0x1.020d2067db3b6p-7, 0x1.f479862dee50cp-8, 0x1.e5490ebc26876p-8, 0x1.d6862bb0ebf9bp-8, 0x1.c82e3a93ba223p-8, 0x1.ba3ea5249720bp-8, 0x1.acb4e142800f2p-8, 0x1.9f8e70d10dc48p-8, 0x1.92c8e19d6f4dep-8, 0x1.8661cd421962bp-8, 0x1.7a56d90a4c79dp-8, 0x1.6ea5b5d47939fp-8, 0x1.634c1ff43b5dap-8, 0x1.5847df13913ebp-8, 0x1.4d96c613adc4ap-8, 0x1.4336b2ed2d43ep-8, 0x1.39258e8fc0ffbp-8, 0x1.2f614cc183b33p-8, 0x1.25e7ebfdd7099p-8, 0x1.1cb77553edc5ap-8, 0x1.13cdfc4502078p-8, 0x1.0b299ea249fdcp-8, 0x1.02c8846a908b2p-8, 0x1.f551bf4f1b7e2p-9, 0x1.e591d8968dd11p-9, 0x1.d64de01a01329p-9, 0x1.c782748c5b22ap-9, 0x1.b92c479eb4025p-9, 0x1.ab481db993592p-9, 0x1.9dd2cdb662b56p-9, 0x1.90c94098bc852p-9, 0x1.84287147a85bap-9, 0x1.77ed6c46dfa82p-9, 0x1.6c154f703b857p-9, 0x1.609d49ad55336p-9, 0x1.55829ab0faa7fp-9, 0x1.4ac292b149c1ep-9, 0x1.405a9221890ep-9, 0x1.3648096c90aa1p-9, 0x1.2c8878afaf00cp-9, 0x1.23196f75565a8p-9, 0x1.19f88c70bda02p-9, 0x1.11237d398cefbp-9, 0x1.0897fe08180edp-9, 0x1.0053d971fda0dp-9, 0x1.f0a9d04e6cc9bp-10, 0x1.e132215f8e48ap-10, 0x1.d23c8e5381c3dp-10, 0x1.c3c51a106092dp-10, 0x1.b5c7e1a427c1bp-10, 0x1.a8411bc4dac77p-10, 0x1.9b2d185119138p-10, 0x1.8e883fd210a34p-10, 0x1.824f12ff03a97p-10, 0x1.767e2a41d90c7p-10, 0x1.6b12353d056b5p-10, 0x1.6007fa52b1a31p-10, 0x1.555c562dbc761p-10, 0x1.4b0c3b4b75f89p-10, 0x1.4114b187253bdp-10, 0x1.3772d5a6abf3p-10, 0x1.2e23d8e9107c3p-10, 0x1.25250095efd84p-10, 0x1.1c73a58efb2ecp-10, 0x1.140d33e26be3p-10, 0x1.0bef2a5f586dp-10, 0x1.04171a2b3bc61p-10, 0x1.f9054cb1ff9eap-11, 0x1.ea5f07037cf5dp-11, 0x1.dc36eebde7624p-11, 0x1.ce88b0cbdc598p-11, 0x1.c1501aca7c134p-11, 0x1.b4891a4655cbbp-11, 0x1.a82fbbfc92841p-11, 0x1.9c402b1d6152p-11, 0x1.90b6b0939ccd7p-11, 0x1.858fb24d1d347p-11, 0x1.7ac7b287accf3p-11, 0x1.705b4f20e07e4p-11, 0x1.664740e81b212p-11, 0x1.5c885af3efdfep-11, 0x1.531b89fb87bb3p-11, 0x1.49fdd3b0e9a34p-11, 0x1.412c561fbaecfp-11, 0x1.38a4470ee6318p-11, 0x1.3062f363d28d2p-11, 0x1.2865be89faafcp-11, 0x1.20aa21dce04f5p-11, 0x1.192dac1481246p-11, 0x1.11ee00b4aa36p-11, 0x1.0ae8d7802a9dbp-11, 0x1.041bfbecf4c24p-11, 0x1.fb0a99383753fp-12, 0x1.ee4575a9aebc5p-12, 0x1.e1e494019307bp-12, 0x1.d5e41e5947998p-12, 0x1.ca4061145f6eep-12, 0x1.bef5c9eb18e1ep-12, 0x1.b400e6f9b4debp-12, 0x1.a95e65d4a5096p-12, 0x1.9f0b12a277dd4p-12, 0x1.9503d738f3f34p-12, 0x1.8b45ba41391e2p-12, 0x1.81cdde5f5db0ep-12, 0x1.7899815f93b35p-12, 0x1.6fa5fb67236c6p-12, 0x1.66f0be2aeb9abp-12, 0x1.5e77542a51eedp-12, 0x1.56375fedde86p-12, 0x1.4e2e9b4bcbdcap-12, 0x1.465ad6af3ba5p-12, 0x1.3eb9f86491d1ep-12, 0x1.3749fbea1a0fp-12, 0x1.3008f14523c99p-12, 0x1.28f4fc5ac76b7p-12, 0x1.220c544c3f9f4p-12, 0x1.1b4d42d8fa3f6p-12, 0x1.14b623c27e184p-12, 0x1.0e456434a6cdfp-12, 0x1.07f9823469646p-12, 0x1.01d10c0d07832p-12, 0x1.f7953f8afb013p-13, 0x1.ebc9d52f2cd69p-13, 0x1.e03d50d65d26fp-13, 0x1.d4ed46a847f6cp-13, 0x1.c9d766289a673p-13, 0x1.bef97942af21ep-13, 0x1.b451635870e9p-13, 0x1.a9dd205977f0bp-13, 0x1.9f9ac3e3c315bp-13, 0x1.958878635473ap-13, 0x1.8ba47e3e89bp-13, 0x1.81ed2b045f29p-13, 0x1.7860e8a45383cp-13, 0x1.6efe34a71d184p-13, 0x1.65c39f7028766p-13, 0x1.5cafcb8653b2bp-13, 0x1.53c16cdd0be14p-13, 0x1.4af748256bb38p-13, 0x1.42503225666c7p-13, 0x1.39cb0f1236b36p-13, 0x1.3166d1f0331aap-13, 0x1.29227bf8068d9p-13, 0x1.20fd1c0084b04p-13, 0x1.18f5cdec70da2p-13, 0x1.110bba1c57336p-13, 0x1.093e14e6ba374p-13, 0x1.018c1e141e19fp-13, 0x1.f3ea40b95137ep-14, 0x1.e4f0e1d80a15cp-14, 0x1.d62addd4e33ccp-14, 0x1.c797060d0af4bp-14, 0x1.b9343e0b0242cp-14, 0x1.ab017aabbeba9p-14, 0x1.9cfdc14d90875p-14, 0x1.8f2827037f1bap-14, 0x1.817fcfcffafb5p-14, 0x1.7403ede736f28p-14, 0x1.66b3c0fa50856p-14, 0x1.598e9582e5009p-14, 0x1.4c93c4195eab7p-14, 0x1.3fc2b0d1a3e2bp-14, 0x1.331aca99c659p-14, 0x1.269b8aa42405ep-14, 0x1.1a4473d0b016ep-14, 0x1.0e15122237bacp-14, 0x1.020cfa3529df8p-14, 0x1.ec579174b4634p-15, 0x1.d4e243f2cb2ep-15, 0x1.bdb962b0d6248p-15, 0x1.a6dc51cd917eep-15, 0x1.904a81d6af8a4p-15, 0x1.7a036ef629309p-15, 0x1.6406a0210bafbp-15, 0x1.4e53a652c3828p-15, 0x1.38ea1bce0365dp-15, 0x1.23c9a364b63e7p-15, 0x1.0ef1e7d23c058p-15, 0x1.f4c5361b1855ap-16, 0x1.cc36eb597987bp-16, 0x1.a4386c9031eb3p-16, 0x1.7cc941e4e1bep-16, 0x1.55e8fd4864199p-16, 0x1.2f97397d60642p-16, 0x1.09d39910754a4p-16, 0x1.c93b8aec64ff9p-17, 0x1.7feadc39fd045p-17, 0x1.37b48f24f0f1cp-17, 0x1.e1302ae4b3ad8p-18, 0x1.5529d035dcf15p-18, 0x1.96aa1716037cfp-19, 0x1.0ec38b618bbcfp-20, -0x1.070e77bea6406p-20, -0x1.8a12ce23e2076p-19, -0x1.462167953c0e9p-18, -0x1.c50c8f4f37286p-18, -0x1.20e5e883849e8p-17, -0x1.5e3012175516dp-17, -0x1.9a654366d8199p-17, -0x1.d585ff9dc4c7p-17, -0x1.07c967684bc1bp-16, -0x1.24461f586bc52p-16, -0x1.4039719cb674fp-16, -0x1.5ba3abac1184bp-16, -0x1.76851ec37602ap-16, -0x1.90de201ceaa16p-16, -0x1.aaaf09397c74bp-16, -0x1.c3f83817c0e52p-16, -0x1.dcba0f66a2a49p-16, -0x1.f4f4f6b4e72ap-16, -0x1.0654ad48a244fp-15, -0x1.11ebd65f1ead3p-15, -0x1.1d4032262aa16p-15, -0x1.2851fedbc56dap-15, -0x1.33217d7e1f55bp-15, -0x1.3daef1d62b588p-15, -0x1.47faa28427e9cp-15, -0x1.5204d9020d856p-15, -0x1.5bcde1a8f0117p-15, -0x1.65560bb5548dcp-15, -0x1.6e9da949b0f33p-15, -0x1.77a50f6f6f9bdp-15, -0x1.806c9614b1aecp-15, -0x1.88f498071789fp-15, -0x1.913d72f6d458dp-15, -0x1.9947876d83867p-15, -0x1.a11338cac8c4cp-15, -0x1.a8a0ed3b6d30ep-15, -0x1.aff10db1d9961p-15, -0x1.b70405e0be0ddp-15, -0x1.bdda442de66cep-15, -0x1.c47439a91e7a8p-15, -0x1.cad259ffb9117p-15, -0x1.d0f51b7333209p-15, -0x1.d6dcf6cbf27a1p-15, -0x1.dc8a674c1ddaap-15, -0x1.e1fdeaa030ep-15, -0x1.e73800d2832a3p-15, -0x1.ec392c3cd6b86p-15, -0x1.f101f179000d5p-15, -0x1.f592d7507d96p-15, -0x1.f9ec66ab999cdp-15, -0x1.fe0f2a845a17dp-15, -0x1.00fdd7e9d3d7ap-14, -0x1.02d942c0e6f19p-14, -0x1.049a1e29cb731p-14, -0x1.0640b36c78d01p-14, -0x1.07cd4caed6ffbp-14, -0x1.094034eb5be78p-14, -0x1.0a99b7e840a3cp-14, -0x1.0bda222e29652p-14, -0x1.0d01c0ffd0b7cp-14, -0x1.0e10e2509824p-14, -0x1.0f07d4bc49414p-14, -0x1.0fe6e77ccda07p-14, -0x1.10ae6a61ccbdep-14, -0x1.115eadc832b5fp-14, -0x1.11f80291004f9p-14, -0x1.127aba184ee7ep-14, -0x1.12e7262c6128cp-14, -0x1.133d9903d2ecfp-14, -0x1.137e6536c88e5p-14, -0x1.13a9ddb510eb7p-14, -0x1.13c055bdb9fbp-14, -0x1.13c220d6c70ffp-14, -0x1.13af92c42bc2fp-14, -0x1.1388ff7fedf05p-14, -0x1.134ebb320b8a7p-14, -0x1.13011a27b7447p-14, -0x1.12a070cb15ae2p-14, -0x1.122d139c1d6d4p-14, -0x1.11a757287779dp-14, -0x1.110f9003bc21cp-14, -0x1.106612c009938p-14, -0x1.0fab33e5cae2cp-14, -0x1.0edf47ecd0199p-14, -0x1.0e02a3355c60ep-14, -0x1.0d159a00c6466p-14, -0x1.0c18806ac9fcep-14, -0x1.0b0baa6268248p-14, -0x1.09ef6ba3363e8p-14, -0x1.08c417af1c1d9p-14, -0x1.078a01c7e3948p-14, -0x1.06417ce8b02f7p-14, -0x1.04eadbbf8a8fdp-14, -0x1.038670a855b12p-14, -0x1.02148da6a9e44p-14, -0x1.0095845fc2b5bp-14, -0x1.fe134c2b6a17dp-15, -0x1.fae2874229fd7p-15, -0x1.f7995ad88b152p-15, -0x1.f43866dc8eeccp-15, -0x1.f0c04a4bd97cep-15, -0x1.ed31a32aa81cap-15, -0x1.e98d0e788182cp-15, -0x1.e5d3282960ef7p-15, -0x1.e2048b1b550c7p-15, -0x1.de21d10f21d19p-15, -0x1.da2b929ff3e67p-15, -0x1.d622673a98701p-15, -0x1.d206e5163f064p-15, -0x1.cdd9a12eee86cp-15, -0x1.c99b2f3b8ccdcp-15, -0x1.c54c21a97817p-15, -0x1.c0ed0994ac397p-15, -0x1.bc7e76c25e63ap-15, -0x1.b800f799f3ab6p-15, -0x1.b375192028f15p-15, -0x1.aedb66f290278p-15, -0x1.aa346b4063ee7p-15, -0x1.a580aec6e8337p-15, -0x1.a0c0b8cc6a724p-15, -0x1.9bf50f1b56245p-15, -0x1.971e35fed46bcp-15, -0x1.923cb03f17cc4p-15, -0x1.8d50ff1c02b7p-15, -0x1.885ba24b4f902p-15, -0x1.835d17f50e7c4p-15, -0x1.7e55dcb01e228p-15, -0x1.79466b7f716f9p-15, -0x1.742f3dcfd9926p-15, -0x1.6f10cb75f5cdep-15, -0x1.69eb8aaa43065p-15, -0x1.64bff0097e79cp-15, -0x1.5f8e6e9224cbdp-15, -0x1.5a5777a2335d6p-15, -0x1.551b7af63c4f3p-15, -0x1.4fdae6a8cf2fcp-15, -0x1.4a96273022e76p-15, -0x1.454da75e09783p-15, -0x1.4001d06070fap-15, -0x1.3ab309bf0e9aap-15, -0x1.3561b95c2976p-15, -0x1.300e43747d66bp-15, -0x1.2ab90a9f24afep-15, -0x1.25626fcd4cb04p-15, -0x1.200ad24b544fep-15, -0x1.1ab28fc11e81ap-15, -0x1.155a0432a824bp-15, -0x1.10018a001b1cap-15, -0x1.0aa979e8c7f79p-15, -0x1.05522b0a1badbp-15, -0x1.fff7e5c3ca444p-16, -0x1.f54e4a9ffdfecp-16, -0x1.eaa8292ce2723p-16, -0x1.e00622b822b04p-16, -0x1.d568d55ba488cp-16, -0x1.cad0dc029c74ep-16, -0x1.c03ece6b1d828p-16, -0x1.b5b3412c7b989p-16, -0x1.ab2ec5b95d165p-16, -0x1.a0b1ea66e569fp-16, -0x1.963d3a6d2578dp-16, -0x1.8bd13df0c6cdbp-16, -0x1.816e7a05bd2ffp-16, -0x1.771570b2ebc89p-16, -0x1.6cc6a0face58ep-16, -0x1.628286df046fp-16, -0x1.58499b6577548p-16, -0x1.4e1c54a088c58p-16, -0x1.43fb25b2f6c6bp-16, -0x1.39e67ed669256p-16, -0x1.2fdecd614456cp-16, -0x1.25e47bce6654cp-16, -0x1.1bf7f1c236ef3p-16, -0x1.121994113df15p-16, -0x1.0849c4c8df148p-16, -0x1.fd11c66826411p-17, -0x1.e9ae97c3acdf2p-17, -0x1.d66ab15cde754p-17, -0x1.c346c18ec857p-17, -0x1.b043716d6d7b1p-17, -0x1.9d6164cbd2472p-17, -0x1.8aa13a4eaa4ep-17, -0x1.78038b7dd8d9cp-17, -0x1.6588eccaaf291p-17, -0x1.5331eda7bb106p-17, -0x1.40ff18949f292p-17, -0x1.2ef0f32aff8f3p-17, -0x1.1d07fe2ffed14p-17, -0x1.0b44b5a336d3fp-17, -0x1.f34f219daed3dp-18, -0x1.d06204a946215p-18, -0x1.adc2f07c3b59ap-18, -0x1.8b72b81d3533fp-18, -0x1.697225a600129p-18, -0x1.47c1fa58ff123p-18, -0x1.2662eec4834d3p-18, -0x1.0555b2e8e592fp-18, -0x1.c935dca4a138bp-19, -0x1.8866807164dc1p-19, -0x1.483e7f3494849p-19, -0x1.08bef6d2d7515p-19, -0x1.93d1ea6bb0c82p-20, -0x1.177af127fada5p-20, -0x1.38f5bf18daa9cp-21, -0x1.169ba6c245dffp-23, 0x1.55e6b68e3542cp-22, 0x1.98d607fff6e99p-21, 0x1.41ff2729458d9p-20, 0x1.b634cc86c7e55p-20, 0x1.148562ca1e119p-19, 0x1.4d3fff9bf480bp-19, 0x1.8549c0a5f03a1p-19, 0x1.bca23718200f2p-19, 0x1.f349013422b2bp-19, 0x1.149ee5059c43ap-18, 0x1.2f40249876d3ap-18, 0x1.498821468e212p-18, 0x1.6376c316a072p-18, 0x1.7d0bf7f7cc61bp-18, }}, 
      {{-0x1.b255b051961c5p-1, -0x1.b24d39061b8b6p-1, -0x1.b23eeb4871e7dp-1, -0x1.b22a7f0ad976bp-1, -0x1.b20f9381dcb3cp-1, -0x1.b1edb25ff54eep-1, -0x1.b1c4534a9b6fp-1, -0x1.b192df5ab94d9p-1, -0x1.b158b487f38bbp-1, -0x1.b11528e85a255p-1, -0x1.b0c78db5e5405p-1, -0x1.b06f3210e9e72p-1, -0x1.b00b657b0f324p-1, -0x1.af9b7a097a75p-1, -0x1.af1ec64f396fep-1, -0x1.ae94a7028cf84p-1, -0x1.adfc8060d34dp-1, -0x1.ad55bf5582fc5p-1, -0x1.ac9fda690ed36p-1, -0x1.abda527cb6317p-1, -0x1.ab04b35849b5bp-1, -0x1.aa1e940ec9112p-1, -0x1.a927973e941b2p-1, -0x1.a81f6b319b702p-1, -0x1.a705c9e1bd1bbp-1, -0x1.a5da78e51d3aep-1, -0x1.a49d494601122p-1, -0x1.a34e17495b1a8p-1, -0x1.a1ecca26e5d7dp-1, -0x1.a07953b5619bdp-1, -0x1.9ef3b00d3e612p-1, -0x1.9d5be523b79a8p-1, -0x1.9bb202602687fp-1, -0x1.99f6202d1d0abp-1, -0x1.98285f869d2a1p-1, -0x1.9648e9869ac4cp-1, -0x1.9457eef0c2c7bp-1, -0x1.9255a7be65cd2p-1, -0x1.904252ab38b1dp-1, -0x1.8e1e34c388249p-1, -0x1.8be998f45d689p-1, -0x1.89a4cf9dfc4e3p-1, -0x1.87502e29105d7p-1, -0x1.84ec0e9eca11ep-1, -0x1.8278cf4422e83p-1, -0x1.7ff6d2386d303p-1, -0x1.7d667d174dc2dp-1, -0x1.7ac8389e301acp-1, -0x1.781c7055438b2p-1, -0x1.7563923c01ccbp-1, -0x1.729e0e793fc2dp-1, -0x1.6fcc570ec2178p-1, -0x1.6ceedf904ae83p-1, -0x1.6a061cde15f4ap-1, -0x1.671284e2ae6cfp-1, -0x1.64148e5414b0cp-1, -0x1.610cb07817d9dp-1, -0x1.5dfb62ebd4576p-1, -0x1.5ae11d6e419b2p-1, -0x1.57be57adb51eep-1, -0x1.5493891847d86p-1, -0x1.516128af04616p-1, -0x1.4e27acdbc9988p-1, -0x1.4ae78b49c63e7p-1, -0x1.47a138c07a6d4p-1, -0x1.4455290126f22p-1, -0x1.4103cea692912p-1, -0x1.3dad9b070efd5p-1, -0x1.3a52fe18a9821p-1, -0x1.36f466576f663p-1, -0x1.339240adb1947p-1, -0x1.302cf85e3316dp-1, -0x1.2cc4f6f02e289p-1, -0x1.295aa41d19724p-1, -0x1.25ee65c01e09ap-1, -0x1.22809fc7298aep-1, -0x1.1f11b4258684dp-1, -0x1.1ba202c7f0027p-1, -0x1.1831e98a08a8ep-1, -0x1.14c1c42d263e7p-1, -0x1.1151ec5064d8ap-1, -0x1.0de2b969e9f29p-1, -0x1.0a7480c150612p-1, -0x1.0707956b2879bp-1, -0x1.039c48457ec96p-1, -0x1.0032e7f55e95bp-1, -0x1.f99781ca7a7b5p-2, -0x1.f2ce3a888ee4ap-2, -0x1.ec0a8a0cfa47bp-2, -0x1.e54cfbcb2bf86p-2, -0x1.de9616c53b609p-2, -0x1.d7e65d9082acdp-2, -0x1.d13e4e5b7bda7p-2, -0x1.ca9e62f4d526cp-2, -0x1.c40710d3a0ba1p-2, -0x1.bd78c920910c1p-2, -0x1.b6f3f8c02c01fp-2, -0x1.b079085de8078p-2, -0x1.aa085c781cb37p-2, -0x1.a3a2556cb6b1cp-2, -0x1.9d474f86a7096p-2, -0x1.96f7a30bf2e97p-2, -0x1.90b3a44c5f979p-2, -0x1.8a7ba3b0a9c9ap-2, -0x1.844fedca38245p-2, -0x1.7e30cb6340f4bp-2, -0x1.781e818f542fbp-2, -0x1.721951bc43909p-2, -0x1.6c2179c35499ep-2, -0x1.663733fabe3c4p-2, -0x1.605ab7475d065p-2, -0x1.5a8c372e9f9fep-2, -0x1.54cbe3e898373p-2, -0x1.4f19ea723430bp-2, -0x1.4976749f8b97bp-2, -0x1.43e1a92e43779p-2, -0x1.3e5babd7ff99dp-2, -0x1.38e49d64d4446p-2, -0x1.337c9bbdbcce6p-2, -0x1.2e23c1ff07a62p-2, -0x1.28da288ab9fcfp-2, -0x1.239fe51adec64p-2, -0x1.1e750ad3c41fdp-2, -0x1.1959aa561c93ap-2, -0x1.144dd1d100afep-2, -0x1.0f518d13d0f41p-2, -0x1.0a64e59ff25bep-2, -0x1.0587e2ba5e0e6p-2, -0x1.00ba897d09779p-2, -0x1.f7f9b9d034f98p-3, -0x1.ee9dbbe5df6aep-3, -0x1.e5611739dd2ddp-3, -0x1.dc43c5fc3fd92p-3, -0x1.d345beaf1e5dap-3, -0x1.ca66f446ea257p-3, -0x1.c1a7564a3f616p-3, -0x1.b906d0f147633p-3, -0x1.b0854d4490dep-3, -0x1.a822b13b732a3p-3, -0x1.9fdedfd9e228bp-3, -0x1.97b9b94dce0aep-3, -0x1.8fb31b0bea0c9p-3, -0x1.87cadfebfff44p-3, -0x1.8000e044ab663p-3, -0x1.7854f20690664p-3, -0x1.70c6e8d70d072p-3, -0x1.6956962a5bb92p-3, -0x1.6203c95d28dc6p-3, -0x1.5ace4fcd9f1b1p-3, -0x1.53b5f4f3ec4d7p-3, -0x1.4cba827a361dp-3, -0x1.45dbc054048dcp-3, -0x1.3f1974d526d4bp-3, -0x1.387364c8062ap-3, -0x1.31e95383782f2p-3, -0x1.2b7b030004981p-3, -0x1.252833eca19c8p-3, -0x1.1ef0a5c2ef1b9p-3, -0x1.18d416dae7a67p-3, -0x1.12d2447e111e5p-3, -0x1.0ceaeafa24fbep-3, -0x1.071dc5b33e527p-3, -0x1.016a8f35813edp-3, -0x1.f7a2028c90241p-4, -0x1.eca1a9e99ad84p-4, -0x1.e1d38554c476ep-4, -0x1.d737047444dc7p-4, -0x1.cccb95e0694ecp-4, -0x1.c290a7412baf3p-4, -0x1.b885a56acfdd4p-4, -0x1.aea9fc79a8b74p-4, -0x1.a4fd17ecf6a61p-4, -0x1.9b7e62c0dc2e5p-4, -0x1.922d47878e00fp-4, -0x1.890930818dfc5p-4, -0x1.801187b5293d1p-4, -0x1.7745b70519663p-4, -0x1.6ea528465ca85p-4, -0x1.662f4555445adp-4, -0x1.5de37829be5f7p-4, -0x1.55c12aeade979p-4, -0x1.4dc7c801a7032p-4, -0x1.45f6ba2b1b337p-4, -0x1.3e4d6c8999cafp-4, -0x1.36cb4ab5863ep-4, -0x1.2f6fc0cd432f2p-4, -0x1.283a3b848306ep-4, -0x1.212a2832f199p-4, -0x1.1a3ef4e23bc36p-4, -0x1.1378105b7560ep-4, -0x1.0cd4ea33e73cfp-4, -0x1.0654f2d94318fp-4, -0x1.ffef373a86c7fp-5, -0x1.f378ad81777efp-5, -0x1.e7452efc3825bp-5, -0x1.db53a426d3bfdp-5, -0x1.cfa2f7976a3e7p-5, -0x1.c432161010949p-5, -0x1.b8ffee8fb972bp-5, -0x1.ae0b72622108fp-5, -0x1.a353952ecd0cap-5, -0x1.98d74d0720a7ep-5, -0x1.8e9592738dd27p-5, -0x1.848d607fea69bp-5, -0x1.7abdb4c6ef033p-5, -0x1.71258f7ce627bp-5, -0x1.67c3f3798f7dbp-5, -0x1.5e97e64142d78p-5, -0x1.55a0700d5218dp-5, -0x1.4cdc9bd3b426p-5, -0x1.444b774e01aa3p-5, -0x1.3bec12ffbb9c1p-5, -0x1.33bd823bf8b54p-5, -0x1.2bbedb2a63b1fp-5, -0x1.23ef36cba8f49p-5, -0x1.1c4db0fd42abp-5, -0x1.14d9687cbf9a2p-5, -0x1.0d917eea71903p-5, -0x1.067518cb9cd36p-5, -0x1.ff06bb1840e95p-6, -0x1.f176eeff45922p-6, -0x1.e43927c4857c8p-6, -0x1.d74bc5b1af12ap-6, -0x1.caad2ee17bf92p-6, -0x1.be5bcf3e72fddp-6, -0x1.b2561880e0114p-6, -0x1.a69a822bff7a9p-6, -0x1.9b27898a72c9dp-6, -0x1.8ffbb1a9f392cp-6, -0x1.85158356671e9p-6, -0x1.7a738d14363c2p-6, -0x1.7014631a1c8b4p-6, -0x1.65f69f4a4d7ddp-6, -0x1.5c18e12b0f6c8p-6, -0x1.5279cddecc0aep-6, -0x1.4918101b9a749p-6, -0x1.3ff258224f7cap-6, -0x1.37075bb50f543p-6, -0x1.2e55d60d7b436p-6, -0x1.25dc87d265a66p-6, -0x1.1d9a370d2df3fp-6, -0x1.158daf1eaefd7p-6, -0x1.0db5c0b3e6d0cp-6, -0x1.061141ba37ddp-6, -0x1.fd3e1aa6c0687p-7, -0x1.eebc079257ad9p-7, -0x1.e09a1501bba01p-7, -0x1.d2d617dcaa21ap-7, -0x1.c56def0df3658p-7, -0x1.b85f8368e548p-7, -0x1.aba8c78e4fe92p-7, -0x1.9f47b7d116dfdp-7, -0x1.933a5a1a999c7p-7, -0x1.877ebdce9a51p-7, -0x1.7c12fbaf01aa1p-7, -0x1.70f535bf4f7f1p-7, -0x1.66239727de78ap-7, -0x1.5b9c5418eb334p-7, -0x1.515da9ad78329p-7, -0x1.4765ddce0753ap-7, -0x1.3db33f133bbeap-7, -0x1.344424a857f57p-7, -0x1.2b16ee2da971fp-7, -0x1.222a039af324bp-7, -0x1.197bd521c2fa9p-7, -0x1.110adb0fc059bp-7, -0x1.08d595b107007p-7, -0x1.00da8d3283711p-7, -0x1.f230a3089c315p-8, -0x1.e31af47848996p-8, -0x1.d4714cefd95dp-8, -0x1.c630f9809e3ep-8, -0x1.b85755d6d1203p-8, -0x1.aae1cbff391p-8, -0x1.9dcdd42d10d72p-8, -0x1.9118f4802a5dfp-8, -0x1.84c0c0cb682dep-8, -0x1.78c2da5b914fp-8, -0x1.6d1cefbe6ceb9p-8, -0x1.61ccbc8a4739cp-8, -0x1.56d00925d26fdp-8, -0x1.4c24aa908031p-8, -0x1.41c8822b37ddap-8, -0x1.37b97d816e8ecp-8, -0x1.2df59612e2e3fp-8, -0x1.247ad11d9ee6dp-8, -0x1.1b473f68903dcp-8, -0x1.1258fd0e99f73p-8, -0x1.09ae314a26af4p-8, -0x1.01450e4140f92p-8, -0x1.f237a1a45f965p-9, -0x1.e26180c143402p-9, -0x1.d3045d46b3d65p-9, -0x1.c41ceee4fe8a3p-9, -0x1.b5a8012cc9348p-9, -0x1.a7a2732dd65f7p-9, -0x1.9a09371707f31p-9, -0x1.8cd951d760e56p-9, -0x1.800fdac04f1d3p-9, -0x1.73a9fb291500ep-9, -0x1.67a4ee1377d65p-9, -0x1.5bfdffd1831c9p-9, -0x1.50b28dac91479p-9, -0x1.45c0058d76675p-9, -0x1.3b23e5a5f9c38p-9, -0x1.30dbbc1b6ce1cp-9, -0x1.26e526b286cddp-9, -0x1.1d3dd27c6a4f8p-9, -0x1.13e37b84e7608p-9, -0x1.0ad3ec81e8b02p-9, -0x1.020cfe842f8bp-9, -0x1.f31931524a98p-10, -0x1.e2a15f9be8dfep-10, -0x1.d2ae8c879c8d7p-10, -0x1.c33cd70ab8441p-10, -0x1.b44877dacfa73p-10, -0x1.a5cdc0dd5e30fp-10, -0x1.97c91c99f56d8p-10, -0x1.8a370dae7d831p-10, -0x1.7d142e45d6d5fp-10, -0x1.705d2f9100d15p-10, -0x1.640ed9423eb7fp-10, -0x1.5826090af4434p-10, -0x1.4c9fb21b52216p-10, -0x1.4178dca47112ep-10, -0x1.36aea55cb9e07p-10, -0x1.2c3e3d065f9d9p-10, -0x1.2224e7f81dc1ap-10, -0x1.185ffda83e987p-10, -0x1.0eece83997d9dp-10, -0x1.05c9240aa5096p-10, -0x1.f9e47e8dc0c53p-11, -0x1.e8cbb2f46643dp-11, -0x1.d843464c5f6b3p-11, -0x1.c846bab3bd641p-11, -0x1.b8d1b295fa5c8p-11, -0x1.a9dfefe2f526bp-11, -0x1.9b6d534a13039p-11, -0x1.8d75db78ba03ap-11, -0x1.7ff5a45d16484p-11, -0x1.72e8e66c883eep-11, -0x1.664bf5ede629fp-11, -0x1.5a1b4247334d3p-11, -0x1.4e53554ef7f6dp-11, -0x1.42f0d2a174b9bp-11, -0x1.37f076f943db4p-11, -0x1.2d4f178b60d95p-11, -0x1.2309a1670833bp-11, -0x1.191d18d836b19p-11, -0x1.0f8698ce34b51p-11, -0x1.06435244fb23fp-11, -0x1.faa1176440d2p-12, -0x1.e95740e9990fap-12, -0x1.d8a40091e21c3p-12, -0x1.c8825d7b49d41p-12, -0x1.b8ed855c5518p-12, -0x1.a9e0cb7c68fe1p-12, -0x1.9b57a7b2701c2p-12, -0x1.8d4db56913ea1p-12, -0x1.7fbeb2a87750ep-12, -0x1.72a67f263327fp-12, -0x1.66011b59f972bp-12, -0x1.59caa797bdd98p-12, -0x1.4dff632fda41ap-12, -0x1.429bab93b12b2p-12, -0x1.379bfb7fb05a4p-12, -0x1.2cfcea2ac72cap-12, -0x1.22bb2a7a4e892p-12, -0x1.18d38a3abc0bfp-12, -0x1.0f42f15d5029cp-12, -0x1.0606613a4b8dcp-12, -0x1.fa35e7af8551ep-13, -0x1.e8fbb66a356c1p-13, -0x1.d858c135d8603p-13, -0x1.c847c7de1be05p-13, -0x1.b8c3b619f8911p-13, -0x1.a9c7a243f3fa2p-13, -0x1.9b4ecc1b7484cp-13, -0x1.8d549b8e89e8ep-13, -0x1.7fd49f89dddbfp-13, -0x1.72ca8cd1c8d2bp-13, -0x1.66323ce30b1f4p-13, -0x1.5a07acd96f455p-13, -0x1.4e46fc5eb018bp-13, -0x1.42ec6c9fb340dp-13, -0x1.37f45f49c145fp-13, -0x1.2d5b558d2a863p-13, -0x1.231def27ea9b1p-13, -0x1.1938e975f89b3p-13, -0x1.0fa91e883beaep-13, -0x1.066b8440d68bp-13, -0x1.fafa56eda06d8p-14, -0x1.e9b67e3c60d39p-14, -0x1.d90606eeeb36bp-14, -0x1.c8e3aa876a0dep-14, -0x1.b94a51fc60bfbp-14, -0x1.aa351439df1b4p-14, -0x1.9b9f34a80c791p-14, -0x1.8d8421c0cf169p-14, -0x1.7fdf73ab4ef69p-14, -0x1.72aceae487deap-14, -0x1.65e86ef11e06p-14, -0x1.598e0d16f36a4p-14, -0x1.4d99f72165f5fp-14, -0x1.4208822f7da5ep-14, -0x1.36d625874746ep-14, -0x1.2bff7975e8bffp-14, -0x1.218136338c95p-14, -0x1.175832d43a1eep-14, -0x1.0d81643d23277p-14, -0x1.03f9dc236fa9fp-14, -0x1.f57d9023137e6p-15, -0x1.e39ae0ec4d1a2p-15, -0x1.d2466f6d4976ap-15, -0x1.c17b329867975p-15, -0x1.b13451c7991f3p-15, -0x1.a16d23116406bp-15, -0x1.922129a7976cap-15, -0x1.834c1441c8bb4p-15, -0x1.74e9bb94ca4cep-15, -0x1.66f620d9f57fbp-15, -0x1.596d6c5af1638p-15, -0x1.4c4bec0f63de4p-15, -0x1.3f8e1240433f2p-15, -0x1.33307439d76c8p-15, -0x1.272fc906b1be8p-15, -0x1.1b88e836ce18fp-15, -0x1.1038c8acb053bp-15, -0x1.053c7f7864f4cp-15, -0x1.f5227d7735a41p-16, -0x1.e068a92660e6cp-16, -0x1.cc46541a1d796p-16, -0x1.b8b68449ecaa4p-16, -0x1.a5b4719363a13p-16, -0x1.933b83da6af7fp-16, -0x1.8147513366cp-16, -0x1.6fd39c1ccd73ap-16, -0x1.5edc51d0c44b9p-16, -0x1.4e5d889918254p-16, -0x1.3e537e3a5f4f6p-16, -0x1.2eba9666cf8d1p-16, -0x1.1f8f59418abffp-16, -0x1.10ce71edb49edp-16, -0x1.0274ad2f9914ap-16, -0x1.e8fdf0226811dp-17, -0x1.cdd4bd2e6c944p-17, -0x1.b368150e439d7p-17, -0x1.99b2845c2a1f2p-17, -0x1.80aece749dde8p-17, -0x1.6857eb36e2436p-17, -0x1.50a904d81d46ap-17, -0x1.399d75cfa0338p-17, -0x1.2330c6da8cc21p-17, -0x1.0d5ead08f1ecp-17, -0x1.f0460fbc179e8p-18, -0x1.c6f3bf1a495dfp-18, -0x1.9ebec67b4f808p-18, -0x1.779fceb79aceap-18, -0x1.518fc81027b5bp-18, -0x1.2c87e702efcedp-18, -0x1.0881a1602acdep-18, -0x1.caed56dfcbe56p-19, -0x1.86c1ea7393bbp-19, -0x1.44754fb241d26p-19, -0x1.03fc45edb1f2p-19, -0x1.8a97e9b4c9a51p-20, -0x1.10b3cf74df35ap-20, -0x1.347023b900bd5p-21, -0x1.3889db5d9304ap-23, 0x1.234df0a35cb26p-22, 0x1.6b106f629abacp-21, 0x1.1f1e7c2d09f43p-20, 0x1.85a73803246b3p-20, 0x1.e932ca1c57721p-20, 0x1.24e88444433c3p-19, 0x1.53c8a3550c4ddp-19, 0x1.81412dd49b15ap-19, 0x1.ad59541e9cc9bp-19, 0x1.d8180e1cb5733p-19, 0x1.00c20f05f8acbp-18, 0x1.14d2097cd82d6p-18, 0x1.283f25a40e353p-18, 0x1.3b0c7b7ba7c02p-18, 0x1.4d3d0cf9e7dffp-18, 0x1.5ed3c7189abfp-18, 0x1.6fd382d42dfbbp-18, 0x1.803f062b6f528p-18, 0x1.9019051082d1ap-18, 0x1.9f642244fcb6dp-18, 0x1.ae22f035dde7ap-18, 0x1.bc57f1c92759cp-18, 0x1.ca059b1f20da5p-18, 0x1.d72e524ec700dp-18, 0x1.e3d4701253515p-18, 0x1.effa407366b21p-18, 0x1.fba20362ccdbcp-18, 0x1.0366f6aa80a2ap-17, 0x1.08c013e82886fp-17, 0x1.0ddd68fc2c5b9p-17, 0x1.12c00084ff2cp-17, 0x1.1768e06c06c13p-17, 0x1.1bd90a1ee88a2p-17, 0x1.20117ac6355b1p-17, 0x1.24132b77c43e1p-17, 0x1.27df11684132ap-17, 0x1.2b761e178ea4dp-17, 0x1.2ed93f7b51383p-17, 0x1.320960292d9bfp-17, 0x1.3507677caf188p-17, 0x1.37d439b9fcb23p-17, 0x1.3a70b830e8cc6p-17, 0x1.3cddc15a7fc93p-17, 0x1.3f1c30f8c181p-17, 0x1.412ce03085fbap-17, 0x1.4310a5a3a95a6p-17, 0x1.44c855897b29ep-17, 0x1.4654c1c3953d7p-17, 0x1.47b6b9f20831dp-17, 0x1.48ef0b8804994p-17, 0x1.49fe81df3d283p-17, 0x1.4ae5e6454878p-17, 0x1.4ba6000c965afp-17, 0x1.4c3f949a724fp-17, 0x1.4cb367734aca2p-17, 0x1.4d023a45f61ffp-17, 0x1.4d2cccf7a6375p-17, 0x1.4d33ddad0632cp-17, 0x1.4d1828d32967p-17, 0x1.4cda692693ee8p-17, 0x1.4c7b57ba48db5p-17, 0x1.4bfbac00a4b7p-17, 0x1.4b5c1bcf99fa4p-17, 0x1.4a9d5b640cb27p-17, 0x1.49c01d69dae2dp-17, 0x1.48c512fc7bc3dp-17, 0x1.47acebac48b73p-17, 0x1.4678557f4ca99p-17, 0x1.4527fcf5f4689p-17, 0x1.43bc8d0b3f7d7p-17, 0x1.4236af36adea5p-17, 0x1.40970b6cec86ep-17, 0x1.3ede4820aa6f5p-17, 0x1.3d0d0a43b7f39p-17, 0x1.3b23f547099dfp-17, 0x1.3923ab196fc3p-17, 0x1.370ccc297c076p-17, 0x1.34dff762b8bap-17, 0x1.329dca2dd30d6p-17, 0x1.3046e06fa5f4p-17, 0x1.2ddbd487dbc87p-17, 0x1.2b5d3f5068b4cp-17, 0x1.28cbb81b2b409p-17, 0x1.2627d4b1ba056p-17, 0x1.23722952a0383p-17, 0x1.20ab48b076ca7p-17, 0x1.1dd3c3f024a59p-17, 0x1.1aec2aa81effp-17, 0x1.17f50adca8d0ep-17, 0x1.14eef100b0c9fp-17, 0x1.11da67f1aa4f9p-17, 0x1.0eb7f8f77444dp-17, 0x1.0b882bc1f38b7p-17, 0x1.084b866823598p-17, 0x1.05028d658afa6p-17, 0x1.01adc3998fb72p-17, 0x1.fc9b548b9ee44p-18, 0x1.f5c58218dd713p-18, 0x1.eedb0bdb6481ep-18, 0x1.e7dcea92037ebp-18, 0x1.e0cc13b3d269p-18, 0x1.d9a9796fcc1c3p-18, 0x1.d2760aa979b7fp-18, 0x1.cb32b2f6aa181p-18, 0x1.c3e05a9ea5c3ap-18, 0x1.bc7fe69828afbp-18, 0x1.b512388921f8dp-18, 0x1.ad982ec448314p-18, 0x1.a612a448b47f7p-18, 0x1.9e8270c24b3e9p-18, 0x1.96e868878acf6p-18, 0x1.8f455c983201bp-18, 0x1.879a1a9efe428p-18, 0x1.7fe76cf41a2fep-18, 0x1.782e1a9a058a7p-18, 0x1.706ee73f4e7d3p-18, 0x1.68aa933f370f1p-18, 0x1.60e1dba2b4828p-18, 0x1.59157a213e483p-18, 0x1.5146252426546p-18, 0x1.49748fc855926p-18, 0x1.41a169de5a978p-18, 0x1.39cd5fee8fc45p-18, 0x1.31f91b3b8d4dep-18, 0x1.2a2541c20a667p-18, 0x1.2252763d23132p-18, 0x1.1a81582a7cdbep-18, 0x1.12b283cef0ef1p-18, 0x1.0ae692367e4bcp-18, 0x1.031e193a741acp-18, 0x1.f6b357073753bp-19, 0x1.e733b11d9792ep-19, 0x1.d7be5963ba076p-19, 0x1.c854623e3d883p-19, 0x1.b8f6d7db3a849p-19, 0x1.a9a6c03226312p-19, 0x1.9a651b144ff43p-19, 0x1.8b32e235311dp-19, 0x1.7c11093208c05p-19, 0x1.6d007d9f5387fp-19, 0x1.5e02271440bb4p-19, 0x1.4f16e73af1694p-19, 0x1.403f99d551871p-19, 0x1.317d14cc8d575p-19, 0x1.22d0283cae38fp-19, 0x1.14399e7feacaep-19, 0x1.05ba3c3d4675p-19, 0x1.eea580e973703p-20, 0x1.d207c923b2021p-20, 0x1.b59cb8e98009ap-20, 0x1.9965ad0153979p-20, 0x1.7d63f756197d1p-20, 0x1.6198df0e99925p-20, 0x1.4605a0adf3e38p-20, 0x1.2aab6e2b6cba4p-20, 0x1.0f8b6f1d57f53p-20, 0x1.e94d81a3c7ba4p-21, 0x1.b3fcecc9b5967p-21, 0x1.7f2731d058c01p-21, 0x1.4ace4efa1c3fdp-21, 0x1.16f42ee68be52p-21, 0x1.c73551a3745c8p-22, 0x1.618701a9a80c1p-22, 0x1.f9c1a0e4f992fp-23, 0x1.328bf66f84438p-23, 0x1.b5ccd3e5b6946p-25, -0x1.560aec57a0e9cp-25, -0x1.165038e22cf16p-23, -0x1.d4efea07ed688p-23, -0x1.48ae5ce301086p-22, -0x1.a5c8ebd338834p-22, -0x1.00e2ad9f04d2ep-21, -0x1.2e50c2f102906p-21, -0x1.5b2db38fed5e7p-21, -0x1.87788d43ab413p-21, -0x1.b3306db038431p-21, -0x1.de54820d1f1e3p-21, -0x1.0472037590918p-20, -0x1.196f23ecfc1bp-20, -0x1.2e214f9d462e8p-20, -0x1.42883b0084006p-20, -0x1.56a3a1b3b7c0ep-20, -0x1.6a73465d51ec2p-20, -0x1.7df6f2891aedep-20, -0x1.912e7688f5505p-20, -0x1.a419a9546aefcp-20, -0x1.b6b86861237aep-20, -0x1.c90a978c0cd4bp-20, -0x1.db1020f869759p-20, -0x1.ecc8f4ecf844p-20, -0x1.fe3509b659461p-20, -0x1.07aa2dc3e2b82p-19, -0x1.1013762f2cf65p-19, -0x1.185661eedb607p-19, -0x1.2072f796612cbp-19, -0x1.2869406f48199p-19, -0x1.30394869b41bfp-19, -0x1.37e31e0b7aba3p-19, -0x1.3f66d263e2867p-19, -0x1.46c478fb6360ep-19, -0x1.4dfc27c43b70ap-19, -0x1.550df70d864adp-19, -0x1.5bfa01700b31cp-19, -0x1.62c063c43fe6fp-19, -0x1.69613d14557eap-19, -0x1.6fdcae8b5175bp-19, -0x1.7632db68d9da1p-19, -0x1.7c63e8f30d15dp-19, -0x1.826ffe696b8aep-19, -0x1.885744f6b8971p-19, -0x1.8e19e7a1a16bep-19, -0x1.93b813408d406p-19, -0x1.9931f66d41b32p-19, -0x1.9e87c176c0ec7p-19, -0x1.a3b9a656e2f1ep-19, -0x1.a8c7d8a30dc9ap-19, -0x1.adb28d8173264p-19, -0x1.b279fb9a9a5e7p-19, -0x1.b71e5b0fc8b45p-19, -0x1.bb9fe56a58ad2p-19, -0x1.bffed5935f66p-19, -0x1.c43b67c8b93fap-19, -0x1.c855d98e79e5dp-19, -0x1.cc4e69a4b172ap-19, -0x1.d02557fc5c47fp-19, -0x1.d3dae5acd2e1dp-19, -0x1.d76f54e76ff36p-19, -0x1.dae2e8ebf0229p-19, -0x1.de35e5ff73a5cp-19, -0x1.e16891613a3b4p-19, -0x1.e47b313f5305ap-19, -0x1.e76e0caf23462p-19, -0x1.ea416ba13b2aap-19, -0x1.ecf596d796e1cp-19, -0x1.ef8ad7dbfac6fp-19, -0x1.f20178f749297p-19, -0x1.f459c5253dbdep-19, -0x1.f694080da9edep-19, -0x1.f8b08dfaacb2dp-19, -0x1.faafa3d09d177p-19, -0x1.fc919702b202p-19, -0x1.fe56b58d043e8p-19, -0x1.ffff4dea9f25dp-19, -0x1.00c5d786df5aep-18, -0x1.017e142b7998ep-18, -0x1.022884c65a024p-18, -0x1.02c5516a8233bp-18, -0x1.0354a255ff697p-18, -0x1.03d69fee612acp-18, -0x1.044b72bda4b03p-18, -0x1.04b3436dbea27p-18, -0x1.050e3ac5683dp-18, -0x1.055c81a41804ap-18, -0x1.059e40ff7c6e7p-18, -0x1.05d3a1df0f6a9p-18, -0x1.05fccd5962ed6p-18, -0x1.0619ec90d6b9ep-18, -0x1.062b28b0673fap-18, -0x1.0630aae886d92p-18, -0x1.062a9c6c01fdep-18, -0x1.0619266d6eab7p-18, -0x1.05fc721ba1e9dp-18, -0x1.05d4a89f74cf3p-18, -0x1.05a1f3188a6e5p-18, -0x1.05647a9b1b7cp-18, -0x1.051c682d211edp-18, -0x1.04c9e4c364a72p-18, -0x1.046d193f6ae8bp-18, -0x1.04062e6d329dcp-18, -0x1.03954d00303bap-18, -0x1.031a9d916adf9p-18, -0x1.0296489d55367p-18, -0x1.02087681433cfp-18, -0x1.01714f7971d88p-18, -0x1.00d0fb9eeafc8p-18, -0x1.0027a2e5e8575p-18, -0x1.feeada3559b59p-19, -0x1.fd7503c229cd2p-19, -0x1.fbee1163b4eb2p-19, -0x1.fa5651b23fb73p-19, -0x1.f8ae12e7eff11p-19, }}, 
      {{0x1.acd2bf31bd423p-20, 0x1.773633bd181bp-18, 0x1.430bef8592b57p-17, 0x1.4cb7a36f22bc3p-17, 0x1.75538ca84a7fbp-20, -0x1.72bcc6dbf3cacp-16, -0x1.1b7c3581a97cep-14, -0x1.2b8076fe61bdap-13, -0x1.0c73f5965d093p-12, -0x1.b3f9b23070e72p-12, -0x1.4ac0f19d642ffp-11, -0x1.dd2439306ad5ap-11, -0x1.4adce788f1a1ep-10, -0x1.bc7dc7eac3206p-10, -0x1.22cf6d865c563p-9, -0x1.74291ad9ede19p-9, -0x1.d346c9b7d0a99p-9, -0x1.2089b689a6977p-8, -0x1.5f34579b935a6p-8, -0x1.a606f5478aea8p-8, -0x1.f55bb7ba933ffp-8, -0x1.26c18372d6198p-7, -0x1.5761b66c6cd9bp-7, -0x1.8cacc8d2cf2b7p-7, -0x1.c6bc268cdc89dp-7, -0x1.02d232bf623bep-6, -0x1.24baafb6a00c2p-6, -0x1.491d2928cac1bp-6, -0x1.6ffd02f962e6p-6, -0x1.995b7ade36a1ap-6, -0x1.c537bef65e1d6p-6, -0x1.f38f05a7e9244p-6, -0x1.122e53362b0cdp-5, -0x1.2bcd199fa5191p-5, -0x1.469fc93680bd5p-5, -0x1.62a18c4363e5ap-5, -0x1.7fccd125cdd39p-5, -0x1.9e1b572d0d1aap-5, -0x1.bd863b43810ccp-5, -0x1.de06045c9db3p-5, -0x1.ff92af98aa7dfp-5, -0x1.1111de09bf024p-4, -0x1.22d81b2ac41dp-4, -0x1.351761b02bbecp-4, -0x1.47cad5a8bf0fdp-4, -0x1.5aed71cc14e31p-4, -0x1.6e7a0c5d9ba23p-4, -0x1.826b5bd74ee95p-4, -0x1.96bbfb5c18a53p-4, -0x1.ab666ef248a9p-4, -0x1.c0652786f76dcp-4, -0x1.d5b286bb6588cp-4, -0x1.eb48e27ddc49ap-4, -0x1.00914437c499dp-3, -0x1.0b9ce08c8d8a5p-3, -0x1.16c469780d9a4p-3, -0x1.22050297651f7p-3, -0x1.2d5bd14045b3ap-3, -0x1.38c5fdc275e23p-3, -0x1.4440b49585035p-3, -0x1.4fc92773c293ep-3, -0x1.5b5c8e6346df6p-3, -0x1.66f828ae0dd42p-3, -0x1.72993dc9e2e17p-3, -0x1.7e3d1e3103749p-3, -0x1.89e1242c263cfp-3, -0x1.9582b48ea8bc5p-3, -0x1.a11f3f65879fp-3, -0x1.acb44099ba087p-3, -0x1.b83f408694505p-3, -0x1.c3bdd48499fcap-3, -0x1.cf2d9f695f0dbp-3, -0x1.da8c51fcd0941p-3, -0x1.e5d7ab64598bcp-3, -0x1.f10d79844ca9cp-3, -0x1.fc2b9957e6ac5p-3, -0x1.0397fba020919p-2, -0x1.090c47a546629p-2, -0x1.0e71b6b6e9c4cp-2, -0x1.13c756e04dad9p-2, -0x1.190c3e5350d9p-2, -0x1.1e3f8b7b7ba96p-2, -0x1.2360650d5f866p-2, -0x1.286dfa1266f5ep-2, -0x1.2d6781f134c73p-2, -0x1.324c3c72b0a8ap-2, -0x1.371b71c3e376dp-2, -0x1.3bd47274b860dp-2, -0x1.40769773ce6c1p-2, -0x1.450142076b7f3p-2, -0x1.4973dbc3b5e4cp-2, -0x1.4dcdd67e529f5p-2, -0x1.520eac3f84438p-2, -0x1.5635df30e8407p-2, -0x1.5a42f989f4032p-2, -0x1.5e358d7a4c586p-2, -0x1.620d3512187a7p-2, -0x1.65c992286b2cap-2, -0x1.696a4e3fe2725p-2, -0x1.6cef1a699b57p-2, -0x1.7057af26957ep-2, -0x1.73a3cc47a1bdbp-2, -0x1.76d338cbfe851p-2, -0x1.79e5c2beb5656p-2, -0x1.7cdb3f12dcefap-2, -0x1.7fb3897ed4e26p-2, -0x1.826e8456962bap-2, -0x1.850c186536d81p-2, -0x1.878c34c5b003ep-2, -0x1.89eecebb096c8p-2, -0x1.8c33e187f7643p-2, -0x1.8e5b6e4609809p-2, -0x1.90657bbc78167p-2, -0x1.92521636adfb4p-2, -0x1.94214f5a9989dp-2, -0x1.95d33dfedae9p-2, -0x1.9767fe00e601ap-2, -0x1.98dfb01b20ef8p-2, -0x1.9a3a79bb14eb9p-2, -0x1.9b7884d7bf51p-2, -0x1.9c99ffc80f0dbp-2, -0x1.9d9f1d19a0163p-2, -0x1.9e881367bcc74p-2, -0x1.9f551d32b429ap-2, -0x1.a00678b78ec3ep-2, -0x1.a09c67c82ba93p-2, -0x1.a1172fa3d0c1cp-2, -0x1.a17718d034765p-2, -0x1.a1bc6ef30adc8p-2, -0x1.a1e780ac1c8b4p-2, -0x1.a1f89f6fec5f5p-2, -0x1.a1f01f62f419fp-2, -0x1.a1ce57357e029p-2, -0x1.a193a00019c82p-2, -0x1.a1405520bb26dp-2, -0x1.a0d4d4187ad7p-2, -0x1.a0517c6a05356p-2, -0x1.9fb6af78b552ap-2, -0x1.9f04d0685f0d7p-2, -0x1.9e3c43fdcadb6p-2, -0x1.9d5d707fe3b02p-2, -0x1.9c68bd999774ep-2, -0x1.9b5e943c6d232p-2, -0x1.9a3f5e83cf30fp-2, -0x1.990b879908fe4p-2, -0x1.97c37b97f9e51p-2, -0x1.9667a7747b49ep-2, -0x1.94f878e07bdfcp-2, -0x1.93765e32c985dp-2, -0x1.91e1c64e8f06cp-2, -0x1.903b208b81532p-2, -0x1.8e82dc9eba755p-2, -0x1.8cb96a84423ddp-2, -0x1.8adf3a694124dp-2, -0x1.88f4bc96dcee6p-2, -0x1.86fa615dbea2bp-2, -0x1.84f09902397ddp-2, -0x1.82d7d3a91b32ap-2, -0x1.80b0814518bfep-2, -0x1.7e7b1184dbccap-2, -0x1.7c37f3c1ae58ep-2, -0x1.79e796eebe9a9p-2, -0x1.778a6988fb067p-2, -0x1.7520d98788b88p-2, -0x1.72ab544cc6282p-2, -0x1.702a4697e3d57p-2, -0x1.6d9e1c770a248p-2, -0x1.6b07413a0c659p-2, -0x1.68661f65a271bp-2, -0x1.65bb20a72db2bp-2, -0x1.6306adc90059fp-2, -0x1.60492ea72816bp-2, -0x1.5d830a24b7e7fp-2, -0x1.5ab4a6219097bp-2, -0x1.57de6770a37ap-2, -0x1.5500b1ceaf70cp-2, -0x1.521be7d971295p-2, -0x1.4f306b074cbd7p-2, -0x1.4c3e9b9f63147p-2, -0x1.4946d8b21b607p-2, -0x1.46498012170a3p-2, -0x1.4346ee4d907c5p-2, -0x1.403f7ea824cdbp-2, -0x1.3d338b1501b2fp-2, -0x1.3a236c3175f35p-2, -0x1.370f793fe8c84p-2, -0x1.33f808232af5p-2, -0x1.30dd6d5a29817p-2, -0x1.2dbffbfbf9bc1p-2, -0x1.2aa005b43fd68p-2, -0x1.277ddabfea63p-2, -0x1.2459c9ea4476ap-2, -0x1.2134208a5bcbep-2, -0x1.1e0d2a80b3dcfp-2, -0x1.1ae532354bac7p-2, -0x1.17bc8095eec31p-2, -0x1.14935d14cf2fep-2, -0x1.116a0da76c0e1p-2, -0x1.0e40d6c5bb561p-2, -0x1.0b17fb699b5e3p-2, -0x1.07efbd0e83b08p-2, -0x1.04c85bb17bce8p-2, -0x1.01a215d14b91dp-2, -0x1.fcfa50dddb0bap-3, -0x1.f6b39e1c7318dp-3, -0x1.f070876d95c53p-3, -0x1.ea317dea395c9p-3, -0x1.e3f6efb7b949p-3, -0x1.ddc1480ae5ce5p-3, -0x1.d790ef2b772a9p-3, -0x1.d1664a77dfb65p-3, -0x1.cb41bc697fa7ep-3, -0x1.c523a499328e7p-3, -0x1.bf0c5fc4313f5p-3, -0x1.b8fc47d14914ap-3, -0x1.b2f3b3d666bdp-3, -0x1.acf2f81e6a0cap-3, -0x1.a6fa662f42d09p-3, -0x1.a10a4cd059474p-3, -0x1.9b22f8113b356p-3, -0x1.9544b1508064cp-3, -0x1.8f6fbf42f6632p-3, -0x1.89a465fb056d6p-3, -0x1.83e2e6f0469cfp-3, -0x1.7e2b8107596a2p-3, -0x1.787e7099dfe27p-3, -0x1.72dbef7eb32a6p-3, -0x1.6d4435124156cp-3, -0x1.67b7763f11f9bp-3, -0x1.6235e586778c2p-3, -0x1.5cbfb3096162cp-3, -0x1.57550c914ff13p-3, -0x1.51f61d9969985p-3, -0x1.4ca30f57ac7c6p-3, -0x1.475c08c63b9edp-3, -0x1.42212eacbe718p-3, -0x1.3cf2a3a9e1d66p-3, -0x1.37d0883ce10ap-3, -0x1.32bafacf256cdp-3, -0x1.2db217bdf7025p-3, -0x1.28b5f964369ep-3, -0x1.23c6b82425414p-3, -0x1.1ee46a713445ap-3, -0x1.1a0f24d9dbaefp-3, -0x1.1546fa1177873p-3, -0x1.108bfafa253a2p-3, -0x1.0bde36aeaa9dfp-3, -0x1.073dba8c50ab9p-3, -0x1.02aa923cc702cp-3, -0x1.fc498f8000c88p-4, -0x1.f358c6ec0cc1dp-4, -0x1.ea82d8519bd3p-4, -0x1.e1c7ce2bf48ep-4, -0x1.d927aff143aa7p-4, -0x1.d0a28225fb42cp-4, -0x1.c838467025c01p-4, -0x1.bfe8fbaa97599p-4, -0x1.b7b49df80a77dp-4, -0x1.af9b26d60c97dp-4, -0x1.a79c8d2fd996ep-4, -0x1.9fb8c5710b036p-4, -0x1.97efc1981a644p-4, -0x1.90417148cab26p-4, -0x1.88adc1de573d1p-4, -0x1.81349e7d7ed86p-4, -0x1.79d5f0265f5e4p-4, -0x1.72919dc620754p-4, -0x1.6b678c486cba6p-4, -0x1.64579ea8b97cdp-4, -0x1.5d61b60358a38p-4, -0x1.5685b1a654bedp-4, -0x1.4fc36f2217713p-4, -0x1.491aca59d7e75p-4, -0x1.428b9d93cd251p-4, -0x1.3c15c1892ad87p-4, -0x1.35b90d75de227p-4, -0x1.2f75572812c96p-4, -0x1.294a730f77266p-4, -0x1.2338344c47406p-4, -0x1.1d3e6cbe15948p-4, -0x1.175ced12572d3p-4, -0x1.119384d2aefbep-4, -0x1.0be20272fc815p-4, -0x1.0648335f257fdp-4, -0x1.00c5e408a4645p-4, -0x1.f6b5bfe79c0fap-5, -0x1.ec0de389c2286p-5, -0x1.e193c6999766bp-5, -0x1.d746fb2b631eap-5, -0x1.cd2711de65545p-5, -0x1.c33399f4ddaabp-5, -0x1.b96c216b8f155p-5, -0x1.afd03510c42bdp-5, -0x1.a65f609accbcp-5, -0x1.9d192ebdfb4ap-5, -0x1.93fd294221c98p-5, -0x1.8b0ad91785796p-5, -0x1.8241c66b62823p-5, -0x1.79a178bbda0c7p-5, -0x1.712976eb72e9cp-5, -0x1.68d9475410525p-5, -0x1.60b06fd96e318p-5, -0x1.58ae75fb25d14p-5, -0x1.50d2dee62a024p-5, -0x1.491d2f85dac46p-5, -0x1.418cec9487454p-5, -0x1.3a219aab8bf2bp-5, -0x1.32dabe52f2973p-5, -0x1.2bb7dc1094266p-5, -0x1.24b87876d1565p-5, -0x1.1ddc1832d1217p-5, -0x1.1722401a4b2d3p-5, -0x1.108a7538e6862p-5, -0x1.0a143cdd254edp-5, -0x1.03bf1ca4e4107p-5, -0x1.fb153512d521ep-6, -0x1.eeec79d621498p-6, -0x1.e3031538fc0c4p-6, -0x1.d75815dafdb9p-6, -0x1.cbea8b6ae2595p-6, -0x1.c0b986baa0f1bp-6, -0x1.b5c419d2b3ep-6, -0x1.ab095804a98f9p-6, -0x1.a08855fce37aep-6, -0x1.964029d3b0839p-6, -0x1.8c2feb1d96ff7p-6, -0x1.8256b2fafe552p-6, -0x1.78b39c2714444p-6, -0x1.6f45c3060897p-6, -0x1.660c45b2a1595p-6, -0x1.5d06440b25799p-6, -0x1.5432dfbda1573p-6, -0x1.4b913c538e652p-6, -0x1.43207f3cccfccp-6, -0x1.3adfcfda17c95p-6, -0x1.32ce5786d9933p-6, -0x1.2aeb41a261e5fp-6, -0x1.2335bb98a4e6bp-6, -0x1.1bacf4ea4b3e8p-6, -0x1.14501f345d641p-6, -0x1.0d1e6e374602cp-6, -0x1.061717dd6803ap-6, -0x1.fe72a8825af63p-7, -0x1.f108bb65313fdp-7, -0x1.e3eee178bbadep-7, -0x1.d7239851177d9p-7, -0x1.caa5620959a88p-7, -0x1.be72c54b30548p-7, -0x1.b28a4d556ac99p-7, -0x1.a6ea8a01de26bp-7, -0x1.9b920fca72c28p-7, -0x1.907f77cd505dap-7, -0x1.85b15fd069e4dp-7, -0x1.7b266a44269cp-7, -0x1.70dd3e4589cf4p-7, -0x1.66d4879f805f1p-7, -0x1.5d0af6cb94e54p-7, -0x1.537f40f1f8269p-7, -0x1.4a301fe8fcc7dp-7, -0x1.411c5233d7f85p-7, -0x1.38429b00e73f8p-7, -0x1.2fa1c2276067bp-7, -0x1.27389424726cp-7, -0x1.1f05e217e9d7fp-7, -0x1.170881c0516dp-7, -0x1.0f3f4d7696ee5p-7, -0x1.07a92429335eep-7, -0x1.0044e956db7b7p-7, -0x1.f2230a11bb777p-8, -0x1.e41bc79a13ed3p-8, -0x1.d671ed5e54d15p-8, -0x1.c92366644b80ap-8, -0x1.bc2e269188d63p-8, -0x1.af902a9c49a4fp-8, -0x1.a34777fb8825p-8, -0x1.97521cd6bce0cp-8, -0x1.8bae2ff4b1c94p-8, -0x1.8059d0aa1956p-8, -0x1.755326c77330bp-8, -0x1.6a98628654f1p-8, -0x1.6027bc7670fa5p-8, -0x1.55ff7569f30f8p-8, -0x1.4c1dd661ac7bep-8, -0x1.42813078b01f8p-8, -0x1.3927dccfa473dp-8, -0x1.30103c77b113dp-8, -0x1.2738b85d1309ep-8, -0x1.1e9fc131914f9p-8, -0x1.1643cf56582d6p-8, -0x1.0e2362c5e7befp-8, -0x1.063d02fd90bffp-8, -0x1.fd1e7dcdba289p-9, -0x1.ee31598162353p-9, -0x1.dfafd410abd2ap-9, -0x1.d19736c45bf5p-9, -0x1.c3e4d9051a0ep-9, -0x1.b696202c50981p-9, -0x1.a9a87f5550a04p-9, -0x1.9d19772e243e7p-9, -0x1.90e695c80e4dap-9, -0x1.850d766875a98p-9, -0x1.798bc158dd3a8p-9, -0x1.6e5f2bb7c090dp-9, -0x1.6385774902285p-9, -0x1.58fc724600bb1p-9, -0x1.4ec1f72e76ac4p-9, -0x1.44d3ec98c685ep-9, -0x1.3b304502cfb1dp-9, -0x1.31d4fea2bb517p-9, -0x1.28c0233795daap-9, -0x1.1fefc7daadbd8p-9, -0x1.17620cd0a459bp-9, -0x1.0f151d5acb83ap-9, -0x1.07072f88e8eeap-9, -0x1.fe6d08162938dp-10, -0x1.ef42cc07bb566p-10, -0x1.e08c55b520b4ap-10, -0x1.d246641c3fc17p-10, -0x1.c46dca0fdcf86p-10, -0x1.b6ff6dde60a0ep-10, -0x1.a9f848f92caa1p-10, -0x1.9d55679c4db8bp-10, -0x1.9113e877424eap-10, -0x1.8530fc569fbf5p-10, -0x1.79a9e5cde78e1p-10, -0x1.6e7bf8e28f0b9p-10, -0x1.63a49ab7ab544p-10, -0x1.5921413a9982fp-10, -0x1.4eef72d01659ep-10, -0x1.450cc6029d8f2p-10, -0x1.3b76e13181be5p-10, -0x1.322b7a409a198p-10, -0x1.29285649844c5p-10, -0x1.206b494d268cap-10, -0x1.17f235e61abaap-10, -0x1.0fbb0cfc906dbp-10, -0x1.07c3cd7aa1d8dp-10, -0x1.000a8401d1ebcp-10, -0x1.f11a95427f38fp-11, -0x1.e294911a7a664p-11, -0x1.d47f63ae3e69p-11, -0x1.c6d78e4e21f9cp-11, -0x1.b999aaec1883dp-11, -0x1.acc26b91f1629p-11, -0x1.a04e99d984f02p-11, -0x1.943b166756f54p-11, -0x1.8884d866491dap-11, -0x1.7d28ed0609f4bp-11, -0x1.722476fb8b9ap-11, -0x1.6774ae0254e26p-11, -0x1.5d16de61493adp-11, -0x1.5308686fb2bfdp-11, -0x1.4946c01e4049fp-11, -0x1.3fcf6c80198bcp-11, -0x1.36a00756cb318p-11, -0x1.2db63ca053433p-11, -0x1.250fca25e57ffp-11, -0x1.1caa7f0e13caap-11, -0x1.14843b70896f5p-11, -0x1.0c9aefea6816ap-11, -0x1.04ec9d365353fp-11, -0x1.faeea78a0c78p-12, -0x1.ec7266b0a0cd7p-12, -0x1.de60d53fa772fp-12, -0x1.d0b66daf7dbf9p-12, -0x1.c36fc6d18355cp-12, -0x1.b6899314f6a53p-12, -0x1.aa009fce9d0c9p-12, -0x1.9dd1d484907a5p-12, -0x1.91fa323d47ea3p-12, -0x1.8676d2d15f591p-12, -0x1.7b44e841724dep-12, -0x1.7061bc0fa97e3p-12, -0x1.65caae9c1ee0ep-12, -0x1.5b7d36841f63cp-12, -0x1.5176e007684dep-12, -0x1.47b54c6bc9e73p-12, -0x1.3e36316874586p-12, -0x1.34f75891ffe3fp-12, -0x1.2bf69ecacd833p-12, -0x1.2331f3b61d10dp-12, -0x1.1aa7592deb78bp-12, -0x1.1254e2bc20ee9p-12, -0x1.0a38b516440f1p-12, -0x1.0251059c3739dp-12, -0x1.f53833b580e3fp-13, -0x1.e6308e20f5606p-13, -0x1.d787e368079e2p-13, -0x1.c93b19fff8848p-13, -0x1.bb4734fd29b83p-13, -0x1.ada9533484a99p-13, -0x1.a05eae5e7440ep-13, -0x1.93649a42a7a4ap-13, -0x1.86b883e5ce4cap-13, -0x1.7a57f0be63d4cp-13, -0x1.6e407deccfe38p-13, -0x1.626fdf799c505p-13, -0x1.56e3df98dbd91p-13, -0x1.4b9a5df1bc323p-13, -0x1.40914ee8f45fep-13, -0x1.35c6baf2bf1a7p-13, -0x1.2b38bde7bc4bp-13, -0x1.20e5865e2a051p-13, -0x1.16cb550818eb1p-13, -0x1.0ce87c15421eep-13, -0x1.033b5e9996dbfp-13, -0x1.f384dfedda6a8p-14, -0x1.e0f86694e2fdcp-14, -0x1.cece75c16f8b5p-14, -0x1.bd044f571811bp-14, -0x1.ab9751771adb1p-14, -0x1.9a84f579e9a0dp-14, -0x1.89cacef4098fep-14, -0x1.79668abc76c9ep-14, -0x1.6955ee0073c9cp-14, -0x1.5996d5573f336p-14, -0x1.4a2733e516b05p-14, -0x1.3b05127d5c0adp-14, -0x1.2c2e8ecb4bed7p-14, -0x1.1da1da85ae29ap-14, -0x1.0f5d3aa5a23a7p-14, -0x1.015f06a3e82a8p-14, -0x1.e74b4f7a0b0a6p-15, -0x1.cc5f3071e9876p-15, -0x1.b1f6c5775fae2p-15, -0x1.980f432f978e3p-15, -0x1.7ea5fc4fb802dp-15, -0x1.65b860598f6b7p-15, -0x1.4d43fa67bef6dp-15, -0x1.35466ffddfbe6p-15, -0x1.1dbd7fe031f17p-15, -0x1.06a700fccd9fep-15, -0x1.e001c2b231fbep-16, -0x1.b3924a13bac83p-16, -0x1.87fbca60388e6p-16, -0x1.5d3a9e0998006p-16, -0x1.334b45da888d3p-16, -0x1.0a2a671dff0f1p-16, -0x1.c3a993d53bf67p-17, -0x1.748eaedb9e0dbp-17, -0x1.26fe30aa314acp-17, -0x1.b5e4cd0bfab97p-18, -0x1.20cbad10a7ac7p-18, -0x1.1d4cf2fffb0f7p-19, 0x1.29de3f36f1f67p-27, 0x1.19e09a90d976ep-19, 0x1.167505b745042p-18, 0x1.9d2c263d6a685p-18, 0x1.108f355279be6p-17, 0x1.512a20875316dp-17, 0x1.906ae75100c22p-17, 0x1.ce5579d3128d2p-17, 0x1.0576d3e7fe939p-16, 0x1.231b914a48c92p-16, 0x1.401abf6b40f79p-16, 0x1.5c761b443ecbp-16, 0x1.782f553e06043p-16, 0x1.9348120ae49e9p-16, 0x1.adc1eb6aa21aep-16, 0x1.c79e70f1d6af8p-16, 0x1.e0df28bc85fcbp-16, 0x1.f985901ea992dp-16, 0x1.08c98e20d8069p-15, 0x1.14849d67030a4p-15, 0x1.1ff4a93ed8c9p-15, 0x1.2b1a61d7b1871p-15, 0x1.35f6747534c8fp-15, 0x1.40898bb38ce1bp-15, 0x1.4ad44fc360faep-15, 0x1.54d766a52fdd9p-15, 0x1.5e93745d2783fp-15, 0x1.68091b2b8e84fp-15, 0x1.7138fbbcf0bd3p-15, 0x1.7a23b5596842fp-15, 0x1.82c9e610fd47ap-15, 0x1.8b2c2ae2906a6p-15, 0x1.934b1fe390f6cp-15, 0x1.9b276065dc9abp-15, 0x1.a2c1871979574p-15, 0x1.aa1a2e2ab9c9fp-15, 0x1.b131ef62494b3p-15, 0x1.b809644111eb4p-15, 0x1.bea12616d98d5p-15, 0x1.c4f9ce1d97c78p-15, 0x1.cb13f58b0d7c3p-15, 0x1.d0f035a87c6c9p-15, 0x1.d68f27e3ffc54p-15, 0x1.dbf165e22b48fp-15, 0x1.e117898c92ed2p-15, 0x1.e6022d1e71d74p-15, 0x1.eab1eb31526e9p-15, 0x1.ef275ec97704fp-15, 0x1.f363235cf82cep-15, 0x1.f765d4dea8fe7p-15, 0x1.fb300fc371a03p-15, 0x1.fec27109b211cp-15, 0x1.010ecb1f0369ep-14, 0x1.02a10ebf0d19cp-14, 0x1.041852be37ffp-14, 0x1.0574e6c07fab4p-14, 0x1.06b71ab5d77e6p-14, 0x1.07df3eda8d2fdp-14, 0x1.08eda3b60a222p-14, 0x1.09e29a1ac63c8p-14, 0x1.0abe73252558p-14, 0x1.0b81803a148bdp-14, 0x1.0c2c13057d7f9p-14, 0x1.0cbe7d780d58ap-14, 0x1.0d3911c51c9dbp-14, 0x1.0d9c225ff723ep-14, 0x1.0de801f93ca8cp-14, 0x1.0e1d037c5f547p-14, 0x1.0e3b7a0bc6318p-14, 0x1.0e43b8fd6caa5p-14, 0x1.0e3613d7937f8p-14, 0x1.0e12de4cd7e6bp-14, 0x1.0dda6c388677ep-14, 0x1.0d8d1199f272p-14, 0x1.0d2b229022062p-14, 0x1.0cb4f3570d704p-14, 0x1.0c2ad8416e6b6p-14, 0x1.0b8d25b541c77p-14, 0x1.0adc3026e6a6ep-14, 0x1.0a184c13f8903p-14, 0x1.0941cdff5d2e1p-14, 0x1.08590a6ba8625p-14, 0x1.075e55d719457p-14, 0x1.065204b668de5p-14, 0x1.05346b6fbe524p-14, 0x1.0405de5580505p-14, 0x1.02c6b1a246e63p-14, 0x1.01773972ef683p-14, 0x1.0017c9c1feb31p-14, 0x1.fd516cc50b5f5p-15, 0x1.fa54a5f79dc25p-15, 0x1.f739e607f8966p-15, 0x1.f401d3768e957p-15, 0x1.f0ad144eae442p-15, 0x1.ed3c4e1c2e82dp-15, 0x1.e9b025e16eb4dp-15, 0x1.e609400ef7667p-15, 0x1.e248407a5ba1fp-15, 0x1.de6dca5347b2dp-15, 0x1.da7a801c91a5bp-15, 0x1.d66f03a1feb5ep-15, 0x1.d24bf5eec91f7p-15, 0x1.ce11f746e92fep-15, 0x1.c9c1a71c0fdc5p-15, 0x1.c55ba4061634cp-15, 0x1.c0e08bbb69f68p-15, 0x1.bc50fb08949c9p-15, 0x1.b7ad8dc7ac1aap-15, 0x1.b2f6ded9c5b91p-15, 0x1.ae2d881e15be7p-15, 0x1.a952226ad906fp-15, 0x1.a4654585ffeaap-15, 0x1.9f67881e0a235p-15, 0x1.9a597fc3a4888p-15, 0x1.953bc0e2251f8p-15, 0x1.900edeb9420f7p-15, 0x1.8ad36b57361c9p-15, 0x1.8589f791c3778p-15, 0x1.80331300f8308p-15, 0x1.7acf4bf8e416cp-15, 0x1.755f2f838784ep-15, 0x1.6fe3495c37cbcp-15, 0x1.6a5c23ea4056ap-15, 0x1.64ca483baab87p-15, 0x1.5f2e3e004e6bap-15, 0x1.59888b85c4fe8p-15, 0x1.53d9b5b23616cp-15, 0x1.4e2240009f34p-15, 0x1.4862ac7c565e3p-15, 0x1.429b7bbd6e02p-15, 0x1.3ccd2ce4d9c0ap-15, 0x1.36f83d98e2dedp-15, 0x1.311d2a0237449p-15, 0x1.2b3c6cc815dd9p-15, 0x1.25567f0e04c52p-15, 0x1.1f6bd870e5ad6p-15, 0x1.197cef03e01ecp-15, 0x1.138a374ec437fp-15, 0x1.0d94244ba7fep-15, 0x1.079b27636a90cp-15, 0x1.019fb06dbd2dp-15, 0x1.f7445b5dea2c9p-16, 0x1.eb4617aac603p-16, 0x1.df456bf1e2e3p-16, 0x1.d3432b33f4cb3p-16, 0x1.c740253facd45p-16, 0x1.bb3d26af92ac7p-16, 0x1.af3af8e92c6a6p-16, 0x1.a33a621b8d9e8p-16, 0x1.973c253f287c7p-16, 0x1.8b410213139dfp-16, 0x1.7f49b51f07758p-16, 0x1.7356f7b27c0b9p-16, 0x1.67697fe4df099p-16, 0x1.5b820095cf88bp-16, 0x1.4fa1296f03048p-16, 0x1.43c7a6e3dcdf2p-16, 0x1.37f6223266422p-16, 0x1.2c2d41678c06ep-16, 0x1.206da75e3991fp-16, 0x1.14b7f3c20e04cp-16, 0x1.090cc312d56e4p-16, 0x1.fad95d4c32de8p-17, 0x1.e3b09953daf5p-17, 0x1.cca0604ea2523p-17, 0x1.b5a9d20c845cp-17, 0x1.9ece0822218ecp-17, 0x1.880e15edd367dp-17, 0x1.716b08a10ecc9p-17, 0x1.5ae5e746b7e4dp-17, 0x1.447fb2cda7798p-17, 0x1.2e396611a1699p-17, 0x1.1813f5e2587c2p-17, 0x1.0210510c91a75p-17, 0x1.d85ec0c8b1be5p-18, 0x1.ace40d9be8becp-18, 0x1.81b24297c956cp-18, 0x1.56cb0e09e87dp-18, 0x1.2c3012a07637dp-18, 0x1.01e2e785a1652p-18, 0x1.afca30e536b94p-19, 0x1.5c704b884fc71p-19, 0x1.09bb092d8dfp-19, 0x1.6f5a7b6c4dec4p-20, 0x1.99269ba47e8bap-21, 0x1.592ec99b2f88fp-23, -0x1.d3a2f9454214ep-22, -0x1.13937fa3a02f3p-20, -0x1.b0d59c62d7b57p-20, -0x1.26553829114b9p-19, -0x1.7386c08baa869p-19, -0x1.bffd3edb77ea4p-19, -0x1.05db4f8e9faf4p-18, -0x1.2b5870cc3d6d6p-18, -0x1.50750d4fa5dbbp-18, -0x1.7530392ad6ba2p-18, -0x1.9989123f333ccp-18, -0x1.bd7ec01cf9091p-18, -0x1.e11073e34395fp-18, -0x1.021eb415d9ec7p-17, -0x1.138270733959dp-17, -0x1.24b315a01e9f5p-17, -0x1.35b04ec00bc72p-17, -0x1.4679cb76d4d93p-17, -0x1.570f3fd8d7baap-17, -0x1.6770645c6f611p-17, }}, 
      {{-0x1.edf5584416968p-7, -0x1.ec963a6d5d4a9p-6, -0x1.6fc41ee4692dep-5, -0x1.e7544db3ecb8cp-5, -0x1.2e3e33fd55332p-4, -0x1.6769b208f347dp-4, -0x1.9f032f5fc496ep-4, -0x1.d4ebc89910918p-4, -0x1.04872b880a697p-3, -0x1.1daf3a6c73d71p-3, -0x1.35ebb6dc58a5p-3, -0x1.4d3d96a94526ap-3, -0x1.63a89aad71954p-3, -0x1.7932d162c8e56p-3, -0x1.8de4230f319d1p-3, -0x1.a1c5e8a2a8278p-3, -0x1.b4e28db311044p-3, -0x1.c7453d87869ap-3, -0x1.d8f99ad25732fp-3, -0x1.ea0b81833602bp-3, -0x1.fa86d1fa6b51ap-3, -0x1.053ba26a069bep-2, -0x1.0cf4233dd5a67p-2, -0x1.14726cdcd4887p-2, -0x1.1bbbc038f763cp-2, -0x1.22d514eaaf10dp-2, -0x1.29c312a9e368dp-2, -0x1.308a0cd4c72acp-2, -0x1.372dffb93401fp-2, -0x1.3db28f5c54b87p-2, -0x1.441b078353fc6p-2, -0x1.4a6a5cc680d99p-2, -0x1.50a32e7e86ae6p-2, -0x1.56c7c961554fbp-2, -0x1.5cda2aa99e046p-2, -0x1.62dc03a8cd5a6p-2, -0x1.68cebda7d1f24p-2, -0x1.6eb37dff0893fp-2, -0x1.748b2a513c32bp-2, -0x1.7a566cd8c4fffp-2, -0x1.8015b8b8b25a3p-2, -0x1.85c94e464cf74p-2, -0x1.8b713f416236bp-2, -0x1.910d72f3b1b8bp-2, -0x1.969daa31579a4p-2, -0x1.9c2183357c13dp-2, -0x1.a1987d57b7e11p-2, -0x1.a701fc979476bp-2, -0x1.ac5d4cfc68bep-2, -0x1.b1a9a5c8859d1p-2, -0x1.b6e62c7f35655p-2, -0x1.bc11f7bd93de9p-2, -0x1.c12c11e69c2cfp-2, -0x1.c6337ba325b97p-2, -0x1.cb272e36c6d83p-2, -0x1.d0061daabe1fdp-2, -0x1.d4cf3ad0382dp-2, -0x1.d981751b57d1dp-2, -0x1.de1bbc5884995p-2, -0x1.e29d023d877ddp-2, -0x1.e7043bd812ca3p-2, -0x1.eb5062db4a37ep-2, -0x1.ef8076cde219p-2, -0x1.f3937e1a72fbp-2, -0x1.f7888703884c9p-2, -0x1.fb5ea87cf95f6p-2, -0x1.ff1502ec068f5p-2, -0x1.01556067d8dc1p-1, -0x1.030f8ba95d4dfp-1, -0x1.04b8a3644d8e8p-1, -0x1.06504d8b6a88ep-1, -0x1.07d63605eab1fp-1, -0x1.094a0ed252967p-1, -0x1.0aab90214786fp-1, -0x1.0bfa7868f096fp-1, -0x1.0d368c71673ccp-1, -0x1.0e5f975ac2c57p-1, -0x1.0f756a9d32803p-1, -0x1.1077de03a5f32p-1, -0x1.1166cfa16d18cp-1, -0x1.124223c341044p-1, -0x1.1309c4dc17e1ap-1, -0x1.13bda36e262c5p-1, -0x1.145db5f06a93p-1, -0x1.14e9f8b117deap-1, -0x1.15626db5314f9p-1, -0x1.15c71c95a7102p-1, -0x1.1618125a39fbep-1, -0x1.165561526dfc6p-1, -0x1.167f20ecc96d9p-1, -0x1.16956d8ca06ffp-1, -0x1.1698685ea2afdp-1, -0x1.1688372c6497ep-1, -0x1.1665042f136d2p-1, -0x1.162efde182131p-1, -0x1.15e656d1be9f4p-1, -0x1.158b4572530bbp-1, -0x1.151e03eb5d01dp-1, -0x1.149ecfeb99c5cp-1, -0x1.140dea798a8a7p-1, -0x1.136b97c4ce355p-1, -0x1.12b81ef7c9db6p-1, -0x1.11f3ca09bb3cfp-1, -0x1.111ee5914c8e9p-1, -0x1.1039c097bb26dp-1, -0x1.0f44ac6ca909bp-1, -0x1.0e3ffc7aa530fp-1, -0x1.0d2c061c7e945p-1, -0x1.0c0920736cf0cp-1, -0x1.0ad7a43e1c0f1p-1, -0x1.0997ebb0a4c23p-1, -0x1.084a524d7df14p-1, -0x1.06ef34bf6b66dp-1, -0x1.0586f0b474116p-1, -0x1.0411e4b9e2201p-1, -0x1.02907019578acp-1, -0x1.0102f2b6f29eep-1, -0x1.fed399e11b8fcp-2, -0x1.fb8abefc2daep-2, -0x1.f82c16a6014bap-2, -0x1.f4b86301a36d8p-2, -0x1.f130663595fbbp-2, -0x1.ed94e23555fd3p-2, -0x1.e9e6988d12948p-2, -0x1.e6264a2f8d418p-2, -0x1.e254b74628b1bp-2, -0x1.de729f0316b85p-2, -0x1.da80bf75a17a2p-2, -0x1.d67fd5608e09fp-2, -0x1.d2709c1286debp-2, -0x1.ce53cd408d41cp-2, -0x1.ca2a20e267271p-2, -0x1.c5f44d10fc3dcp-2, -0x1.c1b305e699ddcp-2, -0x1.bd66fd6119dd8p-2, -0x1.b910e345d5e0fp-2, -0x1.b4b1650765603p-2, -0x1.b0492dad17e2p-2, -0x1.abd8e5bc20dcp-2, -0x1.a76133226725cp-2, -0x1.a2e2b922f3282p-2, -0x1.9e5e1843e5cb8p-2, -0x1.99d3ee3df5f23p-2, -0x1.9544d5ed64a92p-2, -0x1.90b167445a6dp-2, -0x1.8c1a373ea60a4p-2, -0x1.877fd7d6ce226p-2, -0x1.82e2d7fc6c1c5p-2, -0x1.7e43c38bc1fa5p-2, -0x1.79a32346824aep-2, -0x1.75017ccdbfa61p-2, -0x1.705f529cf3718p-2, -0x1.6bbd240618d7p-2, -0x1.671b6d2ec903fp-2, -0x1.627aa70e536b1p-2, -0x1.5ddb476cc6288p-2, -0x1.593dc0e2daa79p-2, -0x1.54a282dabea07p-2, -0x1.5009f991adfe1p-2, -0x1.4b748e1a55512p-2, -0x1.46e2a65ff0effp-2, -0x1.4254a52a21ba4p-2, -0x1.3dcaea216eb4bp-2, -0x1.3945d1d4695e9p-2, -0x1.34c5b5bd68e25p-2, -0x1.304aec48dd00fp-2, -0x1.2bd5c8dc255f9p-2, -0x1.27669bdcee881p-2, -0x1.22fdb2b905a92p-2, -0x1.1e9b57eea071fp-2, -0x1.1a3fd3150f5c9p-2, -0x1.15eb68e5d601ep-2, -0x1.119e5b461bd2dp-2, -0x1.0d58e950784ddp-2, -0x1.091b4f5f0bb9bp-2, -0x1.04e5c715e386ap-2, -0x1.00b8876da0a7cp-2, -0x1.f927897cbb636p-3, -0x1.f0ef619597e6cp-3, -0x1.e8c8f59703a1bp-3, -0x1.e0b49ef4f7637p-3, -0x1.d8b2b23d7e7bbp-3, -0x1.d0c37f3049ba5p-3, -0x1.c8e750d687ecbp-3, -0x1.c11e6d9ae26adp-3, -0x1.b9691761b737ap-3, -0x1.b1c78ba16d845p-3, -0x1.aa3a037ae659ap-3, -0x1.a2c0b3d208857p-3, -0x1.9b5bcd6652b12p-3, -0x1.940b7ceb77246p-3, -0x1.8ccfeb21f7883p-3, -0x1.85a93cefb9a0ap-3, -0x1.7e97937892594p-3, -0x1.779b0c36b4ac1p-3, -0x1.70b3c11317bcbp-3, -0x1.69e1c87db63fp-3, -0x1.63253585a9cebp-3, -0x1.5c7e17f12a1f5p-3, -0x1.55ec7c555aec1p-3, -0x1.4f706c2de8a3fp-3, -0x1.4909edf47759cp-3, -0x1.42b90537d9679p-3, -0x1.3c7db2b30c053p-3, -0x1.3657f463f72c9p-3, -0x1.3047c5a1e9c3ep-3, -0x1.2a4d1f33d9158p-3, -0x1.2467f76656659p-3, -0x1.1e9842213c667p-3, -0x1.18ddf0fd12cap-3, -0x1.1338f35828d13p-3, -0x1.0da9366b5b6a1p-3, -0x1.082ea55e8de63p-3, -0x1.02c9295cd4681p-3, -0x1.faf153508e76ap-4, -0x1.f07a175afe317p-4, -0x1.e62c662d8d4aap-4, -0x1.dc0803bdcbd22p-4, -0x1.d20cb0c74d0b6p-4, -0x1.c83a2aefe58bbp-4, -0x1.be902ceb49425p-4, -0x1.b50e6e9de9be6p-4, -0x1.abb4a53f29d0fp-4, -0x1.a282837adbfafp-4, -0x1.9977b9920c303p-4, -0x1.9093f57b0c4eap-4, -0x1.87d6e300dc74p-4, -0x1.7f402be1d147ep-4, -0x1.76cf77ed8a878p-4, -0x1.6e846d223978p-4, -0x1.665eafc92bfddp-4, -0x1.5e5de292afb21p-4, -0x1.5681a6b13b05dp-4, -0x1.4ec99bf3eb0b3p-4, -0x1.473560e050cc2p-4, -0x1.3fc492cb8ff08p-4, -0x1.3876cdf2d2916p-4, -0x1.314bad93115a3p-4, -0x1.2a42cc0031b88p-4, -0x1.235bc2bb7eae5p-4, -0x1.1c962a89783a4p-4, -0x1.15f19b8701f52p-4, -0x1.0f6dad3dee6e7p-4, -0x1.0909f6b8ea174p-4, -0x1.02c60e96c7d95p-4, -0x1.f943163a67253p-5, -0x1.ed3804959164dp-5, -0x1.e16a13d12318ap-5, -0x1.d5d86f35e898ep-5, -0x1.ca8241e40e17ep-5, -0x1.bf66b6f2b5b49p-5, -0x1.b484f98e5ef6ep-5, -0x1.a9dc351649ef2p-5, -0x1.9f6b9538b7021p-5, -0x1.9532460e2256fp-5, -0x1.8b2f743371c3p-5, -0x1.81624ce32074p-5, -0x1.77c9fe0d68b3dp-5, -0x1.6e65b66f79d83p-5, -0x1.6534a5a9ad5a4p-5, -0x1.5c35fc54da656p-5, -0x1.5368ec16b1599p-5, -0x1.4acca7b536d41p-5, -0x1.426063295d895p-5, -0x1.3a2353b0c4edp-5, -0x1.3214afde9b97fp-5, -0x1.2a33afabb48eep-5, -0x1.227f8c85cd4c9p-5, -0x1.1af7815e0a8a3p-5, -0x1.139acab6b2d13p-5, -0x1.0c68a6b0272e1p-5, -0x1.056055152873ap-5, -0x1.fd022eccc1ea1p-6, -0x1.ef9461ca7d5cep-6, -0x1.e275cd3c4a7dfp-6, -0x1.d5a4fee3e85f3p-6, -0x1.c920883ddfe7fp-6, -0x1.bce6fe920c82ap-6, -0x1.b0f6fb02fbd67p-6, -0x1.a54f1a9c2052dp-6, -0x1.99edfe5edeff1p-6, -0x1.8ed24b4e89724p-6, -0x1.83faaa7b44a5ap-6, -0x1.7965c90be190cp-6, -0x1.6f125846c8a0bp-6, -0x1.64ff0d99cfee4p-6, -0x1.5b2aa2a13c3d6p-6, -0x1.5193d52dd1523p-6, -0x1.48396749fb77cp-6, -0x1.3f1a1f3e27539p-6, -0x1.3634c79443cdp-6, -0x1.2d882f1a848e5p-6, -0x1.251328e54f4d2p-6, -0x1.1cd48c5083b5ep-6, -0x1.14cb34fff744fp-6, -0x1.0cf602df586ccp-6, -0x1.0553da215fb3ap-6, -0x1.fbc7467cbb1fcp-7, -0x1.ed4895e4608ap-7, -0x1.df2984735b705p-7, -0x1.d167fc9ee9234p-7, -0x1.c401f15070bd1p-7, -0x1.b6f55ddd1f7afp-7, -0x1.aa4045fc76ddcp-7, -0x1.9de0b5be10223p-7, -0x1.91d4c17e4d482p-7, -0x1.861a85da6570cp-7, -0x1.7ab027a37989fp-7, -0x1.6f93d3d0f36cp-7, -0x1.64c3bf7237dcep-7, -0x1.5a3e279f8c80bp-7, -0x1.5001516a76af2p-7, -0x1.460b89cd5fcebp-7, -0x1.3c5b259ab1981p-7, -0x1.32ee816b6945p-7, -0x1.29c4018d181a1p-7, -0x1.20da11ef713cp-7, -0x1.182f261170388p-7, -0x1.0fc1b8edf8735p-7, -0x1.07904ce81c0cfp-7, -0x1.ff32d76e0ca56p-8, -0x1.efb74ca31056ep-8, -0x1.e0ab29b2d8718p-8, -0x1.d20bad0caa0ffp-8, -0x1.c3d6232108a52p-8, -0x1.b607e63690106p-8, -0x1.a89e5e3e7215ep-8, -0x1.9b9700a89dfe6p-8, -0x1.8eef503782514p-8, -0x1.82a4dcd388311p-8, -0x1.76b5435e42278p-8, -0x1.6b1e2d855c2d5p-8, -0x1.5fdd519586e8ap-8, -0x1.54f0724cf8ce1p-8, -0x1.4a555eae1d22bp-8, -0x1.4009f1d1fee0cp-8, -0x1.360c12baa02fap-8, -0x1.2c59b425786c5p-8, -0x1.22f0d45dcf4a7p-8, -0x1.19cf7d0f36a3ap-8, -0x1.10f3c3180d00bp-8, -0x1.085bc65c34c5ap-8, -0x1.0005b197bb521p-8, -0x1.efdf74636d7abp-9, -0x1.e030401ed6b1bp-9, -0x1.d0fa5acf030bbp-9, -0x1.c23a6d2aea7e9p-9, -0x1.b3ed33dad9e1p-9, -0x1.a60f7f1fe9fcbp-9, -0x1.989e327cc6b5fp-9, -0x1.8b96445e88363p-9, -0x1.7ef4bdc65b415p-9, -0x1.72b6b9f3b4076p-9, -0x1.66d9660f4b9f8p-9, -0x1.5b5a00d6c9c66p-9, -0x1.5035da48f1c74p-9, -0x1.456a5352c717cp-9, -0x1.3af4dd7d5775bp-9, -0x1.30d2fa9c72954p-9, -0x1.27023c7e008ffp-9, -0x1.1d80449a64da1p-9, -0x1.144ac3c58359ep-9, -0x1.0b5f79e09a49dp-9, -0x1.02bc358d4eea1p-9, -0x1.f4bda7c27e19p-10, -0x1.e48a803553b52p-10, -0x1.d4dae6ac1d3a2p-10, -0x1.c5aae8891275bp-10, -0x1.b6f6adc6863ffp-10, -0x1.a8ba786793a85p-10, -0x1.9af2a3ea967fcp-10, -0x1.8d9ba4bd9e8afp-10, -0x1.80b207b4dd5c2p-10, -0x1.743271831b376p-10, -0x1.68199e33bba7fp-10, -0x1.5c6460a71eb24p-10, -0x1.510fa2108af59p-10, -0x1.461861764be16p-10, -0x1.3b7bb33401bdfp-10, -0x1.3136c07e20922p-10, -0x1.2746c6e830faap-10, -0x1.1da917eca0b21p-10, -0x1.145b18768dc17p-10, -0x1.0b5a406d7ff54p-10, -0x1.02a41a42ff418p-10, -0x1.f46c850483eb7p-11, -0x1.e41ccec3261ecp-11, -0x1.d45490abfa1d7p-11, -0x1.c50f6b509c733p-11, -0x1.b64920190bf19p-11, -0x1.a7fd90758bf02p-11, -0x1.9a28bd1474344p-11, -0x1.8cc6c51bd3b3bp-11, -0x1.7fd3e566b3c29p-11, -0x1.734c77c5dbecp-11, -0x1.672cf244378eap-11, -0x1.5b71e66f3a052p-11, -0x1.501800a22c5fdp-11, -0x1.451c07557682bp-11, -0x1.3a7ada70d4893p-11, -0x1.303172a1d3aa1p-11, -0x1.263ce0b4cacap-11, -0x1.1c9a4cf202b07p-11, -0x1.1346f67dc673fp-11, -0x1.0a4032bbd08a4p-11, -0x1.01836cb5e4befp-11, -0x1.f21c490b67518p-12, -0x1.e1bbdd83b1917p-12, -0x1.d1e0e7dcd807cp-12, -0x1.c286dfdfa6407p-12, -0x1.b3a96302c89eep-12, -0x1.a544335d3c299p-12, -0x1.9753369f96ae7p-12, -0x1.89d275119a3cp-12, -0x1.7cbe1897e20f8p-12, -0x1.70126bbc354d7p-12, -0x1.63cbd8bdf4895p-12, -0x1.57e6e8a780ebap-12, -0x1.4c6042682db88p-12, -0x1.4134a9f434b8p-12, -0x1.3660ff6ac477ap-12, -0x1.2be23e3f0c9b6p-12, -0x1.21b57c68461dp-12, -0x1.17d7e996a47f8p-12, -0x1.0e46ce6b90488p-12, -0x1.04ff8bb89acp-12, -0x1.f7ff3384beaf5p-13, -0x1.e6890f101c25ep-13, -0x1.d597f41ecffd1p-13, -0x1.c527576c855f6p-13, -0x1.b532d70decebep-13, -0x1.a5b63923c7c8cp-13, -0x1.96ad6a97eb598p-13, -0x1.88147ddf05d4dp-13, -0x1.79e7a9c64e7dbp-13, -0x1.6c234846cd1b9p-13, -0x1.5ec3d56219483p-13, -0x1.51c5ee0627af7p-13, -0x1.45264ef839114p-13, -0x1.38e1d3c8a62dcp-13, -0x1.2cf575cb56f26p-13, -0x1.215e4b1a47e91p-13, -0x1.1619859d9ecaap-13, -0x1.0b24721ae1ba6p-13, -0x1.007c7749e2925p-13, -0x1.ec3e29e40e655p-14, -0x1.d813c619b7333p-14, -0x1.c47521dd3398ep-14, -0x1.b15dc8ed8468ep-14, -0x1.9ec97287f8e32p-14, -0x1.8cb3ffde77f7ap-14, -0x1.7b197a9967884p-14, -0x1.69f61365a3559p-14, -0x1.5946208b52188p-14, -0x1.49061c8fe382fp-14, -0x1.3932a4e5960fbp-14, -0x1.29c8789ffd1aap-14, -0x1.1ac47734d4f88p-14, -0x1.0c239f4c34dcap-14, -0x1.fbc61b1c631e8p-15, -0x1.dffff708cab4ap-15, -0x1.c4ef7d0031891p-15, -0x1.aa8f8d14c331cp-15, -0x1.90db3ab70897bp-15, -0x1.77cdcab831072p-15, -0x1.5f62b15e99a9ep-15, -0x1.47959082f13fdp-15, -0x1.306235c27a51cp-15, -0x1.19c498c570093p-15, -0x1.03b8d986ded86p-15, -0x1.dc767d6c3631fp-16, -0x1.b2906840f3ac7p-16, -0x1.89b8925cd7ac2p-16, -0x1.61e85ecba1e1ep-16, -0x1.3b1971fdd40c1p-16, -0x1.1545af1354546p-16, -0x1.e0ce6a4fb55f1p-17, -0x1.98f0b98b85c97p-17, -0x1.52e76ae1e91a7p-17, -0x1.0ea8068a0c897p-17, -0x1.9850f2a15f5fdp-18, -0x1.16be205b85255p-18, -0x1.3109d008fd28ep-19, -0x1.d934af22e8af7p-22, 0x1.68a0377d8e744p-20, 0x1.9d7bb2cd09274p-19, 0x1.403e35be95b63p-18, 0x1.aeb8af63aa81bp-18, 0x1.0d1e23f5cc905p-17, 0x1.416bbe3b51145p-17, 0x1.744c2604f86aap-17, 0x1.a5c61ec329913p-17, 0x1.d5e032ba81f4ap-17, 0x1.02505ae1e9b1fp-16, 0x1.1906e3fb2add8p-16, 0x1.2f16ac1dca663p-16, 0x1.4482935ebf1c4p-16, 0x1.594d6399d0d6bp-16, 0x1.6d79d1982c539p-16, 0x1.810a7e21660a6p-16, 0x1.9401f70052aap-16, 0x1.a662b8023e709p-16, 0x1.b82f2be3c6079p-16, 0x1.c969ad3befe7p-16, 0x1.da148751c3cbep-16, 0x1.ea31f6efe293p-16, 0x1.f9c42b300da11p-16, 0x1.0466a31ca42c8p-15, 0x1.0ba7aef88efddp-15, 0x1.12a63e555440fp-15, 0x1.196350e73f726p-15, 0x1.1fdfe139a22a6p-15, 0x1.261ce4f9df073p-15, 0x1.2c1b4d3ecc9p-15, 0x1.31dc06cb410ffp-15, 0x1.375ffa4f839e6p-15, 0x1.3ca80ca07a4ap-15, 0x1.41b51ef591b9ep-15, 0x1.46880f1c8c189p-15, 0x1.4b21b7aed34f7p-15, 0x1.4f82f03d8fc49p-15, 0x1.53ac8d82f484ep-15, 0x1.579f618a60854p-15, 0x1.5b5c3bda1649cp-15, 0x1.5ee3e996eef6bp-15, 0x1.623735a9771b9p-15, 0x1.6556e8e02f071p-15, 0x1.6843ca0cf413ap-15, 0x1.6afe9e20fa751p-15, 0x1.6d8828490fcdep-15, 0x1.6fe12a079b24cp-15, 0x1.720a634b608d5p-15, 0x1.740492833e31cp-15, 0x1.75d074b52d3b3p-15, 0x1.776ec58e9f9b8p-15, 0x1.78e03f76da914p-15, 0x1.7a259b9c1cd38p-15, 0x1.7b3f9203b10e9p-15, 0x1.7c2ed997255b7p-15, 0x1.7cf4282f63658p-15, 0x1.7d90329ea121fp-15, 0x1.7e03acb96d762p-15, 0x1.7e4f4960283c6p-15, 0x1.7e73ba865c689p-15, 0x1.7e71b1376ce8fp-15, 0x1.7e49dd9e0f942p-15, 0x1.7dfcef0855068p-15, 0x1.7d8b93eb0e023p-15, 0x1.7cf679e5e664fp-15, 0x1.7c3e4dc322dcep-15, 0x1.7b63bb7cf3286p-15, 0x1.7a676e3ca2ebbp-15, 0x1.794a105c1b8f3p-15, 0x1.780c4b64c00dbp-15, 0x1.76aec80f396f6p-15, 0x1.75322e4359f6ep-15, 0x1.7397251622344p-15, 0x1.71de52c76e8bcp-15, 0x1.70085cc06e7edp-15, 0x1.6e15e79137891p-15, 0x1.6c0796edd4d88p-15, 0x1.69de0dab611cp-15, 0x1.6799edbb1757cp-15, 0x1.653bd828947fcp-15, 0x1.62c46d1562cbfp-15, 0x1.60344bb5169a9p-15, 0x1.5d8c1248a9d91p-15, 0x1.5acc5e19eb9a5p-15, 0x1.57f5cb784ccbp-15, 0x1.5508f5b2ef6b1p-15, 0x1.52067714960afp-15, 0x1.4eeee8de49fa9p-15, 0x1.4bc2e34332a32p-15, 0x1.4882fd6399bf4p-15, 0x1.452fcd485af1p-15, 0x1.41c9e7dd0a66cp-15, 0x1.3e51e0eb6a34cp-15, 0x1.3ac84b16d53c4p-15, 0x1.372db7d78a5dfp-15, 0x1.3382b77500e02p-15, 0x1.2fc7d9015188ep-15, 0x1.2bfdaa550b718p-15, 0x1.2824b80a1e4e3p-15, 0x1.243d8d77943c3p-15, 0x1.2048b4ac11642p-15, 0x1.1c46b669f477p-15, 0x1.18381a231b4b5p-15, 0x1.141d65f43b63fp-15, 0x1.0ff71ea1ba88bp-15, 0x1.0bc5c792376a5p-15, 0x1.0789e2cb56571p-15, 0x1.0343f0edeb15ap-15, 0x1.fde8e265024a7p-16, 0x1.f537c2c9ccb27p-16, 0x1.ec757bc2b8dddp-16, 0x1.e3a3032288811p-16, 0x1.dac14bd062e77p-16, 0x1.d1d145c11fd0fp-16, 0x1.c8d3ddf1818bfp-16, 0x1.bfc9fe5fdef0ap-16, 0x1.b6b48e08a807p-16, 0x1.ad9470e08405ep-16, 0x1.a46a87d02b31cp-16, 0x1.9b37b0b06cb08p-16, 0x1.91fcc644d629ap-16, 0x1.88baa038f6a75p-16, 0x1.7f72131da2305p-16, 0x1.7623f06428cd1p-16, 0x1.6cd1065c8f208p-16, 0x1.637a20329ed85p-16, 0x1.5a2005ecb979ap-16, 0x1.50c37c6940ba8p-16, 0x1.4765455cd36d6p-16, 0x1.3e061f5119d16p-16, 0x1.34a6c5a37cfd2p-16, 0x1.2b47f0848caacp-16, 0x1.21ea54f819e16p-16, 0x1.188ea4d4af7cfp-16, 0x1.0f358ec36cb6p-16, 0x1.05dfbe41037edp-16, 0x1.f91bb73b191d9p-17, 0x1.e68117fcb6139p-17, 0x1.d3f0e2bd41959p-17, 0x1.c16c551fea466p-17, 0x1.aef4a67ae0bep-17, 0x1.9c8b07dba604bp-17, 0x1.8a30a4080373cp-17, 0x1.77e69f8689685p-17, 0x1.65ae18a1a0b0cp-17, 0x1.5388276e3c148p-17, 0x1.4175ddcff0304p-17, 0x1.2f78478428f07p-17, 0x1.1d906a255d704p-17, 0x1.0bbf4532e42f7p-17, 0x1.f40ba437e2b44p-18, 0x1.d0ca088535551p-18, 0x1.adbb92133a167p-18, 0x1.8ae20fb81178ep-18, 0x1.683f4468e3ef7p-18, 0x1.45d4e74fb9d5p-18, 0x1.23a4a3e5e62bfp-18, 0x1.01b019ff24511p-18, 0x1.bff1bbcb7d36ep-19, 0x1.7d00f0dcb37ap-19, 0x1.3a90ce22a24cap-19, 0x1.f1486ff088f3ep-20, 0x1.6e7bf8ba9fe2p-20, 0x1.d9834cadce6ddp-21, 0x1.b07af1b4456d4p-22, -0x1.367acda8ca933p-24, -0x1.2399510827d7dp-21, -0x1.0f0b745aab729p-20, -0x1.8b1f78726da96p-20, -0x1.030223614dbb1p-19, -0x1.3fdacd627aeefp-19, -0x1.7c17ac7c78124p-19, -0x1.b7b6c735a438cp-19, -0x1.f2b63826a246ep-19, -0x1.168a16e282e37p-18, -0x1.3367750e36cf3p-18, -0x1.4ff2614b817p-18, -0x1.6c2a0fe734f5bp-18, -0x1.880dbe9e4f5afp-18, -0x1.a39cb483e9dd2p-18, -0x1.bed641e5619fcp-18, -0x1.d9b9c02767053p-18, -0x1.f44691a6491dbp-18, -0x1.073e10ce99283p-17, -0x1.142cf200a6914p-17, -0x1.20efaab0748a4p-17, -0x1.2d85fd64b6ebdp-17, -0x1.39efb0d27a5bfp-17, -0x1.462c8fcd1546p-17, -0x1.523c693607d1bp-17, -0x1.5e1f0feef5fa5p-17, -0x1.69d45ac79e407p-17, -0x1.755c246e60394p-17, -0x1.80b64b60a019ep-17, -0x1.8be2b1dbda388p-17, -0x1.96e13dcaf6bf7p-17, -0x1.a1b1d8b921b4bp-17, -0x1.ac546fc0d075cp-17, -0x1.b6c8f37a5c8f7p-17, -0x1.c10f57ef368f7p-17, -0x1.cb27948804eb9p-17, -0x1.d511a3fcf7d69p-17, -0x1.decd84460bcacp-17, -0x1.e85b368ca3122p-17, -0x1.f1babf1a27d28p-17, -0x1.faec2549b9c31p-17, -0x1.01f7b9bb6ddffp-16, -0x1.06625b78d5ba7p-16, -0x1.0ab5fff5adbap-16, -0x1.0ef2b0b4393cap-16, -0x1.13187899aa173p-16, -0x1.172763e51336p-16, -0x1.1b1f8028fc428p-16, -0x1.1f00dc43c47a7p-16, -0x1.22cb8857bee9cp-16, -0x1.267f95c41132bp-16, -0x1.2a1d171d77ac4p-16, -0x1.2da420272935ap-16, -0x1.3114c5caedac3p-16, -0x1.346f1e12d7c16p-16, -0x1.37b34021b91ddp-16, -0x1.3ae1442c12744p-16, -0x1.3df94370fc6p-16, -0x1.40fb5833ed7b6p-16, -0x1.43e79db4a1467p-16, -0x1.46be302a1ee54p-16, -0x1.497f2cb9cb75p-16, -0x1.4c2ab17291efcp-16, -0x1.4ec0dd456952cp-16, -0x1.5141cffeab03fp-16, -0x1.53adaa40c3d0bp-16, -0x1.56048d7c52509p-16, -0x1.58469beab3dc8p-16, -0x1.5a73f887bf1dap-16, -0x1.5c8cc70b3a26ep-16, -0x1.5e912be311accp-16, -0x1.60814c2cd6544p-16, -0x1.625d4db08f8edp-16, -0x1.642556da45e1dp-16, -0x1.65d98eb4ab3f8p-16, -0x1.677a1ce252701p-16, -0x1.690729994c69bp-16, -0x1.6a80dd9cf371dp-16, -0x1.6be7623867814p-16, -0x1.6d3ae13922701p-16, -0x1.6e7b84e98cd99p-16, -0x1.6fa9780c1625dp-16, -0x1.70c4e5d52ff1fp-16, -0x1.71cdf9e71198fp-16, -0x1.72c4e04c8b0fep-16, -0x1.73a9c5733c1d4p-16, -0x1.747cd62764d9fp-16, -0x1.753e3f8eff2bbp-16, -0x1.75ee2f24c4119p-16, -0x1.768cd2b339977p-16, -0x1.771a58509a653p-16, -0x1.7796ee5a661e6p-16, -0x1.7802c3709f9c4p-16, -0x1.785e067126897p-16, -0x1.78a8e673bd356p-16, -0x1.78e392c5d4c2ap-16, -0x1.790e3ae680f6bp-16, -0x1.79290e81d6e0ep-16, -0x1.79343d6d6de5cp-16, -0x1.792ff7a43d38cp-16, -0x1.791c6d4291d51p-16, }}, 
      {{-0x1.db081cd49428bp-1, -0x1.daf9878aa9b9ap-1, -0x1.dadcf211e2299p-1, -0x1.daad8da2867b3p-1, -0x1.da6652d591d3p-1, -0x1.da028830226e5p-1, -0x1.d97e131c586b3p-1, -0x1.d8d5a339183c6p-1, -0x1.d806c3a70ba0fp-1, -0x1.d70fdacf25ff4p-1, -0x1.d5f01ec73bfcep-1, -0x1.d4a782be34e87p-1, -0x1.d336a092debf3p-1, -0x1.d19ea0c8512dfp-1, -0x1.cfe1225abf991p-1, -0x1.ce002376f3735p-1, -0x1.cbfdebb923667p-1, -0x1.c9dcf85457b5cp-1, -0x1.c79fea53474b5p-1, -0x1.c54977019809fp-1, -0x1.c2dc5a74f9a94p-1, -0x1.c05b4c1ddcce1p-1, -0x1.bdc8f53d92bdep-1, -0x1.bb27e919d543fp-1, -0x1.b87a9ec2ee535p-1, -0x1.b5c36c4117bbap-1, -0x1.b30482fe8b5bcp-1, -0x1.b03fed45a0adbp-1, -0x1.ad778cace6ec5p-1, -0x1.aaad194e105bcp-1, -0x1.a7e221a7b0731p-1, -0x1.a5180b0ceb56dp-1, -0x1.a25012895de4dp-1, -0x1.9f8b4e227415ap-1, -0x1.9ccaae623dfddp-1, -0x1.9a0f001a63b02p-1, -0x1.9758ee50414d6p-1, -0x1.94a9044559e0ep-1, -0x1.91ffaf91481c2p-1, -0x1.8f5d424407dc2p-1, -0x1.8cc1f50902bd6p-1, -0x1.8a2de944a10bfp-1, -0x1.87a12b274be29p-1, -0x1.851bb3b1d8e7ap-1, -0x1.829d6aa831ccep-1, -0x1.8026286fd0104p-1, -0x1.7db5b7d84aa1p-1, -0x1.7b4bd7ccba4b9p-1, -0x1.78e83ced30531p-1, -0x1.768a930fdcedbp-1, -0x1.74327ea9d2f24p-1, -0x1.71df9e1f94ea7p-1, -0x1.6f918afdd2035p-1, -0x1.6d47db1ade7f4p-1, -0x1.6b0221a196437p-1, -0x1.68bff00672b7p-1, -0x1.6680d6e7ad6fbp-1, -0x1.644466d955e89p-1, -0x1.620a311e4cd05p-1, -0x1.5fd1c84f19afbp-1, -0x1.5d9ac0ef8d3cbp-1, -0x1.5b64b1f42de6fp-1, -0x1.592f353857ee8p-1, -0x1.56f9e7e608a09p-1, -0x1.54c46ad036919p-1, -0x1.528e62c09adebp-1, -0x1.505778b9c7957p-1, -0x1.4e1f5a2e594e4p-1, -0x1.4be5b92e12773p-1, -0x1.49aa4c899ddc7p-1, -0x1.476ccfedb3ca8p-1, -0x1.452d03f64df8cp-1, -0x1.42eaae3a966bbp-1, -0x1.40a599522a234p-1, -0x1.3e5d94d44984ap-1, -0x1.3c127551841c6p-1, -0x1.39c4144861b08p-1, -0x1.377250158d3b5p-1, -0x1.351d0bdff14cep-1, -0x1.32c42f813ad0dp-1, -0x1.3067a76b267d6p-1, -0x1.2e076489fe4d7p-1, -0x1.2ba35c249e89ep-1, -0x1.293b87ba5a2p-1, -0x1.26cfe4df0d6fbp-1, -0x1.24607515a6987p-1, -0x1.21ed3da96c0eap-1, -0x1.1f7647863df23p-1, -0x1.1cfb9f100b1bbp-1, -0x1.1a7d53f9b5af3p-1, -0x1.17fb791b91de8p-1, -0x1.15762449b2508p-1, -0x1.12ed6e2a2755dp-1, -0x1.1061720b5b5d7p-1, -0x1.0dd24dbaab012p-1, -0x1.0b40215b5b682p-1, -0x1.08ab0f3e099c6p-1, -0x1.06133bb8acfd2p-1, -0x1.0378ccff433cbp-1, -0x1.00dbeafd3a5d5p-1, -0x1.fc797e5f56bc1p-2, -0x1.f736e900e6027p-2, -0x1.f1f06e4472c77p-2, -0x1.eca668dae5e51p-2, -0x1.e759357cc401p-2, -0x1.e20932a84e1efp-2, -0x1.dcb6c061bf98ap-2, -0x1.d7623ff5c2fe9p-2, -0x1.d20c13be15867p-2, -0x1.ccb49ee86e92ep-2, -0x1.c75c453fa1a94p-2, -0x1.c2036af706b44p-2, -0x1.bcaa747820a8ep-2, -0x1.b751c6328450ap-2, -0x1.b1f9c46df7be5p-2, -0x1.aca2d31ecdf29p-2, -0x1.a74d55bc6bc65p-2, -0x1.a1f9af19f9305p-2, -0x1.9ca8414131b21p-2, -0x1.97596d4f487f6p-2, -0x1.920d9353df7d3p-2, -0x1.8cc51231f644cp-2, -0x1.87804782d7c3ep-2, -0x1.823f8f7aecf7dp-2, -0x1.7d0344d06cd85p-2, -0x1.77cbc0a3dee4dp-2, -0x1.72995a6a5ebbcp-2, -0x1.6d6c67d998613p-2, -0x1.68453cd56a4b4p-2, -0x1.63242b5f2316ep-2, -0x1.5e0983864b0f1p-2, -0x1.58f5935aef6a8p-2, -0x1.53e8a6e15be39p-2, -0x1.4ee3080739e0dp-2, -0x1.49e4fe9a02b3ep-2, -0x1.44eed03ebd04ep-2, -0x1.4000c06af280bp-2, -0x1.3b1b105ed5df4p-2, -0x1.363dff208578p-2, -0x1.3169c978643b6p-2, -0x1.2c9ea9ee76994p-2, -0x1.27dcd8c8beee1p-2, -0x1.23248c0a80654p-2, -0x1.1e75f7746a12dp-2, -0x1.19d14c85967a6p-2, -0x1.1536ba7d55652p-2, -0x1.10a66e5db6cb3p-2, -0x1.0c2092eec92d6p-2, -0x1.07a550c285a84p-2, -0x1.0334ce3958992p-2, -0x1.fd9e5f0e8781ap-3, -0x1.f4e92d7315e0fp-3, -0x1.ec4a4779ccd37p-3, -0x1.e3c1e8c85b80ap-3, -0x1.db5048deeb0bdp-3, -0x1.d2f59b272b44bp-3, -0x1.cab20f042621cp-3, -0x1.c285cfe2bec21p-3, -0x1.ba71054ada319p-3, -0x1.b273d2f11950dp-3, -0x1.aa8e58c91e982p-3, -0x1.a2c0b3184a9ap-3, -0x1.9b0afa88e2f44p-3, -0x1.936d443da1eddp-3, -0x1.8be7a1e591b9ap-3, -0x1.847a21d03b4a2p-3, -0x1.7d24cf0207477p-3, -0x1.75e7b148e5646p-3, -0x1.6ec2cd5108cfbp-3, -0x1.67b624b9dc0f8p-3, -0x1.60c1b62afcc78p-3, -0x1.59e57d6951e25p-3, -0x1.5321736c237dbp-3, -0x1.4c758e72373c3p-3, -0x1.45e1c216e831p-3, -0x1.3f65ff6727ed5p-3, -0x1.390234f67884p-3, -0x1.32b64ef3c35e3p-3, -0x1.2c82373e13ea3p-3, -0x1.2665d5792d58cp-3, -0x1.20610f21f9a63p-3, -0x1.1a73c7a2bf777p-3, -0x1.149de06735a86p-3, -0x1.0edf38f04f9afp-3, -0x1.0937aee7d9255p-3, -0x1.03a71e33d32b1p-3, -0x1.fc5ac2130e692p-4, -0x1.f194a000be6b8p-4, -0x1.e6fb8448ea695p-4, -0x1.dc8f1a11a2436p-4, -0x1.d24f09b2c96fap-4, -0x1.c83af8d9695b4p-4, -0x1.be528aaa60315p-4, -0x1.b4955fe4714d3p-4, -0x1.ab031701b2117p-4, -0x1.a19b4c584c19bp-4, -0x1.985d9a3a8c28fp-4, -0x1.8f499916542bbp-4, -0x1.865edf93d1579p-4, -0x1.7d9d02b3882d7p-4, -0x1.750395ebb1164p-4, -0x1.6c922b44e0543p-4, -0x1.64485375ff15cp-4, -0x1.5c259dff91458p-4, -0x1.5429994648f73p-4, -0x1.4c53d2ace9349p-4, -0x1.44a3d6ad77761p-4, -0x1.3d1930f1bb131p-4, -0x1.35b36c6b0e888p-4, -0x1.2e721369820ecp-4, -0x1.2754afb24f518p-4, -0x1.205aca95a0c0ep-4, -0x1.1983ed03b0868p-4, -0x1.12cf9fa13ae68p-4, -0x1.0c3d6adb4c244p-4, -0x1.05ccd6fa6529bp-4, -0x1.fefad86a00e58p-5, -0x1.f29d6582e442ap-5, -0x1.e68065ce542f3p-5, -0x1.daa2ea1eaf7afp-5, -0x1.cf0403a9e7557p-5, -0x1.c3a2c4285c4ecp-5, -0x1.b87e3df296f5fp-5, -0x1.ad95841dd02p-5, -0x1.a2e7aa975c89fp-5, -0x1.9873c63ef6eap-5, -0x1.8e38ecfff2fdap-5, -0x1.843635e960f7dp-5, -0x1.7a6ab9451a467p-5, -0x1.70d590add26c4p-5, -0x1.6775d72416d2cp-5, -0x1.5e4aa922600f6p-5, -0x1.555324b01d631p-5, -0x1.4c8e6973d8027p-5, -0x1.43fb98c464a66p-5, -0x1.3b99d5b92c30dp-5, -0x1.3368453997b7p-5, -0x1.2b660e0b9b02ap-5, -0x1.239258e16aeaap-5, -0x1.1bec506662ac3p-5, -0x1.1473214b19ae5p-5, -0x1.0d25fa50b4f02p-5, -0x1.06040c537a795p-5, -0x1.fe1914a945d83p-6, -0x1.f07d5306eb156p-6, -0x1.e333428b6e41bp-6, -0x1.d639567ed14f3p-6, -0x1.c98e06b3bcdd4p-6, -0x1.bd2fcf946f124p-6, -0x1.b11d322e6e8p-6, -0x1.a554b43d0c568p-6, -0x1.99d4e032b74c3p-6, -0x1.8e9c454147589p-6, -0x1.83a977611cf52p-6, -0x1.78fb0f5745db8p-6, -0x1.6e8faaba97c44p-6, -0x1.6465ebf7dd4e4p-6, -0x1.5a7c7a550428cp-6, -0x1.50d201f37336p-6, -0x1.476533d17b46dp-6, -0x1.3e34c5caf4065p-6, -0x1.353f729907339p-6, -0x1.2c83f9d13a56cp-6, -0x1.24011fe3bb2c7p-6, -0x1.1bb5ae18f89f7p-6, -0x1.13a0728e7e787p-6, -0x1.0bc04033417fep-6, -0x1.0413eec33997dp-6, -0x1.f934b584ca7cap-7, -0x1.eaa4caee8d529p-7, -0x1.dc75e9c98ef42p-7, -0x1.cea5e78746d12p-7, -0x1.c132a2f697a5ep-7, -0x1.b41a0434b403cp-7, -0x1.a759fc9d17d1ap-7, -0x1.9af086b8a9101p-7, -0x1.8edba62c1a9efp-7, -0x1.831967a573758p-7, -0x1.77a7e0c90214fp-7, -0x1.6c85301d8117ep-7, -0x1.61af7cf7b1d62p-7, -0x1.5724f76563425p-7, -0x1.4ce3d817d855fp-7, -0x1.42ea604db3a17p-7, -0x1.3936d9bc6f2b5p-7, -0x1.2fc796795d4p-7, -0x1.269af0e23ac66p-7, -0x1.1daf4b856956ap-7, -0x1.15031109c99d6p-7, -0x1.0c94b4164cfbdp-7, -0x1.0462af3934af5p-7, -0x1.f8d7099e2fa9ep-8, -0x1.e95b7dd33df3fp-8, -0x1.da4fde6c4d3e7p-8, -0x1.cbb15dc81f5f4p-8, -0x1.bd7d3d161853fp-8, -0x1.afb0cc2271206p-8, -0x1.a24969222406ep-8, -0x1.9544807ecc5dap-8, -0x1.889f8ca2532a2p-8, -0x1.7c5815c2997b5p-8, -0x1.706bb1ad00b5dp-8, -0x1.64d80391f48f7p-8, -0x1.599abbd077942p-8, -0x1.4eb197c1d2494p-8, -0x1.441a61853b902p-8, -0x1.39d2efcbd0b04p-8, -0x1.2fd925a477fdbp-8, -0x1.262af248136fap-8, -0x1.1cc650e5e7013p-8, -0x1.13a948703a771p-8, -0x1.0ad1eb69437b3p-8, -0x1.023e57b044ec1p-8, -0x1.f3d96c9e21ef7p-9, -0x1.e3b6768f8dc66p-9, -0x1.d4104ac60872ap-9, -0x1.c4e37bfcb6704p-9, -0x1.b62cb1b6b196ap-9, -0x1.a7e8a7dd70dp-9, -0x1.9a142e601610dp-9, -0x1.8cac28d3f4be7p-9, -0x1.7fad8e157c4a7p-9, -0x1.731567eaa46d3p-9, -0x1.66e0d2a5c966ap-9, -0x1.5b0cfcc996771p-9, -0x1.4f9726ae27175p-9, -0x1.447ca226e0d64p-9, -0x1.39bad22974335p-9, -0x1.2f4f2a761eea8p-9, -0x1.25372f40a0248p-9, -0x1.1b7074da4b32p-9, -0x1.11f89f5d5f19p-9, -0x1.08cd62595545p-9, -0x1.ffd9010059f56p-10, -0x1.eea796aa7f783p-10, -0x1.de0245b9753d4p-10, -0x1.cde4ea98875c9p-10, -0x1.be4b7d7a2ebc2p-10, -0x1.af3211bdab37ep-10, -0x1.a094d55781821p-10, -0x1.9270103c1b123p-10, -0x1.84c023ccd273ep-10, -0x1.77818a46a38bp-10, -0x1.6ab0d633b20cbp-10, -0x1.5e4ab1deeb46dp-10, -0x1.524bdec9ef1e5p-10, -0x1.46b135253863ep-10, -0x1.3b77a34ae551bp-10, -0x1.309c2d3ad1ce7p-10, -0x1.261bec19ced38p-10, -0x1.1bf40db298ceap-10, -0x1.1221d3f93a623p-10, -0x1.08a294908713ap-10, -0x1.fee770a3de2f5p-11, -0x1.ed2575af21c1ep-11, -0x1.dbfa540fab121p-11, -0x1.cb614b478554fp-11, -0x1.bb55bdaea4bcap-11, -0x1.abd32f97ad8a7p-11, -0x1.9cd54678ab7b1p-11, -0x1.8e57c818ee0ddp-11, -0x1.805699c1b765dp-11, -0x1.72cdbf730df74p-11, -0x1.65b95b1d8f06ep-11, -0x1.5915abdf525e7p-11, -0x1.4cdf0d450870bp-11, -0x1.4111f68f12881p-11, -0x1.35aaf9faa655ap-11, -0x1.2aa6c40e14f15p-11, -0x1.20021ae8f9a7p-11, -0x1.15b9dd986379fp-11, -0x1.0bcb036e76514p-11, -0x1.02329b5da0668p-11, -0x1.f1db96af147b8p-12, -0x1.dff39f5f10d0ep-12, -0x1.cea7f500769e2p-12, -0x1.bdf36628be102p-12, -0x1.add0eaa694ec7p-12, -0x1.9e3ba2627167fp-12, -0x1.8f2ed443395fbp-12, -0x1.80a5ed1b2c02cp-12, -0x1.729c7e9b73325p-12, -0x1.650e3e4c379a5p-12, -0x1.57f7048b99c0cp-12, -0x1.4b52cb9234d02p-12, -0x1.3f1dae7e9b0f8p-12, -0x1.3353e86583e9dp-12, -0x1.27f1d3683ff16p-12, -0x1.1cf3e7d0c9892p-12, -0x1.1256bb3333269p-12, -0x1.0816ff94541a6p-12, -0x1.fc63052b0daa2p-13, -0x1.e946594b68364p-13, -0x1.d6d20070f10b5p-13, -0x1.c5003201c5fefp-13, -0x1.b3cb566320cf7p-13, -0x1.a32e0585bae79p-13, -0x1.932305779d23ep-13, -0x1.83a5490211473p-13, -0x1.74afee4dcbe85p-13, -0x1.663e3d931fbbep-13, -0x1.584ba7d1b9501p-13, -0x1.4ad3c5901f91bp-13, -0x1.3dd255a49ea59p-13, -0x1.31433c06e8098p-13, -0x1.252280a7d8445p-13, -0x1.196c4e52d6a63p-13, -0x1.0e1cf19467669p-13, -0x1.0330d7abeef1dp-13, -0x1.f1491b04ddac3p-14, -0x1.dce97d50f2527p-14, -0x1.c93c68b7e8ddbp-14, -0x1.b63ba92b8d05p-14, -0x1.a3e1423672bdbp-14, -0x1.92276d33fd126p-14, -0x1.8108978a7dfcbp-14, -0x1.707f60fbc7941p-14, -0x1.608699ffa494cp-14, -0x1.511942272fccep-14, -0x1.4232868d8cf87p-14, -0x1.33cdc0584b155p-14, -0x1.25e6733ae4923p-14, -0x1.18784c0c70367p-14, -0x1.0b7f1f6407e4ap-14, -0x1.fdedd07d0aaaap-15, -0x1.e5b78d65b087ep-15, -0x1.ce53fd5d1f4c2p-15, -0x1.b7bbed728794bp-15, -0x1.a1e86d88b73b7p-15, -0x1.8cd2ce0b77f23p-15, -0x1.78749dac164a7p-15, -0x1.64c7a7378b62dp-15, -0x1.51c5ef7bfb8e5p-15, -0x1.3f69b339a6d84p-15, -0x1.2dad652f226f5p-15, -0x1.1c8bac2b87865p-15, -0x1.0bff61324f0ffp-15, -0x1.f8071b65d3993p-16, -0x1.d926d390bbf72p-16, -0x1.bb54b518ad94p-16, -0x1.9e87e0e451a5ep-16, -0x1.82b7cb6759d39p-16, -0x1.67dc3992eefeap-16, -0x1.4ded3de7084ebp-16, -0x1.34e3358eecc2ep-16, -0x1.1cb6c59ed5f14p-16, -0x1.0560d86c197b1p-16, -0x1.ddb535e201ca2p-17, -0x1.b23af4a662c79p-17, -0x1.884642ea7dcc1p-17, -0x1.5fcaed3af4dbdp-17, -0x1.38bd326f79dddp-17, -0x1.1311bf53a1475p-17, -0x1.dd7b54dfa6892p-18, -0x1.976cdfe10a8b3p-18, -0x1.53e3db94518ebp-18, -0x1.12ccbfd01363fp-18, -0x1.a82971ea229b5p-19, -0x1.2f53423c2002ap-19, -0x1.75e7e437af3e7p-20, -0x1.2ba70e28d4b77p-21, 0x1.075e9dbaa2c8bp-22, 0x1.11586c64bf813p-20, 0x1.d8eb554b9e5e1p-20, 0x1.4c65674e98b69p-19, 0x1.a8979c958966cp-19, 0x1.0093bfed180bbp-18, 0x1.2b17aac08ff59p-18, 0x1.53e43d3921b94p-18, 0x1.7b05b6e4c90eep-18, 0x1.a087ecd618a2ap-18, 0x1.c4764e0afb82ap-18, 0x1.e6dbe77b84e1p-18, 0x1.03e1b41df2bd6p-17, 0x1.139b92a6c62e1p-17, 0x1.22a08e9d3f01dp-17, 0x1.30f57de25ee71p-17, 0x1.3e9f0ea60130cp-17, 0x1.4ba1c9071523ep-17, 0x1.580210a91f4ebp-17, 0x1.63c42638d3187p-17, 0x1.6eec28e17ba7ep-17, 0x1.797e17ab28b98p-17, 0x1.837dd2d794e43p-17, 0x1.8cef1d28ec249p-17, 0x1.95d59d1b2c77p-17, 0x1.9e34de0c1e671p-17, 0x1.a6105164f8338p-17, 0x1.ad6b4faf05c6p-17, 0x1.b44919940833p-17, 0x1.baacd8e3fcba1p-17, 0x1.c099a183503c1p-17, 0x1.c6127257698cbp-17, 0x1.cb1a361cd3302p-17, 0x1.cfb3c440e8607p-17, 0x1.d3e1e1ac49325p-17, 0x1.d7a74185e1d96p-17, 0x1.db0685e3bbcbbp-17, 0x1.de0240859d625p-17, 0x1.e09cf37ac3eadp-17, 0x1.e2d911bf4bb3ep-17, 0x1.e4b8ffd93d4e9p-17, 0x1.e63f1468ea744p-17, 0x1.e76d98b76f585p-17, 0x1.e846c936334e4p-17, 0x1.e8ccd5ff5fdfcp-17, 0x1.e901e35023bc6p-17, 0x1.e8e809fcf564ap-17, 0x1.e88157d82946ap-17, 0x1.e7cfd01cfbcd7p-17, 0x1.e6d56bd64fd83p-17, 0x1.e5941a35dc672p-17, 0x1.e40dc0eecc459p-17, 0x1.e2443c8b25c12p-17, 0x1.e03960bc9330fp-17, 0x1.ddeef8aac13c6p-17, 0x1.db66c7320ca3fp-17, 0x1.d8a287304d021p-17, 0x1.d5a3ebc26de07p-17, 0x1.d26ca0859249ap-17, 0x1.cefe49c88f11bp-17, 0x1.cb5a84cc6e701p-17, 0x1.c782e7f38b8e6p-17, 0x1.c37902f224cadp-17, 0x1.bf3e5efb620d7p-17, 0x1.bad47eefc7b97p-17, 0x1.b63cdf8a32ec2p-17, 0x1.b178f780e22afp-17, 0x1.ac8a37aa3afd8p-17, 0x1.a7720b21e8e3p-17, 0x1.a231d769ea524p-17, 0x1.9ccafc8965ea5p-17, 0x1.973ed525b4b0fp-17, 0x1.918eb6a4fb63fp-17, 0x1.8bbbf14268dbbp-17, 0x1.85c7d02829c04p-17, 0x1.7fb399831f73cp-17, 0x1.79808e9bf1853p-17, 0x1.732febed8df96p-17, 0x1.6cc2e9341e6ecp-17, 0x1.663ab97f77e31p-17, 0x1.5f988b43ba6c5p-17, 0x1.58dd886996264p-17, 0x1.520ad65ee0d4ep-17, 0x1.4b2196213aad5p-17, 0x1.4422e44ec7b5dp-17, 0x1.3d0fd931d6aaep-17, 0x1.35e988ca1e5c6p-17, 0x1.2eb102da1cd87p-17, 0x1.276752ed8964fp-17, 0x1.200d806b9491bp-17, 0x1.18a48e996cb3cp-17, 0x1.112d7ca6a1df9p-17, 0x1.09a945b25c8f4p-17, 0x1.0218e0d4b7ad5p-17, 0x1.f4fa824d788e1p-18, 0x1.e5aeab97b36c8p-18, 0x1.d65013e946a69p-18, 0x1.c6e089d25203ap-18, 0x1.b761d41b2fa22p-18, 0x1.a7d5b1d0addcep-18, 0x1.983dda5061f94p-18, 0x1.889bfd53f0827p-18, 0x1.78f1c302a1b77p-18, 0x1.6940cbf5d40d9p-18, 0x1.598ab146dcea9p-18, 0x1.49d10497eac83p-18, 0x1.3a15501bdd03ep-18, 0x1.2a5916a7e0f2ap-18, 0x1.1a9dd3bb3c6e7p-18, 0x1.0ae4fb8749ae3p-18, 0x1.f65ff5f5f976bp-19, 0x1.d7006f9b68f3bp-19, 0x1.b7ae210ea04c8p-19, 0x1.986bb917bc9aep-19, 0x1.793bd84d9f136p-19, 0x1.5a21112f07fbcp-19, 0x1.3b1de82f17c0cp-19, 0x1.1c34d3d0d9a73p-19, 0x1.fad0796c01775p-20, 0x1.bd74fb68ae4dep-20, 0x1.805bc7df3ee26p-20, 0x1.43895defc1939p-20, 0x1.070221aad48bep-20, 0x1.9594b87b6c92p-21, 0x1.1dcc78565265cp-21, 0x1.4d6755c6a0493p-22, 0x1.82921b819f42ap-24, -0x1.153ffbadd0ec5p-23, -0x1.745721b6b1f6ep-22, -0x1.2e391a8936becp-21, -0x1.a1717734d8fe8p-21, -0x1.09e6da5f49ecbp-20, -0x1.42a389afd76c7p-20, -0x1.7aeb82957f8cep-20, -0x1.b2bb96cdb84bep-20, -0x1.ea10b08517782p-20, -0x1.1073e91e58636p-19, -0x1.2b9f0b3f2ad7ap-19, -0x1.468857d8e6e9p-19, -0x1.612e73ec83233p-19, -0x1.7b90102f8043bp-19, -0x1.95abe8eb8ea29p-19, -0x1.af80c5d5c39d1p-19, -0x1.c90d7a0091141p-19, -0x1.e250e3b5df036p-19, -0x1.fb49ec596cbdbp-19, -0x1.09fbc426bbe78p-18, -0x1.162c5b678c75ap-18, -0x1.223640ec56e8p-18, -0x1.2e18fefc7296cp-18, -0x1.39d4251ec6363p-18, -0x1.45674807c87a1p-18, -0x1.50d2018821d8p-18, -0x1.5c13f07ec5bf3p-18, -0x1.672cb8c6599bap-18, -0x1.721c0326f624ep-18, -0x1.7ce17d3ee1a57p-18, -0x1.877cd977324b5p-18, -0x1.91edcef16df2ap-18, -0x1.9c34197748f7p-18, -0x1.a64f7969eb194p-18, -0x1.b03fb3afb478bp-18, -0x1.ba0491a49dcd1p-18, -0x1.c39de1068a6cp-18, -0x1.cd0b73e3680d8p-18, -0x1.d64d208c4fbecp-18, -0x1.df62c17fff357p-18, -0x1.e84c355b9fef5p-18, -0x1.f1095ec946149p-18, -0x1.f99a246f04134p-18, -0x1.00ff386e8882ap-17, -0x1.051b193c66e67p-17, -0x1.0920adb8ba793p-17, -0x1.0d0ff0d4fb013p-17, -0x1.10e8df559a1fap-17, -0x1.14ab77c8eab37p-17, -0x1.1857ba7dec6bcp-17, -0x1.1beda97c49be3p-17, -0x1.1f6d487b83e34p-17, -0x1.22d69cd97a87bp-17, -0x1.2629ad93be04ap-17, -0x1.2966833dfbaf3p-17, -0x1.2c8d27f969acfp-17, -0x1.2f9da76cef236p-17, -0x1.32980ebc8664cp-17, -0x1.357c6c8140a96p-17, -0x1.384ad0bfb721ap-17, -0x1.3b034ce0ae386p-17, -0x1.3da5f3a9543edp-17, -0x1.4032d9323174bp-17, -0x1.42aa12dfb519dp-17, -0x1.450bb75a4970ep-17, -0x1.4757de85729eap-17, -0x1.498ea1790919cp-17, -0x1.4bb01a77ed2c8p-17, -0x1.4dbc64e984b24p-17, -0x1.4fb39d5103c15p-17, -0x1.5195e146f73c3p-17, -0x1.53634f702806bp-17, -0x1.551c0776c192ap-17, -0x1.56c02a03afc43p-17, -0x1.584fd8b502e5cp-17, -0x1.59cb3618fa008p-17, -0x1.5b3265a4f57d1p-17, -0x1.5c858baf3bc88p-17, -0x1.5dc4cd6792371p-17, -0x1.5ef050d02c5eep-17, -0x1.60083cb6e2108p-17, -0x1.610cb8ad9457cp-17, -0x1.61fded04a4d5p-17, -0x1.62dc02c30163fp-17, -0x1.63a7239f8df5dp-17, -0x1.645f79fb9d5b8p-17, -0x1.650530db26b76p-17, -0x1.659873dffc83p-17, -0x1.66196f40e8fabp-17, -0x1.66884fc657834p-17, -0x1.66e542c1b9246p-17, -0x1.6730760850e92p-17, -0x1.676a17eee9b74p-17, -0x1.67925740c77f2p-17, -0x1.67a9633bd05e1p-17, -0x1.67af6b8ade7f2p-17, -0x1.67a4a03f0a40bp-17, -0x1.678931ca93675p-17, -0x1.675d50fb73d88p-17, -0x1.67212ef696ap-17, -0x1.66d4fd318f9cbp-17, -0x1.6678ed6d328dep-17, -0x1.660d31b155e39p-17, -0x1.6591fc4775535p-17, -0x1.65077fb5f5d63p-17, -0x1.646deeb9eea08p-17, -0x1.63c57c43fdc38p-17, -0x1.630e5b72a142fp-17, -0x1.6248bf8cc9cf9p-17, -0x1.6174dc00dbb1cp-17, -0x1.6092e45c26005p-17, -0x1.5fa30c479a6f6p-17, -0x1.5ea5878508448p-17, -0x1.5d9a89e952d56p-17, -0x1.5c8247582e948p-17, -0x1.5b5cf3c128235p-17, -0x1.5a2ac31b48de9p-17, -0x1.58ebe9616f8fcp-17, -0x1.57a09a8de51fp-17, -0x1.56490a9639545p-17, -0x1.54e56d68dfcabp-17, -0x1.5375f6e988a1dp-17, -0x1.51fadaecbdd58p-17, -0x1.50744d34811cp-17, -0x1.4ee2816d7eeccp-17, -0x1.4d45ab2b1351dp-17, -0x1.4b9dfde52a973p-17, -0x1.49ebacf5b52c1p-17, -0x1.482eeb939c5cep-17, -0x1.4667ecd07e1e5p-17, -0x1.4496e39669b57p-17, -0x1.42bc02a4aafb4p-17, -0x1.40d77c8cb0937p-17, -0x1.3ee983afd4af8p-17, -0x1.3cf24a3d0f569p-17, -0x1.3af2022e7233cp-17, -0x1.38e8dd4634d87p-17, -0x1.36d70d0bf607ap-17, -0x1.34bcc2ca44c69p-17, -0x1.329a2f8f207a9p-17, -0x1.306f84265607ep-17, -0x1.2e3cf1191a5c6p-17, -0x1.2c02a6aafce64p-17, -0x1.29c0d4d87e234p-17, -0x1.2777ab5532761p-17, -0x1.2527598b3a1b3p-17, -0x1.22d00e9785633p-17, -0x1.2071f9483e6fep-17, -0x1.1e0d481b88428p-17, -0x1.1ba2293df8787p-17, -0x1.1930ca88ab239p-17, -0x1.16b959800df3ep-17, -0x1.143c03525eb51p-17, -0x1.11b8f4d6acf1dp-17, -0x1.0f305a8b1f5fap-17, -0x1.0ca26093a0311p-17, -0x1.0a0f32b8525a7p-17, -0x1.0776fc63a84c6p-17, -0x1.04d9e8a4d690cp-17, -0x1.0238222aed8eap-17, -0x1.ff23a68a13ecfp-18, -0x1.f9ce4bc1fe1f8p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      40, 0x1.3333333333333p+2, 0x1.1de9a7d92fc43p+1, 0x1.13ca72f5e16dp+2, -0x1.36e6db18e79dp-5, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ae292c6b8dcfp-4, -0x1.4704eb739bfdp-2, 0x1.6d3af403a6aa4p-2, -0x1.4928800f89d2ep-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7053b6859ddfbp-4, -0x1.23bb042b9f5bbp-2, 0x1.548b1d9c15ed8p-2, -0x1.3fb89f90efb2p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.394e704fe389dp-4, -0x1.02e0097ce09fep-2, 0x1.3c90780ad0c03p-2, -0x1.37b2a69c60a71p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.089e7cc1dcc59p-4, -0x1.c8c670b25d579p-3, 0x1.252fdebf164d3p-2, -0x1.2f4bb64593d4bp-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.bb9861d5c241ap-5, -0x1.9069981311ac1p-3, 0x1.0e709779de6a3p-2, -0x1.26febbedbf4fbp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.70c627e44375cp-5, -0x1.5c8977594743cp-3, 0x1.f0a15f9013553p-3, -0x1.1eaae0fc3e29ep-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.2fe3be2d528d4p-5, -0x1.2d0621665cd6p-3, 0x1.c5a1576a3d353p-3, -0x1.165892727b73cp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f029f6bd702cep-6, -0x1.01bf9ee06ff63p-3, 0x1.9be0db0c444a5p-3, -0x1.0e06f2e36aba9p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.910834abdf872p-6, -0x1.b52bf96d5a43cp-4, 0x1.735fd036f447ap-3, -0x1.05b10b01cf879p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.40c3744050dfbp-6, -0x1.6ed281de8c85ep-4, 0x1.4c1edb5d1526ap-3, -0x1.fad72adf6edcp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.fb9377e9106b5p-7, -0x1.303311d69171fp-4, 0x1.261b84f2b9a32p-3, -0x1.e9d13de41ec5cp-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8d2bb5435faebp-7, -0x1.f21a6e253a5fep-5, 0x1.015f06b4d0edcp-3, -0x1.da9673a65d65bp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.335ecf00b0c08p-7, -0x1.9246095b8e9b1p-5, 0x1.bb8de27713d93p-4, -0x1.bf62b3a6a5f5cp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d6adbc8fc7a41p-8, -0x1.40460528cd1f8p-5, 0x1.787247847af3fp-4, -0x1.9835fcf29a878p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.64cf892404713p-8, -0x1.f636fcfaedb42p-6, 0x1.3b36fb2ce3c64p-4, -0x1.72d46bd318ea9p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.0c3c128d5129fp-8, -0x1.8340f7e7a0249p-6, 0x1.03971e33a009bp-4, -0x1.4cf7ce72fd3a9p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.9100cecbe4d7ap-9, -0x1.25681d89a00adp-6, 0x1.a34a4b44c0e7bp-5, -0x1.273c3c80c11c4p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.2b3b2c267060cp-9, -0x1.b4cfba32ac978p-7, 0x1.4ab8391e2092bp-5, -0x1.017789179ee3ap-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.c022b315f729fp-10, -0x1.3ff8baefb8741p-7, 0x1.faf5866148359p-6, -0x1.b76ca0386e36cp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.52aae5e0a7a3ap-10, -0x1.cf8668743beb1p-8, 0x1.7721bcb6c0bf3p-6, -0x1.6be09dc1952a5p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.038327c6ba526p-10, -0x1.4f4e11f430175p-8, 0x1.09f7f3c97a662p-6, -0x1.2073e86f708fcp-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.93df5e1c49874p-11, -0x1.ec730c215dafep-9, 0x1.66dd8f5017a81p-7, -0x1.a9271e14f82a9p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3e09625213eep-11, -0x1.7669920cd3c16p-9, 0x1.cea3a62d3404bp-8, -0x1.14c4f1983d91p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.f6998ad6e9391p-12, -0x1.2a7d9e07cd0b6p-9, 0x1.2893e2050f132p-8, -0x1.cf3fd03121fbep-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8a23ddface868p-12, -0x1.ec3f6f942c1ebp-10, 0x1.c62e38c82d8e7p-9, -0x1.364ed2d44f997p-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.3076bedc5b039p-12, -0x1.9610f94e0a9aap-10, 0x1.97a265f5219dfp-9, -0x1.6d951b030d5d2p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.ce134c9da960fp-13, -0x1.4a05ee474d0aep-10, 0x1.60cc084e46038p-9, -0x1.4044f5f927a34p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.57899720f5366p-13, -0x1.08448f06e74f6p-10, 0x1.30c1b035b343ep-9, -0x1.2de89f676765fp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f2d564f16d63p-14, -0x1.9fb0b364639e4p-11, 0x1.0378651963c19p-9, -0x1.14537c2db4aa3p-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6035b52953f7cp-14, -0x1.403120990b608p-11, 0x1.b40af1beaae9fp-10, -0x1.f95b7a374e91fp-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e120c878a91fbp-15, -0x1.e1209f0b52301p-12, 0x1.683d39032bedfp-10, -0x1.c9067425eb35ap-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3bab09e0c73d7p-15, -0x1.5ebe15f6b5c12p-12, 0x1.23af7463e23f9p-10, -0x1.98f8c57a636e5p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.8a23ddface8cap-16, -0x1.ecacd06c8943bp-13, 0x1.ccade0bca6a92p-11, -0x1.68d74124b01abp-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.ce134c9da971ap-17, -0x1.4a0dc73ce0874p-13, 0x1.606d4d31a507fp-11, -0x1.38bdbc11d7ba9p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.f2d564f16d858p-18, -0x1.9fb1ec68a8d79p-14, 0x1.029ac7f917839p-11, -0x1.08980f9db5fe4p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.e120c878a964p-19, -0x1.e1200d3fa9aa3p-15, 0x1.6673ecf9f508bp-12, -0x1.b13602d7cbe53p-11}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8a23ddfaceffep-20, -0x1.ecb24e18f1f9cp-16, 0x1.c8faa50c0955dp-13, -0x1.500f432423ad8p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.f2d564f16fcp-22, -0x1.9f88fc0704d57p-17, 0x1.feafc6531b083p-14, -0x1.e693a85815ecep-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.8a23ddfad8001p-24, -0x1.ef0e91f60f559p-19, 0x1.b57b29094ef69p-15, -0x1.0c578b2b5bb5fp-12}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.8a23ddfb2p-28, -0x1.a59048d83e0f9p-22, 0x1.cde20821ea0fep-17, -0x1.671e6cfdd1fafp-12}, 
      }}, 
      0x1.51eb9e65c1bap-8, -0x1.046b0d014d738p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.2daaf559e5394p+0, -0x1.268b9d5ebf515p+0, -0x1.1b4a30bad0d37p+0, -0x1.0c99f859799cdp+0, -0x1.f67756a3eba4ep-1, -0x1.cfd92ecbdc4b8p-1, -0x1.a6b90c1836efdp-1, -0x1.7c5044d15901ap-1, -0x1.51accfef2bd2fp-1, -0x1.27b02e5d73541p-1, -0x1.fe21e609cf1b9p-2, -0x1.b0bbd54afec3fp-2, -0x1.68045b63c6d67p-2, -0x1.24931aeb3ba53p-2, -0x1.cd9462954ef0dp-3, -0x1.5dbd9cb402131p-3, -0x1.f384e4da202c3p-4, -0x1.430f8e93f26b9p-4, -0x1.530ddfa0807d1p-5, -0x1.3071b30f79f2bp-7, 0x1.21b69f1401babp-6, 0x1.464d0a1434b23p-5, 0x1.d6e0650ac68a5p-5, 0x1.22add26a42f4dp-4, 0x1.4a4919dd625e6p-4, 0x1.63ab400a74651p-4, 0x1.703763cba8586p-4, 0x1.7146362e8bfcbp-4, 0x1.6822b9e35697bp-4, 0x1.5607ea647378bp-4, 0x1.3c1f2321b4a1ep-4, 0x1.1b7f238103acdp-4, 0x1.ea5723b6fc56p-5, 0x1.9429c7dd780fap-5, 0x1.36312cd29044fp-5, 0x1.a4068699d74d8p-6, 0x1.a448dc8bc7cadp-7, -0x1.a9058998a760ep-12, -0x1.c7e8913db8f54p-7, -0x1.c3aaeafdb9e38p-6, -0x1.51f043ee40ae5p-5, -0x1.c171d9b77993bp-5, -0x1.17cd55336294bp-4, -0x1.4de140cb070cap-4, -0x1.82ab600abb4cap-4, -0x1.b5ec55246cc96p-4, -0x1.e76de52c50075p-4, -0x1.0b8119b67032p-3, -0x1.224183dc50a0ap-3, -0x1.37e88fd969d34p-3, -0x1.4c69c590c8c68p-3, -0x1.5fbb89939d176p-3, -0x1.71d6d60d00b57p-3, -0x1.82b6f8ca4d1c1p-3, -0x1.92595622289f1p-3, -0x1.a0bd30751a3ap-3, -0x1.ade373f9e08e8p-3, -0x1.b9ce869a7ab65p-3, -0x1.c4821b88ce282p-3, -0x1.ce030a5ccff7cp-3, -0x1.d6572971f8fffp-3, -0x1.dd852b520b0cap-3, -0x1.e3947efe34e9fp-3, -0x1.e88d32dfb6dd9p-3, -0x1.ec77da39ae391p-3, -0x1.ef5d74f0d9163p-3, -0x1.f14759838061fp-3, -0x1.f23f210c244d8p-3, -0x1.f24e952bbf76ep-3, -0x1.f17f9fba198e7p-3, -0x1.efdc3c1de17b7p-3, -0x1.ed6e6a2cad18cp-3, -0x1.ea40227cdae37p-3, -0x1.e65b4c065a4c5p-3, -0x1.e1c9b2fdc40f2p-3, -0x1.dc9500d7de6e2p-3, -0x1.d6c6b548a4d52p-3, -0x1.d068203ebf7fcp-3, -0x1.c9825cba9d82fp-3, -0x1.c21e4c6b99c26p-3, -0x1.ba4494241522p-3, -0x1.b1fd98e091ecap-3, -0x1.a9517d83ce684p-3, -0x1.a048211cb8758p-3, -0x1.96e91d983434cp-3, -0x1.8d3bc6f890bf7p-3, -0x1.83472ac799411p-3, -0x1.79121013263cbp-3, -0x1.6ea2f7849548p-3, -0x1.64001bfec2d78p-3, -0x1.592f73840fb03p-3, -0x1.4e36b0111db67p-3, -0x1.431b412fe2048p-3, -0x1.37e255132f279p-3, -0x1.2c90da3190683p-3, -0x1.212b80d88d22cp-3, -0x1.15b6bc711e491p-3, -0x1.0a36c5a275408p-3, -0x1.fd5f37475ecdfp-4, -0x1.e64a0c754c24dp-4, -0x1.cf352fac86b43p-4, -0x1.b8275e52745f9p-4, -0x1.a126f30988a29p-4, -0x1.8a39e929ec8eep-4, -0x1.7365e0641996ep-4, -0x1.5cb020cdfb65fp-4, -0x1.461d9dcaa3f7cp-4, -0x1.2fb2f99d718d5p-4, -0x1.1974889694a2fp-4, -0x1.0366540bccc7dp-4, -0x1.db183b5d19deap-5, -0x1.afd2c50681614p-5, -0x1.8502bbd6be8cdp-5, -0x1.5aae19931619fp-5, -0x1.30da6090887f6p-5, -0x1.078ca16ec0b64p-5, -0x1.bd9300f6e3f1cp-6, -0x1.6d2a756c481d1p-6, -0x1.1de7550bade05p-6, -0x1.9fa131743e21dp-7, -0x1.05d90bf4b8ea7p-7, -0x1.ba05b9cccdcb5p-9, 0x1.32ddc526f1845p-10, 0x1.716b64bf47f7bp-8, 0x1.4884ee3e7b39ep-7, 0x1.d5c2f52e0bb74p-7, 0x1.30352d111eb07p-6, 0x1.743b55afa69fdp-6, 0x1.b6f2320187288p-6, 0x1.f85870249e92ep-6, 0x1.1c3693af545aep-5, 0x1.3b97e8ca705a6p-5, 0x1.5a5022c4a7832p-5, 0x1.785f58be32ddp-5, 0x1.95c5ca3a51916p-5, 0x1.b283dd402095cp-5, 0x1.ce9a1b478c33p-5, 0x1.ea092f4d45db1p-5, 0x1.0268f18a9b1e9p-4, 0x1.0f7a8ee252906p-4, 0x1.1c39f0a71fb9ap-4, 0x1.28a7a46656a81p-4, 0x1.34c4436f29e6ap-4, 0x1.409071a5a3646p-4, 0x1.4c0cdd243951bp-4, 0x1.573a3d22b05d2p-4, 0x1.6219515029357p-4, 0x1.6caae123f777p-4, 0x1.76efbb0b6e56bp-4, 0x1.80e8b425cb59ep-4, 0x1.8a96a72587c86p-4, 0x1.93fa741bf40a6p-4, 0x1.9d14ffc4e5efcp-4, 0x1.a5e73304f47bcp-4, 0x1.ae71fa8e67c91p-4, 0x1.b6b64619dbd1cp-4, 0x1.beb5084b87b6cp-4, 0x1.c66f3618e7751p-4, 0x1.cde5c6786be95p-4, 0x1.d519b1f6a7c1cp-4, 0x1.dc0bf26137172p-4, 0x1.e2bd828533ff4p-4, 0x1.e92f5dad5fdfdp-4, 0x1.ef627fb5a5da4p-4, 0x1.f557e45f73469p-4, 0x1.fb10875881ce9p-4, 0x1.0046b1f130813p-3, 0x1.02e7ba44ed386p-3, 0x1.056bd9964afc8p-3, 0x1.07d38c505371dp-3, 0x1.0a1f4e2d0116fp-3, 0x1.0c4f9a527e80fp-3, 0x1.0e64eb1361afdp-3, 0x1.105fba08b156ep-3, 0x1.12407fd1d56cdp-3, 0x1.1407b40fcde05p-3, 0x1.15b5cd8bba88p-3, 0x1.174b41df6f3c7p-3, 0x1.18c885a8a2811p-3, 0x1.1a2e0c2c183b9p-3, 0x1.1b7c47d2539a3p-3, 0x1.1cb3a99573894p-3, 0x1.1dd4a15aa12b8p-3, 0x1.1edf9d96f5e4p-3, 0x1.1fd50bbadf868p-3, 0x1.20b557c5ac5abp-3, 0x1.2180ec75ece32p-3, 0x1.2238333f25eafp-3, 0x1.22db9423ea6e3p-3, 0x1.236b761f121e7p-3, 0x1.23e83e97d87d8p-3, 0x1.245251bcab2e1p-3, 0x1.24aa126ccd745p-3, 0x1.24efe23463c7dp-3, 0x1.2524213d9bea1p-3, 0x1.25472e9faea2dp-3, 0x1.255967e743abfp-3, 0x1.255b297a828ddp-3, 0x1.254cce7337f7bp-3, 0x1.252eb0a799a1bp-3, 0x1.250128b83c26fp-3, 0x1.24c48de498728p-3, 0x1.247936804722ap-3, 0x1.241f7761c1b12p-3, 0x1.23b7a44bca393p-3, 0x1.23420fc3527e7p-3, 0x1.22bf0b46caff5p-3, 0x1.222ee716a9a9cp-3, 0x1.2191f2624fb69p-3, 0x1.20e87b171178p-3, 0x1.2032ce40eaf47p-3, 0x1.1f7137a1b4b1fp-3, 0x1.1ea4021f2a901p-3, 0x1.1dcb777e22001p-3, 0x1.1ce7e073c7e6ap-3, 0x1.1bf984a6621efp-3, 0x1.1b00aac86f1dbp-3, 0x1.19fd989e1e47dp-3, 0x1.18f0931afc406p-3, 0x1.17d9ddea3c712p-3, 0x1.16b9bbfa86959p-3, 0x1.15906f2846275p-3, 0x1.145e38852dadp-3, 0x1.1323584c88efdp-3, 0x1.11e00ddd55cfep-3, 0x1.109497a5d297bp-3, 0x1.0f41332403af3p-3, 0x1.0de61cfabbb2bp-3, 0x1.0c839113a4dbcp-3, 0x1.0b19ca8287785p-3, 0x1.09a903cbf4d79p-3, 0x1.083176547d6eap-3, 0x1.06b35ac39947ap-3, 0x1.052ee8e874239p-3, 0x1.03a457ddeb62dp-3, 0x1.0213de1a9aacbp-3, 0x1.007db161249a4p-3, 0x1.fdc40d56e039fp-4, 0x1.fa822439a2db1p-4, 0x1.f7360e160ff82p-4, 0x1.f3e0302553e95p-4, 0x1.f080eeab8b882p-4, 0x1.ed18ac3642595p-4, 0x1.e9a7ca73ec9bbp-4, 0x1.e62ea9493f3ebp-4, 0x1.e2ada713a5498p-4, 0x1.df2520b8ad4d1p-4, 0x1.db9571db03351p-4, 0x1.d7fef4fcfa1d4p-4, 0x1.d462037aafb45p-4, 0x1.d0bef561926f9p-4, 0x1.cd162146515ddp-4, 0x1.c967dc3d0dae5p-4, 0x1.c5b479f2145bfp-4, 0x1.c1fc4ccf35c53p-4, 0x1.be3fa66990b59p-4, 0x1.ba7ed6bad4089p-4, 0x1.b6ba2d145705fp-4, 0x1.b2f1f71634c7ep-4, 0x1.af268103a4e12p-4, 0x1.ab5815bc2875fp-4, 0x1.a786fee5d0f2p-4, 0x1.a3b385119343cp-4, 0x1.9fddefc8da50fp-4, 0x1.9c068575746bep-4, 0x1.982d8b44700ffp-4, 0x1.945345055abe1p-4, 0x1.9077f52cb4da3p-4, 0x1.8c9bdce2d4a9ep-4, 0x1.88bf3c3208ab1p-4, 0x1.84e252131c2bcp-4, 0x1.81055c96cec3dp-4, 0x1.7d28987620696p-4, 0x1.794c417e8eb7p-4, 0x1.757091f707524p-4, 0x1.7195c2f54c7f3p-4, 0x1.6dbc0c511c71fp-4, 0x1.69e3a4c8b462fp-4, 0x1.660cc215ed952p-4, 0x1.623798f249299p-4, 0x1.5e645d093615cp-4, 0x1.5a9340e1b0f26p-4, 0x1.56c475cb6e509p-4, 0x1.52f82bdbb9ee7p-4, 0x1.4f2e91f952991p-4, 0x1.4b67d5f2f9b01p-4, 0x1.47a4249411dbfp-4, 0x1.43e3a9ae6ceebp-4, 0x1.40269016eec06p-4, 0x1.3c6d018fc6388p-4, 0x1.38b726e1fa6e8p-4, 0x1.3505276db338cp-4, 0x1.315729b3fb2c9p-4, 0x1.2dad52fcdf537p-4, 0x1.2a07c795cb055p-4, 0x1.2666aad56e17p-4, 0x1.22ca1f235d959p-4, 0x1.1f3245f4d53fap-4, 0x1.1b9f3fc2f56dfp-4, 0x1.18112c0012429p-4, 0x1.14882911d738dp-4, 0x1.1104545378dd4p-4, 0x1.0d85ca1f4a359p-4, 0x1.0a0ca5dc2c8d8p-4, 0x1.0699020919313p-4, 0x1.032af8435ecc1p-4, 0x1.ff854290ede3dp-5, 0x1.f8c029e22155fp-5, 0x1.f206d4527ad0bp-5, 0x1.eb596ddade5c9p-5, 0x1.e4b82087e953ep-5, 0x1.de2314c66ed76p-5, 0x1.d79a70c9da3b6p-5, 0x1.d11e59a8f3feap-5, 0x1.caaef267f7ccep-5, 0x1.c44c5ca720a5ep-5, 0x1.bdf6b865c6e46p-5, 0x1.b7ae24082b9d9p-5, 0x1.b172bc51397fcp-5, 0x1.ab449c6028b52p-5, 0x1.a523ddb1d6a3ap-5, 0x1.9f10982ce5e47p-5, 0x1.990ae22d2b7e4p-5, 0x1.9312d094a06dp-5, 0x1.8d2876d797c37p-5, 0x1.874be70531199p-5, 0x1.817d31cba6863p-5, 0x1.7bbc6678e8229p-5, 0x1.760992f9514f1p-5, 0x1.7064c3d728fabp-5, 0x1.6ace043d6ad33p-5, 0x1.65455dfee6e01p-5, 0x1.5fcad9a06401cp-5, 0x1.5a5e7e64ad428p-5, 0x1.55005255ba867p-5, 0x1.4fb05a5509b9dp-5, 0x1.4a6e9a1324a4dp-5, 0x1.453b1429e33f7p-5, 0x1.4015ca0b60203p-5, 0x1.3afebc0b1c993p-5, 0x1.35f5e9642bcb4p-5, 0x1.30fb503883c8p-5, 0x1.2c0eed9979da6p-5, 0x1.2730bd9058246p-5, 0x1.2260bb29e37a8p-5, 0x1.1d9ee07c6726bp-5, 0x1.18eb26b1eb751p-5, 0x1.1445860cd9e11p-5, 0x1.0fadf5ed2154fp-5, 0x1.0b246cd3f2d35p-5, 0x1.06a8e066fb3e6p-5, 0x1.023b4574243a2p-5, 0x1.fbb71fedaca89p-6, 0x1.f3136640b3015p-6, 0x1.ea8b42b83271cp-6, 0x1.e21e98b18cf96p-6, 0x1.d9cd4a25d683ep-6, 0x1.d19737abf5909p-6, 0x1.c97c40897d815p-6, 0x1.c17c42a6dc0bp-6, 0x1.b9971ab50ae05p-6, 0x1.b1cca40fcb762p-6, 0x1.aa1cb8f36853cp-6, 0x1.a28732789bdfcp-6, 0x1.9b0be8b1b42abp-6, 0x1.93aab28e3e07p-6, 0x1.8c63663966d8dp-6, 0x1.8535d8ca1c21dp-6, 0x1.7e21de769bfa7p-6, 0x1.77274a7a5755cp-6, 0x1.7045ef17804aep-6, 0x1.697d9d9bcd92dp-6, 0x1.62ce266ec500ap-6, 0x1.5c37592b98808p-6, 0x1.55b904c26c3a9p-6, 0x1.4f52f79a25edep-6, 0x1.4904ffaa6d1e6p-6, 0x1.42ceea870603ep-6, 0x1.3cb08559d0af4p-6, 0x1.36a99ccd16d66p-6, 0x1.30b9fcecf96a6p-6, 0x1.2ae1710c4c622p-6, 0x1.251fc3b26f933p-6, 0x1.1f74beac4742fp-6, 0x1.19e02b23abca4p-6, 0x1.1461d1de48527p-6, 0x1.0ef97b7a52961p-6, 0x1.09a6f0a5d6f52p-6, 0x1.0469fa3effdc5p-6, 0x1.fe84c2a1389d2p-7, 0x1.f45fddd8bc176p-7, 0x1.ea64d7d74cc32p-7, 0x1.e09341529fc4fp-7, 0x1.d6eaa9962ceaap-7, 0x1.cd6a9e596c402p-7, 0x1.c412ac124caeap-7, 0x1.bae25e65b752ap-7, 0x1.b1d94127353acp-7, 0x1.a8f6e13ff14c8p-7, 0x1.a03acd3bc5488p-7, 0x1.97a495bf9692cp-7, 0x1.8f33cd2ea624p-7, 0x1.86e806e5d2d05p-7, 0x1.7ec0d602a7debp-7, 0x1.76bdcc27f9586p-7, 0x1.6ede786e11ca9p-7, 0x1.672266ea07cdbp-7, 0x1.5f8920fa38036p-7, 0x1.58122e5e12d7p-7, 0x1.50bd16eeb524dp-7, 0x1.498964a028beap-7, 0x1.4276a558531c4p-7, 0x1.3b846c285a2b6p-7, 0x1.34b2518f13976p-7, 0x1.2dfff29d29312p-7, 0x1.276cef129a65p-7, 0x1.20f8e6cbdefedp-7, 0x1.1aa37707fdc3dp-7, 0x1.146c381bea499p-7, 0x1.0e52bc28461f3p-7, 0x1.08568f239b14dp-7, 0x1.027738532f2e9p-7, 0x1.f96879eb5c3eep-8, 0x1.ee1a4744072d8p-8, 0x1.e302ef63f5c46p-8, 0x1.d821980e5217bp-8, 0x1.cd75792891459p-8, 0x1.c2fddc9f1b2e4p-8, 0x1.b8ba1b05dbcf9p-8, 0x1.aea99589e69b6p-8, 0x1.a4cbae59dd667p-8, 0x1.9b1fc0f5390c9p-8, 0x1.91a51ce0b4111p-8, 0x1.885b0021f803p-8, 0x1.7f409aa79cd1fp-8, 0x1.76550ebe75f67p-8, 0x1.6d9778d344574p-8, 0x1.6506f66e9925fp-8, 0x1.5ca2adb2ed46fp-8, 0x1.5469d343ca8ebp-8, 0x1.4c5bad8b7c80dp-8, 0x1.447794ce12bc2p-8, 0x1.3cbcf01a71672p-8, 0x1.352b2fc8e87d2p-8, 0x1.2dc1c6b101ed3p-8, 0x1.2680237f7a457p-8, 0x1.1f65ab8b4437bp-8, 0x1.1871b836cc22bp-8, 0x1.11a39760ed1f6p-8, 0x1.0afa8ebe3d033p-8, 0x1.0475e14becd2p-8, 0x1.fc29ab2bd702cp-9, 0x1.efad76cb8d93bp-9, 0x1.e375df55bb3c5p-9, 0x1.d781bbb55211ep-9, 0x1.cbcffd53e44d2p-9, 0x1.c05fa8e9dee93p-9, 0x1.b52fcc1dc9165p-9, 0x1.aa3f71f3508f4p-9, 0x1.9f8d972d21fa9p-9, 0x1.951921e0e4933p-9, 0x1.8ae0dd68bfdbap-9, 0x1.80e37c867f31ap-9, 0x1.771fa04ee70f8p-9, 0x1.6d93e6391c39ep-9, 0x1.643ef76a0e374p-9, 0x1.5b1f968443ba1p-9, 0x1.5234a87bb9f84p-9, 0x1.497d36bd69a4bp-9, 0x1.40f86b95cab24p-9, 0x1.38a58adbdb858p-9, 0x1.3083e9a7920a3p-9, 0x1.2892e60514103p-9, 0x1.20d1de69f8dacp-9, 0x1.194027ae7d2bap-9, 0x1.11dd039ddbfbep-9, 0x1.0aa7969f38a98p-9, 0x1.039ee36f561f4p-9, 0x1.f9839b22d01aep-10, 0x1.ec1e498f57d2ap-10, 0x1.df0b6d628fed5p-10, 0x1.d248c19c2f395p-10, 0x1.c5d4389b381fdp-10, 0x1.b9abff73db3cap-10, 0x1.adce6f7309b13p-10, 0x1.a239f9afd2402p-10, 0x1.96ed1b014a691p-10, 0x1.8be65fe6ed594p-10, 0x1.8124743b715c1p-10, 0x1.76a6314f01502p-10, 0x1.6c6a9ca7b3852p-10, 0x1.6270d28223a81p-10, 0x1.58b7e3cfcf54fp-10, 0x1.4f3eb7ccc1033p-10, 0x1.4604003733b44p-10, 0x1.3d06459aace58p-10, 0x1.344404f9203bep-10, 0x1.2bbbcfbb97156p-10, 0x1.236c5d8cb13a5p-10, 0x1.1b5485c91f55ep-10, 0x1.1373220179956p-10, 0x1.0bc6e8ac06e97p-10, 0x1.044e573010433p-10, 0x1.fa0f7add16199p-11, 0x1.ebe2d52300beep-11, 0x1.de13caeb1ee79p-11, 0x1.d0a0218f4836bp-11, 0x1.c3864894fc0b3p-11, 0x1.b6c4fb3eb1aa6p-11, 0x1.aa5ac88e9deafp-11, 0x1.9e45c99f42acp-11, 0x1.9283aeda81962p-11, 0x1.87121487adeb5p-11, 0x1.7beee828ba592p-11, 0x1.7118a8f7243e8p-11, 0x1.668e697e048dcp-11, 0x1.5c4f93f210aa8p-11, 0x1.525b835c92fd1p-11, 0x1.48b11127ef019p-11, 0x1.3f4e3c9ff21bdp-11, 0x1.3630252bee0abp-11, 0x1.2d535e6986759p-11, 0x1.24b49c3621eb6p-11, 0x1.1c5163277d6b5p-11, 0x1.142869e00ce35p-11, 0x1.0c3970807e8c8p-11, 0x1.04849d7581f61p-11, 0x1.fa136ea6d5662p-12, 0x1.eb8f5117e3f7dp-12, 0x1.dd79093d92742p-12, 0x1.cfcbe2d457b1cp-12, 0x1.c28352ff79e7dp-12, 0x1.b59bb3737f65fp-12, 0x1.a91280c18919bp-12, 0x1.9ce62088645e9p-12, 0x1.911563d279997p-12, 0x1.859f0ea29811dp-12, 0x1.7a81856c25ed2p-12, 0x1.6fba8af390befp-12, 0x1.654707d2ec3aap-12, 0x1.5b2311c58d4a4p-12, 0x1.514a66f47debcp-12, 0x1.47b93a0aad7e7p-12, 0x1.3e6ce6f0deba6p-12, 0x1.35643990c136ep-12, 0x1.2c9f2a1270ceep-12, 0x1.241e2e4601b7ap-12, 0x1.1be175c137772p-12, 0x1.13e865fb3be81p-12, 0x1.0c317bb03aeeap-12, 0x1.04ba9bb0596fdp-12, 0x1.fb035fb4c523cp-13, 0x1.ed0a164ab247bp-13, 0x1.df86391bdde6cp-13, 0x1.d2737c954aca3p-13, 0x1.c5cbdfcfe7ec6p-13, 0x1.b988a342c4613p-13, 0x1.ada3e8c79d288p-13, 0x1.a219b5d567adep-13, 0x1.96e7d7b971fddp-13, 0x1.8c0d0fd58e9f2p-13, 0x1.8188291634cc2p-13, 0x1.7757286054465p-13, 0x1.6d76a429cbaa2p-13, 0x1.63e208bcc9f5fp-13, 0x1.5a95542de1c82p-13, 0x1.518ef9b65f1b7p-13, 0x1.48cfd3cf07828p-13, 0x1.40592421debabp-13, 0x1.382a9d367f5bap-13, 0x1.30423fb64da44p-13, 0x1.289e34ac9537ep-13, 0x1.213da742d239p-13, 0x1.1a1f866c780b8p-13, 0x1.13412968a083ap-13, 0x1.0c9e98d0465b2p-13, 0x1.0633cc7ad9b11p-13, 0x1.fffb2fee666ccp-14, 0x1.f3f3df29a8ca4p-14, 0x1.e84f5dfef09dp-14, 0x1.dd0bfd2f2e93cp-14, 0x1.d2273339c4cap-14, 0x1.c79d0bb113919p-14, 0x1.bd68d2ab90d18p-14, 0x1.b38539b858666p-14, 0x1.a9eb64e91910ep-14, 0x1.a094c16295f0dp-14, 0x1.9780512c30dc4p-14, 0x1.8eb357e3c37cbp-14, 0x1.8631cc7d55c42p-14, 0x1.7df81a650186dp-14, 0x1.75ff4e5fbad8dp-14, 0x1.6e45c1fbca09bp-14, 0x1.66cf3bc36595p-14, 0x1.5f9d4d3da2ca3p-14, 0x1.58aba9195b092p-14, 0x1.51f335c368185p-14, 0x1.4b6ddaccda6eap-14, 0x1.4517b0679cde5p-14, 0x1.3eee7c95c4455p-14, 0x1.38f12203f0759p-14, 0x1.331f9d39417f3p-14, 0x1.2d7b234adcaf6p-14, 0x1.28058fa12c72ep-14, 0x1.22bff2dab3057p-14, 0x1.1da9709a3d8c8p-14, 0x1.18bf51491d74fp-14, 0x1.13fc64f80185dp-14, 0x1.0f57c6a6354f8p-14, 0x1.0ac99ef9525e2p-14, 0x1.06536b10a50ap-14, 0x1.01fc90015d6d7p-14, 0x1.fb8d80adfc3c3p-15, 0x1.f35a8d0fbec72p-15, 0x1.eb5bdd77d646cp-15, 0x1.e39512b99dd2cp-15, 0x1.dc07934ec52p-15, 0x1.d4b0fba39379bp-15, 0x1.cd8dcb296e2d3p-15, 0x1.c6996a34aa5a4p-15, 0x1.bfced9ba2df2dp-15, 0x1.b92a3cf68f5dap-15, 0x1.b2a94112c6693p-15, 0x1.ac4a5a2a98c88p-15, 0x1.a60cb63e667d8p-15, 0x1.9fef95b52a003p-15, 0x1.99f34e36ce048p-15, 0x1.941888dc726e4p-15, 0x1.8e5f5096f4f09p-15, 0x1.88c6638332418p-15, 0x1.834cf6139c93ap-15, 0x1.7df3f874cb612p-15, 0x1.78b947aa17904p-15, 0x1.7396ab5c70a67p-15, 0x1.6e8c0aa158623p-15, 0x1.699a66daee851p-15, 0x1.64b7cc05c229bp-15, 0x1.5fded5cee2b5dp-15, 0x1.5b1967c310e8ap-15, 0x1.566e1bf5145e9p-15, 0x1.51d7b1418c73fp-15, 0x1.4d4f710553bp-15, 0x1.48d550cff95f2p-15, 0x1.446c82e262ab1p-15, 0x1.40151bf0a054bp-15, 0x1.3bcc6acb69baep-15, 0x1.379024f78a317p-15, 0x1.335f5c8a6c832p-15, 0x1.2f39d9384fb45p-15, 0x1.2b1f7249034d7p-15, }}, 
      {{-0x1.2f4b894aecf4ep+0, -0x1.2ce16a40330cfp+0, -0x1.28fd49c720c9dp+0, -0x1.23c7dc3ac67ffp+0, -0x1.1d6f01038dc16p+0, -0x1.16221fe394cc4p+0, -0x1.0e0fbfa1678c6p+0, -0x1.0563f719829b9p+0, -0x1.f88ef1c3d623bp-1, -0x1.e5be1a22e14f9p-1, -0x1.d296b2658a0ep-1, -0x1.bf51bde0ce47cp-1, -0x1.ac204032d2025p-1, -0x1.992bb5e383ffap-1, -0x1.8696aa6af2f42p-1, -0x1.747d5ccca5d33p-1, -0x1.62f668ac4f0d6p-1, -0x1.52136c1243fa4p-1, -0x1.41e1a5261e548p-1, -0x1.326a84e07eaa1p-1, -0x1.23b435d42d637p-1, -0x1.15c21673bbfaap-1, -0x1.08952772d6752p-1, -0x1.f858dc7d0a938p-2, -0x1.e10a9929d9ff8p-2, -0x1.cb379b04b4a64p-2, -0x1.b6d5d1b5146eap-2, -0x1.a3d97bdb2edc4p-2, -0x1.92358c6f91983p-2, -0x1.81dc01f904cf7p-2, -0x1.72be30d656e1ap-2, -0x1.64cd0247b66efp-2, -0x1.57f929677d2cap-2, -0x1.4c334f28bb694p-2, -0x1.416c36e6364c6p-2, -0x1.3794dbef2610cp-2, -0x1.2e9e89a88c1ffp-2, -0x1.267aee5ce1baap-2, -0x1.1f1c2a12b0295p-2, -0x1.1874d98c9eed7p-2, -0x1.12781e6b30af2p-2, -0x1.0d19a49e0beecp-2, -0x1.084da5bfbf41ap-2, -0x1.0408ea8bb7cc4p-2, -0x1.0040cb09264d2p-2, -0x1.f9d65a8b92d3p-3, -0x1.f3fd06d52792cp-3, -0x1.eee3913be0a4cp-3, -0x1.ea78fb38da4d9p-3, -0x1.e6ad496f69aebp-3, -0x1.e3717af2ca985p-3, -0x1.e0b7800f0b9fap-3, -0x1.de7230b828569p-3, -0x1.dc9542c3585a7p-3, -0x1.db15400b878d9p-3, -0x1.d9e77c9f36bp-3, -0x1.d9020cc35ba86p-3, -0x1.d85bbb9e3ec7ap-3, -0x1.d7ec017b4f346p-3, -0x1.d7aafac7c43e8p-3, -0x1.d7915f035ec4ep-3, -0x1.d79877fe9c1e2p-3, -0x1.d7ba1997b9a1p-3, -0x1.d7f0999be3d18p-3, -0x1.d836c80418924p-3, -0x1.d887e784e6de9p-3, -0x1.d8dfa66fc85cbp-3, -0x1.d93a17e60b1a1p-3, -0x1.d993ad5cc3fc2p-3, -0x1.d9e93070bf607p-3, -0x1.da37bd08acafp-3, -0x1.da7cbbc30f10ap-3, -0x1.dab5dcad72f02p-3, -0x1.dae11241f752ep-3, -0x1.dafc8ca956346p-3, -0x1.db06b543693p-3, -0x1.dafe2a73cd4d2p-3, -0x1.dae1bb92fc53dp-3, -0x1.dab0653d8463fp-3, -0x1.da694dfe259c4p-3, -0x1.da0bc2a1222fcp-3, -0x1.d9973379fa6fep-3, -0x1.d90b31387aedap-3, -0x1.d8676a29ff433p-3, -0x1.d7aba7bd7346dp-3, -0x1.d6d7cc1ccf8e2p-3, -0x1.d5ebcffa3c3c1p-3, -0x1.d4e7c084005a4p-3, -0x1.d3cbbd7ca13e6p-3, -0x1.d297f76b2a77cp-3, -0x1.d14cade950aa2p-3, -0x1.cfea2e0560b72p-3, -0x1.ce70d0c5b45ffp-3, -0x1.cce0f9cb628cbp-3, -0x1.cb3b1613d3441p-3, -0x1.c97f9adfc138ap-3, -0x1.c7af04b01cafbp-3, -0x1.c5c9d65ad336bp-3, -0x1.c3d0982ccbae1p-3, -0x1.c1c3d716a2a17p-3, -0x1.bfa423e0b58ccp-3, -0x1.bd72126b7ea72p-3, -0x1.bb2e38fb45a0bp-3, -0x1.b8d92f9683364p-3, -0x1.b6738f75943dbp-3, -0x1.b3fdf287fb5d6p-3, -0x1.b178f307aa35cp-3, -0x1.aee52b2292ceap-3, -0x1.ac4334a41ea18p-3, -0x1.a993a8afd02bp-3, -0x1.a6d71f7a4007fp-3, -0x1.a40e300523a62p-3, -0x1.a1396fe352ce4p-3, -0x1.9e5972fa0adacp-3, -0x1.9b6ecb2f63d4ap-3, -0x1.987a085611cabp-3, -0x1.957bb807750dap-3, -0x1.92746545358f9p-3, -0x1.8f6498969ba22p-3, -0x1.8c4cd7e17a683p-3, -0x1.892da63ef2d52p-3, -0x1.860784045576fp-3, -0x1.82daeeba19f81p-3, -0x1.7fa86111a3a59p-3, -0x1.7c7052e073bd4p-3, -0x1.7933391d9cc26p-3, -0x1.75f185db9412ap-3, -0x1.72aba846b182cp-3, -0x1.6f620ca4c8745p-3, -0x1.6c151c4d4c2afp-3, -0x1.68c53dad2b99ep-3, -0x1.6572d4493adfcp-3, -0x1.621e40bad542dp-3, -0x1.5ec7e0b5b9cd7p-3, -0x1.5b700f11c3b8ap-3, -0x1.581723c7ffa23p-3, -0x1.54bd740793f8ap-3, -0x1.51635234a31c2p-3, -0x1.4e090dfc58c46p-3, -0x1.4aaef458cbf68p-3, -0x1.47554fa3e7821p-3, -0x1.43fc67a1df892p-3, -0x1.40a4818bc4f04p-3, -0x1.3d4de0258d6c7p-3, -0x1.39f8c3c0a657p-3, -0x1.36a56a5141604p-3, -0x1.33540f788c84dp-3, -0x1.3004ec916d015p-3, -0x1.2cb838c406247p-3, -0x1.296e2901cccb2p-3, -0x1.2626f029df017p-3, -0x1.22e2bf023ac82p-3, -0x1.1fa1c44dda5d8p-3, -0x1.1c642cd7e19c4p-3, -0x1.192a237ac5542p-3, -0x1.15f3d138b4084p-3, -0x1.12c15d3af172dp-3, -0x1.0f92ece74666ap-3, -0x1.0c68a3e4afb7ep-3, -0x1.0942a42e909c3p-3, -0x1.06210e20c67ebp-3, -0x1.0304007c0ee61p-3, -0x1.ffd730fc6703bp-4, -0x1.f9afe3b70cdaap-4, -0x1.f3924dc09a879p-4, -0x1.ed7ea0d9f8646p-4, -0x1.e7750c092c809p-4, -0x1.e175bbba38f89p-4, -0x1.db80d9c58a971p-4, -0x1.d5968d904df45p-4, -0x1.cfb6fc133991ep-4, -0x1.c9e2480d897f4p-4, -0x1.c41891f14f308p-4, -0x1.be59f8189acf1p-4, -0x1.b8a696a2cab05p-4, -0x1.b2fe87c82ec93p-4, -0x1.ad61e3e3fc06fp-4, -0x1.a7d0c135ef66cp-4, -0x1.a24b345b66e8dp-4, -0x1.9cd1503ac3e8bp-4, -0x1.976325db31e11p-4, -0x1.9200c4c74cb56p-4, -0x1.8caa3ad82caeep-4, -0x1.875f947fa7323p-4, -0x1.8220dca4c19b3p-4, -0x1.7cee1cd1510aap-4, -0x1.77c75d2b95f96p-4, -0x1.72aca48a98151p-4, -0x1.6d9df890c3e0fp-4, -0x1.689b5d9170711p-4, -0x1.63a4d6c9a425p-4, -0x1.5eba6650420ep-4, -0x1.59dc0d1ee3a16p-4, -0x1.5509cb38680c9p-4, -0x1.50439f9712044p-4, -0x1.4b89883321523p-4, -0x1.46db822dee69p-4, -0x1.423989bb76ac7p-4, -0x1.3da39a39614bdp-4, -0x1.3919ae3449db9p-4, -0x1.349bbf6c66cb6p-4, -0x1.3029c6f55f822p-4, -0x1.2bc3bd072ea2ep-4, -0x1.2769994bc5b3ap-4, -0x1.231b52b2fa30ap-4, -0x1.1ed8df8e3e0f8p-4, -0x1.1aa2358fdeefdp-4, -0x1.167749da77991p-4, -0x1.1258110022264p-4, -0x1.0e447f1465d39p-4, -0x1.0a3c87893f353p-4, -0x1.06401d7c44806p-4, -0x1.024f3377a66f9p-4, -0x1.fcd37741c0139p-5, -0x1.f51f4f599dee8p-5, -0x1.ed81d1cfce43ap-5, -0x1.e5fae07a172f6p-5, -0x1.de8a5c7971c39p-5, -0x1.d730260327da8p-5, -0x1.cfec1d0f3fdf6p-5, -0x1.c8be208a45789p-5, -0x1.c1a60efc89be1p-5, -0x1.baa3c646577abp-5, -0x1.b3b723cb8b4d6p-5, -0x1.ace0045ef3e4ep-5, -0x1.a61e445bfd626p-5, -0x1.9f71bfa325f1dp-5, -0x1.98da51a552bd9p-5, -0x1.9257d55edb2e9p-5, -0x1.8bea259a4674bp-5, -0x1.85911c5a698f4p-5, -0x1.7f4c93be4a826p-5, -0x1.791c654e4ac94p-5, -0x1.73006a51861cp-5, -0x1.6cf87bc5e3982p-5, -0x1.670472648f5b1p-5, -0x1.612426a9f2253p-5, -0x1.5b5770d6a6964p-5, -0x1.559e28f2c5402p-5, -0x1.4ff826d31a237p-5, -0x1.4a65422b9a4cbp-5, -0x1.44e5523938a29p-5, -0x1.3f782ea5aeb79p-5, -0x1.3a1dae724eb4ep-5, -0x1.34d5a8b944198p-5, -0x1.2f9ff4753fc35p-5, -0x1.2a7c688051cb3p-5, -0x1.256adb9f4c8b6p-5, -0x1.206b248753d4bp-5, -0x1.1b7d19df9d883p-5, -0x1.16a092441fafdp-5, -0x1.11d56447b82f1p-5, -0x1.0d1b6674753dep-5, -0x1.08726f4c357f7p-5, -0x1.03da5566cae2cp-5, -0x1.fea5de2313859p-6, -0x1.f5b826b816796p-6, -0x1.eceb308cabbc8p-6, -0x1.e43ea976253b5p-6, -0x1.dbb23e8e94fep-6, -0x1.d3459d2cf82b9p-6, -0x1.caf8733905c42p-6, -0x1.c2ca6e2b06b2cp-6, -0x1.babb3bc09579cp-6, -0x1.b2ca8a09264eap-6, -0x1.aaf8073680591p-6, -0x1.a34361b2bf6b5p-6, -0x1.9bac4815becffp-6, -0x1.943269319137p-6, -0x1.8cd57415b8068p-6, -0x1.8595182a70606p-6, -0x1.7e7104b98bb13p-6, -0x1.7768ea2c9fbb1p-6, -0x1.707c782f3ba24p-6, -0x1.69ab5f85f3535p-6, -0x1.62f550e548f8fp-6, -0x1.5c59fd69b7b82p-6, -0x1.55d916841b19ap-6, -0x1.4f724dff85abdp-6, -0x1.49255604a06f3p-6, -0x1.42f1e11b1f16ep-6, -0x1.3cd7a22b45e01p-6, -0x1.36d64c85e0275p-6, -0x1.30ed93cebbf15p-6, -0x1.2b1d2c1ed40ccp-6, -0x1.2564c9f551746p-6, -0x1.1fc4223785ae6p-6, -0x1.1a3aea3f63b62p-6, -0x1.14c8d7d5fdcbdp-6, -0x1.0f6da151d7d49p-6, -0x1.0a28fce9517ep-6, -0x1.04faa26e6d0fbp-6, -0x1.ffc4920569932p-7, -0x1.f5bf51ae99bcep-7, -0x1.ebe4f4dd853b1p-7, -0x1.e234ed9a7c65dp-7, -0x1.d8aeaee931353p-7, -0x1.cf51accb8aa4cp-7, -0x1.c61d5c433cd77p-7, -0x1.bd113352f4dcdp-7, -0x1.b42ca8ffb5b86p-7, -0x1.ab6f3553017aep-7, -0x1.a2d8515dd8471p-7, -0x1.9a67773a39f0ep-7, -0x1.921c22112407p-7, -0x1.89f5ce22fb1bdp-7, -0x1.81f3f8b4c32d5p-7, -0x1.7a16201f2e722p-7, -0x1.725bc3e194cbp-7, -0x1.6ac4647faf97cp-7, -0x1.634f83d1d0b91p-7, -0x1.5bfca39e4bb93p-7, -0x1.54cb494d1e437p-7, -0x1.4dbaf8343184ep-7, -0x1.46cb373b7c45fp-7, -0x1.3ffb8d4beb759p-7, -0x1.394b82a76a69cp-7, -0x1.32baa0b01ebe8p-7, -0x1.2c4871e8efdd3p-7, -0x1.25f481e7d43b4p-7, -0x1.1fbe5d72364d6p-7, -0x1.19a5925e1209dp-7, -0x1.13a9afb3ee341p-7, -0x1.0dca4592d6d4bp-7, -0x1.0806e53d0590ep-7, -0x1.025f21186fabp-7, -0x1.f9a5195bbbdefp-8, -0x1.eec179506bc64p-8, -0x1.e4128da69a4bap-8, -0x1.d99784409e217p-8, -0x1.cf4f8d41ed609p-8, -0x1.c539daee17b6ap-8, -0x1.bb55a206f8a43p-8, -0x1.b1a2195dc7819p-8, -0x1.a81e7a2a9c0f4p-8, -0x1.9ec9ff99bf7eap-8, -0x1.95a3e7a052d4cp-8, -0x1.8cab71c90762dp-8, -0x1.83dfe045f7c68p-8, -0x1.7b4077846b848p-8, -0x1.72cc7df5c70c6p-8, -0x1.6a833c562fec9p-8, -0x1.6263fd952510ap-8, -0x1.5a6e0ed86f234p-8, -0x1.52a0bf689f303p-8, -0x1.4afb60ca9124fp-8, -0x1.437d46a3b14bfp-8, -0x1.3c25c6c56a3b5p-8, -0x1.34f43926516f9p-8, -0x1.2de7f7de0bb41p-8, -0x1.27005f1faa04p-8, -0x1.203ccd2fe532dp-8, -0x1.199ca274cd718p-8, -0x1.131f4230aa5bep-8, -0x1.0cc410a2158e7p-8, -0x1.068a739222d51p-8, -0x1.0071d432d9a25p-8, -0x1.f4f33a65ed5cfp-9, -0x1.e9427902613c8p-9, -0x1.ddd040020a24ap-9, -0x1.d29b70f42aca1p-9, -0x1.c7a2f192412c3p-9, -0x1.bce5ab9dc7335p-9, -0x1.b2628c6abef85p-9, -0x1.a818848a3cd7fp-9, -0x1.9e068b06f7ac5p-9, -0x1.942b972b9bb5ep-9, -0x1.8a86a6c61069p-9, -0x1.8116ba33a5153p-9, -0x1.77dad5ce0c839p-9, -0x1.6ed2019aa1f1ap-9, -0x1.65fb49422b222p-9, -0x1.5d55bc0bc7e33p-9, -0x1.54e06cd98c4cfp-9, -0x1.4c9a72251b8f2p-9, -0x1.4482e5fbafd18p-9, -0x1.3c98e5f7331a4p-9, -0x1.34db93345cd81p-9, -0x1.2d4a1245721c3p-9, -0x1.25e38b22fa498p-9, -0x1.1ea7291ca93dfp-9, -0x1.17941acb409f3p-9, -0x1.10a992089cca1p-9, -0x1.09e6c3e83499ep-9, -0x1.034ae8b5600ddp-9, -0x1.f9aa77eeaaf43p-10, -0x1.ed09f8fcdb9d8p-10, -0x1.e0b2d82c82f01p-10, -0x1.d4a39ff5eb9d2p-10, -0x1.c8dae0b8f8c1bp-10, -0x1.bd5730ed87ecbp-10, -0x1.b2172d0de1f5bp-10, -0x1.a719775c78313p-10, -0x1.9c5cb7d0492d6p-10, -0x1.91df9c901908ep-10, -0x1.87a0d7a9df55ep-10, -0x1.7d9f2326fd039p-10, -0x1.73d93d9603083p-10, -0x1.6a4dea077eb99p-10, -0x1.60fbf3aee9ep-10, -0x1.57e2295425868p-10, -0x1.4eff5f9ee24bdp-10, -0x1.4652703661002p-10, -0x1.3dda3a40649e9p-10, -0x1.3595a1816ec44p-10, -0x1.2d838eb87974dp-10, -0x1.25a2ef9500f0ep-10, -0x1.1df2b6b23e1bcp-10, -0x1.1671db9fbf9e2p-10, -0x1.0f1f5ae19c905p-10, -0x1.07fa35e338a5p-10, -0x1.010172daea0c2p-10, -0x1.f468394282d5ep-11, -0x1.e7228503ff246p-11, -0x1.da2ff01f0825ap-11, -0x1.cd8eaa0058b6ap-11, -0x1.c13cea3cd759dp-11, -0x1.b538f07c59782p-11, -0x1.a98104b2f24e4p-11, -0x1.9e13772e450cfp-11, -0x1.92eea0ce1d603p-11, -0x1.8810e30ce7ebbp-11, -0x1.7d78a7ef0386dp-11, -0x1.732461cb88704p-11, -0x1.69128af339f52p-11, -0x1.5f41a54465f76p-11, -0x1.55b039c2035e9p-11, -0x1.4c5cd8401e9ep-11, -0x1.4346173349be5p-11, -0x1.3a6a93a552db5p-11, -0x1.31c8f1be9bf7bp-11, -0x1.295fe05a85dap-11, -0x1.212dfcac1dfb7p-11, -0x1.1932226d3ce3cp-11, -0x1.116af2d1255dcp-11, -0x1.09d741e4313f5p-11, -0x1.0275d9fd5d2p-11, -0x1.f68b1ce2217e9p-12, -0x1.e88a7128f744dp-12, -0x1.dae76ebfd7d56p-12, -0x1.cd9fde80976fp-12, -0x1.c0b1941de4263p-12, -0x1.b41a6e26e2efbp-12, -0x1.a7d85645cdbcdp-12, -0x1.9be9423d61e3ep-12, -0x1.904b34311ff51p-12, -0x1.84fc39fea1fa3p-12, -0x1.79fa6cd32efp-12, -0x1.6f43f0b7ce4ep-12, -0x1.64d6f3ce3d10ep-12, -0x1.5ab1add057919p-12, -0x1.50d25fbf13bdap-12, -0x1.4737528b4c5ep-12, -0x1.3dded8bb4be48p-12, -0x1.34c74c471fb5bp-12, -0x1.2bef0f4a6596fp-12, -0x1.23548b9890fd3p-12, -0x1.1af632e073df1p-12, -0x1.12d28ca34c1ddp-12, -0x1.0ae8197b2d5d8p-12, -0x1.0335608214f87p-12, -0x1.f771ecba8847bp-13, -0x1.e8e33043a3bf3p-13, -0x1.dabbbef9b84a1p-13, -0x1.ccf8f79449f1ep-13, -0x1.bf984b8d79f05p-13, -0x1.b297385740cep-13, -0x1.a5f349ccd0d8ep-13, -0x1.99aa1c0513317p-13, -0x1.8db959bebd24ep-13, -0x1.821ebcf6f900ap-13, -0x1.76d80edb0dd6bp-13, -0x1.6be31d9fc9782p-13, -0x1.613db84099272p-13, -0x1.56e5ebd03a91bp-13, -0x1.4cd98d3d9c1bcp-13, -0x1.4316b6c1f1aep-13, -0x1.399b72ea3f703p-13, -0x1.3065da9da5d13p-13, -0x1.27740d6fdaf3dp-13, -0x1.1ec431cf89452p-13, -0x1.165477665231cp-13, -0x1.0e231a6d2759fp-13, -0x1.062e6656abcb4p-13, -0x1.fce96d2d9bb01p-14, -0x1.ede8eadb3441dp-14, -0x1.df5832f30021ep-14, -0x1.d13447076c7c4p-14, -0x1.c37a3aaa39374p-14, -0x1.b62733760019dp-14, -0x1.a9386a338b9e1p-14, -0x1.9cab2b3eef53bp-14, -0x1.907cd4d03e1c2p-14, -0x1.84aad32389776p-14, -0x1.79329bce70081p-14, -0x1.6e11a9c9a8c91p-14, -0x1.63457c7925506p-14, -0x1.58cb9c2f71565p-14, -0x1.4ea19fe5971f5p-14, -0x1.44c53108697e9p-14, -0x1.3b340e671f763p-14, -0x1.31ec0c2afe3aep-14, -0x1.28eb111d8d904p-14, -0x1.202f145d2d87cp-14, -0x1.17b61d38a252ep-14, -0x1.0f7e4471f69bep-14, -0x1.0785b488b913p-14, -0x1.ff954e8dd9baap-15, -0x1.f096c24e4353ep-15, -0x1.e20c5a6bdaa5ep-15, -0x1.d3f2b8186294cp-15, -0x1.c6468c702b92dp-15, -0x1.b9049f8992e89p-15, -0x1.ac29d3c9d949dp-15, -0x1.9fb3235a49247p-15, -0x1.939d9ab47fa45p-15, -0x1.87e6573e83d5bp-15, -0x1.7c8ab67fd0636p-15, -0x1.7186f228a0518p-15, -0x1.66da5adc9b2cp-15, -0x1.5c8006c8b4e51p-15, -0x1.52769b4a74e4cp-15, -0x1.48bb58e5f4857p-15, -0x1.3f4bf0b0cb95fp-15, -0x1.362640e55a448p-15, -0x1.2d483e12b5df6p-15, -0x1.24afd937d73bfp-15, -0x1.1c5aeb7000757p-15, -0x1.14473c83366a5p-15, -0x1.0c729704b4b78p-15, -0x1.04dae1bf8c338p-15, -0x1.fafc59f3f6b3ep-16, -0x1.ecb562510b3b8p-16, -0x1.dedd82f047927p-16, -0x1.d171774aa2dc6p-16, -0x1.c46dfac780f62p-16, -0x1.b7cfc55c05dafp-16, -0x1.ab939232c6cd8p-16, -0x1.9fb6252587004p-16, -0x1.94344f8bd9261p-16, -0x1.890aff0db097cp-16, -0x1.7e37591330fc2p-16, -0x1.73b6d0e4bcacbp-16, -0x1.69871f2c631e8p-16, -0x1.5fa616bca13fp-16, -0x1.5611717a7c13dp-16, -0x1.4cc6b8a683f49p-16, -0x1.43c35575376ccp-16, -0x1.3b04b7dfb7dfbp-16, -0x1.328876037bfb5p-16, -0x1.2a4c5595d9c07p-16, -0x1.224e45a099b4ep-16, -0x1.1a8c52ce3fae2p-16, -0x1.130498e709788p-16, -0x1.0bb5328239c0dp-16, -0x1.049c34f511f2ep-16, -0x1.fb6f77ebdaa22p-17, -0x1.ee0bc2fcf50e9p-17, -0x1.e109cef6a7c1cp-17, -0x1.d4666ada985e1p-17, -0x1.c81e7141722e2p-17, -0x1.bc2f04574e89cp-17, -0x1.b095865f2d52cp-17, -0x1.a54f7da85efddp-17, -0x1.9a5a5698e9c44p-17, -0x1.8fb329d30e649p-17, -0x1.85589ad2e0a4ep-17, -0x1.7b47928aeb61dp-17, -0x1.7179c83374031p-17, -0x1.67f49c9c1d48fp-17, -0x1.5eaf2ab6edf83p-17, -0x1.55aa291257d6fp-17, -0x1.4ce2eae35d8dcp-17, -0x1.445758d20553ap-17, -0x1.3c058ad3abd8fp-17, -0x1.33eb9b3ef3391p-17, -0x1.2c079aaf9f692p-17, -0x1.2457947f90153p-17, -0x1.1cd9a3c5b6aep-17, -0x1.158c09864d0d3p-17, -0x1.0e6d309bb28e3p-17, -0x1.077b9c42b97ecp-17, -0x1.00b5d59ccdeddp-17, -0x1.f434da62f3899p-18, -0x1.e75008ce4f89fp-18, -0x1.daba86a223221p-18, -0x1.ce71973bb4544p-18, -0x1.c272a05639a5cp-18, -0x1.b6bb73bd2cd2bp-18, -0x1.ab4a39abfb2d4p-18, -0x1.a01d08e00838p-18, -0x1.9531b4006ec8cp-18, -0x1.8a85f4ae4078ap-18, -0x1.8017a540b8121p-18, -0x1.75e4abe8b6edap-18, -0x1.6beb178b131c2p-18, -0x1.622913aedef99p-18, -0x1.589ce9387858bp-18, -0x1.4f44f534b7efcp-18, -0x1.461f980388f37p-18, -0x1.3d2b3c89d392ep-18, -0x1.346672b104156p-18, -0x1.2bd0081302cfep-18, -0x1.2366e593800c3p-18, -0x1.1b29db5b2e43p-18, -0x1.1317657d67de1p-18, -0x1.0b2dcc18006e8p-18, -0x1.036b6e43c5487p-18, -0x1.f79dc7006c514p-19, -0x1.e8ae25bbb62cap-19, -0x1.da06929cb2352p-19, -0x1.cba5f2a2fa6d4p-19, -0x1.bd8aa7406b5eep-19, -0x1.afb29b9c406ep-19, -0x1.a21be630cf443p-19, -0x1.94c4e42eb6d3p-19, -0x1.87abe809677d9p-19, -0x1.7acf2c908a165p-19, -0x1.6e2cf5242c93dp-19, -0x1.61c39d243764ap-19, -0x1.5591ad66180d4p-19, -0x1.49960254ef738p-19, -0x1.3dd1fb8d47f78p-19, -0x1.323766d9ebfe2p-19, -0x1.26df50e3dbca3p-19, -0x1.1bad8aa9bfe17p-19, -0x1.10af8b7f45c3p-19, -0x1.05e182df402bbp-19, -0x1.f684cbe8221fbp-20, -0x1.e1a203182a13fp-20, -0x1.cd17e4168e2ebp-20, -0x1.b8e40269c7a67p-20, -0x1.a50485d3f3d7fp-20, -0x1.917801daa520cp-20, -0x1.7e3d67b42b2c6p-20, -0x1.6b535c2f43b8cp-20, -0x1.58b7c2ad4a2c4p-20, -0x1.4668c17d8f403p-20, -0x1.3465716394a1fp-20, -0x1.22ad1001fb189p-20, -0x1.113e6b57fa3aep-20, -0x1.00181057080e2p-20, -0x1.de71471cb0a41p-21, -0x1.bd3dcfdafd49p-21, -0x1.9c93602d2a15fp-21, -0x1.7c6fe9ff3c218p-21, -0x1.5cd1c4f498d06p-21, -0x1.3db73863f8014p-21, -0x1.1f1e940f4d271p-21, -0x1.010647a8894bcp-21, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.ecf7cf529f5d5p-6, 0x1.adbe3de205a92p-5, 0x1.02f687d59c523p-4, 0x1.f5a916a3129f8p-5, 0x1.811405b69563bp-5, 0x1.67d1b2488fe7cp-6, -0x1.8977815eb52f2p-7, -0x1.b100aec59423cp-5, -0x1.93c4d1c66c97cp-4, -0x1.2daebe4e49b29p-3, -0x1.944462b39484cp-3, -0x1.fabfb1aab01p-3, -0x1.2f5e5982207f6p-2, -0x1.5f2901ed70bbbp-2, -0x1.8c0396f3b2d5ep-2, -0x1.b5644cc20da2fp-2, -0x1.daed3cdab457bp-2, -0x1.fc65e7378b7bap-2, -0x1.0cda7f276eb6bp-1, -0x1.196d5bfccb664p-1, -0x1.23f5dbb8b5afdp-1, -0x1.2c864b70a8437p-1, -0x1.33370667ee15ep-1, -0x1.3824d0f3728efp-1, -0x1.3b6f74f682c3ep-1, -0x1.3d389930a324dp-1, -0x1.3da2cd059c81fp-1, -0x1.3cd0c29d498f6p-1, -0x1.3ae4b181f4d48p-1, -0x1.37ffdc3784f5dp-1, -0x1.3442339a1b58fp-1, -0x1.2fca1353239a6p-1, -0x1.2ab4132e463f5p-1, -0x1.251ae997c3d6fp-1, -0x1.1f175c11933fcp-1, -0x1.18c03acd6d6cbp-1, -0x1.122a651695f32p-1, -0x1.0b68d47fe381ap-1, -0x1.048cad31e757p-1, -0x1.fb4aa3dd335a2p-2, -0x1.ed80f55b0633fp-2, -0x1.dfd499c0ec699p-2, -0x1.d25ae94eca09ap-2, -0x1.c5267cba12713p-2, -0x1.b8476018c250bp-2, -0x1.abcb44e552143p-2, -0x1.9fbdb2a0d7d9ap-2, -0x1.942835a13c3efp-2, -0x1.89128bd3b0c91p-2, -0x1.7e82cf375e081p-2, -0x1.747d9df373ca8p-2, -0x1.6b063ff8f683fp-2, -0x1.621eca2d2ba6fp-2, -0x1.59c83f24f9901p-2, -0x1.5202ad82813ep-2, -0x1.4acd4c0caa391p-2, -0x1.4426939988826p-2, -0x1.3e0c56f02eab3p-2, -0x1.387bd8b5cada9p-2, -0x1.3371df8db969ap-2, -0x1.2eeac881c2e83p-2, -0x1.2ae297d0d737fp-2, -0x1.2755083ffedd9p-2, -0x1.243d9902c7c12p-2, -0x1.21979a547121dp-2, -0x1.1f5e38d838836p-2, -0x1.1d8c87d5ee053p-2, -0x1.1c1d8a67897f1p-2, -0x1.1b0c3bac150acp-2, -0x1.1a5396110f96p-2, -0x1.19ee99c6675cap-2, -0x1.19d8526a2feacp-2, -0x1.1a0bdbfed41f1p-2, -0x1.1a8467376b5edp-2, -0x1.1b3d3d2802034p-2, -0x1.1c31c272e008bp-2, -0x1.1d5d79e8c042dp-2, -0x1.1ebc06c7c6394p-2, -0x1.20492e82523cbp-2, -0x1.2200da2fac66fp-2, -0x1.23df179ef52e6p-2, -0x1.25e01a1ed3745p-2, -0x1.28003af2dcc49p-2, -0x1.2a3bf9987ad25p-2, -0x1.2c8ffbd4ab396p-2, -0x1.2ef90d90679fp-2, -0x1.3174209fbeecbp-2, -0x1.33fe4c4c1c23dp-2, -0x1.3694ccd577f1cp-2, -0x1.393502b7c7a91p-2, -0x1.3bdc71dc19c84p-2, -0x1.3e88c0bc4b24ap-2, -0x1.4137b757cc9f4p-2, -0x1.43e73e4e9efc3p-2, -0x1.46955dd641eedp-2, -0x1.49403cc0eea08p-2, -0x1.4be61f9800a3p-2, -0x1.4e856775d6811p-2, -0x1.511c911f325dbp-2, -0x1.53aa33e238b29p-2, -0x1.562d00676f866p-2, -0x1.58a3bfb15fb29p-2, -0x1.5b0d51dc99f3ep-2, -0x1.5d68ad1e431bbp-2, -0x1.5fb4dcc2d8fe6p-2, -0x1.61f1002744fc7p-2, -0x1.641c49e669b32p-2, -0x1.6635fefc8c11cp-2, -0x1.683d75edcfaecp-2, -0x1.6a3216084bb21p-2, -0x1.6c13568bb38d8p-2, -0x1.6de0bde31fa54p-2, -0x1.6f99e0db54c4dp-2, -0x1.713e61d60e51fp-2, -0x1.72cdf0085713cp-2, -0x1.744846c61b27fp-2, -0x1.75ad2cca23a78p-2, -0x1.76fc7396941bep-2, -0x1.7835f6dd8ed3cp-2, -0x1.79599bf1c527ep-2, -0x1.7a6751417871ep-2, -0x1.7b5f0ddcbdedap-2, -0x1.7c40d0fe17dcfp-2, -0x1.7d0ca1955ff5dp-2, -0x1.7dc28dd8e7b6cp-2, -0x1.7e62aad9cdd7fp-2, -0x1.7eed1412df5afp-2, -0x1.7f61eaff051bbp-2, -0x1.7fc156b17c88bp-2, -0x1.800b836f9d8p-2, -0x1.8040a24ca7252p-2, -0x1.8060e8cc03416p-2, -0x1.806c9088edc0bp-2, -0x1.8063d6e07dbf4p-2, -0x1.8046fca2cf57dp-2, -0x1.801645c5176b1p-2, -0x1.7fd1f92340ffap-2, -0x1.7f7a60380e786p-2, -0x1.7f0fc6e3c1c76p-2, -0x1.7e927b328f6a5p-2, -0x1.7e02cd281b586p-2, -0x1.7d610e8ccdd9ep-2, -0x1.7cad92bdc9467p-2, -0x1.7be8ae8036bdbp-2, -0x1.7b12b7d718124p-2, -0x1.7a2c05da30196p-2, -0x1.7934f08e26522p-2, -0x1.782dd0bfd58c7p-2, -0x1.7716ffe25417bp-2, -0x1.75f0d7e96764p-2, -0x1.74bbb32f2f8fep-2, -0x1.7377ec5014d44p-2, -0x1.7225de117c462p-2, -0x1.70c5e3460508bp-2, -0x1.6f5856b49c7f5p-2, -0x1.6ddd92fff9d95p-2, -0x1.6c55f29043555p-2, -0x1.6ac1cf7f9ddd6p-2, -0x1.69218386a6a5fp-2, -0x1.677567e952648p-2, -0x1.65bdd56726258p-2, -0x1.63fb242c8aedp-2, -0x1.622dabc36d766p-2, -0x1.6055c305c4605p-2, -0x1.5e73c01318722p-2, -0x1.5c87f8445c8dp-2, -0x1.5a92c01eec598p-2, -0x1.58946b501a81bp-2, -0x1.568d4ca041d73p-2, -0x1.547db5ec91312p-2, -0x1.5265f81e7ef43p-2, -0x1.504663247efb5p-2, -0x1.4e1f45efc3c46p-2, -0x1.4bf0ee69a316p-2, -0x1.49bba96f6e1c1p-2, -0x1.477fc2d0691dap-2, -0x1.453d8548baf21p-2, -0x1.42f53a7ccf3f7p-2, -0x1.40a72af49c937p-2, -0x1.3e539e1d9aa54p-2, -0x1.3bfada44c6ef5p-2, -0x1.399d2496c68c8p-2, -0x1.373ac11ad6febp-2, -0x1.34d3f2b58513p-2, -0x1.3268fb265f8b5p-2, -0x1.2ffa1b09e7a81p-2, -0x1.2d8791d3c7e56p-2, -0x1.2b119dd1c40bep-2, -0x1.28987c302934dp-2, -0x1.261c68f418513p-2, -0x1.239d9f015d0f6p-2, -0x1.211c58170be15p-2, -0x1.1e98ccd3a498dp-2, -0x1.1c1334b6b437cp-2, -0x1.198bc622eed1dp-2, -0x1.1702b65b9fccdp-2, -0x1.1478398c8c242p-2, -0x1.11ec82c894c3bp-2, -0x1.0f5fc40c7637ep-2, -0x1.0cd22e40474edp-2, -0x1.0a43f13abc49p-2, -0x1.07b53bc6e66f1p-2, -0x1.05263ba0f0e1ap-2, -0x1.02971d7c31fd1p-2, -0x1.00080d01b3c19p-2, -0x1.faf269b0395f7p-3, -0x1.f5d57d4d4f876p-3, -0x1.f0b9a6309fcbep-3, -0x1.eb9f33b08bd79p-3, -0x1.e686732ca0ab4p-3, -0x1.e16fb01457ed5p-3, -0x1.dc5b34018b25ap-3, -0x1.d74946ae24084p-3, -0x1.d23a2dfa6fd1cp-3, -0x1.cd2e2de4e49d4p-3, -0x1.c82588981035p-3, -0x1.c3207e7e95a3fp-3, -0x1.be1f4e4e94a1cp-3, -0x1.b922350318a3ep-3, -0x1.b4296ddce24bep-3, -0x1.af353257f3a2p-3, -0x1.aa45ba46a0c3ap-3, -0x1.a55b3be2bb4bfp-3, -0x1.a075ebd75fda2p-3, -0x1.9b95fd394039bp-3, -0x1.96bba17c76dc8p-3, -0x1.91e708783a31ap-3, -0x1.8d18607aaffdcp-3, -0x1.884fd65e974bp-3, -0x1.838d9597a37c3p-3, -0x1.7ed1c822150b9p-3, -0x1.7a1c9682b2817p-3, -0x1.756e27bd4936ap-3, -0x1.70c6a16b4bcc2p-3, -0x1.6c2627d32879fp-3, -0x1.678cddf56bcdcp-3, -0x1.62fae5890103ep-3, -0x1.5e705eed763aap-3, -0x1.59ed6924d0ab2p-3, -0x1.557221deb5a22p-3, -0x1.50fea5907d0a9p-3, -0x1.4c930f851bc79p-3, -0x1.482f79ec83137p-3, -0x1.43d3fdc5583bbp-3, -0x1.3f80b2d6b7421p-3, -0x1.3b35afb13c81p-3, -0x1.36f309b9ee4fp-3, -0x1.32b8d5435224fp-3, -0x1.2e87259e8d77cp-3, -0x1.2a5e0d1cd1002p-3, -0x1.263d9d04edc0dp-3, -0x1.2225e58833172p-3, -0x1.1e16f5c23bb6fp-3, -0x1.1a10dbc7c6752p-3, -0x1.1613a4bc6c87fp-3, -0x1.121f5cdf4d86bp-3, -0x1.0e340f996443bp-3, -0x1.0a51c7644e76ep-3, -0x1.06788dcf58024p-3, -0x1.02a86b7402cfp-3, -0x1.fdc2d00520feap-4, -0x1.f64714a9ee78ap-4, -0x1.eeddb0fccdcfep-4, -0x1.e786afa9bcb01p-4, -0x1.e04219dc68781p-4, -0x1.d90ff72d21abep-4, -0x1.d1f04d93fb2e5p-4, -0x1.cae3216da6054p-4, -0x1.c3e875950c331p-4, -0x1.bd004b83e6ed8p-4, -0x1.b62aa36ec83a4p-4, -0x1.af677c49c02a5p-4, -0x1.a8b6d3cc4416ap-4, -0x1.a218a6513f891p-4, -0x1.9b8ceedfb5d0bp-4, -0x1.9513a726d9e41p-4, -0x1.8eacc7983fa45p-4, -0x1.88584782ee7b2p-4, -0x1.82161d2a3c2a3p-4, -0x1.7be63dcf5a751p-4, -0x1.75c89dad9504p-4, -0x1.6fbd2fefc908bp-4, -0x1.69c3e6aad11c4p-4, -0x1.63dcb2dbbc06cp-4, -0x1.5e07847dbf83dp-4, -0x1.58444a9c994a3p-4, -0x1.5292f368dd89cp-4, -0x1.4cf36c4736cdp-4, -0x1.4765a1d1dac0ap-4, -0x1.41e97fd4ab957p-4, -0x1.3c7ef1409dc5bp-4, -0x1.3725e038b63c3p-4, -0x1.31de3605aadb8p-4, -0x1.2ca7db33348ccp-4, -0x1.2782b79b77061p-4, -0x1.226eb27807f54p-4, -0x1.1d6bb26af7d88p-4, -0x1.18799d80e681fp-4, -0x1.1398592e21a1p-4, -0x1.0ec7ca4b0f26ap-4, -0x1.0a07d51414a4p-4, -0x1.05585d2f66e33p-4, -0x1.00b945b82ba94p-4, -0x1.f854e297f3be6p-5, -0x1.ef57842e8cd4p-5, -0x1.e67a33bc0b7d9p-5, -0x1.ddbcb3feefb4dp-5, -0x1.d51ec6ec14597p-5, -0x1.cca02dab10c8cp-5, -0x1.c440a89642041p-5, -0x1.bbfff7428629bp-5, -0x1.b3ddd88292617p-5, -0x1.abda0a9614a38p-5, -0x1.a3f44b12a2605p-5, -0x1.9c2c571ef9e45p-5, -0x1.9481eb633f665p-5, -0x1.8cf4c418ab36ep-5, -0x1.85849d08e029cp-5, -0x1.7e31318da6f99p-5, -0x1.76fa3c92cbbbcp-5, -0x1.6fdf789c8cdb8p-5, -0x1.68e09fd2a0e3p-5, -0x1.61fd6c0e87fdap-5, -0x1.5b3596e9cb2e2p-5, -0x1.5488d9ca63585p-5, -0x1.4df6edec0303ap-5, -0x1.477f8c65ef194p-5, -0x1.41226e2dda5ffp-5, -0x1.3adf4c193ac5dp-5, -0x1.34b5dee041b5dp-5, -0x1.2ea5df213bdebp-5, -0x1.28af056479d77p-5, -0x1.22d10a2f7cb1fp-5, -0x1.1d0ba603ed64bp-5, -0x1.175e917007eacp-5, -0x1.11c98513da40dp-5, -0x1.0c4c39aa043b4p-5, -0x1.06e66807ef1d7p-5, -0x1.0197c92439106p-5, -0x1.f8c02c2e830a4p-6, -0x1.ee7e103993942p-6, -0x1.e468b13176b22p-6, -0x1.da7f8238d6ce9p-6, -0x1.d0c1f6da89f83p-6, -0x1.c72f8318030efp-6, -0x1.bdc79b756c19cp-6, -0x1.b489b50533ep-6, -0x1.ab75457056d2fp-6, -0x1.a289c2fd0763p-6, -0x1.99c6a4938c3a9p-6, -0x1.912b61c21cec1p-6, -0x1.88b772c0c441cp-6, -0x1.806a50772ae8fp-6, -0x1.78437487670c5p-6, -0x1.7042594e6ace7p-6, -0x1.686679ef9b08fp-6, -0x1.60af526563f0fp-6, -0x1.591c5f7e7a1b4p-6, -0x1.51ad1eeb30c71p-6, -0x1.4a610f31f83bp-6, -0x1.4337afc06abe8p-6, -0x1.3c3080ed7d707p-6, -0x1.354b03fc9197dp-6, -0x1.2e86bb22dc16ep-6, -0x1.27e3298c1047bp-6, -0x1.215fd36a694bfp-6, -0x1.1afc3de70afecp-6, -0x1.14b7ef3816ad7p-6, -0x1.0e926e93cff2p-6, -0x1.088b4433c9754p-6, -0x1.02a1f952e9935p-6, -0x1.f9ac305dd253ap-7, -0x1.ee4e581b3c61ep-7, -0x1.e329828ba6fdap-7, -0x1.d83cca941d0f7p-7, -0x1.cd874d65d450cp-7, -0x1.c3082a8c2c798p-7, -0x1.b8be83f03f3a3p-7, -0x1.aea97dd039073p-7, -0x1.a4c83eac42b06p-7, -0x1.9b19ef2e8398cp-7, -0x1.919dba156bfd4p-7, -0x1.8852cc2934de9p-7, -0x1.7f38543fc46dp-7, -0x1.764d8354feda8p-7, -0x1.6d918cae71668p-7, -0x1.6503a606aa1cbp-7, -0x1.5ca3079e92e9fp-7, -0x1.546eec64f73abp-7, -0x1.4c6691d56052cp-7, -0x1.448937dd81357p-7, -0x1.3cd620ac418cdp-7, -0x1.354c907aa2d78p-7, -0x1.2debcd64b41b1p-7, -0x1.26b31f5e990d5p-7, -0x1.1fa1d04338c18p-7, -0x1.18b72c157804fp-7, -0x1.11f2813dcea4ep-7, -0x1.0b5320d3c904fp-7, -0x1.04d85ede3ef67p-7, -0x1.fd0324a592c12p-8, -0x1.f09c29f3691cfp-8, -0x1.e47a8634fedbp-8, -0x1.d89cf612b0b57p-8, -0x1.cd0239666db82p-8, -0x1.c1a912814b738p-8, -0x1.b69045dbe621bp-8, -0x1.abb69a4fc5ed1p-8, -0x1.a11ad9d9a3103p-8, -0x1.96bbd2c284413p-8, -0x1.8c9858f12f5d9p-8, -0x1.82af4714eca3cp-8, -0x1.78ff7f5d9af57p-8, -0x1.6f87eb889a0cp-8, -0x1.66477c2d421c6p-8, -0x1.5d3d275e286b4p-8, -0x1.5467e6dd7d78cp-8, -0x1.4bc6b641c7312p-8, -0x1.43589170057f4p-8, -0x1.3b1c73c793dd8p-8, -0x1.33115834ff48dp-8, -0x1.2b363a342598fp-8, -0x1.238a179533c94p-8, -0x1.1c0bf2ad0d8bap-8, -0x1.14bad480c8b12p-8, -0x1.0d95ce791301p-8, -0x1.069bfb3f7686dp-8, -0x1.ff98fd1ed7e0fp-9, -0x1.f24d07f5513afp-9, -0x1.e55279addda5fp-9, -0x1.d8a7bb7634da6p-9, -0x1.cc4b3821dc3f5p-9, -0x1.c03b57a8af664p-9, -0x1.b4767eee692d6p-9, -0x1.a8fb0d3632bfbp-9, -0x1.9dc760ec9eefdp-9, -0x1.92d9da39e6075p-9, -0x1.8830e02beec8bp-9, -0x1.7dcae53a49f77p-9, -0x1.73a66acb4ae8fp-9, -0x1.69c202ff513e9p-9, -0x1.601c507130f28p-9, -0x1.56b4040194705p-9, -0x1.4d87d926f3db2p-9, -0x1.4496918525086p-9, -0x1.3bdef0b1c4478p-9, -0x1.335fb900059p-9, -0x1.2b17a9f685792p-9, -0x1.230580b69d1e8p-9, -0x1.1b27fa2fa9318p-9, -0x1.137dd6969f35ep-9, -0x1.0c05dd4a9dfb9p-9, -0x1.04bee0261f70cp-9, -0x1.fb4f7bddfd418p-10, -0x1.ed7ec58a4c345p-10, -0x1.e0098e64b8b0cp-10, -0x1.d2eddb69a671bp-10, -0x1.c629beaafb4e2p-10, -0x1.b9bb50110d65fp-10, -0x1.ada0a59ac0d31p-10, -0x1.a1d7ce4b03f7bp-10, -0x1.965ecfd230212p-10, -0x1.8b33a868ef13cp-10, -0x1.80545234a8fccp-10, -0x1.75beccda9c39dp-10, -0x1.6b7126ba954bep-10, -0x1.6169853646dd8p-10, -0x1.57a629d9fc7efp-10, -0x1.4e257363d3c2p-10, -0x1.44e5db415247ep-10, -0x1.3be5f0e7be0cp-10, -0x1.3324549aa1191p-10, -0x1.2a9fb204813e4p-10, -0x1.2256bab2abda1p-10, -0x1.1a4820aeaf37ap-10, -0x1.12728eaeb3e61p-10, -0x1.0ad4a3b4979e3p-10, -0x1.036cef307ec53p-10, -0x1.f873e638cb87ep-11, -0x1.ea7455dc4d194p-11, -0x1.dcd82c753b7adp-11, -0x1.cf9c86df86897p-11, -0x1.c2bead707f98fp-11, -0x1.b63c1594ecee1p-11, -0x1.aa1258fec0bd4p-11, -0x1.9e3f2994d3b5cp-11, -0x1.92c04a84d474ap-11, -0x1.879392a6a4635p-11, -0x1.7cb6f5680a9f1p-11, -0x1.72288a416b4cbp-11, -0x1.67e68ad28784p-11, -0x1.5def4531be504p-11, -0x1.5441075f16b6ep-11, -0x1.4ada0d6bd8875p-11, -0x1.41b87af5d816ap-11, -0x1.38da62c4462dcp-11, -0x1.303dd846659fep-11, -0x1.27e102056a14dp-11, -0x1.1fc2239bdb49cp-11, -0x1.17df99772d0c1p-11, -0x1.1037c79587f0ap-11, -0x1.08c904417a63dp-11, -0x1.01918c2dfbaa6p-11, -0x1.f51f141f0d5b7p-12, -0x1.e78261f189e0dp-12, -0x1.da49b903bd9cap-12, -0x1.cd7248a43bcb5p-12, -0x1.c0f9ad28743eep-12, -0x1.b4ddb6ed8264ap-12, -0x1.a91c2464caa5bp-12, -0x1.9db2786eef8adp-12, -0x1.929e033661e8cp-12, -0x1.87dc136763addp-12, -0x1.7d6a2ff728b84p-12, -0x1.73463c0eb064ep-12, -0x1.696e76f19f362p-12, -0x1.5fe1597646966p-12, -0x1.569d5c3107186p-12, -0x1.4da0b2cdc98d1p-12, -0x1.44e9285515c4dp-12, -0x1.3c74065f3efe3p-12, -0x1.343e5e18d89bep-12, -0x1.2c4559f1a1484p-12, -0x1.2486a5bf453eap-12, -0x1.1d00a2473fcfcp-12, -0x1.15b24c092ecffp-12, -0x1.0e9ade18ddb27p-12, -0x1.07b962918cbfep-12, -0x1.010c6e57c25fbp-12, -0x1.f5244a16e5df7p-13, -0x1.e890e89bd341fp-13, -0x1.dc5ab7db8ff88p-13, -0x1.d07e41fb934b4p-13, -0x1.c4f8bc4a8043dp-13, -0x1.b9c7e6508770cp-13, -0x1.aee9c4ed4cfe3p-13, -0x1.a45c614aaace2p-13, -0x1.9a1d9c61fee17p-13, -0x1.902b0a9b63e85p-13, -0x1.8681d46b501aap-13, -0x1.7d1eba6b89bffp-13, -0x1.73fe5933a0569p-13, -0x1.6b1d98b25cebcp-13, -0x1.627a0db04d9f2p-13, -0x1.5a121ecdec79p-13, -0x1.51e4de1f0e0a8p-13, -0x1.49f1a916dd833p-13, -0x1.4237bda00a1e8p-13, -0x1.3ab5f2ae590fep-13, -0x1.336aa842b43c4p-13, -0x1.2c53f3afe2c61p-13, -0x1.256ff42254e1bp-13, -0x1.1ebd0782834a2p-13, -0x1.1839a081bfda9p-13, -0x1.11e3e8d993aap-13, -0x1.0bb99df6529d1p-13, -0x1.05b85419271f9p-13, -0x1.ffbbc8c9e6addp-14, -0x1.f4515f6464ee2p-14, -0x1.e92f29a75f35ap-14, -0x1.de536e218419cp-14, -0x1.d3bc80fe5f71ap-14, -0x1.c968576b753e1p-14, -0x1.bf542fdbe788dp-14, -0x1.b57cb83975ea7p-14, -0x1.abdef9b476bd5p-14, -0x1.a27958f2d453dp-14, -0x1.994b820ae66d8p-14, -0x1.9055532205459p-14, -0x1.8795f8761a0e1p-14, -0x1.7f0ba28c9aa48p-14, -0x1.76b4b72c02cd4p-14, -0x1.6e901f85d50d8p-14, -0x1.669ca9e02fee9p-14, -0x1.5ed8561e92273p-14, -0x1.57407f42d6facp-14, -0x1.4fd28237f00c8p-14, -0x1.488c382b24f45p-14, -0x1.416c192d70cb4p-14, -0x1.3a711ca90cbb7p-14, -0x1.339a66d173e1p-14, -0x1.2ce6e6614b523p-14, -0x1.26552edf3f18dp-14, -0x1.1fe3a6035813fp-14, -0x1.19908e697e072p-14, -0x1.1359cad4b92cfp-14, -0x1.0d3d5a83ef79ap-14, -0x1.073ab564b1a79p-14, -0x1.0152f183ca669p-14, -0x1.f70d9b270edf9p-15, -0x1.ebaa359c102dap-15, -0x1.e077a9522f995p-15, -0x1.d574aecd6522bp-15, -0x1.caa2c69cea2dcp-15, -0x1.c0025282bb4dep-15, -0x1.b590be5dad1dp-15, -0x1.ab4a135cd7ba5p-15, -0x1.a12ae5940cfe4p-15, -0x1.9730ec3f2f339p-15, -0x1.8d5abe9d97715p-15, -0x1.83a78a827aa48p-15, -0x1.7a1712b822e6dp-15, -0x1.70a9bd97a7eb5p-15, -0x1.6760470d3fc36p-15, -0x1.5e3b061e68586p-15, -0x1.55395b14942dcp-15, -0x1.4c59bbf923ae8p-15, -0x1.439966fc36242p-15, -0x1.3af3c4a999cacp-15, -0x1.3264cf31dcc5fp-15, -0x1.29ed334587e64p-15, -0x1.21908d604c8f7p-15, -0x1.194f9e663dbf1p-15, -0x1.1127fc709f65bp-15, -0x1.0918837204936p-15, -0x1.01220cce38335p-15, -0x1.f289c7bd9b61ap-16, -0x1.e300d1da99a1ep-16, -0x1.d3a774f12c2b8p-16, -0x1.c47b66302cfap-16, -0x1.b57a28521d65p-16, -0x1.a6a1d0cce9d9bp-16, -0x1.97f140a346c63p-16, -0x1.8967a3c73bb74p-16, -0x1.7b04cc406701ap-16, -0x1.6cc83968798c4p-16, -0x1.5eb240654e643p-16, -0x1.50c341479e613p-16, -0x1.42fb53163d0b2p-16, -0x1.3559e9c4736a5p-16, -0x1.27deb587b71d9p-16, -0x1.1a8a417070205p-16, -0x1.0d5b96b1f520cp-16, -0x1.004fc43a83517p-16, -0x1.e6cdbaef16ea5p-17, -0x1.cd42fd108ebb5p-17, -0x1.b3f5dccc569b2p-17, -0x1.9ae1607dd00a6p-17, -0x1.820f5d18c7bebp-17, -0x1.698670144a78ap-17, -0x1.5141c0ebcd087p-17, -0x1.393b12472652fp-17, -0x1.21729c91163cdp-17, -0x1.09ebb91fae962p-17, -0x1.e54d77d3ddccfp-18, -0x1.b74292839734dp-18, -0x1.89b2d28b6432ap-18, -0x1.5c9ceb1521bbfp-18, -0x1.3000edfa4d237p-18, -0x1.03df09fa4172dp-18, }}, 
      {{-0x1.c0837d16c059ap+0, -0x1.a81dbd9c6ec51p+0, -0x1.892826138893dp+0, -0x1.685e2e98d122ap+0, -0x1.48a2577a9feap+0, -0x1.2b9894c62ca58p+0, -0x1.12110f18646b4p+0, -0x1.f8a3bd644ed1bp-1, -0x1.d493ebac8be12p-1, -0x1.b76859028e1dbp-1, -0x1.a05e5920134e8p-1, -0x1.8e9b0bb6b2d3ep-1, -0x1.814070659dc4ep-1, -0x1.777aa9e791fp-1, -0x1.7087c7eae3076p-1, -0x1.6bbbc77aed584p-1, -0x1.688204ad938c7p-1, -0x1.665cfd03702eep-1, -0x1.64e505c08a4bfp-1, -0x1.63c667c8f42f3p-1, -0x1.62bf30bbc0d5ep-1, -0x1.619ceea64fb8dp-1, -0x1.603a78bd353a5p-1, -0x1.5e7dd993635bfp-1, -0x1.5c566650bf527p-1, -0x1.59bb0847a9bdbp-1, -0x1.56a8baa0b85a9p-1, -0x1.53213b1c6d8d8p-1, -0x1.4f29eb25c421fp-1, -0x1.4acadd6189c6dp-1, -0x1.460e0b480a5d4p-1, -0x1.40feae420a754p-1, -0x1.3ba8b7d41fad3p-1, -0x1.361864a3ea01ap-1, -0x1.3059e685610cp-1, -0x1.2a7921fdbb5d5p-1, -0x1.24817c2d0f667p-1, -0x1.1e7db647cfa82p-1, -0x1.1877d448e5355p-1, -0x1.12790cba62bc9p-1, -0x1.0c89bfd902e5ep-1, -0x1.06b1748856d5cp-1, -0x1.00f6d9d8d090fp-1, -0x1.f6bf981a27de4p-2, -0x1.ebe2b88cb63d7p-2, -0x1.e15fb42fede4bp-2, -0x1.d73dbcede346ep-2, -0x1.cd82aef9c041p-2, -0x1.c433295b597ccp-2, -0x1.bb52a6cea69bdp-2, -0x1.b2e3968360684p-2, -0x1.aae7745f9b507p-2, -0x1.a35ee07e066a3p-2, -0x1.9c49b5b5146fbp-2, -0x1.95a71f0492f3bp-2, -0x1.8f75abd49e7a4p-2, -0x1.89b362f299f0fp-2, -0x1.845dd45c13dffp-2, -0x1.7f7229bbc55f4p-2, -0x1.7aed35ba8a71dp-2, -0x1.76cb8217bc712p-2, -0x1.73095c9bba714p-2, -0x1.6fa2e2f507bfep-2, -0x1.6c940d8307dd9p-2, -0x1.69d8b921283f8p-2, -0x1.676cafff2d148p-2, -0x1.654bb1947186ep-2, -0x1.637179bc4af0fp-2, -0x1.61d9c709f4968p-2, -0x1.6080606101ae7p-2, -0x1.5f6119e0cffa2p-2, -0x1.5e77d92db903p-2, -0x1.5dc09925a6ec4p-2, -0x1.5d376d0a131adp-2, -0x1.5cd8832a7b87p-2, -0x1.5ca0272235e3ap-2, -0x1.5c8ac3a62c97cp-2, -0x1.5c94e3fddb477p-2, -0x1.5cbb352064e3dp-2, -0x1.5cfa868c3cc95p-2, -0x1.5d4fcac8b2381p-2, -0x1.5db817b81df11p-2, -0x1.5e30a69dfdb82p-2, -0x1.5eb6d3ff708cbp-2, -0x1.5f481f5de56d3p-2, -0x1.5fe22ac6a5b9ep-2, -0x1.6082ba558ce4dp-2, -0x1.6127b389ffb0ep-2, -0x1.61cf1c91899efp-2, -0x1.62771b6bd806bp-2, -0x1.631df4f62319dp-2, -0x1.63c20bf95e816p-2, -0x1.6461e009f68bbp-2, -0x1.64fc0c9015388p-2, -0x1.658f47b528d52p-2, -0x1.661a615b680fbp-2, -0x1.669c42336b752p-2, -0x1.6713ea9514a31p-2, -0x1.6780719620439p-2, -0x1.67e103f383e4dp-2, -0x1.6834e2ec8f27cp-2, -0x1.687b634f1808cp-2, -0x1.68b3ec4c90625p-2, -0x1.68ddf685f1ffdp-2, -0x1.68f90b1ca229ep-2, -0x1.6904c2bc82bc2p-2, -0x1.6900c4d515e08p-2, -0x1.68ecc6ccc0c7ep-2, -0x1.68c88b3560279p-2, -0x1.6893e11c1ff95p-2, -0x1.684ea345a7078p-2, -0x1.67f8b7794c863p-2, -0x1.67920dce3b21dp-2, -0x1.671a9ff7a229dp-2, -0x1.6692709841f92p-2, -0x1.65f98aa82f2e3p-2, -0x1.655000d710b9bp-2, -0x1.6495ecfcf0ca9p-2, -0x1.63cb6f9be35efp-2, -0x1.62f0af63e3be1p-2, -0x1.6205d8bde9902p-2, -0x1.610b1d641afe2p-2, -0x1.6000b3fc3ef62p-2, -0x1.5ee6d7b48ded8p-2, -0x1.5dbdc7e5c5517p-2, -0x1.5c85c7ba14894p-2, -0x1.5b3f1dd0ca4cap-2, -0x1.59ea13e928014p-2, -0x1.5886f68f41579p-2, -0x1.571614cb69036p-2, -0x1.5597bfd520db6p-2, -0x1.540c4acac9978p-2, -0x1.52740a6d9c4f1p-2, -0x1.50cf54e1cb6abp-2, -0x1.4f1e817435debp-2, -0x1.4d61e85f4d72bp-2, -0x1.4b99e29f72d6fp-2, -0x1.49c6c9bd60225p-2, -0x1.47e8f7a67b182p-2, -0x1.4600c683852c5p-2, -0x1.440e90941939ap-2, -0x1.4212b00c171e8p-2, -0x1.400d7ef33358bp-2, -0x1.3dff5707215f8p-2, -0x1.3be891a00369ep-2, -0x1.39c98796465d6p-2, -0x1.37a2912998f89p-2, -0x1.357405ea56272p-2, -0x1.333e3ca59431dp-2, -0x1.31018b4d76098p-2, -0x1.2ebe46ed4c3a2p-2, -0x1.2c74c39240cf8p-2, -0x1.2a25543faed16p-2, -0x1.27d04adffb2fdp-2, -0x1.2575f838393fap-2, -0x1.2316abdc330cp-2, -0x1.20b2b4240647ep-2, -0x1.1e4a5e23c603dp-2, -0x1.1bddf5a2e1756p-2, -0x1.196dc5150f875p-2, -0x1.16fa1594afcfbp-2, -0x1.14832edd88c2p-2, -0x1.120957481fd0bp-2, -0x1.0f8cd3c60a7bep-2, -0x1.0d0de7e0488bcp-2, -0x1.0a8cd5b478103p-2, -0x1.0809ddf0ed42dp-2, -0x1.05853fd9003d1p-2, -0x1.02ff393f6754fp-2, -0x1.00780689482a2p-2, -0x1.fbdfc55abda5ep-3, -0x1.f6ce0e695f162p-3, -0x1.f1bb587cc09abp-3, -0x1.eca810fc96b36p-3, -0x1.e794a27c1e035p-3, -0x1.e28174c6aa49cp-3, -0x1.dd6eece366097p-3, -0x1.d85d6d1299e1fp-3, -0x1.d34d54dbac173p-3, -0x1.ce3f0114fedf4p-3, -0x1.c932cbe438838p-3, -0x1.c4290ccb7a5a6p-3, -0x1.bf2218acb19a9p-3, -0x1.ba1e41d658769p-3, -0x1.b51dd809c0adcp-3, -0x1.b021288833a76p-3, -0x1.ab287e130a33p-3, -0x1.a63420fa9c315p-3, -0x1.a144572d6a4bcp-3, -0x1.9c596436fe52ap-3, -0x1.97738952fed43p-3, -0x1.929305706d76bp-3, -0x1.8db8153f77e1p-3, -0x1.88e2f33c1152fp-3, -0x1.8413d7b904bf1p-3, -0x1.7f4af8e45b926p-3, -0x1.7a888ad94c627p-3, -0x1.75ccbfa61405fp-3, -0x1.7117c75798d12p-3, -0x1.6c69d002ae031p-3, -0x1.67c305ceda3a1p-3, -0x1.6323930477869p-3, -0x1.5e8ba00f6cf3p-3, -0x1.59fb538f09e94p-3, -0x1.5572d25a4e30ep-3, -0x1.50f23f8f916f5p-3, -0x1.4c79bc9dd2043p-3, -0x1.4809694f79bb9p-3, -0x1.43a163cd19f94p-3, -0x1.3f41c8a92e9f9p-3, -0x1.3aeab2e85453fp-3, -0x1.369c3c1838c4p-3, -0x1.32567c4a7c07ep-3, -0x1.2e198a2535cb1p-3, -0x1.29e57ae03055dp-3, -0x1.25ba625299cb2p-3, -0x1.2198530342f38p-3, -0x1.1d7f5e3315a67p-3, -0x1.196f93dea969p-3, -0x1.156902c6c394fp-3, -0x1.116bb86d08489p-3, -0x1.0d77c128b190dp-3, -0x1.098d28328e20bp-3, -0x1.05abf7aec7cdfp-3, -0x1.01d438ae0bff1p-3, -0x1.fc0be65ae9992p-4, -0x1.f4825c3975e0ap-4, -0x1.ed0bded7da587p-4, -0x1.e5a878336fe41p-4, -0x1.de58307cfd0dcp-4, -0x1.d71b0e0cdd21bp-4, -0x1.cff11571dd5eap-4, -0x1.c8da496a25728p-4, -0x1.c1d6ab0245631p-4, -0x1.bae639b1b6caep-4, -0x1.b408f36e334a7p-4, -0x1.ad3ed4afb0e0ep-4, -0x1.a687d86a8c584p-4, -0x1.9fe3f8104744ap-4, -0x1.99532ba00d5a4p-4, -0x1.92d569c341475p-4, -0x1.8c6aa7df228d1p-4, -0x1.8612da2fc77d1p-4, -0x1.7fcdf3b34339ep-4, -0x1.799be6284882dp-4, -0x1.737ca21e75834p-4, -0x1.6d7016fae8b1bp-4, -0x1.67763317b4c19p-4, -0x1.618ee3d8adf78p-4, -0x1.5bba15b0cf806p-4, -0x1.55f7b41e04b02p-4, -0x1.5047a9a3fa34ap-4, -0x1.4aa9dfd0298f6p-4, -0x1.451e3f4ab093ep-4, -0x1.3fa4afeed131cp-4, -0x1.3a3d18d726b53p-4, -0x1.34e76075e2b7dp-4, -0x1.2fa36c6fe91dp-4, -0x1.2a7121bf24125p-4, -0x1.2550649774f6p-4, -0x1.2041187d96b67p-4, -0x1.1b43205e157bdp-4, -0x1.16565e9239e71p-4, -0x1.117ab4f3698a8p-4, -0x1.0cb004db1a3edp-4, -0x1.07f62f1caba2fp-4, -0x1.034d1402c8d94p-4, -0x1.fd6926a868387p-5, -0x1.f45918c18972dp-5, -0x1.eb69bc23780d7p-5, -0x1.e29acdeffa6a9p-5, -0x1.d9ec0a9d0479fp-5, -0x1.d15d2e0647952p-5, -0x1.c8edf3485fe67p-5, -0x1.c09e14da79d06p-5, -0x1.b86d4c85c02ecp-5, -0x1.b05b53821963fp-5, -0x1.a867e28ee7b3cp-5, -0x1.a092b20929f21p-5, -0x1.98db79f68c34bp-5, -0x1.9141f2059157dp-5, -0x1.89c5d187f28b5p-5, -0x1.8266cf74d354p-5, -0x1.7b24a25e8f91dp-5, -0x1.73ff0096527dfp-5, -0x1.6cf5a034409e4p-5, -0x1.6608372841e54p-5, -0x1.5f367b4d798f5p-5, -0x1.5880226b1180cp-5, -0x1.51e4e234820c2p-5, -0x1.4b64703bd6532p-5, -0x1.44fe820bdbf44p-5, -0x1.3eb2cd0d5183ep-5, -0x1.388106ad7e51fp-5, -0x1.3268e4623463cp-5, -0x1.2c6a1bb9c7d27p-5, -0x1.2684626320778p-5, -0x1.20b76e30831cep-5, -0x1.1b02f516769afp-5, -0x1.1566ad2a071dbp-5, -0x1.0fe24ca1939e6p-5, -0x1.0a7589d9fecep-5, -0x1.05201b5fd0612p-5, -0x1.ffc36ff3ec7a8p-6, -0x1.f5742d6796589p-6, -0x1.eb51ddc88643ep-6, -0x1.e15bf060c64a8p-6, -0x1.d791d5182119cp-6, -0x1.cdf2fc73bb415p-6, -0x1.c47ed7934f4a3p-6, -0x1.bb34d83ac15c8p-6, -0x1.b21470c93ad1cp-6, -0x1.a91d147a07d24p-6, -0x1.a04e3724c686ep-6, -0x1.97a74d96b3162p-6, -0x1.8f27cd6987121p-6, -0x1.86cf2d199cf7dp-6, -0x1.7e9ce40303767p-6, -0x1.76906a60a1e22p-6, -0x1.6ea9394cd5d44p-6, -0x1.66e6cac554c6cp-6, -0x1.5f4899b204f6dp-6, -0x1.57ce21ee7a85fp-6, -0x1.5076e052eaaecp-6, -0x1.494252bbcb182p-6, -0x1.422ff80f372cp-6, -0x1.3b3f503fbbbddp-6, -0x1.346fdc4ce1aacp-6, -0x1.2dc11e4253011p-6, -0x1.2732993ae3deep-6, -0x1.20c3d15f15c08p-6, -0x1.1a744bde04e9ep-6, -0x1.14438f10e5b59p-6, -0x1.0e31225cb504ep-6, -0x1.083c8e4c4b6ep-6, -0x1.02655c8d04d89p-6, -0x1.f9562feb5a28cp-7, -0x1.ee1a98ffcf681p-7, -0x1.e3170e9e2c9c9p-7, -0x1.d84aad59c2491p-7, -0x1.cdb4940eb9b38p-7, -0x1.c353e3e69588cp-7, -0x1.b927c05a56bcfp-7, -0x1.af2f4f3790f5ap-7, -0x1.a569b8a405c6bp-7, -0x1.9bd62723f2f47p-7, -0x1.9273c79a88ac3p-7, -0x1.8941c94c0b939p-7, -0x1.803f5ddce6f02p-7, -0x1.776bb94fdf08bp-7, -0x1.6ec6120367fa4p-7, -0x1.664da0aec7117p-7, -0x1.5e01a062b8dc8p-7, -0x1.55e14e9cf120cp-7, -0x1.4debeb18dbdffp-7, -0x1.4620b7dfbf00ep-7, -0x1.3e7ef978f0fd5p-7, -0x1.3705f6b645742p-7, -0x1.2fb4f8e11f3e1p-7, -0x1.288b4b61e99cfp-7, -0x1.21883c087028dp-7, -0x1.1aab1af769203p-7, -0x1.13f33a9d5f4d4p-7, -0x1.0d5fefb387184p-7, -0x1.06f0913b23033p-7, -0x1.00a47890e1b42p-7, -0x1.f4f602878698ap-8, -0x1.e8e7126ef7622p-8, -0x1.dd1ae10aa7134p-8, -0x1.d19032fad1f9fp-8, -0x1.c645d13b29e14p-8, -0x1.bb3a891901aeep-8, -0x1.b06d2c30c29dcp-8, -0x1.a5dc90724da3dp-8, -0x1.9b8790293d52p-8, -0x1.916d0a0500053p-8, -0x1.878be11af40c9p-8, -0x1.7de2fcdf22d49p-8, -0x1.747149117bp-8, -0x1.6b35b5a13815ep-8, -0x1.622f368ba53c6p-8, -0x1.595cc3bc86ba3p-8, -0x1.50bd58f9b7b2ep-8, -0x1.484ff5d99909ap-8, -0x1.40139dcf0c0cdp-8, -0x1.3807583feaf72p-8, -0x1.302a30a8fb7a5p-8, -0x1.287b368227d86p-8, -0x1.20f97d94415fcp-8, -0x1.19a41d9fc791cp-8, -0x1.127a324f9610bp-8, -0x1.0b7adb07c9abcp-8, -0x1.04a53aa6367efp-8, -0x1.fbf0eeac01297p-9, -0x1.eee774fa12731p-9, -0x1.e22c616cd905ep-9, -0x1.d5be141f6239bp-9, -0x1.c99af450b24dcp-9, -0x1.bdc170d35abddp-9, -0x1.b2300087a611cp-9, -0x1.a6e5223010d57p-9, -0x1.9bdf5c41636bep-9, -0x1.911d3c3e0bbe7p-9, -0x1.869d55f16dde4p-9, -0x1.7c5e4287b7c2ap-9, -0x1.725e9fe6df7d1p-9, -0x1.689d105866941p-9, -0x1.5f183aa7f0a53p-9, -0x1.55cecab7f7c2ap-9, -0x1.4cbf726e7c712p-9, -0x1.43e8eac48a36ap-9, -0x1.3b49f4b53a11cp-9, -0x1.32e159cbd39eep-9, -0x1.2aadec211a5acp-9, -0x1.22ae85b63cec3p-9, -0x1.1ae2073f876a3p-9, -0x1.134756946593fp-9, -0x1.0bdd5d11cfb11p-9, -0x1.04a3064883c46p-9, -0x1.fb2e7e7c1df22p-10, -0x1.ed71ece68729ep-10, -0x1.e00e3963d69e8p-10, -0x1.d3014cfb82809p-10, -0x1.c6491bbc901e8p-10, -0x1.b9e3a846742bep-10, -0x1.adcf0686aacf9p-10, -0x1.a2095d0f3ddap-10, -0x1.9690e4ad991fep-10, -0x1.8b63e642e0593p-10, -0x1.8080b739f0e04p-10, -0x1.75e5b548d6fecp-10, -0x1.6b91426d75d8p-10, -0x1.6181c055f3feap-10, -0x1.57b5925b8967ep-10, -0x1.4e2b17fd5b64bp-10, -0x1.44e0b3cd916f1p-10, -0x1.3bd4cbd6a2039p-10, -0x1.3305ce5242d72p-10, -0x1.2a72353ce7099p-10, -0x1.221889286cc4ap-10, -0x1.19f762a3cdd52p-10, -0x1.120d69f6d030ap-10, -0x1.0a59554538e62p-10, -0x1.02d9e57e30b2cp-10, -0x1.f71bc56ede59bp-11, -0x1.e8e8315ba960dp-11, -0x1.db16a83718675p-11, -0x1.cda4c2cc8b33fp-11, -0x1.c09019bbd2a3dp-11, -0x1.b3d648d8c9053p-11, -0x1.a774f4a7ed321p-11, -0x1.9b69d089d72bp-11, -0x1.8fb2a36f6ce3bp-11, -0x1.844d4c948640bp-11, -0x1.7937c32ef1e53p-11, -0x1.6e7015495a0d2p-11, -0x1.63f463b6db4f8p-11, -0x1.59c2dc8cf5bb2p-11, -0x1.4fd9b693f0341p-11, -0x1.4637289da4407p-11, -0x1.3cd966b9673c6p-11, -0x1.33bea1037ebcep-11, -0x1.2ae50771d72aep-11, -0x1.224ac5e61215p-11, -0x1.19ee108b8eadap-11, -0x1.11cd29d2e2d4ep-11, -0x1.09e668686a0d4p-11, -0x1.02383b1c92dc2p-11, -0x1.f5825322807b2p-12, -0x1.e6ffa41096b3bp-12, -0x1.d8e5cb5fccd9ep-12, -0x1.cb3248c5cd2dp-12, -0x1.bde2b09177c0bp-12, -0x1.b0f4a3127be6ap-12, -0x1.a465c633878fdp-12, -0x1.9833b65396358p-12, -0x1.8c5c036e9c06bp-12, -0x1.80dc28fbb3622p-12, -0x1.75b19220bc60bp-12, -0x1.6ad9a411da229p-12, -0x1.6051ce27487b6p-12, -0x1.56179a05f2e78p-12, -0x1.4c28b5e19ba61p-12, -0x1.4282f56f8d946p-12, -0x1.39244ad878ab1p-12, -0x1.300abd2802b45p-12, -0x1.2734629d89eeap-12, -0x1.1e9f622432e5ep-12, -0x1.1649f9e6d41abp-12, -0x1.0e3284fe41fb5p-12, -0x1.06577a3e6a7e9p-12, -0x1.fd6ec45fd886ap-13, -0x1.eea18fa7d6f6bp-13, -0x1.e04456a2a6754p-13, -0x1.d253fa05654a5p-13, -0x1.c4cd460c1120ep-13, -0x1.b7ad0c565e268p-13, -0x1.aaf03f3834502p-13, -0x1.9e940075de4c6p-13, -0x1.92959ae6f5612p-13, -0x1.86f268c1c7d47p-13, -0x1.7ba7b3d47de8cp-13, -0x1.70b2a363a459bp-13, -0x1.6610469edc0cdp-13, -0x1.5bbdbabeec9e6p-13, -0x1.51b859ef172bp-13, -0x1.47fdd8225eef6p-13, -0x1.3e8c3b8da9d19p-13, -0x1.3561b3b8b1e7ep-13, -0x1.2c7c66f695e2dp-13, -0x1.23da542cf5915p-13, -0x1.1b7959061dbb1p-13, -0x1.1357553e0cbd4p-13, -0x1.0b7254053d4bap-13, -0x1.03c8a57e5a18bp-13, -0x1.f8b1bc66291eep-14, -0x1.ea437bb9c15cap-14, -0x1.dc440cbe6f3ap-14, -0x1.ceb08a8fb9e05p-14, -0x1.c185959797331p-14, -0x1.b4bef88e1c091p-14, -0x1.a8584c4bed363p-14, -0x1.9c4d4571bee42p-14, -0x1.909a55ecb269bp-14, -0x1.853cf20d0e1a3p-14, -0x1.7a336c994b283p-14, -0x1.6f7c7338c1b81p-14, -0x1.65166fada5774p-14, -0x1.5aff29e1f97b6p-14, -0x1.5133cde767db1p-14, -0x1.47b14052a7532p-14, -0x1.3e7484055706bp-14, -0x1.357b01c2be7ffp-14, -0x1.2cc29e49b1d64p-14, -0x1.2449a20b20702p-14, -0x1.1c0e87966f68dp-14, -0x1.140fcd1bfc946p-14, -0x1.0c4bd52c4816p-14, -0x1.04c0ce0fc4b9ep-14, -0x1.fad93a35db441p-15, -0x1.ec99c4fd947c8p-15, -0x1.debe51538529p-15, -0x1.d14261f560a64p-15, -0x1.c4226c3fe69dfp-15, -0x1.b75c08596d0a2p-15, -0x1.aaedb9c5d18eep-15, -0x1.9ed66a6458068p-15, -0x1.9314d8b6de4ccp-15, -0x1.87a73810c9c96p-15, -0x1.7c8b1c93c662p-15, -0x1.71bdb88582023p-15, -0x1.673c4faa1a802p-15, -0x1.5d047f226b578p-15, -0x1.53140417b5d25p-15, -0x1.49683bc6b83c1p-15, -0x1.3ffdf31f4185cp-15, -0x1.36d1c16f976f7p-15, -0x1.2de09ba308da3p-15, -0x1.2528319156ddfp-15, -0x1.1ca6e0b34cffcp-15, -0x1.145b63d10983fp-15, -0x1.0c4481636333p-15, -0x1.0460c1e9416c8p-15, -0x1.f95c6a9c92444p-16, -0x1.ea551720f6a7ep-16, -0x1.dba75eb59aa4dp-16, -0x1.cd5108086c0f6p-16, -0x1.bf515b07ec2c8p-16, -0x1.b1a7bdc028107p-16, -0x1.a45348c0de296p-16, -0x1.975129c734679p-16, -0x1.8a9f1c85c204fp-16, -0x1.7e3b80db5f0ccp-16, -0x1.7224996590decp-16, -0x1.66579dee1b413p-16, -0x1.5ad0f0328e019p-16, -0x1.4f8cf599182c6p-16, -0x1.4488b64c2231ep-16, -0x1.39c2095496dc7p-16, -0x1.2f376b41df1adp-16, -0x1.24e794503033bp-16, -0x1.1ad0fb66215bp-16, -0x1.10f1a6ade0548p-16, -0x1.074765ec97dd2p-16, -0x1.fb9fbf227d11cp-17, -0x1.e910826bdb569p-17, -0x1.d6dbb74683909p-17, -0x1.c4ffbc116729p-17, -0x1.b37f0f332d8c7p-17, -0x1.a25b54f8e145ap-17, -0x1.91914c2e53538p-17, -0x1.811b92b5d1911p-17, -0x1.70f8450305962p-17, -0x1.61290792b8565p-17, -0x1.51ae1205968e6p-17, -0x1.4283dfc59e8f9p-17, -0x1.33a530cd742bep-17, -0x1.250d7afe744ffp-17, -0x1.16b9a879468edp-17, -0x1.08a7beef5b47dp-17, -0x1.f5acff8b87846p-18, -0x1.da8ac7f38da1bp-18, -0x1.bfe961ad4fcdcp-18, -0x1.a5ca21d18af01p-18, -0x1.8c2d6729c33a9p-18, -0x1.7311267c7ad8p-18, -0x1.5a710f6f9f433p-18, -0x1.4245d767d569fp-18, -0x1.2a83b97f6533fp-18, -0x1.1320624e17cb6p-18, -0x1.f83a251ab39ddp-19, -0x1.cb0489fa4254bp-19, -0x1.9ea2d499abf51p-19, -0x1.73084777b1d85p-19, -0x1.482e61af99f99p-19, -0x1.1e18737ad2c15p-19, -0x1.e98e2e3eff8f5p-20, -0x1.986cacfd0d4fep-20, -0x1.48c1e4012cd12p-20, -0x1.f501b6cdbaf9fp-21, -0x1.5b379d6f2d3e9p-21, -0x1.881f76be9ed09p-22, -0x1.7be589ed1bff2p-24, 0x1.8a4094d2e5b2ep-23, 0x1.e42a03a555589p-22, 0x1.7f212d6bd921p-21, 0x1.04d89a0efd94ap-20, 0x1.48e2e10e29853p-20, 0x1.8bb0bc9ae647cp-20, 0x1.cd4680d55b07fp-20, 0x1.06d3b46fd131bp-19, 0x1.266951785b961p-19, 0x1.45673c93b9d04p-19, 0x1.63d547d43947dp-19, 0x1.81b427035c55bp-19, 0x1.9f034af942506p-19, 0x1.bbceb48a12c47p-19, 0x1.d81d11ad7758cp-19, 0x1.f3e39776f653ap-19, 0x1.078daa4039f0ep-18, 0x1.14e56e11ce86ap-18, 0x1.21fd2d7162643p-18, 0x1.2ed53293fe0ecp-18, 0x1.3b6bf6a864564p-18, 0x1.47c1b70264c09p-18, 0x1.53d83deb6617bp-18, 0x1.5fb1188e1ce4ap-18, 0x1.6b4d10f487124p-18, 0x1.76ac8c1654455p-18, 0x1.81cfe644f504dp-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.8fdf7cb4663fap-1, 0x1.8f642a39c8775p-1, 0x1.8e9912240b938p-1, 0x1.8d81a8d18c878p-1, 0x1.8c226ba96e497p-1, 0x1.8a80a2d0949fbp-1, 0x1.88a22499d151bp-1, 0x1.868d1dfd2bb0cp-1, 0x1.8447e1c4a850cp-1, 0x1.81d8bf12adb8p-1, 0x1.7f45df3f7ae51p-1, 0x1.7c952aa768c5ap-1, 0x1.79cc33cc677b1p-1, 0x1.76f0281307f22p-1, 0x1.7405c55c0635ap-1, 0x1.711153bfa321fp-1, 0x1.6e16a2bb7f5e6p-1, 0x1.6b190932da092p-1, 0x1.681b67b20b7c5p-1, 0x1.65202c7769185p-1, 0x1.622958d49f6e2p-1, 0x1.5f38878b655edp-1, 0x1.5c4ef3d70475bp-1, 0x1.596d80e14a109p-1, 0x1.5694c16d27c47p-1, 0x1.53c4ff8b7be29p-1, 0x1.50fe443762122p-1, 0x1.4e405ebefe9cdp-1, 0x1.4b8aebe43b724p-1, 0x1.48dd5ca652e1fp-1, 0x1.4636fca99902ep-1, 0x1.4396f836aab78p-1, 0x1.40fc61cd3b9efp-1, 0x1.3e6637492e899p-1, 0x1.3bd3669a99d9cp-1, 0x1.3942d212dd5abp-1, 0x1.36b3544a1a5edp-1, 0x1.3423c3a13aa81p-1, 0x1.3192f56550468p-1, 0x1.2effc0997ff54p-1, 0x1.2c69006ceaff1p-1, 0x1.29cd96622504cp-1, 0x1.272c6c2dc77d8p-1, 0x1.24847551a170cp-1, 0x1.21d4b079dd9e9p-1, 0x1.1f1c28a14b1fep-1, 0x1.1c59f601bb917p-1, 0x1.198d3ed52d648p-1, 0x1.16b537ec364eep-1, 0x1.13d1251ddc1d1p-1, 0x1.10e05994c832ep-1, 0x1.0de237fd7f2b4p-1, 0x1.0ad63298fccf1p-1, 0x1.07bbcb36da54p-1, 0x1.04929319e42dap-1, 0x1.015a2ac9c6802p-1, 0x1.fc2483a884f89p-2, 0x1.f5752d004b81ap-2, 0x1.eea5eae817335p-2, 0x1.e7b672a58787ep-2, 0x1.e0a6949e0b9b6p-2, 0x1.d9763b6ff0fe3p-2, 0x1.d2256affd3af9p-2, 0x1.cab43f7cde061p-2, 0x1.c322ec5e10be3p-2, 0x1.bb71bb5a849bcp-2, 0x1.b3a10b5e6b7e4p-2, 0x1.abb14f7e53ef9p-2, 0x1.a3a30dea1a744p-2, 0x1.9b76dee0b2cdap-2, 0x1.932d6ba5deb21p-2, 0x1.8ac76d7abcd58p-2, 0x1.8245ac99f8d12p-2, 0x1.79a8ff38526d2p-2, 0x1.70f2488a0d705p-2, 0x1.682277cdce56fp-2, 0x1.5f3a875d48377p-2, 0x1.563b7bc41981fp-2, 0x1.4d2662dd1bc76p-2, 0x1.43fc52f65e61dp-2, 0x1.3abe69fbfa9d3p-2, 0x1.316dcca9d8af9p-2, 0x1.280ba5c484bb3p-2, 0x1.1e992559160c9p-2, 0x1.151780042f2dbp-2, 0x1.0b87ee40142b9p-2, 0x1.01ebabb9cb9d7p-2, 0x1.f087ed5a6fec2p-3, 0x1.dd241e903535bp-3, 0x1.c9ae6e27c693bp-3, 0x1.b62960cc5e6f4p-3, 0x1.a2977bafc12d1p-3, 0x1.8efb438542738p-3, 0x1.7b573b8972ec8p-3, 0x1.67ade49617829p-3, 0x1.5401bc422ac4ap-3, 0x1.40553c0d915bcp-3, 0x1.2caad8983cf69p-3, 0x1.190500e454fe4p-3, 0x1.05661da33594cp-3, 0x1.e3a1211998b72p-4, 0x1.bc8d67824705p-4, 0x1.9595b26759cf3p-4, 0x1.6ebe9440280a8p-4, 0x1.480c8d10611dbp-4, 0x1.21840975b8adp-4, 0x1.f652c38d4bc28p-5, 0x1.aa01b2834c2abp-5, 0x1.5e1d3a98cfddap-5, 0x1.12ad89849ea59p-5, 0x1.8f753d46e77b4p-6, 0x1.f531273be91f4p-7, 0x1.9b51528129f79p-8, -0x1.5e452143129bep-9, -0x1.7a5fbfdd8b59ap-7, -0x1.4d534e259d85ep-6, -0x1.dc2545d4cdc3bp-6, -0x1.34cc4360d750cp-5, -0x1.7ad01d3649fb9p-5, -0x1.c017fa7293f1fp-5, -0x1.024eed5ddf9f5p-4, -0x1.242df9ccd6be1p-4, -0x1.45a65853df9ecp-4, -0x1.66b559da9a0b4p-4, -0x1.87586a6a885e2p-4, -0x1.a78d112f1fdeep-4, -0x1.c750f06e5488bp-4, -0x1.e6a1c57a00a2cp-4, -0x1.02beb44d300e2p-3, -0x1.11f0e679100bdp-3, -0x1.20e6802e13e24p-3, -0x1.2f9e95a1bec98p-3, -0x1.3e18483ac951cp-3, -0x1.4c52c6779ac54p-3, -0x1.5a4d4bd239636p-3, -0x1.680720a1dacc7p-3, -0x1.757f99fa26358p-3, -0x1.82b6198857036p-3, -0x1.8faa0d6e586cdp-3, -0x1.9c5af01bf0229p-3, -0x1.a8c8482625b9ep-3, -0x1.b4f1a81cede32p-3, -0x1.c0d6ae5f4aaeap-3, -0x1.cc7704eddf1d2p-3, -0x1.d7d2613c2f296p-3, -0x1.e2e8840087023p-3, -0x1.edb93902b1ed7p-3, -0x1.f84456e9950c9p-3, -0x1.0144df83e03f1p-2, -0x1.0644ae93858a6p-2, -0x1.0b2193a9aad6bp-2, -0x1.0fdb8ed23db43p-2, -0x1.1472a503cb2f3p-2, -0x1.18e6e003c953p-2, -0x1.1d384e4a9cf1bp-2, -0x1.216702e75bb16p-2, -0x1.25731563571fap-2, -0x1.295ca1a578b5cp-2, -0x1.2d23c7d573a43p-2, -0x1.30c8ac3ed8b66p-2, -0x1.344b773410b3dp-2, -0x1.37ac54f144b94p-2, -0x1.3aeb757f3ab1bp-2, -0x1.3e090c9632407p-2, -0x1.41055180bcd41p-2, -0x1.43e07efea6704p-2, -0x1.469ad327e6d2bp-2, -0x1.49348f4faac87p-2, -0x1.4badf7e777e6ap-2, -0x1.4e0754626b173p-2, -0x1.5040ef18a401bp-2, -0x1.525b152ad3a3cp-2, -0x1.54561665fbba4p-2, -0x1.563245276210ep-2, -0x1.57eff640bb3b6p-2, -0x1.598f80dc92719p-2, -0x1.5b113e62ee8c6p-2, -0x1.5c758a5e3d623p-2, -0x1.5dbcc26088955p-2, -0x1.5ee745e8f0503p-2, -0x1.5ff576497a027p-2, -0x1.60e7b68d300a6p-2, -0x1.61be6b5e932c7p-2, -0x1.6279faee6785p-2, -0x1.631accdadba39p-2, -0x1.63a14a170a3f2p-2, -0x1.640ddcd2dedf8p-2, -0x1.6460f0635ad78p-2, -0x1.649af12b3e868p-2, -0x1.64bc4c8419124p-2, -0x1.64c570a7bf0bcp-2, -0x1.64b6cc9a2c63ap-2, -0x1.6490d013cf7b9p-2, -0x1.6453eb6c429cp-2, -0x1.64008f85735ccp-2, -0x1.63972db737212p-2, -0x1.631837bb517b4p-2, -0x1.62841f99eb98ap-2, -0x1.61db57967cb5p-2, -0x1.611e521d24e7ap-2, -0x1.604d81b07cecbp-2, -0x1.5f6958d7d6f6ep-2, -0x1.5e724a0df39c8p-2, -0x1.5d68c7b02e654p-2, -0x1.5c4d43ee192c3p-2, -0x1.5b2030b98f22ep-2, -0x1.59e1ffb73b7f3p-2, -0x1.5893222f9444ep-2, -0x1.573409004687dp-2, -0x1.55c5248e1abeap-2, -0x1.5446e4b745475p-2, -0x1.52b9b8c6312ecp-2, -0x1.511e0f64b4872p-2, -0x1.4f74568fbcce2p-2, -0x1.4dbcfb8b68669p-2, -0x1.4bf86ad78d944p-2, -0x1.4a271024b6043p-2, -0x1.48495649813f5p-2, -0x1.465fa73878951p-2, -0x1.446a6bf649fp-2, -0x1.426a0c907422dp-2, -0x1.405ef01453f72p-2, -0x1.3e497c869dddfp-2, -0x1.3c2a16db3f6b3p-2, -0x1.3a0122eda0b25p-2, -0x1.37cf03794ebf5p-2, -0x1.35941a1306d23p-2, -0x1.3350c7221f476p-2, -0x1.310569da5537fp-2, -0x1.2eb26035f4426p-2, -0x1.2c5806f059cep-2, -0x1.29f6b980d82f6p-2, -0x1.278ed215eb9a1p-2, -0x1.2520a990cc4fcp-2, -0x1.22ac9781530d7p-2, -0x1.2032f222325adp-2, -0x1.1db40e558217bp-2, -0x1.1b303fa19c669p-2, -0x1.18a7d82e471e3p-2, -0x1.161b28c22c65p-2, -0x1.138a80c09cbf2p-2, -0x1.10f62e279c516p-2, -0x1.0e5e7d8e3530dp-2, -0x1.0bc3ba2313959p-2, -0x1.09262dab61624p-2, -0x1.06862081e5d75p-2, -0x1.03e3d996681f9p-2, -0x1.013f9e6d4dadap-2, -0x1.fd33663ee9b24p-3, -0x1.f7e4b4b49be2p-3, -0x1.f293aac0568cep-3, -0x1.ed40c81190647p-3, -0x1.e7ec8984128cbp-3, -0x1.e2976921d7ffbp-3, -0x1.dd41de255a029p-3, -0x1.d7ec5cfc39d7fp-3, -0x1.d297574a4a539p-3, -0x1.cd433beceddep-3, -0x1.c7f076fed9a13p-3, -0x1.c29f71dc1b8e2p-3, -0x1.bd5093267f61ep-3, -0x1.b8043eca39283p-3, -0x1.b2bad602dc446p-3, -0x1.ad74b76099ba4p-3, -0x1.a8323ecdc6973p-3, -0x1.a2f3c59498e4fp-3, -0x1.9db9a2653041ap-3, -0x1.9884295bcfb9dp-3, -0x1.9353ac0754543p-3, -0x1.8e28796fe063ap-3, -0x1.8902de1db6599p-3, -0x1.83e324204be36p-3, -0x1.7ec993157d93dp-3, -0x1.79b67030fbb8bp-3, -0x1.74a9fe43d0b33p-3, -0x1.6fa47dc419734p-3, -0x1.6aa62cd4d5b31p-3, -0x1.65af474de26a7p-3, -0x1.60c006c40dc58p-3, -0x1.5bd8a29142da9p-3, -0x1.56f94fdcd9702p-3, -0x1.522241a3f1331p-3, -0x1.4d53a8c1ec96bp-3, -0x1.488db3f8f4807p-3, -0x1.43d08ffa981a3p-3, -0x1.3f1c677071ea8p-3, -0x1.3a716304df66bp-3, -0x1.35cfa96bbf8dap-3, -0x1.31375f6b431a7p-3, -0x1.2ca8a7e4b9327p-3, -0x1.2823a3dd67829p-3, -0x1.23a872876a47p-3, -0x1.1f37314a8d49cp-3, -0x1.1acffbcd30509p-3, -0x1.1672ebfd21dd7p-3, -0x1.12201a187bb21p-3, -0x1.0dd79cb680341p-3, -0x1.099988d069beap-3, -0x1.0565f1ca3ad4cp-3, -0x1.013ce97b83c64p-3, -0x1.fa3d00704294dp-4, -0x1.f21589b1df57dp-4, -0x1.ea038988e88fp-4, -0x1.e20717eef1efap-4, -0x1.da204a1b3823ep-4, -0x1.d24f3293a6609p-4, -0x1.ca93e13db708dp-4, -0x1.c2ee636f382ccp-4, -0x1.bb5ec3fef21fbp-4, -0x1.b3e50b551e8e4p-4, -0x1.ac813f7bcdfdap-4, -0x1.a533642f1179fp-4, -0x1.9dfb7aed09e1bp-4, -0x1.96d98305cb8ffp-4, -0x1.8fcd79ab12b3cp-4, -0x1.88d759ffd289cp-4, -0x1.81f71d2791361p-4, -0x1.7b2cba559b55fp-4, -0x1.747826dc064edp-4, -0x1.6dd9563a7f3efp-4, -0x1.67503a2cef88ap-4, -0x1.60dcc2b9ebe21p-4, -0x1.5a7ede40f412ep-4, -0x1.5436798879578p-4, -0x1.4e037fcbba328p-4, -0x1.47e5dac8645c6p-4, -0x1.41dd72cc01ed1p-4, -0x1.3bea2ec136242p-4, -0x1.360bf43cbe06fp-4, -0x1.3042a78a42063p-4, -0x1.2a8e2bb8ed957p-4, -0x1.24ee62a7cf857p-4, -0x1.1f632d1209766p-4, -0x1.19ec6a9ac1037p-4, -0x1.1489f9d8e0607p-4, -0x1.0f3bb8629ce98p-4, -0x1.0a0182d8c837fp-4, -0x1.04db34f1e8915p-4, -0x1.ff91530a3b967p-5, -0x1.f593752999502p-5, -0x1.ebbc82b223d0fp-5, -0x1.e20c2c9409435p-5, -0x1.d88222537e1a2p-5, -0x1.cf1e121c5986p-5, -0x1.c5dfa8d558e62p-5, -0x1.bcc69232e9d6ep-5, -0x1.b3d278c98cce7p-5, -0x1.ab03061fd20b4p-5, -0x1.a257e2bfe4831p-5, -0x1.99d0b648bb732p-5, -0x1.916d277ecfbdfp-5, -0x1.892cdc5c80b58p-5, -0x1.810f7a21fd673p-5, -0x1.7914a564d64adp-5, -0x1.713c021f2b064p-5, -0x1.698533be6e487p-5, -0x1.61efdd31c93d2p-5, -0x1.5a7ba0f820016p-5, -0x1.5328212db7724p-5, -0x1.4bf4ff9976b52p-5, -0x1.44e1ddb9cd9f8p-5, -0x1.3dee5cd14274bp-5, -0x1.371a1df299403p-5, -0x1.3064c20cad14ap-5, -0x1.29cde9f5e8e27p-5, -0x1.235536776a754p-5, -0x1.1cfa4857cee3dp-5, -0x1.16bcc065a4ecbp-5, -0x1.109c3f8191382p-5, -0x1.0a9866a822063p-5, -0x1.04b0d6fb45a0dp-5, -0x1.fdca6396f4de1p-6, -0x1.f26a31415695fp-6, -0x1.e7405a858822bp-6, -0x1.dc4c2383d7892p-6, -0x1.d18cd0fd11b4dp-6, -0x1.c701a861c8288p-6, -0x1.bca9efe126cadp-6, -0x1.b284ee773ada8p-6, -0x1.a891ebfa91b38p-6, -0x1.9ed031296c9edp-6, -0x1.953f07b65b3a8p-6, -0x1.8bddba545d8d6p-6, -0x1.82ab94c27efeap-6, -0x1.79a7e3d6f2a42p-6, -0x1.70d1f589b6878p-6, -0x1.682918feadb34p-6, -0x1.5fac9e8f6a07ap-6, -0x1.575bd7d44c786p-6, -0x1.4f3617ad60552p-6, -0x1.473ab24ab0dd5p-6, -0x1.3f68fd34305adp-6, -0x1.37c04f514474dp-6, -0x1.304000efddb39p-6, -0x1.28e76bcb27928p-6, -0x1.21b5eb11de808p-6, -0x1.1aaadb6c44c36p-6, -0x1.13c59b01ac665p-6, -0x1.0d05897dbac9cp-6, -0x1.066a081535466p-6, -0x1.ffe4f315364cfp-7, -0x1.f33c846480817p-7, -0x1.e6d98fec73abfp-7, -0x1.dabae4b3d7762p-7, -0x1.cedf54fa7c826p-7, -0x1.c345b63f2dcadp-7, -0x1.b7ece144f37d2p-7, -0x1.acd3b217e977cp-7, -0x1.a1f9081165db6p-7, -0x1.975bc5db97188p-7, -0x1.8cfad174cabbp-7, -0x1.82d51431fa6fbp-7, -0x1.78e97ac10498cp-7, -0x1.6f36f52a61ff5p-7, -0x1.65bc76d25e434p-7, -0x1.5c78f679edc71p-7, -0x1.536b6e3f03897p-7, -0x1.4a92db9c9f381p-7, -0x1.41ee3f6a428f6p-7, -0x1.397c9ddb30f7p-7, -0x1.313cfe7d4be66p-7, -0x1.292e6c376df25p-7, -0x1.214ff547981dcp-7, -0x1.19a0ab40b62c8p-7, -0x1.121fa308146eap-7, -0x1.0acbf4d27ce0dp-7, -0x1.03a4bc21205eep-7, -0x1.f9522f7c37429p-8, -0x1.ebb0537187debp-8, -0x1.de622ec36bc98p-8, -0x1.d166128d36a05p-8, -0x1.c4ba565b53263p-8, -0x1.b85d5821fbe5fp-8, -0x1.ac4d7c335cf53p-8, -0x1.a0892d354e225p-8, -0x1.950edc16b670ap-8, -0x1.89dd0004768bcp-8, -0x1.7ef2165e20007p-8, -0x1.744ca2aa06f3cp-8, -0x1.69eb2e8969ce8p-8, -0x1.5fcc49abd3989p-8, -0x1.55ee89c2a0f2dp-8, -0x1.4c508a73f4644p-8, -0x1.42f0ed4d8145cp-8, -0x1.39ce59b713b0bp-8, -0x1.30e77ce4dc794p-8, -0x1.283b09c991cf9p-8, -0x1.1fc7b908535cdp-8, -0x1.178c48e65584ap-8, -0x1.0f877d3c58db6p-8, -0x1.07b81f6841fc3p-8, -0x1.001cfe3df62f5p-8, -0x1.f169dbf187ecbp-9, -0x1.e2fd905867c0ep-9, -0x1.d4f2d769a65bfp-9, -0x1.c74779522ba0ep-9, -0x1.b9f94893af2ep-9, -0x1.ad0621e61c193p-9, -0x1.a06bec1891986p-9, -0x1.942897f207e7p-9, -0x1.883a20127585ep-9, -0x1.7c9e88d35b5bbp-9, -0x1.7153e02861289p-9, -0x1.66583d800a2f2p-9, -0x1.5ba9c1a46cadap-9, -0x1.5146969b77101p-9, -0x1.472cef87d3525p-9, -0x1.3d5b088975f15p-9, -0x1.33cf269e1ec92p-9, -0x1.2a8797823b572p-9, -0x1.2182b1919e335p-9, -0x1.18bed3a838cap-9, -0x1.103a6503475d1p-9, -0x1.07f3d5223d684p-9, -0x1.ffd3374f45a3dp-10, -0x1.f03470764fb7dp-10, -0x1.e10864d427fc2p-10, -0x1.d24c33133f49cp-10, -0x1.c3fd093091768p-10, -0x1.b618243f611fbp-10, -0x1.a89ad02dd2635p-10, -0x1.9b8267890d1ffp-10, -0x1.8ecc534256e79p-10, -0x1.82760a74166dbp-10, -0x1.767d1227965cfp-10, -0x1.6adefd1b7c512p-10, -0x1.5f996b89fe83fp-10, -0x1.54aa0aef9af4bp-10, -0x1.4a0e95d37a66dp-10, -0x1.3fc4d38e6f985p-10, -0x1.35ca98143b6e6p-10, -0x1.2c1dc3bbab467p-10, -0x1.22bc4308d2957p-10, -0x1.19a40e765936ap-10, -0x1.10d32a407e943p-10, -0x1.0847a62fc73dfp-10, -0x1.ffff3ac965ba4p-11, -0x1.eff26c476cc44p-11, -0x1.e065434424d9ep-11, -0x1.d15437a5aa1b5p-11, -0x1.c2bbd66945636p-11, -0x1.b498c140957a8p-11, -0x1.a6e7ae2e99aaap-11, -0x1.99a56727a0f07p-11, -0x1.8ccec9aff6b81p-11, -0x1.8060c67e8f7ep-11, -0x1.7458611eed7a5p-11, -0x1.68b2af9431031p-11, -0x1.5d6cd9fea5bdcp-11, -0x1.52841a4147b54p-11, -0x1.47f5bba91b761p-11, -0x1.3dbf1a9517a19p-11, -0x1.33dda41fe4aecp-11, -0x1.2a4ed5ca3a4a8p-11, -0x1.21103d275e553p-11, -0x1.181f7788ee60cp-11, -0x1.0f7a31ae02e52p-11, -0x1.071e27727e5d8p-11, -0x1.fe1246fd014d7p-12, -0x1.ee71fdf2fd386p-12, -0x1.df574277b1bfbp-12, -0x1.d0bdff06fe36ep-12, -0x1.c2a23951c16ffp-12, -0x1.b50011a9e267cp-12, -0x1.a7d3c27194426p-12, -0x1.9b199f8c87df6p-12, -0x1.8ece15d283eaep-12, -0x1.82edaa85e3d49p-12, -0x1.7774faca76404p-12, -0x1.6c60bb1f8f91fp-12, -0x1.61adb6dc2f001p-12, -0x1.5758cfae28031p-12, -0x1.4d5efd1999af9p-12, -0x1.43bd4bfbddb84p-12, -0x1.3a70de106d97ap-12, -0x1.3176e9775df23p-12, -0x1.28ccb83f2258ap-12, -0x1.206fa7edd2efcp-12, -0x1.185d2910edac4p-12, -0x1.1092bec9c21f8p-12, -0x1.090dfe6014d73p-12, -0x1.01cc8ed511198p-12, -0x1.f59850ef83164p-13, -0x1.e81528f8fe7a3p-13, -0x1.db0b592be5cccp-13, -0x1.ce76b51f5514ap-13, -0x1.c2532fd619b4ap-13, -0x1.b69cdafbb0ecp-13, -0x1.ab4fe62506808p-13, -0x1.a0689e16b7bdbp-13, -0x1.95e36c0931e93p-13, -0x1.8bbcd4f8c2aap-13, -0x1.81f178f228373p-13, -0x1.787e126671399p-13, -0x1.6f5f757fcef83p-13, -0x1.66928f7cc06b2p-13, -0x1.5e14660b86435p-13, -0x1.55e216aa97c5ap-13, -0x1.4df8d60c424b6p-13, -0x1.4655ef7d298d3p-13, -0x1.3ef6c44d3ad47p-13, -0x1.37d8cb3d0e2e1p-13, -0x1.30f98fedb99dcp-13, -0x1.2a56b2532206cp-13, -0x1.23ede62b3ae3ep-13, -0x1.1dbcf274e9394p-13, -0x1.17c1b0ed598b2p-13, -0x1.11fa0d8cc4d09p-13, -0x1.0c64060963107p-13, -0x1.06fda95a1b56ap-13, -0x1.01c5173ea5fa6p-13, -0x1.f970ff8e4dc3ep-14, -0x1.efac45c417e9fp-14, -0x1.e6389fd2e0525p-14, -0x1.dd12ca69e221bp-14, -0x1.d4379f59eb6bdp-14, -0x1.cba414c24b02bp-14, -0x1.c3553c40cde7p-14, -0x1.bb4842282d096p-14, -0x1.b37a6cba3ed15p-14, -0x1.abe91b680e3e9p-14, -0x1.a491c6137ac23p-14, -0x1.9d71fc5a189f6p-14, -0x1.968764dd7a30cp-14, -0x1.8fcfbc980f977p-14, -0x1.8948d62e404ddp-14, -0x1.82f09949cd2bdp-14, -0x1.7cc501f632673p-14, -0x1.76c420004c2f9p-14, -0x1.70ec165c6d687p-14, -0x1.6b3b1a8ef109p-14, -0x1.65af7417a8ac2p-14, -0x1.60477be358b89p-14, -0x1.5b019bbdf1df1p-14, -0x1.55dc4dca5b59dp-14, -0x1.50d61bfc8a107p-14, -0x1.4bed9f988c20fp-14, -0x1.472180b30219p-14, -0x1.427075b5bf946p-14, -0x1.3dd942e86944bp-14, -0x1.395ab9fad1317p-14, -0x1.34f3b9923c958p-14, -0x1.30a32cdc37cbp-14, -0x1.2c680b208e147p-14, -0x1.28415759d3f17p-14, -0x1.242e1fcdf1a18p-14, -0x1.202d7daa97f8bp-14, -0x1.1c3e94a5180f7p-14, -0x1.1860929bb6817p-14, -0x1.1492af39ce5a9p-14, -0x1.10d42b9fbd017p-14, -0x1.0d24520b0f58fp-14, -0x1.09827582c5563p-14, -0x1.05edf1858161cp-14, -0x1.026629b9c8157p-14, -0x1.fdd5134329eb6p-15, -0x1.f6f5089c617ap-15, -0x1.f02b283107118p-15, -0x1.e97674b28b06fp-15, -0x1.e2d5fe49534e3p-15, -0x1.dc48e2104f42cp-15, -0x1.d5ce499287ce1p-15, -0x1.cf656a4ef2d66p-15, -0x1.c90d853d66e81p-15, -0x1.c2c5e65860239p-15, -0x1.bc8de42b6f295p-15, -0x1.b664df6408e91p-15, -0x1.b04a4265948b5p-15, -0x1.aa3d80e242b22p-15, -0x1.a43e1776051e8p-15, -0x1.9e4b8b421a0e3p-15, -0x1.98656992627b3p-15, -0x1.928b477e52d17p-15, -0x1.8cbcc192125b4p-15, -0x1.86f97b790fefep-15, -0x1.81411fa9b1195p-15, -0x1.7b935f15a62d8p-15, -0x1.75eff0dbd69bfp-15, -0x1.705691fd3d84p-15, -0x1.6ac705155fe83p-15, -0x1.65411213dc45p-15, -0x1.5fc485f7ca9p-15, -0x1.5a51329016ea8p-15, -0x1.54e6ee3a3b1d6p-15, -0x1.4f8593a7400c1p-15, -0x1.4a2d01a02945fp-15, -0x1.44dd1acd04228p-15, -0x1.3f95c57f50b5dp-15, -0x1.3a56eb7d9b36p-15, -0x1.352079cf1a6cfp-15, }}, 
      {{0x1.8ffb0d12b8414p-1, 0x1.8fd1d187a488ap-1, 0x1.8f8d979239c83p-1, 0x1.8f2f14feaf3e7p-1, 0x1.8eb73a9084c4ep-1, 0x1.8e2729dc73df4p-1, 0x1.8d802b01919fbp-1, 0x1.8cc3a2cfc0364p-1, 0x1.8bf309b0667e1p-1, 0x1.8b0fe37f22883p-1, 0x1.8a1bb865a7c32p-1, 0x1.89180ebc7473ap-1, 0x1.880665e6c46edp-1, 0x1.86e832195686bp-1, 0x1.85bed8f7c1d3bp-1, 0x1.848baef265458p-1, 0x1.834ff54ea38p-1, 0x1.820cd8c3afb49p-1, 0x1.80c370975fap-1, 0x1.7f74be27eeddcp-1, 0x1.7e21acd15756p-1, 0x1.7ccb121e8eec2p-1, 0x1.7b71ae38c62a6p-1, 0x1.7a162c885489ep-1, 0x1.78b9247ca0565p-1, 0x1.775b1a71b26f5p-1, 0x1.75fc80ab7940bp-1, 0x1.749db85ff1b6dp-1, 0x1.733f12ca75804p-1, 0x1.71e0d2436079cp-1, 0x1.70832b5816a3bp-1, 0x1.6f2645e027a93p-1, 0x1.6dca3e0cf1b5p-1, 0x1.6c6f2571ad70cp-1, 0x1.6b1504024b09ep-1, 0x1.69bbd907e1614p-1, 0x1.68639c09d7abdp-1, 0x1.670c3dab296d9p-1, 0x1.65b5a87b6f443p-1, 0x1.645fc1bb812eap-1, 0x1.630a6a15b090cp-1, 0x1.61b57e49c2674p-1, 0x1.6060d7ccdcb23p-1, 0x1.5f0c4d5dc3e17p-1, 0x1.5db7b38dbfc8dp-1, 0x1.5c62dd3e9ff4ep-1, 0x1.5b0d9c164ea57p-1, 0x1.59b7c0e877077p-1, 0x1.58611c16b7d95p-1, 0x1.57097de7eb793p-1, 0x1.55b0b6d700f2cp-1, 0x1.545697d9ee9c1p-1, 0x1.52faf2a132cdcp-1, 0x1.519d99d067f92p-1, 0x1.503e61305ab8cp-1, 0x1.4edd1ddb1b062p-1, 0x1.4d79a66271e95p-1, 0x1.4c13d2f129261p-1, 0x1.4aab7d6785e03p-1, 0x1.494081735730fp-1, 0x1.47d2bca3f1bdcp-1, 0x1.46620e7a6e82fp-1, 0x1.44ee58767b1c7p-1, 0x1.43777e200963ep-1, 0x1.41fd650e205d9p-1, 0x1.407ff4eb17adep-1, 0x1.3eff177672966p-1, 0x1.3d7ab8849bca9p-1, 0x1.3bf2c5fcb1d38p-1, 0x1.3a672fd49afd3p-1, 0x1.38d7e80b890a6p-1, 0x1.3744e2a31d495p-1, 0x1.35ae159751898p-1, 0x1.341378d54aabap-1, 0x1.3275063137c3ap-1, 0x1.30d2b95b5ccd5p-1, 0x1.2f2c8fd4638fcp-1, 0x1.2d8288e111e97p-1, 0x1.2bd4a57d771cap-1, 0x1.2a22e84fac095p-1, 0x1.286d559a385d2p-1, 0x1.26b3f32e2d6f4p-1, 0x1.24f6c85d0c1dep-1, 0x1.2335ddea80aaap-1, 0x1.21713dfe04dcep-1, 0x1.1fa8f414752a8p-1, 0x1.1ddd0cf1a304fp-1, 0x1.1c0d9691f0624p-1, 0x1.1a3aa01bfcdeap-1, 0x1.186439d26b7dcp-1, 0x1.168a7505cc0dp-1, 0x1.14ad6406ab39p-1, 0x1.12cd1a17d1eadp-1, 0x1.10e9ab60b6c82p-1, 0x1.0f032ce028702p-1, 0x1.0d19b45f3469p-1, 0x1.0b2d58644c499p-1, 0x1.093e3026ad83fp-1, 0x1.074c53821037cp-1, 0x1.0557daea9ad86p-1, 0x1.0360df611fb68p-1, 0x1.01677a67a62f2p-1, 0x1.fed78bec7b0bp-2, 0x1.fadbb8e03b9abp-2, 0x1.f6dbb13228f66p-2, 0x1.f2d7ab167eeb2p-2, 0x1.eecfdd5a2b8dp-2, 0x1.eac47f4f78c5fp-2, 0x1.e6b5c8bb53586p-2, 0x1.e2a3f1c3299ccp-2, 0x1.de8f32db65f05p-2, 0x1.da77c4b67cea3p-2, 0x1.d65de03492dbp-2, 0x1.d241be53b897fp-2, 0x1.ce239820b6c48p-2, 0x1.ca03a6a869cedp-2, 0x1.c5e222e9afef9p-2, 0x1.c1bf45c7e062p-2, 0x1.bd9b47fdcb637p-2, 0x1.b9766211444c2p-2, 0x1.b550cc472e475p-2, 0x1.b12abe980c8b9p-2, 0x1.ad0470a5121e7p-2, 0x1.a8de19adac4c5p-2, 0x1.a4b7f0858b5a6p-2, 0x1.a0922b8b1e722p-2, 0x1.9c6d009e89d1bp-2, 0x1.9848a51907db7p-2, 0x1.94254dc4c154cp-2, 0x1.90032ed50baeep-2, 0x1.8be27bdf16234p-2, 0x1.87c367d2fc68fp-2, 0x1.83a624f53c5e8p-2, 0x1.7f8ae4d890db9p-2, 0x1.7b71d8582a3p-2, 0x1.775b2f9241adap-2, 0x1.734719e30d11ep-2, 0x1.6f35c5e002dc9p-2, 0x1.6b276153777d9p-2, 0x1.671c19388e834p-2, 0x1.631419b777df3p-2, 0x1.5f0f8e21ff68bp-2, 0x1.5b0ea0f066b39p-2, 0x1.57117bbe84d46p-2, 0x1.53184749338cbp-2, 0x1.4f232b6bfb5b8p-2, 0x1.4b324f1f057bfp-2, 0x1.4745d8754da8cp-2, 0x1.435dec9b11e3dp-2, 0x1.3f7aafd47eee4p-2, 0x1.3b9c457c950cfp-2, 0x1.37c2d0044a5ecp-2, 0x1.33ee70f1dcb31p-2, 0x1.301f48e05c8dp-2, 0x1.2c55777f6a498p-2, 0x1.28911b9320926p-2, 0x1.24d252f43328p-2, 0x1.21193a9034ceap-2, 0x1.1d65ee6a0f5fdp-2, 0x1.19b8899a9f0a7p-2, 0x1.161126517adffp-2, 0x1.126fddd5e171ap-2, 0x1.0ed4c887cad05p-2, 0x1.0b3ffde11d4a6p-2, 0x1.07b19477071b8p-2, 0x1.0429a1fb74b2fp-2, 0x1.00a83b3ea8664p-2, 0x1.fa5ae861dd753p-3, 0x1.f372bfc8e12c7p-3, 0x1.ec98211e3d06cp-3, 0x1.e5cb2f196bcc6p-3, 0x1.df0c0ac1c20cfp-3, 0x1.d85ad372d324cp-3, 0x1.d1b7a6e10b089p-3, 0x1.cb22a11e6ec5bp-3, 0x1.c49bdc9f80311p-3, 0x1.be2372404d913p-3, 0x1.b7b979499d6e6p-3, 0x1.b15e07763e729p-3, 0x1.ab1130f876f46p-3, 0x1.a4d3087f8c41bp-3, 0x1.9ea39f3d6b56bp-3, 0x1.988304ec616b2p-3, 0x1.927147d4f2669p-3, 0x1.8c6e74d3c553p-3, 0x1.867a975f98b9ap-3, 0x1.8095b98f56aa7p-3, 0x1.7abfe4202e0a4p-3, 0x1.74f91e7bc01ccp-3, 0x1.6f416ebe55f88p-3, 0x1.6998d9bd24ef5p-3, 0x1.63ff630c9ae12p-3, 0x1.5e750d06aef4cp-3, 0x1.58f9d8d14144cp-3, 0x1.538dc6647626ap-3, 0x1.4e30d4911ce0cp-3, 0x1.48e30107157fcp-3, 0x1.43a4485bba305p-3, 0x1.3e74a6104270bp-3, 0x1.3954149831b1cp-3, 0x1.34428d5fb703bp-3, 0x1.2f4008d2120a1p-3, 0x1.2a4c7e5fef24p-3, 0x1.2567e485c1d1ep-3, 0x1.209230d218f2dp-3, 0x1.1bcb57ebe6b1ep-3, 0x1.17134d98c791bp-3, 0x1.126a04c33e08fp-3, 0x1.0dcf6f80e1ce8p-3, 0x1.09437f1888fd2p-3, 0x1.04c6240864053p-3, 0x1.00574e0c0e2fbp-3, 0x1.f7edd84523a04p-4, 0x1.ef49d928bcc8p-4, 0x1.e6c279f266852p-4, 0x1.de57947bf16a8p-4, 0x1.d6090155197eep-4, 0x1.cdd697cefe5fap-4, 0x1.c5c02e077d7b9p-4, 0x1.bdc598f46ae0bp-4, 0x1.b5e6ac6ea5184p-4, 0x1.ae233b3d0b1b5p-4, 0x1.a67b171f4b929p-4, 0x1.9eee10d892a9dp-4, 0x1.977bf83a1210ep-4, 0x1.90249c2d610cbp-4, 0x1.88e7cabeba3bp-4, 0x1.81c5512712fbdp-4, 0x1.7abcfbd6070d4p-4, 0x1.73ce967ba0cacp-4, 0x1.6cf9ec11f9235p-4, 0x1.663ec6e6ae923p-4, 0x1.5f9cf0a431df4p-4, 0x1.5914325aee1a5p-4, 0x1.52a4548a41175p-4, 0x1.4c4d1f2952d73p-4, 0x1.460e59afbb27fp-4, 0x1.3fe7cb1e0253p-4, 0x1.39d93a05f81a1p-4, 0x1.33e26c92ddaadp-4, 0x1.2e03289168b18p-4, 0x1.283b33779a169p-4, 0x1.228a526c6e085p-4, 0x1.1cf04a4f5ded3p-4, 0x1.176cdfbfbc297p-4, 0x1.11ffd723e38fp-4, 0x1.0ca8f4b03f664p-4, 0x1.0767fc6e277b5p-4, 0x1.023cb24295a41p-4, 0x1.fa4db3e960006p-5, 0x1.f04c6e6859093p-5, 0x1.e6751b3f0f56p-5, 0x1.dcc74194325abp-5, 0x1.d3426883f6621p-5, 0x1.c9e6172b968aep-5, 0x1.c0b1d4b48a10ap-5, 0x1.b7a5285f6ac4cp-5, 0x1.aebf998e8a9aep-5, 0x1.a600afd03ef83p-5, 0x1.9d67f2e8df4eep-5, 0x1.94f4eadc79d68p-5, 0x1.8ca71ff83cf92p-5, 0x1.847e1adb913cp-5, 0x1.7c796480f53b8p-5, 0x1.749886468a232p-5, 0x1.6cdb09f65a20dp-5, 0x1.654079ce58202p-5, 0x1.5dc860881ec7ap-5, 0x1.5672496064dfdp-5, 0x1.4f3dc01e31562p-5, 0x1.482a5119cf917p-5, 0x1.413789437b4b4p-5, 0x1.3a64f629d477ep-5, 0x1.33b226000d2a4p-5, 0x1.2d1ea7a3db4cfp-5, 0x1.26aa0aa32e317p-5, 0x1.2053df41a68cap-5, 0x1.1a1bb67dd1eedp-5, 0x1.1401221630c0ep-5, 0x1.0e03b48dfacfep-5, 0x1.08230131b4594p-5, 0x1.025e9c1b85844p-5, 0x1.f96c346ec34eap-6, 0x1.ee52228de1425p-6, 0x1.e36e2fcaa2fb3p-6, 0x1.d8bf8b1533cdcp-6, 0x1.ce45651e641b2p-6, 0x1.c3fef05df08ap-6, 0x1.b9eb61186e78ep-6, 0x1.b009ed64d2677p-6, 0x1.a659cd31abc8dp-6, 0x1.9cda3a49f748p-6, 0x1.938a7059a0d42p-6, 0x1.8a69acf1af1edp-6, 0x1.81772f8c1ee21p-6, 0x1.78b2398f66e4ap-6, 0x1.701a0e51ae965p-6, 0x1.67adf31bbfb5ep-6, 0x1.5f6d2f2b9c7d1p-6, 0x1.57570bb6daaf6p-6, 0x1.4f6ad3ecb1f64p-6, 0x1.47a7d4f7c0599p-6, 0x1.400d5dff95042p-6, 0x1.389ac029eda0ep-6, 0x1.314f4e9bbe3cep-6, 0x1.2a2a5e79f216bp-6, 0x1.232b46e9f4d66p-6, 0x1.1c5161120596ap-6, 0x1.159c081942db5p-6, 0x1.0f0a99279087bp-6, 0x1.089c73653a47dp-6, 0x1.0250f7fa6d28bp-6, 0x1.f84f141ceefa5p-7, 0x1.ec3f1d8db1d11p-7, 0x1.e070da8c58d41p-7, 0x1.d4e31d55afff8p-7, 0x1.c994bc1b30cd4p-7, 0x1.be8490ffc97bdp-7, 0x1.b3b17a1441d1bp-7, 0x1.a91a595364c43p-7, 0x1.9ebe149dd4452p-7, 0x1.949b95b5889e8p-7, 0x1.8ab1ca3937e25p-7, 0x1.80ffa39f2f344p-7, 0x1.778417303cf79p-7, 0x1.6e3e1e021aeaap-7, 0x1.652cb4f1ca2f2p-7, 0x1.5c4edc9da082bp-7, 0x1.53a3995f2164ap-7, 0x1.4b29f344ae6b5p-7, 0x1.42e0f60af6285p-7, 0x1.3ac7b11642898p-7, 0x1.32dd376b9b2dbp-7, 0x1.2b209fa9a5935p-7, 0x1.239104018252ap-7, 0x1.1c2d822f6b931p-7, 0x1.14f53b732b1c9p-7, 0x1.0de7548885b62p-7, 0x1.0702f59f72de7p-7, 0x1.00474a5441183p-7, 0x1.f367034f2b85bp-8, 0x1.e68d9becbb817p-8, 0x1.da00c9e3393b6p-8, 0x1.cdbeff2c486acp-8, 0x1.c1c6b448822e6p-8, 0x1.b616682ea112ap-8, 0x1.aaaca03a6ceb1p-8, 0x1.9f87e81bb7d78p-8, 0x1.94a6d1c51893p-8, 0x1.8a07f55a9548p-8, 0x1.7fa9f12047a34p-8, 0x1.758b6968cdabap-8, 0x1.6bab0883c3549p-8, 0x1.62077eac16583p-8, 0x1.589f81f67095fp-8, 0x1.4f71ce3f75b0ep-8, 0x1.467d251a03356p-8, 0x1.3dc04dbd6e7f5p-8, 0x1.353a14f3ce721p-8, 0x1.2ce94d0826829p-8, 0x1.24cccdb4a455p-8, 0x1.1ce37410eadd6p-8, 0x1.152c228045dbp-8, 0x1.0da5c09fff1b5p-8, 0x1.064f3b35b8855p-8, 0x1.fe4f083b7e373p-9, 0x1.f05b24730f4e5p-9, 0x1.e2c0c2bc2dab8p-9, 0x1.d57de4852f93cp-9, 0x1.c89094ddf0076p-9, 0x1.bbf6e855234a5p-9, 0x1.afaefcd5e3b75p-9, 0x1.a3b6f9854af5fp-9, 0x1.980d0ea083195p-9, 0x1.8caf755a8f1f9p-9, 0x1.819c6fbacee8p-9, 0x1.76d2487b3baa8p-9, 0x1.6c4f52e732dcp-9, 0x1.6211eaba5a682p-9, 0x1.581873ffae93bp-9, 0x1.4e615af0e8d1p-9, 0x1.44eb13d60c4cp-9, 0x1.3bb41ae54bf8fp-9, 0x1.32baf42323dcfp-9, 0x1.29fe2b42aaa3p-9, 0x1.217c53863dd2ap-9, 0x1.193407a05a801p-9, 0x1.1123e994e0f29p-9, 0x1.094aa29a6f5ebp-9, 0x1.01a6e2fc3eabfp-9, 0x1.f46ec3f809b6ap-10, 0x1.e5f5bb68d9381p-10, 0x1.d7e035f730467p-10, 0x1.ca2bca8c4e5b8p-10, 0x1.bcd61d14a28dcp-10, 0x1.afdcde470c133p-10, 0x1.a33dcb6c6ab5ep-10, 0x1.96f6ae27eb4dap-10, 0x1.8b055c3ffe3d6p-10, 0x1.7f67b767b4652p-10, 0x1.741bad09310ccp-10, 0x1.691f3610229p-10, 0x1.5e7056b554841p-10, 0x1.540d1e4adafdp-10, 0x1.49f3a7088ee2cp-10, 0x1.402215d96c95ap-10, 0x1.36969a29a1159p-10, 0x1.2d4f6db519c48p-10, 0x1.244ad456be2bbp-10, 0x1.1b871bd842ep-10, 0x1.13029bc2c28fp-10, 0x1.0abbb52fd5259p-10, 0x1.02b0d29b626d8p-10, 0x1.f5c0cf6bf4d7bp-11, 0x1.e691e26fd7d51p-11, 0x1.d7d1e969f8b0fp-11, 0x1.c97e00e1224f5p-11, 0x1.bb9356657e61cp-11, 0x1.ae0f283b8a1ap-11, 0x1.a0eec508532dp-11, 0x1.942f8b7f3dff8p-11, 0x1.87ceea109a50dp-11, 0x1.7bca5e99c99d5p-11, 0x1.701f76163f416p-11, 0x1.64cbcc5221316p-11, 0x1.59cd0b9da8189p-11, 0x1.4f20ec8236cbcp-11, 0x1.44c53577ef9c2p-11, 0x1.3ab7ba9d2e79dp-11, 0x1.30f65d6e8f9a2p-11, 0x1.277f0c8096ebdp-11, 0x1.1e4fc33a1c94ap-11, 0x1.156689901842dp-11, 0x1.0cc173c27c499p-11, 0x1.045ea21a0956dp-11, 0x1.f878814f06ef8p-12, 0x1.e8b10e074bafp-12, 0x1.d9637021411c8p-12, 0x1.ca8c4378008cfp-12, 0x1.bc283984d736fp-12, 0x1.ae3418e770209p-12, 0x1.a0acbcf103528p-12, 0x1.938f153133222p-12, 0x1.86d82504db226p-12, 0x1.7a850327318dap-12, 0x1.6e92d94471669p-12, 0x1.62fee38ed3052p-12, 0x1.57c67055979cap-12, 0x1.4ce6df9d66fadp-12, 0x1.425da2bb0c5bep-12, 0x1.38283bf023183p-12, 0x1.2e443e08f92a1p-12, 0x1.24af4bfd3a2c6p-12, 0x1.1b6718916add1p-12, 0x1.126965fac74ffp-12, 0x1.09b40584d6e19p-12, 0x1.0144d73855893p-12, 0x1.f23393089f566p-13, 0x1.e261b1d14d4fep-13, 0x1.d3101f43f51b7p-13, 0x1.c43b0aafecf52p-13, 0x1.b5debd98fc58fp-13, 0x1.a7f79b1970ff2p-13, 0x1.9a821f4758314p-13, 0x1.8d7ade9cf0471p-13, 0x1.80de8563b4ac7p-13, 0x1.74a9d722a128dp-13, 0x1.68d9ae0fd3242p-13, 0x1.5d6afa8415d01p-13, 0x1.525ac27280738p-13, 0x1.47a620e1946a9p-13, 0x1.3d4a456830effp-13, 0x1.334473acb8f28p-13, 0x1.299202e717e7dp-13, 0x1.20305d64f991fp-13, 0x1.171d0011dc0eep-13, 0x1.0e5579ff807b7p-13, 0x1.05d76bf33a2eep-13, 0x1.fb410fe838e0fp-14, 0x1.eb5d21b7a5d9ap-14, 0x1.dbfeb3d591ae8p-14, 0x1.cd218cbaeef7ep-14, 0x1.bec19209edc4cp-14, 0x1.b0dac7c1ced3fp-14, 0x1.a3694f788921dp-14, 0x1.96696798a6e27p-14, 0x1.89d76aa2f3f19p-14, 0x1.7dafce7404352p-14, 0x1.71ef238fa2209p-14, 0x1.6692146e3e16bp-14, 0x1.5b9564cf43993p-14, 0x1.50f5f10f84befp-14, 0x1.46b0ad838af09p-14, 0x1.3cc2a5d45ce41p-14, 0x1.3328fc626295ap-14, 0x1.29e0e9a9beb15p-14, 0x1.20e7bbab17126p-14, 0x1.183ad55840ebp-14, 0x1.0fd7ae036f50bp-14, 0x1.07bbd0d25602fp-14, 0x1.ffc9b8686f3aap-15, 0x1.f0a102b8b1354p-15, 0x1.e1f9077b941f2p-15, 0x1.d3cd711887fafp-15, 0x1.c61a0c7b75fdap-15, 0x1.b8dac8226f411p-15, 0x1.ac0bb32f8083p-15, 0x1.9fa8fc7e51f2fp-15, 0x1.93aef1c2b3393p-15, 0x1.8819feab0252bp-15, 0x1.7ce6ac0816648p-15, 0x1.72119ef9b75ebp-15, 0x1.67979821dcc55p-15, 0x1.5d7572db75281p-15, 0x1.53a82477db86bp-15, 0x1.4a2cbb7e9742dp-15, 0x1.41005ef4f111bp-15, 0x1.38204da8fef58p-15, 0x1.2f89dd7eeedfdp-15, 0x1.273a7ac6d28bep-15, 0x1.1f2fa793b617ep-15, 0x1.1766fb1824f81p-15, 0x1.0fde210746883p-15, 0x1.0892d8f89f3c4p-15, 0x1.0182f5d20e9dp-15, 0x1.f558ba6838ff7p-16, 0x1.e81a0dd3188c3p-16, 0x1.db45f8b94b9b9p-16, 0x1.ced8b01d28a59p-16, 0x1.c2ce8a250a407p-16, 0x1.b723fd19824c2p-16, 0x1.abd59e6b9d914p-16, 0x1.a0e021c00e9dep-16, 0x1.964057ff85c6bp-16, 0x1.8bf32e7053c63p-16, 0x1.81f5add416638p-16, 0x1.7844f98e1a8f1p-16, 0x1.6ede4ecb422aep-16, 0x1.65bf03b59d41cp-16, 0x1.5ce486a802867p-16, 0x1.544c5d6c18704p-16, 0x1.4bf4247a56063p-16, 0x1.43d98e3fd8b36p-16, 0x1.3bfa626a9aedap-16, 0x1.34547d39f223cp-16, 0x1.2ce5ced3d8871p-16, 0x1.25ac5a9f73d43p-16, 0x1.1ea636a4ac6b6p-16, 0x1.17d18aef8944p-16, 0x1.112c90f827746p-16, 0x1.0ab5930e7975bp-16, 0x1.046aebcbb0347p-16, 0x1.fc960b0d230e1p-17, 0x1.f0a8b399ec07fp-17, 0x1.e50ae1be1c7fep-17, 0x1.d9b9c2635a527p-17, 0x1.ceb29de5228ddp-17, 0x1.c3f2d71e7fb53p-17, 0x1.b977ea82aebc1p-17, 0x1.af3f6d3aae21bp-17, 0x1.a5470c498a1b1p-17, 0x1.9b8c8bb72663cp-17, 0x1.920dc5c3d321fp-17, 0x1.88c8aa1e4d7d7p-17, 0x1.7fbb3d24bbe61p-17, 0x1.76e39725f3d9bp-17, 0x1.6e3fe3ac8b459p-17, 0x1.65ce60ccf2ae9p-17, 0x1.5d8d5e7b938dep-17, 0x1.557b3de589ed8p-17, 0x1.4d9670d156673p-17, 0x1.45dd7901f2c18p-17, 0x1.3e4ee7a1362bbp-17, 0x1.36e95cae881a7p-17, 0x1.2fab866fc8817p-17, 0x1.289420e97a8f5p-17, 0x1.21a1f55a12476p-17, 0x1.1ad3d9b9a22b9p-17, 0x1.1428b03d46415p-17, 0x1.0d9f66e0e0a3fp-17, 0x1.0736f6f188c9ep-17, 0x1.00ee649e4da34p-17, 0x1.f5897d1905457p-18, 0x1.e9723ad8a960ap-18, 0x1.dd95472b9e81ep-18, 0x1.d1f0f94a99fa7p-18, 0x1.c683ba3ac955ap-18, 0x1.bb4c041737207p-18, 0x1.b048615ee639ap-18, 0x1.a5776c4a79b7p-18, 0x1.9ad7ce2a3495p-18, 0x1.90683ec3bd28p-18, 0x1.862783ba7198ep-18, 0x1.7c146ffa1f242p-18, 0x1.722de328bcbbap-18, 0x1.6872c91b0d956p-18, 0x1.5ee21951db35ep-18, 0x1.557ad678a4bdp-18, 0x1.4c3c0dea7157fp-18, 0x1.4324d73adbd94p-18, 0x1.3a3453c4907dbp-18, 0x1.3169ae37d6cadp-18, 0x1.28c41a3350d16p-18, 0x1.2042d3db6e1a3p-18, 0x1.17e51f78eae64p-18, 0x1.0faa49185c59dp-18, 0x1.0791a430a381ap-18, 0x1.ff351694d14dcp-19, 0x1.ef88bf578db52p-19, 0x1.e01d120f11d01p-19, 0x1.d0f0ea5ed7339p-19, 0x1.c2032f8f79814p-19, 0x1.b352d401f99bp-19, 0x1.a4ded4a1b4393p-19, 0x1.96a63862cc541p-19, 0x1.88a80fc2826d7p-19, 0x1.7ae3744c11f64p-19, 0x1.6d57882471851p-19, 0x1.60037598a55e6p-19, 0x1.52e66eb626cd7p-19, 0x1.45ffacde533d2p-19, 0x1.394e7068168c3p-19, 0x1.2cd200407c121p-19, 0x1.2089a98e0e7b6p-19, 0x1.1474bf5c100bp-19, 0x1.08929a4749423p-19, 0x1.f9c5306029eafp-20, 0x1.e2c837dcc17fcp-20, 0x1.cc2d1a12ad927p-20, 0x1.b5f2aeeb0e6dcp-20, 0x1.a017d69aed99dp-20, 0x1.8a9b7932586cdp-20, 0x1.757c861b5b258p-20, 0x1.60b9f3af20f03p-20, 0x1.4c52bec86bb2fp-20, 0x1.3845ea5b5c4b8p-20, 0x1.24927f1467687p-20, 0x1.11378afd73947p-20, 0x1.fc684243ea007p-21, 0x1.d70eb281bb627p-21, 0x1.b2609ef3b026dp-21, 0x1.8e5c4804acf3cp-21, 0x1.6afff5c2022abp-21, 0x1.4849f74ad3847p-21, 0x1.2638a25b41222p-21, 0x1.04ca52ce67ce4p-21, 0x1.c7fad45e47303p-22, 0x1.87a09ea3f6f56p-22, 0x1.4882dbd889ef5p-22, 0x1.0a9e6c70a8ce7p-22, }}, 
      std::vector<double>(650, 0.0), 
      {{0x1.7f3d69c0a63fcp-7, 0x1.7f798f7eff1ap-6, 0x1.1fdd64da25c49p-5, 0x1.8038afe7981cdp-5, 0x1.e0c75e44020e5p-5, 0x1.20ba21faf12f6p-4, 0x1.510f2c59cd217p-4, 0x1.814d9e88b9c1fp-4, 0x1.b15cee722f2b5p-4, 0x1.e12279934b5fdp-4, 0x1.08415373351a7p-3, 0x1.1fb0f049db0a9p-3, 0x1.36d2b15f213f7p-3, 0x1.4d99f01d46977p-3, 0x1.63fb000522b32p-3, 0x1.79eb5bcbe1dbdp-3, 0x1.8f61c315235dp-3, 0x1.a4564b11c05aep-3, 0x1.b8c264366dab1p-3, 0x1.cca0d7152fdc9p-3, 0x1.dfedba31c1e85p-3, 0x1.f2a66271f67b7p-3, 0x1.0264a7c9c16b2p-2, 0x1.0b2b0aed9b793p-2, 0x1.13a6a30002569p-2, 0x1.1bd82a1375077p-2, 0x1.23c0bf4e4bb5bp-2, 0x1.2b61da6b2cbf6p-2, 0x1.32bd3f9296134p-2, 0x1.39d4f3b5e0e02p-2, 0x1.40ab31892b3bbp-2, 0x1.47425f305f621p-2, 0x1.4d9d04ac033aep-2, 0x1.53bdc30c65e98p-2, 0x1.59a74c6cd675bp-2, 0x1.5f5c5cb4b2ccp-2, 0x1.64dfb3192dd45p-2, 0x1.6a340c587e21bp-2, 0x1.6f5c1da5774abp-2, 0x1.745a903990e4fp-2, 0x1.7931fd82a4135p-2, 0x1.7de4ebe14cac1p-2, 0x1.8275cbeccffd9p-2, 0x1.86e6f63178d89p-2, 0x1.8b3aa95ea9e7ap-2, 0x1.8f7308da41f13p-2, 0x1.93921baf6afc8p-2, 0x1.9799cbcf64f0cp-2, 0x1.9b8be59b8285bp-2, 0x1.9f6a17b005399p-2, 0x1.a335f2e836b14p-2, 0x1.a6f0ea9495f5ap-2, 0x1.aa9c54dc929dfp-2, 0x1.ae396b45cff3fp-2, 0x1.b1c94b5b76684p-2, 0x1.b54cf7708a45dp-2, 0x1.b8c55778cdf47p-2, 0x1.bc3339f40937bp-2, 0x1.bf9754e8125a6p-2, 0x1.c2f246e6424aep-2, 0x1.c64498196a305p-2, 0x1.c98ebb59a0c6ap-2, 0x1.ccd10f439ccdfp-2, 0x1.d00bdf518f6d2p-2, 0x1.d33f64f3ada7cp-2, 0x1.d66bc8a6e0991p-2, 0x1.d99123083d0cfp-2, 0x1.dcaf7de41927dp-2, 0x1.dfc6d53fc339fp-2, 0x1.e2d7185d038f7p-2, 0x1.e5e02ab6b7febp-2, 0x1.e8e1e4f5f6505p-2, 0x1.ebdc15df3ec18p-2, 0x1.eece833767fc4p-2, 0x1.f1b8ea9ffc64ap-2, 0x1.f49b026ad93c5p-2, 0x1.f7747a64f1422p-2, 0x1.fa44fc9823da9p-2, 0x1.fd0c2e042bd5cp-2, 0x1.ffc9af4ea9c7p-2, 0x1.013e8eb532615p-1, 0x1.0293091aefed7p-1, 0x1.03e21288b273dp-1, 0x1.052b75b65dc8ep-1, 0x1.066efca658922p-1, 0x1.07ac70e458e4dp-1, 0x1.08e39bc0546e2p-1, 0x1.0a144685b19d8p-1, 0x1.0b3e3aaeda942p-1, 0x1.0c61421552656p-1, 0x1.0d7d271e693f5p-1, 0x1.0e91b4e4b6d6dp-1, 0x1.0f9eb75e75ec6p-1, 0x1.10a3fb80e489p-1, 0x1.11a14f60cb41p-1, 0x1.1296825046896p-1, 0x1.138364f9f7f1fp-1, 0x1.1467c979b937dp-1, 0x1.15438372f37dap-1, 0x1.16166824b50d2p-1, 0x1.16e04e7ba5bd1p-1, 0x1.17a10f21f37dfp-1, 0x1.1858848d54f54p-1, 0x1.19068b0b385d9p-1, 0x1.19ab00cb3d742p-1, 0x1.1a45c5e80ee81p-1, 0x1.1ad6bc6eb4cccp-1, 0x1.1b5dc86475d52p-1, 0x1.1bdacfcb5e6ebp-1, 0x1.1c4dbaa5822f8p-1, 0x1.1cb672f70a0ffp-1, 0x1.1d14e4c7256e5p-1, 0x1.1d68fe1fef023p-1, 0x1.1db2af0d5525bp-1, 0x1.1df1e99b1a56cp-1, 0x1.1e26a1d1fab39p-1, 0x1.1e50cdb4059dp-1, 0x1.1e7065383cdefp-1, 0x1.1e85624582d35p-1, 0x1.1e8fc0ace987ep-1, 0x1.1e8f7e23690e7p-1, 0x1.1e849a3b0f398p-1, 0x1.1e6f165baf23dp-1, 0x1.1e4ef5bb1db6cp-1, 0x1.1e243d5503506p-1, 0x1.1deef3e24d896p-1, 0x1.1daf21d048cccp-1, 0x1.1d64d1376bde9p-1, 0x1.1d100dd1db099p-1, 0x1.1cb0e4f1abf86p-1, 0x1.1c476576f1b3p-1, 0x1.1bd39fc595988p-1, 0x1.1b55a5bb0700cp-1, 0x1.1acd8aa3c268ap-1, 0x1.1a3b6330bb962p-1, 0x1.199f456cab97fp-1, 0x1.18f948b149376p-1, 0x1.1849859c72058p-1, 0x1.17901605458e9p-1, 0x1.16cd14f13869ap-1, 0x1.16009e89246c8p-1, 0x1.152ad00e56049p-1, 0x1.144bc7cf9ed59p-1, 0x1.1363a51e6cf7ap-1, 0x1.12728843eb70fp-1, 0x1.117892763019ap-1, 0x1.1075e5cd7608ep-1, 0x1.0f6aa5396cad1p-1, 0x1.0e56f47696491p-1, 0x1.0d3af803c0d4cp-1, 0x1.0c16d51793c17p-1, 0x1.0aeab1963974p-1, 0x1.09b6b4072359bp-1, 0x1.087b038aed381p-1, 0x1.0737c7d15df36p-1, 0x1.05ed290f8a6b7p-1, 0x1.049b4ff618ab7p-1, 0x1.034265a7a924cp-1, 0x1.01e293af61c7bp-1, 0x1.007c03f7a007cp-1, 0x1.fe1dc181a4eb4p-2, 0x1.fb36a930efe63p-2, 0x1.f84314a092402p-2, 0x1.f54359eb15cc9p-2, 0x1.f237cf91159b3p-2, 0x1.ef20cc688bf1dp-2, 0x1.ebfea78c78adfp-2, 0x1.e8d1b84cdd689p-2, 0x1.e59a561f1433fp-2, 0x1.e258d88e7ebfap-2, 0x1.df0d972d92ba2p-2, 0x1.dbb8e9873cd62p-2, 0x1.d85b2710a502ap-2, 0x1.d4f4a71b4946fp-2, 0x1.d185c0c77ab28p-2, 0x1.ce0ecaf73242ap-2, 0x1.ca901c414689ep-2, 0x1.c70a0ae4fd431p-2, 0x1.c37cecbdf85ecp-2, 0x1.bfe9173883d28p-2, 0x1.bc4edf463d20ap-2, 0x1.b8ae99531a4ffp-2, 0x1.b508993aca9bfp-2, 0x1.b15d323e77e68p-2, 0x1.adacb6faddecep-2, 0x1.a9f7795ec3905p-2, 0x1.a63dcaa1c9004p-2, 0x1.a27ffb3b9473ap-2, 0x1.9ebe5adb5748bp-2, 0x1.9af9385faaaa4p-2, 0x1.9730e1cec73efp-2, 0x1.9365a44f11ba6p-2, 0x1.8f97cc1ffe836p-2, 0x1.8bc7a4934dc07p-2, 0x1.87f57806976fbp-2, 0x1.84218fdd2fe5bp-2, 0x1.804c347a5b76p-2, 0x1.7c75ad3bd7defp-2, 0x1.789e4074b0098p-2, 0x1.74c63368666cbp-2, 0x1.70edca466954bp-2, 0x1.6d154825d5022p-2, 0x1.693cef01816ebp-2, 0x1.6564ffb45d096p-2, 0x1.618db9f60d606p-2, 0x1.5db75c57da8edp-2, 0x1.59e22441ded6ep-2, 0x1.560e4df07f3d1p-2, 0x1.523c147222978p-2, 0x1.4e6bb1a5319f4p-2, 0x1.4a9d5e3654239p-2, 0x1.46d1519eec404p-2, 0x1.4307c223d7821p-2, 0x1.3f40e4d4622e4p-2, 0x1.3b7ced8980779p-2, 0x1.37bc0ee53966ap-2, 0x1.33fe7a5250358p-2, 0x1.30446004203f6p-2, 0x1.2c8deef6b13bbp-2, 0x1.28db54eefeee4p-2, 0x1.252cbe7b728a4p-2, 0x1.218256f48dc77p-2, 0x1.1ddc487dc5072p-2, 0x1.1a3abc0688f85p-2, 0x1.169dd94b7c371p-2, 0x1.1305c6d7d2b41p-2, 0x1.0f72aa06dca63p-2, 0x1.0be4a705b911bp-2, 0x1.085be0d52fe3dp-2, 0x1.04d8794bae5d6p-2, 0x1.015a91176cd3cp-2, 0x1.fbc48f8163d44p-3, 0x1.f4df775873b5cp-3, 0x1.ee06143b79147p-3, 0x1.e7389e7523e36p-3, 0x1.e0774c18e9c86p-3, 0x1.d9c25108bdc77p-3, 0x1.d319defaff58cp-3, 0x1.cc7e2580a1c9ep-3, 0x1.c5ef520b76ce7p-3, 0x1.bf6d8ff4b07aep-3, 0x1.b8f9088389f34p-3, 0x1.b291e2f41971bp-3, 0x1.ac38447e43b93p-3, 0x1.a5ec505cd8e09p-3, 0x1.9fae27d4cfe5fp-3, 0x1.997dea3c9f49bp-3, 0x1.935bb503b3917p-3, 0x1.8d47a3b9fe6bfp-3, 0x1.8741d017a49e4p-3, 0x1.814a5204b760ap-3, 0x1.7b613fa108ff5p-3, 0x1.7586ad4c13f4cp-3, 0x1.6fbaadacec91ap-3, 0x1.69fd51ba451ddp-3, 0x1.644ea8c27e49ap-3, 0x1.5eaec073bdc7cp-3, 0x1.591da4e413dacp-3, 0x1.539b6099a3868p-3, 0x1.4e27fc92ce462p-3, 0x1.48c3804e6c128p-3, 0x1.436df1d3f9bbap-3, 0x1.3e2755bbd00e7p-3, 0x1.38efaf375774fp-3, 0x1.33c7001939d49p-3, 0x1.2ead48dd8e447p-3, 0x1.29a288b20300bp-3, 0x1.24a6bd7dff73ap-3, 0x1.1fb9e3eabe542p-3, 0x1.1adbf76b5ef82p-3, 0x1.160cf244ecfa7p-3, 0x1.114ccd965c70ep-3, 0x1.0c9b81607ab32p-3, 0x1.07f9048dd02ddp-3, 0x1.03654cfa7503ap-3, 0x1.fdc09ef7b47dfp-4, 0x1.f4d3ffd0f303ep-4, 0x1.ec04a23efedcfp-4, 0x1.e3526a20b3d2cp-4, 0x1.dabd398475db6p-4, 0x1.d244f0b711cedp-4, 0x1.c9e96e525ec7p-4, 0x1.c1aa8f4bdf808p-4, 0x1.b9882f0308401p-4, 0x1.b182274f89ff5p-4, 0x1.a998508f4765dp-4, 0x1.a1ca81b439edp-4, 0x1.9a18905217aeep-4, 0x1.928250abcb4acp-4, 0x1.8b0795c0c7e64p-4, 0x1.83a8315a1c713p-4, 0x1.7c63f4175c57p-4, 0x1.753aad7b56c05p-4, 0x1.6e2c2bf898008p-4, 0x1.67383cfdb90c7p-4, 0x1.605ead0179a31p-4, 0x1.599f478ea6be4p-4, 0x1.52f9d74fce857p-4, 0x1.4c6e261ab8caap-4, 0x1.45fbfcfbb1c9dp-4, 0x1.3fa3244099f99p-4, 0x1.39636383c27cdp-4, 0x1.333c81b69419dp-4, 0x1.2d2e452bfb6f1p-4, 0x1.273873a2a92d9p-4, 0x1.215ad24f0fd2dp-4, 0x1.1b9525e535683p-4, 0x1.15e732a24c15fp-4, 0x1.1050bc561269dp-4, 0x1.0ad1866c01a88p-4, 0x1.056953f446491p-4, 0x1.0017e7ac80acap-4, 0x1.f5ba0810a873dp-5, 0x1.eb70d6737d676p-5, 0x1.e153be727fc6bp-5, 0x1.d762439b8d01dp-5, 0x1.cd9be928de617p-5, 0x1.c40032101d1aep-5, 0x1.ba8ea11110b51p-5, 0x1.b146b8c3e70a9p-5, 0x1.a827fba71a7bbp-5, 0x1.9f31ec2cf217cp-5, 0x1.96640cc8aa844p-5, 0x1.8dbddffb29ba4p-5, 0x1.853ee85f6c0b7p-5, 0x1.7ce6a8b67a3a5p-5, 0x1.74b4a3f316be6p-5, 0x1.6ca85d44fea9p-5, 0x1.64c15823d890ap-5, 0x1.5cff1859c8007p-5, 0x1.5561220da2433p-5, 0x1.4de6f9ccd4b77p-5, 0x1.46902494efa9ep-5, 0x1.3f5c27dcd6c25p-5, 0x1.384a899dabc6cp-5, 0x1.315ad05b5b137p-5, 0x1.2a8c832cd617bp-5, 0x1.23df29c40a452p-5, 0x1.1d524c757b1bdp-5, 0x1.16e5743f984ecp-5, 0x1.10982ad1c571dp-5, 0x1.0a69fa93165cfp-5, 0x1.045a6ea8c3c7ep-5, 0x1.fcd225f8aa9efp-6, 0x1.f12ae88311412p-6, 0x1.e5be3ff7ecfbcp-6, 0x1.da8b4908ca2d4p-6, 0x1.cf91221be4825p-6, 0x1.c4ceeb55bd6bfp-6, 0x1.ba43c6a260411p-6, 0x1.afeed7be20ac5p-6, 0x1.a5cf443dc98ccp-6, 0x1.9be43396732c8p-6, 0x1.922ccf24c664ep-6, 0x1.88a84233f30f7p-6, 0x1.7f55ba0414cc9p-6, 0x1.763465d03d042p-6, 0x1.6d4376d40a32p-6, 0x1.64822050ea0dcp-6, 0x1.5bef9792dd083p-6, 0x1.538b13f4ebacbp-6, 0x1.4b53cee535fap-6, 0x1.434903e89cb21p-6, 0x1.3b69f09e217adp-6, 0x1.33b5d4c1e3127p-6, 0x1.2c2bf22fc512ap-6, 0x1.24cb8ce5c77b1p-6, 0x1.1d93eb0604ddfp-6, 0x1.168454d86db2bp-6, 0x1.0f9c14cc3153ep-6, 0x1.08da7778dc658p-6, 0x1.023ecb9f2ca4dp-6, 0x1.f790c45345235p-7, 0x1.eaed1c59aa57fp-7, 0x1.de9149cee3e71p-7, 0x1.d27bfb8434da3p-7, 0x1.c6abe49db8a4dp-7, 0x1.bb1fbc91348eep-7, 0x1.afd63f24403c1p-7, 0x1.a4ce2c6a033d7p-7, 0x1.9a0648c09cc9ap-7, 0x1.8f7d5cce072ap-7, 0x1.8532357cc443ep-7, 0x1.7b23a3f7f92d5p-7, 0x1.71507da7500cfp-7, 0x1.67b79c2a760e2p-7, 0x1.5e57dd5436d06p-7, 0x1.553023256d9edp-7, 0x1.4c3f53c770f36p-7, 0x1.438459866f581p-7, 0x1.3afe22cb45dfcp-7, 0x1.32aba2154e51ep-7, 0x1.2a8bcdf3bc2ecp-7, 0x1.229da0fee3778p-7, 0x1.1ae019d110fb2p-7, 0x1.13523aff65082p-7, 0x1.0bf30b124911dp-7, 0x1.04c1947dc6a6cp-7, 0x1.fb79cb336f1f6p-8, 0x1.edc82133453abp-8, 0x1.e06c57094fe28p-8, 0x1.d364a059f56e7p-8, 0x1.c6af384eee516p-8, 0x1.ba4a6185f5466p-8, 0x1.ae3465ff0536ap-8, 0x1.a26b970aa2a9bp-8, 0x1.96ee4d37c2213p-8, 0x1.8bbae8417dc2ep-8, 0x1.80cfcefcaedcdp-8, 0x1.762b6f4510a11p-8, 0x1.6bcc3deaa747ap-8, 0x1.61b0b69ea2555p-8, 0x1.57d75be04242cp-8, 0x1.4e3eb6e99c5d1p-8, 0x1.44e5579c4310cp-8, 0x1.3bc9d46dda381p-8, 0x1.32eaca546ced4p-8, 0x1.2a46dcb2fcc83p-8, 0x1.21dcb545b438fp-8, 0x1.19ab040e3700ap-8, 0x1.11b07f3ff412ap-8, 0x1.09ebe32c40026p-8, 0x1.025bf22e9d9a7p-8, 0x1.f5fee931c4d8bp-9, 0x1.e7aa713edc793p-9, 0x1.d9b8248abeaafp-9, 0x1.cc25b691a7097p-9, 0x1.bef0e61e40bf1p-9, 0x1.b2177d224927p-9, 0x1.a597508f45935p-9, 0x1.996e402f5a496p-9, 0x1.8d9a367e23bf5p-9, 0x1.82192881d246dp-9, 0x1.76e915a46dafep-9, 0x1.6c08078d107a2p-9, 0x1.617411f9b2038p-9, 0x1.572b5298b62a8p-9, 0x1.4d2bf0e310ff2p-9, 0x1.43741df63bba1p-9, 0x1.3a02146ed5672p-9, 0x1.30d4184307e36p-9, 0x1.27e8769da971fp-9, 0x1.1f3d85b92c368p-9, 0x1.16d1a4bb179bdp-9, 0x1.0ea33b8faec41p-9, 0x1.06b0bac5d9f63p-9, 0x1.fdf136d6c8f9ap-10, 0x1.eef2bdd314eb8p-10, 0x1.e0631dc387fb4p-10, 0x1.d23f7a15a472ap-10, 0x1.c485061ccafdp-10, 0x1.b73104ccfa3c1p-10, 0x1.aa40c877ced22p-10, 0x1.9db1b288b8c31p-10, 0x1.918133429c7fep-10, 0x1.85acc97e20354p-10, 0x1.7a320268141fbp-10, 0x1.6f0e79415f4f3p-10, 0x1.643fd71efd4e5p-10, 0x1.59c3d2aaa6ec8p-10, 0x1.4f982fe4ded09p-10, 0x1.45babfe6e0c63p-10, 0x1.3c2960a5bec81p-10, 0x1.32e1fcb604067p-10, 0x1.29e28b1053004p-10, 0x1.21290ed63e28ap-10, 0x1.18b397186ef0dp-10, 0x1.10803e9d29251p-10, 0x1.088d2ba77f0d3p-10, 0x1.00d88fbf8b537p-10, 0x1.f2c14ef624ffdp-11, 0x1.e447748e039cfp-11, 0x1.d64034637e319p-11, 0x1.c8a8476c56a3dp-11, 0x1.bb7c7b0dbd4e7p-11, 0x1.aeb9b0b6e5f98p-11, 0x1.a25cdd7917b03p-11, 0x1.966309a51adb9p-11, 0x1.8ac95067655bfp-11, 0x1.7f8cdf66aef37p-11, 0x1.74aaf6645809dp-11, 0x1.6a20e6dd870e9p-11, 0x1.5fec13ae2089ep-11, 0x1.5609f0b4a30edp-11, 0x1.4c780277c3f64p-11, 0x1.4333ddce0a22p-11, 0x1.3a3b278579ddap-11, 0x1.318b940d3f3a3p-11, 0x1.2922e721ae0b3p-11, 0x1.20fef37797337p-11, 0x1.191d9a6af8c85p-11, 0x1.117ccbad6011cp-11, 0x1.0a1a84f6f9a9bp-11, 0x1.02f4d1b7c9ea9p-11, 0x1.f81395967efd6p-12, 0x1.eaaf2c5869748p-12, 0x1.ddb8cd553925dp-12, 0x1.d12cf74501d1fp-12, 0x1.c50841685335p-12, 0x1.b9475afa570b5p-12, 0x1.ade70aa6b4354p-12, 0x1.a2e42e017177p-12, 0x1.983bb9003459p-12, 0x1.8deab577e748dp-12, 0x1.83ee4299e1a06p-12, 0x1.7a439476843dap-12, 0x1.70e7f3803dafdp-12, 0x1.67d8bc10b8c95p-12, 0x1.5f135df1ae89dp-12, 0x1.56955be69935ep-12, 0x1.4e5c4b39bf1e9p-12, 0x1.4665d349cb453p-12, 0x1.3eafad1b36616p-12, 0x1.3737a2eafd2a2p-12, 0x1.2ffb8fc3e00b8p-12, 0x1.28f95f149934p-12, 0x1.222f0c499da8ep-12, 0x1.1b9aa26899f54p-12, 0x1.153a3babfa8eap-12, 0x1.0f0c01239d214p-12, 0x1.090e2a5475e5cp-12, 0x1.033efcdc25c57p-12, 0x1.fb39982af55bep-13, 0x1.f04bf17d93594p-13, 0x1.e5b1e14554c08p-13, 0x1.db685c842c669p-13, 0x1.d16c710077123p-13, 0x1.c7bb44a090d78p-13, 0x1.be5214c97679cp-13, 0x1.b52e35c0b0129p-13, 0x1.ac4d121231ef5p-13, 0x1.a3ac29f9c3f3cp-13, 0x1.9b4912cdf8e85p-13, 0x1.9321767075de7p-13, 0x1.8b3312bf1729p-13, 0x1.837bb90a07bdep-13, 0x1.7bf94d8c4a97ep-13, 0x1.74a9c6e6122a3p-13, 0x1.6d8b2d9d13f4p-13, 0x1.669b9b9b831a3p-13, 0x1.5fd93bb5a68e3p-13, 0x1.5942493039de7p-13, 0x1.52d50f49847bap-13, 0x1.4c8fe8c5b95c7p-13, 0x1.46713f7de48e4p-13, 0x1.40778bf1b6db5p-13, 0x1.3aa154dac6576p-13, 0x1.34ed2ec386153p-13, 0x1.2f59bba02b73ep-13, 0x1.29e5aa6a82a03p-13, 0x1.248fb6be2aaa9p-13, 0x1.1f56a87a12637p-13, 0x1.1a395361d6984p-13, 0x1.153696c3159fp-13, 0x1.104d5d1b65ea8p-13, 0x1.0b7c9bc1c3d3p-13, 0x1.06c35291ba87bp-13, 0x1.02208b97b387cp-13, 0x1.fb26b5827170dp-14, 0x1.f235bb1a2a4ccp-14, 0x1.e96c757d1ea0cp-14, 0x1.e0c944252ce35p-14, 0x1.d84a97ed988e2p-14, 0x1.cfeef2833f7f4p-14, 0x1.c7b4e5dbc15f1p-14, 0x1.bf9b13abb76f5p-14, 0x1.b7a02ce505ce9p-14, 0x1.afc2f133bb70ep-14, 0x1.a8022e83332eap-14, 0x1.a05cc081aefeap-14, 0x1.98d1902c6518fp-14, 0x1.915f935938763p-14, 0x1.8a05cc47bd39p-14, 0x1.82c3493335543p-14, 0x1.7b9723e7db824p-14, 0x1.7480815b22d76p-14, 0x1.6d7e9146a8471p-14, 0x1.66908dc5b7dap-14, 0x1.5fb5baf58fe91p-14, 0x1.58ed66993a5bcp-14, 0x1.5236e7bedaccap-14, 0x1.4b919e6762f8bp-14, 0x1.44fcf332a1e8ep-14, 0x1.3e78570a04397p-14, 0x1.380342d298e78p-14, 0x1.319d371c4f73cp-14, 0x1.2b45bbd74c445p-14, 0x1.24fc600994efp-14, 0x1.1ec0b987a0305p-14, 0x1.189264ae1ad3cp-14, 0x1.1271041f8099p-14, 0x1.0c5c40810fb8bp-14, 0x1.0653c83c97f2dp-14, 0x1.00574f41d06p-14, 0x1.f4cd1d9566adcp-15, 0x1.e9028a42d814dp-15, 0x1.dd4e6acfe399p-15, 0x1.d1b04ec3e90fap-15, 0x1.c627ce7f4df68p-15, 0x1.bab48ad5a4da4p-15, 0x1.af562caa9d074p-15, 0x1.a40c6490d3361p-15, 0x1.98d6ea6efac24p-15, 0x1.8db57d23a8ad7p-15, 0x1.82a7e2300b9dp-15, 0x1.77ade561dd528p-15, 0x1.6cc758838e6afp-15, 0x1.61f4130cf1a84p-15, 0x1.5733f1d788c5cp-15, 0x1.4c86d6d46476cp-15, 0x1.41eca8c5f2adp-15, 0x1.376552fa522ebp-15, 0x1.2cf0c50a3d119p-15, 0x1.228ef297be408p-15, 0x1.183fd31127124p-15, 0x1.0e03617609e47p-15, 0x1.03d99c1ce090ep-15, 0x1.f38508fa16eb9p-16, 0x1.df7c3df064a4fp-16, 0x1.cb98e55020e53p-16, 0x1.b7db125824053p-16, 0x1.a442dcf57e8p-16, 0x1.90d061671eda4p-16, 0x1.7d83bfe4a5c98p-16, 0x1.6a5d1c4ae1fefp-16, 0x1.575c9dca28f75p-16, 0x1.44826e98df4a1p-16, 0x1.31cebba7d610ap-16, 0x1.1f41b45b93269p-16, 0x1.0cdb8a47c7dbep-16, 0x1.f538e1d1692d4p-17, 0x1.d1093ad6507ddp-17, 0x1.ad288cd279489p-17, 0x1.89974767b60c2p-17, 0x1.6655dc3756e59p-17, 0x1.4364be71f9919p-17, 0x1.20c4627998585p-17, 0x1.fcea7afcef4f6p-18, 0x1.b8ef8a3feddd8p-18, 0x1.7598de35ce3ffp-18, 0x1.32e761e528b4fp-18, 0x1.e1b7fe7f74fd7p-19, 0x1.5eef3d3201b1cp-19, 0x1.baec98173e8adp-20, 0x1.753bc6fdc8648p-21, -0x1.0c288bd709fc3p-22, -0x1.3e0809c25f885p-20, -0x1.1b2c37fb811fbp-19, -0x1.95fc037cefe8fp-19, -0x1.07b8e50abef5fp-18, }}, 
      {{0x1.8fd1d03c05ebfp-1, 0x1.8f8514bb7ef39p-1, 0x1.8f0ba2909f429p-1, 0x1.8e6c7d4a4cf32p-1, 0x1.8daecacf0f8b4p-1, 0x1.8cd91fb6113b6p-1, 0x1.8bf123d12672p-1, 0x1.8afb6f69f07d9p-1, 0x1.89fb8ba041f48p-1, 0x1.88f4074ea05c2p-1, 0x1.87e696b6d5ab7p-1, 0x1.86d4379950436p-1, 0x1.85bd55aeb45fep-1, 0x1.84a1ed130f1c7p-1, 0x1.8381a94619896p-1, 0x1.825c001ba991dp-1, 0x1.8130486f014aap-1, 0x1.7ffdccb6f3f49p-1, 0x1.7ec3d9c5a140fp-1, 0x1.7d81ca16c7e97p-1, 0x1.7c370e1a099bdp-1, 0x1.7ae331e7e3c0bp-1, 0x1.7985e0cbd049dp-1, 0x1.781ee70647e7fp-1, 0x1.76ae321fdee93p-1, 0x1.7533d01c6ea8p-1, 0x1.73afedd2e40e5p-1, 0x1.7222d4a46d76dp-1, 0x1.708ce7c471ccep-1, 0x1.6eeea13a662ffp-1, 0x1.6d488ebefd04fp-1, 0x1.6b9b4e8f9f08p-1, 0x1.69e78c4d522bep-1, 0x1.682dfdf74d10bp-1, 0x1.666f610d4b56fp-1, 0x1.64ac77e2341cep-1, 0x1.62e60724c81edp-1, 0x1.611cd3a1acb2fp-1, 0x1.5f51a0404ac7cp-1, 0x1.5d852c3a712f1p-1, 0x1.5bb8318d8c0fcp-1, 0x1.59eb63a35683dp-1, 0x1.581f6e2f52ca3p-1, 0x1.5654f43ddcbbbp-1, 0x1.548c8f7161665p-1, 0x1.52c6cf6a22dd1p-1, 0x1.51043954db0c8p-1, 0x1.4f45479c9af3bp-1, 0x1.4d8a69bc55722p-1, 0x1.4bd4042ca807cp-1, 0x1.4a22706a9e901p-1, 0x1.4875fd1459006p-1, 0x1.46ceee18b3259p-1, 0x1.452d7cf73ddd9p-1, 0x1.4391d90e11957p-1, 0x1.41fc27f3334cep-1, 0x1.406c85d77c246p-1, 0x1.3ee305f120546p-1, 0x1.3d5fb2ec25ab8p-1, 0x1.3be28f5f4539fp-1, 0x1.3a6b9643d8c2dp-1, 0x1.38fabb6fa525bp-1, 0x1.378fec0f6c738p-1, 0x1.362b0f215c9c9p-1, 0x1.34cc05ee88b4ap-1, 0x1.3372ac82baafap-1, 0x1.321eda2201742p-1, 0x1.30d061bb7bb96p-1, 0x1.2f871258eee14p-1, 0x1.2e42b78ad281p-1, 0x1.2d0319d085d4fp-1, 0x1.2bc7fefc75b8cp-1, 0x1.2a912a9408ee1p-1, 0x1.295e5e2b2fb79p-1, 0x1.282f59bb86bdfp-1, 0x1.2703dbf6fe809p-1, 0x1.25dba29604e81p-1, 0x1.24b66aa138e5p-1, 0x1.2393f0b6ae7b1p-1, 0x1.2273f14ad73bep-1, 0x1.215628e5236c3p-1, 0x1.203a545872b2bp-1, 0x1.1f2030f775849p-1, 0x1.1e077cc517f0bp-1, 0x1.1ceff6a11d97ap-1, 0x1.1bd95e710cefdp-1, 0x1.1ac375458f007p-1, 0x1.19adfd7c6b99p-1, 0x1.1898badf429p-1, 0x1.178372bf2d949p-1, 0x1.166dec0d6a75p-1, 0x1.1557ef7139649p-1, 0x1.1441475b10adfp-1, 0x1.1329c0154b6c6p-1, 0x1.121127d2783dp-1, 0x1.10f74eb96aa75p-1, 0x1.0fdc06ef30711p-1, 0x1.0ebf249f0e451p-1, 0x1.0da07e00a1951p-1, 0x1.0c7feb5c48b37p-1, 0x1.0b5d470dedb9cp-1, 0x1.0a386d8652968p-1, 0x1.09113d4af71a5p-1, 0x1.07e796f4b75d5p-1, 0x1.06bb5d2d36f12p-1, 0x1.058c74ab35743p-1, 0x1.045ac42ddfe1fp-1, 0x1.0326347736974p-1, 0x1.01eeb0459b9d3p-1, 0x1.00b4244c9b0a9p-1, 0x1.feecfe5a08b51p-2, 0x1.fc6b62d8c2827p-2, 0x1.f9e35ad7b87dep-2, 0x1.f754cebd51127p-2, 0x1.f4bfaa7fe89c9p-2, 0x1.f223dd90f31b6p-2, 0x1.ef815ac767cdfp-2, 0x1.ecd818499acc7p-2, 0x1.ea280f768ba6dp-2, 0x1.e7713cced02ep-2, 0x1.e4b39fdd1d999p-2, 0x1.e1ef3b1e8ed4p-2, 0x1.df2413eaad346p-2, 0x1.dc52325b583bbp-2, 0x1.d979a1348e891p-2, 0x1.d69a6dcc2d913p-2, 0x1.d3b4a7f1aeb2dp-2, 0x1.d0c861d5f1ecep-2, 0x1.cdd5aff31e21fp-2, 0x1.cadca8f49fb47p-2, 0x1.c7dd659f5079fp-2, 0x1.c4d800b9d0806p-2, 0x1.c1cc96f5155bfp-2, 0x1.bebb46d5393b1p-2, 0x1.bba4309a8e259p-2, 0x1.b887762afd519p-2, 0x1.b5653afbb2ffdp-2, 0x1.b23da3fb224d5p-2, 0x1.af10d77b5de72p-2, 0x1.abdefd1ccdfb3p-2, 0x1.a8a83db9475bap-2, 0x1.a56cc34f8130cp-2, 0x1.a22cb8eef2765p-2, 0x1.9ee84aa416632p-2, 0x1.9b9fa56516685p-2, 0x1.9852f6fee5a99p-2, 0x1.95026e02c19c8p-2, 0x1.91ae39b425723p-2, 0x1.8e5689f7277f1p-2, 0x1.8afb8f3f4b2fp-2, 0x1.879d7a7ebc86cp-2, 0x1.843c7d1601f4cp-2, 0x1.80d8c8c419006p-2, 0x1.7d728f970786bp-2, 0x1.7a0a03dcdc3b3p-2, 0x1.769f58151e6eep-2, 0x1.7332bee2ad8cap-2, 0x1.6fc46afe135fbp-2, 0x1.6c548f283f772p-2, 0x1.68e35e1db7866p-2, 0x1.65710a8a2f204p-2, 0x1.61fdc6fc90093p-2, 0x1.5e89c5db6d686p-2, 0x1.5b153959e016ep-2, 0x1.57a0536ccfffdp-2, 0x1.542b45c0a1c81p-2, 0x1.50b641af50362p-2, 0x1.4d417836e7ad8p-2, 0x1.49cd19f06ac71p-2, 0x1.4659570716ca5p-2, 0x1.42e65f300aaa7p-2, 0x1.3f7461a252baep-2, 0x1.3c038d0f4d3abp-2, 0x1.38940f9b72455p-2, 0x1.352616d7749aep-2, 0x1.31b9cfb9be535p-2, 0x1.2e4f669845f86p-2, 0x1.2ae70722bb251p-2, 0x1.2780dc5d0aaa3p-2, 0x1.241d109a32beap-2, 0x1.20bbcd776d631p-2, 0x1.1d5d3bd7ab41dp-2, 0x1.1a0183df59529p-2, 0x1.16a8ccf07a7f8p-2, 0x1.13533da705e5cp-2, 0x1.1000fbd59602dp-2, 0x1.0cb22c8257a78p-2, 0x1.0966f3e447a45p-2, 0x1.061f7560af5a3p-2, 0x1.02dbd388e5e7bp-2, 0x1.ff386030a4d9cp-3, 0x1.f8c157e55c2a9p-3, 0x1.f252ce4506871p-3, 0x1.ebed01afce776p-3, 0x1.e5902ecee2bffp-3, 0x1.df3c9092ca02fp-3, 0x1.d8f2603233494p-3, 0x1.d2b1d5292205fp-3, 0x1.cc7b2538864b5p-3, 0x1.c64e84663be95p-3, 0x1.c02c24fd6182bp-3, 0x1.ba14378f13e83p-3, 0x1.b406eaf37a608p-3, 0x1.ae046c4b31ef7p-3, 0x1.a80ce70100be6p-3, 0x1.a22084cbe4fe8p-3, 0x1.9c3f6db164e3ap-3, 0x1.9669c8082f8a3p-3, 0x1.909fb87b01997p-3, 0x1.8ae1620bca1aap-3, 0x1.852ee61715af3p-3, 0x1.7f886457b0505p-3, 0x1.79edfaea88251p-3, 0x1.745fc652c0ba2p-3, 0x1.6edde17e02094p-3, 0x1.696865c8f37c5p-3, 0x1.63ff6b03ead55p-3, 0x1.5ea30777c46e3p-3, 0x1.59534feaea175p-3, 0x1.541057a678befp-3, 0x1.4eda307b983c1p-3, 0x1.49b0eac8e916fp-3, 0x1.449495801ac7ap-3, 0x1.3f853e2b9b76dp-3, 0x1.3a82f0f4692bap-3, 0x1.358db8a7f1ed5p-3, 0x1.30a59ebe1b7a4p-3, 0x1.2bcaab5f4cc1p-3, 0x1.26fce56a9eeebp-3, 0x1.223c527c0cbb1p-3, 0x1.1d88f6f2bf9c8p-3, 0x1.18e2d5f762432p-3, 0x1.1449f18284abap-3, 0x1.0fbe4a6301f47p-3, 0x1.0b3fe04477ca7p-3, 0x1.06ceb1b5bcf46p-3, 0x1.026abc2f618bap-3, 0x1.fc27f834602b2p-4, 0x1.f394d9ab62826p-4, 0x1.eb1c117d5f483p-4, 0x1.e2bd926b7a744p-4, 0x1.da794d4b6032bp-4, 0x1.d24f31144a9bbp-4, 0x1.ca3f2aebeb463p-4, 0x1.c249263354da5p-4, 0x1.ba6d0c93cf873p-4, 0x1.b2aac60b9f662p-4, 0x1.ab0238fabe8d8p-4, 0x1.a3734a2f7231bp-4, 0x1.9bfddcf2dfc62p-4, 0x1.94a1d31576237p-4, 0x1.8d5f0cfb4326bp-4, 0x1.863569a8375e8p-4, 0x1.7f24c6cc3bfb6p-4, 0x1.782d00cf35eccp-4, 0x1.714df2dce385bp-4, 0x1.6a8776f09c664p-4, 0x1.63d965e0ea2ap-4, 0x1.5d43976b016bdp-4, 0x1.56c5e23e12dadp-4, 0x1.50601c06794dp-4, 0x1.4a121978be7a4p-4, 0x1.43dbae5c77146p-4, 0x1.3dbcad96fa476p-4, 0x1.37b4e935ec8aap-4, 0x1.31c43279a147bp-4, 0x1.2bea59df50e05p-4, 0x1.26272f2b274cp-4, 0x1.207a81722092ep-4, 0x1.1ae41f23bf1bp-4, 0x1.1563d6139249cp-4, 0x1.0ff973828fc16p-4, 0x1.0aa4c4284238cp-4, 0x1.0565943bc73eep-4, 0x1.003baf7ca23dap-4, 0x1.f64dc276be92bp-5, 0x1.ec4de8c413365p-5, 0x1.e27766f8e8419p-5, 0x1.d8c9d180a5cdap-5, 0x1.cf44bc2a4d8b1p-5, 0x1.c5e7ba37f5ed3p-5, 0x1.bcb25e6deb9c2p-5, 0x1.b3a43b217604bp-5, 0x1.aabce2473c8e4p-5, 0x1.a1fbe5815c4cbp-5, 0x1.9960d62d1153dp-5, 0x1.90eb45701a06cp-5, 0x1.889ac445b242p-5, 0x1.806ee38b3d3e9p-5, 0x1.7867340c92927p-5, 0x1.7083468ff827dp-5, 0x1.68c2abe1c38a8p-5, 0x1.6124f4dfa28adp-5, 0x1.59a9b28395c4ap-5, 0x1.525075ee8e9d9p-5, 0x1.4b18d072bf817p-5, 0x1.4402539d9806ep-5, 0x1.3d0c914171906p-5, 0x1.36371b7ee5052p-5, 0x1.2f8184cdd9d1bp-5, 0x1.28eb6006412b1p-5, 0x1.2274406885adp-5, 0x1.1c1bb9a5aef7fp-5, 0x1.15e15fe735cb3p-5, 0x1.0fc4c7d6997e7p-5, 0x1.09c586a49d2aap-5, 0x1.03e332104a6b3p-5, 0x1.fc3ac0db4e23ap-6, 0x1.f0e751584b12ep-6, 0x1.e5cb44b9a8f8bp-6, 0x1.dae5cb7090ec1p-6, 0x1.d03617488bab7p-6, 0x1.c5bb5b724fcecp-6, 0x1.bb74cc8e163cbp-6, 0x1.b161a0b574e2cp-6, 0x1.a7810f84b3ba2p-6, 0x1.9dd25223b6d6cp-6, 0x1.9454a34e70d56p-6, 0x1.8b073f5ce12ecp-6, 0x1.81e9644aa35b6p-6, 0x1.78fa51be0ec8bp-6, 0x1.7039490eec8c8p-6, 0x1.67a58d4cd252p-6, 0x1.5f3e6344f62bp-6, 0x1.57031187c690dp-6, 0x1.4ef2e06e02533p-6, 0x1.470d1a1d8102cp-6, 0x1.3f510a8d9dc49p-6, 0x1.37bdff8b40553p-6, 0x1.305348bc96881p-6, 0x1.291037a473b42p-6, 0x1.21f41fa55bafp-6, 0x1.1afe5604476a5p-6, 0x1.142e31eb05a3ep-6, 0x1.0d830c6a65679p-6, 0x1.06fc407c0c1f2p-6, 0x1.00992b03fa01ep-6, 0x1.f4b255a3c024fp-7, 0x1.e87741442e3b9p-7, 0x1.dc7fde3cd798bp-7, 0x1.d0caf5bd30becp-7, 0x1.c55754d11e902p-7, 0x1.ba23cc6102f9ap-7, 0x1.af2f31314f2c3p-7, 0x1.a4785be1ba5b6p-7, 0x1.99fe28ec094dep-7, 0x1.8fbf78a24a98cp-7, 0x1.85bb2f2ce73a2p-7, 0x1.7bf034881e057p-7, 0x1.725d74813e522p-7, 0x1.6901deb388984p-7, 0x1.5fdc6684a2ae7p-7, 0x1.56ec0320cf843p-7, 0x1.4e2faf76c01e6p-7, 0x1.45a66a333ac7ap-7, 0x1.3d4f35bc4fb17p-7, 0x1.3529182c5d96cp-7, 0x1.2d331b4ccafp-7, 0x1.256c4c908d9c6p-7, 0x1.1dd3bd0e59751p-7, 0x1.1668817aab213p-7, 0x1.0f29b221907c2p-7, 0x1.08166ae037483p-7, 0x1.012dcb1e5551p-7, 0x1.f4ddeb8eb1a5ep-8, 0x1.e7b22286cc27dp-8, 0x1.dad68ee06c9bcp-8, 0x1.ce498b33766a9p-8, 0x1.c20978e55eff3p-8, 0x1.b614c019f3a0fp-8, 0x1.aa69cfa3d46ebp-8, 0x1.9f071cf4b67ep-8, 0x1.93eb240d6b26fp-8, 0x1.8914676dbbf62p-8, 0x1.7e817003e53bdp-8, 0x1.7430cd1c2b9f8p-8, 0x1.6a21144fed698p-8, 0x1.6050e174d8631p-8, 0x1.56bed68be0aa4p-8, 0x1.4d699baff127p-8, 0x1.444fdf04b8fe7p-8, 0x1.3b7054a53217ap-8, 0x1.32c9b6922f818p-8, 0x1.2a5ac4a0c0c8bp-8, 0x1.222244688a528p-8, 0x1.1a1f013218ef3p-8, 0x1.124fcbe50ce3fp-8, 0x1.0ab37af6716dfp-8, 0x1.0348ea56c725ap-8, 0x1.f81df6c09a4d6p-9, 0x1.ea09298a24699p-9, 0x1.dc5144fa60c1cp-9, 0x1.cef42b69dd929p-9, 0x1.c1efc976040ffp-9, 0x1.b54215dd57f47p-9, 0x1.a8e9115c27a77p-9, 0x1.9ce2c689158b9p-9, 0x1.912d49b1c5549p-9, 0x1.85c6b8b7c6294p-9, 0x1.7aad3aed570e1p-9, 0x1.6fdf00f2ba4ccp-9, 0x1.655a44932da99p-9, 0x1.5b1d48a27fa83p-9, 0x1.512658daacb2dp-9, 0x1.4773c9b973cf1p-9, 0x1.3e03f85e738efp-9, 0x1.34d54a6941f0cp-9, 0x1.2be62dd7daf0fp-9, 0x1.233518e549173p-9, 0x1.1ac089e84ce44p-9, 0x1.12870732ad215p-9, 0x1.0a871ef067199p-9, 0x1.02bf6707547b7p-9, 0x1.f65cf9edfa46p-10, 0x1.e7a60b7185ed4p-10, 0x1.d9575b408c1edp-10, 0x1.cb6e5077f7177p-10, 0x1.bde8606c95dadp-10, 0x1.b0c30e6d5a50cp-10, 0x1.a3fbeb868bb44p-10, 0x1.97909645a0c48p-10, 0x1.8b7eba7d4a60cp-10, 0x1.7fc4110a979cbp-10, 0x1.745e5f9a66654p-10, 0x1.694b786f9a4dap-10, 0x1.5e893a29e49a1p-10, 0x1.54158f8d4610bp-10, 0x1.49ee6f4a1244dp-10, 0x1.4011dbc5b1293p-10, 0x1.367de2e40984ep-10, 0x1.2d309dd18ea95p-10, 0x1.242830cde3e74p-10, 0x1.1b62caf73f6acp-10, 0x1.12dea61672991p-10, 0x1.0a9a066b7e0bp-10, 0x1.02933a7b08d95p-10, 0x1.f59135b886a34p-11, 0x1.e671140f66d1cp-11, 0x1.d7c2e84ca35a9p-11, 0x1.c9839dc37ceb6p-11, 0x1.bbb032695b90bp-11, 0x1.ae45b678d3627p-11, 0x1.a1414c154b188p-11, 0x1.94a026f05cdf7p-11, 0x1.885f8bf0447eap-11, 0x1.7c7cd0d7b8eeap-11, 0x1.70f55bef1bfc3p-11, 0x1.65c6a3aeea2p-11, 0x1.5aee2e6b74e6bp-11, 0x1.50699201beb43p-11, 0x1.463673861d9ddp-11, 0x1.3c5286f31b841p-11, 0x1.32bb8edafb106p-11, 0x1.296f5c19482fp-11, 0x1.206bcd8636d46p-11, 0x1.17aecfab60236p-11, 0x1.0f365c7915c5fp-11, 0x1.07007afdb146fp-11, 0x1.fe167e3b34fd2p-12, 0x1.eea99298c5ee4p-12, 0x1.dfb68c8f683ccp-12, 0x1.d139dda582633p-12, 0x1.c3300ee64f103p-12, 0x1.b595c05dda231p-12, 0x1.a867a89791704p-12, 0x1.9ba2941e482a8p-12, 0x1.8f4364ff6edacp-12, 0x1.834712500b006p-12, 0x1.77aaa7b3a7186p-12, 0x1.6c6b44e5dcbap-12, 0x1.61861d45ad381p-12, 0x1.56f877630841ap-12, 0x1.4cbfac8ea6c95p-12, 0x1.42d9286bcf76dp-12, 0x1.394268838689fp-12, 0x1.2ff8fbdbc01bcp-12, 0x1.26fa828d6515ap-12, 0x1.1e44ad5f81838p-12, 0x1.15d53d6235a61p-12, 0x1.0daa038c56454p-12, 0x1.05c0e05b5daedp-12, 0x1.fc2f86e913ff1p-13, 0x1.ed59569066a75p-13, 0x1.defb496d306edp-13, 0x1.d111956d5a9acp-13, 0x1.c3988bfe715afp-13, 0x1.b68c996130cd6p-13, 0x1.a9ea440179b56p-13, 0x1.9dae2bd36772dp-13, 0x1.91d509b040249p-13, 0x1.865baeb9ee54ep-13, 0x1.7b3f03bf334b2p-13, 0x1.707c08a536109p-13, 0x1.660fd3d22e2e9p-13, 0x1.5bf7919d1cc2ep-13, 0x1.523083bf157f6p-13, 0x1.48b800c8052dp-13, 0x1.3f8b73966e971p-13, 0x1.36a85ad2474d8p-13, 0x1.2e0c4869f7233p-13, 0x1.25b4e112e9e81p-13, 0x1.1d9fdbcce2665p-13, 0x1.15cb01673677p-13, 0x1.0e342c09fe989p-13, 0x1.06d946bfe40cdp-13, 0x1.ff709a09b9bd7p-14, 0x1.f19e94ac0578bp-14, 0x1.e438b3877a612p-14, 0x1.d73b4b0f0532p-14, 0x1.caa2cd36169bfp-14, 0x1.be6bc8a501343p-14, 0x1.b292e7eff7534p-14, 0x1.a714f0d4eac2dp-14, 0x1.9beec37c97117p-14, 0x1.911d59c0f590ep-14, 0x1.869dc675cd675p-14, 0x1.7c6d34b851634p-14, 0x1.7288e7421d102p-14, 0x1.68ee37bd7b181p-14, 0x1.5f9a96226b047p-14, 0x1.568b881310ef5p-14, 0x1.4dbea83f24eacp-14, 0x1.4531a5c9d5d9ap-14, 0x1.3ce243b312323p-14, 0x1.34ce584585bdp-14, 0x1.2cf3cc8781a95p-14, 0x1.25509baf07b71p-14, 0x1.1de2d299eda24p-14, 0x1.16a88f48e71c9p-14, 0x1.0fa0005dd73f3p-14, 0x1.08c7649d88fbdp-14, 0x1.021d0a75479b4p-14, 0x1.f73e9f03cee54p-15, 0x1.ea994036e20d4p-15, 0x1.de46edc49efb4p-15, 0x1.d244b8a0da592p-15, 0x1.c68fcc9a5372ep-15, 0x1.bb256f85b697p-15, 0x1.b003007314c4ap-15, 0x1.a525f6e21cda9p-15, 0x1.9a8be20159d48p-15, 0x1.903267ef8136dp-15, 0x1.86174501b387bp-15, 0x1.7c384b0fb8ba3p-15, 0x1.729360c474bd9p-15, 0x1.692680f38afdbp-15, 0x1.5fefb9f29cf27p-15, 0x1.56ed2cf81604cp-15, 0x1.4e1d0d7da1a46p-15, 0x1.457da0a81b9b8p-15, 0x1.3d0d3cb01dd43p-15, 0x1.34ca4853a0e4bp-15, 0x1.2cb33a47b7fddp-15, 0x1.24c698b08fc4dp-15, 0x1.1d02f89b78acdp-15, 0x1.1566fd7dfd4eap-15, 0x1.0df158b891a5dp-15, 0x1.06a0c91b0958cp-15, 0x1.fee834def11dbp-16, 0x1.f0d44a0b3428ap-16, 0x1.e3039a857b3edp-16, 0x1.d574066a81223p-16, 0x1.c823845663702p-16, 0x1.bb102095875fdp-16, 0x1.ae37fc606ea8dp-16, 0x1.a1994d16e5f5ap-16, 0x1.95325b879e84fp-16, 0x1.89018336676dbp-16, 0x1.7d0531aec96cdp-16, 0x1.713be5d584a06p-16, 0x1.65a42f4637df1p-16, 0x1.5a3cadae2e1e6p-16, 0x1.4f0410330caccp-16, 0x1.43f914da2727fp-16, 0x1.391a87f61b0d7p-16, 0x1.2e674398916cfp-16, 0x1.23de2f083dc9ap-16, 0x1.197e3e3af796p-16, 0x1.0f46715472de5p-16, 0x1.0535d42a35398p-16, 0x1.f696fb934fc05p-17, 0x1.e30d2004cf58dp-17, 0x1.cfcc6ded86f8ep-17, 0x1.bcd351551bad3p-17, 0x1.aa20493952c6ep-17, 0x1.97b1e6ba4113dp-17, 0x1.8586cc574f21dp-17, 0x1.739dad2e07cbap-17, 0x1.61f54c40eddaep-17, 0x1.508c7bc33bc9bp-17, 0x1.3f621c6e049f8p-17, 0x1.2e751cd5ab209p-17, 0x1.1dc478cc82426p-17, 0x1.0d4f38c33d299p-17, 0x1.fa28e2683162cp-18, 0x1.da26842191f9ap-18, 0x1.ba95ac6dc6305p-18, 0x1.9b74c5d39344ep-18, 0x1.7cc24e9e76b1bp-18, 0x1.5e7cd7e5d5dbep-18, 0x1.40a3049b7b37dp-18, 0x1.2333889e602e5p-18, 0x1.062d27e20b92p-18, 0x1.d31d6b20181dfp-19, 0x1.9aae2678f894ep-19, 0x1.630a60357f95bp-19, 0x1.2c3010809b21p-19, 0x1.ec3a8fad92482p-20, 0x1.81a05b466f201p-20, 0x1.188dfdd523bb2p-20, 0x1.6200341e81c6ep-21, 0x1.2bcde35753995p-22, -0x1.99af91bf91d7dp-24, -0x1.f2b8b5e391821p-22, -0x1.bc91ed17a6232p-21, -0x1.3e6e094137b62p-20, -0x1.9d1fff2f75e12p-20, -0x1.fa615870e6e3ap-20, -0x1.2b1a3ebf492a7p-19, -0x1.584de0760ee8p-19, -0x1.84ccb08717p-19, -0x1.b097c4c77222ap-19, -0x1.dbb02a79fc628p-19, -0x1.030b7384db1b8p-18, -0x1.17e67c5d3bae3p-18, -0x1.2c69aba75a5bap-18, -0x1.40957a5450336p-18, -0x1.546a5eb0fb121p-18, -0x1.67e8ccad9555cp-18, -0x1.7b11362189712p-18, -0x1.8de40b1289f02p-18, -0x1.a061b9e923858p-18, -0x1.b28aafb37fa9ap-18, -0x1.c45f5858b4fddp-18, -0x1.d5e01ecc2a6b6p-18, -0x1.e70d6d431137fp-18, -0x1.f7e7ad5ebb592p-18, -0x1.0437a42d67a36p-17, -0x1.0c52539b9863bp-17, -0x1.1444196deed3bp-17, -0x1.1c0d2a1fab59bp-17, -0x1.23adba44aed29p-17, -0x1.2b25fe97700c9p-17, -0x1.32762c0a81cc1p-17, -0x1.399e77d45ab15p-17, -0x1.409f177c99707p-17, -0x1.477840e890b6ep-17, -0x1.4e2a2a6483f43p-17, -0x1.54b50aae965bbp-17, -0x1.5b19190055118p-17, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      40, 0x1.7333333333333p+2, 0x1.bfb8c75f2e829p+1, 0x1.4d4ffbef7e466p+3, 0x1.39e85c50b1b07p-7, 
      {{
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0e26a9a4b4b52p-4, -0x1.93d896cf926dap-3, 0x1.612556c22cec6p-2, -0x1.4604a6ad9f0a9p-2}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.d2450dbbabd7ep-5, -0x1.521b6e5bfb301p-3, 0x1.303e3dc1bb775p-2, -0x1.29d997e5a933fp-2}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.946f71520a3e2p-5, -0x1.19b9ed3f1464dp-3, 0x1.0390cd5f487c8p-2, -0x1.11e6c66ff58b2p-2}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.6101ea21d77ebp-5, -0x1.d3d7e55648ea8p-4, 0x1.b4f5f8d02db53p-3, -0x1.f1a50362cd34ap-3}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.36580bd434a79p-5, -0x1.83ea74e7bb2c9p-4, 0x1.6a506b815bba7p-3, -0x1.c017998806839p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.12f391a610ee8p-5, -0x1.422ca58c0f53cp-4, 0x1.2719ae135ac09p-3, -0x1.8e6097b59b1a9p-3}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.eaf8bcd053671p-6, -0x1.0d2147915024ep-4, 0x1.d6affb703a2cep-4, -0x1.5cb4d61f6a733p-3}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b980f8fe14ffap-6, -0x1.c6956d82e2152p-5, 0x1.6e1354cd33d55p-4, -0x1.2b05ab8ff2651p-3}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8f683bc61a0efp-6, -0x1.8656da048fa0dp-5, 0x1.145e6e2204b75p-4, -0x1.f2b1c952bd884p-4}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6ae33840b24ep-6, -0x1.568bc09c703fbp-5, 0x1.93211fde6a2cep-5, -0x1.8f4bf030fda8ap-4}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.4a72f0adc9c9cp-6, -0x1.3438f06317843p-5, 0x1.1b57249c847abp-5, -0x1.2c127d0fdc7ebp-4}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.2ce4b674e8e2bp-6, -0x1.1c63b3b8cc4bfp-5, 0x1.82a33162b7dd3p-6, -0x1.90677a81afca6p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.11522a25344b4p-6, -0x1.0c0f84bb3c19cp-5, 0x1.0a84263bcfeb8p-6, -0x1.9af728a2ddbe2p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.ee4276eada189p-7, -0x1.0046a34ac6607p-5, 0x1.99be26ad2a1e4p-7, 0x1.db078e7fe2f9ep-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.bc085287e0fdap-7, -0x1.ebf410ff38bbfp-6, 0x1.9e3238cff6a56p-7, 0x1.911e1b9c76ae1p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.8bec3cb045ad9p-7, -0x1.d5bd484af4eacp-6, 0x1.da5d235aa20c2p-7, 0x1.245a985f46a08p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.5e2bdb6405e35p-7, -0x1.bcecc408a0b5cp-6, 0x1.031bc381431eep-6, 0x1.ff0c83ef1919bp-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.33019db37c47bp-7, -0x1.a20e4932221bfp-6, 0x1.1645d540a0dcdp-6, 0x1.8ed72d5b99294p-8}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.0a9df5423581fp-7, -0x1.857b0f2542377p-6, 0x1.253ab3c0dd018p-6, 0x1.28f6242d2c46dp-8}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ca4eac8de0679p-8, -0x1.6799d8f13f64bp-6, 0x1.305d884f5b775p-6, 0x1.80a11e5d34dd8p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.85746f1739f91p-8, -0x1.48cdc87b9fe09p-6, 0x1.3793c0e11adb7p-6, 0x1.61a3702e47f82p-10}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.46d224dabcf0fp-8, -0x1.297af89f5514p-6, 0x1.3ae47c54bd21ep-6, -0x1.f63a56b24bf81p-13}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.0e78c5b9127fdp-8, -0x1.0a05418b5be0ap-6, 0x1.3a4dd13abad7cp-6, -0x1.def9d366be447p-10}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.b8ca9d728fa77p-9, -0x1.d5a11a52302aap-7, 0x1.35d04672910f3p-6, -0x1.bfa09ba7e5f3cp-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.610184119c206p-9, -0x1.988182488cb4fp-7, 0x1.2d6ba9edd18c4p-6, -0x1.47db58128aa7fp-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.15404df6f4a78p-9, -0x1.5d7384c9b209bp-7, 0x1.21203d06b925fp-6, -0x1.affc6669a43ebp-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.aa12282e16dcp-10, -0x1.253efa3f259ffp-7, 0x1.10ed2c62c2fd4p-6, -0x1.0be6198d41f7dp-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.3f6bf366352b4p-10, -0x1.e1570466fcf51p-8, 0x1.f9ab082388e19p-7, -0x1.40658125d8cf6p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.d1e4b16490daep-11, -0x1.81032226d9508p-8, 0x1.c99bce5ddb8f7p-7, -0x1.72af8490e5c3p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.49738f8fc96cp-11, -0x1.2b0d014454b0bp-8, 0x1.92017a7b52b29p-7, -0x1.ad379772119d1p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.c21b13d8b7f1ap-12, -0x1.c22d019ac126cp-9, 0x1.519f8a2a3674bp-7, -0x1.b0ba285ac7b63p-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.27507c4df5692p-12, -0x1.481bbc306ecd5p-9, 0x1.10b6d0e9654cfp-7, -0x1.7d37765be98e2p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.70ba059bd3b58p-13, -0x1.cceb1ae91a91p-10, 0x1.af10318404871p-8, -0x1.51f216a06f37ap-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.b04815d34f93ap-14, -0x1.34c512b3aeca8p-10, 0x1.49adf787165d3p-8, -0x1.247a087195594p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d2ab6f1937f32p-15, -0x1.84e4a8132a6a4p-11, 0x1.e3df8396d31f1p-9, -0x1.ef1ec399ab5dcp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.c21b13d8b7f09p-16, -0x1.c21a318ce975ep-12, 0x1.4f5648e8b9505p-9, -0x1.954396e618c9ap-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.70ba059bd3b72p-17, -0x1.ccedc0bdf80dbp-13, 0x1.ab840414308f1p-10, -0x1.3a6518c6a0016p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.d2ab6f1937dp-19, -0x1.84bded401826ep-14, 0x1.ddc1ea6d3ab05p-11, -0x1.c7337f81a2658p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.70ba059bd39p-21, -0x1.cf2303cd5f6edp-16, 0x1.994608a54c1c4p-12, -0x1.f6148f01132a3p-10}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.70ba059bc4001p-25, -0x1.8a6182f81ab4cp-19, 0x1.b019fe929c101p-14, -0x1.4ff746360ac9ap-9}, 
      }}, 
      0x1.3c22ca44aa622p-5, -0x1.e742e299efe35p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1.85e3e173a691cp-4, 0x1.7a0a9cf4a42bep-4, 0x1.66ffc8e231ad9p-4, 0x1.4dbf64ce53c64p-4, 0x1.2f66a6893fc3ep-4, 0x1.0d217137ef98fp-4, 0x1.d03d2ab05f2abp-5, 0x1.82fd7348d6bf7p-5, 0x1.348abeb58943bp-5, 0x1.cd4831c7c461bp-6, 0x1.35821664089abp-6, 0x1.485f58535ec13p-7, 0x1.b4677580d417dp-10, -0x1.8ecf1536fd66dp-8, -0x1.af47c263f1acep-7, -0x1.3fd2c5b647baap-6, -0x1.9be38d9ba5a9bp-6, -0x1.ebc6906f11b29p-6, -0x1.17d55e4fae723p-5, -0x1.33f790a7df547p-5, -0x1.4a8afff5c862bp-5, -0x1.5bdd063747b99p-5, -0x1.6842f984a4a9fp-5, -0x1.7016eb4be037ap-5, -0x1.73b52b1c4427p-5, -0x1.737a5747bd95p-5, -0x1.6fc1d3caba5ep-5, -0x1.68e490accc8b4p-5, -0x1.5f38164abddf3p-5, -0x1.530dd58f53e6ep-5, -0x1.44b2bd693693p-5, -0x1.346f0b4ea92bbp-5, -0x1.228659ba00278p-5, -0x1.0f37d1ae6043dp-5, -0x1.f57cfab5dd35ep-6, -0x1.caa34ab116c6dp-6, -0x1.9e4a5a511aa23p-6, -0x1.70d3c9358e16ap-6, -0x1.429b8f4c4aebep-6, -0x1.13f852b197f52p-6, -0x1.ca7727c169504p-7, -0x1.6d636b698c6f2p-7, -0x1.1143d526154b5p-7, -0x1.6d3846ba76c8ep-8, -0x1.7794785cee682p-9, -0x1.e313e33bb89c7p-13, 0x1.3030bcce0747dp-9, 0x1.391b84e442a8p-8, 0x1.d35a6c3bd94d6p-8, 0x1.332a7e23542a9p-7, 0x1.78d04d83c3294p-7, 0x1.ba738ce9fb7c1p-7, 0x1.f7f2b5c651bdcp-7, 0x1.189a8d5584cbbp-6, 0x1.33151232c05bep-6, 0x1.4b6445afc139dp-6, 0x1.6186ca25ed807p-6, 0x1.757e2a47c3865p-6, 0x1.874e815bf5b82p-6, 0x1.96fe2a913f8d9p-6, 0x1.a49578063a32ap-6, 0x1.b01e71af9ce74p-6, 0x1.b9a49ba629c8ep-6, 0x1.c134c35034855p-6, 0x1.c6dcd2b836cf3p-6, 0x1.caaba8be48d72p-6, 0x1.ccb0f617b657fp-6, 0x1.ccfd1ce70ab43p-6, 0x1.cba11427c3c3cp-6, 0x1.c8ae4bb6dd08dp-6, 0x1.c436937001dbfp-6, 0x1.be4c029cd196cp-6, 0x1.b700e04f999cbp-6, 0x1.ae678edd1febdp-6, 0x1.a49274b0c9d5cp-6, 0x1.9993ea8a014dep-6, 0x1.8d7e28a5772f4p-6, 0x1.806332afecb71p-6, 0x1.7254ce7e65509p-6, 0x1.63646da7c1491p-6, 0x1.53a32800ea925p-6, 0x1.4321b07d9ef98p-6, 0x1.31f0459cb2f7bp-6, 0x1.201eb81abae23p-6, 0x1.0dbc5986980ap-6, 0x1.f5affd25e0855p-7, 0x1.cf00054437e9bp-7, 0x1.a784753d15dc5p-7, 0x1.7f580615fe752p-7, 0x1.56947339ce53fp-7, 0x1.2d5280619f53dp-7, 0x1.03aa08874453fp-7, 0x1.b363f12b3b7cfp-8, 0x1.5f00c0a6d1ec7p-8, 0x1.0a54e9b97a8c2p-8, 0x1.6b12647979f7ep-9, 0x1.83132ce3bdc19p-10, 0x1.85ab27b623bd2p-13, -0x1.2063f0e73044bp-10, -0x1.37d710a3f7183p-9, -0x1.de52190111677p-9, -0x1.41b1b63cbd8dap-8, -0x1.93671d0daeaa7p-8, -0x1.e42c3a211c7e1p-8, -0x1.19f2b6508599p-7, -0x1.413c3aae73486p-7, -0x1.67e6397a2b616p-7, -0x1.8de4f34b0b50cp-7, -0x1.b32d571a5cd0dp-7, -0x1.d7b5012495611p-7, -0x1.fb723cb01e846p-7, -0x1.0f2e003deaa73p-6, -0x1.2034f6af7f295p-6, -0x1.30ca279540315p-6, -0x1.40ea0c38722cdp-6, -0x1.50916ff603a37p-6, -0x1.5fbd701aad637p-6, -0x1.6e6b798252d97p-6, -0x1.7c99463bb499cp-6, -0x1.8a44dcb7ffc26p-6, -0x1.976c8d3d46e1fp-6, -0x1.a40eee71b29c7p-6, -0x1.b02adba8f46c3p-6, -0x1.bbbf725b6c82ap-6, -0x1.c6cc0e13e3b02p-6, -0x1.d15045969938ap-6, -0x1.db4be872e6d8p-6, -0x1.e4befb3179fc3p-6, -0x1.eda9b36c1893ep-6, -0x1.f60c7522a48a9p-6, -0x1.fde7cfda3ce25p-6, -0x1.029e3d3cfa3e5p-5, -0x1.0605a7ffbad31p-5, -0x1.092aa6a7f5703p-5, -0x1.0c0dc6fe92bd4p-5, -0x1.0eafa45df4635p-5, -0x1.1110e687e45a1p-5, -0x1.133240928233p-5, -0x1.15146f915acb4p-5, -0x1.16b8394e883fbp-5, -0x1.181e6b4b08a8dp-5, -0x1.1947da011d85dp-5, -0x1.1a3560025b179p-5, -0x1.1ae7dce6ddbb5p-5, -0x1.1b6034a5d32adp-5, -0x1.1b9f4f46f65b5p-5, -0x1.1ba6183af4266p-5, -0x1.1b757d9fe3f88p-5, -0x1.1b0e6ffe5d9a6p-5, -0x1.1a71e22362e58p-5, -0x1.19a0c8c25f105p-5, -0x1.189c1a28c118bp-5, -0x1.1764ce1c0776cp-5, -0x1.15fbddbfe2c49p-5, -0x1.1462439a79dd9p-5, -0x1.1298fb92b1b61p-5, -0x1.10a102c59affep-5, -0x1.0e7b577d01594p-5, -0x1.0c28f97469db6p-5, -0x1.09aae9f82b90dp-5, -0x1.07022bb7ba8b9p-5, -0x1.042fc2c8ca734p-5, -0x1.0134b4f0956b5p-5, -0x1.fc241386f0f61p-6, -0x1.f591950f267d6p-6, -0x1.eeb40479f3318p-6, -0x1.e78d7b8f1aac1p-6, -0x1.e02017db0243ap-6, -0x1.d86dfa8d383e4p-6, -0x1.d079489930085p-6, -0x1.c8442ac978fabp-6, -0x1.bfd0cd6a7ee5dp-6, -0x1.b7215ffd7f1dap-6, -0x1.ae3815575e70fp-6, -0x1.a517239c9e09dp-6, -0x1.9bc0c3b6b4ba8p-6, -0x1.923730cb01d6dp-6, -0x1.887ca820f68a5p-6, -0x1.7e93690e02d13p-6, -0x1.747db464818c6p-6, -0x1.6a3dcbc05f038p-6, -0x1.5fd5f13c45d12p-6, -0x1.5548673e83399p-6, -0x1.4a976fd8b3e51p-6, -0x1.3fc54bfdd211ap-6, -0x1.34d43b1d8a6d9p-6, -0x1.29c67b01ef7b3p-6, -0x1.1e9e47420abc3p-6, -0x1.135dd83f0b985p-6, -0x1.0807627754c25p-6, -0x1.f93a2d0513727p-7, -0x1.e24241ee1a3f3p-7, -0x1.cb2b531cc46fdp-7, -0x1.b3f9a40061ea9p-7, -0x1.9cb16b1d34397p-7, -0x1.8556d2a07583dp-7, -0x1.6dedf858343bfp-7, -0x1.567aebbdd4fap-7, -0x1.3f01ab8a58ea5p-7, -0x1.2786251babf5dp-7, -0x1.100c3595e635dp-7, -0x1.f12f54bcd1f9fp-8, -0x1.c2587ec0e3e7cp-8, -0x1.939b38e6aeeefp-8, -0x1.64fea9101e37fp-8, -0x1.3689ce499c3cbp-8, -0x1.084383b01a5d2p-8, -0x1.b464fd6448195p-9, -0x1.58ba9391509f6p-9, -0x1.fb2904bc5943ap-10, -0x1.45fe541a40a2p-10, -0x1.241a70fd80e9cp-11, 0x1.04960be1835d8p-13, 0x1.a395651661948p-11, 0x1.81846d3da213cp-10, 0x1.17d540e90598bp-9, 0x1.6e14164dead15p-9, 0x1.c374a095d6b9dp-9, 0x1.0bf689d6bb614p-8, 0x1.35b9fb183b91p-8, 0x1.5f001554ecd75p-8, 0x1.87c477a69eb2bp-8, 0x1.b002e9c3c7d9bp-8, 0x1.d7b756741e146p-8, 0x1.feddca9a92356p-8, 0x1.12b93c9b21fd5p-7, 0x1.25b8dffff143cp-7, 0x1.386c13de39327p-7, 0x1.4ad12fb5c753ap-7, 0x1.5ce69b1f6fe71p-7, 0x1.6eaacca0f5a68p-7, 0x1.801c4b0fdd201p-7, 0x1.9139aff9bd919p-7, 0x1.a201a8aea1dap-7, 0x1.b272f4c3799f2p-7, 0x1.c28c631af7f0cp-7, 0x1.d24ccfbbb94d5p-7, 0x1.e1b323f19f956p-7, 0x1.f0be584c9d77bp-7, 0x1.ff6d769d8194bp-7, 0x1.06dfcd0edc507p-6, 0x1.0dd9f6ba41f96p-6, 0x1.14a4d402dca56p-6, 0x1.1b40063984cdep-6, 0x1.21ab3497a2e68p-6, 0x1.27e60d3989cfp-6, 0x1.2df045f66449fp-6, 0x1.33c99c63e7722p-6, 0x1.3971d4f4defd6p-6, 0x1.3ee8b9d3d0e5ap-6, 0x1.442e1a337d141p-6, 0x1.4941ca842cb16p-6, 0x1.4e23a54435c46p-6, 0x1.52d38bd175ce7p-6, 0x1.5751669f53d8cp-6, 0x1.5b9d24a70af89p-6, 0x1.5fb6ba7263935p-6, 0x1.639e215ee26p-6, 0x1.67535784ea24bp-6, 0x1.6ad6603ea0785p-6, 0x1.6e2744ea5baf6p-6, 0x1.7146156671a5p-6, 0x1.7432e7f4209b1p-6, 0x1.76edd8949d575p-6, 0x1.7977084706521p-6, 0x1.7bce9c97f2ad2p-6, 0x1.7df4bfb692bdep-6, 0x1.7fe9a0f447d0fp-6, 0x1.81ad755ab32a9p-6, 0x1.834077fcaf403p-6, 0x1.84a2e9cf6d5b4p-6, 0x1.85d51123ec528p-6, 0x1.86d7390eb479bp-6, 0x1.87a9b10c9319p-6, 0x1.884ccd0852cccp-6, 0x1.88c0e5b0d8a3ep-6, 0x1.890658e88d484p-6, 0x1.891d8a0bc80ecp-6, 0x1.8906e1e29b03cp-6, 0x1.88c2ce439a0fcp-6, 0x1.8851c197cabcdp-6, 0x1.87b43279f83acp-6, 0x1.86ea9b9434cc5p-6, 0x1.85f57bbd9e025p-6, 0x1.84d5563e27c6ep-6, 0x1.838ab30ddace1p-6, 0x1.82161ee688552p-6, 0x1.80782b149015p-6, 0x1.7eb16d20999ebp-6, 0x1.7cc27e69f670ap-6, 0x1.7aabfbdcf01a5p-6, 0x1.786e85dec5646p-6, 0x1.760ac05285066p-6, 0x1.738152bcf5ec1p-6, 0x1.70d2e8613d0ap-6, 0x1.6e00303d6c59p-6, 0x1.6b09dcdf1b9cdp-6, 0x1.67f0a41663c5dp-6, 0x1.64b53ea5f8dbbp-6, 0x1.615868020f275p-6, 0x1.5ddade28855bep-6, 0x1.5a3d6191b56bap-6, 0x1.5680b531ea308p-6, 0x1.52a59e7df03fp-6, 0x1.4eace5616bbc1p-6, 0x1.4a97541c0a45fp-6, 0x1.4665b707637bap-6, 0x1.4218dc540491ap-6, 0x1.3db193cd346afp-6, 0x1.3930aeaa38e91p-6, 0x1.3496ff6d4427dp-6, 0x1.2fe559cc231bdp-6, 0x1.2b1c929e95158p-6, 0x1.263d7fca726d6p-6, 0x1.2148f825db9e5p-6, 0x1.1c3fd34b346bcp-6, 0x1.1722e963f43bap-6, 0x1.11f312f50d2bcp-6, 0x1.0cb128b5bcb86p-6, 0x1.075e037075bbfp-6, 0x1.01fa7be95f9f4p-6, 0x1.f90ed586d916ep-7, 0x1.ee0b50c16a89ep-7, 0x1.e2ec19775504cp-7, 0x1.d7b2de70dbe22p-7, 0x1.cc614ce09c841p-7, 0x1.c0f90ffd353b1p-7, 0x1.b57bd0b1e43p-7, 0x1.a9eb35759272dp-7, 0x1.9e48e2442fde9p-7, 0x1.929678a458794p-7, 0x1.86d5979d6282ep-7, 0x1.7b07dbb1b9157p-7, 0x1.6f2eddb099449p-7, 0x1.634c33c98dab4p-7, 0x1.57616f469074ep-7, 0x1.4b701cba60b86p-7, 0x1.3f79c36297344p-7, 0x1.337fe502511aap-7, 0x1.2783fe174349fp-7, 0x1.1b8786537975cp-7, 0x1.0f8bf126dde32p-7, 0x1.0392ae1b3f08ap-7, 0x1.ef3a51a4125e8p-8, 0x1.d7599115356a8p-8, 0x1.bf85de719d82p-8, 0x1.a7c1f0aa2f5d6p-8, 0x1.90106f5860b8p-8, 0x1.7873f10260bfap-8, 0x1.60eefa91565c2p-8, 0x1.4984004227d4p-8, 0x1.323567ece2d43p-8, 0x1.1b058c0ff0afdp-8, 0x1.03f6beba4876ep-8, 0x1.da1696c600f81p-9, 0x1.ac8aedddd3b41p-9, 0x1.7f4efb3ef1726p-9, 0x1.52671e6425d15p-9, 0x1.25d79403163fep-9, 0x1.f348d99d3ce44p-10, 0x1.9ba30e71481d1p-10, 0x1.44c51c9cc23b8p-10, 0x1.dd6bfa5547fe3p-11, 0x1.32f8c1020b73fp-11, 0x1.147b24690e37cp-12, -0x1.cb8b428870a85p-15, -0x1.83ba6ae9a00adp-12, -0x1.65230b7d2fa34p-11, -0x1.033eae1d4de13p-10, -0x1.52efc6f56d38fp-10, -0x1.a19ec78161fa2p-10, -0x1.ef4610ba8955ap-10, -0x1.1df04590e11c9p-9, -0x1.43b4da26dd2fep-9, -0x1.68eecb94c9fb1p-9, -0x1.8d9c57596bf3p-9, -0x1.b1bbdc37cecbfp-9, -0x1.d54bc02cf9f2fp-9, -0x1.f84a593c3f841p-9, -0x1.0d5aef7a0ec91p-8, -0x1.1e46346d160c5p-8, -0x1.2ee5fd8c89741p-8, -0x1.3f394fb5ee628p-8, -0x1.4f3f42a09c814p-8, -0x1.5ef710ff787aep-8, -0x1.6e6024ca68d6bp-8, -0x1.7d7a1cbe95b68p-8, -0x1.8c44c96a3a652p-8, -0x1.9ac02108b2273p-8, -0x1.a8ec2d66f9d52p-8, -0x1.b6c8f6f2ef374p-8, -0x1.c4567136003ebp-8, -0x1.d1946ddbbfc0dp-8, -0x1.de8299143f487p-8, -0x1.eb20808331f5dp-8, -0x1.f76da3a6062d6p-8, -0x1.01b4c537a828cp-7, -0x1.0789eeb44660fp-7, -0x1.0d363d20c01dep-7, -0x1.12b9c0297279p-7, -0x1.1814a910dc56ap-7, -0x1.1d47458f0f6c4p-7, -0x1.2251f59f6c52bp-7, -0x1.27351e2be18d6p-7, -0x1.2bf11b46b6262p-7, -0x1.308634dbcf633p-7, -0x1.34f4984bb2fbp-7, -0x1.393c585ba01bap-7, -0x1.3d5d7341d2e28p-7, -0x1.4157ddf89f585p-7, -0x1.452b919321ceap-7, -0x1.48d89889f7abfp-7, -0x1.4c5f19243239cp-7, -0x1.4fbf5b2791644p-7, -0x1.52f9c7ea0e60cp-7, -0x1.560ee4ccaa24dp-7, -0x1.58ff4916ea051p-7, -0x1.5bcb910285eb5p-7, -0x1.5e74506ebe095p-7, -0x1.60fa07f9f6fc1p-7, -0x1.635d1eea8a935p-7, -0x1.659de347021eap-7, -0x1.67bc8fecdc185p-7, -0x1.69b956d8f2de6p-7, -0x1.6b946cc2b5578p-7, -0x1.6d4e1310b89ccp-7, -0x1.6ee69e07096dfp-7, -0x1.705e7674acc34p-7, -0x1.71b61775e7916p-7, -0x1.72ee099f78792p-7, -0x1.7406dcf5a007cp-7, -0x1.750122b2e1668p-7, -0x1.75dd678acda36p-7, -0x1.769c2f1765ba4p-7, -0x1.773df16b42303p-7, -0x1.77c31befd034p-7, -0x1.782c163df8221p-7, -0x1.78794a5ad4854p-7, -0x1.78ab2e1e8838fp-7, -0x1.78c24a6a1d6a7p-7, -0x1.78bf3cf9eddfep-7, -0x1.78a2b339ae81ep-7, -0x1.786d5ef77a19bp-7, -0x1.781fe80db98cbp-7, -0x1.77badf4363cf7p-7, -0x1.773eb645353d7p-7, -0x1.76abbeeb5fa97p-7, -0x1.760231bf981d8p-7, -0x1.754239b702481p-7, -0x1.746c021658686p-7, -0x1.737fc3b6021adp-7, -0x1.727dcfecbf25ap-7, -0x1.7166987bd7406p-7, -0x1.703ab449afa8p-7, -0x1.6efae0810bddcp-7, -0x1.6da7fd4dfda13p-7, -0x1.6c43057d0e126p-7, -0x1.6acd00ce77aa5p-7, -0x1.6946f1a0c8f58p-7, -0x1.67b1bf7881773p-7, -0x1.660e21009f91cp-7, -0x1.645c8985399d5p-7, -0x1.629d1f28b179fp-7, -0x1.60cfbf0fe5b8cp-7, -0x1.5ef41263528a7p-7, -0x1.5d09b2330e46ep-7, -0x1.5b10527f8d7p-7, -0x1.5907e889afa1dp-7, -0x1.56f0c088d2d66p-7, -0x1.54cb7bf8e313cp-7, -0x1.5298fa5600794p-7, -0x1.505a36da15487p-7, -0x1.4e102a65c45b1p-7, -0x1.4bbbbe4102d45p-7, -0x1.495dd30a37a0dp-7, -0x1.46f752e6e6152p-7, -0x1.44893d53583a5p-7, -0x1.42149c458f419p-7, -0x1.3f9a5c86a7384p-7, -0x1.3d1b12f43db83p-7, -0x1.3a96c8344fdd5p-7, -0x1.380ce85d52fefp-7, -0x1.357c69d53d0d1p-7, -0x1.32e4289ad624p-7, -0x1.3043583620fcbp-7, -0x1.2d99dd903866fp-7, -0x1.2ae8663af2b4bp-7, -0x1.28302d9c670f7p-7, -0x1.2572871cc9a33p-7, -0x1.22b063d51dadap-7, -0x1.1fea10a75fe21p-7, -0x1.1d1f5146ed0ecp-7, -0x1.1a4fcf2845961p-7, -0x1.177ba6d5ecf9fp-7, -0x1.14a3cd154119p-7, -0x1.11ca13e243824p-7, -0x1.0ef0c15a967e3p-7, -0x1.0c19dcdd415a8p-7, -0x1.0946790875e7bp-7, -0x1.067649996818ep-7, -0x1.03a7bb25e60fcp-7, -0x1.00d88f099dc5cp-7, -0x1.fc0d872546026p-8, -0x1.f662d2cae097dp-8, -0x1.f0b20e1f57277p-8, -0x1.eafead72f3d7bp-8, -0x1.e54ce2d4fcd42p-8, -0x1.df9f84b3c3424p-8, -0x1.d9f68189edd4fp-8, -0x1.d44eb02970039p-8, -0x1.cea33114f45edp-8, -0x1.c8efd350df92fp-8, -0x1.c33369fa0783ap-8, -0x1.bd70fdc59860cp-8, -0x1.b7af4638e68aap-8, -0x1.b1f69ae2e8bb4p-8, -0x1.ac4e3b8f9d01dp-8, -0x1.a6ba155d845d5p-8, -0x1.a139e34aa09bp-8, -0x1.9bc9dbd500a6dp-8, -0x1.966474d208b34p-8, -0x1.91047ba137554p-8, -0x1.8ba6d3acd47b4p-8, -0x1.864b636e9759ep-8, -0x1.80f4e8b43479cp-8, -0x1.7ba7a5c69c2d9p-8, -0x1.7667378294bcep-8, -0x1.71345d0a46794p-8, -0x1.6c0bc460f2dcfp-8, -0x1.66e6b1f1a245fp-8, -0x1.61bd843008cb5p-8, -0x1.5c8b130ffc14bp-8, -0x1.574f5997cd8cbp-8, -0x1.52100d3c71065p-8, -0x1.4cd6b309691a5p-8, -0x1.47ad0cbed5d1ep-8, -0x1.4299b608044bdp-8, -0x1.3d9eb0058b653p-8, -0x1.38ba48dc16afdp-8, -0x1.33e9481df8954p-8, -0x1.2f28c94ba38ap-8, -0x1.2a76e1d1aaa7cp-8, -0x1.25d2458487187p-8, -0x1.2139c2acb996dp-8, -0x1.1cac554669a2bp-8, -0x1.1829ce8dd5e1fp-8, -0x1.13b332d7598dfp-8, -0x1.0f49e410da351p-8, -0x1.0aedc24d334e1p-8, -0x1.069ba7109f26p-8, -0x1.024db028a3e1ap-8, -0x1.fbfb2a3982813p-9, -0x1.f34fc0b875d6p-9, -0x1.ea9c8853df9d9p-9, -0x1.e1eefb7c5e075p-9, -0x1.d958d54df7701p-9, -0x1.d0e7da2cd745cp-9, -0x1.c8a0b5fca4993p-9, -0x1.c07ff1fb50495p-9, -0x1.b87f4433aa70dp-9, -0x1.b09b31a0365cp-9, -0x1.a8d5c74150639p-9, -0x1.a134f7d4b9951p-9, -0x1.99bda89d3cd73p-9, -0x1.926f1ae8a798fp-9, -0x1.8b4248a3378c3p-9, -0x1.842d6d1d3dd01p-9, -0x1.7d28ec1ea5ff5p-9, -0x1.76327944c38b1p-9, -0x1.6f4cbdea2d14bp-9, -0x1.687bc15d210b3p-9, -0x1.61c08194aa1ep-9, -0x1.5b16bb4b5667fp-9, -0x1.54766e02a374cp-9, -0x1.4dd8e406d601p-9, -0x1.473eaa51050c4p-9, -0x1.40b13bd2e16e7p-9, -0x1.3a3d7067f4c97p-9, -0x1.33eb3c00c850dp-9, -0x1.2db9eee5be707p-9, -0x1.27a2daca94cc9p-9, -0x1.219f73b76193ap-9, -0x1.1baeb9ffb095ep-9, -0x1.15d5cc51519e4p-9, -0x1.101b49643c682p-9, -0x1.0a82967a60111p-9, -0x1.050b2ac5d896fp-9, -0x1.ff64f2a5da05bp-10, -0x1.f4ea791667865p-10, -0x1.ea9e6747b1593p-10, -0x1.e075495e51018p-10, -0x1.d663ac0a6bafep-10, -0x1.cc661c039ffddp-10, -0x1.c286b59110d9bp-10, -0x1.b8d6bd23cc612p-10, -0x1.af5e02bc5f82cp-10, -0x1.a60ee2c970a8ap-10, -0x1.9ccf06f9bb4edp-10, -0x1.9391c8ec25e21p-10, -0x1.8a67402cf8df7p-10, -0x1.816c6ef40f45p-10, -0x1.78afa02ca9e2cp-10, -0x1.702690baed84bp-10, -0x1.67bd5bc07ad5ap-10, -0x1.5f6cd7c0d5bfcp-10, -0x1.573ed2cd0dbfap-10, -0x1.4f3da916ed6f8p-10, -0x1.4767b078fba29p-10, -0x1.3fb3940c9432ep-10, -0x1.381ab18b643f4p-10, -0x1.309e146252caap-10, -0x1.2944c54181255p-10, -0x1.221700e0c9129p-10, -0x1.1b19b8f02ac58p-10, -0x1.144b3d47ddee7p-10, -0x1.0da0e5f523fbcp-10, -0x1.070b549d70f01p-10, -0x1.00863f5e2c6dfp-10, -0x1.f4459963068aep-11, -0x1.e7ea714b9458p-11, -0x1.dbea186f020dfp-11, -0x1.cffbecc39897p-11, -0x1.c3f81eccfb118p-11, -0x1.b80fd2deea933p-11, -0x1.ac8b1b3e9ca92p-11, -0x1.a1702d826170fp-11, -0x1.968e481f5cb8ep-11, -0x1.8bcacef138b46p-11, -0x1.813a36351a9d2p-11, -0x1.76f1a6708dd43p-11, -0x1.6cea50e1172e9p-11, -0x1.6311aefc70e34p-11, -0x1.595be51697bb5p-11, -0x1.4fc5fd93ed728p-11, -0x1.4651b8d26207cp-11, -0x1.3d0316c4589f8p-11, -0x1.33e0171adfd05p-11, -0x1.2af037a1054eep-11, -0x1.223aa6e4b0fdp-11, -0x1.19c573ab5c6afp-11, -0x1.119630ac4aa63p-11, -0x1.09ab8b36aeb81p-11, -0x1.01f244734512bp-11, -0x1.f4afffc7db6bp-12, -0x1.e5dd2f9405416p-12, -0x1.d7938756cf95p-12, -0x1.c98059c513823p-12, -0x1.bb44dbdbfad0ap-12, -0x1.ad2f4ad70efe3p-12, -0x1.9fb5fcd96417fp-12, -0x1.92b5ef8ad35fdp-12, -0x1.85e3fc2e8aa28p-12, -0x1.7956d3d8a6901p-12, -0x1.6d3445de61c4cp-12, -0x1.616b0d35e08bbp-12, -0x1.55dc8f3459f1dp-12, -0x1.4a7d4dbe5f0f6p-12, -0x1.3f4fe47dfc544p-12, -0x1.345a13fd41073p-12, -0x1.299fd85ccc087p-12, -0x1.1f22a136c2d5ep-12, -0x1.14e1b9f19a33ep-12, -0x1.0adb859f6fe4cp-12, -0x1.010e8f79621b3p-12, -0x1.eef5b6a791c46p-13, -0x1.dc4440591352dp-13, -0x1.ca0e6cbba3e8ap-13, -0x1.b8604b5e940d5p-13, -0x1.a7571dbb2d9e1p-13, -0x1.970bfc6d6798ap-13, -0x1.8759905bc6613p-13, -0x1.78100d9be7b2p-13, -0x1.6931aa0945fbep-13, -0x1.5a76ae6342124p-13, -0x1.4bbd808a789c5p-13, -0x1.3d6d62ff1e463p-13, -0x1.2f90604d60eddp-13, -0x1.221d96b4e7a19p-13, -0x1.15416b86ec88cp-13, -0x1.08dcb407e1601p-13, -0x1.f975c065caba4p-14, -0x1.e19ed6dedd4d5p-14, -0x1.ca47b21cf9975p-14, -0x1.b38481ebdcc01p-14, -0x1.9d5f3c44b9b8fp-14, -0x1.87d99a3394efbp-14, -0x1.72f11ee627ca1p-14, -0x1.5ea21bb6e304cp-14, -0x1.4ae95b1d05a24p-14, -0x1.37c448f034c92p-14, -0x1.252fe28f9e08ap-14, -0x1.13273e7522d84p-14, -0x1.01a336a78a7dbp-14, -0x1.e138e2ccc0209p-15, -0x1.c01cd29f18c6dp-15, -0x1.9fec148cb49f2p-15, -0x1.8097e6c424633p-15, -0x1.622e0c8be18aap-15, -0x1.4551b087f7079p-15, -0x1.2ac28ef886529p-15, -0x1.117a0b93e93f5p-15, -0x1.f0472c543a82cp-16, -0x1.bd6b9669ff159p-16, -0x1.8a53de667937cp-16, -0x1.5a190a67ddb81p-16, -0x1.2dd39af13dda7p-16, -0x1.0354aed9df5f9p-16, -0x1.b3215738d4d21p-17, -0x1.61613aa042b5ep-17, -0x1.12067e84df689p-17, -0x1.8ac79bf3a93f4p-18, -0x1.ee42cafa811bp-19, -0x1.a437375f1865ap-20, 0x1.f99e1001eb8c3p-22, 0x1.460ca63e8d17fp-19, 0x1.216936ac6e60dp-18, 0x1.9aeecd829fcb2p-18, 0x1.07dc902b0dbd4p-17, 0x1.3fef3570b697ep-17, 0x1.75b6c6138beb9p-17, 0x1.a93cd160aa878p-17, 0x1.da9441d942fbep-17, 0x1.04ee50399221ep-16, 0x1.1b9dcf986e9cbp-16, 0x1.3167923852395p-16, 0x1.4656150568ecap-16, 0x1.5a7b818b05e2ep-16, 0x1.6ddc3c7954e44p-16, 0x1.80022fbb3cd5bp-16, 0x1.90572795e9557p-16, 0x1.9f74cb2d89165p-16, 0x1.ae87b3c44eecp-16, 0x1.bdc456ecb1ffcp-16, 0x1.cbfe0a2a4b6aep-16, 0x1.d8c8d6b48bce9p-16, 0x1.e4ba5361a2b1ep-16, 0x1.f039d68aae2f9p-16, 0x1.fb37dc3b77b92p-16, 0x1.02cd321300411p-15, 0x1.07ac35ad8832fp-15, 0x1.0c396c422ed92p-15, 0x1.10771100ca0cdp-15, 0x1.1467d9445a819p-15, 0x1.180e89c0c677ep-15, 0x1.1b6d850d50629p-15, 0x1.1e8860c2a4e7fp-15, 0x1.21609413554f6p-15, 0x1.23f8af9b91ae8p-15, 0x1.2652afc314cbp-15, 0x1.287056a261b9p-15, 0x1.2a53505f247d1p-15, 0x1.2bfd713771009p-15, 0x1.2d70ebe51ec1dp-15, 0x1.2eb04e23868c6p-15, 0x1.2fbe20c887696p-15, 0x1.309c66271b14ep-15, 0x1.314cf6b27b786p-15, 0x1.31d319347cbfbp-15, 0x1.3230e1c946bddp-15, 0x1.32587a332a4abp-15, 0x1.3245abc919dc8p-15, 0x1.3225e2c37d45dp-15, 0x1.31e89b9cd3346p-15, 0x1.31632a5fa4356p-15, 0x1.30c2d6bc6a001p-15, 0x1.30156c870007p-15, 0x1.2f3caf918959ap-15, 0x1.2e423d2b0afaep-15, 0x1.2d2e2241f0e53p-15, 0x1.2bff4bab89f9cp-15, 0x1.2ab53127c4ca8p-15, 0x1.295092ca96072p-15, 0x1.27d29996fb31ep-15, 0x1.263c777815ac4p-15, 0x1.248f5290c2591p-15, 0x1.22cc46559deadp-15, 0x1.20f45f68d73dap-15, 0x1.1f08a35c6bea1p-15, 0x1.1d0a0bb16e414p-15, 0x1.1af98954b9c29p-15, 0x1.18d8048ac9438p-15, 0x1.16a65d94c18b8p-15, 0x1.14656ed821da4p-15, 0x1.12160f3ce234bp-15, 0x1.0fb913262a34ap-15, 0x1.0d4f4b13b5bc1p-15, 0x1.0ad97fa7eceafp-15, 0x1.08586ad723ebdp-15, 0x1.05ccb60df51d8p-15, 0x1.03371339d47cbp-15, 0x1.00986a4b7f041p-15, 0x1.fbe2f99a7d9p-16, 0x1.f683aaa913438p-16, 0x1.f1160954bc15ep-16, 0x1.eb9b7a7b69e2ap-16, 0x1.e6138ddb8fa56p-16, 0x1.e0817b3a3446p-16, 0x1.dae57594aed6cp-16, 0x1.d53ff632515fap-16, 0x1.cf92ac3ea8299p-16, }}, 
      {{0x1.869dc6d6e9036p-4, 0x1.7cdbc75de6fa2p-4, 0x1.6cf9b6272cc96p-4, 0x1.578c6d6ff1546p-4, 0x1.3d4671c1692b7p-4, 0x1.1ee807023814bp-4, 0x1.fa70834b68d86p-5, 0x1.b1fc69daf82b4p-5, 0x1.65f2b069f06a7p-5, 0x1.17b6ced26fb79p-5, 0x1.9113f44cf45a9p-6, 0x1.e6242ef41b3d1p-7, 0x1.5d6823df24e08p-8, -0x1.019c82bcdc12fp-8, -0x1.a58ca836e7ae7p-7, -0x1.5e97a8d64d19cp-6, -0x1.e2eb1ddd934aep-6, -0x1.2f84478cd84cp-5, -0x1.693565ed6ab8bp-5, -0x1.9e5d00c448cfap-5, -0x1.cee2ea316878ap-5, -0x1.fabfc1cfcf19fp-5, -0x1.10fd18ad37138p-4, -0x1.2252357746e9dp-4, -0x1.316cf926706eap-4, -0x1.3e5ed83cab52p-4, -0x1.493c2594c42c3p-4, -0x1.521b5c46b3027p-4, -0x1.591483beb33eap-4, -0x1.5e40ab04cc44ap-4, -0x1.61b9796f6f1d6p-4, -0x1.6398d2b2322f4p-4, -0x1.63f88c8aee77p-4, -0x1.62f2348256ff2p-4, -0x1.609ee44ba8d11p-4, -0x1.5d172229f16f5p-4, -0x1.5872cb05e8bc8p-4, -0x1.52c9044132414p-4, -0x1.4c303371cdd8p-4, -0x1.44bdf9f49523ap-4, -0x1.3c8732b75e773p-4, -0x1.339ff11080ee2p-4, -0x1.2a1b7ff680bd4p-4, -0x1.200c612d86b88p-4, -0x1.15844c3ba33b8p-4, -0x1.0a942d19d377dp-4, -0x1.fe98456aedb78p-5, -0x1.e776fb199c3dbp-5, -0x1.cfe17d4c442ecp-5, -0x1.b7f32e2e9cc5ap-5, -0x1.9fc5d0d7a1378p-5, -0x1.87718bf78425p-5, -0x1.6f0cee999286cp-5, -0x1.56acf6eedf93bp-5, -0x1.3e651b136ba36p-5, -0x1.264753b03150fp-5, -0x1.0e642815161ep-5, -0x1.ed957765d3ecbp-6, -0x1.bf11b908cb061p-6, -0x1.91562460729a8p-6, -0x1.64795b3179fb4p-6, -0x1.388fb1204deep-6, -0x1.0dab4b173a325p-6, -0x1.c7b87c817d07ep-7, -0x1.76615c98dcc84p-7, -0x1.2769d5a6e6597p-7, -0x1.b5ce2eb705ceap-8, -0x1.21d6307bca9cbp-8, -0x1.261326f7b9626p-9, -0x1.30128671d9e33p-13, 0x1.eac75dc1bdd0cp-10, 0x1.f2ff4898a56efp-9, 0x1.72df59ed67bd7p-8, 0x1.e6cbbeea2c581p-8, 0x1.2aa1c49fb0b94p-7, 0x1.5f248966352fp-7, 0x1.90f1089e48d9ep-7, 0x1.c00ba84fbaf8ap-7, 0x1.ec7a38257eaddp-7, 0x1.0b21e892dc12dp-6, 0x1.1eb85b4a95393p-6, 0x1.31051c83289d9p-6, 0x1.420d4d8c94399p-6, 0x1.51d67c1f36954p-6, 0x1.606696d2c181cp-6, 0x1.6dc3e1f51c399p-6, 0x1.79f4ed348110ep-6, 0x1.850089c3786ep-6, 0x1.8eedc0b0d8564p-6, 0x1.97c3ca5a4c7e3p-6, 0x1.9f8a0613b6be5p-6, 0x1.a647f2efe7c7cp-6, 0x1.ac052939a710cp-6, 0x1.b0c9549641f87p-6, 0x1.b49c2ef713112p-6, 0x1.b7857bdc2301cp-6, 0x1.b98d042056a0dp-6, 0x1.baba91fb607bbp-6, 0x1.bb15ed46b6445p-6, 0x1.baa6d80772808p-6, 0x1.b9750b179e8f9p-6, 0x1.b788333b173b2p-6, 0x1.b4e7ee4cdabbdp-6, 0x1.b19bc8c37bbdcp-6, 0x1.adab3b8727bacp-6, 0x1.a91da9e178bb9p-6, 0x1.a3fa5fbced24ap-6, 0x1.9e4890117ff3ap-6, 0x1.980f535feead3p-6, 0x1.9155a658b6bcap-6, 0x1.8a226899148ccp-6, 0x1.827c5b67bc41ep-6, 0x1.7a6a20908761ep-6, 0x1.71f2394e3bb2p-6, 0x1.691b053653128p-6, 0x1.5feac14445b83p-6, 0x1.566786fc2c1cep-6, 0x1.4c974b981cd62p-6, 0x1.427fdf56b3b4ep-6, 0x1.3826eced4afb5p-6, 0x1.2d91f908badacp-6, 0x1.22c661ed01357p-6, 0x1.17c95f3723b04p-6, 0x1.0ca001b4cc6bap-6, 0x1.014f3357dec0ep-6, 0x1.ebb76e752ac32p-7, 0x1.d494537c7f5c5p-7, 0x1.bd3e0189070ap-7, 0x1.a5bd17d5a9aa9p-7, 0x1.8e19e9c25579ep-7, 0x1.765c7fa6d9861p-7, 0x1.5e8c97a4c9da2p-7, 0x1.46b1a6a8bd845p-7, 0x1.2ed2d98ccb6ebp-7, 0x1.16f7163450f35p-7, 0x1.fe49f98d2db44p-8, 0x1.cec5d2136c473p-8, 0x1.9f6de780dc1b6p-8, 0x1.704de8370e018p-8, 0x1.4171026aacde9p-8, 0x1.12e1e724af17p-8, 0x1.c9559b0047721p-9, 0x1.6daaebb7c037cp-9, 0x1.12d659ca69cafp-9, 0x1.71d33b8a154bp-10, 0x1.7fd658b441a98p-11, 0x1.0149b2734a51cp-14, -0x1.3b23fcff48661p-11, -0x1.48ebb567e2adfp-10, -0x1.f1dd208ebc63cp-10, -0x1.4c2626e4fb6ffp-9, -0x1.9e105adb1bf52p-9, -0x1.eea19814b5f46p-9, -0x1.1ee77a7755fcdp-8, -0x1.45c7166e43727p-8, -0x1.6beacd803253p-8, -0x1.914e1ac5bb6ap-8, -0x1.b5ecc4a7c2b4ep-8, -0x1.d9c2da69a4544p-8, -0x1.fcccb1e8d4444p-8, -0x1.0f8372e4d1353p-7, -0x1.203729c3386f5p-7, -0x1.30800ca4f7631p-7, -0x1.405cca0d33b61p-7, -0x1.4fcc2f2bb57e8p-7, -0x1.5ecd2702d9491p-7, -0x1.6d5eb97ccb479p-7, -0x1.7b800aacc2b4p-7, -0x1.89305a26c4e83p-7, -0x1.966f023bed698p-7, -0x1.a33b773137fd7p-7, -0x1.af95469ec6a68p-7, -0x1.bb7c16dc90373p-7, -0x1.c6efa64dde931p-7, -0x1.d1efcaa945667p-7, -0x1.dc7c7068ea8e9p-7, -0x1.e6959a48ee0cfp-7, -0x1.f03b60a58e194p-7, -0x1.f96df0caa0524p-7, -0x1.0116c6328c1b9p-6, -0x1.053d44856a27ap-6, -0x1.092aa7d481374p-6, -0x1.0cdf2deceea7cp-6, -0x1.105b1da7f3192p-6, -0x1.139ec6af81307p-6, -0x1.16aa813d664f3p-6, -0x1.197eadca6d7fcp-6, -0x1.1c1bb4be4d0b2p-6, -0x1.1e82063027fecp-6, -0x1.20b219ac1dc7cp-6, -0x1.22ac6dea7dbd3p-6, -0x1.2471887ca1fd3p-6, -0x1.2601f58404b57p-6, -0x1.275e4777d613p-6, -0x1.288716e9e5cb9p-6, -0x1.297d023aab4ep-6, -0x1.2a40ad46fb77dp-6, -0x1.2ad2c122e1eb1p-6, -0x1.2b33ebe35c279p-6, -0x1.2b64e064d4e21p-6, -0x1.2b6656019e7cdp-6, -0x1.2b390842199d8p-6, -0x1.2addb6994ec2p-6, -0x1.2a552431d34c3p-6, -0x1.29a017ba4666fp-6, -0x1.28bf5b241198fp-6, -0x1.27b3bb56d9a9fp-6, -0x1.267e07ee0feb5p-6, -0x1.251f1307bc19fp-6, -0x1.2397b1193c8d2p-6, -0x1.21e8b8bae40a6p-6, -0x1.20130264cfdf4p-6, -0x1.1e17682ca79b6p-6, -0x1.1bf6c59259fedp-6, -0x1.19b1f75b97c97p-6, -0x1.1749db6f1f643p-6, -0x1.14bf50a22ea8cp-6, -0x1.1213367bf992cp-6, -0x1.0f466cfe6da65p-6, -0x1.0c59d47febcb4p-6, -0x1.094e4d9153616p-6, -0x1.0624b8e0bcaf2p-6, -0x1.02ddf70d84eb6p-6, -0x1.fef5d0ed3453ep-7, -0x1.f7f8da0ff66cp-7, -0x1.f0c6c8466b461p-7, -0x1.e961591564a8cp-7, -0x1.e1ca489e330ccp-7, -0x1.da03515c5fb56p-7, -0x1.d20e2bd095579p-7, -0x1.c9ec8e3255ac7p-7, -0x1.c1a02c3e50a09p-7, -0x1.b92ab7233a37bp-7, -0x1.b08ddd6b8db84p-7, -0x1.a7cb4ad76d85fp-7, -0x1.9ee4a819e2c98p-7, -0x1.95db9a97f4907p-7, -0x1.8cb1c4366c9ep-7, -0x1.8368c348e1aaap-7, -0x1.7a02328ba2d59p-7, -0x1.707fa9158464fp-7, -0x1.66e2ba3280706p-7, -0x1.5d2cf52e26d3p-7, -0x1.535fe5224b9c3p-7, -0x1.497d10dbe5aa8p-7, -0x1.3f85fad657008p-7, -0x1.357c213e6c59dp-7, -0x1.2b60fdec5c089p-7, -0x1.21360635abdaap-7, -0x1.16fcaaee5298bp-7, -0x1.0cb65809516d3p-7, -0x1.026474b400c63p-7, -0x1.f010c684e9ddp-8, -0x1.db470275d7203p-8, -0x1.c66e4ea7df759p-8, -0x1.b18952c4dd1b7p-8, -0x1.9c9aac7651351p-8, -0x1.87a4ef2982f2ap-8, -0x1.72aaa3ec3798bp-8, -0x1.5dae496ab3e82p-8, -0x1.48b253fecd2bp-8, -0x1.33b92dbbed724p-8, -0x1.1ec53661b719dp-8, -0x1.09d8c3399cde1p-8, -0x1.e9ec3dc9162eep-9, -0x1.c03f126b1e4bbp-9, -0x1.96ae6e3fede0ep-9, -0x1.6d3ea597959c4p-9, -0x1.43f3f727d2c5p-9, -0x1.1ad28c4073842p-9, -0x1.e3bcf143601cep-10, -0x1.923774883237dp-10, -0x1.411c7237da7b6p-10, -0x1.e0e71b93c3bbcp-11, -0x1.40887c50fee45p-11, -0x1.4257375a40be7p-12, -0x1.6f5b2b0d40af6p-18, 0x1.34a09def1df69p-12, 0x1.3653e78eca3e3p-11, 0x1.d11edf44d6c89p-11, 0x1.35522d90ba41bp-10, 0x1.816becef0f07bp-10, 0x1.ccd69a06f7b0fp-10, 0x1.0bc626f72b281p-9, 0x1.30c3a724b01p-9, 0x1.556106847a7ap-9, 0x1.799b941a28de2p-9, 0x1.9d70b538c1381p-9, 0x1.c0dde4e8497f5p-9, 0x1.e3e0b48571c2cp-9, 0x1.033b661414e31p-8, 0x1.144ef4b5098cbp-8, 0x1.2529f01b87a2cp-8, 0x1.35cb4d28e0d3cp-8, 0x1.46320b95eed08p-8, 0x1.565d35ff9eedap-8, 0x1.664be1a95687ep-8, 0x1.75fd2ead43077p-8, 0x1.857047dc84e4p-8, 0x1.94a462ba8168p-8, 0x1.a398bf6cd4df6p-8, 0x1.b24ca8a4ee5acp-8, 0x1.c0bf73869d3abp-8, 0x1.cef07f8ddfe34p-8, 0x1.dcdf3677b716bp-8, 0x1.ea8b0c2eaba07p-8, 0x1.f7f37eb977799p-8, 0x1.028c0b16c7237p-7, 0x1.08fc324bf6cd4p-7, 0x1.0f4a02f49c892p-7, 0x1.15754fe9c0b75p-7, 0x1.1b7df0d759938p-7, 0x1.2163c229b32ecp-7, 0x1.2726a4fc99e9ep-7, 0x1.2cc67f0c0351bp-7, 0x1.32433aa661fbp-7, 0x1.379cc6a019752p-7, 0x1.3cd316476a499p-7, 0x1.41e621545a74cp-7, 0x1.46d5e3dbdcc97p-7, 0x1.4ba25e393a514p-7, 0x1.504b94fadaf65p-7, 0x1.54d190cb8d40ep-7, 0x1.59345e5c79149p-7, 0x1.5d740e506f2c6p-7, 0x1.6190b529bdbb2p-7, 0x1.658a6b3a585d3p-7, 0x1.69614c952bd06p-7, 0x1.6d1578ff8dd0cp-7, 0x1.70a713e19a85ap-7, 0x1.74164432ff23cp-7, 0x1.77633460edc87p-7, 0x1.7a8e11b6fe26p-7, 0x1.7d970eb69939fp-7, 0x1.807e5e18f644fp-7, 0x1.834437941e297p-7, 0x1.85e8d5580a688p-7, 0x1.886c747dd3e1dp-7, 0x1.8acf54f94e51cp-7, 0x1.8d11b98acb37bp-7, 0x1.8f33e7af5b1cfp-7, 0x1.9136278e3fb12p-7, 0x1.9318c3e24f41ap-7, 0x1.94dc09de22006p-7, 0x1.9680490b79b01p-7, 0x1.9805d329b46fp-7, 0x1.996cfc0e7f1f7p-7, 0x1.9ab6198d4107dp-7, 0x1.9be18364e969ap-7, 0x1.9cef9334b70dfp-7, 0x1.9de0a47477dfp-7, 0x1.9eb5146ca3ebp-7, 0x1.9f6d422a3b504p-7, 0x1.a0098e6b9d89ep-7, 0x1.a08a5b84d2dcp-7, 0x1.a0f00d3fdc37ep-7, 0x1.a13b08b6ff752p-7, 0x1.a16bb42e9a81dp-7, 0x1.a18276fef067fp-7, 0x1.a17fb978fe0e2p-7, 0x1.a163e4e0cf36ap-7, 0x1.a12f6369838f1p-7, 0x1.a0e2a032cfbd9p-7, 0x1.a07e074493415p-7, 0x1.a0020582023abp-7, 0x1.9f6f089245423p-7, 0x1.9ec57ebf501fep-7, 0x1.9e05d6cfbed57p-7, 0x1.9d307fe117fd7p-7, 0x1.9c45e949e77d2p-7, 0x1.9b468287f879cp-7, 0x1.9a32bb3c99bcdp-7, 0x1.990b0333bad89p-7, 0x1.97cfca6f817f2p-7, 0x1.9681812ff4cbfp-7, 0x1.952097ee44547p-7, 0x1.93ad7f46c236ap-7, 0x1.9228a7d0ea12dp-7, 0x1.909281ead82c5p-7, 0x1.8eeb7d81b0a0ep-7, 0x1.8d3409e31492ap-7, 0x1.8b6c95a31d0d9p-7, 0x1.89958e9c431a2p-7, 0x1.87af620f4283dp-7, 0x1.85ba7cd774474p-7, 0x1.83b74b7f02acbp-7, 0x1.81a63a6db372fp-7, 0x1.7f87b643230d8p-7, 0x1.7d5c2b4912f6dp-7, 0x1.7b24056f2f6a8p-7, 0x1.78dfb014a262dp-7, 0x1.768f9555218acp-7, 0x1.74341dc78dbdep-7, 0x1.71cdb04c54111p-7, 0x1.6f5cb1fbf52fp-7, 0x1.6ce18650139f4p-7, 0x1.6a5c8f7e2add9p-7, 0x1.67ce2eefdcfp-7, 0x1.6536c5bcb3882p-7, 0x1.6296b506d32b3p-7, 0x1.5fee5e207ae6p-7, 0x1.5d3e226b2b3cap-7, 0x1.5a8662f0f467p-7, 0x1.57c77fc8c6ddap-7, 0x1.5501d7647797p-7, 0x1.5235c5ede55cep-7, 0x1.4f63a4d700cafp-7, 0x1.4c8bcac0a6fap-7, 0x1.49ae8b7e77d8dp-7, 0x1.46cc38f0972a5p-7, 0x1.43e52373e22b8p-7, 0x1.40f99ac0029fcp-7, 0x1.3e09ee9ecf129p-7, 0x1.3b166f5eea9b9p-7, 0x1.381f6df1276dfp-7, 0x1.35253ba3176b1p-7, 0x1.3228297e6687ep-7, 0x1.2f2887687ae76p-7, 0x1.2c26a32d7aaeep-7, 0x1.2922c7a948befp-7, 0x1.261d3c3db8917p-7, 0x1.231644b5888d7p-7, 0x1.200e219ab8499p-7, 0x1.1d0510ebe7d07p-7, 0x1.19fb4f0750853p-7, 0x1.16f1179960059p-7, 0x1.13e6a661ebd3dp-7, 0x1.10dc37b26de75p-7, 0x1.0dd20898538c7p-7, 0x1.0ac856b4974c8p-7, 0x1.07bf5fc887c25p-7, 0x1.04b76103bcc7fp-7, 0x1.01b0962565199p-7, 0x1.fd56711e65663p-8, 0x1.f74efced6b1f4p-8, 0x1.f14b34d4dab4bp-8, 0x1.eb4b76aab752cp-8, 0x1.e5501a19f7cd1p-8, 0x1.df59728fdba7bp-8, 0x1.d967d16c01998p-8, 0x1.d37b87cd646f9p-8, 0x1.cd94e777ca26fp-8, 0x1.c7b442cf32f5bp-8, 0x1.c1d9ec25e208bp-8, 0x1.bc0634e631911p-8, 0x1.b6396d106811dp-8, 0x1.b073e311f8593p-8, 0x1.aab5e3b6b8827p-8, 0x1.a4ffb9bb4d999p-8, 0x1.9f51acb9532a8p-8, 0x1.99abff9f4bc01p-8, 0x1.940eef612c007p-8, 0x1.8e7ab2b514e94p-8, 0x1.88ef7b52ec6c9p-8, 0x1.836d78749f226p-8, 0x1.7df4d996f6f94p-8, 0x1.7885d03abe148p-8, 0x1.73208fc1965adp-8, 0x1.6dc54b6d1a552p-8, 0x1.6874337815eabp-8, 0x1.632d72c3d6b2fp-8, 0x1.5df12e548d269p-8, 0x1.58bf86ed0846fp-8, 0x1.53989bf63d215p-8, 0x1.4e7c8e1e6f5adp-8, 0x1.496b803612fafp-8, 0x1.446595b9609e9p-8, 0x1.3f6aefd59da7cp-8, 0x1.3a7baa9dda035p-8, 0x1.3597dc33f8fcep-8, 0x1.30bf969e5316ap-8, 0x1.2bf2eb8705038p-8, 0x1.2731eff3467f9p-8, 0x1.227cbdda33542p-8, 0x1.1dd37296737ep-8, 0x1.19362a96052d2p-8, 0x1.14a4fb9e2a41p-8, 0x1.101ff13911ea1p-8, 0x1.0ba70d1950dc5p-8, 0x1.073a4a10c6ff6p-8, 0x1.02d9a18f4510cp-8, 0x1.fd0a2200b1da7p-9, 0x1.f4793776479b9p-9, 0x1.ec0092e6d5fd7p-9, 0x1.e3a044b0e862ep-9, 0x1.db58561dc2a88p-9, 0x1.d328c58f95727p-9, 0x1.cb1189015a88dp-9, 0x1.c312956e322a3p-9, 0x1.bb2be738b4ec8p-9, 0x1.b35d87f48e15dp-9, 0x1.aba78d34b95c1p-9, 0x1.a40a0efd27257p-9, 0x1.9c851fd6082d9p-9, 0x1.9518c203ef1fap-9, 0x1.8dc4e14caff38p-9, 0x1.8689583602a68p-9, 0x1.7f65f75392203p-9, 0x1.785a8e80532cap-9, 0x1.7166f34a0c36ep-9, 0x1.6a8b015edb925p-9, 0x1.63c69633f06f4p-9, 0x1.5d198ba572d91p-9, 0x1.5683b58ee78ffp-9, 0x1.5004e4648ced7p-9, 0x1.499cebb47b5a1p-9, 0x1.434ba8d49a9fcp-9, 0x1.3d1105a06a62p-9, 0x1.36ecf599d4204p-9, 0x1.30df6f6c2a482p-9, 0x1.2ae866dc495bdp-9, 0x1.2507ca0eae44ep-9, 0x1.1f3d820d08789p-9, 0x1.198974591c979p-9, 0x1.13eb838501748p-9, 0x1.0e638e4f778eep-9, 0x1.08f16dfedd0c2p-9, 0x1.0394f4cd4b836p-9, 0x1.fc9bd8f579c2fp-10, 0x1.f23829060520ep-10, 0x1.e7fe4088c555fp-10, 0x1.dded6ed129cf4p-10, 0x1.d404f79471e9bp-10, 0x1.ca442ba56ee49p-10, 0x1.c0aa85b7d486ep-10, 0x1.b737ba1154155p-10, 0x1.adebab92b2bcp-10, 0x1.a4c64840af35ap-10, 0x1.9bc76164e2636p-10, 0x1.92ee98b9f699dp-10, 0x1.8a3b6ec5cce98p-10, 0x1.81ad67e52c20dp-10, 0x1.79442eec479c9p-10, 0x1.70ff9f7b84514p-10, 0x1.68dfb2d984e74p-10, 0x1.60e45c5475c7cp-10, 0x1.590d6b1a5ccc7p-10, 0x1.515a814e5748dp-10, 0x1.49cb1e3de3e28p-10, 0x1.425eaa9933cadp-10, 0x1.3b1478b7c4885p-10, 0x1.33ebbe32149e8p-10, 0x1.2ce39ad83a8c9p-10, 0x1.25fb39602eebdp-10, 0x1.1f31fd058a89ep-10, 0x1.18879c397d752p-10, 0x1.11fc0ef2d91f4p-10, 0x1.0b8f550074393p-10, 0x1.054137b2c394ap-10, 0x1.fe22625e0b38p-11, 0x1.f1fd156a7a522p-11, 0x1.e6113798c0891p-11, 0x1.da5dfc10ca343p-11, 0x1.cee32a1ef3484p-11, 0x1.c3a0d738f05d8p-11, 0x1.b89703256911cp-11, 0x1.adc558891a455p-11, 0x1.a32b3053e463bp-11, 0x1.98c7bea3e11d4p-11, 0x1.8e9a331ecdae2p-11, 0x1.84a1b06694ae4p-11, 0x1.7add2d83bcf2p-11, 0x1.714b64e0bfe68p-11, 0x1.67eae43c4e502p-11, 0x1.5eba3ecb71729p-11, 0x1.55b852ab030e2p-11, 0x1.4ce47b6b36bfdp-11, 0x1.443e831d070ddp-11, 0x1.3bc6483ce442fp-11, 0x1.337b4def6e6e8p-11, 0x1.2b5c8aad880d8p-11, 0x1.2368a35c49795p-11, 0x1.1b9e6b2d8d99p-11, 0x1.13fd42d615b95p-11, 0x1.0c850c9a89a1ap-11, 0x1.0535c853e94a5p-11, 0x1.fc1e5c4d8dfcp-12, 0x1.ee212974d2541p-12, 0x1.e0725ac7bc8a7p-12, 0x1.d310ab0676a17p-12, 0x1.c5fb5444d4395p-12, 0x1.b931a18cb73eep-12, 0x1.acb26c9c8b866p-12, 0x1.a07bfd6dbaea9p-12, 0x1.948c510496cb7p-12, 0x1.88e18e6bb90b1p-12, 0x1.7d7a34ea7abe5p-12, 0x1.725525245a08ep-12, 0x1.67716ee4602d2p-12, 0x1.5cce179d96c1ep-12, 0x1.526a0c55ee234p-12, 0x1.4843f09681301p-12, 0x1.3e5a0eaf0f7d6p-12, 0x1.34aa94088e791p-12, 0x1.2b340e820c66bp-12, 0x1.21f5bf1df41b9p-12, 0x1.18ef5a6063e27p-12, 0x1.102067434453bp-12, 0x1.0787e0e003b96p-12, 0x1.fe48d0030a05dp-13, 0x1.ede97775eb052p-13, 0x1.ddf003fff30fap-13, 0x1.ce5b4699e246bp-13, 0x1.bf29f16735b71p-13, 0x1.b05a61f39350ap-13, 0x1.a1eab810252fap-13, 0x1.93d8bbacba705p-13, 0x1.862203fad0219p-13, 0x1.78c406c2ec279p-13, 0x1.6bbceb5d5d3dep-13, 0x1.5f0bb1b12184cp-13, 0x1.52afd729bf69fp-13, 0x1.46a88a583afd9p-13, 0x1.3af3f670fd9p-13, 0x1.2f8f51f3f76fbp-13, 0x1.247784bda7b8dp-13, 0x1.19a9ceff6b299p-13, 0x1.0f244c50b5a23p-13, 0x1.04e6333ec2604p-13, 0x1.f5de7380dd954p-14, 0x1.e27c76e116928p-14, 0x1.cfa147cd3169ap-14, 0x1.bd47691456bdfp-14, 0x1.ab6c5100f3082p-14, 0x1.9a0fe8813319bp-14, 0x1.893145292a47dp-14, 0x1.78cd3bf6de69fp-14, 0x1.68e004927e58ap-14, 0x1.5966bcf30cbb3p-14, 0x1.4a5efedfdf9c8p-14, 0x1.3bc642dccf6dfp-14, 0x1.2d9a027d89599p-14, 0x1.1fd7dcdd40005p-14, 0x1.127d7b572ad36p-14, 0x1.05888f64c0ed5p-14, 0x1.f1ee298b632bap-15, 0x1.d98f2a373be15p-15, 0x1.c1f1e9137de1ap-15, 0x1.ab13520f2c233p-15, 0x1.94ee20d53541fp-15, 0x1.7f7b9b6b35744p-15, 0x1.6ab571ea58b2ep-15, 0x1.56962afe21429p-15, 0x1.431939cef563bp-15, 0x1.303bdd3125baep-15, 0x1.1dfac36e2b396p-15, 0x1.0c4eaf3a05698p-15, 0x1.f6618f676ca2ap-16, 0x1.d5419f3d84abcp-16, 0x1.b540913250336p-16, 0x1.96566b3958968p-16, 0x1.7876724b08d2ap-16, 0x1.5b99558fb2e5dp-16, 0x1.3fba531ace152p-16, 0x1.24d31fdcb5061p-16, 0x1.0add1e22bde43p-16, 0x1.e3a4e4d8b358cp-17, 0x1.b35b3e990f8e3p-17, 0x1.84d2518523fbap-17, 0x1.57ffd8719158p-17, 0x1.2cd2dc2303e69p-17, 0x1.0348ee0420a2p-17, 0x1.b69c75089d4edp-18, 0x1.69bbad5d64cdcp-18, 0x1.1fdd02b9270d4p-18, 0x1.b1e573276af9cp-19, 0x1.29dc2969ac083p-19, 0x1.4eed00f45e35cp-20, 0x1.541e356a40c2ap-22, -0x1.34c9b08dcdb44p-21, -0x1.7fd74621ce994p-20, -0x1.2ddcfdde0221cp-19, -0x1.9720eda5b19f8p-19, -0x1.fbd8f5d7575bcp-19, -0x1.2e11684deff34p-18, -0x1.5c06146808c85p-18, -0x1.87df9c717dc3bp-18, -0x1.b1b385886c305p-18, -0x1.d98cb8878890ap-18, -0x1.ff7a1dbc46fbdp-18, -0x1.11c5b86c6f6dp-17, -0x1.22e64a9597534p-17, -0x1.3324b164a90b4p-17, -0x1.4286a7b2c4e35p-17, -0x1.51124d41f1553p-17, -0x1.5ecf5bbceb8c8p-17, -0x1.6bc53f8f9236bp-17, -0x1.77fba9c5c87a9p-17, -0x1.83781f3a1db41p-17, -0x1.8e3ff50d507f5p-17, -0x1.985810e956951p-17, -0x1.a1c568bba9c1ep-17, -0x1.aa8d5e473e3d9p-17, -0x1.b2b57e7efc8bap-17, -0x1.ba42d1349eb34p-17, -0x1.c139bef9bb83ep-17, -0x1.c79f7622ed038p-17, -0x1.cd7ac138882b9p-17, -0x1.d2d0bcb37272ap-17, -0x1.d7a3274749748p-17, -0x1.dbf77646b72efp-17, -0x1.dfd580c94a635p-17, -0x1.e3434ec19e9a1p-17, -0x1.e64700c82c88p-17, -0x1.e8dfc40e92a39p-17, -0x1.eb0f45b0ed873p-17, -0x1.ecdc5c3067d86p-17, -0x1.ee4bd3c0480ccp-17, -0x1.ef60793cea1ffp-17, -0x1.f01ce2f4fc24fp-17, -0x1.f083eb3405282p-17, -0x1.f098a99e299dp-17, -0x1.f05e655bc6f2cp-17, -0x1.efd88a88b8123p-17, -0x1.ef0a978264547p-17, -0x1.edf7fd771f855p-17, -0x1.eca3f9890c3abp-17, -0x1.eb117204ea7dfp-17, -0x1.e942e76cbfef8p-17, -0x1.e73a8a25a8272p-17, -0x1.e4fa78ab8e9e2p-17, -0x1.e2850f6918854p-17, -0x1.dfdd143c52666p-17, -0x1.dd058a28696bdp-17, -0x1.da0134475498fp-17, -0x1.d6d23ab5103a8p-17, -0x1.d37a783a22f66p-17, -0x1.cffbcb376747ep-17, -0x1.cc574bfd87b38p-17, -0x1.c88dcfc41390ep-17, -0x1.c4a2861fd2f01p-17, -0x1.c099fa4ec108p-17, -0x1.bc76c443e3d96p-17, -0x1.b8388e46cff37p-17, -0x1.b3dfecf0a0a48p-17, -0x1.af6f500cf01f2p-17, -0x1.aae8d6202ce21p-17, -0x1.a64dd9176214p-17, -0x1.a19f8aef3c13ap-17, -0x1.9cdf514117906p-17, -0x1.980e7486e24acp-17, -0x1.932e47d3de28fp-17, -0x1.8e401ddd0ebe6p-17, -0x1.894542db60e66p-17, -0x1.8442e678bfb0ap-17, -0x1.7f2e6c0f6ee22p-17, -0x1.7a14dc5b6ed1dp-17, -0x1.74f360432a0dbp-17, -0x1.6fcafe9ba4eaep-17, -0x1.6a9caba672de4p-17, -0x1.65694e4109474p-17, -0x1.6031ca10a7ea2p-17, -0x1.5af7086d6e2bdp-17, -0x1.55b9f93abcap-17, -0x1.507b886ab0b3bp-17, -0x1.4b3c8cfe8b926p-17, -0x1.45fdc31320f21p-17, -0x1.40bfdbdfd62ccp-17, -0x1.3b83813e99aa1p-17, -0x1.3649294a0afecp-17, -0x1.31116f2e92a37p-17, -0x1.2bdd93743b6dfp-17, -0x1.26adfe81dedaap-17, -0x1.2182b9f832e4bp-17, -0x1.1c5cf30fd9723p-17, -0x1.173b590de0702p-17, -0x1.1226548fd2c6ep-17, -0x1.0d1073265b7cap-17, -0x1.08054de4f0ce4p-17, -0x1.030157bfb6136p-17, -0x1.fc0a6d8410bdap-18, -0x1.f223850861e4ap-18, -0x1.e84d9dd82df36p-18, -0x1.de8b11eb9e5d5p-18, -0x1.d4dc32c8236adp-18, -0x1.cb3fe1f203861p-18, -0x1.c1b6170cd241cp-18, -0x1.b842d1a9d0395p-18, -0x1.aee4f52efd831p-18, -0x1.a59c9be928bf5p-18, -0x1.9c6a6ea1a4443p-18, -0x1.934ee965251bcp-18, -0x1.8a4a7525bfe74p-18, -0x1.815d720665ed3p-18, -0x1.78883a08654c3p-18, -0x1.6fcb1ffe7c009p-18, -0x1.672671135c4f6p-18, -0x1.5e9a719587f8p-18, -0x1.56275de74674ep-18, -0x1.4dcd6c6565067p-18, -0x1.458cd1c020eaap-18, -0x1.3d65bec3b997fp-18, -0x1.355855fa1ab5fp-18, -0x1.2d64c0546ae2ep-18, -0x1.258b1c015a17ep-18, -0x1.1dcb7e9ed456p-18, -0x1.162607098c74dp-18, -0x1.0e9ac4ebc658p-18, -0x1.0729c3f8d77f3p-18, -0x1.ffa61ff2d59b3p-19, }}, 
      {{0x1.88cddced5bc7fp-4, 0x1.85892df3a6a8fp-4, 0x1.8028e9b089583p-4, 0x1.78cb815f2cabp-4, 0x1.6f9834b70f7c4p-4, 0x1.64bb242e62928p-4, 0x1.5863440f14e0bp-4, 0x1.4ac1091aaa7cep-4, 0x1.3c0525abdb5d5p-4, 0x1.2c5f53e095d7fp-4, 0x1.1bfd5915f1956p-4, 0x1.0b0a59d46a7dep-4, 0x1.f35cee48d80fdp-5, 0x1.d01d405c798bp-5, 0x1.ac99061cfc869p-5, 0x1.890d1de5f485bp-5, 0x1.65b001d61f88p-5, 0x1.42b1f2ae040eap-5, 0x1.203d333414a91p-5, 0x1.fceca6642ccefp-6, 0x1.baf90ff67cb7p-6, 0x1.7ad41de3e451dp-6, 0x1.3ca92c49a192ep-6, 0x1.009b4e1a0b542p-6, 0x1.8d8c40068b8cfp-7, 0x1.1e7d27677b029p-7, 0x1.684ebf217a3b8p-8, 0x1.3a7a1785daa69p-9, -0x1.212ed24d328b9p-11, -0x1.b7a9dec7be07bp-9, -0x1.89d8f4f78e5ccp-8, -0x1.17233f3347cc9p-7, -0x1.649e18e5cadfdp-7, -0x1.ad709c2b0af86p-7, -0x1.f1b1ed4cc750ep-7, -0x1.18be11ee5501p-6, -0x1.3675e14d7d5bfp-6, -0x1.520fa077aa6ffp-6, -0x1.6b9b521254c2bp-6, -0x1.83299356684ccp-6, -0x1.98cb75dc477b5p-6, -0x1.ac925ed193e2dp-6, -0x1.be8feabe02d16p-6, -0x1.ced5d5007721fp-6, -0x1.dd75e26d51e0fp-6, -0x1.ea81ce92c242fp-6, -0x1.f60b3b3ab31a7p-6, -0x1.0011d0f411182p-5, -0x1.046e238301a73p-5, -0x1.0823174705ae6p-5, -0x1.0b390901b804cp-5, -0x1.0db82bd1868c2p-5, -0x1.0fa8855aa9f86p-5, -0x1.1111ea78ff76bp-5, -0x1.11fbfc71cb055p-5, -0x1.126e26a100cd7p-5, -0x1.126f9c967b961p-5, -0x1.120758a131448p-5, -0x1.113c1abc63016p-5, -0x1.101467d957b4dp-5, -0x1.0e96897c8ad08p-5, -0x1.0cc88da45fec3p-5, -0x1.0ab046f388ccfp-5, -0x1.08534d15074d6p-5, -0x1.05b6fd524bd95p-5, -0x1.02e07b56e3e1cp-5, -0x1.ffa96437d7b7ep-6, -0x1.f930a9ea5c407p-6, -0x1.f25fc174bd7f2p-6, -0x1.eb3f3a0854af5p-6, -0x1.e3d73aef27304p-6, -0x1.dc2f863496c0dp-6, -0x1.d44f7b63e7d29p-6, -0x1.cc3e1a5cb25d5p-6, -0x1.c402063f9c7a5p-6, -0x1.bba1886e1ca0dp-6, -0x1.b322939067a99p-6, -0x1.aa8ac68da1169p-6, -0x1.a1df6f755c41cp-6, -0x1.99258e5079b11p-6, -0x1.9061d7ea6ef0ep-6, -0x1.8798b895702adp-6, -0x1.7ece56f99f858p-6, -0x1.760696e99531p-6, -0x1.6d451c34622a3p-6, -0x1.648d4d69dfd1bp-6, -0x1.5be256856123fp-6, -0x1.53472b6b84f38p-6, -0x1.4abe8a59eab35p-6, -0x1.424afe289e914p-6, -0x1.39eee08edd3f8p-6, -0x1.31ac5c504165ep-6, -0x1.29856f6b42d94p-6, -0x1.217bed41a798fp-6, -0x1.199180b721d1cp-6, -0x1.11c7ae3fc2ca6p-6, -0x1.0a1fd5d9c214cp-6, -0x1.029b34ed35161p-6, -0x1.f675d01fc043fp-7, -0x1.e7ffd963da2ddp-7, -0x1.d9d64571db0f1p-7, -0x1.cbfa9bda775b6p-7, -0x1.be6e2efdf5b5fp-7, -0x1.b1321ebe873a7p-7, -0x1.a4475b297f88bp-7, -0x1.97aea72eb0945p-7, -0x1.8b689b199eacbp-7, -0x1.7f75a70966f95p-7, -0x1.73d615514a05ap-7, -0x1.688a0cbff202p-7, -0x1.5d9192cc012cep-7, -0x1.52ec8da5a90fcp-7, -0x1.489ac62deaffdp-7, -0x1.3e9be9d3a84fap-7, -0x1.34ef8c577dd4p-7, -0x1.2b952979ed344p-7, -0x1.228c26939d8f5p-7, -0x1.19d3d41b82c49p-7, -0x1.116b6f1c6e439p-7, -0x1.0952229944c6ep-7, -0x1.018708e417784p-7, -0x1.f41259c6d084cp-8, -0x1.e5af16c3051dfp-8, -0x1.d7e2287158d66p-8, -0x1.caa956a4c9f37p-8, -0x1.be0253cf03d5ap-8, -0x1.b1eabf3291598p-8, -0x1.a660267b1acfep-8, -0x1.9b6007d245266p-8, -0x1.90e7d3cfea604p-8, -0x1.86f4ef0d4eafp-8, -0x1.7d84b3ba167edp-8, -0x1.749473239d518p-8, -0x1.6c2177216f0a2p-8, -0x1.6429036a553dep-8, -0x1.5ca856d48d292p-8, -0x1.559cac821108ep-8, -0x1.4f033cf98b276p-8, -0x1.48d93f2ef9825p-8, -0x1.431be97a63fdbp-8, -0x1.3dc8727ed61f2p-8, -0x1.38dc120333535p-8, -0x1.345401bc756fdp-8, -0x1.302d7e09a3f98p-8, -0x1.2c65c6a3e30a1p-8, -0x1.28fa1f425f931p-8, -0x1.25e7d0314f2b4p-8, -0x1.232c26dee32dbp-8, -0x1.20c4765e1c4eep-8, -0x1.1eae17de16ed6p-8, -0x1.1ce66b1859c46p-8, -0x1.1b6ad6b61cdc2p-8, -0x1.1a38c8ada5dcfp-8, -0x1.194db69538472p-8, -0x1.18a71df022ef7p-8, -0x1.18428474033bp-8, -0x1.181d784668e4p-8, -0x1.18359034556dp-8, -0x1.18886be4723fp-8, -0x1.1913b4014874bp-8, -0x1.19d51a6124c43p-8, -0x1.1aca5a26432c1p-8, -0x1.1bf137dd7f32ep-8, -0x1.1d4781990e474p-8, -0x1.1ecb0f05057acp-8, -0x1.2079c1796ab49p-8, -0x1.2251840a70ab8p-8, -0x1.24504b93f20fap-8, -0x1.267416c285adcp-8, -0x1.28baee1bf8e39p-8, -0x1.2b22e4082fb07p-8, -0x1.2daa14d689101p-8, -0x1.304ea6bda816fp-8, -0x1.330ec9d30869bp-8, -0x1.35e8b800d9a14p-8, -0x1.38dab50146a43p-8, -0x1.3be30e60e2953p-8, -0x1.3f001b800d745p-8, -0x1.42303d8c5afd6p-8, -0x1.4571df6f4244dp-8, -0x1.48c375b931881p-8, -0x1.4c237e9060697p-8, -0x1.4f9081a6ed7a7p-8, -0x1.530910315397ep-8, -0x1.568bc4d98bd01p-8, -0x1.5a1743add21bfp-8, -0x1.5daa3a0d5032bp-8, -0x1.61435e940e96bp-8, -0x1.64e171054c176p-8, -0x1.68833a368db03p-8, -0x1.6c278bfa8af0dp-8, -0x1.6fcd410c198ccp-8, -0x1.73733cf72505p-8, -0x1.77186bff48ddap-8, -0x1.7abbc30771291p-8, -0x1.7e5c3f790b54bp-8, -0x1.81f8e72ad0c82p-8, -0x1.8590c845e00c5p-8, -0x1.8922f929fa655p-8, -0x1.8cae9851a9375p-8, -0x1.9032cc373d903p-8, -0x1.93aec3391cacap-8, -0x1.9721b37cb94f8p-8, -0x1.9a8adad0bda71p-8, -0x1.9de97e8f05106p-8, -0x1.a13ceb7fec207p-8, -0x1.a48475bbe091dp-8, -0x1.a7bf788d57a76p-8, -0x1.aaed5651b45f1p-8, -0x1.ae0d785900bf3p-8, -0x1.b11f4ec75dadap-8, -0x1.b4225075b6786p-8, -0x1.b715fad2e1dc3p-8, -0x1.b9f9d1c37a488p-8, -0x1.bccd5f81ce581p-8, -0x1.bf90347d50a72p-8, -0x1.c241e73b7354p-8, -0x1.c4e2143858276p-8, -0x1.c7705dc7802b8p-8, -0x1.c9ec6bf4062c3p-8, -0x1.cc55ec6088262p-8, -0x1.ceac9227671f7p-8, -0x1.d0f015bb39632p-8, -0x1.d32034cba1ca3p-8, -0x1.d53cb22052a26p-8, -0x1.d7455581b12e3p-8, -0x1.d939eb952a50bp-8, -0x1.db1a45bfe0759p-8, -0x1.dce63a0904c01p-8, -0x1.de9da2fd0504fp-8, -0x1.e0405f90c627ep-8, -0x1.e1ce530340fb6p-8, -0x1.e34764c34e244p-8, -0x1.e4ab804f5ae63p-8, -0x1.e5fa951c3f4d8p-8, -0x1.e734967647491p-8, -0x1.e8597b6c84676p-8, -0x1.e9693eae2c383p-8, -0x1.ea63de76a18efp-8, -0x1.eb495c6eadbe8p-8, -0x1.ec19bd92f0064p-8, -0x1.ecd50a1a79cp-8, -0x1.ed7b4d5e357f8p-8, -0x1.ee0c95c0e7097p-8, -0x1.ee88f496ed5d7p-8, -0x1.eef07e0df22c9p-8, -0x1.ef434914ea601p-8, -0x1.ef816f4758a35p-8, -0x1.efab0cc637cc4p-8, -0x1.efc0404d7f9a8p-8, -0x1.efc12ae3cf07bp-8, -0x1.efadeff316e32p-8, -0x1.ef86b51f42ec7p-8, -0x1.ef4ba234ea912p-8, -0x1.eefce1142e213p-8, -0x1.ee9a9d9cd575dp-8, -0x1.ee25059b32381p-8, -0x1.ed9c48b509c12p-8, -0x1.ed009856f923ap-8, -0x1.ec5227a1495f2p-8, -0x1.eb912b5552497p-8, -0x1.eabdd9c2ef33p-8, -0x1.e9d86ab67fb85p-8, -0x1.e8e1176961e4ep-8, -0x1.e7d81a7090a48p-8, -0x1.e6bdafabbd7e7p-8, -0x1.e59214325c3c3p-8, -0x1.e455864e740a2p-8, -0x1.e308455becaeep-8, -0x1.e1aa91c92e239p-8, -0x1.e03cacfe9df08p-8, -0x1.debed950b1731p-8, -0x1.dd3159f4c9663p-8, -0x1.db9472f247ad5p-8, -0x1.d9e86914598bdp-8, -0x1.d82d81dc48203p-8, -0x1.d664037370c52p-8, -0x1.d48c349e86c61p-8, -0x1.d2a65cb041958p-8, -0x1.d0b2c37d5de89p-8, -0x1.ceb1b15034fd1p-8, -0x1.cca36edd1bb84p-8, -0x1.ca88453689c28p-8, -0x1.c8607dc15cc84p-8, -0x1.c62c6229571f7p-8, -0x1.c3ec3c5604e1dp-8, -0x1.c1a056637eb1bp-8, -0x1.bf48fa7c0c807p-8, -0x1.bce67314b84b7p-8, -0x1.ba790aa722602p-8, -0x1.b8010b7ccbbb6p-8, -0x1.b57ec02466928p-8, -0x1.b2f273026c2f1p-8, -0x1.b05c6e6b64bf8p-8, -0x1.adbcfc97b2f81p-8, -0x1.ab14679225d99p-8, -0x1.a862f94090fb8p-8, -0x1.a5a8fb4a3f11ep-8, -0x1.a2e6b7188d94ep-8, -0x1.a01c75cd46cf6p-8, -0x1.9d4a803ae569ep-8, -0x1.9a711edceda1bp-8, -0x1.979099d0927f9p-8, -0x1.94a938cd8ff98p-8, -0x1.91bb431f54bc5p-8, -0x1.8ec6ff9e79edcp-8, -0x1.8bccb4aae028p-8, -0x1.88cca82411b2cp-8, -0x1.85c71f655bd6ep-8, -0x1.82bc5f3d7e5aep-8, -0x1.7facabeb4650fp-8, -0x1.7c98491532e18p-8, -0x1.797f79c4f33eep-8, -0x1.76628061fe11fp-8, -0x1.73419eac6f456p-8, -0x1.701d15b869d3ap-8, -0x1.6cf525ea03395p-8, -0x1.69ca0eef955bap-8, -0x1.669c0fc372417p-8, -0x1.636b669db824fp-8, -0x1.603850fa993cep-8, -0x1.5d030b909ddep-8, -0x1.59cbd24daba75p-8, -0x1.5692e0535e734p-8, -0x1.53586ff34401ap-8, -0x1.501cbaaba33fap-8, -0x1.4cdff925230c3p-8, -0x1.49a263316236bp-8, -0x1.46642fca15788p-8, -0x1.4325950e22e5cp-8, -0x1.3fe6c842f0093p-8, -0x1.3ca7fddcf7ee9p-8, -0x1.396969f929778p-8, -0x1.362b3db1bc8a9p-8, -0x1.32edac3be1d67p-8, -0x1.2fb0e5d5869e8p-8, -0x1.2c751a5ecee56p-8, -0x1.293a78da3d7c9p-8, -0x1.26012f6e22c72p-8, -0x1.22c96b592cd2fp-8, -0x1.1f9358e2a02e1p-8, -0x1.1c5f2357a1809p-8, -0x1.192cf517f9314p-8, -0x1.15fcf7a23b1a7p-8, -0x1.12cf5393d4e4cp-8, -0x1.0fa430a0c955fp-8, -0x1.0c7bb58d1a002p-8, -0x1.0956082a54f97p-8, -0x1.06334d58dd9f4p-8, -0x1.0313a90ada6fdp-8, -0x1.ffee7c8f915abp-9, -0x1.f9bc5e5ff6eadp-9, -0x1.f39139fedc996p-9, -0x1.ed6d501f86debp-9, -0x1.e750dfb28f3c7p-9, -0x1.e13c25ddb851ap-9, -0x1.db2f5dfbee6abp-9, -0x1.d52ac1a3f76fdp-9, -0x1.cf2e88912c119p-9, -0x1.c93ae8bdb3372p-9, -0x1.c35016588e14ep-9, -0x1.bd6e43cf32934p-9, -0x1.b795a1dcb3b91p-9, -0x1.b1c65f923f381p-9, -0x1.ac00aa5e90b32p-9, -0x1.a644ae125714bp-9, -0x1.a09294e08f311p-9, -0x1.9aea875bfc624p-9, -0x1.954cac73a6ap-9, -0x1.8fb929700ddd5p-9, -0x1.8a3021f40aa63p-9, -0x1.84b1b802b3f4ep-9, -0x1.7f3e0c09e9f9ep-9, -0x1.79d53cf058a9cp-9, -0x1.74776824a6589p-9, -0x1.6f24a9aa80d57p-9, -0x1.69dd1c2314c6p-9, -0x1.64a0d8cf74f45p-9, -0x1.5f6ff78d0c94bp-9, -0x1.5a4a8ecee2f5p-9, -0x1.5530b3966e049p-9, -0x1.50227970a74b5p-9, -0x1.4b1ff275ebd33p-9, -0x1.46292f1f24c44p-9, -0x1.413e3dffc9423p-9, -0x1.3c5f2d921be85p-9, -0x1.378c0c083a0eep-9, -0x1.32c4e314e0e77p-9, -0x1.2e09be641ba83p-9, -0x1.295aa872302f3p-9, -0x1.24b7a8362f141p-9, -0x1.2020c5618db1fp-9, -0x1.1b9606b9e4811p-9, -0x1.1717715512436p-9, -0x1.12a508dd6c882p-9, -0x1.0e3ecfb1aff53p-9, -0x1.09e4c6f86bafep-9, -0x1.0596eebd71937p-9, -0x1.01554617c994ap-9, -0x1.fa3f96a31cb37p-10, -0x1.f1ecf812402b8p-10, -0x1.e9b2aa8966d19p-10, -0x1.e190a6e883cb4p-10, -0x1.d986e4c2b6a43p-10, -0x1.d1955a220057cp-10, -0x1.c9bbfb3d21261p-10, -0x1.c1faba310542fp-10, -0x1.ba518668e3021p-10, -0x1.b2c04e898b5fp-10, -0x1.ab46fcfc98f1p-10, -0x1.a3e57b26edd65p-10, -0x1.9c9bb0f70d533p-10, -0x1.9569851c93ab5p-10, -0x1.8e4edd8c59cb6p-10, -0x1.874b9fca40c2ap-10, -0x1.805fb10873885p-10, -0x1.798af616f77e6p-10, -0x1.72cd5327a1a8bp-10, -0x1.6c26ab73e9397p-10, -0x1.6596e0d87f456p-10, -0x1.5f1dd37d6ac82p-10, -0x1.58bb619f3bedcp-10, -0x1.526f6785e3f32p-10, -0x1.4c39bfad334ecp-10, -0x1.461a4317c0e7cp-10, -0x1.4010c9bd5cceep-10, -0x1.3a1d2b0194ff2p-10, -0x1.343f3e1e2664ep-10, -0x1.2e76da701a65ap-10, -0x1.28c3d79bfd88cp-10, -0x1.23260d83e4ccep-10, -0x1.1d9d54116cbaep-10, -0x1.182982ddace22p-10, -0x1.12ca70c75ecfap-10, -0x1.0d7ff38d0d79p-10, -0x1.0849df81f5bd9p-10, -0x1.0328076fee8a7p-10, -0x1.fc34795f591d8p-11, -0x1.f2409ee7f36b8p-11, -0x1.e8741e677cf8fp-11, -0x1.dece962ae2da6p-11, -0x1.d54fa4d1c3fd2p-11, -0x1.cbf6e9bf818fbp-11, -0x1.c2c4056aa8ee9p-11, -0x1.b9b69971ed0edp-11, -0x1.b0ce48442949ep-11, -0x1.a80ab4d21f1a7p-11, -0x1.9f6b820eadfd2p-11, -0x1.96f0525452cd5p-11, -0x1.8e98c6c446202p-11, -0x1.86647eb932487p-11, -0x1.7e5317733f7c7p-11, -0x1.76642c210b8b7p-11, -0x1.6e975658ee87ap-11, -0x1.66ec2ef012b5cp-11, -0x1.5f624ee859d43p-11, -0x1.57f95059b0924p-11, -0x1.50b0cef0511fcp-11, -0x1.49886803222d7p-11, -0x1.427fba4b65fabp-11, -0x1.3b96656ec82cep-11, -0x1.34cc09921826ap-11, -0x1.2e2047142007cp-11, -0x1.2792be6bb3a7ep-11, -0x1.21231011914ffp-11, -0x1.1ad0dc40274f2p-11, -0x1.149bc2b32ab9fp-11, -0x1.0e83623dc522ep-11, -0x1.088758ae2ee5p-11, -0x1.02a742f0a6f16p-11, -0x1.f9c57b44b60a7p-12, -0x1.ee72cbc67e195p-12, -0x1.e355b3d4cf882p-12, -0x1.d86d724b6417fp-12, -0x1.cdb94c796b26ap-12, -0x1.c338929dbf86ap-12, -0x1.b8ea8e70bdfb8p-12, -0x1.aece84ac68b6cp-12, -0x1.a4e3c83a4a949p-12, -0x1.9b29a5afef10fp-12, -0x1.919f62606948bp-12, -0x1.88444c7d8278p-12, -0x1.7f17b5294bafp-12, -0x1.7618ecb21d9ecp-12, -0x1.6d4742f307fb1p-12, -0x1.64a2076530557p-12, -0x1.5c288954fbfd8p-12, -0x1.53da185767ea1p-12, -0x1.4bb602e455ef2p-12, -0x1.43bb94994707ep-12, -0x1.3bea2cdf7eb9cp-12, -0x1.34413d759a521p-12, -0x1.2cc00b63ef62cp-12, -0x1.256601a2a11f9p-12, -0x1.1e32907707ca3p-12, -0x1.1724fecebd25fp-12, -0x1.103cb2dc3ebbap-12, -0x1.097916fc3561ep-12, -0x1.02d9907cd61fp-12, -0x1.f8bb0c04932eep-13, -0x1.ec08c11e78ad5p-13, -0x1.df9b14babfb12p-13, -0x1.d370db6e3e574p-13, -0x1.c788e94d1bce2p-13, -0x1.bbe21374e9131p-13, -0x1.b07b332fb8f8ap-13, -0x1.a55329377578dp-13, -0x1.9a68df7626a1ep-13, -0x1.8fbb4854e48f1p-13, -0x1.85495be3329dep-13, -0x1.7b1214300fa0fp-13, -0x1.71146a7d18b17p-13, -0x1.674f566b87356p-13, -0x1.5dc1cf453e00cp-13, -0x1.546ace9f2150ap-13, -0x1.4b495317836b5p-13, -0x1.425c6206333bcp-13, -0x1.39a3076d858e2p-13, -0x1.311c540c4344cp-13, -0x1.28c75a76ca0a8p-13, -0x1.20a32c5a6cdd8p-13, -0x1.18aed8eed4ffp-13, -0x1.10e96e466fe32p-13, -0x1.0951fce66e89dp-13, -0x1.01e79c5b673bap-13, -0x1.f552de2b92945p-14, -0x1.e72d4624bae21p-14, -0x1.d95cddd7a4c35p-14, -0x1.cbe0191449876p-14, -0x1.beb56809568bp-14, -0x1.b1db32089684cp-14, -0x1.a54fd7307bfe5p-14, -0x1.9911b76c7ef95p-14, -0x1.8d1f3ae38413ep-14, -0x1.8176d7e43ca04p-14, -0x1.7617143e7575cp-14, -0x1.6afe826ddced8p-14, -0x1.602bbc9d7d68cp-14, -0x1.559d5f8e8b552p-14, -0x1.4b520684ce0f9p-14, -0x1.414848e72c65dp-14, -0x1.377eba8336728p-14, -0x1.2df3ef755c78dp-14, -0x1.24a6836bd2739p-14, -0x1.1b9521c1ba87cp-14, -0x1.12be8a6fc80b5p-14, -0x1.0a2190c1a5b66p-14, -0x1.01bd13f044e17p-14, -0x1.f31fea69d67dap-15, -0x1.e3322091f15efp-15, -0x1.d3ae7342fcb4bp-15, -0x1.c4928498af982p-15, -0x1.b5dbfcdba3915p-15, -0x1.a788959ad3155p-15, -0x1.99961eb6e2c7dp-15, -0x1.8c027d921f478p-15, -0x1.7ecba8ee40022p-15, -0x1.71efa3c422e6p-15, -0x1.656c779d20d02p-15, -0x1.59402e8cfac63p-15, -0x1.4d68ce5ab5048p-15, -0x1.41e457a8bfc96p-15, -0x1.36b0cad4b31e5p-15, -0x1.2bcc30c6698d3p-15, -0x1.2134a5062d09dp-15, -0x1.16e85d13c3fdp-15, -0x1.0ce5a9c3c0615p-15, -0x1.032af08e92c0ap-15, -0x1.f36d3da5fee29p-16, -0x1.e10e3b3c0b38bp-16, -0x1.cf359a7171d59p-16, -0x1.bde01620ff424p-16, -0x1.ad0a7aa6e096cp-16, -0x1.9cb1b783e9354p-16, -0x1.8cd2df2c75761p-16, -0x1.7d6b1832373ecp-16, -0x1.6e778ea17c7ddp-16, -0x1.5ff57273ee1f7p-16, -0x1.51e2029da5e2ep-16, -0x1.443a980766e32p-16, -0x1.36fca3fff2d1p-16, -0x1.2a25a28e5f37p-16, -0x1.1db3090dd064ap-16, -0x1.11a22115549dcp-16, -0x1.05f00cea820acp-16, -0x1.f535cee5c9729p-17, -0x1.df4005902a7f4p-17, -0x1.c9fa466f55f0fp-17, -0x1.b560c5e90790bp-17, -0x1.a16e30b385efep-17, -0x1.8e1edf14477dep-17, -0x1.7b6ec16f51e24p-17, -0x1.695981e3dac91p-17, -0x1.57dad95b20f2ap-17, -0x1.46eeb41ac2913p-17, -0x1.369145cd0f726p-17, -0x1.26befcaa99ae4p-17, -0x1.17745cc9dc382p-17, -0x1.08addff4c44b3p-17, -0x1.f4cfe60e3033bp-18, -0x1.d93e1b7c150f1p-18, -0x1.be9f96e0ae804p-18, -0x1.a4eddecff77a5p-18, -0x1.8c22aeaab1ab3p-18, -0x1.7437d943f6b2bp-18, -0x1.5d2732c716452p-18, -0x1.46e93bb86817ep-18, -0x1.317bfd8e74b35p-18, -0x1.1cd5df626d68bp-18, -0x1.08f1bb658fc0ep-18, -0x1.eb9547342a36dp-19, -0x1.c6b65348e92e1p-19, -0x1.a33cc8b4f0e8ap-19, -0x1.811e6cd088633p-19, -0x1.6050ea68628e9p-19, -0x1.40ca11f3a2192p-19, -0x1.228025512b78p-19, -0x1.0569b2314e132p-19, -0x1.d2fa7eb51a4b4p-20, -0x1.9d643e1431091p-20, -0x1.6a0193ca88046p-20, -0x1.38c22d0cc8d58p-20, -0x1.099388da4fd24p-20, -0x1.b8ca06746b272p-21, -0x1.625132f12e391p-21, -0x1.0f9fc42e485c3p-21, -0x1.812ee0bb7a15ep-22, -0x1.d469c9a9ef05p-23, -0x1.6861fa2fc6d78p-24, 0x1.7ae6d86804265p-25, 0x1.64bf2ce443432p-23, 0x1.2f22e4157bde4p-22, 0x1.a5d99caf2b278p-22, 0x1.0b5b4c433f067p-21, 0x1.40f6095222cc2p-21, 0x1.73d5328f1ebe8p-21, 0x1.a40f9767352ebp-21, 0x1.d1baeda8087f4p-21, 0x1.fcec9d98baacp-21, 0x1.12dd268357dc3p-20, 0x1.261cc77364ac6p-20, 0x1.383f8ac685943p-20, 0x1.494f2fbb81154p-20, 0x1.595509525adap-20, 0x1.685a369591252p-20, 0x1.7667c9f2562a7p-20, 0x1.8386cbfc279ffp-20, 0x1.8fc000232f9a4p-20, 0x1.9b1b987f0437p-20, 0x1.a5a16920cda26p-20, 0x1.af59373cdc10ep-20, 0x1.b84aaba826e64p-20, 0x1.c07d2075a8346p-20, 0x1.c7f79e21df66fp-20, 0x1.cec0f359216e3p-20, 0x1.d4dfc72d45cbap-20, 0x1.da5aa724e9fa9p-20, 0x1.df380a9a2150ep-20, 0x1.e37d442a7348fp-20, 0x1.e728a43aba59ap-20, 0x1.ea6454ebfefaap-20, 0x1.ecf82fea8241ap-20, 0x1.ef24ff915ae9ap-20, 0x1.f0cf54d543f22p-20, 0x1.f2043ff27d84fp-20, 0x1.f2c90afd35b76p-20, 0x1.f322793199311p-20, 0x1.f31543f6a47d9p-20, 0x1.f2a61c413a247p-20, 0x1.f1d99b374934dp-20, 0x1.f0b432615f221p-20, 0x1.ef3a1aa6461cbp-20, 0x1.ed6f51fadd2fcp-20, 0x1.eb57aef667292p-20, 0x1.e8f6f1999a12ep-20, 0x1.e650ce770c468p-20, 0x1.e368ef24afbdfp-20, 0x1.e042d23fecdaap-20, 0x1.dce1badebf4fap-20, 0x1.d948ac151602dp-20, 0x1.d57a3f849be78p-20, 0x1.d178eab98d47ap-20, 0x1.cd4babae4ddf6p-20, 0x1.c8f376ab20135p-20, 0x1.c46de78b97746p-20, 0x1.bfc06d64f3eap-20, 0x1.baed866a5f86ap-20, 0x1.b5fcf7f95e92fp-20, 0x1.b0ec4ed5cc834p-20, 0x1.abbdf23b4ba35p-20, 0x1.a6746bcafc34ap-20, 0x1.a111e7612686bp-20, 0x1.9b986b0efb55fp-20, 0x1.9609ebe64ceb2p-20, 0x1.90684f1e4e76ap-20, 0x1.8ab56895c1129p-20, 0x1.84f2ff2ab4cffp-20, 0x1.7f22d38af42c9p-20, 0x1.7946918d0221ap-20, 0x1.735fbb8581e8p-20, 0x1.6d6fba3d8e4c4p-20, 0x1.6777f6e3bce2bp-20, 0x1.6179ddd68e09bp-20, 0x1.5b76d0c15e95p-20, 0x1.557013ef24139p-20, 0x1.4f66da77e137ep-20, 0x1.495c4cca38b27p-20, 0x1.4351826856b7p-20, 0x1.3d4782b774269p-20, 0x1.373f47e3bae17p-20, 0x1.3139c11b65853p-20, 0x1.2b37d4e028f8dp-20, 0x1.253a631ddcf6p-20, 0x1.1f42460e61529p-20, 0x1.19505151ba129p-20, 0x1.13654f6996091p-20, 0x1.0d81feb7bb9e2p-20, 0x1.07a70f2695c42p-20, 0x1.01d52184997ecp-20, 0x1.f81994b71daacp-21, 0x1.ec9d2a9b0c325p-21, 0x1.e136162d2ea74p-21, 0x1.d5e5689f61523p-21, 0x1.caac2f177d096p-21, 0x1.bf8b6e8df1e73p-21, 0x1.b4840fea018bbp-21, 0x1.a996e38850cd1p-21, 0x1.9ec4a484ee747p-21, 0x1.940e034c518fap-21, 0x1.8973a303ccc18p-21, 0x1.7ef62578a78afp-21, 0x1.74962a94a48b5p-21, 0x1.6a544799090a2p-21, 0x1.60310bb36369p-21, 0x1.562c815a1f0c4p-21, 0x1.4c47c863dc7cdp-21, 0x1.4282a2329e84p-21, 0x1.38ddc29b3fb04p-21, 0x1.2f5901464b5f1p-21, 0x1.25f591e58ac4p-21, 0x1.1cb30bd71aae1p-21, 0x1.13919549d6e5dp-21, 0x1.0a9182387dfa3p-21, 0x1.01b30da60d8f3p-21, 0x1.f22eabd4832e1p-22, 0x1.e0b5c33f9fa1ep-22, 0x1.cfc2f91330fbep-22, 0x1.bf13f767ce869p-22, 0x1.aea8b6f0966dp-22, 0x1.9e8130c185456p-22, 0x1.8e9d530268832p-22, 0x1.7efd0315d8438p-22, 0x1.6fa01fee5bee9p-22, 0x1.608682dd2e3a2p-22, 0x1.51affe603739p-22, 0x1.431c5bbb592dbp-22, 0x1.34cb59bbd69e7p-22, 0x1.26bcaddfe41c5p-22, 0x1.18f0060573332p-22, 0x1.0b650909f261cp-22, 0x1.fc36b3d74beb6p-23, 0x1.e225383d32e12p-23, 0x1.c894e8392d7bdp-23, 0x1.af854b05bae4ep-23, 0x1.96f6161a4ce95p-23, 0x1.7ea61125b2523p-23, 0x1.67a400fe6785ap-23, 0x1.50292839c726fp-23, 0x1.399a67252f91ap-23, 0x1.23755816eee97p-23, 0x1.0dbc8b791be4ap-23, 0x1.f113f8f5628e7p-24, 0x1.c77f40329af0bp-24, 0x1.9f047a57b2353p-24, 0x1.7795256fa8ae1p-24, 0x1.50d8638f64b36p-24, 0x1.2ab6983a4d5a5p-24, 0x1.05c28f39b1c14p-24, 0x1.c364c8aa2977p-25, 0x1.7ce50ff3a9441p-25, 0x1.3811c84b4a056p-25, 0x1.e9d4f9299e64fp-26, 0x1.66d571b96a43ap-26, 0x1.ce34c08d59046p-27, 0x1.aa638544944bep-28, -0x1.d749b570d4d9ep-31, -0x1.09d45e4a88d94p-27, -0x1.f00463a77eb5p-27, -0x1.680dce70b2735p-26, -0x1.d5189de226179p-26, -0x1.1f9722b62f067p-25, -0x1.532d3004c6af2p-25, -0x1.855433534d826p-25, -0x1.b611cb1b42bdp-25, -0x1.e56b730abe3bdp-25, -0x1.09b341d0dd833p-24, -0x1.20041d87df36ap-24, -0x1.35aae798e7ddp-24, -0x1.4aaa3e5a67e76p-24, -0x1.5f04c885764d2p-24, }}, 
      {{0x1.aeae9ba3f994p-4, 0x1.a0f91624baa43p-3, 0x1.28fc59ffa5a47p-2, 0x1.71a44317342aap-2, 0x1.a8c02eaa223a9p-2, 0x1.ce1660d396b33p-2, 0x1.e286d2ff2d4fp-2, 0x1.e7b24ca7a6a2dp-2, 0x1.dfae0d8c42076p-2, 0x1.ccc5dcc50ef41p-2, 0x1.b14cadfd0144p-2, 0x1.8f7ae09f57d24p-2, 0x1.69583e92540ecp-2, 0x1.40af87af0404dp-2, 0x1.170938d938d2cp-2, 0x1.db56e7ed7d5d9p-3, 0x1.8b3a7625cab41p-3, 0x1.3f578576bdc43p-3, 0x1.f1c2dd3a1ec9fp-4, 0x1.71638cd4b3c1ap-4, 0x1.fd55b87c69145p-5, 0x1.34634fecee06ap-5, 0x1.1099593eea957p-6, -0x1.cf79eadf2ccb9p-11, -0x1.ec52b51005a14p-7, -0x1.a8f17e4036fdep-6, -0x1.14f8832be484dp-5, -0x1.3e580e9f1b0c8p-5, -0x1.527d474931c12p-5, -0x1.535f7abf97ce6p-5, -0x1.42fa16a81e15bp-5, -0x1.2342293afa94bp-5, -0x1.ec3c95c739e0fp-6, -0x1.7ac1392cf276p-6, -0x1.eb0a11f9a8c77p-7, -0x1.7f0eee8d417ffp-8, 0x1.0e054f38afcd1p-8, 0x1.e309145acf7b8p-7, 0x1.a7bbf91be094fp-6, 0x1.31ec179e197c3p-5, 0x1.91e11c72785d3p-5, 0x1.f2cc8860d612dp-5, 0x1.29ebacd8f80a9p-4, 0x1.5a213f700eb1dp-4, 0x1.89b29d805c247p-4, 0x1.b855c5984893ep-4, 0x1.e5ca4aed6283ep-4, 0x1.08ec4a302eb11p-3, 0x1.1e289287322a9p-3, 0x1.3285f77b2b9afp-3, 0x1.45f3d7ecd7742p-3, 0x1.5864ac364dd6bp-3, 0x1.69cdbeb750905p-3, 0x1.7a26e927582d8p-3, 0x1.896a566ee62fcp-3, 0x1.979448ca1cbcbp-3, 0x1.a4a2e3fb8975dp-3, 0x1.b095fb4b43acfp-3, 0x1.bb6ee31cf0e8p-3, 0x1.c53045e02b26ep-3, 0x1.cdddfc2922232p-3, 0x1.d57ce7c02bc94p-3, 0x1.dc12d17a045fdp-3, 0x1.e1a649ac36a14p-3, 0x1.e63e8b1ec2d04p-3, 0x1.e9e3604237f4bp-3, 0x1.ec9d0aa12df76p-3, 0x1.ee742c4cb22d5p-3, 0x1.ef71b3460eedcp-3, 0x1.ef9ec6aa8b088p-3, 0x1.ef04b5a18805dp-3, 0x1.edace7e8531edp-3, 0x1.eba0cfc6affep-3, 0x1.e8e9dda03eb72p-3, 0x1.e591748375ca3p-3, 0x1.e1a0e034bfbabp-3, 0x1.dd214c63ebd8ap-3, 0x1.d81bbc6d32871p-3, 0x1.d2990561eca9p-3, 0x1.cca1c74d59932p-3, 0x1.c63e68f2998cbp-3, 0x1.bf7713bf50544p-3, 0x1.b853af48a1d0dp-3, 0x1.b0dbe037a167dp-3, 0x1.a917048352de8p-3, 0x1.a10c3249627cfp-3, 0x1.98c237b75f00cp-3, 0x1.903f98797608p-3, 0x1.878a8f926c147p-3, 0x1.7ea90e8e4c5f1p-3, 0x1.75a0be012378fp-3, 0x1.6c76ff27f13f1p-3, 0x1.6330ebf70e69dp-3, 0x1.59d358fd072b1p-3, 0x1.5062d6694e969p-3, 0x1.46e3b190bba8ap-3, 0x1.3d59f6a8b5481p-3, 0x1.33c972631d5b3p-3, 0x1.2a35b3f7d684dp-3, 0x1.20a20ee4ba532p-3, 0x1.17119d27b3c8cp-3, 0x1.0d874135fbd1ap-3, 0x1.0405a80573e6ep-3, 0x1.f51e96b9ee871p-4, 0x1.e24ce7658f63bp-4, 0x1.cf9a74c0b078p-4, 0x1.bd0b179d75bap-4, 0x1.aaa252a329ca7p-4, 0x1.986356bc0cd7ep-4, 0x1.8651073b659cdp-4, 0x1.746dfd8b55256p-4, 0x1.62bc8d86a3067p-4, 0x1.513ec978aff98p-4, 0x1.3ff685afae802p-4, 0x1.2ee55c9c22f37p-4, 0x1.1e0cb29e23aa9p-4, 0x1.0d6db95904ae3p-4, 0x1.fa12e6c5e5344p-5, 0x1.d9c16f9cfbc62p-5, 0x1.b9e86a3b7363ap-5, 0x1.9a88e8c521fdep-5, 0x1.7ba3b8d920765p-5, 0x1.5d3968b4c9c41p-5, 0x1.3f4a4c4e2a771p-5, 0x1.21d682c0fec79p-5, 0x1.04ddfae1deb1ap-5, 0x1.d0c0eeb5330edp-6, 0x1.98bb25f3e87dbp-6, 0x1.61a989af48adbp-6, 0x1.2b8ac78f444ep-6, 0x1.ecbaa62ca8163p-7, 0x1.843ed981966e3p-7, 0x1.1d9e505888c94p-7, 0x1.71a9c37f96e78p-8, 0x1.57787e1cabd74p-9, -0x1.6953e2e31e819p-12, -0x1.aaa8d5833e709p-9, -0x1.908b52542f898p-8, -0x1.242222e4ed8dcp-7, -0x1.7e44e6a4628b8p-7, -0x1.d6b34d8809ac3p-7, -0x1.16b9603b2965dp-6, -0x1.414459a277957p-6, -0x1.6afd4f7893865p-6, -0x1.93e6fea5b32cp-6, -0x1.bc042333c9034p-6, -0x1.e3577656eb9b8p-6, -0x1.04f1d633dbce7p-5, -0x1.17d5b9fac72b4p-5, -0x1.2a58ba65b8abap-5, -0x1.3c7c273ff2a7ap-5, -0x1.4e414bd35c4edp-5, -0x1.5fa96ea19cdadp-5, -0x1.70b5d0e82edddp-5, -0x1.8167ae63c66a6p-5, -0x1.91c03d499c13ep-5, -0x1.a1c0adf12320cp-5, -0x1.b16a2a81b12d4p-5, -0x1.c0bdd71dc93efp-5, -0x1.cfbcd1f853e26p-5, -0x1.de6832fd5daa6p-5, -0x1.ecc10bc02e502p-5, -0x1.fac867d5beb35p-5, -0x1.043fa67365187p-4, -0x1.0af35d3b08d73p-4, -0x1.117fd503e1d52p-4, -0x1.17e587c33d62p-4, -0x1.1e24eca4a2a31p-4, -0x1.243e77fe3254p-4, -0x1.2a329b7951d55p-4, -0x1.3001c645a6d0bp-4, -0x1.35ac6518deedbp-4, -0x1.3b32e22b1b711p-4, -0x1.4095a56a34d54p-4, -0x1.45d514af5a53p-4, -0x1.4af193bf75cdfp-4, -0x1.4feb8448f44e9p-4, -0x1.54c346173adc5p-4, -0x1.5979374c8755ap-4, -0x1.5e0db46563906p-4, -0x1.62811830f0096p-4, -0x1.66d3bbffbde44p-4, -0x1.6b05f7e46ec9cp-4, -0x1.6f1822bcc7c71p-4, -0x1.730a921c6e1adp-4, -0x1.76dd9a6b812f6p-4, -0x1.7a918f3383132p-4, -0x1.7e26c33f9280ap-4, -0x1.819d8878d5a2dp-4, -0x1.84f62fd9d659dp-4, -0x1.883109b440b74p-4, -0x1.8b4e65ffe78b7p-4, -0x1.8e4e94530fc88p-4, -0x1.9131e3a3c38ecp-4, -0x1.93f8a248f8aa6p-4, -0x1.96a31e5892293p-4, -0x1.9931a5f4592f2p-4, -0x1.9ba487282e7cap-4, -0x1.9dfc0f94b3ed7p-4, -0x1.a0388c6d59617p-4, -0x1.a25a4ae1e07bep-4, -0x1.a4619877b54bp-4, -0x1.a64ec2e6d9791p-4, -0x1.a82217acb7972p-4, -0x1.a9dbe3e99ccccp-4, -0x1.ab7c74c188b72p-4, -0x1.ad0417d305566p-4, -0x1.ae731b37c39f8p-4, -0x1.afc9cd0e986ccp-4, -0x1.b1087b1d7de6p-4, -0x1.b22f72ffb5235p-4, -0x1.b33f02af9e575p-4, -0x1.b43778d1dddd7p-4, -0x1.b519246bac2p-4, -0x1.b5e4545343fffp-4, -0x1.b69956f7d15dep-4, -0x1.b7387abe974f3p-4, -0x1.b7c20e90ba139p-4, -0x1.b83662020f258p-4, -0x1.b895c4e520de7p-4, -0x1.b8e086b6d9ba8p-4, -0x1.b916f675fffe6p-4, -0x1.b939630bfe481p-4, -0x1.b9481bda67256p-4, -0x1.b94370dee4087p-4, -0x1.b92bb246e2b77p-4, -0x1.b9012fd602482p-4, -0x1.b8c438ab457dfp-4, -0x1.b8751b96d2512p-4, -0x1.b81427aa20198p-4, -0x1.b7a1ac7a0c33bp-4, -0x1.b71df9d4b78ep-4, -0x1.b6895f295fcc3p-4, -0x1.b5e42b2293f9bp-4, -0x1.b52eabc59c2a5p-4, -0x1.b4692ef41619ep-4, -0x1.b39402dabf4b1p-4, -0x1.b2af75ed9bde4p-4, -0x1.b1bbd673ab4fap-4, -0x1.b0b971fd8d347p-4, -0x1.afa8953135937p-4, -0x1.ae898c0de8d82p-4, -0x1.ad5ca26a4e72cp-4, -0x1.ac22244430936p-4, -0x1.aada5da3e089bp-4, -0x1.a9859a2929ee4p-4, -0x1.a8242495bae2fp-4, -0x1.a6b646a84ce71p-4, -0x1.a53c495da70cfp-4, -0x1.a3b6755f8d0a4p-4, -0x1.a225134ddf10ep-4, -0x1.a0886bacf9695p-4, -0x1.9ee0c68879214p-4, -0x1.9d2e6b095f482p-4, -0x1.9b719f458b17ap-4, -0x1.99aaa864b995bp-4, -0x1.97d9cafb6e1b4p-4, -0x1.95ff4b5a13075p-4, -0x1.941b6d9c29173p-4, -0x1.922e757098cdcp-4, -0x1.9038a5bfbac31p-4, -0x1.8e3a4066d8fb5p-4, -0x1.8c338631c47ebp-4, -0x1.8a24b711efffp-4, -0x1.880e126b73c1cp-4, -0x1.85efd7470b69cp-4, -0x1.83ca444d1cd1bp-4, -0x1.819d978fdefc6p-4, -0x1.7f6a0e447d5fp-4, -0x1.7d2fe49473b6p-4, -0x1.7aef559fe0758p-4, -0x1.78a89bac2ab71p-4, -0x1.765bf060525bcp-4, -0x1.74098cec3709dp-4, -0x1.71b1aa07f1ed4p-4, -0x1.6f547fce79063p-4, -0x1.6cf2458899342p-4, -0x1.6a8b3184ccfc6p-4, -0x1.681f7910e7f26p-4, -0x1.65af5096dc63fp-4, -0x1.633aebca1bff2p-4, -0x1.60c27dcd080b5p-4, -0x1.5e46393d979acp-4, -0x1.5bc65025e2881p-4, -0x1.5942f3d99ce7ep-4, -0x1.56bc54d1fe634p-4, -0x1.5432a29a4e38cp-4, -0x1.51a60bd6a432p-4, -0x1.4f16be5f2c29ep-4, -0x1.4c84e7612a912p-4, -0x1.49f0b3766643cp-4, -0x1.475a4eaa64b53p-4, -0x1.44c1e46e7bef4p-4, -0x1.42279f81e1a18p-4, -0x1.3f8ba9d98569p-4, -0x1.3cee2c930982dp-4, -0x1.3a4f4ffa66f0fp-4, -0x1.37af3b9c39bf3p-4, -0x1.350e165d096c4p-4, -0x1.326c068a9c141p-4, -0x1.2fc931e2f1fa7p-4, -0x1.2d25bd9009295p-4, -0x1.2a81ce1ae0b16p-4, -0x1.27dd875b4d664p-4, -0x1.25390c6c3643p-4, -0x1.22947faa332a3p-4, -0x1.1ff002bcfd2f1p-4, -0x1.1d4bb6a65438p-4, -0x1.1aa7bbcfe0436p-4, -0x1.18043213ec7e3p-4, -0x1.156138c020715p-4, -0x1.12beee92460e1p-4, -0x1.101d71b0aa874p-4, -0x1.0d7cdfa124f4dp-4, -0x1.0add554324f3fp-4, -0x1.083eeed02939dp-4, -0x1.05a1c7e250dc3p-4, -0x1.0305fb7d66466p-4, -0x1.006ba416df7b4p-4, -0x1.fba5b734d8e3dp-5, -0x1.f67776d95a8b4p-5, -0x1.f14cb8d63d5e2p-5, -0x1.ec25add48fa54p-5, -0x1.e702856559f7ap-5, -0x1.e1e36dfc809c1p-5, -0x1.dcc894f09a5ecp-5, -0x1.d7b22680823d1p-5, -0x1.d2a04ddb74547p-5, -0x1.cd9335271eec5p-5, -0x1.c88b05820f1cep-5, -0x1.c387e704d2baap-5, -0x1.be8a00c4a5ba6p-5, -0x1.b99178dca78bfp-5, -0x1.b49e745c345f3p-5, -0x1.afb1177b9c1b6p-5, -0x1.aac985740ef64p-5, -0x1.a5e7e09c14228p-5, -0x1.a10c4a65a8d7cp-5, -0x1.9c36e35c3cdefp-5, -0x1.9767cb1c69a86p-5, -0x1.929f20481d9fep-5, -0x1.8ddd007d748b8p-5, -0x1.8921885600fp-5, -0x1.846cd370d42c5p-5, -0x1.7fbefc859fc9ap-5, -0x1.7b181d7c993adp-5, -0x1.76784f8596d12p-5, -0x1.71dfab28a0dbdp-5, -0x1.6d4e484b39cb2p-5, -0x1.68c43e274dc73p-5, -0x1.6441a333eceb3p-5, -0x1.5fc68d04d134p-5, -0x1.5b53102a2d441p-5, -0x1.56e7401c1e90bp-5, -0x1.52832f3abc831p-5, -0x1.4e26eee5b4171p-5, -0x1.49d28fa82005bp-5, -0x1.4586216ebaabep-5, -0x1.4141b3ba0c8f5p-5, -0x1.3d0555c17266cp-5, -0x1.38d1167a5d13fp-5, -0x1.34a50480c4cc1p-5, -0x1.30812de36431dp-5, -0x1.2c659fde7d432p-5, -0x1.28526696ce7a9p-5, -0x1.24478ce868a81p-5, -0x1.20451c598b50bp-5, -0x1.1c4b1d3953f1ep-5, -0x1.185996e6cf23fp-5, -0x1.147090320f32p-5, -0x1.10900fc11b26dp-5, -0x1.0cb81c6022a3cp-5, -0x1.08e8bd27c730bp-5, -0x1.0521f96d15082p-5, -0x1.0163d87afcef3p-5, -0x1.fb5cc244b64c8p-6, -0x1.f4033271fb61ep-6, -0x1.ecbb0a4d1a978p-6, -0x1.e5844f3a9a474p-6, -0x1.de5f03280b26dp-6, -0x1.d74b250fdd213p-6, -0x1.d048b1f8844f5p-6, -0x1.c957a63bb208fp-6, -0x1.c277fece253f8p-6, -0x1.bba9ba3d2e2dfp-6, -0x1.b4ecd923d418ep-6, -0x1.ae415df6c8fc4p-6, -0x1.a7a74c2a632afp-6, -0x1.a11ea6d93c635p-6, -0x1.9aa76f35ade87p-6, -0x1.9441a31c3d989p-6, -0x1.8ded3c1b39362p-6, -0x1.87aa2f2f75fd3p-6, -0x1.81786d4d511f3p-6, -0x1.7b57e4a1099c2p-6, -0x1.7548824801cbap-6, -0x1.6f4a3428512acp-6, -0x1.695cea834dc17p-6, -0x1.638098eda912ep-6, -0x1.5db53674c0ac4p-6, -0x1.57fabce6db3b1p-6, -0x1.5251275d2f2bbp-6, -0x1.4cb87051dae4ep-6, -0x1.47308fa3fcef2p-6, -0x1.41b978f3f5799p-6, -0x1.3c531ab26b7b4p-6, -0x1.36fd5e18cf26cp-6, -0x1.31b82810508c8p-6, -0x1.2c835adc40c8dp-6, -0x1.275ed826ed812p-6, -0x1.224a8313aad4p-6, -0x1.1d4641e14176fp-6, -0x1.1851fed3ce8d9p-6, -0x1.136da83e8944dp-6, -0x1.0e992fb13c1cp-6, -0x1.09d4887566836p-6, -0x1.051fa5a4ec0d9p-6, -0x1.007a78366af25p-6, -0x1.f7c9dabd5f175p-7, -0x1.eebddb33b7986p-7, -0x1.e5d0b9200a389p-7, -0x1.dd0233b73a6eap-7, -0x1.d452050b019eep-7, -0x1.cbbfe5c0a1daap-7, -0x1.c34b90b1616afp-7, -0x1.baf4c5b19b7fbp-7, -0x1.b2bb4afee4c27p-7, -0x1.aa9eed3275b7p-7, -0x1.a29f7deb78c0dp-7, -0x1.9abcd19d19e7dp-7, -0x1.92f6bcfedf185p-7, -0x1.8b4d12948522cp-7, -0x1.83bfa0aca4793p-7, -0x1.7c4e3020f4432p-7, -0x1.74f8840f86a2ap-7, -0x1.6dbe5aa8144ep-7, -0x1.669f6ef7cbfd9p-7, -0x1.5f9b7b5c51863p-7, -0x1.58b23c092d4abp-7, -0x1.51e370f175b4ap-7, -0x1.4b2ede87051c5p-7, -0x1.44944d18d8f69p-7, -0x1.3e1386fd8d66cp-7, -0x1.37ac561b4a018p-7, -0x1.315e818409ca4p-7, -0x1.2b29cbccf60b9p-7, -0x1.250df28edc3a7p-7, -0x1.1f0aaf1d8415cp-7, -0x1.191fb8336666ap-7, -0x1.134cc41caf847p-7, -0x1.0d918ae685b0bp-7, -0x1.07edc833b4808p-7, -0x1.02613c7e484afp-7, -0x1.f9d75b4f8de6ep-8, -0x1.ef19cd8efa7d6p-8, -0x1.e4896e65148c9p-8, -0x1.da25e197bfe81p-8, -0x1.cfeecb827e18ap-8, -0x1.c5e3cbd4f95f4p-8, -0x1.bc04781c8b8ecp-8, -0x1.b25056cee3a16p-8, -0x1.a8c6dbda87dbep-8, -0x1.9f67680572e77p-8, -0x1.96314c3f8565bp-8, -0x1.8d23d1435a445p-8, -0x1.843e427ec11fap-8, -0x1.7b7ff9cc62c07p-8, -0x1.72e868afd2b61p-8, -0x1.6a771c283c367p-8, -0x1.622bb9c24f442p-8, -0x1.5a05f6edb4dbep-8, -0x1.52058dbca554p-8, -0x1.4a2a3324a6037p-8, -0x1.427391fd4f78dp-8, -0x1.3ae14b9c18cb8p-8, -0x1.3372fbd2ca49p-8, -0x1.2c283bdbbd56fp-8, -0x1.2500a1443dfd6p-8, -0x1.1dfbb7b436562p-8, -0x1.1718f710b61ccp-8, -0x1.1057bc6a4b765p-8, -0x1.09b74b6f9d765p-8, -0x1.0336dac1027cap-8, -0x1.f9ab532964431p-9, -0x1.ed262ede82361p-9, -0x1.e0dd67e83d3dbp-9, -0x1.d4d07dc3ee5ap-9, -0x1.c8ff2d5204b6ap-9, -0x1.bd69380bf0443p-9, -0x1.b20e2d6243302p-9, -0x1.a6ed4e998102cp-9, -0x1.9c05997adb59dp-9, -0x1.9155f396a9b93p-9, -0x1.86dd602151364p-9, -0x1.7c9b2542327b7p-9, -0x1.728ecdddedbdp-9, -0x1.68b8056be52bap-9, -0x1.5f165c862a34p-9, -0x1.55a9104d16418p-9, -0x1.4c6eef82c5c0fp-9, -0x1.43666da1564d3p-9, -0x1.3a8de11f6baaep-9, -0x1.31e3d5f7e0f43p-9, -0x1.296751c1163e1p-9, -0x1.2117e9c76d485p-9, -0x1.18f59ddbf7987p-9, -0x1.110084cd72e07p-9, -0x1.09386e14f8164p-9, -0x1.019ca385ea6b9p-9, -0x1.f457d133a9636p-10, -0x1.e5c97147b4edep-10, -0x1.d78b4fa61dc43p-10, -0x1.c99b7674871a1p-10, -0x1.bbf9222c35fafp-10, -0x1.aea490fd187c5p-10, -0x1.a19e67d61ab0fp-10, -0x1.94e6f0fbf3c2dp-10, -0x1.887d866c88109p-10, -0x1.7c606288f929cp-10, -0x1.708ce07be5852p-10, -0x1.65000791b3179p-10, -0x1.59b727ba726a7p-10, -0x1.4eb0523d3874fp-10, -0x1.43ea8a64754fp-10, -0x1.39659e524a019p-10, -0x1.2f21b0d4cc9p-10, -0x1.251e9a0fa523dp-10, -0x1.1b5b5cebc2a19p-10, -0x1.11d5f1b4508d1p-10, -0x1.088b884bdf178p-10, -0x1.fef25d166ff96p-11, -0x1.ed392afb7d827p-11, -0x1.dbe93b19ff9adp-11, -0x1.cb02cddfa9b23p-11, -0x1.ba87b2c844aeep-11, -0x1.aa79b57239465p-11, -0x1.9ad937976707fp-11, -0x1.8ba4aba8a07c7p-11, -0x1.7cd90bf95ae1ep-11, -0x1.6e72cd24d6627p-11, -0x1.606ea4835b936p-11, -0x1.52c9cea493ab1p-11, -0x1.4581ee0e5cee8p-11, -0x1.3894d2da5e30ap-11, -0x1.2c006fd5b8cfdp-11, -0x1.1fc3002c2e97dp-11, -0x1.13db18e3451d5p-11, -0x1.08475f3fb156cp-11, -0x1.fa0bed7c93fe9p-12, -0x1.e4282ea0f7a6p-12, -0x1.cedc6bfe7f6bbp-12, -0x1.ba218ab68bfep-12, -0x1.a5f25cb3be5bbp-12, -0x1.924cefa7db634p-12, -0x1.7f324eee58191p-12, -0x1.6ca499d2c396ap-12, -0x1.5aa48df5d7beap-12, -0x1.493032632bf1ep-12, -0x1.38435ec1cad9ap-12, -0x1.27d96686dbdcp-12, -0x1.17eea9963226dp-12, -0x1.08812fc454c4fp-12, -0x1.f3200dfe8806fp-13, -0x1.d6339212449ep-13, -0x1.ba36b27008c4cp-13, -0x1.9f1f9e2d99ffp-13, -0x1.84e3147f6066cp-13, -0x1.6b773e749bf9cp-13, -0x1.52d587c44daefp-13, -0x1.3afa8925130cp-13, -0x1.23e42d0cad0dcp-13, -0x1.0d8f56580ee61p-13, -0x1.efed2fbf02fb4p-14, -0x1.c6259527e7bdfp-14, -0x1.9dba7aa8f12dfp-14, -0x1.76a406504f94p-14, -0x1.50e076349941bp-14, -0x1.2c6f922521e4cp-14, -0x1.094d5fa0fcb0bp-14, -0x1.cee150a239c3ep-15, -0x1.8d9ab5d96568cp-15, -0x1.4eb0d18cc4feep-15, -0x1.1215ab12b9caep-15, -0x1.af86b32447e49p-16, -0x1.3f6a9fd52ea8p-16, -0x1.a786c14a6c39p-17, -0x1.b1bdea530a384p-18, -0x1.28b71d67bf512p-21, 0x1.5795e279a8e06p-18, 0x1.627ce2c9355d7p-17, 0x1.08f04d0d2d96p-16, 0x1.5d1fa3d6f708bp-16, 0x1.ade2a0079f461p-16, 0x1.fb409d59a5fa7p-16, 0x1.229f216eed949p-15, 0x1.45f5fe9544c3p-15, 0x1.67b43f15eb8cp-15, 0x1.87eaa18d40aeap-15, 0x1.a6a548daa3b9fp-15, 0x1.c3ec0138159b3p-15, 0x1.dfc6a8e770f66p-15, 0x1.fa3f85833c437p-15, 0x1.09b12dd8e7452p-14, 0x1.159d2c999be6dp-14, 0x1.20e82c357cc66p-14, 0x1.2b959e77b9f14p-14, 0x1.35a91b9ff8a95p-14, 0x1.3f271687f19dep-14, 0x1.481469c5c408bp-14, 0x1.5075d4be216cfp-14, 0x1.584fec32bc02ap-14, 0x1.5fa770c2d066ap-14, 0x1.668162127679ep-14, 0x1.6ce2d40e5d4c5p-14, 0x1.72d0a04a4e5a6p-14, 0x1.784ed4ef0d2bbp-14, 0x1.7d600a84aa3fbp-14, 0x1.8206522d59815p-14, 0x1.8645cafd01ecep-14, 0x1.8a2459b5bc109p-14, 0x1.8da49820ebedfp-14, 0x1.90c38b8b0fe37p-14, 0x1.937fe16d65c53p-14, 0x1.95e141c52c75p-14, 0x1.97f2e821ee9cep-14, 0x1.99b961cd9d38dp-14, 0x1.9b329162c9dfbp-14, 0x1.9c5deec4f9335p-14, 0x1.9d3fc7c342324p-14, 0x1.9ddcc7bf57cabp-14, 0x1.9e36f4d58b4dcp-14, 0x1.9e4f2c40ac82dp-14, 0x1.9e26df8224139p-14, 0x1.9dc03a481dd5bp-14, 0x1.9d1db57bfd7dfp-14, 0x1.9c41f6c2936d8p-14, 0x1.9b3001f8805c9p-14, 0x1.99eb50eea97c3p-14, 0x1.98778aa7c135p-14, 0x1.96d83f5c895d1p-14, 0x1.951105a945b85p-14, 0x1.93246db92a9f8p-14, 0x1.91116aed0506p-14, 0x1.8ed61cc52029ep-14, 0x1.8c7799c3848c2p-14, 0x1.89fbeae4603a5p-14, 0x1.875b4d413961dp-14, 0x1.848b9b0c4f06cp-14, 0x1.8197889c86ef6p-14, 0x1.7e9006312475p-14, 0x1.7b734087bfff5p-14, 0x1.7839630dba062p-14, 0x1.74e63db07ea2p-14, 0x1.717fb269c56f7p-14, 0x1.6e051342cded9p-14, 0x1.6a742365d8409p-14, 0x1.66ccfa4b129ccp-14, 0x1.63115773abb83p-14, 0x1.5f43477e4e59cp-14, 0x1.5b648d105f215p-14, 0x1.57769400091d7p-14, 0x1.537a651799a0bp-14, 0x1.4f70f098f9c9bp-14, 0x1.4b5b16a73a4cep-14, 0x1.4739f96bf5626p-14, 0x1.430f10283699fp-14, 0x1.3edc0e8109cd8p-14, 0x1.3aa3212274817p-14, 0x1.3667e4e4e5468p-14, 0x1.322de64a5feeap-14, 0x1.2df360dcb4684p-14, 0x1.29b519b796dap-14, 0x1.2573c4f0fc904p-14, 0x1.2128ba0ce8d81p-14, 0x1.1cd0f61aad12ap-14, 0x1.1877a566498d1p-14, 0x1.141f6608142f7p-14, 0x1.0fc86c9e3a231p-14, 0x1.0b77a745fe407p-14, 0x1.072a4a8e1fec7p-14, 0x1.02db9e3f9612ap-14, 0x1.fd1653018a8dep-15, 0x1.f4757469999d9p-15, 0x1.ebd828f5c2454p-15, 0x1.e340ba436e547p-15, 0x1.dab087c65c92dp-15, 0x1.d22864f116e37p-15, 0x1.c9a90cdc0dbbp-15, 0x1.c13338dcc491ep-15, 0x1.b8c7ca14e7727p-15, 0x1.b0679399ad8dep-15, 0x1.a8131850c9c32p-15, 0x1.9fca71a3abf14p-15, 0x1.978d959166731p-15, 0x1.8f5cd4332211dp-15, 0x1.8738b6e24231dp-15, 0x1.7f210cdb0c8b8p-15, 0x1.771759d640833p-15, 0x1.6f282d0ec2fb5p-15, 0x1.676391d868da4p-15, 0x1.5fb7f4940177ep-15, 0x1.580c02324b6c1p-15, 0x1.505ed815145f3p-15, 0x1.48aff1860a234p-15, 0x1.411f2f73be77fp-15, 0x1.39b8a1e940ef4p-15, 0x1.3266f878b26bep-15, 0x1.2b202a4e31837p-15, 0x1.23e6661ff01cep-15, 0x1.1cbd688096c14p-15, 0x1.15a7752aa1f36p-15, 0x1.0ea59b9610fe1p-15, 0x1.07b84709c3c26p-15, 0x1.00df925cd30fdp-15, 0x1.f436e4f47e558p-16, 0x1.e6d7a1b2f9a5cp-16, 0x1.d9a142c1472fap-16, 0x1.cc93e9254894fp-16, 0x1.bfaffecfa840dp-16, 0x1.b2f61c41531fcp-16, 0x1.a666b98a777b6p-16, 0x1.9a01c65c63d77p-16, 0x1.8dc6760f57fa6p-16, 0x1.81b390d4f930cp-16, 0x1.75c8282e85b63p-16, 0x1.6a03c0c72d06dp-16, 0x1.5e650fe9e5f77p-16, 0x1.52ec60b74a0d6p-16, 0x1.47a734874d8cfp-16, 0x1.3ca62aea70f42p-16, 0x1.31d935d175ee4p-16, 0x1.2720ed3f4c349p-16, 0x1.1c77418f5fe0ep-16, 0x1.11fcb33890675p-16, 0x1.07befbfe8816cp-16, 0x1.fb5d5dd47e6e4p-17, 0x1.e77f937e77721p-17, 0x1.d3e821f631e01p-17, 0x1.c09dc9157e0cep-17, 0x1.ada38ee4b8242p-17, 0x1.9afa0ab78639cp-17, 0x1.88a0e9c0a9bf5p-17, 0x1.76978ac180f41p-17, 0x1.64dd2fbb15fa1p-17, 0x1.53707b6d566ap-17, 0x1.4252691435835p-17, 0x1.31807518ab6b8p-17, 0x1.20fa8b4e43a63p-17, 0x1.10c01ea627f82p-17, 0x1.00d0bce32cd2fp-17, 0x1.e257eef3e032fp-18, 0x1.c3a275eff3922p-18, 0x1.a57f5770c464fp-18, 0x1.87ec51b3e4aa3p-18, 0x1.6ae717873b3c6p-18, 0x1.4e6df8d8eab24p-18, 0x1.327f58f0fa48bp-18, 0x1.1717795b97794p-18, 0x1.f8685d7c2fccep-19, 0x1.c3d2af7ee9cfbp-19, 0x1.907b746da4844p-19, 0x1.5de6d3bb310dap-19, 0x1.2c424679d0426p-19, 0x1.f80c2c57c1db8p-20, 0x1.996bd4f2e6a41p-20, 0x1.3c4eb3960667cp-20, 0x1.c2de01fe5df46p-21, 0x1.1124f25564367p-21, 0x1.8c496922454eap-23, -0x1.1d39050b6f164p-23, -0x1.dbe4954d15c3ep-22, -0x1.90de1eb4b22cdp-21, -0x1.180f7ce182959p-20, -0x1.65dfd9c05623bp-20, -0x1.b1e6dcf775f1ap-20, -0x1.fc2c16d4ca7c5p-20, -0x1.225b10e839e46p-19, -0x1.45c48b26623bp-19, -0x1.68560689f052dp-19, -0x1.8a129d6af97fcp-19, -0x1.aafd2d6aec334p-19, -0x1.cb18954989954p-19, -0x1.ea67bc5e031d6p-19, -0x1.0476d08003e37p-18, -0x1.1356ae43f6aefp-18, -0x1.21d50938efeb7p-18, -0x1.2ff365960f0c1p-18, -0x1.3db31d0768e67p-18, -0x1.4b1559cece315p-18, -0x1.581b825ff1d23p-18, -0x1.64c7f8a84a5adp-18, -0x1.711c9cbf6fe36p-18, -0x1.7d1661917937bp-18, -0x1.88ba950df5d17p-18, -0x1.940addf1caf46p-18, -0x1.9f052901578f5p-18, -0x1.a9af5bd7787fbp-18, -0x1.b409320e774ebp-18, -0x1.be124921094fep-18, -0x1.c7ce2e44608a2p-18, }}, 
      {{0x1.770c1b005866ep-4, 0x1.70fd55124b75ap-3, 0x1.0d9a3b10089fap-2, 0x1.5b2247f1fefd2p-2, 0x1.9fcd24b1a1cb8p-2, 0x1.dae817d093a91p-2, 0x1.061e9877a225dp-1, 0x1.19fc3dd3b30fp-1, 0x1.29478c231917bp-1, 0x1.3454a1fab4d91p-1, 0x1.3b87dfeec7c3ap-1, 0x1.3f4e561ce1a34p-1, 0x1.4017d750e0d53p-1, 0x1.3e5289d1d3419p-1, 0x1.3a67c0bc7ffdp-1, 0x1.34b9e32ddfbeap-1, 0x1.2da3287d8d9b7p-1, 0x1.2574f701c07afp-1, 0x1.1c77ba5819e14p-1, 0x1.12eb0dcc404c7p-1, 0x1.09061f441119dp-1, 0x1.fdf06bcbce092p-2, 0x1.e9d29b395f6cbp-2, 0x1.d5f57a02493p-2, 0x1.c28fbc3a311ccp-2, 0x1.afcd693b754b3p-2, 0x1.9dd11b4ceb83dp-2, 0x1.8cb52d8663239p-2, 0x1.7c8cd4ba2f1f7p-2, 0x1.6d6521a41acf9p-2, 0x1.5f45eba1f92f2p-2, 0x1.5232a3f2b75bp-2, 0x1.462b1222a5701p-2, 0x1.3b2bfaadccbf8p-2, 0x1.312fb12457ff9p-2, 0x1.282e975966bc1p-2, 0x1.201f8b455c7eep-2, 0x1.18f8453e1297fp-2, 0x1.12ada81d379c1p-2, 0x1.0d3404e83ebd6p-2, 0x1.087f537e44b4p-2, 0x1.048361af66978p-2, 0x1.0133fa0121313p-2, 0x1.fd0a067ce7745p-3, 0x1.f8d533ba3d77ap-3, 0x1.f5b24846f7f25p-3, 0x1.f38ac3bc29a71p-3, 0x1.f248f0b5a6412p-3, 0x1.f1d7f684d87f3p-3, 0x1.f223e5aa3c32ap-3, 0x1.f319bff6d53f4p-3, 0x1.f4a77d174199p-3, 0x1.f6bc0c2b73393p-3, 0x1.f94752f75abbep-3, 0x1.fc3a2b20f57cap-3, 0x1.ff865ddbd2d4dp-3, 0x1.018f4f2b7d22p-2, 0x1.037b41975d36p-2, 0x1.05813f8f7398cp-2, 0x1.079bec9228522p-2, 0x1.09c6521b0b5a8p-2, 0x1.0bfbdb5ca1109p-2, 0x1.0e3850e48fbd9p-2, 0x1.1077d4361faedp-2, 0x1.12b6db64eec3ap-2, 0x1.14f22cb8653a6p-2, 0x1.1726da5f5cf78p-2, 0x1.19523e39b525ap-2, 0x1.1b71f5bb64894p-2, 0x1.1d83ddeaafdcfp-2, 0x1.1f860f7b17832p-2, 0x1.2176db06f9d91p-2, 0x1.2354c56b41258p-2, 0x1.251e844979cd2p-2, 0x1.26d2fab26dc2bp-2, 0x1.287135f9ce6a7p-2, 0x1.29f86aaf7b935p-2, 0x1.2b67f1b9c087p-2, 0x1.2cbf458dfaf75p-2, 0x1.2dfdff8783516p-2, 0x1.2f23d55f10e4ap-2, 0x1.303096c89310bp-2, 0x1.31242b388ae0bp-2, 0x1.31fe8fd0a9449p-2, 0x1.32bfd572431bp-2, 0x1.33681eebcdffep-2, 0x1.33f79f40e5e36p-2, 0x1.346e9807242ddp-2, 0x1.34cd57d4d8611p-2, 0x1.351438ca31c17p-2, 0x1.35439f2f9b4f3p-2, 0x1.355bf831e7acap-2, 0x1.355db8ba7c84dp-2, 0x1.35495c616e1c8p-2, 0x1.351f647a159ap-2, 0x1.34e0573247a86p-2, 0x1.348cbec434b4fp-2, 0x1.342528b56470cp-2, 0x1.33aa2521f749bp-2, 0x1.331c4613ca046p-2, 0x1.327c1ee43d7c1p-2, 0x1.31ca43aa3798fp-2, 0x1.310748b573001p-2, 0x1.3033c215e3e8ep-2, 0x1.2f5043315b5e2p-2, 0x1.2e5d5e657ef9cp-2, 0x1.2d5ba4b588cdfp-2, 0x1.2c4ba5836c887p-2, 0x1.2b2dee5184371p-2, 0x1.2a030a8cee74dp-2, 0x1.28cb835ec4c69p-2, 0x1.2787df825ccacp-2, 0x1.2638a321190efp-2, 0x1.24de4fb2adde9p-2, 0x1.237963e0eb3afp-2, 0x1.220a5b6ffe50ep-2, 0x1.2091af2abb97dp-2, 0x1.1f0fd4d262aa2p-2, 0x1.1d853f127d404p-2, 0x1.1bf25d78ea036p-2, 0x1.1a579c71269bfp-2, 0x1.18b565430647dp-2, 0x1.170c1e1554128p-2, 0x1.155c29f2bf503p-2, 0x1.13a5e8d0e1fa6p-2, 0x1.11e9b79a8565dp-2, 0x1.1027f03b64b98p-2, 0x1.0e60e9ac9d1ddp-2, 0x1.0c94f802e8332p-2, 0x1.0ac46c7ded5dep-2, 0x1.08ef9597de481p-2, 0x1.0716bf15287e9p-2, 0x1.053a3214e8929p-2, 0x1.035a3521bbc95p-2, 0x1.01770c421f026p-2, 0x1.ff21f212658a5p-3, 0x1.fb50754f828e7p-3, 0x1.f77a1bf9bcd35p-3, 0x1.f39f5b4dd0f04p-3, 0x1.efc0a428f0633p-3, 0x1.ebde6329e565cp-3, 0x1.e7f900d3227e6p-3, 0x1.e410e1ac98034p-3, 0x1.e0266663e286ap-3, 0x1.dc39ebed625abp-3, 0x1.d84bcba5aa2bp-3, 0x1.d45c5b7094cfcp-3, 0x1.d06bedd82ba17p-3, 0x1.cc7ad22cae306p-3, 0x1.c88954a27faaap-3, 0x1.c497be6e6eec7p-3, 0x1.c0a655e33f9fp-3, 0x1.bcb55e8e11128p-3, 0x1.b8c519500d528p-3, 0x1.b4d5c478ac005p-3, 0x1.b0e79be038e8ap-3, 0x1.acfad8ff7ec31p-3, 0x1.a90fb3061ca85p-3, 0x1.a5265ef260515p-3, 0x1.a13f0fa7d3d8cp-3, 0x1.9d59f602a3201p-3, 0x1.997740eb4f7d7p-3, 0x1.95971d6ba2b62p-3, 0x1.91b9b6c159083p-3, 0x1.8ddf366e47546p-3, 0x1.8a07c449ad3a4p-3, 0x1.863386923f0b6p-3, 0x1.8262a1fd657fep-3, 0x1.7e9539c4e2a43p-3, 0x1.7acb6fb5f1e36p-3, 0x1.770564409b15bp-3, 0x1.7343368446c0dp-3, 0x1.6f85045b1a149p-3, 0x1.6bcaea66edafp-3, 0x1.6815041e372fp-3, 0x1.64636bd69a007p-3, 0x1.60b63ace203b9p-3, 0x1.5d0d8935fa0fap-3, 0x1.59696e3dcbad4p-3, 0x1.55ca001c87261p-3, 0x1.522f5417b450fp-3, 0x1.4e997e8be906cp-3, 0x1.4b0892f666481p-3, 0x1.477ca3fd1c5dbp-3, 0x1.43f5c37491233p-3, 0x1.407402660f525p-3, 0x1.3cf7711789379p-3, 0x1.39801f1318008p-3, 0x1.360e1b2c294e6p-3, 0x1.32a17383bf495p-3, 0x1.2f3a358e1f806p-3, 0x1.2bd86e19abf92p-3, 0x1.287c295458e28p-3, 0x1.252572cf15279p-3, 0x1.21d4558105449p-3, 0x1.1e88dbcc920ffp-3, 0x1.1b430f8529319p-3, 0x1.1802f9f368fb2p-3, 0x1.14c8a3d75b462p-3, 0x1.1194156ad6248p-3, 0x1.0e655665b0848p-3, 0x1.0b3c6e02c124ep-3, 0x1.081963036a564p-3, 0x1.04fc3bb139285p-3, 0x1.01e4fddf56d94p-3, 0x1.fda75ddb62648p-4, 0x1.f790a79ac29ep-4, 0x1.f185e208ae14p-4, 0x1.eb87155d86c51p-4, 0x1.e59448ff9b5fdp-4, 0x1.dfad83872c676p-4, 0x1.d9d2cac52132cp-4, 0x1.d40423caf0c9p-4, 0x1.ce4192ef4fe8ap-4, 0x1.c88b1bcf15ba1p-4, 0x1.c2e0c14e4c7dbp-4, 0x1.bd42859c6efbfp-4, 0x1.b7b06a3bb30dp-4, 0x1.b22a7007a272bp-4, 0x1.acb097382d371p-4, 0x1.a742df61c9571p-4, 0x1.a1e147763ed43p-4, 0x1.9c8bcdc8e524cp-4, 0x1.97427015ba3p-4, 0x1.92052b874a5adp-4, 0x1.8cd3fcb9a71a9p-4, 0x1.87aedfb9fea31p-4, 0x1.8295d006f1ed1p-4, 0x1.7d88c89419c88p-4, 0x1.7887c3d07ea39p-4, 0x1.7392bbace158bp-4, 0x1.6ea9a99eeb1b7p-4, 0x1.69cc86a14be81p-4, 0x1.64fb4b333c062p-4, 0x1.6035ef5aa6e4ap-4, 0x1.5b7c6aa97acc9p-4, 0x1.56ceb44403fb7p-4, 0x1.522cc2e59f0ffp-4, 0x1.4d968ce1befcbp-4, 0x1.490c08236f3f7p-4, 0x1.448d2a2daf5bep-4, 0x1.4019e81eb94d1p-4, 0x1.3bb236b5ace08p-4, 0x1.37560a5832453p-4, 0x1.33055715c7e0fp-4, 0x1.2ec010a856434p-4, 0x1.2a862a73b0f4bp-4, 0x1.265797867c0aap-4, 0x1.22344a9d0120bp-4, 0x1.1e1c3627c723fp-4, 0x1.1a0f4c4eb07b6p-4, 0x1.160d7ef578271p-4, 0x1.1216bfbbc0b4p-4, 0x1.0e2afffceec3cp-4, 0x1.0a4a30d0c8419p-4, 0x1.0674430e246acp-4, 0x1.02a9274f523bap-4, 0x1.fdd19bed63698p-5, 0x1.f6664e63e4c36p-5, 0x1.ef1045f6c38cfp-5, 0x1.e7cf6233ff35ap-5, 0x1.e0a382436fafdp-5, 0x1.d98c84e9e36c3p-5, 0x1.d28a488fa69bbp-5, 0x1.cb9cab485a1a1p-5, 0x1.c4c38ada21d04p-5, 0x1.bdfec4c1e007ep-5, 0x1.b74e36352584cp-5, 0x1.b0b1bc22047bdp-5, 0x1.aa293330b019ep-5, 0x1.a3b477c69f6c4p-5, 0x1.9d53660c40d32p-5, 0x1.9705d9f3ac8a7p-5, 0x1.90cbaf3e48a16p-5, 0x1.8aa4c1806653cp-5, 0x1.8490ec22dc49dp-5, 0x1.7e900a639c7b2p-5, 0x1.78a1f756dc6edp-5, 0x1.72c68de9b541ap-5, 0x1.6cfda8e689e5dp-5, 0x1.674722fa353cdp-5, 0x1.61a2d6b8e256fp-5, 0x1.5c109ea18a224p-5, 0x1.5690551feb419p-5, 0x1.5121d48d7e3a9p-5, 0x1.4bc4f7324bbb8p-5, 0x1.46799746bbfc3p-5, 0x1.413f8ef500159p-5, 0x1.3c16b8607855ep-5, 0x1.36feeda6d08a5p-5, 0x1.31f808e0ad1acp-5, 0x1.2d01e42b5155p-5, 0x1.281c59a454441p-5, 0x1.2347436c7cdffp-5, 0x1.1e827ba836dd7p-5, 0x1.19cddc822f2fp-5, 0x1.1529402b5ddebp-5, 0x1.109480e02c6a1p-5, 0x1.0c0f78ea419e2p-5, 0x1.079a02a34a6d3p-5, 0x1.0333f876dec64p-5, 0x1.fdba69c7902f6p-6, 0x1.f52b24f9c0c17p-6, 0x1.ecb9d7d3b4c98p-6, 0x1.e46637d0a61ap-6, 0x1.dc2ffa9acd772p-6, 0x1.d416d60f67614p-6, 0x1.cc1a8042d234cp-6, 0x1.c43aaf84c9d79p-6, 0x1.bc771a634e1d5p-6, 0x1.b4cf77ad605a7p-6, 0x1.ad437e7452596p-6, 0x1.a5d2e60d4b7d9p-6, 0x1.9e7d6612a2fabp-6, 0x1.9742b665ae271p-6, 0x1.90228f313a817p-6, 0x1.891ca8ec8a999p-6, 0x1.8230bc5e40acdp-6, 0x1.7b5e829f9fd0fp-6, 0x1.74a5b51dca04bp-6, 0x1.6e060d9c5cb11p-6, 0x1.677f463613365p-6, 0x1.6111195dccb1bp-6, 0x1.5abb41df6bc2fp-6, 0x1.547d7ae0fe191p-6, 0x1.4e577fe458ce8p-6, 0x1.48490cc92feafp-6, 0x1.4251ddcf5768fp-6, 0x1.3c71af98e762bp-6, 0x1.36a83f2bc1353p-6, 0x1.30f549f2b9dd7p-6, 0x1.2b588dbec239p-6, 0x1.25d1c8ab355f7p-6, 0x1.2060b9aba23d7p-6, 0x1.1b051f715d1a6p-6, 0x1.15beb9876252dp-6, 0x1.108d47c51b96bp-6, 0x1.0b708a6b8c256p-6, 0x1.066842272629fp-6, 0x1.017430122028fp-6, 0x1.f9282b6d0989ap-7, 0x1.ef8f6a1eaaba9p-7, 0x1.e61da11118573p-7, 0x1.dcd255fd3861p-7, 0x1.d3ad0f7c28a23p-7, 0x1.caad5506dac1ap-7, 0x1.c1d2aef6268e2p-7, 0x1.b91ca6834ce19p-7, 0x1.b08ac5c98cf3ap-7, 0x1.a81c97c88b5fdp-7, 0x1.9fd1a867512a3p-7, 0x1.97a9847713e14p-7, 0x1.8fa3b9b564582p-7, 0x1.87bfd6cd62dddp-7, 0x1.7ffd6b57e3d49p-7, 0x1.785c07d9cae3bp-7, 0x1.70db3dc2b4f9cp-7, 0x1.697a9f6c3d1e2p-7, 0x1.6239c016a0893p-7, 0x1.5b1833eaf467ep-7, 0x1.54158ffa8402fp-7, 0x1.4d316a40dae14p-7, 0x1.466b59a66e3bcp-7, 0x1.3fc2f60288ddbp-7, 0x1.3937d81c88a6p-7, 0x1.32c999ac1b9b5p-7, 0x1.2c77d55885063p-7, 0x1.264226b71d161p-7, 0x1.20282a49838b4p-7, 0x1.1a297d7c376cdp-7, 0x1.1445bea5c59e1p-7, 0x1.0e7c8d06d1bc2p-7, 0x1.08cd88cad65d8p-7, 0x1.0338530947d54p-7, 0x1.fb791b8c9c82fp-8, 0x1.f0b3b7e5c1f9p-8, 0x1.e61fc2d764695p-8, 0x1.dbbc85ee74a35p-8, 0x1.d1894c867d8e4p-8, 0x1.c78563c54ffe7p-8, 0x1.bdb01a9884e28p-8, 0x1.b408c1b5eefb2p-8, 0x1.aa8eab9f272c7p-8, 0x1.a1412c9dcb89ap-8, 0x1.981f9ab9e0fd2p-8, 0x1.8f294e0a1fae9p-8, 0x1.865da0ab8f13ap-8, 0x1.7dbbedf749f63p-8, 0x1.7543939df41cfp-8, 0x1.6cf3f10b844c6p-8, 0x1.64cc66e8691a1p-8, 0x1.5ccc57d8c3e5bp-8, 0x1.54f3282c0fc81p-8, 0x1.4d403dba84be3p-8, 0x1.45b2fffa9005fp-8, 0x1.3e4ad81446d8cp-8, 0x1.370730f35c505p-8, 0x1.2fe77757aac9p-8, 0x1.28eb19e181de3p-8, 0x1.22118913442f2p-8, 0x1.1b5a374a4e72ep-8, 0x1.14c498aaee6f3p-8, 0x1.0e502305bc944p-8, 0x1.07fc4db9b4b67p-8, 0x1.01c89199903a8p-8, 0x1.f768d1b43b30fp-9, 0x1.eb7e9e1b4d559p-9, 0x1.dfd1827f99f34p-9, 0x1.d4607b620f2cdp-9, 0x1.c92a892e32aa2p-9, 0x1.be2eaf696ff4dp-9, 0x1.b36bf531d226p-9, 0x1.a8e1656dd02e3p-9, 0x1.9e8e0ec05d23ep-9, 0x1.9471036889a44p-9, 0x1.8a8959054ed11p-9, 0x1.80d62846f28b6p-9, 0x1.77568c9bd79ep-9, 0x1.6e09a3e89f68cp-9, 0x1.64ee8e59c5e2ap-9, 0x1.5c046e58cda2ap-9, 0x1.534a68a692f27p-9, 0x1.4abfa4943e85dp-9, 0x1.42634c4cdff9cp-9, 0x1.3a348d1ef13f6p-9, 0x1.323297b56a89ap-9, 0x1.2a5ca03669431p-9, 0x1.22b1de42eb5fap-9, 0x1.1b318cda9435ep-9, 0x1.13daea28d487fp-9, 0x1.0cad374387321p-9, 0x1.05a7b7e20c80bp-9, 0x1.fd93642b1b44fp-10, 0x1.f024dc1798069p-10, 0x1.e3026bcf3b4ccp-10, 0x1.d62aab72f840dp-10, 0x1.c99c37391ef2p-10, 0x1.bd55afe7d0c37p-10, 0x1.b155bb6ebe816p-10, 0x1.a59b0572f55cap-10, 0x1.9a243f9d9404cp-10, 0x1.8ef021aaf2826p-10, 0x1.83fd6921cb0fap-10, 0x1.794ad8ef73ed8p-10, 0x1.6ed7390cd3032p-10, 0x1.64a156360950bp-10, 0x1.5aa801d2c877bp-10, 0x1.50ea11e6d1ef1p-10, 0x1.476660eee5164p-10, 0x1.3e1bcd9c5db7p-10, 0x1.35093a7cfef92p-10, 0x1.2c2d8db7e3a9cp-10, 0x1.2387b10d9b814p-10, 0x1.1b16922db8249p-10, 0x1.12d92343d4404p-10, 0x1.0ace5b8190a5p-10, 0x1.02f537532d23cp-10, 0x1.f6997048859abp-11, 0x1.e7a7c77c73f64p-11, 0x1.d9138713dad7p-11, 0x1.cadac81b1fff5p-11, 0x1.bcfba9cb98c71p-11, 0x1.af74527ad1d14p-11, 0x1.a242f10818dep-11, 0x1.9565be01e566bp-11, 0x1.88dafbd640f2bp-11, 0x1.7ca0f5ea848aap-11, 0x1.70b5feff0f42cp-11, 0x1.65186fbbd7076p-11, 0x1.59c6a61ea7639p-11, 0x1.4ebf06138a372p-11, 0x1.43fffada1d0d9p-11, 0x1.3987f8725c6fcp-11, 0x1.2f557c2f52006p-11, 0x1.25670b2d6728ap-11, 0x1.1bbb2f7c86f82p-11, 0x1.125078b5250ap-11, 0x1.09257a4b0b32ap-11, 0x1.0038c87821767p-11, 0x1.ef11faedb701p-12, 0x1.de29786d9be4fp-12, 0x1.cdb55f46d8391p-12, 0x1.bdb3188ae88d3p-12, 0x1.ae201fce56391p-12, 0x1.9ef9feeaed317p-12, 0x1.903e49de6bd66p-12, 0x1.81ea9c859af05p-12, 0x1.73fc9aa3bf9cbp-12, 0x1.6671f0faa326ap-12, 0x1.594856e68cc6ap-12, 0x1.4c7d98428e079p-12, 0x1.400f94412f0cap-12, 0x1.33fc246f97537p-12, 0x1.284137fdab42bp-12, 0x1.1cdcc4bb220b4p-12, 0x1.11ccb5c5326e1p-12, 0x1.070f064560caap-12, 0x1.f94374d6fdf3bp-13, 0x1.e505beae3e46dp-13, 0x1.d1611e55e2f61p-13, 0x1.be51e2df1b87ep-13, 0x1.abd472cffa19ep-13, 0x1.99e5482c4dddp-13, 0x1.8880ee1e6a5ffp-13, 0x1.77a400f39808p-13, 0x1.674b2faef165cp-13, 0x1.57733d8a6816cp-13, 0x1.481901f2c3c0cp-13, 0x1.393966c80ac88p-13, 0x1.2ad16601731f4p-13, 0x1.1cde082f0bba2p-13, 0x1.0f5c646174b4p-13, 0x1.0249a0bea9d8ep-13, 0x1.eb45e55cc50ebp-14, 0x1.d2cb3c469293dp-14, 0x1.bb1de87aa9fdfp-14, 0x1.a438a395d49cep-14, 0x1.8e163c0182ea8p-14, 0x1.78b192efa96fp-14, 0x1.64059b50e5a21p-14, 0x1.500d5a4358008p-14, 0x1.3cc3e9fd3b3afp-14, 0x1.2a2481a667681p-14, 0x1.182a7fe34d364p-14, 0x1.06d173a4bb958p-14, 0x1.ec2a3964f0abcp-15, 0x1.cbe2c0ee48839p-15, 0x1.acc46ef4b8a28p-15, 0x1.8ec73ba797dp-15, 0x1.71e320bc5fe5p-15, 0x1.56103105f93f1p-15, 0x1.3b46be05c7e86p-15, 0x1.217f73e78f6e5p-15, 0x1.08b35b42718dap-15, 0x1.e1b77fbe76965p-16, 0x1.b3e415907fb8ap-16, 0x1.87df49654e8d9p-16, 0x1.5d9bddbad757dp-16, 0x1.350c9f34c5908p-16, 0x1.0e2483350a523p-16, 0x1.d1ad625320cd8p-17, 0x1.8a2cfd2610c3cp-17, 0x1.45aefbfacbe6fp-17, 0x1.041b6138016c4p-17, 0x1.8ab7037517e93p-18, 0x1.12b4560d76261p-18, 0x1.400d1082fd516p-19, 0x1.943140205e7fp-21, -0x1.afa5ed74f4de9p-21, -0x1.3325b68808951p-19, -0x1.f0f97cdb95ac2p-19, -0x1.52d96ce7aefc9p-18, -0x1.a8cd6b1eb20adp-18, -0x1.fa7ab84469d8bp-18, -0x1.2400d3e4f7f5fp-17, -0x1.48c1025de9633p-17, -0x1.6b8de8f4d5a7bp-17, -0x1.8c77a5b876902p-17, -0x1.ab8e31b736ef2p-17, -0x1.c8e126ac13c49p-17, -0x1.e47fbad160364p-17, -0x1.fe78e2863cf78p-17, -0x1.0b6db5531780ep-16, -0x1.16daf629bbdap-16, -0x1.218b4bbcc360dp-16, -0x1.2b85752e9fc6p-16, -0x1.34cfc3fc2d963p-16, -0x1.3d702c6437c02p-16, -0x1.456c76525406bp-16, -0x1.4cca6d7698ba5p-16, -0x1.538fed9c1006fp-16, -0x1.59c2c3f4c654dp-16, -0x1.5f687f7e6b484p-16, -0x1.648655797e56fp-16, -0x1.69212b8d4178cp-16, -0x1.6d3dbb51bfb58p-16, -0x1.70e0b470c48a1p-16, -0x1.740ec700690d2p-16, -0x1.76cc91b7a16bap-16, -0x1.791e88755d0ap-16, -0x1.7b08ef4a63ab5p-16, -0x1.7c8fed4ea81d9p-16, -0x1.7db79da23d3a9p-16, -0x1.7e83fed548c4ap-16, -0x1.7ef8e2459cb59p-16, -0x1.7f1a6516a344dp-16, -0x1.7eec0afac718fp-16, -0x1.7e715c9ec6a1cp-16, -0x1.7dade4b7b3186p-16, -0x1.7ca4ac957848ep-16, -0x1.7b590f1582bafp-16, -0x1.79ce3935e9b2bp-16, -0x1.78072e9b8783dp-16, -0x1.7606d2de6398ap-16, -0x1.73cfe995f5467p-16, -0x1.71651e026825cp-16, -0x1.6ec90e27ebb25p-16, -0x1.6bfe4cfe9736bp-16, -0x1.69075cb700aa7p-16, -0x1.65e6a9852b356p-16, -0x1.629e87a0584e2p-16, -0x1.5f3132d9a615dp-16, -0x1.5ba0d13381412p-16, -0x1.57ef7bbab6a49p-16, -0x1.541f45be15e5ep-16, -0x1.50322cfde1baap-16, -0x1.4c29e07613f77p-16, -0x1.4808f80d45fddp-16, -0x1.43d08b9e8961p-16, -0x1.3f826875ee6e8p-16, -0x1.3b204649df387p-16, -0x1.36abbc9709656p-16, -0x1.322663c2b2ae4p-16, -0x1.2d91c03f91d68p-16, -0x1.28ef401fcdcd1p-16, -0x1.24403b5eb4d5fp-16, -0x1.1f85f7ccc594fp-16, -0x1.1ac1ad3c86a24p-16, -0x1.15f48df189821p-16, -0x1.111fcf51e6024p-16, -0x1.0c449f0c6051dp-16, -0x1.07640b4d11bdbp-16, -0x1.027f09efaa5d8p-16, -0x1.fb2d3431e4113p-17, -0x1.f1578edcb62f2p-17, -0x1.e77f19db417dfp-17, -0x1.dda59304d13d1p-17, -0x1.d3cc9e243a1f7p-17, -0x1.c9f5dd9df5705p-17, -0x1.c022eb0bde5ebp-17, -0x1.b6554bffeb2ccp-17, -0x1.ac8e720ebcc9ep-17, -0x1.a2cfbb49b9683p-17, -0x1.991a6fcde03eep-17, -0x1.8f6fc371dd38dp-17, -0x1.85d0e0004aedcp-17, -0x1.7c3ef23122e45p-17, -0x1.72bb2ab34d071p-17, -0x1.6946aa9472605p-17, -0x1.5fe26ac217952p-17, -0x1.568f3d12cbccp-17, -0x1.4d4de3218f725p-17, -0x1.441f14b234898p-17, -0x1.3b0382e2b2042p-17, -0x1.31fbf0554b58dp-17, -0x1.2909158ad4ebdp-17, -0x1.202b60a35ab2ap-17, -0x1.176331613e049p-17, -0x1.0eb14c6c2061bp-17, -0x1.06168facc2b62p-17, -0x1.fb26ddbb46df7p-18, -0x1.ea5052c09c7dp-18, -0x1.d9aa529561a6ep-18, -0x1.c935d50a12517p-18, -0x1.b8f3a6f5de4a3p-18, -0x1.a8e47aeec017bp-18, -0x1.9908f99e540e2p-18, -0x1.8961b9cd24872p-18, -0x1.79ef1b6a1b5f3p-18, -0x1.6ab0a8c97ba9bp-18, -0x1.5baac1b56ef21p-18, -0x1.4cd6ec36cfd4ap-18, -0x1.3e3bc1a01cb86p-18, -0x1.2fd62193a0973p-18, -0x1.21a7374b6eaa5p-18, -0x1.13af6c1b38dc2p-18, -0x1.05ef123303ccfp-18, -0x1.f0cc9b03f8299p-19, -0x1.d62a17788991dp-19, -0x1.bbf61e10b0dffp-19, -0x1.a22fde215ac45p-19, -0x1.88d6c968b7943p-19, -0x1.6feb03ea8f18fp-19, -0x1.576c664726a22p-19, -0x1.3f5aba9d8312p-19, -0x1.27b6293e55026p-19, -0x1.107e035db0074p-19, -0x1.f363088174347p-20, -0x1.c6a0ef7d2be4p-20, -0x1.9ab4db3b56a38p-20, -0x1.6f9df2bc63018p-20, -0x1.455bc21c1ea79p-20, -0x1.1beadeacf0045p-20, -0x1.e696cfd022abep-21, -0x1.96fe880c0190ap-21, -0x1.4905d8647b8a5p-21, -0x1.f9522ea11c155p-22, -0x1.63bb29627555ap-22, -0x1.a298f2a93a3aap-23, -0x1.07ff2bd57e3c2p-24, 0x1.28c5d510ca4edp-24, 0x1.a69b04e2010f5p-23, 0x1.595b4f15c4b99p-22, 0x1.dc6274eeabb8dp-22, 0x1.2e3525404d117p-21, 0x1.6cbccbd23e2ebp-21, 0x1.a9cc332967e38p-21, 0x1.e568b248307bcp-21, 0x1.0fcb57c4c2035p-20, 0x1.2c2c1183c915ep-20, 0x1.47d8c57fc35bcp-20, 0x1.62d4bcd3e42d1p-20, 0x1.7d22cac615ae2p-20, 0x1.96c5dd91525dp-20, 0x1.afbe5efa6b392p-20, 0x1.c80da3da95303p-20, 0x1.dfb6ee8bd7eebp-20, 0x1.f6bccd0d0a139p-20, 0x1.06908c29a2b49p-19, 0x1.1172cd7288852p-19, 0x1.1c062023c2d29p-19, 0x1.264b8b0ae79fdp-19, 0x1.3044252388089p-19, 0x1.39f11492c5b86p-19, 0x1.43538abd31b51p-19, 0x1.4c6cbc78ea7bfp-19, 0x1.553dd7ca7f636p-19, 0x1.5dc7fa2cd8f1cp-19, 0x1.660c2b69f2581p-19, 0x1.6e0b618f993eep-19, 0x1.75c68e2e69721p-19, 0x1.7d3eb3c5a746ap-19, 0x1.847509370875p-19, 0x1.8b6af5117abcdp-19, 0x1.9221596c9b461p-19, 0x1.98993a7385f0fp-19, 0x1.9ed39109c6d11p-19, 0x1.a4d1b08b73b17p-19, 0x1.aa944473a1c57p-19, 0x1.b01befb3896c3p-19, 0x1.b56a0b2292348p-19, 0x1.ba80496526a5bp-19, 0x1.bf5fe8d789457p-19, 0x1.c4096bf569f8p-19, 0x1.c87d831e1609p-19, 0x1.ccbd624b11d45p-19, 0x1.d0ca276cddcf3p-19, 0x1.d4a4c33357877p-19, 0x1.d84e092dedf2bp-19, 0x1.dbc70c4502ee3p-19, 0x1.df109dadb92c2p-19, 0x1.e22ba81b2cec6p-19, 0x1.e5191f02d333cp-19, 0x1.e7d9f42f3e7b3p-19, 0x1.ea7633aa47375p-19, 0x1.ecd94a721cf0dp-19, 0x1.ef19a445c18b3p-19, 0x1.f130f8da03e16p-19, 0x1.f320229a23d73p-19, 0x1.f4e7f70de2d6ep-19, 0x1.f689478c8b546p-19, 0x1.f804e4e3c42d4p-19, 0x1.f95ba28ca7945p-19, 0x1.fa8e56e74813fp-19, 0x1.fb9dd75695f46p-19, 0x1.fc8af2072b6a4p-19, 0x1.fd566be78df3ep-19, 0x1.fe0106e41430cp-19, 0x1.fe8b82880e996p-19, 0x1.fef68915b29dcp-19, 0x1.ff42d216df07bp-19, 0x1.ff71564aa137ap-19, 0x1.ff82b921b5f23p-19, 0x1.ff7774b62c7aep-19, 0x1.ff507751b8298p-19, 0x1.ff10ba261c7bap-19, 0x1.feaf9367c985cp-19, 0x1.fe3cb8ba511d2p-19, 0x1.fdad54b27df63p-19, 0x1.fd05e7d1f1ba1p-19, 0x1.fc466fcb83cb7p-19, 0x1.fb6fe84b02d02p-19, 0x1.fa8251f4c8ec2p-19, 0x1.f97fe658f588fp-19, 0x1.f868aa1fb6927p-19, 0x1.f73bd7f3b9f44p-19, 0x1.f5f9016732635p-19, 0x1.f4a47c7a338c2p-19, 0x1.f33d0c374ba03p-19, 0x1.f1c2d1aaa2901p-19, 0x1.f0369102f0a7ap-19, 0x1.ee98e242b0648p-19, 0x1.ecea4dba83259p-19, 0x1.eb2b571aea5dap-19, 0x1.e95c7ff43888bp-19, 0x1.e77e471995c97p-19, 0x1.e59129538772ep-19, 0x1.e3959f662dcb6p-19, 0x1.e18c1eafea97ap-19, 0x1.df751a6c458a5p-19, 0x1.dd51065697fa7p-19, 0x1.db20553b93a13p-19, 0x1.d8e37293f0304p-19, 0x1.d69ace5694472p-19, 0x1.d446d24bfc86fp-19, 0x1.d1e7e3c3ae4bdp-19, 0x1.cf7e6f4e667acp-19, 0x1.cd0ad9b63badcp-19, 0x1.ca8d8508598e9p-19, 0x1.c806d4bd5ed94p-19, }}, 
      {{0x1.aca5cd308f6afp-1, 0x1.dd9303dd95a67p-1, 0x1.106f455befad3p+0, 0x1.35051ad5bd1cap+0, 0x1.577b770e3a399p+0, 0x1.744dc23a3a30bp+0, 0x1.896cda8c47e82p+0, 0x1.95fc4c5eec94p+0, 0x1.9a050eedfcaa7p+0, 0x1.962dc8d4b591ap+0, 0x1.8b7ecc9e8c059p+0, 0x1.7b32f4830767ep+0, 0x1.66948b619dd6dp+0, 0x1.4ee4998222365p+0, 0x1.354aa9710dcb3p+0, 0x1.1acb310bdebdap+0, 0x1.004303a1887f9p+0, 0x1.cccccbf631f14p-1, 0x1.9b8540acdc119p-1, 0x1.6d824642b6359p-1, 0x1.435718d979de3p-1, 0x1.1d6015d48ead2p-1, 0x1.f7971239bab54p-2, 0x1.bd441cf475ab4p-2, 0x1.8b9c878e4ec8dp-2, 0x1.6247530501dc8p-2, 0x1.40c94836a9479p-2, 0x1.268f3b3650726p-2, 0x1.12f6a1ae24606p-2, 0x1.05549be9983fdp-2, 0x1.f9f73113088fap-3, 0x1.f27f7e5fb7f58p-3, 0x1.f2f49bf97648fp-3, 0x1.fa1828ec5edcdp-3, 0x1.035f325efd43ep-2, 0x1.0be83d52e370cp-2, 0x1.1626eb480ed6fp-2, 0x1.21a65c0a5f6fdp-2, 0x1.2dfd17cc9c3f6p-2, 0x1.3accd51cb1f61p-2, 0x1.47c21520cbcc9p-2, 0x1.5493a23a75685p-2, 0x1.6101fad6d77d2p-2, 0x1.6cd6b02c82d67p-2, 0x1.77e3bee4394e1p-2, 0x1.8202e633594bbp-2, 0x1.8b1500c41ee03p-2, 0x1.930161d7d9eep-2, 0x1.99b538607af7bp-2, 0x1.9f22f937f4937p-2, 0x1.a341d12e4c7e3p-2, 0x1.a60d1f5a02e78p-2, 0x1.a783f7d7ae57fp-2, 0x1.a7a8aefca6abfp-2, 0x1.a6806ce515b64p-2, 0x1.a412c92eb9e3bp-2, 0x1.a0696ea3460edp-2, 0x1.9b8fc689e2b7dp-2, 0x1.9592ab4ec5489p-2, 0x1.8e802227f742dp-2, 0x1.86671b5ddd1dbp-2, 0x1.7d5738d8fa49ep-2, 0x1.73609a96d0961p-2, 0x1.6893b0a8e0486p-2, 0x1.5d011262e2dc5p-2, 0x1.50b95a55e8a8fp-2, 0x1.43cd06c6b579dp-2, 0x1.364c5e464e641p-2, 0x1.2847580d9fe53p-2, 0x1.19cd87fcb09abp-2, 0x1.0aee0d9b8622p-2, 0x1.f76f0cc831796p-3, 0x1.d870049456841p-3, 0x1.b8f9f62395425p-3, 0x1.99269b1f238d7p-3, 0x1.790e6923f950cp-3, 0x1.58c88d13a0f93p-3, 0x1.386ae5974fedap-3, 0x1.180a05ea437d1p-3, 0x1.ef726a8fe54cbp-4, 0x1.af14e870ebe0dp-4, 0x1.6f1d084d0dcc7p-4, 0x1.2fa9d3ebe0603p-4, 0x1.e1aff1ec5e8ecp-5, 0x1.6583a3d9721ccp-5, 0x1.d5fdf12d2ac4cp-6, 0x1.c937a99df7d01p-7, -0x1.19ee0bd790d2dp-11, -0x1.e3f81f5cb411fp-7, -0x1.d6a9bcf0e9d3fp-6, -0x1.5b4fab00a7873p-5, -0x1.c8d537bb60f2fp-5, -0x1.19e7c339cb102p-4, -0x1.4e15ce67aea1fp-4, -0x1.80ecacf828246p-4, -0x1.b265a64072e45p-4, -0x1.e27b43666167p-4, -0x1.08949df85bd5p-3, -0x1.1f3630a84f4e2p-3, -0x1.3521463384a54p-3, -0x1.4a5545567d155p-3, -0x1.5ed206526c4b8p-3, -0x1.7297caa42c4d4p-3, -0x1.85a7349ba148p-3, -0x1.98013ff4540bdp-3, -0x1.a9a73a6972bb5p-3, -0x1.ba9abc89d81e7p-3, -0x1.cadda35ac59ddp-3, -0x1.da7209d81287bp-3, -0x1.e95a42d0c0e7ap-3, -0x1.f798d36e3120cp-3, -0x1.029836c8daf8bp-2, -0x1.0911f54ac595p-2, -0x1.0f3b235334ffap-2, -0x1.15154dff09ec8p-2, -0x1.1aa20f3b92e3cp-2, -0x1.1fe30bd8e8fcdp-2, -0x1.24d9f19a9af39p-2, -0x1.29887561fe865p-2, -0x1.2df051a29866fp-2, -0x1.321344e1b9e5dp-2, -0x1.35f3103b5e371p-2, -0x1.3991762ad269p-2, -0x1.3cf0396b6b7f8p-2, -0x1.40111bd58f60cp-2, -0x1.42f5dd678a93fp-2, -0x1.45a03b73287ffp-2, -0x1.4811efcf65eacp-2, -0x1.4a4cb014c41afp-2, -0x1.4c522cffe2d1bp-2, -0x1.4e2411ec5da19p-2, -0x1.4fc40444f2a5ep-2, -0x1.5133a309fdcf3p-2, -0x1.5274867e3b78bp-2, -0x1.53883fcd78b93p-2, -0x1.547058b5e1864p-2, -0x1.552e534f69facp-2, -0x1.55c3a9dcbde3dp-2, -0x1.5631ce9e4cd34p-2, -0x1.567a2baf07928p-2, -0x1.569e22e94bef7p-2, -0x1.569f0ddc05a67p-2, -0x1.567e3dc560b5bp-2, -0x1.563cfb85514b1p-2, -0x1.55dc879e78777p-2, -0x1.555e1a4a66ccp-2, -0x1.54c2e38375507p-2, -0x1.540c0b0b6646fp-2, -0x1.533ab0855db3p-2, -0x1.524feb93248bp-2, -0x1.514ccbeab36dep-2, -0x1.50325972e6743p-2, -0x1.4f0194658151ep-2, -0x1.4dbb756d2c20ap-2, -0x1.4c60edca2d14p-2, -0x1.4af2e77bb875p-2, -0x1.497245605ade2p-2, -0x1.47dfe35705504p-2, -0x1.463c966de1649p-2, -0x1.44892d0ea2803p-2, -0x1.42c66f1defa81p-2, -0x1.40f51e20af38ep-2, -0x1.3f15f56cafee4p-2, -0x1.3d29aa52c39ep-2, -0x1.3b30ec3fb9454p-2, -0x1.392c64e4a27ep-2, -0x1.371cb864b8e13p-2, -0x1.3502857ab6f03p-2, -0x1.32de659ac4e79p-2, -0x1.30b0ed1c11bc4p-2, -0x1.2e7aab631f197p-2, -0x1.2c3c2b029a005p-2, -0x1.29f5f1db0efp-2, -0x1.27a881435fbc4p-2, -0x1.2554563077e0cp-2, -0x1.22f9e952c408cp-2, -0x1.2099af326ababp-2, -0x1.1e341853cf835p-2, -0x1.1bc9915cbb0e3p-2, -0x1.195a832fbafe3p-2, -0x1.16e753044d1ap-2, -0x1.14706286ee0cfp-2, -0x1.11f60ffba5dfdp-2, -0x1.0f78b65789c09p-2, -0x1.0cf8ad5489326p-2, -0x1.0a76498bd417bp-2, -0x1.07f1dc96b2e14p-2, -0x1.056bb528b9237p-2, -0x1.02e41f1f6368bp-2, -0x1.005b6393ce76p-2, -0x1.fba391eedf02bp-3, -0x1.f68f2663d490dp-3, -0x1.f17a076588be1p-3, -0x1.ec64b2f563b2p-3, -0x1.e74fa2589cb1ap-3, -0x1.e23b4a51a0e09p-3, -0x1.dd281b557da8cp-3, -0x1.d81681a413d12p-3, -0x1.d306e5510e645p-3, -0x1.cdf9aa5fc91dep-3, -0x1.c8ef30f963b5p-3, -0x1.c3e7d59f9b331p-3, -0x1.bee3f14166ba2p-3, -0x1.b9e3d93bf85dep-3, -0x1.b4e7df6b2e117p-3, -0x1.aff052580193p-3, -0x1.aafd7d6cb002dp-3, -0x1.a60fa90e37b55p-3, -0x1.a1271a9a2d2acp-3, -0x1.9c441467e7e29p-3, -0x1.9766d5e72f825p-3, -0x1.928f9bd30fe52p-3, -0x1.8dbea057c1d6ap-3, -0x1.88f41b18b8108p-3, -0x1.84304126a93e1p-3, -0x1.7f7345065bda3p-3, -0x1.7abd56d58626bp-3, -0x1.760ea479d7255p-3, -0x1.716759bb91684p-3, -0x1.6cc7a04285e4ep-3, -0x1.682f9f89ecc64p-3, -0x1.639f7ce8392dp-3, -0x1.5f175bb2a0587p-3, -0x1.5a975d67d1d54p-3, -0x1.561fa1c6e43e5p-3, -0x1.51b046cad3308p-3, -0x1.4d49689cc45f9p-3, -0x1.48eb2196d558fp-3, -0x1.44958a60d268fp-3, -0x1.4048ba178636dp-3, -0x1.3c04c66637971p-3, -0x1.37c9c3871a228p-3, -0x1.3397c4358e04p-3, -0x1.2f6ed9a860624p-3, -0x1.2b4f13a280091p-3, -0x1.273880945604cp-3, -0x1.232b2db9e9915p-3, -0x1.1f272725d7d0ap-3, -0x1.1b2c77b938cafp-3, -0x1.173b291795486p-3, -0x1.135343a846a8dp-3, -0x1.0f74ceab02f42p-3, -0x1.0b9fd0559d63ap-3, -0x1.07d44dea5bd81p-3, -0x1.04124bbd1577ep-3, -0x1.0059cd2a7413cp-3, -0x1.f955a91cf9a86p-4, -0x1.f20ac68e5b36ap-4, -0x1.ead2f38d03613p-4, -0x1.e3ae2f56204f3p-4, -0x1.dc9c77a6a6b97p-4, -0x1.d59dc8c57a0a8p-4, -0x1.ceb21d7763fa8p-4, -0x1.c7d96eee8da35p-4, -0x1.c113b4ca47352p-4, -0x1.ba60e52f33225p-4, -0x1.b3c0f4ee9f68bp-4, -0x1.ad33d7aa4506p-4, -0x1.a6b97fe593ebep-4, -0x1.a051df02b5bd6p-4, -0x1.99fce535a27a3p-4, -0x1.93ba817cc6a8bp-4, -0x1.8d8aa1aaa53b2p-4, -0x1.876d327f6618fp-4, -0x1.81621fc91fa16p-4, -0x1.7b69547b5db55p-4, -0x1.7582bab8554f3p-4, -0x1.6fae3bcc98ffdp-4, -0x1.69ebc026071d8p-4, -0x1.643b2f50f3625p-4, -0x1.5e9c7001c3e4ep-4, -0x1.590f6829d40ffp-4, -0x1.5393fd0f8f458p-4, -0x1.4e2a1360d023fp-4, -0x1.48d18f3ad2881p-4, -0x1.438a5428aa5ep-4, -0x1.3e54451da4698p-4, -0x1.392f4472bbe3bp-4, -0x1.341b33ec3dbedp-4, -0x1.2f17f4c7e1af5p-4, -0x1.2a2567cea5da9p-4, -0x1.25436d6471968p-4, -0x1.2071e59172e0bp-4, -0x1.1bb0b00488615p-4, -0x1.16ffac1106babp-4, -0x1.125eb8ac0692p-4, -0x1.0dcdb46d780dap-4, -0x1.094c7d9767bcp-4, -0x1.04daf2213e10cp-4, -0x1.0078efc4d5791p-4, -0x1.f84ca811f7b4ap-5, -0x1.efc5f88d2f0a3p-5, -0x1.e75d8b5644932p-5, -0x1.df131a6f2271cp-5, -0x1.d6e65f7ec3bf1p-5, -0x1.ced713d386ce8p-5, -0x1.c6e4f06eda177p-5, -0x1.bf0fae1446c9p-5, -0x1.b757055b98ff4p-5, -0x1.afbaaebf75e14p-5, -0x1.a83a62a731c64p-5, -0x1.a0d5d96bb46bep-5, -0x1.998ccb588bc09p-5, -0x1.925ef0ab9e7b8p-5, -0x1.8b4c019692a3fp-5, -0x1.8453b6445d7aep-5, -0x1.7d75c6e2fa4fap-5, -0x1.76b1ebaeee99p-5, -0x1.7007dcfe0a6ecp-5, -0x1.6977534799e09p-5, -0x1.6300072a2b688p-5, -0x1.5ca1b16ecc28bp-5, -0x1.565c0b0ac33ddp-5, -0x1.502ecd20c9d51p-5, -0x1.4a19b10351d37p-5, -0x1.441c703911bbcp-5, -0x1.3e36c4836addep-5, -0x1.386867e5c8fbp-5, -0x1.32b114a9e069fp-5, -0x1.2d108566f357dp-5, -0x1.278675027f3dbp-5, -0x1.22129eb4a9d05p-5, -0x1.1cb4be0a95602p-5, -0x1.176c8ee8d80e9p-5, -0x1.1239cd8e57a39p-5, -0x1.0d1c3697b003ep-5, -0x1.081387030442fp-5, -0x1.031f7c336e98ep-5, -0x1.fc7fa7e5f1274p-6, -0x1.f2e898e70534fp-6, -0x1.e979489e58266p-6, -0x1.e031351348324p-6, -0x1.d70fdd2f71f6p-6, -0x1.ce14c09539562p-6, -0x1.c53f600bc8ab2p-6, -0x1.bc8f3d264d47fp-6, -0x1.b403da7d0e5c6p-6, -0x1.ab9cbba816655p-6, -0x1.a359653ee895ep-6, -0x1.9b395cd31d9cdp-6, -0x1.933c28e7ba52dp-6, -0x1.8b6150e937bd8p-6, -0x1.83a85d2a1d4dp-6, -0x1.7c10d6e7070eep-6, -0x1.749a48524c9ccp-6, -0x1.6d443ca4f7905p-6, -0x1.660e403110aa9p-6, -0x1.5ef7e07079d94p-6, -0x1.5800ac0c2348dp-6, -0x1.512832d8cc55fp-6, -0x1.4a6e05c8e299ep-6, -0x1.43d1b6d6a901bp-6, -0x1.3d52d8ec78a6bp-6, -0x1.36f0ffd2b1943p-6, -0x1.30abc029a909cp-6, -0x1.2a82af72a3052p-6, -0x1.247564274a57ep-6, -0x1.1e8375da6a0d4p-6, -0x1.18ac7d58da2eep-6, -0x1.12f014c38f6e2p-6, -0x1.0d4dd798f7e63p-6, -0x1.07c562aadc222p-6, -0x1.02565400e4c4cp-6, -0x1.fa00955b38512p-7, -0x1.ef85cd4064b39p-7, -0x1.e53b90fe84b0dp-7, -0x1.db21232e70c45p-7, -0x1.d135c7c554af5p-7, -0x1.c778c458d3e25p-7, -0x1.bde96088bfe64p-7, -0x1.b486e6758e79fp-7, -0x1.ab50a3264bedep-7, -0x1.a245e6c2998a6p-7, -0x1.9966048e88664p-7, -0x1.90b052a3fe7c6p-7, -0x1.88242975c3dadp-7, -0x1.7fc0e3360bc42p-7, -0x1.7785db43eb1b6p-7, -0x1.6f726dc350a31p-7, -0x1.6785f77ae6d1ep-7, -0x1.5fbfd603e7fcp-7, -0x1.581f68446d9ap-7, -0x1.50a40f1b3b578p-7, -0x1.494d2e1638a97p-7, -0x1.421a2c099a686p-7, -0x1.3b0a735f3ef96p-7, -0x1.341d720dadba6p-7, -0x1.2d5299360304dp-7, -0x1.26a95c662b915p-7, -0x1.202130c12722dp-7, -0x1.19b98c2cfa23cp-7, -0x1.1371e4add8bf9p-7, -0x1.0d49b02543381p-7, -0x1.0740647c874bbp-7, -0x1.01557833cbae9p-7, -0x1.f710c67383f1bp-8, -0x1.ebb13fbbe13c4p-8, -0x1.e08b5753d36efp-8, -0x1.d59e0fdf937f4p-8, -0x1.cae873e8d572ap-8, -0x1.c06995414eaddp-8, -0x1.b6208ba0b17d3p-8, -0x1.ac0c72b4f0bcep-8, -0x1.a22c680cc1f02p-8, -0x1.987f8947eba82p-8, -0x1.8f04f2ee6a5e3p-8, -0x1.85bbc02c92b11p-8, -0x1.7ca30b7ec1fep-8, -0x1.73b9f036eafe2p-8, -0x1.6aff8c537a788p-8, -0x1.6273028fbb68p-8, -0x1.5a137c0026208p-8, -0x1.51e029098cbabp-8, -0x1.49d84186d1f2ep-8, -0x1.41fb0419a1d47p-8, -0x1.3a47b4cb6d664p-8, -0x1.32bd9b40a4ab7p-8, -0x1.2b5c00d33d94ep-8, -0x1.24222eef7d32ep-8, -0x1.1d0f6e05262a9p-8, -0x1.162305439672ap-8, -0x1.0f5c3b2c064fap-8, -0x1.08ba56d3f2148p-8, -0x1.023ca186af3c1p-8, -0x1.f7c4d0c27398p-9, -0x1.eb55fb17931d6p-9, -0x1.df2b71ad64292p-9, -0x1.d343ef5a454c1p-9, -0x1.c79e38f23cdcbp-9, -0x1.bc391b572e453p-9, -0x1.b113694119e75p-9, -0x1.a62bf91e161bfp-9, -0x1.9b81a353d266fp-9, -0x1.9113411cf9b0cp-9, -0x1.86dfac336f399p-9, -0x1.7ce5bf666f318p-9, -0x1.73245811e304fp-9, -0x1.699a582d89699p-9, -0x1.6046a86b5698fp-9, -0x1.572839c0735a3p-9, -0x1.4e3e05d2a1842p-9, -0x1.45870e1c61f12p-9, -0x1.3d0259f64e85cp-9, -0x1.34aef4212c1bdp-9, -0x1.2c8be881afa97p-9, -0x1.249842a915204p-9, -0x1.1cd30d8acfa8fp-9, -0x1.153b545923a69p-9, -0x1.0dd02439d7914p-9, -0x1.06908e5a1a4bcp-9, -0x1.fef753da10f2ap-10, -0x1.f1212b8456f51p-10, -0x1.e39cf2967bba5p-10, -0x1.d66909fd692bp-10, -0x1.c983e418ea8d7p-10, -0x1.bcec02be9e1cbp-10, -0x1.b09ff3eb35c6ap-10, -0x1.a49e4d5b666e7p-10, -0x1.98e5a76e4293ap-10, -0x1.8d7497cf7f7f3p-10, -0x1.8249ac98885f7p-10, -0x1.776368de2a7ebp-10, -0x1.6cc043ddaa7b3p-10, -0x1.625eabda55a03p-10, -0x1.583d0cfa68832p-10, -0x1.4e59db3d56171p-10, -0x1.44b39d257e56ep-10, -0x1.3b48f42ea6504p-10, -0x1.3218a038f82d6p-10, -0x1.29217cd5e62b8p-10, -0x1.206279658ad04p-10, -0x1.17da8efbb194dp-10, -0x1.0f88b7cf4022bp-10, -0x1.076beb1494b9dp-10, -0x1.ff063b74178e4p-11, -0x1.ef9a8bed7d5cdp-11, -0x1.e092bcb0e6ac9p-11, -0x1.d1ecc859c083bp-11, -0x1.c3a6a0cbc81f4p-11, -0x1.b5be1d35e349dp-11, -0x1.a830ebe9a2087p-11, -0x1.9afc92b3b1cd1p-11, -0x1.8e1e84de2b0d6p-11, -0x1.81944a1f3e5e4p-11, -0x1.755ba91ef6b8p-11, -0x1.6972c3e7133acp-11, -0x1.5dd8181a39736p-11, -0x1.528a60515ca4ap-11, -0x1.478862491c9d1p-11, -0x1.3cd0bf71dac8ep-11, -0x1.3261dd9aefbf7p-11, -0x1.2839f1b342689p-11, -0x1.1e57261a1d72bp-11, -0x1.14b7cae2960cbp-11, -0x1.0b5a752868b6dp-11, -0x1.023dfe2b118c2p-11, -0x1.f2c2c46434f58p-12, -0x1.e18714e406be5p-12, -0x1.d0c635121f258p-12, -0x1.c07cb1fe0c761p-12, -0x1.b0a6806298005p-12, -0x1.a13f69236b0f4p-12, -0x1.924397d1aed07p-12, -0x1.83b00f572188cp-12, -0x1.7582cf5fb24e1p-12, -0x1.67ba94dda94dcp-12, -0x1.5a564c9f4324bp-12, -0x1.4d5474b86224fp-12, -0x1.40b2b52b8e173p-12, -0x1.346de1447e635p-12, -0x1.288262cd39738p-12, -0x1.1cecde70bc735p-12, -0x1.11aac68346f1p-12, -0x1.06ba9ae42398ap-12, -0x1.f837760ab6dcap-13, -0x1.e39bbef19c8e4p-13, -0x1.cfa0ebee970dp-13, -0x1.bc444aa600e1p-13, -0x1.a98151e9334e3p-13, -0x1.975212d168a2ap-13, -0x1.85b0226fc9522p-13, -0x1.74959a8f2ff6cp-13, -0x1.63fddcf1c6695p-13, -0x1.53e5df3628f37p-13, -0x1.444beac8a0f91p-13, -0x1.352edde1822cfp-13, -0x1.268d2b3c10c03p-13, -0x1.1863fb6a350a9p-13, -0x1.0aaed81adbb78p-13, -0x1.fad03286aea3ep-14, -0x1.e113e7acc39fap-14, -0x1.c81f6f8ae3807p-14, -0x1.afed5b1b2e71bp-14, -0x1.987c51a1ad48bp-14, -0x1.81cd7e1566f21p-14, -0x1.6be20031641fp-14, -0x1.56b8b1aa3bd91p-14, -0x1.424d5bb32de23p-14, -0x1.2e9981156338bp-14, -0x1.1b95e70308b3fp-14, -0x1.093bd0324a61bp-14, -0x1.ef0acf0d7af87p-15, -0x1.ccdb0c28f052ap-15, -0x1.abdeb096a3bfep-15, -0x1.8c0c9dfbb10e8p-15, -0x1.6d5cbb2a77d61p-15, -0x1.4fc82c076db51p-15, -0x1.3348670b100f3p-15, -0x1.17d569d11f7b5p-15, -0x1.fac8e48ae4116p-16, -0x1.c7d10a0b1e078p-16, -0x1.96a9901b0df2ep-16, -0x1.673eff84e3c77p-16, -0x1.39880673821a1p-16, -0x1.0d8491c643a12p-16, -0x1.c66faca4dee5dp-17, -0x1.75419774415bfp-17, -0x1.276c60f0f9c99p-17, -0x1.b9a0f53e6ccd5p-18, -0x1.2a97101f4e25ap-18, -0x1.43075b11d7f9ap-19, -0x1.e43e4e0aedeap-22, 0x1.7cf9e3b87f30ep-20, 0x1.ae3d17b0c3f4p-19, 0x1.498b26bbd475bp-18, 0x1.b6c7814a12e94p-18, 0x1.0f8f2e48c3589p-17, 0x1.4168b1d7fe81p-17, 0x1.71075735c59c7p-17, 0x1.9e78c9e2d5657p-17, 0x1.c9c6d162c8a34p-17, 0x1.f2fe1dbbb2f5ep-17, 0x1.0d18f30d412bap-16, 0x1.1fbd0f66486acp-16, 0x1.31768d4121887p-16, 0x1.424c72aa47fffp-16, 0x1.524145c614ce4p-16, 0x1.615666044bd62p-16, 0x1.6f8fe6ec2dec2p-16, 0x1.7cf59b840da58p-16, 0x1.89915353ba5adp-16, 0x1.956c0bfc420c8p-16, 0x1.a08bc5d24ca1fp-16, 0x1.aaf3926efa17ep-16, 0x1.b4a5f989c7e88p-16, 0x1.bda7807d3d3eap-16, 0x1.c5fecefdb0e3cp-16, 0x1.cdb3d91e16fffp-16, 0x1.d4cef00afb676p-16, 0x1.db584bd464e11p-16, 0x1.e1580b46ba306p-16, 0x1.e6d51b49be011p-16, 0x1.ebd3dd5d70773p-16, 0x1.f0561c34fcde6p-16, 0x1.f45d2137614fbp-16, 0x1.f7ec32fd5b1eep-16, 0x1.fb0903c663a18p-16, 0x1.fdb9b54b5bebcp-16, 0x1.000162a6dc80fp-15, 0x1.00f393e921691p-15, 0x1.01b4e868d3688p-15, 0x1.024741709756bp-15, 0x1.02acbd57c244fp-15, 0x1.02e75b1bf3d8ap-15, 0x1.02f8b15e97603p-15, 0x1.02e1fdda149b3p-15, 0x1.02a4858d7bb97p-15, 0x1.0241e49eb4367p-15, 0x1.01bbbb818f2e7p-15, 0x1.0113b300cc8a6p-15, 0x1.004b4bebbea2fp-15, 0x1.fec8608e4be5ep-16, 0x1.fcc004a765759p-16, 0x1.fa80e5e58455ap-16, 0x1.f80e3a665af88p-16, 0x1.f56aaf180bd22p-16, 0x1.f297f86558e42p-16, 0x1.ef9768f9366b4p-16, 0x1.ec6b9c4f7ebfbp-16, 0x1.e9184e22896f4p-16, 0x1.e59f1940a035dp-16, 0x1.e1fe010f738d9p-16, 0x1.de342052595f8p-16, 0x1.da465b290a15ap-16, 0x1.d63bd3de85c3p-16, 0x1.d2175343de126p-16, 0x1.cdd75eda2ba6ep-16, 0x1.c97b828bf87ffp-16, 0x1.c50654f144f8dp-16, 0x1.c07aa0aef1bc8p-16, 0x1.bbd9893eddb29p-16, 0x1.b7237e001b9cfp-16, 0x1.b2594c05532e6p-16, 0x1.ad7c30ca05ccep-16, 0x1.a88d94b56a143p-16, 0x1.a38ef6e3db0b2p-16, 0x1.9e820c0b2c75cp-16, 0x1.9968ce0a6eef5p-16, 0x1.944550e1e61afp-16, 0x1.8f1999cb88031p-16, 0x1.89e7afe53b515p-16, 0x1.84b0f98c181e2p-16, 0x1.7f74ade9252bbp-16, 0x1.7a317ffafe33bp-16, 0x1.74ea493adddeap-16, 0x1.6fa26eff9250bp-16, 0x1.6a551d466a0c3p-16, 0x1.64fc2934cc602p-16, 0x1.5f9dd62402301p-16, 0x1.5a44032807797p-16, 0x1.54ed6d34846ap-16, 0x1.4f95531690193p-16, 0x1.4a3dbcd1dfe43p-16, 0x1.44e9d764a7297p-16, 0x1.3f990b7854984p-16, 0x1.3a49edc264de7p-16, 0x1.34fc6ecb4765dp-16, 0x1.2fb16d1f003cbp-16, 0x1.2a69ebb6f2ea6p-16, 0x1.2526b5151ff8bp-16, 0x1.1fe8a8d7c1f7fp-16, 0x1.1aafd2ebe7b06p-16, 0x1.157ceb4f1ddcbp-16, 0x1.105018f4c5e74p-16, 0x1.0b29de679da1fp-16, 0x1.060ae45c90cbep-16, 0x1.00f3f4618ca19p-16, 0x1.f7cc2f0efc803p-17, 0x1.edc6309316a6fp-17, 0x1.e3d96e7b00e5ep-17, 0x1.da03c19091f7p-17, 0x1.d0416cab3ded7p-17, 0x1.c692bfcc81873p-17, 0x1.bcf02ee3c1a4dp-17, 0x1.b35643f622766p-17, 0x1.a9d0ae76aa1a7p-17, 0x1.a06228f5f62f4p-17, 0x1.970abc39a7f4ep-17, 0x1.8dcefe73ce265p-17, 0x1.84ab83d6bf746p-17, 0x1.7b9b336d07915p-17, 0x1.729d71d2c6ecdp-17, 0x1.69b3c647dc3b2p-17, 0x1.60dfd0d4feae8p-17, 0x1.5822a3b9771cp-17, 0x1.4f7c9671ed27p-17, 0x1.46edd299029a6p-17, 0x1.3e76493a544ecp-17, 0x1.3616407760e4fp-17, 0x1.2dcde8297d1d3p-17, 0x1.259d669bfefd4p-17, 0x1.1d84bce2f5265p-17, 0x1.1583b9f59a98cp-17, 0x1.0d9a1d14c49ddp-17, 0x1.05c7d2918e2ccp-17, 0x1.fc19c8aa155e2p-18, 0x1.ecd20b10b462ep-18, 0x1.ddb96681c840ap-18, 0x1.cedb15656b424p-18, 0x1.c0456cf9ca94fp-18, 0x1.b1e774e900dfap-18, 0x1.a3a95a00a1065p-18, 0x1.958a38dc69f16p-18, 0x1.8789b356f59f4p-18, 0x1.79c445f171ca5p-18, 0x1.6c439ea34ff81p-18, 0x1.5ef42261273fp-18, 0x1.51ccd1a19a852p-18, 0x1.44cf6025986c9p-18, 0x1.37feb4650ea14p-18, 0x1.2b5c5a6222145p-18, 0x1.1ee8cfbc92cabp-18, 0x1.12a407544d4fp-18, 0x1.068db442f0e43p-18, 0x1.f54ade10d41dap-19, 0x1.ddd59617ac8ecp-19, 0x1.c6bacc94860b9p-19, 0x1.aff9e91539ab7p-19, 0x1.999283dbb645dp-19, 0x1.83844e11173fcp-19, 0x1.6dced8e47dea4p-19, 0x1.587154346d49cp-19, 0x1.436a6ee7c5f9cp-19, 0x1.2eb89906ea312p-19, 0x1.1a5abbdd68eb3p-19, 0x1.064fe58f70923p-19, 0x1.e52d18ed825cbp-20, 0x1.be5caa7694288p-20, 0x1.983ff984464a8p-20, 0x1.72e975340fa11p-20, 0x1.4e402359a6919p-20, 0x1.2a1d1fcfc932p-20, 0x1.0679eafb2a95dp-20, 0x1.c6f76fbfb6ef8p-21, 0x1.826296ff0920fp-21, 0x1.3f1002df21378p-21, 0x1.f9becebbd56cfp-22, 0x1.77a5273716092p-22, 0x1.efb587856228cp-23, 0x1.e9a02a7d6c651p-24, -0x1.75eb936dfcbddp-31, -0x1.e656459c15eaep-24, -0x1.e05a0383cf8fp-23, -0x1.64881a85b305fp-22, -0x1.d6c15860a31eap-22, -0x1.2351aff6bb7a9p-21, -0x1.5a3834f2b8b6dp-21, -0x1.900d507342358p-21, -0x1.c4d4051d48e14p-21, -0x1.f88f5f07d819p-21, -0x1.15a1439e3aff3p-20, -0x1.2e78663d97c93p-20, -0x1.46cec7912d998p-20, -0x1.5ea608efca3bdp-20, -0x1.75ffa5015238cp-20, -0x1.8cdcf50451e7ep-20, -0x1.a33f73f3c9d57p-20, -0x1.b9290166a15e3p-20, -0x1.ce9b1c6337675p-20, -0x1.e3954434261fap-20, -0x1.f81988abe6763p-20, -0x1.061653486f3b2p-19, -0x1.0fe6c28d8a0f9p-19, -0x1.197f0f22ca38fp-19, -0x1.22e025dcf079ep-19, -0x1.2c0b1bdfb6eb7p-19, -0x1.34fd56968fd1p-19, -0x1.3dbd5088ac2c7p-19, -0x1.46474d27a07f9p-19, -0x1.4e9d883b06139p-19, -0x1.56c07a5828874p-19, -0x1.5eb1015b243cep-19, -0x1.666f8b2d7e4f9p-19, -0x1.6dfd75991c95bp-19, -0x1.755b3165835p-19, -0x1.7c88d694ac90ep-19, -0x1.8386a3c050793p-19, -0x1.8a56d0d8a74c8p-19, -0x1.90f9428bcdd3ap-19, -0x1.976e701a2418ap-19, -0x1.9db7170a05066p-19, -0x1.a3d3e5fe4af7ap-19, -0x1.a9c586fe2c16dp-19, -0x1.af8c9f70ba05dp-19, -0x1.b529cbf424bddp-19, -0x1.ba9da038b4f7dp-19, -0x1.bfe8a956e14dcp-19, -0x1.c50b7d56dfb8ap-19, -0x1.ca06ca9df7418p-19, -0x1.cedb40a2d4321p-19, -0x1.d38929b2c34a3p-19, -0x1.d810b34f2b9b5p-19, -0x1.dc74451aabdfdp-19, -0x1.e0b2eae2bc8bdp-19, -0x1.e4ccde4e02be9p-19, -0x1.e8c508c570f09p-19, -0x1.ec98d39ba804dp-19, -0x1.f049c3644cc36p-19, -0x1.f3d9c10a53c66p-19, -0x1.f74780869c0cdp-19, }}, 
      {{0x1.a08bfd5a0da9cp-1, 0x1.b1cd8bb96c138p-1, 0x1.cb4c40a7a3ae5p-1, 0x1.e9d9293531e4bp-1, 0x1.05441e0340c71p+0, 0x1.1578d806c8615p+0, 0x1.24a1843c15fa4p+0, 0x1.321ba0fc0667fp+0, 0x1.3d81e08c4235cp+0, 0x1.46a0d142e75bdp+0, 0x1.4d6bb57e9d2cp+0, 0x1.51f27b3a9c8f5p+0, 0x1.54592d90e596cp+0, 0x1.54d0ef2cd0316p+0, 0x1.5392681b99431p+0, 0x1.50d97e8806d92p+0, 0x1.4ce22a3441883p+0, 0x1.47e6320a580c7p+0, 0x1.421ba6479c771p+0, 0x1.3bb3eeafb3369p+0, 0x1.34db49ddb3f58p+0, 0x1.2db8a0a055237p+0, 0x1.266d95dfd1e0ap+0, 0x1.1f16c07424cdfp+0, 0x1.17cc0069b10eap+0, 0x1.10a0e49c624eep+0, 0x1.09a51857c05b3p+0, 0x1.02e4d2f2dd5dcp+0, 0x1.f8d28a37e2bb2p-1, 0x1.ec7201d2a675fp-1, 0x1.e0b0b5ad28adp-1, 0x1.d5938530c493fp-1, 0x1.cb1c26a01366cp-1, 0x1.c149b62a69fe9p-1, 0x1.b8193424b92a1p-1, 0x1.af85f351072cap-1, 0x1.a789f8641486dp-1, 0x1.a01e4c0fd91ccp-1, 0x1.993b40dcd6bd9p-1, 0x1.92d8ae20e894p-1, 0x1.8cee215bf37f2p-1, 0x1.8773072ca3c5fp-1, 0x1.825eccf179d51p-1, 0x1.7da8fc0f15b91p-1, 0x1.79494fbcdd984p-1, 0x1.7537c62352453p-1, 0x1.716cad80c0d58p-1, 0x1.6de0adf1b06ffp-1, 0x1.6a8cd0654d739p-1, 0x1.676a8333258b7p-1, 0x1.64739cb74ebf3p-1, 0x1.61a25c4c8430dp-1, 0x1.5ef169ef9c08cp-1, 0x1.5c5bd4cd1a19bp-1, 0x1.59dd10f02c8c7p-1, 0x1.5770f442210bp-1, 0x1.5513b3023b157p-1, 0x1.52c1dbd78998bp-1, 0x1.507853993f377p-1, 0x1.4e3450e5872f8p-1, 0x1.4bf3579ad585ep-1, 0x1.49b334444eb9cp-1, 0x1.4771f786dac59p-1, 0x1.452df19a16f48p-1, 0x1.42e5add698982p-1, 0x1.4097ee617479ap-1, 0x1.3e43a7fb6ffa6p-1, 0x1.3be7fdf8b818bp-1, 0x1.39843e63c486ep-1, 0x1.3717de4cda06ap-1, 0x1.34a27646a6bcbp-1, 0x1.3223bf111938ep-1, 0x1.2f9b8e73e60d2p-1, 0x1.2d09d44a9d89p-1, 0x1.2a6e97c2e91e1p-1, 0x1.27c9f4cb7daa4p-1, 0x1.251c19b0a898ap-1, 0x1.226544e262dd8p-1, 0x1.1fa5c2e09576dp-1, 0x1.1cddec4d2fc93p-1, 0x1.1a0e24230a29p-1, 0x1.1736d614854b4p-1, 0x1.14587510a198ap-1, 0x1.117379ebd0ae2p-1, 0x1.0e88622c7368ap-1, 0x1.0b97aef0bd228p-1, 0x1.08a1e3ef2d931p-1, 0x1.05a7868d306cbp-1, 0x1.02a91d077752fp-1, 0x1.ff4e5b668251cp-2, 0x1.f9447ca209b67p-2, 0x1.f335a6ec8a58p-2, 0x1.ed22e01741e7cp-2, 0x1.e70d29b90953ap-2, 0x1.e0f580717273cp-2, 0x1.dadcdb4553b4ap-2, 0x1.d4c42b1412b46p-2, 0x1.ceac5a1fed5a1p-2, 0x1.c8964ba73447fp-2, 0x1.c282db8db5249p-2, 0x1.bc72de140a783p-2, 0x1.b6671f9efd793p-2, 0x1.b060648bdfee1p-2, 0x1.aa5f69133a788p-2, 0x1.a464e13915409p-2, 0x1.9e7178c7f9713p-2, 0x1.9885d3573a068p-2, 0x1.92a28c5a65356p-2, 0x1.8cc8373784c4ap-2, 0x1.86f75f63dd4dfp-2, 0x1.81308885b9a2dp-2, 0x1.7b742e99814ep-2, 0x1.75c2c61a477b7p-2, 0x1.701cbc2d05c6bp-2, 0x1.6a8276cd933c3p-2, 0x1.64f454fdd163p-2, 0x1.5f72aef6bdefap-2, 0x1.59fdd65ace522p-2, 0x1.54961669c34c4p-2, 0x1.4f3bb4360fd4cp-2, 0x1.49eeeedaf4bdp-2, 0x1.44afffb35822fp-2, 0x1.3f7f1a9127dcep-2, 0x1.3a5c6df50406bp-2, 0x1.354823460a8acp-2, 0x1.30425f088d26bp-2, 0x1.2b4b411474c1ap-2, 0x1.2662e4cb79a7fp-2, 0x1.2189614d4a415p-2, 0x1.1cbec9aac2f5fp-2, 0x1.18032d1850553p-2, 0x1.1356971e5f607p-2, 0x1.0eb90fc889b32p-2, 0x1.0a2a9bd38b9aap-2, 0x1.05ab3cd959796p-2, 0x1.013af17bf1782p-2, 0x1.f9b36b1dcf839p-3, 0x1.f10f047e92eb5p-3, 0x1.e8889c74abb34p-3, 0x1.e0201ba5af691p-3, 0x1.d7d56649cb481p-3, 0x1.cfa85c7169e71p-3, 0x1.c798da4831d8p-3, 0x1.bfa6b8548e82ap-3, 0x1.b7d1cbb55617fp-3, 0x1.b019e65d8d7edp-3, 0x1.a87ed74c853a2p-3, 0x1.a1006ac3a6551p-3, 0x1.999e6a7ade95ep-3, 0x1.92589dd1feb82p-3, 0x1.8b2ec9ff3e93p-3, 0x1.8420b23c7cacdp-3, 0x1.7d2e17f242fp-3, 0x1.7656badfc00b5p-3, 0x1.6f9a59414cbe7p-3, 0x1.68f8aff5a90eap-3, 0x1.62717aa04cef6p-3, 0x1.5c0473c9a21d1p-3, 0x1.55b154feb3df5p-3, 0x1.4f77d6ef0e5b2p-3, 0x1.4957b187c838bp-3, 0x1.43509c0d8e134p-3, 0x1.3d624d3633a5ap-3, 0x1.378c7b402f09ep-3, 0x1.31cedc07effabp-3, 0x1.2c29251cb7889p-3, 0x1.269b0bd4d7a3ep-3, 0x1.2124456001ab8p-3, 0x1.1bc486d7f24a5p-3, 0x1.167b8550e3469p-3, 0x1.1148f5e95efcap-3, 0x1.0c2c8dd83b80cp-3, 0x1.072602796c713p-3, 0x1.0235095ad1443p-3, 0x1.fab2b09135d29p-4, 0x1.f1254aafce47fp-4, 0x1.e7c14de076c68p-4, 0x1.de8627aa128c5p-4, 0x1.d573465dd5ffp-4, 0x1.cc881927a6e3dp-4, 0x1.c3c4101c2f409p-4, 0x1.bb269c46b46cap-4, 0x1.b2af2fb6e8dbp-4, 0x1.aa5d3d8ce66bap-4, 0x1.a2303a02f78bcp-4, 0x1.9a279a76dc66p-4, 0x1.9242d5739c1a1p-4, 0x1.8a8162ba9fb43p-4, 0x1.82e2bb4ab3dfcp-4, 0x1.7b665965ca6cfp-4, 0x1.740bb8970cfp-4, 0x1.6cd255b938bc2p-4, 0x1.65b9aefbdf489p-4, 0x1.5ec143e6d7e92p-4, 0x1.57e8955d292fbp-4, 0x1.512f25a09075p-4, 0x1.4a9478553610cp-4, 0x1.4418128431ed8p-4, 0x1.3db97a9c9a1ap-4, 0x1.3778387442033p-4, 0x1.3153d5492e2d8p-4, 0x1.2b4bdbc349322p-4, 0x1.255fd7f525f6dp-4, 0x1.1f8f575b7296ep-4, 0x1.19d9e8dc0a5dcp-4, 0x1.143f1cc5b7acfp-4, 0x1.0ebe84d061b9bp-4, 0x1.0957b41ca7382p-4, 0x1.040a3f32a834ap-4, 0x1.fdab77ffa4d99p-5, 0x1.f37383a9a5331p-5, 0x1.e96bd2c9ffe96p-5, 0x1.df93998a75a98p-5, 0x1.d5ea0ed400305p-5, 0x1.cc6e6c499c19ap-5, 0x1.c31fee4279fbdp-5, 0x1.b9fdd3c56c867p-5, 0x1.b1075e859b618p-5, 0x1.a83bd2dee35d5p-5, 0x1.9f9a77d07cb88p-5, 0x1.972296f62567ep-5, 0x1.8ed37c8168925p-5, 0x1.86ac773442061p-5, 0x1.7eacd85cf85b6p-5, 0x1.76d3f3d151b96p-5, 0x1.6f211fe8a5a17p-5, 0x1.6793b57445b3bp-5, 0x1.602b0fb832ccdp-5, 0x1.58e68c6500602p-5, 0x1.51c58b92e6c11p-5, 0x1.4ac76fbcc64c7p-5, 0x1.43eb9db9ff255p-5, 0x1.3d317cb6c9167p-5, 0x1.3698762c9985dp-5, 0x1.301ff5db3b71p-5, 0x1.29c769c33f298p-5, 0x1.238e42211b65fp-5, 0x1.1d73f166c6b8ap-5, 0x1.1777ec35445bbp-5, 0x1.1199a9549baa3p-5, 0x1.0bd8a1ac8a6ddp-5, 0x1.0634503e32bd8p-5, 0x1.00ac321eb16e3p-5, 0x1.f67f8ce374483p-6, 0x1.ebdd1cc6d4fb8p-6, 0x1.e1701a4260e75p-6, 0x1.d7378fa49e856p-6, 0x1.cd328b21ea978p-6, 0x1.c3601ec772c9ap-6, 0x1.b9bf60728babfp-6, 0x1.b04f69c2ef729p-6, 0x1.a70f5810f36c5p-6, 0x1.9dfe4c5f129dap-6, 0x1.951b6b4bfe0e8p-6, 0x1.8c65dd053e0e2p-6, 0x1.83dccd3b356afp-6, 0x1.7b7f6b1666407p-6, 0x1.734ce92cf8eadp-6, 0x1.6b447d77822adp-6, 0x1.63656144ac4b4p-6, 0x1.5baed12c35fc1p-6, 0x1.54200d024f781p-6, 0x1.4cb857cab4d1dp-6, 0x1.4576f7b088389p-6, 0x1.3e5b35f899dd9p-6, 0x1.37645ef9f87acp-6, 0x1.3091c211f48aep-6, 0x1.29e2b19824358p-6, 0x1.235682d32f145p-6, 0x1.1cec8dec84034p-6, 0x1.16a42de5f6989p-6, 0x1.107cc08fc359fp-6, 0x1.0a75a67ed4aecp-6, 0x1.048e430310f81p-6, 0x1.fd8bf83a6649ep-7, 0x1.f23874e83b267p-7, 0x1.e720d2943f22dp-7, 0x1.dc43ece4ab3c9p-7, 0x1.d1a0a48d9657dp-7, 0x1.c735df3e1b5bep-7, 0x1.bd02878e786adp-7, 0x1.b3058cee02782p-7, 0x1.a93de390becc9p-7, 0x1.9faa845c37826p-7, 0x1.964a6cd43272ep-7, 0x1.8d1c9f078cbbcp-7, 0x1.8420217e5b5efp-7, 0x1.7b53ff2605f88p-7, 0x1.72b747468482fp-7, 0x1.6a490d6cb7b0ep-7, 0x1.62086955604f8p-7, 0x1.59f476e83c1e4p-7, 0x1.520c561d8913bp-7, 0x1.4a4f2af0755ecp-7, 0x1.42bc1d4da242fp-7, 0x1.3b52590466c82p-7, 0x1.34110db3e4ab9p-7, 0x1.2cf76ebef5c78p-7, 0x1.2604b33b9fe08p-7, 0x1.1f3815e492956p-7, 0x1.1890d50a2f5f3p-7, 0x1.120e32837bc09p-7, 0x1.0baf739f1b56ep-7, 0x1.0573e1146c1e5p-7, 0x1.feb58dea21d0fp-8, 0x1.f2c6e93dc9a0ap-8, 0x1.e71a795c94526p-8, 0x1.dbaee9e24770dp-8, 0x1.d082ecb263259p-8, 0x1.c59539dea5a2ap-8, 0x1.bae48f8bad80ap-8, 0x1.b06fb1d79d86ap-8, 0x1.a6356abfac50ep-8, 0x1.9c348a0681726p-8, 0x1.926be51b61781p-8, 0x1.88da5701e931bp-8, 0x1.7f7ec03bbce0fp-8, 0x1.765806a6d3e3cp-8, 0x1.6d65158978711p-8, 0x1.64a4dd3db9e3bp-8, 0x1.5c1653576847dp-8, 0x1.53b8726cc62a4p-8, 0x1.4b8a3a072b435p-8, 0x1.438aae8da3bf5p-8, 0x1.3bb8d92efce07p-8, 0x1.3413c7ccc7a3bp-8, 0x1.2c9a8ce7442c8p-8, 0x1.254c3f889f86p-8, 0x1.1e27fb32096b9p-8, 0x1.172cdfc6db3d7p-8, 0x1.105a11783ebe4p-8, 0x1.09aeb8af8e4eap-8, 0x1.032a01d3ce038p-8, 0x1.f9963c1732284p-9, 0x1.ed22831aa18dep-9, 0x1.e0f74a4de7ddep-9, 0x1.d5130ab17747cp-9, 0x1.c97444d555f77p-9, 0x1.be1980b7dc073p-9, 0x1.b3014daebdbcfp-9, 0x1.a82a425229345p-9, 0x1.9d92fc5e20892p-9, 0x1.933a208815db5p-9, 0x1.891e5a542f801p-9, 0x1.7f3e5bf3577p-9, 0x1.7598de2778998p-9, 0x1.6c2ca027b690ep-9, 0x1.62f86783cb64ep-9, 0x1.59fb000697687p-9, 0x1.51333b99bcf39p-9, 0x1.489ff22a37c7cp-9, 0x1.4040018d608a3p-9, 0x1.38124d662408fp-9, 0x1.3015bf09c8c8ap-9, 0x1.284945642f26bp-9, 0x1.20abd4de60952p-9, 0x1.193c67423a8e2p-9, 0x1.11f9fb9c692fbp-9, 0x1.0ae3962a154bfp-9, 0x1.03f8403828565p-9, 0x1.fa6e10224177dp-10, 0x1.ed3e01cc7f303p-10, 0x1.e05e856fe2c14p-10, 0x1.d3cdd480ecefdp-10, 0x1.c78a31bb978f4p-10, 0x1.bb91e8f61e215p-10, 0x1.afe34ef364818p-10, 0x1.a47cc13570b46p-10, 0x1.995ca5d0c7054p-10, 0x1.8e816b41ffd8ap-10, 0x1.83e988454f23ep-10, 0x1.79937bb03a582p-10, 0x1.6f7dcc4cfea49p-10, 0x1.65a708b6dbc86p-10, 0x1.5c0dc735967bp-10, 0x1.52b0a5985e54fp-10, 0x1.498e490ee198ep-10, 0x1.40a55e01a9773p-10, 0x1.37f497ea6d4fcp-10, 0x1.2f7ab12d95f21p-10, 0x1.27366af70f8a5p-10, 0x1.1f268d1b69d02p-10, 0x1.1749e5f8fdd68p-10, 0x1.0f9f4a4ee4466p-10, 0x1.082595077a6cfp-10, 0x1.00dba7a7004e2p-10, 0x1.f380d43a5d5dbp-11, 0x1.e5a5928851439p-11, 0x1.d8237191dfff3p-11, 0x1.caf8640a124b1p-11, 0x1.be22661c7178cp-11, 0x1.b19f7ffe47f3p-11, 0x1.a56dc4a887d0fp-11, 0x1.998b5127d6f5cp-11, 0x1.8df64ca6d6f78p-11, 0x1.82ace864d7d84p-11, 0x1.77ad5fa42a218p-11, 0x1.6cf5f77aa16c9p-11, 0x1.6284fefef7e59p-11, 0x1.5858ceaa29f5ep-11, 0x1.4e6fc8996d69ap-11, 0x1.44c857fdf4df9p-11, 0x1.3b60f0e72b6f3p-11, 0x1.32380feb79c91p-11, 0x1.294c39d842f13p-11, 0x1.209bfb6f07ddbp-11, 0x1.1825e9353ea24p-11, 0x1.0fe89f91a28fep-11, 0x1.07e2c1aa47c23p-11, 0x1.0012fb6177fe2p-11, 0x1.f0efff7070afcp-12, 0x1.e22112876fb37p-12, 0x1.d3b6b47b1bd49p-12, 0x1.c5ae78a529a2ap-12, 0x1.b80600dd8270dp-12, 0x1.aabafcef41cafp-12, 0x1.9dcb29f5e8b25p-12, 0x1.913451b48978cp-12, 0x1.84f449faa535bp-12, 0x1.7908f42947e0dp-12, 0x1.6d703ce5a9f0dp-12, 0x1.62281bfbdbf46p-12, 0x1.572e946a70e8bp-12, 0x1.4c81b485702c8p-12, 0x1.421f961c11b9p-12, 0x1.38065e8bf903fp-12, 0x1.2e343eb5b2beep-12, 0x1.24a772cc329cfp-12, 0x1.1b5e420397f42p-12, 0x1.1256fe2574659p-12, 0x1.0990031597ce6p-12, 0x1.0107b65028599p-12, 0x1.f1790cd71b4d1p-13, 0x1.e159d54e895c8p-13, 0x1.d1aec5224c7e9p-13, 0x1.c274eb980966dp-13, 0x1.b3a967fd9d921p-13, 0x1.a54969d7b4ce5p-13, 0x1.9752313cb2083p-13, 0x1.89c10f440946bp-13, 0x1.7c936644475c7p-13, 0x1.6fc6a9516d141p-13, 0x1.63585bdf2f818p-13, 0x1.574610de812b4p-13, 0x1.4b8d69e3c861p-13, 0x1.402c16dd2e8dep-13, 0x1.351fd5a4f4c7bp-13, 0x1.2a6671c04c473p-13, 0x1.1ffdc406f36b9p-13, 0x1.15e3b21aee249p-13, 0x1.0c162dc2c254fp-13, 0x1.0293345c1630bp-13, 0x1.f2b19d3aaef7bp-14, 0x1.e0ca217286052p-14, 0x1.cf6c35b1e18a7p-14, 0x1.be9432c6ff45ap-14, 0x1.ae3e8a5210deep-14, 0x1.9e67c5a26dc8ep-14, 0x1.8f0c83e3a8ad3p-14, 0x1.8029780236435p-14, 0x1.71bb67259b501p-14, 0x1.63bf284d76d12p-14, 0x1.5631a5158f5d6p-14, 0x1.490fdafb804d8p-14, 0x1.3c56dcdac4465p-14, 0x1.3003d1d8a322cp-14, 0x1.2413f58093e0fp-14, 0x1.1884941a2681ep-14, 0x1.0d5309c4cbbd5p-14, 0x1.027cc122431dep-14, 0x1.effe67cf502adp-15, 0x1.dbafd8c8689b4p-15, 0x1.c8090f629e592p-15, 0x1.b5056e93e1e52p-15, 0x1.a2a073b81ec63p-15, 0x1.90d5a17bbaf7fp-15, 0x1.7fa0ab2bc6864p-15, 0x1.6efd68b8c2dd9p-15, 0x1.5ee79aad436c9p-15, 0x1.4f5b2be970911p-15, 0x1.40543b1dad70dp-15, 0x1.31ceefae87455p-15, 0x1.23c78d0bb1b93p-15, 0x1.163a7a5a574ebp-15, 0x1.09243a9442566p-15, 0x1.f902ccad9bc62p-16, 0x1.e09d52579b717p-16, 0x1.c911821c415e1p-16, 0x1.b258f94c4f675p-16, 0x1.9c6d738521162p-16, 0x1.874907e4c4472p-16, 0x1.72e6214f8ce95p-16, 0x1.5f3ed69df9fa1p-16, 0x1.4c4dbfe598015p-16, 0x1.3a0d9aae146f5p-16, 0x1.2878d3dcae269p-16, 0x1.178a40ab87f5ep-16, 0x1.073cdbab8d2edp-16, 0x1.ef1764b897e7bp-17, 0x1.d0e3efd0f8ae8p-17, 0x1.b3d6104a4720fp-17, 0x1.97e4c72bc9155p-17, 0x1.7d075586c9915p-17, 0x1.633536e544fbep-17, 0x1.4a6620c817005p-17, 0x1.3292057ac9373p-17, 0x1.1bb1169a622b5p-17, 0x1.05bbc42953832p-17, 0x1.e1556f9e654dcp-18, 0x1.b8ed9d7b5eb2bp-18, 0x1.92322b09b58fdp-18, 0x1.6d158e18a787p-18, 0x1.498a9a4fa1aecp-18, 0x1.278480a363ad6p-18, 0x1.06f6cae7b97d6p-18, 0x1.cfaaa90b8f93cp-19, 0x1.942885cdacd29p-19, 0x1.5b4ffe5c00c8ep-19, 0x1.250a66f28f5fdp-19, 0x1.e2831e8a1346ep-20, 0x1.7fbf78baacd55p-20, 0x1.219f97e6dd00cp-20, 0x1.8ff45c72caa1ap-21, 0x1.ca9f16507c752p-22, 0x1.0c14429a1434bp-23, -0x1.5ccc130c0ce1dp-23, -0x1.d33b89a58f0aap-22, -0x1.747e77710532dp-21, -0x1.f8178d5f529a3p-21, -0x1.3a556a988502dp-20, -0x1.753c681745a7dp-20, -0x1.acdfce1aec44ap-20, -0x1.e15d15d26bb43p-20, -0x1.096811ab66248p-19, -0x1.20a9d5443cabfp-19, -0x1.3680dfd85d6d5p-19, -0x1.4afa2232e6972p-19, -0x1.5e227fb0dc3b2p-19, -0x1.7006b66620b35p-19, -0x1.80b34374f0652p-19, -0x1.90345be239d55p-19, -0x1.9e95f1f5bced1p-19, -0x1.abe3a969dd4e6p-19, -0x1.b828ac17d55a1p-19, -0x1.c36f768fee1b2p-19, -0x1.cdc1c8279e7e5p-19, -0x1.d728cf48fa0e1p-19, -0x1.dfad7dc43b882p-19, -0x1.e758d16665df4p-19, -0x1.ee33e1dc94dadp-19, -0x1.f447ad5d7cc44p-19, -0x1.f99cc9e569b9dp-19, -0x1.fe3b2fbe74c73p-19, -0x1.01151de08b0cp-18, -0x1.02b8710fa786ep-18, -0x1.040af7c18c23ap-18, -0x1.0510192b6b1a6p-18, -0x1.05cb3ce3b1a2fp-18, -0x1.063fbc4f8ab8cp-18, -0x1.0670d64e44a3fp-18, -0x1.0661aee34de72p-18, -0x1.0615571ca4dc1p-18, -0x1.058ed239cb368p-18, -0x1.04d11422212e5p-18, -0x1.03def5ad2deb8p-18, -0x1.02bb2607924c1p-18, -0x1.0168223c97bf8p-18, -0x1.ffd07929c235ep-19, -0x1.fc7b631871d14p-19, -0x1.f8d5789cd9b54p-19, -0x1.f4e3381a85d71p-19, -0x1.f0a90b48fabc1p-19, -0x1.ec2b237a40edcp-19, -0x1.e76d5fc6d272p-19, -0x1.e27357b0343b6p-19, -0x1.dd407a9d90a19p-19, -0x1.d7d82ccbb245bp-19, -0x1.d23dcfa6de2dbp-19, -0x1.cc74b2fb5e48p-19, -0x1.c68000e31c2bep-19, -0x1.c062bc737fc08p-19, -0x1.ba1fd626e027bp-19, -0x1.b3ba347a62fffp-19, -0x1.ad34460458bc1p-19, -0x1.a68fdefbe646cp-19, -0x1.9fd19032530bcp-19, -0x1.98fad7014a301p-19, -0x1.920e0f6bc6f21p-19, -0x1.8b0e3b81075b1p-19, -0x1.83fbab99ed777p-19, -0x1.7cd9487f11671p-19, -0x1.75a957cc6f56fp-19, -0x1.6e6dab67ba933p-19, -0x1.6727ff8381422p-19, -0x1.5fd9fc2156cdp-19, -0x1.588539d5d9bb8p-19, -0x1.512b466919f43p-19, -0x1.49cda737991f3p-19, -0x1.426dd4b0456eap-19, -0x1.3b0d363f1cf02p-19, -0x1.33ad2041b0d66p-19, -0x1.2c4ecf641826ep-19, -0x1.24f3623f91943p-19, -0x1.1d9bf71ad2391p-19, -0x1.1649d5d61178cp-19, -0x1.0efe06e8df921p-19, -0x1.07b8c5b40ae5fp-19, -0x1.007d5ea2d1f4p-19, -0x1.f294930facdaap-20, -0x1.e443d3678f255p-20, -0x1.d6053c348d02dp-20, -0x1.c7e05d7288c72p-20, -0x1.b9d38c9d90a75p-20, -0x1.abe0a81efd879p-20, -0x1.9e09204e5c098p-20, -0x1.904e26f8696d3p-20, -0x1.82b0ddb7f1db7p-20, -0x1.75323facfa724p-20, -0x1.67d315139083p-20, -0x1.5a9445035dc89p-20, -0x1.4d770782af9p-20, -0x1.407c3787396dap-20, -0x1.33a435ea07095p-20, -0x1.26efa9463015fp-20, -0x1.1a5f942a9864dp-20, -0x1.0df4b741346d3p-20, -0x1.01af8319b5be8p-20, -0x1.eb20b42974c14p-21, -0x1.d32f582235eep-21, -0x1.bb8be1ab45968p-21, -0x1.a43739f3a1c7bp-21, -0x1.8d323214d1cb1p-21, -0x1.767d6f3afd6ebp-21, -0x1.601960af517d4p-21, -0x1.4a06517a9b376p-21, -0x1.344490c7dd9a2p-21, -0x1.1ed490f4c23e5p-21, -0x1.09b6dc95b36f3p-21, -0x1.e9d7caa77b17dp-22, -0x1.c0e7b2ce40fbbp-22, -0x1.989d5621bc25ap-22, -0x1.70f8705615f15p-22, -0x1.49f8ac27fd31fp-22, -0x1.239dad56cede8p-22, -0x1.fbcea9ab74638p-23, -0x1.b1aaf013e7bb3p-23, -0x1.68ce40592c255p-23, -0x1.213686e7d4c3cp-23, -0x1.b5c78e3280a79p-24, -0x1.2bad30f8fb36ap-24, -0x1.48357312104c7p-25, -0x1.f0ae3b1382122p-28, 0x1.8e166d9fb3552p-26, 0x1.c7325a1ef193ep-25, 0x1.6132fe3d0c197p-24, 0x1.dc56a4cff0ebp-24, 0x1.2a83e36896b3cp-23, 0x1.65a5267b294a2p-23, 0x1.9f92e4433de22p-23, 0x1.d85b255b54702p-23, 0x1.07e5c94ce9a0ap-22, 0x1.231eec202ea3cp-22, 0x1.3db341c34aad4p-22, 0x1.57b7c95c71c48p-22, 0x1.7129d55033e32p-22, 0x1.8a09fcfd54861p-22, 0x1.a25961cd78d9fp-22, 0x1.ba1962311850fp-22, 0x1.d14b9a89e45b1p-22, 0x1.e7f1d72382f76p-22, 0x1.fe0e0f8e5adc9p-22, 0x1.09d102fd76e9fp-21, 0x1.1457838d9c6ecp-21, 0x1.1e9b44d9dee62p-21, 0x1.289d05ee1292bp-21, 0x1.325d66ea358f1p-21, 0x1.3bdd434c233ffp-21, 0x1.451d7795b7bc3p-21, 0x1.4e1eb28640f34p-21, 0x1.56e1a302ed97ep-21, 0x1.5f66bd6452b8cp-21, 0x1.67ae5e96545cfp-21, 0x1.6fbcd4de7f554p-21, 0x1.779150892f189p-21, 0x1.7f28366a1d857p-21, 0x1.8684b409a2ec2p-21, 0x1.8da782793426ap-21, 0x1.9495f33e86acap-21, 0x1.9b4cab094985dp-21, 0x1.a1cc8d2c76073p-21, 0x1.a816af9fae3e3p-21, 0x1.ae2bec34eccb7p-21, 0x1.b40d0e2ad73fep-21, 0x1.b9badf92d82cap-21, 0x1.bf3624f442ac7p-21, 0x1.c47f9bc6740cbp-21, 0x1.c99809d4a073p-21, 0x1.ce80499596462p-21, 0x1.d339232523ec7p-21, 0x1.d7c3331aeccb1p-21, 0x1.dc1f408f44c9bp-21, 0x1.e04e341afd8f5p-21, 0x1.e450e2d9c0cb6p-21, 0x1.e8282181ec346p-21, 0x1.ebd46f7ec83b2p-21, 0x1.ef566b9082d2fp-21, 0x1.f2aef1b784f55p-21, 0x1.f5dec46300e39p-21, 0x1.f8e68df1816ddp-21, 0x1.fbc6f6003e343p-21, 0x1.fe80a6f49d3bdp-21, 0x1.008a26caab558p-20, 0x1.01c14c21d7427p-20, 0x1.02e61b2094cd5p-20, 0x1.03f8eb413738ep-20, 0x1.04fa12ff56012p-20, 0x1.05e9e6db7317p-20, 0x1.06c8b89948fdep-20, 0x1.0796d6fcbd85ep-20, 0x1.08548d2cdd88ap-20, 0x1.090223a5f348fp-20, 0x1.099fe2ef23008p-20, 0x1.0a2e35b86c831p-20, 0x1.0aadae0f35cf5p-20, 0x1.0b1e2b7df9fd5p-20, 0x1.0b7fec91f89fep-20, 0x1.0bd336db1b8dp-20, 0x1.0c18ce7c5f20ap-20, 0x1.0c50c8eb0a3dfp-20, 0x1.0c7b4280dac86p-20, 0x1.0c988f42f52c7p-20, 0x1.0ca909493240ap-20, 0x1.0cacf795d9b2cp-20, 0x1.0ca47d872c3e8p-20, 0x1.0c905071857a2p-20, 0x1.0c6fe13c14ae7p-20, 0x1.0c4449f7fa47dp-20, 0x1.0c0d4a59e8f95p-20, 0x1.0bcc3b5066617p-20, 0x1.0b7f0916ade0dp-20, 0x1.0b275d80200cep-20, 0x1.0ac5e72f35994p-20, 0x1.0a5a625c3936fp-20, 0x1.09e5114f844cfp-20, 0x1.096b670960665p-20, 0x1.08dde41a5d6a9p-20, 0x1.084c81a20f9c4p-20, 0x1.07b2387eeb6a8p-20, 0x1.070f3e48484ccp-20, 0x1.0663c904bf0a4p-20, 0x1.05b00e4131714p-20, 0x1.04f44310820dbp-20, 0x1.04309be873242p-20, 0x1.03654c5c860a8p-20, 0x1.029286e1d395ep-20, 0x1.01b87cd03f5bp-20, 0x1.00d75ec466ff4p-20, 0x1.ffdeba32ae018p-21, 0x1.fe014f77ecceap-21, 0x1.fc16dabaff9edp-21, 0x1.fa1fb8aac7629p-21, 0x1.f81c45066807dp-21, 0x1.f60cd5993f918p-21, 0x1.f3f1bc9bff7f6p-21, 0x1.f1cb4a249eb8ap-21, 0x1.ef9d446fcac24p-21, 0x1.ed59cddcc1501p-21, 0x1.eb188b66083dcp-21, 0x1.e8c7e7f744adp-21, 0x1.e66e1b21e0233p-21, 0x1.e40a30ab3b82bp-21, 0x1.e19da6b6146d1p-21, 0x1.df27153c6f54dp-21, 0x1.dcaa90837ec2cp-21, 0x1.da27242e4aba3p-21, 0x1.d799b8c691438p-21, 0x1.d5007e1bbac08p-21, 0x1.d264358f7b842p-21, 0x1.cfc11358c6463p-21, 0x1.cd1668d980e36p-21, 0x1.ca64f99cccb41p-21, 0x1.c7ad2b3ce02aep-21, 0x1.c4ef445dde84dp-21, 0x1.c22b84457728p-21, 0x1.bf62271de169fp-21, 0x1.bc93693c7b3a7p-21, 0x1.b9bf829ed57fp-21, 0x1.b6e6ac48f8afep-21, 0x1.b4091d9eba7ddp-21, 0x1.b1270d248251cp-21, 0x1.ae40af2be8d3p-21, 0x1.ab5635d86c7a2p-21, 0x1.a867d52a4a67ap-21, 0x1.a575be54b67d7p-21, 0x1.a28024b66341dp-21, 0x1.9f873e1140f72p-21, 0x1.9c8b3891dd28ap-21, 0x1.998c4626a0214p-21, 0x1.968a987976d91p-21, 0x1.93865c4001382p-21, }}, 
      {{-0x1.6c12b7ffaa527p-7, -0x1.4fe29da396d2p-5, -0x1.506c8b858b8a3p-4, -0x1.0399c4ccc348dp-3, -0x1.5962e253a08adp-3, -0x1.a0a9d337d9993p-3, -0x1.d40f8dbab9df3p-3, -0x1.f125286e7e247p-3, -0x1.f7c47ea9a34f6p-3, -0x1.e96d9c3072ef1p-3, -0x1.c8b42630d466bp-3, -0x1.98c43fe135e9fp-3, -0x1.5d023bfd3239ep-3, -0x1.18c496108ea78p-3, -0x1.9e4a9c283a747p-4, -0x1.05ccbe8cbc61dp-4, -0x1.b325136920d4ap-6, 0x1.46b23d588c15ep-7, 0x1.6fe23c49fba5ap-5, 0x1.3e1fdb0b7c49dp-4, 0x1.b9a0fbed8cd8ap-4, 0x1.14a1ea0280dc8p-3, 0x1.4629ccd7d4c5ap-3, 0x1.7141be22a12cfp-3, 0x1.95ee1e4f1da4dp-3, 0x1.b455be2fbd451p-3, 0x1.ccba6a38335c8p-3, 0x1.df7258cff44d6p-3, 0x1.ece27636addf9p-3, 0x1.f579844cb3703p-3, 0x1.f9ac00f488879p-3, 0x1.f9f0c331146a4p-3, 0x1.f6be3d29ba688p-3, 0x1.f08850b64ffacp-3, 0x1.e7bea3f266ed2p-3, 0x1.dccb641479691p-3, 0x1.d01265ae26b9cp-3, 0x1.c1f092e75c1f2p-3, 0x1.b2bb99cf74757p-3, 0x1.a2c1ce59065ccp-3, 0x1.924a350c6a07dp-3, 0x1.8194ad0207da7p-3, 0x1.70da312e5f2fbp-3, 0x1.604d2a5c5f507p-3, 0x1.5019cc59d5b8p-3, 0x1.406679e0c021dp-3, 0x1.31542bb9c8484p-3, 0x1.22fed866df1f2p-3, 0x1.157dda64f32bap-3, 0x1.08e4539f2b474p-3, 0x1.fa831a3e46179p-4, 0x1.e542a4b47fc7ep-4, 0x1.d2188f6acbe74p-4, 0x1.c110780cac076p-4, 0x1.b230e9f49cab7p-4, 0x1.a57becc6e2ce2p-4, 0x1.9aef8904ebbddp-4, 0x1.928642ddd206bp-4, 0x1.8c378b974fd0bp-4, 0x1.87f829f7c1f88p-4, 0x1.85ba9a1e8f49ep-4, 0x1.856f654132097p-4, 0x1.870571bf67f14p-4, 0x1.8a6a4c0a110c7p-4, 0x1.8f8a68c31ac3ep-4, 0x1.965160a32a66dp-4, 0x1.9eaa267243ed9p-4, 0x1.a87f37a03e56cp-4, 0x1.b3bac7be6106p-4, 0x1.c046e74c25c58p-4, 0x1.ce0da6221af3cp-4, 0x1.dcf931c96c48dp-4, 0x1.ecf3f048e3015p-4, 0x1.fde897586ea85p-4, 0x1.07e1206f459a4p-3, 0x1.11363e327b7e6p-3, 0x1.1ae9aee71c8d5p-3, 0x1.24f1c5357fa53p-3, 0x1.2f452112e4c33p-3, 0x1.39dab46be08f8p-3, 0x1.44a9c5ef06b3p-3, 0x1.4fa9f35fa80e5p-3, 0x1.5ad3341717ba1p-3, 0x1.661dd90bb2b55p-3, 0x1.71828e7d6eedp-3, 0x1.7cfa5bc52a4a9p-3, 0x1.887ea23dd3c4bp-3, 0x1.94091dc03b36fp-3, 0x1.9f93e208423e5p-3, 0x1.ab1959cfe4d19p-3, 0x1.b694450a1f2cfp-3, 0x1.c1ffb6535a208p-3, 0x1.cd57117d7a3bdp-3, 0x1.d89608e78fcd9p-3, 0x1.e3b89b6d1673ap-3, 0x1.eebb120b4ee95p-3, 0x1.f999fd5b6ac91p-3, 0x1.0229199322198p-2, 0x1.077065d56b7a6p-2, 0x1.0ca18f89662f5p-2, 0x1.11bb614f32855p-2, 0x1.16bcc2fdafb6cp-2, 0x1.1ba4b84e5c45bp-2, 0x1.20725f79028b3p-2, 0x1.2524eff7fddaep-2, 0x1.29bbb93bc5469p-2, 0x1.2e36216712ae9p-2, 0x1.3293a42968b01p-2, 0x1.36d3d1867b4efp-2, 0x1.3af64cabbc377p-2, 0x1.3efacadbe47ffp-2, 0x1.42e11247433ddp-2, 0x1.46a8f8f34536ap-2, 0x1.4a5263b5424bcp-2, 0x1.4ddd451ece067p-2, 0x1.51499c79258aep-2, 0x1.549774d5dded5p-2, 0x1.57c6e419fc487p-2, 0x1.5ad80a138128ep-2, 0x1.5dcb0fa914145p-2, 0x1.60a0260b2a9e6p-2, 0x1.635785e9b1891p-2, 0x1.65f16ec4af44dp-2, 0x1.686e2643a7c0cp-2, 0x1.6acdf78ea7c28p-2, 0x1.6d1132baa2497p-2, 0x1.6f382c41e7eddp-2, 0x1.71433c802df6bp-2, 0x1.7332bf3526cfcp-2, 0x1.75071315b06fdp-2, 0x1.76c09966c5475p-2, 0x1.785fb59540dcdp-2, 0x1.79e4ccd8defa4p-2, 0x1.7b5045e669d78p-2, 0x1.7ca2889e2fa83p-2, 0x1.7ddbfdbfbf3d5p-2, 0x1.7efd0eab84f42p-2, 0x1.8006252589eabp-2, 0x1.80f7ab1ca6bd1p-2, 0x1.81d20a794647bp-2, 0x1.8295aced95028p-2, 0x1.8342fbce84847p-2, 0x1.83da5ff26da0ap-2, 0x1.845c418b99947p-2, 0x1.84c9080b2e56p-2, 0x1.85211a0ecb593p-2, 0x1.8564dd47f6285p-2, 0x1.8594b664d68e1p-2, 0x1.85b1090599e94p-2, 0x1.85ba37b052279p-2, 0x1.85b0a3c0f8827p-2, 0x1.8594ad62fa784p-2, 0x1.8566b38d0c316p-2, 0x1.852713f6f794bp-2, 0x1.84d62b1655215p-2, 0x1.84745421abf06p-2, 0x1.8401e90b8ee6bp-2, 0x1.837f427d843efp-2, 0x1.82ecb7deef4ffp-2, 0x1.824a9f5a33909p-2, 0x1.81994dd7af0b3p-2, 0x1.80d916ff4efcbp-2, 0x1.800a4d4421e9bp-2, 0x1.7f2d41e86d79dp-2, 0x1.7e4244facf8dep-2, 0x1.7d49a55d4187dp-2, 0x1.7c43b0d1aebe2p-2, 0x1.7b30b3fc9e2ddp-2, 0x1.7a10fa64e4a27p-2, 0x1.78e4ce7dfef8ep-2, 0x1.77ac79b4677b6p-2, 0x1.7668446f78588p-2, 0x1.751876125b54bp-2, 0x1.73bd5507a045dp-2, 0x1.725726cd5fdacp-2, 0x1.70e62ff6c84fcp-2, 0x1.6f6ab42cff7d8p-2, 0x1.6de4f63a55ef8p-2, 0x1.6c5538167c243p-2, 0x1.6abbbae7fe8b1p-2, 0x1.6918bf038b0a3p-2, 0x1.676c83f5d3a16p-2, 0x1.65b74890c24ffp-2, 0x1.63f94aed9df52p-2, 0x1.6232c868fb0ep-2, 0x1.6063fda8c6807p-2, 0x1.5e8d26ab64537p-2, 0x1.5cae7ece2245cp-2, 0x1.5ac840c63ff49p-2, 0x1.58daa69e1af05p-2, 0x1.56e5e9c22e4cep-2, 0x1.54ea431017d7bp-2, 0x1.52e7ead4fb1dbp-2, 0x1.50df18c1063dp-2, 0x1.4ed003e6e83c8p-2, 0x1.4cbae2cd0c492p-2, 0x1.4a9feb7bcee57p-2, 0x1.487f5376b20b5p-2, 0x1.46594fab6ee5ap-2, 0x1.442e14709b3f9p-2, 0x1.41fdd598bb594p-2, 0x1.3fc8c682955eap-2, 0x1.3d8f1a1212da6p-2, 0x1.3b51029ae2dc6p-2, 0x1.390eb1d8e58e9p-2, 0x1.36c8590159d02p-2, 0x1.347e28d88b1adp-2, 0x1.323051b17fb52p-2, 0x1.2fdf035743cc6p-2, 0x1.2d8a6cfa3f6bp-2, 0x1.2b32bd37ab394p-2, 0x1.28d82232bba07p-2, 0x1.267ac9a259f3bp-2, 0x1.241ae0c309a48p-2, 0x1.21b8943b6d954p-2, 0x1.1f541010c3a69p-2, 0x1.1ced7fb763b7ep-2, 0x1.1a850e2ce3486p-2, 0x1.181ae5ff5ead1p-2, 0x1.15af31393916bp-2, 0x1.13421944d957bp-2, 0x1.10d3c6e43d876p-2, 0x1.0e646243f0b16p-2, 0x1.0bf4131579aadp-2, 0x1.098300966ea0ep-2, 0x1.0711517c74734p-2, 0x1.049f2bd84a3cbp-2, 0x1.022cb50a3f27bp-2, 0x1.ff7423a3cd602p-3, 0x1.fa8eccd2973e8p-3, 0x1.f5a9ad23f8bafp-3, 0x1.f0c50b0f85a12p-3, 0x1.ebe12bc8ca2e9p-3, 0x1.e6fe5318ee3c1p-3, 0x1.e21cc36a5bff3p-3, 0x1.dd3cbdfa1c81bp-3, 0x1.d85e830313c16p-3, 0x1.d38251be83cp-3, 0x1.cea86839e9dcdp-3, 0x1.c9d10324498ebp-3, 0x1.c4fc5dbb2a647p-3, 0x1.c02ab1e53112ep-3, 0x1.bb5c386345639p-3, 0x1.b69128f0f2c37p-3, 0x1.b1c9ba3c07c63p-3, 0x1.ad0621bb3b2c2p-3, 0x1.a8469383870d3p-3, 0x1.a38b423bda166p-3, 0x1.9ed45f377afp-3, 0x1.9a221aa257aebp-3, 0x1.9574a39f4f94fp-3, 0x1.90cc28445f30cp-3, 0x1.8c28d579f2649p-3, 0x1.878ad6d54d7a7p-3, 0x1.82f2568893d64p-3, 0x1.7e5f7d735c132p-3, 0x1.79d27347e62edp-3, 0x1.754b5eac1c2fp-3, 0x1.70ca65426ce28p-3, 0x1.6c4fab97bd885p-3, 0x1.67db550445082p-3, 0x1.636d83949f31dp-3, 0x1.5f06580a721bp-3, 0x1.5aa5f1f48975ep-3, 0x1.564c6fcf5c11dp-3, 0x1.51f9ef1b58853p-3, 0x1.4dae8c5e4f94p-3, 0x1.496a631248c7p-3, 0x1.452d8d8df9fa5p-3, 0x1.40f824f67df2ep-3, 0x1.3cca4143c9392p-3, 0x1.38a3f955f346dp-3, 0x1.3485630fa55c7p-3, 0x1.306e93688a7d8p-3, 0x1.2c5f9e707df4ap-3, 0x1.28589744bf987p-3, 0x1.24598fff5985dp-3, 0x1.206299ab84cdcp-3, 0x1.1c73c4470b0fep-3, 0x1.188d1ed0f34a1p-3, 0x1.14aeb75e73f1bp-3, 0x1.10d89b2cc1f77p-3, 0x1.0d0ad6a957c1cp-3, 0x1.0945756f83c6p-3, 0x1.0588823ec8bf8p-3, 0x1.01d406f0c5645p-3, 0x1.fc5018eb3deddp-4, 0x1.f50935b4b2107p-4, 0x1.edd372adf05c5p-4, 0x1.e6aedcbd42481p-4, 0x1.df9b7f57f790fp-4, 0x1.d899648d357acp-4, 0x1.d1a89503864a6p-4, 0x1.cac917ed84522p-4, 0x1.c3faf2fe81795p-4, 0x1.bd3e2a6838237p-4, 0x1.b692c0e5ba1abp-4, 0x1.aff8b7d1307d8p-4, 0x1.a9700f3c214ddp-4, 0x1.a2f8c6036b3fdp-4, 0x1.9c92d9db00b65p-4, 0x1.963e475109431p-4, 0x1.8ffb09ca455b5p-4, 0x1.89c91b7c36a7cp-4, 0x1.83a8756acc59p-4, 0x1.7d990f6e0da0ep-4, 0x1.779ae03ff60bp-4, 0x1.71addd8e5f109p-4, 0x1.6bd1fc0be3ba4p-4, 0x1.66072f7cb4083p-4, 0x1.604d6abe7f907p-4, 0x1.5aa49fcbaeebep-4, 0x1.550cbfbb1a5a4p-4, 0x1.4f85babec06eep-4, 0x1.4a0f8024f5008p-4, 0x1.44a9fe5e8d4abp-4, 0x1.3f552309d3c56p-4, 0x1.3a10daff73a6ep-4, 0x1.34dd125e5ecd1p-4, 0x1.2fb9b4954e35ep-4, 0x1.2aa6ac69e54c8p-4, 0x1.25a3e3fda107ap-4, 0x1.20b144d0d5862p-4, 0x1.1bceb7c4760c9p-4, 0x1.16fc251c51ff1p-4, 0x1.1239748377436p-4, 0x1.0d868d1349f11p-4, 0x1.08e3555c0c367p-4, 0x1.044fb36d04c7cp-4, 0x1.ff9719b6935cfp-5, 0x1.f6ad8d8f2e316p-5, 0x1.ede28bc7c0fa9p-5, 0x1.e535dcf019c67p-5, 0x1.dca748d24215ap-5, 0x1.d4369671011b2p-5, 0x1.cbe38c1a5f6c7p-5, 0x1.c3adef6bafaa8p-5, 0x1.bb95855c6effdp-5, 0x1.b39a124795ec1p-5, 0x1.abbb59f2b45adp-5, 0x1.a3f91f932612p-5, 0x1.9c5325d3a403ap-5, 0x1.94c92edc8d379p-5, 0x1.8d5afc5fb4142p-5, 0x1.86084fa6a6b9bp-5, 0x1.7ed0e9a189635p-5, 0x1.77b48af49419p-5, 0x1.70b2f402f32d6p-5, 0x1.69cbe4f5e8f5dp-5, 0x1.62ff1dbf74248p-5, 0x1.5c4c5e18427b9p-5, 0x1.55b3657a59e31p-5, 0x1.4f33f31c2e91ap-5, 0x1.48cdc5f050039p-5, 0x1.42809cad095c6p-5, 0x1.3c4c35dc5e0c1p-5, 0x1.36304ff2729efp-5, 0x1.302ca9661ac8p-5, 0x1.2a4100c679a39p-5, 0x1.246d14c9d2f1bp-5, 0x1.1eb0a4522568fp-5, 0x1.190b6e66e431cp-5, 0x1.137d322534a94p-5, 0x1.0e05aeaacdd62p-5, 0x1.08a4a3020ee61p-5, 0x1.0359ce1677e99p-5, 0x1.fc49dd6e19f6p-6, 0x1.f20b875146cafp-6, 0x1.e7f8178baed59p-6, 0x1.de0f0c4ce251cp-6, 0x1.d44fe48b9a74p-6, 0x1.caba203f1fcf9p-6, 0x1.c14d4077dc99dp-6, 0x1.b808c7506d881p-6, 0x1.aeec37b957903p-6, 0x1.a5f7152a6c8f8p-6, 0x1.9d28e34c368b2p-6, 0x1.948125afcf30ap-6, 0x1.8bff5fa9937fep-6, 0x1.83a3145c1a199p-6, 0x1.7b6bc6f5b9e1fp-6, 0x1.7358fb1660eb4p-6, 0x1.6b6a3549775e5p-6, 0x1.639efb7972049p-6, 0x1.5bf6d5433f31bp-6, 0x1.54714c155c103p-6, 0x1.4d0deb12e9223p-6, 0x1.45cc3ebfce28dp-6, 0x1.3eabd48276f69p-6, 0x1.37ac3a1b91a5cp-6, 0x1.30ccfd2f7a393p-6, 0x1.2a0daafc53f94p-6, 0x1.236dd05354745p-6, 0x1.1cecf9d8c1572p-6, 0x1.168ab47fa5e06p-6, 0x1.10468e29871eap-6, 0x1.0a201648e5f07p-6, 0x1.0416de64b2c25p-6, 0x1.fc54f4c109aa5p-7, 0x1.f0b500f3f7426p-7, 0x1.e54d11f4e8d22p-7, 0x1.da1c5b582534cp-7, 0x1.cf22125b19339p-7, 0x1.c45d6c8f11e92p-7, 0x1.b9cd9ece0a1dbp-7, 0x1.af71dcb35bf71p-7, 0x1.a54958b702bccp-7, 0x1.9b5344e88596cp-7, 0x1.918ed42102b4dp-7, 0x1.87fb3b756c5fbp-7, 0x1.7e97b391b1e24p-7, 0x1.756379c2bdf66p-7, 0x1.6c5dd0792b1bap-7, 0x1.6385ff2ff2a0fp-7, 0x1.5adb51c04783cp-7, 0x1.525d1745c113fp-7, 0x1.4a0aa0c8cc28ep-7, 0x1.41e33fef86e23p-7, 0x1.39e645f3cf75p-7, 0x1.3213031231a94p-7, 0x1.2a68c68e93ae5p-7, 0x1.22e6df4c9fe2cp-7, 0x1.1b8c9cda03266p-7, 0x1.145950aeabd16p-7, 0x1.0d4c4f5d09e97p-7, 0x1.0664f173acf3cp-7, 0x1.ff4527d161883p-8, 0x1.f209300b1595bp-8, 0x1.e514c5cb730edp-8, 0x1.d866b95a017ebp-8, 0x1.cbfddf41038e8p-8, 0x1.bfd90e964bb93p-8, 0x1.b3f71f9d1d5fcp-8, 0x1.a856eaf2b2bb6p-8, 0x1.9cf7496614d69p-8, 0x1.91d7148633f7dp-8, 0x1.86f527cfd4a93p-8, 0x1.7c50623ed3bb2p-8, 0x1.71e7a7e2ea369p-8, 0x1.67b9e30e9a88ep-8, 0x1.5dc604cc26225p-8, 0x1.540b047add1c5p-8, 0x1.4a87deb296b1cp-8, 0x1.413b93c39cb02p-8, 0x1.3825263efec92p-8, 0x1.2f4399e9cf645p-8, 0x1.2695f35b01b35p-8, 0x1.1e1b384e29c7cp-8, 0x1.15d27085c4b0ap-8, 0x1.0dbaa6fa3efb4p-8, 0x1.05d2eb0e7cd46p-8, 0x1.fc34a321bbde1p-9, 0x1.ed1feacd2c986p-9, 0x1.de65ef9ac4184p-9, 0x1.d0050055f0ae9p-9, 0x1.c1fb76d45a15fp-9, 0x1.b447b5e4758f2p-9, 0x1.a6e826a46802bp-9, 0x1.99db358455a55p-9, 0x1.8d1f4f4435c13p-9, 0x1.80b2de538ac68p-9, 0x1.7494491ee975ap-9, 0x1.68c1f1f73f0fap-9, 0x1.5d3a3922ec29bp-9, 0x1.51fb8134d293dp-9, 0x1.470435040ba07p-9, 0x1.3c52cde30ef77p-9, 0x1.31e5d84c997dap-9, 0x1.27bbf5859186ap-9, 0x1.1dd3d992f9f2ap-9, 0x1.142c4626ab251p-9, 0x1.0ac4043fe382ep-9, 0x1.0199deb08cfe2p-9, 0x1.f1593e729e3dep-10, 0x1.dff61d474f15ap-10, 0x1.cf07ed677c029p-10, 0x1.be8c478cf54d5p-10, 0x1.ae80c8c5696e2p-10, 0x1.9ee30c6a97aa6p-10, 0x1.8fb0a337fb54cp-10, 0x1.80e70d448bdbdp-10, 0x1.7283bc7cfe315p-10, 0x1.6484221efeb69p-10, 0x1.56e5c4f6f824cp-10, 0x1.49a658d610f77p-10, 0x1.3cc3cd4bd5016p-10, 0x1.303c4c009b881p-10, 0x1.240e259ae0f08p-10, 0x1.1837b413ea7efp-10, 0x1.0cb73ec04ce73p-10, 0x1.018aec089e416p-10, 0x1.ed618d7642a42p-11, 0x1.d84da72d99381p-11, 0x1.c3d656ff32587p-11, 0x1.aff81b6d0680bp-11, 0x1.9cafc19e25cebp-11, 0x1.89fa425f38101p-11, 0x1.77d489fa0ac5p-11, 0x1.663b4398b15ddp-11, 0x1.552ac1c553f35p-11, 0x1.449f130beeb3ep-11, 0x1.34943f239853fp-11, 0x1.250695d7c9de7p-11, 0x1.15f2ee2643a11p-11, 0x1.0756b7d452da4p-11, 0x1.f25fa80a66ddfp-12, 0x1.d6f8857a07c0cp-12, 0x1.bc73907fcdca8p-12, 0x1.a2cb65ceea43fp-12, 0x1.89f9b85b3a6d9p-12, 0x1.71f7c8c63f30bp-12, 0x1.5abf1ae44511p-12, 0x1.444a1763898a5p-12, 0x1.2e945369711e3p-12, 0x1.199a61a5e81cdp-12, 0x1.055943c58fceep-12, 0x1.e39b76296104ep-13, 0x1.bde7859ad058ap-13, 0x1.998cd05c7a08cp-13, 0x1.76800fca8520cp-13, 0x1.54b59d445202cp-13, 0x1.34228f520de9bp-13, 0x1.14bd90dde8bbdp-13, 0x1.ecfe60721195p-14, 0x1.b2c316ed0f979p-14, 0x1.7abedfcc221efp-14, 0x1.44e66f033c347p-14, 0x1.112bac9074dc6p-14, 0x1.befa19a76a663p-15, 0x1.5f8d1d21fe21dp-15, 0x1.03e812cb7e254p-15, 0x1.57cf52ebf4606p-16, 0x1.5dc4e1c06523ap-17, 0x1.9cc3d0fad13d1p-21, -0x1.1c7b5cb4f8ee5p-17, -0x1.22a06cab5fdb2p-16, -0x1.b06268dea2f9fp-16, -0x1.1bd81359923b3p-15, -0x1.5c5f8f87c7d55p-15, -0x1.99e3aadda356cp-15, -0x1.d47f131ade2c1p-15, -0x1.06251ae186005p-14, -0x1.20add6c881fd5p-14, -0x1.39e4814d5d9d7p-14, -0x1.51d36fad80563p-14, -0x1.6884569293a5ap-14, -0x1.7e00366011085p-14, -0x1.924fd2c149306p-14, -0x1.a57c95965a6bfp-14, -0x1.b7912d1091769p-14, -0x1.c899446167c13p-14, -0x1.d8a054b587d1fp-14, -0x1.e7b02548fff9p-14, -0x1.f5cfcfb0e3d9fp-14, -0x1.0181fdc399733p-13, -0x1.07a83139c4c74p-13, -0x1.0d5cdaf2474e5p-13, -0x1.12a34d8eeeb1p-13, -0x1.177f9ba3da097p-13, -0x1.1bf5f1e8b7236p-13, -0x1.200a00ef6a751p-13, -0x1.23bec72bd96a8p-13, -0x1.2716d30dfd9bdp-13, -0x1.2a14d454d6c9ep-13, -0x1.2cbc14eae574ep-13, -0x1.2f107e3701025p-13, -0x1.31162e742cfe4p-13, -0x1.32d0edcbd6c04p-13, -0x1.3443d516a2efcp-13, -0x1.3571523828d03p-13, -0x1.365b8155825e1p-13, -0x1.37049d303a0a3p-13, -0x1.376f3cd3f1a07p-13, -0x1.379e39a382d8fp-13, -0x1.37944d618380fp-13, -0x1.3753afa9cffb4p-13, -0x1.36de100023d9ap-13, -0x1.3634f9b74a54fp-13, -0x1.355a3dc1d743dp-13, -0x1.3450086d5637p-13, -0x1.3318aca453ab3p-13, -0x1.31b657c498656p-13, -0x1.302ad82028eb5p-13, -0x1.2e77a13088ba5p-13, -0x1.2c9e1208fa28dp-13, -0x1.2a9fbc3ceb26ap-13, -0x1.287e739eff0cbp-13, -0x1.263c2f4d4061fp-13, -0x1.23daea6e4d5bcp-13, -0x1.215c9606ebf22p-13, -0x1.1ec30b03fef84p-13, -0x1.1c0fec9a515eap-13, -0x1.194487291dc78p-13, -0x1.1661dccf436f9p-13, -0x1.1368e8b5218c9p-13, -0x1.105ad8b8fb1efp-13, -0x1.0d39014333b6p-13, -0x1.0a04a4fd618dbp-13, -0x1.06bee23d190f8p-13, -0x1.0368d90166338p-13, -0x1.0003c0cd9a621p-13, -0x1.f921923e8a2abp-14, -0x1.f221f0554c142p-14, -0x1.eb0a63acb811p-14, -0x1.e3dca6fe9ac24p-14, -0x1.dc9a825ab8886p-14, -0x1.d545bcb492cd4p-14, -0x1.cde00b078050ep-14, -0x1.c66b07ff3d049p-14, -0x1.bee84d88b89c5p-14, -0x1.b75986e0ac9bbp-14, -0x1.afc0782013bf4p-14, -0x1.a81eed8571188p-14, -0x1.a0769dfb9f089p-14, -0x1.98c90d787db32p-14, -0x1.9117676f677f7p-14, -0x1.896272ab71e9dp-14, -0x1.81ab080abc12ep-14, -0x1.79f2c041817a6p-14, -0x1.723b90ddaa19ap-14, -0x1.6a864538fe5eap-14, -0x1.62d216a11ac63p-14, -0x1.5b1ed3c5e44a6p-14, -0x1.536ebd19328fap-14, -0x1.4bc4e9e3b348p-14, -0x1.442295dd9685cp-14, -0x1.3c873ca2babep-14, -0x1.34f2d331c5497p-14, -0x1.2d669b3d90ddbp-14, -0x1.25e3e3bcbc272p-14, -0x1.1e6b37f46d19ep-14, -0x1.16fccbd8bc407p-14, -0x1.0f98f9606c725p-14, -0x1.08404d0afe76p-14, -0x1.00f3685ac5e6p-14, -0x1.f365ec895a682p-15, -0x1.e4ff66f9b3586p-15, -0x1.d6b4e2030de7ap-15, -0x1.c88803f6d3013p-15, -0x1.ba7a5ac7456b7p-15, -0x1.ac8d6aa1695f3p-15, -0x1.9ec2309572e3ap-15, -0x1.911804d3451f7p-15, -0x1.838df7d19921dp-15, -0x1.76263d29c64d4p-15, -0x1.68e35cd40dd75p-15, -0x1.5bc1d6139cd5ap-15, -0x1.4ebd36a955da4p-15, -0x1.41d9f7c0ce661p-15, -0x1.351f10f5fe124p-15, -0x1.288b7011411f6p-15, -0x1.1c1b8b600018ep-15, -0x1.0fd0d62c7fcc5p-15, -0x1.03ad9bcc36b77p-15, -0x1.ef62a29336fa3p-16, -0x1.d7b575498903cp-16, -0x1.c0532beafb16ap-16, -0x1.a93ca7f42e4a8p-16, -0x1.92730a35c92e1p-16, -0x1.7bf7351d49f8ap-16, -0x1.65c9a0c42a4b6p-16, -0x1.4feaab6748768p-16, -0x1.3a5a4fb8690a8p-16, -0x1.2518af2e986adp-16, -0x1.1026023773059p-16, -0x1.f7058020babe4p-17, -0x1.ce5f0ce71c0a4p-17, -0x1.a65a9c380c4ffp-17, -0x1.7efc5777d2fc8p-17, -0x1.58482514739a4p-17, -0x1.323986b23bbebp-17, -0x1.0cc9e77bae29ap-17, -0x1.cff206c7f6b39p-18, -0x1.8776fb4c5c6e1p-18, -0x1.4017018bce73p-18, -0x1.f3e13d93c4039p-19, -0x1.6a0fb2a38d459p-19, -0x1.c5674e48d5b13p-20, -0x1.779350a404d42p-21, 0x1.239a379fe810dp-22, 0x1.48ee6b3cd8577p-20, 0x1.22307ac8e0e3fp-19, 0x1.9d9b2bf1fee0ep-19, 0x1.0b59bbb355ee4p-18, 0x1.46bc9255f06d9p-18, 0x1.80f765027c502p-18, 0x1.ba0c46bb5cbb6p-18, 0x1.f1fd7da9534e4p-18, 0x1.1466a32a8bdf8p-17, 0x1.2f3edb6d9f4acp-17, 0x1.49887f670891cp-17, 0x1.6344de7554c7ep-17, 0x1.7c758e51f85a9p-17, 0x1.951c39cb2a32ap-17, 0x1.ad3a4d209c1f2p-17, 0x1.c4d10f9e9531dp-17, 0x1.dbe243d9b591fp-17, 0x1.f26e77457538fp-17, 0x1.04376794fe79fp-16, 0x1.0eed2fe866e61p-16, 0x1.195f64af123bep-16, 0x1.23973b0dde6f7p-16, 0x1.2d95b5b354c19p-16, 0x1.375bbb8baa62dp-16, 0x1.40df9e92c7adfp-16, 0x1.4a1e3e692d09dp-16, 0x1.531f682b7b7bp-16, 0x1.5be72e045cd47p-16, 0x1.6475a06cec35dp-16, 0x1.6cca4f4b5335ap-16, 0x1.74e546423f641p-16, 0x1.7cc6f4d4fe0b3p-16, 0x1.846ffe8cc49f8p-16, 0x1.8be11f4aa8c29p-16, 0x1.931b1d605f43bp-16, 0x1.9a1ec1297eee6p-16, 0x1.a0ecce5c8f2dp-16, 0x1.a785fea7eb5ddp-16, 0x1.adeaff8591bd6p-16, 0x1.b41c765bb76e8p-16, 0x1.ba1b0c58484eap-16, 0x1.bfe77dd290befp-16, 0x1.c582a255045fap-16, 0x1.caed602078d5bp-16, 0x1.d0288c52d1d1bp-16, 0x1.d534eae624908p-16, 0x1.da135d38585b3p-16, 0x1.dec48c30020ffp-16, 0x1.e3472ccd3b5bp-16, 0x1.e79978e9c8fc2p-16, 0x1.ebbe766fabb58p-16, 0x1.efbb72d39ae87p-16, 0x1.f391ed474b2d1p-16, 0x1.f73dc1640f9fap-16, 0x1.fabda9c65daa1p-16, 0x1.fe1491189c6c9p-16, 0x1.00a2649e8f551p-15, 0x1.022755698d06bp-15, 0x1.03992c71b15a4p-15, 0x1.04f81d719dc12p-15, 0x1.0644710e9526fp-15, 0x1.077e774fd0d27p-15, 0x1.08a6820c79e36p-15, 0x1.09bce3223499fp-15, 0x1.0ac1f3eaab612p-15, 0x1.0bb5ec5d87a37p-15, 0x1.0c9934255468p-15, 0x1.0d6c10cd9006dp-15, 0x1.0e2ece3b0de43p-15, 0x1.0ee1b6a2decebp-15, 0x1.0f8513441a406p-15, 0x1.10192dae43ff2p-15, 0x1.109e50de64018p-15, 0x1.1114c92b1b46dp-15, 0x1.117ce24b2e6a8p-15, 0x1.11d6e4ae5fffap-15, 0x1.122317757c425p-15, 0x1.1261c8f147ffdp-15, 0x1.1293408ea5b4p-15, 0x1.12b7707956c87p-15, 0x1.12ce7cdbf2afdp-15, 0x1.12d990e68539cp-15, 0x1.12d89050e4084p-15, 0x1.12cad09286144p-15, 0x1.12b17aeef0ccap-15, 0x1.128d1153efc78p-15, 0x1.125d354d176b7p-15, 0x1.1222332e9236ap-15, 0x1.11dc880576a49p-15, 0x1.118c5bd328173p-15, 0x1.1131e240fbb35p-15, 0x1.10cd4fe45c338p-15, 0x1.105ee188978f9p-15, 0x1.0fe6cf62c50b7p-15, 0x1.0f6551ab441c3p-15, 0x1.0edaa38292312p-15, 0x1.0e46faf6ebaecp-15, 0x1.0daa8d2243a13p-15, 0x1.0d059036f2b1bp-15, 0x1.0c5839267dee8p-15, 0x1.0ba2bbdbf841ap-15, 0x1.0ae54b8396543p-15, 0x1.0a201a9a7fd4dp-15, 0x1.09535b046c0cdp-15, 0x1.087f3e13608a4p-15, 0x1.07a3f4751113p-15, 0x1.06c1ae0772f52p-15, 0x1.05d899909fdf4p-15, 0x1.04e8e4b1d0da5p-15, 0x1.03f2bcf2cced9p-15, 0x1.02f651a0240d9p-15, 0x1.01f3d013bac98p-15, 0x1.00eb58ae96fd6p-15, 0x1.ffba402b7499fp-16, 0x1.fd92a28973f55p-16, 0x1.fb601a9521d69p-16, 0x1.f92310722a2c3p-16, 0x1.f6dbcc36aaa21p-16, 0x1.f48a954b7813p-16, 0x1.f22fc36c67513p-16, }}, 
      {{0x1.efe5b2bde7ea5p-2, 0x1.b7442c5555133p-1, 0x1.17c940df24375p+0, 0x1.34207a51bc13cp+0, 0x1.38367d4d726cbp+0, 0x1.2c10a20121c5bp+0, 0x1.16a90e5f88e38p+0, 0x1.fad8a77c221c2p-1, 0x1.c86c219174401p-1, 0x1.9b0a889f0317ep-1, 0x1.7585736f6077cp-1, 0x1.590e18ab20c6ep-1, 0x1.45b05fa9f75acp-1, 0x1.3ab7ae763449cp-1, 0x1.36fd8c7f54b14p-1, 0x1.392464833fd5fp-1, 0x1.3fc175a6c9e23p-1, 0x1.49792742012cdp-1, 0x1.5510bf37d9e1dp-1, 0x1.61781bf74b1efp-1, 0x1.6dcda612d97cap-1, 0x1.795e41aae9527p-1, 0x1.83a2a3ed99d65p-1, 0x1.8c3b18d7108c1p-1, 0x1.92ea7b8b7bd06p-1, 0x1.9790e933c693ap-1, 0x1.9a268a4bd5bp-1, 0x1.9ab6ae395aea7p-1, 0x1.995b5d1ad6925p-1, 0x1.963972240efc8p-1, 0x1.917d440b6e9ep-1, 0x1.8b57d7fea74b1p-1, 0x1.83fc95fdbd958p-1, 0x1.7b9f72336282dp-1, 0x1.72737d590d4a9p-1, 0x1.68a9cdf142b61p-1, 0x1.5e70b4bb8cf7fp-1, 0x1.53f32fb80a313p-1, 0x1.4958904a24446p-1, 0x1.3ec44a7470e66p-1, 0x1.3455e492d9edbp-1, 0x1.2a2900413ba4dp-1, 0x1.205576443ecdfp-1, 0x1.16ef8058547bp-1, 0x1.0e07ecbeceadcp-1, 0x1.05ac58359ff69p-1, 0x1.fbced772341f5p-2, 0x1.ed823805345a4p-2, 0x1.e07dd2608b772p-2, 0x1.d4c83acb389bp-2, 0x1.ca64130a1125p-2, 0x1.c1507ec32c9f1p-2, 0x1.b98991f34cdacp-2, 0x1.b308b8e39e39bp-2, 0x1.adc5194738bap-2, 0x1.a9b3ec56fc3d3p-2, 0x1.a6c8d1e56a214p-2, 0x1.a4f61c7f4f78ep-2, 0x1.a42d16c4ae993p-2, 0x1.a45e4235c1e4ep-2, 0x1.a5798fba4f887p-2, 0x1.a76e923339dcap-2, 0x1.aa2cab6ad6583p-2, 0x1.ada333bb865bep-2, 0x1.b1c19cc674dcap-2, 0x1.b6778f98aeef3p-2, 0x1.bbb50696af81bp-2, 0x1.c16a6382884b4p-2, 0x1.c78881fc9d3b7p-2, 0x1.ce00c6a7ab8aep-2, 0x1.d4c52b76f19d1p-2, 0x1.dbc849163e2f7p-2, 0x1.e2fd5e273b22bp-2, 0x1.ea58542faf269p-2, 0x1.f1cdc2b606837p-2, 0x1.f952f10146a5cp-2, 0x1.006eeacd67c19p-1, 0x1.04328ae71bf25p-1, 0x1.07f0011d62cf3p-1, 0x1.0ba34a152e75ep-1, 0x1.0f48b483f4c7bp-1, 0x1.12dcde6cab15ap-1, 0x1.165cb33ec4858p-1, 0x1.19c567fba4e8cp-1, 0x1.1d147903074d1p-1, 0x1.2047a6d3abd06p-1, 0x1.235cf235d9087p-1, 0x1.265299f88be29p-1, 0x1.292716afd6dc6p-1, 0x1.2bd917c64ee11p-1, 0x1.2e67805d379d6p-1, 0x1.30d163a72e2a6p-1, 0x1.33160244625a7p-1, 0x1.3534c70616ee6p-1, 0x1.372d4424e8b34p-1, 0x1.38ff308d93539p-1, 0x1.3aaa6521f1f03p-1, 0x1.3c2eda3d5453ap-1, 0x1.3d8ca52cfbb18p-1, 0x1.3ec3f5dc16c2dp-1, 0x1.3fd51485fde53p-1, 0x1.40c05f8d753c7p-1, 0x1.418649769a86ap-1, 0x1.422756ea5af99p-1, 0x1.42a41ceed007fp-1, 0x1.42fd3f2e053bp-1, 0x1.43336e536b787p-1, 0x1.43476693a3ed5p-1, 0x1.4339ee3bae92ap-1, 0x1.430bd456fc6e6p-1, 0x1.42bdef7737adcp-1, 0x1.42511c7f865ap-1, 0x1.41c63d854d34ap-1, 0x1.411e38ce036ap-1, 0x1.4059f7d0fe363p-1, 0x1.3f7a664cd4f3dp-1, 0x1.3e807177b942dp-1, 0x1.3d6d0737b6111p-1, 0x1.3c411568db41p-1, 0x1.3afd893e30fcbp-1, 0x1.39a34ead1c2bp-1, 0x1.38334fe087b12p-1, 0x1.36ae74c411827p-1, 0x1.3515a29af518fp-1, 0x1.3369bb9bc609dp-1, 0x1.31ab9e9c33854p-1, 0x1.2fdc26c9d11d8p-1, 0x1.2dfc2b68d61ddp-1, 0x1.2c0c7f98c677dp-1, 0x1.2a0df2254baa9p-1, 0x1.28014d60f3984p-1, 0x1.25e756ff45607p-1, 0x1.23c0cff6b2c5ep-1, 0x1.218e746ecffbep-1, 0x1.1f50fbae0daa9p-1, 0x1.1d09180a7ef22p-1, 0x1.1ab776e43bb1fp-1, 0x1.185cc0a235f95p-1, 0x1.15f998b1c1f66p-1, 0x1.138e9d8a8c5efp-1, 0x1.111c68b4164bap-1, 0x1.0ea38ed0a68ep-1, 0x1.0c249fab721e8p-1, 0x1.09a026442c6fcp-1, 0x1.0716a8dedea6ap-1, 0x1.0488a91a013fdp-1, 0x1.01f6a4013afd7p-1, 0x1.fec2243f36e6cp-2, 0x1.f990cf302b9b7p-2, 0x1.f45a287ba562p-2, 0x1.ef1f0753bd1f5p-2, 0x1.e9e03aa88e565p-2, 0x1.e49e895c9cc25p-2, 0x1.df5ab27399242p-2, 0x1.da156d45e5ae1p-2, 0x1.d4cf69b8836aap-2, 0x1.cf89506d30491p-2, 0x1.ca43c2f13607fp-2, 0x1.c4ff5bf59d89dp-2, 0x1.bfbcaf853087fp-2, 0x1.ba7c4b308cc2bp-2, 0x1.b53eb63df1215p-2, 0x1.b00471e074232p-2, 0x1.aacdf968f1f3p-2, 0x1.a59bc26fdf72ap-2, 0x1.a06e3d04e8bc2p-2, 0x1.9b45d3e1fd7cbp-2, 0x1.9622ec966f9cfp-2, 0x1.9105e7ae9de75p-2, 0x1.8bef20e1cc37bp-2, 0x1.86deef4058783p-2, 0x1.81d5a559a66f8p-2, 0x1.7cd3916059096p-2, 0x1.77d8fd54d7807p-2, 0x1.72e62f2f2eed7p-2, 0x1.6dfb6900a9c6ep-2, 0x1.6918e913ddc15p-2, 0x1.643eea12a9a67p-2, 0x1.5f6da32c35cfap-2, 0x1.5aa548330b537p-2, 0x1.55e609b877639p-2, 0x1.5130152dc0489p-2, 0x1.4c839506efddcp-2, 0x1.47e0b0d6278a6p-2, 0x1.43478d62132eap-2, 0x1.3eb84cc14c81dp-2, 0x1.3a330e7aa532dp-2, 0x1.35b7efa00ebp-2, 0x1.31470ae0ed8cdp-2, 0x1.2ce0789d9a9bep-2, 0x1.28844f031abdbp-2, 0x1.2432a227c49f2p-2, 0x1.1feb841e7319ap-2, 0x1.1baf0502de139p-2, 0x1.177d330b409d6p-2, 0x1.13561aa2ee0a6p-2, 0x1.0f39c683615ecp-2, 0x1.0b283fc225f89p-2, 0x1.07218dd8a445dp-2, 0x1.0325b6b2b9e8ep-2, 0x1.fe697d8e389cfp-3, 0x1.f69d525cfef92p-3, 0x1.eee6ef5e7a887p-3, 0x1.e7465582b68edp-3, 0x1.dfbb83302989p-3, 0x1.d846746d067a2p-3, 0x1.d0e7230ce287ap-3, 0x1.c99d86ca57bdp-3, 0x1.c269954b75809p-3, 0x1.bb4b42280b23dp-3, 0x1.b4427f05afbdap-3, 0x1.ad4f3bc30553dp-3, 0x1.a67166995b598p-3, 0x1.9fa8ec264d974p-3, 0x1.98f5b768dea89p-3, 0x1.9257b1ca7f986p-3, 0x1.8bcec33e723b8p-3, 0x1.855ad268f840ep-3, 0x1.7efbc4b765bc8p-3, 0x1.78b17e61c2f81p-3, 0x1.727be265024eap-3, 0x1.6c5ad28bae111p-3, 0x1.664e2f8b3250ap-3, 0x1.6055d926cf601p-3, 0x1.5a71ae43df86p-3, 0x1.54a18ce95e7aep-3, 0x1.4ee55237fd08p-3, 0x1.493cda6e22a79p-3, 0x1.43a800ff3f6d2p-3, 0x1.3e26a0b347e1ap-3, 0x1.38b893bbfb8ep-3, 0x1.335db3b74bd3ep-3, 0x1.2e15d9a6ab659p-3, 0x1.28e0ddebfe8a7p-3, 0x1.23be985731f9fp-3, 0x1.1eaee040697b1p-3, 0x1.19b18c9ffd52ep-3, 0x1.14c67417ffaa5p-3, 0x1.0fed6cef42006p-3, 0x1.0b264d0908e86p-3, 0x1.0670e9e68c6ddp-3, 0x1.01cd18b6e9773p-3, 0x1.fa755cdc1d0e7p-4, 0x1.f172ffac65948p-4, 0x1.e892c32880c5dp-4, 0x1.dfd45043319abp-4, 0x1.d7374f8a384a8p-4, 0x1.cebb692a30bc2p-4, 0x1.c6604509a5d83p-4, 0x1.be258aee5cd0dp-4, 0x1.b60ae29a41ae6p-4, 0x1.ae0ff3d33244p-4, 0x1.a6346659898p-4, 0x1.9e77e1db0ba13p-4, 0x1.96da0df1fa7a3p-4, 0x1.8f5a92366de37p-4, 0x1.87f9165b34abcp-4, 0x1.80b54247f172fp-4, 0x1.798ebe25409c9p-4, 0x1.728532595aa53p-4, 0x1.6b98477d0feebp-4, 0x1.64c7a654ddebbp-4, 0x1.5e12f7d6a20b2p-4, 0x1.5779e53bb7e66p-4, 0x1.50fc18176c721p-4, 0x1.4a993a678a8b1p-4, 0x1.4450f6997f35cp-4, 0x1.3e22f78555ea7p-4, 0x1.380ee86503d42p-4, 0x1.321474d0570fdp-4, 0x1.2c3348c24e4a1p-4, 0x1.266b10a6ecd2bp-4, 0x1.20bb796b7122ap-4, 0x1.1b24308a2b1d3p-4, 0x1.15a4e40e5972ap-4, 0x1.103d4290c78fap-4, 0x1.0aecfb314ecd4p-4, 0x1.05b3bd92a4ca5p-4, 0x1.009139dc6047p-4, 0x1.f70a4186b5b9cp-5, 0x1.ed1e4729cfbafp-5, 0x1.e35de8809eadbp-5, 0x1.d9c88ab6f727p-5, 0x1.d05d9444aa4ap-5, 0x1.c71c6ce52d626p-5, 0x1.be047d8e8272bp-5, 0x1.b515306dfa8ep-5, 0x1.ac4df0ee3f7ebp-5, 0x1.a3ae2bc39a171p-5, 0x1.9b354efaac32fp-5, 0x1.92e2ca033c19p-5, 0x1.8ab60db33055p-5, 0x1.82ae8c44e32c5p-5, 0x1.7acbb950533bp-5, 0x1.730d09c46d665p-5, 0x1.6b71f3e4429ebp-5, 0x1.63f9ef49b97cap-5, 0x1.5ca474ed17699p-5, 0x1.5570ff2d346dbp-5, 0x1.4e5f09d5a4261p-5, 0x1.476e12211567bp-5, 0x1.409d96b7dc3c6p-5, 0x1.39ed17ab838bp-5, 0x1.335c167158457p-5, 0x1.2cea15de573f9p-5, 0x1.26969a26568f2p-5, 0x1.206128de7e838p-5, 0x1.1a4949013cd85p-5, 0x1.144e82f1a205ep-5, 0x1.0e70607ce773p-5, 0x1.08ae6cd9e74afp-5, 0x1.030834a6a1c3fp-5, 0x1.fafa8bc8cabb1p-6, 0x1.f01a5fe720109p-6, 0x1.e56f07206b68ep-6, 0x1.daf7a5a158d77p-6, 0x1.d0b3624b93c8p-6, 0x1.c6a166b78ac2ep-6, 0x1.bcc0df34c6afp-6, 0x1.b310fac8b315fp-6, 0x1.a990eb2b0d755p-6, 0x1.a03fe4c158a46p-6, 0x1.971d1e990bd38p-6, 0x1.8e27d261038c6p-6, 0x1.855f3c636a534p-6, 0x1.7cc29b80e7164p-6, 0x1.7451312d6961dp-6, 0x1.6c0a416d58cd3p-6, 0x1.63ed12d1ff5e9p-6, 0x1.5bf8ee7492af4p-6, 0x1.542d1ff0b26f3p-6, 0x1.4c88f55f3ede7p-6, 0x1.450bbf4fa806ep-6, 0x1.3db4d0ce5ba8fp-6, 0x1.36837f4b83c08p-6, 0x1.2f7722ac5cad6p-6, 0x1.288f153c2936bp-6, 0x1.21cab3a9527cap-6, 0x1.1b295cff0602p-6, 0x1.14aa729d223dp-6, 0x1.0e4d582efe6cap-6, 0x1.081173a2a8a5cp-6, 0x1.01f62d220b883p-6, 0x1.f7f5de1dd721p-7, 0x1.ec3e4c02bcep-7, 0x1.e0c4818f555b7p-7, 0x1.d58760cc0290ap-7, 0x1.ca85d02965dp-7, 0x1.bfbeba76e9a5bp-7, 0x1.b5310ed243b99p-7, 0x1.aadbc08fb222cp-7, 0x1.a0bdc71d623d6p-7, 0x1.96d61de6cda6ap-7, 0x1.8d23c43d90f7bp-7, 0x1.83a5bd4c30386p-7, 0x1.7a5b10142a4a7p-7, 0x1.7142c775c491fp-7, 0x1.685bf23ce12d9p-7, 0x1.5fa5a32c2c284p-7, 0x1.571ef10133f78p-7, 0x1.4ec6f66bd0591p-7, 0x1.469cd1f7668c5p-7, 0x1.3e9fa5e72d3e2p-7, 0x1.36ce980a9b16dp-7, 0x1.2f28d191d3dfdp-7, 0x1.27ad7eeb0d5eep-7, 0x1.205bcfb0178a9p-7, 0x1.1932f6a74822bp-7, 0x1.123229d63c167p-7, 0x1.0b58a29fe9b8p-7, 0x1.04a59de43a0b6p-7, 0x1.fc30b82d4664bp-8, 0x1.ef60428583f39p-8, 0x1.e2d869f3d22edp-8, 0x1.d697c45378ab1p-8, 0x1.ca9cedc39a898p-8, 0x1.bee68824b9949p-8, 0x1.b3733aa2d8fa1p-8, 0x1.a841b1647ac7bp-8, 0x1.9d509d6f55fddp-8, 0x1.929eb4c7dc2a6p-8, 0x1.882ab2c1ee3c8p-8, 0x1.7df3586df9883p-8, 0x1.73f76d0622dc8p-8, 0x1.6a35be3dc05e9p-8, 0x1.60ad204e66ed9p-8, 0x1.575c6dce4785ap-8, 0x1.4e42875e7fe91p-8, 0x1.455e52e9f2828p-8, 0x1.3caebb0a9c6f9p-8, 0x1.3432ae785930fp-8, 0x1.2be91f7ebb0dcp-8, 0x1.23d103db562e1p-8, 0x1.1be954e3c64a6p-8, 0x1.14310fe914926p-8, 0x1.0ca736c772edap-8, 0x1.054ad07f5d00dp-8, 0x1.fc35d365f0fa9p-9, 0x1.ee2d29d4e3ab2p-9, 0x1.e079d51336cc3p-9, 0x1.d31a10f192e0fp-9, 0x1.c60c23132d409p-9, 0x1.b94e596c6c2c3p-9, 0x1.acdf08baa7bcep-9, 0x1.a0bc8b40016f5p-9, 0x1.94e540011ee42p-9, 0x1.89578aa7223a5p-9, 0x1.7e11d408691acp-9, 0x1.73128b2338825p-9, 0x1.6858267b8d25ep-9, 0x1.5de125493191fp-9, 0x1.53ac106e2d274p-9, 0x1.49b77ae981b5p-9, 0x1.400201b158bbbp-9, 0x1.368a4afe5bf61p-9, 0x1.2d4f052793b2fp-9, 0x1.244ee54196045p-9, 0x1.1b88a5be1c631p-9, 0x1.12fb0548f821bp-9, 0x1.0aa4c6160baf1p-9, 0x1.0284adbe4a1dp-9, 0x1.f5330b5755cdcp-10, 0x1.e5c437e946541p-10, 0x1.d6ba88dab098ap-10, 0x1.c813b355c3103p-10, 0x1.b9cd7b7900254p-10, 0x1.abe5b4ecc48fep-10, 0x1.9e5a428e11068p-10, 0x1.912915569755ap-10, 0x1.84502ac9266bep-10, 0x1.77cd8b318a288p-10, 0x1.6b9f47fd73c93p-10, 0x1.5fc37a64fd21ap-10, 0x1.5438428b57eap-10, 0x1.48fbc734a292p-10, 0x1.3e0c361d830d7p-10, 0x1.3367c4e375fd3p-10, 0x1.290cb247dfe9ep-10, 0x1.1ef947742dd61p-10, 0x1.152bd8dab5a1ap-10, 0x1.0ba2c6653aae7p-10, 0x1.025c7ad8f9cdep-10, 0x1.f2aed520aa1c4p-11, 0x1.e12423c99ce69p-11, 0x1.d015e7650b64p-11, 0x1.bf8130a32debbp-11, 0x1.af631a7a5bf17p-11, 0x1.9fb8cacfd02e5p-11, 0x1.907f742298af1p-11, 0x1.81b457ae4ddfp-11, 0x1.7354c77d675eap-11, 0x1.655e2805facaep-11, 0x1.57cdf11d762f6p-11, 0x1.4aa1ae2815d62p-11, 0x1.3dd6fd7a326e7p-11, 0x1.316b8eea83376p-11, 0x1.255d21ab7012p-11, 0x1.19a98195d3c23p-11, 0x1.0e4e8423c3049p-11, 0x1.034a0565cbb6dp-11, 0x1.f133caa8f65acp-12, 0x1.dc780c02f11f7p-12, 0x1.c85c9691d0919p-12, 0x1.b4dd3912f8715p-12, 0x1.a1f5d0f017ca6p-12, 0x1.8fa25505c166fp-12, 0x1.7ddee0bdbb17bp-12, 0x1.6ca7bc7cb9417p-12, 0x1.5bf9604da4df6p-12, 0x1.4bd06febb3f3cp-12, 0x1.3c29b14a0d6b5p-12, 0x1.2d0200e489029p-12, 0x1.1e5647e188e24p-12, 0x1.1023770b796f7p-12, 0x1.02668727e776ap-12, 0x1.ea38f8e73c6dp-13, 0x1.d084d2f9fbb92p-13, 0x1.b7aadb6582247p-13, 0x1.9fa55d98196b4p-13, 0x1.886ea00d2e781p-13, 0x1.7200d7b3cc332p-13, 0x1.5c562aa6702f7p-13, 0x1.4768c7c54018bp-13, 0x1.33330e5f6e6fap-13, 0x1.1fafb819dd128p-13, 0x1.0cd9f333808cep-13, 0x1.f55abf101194dp-14, 0x1.d24bd94a28eaap-14, 0x1.b07f4b5f2ef72p-14, 0x1.8fed01b8a0729p-14, 0x1.708c8aaca85eep-14, 0x1.52552bdf59b76p-14, 0x1.353e3ada01b1p-14, 0x1.193f69e184482p-14, 0x1.fca2167828083p-15, 0x1.c8d8317a9bbadp-15, 0x1.9713c9bc24d9p-15, 0x1.6747736c5ede4p-15, 0x1.3964f981aed9dp-15, 0x1.0d5d08921da33p-15, 0x1.c63eed7221527p-16, 0x1.7538308b43ddp-16, 0x1.27879fbd7ba71p-16, 0x1.ba2599032dbbp-17, 0x1.2b8713d46b632p-17, 0x1.461b7808cda88p-18, 0x1.04ad18b4d9afep-20, -0x1.701f96b573e85p-19, -0x1.a5eea4f9fc111p-18, -0x1.446abcebd5c1ep-17, -0x1.b096adddc6294p-17, -0x1.0bd6a819c1306p-16, -0x1.3ced1e041e2b7p-16, -0x1.6ba059704d8c4p-16, -0x1.97fe81269daecp-16, -0x1.c21431523e901p-16, -0x1.e9eecedbb2cfap-16, -0x1.07cf21a430b0bp-15, -0x1.199abbc8a3f8ep-15, -0x1.2a64bec0b018fp-15, -0x1.3a37f09e3ea1dp-15, -0x1.491e6b08ee4cbp-15, -0x1.5720eda0a3f92p-15, -0x1.6446a113e880bp-15, -0x1.70955be8906e7p-15, -0x1.7c12585b0f7fcp-15, -0x1.86c31e5b9ce16p-15, -0x1.90ae46ae7254fp-15, -0x1.99dbbd72242d1p-15, -0x1.a25459cba39a9p-15, -0x1.aa20ee02340aap-15, -0x1.b1493624d9ccp-15, -0x1.b7d31f533ca4p-15, -0x1.bdc2bea43653cp-15, -0x1.c31b01dfad526p-15, -0x1.c7dec7869153cp-15, -0x1.cc11ceece515fp-15, -0x1.cfb90a3a3de16p-15, -0x1.d2da464200f37p-15, -0x1.d57b84551102dp-15, -0x1.d7a27662df9e8p-15, -0x1.d954529824c51p-15, -0x1.da95eb89308c1p-15, -0x1.db6bd714a5f9p-15, -0x1.dbda78114332cp-15, -0x1.dbe5e99051874p-15, -0x1.db91f6f45a7ebp-15, -0x1.dae24b9ca1a1fp-15, -0x1.d9dacc4ddd9e6p-15, -0x1.d87fd473d23ebp-15, -0x1.d6d6191439d67p-15, -0x1.d4e2326cb2efdp-15, -0x1.d2a8089b981afp-15, -0x1.d02a75d930bbcp-15, -0x1.cd6b6148d1de3p-15, -0x1.ca6c5627cd18cp-15, -0x1.c72f3d7dc3f63p-15, -0x1.c3b6bc565edd6p-15, -0x1.c006056449babp-15, -0x1.bc2059eb9b88bp-15, -0x1.b808983770687p-15, -0x1.b3c11413d484cp-15, -0x1.af4bc99151b7cp-15, -0x1.aaaac9b63f4d4p-15, -0x1.a5e0931cdd929p-15, -0x1.a0f0142d64d6cp-15, -0x1.9bdc5bae29793p-15, -0x1.96a83397617e7p-15, -0x1.9155e1b8958f7p-15, -0x1.8be72cd6b80ap-15, -0x1.865d9e954e3a5p-15, -0x1.80bad4ead3073p-15, -0x1.7b00adf163683p-15, -0x1.753134496b8edp-15, -0x1.6f4e57d4092cp-15, -0x1.6959a6b0c5d9p-15, -0x1.635449de9459p-15, -0x1.5d3f4ea21f7f8p-15, -0x1.571bf390295d9p-15, -0x1.50ebb7d6094a8p-15, -0x1.4ab0344a4f192p-15, -0x1.446ae43742a4ep-15, -0x1.3e1cfcca84fadp-15, -0x1.37c7710035b09p-15, -0x1.316b2406f2111p-15, -0x1.2b091cb01b192p-15, -0x1.24a28bfa323a3p-15, -0x1.1e38b95ea2c2ap-15, -0x1.17cced2e012ffp-15, -0x1.1160653bd1279p-15, -0x1.0af44ee6c724ap-15, -0x1.0489b0edf0789p-15, -0x1.fc42a96a66e8ep-16, -0x1.ef779e2a55bf3p-16, -0x1.e2b35d9b7ece7p-16, -0x1.d5f7490626e53p-16, -0x1.c944f5263cbep-16, -0x1.bc9ddc9a38f82p-16, -0x1.b003460c6356bp-16, -0x1.a376786b78bd4p-16, -0x1.96f8d9129146cp-16, -0x1.8a8bc095c1ea9p-16, -0x1.7e304d6bd6f29p-16, -0x1.71e76d6233c3dp-16, -0x1.65b2031bbf837p-16, -0x1.5990f9d922e8ep-16, -0x1.4d8537a3a9318p-16, -0x1.418fa3cebfcbbp-16, -0x1.35b0ff5fd2badp-16, -0x1.29ea154a70baap-16, -0x1.1e3bb6736030bp-16, -0x1.12a6c5ebe77b8p-16, -0x1.072c282088a9ep-16, -0x1.f79967b3658fap-17, -0x1.e1123bf43402dp-17, -0x1.cac3c2c403ee9p-17, -0x1.b4ae6d61f1fbcp-17, -0x1.9ed2bfc03bf1fp-17, -0x1.89322fffae14p-17, -0x1.73ceaafedd217p-17, -0x1.5ea89ee164973p-17, -0x1.49be741abe1bdp-17, -0x1.350f565be7e53p-17, -0x1.209d9a5d9eea6p-17, -0x1.0c6ca3abf0b11p-17, -0x1.f0fad59f5f646p-18, -0x1.c99d5786d2463p-18, -0x1.a2bf81c11d4bcp-18, -0x1.7c6350420a9p-18, -0x1.568ada64c1f74p-18, -0x1.31364fd10c3f1p-18, -0x1.0c650d8c451ecp-18, -0x1.d02da52dcc62bp-19, -0x1.8897b3964cfddp-19, -0x1.42091d22dd69ap-19, -0x1.f905c1273e458p-20, -0x1.700c9d5df4d75p-20, -0x1.d254633186196p-21, -0x1.9187d67bd88acp-22, 0x1.e49139e93feeap-24, 0x1.3da82f67a53eap-21, 0x1.1d3ed18247507p-20, 0x1.9990e7fd01539p-20, 0x1.09e9b2dfe2fc8p-19, 0x1.46002d3aa3b13p-19, 0x1.8108272f3a1cbp-19, 0x1.bb0c45867a807p-19, 0x1.f419456342e37p-19, 0x1.16134de36830ep-18, 0x1.3192fbcb658e5p-18, 0x1.4c8e0c7489375p-18, 0x1.6709bc28f9ff2p-18, 0x1.810574ab7ad9cp-18, 0x1.9a7fb025b1d47p-18, 0x1.b37a298f2a8c6p-18, 0x1.cbf7576e6fcebp-18, 0x1.e3f88b1987616p-18, 0x1.fb7e4be5c399bp-18, 0x1.09447e45a05a9p-17, 0x1.148c857fb610ep-17, 0x1.1f97e1c6b876cp-17, 0x1.2a668b07d7c42p-17, 0x1.34f9723064ff4p-17, 0x1.3f50d64de9f7ap-17, 0x1.496d384a34772p-17, 0x1.534efa12fe99ap-17, 0x1.5cf67121de406p-17, 0x1.6663da4eb21c2p-17, 0x1.6f97270ff3412p-17, 0x1.7890517824c8cp-17, 0x1.815070cbbafa1p-17, 0x1.89d8e3f837a01p-17, 0x1.922a385475541p-17, 0x1.9a467590cb6ecp-17, 0x1.a22edc718ae61p-17, 0x1.a9e1dc2194a63p-17, 0x1.b15f9f3d6601bp-17, 0x1.b8a8caf150bdfp-17, 0x1.bfbd1f54bbca3p-17, 0x1.c69ddb15fe87ep-17, 0x1.cd4c912599208p-17, 0x1.d3c9fff298388p-17, 0x1.da167be1bde99p-17, 0x1.e03258b00717fp-17, 0x1.e61e060c7851cp-17, 0x1.ebda0e83a9b86p-17, 0x1.f167069e38071p-17, 0x1.f6c5882d3b452p-17, 0x1.fbf6257f2f85ap-17, 0x1.007cb840fa9ffp-16, 0x1.02e7fe04e8c04p-16, 0x1.053d305d524c1p-16, 0x1.077c9f649af0ep-16, 0x1.09a69bf150dc6p-16, 0x1.0bbb7282d0deap-16, 0x1.0dbb6cc05b5b6p-16, 0x1.0fa6db0dfd78ep-16, 0x1.117dfb83a3482p-16, 0x1.13409dcdcb25fp-16, 0x1.14ee73be7476dp-16, 0x1.16887e7f6904ap-16, 0x1.181002783e7b8p-16, 0x1.19854d838eccbp-16, 0x1.1ae8a7e24346fp-16, 0x1.1c392be2505e2p-16, 0x1.1d76ba6fbb1dep-16, 0x1.1ea266affc564p-16, 0x1.1fbcd30e15526p-16, 0x1.20c6313fa0e1cp-16, 0x1.21bea62f1b5ecp-16, 0x1.22a66489c496ep-16, 0x1.237da979a74abp-16, 0x1.2444b73160217p-16, 0x1.24fbd1d669983p-16, 0x1.25a33dfe20587p-16, 0x1.263b3fd44b857p-16, 0x1.26c41a81abfaap-16, 0x1.273e0fc25350fp-16, 0x1.27a95fd1afb53p-16, 0x1.280649e2f6dd4p-16, 0x1.28550d3942de7p-16, 0x1.2895ea57fb05ep-16, 0x1.28c9231c4e7ffp-16, 0x1.28eef96025006p-16, 0x1.2907ae7b22b27p-16, 0x1.2913811093b0bp-16, 0x1.2912b1d587afp-16, 0x1.290579bd31a44p-16, 0x1.28ebe8e5d86c4p-16, 0x1.28c60c0d92385p-16, 0x1.289454b804469p-16, 0x1.2857553806d61p-16, 0x1.280f51a47e5dbp-16, 0x1.27bc272b4ebe4p-16, 0x1.275deacdab063p-16, 0x1.26f4fab88c6ep-16, 0x1.2681b0c9d04ebp-16, 0x1.26043c349f0dfp-16, 0x1.257cca32dbebfp-16, 0x1.24eb8a367ef54p-16, 0x1.2450b08bf5a36p-16, 0x1.23ac71803b64p-16, 0x1.22ff008863254p-16, 0x1.224890eb23f29p-16, 0x1.218966681c153p-16, 0x1.20c17f18997c8p-16, 0x1.1ff14006871dcp-16, 0x1.1f18c87997c9ep-16, 0x1.1e38485b07135p-16, 0x1.1d4fef0a8653ap-16, 0x1.1c5feb710178p-16, 0x1.1b686c0a211cbp-16, 0x1.1a699ed1797ffp-16, 0x1.1963b11563bfdp-16, 0x1.1856cf498b6efp-16, 0x1.1743251219d33p-16, 0x1.1628ddc671c4bp-16, 0x1.150824f371c53p-16, 0x1.13e124e11df2cp-16, 0x1.12b4037431758p-16, 0x1.1180eaf530ae9p-16, 0x1.10480a4a26653p-16, 0x1.0f09849f1984ep-16, 0x1.0dc5828fc1e4fp-16, 0x1.0c7c2bff542b1p-16, 0x1.0b2d9ac81e39ep-16, 0x1.09da22ece85c5p-16, 0x1.08819e1027937p-16, 0x1.07246cb67e083p-16, 0x1.05c29e0e5d31ap-16, 0x1.045c572cd6496p-16, 0x1.02f1bedc5c1c5p-16, 0x1.0182f4d6518b3p-16, 0x1.00101dc06c62ep-16, 0x1.fd32b78f0b2b3p-17, 0x1.fa3d98e6b65a2p-17, 0x1.f741222e92bb9p-17, 0x1.f43d9ac293cf5p-17, 0x1.f1333ef9248dfp-17, 0x1.ee224c9fdc103p-17, 0x1.eb0b01c77eb2bp-17, 0x1.e7ed9b64fb625p-17, 0x1.e4ca557627207p-17, 0x1.e1a16afce70f6p-17, 0x1.de7315e8837d3p-17, 0x1.db3f8f18bac1ep-17, 0x1.d8070e6155d2p-17, 0x1.d4c9cae37b008p-17, 0x1.d187fb5c9dd3ap-17, 0x1.ce41d5bc02307p-17, 0x1.caf78d28ee4d1p-17, 0x1.c7a9536e9482fp-17, 0x1.c45764a94fc02p-17, 0x1.c101eb4a1207ep-17, 0x1.bda916a93ca52p-17, 0x1.ba4d22b6ec82cp-17, 0x1.b6ee2f9510236p-17, 0x1.b38c71251e656p-17, 0x1.b0281b82c3a9cp-17, 0x1.acc153c8de457p-17, }}, 
      {{0x1.c9806e5538978p+0, 0x1.0a415f3ec09dep+1, 0x1.2b3d2912b5bfep+1, 0x1.40c4e934ccdd8p+1, 0x1.4a57b58db1485p+1, 0x1.4a180296f2915p+1, 0x1.42e63cf57a85p+1, 0x1.377d2e8c248b9p+1, 0x1.2a16ce825502fp+1, 0x1.1c569b29eda2cp+1, 0x1.0f54bcfe09664p+1, 0x1.03b636db8a6cap+1, 0x1.f38ff38bbd07fp+0, 0x1.e3300542c80f6p+0, 0x1.d61518a4ec619p+0, 0x1.cbd5b327f1c21p+0, 0x1.c3efa402d720ep+0, 0x1.bdda0256692b2p+0, 0x1.b91142d188186p+0, 0x1.b51eb20baf0fep+0, 0x1.b19c7d3c6a72ep+0, 0x1.ae37437117a3bp+0, 0x1.aaadf85c8dbp+0, 0x1.a6d0b3bc0b762p+0, 0x1.a27ee02e6496fp+0, 0x1.9da51bb0bf68ap+0, 0x1.983b02acd7abfp+0, 0x1.92410bb87a0d9p+0, 0x1.8bbe8c0687199p+0, 0x1.84bff22749433p+0, 0x1.7d553d31a6bfp+0, 0x1.7590b112e5b6ap+0, 0x1.6d85c5595d2c1p+0, 0x1.654849c25ff9p+0, 0x1.5cebbaa8be091p+0, 0x1.5482bf12496a7p+0, 0x1.4c1eca349dfc4p+0, 0x1.43cfda9804aa8p+0, 0x1.3ba451781c6bp+0, 0x1.33a8dda192887p+0, 0x1.2be875b4763f6p+0, 0x1.246c5e4ad34cp+0, 0x1.1d3c390a9fa3cp+0, 0x1.165e1a27fbc02p+0, 0x1.0fd6a252b8c85p+0, 0x1.09a91b72e7441p+0, 0x1.03d796f00ed59p+0, 0x1.fcc6190ca665dp-1, 0x1.f296f1cdf014bp-1, 0x1.e91ff7245a7d5p-1, 0x1.e05de6fea3b94p-1, 0x1.d84c3491d4127p-1, 0x1.d0e53b560a911p-1, 0x1.ca226e6c706a1p-1, 0x1.c3fc845095d9bp-1, 0x1.be6b9ecec2c06p-1, 0x1.b9676f49cc053p-1, 0x1.b4e7576876d5ep-1, 0x1.b0e2864c4d58bp-1, 0x1.ad50127bb09bep-1, 0x1.aa2710acf4108p-1, 0x1.a75ea7a45915ap-1, 0x1.a4ee21581a1d4p-1, 0x1.a2ccf98dd18b9p-1, 0x1.a0f2ea25d803ap-1, 0x1.9f57f5481b40bp-1, 0x1.9df46da588cb4p-1, 0x1.9cc0fcf9bc54dp-1, 0x1.9bb6a90313c1p-1, 0x1.9aced70500d1cp-1, 0x1.9a034e1cf38p-1, 0x1.994e38602dd2bp-1, 0x1.98aa23204b3c9p-1, 0x1.9811fe4850703p-1, 0x1.97811b05a789ep-1, 0x1.96f32a05562dap-1, 0x1.966438c71b34fp-1, 0x1.95d0af2471fap-1, 0x1.95354ba8926f3p-1, 0x1.948f206385095p-1, 0x1.93db8f1c14116p-1, 0x1.9318452276eecp-1, 0x1.9243381f7c321p-1, 0x1.915aa14088585p-1, 0x1.905cf9f3e9281p-1, 0x1.8f48f7e5e91f3p-1, 0x1.8e1d888fa34b9p-1, 0x1.8cd9ce4437ff8p-1, 0x1.8b7d1ba650ce1p-1, 0x1.8a06f05081fe1p-1, 0x1.8876f576803fp-1, 0x1.86ccfa243449p-1, 0x1.8508f06b90ff8p-1, 0x1.832aea2846aafp-1, 0x1.8133162fc8897p-1, 0x1.7f21bda8fd3f4p-1, 0x1.7cf741675c064p-1, 0x1.7ab4178dd8622p-1, 0x1.7858c9363eb8ep-1, 0x1.75e5f04eb4b4cp-1, 0x1.735c358aa1761p-1, 0x1.70bc4e7a0f31bp-1, 0x1.6e06fbc871f91p-1, 0x1.6b3d078c0d9dcp-1, 0x1.685f43c5d7c0ap-1, 0x1.656e88f61c412p-1, 0x1.626bb4c89fc92p-1, 0x1.5f57a8e7b9fecp-1, 0x1.5c3349dc86cd8p-1, 0x1.58ff7e05370ccp-1, 0x1.55bd2caaa1a31p-1, 0x1.526d3d1e690b4p-1, 0x1.4f1095ed020d3p-1, 0x1.4ba81c2a34f3ap-1, 0x1.4834b2c50dca9p-1, 0x1.44b739ecf8e7ep-1, 0x1.41308e8e390dep-1, 0x1.3da189d7469aep-1, 0x1.3a0b00ca06f3ap-1, 0x1.366dc3e296c6ep-1, 0x1.32ca9ec7e6054p-1, 0x1.2f225802c208ep-1, 0x1.2b75b0c71dce8p-1, 0x1.27c564c772b13p-1, 0x1.24122a0be614bp-1, 0x1.205cb0d507f69p-1, 0x1.1ca5a388e59a1p-1, 0x1.18eda6a48090ap-1, 0x1.153558b146108p-1, 0x1.117d52435991cp-1, 0x1.0dc625fef8e9bp-1, 0x1.0a10609d4444fp-1, 0x1.065c88f5f22bbp-1, 0x1.02ab20116bb4fp-1, 0x1.fdf9427564d27p-2, 0x1.f6a30424b6713p-2, 0x1.ef54654ef573cp-2, 0x1.e80e3b24e9131p-2, 0x1.e0d1502168647p-2, 0x1.d99e644496d02p-2, 0x1.d2762d50ff0a9p-2, 0x1.cb59570e8876bp-2, 0x1.c448838fae70bp-2, 0x1.bd444b724a372p-2, 0x1.b64d3e24568a6p-2, 0x1.af63e22f1ed84p-2, 0x1.a888b57d6b0dep-2, 0x1.a1bc2d9efce16p-2, 0x1.9afeb811bc6b1p-2, 0x1.9450ba8a50881p-2, 0x1.8db293385e17cp-2, 0x1.8724990c27f27p-2, 0x1.80a71bfc438b6p-2, 0x1.7a3a6547a76e3p-2, 0x1.73deb7b8af958p-2, 0x1.6d944fe88608cp-2, 0x1.675b647d57bfp-2, 0x1.61342666bf3afp-2, 0x1.5b1ec11d90b0ap-2, 0x1.551b5ae1538cbp-2, 0x1.4f2a14ef5e11cp-2, 0x1.494b0bba4ce0dp-2, 0x1.437e5723ec59p-2, 0x1.3dc40ab342359p-2, 0x1.381c35c5dbf25p-2, 0x1.3286e3c236a9dp-2, 0x1.2d041c4aa59e3p-2, 0x1.2793e36bbff1p-2, 0x1.223639c82c942p-2, 0x1.1ceb1cc5d0459p-2, 0x1.17b286b9f4192p-2, 0x1.128c6f10e0ba9p-2, 0x1.0d78ca73c4f5p-2, 0x1.08778af059c08p-2, 0x1.0388a01f34fb2p-2, 0x1.fd57ee8b1e2d8p-3, 0x1.f3c2f6eaf826p-3, 0x1.ea522b5f88297p-3, 0x1.e1055a0a03e7ap-3, 0x1.d7dc4d6533cb8p-3, 0x1.ced6cc7b4d198p-3, 0x1.c5f49b1ef0035p-3, 0x1.bd357a24312c1p-3, 0x1.b49927923d5f3p-3, 0x1.ac1f5ecfa49bcp-3, 0x1.a3c7d8d0f5facp-3, 0x1.9b924c49fd5dbp-3, 0x1.937e6dd9bf4f3p-3, 0x1.8b8bf02e97771p-3, 0x1.83ba8429df6e1p-3, 0x1.7c09d908c241ep-3, 0x1.74799c8cc373bp-3, 0x1.6d097b1c47fccp-3, 0x1.65b91fdcdd8f7p-3, 0x1.5e8834d04c157p-3, 0x1.577662f758b21p-3, 0x1.50835272c4a52p-3, 0x1.49aeaa9b69835p-3, 0x1.42f81214ef902p-3, 0x1.3c5f2ee46369ep-3, 0x1.35e3a68d059p-3, 0x1.2f851e2bc0395p-3, 0x1.29433a89fffc4p-3, 0x1.231da02a6fa3fp-3, 0x1.1d13f3589d0cap-3, 0x1.1725d83f8dee5p-3, 0x1.1152f30176ed7p-3, 0x1.0b9ae7c84529bp-3, 0x1.05fd5ace7ac15p-3, 0x1.0079f067f6382p-3, 0x1.f6209a22742d7p-4, 0x1.eb802b06a5776p-4, 0x1.e111dd889ae4bp-4, 0x1.d6d4fc5f3aaa4p-4, 0x1.ccc8d2f3e1e54p-4, 0x1.c2ecad7080483p-4, 0x1.b93fd8daffde4p-4, 0x1.afc1a33508272p-4, 0x1.a6715b91e133ap-4, 0x1.9d4e521dce028p-4, 0x1.9457d8200e5fp-4, 0x1.8b8d4004d9f76p-4, 0x1.82eddd73315aep-4, 0x1.7a790565b28f2p-4, 0x1.722e0e3a4def3p-4, 0x1.6a0c4fb52d705p-4, 0x1.621322fe9833ap-4, 0x1.5a41e2a73867ep-4, 0x1.5297eab70e1d6p-4, 0x1.4b1498c0d2349p-4, 0x1.43b74bef3082dp-4, 0x1.3c7f6506f2541p-4, 0x1.356c466268234p-4, 0x1.2e7d53ef9005ap-4, 0x1.27b1f3371ab58p-4, 0x1.21098b6a2406bp-4, 0x1.1a83856e871d8p-4, 0x1.141f4be2fd15ap-4, 0x1.0ddc4b1b26774p-4, 0x1.07b9f11964e45p-4, 0x1.01b7ad8db1152p-4, 0x1.f7a9e3b7bc658p-5, 0x1.ec22624ad23f8p-5, 0x1.e0d7c0a07335bp-5, 0x1.d5c8ec0cc2a9dp-5, 0x1.caf4d56050ea1p-5, 0x1.c05a70dae5452p-5, 0x1.b5f8b6271e795p-5, 0x1.abcea0618ecacp-5, 0x1.a1db2e24c467cp-5, 0x1.981d6190ea7eap-5, 0x1.8e9440488812dp-5, 0x1.853ed364757c7p-5, 0x1.7c1c2765b4c4fp-5, 0x1.732b4c2d0eb38p-5, 0x1.6a6b54fb6a0fp-5, 0x1.61db5877953b6p-5, 0x1.597a70b28c1b2p-5, 0x1.5147bb24e72b1p-5, 0x1.494258a4b524cp-5, 0x1.41696d579ac78p-5, 0x1.39bc20a6b3ef8p-5, 0x1.32399d384228dp-5, 0x1.2ae110ef2dabbp-5, 0x1.23b1acec3289cp-5, 0x1.1caaa58c7b8f5p-5, 0x1.15cb3262cb22bp-5, 0x1.0f128e2bef6dcp-5, 0x1.087ff6c1a2f66p-5, 0x1.0212ad0f50a5fp-5, 0x1.f793ea164c49p-6, 0x1.eb4a2b65b09eap-6, 0x1.df46b212c6827p-6, 0x1.d3881825ac107p-6, 0x1.c80cfd993e887p-6, 0x1.bcd4084557eap-6, 0x1.b1dbe3c67f8b6p-6, 0x1.a723416791d2ep-6, 0x1.9ca8d810c859ep-6, 0x1.926b643c2dbc5p-6, 0x1.8869a7ec6bc2dp-6, 0x1.7ea26aa226b53p-6, 0x1.7514794d57673p-6, 0x1.6bbea63a50424p-6, 0x1.629fc8fc01371p-6, 0x1.59b6be560363ap-6, 0x1.510268293326cp-6, 0x1.4881ad6424126p-6, 0x1.403379f602ebbp-6, 0x1.3816bec2bcc74p-6, 0x1.302a719584265p-6, 0x1.286d8d103765dp-6, 0x1.20df10995670ep-6, 0x1.197e004809c32p-6, 0x1.124964d059f8p-6, 0x1.0b404b712415cp-6, 0x1.0461c5e43dfacp-6, 0x1.fb59d4a11cd1ep-7, 0x1.ee41a678eeccep-7, 0x1.e1793eff367ffp-7, 0x1.d4fee466b8e23p-7, 0x1.c8d0e54436844p-7, 0x1.bced986b398d3p-7, 0x1.b1535cca829a8p-7, 0x1.a6009949e65c8p-7, 0x1.9af3bcaaa8bcap-7, 0x1.902b3d6a9d551p-7, 0x1.85a599a877e68p-7, 0x1.7b615707dc108p-7, 0x1.715d02948eacfp-7, 0x1.679730a479fdp-7, 0x1.5e0e7cb8f3d7fp-7, 0x1.54c1895f7f8e8p-7, 0x1.4baf0012c3e1p-7, 0x1.42d5911c886b7p-7, 0x1.3a33f3791d9bap-7, 0x1.31c8e4bc3b4cp-7, 0x1.299328f611c1p-7, 0x1.21918a995c32dp-7, 0x1.19c2da5e872e1p-7, 0x1.1225ef29f5a44p-7, 0x1.0ab9a5efe71fap-7, 0x1.037ce199c8157p-7, 0x1.f8dd15d707885p-8, 0x1.eb1b20d314fe7p-8, 0x1.ddb1cc7eaf406p-8, 0x1.d09f0c4d39ac6p-8, 0x1.c3e0de9d289a9p-8, 0x1.b7754c85c7058p-8, 0x1.ab5a69a519c1bp-8, 0x1.9f8e53edab576p-8, 0x1.940f3375bd567p-8, 0x1.88db3a46cb922p-8, 0x1.7df0a43bc0ffp-8, 0x1.734db6c0df1dbp-8, 0x1.68f0c0be03789p-8, 0x1.5ed81a61b5365p-8, 0x1.550224f83a4a8p-8, 0x1.4b6d4abe98f12p-8, 0x1.4217feb43c69dp-8, 0x1.3900bc6be1e69p-8, 0x1.302607dda44c1p-8, 0x1.27866d3baaed2p-8, 0x1.1f2080cab3676p-8, 0x1.16f2debeb99fep-8, 0x1.0efc2b1a6c1aap-8, 0x1.073b118fab27ep-8, 0x1.ff5c8abeae9cbp-9, 0x1.f0a9026c57537p-9, 0x1.e2590e0c1be0cp-9, 0x1.d46a3fb6e1863p-9, 0x1.c6da376084084p-9, 0x1.b9a6a27dd8a4fp-9, 0x1.accd3bb0a582p-9, 0x1.a04bca7ef39d8p-9, 0x1.94202317be5b3p-9, 0x1.88482623f6f74p-9, 0x1.7cc1c09f5d33p-9, 0x1.718aebb3cd636p-9, 0x1.66a1ac8d6c48ap-9, 0x1.5c041424b4c49p-9, 0x1.51b03ef9770c5p-9, 0x1.47a454c022fbcp-9, 0x1.3dde8806a64fdp-9, 0x1.345d15d86ec3dp-9, 0x1.2b1e456af3dddp-9, 0x1.222067da96521p-9, 0x1.1961d7fbedc55p-9, 0x1.10e0fa411c375p-9, 0x1.089c3cad6edaep-9, 0x1.009216cdb9d5cp-9, 0x1.f1821355be1d2p-10, 0x1.e24f3f5937c75p-10, 0x1.d388d8ccdb4bfp-10, 0x1.c52c189b47912p-10, 0x1.b73648bb8483p-10, 0x1.a9a4c36901a7bp-10, 0x1.9c74f2650cc21p-10, 0x1.8fa44e59be4e5p-10, 0x1.83305e704901bp-10, 0x1.7716b82267a2dp-10, 0x1.6b54ff3f4d6cdp-10, 0x1.5fe8e6120a09ep-10, 0x1.54d02d8f4db0cp-10, 0x1.4a08a56e6f839p-10, 0x1.3f902c0399b24p-10, 0x1.3564adebd64d5p-10, 0x1.2b84259aee2b8p-10, 0x1.21ec9a6a44f24p-10, 0x1.189c1fd8bb86fp-10, 0x1.0f90d4cd4a4d7p-10, 0x1.06c8e2d1f3365p-10, 0x1.fc84fb6f86d22p-11, 0x1.ebf7c6f88ca38p-11, 0x1.dbe6b8d1e2cb5p-11, 0x1.cc4e76c18acafp-11, 0x1.bd2bbc796e32p-11, 0x1.ae7b5c31b6466p-11, 0x1.a03a3ecf47a3fp-11, 0x1.926563b0d73e3p-11, 0x1.84f9dfbbcbfafp-11, 0x1.77f4dc1a60635p-11, 0x1.6b539498f7b8fp-11, 0x1.5f1355fbdb84cp-11, 0x1.53317c887239fp-11, 0x1.47ab72fbab4b8p-11, 0x1.3c7eb20e4ed07p-11, 0x1.31a8c08dd1386p-11, 0x1.272733db5cb02p-11, 0x1.1cf7b0ce9367ap-11, 0x1.1317ec71ac1c8p-11, 0x1.0985ac9ad042p-11, 0x1.003ec81c6fd7ap-11, 0x1.ee824cf2aa003p-12, 0x1.dd157e45e7a62p-12, 0x1.cc3330b2d7eb9p-12, 0x1.bbd78baaafedbp-12, 0x1.abfeced93820ep-12, 0x1.9ca54fc8bf5dfp-12, 0x1.8dc778396ca37p-12, 0x1.7f61c561529dp-12, 0x1.7170c819c2b67p-12, 0x1.63f125c9d4654p-12, 0x1.56df99af1429fp-12, 0x1.4a38f615a6073p-12, 0x1.3dfa251d7e76dp-12, 0x1.322028d3100f9p-12, 0x1.26a81a941ff89p-12, 0x1.1b8f29e3ea818p-12, 0x1.10d29ae908d52p-12, 0x1.066fc4d1b4ed6p-12, 0x1.f8c8209f9c935p-13, 0x1.e559eca1c38d6p-13, 0x1.d28ffe1bd71fcp-13, 0x1.c065831001326p-13, 0x1.aed5c6fcf96cap-13, 0x1.9ddc33a9d61dp-13, 0x1.8d74527fe396p-13, 0x1.7d99cde379f0bp-13, 0x1.6e4871ef0d9ffp-13, 0x1.5f7c2c0a22a52p-13, 0x1.5131093b2aa69p-13, 0x1.43633386163ep-13, 0x1.360eeed6d3868p-13, 0x1.293096360d75cp-13, 0x1.1cc499e3002eap-13, 0x1.10c77e93a6a79p-13, 0x1.0535ddd648ed7p-13, 0x1.f418ce78f13bdp-14, 0x1.de8fc3aa1515ap-14, 0x1.c9ca5b07dcf7dp-14, 0x1.b5c287d46fb7fp-14, 0x1.a2727179d7213p-14, 0x1.8fd472f6347d9p-14, 0x1.7de3190998befp-14, 0x1.6c991f1d4bcaap-14, 0x1.5bf16b1f730d2p-14, 0x1.4be7087e211e8p-14, 0x1.3c7522b1322dfp-14, 0x1.2d96ffbd33576p-14, 0x1.1f47fb48e6134p-14, 0x1.118383125028ap-14, 0x1.044515c5c7d0ap-14, 0x1.ef108a1579961p-15, 0x1.d69176a0737abp-15, 0x1.bf04868a5d679p-15, 0x1.a861a26169ed6p-15, 0x1.92a110c44ebabp-15, 0x1.7dbb7b49ce8d4p-15, 0x1.69a9e6f5e699bp-15, 0x1.5665a4ad2e9b8p-15, 0x1.43e83e4216bc4p-15, 0x1.322b66ab0aca1p-15, 0x1.2128f2224c717p-15, 0x1.10dad6a5f2596p-15, 0x1.013b312af4f8dp-15, 0x1.e48894036370ap-16, 0x1.c7e1228a0a254p-16, 0x1.ac75244112b5dp-16, 0x1.9239c774ebef7p-16, 0x1.79243add22dbfp-16, 0x1.6129adaf7b258p-16, 0x1.4a3f72a9e7c2p-16, 0x1.345b3cd3c87ffp-16, 0x1.1f735ff6c553bp-16, 0x1.0b7ef90d74528p-16, 0x1.f0ebd30189d5p-17, 0x1.cca145f153209p-17, 0x1.aa0fafee31ba7p-17, 0x1.89286576c5747p-17, 0x1.69dc5a29ae121p-17, 0x1.4c1c44cca22dfp-17, 0x1.2fd9325d7eb2cp-17, 0x1.1504ebb5c527fp-17, 0x1.f724b8dc9b20ep-18, 0x1.c6eb3d66f7548p-18, 0x1.9946def8135c4p-18, 0x1.6e213385d647ep-18, 0x1.4562d210e2a24p-18, 0x1.1ef2cda7f3a06p-18, 0x1.f56e4165c442fp-19, 0x1.b12bd497fef45p-19, 0x1.70ee0136b43e8p-19, 0x1.348a5863c762fp-19, 0x1.f7b9ebaa27a76p-20, 0x1.8d8de05c2a128p-20, 0x1.2a565476e11f4p-20, 0x1.9bab8e464d5dp-21, 0x1.df1cad720b4ccp-22, 0x1.3ef1a9921c1a4p-23, -0x1.119f5cf98f975p-23, -0x1.9ae6719606c43p-22, -0x1.4be5c91d22f6ap-21, -0x1.c02638dbfb4a6p-21, -0x1.15432fa10db2cp-20, -0x1.45a7626d6542fp-20, -0x1.7166112a432d3p-20, -0x1.98ac955c2b84bp-20, -0x1.bbb07e01511e2p-20, -0x1.daad0c8d9ac1ap-20, -0x1.f5de6c4fdb326p-20, -0x1.06be4bc4e715p-19, -0x1.10dbe5b730ba8p-19, -0x1.195b9436c8a1ep-19, -0x1.204d2f5c503cap-19, -0x1.25bebe56ba99bp-19, -0x1.29bef38c26802p-19, -0x1.2c5f394d7b459p-19, -0x1.2db4602a3277cp-19, -0x1.2dd57c0c046fap-19, -0x1.2cd9541cc3ec8p-19, -0x1.2ad3814d32f48p-19, -0x1.27d28a7bda775p-19, -0x1.23dfe57572295p-19, -0x1.1f01ec3d9cf29p-19, -0x1.193edae92fa91p-19, -0x1.129f4f91686adp-19, -0x1.0b2f158dfb2a1p-19, -0x1.02fc286982187p-19, -0x1.f429def810de4p-20, -0x1.e10dc0bbdb282p-20, -0x1.ccbc23a6d959ep-20, -0x1.b74b0c1429b4ap-20, -0x1.a0cf2f1e930d5p-20, -0x1.895c261534942p-20, -0x1.7103fa89893f2p-20, -0x1.57d6f662783a9p-20, -0x1.3de4995a7610cp-20, -0x1.233d67fca4069p-20, -0x1.07f4255c9ea27p-20, -0x1.d83a7221424dbp-21, -0x1.9f989ffc07539p-21, -0x1.6622ee93c8dep-21, -0x1.2beeac3f57b78p-21, -0x1.e20f36bba338cp-22, -0x1.6aec060872655p-22, -0x1.e517d4e910bfep-23, -0x1.e457229049e76p-24, 0x1.4492b796cec05p-30, 0x1.f141ceccaddc6p-24, 0x1.efc60dfccaf8ep-23, 0x1.73dc4931dd9f5p-22, 0x1.f0230721ee123p-22, 0x1.364e4a15d6f9cp-21, 0x1.74931c5aaf4eep-21, 0x1.b2ca9778a2ca8p-21, 0x1.f0de4f2d0e2d2p-21, 0x1.175d40fb193b5p-20, 0x1.36282c19e9096p-20, 0x1.54cacf6230209p-20, 0x1.734129867f8dep-20, 0x1.9186d7081edap-20, 0x1.af96483411812p-20, 0x1.cd692230c5f3fp-20, 0x1.eaf98bc77540cp-20, 0x1.0421bae37ea0fp-19, 0x1.12a25329f8da7p-19, 0x1.20fdaf595e72fp-19, 0x1.2f327975e5af9p-19, 0x1.3d3ec27753fcdp-19, 0x1.4b205f1245692p-19, 0x1.58d56854a8803p-19, 0x1.665c95de06b39p-19, 0x1.73b5318874ae7p-19, 0x1.80dea5191e35p-19, 0x1.8dd80170989f3p-19, 0x1.9aa0058cb9516p-19, 0x1.a7353fdf4bb6ep-19, 0x1.b3963cc8677c6p-19, 0x1.bfc1a6497783dp-19, 0x1.cbb63f6ba52a3p-19, 0x1.d7731b8ba75dcp-19, 0x1.e2f7cda6a6cep-19, 0x1.ee4454fc9a54cp-19, 0x1.f958bb7138cdep-19, 0x1.021a6091b0ed8p-18, 0x1.076bf6af58786p-18, 0x1.0ca0f000039f4p-18, 0x1.11b9364e9ad6fp-18, 0x1.16b4b1e2a4e1fp-18, 0x1.1b9339c4438cfp-18, 0x1.2054aa561df7fp-18, 0x1.24f8fcb95d988p-18, 0x1.2980424890f34p-18, 0x1.2dea9204ef2aap-18, 0x1.3237fbd8a9dacp-18, 0x1.3668927b16ac8p-18, 0x1.3a7c5d6b23a47p-18, 0x1.3e7382289d374p-18, 0x1.424e11163ea9p-18, 0x1.460c3070b9214p-18, 0x1.49add9b5371ep-18, 0x1.4d33215024323p-18, 0x1.509c14f4b40a9p-18, 0x1.53e8d0f5879dep-18, 0x1.57198ac115d6fp-18, 0x1.5a2e94f2d699fp-18, 0x1.5d283eca5259cp-18, 0x1.6006a242dfa6cp-18, 0x1.62c9bd44f4dc6p-18, 0x1.6571dff3200cp-18, 0x1.67ffcdb488f5dp-18, 0x1.6a741b1e09653p-18, 0x1.6ccea1ef9abf8p-18, 0x1.6f0effde98d76p-18, 0x1.71356120be1bfp-18, 0x1.73426f3130486p-18, 0x1.7536aca3a73e1p-18, 0x1.771240751e6eap-18, 0x1.78d54edd4962p-18, 0x1.7a802d1490e4ap-18, 0x1.7c1342b0b3269p-18, 0x1.7d8eeacc38bf2p-18, 0x1.7ef372e230ae9p-18, 0x1.80412318d5594p-18, 0x1.8178413aee97bp-18, 0x1.82990e9d49f4p-18, 0x1.83a3c730a0919p-18, 0x1.8498a522c8d2fp-18, 0x1.8577e3ba19f45p-18, 0x1.8641bdee5f615p-18, 0x1.86f67d21cc773p-18, 0x1.87969973d32eap-18, 0x1.8822933137cf4p-18, 0x1.889a9274a1551p-18, 0x1.88feb63729343p-18, 0x1.894fc2a4be59bp-18, 0x1.898e8d7652655p-18, 0x1.89baf4eb0e308p-18, 0x1.89d49a30f8595p-18, 0x1.89dbf67332319p-18, 0x1.89d1bdefa6c94p-18, 0x1.89b626a842933p-18, 0x1.898955c2491fcp-18, 0x1.894bb1868a089p-18, 0x1.88fda9a476cf1p-18, 0x1.889f93f273955p-18, 0x1.8831b6707f693p-18, 0x1.87b453c45ad3p-18, 0x1.8727a989cb03bp-18, 0x1.868c27feee541p-18, 0x1.85e1dac8be2ccp-18, 0x1.8529453df1eafp-18, 0x1.846298cd3726ep-18, 0x1.838e21dd834bcp-18, 0x1.82ac27e968464p-18, 0x1.81bcee74ab0e4p-18, 0x1.80c0b50f2b498p-18, 0x1.7fb7b22781fdap-18, 0x1.7ea21c4671386p-18, 0x1.7d8048e4f81c6p-18, 0x1.7c5295dd9be87p-18, 0x1.7b194d78f5228p-18, 0x1.79d4e429882d9p-18, 0x1.7885b0e1476ap-18, 0x1.772bb796d3695p-18, 0x1.75c7280ca48bfp-18, 0x1.745842e6e710ep-18, 0x1.72df3d274ffc2p-18, 0x1.715c6f3a78266p-18, 0x1.6fd02f2a627acp-18, 0x1.6e3abb9550184p-18, 0x1.6c9c4c5fa6807p-18, 0x1.6af517f1e6d1bp-18, 0x1.694555be2d271p-18, 0x1.678d41f0aaf81p-18, 0x1.65cd1776dca6bp-18, 0x1.640512f7564ecp-18, 0x1.62356bc658c04p-18, 0x1.605e5a9ff2dcfp-18, 0x1.5e8017cd9c4d9p-18, 0x1.5c9adb1a8e9c6p-18, 0x1.5aaedbd5b4f69p-18, 0x1.58bc5077108bep-18, 0x1.56c36e3a131e3p-18, 0x1.54c4693d1f1d7p-18, 0x1.52bf75180e0a4p-18, 0x1.50b4c3bdf35cap-18, 0x1.4ea48231cecffp-18, 0x1.4c8eddfb3e33fp-18, 0x1.4a7412710c1a7p-18, 0x1.4854579c9815p-18, 0x1.462fd74db3808p-18, 0x1.4406b7bd614aep-18, 0x1.41d9255747d13p-18, 0x1.3fa759aeb41cbp-18, 0x1.3d718035f59e3p-18, 0x1.3b37bd767e415p-18, 0x1.38fa3a8974069p-18, 0x1.36b922fff12efp-18, 0x1.3474a21706776p-18, 0x1.322ce1e3b2b02p-18, 0x1.2fe20b40e3a9fp-18, 0x1.2d9445df6a257p-18, 0x1.2b43b85fff1e2p-18, 0x1.28f0887f3c0cfp-18, 0x1.269adb59abe03p-18, 0x1.2442d5bb84496p-18, 0x1.21e89c63b473dp-18, 0x1.1f8c53fdd1703p-18, 0x1.1d2e20c580722p-18, 0x1.1ace25aa6d5f8p-18, 0x1.186c830edba33p-18, 0x1.160956e4915f6p-18, 0x1.13a4c1a3e758ap-18, 0x1.113ee2a1952eap-18, 0x1.0ed7d78d59748p-18, 0x1.0c6fbbfb5b2dfp-18, 0x1.0a06c1fc863c2p-18, 0x1.079d2a4d64bfep-18, 0x1.05330013e5f22p-18, 0x1.02c82053a988ap-18, 0x1.005c946497f11p-18, 0x1.fbe16f5054959p-19, 0x1.f709a2ca1f66cp-19, 0x1.f2317865c1b35p-19, 0x1.ed59340b4a924p-19, 0x1.e880eea552c98p-19, 0x1.e3a8f8a61daf7p-19, 0x1.ded178e903406p-19, 0x1.d9faac1e2b481p-19, 0x1.d524c4b8c86bap-19, 0x1.d04fecad96877p-19, 0x1.cb7c509b8167dp-19, 0x1.c6aa3dadba6dep-19, 0x1.c1d977f068e91p-19, 0x1.bd0a8e877f967p-19, 0x1.b83d8808eea94p-19, 0x1.b3728cac92197p-19, 0x1.aea9c47a2dd28p-19, 0x1.a9e35708f47ap-19, 0x1.a51f6acbd798ep-19, 0x1.a05e242cef9e4p-19, 0x1.9b9fa52371c23p-19, 0x1.96e40df9694fdp-19, 0x1.922b7f145b8bcp-19, 0x1.8d76191e65e03p-19, 0x1.88c3f922a993ep-19, 0x1.84153d3d62d13p-19, 0x1.7f6a2c47383e4p-19, 0x1.7ac2fa3ec5478p-19, 0x1.761f46efed233p-19, 0x1.717f5b83c3869p-19, 0x1.6ce3e6285003dp-19, 0x1.684c763647815p-19, 0x1.63b8e0026e345p-19, 0x1.5f2a07bc2fcc9p-19, 0x1.5a9f4edfd3d94p-19, 0x1.561930ab82606p-19, 0x1.51979fb3fd603p-19, 0x1.4d1ab90b46a25p-19, 0x1.48a2a3adf0f7ap-19, 0x1.442f68c289a63p-19, 0x1.3fc1259ddfc08p-19, 0x1.3b57f0a51474cp-19, 0x1.36f3cefc96362p-19, 0x1.3294d735dd49cp-19, 0x1.2e3b2663558abp-19, 0x1.29e6c9816794bp-19, 0x1.2597d0c587c64p-19, 0x1.214e4db9f4a37p-19, 0x1.1d0a51248cb31p-19, 0x1.18cbeb2ee2eb7p-19, 0x1.14932b53fd547p-19, 0x1.1060203a2a986p-19, 0x1.0c32d7d86ac26p-19, 0x1.080b5f6db72fcp-19, 0x1.03e9c44bbb985p-19, 0x1.ff9c28509f1e8p-20, 0x1.f770b7f008e79p-20, 0x1.ef51488e0756p-20, 0x1.e73deaa058bccp-20, 0x1.df36d8f2e0fc1p-20, 0x1.d73c0950f4e0fp-20, 0x1.cf4d8a36ac2cdp-20, 0x1.c76b96497969ap-20, 0x1.bf960b6c303e5p-20, 0x1.b7cd0d2b5e965p-20, 0x1.b010c070050d6p-20, 0x1.a8611ae8b5e2p-20, }}, 
      {{0x1.eb13dd1fabed7p-1, 0x1.eaec28669f5b2p-1, 0x1.eaa9b776d0472p-1, 0x1.ea4c27ade04d9p-1, 0x1.e9d2f619f897ep-1, 0x1.e93d8746fa776p-1, 0x1.e88b2f7b198d3p-1, 0x1.e7bb39e988245p-1, 0x1.e6ccee81c70e6p-1, 0x1.e5bf96b1b2b1fp-1, 0x1.e4928190c43f7p-1, 0x1.e34507c3b3705p-1, 0x1.e1d68f348bab6p-1, 0x1.e0468e94d10d5p-1, 0x1.de949088e3f79p-1, 0x1.dcc03652f5ed5p-1, 0x1.dac939d5d29edp-1, 0x1.d8af6ed2789e6p-1, 0x1.d672c35423974p-1, 0x1.d4133f5191b22p-1, 0x1.d191039c36c7ep-1, 0x1.ceec4843b8075p-1, 0x1.cc255a9bb07bp-1, 0x1.c93c9b130a418p-1, 0x1.c6327b0800931p-1, 0x1.c3077abbc3aep-1, 0x1.bfbc277e79369p-1, 0x1.bc511a21bbc14p-1, 0x1.b8c6f5b6091ap-1, 0x1.b51e668faa9e2p-1, 0x1.b1582189ea39p-1, 0x1.ad74e37beb88bp-1, 0x1.a97570d0f909cp-1, 0x1.a55a95363b351p-1, 0x1.a125235115cffp-1, 0x1.9cd5f47378fdp-1, 0x1.986de845e887dp-1, 0x1.93ede4618e48ap-1, 0x1.8f56d3d713c77p-1, 0x1.8aa9a6a138274p-1, 0x1.85e75103e5d89p-1, 0x1.8110cad9ffa49p-1, 0x1.7c270ed531b51p-1, 0x1.772b19b3c4458p-1, 0x1.721de970d651ep-1, 0x1.6d007c737985bp-1, 0x1.67d3d0c10e0eap-1, 0x1.6298e336ef1f8p-1, 0x1.5d50aecf07544p-1, 0x1.57fc2bf25bd1bp-1, 0x1.529c4fdc07aa3p-1, 0x1.4d320c0e715e8p-1, 0x1.47be4ddbf1322p-1, 0x1.4241fe0379774p-1, 0x1.3cbe0061484bbp-1, 0x1.373333b324c59p-1, 0x1.31a2716f3b639p-1, 0x1.2c0c8dac53a2bp-1, 0x1.26725719ceb91p-1, 0x1.20d49705a1e33p-1, 0x1.1b34116e72263p-1, 0x1.1591851fcd6cap-1, 0x1.0fedabd68ee83p-1, 0x1.0a493a6b841e8p-1, 0x1.04a4e1027d947p-1, 0x1.fe0296783de1dp-2, 0x1.f2be40d1cd72fp-2, 0x1.e77e07782daaep-2, 0x1.dc4328faabb35p-2, 0x1.d10edc7026879p-2, 0x1.c5e251cfd961p-2, 0x1.babeb242fde9cp-2, 0x1.afa5206e746bbp-2, 0x1.a496b8b3f1906p-2, 0x1.9994916a83f3ap-2, 0x1.8e9fbb0e6e048p-2, 0x1.83b940689e887p-2, 0x1.78e226ae27a0dp-2, 0x1.6e1b6d984eb25p-2, 0x1.63660f75cab7p-2, 0x1.58c30135fc9b1p-2, 0x1.4e33326ed5f7ep-2, 0x1.43b78d5e3e32bp-2, 0x1.3950f6e7b9b7p-2, 0x1.2f004e8f129c2p-2, 0x1.24c66e70bc4f9p-2, 0x1.1aa42b389a456p-2, 0x1.109a5417c4eecp-2, 0x1.06a9b2b9de198p-2, 0x1.f9a61674d6f03p-3, 0x1.e62e383549a9p-3, 0x1.d2ed3c701925p-3, 0x1.bfe48988489efp-3, 0x1.ad157a7adce08p-3, 0x1.9a815ed3e56d6p-3, 0x1.88297aa6c3267p-3, 0x1.760f0689c7aaap-3, 0x1.64332f9560794p-3, 0x1.52971766aaa6ep-3, 0x1.413bd42579b37p-3, 0x1.3022708daacc2p-3, 0x1.1f4bebfba06adp-3, 0x1.0eb93a7bb8939p-3, 0x1.fcd689b905858p-4, 0x1.dcc5d18708917p-4, 0x1.bd41f1888cef3p-4, 0x1.9e4c78f2e2208p-4, 0x1.7fe6e13f67989p-4, 0x1.62128e6475b4ap-4, 0x1.44d0cf10f5ad2p-4, 0x1.2822dcea17045p-4, 0x1.0c09dccabfc06p-4, 0x1.e10dbe08a2755p-5, 0x1.ab35bf40a5bbfp-5, 0x1.768d8d45463c9p-5, 0x1.4316d097d63bep-5, 0x1.10d30ab7e54f9p-5, 0x1.bf872d4e8b8c1p-6, 0x1.5fd352d9b990ep-6, 0x1.028ca52ba9708p-6, 0x1.4f69f2d3af0f5p-7, 0x1.3d376efbe0055p-8, -0x1.a9dbebf5af7adp-12, -0x1.68a7af4c9349dp-8, -0x1.5671c38de71fap-7, -0x1.f3a7bfdbddba1p-7, -0x1.45fab912b1a8bp-6, -0x1.8fad838e882cdp-6, -0x1.d6ec9875efc22p-6, -0x1.0ddc496547b1fp-5, -0x1.2f0927591aebap-5, -0x1.4efd74597130dp-5, -0x1.6db9de79935dfp-5, -0x1.8b3f333f4ea57p-5, -0x1.a78e5f4702eb8p-5, -0x1.c2a86de9288cbp-5, -0x1.dc8e88e11bf35p-5, -0x1.f541f7f4e2a1ep-5, -0x1.0662104ecdcb3p-4, -0x1.118b42d8220fap-4, -0x1.1c1d63834317cp-4, -0x1.261950939e3b5p-4, -0x1.2f7ff67736ap-4, -0x1.38524f9a242c2p-4, -0x1.409164397d1dfp-4, -0x1.483e4a3575267p-4, -0x1.4f5a24e29eaddp-4, -0x1.55e624da11bdp-4, -0x1.5be387c86b5afp-4, -0x1.6153983b83f0ap-4, -0x1.6637ad6ea05bep-4, -0x1.6a912b152fd0fp-4, -0x1.6e618123de3e4p-4, -0x1.71aa2b97e1563p-4, -0x1.746cb23c860ddp-4, -0x1.76aaa86eceb5dp-4, -0x1.7865acdf2a7a2p-4, -0x1.799f695130a43p-4, -0x1.7a5992594f175p-4, -0x1.7a95e7187ed98p-4, -0x1.7a5630f5d821p-4, -0x1.799c43562cc9dp-4, -0x1.7869fb5190626p-4, -0x1.76c13f66de5afp-4, -0x1.74a3ff2d46c83p-4, -0x1.72143303ee36dp-4, -0x1.6f13dbbfa604fp-4, -0x1.6ba50256e4213p-4, -0x1.67c9b78beab4dp-4, -0x1.63841395588c2p-4, -0x1.5ed635c51c408p-4, -0x1.59c2442df8971p-4, -0x1.544a6b47a2846p-4, -0x1.4e70dd91ab53dp-4, -0x1.4837d3353b577p-4, -0x1.41a189a5d3a9fp-4, -0x1.3ab043411a878p-4, -0x1.336646edfb6c6p-4, -0x1.2bc5dfbb1395bp-4, -0x1.23d15c7ca6b4cp-4, -0x1.1b8b0f6a3935ep-4, -0x1.12f54dbbe9c9ep-4, -0x1.0a126f47b35cdp-4, -0x1.00e4ce1ec69fap-4, -0x1.eedd8c5606781p-5, -0x1.db6569999a6f5p-5, -0x1.c765f0f29d699p-5, -0x1.b2e3e0b29a3fap-5, -0x1.9de3f7d172617p-5, -0x1.886af52e14eep-5, -0x1.727d96d1285cp-5, -0x1.5c209931ddef2p-5, -0x1.4558b67d09b86p-5, -0x1.2e2aa5dee14b6p-5, -0x1.169b1acf8457cp-5, -0x1.fd5d88c4dad0ep-6, -0x1.ccd49932484fdp-6, -0x1.9ba4af728093fp-6, -0x1.69d7074bd8817p-6, -0x1.3774ce7a4010fp-6, -0x1.048723713e992p-6, -0x1.a22e284ba9958p-7, -0x1.3a5b39c142394p-7, -0x1.a34e9c616220fp-8, -0x1.a09042a585c47p-9, 0x1.0e7ee5a8281a6p-14, 0x1.b42a21049bff5p-9, 0x1.b126cfd9ebb88p-8, 0x1.44a6a6174b97dp-7, 0x1.b1337dfbe2aep-7, 0x1.0f14af4b3bbe4p-6, 0x1.45bbf62e68aebp-6, 0x1.7c8781732784ep-6, 0x1.b36f5b3fe0abep-6, 0x1.ea6baad68023fp-6, 0x1.10ba5aa5d3073p-5, 0x1.2c416f1a2e748p-5, 0x1.47c7542542a92p-5, 0x1.63485b03eac85p-5, 0x1.7ec0e51bc85fcp-5, 0x1.9a2d643f8a4bcp-5, 0x1.b58a5aeeabeedp-5, 0x1.d0d45c90b3107p-5, 0x1.ec080dabec648p-5, 0x1.0391120bf95cfp-4, 0x1.110fb395d4f49p-4, 0x1.1e7e57f393cccp-4, 0x1.2bdb748cb6dbbp-4, 0x1.392587c0f8502p-4, 0x1.465b18f71e33dp-4, 0x1.537ab8a9d6cc4p-4, 0x1.608300728e302p-4, 0x1.6d72931290749p-4, 0x1.7a481c7a2c736p-4, 0x1.870251ce24098p-4, 0x1.939ff16b59ccdp-4, 0x1.a01fc2e8c58bbp-4, 0x1.ac809717d45a7p-4, 0x1.b8c1480318369p-4, 0x1.c4e0b8eb7d14ap-4, 0x1.d0ddd643f0855p-4, 0x1.dcb795ab9bf78p-4, 0x1.e86cf5e6a6805p-4, 0x1.f3fcfed5abe8ap-4, 0x1.ff66c16bd21f2p-4, 0x1.0554abd1d1014p-3, 0x1.0ae1f23950dffp-3, 0x1.105ac9ddde8b6p-3, 0x1.15becd204d967p-3, 0x1.1b0d9ac8dbdcbp-3, 0x1.2046d5fecbbe9p-3, 0x1.256a263f7444p-3, 0x1.2a773754cf11p-3, 0x1.2f6db94b9b09ap-3, 0x1.344d606908371p-3, 0x1.3915e51ff69a5p-3, 0x1.3dc70405cfd74p-3, 0x1.42607dc6ff3c6p-3, 0x1.46e2171b0827fp-3, 0x1.4b4b98b848dcdp-3, 0x1.4f9ccf476642dp-3, 0x1.53d58b566253ep-3, 0x1.57f5a14b74164p-3, 0x1.5bfce9578a43ep-3, 0x1.5feb3f6897687p-3, 0x1.63c0831b941cbp-3, 0x1.677c97ae4d5bbp-3, 0x1.6b1f63f0f8cadp-3, 0x1.6ea8d23799814p-3, 0x1.7218d04b28ffcp-3, 0x1.756f4f5aa6a67p-3, 0x1.78ac43ebed1bcp-3, 0x1.7bcfa5cc6f138p-3, 0x1.7ed97001c739p-3, 0x1.81c9a0ba321bep-3, 0x1.84a0393ce9539p-3, 0x1.875d3dda643fcp-3, 0x1.8a00b5dc848cfp-3, 0x1.8c8aab76acbc7p-3, 0x1.8efb2bb5d1644p-3, 0x1.915246706ba6dp-3, 0x1.93900e3670f0ap-3, 0x1.95b49841375cfp-3, 0x1.97bffc635cbd2p-3, 0x1.99b254f8a3f3fp-3, 0x1.9b8bbed5d7971p-3, 0x1.9d4c5938a587cp-3, 0x1.9ef445b7897f3p-3, 0x1.a083a831afb08p-3, 0x1.a1faa6beed681p-3, 0x1.a359699fb9aafp-3, 0x1.a4a01b2d33e9p-3, 0x1.a5cee7c93d286p-3, 0x1.a6e5fdce99fbap-3, 0x1.a7e58d812b581p-3, 0x1.a8cdc8fe3ac49p-3, 0x1.a99ee42cd65e9p-3, 0x1.aa5914ae47426p-3, 0x1.aafc91cea418cp-3, 0x1.ab899475761d9p-3, 0x1.ac0057167cf02p-3, 0x1.ac6115a2904adp-3, 0x1.acac0d789ec26p-3, 0x1.ace17d56cdf1cp-3, 0x1.ad01a54bba505p-3, 0x1.ad0cc6a7d32e1p-3, 0x1.ad0323eeed38dp-3, 0x1.ace500c9ddcd7p-3, 0x1.acb2a1f85a036p-3, 0x1.ac6c4d42e2099p-3, 0x1.ac12496cea152p-3, 0x1.aba4de271f765p-3, 0x1.ab245401d704cp-3, 0x1.aa90f45fb5997p-3, 0x1.a9eb09686f67cp-3, 0x1.a932ddfbc5cap-3, 0x1.a868bda4a9ff6p-3, 0x1.a78cf48c904b5p-3, 0x1.a69fcf6ef1b2cp-3, 0x1.a5a19b8d019fap-3, 0x1.a492a6a188758p-3, 0x1.a3733ed507283p-3, 0x1.a243b2b1e8e5ap-3, 0x1.a10451191039cp-3, 0x1.9fb5693674087p-3, 0x1.9e574a7604a79p-3, 0x1.9cea4478bcf45p-3, 0x1.9b6ea709ebb44p-3, 0x1.99e4c214ac759p-3, 0x1.984ce599999c5p-3, 0x1.96a761a4b336ap-3, 0x1.94f486437a97ap-3, 0x1.9334a37b40151p-3, 0x1.9168093fb1dd3p-3, 0x1.8f8f076995e5ep-3, 0x1.8da9edadb7c15p-3, 0x1.8bb90b9420562p-3, 0x1.89bcb06f6a9e1p-3, 0x1.87b52b546329bp-3, 0x1.85a2cb11d1dbap-3, 0x1.8385de287f751p-3, 0x1.815eb2c36fe86p-3, 0x1.7f2d96b0579b5p-3, 0x1.7cf2d7583ca3dp-3, 0x1.7aaec1b85ca0dp-3, 0x1.7861a25b35c2dp-3, 0x1.760bc551de1cap-3, 0x1.73ad762d75587p-3, 0x1.7146fff8df6dep-3, 0x1.6ed8ad32aed8ap-3, 0x1.6c62c7c73e4e4p-3, 0x1.69e5990b06446p-3, 0x1.676169b522d7dp-3, 0x1.64d681da0af5fp-3, 0x1.624528e680b23p-3, 0x1.5fada59aaf59cp-3, 0x1.5d103e057d6c1p-3, 0x1.5a6d3780151dp-3, 0x1.57c4d6a990063p-3, 0x1.55175f62e9367p-3, 0x1.526514cb0a861p-3, 0x1.4fae393b185eep-3, 0x1.4cf30e42e7bc9p-3, 0x1.4a33d4a5a109fp-3, 0x1.4770cc568fd98p-3, 0x1.44aa34762bcb6p-3, 0x1.41e04b4f3cb75p-3, 0x1.3f134e5438e53p-3, 0x1.3c437a1cc9178p-3, 0x1.39710a637972ap-3, 0x1.369c3a0393bb5p-3, 0x1.33c542f71da58p-3, 0x1.30ec5e5512127p-3, 0x1.2e11c44fa8614p-3, 0x1.2b35ac32ddb89p-3, 0x1.28584c630b813p-3, 0x1.2579da5bbef8dp-3, 0x1.229a8aae9d14ap-3, 0x1.1fba91027c0c6p-3, 0x1.1cda201294a4cp-3, 0x1.19f969ade8415p-3, 0x1.17189eb6b183bp-3, 0x1.1437ef220c55fp-3, 0x1.115789f7ace89p-3, 0x1.0e779d51c7f26p-3, 0x1.0b98565d0c88bp-3, 0x1.08b9e158c4aa7p-3, 0x1.05dc69970e6d5p-3, 0x1.0300197d35b62p-3, 0x1.00251a842a166p-3, 0x1.fa972a721e1d3p-4, 0x1.f4e7627bcd65p-4, 0x1.ef3b2a94af26p-4, 0x1.e992ce5914ceap-4, 0x1.e3ee97944ec1bp-4, 0x1.de4ece42b510fp-4, 0x1.d8b3b894082dcp-4, 0x1.d31d9aede16ebp-4, 0x1.cd8cb7ee54d77p-4, 0x1.c801506ec7a79p-4, 0x1.c27ba386ddc7bp-4, 0x1.bcfbee8f9f82bp-4, 0x1.b7826d26b61cbp-4, 0x1.b20f5931d0e18p-4, 0x1.aca2eae239b19p-4, 0x1.a73d58b875e0ap-4, 0x1.a1ded7880f897p-4, 0x1.9c879a7b8addbp-4, 0x1.9737d3185e9f9p-4, 0x1.91efb1431ccfdp-4, 0x1.8caf6343b0d1ep-4, 0x1.877715c9b3069p-4, 0x1.8246f3f0d8b99p-4, 0x1.7d1f27457768bp-4, 0x1.77ffd7c92241cp-4, 0x1.72e92bf754d1ep-4, 0x1.6ddb48ca38ccap-4, 0x1.68d651bf7d6a8p-4, 0x1.63da68dd33008p-4, 0x1.5ee7aeb6c6f62p-4, 0x1.59fe42720779p-4, 0x1.551e41cc31ebep-4, 0x1.5047c91f0f954p-4, 0x1.4b7af3662331bp-4, 0x1.46b7da43d7ee6p-4, 0x1.41fe9606c038dp-4, 0x1.3d4f3daed9a89p-4, 0x1.38a9e6f2dba46p-4, 0x1.340ea64587427p-4, 0x1.2f7d8edb05687p-4, 0x1.2af6b2ae3f1d8p-4, 0x1.267a228642e12p-4, 0x1.2207edfba59b8p-4, 0x1.1da0237deb4c5p-4, 0x1.1942d058f120ep-4, 0x1.14f000ba4f737p-4, 0x1.10a7bfb6c982dp-4, 0x1.0c6a174fb0acap-4, 0x1.083710784c3a5p-4, 0x1.040eb31b3aac5p-4, 0x1.ffe20c3fa4466p-5, 0x1.f7bc1edf02a1ap-5, 0x1.efaba7f646c87p-5, 0x1.e7b0af80ac7e5p-5, 0x1.dfcb3b9d89109p-5, 0x1.d7fb509ae3b31p-5, 0x1.d040f0fff5963p-5, 0x1.c89c1d9799cdfp-5, 0x1.c10cd57ab5209p-5, 0x1.b993161a8913bp-5, 0x1.b22edb4afc109p-5, 0x1.aae01f4cb96cdp-5, 0x1.a3a6dad75e771p-5, 0x1.9c83052383fb3p-5, 0x1.957493f4a2d3ep-5, 0x1.8e7b7ba302b1bp-5, 0x1.8797af2577447p-5, 0x1.80c9201b165c7p-5, 0x1.7a0fbed4d45bbp-5, 0x1.736b7a5efa4dap-5, 0x1.6cdc408a9879bp-5, 0x1.6661fdf6cf181p-5, 0x1.5ffc9e1a018f5p-5, 0x1.59ac0b4af4961p-5, 0x1.53702ec9ccaap-5, 0x1.4d48f0c8e51f3p-5, 0x1.47363875a6d4dp-5, 0x1.4137ec012cf41p-5, 0x1.3b4df0a8cd891p-5, 0x1.35782abe8d59ap-5, 0x1.2fb67db177966p-5, 0x1.2a08cc15cc613p-5, 0x1.246ef7ad20e6ep-5, 0x1.1ee8e16e50ad2p-5, 0x1.1976698d536f2p-5, 0x1.14176f8313adep-5, 0x1.0ecbd214ecf0fp-5, 0x1.09936f5c3fd75p-5, 0x1.046e24cdcb0c5p-5, 0x1.feb79e81d02d1p-6, 0x1.f4b895ed6f3bbp-6, 0x1.eadee7423559p-6, 0x1.e12a48d33c6f6p-6, 0x1.d79a6ff06f04bp-6, 0x1.ce2f10f3d3f6bp-6, 0x1.c4e7df4eb21b6p-6, 0x1.bbc48d9642963p-6, 0x1.b2c4cd90383fdp-6, 0x1.a9e8503f3c80dp-6, 0x1.a12ec5eecd231p-6, 0x1.9897de3f45c42p-6, 0x1.902348313e48cp-6, 0x1.87d0b2312033fp-6, 0x1.7f9fca220f963p-6, 0x1.77903d68f3a76p-6, 0x1.6fa1b8f704efcp-6, 0x1.67d3e95443843p-6, 0x1.60267aa98e424p-6, 0x1.589918caaa92p-6, 0x1.512b6f3ffb3acp-6, 0x1.49dd294fe867ap-6, 0x1.42adf20838e56p-6, 0x1.3b9d74470dc91p-6, 0x1.34ab5ac3c6297p-6, 0x1.2dd750176867ap-6, 0x1.2720fec53cb9fp-6, 0x1.20881142e41f6p-6, 0x1.1a0c32002a5d9p-6, 0x1.13ad0b6eea49ep-6, 0x1.0d6a480a82e42p-6, 0x1.0743925f2ee34p-6, 0x1.013895111b84ap-6, 0x1.f691f5c6b41f4p-7, 0x1.eae8dd7d0eecdp-7, 0x1.df75376ee954fp-7, 0x1.d4365a2a8e439p-7, 0x1.c92b9caf7be6p-7, 0x1.be54567a4aa2cp-7, 0x1.b3afdf8fcc37fp-7, 0x1.a93d9088c87ap-7, 0x1.9efcc29c4686bp-7, 0x1.94eccfaa34431p-7, 0x1.8b0d124578ab1p-7, 0x1.815ce5bd79643p-7, 0x1.77dba627bb0ddp-7, 0x1.6e88b068c4fbp-7, 0x1.6563623ce0543p-7, 0x1.5c6b1a408b3a6p-7, 0x1.539f37f87881cp-7, 0x1.4aff1bd94a769p-7, 0x1.428a274f0eb98p-7, 0x1.3a3fbcc479cap-7, 0x1.321f3fa997a93p-7, 0x1.2a28147a59dcfp-7, 0x1.2259a0c5016bep-7, 0x1.1ab34b2feacdp-7, 0x1.13347b7f8fbeap-7, 0x1.0bdc9a9b5ebf8p-7, 0x1.04ab1293c21bp-7, 0x1.fb3e9d4c78206p-8, 0x1.ed717684e6fc9p-8, 0x1.dfed8c1d4a1afp-8, 0x1.d2b1bbd734ed2p-8, 0x1.c5bce5f16754dp-8, 0x1.b90ded2f316fp-8, 0x1.aca3b6df4d2a7p-8, 0x1.a07d2ae26bdf6p-8, 0x1.949933b127f68p-8, 0x1.88f6be618eb35p-8, 0x1.7d94baacd1ae2p-8, 0x1.72721af30d6a2p-8, 0x1.678dd440d70ffp-8, 0x1.5ce6de5275b6cp-8, 0x1.527c3397e57e6p-8, 0x1.484cd137a431fp-8, 0x1.3e57b7124b647p-8, 0x1.349be7c465f1p-8, 0x1.2b1868a90c337p-8, 0x1.21cc41dba2739p-8, 0x1.18b67e39815c4p-8, 0x1.0fd62b6304c2cp-8, 0x1.072a59bca7f0cp-8, 0x1.fd6438df1bc0cp-9, 0x1.ecd912d377901p-9, 0x1.dcb172bd36daap-9, 0x1.cceb8f8bf720fp-9, 0x1.bd85a5b94374ap-9, 0x1.ae7df744de362p-9, 0x1.9fd2cbb4eb4d4p-9, 0x1.91827011ce60ap-9, 0x1.838b36e4840f6p-9, 0x1.75eb78326c748p-9, 0x1.68a1917a153edp-9, 0x1.5babe5ae939d6p-9, 0x1.4f08dd336c092p-9, 0x1.42b6e5d6d858ap-9, 0x1.36b472cd62fa4p-9, 0x1.2afffcab27d2cp-9, 0x1.1f98015e959a4p-9, 0x1.147b042948d65p-9, 0x1.09a78d99fd7c9p-9, 0x1.fe38570915fdbp-10, 0x1.e9aee1f7d7c51p-10, 0x1.d5afec918c813p-10, 0x1.c238b1c6c3d28p-10, 0x1.af4676d3b7c5ap-10, 0x1.9cd68b3172a94p-10, 0x1.8ae64883e3034p-10, 0x1.7973128773accp-10, 0x1.687a56ff27a8ep-10, 0x1.57f98da22edfdp-10, 0x1.47ee38082253cp-10, 0x1.3855e195f8fb3p-10, 0x1.292e1f6a1b6d5p-10, 0x1.1a7490480c989p-10, 0x1.0c26dc83d90d7p-10, 0x1.fc856bdc367cp-11, 0x1.e18baf7ae5e37p-11, 0x1.c75c0cf39608bp-11, 0x1.adf21fcedc564p-11, 0x1.954995e034daep-11, 0x1.7d5e2f1a4eac1p-11, 0x1.662bbd642b0c5p-11, 0x1.4fae246919beep-11, 0x1.39e1596e8b33p-11, 0x1.24c1632452a57p-11, 0x1.104a5977b287bp-11, 0x1.f8f0caca64c1ap-12, 0x1.d28f819570055p-12, 0x1.ad696c6cd0467p-12, 0x1.897741763b822p-12, 0x1.66b1d7802df35p-12, 0x1.451225a15ab6cp-12, 0x1.249142e04f90dp-12, 0x1.052865ce9221fp-12, 0x1.cda1c85de033ap-13, 0x1.93086525106fp-13, 0x1.5a77c7fd6fb66p-13, 0x1.23e35311bdbaap-13, 0x1.de7d47f010ad5p-14, 0x1.78fb25e40a53cp-14, 0x1.172864569202cp-14, 0x1.71db3418fe703p-15, 0x1.78cf3ab7fb4c7p-16, 0x1.b91e547dac933p-20, -0x1.345a03d8b5a08p-16, -0x1.3ba59d21ea489p-15, -0x1.d6cb65b307db8p-15, -0x1.35e4078d10fb7p-14, -0x1.7d623e3d36d6ep-14, -0x1.c1f461cbcc5d2p-14, -0x1.01d70be2abc95p-13, -0x1.215150efc55c7p-13, -0x1.3f726faf62259p-13, -0x1.5c43a73ead5b6p-13, -0x1.77ce06e7123fap-13, -0x1.921a6ed64ffccp-13, -0x1.ab3190cfd5233p-13, -0x1.c31bf0d77216ep-13, -0x1.d9e1e5e7619bp-13, -0x1.ef8b9a9856cedp-13, -0x1.021086e92beeap-12, -0x1.0bd509bb9587ep-12, -0x1.15172a859c3aap-12, -0x1.1ddaa92fe3292p-12, -0x1.2623311e420e9p-12, -0x1.2df45980a0b18p-12, -0x1.3551a5a87cb02p-12, -0x1.3c3e8555dc3efp-12, -0x1.42be550dc233p-12, -0x1.48d45e66da7fp-12, -0x1.4e83d85b5bc12p-12, -0x1.53cfe79569e41p-12, -0x1.58bb9ebe9823fp-12, -0x1.5d49fecc8060bp-12, -0x1.617df74da9b3ap-12, -0x1.655a66b690cc5p-12, -0x1.68e21aaa22c51p-12, -0x1.6c17d0455cc2bp-12, -0x1.6efe34689d9b5p-12, -0x1.7197e4009b2abp-12, -0x1.73e76c4bb774dp-12, -0x1.75ef4b2523f94p-12, -0x1.77b1ef4847e3dp-12, -0x1.7931b895c9f9ep-12, -0x1.7a70f85a1f308p-12, -0x1.7b71f1900c14fp-12, -0x1.7c36d9230ba2fp-12, -0x1.7cc1d63321186p-12, -0x1.7d150254f8edep-12, -0x1.7d3269d32e8bdp-12, -0x1.7d1c0becd7091p-12, -0x1.7cd3db16381cap-12, -0x1.7c5bbd34f1861p-12, -0x1.7bb58bdeea6e1p-12, -0x1.7ae31495344c8p-12, -0x1.79e6190132c55p-12, -0x1.78c04f2ea1e1cp-12, -0x1.777361c5f9f6p-12, -0x1.7600f0464cde8p-12, -0x1.746a8f3c56b7dp-12, -0x1.72b1c87b13b26p-12, -0x1.70d81b52fb1fcp-12, -0x1.6edefcc7333bbp-12, -0x1.6cc7d7c3c283p-12, -0x1.6a940d51f2852p-12, -0x1.6844f4cc0de0ap-12, -0x1.65dbdc0feeb58p-12, -0x1.635a07b1b7df7p-12, -0x1.60c0b32d8defp-12, -0x1.5e1111181ecb6p-12, -0x1.5b4c4b4ea55e8p-12, -0x1.58738325d8bcep-12, -0x1.5587d199a2cecp-12, -0x1.528a4779b5c98p-12, -0x1.4f7bed96f3868p-12, -0x1.4c5dc4effe7b3p-12, -0x1.4930c6dccfd79p-12, -0x1.45f5e539c76f5p-12, -0x1.42ae0a918e588p-12, -0x1.3f5a1a473ad81p-12, -0x1.3bfaf0bebda72p-12, -0x1.389163854ec57p-12, -0x1.351e41786c9a7p-12, -0x1.31a252ed89d3fp-12, -0x1.2e1e59d7b4739p-12, -0x1.2a9311ed1c701p-12, -0x1.270130cc2b18cp-12, -0x1.236966200f5p-12, -0x1.1fcc5bc3693cfp-12, -0x1.1c2ab5e3c527bp-12, -0x1.1885132418c79p-12, -0x1.14dc0cbeb1ce9p-12, -0x1.113036a5e67fdp-12, -0x1.0d821fa4b18fp-12, -0x1.09d2517f098b2p-12, -0x1.06215110cc657p-12, -0x1.026f9e6ca4aa3p-12, -0x1.fd7b69f48c943p-13, -0x1.f6181727d712cp-13, -0x1.eeb62947f4eep-13, -0x1.e7567c81bd25cp-13, -0x1.dff9e493753fdp-13, -0x1.d8a12d029361fp-13, -0x1.d14d1951b10e9p-13, -0x1.c9fe6535678fap-13, -0x1.c2b5c4c9252c2p-13, -0x1.bb73e4c09b5f6p-13, -0x1.b4396a9a15723p-13, -0x1.ad06f4cfe7988p-13, -0x1.a5dd1b07279a5p-13, -0x1.9ebc6e3ebdc1ep-13, -0x1.97a578fe443fap-13, -0x1.9098bf80e5899p-13, -0x1.8996bfe34325dp-13, -0x1.829ff24e9b31dp-13, -0x1.7bb4c922a8c11p-13, -0x1.74d5b11dd2fc2p-13, -0x1.6e03118758417p-13, -0x1.673d4c5709137p-13, -0x1.6084be5a9e891p-13, -0x1.59d9bf5b99a72p-13, -0x1.533ca246931ecp-13, -0x1.4cadb54e79d05p-13, -0x1.462d420f1427cp-13, -0x1.3fbb8db1ad372p-13, -0x1.3958d90e070e4p-13, -0x1.330560cbba0eap-13, -0x1.2cc15d8295583p-13, -0x1.268d03dab7277p-13, -0x1.206884ac670cep-13, -0x1.1a540d1d464cap-13, -0x1.144fc6be890d6p-13, -0x1.0e5bd7aa4557bp-13, -0x1.087862a01ff43p-13, -0x1.02a5871fae044p-13, -0x1.f9c6c30884ff6p-14, -0x1.ee64163faf9f3p-14, -0x1.e32334a95db3p-14, -0x1.d804455cbbd96p-14, -0x1.cd0769f4537afp-14, -0x1.c22cbebe9feedp-14, -0x1.b7745aee4b58ep-14, -0x1.acde50c5cbfd3p-14, -0x1.a26aadc47e37bp-14, -0x1.98197ad2cb144p-14, -0x1.8deabc6cb655cp-14, -0x1.83de72caa2be1p-14, -0x1.79f49a0aeff35p-14, -0x1.702d2a57e5049p-14, -0x1.6688180fb871dp-14, -0x1.5d0553e83fa2p-14, -0x1.53a4cb1493b0ap-14, -0x1.4a666766f1333p-14, -0x1.414a0f75b3827p-14, -0x1.384fa6bbfcd9fp-14, -0x1.2f770db9d984cp-14, -0x1.26c022157901p-14, -0x1.1e2abeb90615ep-14, -0x1.15b6bbf28b21fp-14, -0x1.0d63ef8f33433p-14, -0x1.05322cf863d5ap-14, -0x1.fa428aa423d59p-15, -0x1.ea620f266b802p-15, -0x1.dac2814210997p-15, -0x1.cb6376d25c8afp-15, -0x1.bc4481f389107p-15, -0x1.ad65313421484p-15, -0x1.9ec50fc2f8b4cp-15, -0x1.9063a59fba403p-15, -0x1.824077c2504d3p-15, -0x1.745b08498a18bp-15, -0x1.66b2d6a59bb45p-15, -0x1.59475fbe14cabp-15, -0x1.4c181e1a0ae1bp-15, -0x1.3f248a08b910cp-15, -0x1.326c19c25dcefp-15, -0x1.25ee418ec6e07p-15, -0x1.19aa73e7775d4p-15, -0x1.0da0219974026p-15, }}, 
      {{0x1.eb16445fc6de2p-1, 0x1.eaf5ce8388d57p-1, 0x1.eabf8ef367a34p-1, 0x1.ea734e2448ce6p-1, 0x1.ea10c11574746p-1, 0x1.e9978c918ec5bp-1, 0x1.e907490165e26p-1, 0x1.e85f8625c250cp-1, 0x1.e79fce5c9555dp-1, 0x1.e6c7a96562682p-1, 0x1.e5d69ec0cd05cp-1, 0x1.e4cc37cde9a6fp-1, 0x1.e3a801be6dfccp-1, 0x1.e2698f6dacf27p-1, 0x1.e1107b1b11396p-1, 0x1.df9c68011ebedp-1, 0x1.de0d03bdf509fp-1, 0x1.dc62078165d3p-1, 0x1.da9b38f68403dp-1, 0x1.d8b86ae2462e1p-1, 0x1.d6b97d75a6bf3p-1, 0x1.d49e5e56ab649p-1, 0x1.d26708682a054p-1, 0x1.d013835b5f645p-1, 0x1.cda3e31853e83p-1, 0x1.cb18470a80e0fp-1, 0x1.c870d95e68e5ap-1, 0x1.c5adce3b3725ap-1, 0x1.c2cf63014311bp-1, 0x1.bfd5dd93ef215p-1, 0x1.bcc18bb2f5419p-1, 0x1.b992c2651d599p-1, 0x1.b649dd748eb3fp-1, 0x1.b2e73efb9b22bp-1, 0x1.af6b4efff64c1p-1, 0x1.abd67b19bfebep-1, 0x1.a8293623929dep-1, 0x1.a463f7f0cf257p-1, 0x1.a0873d079c5e7p-1, 0x1.9c93865c68724p-1, 0x1.9889590d2a47ep-1, 0x1.94693e1b11d98p-1, 0x1.9033c221c9564p-1, 0x1.8be9750bd5d02p-1, 0x1.878ae9c3fdbb1p-1, 0x1.8318b5e3f379bp-1, 0x1.7e937160b99c2p-1, 0x1.79fbb6356d398p-1, 0x1.7552200d3e802p-1, 0x1.70974bed755d2p-1, 0x1.6bcbd7e06841fp-1, 0x1.66f062a24205fp-1, 0x1.62058b506df6fp-1, 0x1.5d0bf11c68f6ap-1, 0x1.58043302a1da9p-1, 0x1.52eeef85f0f4bp-1, 0x1.4dccc4701d12cp-1, 0x1.489e4e97b6f6fp-1, 0x1.436429ab812a1p-1, 0x1.3e1ef00379b3ap-1, 0x1.38cf3a777f582p-1, 0x1.3375a03b7788bp-1, 0x1.2e12b6c0c3facp-1, 0x1.28a7119cc2db4p-1, 0x1.233342740ae36p-1, 0x1.1db7d8ea0926p-1, 0x1.18356294993b9p-1, 0x1.12ac6af335479p-1, 0x1.0d1d7b6951df5p-1, 0x1.07891b3b7bd3ep-1, 0x1.01efcf8ed4b14p-1, 0x1.f8a436d517c14p-2, 0x1.ed60ff75e7558p-2, 0x1.e216f6abc5e12p-2, 0x1.d6c71600247aap-2, 0x1.cb7252e65c87ap-2, 0x1.c0199ec8c7eddp-2, 0x1.b4bde7165be2fp-2, 0x1.a96015507109fp-2, 0x1.9e010f18677f6p-2, 0x1.92a1b63ced383p-2, 0x1.8742e8c6b5e18p-2, 0x1.7be581047d1ccp-2, 0x1.708a55963d1a4p-2, 0x1.653239778a2ebp-2, 0x1.59ddfc090782p-2, 0x1.4e8e6918fb016p-2, 0x1.434448eaff42p-2, 0x1.3800603ee166dp-2, 0x1.2cc37056b83cap-2, 0x1.218e36fc43eefp-2, 0x1.16616e85aa228p-2, 0x1.0b3dcdd99eb97p-2, 0x1.002408731101dp-2, 0x1.ea299cc8e3135p-3, 0x1.d42198b53ff9bp-3, 0x1.be31573f2c52bp-3, 0x1.a85a2439d0b49p-3, 0x1.929d44bc35324p-3, 0x1.7cfbf725e5b58p-3, 0x1.6777732376aeap-3, 0x1.5210e9b32dd48p-3, 0x1.3cc98529c7eb7p-3, 0x1.27a269377a5cdp-3, 0x1.129cb2ed41548p-3, 0x1.fb72f184f68dbp-4, 0x1.d1f39535d6c0dp-4, 0x1.a8bd639a2d1e8p-4, 0x1.7fd262522d891p-4, 0x1.573489ffa87dbp-4, 0x1.2ee5c65560c6bp-4, 0x1.06e7f62735842p-4, 0x1.be79d6f65fb2dp-5, 0x1.6fccd736aaeaep-5, 0x1.21cc5e50a0a63p-5, 0x1.a8f788b318e13p-6, 0x1.0fbc90c5bfd95p-6, 0x1.dfb8851d01a76p-8, -0x1.e6daab9d79f1ap-10, -0x1.66a1d26e6ccfep-7, -0x1.46b5e0d931933p-6, -0x1.d897089bc7071p-6, -0x1.347783b8f3efap-5, -0x1.7bdc59f3d0449p-5, -0x1.c27789e18db84p-5, -0x1.042356e92f0ap-4, -0x1.26a3bba9a499p-4, -0x1.48bbd77ed22a7p-4, -0x1.6a6a9a2334096p-4, -0x1.8baefea6ae30cp-4, -0x1.ac880b56235fap-4, -0x1.ccf4d1a310edep-4, -0x1.ecf46e0b34a73p-4, -0x1.06430400221f2p-3, -0x1.15d468e7e018cp-3, -0x1.252e044566f2fp-3, -0x1.344f79f72506ep-3, -0x1.433873256e68ep-3, -0x1.51e89e36a322ap-3, -0x1.605faec35ab49p-3, -0x1.6e9d5d8aa675dp-3, -0x1.7ca168665f637p-3, -0x1.8a6b923f7cbbep-3, -0x1.97fba30281788p-3, -0x1.a5516793e39f4p-3, -0x1.b26cb1c48b542p-3, -0x1.bf4d58464ca37p-3, -0x1.cbf336a063efcp-3, -0x1.d85e2d23f7a6cp-3, -0x1.e48e20e08f684p-3, -0x1.f082fb988a4b8p-3, -0x1.fc3cabb5838dap-3, -0x1.03dd921e57aa4p-2, -0x1.097f2e61927dp-2, -0x1.0f0328b107e9fp-2, -0x1.1469815568138p-2, -0x1.19b23acd78809p-2, -0x1.1edd59c80a325p-2, -0x1.23eae51dd1d2ap-2, -0x1.28dae5cb37f75p-2, -0x1.2dad66ea0b7d6p-2, -0x1.326275ab247fep-2, -0x1.36fa214feb28ep-2, -0x1.3b747b23c8f53p-2, -0x1.3fd196757b9fep-2, -0x1.4411889050be3p-2, -0x1.483468b54221dp-2, -0x1.4c3a5013f6152p-2, -0x1.502359c3a2201p-2, -0x1.53efa2bbce932p-2, -0x1.579f49ccf8a58p-2, -0x1.5b326f9918ddfp-2, -0x1.5ea9368c06bd5p-2, -0x1.6203c2d3bd2ebp-2, -0x1.65423a587f4d9p-2, -0x1.6864c4b4dca04p-2, -0x1.6b6b8b2d95a78p-2, -0x1.6e56b8a962865p-2, -0x1.712679a8998e8p-2, -0x1.73dafc3cb7046p-2, -0x1.76746fffca0d8p-2, -0x1.78f3060bc1858p-2, -0x1.7b56f0f1a1f38p-2, -0x1.7da064b09b64ap-2, -0x1.7fcf96ad0c5d2p-2, -0x1.81e4bda7651f4p-2, -0x1.83e011b2faabep-2, -0x1.85c1cc2cc3557p-2, -0x1.878a27b1f95fep-2, -0x1.89396016b5456p-2, -0x1.8acfb25c6ee95p-2, -0x1.8c4d5ca8727b3p-2, -0x1.8db29e3a49e9ap-2, -0x1.8effb76217d25p-2, -0x1.9034e976e9a5dp-2, -0x1.915276cd0332fp-2, -0x1.9258a2ac20144p-2, -0x1.9347b145b3cb9p-2, -0x1.941fe7ab296ddp-2, -0x1.94e18bc41af24p-2, -0x1.958ce44492303p-2, -0x1.962238a345e62p-2, -0x1.96a1d10fe06eap-2, -0x1.970bf6694bbc1p-2, -0x1.9760f234022acp-2, -0x1.97a10e906e476p-2, -0x1.97cc963153d17p-2, -0x1.97e3d4524741ap-2, -0x1.97e714ae32819p-2, -0x1.97d6a375ecfd8p-2, -0x1.97b2cd46e5be8p-2, -0x1.977bdf21de3abp-2, -0x1.97322661bf18bp-2, -0x1.96d5f0b27fdbdp-2, -0x1.96678c0829d5dp-2, -0x1.95e74695f266ap-2, -0x1.95556ec570f2ap-2, -0x1.94b2532df08dp-2, -0x1.93fe428bdea9ap-2, -0x1.93398bb859792p-2, -0x1.92647da0db4c3p-2, -0x1.917f673f07639p-2, -0x1.908a9790989d1p-2, -0x1.8f865d8f718e7p-2, -0x1.8e730829cf5d9p-2, -0x1.8d50e63aa039cp-2, -0x1.8c20468200172p-2, -0x1.8ae1779dd5f68p-2, -0x1.8994c8029c471p-2, -0x1.883a85f44c06p-2, -0x1.86d2ff7f6f73ep-2, -0x1.855e82725a2cp-2, -0x1.83dd5c568da73p-2, -0x1.824fda6a3d695p-2, -0x1.80b6499a04e1p-2, -0x1.7f10f67abc81fp-2, -0x1.7d602d437dedep-2, -0x1.7ba439c7cbbd4p-2, -0x1.79dd6771e8c7ep-2, -0x1.780c013d4e37p-2, -0x1.763051b153498p-2, -0x1.744aa2dbfc3d5p-2, -0x1.725b3e4ceaa4ep-2, -0x1.70626d1080c1ep-2, -0x1.6e6077ab279ep-2, -0x1.6c55a614bbd7cp-2, -0x1.6a423fb427bcp-2, -0x1.68268b5b20ffdp-2, -0x1.6602cf4210b1fp-2, -0x1.63d751041ecdp-2, -0x1.61a4559b6b161p-2, -0x1.5f6a215d67d8ap-2, -0x1.5d28f7f759943p-2, -0x1.5ae11c6b03158p-2, -0x1.5892d10b713a4p-2, -0x1.563e5779f00c1p-2, -0x1.53e3f0a31f15bp-2, -0x1.5183dcbc32238p-2, -0x1.4f1e5b404db94p-2, -0x1.4cb3aaee0e312p-2, -0x1.4a4409c52a8ffp-2, -0x1.47cfb5043fcf9p-2, -0x1.4556e926bb633p-2, -0x1.42d9e1e2e8ebp-2, -0x1.4058da281c0d5p-2, -0x1.3dd40c1d01041p-2, -0x1.3b4bb11e09c02p-2, -0x1.38c001bbf9658p-2, -0x1.363135ba9134ep-2, -0x1.339f840f5aebep-2, -0x1.310b22e08d189p-2, -0x1.2e744784129c4p-2, -0x1.2bdb267eab3fbp-2, -0x1.293ff383278cp-2, -0x1.26a2e171c21bp-2, -0x1.24042257934aep-2, -0x1.2163e76e1c418p-2, -0x1.1ec2611af2ebbp-2, -0x1.1c1fbeef7c7fdp-2, -0x1.197c2fa8cc11p-2, -0x1.16d7e12f8f358p-2, -0x1.143300981904ep-2, -0x1.118dba2280713p-2, -0x1.0ee8393ad6cfep-2, -0x1.0c42a87971bd2p-2, -0x1.099d31a34d9fcp-2, -0x1.06f7fdaa82a64p-2, -0x1.045334aecd1dcp-2, -0x1.01aefdfe2bc67p-2, -0x1.fe17002b21413p-3, -0x1.f8d1c14345c19p-3, -0x1.f38e88ff287c5p-3, -0x1.ee4d9f7c0c2b8p-3, -0x1.e90f4b3c0591ep-3, -0x1.e3d3d12807ba6p-3, -0x1.de9b749217cc7p-3, -0x1.d9667737951b3p-3, -0x1.d4351943a9abdp-3, -0x1.cf079951d5ff6p-3, -0x1.c9de34708f566p-3, -0x1.c4b92624090d6p-3, -0x1.bf98a86905039p-3, -0x1.ba7cf3b7cf1b2p-3, -0x1.b5663f0746cc1p-3, -0x1.b054bfcffeb5p-3, -0x1.ab48aa0f7bd62p-3, -0x1.a642304b7d983p-3, -0x1.a141839568216p-3, -0x1.9c46d38db694dp-3, -0x1.97524e6786d43p-3, -0x1.926420ec35f84p-3, -0x1.8d7c767f0bbcbp-3, -0x1.889b7920f9465p-3, -0x1.83c1517468a01p-3, -0x1.7eee26c113407p-3, -0x1.7a221ef7f1312p-3, -0x1.755d5eb72ad95p-3, -0x1.70a0094e21a71p-3, -0x1.6bea40c17d1e8p-3, -0x1.673c25cf42773p-3, -0x1.6295d7f2fdd12p-3, -0x1.5df77569ec4abp-3, -0x1.59611b373267bp-3, -0x1.54d2e5281fa94p-3, -0x1.504cedd86dc0ap-3, -0x1.4bcf4eb694ddbp-3, -0x1.475a200818f4ap-3, -0x1.42ed78ede5f7p-3, -0x1.3e896f68ac0d5p-3, -0x1.3a2e185d41f8ap-3, -0x1.35db87990a17cp-3, -0x1.3191cfd65bd25p-3, -0x1.2d5102c0eec65p-3, -0x1.291930fa47b7ep-3, -0x1.24ea6a1e2581p-3, -0x1.20c4bcc6f2675p-3, -0x1.1ca836923572p-3, -0x1.1894e424fbd48p-3, -0x1.148ad130506cdp-3, -0x1.108a0875a0c88p-3, -0x1.0c9293cb303dp-3, -0x1.08a47c207dcdap-3, -0x1.04bfc982abd4ap-3, -0x1.00e48320e96e3p-3, -0x1.fa255ea192d59p-4, -0x1.f294a725522d1p-4, -0x1.eb16e92c0ad2dp-4, -0x1.e3ac2c7b9b272p-4, -0x1.dc5477496b136p-4, -0x1.d50fce42fa445p-4, -0x1.cdde3496691d1p-4, -0x1.c6bfabfafaa0dp-4, -0x1.bfb434b976b1fp-4, -0x1.b8bbcdb496df6p-4, -0x1.b1d6747155499p-4, -0x1.ab04251f347e9p-4, -0x1.a444daa06b2fep-4, -0x1.9d988e92136d1p-4, -0x1.96ff39543abb5p-4, -0x1.9078d211e3389p-4, -0x1.8a054ec8fab7bp-4, -0x1.83a4a452393bfp-4, -0x1.7d56c668e91c4p-4, -0x1.771ba7b2aa672p-4, -0x1.70f339c713712p-4, -0x1.6add6d37475c3p-4, -0x1.64da31957674cp-4, -0x1.5ee9757c44df5p-4, -0x1.590b269623064p-4, -0x1.533f31a49334bp-4, -0x1.4d8582874d3d9p-4, -0x1.47de044358fc9p-4, -0x1.4248a10a0b494p-4, -0x1.3cc5423ff699bp-4, -0x1.3753d083b32e9p-4, -0x1.31f433b4a38d9p-4, -0x1.2ca652f996db4p-4, -0x1.276a14c757262p-4, -0x1.223f5ee71ff24p-4, -0x1.1d26167d00e3ep-4, -0x1.181e200e21465p-4, -0x1.13275f86f2afep-4, -0x1.0e41b84148bacp-4, -0x1.096d0d0a5aedbp-4, -0x1.04a94028ab607p-4, -0x1.ffec66c3b2a28p-5, -0x1.f6a79000ab4c6p-5, -0x1.ed83bdb20f30bp-5, -0x1.e480b0a1a4d2cp-5, -0x1.db9e28c40fd77p-5, -0x1.d2dbe5437558ap-5, -0x1.ca39a48a04c72p-5, -0x1.c1b7244c41d19p-5, -0x1.b954219327975p-5, -0x1.b11058c610bf8p-5, -0x1.a8eb85b478821p-5, -0x1.a0e5639f8b7c9p-5, -0x1.98fdad4381fe5p-5, -0x1.91341ce0d4544p-5, -0x1.89886c452e582p-5, -0x1.81fa54d455468p-5, -0x1.7a898f90afa36p-5, -0x1.7335d523c8e68p-5, -0x1.6bfedde6962c5p-5, -0x1.64e461e984b7fp-5, -0x1.5de618fc60592p-5, -0x1.5703bab6153a8p-5, -0x1.503cfe7c3e514p-5, -0x1.49919b8a7c35dp-5, -0x1.430148f9b35b2p-5, -0x1.3c8bbdc70e1bep-5, -0x1.3630b0dad542bp-5, -0x1.2fefd90f2aab1p-5, -0x1.29c8ed3687035p-5, -0x1.23bba42215133p-5, -0x1.1dc7b4a7e48cfp-5, -0x1.17ecd5a8f1f11p-5, -0x1.122abe16fc22p-5, -0x1.0c8124fa45e98p-5, -0x1.06efc17714fe9p-5, -0x1.01764ad31f19cp-5, -0x1.f828f0f5831cdp-6, -0x1.ed94040c397c6p-6, -0x1.e32d3e7bebb1ap-6, -0x1.d8f410412979cp-6, -0x1.cee7e9cca1d8bp-6, -0x1.c5083c0c48f85p-6, -0x1.bb547873e2838p-6, -0x1.b1cc1105968ffp-6, -0x1.a86e7859ef3cap-6, -0x1.9f3b21a7d7b8bp-6, -0x1.963180cc1d545p-6, -0x1.8d510a50cecb5p-6, -0x1.8499337455308p-6, -0x1.7c097230315eep-6, -0x1.73a13d3fa39a4p-6, -0x1.6b600c25d973p-6, -0x1.63455734317ap-6, -0x1.5b50978fcf08ep-6, -0x1.538147376e135p-6, -0x1.4bd6e10890e65p-6, -0x1.4450e0c4b43c9p-6, -0x1.3ceec3163b8c9p-6, -0x1.35b005950f3a8p-6, -0x1.2e9426cb2661bp-6, -0x1.279aa638b0eb1p-6, -0x1.20c30458300b9p-6, -0x1.1a0cc2a263219p-6, -0x1.13776391be5acp-6, -0x1.0d026aa5f891dp-6, -0x1.06ad5c67559fp-6, -0x1.0077be6997fe7p-6, -0x1.f4c22e9e081b8p-7, -0x1.e8d1dd95fa823p-7, -0x1.dd1d9b4920b05p-7, -0x1.d1a47b71b1f78p-7, -0x1.c66593fa3f293p-7, -0x1.bb5ffd01d9286p-7, -0x1.b092d0dfc84bdp-7, -0x1.a5fd2c26d5fabp-7, -0x1.9b9e2da890a76p-7, -0x1.9174f677f933fp-7, -0x1.8780a9ec0ff75p-7, -0x1.7dc06da20be9dp-7, -0x1.7433697f527c1p-7, -0x1.6ad8c7b31afcbp-7, -0x1.61afb4b7d9b2bp-7, -0x1.58b75f547b1e2p-7, -0x1.4feef89d21f6bp-7, -0x1.4755b3f40a9a7p-7, -0x1.3eeac709bac3ap-7, -0x1.36ad69dd64308p-7, -0x1.2e9cd6bcc99e6p-7, -0x1.26b84a4405815p-7, -0x1.1eff035d0866p-7, -0x1.1770433f1ad7dp-7, -0x1.100b4d6dbd6ddp-7, -0x1.08cf67b7e8f7cp-7, -0x1.01bbda36a7303p-7, -0x1.f59fde974efcfp-8, -0x1.e815e73f95fd1p-8, -0x1.dad86c425cfc4p-8, -0x1.cde6100310b6ap-8, -0x1.c13d7967aa1d1p-8, -0x1.b4dd53d46915ep-8, -0x1.a8c44f273d0bfp-8, -0x1.9cf11fb2a4224p-8, -0x1.91627e383054ep-8, -0x1.861727e34d9f1p-8, -0x1.7b0dde4348727p-8, -0x1.704567452ebe7p-8, -0x1.65bc8d2da1341p-8, -0x1.5b721e9289cd3p-8, -0x1.5164ee53e6ba7p-8, -0x1.4793d39550382p-8, -0x1.3dfda9b69e555p-8, -0x1.34a1504ca8e7cp-8, -0x1.2b7dab19e841ep-8, -0x1.2291a206a791fp-8, -0x1.19dc2119620a1p-8, -0x1.115c186e79ae7p-8, -0x1.09107c30935cbp-8, -0x1.00f8448fe4e4bp-8, -0x1.f224db746e8bfp-9, -0x1.e2bbefa404cbbp-9, -0x1.d3b3cdcc1e127p-9, -0x1.c50a85d1b5c3p-9, -0x1.b6be2f4ebf136p-9, -0x1.a8cce980e4b4cp-9, -0x1.9b34db377ef2cp-9, -0x1.8df432c10b28bp-9, -0x1.810925d919fefp-9, -0x1.7471f195cda1ap-9, -0x1.682cda54f2a27p-9, -0x1.5c382ba9e0b35p-9, -0x1.50923849d661ap-9, -0x1.453959f996d32p-9, -0x1.3a2bf17a6b032p-9, -0x1.2f6866767aadp-9, -0x1.24ed276e5bf62p-9, -0x1.1ab8a9a56a185p-9, -0x1.10c9690e73dd9p-9, -0x1.071de838cb806p-9, -0x1.fb696078e75a4p-10, -0x1.e918a14e7e4a8p-10, -0x1.d746bed299225p-10, -0x1.c5f0f182c5969p-10, -0x1.b5147e53fe1fep-10, -0x1.a4aeb68bbb82ep-10, -0x1.94bcf798d5ef5p-10, -0x1.853caaed1b64p-10, -0x1.762b45d75b2a6p-10, -0x1.6786495cb8acep-10, -0x1.594b42118032fp-10, -0x1.4b77c7f430d14p-10, -0x1.3e097e45c7c98p-10, -0x1.30fe1365f4d7cp-10, -0x1.245340aab28dbp-10, -0x1.1806ca3cf3186p-10, -0x1.0c167ef1250c1p-10, -0x1.0080382303b68p-10, -0x1.ea83b3207125bp-11, -0x1.d4b2a2661c62fp-11, -0x1.bf892e3b66b41p-11, -0x1.ab035aabe6179p-11, -0x1.971d3f609f4e9p-11, -0x1.83d30758f02b6p-11, -0x1.7120f0a2361p-11, -0x1.5f034c101ca33p-11, -0x1.4d767cf63fdd7p-11, -0x1.3c76f8e17be59p-11, -0x1.2c014752698abp-11, -0x1.1c12017777703p-11, -0x1.0ca5d1e971d94p-11, -0x1.fb72e8c9deafdp-12, -0x1.de936b13a3dc2p-12, -0x1.c2a6e52a42cc1p-12, -0x1.a7a732412342cp-12, -0x1.8d8e4dbed42fep-12, -0x1.745652bc3be1p-12, -0x1.5bf97b81fa216p-12, -0x1.44722106ec61cp-12, -0x1.2dbaba739820cp-12, -0x1.17cddca260c56p-12, -0x1.02a639a4c33fep-12, -0x1.dc7d408c24513p-13, -0x1.b523f7261704ep-13, -0x1.8f36a4bf2d07ep-13, -0x1.6aab8da0f3ac5p-13, -0x1.47792bc8360f6p-13, -0x1.25962dfc245b2p-13, -0x1.04f976e7920ecp-13, -0x1.cb34386664907p-14, -0x1.8edecb472a3e4p-14, -0x1.54e198766178ap-14, -0x1.1d2bf2b6650c9p-14, -0x1.cf5b17aaf63bbp-15, -0x1.68ace5f9f2b9dp-15, -0x1.062e26110ec18p-15, -0x1.4f80c383dd834p-16, -0x1.35174ed48c3d7p-17, 0x1.2bd378c7f5117p-20, 0x1.712567753e3fdp-17, 0x1.572c58d4a3a81p-16, 0x1.eec069f8a65ep-16, 0x1.3fc1f3ec8b3b7p-15, 0x1.84d54b5789bbep-15, 0x1.c6b3820fd454ap-15, 0x1.02baa34da0d0ap-14, 0x1.20995901d8567p-14, 0x1.3d01a55a3d118p-14, 0x1.57ff03a4ef6bbp-14, 0x1.719ca8aa25155p-14, 0x1.89e58408561a2p-14, 0x1.a0e4418b0a05fp-14, 0x1.b6a34a813105ep-14, 0x1.cb2cc706559abp-14, 0x1.de8a9f50e5d18p-14, 0x1.f0c67cf111596p-14, 0x1.00f4e60964596p-13, 0x1.08fede5bb42f1p-13, 0x1.1085a1f651d6ap-13, 0x1.178d8e7daeaa2p-13, 0x1.1e1ae54c5e6b7p-13, 0x1.2431cc029ba17p-13, 0x1.29d64d1d03568p-13, 0x1.2f0c5880607fap-13, 0x1.33d7c4067397ap-13, 0x1.383c4c09630d9p-13, 0x1.3c3d93ee97149p-13, 0x1.3fdf26a88365ep-13, 0x1.4324773dfd71bp-13, 0x1.4610e14b6a4dfp-13, 0x1.48a7a981b0afbp-13, 0x1.4aebfe24fec25p-13, 0x1.4ce0f786b6cd1p-13, 0x1.4e8998815b74fp-13, 0x1.4fe8ceecce9f2p-13, 0x1.51017416e6ea7p-13, 0x1.51d64d33e818fp-13, 0x1.526a0bd17a15fp-13, 0x1.52bf4e46a5136p-13, 0x1.52d8a01e3ae8fp-13, 0x1.52b87a8626418p-13, 0x1.526144b6cd5cp-13, 0x1.51d5545ac6c39p-13, 0x1.5116edf571679p-13, 0x1.50284546b403fp-13, 0x1.4f0b7dacb5ba3p-13, 0x1.4dc2aa845099ep-13, 0x1.4c4fcf88d9ed1p-13, 0x1.4ab4e12fdeb0dp-13, 0x1.48f3c504cd23bp-13, 0x1.470e52027f311p-13, 0x1.450650eaf97f8p-13, 0x1.42dd7c9c0e41ep-13, 0x1.40958266eba1cp-13, 0x1.3e3002608a347p-13, 0x1.3bae8fb3729dp-13, 0x1.3912b0f0a766fp-13, 0x1.365de05c6abc1p-13, 0x1.33918c3b879b2p-13, 0x1.30af171e7a1fp-13, 0x1.2db7d82b2cc88p-13, 0x1.2aad1b65584d7p-13, 0x1.279021f515561p-13, 0x1.2462226bcfe55p-13, 0x1.2124490a1a22bp-13, 0x1.1dd7b7ff525fep-13, 0x1.1a7d87acee445p-13, 0x1.1716c6e7059b8p-13, 0x1.13a47b316eefcp-13, 0x1.1027a0fdfe2d2p-13, 0x1.0ca12be7774aap-13, 0x1.091206edcc6aep-13, 0x1.057b14aeeeaf1p-13, 0x1.01dd2f9fd6e2ep-13, 0x1.fc725485d53acp-14, 0x1.f51f9ebc27d89p-14, 0x1.edc3c46121e0ap-14, 0x1.e6603d4bc3916p-14, 0x1.def6731070cadp-14, 0x1.d787c16542618p-14, 0x1.d01576833ed06p-14, 0x1.c8a0d383510aep-14, 0x1.c12b0cbd715c3p-14, 0x1.b9b54a2144bc6p-14, 0x1.b240a78ea4bacp-14, 0x1.aace352fc2228p-14, 0x1.a35ef7c90943dp-14, 0x1.9bf3e90f49861p-14, 0x1.948df7f832a1dp-14, 0x1.8d2e0909ba18ap-14, 0x1.85d4f6a4fdc4cp-14, 0x1.7e839155041f4p-14, 0x1.773aa016fbfe4p-14, 0x1.6ffae0a32ed91p-14, 0x1.68c507b28eef4p-14, 0x1.6199c143d5ecep-14, 0x1.5a79b0df84c55p-14, 0x1.536571d885345p-14, 0x1.4c5d978c57f47p-14, 0x1.4562ada20052p-14, 0x1.3e753846f21d7p-14, 0x1.3795b46aca4f7p-14, 0x1.30c497f9362e7p-14, 0x1.2a02521365b8fp-14, 0x1.234f4b4531336p-14, 0x1.1cabe5be5a647p-14, 0x1.16187d846d302p-14, 0x1.0f9568a798399p-14, 0x1.0922f7748a407p-14, 0x1.02c174a49faf5p-14, 0x1.f8e24b1d60a17p-15, 0x1.ec6494a8d32d4p-15, 0x1.e00a3c1f39a07p-15, 0x1.d3d3adfcf325fp-15, 0x1.c7c14d5e47555p-15, 0x1.bbd37451188e2p-15, 0x1.b00a74275f018p-15, 0x1.a46695c690dcdp-15, 0x1.98e819f52ae9ap-15, 0x1.8d8f39a4440cap-15, 0x1.825c263b2f81cp-15, 0x1.774f09dd11db8p-15, 0x1.6c6807aebd58dp-15, 0x1.61a73c1b7dd9fp-15, 0x1.570cbd149bf39p-15, 0x1.4c989a52fbb89p-15, 0x1.424add949506p-15, 0x1.38238ad9128e8p-15, 0x1.2e22a09bfc8dfp-15, 0x1.2448180ed45bp-15, 0x1.1a93e5503de46p-15, 0x1.1105f7a2ca6b7p-15, 0x1.079e39a035296p-15, 0x1.fcb922d85b7bap-16, 0x1.ea81c1ce500a6p-16, 0x1.d8960bba9a48p-16, 0x1.c6f5b46be0e02p-16, 0x1.b5a068421da88p-16, 0x1.a495cc843c1b4p-16, 0x1.93d57fb6593a6p-16, 0x1.835f19f011dcap-16, 0x1.73322d2833af1p-16, 0x1.634e458308bfbp-16, 0x1.53b2e9a0ed3fbp-16, 0x1.445f9ae5e533bp-16, 0x1.3553d5c092e41p-16, 0x1.268f11efaeadcp-16, 0x1.1810c2c3b9f85p-16, 0x1.09d8575f06274p-16, 0x1.f7ca75ef0a36fp-17, 0x1.dc6daa1c73542p-17, 0x1.c199135c80604p-17, 0x1.a74b73455b5a6p-17, 0x1.8d8385603da3ap-17, 0x1.743fff8d35885p-17, 0x1.5b7f926f0fb08p-17, 0x1.4340e9ca833d2p-17, 0x1.2b82ace9e79bbp-17, 0x1.14437ef40743cp-17, 0x1.fb03fe91a97f8p-18, 0x1.ce7993b50be52p-18, 0x1.a2e4eef9ef4bfp-18, 0x1.78433c6cb842cp-18, 0x1.4e91a319dabaep-18, 0x1.25cd45a5e868cp-18, 0x1.fbe685b2f8094p-19, 0x1.ae016c5819594p-19, 0x1.61e5709aba9eap-19, 0x1.178cbf45f4815p-19, 0x1.9de30310c5a24p-20, 0x1.101bbbc183bafp-20, 0x1.0b6fe440a3accp-21, -0x1.54124b0a7a6c9p-28, -0x1.0a28144c08cbbp-21, -0x1.0593acbe754fcp-20, -0x1.82deae76a951p-20, -0x1.fd00bf52f94a9p-20, -0x1.3a02c4d54356p-19, -0x1.73fc585e90b99p-19, -0x1.ac72e7af558d4p-19, -0x1.e36c3b7a48b92p-19, -0x1.0c770b82890ddp-18, -0x1.267f1bd60f178p-18, -0x1.3fd12a2ec047dp-18, -0x1.58700e837b26ep-18, -0x1.705e9d10d4392p-18, -0x1.879fa62147488p-18, -0x1.9e35f5d28e033p-18, -0x1.b42453de86da7p-18, -0x1.c96d8369374bp-18, -0x1.de1442d7a7a36p-18, -0x1.f21b4b996f9ddp-18, -0x1.02c2a901e55dp-17, -0x1.0c2a82923ep-17, -0x1.1546874f170d4p-17, -0x1.1e180942ea8f4p-17, -0x1.26a0579d95682p-17, -0x1.2ee0bea8daef5p-17, -0x1.36da87b7fe94bp-17, -0x1.3e8ef9176dccbp-17, -0x1.45ff5603c4459p-17, -0x1.4d2cde9a9478ap-17, -0x1.5418cfcfca15dp-17, -0x1.5ac463669efd3p-17, -0x1.6130cfe400b3ap-17, -0x1.675f4889684adp-17, -0x1.6d50fd4a61428p-17, -0x1.73071ac828515p-17, -0x1.7882ca49f392ep-17, -0x1.7dc531b6f6965p-17, -0x1.82cf73905691dp-17, -0x1.87a2aeef6ba13p-17, -0x1.8c3fff80b40fp-17, -0x1.90a87d81b2227p-17, -0x1.94dd3dbcd8ba5p-17, -0x1.98df5188e7029p-17, -0x1.9cafc6c6fa239p-17, }}, 
      {{0x1.eb1d7898e2031p-1, 0x1.eb12a88c078bbp-1, 0x1.eb009b8b3ce9dp-1, 0x1.eae7465dbf4a9p-1, 0x1.eac699ab55784p-1, 0x1.ea9e826facbc8p-1, 0x1.ea6eea8e7f359p-1, 0x1.ea37b972da58ep-1, 0x1.e9f8d4a820642p-1, 0x1.e9b2206464789p-1, 0x1.e9638002db0b7p-1, 0x1.e90cd670b5addp-1, 0x1.e8ae068fb5b89p-1, 0x1.e846f39122a2dp-1, 0x1.e7d7814ad883cp-1, 0x1.e75f948709c8dp-1, 0x1.e6df134e7b2b4p-1, 0x1.e655e52c78617p-1, 0x1.e5c3f36b72a0bp-1, 0x1.e529294945735p-1, 0x1.e485742243c96p-1, 0x1.e3d8c39295db9p-1, 0x1.e323098dd28b5p-1, 0x1.e2643a6d2e69ep-1, 0x1.e19c4cf4faa7ep-1, 0x1.e0cb3a527768fp-1, 0x1.dff0fe132c3ffp-1, 0x1.df0d96170f938p-1, 0x1.de21027ec53cfp-1, 0x1.dd2b459722f5cp-1, 0x1.dc2c63c30ad23p-1, 0x1.db2463647971cp-1, 0x1.da134cc5817e1p-1, 0x1.d8f92a01b4adcp-1, 0x1.d7d606f0591p-1, 0x1.d6a9f10f9d6f9p-1, 0x1.d574f770e80fap-1, 0x1.d4372aa63ce85p-1, 0x1.d2f09cb0a921p-1, 0x1.d1a160ef98144p-1, 0x1.d0498c10ee3dap-1, 0x1.cee93401c047fp-1, 0x1.cd806fdf83fp-1, 0x1.cc0f57e995903p-1, 0x1.ca960572f5f82p-1, 0x1.c91492d426641p-1, 0x1.c78b1b5d12175p-1, 0x1.c5f9bb46f66cp-1, 0x1.c4608fa64796fp-1, 0x1.c2bfb65c8b859p-1, 0x1.c1174e0a33328p-1, 0x1.bf67760075f46p-1, 0x1.bdb04e333b501p-1, 0x1.bbf1f72b1f9f5p-1, 0x1.ba2c91f7a0bc7p-1, 0x1.b860402181e0bp-1, 0x1.b68d239d7537ep-1, 0x1.b4b35ebf1c17ep-1, 0x1.b2d3142c66e14p-1, 0x1.b0ec66d1653dcp-1, 0x1.aeff79d48ee13p-1, 0x1.ad0c708b90ab4p-1, 0x1.ab136e70a2c9dp-1, 0x1.a91497186eab7p-1, 0x1.a7100e288a0a7p-1, 0x1.a505f74e85bep-1, 0x1.a2f6763794b73p-1, 0x1.a0e1ae88c53abp-1, 0x1.9ec7c3d7cf31fp-1, 0x1.9ca8d9a46f398p-1, 0x1.9a8513524b57dp-1, 0x1.985c94235d2f3p-1, 0x1.962f7f32d7c5cp-1, 0x1.93fdf770863efp-1, 0x1.91c81f9c98fa1p-1, 0x1.8f8e1a43daebdp-1, 0x1.8d5009bc47ba5p-1, 0x1.8b0e1021fb587p-1, 0x1.88c84f5473376p-1, 0x1.867ee8f419cb7p-1, 0x1.8431fe601755bp-1, 0x1.81e1b0b45d2c8p-1, 0x1.7f8e20c7eb824p-1, 0x1.7d376f2b45924p-1, 0x1.7addbc2714dcep-1, 0x1.788127baf0ac8p-1, 0x1.7621d19c49e2ep-1, 0x1.73bfd93575c83p-1, 0x1.715b5da4d3058p-1, 0x1.6ef47dbc0696ap-1, 0x1.6c8b57ff4da0fp-1, 0x1.6a200aa4e2a38p-1, 0x1.67b2b39470ba3p-1, 0x1.654370669726fp-1, 0x1.62d25e6478ba7p-1, 0x1.605f9a8755cb9p-1, 0x1.5deb4178312cfp-1, 0x1.5b756f8f7d45fp-1, 0x1.58fe40d4d186bp-1, 0x1.5685d0fea78e3p-1, 0x1.540c3b721f5a4p-1, 0x1.51919b42c8f69p-1, 0x1.4f160b32756dap-1, 0x1.4c99a5b10c1f7p-1, 0x1.4a1c84dc675a2p-1, 0x1.479ec28034065p-1, 0x1.45207815d9771p-1, 0x1.42a1bec462fb8p-1, 0x1.4022af6071cbfp-1, 0x1.3da3626c31627p-1, 0x1.3b23f01750a97p-1, 0x1.38a4703f0386p-1, 0x1.3624fa6e03f13p-1, 0x1.33a5a5dc9bdd5p-1, 0x1.31268970b14e5p-1, 0x1.2ea7bbbdd8d24p-1, 0x1.2c2953056b0eap-1, 0x1.29ab65369f5bbp-1, 0x1.272e07eeaac64p-1, 0x1.24b15078e295ep-1, 0x1.223553cee41a6p-1, 0x1.1fba2698bf551p-1, 0x1.1d3fdd2d264p-1, 0x1.1ac68b919f9a5p-1, 0x1.184e457abc902p-1, 0x1.15d71e4c53a98p-1, 0x1.13612919bd0b9p-1, 0x1.10ec78a614001p-1, 0x1.0e791f64780cep-1, 0x1.0c072f7856669p-1, 0x1.0996bab5afdep-1, 0x1.0727d2a166f16p-1, 0x1.04ba88718be21p-1, 0x1.024eed0daef2ep-1, 0x1.ffca221e62a9bp-2, 0x1.fafa098335d46p-2, 0x1.f62db045dfa1fp-2, 0x1.f16535c813c68p-2, 0x1.eca0b8d1e31c9p-2, 0x1.e7e05792730aep-2, 0x1.e3242fa0b86f5p-2, 0x1.de6c5dfc34bc9p-2, 0x1.d9b8ff0db317cp-2, 0x1.d50a2ea80a4cap-2, 0x1.d0600808e408fp-2, 0x1.cbbaa5d97c9dap-2, 0x1.c71a222f70d2dp-2, 0x1.c27e968d83d17p-2, 0x1.bde81be46ba5ap-2, 0x1.b956ca939e317p-2, 0x1.b4caba6a20c39p-2, 0x1.b04402a7573d1p-2, 0x1.abc2b9fbd6bc1p-2, 0x1.a746f68a38465p-2, 0x1.a2d0cde7ee174p-2, 0x1.9e60551e1ab0cp-2, 0x1.99f5a0aa685bfp-2, 0x1.9590c47fe1fc3p-2, 0x1.9131d407cef63p-2, 0x1.8cd8e22290d93p-2, 0x1.8886012880273p-2, 0x1.843942eacdf39p-2, 0x1.7ff2b8b464a0cp-2, 0x1.7bb2734acec5bp-2, 0x1.777882ef18cccp-2, 0x1.7344f75ebd208p-2, 0x1.6f17dfd48bf27p-2, 0x1.6af14b0997d8bp-2, 0x1.66d1473625effp-2, 0x1.62b7e2129cabdp-2, 0x1.5ea528d87a218p-2, 0x1.5a99284346cd2p-2, 0x1.5693ec919193ep-2, 0x1.52958185e8b23p-2, 0x1.4e9df267d9b2dp-2, 0x1.4aad4a04f0851p-2, 0x1.46c392b1be0d5p-2, 0x1.42e0d64add632p-2, 0x1.3f051e35fc947p-2, 0x1.3b307362edc45p-2, 0x1.3762de4cb3726p-2, 0x1.339c66fa958edp-2, 0x1.2fdd150137df9p-2, 0x1.2c24ef83b3ebp-2, 0x1.2873fd34b6662p-2, 0x1.24ca44579e668p-2, 0x1.2127cac1a24acp-2, 0x1.1d8c95daf5f57p-2, 0x1.19f8aa9ff48c8p-2, 0x1.166c0da24f0f1p-2, 0x1.12e6c30a3bccbp-2, 0x1.0f68ce97a960fp-2, 0x1.0bf233a377d7dp-2, 0x1.0882f520b0f03p-2, 0x1.051b159dc4c51p-2, 0x1.01ba9745cb4c9p-2, 0x1.fcc2f7c38bae9p-3, 0x1.f61f89b3c8289p-3, 0x1.ef8ae66d9d99ap-3, 0x1.e9050f45e1bb4p-3, 0x1.e28e04d7884afp-3, 0x1.dc25c70649386p-3, 0x1.d5cc55013ee82p-3, 0x1.cf81ad45936b5p-3, 0x1.c945cda12b12cp-3, 0x1.c318b33559914p-3, 0x1.bcfa5a7993987p-3, 0x1.b6eabf3e2860ap-3, 0x1.b0e9dcaf0158ap-3, 0x1.aaf7ad565c8eep-3, 0x1.a5142b1f90c72p-3, 0x1.9f3f4f59d271cp-3, 0x1.997912baf8a27p-3, 0x1.93c16d62474ecp-3, 0x1.8e1856db36073p-3, 0x1.887dc62042205p-3, 0x1.82f1b19db3a96p-3, 0x1.7d740f346f957p-3, 0x1.7804d43cc57e4p-3, 0x1.72a3f5893ac34p-3, 0x1.6d5167695af04p-3, 0x1.680d1dac86616p-3, 0x1.62d70ba4bc815p-3, 0x1.5daf2429698bfp-3, 0x1.5895599a30ccdp-3, 0x1.53899de1b9808p-3, 0x1.4e8be2786f65fp-3, 0x1.499c186750815p-3, 0x1.44ba304aaccc1p-3, 0x1.3fe61a54e4225p-3, 0x1.3b1fc6512b3a2p-3, 0x1.366723a641a67p-3, 0x1.31bc21592a7dap-3, 0x1.2d1eae0fe25c8p-3, 0x1.288eb8140f41p-3, 0x1.240c2d55abff4p-3, 0x1.1f96fb6db1128p-3, 0x1.1b2f0fa0b9eap-3, 0x1.16d456e1a32c2p-3, 0x1.1286bdd423b26p-3, 0x1.0e4630cf66668p-3, 0x1.0a129be092886p-3, 0x1.05ebeacd6044p-3, 0x1.01d2091696693p-3, 0x1.fb89c3f519114p-4, 0x1.f388c0ef4a4dep-4, 0x1.eba0de9d7c84bp-4, 0x1.e3d1f20b43b0fp-4, 0x1.dc1bcfd2d5f98p-4, 0x1.d47e4c21cd122p-4, 0x1.ccf93abdd7c72p-4, 0x1.c58c6f0962bdap-4, 0x1.be37bc0828925p-4, 0x1.b6faf463c9022p-4, 0x1.afd5ea703b212p-4, 0x1.a8c8703036c57p-4, 0x1.a1d257599fb4ep-4, 0x1.9af37159cbe0bp-4, 0x1.942b8f59c8935p-4, 0x1.8d7a824288bf8p-4, 0x1.86e01ac10b0a7p-4, 0x1.805c294a6d305p-4, 0x1.79ee7e1fec68ep-4, 0x1.7396e952de68ap-4, 0x1.6d553ac89247fp-4, 0x1.6729423e29528p-4, 0x1.6112cf4c5708ep-4, 0x1.5b11b16b1c61dp-4, 0x1.5525b7f5692f9p-4, 0x1.4f4eb22cb45fp-4, 0x1.498c6f3c7f47fp-4, 0x1.43debe3dce147p-4, 0x1.3e456e3a89fe8p-4, 0x1.38c04e30da0d3p-4, 0x1.334f2d166877fp-4, 0x1.2df1d9db95641p-4, 0x1.28a8236ea2c62p-4, 0x1.2371d8bec0c54p-4, 0x1.1e4ec8bf1e84ep-4, 0x1.193ec269d7ec5p-4, 0x1.144194c2e0f77p-4, 0x1.0f570edad7857p-4, 0x1.0a7effd1d0679p-4, 0x1.05b936da084a2p-4, 0x1.0105833a90bebp-4, 0x1.f8c768a3c895cp-5, 0x1.efa73330e4c05p-5, 0x1.e6aa05462d217p-5, 0x1.ddcf7e4b08aacp-5, 0x1.d5173de942778p-5, 0x1.cc80e411a74a8p-5, 0x1.c40c110079e13p-5, 0x1.bbb86541d6099p-5, 0x1.b38581b5e9d98p-5, 0x1.ab730795201ecp-5, 0x1.a3809874203cbp-5, 0x1.9badd647bc71fp-5, 0x1.93fa6368be57ap-5, 0x1.8c65e29792a77p-5, 0x1.84eff6ffe63b1p-5, 0x1.7d98443c1ba35p-5, 0x1.765e6e58aa3adp-5, 0x1.6f4219d764976p-5, 0x1.6842ebb2a05f7p-5, 0x1.61608960419f9p-5, 0x1.5a9a98d4b9752p-5, 0x1.53f0c085d2693p-5, 0x1.4d62a76d864aap-5, 0x1.46eff50c923d8p-5, 0x1.4098516d1828ep-5, 0x1.3a5b6525088cep-5, 0x1.3438d9588cb39p-5, 0x1.2e3057bc49d34p-5, 0x1.28418a9790d71p-5, 0x1.226c1cc6790b4p-5, 0x1.1cafb9bbe3367p-5, 0x1.170c0d83646c2p-5, 0x1.1180c4c31ab4ap-5, 0x1.0c0d8cbd70775p-5, 0x1.06b21352c1fd1p-5, 0x1.016e0702fbe8dp-5, 0x1.f8822dde210c6p-6, 0x1.ee55e5b4db97ap-6, 0x1.e45696589a087p-6, 0x1.da83a1e1ffff8p-6, 0x1.d0dc6bb634c75p-6, 0x1.c7605889272a9p-6, 0x1.be0ece5fa4419p-6, 0x1.b4e7349140826p-6, 0x1.abe8f3ca3155bp-6, 0x1.a313760ce756bp-6, 0x1.9a6626b3a23ep-6, 0x1.91e07271d0b93p-6, 0x1.8981c755541d9p-6, 0x1.814994c79a955p-6, 0x1.79374b8eb460dp-6, 0x1.714a5dce1e7fap-6, 0x1.69823f079463cp-6, 0x1.61de641bb332dp-6, 0x1.5a5e434a82fe3p-6, 0x1.53015433daaf9p-6, 0x1.4bc70fd7b74a9p-6, 0x1.44aef09663552p-6, 0x1.3db872309b6eap-6, 0x1.36e311c77e20ep-6, 0x1.302e4ddc7d19p-6, 0x1.2999a65119998p-6, 0x1.23249c66a0ec8p-6, 0x1.1cceb2bdbf519p-6, 0x1.16976d560207cp-6, 0x1.107e518d4928ap-6, 0x1.0a82e61f1653dp-6, 0x1.04a4b323ca779p-6, 0x1.fdc6841faddc2p-7, 0x1.f27c3b65a0b28p-7, 0x1.e769a46ce1351p-7, 0x1.dc8dda3b0a2e1p-7, 0x1.d1e7fa858fbe1p-7, 0x1.c77725af5f601p-7, 0x1.bd3a7ec640978p-7, 0x1.b3312b802ffe5p-7, 0x1.a95a543887a7cp-7, 0x1.9fb523ecfeb34p-7, 0x1.9640c83aabafap-7, 0x1.8cfc715abc677p-7, 0x1.83e7521f34b63p-7, 0x1.7b009fef8054ep-7, 0x1.724792c4f25a8p-7, 0x1.69bb65270f418p-7, 0x1.615b5427f47bcp-7, 0x1.59269f606a2c5p-7, 0x1.511c88ec05c56p-7, 0x1.493c55651e33ep-7, 0x1.41854be0d1136p-7, 0x1.39f6b5eab177cp-7, 0x1.328fdf80ac7a3p-7, 0x1.2b50170ea32e9p-7, 0x1.2436ad6a0c56ep-7, 0x1.1d42f5cd78642p-7, 0x1.167445d41ca5p-7, 0x1.0fc9f5752cea5p-7, 0x1.09435eff39ac5p-7, 0x1.02dfdf13876ecp-7, 0x1.f93da9428512fp-8, 0x1.ecff41c173acdp-8, 0x1.e1034e9d02562p-8, 0x1.d5489b4d1556fp-8, 0x1.c9cdf7be803b3p-8, 0x1.be923849089f8p-8, 0x1.b39435a56e9edp-8, 0x1.a8d2cce336c3ep-8, 0x1.9e4cdf5eb1e6dp-8, 0x1.940152b6a797cp-8, 0x1.89ef10c226417p-8, 0x1.801507862b533p-8, 0x1.7672292b5e8f4p-8, 0x1.6d056bf39284dp-8, 0x1.63cdca2f77244p-8, 0x1.5aca42341de2p-8, 0x1.51f9d650694d7p-8, 0x1.495b8cc2c6f65p-8, 0x1.40ee6fae6bc94p-8, 0x1.38b18d10ff9a7p-8, 0x1.30a3f6b807ab6p-8, 0x1.28c4c2365b0a6p-8, 0x1.211308d98bf7fp-8, 0x1.198de79f6fb28p-8, 0x1.12347f2b9bd7bp-8, 0x1.0b05f3bcc7e82p-8, 0x1.04016d226f408p-8, 0x1.fa4c2d6456978p-9, 0x1.ece63e7a9743cp-9, 0x1.dfcf720cd73d1p-9, 0x1.d306336ddb941p-9, 0x1.c688f4a94c87dp-9, 0x1.ba562e6edf029p-9, 0x1.ae6c5ffdb5419p-9, 0x1.a2ca0f0f98a48p-9, 0x1.976dc7c4af572p-9, 0x1.8c561c8ed5a71p-9, 0x1.8181a61d3db8fp-9, 0x1.76ef03483a958p-9, 0x1.6c9cd8fd0355ep-9, 0x1.6289d2297fe15p-9, 0x1.58b49fa88a32cp-9, 0x1.4f1bf82dab53cp-9, 0x1.45be9831a9c1fp-9, 0x1.3c9b41de9bfafp-9, 0x1.33b0bcfc8bb68p-9, 0x1.2afdd6ddcb7p-9, 0x1.2281624bdd2e7p-9, 0x1.1a3a3774140d7p-9, 0x1.122733d4a26d5p-9, 0x1.0a473a29a040cp-9, 0x1.0299325a28ffep-9, 0x1.f63812cbaf3ccp-10, 0x1.e79d62a4158c5p-10, 0x1.d960422fa74ap-10, 0x1.cb7ea92281d13p-10, 0x1.bdf698cf8ae98p-10, 0x1.b0c61c03d1687p-10, 0x1.a3eb46e33455bp-10, 0x1.976436c515523p-10, 0x1.8b2f1211458aap-10, 0x1.7f4a081d916adp-10, 0x1.73b3510ae81c5p-10, 0x1.68692da39fdf8p-10, 0x1.5d69e739db0b6p-10, 0x1.52b3cf85941adp-10, 0x1.48454083e19a1p-10, 0x1.3e1c9c5625cfdp-10, 0x1.34384d216ff0bp-10, 0x1.2a96c4ee71f0ap-10, 0x1.21367d89b2011p-10, 0x1.1815f863db954p-10, 0x1.0f33be72de709p-10, 0x1.068e6012d449cp-10, 0x1.fc48e9cf61ba3p-11, 0x1.ebe9377e0a7fdp-11, 0x1.dbfaf4e42815ap-11, 0x1.cc7b7b90e902cp-11, 0x1.bd6832b58c19ap-11, 0x1.aebe8eebdb467p-11, 0x1.a07c11fcface8p-11, 0x1.929e4aa91eb22p-11, 0x1.8522d46ff960ep-11, 0x1.7807575977716p-11, 0x1.6b4987bf8582p-11, 0x1.5ee726183f7cdp-11, 0x1.52ddfec121af6p-11, 0x1.472be9ca3a901p-11, 0x1.3bcecac2d0492p-11, 0x1.30c49085f8136p-11, 0x1.260b35087f907p-11, 0x1.1ba0bd26d1a3ap-11, 0x1.118338740908ap-11, 0x1.07b0c1091ff67p-11, 0x1.fc4ef6ab1bce5p-12, 0x1.e9cb2bdf8b3eep-12, 0x1.d7d292cd0f8f6p-12, 0x1.c661b026670cbp-12, 0x1.b5751bd81d8a1p-12, 0x1.a50980b03e9p-12, 0x1.951b9c054bbd5p-12, 0x1.85a83d5f52bf2p-12, 0x1.76ac4622b486ap-12, 0x1.6824a93b77a93p-12, 0x1.5a0e6ac9afb84p-12, 0x1.4c669fcfb4059p-12, 0x1.3f2a6de1530dep-12, 0x1.32570ad37e95fp-12, 0x1.25e9bc6e7917ep-12, 0x1.19dfd8206ac58p-12, 0x1.0e36c2b09d2c7p-12, 0x1.02ebeff4b2dc8p-12, 0x1.eff9c50d8a5f5p-13, 0x1.dace56f897aacp-13, 0x1.c650d43e028b9p-13, 0x1.b27c974b25ee4p-13, 0x1.9f4d15dd57697p-13, 0x1.8cbde077d530ap-13, 0x1.7acaa1ded0c68p-13, 0x1.696f1e90d2579p-13, 0x1.58a73446548eep-13, 0x1.486ed96f998dp-13, 0x1.38c21cb72cedfp-13, 0x1.299d2486170dbp-13, 0x1.1afc2e8880e43p-13, 0x1.0cdb8f361c8dp-13, 0x1.fe6f62b82970fp-14, 0x1.e41a2b4fd59b3p-14, 0x1.cab0a46b5ede3p-14, 0x1.b22c243fd14a1p-14, 0x1.9a862a1fb3dd7p-14, 0x1.83b85da3c8d1ap-14, 0x1.6dbc8dd39dfbbp-14, 0x1.588cb0547ac25p-14, 0x1.4422e09b103dbp-14, 0x1.30795f1f78efep-14, 0x1.1d8a909737501p-14, 0x1.0b50fd307c8edp-14, 0x1.f38e9fa1bd46ep-15, 0x1.d1d0aab3f8d64p-15, 0x1.b15df7dc2df38p-15, 0x1.922ca475a14fp-15, 0x1.74330d8bf6cc6p-15, 0x1.5767ce77d3b7cp-15, 0x1.3bc1bf89d6df2p-15, 0x1.2137f4b4b4897p-15, 0x1.07c1bc3fca473p-15, 0x1.dead3affe87dep-16, 0x1.afdcaf2ffba81p-16, 0x1.8301c07bf2607p-16, 0x1.580cc5058401bp-16, 0x1.2eee7b4b430dfp-16, 0x1.079807cc9ffebp-16, 0x1.c3f5e59c1c5c7p-17, 0x1.7c124c1e3d094p-17, 0x1.3769d540be487p-17, 0x1.ebc39acf7afeap-18, 0x1.6ec06e1d0f3f4p-18, 0x1.ef2f1a65a9294p-19, 0x1.0c2f791b0c34dp-19, 0x1.a111458f7f132p-22, -0x1.32ac1d4d9356p-20, -0x1.5c93dc5f79f9dp-19, -0x1.0af7bb3deb664p-18, -0x1.62df5429fdb16p-18, -0x1.b62a708808c69p-18, -0x1.0280d0756ccf9p-17, -0x1.27c62ae8e7aefp-17, -0x1.4af873397d7dfp-17, -0x1.6c2a4bbc1c36cp-17, -0x1.8b6dd0b428106p-17, -0x1.a8d49b9984485p-17, -0x1.c46fc62676728p-17, -0x1.de4fed7ca6ba4p-17, -0x1.f685351965aaap-17, -0x1.068fa4e8e4bfp-16, -0x1.1116b255c6e85p-16, -0x1.1adf26dbc08afp-16, -0x1.23f02f6c50baap-16, -0x1.2c50c338736ap-16, -0x1.3407a506e8e49p-16, -0x1.3b1b647e4037bp-16, -0x1.41925f6b9adc2p-16, -0x1.4772c30201546p-16, -0x1.4cc28d0effd79p-16, -0x1.51878d2f05bc4p-16, -0x1.55c765f5e9d2bp-16, -0x1.59878e12e24b5p-16, -0x1.5ccd516dda37dp-16, -0x1.5f9dd2402da03p-16, -0x1.61fe0a24457c8p-16, -0x1.63f2cb217a5c1p-16, -0x1.6580c0b16c6e8p-16, -0x1.66ac70c1fd05p-16, -0x1.677a3cabaddd3p-16, -0x1.67ee62291e7dp-16, -0x1.680cfc443f222p-16, -0x1.67da044198427p-16, -0x1.675952834b8e1p-16, -0x1.668e9f676af2fp-16, -0x1.657d84250429cp-16, -0x1.64297ba007d3cp-16, -0x1.6295e339d382fp-16, -0x1.60c5fb9d512c3p-16, -0x1.5ebce983d4f49p-16, -0x1.5c7db67be4fc8p-16, -0x1.5a0b51a246eb2p-16, -0x1.5768905db66b8p-16, -0x1.54982f149b653p-16, -0x1.519cd1dcd41d4p-16, -0x1.4e790529add97p-16, -0x1.4b2f3e72ea692p-16, -0x1.47c1dcdbbf324p-16, -0x1.443329d1f7ac6p-16, -0x1.408559ac646f8p-16, -0x1.3cba8c416db19p-16, -0x1.38d4cd7f9866fp-16, -0x1.34d615fd3b43cp-16, -0x1.30c04b882100ep-16, -0x1.2c9541b0a5625p-16, -0x1.2856ba51a3fd3p-16, -0x1.24066611ef1bep-16, -0x1.1fa5e4e9e9e0dp-16, -0x1.1b36c69e9a04bp-16, -0x1.16ba8b3b8302ap-16, -0x1.1232a38baf94ep-16, -0x1.0da0718f034f9p-16, -0x1.090548eaa444dp-16, -0x1.04626f58d48b9p-16, -0x1.ff723a29cb8dfp-17, -0x1.f614fa895b0d8p-17, -0x1.ecaf5cbe93038p-17, -0x1.e34385207ec63p-17, -0x1.d9d38037093cbp-17, -0x1.d06143721373ap-17, -0x1.c6eeade8dea97p-17, -0x1.bd7d8909ba54fp-17, -0x1.b40f894d8627dp-17, -0x1.aaa64ee19976bp-17, -0x1.a143664bba35fp-17, -0x1.97e8491198afdp-17, -0x1.8e965e52c4236p-17, -0x1.854efb62cef25p-17, -0x1.7c13646090f0bp-17, -0x1.72e4ccc724427p-17, -0x1.69c457fa7127ep-17, -0x1.60b319d22c07bp-17, -0x1.57b21720c5d84p-17, -0x1.4ec246356e15bp-17, -0x1.45e48f5aacf73p-17, -0x1.3d19cd525b0a6p-17, -0x1.3462cdcdf68a7p-17, -0x1.2bc051e1eaff4p-17, -0x1.23330e7a5cf5fp-17, -0x1.1abbacc59de5dp-17, -0x1.125acaa0fc11fp-17, -0x1.0a10fb030874ap-17, -0x1.01dec65e75448p-17, -0x1.f389560ab2fdep-18, -0x1.e3863b1145d61p-18, -0x1.d3b5122b46e5ep-18, -0x1.c4169fa1850f3p-18, -0x1.b4ab96566babcp-18, -0x1.a57498714469p-18, -0x1.96723807e305cp-18, -0x1.87a4f7b864e86p-18, -0x1.790d4b4661408p-18, -0x1.6aab98387fc4cp-18, -0x1.5c8036624e261p-18, -0x1.4e8b70784e5b1p-18, -0x1.40cd8494bb9dcp-18, -0x1.3346a4c278e54p-18, -0x1.25f6f77b102ebp-18, -0x1.18de98270b05bp-18, -0x1.0bfd97944afd3p-18, -0x1.fea7f8dbd573ep-19, -0x1.e5c38761568bfp-19, -0x1.cd4dc22de63f2p-19, -0x1.b5467f08e3d2fp-19, -0x1.9dad82dc79957p-19, -0x1.86828282e5557p-19, -0x1.6fc523838c105p-19, -0x1.5974fcd4c4287p-19, -0x1.4391978e380a3p-19, -0x1.2e1a6f988613p-19, -0x1.190ef46115e0dp-19, -0x1.046e897046cacp-19, -0x1.e0710e298eb64p-20, -0x1.b8d875f9d91d7p-20, -0x1.9211d192cecdep-20, -0x1.6c1b95314423bp-20, -0x1.46f42335daacdp-20, -0x1.2299cd27f99b2p-20, -0x1.fe15a97accc1fp-21, -0x1.b88ad9a0169cfp-21, -0x1.748f74a304363p-21, -0x1.321faa6e46a16p-21, -0x1.e26f25646fa93p-22, -0x1.63a65d269dcabp-22, -0x1.cfb9a934e090ap-23, -0x1.bc28f67016c23p-24, 0x1.b67667a5cda4ep-28, 0x1.e7600e38d6dc9p-24, 0x1.d3f1e114403bep-23, 0x1.57456c33b30adp-22, 0x1.c1c65a9aac7f4p-22, 0x1.14c25b062dea2p-21, 0x1.4744c6373427cp-21, 0x1.786efe8268edap-21, 0x1.a8459b200d6bap-21, 0x1.d6cd39c5bcep-21, 0x1.02053ed443be8p-20, 0x1.18010740d2947p-20, 0x1.2d5c4bccfcff5p-20, 0x1.4219637030874p-20, 0x1.563aa60bd99fbp-20, 0x1.69c26bfb3f551p-20, 0x1.7cb30db37a668p-20, 0x1.8f0ee35e50f6cp-20, 0x1.a0d844849aa8fp-20, 0x1.b21187ad5937dp-20, 0x1.c2bd020fdcc02p-20, 0x1.d2dd0741fbda6p-20, 0x1.e273e8e8515cfp-20, 0x1.f183f6717f51fp-20, 0x1.0007be685b935p-19, 0x1.070c631c026p-19, 0x1.0dd10cee1c1ap-19, 0x1.1456ddddb337ap-19, 0x1.1a9ef6316b24fp-19, 0x1.20aa745c6285dp-19, 0x1.267a74e3e592dp-19, 0x1.2c10124a410fbp-19, 0x1.316c64f839132p-19, 0x1.36908325c509p-19, 0x1.3b7d80c7e689fp-19, 0x1.40346f7cc4542p-19, 0x1.44b65e7a7e339p-19, 0x1.49045a800ea75p-19, 0x1.4d1f6dc63b824p-19, 0x1.51089fedca269p-19, 0x1.54c0f5f623c04p-19, 0x1.58497230a7382p-19, 0x1.5ba314340ec08p-19, 0x1.5eced8d2141dp-19, 0x1.61cdba0ed8dc5p-19, 0x1.64a0af184431ap-19, 0x1.6748ac3dfc733p-19, 0x1.69c6a2eaeae54p-19, 0x1.6c1b819ccf2fdp-19, 0x1.6e4833e210c7bp-19, 0x1.704da251f0ebp-19, 0x1.722cb28ac8fd7p-19, 0x1.73e6472c49ad1p-19, 0x1.757b3fd5b1dp-19, 0x1.76ec7922cbaa2p-19, 0x1.783accabdf172p-19, 0x1.79671101b7832p-19, 0x1.7a7219aeeac4fp-19, 0x1.7b5cb73839f6bp-19, 0x1.7c27b71a7429ap-19, 0x1.7cd3e3cc2da9cp-19, 0x1.7d6204bfc7f53p-19, 0x1.7dd2de646ecd8p-19, 0x1.7e2732272a091p-19, 0x1.7e5fbe76880d9p-19, 0x1.7e7d3ec466f21p-19, 0x1.7e806b8950939p-19, 0x1.7e69fa47cd6fep-19, 0x1.7e3a9d8f93c35p-19, 0x1.7df3050231626p-19, 0x1.7d93dd5659f85p-19, 0x1.7d1dd05d826a3p-19, 0x1.7c918507ad543p-19, 0x1.7bef9f6932cffp-19, 0x1.7b38c0bf5b514p-19, 0x1.7a6d877589795p-19, 0x1.798e8f2b8ba2ep-19, 0x1.789c70baa164ap-19, 0x1.7797c23ba1e13p-19, 0x1.7681170e75a0fp-19, 0x1.7558ffdde30f3p-19, 0x1.74200aa73cc8fp-19, 0x1.72d6c2c1a2f83p-19, 0x1.717db0e35bd86p-19, 0x1.70155b294987p-19, 0x1.6e9e451dec895p-19, 0x1.6d18efc016313p-19, 0x1.6b85d989bd98bp-19, 0x1.69e57e775b817p-19, 0x1.6838580f8bf51p-19, 0x1.667edd69b1acep-19, 0x1.64b98335da90fp-19, 0x1.62e8bbc38522ap-19, 0x1.610cf7096a772p-19, 0x1.5f26a2acf810dp-19, 0x1.5d362a0943fbep-19, 0x1.5b3bf63782914p-19, 0x1.59386e160c722p-19, 0x1.572bf64fead3cp-19, 0x1.5516f164bd253p-19, 0x1.52f9bfafd45ebp-19, 0x1.50d4bf6f9941ep-19, 0x1.4ea84cce0d10fp-19, 0x1.4c74c1e76e1dap-19, 0x1.4a3a76d27a3ebp-19, 0x1.47f9c1a790768p-19, 0x1.45b2f6884302cp-19, 0x1.436667a6d947fp-19, 0x1.4114654db7cc2p-19, 0x1.3ebd3de69d892p-19, 0x1.3c613e0246b3fp-19, 0x1.3a00b06019e44p-19, 0x1.379bddf51015cp-19, 0x1.35330df3303c5p-19, 0x1.32c685d0abbabp-19, 0x1.3056894f20514p-19, }}, 
      {{-0x1.b4bd57f3a03a2p-7, -0x1.b379bd155c80ep-6, -0x1.451061717aa7bp-5, -0x1.aea2f9173c959p-5, -0x1.0b020107ea90bp-4, -0x1.3d6dbaf9abb01p-4, -0x1.6e75239c411cfp-4, -0x1.9e049eadc84d7p-4, -0x1.cc135d4886a06p-4, -0x1.f8a1e72c5131dp-4, -0x1.11dc3c9df4eb4p-3, -0x1.26b2b046ae379p-3, -0x1.3addb7300d544p-3, -0x1.4e684acb6d795p-3, -0x1.615e5c40248d8p-3, -0x1.73cc537946d64p-3, -0x1.85bea47d57bp-3, -0x1.974178780e63cp-3, -0x1.a86067df65fc2p-3, -0x1.b9264376a2bcep-3, -0x1.c99cea6036214p-3, -0x1.d9cd2bcd414a1p-3, -0x1.e9beb317e3629p-3, -0x1.f977fd354904dp-3, -0x1.047f2b3a72bebp-2, -0x1.0c2aefbeb032cp-2, -0x1.13c0cc375e18cp-2, -0x1.1b41b8855753ap-2, -0x1.22ae2e622eb01p-2, -0x1.2a0634d0aba8bp-2, -0x1.31496c736fcbcp-2, -0x1.38771c537f491p-2, -0x1.3f8e3eaf590bap-2, -0x1.468d8d7bca34ap-2, -0x1.4d738e50d2e3bp-2, -0x1.543e9d8dd50ebp-2, -0x1.5aecf890137f6p-2, -0x1.617cc6e4e8a77p-2, -0x1.67ec226d90ae9p-2, -0x1.6e391e74d819p-2, -0x1.7461cdbf54ffap-2, -0x1.7a6447a5436a9p-2, -0x1.803eac499a93ap-2, -0x1.85ef2804dc10fp-2, -0x1.8b73f61b9ebcap-2, -0x1.90cb62d922631p-2, -0x1.95f3cd25a265cp-2, -0x1.9aeba7aecbbe3p-2, -0x1.9fb179b6e7b6cp-2, -0x1.a443df9d259f2p-2, -0x1.a8a18b2f21494p-2, -0x1.acc943d15bf4ap-2, -0x1.b0b9e68a11b6bp-2, -0x1.b47265f7a5919p-2, -0x1.b7f1ca39c79cbp-2, -0x1.bb3730d2c296fp-2, -0x1.be41cc84b0893p-2, -0x1.c110e52d103cbp-2, -0x1.c3a3d7a00a34ep-2, -0x1.c5fa1583e052ap-2, -0x1.c813252c44d67p-2, -0x1.c9eea174dd664p-2, -0x1.cb8c3999e4edbp-2, -0x1.ccebb10d9efa2p-2, -0x1.ce0cdf494b3cdp-2, -0x1.ceefaf9840d65p-2, -0x1.cf9420dbf4518p-2, -0x1.cffa4547cd827p-2, -0x1.d0224213e6639p-2, -0x1.d00c4f25fa39cp-2, -0x1.cfb8b6b010e2cp-2, -0x1.cf27d4c49cdc5p-2, -0x1.ce5a16e0056a8p-2, -0x1.cd4ffb67c948fp-2, -0x1.cc0a111f916cfp-2, -0x1.ca88f694bd803p-2, -0x1.c8cd5981152a4p-2, -0x1.c6d7f6256aabp-2, -0x1.c4a9969d145a2p-2, -0x1.c243122b32749p-2, -0x1.bfa54c82cd7ffp-2, -0x1.bcd1350ad8aaep-2, -0x1.b9c7c61f2a9a5p-2, -0x1.b68a044f7f841p-2, -0x1.b318fd9d8dcb4p-2, -0x1.af75c8bb37a33p-2, -0x1.aba18449ca4cap-2, -0x1.a79d561b3bef1p-2, -0x1.a36a6a763f205p-2, -0x1.9f09f35dfb3f1p-2, -0x1.9a7d27de1a6e3p-2, -0x1.95c5435bd997ap-2, -0x1.90e384eca2ce1p-2, -0x1.8bd92eb2bc26fp-2, -0x1.86a78540699aap-2, -0x1.814fcf01e3ffap-2, -0x1.7bd353ae6322fp-2, -0x1.76335bc075ed7p-2, -0x1.70712ff5cbc47p-2, -0x1.6a8e18d67e1b2p-2, -0x1.648b5e43e8b65p-2, -0x1.5e6a470f05a5cp-2, -0x1.582c189638459p-2, -0x1.51d2166a6dc6fp-2, -0x1.4b5d81fb68255p-2, -0x1.44cf9a4b0408bp-2, -0x1.3e299ba74068cp-2, -0x1.376cbf6ad085ap-2, -0x1.309a3bc3e7bbp-2, -0x1.29b34381027cp-2, -0x1.22b905e35e2e7p-2, -0x1.1bacae76ccc6cp-2, -0x1.148f64ee98eeep-2, -0x1.0d624d07295b1p-2, -0x1.0626866c11f07p-2, -0x1.fdba59447c94ep-3, -0x1.ef0eadebd233bp-3, -0x1.e04c30d823463p-3, -0x1.d174ff6e3ea14p-3, -0x1.c28b2e5cd6711p-3, -0x1.b390c990cc468p-3, -0x1.a487d42e29688p-3, -0x1.9572488d43df9p-3, -0x1.8652183b8b68ep-3, -0x1.77292bff87915p-3, -0x1.67f963df9c89fp-3, -0x1.58c4972b229a6p-3, -0x1.498c94857bbf5p-3, -0x1.3a5321f2b9823p-3, -0x1.2b19fce58e6d5p-3, -0x1.1be2da4e3e96ap-3, -0x1.0caf66aa374a4p-3, -0x1.fb028c2851c85p-4, -0x1.dcb428a8a2147p-4, -0x1.be76c9e1b0814p-4, -0x1.a04d867c08c86p-4, -0x1.823b64dc59bc2p-4, -0x1.64435b4278752p-4, -0x1.46684fe76c541p-4, -0x1.28ad191a388cap-4, -0x1.0b147d5b5af4ep-4, -0x1.db4266ed99743p-5, -0x1.a0abc5391101p-5, -0x1.666a44eef6ba3p-5, -0x1.2c82f685c2ba8p-5, -0x1.e5f597785788p-6, -0x1.73ad2f7b4d9e7p-6, -0x1.02361e87eed76p-6, -0x1.233322d77984p-7, -0x1.0f03c431d7d42p-9, 0x1.33b1e01012577p-8, 0x1.75899035ce249p-7, 0x1.27a03b885ec48p-6, 0x1.9376d1d1a834cp-6, 0x1.fe40c61393808p-6, 0x1.33fb4770aa3a5p-5, 0x1.68486f12ac6c7p-5, 0x1.9c045081c544dp-5, 0x1.cf2b7fde39604p-5, 0x1.00dd57642ca07p-4, 0x1.19d756290eed2p-4, 0x1.328232783098fp-4, 0x1.4adc7135ba0b5p-4, 0x1.62e4a5e765777p-4, 0x1.7a9972abc0c7ep-4, 0x1.91f98830c18e1p-4, 0x1.a903a5a9838d5p-4, 0x1.bfb698c3299c1p-4, 0x1.d6113d98ae8bbp-4, 0x1.ec127ea5a129dp-4, 0x1.00dcaa5bddefap-3, 0x1.0b82636f8fa42p-3, 0x1.15f9f52ea811bp-3, 0x1.2042f14960263p-3, 0x1.2a5cf0756ddc9p-3, 0x1.34479263582bfp-3, 0x1.3e027db2f5379p-3, 0x1.478d5fe726fbcp-3, 0x1.50e7ed58cb078p-3, 0x1.5a11e128d0119p-3, 0x1.630afd3188478p-3, 0x1.6bd309f717cb4p-3, 0x1.7469d697228e5p-3, 0x1.7ccf38b79579cp-3, 0x1.85030c74a9ad6p-3, 0x1.8d05344e14a3p-3, 0x1.94d599136c408p-3, 0x1.9c7429cfc5002p-3, 0x1.a3e0dbb48244bp-3, 0x1.ab1baa03717abp-3, 0x1.b22495f820314p-3, 0x1.b8fba6b07fa37p-3, 0x1.bfa0e914d6932p-3, 0x1.c6146fbf0ce4ep-3, 0x1.cc5652e14d785p-3, 0x1.d266b02c0fd43p-3, 0x1.d845aab38b686p-3, 0x1.ddf36ad49d327p-3, 0x1.e3701e1925ec4p-3, 0x1.e8bbf71be8af5p-3, 0x1.edd72d6bfc86p-3, 0x1.f2c1fd6fc1154p-3, 0x1.f77ca8477df39p-3, 0x1.fc0773af94eep-3, 0x1.003154f136162p-2, 0x1.02474cbd02623p-2, 0x1.0445caa8a73aep-2, 0x1.062cfa32a0aa4p-2, 0x1.07fd08dae158p-2, 0x1.09b626132fdfdp-2, 0x1.0b58832f72901p-2, 0x1.0ce45355ed162p-2, 0x1.0e59cb6f755e8p-2, 0x1.0fb92217a40fp-2, 0x1.11028f8cffbap-2, 0x1.12364da12f8cp-2, 0x1.135497a92e692p-2, 0x1.145daa6d8bad5p-2, 0x1.1551c41ab5293p-2, 0x1.1631243153264p-2, 0x1.16fc0b76b9888p-2, 0x1.17b2bbe56c48fp-2, 0x1.1855789dbf357p-2, 0x1.18e485d694799p-2, 0x1.196028ce37bdcp-2, 0x1.19c8a7bb5c054p-2, 0x1.1a1e49be40b05p-2, 0x1.1a6156d1fcc22p-2, 0x1.1a9217bdf14abp-2, 0x1.1ab0d6076f464p-2, 0x1.1abddbe381fd9p-2, 0x1.1ab97428f303p-2, 0x1.1aa3ea427b0c9p-2, 0x1.1a7d8a2127945p-2, 0x1.1a46a02efa15ep-2, 0x1.19ff7941b81ddp-2, 0x1.19a8628dfb1e7p-2, 0x1.1941a99a757cp-2, 0x1.18cb9c3377cedp-2, 0x1.1846885eaf52ap-2, 0x1.17b2bc4f23397p-2, 0x1.1710865972a63p-2, 0x1.166034e84fc88p-2, 0x1.15a216713d61fp-2, 0x1.14d679698cf23p-2, 0x1.13fdac3b9f4b9p-2, 0x1.1317fd3c647dap-2, 0x1.1225baa126124p-2, 0x1.112732758a07fp-2, 0x1.101cb291e3a3ap-2, 0x1.0f068891bf325p-2, 0x1.0de501cab81dcp-2, 0x1.0cb86b438ec73p-2, 0x1.0b8111ab82fdep-2, 0x1.0a3f4151f3f2dp-2, 0x1.08f3461e42254p-2, 0x1.079d6b87f498dp-2, 0x1.063dfc8f2156ep-2, 0x1.04d543b51a1a8p-2, 0x1.03638af55851bp-2, 0x1.01e91bbeaf0c9p-2, 0x1.00663eecba7efp-2, 0x1.fdb6798325987p-3, 0x1.fa90b9bf7e12fp-3, 0x1.f75bcc88cd669p-3, 0x1.f4183e8386b36p-3, 0x1.f0c69af3a5e5dp-3, 0x1.ed676bb2816e6p-3, 0x1.e9fb392528b6p-3, 0x1.e6828a332ec4p-3, 0x1.e2fde43dec83fp-3, 0x1.df6dcb183aac4p-3, 0x1.dbd2c0fea3458p-3, 0x1.d82d468ff8591p-3, 0x1.d47ddac668689p-3, 0x1.d0c4faf0f64aep-3, 0x1.cd0322ad65249p-3, 0x1.c938cbe287c6p-3, 0x1.c5666ebaf996dp-3, 0x1.c18c81a043b2bp-3, 0x1.bdab79365bbe4p-3, 0x1.b9c3c8579190ep-3, 0x1.b5d5e010cdcbp-3, 0x1.b1e22f9e3e5fcp-3, 0x1.ade924684fa5bp-3, 0x1.a9eb2a010ef47p-3, 0x1.a5e8aa21d7263p-3, 0x1.a1e20ca95cf94p-3, 0x1.9dd7b79a08d9cp-3, 0x1.99ca0f18a35a2p-3, 0x1.95b9756b561d2p-3, 0x1.91a64af8f23c5p-3, 0x1.8d90ee48887d8p-3, 0x1.8979bc0147043p-3, 0x1.85610eea9e438p-3, 0x1.81473fecafd29p-3, 0x1.7d2ca610f8308p-3, 0x1.79119683426bp-3, 0x1.74f66492d24ebp-3, 0x1.70db61b3d251bp-3, 0x1.6cc0dd80faab5p-3, 0x1.68a725bd6e13ap-3, 0x1.648e8656d090fp-3, 0x1.6077496796908p-3, 0x1.5c61b7397f19ap-3, 0x1.584e1648480e1p-3, 0x1.543cab448ae1p-3, 0x1.502db916cc527p-3, 0x1.4c2180e2b4a0fp-3, 0x1.4818420a73b6p-3, 0x1.44123a324ce8p-3, 0x1.400fa54446cc6p-3, 0x1.3c10bd7407e5cp-3, 0x1.3815bb42ccd49p-3, 0x1.341ed58381b6ap-3, 0x1.302c415f05bfbp-3, 0x1.2c3e32587ce4ap-3, 0x1.2854da51cca07p-3, 0x1.247069902b32p-3, 0x1.20910ec0c85c6p-3, 0x1.1cb6f6fd95d11p-3, 0x1.18e24dd220512p-3, 0x1.15133d407d095p-3, 0x1.1149edc64eadep-3, 0x1.0d868661da6bcp-3, 0x1.09c92c9731152p-3, 0x1.0612047561fa6p-3, 0x1.0261309bc664fp-3, 0x1.fd6da47e9da6dp-4, 0x1.f626125fc7215p-4, 0x1.eeebe7bb9fb12p-4, 0x1.e7bf5ebe69cebp-4, 0x1.e0a0aeeb09e78p-4, 0x1.d9900d260de9ap-4, 0x1.d28dabc0c829cp-4, 0x1.cb99ba8465018p-4, 0x1.c4b466bd190f3p-4, 0x1.bddddb454f757p-4, 0x1.b7164090db9fbp-4, 0x1.b05dbcb833d24p-4, 0x1.a9b47383a12c7p-4, 0x1.a31a86767f7fap-4, 0x1.9c9014da745aep-4, 0x1.96153bca9451cp-4, 0x1.8faa163e9cd87p-4, 0x1.894ebd16119f9p-4, 0x1.830347235dfccp-4, 0x1.7cc7c936e4339p-4, 0x1.769c562a08591p-4, 0x1.7080feea2c703p-4, 0x1.6a75d2839a3a9p-4, 0x1.647ade2c6767cp-4, 0x1.5e902d4f40159p-4, 0x1.58b5c996255ap-4, 0x1.52ebbaf519544p-4, 0x1.4d3207b4b56dp-4, 0x1.4788b47cad977p-4, 0x1.41efc45e3e758p-4, 0x1.3c6738de85517p-4, 0x1.36ef1200bfa42p-4, 0x1.31874e5073e8bp-4, 0x1.2c2feaeb82842p-4, 0x1.26e8e38c1a2ccp-4, 0x1.21b2329294ebap-4, 0x1.1c8bd10f3a60ep-4, 0x1.1775b6cbe5e22p-4, 0x1.126fda558f38p-4, 0x1.0d7a3105b843cp-4, 0x1.0894af0bbd445p-4, 0x1.03bf47760a039p-4, 0x1.fdf3d87656405p-5, 0x1.f4891c858f8a1p-5, 0x1.eb3e3adcec29p-5, 0x1.e2131144eef44p-5, 0x1.d9077b9c9b825p-5, 0x1.d01b53ea70226p-5, 0x1.c74e726d143p-5, 0x1.bea0adabc8d48p-5, 0x1.b611da86a398cp-5, 0x1.ada1cc46742c3p-5, 0x1.a55054ac78e95p-5, 0x1.9d1d4401c9774p-5, 0x1.950869268324bp-5, 0x1.8d1191a0b268bp-5, 0x1.853889aaf87c5p-5, 0x1.7d7d1c42f0ea6p-5, 0x1.75df13374ea4ep-5, 0x1.6e5e3735c561ep-5, 0x1.66fa4fd89e2cap-5, 0x1.5fb323b417e45p-5, 0x1.588878637f4p-5, 0x1.517a12960452ep-5, 0x1.4a87b61b54405p-5, 0x1.43b125efebdd3p-5, 0x1.3cf624492a487p-5, 0x1.365672a123d47p-5, 0x1.2fd1d1c2364f5p-5, 0x1.296801d256936p-5, 0x1.2318c25e28f5dp-5, 0x1.1ce3d263cd02bp-5, 0x1.16c8f05d78502p-5, 0x1.10c7da4bc4443p-5, 0x1.0ae04dbfccb4dp-5, 0x1.051207e50829cp-5, 0x1.feb98b15c4625p-6, 0x1.f380865c3cef9p-6, 0x1.e8787a03f916ep-6, 0x1.dda0ddf2480ccp-6, 0x1.d2f9299ca59c2p-6, 0x1.c880d41998ae1p-6, 0x1.be37543140e4ap-6, 0x1.b41c206d49667p-6, 0x1.aa2eaf2884684p-6, 0x1.a06e769e17878p-6, 0x1.96daecf82b98p-6, 0x1.8d73885e45e34p-6, 0x1.8437bf0319985p-6, 0x1.7b27073214f9bp-6, 0x1.7240d75c62828p-6, 0x1.6984a62597b6ep-6, 0x1.60f1ea7004f4ep-6, 0x1.58881b688a201p-6, 0x1.5046b0921bc9p-6, 0x1.482d21d0e8a16p-6, 0x1.403ae77513f97p-6, 0x1.386f7a4518fcbp-6, 0x1.30ca5387d48f4p-6, 0x1.294aed0e32491p-6, 0x1.21f0c13c7d419p-6, 0x1.1abb4b135e87p-6, 0x1.13aa063887243p-6, 0x1.0cbc6efef90a7p-6, 0x1.05f2026f0dd61p-6, 0x1.fe947c9c4598ap-7, 0x1.f189424be3a01p-7, 0x1.e4c154975333p-7, 0x1.d83bb3cd5215cp-7, 0x1.cbf761edf9309p-7, 0x1.bff362b7006a1p-7, 0x1.b42ebbafb0e0bp-7, 0x1.a8a87433f1bep-7, 0x1.9d5f957f26979p-7, 0x1.92532ab63ab55p-7, 0x1.878240f15515cp-7, 0x1.7cebe744f5db6p-7, 0x1.728f2eca9678ap-7, 0x1.686b2aa8dc152p-7, 0x1.5e7ef01b42d75p-7, 0x1.54c996795025ap-7, 0x1.4b4a373d517fdp-7, 0x1.41ffee0accabep-7, 0x1.38e9d8b42ddp-7, 0x1.300717407a0cbp-7, 0x1.2756cbf041902p-7, 0x1.1ed81b4242b4bp-7, 0x1.168a2bf7c709fp-7, 0x1.0e6c27186815ap-7, 0x1.067d37f5b48fp-7, 0x1.fd79185c9c6bbp-8, 0x1.ee52a761534cep-8, 0x1.df85817b4b93p-8, 0x1.d1100fd5345f9p-8, 0x1.c2f0c046521aep-8, 0x1.b52605559175p-8, 0x1.a7ae563c006f6p-8, 0x1.9a882ee667588p-8, 0x1.8db20ff6cc632p-8, 0x1.812a7ec50333dp-8, 0x1.74f0055ec5edep-8, 0x1.6901328779cf7p-8, 0x1.5d5c99b74b7a9p-8, 0x1.5200d319b4a82p-8, 0x1.46ec7b8bddd2cp-8, 0x1.3c1e349a44b42p-8, 0x1.3194a47dbf38p-8, 0x1.274e7618fb698p-8, 0x1.1d4a58f430598p-8, 0x1.13870139cc587p-8, 0x1.0a0327b1cbca6p-8, 0x1.00bd89bd0ce23p-8, 0x1.ef69d2a0dce44p-9, 0x1.ddd019de9c95ep-9, 0x1.ccab7f4bce7abp-9, 0x1.bbf9a20675b59p-9, 0x1.abb82a256a411p-9, 0x1.9be4c8abad374p-9, 0x1.8c7d377a2196p-9, 0x1.7d7f39411aca9p-9, 0x1.6ee8997262951p-9, 0x1.60b72c3105382p-9, 0x1.52e8ce42786fp-9, 0x1.457b64fda956p-9, 0x1.386cde3b1889fp-9, 0x1.2bbb30436455cp-9, 0x1.1f6459be560acp-9, 0x1.136661a0f174bp-9, 0x1.07bf571b88cf4p-9, 0x1.f8daa30ee44fap-10, 0x1.e2dce0a8f6e39p-10, 0x1.cd81b5eba05c9p-10, 0x1.b8c5819dea0f6p-10, 0x1.a4a4b24123c74p-10, 0x1.911bc5e8c54ffp-10, 0x1.7e274a13f1b6p-10, 0x1.6bc3db840dcd9p-10, 0x1.59ee2615ab72fp-10, 0x1.48a2e49752bc2p-10, 0x1.37dee0a026022p-10, 0x1.279ef2673a0f5p-10, 0x1.17e00099b54dfp-10, 0x1.089f0031640e8p-10, 0x1.f3b1e894e248p-11, 0x1.d715dbf33f836p-11, 0x1.bb641843f50b1p-11, 0x1.a096f69611a97p-11, 0x1.86a8eaeae07e3p-11, 0x1.6d9483e274248p-11, 0x1.55546a6718258p-11, 0x1.3de36155e6227p-11, 0x1.273c452cf202fp-11, 0x1.115a0bb3a9871p-11, 0x1.f86f874eca906p-12, 0x1.cfa128cc430bep-12, 0x1.a83f7b32c7127p-12, 0x1.82412dc45b633p-12, 0x1.5d9d1f094a4c3p-12, 0x1.3a4a5c27c429cp-12, 0x1.1840203d37737p-12, 0x1.eeeba76c54daep-13, 0x1.afc6174f73e13p-13, 0x1.72ff12551bfd6p-13, 0x1.3886716e2f1abp-13, 0x1.004c62ff0f196p-13, 0x1.9482d3368c96fp-14, 0x1.2cacb5818925p-14, 0x1.91f17651f5393p-15, 0x1.a5274d24ba82p-16, 0x1.b07168b071421p-19, -0x1.29d7ce67b1a54p-16, -0x1.3d7bcd67e562ep-15, -0x1.dedde8e45a297p-15, -0x1.3ca32eb4367e2p-14, -0x1.8674153ba9835p-14, -0x1.ccfa980b6902ep-14, -0x1.08278ce0b9c89p-13, -0x1.2844b8f8cb0b2p-13, -0x1.46e077bb4a33p-13, -0x1.64062d601c0f9p-13, -0x1.7fc0fc0dda6c3p-13, -0x1.9a1bc4f6c22a3p-13, -0x1.b321297f5f726p-13, -0x1.cadb8c51321acp-13, -0x1.e15512786f6b7p-13, -0x1.f697a47727518p-13, -0x1.055677adb6be9p-12, -0x1.0ecf32e5025f1p-12, -0x1.17baa08893b8dp-12, -0x1.201d411730e44p-12, -0x1.27fb796b75c96p-12, -0x1.2f59933d68491p-12, -0x1.363bbda3c0be8p-12, -0x1.3ca60d922f7b8p-12, -0x1.429c7e56e8b8dp-12, -0x1.4822f2170ae44p-12, -0x1.4d3d32478d455p-12, -0x1.51eef02822fc3p-12, -0x1.563bc5387a98ap-12, -0x1.5a2733afed70fp-12, -0x1.5db4a6effdf5fp-12, -0x1.60e773f83c0f9p-12, -0x1.63c2d9d660c0cp-12, -0x1.664a02174d397p-12, -0x1.688001339b007p-12, -0x1.6a67d6fd5e5c2p-12, -0x1.6c046f0a59a6cp-12, -0x1.6d58a11e2239fp-12, -0x1.6e673191689d3p-12, -0x1.6f32d1b91338ap-12, -0x1.6fbe204b07008p-12, -0x1.700ba9c1f62ebp-12, -0x1.701de8be564c5p-12, -0x1.6ff7466867273p-12, -0x1.6f9a1acda0896p-12, -0x1.6f08ad401530cp-12, -0x1.6e4534b064d03p-12, -0x1.6d51d80ad602ap-12, -0x1.6c30ae8eb6527p-12, -0x1.6ae3c02693c6bp-12, -0x1.696d05bf7c0a1p-12, -0x1.67ce699d31cc4p-12, -0x1.6609c7adba9aap-12, -0x1.6420eddc16cd3p-12, -0x1.62159c60e5935p-12, -0x1.5fe986117fd6bp-12, -0x1.5d9e50aeb9f29p-12, -0x1.5b35953176114p-12, -0x1.58b0e0159bd08p-12, -0x1.5611b1a53e47ep-12, -0x1.53597e40d99ddp-12, -0x1.5089aea6b222p-12, -0x1.4da3a039d62ebp-12, -0x1.4aa8a546b9bfp-12, -0x1.479a0546aea39p-12, -0x1.4478fd23ace16p-12, -0x1.4146bf7817ca6p-12, -0x1.3e0474d016299p-12, -0x1.3ab33be851401p-12, -0x1.375429eb452a3p-12, -0x1.33e84aae29afdp-12, -0x1.3070a0ecb7b26p-12, -0x1.2cee2682f2998p-12, -0x1.2961cca6b5d9ap-12, -0x1.25cc7c1fc1df3p-12, -0x1.222f157edf3d7p-12, -0x1.1e8a7153aa3cap-12, -0x1.1adf60615ff54p-12, -0x1.172eabd302142p-12, -0x1.1379156d711b8p-12, -0x1.0fbf57c26af81p-12, -0x1.0c0226600a46p-12, -0x1.08422e013ffc4p-12, -0x1.048014bc9b651p-12, -0x1.00bc7a316ece4p-12, -0x1.f9efef6b58d68p-13, -0x1.f26641025a608p-13, -0x1.eadd03b23682p-13, -0x1.e3554673418a4p-13, -0x1.dbd00cfef11f7p-13, -0x1.d44e501fce674p-13, -0x1.ccd0fe00dac56p-13, -0x1.c558fa7b05355p-13, -0x1.bde71f6036a54p-13, -0x1.b67c3cc57ef04p-13, -0x1.af19194af693ap-13, -0x1.a7be7262a7caep-13, -0x1.a06cfc9502116p-13, -0x1.992563c5aa6ap-13, -0x1.91e84b7455711p-13, -0x1.8ab64efdb0bep-13, -0x1.839001da39bfp-13, -0x1.7c75efdbaa7dcp-13, -0x1.75689d6965afbp-13, -0x1.6e6887bb326dap-13, -0x1.6776251277501p-13, -0x1.6091e4f21bab1p-13, -0x1.59bc30559c537p-13, -0x1.52f569e5e46fp-13, -0x1.4c3dee2e07a4cp-13, -0x1.459613cd0c339p-13, -0x1.3efe2ba89382cp-13, -0x1.3876811cd9c14p-13, -0x1.31ff5a2c0d153p-13, -0x1.2b98f7ac33805p-13, -0x1.25439573c37fep-13, -0x1.1eff6a85c3fa5p-13, -0x1.18cca93c662a1p-13, -0x1.12ab7f72f9ccdp-13, -0x1.0c9c16adc87e5p-13, -0x1.069e9441e9deap-13, -0x1.00b3197bf3e37p-13, -0x1.f5b38789e569ap-14, -0x1.ea25598df753p-14, -0x1.debbd52292ba7p-14, -0x1.d3771f74b9593p-14, -0x1.c8575703298ffp-14, -0x1.bd5c93e0b4936p-14, -0x1.b286e7f3b59bap-14, -0x1.a7d65f3358d4ap-14, -0x1.9d4affe5045a3p-14, -0x1.92e4cad6c565p-14, -0x1.88a3bb9843862p-14, -0x1.7e87c8b1d3cd2p-14, -0x1.7490e3dbd3cefp-14, -0x1.6abefa317eb59p-14, -0x1.6111f46499c36p-14, -0x1.5789b6ee9684ap-14, -0x1.4e2622414f39p-14, -0x1.44e712f541bfp-14, -0x1.3bcc61f69e8ebp-14, -0x1.32d5e4b22881fp-14, -0x1.2a036d3ea668cp-14, -0x1.2154ca86c367cp-14, -0x1.18c9c87156c58p-14, -0x1.10623008c29c8p-14, -0x1.081dc7a000fa6p-14, -0x1.fff8a5eeea5f9p-15, -0x1.effb26c18caa2p-15, -0x1.e0428fc0dc598p-15, -0x1.d0ce5a9f694e7p-15, -0x1.c19dfcf8df9a5p-15, -0x1.b2b0e8915c18ap-15, -0x1.a4068b91552bcp-15, -0x1.959e50bf8381ep-15, -0x1.87779fbaaac93p-15, -0x1.7991dd2f09d21p-15, -0x1.6bec6b0b3c053p-15, -0x1.5e86a8b3e1098p-15, -0x1.515ff334bb898p-15, -0x1.4477a5708c6eep-15, -0x1.37cd184e64e0cp-15, -0x1.2b5fa2e71a7bep-15, -0x1.1f2e9aaefb045p-15, -0x1.1339539f9f6fp-15, -0x1.077f205f67668p-15, -0x1.f7fea4d00a70ep-16, -0x1.e17274575c2acp-16, -0x1.cb584e71f454dp-16, -0x1.b5aed0b7ff5e6p-16, -0x1.a0749781956b8p-16, -0x1.8ba83e22e1c31p-16, -0x1.77485f2b48ed9p-16, -0x1.6353949f4e3cp-16, -0x1.4fc87830ceb9dp-16, -0x1.3ca5a375946c5p-16, -0x1.29e9b019dca91p-16, -0x1.17933813124e3p-16, -0x1.05a0d5cdb430cp-16, -0x1.e82248ba144fap-17, -0x1.c5c57f48964adp-17, -0x1.a428890496398p-17, -0x1.8348a1f1dbc24p-17, -0x1.632308a4529p-17, -0x1.43b4fe89dee1cp-17, -0x1.24fbc82f71c5fp-17, -0x1.06f4ad83092abp-17, -0x1.d339f4208b169p-18, -0x1.99e3fa7bb3087p-18, -0x1.61e2150cfff37p-18, -0x1.2b2ef35c3acb6p-18, -0x1.eb8a9bc70199p-19, -0x1.833fccf097433p-19, -0x1.1d7311455f92p-19, -0x1.743427c4a76bdp-20, -0x1.64aa524a92fc1p-21, 0x1.5965e56cf7997p-25, 0x1.86821695cd924p-21, 0x1.772068a37092fp-20, 0x1.133e8b77163cp-19, 0x1.68b55ba026305p-19, 0x1.bbfe5d9d87f0ep-19, 0x1.06919912fbe2fp-18, 0x1.2e16b0ba6442ap-18, 0x1.54932d79b5736p-18, 0x1.7a0bba7511e1p-18, 0x1.9e84f61ba62b6p-18, 0x1.c203720b7d566p-18, 0x1.e48bb2f03bde8p-18, 0x1.03111833fc862p-17, 0x1.1365aa78bcc3p-17, 0x1.2345bee996921p-17, 0x1.32b37d84a50c4p-17, 0x1.41b1079bc6663p-17, 0x1.504077cf13b82p-17, 0x1.5e63e2084a053p-17, 0x1.6c1d53748b8ffp-17, 0x1.796ed2828a09ap-17, 0x1.865a5ee397619p-17, 0x1.92e1f18765b34p-17, 0x1.9f077c9d8c62dp-17, 0x1.aacceb967d1bep-17, 0x1.b634232743a07p-17, 0x1.c13f014b786cp-17, 0x1.cbef5d48803f2p-17, 0x1.d64707b375553p-17, 0x1.e047ca76a312ep-17, 0x1.e9f368d7599dap-17, 0x1.f34b9f7c6cf2cp-17, 0x1.fc52247757e48p-17, 0x1.028453a530eb9p-16, 0x1.06b8687930dbp-16, 0x1.0ac621f860e13p-16, 0x1.0eae4e29cedc2p-16, 0x1.1271b7e12e0cfp-16, 0x1.161126c3afecfp-16, 0x1.198d5f4e2aa3p-16, 0x1.1ce722da1f3e1p-16, 0x1.201f2fa48ba99p-16, 0x1.233640d3d835dp-16, 0x1.262d0e7eba1fap-16, 0x1.29044db2d8d7cp-16, 0x1.2bbcb07b8a596p-16, 0x1.2e56e5e86b79bp-16, 0x1.30d39a14fe80cp-16, 0x1.3333762f78cbcp-16, 0x1.35772080208cp-16, 0x1.379f3c7177e3bp-16, 0x1.39ac6a96a2c41p-16, 0x1.3b9f48b4359c5p-16, 0x1.3d7871c749994p-16, 0x1.3f387e0dd244fp-16, 0x1.40e0030d6be19p-16, 0x1.426f939c669edp-16, 0x1.43e7bfe9cb861p-16, 0x1.45491584a1b96p-16, 0x1.46941f64865ecp-16, 0x1.47c965f20b9e8p-16, 0x1.48e96f0e2f9a9p-16, 0x1.49f4be1b0fbb9p-16, 0x1.4aebd4042adc3p-16, 0x1.4bcf2f460fbdp-16, }}, 
      {{-0x1.7a6981277212p-7, -0x1.79dca97e1d5bep-6, -0x1.1ab841bf1b5fdp-5, -0x1.77b9c2bd96802p-5, -0x1.d3bb6337deaabp-5, -0x1.1746d458ef3fdp-4, -0x1.4404c5d756cbep-4, -0x1.70083f20e2905p-4, -0x1.9b460cd5f677ap-4, -0x1.c5b6c4d97a43dp-4, -0x1.ef566594ed3d2p-4, -0x1.0c11f4573df41p-3, -0x1.201068c1e6edfp-3, -0x1.33a85ee02103dp-3, -0x1.46dc7e2b8f094p-3, -0x1.59b016ae6a4ddp-3, -0x1.6c26f5ec96705p-3, -0x1.7e4540de6808ep-3, -0x1.900f52cc056e6p-3, -0x1.a189a0b5f911bp-3, -0x1.b2b8a0ecaf98bp-3, -0x1.c3a0b67a3befep-3, -0x1.d4462008bb4c7p-3, -0x1.e4ace9f76ffbcp-3, -0x1.f4d8e356f0063p-3, -0x1.0266cac4728a7p-2, -0x1.0a471f211663cp-2, -0x1.120ee5d7a504ap-2, -0x1.19bf6d3db4011p-2, -0x1.2159dabd84b1cp-2, -0x1.28df2b5e3e132p-2, -0x1.305034e11a953p-2, -0x1.37ada75709108p-2, -0x1.3ef80f141b814p-2, -0x1.462fd6e85663dp-2, -0x1.4d554a87eb8e7p-2, -0x1.5468990f9cffcp-2, -0x1.5b69d794aaba3p-2, -0x1.625903b266f7cp-2, -0x1.6936060a2099bp-2, -0x1.7000b4ac770b3p-2, -0x1.76b8d5655727fp-2, -0x1.7d5e1fe5ea53dp-2, -0x1.83f03fc956e21p-2, -0x1.8a6ed672beee1p-2, -0x1.90d97cc406e77p-2, -0x1.972fc4adefad6p-2, -0x1.9d713a9acda1ep-2, -0x1.a39d66b5a9a04p-2, -0x1.a9b3ce100a395p-2, -0x1.afb3f3a8d2a61p-2, -0x1.b59d5956cc792p-2, -0x1.bb6f809975ea3p-2, -0x1.c129eb5296db1p-2, -0x1.c6cc1c6b1889dp-2, -0x1.cc5598655272ep-2, -0x1.d1c5e5defa80cp-2, -0x1.d71c8e048b2a2p-2, -0x1.dc591cf7dd754p-2, -0x1.e17b222b703adp-2, -0x1.e68230b3ac3a6p-2, -0x1.eb6ddf8f418dbp-2, -0x1.f03dc9e791416p-2, -0x1.f4f18f49f7effp-2, -0x1.f988d3da9580cp-2, -0x1.fe0340812e9cdp-2, -0x1.01304188487b7p-1, -0x1.035027346f8e9p-1, -0x1.05612d4a8519fp-1, -0x1.07633271e0dccp-1, -0x1.095617fe01c5ap-1, -0x1.0b39c1f6c009cp-1, -0x1.0d0e171e7b8fp-1, -0x1.0ed300f655675p-1, -0x1.10886bc0893f4p-1, -0x1.122e4680f2685p-1, -0x1.13c482fbce87ap-1, -0x1.154b15b2ce65dp-1, -0x1.16c1f5e085982p-1, -0x1.18291d72490edp-1, -0x1.1980890094111p-1, -0x1.1ac837c60262cp-1, -0x1.1c002b94f8dcep-1, -0x1.1d2868cc0e814p-1, -0x1.1e40f6494f1bap-1, -0x1.1f49dd5c6d34fp-1, -0x1.204329b7fb88cp-1, -0x1.212ce961c38aep-1, -0x1.22072ca254793p-1, -0x1.22d205f3de8bep-1, -0x1.238d89f075c1ap-1, -0x1.2439cf3fce4f8p-1, -0x1.24d6ee848f4adp-1, -0x1.256502494b9a8p-1, -0x1.25e426ed3a424p-1, -0x1.26547a90c07f2p-1, -0x1.26b61d01e02f9p-1, -0x1.27092fa89f315p-1, -0x1.274dd57376e2ep-1, -0x1.278432c3daf3cp-1, -0x1.27ac6d5ae9fd2p-1, -0x1.27c6ac465075fp-1, -0x1.27d317cd7042dp-1, -0x1.27d1d95ed2295p-1, -0x1.27c31b7df01a9p-1, -0x1.27a709b16006dp-1, -0x1.277dd07165634p-1, -0x1.27479d16f22d5p-1, -0x1.27049dcb1e042p-1, -0x1.26b5017714aaap-1, -0x1.2658f7b48484bp-1, -0x1.25f0b0be8c2f5p-1, -0x1.257c5d632c42p-1, -0x1.24fc2ef53d394p-1, -0x1.2470573eea338p-1, -0x1.23d90874b242p-1, -0x1.23367528eccaap-1, -0x1.2288d03fd3d3ep-1, -0x1.21d04ce40f9fep-1, -0x1.210d1e7bc241ap-1, -0x1.203f789e11dd5p-1, -0x1.1f678f092e7ddp-1, -0x1.1e859598ce38fp-1, -0x1.1d99c03d20bbep-1, -0x1.1ca442f232fe9p-1, -0x1.1ba551b7c0087p-1, -0x1.1a9d20896ccdcp-1, -0x1.198be3576a156p-1, -0x1.1871cdff76776p-1, -0x1.174f1446411d8p-1, -0x1.1623e9d124097p-1, -0x1.14f082203537p-1, -0x1.13b51088a9c4cp-1, -0x1.1271c82f85328p-1, -0x1.1126dc0494b6p-1, -0x1.0fd47ebdaf9c4p-1, -0x1.0e7ae2d23889ap-1, -0x1.0d1a3a76e0b2dp-1, -0x1.0bb2b799a20f5p-1, -0x1.0a448bddf4b36p-1, -0x1.08cfe89936854p-1, -0x1.0754fecf4586cp-1, -0x1.05d3ff2f46fa8p-1, -0x1.044d1a109b9ep-1, -0x1.02c07f6ffbb1p-1, -0x1.012e5eecb9401p-1, -0x1.ff2dcf8c4c8edp-2, -0x1.fbf491b23ab7ap-2, -0x1.f8b1613b4f266p-2, -0x1.f5649a49850f7p-2, -0x1.f20e982c7e697p-2, -0x1.eeafb55d7c24ep-2, -0x1.eb484b7b7f4b2p-2, -0x1.e7d8b3479e02ap-2, -0x1.e46144a1817a4p-2, -0x1.e0e256840bda2p-2, -0x1.dd5c3f0224e88p-2, -0x1.d9cf5343ac10ep-2, -0x1.d63be7828d296p-2, -0x1.d2a24f07f3914p-2, -0x1.cf02dc29a07e6p-2, -0x1.cb5de0475cffcp-2, -0x1.c7b3abc88ac9dp-2, -0x1.c4048e19cfd61p-2, -0x1.c050d5aade999p-2, -0x1.bc98cfec57bd9p-2, -0x1.b8dcc94dc63b5p-2, -0x1.b51d0d3bb4fa1p-2, -0x1.b159e61ddf41ap-2, -0x1.ad939d5575676p-2, -0x1.a9ca7b3b7e11dp-2, -0x1.a5fec71f4ecbdp-2, -0x1.a230c7451b055p-2, -0x1.9e60c0e49d074p-2, -0x1.9a8ef827d6369p-2, -0x1.96bbb029e6a6ap-2, -0x1.92e72af5fcdcp-2, -0x1.8f11a9865dbfcp-2, -0x1.8b3b6bc385339p-2, -0x1.8764b0835df58p-2, -0x1.838db58890d2ap-2, -0x1.7fb6b781edccep-2, -0x1.7bdff209ec8fap-2, -0x1.78099fa645f6ap-2, -0x1.7433f9c7a4025p-2, -0x1.705f38c96df25p-2, -0x1.6c8b93f1a82a5p-2, -0x1.68b94170f11e1p-2, -0x1.64e87662943aap-2, -0x1.611966ccb5e15p-2, -0x1.5d4c45a09722ep-2, -0x1.598144baf3dd3p-2, -0x1.55b894e477484p-2, -0x1.51f265d24a043p-2, -0x1.4e2ee626b706fp-2, -0x1.4a6e4371e92a4p-2, -0x1.46b0aa32c15b1p-2, -0x1.42f645d7c3371p-2, -0x1.3f3f40c018f94p-2, -0x1.3b8bc43cae453p-2, -0x1.37dbf8916474fp-2, -0x1.343004f658ee7p-2, -0x1.30880f9945dcep-2, -0x1.2ce43d9ef562cp-2, -0x1.2944b324ccfbfp-2, -0x1.25a993426c3a7p-2, -0x1.2213000b617ffp-2, -0x1.1e811a90efdecp-2, -0x1.1af402e3eeedcp-2, -0x1.176bd816b6ec2p-2, -0x1.13e8b83f23c4ap-2, -0x1.106ac078aa187p-2, -0x1.0cf20ce67d716p-2, -0x1.097eb8b5c80b8p-2, -0x1.0610de1ff274p-2, -0x1.02a8966cfda1p-2, -0x1.fe8bf3ebd475ap-3, -0x1.f7d2404e6056ap-3, -0x1.f1243f068c048p-3, -0x1.ea821b4a64eefp-3, -0x1.e3ebfe86628d9p-3, -0x1.dd621062bb872p-3, -0x1.d6e476c8dfcadp-3, -0x1.d07355e9019cdp-3, -0x1.ca0ed03fbbaa8p-3, -0x1.c3b7069bc28d5p-3, -0x1.bd6c1823b2743p-3, -0x1.b72e225bee63cp-3, -0x1.b0fd412c8ae66p-3, -0x1.aad98ee74c164p-3, -0x1.a4c3244db9a48p-3, -0x1.9eba189732e0cp-3, -0x1.98be8177199f1p-3, -0x1.92d0732306cb1p-3, -0x1.8cf0005907c6dp-3, -0x1.871d3a65e3b43p-3, -0x1.8158312b6d0f1p-3, -0x1.7ba0f326d6cb9p-3, -0x1.75f78d7713226p-3, -0x1.705c0be3333d2p-3, -0x1.6ace78e0ca682p-3, -0x1.654edd9a5bd22p-3, -0x1.5fdd41f5c142bp-3, -0x1.5a79ac9a97f8ap-3, -0x1.552422f8aae52p-3, -0x1.4fdca94e5dc7cp-3, -0x1.4aa342af184b2p-3, -0x1.4577f109a854ap-3, -0x1.405ab52ea7da4p-3, -0x1.3b4b8ed6d8291p-3, -0x1.364a7ca97fcfdp-3, -0x1.31577c42b7d33p-3, -0x1.2c728a39bd47cp-3, -0x1.279ba22733f79p-3, -0x1.22d2beab63c19p-3, -0x1.1e17d9746d2c2p-3, -0x1.196aeb447289p-3, -0x1.14cbebf7ba0f9p-3, -0x1.103ad28ac1e44p-3, -0x1.0bb795204c352p-3, -0x1.074229075aa08p-3, -0x1.02da82c12372cp-3, -0x1.fd012c0de7155p-4, -0x1.f468aba00ee35p-4, -0x1.ebeb68aea071fp-4, -0x1.e38946426eeb6p-4, -0x1.db4226027e58fp-4, -0x1.d315e83f4e08p-4, -0x1.cb046bfdec66ep-4, -0x1.c30d8f02f07d2p-4, -0x1.bb312ddd4cb1p-4, -0x1.b36f23f11379p-4, -0x1.abc74b81fcb96p-4, -0x1.a4397dbde2555p-4, -0x1.9cc592c709bbbp-4, -0x1.956b61be51a85p-4, -0x1.8e2ac0cd38501p-4, -0x1.8703852fbc6e6p-4, -0x1.7ff5833e1c319p-4, -0x1.79008e766bb15p-4, -0x1.72247986088f9p-4, -0x1.6b611652e46f2p-4, -0x1.64b63604ad76cp-4, -0x1.5e23a90dcb059p-4, -0x1.57a93f343955p-4, -0x1.5146c79a39203p-4, -0x1.4afc10c6dd56ap-4, -0x1.44c8e8ae6e0fbp-4, -0x1.3ead1cbaa65f2p-4, -0x1.38a879d2c986bp-4, -0x1.32bacc639308dp-4, -0x1.2ce3e066fe9f3p-4, -0x1.2723816be8422p-4, -0x1.21797a9d85221p-4, -0x1.1be596caba261p-4, -0x1.1667a06d42bd1p-4, -0x1.10ff61b0b940ap-4, -0x1.0baca47976e0cp-4, -0x1.066f326b473b5p-4, -0x1.0146d4effeebap-4, -0x1.f866aa7bc8bb3p-5, -0x1.ee68f8bbef752p-5, -0x1.e494266425743p-5, -0x1.dae7c4f5c7b6dp-5, -0x1.d16365bb86e35p-5, -0x1.c80699d4cd1f6p-5, -0x1.bed0f240d4088p-5, -0x1.b5c1ffe97aa3bp-5, -0x1.acd953adc78fap-5, -0x1.a4167e6c30cfcp-5, -0x1.9b79110c962e4p-5, -0x1.93009c89f3d8ap-5, -0x1.8aacb1fbd9852p-5, -0x1.827ce29f8f43cp-5, -0x1.7a70bfe106f1p-5, -0x1.7287db637af9p-5, -0x1.6ac1c709d7fa8p-5, -0x1.631e14fede48bp-5, -0x1.5b9c57bd0417ep-5, -0x1.543c22161b80bp-5, -0x1.4cfd073ab5a86p-5, -0x1.45de9ac147a3ap-5, -0x1.3ee070ad1bf9dp-5, -0x1.38021d74f8297p-5, -0x1.31433609973f6p-5, -0x1.2aa34fdbdd5bcp-5, -0x1.242200e2d9f4ap-5, -0x1.1dbedfa18f56ep-5, -0x1.1779832c7f0aap-5, -0x1.1151832f08d4bp-5, -0x1.0b4677f0862a3p-5, -0x1.0557fa593de1dp-5, -0x1.ff0b47ee409b9p-6, -0x1.f39e1e048fbfdp-6, -0x1.e867acc2ab1fbp-6, -0x1.dd672b5b2883fp-6, -0x1.d29bd26dcf82ap-6, -0x1.c804dc0f3115p-6, -0x1.bda183cfcbc56p-6, -0x1.b37106c2e3dep-6, -0x1.a972a384f85eep-6, -0x1.9fa59a41e924p-6, -0x1.96092cbac0dcep-6, -0x1.8c9c9e4b2cae6p-6, -0x1.835f33eea4514p-6, -0x1.7a503445484dp-6, -0x1.716ee7985b926p-6, -0x1.68ba97de8ea41p-6, -0x1.603290bfe8efbp-6, -0x1.57d61f9970b59p-6, -0x1.4fa49380939adp-6, -0x1.479d3d463691fp-6, -0x1.3fbf6f799751ep-6, -0x1.380a7e6ad5d6bp-6, -0x1.307dc02d57e2cp-6, -0x1.29188c99d3d5dp-6, -0x1.21da3d5028d97p-6, -0x1.1ac22db8fbf1ap-6, -0x1.13cfbb071ede7p-6, -0x1.0d024438b4234p-6, -0x1.06592a182064bp-6, -0x1.ffa79e7997d7cp-7, -0x1.f2e3301750b3dp-7, -0x1.e663d56f08ca1p-7, -0x1.da285e826ef2fp-7, -0x1.ce2f9eef1d731p-7, -0x1.c2786dee3a47fp-7, -0x1.b701a6539d03p-7, -0x1.abca268cb1175p-7, -0x1.a0d0d09f051e1p-7, -0x1.96148a267ea08p-7, -0x1.8b943c5348eb7p-7, -0x1.814ed3e7615f1p-7, -0x1.774341340ea21p-7, -0x1.6d707816c576ep-7, -0x1.63d56ff613325p-7, -0x1.5a7123be0dc0bp-7, -0x1.514291dca34cfp-7, -0x1.4848bc3dad62ap-7, -0x1.3f82a846afc36p-7, -0x1.36ef5ed27a3dfp-7, -0x1.2e8dec2c7c458p-7, -0x1.265d600c000bap-7, -0x1.1e5ccd8f1b4bap-7, -0x1.168b4b3576d8bp-7, -0x1.0ee7f2daedc88p-7, -0x1.0771e1b1f962cp-7, -0x1.0028383dfc6a9p-7, -0x1.f214349aaec02p-8, -0x1.e42d5de6df9f5p-8, -0x1.d69a4104d352fp-8, -0x1.c9593909e2f7ap-8, -0x1.bc68a76f731c8p-8, -0x1.afc6f405f6facp-8, -0x1.a3728ce76cd9fp-8, -0x1.9769e669fa426p-8, -0x1.8bab7b1206b57p-8, -0x1.8035cb8452bccp-8, -0x1.75075e77dd6fbp-8, -0x1.6a1ec0a779bfep-8, -0x1.5f7a84c38c4ecp-8, -0x1.55194363321b5p-8, -0x1.4af99af5a5ad5p-8, -0x1.411a2fb37586bp-8, -0x1.3779ab8f64bb5p-8, -0x1.2e16be275f3cfp-8, -0x1.24f01cb55ef42p-8, -0x1.1c04820022f74p-8, -0x1.1352ae4bdbc8p-8, -0x1.0ad9674aba024p-8, -0x1.0297780d902f4p-8, -0x1.f51761e8897d5p-9, -0x1.e569cf3ca0c4dp-9, -0x1.d623edb6474acp-9, -0x1.c7437d3528c73p-9, -0x1.b8c647ba99e62p-9, -0x1.aaaa214a1bf5ep-9, -0x1.9cece7ca5b4f1p-9, -0x1.8f8c82e5dc1bep-9, -0x1.8286e3ebb1d13p-9, -0x1.75da05b06ef3ap-9, -0x1.6983ec6eef247p-9, -0x1.5d82a5a9597a8p-9, -0x1.51d44809f5416p-9, -0x1.4676f344676ep-9, -0x1.3b68cff6bcd95p-9, -0x1.30a80f8adf701p-9, -0x1.2632ec17b270fp-9, -0x1.1c07a842d15b9p-9, -0x1.12248f2206416p-9, -0x1.0887f41d352d7p-9, -0x1.fe6065a043aacp-10, -0x1.ec375dd9407f8p-10, -0x1.da91a8399617cp-10, -0x1.c96c2bcaa73d1p-10, -0x1.b8c3df10946f8p-10, -0x1.a895c7cf4f168p-10, -0x1.98defad106597p-10, -0x1.899c9babf5371p-10, -0x1.7acbdc899c47ap-10, -0x1.6c69fded83067p-10, -0x1.5e744e7d03f1bp-10, -0x1.50e82ac74132cp-10, -0x1.43c2fd0d867dp-10, -0x1.37023d0c65d2dp-10, -0x1.2aa36fc4d8cb1p-10, -0x1.1ea427462b606p-10, -0x1.130202789f661p-10, -0x1.07baace7ceaf6p-10, -0x1.f997bd1c47c08p-11, -0x1.e466b741c1c2p-11, -0x1.cfdde8b824967p-11, -0x1.bbf9099f8df83p-11, -0x1.a8b3e95a2cac5p-11, -0x1.960a6e28485aep-11, -0x1.83f894c51ffffp-11, -0x1.727a700471ec3p-11, -0x1.618c2871b6245p-11, -0x1.5129fbeff8682p-11, -0x1.41503d5a9a9cp-11, -0x1.31fb5427f747dp-11, -0x1.2327bc0c3dbb7p-11, -0x1.14d2049dbdeb1p-11, -0x1.06f6d0fa45e3dp-11, -0x1.f325aedb7419fp-12, -0x1.d945c2332297dp-12, -0x1.c047933aaf6dp-12, -0x1.a824fd814a8aap-12, -0x1.90d8003b2f9bp-12, -0x1.7a5abd9a7f0d6p-12, -0x1.64a77a283141dp-12, -0x1.4fb89c20b440dp-12, -0x1.3b88aad26d238p-12, -0x1.28124dfe2b213p-12, -0x1.15504d3923c73p-12, -0x1.033d8f536cf56p-12, -0x1.e3aa33796aca8p-13, -0x1.c2241fdec0e5bp-13, -0x1.a1df65b5bb143p-13, -0x1.82d2c0a14556ap-13, -0x1.64f524e928795p-13, -0x1.483dbe5b646d6p-13, -0x1.2ca3ef356e0b9p-13, -0x1.121f4f0d8e2b1p-13, -0x1.f14f53875e144p-14, -0x1.c069fce9f2c6fp-14, -0x1.917efce7c782bp-14, -0x1.647f188508551p-14, -0x1.395b7528546bdp-14, -0x1.100596a01a8e2p-14, -0x1.d0deba65d704bp-15, -0x1.8516076d9b358p-15, -0x1.3c963b625acd7p-15, -0x1.ee8a55edcece4p-16, -0x1.6a12a9d2ca5cfp-16, -0x1.d72779a52aa59p-17, -0x1.cb747ca828ffp-18, 0x1.017fbb3057c7dp-26, 0x1.b7cae47f20c57p-18, 0x1.accd6736cb6a3p-17, 0x1.39c7ebb8b2cd6p-16, 0x1.9840d95c6c943p-16, 0x1.f1fad66770886p-16, 0x1.238f1270c3a7cp-15, 0x1.4be8fa97f6a37p-15, 0x1.721e360879132p-15, 0x1.9641544409538p-15, 0x1.b86464dc3f171p-15, 0x1.d898fa4a2daeep-15, 0x1.f6f02cbefab97p-15, 0x1.09bd4e7278dcdp-14, 0x1.17243b49f2f0bp-14, 0x1.23b4b9bd33684p-14, 0x1.2f766edc895cap-14, 0x1.3a70c937b8337p-14, 0x1.44ab02225aefp-14, 0x1.4e2c1eecedc63p-14, 0x1.56faf21ac08abp-14, 0x1.5f1e1c93fb51p-14, 0x1.669c0eccdbd43p-14, 0x1.6d7b09eb8e2adp-14, 0x1.73c120e6894a3p-14, 0x1.7974399dbe94ap-14, 0x1.7e9a0def0d652p-14, 0x1.83382cc3bc7a8p-14, 0x1.8753fb192a681p-14, 0x1.8af2b5066a40cp-14, 0x1.8e196eb839f26p-14, 0x1.90cd156cb0bfep-14, 0x1.9312706795ee3p-14, 0x1.94ee21e1ee484p-14, 0x1.9664a7f3c2a8p-14, 0x1.977a5d7a6c677p-14, 0x1.98337afb97779p-14, 0x1.9894177faa90dp-14, 0x1.98a0296bb626fp-14, 0x1.985b875312c82p-14, 0x1.97c9e8c92b9e5p-14, 0x1.96eee7295276cp-14, 0x1.95cdfe605e121p-14, 0x1.946a8dacc8835p-14, 0x1.92c7d85d9cef1p-14, 0x1.90e9068cd9ecp-14, 0x1.8ed125d5f884ep-14, 0x1.8c832a06a7be3p-14, 0x1.8a01edcee799bp-14, 0x1.8750336a7121bp-14, 0x1.8470a547cb9dbp-14, 0x1.8165d6abd240dp-14, 0x1.7e3244506bff8p-14, 0x1.7ad85501732a6p-14, 0x1.775a5a34cadeep-14, 0x1.73ba909f42125p-14, 0x1.6ffb20c621a22p-14, 0x1.6c1e1f8f15c0dp-14, 0x1.68258ec8c21bcp-14, 0x1.64135db56bc47p-14, 0x1.5fe9698de275p-14, 0x1.5ba97e045579p-14, 0x1.575555c2a5811p-14, 0x1.52ee9ae6a10eep-14, 0x1.4e76e77af28f6p-14, 0x1.49efc5eced5c3p-14, 0x1.455ab18012875p-14, 0x1.40b916be7e19cp-14, 0x1.3c0c53e6e701p-14, 0x1.3755b9582cfc6p-14, 0x1.329689f98a889p-14, 0x1.2dcffba13fe18p-14, 0x1.29033777bd425p-14, 0x1.24315a5976b1ep-14, 0x1.1f5b7535683a6p-14, 0x1.1a828d69a8371p-14, 0x1.15a79d1dc08dep-14, 0x1.10cb939aap-14, 0x1.0bef55a07aefdp-14, 0x1.0713bdba75986p-14, 0x1.02399c9021cf4p-14, 0x1.fac3726a8f7afp-15, 0x1.f119a2ee488f5p-15, 0x1.e777344fae18ep-15, 0x1.dddd7ed060ddfp-15, 0x1.d44dc9dddac57p-15, 0x1.cac94c9e8bd53p-15, 0x1.c1512e784bc8ep-15, 0x1.b7e68796660ecp-15, 0x1.ae8a6169317dp-15, 0x1.a53db723dd612p-15, 0x1.9c017637b6c36p-15, 0x1.92d67eca1c7edp-15, 0x1.89bda42875e7cp-15, 0x1.80b7ad3910729p-15, 0x1.77c554e913337p-15, 0x1.6ee74a968a913p-15, 0x1.661e32789ba17p-15, 0x1.5d6aa6045a6eep-15, 0x1.54cd344eb167ap-15, 0x1.4c46626c2a905p-15, 0x1.43d6abcd55ddp-15, 0x1.3b7e8298f75dp-15, 0x1.333e500430cp-15, 0x1.2b1674a71eedep-15, 0x1.230748cf44214p-15, 0x1.1b111cd1037f3p-15, 0x1.13343954499dbp-15, 0x1.0b70dfa1987aap-15, 0x1.03c749eb36d1ap-15, 0x1.f86f57287bef6p-16, 0x1.e98462ec3b1fp-16, 0x1.dace04493fc9dp-16, 0x1.cc4c7c5bf52fep-16, 0x1.be0000b66cf18p-16, 0x1.afe8bbda5373bp-16, 0x1.a206cdb1930aap-16, 0x1.945a4bff8e94fp-16, 0x1.86e342d2c3dafp-16, 0x1.79a1b4f130379p-16, 0x1.6c959c40eaa2fp-16, 0x1.5fbeea2fdfcdbp-16, 0x1.531d8814b683cp-16, 0x1.46b1578fbd6dp-16, 0x1.3a7a32e714deap-16, 0x1.2e77ed601cfecp-16, 0x1.22aa53973ac43p-16, 0x1.17112bd2d3432p-16, 0x1.0bac3655c1aafp-16, 0x1.007b2dad089cep-16, 0x1.eafb8df8d668dp-17, 0x1.d567648ed7727p-17, 0x1.c03935729acaep-17, 0x1.ab704dd1dd335p-17, 0x1.970bf23702cabp-17, 0x1.830b5f0a1b5eap-17, 0x1.6f6dc90a7b4dap-17, 0x1.5c325dc8a7fe2p-17, 0x1.495844177052fp-17, 0x1.36de9c7e2029ap-17, 0x1.24c481a1247c8p-17, 0x1.130908ab4d9bep-17, 0x1.01ab41b07f26bp-17, 0x1.e154701bd62d9p-18, 0x1.c009e58ea2911p-18, 0x1.9f74e9bfcc02bp-18, 0x1.7f937b61cc8d4p-18, 0x1.606392759bd8cp-18, 0x1.41e320ed0dbbap-18, 0x1.2410133f9ab88p-18, 0x1.06e8510176341p-18, 0x1.d4d37ada04f94p-19, 0x1.9d246fde0fb1bp-19, 0x1.66bf3948cbfc9p-19, 0x1.319f89b4c6c17p-19, 0x1.fb821e1797a4ep-20, 0x1.963ee6d157361p-20, 0x1.336cbbe5bbe96p-20, 0x1.a605cee56f685p-21, 0x1.d3e2c3b246a01p-22, 0x1.9455e9f66610ep-24, -0x1.007f2359257d7p-22, -0x1.2e7efa5012446p-21, -0x1.d844e62115f2fp-21, -0x1.3ed15b087c694p-20, -0x1.8f54e01945d62p-20, -0x1.ddb5a6b3405a6p-20, -0x1.14fe25ce1d313p-19, -0x1.3a18b17186159p-19, -0x1.5e2ebb7492cb7p-19, -0x1.814483ba9013bp-19, -0x1.a35e4464c6ef5p-19, -0x1.c480316897671p-19, -0x1.e4ae782c94b1cp-19, -0x1.01f69f92d9093p-18, -0x1.112052bdbc497p-18, -0x1.1fd6615b801d5p-18, -0x1.2e1ad33885f45p-18, -0x1.3befac028aadap-18, -0x1.4956eb258ebdbp-18, -0x1.56528ba9e1badp-18, -0x1.62e4841754dabp-18, -0x1.6f0ec65525d23p-18, -0x1.7ad33f9226679p-18, -0x1.8633d82ac5906p-18, -0x1.9132739107beap-18, -0x1.9bd0f037afbb6p-18, -0x1.a611277e84916p-18, -0x1.aff4eda13df5ep-18, -0x1.b97e11a6a4dd2p-18, -0x1.c2ae5d522e73ep-18, -0x1.cb87951735488p-18, -0x1.d40b780ba052cp-18, -0x1.dc3bbfdf761fbp-18, -0x1.e41a20d1bd64p-18, -0x1.eba849a99c2f9p-18, -0x1.f2e7e3af81cadp-18, -0x1.f9da92a84b49dp-18, -0x1.0040fa68785f1p-17, -0x1.036fd16d4beefp-17, -0x1.067a97f45400dp-17, -0x1.096214c77dc4p-17, -0x1.0c270be957d3p-17, -0x1.0eca3e9492a8fp-17, -0x1.114c6b3d75064p-17, -0x1.13ae4d929827ap-17, -0x1.15f09e7eaab58p-17, -0x1.1814142a15df4p-17, -0x1.1a1961fd3c84cp-17, -0x1.1c0138a2f3bcp-17, -0x1.1dcc460bc6af6p-17, -0x1.1f7b3570a42bfp-17, -0x1.210eaf57159f1p-17, -0x1.228759945ea35p-17, -0x1.23e5d751a594dp-17, -0x1.252ac91063ea7p-17, -0x1.2656ccae92adep-17, -0x1.276a7d6bdbf25p-17, -0x1.286673edb84fcp-17, -0x1.294b4645a04c3p-17, -0x1.2a1987f578871p-17, -0x1.2ad1c9f5579fcp-17, -0x1.2b749ab93b3fep-17, -0x1.2c028636788c1p-17, -0x1.2c7c15ea09ccbp-17, -0x1.2ce1d0de60b8dp-17, -0x1.2d343bb197bb3p-17, -0x1.2d73d89bade07p-17, -0x1.2da1277521995p-17, -0x1.2dbca5bd03721p-17, -0x1.2dc6ce9fe6dddp-17, -0x1.2dc01afdddb9fp-17, -0x1.2da90171fcacdp-17, -0x1.2d81f6587c45ep-17, -0x1.2d4b6bd5c1ffcp-17, -0x1.2d05d1dd681b2p-17, -0x1.2cb19638dbd63p-17, -0x1.2c4f248e90cdbp-17, -0x1.2bdee6689139dp-17, -0x1.2b61433be59f6p-17, -0x1.2ad6a06f5407fp-17, -0x1.2a3f6162833ebp-17, -0x1.299be774df373p-17, -0x1.28ec920d002aep-17, -0x1.2831be9f3b8ebp-17, -0x1.276bc8b50240ep-17, -0x1.269b09f3b3116p-17, -0x1.25bfda23a8f3fp-17, -0x1.24da8f374fae3p-17, -0x1.23eb7d51ff993p-17, -0x1.22f2f6cee4c54p-17, -0x1.21f14c48310ebp-17, -0x1.20e6cc9dd74d1p-17, -0x1.1fd3c4fc27f54p-17, -0x1.1eb880e31db29p-17, -0x1.1d954a2caece3p-17, -0x1.1c6a6913d52edp-17, -0x1.1b38243b1fe21p-17, -0x1.19fec0b3427c2p-17, -0x1.18be82020d622p-17, -0x1.1777aa28b15cp-17, -0x1.162a79aa490b9p-17, -0x1.14d72f9252ae4p-17, -0x1.137e097b0da02p-17, -0x1.121f4393e5fdcp-17, -0x1.10bb18a7afb57p-17, -0x1.0f51c222d6a49p-17, -0x1.0de37819b2039p-17, -0x1.0c70714e678e1p-17, -0x1.0af8e336edccp-17, -0x1.097d020334fa3p-17, -0x1.07fd00a2fca66p-17, -0x1.067910cba8244p-17, -0x1.04f162fe22dcbp-17, -0x1.0366268c5d236p-17, -0x1.01d7899f2ecb8p-17, -0x1.0045b93ba9c39p-17, -0x1.fd61c291e570ap-18, -0x1.fa32592a918p-18, -0x1.f6fd89b79d6d3p-18, -0x1.f3c3a59304f67p-18, -0x1.f084fc054ae7dp-18, -0x1.ed41da4fba4f1p-18, -0x1.e9fa8bb6ab6e5p-18, -0x1.e6af598b2de7ep-18, -0x1.e3608b3580ff1p-18, -0x1.e00e663e9928ep-18, -0x1.dcb92e599450ep-18, -0x1.d961256d8c5f4p-18, -0x1.d6068b9ea5becp-18, -0x1.d2a99f5790e49p-18, -0x1.cf4a9d523a4c7p-18, -0x1.cbe9c0a14d70ep-18, -0x1.c88742b86843ep-18, -0x1.c5235b75300c5p-18, -0x1.c1be4127b500ep-18, -0x1.be58289ad6766p-18, -0x1.baf1451c622bp-18, -0x1.b789c88570ac7p-18, -0x1.b421e3424412cp-18, -0x1.b0b9c45a6fa75p-18, -0x1.ad51997839d28p-18, -0x1.a9e98ef044a63p-18, }}, 
      {{-0x1.e5adfc7c6c86dp-1, -0x1.e5725e6d7a2f3p-1, -0x1.e506f713c1ef8p-1, -0x1.e4620d7fdc57fp-1, -0x1.e37947809d998p-1, -0x1.e2433659b7e99p-1, -0x1.e0b86068c4639p-1, -0x1.ded3cffba8b9p-1, -0x1.dc933f97f4eeap-1, -0x1.d9f6ff859b655p-1, -0x1.d701add1e86c2p-1, -0x1.d3b7d502db6c5p-1, -0x1.d01f806e8c796p-1, -0x1.cc3fd0916891fp-1, -0x1.c820961ad566ap-1, -0x1.c3c9f7b16d76p-1, -0x1.bf44247e62d22p-1, -0x1.ba97143567d75p-1, -0x1.b5ca54649eef1p-1, -0x1.b0e4e23faa184p-1, -0x1.abed0fbb9e505p-1, -0x1.a6e8729ec3714p-1, -0x1.a1dbdc12e3801p-1, -0x1.9ccb574a93f05p-1, -0x1.97ba2ddac43dap-1, -0x1.92aaf084cb2c1p-1, -0x1.8d9f834e3d948p-1, -0x1.88992be7fcecbp-1, -0x1.8398a18ad2134p-1, -0x1.7e9e1d93da46fp-1, -0x1.79a96c4cddf62p-1, -0x1.74b9fd6b84a27p-1, -0x1.6fcef3ede0b87p-1, -0x1.6ae73512b7001p-1, -0x1.66017640505ddp-1, -0x1.611c49bd9efa6p-1, -0x1.5c362a2f55378p-1, -0x1.574d84d591f5dp-1, -0x1.5260c28f4531ap-1, -0x1.4d6e4faec74afp-1, -0x1.4874a2afa18e3p-1, -0x1.437241e091774p-1, -0x1.3e65c816939e5p-1, -0x1.394de87e9e431p-1, -0x1.342971a3c2d09p-1, -0x1.2ef74fbef87e3p-1, -0x1.29b68e64f05b2p-1, -0x1.246659a52bf67p-1, -0x1.1f05feac3fd1ep-1, -0x1.1994ebf9c5e8dp-1, -0x1.1412b1390e845p-1, -0x1.0e7efeca3d175p-1, -0x1.08d9a5081db11p-1, -0x1.03229355b513ap-1, -0x1.fab3adfac14cdp-2, -0x1.eeff33d46eebep-2, -0x1.e3284286cddfp-2, -0x1.d72f97e09c644p-2, -0x1.cb162216ad508p-2, -0x1.bedcfc917bb88p-2, -0x1.b2856cabcfd21p-2, -0x1.a610de6a60fd6p-2, -0x1.9980e13367887p-2, -0x1.8cd7248c136bp-2, -0x1.801574e1174efp-2, -0x1.733db85ea9d6fp-2, -0x1.6651ebdbcb4dfp-2, -0x1.59541fdbf344ap-2, -0x1.4c4675a9d669cp-2, -0x1.3f2b1c8d6f33dp-2, -0x1.32044f1f108fdp-2, -0x1.24d450b8e6d1fp-2, -0x1.179d6b07f9597p-2, -0x1.0a61ebbd659efp-2, -0x1.fa4844c0bd4ep-3, -0x1.dfccbc8238c9cp-3, -0x1.c555d919abbfdp-3, -0x1.aae82d051579cp-3, -0x1.90883f90a3ae3p-3, -0x1.763a89c14e6cap-3, -0x1.5c03737e442c1p-3, -0x1.41e750f79daecp-3, -0x1.27ea6048bc504p-3, -0x1.0e10c75468ccfp-3, -0x1.e8bd23b199ed8p-4, -0x1.b5af5f722582ap-4, -0x1.82ffe6f528159p-4, -0x1.50b621e66cf6p-4, -0x1.1ed9384d7c1fep-4, -0x1.dae021429a6ffp-5, -0x1.79029c60b7f51p-5, -0x1.18269fb0b4e22p-5, -0x1.70b0bc23178ffp-6, -0x1.668df85d67dfep-7, 0x1.f6736ff238084p-12, 0x1.81391475ece01p-7, 0x1.76ed3d23baf17p-6, 0x1.155c826bd7a02p-5, 0x1.6df70c4f77acfp-5, 0x1.c53de334a3fep-5, 0x1.0d949bfaa27eep-4, 0x1.37d8e1c929972p-4, 0x1.6168629b84407p-4, 0x1.8a400000760b2p-4, 0x1.b25cdc499ef2bp-4, 0x1.d9bc593de86eap-4, 0x1.002e0b5bd3982p-3, 0x1.131cf8988085p-3, 0x1.25aa0020af094p-3, 0x1.37d44a870f80cp-3, 0x1.499b1c58752a9p-3, 0x1.5afdd54adb719p-3, 0x1.6bfbef692cda6p-3, 0x1.7c94fe3ccc71p-3, 0x1.8cc8adf59ed2p-3, 0x1.9c96c2915ee1fp-3, 0x1.abff1702f6eb4p-3, 0x1.bb019c5a6d816p-3, 0x1.c99e58ee0fefp-3, 0x1.d7d567854e49p-3, 0x1.e5a6f685c6f09p-3, 0x1.f3134722edb48p-3, 0x1.000d564853b4dp-2, 0x1.065ec59c9c0cp-2, 0x1.0c7e2bfb5e75p-2, 0x1.126bcba83fa26p-2, 0x1.1827ee5e26f36p-2, 0x1.1db2e4f208dap-2, 0x1.230d06f7db685p-2, 0x1.2836b269ca21ap-2, 0x1.2d304b51b1db5p-2, 0x1.31fa3b74ef3afp-2, 0x1.3694f20281242p-2, 0x1.3b00e34389a3dp-2, 0x1.3f3e884e28f3ap-2, 0x1.434e5ebaaff0ap-2, 0x1.4730e85b3181p-2, 0x1.4ae6aaf55dcb6p-2, 0x1.4e702ffeb400ep-2, 0x1.51ce045af1384p-2, 0x1.5500b81cc3631p-2, 0x1.5808de48ad031p-2, 0x1.5ae70c9a12261p-2, 0x1.5d9bdb4a64193p-2, 0x1.6027e4da63ea9p-2, 0x1.628bc5dd64d8cp-2, 0x1.64c81cc69073ep-2, 0x1.66dd89b812ed9p-2, 0x1.68ccae542c838p-2, 0x1.6a962d90143a7p-2, 0x1.6c3aab88a008fp-2, 0x1.6dbacd58ab69cp-2, 0x1.6f1738f123b38p-2, 0x1.705094f2b954bp-2, 0x1.716788891f874p-2, 0x1.725cbb47d4c1cp-2, 0x1.7330d50860ff1p-2, 0x1.73e47dca0575p-2, 0x1.74785d92c6dc2p-2, 0x1.74ed1c51d2b92p-2, 0x1.754361c32bdd2p-2, 0x1.757bd554938e5p-2, 0x1.75971e0baa83cp-2, 0x1.7595e26d3577ap-2, 0x1.7578c8658550dp-2, 0x1.75407531f14c7p-2, 0x1.74ed8d4b5ddf3p-2, 0x1.7480b451c46fdp-2, 0x1.73fa8cf8b4e09p-2, 0x1.735bb8f4c6c9cp-2, 0x1.72a4d8e9f3cdep-2, 0x1.71d68c5ad1587p-2, 0x1.70f17198a3308p-2, 0x1.6ff625b43d30cp-2, 0x1.6ee5446fb181bp-2, 0x1.6dbf6830c057dp-2, 0x1.6c8529f401bb4p-2, 0x1.6b372140ca39fp-2, 0x1.69d5e41dbb204p-2, 0x1.68620705fc75p-2, 0x1.66dc1cdf1f67bp-2, 0x1.6544b6ef9b1dbp-2, 0x1.639c64d5e3de6p-2, 0x1.61e3b48018a9ap-2, 0x1.601b32243fbd4p-2, 0x1.5e4368390b71fp-2, 0x1.5c5cdf6f29a1bp-2, 0x1.5a681eab130a3p-2, 0x1.5865aaff56b59p-2, 0x1.565607a7639bfp-2, 0x1.5439b602c5f12p-2, 0x1.52113590d578ep-2, 0x1.4fdd03ecd4026p-2, 0x1.4d9d9cca76c2dp-2, 0x1.4b5379f2d70a9p-2, 0x1.48ff1341c9034p-2, 0x1.46a0dea38f3a5p-2, 0x1.44395012efcedp-2, 0x1.41c8d997a5fa8p-2, 0x1.3f4feb4524f8dp-2, 0x1.3ccef339b89b1p-2, 0x1.3a465d9df181fp-2, 0x1.37b694a463256p-2, 0x1.35200089b257cp-2, 0x1.32830794e7f51p-2, 0x1.2fe00e180e55dp-2, 0x1.2d3776711835p-2, 0x1.2a89a10b01a3dp-2, 0x1.27d6ec5f3b50bp-2, 0x1.251fb4f74c57fp-2, 0x1.2264556eb60ccp-2, 0x1.1fa526750d6a3p-2, 0x1.1ce27ed04db0ep-2, 0x1.1a1cb35f62df6p-2, 0x1.1754171ce2c9ap-2, 0x1.1488fb21fd9a4p-2, 0x1.11bbaea997ab7p-2, 0x1.0eec7f1396d52p-2, 0x1.0c1bb7e855fdfp-2, 0x1.0949a2dc474b8p-2, 0x1.067687d3b9f18p-2, 0x1.03a2ace6c8078p-2, 0x1.00ce56656aa14p-2, 0x1.fbf38db756bdfp-3, 0x1.f64a7e2bf881cp-3, 0x1.f0a1fc4b557e5p-3, 0x1.eafa82cae5fa8p-3, 0x1.e55488fc5ba1bp-3, 0x1.dfb082d72d11ep-3, 0x1.da0ee10260becp-3, 0x1.d47010de75bc9p-3, 0x1.ced47c8f83144p-3, 0x1.c93c8b077f8e6p-3, 0x1.c3a8a010a8468p-3, 0x1.be191c581096ap-3, 0x1.b88e5d784f097p-3, 0x1.b308be044bb93p-3, 0x1.ad88959224ac7p-3, 0x1.a80e38c62f396p-3, 0x1.a299f95e0cc35p-3, 0x1.9d2c263bd575bp-3, 0x1.97c50b7151f2fp-3, 0x1.9264f24b44d8ep-3, 0x1.8d0c215cc338dp-3, 0x1.87badc8a94197p-3, 0x1.827165169eecbp-3, 0x1.7d2ff9ab54be4p-3, 0x1.77f6d6672cbc5p-3, 0x1.72c634e817f4ap-3, 0x1.6d9e4c56fb395p-3, 0x1.687f51732743fp-3, 0x1.6369769dcf15dp-3, 0x1.5e5cebe572e91p-3, 0x1.5959df115068cp-3, 0x1.54607bacc3f5p-3, 0x1.4f70eb12a03a4p-3, 0x1.4a8b54787dddap-3, 0x1.45afdcf9fed8cp-3, 0x1.40dea7a40200dp-3, 0x1.3c17d57fcbff1p-3, 0x1.375b859e1b2cep-3, 0x1.32a9d5222e3e6p-3, 0x1.2e02df4cb5d11p-3, 0x1.2966bd86b461bp-3, 0x1.24d5876c47652p-3, 0x1.204f52d75ec7ep-3, 0x1.1bd433ea57681p-3, 0x1.17643d1a877bep-3, 0x1.12ff7f3aa5253p-3, 0x1.0ea60985251acp-3, 0x1.0a57e9a66f191p-3, 0x1.06152bc6fef89p-3, 0x1.01ddda956d236p-3, 0x1.fb63fea0acfe5p-4, 0x1.f32343a04ea02p-4, 0x1.eaf991219770ap-4, 0x1.e2e6f1767d959p-4, 0x1.daeb6c5e057e5p-4, 0x1.d3070716ddda9p-4, 0x1.cb39c471d31aep-4, 0x1.c383a4e3f3c6cp-4, 0x1.bbe4a69881cecp-4, 0x1.b45cc5829676ap-4, 0x1.acebfb6e9178p-4, 0x1.a59240133c80cp-4, 0x1.9e4f8922b2e02p-4, 0x1.9723ca5b04114p-4, 0x1.900ef59692037p-4, 0x1.8910fadc32844p-4, 0x1.8229c86f05b7fp-4, 0x1.7b594ade0c5c2p-4, 0x1.749f6d137b8a7p-4, 0x1.6dfc1863c90fp-4, 0x1.676f349c7a2bcp-4, 0x1.60f8a812a62fep-4, 0x1.5a9857b13ce44p-4, 0x1.544e2707069a1p-4, 0x1.4e19f8545c9f3p-4, 0x1.47fbac98a6c44p-4, 0x1.41f3239f8df07p-4, 0x1.3c003c0df25efp-4, 0x1.3622d36e98259p-4, 0x1.305ac63e98f98p-4, 0x1.2aa7eff98f3cp-4, 0x1.250a2b2580a36p-4, 0x1.1f81515e87ap-4, 0x1.1a0d3b623f886p-4, 0x1.14adc11aea947p-4, 0x1.0f62b9aa5bdbp-4, 0x1.0a2bfb74a362fp-4, 0x1.05095c2a7895bp-4, 0x1.fff561a6d10efp-5, 0x1.f5ff9baf89d5ap-5, 0x1.ec310e14b5165p-5, 0x1.e2895f63c9dcp-5, 0x1.d90835249ab49p-5, 0x1.cfad33eb50826p-5, 0x1.c677ff69fc74bp-5, 0x1.bd683a81b25fbp-5, 0x1.b47d87532b19ap-5, 0x1.abb7874f01298p-5, 0x1.a315db4576891p-5, 0x1.9a982375d56c7p-5, 0x1.923dff9d56f2bp-5, 0x1.8a070f05aeb5bp-5, 0x1.81f2f0932400bp-5, 0x1.7a0142d245b1ep-5, 0x1.7231a4053a3p-5, 0x1.6a83b230a6dfep-5, 0x1.62f70b283a03dp-5, 0x1.5b8b4c9acddcbp-5, 0x1.5440141e2e8f2p-5, 0x1.4d14ff3a86a9ap-5, 0x1.4609ab75621d9p-5, 0x1.3f1db65c65386p-5, 0x1.3850bd8fa00a3p-5, 0x1.31a25ecb8c4dcp-5, 0x1.2b1237f2b7ec3p-5, 0x1.249fe717183fdp-5, 0x1.1e4b0a83088b3p-5, 0x1.181340c1f837cp-5, 0x1.11f828a8cc06cp-5, 0x1.0bf9615def09ep-5, 0x1.06168a610dc24p-5, 0x1.004f439296d72p-5, 0x1.f5465a75c862dp-6, 0x1.ea23d0223e406p-6, 0x1.df362a83c4b11p-6, 0x1.d47caceb182cep-6, 0x1.c9f69bacb585ep-6, 0x1.bfa33c2c715b7p-6, 0x1.b581d4e8a5fffp-6, 0x1.ab91ad84cb7b9p-6, 0x1.a1d20ed3a1c8ep-6, 0x1.984242e0e6f57p-6, 0x1.8ee194fa840a5p-6, 0x1.85af51b953ec1p-6, 0x1.7caac709734ep-6, 0x1.73d3443229e89p-6, 0x1.6b2819dd5d77cp-6, 0x1.62a89a1ea0184p-6, 0x1.5a541879e1c29p-6, 0x1.5229e9e9a6a01p-6, 0x1.4a2964e4f64e2p-6, 0x1.4251e164dd5a3p-6, 0x1.3aa2b8e996145p-6, 0x1.331b467f5a1f8p-6, 0x1.2bbae6c2d2e64p-6, 0x1.2480f7e5402bcp-6, 0x1.1d6cd9b04fcd9p-6, 0x1.167ded8991984p-6, 0x1.0fb39675b2d08p-6, 0x1.090d391b5b71bp-6, 0x1.028a3bc5d5f06p-6, 0x1.f8540cceb1653p-7, 0x1.ebd8053646647p-7, 0x1.df9f374e79a92p-7, 0x1.d3a87cfc1041dp-7, 0x1.c7f2b37f30147p-7, 0x1.bc7cbb7560277p-7, 0x1.b14578db43f42p-7, 0x1.a64bd30dd1064p-7, 0x1.9b8eb4cb14043p-7, 0x1.910d0c329603ep-7, 0x1.86c5cac54a3eep-7, 0x1.7cb7e5652a261p-7, 0x1.72e254545703ep-7, 0x1.694413340bc57p-7, 0x1.5fdc2102ff358p-7, 0x1.56a9801b97c68p-7, 0x1.4dab3631bfa8cp-7, 0x1.44e04c505bd9cp-7, 0x1.3c47ced6937d5p-7, 0x1.33e0cd74b61bbp-7, 0x1.2baa5b28dc585p-7, 0x1.23a38e3b4ae12p-7, 0x1.1bcb803aa095fp-7, 0x1.14214df7a73dbp-7, 0x1.0ca417810b75ep-7, 0x1.0553001eb8737p-7, 0x1.fc5a5c9a48918p-8, 0x1.ee6397707545fp-8, 0x1.e0c00a6c8385bp-8, 0x1.d36e1584f5d66p-8, 0x1.c66c1eef18f89p-8, 0x1.b9b89313b0b6ap-8, 0x1.ad51e4831ddfdp-8, 0x1.a1368be9812aep-8, 0x1.956508025504cp-8, 0x1.89dbdd8bbd579p-8, 0x1.7e999739e48dp-8, 0x1.739cc5a9c1694p-8, 0x1.68e3ff53dfb6fp-8, 0x1.5e6de07ed4c98p-8, 0x1.54390b31998a2p-8, 0x1.4a442725a13f7p-8, 0x1.408de1b8c543ap-8, 0x1.3714eddf2dea9p-8, 0x1.2dd80414d9bbfp-8, 0x1.24d5e24f2d1e7p-8, 0x1.1c0d4bee75a16p-8, 0x1.137d09af0e221p-8, 0x1.0b23e99aaa11ap-8, 0x1.0300bef96f309p-8, 0x1.f624c485ff9ep-9, 0x1.e6af621ecefe4p-9, 0x1.d79f1c1032762p-9, 0x1.c8f1c1b17e329p-9, 0x1.baa52c401522p-9, 0x1.acb73ec125136p-9, 0x1.9f25e5e31d065p-9, 0x1.91ef17df252bep-9, 0x1.8510d45abedf6p-9, 0x1.7889244939d6ep-9, 0x1.6c5619cd39161p-9, 0x1.6075d01a47153p-9, 0x1.54e66b5670189p-9, 0x1.49a6187bfedf6p-9, 0x1.3eb30d3b0978cp-9, 0x1.340b87db84a44p-9, 0x1.29adcf1ee96bfp-9, 0x1.1f9832226eccap-9, 0x1.15c9084112f48p-9, 0x1.0c3eb0f5de7d4p-9, 0x1.02f793be49fdap-9, 0x1.f3e43ff9779f1p-10, 0x1.e25999b691a81p-10, 0x1.d14c325d1e399p-10, 0x1.c0b916b15cd6cp-10, 0x1.b09d6258d151cp-10, 0x1.a0f63fa18e714p-10, 0x1.91c0e74887c3p-10, 0x1.82faa041d754fp-10, 0x1.74a0bf806a4e9p-10, 0x1.66b0a7be26033p-10, 0x1.5927c9451fbc9p-10, 0x1.4c03a1b86aaf5p-10, 0x1.3f41bbde170e7p-10, 0x1.32dfaf6959a6bp-10, 0x1.26db20c4d420dp-10, 0x1.1b31c0de1764p-10, 0x1.0fe14cf104316p-10, 0x1.04e78e53d3bb9p-10, 0x1.f484b48774fb9p-11, 0x1.dfdf23644ce56p-11, 0x1.cbda4223f362p-11, 0x1.b872004bec4c9p-11, 0x1.a5a2639eabd02p-11, 0x1.936787b99178fp-11, 0x1.81bd9db48f911p-11, 0x1.70a0ebc2a3011p-11, 0x1.600dccd2f97aap-11, 0x1.5000b03420ee3p-11, 0x1.407619375038bp-11, 0x1.316a9ed4ab919p-11, 0x1.22daeb52b7393p-11, 0x1.14c3bbeb4709fp-11, 0x1.0721e075200cp-11, 0x1.f3e47618a8672p-12, 0x1.da637f78cbc48p-12, 0x1.c1bae8584a6d3p-12, 0x1.a9e4de936eeddp-12, 0x1.92dbb1f0c9cc9p-12, 0x1.7c99d37dc558cp-12, 0x1.6719d4ee2754p-12, 0x1.525667fe9612ap-12, 0x1.3e4a5dd78bf31p-12, 0x1.2af0a6729b0dfp-12, 0x1.184450046f856p-12, 0x1.0640866525fcfp-12, 0x1.e9c124fcb8e06p-13, 0x1.c83fb36ff65a9p-13, 0x1.a7f3bad5379ddp-13, 0x1.88d474a15f1ccp-13, 0x1.6ad94ff983c2fp-13, 0x1.4df9f09f1d04ap-13, 0x1.322e2de2bec62p-13, 0x1.176e1199ce5eep-13, 0x1.fb63ae32eb5efp-14, 0x1.c9e3d4691ea63p-14, 0x1.9a4dcc7b774b9p-14, 0x1.6c932a1d75f5cp-14, 0x1.40a5dc2328baep-14, 0x1.16782aa14fb35p-14, 0x1.dbf96a181d9fep-15, 0x1.8e4ce0d16eb71p-15, 0x1.43d14b00703b8p-15, 0x1.f8dbbc5db104bp-16, 0x1.7014e0d850fadp-16, 0x1.da3dd37a278bep-17, 0x1.bf2fc34599aafp-18, -0x1.021869b13908fp-21, -0x1.ea8b168cb9491p-18, -0x1.d029127632bc4p-17, -0x1.508f67624c183p-16, -0x1.b43ba5e37880bp-16, -0x1.09a03e8292d2bp-15, -0x1.36e20ebd8ea1ep-15, -0x1.61f5db27d78d6p-15, -0x1.8aedbd4259e24p-15, -0x1.b1db53661a8fdp-15, -0x1.d6cfc382740b3p-15, -0x1.f9dbbdd3861f3p-15, -0x1.0d87bfc81ede2p-14, -0x1.1d3d6ac2085adp-14, -0x1.2c168f505d878p-14, -0x1.3a1aa7427e801p-14, -0x1.4750f7f8c40abp-14, -0x1.53c0939c57d75p-14, -0x1.5f705a4fb801fp-14, -0x1.6a66fb593b366p-14, -0x1.74aaf6462e9dep-14, -0x1.7e429c0c2644dp-14, -0x1.873410220cc61p-14, -0x1.8f854993dc35fp-14, -0x1.973c141228fe6p-14, -0x1.9e5e10f9a7a23p-14, -0x1.a4f0b85b4ab82p-14, -0x1.aaf959f4f4dd7p-14, -0x1.b07d1e318e597p-14, -0x1.b581071a337bdp-14, -0x1.ba09f146786f7p-14, -0x1.be1c94c88322cp-14, -0x1.c1bd86123fc8p-14, -0x1.c4f136d6d6f6fp-14, -0x1.c7bbf6e8025ccp-14, -0x1.ca21f50da372dp-14, -0x1.cc273fd9de7eap-14, -0x1.cdcfc6783bf35p-14, -0x1.cf1f59770672bp-14, -0x1.d019ab91e40e7p-14, -0x1.d0c2526f99b56p-14, -0x1.d11cc7632f52dp-14, -0x1.d12c682493c8ap-14, -0x1.d0f477884851dp-14, -0x1.d0781e2fabfaap-14, -0x1.cfba6b38d769ep-14, -0x1.cebe54e88bd8fp-14, -0x1.cd86b950b859dp-14, -0x1.cc165ef3a93aep-14, -0x1.ca6ff564122c8p-14, -0x1.c89615e06e0bcp-14, -0x1.c68b43eb88b22p-14, -0x1.c451ede2125d6p-14, -0x1.c1ec6d8ab9923p-14, -0x1.bf5d08a6cc1a5p-14, -0x1.bca5f17b04cf9p-14, -0x1.b9c94759f0869p-14, -0x1.b6c9172676c44p-14, -0x1.b3a75bd753d84p-14, -0x1.b065fef4637fap-14, -0x1.ad06d9142ffc7p-14, -0x1.a98bb25358ea4p-14, -0x1.a5f642cbaadp-14, -0x1.a2483306a8426p-14, -0x1.9e831c6ef0d07p-14, -0x1.9aa889bd35c9ep-14, -0x1.96b9f764ae093p-14, -0x1.92b8d3faf9df1p-14, -0x1.8ea6809ec6df3p-14, -0x1.8a84515af4e72p-14, -0x1.86538d88e5acbp-14, -0x1.8215702de81ep-14, -0x1.7dcb285a0b80cp-14, -0x1.7975d9801ecfcp-14, -0x1.75169bcfb51c2p-14, -0x1.70ae7c89d04bbp-14, -0x1.6c3e7e5508561p-14, -0x1.67c7998faf79ep-14, -0x1.634abc9f106e8p-14, -0x1.5ec8cc3cf95b7p-14, -0x1.5a42a3c3cfee8p-14, -0x1.55b91577ba075p-14, -0x1.512ceaceedda1p-14, -0x1.4c9ee4b7b7b4p-14, -0x1.480fbbdca4e43p-14, -0x1.438020e69fb7cp-14, -0x1.3ef0bcbe0d1ap-14, -0x1.3a6230c9cab51p-14, -0x1.35d5172c30878p-14, -0x1.314a02ff4c228p-14, -0x1.2cc1808efddaep-14, -0x1.283c159139db5p-14, -0x1.23ba415d9c45dp-14, -0x1.1f3c7d229739bp-14, -0x1.1ac33c1a0c964p-14, -0x1.164eebbc0bcdep-14, -0x1.11dff3effcbcfp-14, -0x1.0d76b73cd49b8p-14, -0x1.091392f7fb24ep-14, -0x1.04b6df723e02ep-14, -0x1.0060f0247b151p-14, -0x1.f82427b54a5ddp-15, -0x1.ef9529ba3cddfp-15, -0x1.e715723381f73p-15, -0x1.dea584959eeadp-15, -0x1.d645dc3b8435fp-15, -0x1.cdf6ecb04bfp-15, -0x1.c5b921f8462ddp-15, -0x1.bd8ce0d705427p-15, -0x1.b57287135ff11p-15, -0x1.ad6a6bb9cd00dp-15, -0x1.a574df5c86485p-15, -0x1.9d922c522a928p-15, -0x1.95c296f2b8899p-15, -0x1.8e065dd1e4a6fp-15, -0x1.865db9f846421p-15, -0x1.7ec8df1aa0097p-15, -0x1.7747fbcf87a0cp-15, -0x1.6fdb39c37734p-15, -0x1.6882bdebe447bp-15, -0x1.613ea8b732bbcp-15, -0x1.5a0f163d068fdp-15, -0x1.52f41e6bbbb5fp-15, -0x1.4bedd534c3ca8p-15, -0x1.44fc4ab838f49p-15, -0x1.3e1f8b6e729adp-15, -0x1.3757a050fed05p-15, -0x1.30a48f01317ffp-15, -0x1.2a0659ee87ffap-15, -0x1.237d007ad24d5p-15, -0x1.1d087f1e6157dp-15, -0x1.16a8cf89edf8ap-15, -0x1.105de8c85117dp-15, -0x1.0a27bf5e4c0dfp-15, -0x1.04064569e5a8ap-15, -0x1.fbf2d580b2433p-16, -0x1.f0023a1614a5bp-16, -0x1.e43a8fc6ffc2p-16, -0x1.d89ba9de50253p-16, -0x1.cd2557f1c985ap-16, -0x1.c1d7661578dfbp-16, -0x1.b6b19d0c2e384p-16, -0x1.abb3c2767cca2p-16, -0x1.a0dd98ffdf9e7p-16, -0x1.962ee08b25ae6p-16, -0x1.8ba7565d4ed0cp-16, -0x1.8146b5451f06bp-16, -0x1.770cb5c34919ep-16, -0x1.6cf90e3009817p-16, -0x1.630b72df34f61p-16, -0x1.59439643b9cap-16, -0x1.4fa129116843cp-16, -0x1.4623da5dee53p-16, -0x1.3ccb57bf1b32fp-16, -0x1.33974d69f1da2p-16, -0x1.2a87664f104fap-16, -0x1.219b4c36811e7p-16, -0x1.18d2a7da47166p-16, -0x1.102d2100a4977p-16, -0x1.07aa5e945b559p-16, -0x1.fe940d783928cp-17, -0x1.ee177de326234p-17, -0x1.ddde582d95ff8p-17, -0x1.cde7e515868b8p-17, -0x1.be336c7b46765p-17, -0x1.aec035878c25fp-17, -0x1.9f8d86d05de8p-17, -0x1.909aa67b46626p-17, -0x1.81e6da5f018b6p-17, -0x1.7371682343f78p-17, -0x1.6539955e1c384p-17, -0x1.573ea7b225331p-17, -0x1.497fe4ea83f81p-17, -0x1.3bfc9313c125bp-17, -0x1.2eb3f89618da4p-17, -0x1.21a55c4c439ecp-17, -0x1.14d0059b01282p-17, -0x1.08333c84e11fap-17, -0x1.f79c93819c753p-18, -0x1.df40ed97f694p-18, -0x1.c7521bf95c295p-18, -0x1.afceb526f31bbp-18, -0x1.98b551985e894p-18, -0x1.82048bd681ba4p-18, -0x1.6bbb009c8cd7fp-18, -0x1.55d74ef07193ap-18, -0x1.4058183f3706fp-18, -0x1.2b3c007267e11p-18, -0x1.1681ae0894e36p-18, -0x1.0227ca2901fefp-18, -0x1.dc5a0170aeda8p-19, -0x1.b52000d0735bfp-19, -0x1.8e9ef596f4b97p-19, -0x1.68d448c5c218cp-19, -0x1.43bd695d27368p-19, -0x1.1f57cc703aefdp-19, -0x1.f741da8262cf1p-20, -0x1.b12c9aacd19p-20, -0x1.6c6ae918836c5p-20, -0x1.28f7e24ddbf14p-20, -0x1.cd9d5f986a1b2p-21, -0x1.4bd5103eaadc1p-21, -0x1.991abbee24e3cp-22, -0x1.3ef3aa8637265p-23, 0x1.552c69f5defccp-24, 0x1.454664e127a04p-22, 0x1.184512e4e0d11p-21, 0x1.8b9421aaa1cd3p-21, 0x1.fc9936d9fb009p-21, 0x1.35ae87c7dc55cp-20, 0x1.6bf426f3ec2c7p-20, 0x1.a121bc846a503p-20, 0x1.d53b7e8c7572p-20, 0x1.0422cad5ee1c1p-19, 0x1.1d220e8a02632p-19, 0x1.359d9148c8927p-19, 0x1.4d975349adb83p-19, 0x1.65114e1add3a1p-19, 0x1.7c0d74ada2372p-19, 0x1.928db3592f75cp-19, 0x1.a893efe42d4f9p-19, 0x1.be220990b631fp-19, 0x1.d339d9238b4a6p-19, 0x1.e7dd30f082035p-19, 0x1.fc0ddce252077p-19, 0x1.07e6d1457ef67p-18, 0x1.118f2096047e2p-18, 0x1.1b00b8e1ea878p-18, 0x1.243c738e6717p-18, 0x1.2d4326ed41a16p-18, 0x1.3615a641e6ad6p-18, 0x1.3eb4c1cb2a7f4p-18, 0x1.472146c8d2091p-18, 0x1.4f5bff8351f19p-18, 0x1.5765b353e6f41p-18, 0x1.5f3f26ab9c6fbp-18, 0x1.66e91b1b9097p-18, 0x1.6e644f5cf3733p-18, 0x1.75b17f58f656ap-18, 0x1.7cd16430c51c8p-18, 0x1.83c4b4453d1cdp-18, 0x1.8a8c233f81339p-18, 0x1.91286219a6478p-18, 0x1.979a1f26db3b3p-18, 0x1.9de2061aff99p-18, 0x1.a400c014ce01dp-18, 0x1.a9f6f3a447f42p-18, 0x1.afc544d464ddep-18, 0x1.b56c5532d44e7p-18, 0x1.baecc3d97fc7fp-18, 0x1.c0472d75ba3b8p-18, 0x1.c57c2c50fa1c9p-18, 0x1.ca8c5859e957bp-18, 0x1.cf78472cc655bp-18, 0x1.d4408c1b20b39p-18, 0x1.d8e5b833c1804p-18, 0x1.dd685a4cd561dp-18, 0x1.e1c8ff0a4b63dp-18, 0x1.e60830e6ffbd4p-18, 0x1.ea26783d0a605p-18, 0x1.ee245b4ca4f7dp-18, 0x1.f2025e4697569p-18, 0x1.f5c10351d2daap-18, 0x1.f960ca954d98bp-18, 0x1.fce2323e2f973p-18, 0x1.0022db445f3a5p-17, 0x1.01c5e8e3f8bddp-17, 0x1.035a7e3680fcp-17, 0x1.04e0d687b7901p-17, 0x1.06592c39d6386p-17, 0x1.07c3b8c9c6635p-17, 0x1.0920b4d297c7ap-17, 0x1.0a70581120353p-17, 0x1.0bb2d967bcd41p-17, 0x1.0ce86ee1e1ac5p-17, 0x1.0e114db76a326p-17, 0x1.0f2daa5055ea7p-17, 0x1.103db84805807p-17, 0x1.1141aa7157b01p-17, 0x1.1239b2d8cea26p-17, 0x1.132602c89f94p-17, 0x1.1406cacc161dap-17, 0x1.14dc3ab28dda4p-17, 0x1.15a68192876f3p-17, 0x1.1665cdcd204bdp-17, 0x1.171a4d10cc52dp-17, 0x1.17c42c5cc25cdp-17, 0x1.18639803b8544p-17, 0x1.18f8bbaef7859p-17, }}, 
      {{-0x1.e5baabc803498p-1, -0x1.e5a73d291c8f4p-1, -0x1.e5852b644132ep-1, -0x1.e5524fad6ea6ap-1, -0x1.e50c325069824p-1, -0x1.e4b0560b3b631p-1, -0x1.e43c7232cef16p-1, -0x1.e3ae9a906ff2fp-1, -0x1.e30556cf548bap-1, -0x1.e23fac85aabdp-1, -0x1.e15d1f1e5ce31p-1, -0x1.e05da8a114d0cp-1, -0x1.df41add89e145p-1, -0x1.de09efd0061dap-1, -0x1.dcb77c221acb2p-1, -0x1.db4b9d2dc2116p-1, -0x1.d9c7caed43ca7p-1, -0x1.d82d9ced3f0bcp-1, -0x1.d67ebdae76e4p-1, -0x1.d4bcdf98d669bp-1, -0x1.d2e9b38b44596p-1, -0x1.d106e100ca093p-1, -0x1.cf15ffb678637p-1, -0x1.cd1892b4e95e3p-1, -0x1.cb10049b21f17p-1, -0x1.c8fda50628b3p-1, -0x1.c6e2a6f018493p-1, -0x1.c4c01fe25d557p-1, -0x1.c29707d8ad18ap-1, -0x1.c06839b4cd6c8p-1, -0x1.be3474262fb5ap-1, -0x1.bbfc5aeb8234p-1, -0x1.b9c078577e9efp-1, -0x1.b7813f054f583p-1, -0x1.b53f0babd2cf3p-1, -0x1.b2fa2701b337ep-1, -0x1.b0b2c7a6c7c1cp-1, -0x1.ae6914095f121p-1, -0x1.ac1d24400f306p-1, -0x1.a9cf03d25106cp-1, -0x1.a77eb36ba647dp-1, -0x1.a52c2a764099ap-1, -0x1.a2d7589b2b668p-1, -0x1.a0802726cf775p-1, -0x1.9e267a515c728p-1, -0x1.9bca326b27dd9p-1, -0x1.996b2ced8d0b9p-1, -0x1.970945711d1efp-1, -0x1.94a4568a3acaap-1, -0x1.923c3a8d5dd2ep-1, -0x1.8fd0cc3c5f072p-1, -0x1.8d61e75e3b477p-1, -0x1.8aef6942c13ap-1, -0x1.88793133a3095p-1, -0x1.85ff20d459ddep-1, -0x1.83811c7240337p-1, -0x1.80ff0b463e7adp-1, -0x1.7e78d7a94f0c8p-1, -0x1.7bee6f3d13e2bp-1, -0x1.795fc309a3ab2p-1, -0x1.76ccc791a0dacp-1, -0x1.743574dd9f57cp-1, -0x1.7199c67fc6386p-1, -0x1.6ef9bb9090c0bp-1, -0x1.6c5556a57762cp-1, -0x1.69ac9dc2478d2p-1, -0x1.66ff9a45d2109p-1, -0x1.644e58d297751p-1, -0x1.6198e9340604cp-1, -0x1.5edf5e40cdee2p-1, -0x1.5c21cdbacb08dp-1, -0x1.5960502cf5b52p-1, -0x1.569b00c7bd925p-1, -0x1.53d1fd3c3139dp-1, -0x1.51056596410e8p-1, -0x1.4e355c167008ap-1, -0x1.4b62050b3081p-1, -0x1.488b86aa2f647p-1, -0x1.45b208e9c02b5p-1, -0x1.42d5b55aa01dep-1, -0x1.3ff6b70232c3ap-1, -0x1.3d153a3567a5ap-1, -0x1.3a316c746204bp-1, -0x1.374b7c47014d7p-1, -0x1.3463991a65ff1p-1, -0x1.3179f31f81173p-1, -0x1.2e8ebb2ac51aap-1, -0x1.2ba2229501beap-1, -0x1.28b45b1d7845ap-1, -0x1.25c596cd307ap-1, -0x1.22d607db9122ep-1, -0x1.1fe5e094452f2p-1, -0x1.1cf5533e68c08p-1, -0x1.1a049205043e6p-1, -0x1.1713cee0d0d3p-1, -0x1.14233b8341b3fp-1, -0x1.11330942d2a6fp-1, -0x1.0e43690892167p-1, -0x1.0b548b3ee4115p-1, -0x1.08669fc173a8cp-1, -0x1.0579d5ce4d9cbp-1, -0x1.028e5bf81bfbcp-1, -0x1.ff48c032ee8fep-2, -0x1.f9781e928faffp-2, -0x1.f3ab2ba054186p-2, -0x1.ede23e3d9dec2p-2, -0x1.e81dab8a99d2fp-2, -0x1.e25dc6d6aec87p-2, -0x1.dca2e192a93e8p-2, -0x1.d6ed4b448b237p-2, -0x1.d13d517cec21dp-2, -0x1.cb933fcddce71p-2, -0x1.c5ef5fc32dc6cp-2, -0x1.c051f8dc15a6bp-2, -0x1.babb508614b29p-2, -0x1.b52baa1911f5cp-2, -0x1.afa346d4903c6p-2, -0x1.aa2265ddf9c9ap-2, -0x1.a4a9443fe5dddp-2, -0x1.9f381cea4c2b6p-2, -0x1.99cf28b396d68p-2, -0x1.946e9e5a839a7p-2, -0x1.8f16b288c20cdp-2, -0x1.89c797d646a3p-2, -0x1.84817ecd4234bp-2, -0x1.7f4495eead445p-2, -0x1.7a1109b763187p-2, -0x1.74e704a5b7194p-2, -0x1.6fc6af3f85535p-2, -0x1.6ab03018a50dbp-2, -0x1.65a3abd9bfa6dp-2, -0x1.60a145477c53p-2, -0x1.5ba91d49f8d26p-2, -0x1.56bb52f485e18p-2, -0x1.51d8038da28eap-2, -0x1.4cff4a9727efbp-2, -0x1.483141d6a7dcap-2, -0x1.436e015df02abp-2, -0x1.3eb59f93ad92ap-2, -0x1.3a08313c2d5fcp-2, -0x1.3565c9823197ap-2, -0x1.30ce79ffd6498p-2, -0x1.2c4252c785d1p-2, -0x1.27c1626ceedbap-2, -0x1.234bb60e02c96p-2, -0x1.1ee1595bf2bb8p-2, -0x1.1a8256a426ebep-2, -0x1.162eb6d92fdb9p-2, -0x1.11e6819baf26cp-2, -0x1.0da9bd433326cp-2, -0x1.09786ee6ffaa7p-2, -0x1.05529a66cc20fp-2, -0x1.013842736841bp-2, -0x1.fa52d12e9d592p-3, -0x1.f24c1a7e41569p-3, -0x1.ea5c5f840c7b2p-3, -0x1.e2839cd3f3d46p-3, -0x1.dac1ccf7e6468p-3, -0x1.d316e87ff63bp-3, -0x1.cb82e6123b2e7p-3, -0x1.c405ba7a87434p-3, -0x1.bc9f58b9d12f8p-3, -0x1.b54fb21567a0cp-3, -0x1.ae16b625e70dcp-3, -0x1.a6f452e5e7678p-3, -0x1.9fe874c07340ep-3, -0x1.98f3069f318e8p-3, -0x1.9213f1f857fc3p-3, -0x1.8b4b1edc58a6bp-3, -0x1.8498740347b42p-3, -0x1.7dfbd6da051cfp-3, -0x1.77752b8f247b6p-3, -0x1.7104551f8bd9fp-3, -0x1.6aa93562d7926p-3, -0x1.6463ad177c33ep-3, -0x1.5e339beea12a6p-3, -0x1.5818e097c0764p-3, -0x1.521358cc038aap-3, -0x1.4c22e1596298cp-3, -0x1.4647562d7f3fep-3, -0x1.4080926048b37p-3, -0x1.3ace703e58a1cp-3, -0x1.3530c9531a736p-3, -0x1.2fa77672b090dp-3, -0x1.2a324fc3a4017p-3, -0x1.24d12cc84e8c3p-3, -0x1.1f83e46815595p-3, -0x1.1a4a4cf8627c6p-3, -0x1.15243c456b79fp-3, -0x1.1011879ab6b5cp-3, -0x1.0b1203cb73241p-3, -0x1.0625853a96cdbp-3, -0x1.014bdfe2c1843p-3, -0x1.f909cebbe5733p-4, -0x1.efa0ddda0fdc1p-4, -0x1.e65c92fe0e6f9p-4, -0x1.dd3c93707111cp-4, -0x1.d44083f217e14p-4, -0x1.cb6808c9a27d1p-4, -0x1.c2b2c5d07b038p-4, -0x1.ba205e7f83d4bp-4, -0x1.b1b075fb70e2fp-4, -0x1.a962af20b06d2p-4, -0x1.a136ac8f1463p-4, -0x1.992c10b51269ep-4, -0x1.91427ddab2f44p-4, -0x1.8979962c2aacep-4, -0x1.81d0fbc4226e7p-4, -0x1.7a4850b5aa6fep-4, -0x1.72df3715dfdb4p-4, -0x1.6b955105430e7p-4, -0x1.646a40b8bd753p-4, -0x1.5d5da882629b2p-4, -0x1.566f2ad9de60fp-4, -0x1.4f9e6a64a0dfep-4, -0x1.48eb09fdbf5bp-4, -0x1.4254acbd91494p-4, -0x1.3bdaf601061fbp-4, -0x1.357d8970bb3f8p-4, -0x1.2f3c0b07cc3ap-4, -0x1.29161f1a6608fp-4, -0x1.230b6a5c17f48p-4, -0x1.1d1b91e5e8a8ep-4, -0x1.17463b3c2e6d3p-4, -0x1.118b0c542b30ap-4, -0x1.0be9ab996e896p-4, -0x1.0661bff2ffeedp-4, -0x1.00f2f0c851b74p-4, -0x1.f739cc0bf5764p-5, -0x1.ecbe90447cb8bp-5, -0x1.e2738042be25fp-5, -0x1.d857ef337d521p-5, -0x1.ce6b316f96e4dp-5, -0x1.c4ac9c8380424p-5, -0x1.bb1b87366076bp-5, -0x1.b1b74990d50afp-5, -0x1.a87f3ce356177p-5, -0x1.9f72bbcc45317p-5, -0x1.9691223da94f3p-5, -0x1.8dd9cd828f8bfp-5, -0x1.854c1c4422086p-5, -0x1.7ce76e8e683d7p-5, -0x1.74ab25d4c1ff4p-5, -0x1.6c96a4f60f1c7p-5, -0x1.64a95040909fap-5, -0x1.5ce28d7582fdep-5, -0x1.5541c3cc72418p-5, -0x1.4dc65bf648898p-5, -0x1.466fc0201c273p-5, -0x1.3f3d5bf5be65bp-5, -0x1.382e9ca40b574p-5, -0x1.3142f0daf66e9p-5, -0x1.2a79c8cf6b772p-5, -0x1.23d2963ce49c5p-5, -0x1.1d4ccc66d6ebfp-5, -0x1.16e7e019de75fp-5, -0x1.10a347acc0e6cp-5, -0x1.0a7e7b013182p-5, -0x1.0478f3846e683p-5, -0x1.fd24585f4df43p-6, -0x1.f1934310743e3p-6, -0x1.e63da33f87fc7p-6, -0x1.db227827fca74p-6, -0x1.d040c41cfeb29p-6, -0x1.c5978c88947c3p-6, -0x1.bb25d9ea6f01ep-6, -0x1.b0eab7d67925ep-6, -0x1.a6e534f3198b7p-6, -0x1.9d1462f72cad3p-6, -0x1.937756a7bee9bp-6, -0x1.8a0d27d585d38p-6, -0x1.80d4f15a180fp-6, -0x1.77cdd114ef021p-6, -0x1.6ef6e7e82440fp-6, -0x1.664f59b506df8p-6, -0x1.5dd64d586bccp-6, -0x1.558aeca6d7763p-6, -0x1.4d6c646871472p-6, -0x1.4579e454c68b4p-6, -0x1.3db29f0e6810bp-6, -0x1.3615ca1e524a9p-6, -0x1.2ea29def394eep-6, -0x1.275855c8a5ae3p-6, -0x1.20362fc9ea97dp-6, -0x1.193b6ce5062dbp-6, -0x1.126750d94ba88p-6, -0x1.0bb9222e03a27p-6, -0x1.05302a2cdf585p-6, -0x1.fd9769b8b1d68p-7, -0x1.f11621f3dcac5p-7, -0x1.e4db1fe8a5135p-7, -0x1.d8e50bcaf548dp-7, -0x1.cd3293192eef5p-7, -0x1.c1c2688fff207p-7, -0x1.b693441e08471p-7, -0x1.aba3e2d75ab71p-7, -0x1.a0f306e8df31ep-7, -0x1.967f778ba10dp-7, -0x1.8c4800f7e9e67p-7, -0x1.824b74585920ep-7, -0x1.7888a7bcdf398p-7, -0x1.6efe760d9a27bp-7, -0x1.65abbefdac1bfp-7, -0x1.5c8f66fdfa515p-7, -0x1.53a8572fe4d5cp-7, -0x1.4af57d57e22cbp-7, -0x1.4275cbd028982p-7, -0x1.3a28397b3f994p-7, -0x1.320bc1b6862e9p-7, -0x1.2a1f644cc4302p-7, -0x1.22622568af49bp-7, -0x1.1ad30d876d23ap-7, -0x1.1371296b1be1ep-7, -0x1.0c3b8a0d5789bp-7, -0x1.05314491c7fd5p-7, -0x1.fca2e47156566p-8, -0x1.ef3660a2dc073p-8, -0x1.e21b405a98182p-8, -0x1.d54fce23e2669p-8, -0x1.c8d25c5859586p-8, -0x1.bca1450557e5ep-8, -0x1.b0bae9d17c874p-8, -0x1.a51db3e27006bp-8, -0x1.99c813c2845afp-8, -0x1.8eb88146bfdf5p-8, -0x1.83ed7b74ceef2p-8, -0x1.79658869399e9p-8, -0x1.6f1f353db1a8cp-8, -0x1.651915ef826cfp-8, -0x1.5b51c5463b2f2p-8, -0x1.51c7e4ba67241p-8, -0x1.487a1c5c88325p-8, -0x1.3f671abc3f056p-8, -0x1.368d94cf7c21dp-8, -0x1.2dec45da17b6ep-8, -0x1.2581ef557109cp-8, -0x1.1d4d58d841f2fp-8, -0x1.154d4ffebafb5p-8, -0x1.0d80a852bd065p-8, -0x1.05e63b34532a2p-8, -0x1.fcf9cf84ae0fcp-9, -0x1.ee872586b163fp-9, -0x1.e0724d1d67376p-9, -0x1.d2b925eba6c4ep-9, -0x1.c5599a5b877cep-9, -0x1.b8519f71e3fb2p-9, -0x1.ab9f34a227db7p-9, -0x1.9f4063a2d1b3cp-9, -0x1.9333404236eb4p-9, -0x1.8775e83bd0edcp-9, -0x1.7c06830e0758fp-9, -0x1.70e341d0579cp-9, -0x1.660a5f0a07146p-9, -0x1.5b7a1e893b0fp-9, -0x1.5130cd3aadd9ap-9, -0x1.472cc101b1841p-9, -0x1.3d6c5890b53c6p-9, -0x1.33edfb424cb58p-9, -0x1.2ab018f2bb48ap-9, -0x1.21b129d9d8997p-9, -0x1.18efae657ce57p-9, -0x1.106a2f147a10bp-9, -0x1.081f3c51e0b1ap-9, -0x1.000d6e50e6ae3p-9, -0x1.f066c9d2761eep-10, -0x1.e11f8ee779d1bp-10, -0x1.d242894f9b404p-10, -0x1.c3cd24f1e4098p-10, -0x1.b5bcdbea16cd2p-10, -0x1.a80f3645fbc5ep-10, -0x1.9ac1c9c386b03p-10, -0x1.8dd2398ff7c3dp-10, -0x1.813e3607d0597p-10, -0x1.75037c77fd2f3p-10, -0x1.691fd6df551e6p-10, -0x1.5d911bb1ae44dp-10, -0x1.52552d9b37dbcp-10, -0x1.4769fb452934bp-10, -0x1.3ccd7f1b283c3p-10, -0x1.327dbf1178651p-10, -0x1.2878cc6c322a2p-10, -0x1.1ebcc3873575ep-10, -0x1.1547cb9f14dd8p-10, -0x1.0c18169ad3669p-10, -0x1.032be0d659427p-10, -0x1.f502e1dbddbe1p-11, -0x1.e42e2f14c0218p-11, -0x1.d3d65e5c4b23dp-11, -0x1.c3f83806372a9p-11, -0x1.b4909752a36bbp-11, -0x1.a59c6a0ca88a5p-11, -0x1.9718b02b29dd8p-11, -0x1.89027b72a937ep-11, -0x1.7b56ef1921b9ap-11, -0x1.6e133f6ae4b15p-11, -0x1.6134b17179b24p-11, -0x1.54b89a9bba25ap-11, -0x1.489c60676f43fp-11, -0x1.3cdd780c89e26p-11, -0x1.317966297b61ep-11, -0x1.266dbe719487ep-11, -0x1.1bb8235c0c534p-11, -0x1.115645d505c05p-11, -0x1.0745e4efe9923p-11, -0x1.fb099b356dd04p-12, -0x1.e821b4a608caap-12, -0x1.d5cfe5b8a63b3p-12, -0x1.c41017ef5163ep-12, -0x1.b2de4e38c9ce1p-12, -0x1.a236a464ab47p-12, -0x1.92154e9aa1e25p-12, -0x1.827698d37d2b1p-12, -0x1.7356e6554164ep-12, -0x1.64b2b13134cefp-12, -0x1.568689c4ab03p-12, -0x1.48cf163c19cc3p-12, -0x1.3b891218394fep-12, -0x1.2eb14db5f77cep-12, -0x1.2244add83f682p-12, -0x1.16402b340ea11p-12, -0x1.0aa0d1ff18e69p-12, -0x1.fec783002749bp-13, -0x1.e90c57432b5cap-13, -0x1.d40aa90d4afedp-13, -0x1.bfbd2443b6931p-13, -0x1.ac1e979bfffe1p-13, -0x1.9929f3d2b9f24p-13, -0x1.86da4ae453301p-13, -0x1.752acf4ba9725p-13, -0x1.6416d342ec1fbp-13, -0x1.5399c809789b6p-13, -0x1.43af3d2c855b4p-13, -0x1.3452dfd407a87p-13, -0x1.25807a130faf6p-13, -0x1.1733f23b7088ep-13, -0x1.09694a3551dcdp-13, -0x1.f8393db35c0ap-14, -0x1.de944ea220825p-14, -0x1.c5dc68e841fa9p-14, -0x1.ae0a6062b17dbp-14, -0x1.971739e84b9e1p-14, -0x1.80fc2a20e26f5p-14, -0x1.6bb2946189e6p-14, -0x1.5734098ebfea4p-14, -0x1.437a47052c5cfp-14, -0x1.307f358783fc5p-14, -0x1.1e3ce832dd388p-14, -0x1.0cad9b78f00b3p-14, -0x1.f797683d3916bp-15, -0x1.d7237c82111ap-15, -0x1.b7f4d8c0c51a8p-15, -0x1.9a012cdc85d53p-15, -0x1.7d3e71c72bd55p-15, -0x1.61a2e7b2d448dp-15, -0x1.47251450006dap-15, -0x1.2dbbc115a38cfp-15, -0x1.155df990f4ab8p-15, -0x1.fc06138152e23p-16, -0x1.cf44f8f1d8945p-16, -0x1.a468339d10949p-16, -0x1.7b5fcb1de3767p-16, -0x1.541c3b7b0778cp-16, -0x1.2e8e723547943p-16, -0x1.0aa7cb66e350ep-16, -0x1.d0b41de8fc923p-17, -0x1.8f2edb960331ap-17, -0x1.50a4fe605bdbp-17, -0x1.14fc7c47272dep-17, -0x1.b8381b2a9917bp-18, -0x1.4bd64fc654d05p-18, -0x1.c947e4a57fc79p-19, -0x1.04e58be993908p-19, -0x1.28af5d3da3101p-21, 0x1.9cf137418ede4p-21, 0x1.0fa7609f7a12ap-19, 0x1.af67581db1d3ap-19, 0x1.2365db2bdef09p-18, 0x1.6b10cc7206368p-18, 0x1.aed9e499ee13p-18, 0x1.eee5663c49a2ap-18, 0x1.15ab3cc2d4f6p-17, 0x1.322799e83c069p-17, 0x1.4cf84f7e281efp-17, 0x1.662d6056be4d9p-17, 0x1.7dd650a7d20acp-17, 0x1.94022978eb5fap-17, 0x1.a8bf7bfd7873bp-17, 0x1.bc1c64dbfe59p-17, 0x1.ce268f59845b4p-17, 0x1.deeb38798ee35p-17, 0x1.ee773206fcfbcp-17, 0x1.fcd6e58a3988ap-17, 0x1.050b2b951278ap-16, 0x1.0b20944190f22p-16, 0x1.10b14db038bc7p-16, 0x1.15c2ca36ef59ap-16, 0x1.1a5a4eea2288cp-16, 0x1.1e7cf4e27db7ap-16, 0x1.222faa7b74dedp-16, 0x1.257734893ea6ep-16, 0x1.28582f87e58a3p-16, 0x1.2ad710c01b823p-16, 0x1.2cf8276836d72p-16, 0x1.2ebf9dba65b06p-16, 0x1.30317a07c84a9p-16, 0x1.31519fc08a718p-16, 0x1.3223d076b24cap-16, 0x1.32abacdc76e41p-16, 0x1.32ecb5b854deep-16, 0x1.32ea4cd4fc67dp-16, 0x1.32a7b5eabd18ep-16, 0x1.32281782f3ccap-16, 0x1.316e7bd5318cp-16, 0x1.307dd19f3b1d3p-16, 0x1.2f58ecf59a3fbp-16, 0x1.2e0288121785bp-16, 0x1.2c7d4418e0e88p-16, 0x1.2acba9da2d15bp-16, 0x1.28f02a909addcp-16, 0x1.26ed2096b443ep-16, 0x1.24c4d01a9d2d1p-16, 0x1.227967cbe461ep-16, 0x1.200d018412868p-16, 0x1.1d81a2ec550bp-16, 0x1.1ad93e1c658ffp-16, 0x1.1815b236a170dp-16, 0x1.1538cc0049b76p-16, 0x1.12444674188aep-16, 0x1.0f39cb51b9a9fp-16, 0x1.0c1af3a9fcdccp-16, 0x1.08e94865fe92cp-16, 0x1.05a642ca3f44bp-16, 0x1.02534cf738ce3p-16, 0x1.fde384cd1934cp-17, 0x1.f705e0c67e15p-17, 0x1.f0102d00bd3dp-17, 0x1.e904ce1433a1ap-17, 0x1.e1e60eed564eap-17, 0x1.dab621a109352p-17, 0x1.d377204177aeap-17, 0x1.cc2b0da809dp-17, 0x1.c4d3d63bdac7cp-17, 0x1.bd7350b333d0dp-17, 0x1.b60b3ecd1ce35p-17, 0x1.ae9d4e077fbb7p-17, 0x1.a72b184f8ce74p-17, 0x1.9fb624ac2d87fp-17, 0x1.983fe7e4492e9p-17, 0x1.90c9c51fab6bep-17, 0x1.89550e83eb994p-17, 0x1.81e305cc5aa78p-17, 0x1.7a74dcdcff986p-17, 0x1.730bb651a32ap-17, 0x1.6ba8a6086d527p-17, 0x1.644cb1a924ec7p-17, 0x1.5cf8d126b5bccp-17, 0x1.55adef3dc4bf6p-17, 0x1.4e6ce9f01cd4ep-17, 0x1.473692fb147dap-17, 0x1.400bb04b40b0fp-17, 0x1.38ecfc6c2acb5p-17, 0x1.31db26f51c8b9p-17, 0x1.2ad6d4f170c33p-17, 0x1.23e0a147076fdp-17, 0x1.1cf91d17e7c5ap-17, 0x1.1620d02300d4dp-17, 0x1.0f58391fbce5bp-17, 0x1.089fce18a9ed7p-17, 0x1.01f7fcc101fbap-17, 0x1.f6c25593b57ap-18, 0x1.e9b76c65748ccp-18, 0x1.dccfeb31c03cbp-18, 0x1.d00c710633fap-18, 0x1.c36d8f57249dp-18, 0x1.b6f3ca8e84de4p-18, 0x1.aa9f9a963d11bp-18, 0x1.9e716b5cb1e28p-18, 0x1.92699d57b2588p-18, 0x1.868885ffe4862p-18, 0x1.7ace704a0d21bp-18, 0x1.6f3b9d1be6a0fp-18, 0x1.63d043bc3b2b4p-18, 0x1.588c924056e5dp-18, 0x1.4d70adf5da264p-18, 0x1.427cb3c7bc529p-18, 0x1.37b0b8a10fbcep-18, 0x1.2d0cc9cb5f172p-18, 0x1.2290ed4abe0cp-18, 0x1.183d2235f56eap-18, 0x1.0e11610c41fd2p-18, 0x1.040d9c06b517fp-18, 0x1.f4637ed149057p-19, 0x1.e0fb639735552p-19, 0x1.cde2a8d3e59f9p-19, 0x1.bb1906cab08edp-19, 0x1.a89e2c17fdc53p-19, 0x1.9671be34a9c5dp-19, 0x1.849359f598c34p-19, 0x1.730294073fd63p-19, 0x1.61bef963328cp-19, 0x1.50c80fc262ca7p-19, 0x1.401d560ad4d36p-19, 0x1.2fbe44b8d665ep-19, 0x1.1faa4e438c98ep-19, 0x1.0fe0df7fda036p-19, 0x1.00615ffd8c1adp-19, 0x1.e25664c40cc8fp-20, 0x1.c47b697c44bb1p-20, 0x1.a73081c25b099p-20, 0x1.8a74595503f8ep-20, 0x1.6e4594a7754cep-20, 0x1.52a2d178bf5d9p-20, 0x1.378aa75fcba7cp-20, 0x1.1cfba852db98ep-20, 0x1.02f461284aedfp-20, 0x1.d2e6b4283cecfp-21, 0x1.a0ee2e3a9ac4p-21, 0x1.6ffc3126313dcp-21, 0x1.400db6ed91fa1p-21, 0x1.111fb3d034fe4p-21, 0x1.c65e2e188ae95p-22, 0x1.6c71973a123e1p-22, 0x1.147371eb1967fp-22, 0x1.7cbb0ea24457cp-23, 0x1.a8a670b23cff8p-24, 0x1.7d17208df75aap-26, -0x1.c589bc7b189ebp-25, -0x1.0ec943e88f9e7p-23, -0x1.a89e1c9bda644p-23, -0x1.1f76bc8fc6f27p-22, -0x1.68e1ea80a7df3p-22, -0x1.b096d2d2be152p-22, -0x1.f69bac3eb04bep-22, -0x1.1d7b545a88953p-21, -0x1.3ed6fa4ccb882p-21, -0x1.5f63dafe148b2p-21, -0x1.7f2505f4624c2p-21, -0x1.9e1d86dfa9caap-21, -0x1.bc506549133bp-21, -0x1.d9c0a44539c22p-21, -0x1.f67142347d9c3p-21, -0x1.09329c3c12655p-20, -0x1.16cfbd9c50ed5p-20, -0x1.24117c949212dp-20, -0x1.30f94da8e7b39p-20, -0x1.3d88a26d9b695p-20, -0x1.49c0e97013219p-20, -0x1.55a38e20c58ffp-20, -0x1.6131f8be019dcp-20, -0x1.6c6d8e3eed301p-20, -0x1.7757b046a9902p-20, -0x1.81f1bd0ff5e8fp-20, -0x1.8c3d0f605bc1dp-20, -0x1.963afe7a9f8c1p-20, -0x1.9fecde140f99fp-20, -0x1.a953fe46884c2p-20, -0x1.b271ab88dc3edp-20, -0x1.bb472ea55963p-20, -0x1.c3d5ccb1753e3p-20, -0x1.cc1ec7078248ap-20, -0x1.d4235b41d7624p-20, -0x1.dbe4c335582d5p-20, -0x1.e36434edc96c5p-20, -0x1.eaa2e2a9c1133p-20, -0x1.f1a1fad9e36fp-20, -0x1.f862a81e9e135p-20, -0x1.fee61147dbc2bp-20, -0x1.0296aca9da774p-19, -0x1.059ccfb85252ap-19, -0x1.0885ff7e8cf28p-19, -0x1.0b52c7c4b7b6fp-19, -0x1.0e03b26d5d044p-19, -0x1.10994776e9f27p-19, -0x1.13140cfceff7fp-19, -0x1.1574873a9255fp-19, -0x1.17bb388c6897fp-19, -0x1.19e8a172c96a3p-19, -0x1.1bfd409448bdcp-19, -0x1.1df992c0aa5fp-19, -0x1.1fde12f377bc8p-19, -0x1.21ab3a5755108p-19, -0x1.23618048f2cfdp-19, -0x1.25015a5aa927cp-19, -0x1.268b3c57cdbadp-19, -0x1.27ff9848882fep-19, -0x1.295ede7520713p-19, -0x1.2aa97d6ab40d3p-19, -0x1.2bdfe1fe59ccap-19, -0x1.2d027751fa3dcp-19, -0x1.2e11a6d78a596p-19, -0x1.2f0dd855f39e8p-19, -0x1.2ff771ed162bfp-19, -0x1.30ced819c88bap-19, -0x1.31946dba890afp-19, -0x1.3248941474d2ep-19, -0x1.32ebaad75e2f2p-19, -0x1.337e10221ec86p-19, -0x1.34002087a12f4p-19, -0x1.3472371356409p-19, -0x1.34d4ad4dd250ap-19, -0x1.3527db4188e3ap-19, -0x1.356c177f49905p-19, -0x1.35a1b72377158p-19, -0x1.35c90dda29282p-19, -0x1.35e26de3f3b35p-19, -0x1.35ee281ac9c3dp-19, -0x1.35ec8bf6edb57p-19, -0x1.35dde7934b8p-19, -0x1.35c287b2399f6p-19, -0x1.359ab7c286a7ep-19, -0x1.3566c1e3e8533p-19, -0x1.3526eeeb98ab6p-19, -0x1.34db8669230eap-19, -0x1.3484ceaade304p-19, -0x1.34230cc2d279ap-19, -0x1.33b6848a9617bp-19, -0x1.333f78a887862p-19, -0x1.32be2a9437ffap-19, -0x1.3232da9ad39ffp-19, -0x1.319dc7e3b67d3p-19, -0x1.30ff3074927fp-19, -0x1.305751362304cp-19, -0x1.2fa665f885779p-19, -0x1.2eeca9775c3f6p-19, -0x1.2e2a555e380c8p-19, -0x1.2d5fa24cfb5d3p-19, -0x1.2c8cc7dbb3162p-19, -0x1.2bb1fc9f0abf4p-19, -0x1.2acf762be51ffp-19, -0x1.29e5691c2a696p-19, -0x1.28f409127593p-19, -0x1.27fb88be1a7d2p-19, -0x1.26fc19df13dd8p-19, -0x1.25f5ed49f93ep-19, -0x1.24e932ebec555p-19, -0x1.23d619ce1e095p-19, -0x1.22bcd019e2675p-19, -0x1.219d831c3e4bep-19, -0x1.20785f499fb2fp-19, -0x1.1f4d90415cf62p-19, -0x1.1e1d40d16bf5cp-19, -0x1.1ce79af9a0338p-19, -0x1.1bacc7ef9deefp-19, -0x1.1a6cf02201c4ap-19, -0x1.19283b3bbfa46p-19, -0x1.17ded0278b00cp-19, -0x1.1690d51312079p-19, -0x1.153e6f72535eep-19, -0x1.13e7c402c0007p-19, -0x1.128cf6ce7ba27p-19, -0x1.112e2b2f4a1dap-19, -0x1.0fcb83d1cc60cp-19, -0x1.0e6522b8367f8p-19, -0x1.0cfb293d6eac1p-19, -0x1.0b8db81813fa7p-19, -0x1.0a1cef5d2d84ap-19, -0x1.08a8ee835209dp-19, -0x1.0731d4651fbb6p-19, -0x1.05b7bf440c3cap-19, -0x1.043acccb22308p-19, -0x1.02bb1a11aa065p-19, -0x1.0138c39db9695p-19, -0x1.ff67cacda10c2p-20, -0x1.fc5935b0b996dp-20, -0x1.f945fda873e18p-20, -0x1.f62e576a17926p-20, -0x1.f31276a10c6fep-20, -0x1.eff28df41988p-20, -0x1.eccecf09dce32p-20, -0x1.e9a76a8d74c9fp-20, -0x1.e67c9032d6091p-20, -0x1.e34e6ebaf6649p-20, -0x1.e01d33f8c8e1p-20, -0x1.dce90cd4b334ep-20, -0x1.d9b22551869bep-20, -0x1.d678a88fed367p-20, -0x1.d33cc0d2e8a7ap-20, -0x1.cffe97838252cp-20, -0x1.ccbe5534cfc3cp-20, -0x1.c97c21a7b9fc3p-20, -0x1.c63823ce7af6ap-20, -0x1.c2f281d0b7f6bp-20, -0x1.bfab610f14f46p-20, -0x1.bc62e626b346bp-20, -0x1.b91934f47ebb6p-20, -0x1.b5ce7098d5c2bp-20, -0x1.b282bb7ad7ae2p-20, -0x1.af36374bad2b6p-20, -0x1.abe90509a3c7fp-20, -0x1.a89b4503cbbd7p-20, -0x1.a54d16dc9f036p-20, -0x1.a1fe998d5fb1cp-20, -0x1.9eafeb68cce94p-20, -0x1.9b612a1e4b05bp-20, -0x1.981272bccc679p-20, -0x1.94c3e1b5a8f26p-20, -0x1.917592df58b88p-20, -0x1.8e27a17862882p-20, -0x1.8ada2829daa37p-20, -0x1.878d410a1fba7p-20, }}, 
      {{-0x1.67741617dd94ep-17, -0x1.a71d3e6fac4b9p-15, -0x1.25a28b9255d9p-13, -0x1.436ed0b15a833p-12, -0x1.3405949fc1c4dp-11, -0x1.08271f71433efp-10, -0x1.a238b4f26ee6ep-10, -0x1.36d136f63c5f9p-9, -0x1.b703acc89794dp-9, -0x1.294c2f32b376cp-8, -0x1.84c99334cbbbap-8, -0x1.ed995dd7b6dbdp-8, -0x1.31854ed413ed1p-7, -0x1.7217e15d61c44p-7, -0x1.b7f8ba6ba99a5p-7, -0x1.0147ce2161d22p-6, -0x1.289f548160377p-6, -0x1.51b3f8256d923p-6, -0x1.7c38deb42e9fbp-6, -0x1.a7e4ecf5370efp-6, -0x1.d473fc536c873p-6, -0x1.00d3dd67f1a13p-5, -0x1.17a42347850c8p-5, -0x1.2e9248b81fdb2p-5, -0x1.45894aba8321fp-5, -0x1.5c77b025e38acp-5, -0x1.734f7d79af7acp-5, -0x1.8a0618ec303ebp-5, -0x1.a09420da7160dp-5, -0x1.b6f536cf3c20ep-5, -0x1.cd27c16ccea1fp-5, -0x1.e32ca7900c01bp-5, -0x1.f90706fc57f94p-5, -0x1.075df46166223p-4, -0x1.1228fab40d9f9p-4, -0x1.1ce8954707455p-4, -0x1.27a149cec6a7ep-4, -0x1.3258035085eap-4, -0x1.3d11f3193c2d6p-4, -0x1.47d4748b31faep-4, -0x1.52a4f3edba005p-4, -0x1.5d88d84d70e2cp-4, -0x1.68857062f63c3p-4, -0x1.739fe26283861p-4, -0x1.7edd1e87fe804p-4, -0x1.8a41d428b2733p-4, -0x1.95d2690d6e199p-4, -0x1.a192f2d4a2aa4p-4, -0x1.ad87321bcb84p-4, -0x1.b9b28f315da56p-4, -0x1.c6181813dcd45p-4, -0x1.d2ba7f8793481p-4, -0x1.df9c1d11b7a6fp-4, -0x1.ecbeedada01a2p-4, -0x1.fa24951685ecep-4, -0x1.03e72fc2eba3dp-3, -0x1.0adea1e5f0ae8p-3, -0x1.11f8f2d675534p-3, -0x1.19364c38de701p-3, -0x1.2096b0cf0d321p-3, -0x1.2819fde17376fp-3, -0x1.2fbfecb24945cp-3, -0x1.378813f830df7p-3, -0x1.3f71e95e6a051p-3, -0x1.477cc3096f89bp-3, -0x1.4fa7d91f2c162p-3, -0x1.57f2475252e28p-3, -0x1.605b0e709364cp-3, -0x1.68e115f35c4e1p-3, -0x1.71832d92fad32p-3, -0x1.7a400edbbd678p-3, -0x1.83165ec4ab185p-3, -0x1.8c04af4748f0bp-3, -0x1.950980f7b916cp-3, -0x1.9e23449c64ebep-3, -0x1.a7505cc4412c5p-3, -0x1.b08f1f5aa42cep-3, -0x1.b9ddd7378bf0dp-3, -0x1.c33ac5ab1931cp-3, -0x1.cca424031d13fp-3, -0x1.d61825095e152p-3, -0x1.df94f6796a05ep-3, -0x1.e918c26cbb081p-3, -0x1.f2a1b0bc07247p-3, -0x1.fc2de85499f5bp-3, -0x1.02ddc84064224p-2, -0x1.07a469113f409p-2, -0x1.0c69ec6f91a6cp-2, -0x1.112d6a1e0d541p-2, -0x1.15edfc55a30e9p-2, -0x1.1aaac0438e6a1p-2, -0x1.1f62d67ef4911p-2, -0x1.24156375fe80ep-2, -0x1.28c18fd25cb03p-2, -0x1.2d6688d52e68ap-2, -0x1.320380aa5d19p-2, -0x1.3697aeb37f6b2p-2, -0x1.3b224fca666acp-2, -0x1.3fa2a67b83cd5p-2, -0x1.4417fb3863679p-2, -0x1.48819c82716f7p-2, -0x1.4cdedf0e58be2p-2, -0x1.512f1de0491e1p-2, -0x1.5571ba6170692p-2, -0x1.59a61c6f0c805p-2, -0x1.5dcbb263606fdp-2, -0x1.61e1f118fa42ep-2, -0x1.65e853e89f4a8p-2, -0x1.69de5ca242ad1p-2, -0x1.6dc3938169a37p-2, -0x1.7197871d5a312p-2, -0x1.7559cc5574378p-2, -0x1.7909fe3a16f74p-2, -0x1.7ca7bdf267e2fp-2, -0x1.8032b29f5950fp-2, -0x1.83aa893c45ee7p-2, -0x1.870ef47d6f3cap-2, -0x1.8a5facacb70eep-2, -0x1.8d9c6f84d6e21p-2, -0x1.90c5000b61247p-2, -0x1.93d92669cf474p-2, -0x1.96d8afc5dc5f5p-2, -0x1.99c36e1961fd6p-2, -0x1.9c993809f8c4fp-2, -0x1.9f59e8c08458p-2, -0x1.a2055fc0dd9b6p-2, -0x1.a49b80c1c74e2p-2, -0x1.a71c33855176cp-2, -0x1.a98763b1caddcp-2, -0x1.abdd00ab63c72p-2, -0x1.ae1cfd6e9bdb6p-2, -0x1.b047506b8f7cfp-2, -0x1.b25bf3623af74p-2, -0x1.b45ae33fc4ae6p-2, -0x1.b6441ffcdb81ap-2, -0x1.b817ac7d337dbp-2, -0x1.b9d58e70293a9p-2, -0x1.bb7dce329672bp-2, -0x1.bd1076b1d0597p-2, -0x1.be8d954fe148ep-2, -0x1.bff539c8edf11p-2, -0x1.c1477619cbc0fp-2, -0x1.c2845e67c737p-2, -0x1.c3ac08e98b95cp-2, -0x1.c4be8dd131441p-2, -0x1.c5bc073760d03p-2, -0x1.c6a4910789b4dp-2, -0x1.c77848ed1ecd2p-2, -0x1.c8374e41d2c0ap-2, -0x1.c8e1c1fcc4905p-2, -0x1.c977c6a2968f2p-2, -0x1.c9f980366140ep-2, -0x1.ca67142b76b1p-2, -0x1.cac0a957ed04bp-2, -0x1.cb0667e7e0e35p-2, -0x1.cb38795166798p-2, -0x1.cb5708491b73bp-2, -0x1.cb6240b75195ep-2, -0x1.cb5a4fadc1396p-2, -0x1.cb3f635dbeda6p-2, -0x1.cb11ab0ee4c16p-2, -0x1.cad157162477fp-2, -0x1.ca7e98cd3cf43p-2, -0x1.ca19a28a8454fp-2, -0x1.c9a2a79900c79p-2, -0x1.c919dc30c529p-2, -0x1.c87f756f88958p-2, -0x1.c7d3a95175633p-2, -0x1.c716aeaa21e46p-2, -0x1.c648bd1dae8bdp-2, -0x1.c56a0d1a08927p-2, -0x1.c47ad7d03e344p-2, -0x1.c37b572dedc1ap-2, -0x1.c26bc5d6bdec5p-2, -0x1.c14c5f1de57ap-2, -0x1.c01d5effb366bp-2, -0x1.bedf021b20441p-2, -0x1.bd9185ab57ad7p-2, -0x1.bc352781430ebp-2, -0x1.baca25fd0cefbp-2, -0x1.b950c0079b04cp-2, -0x1.b7c9350bffe2fp-2, -0x1.b633c4f0e064p-2, -0x1.b490b011cf5ddp-2, -0x1.b2e0373897c19p-2, -0x1.b1229b967e604p-2, -0x1.af581ebd72174p-2, -0x1.ad81029933315p-2, -0x1.ab9d896868bf1p-2, -0x1.a9adf5b5ad242p-2, -0x1.a7b28a508d723p-2, -0x1.a5ab8a467dc58p-2, -0x1.a39938dbc464dp-2, -0x1.a17bd9845cf71p-2, -0x1.9f53afdcd27c4p-2, -0x1.9d20ffa31784p-2, -0x1.9ae40caf55284p-2, -0x1.989d1aecbd1b5p-2, -0x1.964c6e5255febp-2, -0x1.93f24adbcbaf7p-2, -0x1.918ef48243872p-2, -0x1.8f22af3531ef4p-2, -0x1.8cadbed33af32p-2, -0x1.8a30672315e5cp-2, -0x1.87aaebcc822f1p-2, -0x1.851d905142b1ap-2, -0x1.828898062b38ep-2, -0x1.7fec460c3aa82p-2, -0x1.7d48dd49cc794p-2, -0x1.7a9ea063d84ddp-2, -0x1.77edd1b749405p-2, -0x1.7536b3526e473p-2, -0x1.727986ee80245p-2, -0x1.6fb68de9437aap-2, -0x1.6cee093ec8cb9p-2, -0x1.6a20398344a57p-2, -0x1.674d5edd0c525p-2, -0x1.6475b8feb0df9p-2, -0x1.61998721379d7p-2, -0x1.5eb907fe7bf5ap-2, -0x1.5bd479cbb0ec9p-2, -0x1.58ec1a3406424p-2, -0x1.5600265376eafp-2, -0x1.5310dab1bd5a4p-2, -0x1.501e733d6bde9p-2, -0x1.4d292b4730f7ep-2, -0x1.4a313d7d42d2ep-2, -0x1.4736e3e6f41b1p-2, -0x1.443a57e074586p-2, -0x1.413bd216b68edp-2, -0x1.3e3b8a8387cf9p-2, -0x1.3b39b869ccedbp-2, -0x1.38369251eed1fp-2, -0x1.35324e066c30cp-2, -0x1.322d20909f254p-2, -0x1.2f273e35a66cbp-2, -0x1.2c20da737fe3cp-2, -0x1.291a27fe4a98cp-2, -0x1.261358bdb5ba6p-2, -0x1.230c9dca9b811p-2, -0x1.2006276cc4ffbp-2, -0x1.1d002518dacfcp-2, -0x1.19fac56e7c725p-2, -0x1.16f63636841bep-2, -0x1.13f2a46174b93p-2, -0x1.10f03c060e376p-2, -0x1.0def28600ab2bp-2, -0x1.0aef93cf064eep-2, -0x1.07f1a7d5895d8p-2, -0x1.04f58d183f5fep-2, -0x1.01fb6b5d4cd32p-2, -0x1.fe06d317a10c6p-3, -0x1.f81b5b570e7b9p-3, -0x1.f234b9c9226c3p-3, -0x1.ec5336febcb04p-3, -0x1.e67719c973522p-3, -0x1.e0a0a73bf3568p-3, -0x1.dad022aa9c6cfp-3, -0x1.d505cdac621e3p-3, -0x1.cf41e81be627p-3, -0x1.c984b018d5ac3p-3, -0x1.c3ce62097b367p-3, -0x1.be1f389c8d5e9p-3, -0x1.b8776ccb37883p-3, -0x1.b2d735db5059cp-3, -0x1.ad3ec961cdc6dp-3, -0x1.a7ae5b4567b94p-3, -0x1.a2261dc165d41p-3, -0x1.9ca64168a9068p-3, -0x1.972ef528d4c9ap-3, -0x1.91c0664dac43ap-3, -0x1.8c5ac08497e1p-3, -0x1.86fe2de04e1dap-3, -0x1.81aad6dcabccep-3, -0x1.7c60e262a5e45p-3, -0x1.772075cc6ac6p-3, -0x1.71e9b4e999889p-3, -0x1.6cbcc2039f117p-3, -0x1.6799bde230369p-3, -0x1.6280c7cfe2a91p-3, -0x1.5d71fd9edbddep-3, -0x1.586d7bad9cfcap-3, -0x1.53735cebe4ccbp-3, -0x1.4e83badfab23dp-3, -0x1.499eadaa2c2abp-3, -0x1.44c44c0d0c421p-3, -0x1.3ff4ab6f8bbd3p-3, -0x1.3b2fdfe3c9907p-3, -0x1.3675fc2c1959ap-3, -0x1.31c711c05f913p-3, -0x1.2d2330d388ff1p-3, -0x1.288a6858fa45dp-3, -0x1.23fcc60a18ef5p-3, -0x1.1f7a566bd63c2p-3, -0x1.1b0324d444811p-3, -0x1.16973b702e46ep-3, -0x1.1236a348b8d9ap-3, -0x1.0de16449089ap-3, -0x1.09978543e54edp-3, -0x1.05590bf96905p-3, -0x1.0125fd1ca0dc2p-3, -0x1.f9fcb8b287a1dp-4, -0x1.f1c458b2a7139p-4, -0x1.e9a2dd958f643p-4, -0x1.e19848ca64971p-4, -0x1.d9a499dec47a9p-4, -0x1.d1c7ce8a067f8p-4, -0x1.ca01e2b862ef1p-4, -0x1.c252d0961f686p-4, -0x1.baba909aa6415p-4, -0x1.b33919938a8dap-4, -0x1.abce60af8a639p-4, -0x1.a47a59896df13p-4, -0x1.9d3cf632e30d7p-4, -0x1.9616273f38f11p-4, -0x1.8f05dbce11bbfp-4, -0x1.880c0195f4d6bp-4, -0x1.812884eecf62dp-4, -0x1.7a5b50dc59c08p-4, -0x1.73a44f1867f78p-4, -0x1.6d03681d19ef3p-4, -0x1.6678832ef49a4p-4, -0x1.60038666e0ec8p-4, -0x1.59a456bc09bd6p-4, -0x1.535ad80da1be7p-4, -0x1.4d26ed2c84521p-4, -0x1.470877e4c1fb3p-4, -0x1.40ff590702ed9p-4, -0x1.3b0b7071d1b18p-4, -0x1.352c9d1ac23e6p-4, -0x1.2f62bd17785c6p-4, -0x1.29adada68e2edp-4, -0x1.240d4b385a5f6p-4, -0x1.1e8171778e00ep-4, -0x1.1909fb51bade9p-4, -0x1.13a6c2ffaedfp-4, -0x1.0e57a20dac91ap-4, -0x1.091c71638a672p-4, -0x1.03f5094ca04ddp-4, -0x1.fdc282ff3d389p-5, -0x1.f3c1e24c77a32p-5, -0x1.e9e7ddc97c8a1p-5, -0x1.e03421c2c7c48p-5, -0x1.d6a659974cb75p-5, -0x1.cd3e2fc6b36ecp-5, -0x1.c3fb4dff58261p-5, -0x1.badd5d2beef96p-5, -0x1.b1e405810030cp-5, -0x1.a90eee89fbb08p-5, -0x1.a05dbf3618581p-5, -0x1.97d01de4f2a27p-5, -0x1.8f65b072cdb09p-5, -0x1.871e1c44a63b8p-5, -0x1.7ef90653ed91p-5, -0x1.76f6133a0e60dp-5, -0x1.6f14e73b9fe97p-5, -0x1.675526535b92p-5, -0x1.5fb6743cc9559p-5, -0x1.5838747eb2d48p-5, -0x1.50daca75446adp-5, -0x1.499d195bf871fp-5, -0x1.427f045739536p-5, -0x1.3b802e7dc4fa3p-5, -0x1.34a03ae1cf2ddp-5, -0x1.2ddecc99e4975p-5, -0x1.273b86c98c559p-5, -0x1.20b60ca9ad672p-5, -0x1.1a4e0190b0e03p-5, -0x1.140308fa6f59fp-5, -0x1.0dd4c68fda79cp-5, -0x1.07c2de2e6dd33p-5, -0x1.01ccf3ef6236fp-5, -0x1.f7e5585d565a5p-6, -0x1.ec6757236f21fp-6, -0x1.e11f2e1bef88ep-6, -0x1.d60c27de67608p-6, -0x1.cb2d8fbb36e74p-6, -0x1.c082b1c76860ep-6, -0x1.b60adae806ccdp-6, -0x1.abc558dd08f1dp-6, -0x1.a1b17a4be5281p-6, -0x1.97ce8ec9ab667p-6, -0x1.8e1be6e4d8f12p-6, -0x1.8498d42ea7092p-6, -0x1.7b44a9440ce85p-6, -0x1.721eb9d667aa9p-6, -0x1.69265ab3ab4bp-6, -0x1.605ae1ce5d72p-6, -0x1.57bba6450e146p-6, -0x1.4f480069a0ed6p-6, -0x1.46ff49c812acep-6, -0x1.3ee0dd2d198f1p-6, -0x1.36ec16ac4b821p-6, -0x1.2f2053a61526bp-6, -0x1.277cf2cd34f75p-6, -0x1.2001542c209edp-6, -0x1.18acd929e8d46p-6, -0x1.117ee48ef51bcp-6, -0x1.0a76da897168fp-6, -0x1.039420b15c10dp-6, -0x1.f9ac3c18fa696p-7, -0x1.ec787623bc38p-7, -0x1.df8bc35a67c69p-7, -0x1.d2e4fa83e8a3p-7, -0x1.c682f55c3381fp-7, -0x1.ba649099945c8p-7, -0x1.ae88abf1594cfp-7, -0x1.a2ee2a1c0cd3dp-7, -0x1.9793f0d95e7d1p-7, -0x1.8c78e8f35d00cp-7, -0x1.819bfe418bccep-7, -0x1.76fc1fab61f7fp-7, -0x1.6c983f2a69802p-7, -0x1.626f51cc0478p-7, -0x1.58804fb2d5507p-7, -0x1.4eca3417c1cd5p-7, -0x1.454bfd4a89306p-7, -0x1.3c04acb22d7eep-7, -0x1.32f346ccdc6cbp-7, -0x1.2a16d32f978a5p-7, -0x1.216e5c859cd63p-7, -0x1.18f8f08f5a355p-7, -0x1.10b5a0213e4d9p-7, -0x1.08a37f221ef9cp-7, -0x1.00c1a4896d5b9p-7, -0x1.f21e54ba4ddf4p-8, -0x1.e3165b5ef85d4p-8, -0x1.d4699d3868f1p-8, -0x1.c616608bc0133p-8, -0x1.b81af1a59805dp-8, -0x1.aa75a2d37f1f1p-8, -0x1.9d24cc5ceb878p-8, -0x1.9026cc7be732cp-8, -0x1.837a0755536a1p-8, -0x1.771ce6f097286p-8, -0x1.6b0ddb2f5fc2ap-8, -0x1.5f4b59c482e9fp-8, -0x1.53d3de2b0a56ap-8, -0x1.48a5e99c7b432p-8, -0x1.3dc00307373bfp-8, -0x1.3320b704388ddp-8, -0x1.28c697cce8519p-8, -0x1.1eb03d304f85ep-8, -0x1.14dc44884bd1ep-8, -0x1.0b4950ae6f464p-8, -0x1.01f609f0af249p-8, -0x1.f1c23c0b95bfap-9, -0x1.e012800347d3p-9, -0x1.ceda50928cce8p-9, -0x1.be17290d6eb78p-9, -0x1.adc68f39dc51dp-9, -0x1.9de613361ba54p-9, -0x1.8e734f6066e05p-9, -0x1.7f6be83d031abp-9, -0x1.70cd8c5cce709p-9, -0x1.6295f44371cacp-9, -0x1.54c2e24d11bcdp-9, -0x1.475222945fa67p-9, -0x1.3a418ad7f22f6p-9, -0x1.2d8efa5f9d331p-9, -0x1.213859e2112adp-9, -0x1.153b9b69aecedp-9, -0x1.0996ba39b5e8fp-9, -0x1.fc8f756657133p-10, -0x1.e6995473d1884p-10, -0x1.d1473e326ae7ep-10, -0x1.bc9570d190ac8p-10, -0x1.a8803be2d7e22p-10, -0x1.950400234c95bp-10, -0x1.821d2f455b83fp-10, -0x1.6fc84bb9f9003p-10, -0x1.5e01e87a04a81p-10, -0x1.4cc6a8d033123p-10, -0x1.3c134022c4d29p-10, -0x1.2be471bc60d1fp-10, -0x1.1c371097b636ep-10, -0x1.0d07ff276c8cdp-10, -0x1.fca85e4417a43p-11, -0x1.e03142970217p-11, -0x1.c4a4ca7f63053p-11, -0x1.a9fd327b2b996p-11, -0x1.9034d3e41fd41p-11, -0x1.77462486cfd48p-11, -0x1.5f2bb638da496p-11, -0x1.47e0367115b78p-11, -0x1.315e6de010398p-11, -0x1.1ba140088316p-11, -0x1.06a3aad839a0bp-11, -0x1.e4c18c87333e5p-12, -0x1.bda787bd82372p-12, -0x1.97efdcf582c43p-12, -0x1.73915380b56adp-12, -0x1.5082e39be9589p-12, -0x1.2ebbb5a998b2fp-12, -0x1.0e33217046d24p-12, -0x1.ddc15aae8dd1bp-13, -0x1.a1781b504553bp-13, -0x1.677a47a2600e7p-13, -0x1.2fb7fb508fa0ep-13, -0x1.f44352be50f94p-14, -0x1.8d50357621eafp-14, -0x1.2a78d999eeaa7p-14, -0x1.974040277690bp-15, -0x1.c2a6348e106afp-16, -0x1.979458b7c22fdp-18, 0x1.d05fa124eb68bp-17, 0x1.140184992f649p-15, 0x1.acfe5dddc93dp-15, 0x1.1fa0ae5462e0ep-14, 0x1.657e21b32b002p-14, 0x1.a82fd9c532477p-14, 0x1.e7cd995e3ad17p-14, 0x1.12374bfac0a48p-13, 0x1.2f14c213cc45fp-13, 0x1.4a8a431899f76p-13, 0x1.64a2a13488f9bp-13, 0x1.7d686dd2e0bbcp-13, 0x1.94e5fad15fae8p-13, 0x1.ab255bb19271dp-13, 0x1.c03066bf5865p-13, 0x1.d410b63a6dee8p-13, 0x1.e6cfa977043c4p-13, 0x1.f87665fea1f8ep-13, 0x1.0486ec552a519p-12, 0x1.0c4f5b5d2cb03p-12, 0x1.1398bf744044p-12, 0x1.1a673d3ca3c26p-12, 0x1.20bedf22a4058p-12, 0x1.26a395e1ebe03p-12, 0x1.2c1939074ddfcp-12, 0x1.31238770c4effp-12, 0x1.35c627cb723c4p-12, 0x1.3a04a910e2dedp-12, 0x1.3de2830166cefp-12, 0x1.4163169ce64dbp-12, 0x1.4489ae99e61a2p-12, 0x1.47597fda9e0c7p-12, 0x1.49d5a9e0ff3a5p-12, 0x1.4c01373ebbc96p-12, 0x1.4ddf1e0716127p-12, 0x1.4f72403b85f5fp-12, 0x1.50bd6c388fbbp-12, 0x1.51c35d205583bp-12, 0x1.5286bb439f97ep-12, 0x1.530a1c8852b5bp-12, 0x1.535004cf667b8p-12, 0x1.535ae65893b39p-12, 0x1.532d2224aa8cbp-12, 0x1.52c90855be6e6p-12, 0x1.5230d88d795f3p-12, 0x1.5166c24bdbf49p-12, 0x1.506ce5492d873p-12, 0x1.4f4551d127337p-12, 0x1.4df2091a90adap-12, 0x1.4c74fd9f3de94p-12, 0x1.4ad0137019b1ap-12, 0x1.4905208a7b462p-12, 0x1.4715ed2970963p-12, 0x1.450434170796p-12, 0x1.42d1a2fbae095p-12, 0x1.407fdaac63904p-12, 0x1.3e106f771e88bp-12, 0x1.3b84e96de7467p-12, 0x1.38dec4b0d2291p-12, 0x1.361f71b5ff0a9p-12, 0x1.33485590fc67dp-12, 0x1.305aca385c767p-12, 0x1.2d581eca1dd8p-12, 0x1.2a4197ce8d628p-12, 0x1.27186f7a2c294p-12, 0x1.23ddd5ee1bab6p-12, 0x1.2092f1779743fp-12, 0x1.1d38decd9f15p-12, 0x1.19d0b14dfd37p-12, 0x1.165b7338cba6dp-12, 0x1.12da25ead16a1p-12, 0x1.0f4dc216b4365p-12, 0x1.0bb737fd1cc76p-12, 0x1.08176fa3c723ap-12, 0x1.046f490b65228p-12, 0x1.00bf9c63d3c2p-12, 0x1.fa127480d701bp-13, 0x1.f299d7942d237p-13, 0x1.eb16e5e291c27p-13, 0x1.e38b153bbda9ap-13, 0x1.dbf7cdbef52ccp-13, 0x1.d45e6a3695cb1p-13, 0x1.ccc0387332532p-13, 0x1.c51e79a58a4c1p-13, 0x1.bd7a62b4d24fep-13, 0x1.b5d51c941c1edp-13, 0x1.ae2fc4961929ap-13, 0x1.a68b6cbeb8911p-13, 0x1.9ee91c124dbedp-13, 0x1.9749cee489f44p-13, 0x1.8fae772433c9p-13, 0x1.8817fca5db408p-13, 0x1.80873d6d60225p-13, 0x1.78fd0df4d2145p-13, 0x1.717a397206243p-13, 0x1.69ff821b7578cp-13, 0x1.628da16a24b49p-13, 0x1.5b25485abb472p-13, 0x1.53c71fae15705p-13, 0x1.4c73c825f5ab9p-13, 0x1.452bdac2d1d4cp-13, 0x1.3defe8fee1be3p-13, 0x1.36c07d078922ep-13, 0x1.2f9e19f623126p-13, 0x1.28893c076178cp-13, 0x1.218258d0cf445p-13, 0x1.1a89df75a2e7dp-13, 0x1.13a038d9c9ffap-13, 0x1.0cc5c7d499fd9p-13, 0x1.05fae960f3cf9p-13, 0x1.fe7fe99a852f8p-14, 0x1.f12a77d3fe629p-14, 0x1.e3f6166d358e8p-14, 0x1.d6e3541da3cf9p-14, 0x1.c9f2b5a8d3834p-14, 0x1.bd24b63466e24p-14, 0x1.b079c799a4e37p-14, 0x1.a3f252b476659p-14, 0x1.978eb7b2b7d57p-14, 0x1.8b4f4e5ed8024p-14, 0x1.7f34666aec658p-14, 0x1.733e47b796d31p-14, 0x1.676d329b50388p-14, 0x1.5bc160258ab5ap-14, 0x1.503b02622df5dp-14, 0x1.44da4499ddb84p-14, 0x1.399f4b9173b31p-14, 0x1.2e8a35c72eea5p-14, 0x1.239b1bae35624p-14, 0x1.18d20fe91d382p-14, 0x1.0e2f1f81ed083p-14, 0x1.03b2522240e5bp-14, 0x1.f2b7548edacdep-15, 0x1.de564aef5d235p-15, 0x1.ca4178e8061c6p-15, 0x1.b678c6d31059ap-15, 0x1.a2fc1442eeb68p-15, 0x1.8fcb385f867b4p-15, 0x1.7ce6023fc4c68p-15, 0x1.6a4c3941bbd1ap-15, 0x1.57fd9d6029481p-15, 0x1.45f9e7842e663p-15, 0x1.3440c9d75c0adp-15, 0x1.22d1f00fabc7cp-15, 0x1.11acffbd02059p-15, 0x1.00d19891b7fap-15, 0x1.e07ea954c6208p-16, 0x1.bfeb91a69ae35p-16, 0x1.9fe90994e43fep-16, 0x1.8076270214e67p-16, 0x1.6191f6b664a5fp-16, 0x1.433b7cd993188p-16, 0x1.2571b56887c95p-16, 0x1.083394a8cdfefp-16, 0x1.d7000f31de7abp-17, 0x1.9eabe8b392c66p-17, 0x1.6768752f75f76p-17, 0x1.313367e189887p-17, 0x1.f814d153bbcadp-18, 0x1.8fd62995452ecp-18, 0x1.29a5ff3eb4356p-18, 0x1.8afecd36921acp-19, 0x1.8d758b6365c2dp-20, 0x1.9d73afbf5ec16p-25, -0x1.6bb49be364803p-20, -0x1.6e3fe162a5f2dp-19, -0x1.1162aa7e34f76p-18, -0x1.69ba941cd14afp-18, -0x1.c02cf74a36c5p-18, -0x1.0a5f935926801p-17, -0x1.33bb3e77b0a3cp-17, -0x1.5c2c2dc6e294p-17, -0x1.83b5150f91c67p-17, -0x1.aa58aaab2d4dbp-17, -0x1.d019a71090bfap-17, -0x1.f4fac46d526cep-17, -0x1.0c7f5f1e77d88p-16, -0x1.1e142873bafe6p-16, -0x1.2f3d1cae9d148p-16, -0x1.3ffb9a608989p-16, -0x1.505100070045fp-16, -0x1.603eabe139066p-16, -0x1.6fc5fbc9029c6p-16, -0x1.7ee84d09d7358p-16, -0x1.8da6fc3df8d09p-16, -0x1.9c0365292149bp-16, -0x1.a9fee296d4a8fp-16, -0x1.b79ace3a89fafp-16, -0x1.c4d8808f2e6d9p-16, -0x1.d1b950ba41522p-16, -0x1.de3e9470086d5p-16, -0x1.ea699fd6d0b96p-16, -0x1.f63bc56e146fp-16, -0x1.00db2afabba1ap-15, -0x1.066d502b0aebbp-15, -0x1.0bd4f8c59c098p-15, -0x1.1112ca46ffa6cp-15, -0x1.16276920548d1p-15, -0x1.1b1378ae37bf1p-15, -0x1.1fd79b2f77afep-15, -0x1.247471bcd3e4dp-15, -0x1.28ea9c4073177p-15, -0x1.2d3ab96f1255dp-15, -0x1.316566c04cd42p-15, -0x1.356b4068860a9p-15, -0x1.394ce152217acp-15, -0x1.3d0ae317fcea8p-15, -0x1.40a5ddffefaa7p-15, -0x1.441e68f5a7887p-15, -0x1.47751986197a8p-15, -0x1.4aaa83db0d4f4p-15, -0x1.4dbf3ab76a7b4p-15, -0x1.50b3cf72f29fbp-15, -0x1.5388d1f79c8f5p-15, -0x1.563ed0be16cabp-15, -0x1.58d658caf9728p-15, -0x1.5b4ff5acc1fcbp-15, -0x1.5dac31795187dp-15, -0x1.5feb94cc290e9p-15, -0x1.620ea6c488c77p-15, -0x1.6415ed045c29fp-15, -0x1.6601ebaee2941p-15, -0x1.67d325679ffdcp-15, -0x1.698a1b51c54b1p-15, -0x1.6b274d0ff5359p-15, -0x1.6cab38c367cd3p-15, -0x1.6e165b0c2d1fcp-15, -0x1.6f692f090258fp-15, -0x1.70a42e57f6c58p-15, -0x1.71c7d1168734ep-15, -0x1.72d48de23492ep-15, -0x1.73cad9d9611f5p-15, -0x1.74ab289c45c92p-15, -0x1.7575ec4de6d1p-15, -0x1.762b9595225dp-15, -0x1.76cc939e3f4f3p-15, -0x1.7759541c58715p-15, -0x1.77d2434acfe9bp-15, -0x1.7837cbef0abfp-15, -0x1.788a575a16bdep-15, -0x1.78ca4d6ade52dp-15, -0x1.78f8149000e05p-15, -0x1.791411c9b86a5p-15, -0x1.791ea8ac4f5e8p-15, -0x1.79183b6244377p-15, -0x1.79012aae8d31p-15, -0x1.78d9d5ef3f6cap-15, -0x1.78a29b1fd52bp-15, -0x1.785bd6dbe18d1p-15, -0x1.7805e4616ef11p-15, -0x1.77a11d93ea8bdp-15, -0x1.772ddafef1617p-15, -0x1.76ac73d8e7902p-15, -0x1.761d3e05cab03p-15, -0x1.75808e1a313e6p-15, -0x1.74d6b75e39ceep-15, -0x1.74200bd0856cp-15, -0x1.735cdc29129c4p-15, -0x1.728d77dc62a11p-15, -0x1.71b22d1e8ae3cp-15, -0x1.70cb48e634bc1p-15, -0x1.6fd916efc5ec7p-15, -0x1.6edbe1c0adde5p-15, -0x1.6dd3f2aa48f1bp-15, -0x1.6cc191cd3fbd2p-15, -0x1.6ba5061caf2e4p-15, -0x1.6a7e956140731p-15, -0x1.694e843c68e1cp-15, -0x1.6815162bcb06p-15, -0x1.66d28d8c5aca8p-15, -0x1.65872b9d7e085p-15, -0x1.6433308479d3ep-15, -0x1.62d6db4f7f981p-15, -0x1.617269f9138a5p-15, -0x1.6006196b4a696p-15, -0x1.5e9225830006ap-15, -0x1.5d16c912e17efp-15, -0x1.5b943de6f4d5p-15, -0x1.5a0abcc7afc61p-15, -0x1.587a7d7d2833dp-15, -0x1.56e3b6d25dc64p-15, -0x1.55469e984ddedp-15, -0x1.53a369a94ee1ap-15, -0x1.51fa4bec15bfdp-15, -0x1.504b7856f4c9dp-15, -0x1.4e9720f2df6c8p-15, -0x1.4cdd76deae6b8p-15, -0x1.4b1eaa5237123p-15, -0x1.495aeaa15ecb1p-15, -0x1.4792663f0dedp-15, -0x1.45c54ac07f7d6p-15, -0x1.43f3c4e0219dep-15, -0x1.421e00809f68dp-15, -0x1.404428afe17p-15, -0x1.3e6667a9f5028p-15, }}, 
      {{-0x1.d435d44a1fc32p-7, -0x1.d076a6e2a0d27p-6, -0x1.5826fd676c6f3p-5, -0x1.c40b1b1722f69p-5, -0x1.15d5783d0a9aep-4, -0x1.4796536376a76p-4, -0x1.777963489b782p-4, -0x1.a5bdf3c5acebap-4, -0x1.d2a564c52592ep-4, -0x1.fe6b473237326p-4, -0x1.14a06d8f8ea5dp-3, -0x1.29a58dafda988p-3, -0x1.3e5148ca3e26p-3, -0x1.52aa2838d83d2p-3, -0x1.66b1cc1ed9936p-3, -0x1.7a65e5cc8e09bp-3, -0x1.8dc13b2170768p-3, -0x1.a0bc9e6068ee3p-3, -0x1.b34fcdcab1c8bp-3, -0x1.c572340d7fb4dp-3, -0x1.d71b869e975efp-3, -0x1.e84441f50b5c3p-3, -0x1.f8e6056cc0135p-3, -0x1.047de8e8d6b95p-2, -0x1.0c41171c8550cp-2, -0x1.13bb9b8b01a9dp-2, -0x1.1aed4dbc7dc2cp-2, -0x1.21d6c61c9fc2cp-2, -0x1.2879503d28e3p-2, -0x1.2ed6d94e7323ap-2, -0x1.34f1dc20e7ac9p-2, -0x1.3acd4bcd223f3p-2, -0x1.406c7decda62ep-2, -0x1.45d3151eeefb6p-2, -0x1.4b04ec65c5211p-2, -0x1.500603c96352p-2, -0x1.54da6e864a7c1p-2, -0x1.598642f6d9303p-2, -0x1.5e0d8c4ee42e2p-2, -0x1.62743e2f596d6p-2, -0x1.66be2a0a207a3p-2, -0x1.6aeef64402abp-2, -0x1.6f0a16fb1c79cp-2, -0x1.7312c85357b71p-2, -0x1.770c0a2789aabp-2, -0x1.7af89cfc60f81p-2, -0x1.7edb001238b12p-2, -0x1.82b570739c13p-2, -0x1.8689e8dfccf77p-2, -0x1.8a5a22727215ap-2, -0x1.8e2795ebdc004p-2, -0x1.91f37d7f9bd3bp-2, -0x1.95bed7119a91p-2, -0x1.998a66cc4538bp-2, -0x1.9d56b9fcaff17p-2, -0x1.a1242a23c73a6p-2, -0x1.a4f2e02db7b1p-2, -0x1.a8c2d7c29221p-2, -0x1.ac93e2a4fcbep-2, -0x1.b065ac1543aabp-2, -0x1.b437bc30936a7p-2, -0x1.b8097b4564834p-2, -0x1.bbda35173ad22p-2, -0x1.bfa91c0ce9fe6p-2, -0x1.c3754c4556639p-2, -0x1.c73dce8f8af55p-2, -0x1.cb019b43930dap-2, -0x1.cebf9cfa28eb9p-2, -0x1.d276b321ca16dp-2, -0x1.d625b4702fef2p-2, -0x1.d9cb712f96ddfp-2, -0x1.dd66b5678b995p-2, -0x1.e0f64ae1418cap-2, -0x1.e478fb07b7734p-2, -0x1.e7ed90a423f84p-2, -0x1.eb52d9774f49cp-2, -0x1.eea7a7b0ab67ap-2, -0x1.f1ead344175b9p-2, -0x1.f51b3b1f5c45ap-2, -0x1.f837c64081acp-2, -0x1.fb3f64ae2f8eap-2, -0x1.fe3110535e6c7p-2, -0x1.0085e6dfcf51bp-1, -0x1.01e75666a8debp-1, -0x1.033c6497937e9p-1, -0x1.0484a5731cd96p-1, -0x1.05bfb3511512ap-1, -0x1.06ed2f06467a5p-1, -0x1.080cc0008194bp-1, -0x1.091e1459a5b2ep-1, -0x1.0a20e0e24bb22p-1, -0x1.0b14e124b24f7p-1, -0x1.0bf9d76089f46p-1, -0x1.0ccf8c80370dep-1, -0x1.0d95d0081c826p-1, -0x1.0e4c78007cc4fp-1, -0x1.0ef360da781a9p-1, -0x1.0f8a6d50a8b66p-1, -0x1.10118643d95b4p-1, -0x1.10889a944a9f8p-1, -0x1.10ef9ef7f5df2p-1, -0x1.11468dce38839p-1, -0x1.118d66f147498p-1, -0x1.11c42f85c965cp-1, -0x1.11eaf1c8ef88dp-1, -0x1.1201bcdd5939p-1, -0x1.1208a49713462p-1, -0x1.11ffc146f50dfp-1, -0x1.11e72f859babfp-1, -0x1.11bf0ffe3ee67p-1, -0x1.1187873995b8cp-1, -0x1.1140bd68fbf42p-1, -0x1.10eade3203d9fp-1, -0x1.1086187a9d3e4p-1, -0x1.10129e35f643cp-1, -0x1.0f90a43233d07p-1, -0x1.0f0061e720bddp-1, -0x1.0e621145eadaep-1, -0x1.0db5ee8a011a1p-1, -0x1.0cfc380b2b8bfp-1, -0x1.0c352e10e4d98p-1, -0x1.0b6112a7085f3p-1, -0x1.0a802973db112p-1, -0x1.0992b78f7a27ap-1, -0x1.0899035cb2a73p-1, -0x1.07935463493f3p-1, -0x1.0681f32bb0bc2p-1, -0x1.0565291c3259cp-1, -0x1.043d405787bdcp-1, -0x1.030a839ce0713p-1, -0x1.01cd3e29550d8p-1, -0x1.0085bb9abea67p-1, -0x1.fe688fa7e2b27p-2, -0x1.fbb25dc49ee27p-2, -0x1.f8e979c966c2cp-2, -0x1.f60e7be749d1fp-2, -0x1.f321fc15a6eaep-2, -0x1.f02491e79a592p-2, -0x1.ed16d463d2c67p-2, -0x1.e9f959debb695p-2, -0x1.e6ccb7d6ea4dep-2, -0x1.e39182d3bc4adp-2, -0x1.e0484e4611005p-2, -0x1.dcf1ac6b0ced6p-2, -0x1.d98e2e30d62dcp-2, -0x1.d61e631d32cd2p-2, -0x1.d2a2d935f638p-2, -0x1.cf1c1ceb3097dp-2, -0x1.cb8ab90305b79p-2, -0x1.c7ef36871eaf5p-2, -0x1.c44a1cb3a36d5p-2, -0x1.c09bf0e7a8526p-2, -0x1.bce53697015dbp-2, -0x1.b9266f3d6b13ap-2, -0x1.b5601a52f2bp-2, -0x1.b192b54197edep-2, -0x1.adbebb5c0e709p-2, -0x1.a9e4a5d599f85p-2, -0x1.a604ebbaee83dp-2, -0x1.a22001ec0ce3dp-2, -0x1.9e365b170a2a7p-2, -0x1.9a4867b3ba7bp-2, -0x1.965696002b70bp-2, -0x1.926151fde9b5bp-2, -0x1.8e69057001144p-2, -0x1.8a6e17d9b14a9p-2, -0x1.8670ee7dc7cbbp-2, -0x1.8271ec5e98458p-2, -0x1.7e71723e89ce3p-2, -0x1.7a6fdea12e9b6p-2, -0x1.766d8dccdfaa7p-2, -0x1.726ad9ccd0ea5p-2, -0x1.6e681a7399f1dp-2, -0x1.6a65a55e29248p-2, -0x1.6663cdf71b8f1p-2, -0x1.6262e57a718f9p-2, -0x1.5e633af99a934p-2, -0x1.5a651b5fd3f33p-2, -0x1.5668d176cf81ap-2, -0x1.526ea5eba46a9p-2, -0x1.4e76df53fcc63p-2, -0x1.4a81c233812ep-2, -0x1.468f91017bbd1p-2, -0x1.42a08c2ead327p-2, -0x1.3eb4f22b4f619p-2, -0x1.3accff6d46401p-2, -0x1.36e8ee7673425p-2, -0x1.3308f7db2fdc8p-2, -0x1.2f2d5248e5eb2p-2, -0x1.2b56328cc593fp-2, -0x1.2783cb9a966aep-2, -0x1.23b64e939d42cp-2, -0x1.1fedeacd994d8p-2, -0x1.1c2acdd9d0304p-2, -0x1.186d238c2c904p-2, -0x1.14b5160266bd6p-2, -0x1.1102cdab3cc13p-2, -0x1.0d56714dae639p-2, -0x1.09b02610449e6p-2, -0x1.06100f805b442p-2, -0x1.02764f9971b05p-2, -0x1.fdc60d98f52ccp-3, -0x1.f6aca80e5a44cp-3, -0x1.efa0a976ac33cp-3, -0x1.e8a249cc4cb25p-3, -0x1.e1b1be2ef7316p-3, -0x1.dacf38f24dffap-3, -0x1.d3fae9ac5ce0ap-3, -0x1.cd34fd4404c51p-3, -0x1.c67d9dff5f987p-3, -0x1.bfd4f3920ef2dp-3, -0x1.b93b232b777p-3, -0x1.b2b04f84e1a3bp-3, -0x1.ac3498ef8c19ap-3, -0x1.a5c81d629e8c4p-3, -0x1.9f6af88900f59p-3, -0x1.991d43cf1ca2dp-3, -0x1.92df16707bdaep-3, -0x1.8cb085854c7ep-3, -0x1.8691a40fc3dc7p-3, -0x1.808283095d9bp-3, -0x1.7a83317001f6dp-3, -0x1.7493bc52fd6aep-3, -0x1.6eb42edfe1766p-3, -0x1.68e4926f35e37p-3, -0x1.6324ee910de8bp-3, -0x1.5d754919714edp-3, -0x1.57d5a62ca1868p-3, -0x1.5246084b38eb9p-3, -0x1.4cc6705e1eeddp-3, -0x1.4756ddc259ec6p-3, -0x1.41f74e54b1911p-3, -0x1.3ca7be7d2a77ep-3, -0x1.3768293a5ea75p-3, -0x1.3238882c9f7f6p-3, -0x1.2d18d3a0fb834p-3, -0x1.2809029c103cbp-3, -0x1.23090ae4b2c8bp-3, -0x1.1e18e10e71af9p-3, -0x1.19387883eac27p-3, -0x1.1467c390f1792p-3, -0x1.0fa6b36c8cd92p-3, -0x1.0af53842cdc83p-3, -0x1.0653413e733b3p-3, -0x1.01c0bc926a54fp-3, -0x1.fa7b2f0631b98p-4, -0x1.f1937cdf18e0ep-4, -0x1.e8ca39b4d4c36p-4, -0x1.e01f3ae5932aep-4, -0x1.d79254399a1d9p-4, -0x1.cf2357f44bb0cp-4, -0x1.c6d216e4b9457p-4, -0x1.be9e6075f2286p-4, -0x1.b68802bef1709p-4, -0x1.ae8eca9247416p-4, -0x1.a6b2838d587f9p-4, -0x1.9ef2f8276477fp-4, -0x1.974ff1c024239p-4, -0x1.8fc938ae1ea7p-4, -0x1.885e944cadf3fp-4, -0x1.810fcb09b19cbp-4, -0x1.79dca272ee9e9p-4, -0x1.72c4df4322a5dp-4, -0x1.6bc8456ec7fa9p-4, -0x1.64e698308c8c7p-4, -0x1.5e1f9a1577e51p-4, -0x1.57730d08c9539p-4, -0x1.50e0b25f88ddbp-4, -0x1.4a684ae3cba9cp-4, -0x1.440996dfb1567p-4, -0x1.3dc456281634p-4, -0x1.37984826fe6bp-4, -0x1.31852be5b9897p-4, -0x1.2b8ac016bfb17p-4, -0x1.25a8c31f49d1ep-4, -0x1.1fdef320a3807p-4, -0x1.1a2d0e013d51ep-4, -0x1.1492d17577988p-4, -0x1.0f0ffb0830446p-4, -0x1.09a448230c546p-4, -0x1.044f761683b47p-4, -0x1.fe2284435be8fp-5, -0x1.f3d2d2f3a49a7p-5, -0x1.e9af52a36e2abp-5, -0x1.dfb77dc179931p-5, -0x1.d5eaced369a5ap-5, -0x1.cc48c0830f239p-5, -0x1.c2d0cdab3a62ap-5, -0x1.b98271641d0fbp-5, -0x1.b05d270f4209dp-5, -0x1.a7606a63171cap-5, -0x1.9e8bb77610b19p-5, -0x1.95de8ac9606f4p-5, -0x1.8d5861534f4fcp-5, -0x1.84f8b889293c3p-5, -0x1.7cbf0e68d0585p-5, -0x1.74aae181ec61ap-5, -0x1.6cbbb0febe399p-5, -0x1.64f0fcac957fp-5, -0x1.5d4a4503eee51p-5, -0x1.55c70b303b48ep-5, -0x1.4e66d1174d687p-5, -0x1.47291960786fcp-5, -0x1.400d677b54732p-5, -0x1.39133fa640c44p-5, -0x1.323a26f4841d1p-5, -0x1.2b81a35434d92p-5, -0x1.24e93b93c776bp-5, -0x1.1e707767587bdp-5, -0x1.1816df6db2cd7p-5, -0x1.11dbfd350d31cp-5, -0x1.0bbf5b3f82284p-5, -0x1.05c0850748c6fp-5, -0x1.ffbe0e055c84bp-6, -0x1.f434dd4f98847p-6, -0x1.e8e494e00b042p-6, -0x1.ddcc53b689be3p-6, -0x1.d2eb3ae60bbaap-6, -0x1.c8406d9a44d47p-6, -0x1.bdcb111ccdd7ep-6, -0x1.b38a4cd9efbd8p-6, -0x1.a97d4a64f9614p-6, -0x1.9fa3357c42e4dp-6, -0x1.95fb3c0cb31bdp-6, -0x1.8c848e3507bfcp-6, -0x1.833e5e48a49b9p-6, -0x1.7a27e0d21e743p-6, -0x1.71404c95636e2p-6, -0x1.6886da9191d16p-6, -0x1.5ffac602859f2p-6, -0x1.579b4c620943ep-6, -0x1.4f67ad68c6409p-6, -0x1.475f2b0eef75fp-6, -0x1.3f81098c8d236p-6, -0x1.37cc8f59a503bp-6, -0x1.3041052e0856bp-6, -0x1.28ddb600e6cecp-6, -0x1.21a1ef082d6cp-6, -0x1.1a8cffb79c285p-6, -0x1.139e39bfae9a3p-6, -0x1.0cd4f10c4109ap-6, -0x1.06307bc30ed18p-6, -0x1.ff606483e43eep-7, -0x1.f2a6de39e4e4fp-7, -0x1.e6331e385e6b2p-7, -0x1.da03e27326eedp-7, -0x1.ce17ed3cb3904p-7, -0x1.c26e0540f8c68p-7, -0x1.b704f57fb6ec8p-7, -0x1.abdb8d46bfc53p-7, -0x1.a0f0a02bc897dp-7, -0x1.96430606013p-7, -0x1.8bd19ae76cf18p-7, -0x1.819b3f15f1547p-7, -0x1.779ed70441324p-7, -0x1.6ddb4b4a72398p-7, -0x1.644f889e6f31fp-7, -0x1.5afa7fcc254aep-7, -0x1.51db25ad9f1d8p-7, -0x1.48f07322cf773p-7, -0x1.40396509459edp-7, -0x1.37b4fc33b73d7p-7, -0x1.2f623d615778dp-7, -0x1.274031351c9a4p-7, -0x1.1f4de42cd9183p-7, -0x1.178a669833213p-7, -0x1.0ff4cc8f8bf72p-7, -0x1.088c2deab7b98p-7, -0x1.014fa637b1a9fp-7, -0x1.f47ca962657f8p-8, -0x1.e6aeb86a58294p-8, -0x1.d933c67668774p-8, -0x1.cc0a2795c9185p-8, -0x1.bf3036e45776ap-8, -0x1.b2a45676fd5b9p-8, -0x1.a664ef483fe5cp-8, -0x1.9a70712465c91p-8, -0x1.8ec55295d5924p-8, -0x1.836210d1514bbp-8, -0x1.78452fa1fc5edp-8, -0x1.6d6d395595402p-8, -0x1.62d8bea87d01ap-8, -0x1.588656b1dd926p-8, -0x1.4e749ecfb4b1bp-8, -0x1.44a23a92ea6bap-8, -0x1.3b0dd3ab75191p-8, -0x1.31b619d464522p-8, -0x1.2899c2c02d765p-8, -0x1.1fb78a04bad7ep-8, -0x1.170e3107cbaffp-8, -0x1.0e9c7eeb2a69fp-8, -0x1.066140791ceadp-8, -0x1.fcb690219b0e3p-9, -0x1.ed12db25bf333p-9, -0x1.ddd51c9bdd6b7p-9, -0x1.cefb19d6b6839p-9, -0x1.c082a2b8131cep-9, -0x1.b269918a883adp-9, -0x1.a4adcadb91f1dp-9, -0x1.974d3d55a0038p-9, -0x1.8a45e19ac76c3p-9, -0x1.7d95ba1f2b528p-9, -0x1.713ad304267dp-9, -0x1.653341f3836c1p-9, -0x1.597d25fac8272p-9, -0x1.4e16a7671f1a2p-9, -0x1.42fdf7a142c3dp-9, -0x1.38315109e77d7p-9, -0x1.2daef6d656ccep-9, -0x1.237534ed306e9p-9, -0x1.19825fc3d8326p-9, -0x1.0fd4d43bdad7p-9, -0x1.066af780cd0e4p-9, -0x1.fa866dcce1bfap-10, -0x1.e8b80f8e79ffap-10, -0x1.d767cec652c78p-10, -0x1.c692b57d75c8cp-10, -0x1.b635dd054dbd2p-10, -0x1.a64e6db6f8ea6p-10, -0x1.96d99eb3a8bdep-10, -0x1.87d4b5a5ce518p-10, -0x1.793d0682805c5p-10, -0x1.6b0ff34c05df6p-10, -0x1.5d4aebd4ce092p-10, -0x1.4feb6d8333e19p-10, -0x1.42ef0315ef5b1p-10, -0x1.365344694b6a7p-10, -0x1.2a15d63ceb1d3p-10, -0x1.1e3469fa52973p-10, -0x1.12acbd7c471c9p-10, -0x1.077c9ad6b1b68p-10, -0x1.f943b03e80e9fp-11, -0x1.e434ae6dac5d5p-11, -0x1.cfc80b273527fp-11, -0x1.bbf9b8174b457p-11, -0x1.a8c5bd4144eabp-11, -0x1.962838979ff2p-11, -0x1.841d5d9619672p-11, -0x1.72a174dc5e331p-11, -0x1.61b0dbcafb90ep-11, -0x1.51480420d015dp-11, -0x1.4163739abb631p-11, -0x1.31ffc393ec977p-11, -0x1.2319a0a7f7648p-11, -0x1.14adca5623447p-11, -0x1.06b912a60bc76p-11, -0x1.f270bb9b4f2edp-12, -0x1.d85143b15895p-12, -0x1.bf0dcca24f331p-12, -0x1.a6a087d27c017p-12, -0x1.8f03c84df2d7cp-12, -0x1.7832022005e2fp-12, -0x1.6225c9b07b964p-12, -0x1.4cd9d320dc075p-12, -0x1.3848f1ad28706p-12, -0x1.246e170f874cdp-12, -0x1.114452e53939dp-12, -0x1.fd8da42ed2f3ep-13, -0x1.d9e1bc8ae6bep-13, -0x1.b77bba62d6a1dp-13, -0x1.9652a0608c709p-13, -0x1.765da735f4d23p-13, -0x1.57943c852ed13p-13, -0x1.39ee01cd4ba1dp-13, -0x1.1d62cb5c36decp-13, -0x1.01ea9f4354528p-13, -0x1.cefb68a596a6p-14, -0x1.9c28e23005c4bp-14, -0x1.6b4ed5c05065p-14, -0x1.3c5ec980c9fdcp-14, -0x1.0f4a9d426da24p-14, -0x1.c8091137c457dp-15, -0x1.74fe3226f4852p-15, -0x1.255a609e45a6p-15, -0x1.b2080928a7ebdp-16, -0x1.1fc44e726ab0ep-16, -0x1.2771bddeb899p-17, -0x1.b6c7a8d058fe8p-21, 0x1.c9c796ee7acdcp-18, 0x1.d9d9634ba42cp-17, 0x1.61e62cbdca433p-16, 0x1.d1894248c2585p-16, 0x1.1dffe457462c3p-15, 0x1.50b943c4aecdbp-15, 0x1.81049ec837cccp-15, 0x1.aef553326495ep-15, 0x1.da9e4025523bbp-15, 0x1.0208e4720352dp-14, 0x1.15b0ebc5f747cp-14, 0x1.284fefe6a0b6bp-14, 0x1.39ee70c4f18bfp-14, 0x1.4a94b5b9c4b36p-14, 0x1.5a4acec8f6aa1p-14, 0x1.691895e2c0bfep-14, 0x1.7705b01b0ee9dp-14, 0x1.84198ede5e5c1p-14, 0x1.905b711e09713p-14, 0x1.9bd2647734b67p-14, 0x1.a6854654a920bp-14, 0x1.b07ac50ad45c4p-14, 0x1.b9b960ed915bdp-14, 0x1.c2476d60069d3p-14, 0x1.ca2b11e149bfbp-14, 0x1.d16a4b10050b4p-14, 0x1.d80aebad9d107p-14, 0x1.de129d970c943p-14, 0x1.e386e2bbfe1f4p-14, 0x1.e86d1610c2805p-14, 0x1.ecca6c790f07bp-14, 0x1.f0a3f5b08d507p-14, 0x1.f3fe9d2cb810ap-14, 0x1.f6df2afb7d0e1p-14, 0x1.f94a449c2f81dp-14, 0x1.fb446dd451d5fp-14, 0x1.fcd2097f6ec62p-14, 0x1.fdf75a5c95386p-14, 0x1.feb883d49a011p-14, 0x1.ff198abd95afbp-14, 0x1.ff1e561bcd3b2p-14, 0x1.fecaafdab1dc4p-14, 0x1.fe224585ef518p-14, 0x1.fd28a8fbbc5b8p-14, 0x1.fbe1511ca64f3p-14, 0x1.fa4f9a7785116p-14, 0x1.f876c7f12999ap-14, 0x1.f65a036882553p-14, 0x1.f3fc5e57e08cap-14, 0x1.f160d271442bfp-14, 0x1.ee8a423909358p-14, 0x1.eb7b799c431fbp-14, 0x1.e8372e8381762p-14, 0x1.e4c0016231fd8p-14, 0x1.e1187dc408a23p-14, 0x1.dd431ad608b6p-14, 0x1.d9423bed0eaa8p-14, 0x1.d51831092b8b4p-14, 0x1.d0c73755ded42p-14, 0x1.cc5179a8647cbp-14, 0x1.c7b910f8af526p-14, 0x1.c30004db5dba2p-14, 0x1.be284bf5742acp-14, 0x1.b933cc6f4fb24p-14, 0x1.b4245c648aa79p-14, 0x1.aefbc2513f9fbp-14, 0x1.a9bbb57c76679p-14, 0x1.a465de60bad0dp-14, 0x1.9efbd711d6213p-14, 0x1.997f2ba07d8c4p-14, 0x1.93f15a7b28894p-14, 0x1.8e53d4cc9a448p-14, 0x1.88a7fed9c750dp-14, 0x1.82ef305ad0521p-14, 0x1.7d2ab4d444e4cp-14, 0x1.775bcbeca0c5p-14, 0x1.7183a9c148842p-14, 0x1.6ba37737b91b1p-14, 0x1.65bc524e90659p-14, 0x1.5fcf4e6b3e4a1p-14, 0x1.59dd74a666feep-14, 0x1.53e7c4167d8b8p-14, 0x1.4def3218942e7p-14, 0x1.47f4aa971cc32p-14, 0x1.41f9104f0f536p-14, 0x1.3bfd3d139f01ap-14, 0x1.3602020fa20e9p-14, 0x1.300828063c5c3p-14, 0x1.2a106f912deb3p-14, 0x1.241b915e3446p-14, 0x1.1e2a3e6a2aebfp-14, 0x1.183d203b695c6p-14, 0x1.1254d91a1712bp-14, 0x1.0c720447b8a1fp-14, 0x1.06953634a9633p-14, 0x1.00befcb4b1faap-14, 0x1.f5dfbe63fba92p-15, 0x1.ea50bdbdfdfc7p-15, 0x1.ded1edcdaa581p-15, 0x1.d36439398430cp-15, 0x1.c8087f5460059p-15, 0x1.bcbf947728b44p-15, 0x1.b18a4257c79d8p-15, 0x1.a669485f1f5b8p-15, 0x1.9b5d5bfb2a335p-15, 0x1.906728f0c54c1p-15, 0x1.858751a9165c6p-15, 0x1.7abe6f7f775e6p-15, 0x1.700d130b0bdbbp-15, 0x1.6573c46788dbdp-15, 0x1.5af3037c5916bp-15, 0x1.508b4840fefccp-15, 0x1.463d030000c4cp-15, 0x1.3c089c9862d17p-15, 0x1.31ee76bcc1ecfp-15, 0x1.27eeec30f4a7bp-15, 0x1.1e0a51067e6efp-15, 0x1.1440f2d67f86cp-15, 0x1.0a9318fa97843p-15, 0x1.010104c4595eep-15, 0x1.ef15e3659a751p-16, 0x1.dc622b4d296c3p-16, 0x1.c9e7422a4f214p-16, 0x1.b7a57e7377564p-16, 0x1.a59d2c8aa1ceap-16, 0x1.93ce8f1b8993ap-16, 0x1.8239df74e66a8p-16, 0x1.70df4de1faacfp-16, 0x1.5fbf01ffa992fp-16, 0x1.4ed91b0f6a928p-16, 0x1.3e2db0483d235p-16, 0x1.2dbcd12588b93p-16, 0x1.1d8685b2af827p-16, 0x1.0d8aced5ab6edp-16, 0x1.fb934d2d7e82ap-17, 0x1.dc8600cd6bf3dp-17, 0x1.bded92c3f2155p-17, 0x1.9fc9d12510f62p-17, 0x1.821a7e602c0c2p-17, 0x1.64df51bad049p-17, 0x1.4817f7cb7727fp-17, 0x1.2bc412eb034bp-17, 0x1.0fe33ba81a423p-17, 0x1.e8ea026826d21p-18, 0x1.b2f1d399ab8abp-18, 0x1.7ddce64a38eedp-18, 0x1.49aa258f294fap-18, 0x1.16586cf176c1bp-18, 0x1.c7cd124fe438bp-19, 0x1.64a6719de819dp-19, 0x1.033a5a2d100acp-19, 0x1.470c29be63cdap-20, 0x1.161b498196e84p-21, -0x1.6c65396c14dfep-23, -0x1.c5916429b1ecbp-21, -0x1.94ac9d241910cp-20, -0x1.219f583336424p-19, -0x1.7742ac493178cp-19, -0x1.cb43927216fdfp-19, -0x1.0ed2b145aa2edp-18, -0x1.3735c1d742f0ap-18, -0x1.5eccb59f2703p-18, -0x1.85994dfc74058p-18, -0x1.ab9d5287bdb3ep-18, -0x1.d0da90a42735p-18, -0x1.f552db142324dp-18, -0x1.0c8404c8dd08ap-17, -0x1.1dfdfc34d00dp-17, -0x1.2f18440dfda3ap-17, -0x1.3fd3ce7eaab32p-17, -0x1.50318f6f13e5ep-17, -0x1.60327c58f4d9cp-17, -0x1.6fd78c1e92048p-17, -0x1.7f21b6e1c77e1p-17, -0x1.8e11f5dcab06dp-17, -0x1.9ca9433cf76cfp-17, -0x1.aae899ffca169p-17, -0x1.b8d0f5ce1be6p-17, -0x1.c66352db7a937p-17, -0x1.d3a0adc6276eep-17, -0x1.e08a03779b034p-17, -0x1.ed20510688125p-17, -0x1.f964939afde11p-17, -0x1.02abe42924d4ep-16, -0x1.087d761231777p-16, -0x1.0e277de54e079p-16, -0x1.13aa79d3a6cecp-16, -0x1.1906e7d717545p-16, -0x1.1e3d45a711227p-16, -0x1.234e10ae1ee82p-16, -0x1.2839c5fef5c22p-16, -0x1.2d00e24b121b9p-16, -0x1.31a3e1d926719p-16, -0x1.3623407c31faep-16, -0x1.3a7f798a84943p-16, -0x1.3eb907d5f93d4p-16, -0x1.42d065a3f29e5p-16, -0x1.46c60ca5d4ee6p-16, -0x1.4a9a75f1daa4dp-16, -0x1.4e4e19fc4284ep-16, -0x1.51e170910c555p-16, -0x1.5554f0cd8b14dp-16, -0x1.58a9111acdea1p-16, -0x1.5bde472811b87p-16, -0x1.5ef507e5a829ep-16, -0x1.61edc77f5fe5ep-16, -0x1.64c8f95892525p-16, -0x1.678710075c097p-16, -0x1.6a287d5081885p-16, -0x1.6cadb2239b329p-16, -0x1.6f171e973dbcep-16, -0x1.716531e5bc12p-16, -0x1.73985a69c478dp-16, -0x1.75b1059b59f58p-16, -0x1.77afa00d28766p-16, -0x1.79949569b5b0cp-16, -0x1.7b60507138731p-16, -0x1.7d133af754943p-16, -0x1.7eadbde0e26abp-16, -0x1.803041222a475p-16, -0x1.819b2bbd3927fp-16, -0x1.82eee3c05e7cap-16, -0x1.842bce44b6e6p-16, -0x1.85524f6cf65bdp-16, -0x1.8662ca645208bp-16, -0x1.875da15d9c969p-16, -0x1.884335926e023p-16, -0x1.8913e7426ebdep-16, -0x1.89d015b2c6232p-16, -0x1.8a781f2dbfa7ep-16, -0x1.8b0c61025d572p-16, -0x1.8b8d37844c49ap-16, -0x1.8bfafe0ba6addp-16, -0x1.8c560ef4f47ffp-16, -0x1.8c9ec3a1549d2p-16, -0x1.8cd57476a5d5bp-16, -0x1.8cfa78dfd1255p-16, -0x1.8d0e274d230d5p-16, -0x1.8d10d534e50fdp-16, -0x1.8d02d713a44dcp-16, -0x1.8ce4806d0bdc9p-16, -0x1.8cb623cc7201ap-16, -0x1.8c7812c591629p-16, -0x1.8c2a9df5802d7p-16, -0x1.8bce1503786aep-16, -0x1.8b62c6a1cfdeap-16, -0x1.8ae9008ef43b6p-16, -0x1.8a610f968599fp-16, -0x1.89cb3f927825p-16, -0x1.8927db6c20274p-16, -0x1.88772d1d764dap-16, -0x1.87b97db2894f1p-16, -0x1.86ef154a7ad8ap-16, -0x1.86183b1903f16p-16, -0x1.85353567ca881p-16, -0x1.84464997e1844p-16, -0x1.834bbc23286a5p-16, -0x1.8245d09dbdbbep-16, -0x1.8134c9b7a0e6ap-16, -0x1.8018e93e28f7dp-16, -0x1.7ef2701d9de57p-16, -0x1.7dc19e62c9323p-16, -0x1.7c86b33ca927dp-16, -0x1.7b41ecfdff51dp-16, -0x1.79f3891f0ff76p-16, -0x1.789bc43f46ec8p-16, -0x1.773ada26de8c8p-16, -0x1.75d105c8b6fb9p-16, -0x1.745e814407f03p-16, -0x1.72e385e60b48p-16, -0x1.71604c2bd9549p-16, -0x1.6fd50bc4290e5p-16, -0x1.6e41fb9112709p-16, -0x1.6ca751a9ef194p-16, -0x1.6b05435d0e3cp-16, -0x1.695c0531976b1p-16, -0x1.67abcae9472fbp-16, -0x1.65f4c78253fdp-16, -0x1.64372d39490bcp-16, -0x1.62732d8aca279p-16, -0x1.60a8f9356c617p-16, -0x1.5ed8c03b8d51bp-16, -0x1.5d02b1e535288p-16, -0x1.5b26fcc1e7735p-16, -0x1.5945ceaa6d665p-16, -0x1.575f54c2bacf2p-16, -0x1.5573bb7bc77f7p-16, -0x1.53832e954ec7ep-16, -0x1.518dd91fab0c1p-16, -0x1.4f93e57dcd71ap-16, -0x1.4d957d66de5e4p-16, -0x1.4b92c9e8301b3p-16, -0x1.498bf3670a8f8p-16, -0x1.478121a264f68p-16, -0x1.45727bb4c5c74p-16, -0x1.4360281611508p-16, -0x1.414a4c9d579c5p-16, -0x1.3f310e828357cp-16, -0x1.3d1492603e0cep-16, -0x1.3af4fc359ce0fp-16, -0x1.38d26f67f2122p-16, -0x1.36ad0ec493a6ep-16, -0x1.3484fc828bc62p-16, -0x1.325a5a4441db1p-16, -0x1.302d49195a7c9p-16, -0x1.2dfde98058a3ep-16, -0x1.2bcc5b68581b6p-16, -0x1.2998be32baf57p-16, -0x1.276330b4d7bb7p-16, -0x1.252bd139ae18dp-16, -0x1.22f2bd837f6c6p-16, -0x1.20b812cd92955p-16, -0x1.1e7bedcdafb17p-16, -0x1.1c3e6ab5d7aa6p-16, -0x1.19ffa535e795ap-16, -0x1.17bfb87d3145bp-16, -0x1.157ebf3bf7085p-16, -0x1.133cd3a52b20ap-16, -0x1.10fa0f6fe5c22p-16, -0x1.0eb68bd8fe59dp-16, -0x1.0c7261a48ff24p-16, -0x1.0a2da91f7b6e4p-16, }}, 
      {{-0x1.ef8647a36730bp-1, -0x1.ef5a8c0198b21p-1, -0x1.eefeb77ba9b9p-1, -0x1.ee66479a6e4f8p-1, -0x1.ed8b3d7518679p-1, -0x1.ec6db98330eacp-1, -0x1.eb125e80c844ep-1, -0x1.e9807fc74f66dp-1, -0x1.e7c08de3e1fbbp-1, -0x1.e5dae957ea7ffp-1, -0x1.e3d71d76458acp-1, -0x1.e1bb740bb87a5p-1, -0x1.df8cccd6142f5p-1, -0x1.dd4ea42eb330ap-1, -0x1.db03376440f71p-1, -0x1.d8abb927a2fc2p-1, -0x1.d6488c2f9efadp-1, -0x1.d3d97d6399b82p-1, -0x1.d15df95b991b6p-1, -0x1.ced53add25837p-1, -0x1.cc3e714c223c2p-1, -0x1.c998dee97491fp-1, -0x1.c6e3ef4a8749bp-1, -0x1.c41f46ca7fea5p-1, -0x1.c14acbe1fa756p-1, -0x1.be66ab61705dap-1, -0x1.bb735886d901ap-1, -0x1.b87189d7850ebp-1, -0x1.b5623390c25edp-1, -0x1.b2468067e9e84p-1, -0x1.af1fc9377d51cp-1, -0x1.abef8c1c9506p-1, -0x1.a8b7636eff0aap-1, -0x1.a578fce7db64fp-1, -0x1.a236113655fdep-1, -0x1.9ef05c30b7a11p-1, -0x1.9ba995c11bc3cp-1, -0x1.98636ba0c2862p-1, -0x1.951f7beadc534p-1, -0x1.91df50879f25bp-1, -0x1.8ea45b6a470efp-1, -0x1.8b6ff397fd472p-1, -0x1.884352ea5387cp-1, -0x1.851f947dd6a16p-1, -0x1.8205b3bbf3cefp-1, -0x1.7ef68beee65b4p-1, -0x1.7bf2d84e6b1b7p-1, -0x1.78fb34747494ap-1, -0x1.76101d29e1e3bp-1, -0x1.7331f17c45dedp-1, -0x1.7060f40eeedd4p-1, -0x1.6d9d4c9a9ff0ep-1, -0x1.6ae70990b2484p-1, -0x1.683e21d7947fcp-1, -0x1.65a27697d381cp-1, -0x1.6313d51206bbbp-1, -0x1.6091f877057bap-1, -0x1.5e1c8bbcd08ap-1, -0x1.5bb32b6b806eap-1, -0x1.5955675e5dac5p-1, -0x1.5702c475fe8d5p-1, -0x1.54babe38f4ebp-1, -0x1.527cc8611f241p-1, -0x1.5048505438037p-1, -0x1.4e1cbe86a762cp-1, -0x1.4bf977c7fab37p-1, -0x1.49ddde78b7ce3p-1, -0x1.47c953a9864cp-1, -0x1.45bb3823dd25cp-1, -0x1.43b2ed5c97576p-1, -0x1.41afd650f5392p-1, -0x1.3fb1584eb096ep-1, -0x1.3db6dba7e0698p-1, -0x1.3bbfcc537b919p-1, -0x1.39cb9a7b5bf8dp-1, -0x1.37d9baf8a3ba5p-1, -0x1.35e9a7bf7981p-1, -0x1.33fae03b04c4ep-1, -0x1.320ce99aa427bp-1, -0x1.301f4f1147b16p-1, -0x1.2e31a207e0607p-1, -0x1.2c437a43cbf4bp-1, -0x1.2a5476022287dp-1, -0x1.28643a08c0888p-1, -0x1.267271ade5b41p-1, -0x1.247eced73394dp-1, -0x1.228909f0d5d54p-1, -0x1.2090e1dd8d589p-1, -0x1.1e961be0557d3p-1, -0x1.1c9883804dbfbp-1, -0x1.1a97ea678c707p-1, -0x1.1894283d70e89p-1, -0x1.168d1a7d0ac47p-1, -0x1.1482a4481a86cp-1, -0x1.1274ae372f5c3p-1, -0x1.1063262754215p-1, -0x1.0e4dff05c1f8ep-1, -0x1.0c353099f9a4dp-1, -0x1.0a18b74ea65fap-1, -0x1.07f893f9a2626p-1, -0x1.05d4cba36d5d2p-1, -0x1.03ad674e61669p-1, -0x1.018273bde5492p-1, -0x1.fea8027bc432cp-2, -0x1.fa4446d55419ap-2, -0x1.f5d9e1f3161e5p-2, -0x1.f16907046803fp-2, -0x1.ecf1ee923062ep-2, -0x1.e874d615e1512p-2, -0x1.e3f1ff92faf58p-2, -0x1.df69b1333ca33p-2, -0x1.dadc34e5b38e1p-2, -0x1.d649d800ce3b2p-2, -0x1.d1b2eae79295fp-2, -0x1.cd17c0b20df9ep-2, -0x1.c878aed912fa1p-2, -0x1.c3d60ce5567fcp-2, -0x1.bf303421ec3ddp-2, -0x1.ba877f5233326p-2, -0x1.b5dc4a6b2420ap-2, -0x1.b12ef2500d74ap-2, -0x1.ac7fd492ab68ep-2, -0x1.a7cf4f3697971p-2, -0x1.a31dc07804f66p-2, -0x1.9e6b8695b4ebcp-2, -0x1.99b8ff9e1df39p-2, -0x1.9506893fa66c2p-2, -0x1.9054809bec07fp-2, -0x1.8ba3421df98ep-2, -0x1.86f3295359512p-2, -0x1.824490c7ee61p-2, -0x1.7d97d1e47bd31p-2, -0x1.78ed44cfc031bp-2, -0x1.744540521145bp-2, -0x1.6fa019bb5b347p-2, -0x1.6afe24cb6f979p-2, -0x1.665fb39c8322cp-2, -0x1.61c5168fced73p-2, -0x1.5d2e9c3c2cc07p-2, -0x1.589c915ea45a1p-2, -0x1.540f40cccb599p-2, -0x1.4f86f368df981p-2, -0x1.4b03f01789659p-2, -0x1.46867bb72b71p-2, -0x1.420ed918ad5d1p-2, -0x1.3d9d48f9a9b1p-2, -0x1.393209ffee701p-2, -0x1.34cd58b633508p-2, -0x1.306f6f8a020c9p-2, -0x1.2c1886caaa8bap-2, -0x1.27c8d4a942e1dp-2, -0x1.23808d3997e2fp-2, -0x1.1f3fe273fc3fcp-2, -0x1.1b070437f1573p-2, -0x1.16d6204f8bd39p-2, -0x1.12ad6273901e8p-2, -0x1.0e8cf45036d61p-2, -0x1.0a74fd8a87ac1p-2, -0x1.0665a3c64171ep-2, -0x1.025f0aac4372dp-2, -0x1.fcc2a7e2d5d3p-3, -0x1.f4d93ebbb86c2p-3, -0x1.ed0215a951c15p-3, -0x1.e53d64b7a06bdp-3, -0x1.dd8b60490acp-3, -0x1.d5ec39278792ap-3, -0x1.ce601c962a62dp-3, -0x1.c6e7346322becp-3, -0x1.bf81a6fa17235p-3, -0x1.b82f9776c1d3fp-3, -0x1.b0f125b7d5d35p-3, -0x1.a9c66e72151e2p-3, -0x1.a2af8b438a153p-3, -0x1.9bac92c6e091fp-3, -0x1.94bd98a6d79bcp-3, -0x1.8de2adb1b23c8p-3, -0x1.871bdfecb5865p-3, -0x1.80693aa799684p-3, -0x1.79cac68fec50bp-3, -0x1.734089c46619bp-3, -0x1.6cca87e81c2bbp-3, -0x1.6668c2359899cp-3, -0x1.601b3791c8c73p-3, -0x1.59e1e49ec63a5p-3, -0x1.53bcc3ce68054p-3, -0x1.4dabcd74a9f61p-3, -0x1.47aef7d9d7f62p-3, -0x1.41c6374c82e0fp-3, -0x1.3bf17e33319fdp-3, -0x1.3630bd1ddadb4p-3, -0x1.3083e2d7192f2p-3, -0x1.2aeadc75165cfp-3, -0x1.2565956a380a2p-3, -0x1.1ff3f7957ff81p-3, -0x1.1a95eb52a4fcp-3, -0x1.154b5789dccd8p-3, -0x1.101421bf64bc9p-3, -0x1.0af02e22aeee4p-3, -0x1.05df5f9d51244p-3, -0x1.00e197e19f144p-3, -0x1.f7ed6ef1e5e1fp-4, -0x1.ee3d3ba362aeap-4, -0x1.e4b25299efd1ep-4, -0x1.db4c6e97f97ap-4, -0x1.d20b487a50a64p-4, -0x1.c8ee9751ab9d2p-4, -0x1.bff6107b9b678p-4, -0x1.b72167bae83edp-4, -0x1.ae704f4f3c4cap-4, -0x1.a5e2780c5f95dp-4, -0x1.9d779170aedd3p-4, -0x1.952f49bb1f78dp-4, -0x1.8d094e009b529p-4, -0x1.85054a40d167cp-4, -0x1.7d22e97a73901p-4, -0x1.7561d5bee1e75p-4, -0x1.6dc1b8454c4ap-4, -0x1.6642397d449f8p-4, -0x1.5ee30120c7ebdp-4, -0x1.57a3b645bf0ap-4, -0x1.5083ff6ef95ap-4, -0x1.4983829ca1066p-4, -0x1.42a1e55c30cd3p-4, -0x1.3bdeccd7e6054p-4, -0x1.3539dde5b750dp-4, -0x1.2eb2bd15cd5adp-4, -0x1.28490ec0828abp-4, -0x1.21fc7713ecae3p-4, -0x1.1bcc9a20edc61p-4, -0x1.15b91be7d5ff7p-4, -0x1.0fc1a0648ffaep-4, -0x1.09e5cb9a6359dp-4, -0x1.0425419f462d1p-4, -0x1.fcff4d4d8c237p-5, -0x1.f1e93e19146c8p-5, -0x1.e7079ebcd7fefp-5, -0x1.dc59b8cc5dd73p-5, -0x1.d1ded665a911ep-5, -0x1.c796424325505p-5, -0x1.bd7f47ccd62d2p-5, -0x1.b3993328cf067p-5, -0x1.a9e3514af7581p-5, -0x1.a05cf00426e6fp-5, -0x1.97055e1092009p-5, -0x1.8ddbeb258bc9cp-5, -0x1.84dfe7feb1f66p-5, -0x1.7c10a66a6eeafp-5, -0x1.736d7955e708fp-5, -0x1.6af5b4d84f65p-5, -0x1.62a8ae3db0027p-5, -0x1.5a85bc1119ac2p-5, -0x1.528c36264a7d4p-5, -0x1.4abb75a2d7fap-5, -0x1.4312d506c560bp-5, -0x1.3b91b034a5864p-5, -0x1.343764793a834p-5, -0x1.2d035092a145cp-5, -0x1.25f4d4b6fdc49p-5, -0x1.1f0b529ac0cffp-5, -0x1.18462d76758dbp-5, -0x1.11a4ca0c2945fp-5, -0x1.0b268eac66d27p-5, -0x1.04cae33acaf68p-5, -0x1.fd2262647b2b9p-6, -0x1.f0f1c7518d4afp-6, -0x1.e502cea608eedp-6, -0x1.d954550e9bdc8p-6, -0x1.cde53a80f9775p-6, -0x1.c2b46240c005p-6, -0x1.b7c0b2e3ca2bep-6, -0x1.ad091655d4bdfp-6, -0x1.a28c79db9b4bep-6, -0x1.9849ce155b509p-6, -0x1.8e400700c937cp-6, -0x1.846e1bfa83eap-6, -0x1.7ad307beffd4bp-6, -0x1.716dc86af7813p-6, -0x1.683d5f7b626efp-6, -0x1.5f40d1ccf6699p-6, -0x1.5677279b3847bp-6, -0x1.4ddf6c7f1d7bcp-6, -0x1.4578af6d5174dp-6, -0x1.3d4202b40d3ap-6, -0x1.353a7bf88c812p-6, -0x1.2d61343438e25p-6, -0x1.25b547b166914p-6, -0x1.1e35d607d059p-6, -0x1.16e20218bc55ep-6, -0x1.0fb8f20ad0771p-6, -0x1.08b9cf45a913bp-6, -0x1.01e3c66d1a5a1p-6, -0x1.f66c0eb883cafp-7, -0x1.e95f8a40946fcp-7, -0x1.dca06be5fb4b9p-7, -0x1.d02d266a2fa0ep-7, -0x1.c40432d0d15dcp-7, -0x1.b8241053859fbp-7, -0x1.ac8b44556c7b3p-7, -0x1.a1385a56495a9p-7, -0x1.9629e3e54a41cp-7, -0x1.8b5e78938cebep-7, -0x1.80d4b5e64b3f8p-7, -0x1.768b3f48cf763p-7, -0x1.6c80bdfe19754p-7, -0x1.62b3e1125e25bp-7, -0x1.59235d4c2cba4p-7, -0x1.4fcded1d847a2p-7, -0x1.46b25094a93e4p-7, -0x1.3dcf4d4cc61cbp-7, -0x1.3523ae5e7b1b6p-7, -0x1.2cae44503c4d7p-7, -0x1.246de5068f71dp-7, -0x1.1c616bb431c8dp-7, -0x1.1487b8ca271d2p-7, -0x1.0cdfb1e7ae9f7p-7, -0x1.056841ca249e2p-7, -0x1.fc40b079ab7bep-8, -0x1.ee0dd4119a8bap-8, -0x1.e035e1c925564p-8, -0x1.d2b6d6c7b49ecp-8, -0x1.c58eb9ce82282p-8, -0x1.b8bb9b17ed865p-8, -0x1.ac3b9436fb6f7p-8, -0x1.a00cc7f69d09cp-8, -0x1.942d623944e9fp-8, -0x1.889b97d85c8a3p-8, -0x1.7d55a683e129bp-8, -0x1.7259d4a212682p-8, -0x1.67a6712f3be5fp-8, -0x1.5d39d39d9f43ep-8, -0x1.53125bb57c886p-8, -0x1.492e71753c943p-8, -0x1.3f8c84f1da5b6p-8, -0x1.362b0e374996ap-8, -0x1.2d088d293ff7cp-8, -0x1.242389640be19p-8, -0x1.1b7a921da24b2p-8, -0x1.130c3e06f859ep-8, -0x1.0ad72b2d7801fp-8, -0x1.02d9fedcc255dp-8, -0x1.f626cb0140006p-9, -0x1.e704250e862adp-9, -0x1.d849808770ef4p-9, -0x1.c9f45fa126fccp-9, -0x1.bc0251e5ed027p-9, -0x1.ae70f3fba24adp-9, -0x1.a13def6aad5e6p-9, -0x1.9466fa65bf216p-9, -0x1.87e9d791c92ccp-9, -0x1.7bc455cee367ap-9, -0x1.6ff450018a032p-9, -0x1.6477acdc88494p-9, -0x1.594c5eab7389bp-9, -0x1.4e70631dbaa49p-9, -0x1.43e1c312785d4p-9, -0x1.399e9264ac227p-9, -0x1.2fa4efb82a5b1p-9, -0x1.25f3044726f37p-9, -0x1.1c8703b075bf6p-9, -0x1.135f2bc63b734p-9, -0x1.0a79c45d6a66dp-9, -0x1.01d51f1dcb84bp-9, -0x1.f2df2ea53e724p-10, -0x1.e28f23780250dp-10, -0x1.d2b6f8c19cfffp-10, -0x1.c3539cc269344p-10, -0x1.b4620f93db2aap-10, -0x1.a5df62d0080dbp-10, -0x1.97c8b93aa6892p-10, -0x1.8a1b466b44fb9p-10, -0x1.7cd44e7895c22p-10, -0x1.6ff125a5218c9p-10, -0x1.636f300d33d23p-10, -0x1.574be15605e7bp-10, -0x1.4b84bc5df06aep-10, -0x1.401752ee4524cp-10, -0x1.3501456dcd4e1p-10, -0x1.2a404295036dep-10, -0x1.1fd20723538e2p-10, -0x1.15b45d9546c06p-10, -0x1.0be51ddc4bd6ep-10, -0x1.02622d17612f4p-10, -0x1.f252fa9a2912bp-11, -0x1.e0721a4d258afp-11, -0x1.cf1dcf57bf45ep-11, -0x1.be52480282674p-11, -0x1.ae0bca4b44373p-11, -0x1.9e46b364d04d6p-11, -0x1.8eff7737e5eddp-11, -0x1.80329fe728dfcp-11, -0x1.71dccd54cbd8dp-11, -0x1.63fab4aa8fa2ap-11, -0x1.56891fe3de3bp-11, -0x1.4984ed5a0c11cp-11, -0x1.3ceb0f525d36dp-11, -0x1.30b88b8e829bap-11, -0x1.24ea7adef6116p-11, -0x1.197e08b7336e7p-11, -0x1.0e7072c43cbf5p-11, -0x1.03bf08849b3f6p-11, -0x1.f2ce55c5d8e09p-12, -0x1.decc97a3467abp-12, -0x1.cb73dbd2a3476p-12, -0x1.b8bf481108993p-12, -0x1.a6aa21ea79dfbp-12, -0x1.952fce01547d8p-12, -0x1.844bcf58847bcp-12, -0x1.73f9c6a1fdd1p-12, -0x1.643571903b5f7p-12, -0x1.54faaa2acbc66p-12, -0x1.464566273d592p-12, -0x1.3811b64467d14p-12, -0x1.2a5bc5a98014cp-12, -0x1.1d1fd94831b35p-12, -0x1.105a4f42182eep-12, -0x1.04079e510e3e7p-12, -0x1.f048aa653f372p-13, -0x1.d95a342dd1219p-13, -0x1.c33d54237ee5p-13, -0x1.adebb11ea533bp-13, -0x1.995f1d977b5cdp-13, -0x1.859196999c90bp-13, -0x1.727d42be8d136p-13, -0x1.601c712cfcb49p-13, -0x1.4e69989db36f5p-13, -0x1.3d5f56659c97p-13, -0x1.2cf86d854b88ap-13, -0x1.1d2fc5bd5d281p-13, -0x1.0e006aa7e164bp-13, -0x1.fecb15ae5c195p-14, -0x1.e2b4edf215d53p-14, -0x1.c7b541fd8760ap-14, -0x1.adc3369438295p-14, -0x1.94d62fbd65857p-14, -0x1.7ce5cf2fcf466p-14, -0x1.65e9f2c6b04bp-14, -0x1.4fdab2ff5603cp-14, -0x1.3ab0617f7d46ap-14, -0x1.266387a31af06p-14, -0x1.12ece5141ec8p-14, -0x1.00456e6857144p-14, -0x1.dccc979253684p-15, -0x1.ba91af4380d51p-15, -0x1.99cd3aab30996p-15, -0x1.7a72affbe1506p-15, -0x1.5c75e25e0a01cp-15, -0x1.3fcaff8939666p-15, -0x1.24668d6ab7effp-15, -0x1.0a3d67da7aaabp-15, -0x1.e2897cb93f21p-16, -0x1.b2e423e63afdfp-16, -0x1.857665ee643e5p-16, -0x1.5a2c7e0c50a38p-16, -0x1.30f33deb92317p-16, -0x1.09b809acc11f3p-16, -0x1.c8d1a80b11e77p-17, -0x1.81e834e1e3d5bp-17, -0x1.3e91c2fbc0968p-17, -0x1.fd5ac4c2df2f8p-18, -0x1.843645e4a46f4p-18, -0x1.11781b0e991e8p-18, -0x1.49c874d7c55b2p-19, -0x1.f2038bf55b3bap-21, 0x1.155d3d61cec23p-21, 0x1.f85aebdc51298p-20, 0x1.a86b80df1332dp-19, 0x1.253c0a29d4a5p-18, 0x1.715b4fda7b509p-18, 0x1.b8c3ba2b77365p-18, 0x1.fba3edc303983p-18, 0x1.1d148b02ed798p-17, 0x1.3a3f77cd13b22p-17, 0x1.5567e94e3dd84p-17, 0x1.6ea25e4eede56p-17, 0x1.8602ad3289b88p-17, 0x1.9b9c08aa1a567p-17, 0x1.af810461961d5p-17, 0x1.c1c399761799bp-17, 0x1.d2752adf4e632p-17, 0x1.e1a689b769e97p-17, 0x1.ef67f962bb3fep-17, 0x1.fbc933a206b5cp-17, 0x1.036cb6437e38ap-16, 0x1.0853ab2886d2ep-16, 0x1.0ca09297c3992p-16, 0x1.105a49735670bp-16, 0x1.13877131f0accp-16, 0x1.162e719be5f71p-16, 0x1.18557a78f1732p-16, 0x1.1a028538c5d0ap-16, 0x1.1b3b568adc7fbp-16, 0x1.1c057ff0d9c93p-16, 0x1.1c6661408962fp-16, 0x1.1c632a21539bdp-16, 0x1.1c00db7a7c89ap-16, 0x1.1b4448db2ce76p-16, 0x1.1a3219d759134p-16, 0x1.18cecb5c09a46p-16, 0x1.171eb0f9405c5p-16, 0x1.1525f62444422p-16, 0x1.12e89f70c5b56p-16, 0x1.106a8bc1113bap-16, 0x1.0daf756e9269ap-16, 0x1.0abaf3697056ap-16, 0x1.07907a52779d1p-16, 0x1.04335d89ed4a1p-16, 0x1.00a6d03962c6fp-16, 0x1.f9dbccaca5d97p-17, 0x1.f2172b36cd8f5p-17, 0x1.ea056cfa03e63p-17, 0x1.e1ac0a2b64841p-17, 0x1.d910441a50178p-17, 0x1.d03726ef0a20bp-17, 0x1.c7258b5ebd09fp-17, 0x1.bde0185065148p-17, 0x1.b46b447aea09dp-17, 0x1.aacb57f1fd8e9p-17, 0x1.a1046da987354p-17, 0x1.971a74f1ed2f9p-17, 0x1.8d1132e16e67p-17, 0x1.82ec43bbd9366p-17, 0x1.78af1c49f48f5p-17, 0x1.6e5d0b288d037p-17, 0x1.63f93a0f94a9ap-17, 0x1.5986af0d2b6abp-17, 0x1.4f084db8e215bp-17, 0x1.4480d85e3643cp-17, 0x1.39f2f11d373eap-17, 0x1.2f611b03817f2p-17, 0x1.24cdbb1dae4e1p-17, 0x1.1a3b197f24c16p-17, 0x1.0fab6241a1ecep-17, 0x1.0520a68005355p-17, 0x1.f539ba8d063p-18, 0x1.e043c8fb7c87bp-18, 0x1.cb63039bec01ap-18, 0x1.b69ac6f52e4a5p-18, 0x1.a1ee4273dd5e3p-18, 0x1.8d607a0231955p-18, 0x1.78f447a113ce2p-18, 0x1.64ac5ce940ae3p-18, 0x1.508b448603914p-18, 0x1.3c9363a3e037ap-18, 0x1.28c6fb51fc8fp-18, 0x1.152829db1df2p-18, 0x1.01b8ec120021dp-18, 0x1.dcf63d28a21e8p-19, 0x1.b6e0fe0661456p-19, 0x1.91355a632f558p-19, 0x1.6bf658908ff56p-19, 0x1.4726c7cb65e1ap-19, 0x1.22c94258a3cc9p-19, 0x1.fdc05f3cdf2c2p-20, 0x1.b6db8c4aa366cp-20, 0x1.70e81b18ff8cfp-20, 0x1.2be9c0d5ffaaep-20, 0x1.cfc7b8886404bp-21, 0x1.49b2f28f0d6bp-21, 0x1.8b35511ca5671p-22, 0x1.0e0eebfcb41a1p-23, -0x1.e46c3cb120376p-24, -0x1.752ab8e4a3ccfp-22, -0x1.369086a6d3343p-21, -0x1.b07c4949a44b6p-21, -0x1.142b30f84f00ep-20, -0x1.4f0e819c85d1ep-20, -0x1.88e767d362b75p-20, -0x1.c1b56a42745b3p-20, -0x1.f97842926a447p-20, -0x1.1817ed85003dcp-19, -0x1.32ee262ada7e5p-19, -0x1.4d3eeda5ffd39p-19, -0x1.670a7b6c06fa4p-19, -0x1.80511af5e65d2p-19, -0x1.99132ac6cb46dp-19, -0x1.b1511b76eb1adp-19, -0x1.c90b6ecb16c94p-19, -0x1.e042b6d0af791p-19, -0x1.f6f7950536475p-19, -0x1.06955cc24000ap-18, -0x1.116e711eed0cbp-18, -0x1.1c076d186e182p-18, -0x1.2660bc5975aa5p-18, -0x1.307ad05b87388p-18, -0x1.3a56201190023p-18, -0x1.43f32792f0a09p-18, -0x1.4d5267cb979eap-18, -0x1.5674662daebadp-18, -0x1.5f59ac6746cbap-18, -0x1.6802c819d11a1p-18, -0x1.70704a95c04dbp-18, -0x1.78a2c89722609p-18, -0x1.809ada078c2cep-18, -0x1.885919be97cacp-18, -0x1.8fde25485c914p-18, -0x1.972a9cac7af42p-18, -0x1.9e3f2237f6f08p-18, -0x1.a51c5a490849p-18, -0x1.abc2eb1d272e3p-18, -0x1.b2337ca11e912p-18, -0x1.b86eb842df854p-18, -0x1.be7548c5e1c48p-18, -0x1.c447da18a82cdp-18, -0x1.c9e7192cea4b8p-18, -0x1.cf53b3d0d4a0cp-18, -0x1.d48e5889a6392p-18, -0x1.d997b6710659cp-18, -0x1.de707d12852p-18, -0x1.e3195c4c2984ap-18, -0x1.e793042f08051p-18, -0x1.ebde24e296da1p-18, -0x1.effb6e8841e13p-18, -0x1.f3eb912036641p-18, -0x1.f7af3c7100e39p-18, -0x1.fb471feebf611p-18, -0x1.feb3eaa492f5cp-18, -0x1.00fb258f34a9fp-17, -0x1.028777aa10f1p-17, -0x1.03ff424b0bb0fp-17, -0x1.0562dbbd0ad64p-17, -0x1.06b299e50256ep-17, -0x1.07eed2398e6dbp-17, -0x1.0917d9badc61dp-17, -0x1.0a2e04eb8161p-17, -0x1.0b31a7c9133dap-17, -0x1.0c2315c5d72bcp-17, -0x1.0d02a1c20c30cp-17, -0x1.0dd09e06809afp-17, -0x1.0e8d5c3ec67cp-17, -0x1.0f392d741f2a5p-17, -0x1.0fd46208a18e5p-17, -0x1.105f49b2c2b9ep-17, -0x1.10da3378f389dp-17, -0x1.11456dadfccc6p-17, -0x1.11a145ed6b426p-17, -0x1.11ee0917e549bp-17, -0x1.122c035070eap-17, -0x1.125b7ff951662p-17, -0x1.127cc9b1a50c8p-17, -0x1.12902a52ed6aap-17, -0x1.1295eaef344bep-17, -0x1.128e53cec9d2ap-17, -0x1.1279ac6ed927ep-17, -0x1.12583b7fb3aaep-17, -0x1.122a46e3a8c94p-17, -0x1.11f013adcd1f1p-17, -0x1.11a9e62107a17p-17, -0x1.115801af5790fp-17, -0x1.10faa8f910309p-17, -0x1.10921dcc5882fp-17, -0x1.101ea124f9db4p-17, -0x1.0fa0732c1e018p-17, -0x1.0f17d337fbc0cp-17, -0x1.0e84ffcc35bb5p-17, -0x1.0de8369a029fep-17, -0x1.0d41b4804789p-17, -0x1.0c91b58bfe998p-17, -0x1.0bd874f8d0c18p-17, -0x1.0b162d317c5adp-17, -0x1.0a4b17d0a0cb5p-17, -0x1.09776da188b6ap-17, -0x1.089b66a0f658fp-17, -0x1.07b739fe18175p-17, -0x1.06cb1e1b5c595p-17, -0x1.05d7488fcb8dep-17, -0x1.04dbee27dfc44p-17, -0x1.03d942e6f8a21p-17, -0x1.02cf7a0888e06p-17, -0x1.01bec60133a4fp-17, -0x1.00a7588065133p-17, -0x1.ff12c4e328ca2p-18, -0x1.fcca27fb96abcp-18, -0x1.fa75391a4001fp-18, -0x1.f814559067e15p-18, -0x1.f5a7d933c5c19p-18, -0x1.f3301e6170df3p-18, -0x1.f0ad7e0177affp-18, -0x1.ee204f89e9d1bp-18, -0x1.eb88e9025da08p-18, -0x1.e8e79f076b21cp-18, -0x1.e63cc4cddc491p-18, -0x1.e388ac2697b91p-18, -0x1.e0cba5822e218p-18, -0x1.de05fff3d24f5p-18, -0x1.db380935d2507p-18, -0x1.d8620dac76ba2p-18, -0x1.d584586a5329p-18, -0x1.d29f333382a09p-18, -0x1.cfb2e681a4be7p-18, -0x1.ccbfb98764c12p-18, -0x1.c9c5f23451d69p-18, -0x1.c6c5d53867499p-18, -0x1.c3bfa607fb4c1p-18, -0x1.c0b3a6df49293p-18, -0x1.bda218c6910fp-18, -0x1.ba8b3b957019dp-18, -0x1.b76f4df6d4e1ep-18, -0x1.b44e8d6c78187p-18, -0x1.b1293653025f4p-18, -0x1.adff83e562058p-18, -0x1.aad1b040b6a5dp-18, -0x1.a79ff467e03f6p-18, -0x1.a46a88474716p-18, -0x1.a131a2b856547p-18, -0x1.9df5798568879p-18, -0x1.9ab6416d10ad3p-18, -0x1.97742e260f54dp-18, -0x1.942f7262a735fp-18, -0x1.90e83fd445a58p-18, -0x1.8d9ec72f07989p-18, -0x1.8a53382d61cfcp-18, -0x1.8705c1935c5a2p-18, -0x1.83b691324c9ffp-18, -0x1.8065d3ec23575p-18, -0x1.7d13b5b6c600bp-18, -0x1.79c0619f9dff2p-18, -0x1.766c01cedb4ffp-18, -0x1.7316bf8acb247p-18, -0x1.6fc0c33b42f3bp-18, -0x1.6c6a346cbbb48p-18, -0x1.691339d39e17bp-18, -0x1.65bbf94f86f99p-18, -0x1.626497ee86105p-18, -0x1.5f0d39f00d56ap-18, -0x1.5bb602c84916bp-18, -0x1.585f152319ff7p-18, -0x1.550892e74116p-18, -0x1.51b29d3927ed9p-18, -0x1.4e5d547e0d2cfp-18, -0x1.4b08d85f1b75ep-18, -0x1.47b547cc17f58p-18, -0x1.4462c0fe6971fp-18, -0x1.4111617bdd9f8p-18, -0x1.3dc14619a4a7p-18, -0x1.3a728aff13056p-18, -0x1.37254ba840d64p-18, -0x1.33d9a2e8faf8bp-18, -0x1.308faaef563e7p-18, -0x1.2d477d4665312p-18, -0x1.2a0132d8d14e3p-18, -0x1.26bce3f38f5bdp-18, -0x1.237aa848422b2p-18, -0x1.203a96f00a049p-18, -0x1.1cfcc66dcc08dp-18, -0x1.19c14cb0c0c2dp-18, -0x1.16883f16f4e48p-18, -0x1.1351b26fa319ep-18, -0x1.101dbafd97a8dp-18, -0x1.0cec6c79863b9p-18, -0x1.09bdda1472fa7p-18, -0x1.06921679e5bf9p-18, -0x1.036933d22e96p-18, -0x1.004343c4aa826p-18, -0x1.fa40aef3eb1f1p-19, -0x1.f400ff3c1a01bp-19, -0x1.edc798c4e7122p-19, -0x1.e7949b00ca232p-19, -0x1.e1682475a5c1dp-19, -0x1.db4252c0e749p-19, -0x1.d523429b9d27ep-19, -0x1.cf0b0fde85aa7p-19, -0x1.c8f9d585eb9abp-19, -0x1.c2efadb576c6ep-19, -0x1.bcecb1bc23278p-19, -0x1.b6f0fa17f92f1p-19, -0x1.b0fc9e79bbba3p-19, -0x1.ab0fb5c8792ccp-19, -0x1.a52a562581706p-19, -0x1.9f4c94ef820c1p-19, -0x1.997686c658653p-19, -0x1.93a83f8e7ba9dp-19, -0x1.8de1d2742a333p-19, -0x1.882351ef06be3p-19, -0x1.826ccfc54cb9p-19, -0x1.7cbe5d0f21f7p-19, -0x1.77180a39a6adap-19, -0x1.7179e70a2ef1fp-19, -0x1.6be402a16527dp-19, -0x1.66566b7e6ebfp-19, -0x1.60d12f81de35fp-19, -0x1.5b545bf093d16p-19, -0x1.55dffd76bfc2ep-19, -0x1.5074202acdd49p-19, -0x1.4b10cf9033ae1p-19, -0x1.45b6169a44dd8p-19, -0x1.4063ffaeec5bdp-19, -0x1.3b1a94a95f268p-19, -0x1.35d9dedcd094p-19, -0x1.30a1e717081a6p-19, -0x1.2b72b5a31bfb1p-19, -0x1.264c524bba5e8p-19, -0x1.212ec45dd8781p-19, -0x1.1c1a12ab3b0b2p-19, -0x1.170e438cd6018p-19, -0x1.120b5ce513ccdp-19, -0x1.0d116422594e4p-19, -0x1.08205e413f61bp-19, -0x1.03384fcee250bp-19, -0x1.fcb279d657031p-20, -0x1.f306529605e08p-20, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      30, 0x1.5cccccccccccdp+2, 0x1.09ca8d0c74a59p-2, -0x1.9576120c0be61p-3, -0x1.eb1363aafa905p-3, 
      {{
        {0x1.feb851eb851ecp+1, 0x1p+2, 0x1.a57b0eaef11d1p-5, -0x1.35a10ab5d93dap-4, 0x1.4178afc174e6p-7, 0x1.695ee9e2c8181p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.9f4bdc3597fefp-5, -0x1.34cc5c9f1514bp-4, 0x1.572757638b245p-7, 0x1.64f615601629p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.80a73d6f66d74p-5, -0x1.2fd6edba9e2e2p-4, 0x1.c23df766c4fd1p-7, 0x1.6043807d07a5ep-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.62929f3fb956ap-5, -0x1.298d114689f19p-4, 0x1.15f5e892f070ep-6, 0x1.5b3178116266dp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.452fd15b07e5bp-5, -0x1.21f3778e5a4ebp-4, 0x1.4a0a20fbf2676p-6, 0x1.57f7e736f9eb4p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.28a02fef87aa6p-5, -0x1.190e1be5defaap-4, 0x1.7da283aa97e43p-6, 0x1.3db03fa5f9355p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0d0461ec24783p-5, -0x1.0eeb27d8d0a27p-4, 0x1.ad49c069e3abep-6, 0x1.183a325d9a3f3p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e4f5720f0de9dp-6, -0x1.03a933e6f3c61p-4, 0x1.d7527b2b21354p-6, 0x1.e9d1bc724cc4bp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.b23c49ce5ad8ep-6, -0x1.eed65e40a757fp-5, 0x1.fc0f02e6e6f71p-6, 0x1.a20904d52d5c2p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.820c4c2e2d131p-6, -0x1.d4a68f89d4304p-5, 0x1.0db4a4d50b95ap-5, 0x1.5a8f184122186p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.548d9c1382af2p-6, -0x1.b907bf7d5cb9fp-5, 0x1.1ab39c2449a9bp-5, 0x1.13000edd01d21p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.29e17e305a803p-6, -0x1.9c3e963f66284p-5, 0x1.25039cb2f9bb3p-5, 0x1.96ed5b600f945p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.02225903b4184p-6, -0x1.7e8fc35f405ecp-5, 0x1.2ca4dccffa05ep-5, 0x1.07d790ed378c6p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.bac769b31f905p-7, -0x1.603ff46f59f4ep-5, 0x1.31974dee0643bp-5, 0x1.e30a59bece405p-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.77647795dd3ep-7, -0x1.4193d78a7bf59p-5, 0x1.33daf3f351a1ap-5, -0x1.6529bca641b6dp-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.3a27737ba4d88p-7, -0x1.22d01aa6e6ee4p-5, 0x1.336fcdd452f45p-5, -0x1.4acf7e0ecb4a9p-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.030e38ca7b77ap-7, -0x1.04396bc4a2f8ap-5, 0x1.3055dbd8fc3fbp-5, -0x1.347ce67c4b629p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a411cd04cf642p-8, -0x1.cc28f1c244ea3p-6, 0x1.2a8d1ded0e091p-5, -0x1.c3920c0e73072p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.4df3be7ae3384p-8, -0x1.914bdff4ce2a2p-6, 0x1.22159419957a8p-5, -0x1.29539a79ffa6fp-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.036b925f458c6p-8, -0x1.5864fe1d96061p-6, 0x1.16ef3e4e9be41p-5, -0x1.70de293743496p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.880e389c1900cp-9, -0x1.21fda8356e757p-6, 0x1.091a1cc2efc49p-5, -0x1.b868cd20ece18p-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.1e716e2ea2534p-9, -0x1.dd3e748803e8bp-7, 0x1.f12c5d569a92p-6, -0x1.fff3220e72d55p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.915d12fcbe67ap-10, -0x1.7da62032f67f4p-7, 0x1.cac6edfbeb8efp-6, -0x1.23bf4ee00b039p-6}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.0a78b9f71b7bp-10, -0x1.26450caa56e98p-7, 0x1.9f03d55a504e9p-6, -0x1.4782e6aed3aeap-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.496b25f9c7e5p-11, -0x1.b05bda452885ep-8, 0x1.6de365f34a26dp-6, -0x1.6b4e83438af12p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.7095f23aaf601p-12, -0x1.28e716b53a8d7p-8, 0x1.37646bdc5bb6p-6, -0x1.8efc32ca9c62cp-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.63638fe898d7fp-13, -0x1.70a173c653d7cp-9, 0x1.f716c87beee88p-7, -0x1.b31991c25cdb2p-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.0c08b68c596p-14, -0x1.83008bda6e95fp-10, 0x1.748f1cc19fda9p-7, -0x1.d59620051522ep-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.f4fee13d828p-17, -0x1.229c4d8a86534p-11, 0x1.cf5dbfe6996dep-8, -0x1.fe2641ab169cdp-6}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.0c6b2bdc68dbp-20, -0x1.52d3e0ce9c7d6p-14, 0x1.3a8d97664ae2bp-9, -0x1.ed46e0186e8ap-6}, 
      }}, 
      0x1.c0cc064767821p-4, 0x1.833a8ba1b28p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_h_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.93aa8f761d593p-9, 0x1.7d9ae44289458p-8, 0x1.069ec2e98681p-7, 0x1.389348d235d7bp-7, 0x1.53221afd427f1p-7, 0x1.564ae7ef52ab9p-7, 0x1.4310fa3cbc727p-7, 0x1.1b1d310a2fdbcp-7, 0x1.c0f8ae89a1d45p-8, 0x1.2ae28e2731471p-8, 0x1.e2a235216f731p-10, -0x1.44239955a672p-10, -0x1.2daa6fdc17c1fp-8, -0x1.0c781d2868494p-7, -0x1.876c2c45d4093p-7, -0x1.02ecc38c9617cp-6, -0x1.4309ad0940ccep-6, -0x1.834c0e498663ap-6, -0x1.c3085ca20e9eap-6, -0x1.00d3b7aafe867p-5, -0x1.1f52b4e73872p-5, -0x1.3cc83e7585cf2p-5, -0x1.5903c9852e05bp-5, -0x1.73dc7b768008dp-5, -0x1.8d307d8474538p-5, -0x1.a4e456001cbd9p-5, -0x1.bae246b434303p-5, -0x1.cf19b44e5e69ap-5, -0x1.e17e978004719p-5, -0x1.f208fb61bd14fp-5, -0x1.005a451103e01p-4, -0x1.06c0155f3c326p-4, -0x1.0c36d50714881p-4, -0x1.10c0b659a1969p-4, -0x1.1461112f033a7p-4, -0x1.171c3c610e5f3p-4, -0x1.18f767f6e0eep-4, -0x1.19f879c4b39cap-4, -0x1.1a25eda0c6e4dp-4, -0x1.1986b8f6e173ep-4, -0x1.18223222460ep-4, -0x1.15fffa0b92072p-4, -0x1.1327e8ade483ep-4, -0x1.0fa1fb9c36182p-4, -0x1.0b76467f362edp-4, -0x1.06ace58d8d9ccp-4, -0x1.014df1820fc26p-4, -0x1.f6c2e9c591d86p-5, -0x1.e9dec6d05df2dp-5, -0x1.dbff24832344bp-5, -0x1.cd336190ae501p-5, -0x1.bd8a85c14c1d5p-5, -0x1.ad133bbf028c7p-5, -0x1.9bdbc8d2d061cp-5, -0x1.89f2033cb4365p-5, -0x1.776350611c6e6p-5, -0x1.643ca1cde76cap-5, -0x1.508a76c853b2ap-5, -0x1.3c58d5597f0ep-5, -0x1.27b34abd9882bp-5, -0x1.12a4e9e77849p-5, -0x1.fa70a5b64754bp-6, -0x1.ceef661ae1822p-6, -0x1.a2d98bd5f83bap-6, -0x1.7641a8707a996p-6, -0x1.49396cb741a8p-6, -0x1.1bd1b20f15cd1p-6, -0x1.dc3508779f907p-7, -0x1.804652b023b66p-7, -0x1.23f44dec6794cp-7, -0x1.8eb5134dba261p-8, -0x1.aa4c8c4cdf97cp-9, -0x1.b6d9e6ee90d6p-12, 0x1.3c8c4437691f4p-9, 0x1.57c8c6fb9a79dp-8, 0x1.087842382e3cdp-7, 0x1.64caee91b87e2p-7, 0x1.c0c9c7bf8aed9p-7, 0x1.0e319f4975abdp-6, 0x1.3bc367a7630c2p-6, 0x1.69127b05df0a7p-6, 0x1.961792137941fp-6, 0x1.c2cbda261cb48p-6, 0x1.ef28eff1c7afbp-6, 0x1.0d946c69d5b83p-5, 0x1.2362ff3b3eaebp-5, 0x1.38fd94ad731e4p-5, 0x1.4e61bef292ddep-5, 0x1.638d3b850fbbfp-5, 0x1.787df16a5a7fcp-5, 0x1.8d31efdabce44p-5, 0x1.a1a76bbb733afp-5, 0x1.b5dcbe9732ecap-5, 0x1.c9d0644d6cb91p-5, 0x1.dd80f9b66a61cp-5, 0x1.f0ed3ad8108cap-5, 0x1.020a00aa53bebp-4, 0x1.0b7a217a959edp-4, 0x1.14c688176e99cp-4, 0x1.1deec980105d2p-4, 0x1.26f286ada41b3p-4, 0x1.2fd16c2ff8349p-4, 0x1.388b317430f46p-4, 0x1.411f9856f461p-4, 0x1.498e6c9a84863p-4, 0x1.51d78368afd2bp-4, 0x1.59fabad2b9423p-4, 0x1.61f7f972e38e1p-4, 0x1.69cf2de6f8eddp-4, 0x1.71804e6dcbdb9p-4, 0x1.790b588c6024cp-4, 0x1.8070508bf2a38p-4, 0x1.87af413d2557bp-4, 0x1.8ec83b8ac418ep-4, 0x1.95bb562aef5bap-4, 0x1.9c88ad490b904p-4, 0x1.a33062398ccf3p-4, 0x1.a9b29b2e75c91p-4, 0x1.b00f82eef593p-4, 0x1.b64748881f31cp-4, 0x1.bc5a1f477f56p-4, 0x1.c2483e09ad56p-4, 0x1.c811df66462dbp-4, 0x1.cdb7414dd5683p-4, 0x1.d338a4dc2ea2dp-4, 0x1.d8964e133dbcep-4, 0x1.ddd083bce1269p-4, 0x1.e2e78f3576ad2p-4, 0x1.e7dbbc35e6187p-4, 0x1.ecad58b1e529fp-4, 0x1.f15cb4abd0a2p-4, 0x1.f5ea220632a73p-4, 0x1.fa55f46432af7p-4, 0x1.fea0810b8db67p-4, 0x1.01650f5792666p-3, 0x1.036992adaadcfp-3, 0x1.055df72e5340dp-3, 0x1.07426a088b829p-3, 0x1.091718d961757p-3, 0x1.0adc31f060de6p-3, 0x1.0c91e3a648392p-3, 0x1.0e385cdedaff9p-3, 0x1.0fcfcccaa7fp-3, 0x1.115862cf60102p-3, 0x1.12d24e8b277f7p-3, 0x1.143dbfca6106ep-3, 0x1.159ae680af364p-3, 0x1.16e9f2b6ec33cp-3, 0x1.182b14848e3fp-3, 0x1.195e7c123c46dp-3, 0x1.1a84598a347c9p-3, 0x1.1b9cdd0a4866ap-3, 0x1.1ca836a5eca4bp-3, 0x1.1da696645b4eep-3, 0x1.1e982c33c6892p-3, 0x1.1f7d27d785196p-3, 0x1.2055b8f6d8b9bp-3, 0x1.21220f1584c6ep-3, 0x1.21e25983734fep-3, 0x1.2296c74fa30dp-3, 0x1.233f877c7d958p-3, 0x1.23dcc887bca15p-3, 0x1.246eb90264e9ep-3, 0x1.24f586fb66e8fp-3, 0x1.2571605aee76ap-3, 0x1.25e272b168d5bp-3, 0x1.2648eb568c745p-3, 0x1.26a4f731c61ebp-3, 0x1.26f6c2e68cd64p-3, 0x1.273e7ace2f01p-3, 0x1.277c4ae128821p-3, 0x1.27b05eba7efbfp-3, 0x1.27dae197a2261p-3, 0x1.27fbfe5b0062dp-3, 0x1.2813df8fac038p-3, 0x1.2822af573995cp-3, 0x1.2828976ab54cap-3, 0x1.2825c11e9d96dp-3, 0x1.281a556a16c86p-3, 0x1.28067cdf031f3p-3, 0x1.27ea5f9e78278p-3, 0x1.27c6255b3d54ap-3, 0x1.2799f56428e7cp-3, 0x1.2765f69e0782cp-3, 0x1.272a4f855a1e5p-3, 0x1.26e726217fd17p-3, 0x1.269ca008de257p-3, 0x1.264ae269f5e49p-3, 0x1.25f21207c15aap-3, 0x1.25925337e689cp-3, 0x1.252bc9da55cc2p-3, 0x1.24be995ec690ap-3, 0x1.244ae4bc5de77p-3, 0x1.23d0ce9262a0fp-3, 0x1.2350790546669p-3, 0x1.22ca05c86b564p-3, 0x1.223d961bc0aecp-3, 0x1.21ab4ad018e07p-3, 0x1.2113444af747cp-3, 0x1.2075a28534bb1p-3, 0x1.1fd285071cb4p-3, 0x1.1f2a0ae6d44afp-3, 0x1.1e7c52ca1d744p-3, 0x1.1dc97aed0f844p-3, 0x1.1d11a11f6e5e2p-3, 0x1.1c54e2c665c64p-3, 0x1.1b935cd83cfe9p-3, 0x1.1acd2bdcd5701p-3, 0x1.1a026bf0a54ap-3, 0x1.193338c7f2571p-3, 0x1.185fadaf783c5p-3, 0x1.1787e58b08a17p-3, 0x1.16abfad464851p-3, 0x1.15cc079a00758p-3, 0x1.14e82596423dfp-3, 0x1.14006df050018p-3, 0x1.1314f98d995c3p-3, 0x1.1225e1066f153p-3, 0x1.11333c5fc8c98p-3, 0x1.103d235ec610ep-3, 0x1.0f43ad59340ccp-3, 0x1.0e46f115b5307p-3, 0x1.0d47055ea64f6p-3, 0x1.0c44004dcd992p-3, 0x1.0b3df7d7cd8adp-3, 0x1.0a3501719dde3p-3, 0x1.0929322f4966dp-3, 0x1.081a9ed983c7p-3, 0x1.07095be8ef17cp-3, 0x1.05f57d72a4ec7p-3, 0x1.04df172c56bcp-3, 0x1.03c63c859ed6bp-3, 0x1.02ab008cc1195p-3, 0x1.018d7609ebfc8p-3, 0x1.006daf6a2ebbbp-3, 0x1.fe977d808c90bp-4, 0x1.fc4f6bb96dbbep-4, 0x1.fa034c782d017p-4, 0x1.f7b3420d998e8p-4, 0x1.f55f6e4fef61bp-4, 0x1.f307f2645c353p-4, 0x1.f0aceed259745p-4, 0x1.ee4e83a3c3c8bp-4, 0x1.ebecd04a0aa1ap-4, 0x1.e987f3a803e2bp-4, 0x1.e7200c0b79be8p-4, 0x1.e4b5375516033p-4, 0x1.e24792be49abbp-4, 0x1.dfd73b03ca1f3p-4, 0x1.dd644c65beeebp-4, 0x1.daeee2a044486p-4, 0x1.d87718f17c5bap-4, 0x1.d5fd0a195a922p-4, 0x1.d380d059f63fp-4, 0x1.d10285944cf2fp-4, 0x1.ce824313024d1p-4, 0x1.cc0021bd54961p-4, 0x1.c97c3a08e4ed5p-4, 0x1.c6f6a4007351ap-4, 0x1.c46f773217882p-4, 0x1.c1e6cad5f6cap-4, 0x1.bf5cb5a8829e8p-4, 0x1.bcd14e053b413p-4, 0x1.ba44a9f2cee46p-4, 0x1.b7b6def85d1ccp-4, 0x1.b528024c2540dp-4, 0x1.b29828c4c0168p-4, 0x1.b00766dad25a7p-4, 0x1.ad75d0a8594f2p-4, 0x1.aae379f291c5ap-4, 0x1.a8507623c8d1bp-4, 0x1.a5bcd84f5ba72p-4, 0x1.a328b332fed0bp-4, 0x1.a0941949683a1p-4, 0x1.9dff1ca6e5eeap-4, 0x1.9b69cf19d82adp-4, 0x1.98d442252118bp-4, 0x1.963e86fdc1a8dp-4, 0x1.93a8ae8e354d4p-4, 0x1.9112c9785dda2p-4, 0x1.8e7ce81730c58p-4, 0x1.8be71a803a2e8p-4, 0x1.89517083c0c0fp-4, 0x1.86bbf9ad7b9cp-4, 0x1.8426c54d917e1p-4, 0x1.8191e270d999ap-4, 0x1.7efd5fdd4d02fp-4, 0x1.7c694c240c103p-4, 0x1.79d5b599a7462p-4, 0x1.7742aa5793c57p-4, 0x1.74b0383de751ap-4, 0x1.721e6cf22528p-4, 0x1.6f8d55e0d5152p-4, 0x1.6cfd003c875c1p-4, 0x1.6a6d7905199d6p-4, 0x1.67decd05ec09p-4, 0x1.655108d912e0dp-4, 0x1.62c438efccc59p-4, 0x1.60386986af199p-4, 0x1.5dada6a0ed987p-4, 0x1.5b23fc11aa9bfp-4, 0x1.589b75770a19fp-4, 0x1.56141e3f68027p-4, 0x1.538e01b08b61cp-4, 0x1.51092aed4ff8fp-4, 0x1.4e85a4f6a6357p-4, 0x1.4c037aa6c5d97p-4, 0x1.4982b6a8b6465p-4, 0x1.470363708d8f4p-4, 0x1.44858b39248b6p-4, 0x1.420938098b7a5p-4, 0x1.3f8e73c3c053bp-4, 0x1.3d154837e182p-4, 0x1.3a9dbf217e8efp-4, 0x1.3827e22c7fb11p-4, 0x1.35b3bae80f8aap-4, 0x1.334152ae83b16p-4, 0x1.30d0b29607b08p-4, 0x1.2e61e36b81c23p-4, 0x1.2bf4edc10ad88p-4, 0x1.2989da08dd852p-4, 0x1.2720b0b32495ep-4, 0x1.24b97a408e127p-4, 0x1.22543f3f8ad84p-4, 0x1.1ff10832987cfp-4, 0x1.1d8fdd693025bp-4, 0x1.1b30c6db4be46p-4, 0x1.18d3cc16f932bp-4, 0x1.1678f452bbe8ap-4, 0x1.1420468fb58e3p-4, 0x1.11c9c9cdbfcp-4, 0x1.0f75853be4a8cp-4, 0x1.0d23804694b74p-4, 0x1.0ad3c282be053p-4, 0x1.0886537944b2cp-4, 0x1.063b3a66e6f97p-4, 0x1.03f27e0896012p-4, 0x1.01ac248a65bcbp-4, 0x1.fed06742cbb94p-5, 0x1.fa4d619632d99p-5, 0x1.f5cf4326633d6p-5, 0x1.f15617b4f55dcp-5, 0x1.ece1ebc353d39p-5, 0x1.e872cc746e988p-5, 0x1.e408c70a28d14p-5, 0x1.dfa3e84653c84p-5, 0x1.db443be0175bbp-5, 0x1.d6e9cc3e5d8cep-5, 0x1.d294a288ecd83p-5, 0x1.ce44c71ccb63bp-5, 0x1.c9fa422942adap-5, 0x1.c5b51c3d7d867p-5, 0x1.c1755ea0a5d2dp-5, 0x1.bd3b13608e035p-5, 0x1.b906451a5584cp-5, 0x1.b4d6fe90b148ep-5, 0x1.b0ad4a2a25a21p-5, 0x1.ac89317bbe62ap-5, 0x1.a86abd05da0dep-5, 0x1.a451f437699adp-5, 0x1.a03eddaa58afdp-5, 0x1.9c317f71c6789p-5, 0x1.9829df57cdb9dp-5, 0x1.94280309d6b93p-5, 0x1.902bf04d8571cp-5, 0x1.8c35ad4d9dd37p-5, 0x1.884540e620de6p-5, 0x1.845ab2bccc9ap-5, 0x1.80760b0226d33p-5, 0x1.7c9751f76e38fp-5, 0x1.78be8f7831437p-5, 0x1.74ebca99774bep-5, 0x1.711f094c14fd8p-5, 0x1.6d584fe6c7e2bp-5, 0x1.6997a0b75ee65p-5, 0x1.65dcfc061a1bp-5, 0x1.622860f1a8986p-5, 0x1.5e79cf1025839p-5, 0x1.5ad1482350711p-5, 0x1.572ed0ff288c2p-5, 0x1.539271365c23cp-5, 0x1.4ffc31e9661e4p-5, 0x1.4c6c1c6daaa97p-5, 0x1.48e2393aab3e7p-5, 0x1.455e8ef70ce25p-5, 0x1.41e1214a01e1fp-5, 0x1.3e69ef8b5740fp-5, 0x1.3af8f42b67e69p-5, 0x1.378e25fe2dcap-5, 0x1.34297b8d8f9p-5, 0x1.30caef29b250ep-5, 0x1.2d72819b5d7dap-5, 0x1.2a2039f789a85p-5, 0x1.26d423082a542p-5, 0x1.238e4820c9bd3p-5, 0x1.204eb2fc04a77p-5, 0x1.1d156af1f3b11p-5, 0x1.19e2748be897bp-5, 0x1.16b5d03fa2dd2p-5, 0x1.138f7848ebbd2p-5, 0x1.106f5f65dc341p-5, 0x1.0d5572d91a23ap-5, 0x1.0a41a048938ffp-5, 0x1.0733dccea9a49p-5, 0x1.042c28e6c68a3p-5, 0x1.012a8ecbdc13p-5, 0x1.fc5e39a14f083p-6, 0x1.f673bf201d4a7p-6, 0x1.f095bdff30bep-6, 0x1.eac43dd609425p-6, 0x1.e4ff422fabfe5p-6, 0x1.df46cc7354733p-6, 0x1.d99ad7779eb49p-6, 0x1.d3fb4ebc8282dp-6, 0x1.ce6809b0bfd33p-6, 0x1.c8e0d37801723p-6, 0x1.c3657e67795a4p-6, 0x1.bdf5f671b048ep-6, 0x1.b892446452e8ep-6, 0x1.b33a805338514p-6, 0x1.adeebf384c5e6p-6, 0x1.a8af0848af5ebp-6, 0x1.a37b550d187bfp-6, 0x1.9e5398f46b693p-6, 0x1.9937cb7f16c2fp-6, 0x1.9427ef92bc38fp-6, 0x1.8f24111e307fcp-6, 0x1.8a2c379a486c4p-6, 0x1.8540562553cccp-6, 0x1.8060474ecabd6p-6, 0x1.7b8bddefb35dfp-6, 0x1.76c2ff5ea0fcbp-6, 0x1.7205ad7926418p-6, 0x1.6d53f50786f68p-6, 0x1.68add3795d5cap-6, 0x1.64132e4a57219p-6, 0x1.5f83dd2960841p-6, 0x1.5affb556cf5fp-6, 0x1.56868efa1031p-6, 0x1.52184b1d97166p-6, 0x1.4db4de76bb161p-6, 0x1.495c588ad20d4p-6, 0x1.450edbb2e8d0dp-6, 0x1.40cc84c1c3df8p-6, 0x1.3c9554234be1bp-6, 0x1.3869329dde925p-6, 0x1.34481282e57acp-6, 0x1.30320567384fbp-6, 0x1.2c272381558b7p-6, 0x1.28275fcc24155p-6, 0x1.2432846787565p-6, 0x1.20485aed0510fp-6, 0x1.1c68c6625490ap-6, 0x1.1893af5461333p-6, 0x1.14c8e4f777c2ep-6, 0x1.11081f6f8c27cp-6, 0x1.0d51244918767p-6, 0x1.09a3eadba5d53p-6, 0x1.06009cc475213p-6, 0x1.026769e5b2639p-6, 0x1.fdb0a3419693fp-7, 0x1.f6a637949b47ep-7, 0x1.efaf270c1e558p-7, 0x1.e8cb7c8103163p-7, 0x1.e1fb78dd07f7fp-7, 0x1.db3ef42afee72p-7, 0x1.d4955c523444p-7, 0x1.cdfe753bf335dp-7, 0x1.c77ac2f7e3f34p-7, 0x1.c10af7c47629fp-7, 0x1.baaf2347b91d1p-7, 0x1.b46694471d23dp-7, 0x1.ae306edf76f7fp-7, 0x1.a80c5079b6361p-7, 0x1.a1fa7fbed6bddp-7, 0x1.9bfb9c4f75c3ep-7, 0x1.9610037f24d3bp-7, 0x1.9037450b94c27p-7, 0x1.8a70319d824fp-7, 0x1.84b9b14544416p-7, 0x1.7f13831f6d3e8p-7, 0x1.797dd49b595a3p-7, 0x1.73f832ccaa0a1p-7, 0x1.6e8198a473202p-7, 0x1.6919d47209a5p-7, 0x1.63c21ecadf71dp-7, 0x1.5e7bd533a39fp-7, 0x1.59471f10c411dp-7, 0x1.542316d06a9fap-7, 0x1.4f0ee538d38a8p-7, 0x1.4a0a6c334a2b5p-7, 0x1.45161c66f232ap-7, 0x1.40328fd4a5744p-7, 0x1.3b604dd8d87ecp-7, 0x1.369f7b567a04ep-7, 0x1.31ef64629e489p-7, 0x1.2d4e904c15516p-7, 0x1.28bbce511cce4p-7, 0x1.24371899c1b74p-7, 0x1.1fc0eff7be964p-7, 0x1.1b58e5411c112p-7, 0x1.16fda8a926963p-7, 0x1.12af0110a56fbp-7, 0x1.0e6e5bf692357p-7, 0x1.0a3cca41287a1p-7, 0x1.0619c29c3fea5p-7, 0x1.02043e825bcfdp-7, 0x1.fbf8283166849p-8, 0x1.f40396c56d1e9p-8, 0x1.ec2b806950e01p-8, 0x1.e46fc0e93bb25p-8, 0x1.dcd00a8a7c6a7p-8, 0x1.d54c786baa679p-8, 0x1.cde4fe823604bp-8, 0x1.c69804a4bc6dep-8, 0x1.bf625ef892bd4p-8, 0x1.b841b5db282edp-8, 0x1.b1368b3be90ddp-8, 0x1.aa4333effde32p-8, 0x1.a3684d8405a0fp-8, 0x1.9ca36c5770532p-8, 0x1.95f3cb1dca1e9p-8, 0x1.8f5bdbf4f104ep-8, 0x1.88dc1db359487p-8, 0x1.82724fa8b7fc4p-8, 0x1.7c1db73c69d8cp-8, 0x1.75dfe2f983fedp-8, 0x1.6fb9faf17e5bdp-8, 0x1.69abdce5d1fc4p-8, 0x1.63b50b25f3b15p-8, 0x1.5dd564e828df3p-8, 0x1.580d69a410622p-8, 0x1.525e2da3e543dp-8, 0x1.4cc8657b37c01p-8, 0x1.474aa9943d1dbp-8, 0x1.41e164cc8e5b5p-8, 0x1.3c8963fc24232p-8, 0x1.374237522d6b1p-8, 0x1.320e5cbdf2308p-8, 0x1.2ceefe307840bp-8, 0x1.27dff4e55f7d8p-8, 0x1.22ded2617fb54p-8, 0x1.1dedc59bde27cp-8, 0x1.190c94c638da7p-8, 0x1.143a9ad2151d9p-8, 0x1.0f7a67db5a25ap-8, 0x1.0acdd7937633cp-8, 0x1.0634330552944p-8, 0x1.01ac1462dffdfp-8, 0x1.fa68f2d202737p-9, 0x1.f199813d3eac2p-9, 0x1.e8e95eefe6221p-9, 0x1.e059967d9c638p-9, 0x1.d7ed461930803p-9, 0x1.cfa81e9f8f589p-9, 0x1.c78a9ca70e7cep-9, 0x1.bf9137f603a6ap-9, 0x1.b7b87c722cedcp-9, 0x1.b000ac9ae20ep-9, 0x1.a86ee6dd7770cp-9, 0x1.a1069532d7ab2p-9, 0x1.99bd5a46981b7p-9, 0x1.928b1b12c81c7p-9, 0x1.8b723edb905b6p-9, 0x1.846f85dba929ap-9, 0x1.7d84a0953ee58p-9, 0x1.76b5ec755f1a4p-9, 0x1.7001556138b9ap-9, 0x1.6963bcfc16d15p-9, 0x1.62dc6be372e93p-9, 0x1.5c6c1dba2479p-9, 0x1.5613ce1d06d91p-9, 0x1.4fd40e1cc9e3ap-9, 0x1.49acc1c31343bp-9, 0x1.439d7a8eb0c37p-9, 0x1.3da668054eeaep-9, 0x1.37c8670bfc64ep-9, 0x1.3203172dae1f7p-9, 0x1.2c54c2765b179p-9, 0x1.26bd565ded06fp-9, 0x1.213e847089a84p-9, 0x1.1bdb09e660941p-9, 0x1.16981a1e7e8a9p-9, 0x1.11711d8e1c6b7p-9, 0x1.0c5b6b5c1c71ep-9, 0x1.0757a2e91a99bp-9, 0x1.0264bc5e6f736p-9, 0x1.fb1195aba3c49p-10, 0x1.f18a05d553024p-10, 0x1.e82ca56936402p-10, 0x1.def7ffafbc865p-10, 0x1.d5ecdf02a580bp-10, 0x1.cd0b4fa27ab7bp-10, 0x1.c451e902f462cp-10, 0x1.bbbde3b482d41p-10, 0x1.b34b91dc3faa2p-10, 0x1.aaf74c7e14e4cp-10, 0x1.a2bee203b5c17p-10, 0x1.9aa342bffb41ap-10, 0x1.92a899b0ab78ap-10, 0x1.8ad25843c05adp-10, 0x1.832013d0b83ep-10, 0x1.7b8fe2afa09abp-10, 0x1.741e838bd97bcp-10, 0x1.6cc7a5ff51b99p-10, 0x1.6590434676cecp-10, 0x1.5e86bfb7a09e3p-10, 0x1.579f2a98e7163p-10, 0x1.50d3da74781a5p-10, 0x1.4a27874e2193p-10, 0x1.43a256225c864p-10, 0x1.3d3bb577f0349p-10, 0x1.36ec7a79e8ac8p-10, 0x1.30b4356a32117p-10, 0x1.2a93c8cc2dfbep-10, 0x1.248bf5f37a87ap-10, 0x1.1e9d5df8204a5p-10, 0x1.18c897628da6fp-10, 0x1.130e3724db1c2p-10, 0x1.0d6ed374ba9efp-10, 0x1.07eafbf5ec3dep-10, 0x1.02832b45b267p-10, 0x1.fa6fcbf3b557ap-11, 0x1.f01416468e57bp-11, 0x1.e5f3e15b9a8a8p-11, 0x1.dc0a7acb7a94dp-11, 0x1.d24ec2a671055p-11, 0x1.c8b73b3acda7dp-11, 0x1.bf3d81c74e91p-11, 0x1.b5e03b50d1d42p-11, 0x1.acace1aa60856p-11, 0x1.a3b7c5effac92p-11, 0x1.9adf99d2d8c52p-11, 0x1.9220fd978655p-11, 0x1.8996c2382a487p-11, 0x1.813de69dd34d2p-11, 0x1.7914bea49ba57p-11, 0x1.711aae2d4b1efp-11, 0x1.69495625d8209p-11, 0x1.619a3264de99dp-11, 0x1.5a09f5bb85fcap-11, 0x1.52981d6466a08p-11, 0x1.4b456b131877dp-11, 0x1.4412cac74e134p-11, 0x1.3d00d4ab47ad9p-11, 0x1.360fa7ca0dd59p-11, 0x1.2f3edfed06998p-11, 0x1.288d9ffe0d5cfp-11, 0x1.21fb129b9242p-11, 0x1.1b878b94ea2b8p-11, 0x1.15345352b8fb9p-11, 0x1.0f018db1a1cb4p-11, 0x1.08ee0579cf8ddp-11, 0x1.02f8fc678a4d6p-11, 0x1.fa461865096eap-12, 0x1.eed88257a045bp-12, 0x1.e3ad1bcdbc68dp-12, 0x1.d8e2503480732p-12, 0x1.ce4a78f362d88p-12, 0x1.c3df56f2097d8p-12, 0x1.b9a0085af4d13p-12, 0x1.af7e22c06bd7bp-12, 0x1.a58ab398fb8cfp-12, 0x1.9bc9fce90ba5cp-12, 0x1.923256a77daafp-12, 0x1.88c7482371abbp-12, 0x1.7f9a954de4ebfp-12, 0x1.76b006901d39ep-12, 0x1.6df9e8169594ap-12, 0x1.656b4135904e4p-12, 0x1.5cff9f0f499c1p-12, 0x1.54b7dfc97aa5fp-12, 0x1.4c961aaad5d31p-12, 0x1.449bbf3dd69fep-12, 0x1.3cc9261cc3a2ap-12, 0x1.351df0be7a168p-12, 0x1.2d9a55fa2f513p-12, 0x1.263f9614406e9p-12, 0x1.1f0d70a2e6866p-12, 0x1.1801a0fd5540dp-12, 0x1.111a76eeb3b52p-12, 0x1.0a57560cb9bb4p-12, 0x1.03b73cee5e31cp-12, 0x1.fa6bb3d6fed59p-13, 0x1.eda8af5739cd7p-13, 0x1.e134b948a4115p-13, 0x1.d4fc027d34436p-13, 0x1.c909844459995p-13, 0x1.bd4b754830c1dp-13, 0x1.b1c8cead9e508p-13, 0x1.a689021fb3adep-13, 0x1.9b97987cae219p-13, 0x1.90ffc3d6c8198p-13, 0x1.86b73ec7a10bep-13, 0x1.7c98f1918aadfp-13, 0x1.72978e870d7dep-13, 0x1.68c76234d2cb9p-13, 0x1.5f1fc6352fe84p-13, 0x1.559faa459125p-13, 0x1.4c6d2388ab621p-13, 0x1.4388abcc5dce2p-13, 0x1.3ad59bb840ec2p-13, 0x1.3246ae73d628p-13, 0x1.29dce78b6168bp-13, 0x1.219c34455cfb2p-13, 0x1.19881753949d2p-13, 0x1.11a295820349p-13, 0x1.09eac6609b772p-13, 0x1.025f16e77e693p-13, 0x1.f5fd887ef0908p-14, 0x1.e7929c204486ap-14, 0x1.d97c078d1618p-14, 0x1.cbb42d577d679p-14, 0x1.be3116b95dc44p-14, 0x1.b108bc062ddbcp-14, 0x1.a437dc1130f5bp-14, 0x1.97ab0282a4389p-14, 0x1.8b63aaaf7cd2dp-14, 0x1.7f64be87782dep-14, 0x1.73acf5627c919p-14, 0x1.683a8fe7dce8ep-14, 0x1.5d0bcdbb9b427p-14, 0x1.521ee87038d34p-14, 0x1.4771fbb3dc06ep-14, 0x1.3d02e0dcd27dep-14, 0x1.32cf09a4a0183p-14, 0x1.28d38119a5d7ep-14, 0x1.1f0db96c4278ep-14, 0x1.157f7c63445a4p-14, 0x1.0c38e4b37eda7p-14, 0x1.0354386398941p-14, 0x1.f57959e2ad545p-15, 0x1.e47d9581e50a6p-15, 0x1.d39c656117616p-15, 0x1.c307a954e0829p-15, 0x1.b3335234fc59ep-15, 0x1.a3e675d2bbc77p-15, 0x1.94dec9ca21b59p-15, 0x1.861ce0d7922f1p-15, 0x1.77ae45a13f271p-15, 0x1.6999ce64cbec7p-15, 0x1.5be109a8a26d2p-15, 0x1.4e8336afd28efp-15, 0x1.417adb7812fcep-15, 0x1.34bf15e7dc38fp-15, 0x1.286a56fee44f6p-15, 0x1.1c6497f9b11e2p-15, 0x1.10a9f309a15bap-15, 0x1.053e23135e102p-15, 0x1.f43f2a7d3d175p-16, }}, 
      {{0x1.a91d64bd29b35p-12, 0x1.22849bc2afe58p-9, 0x1.1dadda5c2fb7dp-8, 0x1.a2d370ae63b4ap-8, 0x1.075ba51b73a7p-7, 0x1.2b92f20d3dcfbp-7, 0x1.3baaef21ee469p-7, 0x1.37197c8943b3ep-7, 0x1.1e92c166080d7p-7, 0x1.e733a914eded2p-8, 0x1.706243bc1e5ddp-8, 0x1.ba852b5143deep-9, 0x1.9504b0a75022dp-11, -0x1.156db67855238p-9, -0x1.561e098e1235fp-8, -0x1.1598a7cba0ed3p-7, -0x1.82f01526122e4p-7, -0x1.f13b83abba92ap-7, -0x1.2f68ededea7cfp-6, -0x1.651d809c93e6dp-6, -0x1.99175cd4ef6a4p-6, -0x1.cac9505d549fep-6, -0x1.f9bbbd52a692bp-6, -0x1.12c589323ac7fp-5, -0x1.26f3149ace0bdp-5, -0x1.39464dc7fc673p-5, -0x1.49a68e1542eb8p-5, -0x1.5801ee0c8fb88p-5, -0x1.644c82cac03cep-5, -0x1.6e7fa9e76cc84p-5, -0x1.7699670795483p-5, -0x1.7c9bd3c686d76p-5, -0x1.808ca03e6166cp-5, -0x1.82749f2026517p-5, -0x1.825f5876b8e1p-5, -0x1.805aa0bb47348p-5, -0x1.7c7635af09baep-5, -0x1.76c363ab6c14ep-5, -0x1.6f54b4d618f37p-5, -0x1.663daa239d79cp-5, -0x1.5b927cf307f4ep-5, -0x1.4f67e8744bf9ep-5, -0x1.41d2f9a4a877bp-5, -0x1.32e8e541146c5p-5, -0x1.22bee2efbed55p-5, -0x1.116a0d8fdd039p-5, -0x1.fdfe8ebe6cd5bp-6, -0x1.d726435a8db0ep-6, -0x1.ae73939ddf38ep-6, -0x1.840df05e4adb1p-6, -0x1.581bbfdae7079p-6, -0x1.2ac24848d63bfp-6, -0x1.f84b466397199p-7, -0x1.98d1580b62c22p-7, -0x1.3759dbbb1cdb6p-7, -0x1.a84a797ac1c36p-8, -0x1.bdc511a18bf01p-9, -0x1.2f22d7baeaad1p-12, 0x1.762b7ce963862p-9, 0x1.8ac9de02b2cfcp-8, 0x1.2de2160827967p-7, 0x1.96d1e1fc46374p-7, 0x1.000330396d603p-6, 0x1.34aa0f379154dp-6, 0x1.69491409213bfp-6, 0x1.9dccfd0fb71d7p-6, 0x1.d223b25f0a374p-6, 0x1.031e1a9df6749p-5, 0x1.1d0349c182dfep-5, 0x1.36b9f032c3eeap-5, 0x1.503b17f398582p-5, 0x1.69804894e65eep-5, 0x1.82838295cdc4ep-5, 0x1.9b3f391e0c594p-5, 0x1.b3ae4b02554e6p-5, 0x1.cbcbfc4b29879p-5, 0x1.e393f0e6821d5p-5, 0x1.fb02287fe1372p-5, 0x1.09097d91a2272p-4, 0x1.14618af792cb9p-4, 0x1.1f87bbc2ca186p-4, 0x1.2a7ab5fff4763p-4, 0x1.353944400c2c6p-4, 0x1.3fc25350462dcp-4, 0x1.4a14f004d8f5p-4, 0x1.5430452aeddf4p-4, 0x1.5e1399b97d941p-4, 0x1.67be4f34aceccp-4, 0x1.712fe03f31cf7p-4, 0x1.7a67df48dc2dbp-4, 0x1.8365f54a887b7p-4, 0x1.8c29e08bb843fp-4, 0x1.94b37364b68fdp-4, 0x1.9d0293096d87cp-4, 0x1.a517365470567p-4, 0x1.acf1649e9b0d2p-4, 0x1.b49134a282739p-4, 0x1.bbf6cb7031978p-4, 0x1.c3225b73a2cfdp-4, 0x1.ca14238c1b266p-4, 0x1.d0cc6e381fe53p-4, 0x1.d74b90ce71db6p-4, 0x1.dd91eac778af4p-4, 0x1.e39fe511ab2e4p-4, 0x1.e975f16f2cf7p-4, 0x1.ef1489ddb068dp-4, 0x1.f47c30026bcbbp-4, 0x1.f9ad6ca0ac75p-4, 0x1.fea8cf11bbb2cp-4, 0x1.01b776644e4d2p-3, 0x1.0400306a7ee2fp-3, 0x1.062ee5b9b56c1p-3, 0x1.0843e8ceced4dp-3, 0x1.0a3f8e50c23b6p-3, 0x1.0c222ce173e65p-3, 0x1.0dec1cec32fa7p-3, 0x1.0f9db87c94288p-3, 0x1.11375b134643ep-3, 0x1.12b9617dfbdbcp-3, 0x1.142429b59699p-3, 0x1.157812b595b22p-3, 0x1.16b57c5fd94a4p-3, 0x1.17dcc75b24e3dp-3, 0x1.18ee54f1aa9efp-3, 0x1.19ea86fa97dbbp-3, 0x1.1ad1bfba00507p-3, 0x1.1ba461c61c854p-3, 0x1.1c62cff403389p-3, 0x1.1d0d6d392ad66p-3, 0x1.1da49c969fd59p-3, 0x1.1e28c107d408bp-3, 0x1.1e9a3d6644f59p-3, 0x1.1ef9745911f0ap-3, 0x1.1f46c84630841p-3, 0x1.1f829b38601e3p-3, 0x1.1fad4ed170e8dp-3, 0x1.1fc7443eab1a9p-3, 0x1.1fd0dc21581cep-3, 0x1.1fca7681d02e1p-3, 0x1.1fb472c6fb1acp-3, 0x1.1f8f2fa4304dep-3, 0x1.1f5b0b08ac603p-3, 0x1.1f18621d0a94cp-3, 0x1.1ec7913405246p-3, 0x1.1e68f3b932f68p-3, 0x1.1dfce42f38138p-3, 0x1.1d83bc286d099p-3, 0x1.1cfdd434a9e06p-3, 0x1.1c6b83db5e0c4p-3, 0x1.1bcd219cb7fb1p-3, 0x1.1b2302e4d422bp-3, 0x1.1a6d7bfe1ffep-3, 0x1.19ace0138de1p-3, 0x1.18e18130397e8p-3, 0x1.180bb030b24c5p-3, 0x1.172bbcbb77cecp-3, 0x1.1641f5473b5d6p-3, 0x1.154ea7195ede1p-3, 0x1.14521e3805133p-3, 0x1.134ca5665d638p-3, 0x1.123e862c6ece2p-3, 0x1.112808d94bbf7p-3, 0x1.10097472930f5p-3, 0x1.0ee30eb5139d4p-3, 0x1.0db51c1d30517p-3, 0x1.0c7fdfeab8655p-3, 0x1.0b439c1542649p-3, 0x1.0a0091491c71fp-3, 0x1.08b6fef0d28dcp-3, 0x1.0767233d0dc5dp-3, 0x1.06113b1e50adap-3, 0x1.04b5823dd38b1p-3, 0x1.03543304b47a6p-3, 0x1.01ed86a81792bp-3, 0x1.0081b5294cb87p-3, 0x1.fe21ea9cdff2cp-4, 0x1.fb36f946ac53dp-4, 0x1.f842ff0b925ep-4, 0x1.f546625c8b701p-4, 0x1.f241875a20e9fp-4, 0x1.ef34cfcb85fccp-4, 0x1.ec209b29d9447p-4, 0x1.e90546b8e900bp-4, 0x1.e5e32d946143fp-4, 0x1.e2baa8aa50179p-4, 0x1.df8c0eb862479p-4, 0x1.dc57b45a8f50ep-4, 0x1.d91dec221d00fp-4, 0x1.d5df06a16f8e8p-4, 0x1.d29b52695d43ap-4, 0x1.cf531c080a75ep-4, 0x1.cc06ae16716cfp-4, 0x1.c8b6514e7f8d6p-4, 0x1.c5624c980ebfcp-4, 0x1.c20ae50bcd977p-4, 0x1.beb05df273404p-4, 0x1.bb52f8ce30a99p-4, 0x1.b7f2f56c9c90cp-4, 0x1.b49091f686fc7p-4, 0x1.b12c0af6ae3bap-4, 0x1.adc59b5b43af4p-4, 0x1.aa5d7c7be2cacp-4, 0x1.a6f3e627254b6p-4, 0x1.a3890eb24ab7fp-4, 0x1.a01d2b0441af3p-4, 0x1.9cb06e99c76fbp-4, 0x1.99430b88e52c8p-4, 0x1.95d532891a011p-4, 0x1.926713002bb52p-4, 0x1.8ef8db0f123efp-4, 0x1.8b8ab79a94971p-4, 0x1.881cd44fa54c1p-4, 0x1.84af5ba7dab45p-4, 0x1.814276f177754p-4, 0x1.7dd64e595bbfcp-4, 0x1.7a6b08f8a2267p-4, 0x1.7700ccd9994a3p-4, 0x1.7397befb05049p-4, 0x1.70300359755c3p-4, 0x1.6cc9bcf06815ep-4, 0x1.69650dc5b7579p-4, 0x1.660216f4ca5e5p-4, 0x1.62a0f8ade5656p-4, 0x1.5f41d245e69cap-4, 0x1.5be4c2320eb3bp-4, 0x1.5889e611b7dbcp-4, 0x1.55315ab262228p-4, 0x1.51db3c154d08dp-4, 0x1.4e87a576a8e23p-4, 0x1.4b36b1548a74fp-4, 0x1.47e8797326a82p-4, 0x1.449d16df2e19fp-4, 0x1.4154a1f397f8p-4, 0x1.3e0f325cb07fap-4, 0x1.3accdf1e6b1efp-4, 0x1.378dbe9963deep-4, 0x1.3451e68dd326p-4, 0x1.31196c205e67cp-4, 0x1.2de463dd8d347p-4, 0x1.2ab2e1bbe57abp-4, 0x1.2784f921283b1p-4, 0x1.245abce583373p-4, 0x1.21343f5646138p-4, 0x1.1e11923a1d50fp-4, 0x1.1af2c6d3be762p-4, 0x1.17d7ede4cf811p-4, 0x1.14c117af51d4dp-4, 0x1.11ae53fa1f854p-4, 0x1.0e9fb21258e85p-4, 0x1.0b9540ce24f9dp-4, 0x1.088f0e8f99dbdp-4, 0x1.058d2946e72b3p-4, 0x1.028f9e746f166p-4, 0x1.ff2cf6556c93dp-5, 0x1.f943981edc91fp-5, 0x1.f3633abe4b8d1p-5, 0x1.ed8bf5db6465fp-5, 0x1.e7bde0510d254p-5, 0x1.e1f91032cdba8p-5, 0x1.dc3d9acb285d6p-5, 0x1.d68b94a60dad4p-5, 0x1.d0e3118c122a5p-5, 0x1.cb442489ae895p-5, 0x1.c5aedfef83f59p-5, 0x1.c02355583f035p-5, 0x1.baa195a87f68bp-5, 0x1.b529b11269badp-5, 0x1.afbbb717e873bp-5, 0x1.aa57b68cc7accp-5, 0x1.a4fdbd985884cp-5, 0x1.9fadd9b7f829ep-5, 0x1.9a6817c127019p-5, 0x1.952c83e3a6253p-5, 0x1.8ffb29aa52eeep-5, 0x1.8ad413ff6e43cp-5, 0x1.85b74d2c357ccp-5, 0x1.80a4dedaec899p-5, 0x1.7b9cd218cb939p-5, 0x1.769f2f57b671cp-5, 0x1.71abfe701f636p-5, 0x1.6cc346a2e20d9p-5, 0x1.67e50e9adec8ep-5, 0x1.63115c6e5045cp-5, 0x1.5e48359ff20a6p-5, 0x1.59899f1f99263p-5, 0x1.54d59d4c72c13p-5, 0x1.502c33f77772cp-5, 0x1.4b8d6664ac7cbp-5, 0x1.46f9374de4e42p-5, 0x1.426fa8e409024p-5, 0x1.3df0bccf687f2p-5, 0x1.397c742fc5edfp-5, 0x1.3512cf9cf3b97p-5, 0x1.30b3cf2859a16p-5, 0x1.2c5f7260f70e6p-5, 0x1.2815b856e337dp-5, 0x1.23d69f9edc0f9p-5, 0x1.1fa22652a6aa3p-5, 0x1.1b784a1066023p-5, 0x1.175907f844d59p-5, 0x1.13445caa6203p-5, 0x1.0f3a44493e3f4p-5, 0x1.0b3aba7f833b7p-5, 0x1.0745ba87dec92p-5, 0x1.035b3f33a74fbp-5, 0x1.fef685da2cfbp-6, 0x1.f74b7f67a5f89p-6, 0x1.efb55e2b46e5cp-6, 0x1.e834144f60cp-6, 0x1.e0c7930a81841p-6, 0x1.d96fcaad486e9p-6, 0x1.d22caabd54b6bp-6, 0x1.cafe2212a1a3fp-6, 0x1.c3e41eec52a7dp-6, 0x1.bcde8eee05455p-6, 0x1.b5ed5f08d36c7p-6, 0x1.af107b5a87148p-6, 0x1.a847cf12fbb99p-6, 0x1.a1934470c058p-6, 0x1.9af2c4dadd32cp-6, 0x1.94663910e96ddp-6, 0x1.8ded895e2e752p-6, 0x1.87889db9c692bp-6, 0x1.81375dc427225p-6, 0x1.7af9b0a1ea0bcp-6, 0x1.74cf7cc36f3e3p-6, 0x1.6eb8a7b331c2dp-6, 0x1.68b5160372d83p-6, 0x1.62c4ab66d55b9p-6, 0x1.5ce74aef82e44p-6, 0x1.571cd75be191fp-6, 0x1.51653351d6d8cp-6, 0x1.4bc041720d0eep-6, 0x1.462de43a09318p-6, 0x1.40adfdc1b7f43p-6, 0x1.3b406f6fc7922p-6, 0x1.35e519c4e269ep-6, 0x1.309bdc54d7835p-6, 0x1.2b6495f2c4008p-6, 0x1.263f2500eb204p-6, 0x1.212b67c30bcaep-6, 0x1.1c293c9b666e9p-6, 0x1.1738821254953p-6, 0x1.125916b6c51d8p-6, 0x1.0d8ad8dd99b96p-6, 0x1.08cda65e95a8cp-6, 0x1.04215c6682cfdp-6, 0x1.ff0baee001bcp-7, 0x1.f5f5e6cad2234p-7, 0x1.ed0117b5c4dbap-7, 0x1.e42cf88fa28e5p-7, 0x1.db7940510c805p-7, 0x1.d2e5a601969dap-7, 0x1.ca71e094d9037p-7, 0x1.c21da6c396152p-7, 0x1.b9e8aef8df307p-7, 0x1.b1d2af5574ce6p-7, 0x1.a9db5dc353232p-7, 0x1.a2027012b7a66p-7, 0x1.9a479c13ede2ap-7, 0x1.92aa9791776b3p-7, 0x1.8b2b180be1d19p-7, 0x1.83c8d23bfb183p-7, 0x1.7c83799a99392p-7, 0x1.755ac04c53bfcp-7, 0x1.6e4e57a8f980bp-7, 0x1.675df139f2a6bp-7, 0x1.60893fc0101c8p-7, 0x1.59cff7d790947p-7, 0x1.5331d0141d7acp-7, 0x1.4cae80a8decfbp-7, 0x1.4645c2b33c1dep-7, 0x1.3ff74f205b6c4p-7, 0x1.39c2dd36f5325p-7, 0x1.33a82129430cfp-7, 0x1.2da6cb6eaeb6ap-7, 0x1.27be898f715d6p-7, 0x1.21ef085d8b0e4p-7, 0x1.1c37f6b7175bap-7, 0x1.1699079275b1bp-7, 0x1.1111f293c814fp-7, 0x1.0ba273543eb74p-7, 0x1.064a480bbe5f3p-7, 0x1.010930180a345p-7, 0x1.f7bdd4a530609p-8, 0x1.ed9665f502cf3p-8, 0x1.e39b82f6268bcp-8, 0x1.d9cc8e4d1eea1p-8, 0x1.d028e06ac059dp-8, 0x1.c6afceb44e281p-8, 0x1.bd60b50cc0245p-8, 0x1.b43afcf58bc99p-8, 0x1.ab3e1eecf153cp-8, 0x1.a2699e8cb88bp-8, 0x1.99bd04d50168ap-8, 0x1.9137dbda4a9acp-8, 0x1.88d9ac93ef0f4p-8, 0x1.80a1fd1b782dcp-8, 0x1.78904d41bd53ep-8, 0x1.70a41189d3b3fp-8, 0x1.68dcafed9ee6bp-8, 0x1.613982fc7ea74p-8, 0x1.59b9e48aac8d8p-8, 0x1.525d3b147369p-8, 0x1.4b2301cb34fffp-8, 0x1.440ac6c1339ap-8, 0x1.3d1421d47d80bp-8, 0x1.363eab1c581abp-8, 0x1.2f89f6049a845p-8, 0x1.28f591e0e4869p-8, 0x1.22810d144649cp-8, 0x1.1c2bf641ddd93p-8, 0x1.15f5d85788a52p-8, 0x1.0fde32fe8d72dp-8, 0x1.09e4763210552p-8, 0x1.040807e60a46dp-8, 0x1.fc90a66d657e2p-9, 0x1.f149ae267c70dp-9, 0x1.e63a523dadf8bp-9, 0x1.db61d74eb79c4p-9, 0x1.d0bf80a2354dap-9, 0x1.c65282042095bp-9, 0x1.bc1a017cbb6bcp-9, 0x1.b2152268c8ccbp-9, 0x1.a843133051a6p-9, 0x1.9ea3166847c6dp-9, 0x1.95347f0ee4236p-9, 0x1.8bf69d8564bdcp-9, 0x1.82e8a82debcbap-9, 0x1.7a09b454110f5p-9, 0x1.7158cbb5baeacp-9, 0x1.68d50f7bc7192p-9, 0x1.607dc5aa2d16p-9, 0x1.58524194e6115p-9, 0x1.5051c22d461aep-9, 0x1.487b6a2a3a70cp-9, 0x1.40ce521592f56p-9, 0x1.3949999d61e2p-9, 0x1.31ec6ce8a6b22p-9, 0x1.2ab6085afdf2dp-9, 0x1.23a5c367b082ep-9, 0x1.1cbb194b87e6p-9, 0x1.15f5a066763e5p-9, 0x1.0f54ecc1794ffp-9, 0x1.08d872757f4cbp-9, 0x1.027f88391705ap-9, 0x1.f89319295ad0fp-10, 0x1.ec6bfdf1561f2p-10, 0x1.e088c6450d808p-10, 0x1.d4e81ddf0369bp-10, 0x1.c98852d23aef7p-10, 0x1.be67be1266706p-10, 0x1.b38508728d408p-10, 0x1.a8defce61dcd9p-10, 0x1.9e74394ad66a8p-10, 0x1.944329f5544a3p-10, 0x1.8a4a5813a90c6p-10, 0x1.8088bd3c89b3ap-10, 0x1.76fdc91237e2dp-10, 0x1.6da90469aec78p-10, 0x1.64899ac631bc7p-10, 0x1.5b9e460f311efp-10, 0x1.52e5c31f893e6p-10, 0x1.4a5f40ec802eap-10, 0x1.420a223aa2e18p-10, 0x1.39e55dd3324c4p-10, 0x1.31ef7e458296ep-10, 0x1.2a276705c8b05p-10, 0x1.228cc5ab2d9d1p-10, 0x1.1b1f8487b01f9p-10, 0x1.13def86d81fd4p-10, 0x1.0cc9bbe7323edp-10, 0x1.05de3e172c36bp-10, 0x1.fe36c2f6b3f7p-11, 0x1.f10153d7a8de4p-11, 0x1.e41be1dfce866p-11, 0x1.d785b427839fbp-11, 0x1.cb3cb6ab03804p-11, 0x1.bf3d97cf8c1ebp-11, 0x1.b385372d72d11p-11, 0x1.a811e9b2caa8cp-11, 0x1.9ce2c6bfd95d1p-11, 0x1.91f5db83e4527p-11, 0x1.87483d5c6d688p-11, 0x1.7cd861708154ap-11, 0x1.72a721180d48ep-11, 0x1.68b5a2c1ded86p-11, 0x1.5f0318966d5bep-11, 0x1.558cff40bbe64p-11, 0x1.4c50ecf0d204fp-11, 0x1.434da605318f9p-11, 0x1.3a82d04f67163p-11, 0x1.31f046c9dc16fp-11, 0x1.2995bdf9912abp-11, 0x1.21725fbf2462fp-11, 0x1.198432b05a44cp-11, 0x1.11c83a505a45ep-11, 0x1.0a3bea767cb6p-11, 0x1.02de5ea036f23p-11, 0x1.f75ee618388c6p-12, 0x1.e95b75b65a123p-12, 0x1.dbad233968e2fp-12, 0x1.ce51a1bf5923p-12, 0x1.c14b343025facp-12, 0x1.b49b2db743ecfp-12, 0x1.a83e8fd82060ap-12, 0x1.9c31175de8e41p-12, 0x1.9070e4d343ba9p-12, 0x1.84fdf9c166a5ep-12, 0x1.79d7d51f11f23p-12, 0x1.6efcc2c261611p-12, 0x1.646acd9c4cc12p-12, 0x1.5a208b5f9e47ap-12, 0x1.501c88369d4c9p-12, 0x1.465bb41a8ee91p-12, 0x1.3cd953c975d93p-12, 0x1.3391acb6f477cp-12, 0x1.2a84422359b16p-12, 0x1.21b2a8230ba98p-12, 0x1.191c87a9446c9p-12, 0x1.10be1e8f9770bp-12, 0x1.089577df184p-12, 0x1.00a42f628f219p-12, 0x1.f1d3709cafd15p-13, 0x1.e2c50cd618d7bp-13, 0x1.d419aa9d6dec6p-13, 0x1.c5d2eb9ee65f4p-13, 0x1.b7f18270924bep-13, 0x1.aa7333768ac68p-13, 0x1.9d54f53b73174p-13, 0x1.909485f88f5e9p-13, 0x1.8430df28f1773p-13, 0x1.782a0a4640815p-13, 0x1.6c7f65546f65ap-13, 0x1.612c93587f76p-13, 0x1.56296b3aef7dep-13, 0x1.4b6e91d5ee706p-13, 0x1.40f9bade0ca97p-13, 0x1.36cdf3130857ap-13, 0x1.2cec0d9d70783p-13, 0x1.234b8539d00ccp-13, 0x1.19e6df6fc76dcp-13, 0x1.10c0c1c455c6bp-13, 0x1.07d7834356647p-13, 0x1.fe5179a9714bbp-14, 0x1.ed6f79bf5ac3dp-14, 0x1.dd0d32017b19ep-14, 0x1.cd25bde5a1064p-14, 0x1.bdb1eea406831p-14, 0x1.aeac2ecd9d843p-14, 0x1.a01071c848992p-14, 0x1.91dc10724472fp-14, 0x1.840e98c4886cp-14, 0x1.76aa7af371a66p-14, 0x1.69b2df627cf5ap-14, 0x1.5d266a9a27e2dp-14, 0x1.50fe20c897dc1p-14, 0x1.453312a84b345p-14, 0x1.39c36eaf0c79ep-14, 0x1.2eb423d3d0677p-14, 0x1.2407f84406785p-14, 0x1.19af1713f3feap-14, 0x1.0f9cd5f6f7b47p-14, 0x1.05d2e22846963p-14, 0x1.f89682b98fe22p-15, 0x1.e60d8ca5638efp-15, 0x1.d41416807a044p-15, 0x1.c2a21269d1861p-15, 0x1.b1acc3de106ffp-15, 0x1.a12ffa95fa153p-15, 0x1.912b64b222722p-15, 0x1.819f49dc9cf88p-15, 0x1.728ad3ee04ecp-15, 0x1.63eb7407a53f5p-15, 0x1.55bdb1bf4763p-15, 0x1.47ff4471c7e64p-15, 0x1.3aaf6ac1c0172p-15, 0x1.2dcb2dab65f76p-15, 0x1.214d20679faa3p-15, 0x1.153328274e4b4p-15, 0x1.097e8e749004cp-15, 0x1.fc650241f6338p-16, 0x1.e6ae14538c29p-16, 0x1.d1c18870296bp-16, 0x1.bd70d2dbeaed6p-16, 0x1.a9baf16126685p-16, 0x1.96986a62e6b4cp-16, 0x1.841e20c4ec187p-16, 0x1.724d6b3b0f32ep-16, 0x1.6116890921bcp-16, 0x1.50732833eea93p-16, 0x1.40618cf561d1p-16, 0x1.30dea9cbba3dcp-16, 0x1.21e4d9fdd3493p-16, 0x1.136c429cf2105p-16, 0x1.056be495126d9p-16, 0x1.efb6a64d8d07cp-17, 0x1.d569e369d4465p-17, 0x1.bbf05d815089dp-17, 0x1.a35273aa3c816p-17, 0x1.8b961bfddafdcp-17, 0x1.74b5b295fae92p-17, 0x1.5ea6ba8179ee9p-17, 0x1.495b1b2d361cp-17, 0x1.34c28aaafbf62p-17, 0x1.20e6c7a5008e1p-17, 0x1.0deb44bd8e4ap-17, 0x1.f755bb431a6fep-18, 0x1.d42242e8d91d4p-18, 0x1.b241925cfa63bp-18, 0x1.91d844511246p-18, 0x1.72b109d52cd95p-18, 0x1.549f1b70b0c83p-18, 0x1.379ad42683114p-18, 0x1.1ba3b45179f9ap-18, 0x1.00b82a23a8209p-18, 0x1.cdab0d72582bfp-19, 0x1.9bf126786017ep-19, 0x1.6c3bd4844e0e8p-19, 0x1.3e84497d7d746p-19, 0x1.12c38f3bf164bp-19, 0x1.d1e3dbb845acap-20, 0x1.820e495e9b569p-20, 0x1.35f75d68265b4p-20, 0x1.db09ca573bc5fp-21, 0x1.50ed71e27af91p-21, 0x1.99c5a65844c08p-22, 0x1.38f69617b424cp-23, -0x1.5b8ca5c9543d8p-24, -0x1.409b1c9182f74p-22, -0x1.0fbce2c84caccp-21, -0x1.78d879ef529b7p-21, -0x1.dd74893535c25p-21, -0x1.1eee4458c674dp-20, -0x1.4c695a4b597e5p-20, -0x1.77527b79fb7f5p-20, -0x1.9fcbe5dcb79p-20, -0x1.c5ecc1f3071fdp-20, -0x1.e9e904ec26de2p-20, -0x1.05f87075ee478p-19, -0x1.161040677199bp-19, -0x1.25427a44e9698p-19, -0x1.3392b65d20d2dp-19, -0x1.41047ca5877bep-19, -0x1.4d9c508ae830cp-19, -0x1.595fcd150e932p-19, -0x1.64557cbf2a4ccp-19, -0x1.6e849a2f8c4dcp-19, -0x1.77f445732cff9p-19, -0x1.80a9f52e47515p-19, -0x1.88a9a898c83f6p-19, -0x1.8ff88e1cca258p-19, -0x1.969d405cdfe55p-19, -0x1.9c9d7298ddb74p-19, -0x1.a1fce9d7ba5e5p-19, -0x1.a6c03f20cc8a4p-19, -0x1.aaea4541c0859p-19, -0x1.ae6de42b2be35p-19, -0x1.b16f61aa7d968p-19, -0x1.b3f834d70de7fp-19, -0x1.b60b6dd4fedcbp-19, -0x1.b7b3fc8744e84p-19, -0x1.b8eac8d682487p-19, -0x1.b9b17e3e4904ap-19, -0x1.ba107e394b5b3p-19, -0x1.ba090a34a406ep-19, -0x1.b997b9201cb4p-19, -0x1.b8c08f0499b9dp-19, -0x1.b78d3111bd5a6p-19, -0x1.b6050762ccea9p-19, -0x1.b42bce9b94d3ap-19, -0x1.b203c0cc56d79p-19, -0x1.af8f14c0e81a6p-19, -0x1.acd059f53ae83p-19, -0x1.a9ca5a530c495p-19, -0x1.a67ffbe903821p-19, -0x1.a2f460adae676p-19, -0x1.9f2ae62b1ded8p-19, -0x1.9b26845d28654p-19, -0x1.96e9a9e2de61bp-19, -0x1.9276cf9baa56bp-19, -0x1.8dd094ead8f82p-19, -0x1.88f96a5537c6p-19, -0x1.83f2e90afe249p-19, -0x1.7ebfcd31def35p-19, -0x1.79642e17fe7b7p-19, -0x1.73e01370942cep-19, -0x1.6e36e093f94aap-19, -0x1.6868a904ba30ep-19, -0x1.62784d250e9d3p-19, -0x1.5c68face0df34p-19, -0x1.563efe6c504fap-19, -0x1.4fff4def389f7p-19, -0x1.49ab3de8274aep-19, -0x1.433d8aec1f2d5p-19, -0x1.3cb4234b42c81p-19, -0x1.3614c7031d1d2p-19, -0x1.2f5ece98e0d45p-19, -0x1.2893134acee2ap-19, -0x1.21be2aefc7e02p-19, -0x1.1ae33b494518dp-19, -0x1.13fbabfe933ap-19, -0x1.0d0474ae06e5cp-19, -0x1.05fefbed8f3a3p-19, -0x1.fddbd85d48ec7p-20, -0x1.efa84052d70bap-20, -0x1.e1681c3f2ebaap-20, -0x1.d31d95eeebee4p-20, -0x1.c4ca3b0d9a407p-20, -0x1.b67068477f414p-20, -0x1.a81297fb3369dp-20, -0x1.99b2eb8a48732p-20, -0x1.8b5175592f59ap-20, -0x1.7cec0815a8a95p-20, -0x1.6e904c28141a8p-20, -0x1.603f2f72c56f6p-20, -0x1.51f16d91520f2p-20, -0x1.43aa36198f3eep-20, -0x1.356d61a8150b7p-20, -0x1.273c9b6436efap-20, -0x1.19193c133a3d1p-20, -0x1.0b048554a9985p-20, -0x1.f9ff4408bc75p-21, -0x1.de17321db3874p-21, -0x1.c252692489757p-21, -0x1.a6b1cb8c8f65ep-21, -0x1.8b357ec8ddc1ap-21, -0x1.6fdde42bde45ap-21, -0x1.54b0bb6293692p-21, -0x1.39c6defd52028p-21, -0x1.1f48ad078337bp-21, -0x1.05209253c5ee1p-21, -0x1.d616daacd43e9p-22, -0x1.a1f0d699ef7a1p-22, -0x1.6e1800e6f6437p-22, -0x1.3b3e455b72582p-22, -0x1.091b8c9a9fb31p-22, -0x1.aea494a2abe8cp-23, -0x1.4bcea5ec072dp-23, -0x1.d3d2c76e0e9b5p-24, -0x1.122bf326c2205p-24, -0x1.4b2b804bbd0a9p-26, 0x1.a8f5be330582ep-26, 0x1.24fb016532a2p-24, 0x1.dd9428af5dbep-24, 0x1.499ddd7df64d4p-23, 0x1.a3412683de588p-23, 0x1.fbb6fb93d32a1p-23, 0x1.29742dcebf053p-22, 0x1.5468731edaee3p-22, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.befedcd732bfp-11, -0x1.bedfeef0b9d24p-10, -0x1.4f07a96adca2dp-9, -0x1.be8872ca6956ep-9, -0x1.1700755b0e678p-8, -0x1.4ec69f93ee3e5p-8, -0x1.86ab718fba996p-8, -0x1.bec9d7385a5eap-8, -0x1.f74256f1d8621p-8, -0x1.181d31bd2aeb1p-7, -0x1.34edd0f471c1cp-7, -0x1.5229955bd4501p-7, -0x1.6fe865a932aa1p-7, -0x1.8e43266fb1cd3p-7, -0x1.ad536223658acp-7, -0x1.cd32f755a6d47p-7, -0x1.edfbce4ad4242p-7, -0x1.07e3cb47ec12cp-6, -0x1.1957c661fb878p-6, -0x1.2b662436eae5dp-6, -0x1.3e1ac8b59ded3p-6, -0x1.51811e2e7709dp-6, -0x1.65a406ab836a4p-6, -0x1.7a8dd00b81037p-6, -0x1.90482a83b875bp-6, -0x1.a6dc2133dd5d4p-6, -0x1.be521481533d8p-6, -0x1.d6b1b5fa34a87p-6, -0x1.f002058b07071p-6, -0x1.0524a7ee05deep-5, -0x1.12c696d9a3faep-5, -0x1.20e9421fb0114p-5, -0x1.2f8ec31a44d38p-5, -0x1.3eb8dad45d10cp-5, -0x1.4e68f34f69ba4p-5, -0x1.5ea021191023p-5, -0x1.6f5f252a3efa9p-5, -0x1.80a66f08cdcbap-5, -0x1.92761f2508297p-5, -0x1.a4ce096c4a40bp-5, -0x1.b7adb809de5b9p-5, -0x1.cb146e4f172e9p-5, -0x1.df012bbbc1625p-5, -0x1.f372af1ffa7aap-5, -0x1.0433bce85edf3p-4, -0x1.0eeee9744fee9p-4, -0x1.19e9e5474d757p-4, -0x1.25239e9e90b6bp-4, -0x1.309aeb82174c3p-4, -0x1.3c4e8b60c24e2p-4, -0x1.483d28a56f8e8p-4, -0x1.54655a43283f4p-4, -0x1.60c5a536d9e27p-4, -0x1.6d5c7dfd40039p-4, -0x1.7a2849fbfbf12p-4, -0x1.872760dd007f3p-4, -0x1.94580ddbcae3cp-4, -0x1.a1b8910406b0cp-4, -0x1.af47206170c35p-4, -0x1.bd01e920fb43ep-4, -0x1.cae710a359c6cp-4, -0x1.d8f4b581323d5p-4, -0x1.e728f0817026bp-4, -0x1.f581d581fabdap-4, -0x1.01feba29cfbep-3, -0x1.094cecc4b9e6ep-3, -0x1.10aa879e4f7b7p-3, -0x1.18168ee26daabp-3, -0x1.1f90063350e3bp-3, -0x1.2715f0fbaf18ep-3, -0x1.2ea752bc41039p-3, -0x1.36432f54f637dp-3, -0x1.3de88b4a2a3b1p-3, -0x1.45966c0619f45p-3, -0x1.4d4bd816d9aabp-3, -0x1.5507d76917384p-3, -0x1.5cc9737fcc816p-3, -0x1.648fb7a927ae6p-3, -0x1.6c59b130cb748p-3, -0x1.74266f8f9c35fp-3, -0x1.7bf5049930d72p-3, -0x1.83c484a71c0fep-3, -0x1.8b9406c217052p-3, -0x1.9362a4c932fcbp-3, -0x1.9b2f7b9721204p-3, -0x1.a2f9ab25a64c4p-3, -0x1.aac056af44985p-3, -0x1.b282a4cf2df27p-3, -0x1.ba3fbf9f85f66p-3, -0x1.c1f6d4d5f3e0bp-3, -0x1.c9a715de9fe3ep-3, -0x1.d14fb7f587a3p-3, -0x1.d8eff43e3fd01p-3, -0x1.e08707da1f696p-3, -0x1.e81433fcd576cp-3, -0x1.ef96bdff72f3cp-3, -0x1.f70def71e0fc6p-3, -0x1.fe79162aca45bp-3, -0x1.02ebc22aff051p-2, -0x1.06944840a321p-2, -0x1.0a35cad3dcfap-2, -0x1.0dcff99dc4ecdp-2, -0x1.116286972964fp-2, -0x1.14ed25fbf9314p-2, -0x1.186f8e4df12c1p-2, -0x1.1be9785695203p-2, -0x1.1f5a9f2870d7cp-2, -0x1.22c2c01fa85dcp-2, -0x1.26219ae1d8c4p-2, -0x1.2976f15d5158cp-2, -0x1.2cc287c7a5bb6p-2, -0x1.3004249b9efap-2, -0x1.333b9096908d1p-2, -0x1.366896b51759cp-2, -0x1.398b042f48e3ep-2, -0x1.3ca2a874523ddp-2, -0x1.3faf552596fcfp-2, -0x1.42b0de114d8efp-2, -0x1.45a7192ca1bb8p-2, -0x1.4891de8d65adep-2, -0x1.4b71086356cd3p-2, -0x1.4e4472f0fac9fp-2, -0x1.510bfc841d3acp-2, -0x1.53c7856df625p-2, -0x1.5676effafc13cp-2, -0x1.591a206a6bdbp-2, -0x1.5bb0fce588ab2p-2, -0x1.5e3b6d769fe3p-2, -0x1.60b95bffd182cp-2, -0x1.632ab431a75c6p-2, -0x1.658f6381820bfp-2, -0x1.67e7591fd9f41p-2, -0x1.6a3285ee64f6fp-2, -0x1.6c70dc761eb69p-2, -0x1.6ea250dd3bb9fp-2, -0x1.70c6d8dd0af98p-2, -0x1.72de6bb7d0d38p-2, -0x1.74e9022e94ce6p-2, -0x1.76e69676f512cp-2, -0x1.78d72430f6d17p-2, -0x1.7abaa85ce1a82p-2, -0x1.7c91215126756p-2, -0x1.7e5a8eb0512b8p-2, -0x1.8016f15f14257p-2, -0x1.81c64b7a63513p-2, -0x1.8368a04dacd13p-2, -0x1.84fdf4492b919p-2, -0x1.86864cf85c29fp-2, -0x1.8801b0f88f383p-2, -0x1.897027efa430ap-2, -0x1.8ad1ba82e75d9p-2, -0x1.8c26724e18c5cp-2, -0x1.8d6e59da9cdb2p-2, -0x1.8ea97c96dc385p-2, -0x1.8fd7e6cdc8c05p-2, -0x1.90f9a59e98d74p-2, -0x1.920ec6f4ab812p-2, -0x1.9317597fa29a2p-2, -0x1.94136caba6d61p-2, -0x1.95031099e249bp-2, -0x1.95e656192c35ap-2, -0x1.96bd4e9ee3701p-2, -0x1.97880c400038bp-2, -0x1.9846a1aa5207fp-2, -0x1.98f9221df4c7cp-2, -0x1.999fa166f66e7p-2, -0x1.9a3a33d72c18p-2, -0x1.9ac8ee403c58p-2, -0x1.9b4be5edd6d73p-2, -0x1.9bc330a01c52ep-2, -0x1.9c2ee4863a10bp-2, -0x1.9c8f18392f1acp-2, -0x1.9ce3e2b6c39efp-2, -0x1.9d2d5b5ca9a5dp-2, -0x1.9d6b99e3cf0b6p-2, -0x1.9d9eb65bd54a9p-2, -0x1.9dc6c926b8585p-2, -0x1.9de3eaf49d839p-2, -0x1.9df634bfc7b83p-2, -0x1.9dfdbfc8b97ebp-2, -0x1.9dfaa59275551p-2, -0x1.9decffdee920fp-2, -0x1.9dd4e8ab7bf07p-2, -0x1.9db27a2dbb64cp-2, -0x1.9d85ced030b28p-2, -0x1.9d4f012f4f947p-2, -0x1.9d0e2c16894edp-2, -0x1.9cc36a7d7bd83p-2, -0x1.9c6ed7853e099p-2, -0x1.9c108e75c631bp-2, -0x1.9ba8aabb6fe24p-2, -0x1.9b3747e495171p-2, -0x1.9abc819f46269p-2, -0x1.9a3873b71349fp-2, -0x1.99ab3a12eec63p-2, -0x1.9914f0b326d55p-2, -0x1.9875b3af6e128p-2, -0x1.97cd9f34fcf85p-2, -0x1.971ccf84c01ffp-2, -0x1.966360f19c7e1p-2, -0x1.95a16fdec0602p-2, -0x1.94d718be0591dp-2, -0x1.9404780e60b32p-2, -0x1.9329aa5a5f832p-2, -0x1.9246cc36b30a4p-2, -0x1.915bfa40c534ap-2, -0x1.9069511d5abbep-2, -0x1.8f6eed773f2f7p-2, -0x1.8e6cebfdfaa94p-2, -0x1.8d63696490bf4p-2, -0x1.8c528260467e1p-2, -0x1.8b3a53a773625p-2, -0x1.8a1af9f054f6p-2, -0x1.88f491efecfb6p-2, -0x1.87c73858e55p-2, -0x1.869309da7591ep-2, -0x1.8558231f54343p-2, -0x1.8416a0cca5d12p-2, -0x1.82ce9f80f5486p-2, -0x1.81803bd32ef0ep-2, -0x1.802b92519c3bbp-2, -0x1.7ed0bf80e8229p-2, -0x1.7d6fdfdb1fa11p-2, -0x1.7c090fceb9a8p-2, -0x1.7a9c6bbda2246p-2, -0x1.792a0ffc4112p-2, -0x1.77b218d08ac9ap-2, -0x1.7634a2710b084p-2, -0x1.74b1c903f8c28p-2, -0x1.7329a89e43cf9p-2, -0x1.719c5d42a7dafp-2, -0x1.700a02e0c119p-2, -0x1.6e72b5541f38fp-2, -0x1.6cd690635a191p-2, -0x1.6b35afbf291eep-2, -0x1.69902f01777a7p-2, -0x1.67e629ac7db1dp-2, -0x1.6637bb29d736p-2, -0x1.6484fec99bee2p-2, -0x1.62ce0fc179c25p-2, -0x1.6113092bcb82cp-2, -0x1.5f540606b6d89p-2, -0x1.5d912133440e8p-2, -0x1.5bca75747b90ap-2, -0x1.5a001d6e8058cp-2, -0x1.583233a5b0121p-2, -0x1.5660d27dbe662p-2, -0x1.548c1438d601ep-2, -0x1.52b412f6b6f71p-2, -0x1.50d8e8b3d9835p-2, -0x1.4efaaf488f153p-2, -0x1.4d19806827461p-2, -0x1.4b3575a014d4cp-2, -0x1.494ea85713807p-2, -0x1.476531cc5169p-2, -0x1.45792b1697fe9p-2, -0x1.438aad2379569p-2, -0x1.4199d0b67d10fp-2, -0x1.3fa6ae6850c19p-2, -0x1.3db15ea5fa1bdp-2, -0x1.3bb9f9b00b51dp-2, -0x1.39c09799da16bp-2, -0x1.37c55048b9b4ep-2, -0x1.35c83b733676ap-2, -0x1.33c970a05492fp-2, -0x1.31c90726d3f1p-2, -0x1.2fc7162c730a8p-2, -0x1.2dc3b4a537859p-2, -0x1.2bbef952b9e31p-2, -0x1.29b8fac375925p-2, -0x1.27b1cf5218242p-2, -0x1.25a98d24da2a9p-2, -0x1.23a04a2cd6c6dp-2, -0x1.21961c256a41p-2, -0x1.1f8b189391808p-2, -0x1.1d7f54c5516f5p-2, -0x1.1b72e5d11decep-2, -0x1.1965e09549fdp-2, -0x1.175859b775c4p-2, -0x1.154a65a40781bp-2, -0x1.133c188da4fcap-2, -0x1.112d866cb0e32p-2, -0x1.0f1ec2fed0169p-2, -0x1.0d0fe1c670b9p-2, -0x1.0b00f60a56822p-2, -0x1.08f212d52ccbdp-2, -0x1.06e34af51b423p-2, -0x1.04d4b0fb619ccp-2, -0x1.02c6573bf74ddp-2, -0x1.00b84fcd30071p-2, -0x1.fd55590eca2bdp-3, -0x1.f93afe0944875p-3, -0x1.f521b140b9a76p-3, -0x1.f10994ee509d1p-3, -0x1.ecf2caccebb65p-3, -0x1.e8dd7418ab967p-3, -0x1.e4c9b18e7f801p-3, -0x1.e0b7a36bbd8a2p-3, -0x1.dca7696dc4817p-3, -0x1.d89922d1abdd8p-3, -0x1.d48cee53f81adp-3, -0x1.d082ea305eeadp-3, -0x1.cc7b34218d25cp-3, -0x1.c875e96102bacp-3, -0x1.c47326a6ee9eep-3, -0x1.c073082a162c9p-3, -0x1.bc75a99fca954p-3, -0x1.b87b263be55c9p-3, -0x1.b48398b0ce80cp-3, -0x1.b08f1b2f88cb4p-3, -0x1.ac9dc767d33d4p-3, -0x1.a8afb68843735p-3, -0x1.a4c5013e77c8bp-3, -0x1.a0ddbfb7497a5p-3, -0x1.9cfa099f0e9f8p-3, -0x1.9919f621dec61p-3, -0x1.953d9bebe5a0fp-3, -0x1.91651129bbdfap-3, -0x1.8d906b88c7efdp-3, -0x1.89bfc037adb38p-3, -0x1.85f323e6bab1bp-3, -0x1.822aaac867646p-3, -0x1.7e666891d7a45p-3, -0x1.7aa6707b67663p-3, -0x1.76ead5413e80cp-3, -0x1.7333a923ea9b2p-3, -0x1.6f80fde902c8ap-3, -0x1.6bd2e4dbd22d7p-3, -0x1.68296ece08cbbp-3, -0x1.6484ac18751cdp-3, -0x1.60e4ac9bc04dap-3, -0x1.5d497fc1388e3p-3, -0x1.59b3347b9b60ap-3, -0x1.5621d947e7d3cp-3, -0x1.52957c2e3b4acp-3, -0x1.4f0e2ac2af26dp-3, -0x1.4b8bf2263d79fp-3, -0x1.480edf07abe1cp-3, -0x1.4496fda47f2e9p-3, -0x1.412459c9ee291p-3, -0x1.3db6fed5de04dp-3, -0x1.3a4ef7b7e41a2p-3, -0x1.36ec4ef24880fp-3, -0x1.338f0e9b1339dp-3, -0x1.3037405d15d27p-3, -0x1.2ce4ed7903fdep-3, -0x1.29981ec68523ap-3, -0x1.2650dcb5523f2p-3, -0x1.230f2f4e54a08p-3, -0x1.1fd31e34c66f7p-3, -0x1.1c9cb0a758754p-3, -0x1.196bed815d2e6p-3, -0x1.1640db3bf2fa1p-3, -0x1.131b7fef36355p-3, -0x1.0ffbe1536d2cfp-3, -0x1.0ce204c243043p-3, -0x1.09cdef37fab08p-3, -0x1.06bfa554a9ep-3, -0x1.03b72b5d73dfep-3, -0x1.00b4853dc6452p-3, -0x1.fb6f6d1133f6dp-4, -0x1.f58184f35fdb3p-4, -0x1.ef9f57edb3fecp-4, -0x1.e9c8eb226da93p-4, -0x1.e3fe430cfc9efp-4, -0x1.de3f63847c72bp-4, -0x1.d88c4fbe564d2p-4, -0x1.d2e50a50c30a6p-4, -0x1.cd49953559a8p-4, -0x1.c7b9f1cbabc5bp-4, -0x1.c23620dbcb477p-4, -0x1.bcbe2298e513ep-4, -0x1.b751f6a3cbfd7p-4, -0x1.b1f19c0d91bebp-4, -0x1.ac9d115a13a58p-4, -0x1.a754548291cd1p-4, -0x1.a21762f834bfcp-4, -0x1.9ce639a6a835bp-4, -0x1.97c0d4f6a3007p-4, -0x1.92a730d070048p-4, -0x1.8d99489e7f77fp-4, -0x1.8897174feb495p-4, -0x1.83a0975afdcffp-4, -0x1.7eb5c2bfb605bp-4, -0x1.79d6930a475acp-4, -0x1.7503015597f4bp-4, -0x1.703b064dbdb14p-4, -0x1.6b7e9a3273f3ap-4, -0x1.66cdb4d991cb1p-4, -0x1.62284db1796adp-4, -0x1.5d8e5bc3871a3p-4, -0x1.58ffd5b67894ep-4, -0x1.547cb1d0d3b64p-4, -0x1.5004e5fb46765p-4, -0x1.4b9867c305234p-4, -0x1.47372c5c21bf6p-4, -0x1.42e128a3decbbp-4, -0x1.3e965122ff9c4p-4, -0x1.3a569a10100d5p-4, -0x1.3621f751ab57ep-4, -0x1.31f85c80bace2p-4, -0x1.2dd9bceab0e64p-4, -0x1.29c60b93bd0fp-4, -0x1.25bd3b38fd0d6p-4, -0x1.21bf3e52a6c9fp-4, -0x1.1dcc07162abadp-4, -0x1.19e38778548acp-4, -0x1.1605b12f62413p-4, -0x1.123275b519a6cp-4, -0x1.0e69c648d3d0fp-4, -0x1.0aab93f1830bbp-4, -0x1.06f7cf7fb56cp-4, -0x1.034e698f8e962p-4, -0x1.ff5ea51575a9ap-5, -0x1.f834f554bfce3p-5, -0x1.f11fa3f202a04p-5, -0x1.ea1e90a8cab75p-5, -0x1.e3319adedb492p-5, -0x1.dc58a1a7d779bp-5, -0x1.d59383c8dfb46p-5, -0x1.cee21fbc1f8a6p-5, -0x1.c84453b44e31ep-5, -0x1.c1b9fda025dfdp-5, -0x1.bb42fb2dc8216p-5, -0x1.b4df29ce1a784p-5, -0x1.ae8e66b813218p-5, -0x1.a8508eebf931bp-5, -0x1.a2257f3693198p-5, -0x1.9c0d14344e213p-5, -0x1.96072a545776cp-5, -0x1.90139ddba4589p-5, -0x1.8a324ae7f00c7p-5, -0x1.84630d72aeeddp-5, -0x1.7ea5c153ecba4p-5, -0x1.78fa424524882p-5, -0x1.73606be406cc3p-5, -0x1.6dd819b53692cp-5, -0x1.68612726f7f28p-5, -0x1.62fb6f93cf5d9p-5, -0x1.5da6ce451664cp-5, -0x1.58631e7583d05p-5, -0x1.53303b53a54b8p-5, -0x1.4e0e00044e82p-5, -0x1.48fc47a4f64bfp-5, -0x1.43faed4e0c75fp-5, -0x1.3f09cc1543936p-5, -0x1.3a28bf0fc775ep-5, -0x1.3557a1546f6c9p-5, -0x1.30964dfdde917p-5, -0x1.2be4a02c9b4aep-5, -0x1.274273091a7ccp-5, -0x1.22afa1c5b813bp-5, -0x1.1e2c07a0ad73bp-5, -0x1.19b77fe5f64fap-5, -0x1.1551e5f129e3ep-5, -0x1.10fb152f4894bp-5, -0x1.0cb2e92082ddap-5, -0x1.08793d59eb23fp-5, -0x1.044ded872ab43p-5, -0x1.0030d56c1a99dp-5, -0x1.f843a1ccbb0a6p-6, -0x1.f04177ddd19b9p-6, -0x1.e85ae537110f6p-6, -0x1.e08fa2409b914p-6, -0x1.d8df67a201972p-6, -0x1.d149ee4500294p-6, -0x1.c9ceef58219bep-6, -0x1.c26e245166065p-6, -0x1.bb2746f0bdfd2p-6, -0x1.b3fa11427a095p-6, -0x1.ace63da1a93cap-6, -0x1.a5eb86ba5aecp-6, -0x1.9f09a78bdd98ap-6, -0x1.98405b6adc134p-6, -0x1.918f5e0369bb2p-6, -0x1.8af66b5b10d9cp-6, -0x1.84753fd2a5e29p-6, -0x1.7e0b982836d84p-6, -0x1.77b93178c69f6p-6, -0x1.717dc94208516p-6, -0x1.6b591d6404be7p-6, -0x1.654aec22af0c9p-6, -0x1.5f52f4276d5fap-6, -0x1.5970f4827f072p-6, -0x1.53a4acac7a97ep-6, -0x1.4deddc8784f3fp-6, -0x1.484c4460b60fap-6, -0x1.42bfa4f13dad2p-6, -0x1.3d47bf5f85fc5p-6, -0x1.37e455405585fp-6, -0x1.32952897da923p-6, -0x1.2d59fbdaa7149p-6, -0x1.283291ee982ecp-6, -0x1.231eae2bc1ed9p-6, -0x1.1e1e145d41af3p-6, -0x1.193088c1f89e1p-6, -0x1.1455d00d53895p-6, -0x1.0f8daf67fced4p-6, -0x1.0ad7ec706f518p-6, -0x1.06344d3b92e91p-6, -0x1.01a298554345ep-6, -0x1.fa452981a5defp-7, -0x1.f16813f2f0eafp-7, -0x1.e8ad7fe57703ep-7, -0x1.e014fe31a649p-7, -0x1.d79e20a1e0d3ap-7, -0x1.cf4879f31ff82p-7, -0x1.c7139dd5599bp-7, -0x1.beff20ec08b4bp-7, -0x1.b70a98ce659cfp-7, -0x1.af359c07b9142p-7, -0x1.a77fc21785134p-7, -0x1.9fe8a371a963cp-7, -0x1.986fd97e69404p-7, -0x1.9114fe9a70f62p-7, -0x1.89d7ae16ad151p-7, -0x1.82b7843851783p-7, -0x1.7bb41e386ce85p-7, -0x1.74cd1a43e37a7p-7, -0x1.6e02177ad690ep-7, -0x1.6752b5f073993p-7, -0x1.60be96aa84dd4p-7, -0x1.5a455ba0daec8p-7, -0x1.53e6a7bcd9346p-7, -0x1.4da21ed8d58fap-7, -0x1.477765bf7c562p-7, -0x1.4166222b071bcp-7, -0x1.3b6dfac4aef79p-7, -0x1.358e9723b320ap-7, -0x1.2fc79fccbe8a7p-7, -0x1.2a18be30d64d2p-7, -0x1.24819cac8ed78p-7, -0x1.1f01e687200f5p-7, -0x1.199947f14a932p-7, -0x1.14476e0480424p-7, -0x1.0f0c06c1b82f5p-7, -0x1.09e6c11065322p-7, -0x1.04d74cbd5714dp-7, -0x1.ffbab4f312a2cp-8, -0x1.f5f137b2048d6p-8, -0x1.ec5186a33470ep-8, -0x1.e2db08737a7bdp-8, -0x1.d98d258e5a623p-8, -0x1.d067481b4e5f5p-8, -0x1.c768dbfb60c05p-8, -0x1.be914ec638694p-8, -0x1.b5e00fc79e1bap-8, -0x1.ad548ffc84c2bp-8, -0x1.a4ee42106p-8, -0x1.9cac9a5a44651p-8, -0x1.948f0ed9fab9ep-8, -0x1.8c9517351fa67p-8, -0x1.84be2cb41ad3bp-8, -0x1.7d09ca3f3aa44p-8, -0x1.75776c5b9bdap-8, -0x1.6e06912843e67p-8, -0x1.66b6b85ad0d53p-8, -0x1.5f87633cacf18p-8, -0x1.587814a7b0e5bp-8, -0x1.51885103138acp-8, -0x1.4ab79e40491cap-8, -0x1.440583d7bef7p-8, -0x1.3d718ac5c4136p-8, -0x1.36fb3d8758c1ep-8, -0x1.30a22816c977cp-8, -0x1.2a65d7e8a1b73p-8, -0x1.2445dbe8282f7p-8, -0x1.1e41c47475f45p-8, -0x1.1859235cc8ad7p-8, -0x1.128b8bddaea24p-8, -0x1.0cd8929d5197ap-8, -0x1.073fcda86e392p-8, -0x1.01c0d46ef2d7fp-8, -0x1.f8b67f815d8a1p-9, -0x1.ee1d5393eb22bp-9, -0x1.e3b55c20e32e4p-9, -0x1.d97dd2df83c17p-9, -0x1.cf75f42c731ccp-9, -0x1.c59cff03074bfp-9, -0x1.bbf234f6a20acp-9, -0x1.b274da2c54b74p-9, -0x1.a9243553f3978p-9, -0x1.9fff8fa1a858ap-9, -0x1.970634c77afc4p-9, -0x1.8e3772eec9e27p-9, -0x1.85929ab194ca4p-9, -0x1.7d16ff140a4p-9, -0x1.74c3f57e3d942p-9, -0x1.6c98d5b510777p-9, -0x1.6494f9d481816p-9, -0x1.5cb7be489daep-9, -0x1.550081c7a2fbp-9, -0x1.4d6ea54b0c5b7p-9, -0x1.46018c09c8088p-9, -0x1.3eb89b716fee7p-9, -0x1.37933b201e096p-9, -0x1.3090d4de44b2cp-9, -0x1.29b0d498393f3p-9, -0x1.22f2a85820903p-9, -0x1.1c55c03fd7b4fp-9, -0x1.15d98e82b1327p-9, -0x1.0f7d875f4f91bp-9, -0x1.09412119ba799p-9, -0x1.0323d3f509f32p-9, -0x1.fa4a345b144dcp-10, -0x1.ee88dfe61f06fp-10, -0x1.e302a6c4c94b6p-10, -0x1.d7b6890050d6dp-10, -0x1.cca38a64a03fap-10, -0x1.c1c8b2759183bp-10, -0x1.b7250c62d9301p-10, -0x1.acb7a6fca5ac9p-10, -0x1.a27f94a890b8cp-10, -0x1.987beb55fd6adp-10, -0x1.8eabc4731a8f7p-10, -0x1.850e3ce188b7ap-10, -0x1.7ba274ebb58adp-10, -0x1.72679039a03adp-10, -0x1.695cb5c5f1484p-10, -0x1.60810fd34a92cp-10, -0x1.57d3cbe1b38f3p-10, -0x1.4f541aa3adab4p-10, -0x1.47012ff430a11p-10, -0x1.3eda42cbfa878p-10, -0x1.36de8d3766fddp-10, -0x1.2f0d4c4bf9c7ep-10, -0x1.2765c01e7987dp-10, -0x1.1fe72bb8a7636p-10, -0x1.1890d50f79443p-10, -0x1.116204f91bcc2p-10, -0x1.0a5a072363c0dp-10, -0x1.03782a09ed9cbp-10, -0x1.f9777dd9a6306p-11, -0x1.ec48338db2f5bp-11, -0x1.df61228832232p-11, -0x1.d2c0fd72486b5p-11, -0x1.c6667c320fceep-11, -0x1.ba505bd97e56cp-11, -0x1.ae7d5e942d062p-11, -0x1.a2ec4b95b24afp-11, -0x1.979bef07692a1p-11, -0x1.8c8b19f7cffe2p-11, -0x1.81b8a247f99fp-11, -0x1.7723629bb3dd2p-11, -0x1.6cca3a47a765cp-11, -0x1.62ac0d412c476p-11, -0x1.58c7c40d8315fp-11, -0x1.4f1c4bb137b8p-11, -0x1.45a895a0a1811p-11, -0x1.3c6b97af5d69bp-11, -0x1.33644c009c665p-11, -0x1.2a91b0f70a28dp-11, -0x1.21f2c9260654p-11, -0x1.19869b41cecafp-11, -0x1.114c32106cc84p-11, -0x1.09429c5b37b3fp-11, -0x1.0168ecdfaa226p-11, -0x1.f37c74811856ep-12, -0x1.e4833df0df0ccp-12, -0x1.d5e47294a83e3p-12, -0x1.c79e56682a379p-12, -0x1.b9af34c186649p-12, -0x1.ac156033e67fbp-12, -0x1.9ecf32768bd1ap-12, -0x1.91db0c484500bp-12, -0x1.85375556d26e2p-12, -0x1.78e27c223cf29p-12, -0x1.6cdaf5e4a2b6ep-12, -0x1.611f3e79af62ep-12, -0x1.55add8422b982p-12, -0x1.4a854c0d9db7ap-12, -0x1.3fa429011d3b5p-12, -0x1.3509047edeb5p-12, -0x1.2ab27a0ea7bd3p-12, -0x1.209f2b453e1f3p-12, -0x1.16cdbfae7db7p-12, -0x1.0d3ce4b55eefcp-12, -0x1.03eb4d8cf7a8ep-12, -0x1.f5af6635fd071p-13, -0x1.e401a7bfa2c31p-13, -0x1.d2cae7c6c8c95p-13, -0x1.c208b93a18289p-13, -0x1.b1b8b9be25ep-13, -0x1.a1d891863b724p-13, -0x1.9265f325d3616p-13, -0x1.835e9b6d35bd9p-13, -0x1.74c0513c4bcdap-13, -0x1.6688e55e0b45cp-13, -0x1.58b6325f6a7b6p-13, -0x1.4b461c69467f5p-13, -0x1.3e369119ccec3p-13, -0x1.318587607bbbbp-13, -0x1.2530ff56815e1p-13, -0x1.1937021c51e2ap-13, -0x1.0d95a1b455081p-13, -0x1.024af8dfa505bp-13, -0x1.eeaa55f313f21p-14, -0x1.d964c7afefe6cp-14, -0x1.c4c1af4d356ddp-14, -0x1.b0bd858a51d8ap-14, -0x1.9d54d34f43c15p-14, -0x1.8a84316b1df14p-14, -0x1.78484850c05a3p-14, -0x1.669dcfdcb946bp-14, -0x1.55818f0fa501p-14, -0x1.44f05bd46ed98p-14, -0x1.34e71ac11f802p-14, -0x1.2562bede94617p-14, -0x1.16604968c76ecp-14, -0x1.07dcc9989d826p-14, -0x1.f3aab8cd27cfap-15, -0x1.d88e58acffe55p-15, -0x1.be5ee27382412p-15, -0x1.a516dffba67ddp-15, -0x1.8cb0f4e9f2ab5p-15, -0x1.7527de3c5284ep-15, -0x1.5e7671e61f775p-15, -0x1.48979e6581365p-15, -0x1.33866a5a61d7cp-15, -0x1.1f3df42b2982ep-15, -0x1.0bb9719ace7bbp-15, -0x1.f1e85ece93ep-16, -0x1.cdd321d38cf5bp-16, -0x1.ab2a1f7bb8d7ap-16, -0x1.89e476b1221a5p-16, -0x1.69f9716bce43fp-16, -0x1.4b6083f1dc22ep-16, -0x1.2e114c2dd8ed4p-16, -0x1.120390f374694p-16, -0x1.ee5e82bedb8a6p-17, -0x1.bb18e844d8185p-17, -0x1.8a26cdb82cf8p-17, -0x1.5b78faf81dba4p-17, -0x1.2f00832916276p-17, -0x1.04aec381eda0dp-17, -0x1.b8eac42403e1ep-18, -0x1.6c8c98eeba9c6p-18, -0x1.24276d7ad0869p-18, -0x1.bf4068a3bc976p-19, -0x1.3db8d04abca7p-19, -0x1.8708261005b05p-20, -0x1.41bce5311763fp-21, 0x1.bb7b21acd96d8p-23, 0x1.02434b541670dp-20, 0x1.bffd3b3c9523ep-20, 0x1.387da093906afp-19, 0x1.8accc37c83acep-19, 0x1.d7192d7b450dap-19, 0x1.0ec78e117ea68p-18, 0x1.2f2cf3c75646ap-18, }}, 
      {{-0x1.d934a8df7ea85p-4, -0x1.d9853907d17adp-4, -0x1.da0a77d3e00f4p-4, -0x1.dac35dc14edf6p-4, -0x1.dbaf019dac30ep-4, -0x1.dcccbcc8c1687p-4, -0x1.de1c3c5bf805bp-4, -0x1.df9d861c78de7p-4, -0x1.e150f5f81bf6p-4, -0x1.e337371307d37p-4, -0x1.e5513a3f7fc63p-4, -0x1.e7a02b02d82dcp-4, -0x1.ea2563e2d53a4p-4, -0x1.ece2627ed8699p-4, -0x1.efd8bbd8ced3bp-4, -0x1.f30a111d0dfddp-4, -0x1.f6780528482efp-4, -0x1.fa2432fab8fe4p-4, -0x1.fe102538bf90ap-4, -0x1.011ea7654c41p-3, -0x1.0356824fe2ebcp-3, -0x1.05b03c47e5bacp-3, -0x1.082c5aa48d643p-3, -0x1.0acb4d9c71c84p-3, -0x1.0d8d6f2939caap-3, -0x1.1073024d8d5b6p-3, -0x1.137c32af94ed6p-3, -0x1.16a9147ad90c2p-3, -0x1.19f9a47d5f49bp-3, -0x1.1d6dc8750e90cp-3, -0x1.21054f83d4934p-3, -0x1.24bff2c27941ap-3, -0x1.289d55eb554cfp-3, -0x1.2c9d08177a671p-3, -0x1.30be8489e91d5p-3, -0x1.350133856ad94p-3, -0x1.39646b2a6abb5p-3, -0x1.3de7705ad54b4p-3, -0x1.428977a267bbcp-3, -0x1.4749a6225ef5p-3, -0x1.4c27127f8830dp-3, -0x1.5120c5d206c16p-3, -0x1.5635bc96245d4p-3, -0x1.5b64e79d9d721p-3, -0x1.60ad2d00c6c2fp-3, -0x1.660d690f0a25p-3, -0x1.6b846f3e1175dp-3, -0x1.71110b1701794p-3, -0x1.76b201211835dp-3, -0x1.7c660fc9034acp-3, -0x1.822bf044382a8p-3, -0x1.8802576fa4768p-3, -0x1.8de7f6a8fb20cp-3, -0x1.93db7ca20546p-3, -0x1.99db962d49776p-3, -0x1.9fe6ef0383c1ap-3, -0x1.a5fc328152bf5p-3, -0x1.ac1a0c5cc2a24p-3, -0x1.b23f29522b39ep-3, -0x1.b86a37c82a6c5p-3, -0x1.be99e86a67935p-3, -0x1.c4cceebaf3c14p-3, -0x1.cb02019a2ac88p-3, -0x1.d137dbc505308p-3, -0x1.d76d3c49db17dp-3, -0x1.dda0e6f3b5eb8p-3, -0x1.e3d1a4ac48b42p-3, -0x1.e9fe43d4c2dd7p-3, -0x1.f0259895b786ap-3, -0x1.f6467d265ed91p-3, -0x1.fc5fd20b82512p-3, -0x1.01383f2735f7fp-2, -0x1.043bb7d617444p-2, -0x1.0739cd5eda1e7p-2, -0x1.0a31fd8c77517p-2, -0x1.0d23c9b5ce575p-2, -0x1.100eb6c801cfap-2, -0x1.12f24d4e0b79cp-2, -0x1.15ce1975b1ec6p-2, -0x1.18a1ab1220b01p-2, -0x1.1b6c959c4c158p-2, -0x1.1e2e703159f31p-2, -0x1.20e6d58f3c265p-2, -0x1.2395640fadab1p-2, -0x1.2639bda1bdd23p-2, -0x1.28d387c21441ap-2, -0x1.2b626b7217f58p-2, -0x1.2de6152e1c02ap-2, -0x1.305e34e2ba1dap-2, -0x1.32ca7de17319bp-2, -0x1.352aa6d4c1c8dp-2, -0x1.377e69b3adep-2, -0x1.39c583b502f11p-2, -0x1.3bffb5423c9f5p-2, -0x1.3e2cc1ea4040cp-2, -0x1.404c7053f5f3ap-2, -0x1.425e8a30d24f2p-2, -0x1.4462dc2f5de18p-2, -0x1.465935edc96ecp-2, -0x1.484169ec96db9p-2, -0x1.4a1b4d8166285p-2, -0x1.4be6b8c9e59b9p-2, -0x1.4da3869ef40f4p-2, -0x1.4f519487f4101p-2, -0x1.50f0c2ae57b88p-2, -0x1.5280f3d165b8bp-2, -0x1.54020d3a394d4p-2, -0x1.5573f6b000aa2p-2, -0x1.56d69a6c73b0dp-2, -0x1.5829e5108c2e4p-2, -0x1.596dc599726f7p-2, -0x1.5aa22d55a686ep-2, -0x1.5bc70fda5e598p-2, -0x1.5cdc62f9163ecp-2, -0x1.5de21eb553c44p-2, -0x1.5ed83d3a94dd5p-2, -0x1.5fbebad26a9c4p-2, -0x1.609595dab63a7p-2, -0x1.615ccebc0e254p-2, -0x1.621467e03fa21p-2, -0x1.62bc65a8ea64bp-2, -0x1.6354ce66376a8p-2, -0x1.63ddaa4da2bedp-2, -0x1.64570370d5855p-2, -0x1.64c0e5b48ef86p-2, -0x1.651b5ec797f56p-2, -0x1.65667e19bd932p-2, -0x1.65a254d2d01d3p-2, -0x1.65cef5c9a7574p-2, -0x1.65ec757b233b1p-2, -0x1.65faea012c462p-2, -0x1.65fa6b09ae806p-2, -0x1.65eb11cd90fdfp-2, -0x1.65ccf907a3b3dp-2, -0x1.65a03ceb84813p-2, -0x1.6564fb1c7b6c8p-2, -0x1.651b52a44e151p-2, -0x1.64c363ea02de6p-2, -0x1.645d50a89d12cp-2, -0x1.63e93be5ca81ap-2, -0x1.636749e885afp-2, -0x1.62d7a02fad046p-2, -0x1.623a65688b0cfp-2, -0x1.618fc16558faap-2, -0x1.60d7dd13aeb22p-2, -0x1.6012e272f1f61p-2, -0x1.5f40fc8ab318dp-2, -0x1.5e62576109afp-2, -0x1.5d771ff0e6428p-2, -0x1.5c7f84205c8c3p-2, -0x1.5b7bb2b6eccbfp-2, -0x1.5a6bdb53c92b9p-2, -0x1.59502e6416bbcp-2, -0x1.5828dd1932666p-2, -0x1.56f6195ef2cccp-2, -0x1.55b815d1f280cp-2, -0x1.546f05b5d87c3p-2, -0x1.531b1cebadc94p-2, -0x1.51bc8fe8363f6p-2, -0x1.505393aa55202p-2, -0x1.4ee05db17cb2ap-2, -0x1.4d6323f42c62bp-2, -0x1.4bdc1cd67c81dp-2, -0x1.4a4b7f20bcf23p-2, -0x1.48b181f622c52p-2, -0x1.470e5ccb8d99cp-2, -0x1.4562475e6136cp-2, -0x1.43ad79ab78359p-2, -0x1.41f02be62bca3p-2, -0x1.402a966f7cf7bp-2, -0x1.3e5cf1cd52e0dp-2, -0x1.3c8776a1db67p-2, -0x1.3aaa5da30a221p-2, -0x1.38c5df923620ap-2, -0x1.36da3533db492p-2, -0x1.34e797477ee97p-2, -0x1.32ee3e7fb5b3cp-2, -0x1.30ee637a53831p-2, -0x1.2ee83eb8bddeap-2, -0x1.2cdc089867d4dp-2, -0x1.2ac9f94b76bc8p-2, -0x1.28b248d18efcep-2, -0x1.26952ef0cb7d8p-2, -0x1.2472e32ee1125p-2, -0x1.224b9cca6baefp-2, -0x1.201f92b46a392p-2, -0x1.1deefb89e4935p-2, -0x1.1bba0d8dc2e9bp-2, -0x1.1980fea2cd04ap-2, -0x1.17440445df435p-2, -0x1.15035388480cbp-2, -0x1.12bf210a5682p-2, -0x1.1077a0f618b1fp-2, -0x1.0e2d06fa47f8cp-2, -0x1.0bdf864565c2p-2, -0x1.098f51810759p-2, -0x1.073c9acd4fe78p-2, -0x1.04e793bc9c978p-2, -0x1.02906d4f5c3f6p-2, -0x1.003757f019a1ep-2, -0x1.fbb906df6271fp-3, -0x1.f7003e037408ap-3, -0x1.f244b2722cbc4p-3, -0x1.ed86c009740e5p-3, -0x1.e8c6c1592f8f8p-3, -0x1.e4050f9d81872p-3, -0x1.df4202b957a63p-3, -0x1.da7df1315d1f9p-3, -0x1.d5b930273bea7p-3, -0x1.d0f4135536dc1p-3, -0x1.cc2eed0a1c984p-3, -0x1.c76a0e258628p-3, -0x1.c2a5c61473adcp-3, -0x1.bde262ce321c1p-3, -0x1.b92030d190164p-3, -0x1.b45f7b226ac6fp-3, -0x1.afa08b477caf7p-3, -0x1.aae3a94882aa4p-3, -0x1.a6291baca2059p-3, -0x1.a17127791c04fp-3, -0x1.9cbc103049843p-3, -0x1.980a17d0db36p-3, -0x1.935b7ed55a192p-3, -0x1.8eb08433f00d9p-3, -0x1.8a09655e6c3aep-3, -0x1.85665e42896e9p-3, -0x1.80c7a94a6f694p-3, -0x1.7c2d7f5d74627p-3, -0x1.779817e10fce5p-3, -0x1.7307a8ba0e3a7p-3, -0x1.6e7c664df66d2p-3, -0x1.69f68384a50d7p-3, -0x1.657631ca1a6efp-3, -0x1.60fba110799eep-3, -0x1.5c86ffd239957p-3, -0x1.58187b147fbdbp-3, -0x1.53b03e69a9fddp-3, -0x1.4f4e73f402f7ap-3, -0x1.4af344689dde7p-3, -0x1.469ed71259e1ap-3, -0x1.425151d50eef7p-3, -0x1.3e0ad930d3f8fp-3, -0x1.39cb904576791p-3, -0x1.359398d60636p-3, -0x1.3163134c85f4ep-3, -0x1.2d3a1ebdb8528p-3, -0x1.2918d8ed09a36p-3, -0x1.24ff5e509193ep-3, -0x1.20edca1536349p-3, -0x1.1ce43622d6f1ap-3, -0x1.18e2bb20a2a43p-3, -0x1.14e970796be0ep-3, -0x1.10f86c60269e2p-3, -0x1.0d0fc3d46418p-3, -0x1.092f8aa6ef4p-3, -0x1.0557d37e70359p-3, -0x1.0188afdc1b2edp-3, -0x1.fb846040f1c5ap-4, -0x1.f408c720551ccp-4, -0x1.ec9eb0b18b70dp-4, -0x1.e546372b61af9p-4, -0x1.ddff72aa1892ap-4, -0x1.d6ca7939411a4p-4, -0x1.cfa75eddac621p-4, -0x1.c896359f562dep-4, -0x1.c1970d93610f7p-4, -0x1.baa9f4e61edb6p-4, -0x1.b3cef7e510536p-4, -0x1.ad062108ef5dcp-4, -0x1.a64f78ffaeaf7p-4, -0x1.9fab06b687888p-4, -0x1.9918cf63fe1dep-4, -0x1.9298d691d3b75p-4, -0x1.8c2b1e2707c19p-4, -0x1.85cfa671c369bp-4, -0x1.7f866e313fc51p-4, -0x1.794f729f9ec6ap-4, -0x1.732aaf7bbc1d9p-4, -0x1.6d181f12ec4ebp-4, -0x1.6717ba4aaf7d4p-4, -0x1.612978aa51616p-4, -0x1.5b4d50647d479p-4, -0x1.55833660baaadp-4, -0x1.4fcb1e44d5ed5p-4, -0x1.4a24fa7e3a4a7p-4, -0x1.4490bc4b3192p-4, -0x1.3f0e53c40e6dap-4, -0x1.399dafe441895p-4, -0x1.343ebe9353fecp-4, -0x1.2ef16cadcab4dp-4, -0x1.29b5a60df1788p-4, -0x1.248b559487a5fp-4, -0x1.1f72653157017p-4, -0x1.1a6abdebabf43p-4, -0x1.157447eab419bp-4, -0x1.108eea7dbb8d3p-4, -0x1.0bba8c245439ep-4, -0x1.06f712965ab01p-4, -0x1.024462cbdf012p-4, -0x1.fb44c209d8b8fp-5, -0x1.f221e1a271237p-5, -0x1.e91fea2f5b81bp-5, -0x1.e03ea03bb3a7p-5, -0x1.d77dc71e73724p-5, -0x1.cedd2108d4d94p-5, -0x1.c65c6f146defep-5, -0x1.bdfb71510a155p-5, -0x1.b5b9e6d24be48p-5, -0x1.ad978dbd075d3p-5, -0x1.a59423545cb87p-5, -0x1.9daf6406938e4p-5, -0x1.95e90b79b6ffep-5, -0x1.8e40d497f017p-5, -0x1.86b6799b9a207p-5, -0x1.7f49b41b1f6f8p-5, -0x1.77fa3d148e5adp-5, -0x1.70c7ccf8f2c28p-5, -0x1.69b21bb76d719p-5, -0x1.62b8e0c80a0d2p-5, -0x1.5bdbd336587ffp-5, -0x1.551aa9abc5a83p-5, -0x1.4e751a79b2edfp-5, -0x1.47eadba3569dp-5, -0x1.417ba2e7552b2p-5, -0x1.3b2725c92341ep-5, -0x1.34ed199a25489p-5, -0x1.2ecd33829a26ep-5, -0x1.28c7288a3f501p-5, -0x1.22daada0c4996p-5, -0x1.1d0777a5fe456p-5, -0x1.174d3b71d9d6bp-5, -0x1.11abaddc20389p-5, -0x1.0c2283c3fd7f3p-5, -0x1.06b1721748f9p-5, -0x1.01582dd9a253bp-5, -0x1.f82cd85690c3ep-6, -0x1.edd7c49f89367p-6, -0x1.e3b08b68be072p-6, -0x1.d9b697ecad3afp-6, -0x1.cfe955d1db0d7p-6, -0x1.c64831367afb5p-6, -0x1.bcd296bbb6fd7p-6, -0x1.b387f3908e9dfp-6, -0x1.aa67b57c5221bp-6, -0x1.a1714ae8c0cep-6, -0x1.98a422ebcaffbp-6, -0x1.8fffad50e94ccp-6, -0x1.87835aa23233bp-6, -0x1.7f2e9c30ed9d5p-6, -0x1.7700e41def5ddp-6, -0x1.6ef9a5618f328p-6, -0x1.671853d34814ep-6, -0x1.5f5c64310b8e9p-6, -0x1.57c54c2636c18p-6, -0x1.50528252454afp-6, -0x1.49037e4f2472ep-6, -0x1.41d7b8b74165p-6, -0x1.3aceab2b494e2p-6, -0x1.33e7d057a5eb8p-6, -0x1.2d22a3f9a4408p-6, -0x1.267ea2e45f7c9p-6, -0x1.1ffb4b0558236p-6, -0x1.19981b68d66e7p-6, -0x1.1354943e00af7p-6, -0x1.0d3036dab0f51p-6, -0x1.072a85bf0c0efp-6, -0x1.01430498df91ep-6, -0x1.f6f2708d72fc8p-7, -0x1.eb994db59204dp-7, -0x1.e079af3b1655dp-7, -0x1.d592a6206971fp-7, -0x1.cae345ddcb935p-7, -0x1.c06aa46573341p-7, -0x1.b627da272141ap-7, -0x1.ac1a02135163bp-7, -0x1.a240399e1b735p-7, -0x1.9899a0c19be8fp-7, -0x1.8f255a0015ebfp-7, -0x1.85e28a65c52a6p-7, -0x1.7cd0598a272bep-7, -0x1.73edf19129e7fp-7, -0x1.6b3a7f2bd4a85p-7, -0x1.62b53198d35d8p-7, -0x1.5a5d3aa488eabp-7, -0x1.5231cea8ea8ddp-7, -0x1.4a32248d1652ap-7, -0x1.425d75c4982bcp-7, -0x1.3ab2fe4e7b667p-7, -0x1.3331fcb40547bp-7, -0x1.2bd9b2074a161p-7, -0x1.24a961e15deedp-7, -0x1.1da0526081f29p-7, -0x1.16bdcc25df064p-7, -0x1.10011a533e9bcp-7, -0x1.09698a8865776p-7, -0x1.02f66ce0573c8p-7, -0x1.f94e27dcb3e2cp-8, -0x1.ecf5a975a0439p-8, -0x1.e0e20d7fdf168p-8, -0x1.d51207cc6b8e8p-8, -0x1.c9845101ab004p-8, -0x1.be37a693b2651p-8, -0x1.b32acabc72891p-8, -0x1.a85c847399a1dp-8, -0x1.9dcb9f661ad2cp-8, -0x1.9376ebed741bdp-8, -0x1.895d3f06e5a5ap-8, -0x1.7f7d724a1b303p-8, -0x1.75d663e00b8cap-8, -0x1.6c66f6792c646p-8, -0x1.632e1143e163cp-8, -0x1.5a2a9fe2737c8p-8, -0x1.515b926109487p-8, -0x1.48bfdd2b482a3p-8, -0x1.405679020d12bp-8, -0x1.381e62f0ca147p-8, -0x1.30169c42d2828p-8, -0x1.283e2a78a6c82p-8, -0x1.2094173cfc22p-8, -0x1.19177059b4045p-8, -0x1.11c747acdda2dp-8, -0x1.0aa2b31d66f89p-8, -0x1.03a8cc8ffa009p-8, -0x1.f9b163b70c1acp-9, -0x1.ec63097be8626p-9, -0x1.df64d5a158b9bp-9, -0x1.d2b51afa49409p-9, -0x1.c65233e2a5bacp-9, -0x1.ba3a82282a615p-9, -0x1.ae6c6ef37210ep-9, -0x1.a2e66ab09bc23p-9, -0x1.97a6ecf808c7fp-9, -0x1.8cac74775598bp-9, -0x1.81f586d9f7f5ap-9, -0x1.7780b0b1fc08bp-9, -0x1.6d4c856116831p-9, -0x1.63579f010ef9ep-9, -0x1.59a09e4d12326p-9, -0x1.50262a8a51f99p-9, -0x1.46e6f1713d8a9p-9, -0x1.3de1a71656517p-9, -0x1.351505d398bbap-9, -0x1.2c7fce317ce36p-9, -0x1.2420c6d081b77p-9, -0x1.1bf6bc525b3fcp-9, -0x1.140081439f8bfp-9, -0x1.0c3cee0578232p-9, -0x1.04aae0b75d955p-9, -0x1.fa927a424179dp-10, -0x1.ec2dd9398dee1p-10, -0x1.de25bc01d54dep-10, -0x1.d0780b1591f0cp-10, -0x1.c322b9924e7c2p-10, -0x1.b623c50d4e256p-10, -0x1.a9793569456aep-10, -0x1.9d211caca76bfp-10, -0x1.911996d7980dfp-10, -0x1.8560c9bad6f48p-10, -0x1.79f4e4cede43cp-10, -0x1.6ed4210ab1734p-10, -0x1.63fcc0bc2e4eap-10, -0x1.596d0f5fec403p-10, -0x1.4f236179cc5ebp-10, -0x1.451e146dbf871p-10, -0x1.3b5b8e59409a1p-10, -0x1.31da3ded1fcb7p-10, -0x1.28989a475c935p-10, -0x1.1f9522cdda0ccp-10, -0x1.16ce5f092557ep-10, -0x1.0e42de7fd51b4p-10, -0x1.05f138925b4c9p-10, -0x1.fbb018ae017e5p-11, -0x1.ebec00ed2c60ep-11, -0x1.dc9386130fec3p-11, -0x1.cda412e9ea52dp-11, -0x1.bf1b2092c2338p-11, -0x1.b0f636401309bp-11, -0x1.a332e8f49d17p-11, -0x1.95cedb40b765p-11, -0x1.88c7bd01ac6bp-11, -0x1.7c1b4b22587cdp-11, -0x1.6fc74f5b60dd4p-11, -0x1.63c99ff524d8ap-11, -0x1.58201f89f559cp-11, -0x1.4cc8bcc9f3d61p-11, -0x1.41c1723f473e4p-11, -0x1.37084613a2076p-11, -0x1.2c9b49d55db0dp-11, -0x1.22789a3ed326ap-11, -0x1.189e5efda4804p-11, -0x1.0f0aca7bd57e4p-11, -0x1.05bc19a899b88p-11, -0x1.f96127851dd55p-12, -0x1.e7cd1445ccc8ap-12, -0x1.d6b8b0126aa99p-12, -0x1.c620c4cf994c9p-12, -0x1.b6022f628fa43p-12, -0x1.a659df4eb6ecp-12, -0x1.9724d651fe2a1p-12, -0x1.88602805116f7p-12, -0x1.7a08f97c94f3cp-12, -0x1.6c1c80ec7ee01p-12, -0x1.5e98054aefd95p-12, -0x1.5178ddf79bc5bp-12, -0x1.44bc726267762p-12, -0x1.386039b4b7cfap-12, -0x1.2c61ba7b6c8adp-12, -0x1.20be8a527a2f3p-12, -0x1.15744d932063dp-12, -0x1.0a80b701acf5p-12, -0x1.ffc30efd09f1bp-13, -0x1.eb291b6e31925p-13, -0x1.d72f4bb257a16p-13, -0x1.c3d1728e2bb0cp-13, -0x1.b10b7c9bf4f63p-13, -0x1.9ed96fb7af3c8p-13, -0x1.8d376a730a571p-13, -0x1.7c21a387dff91p-13, -0x1.6b94694cf69e1p-13, -0x1.5b8c212fd8302p-13, -0x1.4c0547302862bp-13, -0x1.3cfc6d5e0292bp-13, -0x1.2e6e3b58d058ep-13, -0x1.20576dd3b75a6p-13, -0x1.12b4d61a91cfbp-13, -0x1.05835998967d3p-13, -0x1.f17fe2c3fc90cp-14, -0x1.d8cf5384d726bp-14, -0x1.c0ef4392f16ep-14, -0x1.a9da15ba7a6c4p-14, -0x1.938a509697b13p-14, -0x1.7dfa9dbfc9ab2p-14, -0x1.6925c8f8ca275p-14, -0x1.5506bf6091d4fp-14, -0x1.41988eab70f3dp-14, -0x1.2ed6645eac34cp-14, -0x1.1cbb8d105ff99p-14, -0x1.0b4373a84b3fdp-14, -0x1.f4d341543440cp-15, -0x1.d45372fc7c3b7p-15, -0x1.b4feff83fff5dp-15, -0x1.96cda13521faap-15, -0x1.79b7481898126p-15, -0x1.5db418a747555p-15, -0x1.42bc6a87f24c4p-15, -0x1.28c8c74f4cff9p-15, -0x1.0fd1e948cbe4ap-15, -0x1.efa1749340102p-16, -0x1.c17ca50c3812cp-16, -0x1.9527eee6af2e6p-16, -0x1.6a963547b7a64p-16, -0x1.41bab16d3bf37p-16, -0x1.1a88f081a0497p-16, -0x1.e9e9a32a96c39p-17, -0x1.a1e50727dcf95p-17, -0x1.5ced069a4bcd9p-17, -0x1.1aeb32f565d5cp-17, -0x1.b79363a21ac16p-18, -0x1.3ee6724214574p-18, -0x1.974c2e73c6031p-19, -0x1.76a7a9eeeadaap-20, 0x1.66ae0fe11530dp-23, 0x1.bc79453c2116cp-20, 0x1.9c6c227bea63ap-19, 0x1.28a111d7af4bfp-18, 0x1.7e82c31c08924p-18, 0x1.cffda9a6e8cadp-18, 0x1.0e99b240b37cfp-17, 0x1.3322599550b55p-17, 0x1.55a8bd979fef6p-17, 0x1.763c66e0633d6p-17, 0x1.94ec768a4a42dp-17, 0x1.b1c7a8e5efc3ep-17, 0x1.ccdc580301c52p-17, 0x1.e6387e43dbde9p-17, 0x1.fde9b8c2623b6p-17, 0x1.09fea4dfec24fp-16, 0x1.14400d7b2a0a7p-16, 0x1.1dbf5ffce7af3p-16, 0x1.2682bc2a6399fp-16, 0x1.2e9018d736038p-16, 0x1.35ed44fe00ac3p-16, 0x1.3c9fe8cb84de2p-16, 0x1.42ad8699f918p-16, 0x1.481b7be395147p-16, 0x1.4cef02460ef6fp-16, 0x1.512d3066a85cp-16, 0x1.54dafade69674p-16, 0x1.57fd3520b205bp-16, 0x1.5a989252ce1e7p-16, 0x1.5cb1a6250863bp-16, 0x1.5e4ce5a6a4e5cp-16, 0x1.5f6ea8130f74fp-16, 0x1.601b2789fd8cap-16, 0x1.605681d9a6a8fp-16, 0x1.6024b94236308p-16, 0x1.5f89b52c85151p-16, 0x1.5e8942d584e6ap-16, 0x1.5d2715fec0fb5p-16, 0x1.5b66c99883cf3p-16, 0x1.594be064144b2p-16, 0x1.56d9c59a97fedp-16, 0x1.5413cd80dfd9cp-16, 0x1.50fd36100a97dp-16, 0x1.4d99277b1415ap-16, 0x1.49eab4c8329d7p-16, 0x1.45f4dc5a4394ep-16, 0x1.41ba886f1e374p-16, 0x1.3d3e8faec4b97p-16, 0x1.3883b5aac98ddp-16, 0x1.338cab622fd12p-16, 0x1.2e5c0fb6ffe8ep-16, 0x1.28f46fe126376p-16, 0x1.235847ec54b4cp-16, 0x1.1d8a031bed37ep-16, 0x1.178bfc6465bd3p-16, 0x1.11607ecf89e0ap-16, 0x1.0b09c5e61a79cp-16, 0x1.0489fe1e67336p-16, 0x1.fbc68a65e810ep-17, 0x1.ee2f550eddc4cp-17, 0x1.e0525f0497b5p-17, 0x1.d2338fcb95c39p-17, 0x1.c3d6b45435832p-17, 0x1.b53f7faad94dp-17, 0x1.a6718b9da8164p-17, 0x1.9770595b84af7p-17, 0x1.883f520f0a1e8p-17, 0x1.78e1c77edcbe4p-17, 0x1.695af495cc2e1p-17, 0x1.59adfe03a6251p-17, 0x1.49ddf2b98588p-17, 0x1.39edcc8684df5p-17, 0x1.29e07090d233ep-17, 0x1.19b8afdd0f97bp-17, 0x1.097947c3cd3f3p-17, 0x1.f249c4e649b7dp-18, 0x1.d17c2ebf1a0ffp-18, 0x1.b08ed77469d55p-18, 0x1.8f86a5c2466b9p-18, 0x1.6e685db1189a8p-18, 0x1.4d38a1402c37cp-18, 0x1.2bfbf14bd8c7bp-18, 0x1.0ab6ae62f152ep-18, 0x1.d2da32ecd0188p-19, 0x1.9046a94486cf1p-19, 0x1.4dbac7c00bdccp-19, 0x1.0b3e5b96778fcp-19, 0x1.91b1f134c9dc7p-20, 0x1.0d23f4d6abca7p-20, 0x1.11c217b40c9a7p-21, 0x1.3dc53321a459bp-26, -0x1.fa31e90508d6p-22, -0x1.019c91a3b1453p-20, -0x1.842c858c53e7bp-20, -0x1.031805d676749p-19, -0x1.43cd9ca5885f7p-19, -0x1.84314075fe4a4p-19, -0x1.c43d58328159fp-19, -0x1.01f63b9afe8a2p-18, -0x1.219cae489bfa1p-18, -0x1.410f78f39fe86p-18, -0x1.604c25467afe7p-18, -0x1.7f505139cfed2p-18, -0x1.9e19aebf3862dp-18, -0x1.bca60349c7713p-18, -0x1.daf32753f4bb9p-18, -0x1.f8ff060da141fp-18, -0x1.0b63ce7531c8fp-17, -0x1.1a257d95d306fp-17, -0x1.28c3a0cca3dbdp-17, -0x1.373d510ac75bbp-17, -0x1.4591af9b1ab82p-17, -0x1.53bfe601e305bp-17, -0x1.61c725c1b2de1p-17, -0x1.6fa6a839bd8c9p-17, -0x1.7d5dae77a33bep-17, -0x1.8aeb8114007a5p-17, -0x1.984f700239a46p-17, -0x1.a588d26323dbp-17, -0x1.b297066ef6952p-17, -0x1.bf7971470e003p-17, -0x1.cc2f7ed04494p-17, -0x1.d8b8a19397dbp-17, -0x1.e5145298c2e03p-17, -0x1.f1421144fbdbep-17, -0x1.fd416330ef716p-17, -0x1.0488ea0f9af76p-16, -0x1.0a597ae036b8dp-16, -0x1.10122fcf7c519p-16, -0x1.15b2d78433b04p-16, -0x1.1b3b4370e9761p-16, -0x1.20ab47c9fc729p-16, -0x1.2602bb75241cp-16, -0x1.2b4177fe7fae1p-16, -0x1.30675985fbe11p-16, -0x1.35743eb0fe759p-16, -0x1.3a6808a2d0f9ap-16, -0x1.3f429aeda3b76p-16, -0x1.4403db816513bp-16, -0x1.48abb2a69b9fp-16, -0x1.4d3a0aed4ebf5p-16, -0x1.51aed120a4272p-16, -0x1.5609f43bee3c5p-16, -0x1.5a4b656322641p-16, -0x1.5e7317d36fdcp-16, -0x1.628100d4ebfe6p-16, -0x1.667517b5392a8p-16, -0x1.6a4f55bbd7a7fp-16, -0x1.6e0fb61b4be4bp-16, -0x1.71b635ebe22f6p-16, -0x1.7542d4208712fp-16, -0x1.78b5917a2c999p-16, -0x1.7c0e707e3f8bfp-16, -0x1.7f4d756d57c6dp-16, -0x1.8272a63cf43abp-16, -0x1.857e0a8ad3eebp-16, -0x1.886fab9281c85p-16, -0x1.8b47942750acap-16, -0x1.8e05d0a9bfa67p-16, -0x1.90aa6efde003fp-16, -0x1.93357e83872e4p-16, -0x1.95a7100edee6dp-16, -0x1.97ff35e147a97p-16, -0x1.9a3e039b509a2p-16, -0x1.9c638e39fc8fdp-16, -0x1.9e6fec0b3b51fp-16, -0x1.a06334a770fe3p-16, -0x1.a23d80e91ccd8p-16, -0x1.a3feeae889289p-16, -0x1.a5a78dedcb826p-16, -0x1.a737866f874aap-16, -0x1.a8aef205c4841p-16, -0x1.aa0def67a30e7p-16, -0x1.ab549e636d825p-16, -0x1.ac831fd5b6556p-16, -0x1.ad9995a20d8fbp-16, -0x1.ae9822ad9e555p-16, -0x1.af7eead656da1p-16, -0x1.b04e12ee9d803p-16, -0x1.b105c0b55bc72p-16, -0x1.b1a61ad232f58p-16, -0x1.b22f48ca39cb2p-16, -0x1.b2a172fd4a316p-16, -0x1.b2fcc2a182789p-16, -0x1.b34161b48ee4bp-16, -0x1.b36f7afd9dc1ep-16, -0x1.b3873a053a0b8p-16, -0x1.b388cb110425dp-16, -0x1.b3745b1804eadp-16, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      34, 0x1.5b851eb851eb8p+2, 0x1.d174650281703p+0, 0x1.2ce99c81ba69p+1, -0x1.6426cc13d9b7p-9, 
      {{
        {0x1.e3d70a3d70a3dp+1, 0x1.e666666666666p+1, 0x1.0b1d3d69f65dfp-7, -0x1.43c65472a3cf5p-6, 0x1.26573a8175082p-6, -0x1.db19e8524dcabp-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.fccb2990bb35bp-8, -0x1.3824c4bcbe6f6p-6, 0x1.1f36d70557b47p-6, -0x1.cf1820674a54ap-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.c12ddba8f99afp-8, -0x1.1c4a5ea7ec5cfp-6, 0x1.0dd9229b11b7ap-6, -0x1.c0371cfabea4fp-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.8af6a70e285ffp-8, -0x1.0225664a2aa12p-6, 0x1.fa14897021efap-7, -0x1.b1eca0aad2177p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.59cf7841a7ddp-8, -0x1.d34fb67a667dap-7, 0x1.d98930968560fp-7, -0x1.a379cee732245p-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.2d65004e44738p-8, -0x1.a587e3fec6764p-7, 0x1.ba134111fb37cp-7, -0x1.9511cbd5d27efp-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.0566b4c8368a2p-8, -0x1.7ad7a1c5c768fp-7, 0x1.9bb1eb61f1d51p-7, -0x1.86a6e36eff01dp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.c30d9f9a451edp-9, -0x1.5323440c14a9ep-7, 0x1.7e656720051b6p-7, -0x1.783cc1abe8a15p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.82f4a00831effp-9, -0x1.2e4f1d055d061p-7, 0x1.622da56653a84p-7, -0x1.69d26aaf29da7p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.49f1f13b2c82dp-9, -0x1.0c3f7f70e855dp-7, 0x1.470aaa32ca1e8p-7, -0x1.5b6821f5675a3p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.177aa2a705dd3p-9, -0x1.d9b17bd12d80cp-8, 0x1.2cfc747395917p-7, -0x1.4cfdd5695aee5p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.d61299a4ce26cp-10, -0x1.9ffe56209c6e9p-8, 0x1.1403047215261p-7, -0x1.3e9389e36c12p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.883c22ada28ffp-10, -0x1.6b2e33128a4b3p-8, 0x1.f83cb435407cdp-8, -0x1.30293e17509dcp-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.447d35c13b582p-10, -0x1.3b09b7ead4726p-8, 0x1.ca9ceae4f4647p-8, -0x1.21bef25decc21p-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.09ec3a5dfafd8p-10, -0x1.0f5989ecf576cp-8, 0x1.9f26acf077478p-8, -0x1.1354a69f9dbdbp-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.af55544fe833p-11, -0x1.cfcc9cb904ccap-9, 0x1.75d9fa588604dp-8, -0x1.04ea5ae285364p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.59ca21d1d2bf7p-11, -0x1.88f154fa1265p-9, 0x1.4eb6d31cf209ap-8, -0x1.ed001e4a629a6p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.11a619209b491p-11, -0x1.49b28724335e1p-9, 0x1.29bd373dc43e4p-8, -0x1.d02b86cfd0e1ep-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.aadd34cd0f4a4p-12, -0x1.11a17dbe86a45p-9, 0x1.06ed26bafaf98p-8, -0x1.b356ef54b74e6p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.477e54327bddcp-12, -0x1.c09f06a0549bp-10, 0x1.cc8d432940dabp-9, -0x1.968257dc5535ap-9}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.ed25c3e711a91p-13, -0x1.6a9bc4c0813bfp-10, 0x1.8f934f9500dfbp-9, -0x1.79adc058f73e6p-9}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.6b54f0520677fp-13, -0x1.205bcaebb7f82p-10, 0x1.56ec72badbc9dp-9, -0x1.5cd928ff506e9p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.0501f304f1088p-13, -0x1.c2035c61273ccp-11, 0x1.2298ac948fb96p-9, -0x1.400491093d80cp-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.6bfa4518da8bp-14, -0x1.57600737ed06ep-11, 0x1.e52ffa7326977p-10, -0x1.232ffb5bea9adp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.e9bd9a8a5f13fp-15, -0x1.fe258104bf188p-12, 0x1.8dd4c8a460362p-10, -0x1.065b5d275d4e4p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.3b68e0bc385p-15, -0x1.6ec1646e51697p-12, 0x1.3f1fc64bc4389p-10, -0x1.d30dbd8e2a2ddp-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.80bd0a3775781p-16, -0x1.fa3c1bff97bd6p-13, 0x1.f221d3b9aefd9p-11, -0x1.9963d33a6b8f9p-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.b5a3d2cd8de03p-17, -0x1.4b8b9ba976eb7p-13, 0x1.7750adf4f51fcp-11, -0x1.5fbd5f8a9a48cp-10}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.c5a70a1d98ap-18, -0x1.950c1e05fecd2p-14, 0x1.0dcb114b606ebp-11, -0x1.2609feddc8467p-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9d141432e0fffp-19, -0x1.c0feaf76b21a1p-15, 0x1.6b29bcde7be6fp-12, -0x1.d90db7032d2fap-11}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.35e9fbcb88ffep-20, -0x1.ae7633b323b09p-16, 0x1.ba7e7254a97f3p-13, -0x1.649f5fc12164fp-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.51467be424p-22, -0x1.441cab3b85a8bp-17, 0x1.c90a71c19153fp-14, -0x1.eae19fff33e9ep-12}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.82f4a00720001p-25, -0x1.3129da81e812ep-19, 0x1.4506238417916p-15, -0x1.caaccb3355e08p-13}, 
        {0x1.599999999999ap+2, 0x1.5b851eb851eb8p+2, 0x1.e9bd99fffffffp-31, -0x1.5280cdf5c676p-25, 0x1.8e8d4cc3ed001p-18, -0x1.5a9d322f10366p-11}, 
      }}, 
      0x1.93537285ae9fep-6, -0x1.2d05637d97333p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.541a531276a52p-2, -0x1.c1f65404b9f91p-1, -0x1.c8eaf5acbfe71p-5, 0x1.fb4a2339c0ebfp-2, 0x1.fb4a2339c0ebfp-2, 0x1.fb4a2339c0ebfp-2, 0, 4, 2}, 
    {{
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      {{-0x1.7112a28e5aad4p+1, -0x1.6e9558f5edfa5p+1, -0x1.6a83159a74efcp+1, -0x1.64f5065a67f89p+1, -0x1.5e09343c0013ep+1, -0x1.55e08cd37f817p+1, -0x1.4c9d6fb6da3p+1, -0x1.42629ce1c6e58p+1, -0x1.37526a9f9b887p+1, -0x1.2b8e30fa30651p+1, -0x1.1f35ddca19bb2p+1, -0x1.1267a83c40369p+1, -0x1.053fdce0cc1f3p+1, -0x1.efb17a2dee7acp+0, -0x1.d494db9fd16d1p+0, -0x1.b955e4f62e8dcp+0, -0x1.9e1c632433249p+0, -0x1.830c01600326p+0, -0x1.68446d13bcc5bp+0, -0x1.4de182a9c6b93p+0, -0x1.33fb80faaa8e8p+0, -0x1.1aa741447921ap+0, -0x1.01f672256c2d7p+0, -0x1.d3efa838520cdp-1, -0x1.a56eecd91816ap-1, -0x1.787de6a6077abp-1, -0x1.4d2b54fcf2cdep-1, -0x1.2381f29215243p-1, -0x1.f711c475b921bp-2, -0x1.aa883067b80d6p-2, -0x1.61697460dfc0ap-2, -0x1.1bb2e389ce9ccp-2, -0x1.b2baf5e9ea7ccp-3, -0x1.34bd1eb54aa78p-3, -0x1.7aa15cf0c34cap-4, -0x1.3152885df1785p-5, 0x1.e5c7eec1f9894p-7, 0x1.05d7814987b65p-4, 0x1.c30a53f40856p-4, 0x1.3a571b0b6564ap-3, 0x1.8d91beb3398ddp-3, 0x1.db6698ac084cbp-3, 0x1.12040f2e52fa9p-2, 0x1.33d4aeaef7a3dp-2, 0x1.533ed67d91eb4p-2, 0x1.705c340e29a9dp-2, 0x1.8b4657491fc48p-2, 0x1.a41696895eadfp-2, 0x1.bae5f5830d871p-2, 0x1.cfcd0ef26a979p-2, 0x1.e2e400e661876p-2, 0x1.f4425b9f5f5bdp-2, 0x1.01ff897d7ec57p-1, 0x1.09183933e5c81p-1, 0x1.0f7609975fa6ep-1, 0x1.15236a80e2701p-1, 0x1.1a2a6c3f594a4p-1, 0x1.1e94bdc10a86ap-1, 0x1.226bab94693efp-1, 0x1.25b81f8a2cf39p-1, 0x1.2882a11089699p-1, 0x1.2ad355ff29555p-1, 0x1.2cb203f12e59cp-1, 0x1.2e2611f18163ap-1, 0x1.2f368a847ce7ep-1, 0x1.2fea1df26e3cep-1, 0x1.304724c8e875fp-1, 0x1.3053a28725d8fp-1, 0x1.3015486ad714ep-1, 0x1.2f917857e8c3dp-1, 0x1.2ecd47ca2c003p-1, 0x1.2dcd82dc6e6b2p-1, 0x1.2c96af47dc5b7p-1, 0x1.2b2d0f6c91951p-1, 0x1.2994a54c89092p-1, 0x1.27d1358724c1p-1, 0x1.25e64a3e97f72p-1, 0x1.23d735f4d616ap-1, 0x1.21a7165529c06p-1, 0x1.1f58d6e74d025p-1, 0x1.1cef33b42340fp-1, 0x1.1a6cbbcda2485p-1, 0x1.17d3d3c418957p-1, 0x1.1526b802c52b8p-1, 0x1.12677f1432ddfp-1, 0x1.0f981bcefb1adp-1, 0x1.0cba5f6af1503p-1, 0x1.09cffb7dc81a9p-1, 0x1.06da83e0116c1p-1, 0x1.03db707bccdedp-1, 0x1.00d41f0312fd1p-1, 0x1.fb8ba921a9b14p-2, 0x1.f5637e683cacep-2, 0x1.ef31eecb78cafp-2, 0x1.e8f902d40717fp-2, 0x1.e2ba9d3b13f13p-2, 0x1.dc787d631681ap-2, 0x1.d63441a4011d7p-2, 0x1.cfef697e6695ap-2, 0x1.c9ab57a3cb36dp-2, 0x1.c36953e4bc2a1p-2, 0x1.bd2a8d0231b2cp-2, 0x1.b6f01a59b194ap-2, 0x1.b0bafd80a2dd5p-2, 0x1.aa8c23c0085bp-2, 0x1.a4646776b4745p-2, 0x1.9e4491685bc6ep-2, 0x1.982d59f58f7bp-2, 0x1.921f6a3b3db11p-2, 0x1.8c1b5d28d8143p-2, 0x1.8621c07b53c06p-2, 0x1.803315a204845p-2, 0x1.7a4fd2ad7bc26p-2, 0x1.74786307c203p-2, 0x1.6ead28415d3e6p-2, 0x1.68ee7ac7adafp-2, 0x1.633caa7e5a931p-2, 0x1.5d97ff5e74d6cp-2, 0x1.5800ba0f27988p-2, 0x1.52771460a7b4p-2, 0x1.4cfb41d2e23e4p-2, 0x1.478d6ff98a4dfp-2, 0x1.422dc6f8c4ba3p-2, 0x1.3cdc69e598f9fp-2, 0x1.37997717e04e2p-2, 0x1.3265088f3609cp-2, 0x1.2d3f3434fa9fap-2, 0x1.28280c33f682ap-2, 0x1.231f9f33edb16p-2, 0x1.1e25f89d6eccdp-2, 0x1.193b20d742123p-2, 0x1.145f1d749ec7ap-2, 0x1.0f91f17145cd2p-2, 0x1.0ad39d656eb51p-2, 0x1.06241f9d76e9cp-2, 0x1.018374553b9bdp-2, 0x1.f9e32bb2636e8p-3, 0x1.f0dcf952d3f91p-3, 0x1.e7f43f1bfaccfp-3, 0x1.df28e78fb4832p-3, 0x1.d67ada508b283p-3, 0x1.cde9fc38b8fadp-3, 0x1.c5762fa32fa31p-3, 0x1.bd1f549909e8ep-3, 0x1.b4e548f821b73p-3, 0x1.acc7e884c67e9p-3, 0x1.a4c70d215a90ep-3, 0x1.9ce28efaa1b09p-3, 0x1.951a448ad0cc8p-3, 0x1.8d6e02bdd2466p-3, 0x1.85dd9d0fbd71ap-3, 0x1.7e68e5acac282p-3, 0x1.770fad7f1b133p-3, 0x1.6fd1c443d929bp-3, 0x1.68aef88f6927ep-3, 0x1.61a718016dcb5p-3, 0x1.5ab9ef4f33958p-3, 0x1.53e74a352b917p-3, 0x1.4d2ef39c1edb6p-3, 0x1.4690b5a9a2325p-3, 0x1.400c59cf0e6d7p-3, 0x1.39a1a8cd902ecp-3, 0x1.33506abdd4ef1p-3, 0x1.2d1867230350dp-3, 0x1.26f964f893f36p-3, 0x1.20f32aba58376p-3, 0x1.1b057e6528687p-3, 0x1.1530258831739p-3, 0x1.0f72e544cff58p-3, 0x1.09cd8266c18f2p-3, 0x1.043fc16253952p-3, 0x1.fd92ccaead4afp-4, 0x1.f2d46a3316ea3p-4, 0x1.e843e279896c4p-4, 0x1.dde0bc3a194b5p-4, 0x1.d3aa7dc6715f1p-4, 0x1.c9a0ad0b79132p-4, 0x1.bfc2cf99b4e3bp-4, 0x1.b6106ab870d3bp-4, 0x1.ac890394c4ff5p-4, 0x1.a32c1f105e165p-4, 0x1.99f941eefb62cp-4, 0x1.90eff0d254882p-4, 0x1.880fb04ae4572p-4, 0x1.7f5804e6523c5p-4, 0x1.76c873372de65p-4, 0x1.6e607fd9038b7p-4, 0x1.661faf76db413p-4, 0x1.5e0586d6c938bp-4, 0x1.56118ae7eb56ep-4, 0x1.4e4340d38c57cp-4, 0x1.469a2de763b49p-4, 0x1.3f15d7b61d134p-4, 0x1.37b5c428a1c44p-4, 0x1.3079795d47155p-4, 0x1.29607dd608ef1p-4, 0x1.226a587674c9fp-4, 0x1.1b96908745f93p-4, 0x1.14e4adbb5a10ap-4, 0x1.0e543836e56ecp-4, 0x1.07e4b8991e75bp-4, 0x1.0195b805be8a6p-4, 0x1.f6cd8057c6d33p-5, 0x1.eaaeb69460e3cp-5, 0x1.dece286490e78p-5, 0x1.d32aec9bcbf52p-5, 0x1.c7c41b53bd3edp-5, 0x1.bc98cdf8a55e4p-5, 0x1.b1a81f4ef472p-5, 0x1.a6f12b7b7140cp-5, 0x1.9c73103fa00d1p-5, 0x1.922ceca0fec1cp-5, 0x1.881de137d788ep-5, 0x1.7e45102cb311dp-5, 0x1.74a19d45f377fp-5, 0x1.6b32adeed8c66p-5, 0x1.61f76950317d1p-5, 0x1.58eef831513b2p-5, 0x1.5018850baabdap-5, 0x1.47733c2783c7p-5, 0x1.3efe4b9f0128dp-5, 0x1.36b8e34ece13bp-5, 0x1.2ea2350b7f1bep-5, 0x1.26b974810257bp-5, 0x1.1efdd73ceccb1p-5, 0x1.176e94b6a298dp-5, 0x1.100ae65bec7dfp-5, 0x1.08d20791edc1ap-5, 0x1.01c335c9e3a49p-5, 0x1.f5bb60c9289c3p-6, 0x1.e84171e2e22eep-6, 0x1.db1725b5e1f89p-6, 0x1.ce3b074a81186p-6, 0x1.c1aba5e0d98ccp-6, 0x1.b56795069fcf9p-6, 0x1.a96d6c93fb012p-6, 0x1.9dbbc88d9b612p-6, 0x1.925149058e7dfp-6, 0x1.872c921b0bd63p-6, 0x1.7c4c4c2544131p-6, 0x1.71af23f5c8b6ap-6, 0x1.6753cb085cc0ap-6, 0x1.5d38f776cc45bp-6, 0x1.535d63ab291dbp-6, 0x1.49bfcdfadfb5ap-6, 0x1.405ef86ef5774p-6, 0x1.3739a8ee91a4cp-6, 0x1.2e4ea9c6d9cd8p-6, 0x1.259cca464e383p-6, 0x1.1d22df069cd1bp-6, 0x1.14dfc1aca625cp-6, 0x1.0cd24fd590a9ep-6, 0x1.04f96a74e72ep-6, 0x1.faa7ea6c8a55fp-7, 0x1.ebc1ae18d361ep-7, 0x1.dd3df676227a2p-7, 0x1.cf1aa58da9d66p-7, 0x1.c155aa4740308p-7, 0x1.b3ecff4a4e776p-7, 0x1.a6dea7a9f711ep-7, 0x1.9a28aae618254p-7, 0x1.8dc9127a76fb4p-7, 0x1.81bdeaa56a50ep-7, 0x1.7605467343528p-7, 0x1.6a9d4539dfacdp-7, 0x1.5f8416981c16ep-7, 0x1.54b7fa7f040afp-7, 0x1.4a373c9f8137fp-7, 0x1.40002d10830f8p-7, 0x1.361119c0f3436p-7, 0x1.2c684c4cabfp-7, 0x1.23040de2d427ep-7, 0x1.19e2afe87ad27p-7, 0x1.1102956278113p-7, 0x1.0862385b67919p-7, 0x1.000028073b311p-7, 0x1.efb5ff8247b1ep-8, 0x1.dfe2b5488cc7p-8, 0x1.d08392f3965fep-8, 0x1.c1959fd1fadc2p-8, 0x1.b315d726c9d3ap-8, 0x1.a5014304fc606p-8, 0x1.975519e0a1c29p-8, 0x1.8a0ecf90722fbp-8, 0x1.7d2c1269e16b9p-8, 0x1.70aab2c697e6cp-8, 0x1.64887f7a3312dp-8, 0x1.58c3265c60c76p-8, 0x1.4d582727603a5p-8, 0x1.4244df5a44758p-8, 0x1.3786ab063f7dap-8, 0x1.2d1b0d2a27865p-8, 0x1.22ffce851b8d8p-8, 0x1.1933054b9cadcp-8, 0x1.0fb301a3470d2p-8, 0x1.067e263ac6c37p-8, 0x1.fb2579ce790a3p-9, 0x1.e9ddb1fe3bd46p-9, 0x1.d920a716d842ep-9, 0x1.c8e9c5bcf03f5p-9, 0x1.b93488574be3p-9, 0x1.a9fccd5951f1bp-9, 0x1.9b3f0ec4fb8c4p-9, 0x1.8cf8658a4f7eep-9, 0x1.7f265856f0565p-9, 0x1.71c689db99d01p-9, 0x1.64d66625de1d6p-9, 0x1.5852ed79fd0ccp-9, 0x1.4c38aec328d8bp-9, 0x1.4083f1a6a5d71p-9, 0x1.3530fef838e36p-9, 0x1.2a3c6a9886d78p-9, 0x1.1fa3438a730b3p-9, 0x1.156319f1ab417p-9, 0x1.0b79e001a419fp-9, 0x1.01e5b40db8d46p-9, 0x1.f149531864a7dp-10, 0x1.df693dd374176p-10, 0x1.ce265493e08bcp-10, 0x1.bd7b49294533ep-10, 0x1.ad62a0075f281p-10, 0x1.9dd711b805dc8p-10, 0x1.8ed3cc683007cp-10, 0x1.805477184049fp-10, 0x1.72550be34180dp-10, 0x1.64d1bcccc6b9ep-10, 0x1.57c6fa573d5ep-10, 0x1.4b317c840cc6ep-10, 0x1.3f0e25cf037f6p-10, 0x1.3359c8ef86696p-10, 0x1.28110b142abd8p-10, 0x1.1d30868eab137p-10, 0x1.12b5046070c17p-10, 0x1.089b78551f645p-10, 0x1.fdc14c26f3aeap-11, 0x1.eb018b9593ed9p-11, 0x1.d8ef4644592aep-11, 0x1.c7828c6bf799dp-11, 0x1.b6b53f186dd72p-11, 0x1.a68335e04a396p-11, 0x1.96e928b4b7815p-11, 0x1.87e39644e34a6p-11, 0x1.796ebb5058756p-11, 0x1.6b874b043e40fp-11, 0x1.5e2a99be2150dp-11, 0x1.5155775721423p-11, 0x1.45027c13ef2ep-11, 0x1.39297ead62f94p-11, 0x1.2dc133d445f5bp-11, 0x1.22c209182df7ap-11, 0x1.1827e29b1f792p-11, 0x1.0df15bec46497p-11, 0x1.041d717462e8bp-11, 0x1.f5544b9f6a853p-12, 0x1.e32a5c249f586p-12, 0x1.d1ba8f5c2d855p-12, 0x1.c10468f9f083ap-12, 0x1.b105f53254aa6p-12, 0x1.a1b7a3d7f5b5p-12, 0x1.930b358a28877p-12, 0x1.84ef396d7461bp-12, 0x1.7755441207855p-12, 0x1.6a367a150b7dp-12, 0x1.5d928c20aed6ap-12, 0x1.516a4662efc0ap-12, 0x1.45bb9a000c35dp-12, 0x1.3a82b8f44e191p-12, 0x1.2fbd8d89ef99p-12, 0x1.256cdcb2c74fcp-12, 0x1.1b9192843db2ap-12, 0x1.1228fc2bc2c18p-12, 0x1.092b7990eb9bp-12, 0x1.008de30b533cdp-12, 0x1.f0889c04c5fa5p-13, 0x1.e08b529c916ddp-13, 0x1.d11cda708433p-13, 0x1.c23ef0a2f15dep-13, 0x1.b3f3888656c4p-13, 0x1.a6376d28e6cfcp-13, 0x1.9904ddf9cd3e4p-13, 0x1.8c595e68e95a7p-13, 0x1.8036e006e9567p-13, 0x1.749d98e5a7594p-13, 0x1.69875ce36ec35p-13, 0x1.5eea898c85ca6p-13, 0x1.54bdc4762cd84p-13, 0x1.4af77186edb17p-13, 0x1.418cac1faeefep-13, 0x1.3873c87bc6cacp-13, 0x1.2fa88e621d7c6p-13, 0x1.272c77e539817p-13, 0x1.1f012a8e8a45dp-13, 0x1.1723dff9f8294p-13, 0x1.0f90b8100e8d2p-13, 0x1.084838852b626p-13, 0x1.014afbb2debbbp-13, 0x1.f5279e081a75cp-14, 0x1.e8369ab138c2p-14, 0x1.dbba90d2a6a99p-14, 0x1.cfb2614194882p-14, 0x1.c41d5850eaaa2p-14, 0x1.b8f3704a8ba29p-14, 0x1.ae23587595ba5p-14, 0x1.a39d901641a36p-14, 0x1.996369c5b7952p-14, 0x1.8f7de1402782fp-14, 0x1.85e96d06b178ep-14, 0x1.7c9f0256a059ep-14, 0x1.73a1f1784369ap-14, 0x1.6af13a7c94e4cp-14, 0x1.628221f09360ap-14, 0x1.5a4b54931cf69p-14, 0x1.524937fc11ed6p-14, 0x1.4a7c9fbd2321ap-14, 0x1.42e92596b83d9p-14, 0x1.3b9173accb2ep-14, 0x1.34714645ee8abp-14, 0x1.2d79eaf5bbe84p-14, 0x1.269faf926317bp-14, 0x1.1fea07e178a72p-14, 0x1.195e60d8ff35bp-14, 0x1.12f4f54284cb4p-14, 0x1.0caf5d5b01ec1p-14, 0x1.06909e6fa6fc8p-14, 0x1.0091d951e5deep-14, 0x1.f559f438187e2p-15, 0x1.e9c08de9404a4p-15, 0x1.de56c9b046b76p-15, 0x1.d31c8ca595d3bp-15, 0x1.c813fa44c8237p-15, 0x1.bd40ffca8d3f8p-15, 0x1.b2a54e50922fdp-15, 0x1.a8391ddaba232p-15, 0x1.9de93df6679d7p-15, 0x1.93b63cc82c26ep-15, 0x1.89aaccb745dd4p-15, 0x1.7fbc9b6aa9d7bp-15, 0x1.75f11f13e59abp-15, 0x1.6c4cc1c7ccd5bp-15, 0x1.62c5a53f9d18bp-15, 0x1.5956e6118197cp-15, 0x1.5000b064452a8p-15, 0x1.46c388bef2d79p-15, 0x1.3d9f1af81c75ep-15, 0x1.3492ba95ef66ap-15, 0x1.2b9e57bcba639p-15, 0x1.22c2d0b9525a3p-15, 0x1.1a01139161291p-15, 0x1.115a100c39c52p-15, 0x1.08c8049a1b567p-15, }}, 
      {{-0x1.71a12d3c7bc99p+1, -0x1.70ca3fdb6cadep+1, -0x1.6f684793f8116p+1, -0x1.6d80cc35d1f15p+1, -0x1.6b1a9485ea2a7p+1, -0x1.683d40ff73913p+1, -0x1.64f0fd4964dd1p+1, -0x1.613e43699b426p+1, -0x1.5d2dacb252636p+1, -0x1.58c7cd694db2bp+1, -0x1.541518c508e13p+1, -0x1.4f1dcb786a3c6p+1, -0x1.49e9db73510aep+1, -0x1.4480ebccc2a48p+1, -0x1.3eea440862d47p+1, -0x1.392cca1591c0ep+1, -0x1.334efe88440afp+1, -0x1.2d56faa0c8246p+1, -0x1.274a6fd7c6267p+1, -0x1.212ea899a2f6ap+1, -0x1.1b088a0cce379p+1, -0x1.14dc9694d190bp+1, -0x1.0eaef10a58fb2p+1, -0x1.08836067daa58p+1, -0x1.025d53d83a8d2p+1, -0x1.f87fce2502c11p+0, -0x1.ec5bcdbcc17bep+0, -0x1.e053ab6826ab3p+0, -0x1.d46be0d0467d1p+0, -0x1.c8a8659552096p+0, -0x1.bd0cb8689394dp+0, -0x1.b19be7e5fbf49p+0, -0x1.a6589b186a3d5p+0, -0x1.9b4519956b88ep+0, -0x1.90635321a066fp+0, -0x1.85b4e6e14c7a8p+0, -0x1.7b3b2a0e3c096p+0, -0x1.70f72e2d072c5p+0, -0x1.66e9c6d9f0449p+0, -0x1.5d138f2d2f886p+0, -0x1.5374eec112ab4p+0, -0x1.4a0e1e6895f7cp+0, -0x1.40df2c9768becp+0, -0x1.37e8018961eb5p+0, -0x1.2f28631f7128ap+0, -0x1.269ff8756bb8fp+0, -0x1.1e4e4d35f2641p+0, -0x1.1632d4b099eb8p+0, -0x1.0e4cecb94905ep+0, -0x1.069be04ce1212p+0, -0x1.fe3dd3fca52a8p-1, -0x1.efaa6c6230874p-1, -0x1.e17bca4a87053p-1, -0x1.d3b019b0fda4bp-1, -0x1.c645757e27595p-1, -0x1.b939eab072885p-1, -0x1.ac8b7b3e1e05cp-1, -0x1.a03820b46d04ap-1, -0x1.943dce965b718p-1, -0x1.889a74822d4c1p-1, -0x1.7d4c001c97b95p-1, -0x1.72505ecd78681p-1, -0x1.67a57f4ac01f1p-1, -0x1.5d4952fd3d964p-1, -0x1.5339cf3c62e12p-1, -0x1.4974ee657d57bp-1, -0x1.3ff8b0d027316p-1, -0x1.36c31da2f1d66p-1, -0x1.2dd2438bc2a17p-1, -0x1.2524395c9e4e6p-1, -0x1.1cb71e936d329p-1, -0x1.14891bc755e7cp-1, -0x1.0c98630799547p-1, -0x1.04e33023abbbdp-1, -0x1.facf91ced3d44p-2, -0x1.ec48fa87825e4p-2, -0x1.de2f4edf5dd41p-2, -0x1.d07f57f3cb1a4p-2, -0x1.c335f3a14916ap-2, -0x1.b650148502abbp-2, -0x1.a9cac1e4529fep-2, -0x1.9da3178f0afefp-2, -0x1.91d645ae95899p-2, -0x1.8661908b94e84p-2, -0x1.7b42504a05bedp-2, -0x1.7075f09cf4b56p-2, -0x1.65f9f07131bacp-2, -0x1.5bcbe1948598p-2, -0x1.51e96855f16d3p-2, -0x1.48503b22c804ep-2, -0x1.3efe221f37089p-2, -0x1.35f0f6bf31d7fp-2, -0x1.2d26a3594cbecp-2, -0x1.249d22bbd84ffp-2, -0x1.1c527fbf98fb3p-2, -0x1.1444d4da604adp-2, -0x1.0c724bb1d13abp-2, -0x1.04d91cae6d20ep-2, -0x1.faef1d1ddbfc3p-3, -0x1.ec97ebfde8887p-3, -0x1.dea96a590a4bcp-3, -0x1.d12076c14d688p-3, -0x1.c3fa093199ca1p-3, -0x1.b733324403d65p-3, -0x1.aac91a6cf6403p-3, -0x1.9eb9013ae16abp-3, -0x1.93003c9afdfb2p-3, -0x1.879c38202f047p-3, -0x1.7c8a7450646bp-3, -0x1.71c885f6a0c18p-3, -0x1.67541576481fp-3, -0x1.5d2ade29e636dp-3, -0x1.534aadbe9bb2bp-3, -0x1.49b1639b73663p-3, -0x1.405cf049b697bp-3, -0x1.374b54dfeafc4p-3, -0x1.2e7aa27662699p-3, -0x1.25e8f99f3942dp-3, -0x1.1d9489dc7744cp-3, -0x1.157b9122bca6fp-3, -0x1.0d9c5b5aa01bbp-3, -0x1.05f541ed7d07dp-3, -0x1.fd09569350228p-4, -0x1.ee9214ea7a468p-4, -0x1.e081bd48c9f22p-4, -0x1.d2d565948074bp-4, -0x1.c58a3a77b0495p-4, -0x1.b89d7e8bf18c3p-4, -0x1.ac0c89a82faeep-4, -0x1.9fd4c8299b674p-4, -0x1.93f3ba3dfeed6p-4, -0x1.8866f345054f9p-4, -0x1.7d2c19263de32p-4, -0x1.7240e3aa7f22p-4, -0x1.67a31bfa933a4p-4, -0x1.5d509bfa1716bp-4, -0x1.53474dc1f02d9p-4, -0x1.49852b0fbfde1p-4, -0x1.40083cd7332d4p-4, -0x1.36ce9aad5dd1cp-4, -0x1.2dd66a5243e99p-4, -0x1.251ddf4a39ce9p-4, -0x1.1ca33a5d6fb77p-4, -0x1.1464c9319628ap-4, -0x1.0c60e5da47efdp-4, -0x1.0495f67fc63e4p-4, -0x1.fa04d9e319f22p-5, -0x1.eb498c88362f8p-5, -0x1.dcf715107310ep-5, -0x1.cf0a98c5e6ddfp-5, -0x1.c18151821b198p-5, -0x1.b4588d1b99727p-5, -0x1.a78dac9f62881p-5, -0x1.9b1e23629bdc7p-5, -0x1.8f0777857bc27p-5, -0x1.834740957d44bp-5, -0x1.77db2685349e2p-5, -0x1.6cc0e2944f262p-5, -0x1.61f63dd30a96p-5, -0x1.577910a0136a5p-5, -0x1.4d474283e5a88p-5, -0x1.435ec9b17145ep-5, -0x1.39bdaa8f50a73p-5, -0x1.3061f742a448cp-5, -0x1.2749cf58c132ap-5, -0x1.1e735f5798abap-5, -0x1.15dce065e9a15p-5, -0x1.0d8497d1b2e53p-5, -0x1.0568d6e7fc3a3p-5, -0x1.fb0ff4e796bddp-6, -0x1.ebc0d4f528f22p-6, -0x1.dce133d0b657dp-6, -0x1.ce6e0c8150d49p-6, -0x1.c0646ea56e7dp-6, -0x1.b2c17de21cbc6p-6, -0x1.a58271445561p-6, -0x1.98a492c16d2e1p-6, -0x1.8c253ec6c3e4bp-6, -0x1.8001e3ba3876dp-6, -0x1.743800f940fdfp-6, -0x1.68c52740217dcp-6, -0x1.5da6f78a9fe32p-6, -0x1.52db22daed21bp-6, -0x1.485f69c6c61a6p-6, -0x1.3e319c0ac5371p-6, -0x1.344f9821cf547p-6, -0x1.2ab74adfa7cd7p-6, -0x1.2166af0f8734ep-6, -0x1.185bcd165e2fp-6, -0x1.0f94ba92bd3c1p-6, -0x1.070f99dc63846p-6, -0x1.fd9534716ad8cp-7, -0x1.ed87ede9fb5c3p-7, -0x1.ddf3edc735815p-7, -0x1.ced5d9dc841b2p-7, -0x1.c02a6e244f537p-7, -0x1.b1ee7c8c890bdp-7, -0x1.a41eec6db9bfcp-7, -0x1.96b8b9f7f576ap-7, -0x1.89b8f5a83cce2p-7, -0x1.7d1cc3c237414p-7, -0x1.70e15bcd81a23p-7, -0x1.650408168b26dp-7, -0x1.5982253327071p-7, -0x1.4e59218ba5c8fp-7, -0x1.43867ceb9b61fp-7, -0x1.3907c7e94bc75p-7, -0x1.2edaa39a2ff42p-7, -0x1.24fcc15f155bbp-7, -0x1.1b6be27c0b0a7p-7, -0x1.1225d644dbabdp-7, -0x1.09287c2c7901ep-7, -0x1.0071c1a9a3211p-7, -0x1.efff44a201eebp-8, -0x1.dfa04f000bfcep-8, -0x1.cfc2cffe50d5cp-8, -0x1.c0630f5289153p-8, -0x1.b17d6e2ab97dcp-8, -0x1.a30e668d373c8p-8, -0x1.95128ab3ceee6p-8, -0x1.8786846cfa4a3p-8, -0x1.7a671489f81dep-8, -0x1.6db112416652p-8, -0x1.61616aa2d8fe8p-8, -0x1.5575200b324fap-8, -0x1.49e949a2c65b6p-8, -0x1.3ebb125a7a696p-8, -0x1.33e7b9809184dp-8, -0x1.296c910f9456ep-8, -0x1.1f46ff155b654p-8, -0x1.157478f92d13p-8, -0x1.0bf2889ae3784p-8, -0x1.02bec83a5eed9p-8, -0x1.f3adc5e04e75ap-9, -0x1.e27128a4dc415p-9, -0x1.d1c34ffcf2da4p-9, -0x1.c19ff25b31191p-9, -0x1.b202e49df7b4bp-9, -0x1.a2e8194946e7ap-9, -0x1.944b9fc67587fp-9, -0x1.8629a3a7aa33bp-9, -0x1.787e6becfb446p-9, -0x1.6b465a4cf2d3dp-9, -0x1.5e7dea8123a5bp-9, -0x1.5221b197bc872p-9, -0x1.462e5d4bf5d4fp-9, -0x1.3aa0b3644790ep-9, -0x1.2f759112e97fp-9, -0x1.24a9ea51bbd22p-9, -0x1.1a3ac8fd6d884p-9, -0x1.10254d0e32e5bp-9, -0x1.0666b067a0113p-9, -0x1.f9f8655dbcec2p-10, -0x1.e7c672699f7fap-10, -0x1.d6325c27399fbp-10, -0x1.c53738ba1f2f9p-10, -0x1.b4d02d47b76afp-10, -0x1.a4f88a4bfa2b1p-10, -0x1.95abc3a3c0761p-10, -0x1.86e56ea735c45p-10, -0x1.78a1416d2c05fp-10, -0x1.6adb12095fbe8p-10, -0x1.5d8ed5f2122d6p-10, -0x1.50b8a154cfc4fp-10, -0x1.4454a651f3763p-10, -0x1.385f344a43107p-10, -0x1.2cd4b6b983b78p-10, -0x1.21b1b42582e99p-10, -0x1.16f2cd2651cc8p-10, -0x1.0c94bbad0d07fp-10, -0x1.02945296fe3e9p-10, -0x1.f1dcfae14ac93p-11, -0x1.df408061695b4p-11, -0x1.cd4d6d62a3ce5p-11, -0x1.bbfe279927905p-11, -0x1.ab4d406c953bp-11, -0x1.9b3572b6939a7p-11, -0x1.8bb19f30ceb4ep-11, -0x1.7cbccae4ec632p-11, -0x1.6e522bf05c623p-11, -0x1.606d144ea35fep-11, -0x1.53090157ce0cfp-11, -0x1.462191545e294p-11, -0x1.39b290e9e8326p-11, -0x1.2db7e8d547047p-11, -0x1.222da111f178p-11, -0x1.170fde96770e6p-11, -0x1.0c5ae27f8149ap-11, -0x1.020b0ac46872ap-11, -0x1.f039a74e60a34p-12, -0x1.dd19b1a8652f3p-12, -0x1.caafaaa1f8b8ep-12, -0x1.b8f543b8943f4p-12, -0x1.a7e4641ea20bep-12, -0x1.9777220bcca94p-12, -0x1.87a7bd7ac2469p-12, -0x1.78709de8db232p-12, -0x1.69cc53999fa7ap-12, -0x1.5bb59b2164811p-12, -0x1.4e27610bfd2eap-12, -0x1.411cc3a59755dp-12, -0x1.349111e8bfb33p-12, -0x1.287fc7ac4bdf1p-12, -0x1.1ce487faf630ap-12, -0x1.11bb171d27816p-12, -0x1.06ff563cb2127p-12, -0x1.f95a844897871p-13, -0x1.e581ea6a51857p-13, -0x1.d26d561e24ac3p-13, -0x1.c01586da40f88p-13, -0x1.ae737a754e984p-13, -0x1.9d80862d1302bp-13, -0x1.8d363bfcda40ap-13, -0x1.7d8e7d7ee1034p-13, -0x1.6e832e87bc7cp-13, -0x1.600e7f1f43bdcp-13, -0x1.522ad49677d84p-13, -0x1.44d2aea318305p-13, -0x1.3800bd602accfp-13, -0x1.2bafe2fadf65ap-13, -0x1.1fdb320fdbe9ap-13, -0x1.147deaecdf2f5p-13, -0x1.09937a77e97d6p-13, -0x1.fe2ef5a18763p-14, -0x1.ea0b6592fd733p-14, -0x1.d6b425b74c3f4p-14, -0x1.c4215ece4b6f7p-14, -0x1.b24b7e2b0b56p-14, -0x1.a12b34679cfa1p-14, -0x1.90b9761f60a79p-14, -0x1.80ef75c7965aep-14, -0x1.71c699a5b6dd8p-14, -0x1.63387618d6adep-14, -0x1.553ed164dfa58p-14, -0x1.47d3ad81d469dp-14, -0x1.3af14fbd7ea2fp-14, -0x1.2e9241ee1171ep-14, -0x1.22b14ff41d1acp-14, -0x1.17498525531f1p-14, -0x1.0c5627c9d207ep-14, -0x1.01d2ae98d5f44p-14, -0x1.ef75645cbaf07p-15, -0x1.dc13c42b0ae8ep-15, -0x1.c978041c8d1afp-15, -0x1.b799dc1288ffap-15, -0x1.a67142a3912b4p-15, -0x1.95f67af784848p-15, -0x1.862218c0491b4p-15, -0x1.76ece09fa411cp-15, -0x1.685161daab8d4p-15, -0x1.5a483426f6604p-15, -0x1.4ccc0ef4cdddap-15, -0x1.3fd8466d68eeep-15, -0x1.3366a1132d5p-15, -0x1.2771dcad9d4dap-15, -0x1.1bf4c7feac6ecp-15, -0x1.10ea41fe9e158p-15, -0x1.064d494b42fb4p-15, -0x1.f831f5029cd97p-16, -0x1.e4913012e42d6p-16, -0x1.d1af48842262cp-16, -0x1.bf841920be7fap-16, -0x1.ae087bd107035p-16, -0x1.9d35f338e642fp-16, -0x1.8d060f6cf044cp-16, -0x1.7d722b1b795bcp-16, -0x1.6e73aa985f7afp-16, -0x1.60044475ce21fp-16, -0x1.521dfb988a4e6p-16, -0x1.44baf2c7e1f86p-16, -0x1.37d555763897ap-16, -0x1.2b6759678ef44p-16, -0x1.1f6b539d2698bp-16, -0x1.13dbf9279f4e3p-16, -0x1.08b4ba4ee55bap-16, -0x1.fbe393c72816bp-17, -0x1.e71f35781337p-17, -0x1.d314cd1caac06p-17, -0x1.bfbc8e7f138a4p-17, -0x1.ad0eeac352a45p-17, -0x1.9b05078655b8fp-17, -0x1.899850783f004p-17, -0x1.78c25106f7ac3p-17, -0x1.687c99abdcb44p-17, -0x1.58c0c3392941dp-17, -0x1.498882714ca57p-17, -0x1.3acdd9fbe0985p-17, -0x1.2c8b81846f206p-17, -0x1.1ebd1798261fdp-17, -0x1.115e9b88ce046p-17, -0x1.046bdf8a622d8p-17, -0x1.efc154bc7be3fp-18, -0x1.d771c8ab8524bp-18, -0x1.bfe0a33dc6bc2p-18, -0x1.a9098bb4d4p-18, -0x1.92e235d74e4b8p-18, -0x1.7d6910e043d63p-18, -0x1.6890efe90b53fp-18, -0x1.5456934396be3p-18, -0x1.40b40c256713ap-18, -0x1.2da3688b36bd3p-18, -0x1.1b1f4572a6441p-18, -0x1.0922a77042723p-18, -0x1.ef5172ff1a34dp-19, -0x1.cd59d6ba08fe4p-19, -0x1.ac56b9c4e4c6p-19, -0x1.8c40ea1ad6c82p-19, -0x1.6d10a135a5621p-19, -0x1.4ebe1887c041ep-19, -0x1.314219488345dp-19, -0x1.1495f99ff5afp-19, -0x1.f166c37b3beb2p-20, -0x1.bb2823f8d7099p-20, -0x1.86646a74ee035p-20, -0x1.53117c17f6391p-20, -0x1.2125a29b702a6p-20, -0x1.e12bc2141fa56p-21, -0x1.82ac8fc471e37p-21, -0x1.26b8564025eebp-21, -0x1.9a817745858c1p-22, -0x1.d8e7c4023514p-23, -0x1.0ca27c5b10fcap-24, 0x1.86030c7a8de1p-24, 0x1.01a5d8b1ef291p-22, 0x1.9d62e813067cap-22, 0x1.1a68cebd0a004p-21, 0x1.6404f0684158ep-21, 0x1.ab91af494121bp-21, 0x1.f11a596334ccdp-21, 0x1.1a542eca8f48ep-20, 0x1.3b222d98b2d2ap-20, 0x1.5afc8dfebd5b3p-20, 0x1.79e9db5562251p-20, 0x1.97f01011bdec9p-20, 0x1.b512bc88905ebp-20, 0x1.d154aa56c7702p-20, 0x1.ecba4d45c887bp-20, 0x1.03a3e35497649p-19, 0x1.108060ec21e2bp-19, 0x1.1cf488c95d937p-19, 0x1.29021ccaaf60ep-19, 0x1.34aab4f81b099p-19, 0x1.3ff02caf336d4p-19, 0x1.4ad5dce3529bdp-19, 0x1.5558deef6a597p-19, 0x1.5f82cf405c5fbp-19, 0x1.6942a84058251p-19, 0x1.72aad207cf859p-19, 0x1.7bc50481d6768p-19, 0x1.847b672e2eafap-19, }}, 
      std::vector<double>(450, 0.0), 
      {{0x1.a8ad92f751e4ap-4, 0x1.9ee4055049f82p-3, 0x1.2c60e205fec98p-2, 0x1.7ebffd70c0bf3p-2, 0x1.c543e427c694dp-2, 0x1.ff50fa2f899f1p-2, 0x1.16666d703d096p-1, 0x1.26fd60ab02b15p-1, 0x1.31b0331a188a7p-1, 0x1.36d8a7ac1698dp-1, 0x1.36df83ec1e873p-1, 0x1.32368bc081a6ep-1, 0x1.2953ed79323d6p-1, 0x1.1caeca50e44a5p-1, 0x1.0cbc9bf7e26f3p-1, 0x1.f3de8dbf63217p-2, 0x1.c967686b768eap-2, 0x1.9ae1adb40c9e1p-2, 0x1.690e09c3cae94p-2, 0x1.349f27e7cddebp-2, 0x1.fc72a95f5a606p-3, 0x1.8ce4e5bc755b6p-3, 0x1.1ba4615bb5a8dp-3, 0x1.5349b9fd17446p-4, 0x1.bdfcaa1f26cccp-6, -0x1.ca5b7e84bfb2p-6, -0x1.51a7e06885f2fp-4, -0x1.1647e48e53203p-3, -0x1.8129eb4d4cb28p-3, -0x1.e90faef673986p-3, -0x1.26d027c54316cp-2, -0x1.57496d4388742p-2, -0x1.85d66916bd63ep-2, -0x1.b2605d5671401p-2, -0x1.dcd65ed43834ep-2, -0x1.02965bff7e5fbp-1, -0x1.15ae27ac7c24dp-1, -0x1.27b10b80c52adp-1, -0x1.389f47541d965p-1, -0x1.487aa65bbbf73p-1, -0x1.5746490667fbdp-1, -0x1.6506750b4866ep-1, -0x1.71c069eb7356p-1, -0x1.7d7a3a2b501c6p-1, -0x1.883aa8811651ep-1, -0x1.9209088f5c774p-1, -0x1.9aed22cd52e28p-1, -0x1.a2ef1b4111386p-1, -0x1.aa175ad6387ccp-1, -0x1.b06e7b0291bf5p-1, -0x1.b5fd338df7977p-1, -0x1.bacc4a57f0deep-1, -0x1.bee484fb1231ep-1, -0x1.c24e9c3e72d55p-1, -0x1.c5133126d5251p-1, -0x1.c73ac3a0be268p-1, -0x1.c8cdaa8782e27p-1, -0x1.c9d40cf6820b4p-1, -0x1.ca55dcd58d849p-1, -0x1.ca5ad24cf09eep-1, -0x1.c9ea6856f18b4p-1, -0x1.c90bd9fafd41ap-1, -0x1.c7c62070de7f5p-1, -0x1.c61ff1ccc151p-1, -0x1.c41fc04f79372p-1, -0x1.c1cbba308053ep-1, -0x1.bf29c9d5c2f48p-1, -0x1.bc3f9668e7bb7p-1, -0x1.b91284bb140c8p-1, -0x1.b5a7b870c7c5bp-1, -0x1.b2041557b2f05p-1, -0x1.ae2c41020f7abp-1, -0x1.aa24a46e714a1p-1, -0x1.a5f16de1d65dp-1, -0x1.a19692c67b9b8p-1, -0x1.9d17d1b05f029p-1, -0x1.9878b45808bcp-1, -0x1.93bc91aa1e4a2p-1, -0x1.8ee68fd5d7639p-1, -0x1.89f9a65299d02p-1, -0x1.84f89ff0d00e7p-1, -0x1.7fe61cd3ca6d1p-1, -0x1.7ac4946caf7f4p-1, -0x1.759657677a74dp-1, -0x1.705d918b264d6p-1, -0x1.6b1c4b8c9193cp-1, -0x1.65d46cd5348aep-1, -0x1.6087bd37857f3p-1, -0x1.5b37e695ee0adp-1, -0x1.55e676792d8e8p-1, -0x1.5094df976ec33p-1, -0x1.4b447b485f41fp-1, -0x1.45f68aeda78c2p-1, -0x1.40ac394754cbfp-1, -0x1.3b669bbad2a67p-1, -0x1.3626b3891243ep-1, -0x1.30ed6ef7133bep-1, -0x1.2bbbaa65865ddp-1, -0x1.2692315d3f5dcp-1, -0x1.2171bf8a06c4fp-1, -0x1.1c5b01ab54b16p-1, -0x1.174e9677a6dd4p-1, -0x1.124d0f71765dbp-1, -0x1.0d56f1b2e00eep-1, -0x1.086cb6adceed7p-1, -0x1.038eccdfb678dp-1, -0x1.fd7b30f7ed7dp-2, -0x1.f3f2e81e2163cp-2, -0x1.ea856226d227cp-2, -0x1.e1333105e6879p-2, -0x1.d7fcd6bc606f5p-2, -0x1.cee2c64c06774p-2, -0x1.c5e564b94ee14p-2, -0x1.bd0509d8f29fdp-2, -0x1.b442012d7857dp-2, -0x1.ab9c8ab53b122p-2, -0x1.a314db99b30fdp-2, -0x1.9aab1ee166ffp-2, -0x1.925f7621cb278p-2, -0x1.8a31fa1028bd9p-2, -0x1.8222bb1d1a672p-2, -0x1.7a31c1f057ad3p-2, -0x1.725f0ffce536bp-2, -0x1.6aaa9ff5dd627p-2, -0x1.631466381d8a6p-2, -0x1.5b9c5145cc68bp-2, -0x1.54424a1c0a3acp-2, -0x1.4d0634a2c6471p-2, -0x1.45e7effc6de25p-2, -0x1.3ee756dde8972p-2, -0x1.38043fe27d918p-2, -0x1.313e7dcd1134p-2, -0x1.2a95dfd746ef2p-2, -0x1.240a31fae3124p-2, -0x1.1d9b3d1b5a8c9p-2, -0x1.1748c7533a533p-2, -0x1.11129426827e8p-2, -0x1.0af864ba8992fp-2, -0x1.04f9f7f85d6f4p-2, -0x1.fe2e159ca7217p-3, -0x1.f29eb0b1702c4p-3, -0x1.e74533fb22de4p-3, -0x1.dc210f3f588cbp-3, -0x1.d131af82c9573p-3, -0x1.c6767f52bcecap-3, -0x1.bbeee6f2493d5p-3, -0x1.b19a4ca9d2e1p-3, -0x1.a778150a75444p-3, -0x1.9d87a30ad22e2p-3, -0x1.93c85849c1359p-3, -0x1.8a39953cc4f3ep-3, -0x1.80dab9618b8c9p-3, -0x1.77ab23671865bp-3, -0x1.6eaa315e5027bp-3, -0x1.65d740bfac031p-3, -0x1.5d31aeb93c56ap-3, -0x1.54b8d851522f4p-3, -0x1.4c6c1a5c08de9p-3, -0x1.444ad1bbebd4ap-3, -0x1.3c545b7ad61d9p-3, -0x1.348814e42c709p-3, -0x1.2ce55b9bd7225p-3, -0x1.256b8db2f4e9p-3, -0x1.1e1a09c726582p-3, -0x1.16f02f11aa658p-3, -0x1.0fed5d82388fp-3, -0x1.0910f5c97e4d3p-3, -0x1.025a59771625ep-3, -0x1.f791d5eff42dp-4, -0x1.eab81b74acc5fp-4, -0x1.de264c674080fp-4, -0x1.d1db33d9d3be4p-4, -0x1.c5d59f2088fc5p-4, -0x1.ba145dee8281p-4, -0x1.ae96426e3980ep-4, -0x1.a35a2159d7082p-4, -0x1.985ed20738da7p-4, -0x1.8da32e7296207p-4, -0x1.83261352b355p-4, -0x1.78e6605b1120dp-4, -0x1.6ee2f7f6613cdp-4, -0x1.651abf8f203d1p-4, -0x1.5b8c9f8671a0ep-4, -0x1.523783436a9cep-4, -0x1.491a59402a791p-4, -0x1.40341312f776fp-4, -0x1.3783a57494feap-4, -0x1.2f0808464f8eap-4, -0x1.26c03699630f2p-4, -0x1.1eab2eb83d045p-4, -0x1.16c7f238b4988p-4, -0x1.0f1585d3311c8p-4, -0x1.0792f192c6d8dp-4, -0x1.003f40e6f8df9p-4, -0x1.f23304c12664ep-5, -0x1.e4418fdca1d72p-5, -0x1.d6a84d9d5525cp-5, -0x1.c9656f1baa427p-5, -0x1.bc772c0aa1102p-5, -0x1.afdbc2b6e50f6p-5, -0x1.a39178075c916p-5, -0x1.9796977d16123p-5, -0x1.8be9733019b43p-5, -0x1.808863c8c57e2p-5, -0x1.7571c87769b3dp-5, -0x1.6aa406ebbd6c9p-5, -0x1.601d8b5a579d9p-5, -0x1.55dcc86e498a3p-5, -0x1.4be037333e1ddp-5, -0x1.4226570b446cep-5, -0x1.38adae043b25bp-5, -0x1.2f74c82350391p-5, -0x1.267a37d1b8659p-5, -0x1.1dbc95b3e85dp-5, -0x1.153a809e68a1cp-5, -0x1.0cf29d87ff838p-5, -0x1.04e3978cea8cap-5, -0x1.fa183f8332f4fp-6, -0x1.ead5da5fa4cfcp-6, -0x1.dbfd79b33ba47p-6, -0x1.cd8ca34ac83f5p-6, -0x1.bf80e87085fc9p-6, -0x1.b1d7e623256b1p-6, -0x1.a48f44b5f8592p-6, -0x1.97a4b7bd5d76ap-6, -0x1.8b15fdf2840e2p-6, -0x1.7ee0e12b5f9f4p-6, -0x1.730336098efabp-6, -0x1.677adc1aff23ap-6, -0x1.5c45bd456f863p-6, -0x1.5161ce9c24bdp-6, -0x1.46cd0ef278d78p-6, -0x1.3c85879235452p-6, -0x1.32894bf038a6fp-6, -0x1.28d6798f2db93p-6, -0x1.1f6b37da60c48p-6, -0x1.1645b7f2232e9p-6, -0x1.0d643477eb7cfp-6, -0x1.04c4f16ac88a8p-6, -0x1.f8cc7830ba926p-7, -0x1.e88cd6301cfaep-7, -0x1.d8c7bc7a575a2p-7, -0x1.c979fcd961b52p-7, -0x1.baa07aaa22b5ap-7, -0x1.ac382a3952d9fp-7, -0x1.9e3e104c0bd49p-7, -0x1.90af42046edbap-7, -0x1.8388e51c9958ep-7, -0x1.76c83031936ecp-7, -0x1.6a6a6aca8d7bep-7, -0x1.5e6ceced07a19p-7, -0x1.52cd1d19bc977p-7, -0x1.47887163dd9dcp-7, -0x1.3c9c6c18d3da4p-7, -0x1.32069e74e3a5ap-7, -0x1.27c4a71aebec9p-7, -0x1.1dd43505ea7a2p-7, -0x1.143306e824aebp-7, -0x1.0adeea99dfca1p-7, -0x1.01d5bb6246ee6p-7, -0x1.f22abfe3c1fep-8, -0x1.e1379230a2bbp-8, -0x1.d0cde3dafbf21p-8, -0x1.c0e9c2e01e051p-8, -0x1.b18759818e59p-8, -0x1.a2a2f150348c7p-8, -0x1.9438f2b5c2db8p-8, -0x1.8645e06bd727ep-8, -0x1.78c650957212cp-8, -0x1.6bb6e6a80b9adp-8, -0x1.5f145143a7657p-8, -0x1.52db4d5d1b324p-8, -0x1.4708ad7a52136p-8, -0x1.3b99617c0b48ap-8, -0x1.308a7acc5919fp-8, -0x1.25d92a3838b7ep-8, -0x1.1b82b7a94aad5p-8, -0x1.1184773944379p-8, -0x1.07dbc0614bc04p-8, -0x1.fd0bd52f96338p-9, -0x1.eb00a98f492d9p-9, -0x1.d990df07332f6p-9, -0x1.c8b793c97cb53p-9, -0x1.b8702e6191664p-9, -0x1.a8b65c35b3b4bp-9, -0x1.9985fb033b34p-9, -0x1.8adafa4b0dc72p-9, -0x1.7cb140aac691fp-9, -0x1.6f04a0ebcdcd9p-9, -0x1.61d0e40f4349p-9, -0x1.5511e489f48bp-9, -0x1.48c3af4cdd65cp-9, -0x1.3ce29c61877e1p-9, -0x1.316b541abeba8p-9, -0x1.265abdcc59b0dp-9, -0x1.1badde8e0cba6p-9, -0x1.1161b54512c2cp-9, -0x1.0773227c20ae1p-9, -0x1.fbbdcb3d3462dp-10, -0x1.e94360e33f2e2p-10, -0x1.d770918cb2c18p-10, -0x1.c63f55b99c323p-10, -0x1.b5aa3dac997f5p-10, -0x1.a5ac71ced025fp-10, -0x1.9641890c8e8ffp-10, -0x1.876545f1d89bfp-10, -0x1.7913542a3e774p-10, -0x1.6b471e810cc1cp-10, -0x1.5dfbcb34239aap-10, -0x1.512c5de9b6bffp-10, -0x1.44d3f1aca8efcp-10, -0x1.38edf0c3ef55cp-10, -0x1.2d763a5eb4c14p-10, -0x1.226923f9995e7p-10, -0x1.17c36388cfcffp-10, -0x1.0d81df479250bp-10, -0x1.03a183746d502p-10, -0x1.f43e467413e56p-11, -0x1.e1eed213002a9p-11, -0x1.d04dbf26327c2p-11, -0x1.bf541f3ca8ec1p-11, -0x1.aefb4a4007661p-11, -0x1.9f3d0f26c38dep-11, -0x1.9013b487ed025p-11, -0x1.8179da1d9fa82p-11, -0x1.736a6300bc6a7p-11, -0x1.65e078d10c6fap-11, -0x1.58d791e1710e3p-11, -0x1.4c4b59b4f71c6p-11, -0x1.403784c283bc5p-11, -0x1.3497b9f211efbp-11, -0x1.2967ac560d0e3p-11, -0x1.1ea345652a017p-11, -0x1.1446a13094277p-11, -0x1.0a4dcaa57563bp-11, -0x1.00b478a6e3654p-11, -0x1.eeec4b5cbead5p-12, -0x1.dd1d176b3a664p-12, -0x1.cbf44053201a3p-12, -0x1.bb6c3d7de0ea2p-12, -0x1.ab8043c52b7abp-12, -0x1.9c2b776b1d6c3p-12, -0x1.8d68e5ce39687p-12, -0x1.7f3409a16c59dp-12, -0x1.7188e7a6da52fp-12, -0x1.64633b1d25b19p-12, -0x1.57bd41609d937p-12, -0x1.4b8f5db3eef97p-12, -0x1.3fd1478952db9p-12, -0x1.347c0036b7d78p-12, -0x1.298b2b18d8723p-12, -0x1.1efc573eaf1d6p-12, -0x1.14cd5f0c6895dp-12, -0x1.0afb8ecac690fp-12, -0x1.0183ff84cb068p-12, -0x1.f0c923f362be4p-13, -0x1.df37cf7356392p-13, -0x1.ce505599d82ap-13, -0x1.be0b469296144p-13, -0x1.ae5cc046637dp-13, -0x1.9f36e039e3e5ap-13, -0x1.908e04b9b18dfp-13, -0x1.825bd89cd382cp-13, -0x1.749e8fabbb6bbp-13, -0x1.67552aee855e4p-13, -0x1.5a7ccb784746dp-13, -0x1.4e117724dd699p-13, -0x1.42106d5658cd9p-13, -0x1.3678e3a54eee4p-13, -0x1.2b4a32e74ccddp-13, -0x1.2081564a35ef2p-13, -0x1.161816c52894dp-13, -0x1.0c060235fc369p-13, -0x1.024244ca1a7e8p-13, -0x1.f18c0f09192cbp-14, -0x1.df1c5474e8162p-14, -0x1.cd34eff8014fdp-14, -0x1.bbd5a6a195407p-14, -0x1.aafaf40bf7608p-14, -0x1.9a9fba05405e2p-14, -0x1.8ac112ce3eda2p-14, -0x1.7b5efd9cf7ecp-14, -0x1.6c7865e5bcd46p-14, -0x1.5e082dec68cf9p-14, -0x1.5007188a46ad6p-14, -0x1.426e30b441142p-14, -0x1.353671097e03p-14, -0x1.28581dec4769cp-14, -0x1.1bcc5bb827684p-14, -0x1.0f8fd429f3a25p-14, -0x1.03a2cfb201aa2p-14, -0x1.f00b6b075ce15p-15, -0x1.d96c60e74dfe8p-15, -0x1.c362956a346cap-15, -0x1.aded7c61768ccp-15, -0x1.990cf1953b027p-15, -0x1.84b95252a5545p-15, -0x1.70e8e38b7b82ap-15, -0x1.5d958d302a3a8p-15, -0x1.4abddb624d17ep-15, -0x1.3860a907ffb71p-15, -0x1.267861655bfcp-15, -0x1.14f9dc407acefp-15, -0x1.03db29eff0d66p-15, -0x1.e63945c993ddp-16, -0x1.c58682804c5ecp-16, -0x1.a598d9655fe4dp-16, -0x1.8666f3b806b5ap-16, -0x1.67f4002b61072p-16, -0x1.4a3e028864995p-16, -0x1.2d37652167e8cp-16, -0x1.10d45d4794617p-16, -0x1.ea2012ea63961p-17, -0x1.b3d5b0263c40ap-17, -0x1.7ed10a7b230b1p-17, -0x1.4b175a2e46292p-17, -0x1.189d6a2dc34f4p-17, -0x1.ce7ee40861ab4p-18, -0x1.6dc1ef4567ecfp-18, -0x1.0f259b81c27dcp-18, -0x1.6583c372f204dp-19, -0x1.61c21cfba3639p-20, -0x1.bb5f8e46c67bbp-29, 0x1.57737d9b77f03p-20, 0x1.53dc6e7abcae2p-19, 0x1.f83550104190ep-19, 0x1.4c6bcc8f7576ap-18, 0x1.9ae4d65cadde9p-18, 0x1.e78791349456fp-18, 0x1.1928400f81f4p-17, 0x1.3d9bfcf6a203ep-17, 0x1.611dd5f4a4d58p-17, 0x1.83b7c8b1cfd98p-17, 0x1.a5812ee73f206p-17, 0x1.c67a39e34e079p-17, 0x1.e697362c3387bp-17, 0x1.02f29268c3bafp-16, 0x1.122f491ac1a6cp-16, 0x1.20ff9e206df69p-16, 0x1.2f69d979a3e24p-16, 0x1.3d715f9722b89p-16, 0x1.4b169f222806ap-16, 0x1.5859d2019023ep-16, 0x1.653ba71a37c9cp-16, 0x1.71bd3ce4923cdp-16, 0x1.7ddeda64cb1b1p-16, 0x1.89a15491d4ea1p-16, 0x1.95040bef6a0fap-16, 0x1.a0069585577c1p-16, 0x1.aaae445e08dd3p-16, }}, 
      {{-0x1.1a939866b9a1bp+2, -0x1.1415c4c573a41p+2, -0x1.0adaed5ac2f3p+2, -0x1.ffb37c18e49dbp+1, -0x1.e79c36be90282p+1, -0x1.ce8b5a5306f86p+1, -0x1.b553d187dd76p+1, -0x1.9c900908bc9f9p+1, -0x1.84ae74e356107p+1, -0x1.6dfb66808fbb4p+1, -0x1.58a8c60c1e171p+1, -0x1.44d424f5efba2p+1, -0x1.328b85cbaa5adp+1, -0x1.21d121459adc8p+1, -0x1.129e6036d0c43p+1, -0x1.04e63580753d9p+1, -0x1.f12df2f56a42fp+0, -0x1.db37c1a2e0e99p+0, -0x1.c7bc46940265cp+0, -0x1.b68bc4726d1e7p+0, -0x1.a775b72d3a9ecp+0, -0x1.9a49e6a1341f8p+0, -0x1.8ed936c0a62dp+0, -0x1.84f6416ba4bfp+0, -0x1.7c75c4c285396p+0, -0x1.752eeeb1f3b36p+0, -0x1.6efb8c4b24011p+0, -0x1.69b822ea434c4p+0, -0x1.6543f7ee00f2p+0, -0x1.61810ab81c343p+0, -0x1.5e5404518fe9fp+0, -0x1.5ba41f4ac988cp+0, -0x1.595b0a11e69dap+0, -0x1.5764c52d658a5p+0, -0x1.55af7efd4db34p+0, -0x1.542b6e7ecb1bcp+0, -0x1.52caad43fae1cp+0, -0x1.518111821ec74p+0, -0x1.5044098c84a9ep+0, -0x1.4f0a7836a1ca4p+0, -0x1.4dcc92ea3d4ap+0, -0x1.4c83c1d4412c4p+0, -0x1.4b2a81d4948cp+0, -0x1.49bc48b171084p+0, -0x1.48356b2ed1715p+0, -0x1.46930519b41ffp+0, -0x1.44d2e33013654p+0, -0x1.42f36ebaf7d0fp+0, -0x1.40f39ae3a4e24p+0, -0x1.3ed2d3881d886p+0, -0x1.3c90ed848b22cp+0, -0x1.3a2e185eed058p+0, -0x1.37aad13edaee7p+0, -0x1.3507d72652df2p+0, -0x1.3246204ae42dp+0, -0x1.2f66d09246a15p+0, -0x1.2c6b3108851f2p+0, -0x1.2954a846f11a9p+0, -0x1.2624b3c68eca8p+0, -0x1.22dce1df872d2p+0, -0x1.1f7ecca5a583cp+0, -0x1.1c0c15494e253p+0, -0x1.188660332a2e7p+0, -0x1.14ef5191fa054p+0, -0x1.11488a7343112p+0, -0x1.0d93a64806916p+0, -0x1.09d238ce261a8p+0, -0x1.0605cc52b343dp+0, -0x1.022fe0429ad29p+0, -0x1.fca3d00b5a8eep-1, -0x1.f4da9416d16dbp-1, -0x1.ed06be492d2b3p-1, -0x1.e52ae3ebbab53p-1, -0x1.dd497d4da5041p-1, -0x1.d564e548a506ap-1, -0x1.cd7f592dfc561p-1, -0x1.c59af8c1674e6p-1, -0x1.bdb9c67e001f3p-1, -0x1.b5dda7fc0ef0ap-1, -0x1.ae086667bdf85p-1, -0x1.a63baf32fbf28p-1, -0x1.9e7914bc3b5a5p-1, -0x1.96c20f1bb331bp-1, -0x1.8f17fcf7f4a7p-1, -0x1.877c2463f2ff3p-1, -0x1.7fefb3c47692bp-1, -0x1.7873c2bfd643fp-1, -0x1.710953287ec4cp-1, -0x1.69b151edded06p-1, -0x1.626c9809e276fp-1, -0x1.5b3beb6f96d74p-1, -0x1.541fffee2635bp-1, -0x1.4d19781b9cd4cp-1, -0x1.4628e6301a883p-1, -0x1.3f4ecce092d07p-1, -0x1.388ba03183c5ep-1, -0x1.31dfc6435a517p-1, -0x1.2b4b9816a761ap-1, -0x1.24cf624c69b69p-1, -0x1.1e6b65d960b11p-1, -0x1.181fd8b91af65p-1, -0x1.11ece69592383p-1, -0x1.0bd2b166d94a4p-1, -0x1.05d1520cfa231p-1, -0x1.ffd1b1c6eb746p-2, -0x1.f4329c9911981p-2, -0x1.e8c5666b8c57ep-2, -0x1.dd8a03336261cp-2, -0x1.d28059ea95cd6p-2, -0x1.c7a84575adf87p-2, -0x1.bd019581b07c6p-2, -0x1.b28c0f45be493p-2, -0x1.a8476e576d428p-2, -0x1.9e336552b2c18p-2, -0x1.944f9e8f64f11p-2, -0x1.8a9bbccd44675p-2, -0x1.81175bc5167c8p-2, -0x1.77c210bb91d38p-2, -0x1.6e9b6b187569ap-2, -0x1.65a2f4df8c6cfp-2, -0x1.5cd833330d40dp-2, -0x1.543aa6baa5da7p-2, -0x1.4bc9cc23af4bcp-2, -0x1.43851c818e5d9p-2, -0x1.3b6c0da740608p-2, -0x1.337e12915a3e4p-2, -0x1.2bba9bab7dc74p-2, -0x1.24211731e39b1p-2, -0x1.1cb0f1729af04p-2, -0x1.15699517501cap-2, -0x1.0e4a6b6d18048p-2, -0x1.0752dc98e124bp-2, -0x1.00824fd9ef217p-2, -0x1.f3b057915877dp-3, -0x1.e6a7ace9b8695p-3, -0x1.d9e96b4ecd3b1p-3, -0x1.cd745e13a8666p-3, -0x1.c14750aae0edap-3, -0x1.b5610ed406d52p-3, -0x1.a9c0650b74435p-3, -0x1.9e6420c84e0d8p-3, -0x1.934b10a164906p-3, -0x1.887404a087184p-3, -0x1.7dddce71f03e9p-3, -0x1.7387419e5046ap-3, -0x1.696f33a520ae3p-3, -0x1.5f947c39f068dp-3, -0x1.55f5f57413f86p-3, -0x1.4c927bd809663p-3, -0x1.4368ee8da34d7p-3, -0x1.3a782f7b3852fp-3, -0x1.31bf23666b7fcp-3, -0x1.293cb203eb809p-3, -0x1.20efc60ca4f58p-3, -0x1.18d74d59a71cbp-3, -0x1.10f23906dd279p-3, -0x1.093f7d66e1c61p-3, -0x1.01be12273b829p-3, -0x1.f4d9e4b4d33afp-4, -0x1.e69638e914ddcp-4, -0x1.d8af24ccf996ap-4, -0x1.cb22b34757d58p-4, -0x1.bdeef64b14e76p-4, -0x1.b11206f08b091p-4, -0x1.a48a056e93502p-4, -0x1.9855192fbd41bp-4, -0x1.8c7170ca1da82p-4, -0x1.80dd42224d923p-4, -0x1.7596ca36e416cp-4, -0x1.6a9c4d523af1cp-4, -0x1.5fec16f431824p-4, -0x1.558479cefac11p-4, -0x1.4b63cfc242e4bp-4, -0x1.418879d679f67p-4, -0x1.37f0e034f60b9p-4, -0x1.2e9b72268fe88p-4, -0x1.2586a601ec9dep-4, -0x1.1cb0f914eb079p-4, -0x1.1418ef998c6b4p-4, -0x1.0bbd14ef618ecp-4, -0x1.039bfb16346cap-4, -0x1.f76875ef69387p-5, -0x1.e808e8732fa96p-5, -0x1.d9169a61ef34ep-5, -0x1.ca8ee5a72ed52p-5, -0x1.bc6f314dec07fp-5, -0x1.aeb4f15bdc9e2p-5, -0x1.a15da6ab6b704p-5, -0x1.9466dec64dc6dp-5, -0x1.87ce33c5b98fp-5, -0x1.7b914c53b1d8ep-5, -0x1.6faddaf6f6bd4p-5, -0x1.64219e7cc9da1p-5, -0x1.58ea61fee3365p-5, -0x1.4e05fbdcc8c1cp-5, -0x1.43724e4978f97p-5, -0x1.392d46f167f4fp-5, -0x1.2f34decb8cc5p-5, -0x1.258719f0d0c8ep-5, -0x1.1c2207723a42ep-5, -0x1.1303c13036bbdp-5, -0x1.0a2a6bb217032p-5, -0x1.019435fc65642p-5, -0x1.f27eb2cb9c961p-6, -0x1.e25432d65ab98p-6, -0x1.d2a58704f6e81p-6, -0x1.c36f5e08dbd2ep-6, -0x1.b4ae79e60a885p-6, -0x1.a65faf6d1e9e2p-6, -0x1.987fe5e8052adp-6, -0x1.8b0c18187d149p-6, -0x1.7e015199d825p-6, -0x1.715cb02e6df38p-6, -0x1.651b6300ce22ep-6, -0x1.593aaa5033cccp-6, -0x1.4db7d726dee7dp-6, -0x1.42904aff1569p-6, -0x1.37c1778389587p-6, -0x1.2d48de376b432p-6, -0x1.2324102159ebbp-6, -0x1.1950ad89c2747p-6, -0x1.0fcc65bee2653p-6, -0x1.0694f6af32e63p-6, -0x1.fb50595d99741p-7, -0x1.ea07c44820e02p-7, -0x1.d94bfe71bc035p-7, -0x1.c918f3a49d719p-7, -0x1.b96aa9928779ap-7, -0x1.aa3d40653d83ap-7, -0x1.9b8cf07f8822p-7, -0x1.8d560db45cb7fp-7, -0x1.7f9501c6c68b7p-7, -0x1.72464f2ce4968p-7, -0x1.65668fc2fc502p-7, -0x1.58f2743b04152p-7, -0x1.4ce6c3a0e8c75p-7, -0x1.41405ad09c3b7p-7, -0x1.35fc2bed42328p-7, -0x1.2b173de7405a5p-7, -0x1.208eac179177fp-7, -0x1.165fa5e759c03p-7, -0x1.0c876e6f23eb3p-7, -0x1.03035bfd359acp-7, -0x1.f3a1af0338ba6p-8, -0x1.e1dab7e58c48cp-8, -0x1.d0aceb93b1cb6p-8, -0x1.c0138558e6004p-8, -0x1.b009e27b4408ep-8, -0x1.a08b81e0246a9p-8, -0x1.919403968c586p-8, -0x1.831f299b853fap-8, -0x1.7528d18f84a2ep-8, -0x1.67acf61cdd392p-8, -0x1.5aa7b0dc234b7p-8, -0x1.4e153588408c8p-8, -0x1.41f1d535d88aep-8, -0x1.3639fb26c3783p-8, -0x1.2aea304439fd9p-8, -0x1.1fff18b3356adp-8, -0x1.157571b5ff28ap-8, -0x1.0b4a0f81b5bbfp-8, -0x1.0179dbbb37826p-8, -0x1.f003aa75772b3p-9, -0x1.ddbe2249cdcefp-9, -0x1.cc1d791a123b2p-9, -0x1.bb1c3ab833e9cp-9, -0x1.aab5237f3f227p-9, -0x1.9ae31b862fa8ap-9, -0x1.8ba12fd4e6f5bp-9, -0x1.7cea8c6eadf5cp-9, -0x1.6eba79e65c131p-9, -0x1.610c5fa09c788p-9, -0x1.53dbc997d8108p-9, -0x1.47246e8286659p-9, -0x1.3ae232be5724p-9, -0x1.2f1125b40fe42p-9, -0x1.23ad79f5b1f82p-9, -0x1.18b37be05f7b9p-9, -0x1.0e1f89d6c0395p-9, -0x1.03ee0c9d4e20bp-9, -0x1.f4370a156c844p-10, -0x1.e1491dfd9ad4dp-10, -0x1.cf0bde532ba25p-10, -0x1.bd7923df35feep-10, -0x1.ac8b1ed2f91cbp-10, -0x1.9c3c3e5eb6223p-10, -0x1.8c8716289c52ep-10, -0x1.7d66477cac15bp-10, -0x1.6ed477e189d7ap-10, -0x1.60cc5949e9762p-10, -0x1.5348c0645f983p-10, -0x1.4644bf547e9a2p-10, -0x1.39bbb9093c3a7p-10, -0x1.2da96439824b2p-10, -0x1.2209bbf79ca1bp-10, -0x1.16d8e35ede0e9p-10, -0x1.0c1307925528p-10, -0x1.01b44bd38c406p-10, -0x1.ef718e9decabp-11, -0x1.dc3929ea612e1p-11, -0x1.c9b7dd1b4bd44p-11, -0x1.b7e68fc5868ffp-11, -0x1.a6bebe295421fp-11, -0x1.963a77406b759p-11, -0x1.8654393ff6beap-11, -0x1.7706ba95e8ac1p-11, -0x1.684cb41ff7d51p-11, -0x1.5a20bfac9556fp-11, -0x1.4c7d553c8769bp-11, -0x1.3f5ce60d5cbp-11, -0x1.32ba0e3a60cabp-11, -0x1.268fb616bd66ep-11, -0x1.1ad93656ac547p-11, -0x1.0f924e8d620c3p-11, -0x1.04b72b0970305p-11, -0x1.f488429800ceep-12, -0x1.e06b2ad3d8759p-12, -0x1.cd0fd7141202fp-12, -0x1.ba6eeb2b87d54p-12, -0x1.a880f521bbb96p-12, -0x1.973e9b4d2a197p-12, -0x1.86a0d465ce3dep-12, -0x1.76a10b44e27c9p-12, -0x1.67391d919e1b2p-12, -0x1.586343300a594p-12, -0x1.4a19fbc95f987p-12, -0x1.3c581183f98f8p-12, -0x1.2f189a835f125p-12, -0x1.2256e75275bb5p-12, -0x1.160e606830ab2p-12, -0x1.0a3a750e122e8p-12, -0x1.fdad5c911fecp-13, -0x1.e7bd9b274639cp-13, -0x1.d29d923cc0c1ap-13, -0x1.be4532199e664p-13, -0x1.aaac0c8100151p-13, -0x1.97c97877e0998p-13, -0x1.859547d2b7bdcp-13, -0x1.740879abc8802p-13, -0x1.631d45a06c368p-13, -0x1.52ce814eabd3bp-13, -0x1.43170943d46fep-13, -0x1.33f1bc2720681p-13, -0x1.2559d95642f49p-13, -0x1.174b13ddef14dp-13, -0x1.09c0f9b640275p-13, -0x1.f96c30c7fc601p-14, -0x1.e04779c4203aep-14, -0x1.c805a274db91bp-14, -0x1.b09b1aaaf291dp-14, -0x1.99fe922f096a1p-14, -0x1.842afe9878079p-14, -0x1.6f1b617cbb614p-14, -0x1.5aca5b280a4b3p-14, -0x1.47319f8e21593p-14, -0x1.344c7d90227adp-14, -0x1.221755e24e862p-14, -0x1.108dec6d62f21p-14, -0x1.ff52f9e693c83p-15, -0x1.dec09bb79efc3p-15, -0x1.bf4ecc85a3f4p-15, -0x1.a0eaeecd9fc39p-15, -0x1.8389ce4f34437p-15, -0x1.67267be4a7741p-15, -0x1.4bbd2d9448322p-15, -0x1.3147a0f55c2efp-15, -0x1.17be2bbdae80dp-15, -0x1.fe35bc7ccbaf6p-16, -0x1.ceb4f08958bfbp-16, -0x1.a0f3e4e5d72d3p-16, -0x1.74e6581f01e75p-16, -0x1.4a77baf30f4cdp-16, -0x1.218dd9a65ed6dp-16, -0x1.f41b97c465e72p-17, -0x1.a7c45651c284p-17, -0x1.5dfeffe80d1e8p-17, -0x1.16c424ad4fe09p-17, -0x1.a419bc77d2f71p-18, -0x1.1f935649438a8p-18, -0x1.3f9dbccd61504p-19, -0x1.2589cfc70885dp-21, 0x1.4744ede9c16abp-20, 0x1.879340737859p-19, 0x1.315d8907e1079p-18, 0x1.9abcfa296a3a7p-18, 0x1.000b06b773135p-17, 0x1.30cb5d2c6f9b3p-17, 0x1.5fb80ee787ad4p-17, 0x1.8ce7354875372p-17, 0x1.b865e6b02f902p-17, 0x1.e237fc174e12fp-17, 0x1.0530884a3d0ffp-16, 0x1.1875a279aaffap-16, 0x1.2af0d5763e53fp-16, 0x1.3ca5c01bf0811p-16, 0x1.4d95680474c7dp-16, 0x1.5dc88faf43c7fp-16, 0x1.6d44e4ef03d8dp-16, 0x1.7c1162f598512p-16, 0x1.8a3103e50ff64p-16, 0x1.97a6667b8a12p-16, 0x1.a476e97f31553p-16, 0x1.b0ab48ede85e8p-16, 0x1.bc4b7160665f7p-16, 0x1.c759072fd2865p-16, 0x1.d1d2e1927cccep-16, 0x1.dbbc6baafb585p-16, 0x1.e51a4a2fea8d8p-16, 0x1.eded581bc9b86p-16, 0x1.f637fbb198f0dp-16, 0x1.fe000ebda2476p-16, 0x1.02a56c02c156bp-15, 0x1.060dc363c39c9p-15, 0x1.0939d87d93f6fp-15, 0x1.0c29f78879c8fp-15, 0x1.0ede9704885f6p-15, 0x1.115963f185eedp-15, 0x1.139dd9550938bp-15, 0x1.15aee2ddff59cp-15, 0x1.178c11b42fa2dp-15, 0x1.19355225154d6p-15, 0x1.1aacd9adab41p-15, 0x1.1bf33d13c5abp-15, 0x1.1d08d0c4c39b6p-15, 0x1.1def9b14932abp-15, 0x1.1ea97bbf2ad01p-15, 0x1.1f3790c222d58p-15, 0x1.1f9aba28742a5p-15, 0x1.1fd3cb0a2a2d6p-15, 0x1.1fe36175bc6c3p-15, 0x1.1fc9f3424bcadp-15, 0x1.1f8826d456f93p-15, 0x1.1f1f729a4afdcp-15, 0x1.1e92455930eb1p-15, 0x1.1de15943d7e79p-15, 0x1.1d0c874bb2d0bp-15, 0x1.1c1576dbb00d9p-15, 0x1.1afc73f1d1a46p-15, 0x1.19c1de07a0214p-15, 0x1.18674f70e84e9p-15, 0x1.16edf5757ba6bp-15, 0x1.15568d20a7bbep-15, 0x1.13a1c18556898p-15, 0x1.11d02812540dp-15, 0x1.0fe3019a6a138p-15, 0x1.0dda8391a1559p-15, 0x1.0bb80edbd3b98p-15, 0x1.097b370f5a454p-15, 0x1.0725a6d76295bp-15, 0x1.04b7a57573663p-15, }}, 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      {{0x1.ffa098bdc29dcp-1, 0x1.fe82eb5b7b537p-1, 0x1.fca88ca5e911cp-1, 0x1.fa1411eb305d6p-1, 0x1.f6c8ffbd819f4p-1, 0x1.f2cbb53d7db79p-1, 0x1.ee21556352923p-1, 0x1.e8cfaf6667af7p-1, 0x1.e2dd271b39d98p-1, 0x1.dc509de45b3ddp-1, 0x1.d5315ca499b42p-1, 0x1.cd86fefb5e83cp-1, 0x1.c5595ff7d1955p-1, 0x1.bcb08859ab10dp-1, 0x1.b3949e6693b82p-1, 0x1.aa0dd74f5d9ccp-1, 0x1.a0246a18544c4p-1, 0x1.95e083f27d08fp-1, 0x1.8b4a3df059289p-1, 0x1.806993feeffe2p-1, 0x1.75465d0b3dedcp-1, 0x1.69e8443c44d9p-1, 0x1.5e56c32aa2bc3p-1, 0x1.52991cff942e5p-1, 0x1.46b65a66807fep-1, 0x1.3ab5463d777fdp-1, 0x1.2e9c6af26a4f4p-1, 0x1.2272107c3482ep-1, 0x1.163c3adfd8d86p-1, 0x1.0a00a93385c72p-1, 0x1.fb89aa24436ccp-2, 0x1.e31be4e6474f4p-2, 0x1.cac1dfb6fe9ebp-2, 0x1.b284edba9f407p-2, 0x1.9a6dd9b989e19p-2, 0x1.8284e8232fd14p-2, 0x1.6ad1d97a0d10bp-2, 0x1.535bed19fad63p-2, 0x1.3c29e44b6acbdp-2, 0x1.25420597361f5p-2, 0x1.0eaa204fc2bf4p-2, 0x1.f0cf208a7881ep-3, 0x1.c4fe83372327ep-3, 0x1.99eb697389f97p-3, 0x1.6f9e0495dc19bp-3, 0x1.461dbe942c946p-3, 0x1.1d714225932bp-3, 0x1.eb3d05c39b3cfp-4, 0x1.9d558aab6735ap-4, 0x1.51354e07ed629p-4, 0x1.06e44c959723ep-4, 0x1.7cd2a8a018988p-5, 0x1.df284eb19b036p-6, 0x1.985943e077a44p-7, -0x1.f9fa31ee1b208p-9, -0x1.4310cb17d02a8p-6, -0x1.1fa073892e0fcp-5, -0x1.99e5fc5f80596p-5, -0x1.082c63de190a7p-4, -0x1.417d0e764ef8ep-4, -0x1.78e6558097392p-4, -0x1.ae6a38ec3cbb7p-4, -0x1.e20b5608c93aap-4, -0x1.09e66e78ee9e6p-3, -0x1.21d943361dabp-3, -0x1.38e0451917b03p-3, -0x1.4efdcad68e7bp-3, -0x1.6434618cd2932p-3, -0x1.7886c889e2941p-3, -0x1.8bf7ed43e96c7p-3, -0x1.9e8ae782bd9bep-3, -0x1.b042f5b8b7b11p-3, -0x1.c123798947065p-3, -0x1.d12ff47ba66e5p-3, -0x1.e06c04d803935p-3, -0x1.eedb62ad7d5ebp-3, -0x1.fc81dcff5171ap-3, -0x1.04b1ab8bd2e8fp-2, -0x1.0ac1e2ff2e677p-2, -0x1.1073970931e42p-2, -0x1.15c8d06204d1ep-2, -0x1.1ac39d376eb7dp-2, -0x1.1f661028dff3ap-2, -0x1.23b23f51df2b9p-2, -0x1.27aa43623924dp-2, -0x1.2b5036c352788p-2, -0x1.2ea634ca02f9ep-2, -0x1.31ae58f46778fp-2, -0x1.346abe331b621p-2, -0x1.36dd7e3d5aaf1p-2, -0x1.3908b0ef83d3ap-2, -0x1.3aee6bb389eebp-2, -0x1.3c90c0f2dac9fp-2, -0x1.3df1bf914ea95p-2, -0x1.3f137270b9ae6p-2, -0x1.3ff7dffcb9a89p-2, -0x1.40a109be5dcd4p-2, -0x1.4110ebf757dc5p-2, -0x1.41497d44534bap-2, -0x1.414cae462ebeap-2, -0x1.411c6951bc4f4p-2, -0x1.40ba9225c9533p-2, -0x1.402905a72187ep-2, -0x1.3f6999a247b68p-2, -0x1.3e7e1c92abf5fp-2, -0x1.3d68556f14c5dp-2, -0x1.3c2a037b0f78cp-2, -0x1.3ac4de1d1fcc9p-2, -0x1.393a94b986aadp-2, -0x1.378cce915fdbdp-2, -0x1.35bd2aa5ec736p-2, -0x1.33cd3f9fda778p-2, -0x1.31be9bba53377p-2, -0x1.2f92c4b1aee7bp-2, -0x1.2d4b37b59a0b9p-2, -0x1.2ae9695e882e4p-2, -0x1.286ec5a648ce9p-2, -0x1.25dcafe39b50ap-2, -0x1.233482c89b406p-2, -0x1.20779063db1cap-2, -0x1.1da7222419e11p-2, -0x1.1ac478de5d35cp-2, -0x1.17d0ccd662a29p-2, -0x1.14cd4dc93a086p-2, -0x1.11bb22f9f3d3ep-2, -0x1.0e9b6b403ed93p-2, -0x1.0b6f3d18de18cp-2, -0x1.0837a6b7d732ep-2, -0x1.04f5ae1c3eb6fp-2, -0x1.01aa51258a8dep-2, -0x1.fcad0b549af1bp-3, -0x1.f5f673209094ap-3, -0x1.ef32a5cb625e9p-3, -0x1.e8635ff747ad5p-3, -0x1.e18a4f0332f53p-3, -0x1.daa91143bc7b5p-3, -0x1.d3c1363dccc8dp-3, -0x1.ccd43ee2e72bbp-3, -0x1.c5e39dceeaeedp-3, -0x1.bef0b78728fa6p-3, -0x1.b7fce2baa80a2p-3, -0x1.b10968836c6p-3, -0x1.aa1784a8bb08p-3, -0x1.a32865e214119p-3, -0x1.9c3d2e1ae9055p-3, -0x1.9556f2b6d4a8bp-3, -0x1.8e76bcd6532d7p-3, -0x1.879d899bc0bf9p-3, -0x1.80cc4a70a9p-3, -0x1.7a03e54b29d92p-3, -0x1.734534f370b6cp-3, -0x1.6c91094927e8ep-3, -0x1.65e82788c9a2ap-3, -0x1.5f4b4a90c1b81p-3, -0x1.58bb23264577dp-3, -0x1.52385839d9b7cp-3, -0x1.4bc3872b70349p-3, -0x1.455d440e08ebdp-3, -0x1.3f0619ead1469p-3, -0x1.38be8b03a7936p-3, -0x1.328711150654bp-3, -0x1.2c601d973351ap-3, -0x1.264a19febc188p-3, -0x1.204567fc2f3a5p-3, -0x1.1a5261bafd249p-3, -0x1.14715a1f86c0fp-3, -0x1.0ea29d044e6b9p-3, -0x1.08e66f7635426p-3, -0x1.033d0fefd4a3p-3, -0x1.fb4d6d27b124fp-4, -0x1.f0472accc7b48p-4, -0x1.e567b10ae69ap-4, -0x1.daaf4cc06986dp-4, -0x1.d01e3fdabe059p-4, -0x1.c5b4c1c0eae2p-4, -0x1.bb72ffbbf9ba9p-4, -0x1.b1591d5d4d48ap-4, -0x1.a76734e2b15c6p-4, -0x1.9d9d5798605adp-4, -0x1.93fb8e38c6a87p-4, -0x1.8a81d94a207eap-4, -0x1.81303179ea428p-4, -0x1.780687f6205f3p-4, -0x1.6f04c6c453359p-4, -0x1.662ad11691129p-4, -0x1.5d78839e23e15p-4, -0x1.54edb4dc2e8f7p-4, -0x1.4c8a3570223a4p-4, -0x1.444dd0641827fp-4, -0x1.3c384b77108dbp-4, -0x1.344967651c4a8p-4, -0x1.2c80e02d770bbp-4, -0x1.24de6d56963f5p-4, -0x1.1d61c23034c14p-4, -0x1.160a8e13602dfp-4, -0x1.0ed87ca0907b3p-4, -0x1.07cb35fbcbf23p-4, -0x1.00e25f06e8421p-4, -0x1.f43b3333c612ap-5, -0x1.e6f90972ce998p-5, -0x1.d9fd7996f745dp-5, -0x1.cd47b794d4a36p-5, -0x1.c0d6f2ebccb75p-5, -0x1.b4aa5704ed9f8p-5, -0x1.a8c10b8e635dep-5, -0x1.9d1a34d39c492p-5, -0x1.91b4f4122f7ddp-5, -0x1.869067cb92aeep-5, -0x1.7babac13b1fa1p-5, -0x1.7105dadc81547p-5, -0x1.669e0c3e8de3cp-5, -0x1.5c7356bea83f3p-5, -0x1.5284cf90bcb53p-5, -0x1.48d18ad7db578p-5, -0x1.3f589be395cd3p-5, -0x1.3619156ab562ap-5, -0x1.2d1209c35c555p-5, -0x1.24428b18ad745p-5, -0x1.1ba9ab9dfd9a3p-5, -0x1.13467dbfa6ec3p-5, -0x1.0b18145192482p-5, -0x1.031d82bb7a64cp-5, -0x1.f6abba4614246p-6, -0x1.e7807127ad4f9p-6, -0x1.d8b7564a9d1a5p-6, -0x1.ca4e983d52796p-6, -0x1.bc446831d99b4p-6, -0x1.ae96fa3e1373ap-6, -0x1.a144859863a27p-6, -0x1.944b44d0d07b9p-6, -0x1.87a97606b59p-6, -0x1.7b5d5b1b39f8fp-6, -0x1.6f6539e0916fp-6, -0x1.63bf5c462724p-6, -0x1.586a1081dc971p-6, -0x1.4d63a9365a482p-6, -0x1.42aa7d96abfccp-6, -0x1.383ce9872e395p-6, -0x1.2e194dbbe4da1p-6, -0x1.243e0fd45f63ep-6, -0x1.1aa99a7537b84p-6, -0x1.115a5d5f47506p-6, -0x1.084ecd84ad0adp-6, -0x1.ff0aca3753be9p-7, -0x1.edf9475f03055p-7, -0x1.dd661c5ec397dp-7, -0x1.cd4e5df6d895bp-7, -0x1.bdaf2bdfe1b09p-7, -0x1.ae85b0ddf5cd1p-7, -0x1.9fcf22d059498p-7, -0x1.9188c2be29fdep-7, -0x1.83afdcdfeea88p-7, -0x1.7641c8a666aaep-7, -0x1.693be8be80c16p-7, -0x1.5c9bab12ce8f2p-7, -0x1.505e88ca66ebap-7, -0x1.4482064571e9fp-7, -0x1.3903b31782e8bp-7, -0x1.2de129ffc357ep-7, -0x1.231810df0e6ebp-7, -0x1.18a618ac3ae5fp-7, -0x1.0e88fd667edf7p-7, -0x1.04be860627ad1p-7, -0x1.f68908d754cc3p-8, -0x1.e431aa9a760dp-8, -0x1.d272c045caa18p-8, -0x1.c1482e22b11ddp-8, -0x1.b0adeda6cdcfep-8, -0x1.a0a00d44b858bp-8, -0x1.911ab03a64deep-8, -0x1.821a0e5d81fdcp-8, -0x1.739a73e6029d5p-8, -0x1.65984136c3165p-8, -0x1.580feaa4904a6p-8, -0x1.4afdf83babfc2p-8, -0x1.3e5f058401133p-8, -0x1.322fc1440a0bep-8, -0x1.266ced426829cp-8, -0x1.1b135e06b3f22p-8, -0x1.101ffa991fe87p-8, -0x1.058fbc417b221p-8, -0x1.f6bf5c8a8db2ep-9, -0x1.e319db4a8a5bbp-9, -0x1.d02951b4c822ep-9, -0x1.bde83f2489261p-9, -0x1.ac5144d6a9e3p-9, -0x1.9b5f25611b083p-9, -0x1.8b0cc42a18d7fp-9, -0x1.7b5524dec3cbp-9, -0x1.6c336ae9c505ap-9, -0x1.5da2d8e9c5c31p-9, -0x1.4f9ed02800a73p-9, -0x1.4222d00eca9d5p-9, -0x1.352a75a0afc61p-9, -0x1.28b17aef9215ap-9, -0x1.1cb3b694bd639p-9, -0x1.112d1b292be51p-9, -0x1.0619b6be792b2p-9, -0x1.f6eb64b15f191p-10, -0x1.e27aa2d1ccd7p-10, -0x1.ced9e29186b2ap-10, -0x1.bc02116e00deap-10, -0x1.a9ec4ea95f9ddp-10, -0x1.9891ea47ec1c1p-10, -0x1.87ec640f4ba37p-10, -0x1.77f56a88581bap-10, -0x1.68a6da03d21dep-10, -0x1.59fabba0b81f8p-10, -0x1.4beb44561832dp-10, -0x1.3e72d3ff54e7ep-10, -0x1.318bf46b2d3e4p-10, -0x1.2531586e31aa6p-10, -0x1.195ddaf74b66ep-10, -0x1.0e0c7e27e4a48p-10, -0x1.03386a6edeb66p-10, -0x1.f1b9db4d5de67p-11, -0x1.ddeaf46d3d62ap-11, -0x1.cafb4c6f355a5p-11, -0x1.b8e2553699d63p-11, -0x1.a797c4ae93f03p-11, -0x1.97139325de35ap-11, -0x1.874df9b1bb908p-11, -0x1.783f7097a2834p-11, -0x1.69e0adbcc3ddcp-11, -0x1.5c2aa31c86651p-11, -0x1.4f167d45957a3p-11, -0x1.429da1dd66262p-11, -0x1.36b9ae2aa4f04p-11, -0x1.2b6475a65d34ap-11, -0x1.20980093218ebp-11, -0x1.164e8a9afd4d7p-11, -0x1.0c828173d72p-11, -0x1.032e838ab676fp-11, -0x1.f49abd69bfbd5p-12, -0x1.e3b41dd0812ffp-12, -0x1.d39f79f391297p-12, -0x1.c4537ac28974fp-12, -0x1.b5c71e09eba93p-12, -0x1.a7f1b414e54fdp-12, -0x1.9acadd5c2146p-12, -0x1.8e4a8840f964bp-12, -0x1.8268eed53253cp-12, -0x1.771e94ad28b32p-12, -0x1.6c6444bf2b76p-12, -0x1.62330f4ea2cf1p-12, -0x1.588447e1f5753p-12, -0x1.4f51834558e6bp-12, -0x1.469495988edc5p-12, -0x1.3e4790664066ep-12, -0x1.3664c0c868f91p-12, -0x1.2ee6ad96dda99p-12, -0x1.27c815a0a45e4p-12, -0x1.2103edef7e27dp-12, -0x1.1a956017c4627p-12, -0x1.1477c8907fb8ep-12, -0x1.0ea6b515f418p-12, -0x1.091de316f8f14p-12, -0x1.03d93e2bf0f5cp-12, -0x1.fda9bd2ea5bf4p-13, -0x1.f41a0f9ecfbc2p-13, -0x1.eafc4e250f002p-13, -0x1.e249a4078b9abp-13, -0x1.d9fb8a9ef95b1p-13, -0x1.d20bc6b6a36cp-13, -0x1.ca7465f97c996p-13, -0x1.c32fbc72f4bacp-13, -0x1.bc38622014d94p-13, -0x1.b5893090949ap-13, -0x1.af1d40995136dp-13, -0x1.a8efe814319cep-13, -0x1.a2fcb7b32e75fp-13, -0x1.9d3f78dfbe875p-13, -0x1.97b42baa14b41p-13, -0x1.925704c9562b1p-13, -0x1.8d246ba72065dp-13, -0x1.8818f87a9520ep-13, -0x1.83317270df302p-13, -0x1.7e6acde2d280cp-13, -0x1.79c22a9a4f55fp-13, -0x1.7534d2207c202p-13, -0x1.70c0361c061cdp-13, -0x1.6c61eebb77eeep-13, -0x1.6817b92a14778p-13, -0x1.63df7611a36e9p-13, -0x1.5fb72826ced82p-13, -0x1.5b9cf2c277a0bp-13, -0x1.578f1885b534fp-13, -0x1.538bfa0720cdep-13, -0x1.4f92148c9462p-13, -0x1.4ba000cecacf9p-13, -0x1.47b471c641d26p-13, -0x1.43ce338292b6cp-13, -0x1.3fec2a0a8a3d7p-13, -0x1.3c0d50472fefbp-13, -0x1.3830b6f6e99b7p-13, -0x1.345583a95164dp-13, -0x1.307aefc4ad1bfp-13, -0x1.2ca0479313d94p-13, -0x1.28c4e957976ffp-13, -0x1.24e8446bec375p-13, -0x1.2109d8663d33bp-13, -0x1.1d293445c53b1p-13, -0x1.1945f5a715792p-13, -0x1.155fc8006617dp-13, -0x1.117663e447037p-13, -0x1.0d898e4a88409p-13, -0x1.099917e14f882p-13, -0x1.05a4dc61e426p-13, -0x1.01acc1efcadap-13, -0x1.fb6170f5b5a9bp-14, -0x1.f361724f148e5p-14, -0x1.eb598b7dbccf2p-14, -0x1.e349d0453aaebp-14, -0x1.db32638c4d8f8p-14, -0x1.d313765f2f3cbp-14, -0x1.caed46f2b35f5p-14, -0x1.c2c01fb9c84ffp-14, -0x1.ba8c5681ef54cp-14, -0x1.b2524b9809c7fp-14, -0x1.aa1268f5fcd97p-14, -0x1.a1cd217cbce48p-14, -0x1.9982f031b0d14p-14, -0x1.913457879674p-14, -0x1.88e1e0b1bdc7ep-14, -0x1.808c1af6c49eap-14, -0x1.78339b142250ep-14, -0x1.6fd8faa43266p-14, -0x1.677cd78c224aap-14, -0x1.5f1fd370704f6p-14, -0x1.56c2933193107p-14, -0x1.4e65be6caf92ep-14, -0x1.4609ff02bde66p-14, -0x1.3db000a9dd2dep-14, -0x1.3558707cde17ep-14, -0x1.2d03fc97c19bap-14, -0x1.24b353b4b5a27p-14, -0x1.1c6724d1026f5p-14, -0x1.14201ed583694p-14, -0x1.0bdef04490f34p-14, -0x1.03a446ed510d6p-14, -0x1.f6e19f413b4a4p-15, -0x1.e68a6bdb32b1fp-15, -0x1.d64447c2a4d7fp-15, -0x1.c6108393f496cp-15, -0x1.b5f06bfad3e94p-15, -0x1.a5e5494bbf19dp-15, -0x1.95f05f1e702dbp-15, -0x1.8612ebf2785aep-15, -0x1.764e28dcc0ab6p-15, -0x1.66a349364d167p-15, }}, 
      {{0x1.ffe0316460088p-1, 0x1.ff80e0e4115abp-1, 0x1.fee25fd32b7dep-1, 0x1.fe0533c4cb2ffp-1, 0x1.fcea13f23f3b3p-1, 0x1.fb91e60b91072p-1, 0x1.f9fdbaa5143cp-1, 0x1.f82ec96b3e103p-1, 0x1.f6266d3d33c28p-1, 0x1.f3e620470da6fp-1, 0x1.f16f782eb3f7cp-1, 0x1.eec422612ab8cp-1, 0x1.ebe5e08a1fb2ap-1, 0x1.e8d6853c490acp-1, 0x1.e597f0ce9ffbbp-1, 0x1.e22c0e708659cp-1, 0x1.de94d17568056p-1, 0x1.dad432d748b3fp-1, 0x1.d6ec2eeee1bap-1, 0x1.d2dec35f59975p-1, 0x1.ceaded334580ep-1, 0x1.ca5ba72860c46p-1, 0x1.c5e9e82748302p-1, 0x1.c15aa1e47d526p-1, 0x1.bcafbfa7f9244p-1, 0x1.b7eb2538a005dp-1, 0x1.b30eade90ad16p-1, 0x1.ae1c2bc325c47p-1, 0x1.a91566d053107p-1, 0x1.a3fc1c7bd4e53p-1, 0x1.9ed1ff0d685ep-1, 0x1.9998b53a17c5p-1, 0x1.9451d9c96e758p-1, 0x1.8efefb4d4edd5p-1, 0x1.89a19bead322bp-1, 0x1.843b3132b0911p-1, 0x1.7ecd2407b641ap-1, 0x1.7958d09219316p-1, 0x1.73df863e5000ep-1, 0x1.6e6287c65c89cp-1, 0x1.68e30b44737d1p-1, 0x1.63623a4e03652p-1, 0x1.5de13216322a3p-1, 0x1.58610396f613fp-1, 0x1.52e2b3bffedffp-1, 0x1.4d673baab714cp-1, 0x1.47ef88d2acc66p-1, 0x1.427c7d51c5a9p-1, 0x1.3d0ef01fa8eabp-1, 0x1.37a7ad53da00ep-1, 0x1.3247766a05177p-1, 0x1.2cef028810b7fp-1, 0x1.279efec588e7fp-1, 0x1.22580e7408444p-1, 0x1.1d1acb68475b6p-1, 0x1.17e7c64388d3dp-1, 0x1.12bf86bd195dep-1, 0x1.0da28beba5a43p-1, 0x1.08914c8e3175ap-1, 0x1.038c37547b28fp-1, 0x1.fd27664d41217p-2, 0x1.f3503ed7c2df6p-2, 0x1.e993a8a0b2c44p-2, 0x1.dff2461333696p-2, 0x1.d66cac340a10fp-2, 0x1.cd036325b81bdp-2, 0x1.c3b6e6a9cea6ap-2, 0x1.ba87a69f625c1p-2, 0x1.b176077e85f9ep-2, 0x1.a88262d0bc94ap-2, 0x1.9fad07a655873p-2, 0x1.96f63b08a70ecp-2, 0x1.8e5e386928764p-2, 0x1.85e5320d61b12p-2, 0x1.7d8b5177baf5cp-2, 0x1.7550b7cd2860fp-2, 0x1.6d357e37bca1fp-2, 0x1.6539b6462a28bp-2, 0x1.5d5d6a483ac0ap-2, 0x1.55a09da84d6e1p-2, 0x1.4e034d41df642p-2, 0x1.46856fb53a05bp-2, 0x1.3f26f5b845f28p-2, 0x1.37e7ca64a1779p-2, 0x1.30c7d382fb45dp-2, 0x1.29c6f1d3d0a71p-2, 0x1.22e5015594094p-2, 0x1.1c21d988516c4p-2, 0x1.157d4daee32afp-2, 0x1.0ef72d0dc5325p-2, 0x1.088f432798afbp-2, 0x1.024557f768eb3p-2, 0x1.f8326051840b9p-3, 0x1.ec151a9b4f5b1p-3, 0x1.e0325c25070f9p-3, 0x1.d4899ce01ccb6p-3, 0x1.c91a4fb6a2931p-3, 0x1.bde3e2e787094p-3, 0x1.b2e5c05f34507p-3, 0x1.a81f4e0cadb9bp-3, 0x1.9d8fee333dd71p-3, 0x1.9336ffb8e471cp-3, 0x1.8913de718b6dcp-3, 0x1.7f25e367294e4p-3, 0x1.756c651ee758bp-3, 0x1.6be6b7db5eb0bp-3, 0x1.62942ddc0cf79p-3, 0x1.5974179a174f9p-3, 0x1.5085c402656e2p-3, 0x1.47c880ad3c53dp-3, 0x1.3f3b9a136255bp-3, 0x1.36de5bc0e5fb4p-3, 0x1.2eb0108596a45p-3, 0x1.26b002a34b1d2p-3, 0x1.1edd7bf9fd299p-3, 0x1.1737c631db752p-3, 0x1.0fbe2ae34d80bp-3, 0x1.086ff3bd182dcp-3, 0x1.014c6aa895b47p-3, 0x1.f4a5b3d84becep-4, 0x1.e7051897b3a5p-4, 0x1.d9b59a50f2446p-4, 0x1.ccb5d139b1a98p-4, 0x1.c004573353395p-4, 0x1.b39fc7ff75946p-4, 0x1.a786c1719225dp-4, 0x1.9bb7e39dc2614p-4, 0x1.9031d104c7f43p-4, 0x1.84f32ebd724e8p-4, 0x1.79faa49b7cf36p-4, 0x1.6f46dd53f44bep-4, 0x1.64d6869f40fecp-4, 0x1.5aa85158ea58ap-4, 0x1.50baf19d28637p-4, 0x1.470d1ee456bfbp-4, 0x1.3d9d941c6247p-4, 0x1.346b0fc03eab5p-4, 0x1.2b7453ed7a95fp-4, 0x1.22b826780709dp-4, 0x1.1a3550fc3d776p-4, 0x1.11eaa0ef3dd82p-4, 0x1.09d6e7adb0409p-4, 0x1.01f8fa88fbda4p-4, 0x1.f49f65a60df4ep-5, 0x1.e5b3dbd1118cfp-5, 0x1.d72d1a7406305p-5, 0x1.c908eca6de5f4p-5, 0x1.bb4525c557403p-5, 0x1.addfa17976998p-5, 0x1.a0d643c3c49a7p-5, 0x1.9426f90157435p-5, 0x1.87cfb5efd0db6p-5, 0x1.7bce77af6471ep-5, 0x1.702143c2f9c1dp-5, 0x1.64c6280e86472p-5, 0x1.59bb3ad3b69e2p-5, 0x1.4efe9aacfa1dap-5, 0x1.448e6e8704611p-5, 0x1.3a68e598e08d4p-5, 0x1.308c375a9e0dep-5, 0x1.26f6a37ab6764p-5, 0x1.1da671d23a3ddp-5, 0x1.1499f257cf9afp-5, 0x1.0bcf7d11a0b01p-5, 0x1.03457206417c7p-5, 0x1.f5f47259428a6p-6, 0x1.e5d884b62570fp-6, 0x1.d6340a6b01eabp-6, 0x1.c7040235b4893p-6, 0x1.b8457a2382ca2p-6, 0x1.a9f58f691a548p-6, 0x1.9c116e395ece5p-6, 0x1.8e96519b043p-6, 0x1.8181833d1db09p-6, 0x1.74d05b4ab7d06p-6, 0x1.6880403d88c35p-6, 0x1.5c8ea6afdb1f1p-6, 0x1.50f9112dbd5aep-6, 0x1.45bd100589d52p-6, 0x1.3ad84117e0b39p-6, 0x1.30484fa71f957p-6, 0x1.260af4266b7e8p-6, 0x1.1c1df40858f28p-6, 0x1.127f218d4c49ep-6, 0x1.092c5b918f6fp-6, 0x1.00238d5b40338p-6, 0x1.eec55cd02fe37p-7, 0x1.ddcf84762b402p-7, 0x1.cd61b0545569dp-7, 0x1.bd781657b3ef1p-7, 0x1.ae0f0349df4d1p-7, 0x1.9f22da6c939a7p-7, 0x1.90b0151584c04p-7, 0x1.82b3424a8e2d7p-7, 0x1.7529065e3c9d4p-7, 0x1.680e1a8ce499bp-7, 0x1.5b5f4c9a2dce6p-7, 0x1.4f197e6f3bfbbp-7, 0x1.4339a5b984e0fp-7, 0x1.37bccb8a4e0d5p-7, 0x1.2ca00bf6ef949p-7, 0x1.21e095b9e0b9fp-7, 0x1.177ba9d49a199p-7, 0x1.0d6e9b3259b53p-7, 0x1.03b6ce4bcc43p-7, 0x1.f4a371975706bp-8, 0x1.e279c268b3429p-8, 0x1.d0ebbd0ce845ap-8, 0x1.bff4afd0f5617p-8, 0x1.af90089efc59fp-8, 0x1.9fb95451ca134p-8, 0x1.906c3e0a8ff29p-8, 0x1.81a48e88de8cep-8, 0x1.735e2b84dfab8p-8, 0x1.6595170bdaa0ap-8, 0x1.58456edf0cc5dp-8, 0x1.4b6b6bd4d9cd2p-8, 0x1.3f03613c4f646p-8, 0x1.3309bc4317bf7p-8, 0x1.277b035dbcec4p-8, 0x1.1c53d5b25a359p-8, 0x1.1190ea85b2dbdp-8, 0x1.072f10aab0f3ap-8, 0x1.fa565be890f3cp-9, 0x1.e7047d538bdc1p-9, 0x1.d462a9fafaf39p-9, 0x1.c26b310bd5ef9p-9, 0x1.b1188b72542b2p-9, 0x1.a0655ad5a164cp-9, 0x1.904c689873ab1p-9, 0x1.80c8a4de1c94ap-9, 0x1.71d525948148dp-9, 0x1.636d2582a5778p-9, 0x1.558c035bce51fp-9, 0x1.482d40d75889fp-9, 0x1.3b4c81ccf7975p-9, 0x1.2ee58b5598414p-9, 0x1.22f442f0b7205p-9, 0x1.1774adae14953p-9, 0x1.0c62ef5bdd48dp-9, 0x1.01bb49b9220eap-9, 0x1.eef43759342dbp-10, 0x1.db37c0ff51618p-10, 0x1.c83a5e3b1a8dbp-10, 0x1.b5f572ad5f047p-10, 0x1.a462965039f3cp-10, 0x1.937b940de1dd9p-10, 0x1.833a685f78132p-10, 0x1.73993ff3d2927p-10, 0x1.6492765de873ap-10, 0x1.562094cad1229p-10, 0x1.483e50bf48e3p-10, 0x1.3ae68adcba9e5p-10, 0x1.2e144dad62e54p-10, 0x1.21c2cc77bc8f5p-10, 0x1.15ed6218d503ep-10, 0x1.0a8f8fe5b1d54p-10, 0x1.ff49f926d8f8p-11, 0x1.ea52e64c2ea9cp-11, 0x1.d631c3cc2413fp-11, 0x1.c2deb2b7f0d1cp-11, 0x1.b05216a59b454p-11, 0x1.9e8493c0ec657p-11, 0x1.8d6f0ce891d7bp-11, 0x1.7d0aa1d738487p-11, 0x1.6d50ad583efd4p-11, 0x1.5e3ac38885343p-11, 0x1.4fc2b02204f22p-11, 0x1.41e274d28febdp-11, 0x1.3494479daab52p-11, 0x1.27d29148fb474p-11, 0x1.1b97ebd342c24p-11, 0x1.0fdf20f5453d6p-11, 0x1.04a328ad068dap-11, 0x1.f3be4fa5496ffp-12, 0x1.df1cdd6e0489ep-12, 0x1.cb58ef9769b3fp-12, 0x1.b869cca84f4f9p-12, 0x1.a6470a3f74924p-12, 0x1.94e88a994c80fp-12, 0x1.84467a2778d69p-12, 0x1.74594d38ce4cep-12, 0x1.6519bdb181737p-12, 0x1.5680c8d396a7ep-12, 0x1.4887ad17441d6p-12, 0x1.3b27e81301f39p-12, 0x1.2e5b3471a0929p-12, 0x1.221b87f7cb54fp-12, 0x1.166311976fb01p-12, 0x1.0b2c37916bee8p-12, 0x1.007195a51ba7bp-12, 0x1.ec5bf69939896p-13, 0x1.d8b8d40c6dd05p-13, 0x1.c5f027558f012p-13, 0x1.b3f8b1a01628bp-13, 0x1.a2c98e6f9e97dp-13, 0x1.925a309495d48p-13, 0x1.82a25f3714466p-13, 0x1.739a32f9b866dp-13, 0x1.653a13310c584p-13, 0x1.577ab331e9b1bp-13, 0x1.4a550fb332befp-13, 0x1.3dc26c4325aa6p-13, 0x1.31bc50d1c4c34p-13, 0x1.263c874d5c932p-13, 0x1.1b3d1952a85cdp-13, 0x1.10b84def63aep-13, 0x1.06a8a77449981p-13, 0x1.fa11c2b574defp-14, 0x1.e7a7dc730711cp-14, 0x1.d609eb95fd3acp-14, 0x1.c52ea6074d7f1p-14, 0x1.b50d246c92991p-14, 0x1.a59cde9087e63p-14, 0x1.96d5a7e85a507p-14, 0x1.88afac357572bp-14, 0x1.7b236c43739d1p-14, 0x1.6e29bac2959bep-14, 0x1.61bbb93763c84p-14, 0x1.55d2d50785987p-14, 0x1.4a68c49e838fcp-14, 0x1.3f7784a97fff9p-14, 0x1.34f9556d18193p-14, 0x1.2ae8b82fea0f3p-14, 0x1.21406cb8a6e58p-14, 0x1.17fb6ee6159fp-14, 0x1.0f14f4581d5d9p-14, 0x1.06886a2ec346fp-14, 0x1.fca2e5bca535fp-15, 0x1.ecd7c82729de5p-15, 0x1.dda78953edb9ap-15, 0x1.cf0a956d55d6ap-15, 0x1.c0f9b3447e645p-15, 0x1.b36e00a881ddcp-15, 0x1.a660eee2133eap-15, 0x1.99cc3f491df14p-15, 0x1.8da9fff7ba7fap-15, 0x1.81f488a1a6378p-15, 0x1.76a677822ae13p-15, 0x1.6bbaae6953fc6p-15, 0x1.612c4fe5640cbp-15, 0x1.56f6bc855fabcp-15, 0x1.4d159030a8516p-15, 0x1.43849f9cdb193p-15, 0x1.3a3ff5d8f1af8p-15, 0x1.3143d1ef71d66p-15, 0x1.288ca4a0dd0a6p-15, 0x1.20170e34730abp-15, 0x1.17dfdc584ec27p-15, 0x1.0fe4081a9672cp-15, 0x1.0820b3f525001p-15, 0x1.009329ebb283ep-15, 0x1.f271b3798edcbp-16, 0x1.e41eae4c9cde1p-16, 0x1.d628b07324cc2p-16, 0x1.c88b6779c6f9ep-16, 0x1.bb42bf436210fp-16, 0x1.ae4adf11b3356p-16, 0x1.a1a026a9c62c7p-16, 0x1.953f2b980e8d4p-16, 0x1.8924b6939cbf7p-16, 0x1.7d4dc0f57de6cp-16, 0x1.71b7724a09c17p-16, 0x1.665f1e01d7665p-16, 0x1.5b42413657a1ep-16, 0x1.505e80871c9d7p-16, 0x1.45b1a60f58a39p-16, 0x1.3b399f722afffp-16, 0x1.30f47bf75a26ep-16, 0x1.26e06abd7e7dbp-16, 0x1.1cfbb902e9f2dp-16, 0x1.1344d07fb77edp-16, 0x1.09ba35d17468fp-16, 0x1.005a86fab174bp-16, 0x1.ee48f3e7cfdacp-17, 0x1.dc2db6921855dp-17, 0x1.ca61198f9c712p-17, 0x1.b8e1087af7af6p-17, 0x1.a7ab948dfa817p-17, 0x1.96bef251bc096p-17, 0x1.8619777244453p-17, 0x1.75b998af60d42p-17, 0x1.659de7dca433ep-17, 0x1.55c511fd274e9p-17, 0x1.462ddd74cfd6fp-17, 0x1.36d72856f1189p-17, 0x1.27bfe6c38a71cp-17, 0x1.18e7215a376d1p-17, 0x1.0a4bf3c5c02c2p-17, 0x1.f7db16ac49384p-18, 0x1.db964b5b7d38bp-18, 0x1.bfc81ef90ee7ep-18, 0x1.a46f469ddbb79p-18, 0x1.898a90e3c08d3p-18, 0x1.6f18e3bcf42a5p-18, 0x1.55193a6cd7c9fp-18, 0x1.3b8aa3ada64c9p-18, 0x1.226c3fd7d80fap-18, 0x1.09bd3f34c2d04p-18, 0x1.e2f9c0b7ea841p-19, 0x1.b354dd6ad0c7dp-19, 0x1.848a82260ba9bp-19, 0x1.569970a918f17p-19, 0x1.29807c4fb9c1ap-19, 0x1.fa7d0f9ec7e93p-20, 0x1.a3a505d78a754p-20, 0x1.4e76d0f0733aap-20, 0x1.f5e0f1595571ep-21, 0x1.522026ec02724p-21, 0x1.634f0c3b31062p-22, 0x1.47362c50491f7p-25, -0x1.0affc9578ad76p-22, -0x1.1c35ec26d0dfp-21, -0x1.afb24f560bb0bp-21, -0x1.1ffc56dca8618p-20, -0x1.668657a521b4p-20, -0x1.ab790401d6eaap-20, -0x1.eed63da576ca3p-20, -0x1.184ff7cc8945dp-19, -0x1.386c07d81ab17p-19, -0x1.57c04fd72e28dp-19, -0x1.764dd74909a01p-19, -0x1.9415acbf28624p-19, -0x1.b118e659da22cp-19, -0x1.cd58a234098dcp-19, -0x1.e8d606af4a3e7p-19, -0x1.01c9215dca876p-18, -0x1.0ec7471063e24p-18, -0x1.1b6614d4eccfdp-18, -0x1.27a62fa1f98f5p-18, -0x1.3388411583669p-18, -0x1.3f0cf7792f54cp-18, -0x1.4a3505cbd7188p-18, -0x1.550123c4e86fbp-18, -0x1.5f720dcaf165cp-18, -0x1.698884f18e45cp-18, -0x1.73454ef1cce04p-18, -0x1.7ca9361788e43p-18, -0x1.85b509357ae5fp-18, -0x1.8e699b919a3f7p-18, -0x1.96c7c4d135b98p-18, -0x1.9ed060e35c279p-18, -0x1.a6844fe75b689p-18, -0x1.ade4760e7b0a9p-18, -0x1.b4f1bb81e48d9p-18, -0x1.bbad0c4570ffap-18, -0x1.c2175812ce0dep-18, -0x1.c831923ca05e4p-18, -0x1.cdfcb18a428a9p-18, -0x1.d379b014c7cadp-18, }}, 
      std::vector<double>(450, 0.0), 
      {{0x1.cc399f1827928p-8, 0x1.cdf7eb449c85dp-7, 0x1.5c9c6426dfbccp-6, 0x1.d4afb27e2eb2ap-6, 0x1.27ee6d5d737cap-5, 0x1.67576e9c2712cp-5, 0x1.a8c9c723ccb38p-5, 0x1.ec6dd80ff724fp-5, 0x1.192efec79d98fp-4, 0x1.3d53b298ca078p-4, 0x1.62a58cd164fecp-4, 0x1.891f96df9acdap-4, 0x1.b0b7fb2b50ee5p-4, 0x1.d960a320aef49p-4, 0x1.0183e8f57c97ep-3, 0x1.16cc5c5ec8d37p-3, 0x1.2c7e014959c48p-3, 0x1.428c2b0987838p-3, 0x1.58e966799b6ep-3, 0x1.6f87b042edc7ap-3, 0x1.8658a5caa3f62p-3, 0x1.9d4db0e89040ep-3, 0x1.b4582ea2dd868p-3, 0x1.cb699136273dfp-3, 0x1.e2737db91d688p-3, 0x1.f967e5ae876f4p-3, 0x1.081c8e6c85058p-2, 0x1.136cf5d169a2ep-2, 0x1.1e9ecf3439062p-2, 0x1.29ac08f940477p-2, 0x1.348edeb2b1d3p-2, 0x1.3f41dcf4fb944p-2, 0x1.49bfe42698454p-2, 0x1.54042a6819612p-2, 0x1.5e0a3caee8d42p-2, 0x1.67cdff2b06a78p-2, 0x1.714bad0e15ebep-2, 0x1.7a7fd7c80218dp-2, 0x1.836765cbce4a3p-2, 0x1.8bff90ed65529p-2, 0x1.9445e467b869bp-2, 0x1.9c383a9908cfep-2, 0x1.a3d4ba81de9dep-2, 0x1.ab19d511fb8bbp-2, 0x1.b206424d707dcp-2, 0x1.b898fe52f4c46p-2, 0x1.bed1464ba3487p-2, 0x1.c4ae954b674e1p-2, 0x1.ca30a12885391p-2, 0x1.cf57574ffe7a5p-2, 0x1.d422d99bd0099p-2, 0x1.d8937b2f6f8fdp-2, 0x1.dca9bd5e622e2p-2, 0x1.e0664ca02cfdbp-2, 0x1.e3c9fd9479cc2p-2, 0x1.e6d5ca19ce92ap-2, 0x1.e98ace78d3a0ap-2, 0x1.ebea46a5c8f94p-2, 0x1.edf58b997dfa1p-2, 0x1.efae10c2c7bddp-2, 0x1.f11561913de75p-2, 0x1.f22d1f19bd5f6p-2, 0x1.f2f6fdd507a9dp-2, 0x1.f374c3789a86fp-2, 0x1.f3a844e9ba2ap-2, 0x1.f393644a83cbap-2, 0x1.f3380f20b96e2p-2, 0x1.f2983c95e530cp-2, 0x1.f1b5ebd05203ap-2, 0x1.f09322644d6f1p-2, 0x1.ef31eadd0fb5bp-2, 0x1.ed94535c9981fp-2, 0x1.ebbc6c51d5e3fp-2, 0x1.e9ac47443ab32p-2, 0x1.e765f5b41f3a6p-2, 0x1.e4eb880f0a4b9p-2, 0x1.e23f0cb717e0fp-2, 0x1.df628f1cbf54ap-2, 0x1.dc5816ea19e32p-2, 0x1.d921a73ee8d53p-2, 0x1.d5c13dfc9172ap-2, 0x1.d238d32143fecp-2, 0x1.ce8a5831902ecp-2, 0x1.cab7b7afac30bp-2, 0x1.c6c2d49faf622p-2, 0x1.c2ad8a181530ep-2, 0x1.be79aaddd6e74p-2, 0x1.ba29010b7859p-2, 0x1.b5bd4dc26282cp-2, 0x1.b13848e5f8559p-2, 0x1.ac9ba0dfc91dfp-2, 0x1.a7e8fa6c582d6p-2, 0x1.a321f06fee5cfp-2, 0x1.9e4813d2f5ddcp-2, 0x1.995ceb6560cbp-2, 0x1.9461f3c8a8961p-2, 0x1.8f589f5fef8cdp-2, 0x1.8a425645e2668p-2, 0x1.85207647e8cfcp-2, 0x1.7ff452e64de1p-2, 0x1.7abf355902609p-2, 0x1.75825c989d567p-2, 0x1.703efd6b4fbcp-2, 0x1.6af6427579eb3p-2, 0x1.65a94c4d99cb5p-2, 0x1.605931934cadcp-2, 0x1.5b06ff092273p-2, 0x1.55b3b7b10626cp-2, 0x1.506054eb0275dp-2, 0x1.4b0dc696231a3p-2, 0x1.45bcf3334ebb8p-2, 0x1.406eb809d66a9p-2, 0x1.3b23e94d9cd01p-2, 0x1.35dd5246a046ep-2, 0x1.309bb579c04e1p-2, 0x1.2b5fccd29f881p-2, 0x1.262a49ce7257ap-2, 0x1.20fbd5a7a33b3p-2, 0x1.1bd511822a991p-2, 0x1.16b6969875ec7p-2, 0x1.11a0f668ccba3p-2, 0x1.0c94bae313342p-2, 0x1.07926696d1783p-2, 0x1.029a74e16cf25p-2, 0x1.fb5ab438fae87p-3, 0x1.f19707984ba3p-3, 0x1.e7eab19ac7601p-3, 0x1.de56730887461p-3, 0x1.d4db0013c9cb3p-3, 0x1.cb7900b488b17p-3, 0x1.c23111037cff5p-3, 0x1.b903c194730c5p-3, 0x1.aff197cfdb477p-3, 0x1.a6fb0e4b87019p-3, 0x1.9e2095226b685p-3, 0x1.9562924b745f3p-3, 0x1.8cc161ef3512fp-3, 0x1.843d56bc845acp-3, 0x1.7bd6ba3be53c6p-3, 0x1.738dcd21b3a84p-3, 0x1.6b62c79f091e1p-3, 0x1.6355d9b155b43p-3, 0x1.5b672b70931ecp-3, 0x1.5396dd5c20aacp-3, 0x1.4be508a62ce82p-3, 0x1.4451bf7db1696p-3, 0x1.3cdd0d56f7cc1p-3, 0x1.3586f732a6486p-3, 0x1.2e4f7be34a1b2p-3, 0x1.2736945165101p-3, 0x1.203c33bdf2be9p-3, 0x1.196048036c812p-3, 0x1.12a2b9d545fffp-3, 0x1.0c036cfde16d2p-3, 0x1.0582409afe162p-3, 0x1.fe3e1eb1499efp-4, 0x1.f1b35f55111a2p-4, 0x1.e563e807d4378p-4, 0x1.d94f561bf36a3p-4, 0x1.cd753fb96954ap-4, 0x1.c1d53444a5028p-4, 0x1.b66ebcc25a8efp-4, 0x1.ab415c3877f58p-4, 0x1.a04c900c38c5ep-4, 0x1.958fd05d596fp-4, 0x1.8b0a905e7c9abp-4, 0x1.80bc3eaac61d7p-4, 0x1.76a44598bb23dp-4, 0x1.6cc20b8a6af42p-4, 0x1.6314f33aef663p-4, 0x1.599c5c094c1a4p-4, 0x1.5057a240bc9e6p-4, 0x1.47461f5e75e86p-4, 0x1.3e672a54ed9cfp-4, 0x1.35ba17ccad4c6p-4, 0x1.2d3e3a62c14cbp-4, 0x1.24f2e2e4cd932p-4, 0x1.1cd7608ad3fb1p-4, 0x1.14eb012ebac2dp-4, 0x1.0d2d11819cea4p-4, 0x1.059cdd3ef30d6p-4, 0x1.fc735ebb3e93ap-5, 0x1.ee05a47dd535ep-5, 0x1.dfef1fb6fb695p-5, 0x1.d22e63dccb177p-5, 0x1.c4c2043c552a5p-5, 0x1.b7a894481d3b9p-5, 0x1.aae0a7e2e814ep-5, 0x1.9e68d3a70abf6p-5, 0x1.923fad2a3e5a4p-5, 0x1.8663cb3e2189ep-5, 0x1.7ad3c62d73cf3p-5, 0x1.6f8e37f627fb9p-5, 0x1.6491bc8066623p-5, 0x1.59dcf1d2905ecp-5, 0x1.4f6e784263193p-5, 0x1.4544f2a34901cp-5, 0x1.3b5f0671f7941p-5, 0x1.31bb5bfd698f1p-5, 0x1.28589e8d4e44cp-5, 0x1.1f357c86031c5p-5, 0x1.1650a78a29399p-5, 0x1.0da8d499f2ba3p-5, 0x1.053cbc3034e8fp-5, 0x1.fa1634baa6e71p-6, 0x1.ea255dc03d5a4p-6, 0x1.daa47a7968b1fp-6, 0x1.cb9119a2d9acbp-6, 0x1.bce8d1d3f4a8cp-6, 0x1.aea941a17365cp-6, 0x1.a0d00fbc9f9dp-6, 0x1.935aeb0f41e01p-6, 0x1.86478ad47114ep-6, 0x1.7993aeae4dcfep-6, 0x1.6d3d1eb8e340ep-6, 0x1.6141ab9a3a5d3p-6, 0x1.559f2e8fc1c1cp-6, 0x1.4a5389792aac2p-6, 0x1.3f5ca6e0dcd18p-6, 0x1.34b87a020ba0fp-6, 0x1.2a64fecc9b63bp-6, 0x1.206039e6e3994p-6, 0x1.16a838ad75f7dp-6, 0x1.0d3b1130eb78dp-6, 0x1.0416e231ef09ep-6, 0x1.f673a636ff17ap-7, 0x1.e54427f72aeb5p-7, 0x1.d49bbaf46d524p-7, 0x1.c476e19e1f63dp-7, 0x1.b4d22f6b5e922p-7, 0x1.a5aa48c0d0ac7p-7, 0x1.96fbe2d400daap-7, 0x1.88c3c38c58642p-7, 0x1.7afec161f12ddp-7, 0x1.6da9c33a60e62p-7, 0x1.60c1c04383e7ep-7, 0x1.5443bfcc93d41p-7, 0x1.482cd91d90ebdp-7, 0x1.3c7a334d09fcep-7, 0x1.3129051495358p-7, 0x1.263694a3d7acdp-7, 0x1.1ba037726b902p-7, 0x1.116352109baadp-7, 0x1.077d57f71d3ddp-7, 0x1.fbd796abb4e3cp-8, 0x1.e95879c3e3688p-8, 0x1.d7789745cf7bap-8, 0x1.c633497e60959p-8, 0x1.b58406905865ap-8, 0x1.a566600b39789p-8, 0x1.95d6028149986p-8, 0x1.86ceb51ccedc5p-8, 0x1.784c5934d8c0bp-8, 0x1.6a4ae9e1668dap-8, 0x1.5cc67b8f44466p-8, 0x1.4fbb3b93a0f2fp-8, 0x1.43256fbf88c32p-8, 0x1.370175f35798ap-8, 0x1.2b4bc3b246965p-8, 0x1.2000e5b605ca1p-8, 0x1.151d7f82b7829p-8, 0x1.0a9e4afb2cf2bp-8, 0x1.008017f59e1dfp-8, 0x1.ed7f97a1a276bp-9, 0x1.dab4c213ae8f6p-9, 0x1.c899cda4beeb9p-9, 0x1.b729014fcbc89p-9, 0x1.a65ccbd6d7eep-9, 0x1.962fc2f43771fp-9, 0x1.869ca28d85b46p-9, 0x1.779e4be8743bbp-9, 0x1.692fc4e191f89p-9, 0x1.5b4c3724df97bp-9, 0x1.4deeef6896c77p-9, 0x1.41135caa04597p-9, 0x1.34b50f6cc5c1ap-9, 0x1.28cfb8fc2303cp-9, 0x1.1d5f2aaeae27fp-9, 0x1.125f552c68635p-9, 0x1.07cc47b72e78p-9, 0x1.fb445eebc5096p-10, 0x1.e7baad83852bdp-10, 0x1.d4f448ecf28cep-10, 0x1.c2ea36892fdbcp-10, 0x1.b195b20da0fe7p-10, 0x1.a0f02c33bea8ap-10, 0x1.90f3496d8703fp-10, 0x1.8198e09fcc4bcp-10, 0x1.72daf9e161c7ep-10, 0x1.64b3cd4004f3ep-10, 0x1.571dc18a97dc8p-10, 0x1.4a136b2054e22p-10, 0x1.3d8f8ac5907dfp-10, 0x1.318d0c7de081cp-10, 0x1.2607066b54614p-10, 0x1.1af8b7b3b9982p-10, 0x1.105d876a44d63p-10, 0x1.0631037ee794dp-10, 0x1.f8ddbf65bc752p-11, 0x1.e625e924dc7cep-11, 0x1.d4327ce853f2fp-11, 0x1.c2fbb8fa004d1p-11, 0x1.b27a1f527101fp-11, 0x1.a2a673b5f1fdap-11, 0x1.9379b9daf4b3cp-11, 0x1.84ed339b005fap-11, 0x1.76fa5f2dce062p-11, 0x1.699af56c96eaep-11, 0x1.5cc8e820a34d3p-11, 0x1.507e605a8edf8p-11, 0x1.44b5bcd33e0e3p-11, 0x1.3969905721b58p-11, 0x1.2e94a038c67bcp-11, 0x1.2431e2cde5f1cp-11, 0x1.1a3c7df4d9716p-11, 0x1.10afc5a32183fp-11, 0x1.07873a7c99553p-11, 0x1.fd7d10e85f734p-12, 0x1.eca30ae616af6p-12, 0x1.dc7860136822ap-12, 0x1.ccf55c51cd4aap-12, 0x1.be1297c4a15dep-12, 0x1.afc8f46458862p-12, 0x1.a2119b9fb544bp-12, 0x1.94e5fc0b8ac3ep-12, 0x1.883fc724003d9p-12, 0x1.7c18ef1a8dd58p-12, 0x1.706ba4b3813b4p-12, 0x1.653255334d2d8p-12, 0x1.5a67a8578cc87p-12, 0x1.50067e5ded938p-12, 0x1.4609ee1a952c5p-12, 0x1.3c6d4319e52c9p-12, 0x1.332bfbcfed0ecp-12, 0x1.2a41c7d5d8e35p-12, 0x1.21aa8632de396p-12, 0x1.196243af67796p-12, 0x1.116539382b01fp-12, 0x1.09afca49bd743p-12, 0x1.023e83697779dp-12, 0x1.f61c31523e988p-13, 0x1.e836c86ce285dp-13, 0x1.dac6c9e60e636p-13, 0x1.cdc67a32184b7p-13, 0x1.c13061d305fc5p-13, 0x1.b4ff4ac84a906p-13, 0x1.a92e3e14a3f0ap-13, 0x1.9db881568792bp-13, 0x1.92999470c13b6p-13, 0x1.87cd2f476702ep-13, 0x1.7d4f3f8f8d497p-13, 0x1.731be6aeb4e38p-13, 0x1.692f77abd1c63p-13, 0x1.5f867532bddedp-13, 0x1.561d8fa6d99f6p-13, 0x1.4cf1a3429e4abp-13, 0x1.43ffb64a4b29p-13, 0x1.3b44f74d25853p-13, 0x1.32bebb73fe2d9p-13, 0x1.2a6a7cde4d576p-13, 0x1.2245d90f7135ep-13, 0x1.1a4e8f67b2609p-13, 0x1.12827fa7f334ap-13, 0x1.0adfa887220ccp-13, 0x1.03642651209a8p-13, 0x1.f81c63254dd15p-14, 0x1.e9b83ba1cd88ep-14, 0x1.db98b09b47678p-14, 0x1.cdbacdab684bdp-14, 0x1.c01bcd30df89fp-14, 0x1.b2b9161ae304ap-14, 0x1.a59039c4c3f61p-14, 0x1.989ef1e4c21efp-14, 0x1.8be31e92a3dc6p-14, 0x1.7f5ac45e142b7p-14, 0x1.73040a77f0e3dp-14, 0x1.66dd38eba2f7dp-14, 0x1.5ae4b6eacb18ep-14, 0x1.4f19092e17d36p-14, 0x1.4378d05e42196p-14, 0x1.3802c79243a8ep-14, 0x1.2cb5c2ddf5affp-14, 0x1.2190adeb7cd3ep-14, 0x1.16928aa4a6346p-14, 0x1.0bba6fe87ef94p-14, 0x1.01078852b0547p-14, 0x1.ecf2221a4e69p-15, 0x1.d81cb158e663cp-15, 0x1.c38d7c39b7d07p-15, 0x1.af435f30206b5p-15, 0x1.9b3d535081a5ep-15, 0x1.877a6c66a7abep-15, 0x1.73f9d72470882p-15, 0x1.60bad76b007a6p-15, 0x1.4dbcc6a009efp-15, 0x1.3aff12186e4f2p-15, 0x1.28813999ea2cdp-15, 0x1.1642cde9d257ep-15, 0x1.04436f6f028f2p-15, 0x1.e50599c38ddcdp-16, 0x1.c2014422071a7p-16, 0x1.9f796d6ad6c6ep-16, 0x1.7d6dba9f9269ep-16, 0x1.5bdde4365ea41p-16, 0x1.3ac9b417d65p-16, 0x1.1a3103b1f62d1p-16, 0x1.f427745d77367p-17, 0x1.b4e39560bc02fp-17, 0x1.76966580c7236p-17, 0x1.393ff18e87793p-17, 0x1.f9c0aa4f639edp-18, 0x1.82ef7019d035fp-18, 0x1.0e0c972d1e04fp-18, 0x1.3631210b5dbc9p-19, 0x1.509eb8cf46576p-21, -0x1.14045286119c4p-20, -0x1.644b610c32759p-19, -0x1.1d597c5cedc69p-18, -0x1.869bfd5f60d7bp-18, -0x1.edecc171eb7c5p-18, -0x1.29a5b0fd74289p-17, -0x1.5b5bc35f5d1edp-17, -0x1.8c18742b7f383p-17, -0x1.bbdba93dc41d1p-17, -0x1.eaa553291f498p-17, -0x1.0c3ab70f27cb6p-16, -0x1.22a60168003cp-16, -0x1.389493a46890fp-16, -0x1.4e067fd1a487ep-16, -0x1.62fbdf53da65ap-16, -0x1.7774d33507d67p-16, -0x1.8b718464c2f97p-16, -0x1.9ef223ed4cd68p-16, -0x1.b1f6eb2c8bfc5p-16, -0x1.c4801bf46e01ep-16, -0x1.d68e00b1a7b1fp-16, -0x1.e820ec8684874p-16, -0x1.f9393b5e95a96p-16, -0x1.04eba8fedd9efp-15, -0x1.0cfdcf0401edbp-15, -0x1.14d34b0416e52p-15, -0x1.1c6c5cb683b88p-15, -0x1.23c9484173132p-15, -0x1.2aea5633c1e53p-15, -0x1.31cfd37ee304bp-15, -0x1.387a116c1cc6ap-15, -0x1.3ee96591f56eep-15, -0x1.451e29c7235aap-15, -0x1.4b18bc12b9346p-15, -0x1.50d97e9ce7ac3p-15, }}, 
      {{0x1.ffc2d97adc25p-1, 0x1.ff0dc28fc215bp-1, 0x1.fde6f0590af12p-1, 0x1.fc571ad8f4f2dp-1, 0x1.fa6874b1746b3p-1, 0x1.f825e63abab5cp-1, 0x1.f59a7d3c15ec7p-1, 0x1.f2d1059547d9cp-1, 0x1.efd3c1937aff9p-1, 0x1.ecac3a9c521a8p-1, 0x1.e96324645abfep-1, 0x1.e6004e20bf3c1p-1, 0x1.e28a9e1e7d52ep-1, 0x1.df0814f0aee0ap-1, 0x1.db7dd605ce1b2p-1, 0x1.d7f033f19b9d8p-1, 0x1.d462bf1d04a7dp-1, 0x1.d0d855dc50a6ep-1, 0x1.cd53352a34f1bp-1, 0x1.c9d50977904c3p-1, 0x1.c65eff26282dep-1, 0x1.c2f1d262eebd2p-1, 0x1.bf8dde2be93d3p-1, 0x1.bc332a5ffbcfap-1, 0x1.b8e178c4e2742p-1, 0x1.b59850fa4b44fp-1, 0x1.b2570b58fd4c5p-1, 0x1.af1cdac2f12bep-1, 0x1.abe8d56d7e78p-1, 0x1.a8b9fcb1c2897p-1, 0x1.a58f43f167a8cp-1, 0x1.a267969f1fa32p-1, 0x1.9f41dd7ad094dp-1, 0x1.9c1d0311910fap-1, 0x1.98f7f79168bd3p-1, 0x1.95d1b4005e6c8p-1, 0x1.92a93ce5bcd2bp-1, 0x1.8f7da473c2161p-1, 0x1.8c4e0c3f16b68p-1, 0x1.8919a6909a249p-1, 0x1.85dfb75d22535p-1, 0x1.829f94edfd14p-1, 0x1.7f58a84415dfap-1, 0x1.7c0a6d3eda232p-1, 0x1.78b4728f1e6aap-1, 0x1.7556597d8b6dbp-1, 0x1.71efd58b5df88p-1, 0x1.6e80abf3987fcp-1, 0x1.6b08b3122587cp-1, 0x1.6787d1b5d130ep-1, 0x1.63fdfe617af8cp-1, 0x1.606b3e805db1ap-1, 0x1.5ccfa590d55f9p-1, 0x1.592b5448a749p-1, 0x1.557e77b567308p-1, 0x1.51c9485b4156bp-1, 0x1.4e0c0954202fap-1, 0x1.4a470770db0aap-1, 0x1.467a985ddd5a5p-1, 0x1.42a719cc779e3p-1, 0x1.3eccf0a1dcbfdp-1, 0x1.3aec882c9ad32p-1, 0x1.3706516137e23p-1, 0x1.331ac21e7840bp-1, 0x1.2f2a5479b0ebp-1, 0x1.2b3586136cf7bp-1, 0x1.273cd77497969p-1, 0x1.2340cb74410afp-1, 0x1.1f41e6a6092efp-1, 0x1.1b40aed12368cp-1, 0x1.173daa6fdf647p-1, 0x1.1339603794b68p-1, 0x1.0f3456a8c56b3p-1, 0x1.0b2f13a74131ep-1, 0x1.072a1c1a1577bp-1, 0x1.0325f39302881p-1, 0x1.fe4637fa73572p-2, 0x1.f6442aa62e99ap-2, 0x1.ee46bab52c255p-2, 0x1.e64eded054e4fp-2, 0x1.de5d884f83ce7p-2, 0x1.d673a2d7294f2p-2, 0x1.ce92140105a94p-2, 0x1.c6b9bb0f63d75p-2, 0x1.beeb70aa3cca4p-2, 0x1.b72806a5bd4fp-2, 0x1.af7047d199f32p-2, 0x1.a7c4f7d0aac5cp-2, 0x1.a026d2f84b02fp-2, 0x1.98968e36fa7b7p-2, 0x1.9114d701c593p-2, 0x1.89a25347fca62p-2, 0x1.823fa16cc80ccp-2, 0x1.7aed5846249dcp-2, 0x1.73ac0720ecc95p-2, 0x1.6c7c35c979bc3p-2, 0x1.655e649888fcep-2, 0x1.5e530c84031cap-2, 0x1.575a9f3353016p-2, 0x1.50758716f40eap-2, 0x1.49a42782f1b1ep-2, 0x1.42e6dccc07646p-2, 0x1.3c3dfc671f9bdp-2, 0x1.35a9d50aed0c5p-2, 0x1.2f2aaed365815p-2, 0x1.28c0cb66dda52p-2, 0x1.226c661c92b3cp-2, 0x1.1c2db4247146ep-2, 0x1.1604e4afe1d0fp-2, 0x1.0ff2211b78794p-2, 0x1.09f58d195554cp-2, 0x1.040f46dc12ad5p-2, 0x1.fc7ece843d31ep-3, 0x1.f10c0402b33b2p-3, 0x1.e5c64ba5bf1b6p-3, 0x1.daadb93db7a82p-3, 0x1.cfc25750a11cp-3, 0x1.c50427716d01bp-3, 0x1.ba732296bc56ep-3, 0x1.b00f3971043bp-3, 0x1.a5d854bfe84fbp-3, 0x1.9bce55a6a95c4p-3, 0x1.91f115ff8cf05p-3, 0x1.884068ae21e0ap-3, 0x1.7ebc19f0402f7p-3, 0x1.7563efadbe39fp-3, 0x1.6c37a9c6b6385p-3, 0x1.63370260588b8p-3, 0x1.5a61ae302f95p-3, 0x1.51b75cc5d192fp-3, 0x1.4937b8d2ec45cp-3, 0x1.40e26871ad03bp-3, 0x1.38b70d696f3adp-3, 0x1.30b54571b245p-3, 0x1.28dcaa734f82ap-3, 0x1.212cd2c7f603cp-3, 0x1.19a55177d31f3p-3, 0x1.1245b6758259cp-3, 0x1.0b0d8ed83145p-3, 0x1.03fc6513f6735p-3, 0x1.fa238260ea07fp-4, 0x1.ec9a51fb58768p-4, 0x1.df5c408e23e16p-4, 0x1.d2685209e89acp-4, 0x1.c5bd871837a4bp-4, 0x1.b95add7783c2p-4, 0x1.ad3f5053b94efp-4, 0x1.a169d89b7d5ccp-4, 0x1.95d96d523af04p-4, 0x1.8a8d03def1ba6p-4, 0x1.7f839057e94b1p-4, 0x1.74bc05cb4c71bp-4, 0x1.6a355684bcf9ap-4, 0x1.5fee744ff23bdp-4, 0x1.55e650b8706b4p-4, 0x1.4c1bdd466a344p-4, 0x1.428e0bb8dc55fp-4, 0x1.393bce3cf285p-4, 0x1.302417a2cbeedp-4, 0x1.2745db8fa7749p-4, 0x1.1ea00ead91206p-4, 0x1.1631a6d89dad2p-4, 0x1.0df99b49c63ep-4, 0x1.05f6e4bf73689p-4, 0x1.fc50fb479795cp-5, 0x1.ed1ac461acbd9p-5, 0x1.de492124f73b9p-5, 0x1.cfda120d0284cp-5, 0x1.c1cb9bf50a735p-5, 0x1.b41bc850217f6p-5, 0x1.a6c8a55d9b02fp-5, 0x1.99d04659e5289p-5, 0x1.8d30c3abe4d16p-5, 0x1.80e83b0efe5fp-5, 0x1.74f4cfb9e0236p-5, 0x1.6954aa8232b41p-5, 0x1.5e05f9fd47689p-5, 0x1.5306f29de506cp-5, 0x1.4855cecf4d02bp-5, 0x1.3df0cf0d96de1p-5, 0x1.33d639fb77d38p-5, 0x1.2a045c75972abp-5, 0x1.207989a3839efp-5, 0x1.17341b0667bf3p-5, 0x1.0e3270858f3a3p-5, 0x1.0572f078de288p-5, 0x1.f9e80f628eb35p-6, 0x1.e96852fec56f1p-6, 0x1.d9639f705c9a2p-6, 0x1.c9d6f57034a04p-6, 0x1.babf62c8e0b98p-6, 0x1.ac1a02564cd85p-6, 0x1.9de3fc026e6bfp-6, 0x1.901a84bf248f8p-6, 0x1.82bade7d65e85p-6, 0x1.75c25821e502ap-6, 0x1.692e4d774b8c5p-6, 0x1.5cfc271e348a2p-6, 0x1.51295a7afaa2p-6, 0x1.45b369a188ee3p-6, 0x1.3a97e33f3c6a8p-6, 0x1.2fd4628300e9p-6, 0x1.25668f03c17b3p-6, 0x1.1b4c1ca544f08p-6, 0x1.1182cb7b93f7ep-6, 0x1.080867acff69fp-6, 0x1.fdb592a5dadccp-7, 0x1.ebefa8b2c5dfdp-7, 0x1.dabaf0bb2680dp-7, 0x1.ca136116af584p-7, 0x1.b9f506f38e8dfp-7, 0x1.aa5c060df033ep-7, 0x1.9b449865f5284p-7, 0x1.8cab0df4474eap-7, 0x1.7e8bcc5d7288dp-7, 0x1.70e34ea4286f1p-7, 0x1.63ae24da7e429p-7, 0x1.56e8f3d2592cep-7, 0x1.4a9074cd1c81p-7, 0x1.3ea1752ab7af2p-7, 0x1.3318d6182adcap-7, 0x1.27f38c3da7fb6p-7, 0x1.1d2e9f6c64151p-7, 0x1.12c72a4c26049p-7, 0x1.08ba5a08ba063p-7, 0x1.fe0adbfea75fcp-8, 0x1.eb4b6ed7fcd0ep-8, 0x1.d931322e3b44fp-8, 0x1.c7b70e0631ff3p-8, 0x1.b6d80c34b982dp-8, 0x1.a68f57bb119fbp-8, 0x1.96d83c2427b66p-8, 0x1.87ae24e2a4d58p-8, 0x1.790c9caff6a1cp-8, 0x1.6aef4cec6dc78p-8, 0x1.5d51fd0060c8fp-8, 0x1.503091beb5f63p-8, 0x1.43870cc8b8f94p-8, 0x1.37518bf3396cbp-8, 0x1.2b8c48ad4196cp-8, 0x1.2033976846991p-8, 0x1.1543e70200cf3p-8, 0x1.0ab9c02fdf699p-8, 0x1.0091c4ec35aabp-8, 0x1.ed915fca4e3f6p-9, 0x1.dab6a7daf6b9ap-9, 0x1.c88d36de4b75dp-9, 0x1.b70f0fbf70835p-9, 0x1.a636626da813ap-9, 0x1.95fd8acd01269p-9, 0x1.865f0faae07ffp-9, 0x1.7755a1b67dcc9p-9, 0x1.68dc1a7da3c61p-9, 0x1.5aed7b6d4fb27p-9, 0x1.4d84ecd662578p-9, 0x1.409dbcf67227bp-9, 0x1.34335f04bf36dp-9, 0x1.28416a4353196p-9, 0x1.1cc39914431c6p-9, 0x1.11b5c812f42f5p-9, 0x1.0713f531a40d8p-9, 0x1.f9b47db61f5dep-10, 0x1.e609c6308fc96p-10, 0x1.d3207d75088bp-10, 0x1.c0f199123568cp-10, 0x1.af7648e6f9125p-10, 0x1.9ea7f58f333fbp-10, 0x1.8e803ed7a4847p-10, 0x1.7ef8fa3a4dfefp-10, 0x1.700c3162b8465p-10, 0x1.61b420ba3dbb9p-10, 0x1.53eb35fc2a14fp-10, 0x1.46ac0ed14aefdp-10, 0x1.39f1777368bfep-10, 0x1.2db6695841a84p-10, 0x1.21f609e45f2fap-10, 0x1.16aba924ff877p-10, 0x1.0bd2c09155f32p-10, 0x1.0166f1d32e961p-10, 0x1.eec80b2d3f452p-11, 0x1.db8bd4c285f3cp-11, 0x1.c91166df80bb5p-11, 0x1.b7512f3535e17p-11, 0x1.a643e08316246p-11, 0x1.95e2707b6d4dbp-11, 0x1.862615b5b12eap-11, 0x1.770845ac0a951p-11, 0x1.6882b2c6fffedp-11, 0x1.5a8f4a74dcdfdp-11, 0x1.4d28334e0781ep-11, 0x1.4047cb45b5981p-11, 0x1.33e8a5e581665p-11, 0x1.28058a955cf09p-11, 0x1.1c9972eeedf91p-11, 0x1.119f891bf066ap-11, 0x1.07132640ddb4p-11, 0x1.f9dfa1e199de7p-12, 0x1.e6627759770f8p-12, 0x1.d3a686da777bcp-12, 0x1.c1a3dc6ca875p-12, 0x1.b052d36c2496p-12, 0x1.9fac13d85f0a1p-12, 0x1.8fa88fb62a43ep-12, 0x1.804180863f328p-12, 0x1.717064cce2778p-12, 0x1.632efdad00653p-12, 0x1.55774c9502d0ap-12, 0x1.484390fa496eep-12, 0x1.3b8e4628b0c0ap-12, 0x1.2f5221208e0bap-12, 0x1.238a0e85b49eap-12, 0x1.1831309feea64p-12, 0x1.0d42dd67421ffp-12, 0x1.02ba9ca1e45ddp-12, 0x1.f1284c1fd69afp-13, 0x1.dd96bf4b0f3ep-13, 0x1.cab8b7a6ef425p-13, 0x1.b886afbce38f4p-13, 0x1.a6f97480ac959p-13, 0x1.960a22333b34p-13, 0x1.85b2215c07691p-13, 0x1.75eb23db3a7ebp-13, 0x1.66af2216b29b6p-13, 0x1.57f8583c1f0a8p-13, 0x1.49c14397c759p-13, 0x1.3c04a00659c67p-13, 0x1.2ebd65785ed2ap-13, 0x1.21e6c58c95612p-13, 0x1.157c29412d8b6p-13, 0x1.09792eb54946ap-13, 0x1.fbb34dfb0f794p-14, 0x1.e533281eb3673p-14, 0x1.cf6a4d7600548p-14, 0x1.ba51797201aa4p-14, 0x1.a5e1bd9526956p-14, 0x1.92147dd31a456p-14, 0x1.7ee36d0a60dc9p-14, 0x1.6c4889aa8f859p-14, 0x1.5a3e1a6fa0511p-14, 0x1.48beab3fcf5bcp-14, 0x1.37c50a2682804p-14, 0x1.274c446d49f8bp-14, 0x1.174fa3c871b95p-14, 0x1.07caaba6184c7p-14, 0x1.f1722d293b319p-15, 0x1.d42da77fd4c7fp-15, 0x1.b7c00916ef3a6p-15, 0x1.9c21f48596fc1p-15, 0x1.814c67b8ed4efp-15, 0x1.6738b7ab78befp-15, 0x1.4de08c4c4df6cp-15, 0x1.353ddc873da86p-15, 0x1.1d4aea78a2aa3p-15, 0x1.06023fcd363f5p-15, 0x1.debd54863657p-16, 0x1.b2b6708e6ff17p-16, 0x1.87e66b80ff2ffp-16, 0x1.5e4451f7e6d9cp-16, 0x1.35c79f67b9ea3p-16, 0x1.0e6838748ad0ap-16, 0x1.d03ccb17ae91ep-17, 0x1.85c59b62b3511p-17, 0x1.3d5ce2eccd133p-17, 0x1.edea990eb1b2bp-18, 0x1.6504471f37fccp-18, 0x1.bfdd2cdd6a60ap-19, 0x1.7a49b1bf8382ep-20, -0x1.f26423658e3aep-22, -0x1.32a1019923e81p-19, -0x1.1000693553071p-18, -0x1.83493190eecb6p-18, -0x1.f33d3972eac06p-18, -0x1.2ff70b4016f7bp-17, -0x1.64b65020fa40bp-17, -0x1.97e47dc84b1e5p-17, -0x1.c98952aed4705p-17, -0x1.f9ac3e89a0663p-17, -0x1.142a339749706p-16, -0x1.2ac4569405deap-16, -0x1.40a7d81814789p-16, -0x1.55d7e9abc3092p-16, -0x1.6a57a07a541dep-16, -0x1.7e29f73407197p-16, -0x1.9151cfd69452dp-16, -0x1.a3d1f55f28ec9p-16, -0x1.b5ad1d5ad7913p-16, -0x1.c6e5e9672ee6fp-16, -0x1.d77ee8a087dfbp-16, -0x1.e77a98f3e29d3p-16, -0x1.f6db686009abcp-16, -0x1.02d1db11d65a4p-15, -0x1.09eae9ee9a361p-15, -0x1.10ba034b33fd5p-15, -0x1.174043dd0c107p-15, -0x1.1d7ec3009fb61p-15, -0x1.23769327715cp-15, -0x1.2928c23d7238ep-15, -0x1.2e965a082fda2p-15, -0x1.33c06080e8bb9p-15, -0x1.38a7d8277f4a6p-15, -0x1.3d4dc04e505fdp-15, -0x1.41b3156126734p-15, -0x1.45d8d127bc73ep-15, -0x1.49bfeb018618cp-15, -0x1.4d69581c914e6p-15, -0x1.50d60ba9b94bap-15, -0x1.5406f709e0103p-15, -0x1.56fd09fb2e02cp-15, -0x1.59b932bcc5bap-15, -0x1.5c3c5e3212882p-15, -0x1.5e87780371526p-15, -0x1.609b6ab8e7316p-15, -0x1.62791fd25eae8p-15, -0x1.64217fdf696d2p-15, -0x1.6595728f5a388p-15, -0x1.66d5dec53704p-15, -0x1.67e3aaa409ccap-15, -0x1.68bfbb99fe831p-15, -0x1.696af66a5af6fp-15, -0x1.69e63f35e61ecp-15, -0x1.6a32797ec8532p-15, -0x1.6a50882db3c3ap-15, -0x1.6a414d942a543p-15, -0x1.6a05ab6b63de6p-15, -0x1.699e82d67db85p-15, -0x1.690cb45e85935p-15, -0x1.68511fef624bp-15, -0x1.676ca4d3dc3dfp-15, -0x1.666021b0bce85p-15, -0x1.652c747cfe921p-15, -0x1.63d27a7c4574ep-15, -0x1.625310373b5f8p-15, -0x1.60af1170c4a91p-15, -0x1.5ee7591f67296p-15, -0x1.5cfcc1623eaefp-15, -0x1.5af0237722fa8p-15, -0x1.58c257afed45fp-15, -0x1.56743567b3574p-15, -0x1.540692f71411fp-15, -0x1.517a45a8b44ebp-15, -0x1.4ed021aed90d1p-15, -0x1.4c08fa15ae484p-15, -0x1.4925a0b7c5403p-15, -0x1.4626e6329600fp-15, -0x1.430d99da4a3f1p-15, -0x1.3fda89ac9955cp-15, -0x1.3c8e8245e1d88p-15, -0x1.392a4ed49833dp-15, -0x1.35aeb90cb3dd8p-15, -0x1.321c891d55695p-15, }}, 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
      std::vector<double>(450, 0.0), 
    }}, 
    {
      50, 0x1.2p+2, 0x1.1cffc3906cab5p+1, 0x1.859cf43911c3dp+1, -0x1.8dc5086e7fcap-8, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.e7f237f0ba4dp-3, -0x1.16876a7cb59dap-1, 0x1.36147fcbb4384p-1, -0x1.34491108d4714p-2}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.b3439c2c304dcp-3, -0x1.f15aa3dce7806p-2, 0x1.1ef56b5171164p-1, -0x1.28532954be225p-2}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.8452fed54a9eap-3, -0x1.ba2f4cca0d305p-2, 0x1.08bbfb6b1606cp-1, -0x1.1e27f07dd5406p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.5aae78a5f73a6p-3, -0x1.876252b593fbep-2, 0x1.e68b92c34c10dp-2, -0x1.1381d04b795adp-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.35e82f33ff5efp-3, -0x1.58cbbd4674538p-2, 0x1.bd3819eb2d0fdp-2, -0x1.08fc9ea9c2ef7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.159654f107903p-3, -0x1.2e42e764b0a4ap-2, 0x1.95789bb81c9f3p-2, -0x1.fcdd3441b488p-3}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.f2a652551f2d4p-4, -0x1.079f5a41e29e4p-2, 0x1.6f4e6afffbe1fp-2, -0x1.e7c5e54841f71p-3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.c179f013e4fe9p-4, -0x1.c971255079c0ep-3, 0x1.4ab92d00f6ef3p-2, -0x1.d2ad53bbb2efp-3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.96ec3528cd3a6p-4, -0x1.8acc216bee308p-3, 0x1.27b8f9ec7cb7p-2, -0x1.bd9512633577fp-3}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.7249ed55fb0ecp-4, -0x1.52fea7413791p-3, 0x1.064dcbbea581p-2, -0x1.a87cd2cd8d09p-3}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.52e7fe154835ap-4, -0x1.21b7b5d8ca158p-3, 0x1.ccef44ab42a74p-3, -0x1.93643bf8806cep-3}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.3823669844f15p-4, -0x1.ed4c972def2a5p-4, 0x1.906d08792f64p-3, -0x1.7e4d005e32d6p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.21613fc8380e6p-4, -0x1.a2f2d1a6785ep-4, 0x1.5714aed174907p-3, -0x1.6930af18450cp-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.0e0ebc461ee44p-4, -0x1.63c00d791a695p-4, 0x1.20e6faf43702p-3, -0x1.542759461e354p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.fb4250d55aa7p-5, -0x1.2f127261a1c82p-4, 0x1.dbc227ecfe8d1p-4, -0x1.3ed72b508991fp-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.df2bd48c9b8cfp-5, -0x1.044760f5616e5p-4, 0x1.7c1b3488087b3p-4, -0x1.2a8f6274c1c4ep-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c6e503424264bp-5, -0x1.c57e420b60945p-5, 0x1.2289ca31ce5a1p-4, -0x1.0f62a688255adp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.b189739282edep-5, -0x1.9386f085801bep-5, 0x1.a23eca11ecafep-5, -0x1.daa1ede7db78dp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.9e499adf371bdp-5, -0x1.70d27315440d8p-5, 0x1.13db02b2c4729p-5, -0x1.988f5c7bcd516p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.8c6f150993711p-5, -0x1.5b5d6b3d90ed6p-5, 0x1.3293344e74195p-6, -0x1.55ef0dd303f36p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.7b5d080eabc37p-5, -0x1.512a48d520f12p-5, 0x1.95a8b00c2d534p-8, -0x1.1374e660d8fb3p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.6a902407733a8p-5, -0x1.5039eded781c2p-5, -0x1.fedfbe8550708p-9, -0x1.a1dfbea1bae5cp-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.599ea328bc509p-5, -0x1.568da5591d88ep-5, -0x1.7a7162025ddacp-7, -0x1.1ce05f032a8d1p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.483849c338d28p-5, -0x1.6226a4abc21ebp-5, -0x1.12af33e8887dcp-6, -0x1.2f98093516946p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.3626664379df4p-5, -0x1.71060db36c8cap-5, -0x1.4039354a18adcp-6, -0x1.300e6d8c6f81ep-9}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.234bd131efe8bp-5, -0x1.812d6693a279bp-5, -0x1.45ecadbe545ebp-6, 0x1.cb68bae94f0ecp-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0fa4ed32eab2dp-5, -0x1.909cb7df97fc4p-5, -0x1.23780620080a6p-6, 0x1.e97d435def135p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f68f4e0d32a7bp-6, -0x1.9d599c1648738p-5, -0x1.b41744d71528p-7, 0x1.856da74c15dcp-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.ccc6eb121469fp-6, -0x1.a554e397e3b23p-5, -0x1.94de2752dce31p-8, 0x1.b35fbc1b2879p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.a27fea17ff6f6p-6, -0x1.a7208c46295a8p-5, 0x1.d652e99d4ec48p-10, 0x1.7e94e0c3ef68ep-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.785b286626b57p-6, -0x1.a2c9bb7552082p-5, 0x1.2056e40f9fe36p-7, 0x1.5894961e3ae5dp-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.4eec819fb1ba8p-6, -0x1.98fec3fda9c0ep-5, 0x1.ef167154f66c8p-7, 0x1.2e9db00dfa6a9p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.26b8067765cb9p-6, -0x1.8a592e8ea25aap-5, 0x1.525420aeacbd3p-6, 0x1.05b6a6f66e656p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.0031fcafa605p-6, -0x1.777815e92c16ep-5, 0x1.a0d7b92bcddb3p-6, 0x1.b90d8acd2f497p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b77dbe34e6a0fp-7, -0x1.60f916b117b2ep-5, 0x1.e300279761c03p-6, 0x1.66d4d17e72e94p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.7366bb32d8ceep-7, -0x1.477a33ed3594ap-5, 0x1.0c69a381f97e4p-5, 0x1.1491a1dc854b5p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.34a8ba3b9ba1p-7, -0x1.2b99553577031p-5, 0x1.2127c2d8e9e3dp-5, 0x1.84a2836ccd377p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.f75bdea1c784p-8, -0x1.0df4697a4a1ep-5, 0x1.2fbaa7c697fc6p-5, 0x1.c04067d11ee07p-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.9181f12742f63p-8, -0x1.de52bb721176p-6, 0x1.3822435283c3dp-5, 0x1.dcf41265230d1p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.3819bc8801604p-8, -0x1.9fac3ec5c202ap-6, 0x1.3a5e9b6896babp-5, -0x1.a3905ee20a06fp-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.d6744b05a38fep-9, -0x1.613138198831ep-6, 0x1.366fa751ab6f7p-5, -0x1.0d63ae01187a6p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.5575ca29f4d3cp-9, -0x1.241d809185ae1p-6, 0x1.2c5583fe6db7bp-5, -0x1.b1ee6ad2bc249p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.d8d221e8e2f33p-10, -0x1.d359f242b186cp-7, 0x1.1c0fc66353766p-5, -0x1.2b27c89e4f52dp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3401c4b305c7p-10, -0x1.6636cb08db908p-7, 0x1.059ffdbdda4fep-5, -0x1.7da5f55e4ce18p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.71c6a72a03a6p-11, -0x1.0349ed0ef8983p-7, 0x1.d200b04729179p-6, -0x1.cf028725ed69bp-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8b8bd9ad8e9cp-12, -0x1.5a1117a904097p-8, 0x1.8c8d1c0178ae6p-6, -0x1.124bf5a1fe9ddp-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.63813064a5dffp-13, -0x1.97cee478c6162p-9, 0x1.3a431f1dac4c3p-6, -0x1.3535d080513e7p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.dfb5891b6ebffp-15, -0x1.8301ddadaab88p-10, 0x1.baff8dee5b0d4p-7, -0x1.75869ef646273p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.80d1f52d8f7bp-17, -0x1.e905017526fb7p-12, 0x1.b5c3f6b52eb14p-8, -0x1.0edab5e60761fp-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.80d1f52d8f7bfp-21, -0x1.84eb6839066f7p-15, 0x1.c2f60b5164273p-10, -0x1.93c5e4bd125ccp-5}, 
      }}, 
      0x1.a281a982f9358p-1, -0x1.514d06091a294p+2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.259087229e03cp+0, -0x1.191d3abc90ba7p+0, -0x1.05f71b7e439c9p+0, -0x1.dba86efc89b77p-1, -0x1.a4d53327d0b27p-1, -0x1.6a8cbe788b7d7p-1, -0x1.2f6d3cb281cb2p-1, -0x1.eb1f8c593b727p-2, -0x1.7d199169262efp-2, -0x1.17114da201752p-2, -0x1.750f29a96caf4p-3, -0x1.a15fa68defd04p-4, -0x1.06c58b1b6a2a3p-5, 0x1.c06a6552948b4p-6, 0x1.3a913fd339518p-4, 0x1.de5914f1ff7aap-4, 0x1.2f30e570d8bacp-3, 0x1.5efc69b9a503ap-3, 0x1.804d889c9cb32p-3, 0x1.94e8586361c67p-3, 0x1.9e88df1897ee2p-3, 0x1.9ed910d63c6edp-3, 0x1.9769deb2598c2p-3, 0x1.89aebf6f3567ap-3, 0x1.76fb2bbecaee6p-3, 0x1.60819ab1ad154p-3, 0x1.47539d614b37dp-3, 0x1.2c62ca21ee2cep-3, 0x1.108237134b051p-3, 0x1.e8d0a2bcae258p-4, 0x1.b161d4698ebf3p-4, 0x1.7bbeb871c3a6bp-4, 0x1.48c167dc9291cp-4, 0x1.191b985434ca5p-4, 0x1.dab551fc5c6c6p-5, 0x1.8bd6ee3a2c1a4p-5, 0x1.463be84ba478dp-5, 0x1.0a50f6747d1d3p-5, 0x1.b0ab99db6b206p-6, 0x1.60c59a50c8b4ap-6, 0x1.24dc7e37f5e5ep-6, 0x1.f9446e29f8747p-7, 0x1.cf2db61daa533p-7, 0x1.ca2146c44c641p-7, 0x1.e886639615b8cp-7, 0x1.1446280d5c9e3p-6, 0x1.441b1bdb54f65p-6, 0x1.82b2f0f4ae2dp-6, 0x1.cef2a2fb71d51p-6, 0x1.13dbc3e72676cp-5, 0x1.45ed89487807cp-5, 0x1.7d1b0fda9ae66p-5, 0x1.b8d1e8ff6ff28p-5, 0x1.f882059771958p-5, 0x1.1dcf60f1a5c88p-4, 0x1.40cfe3491078fp-4, 0x1.6500dfa81dc2bp-4, 0x1.8a237764f0a39p-4, 0x1.affbd24a919f2p-4, 0x1.d651477b2d49cp-4, 0x1.fcee8069afadp-4, 0x1.11d0c07e6a96cp-3, 0x1.251ddd61bf725p-3, 0x1.3848ff3e28e1fp-3, 0x1.4b3e40eb991dbp-3, 0x1.5deb635c87f75p-3, 0x1.703fc630daf1p-3, 0x1.822c59444e7cp-3, 0x1.93a38ebe07bb6p-3, 0x1.a4994a9d6e135p-3, 0x1.b502d4668471ap-3, 0x1.c4d6c4ae0b904p-3, 0x1.d40cf54cb0872p-3, 0x1.e29e6ee5b7995p-3, 0x1.f0855711a7a4dp-3, 0x1.fdbcded196bfcp-3, 0x1.0520989e4c08bp-2, 0x1.0b07b18472c7dp-2, 0x1.1092b14715bdep-2, 0x1.15c0f42242726p-2, 0x1.1a9233ce4988cp-2, 0x1.1f06801275959p-2, 0x1.231e378527c9bp-2, 0x1.26da007f7e50cp-2, 0x1.2a3ac2543d7a9p-2, 0x1.2d419ed06497ep-2, 0x1.2fefec0e06734p-2, 0x1.32472e9c63173p-2, 0x1.344913fb88e25p-2, 0x1.35f76d6d89985p-2, 0x1.37542b17db5fep-2, 0x1.386157752490fp-2, 0x1.39211315eedc9p-2, 0x1.399590acfc69fp-2, 0x1.39c11169a4007p-2, 0x1.39a5e19c43c41p-2, 0x1.394655a45d739p-2, 0x1.38a4c72787ba9p-2, 0x1.37c3928bc49c3p-2, 0x1.36a514b44bf33p-2, 0x1.354ba8fc59933p-2, 0x1.33b9a76a73caap-2, 0x1.31f16319c6f1bp-2, 0x1.2ff528d497834p-2, 0x1.2dc73dd9b485p-2, 0x1.2b69decbdf49p-2, 0x1.28df3ec5a29p-2, 0x1.2629868c5d669p-2, 0x1.234ad3e57cce4p-2, 0x1.204539025680cp-2, 0x1.1d1abc0b4c1bcp-2, 0x1.19cd56bbb9628p-2, 0x1.165ef61a18f95p-2, 0x1.12d17a406a1e3p-2, 0x1.0f26b633fd3b6p-2, 0x1.0b606fd809073p-2, 0x1.07805fe08f3f3p-2, 0x1.038831de75524p-2, 0x1.fef308a61e4f9p-3, 0x1.f6abd18e3061cp-3, 0x1.ee3dc7f0917d9p-3, 0x1.e5abdbfc13fe8p-3, 0x1.dcf8e4fa8cfdap-3, 0x1.d427a1c897faep-3, 0x1.cb3ab936679d5p-3, 0x1.c234ba9336014p-3, 0x1.b9181e2c1fe52p-3, 0x1.afe745bffe72fp-3, 0x1.a6a47d1bacc2fp-3, 0x1.9d51fa9823476p-3, 0x1.93f1df9c1e189p-3, 0x1.8a86393ebdbefp-3, 0x1.811100c25a977p-3, 0x1.77941c1c87483p-3, 0x1.6e115e9a8ac4dp-3, 0x1.648a8957e911ap-3, 0x1.5b014bc3616bcp-3, 0x1.51774442d021ep-3, 0x1.47ee00a5b4d5ep-3, 0x1.3e66fe9db343fp-3, 0x1.34e3ac5ea59ecp-3, 0x1.2b656910273f8p-3, 0x1.21ed8532a65b3p-3, 0x1.187d433549d8dp-3, 0x1.0f15d7ec72294p-3, 0x1.05b86ae274945p-3, 0x1.f8cc2db0a4887p-4, 0x1.e63fd48c08012p-4, 0x1.d3cdcf40ec20fp-4, 0x1.c1780b6f7ab65p-4, 0x1.af40607792136p-4, 0x1.9d289018ba62cp-4, 0x1.8b3246e3504aap-4, 0x1.795f1d1a43f53p-4, 0x1.67b0978865ce3p-4, 0x1.562827d8267fcp-4, 0x1.44c72d13eed1ep-4, 0x1.338ef48c89353p-4, 0x1.2280ba6df068fp-4, 0x1.119da9f39e201p-4, 0x1.00e6ddf7050fp-4, 0x1.e0bac3895e149p-5, 0x1.c0046306e2a56p-5, 0x1.9fac74ac5ff3p-5, 0x1.7fb4b5cac5504p-5, 0x1.601ec841e8cfp-5, 0x1.40ec332afc50bp-5, 0x1.221e62fce284p-5, 0x1.03b6aa69441efp-5, 0x1.cb6c8781d973fp-6, 0x1.903ca3637957p-6, 0x1.55dfbeb3f89c5p-6, 0x1.1c57c1902b168p-6, 0x1.c74cd0b775b3ap-7, 0x1.579a8b6b04b29p-7, 0x1.d3370b86b567fp-8, 0x1.f548ffe4fa291p-9, 0x1.2c0eb10d23117p-11, -0x1.585a4a180f666p-9, -0x1.7a6534b9680f6p-8, -0x1.2291d61fa0b83p-7, -0x1.8633370d065e3p-7, -0x1.e815f2571cf7bp-7, -0x1.241cbe48c3bb2p-6, -0x1.534ec3f53c0a4p-6, -0x1.81a1028f1f9p-6, -0x1.af1391847d4b8p-6, -0x1.dba6a541f32c8p-6, -0x1.03ad46663fc7bp-5, -0x1.1917d89458386p-5, -0x1.2e134b20a0b2ap-5, -0x1.429fed6a6a644p-5, -0x1.56be1b1a2b302p-5, -0x1.6a6e3ad48426fp-5, -0x1.7db0bdf661b94p-5, -0x1.90862132e9067p-5, -0x1.a2eeecb85a4aap-5, -0x1.b4ebb3193697bp-5, -0x1.c67d0fda64ee2p-5, -0x1.d7a3a704ab515p-5, -0x1.e86025cfa8d75p-5, -0x1.f8b343179bda7p-5, -0x1.044edf46f567dp-4, -0x1.0c102f964403cp-4, -0x1.139df93105355p-4, -0x1.1af8a6451c23cp-4, -0x1.2220a4dcec588p-4, -0x1.291666c20dab9p-4, -0x1.2fda60cafe2bap-4, -0x1.366d0a323acf7p-4, -0x1.3ccedc8928da9p-4, -0x1.43005425e2219p-4, -0x1.4901f06429e09p-4, -0x1.4ed4334640f5fp-4, -0x1.5477a0b3b065fp-4, -0x1.59ecbe00828f1p-4, -0x1.5f3412162d607p-4, -0x1.644e25e9cfa41p-4, -0x1.693b849f340a3p-4, -0x1.6dfcbb11af2b8p-4, -0x1.7292571add4a7p-4, -0x1.76fce7339af84p-4, -0x1.7b3cfaad6bd5ap-4, -0x1.7f532228ef1adp-4, -0x1.833fefb7c70c6p-4, -0x1.8703f66ea0bcp-4, -0x1.8a9fc9b59b994p-4, -0x1.8e13fce4418e3p-4, -0x1.9161236d1f20ap-4, -0x1.9487d1546e832p-4, -0x1.97889b6cac53bp-4, -0x1.9a64170f136bp-4, -0x1.9d1ad97c07c2fp-4, -0x1.9fad775c730d9p-4, -0x1.a21c84bff8253p-4, -0x1.a4689584364c4p-4, -0x1.a6923db7b8a5cp-4, -0x1.a89a119607ef8p-4, -0x1.aa80a513d35bep-4, -0x1.ac468b4c6fca3p-4, -0x1.adec56399e633p-4, -0x1.af7296e1ae3bap-4, -0x1.b0d9ddc6b001p-4, -0x1.b222bb308c1cbp-4, -0x1.b34dbf1010df4p-4, -0x1.b45b788a6ef3dp-4, -0x1.b54c757c208eep-4, -0x1.b6214247317c4p-4, -0x1.b6da6a07c4d41p-4, -0x1.b77876fc23117p-4, -0x1.b7fbf2caccd31p-4, -0x1.b8656670075aap-4, -0x1.b8b559ddc727ap-4, -0x1.b8ec538c22929p-4, -0x1.b90ad841459cap-4, -0x1.b9116b308a66dp-4, -0x1.b9008e538fb46p-4, -0x1.b8d8c2b9fc2acp-4, -0x1.b89a8898aff3dp-4, -0x1.b8465f0f13412p-4, -0x1.b7dcc3c7d07d8p-4, -0x1.b75e32aed6cb5p-4, -0x1.b6cb25e8033d6p-4, -0x1.b6241607600afp-4, -0x1.b5697a627e316p-4, -0x1.b49bc946111dep-4, -0x1.b3bb77f0d3943p-4, -0x1.b2c8fa590cbb3p-4, -0x1.b1c4c2dfc85d3p-4, -0x1.b0af421e0034fp-4, -0x1.af88e6e7aac78p-4, -0x1.ae521e7fa64a4p-4, -0x1.ad0b54db672dcp-4, -0x1.abb4f4cf96b91p-4, -0x1.aa4f680fc21d5p-4, -0x1.a8db17045da27p-4, -0x1.a758688f5df74p-4, -0x1.a5c7c1e045fdcp-4, -0x1.a429866f8c1e1p-4, -0x1.a27e18224119bp-4, -0x1.a0c5d7807ed0ep-4, -0x1.9f0123e1cb0d9p-4, -0x1.9d305b7b8eab2p-4, -0x1.9b53db4e0c8d7p-4, -0x1.996bfefb7a681p-4, -0x1.9779209f19dfcp-4, -0x1.957b98ba7e24cp-4, -0x1.9373be4303d6fp-4, -0x1.9161e6c78526fp-4, -0x1.8f46669a40d91p-4, -0x1.8d2190ec44254p-4, -0x1.8af3b7d12ab87p-4, -0x1.88bd2c2ca4b1ep-4, -0x1.867e3d93f8a1bp-4, -0x1.84373a3320c4bp-4, -0x1.81e86ec429ca7p-4, -0x1.7f92269e57cc5p-4, -0x1.7d34abd558199p-4, -0x1.7ad0475916f91p-4, -0x1.786541095c1e5p-4, -0x1.75f3dfb83dd32p-4, -0x1.737c691d82831p-4, -0x1.70ff21c1e1a75p-4, -0x1.6e7c4cebfaea4p-4, -0x1.6bf42c99208eep-4, -0x1.696701873066cp-4, -0x1.66d50b4bc4a7bp-4, -0x1.643e886de5fdap-4, -0x1.61a3b677731d8p-4, -0x1.5f04d1f9c62d8p-4, -0x1.5c6216874ffe3p-4, -0x1.59bbbea6ef354p-4, -0x1.571203c6b4939p-4, -0x1.54651e33f41d8p-4, -0x1.51b5451d5daabp-4, -0x1.4f02ae9ffc1bep-4, -0x1.4c4d8fda6e6afp-4, -0x1.49961cfe0fbb5p-4, -0x1.46dc8957c4bc4p-4, -0x1.4421074f921b5p-4, -0x1.4163c8627bd22p-4, -0x1.3ea4fd1afac2ap-4, -0x1.3be4d50b26152p-4, -0x1.39237ecab8098p-4, -0x1.366127fa4f21ep-4, -0x1.339dfd4c34a7fp-4, -0x1.30da2a9062141p-4, -0x1.2e15dabf6ee96p-4, -0x1.2b51380056ce8p-4, -0x1.288c6ba8787f2p-4, -0x1.25c79e387d72p-4, -0x1.2302f75974b07p-4, -0x1.203e9ddc0c383p-4, -0x1.1d7ab7b9c6415p-4, -0x1.1ab76a178cc5bp-4, -0x1.17f4d94966404p-4, -0x1.153328d75a3d8p-4, -0x1.12727b82f412fp-4, -0x1.0fb2f34bd0e19p-4, -0x1.0cf4b171e2049p-4, -0x1.0a37d6759a1a3p-4, -0x1.077c8217dbc67p-4, -0x1.04c2d35b3a3a9p-4, -0x1.020ae886ccc62p-4, -0x1.fea9be52dde69p-5, -0x1.f941a838578adp-5, -0x1.f3ddc706fc27ap-5, -0x1.ee7e51a03ed7cp-5, -0x1.e9237d8107c3fp-5, -0x1.e3cd7ec6687efp-5, -0x1.de7c8832ea7dbp-5, -0x1.d930cb332a1ebp-5, -0x1.d3ea77e20cb63p-5, -0x1.cea9bd0da9b1ep-5, -0x1.c96ec83d592bdp-5, -0x1.c439c5b7e4f8ep-5, -0x1.bf0ae08804b9bp-5, -0x1.b9e2427e279a6p-5, -0x1.b4c0143008a84p-5, -0x1.afa47cf8497d5p-5, -0x1.aa8fa2f830bd9p-5, -0x1.a581ab1c3a362p-5, -0x1.a07ab92267efcp-5, -0x1.9b7aefa060f1ep-5, -0x1.96827008d2ba1p-5, -0x1.91915ab020abep-5, -0x1.8ca7ced0ed8p-5, -0x1.87c5ea9075e8ap-5, -0x1.82ebcb0228fdep-5, -0x1.7e198c29e99dbp-5, -0x1.794f48fd0f9e9p-5, -0x1.748d1b62f9796p-5, -0x1.6fd31c369004cp-5, -0x1.6b216349cad31p-5, -0x1.6678076aed6d4p-5, -0x1.61d71e6a379a8p-5, -0x1.5d3ebd1f3cfe2p-5, -0x1.58aef76ce8d4p-5, -0x1.5427e045268c1p-5, -0x1.4fa989ac55452p-5, -0x1.4b3404bcd8d5ap-5, -0x1.46c761aa9f927p-5, -0x1.4263afc635076p-5, -0x1.3e08fd7f24c49p-5, -0x1.39b75865f4abep-5, -0x1.356ecd2e3e34ep-5, -0x1.312f67b1b2b8dp-5, -0x1.2cf932f42d9c1p-5, -0x1.28cc39286254ep-5, -0x1.24a883b45ba76p-5, -0x1.208e1b358232p-5, -0x1.1c7d078417a64p-5, -0x1.18754fb67c85fp-5, -0x1.1476fa24936e7p-5, -0x1.10820c6b3b9d4p-5, -0x1.0c968b6fc1f42p-5, -0x1.08b47b631578ep-5, -0x1.04dbdfc494644p-5, -0x1.010cbb6489ac4p-5, -0x1.fa8e20cd8e1cbp-6, -0x1.f315c08b5858dp-6, -0x1.ebb057abbeaeap-6, -0x1.e45de694b7b32p-6, -0x1.dd1e6c70ec1b2p-6, -0x1.d5f1e736f0bap-6, -0x1.ced853af7e3f4p-6, -0x1.c7d1ad7b60794p-6, -0x1.c0ddef1918308p-6, -0x1.b9fd11eb19eeap-6, -0x1.b32f0e3e6e959p-6, -0x1.ac73db51af717p-6, -0x1.a5cb6f5bf0b2cp-6, -0x1.9f35bf934e51bp-6, -0x1.98b2c032d8802p-6, -0x1.9242647ffc852p-6, -0x1.8be49ecfe30a6p-6, -0x1.8599608cbeeddp-6, -0x1.7f609a3b648ecp-6, -0x1.793a3b80e8241p-6, -0x1.732633286d54bp-6, -0x1.6d246f2944ebep-6, -0x1.6734dcada1d89p-6, -0x1.61576819bf78p-6, -0x1.5b8bfd132e93ep-6, -0x1.55d28687cb1f3p-6, -0x1.502aeeb3e8b17p-6, -0x1.4a951f27690d6p-6, -0x1.451100c9c036fp-6, -0x1.3f9e7bdd44654p-6, -0x1.3a3d780250368p-6, -0x1.34eddc3b3f08bp-6, -0x1.2faf8ef176d5ap-6, -0x1.2a8275fbc04f5p-6, -0x1.256676a57a891p-6, -0x1.205b75b597bdap-6, -0x1.1b61577512f95p-6, -0x1.1677ffb3ea7b4p-6, -0x1.119f51cd166c5p-6, -0x1.0cd730a99f1d8p-6, -0x1.081f7ec3cf6afp-6, -0x1.03781e2b0e99cp-6, -0x1.fdc1e112d1bbcp-7, -0x1.f4b3ae54d8eb8p-7, -0x1.ebc566066d879p-7, -0x1.e2f6c974ab8ebp-7, -0x1.da47995ca2f62p-7, -0x1.d1b795f2a610ap-7, -0x1.c9467ee392e17p-7, -0x1.c0f4134e9f97dp-7, -0x1.b8c011bcbbcb5p-7, -0x1.b0aa38174d0e9p-7, -0x1.a8b243a447b2dp-7, -0x1.a0d7f10c8c85ap-7, -0x1.991afc6ec854fp-7, -0x1.917b217f75ac5p-7, -0x1.89f81bb261533p-7, -0x1.8291a6668a8f4p-7, -0x1.7b477d0c67e12p-7, -0x1.74195b3cb1fe6p-7, -0x1.6d06fcb9574bp-7, -0x1.66101d560acddp-7, -0x1.5f3478cab2755p-7, -0x1.5873ca789ca05p-7, -0x1.51cdcd2eedcd2p-7, -0x1.4b423afe1baep-7, -0x1.44d0cd2513b19p-7, -0x1.3e793c26c80fap-7, -0x1.383b4004ce0fep-7, -0x1.3216909d3d62dp-7, -0x1.2c0ae61cb149cp-7, -0x1.2617f970fc9efp-7, -0x1.203d84a612e46p-7, -0x1.1a7b43185f08cp-7, -0x1.14d0f16daf448p-7, -0x1.0f3e4d4f912e1p-7, -0x1.09c314eee0636p-7, -0x1.045f0663345acp-7, -0x1.fe23be0577ef4p-8, -0x1.f3b6b5a3c90a8p-8, -0x1.e976685223532p-8, -0x1.df62474ba32c8p-8, -0x1.d579c0e3610d6p-8, -0x1.cbbc41b3a3e9dp-8, -0x1.c229364a1438ep-8, -0x1.b8c00d133b7dfp-8, -0x1.af803838cebe7p-8, -0x1.a6692f1f85b32p-8, -0x1.9d7a6f3c9325ep-8, -0x1.94b37c101e408p-8, -0x1.8c13de356908dp-8, -0x1.839b21a4b9c1ep-8, -0x1.7b48d3684a24dp-8, -0x1.731c7f246cff4p-8, -0x1.6b15acdcb0f4cp-8, -0x1.6333df565a99ap-8, -0x1.5b76935e70d6dp-8, -0x1.53dd401282e5bp-8, -0x1.4c67582422d06p-8, -0x1.45144bea1d8bp-8, -0x1.3de38bf6debccp-8, -0x1.36d48bda1bab9p-8, -0x1.2fe6c4a99e953p-8, -0x1.2919b6f0bf308p-8, -0x1.226cebb4ca15fp-8, -0x1.1bdff4596260bp-8, -0x1.1572695b4a2b7p-8, -0x1.0f23e809e548cp-8, -0x1.08f40f98a06dap-8, -0x1.02e27e03d9113p-8, -0x1.f9dd9aa08ef37p-9, -0x1.ee31233605001p-9, -0x1.e2beb08e0b4ccp-9, -0x1.d78550bd246afp-9, -0x1.cc84081071e16p-9, -0x1.c1b9d58a9f82p-9, -0x1.b725b8375675ep-9, -0x1.acc6b496a35efp-9, -0x1.a29bd978317a1p-9, -0x1.98a443c1f89bbp-9, -0x1.8edf20bccb5cbp-9, -0x1.854bae9c550e2p-9, -0x1.7be93b1a8fd52p-9, -0x1.72b7202d1e2fdp-9, -0x1.69b4bf1c434fep-9, -0x1.60e17a8da354p-9, -0x1.583cb059ac973p-9, -0x1.4fc5b42963401p-9, -0x1.477bcbd263cep-9, -0x1.3f5e2e26dd042p-9, -0x1.376c047b1badcp-9, -0x1.2fa46e96f85a8p-9, -0x1.2806884632ff8p-9, -0x1.20916f6e25a28p-9, -0x1.1944498fe1c16p-9, -0x1.121e47eb34933p-9, -0x1.0b1ea9f44acd9p-9, -0x1.0444be4283d2ap-9, -0x1.fb1fc4c481db7p-10, -0x1.edff03df42938p-10, -0x1.e1262a4c1d1b1p-10, -0x1.d4943d96867b4p-10, -0x1.c848526b4d88fp-10, -0x1.bc41848755cefp-10, -0x1.b07eecd1e3ff1p-10, -0x1.a4ff96c34a62p-10, -0x1.99c276f356ab5p-10, -0x1.8ec664edce485p-10, -0x1.840a1a089aaf8p-10, -0x1.798c35ee2b178p-10, -0x1.6f4b4825b0666p-10, -0x1.6545dc7fb83e8p-10, -0x1.5b7a876d0757cp-10, -0x1.51e7ef51fc9e5p-10, -0x1.488cd0cc2f784p-10, -0x1.3f67fde58db94p-10, -0x1.367859b49362fp-10, -0x1.2dbcd366ea08cp-10, -0x1.2534638133f8dp-10, -0x1.1cde0cdc39c9dp-10, -0x1.14b8e0de8149fp-10, -0x1.0cc4049925ee7p-10, -0x1.04feb39fd4bbap-10, -0x1.fad07c20a737ap-11, -0x1.ec00021a6192dp-11, -0x1.dd8ab6690975bp-11, -0x1.cf6f40b624ee2p-11, -0x1.c1ac2090db68dp-11, -0x1.b43fa65789e28p-11, -0x1.a727f908c59acp-11, -0x1.9a6326595e561p-11, -0x1.8def37be1323p-11, -0x1.81ca466b76dcap-11, -0x1.75f2893a9adcdp-11, -0x1.6a66592fff1f2p-11, -0x1.5f242bab03128p-11, -0x1.542a83ffef3e8p-11, -0x1.4977e11c58a6ep-11, -0x1.3f0aadec322bep-11, -0x1.34e13b239b9cdp-11, -0x1.2af9c62a80b87p-11, -0x1.21528bf36470ep-11, -0x1.17e9e19255ca2p-11, -0x1.0ebe49b6b65acp-11, -0x1.05ce7ee38ff04p-11, -0x1.fa32dc72e37f2p-12, -0x1.e93c48e973d8ap-12, -0x1.d8b7688ad0c4cp-12, -0x1.c8a23fa27dad6p-12, -0x1.b8fa9afbe4be5p-12, -0x1.a9be156ce0669p-12, -0x1.9aea3237260bdp-12, -0x1.8c7c7df1e2bf9p-12, -0x1.7e72a897f8072p-12, -0x1.70ca91e37c0efp-12, -0x1.638247ffc8898p-12, -0x1.5697fc8970a13p-12, -0x1.4a09f4ab327d6p-12, -0x1.3dd678964d0bdp-12, -0x1.31fbc54b8e6b5p-12, -0x1.267801ce99844p-12, -0x1.1b49377f6ec06p-12, -0x1.106d4dc19763bp-12, -0x1.05e20aba5837ap-12, -0x1.f74a371566533p-13, -0x1.e36848b501bdp-13, -0x1.d019a9eb5d805p-13, -0x1.bd59f8d01fbdap-13, -0x1.ab252bffed2aap-13, -0x1.997797ead8ed2p-13, -0x1.884dded9dab8ap-13, -0x1.77a4d4b76bca8p-13, -0x1.67796695c4721p-13, -0x1.57c892b73a861p-13, -0x1.488f71326c704p-13, -0x1.39cb42942b58cp-13, -0x1.2b7979c4bc175p-13, -0x1.1d97bd2e3b566p-13, -0x1.1023de45ca1bfp-13, -0x1.031bc57cf8c61p-13, -0x1.ecfaa910a3aa9p-14, -0x1.d48c982fe396dp-14, -0x1.bce890f3650d7p-14, -0x1.a609ba80804a7p-14, -0x1.8feb81d4d789p-14, -0x1.7a89d485f3209p-14, -0x1.65e10f38bd661p-14, -0x1.51ed9d303b8d7p-14, -0x1.3eab773790745p-14, -0x1.2c15c3a8313d6p-14, -0x1.1a26c2d472498p-14, -0x1.08d8077774aedp-14, -0x1.f045b330f584dp-15, -0x1.d0014654b90bbp-15, -0x1.b0d6b06d1d41cp-15, -0x1.92bba05a3a988p-15, -0x1.75a7efe9386d7p-15, -0x1.599586b7e9c45p-15, -0x1.3e7fbd213876p-15, -0x1.2462797b96407p-15, -0x1.0b3958b7d8528p-15, -0x1.e5fe5c7b5adf8p-16, -0x1.b75c0c8a33a03p-16, -0x1.8a7f1f2e8c9e4p-16, -0x1.5f5b1d74716fdp-16, -0x1.35e413f70528dp-16, -0x1.0e0e6fe988d9fp-16, -0x1.cf9dd32f0a268p-17, -0x1.863572845a0eap-17, -0x1.3fcf9102f29b8p-17, -0x1.f8b205dee6109p-18, -0x1.777d222f84782p-18, -0x1.f7b037ad16b99p-19, -0x1.0b30c124b54f6p-19, -0x1.4923b30493356p-22, 0x1.5d979d42d038cp-20, 0x1.7cf5e7c9bc45cp-19, 0x1.20d775b528afbp-18, 0x1.7ea61c1f31e5cp-18, 0x1.d81227b846699p-18, 0x1.16a3c8ab3a784p-17, 0x1.3f391648a948ep-17, 0x1.65dd567c7d2d9p-17, 0x1.8aa117c96a3acp-17, 0x1.ad8febb20cc07p-17, 0x1.ceb1fadb59926p-17, 0x1.ee0fcb7f8640ap-17, 0x1.05dab791e272ap-16, 0x1.13d955bd4a5fep-16, 0x1.210c2a7236ddep-16, 0x1.2d7ab892257e5p-16, 0x1.392b4915f280bp-16, 0x1.4423a85cc979p-16, 0x1.4e69e28cef793p-16, 0x1.58044dbce39dap-16, 0x1.60f92e62eaf0fp-16, 0x1.694e84e59f067p-16, 0x1.710a1f232502p-16, 0x1.7831bae02ef59p-16, 0x1.7ecb1067a8346p-16, 0x1.84dbc1496c47fp-16, 0x1.8a6937be4cf99p-16, 0x1.8f78833ef294ep-16, 0x1.940e39cf2366ep-16, 0x1.982e65dcac43ep-16, 0x1.9bdc8ed1f116fp-16, 0x1.9f1bebc92c3bep-16, 0x1.a1efbf51bab35p-16, 0x1.a45bc27a3103ep-16, 0x1.a6646ee967102p-16, 0x1.a80eeb2d506e1p-16, 0x1.a9605baad02d2p-16, 0x1.aa5cafc661ce2p-16, 0x1.ab05cebf93f03p-16, 0x1.ab5c70c7f4aa9p-16, 0x1.ab629fc8d0f4p-16, 0x1.ab1d97618031ap-16, 0x1.aa949fabc1ebep-16, 0x1.a9cd814171a2fp-16, 0x1.a8ca36bca0d95p-16, 0x1.a78a9b46281f2p-16, 0x1.a610169ba3c2bp-16, 0x1.a45eb8ba34ca2p-16, 0x1.a27b07a3a5e15p-16, 0x1.a067f7f116095p-16, 0x1.9e2716468bf6bp-16, 0x1.9bb9b95268348p-16, 0x1.9921c9314f054p-16, 0x1.9661e4f590d84p-16, 0x1.937d39ee276a2p-16, 0x1.90772e82826a6p-16, 0x1.8d52d318d91dfp-16, 0x1.8a1226a3a890fp-16, 0x1.86b570d6cc91fp-16, 0x1.833b2582e0edap-16, 0x1.7fa0fe1ba820ep-16, 0x1.7be665da13768p-16, 0x1.780e7fb1630b8p-16, 0x1.741f6eb634a04p-16, 0x1.701efa1ecd593p-16, 0x1.6c0f88279cecp-16, 0x1.67f0b6b46dca7p-16, 0x1.63c32f3254d2bp-16, 0x1.5f8aaa59f5334p-16, 0x1.5b4b34d8491f2p-16, 0x1.570559b4e1f5dp-16, 0x1.52b56ea18edb1p-16, 0x1.4e57076abab5p-16, 0x1.49ea3fbc0621cp-16, 0x1.45747cc28b696p-16, 0x1.40fa4d1dbf02ap-16, 0x1.3c7a7b3452f6ep-16, 0x1.37f1d53de1f79p-16, 0x1.336227a7df692p-16, 0x1.2ed17ee596edp-16, 0x1.2a43cf4e4bf02p-16, 0x1.25b92c528c2a4p-16, 0x1.2130f00ba9393p-16, 0x1.1cac0eb8e07ep-16, 0x1.182caeafe714p-16, 0x1.13b45083be1b1p-16, 0x1.0f4198f0a3429p-16, 0x1.0acf41bce28bcp-16, 0x1.0657c1cdaa7d7p-16, 0x1.01dc5fb740abbp-16, 0x1.faca7df67e06ep-17, 0x1.f1ef94608a701p-17, 0x1.e9227bc3b16cdp-17, 0x1.e05bfe73d41d3p-17, 0x1.d7a258d46b5e4p-17, 0x1.ceffa5ee9370cp-17, 0x1.c67484b862a2fp-17, 0x1.bdfb546aa3acep-17, 0x1.b5900ad45e183p-17, 0x1.ad3235dc49648p-17, 0x1.a4e3763da574cp-17, 0x1.9ca5d7274975bp-17, 0x1.947ac8c125a32p-17, 0x1.8c62de2f344e7p-17, 0x1.845ed00bb1c6fp-17, 0x1.7c7145c782baap-17, 0x1.749e0d30816a5p-17, 0x1.6ce47ab044b51p-17, 0x1.653dbfcde5be1p-17, 0x1.5da758a61af7bp-17, 0x1.56267c4918f6bp-17, 0x1.4ebbf0c7a899ep-17, 0x1.4765852d309f6p-17, 0x1.402b90b31217ap-17, 0x1.39189e4335341p-17, 0x1.3227277732b47p-17, 0x1.2b4567381302fp-17, 0x1.246e06de9c9b8p-17, 0x1.1dad81f3c84a9p-17, 0x1.1706ebb9a2c9ep-17, 0x1.1070c9ce97109p-17, 0x1.09eece2793d2ep-17, 0x1.038c69a9c9e79p-17, 0x1.fa927c068692bp-18, 0x1.ee3d82905b612p-18, 0x1.e21347f2e3658p-18, 0x1.d613d775c735ep-18, 0x1.ca41311fed6f8p-18, 0x1.be9cff6b1ad6bp-18, 0x1.b3282bf6f617p-18, 0x1.a7e30a6ca046p-18, 0x1.9ccd938c83ca1p-18, 0x1.91e7929aa1fb6p-18, 0x1.8730c16095a88p-18, 0x1.7ca8ce60a12aap-18, 0x1.724f49474f544p-18, 0x1.68238413d3a79p-18, 0x1.5e249646504f4p-18, 0x1.5451b186968e3p-18, 0x1.4aaaab2132e67p-18, 0x1.413016c1dcb73p-18, 0x1.37e2599d74adap-18, 0x1.2ec15cb65db3dp-18, 0x1.25d06f20b3d78p-18, 0x1.1d178b96ecdb1p-18, 0x1.1494514e5b6f2p-18, }}, 
      {{-0x1.28740970ed66ap+0, -0x1.2433b0cd2aefap+0, -0x1.1d77970626b8ep+0, -0x1.14a5f4b095b83p+0, -0x1.0a2c01082f3c3p+0, -0x1.fce83a53d81eap-1, -0x1.e3c072cf5820ep-1, -0x1.c98dfdbe5f7a7p-1, -0x1.aee57c46a4b24p-1, -0x1.9442efebca0f5p-1, -0x1.7a0b1c2e5c69cp-1, -0x1.608da080f7805p-1, -0x1.4807658a10f1fp-1, -0x1.30a51c9ea2f06p-1, -0x1.1a85a8bbe6b74p-1, -0x1.05bc5ace91b19p-1, -0x1.e4a5ef7a167b8p-2, -0x1.c0970a8ebbc1ap-2, -0x1.9f43bbf4ead08p-2, -0x1.809a1c48e3f2p-2, -0x1.6480fb05893a6p-2, -0x1.4ad9d4290ed4cp-2, -0x1.338271ca52457p-2, -0x1.1e5643726c8e8p-2, -0x1.0b2f74c7efa94p-2, -0x1.f3cf98ced8fb7p-3, -0x1.d4b2b675d8c22p-3, -0x1.b8be07a2bc119p-3, -0x1.9fa9c0820deaap-3, -0x1.89311941ff55ep-3, -0x1.7512b5e96e347p-3, -0x1.6310e9f5e99a1p-3, -0x1.52f1def8c81bdp-3, -0x1.447fa44fe22bp-3, -0x1.37882d122711dp-3, -0x1.2bdd4046abb7ep-3, -0x1.21545ed738aedp-3, -0x1.17c6a1eecfb91p-3, -0x1.0f1093f3bfb94p-3, -0x1.071205d7f1bdep-3, -0x1.ff5bc439a9c0ep-4, -0x1.f193fd357cc03p-4, -0x1.e49ddbd0457f7p-4, -0x1.d84fa1eddcfep-4, -0x1.cc8452f125442p-4, -0x1.c11b5ac4d796ap-4, -0x1.b5f837a5afe6bp-4, -0x1.ab02272ffd6ccp-4, -0x1.a023d6ff12b5bp-4, -0x1.954b19137f77ap-4, -0x1.8a689c0d4a478p-4, -0x1.7f6fa7450cc9cp-4, -0x1.7455dae974017p-4, -0x1.6912f43ee40cbp-4, -0x1.5da095cdcb814p-4, -0x1.51fa1324f4c64p-4, -0x1.461c401c091c6p-4, -0x1.3a0543e0fa7e9p-4, -0x1.2db46ff1433d9p-4, -0x1.212a1a674cce5p-4, -0x1.14677b0c7477fp-4, -0x1.076e8adab523dp-4, -0x1.f483cd1f1388p-5, -0x1.d9c968ce253d1p-5, -0x1.beb519e7d9732p-5, -0x1.a34ecbc595ed9p-5, -0x1.879efcf01a9dbp-5, -0x1.6bae9aff2af12p-5, -0x1.4f86e2a410897p-5, -0x1.3331441de5952p-5, -0x1.16b74be30e6f4p-5, -0x1.f4451cc854bbep-6, -0x1.baf92c110ae47p-6, -0x1.819da57c3b97ep-6, -0x1.4845168b412ebp-6, -0x1.0f01a0e9a7787p-6, -0x1.abc9cad7238a9p-7, -0x1.39ffe6e3283bcp-7, -0x1.918cf065e5433p-8, -0x1.60f443028c5e7p-9, 0x1.77e1d3b5bd835p-11, 0x1.0c9c9761d1f0fp-8, 0x1.e8305514e7fc3p-8, 0x1.60c1e6f2146ecp-7, 0x1.cc332fe5dee7ap-7, 0x1.1b2a9bf32d05fp-6, 0x1.4f8959f167842p-6, 0x1.832bebb01d81fp-6, 0x1.b6092732d46cbp-6, 0x1.e8189ac72e40bp-6, 0x1.0ca9442d603e9p-5, 0x1.24d7f02a14c4ep-5, 0x1.3c951e0cc5cc6p-5, 0x1.53ddec311954ep-5, 0x1.6aafc7b23195ep-5, 0x1.8108697470aebp-5, 0x1.96e5d323cd004p-5, 0x1.ac464c276c16fp-5, 0x1.c1285e8bf7b05p-5, 0x1.d58ad3e5eaeecp-5, 0x1.e96cb22f615f6p-5, 0x1.fccd38a51399p-5, 0x1.07d5ee53e146bp-4, 0x1.11042353878c1p-4, 0x1.19f1278e08d7p-4, 0x1.229cfdcc1340cp-4, 0x1.2b07bdf60e352p-4, 0x1.333193b62c387p-4, 0x1.3b1abd29768b8p-4, 0x1.42c3899f6512ep-4, 0x1.4a2c5868f4ee3p-4, 0x1.515597b657fe4p-4, 0x1.583fc38131744p-4, 0x1.5eeb6483f2d6cp-4, 0x1.65590f3ce7b27p-4, 0x1.6b8962fb414f1p-4, 0x1.717d08f871539p-4, 0x1.7734b37a14944p-4, 0x1.7cb11cff1b6ebp-4, 0x1.81f30777b9d4dp-4, 0x1.86fb3b85d7d9dp-4, 0x1.8bca87ca5e72dp-4, 0x1.9061c03b2922cp-4, 0x1.94c1bd8305636p-4, 0x1.98eb5c6e0aabp-4, 0x1.9cdf7d5c9c2e8p-4, 0x1.a09f03c14f2e2p-4, 0x1.a42ad5a8d79a6p-4, 0x1.a783db47089c4p-4, 0x1.aaaafe8e6b5e3p-4, 0x1.ada12aced9a46p-4, 0x1.b0674c57aeb49p-4, 0x1.b2fe5023ae053p-4, 0x1.b5672389f1ab7p-4, 0x1.b7a2b3f114889p-4, 0x1.b9b1ee8b1327bp-4, 0x1.bb95c01554ef2p-4, 0x1.bd4f1499f0384p-4, 0x1.beded738b2524p-4, 0x1.c045f1f47f585p-4, 0x1.c1854d80fa287p-4, 0x1.c29dd11695b45p-4, 0x1.c390624be115dp-4, 0x1.c45de4ee7badep-4, 0x1.c5073ae0416c2p-4, 0x1.c58d43faaf2e7p-4, 0x1.c5f0ddf21eaap-4, 0x1.c632e43aa343ep-4, 0x1.c6542ff2e3312p-4, 0x1.c65597d09dd67p-4, 0x1.c637f00c547fp-4, 0x1.c5fc0a511eeb2p-4, 0x1.c5a2b5b060129p-4, 0x1.c52cbe944fd53p-4, 0x1.c49aeeb349b43p-4, 0x1.c3ee0d07a8258p-4, 0x1.c326ddc8a98bbp-4, 0x1.c2462261c7983p-4, 0x1.c14c996c3a97cp-4, 0x1.c03afeabd73e2p-4, 0x1.bf120b0b7693cp-4, 0x1.bdd274986b1e3p-4, 0x1.bc7cee8064cb2p-4, 0x1.bb122911860cfp-4, 0x1.b992d1b9aea7bp-4, 0x1.b7ff930554248p-4, 0x1.b65914a06bcb8p-4, 0x1.b49ffb58984ffp-4, 0x1.b2d4e91f1bacp-4, 0x1.b0f87d0a79d28p-4, 0x1.af0b53592a4cp-4, 0x1.ad0e057566d26p-4, 0x1.ab0129f93075p-4, 0x1.a8e554b243263p-4, 0x1.a6bb16a621e8ep-4, 0x1.a482fe16a1a8bp-4, 0x1.a23d96876c1eap-4, 0x1.9feb68c3e8becp-4, 0x1.9d8cfae498e89p-4, 0x1.9b22d053f730cp-4, 0x1.98ad69d4680bep-4, 0x1.962d458787544p-4, 0x1.93a2def5334fap-4, 0x1.910eaf110e2bcp-4, 0x1.8e712c3ff2d01p-4, 0x1.8bcaca5f620dcp-4, 0x1.891bface2433ep-4, 0x1.86652c7380c48p-4, 0x1.83a6cbc496c68p-4, 0x1.80e142ca77a99p-4, 0x1.7e14f92acb23ap-4, 0x1.7b4254311a88ap-4, 0x1.7869b6d5ec5a4p-4, 0x1.758b81c41129fp-4, 0x1.72a8135f29a02p-4, 0x1.6fbfc7cce1feap-4, 0x1.6cd2f8fe9a888p-4, 0x1.69e1feb8b561dp-4, 0x1.66ed2e97e9405p-4, 0x1.63f4dc17ad95cp-4, 0x1.60f9589b617dbp-4, 0x1.5dfaf3784c48p-4, 0x1.5af9f9fd86556p-4, 0x1.57f6b7798bfe5p-4, 0x1.54f1754014e9p-4, 0x1.51ea7ab279732p-4, 0x1.4ee20d49c28b1p-4, 0x1.4bd8709f99e6ep-4, 0x1.48cde6747e3d7p-4, 0x1.45c2aeb53abbbp-4, 0x1.42b70781c3123p-4, 0x1.3fab2d3687985p-4, 0x1.3c9f5a7647932p-4, 0x1.3993c831cf7edp-4, 0x1.3688adad80b36p-4, 0x1.337e4086c7449p-4, 0x1.3074b4bba3df1p-4, 0x1.2d6c3cb42be6ap-4, 0x1.2a65094bc79ccp-4, 0x1.275f49d843a88p-4, 0x1.245b2c2ef4fc4p-4, 0x1.2158dcaa1cc36p-4, 0x1.1e58863068ecfp-4, 0x1.1b5a523e24c58p-4, 0x1.185e68ee2062ep-4, 0x1.1564f10073892p-4, 0x1.126e0fdf68bd4p-4, 0x1.0f79e9a474213p-4, 0x1.0c88a11f0f812p-4, 0x1.099a57dd5bbabp-4, 0x1.06af2e34c9876p-4, 0x1.03c74348f995cp-4, 0x1.00e2b5109ed06p-4, 0x1.fc0340b3c0162p-5, 0x1.f64841a02c623p-5, 0x1.f094a206dcd15p-5, 0x1.eae894e28aebcp-5, 0x1.e5444b16d077p-5, 0x1.dfa7f37abc4e6p-5, 0x1.da13bae0e9b0cp-5, 0x1.d487cc20639fdp-5, 0x1.cf045020cf0bdp-5, 0x1.c9896de95f969p-5, 0x1.c4174aafd9b5ep-5, 0x1.beae09e4c49cp-5, 0x1.b94dcd3c39899p-5, 0x1.b3f6b4b525894p-5, 0x1.aea8dea1cf92ap-5, 0x1.a96467b34ab17p-5, 0x1.a4296b0711a0ap-5, 0x1.9ef80234560b6p-5, 0x1.99d04556d56e9p-5, 0x1.94b24b16b9dd5p-5, 0x1.8f9e28af1f80ap-5, 0x1.8a93f1f57bf97p-5, 0x1.8593b96358b9bp-5, 0x1.809d902212946p-5, 0x1.7bb18616c5fb6p-5, 0x1.76cfa9ec7070ap-5, 0x1.71f8091b98ff2p-5, 0x1.6d2aaff050bb4p-5, 0x1.6867a9903aa6ap-5, 0x1.63af00022bb7dp-5, 0x1.5f00bc37a0f17p-5, 0x1.5a5ce6171b955p-5, 0x1.55c38485edc9ap-5, 0x1.51349d7008037p-5, 0x1.4cb035ce12dc8p-5, 0x1.483651aa91361p-5, 0x1.43c6f4276e5fdp-5, 0x1.3f621f84e3ff3p-5, 0x1.3b07d529ac1bp-5, 0x1.36b815abaa6c8p-5, 0x1.3272e0d7e2f53p-5, 0x1.2e3835b8fd077p-5, 0x1.2a08129c68942p-5, 0x1.25e27516cd371p-5, 0x1.21c75a08b3ab2p-5, 0x1.1db6bda41a466p-5, 0x1.19b09b7300751p-5, 0x1.15b4ee5e5e928p-5, 0x1.11c3b0b4c0df4p-5, 0x1.0ddcdc2ff00b6p-5, 0x1.0a0069f99238ep-5, 0x1.062e52af0fc1cp-5, 0x1.02668e6563efdp-5, 0x1.fd52295aabb38p-6, 0x1.f5ebb930c746p-6, 0x1.ee99b97c597e7p-6, 0x1.e75c1683cab7bp-6, 0x1.e032bbaea5bacp-6, 0x1.d91d938e3cd73p-6, 0x1.d21c87e5065d2p-6, 0x1.cb2f81ad25fb9p-6, 0x1.c456691eeadc4p-6, 0x1.bd9125b7d8605p-6, 0x1.b6df9e427c56cp-6, 0x1.b041b8decb9a6p-6, 0x1.a9b75b0a72b98p-6, 0x1.a34069a889b14p-6, 0x1.9cdcc9087c4b5p-6, 0x1.968c5cec1d448p-6, 0x1.904f088d1d3aap-6, 0x1.8a24aea24c1fep-6, 0x1.840d3164fa58dp-6, 0x1.7e087296c2b35p-6, 0x1.78165387b4c5dp-6, 0x1.7236b51c8e14fp-6, 0x1.6c6977d4b6b58p-6, 0x1.66ae7bcfcca29p-6, 0x1.6105a0d2afb6p-6, 0x1.5b6ec64c2142cp-6, 0x1.55e9cb5908e83p-6, 0x1.50768ec894ce5p-6, 0x1.4b14ef206ce1fp-6, 0x1.45c4caa125657p-6, 0x1.4085ff4adff37p-6, 0x1.3b586ae1e9b07p-6, 0x1.363beaf32ff86p-6, 0x1.31305cd86c915p-6, 0x1.2c359dbc07faap-6, 0x1.274b8a9cb82ecp-6, 0x1.22720050d635fp-6, 0x1.1da8db899de85p-6, 0x1.18eff8d64eb9cp-6, 0x1.144734a77bab6p-6, 0x1.0fae6b526d88ep-6, 0x1.0b2579149068p-6, 0x1.06ac3a16c17dap-6, 0x1.02428a7079c3ap-6, 0x1.fbd08c555d774p-7, 0x1.f33a92857fb8cp-7, 0x1.eac2df59f2125p-7, 0x1.e2692aae38258p-7, 0x1.da2d2c5571ec6p-7, 0x1.d20e9c1f0acefp-7, 0x1.ca0d31db7f3dp-7, 0x1.c228a5613e6e1p-7, 0x1.ba60ae917f763p-7, 0x1.b2b5055d0578p-7, 0x1.ab2561c88dfc7p-7, 0x1.a3b17bf121bd1p-7, 0x1.9c590c101f0fap-7, 0x1.951bca7f363eep-7, 0x1.8df96fbc04c77p-7, 0x1.86f1b46b9036p-7, 0x1.8004515da20f9p-7, 0x1.7930ff901876bp-7, 0x1.727778324ebe8p-7, 0x1.6bd774a88e6e6p-7, 0x1.6550ae8f847fbp-7, 0x1.5ee2dfbf7475p-7, 0x1.588dc24f6738fp-7, 0x1.5251109812362p-7, 0x1.4c2c8536b5fdcp-7, 0x1.461fdb0fc1658p-7, 0x1.402acd51615dbp-7, 0x1.3a4d1775d8e86p-7, 0x1.34867545c9046p-7, 0x1.2ed6a2da76e8bp-7, 0x1.293d5ca0209aap-7, 0x1.23ba5f584faf4p-7, 0x1.1e4d681c2d999p-7, 0x1.18f6345eaf703p-7, 0x1.13b481ee9389bp-7, 0x1.0e880ef87b3e6p-7, 0x1.09709a0889cdbp-7, 0x1.046de20c2f076p-7, 0x1.feff4ca7f1ffp-8, 0x1.f54b4d29faef7p-8, 0x1.ebbf45d4c829p-8, 0x1.e25ab7ad9d94fp-8, 0x1.d91d248b93cbep-8, 0x1.d0060f1a66f8ep-8, 0x1.c714fadd35f9p-8, 0x1.be496c31e5dd4p-8, 0x1.b5a2e8523da42p-8, 0x1.ad20f557bbbb1p-8, 0x1.a4c31a3cf58dcp-8, 0x1.9c88dedfce6a8p-8, 0x1.9471cc038aefp-8, 0x1.8c7d6b52c0256p-8, 0x1.84ab476106f57p-8, 0x1.7cfaebac7bcb5p-8, 0x1.756be49f5359ep-8, 0x1.6dfdbf9149a65p-8, 0x1.66b00ac904f88p-8, 0x1.5f82557d7b9c3p-8, 0x1.58742fd745a61p-8, 0x1.51852af1d5f43p-8, 0x1.4ab4d8dc8aa52p-8, 0x1.4402cc9bb205fp-8, 0x1.3d6e9a295a944p-8, 0x1.36f7d6762f1bbp-8, 0x1.309e176a1c378p-8, 0x1.2a60f3e507901p-8, 0x1.244003bf34e7bp-8, 0x1.1e3adfc9c6bcdp-8, 0x1.185121cf09718p-8, 0x1.12826492bd528p-8, 0x1.0cce43d26a785p-8, 0x1.07345c45a01c7p-8, 0x1.01b44b9e3d38p-8, 0x1.f89b61112fd7ap-9, 0x1.ee005556ef2e9p-9, 0x1.e396b54fe2322p-9, 0x1.d95dc43247a28p-9, 0x1.cf54c727a1481p-9, 0x1.c57b054c1532cp-9, 0x1.bbcfc7ada6716p-9, 0x1.b252594ba6a44p-9, 0x1.a90207164f88ap-9, 0x1.9fde1fee417dbp-9, 0x1.96e5f4a3ffca3p-9, 0x1.8e18d7f7198fdp-9, 0x1.85761e94de37fp-9, 0x1.7cfd1f167b908p-9, 0x1.74ad31fec387dp-9, 0x1.6c85b1b780c05p-9, 0x1.6485fa8ed1561p-9, 0x1.5cad6ab4c9b35p-9, 0x1.54fb6239b3e41p-9, 0x1.4d6f430d1ab48p-9, 0x1.460870fd4b06dp-9, 0x1.3ec651b73b9e4p-9, 0x1.37a84cc636fd9p-9, 0x1.30adcb92a2f72p-9, 0x1.29d6395fa6518p-9, 0x1.232103476b33bp-9, 0x1.1c8d98363613cp-9, 0x1.161b68e4d182dp-9, 0x1.0fc9e7d31a9f4p-9, 0x1.099889436f457p-9, 0x1.0386c337a1402p-9, 0x1.fb281adf5688cp-10, 0x1.ef7fc2d4791cfp-10, 0x1.e41374cc10cccp-10, 0x1.d8e22ac6f1716p-10, 0x1.cdeae24a77e77p-10, 0x1.c32c9c5dee665p-10, 0x1.b8a65d82ec309p-10, 0x1.ae572da88ed6dp-10, 0x1.a43e181aab075p-10, 0x1.9a5a2b6f193a4p-10, 0x1.90aa7973d4e92p-10, 0x1.872e17208b1abp-10, 0x1.7de41c8e31a9fp-10, 0x1.74cba4f1b18eep-10, 0x1.6be3cea57b147p-10, 0x1.632bbb2b1a0afp-10, 0x1.5aa28f373e3e8p-10, 0x1.524772b7febfp-10, 0x1.4a1990d6cdc6ap-10, 0x1.421817f32e446p-10, 0x1.3a423995eadebp-10, 0x1.32972a5d53481p-10, 0x1.2b1621e520106p-10, 0x1.23be5aad65849p-10, 0x1.1c8f1203b7411p-10, 0x1.158787f224169p-10, 0x1.0ea6ff35d23e5p-10, 0x1.07ecbd3dc1d8ap-10, 0x1.01580a30a1323p-10, 0x1.f5d061f5f0264p-11, 0x1.e938fe952472p-11, 0x1.dce88b73be603p-11, 0x1.d0ddaf64cbefdp-11, 0x1.c51716f73e202p-11, 0x1.b9937457ba573p-11, 0x1.ae517f2ce3d96p-11, 0x1.a34ff468c5cep-11, 0x1.988d961608013p-11, 0x1.8e092b274c768p-11, 0x1.83c17f4e2d851p-11, 0x1.79b562dd7dcdfp-11, 0x1.6fe3aab95e81p-11, 0x1.664b3053fbf21p-11, 0x1.5cead1b5b53d7p-11, 0x1.53c1718b8e69cp-11, 0x1.4acdf7370c2ccp-11, 0x1.420f4edc7ede8p-11, 0x1.3984696bc3771p-11, 0x1.312c3c9bd99aap-11, 0x1.2905c2de5a558p-11, 0x1.210ffb4b23f9ap-11, 0x1.1949e9845bc49p-11, 0x1.11b2959682c3ep-11, 0x1.0a490bd641ef8p-11, 0x1.030c5cbf0c692p-11, 0x1.f7f739a3d4141p-12, 0x1.ea2bc8ebc08cap-12, 0x1.dcb49fba0e6ebp-12, 0x1.cf8ffdde25fc4p-12, 0x1.c2bc2a777fc4ap-12, 0x1.b63773eb34352p-12, 0x1.aa002fe98721ap-12, 0x1.9e14bb7fd1c8ap-12, 0x1.92737b2fa5829p-12, 0x1.871adb03848bap-12, 0x1.7c094e9d8c376p-12, 0x1.713d513c07e06p-12, 0x1.66b565b3641e7p-12, 0x1.5c70165c0782cp-12, 0x1.526bf4f42c534p-12, 0x1.48a79a71364aep-12, 0x1.3f21a6bf9f971p-12, 0x1.35d8c0705a962p-12, 0x1.2ccb9458c9247p-12, 0x1.23f8d52f76cc3p-12, 0x1.1b5f3b34a406bp-12, 0x1.12fd83f60975fp-12, 0x1.0ad2723926f45p-12, 0x1.02dcce0e04de4p-12, 0x1.f636ca0637e28p-13, 0x1.e71a14d153d81p-13, 0x1.d8612f2528e1p-13, 0x1.ca09d802d79c5p-13, 0x1.bc11dae4824c3p-13, 0x1.ae770f9965e3cp-13, 0x1.a13759f5af1fdp-13, 0x1.9450a9690b8ddp-13, 0x1.87c0f88b1a4ccp-13, 0x1.7b864ca3f5e8ap-13, 0x1.6f9eb52e5d348p-13, 0x1.64084b47618f1p-13, 0x1.58c1310a1911bp-13, 0x1.4dc790df106fap-13, 0x1.43199cdfc7564p-13, 0x1.38b58e70e2fecp-13, 0x1.2e99a63d52497p-13, 0x1.24c42c9e61efbp-13, 0x1.1b33726155d9p-13, 0x1.11e5d1b6e3b4ep-13, 0x1.08d9af0609b85p-13, 0x1.000d7964ddbcap-13, 0x1.eeff551f2e39fp-14, 0x1.de5d8cc5947bep-14, 0x1.ce32b3ff39289p-14, 0x1.be7bf5a6ee132p-14, 0x1.af368b7a7ad67p-14, 0x1.a05fbcea33fc6p-14, 0x1.91f4de79977a2p-14, 0x1.83f3518a52308p-14, 0x1.765884400e176p-14, 0x1.6921f136289f3p-14, 0x1.5c4d1eda098dbp-14, 0x1.4fd79e880a90ap-14, 0x1.43bf0bb6e2a52p-14, 0x1.38010b9ed7eb8p-14, 0x1.2c9b4dae42fedp-14, 0x1.218b8cd2f28dap-14, 0x1.16cf9189a09e4p-14, 0x1.0c6532a763a7dp-14, 0x1.024a58b6088d6p-14, 0x1.f0f9f7a0e8cfcp-15, 0x1.ddf64847a207cp-15, 0x1.cb85cfe92621cp-15, 0x1.b9a4d3d037fccp-15, 0x1.a84faf07d13fcp-15, 0x1.9782d06e2b339p-15, 0x1.873ab9c89c90bp-15, 0x1.7773ff72e357ap-15, 0x1.682b482748fcbp-15, 0x1.595d4c844868dp-15, 0x1.4b06d63514cefp-15, 0x1.3d24bee96f9e3p-15, 0x1.2fb3ef56f7eap-15, 0x1.22b15e92f9735p-15, 0x1.161a11daaf73ep-15, 0x1.09eb1ce2b1783p-15, 0x1.fc43451a5c5c9p-16, 0x1.e575abf61f739p-16, 0x1.cf67f774c6475p-16, 0x1.ba14d58990e8bp-16, 0x1.a57719c6af29ep-16, 0x1.9189bc55f0e6ep-16, 0x1.7e47d732b3c4cp-16, 0x1.6baca2c373927p-16, 0x1.59b373754c3c7p-16, 0x1.4857b9b88cdc8p-16, 0x1.37950471a76f8p-16, 0x1.276704544c23fp-16, 0x1.17c98de9b5528p-16, 0x1.08b8985ff3b4ap-16, 0x1.f46071b576ffbp-17, 0x1.d859373e2f188p-17, 0x1.bd53fbea145ffp-17, 0x1.a349563aff4a1p-17, 0x1.8a31faa847073p-17, 0x1.7206c40840df6p-17, 0x1.5ac0bd6de2e68p-17, 0x1.44592873ab126p-17, 0x1.2ec97cf19bd4bp-17, 0x1.1a0b62e78df47p-17, 0x1.0618a9df795c4p-17, 0x1.e5d683b153f93p-18, 0x1.c0fa6ff90ed6cp-18, 0x1.9d916daf84c3ap-18, 0x1.7b900fdbcdcb7p-18, 0x1.5aeb288ef8a78p-18, 0x1.3b97c672fd591p-18, 0x1.1d8b320dcc2b5p-18, 0x1.00baf0619f4ccp-18, 0x1.ca399cc1a288ap-19, 0x1.954de585362cbp-19, 0x1.629fda8b09688p-19, 0x1.321d7318acb2dp-19, 0x1.03b562569bcfep-19, 0x1.aeadcdff26c57p-20, 0x1.59e32da334aabp-20, 0x1.08ea80d32da53p-20, 0x1.7747b6e4279efp-21, 0x1.c7bff7ffb8363p-22, 0x1.5d84d15a47201p-23, -0x1.7377f1c9331fdp-24, -0x1.5b9165690679p-22, -0x1.26e1f88acc0bdp-21, -0x1.99ef3906e94c9p-21, -0x1.0391cbc1d1456p-20, -0x1.37589d7a196abp-20, -0x1.6864bc3ff02cbp-20, -0x1.96ce6c72c0a67p-20, -0x1.c2ad7d449e3a4p-20, -0x1.ec1937fce5251p-20, -0x1.09941ad16d0b9p-19, -0x1.1bf84083ae154p-19, -0x1.2d43d05e638d4p-19, -0x1.3d8147f1b809p-19, -0x1.4cbae787d89f4p-19, -0x1.5afa9f0bb7e31p-19, -0x1.6849f71894bd5p-19, -0x1.74b202b26d3abp-19, -0x1.803b64e65149cp-19, -0x1.8aee68950ae44p-19, -0x1.94d31c375bae2p-19, -0x1.9df161a46c15ap-19, -0x1.a650ed3b02c4bp-19, -0x1.adf938e77cc3ap-19, -0x1.b4f1761b8adb6p-19, -0x1.bb4090fab39cfp-19, -0x1.c0ed39d48e82bp-19, -0x1.c5fdf2ec9b2a8p-19, -0x1.ca7917844ebb7p-19, -0x1.ce64da23450b5p-19, -0x1.d1c73f663ea28p-19, -0x1.d4a61b948f8b4p-19, -0x1.d707155af9a43p-19, -0x1.d8efac5fdceaep-19, -0x1.da653f6d518ep-19, -0x1.db6d0e4bba2f4p-19, -0x1.dc0c35848b463p-19, -0x1.dc47a608d8c7dp-19, -0x1.dc241d814f8f3p-19, -0x1.dba6240a2edfdp-19, -0x1.dad21125b2803p-19, -0x1.d9ac156790836p-19, -0x1.d83843ba238acp-19, -0x1.d67a95862356fp-19, -0x1.d476e8cd3519bp-19, -0x1.d230fb7caa322p-19, -0x1.cfac677cad25ap-19, -0x1.ccec9fd67d11dp-19, -0x1.c9f4eda548b24p-19, -0x1.c6c86e44232cfp-19, -0x1.c36a17a33adfep-19, -0x1.bfdcc44877e02p-19, -0x1.bc2341159e3e7p-19, -0x1.b840532d78e81p-19, -0x1.b436b25f3066p-19, -0x1.b008fddd2f091p-19, -0x1.abb9b6d306c4bp-19, -0x1.a74b3e57039cap-19, -0x1.a2bfdc39f1a9fp-19, -0x1.9e19c2a67bd17p-19, -0x1.995b0a20e19a8p-19, -0x1.9485bdfd6d9ap-19, -0x1.8f9bd51ae8396p-19, -0x1.8a9f355348657p-19, -0x1.8591b30781073p-19, -0x1.80750d78beeefp-19, -0x1.7b4aeb137147fp-19, -0x1.7614d731b73dap-19, -0x1.70d4432ecf82ap-19, -0x1.6b8a8bcea0242p-19, -0x1.6639027b755c3p-19, -0x1.60e0f55801f78p-19, -0x1.5b83ba8ee3c4cp-19, -0x1.5622a8233fcaep-19, -0x1.50bf0a602897ap-19, -0x1.4b5a13ee892c7p-19, -0x1.45f4d52f9c0a2p-19, -0x1.40903e551a90cp-19, -0x1.3b2d29eb7c973p-19, -0x1.35cc6c3f66305p-19, -0x1.306ee2537117fp-19, -0x1.2b157689e57edp-19, -0x1.25c113faceebap-19, -0x1.2072902a8c5cfp-19, -0x1.1b2a9e7d7054ap-19, -0x1.15e9d895648eep-19, -0x1.10b0d1b3bef88p-19, -0x1.0b8021eabd48dp-19, -0x1.065863de8090cp-19, -0x1.013a2e7b96ca1p-19, -0x1.f84c227aea393p-20, -0x1.ee39224caf6f9p-20, -0x1.e43c4a428fe01p-20, -0x1.da56680cb3115p-20, -0x1.d0882c79b2751p-20, -0x1.c6d23323d1271p-20, -0x1.bd3509007c069p-20, -0x1.b3b1318f497ddp-20, -0x1.aa472eaa8f25ap-20, -0x1.a0f781ad7c27cp-20, -0x1.97c2aa3748ad9p-20, -0x1.8ea91ded6795dp-20, -0x1.85ab4ca4aac42p-20, -0x1.7cc9b48f65394p-20, -0x1.7404ec5fa199bp-20, -0x1.6b5d8ab298954p-20, -0x1.62d3fb179609bp-20, -0x1.5a686999ada7fp-20, -0x1.521ad03e88195p-20, -0x1.49eb11acd9687p-20, -0x1.41d9194ef948bp-20, -0x1.39e4c65400c65p-20, -0x1.320e2b3ce9c72p-20, -0x1.2a559484735c4p-20, -0x1.22bb56caf39f2p-20, -0x1.1b3fae7e6cd2cp-20, -0x1.13e2952748e12p-20, -0x1.0ca3e33f88268p-20, -0x1.058383fedd287p-20, -0x1.fd02e8cf405b3p-21, -0x1.ef3b406ac003p-21, -0x1.e1afbcb3b1b1bp-21, -0x1.d46016b1abc66p-21, -0x1.c74c2a143f65ep-21, -0x1.ba73d1c1c0cafp-21, -0x1.add6b5e6a95bep-21, -0x1.a1743d97aff13p-21, -0x1.954ba3a34bb13p-21, -0x1.895c2bcfe9d41p-21, -0x1.7da56dae4bfe2p-21, -0x1.72276750920bbp-21, -0x1.66e219247939dp-21, -0x1.5bd51d0e8ded6p-21, -0x1.50ffc46f7b7eep-21, -0x1.4661711d4786ep-21, -0x1.3bf999ecc4b68p-21, -0x1.31c7a81ac93bfp-21, -0x1.27caff4823b8fp-21, -0x1.1e03129b73785p-21, -0x1.146f66e12a335p-21, -0x1.0b0f8969e22cfp-21, -0x1.01e301f8b533dp-21, -0x1.f1d284fb3fa02p-22, -0x1.e04333eeba8bcp-22, -0x1.cf167996db718p-22, -0x1.be4ad368fdf3dp-22, -0x1.addf0938166b4p-22, -0x1.9dd1f90b398bfp-22, -0x1.8e225c243219p-22, -0x1.7ecef49cccedp-22, -0x1.6fd6c9e0c5689p-22, -0x1.6138a535cf281p-22, -0x1.52f30f92c8973p-22, -0x1.4504b5ca4941dp-22, -0x1.376c1ae390a6ep-22, -0x1.2a27465b24bc9p-22, -0x1.1d3451ee0ee9fp-22, -0x1.109240d7e23a2p-22, -0x1.0440c2f1aa42ep-22, -0x1.f07dcfe9bb4a1p-23, -0x1.d915f0495452p-23, -0x1.c247007ffea25p-23, -0x1.ac0ec2f68f81ap-23, -0x1.966a8b802bf48p-23, -0x1.815775a41ab79p-23, -0x1.6cd2d94fdf4f2p-23, -0x1.58da44a2efd17p-23, -0x1.456b586075b6ep-23, -0x1.3283b61f4302dp-23, -0x1.2020fb0624803p-23, -0x1.0e40bf04f3d3fp-23, -0x1.f9c12dae0b1fcp-24, -0x1.d7fc320d5846ap-24, -0x1.b72dc7ae12b5ep-24, -0x1.97513f695afa9p-24, -0x1.7861f35c1a3e2p-24, -0x1.5a5b3118cbe27p-24, -0x1.3d38344bf521fp-24, -0x1.20f44e6481137p-24, -0x1.058b2b180c25ap-24, -0x1.d5f1bf6f1baf3p-25, -0x1.a272d0c8650b6p-25, -0x1.7090208bf645bp-25, -0x1.40373a2f56f91p-25, -0x1.117713270d729p-25, -0x1.c85c90376fddbp-26, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.1284bb0e9b31ap-3, 0x1.f9a1947271edbp-3, 0x1.510d54f2b5defp-2, 0x1.849e6761c80bcp-2, 0x1.9a9dce494e6cbp-2, 0x1.982ecf88b2e0ep-2, 0x1.830d76f555192p-2, 0x1.60c00a3a0f255p-2, 0x1.362df6a173ee8p-2, 0x1.0774185113c8ap-2, 0x1.afb9f0786e2fcp-3, 0x1.53d95f4fa044ap-3, 0x1.fddb8f57d63bap-4, 0x1.66e1f62b99741p-4, 0x1.cb8ed2e35261dp-5, 0x1.eff5e8bcfcd1fp-6, 0x1.4defcb6f8356ap-7, -0x1.1a875b3ca0bdcp-8, -0x1.bc8ae941b9748p-7, -0x1.2731893acf7cp-6, -0x1.29c4f6c603b99p-6, -0x1.dde58eec4576ep-7, -0x1.ff560b784510fp-8, 0x1.aa29c473f5c5fp-10, 0x1.afd5fd5987cd9p-7, 0x1.b007a47b41a15p-6, 0x1.4dd2aa94d2c36p-5, 0x1.ca141887594dp-5, 0x1.24ec5506c12f3p-4, 0x1.65477222518ecp-4, 0x1.a50028870db69p-4, 0x1.e3266fa7347cep-4, 0x1.0f794b1ac94d3p-3, 0x1.2be10ae670db1p-3, 0x1.468a20c0efc21p-3, 0x1.5f4377d2a72ep-3, 0x1.75e99ac16fbdbp-3, 0x1.8a65224624befp-3, 0x1.9ca9395f029c4p-3, 0x1.acb23a034a881p-3, 0x1.ba8463bc64e31p-3, 0x1.c62aac8fad624p-3, 0x1.cfb5abece1d6bp-3, 0x1.d73a9ee424d94p-3, 0x1.dcd284962a2fbp-3, 0x1.e09951a7a6594p-3, 0x1.e2ad396957522p-3, 0x1.e32e0b56cf5d6p-3, 0x1.e23ca3867e7e6p-3, 0x1.dffa6cb62bf05p-3, 0x1.dc88f2adfb4ecp-3, 0x1.d80983ba1f15fp-3, 0x1.d29cdffda7781p-3, 0x1.cc62f5411cee8p-3, 0x1.c57aa648005e9p-3, 0x1.be019cd0e2ea7p-3, 0x1.b61425055a181p-3, 0x1.adcd11b8a9c05p-3, 0x1.a545a6f7f3bfp-3, 0x1.9c958d02110e8p-3, 0x1.93d2c6611a358p-3, 0x1.8b11b0645de3ep-3, 0x1.826501397079cp-3, 0x1.79ddd17d43f2ep-3, 0x1.718ba03a35d82p-3, 0x1.697c6119a200cp-3, 0x1.61bc87f86366fp-3, 0x1.5a57197b2e42cp-3, 0x1.5355bb3b6626ep-3, 0x1.4cc0c5eb6f06cp-3, 0x1.469f55ad72148p-3, 0x1.40f75d4993f3bp-3, 0x1.3bcdb74eabbf6p-3, 0x1.372638e832963p-3, 0x1.3303c404d687bp-3, 0x1.2f68590f7e48ep-3, 0x1.2c55283ad028ap-3, 0x1.29caa1eda4618p-3, 0x1.27c88693f36d5p-3, 0x1.264df5cf237c6p-3, 0x1.25597d1fcb11dp-3, 0x1.24e926106c765p-3, 0x1.24fa83da02abcp-3, 0x1.258ac07c7995p-3, 0x1.2696a93773a37p-3, 0x1.281aba5e5ef5fp-3, 0x1.2a132a7c9147ep-3, 0x1.2c7bf4c80f3cdp-3, 0x1.2f50e2e522279p-3, 0x1.328d95f99681ep-3, 0x1.362d8f18815b5p-3, 0x1.3a2c3707e4ab2p-3, 0x1.3e84e566468e8p-3, 0x1.4332e7376b955p-3, 0x1.483184d982609p-3, 0x1.4d7c076bdf0b6p-3, 0x1.530dbdaaeac34p-3, 0x1.58e2004602c82p-3, 0x1.5ef435b8887dep-3, 0x1.653fd5a9baa37p-3, 0x1.6bc06bdb77133p-3, 0x1.72719ab1046bp-3, 0x1.794f1d53d9b9dp-3, 0x1.8054c97f3466ap-3, 0x1.877e90fd94923p-3, 0x1.8ec882dc55793p-3, 0x1.962ecc5f83cf2p-3, 0x1.9dadb9bf06df9p-3, 0x1.a541b6ac852b9p-3, 0x1.ace74eb1a256bp-3, 0x1.b49b2d5dbabfep-3, 0x1.bc5a1e575b711p-3, 0x1.c4210d424ae9bp-3, 0x1.cbed058bf2aabp-3, 0x1.d3bb321eb9c47p-3, 0x1.db88dcef794dep-3, 0x1.e3536e870a803p-3, 0x1.eb186d695e571p-3, 0x1.f2d57d728d9d3p-3, 0x1.fa885f2e7f957p-3, 0x1.0117778aa131cp-2, 0x1.04e3926a2cab8p-2, 0x1.08a78943b3317p-2, 0x1.0c6271f517a5ep-2, 0x1.10136ece10e79p-2, 0x1.13b9ae272570ap-2, 0x1.175469fe4ad6ap-2, 0x1.1ae2e79900448p-2, 0x1.1e64771ca8a01p-2, 0x1.21d8733171861p-2, 0x1.253e40a6678b3p-2, 0x1.28954e0df28c7p-2, 0x1.2bdd136709dfcp-2, 0x1.2f1511c4e5ee1p-2, 0x1.323cd2f0513efp-2, 0x1.3553e917128dep-2, 0x1.3859ee7993a28p-2, 0x1.3b4e8511a2c81p-2, 0x1.3e31564802115p-2, 0x1.410212aab8905p-2, 0x1.43c0719a5d431p-2, 0x1.466c31052c504p-2, 0x1.49051527b7589p-2, 0x1.4b8ae8427df71p-2, 0x1.4dfd7a59026a9p-2, 0x1.505ca0fcc292ep-2, 0x1.52a8370d7ba0cp-2, 0x1.54e01c7aadf38p-2, 0x1.57043615f1c52p-2, 0x1.59146d60a62abp-2, 0x1.5b10b050b65fbp-2, 0x1.5cf8f124426acp-2, 0x1.5ecd263cb659ep-2, 0x1.608d49ec5a79cp-2, 0x1.62395a468cce7p-2, 0x1.63d159011c481p-2, 0x1.65554b510daf9p-2, 0x1.66c539bb61dcbp-2, 0x1.68212ff1788f2p-2, 0x1.69693cb9e6fcdp-2, 0x1.6a9d71ce15913p-2, 0x1.6bbde3b08d6e3p-2, 0x1.6ccaa9922e8bfp-2, 0x1.6dc3dd3f45ea1p-2, 0x1.6ea99affff3a3p-2, 0x1.6f7c017433834p-2, 0x1.703b317d3a5efp-2, 0x1.70e74e2e43cbep-2, 0x1.71807cb1f8bc6p-2, 0x1.7206e42adc7bfp-2, 0x1.727aad9e0bdc5p-2, 0x1.72dc03e5c675cp-2, 0x1.732b139de531bp-2, 0x1.73680b091fcf9p-2, 0x1.739319fa43c3fp-2, 0x1.73ac71c60cab7p-2, 0x1.73b4453642327p-2, 0x1.73aac8765f712p-2, 0x1.739030fbfe9a2p-2, 0x1.7364b573e118p-2, 0x1.73288db74b674p-2, 0x1.72dbf2c2378f8p-2, 0x1.727f1ea0e2847p-2, 0x1.72124c57a32cap-2, 0x1.7195b7d216ef2p-2, 0x1.71099dde0a8f9p-2, 0x1.706e3c251e059p-2, 0x1.6fc3d1188ea0ap-2, 0x1.6f0a9bd6fba73p-2, 0x1.6e42dc1eb041ep-2, 0x1.6d6cd24e83582p-2, 0x1.6c88bf61edbp-2, 0x1.6b96e4da961f7p-2, 0x1.6a9784a41e27ep-2, 0x1.698ae1089df36p-2, 0x1.68713cb6435f1p-2, 0x1.674adabeb8edcp-2, 0x1.6617fe8095d3dp-2, 0x1.64d8eb88de8d7p-2, 0x1.638de58652462p-2, 0x1.62373051a03bbp-2, 0x1.60d50ff2aadd4p-2, 0x1.5f67c88e30001p-2, 0x1.5def9e455aae4p-2, 0x1.5c6cd52317cb3p-2, 0x1.5adfb12294fa9p-2, 0x1.5948763bc5ebep-2, 0x1.57a7685b8ae32p-2, 0x1.55fccb455b87bp-2, 0x1.5448e27770bcdp-2, 0x1.528bf127ebdfep-2, 0x1.50c63a54c192dp-2, 0x1.4ef800cb38299p-2, 0x1.4d2187156849bp-2, 0x1.4b430f593d967p-2, 0x1.495cdb44e9b67p-2, 0x1.476f2c16310efp-2, 0x1.457a42ad3db3fp-2, 0x1.437e5f8fe61dbp-2, 0x1.417bc2d304227p-2, 0x1.3f72abfa5cf8dp-2, 0x1.3d6359e9a4cd9p-2, 0x1.3b4e0aefdcf36p-2, 0x1.3932fcdbdb1c8p-2, 0x1.37126d0079999p-2, 0x1.34ec981f60337p-2, 0x1.32c1ba49c9d7p-2, 0x1.30920ed061f03p-2, 0x1.2e5dd04d2c539p-2, 0x1.2c2538b9d962bp-2, 0x1.29e8817a3e376p-2, 0x1.27a7e34e3e3ddp-2, 0x1.25639634824b9p-2, 0x1.231bd154bdf96p-2, 0x1.20d0cb01a3b2p-2, 0x1.1e82b8cddd644p-2, 0x1.1c31cf9f3f54p-2, 0x1.19de43ae05b5bp-2, 0x1.1788486f3e184p-2, 0x1.1530107a4caf8p-2, 0x1.12d5cd7d61486p-2, 0x1.1079b0486e1dfp-2, 0x1.0e1be8e3f40e9p-2, 0x1.0bbca6a02fd83p-2, 0x1.095c181057d5ap-2, 0x1.06fa6af54e6b2p-2, 0x1.0497cc2747b98p-2, 0x1.0234678e6756fp-2, 0x1.ffa0d05e003a1p-3, 0x1.fad7f07ecb5c5p-3, 0x1.f60e826dc1ea1p-3, 0x1.f144d79704106p-3, 0x1.ec7b3fc20d935p-3, 0x1.e7b208ea3955ep-3, 0x1.e2e97f2d48898p-3, 0x1.de21ecdbc82d3p-3, 0x1.d95b9a9f75ce9p-3, 0x1.d496cf9da8d33p-3, 0x1.cfd3d18097a87p-3, 0x1.cb12e4642b8afp-3, 0x1.c6544ab4dcb1ep-3, 0x1.c198451730ef4p-3, 0x1.bcdf12687548dp-3, 0x1.b828efd8b8b21p-3, 0x1.b376190e39b2ep-3, 0x1.aec6c83de3613p-3, 0x1.aa1b362d1dd06p-3, 0x1.a5739a1f2a2f6p-3, 0x1.a0d029bb9ded5p-3, 0x1.9c3118fef709ap-3, 0x1.97969a401a92dp-3, 0x1.9300de48897f7p-3, 0x1.8e701472849dp-3, 0x1.89e46abe2aa4p-3, 0x1.855e0dd562f93p-3, 0x1.80dd28ffdb717p-3, 0x1.7c61e61076e93p-3, 0x1.77ec6d58a225fp-3, 0x1.737ce5aaaad99p-3, 0x1.6f13746b8174cp-3, 0x1.6ab03daba251cp-3, 0x1.6653643c2afcap-3, 0x1.61fd09b8a7b9fp-3, 0x1.5dad4e8421b34p-3, 0x1.596451bdd2cfap-3, 0x1.55223135b1158p-3, 0x1.50e709691349ap-3, 0x1.4cb2f58b6880fp-3, 0x1.48860f983ccc5p-3, 0x1.446070671c663p-3, 0x1.40422fba66552p-3, 0x1.3c2b644565ba4p-3, 0x1.381c23aa0e279p-3, 0x1.34148271c390fp-3, 0x1.30149406ee4ebp-3, 0x1.2c1c6ab4c9db7p-3, 0x1.282c17afe338fp-3, 0x1.2443ab24e0237p-3, 0x1.2063344839eb8p-3, 0x1.1c8ac162319f1p-3, 0x1.18ba5fd4ea393p-3, 0x1.14f21c1cd776cp-3, 0x1.113201cd805dbp-3, 0x1.0d7a1b8de4874p-3, 0x1.09ca73184759p-3, 0x1.0623113fcaa9bp-3, 0x1.0283fdfb399b4p-3, 0x1.fdda80e32ba31p-4, 0x1.f6bdbe098544p-4, 0x1.efb1beb0d3259p-4, 0x1.e8b68caa27863p-4, 0x1.e1cc3050d989ap-4, 0x1.daf2b0886058dp-4, 0x1.d42a12bb6cacap-4, 0x1.cd725ae08c46ep-4, 0x1.c6cb8b8678b5p-4, 0x1.c035a5e606dfap-4, 0x1.b9b0a9f4eefc4p-4, 0x1.b33c9674b7d0bp-4, 0x1.acd968fc851bp-4, 0x1.a6871dfeba204p-4, 0x1.a045b0cc14d79p-4, 0x1.9a151b959e038p-4, 0x1.93f5576f1bd45p-4, 0x1.8de65c53c4dbfp-4, 0x1.87e8212f0badep-4, 0x1.81fa9be908b97p-4, 0x1.7c1dc17406695p-4, 0x1.765185d834e98p-4, 0x1.7095dc3c38e8bp-4, 0x1.6aeab6eb5a89fp-4, 0x1.6550075aab93dp-4, 0x1.5fc5be2dcaed6p-4, 0x1.5a4bcb3b559a4p-4, 0x1.54e21d913a823p-4, 0x1.4f88a379cb293p-4, 0x1.4a3f4a8287badp-4, 0x1.4505ff84b3126p-4, 0x1.3fdcaeae7217dp-4, 0x1.3ac3438af06c6p-4, 0x1.35b9a90901889p-4, 0x1.30bfc980cf151p-4, 0x1.2bd58eb96d93ep-4, 0x1.26fae1ee72f91p-4, 0x1.222fabd50db88p-4, 0x1.1d73d4a04830dp-4, 0x1.18c74404b1a1cp-4, 0x1.1429e13c694b5p-4, 0x1.0f9b930c44c9ep-4, 0x1.0b1c3fca13f75p-4, 0x1.06abcd632c65fp-4, 0x1.024a21625bcd9p-4, 0x1.fbee41ea6eca9p-5, 0x1.f36561e22902bp-5, 0x1.eaf96baff450dp-5, 0x1.e2aa27bab83e8p-5, 0x1.da775dd460d34p-5, 0x1.d260d54045781p-5, 0x1.ca6654b871ce3p-5, 0x1.c287a27344057p-5, 0x1.bac4842acef6cp-5, 0x1.b31cbf2620bc8p-5, 0x1.ab90184362062p-5, 0x1.a41e54015e22p-5, 0x1.9cc73687eebcp-5, 0x1.958a83af9914ep-5, 0x1.8e67ff08d8e3ap-5, 0x1.875f6be3301c1p-5, 0x1.80708d53b0a6bp-5, 0x1.799b263a82166p-5, 0x1.72def947662acp-5, 0x1.6c3bc8fdd7a43p-5, 0x1.65b157b9cd673p-5, 0x1.5f3f67b5a36ap-5, 0x1.58e5bb112c3ccp-5, 0x1.52a413d8e3a4ap-5, 0x1.4c7a340c833c9p-5, 0x1.4667dda4b4255p-5, 0x1.406cd2982eb21p-5, 0x1.3a88d4e0a6b63p-5, 0x1.34bba67fc1533p-5, 0x1.2f050983c5762p-5, 0x1.2964c00bef728p-5, 0x1.23da8c4c1077dp-5, 0x1.1e66308fb7cf4p-5, 0x1.19076f3d75146p-5, 0x1.13be0ada8d214p-5, 0x1.0e89c60f761f8p-5, 0x1.096a63ac950a6p-5, 0x1.045fa6aec6104p-5, 0x1.fed2a486a7fd5p-6, 0x1.f50e5397112d1p-6, 0x1.eb71e1bfa53eep-6, 0x1.e1fcd6a6255cep-6, 0x1.d8aeba6b72425p-6, 0x1.cf8715b1e4584p-6, 0x1.c68571a2c6dc9p-6, 0x1.bda957f34ebep-6, 0x1.b4f252e8b807ap-6, 0x1.ac5fed5c62985p-6, 0x1.a3f1b2c073253p-6, 0x1.9ba72f251d1eap-6, 0x1.937fef3e6f785p-6, 0x1.8b7b8069d6d94p-6, 0x1.839970b2e76f2p-6, 0x1.7bd94ed773502p-6, 0x1.743aaa4b33caep-6, 0x1.6cbd133b2fdc4p-6, 0x1.65601a915fde8p-6, 0x1.5e2351f841bc5p-6, 0x1.57064bde70a91p-6, 0x1.50089b7a0108fp-6, 0x1.4929d4cb3c9c2p-6, 0x1.42698c9efe425p-6, 0x1.3bc75890d3563p-6, 0x1.3542cf0cf9dap-6, 0x1.2edb8752bda37p-6, 0x1.28911976e5023p-6, 0x1.22631e6604127p-6, 0x1.1c512fe6acdefp-6, 0x1.165ae89b732e9p-6, 0x1.107fe404e2f39p-6, 0x1.0abfbe83922b8p-6, 0x1.051a1559fead5p-6, 0x1.ff1d0d5cd3b4fp-7, 0x1.f439631899be7p-7, 0x1.e9886bcaa5038p-7, 0x1.df096923a48e9p-7, 0x1.d4bb9ea1e746bp-7, 0x1.ca9e51913a289p-7, 0x1.c0b0c90b32ddep-7, 0x1.b6f24df84d6fap-7, 0x1.ad622b120a1dp-7, 0x1.a3fface585a38p-7, 0x1.9aca21d59b4e7p-7, 0x1.91c0da1ccbeaap-7, 0x1.88e327cd6696dp-7, 0x1.80305ed16c9dfp-7, 0x1.77a7d4e9498bep-7, 0x1.6f48e1aae3ecbp-7, 0x1.6712de80d13a9p-7, 0x1.5f0526aa90fa5p-7, 0x1.571f173d42484p-7, 0x1.4f600f24f2cccp-7, 0x1.47c76f257e822p-7, 0x1.405499da9b3eep-7, 0x1.3906f3b5cddedp-7, 0x1.31dde2fade816p-7, 0x1.2ad8cfba6b2dp-7, 0x1.23f723cbcf084p-7, 0x1.1d384ac7571ep-7, 0x1.169bb201d78a1p-7, 0x1.1020c88b690b6p-7, 0x1.09c6ff31628b6p-7, 0x1.038dc883d2289p-7, 0x1.fae931ba7ca1bp-8, 0x1.eef5ccd4f7efcp-8, 0x1.e3405260ec9bep-8, 0x1.d7c7b61a2896p-8, 0x1.cc8aef63813ffp-8, 0x1.c188f92e820c2p-8, 0x1.b6c0d1d6f70f8p-8, 0x1.ac317af8a573p-8, 0x1.a1d9f9460571bp-8, 0x1.97b954695b7dcp-8, 0x1.8dce96f5659e3p-8, 0x1.8418ce6d4d16dp-8, 0x1.7a970b612a75ep-8, 0x1.7148619cbaa2dp-8, 0x1.682be85f3a13fp-8, 0x1.5f40ba90a72c5p-8, 0x1.5685f6e838ca9p-8, 0x1.4dfabff908983p-8, 0x1.459e3c1dcfbc2p-8, 0x1.3d6f9541f58dp-8, 0x1.356df88e7f89fp-8, 0x1.2d9896053cf91p-8, 0x1.25eea01c559a3p-8, 0x1.1e6f4b6a24173p-8, 0x1.1719ce722530cp-8, 0x1.0fed619d304f4p-8, 0x1.08e93f60ec857p-8, 0x1.020ca49205529p-8, 0x1.f6ada1aa461fbp-9, 0x1.e98e0e3adf677p-9, 0x1.dcb91c44863bap-9, 0x1.d02d616d64228p-9, 0x1.c3e97bdf35dbfp-9, 0x1.b7ec1219ce322p-9, 0x1.ac33d247e2a23p-9, 0x1.a0bf712a3fb92p-9, 0x1.958da8c02f057p-9, 0x1.8a9d36e39bb6fp-9, 0x1.7fecdc11cd0d8p-9, 0x1.757b5a926ca43p-9, 0x1.6b47761deacadp-9, 0x1.614ff410934a2p-9, 0x1.57939c1fb8054p-9, 0x1.4e113974e50c8p-9, 0x1.44c79c063f23ep-9, 0x1.3bb599fa1dd61p-9, 0x1.32da10e13c9e3p-9, 0x1.2a33e6958bcf5p-9, 0x1.21c20996b7d31p-9, 0x1.198370cbc014dp-9, 0x1.11771aaaeadc7p-9, 0x1.099c0be1c8bbfp-9, 0x1.01f14db08d4d1p-9, 0x1.f4ebd87863787p-10, 0x1.e651ea3a7e59ap-10, 0x1.d812eccdcdf68p-10, 0x1.ca2cfc92f8f3cp-10, 0x1.bc9e36ac58d87p-10, 0x1.af64ba9b0a92bp-10, 0x1.a27eac9ca2877p-10, 0x1.95ea3863b5d8p-10, 0x1.89a593c84d2p-10, 0x1.7daf011ae4145p-10, 0x1.7204d0db64f58p-10, 0x1.66a562a29a341p-10, 0x1.5b8f251ed480dp-10, 0x1.50c09511deep-10, 0x1.46383b5a043e9p-10, 0x1.3bf4aa3251f37p-10, 0x1.31f479f93bbdap-10, 0x1.283645f02d507p-10, 0x1.1eb8a976d9111p-10, 0x1.157a3e3da8456p-10, 0x1.0c799bc165e01p-10, 0x1.03b55829da9a1p-10, 0x1.f65814b1fae32p-11, 0x1.e5b89976f20fbp-11, 0x1.d5898090ab7cep-11, 0x1.c5c81e4a99608p-11, 0x1.b671dd239efb8p-11, 0x1.a7843feff2657p-11, 0x1.98fce280217fep-11, 0x1.8ad97938b7bbfp-11, 0x1.7d17cff8973fbp-11, 0x1.6fb5c873d3e02p-11, 0x1.62b157de2e5e6p-11, 0x1.560883a3d3016p-11, 0x1.49b95d129e706p-11, 0x1.3dc1fc2420f19p-11, 0x1.32207a0a1fb9fp-11, 0x1.26d2ec704aa9fp-11, 0x1.1bd7627cb2472p-11, 0x1.112be45a3dd5cp-11, 0x1.06ce758df63cap-11, 0x1.f97a33472d5c4p-12, 0x1.e5ebb43a63d93p-12, 0x1.d2ed98604450dp-12, 0x1.c07c29deef43bp-12, 0x1.ae93d60ec43afp-12, 0x1.9d312c31a4d0fp-12, 0x1.8c50d91b6b0e5p-12, 0x1.7befa297ddeafp-12, 0x1.6c0a6522f92aap-12, 0x1.5c9e151e81758p-12, 0x1.4da7c2cebbb25p-12, 0x1.3f249ebd55572p-12, 0x1.3111fb8911c92p-12, 0x1.236d4af5d23f7p-12, 0x1.163415d39a4cap-12, 0x1.0963f07637797p-12, 0x1.f9f4ddee6411dp-13, 0x1.e1ea3962d0a79p-13, 0x1.caa2f2a5b776ep-13, 0x1.b419f7ce13d9dp-13, 0x1.9e4a34e306a87p-13, 0x1.892ea6fc32316p-13, 0x1.74c26de3d7fb2p-13, 0x1.6100d7b7b3939p-13, 0x1.4de563ed7485ap-13, 0x1.3b6bbd21bf55bp-13, 0x1.298fabaabb40bp-13, 0x1.184d054253e31p-13, 0x1.079f9fd9ebcc3p-13, 0x1.ef069a75916c3p-14, 0x1.cfe7c48eb8b2dp-14, 0x1.b1da905a0995fp-14, 0x1.94d72334c77c9p-14, 0x1.78d61824d49e2p-14, 0x1.5dd08d19799fdp-14, 0x1.43c014bcb0671p-14, 0x1.2a9e9142b6561p-14, 0x1.126605c0e5eacp-14, 0x1.f620decb7ea0bp-15, 0x1.c92f67b224eccp-15, 0x1.9deb507cdcaadp-15, 0x1.744852b240598p-15, 0x1.4c3a6fec6fc41p-15, 0x1.25b61c5b7e3dcp-15, 0x1.00b0508f7ea84p-15, 0x1.ba3d0796daa88p-16, 0x1.75ed2d80f044dp-16, 0x1.345d6ea31b684p-16, 0x1.eaf5124f6479dp-17, 0x1.7262def4a5d67p-17, 0x1.fdbc9b1e23f6p-18, 0x1.2082c1090585ap-18, 0x1.332fd754df459p-20, -0x1.f6d0b5dd32aafp-20, -0x1.3f49d0f6a18fep-18, -0x1.f84018c731761p-18, -0x1.54701a36e5cddp-17, -0x1.a8b8434d4f203p-17, -0x1.f91a118b3ac53p-17, -0x1.22dab28be0892p-16, -0x1.475457529f288p-16, -0x1.6a08a4ad6ee1fp-16, -0x1.8b05e18c08fadp-16, -0x1.aa59f76505424p-16, -0x1.c812625863307p-16, -0x1.e43c19ed12cefp-16, -0x1.fee3835899f5ap-16, -0x1.0c0a399f66a1bp-15, -0x1.17ed20172efe9p-15, -0x1.231ff3f68b48ep-15, -0x1.2da820e78be1dp-15, -0x1.378b139dec01ap-15, -0x1.40ce3a229c888p-15, -0x1.4976eb968644fp-15, -0x1.518a4544c7f8ep-15, -0x1.590d15241ac16p-15, -0x1.6003e371d57a2p-15, -0x1.66731a710dc4ap-15, -0x1.6c5f3941ba5cep-15, -0x1.71ccf87d734eep-15, -0x1.76c15116886acp-15, -0x1.7b4166a5df2bbp-15, -0x1.7f52622a00cb6p-15, -0x1.82f94903b8afap-15, -0x1.863ad5a3e9f73p-15, -0x1.891b56ed952efp-15, -0x1.8b9ea0931173cp-15, -0x1.8dc8156bf55c1p-15, -0x1.8f9ac8ffde3bap-15, -0x1.9119aabee1b14p-15, -0x1.9247aa7482065p-15, -0x1.9327c9c192bacp-15, -0x1.93bd170526ee9p-15, -0x1.940a9aebe1d19p-15, -0x1.94134988eb4d6p-15, -0x1.93da00b680c7p-15, -0x1.93618cfcb1b2cp-15, -0x1.92aca873002ebp-15, -0x1.91bdf1c60cc76p-15, -0x1.9097e55ade03ep-15, -0x1.8f3ce16569c68p-15, -0x1.8daf32deb90abp-15, -0x1.8bf121d86ee2p-15, -0x1.8a04f5dffd996p-15, -0x1.87ecf2eba8eebp-15, -0x1.85ab540e0510bp-15, -0x1.834247fe9e7efp-15, -0x1.80b3ef88c6631p-15, -0x1.7e025c6d7ed48p-15, -0x1.7b2f90cee347cp-15, -0x1.783d7f71abf69p-15, -0x1.752e08d8d9ca6p-15, -0x1.7202eff36c166p-15, -0x1.6ebdcb11ec0cep-15, -0x1.6b60025fcca9p-15, -0x1.67eae71619dd7p-15, -0x1.645fd58116244p-15, -0x1.60c044faf871p-15, -0x1.5d0db745674b7p-15, -0x1.594997cfe1ab9p-15, -0x1.55752c15924edp-15, -0x1.5191a47f921ebp-15, -0x1.4da038b3a9c94p-15, -0x1.49a22dfca71c7p-15, -0x1.4598c30ea92dbp-15, -0x1.41851a36ae5e9p-15, -0x1.3d68368c88b81p-15, -0x1.39430896af55bp-15, -0x1.35167c7becdc7p-15, -0x1.30e380a07d14p-15, -0x1.2cab0447202cep-15, -0x1.286df1deacfa2p-15, -0x1.242d287e02fdep-15, -0x1.1fe9763873a2bp-15, -0x1.1ba3941f8aa17p-15, -0x1.175c257e8f52p-15, -0x1.1313bc8ecc33dp-15, -0x1.0ecae59e5f8c1p-15, -0x1.0a82361004f4bp-15, -0x1.063a589635513p-15, -0x1.01f40c2cda22cp-15, -0x1.fb60183b6a285p-16, -0x1.f2ddce115bbfap-16, -0x1.ea61cefe16cb4p-16, -0x1.e1ec6d595b91ep-16, -0x1.d97e5bee59cb1p-16, -0x1.d119142fc9caep-16, -0x1.c8be7c628e943p-16, -0x1.c0700b122801ap-16, -0x1.b82e46e8cc053p-16, -0x1.aff937177f3d9p-16, -0x1.a7d13cbeb1258p-16, -0x1.9fb74afaab583p-16, -0x1.97ac63d07a53cp-16, -0x1.8fb12a4a20b9p-16, -0x1.87c5f3ee5a5d7p-16, -0x1.7feb0e567d33cp-16, -0x1.7820e7d9431a1p-16, -0x1.706813e71880ep-16, -0x1.68c140020fb26p-16, -0x1.612d20df7485dp-16, -0x1.59ac54278f773p-16, -0x1.523f3922d0c9ap-16, -0x1.4ae5ce2ff1445p-16, -0x1.439fab6be33bcp-16, -0x1.3c6c3f0112f3ep-16, -0x1.354b510d83716p-16, -0x1.2e3d718b6b698p-16, -0x1.2743d10c21206p-16, -0x1.205f898fbe19ep-16, -0x1.1990f9dac987p-16, -0x1.12d7e664619c3p-16, -0x1.0c344b46519fp-16, -0x1.05a6cb2422e6cp-16, -0x1.fe6032e4c01ecp-17, -0x1.f1a051224113dp-17, -0x1.e50c0d4ab2af9p-17, -0x1.d8a1387e3cae9p-17, -0x1.cc5f86e872d47p-17, -0x1.c048ccda9c733p-17, -0x1.b45e7b650b159p-17, -0x1.a89fb68ad1329p-17, -0x1.9d0ae6abb38b8p-17, -0x1.91a06d8cb15b9p-17, -0x1.8662443e6cec4p-17, -0x1.7b5181eab9deap-17, -0x1.706dbbbac1672p-17, -0x1.65b644b0bfe7ap-17, -0x1.5b2b0f539d8f3p-17, -0x1.50cc81e2392e4p-17, -0x1.469ac25b2d2bcp-17, -0x1.3c94e29806ae3p-17, -0x1.32b87c11e050dp-17, -0x1.29030e0672da9p-17, -0x1.1f74a16f32a51p-17, -0x1.160fce7950d35p-17, -0x1.0cd6291d6c834p-17, -0x1.03c637226c56bp-17, -0x1.f5bc587c0dd7fp-18, -0x1.e43d7967b6228p-18, -0x1.d312aa0ba2898p-18, -0x1.c23b39e65f26dp-18, -0x1.b1b4240013605p-18, -0x1.a17afae21e861p-18, -0x1.918ea79f46f71p-18, -0x1.81eed81c37279p-18, -0x1.729b60e551979p-18, -0x1.6393ddbfc5db3p-18, -0x1.54d79c5b2364cp-18, -0x1.4665fb2f014abp-18, -0x1.383f08592ee52p-18, -0x1.2a632fa22827bp-18, -0x1.1cd13c9b24a77p-18, -0x1.0f85d97955c98p-18, -0x1.027f40e61f6cfp-18, -0x1.eb7cb9515f708p-19, -0x1.d28517a49c22cp-19, -0x1.ba1466e0502ffp-19, -0x1.a22e8f6a1ee2fp-19, -0x1.8ad8c800e67ap-19, -0x1.740d7ba4c74c8p-19, -0x1.5dbf0d73ee315p-19, -0x1.47e83e6d1208ap-19, -0x1.328faabd35736p-19, -0x1.1db5a8de5dac8p-19, -0x1.095233ff634d4p-19, -0x1.eacc0f359f98dp-20, -0x1.c3ee0fb359fecp-20, -0x1.9e068a43699d5p-20, -0x1.79097545574c3p-20, -0x1.54ef182914299p-20, -0x1.31b42e9fe5074p-20, -0x1.0f56c8063659ep-20, -0x1.dba984b0ba60ap-21, -0x1.9a570694a1375p-21, -0x1.5ab02989dc8e1p-21, -0x1.1cae97426e525p-21, -0x1.c09793f0510d5p-22, -0x1.4b0260d714591p-22, -0x1.b120ddfe1994p-23, -0x1.a4d1ad03c42bap-24, 0x1.8fb6c1c98c0c2p-29, 0x1.b1e506a89d214p-24, 0x1.a5cda278c3a9dp-23, 0x1.36743672713b4p-22, 0x1.972bb13c87c69p-22, 0x1.f517dcd1231d4p-22, 0x1.282230f2084fdp-21, 0x1.545a646a05836p-21, 0x1.7f30aca707e08p-21, 0x1.a8ad3b5344be8p-21, }}, 
      {{-0x1.3838901d9dd99p+0, -0x1.19ebf81d4a04cp+0, -0x1.ec2bc702f94dep-1, -0x1.a5bbcfbfa1d6ap-1, -0x1.66af2fb2ad659p-1, -0x1.31779e8335847p-1, -0x1.06655fcfd87bcp-1, -0x1.c94acc27a8b72p-2, -0x1.95baca716a498p-2, -0x1.6f1179dc4cf11p-2, -0x1.525a8918ff33dp-2, -0x1.3cedd26dce18fp-2, -0x1.2c87b117114c5p-2, -0x1.1f4edeccc2fafp-2, -0x1.13cfd3ec9cfddp-2, -0x1.08f2ae94bb14ap-2, -0x1.fbdd76f818862p-3, -0x1.e47af4ac5a5b6p-3, -0x1.cb1c53ee83c41p-3, -0x1.af74d475eb6p-3, -0x1.91786d6b81047p-3, -0x1.714a9fedbe6d9p-3, -0x1.4f30197ad1b92p-3, -0x1.2b82f654d7611p-3, -0x1.06a960f6b5dc3p-3, -0x1.c21c87517f758p-4, -0x1.763780880de14p-4, -0x1.2a6e4ad1c0289p-4, -0x1.bef878349c7f5p-5, -0x1.2c137c8acea7ap-5, -0x1.3aa8f4243d9b8p-6, -0x1.3b696d94ad4e9p-9, 0x1.bfda5e9d5cf82p-7, 0x1.da1b2aa4a8033p-6, 0x1.631099570bb3dp-5, 0x1.d1a68bf1abeffp-5, 0x1.1c4bd43ab05d6p-4, 0x1.4be4fa62bc024p-4, 0x1.779ed966e0f6ap-4, 0x1.9f84f3359b856p-4, 0x1.c3ac8121f30fap-4, 0x1.e432e3ed45fb7p-4, 0x1.009e189b650bcp-3, 0x1.0d78f0242bd1p-3, 0x1.18c0cb7283f5ep-3, 0x1.228e0ae2de44bp-3, 0x1.2afa21e26bf0fp-3, 0x1.321f2b1d539dcp-3, 0x1.38178a5ea347ep-3, 0x1.3cfd9b2da1438p-3, 0x1.40eb6b36e373dp-3, 0x1.43fa7f83ea7f6p-3, 0x1.4643a37ca545bp-3, 0x1.47dec09d408f6p-3, 0x1.48e2be2872816p-3, 0x1.4965681e320a6p-3, 0x1.497b5ca0dedc3p-3, 0x1.4937fef3e9e9ep-3, 0x1.48ad6eb722cdfp-3, 0x1.47ec8426e3925p-3, 0x1.4704cef8dcebdp-3, 0x1.46049b07f334fp-3, 0x1.44f8f441def65p-3, 0x1.43edb065a40f7p-3, 0x1.42ed760af8b4fp-3, 0x1.4201c91ae7ee9p-3, 0x1.4133163c4f5f6p-3, 0x1.4088c0f11b9e1p-3, 0x1.400931633c7bep-3, 0x1.3fb9e2d7d3e8ap-3, 0x1.3f9f70f4edaeap-3, 0x1.3fbda64fbf05cp-3, 0x1.401789e4b03p-3, 0x1.40af6d710e6ccp-3, 0x1.4186fb5cdcf74p-3, 0x1.429f4438fd383p-3, 0x1.43f8cbb61c2f3p-3, 0x1.459394d5575dap-3, 0x1.476f2d7ccc8fdp-3, 0x1.498ab98374a21p-3, 0x1.4be4fd50df9bbp-3, 0x1.4e7c682149353p-3, 0x1.514f1de8f9a63p-3, 0x1.545b00ce22865p-3, 0x1.579dba25c1a6fp-3, 0x1.5b14c2e79a229p-3, 0x1.5ebd6b913cdc9p-3, 0x1.6294e37571787p-3, 0x1.66983f7f5daa2p-3, 0x1.6ac4806dad96ep-3, 0x1.6f169891c92f2p-3, 0x1.738b711a2ee6ap-3, 0x1.781feeedcce3p-3, 0x1.7cd0f71f94343p-3, 0x1.819b72f9802dcp-3, 0x1.867c53a344c31p-3, 0x1.8b7095656f166p-3, 0x1.9075428917047p-3, 0x1.958775da08d81p-3, 0x1.9aa45ccd47697p-3, 0x1.9fc93951990e3p-3, 0x1.a4f3635245c86p-3, 0x1.aa2049f1092d4p-3, 0x1.af4d747ede06fp-3, 0x1.b478833cd2e1cp-3, 0x1.b99f2fe8da326p-3, 0x1.bebf4e1d440a1p-3, 0x1.c3d6cb8b04431p-3, 0x1.c8e3b00ca1263p-3, 0x1.cde41d9cf8c9ap-3, 0x1.d2d6502cbe8a2p-3, 0x1.d7b89d61148fp-3, 0x1.dc8974360695bp-3, 0x1.e1475c8b422c3p-3, 0x1.e5f0f6a0f5481p-3, 0x1.ea84fa7ab4c77p-3, 0x1.ef02373cd903cp-3, 0x1.f36792786ec61p-3, 0x1.f7b4076cb3948p-3, 0x1.fbe6a648c5e59p-3, 0x1.fffe935f31bbap-3, 0x1.01fd832f8559cp-2, 0x1.03eda4c526b61p-2, 0x1.05cf5c73cf9bep-2, 0x1.07a260c03a281p-2, 0x1.0966704c8ece5p-2, 0x1.0b1b5176e1097p-2, 0x1.0cc0d1fd7159p-2, 0x1.0e56c69f7bae5p-2, 0x1.0fdd0ac3ab7cp-2, 0x1.1153802270da7p-2, 0x1.12ba0e6d500dap-2, 0x1.1410a2fdb0cb6p-2, 0x1.155730860dc07p-2, 0x1.168daec06628bp-2, 0x1.17b41a257c85ap-2, 0x1.18ca73a61b6bbp-2, 0x1.19d0c06134972p-2, 0x1.1ac70963662c5p-2, 0x1.1bad5b69bacd5p-2, 0x1.1c83c6a0132e1p-2, 0x1.1d4a5e683c3afp-2, 0x1.1e013926cfd4ap-2, 0x1.1ea8700aa0b9ap-2, 0x1.1f401eda1acd6p-2, 0x1.1fc863c9a543ep-2, 0x1.20415f4cf6057p-2, 0x1.20ab33e95fc16p-2, 0x1.2106061374851p-2, 0x1.2151fc0b4332fp-2, 0x1.218f3db3904e7p-2, 0x1.21bdf472b91fap-2, 0x1.21de4b1940df4p-2, 0x1.21f06dc0b7e0cp-2, 0x1.21f489acb19eep-2, 0x1.21eacd36e6d54p-2, 0x1.21d367b913ef9p-2, 0x1.21ae897006c58p-2, 0x1.217c636658806p-2, 0x1.213d276702bb7p-2, 0x1.20f107e965071p-2, 0x1.209837f9923e3p-2, 0x1.2032eb2a1ca8ep-2, 0x1.1fc1558a7d3ccp-2, 0x1.1f43ab9612ddfp-2, 0x1.1eba2221415b4p-2, 0x1.1e24ee4f3a5aap-2, 0x1.1d84458b357p-2, 0x1.1cd85d7b7e2ffp-2, 0x1.1c216bf263199p-2, 0x1.1b5fa6e56b1b2p-2, 0x1.1a9344687ff65p-2, 0x1.19bc7aa5a5f36p-2, 0x1.18db7fd17d25ep-2, 0x1.17f08a22380d6p-2, 0x1.16fbcfcae13d4p-2, 0x1.15fd86f74fap-2, 0x1.14f5e5c542685p-2, 0x1.13e5223b5974p-2, 0x1.12cb7242006c9p-2, 0x1.11a90ba0d4083p-2, 0x1.107e23fd3fff4p-2, 0x1.0f4af0d4a5128p-2, 0x1.0e0fa772ab2f5p-2, 0x1.0ccc7ceb2ba5ap-2, 0x1.0b81a61b3899ap-2, 0x1.0a2f57aa294b8p-2, 0x1.08d5c6027f8p-2, 0x1.07752546928cap-2, 0x1.060da94c37138p-2, 0x1.049f85a180d58p-2, 0x1.032aed8f1efc5p-2, 0x1.01b0140f80085p-2, 0x1.002f2bc1f650ep-2, 0x1.fd50cdcf26594p-3, 0x1.fa37eed5278f2p-3, 0x1.f7141dc4a87ecp-3, 0x1.f3e5bd13e72a1p-3, 0x1.f0ad2e6399602p-3, 0x1.ed6ad276c64dcp-3, 0x1.ea1f0943f489dp-3, 0x1.e6ca32031b895p-3, 0x1.e36cab1f21e9bp-3, 0x1.e006d215ed789p-3, 0x1.dc9903687fe42p-3, 0x1.d9239aa9304f9p-3, 0x1.d5a6f2913598dp-3, 0x1.d22364fddc1a4p-3, 0x1.ce994ad2840a1p-3, 0x1.cb08fbdd44449p-3, 0x1.c772ced91392bp-3, 0x1.c3d719865031ep-3, 0x1.c03630b9434c2p-3, 0x1.bc906849aba41p-3, 0x1.b8e612f0d75bp-3, 0x1.b5378237539ffp-3, 0x1.b1850682337efp-3, 0x1.adceef2dee6c6p-3, 0x1.aa158a96f588cp-3, 0x1.a6592603ad54ep-3, 0x1.a29a0d8315165p-3, 0x1.9ed88bdf3d2ep-3, 0x1.9b14eaae53b7bp-3, 0x1.974f726e70937p-3, 0x1.93886a8e675b5p-3, 0x1.8fc0195911fb1p-3, 0x1.8bf6c3d4bdfe2p-3, 0x1.882cadb3da623p-3, 0x1.846219637a2e1p-3, 0x1.80974828277c9p-3, 0x1.7ccc7a2d392f1p-3, 0x1.7901ee78049f4p-3, 0x1.7537e2c99924fp-3, 0x1.716e9388d42dcp-3, 0x1.6da63bc7389bdp-3, 0x1.69df155b4b223p-3, 0x1.661958f9012c5p-3, 0x1.62553e33c9981p-3, 0x1.5e92fb69178cep-3, 0x1.5ad2c5a54ba4fp-3, 0x1.5714d099215e4p-3, 0x1.53594ea824801p-3, 0x1.4fa071045ad6ep-3, 0x1.4bea67c190f83p-3, 0x1.483761d29d367p-3, 0x1.44878cf45a2dbp-3, 0x1.40db15974f8b5p-3, 0x1.3d3226d9a7b3ap-3, 0x1.398cea96a0b8ep-3, 0x1.35eb898071f89p-3, 0x1.324e2b32cccdap-3, 0x1.2eb4f632d2029p-3, 0x1.2b200fdec796ep-3, 0x1.278f9c5ae9021p-3, 0x1.2403be89eeee8p-3, 0x1.207c9817c4161p-3, 0x1.1cfa499005d21p-3, 0x1.197cf2726ebe7p-3, 0x1.1604b139e571ap-3, 0x1.1291a35467a54p-3, 0x1.0f23e5138cee9p-3, 0x1.0bbb91a1790a9p-3, 0x1.0858c3031dc57p-3, 0x1.04fb9227b59e1p-3, 0x1.01a416fd3b9b6p-3, 0x1.fca4d0fe58adep-4, 0x1.f60d3972de09ap-4, 0x1.ef8191813f369p-4, 0x1.e902014d6cb5ap-4, 0x1.e28eaee9d7b7cp-4, 0x1.dc27be60ae81ep-4, 0x1.d5cd51d05be7ap-4, 0x1.cf7f898e0bd97p-4, 0x1.c93e843eee47cp-4, 0x1.c30a5edfcb8e3p-4, 0x1.bce334bc77fb7p-4, 0x1.b6c91f6082854p-4, 0x1.b0bc368dedd64p-4, 0x1.aabc904313f49p-4, 0x1.a4ca40cff3d5ap-4, 0x1.9ee55af29d7fp-4, 0x1.990defef96322p-4, 0x1.93440f9edf057p-4, 0x1.8d87c86c36bp-4, 0x1.87d9274f22c73p-4, 0x1.823837c2e4678p-4, 0x1.7ca503c68b616p-4, 0x1.771f93e8ebf7bp-4, 0x1.71a7ef5d91dap-4, 0x1.6c3e1c1349ad6p-4, 0x1.66e21ec56ae39p-4, 0x1.6193fb0471ecp-4, 0x1.5c53b336785b1p-4, 0x1.572148930eb31p-4, 0x1.51fcbb2012181p-4, 0x1.4ce609b4b6106p-4, 0x1.47dd3204e56e5p-4, 0x1.42e230b274682p-4, 0x1.3df5015ed1597p-4, 0x1.39159eb8b3b86p-4, 0x1.34440283edb8ap-4, 0x1.2f80259bdca49p-4, 0x1.2ac9fff29c9e7p-4, 0x1.262188903d9c9p-4, 0x1.2186b5957c6a4p-4, 0x1.1cf97c44031fdp-4, 0x1.1879d10b503ebp-4, 0x1.1407a796d74b3p-4, 0x1.0fa2f2d9d6597p-4, 0x1.0b4ba5173e35dp-4, 0x1.0701afe5f2ff3p-4, 0x1.02c5043299c6p-4, 0x1.fd2b24810ee55p-5, 0x1.f4e6935762cc8p-5, 0x1.ecbc32dac5cadp-5, 0x1.e4abdfc8c9de8p-5, 0x1.dcb575bee1358p-5, 0x1.d4d8cf4eee1c9p-5, 0x1.cd15c60f71f4cp-5, 0x1.c56c32a65d27dp-5, 0x1.bddbecd0091dep-5, 0x1.b664cb645b6e6p-5, 0x1.af06a45b9e1fdp-5, 0x1.a7c14cd46b65fp-5, 0x1.a094991c0af3ep-5, 0x1.99805cba2f6f2p-5, 0x1.92846a7f5d0ddp-5, 0x1.8ba0949373be8p-5, 0x1.84d4ac81d9ad3p-5, 0x1.7e2083426281ep-5, 0x1.7783e9400d85cp-5, 0x1.70feae5f2b6f1p-5, 0x1.6a90a203b0dc8p-5, 0x1.64399317b84fep-5, 0x1.5df950122e61bp-5, 0x1.57cfa6fdfc9edp-5, 0x1.51bc65824bc2cp-5, 0x1.4bbf58ebc075bp-5, 0x1.45d84e35a2edfp-5, 0x1.40071211e0c78p-5, 0x1.3a4b70efa4cf6p-5, 0x1.34a5370140a52p-5, 0x1.2f1430423931ep-5, 0x1.2998287d99237p-5, 0x1.2430eb53fb46bp-5, 0x1.1ede4440dea0dp-5, 0x1.199ffe9f42de8p-5, 0x1.1475e5ae54994p-5, 0x1.0f5fc496ad07bp-5, 0x1.0a5d667044c5dp-5, 0x1.056e964889cb2p-5, 0x1.00931f27ecdep-5, 0x1.f795982e01174p-6, 0x1.ee2ad046b3b35p-6, 0x1.e4e57cc8fe152p-6, 0x1.dbc5340141cdep-6, 0x1.d2c98c6178c44p-6, 0x1.c9f21c87d7338p-6, 0x1.c13e7b443b909p-6, 0x1.b8ae3f9da08b1p-6, 0x1.b04100d8cd1f9p-6, 0x1.a7f6568061b1ap-6, 0x1.9fcdd86d95113p-6, 0x1.97c71ed0662c3p-6, 0x1.8fe1c236f44ebp-6, 0x1.881d5b941fbabp-6, 0x1.80798445d5197p-6, 0x1.78f5d61b05e43p-6, 0x1.7191eb5922234p-6, 0x1.6a4d5ec0a7247p-6, 0x1.6327cb90cc4fdp-6, 0x1.5c20cd8ad1b0bp-6, 0x1.553800f5b758ap-6, 0x1.4e6d02a2c3a3ep-6, 0x1.47bf6ff2df6acp-6, 0x1.412ee6dbfe289p-6, 0x1.3abb05edfcea9p-6, 0x1.34636c56bfbcp-6, 0x1.2e27b9e5d3ebfp-6, 0x1.28078f0fcca9cp-6, 0x1.22028cf1a325ap-6, 0x1.1c185553c510fp-6, 0x1.16488aace5319p-6, 0x1.1092d0242ad04p-6, 0x1.0af6c99304444p-6, 0x1.05741b87040dp-6, 0x1.000a6b43f9078p-6, 0x1.f572bd8d29931p-7, 0x1.eb01398e634d2p-7, 0x1.e0bf9978d31f5p-7, 0x1.d6ad2dba5dfa8p-7, 0x1.ccc948454d07fp-7, 0x1.c3133c9317338p-7, 0x1.b98a5fa787989p-7, 0x1.b02e08135b6b2p-7, 0x1.a6fd8df701a7bp-7, 0x1.9df84b049cc48p-7, 0x1.951d9a81969c3p-7, 0x1.8c6cd947a362ap-7, 0x1.83e565c59d32p-7, 0x1.7b86a000c9255p-7, 0x1.734fe9966e136p-7, 0x1.6b40a5bdcc665p-7, 0x1.63583949c7223p-7, 0x1.5b960aa9f4ecfp-7, 0x1.53f981eb2f9bfp-7, 0x1.4c8208b7c13cfp-7, 0x1.452f0a5750f26p-7, 0x1.3dfff3af056e5p-7, 0x1.36f433418c43fp-7, 0x1.300b392f37bdbp-7, 0x1.29447735e954dp-7, 0x1.229f60b08c464p-7, 0x1.1c1b6a9648184p-7, 0x1.15b80b797990ep-7, 0x1.0f74bb866d0b3p-7, 0x1.0950f48246d22p-7, 0x1.034c31c9eeffdp-7, 0x1.facbe0a1b72cfp-8, 0x1.ef3b5d3fb6098p-8, 0x1.e3e5d9a7a5206p-8, 0x1.d8ca5938fc4f3p-8, 0x1.cde7e276bd96p-8, 0x1.c33d7f04ee8b4p-8, 0x1.b8ca3ba5ff3bap-8, 0x1.ae8d28377aa49p-8, 0x1.a48557adc4d55p-8, 0x1.9ab1e00f03b41p-8, 0x1.9111da6d88419p-8, 0x1.87a462e1e1ba9p-8, 0x1.7e6898856db2fp-8, 0x1.755d9d6d9a154p-8, 0x1.6c8296a7ffdefp-8, 0x1.63d6ac370db19p-8, 0x1.5b59090e2f814p-8, 0x1.5308db0e0d104p-8, 0x1.4ae552ff20cb3p-8, 0x1.42eda48c2e476p-8, 0x1.3b21063b9f8ecp-8, 0x1.337eb1694851dp-8, 0x1.2c05e24041dd3p-8, 0x1.24b5d7b5ec14bp-8, 0x1.1d8dd38561448p-8, 0x1.168d1a2bb13cp-8, 0x1.0fb2f2e3be652p-8, 0x1.08fea7a17eebcp-8, 0x1.026f850b37fb2p-8, 0x1.f809b4e29740fp-9, 0x1.eb7bf388258f5p-9, 0x1.df346f120985bp-9, 0x1.d331d5a05513dp-9, 0x1.c772da55cecf9p-9, 0x1.bbf6354c1d491p-9, 0x1.b0baa38e45fa9p-9, 0x1.a5bee71a7395p-9, 0x1.9b01c6e865317p-9, 0x1.90820ef04bd8ap-9, 0x1.863e902e114e5p-9, 0x1.7c36209b44136p-9, 0x1.72679b1ce3dbdp-9, 0x1.68d1df646a194p-9, 0x1.5f73d1c4f5f73p-9, 0x1.564c5b02e5d3ap-9, 0x1.4d5a68241519dp-9, 0x1.449cea4a7bcc1p-9, 0x1.3c12d69c09531p-9, 0x1.33bb2642bef36p-9, 0x1.2b94d67ed032bp-9, 0x1.239ee8cb20ffcp-9, 0x1.1bd8630acd931p-9, 0x1.14404fb4c52aep-9, 0x1.0cd5bdf1f6d83p-9, 0x1.0597c1a39e585p-9, 0x1.fd0ae695ab6acp-10, 0x1.ef3bdf9f13945p-10, 0x1.e1c0b05a496ap-10, 0x1.d497a21c24d09p-10, 0x1.c7bf04cf1bb41p-10, 0x1.bb352e4848abbp-10, 0x1.aef879d9ea51dp-10, 0x1.a3074836414e7p-10, 0x1.975fffaa495abp-10, 0x1.8c010ca83c588p-10, 0x1.80e8e28ba771ap-10, 0x1.7615fc772e581p-10, 0x1.6b86de22fd03ap-10, 0x1.613a1474334dep-10, 0x1.572e35ba29db4p-10, 0x1.4d61e17ca6aaep-10, 0x1.43d3bfd6cbd01p-10, 0x1.3a828071bdf87p-10, 0x1.316cd9419c32ep-10, 0x1.2891853712821p-10, 0x1.1fef431908a36p-10, 0x1.1784d4b3e5b94p-10, 0x1.0f50fe7c8b827p-10, 0x1.075287b2fc315p-10, 0x1.ff1075f6859dp-11, 0x1.efe1cea5b5f36p-11, 0x1.e116c27afa84ap-11, 0x1.d2ad07f8dc951p-11, 0x1.c4a2654186f2p-11, 0x1.b6f4b197c27e3p-11, 0x1.a9a1d5f7cd3e7p-11, 0x1.9ca7cc9bdb4dfp-11, 0x1.90049f6fdc853p-11, 0x1.83b665a1ebaf8p-11, 0x1.77bb40aaf4443p-11, 0x1.6c115946d5b9ap-11, 0x1.60b6dcd7642e5p-11, 0x1.55a9fb9b7f1eep-11, 0x1.4ae8e7f7aa788p-11, 0x1.4071d6da95114p-11, 0x1.36430115e64ebp-11, 0x1.2c5aa55fe7d3cp-11, 0x1.22b70aa4446fdp-11, 0x1.1956824cec6c6p-11, 0x1.10376a383ec68p-11, 0x1.07582e25c27c7p-11, 0x1.fd6e90e1162f1p-12, 0x1.eca683f96536ep-12, 0x1.dc5562974bb14p-12, 0x1.cc7871819e056p-12, 0x1.bd0d087bf0d61p-12, 0x1.ae108cb70aa05p-12, 0x1.9f806b3c19876p-12, 0x1.915a142ea6c51p-12, 0x1.839af7b47461p-12, 0x1.7640850c136e5p-12, 0x1.69482bfacb509p-12, 0x1.5caf603ae30b5p-12, 0x1.50739e2c30029p-12, 0x1.44926fce8b00dp-12, 0x1.3909711b48cc6p-12, 0x1.2dd6531d8e6cfp-12, 0x1.22f6dd93639c2p-12, 0x1.1868ef485ddfcp-12, 0x1.0e2a7d88947a3p-12, 0x1.04399301f7292p-12, 0x1.f5289c711322p-13, 0x1.e271beecf6711p-13, 0x1.d04b0c08fd093p-13, 0x1.beb1192277ebcp-13, 0x1.ada089db8f877p-13, 0x1.9d16073f21d32p-13, 0x1.8d0e381530879p-13, 0x1.7d85bc141db01p-13, 0x1.6e792b3503582p-13, 0x1.5fe51990c4057p-13, 0x1.51c61f065bb81p-13, 0x1.4418e0e2dbb8ep-13, 0x1.36da1b287a45bp-13, 0x1.2a06a73d8e8fcp-13, 0x1.1d9b7e8068d8ep-13, 0x1.1195b90a33a9cp-13, 0x1.05f289cdc58p-13, 0x1.f55e74febf092p-14, 0x1.df9252add4e35p-14, 0x1.ca7b935a8b86p-14, 0x1.b6154dd9431aep-14, 0x1.a25acfe17506p-14, 0x1.8f47a0ecaff7p-14, 0x1.7cd77da9d0c2fp-14, 0x1.6b064b4c69bcep-14, 0x1.59d00565e2737p-14, 0x1.4930ab5d541b8p-14, 0x1.392432fa100bep-14, 0x1.29a683be344ebp-14, 0x1.1ab37bb1e409bp-14, 0x1.0c46fb5e1d223p-14, 0x1.fcb9e9b038be6p-15, 0x1.e1e2f318a0f41p-15, 0x1.c801867ce8de2p-15, 0x1.af0e6c6382b72p-15, 0x1.9702b81f072abp-15, 0x1.7fd7b238c18aap-15, 0x1.6986be50652ap-15, 0x1.540945e77b6fap-15, 0x1.3f58b0e43697ap-15, 0x1.2b6e7033677ebp-15, 0x1.184417f6b7da1p-15, 0x1.05d3801c32634p-15, 0x1.e82dbe607135bp-16, 0x1.c611a9b8bc8c3p-16, 0x1.a548bec18555bp-16, 0x1.85c97e9fa8f47p-16, 0x1.678aa7bce35a8p-16, 0x1.4a82fa031b9p-16, 0x1.2ea91b19b42p-16, 0x1.13f3a00fc75c9p-16, 0x1.f4b2626b7e542p-17, 0x1.c3a169422ead3p-17, 0x1.94a2dc01651bbp-17, 0x1.67a61792adf05p-17, 0x1.3c9b453b590a5p-17, 0x1.137339b8f89a8p-17, 0x1.d83e9359a9824p-18, 0x1.8d223cbc24b5p-18, 0x1.4575243814d8fp-18, 0x1.011b2cfa5e964p-18, 0x1.7ff08c8bb45c7p-19, 0x1.03e0b3ea78d27p-19, 0x1.1b9d4c53bf41dp-20, 0x1.d828c6e3489d1p-23, -0x1.34ea264e7803fp-21, -0x1.653be1f376389p-20, -0x1.12dac0b480c87p-19, -0x1.6e216f1a0049dp-19, -0x1.c49fcdff2c939p-19, -0x1.0b40b144e672cp-18, -0x1.31f7f6e0bf973p-18, -0x1.5689eea705044p-18, -0x1.790a371c22a1dp-18, -0x1.998bc34860349p-18, -0x1.b820bc40fdc1fp-18, -0x1.d4da6fa5d1c25p-18, -0x1.efc9534e40399p-18, -0x1.047e8fe601d75p-17, -0x1.1042828d6bd9ep-17, -0x1.1b37f8fc5c348p-17, -0x1.256666fac82a5p-17, -0x1.2ed53da9f6513p-17, -0x1.378bc9c99d4f8p-17, -0x1.3f9102c7c07a1p-17, -0x1.46eb6cddbd421p-17, -0x1.4da1269aeba24p-17, -0x1.53b820b4786efp-17, -0x1.59366504ec258p-17, -0x1.5e2248f45cd68p-17, -0x1.628276338b52fp-17, -0x1.665dcbbfb1164p-17, -0x1.69bb29c593f58p-17, -0x1.6ca139007e363p-17, -0x1.6f1634f9a17c3p-17, -0x1.711fbfc1d8977p-17, -0x1.72c2cd10f09fep-17, -0x1.7403b137834ecp-17, -0x1.74e65035b5e5bp-17, -0x1.756e5a4d028a6p-17, -0x1.759f7f662db6dp-17, -0x1.757d87cd20891p-17, -0x1.750c4d279abfep-17, -0x1.744fa05837d73p-17, -0x1.734b341716fefp-17, -0x1.72029a43834fp-17, -0x1.70794aeaa96cp-17, -0x1.6eb2a388758a3p-17, -0x1.6cb1db87c7f68p-17, -0x1.6a79fb50a5ad7p-17, -0x1.680de1dc3a25ep-17, -0x1.657055fe07048p-17, -0x1.62a4169e0a1bcp-17, -0x1.5fabe03bda518p-17, -0x1.5c8a6890f0ad8p-17, -0x1.5942578416781p-17, -0x1.55d642d4ee18bp-17, -0x1.5248ac77a0ec5p-17, -0x1.4e9c018a9451ap-17, -0x1.4ad299ea1c0f5p-17, -0x1.46eeb8bf3705ep-17, -0x1.42f288dd6a20bp-17, -0x1.3ee00e09bf764p-17, -0x1.3ab9114f40a3fp-17, -0x1.367f1ef49e122p-17, -0x1.3233a4d1e444fp-17, -0x1.2dd81eebd51acp-17, -0x1.296e2c86f124fp-17, -0x1.24f77a84e15e3p-17, -0x1.207598a1255b4p-17, -0x1.1be9e4f12fa32p-17, -0x1.1755a1f862f7ep-17, -0x1.12ba1baf1876dp-17, -0x1.0e18b00b20636p-17, -0x1.0972b48e4262ap-17, -0x1.04c95a4592d33p-17, -0x1.001da97c63cbbp-17, -0x1.f6e125a051afdp-18, -0x1.ed8603048e161p-18, -0x1.e42bc80dd7089p-18, -0x1.dad454a478edep-18, -0x1.d1817d0c08c57p-18, -0x1.c834f92084e54p-18, -0x1.bef055c0c1208p-18, -0x1.b5b4eaab9c63dp-18, -0x1.ac83d8e7cabfdp-18, -0x1.a35e177d1a8dep-18, -0x1.9a449083c7154p-18, -0x1.913847826f7bbp-18, -0x1.883a77d43caecp-18, -0x1.7f4c91146704bp-18, -0x1.766ffa6aa922dp-18, -0x1.6da5aca2aadd2p-18, -0x1.64edf88a4885ap-18, -0x1.5c48dcb8431bp-18, -0x1.53b6cef043dbcp-18, -0x1.4b393a32aebe3p-18, -0x1.42d20ff191df4p-18, -0x1.3a82b86df2caep-18, -0x1.324b75dfaf541p-18, -0x1.2a2bf021163adp-18, -0x1.2224408b7e089p-18, -0x1.1a3536552dcd5p-18, -0x1.125fb4a63f57dp-18, -0x1.0aa42ac72f831p-18, -0x1.0302a90dd307fp-18, -0x1.f6f66caaf770fp-19, -0x1.e81c04c41db71p-19, -0x1.d976d730a0af2p-19, -0x1.cb07e2b53f00ep-19, -0x1.bcd0390e67154p-19, -0x1.aed0b51060abep-19, -0x1.a1099cca88976p-19, -0x1.937a516c80d4bp-19, -0x1.862146ef7a057p-19, -0x1.78fc97ed20cdbp-19, -0x1.6c0b3e7245848p-19, -0x1.5f4e0fcfddfbap-19, -0x1.52c7548116786p-19, -0x1.467916118a21dp-19, -0x1.3a63a6bddca83p-19, -0x1.2e85fa56fad9bp-19, -0x1.22df8dc887a0dp-19, -0x1.17715cbbb98e6p-19, -0x1.0c3c8480fe39ep-19, -0x1.01406b2ece254p-19, -0x1.ecf4f67158b3bp-20, -0x1.d7cfa34d941ap-20, -0x1.c30f60f43f978p-20, -0x1.aeb782fe4bdep-20, -0x1.9aca7becbebcdp-20, -0x1.87458ea7de2d1p-20, -0x1.74245895f862fp-20, -0x1.6166ed82fadafp-20, -0x1.4f10fd3c4ae3ep-20, -0x1.3d24425cd15ffp-20, -0x1.2b9f17b916b3fp-20, -0x1.1a7f4390f38e4p-20, -0x1.09c3ee89848aap-20, -0x1.f2da81ec24eb8p-21, -0x1.d2f5aabd9e99p-21, -0x1.b3d3d7683d525p-21, -0x1.9569395a55d7cp-21, -0x1.77a9d13c18de6p-21, -0x1.5a94d6489a69ap-21, -0x1.3e34728ddd207p-21, -0x1.228e2c0f7a1d7p-21, -0x1.079a6f08e7288p-21, -0x1.daa108c7a7b3cp-22, -0x1.a764cc9956961p-22, -0x1.7589e9e0384d3p-22, -0x1.450b27167958p-22, -0x1.15d9c5389ca8fp-22, -0x1.cfd377301deeep-23, -0x1.76695028f93aep-23, -0x1.1f6eaf5fd369fp-23, -0x1.95bcd9b0103e3p-24, -0x1.e2c67202c6a67p-25, -0x1.46f7508ca5f26p-26, 0x1.2513426067e4cp-26, 0x1.bf560f8e5ab2bp-25, 0x1.71750ceee94bfp-24, 0x1.febcd5e5b24f4p-24, 0x1.43df0cd24f6a9p-23, 0x1.864da3bd20b3cp-23, 0x1.c6a5db43db642p-23, 0x1.0277de852a942p-22, 0x1.209d97af9dca5p-22, 0x1.3dbdc9a28f2fep-22, 0x1.59cf7d8f0cb7fp-22, 0x1.74df3b154b9f9p-22, 0x1.8f093f73ef07p-22, 0x1.a858fa15beec9p-22, 0x1.c0c2c7e27248ap-22, 0x1.d84765c6b7582p-22, 0x1.eef75124b8529p-22, 0x1.02690bbf1980ep-21, 0x1.0ce6f06718dbfp-21, 0x1.16f7e0bc0ca6p-21, 0x1.20a216536798ep-21, 0x1.29e9abbc99ca2p-21, 0x1.32d0a6fec455cp-21, 0x1.3b5874f6268ddp-21, 0x1.43829ab4fec5fp-21, 0x1.4b50d2ad4cbcfp-21, 0x1.52c4fd568db34p-21, 0x1.59e10e2cf2d72p-21, 0x1.60a6fdb0b72bap-21, 0x1.6718c137e10c8p-21, 0x1.6d38493839582p-21, 0x1.7307867efdbd4p-21, 0x1.788871e11f02p-21, 0x1.7dbd0a9bb9192p-21, 0x1.82a7404114d1ap-21, 0x1.8748d10d5a6bbp-21, 0x1.8ba345d5dcce2p-21, 0x1.8fb82d9acd2c3p-21, 0x1.93892a74922f9p-21, 0x1.9716eea575f9fp-21, 0x1.9a613f5fb6aaap-21, 0x1.9d6a451493608p-21, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.31d5e77532885p-3, -0x1.33baedbddd691p-3, -0x1.36d28d73ae344p-3, -0x1.3b05c85cffa6ap-3, -0x1.4037db72a732p-3, -0x1.464870f75c0cp-3, -0x1.4d158da20ac94p-3, -0x1.547d22ca9b8dbp-3, -0x1.5c5e460488dabp-3, -0x1.649a181c49ef1p-3, -0x1.6d1467bcc61b6p-3, -0x1.75b41b2c61306p-3, -0x1.7e636ae3dc3e5p-3, -0x1.870ff5408253ap-3, -0x1.8faab2843f117p-3, -0x1.9827cfa5e9235p-3, -0x1.a07e75f535a1fp-3, -0x1.a8a88520030a1p-3, -0x1.b0a244a1980f1p-3, -0x1.b86a110786ccap-3, -0x1.c00008c612719p-3, -0x1.c765bb99090b7p-3, -0x1.ce9ddeb11e97ap-3, -0x1.d5ac073c45283p-3, -0x1.dc946c39154b8p-3, -0x1.e35bafff6fffdp-3, -0x1.ea06b17d8f034p-3, -0x1.f09a64d7ffa58p-3, -0x1.f71bb2e34ac07p-3, -0x1.fd8f5ecb6682cp-3, -0x1.01fcf8963804fp-2, -0x1.052fd3ee98f74p-2, -0x1.086234d9b8d32p-2, -0x1.0b95decc1c088p-2, -0x1.0ecc622a6ecdap-2, -0x1.12071a4b00c51p-2, -0x1.15472c5b2ae2ap-2, -0x1.188d86fb70418p-2, -0x1.1bdae26e18b8fp-2, -0x1.1f2fc13be2bbcp-2, -0x1.228c7138f5b67p-2, -0x1.25f10cd9a15aap-2, -0x1.295d7cca9cd71p-2, -0x1.2cd179c3a158dp-2, -0x1.304c8e8d6a2e6p-2, -0x1.33ce1a35abe4ep-2, -0x1.3755526c5bd0fp-2, -0x1.3ae146062648cp-2, -0x1.3e70df9fec1cbp-2, -0x1.4202e85f146cbp-2, -0x1.45960aca313e8p-2, -0x1.4928d5b536c61p-2, -0x1.4cb9bf3c2ffd8p-2, -0x1.504727c72745cp-2, -0x1.53cf5d11d9adbp-2, -0x1.57509d31aa7ffp-2, -0x1.5ac9199472fd7p-2, -0x1.5e36f9f2d91c2p-2, -0x1.61985f312a616p-2, -0x1.64eb6629fddd8p-2, -0x1.682e2a5e4f90ap-2, -0x1.6b5ec887396e5p-2, -0x1.6e7b6105ea36bp-2, -0x1.71821a2f05cb9p-2, -0x1.7471226f21386p-2, -0x1.7746b2469098cp-2, -0x1.7a010e1b48e11p-2, -0x1.7c9e87e0171b8p-2, -0x1.7f1d8090e1e34p-2, -0x1.817c698421faap-2, -0x1.83b9c59222ae8p-2, -0x1.85d42a12ecf6ep-2, -0x1.87ca3fb4272f5p-2, -0x1.899ac32858336p-2, -0x1.8b4485b15b3a4p-2, -0x1.8cc66d87e2f29p-2, -0x1.8e1f76221b32ep-2, -0x1.8f4eb05b9d82fp-2, -0x1.90534280e93ebp-2, -0x1.912c6840b17f2p-2, -0x1.91d97285415fdp-2, -0x1.9259c73843f65p-2, -0x1.92ace0f325228p-2, -0x1.92d24e9e42202p-2, -0x1.92c9b300fa0ddp-2, -0x1.9292c444aaa93p-2, -0x1.922d4b6c84835p-2, -0x1.919923c400121p-2, -0x1.90d63a45b1257p-2, -0x1.8fe48cfc08177p-2, -0x1.8ec42a5d77de5p-2, -0x1.8d7530a560685p-2, -0x1.8bf7cd2aeeeb8p-2, -0x1.8a4c3bb718a13p-2, -0x1.8872c5daac5ffp-2, -0x1.866bc2455e76p-2, -0x1.8437941e97c03p-2, -0x1.81d6aa60b85b5p-2, -0x1.7f497f3760d44p-2, -0x1.7c9097614a9ebp-2, -0x1.79ac81960d0f3p-2, -0x1.769dd5f0331f7p-2, -0x1.7365355bdf1e9p-2, -0x1.7003490a2fc29p-2, -0x1.6c78c1e993066p-2, -0x1.68c6582317fbap-2, -0x1.64ecca9cc9ad9p-2, -0x1.60ecde811a1efp-2, -0x1.5cc75ecb4e6e7p-2, -0x1.587d1bd8dd2d6p-2, -0x1.540eeaffa5d7dp-2, -0x1.4f7da628e3856p-2, -0x1.4aca2b70b5705p-2, -0x1.45f55cca16a04p-2, -0x1.41001fa71cb0fp-2, -0x1.3beb5ca5472ddp-2, -0x1.36b7ff3dbc51cp-2, -0x1.3166f5793ae03p-2, -0x1.2bf92fa79045ep-2, -0x1.266fa01a66962p-2, -0x1.20cb3ae3360d2p-2, -0x1.1b0cf5942a291p-2, -0x1.1535c703d2c2ap-2, -0x1.0f46a71366a8p-2, -0x1.09408e777a42bp-2, -0x1.03247682f9e67p-2, -0x1.f9e6b1e87ce4ep-3, -0x1.ed5c5f8837727p-3, -0x1.e0abe9ed85b84p-3, -0x1.d3d744dcb1dffp-3, -0x1.c6e0637e42bf4p-3, -0x1.b9c9380a45f47p-3, -0x1.ac93b376554d5p-3, -0x1.9f41c5262c5e3p-3, -0x1.91d55a9ea24e3p-3, -0x1.84505f3ae2e7bp-3, -0x1.76b4bbe3c118ep-3, -0x1.690456c9041cbp-3, -0x1.5b41131c9f75fp-3, -0x1.4d6cd0cfae27dp-3, -0x1.3f896c512b033p-3, -0x1.3198be4e4f2aep-3, -0x1.239c9b748b5e6p-3, -0x1.1596d435125fp-3, -0x1.07893489e65c2p-3, -0x1.f2eb0778dd5b1p-4, -0x1.d6bb085b0dd0fp-4, -0x1.ba85e63e0e9c9p-4, -0x1.9e4f10fda40a3p-4, -0x1.8219ed669788ep-4, -0x1.65e9d4d2ce63ap-4, -0x1.49c214c8424a5p-4, -0x1.2da5ee9b13caep-4, -0x1.11989712b361ep-4, -0x1.eb3a6c243e677p-5, -0x1.b36dcc86b5cd1p-5, -0x1.7bd1698c22826p-5, -0x1.446b41c2fecc4p-5, -0x1.0d41377360b3fp-5, -0x1.acb220203f7cdp-6, -0x1.3f70e75daec94p-6, -0x1.a593b21af8d91p-7, -0x1.9b1f33b44b99fp-8, 0x1.22a8b759695c6p-12, 0x1.bc8c6a6ba2c5dp-8, 0x1.b1eefb9a7b10cp-7, 0x1.41fdefe9f2fa1p-6, 0x1.aa2cd50714c77p-6, 0x1.08bd693c81e1fp-5, 0x1.3bef67b0e9fecp-5, 0x1.6ea7fa98f6315p-5, 0x1.a0e2d80cfed17p-5, 0x1.d29bd7b72f305p-5, 0x1.01e7797eee3fp-4, 0x1.1a3c22935293ap-4, 0x1.324a05b92cafcp-4, 0x1.4a0f5298d6114p-4, 0x1.618a49e96ba09p-4, 0x1.78b93d741eb06p-4, 0x1.8f9a90140604fp-4, 0x1.a62cb5b29022ep-4, 0x1.bc6e33408c2a8p-4, 0x1.d25d9eabefc61p-4, 0x1.e7f99ed24ff71p-4, 0x1.fd40eb7036ce5p-4, 0x1.09192686ac6fbp-3, 0x1.13664e72db492p-3, 0x1.1d876267ef0ddp-3, 0x1.277bdf9016562p-3, 0x1.31434b44ae216p-3, 0x1.3add32fd2019fp-3, 0x1.44492c3c7b659p-3, 0x1.4d86d47dbbb06p-3, 0x1.5695d11edfdf3p-3, 0x1.5f75cf4acdc67p-3, 0x1.682683e20e54cp-3, 0x1.70a7ab6279f06p-3, 0x1.78f909cdd3462p-3, 0x1.811a6a8f692a3p-3, 0x1.890ba060c3f0bp-3, 0x1.90cc852d66298p-3, 0x1.985cf9f5bf871p-3, 0x1.9fbce6b145a13p-3, 0x1.a6ec3a2fd15c7p-3, 0x1.adeae9fa471e3p-3, 0x1.b4b8f232945cp-3, 0x1.bb5655730c33p-3, 0x1.c1c31cad37423p-3, 0x1.c7ff57081cf0fp-3, 0x1.ce0b19be0e0abp-3, 0x1.d3e67ffa05cd8p-3, 0x1.d991aab4a08a2p-3, 0x1.df0cc090c0758p-3, 0x1.e457edb7e0ad7p-3, 0x1.e97363b622bf5p-3, 0x1.ee5f595624c52p-3, 0x1.f31c0a7cad492p-3, 0x1.f7a9b804296cfp-3, 0x1.fc08a798135p-3, 0x1.001c91c824c16p-2, 0x1.021dbd662bc28p-2, 0x1.040800476003ap-2, 0x1.05db862c2a9f3p-2, 0x1.07987ce1cc20bp-2, 0x1.093f14301b275p-2, 0x1.0acf7dc753bf4p-2, 0x1.0c49ed2dfa149p-2, 0x1.0dae97aed394cp-2, 0x1.0efdb446fb546p-2, 0x1.10377b9418c2cp-2, 0x1.115c27c2af6fdp-2, 0x1.126bf47c9ec17p-2, 0x1.13671ed7beb07p-2, 0x1.144de544ab943p-2, 0x1.1520877dc08d4p-2, 0x1.15df46763c98cp-2, 0x1.168a64499e9dbp-2, 0x1.1722242b3089dp-2, 0x1.17a6ca55cc7b8p-2, 0x1.18189bfbd956bp-2, 0x1.1877df377f347p-2, 0x1.18c4dafb1b985p-2, 0x1.18ffd701edf0ap-2, 0x1.19291bc108b3bp-2, 0x1.1940f2587e4c6p-2, 0x1.1947a484d2a36p-2, 0x1.193d7c90ae3p-2, 0x1.1922c546d6866p-2, 0x1.18f7c9e4694e8p-2, 0x1.18bcd60b5f5cap-2, 0x1.187235b556271p-2, 0x1.18183526a07ccp-2, 0x1.17af20e19cb8p-2, 0x1.1737459a593adp-2, 0x1.16b0f02a7ae39p-2, 0x1.161c6d8572ac2p-2, 0x1.157a0aacf854fp-2, 0x1.14ca14a5d278ep-2, 0x1.140cd86ce6505p-2, 0x1.1342a2ec92a9dp-2, 0x1.126bc0f25140fp-2, 0x1.11887f24a8207p-2, 0x1.109929f95e4e8p-2, 0x1.0f9e0dabff332p-2, 0x1.0e977634a0d7bp-2, 0x1.0d85af3efaa2cp-2, 0x1.0c690421be0c2p-2, 0x1.0b41bfd63b677p-2, 0x1.0a102cf04ad98p-2, 0x1.08d495967ec1p-2, 0x1.078f437a9d5ddp-2, 0x1.06407fd25a3fp-2, 0x1.04e893505d178p-2, 0x1.0387c61d86265p-2, 0x1.021e5fd27b9ffp-2, 0x1.00aca77174ab4p-2, 0x1.fe65c6c094961p-3, 0x1.fb62b2c591decp-3, 0x1.f8509d2a80132p-3, 0x1.f5300eceab972p-3, 0x1.f2018f2e26668p-3, 0x1.eec5a45868819p-3, 0x1.eb7cd2e75f2eep-3, 0x1.e8279df6f924bp-3, 0x1.e4c6871d26cdbp-3, 0x1.e15a0e62522eep-3, 0x1.dde2b23a3db68p-3, 0x1.da60ef7d5ff3dp-3, 0x1.d6d54162a00f7p-3, 0x1.d34021798822bp-3, 0x1.cfa207a4d9317p-3, 0x1.cbfb6a158992fp-3, 0x1.c84cbd4625debp-3, 0x1.c49673f698c37p-3, 0x1.c0d8ff284ad43p-3, 0x1.bd14ce1aae866p-3, 0x1.b94a4e4818b68p-3, 0x1.b579eb62fc924p-3, 0x1.b1a40f538059fp-3, 0x1.adc922355f89ap-3, 0x1.a9e98a562a3f2p-3, 0x1.a605ac33ccc13p-3, 0x1.a21dea7b6e1b2p-3, 0x1.9e32a60895f86p-3, 0x1.9a443de49f064p-3, 0x1.96530f46741a9p-3, 0x1.925f75928f523p-3, 0x1.8e69ca5b45b6cp-3, 0x1.8a726561496dp-3, 0x1.86799c94794b9p-3, 0x1.827fc414e456fp-3, 0x1.7e852e340f36p-3, 0x1.7a8a2b7671f25p-3, 0x1.768f0a952ee49p-3, 0x1.72941880010c4p-3, 0x1.6e99a05f5823bp-3, 0x1.6a9feb96b2476p-3, 0x1.66a741c71d325p-3, 0x1.62afe8d1e99dp-3, 0x1.5eba24db8a988p-3, 0x1.5ac6384ea3871p-3, 0x1.56d463df3781ep-3, 0x1.52e4e68e0ae2bp-3, 0x1.4ef7fdac21d33p-3, 0x1.4b0de4de6672bp-3, 0x1.4726d6217148ep-3, 0x1.434309cd74e89p-3, 0x1.3f62b69a4313ep-3, 0x1.3b8611a3734ep-3, 0x1.37ad4e6ca7547p-3, 0x1.33d89ee5e5964p-3, 0x1.3008337011933p-3, 0x1.2c3c3ae174f13p-3, 0x1.2874e28a675b3p-3, 0x1.24b2563a0391fp-3, 0x1.20f4c042f7c0fp-3, 0x1.1d3c49805e9f7p-3, 0x1.1989195ab0516p-3, 0x1.15db55ccbf988p-3, 0x1.12332368c89d8p-3, 0x1.0e90a55d87a36p-3, 0x1.0af3fd7b5dce1p-3, 0x1.075d4c3985bep-3, 0x1.03ccb0bb46697p-3, 0x1.004248d53a30dp-3, 0x1.f97c62252a247p-4, 0x1.f2810974ec97cp-4, 0x1.eb92bbaa77824p-4, 0x1.e4b1aa63ba941p-4, 0x1.ddde04d68e438p-4, 0x1.d717f7db787f7p-4, 0x1.d05fadf865104p-4, 0x1.c9b54f6b7154p-4, 0x1.c3190235ad6b5p-4, 0x1.bc8aea25d65d7p-4, 0x1.b60b28e321d3bp-4, 0x1.af99ddf7e3213p-4, 0x1.a93726dc4e325p-4, 0x1.a2e31f011ad24p-4, 0x1.9c9ddfda246b1p-4, 0x1.966780e9069cp-4, 0x1.904017c79ff2cp-4, 0x1.8a27b832960d6p-4, 0x1.841e7413c1482p-4, 0x1.7e245b8c8f9fcp-4, 0x1.78397d0053df1p-4, 0x1.725de51e83bcdp-4, 0x1.6c919eece3805p-4, 0x1.66d4b3d19e4c2p-4, 0x1.61272b9d4d85bp-4, 0x1.5b890c94e443ap-4, 0x1.55fa5b7b8ca97p-4, 0x1.507b1b9c65993p-4, 0x1.4b0b4ed43521ep-4, 0x1.45aaf59af386cp-4, 0x1.405a0f0d4cc6p-4, 0x1.3b1898f5fd2e4p-4, 0x1.35e68fd7195ebp-4, 0x1.30c3eef33d1f1p-4, 0x1.2bb0b05699ac2p-4, 0x1.26acccdfed7f4p-4, 0x1.21b83c495c98dp-4, 0x1.1cd2f5312eee5p-4, 0x1.17fced22722b5p-4, 0x1.1336189d7b6e3p-4, 0x1.0e7e6b204ded2p-4, 0x1.09d5d72ee1f0ap-4, 0x1.053c4e5b52a63p-4, 0x1.00b1c14de5c5ap-4, 0x1.f86c3f99f7a2p-5, 0x1.ef92b189bbb31p-5, 0x1.e6d6b49eda03fp-5, 0x1.de38237767242p-5, 0x1.d5b6d72ab0f7cp-5, 0x1.cd52a757deaf9p-5, 0x1.c50b6a3459ddcp-5, 0x1.bce0f499f89p-5, 0x1.b4d31a14e2735p-5, 0x1.ace1acf1407cdp-5, 0x1.a50c7e48a363cp-5, 0x1.9d535e0f37cb2p-5, 0x1.95b61b20adb7cp-5, 0x1.8e34834cee69cp-5, 0x1.86ce63648e4ebp-5, 0x1.7f838744ff9e7p-5, 0x1.7853b9e487bf9p-5, 0x1.713ec55dfc062p-5, 0x1.6a4472fc3b3edp-5, 0x1.63648b456e947p-5, 0x1.5c9ed60605d94p-5, 0x1.55f31a5b87213p-5, 0x1.4f611ebf109aap-5, 0x1.48e8a90fad5d1p-5, 0x1.42897e9c65f6bp-5, 0x1.3c43642e1aca4p-5, 0x1.36161e1124b98p-5, 0x1.3001701eb8f11p-5, 0x1.2a051dc617ed5p-5, 0x1.2420ea158109ap-5, 0x1.1e5497c2ecb51p-5, 0x1.189fe93496ce1p-5, 0x1.1302a089478c6p-5, 0x1.0d7c7fa06e536p-5, 0x1.080d482204396p-5, 0x1.02b4bb863a7bep-5, 0x1.fae53639dbaf8p-6, 0x1.f08d5029ea947p-6, 0x1.e661470657b69p-6, 0x1.dc609cd2ae72dp-6, 0x1.d28ad3799dffdp-6, 0x1.c8df6cda05218p-6, 0x1.bf5dead37828cp-6, 0x1.b605cf5286eacp-6, 0x1.acd69c5c9929bp-6, 0x1.a3cfd41b62254p-6, 0x1.9af0f8e8136cap-6, 0x1.92398d56175dp-6, 0x1.89a9143d91373p-6, 0x1.813f10c5642dp-6, 0x1.78fb066d10ea2p-6, 0x1.70dc7916087c7p-6, 0x1.68e2ed0ce1ae5p-6, 0x1.610de71216c08p-6, 0x1.595cec62869fcp-6, 0x1.51cf82bf9e243p-6, 0x1.4a6530773821cp-6, 0x1.431d7c6b30c54p-6, 0x1.3bf7ee18b5631p-6, 0x1.34f40d9f3d04ap-6, 0x1.2e1163c73bff2p-6, 0x1.274f7a08ac9e2p-6, 0x1.20adda911a8bbp-6, 0x1.1a2c1049ad857p-6, 0x1.13c9a6dcbff4dp-6, 0x1.0d862abb45ae3p-6, 0x1.07612921fde92p-6, 0x1.015a301e4c8e2p-6, 0x1.f6e19d25f18e6p-7, 0x1.eb4928792e3e7p-7, 0x1.dfea236b6e399p-7, 0x1.d4c3b0f5eda74p-7, 0x1.c9d4f5dd7055bp-7, 0x1.bf1d18b96fc23p-7, 0x1.b49b41fad0185p-7, 0x1.aa4e9bf244f8bp-7, 0x1.a03652d6102e2p-7, 0x1.965194c7bd91ep-7, 0x1.8c9f91d9306c4p-7, 0x1.831f7c11690ecp-7, 0x1.79d0877109b08p-7, 0x1.70b1e9f660da2p-7, 0x1.67c2dba126698p-7, 0x1.5f029675f39f6p-7, 0x1.567056815ce1fp-7, 0x1.4e0b59da9817ap-7, 0x1.45d2e0a644ecbp-7, 0x1.3dc62d1843077p-7, 0x1.35e48375e6881p-7, 0x1.2e2d2a176b942p-7, 0x1.269f6969535e7p-7, 0x1.1f3a8bed9298bp-7, 0x1.17fdde3c5513ap-7, 0x1.10e8af04a1245p-7, 0x1.09fa4f0ca62c7p-7, 0x1.03321131d31eap-7, 0x1.f91e94d1ca438p-8, 0x1.ec22a37ad49dfp-8, 0x1.df6f00a2671ap-8, 0x1.d30262b797cfap-8, 0x1.c6db845299971p-8, 0x1.baf92432e3b82p-8, 0x1.af5a053c383e2p-8, 0x1.a3fcee7402ae7p-8, 0x1.98e0aafdc1945p-8, 0x1.8e040a17933c3p-8, 0x1.8365df162a6ffp-8, 0x1.790501608a577p-8, 0x1.6ee04c6b858c9p-8, 0x1.64f69fb4f5b0bp-8, 0x1.5b46debe74102p-8, 0x1.51cff1081bd7ap-8, 0x1.4890c20b04cb6p-8, 0x1.3f8841332c2f9p-8, 0x1.36b561d9b14aep-8, 0x1.2e171b3e29b0ep-8, 0x1.25ac688078ff8p-8, 0x1.1d744899fee1cp-8, 0x1.156dbe569a92p-8, 0x1.0d97d04dbc6e8p-8, 0x1.05f188db18fb7p-8, 0x1.fcf3ec2eaa453p-9, 0x1.ee6053a0b5442p-9, 0x1.e026730371b98p-9, 0x1.d2447c99987ebp-9, 0x1.c4b8a9e1d0ec4p-9, 0x1.b7813b85f9dddp-9, 0x1.aa9c794b2d0d2p-9, 0x1.9e08b2015bf78p-9, 0x1.91c43b71b4e39p-9, 0x1.85cd724ea2db3p-9, 0x1.7a22ba21f3146p-9, 0x1.6ec27d3bd706fp-9, 0x1.63ab2ca171fb1p-9, 0x1.58db3ffb07735p-9, 0x1.4e51358280499p-9, 0x1.440b91f19258p-9, 0x1.3a08e06fce3d1p-9, 0x1.3047b280be02dp-9, 0x1.26c69ff1bfa8ap-9, 0x1.1d8446c7b8d46p-9, 0x1.147f4b2d1ef5ap-9, 0x1.0bb6575fd7ffep-9, 0x1.03281b9eb6f15p-9, 0x1.f5a69c2ea9573p-10, 0x1.e56d55a77787cp-10, 0x1.d5a1e75025449p-10, 0x1.c641e041005b3p-10, 0x1.b74adadcbae41p-10, 0x1.a8ba7cad769bbp-10, 0x1.9a8e763ea8f62p-10, 0x1.8cc482f985776p-10, 0x1.7f5a69009d61ap-10, 0x1.724df90b2f73bp-10, 0x1.659d0e412bcbfp-10, 0x1.59458e1755115p-10, 0x1.4d45682b13ecbp-10, 0x1.419a961ebc38fp-10, 0x1.36431b75d8f54p-10, 0x1.2b3d0571be04cp-10, 0x1.20866aee88455p-10, 0x1.161d6c3f0e4eep-10, 0x1.0c00330afc43fp-10, 0x1.022cf22b746e6p-10, 0x1.f143cb11b7264p-11, 0x1.debaa3f00f118p-11, 0x1.ccbb0a31c193dp-11, 0x1.bb41aa6783256p-11, 0x1.aa4b4230b2dacp-11, 0x1.99d49ff839c8bp-11, 0x1.89daa2b2669b9p-11, 0x1.7a5a399ae794ep-11, 0x1.6b5063f39d284p-11, 0x1.5cba30c425051p-11, 0x1.4e94be9937dc7p-11, 0x1.40dd3b45fe6efp-11, 0x1.3390e3a3e29d7p-11, 0x1.26ad0355126e2p-11, 0x1.1a2ef485b02bcp-11, 0x1.0e141faf6ee44p-11, 0x1.0259fb5c418fbp-11, 0x1.edfc17d56390ap-12, 0x1.d7fbc6a3705d3p-12, 0x1.c2ae41cd6f877p-12, 0x1.ae0ee2452b381p-12, 0x1.9a191ad0c0862p-12, 0x1.86c8779825312p-12, 0x1.74189db531d1ep-12, 0x1.62054ac32ed84p-12, 0x1.508a547102d29p-12, 0x1.3fa3a813a2e96p-12, 0x1.2f4d4a3be0711p-12, 0x1.1f83564a1cc18p-12, 0x1.1041fe06cd3c5p-12, 0x1.01858938d4eedp-12, 0x1.e694aa82a83d8p-13, 0x1.cb19a966fc0ep-13, 0x1.b0931de5b2faep-13, 0x1.96fa3fa05ddbap-13, 0x1.7e486e4d3035ep-13, 0x1.667730f998afdp-13, 0x1.4f80354c671d8p-13, 0x1.395d4ec91d98cp-13, 0x1.24087617471eap-13, 0x1.0f7bc84e76ba9p-13, 0x1.f7630c7fcb9d7p-14, 0x1.d148278d3d328p-14, 0x1.ac9bee33ff03dp-14, 0x1.8953b03e15f96p-14, 0x1.6764ff809b818p-14, 0x1.46c5ae8f38255p-14, 0x1.276bcf6e45807p-14, 0x1.094db2510f049p-14, 0x1.d8c3c8b7d1694p-15, 0x1.a13e5cc535355p-15, 0x1.6bf927763c277p-15, 0x1.38e2a20bc1888p-15, 0x1.07e9b6031acf2p-15, 0x1.b1fb759dbb893p-16, 0x1.581ce7148a8fep-16, 0x1.02181971541d9p-16, 0x1.5f9c6866c2b51p-17, 0x1.8484a3bb9b605p-18, 0x1.5f3af135dc91cp-20, -0x1.8eb602aff8f9cp-19, -0x1.d967baea5e22p-18, -0x1.6f61d829b2bacp-17, -0x1.ebec25d83a6c1p-17, -0x1.31430c32b4c9ep-16, -0x1.69b0d34025d76p-16, -0x1.9f57b97a3cd3p-16, -0x1.d24f6a228a41p-16, -0x1.015776ff7234bp-15, -0x1.18465770a2fc2p-15, -0x1.2dff3da53ec55p-15, -0x1.428cc4e85b43dp-15, -0x1.55f93e4bb27bap-15, -0x1.684eb24b2d51cp-15, -0x1.7996e27b8a961p-15, -0x1.89db4b1fb6a1dp-15, -0x1.992524c41a38bp-15, -0x1.a77d65cc1257ep-15, -0x1.b4ecc3fa8f8bfp-15, -0x1.c17bb5ef45941p-15, -0x1.cd3274a022c7p-15, -0x1.d818fcccee796p-15, -0x1.e23710637bb6cp-15, -0x1.eb9437f0823f7p-15, -0x1.f437c3f090288p-15, -0x1.fc28ce2d636b8p-15, -0x1.01b71d856ff46p-14, -0x1.05075d679ddb3p-14, -0x1.08086573c3afbp-14, -0x1.0abd5b9390628p-14, -0x1.0d294d7c66417p-14, -0x1.0f4f3148a4736p-14, -0x1.1131e60d77fc5p-14, -0x1.12d4346acd456p-14, -0x1.1438cf1da3f99p-14, -0x1.15625387ab4a3p-14, -0x1.16534a3d28541p-14, -0x1.170e2788a024ap-14, -0x1.17954bf142d4ap-14, -0x1.17eb04b947443p-14, -0x1.18118c5cb8dfp-14, -0x1.180b0b0e16c01p-14, -0x1.17d9972f0a7e2p-14, -0x1.177f35c78c59dp-14, -0x1.16fddaf966c65p-14, -0x1.16576a70dac8p-14, -0x1.158db7d64eef8p-14, -0x1.14a287384ecc9p-14, -0x1.13978d75cea75p-14, -0x1.126e70a9e844p-14, -0x1.1128c88d8cff2p-14, -0x1.0fc81edd52551p-14, -0x1.0e4defb9851f1p-14, -0x1.0cbbaa070636ep-14, -0x1.0b12afca1c634p-14, -0x1.095456827fb79p-14, -0x1.0781e7852bb1ep-14, -0x1.059ca0525d3p-14, -0x1.03a5b2e9a355fp-14, -0x1.019e461f1b504p-14, -0x1.ff0eebd42f7ccp-15, -0x1.fac4a76c79a08p-15, -0x1.f65fcd5cf9ea4p-15, -0x1.f1e2581765e22p-15, -0x1.ed4e2eb93374fp-15, -0x1.e8a5259a33221p-15, -0x1.e3e8fedf906b8p-15, -0x1.df1b6afcaaebbp-15, -0x1.da3e093ead22cp-15, -0x1.d552684e5b435p-15, -0x1.d05a06ae5c32dp-15, -0x1.cb56533b44e54p-15, -0x1.c648ad9fc84c5p-15, -0x1.c13266d0c5a56p-15, -0x1.bc14c17c3d93ap-15, -0x1.b6f0f27ce102cp-15, -0x1.b1c82146af754p-15, -0x1.ac9b685419e82p-15, -0x1.a76bd58bc2ecbp-15, -0x1.a23a6aa8e1377p-15, -0x1.9d081d9dcef3dp-15, -0x1.97d5d8f450588p-15, -0x1.92a47c2a41566p-15, -0x1.8d74dc121ed43p-15, -0x1.8847c32680711p-15, -0x1.831df1e7397e4p-15, -0x1.7df81f29bf876p-15, -0x1.78d6f86e3e16bp-15, -0x1.73bb222eeb0f6p-15, -0x1.6ea5382fad2d1p-15, -0x1.6995cdc678385p-15, -0x1.648d6e2b97183p-15, -0x1.5f8c9cbc93e9ap-15, -0x1.5a93d54644e87p-15, -0x1.55a38c4578bfap-15, -0x1.50bc2f2df8258p-15, -0x1.4bde24a54a0a7p-15, -0x1.4709ccc6cd92fp-15, -0x1.423f815d84985p-15, -0x1.3d7f9621bfd7p-15, -0x1.38ca58f14bd35p-15, -0x1.34201206a91bcp-15, -0x1.2f8104336ed4bp-15, -0x1.2aed6d1027652p-15, -0x1.26658532cd5fp-15, -0x1.21e980603d7ecp-15, -0x1.1d798dbb55788p-15, -0x1.1915d7f66e409p-15, -0x1.14be857e171bcp-15, -0x1.1073b8a8cd8bep-15, -0x1.0c358fdd602abp-15, -0x1.080425c1814fbp-15, -0x1.03df915e2ea24p-15, -0x1.ff8fcc928e7efp-16, -0x1.f77a699469bd6p-16, -0x1.ef7f14018f74bp-16, -0x1.e79de00be671dp-16, -0x1.dfd6dc2137a14p-16, -0x1.d82a112d6fb2ap-16, -0x1.d09782d8474f7p-16, -0x1.c91f2fc7ded13p-16, -0x1.c1c111db90d96p-16, -0x1.ba7d1e67f7e1bp-16, -0x1.b353466e56c53p-16, -0x1.ac4376d4ee5bep-16, -0x1.a54d989c2b522p-16, -0x1.9e7191114b7b1p-16, -0x1.97af41ffdf4e3p-16, -0x1.910689e219de7p-16, -0x1.8a774411f61b9p-16, -0x1.840148f0b5f19p-16, -0x1.7da46e179fc68p-16, -0x1.7760867de8a34p-16, -0x1.713562a3ccf06p-16, -0x1.6b22d0b77c419p-16, -0x1.65289cbae53a4p-16, -0x1.5f4690a8aab77p-16, -0x1.597c749687ce8p-16, -0x1.53ca0ed6e21cep-16, -0x1.4e2f241aad836p-16, -0x1.48ab778d717c3p-16, -0x1.433ecaf5e7234p-16, -0x1.3de8ded2480b3p-16, -0x1.38a97272a4abap-16, -0x1.33804415291f2p-16, -0x1.2e6d10ff465e1p-16, -0x1.296f9595fe416p-16, -0x1.24878d759bcddp-16, -0x1.1fb4b388ee1d9p-16, -0x1.1af6c21e19091p-16, -0x1.164d72fcc4bb8p-16, -0x1.11b87f779b5b1p-16, -0x1.0d37a081f1261p-16, -0x1.08ca8ec13f393p-16, -0x1.0471029ebf7c2p-16, -0x1.002ab456f29b4p-16, -0x1.f7eeb816b751cp-17, -0x1.efad63a2c2277p-17, -0x1.e790db8046025p-17, -0x1.df988ffba2c78p-17, -0x1.d7c3f19db2a7bp-17, -0x1.d012714160f04p-17, -0x1.c883802e730b6p-17, -0x1.c116902dab804p-17, -0x1.b9cb13a044fe5p-17, -0x1.b2a07d934b9aap-17, -0x1.ab9641d4094f7p-17, -0x1.a4abd5003f62ap-17, -0x1.9de0ac9abe217p-17, -0x1.97343f18320e8p-17, -0x1.90a603f142f3p-17, -0x1.8a3573b0b97c4p-17, -0x1.83e207fe25e48p-17, -0x1.7dab3bafc6cfbp-17, -0x1.77908ad1f34acp-17, -0x1.719172b55bcacp-17, -0x1.6bad71f54869cp-17, -0x1.65e40886dd4dfp-17, -0x1.6034b7be4e49fp-17, -0x1.5a9f0258090e4p-17, -0x1.55226c7ff9b08p-17, -0x1.4fbe7bd9bcfcap-17, -0x1.4a72b78562f34p-17, -0x1.453ea827bceb4p-17, -0x1.4021d7ebfe34fp-17, -0x1.3b1bd28b198f8p-17, -0x1.362c254f754b7p-17, }}, 
      {{-0x1.316904248e729p-3, -0x1.320b8f4b53cb9p-3, -0x1.33170de05bd3cp-3, -0x1.3486b4bca98cbp-3, -0x1.365457d42ecb1p-3, -0x1.3878c9a59329cp-3, -0x1.3aec34b2b50dbp-3, -0x1.3da669e94659dp-3, -0x1.409f225c95725p-3, -0x1.43ce349782cefp-3, -0x1.472bbea5ecffap-3, -0x1.4ab046354c5a1p-3, -0x1.4e54d024ae878p-3, -0x1.5212f0bba40bbp-3, -0x1.55e4d59cd7fadp-3, -0x1.59c54a6bd64a2p-3, -0x1.5dafb907511aep-3, -0x1.61a02627424dfp-3, -0x1.65932b1e6ecbap-3, -0x1.6985ed6ed338cp-3, -0x1.6d7614cf4692dp-3, -0x1.7161c02e4fbfbp-3, -0x1.75477a2a66b56p-3, -0x1.79262d642fe11p-3, -0x1.7cfd18fbb0d33p-3, -0x1.80cbc5772dca1p-3, -0x1.8491fa419eb77p-3, -0x1.884fb3e00e469p-3, -0x1.8c051af0ad78p-3, -0x1.8fb27bfc3d671p-3, -0x1.9358401a4354ep-3, -0x1.96f6e66284f4fp-3, -0x1.9a8efe21d299fp-3, -0x1.9e2121c551d44p-3, -0x1.a1adf26dcc151p-3, -0x1.a536141bd5db8p-3, -0x1.a8ba2a659f6dbp-3, -0x1.ac3ad5a7e73ffp-3, -0x1.afb8b0a445ec2p-3, -0x1.b3344e80573aep-3, -0x1.b6ae391a6520fp-3, -0x1.ba26efa980cd6p-3, -0x1.bd9ee5a02aa06p-3, -0x1.c11681c9cc2bp-3, -0x1.c48e1d9c4e56p-3, -0x1.c80604b7fb63fp-3, -0x1.cb7e74909b619p-3, -0x1.cef79c3b75d59p-3, -0x1.d2719c5e54f62p-3, -0x1.d5ec873c344cdp-3, -0x1.d96860dc8ccdbp-3, -0x1.dce51f4a81567p-3, -0x1.e062aae96b3a6p-3, -0x1.e3e0dedc71998p-3, -0x1.e75f897efdd75p-3, -0x1.eade6cebf3bfap-3, -0x1.ee5d3f91bc5f4p-3, -0x1.f1dbacd13fc77p-3, -0x1.f55955a5f724ap-3, -0x1.f8d5d15570114p-3, -0x1.fc50ae24832dap-3, -0x1.ffc97210bcb92p-3, -0x1.019fcdc63cb5fp-2, -0x1.0359511e2705fp-2, -0x1.0510fbda346dp-2, -0x1.06c6841a6467bp-2, -0x1.08799db18bd71p-2, -0x1.0a29fa809cb43p-2, -0x1.0bd74acfce2a3p-2, -0x1.0d813da540d0fp-2, -0x1.0f278118c6a0cp-2, -0x1.10c9c2a47d433p-2, -0x1.1267af71fe0ecp-2, -0x1.1400f4a3eb622p-2, -0x1.15953f9bb2e8cp-2, -0x1.17243e3b651e2p-2, -0x1.18ad9f238d647p-2, -0x1.1a3111ecf8a6p-2, -0x1.1bae475e718aap-2, -0x1.1d24f19e6c8a8p-2, -0x1.1e94c460adfa7p-2, -0x1.1ffd751003249p-2, -0x1.215ebaf41dd18p-2, -0x1.22b84f53ab534p-2, -0x1.2409ed92cb939p-2, -0x1.2553534e067e6p-2, -0x1.26944071e3672p-2, -0x1.27cc774f4c327p-2, -0x1.28fbbcacdfe31p-2, -0x1.2a21d7d5655b6p-2, -0x1.2b3e92a37ee03p-2, -0x1.2c51b98acf2dp-2, -0x1.2d5b1b9eba534p-2, -0x1.2e5a8a96e675p-2, -0x1.2f4fdad1ae0cap-2, -0x1.303ae354a28c6p-2, -0x1.311b7dcb4d11fp-2, -0x1.31f186845371ep-2, -0x1.32bcdc6d1dc08p-2, -0x1.337d610c2af71p-2, -0x1.3432f87a2c041p-2, -0x1.34dd895a0aa9p-2, -0x1.357cfccff7db1p-2, -0x1.36113e779dcbdp-2, -0x1.369a3c5991c0bp-2, -0x1.3717e6e01bb53p-2, -0x1.378a30cb6d4c1p-2, -0x1.37f10f255bd83p-2, -0x1.384c7934b45cdp-2, -0x1.389c68703564dp-2, -0x1.38e0d87147522p-2, -0x1.3919c6e67b0fdp-2, -0x1.39473385e4432p-2, -0x1.39691fff5361cp-2, -0x1.397f8fee85a9fp-2, -0x1.398a88cd4778ep-2, -0x1.398a11e59fdd7p-2, -0x1.397e344404f64p-2, -0x1.3966faa9a2587p-2, -0x1.3944717eb7a69p-2, -0x1.3916a6c516619p-2, -0x1.38ddaa0ac2e8ep-2, -0x1.38998c5cb8391p-2, -0x1.384a6039db2a6p-2, -0x1.37f0398615443p-2, -0x1.378b2d7da3761p-2, -0x1.371b52a8905bap-2, -0x1.36a0c0ce673bdp-2, -0x1.361b90ea13748p-2, -0x1.358bdd1df9f34p-2, -0x1.34f1c0a8430fep-2, -0x1.344d57d75aefp-2, -0x1.339ebffea5cb7p-2, -0x1.32e6176b6a573p-2, -0x1.32237d59ed5f2p-2, -0x1.315711eac2352p-2, -0x1.3080f6184efffp-2, -0x1.2fa14bac82bddp-2, -0x1.2eb83536bb376p-2, -0x1.2dc5d601ddf6cp-2, -0x1.2cca520a9f6dp-2, -0x1.2bc5cdf5fa784p-2, -0x1.2ab86f07d4553p-2, -0x1.29a25b19d0f1fp-2, -0x1.2883b8924f465p-2, -0x1.275cae5b959c7p-2, -0x1.262d63db27a17p-2, -0x1.24f600e9439a8p-2, -0x1.23b6adc88f8aap-2, -0x1.226f931de7541p-2, -0x1.2120d9e85978ep-2, -0x1.1fcaab7948ccap-2, -0x1.1e6d316cb317cp-2, -0x1.1d0895a1a4976p-2, -0x1.1b9d0232c9649p-2, -0x1.1a2aa16f2b483p-2, -0x1.18b19dd3124c5p-2, -0x1.17322201080cfp-2, -0x1.15ac58bb03ef8p-2, -0x1.14206cdbb9a8p-2, -0x1.128e89500a0c8p-2, -0x1.10f6d9109b0d3p-2, -0x1.0f59871b92db5p-2, -0x1.0db6be6e739c3p-2, -0x1.0c0eaa001eb0ep-2, -0x1.0a6174baf8191p-2, -0x1.08af4977308a6p-2, -0x1.06f852f52ddf5p-2, -0x1.053cbbd81b1cap-2, -0x1.037caea09900fp-2, -0x1.01b855a79316cp-2, -0x1.ffdfb6326b82fp-3, -0x1.fc46d1e010b73p-3, -0x1.f8a651e055e8cp-3, -0x1.f4fe894567702p-3, -0x1.f14fcaa266f92p-3, -0x1.ed9a6802b14ddp-3, -0x1.e9deb2e16e047p-3, -0x1.e61cfc216125dp-3, -0x1.e255940507985p-3, -0x1.de88ca26ed983p-3, -0x1.dab6ed7253799p-3, -0x1.d6e04c1c0e3ap-3, -0x1.d305339bb3b84p-3, -0x1.cf25f0a5039cbp-3, -0x1.cb42cf2194de6p-3, -0x1.c75c1a2ac7e3dp-3, -0x1.c3721c03f8da1p-3, -0x1.bf851e14f241cp-3, -0x1.bb9568e4a4f9bp-3, -0x1.b7a344141ebcap-3, -0x1.b3aef659bb8edp-3, -0x1.afb8c57ca02d2p-3, -0x1.abc0f6506cc76p-3, -0x1.a7c7ccb12b8bap-3, -0x1.a3cd8b7f8751bp-3, -0x1.9fd2749d32a79p-3, -0x1.9bd6c8e98ff58p-3, -0x1.97dac83e99d8p-3, -0x1.93deb16dfa183p-3, -0x1.8fe2c23e6540ap-3, -0x1.8be737692a178p-3, -0x1.87ec4c97f4fe4p-3, -0x1.83f23c62d2a68p-3, -0x1.7ff9404e61658p-3, -0x1.7c0190ca382f5p-3, -0x1.780b652f86becp-3, -0x1.7416f3bfe0d74p-3, -0x1.702471a441d27p-3, -0x1.6c3412ec3c282p-3, -0x1.68460a8d5a38ep-3, -0x1.645a8a62b13bcp-3, -0x1.6071c32c9aep-3, -0x1.5c8be4909f4f3p-3, -0x1.58a91d198b2b2p-3, -0x1.54c99a37afc3bp-3, -0x1.50ed8841459b2p-3, -0x1.4d15127302cfep-3, -0x1.494062f0cccadp-3, -0x1.456fa2c6988c4p-3, -0x1.41a2f9e968e0cp-3, -0x1.3dda8f3870a6dp-3, -0x1.3a16887e602dep-3, -0x1.36570a72c50e5p-3, -0x1.329c38bb951b7p-3, -0x1.2ee635eed81e6p-3, -0x1.2b35239465cc6p-3, -0x1.27892227ca713p-3, -0x1.23e2511a4439fp-3, -0x1.2040ced4d8407p-3, -0x1.1ca4b8ba81f9ap-3, -0x1.190e2b2a816d3p-3, -0x1.157d4182b31a7p-3, -0x1.11f216220f723p-3, -0x1.0e6cc26b2c12dp-3, -0x1.0aed5ec6e65c2p-3, -0x1.077402a70e02dp-3, -0x1.0400c4892cab3p-3, -0x1.0093b9f95f1b4p-3, -0x1.fa59ef2a6caf9p-4, -0x1.f399221d6648ap-4, -0x1.ece5325e8a105p-4, -0x1.e63e43b5bcdf6p-4, -0x1.dfa478262a3c2p-4, -0x1.d917eff48e0a2p-4, -0x1.d298c9ada4ecfp-4, -0x1.cc27222ca73a1p-4, -0x1.c5c314a1dc8b3p-4, -0x1.bf6cba993497ep-4, -0x1.b9242c00fdf71p-4, -0x1.b2e97f309ce0ep-4, -0x1.acbcc8ef58cf1p-4, -0x1.a69e1c7b2f643p-4, -0x1.a08d8b8fb1e18p-4, -0x1.9a8b266ce6212p-4, -0x1.9496fbde316a7p-4, -0x1.8eb11941504b1p-4, -0x1.88d98a8d421f4p-4, -0x1.83105a594361ap-4, -0x1.7d5591e3c475ap-4, -0x1.77a9391962081p-4, -0x1.720b569bdc339p-4, -0x1.6c7befc90be34p-4, -0x1.66fb08c1d4297p-4, -0x1.6188a4711098ap-4, -0x1.5c24c4927edcap-4, -0x1.56cf69b99ea69p-4, -0x1.5188935891995p-4, -0x1.4c503fc6eb5fdp-4, -0x1.47266c487f20fp-4, -0x1.420b151420cfp-4, -0x1.3cfe355a5b628p-4, -0x1.37ffc74c1f29fp-4, -0x1.330fc4216044ap-4, -0x1.2e2e241fab9d8p-4, -0x1.295adea0add2fp-4, -0x1.2495ea18acbfdp-4, -0x1.1fdf3c1cf0219p-4, -0x1.1b36c96a21178p-4, -0x1.169c85ea931e9p-4, -0x1.121064bc81f6cp-4, -0x1.0d9258383d3ddp-4, -0x1.092251f64433ep-4, -0x1.04c042d54d727p-4, -0x1.006c1b0041f8dp-4, -0x1.f84b93e83dc5ap-5, -0x1.efda7d0b9815ep-5, -0x1.e784cdcfb5d88p-5, -0x1.df4a616067d95p-5, -0x1.d72b11bb5f8c7p-5, -0x1.cf26b7bb3fc02p-5, -0x1.c73d2b227c662p-5, -0x1.bf6e42a61896ap-5, -0x1.b7b9d3f838979p-5, -0x1.b01fb3d2910fbp-5, -0x1.a89fb600a117ep-5, -0x1.a139ad69cf18ep-5, -0x1.99ed6c1b5683bp-5, -0x1.92bac35206bdcp-5, -0x1.8ba18383e0a0bp-5, -0x1.84a17c6983c62p-5, -0x1.7dba7d0772a93p-5, -0x1.76ec53b72d433p-5, -0x1.7036ce302115bp-5, -0x1.6999b99068a73p-5, -0x1.6314e2656c62ap-5, -0x1.5ca814b44b862p-5, -0x1.56531c0226cf6p-5, -0x1.5015c35c34448p-5, -0x1.49efd55fb5c97p-5, -0x1.43e11c41b81d9p-5, -0x1.3de961d6b44b5p-5, -0x1.38086f99fec7dp-5, -0x1.323e0eb50e75ep-5, -0x1.2c8a08069e5dbp-5, -0x1.26ec2429a201p-5, -0x1.21642b7c10852p-5, -0x1.1bf1e6258c535p-5, -0x1.16951c1dd91d8p-5, -0x1.114d953335628p-5, -0x1.0c1b191083bf2p-5, -0x1.06fd6f434de4ep-5, -0x1.01f45f41a67e3p-5, -0x1.f9ff60dfb454ep-6, -0x1.f03e544c0ce17p-6, -0x1.e6a5276afcc52p-6, -0x1.dd3368dc284d4p-6, -0x1.d3e8a7466fe23p-6, -0x1.cac47161e2ac5p-6, -0x1.c1c6560177856p-6, -0x1.b8ede41c6419bp-6, -0x1.b03aaad74a84fp-6, -0x1.a7ac398d11155p-6, -0x1.9f421fd76f779p-6, -0x1.96fbed9749387p-6, -0x1.8ed932fcbc46dp-6, -0x1.86d9808ee646bp-6, -0x1.7efc673374694p-6, -0x1.77417835ece6bp-6, -0x1.6fa8454ebd5bbp-6, -0x1.683060aa05995p-6, -0x1.60d95cee2b917p-6, -0x1.59a2cd4228e51p-6, -0x1.528c4553ab692p-6, -0x1.4b95595cede4ep-6, -0x1.44bd9e2a63c6bp-6, -0x1.3e04a9201c5ecp-6, -0x1.376a103f0451ap-6, -0x1.30ed6a29dddd6p-6, -0x1.2a8e4e2a09439p-6, -0x1.244c543425cbdp-6, -0x1.1e2714ec677b1p-6, -0x1.181e29aace883p-6, -0x1.12312c7f24694p-6, -0x1.0c5fb834cc8aep-6, -0x1.06a9685663c69p-6, -0x1.010dd9312c799p-6, -0x1.f7194fb0b1aabp-7, -0x1.ec4ae4503e01bp-7, -0x1.e1afad914a3b4p-7, -0x1.d746ea6181ef5p-7, -0x1.cd0fdb51263c3p-7, -0x1.c309c297e713ep-7, -0x1.b933e41974c4p-7, -0x1.af8d8569be73ap-7, -0x1.a615edd0e33a2p-7, -0x1.9ccc664eedba7p-7, -0x1.93b0399f23609p-7, -0x1.8ac0b43b2f076p-7, -0x1.81fd245df18c1p-7, -0x1.7964da061fb73p-7, -0x1.70f726f88fed8p-7, -0x1.68b35ec249f3ap-7, -0x1.6098d6ba721bp-7, -0x1.58a6e603c978p-7, -0x1.50dce58e2877bp-7, -0x1.493a3017915p-7, -0x1.41be222d2f6fep-7, -0x1.3a681a2c0acbfp-7, -0x1.333778419212fp-7, -0x1.2c2b9e6bee8edp-7, -0x1.2543f07a218e9p-7, -0x1.1e7fd40c02021p-7, -0x1.17deb091fb508p-7, -0x1.115fef4ca84bcp-7, -0x1.0b02fb4c3f222p-7, -0x1.04c7416fd533ep-7, -0x1.fd5860c8fb81fp-8, -0x1.f1627148705a8p-8, -0x1.e5ab98e98cf7p-8, -0x1.da32bfcc95016p-8, -0x1.cef6d1a3b3537p-8, -0x1.c3f6bdafae61ep-8, -0x1.b93176bc81ea4p-8, -0x1.aea5f31d92bc1p-8, -0x1.a4532ca9cf5e1p-8, -0x1.9a3820b7721fdp-8, -0x1.9053d0179e4c1p-8, -0x1.86a53f11cb40dp-8, -0x1.7d2b755ee0ff2p-8, -0x1.73e57e24581bep-8, -0x1.6ad267eee137ap-8, -0x1.61f144ad1b61bp-8, -0x1.594129aa15004p-8, -0x1.50c12f878539dp-8, -0x1.48707237f08a5p-8, -0x1.404e10f8b9146p-8, -0x1.38592e4bf345ep-8, -0x1.3090eff21e9f5p-8, -0x1.28f47ee3be644p-8, -0x1.2183074adaef2p-8, -0x1.1a3bb87c5e6dap-8, -0x1.131dc4f15c80ap-8, -0x1.0c2862403664dp-8, -0x1.055ac915b1e0fp-8, -0x1.fd686a5bfaaf8p-9, -0x1.f067ca9b0f52bp-9, -0x1.e3b23673c2bbdp-9, -0x1.d7463764f8a43p-9, -0x1.cb225cd2af5e4p-9, -0x1.bf453bf754f54p-9, -0x1.b3ad6fd4e3711p-9, -0x1.a8599926046c3p-9, -0x1.9d485e4ee3085p-9, -0x1.92786b4e359eap-9, -0x1.87e871adf2fedp-9, -0x1.7d9728743667ap-9, -0x1.73834c13c33bap-9, -0x1.69ab9e5cdae71p-9, -0x1.600ee66db431fp-9, -0x1.56abf0a32ecedp-9, -0x1.4d818e894f2dfp-9, -0x1.448e96cbd7968p-9, -0x1.3bd1e526ce1cp-9, -0x1.334a5a56f901ap-9, -0x1.2af6dc0a8af71p-9, -0x1.22d654d181a63p-9, -0x1.1ae7b40e6c658p-9, -0x1.1329ede6d2167p-9, -0x1.0b9bfb33fe9a1p-9, -0x1.043cd9738a761p-9, -0x1.fa1715703a0d6p-10, -0x1.ec0e2b3459ffep-10, -0x1.de5d0a517d5d2p-10, -0x1.d101d1b4b0874p-10, -0x1.c3faa8fb97d02p-10, -0x1.b745c0567d387p-10, -0x1.aae1506a8e98dp-10, -0x1.9ecb9a33d71d8p-10, -0x1.9302e6e7bc7c2p-10, -0x1.878587d7aa537p-10, -0x1.7c51d65391a1fp-10, -0x1.7166338d081d8p-10, -0x1.66c1087a23fc5p-10, -0x1.5c60c5b8da59dp-10, -0x1.5243e37271de7p-10, -0x1.4868e13f1cd0ap-10, -0x1.3ece4609e0d4dp-10, -0x1.35729ff4acd78p-10, -0x1.2c54843c7497ep-10, -0x1.23728f1de793p-10, -0x1.1acb63ba0e08cp-10, -0x1.125dabfb34d1ep-10, -0x1.0a28187a1ba2dp-10, -0x1.022960636aea9p-10, -0x1.f4c082baa6ecbp-11, -0x1.e596fedacd363p-11, -0x1.d6d3c9bd8b79fp-11, -0x1.c8748450dce0cp-11, -0x1.ba76dba8002dbp-11, -0x1.acd888c8e4918p-11, -0x1.9f97507a8b43fp-11, -0x1.92b10313d2b83p-11, -0x1.86237c4ac7cd6p-11, -0x1.79eca304372c4p-11, -0x1.6e0a6924752a3p-11, -0x1.627acb5f81f83p-11, -0x1.573bd10b1cc35p-11, -0x1.4c4b8bf03f107p-11, -0x1.41a8181d7ad8dp-11, -0x1.374f9bba28b81p-11, -0x1.2d4046d99cdb7p-11, -0x1.2378534f87e1bp-11, -0x1.19f6048403833p-11, -0x1.10b7a748f62d3p-11, -0x1.07bb91af8a344p-11, -0x1.fe0045bcdcacp-12, -0x1.ed0785d06f916p-12, -0x1.dc89c5458ae3ep-12, -0x1.cc83f6fdc709cp-12, -0x1.bcf31ec0feedbp-12, -0x1.add450eeec682p-12, -0x1.9f24b231ae652p-12, -0x1.90e17731352bdp-12, -0x1.8307e44844e09p-12, -0x1.75954d3995bf3p-12, -0x1.688714e6c99c9p-12, -0x1.5bdaad088a311p-12, -0x1.4f8d95e6abe47p-12, -0x1.439d5e122f54ep-12, -0x1.3807a21fcbc72p-12, -0x1.2cca0c644edcep-12, -0x1.21e254b078569p-12, -0x1.174e400fbb204p-12, -0x1.0d0ba08608ebfp-12, -0x1.031854d00e727p-12, -0x1.f2e49047d466cp-13, -0x1.e02ee3e510151p-13, -0x1.ce0bab54c11b3p-13, -0x1.bc7704f60e424p-13, -0x1.ab6d2633240e2p-13, -0x1.9aea5b0c3e1b8p-13, -0x1.8aeb05a4015c5p-13, -0x1.7b6b9dce3ad1fp-13, -0x1.6c68b0a06c58bp-13, -0x1.5ddee003057d3p-13, -0x1.4fcae24635c15p-13, -0x1.422981b74e183p-13, -0x1.34f79c37c4515p-13, -0x1.283222d6ba872p-13, -0x1.1bd6196bc2b54p-13, -0x1.0fe096336af86p-13, -0x1.044ec16d282fdp-13, -0x1.f23ba9f6b2e63p-14, -0x1.dc963809606e9p-14, -0x1.c7a7e52f9a681p-14, -0x1.b36b8a9dbe2d1p-14, -0x1.9fdc21eeb939dp-14, -0x1.8cf4c4714a42cp-14, -0x1.7ab0aa7bb1b5p-14, -0x1.690b2ac1053adp-14, -0x1.57ffb9aae6cf4p-14, -0x1.4789e8b5c2e4ep-14, -0x1.37a565cd33a94p-14, -0x1.284dfab04417cp-14, -0x1.197f8c544f717p-14, -0x1.0b361a4d9a005p-14, -0x1.fadb7c6fef70dp-15, -0x1.e045564ab87bbp-15, -0x1.c6a25a1786c24p-15, -0x1.adeb507207cd1p-15, -0x1.9619318e2ecap-15, -0x1.7f25242759b81p-15, -0x1.69087c732d02fp-15, -0x1.53bcbb1e9f9bbp-15, -0x1.3f3b8c478c128p-15, -0x1.2b7ec683ad65cp-15, -0x1.188069e70bb37p-15, -0x1.063a9f10e1856p-15, -0x1.e94f6c7bd0846p-16, -0x1.c7844cbb2ed96p-16, -0x1.a709185ae468ap-16, -0x1.87d352b1011cbp-16, -0x1.69d8c7369b1bbp-16, -0x1.4d0f87d3645c7p-16, -0x1.316deb3f4b102p-16, -0x1.16ea8b5970819p-16, -0x1.faf887366a473p-17, -0x1.ca345f0617a52p-17, -0x1.9b77522532b4dp-17, -0x1.6eb08e9c34d0dp-17, -0x1.43cfb98bfec18p-17, -0x1.1ac4ec52503d5p-17, -0x1.e7016378d345cp-18, -0x1.9be8068a460b5p-18, -0x1.54208ccf84e51p-18, -0x1.0f8e93edbc36bp-18, -0x1.9c2d0e42479acp-19, -0x1.1f3b34379da18p-19, -0x1.502710b503978p-20, -0x1.b41bb50f0d52fp-22, 0x1.ad3107d07c197p-22, 0x1.3931e78c8bc4ap-20, 0x1.fd06aae2c690ep-20, 0x1.5b9240eaa2229p-19, 0x1.b3f16108e4e81p-19, 0x1.03e58c88db78dp-18, 0x1.2ba446814df35p-18, 0x1.5148d4dbd516ep-18, 0x1.74e6966e6559dp-18, 0x1.96905655f62a6p-18, 0x1.b6584fc865d4cp-18, 0x1.d45031c59ff5ep-18, 0x1.f08922c34ee09p-18, 0x1.0589e216fac5bp-17, 0x1.12001af88670ap-17, 0x1.1daf0ce7141ap-17, 0x1.289e4b579dafcp-17, 0x1.32d52df8e669cp-17, 0x1.3c5ad2409c1ffp-17, 0x1.45361cfbe4467p-17, 0x1.4d6dbbcfa66e3p-17, 0x1.550826b8273dcp-17, 0x1.5c0ba1730845ep-17, 0x1.627e3ced88a09p-17, 0x1.6865d8a31cff6p-17, 0x1.6dc823f40b2a5p-17, 0x1.72aa9f77c38cdp-17, 0x1.77129e4380d7bp-17, 0x1.7b0547296c588p-17, 0x1.7e8795f4df012p-17, 0x1.819e5c9998baap-17, 0x1.844e4459e494cp-17, 0x1.869bcef14515bp-17, 0x1.888b57a8ba33p-17, 0x1.8a21146fe5e1fp-17, 0x1.8b6116eaac0fdp-17, 0x1.8c4f4d7622e7bp-17, 0x1.8cef842c05303p-17, 0x1.8d4565de86c87p-17, 0x1.8d547d086c57ep-17, 0x1.8d2034bfd26c1p-17, 0x1.8cabd99c937e5p-17, 0x1.8bfa9a9e51bep-17, 0x1.8b0f8a03ff016p-17, 0x1.89ed9e27aedeap-17, 0x1.8897b24fb5244p-17, 0x1.87108778f314bp-17, 0x1.855ac523e2799p-17, 0x1.8378fa1208b97p-17, 0x1.816d9d059bf9ap-17, 0x1.7f3b0d7ab9044p-17, 0x1.7ce394586c9fep-17, 0x1.7a6964a3dda98p-17, 0x1.77ce9c273e704p-17, 0x1.7515441c11c9dp-17, 0x1.723f51c896008p-17, 0x1.6f4ea720e126dp-17, 0x1.6c45135e3a756p-17, 0x1.692453968384p-17, 0x1.65ee134afa74dp-17, 0x1.62a3ecf888717p-17, 0x1.5f476aa021922p-17, 0x1.5bda064bd10d3p-17, 0x1.585d2a9451304p-17, 0x1.54d2331ab86fp-17, 0x1.513a6d0a1959ap-17, 0x1.4d97178b81678p-17, 0x1.49e9643c4fd98p-17, 0x1.4632779e51672p-17, 0x1.427369889adf3p-17, 0x1.3ead458feb232p-17, 0x1.3ae10b71e47cp-17, 0x1.370faf794fce9p-17, 0x1.333a1adfa92c8p-17, 0x1.2f612c2f3ca86p-17, 0x1.2b85b79db0615p-17, 0x1.27a88768f3c48p-17, 0x1.23ca5c2caf7bp-17, 0x1.1febed3a3c6bfp-17, 0x1.1c0de8e97430bp-17, 0x1.1830f4eb0bd6ap-17, 0x1.1455ae9527487p-17, 0x1.107cab2f5a4c1p-17, 0x1.0ca6783d1a289p-17, 0x1.08d39bc50b917p-17, 0x1.05049495e08c5p-17, 0x1.0139da8ad6817p-17, 0x1.fae7bd9804fc4p-18, 0x1.f366181cb0deap-18, 0x1.ebef8da11efd8p-18, 0x1.e484db2cd43f9p-18, 0x1.dd26b2485e379p-18, 0x1.d5d5b969c65b7p-18, 0x1.ce928c636f326p-18, 0x1.c75dbccbb712ap-18, 0x1.c037d265620a5p-18, 0x1.b9214b7fafbd8p-18, 0x1.b21a9d579d9abp-18, 0x1.ab243475c8149p-18, 0x1.a43e75062abb1p-18, 0x1.9d69bb307db4ep-18, 0x1.96a65b6c242aep-18, 0x1.8ff4a2d184a3ep-18, 0x1.8954d768c5d4bp-18, 0x1.82c73876383f4p-18, 0x1.7c4bfec51a6cp-18, 0x1.75e35cef08d81p-18, 0x1.6f8d7f9e4a676p-18, 0x1.694a8dd5b0715p-18, 0x1.631aa92c8a723p-18, 0x1.5cfdee0edaaaep-18, 0x1.56f473fb4923ep-18, 0x1.50fe4db9cefe2p-18, 0x1.4b1b89998ca2cp-18, 0x1.454c31a0a9e55p-18, 0x1.3f904bc5ff28p-18, 0x1.39e7da20d4581p-18, 0x1.3452db19fcac4p-18, 0x1.2ed1499e24335p-18, 0x1.29631d4710036p-18, 0x1.24084a8aad1a6p-18, 0x1.1ec0c2e49dcc1p-18, 0x1.198c74ff3b1bdp-18, 0x1.146b4cd9ccb79p-18, 0x1.0f5d33eee792p-18, 0x1.0a62115a43945p-18, 0x1.0579c9f9a44dap-18, 0x1.00a440915cd63p-18, 0x1.f7c2abd4a8a41p-19, 0x1.ee61d1e795ab4p-19, 0x1.e525adbef07b3p-19, 0x1.dc0df680ecd2ap-19, 0x1.d31a604772aebp-19, 0x1.ca4a9c5f228bfp-19, 0x1.c19e597371b0bp-19, 0x1.b91543c3d469ap-19, 0x1.b0af05518fdd1p-19, 0x1.a86b460e3dfdap-19, 0x1.a049ac058104dp-19, 0x1.9849db8885d24p-19, 0x1.906b7755dfdaep-19, 0x1.88ae20c0518abp-19, 0x1.811177d241385p-19, 0x1.79951b703b68p-19, 0x1.7238a97fcfee3p-19, 0x1.6afbbf0167abbp-19, 0x1.63ddf8317a324p-19, 0x1.5cdef0a80a6bp-19, 0x1.55fe43703e2b3p-19, 0x1.4f3b8b276b986p-19, 0x1.48966212feaap-19, 0x1.420e623cecbe4p-19, 0x1.3ba32584ced1ep-19, 0x1.355445bcb0bdcp-19, 0x1.2f215cb8742b8p-19, 0x1.290a046490913p-19, 0x1.230dd6d7c7e72p-19, 0x1.1d2c6e670fb91p-19, 0x1.176565b3ac194p-19, 0x1.11b857bd260dep-19, 0x1.0c24dfeffcf92p-19, 0x1.06aa9a31ace62p-19, 0x1.014922f2376f3p-19, 0x1.f8002e6a30a72p-20, 0x1.ed9e2941b89bap-20, 0x1.e36b730d8ea13p-20, 0x1.d96749e009b68p-20, 0x1.cf90ed4c5f37fp-20, 0x1.c5e79e79ca3fcp-20, 0x1.bc6aa0338072ap-20, 0x1.b31936faaa287p-20, 0x1.a9f2a915753fdp-20, 0x1.a0f63e9a833bdp-20, 0x1.9823417e7d529p-20, 0x1.8f78fda0ff01ep-20, 0x1.86f6c0d649737p-20, 0x1.7e9bdaf0f11ddp-20, 0x1.76679dca925d5p-20, 0x1.6e595d4b64aafp-20, 0x1.66706f7318b66p-20, 0x1.5eac2c5bd02c8p-20, 0x1.570bee45ff1fcp-20, 0x1.4f8f11978b361p-20, 0x1.4834f4e2ca259p-20, 0x1.40fcf8ea4b504p-20, 0x1.39e680a11e17ap-20, 0x1.32f0f12f6e747p-20, 0x1.2c1bb1f4cc576p-20, 0x1.25662c86caddep-20, 0x1.1ecfccb4b1b75p-20, 0x1.18580085f526ep-20, 0x1.11fe383a16e26p-20, 0x1.0bc1e649ff06bp-20, 0x1.05a27f624330cp-20, 0x1.ff3ef4ccaabffp-21, 0x1.f370a0db73749p-21, 0x1.e7d8f9825892fp-21, 0x1.dc76f9ad943acp-21, 0x1.d149a0a2364c2p-21, 0x1.c64ff1f67ce5ep-21, 0x1.bb88f589a93a8p-21, 0x1.b0f3b77bb492bp-21, 0x1.a68f482a982afp-21, 0x1.9c5abc2399d6p-21, 0x1.92552c1f22b01p-21, 0x1.887db4f3abba4p-21, 0x1.7ed3778ed71e3p-21, 0x1.755598e9798efp-21, 0x1.6c0341ffd5f4fp-21, 0x1.62db9fc401c33p-21, 0x1.59dde3167acb9p-21, 0x1.510940b5bc62ep-21, 0x1.485cf1372b374p-21, 0x1.3fd830fae1204p-21, 0x1.377a401b34a83p-21, 0x1.2f426268244b7p-21, 0x1.272fdf55956c9p-21, 0x1.1f4201f25a8e7p-21, 0x1.177818d74ef38p-21, 0x1.0fd1761ed70dap-21, 0x1.084d6f55832f9p-21, 0x1.00eb5d7096b9ep-21, 0x1.f355397cb0f59p-22, 0x1.e51519b50642fp-22, 0x1.d71521429f31p-22, 0x1.c9541c4619728p-22, 0x1.bbd0dd28abb14p-22, 0x1.ae8a3c865ca43p-22, 0x1.a17f19164902bp-22, }}, 
      std::vector<double>(800, 0.0), 
      {{-0x1.6ab7153565ff5p-8, -0x1.689fd2b158a8fp-7, -0x1.0c0a295719fc3p-6, -0x1.6147fb9e36ab9p-6, -0x1.b3bf5762e89dfp-6, -0x1.01b3849dbc1dep-5, -0x1.28340e3f53994p-5, -0x1.4d8771a5d6313p-5, -0x1.71dee016868f4p-5, -0x1.95712e24282b9p-5, -0x1.b8769d896b92bp-5, -0x1.db25ac0bc4dddp-5, -0x1.fdb0b93907881p-5, -0x1.10222de994b2bp-4, -0x1.2183245193283p-4, -0x1.330a59abe812ep-4, -0x1.44c30b211fbddp-4, -0x1.56b4a7e42ac16p-4, -0x1.68e3029ca4f39p-4, -0x1.7b4e9d9280508p-4, -0x1.8df509fb6195cp-4, -0x1.a0d1535036f13p-4, -0x1.b3dc7052b9129p-4, -0x1.c70db45a6719fp-4, -0x1.da5b3c8b030abp-4, -0x1.edba55a6c27bfp-4, -0x1.008fec18aa99bp-3, -0x1.0a403cc0f062ep-3, -0x1.13e88893cbbfp-3, -0x1.1d83695202db6p-3, -0x1.270bbdfb4c0a6p-3, -0x1.307cbce4f3b3ap-3, -0x1.39d201244b90fp-3, -0x1.430793dd849c3p-3, -0x1.4c19f20afe883p-3, -0x1.55060f4ce2162p-3, -0x1.5dc956474e4c2p-3, -0x1.6661a70887b23p-3, -0x1.6ecd53e214642p-3, -0x1.770b1d10ae84cp-3, -0x1.7f1a2b805eeafp-3, -0x1.86fa0aec8bbe3p-3, -0x1.8eaaa38fc8dffp-3, -0x1.962c338c85c8ep-3, -0x1.9d7f482f12e8fp-3, -0x1.a4a4b721ff774p-3, -0x1.ab9d97a810239p-3, -0x1.b26b3bea7c5aep-3, -0x1.b90f2a6695d0cp-3, -0x1.bf8b17836b2aep-3, -0x1.c5e0df5619ed2p-3, -0x1.cc127f9a1c01p-3, -0x1.d22211e2022fbp-3, -0x1.d811c6044d215p-3, -0x1.dde3dcc7be817p-3, -0x1.e39aa2d1f7f56p-3, -0x1.e9386bdb224d8p-3, -0x1.eebf8e28d1a74p-3, -0x1.f4325e523e2e6p-3, -0x1.f9932b4f718aep-3, -0x1.fee43ad4bac26p-3, -0x1.0213e2fd9d627p-2, -0x1.04affb1b82d69p-2, -0x1.0747714d60799p-2, -0x1.09db46b421462p-2, -0x1.0c6c70f692577p-2, -0x1.0efbd954ed144p-2, -0x1.118a5be0ae6c2p-2, -0x1.1418c6d783c5bp-2, -0x1.16a7da1ffd2a1p-2, -0x1.193846e66f2e2p-2, -0x1.1bcaaf585d10dp-2, -0x1.1e5fa67c95c95p-2, -0x1.20f7b02622dfbp-2, -0x1.2393410004bafp-2, -0x1.2632beafc1bd5p-2, -0x1.28d6800cacfb5p-2, -0x1.2b7ecd69e34cep-2, -0x1.2e2be0f0ef651p-2, -0x1.30dde70b13b07p-2, -0x1.3394fed750083p-2, -0x1.36513aab3716p-2, -0x1.3912a09cd3b08p-2, -0x1.3bd92b13de76dp-2, -0x1.3ea4c960ae9c9p-2, -0x1.417560575ee9dp-2, -0x1.444acaedc6a58p-2, -0x1.4724dadaf5f86p-2, -0x1.4a0359370d59bp-2, -0x1.4ce6071a5f581p-2, -0x1.4fcc9e3ae2effp-2, -0x1.52b6d1872435p-2, -0x1.55a44dbdef986p-2, -0x1.5894ba0212de4p-2, -0x1.5b87b869aa8a8p-2, -0x1.5e7ce68881f1ep-2, -0x1.6173ddf5267e5p-2, -0x1.646c34c86525bp-2, -0x1.67657e16f40f7p-2, -0x1.6a5f4a6521b46p-2, -0x1.6d592814722a9p-2, -0x1.7052a3cb1ddbcp-2, -0x1.734b48d5767c3p-2, -0x1.7642a18139bd2p-2, -0x1.79383772eec0ap-2, -0x1.7c2b93f56d895p-2, -0x1.7f1c4043b2b48p-2, -0x1.8209c5cd3362bp-2, -0x1.84f3ae74dc6a7p-2, -0x1.87d984cafbb81p-2, -0x1.8abad4424a64ap-2, -0x1.8d9729604e0c8p-2, -0x1.906e11e95d0b8p-2, -0x1.933f1d08751e6p-2, -0x1.9609db7330efdp-2, -0x1.98cddf8a138aep-2, -0x1.9b8abd756bac1p-2, -0x1.9e400b3f0c825p-2, -0x1.a0ed60e9142cdp-2, -0x1.a3925881ff496p-2, -0x1.a62e8e36401d7p-2, -0x1.a8c1a05f88d9p-2, -0x1.ab4b2f9207d81p-2, -0x1.adcadea7bb441p-2, -0x1.b04052ca1380fp-2, -0x1.b2ab337a047f6p-2, -0x1.b50b2a96bd5ffp-2, -0x1.b75fe4631f77dp-2, -0x1.b9a90f8a19a8dp-2, -0x1.bbe65d2210f41p-2, -0x1.be1780af6af2bp-2, -0x1.c03c302655e97p-2, -0x1.c25423ebec5ffp-2, -0x1.c45f16d6c4812p-2, -0x1.c65cc62f04c6dp-2, -0x1.c84cf1ae079ddp-2, -0x1.ca2f5b7da784dp-2, -0x1.cc03c837372a3p-2, -0x1.cdc9fee23872bp-2, -0x1.cf81c8f2d9726p-2, -0x1.d12af2484093ep-2, -0x1.d2c5492aac542p-2, -0x1.d4509e4972725p-2, -0x1.d5ccc4b8d86c5p-2, -0x1.d73991efd5fdp-2, -0x1.d896ddc5b7f0cp-2, -0x1.d9e4826faa585p-2, -0x1.db225c7e2bdd5p-2, -0x1.dc504ada65d26p-2, -0x1.dd6e2ec36ba19p-2, -0x1.de7bebcb5e865p-2, -0x1.df7967d476731p-2, -0x1.e0668b0dec2dap-2, -0x1.e1433ff0bfcbbp-2, -0x1.e20f733c60664p-2, -0x1.e2cb13f32bc7p-2, -0x1.e3761356c610ap-2, -0x1.e41064e4464c5p-2, -0x1.e499fe5034ca8p-2, -0x1.e512d7825c35dp-2, -0x1.e57aea91633c5p-2, -0x1.e5d233be32c37p-2, -0x1.e618b16f26742p-2, -0x1.e64e642b01e6ep-2, -0x1.e6734e93a8aeap-2, -0x1.e68775609da67p-2, -0x1.e68adf593da44p-2, -0x1.e67d954ebfac5p-2, -0x1.e65fa215f16a3p-2, -0x1.e6311280b1405p-2, -0x1.e5f1f55729e4ap-2, -0x1.e5a25b50c6bc5p-2, -0x1.e542570cea358p-2, -0x1.e4d1fd0b60659p-2, -0x1.e45163a48ecdcp-2, -0x1.e3c0a301653bbp-2, -0x1.e31fd5130fc54p-2, -0x1.e26f158a673cap-2, -0x1.e1ae81cf25d46p-2, -0x1.e0de38f6e2962p-2, -0x1.dffe5bbbce668p-2, -0x1.df0f0c733f555p-2, -0x1.de106f03ffadap-2, -0x1.dd02a8dc70299p-2, -0x1.dbe5e0e874ee7p-2, -0x1.daba3f8735acdp-2, -0x1.d97fee80b3f8dp-2, -0x1.d83718fb35a6fp-2, -0x1.d6dfeb708c6abp-2, -0x1.d57a93a339d51p-2, -0x1.d407409371e6ap-2, -0x1.d286227401ecp-2, -0x1.d0f76a9f200b5p-2, -0x1.cf5b4b8b1f8cep-2, -0x1.cdb1f8bf17f2ap-2, -0x1.cbfba6c77681ep-2, -0x1.ca388b2a8620ep-2, -0x1.c868dc5ced168p-2, -0x1.c68cd1b623c02p-2, -0x1.c4a4a364e833fp-2, -0x1.c2b08a63b1e31p-2, -0x1.c0b0c06d28c05p-2, -0x1.bea57ff09feb9p-2, -0x1.bc8f04069bccep-2, -0x1.ba6d8865639e8p-2, -0x1.b84149559ed71p-2, -0x1.b60a83a7073f7p-2, -0x1.b3c974a52df22p-2, -0x1.b17e5a0c55e6fp-2, -0x1.af2971fe68729p-2, -0x1.accafaf806cbfp-2, -0x1.aa6333c5b6d71p-2, -0x1.a7f25b7930eb9p-2, -0x1.a578b15ed13b1p-2, -0x1.a2f674f32bf6bp-2, -0x1.a06be5d8c9797p-2, -0x1.9dd943ce08b6bp-2, -0x1.9b3ecea32da3p-2, -0x1.989cc63098846p-2, -0x1.95f36a4d2da32p-2, -0x1.9342fac4e8f58p-2, -0x1.908bb74fa3ef5p-2, -0x1.8dcddf8809ef2p-2, -0x1.8b09b2e2c2c51p-2, -0x1.883f70a5cc47ap-2, -0x1.856f57e00df79p-2, -0x1.8299a7611a5fep-2, -0x1.7fbe9db12f5b8p-2, -0x1.7cde790965d97p-2, -0x1.79f9774c1c203p-2, -0x1.770fd5fd9b004p-2, -0x1.7421d23cecb87p-2, -0x1.712fa8bcf1deap-2, -0x1.6e3995bdaf743p-2, -0x1.6b3fd505d06fdp-2, -0x1.6842a1dc69401p-2, -0x1.65423702ed70dp-2, -0x1.623eceaf62e38p-2, -0x1.5f38a286cb1fcp-2, -0x1.5c2feb97ca36fp-2, -0x1.5924e25583c01p-2, -0x1.5617be92aecd4p-2, -0x1.5308b77ce7e4dp-2, -0x1.4ff8039833cbbp-2, -0x1.4ce5d8bac0529p-2, -0x1.49d26c08d7b7cp-2, -0x1.46bdf1f10e162p-2, -0x1.43a89e28a1687p-2, -0x1.4092a3a811675p-2, -0x1.3d7c34a7ebbd7p-2, -0x1.3a65829dcb404p-2, -0x1.374ebe398b7fp-2, -0x1.34381762acb27p-2, -0x1.3121bd35eea66p-2, -0x1.2e0bde03148a1p-2, -0x1.2af6a74ae17cep-2, -0x1.27e245bd3cafbp-2, -0x1.24cee5378abe3p-2, -0x1.21bcb0c32e2c4p-2, -0x1.1eabd29438b4ep-2, -0x1.1b9c740846d21p-2, -0x1.188ebda5849bap-2, -0x1.1582d719df124p-2, -0x1.1278e73a5acc1p-2, -0x1.0f71140294da4p-2, -0x1.0c6b829469815p-2, -0x1.09685737be91p-2, -0x1.0667b55a78659p-2, -0x1.0369bf9089bd2p-2, -0x1.006e97942e36p-2, -0x1.faecbc8c84899p-3, -0x1.f502675d776bfp-3, -0x1.ef1e6dfa881ap-3, -0x1.e9410d13dd314p-3, -0x1.e36a7fac1c631p-3, -0x1.dd9aff1a50004p-3, -0x1.d7d2c30bff88bp-3, -0x1.d21201877de3p-3, -0x1.cc58eeee71a28p-3, -0x1.c6a7be0084008p-3, -0x1.c0fe9fde48219p-3, -0x1.bb5dc40c4ad0ap-3, -0x1.b5c558764ff81p-3, -0x1.b0358972b7af3p-3, -0x1.aaae81c60f435p-3, -0x1.a5306aa6c3ad4p-3, -0x1.9fbb6bc0fb9c3p-3, -0x1.9a4fab3a92ed2p-3, -0x1.94ed4db734ebfp-3, -0x1.8f94765c9aa4bp-3, -0x1.8a4546d6e3981p-3, -0x1.84ffdf5d06301p-3, -0x1.7fc45eb565263p-3, -0x1.7a92e23a6e965p-3, -0x1.756b85df64696p-3, -0x1.704e643527636p-3, -0x1.6b3b966f20facp-3, -0x1.6633346844efbp-3, -0x1.613554a812e34p-3, -0x1.5c420c67b87a4p-3, -0x1.57596f9738c77p-3, -0x1.527b90e2a54ccp-3, -0x1.4da881b75d258p-3, -0x1.48e052495ce64p-3, -0x1.442311989667fp-3, -0x1.3f70cd764c178p-3, -0x1.3ac9928a76d37p-3, -0x1.362d6c5934956p-3, -0x1.319c654835599p-3, -0x1.2d1686a42ff03p-3, -0x1.289bd8a65a545p-3, -0x1.242c6279dbda1p-3, -0x1.1fc82a414c8e7p-3, -0x1.1b6f351c2aea6p-3, -0x1.1721872c5185dp-3, -0x1.12df239b6dabep-3, -0x1.0ea80ca070a7ep-3, -0x1.0a7c4384ff4ffp-3, -0x1.065bc8aada869p-3, -0x1.02469b9145f98p-3, -0x1.fc7975b4c51fap-4, -0x1.f47c48a115366p-4, -0x1.ec95a9d741ad1p-4, -0x1.e4c591acb0b7ep-4, -0x1.dd0bf6e6eb215p-4, -0x1.d568cec60581ep-4, -0x1.cddc0d0f00ab3p-4, -0x1.c665a4160a69ap-4, -0x1.bf0584c8aaeadp-4, -0x1.b7bb9eb7e2501p-4, -0x1.b087e02226953p-4, -0x1.a96a35fd4e1e9p-4, -0x1.a2628c005e201p-4, -0x1.9b70ccad3ea21p-4, -0x1.9494e15a5968ep-4, -0x1.8dceb23c1634cp-4, -0x1.871e266e3bea5p-4, -0x1.808323fd3bbd4p-4, -0x1.79fd8fef54f3p-4, -0x1.738d4e4da2a82p-4, -0x1.6d32422d08dcfp-4, -0x1.66ec4db7006f1p-4, -0x1.60bb523245b25p-4, -0x1.5a9f300b686d7p-4, -0x1.5497c6dd3901p-4, -0x1.4ea4f5791a77bp-4, -0x1.48c699ef29d64p-4, -0x1.42fc91965379ep-4, -0x1.3d46b9143923ep-4, -0x1.37a4ec64fd754p-4, -0x1.321706e2f208ap-4, -0x1.2c9ce34e1856bp-4, -0x1.27365bd38e31ap-4, -0x1.21e34a14cc571p-4, -0x1.1ca3872ece7c8p-4, -0x1.1776ebc110f6cp-4, -0x1.125d4ff4704bfp-4, -0x1.0d568b81e50f3p-4, -0x1.086275b9225b5p-4, -0x1.0380e5870cb89p-4, -0x1.fd6362f82633dp-5, -0x1.f3e95fa4c9b15p-5, -0x1.ea936ce80e47ap-5, -0x1.e161360191524p-5, -0x1.d85265a82909fp-5, -0x1.cf66a61544baap-5, -0x1.c69da1101345dp-5, -0x1.bdf6fff85eb2cp-5, -0x1.b5726bd12f1a4p-5, -0x1.ad0f8d4b28411p-5, -0x1.a4ce0cceab08ep-5, -0x1.9cad9285b3531p-5, -0x1.94adc6657a135p-5, -0x1.8cce5037dbebfp-5, -0x1.850ed7a47912p-5, -0x1.7d6f0439a4fd3p-5, -0x1.75ee7d7509649p-5, -0x1.6e8ceacc1fb61p-5, -0x1.6749f3b463d64p-5, -0x1.60253fab4c1d9p-5, -0x1.591e763e0df73p-5, -0x1.52353f1120008p-5, -0x1.4b6941e793b21p-5, -0x1.44ba26aa24173p-5, -0x1.3e27956e1998dp-5, -0x1.37b1367bf7f39p-5, -0x1.3156b255ec7e8p-5, -0x1.2b17b1be1834bp-5, -0x1.24f3ddbc91f78p-5, -0x1.1eeadfa54aeap-5, -0x1.18fc611da941cp-5, -0x1.13280c2209c3cp-5, -0x1.0d6d8b0afa882p-5, -0x1.07cc88925aa6ap-5, -0x1.0244afd830b4p-5, -0x1.f9ab58cee4f0ap-6, -0x1.eefe5474fe7b3p-6, -0x1.e481ab7f0cd49p-6, -0x1.da34b7b968d03p-6, -0x1.d016d3e8693b7p-6, -0x1.c6275bd02c69fp-6, -0x1.bc65ac3bdc0dep-6, -0x1.b2d12304d436ep-6, -0x1.a9691f1963935p-6, -0x1.a02d00832e1b2p-6, -0x1.971c286d5a3f2p-6, -0x1.8e35f92a6e945p-6, -0x1.8579d639d620fp-6, -0x1.7ce7244d36ebfp-6, -0x1.747d494d5c2ebp-6, -0x1.6c3bac5f05147p-6, -0x1.6421b5e756977p-6, -0x1.5c2ecf90091bbp-6, -0x1.5462644b62ab5p-6, -0x1.4cbbe057eda52p-6, -0x1.453ab143f17e3p-6, -0x1.3dde45f0a1a12p-6, -0x1.36a60e952d55ep-6, -0x1.2f917cc17bed6p-6, -0x1.28a00360bc97bp-6, -0x1.21d116bbc6605p-6, -0x1.1b242c7b3063fp-6, -0x1.1498bba94de06p-6, -0x1.0e2e3cb3db748p-6, -0x1.07e4296d93befp-6, -0x1.01b9fd0f8d199p-6, -0x1.f75e6874c7edap-7, -0x1.eb8699ee6d99cp-7, -0x1.dfeb8d7101dd8p-7, -0x1.d48c44b57e6bap-7, -0x1.c967c449ea023p-7, -0x1.be7d1391fd141p-7, -0x1.b3cb3cc788862p-7, -0x1.a9514cfa933d5p-7, -0x1.9f0e54110b4e6p-7, -0x1.950164c6745d3p-7, -0x1.8b2994aafc94dp-7, -0x1.8185fc22a6bb8p-7, -0x1.7815b663dc48p-7, -0x1.6ed7e1760ef1dp-7, -0x1.65cb9e2fdfd07p-7, -0x1.5cf01035467a6p-7, -0x1.54445df548f63p-7, -0x1.4bc7b0a79e8ep-7, -0x1.4379344a16f7ep-7, -0x1.3b58179dd42c9p-7, -0x1.33638c243fd7cp-7, -0x1.2b9ac61bf12a3p-7, -0x1.23fcfc7d4facdp-7, -0x1.1c8968f7051b2p-7, -0x1.153f47ea720d1p-7, -0x1.0e1dd867af3ap-7, -0x1.07245c29c1f5fp-7, -0x1.005217925f1b6p-7, -0x1.f34ca34b738f6p-8, -0x1.e640a80c4d7ddp-8, -0x1.d97ed5df1da9bp-8, -0x1.cd05ca65c807p-8, -0x1.c0d42862b831dp-8, -0x1.b4e897af2738ep-8, -0x1.a941c53173b3fp-8, -0x1.9dde62d2e3d34p-8, -0x1.92bd27757df38p-8, -0x1.87dccee990699p-8, -0x1.7d3c19e340e7ap-8, -0x1.72d9cdefb83ddp-8, -0x1.68b4b56a5a35cp-8, -0x1.5ecb9f71c68a1p-8, -0x1.551d5fdcaa4d3p-8, -0x1.4ba8cf2eaf6d5p-8, -0x1.426cca8d09b51p-8, -0x1.396833b308045p-8, -0x1.3099f0e6a4695p-8, -0x1.2800ececf6638p-8, -0x1.1f9c16fe464a9p-8, -0x1.176a62bacea9dp-8, -0x1.0f6ac81e55c6ap-8, -0x1.079c4374db46fp-8, -0x1.fffbaa9cdfda2p-9, -0x1.f11d04e695eep-9, -0x1.e29aa7afd0709p-9, -0x1.d472ad21fac62p-9, -0x1.c6a3378f21107p-9, -0x1.b92a715988004p-9, -0x1.ac068cdbeea96p-9, -0x1.9f35c451598f1p-9, -0x1.92b659bd1c2cap-9, -0x1.868696d286bb4p-9, -0x1.7aa4ccdd3a9a8p-9, -0x1.6f0f54a8c852dp-9, -0x1.63c48e691f938p-9, -0x1.58c2e1a250ac7p-9, -0x1.4e08bd10d9a53p-9, -0x1.43949691d2ac6p-9, -0x1.3964eb0b5e16p-9, -0x1.2f783e54b1e3dp-9, -0x1.25cd1b1ec6d02p-9, -0x1.1c6212dd07588p-9, -0x1.1335bdadbaaa7p-9, -0x1.0a46ba42c9a2ap-9, -0x1.0193adcab5e63p-9, -0x1.f23687b3874cfp-10, -0x1.e1b85ca567dc4p-10, -0x1.d1aa4aa109673p-10, -0x1.c209ce1eaabd4p-10, -0x1.b2d46facaa08cp-10, -0x1.a407c3c2a1df7p-10, -0x1.95a16a94e4e6ap-10, -0x1.879f0fe8df265p-10, -0x1.79fe6ae90a264p-10, -0x1.6cbd3df9cd7a9p-10, -0x1.5fd9568e49ed1p-10, -0x1.53508cfdaaa12p-10, -0x1.4720c45900b46p-10, -0x1.3b47ea413d454p-10, -0x1.2fc3f6bd2037dp-10, -0x1.2492ec1093c47p-10, -0x1.19b2d69377e9dp-10, -0x1.0f21cc89015c4p-10, -0x1.04ddedf7c6dcdp-10, -0x1.f5cac903c8952p-11, -0x1.e26cc67b9aea1p-11, -0x1.cf9e4d1dec115p-11, -0x1.bd5be7fef8e17p-11, -0x1.aba234338bf22p-11, -0x1.9a6de08605855p-11, -0x1.89bbad2aa0e22p-11, -0x1.79886b76c9895p-11, -0x1.69d0fd967fe4cp-11, -0x1.5a925644ab5c9p-11, -0x1.4bc9788349bf4p-11, -0x1.3d7377551f7e3p-11, -0x1.2f8d75777d893p-11, -0x1.2214a51cd5a67p-11, -0x1.150647a8fc7p-11, -0x1.085fad6d5492bp-11, -0x1.f83c6acc75dcbp-12, -0x1.e07e99f20c6ap-12, -0x1.c980df6736d2p-12, -0x1.b33e4e169ead9p-12, -0x1.9db2143c924a2p-12, -0x1.88d77ae90c301p-12, -0x1.74a9e5846df62p-12, -0x1.6124d154f1077p-12, -0x1.4e43d507ecbecp-12, -0x1.3c02a0399524fp-12, -0x1.2a5cfb00dcee8p-12, -0x1.194ec57b31a4ep-12, -0x1.08d3f75b1c33ap-12, -0x1.f1d13ef0ff94ep-13, -0x1.d311c6c00bf5ep-13, -0x1.b561fdd01552p-13, -0x1.98ba8786e3b63p-13, -0x1.7d143231e5819p-13, -0x1.6267f631a034p-13, -0x1.48aef5301ffcbp-13, -0x1.2fe27950c0ec8p-13, -0x1.17fbf46d0a54cp-13, -0x1.00f4ff4cc3df2p-13, -0x1.d58eb1cabdb26p-14, -0x1.aad9cb3401736p-14, -0x1.81bf5cff01f53p-14, -0x1.5a33c14730298p-14, -0x1.342b98ac7a0a5p-14, -0x1.0f9bc8ec4046ap-14, -0x1.d8f2f7027b31p-15, -0x1.957438883e031p-15, -0x1.54a6b0335cef7p-15, -0x1.1676373bd3f5fp-15, -0x1.b59e47764057fp-16, -0x1.433c8c2bbc67fp-16, -0x1.ab4399ffa246bp-17, -0x1.b2a61437e1277p-18, -0x1.0602a8ffc5201p-21, 0x1.5fb5013fa5382p-18, 0x1.67a0ba9f3aaa4p-17, 0x1.0b9a4b843747cp-16, 0x1.5f6b4177eb831p-16, 0x1.af62a6e7b4f3ap-16, 0x1.fb9f192811495p-16, 0x1.221f37aff8988p-15, 0x1.44aedf6ad7339p-15, 0x1.658caf8574649p-15, 0x1.84c676ea70c82p-15, 0x1.a269a9aab4a88p-15, 0x1.be8362fdd03b3p-15, 0x1.d92067296f874p-15, 0x1.f24d25655e791p-15, 0x1.050adce1bdcd8p-14, 0x1.1042f77c0f4b8p-14, 0x1.1ad4a016763a5p-14, 0x1.24c56d607f962p-14, 0x1.2e1ad00547032p-14, 0x1.36da137f81968p-14, 0x1.3f085ef44834bp-14, 0x1.46aab601d0497p-14, 0x1.4dc5f98ca698p-14, 0x1.545ee88bcc55ap-14, 0x1.5a7a20cd139f4p-14, 0x1.601c1fb63c634p-14, 0x1.6549430612bc6p-14, 0x1.6a05c98d1dbbep-14, 0x1.6e55d3e405a1dp-14, 0x1.723d65234b22ep-14, 0x1.75c0638e97d22p-14, 0x1.78e29943f8246p-14, 0x1.7ba7b4e684addp-14, 0x1.7e134a4087cf8p-14, 0x1.8028d2e95eb27p-14, 0x1.81ebaee3fa885p-14, 0x1.835f253ac8869p-14, 0x1.84866499858e2p-14, 0x1.856483e1da6aep-14, 0x1.85fc82c161155p-14, 0x1.86514a3e8d17p-14, 0x1.8665ad4774ea9p-14, 0x1.863c693bb8cd1p-14, 0x1.85d8267268b86p-14, 0x1.853b78c28e719p-14, 0x1.8468e0006489ap-14, 0x1.8362c87f21337p-14, 0x1.822b8b8da799dp-14, 0x1.80c56fedc6597p-14, 0x1.7f32aa4ed05fp-14, 0x1.7d755dbfc68fbp-14, 0x1.7b8f9c240dbf5p-14, 0x1.798366a03b1cp-14, 0x1.7752ae0adb7fap-14, 0x1.74ff53547f2ap-14, 0x1.728b27f2d68d3p-14, 0x1.6ff7ee455d575p-14, 0x1.6d4759fbd2793p-14, 0x1.6a7b10760edc3p-14, 0x1.6794a924f1b21p-14, 0x1.6495ade8e398ap-14, 0x1.617f9b6b169fp-14, 0x1.5e53e17b41459p-14, 0x1.5b13e3638b5d6p-14, 0x1.57c0f84086309p-14, 0x1.545c6b53e8387p-14, 0x1.50e77c56f67edp-14, 0x1.4d635fc9e284ap-14, 0x1.49d13f43d8e0fp-14, 0x1.463239bd496eap-14, 0x1.428763dbcda1p-14, 0x1.3ed1c83b47d12p-14, 0x1.3b1267b40c7f6p-14, 0x1.374a39a26ea53p-14, 0x1.337a2c288877fp-14, 0x1.2fa324726709bp-14, 0x1.2bc5fef6172cp-14, 0x1.27e38fb3e88cp-14, 0x1.23fca2732d868p-14, 0x1.2011fafee2d97p-14, 0x1.1c2455611ccc3p-14, 0x1.1834661c2126ap-14, 0x1.1442da62c1a99p-14, 0x1.1050584f978f2p-14, 0x1.0c5d7f193dd3fp-14, 0x1.086ae748355d2p-14, 0x1.047922e891b13p-14, 0x1.0088bdbb37a08p-14, 0x1.f9347ad0aa084p-15, 0x1.f15c4358b65e8p-15, 0x1.e989c90f76b9ap-15, 0x1.e1bdf4d502411p-15, 0x1.d9f9a4c327a4bp-15, 0x1.d23dac800f0fep-15, 0x1.ca8ad592c4a89p-15, 0x1.c2e1dfb4ef9ap-15, 0x1.bb438121068fdp-15, 0x1.b3b066defc334p-15, 0x1.ac2935110aa43p-15, 0x1.a4ae873aeb205p-15, 0x1.9d40f08b08f31p-15, 0x1.95e0fc1d6c6e7p-15, 0x1.8e8f2d425972cp-15, 0x1.874bffbe7108fp-15, 0x1.8017e809dbd4p-15, 0x1.78f3539200a22p-15, 0x1.71dea8f24a14fp-15, 0x1.6ada48324337dp-15, 0x1.63e68afe100e5p-15, 0x1.5d03c4de03df1p-15, 0x1.5632436f2d932p-15, 0x1.4f724e95557f8p-15, 0x1.48c428b19f0dfp-15, 0x1.42280ed226b8bp-15, 0x1.3b9e38e4c6b53p-15, 0x1.3526d9e53e995p-15, 0x1.2ec2200cbc14fp-15, 0x1.287034fd1cc1ep-15, 0x1.22313dede557p-15, 0x1.1c055bd63633cp-15, 0x1.15ecab960fbd5p-15, 0x1.0fe7461d27134p-15, 0x1.09f540946a8e1p-15, 0x1.0416ac80a8c23p-15, 0x1.fc972fd4582a7p-16, 0x1.f1281afc9cfc5p-16, 0x1.e5e02965e7523p-16, 0x1.dabf63cfc905cp-16, 0x1.cfc5cd105b4cep-16, 0x1.c4f3624f29d26p-16, 0x1.ba481b486957ep-16, 0x1.afc3ea8375573p-16, 0x1.a566bd908d1fp-16, 0x1.9b307d3d7526fp-16, 0x1.91210dcf5e07bp-16, 0x1.87384f333ff94p-16, 0x1.7d761d354868p-16, 0x1.73da4faf0fa6ap-16, 0x1.6a64bab9d95f5p-16, 0x1.61152edb3043ap-16, 0x1.57eb79321ed2cp-16, 0x1.4ee763a534c3bp-16, 0x1.4608b508f7352p-16, 0x1.3d4f314b2a69dp-16, 0x1.34ba999a3f9cap-16, 0x1.2c4aac89ebc4cp-16, 0x1.23ff263a9288p-16, 0x1.1bd7c07a7adcdp-16, 0x1.13d432eb2bf76p-16, 0x1.0bf4331effa84p-16, 0x1.043774bdefe4ap-16, 0x1.f93b5343257ap-17, 0x1.ea4d03e92a935p-17, 0x1.dba3589e758d3p-17, 0x1.cd3daba99b9a5p-17, 0x1.bf1b549981d19p-17, 0x1.b13ba87d1160ep-17, 0x1.a39dfa1480d5fp-17, 0x1.96419a00e0164p-17, 0x1.8925d6f519996p-17, 0x1.7c49fde258c63p-17, 0x1.6fad5a235fefbp-17, 0x1.634f35a6944b9p-17, 0x1.572ed916df976p-17, 0x1.4b4b8c023a13dp-17, 0x1.3fa494ff6081dp-17, 0x1.343939d136c84p-17, 0x1.2908bf88cd446p-17, 0x1.1e126aa9ac9d6p-17, 0x1.13557f4546a97p-17, 0x1.08d1411db65efp-17, 0x1.fd09e780618dbp-18, 0x1.e8dfb546603d3p-18, 0x1.d52272807f8eap-18, 0x1.c1d0a65cbc2cdp-18, 0x1.aee8d875c07bep-18, 0x1.9c699101023abp-18, 0x1.8a5158fcb3bfep-18, 0x1.789eba5d9c6e4p-18, 0x1.67504033e45c6p-18, 0x1.566476d6f058dp-18, 0x1.45d9ec08964ccp-18, 0x1.35af2f19adce6p-18, 0x1.25e2d10c2696fp-18, 0x1.167364b489f5ap-18, 0x1.075f7ed71ff12p-18, 0x1.f14b6c8c73a92p-19, 0x1.d48947fcf1072p-19, 0x1.b875c68074e68p-19, 0x1.9d0e235546ff7p-19, 0x1.824f9e9f0e485p-19, 0x1.68377d9b6fb1cp-19, 0x1.4ec30ac839295p-19, 0x1.35ef960b626c8p-19, 0x1.1dba74d5975ddp-19, 0x1.062102493ea8ep-19, 0x1.de413eb420b34p-20, 0x1.b16d65d1f61dcp-20, 0x1.85c153c690db6p-20, 0x1.5b37eeb9986efp-20, 0x1.31cc294db175ap-20, 0x1.097902cf8508fp-20, 0x1.c4730ebabb74bp-21, 0x1.7811a021e4731p-21, 0x1.2dc4063e45c7fp-21, 0x1.cb014fdbc7558p-22, 0x1.3e7c0d6ee418bp-22, 0x1.6bcafc4425d38p-23, 0x1.89588743685p-25, -0x1.3f16535410eacp-24, -0x1.99fd2dfb837f5p-23, -0x1.4691e2a1f7f23p-22, -0x1.bc912da11f8d4p-22, -0x1.1786fb5680622p-21, -0x1.4f0cc288a0b59p-21, -0x1.84e2745ce036ep-21, -0x1.b9107d034e578p-21, -0x1.eb9f2cee303e3p-21, -0x1.0e4b5c68f465fp-20, -0x1.25ff9cd85b992p-20, -0x1.3cf0566882eedp-20, -0x1.532179f0b907ap-20, -0x1.6896ea7bc07ccp-20, -0x1.7d547d56d2902p-20, -0x1.915dfa17bf258p-20, -0x1.a4b71aaaa48fp-20, }}, 
      {{-0x1.51f5797494573p-3, -0x1.531947b8f883p-3, -0x1.54dfbed36692ap-3, -0x1.57290cd7e1be2p-3, -0x1.59d7e27bd1de4p-3, -0x1.5cd43b54d3b19p-3, -0x1.600bf7c28f468p-3, -0x1.63725e3b88d7ep-3, -0x1.66ff2cced1532p-3, -0x1.6aad955d29dabp-3, -0x1.6e7b4e3bcba49p-3, -0x1.7267c5ff61565p-3, -0x1.76737c333a61ap-3, -0x1.7a9f7bac51045p-3, -0x1.7eecf1f73042p-3, -0x1.835cdfbd3e502p-3, -0x1.87efdeb8265afp-3, -0x1.8ca5fa629dfd5p-3, -0x1.917e98ed4bb57p-3, -0x1.96787220e8ac5p-3, -0x1.9b9191dc7fa84p-3, -0x1.a0c763def2408p-3, -0x1.a616c69530cfbp-3, -0x1.ab7c22c299791p-3, -0x1.b0f38607ae292p-3, -0x1.b678be89f3ddap-3, -0x1.bc077648d2163p-3, -0x1.c19b4cf912c76p-3, -0x1.c72fef8d82aaap-3, -0x1.ccc12cdb284dep-3, -0x1.d24b070735331p-3, -0x1.d7c9c1a27eeb2p-3, -0x1.dd39ec815654bp-3, -0x1.e2986b7ef576bp-3, -0x1.e7e27b725d8a4p-3, -0x1.ed15b4a890c89p-3, -0x1.f2300b3ebee23p-3, -0x1.f72fcdb824556p-3, -0x1.fc13a227f8ab7p-3, -0x1.006d4120ac827p-2, -0x1.02c1db4b5a6aap-2, -0x1.050768a470adap-2, -0x1.073dd42dffdfcp-2, -0x1.096527ef842e3p-2, -0x1.0b7d8a04d5665p-2, -0x1.0d8739b61f7b8p-2, -0x1.0f828ca32c369p-2, -0x1.116fec09571a6p-2, -0x1.134fd229011a6p-2, -0x1.1522c7cd6a158p-2, -0x1.16e961f84d4a3p-2, -0x1.18a43fb187935p-2, -0x1.1a5407fa38ed9p-2, -0x1.1bf967e264d35p-2, -0x1.1d9510bfb2e91p-2, -0x1.1f27b683ea6a3p-2, -0x1.20b20e31b3d24p-2, -0x1.2234cc6e42ae1p-2, -0x1.23b0a42eb5e94p-2, -0x1.2526458014af7p-2, -0x1.26965c69032cfp-2, -0x1.28018fe468657p-2, -0x1.296880f465093p-2, -0x1.2acbc9cd0782bp-2, -0x1.2c2bfd16502a6p-2, -0x1.2d89a5450767cp-2, -0x1.2ee5440a01782p-2, -0x1.303f51d7591cdp-2, -0x1.31983d7b23d7fp-2, -0x1.32f06bcf1761dp-2, -0x1.3448377c7fcdfp-2, -0x1.359ff0d3d8384p-2, -0x1.36f7ddb73ddbap-2, -0x1.38503996e21dbp-2, -0x1.39a9357e8ef0bp-2, -0x1.3b02f8333539ap-2, -0x1.3c5d9e5f77a1p-2, -0x1.3db93ace09606p-2, -0x1.3f15d6b0b9f0ep-2, -0x1.407371f2f3249p-2, -0x1.41d203966e546p-2, -0x1.43317a18e4da1p-2, -0x1.4491bbe1800f5p-2, -0x1.45f2a7b4cad6fp-2, -0x1.4754152df92eep-2, -0x1.48b5d53c5490cp-2, -0x1.4a17b2a3b79dap-2, -0x1.4b79727f000bap-2, -0x1.4cdad4c37ad2cp-2, -0x1.4e3b94c452fdap-2, -0x1.4f9b69b52a4adp-2, -0x1.50fa072b00991p-2, -0x1.52571d9abe27bp-2, -0x1.53b25ad4a54f7p-2, -0x1.550b6a7c243f4p-2, -0x1.5661f67b791d8p-2, -0x1.57b5a772bb7c3p-2, -0x1.59062521e7badp-2, -0x1.5a5316cda272bp-2, -0x1.5b9c239e6e6fbp-2, -0x1.5ce0f2fa2cc1p-2, -0x1.5e212cd7c4214p-2, -0x1.5f5c7a0cd867dp-2, -0x1.6092849594a71p-2, -0x1.61c2f7d684014p-2, -0x1.62ed80d890845p-2, -0x1.6411ce7f37e12p-2, -0x1.652f91b9226a7p-2, -0x1.66467dab3ce65p-2, -0x1.675647d68360fp-2, -0x1.685ea838ba21fp-2, -0x1.695f59684363cp-2, -0x1.6a5818ab54a57p-2, -0x1.6b48a60ac7689p-2, -0x1.6c30c460cad72p-2, -0x1.6d103963b455ep-2, -0x1.6de6cdad340e6p-2, -0x1.6eb44cbe3592dp-2, -0x1.6f7884ffa86b1p-2, -0x1.703347c079fdap-2, -0x1.70e46930fb52ep-2, -0x1.718bc05bfb44ap-2, -0x1.7229271dca502p-2, -0x1.72bc7a196993ap-2, -0x1.734598ac18dc7p-2, -0x1.73c464df831acp-2, -0x1.7438c35ab0d04p-2, -0x1.74a29b51fd9afp-2, -0x1.7501d6763791ap-2, -0x1.755660e314dbbp-2, -0x1.75a0290d2a2fp-2, -0x1.75df1faf824e2p-2, -0x1.761337b9004f1p-2, -0x1.763c6639a318fp-2, -0x1.765aa24fccd6fp-2, -0x1.766de515a30c1p-2, -0x1.7676298ea5303p-2, -0x1.76736c9582a25p-2, -0x1.7665acca4eb88p-2, -0x1.764cea811835fp-2, -0x1.762927b0f54c8p-2, -0x1.75fa67e38d67bp-2, -0x1.75c0b0252e624p-2, -0x1.757c06f56b64bp-2, -0x1.752c7438537f3p-2, -0x1.74d201283f1dfp-2, -0x1.746cb84836fb2p-2, -0x1.73fca556f3ae6p-2, -0x1.7381d5427d51fp-2, -0x1.72fc561c5d2c9p-2, -0x1.726c370e6b0bfp-2, -0x1.71d188502ae09p-2, -0x1.712c5b1cb9bap-2, -0x1.707cc1a9462e7p-2, -0x1.6fc2cf1c0d233p-2, -0x1.6efe9783d4cf6p-2, -0x1.6e302fcfe120ap-2, -0x1.6d57adc85bcbbp-2, -0x1.6c75280727ac3p-2, -0x1.6b88b5f116a96p-2, -0x1.6a926faf81addp-2, -0x1.69926e2a3510cp-2, -0x1.6888cb01ad7b2p-2, -0x1.6775a0899d5e3p-2, -0x1.665909c3b6957p-2, -0x1.6533225aae872p-2, -0x1.6404069d785d2p-2, -0x1.62cbd37aaac88p-2, -0x1.618aa67c1625ap-2, -0x1.60409dc27574bp-2, -0x1.5eedd80145954p-2, -0x1.5d92747aac572p-2, -0x1.5c2e92fb7c921p-2, -0x1.5ac253d741474p-2, -0x1.594dd7e45aca8p-2, -0x1.57d140781e1eep-2, -0x1.564caf62fb5c5p-2, -0x1.54c046eca2534p-2, -0x1.532c29d0256d8p-2, -0x1.51907b38189a7p-2, -0x1.4fed5ebaa68d8p-2, -0x1.4e42f8559e128p-2, -0x1.4c916c6a74632p-2, -0x1.4ad8dfba3abb1p-2, -0x1.4919776184f8bp-2, -0x1.475358d4430b3p-2, -0x1.4586a9d98afccp-2, -0x1.43b3908752b6dp-2, -0x1.41da333e19f07p-2, -0x1.3ffab8a48529ap-2, -0x1.3e1547a2e69dcp-2, -0x1.3c2a075eba74dp-2, -0x1.3a391f36123fp-2, -0x1.3842b6baf5709p-2, -0x1.3646f5aeae849p-2, -0x1.344603fd12d7ep-2, -0x1.324009b7baaf7p-2, -0x1.30352f113001dp-2, -0x1.2e259c5816377p-2, -0x1.2c1179f2483ep-2, -0x1.29f8f057f0e3cp-2, -0x1.27dc280ea170fp-2, -0x1.25bb49a45fe5cp-2, -0x1.23967daab92dap-2, -0x1.216decb1ce7c1p-2, -0x1.1f41bf4369424p-2, -0x1.1d121dde0c816p-2, -0x1.1adf30f0103a4p-2, -0x1.18a920d2bff0fp-2, -0x1.167015c5818c3p-2, -0x1.143437e90884bp-2, -0x1.11f5af3a8ecc7p-2, -0x1.0fb4a38f1e6c5p-2, -0x1.0d713c8ee8539p-2, -0x1.0b2ba1b0a939fp-2, -0x1.08e3fa351fa8fp-2, -0x1.069a6d22947dfp-2, -0x1.044f214077a72p-2, -0x1.02023d130e78ap-2, -0x1.ff67cdae7624fp-3, -0x1.fac888fcaf23bp-3, -0x1.f626f754582bep-3, -0x1.f1836351f4a38p-3, -0x1.ecde16e34d2bp-3, -0x1.e8375b3fedaaep-3, -0x1.e38f78e1e479p-3, -0x1.dee6b77eb0fdp-3, -0x1.da3d5e0070c95p-3, -0x1.d593b27f45dffp-3, -0x1.d0e9fa3af7e72p-3, -0x1.cc407994d674dp-3, -0x1.c7977409d1e39p-3, -0x1.c2ef2c2cd8c32p-3, -0x1.be47e3a171fb1p-3, -0x1.b9a1db169641bp-3, -0x1.b4fd5241c725ep-3, -0x1.b05a87da6c778p-3, -0x1.abb9b9956adc1p-3, -0x1.a71b2420fd3d5p-3, -0x1.a27f0320d3b55p-3, -0x1.9de5912a665f9p-3, -0x1.994f07c196739p-3, -0x1.94bb9f558344ep-3, -0x1.902b8f3da5a18p-3, -0x1.8b9f0db7253e5p-3, -0x1.87164fe26d785p-3, -0x1.829189c1040e6p-3, -0x1.7e10ee3392dfap-3, -0x1.7994aef83807dp-3, -0x1.751cfca90900bp-3, -0x1.70aa06bad7bb4p-3, -0x1.6c3bfb7c2577p-3, -0x1.67d308145bf6fp-3, -0x1.636f588331d11p-3, -0x1.5f1117a04b6e8p-3, -0x1.5ab86f1b0e2fcp-3, -0x1.5665877aad9e2p-3, -0x1.5218881e5cadep-3, -0x1.4dd1973dc47d9p-3, -0x1.4990d9e99659fp-3, -0x1.4556740c5ed9p-3, -0x1.4122886b7a621p-3, -0x1.3cf538a83935bp-3, -0x1.38cea5413132bp-3, -0x1.34aeed93b8115p-3, -0x1.30962fdd7fed2p-3, -0x1.2c84893e626c8p-3, -0x1.287a15ba51bb7p-3, -0x1.2476f03b63e9ep-3, -0x1.207b32940c06ep-3, -0x1.1c86f5816d9fap-3, -0x1.189a50add52fap-3, -0x1.14b55ab34af4ep-3, -0x1.10d8291e43ab6p-3, -0x1.0d02d0707012ap-3, -0x1.09356423a898ap-3, -0x1.056ff6ace7f8cp-3, -0x1.01b2997f6acc6p-3, -0x1.fbfaba1fc1669p-4, -0x1.f4a0a1af5aa19p-4, -0x1.ed5706b093aa4p-4, -0x1.e61e043d579bp-4, -0x1.def5b38d93b8bp-4, -0x1.d7de2bfe4ef67p-4, -0x1.d0d78318ed73cp-4, -0x1.c9e1cc9a8ad9dp-4, -0x1.c2fd1a7b6b978p-4, -0x1.bc297cf694d0dp-4, -0x1.b567029160ca2p-4, -0x1.aeb5b8234657cp-4, -0x1.a815a8dd93fc9p-4, -0x1.a186de5351bd4p-4, -0x1.9b09608124b55p-4, -0x1.949d35d5400b3p-4, -0x1.8e42633761264p-4, -0x1.87f8ec10d5bf8p-4, -0x1.81c0d25484ef3p-4, -0x1.7b9a168700ac9p-4, -0x1.7584b7c694d6ep-4, -0x1.6f80b3d35d483p-4, -0x1.698e07175862ep-4, -0x1.63acacae7918bp-4, -0x1.5ddc9e6eb5f3dp-4, -0x1.581dd4f0119d7p-4, -0x1.52704794a0943p-4, -0x1.4cd3ec9084ae6p-4, -0x1.4748b8f1e1925p-4, -0x1.41cea0a8c8bdbp-4, -0x1.3c65968f17794p-4, -0x1.370d8c704ba77p-4, -0x1.31c673114a7f5p-4, -0x1.2c903a3818543p-4, -0x1.276ad0b3840c3p-4, -0x1.22562462be88dp-4, -0x1.1d52223ce5ec6p-4, -0x1.185eb65879d33p-4, -0x1.137bcbf2c2e2bp-4, -0x1.0ea94d77226b1p-4, -0x1.09e724864f09ap-4, -0x1.053539fd80c17p-4, -0x1.009375fd811b1p-4, -0x1.f8037fe353008p-5, -0x1.eefffd2d99a9ap-5, -0x1.e61c3004091fcp-5, -0x1.dd57e34ed9895p-5, -0x1.d4b2e0c182c42p-5, -0x1.cc2cf0e7d6df5p-5, -0x1.c3c5db32db7ebp-5, -0x1.bb7d660579053p-5, -0x1.b35356c0f9e52p-5, -0x1.ab4771d14c5edp-5, -0x1.a3597ab91cd5fp-5, -0x1.9b89341db3fdap-5, -0x1.93d65fd29e7acp-5, -0x1.8c40bee52a4ddp-5, -0x1.84c811a7a6504p-5, -0x1.7d6c17bc67fdbp-5, -0x1.762c9020aae35p-5, -0x1.6f09393729577p-5, -0x1.6801d0d28b517p-5, -0x1.6116143f99cc7p-5, -0x1.5a45c04f3d08ap-5, -0x1.53909160449dbp-5, -0x1.4cf64368f95ep-5, -0x1.467692007b276p-5, -0x1.40113867eafb1p-5, -0x1.39c5f193534a5p-5, -0x1.33947832703e5p-5, -0x1.2d7c86b92f85ap-5, -0x1.277dd7680209dp-5, -0x1.21982454025e5p-5, -0x1.1bcb276ed5853p-5, -0x1.16169a8e67765p-5, -0x1.107a37746905dp-5, -0x1.0af5b7d5a662ap-5, -0x1.0588d5612001ep-5, -0x1.003349c6f78ffp-5, -0x1.f5e99d7e4d641p-6, -0x1.eb9a3c201edc6p-6, -0x1.e177e32999c7bp-6, -0x1.d7820686be265p-6, -0x1.cdb81a6545d78p-6, -0x1.c419934037d3bp-6, -0x1.baa5e5eb1f37dp-6, -0x1.b15c879ce83e8p-6, -0x1.a83cedfa5d858p-6, -0x1.9f468f20551a9p-6, -0x1.9678e1ad78e83p-6, -0x1.8dd35ccbc5f2ap-6, -0x1.85557839b01b3p-6, -0x1.7cfeac52ef54ep-6, -0x1.74ce7218fbedp-6, -0x1.6cc4433b3b4f6p-6, -0x1.64df9a1ee17f1p-6, -0x1.5d1ff1e66f573p-6, -0x1.5584c6790475dp-6, -0x1.4e0d94893e748p-6, -0x1.46b9d99bf0b7cp-6, -0x1.3f89140e80c46p-6, -0x1.387ac31cf7496p-6, -0x1.318e66e7d60d5p-6, -0x1.2ac380799da4p-6, -0x1.241991cc1da87p-6, -0x1.1d901dcd72a27p-6, -0x1.1726a864c8d02p-6, -0x1.10dcb676e80bep-6, -0x1.0ab1cdea6d5dcp-6, -0x1.04a575abdff54p-6, -0x1.fd6e6b62e3642p-7, -0x1.f1cd2dfd3bca9p-7, -0x1.e666474ee5dbfp-7, -0x1.db38cda789391p-7, -0x1.d043d9840d402p-7, -0x1.c586859427e8p-7, -0x1.baffeebf370e5p-7, -0x1.b0af342908e1bp-7, -0x1.a6937735fb6a2p-7, -0x1.9cabdb8ee25ccp-7, -0x1.92f78724879bap-7, -0x1.8975a232c4f7fp-7, -0x1.8025574362d85p-7, -0x1.7705d3306fc3ap-7, -0x1.6e1645266f1b5p-7, -0x1.6555dea639057p-7, -0x1.5cc3d38657742p-7, -0x1.545f59f44f792p-7, -0x1.4c27aa7586ac9p-7, -0x1.441bffe7db743p-7, -0x1.3c3b97820a581p-7, -0x1.3485b0d3af8eep-7, -0x1.2cf98dc52fa15p-7, -0x1.25967297407d7p-7, -0x1.1e5ba5e23f082p-7, -0x1.17487095496ddp-7, -0x1.105c1df522fc8p-7, -0x1.0995fb9ae11a5p-7, -0x1.02f559724dc9p-7, -0x1.f8f3137077546p-8, -0x1.ec43c1f10a055p-8, -0x1.dfdb6c17d30c9p-8, -0x1.d3b8c42b927acp-8, -0x1.c7da810331ce9p-8, -0x1.bc3f5e008af3p-8, -0x1.b0e61b0aaf74p-8, -0x1.a5cd7c880140dp-8, -0x1.9af44b57f595ap-8, -0x1.905954cc964f1p-8, -0x1.85fb6aa3a3426p-8, -0x1.7bd962ff964fbp-8, -0x1.71f218604da9ep-8, -0x1.6844699b8efe1p-8, -0x1.5ecf39d537029p-8, -0x1.5591707748a6cp-8, -0x1.4c89f929c830cp-8, -0x1.43b7c3ca4591ep-8, -0x1.3b19c46373667p-8, -0x1.32aef3244a8d8p-8, -0x1.2a764c5750effp-8, -0x1.226ed0596816dp-8, -0x1.1a978390c4923p-8, -0x1.12ef6e637f7b3p-8, -0x1.0b759d2e46ec5p-8, -0x1.0429203aba505p-8, -0x1.fa12176b9274p-9, -0x1.ec28ef4be3ba1p-9, -0x1.de94ffc2d0549p-9, -0x1.d15488083e2b9p-9, -0x1.c465cecba5fa1p-9, -0x1.b7c7221fd70a6p-9, -0x1.ab76d766989aap-9, -0x1.9f734b3c89bf2p-9, -0x1.93bae164360ap-9, -0x1.884c04b1eeac1p-9, -0x1.7d2526f6d3da8p-9, -0x1.7244c0ec34e6bp-9, -0x1.67a9521edca18p-9, -0x1.5d5160da1760fp-9, -0x1.533b7a130fb6cp-9, -0x1.49663153d6b65p-9, -0x1.3fd020a671db6p-9, -0x1.3677e8803f129p-9, -0x1.2d5c2face67a7p-9, -0x1.247ba33998b43p-9, -0x1.1bd4f6603e917p-9, -0x1.1366e272d14a5p-9, -0x1.0b3026c681b95p-9, -0x1.032f889f2f87dp-9, -0x1.f6c7a6359dcdcp-10, -0x1.e797ae3995ceap-10, -0x1.d8ccd67384e8bp-10, -0x1.ca64d7461fa6ap-10, -0x1.bc5d7424fdb9dp-10, -0x1.aeb47b6c7ca57p-10, -0x1.a167c6399f081p-10, -0x1.94753841abb8dp-10, -0x1.87dabfab82ddfp-10, -0x1.7b9654e6ef59bp-10, -0x1.6fa5fa8682fc8p-10, -0x1.6407bd1820f24p-10, -0x1.58b9b2fe55191p-10, -0x1.4db9fc4a29721p-10, -0x1.4306c294e1ad2p-10, -0x1.389e38da60b6ep-10, -0x1.2e7e9b53517adp-10, -0x1.24a62f5030d2fp-10, -0x1.1b1343146bbbfp-10, -0x1.11c42db1bed6dp-10, -0x1.08b74ee3bc31dp-10, -0x1.ffd61dd8afef4p-11, -0x1.eebbbcdf9da5cp-11, -0x1.de1c6ca3c0748p-11, -0x1.cdf52f24f7ffbp-11, -0x1.be431656f4faep-11, -0x1.af0343dc73b0cp-11, -0x1.a032e8c3f2a44p-11, -0x1.91cf454419ef9p-11, -0x1.83d5a879cb52cp-11, -0x1.76437026c7c7bp-11, -0x1.691608708a00dp-11, -0x1.5c4aeba01a67cp-11, -0x1.4fdfa1e2d3d37p-11, -0x1.43d1c10c19dccp-11, -0x1.381eec56b79a9p-11, -0x1.2cc4d428a795bp-11, -0x1.21c135d5a6cacp-11, -0x1.1711db64679b9p-11, -0x1.0cb49b535a3dep-11, -0x1.02a7585e4b503p-11, -0x1.f1d0028ac7054p-12, -0x1.dee92128570fdp-12, -0x1.cc9618d3aa5dbp-12, -0x1.bad30c83b89bep-12, -0x1.a99c357b4751cp-12, -0x1.98ede2ddbf4d1p-12, -0x1.88c479457359bp-12, -0x1.791c725a2112p-12, -0x1.69f25c6b1bc89p-12, -0x1.5b42da098d101p-12, -0x1.4d0aa1a39cbf9p-12, -0x1.3f467d22dbedfp-12, -0x1.31f3498a652b4p-12, -0x1.250df697a5387p-12, -0x1.189386638ae0bp-12, -0x1.0c810d05d1013p-12, -0x1.00d3b03967e55p-12, -0x1.eb114e057abcp-13, -0x1.d53a72ace0f8ep-13, -0x1.c01d7f85abbfbp-13, -0x1.abb546323e7a2p-13, -0x1.97fcb8320a3a2p-13, -0x1.84eee63b125c4p-13, -0x1.7286ff96d00e2p-13, -0x1.60c051802325ap-13, -0x1.4f964684b946dp-13, -0x1.3f0465e98cc5cp-13, -0x1.2f0653111dc8cp-13, -0x1.1f97cce4ec95cp-13, -0x1.10b4ad404dbf8p-13, -0x1.0258e86064fa7p-13, -0x1.e90118a5200bdp-14, -0x1.ce4f80d226219p-14, -0x1.b49589603ac54p-14, -0x1.9bcbe2cb208d2p-14, -0x1.83eb6ce654b87p-14, -0x1.6ced35d8032bap-14, -0x1.56ca79151de6p-14, -0x1.417c9e64fb49p-14, -0x1.2cfd38e74fadp-14, -0x1.194606207db2cp-14, -0x1.0650ed0a928eap-14, -0x1.e82ffa4c36d54p-15, -0x1.c52adb2d68af1p-15, -0x1.a387387a5ea94p-15, -0x1.833a19b561de1p-15, -0x1.6438d06697cb2p-15, -0x1.4678f67550592p-15, -0x1.29f06c7b740c2p-15, -0x1.0e95582e2e963p-15, -0x1.e8bc458ae1cb9p-16, -0x1.b682eedec70e2p-16, -0x1.866c83923b272p-16, -0x1.586758c1080ep-16, -0x1.2c623e7be51a5p-16, -0x1.024c7ce6ba39p-16, -0x1.b42ba2d4436a8p-17, -0x1.675cd7dc6ab27p-17, -0x1.1e0dd84ab60b9p-17, -0x1.b0417b9832824p-18, -0x1.2af0ee43a0f6dp-18, -0x1.57e30c333a224p-19, -0x1.9862b499aca35p-21, 0x1.ffa005380556dp-21, 0x1.5a86ba8cc47c4p-19, 0x1.151423c42debbp-18, 0x1.77974890a8005p-18, 0x1.d4fc5910885f2p-18, 0x1.16b8c236d9c9ap-17, 0x1.4091d21f01218p-17, 0x1.681f227b2e4b5p-17, 0x1.8d75d71b33c1bp-17, 0x1.b0aa756613af7p-17, 0x1.d1d0e85d7b3b1p-17, 0x1.f0fc8476cfdcp-17, 0x1.072005b65b5d7p-16, 0x1.14d6d7f5eed64p-16, 0x1.21ab8ca2ad9e3p-16, 0x1.2da6b377b6c32p-16, 0x1.38d09a000d431p-16, 0x1.43314d4fee087p-16, 0x1.4cd09ba863d87p-16, 0x1.55b6161a4a6bcp-16, 0x1.5de9121d6ba75p-16, 0x1.6570ab209b517p-16, 0x1.6c53c409d306ap-16, 0x1.729908b89d0cap-16, 0x1.7846ef76a6b3p-16, 0x1.7d63ba62b18c3p-16, 0x1.81f578d72aa4p-16, 0x1.860208c3503dbp-16, 0x1.898f17fd39f45p-16, 0x1.8ca22590fc1abp-16, 0x1.8f4083014fbe1p-16, 0x1.916f558314bap-16, 0x1.9333973789c66p-16, 0x1.949218537b43dp-16, 0x1.958f804a2707cp-16, 0x1.96304eed82257p-16, 0x1.9678dd8360706p-16, 0x1.966d5fdab3c68p-16, 0x1.9611e5570bff4p-16, 0x1.956a59f4aab25p-16, 0x1.947a8748ce89cp-16, 0x1.9346157933803p-16, 0x1.91d08c32365cap-16, 0x1.901d539018fcdp-16, 0x1.8e2fb5081b631p-16, 0x1.8c0adc49db821p-16, 0x1.89b1d819a2f21p-16, 0x1.87279b2c0246bp-16, 0x1.846efcf12eab6p-16, 0x1.818aba64b3068p-16, 0x1.7e7d76d43653bp-16, 0x1.7b49bc9eb3f74p-16, 0x1.77f1fdf57e5bp-16, 0x1.74789591ac5fep-16, 0x1.70dfc76a97e83p-16, 0x1.6d29c1617ef62p-16, 0x1.69589befd155ap-16, 0x1.656e5aca43e65p-16, 0x1.616ced85541cp-16, 0x1.5d563031316a8p-16, 0x1.592bebf59d53bp-16, 0x1.54efd7a5cc4d9p-16, 0x1.50a3985280b18p-16, 0x1.4c48c1d8ff589p-16, 0x1.47e0d76af392fp-16, 0x1.436d4c19366e5p-16, 0x1.3eef8352c2d8fp-16, 0x1.3a68d166bca34p-16, 0x1.35da7bff30184p-16, 0x1.3145ba9a356abp-16, 0x1.2cabb6ff37815p-16, 0x1.280d8db2c7a9ep-16, 0x1.236c4e63de084p-16, 0x1.1ec8fc58f3d52p-16, 0x1.1a248ed9aa2f4p-16, 0x1.157ff193b2c13p-16, 0x1.10dc0500585eep-16, 0x1.0c399ec2c31c6p-16, 0x1.07998a084334bp-16, 0x1.02fc87e254565p-16, 0x1.fcc69f417b84p-17, 0x1.f39d1e4d7af5dp-17, 0x1.ea7dd67d97c98p-17, 0x1.e169ffd9528d3p-17, 0x1.d862c178c0b72p-17, 0x1.cf69321edc101p-17, 0x1.c67e58cec9b99p-17, 0x1.bda32d5b2f58cp-17, 0x1.b4d898f647edep-17, 0x1.ac1f76b77eafcp-17, 0x1.a378941f98f83p-17, 0x1.9ae4b19dc5547p-17, 0x1.92648308159cfp-17, 0x1.89f8b0173ceadp-17, 0x1.81a1d4da8470cp-17, 0x1.7960822c2534ap-17, 0x1.71353e1ce3ae6p-17, 0x1.692084614d551p-17, 0x1.6122c6b9e693bp-17, 0x1.593c6d574b1d4p-17, 0x1.516dd73aef006p-17, 0x1.49b75a9868a42p-17, 0x1.4219452e9648fp-17, 0x1.3a93dca2260ffp-17, 0x1.33275ed1c3ab4p-17, 0x1.2bd4022c3bb84p-17, 0x1.2499f5ff7c4c2p-17, 0x1.1d7962c5b9c72p-17, 0x1.16726a7490867p-17, 0x1.0f8528c1f5182p-17, 0x1.08b1b36df5315p-17, 0x1.01f81a85fde12p-17, 0x1.f6b0d14f7851ep-18, 0x1.e9a54683b3069p-18, 0x1.dccd959f707bp-18, 0x1.d029b630186ccp-18, 0x1.c3b996c82ce1cp-18, 0x1.b77d1d7382733p-18, 0x1.ab742820b5fa4p-18, 0x1.9f9e8d0be7fp-18, 0x1.93fc1b20e45a1p-18, 0x1.888c9a5e71dd1p-18, 0x1.7d4fcc349d9b8p-18, 0x1.72456bdda75b5p-18, 0x1.676d2eb435043p-18, 0x1.5cc6c48ca63f2p-18, 0x1.5251d80070df6p-18, 0x1.480e0ec1c8b11p-18, 0x1.3dfb09e34c37bp-18, 0x1.341866230525cp-18, 0x1.2a65bc2f6a009p-18, 0x1.20e2a0ec77fa1p-18, 0x1.178ea5b0a8058p-18, 0x1.0e695888ee3ap-18, 0x1.05724470553bdp-18, 0x1.f951e31aeb309p-19, 0x1.e819cacd08365p-19, 0x1.d73b463543c4fp-19, 0x1.c6b557213ad97p-19, 0x1.b686fb5918c2cp-19, 0x1.a6af2cf8aecd3p-19, 0x1.972ce2cde0697p-19, 0x1.87ff10ad0576ep-19, 0x1.7924a7c3e1f5ep-19, 0x1.6a9c96ef6ad8p-19, 0x1.5c65cb00c67cbp-19, 0x1.4e7f2f0bb75cap-19, 0x1.40e7acabeb7fep-19, 0x1.339e2c45da98ep-19, 0x1.26a1954b76f3cp-19, 0x1.19f0ce748e4f7p-19, 0x1.0d8abdfeaa54p-19, 0x1.016e49dd8602p-19, 0x1.eb34aff2d34p-20, 0x1.d41b9cb66c9a5p-20, 0x1.bd8f26be9409p-20, 0x1.a78d1bc6bd63dp-20, 0x1.92134ae8dcee7p-20, 0x1.7d1f84e6bfd38p-20, 0x1.68af9c82866ffp-20, 0x1.54c166c613f7ap-20, 0x1.4152bb47ab372p-20, 0x1.2e6174707305fp-20, 0x1.1beb6fba4f58bp-20, 0x1.09ee8dee598bp-20, 0x1.f0d166b473feap-21, 0x1.ceaf900e90ae7p-21, 0x1.ad736fd82269bp-21, 0x1.8d18e63b1a407p-21, 0x1.6d9bdbef03b47p-21, 0x1.4ef8428d4bce7p-21, 0x1.312a14e947a8dp-21, 0x1.142d57467ee78p-21, 0x1.effc2f57b6aa6p-22, 0x1.b930dc2b99a57p-22, 0x1.83f0f96f49139p-22, 0x1.5034e0585796ep-22, 0x1.1df4ff4e8a845p-22, 0x1.da53b4882cc6bp-23, 0x1.7b98160cbcb3ap-23, 0x1.1fa8830c47519p-23, 0x1.8ced108d9802bp-24, 0x1.bfcf7ea54d02cp-25, 0x1.c1270e010d8abp-27, -0x1.a9dd731418ce8p-26, -0x1.08087440ef0d8p-24, -0x1.a0a97f804d0b4p-24, -0x1.1a3a9dcd4f8a3p-23, -0x1.61c303dc99bbfp-23, -0x1.a6faf2644d31ep-23, -0x1.e9ef3aa06cbc8p-23, -0x1.15563f43acfa1p-22, -0x1.349f9859101f3p-22, -0x1.52d9ca438a06dp-22, -0x1.700adf0c72d2p-22, -0x1.8c38c92394e3dp-22, -0x1.a7696372c6dbp-22, -0x1.c1a2716b86c72p-22, -0x1.dae99f168b1d7p-22, -0x1.f344812b11c8ap-22, -0x1.055c4a96ba047p-21, -0x1.10a5a0c541cd4p-21, -0x1.1b80ead969c93p-21, -0x1.25f0c521aab4bp-21, -0x1.2ff7c092193fbp-21, -0x1.399862d9c9826p-21, -0x1.42d5267534361p-21, -0x1.4bb07ac5ac0bap-21, -0x1.542cc4289fd17p-21, -0x1.5c4c5c0cf55fap-21, -0x1.64119107cfca5p-21, -0x1.6b7ea6f54c6dfp-21, -0x1.7295d70bf18f3p-21, -0x1.79594ff88c2c9p-21, -0x1.7fcb35fcf14bp-21, -0x1.85eda30355fd7p-21, -0x1.8bc2a6c2816c4p-21, -0x1.914c46d4c6cf5p-21, -0x1.968c7ed9a64aep-21, -0x1.9b85408ce1a8fp-21, -0x1.a03873e933872p-21, -0x1.a4a7f744a19ap-21, -0x1.a8d59f70be215p-21, -0x1.acc337d46c3b3p-21, -0x1.b0728290a71cp-21, -0x1.b3e53899b0456p-21, -0x1.b71d09da8f8afp-21, -0x1.ba1b9d526a964p-21, -0x1.bce29133480bbp-21, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      44, 0x1.cc28f5c28f5c3p+2, 0x1.6535984a4c789p+0, 0x1.680fe2c9b97p+1, -0x1.e1d98c6fc0f18p-9, 
      {{
        {0x1.428f5c28f5c29p+2, 0x1.4333333333333p+2, 0x1.696345465243fp-7, -0x1.502cb442fbf49p-6, 0x1.d514b89ed799cp-7, -0x1.248c505907dfep-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.62b6070d56c95p-7, -0x1.4b81794ed11dap-6, 0x1.d0b15622a0715p-7, -0x1.1e4b18a69abf2p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.42b44d84e4bb3p-7, -0x1.34ced3ed65dd4p-6, 0x1.bb38811621a32p-7, -0x1.175e4a1d648d5p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.24ea02ea9d7c2p-7, -0x1.1f2bb30d4e73p-6, 0x1.a644a1ed86e4fp-7, -0x1.10a55de7cc8ecp-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.093c54a880fd2p-7, -0x1.0a9189b110918p-6, 0x1.91d1d47c245a5p-7, -0x1.09de8ab5155c6p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.df222cd6d5363p-8, -0x1.edf3ba2ccb57cp-7, 0x1.7de123ae8f8d1p-7, -0x1.031b71232780ep-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.af9d844622435p-8, -0x1.c8bc5b30e8f9fp-7, 0x1.6a7247ff1fcap-7, -0x1.f8aeb0164ad76p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.83b8f0040d958p-8, -0x1.a56ff9c2f59e2p-7, 0x1.57855497e362p-7, -0x1.eb2706d58d755p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.5b43fcfb727bfp-8, -0x1.84019883d9dcdp-7, 0x1.451a445647ad4p-7, -0x1.dd9f38e3be139p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.360f849ce3241p-8, -0x1.64643a449c2cp-7, 0x1.3331189a8a263p-7, -0x1.d01774c6e2ad1p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.13edacdea895bp-8, -0x1.468ae1c95e767p-7, 0x1.21c9d106480c9p-7, -0x1.c28fae0780016p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.e963d079856a2p-9, -0x1.2a6891d9b704bp-7, 0x1.10e46db2ccd96p-7, -0x1.b507e7fcf2c5ap-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.b061eb71d0868p-9, -0x1.0ff04d3c4f262p-7, 0x1.0080ee99508bap-7, -0x1.a78021c1e770fp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.7c81c1b50db9bp-9, -0x1.ee2a2d701f5fap-8, 0x1.e13ea7774954bp-8, -0x1.99f85b93d63b5p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.4d72035d85f7ep-9, -0x1.bf93e227a0d84p-8, 0x1.c27f3a3299439p-8, -0x1.8c7095625c4aap-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.22e3f990efeb6p-9, -0x1.9403be2cdb771p-8, 0x1.a4c39564d257cp-8, -0x1.7ee8cf31a89a4p-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.f9170d00dfedcp-10, -0x1.6b5fc70d8576cp-8, 0x1.880bb90de5b2ap-8, -0x1.71610900f1702p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.b43e4ad1306fp-10, -0x1.458e025755cccp-8, 0x1.6c57a52dd3972p-8, -0x1.63d942d00faa1p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.76afd522d0ff6p-10, -0x1.227475980341fp-8, 0x1.51a759c49f36cp-8, -0x1.56517c9f51601p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.3fe3069c9cbc3p-10, -0x1.01f9265d449a1p-8, 0x1.37fad6d245e94p-8, -0x1.48c9b66e768bdp-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.0f546bfc4a2e5p-10, -0x1.c8043469a13b4p-9, 0x1.1f521c56c9d21p-8, -0x1.3b41f03dc375dp-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.c90b882cd6a58p-11, -0x1.90eaad58bc411p-9, 0x1.07ad2a5227f62p-8, -0x1.2dba2a0ce73b9p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.7dfbffacdb27p-11, -0x1.5e71c2a347eabp-9, 0x1.e2180188c6d6cp-9, -0x1.203263dc0f997p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.3c92847d339c2p-11, -0x1.30657f64b1964p-9, 0x1.b6dd3f5af7b23p-9, -0x1.12aa9dab71f7bp-9}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.03f1c0d028a84p-11, -0x1.0691eeb8671cdp-9, 0x1.8daa0e1ad9cd3p-9, -0x1.0522d77a6a65cp-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.a68d860b737dp-12, -0x1.c1863773abf14p-10, 0x1.667e6dc87d0aep-9, -0x1.ef3622939e95dp-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.5391fb573a9p-12, -0x1.7d8a2308d7531p-10, 0x1.415a5e63d1264p-9, -0x1.d4269631d5dfp-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.0d748efa8103cp-12, -0x1.40c7b6672be64p-10, 0x1.1e3ddfece11cp-9, -0x1.b91709d0554b2p-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.a59b6d8f1e3fp-13, -0x1.0ad707c584a28p-10, 0x1.fa51e4c74f056p-10, -0x1.9e077d6e74424p-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.449561d835ec2p-13, -0x1.b6a05ab578a65p-11, 0x1.bc372b90572edp-10, -0x1.82f7f10e8dd7ep-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.eab60fc52118p-14, -0x1.63967abb61a97p-11, 0x1.822b94348eb5p-10, -0x1.67e864a538f7cp-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.6b33faeea2f4p-14, -0x1.1bc09c0a636a7p-11, 0x1.4c2f1eb55fc35p-10, -0x1.4cd8d86276202p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.0652e22cee66p-14, -0x1.bc9dd62119d5p-12, 0x1.1a41cb0d013ebp-10, -0x1.31c94b8ca4666p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.702887db6f98p-15, -0x1.54e328749923ep-12, 0x1.d8c732a3045d3p-11, -0x1.16b9c0dc8f248p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.f3330031ab901p-16, -0x1.fd630fe86c538p-13, 0x1.85291260d96c3p-11, -0x1.f7545c5484cfdp-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.44905f48a7a01p-16, -0x1.70d29aafbd2efp-13, 0x1.39a937ba924d5p-11, -0x1.c13572b1dae05p-11}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.90a96fae75803p-17, -0x1.00d5a3feed11dp-13, 0x1.ec8f3372fc8b1p-12, -0x1.8b15aa0fe9f22p-11}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.cee069be9a8p-18, -0x1.5459b3602c1f2p-14, 0x1.7608b3a1698fbp-12, -0x1.54f921a646456p-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.e9f8ead8518p-19, -0x1.a663ef909b92bp-15, 0x1.0fbdf655ee12ep-12, -0x1.1ed0775c3ebfdp-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.cbadc99600fffp-20, -0x1.ded43432fc7e1p-16, 0x1.73653ea7b6803p-13, -0x1.d1aa28b37bc97p-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.691f3c300ap-21, -0x1.db2f411e4edbbp-17, 0x1.cf6464e3bc554p-14, -0x1.64616c3893b86p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.a9ce508ed0001p-23, -0x1.7c011effe0419p-18, 0x1.f320ae5061022p-15, -0x1.f80bf6016ddc1p-13}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.22e3f9904p-25, -0x1.96b1a0c239316p-20, 0x1.8966356bd7cb4p-16, -0x1.028ea66bfccp-13}, 
        {0x1.c99999999999ap+2, 0x1.cc28f5c28f5c3p+2, 0x1.6b33fae800001p-30, -0x1.97851731a3c39p-24, 0x1.4c85b6dc3b8p-18, -0x1.d221386d899f4p-13}, 
      }}, 
      0x1.52f90d0b21114p-8, -0x1.659814a55d3d8p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_i_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{-0x1.a9c991444ecaep-2, -0x1.9abbe4f4870cap-2, -0x1.8d7b939e928d7p-2, -0x1.899f59993ffacp-2, -0x1.92de6f3d6c819p-2, -0x1.a99180e13cd0dp-2, -0x1.cbc1967bab94cp-2, -0x1.f62f7fe5b2f48p-2, -0x1.129156d63014ap-1, -0x1.2a7c1acebe67fp-1, -0x1.413d2d394c8dfp-1, -0x1.5586bde22b5c8p-1, -0x1.665f8bfa6b82p-1, -0x1.7320b62be001dp-1, -0x1.7b6dd9a080635p-1, -0x1.7f2a52dcd7aeap-1, -0x1.7e6d82c7bd695p-1, -0x1.79773cf1eeb1ap-1, -0x1.70a50fee20055p-1, -0x1.6468bdcf07949p-1, -0x1.55400fa3bdb3ep-1, -0x1.43ae0cc339687p-1, -0x1.303588408d701p-1, -0x1.1b54e8603b9dbp-1, -0x1.0583050d6f428p-1, -0x1.de59f266a2977p-2, -0x1.b16981be9db69p-2, -0x1.84e102ed2aa52p-2, -0x1.5954b09c6e7d3p-2, -0x1.2f4125fcad752p-2, -0x1.070c6b2b895fep-2, -0x1.c20edc04716abp-3, -0x1.7adf80385e932p-3, -0x1.38e2fd2795ebap-3, -0x1.f8a51d99bcc96p-4, -0x1.8a989811e4ab4p-4, -0x1.27adc62f8ee5p-4, -0x1.9f9474db95abdp-5, -0x1.05648374ca73fp-5, -0x1.003b6ff234852p-6, -0x1.dccb244e1fc2dp-10, 0x1.3cf540d4f83fdp-7, 0x1.36c4b82fc09fep-6, 0x1.ad5f524d8448ap-6, 0x1.02573fb1afd4dp-5, 0x1.1f90b4cd12abp-5, 0x1.2f9467990f459p-5, 0x1.33978ed2d09cp-5, 0x1.2cc8f2e33a6fep-5, 0x1.1c4e55ae56c26p-5, 0x1.03426aff5e118p-5, 0x1.c566a609f6767p-6, 0x1.7742f239932c3p-6, 0x1.1dfd8cb873514p-6, 0x1.76b8dff30029ep-7, 0x1.441da32bb43c6p-8, -0x1.f77f8442afc1bp-10, -0x1.296bf9f1ae629p-7, -0x1.0d6414a4ad185p-6, -0x1.8850115a4bffdp-6, -0x1.02317c4cf4c4fp-5, -0x1.4050022c18acep-5, -0x1.7e1199c6a9b2bp-5, -0x1.bb10177ec1da9p-5, -0x1.f6f05e354bb2bp-5, -0x1.18b0e9943a92cp-4, -0x1.350ece88389e3p-4, -0x1.507302d36d38fp-4, -0x1.6ac2ebda010c2p-4, -0x1.83e7dbe276c81p-4, -0x1.9bcec847af79cp-4, -0x1.b267ffde297f6p-4, -0x1.c7a6e4e294c0fp-4, -0x1.db81aad2f5122p-4, -0x1.edf118a2c63d9p-4, -0x1.fef04d44e4558p-4, -0x1.073e4479d892dp-3, -0x1.0e4a7bfbf4815p-3, -0x1.149d415195873p-3, -0x1.1a37cf7e5918cp-3, -0x1.1f1c131f7d2dcp-3, -0x1.234c96a4891e3p-3, -0x1.26cc6f8820027p-3, -0x1.299f2d72b55e8p-3, -0x1.2bc8cacfc9fe6p-3, -0x1.2d4d9d1cf03e3p-3, -0x1.2e3248e3d925fp-3, -0x1.2e7bb40572adcp-3, -0x1.2e2efb0ebc4cbp-3, -0x1.2d5167243770bp-3, -0x1.2be8638efd03ep-3, -0x1.29f975963cea5p-3, -0x1.278a3505955ep-3, -0x1.24a04406942ecp-3, -0x1.2141498064377p-3, -0x1.1d72eabd5ec8dp-3, -0x1.193ac6aebea17p-3, -0x1.149e7091004b2p-3, -0x1.0fa36c6c04b12p-3, -0x1.0a4f2ae564ad2p-3, -0x1.04a706a2f127dp-3, -0x1.fd6081644ee69p-4, -0x1.f0dffd144761cp-4, -0x1.e3d69004bf601p-4, -0x1.d64e0ab7acb32p-4, -0x1.c84ffbdf17f57p-4, -0x1.b9e5ad665323fp-4, -0x1.ab1822f2425e6p-4, -0x1.9bf0186885a21p-4, -0x1.8c76011b4cbcfp-4, -0x1.7cb205794f745p-4, -0x1.6cac0597716cbp-4, -0x1.5c6b963fc9102p-4, -0x1.4bf8027f7794ep-4, -0x1.3b584cc84d102p-4, -0x1.2a932db0751ffp-4, -0x1.19af15cb7d25fp-4, -0x1.08b22fc52e6a2p-4, -0x1.ef44beb578e05p-5, -0x1.cd0a8835eabf5p-5, -0x1.aac0764d02105p-5, -0x1.8870bcb049b3p-5, -0x1.6625112be6e83p-5, -0x1.43e6ad74fe6e8p-5, -0x1.21be4e2854d88p-5, -0x1.ff68773a7abe5p-6, -0x1.bba09c0c5ca18p-6, -0x1.7833d2500a556p-6, -0x1.35300df6d9381p-6, -0x1.e544f35f381e1p-7, -0x1.612eda875d17bp-7, -0x1.bc69f98326246p-8, -0x1.71b48015d175ep-9, 0x1.20a332a353d23p-10, 0x1.46795fac011c1p-8, 0x1.20fa0b9108d25p-7, 0x1.9d3c07002edb8p-7, 0x1.0bf9beec81962p-6, 0x1.48893396bda41p-6, 0x1.8445e3674e835p-6, 0x1.bf29de53f518bp-6, 0x1.f92fbddba9777p-6, 0x1.1929473a30fedp-5, 0x1.3546e7320b342p-5, 0x1.50eebca8c9e9dp-5, 0x1.6c1efcaca7889p-5, 0x1.86d60a7399aebp-5, 0x1.a11279da763cfp-5, 0x1.bad314197f45p-5, 0x1.d416cebbd0752p-5, 0x1.ecdcc3d7c0785p-5, 0x1.02921bcb4ca9fp-4, 0x1.0e764c530037fp-4, 0x1.1a1abd4a5759cp-4, 0x1.257f472f62147p-4, 0x1.30a3d3006fef8p-4, 0x1.3b885b94402dcp-4, 0x1.462cea7dfbe68p-4, 0x1.5091951cfc802p-4, 0x1.5ab67de4bc96fp-4, 0x1.649bd49201d5p-4, 0x1.6e41d5f8748c9p-4, 0x1.77a8c8798c131p-4, 0x1.80d0fb44628ecp-4, 0x1.89bac80e7613ep-4, 0x1.9266935b1fd05p-4, 0x1.9ad4c96f0029ep-4, 0x1.a305dd1d0f113p-4, 0x1.aafa484a68c3fp-4, 0x1.b2b28cfc5ff85p-4, 0x1.ba2f3455de061p-4, 0x1.c170cc5a44118p-4, 0x1.c877e7938dbe4p-4, 0x1.cf451da93d24ep-4, 0x1.d5d90bff99322p-4, 0x1.dc345483ecce9p-4, 0x1.e2579c1207f1fp-4, 0x1.e8438a3713131p-4, 0x1.edf8ca316fa8ep-4, 0x1.f3780a69bd981p-4, 0x1.f8c1fc6e53dfdp-4, 0x1.fdd7535d9d723p-4, 0x1.015c61c09323ep-3, 0x1.03b3816d1293ep-3, 0x1.05f164cb70318p-3, 0x1.081668ce63751p-3, 0x1.0a22eaa12a4aap-3, 0x1.0c17478d7e834p-3, 0x1.0df3dd0b4b679p-3, 0x1.0fb908f915627p-3, 0x1.116729a0f2cc6p-3, 0x1.12fe9d381d011p-3, 0x1.147fc1b498f29p-3, 0x1.15eaf4c2218a6p-3, 0x1.174093d762c4dp-3, 0x1.1880fc679ba5bp-3, 0x1.19ac8bb3937d5p-3, 0x1.1ac39e8eae5e3p-3, 0x1.1bc6912159a23p-3, 0x1.1cb5bf05bbc6fp-3, 0x1.1d91836111b3ap-3, 0x1.1e5a38f6188d2p-3, 0x1.1f1039f79f841p-3, 0x1.1fb3dfe2fc572p-3, 0x1.2045836c1d973p-3, 0x1.20c57c7ef7b11p-3, 0x1.2134225b75e92p-3, 0x1.2191cb9ab8a3dp-3, 0x1.21dece15b115cp-3, 0x1.221b7ed1f7aedp-3, 0x1.224831fd9a19ap-3, 0x1.22653ad7ae0e1p-3, 0x1.2272ebbbb99f5p-3, 0x1.22719643f5d0dp-3, 0x1.22618b47c2c3fp-3, 0x1.22431ab21fe1p-3, 0x1.22169378b41p-3, 0x1.21dc43aa2372fp-3, 0x1.2194785d2a5c7p-3, 0x1.213f7dd53ed31p-3, 0x1.20dd9f70fc7cdp-3, 0x1.206f27a6f99f2p-3, 0x1.1ff4600f1c238p-3, 0x1.1f6d91515bb6ap-3, 0x1.1edb032113c14p-3, 0x1.1e3cfc42856b5p-3, 0x1.1d93c29503413p-3, 0x1.1cdf9b1e09758p-3, 0x1.1c20ca0c8425dp-3, 0x1.1b5792a89799p-3, 0x1.1a843747ffa63p-3, 0x1.19a6f953f0b8p-3, 0x1.18c01950e563ep-3, 0x1.17cfd6e9cbc8cp-3, 0x1.16d670fccdb49p-3, 0x1.15d42595b7c23p-3, 0x1.14c931db1eeeap-3, 0x1.13b5d21130ff9p-3, 0x1.129a41a91aec2p-3, 0x1.1176bb37e6dc6p-3, 0x1.104b7880ef0d7p-3, 0x1.0f18b27ff7df4p-3, 0x1.0ddea1694cdabp-3, 0x1.0c9d7ca6b55cep-3, 0x1.0b557ac2ae787p-3, 0x1.0a06d18c46903p-3, 0x1.08b1b600e1632p-3, 0x1.07565c6101af9p-3, 0x1.05f4f829780e1p-3, 0x1.048dbc18a058bp-3, 0x1.0320da2f29572p-3, 0x1.01ae83b30a165p-3, 0x1.0036e92e64096p-3, 0x1.fd7474ddb44d5p-4, 0x1.fa714d152f8ccp-4, 0x1.f764b7c595aa3p-4, 0x1.f44f104856934p-4, 0x1.f130b09d9dca1p-4, 0x1.ee09f16d7bb3cp-4, 0x1.eadb2a054c9cdp-4, 0x1.e7a4b050db433p-4, 0x1.e466d8ed5f515p-4, 0x1.e121f7266cc1bp-4, 0x1.ddd65cf21ffc1p-4, 0x1.da845afdd2a17p-4, 0x1.d72c40b759b1cp-4, 0x1.d3ce5c4ae430cp-4, 0x1.d06afaa389a4dp-4, 0x1.cd026772359f7p-4, 0x1.c994ed2ea34f1p-4, 0x1.c622d5134884ep-4, 0x1.c2ac67228cf41p-4, 0x1.bf31ea303b5cap-4, 0x1.bbb3a3e24855ep-4, 0x1.b831d8b0de9fp-4, 0x1.b4accbed61865p-4, 0x1.b124bfc6a18d4p-4, 0x1.ad99f54587304p-4, 0x1.aa0cac5140812p-4, 0x1.a67d23af28868p-4, 0x1.a2eb990a1a8f2p-4, 0x1.9f5848f4dd70dp-4, 0x1.9bc36ee8da8fp-4, 0x1.982d454b84f3ep-4, 0x1.949605712d687p-4, 0x1.90fde79dc58d9p-4, 0x1.8d652309b4c3cp-4, 0x1.89cbeddee5d15p-4, 0x1.86327d3b3ba07p-4, 0x1.8299053717465p-4, 0x1.7effb8e666ee8p-4, 0x1.7b66ca5ba2c34p-4, 0x1.77ce6aa3cdc45p-4, 0x1.7436c9d8a8b74p-4, 0x1.70a0170fd77e7p-4, 0x1.6d0a8067ddd88p-4, 0x1.697633080ed6ep-4, 0x1.65e35b2282116p-4, 0x1.625223f32248dp-4, 0x1.5ec2b7c3ceb14p-4, 0x1.5b353ff1a4aa2p-4, 0x1.57a9e4ebcf0bdp-4, 0x1.5420ce32fdfdep-4, 0x1.509a225f2118dp-4, 0x1.4d160723960f7p-4, 0x1.4994a14eb13b4p-4, 0x1.461614ca9e165p-4, 0x1.429a84a107d73p-4, 0x1.3f2212fe05fcdp-4, 0x1.3bace1304fadp-4, 0x1.383b0fa856a7dp-4, 0x1.34ccbdfc8b66ep-4, 0x1.31620af04c84ap-4, 0x1.2dfb1472cd6fdp-4, 0x1.2a97f79fc0022p-4, 0x1.2738d0bec7f0ap-4, 0x1.23ddbb4a7fd63p-4, 0x1.2086d1f15bf71p-4, 0x1.1d342e98c75afp-4, 0x1.19e5ea5d1424bp-4, 0x1.169c1d905a2e4p-4, 0x1.1356dfc2ebc08p-4, 0x1.101647c5e45b5p-4, 0x1.0cda6ba57028ap-4, 0x1.09a360aedc529p-4, 0x1.06713b75e73d2p-4, 0x1.03440fd5e4077p-4, 0x1.001bf0f23df55p-4, 0x1.f9f1e26e00d8p-5, 0x1.f3b644b886c7cp-5, 0x1.ed852acccfd8dp-5, 0x1.e75eb5653d0d1p-5, 0x1.e14303d32592bp-5, 0x1.db32341dea4dcp-5, 0x1.d52c62f190356p-5, 0x1.cf31abb09f598p-5, 0x1.c9422877ae4abp-5, 0x1.c35df21f5888ep-5, 0x1.bd85203f6b45ep-5, 0x1.b7b7c93423adap-5, 0x1.b1f60223d9336p-5, 0x1.ac3fdf0454211p-5, 0x1.a695729df5129p-5, 0x1.a0f6ce8f19a97p-5, 0x1.9b640351d8cb7p-5, 0x1.95dd2040af414p-5, 0x1.9062339abb647p-5, 0x1.8af34a8889c27p-5, 0x1.8590712026921p-5, 0x1.8039b269b0a2fp-5, 0x1.7aef18637e2c7p-5, 0x1.75b0ac089981bp-5, 0x1.707e755608801p-5, 0x1.6b587b4ed42a1p-5, 0x1.663ec3fea9615p-5, 0x1.6131547db80afp-5, 0x1.5c3030f6c6ea5p-5, 0x1.573b5cabfcbf8p-5, 0x1.5252d9fa37425p-5, 0x1.4d76aa5d88f57p-5, 0x1.48a6ce76202d7p-5, 0x1.43e3460ddd4f4p-5, 0x1.3f2c101deda1cp-5, 0x1.3a812acfdaed8p-5, 0x1.35e2938cf9fcfp-5, 0x1.315046ec10712p-5, 0x1.2cca40d02bc71p-5, 0x1.28507c5be2584p-5, 0x1.23e2f3fa7d187p-5, 0x1.1f81a1636190bp-5, 0x1.1b2c7d9dc8339p-5, 0x1.16e38105034d5p-5, 0x1.12a6a34d2114cp-5, 0x1.0e75db880b573p-5, 0x1.0a51202ad04f9p-5, 0x1.063867124b0c8p-5, 0x1.022ba586ba741p-5, 0x1.fc55a0821bf3p-6, 0x1.f46bb6df3bb14p-6, 0x1.ec9975666147p-6, 0x1.e4dec247e3894p-6, 0x1.dd3b82b68e942p-6, 0x1.d5af9ae9c255ep-6, 0x1.ce3aee25e2e0ep-6, 0x1.c6dd5eca6a98ap-6, 0x1.bf96ce5e08c0cp-6, 0x1.b8671d9801c42p-6, 0x1.b14e2c6395aabp-6, 0x1.aa4bd9de77719p-6, 0x1.a3600455ea2b7p-6, 0x1.9c8a8945b9d31p-6, 0x1.95cb455abdc26p-6, 0x1.8f22147a2881dp-6, 0x1.888ed1d2eed3bp-6, 0x1.821157de595e1p-6, 0x1.7ba980a91562p-6, 0x1.755725b093adap-6, 0x1.6f1a201de6c7cp-6, 0x1.68f248bbda24ep-6, 0x1.62df77f2bf9fp-6, 0x1.5ce185b75cdbep-6, 0x1.56f849778d1dep-6, 0x1.51239a0d96adp-6, 0x1.4b634db3e42b9p-6, 0x1.45b73a1780e2bp-6, 0x1.401f3466021edp-6, 0x1.3a9b117593359p-6, 0x1.352aa5e8f17e8p-6, 0x1.2fcdc64821c5bp-6, 0x1.2a84470a0e7f2p-6, 0x1.254dfc87e21c9p-6, 0x1.202abada00aabp-6, 0x1.1b1a55a9a2fb2p-6, 0x1.161ca0216282bp-6, 0x1.11316cdf375bcp-6, 0x1.0c588de8c128cp-6, 0x1.0791d4ec77babp-6, 0x1.02dd139540cb9p-6, 0x1.fc74381a051bbp-7, 0x1.f3518278ce395p-7, 0x1.ea51adecb30b4p-7, 0x1.e17463e3057fbp-7, 0x1.d8b94ef63171p-7, 0x1.d02019d725ecbp-7, 0x1.c7a86e120807ap-7, 0x1.bf51f2afe658dp-7, 0x1.b71c4b630fa21p-7, 0x1.af071826e0917p-7, 0x1.a711f5c506856p-7, 0x1.9f3c7f1c6be98p-7, 0x1.97864f0b6059dp-7, 0x1.8fef028fa3dc8p-7, 0x1.88763aaa3b215p-7, 0x1.811b9d9ef2babp-7, 0x1.79ded741fdd72p-7, 0x1.72bf98311ee9bp-7, 0x1.6bbd94110eff4p-7, 0x1.64d87f24cedfap-7, 0x1.5e100bbc4b041p-7, 0x1.5763e8076d7a8p-7, 0x1.50d3bccb1bdaep-7, 0x1.4a5f2d471fe08p-7, 0x1.4405d85cad455p-7, 0x1.3dc75ac5289edp-7, 0x1.37a351c67fcbfp-7, 0x1.31995dd7e30cep-7, 0x1.2ba924bc30a26p-7, 0x1.25d25267c8ac5p-7, 0x1.2014988870b24p-7, 0x1.1a6faccd5583cp-7, 0x1.14e34645ead56p-7, 0x1.0f6f1a6dee107p-7, 0x1.0a12da9a033fbp-7, 0x1.04ce3267719cdp-7, 0x1.ff418f57f91c4p-8, 0x1.f51477e55791ep-8, 0x1.eb145ed78fdeap-8, 0x1.e1408954d7a63p-8, 0x1.d79848e838297p-8, 0x1.ce1b01a1f2d96p-8, 0x1.c4c82d334bebfp-8, 0x1.bb9f5a1075c2ap-8, 0x1.b2a0266434134p-8, 0x1.a9ca377393a7fp-8, 0x1.a11d2ed961bp-8, 0x1.98989f87b85edp-8, 0x1.903c04a6491f4p-8, 0x1.8806bc20ffb91p-8, 0x1.7ff806282c10dp-8, 0x1.780f0a1de1585p-8, 0x1.704adf4b7d888p-8, 0x1.68aa9b98a2313p-8, 0x1.612d5fd879c47p-8, 0x1.59d267a72d87cp-8, 0x1.529912490811ap-8, 0x1.4b80e8742bc7ap-8, 0x1.44899bc038dd4p-8, 0x1.3db2ff94b3e66p-8, 0x1.36fcfd0257312p-8, 0x1.306783732251ap-8, 0x1.29f278ae881aap-8, 0x1.239daaa8188dcp-8, 0x1.1d68c5166b029p-8, 0x1.17534c978981fp-8, 0x1.115c9f85e1c03p-8, 0x1.0b83fa2790092p-8, 0x1.05c8823d23584p-8, 0x1.002954ea5f3fp-8, 0x1.f54b270a05fe9p-9, 0x1.ea78e5dfa39aap-9, 0x1.dfda8d24fe24dp-9, 0x1.d56f0c9ea4d0fp-9, 0x1.cb359f5d03f4ep-9, 0x1.c12dc373deb44p-9, 0x1.b7572911a27aap-9, 0x1.adb19c6208d41p-9, 0x1.a43cee273d5c1p-9, 0x1.9af8de8d13704p-9, 0x1.91e50c507ae6fp-9, 0x1.8900eab3aa62ep-9, 0x1.804bbdbdd1e52p-9, 0x1.77c49df1dd972p-9, 0x1.6f6a82216011ep-9, 0x1.673c4d6da55d5p-9, 0x1.5f38de2c8d6b3p-9, 0x1.575f1bdd9a91p-9, 0x1.4fae00abca188p-9, 0x1.48249bdad06cdp-9, 0x1.40c2132850f0ap-9, 0x1.3985a487199f5p-9, 0x1.326ea5ace65d1p-9, 0x1.2b7c84588cb26p-9, 0x1.24aec54f9d1eap-9, 0x1.1e04ff60f8e6cp-9, 0x1.177ed25993a9cp-9, 0x1.111bdabd6662ep-9, 0x1.0adba81bf7e5p-9, 0x1.04bdb2dc7c6cdp-9, 0x1.fd82b6d3d327ap-10, 0x1.f1cbddcd7b207p-10, 0x1.e6556f8fb2fdbp-10, 0x1.db1df5d34d634p-10, 0x1.d0241064a8f97p-10, 0x1.c566610e08bd6p-10, 0x1.bae37cdb5e876p-10, 0x1.b099e0e3f5fa6p-10, 0x1.a687f3bb5d003p-10, 0x1.9cac21e194ec9p-10, 0x1.9305059cc7e99p-10, 0x1.89918b11cab73p-10, 0x1.8050fad42f569p-10, 0x1.7742e375cbe1dp-10, 0x1.6e66ebc8019b8p-10, 0x1.65bca51ea2526p-10, 0x1.5d437573a74b8p-10, 0x1.54faa3ce6fd68p-10, 0x1.4ce17d9a58a2bp-10, 0x1.44f77d7e4a38dp-10, 0x1.3d3c5b5ea0f9ep-10, 0x1.35aff7f9c3865p-10, 0x1.2e5225e11772p-10, 0x1.27225f3a01c5cp-10, 0x1.201f80e1f26cep-10, 0x1.1947a66add00fp-10, 0x1.12983e976893ep-10, 0x1.0c0e5f1359f57p-10, 0x1.05a746f4dda58p-10, 0x1.fec1c697c20cfp-11, 0x1.f27443187555bp-11, 0x1.e665d6343db46p-11, 0x1.da9795d433ff9p-11, 0x1.cf0acdfa74d8bp-11, 0x1.c3c019ecea687p-11, 0x1.b8b7073d8f1bap-11, 0x1.adee55bcfba69p-11, 0x1.a36497d33a349p-11, 0x1.9918d7174ed94p-11, 0x1.8f0af55316024p-11, 0x1.853bacbad8766p-11, 0x1.7bac3740208fp-11, 0x1.725dbb1ad4232p-11, 0x1.6950a3075b8fap-11, 0x1.608409741a7a7p-11, 0x1.57f5607caee84p-11, 0x1.4fa0834f5e794p-11, 0x1.47804ba4014ebp-11, 0x1.3f8f90c959dfdp-11, 0x1.37ca33f7bd72ap-11, 0x1.302dc12a6d3dep-11, 0x1.28b959d80d4ap-11, 0x1.216ce8f790cd4p-11, 0x1.1a485a3c3130ep-11, 0x1.134b233c3a227p-11, 0x1.0c745b762fb65p-11, 0x1.05c35424c72d9p-11, 0x1.fe700e1c58f8fp-12, 0x1.f1a6562663eecp-12, 0x1.e52bcd1bef532p-12, 0x1.d9028bfef6ce1p-12, 0x1.cd2b72d3989dap-12, 0x1.c1a5c71707bd4p-12, 0x1.b66fa4266dd3p-12, 0x1.ab870069e3576p-12, 0x1.a0e9c8eaaa05ep-12, 0x1.96963a5d11e37p-12, 0x1.8c898d7ce0c01p-12, 0x1.82bffd5f6ece2p-12, 0x1.7935161d433e6p-12, 0x1.6fe4d61fa176ap-12, 0x1.66ccb3438bcc3p-12, 0x1.5debdb4524403p-12, 0x1.55427e517a34p-12, 0x1.4cd090dad39cp-12, 0x1.4494c7344411cp-12, 0x1.3c8c4d7682cddp-12, 0x1.34b3537a549e9p-12, 0x1.2d0619c6ea69fp-12, 0x1.25825fb0a6181p-12, 0x1.1e287a0abc2b5p-12, 0x1.16fad0db923c4p-12, 0x1.0ffc1de461f73p-12, 0x1.092db1fe13c46p-12, 0x1.028ecf6067f7bp-12, 0x1.f83a68f5e469bp-13, 0x1.ebac6d2d65401p-13, 0x1.df6fba33bf16ap-13, 0x1.d382745e2efcdp-13, 0x1.c7e42ec33cfa4p-13, 0x1.bc950edc7e0cfp-13, 0x1.b19420c2a87bcp-13, 0x1.a6deb8e020518p-13, 0x1.9c6fbb9336c9dp-13, 0x1.9240e25918ae1p-13, 0x1.884d72c570f2p-13, 0x1.7e946a505c8f5p-13, 0x1.7518094d23b15p-13, 0x1.6bdad6346674ep-13, 0x1.62dce85862f41p-13, 0x1.5a1bb87bc9066p-13, 0x1.5194f34976adp-13, 0x1.4948a58fb1971p-13, 0x1.41376ad326be5p-13, 0x1.395f2dd9f8f8ap-13, 0x1.31ba9e7056f7ep-13, 0x1.2a43a38544618p-13, 0x1.22f5db782d1f3p-13, 0x1.1bd0055d7ceabp-13, 0x1.14d2339ed3f1dp-13, 0x1.0dfe1736415e2p-13, 0x1.07554e8aac122p-13, 0x1.00d917953cdcbp-13, 0x1.f513d18770d4fp-14, 0x1.e8cf7c660ea49p-14, 0x1.dce579fd9e4ccp-14, 0x1.d154e7256145ap-14, 0x1.c616b0030f3fbp-14, 0x1.bb1c6a2b99176p-14, 0x1.b05945a80236fp-14, 0x1.a5cc707410d85p-14, 0x1.9b7ed54d3f7e1p-14, 0x1.917612d77b56p-14, 0x1.87ad2263c27e3p-14, 0x1.7e1c01106fe51p-14, 0x1.74c2fc821c276p-14, 0x1.6ba9501caa504p-14, 0x1.62d32cfebe05ep-14, 0x1.5a3e2cce50b2ap-14, 0x1.51e5a149a57bbp-14, 0x1.49c5a4e537c88p-14, 0x1.41dbe8905b2d4p-14, 0x1.3a254e7291fe1p-14, 0x1.329ba8bd9b052p-14, 0x1.2b37102126e88p-14, 0x1.23f1b39e35b59p-14, 0x1.1ccc7bcdcd4bbp-14, 0x1.15cf13d30c81p-14, 0x1.0f022de8d4cc9p-14, 0x1.0868148667b4ap-14, 0x1.01fdb57fb27dp-14, 0x1.f77fb9dd3a5c7p-15, 0x1.eb5d1f0d960ccp-15, 0x1.df8b54f51b658p-15, 0x1.d3f4bd6b9c26cp-15, 0x1.c88ed40b81cdfp-15, 0x1.bd6751df8bb51p-15, 0x1.b289e59694852p-15, 0x1.a7ea6334d079ap-15, 0x1.9d78c836dcbc3p-15, 0x1.933af3e36f7b5p-15, 0x1.894032312d017p-15, 0x1.7f8a643234fbdp-15, 0x1.760fde71f0936p-15, 0x1.6cc76e67f8e2dp-15, 0x1.63ad016db2f88p-15, 0x1.5ac0ceeaa04f2p-15, 0x1.5205961b1f6ddp-15, 0x1.497efaecae654p-15, 0x1.41301aa3dd8d4p-15, 0x1.3919d05d643c5p-15, 0x1.3137cf5fe06p-15, 0x1.297e12287f363p-15, 0x1.21def5191e595p-15, 0x1.1a56ff089245fp-15, 0x1.12f3ca374efaep-15, 0x1.0bc2dd98028adp-15, 0x1.04bee8fda0199p-15, 0x1.fbbbc5b34b0fap-16, 0x1.ee46ef90dc436p-16, 0x1.e12fbc3022ac6p-16, 0x1.d463bb99ccb7cp-16, 0x1.c7c98a32e9584p-16, 0x1.bb67302667884p-16, 0x1.af45872f00296p-16, 0x1.a3517bb32eee5p-16, 0x1.9783773162599p-16, 0x1.8bf48cd00b464p-16, 0x1.80afe7c8052b2p-16, 0x1.75a88cde58f95p-16, 0x1.6ad221e0129cp-16, 0x1.6028d5768f026p-16, 0x1.55ac9160d6166p-16, 0x1.4b5dcf257efb4p-16, 0x1.413c396d33a2bp-16, 0x1.3746e718db862p-16, 0x1.2d7dc40a9c826p-16, 0x1.23e1e4f841e03p-16, 0x1.1a73aeb6162b2p-16, 0x1.11372d58086e8p-16, 0x1.082a9c7b8a12dp-16, 0x1.fe9e40420df09p-17, 0x1.ed3613daf0f99p-17, 0x1.dbfdb3632c4c3p-17, 0x1.cb02a2f8c21a5p-17, 0x1.ba573a95b398fp-17, 0x1.a9eba5feee2b4p-17, 0x1.99b1883429a54p-17, 0x1.89c5fb1e66548p-17, 0x1.7a4472e3b670dp-17, 0x1.6b1c147084139p-17, 0x1.5c257dd1c3904p-17, 0x1.4d58ad70b955dp-17, 0x1.3ebc24b2acfa7p-17, 0x1.3043e37e8137p-17, 0x1.2206a5047e665p-17, 0x1.1418b702bc67ap-17, 0x1.066add726bca6p-17, 0x1.f1dd033fe145dp-18, 0x1.d741e62f2154dp-18, 0x1.bd0731e3b211ap-18, 0x1.a32f2894eff1dp-18, 0x1.89ba34010a916p-18, 0x1.70a71fad78657p-18, 0x1.57f3578886199p-18, 0x1.3f9c7621cff5dp-18, 0x1.27a21a8710ceap-18, 0x1.1002707d2cdd9p-18, 0x1.f172ed0fff523p-19, 0x1.c38c931f9b5b3p-19, 0x1.96547e8a6cc6ap-19, 0x1.69cf28b35752p-19, 0x1.3e25b5f07656dp-19, 0x1.132d8f72c1f05p-19, 0x1.d19c412d33224p-20, 0x1.7dce1171d2c2ep-20, 0x1.2aec1d72e5b05p-20, 0x1.b22c9cbc75153p-21, 0x1.117d757a9761dp-21, 0x1.cdc3b32dcb4f3p-23, -0x1.425c510b95ebbp-24, -0x1.82a256f46d11p-22, -0x1.57e3901729f23p-21, -0x1.ecd250ea3a25cp-21, -0x1.401a2c5d6889ap-20, -0x1.88d12ac668a8bp-20, -0x1.d02b1b78ad285p-20, -0x1.0b2c5f6c17a6p-19, -0x1.2dc5015d202d2p-19, -0x1.4fe2e6ed76731p-19, -0x1.7185e83bdae8cp-19, -0x1.92abbaee190f4p-19, -0x1.b3533972c5537p-19, -0x1.d384b309dff8bp-19, -0x1.f3152f71da755p-19, -0x1.092e121983eecp-18, -0x1.188c020036052p-18, -0x1.27aeb6b1ad142p-18, -0x1.3695437502976p-18, -0x1.4542e5b80fc57p-18, -0x1.53b5e58f8454dp-18, -0x1.61ee8079cc294p-18, -0x1.6ff069ca11364p-18, -0x1.7dc14b5d3406p-18, -0x1.8b4e802713756p-18, -0x1.989af3cac6644p-18, -0x1.a5b1354dd5443p-18, -0x1.b29ea61e6216bp-18, -0x1.bf5e62aea28f6p-18, -0x1.cbdb34cb53bdap-18, -0x1.d82213a44282ap-18, -0x1.e4378c419ce4dp-18, -0x1.f01a4a512c354p-18, -0x1.fbc976fa3a9abp-18, -0x1.03a1d653f799ap-17, -0x1.09431bc2cc28bp-17, -0x1.0ecc025c4d406p-17, -0x1.143f36812fd94p-17, -0x1.1998eff6a839p-17, -0x1.1ed7c1b60f84dp-17, -0x1.23fe46b7e1a65p-17, -0x1.290d2474d2a7dp-17, -0x1.2e04216dc981bp-17, -0x1.32e3272b10eebp-17, -0x1.37aa491775379p-17, -0x1.3c59af41f54bdp-17, -0x1.40f1878d1139bp-17, -0x1.4571feb54d152p-17, -0x1.49db457906296p-17, -0x1.4e2d6e0e0553ap-17, -0x1.52689e592e5fcp-17, -0x1.568d053e2e13dp-17, -0x1.5a9b582eb4dbap-17, -0x1.5e9504485bd96p-17, -0x1.62756089b943ep-17, -0x1.66429f13711edp-17, -0x1.69f81c13837a3p-17, -0x1.6d9947c5e4c7bp-17, -0x1.712369bd275f6p-17, -0x1.74966b23bbf71p-17, -0x1.77f62cbdbb57bp-17, -0x1.7b4238e14c85p-17, -0x1.7e7872c307b88p-17, -0x1.8196fea50c936p-17, -0x1.84a3b1d6a6727p-17, -0x1.879b0df3b8224p-17, -0x1.8a7e7afabff01p-17, -0x1.8d4ecb162f9cep-17, -0x1.900a02550870fp-17, -0x1.92b064e2dfd75p-17, -0x1.9544402851581p-17, -0x1.97c35940de096p-17, -0x1.9a2e505849fd8p-17, -0x1.9c87df7264bb6p-17, -0x1.9ece98418431p-17, -0x1.a0ffe9284a579p-17, -0x1.a31ea5301324ap-17, -0x1.a52bfed136306p-17, -0x1.a7265985fd088p-17, -0x1.a90d07ca12c3bp-17, -0x1.aae49f5648068p-17, -0x1.aca71505b2013p-17, -0x1.ae592e8e61a74p-17, -0x1.aff294e977ec1p-17, -0x1.b184a4277f4c7p-17, -0x1.b300d6d3af8e1p-17, -0x1.b46a80b1b7c37p-17, -0x1.b5c3be93c114ep-17, -0x1.b70d7fb81c126p-17, -0x1.b844d0bf4623bp-17, -0x1.b96b54ce3e882p-17, -0x1.ba80e1aed1a81p-17, -0x1.bb845283c1bcp-17, -0x1.bc78790fd0db8p-17, -0x1.bd60a0de034aap-17, -0x1.be350c7ad2059p-17, -0x1.befa1a37b715cp-17, -0x1.bfaf72358b273p-17, -0x1.c0558dba2affbp-17, -0x1.c0eb36fc7dfffp-17, -0x1.c17200a88743bp-17, -0x1.c1e9a7ad77dffp-17, -0x1.c252337812acdp-17, -0x1.c2abf92e2e64bp-17, -0x1.c2f722b58c8fap-17, -0x1.c333c6984e797p-17, -0x1.c36208e12b6b3p-17, -0x1.c3822a3efc10ap-17, -0x1.c3944eee65463p-17, -0x1.c39840701e29bp-17, -0x1.c38ee3b383a4ep-17, -0x1.c3779027305c2p-17, -0x1.c3532396dd804p-17, -0x1.c3213aa944f46p-17, -0x1.c2e32706baffep-17, -0x1.c296ae7849abcp-17, -0x1.c23ca8ffd6f48p-17, -0x1.c1d77cbc1ab8bp-17, -0x1.c165ab0b87f3cp-17, -0x1.c0e6e28b95817p-17, -0x1.c05bd6f6830e1p-17, -0x1.bfc4fe09ac9e4p-17, -0x1.bf22797270fa6p-17, -0x1.be7476b0d9944p-17, -0x1.bdbafb7d00e1p-17, -0x1.bcf559f0e8dcfp-17, -0x1.bc23b961992adp-17, -0x1.bb45bf3daa81ep-17, -0x1.ba60864301c8p-17, -0x1.b96f9bd7bdde1p-17, -0x1.b873ece4d261p-17, -0x1.b76d19bf73f7fp-17, -0x1.b65ab42a262c7p-17, -0x1.b53ea60ccc42fp-17, -0x1.b418c9cc405f6p-17, -0x1.b2e91b9e49be9p-17, -0x1.b1af20b1d4fa3p-17, -0x1.b06c0551f483ap-17, -0x1.af21442ad06acp-17, -0x1.adcc519837643p-17, -0x1.ac6c1722a7bc2p-17, -0x1.ab04292c85689p-17, -0x1.a99282176ac7cp-17, -0x1.a81653896fd4cp-17, -0x1.a693f02963521p-17, -0x1.a509feab5abf5p-17, -0x1.a3773661da4a8p-17, -0x1.a1dbd091539ebp-17, -0x1.a038505a6b8bfp-17, -0x1.9e8cfac452d2fp-17, -0x1.9cd93709386eap-17, -0x1.9b1c9f5aa5093p-17, -0x1.995d0c866dea2p-17, -0x1.9792e3a1c5519p-17, -0x1.95c21f855e7cbp-17, -0x1.93eaa6bce6005p-17, -0x1.920bc4ec29217p-17, -0x1.90261440156a4p-17, -0x1.8e39c4603b63dp-17, -0x1.8c46f6a5bc71p-17, -0x1.8a4dc57e127cfp-17, -0x1.884e0fa4df1cbp-17, -0x1.86498fcc700c5p-17, -0x1.843cf491f0904p-17, -0x1.822bf84a394ddp-17, -0x1.8014fe7c4b629p-17, -0x1.7df854d2005fcp-17, -0x1.7bd642786135ep-17, -0x1.79af331818be6p-17, -0x1.778153b786c54p-17, -0x1.754f579abc55ep-17, -0x1.731ba795ce389p-17, -0x1.70e6ef521878dp-17, -0x1.6e9b7463bb1b3p-17, -0x1.6c57138cd275p-17, -0x1.6a0f2b0703ca9p-17, -0x1.67c1c0a8adb9dp-17, -0x1.656ef1fe2d7bfp-17, -0x1.63101d25ad04ap-17, -0x1.60c309e89ac99p-17, -0x1.5e64d79a543e3p-17, -0x1.5c001ce34e48bp-17, -0x1.599a7ee2ec7afp-17, -0x1.5731453d024eap-17, -0x1.54c55f6ad6f3bp-17, -0x1.5254a0d3bc83ep-17, -0x1.4fe33f1fd371bp-17, -0x1.4d6d529736b75p-17, -0x1.4af46f621d173p-17, -0x1.48785db919f2fp-17, -0x1.45f9f3f7054a7p-17, -0x1.4378a8527c144p-17, -0x1.40f4fd5a92d48p-17, -0x1.3e6fd8bfe325dp-17, -0x1.3be6ef53b22b8p-17, -0x1.395ce924ed2b2p-17, -0x1.36cfe6f51dff5p-17, -0x1.34407a4c5b146p-17, -0x1.31afeaf12659cp-17, -0x1.2f1d4d70b3e83p-17, -0x1.2c8876246ae3ap-17, -0x1.29f205dafc523p-17, }}, 
      {{-0x1.ae4e0871242dbp-2, -0x1.a868792a414e4p-2, -0x1.a1769704c2544p-2, -0x1.9bbb9ba3f3a08p-2, -0x1.98cd53faa7cbfp-2, -0x1.99865bda0c2bfp-2, -0x1.9e23693b176c5p-2, -0x1.a66cec93ef733p-2, -0x1.b1df48fae07efp-2, -0x1.bfcc61d94ec9bp-2, -0x1.cf753f5b544efp-2, -0x1.e01c4dd59f4acp-2, -0x1.f1116bd9f54c3p-2, -0x1.00dc90793d3cap-1, -0x1.08c81e432465dp-1, -0x1.1016749821655p-1, -0x1.169f044006bb4p-1, -0x1.1c44bbbfb94b5p-1, -0x1.20f4d8c77d1a5p-1, -0x1.24a592b11d62dp-1, -0x1.2754baadd33d1p-1, -0x1.290664af429d2p-1, -0x1.29c3a5aaa0c3ep-1, -0x1.29996ea3036d7p-1, -0x1.28978846b832fp-1, -0x1.26cfb10ee30eep-1, -0x1.2454dc639a395p-1, -0x1.213a926410061p-1, -0x1.1d946c32488c5p-1, -0x1.1975abae9b23dp-1, -0x1.14f0ea1a5d98dp-1, -0x1.1017dafe0acb8p-1, -0x1.0afb20deb0723p-1, -0x1.05aa3002c617dp-1, -0x1.00333d384bd3fp-1, -0x1.f5466d07f1603p-2, -0x1.ea0b872630ee9p-2, -0x1.deca97eb7dcc5p-2, -0x1.d396043c1e227p-2, -0x1.c87de41be9b3ep-2, -0x1.bd9023c682958p-2, -0x1.b2d8a81d50951p-2, -0x1.a861759bf71d4p-2, -0x1.9e32d75360df5p-2, -0x1.94538541f0a53p-2, -0x1.8ac8ca612c4aap-2, -0x1.8196a9e668065p-2, -0x1.78c002250a879p-2, -0x1.7046ad50ae315p-2, -0x1.682ba067604fp-2, -0x1.606f0837f882bp-2, -0x1.591063dde04b8p-2, -0x1.520e9d4bebbb6p-2, -0x1.4b681f0a2dbefp-2, -0x1.451ae89f9ab7bp-2, -0x1.3f24a0c6f2767p-2, -0x1.3982a59e5131ap-2, -0x1.34321b584b2c5p-2, -0x1.2f2ff8fa0d4d1p-2, -0x1.2a7913ba15ddbp-2, -0x1.260a2900bb828p-2, -0x1.21dfe79080faep-2, -0x1.1df6f70b15cd3p-2, -0x1.1a4bfece9db32p-2, -0x1.16dbaaf83f716p-2, -0x1.13a2b21dfa7c9p-2, -0x1.109dd874a32p-2, -0x1.0dc9f3c7b1befp-2, -0x1.0b23ee35ca03fp-2, -0x1.08a8c846c264cp-2, -0x1.06559b1f1ad34p-2, -0x1.042799c25a1fbp-2, -0x1.021c1226da735p-2, -0x1.00306df7ee51dp-2, -0x1.fcc465f4b281ap-3, -0x1.f95e066d44bccp-3, -0x1.f6293a537d738p-3, -0x1.f321b6cbf3658p-3, -0x1.f04368bdb529p-3, -0x1.ed8a73d25c594p-3, -0x1.eaf331e37dda5p-3, -0x1.e87a314a6da2dp-3, -0x1.e61c3347189e7p-3, -0x1.e3d62b6588908p-3, -0x1.e1a53d2cba7c6p-3, -0x1.df86baa102993p-3, -0x1.dd7822be3bc3bp-3, -0x1.db771f683766dp-3, -0x1.d981840a5379cp-3, -0x1.d7954bb1b97e6p-3, -0x1.d5b0973eb397ep-3, -0x1.d3d1ab46ba682p-3, -0x1.d1f6ef563fa62p-3, -0x1.d01eeb5c1d3aap-3, -0x1.ce48467599786p-3, -0x1.cc71c525e00fdp-3, -0x1.ca9a47f76dc2dp-3, -0x1.c8c0c9b7c343dp-3, -0x1.c6e45e17b3eb8p-3, -0x1.c504305ebc96bp-3, -0x1.c31f8212ce25cp-3, -0x1.c135a97a1f6d2p-3, -0x1.bf460fff1fd1bp-3, -0x1.bd5031f5a6226p-3, -0x1.bb539c82e9251p-3, -0x1.b94fed0785854p-3, -0x1.b744cfadd5f17p-3, -0x1.b531feaabe9b2p-3, -0x1.b317413b7936fp-3, -0x1.b0f46aa8ab95cp-3, -0x1.aec9595638505p-3, -0x1.ac95f64190909p-3, -0x1.aa5a3395095fcp-3, -0x1.a8160cc5b936bp-3, -0x1.a5c9852eb8cc4p-3, -0x1.a374a7c40d0c1p-3, -0x1.a11785e08489ep-3, -0x1.9eb23781c5515p-3, -0x1.9c44da6938437p-3, -0x1.99cf913e34a24p-3, -0x1.9752836c1570cp-3, -0x1.94cddc9ae1a3bp-3, -0x1.9241cc2a40c77p-3, -0x1.8fae84d82b50ep-3, -0x1.8d143c62ca98bp-3, -0x1.8a732b0ae4e5bp-3, -0x1.87cb8b980e8c3p-3, -0x1.851d9a8e8bcafp-3, -0x1.8269963e49404p-3, -0x1.7fafbe65451d9p-3, -0x1.7cf053bc137c8p-3, -0x1.7a2b985f8ba21p-3, -0x1.7761cec1bc041p-3, -0x1.74933a15a2099p-3, -0x1.71c01d78f028fp-3, -0x1.6ee8bcb35e8ep-3, -0x1.6c0d5b7716b91p-3, -0x1.692e3d1161b77p-3, -0x1.664ba4dade6b5p-3, -0x1.6365d59ed79fbp-3, -0x1.607d11b65e646p-3, -0x1.5d919ae7dfd2p-3, -0x1.5aa3b2465a0c1p-3, -0x1.57b39826a05afp-3, -0x1.54c18c023571dp-3, -0x1.51cdcc66844d4p-3, -0x1.4ed896e03559p-3, -0x1.4be2282f6095dp-3, -0x1.48eabbc0984d8p-3, -0x1.45f28bfec867dp-3, -0x1.42f9d23f48aeap-3, -0x1.4000c699bf5d9p-3, -0x1.3d079fefb911bp-3, -0x1.3a0e93dd5154fp-3, -0x1.3715d709d002dp-3, -0x1.341d9c9990295p-3, -0x1.31261677eb118p-3, -0x1.2e2f752eb76ap-3, -0x1.2b39e845be958p-3, -0x1.28459db2db06bp-3, -0x1.2552c275a5971p-3, -0x1.2261821696e65p-3, -0x1.1f7206b8c92cep-3, -0x1.1c8479730cfbbp-3, -0x1.199902064e3efp-3, -0x1.16afc6efaee72p-3, -0x1.13c8ed7ae2aap-3, -0x1.10e499b54f1cfp-3, -0x1.0e02ee6be0ac8p-3, -0x1.0b240d458b098p-3, -0x1.084816b874a1ep-3, -0x1.056f2a1441efdp-3, -0x1.0299657d711f8p-3, -0x1.ff8dcbf8a346ap-4, -0x1.f9ef8efb4ddc1p-4, -0x1.f4584980a5b4dp-4, -0x1.eec82f4a46f3p-4, -0x1.e93f71c698c2ep-4, -0x1.e3be3ff12d6e4p-4, -0x1.de44c75e46fbdp-4, -0x1.d8d33366d5876p-4, -0x1.d369ad5647f84p-4, -0x1.ce085c8a2a2b1p-4, -0x1.c8af66f0f7534p-4, -0x1.c35ef06440ff4p-4, -0x1.be171ae2471bdp-4, -0x1.b8d80685da508p-4, -0x1.b3a1d20c5072bp-4, -0x1.ae749a855cfeep-4, -0x1.a9507b6005394p-4, -0x1.a4358e5aa7c11p-4, -0x1.9f23ebcd850cdp-4, -0x1.9a1baa87cc079p-4, -0x1.951cdfe29b024p-4, -0x1.90279fb920de7p-4, -0x1.8b3bfcdbf39b1p-4, -0x1.865a089032ef1p-4, -0x1.8181d29c647d3p-4, -0x1.7cb369d7dcf6p-4, -0x1.77eedbc44645fp-4, -0x1.733434b82b9c3p-4, -0x1.6e837fd42f448p-4, -0x1.69dcc73e23948p-4, -0x1.654013e67e341p-4, -0x1.60ad6daed6e7bp-4, -0x1.5c24db86f9c34p-4, -0x1.57a6635dd045bp-4, -0x1.53320a30a8f81p-4, -0x1.4ec7d410a4af4p-4, -0x1.4a67c4253cb5p-4, -0x1.4611dcb54685fp-4, -0x1.41c61f35c31c9p-4, -0x1.3d848c4b7714ap-4, -0x1.394d23d34f60fp-4, -0x1.351fe4e8cf651p-4, -0x1.30fccdf37c5c2p-4, -0x1.2ce3dc9aa6dd7p-4, -0x1.28d50dbb91b95p-4, -0x1.24d05dc991384p-4, -0x1.20d5c84a0288cp-4, -0x1.1ce5487c8adf6p-4, -0x1.18fed916b1f6p-4, -0x1.152273dd2e593p-4, -0x1.1150120f7c9cdp-4, -0x1.0d87ac9fa9c09p-4, -0x1.09c93bfc5588fp-4, -0x1.0614b80250cdap-4, -0x1.026a180870bd2p-4, -0x1.fd92a5f04f9e5p-5, -0x1.f664beaec0f9ep-5, -0x1.ef4a6690f80b7p-5, -0x1.e8438911f340cp-5, -0x1.e15010e05f3d3p-5, -0x1.da6fe7e4bd599p-5, -0x1.d3a2f74ffa1c7p-5, -0x1.cce927a015a02p-5, -0x1.c64260c388f4dp-5, -0x1.bfae8a145e658p-5, -0x1.b92d8a2a40639p-5, -0x1.b2bf473332cc5p-5, -0x1.ac63a6c7718f3p-5, -0x1.a61a8dfa27cdap-5, -0x1.9fe3e16b5481fp-5, -0x1.99bf84f39b5ep-5, -0x1.93ad5c9177bep-5, -0x1.8dad4b6ac3627p-5, -0x1.87bf346235895p-5, -0x1.81e2f9bdf8545p-5, -0x1.7c187dbec92aep-5, -0x1.765fa22c35487p-5, -0x1.70b848773366dp-5, -0x1.6b2251bcc2017p-5, -0x1.659d9ece179e3p-5, -0x1.602a103f637e2p-5, -0x1.5ac78669147a8p-5, -0x1.5575e167aa932p-5, -0x1.5035011b70902p-5, -0x1.4b04c52a8f4a7p-5, -0x1.45e50d1d89a22p-5, -0x1.40d5b82de1c8ep-5, -0x1.3bd6a580aef2dp-5, -0x1.36e7b4147f55ap-5, -0x1.3208c2ba4c416p-5, -0x1.2d39b00e29433p-5, -0x1.287a5ab12e7d2p-5, -0x1.23caa16627467p-5, -0x1.1f2a629205506p-5, -0x1.1a997c48a5fb3p-5, -0x1.1617cccab467fp-5, -0x1.11a532670ef79p-5, -0x1.0d418b4cd8acdp-5, -0x1.08ecb5a177064p-5, -0x1.04a68f82ccaefp-5, -0x1.006ef7043262p-5, -0x1.f88b9464dcac7p-6, -0x1.f055ce19efb68p-6, -0x1.e83c574a5955p-6, -0x1.e03eec76483d8p-6, -0x1.d85d49a258e0fp-6, -0x1.d0972b15e484p-6, -0x1.c8ec4d552f8a5p-6, -0x1.c15c6cca48aebp-6, -0x1.b9e746017848bp-6, -0x1.b28c959e932d5p-6, -0x1.ab4c185877eefp-6, -0x1.a4258b30c69bap-6, -0x1.9d18ab4c1d327p-6, -0x1.962535f6112b9p-6, -0x1.8f4ae8a69c8c8p-6, -0x1.88898107f53e2p-6, -0x1.81e0bcfbecc23p-6, -0x1.7b505a810394dp-6, -0x1.74d817ff8b59p-6, -0x1.6e77b3c15c9dap-6, -0x1.682eec9fa721dp-6, -0x1.61fd819de5941p-6, -0x1.5be3320847dfap-6, -0x1.55dfbd670e35bp-6, -0x1.4ff2e3849f04ap-6, -0x1.4a1c6473ccc84p-6, -0x1.445c009596db8p-6, -0x1.3eb178a1644f3p-6, -0x1.391c8da2b368fp-6, -0x1.339d00eca7574p-6, -0x1.2e32941b815e9p-6, -0x1.28dd0923b10e8p-6, -0x1.239c225426df2p-6, -0x1.1e6fa24ef7b7fp-6, -0x1.19574c0792d5ap-6, -0x1.1452e2c9be904p-6, -0x1.0f622a4fd5303p-6, -0x1.0a84e6b81d7p-6, -0x1.05badc5265147p-6, -0x1.0103cfe0419e6p-6, -0x1.f8bf0d6e53115p-7, -0x1.ef9b8ca27e664p-7, -0x1.e69ca8c1c7afbp-7, -0x1.ddc1ee3bf9cd2p-7, -0x1.d50aeb37a7d67p-7, -0x1.cc772eb9be2a2p-7, -0x1.c4064713125dbp-7, -0x1.bbb7c3dbf04f4p-7, -0x1.b38b36436e919p-7, -0x1.ab802f15b8d1bp-7, -0x1.a396405ba7c0ep-7, -0x1.9bccfdab6ce5cp-7, -0x1.9423fb2f77a45p-7, -0x1.8c9acda51294ep-7, -0x1.85310aa568454p-7, -0x1.7de648b2e08cbp-7, -0x1.76ba1f5f43816p-7, -0x1.6fac26a9eb9d3p-7, -0x1.68bbf7db45ff4p-7, -0x1.61e92cb667b7ap-7, -0x1.5b33602479226p-7, -0x1.549a2ddea13abp-7, -0x1.4e1d3278232cdp-7, -0x1.47bc0b6828de9p-7, -0x1.4176570c59635p-7, -0x1.3b4bb4a391e73p-7, -0x1.353bc44858a88p-7, -0x1.2f4626eb18c5bp-7, -0x1.296a7e61aedbcp-7, -0x1.23a86d714c9c4p-7, -0x1.1dff97b2e3dc9p-7, -0x1.186fa1ad69316p-7, -0x1.12f830ce1daadp-7, -0x1.0d98eb6088c42p-7, -0x1.0851789745749p-7, -0x1.0321808cc6cbdp-7, -0x1.fc1158852392cp-8, -0x1.f20d4b2ef8cafp-8, -0x1.e8362e7ff16b6p-8, -0x1.de8b598cbe77cp-8, -0x1.d50c2518e22adp-8, -0x1.cbb7eb98eebbbp-8, -0x1.c28e099dc9f08p-8, -0x1.b98ddd83f0f9bp-8, -0x1.b0b6c71dad3b8p-8, -0x1.a808285aaf39dp-8, -0x1.9f8164e1bbf83p-8, -0x1.9721e1e0e923ap-8, -0x1.8ee9062a36853p-8, -0x1.86d63a68958b2p-8, -0x1.7ee8e89c9ea44p-8, -0x1.77207d17e4842p-8, -0x1.6f7c655c1870cp-8, -0x1.67fc10e0a6a16p-8, -0x1.609ef0d3d390ap-8, -0x1.596478126d294p-8, -0x1.524c1b1f037a5p-8, -0x1.4b55501ebc612p-8, -0x1.447f8edc2193ep-8, -0x1.3dca50caf39a3p-8, -0x1.37351106ce75dp-8, -0x1.30bf4c396936p-8, -0x1.2a688066b3719p-8, -0x1.24302d6372cc1p-8, -0x1.1e15d56434ad7p-8, -0x1.1818fb77e24bbp-8, -0x1.123923c59208dp-8, -0x1.0c75d4bbfa51fp-8, -0x1.06ce965ce9aeep-8, -0x1.0142f2062fbc6p-8, -0x1.f7a4e5432fcafp-9, -0x1.ecf9494e5e64dp-9, -0x1.e2822c1a3c859p-9, -0x1.d83eac94964eep-9, -0x1.ce2deccab0d8p-9, -0x1.c44f11ea360e1p-9, -0x1.baa1440d35303p-9, -0x1.b123ae0001cabp-9, -0x1.a7d57d4098e77p-9, -0x1.9eb5e21611899p-9, -0x1.95c41061c75ap-9, -0x1.8cff3e0b2372p-9, -0x1.8466a4a9a768p-9, -0x1.7bf9800024e27p-9, -0x1.73b70e7f6ae5p-9, -0x1.6b9e916288d8dp-9, -0x1.63af4cea562aep-9, -0x1.5be8884c57ac2p-9, -0x1.54498d303a3c6p-9, -0x1.4cd1a7e161fe8p-9, -0x1.45802719843b3p-9, -0x1.3e545c1662737p-9, -0x1.374d9a518085ap-9, -0x1.306b38053e59dp-9, -0x1.29ac8e0f4ee6bp-9, -0x1.2310f800428f5p-9, -0x1.1c97d4197a77dp-9, -0x1.16408285b2259p-9, -0x1.100a643d12367p-9, -0x1.09f4df0ca2ed6p-9, -0x1.03ff5da655cadp-9, -0x1.fc52936a9b31ep-10, -0x1.f0e41bebc1d14p-10, -0x1.e5b22bd9be1f8p-10, -0x1.dabba7d1fc3c3p-10, -0x1.cfff78886206ap-10, -0x1.c57c88997cba9p-10, -0x1.bb31c684f2908p-10, -0x1.b11e2513288ap-10, -0x1.a7409b1d1793bp-10, -0x1.9d9823276ce14p-10, -0x1.9423bc875b37bp-10, -0x1.8ae26af936fcbp-10, -0x1.81d3367ed7d5fp-10, -0x1.78f52a9518d9ap-10, -0x1.704756970d7b1p-10, -0x1.67c8ce6614eeep-10, -0x1.5f78aa96c07afp-10, -0x1.575607cb9887p-10, -0x1.4f6005f9f872ap-10, -0x1.4795c83666e2ap-10, -0x1.3ff674efcdffdp-10, -0x1.388136481156bp-10, -0x1.31353a4eae169p-10, -0x1.2a11b2da41b27p-10, -0x1.2315d500876c4p-10, -0x1.1c40d89b103b6p-10, -0x1.1591f806abd55p-10, -0x1.0f0870a945b1bp-10, -0x1.08a385466a38dp-10, -0x1.02627cd4dfeb6p-10, -0x1.f88940714dd24p-11, -0x1.ec9279888bd88p-11, -0x1.e0df467e1411bp-11, -0x1.d56e4d51925c2p-11, -0x1.ca3e38fb313bbp-11, -0x1.bf4db9d1701p-11, -0x1.b49b85836554fp-11, -0x1.aa2656f5a8e11p-11, -0x1.9fecee687e754p-11, -0x1.95ee11a97f9fbp-11, -0x1.8c288cc37b581p-11, -0x1.829b3294a1da4p-11, -0x1.7944dd5927b72p-11, -0x1.70246df6c3bf1p-11, -0x1.6738cc3e0d42p-11, -0x1.5e80e5d790483p-11, -0x1.55fbac8fedaf5p-11, -0x1.4da81540005a9p-11, -0x1.4585174868eb8p-11, -0x1.3d91ac91c767ap-11, -0x1.35ccd1e9669b4p-11, -0x1.2e3587a51a746p-11, -0x1.26cad2423001bp-11, -0x1.1f8bbbb769478p-11, -0x1.1877576b1b13cp-11, -0x1.118cb03b61949p-11, -0x1.0acaee5a72ea2p-11, -0x1.043128821db59p-11, -0x1.fb7d282cad68p-12, -0x1.eee4c436e3958p-12, -0x1.e2978c5479c7bp-12, -0x1.d693f217e8683p-12, -0x1.cad86b1cf10dap-12, -0x1.bf636f4733b9dp-12, -0x1.b433787f7a19dp-12, -0x1.a94702d0d5e1dp-12, -0x1.9e9c89a63edd3p-12, -0x1.94327fe4f5facp-12, -0x1.8a076d6050b49p-12, -0x1.801a13d31dacfp-12, -0x1.7668eceb94bb6p-12, -0x1.6cf29533f49b9p-12, -0x1.63b5f3467688bp-12, -0x1.5ab19ae31280cp-12, -0x1.51e446a810977p-12, -0x1.494cd64aeea3ep-12, -0x1.40ea25ad73acdp-12, -0x1.38bb1248c15f6p-12, -0x1.30be7d10701cdp-12, -0x1.28f348dfc5e9p-12, -0x1.21585a3fc402dp-12, -0x1.19ec980ef813bp-12, -0x1.12aeebb75c032p-12, -0x1.0b9e465b4cd19p-12, -0x1.04b99dc10c8f5p-12, -0x1.fbffe245804a1p-13, -0x1.eee08e618861ep-13, -0x1.e2135b1a6abeap-13, -0x1.d5966b5625fe1p-13, -0x1.c967cf36240d7p-13, -0x1.bd85b51c7ba12p-13, -0x1.b1ee907c117cdp-13, -0x1.a6a0a1e72fdc3p-13, -0x1.9b9a0a55a6bf3p-13, -0x1.90d9370859643p-13, -0x1.865c9e9f6cf62p-13, -0x1.7c22aa8b4db3ap-13, -0x1.7229cc8fe8fe8p-13, -0x1.68707da26e452p-13, -0x1.5ef53320a23cp-13, -0x1.55b6888cbc3efp-13, -0x1.4cb2fb0006a64p-13, -0x1.43e92e1ca2af7p-13, -0x1.3b57f7ed0a6b2p-13, -0x1.32fd9d3eb2509p-13, -0x1.2ad95fee15203p-13, -0x1.22e96b899393p-13, -0x1.1b2cb0febb4e6p-13, -0x1.13a1eeb68a455p-13, -0x1.0c47eea167385p-13, -0x1.051d81fd4123cp-13, -0x1.fc431d669794bp-14, -0x1.eea5f6c06ce9ep-14, -0x1.e16171542cec5p-14, -0x1.d4737abacc8b8p-14, -0x1.c7da0ccda6ab4p-14, -0x1.bb932c270f49p-14, -0x1.af9ce71e08391p-14, -0x1.a3f554f56f6ccp-14, -0x1.989a955a4a43dp-14, -0x1.8d8ad0b8ca2fcp-14, -0x1.82c438d09ee8ep-14, -0x1.784506d05d604p-14, -0x1.6e0b7554135e3p-14, -0x1.6415b851ff926p-14, -0x1.5a61f85476ff8p-14, -0x1.50ee5b7fd2e2dp-14, -0x1.47b91d882784p-14, -0x1.3ec09cc62c625p-14, -0x1.360348d83b246p-14, -0x1.2d7f9af8f8b18p-14, -0x1.25341c32edd76p-14, -0x1.1d1f77d5a5c28p-14, -0x1.154077654353dp-14, -0x1.0d95f2bc3d3fap-14, -0x1.061ec6e1e3454p-14, -0x1.fdb3a0a39c2fap-15, -0x1.ef8bcaf42ccf4p-15, -0x1.e1c3abd0e4818p-15, -0x1.d458dea509a9ap-15, -0x1.c74908ba41cd2p-15, -0x1.ba91e094782bdp-15, -0x1.ae312c12ce3f8p-15, -0x1.a224b98241c2p-15, -0x1.966a59a5ea651p-15, -0x1.8affdca67c435p-15, -0x1.7fe30f743b225p-15, -0x1.7511b7f7b4f89p-15, -0x1.6a8992781b72ap-15, -0x1.604856ae6ada8p-15, -0x1.564bcafa8aa7p-15, -0x1.4c91e2cbd1792p-15, -0x1.4318d8a75365bp-15, -0x1.39df3a9576992p-15, -0x1.30e42f89b76a9p-15, -0x1.2825c80d45122p-15, -0x1.1fa2c257f8cbap-15, -0x1.175a4b01ec7afp-15, -0x1.0f4a73eca7b91p-15, -0x1.0771aee0f1a37p-15, -0x1.ff9d1c884e9ddp-16, -0x1.f0bf8cf98cd47p-16, -0x1.e24851c0300bcp-16, -0x1.d435154c57ce6p-16, -0x1.c6833a21d904ep-16, -0x1.b92ff27f38d1fp-16, -0x1.ac37c340dec0fp-16, -0x1.9f9b5d24ceeb6p-16, -0x1.935367154ec3p-16, -0x1.876285216c093p-16, -0x1.7bc2b3f385184p-16, -0x1.70720595b38ecp-16, -0x1.656ddfac53bbap-16, -0x1.5ab4582830a0bp-16, -0x1.5043ec8a572d8p-16, -0x1.461b1c5208a28p-16, -0x1.3c384a14edc58p-16, -0x1.3299ba1eb6b38p-16, -0x1.293d42d121c49p-16, -0x1.201ffa5fbe4dap-16, -0x1.1741496ba10bp-16, -0x1.0ea020d9cbf72p-16, -0x1.0639169628fe4p-16, -0x1.fc1636735b2bp-17, -0x1.ec2a9d16fe1bep-17, -0x1.dcacc47987e0fp-17, -0x1.cd9a313143a71p-17, -0x1.bef08ba166ed6p-17, -0x1.b0ad4a164601p-17, -0x1.a2ca2b0f090fdp-17, -0x1.9546a656678edp-17, -0x1.8822f7d32ebecp-17, -0x1.7b5886d45226bp-17, -0x1.6ee8a84a3480cp-17, -0x1.62c9e5638e17bp-17, -0x1.56fe0e5a0151p-17, -0x1.4b835c8d53b87p-17, -0x1.40578166ec7a5p-17, -0x1.35779257dedeap-17, -0x1.2ae16ef62d03fp-17, -0x1.2095577bbba7bp-17, -0x1.168f2ed12a79bp-17, -0x1.0cce9b45d9cd1p-17, -0x1.0352314b87339p-17, -0x1.f42bff5b9c0dap-18, -0x1.e23182a18e6cep-18, -0x1.d0b1b4b6dcc54p-18, -0x1.bfa8b9ee7f2bep-18, -0x1.af12844fe5ff6p-18, -0x1.9eec3e76faec1p-18, -0x1.8f30abadaf68ap-18, -0x1.7fea16797d6c4p-18, -0x1.7105beb12ee79p-18, -0x1.62881f9db9426p-18, -0x1.546d419db88ecp-18, -0x1.46b2df56a8ee7p-18, -0x1.39567bb4097ddp-18, -0x1.2c55987d22096p-18, -0x1.1fad705ef513p-18, -0x1.135b1d614523ap-18, -0x1.075c4c94a6645p-18, -0x1.f75e81aa5ea04p-19, -0x1.e0a3372b7ef06p-19, -0x1.ca802ae9974b7p-19, -0x1.b4f0596734f28p-19, -0x1.9ff26dbeb4e7bp-19, -0x1.8b862c32d6316p-19, -0x1.77a8680488d33p-19, -0x1.64530db1e6e37p-19, -0x1.5180b2fbc996ep-19, -0x1.3f2e4ed04a96cp-19, -0x1.2d598dafa49b7p-19, -0x1.1c03729ba9712p-19, -0x1.0b1de7659b655p-19, -0x1.f54f5ddc3dffp-20, -0x1.d549ade65b0bbp-20, -0x1.b61dd4413a1p-20, -0x1.97c9c775cb85ap-20, -0x1.7a46163285b3p-20, -0x1.5d8a1772a7d15p-20, -0x1.418d270620315p-20, -0x1.2659ceafe0915p-20, -0x1.0bcefca141efdp-20, -0x1.e419e290717ep-21, -0x1.b1f81bd45b11fp-21, -0x1.812c835b8f2dp-21, -0x1.51b01eb607e84p-21, -0x1.2378106c1121ep-21, -0x1.ecfa4eebcbf1bp-22, -0x1.9572fc58567bep-22, -0x1.404ae237857ap-22, -0x1.dadec80f2bb64p-23, -0x1.39a46b2e1e8d1p-23, -0x1.39ae44af276d1p-24, -0x1.1bca8bec5a906p-29, 0x1.1f5a2c96493afp-24, 0x1.1fa721d9eb6acp-23, 0x1.abb3dbc29bc2dp-23, 0x1.19ff21aaf4258p-22, 0x1.5c422f5682944p-22, 0x1.9c9b15f9d334bp-22, 0x1.db1fcc7f3e7ccp-22, 0x1.0bf26a29eba13p-21, 0x1.296ff4b973887p-21, 0x1.460b09e31188ep-21, 0x1.61edbbace361cp-21, 0x1.7cbc2399837f2p-21, 0x1.96f7a58ffb4c2p-21, 0x1.b0af123e8191ep-21, 0x1.c953d4ed93c85p-21, 0x1.e15088b40d17bp-21, 0x1.f894c2966583p-21, 0x1.07927d62aed61p-20, 0x1.1282f8c1e2463p-20, 0x1.1d33512439d8dp-20, 0x1.277a2944fc1b7p-20, 0x1.31615d0c941f4p-20, 0x1.3b093bd33a031p-20, 0x1.44621162dcbf6p-20, 0x1.4d6d9f1e6140dp-20, 0x1.562b8bcfa9313p-20, 0x1.5e9e9a4c9897ep-20, 0x1.66ced3b422cc6p-20, 0x1.6ebcbe42dcc2ap-20, 0x1.766516d51d5b7p-20, 0x1.7dc968cbca545p-20, 0x1.84e928209e653p-20, 0x1.8bc6f1eca13dfp-20, 0x1.9268f82639a1dp-20, 0x1.98cf0a6da1a8ap-20, 0x1.9ef56d8c49b1p-20, 0x1.a4e8a787a987ap-20, 0x1.aa893ea487a54p-20, 0x1.afffc59e9979ap-20, 0x1.b5398391add8dp-20, 0x1.ba36e42301a94p-20, 0x1.bf2827e6b39e9p-20, 0x1.c3bcedb2e296ap-20, 0x1.c82ba30a0590bp-20, 0x1.cc566ffcce8a9p-20, 0x1.d05e348c19926p-20, 0x1.d439821ec1b5fp-20, 0x1.d7dc1045a8cf1p-20, 0x1.db527e8b304b3p-20, 0x1.de9cd6bb06759p-20, 0x1.e1ba94f120f9dp-20, 0x1.e4ab9966b9544p-20, 0x1.e7718fad4cd15p-20, 0x1.ea0e0d79c7053p-20, 0x1.ec81d65a259e3p-20, 0x1.eecd202ca7e75p-20, 0x1.f0efe0c0993fap-20, 0x1.f2ea5de3cee43p-20, 0x1.f4bda3cba20bdp-20, 0x1.f66adc9fc961bp-20, 0x1.f7f2ec7de43d3p-20, 0x1.f95796d3dbc68p-20, 0x1.fa9c4b5dfb6eep-20, 0x1.fbc15d1f9d419p-20, 0x1.fcbe8a20689a2p-20, 0x1.fd933e5cad37ep-20, 0x1.fe4a96fb979bep-20, 0x1.fee3af18e922ep-20, 0x1.ff55a6afbb052p-20, 0x1.ffae7d1b9eb75p-20, 0x1.ffd7c0f3e05cap-20, 0x1.0007de7a49779p-19, 0x1.000124f2ec851p-19, 0x1.ffe52fe4c178ap-20, 0x1.ffa8f8281822dp-20, 0x1.ff50b4ff9ddcap-20, 0x1.feddf359174a8p-20, 0x1.fe4f9654b4c94p-20, 0x1.fdaac0922acecp-20, 0x1.fcf302dfc8b06p-20, 0x1.fc1648c874ba2p-20, 0x1.fb1f384f5d194p-20, 0x1.fa11447d89945p-20, 0x1.f8ee626df6a61p-20, 0x1.f7b0f4ec1599ep-20, 0x1.f65f158d0e39dp-20, 0x1.f4f310e497d08p-20, 0x1.f36e83259ca3dp-20, 0x1.f1d6da1f9dcb1p-20, 0x1.f02b340bde486p-20, 0x1.ee69e2152778ep-20, 0x1.ec9eb66476b56p-20, 0x1.ea884b014557bp-20, 0x1.e8a7ad2e386acp-20, 0x1.e6987869f8dcp-20, 0x1.e47c2304d0ffbp-20, 0x1.e2441175afcedp-20, 0x1.dffc936e4a9cbp-20, 0x1.dda1dd0ba260fp-20, 0x1.db3018be05e1cp-20, 0x1.d8af32b92cc0ep-20, 0x1.d62e7693965b2p-20, 0x1.d38f09af791e8p-20, 0x1.d0e0293632a79p-20, 0x1.ce1d675af4351p-20, 0x1.cb4ff41361df6p-20, 0x1.c87cd6c31da5ep-20, 0x1.c58db3c84151fp-20, 0x1.c293f1b4674bap-20, 0x1.bf8f3ccac9721p-20, 0x1.bc7a274b177bbp-20, 0x1.b952aaaa191c8p-20, 0x1.b61d17bf8916cp-20, 0x1.b2dd559106e7cp-20, 0x1.af93c1ddb49a2p-20, 0x1.ac3f44b88a9bdp-20, 0x1.a8defc0aac4e7p-20, 0x1.a572e99d4073ap-20, 0x1.a1fbd41f68c73p-20, 0x1.9e7a6f8cb2e5bp-20, 0x1.9aeec1ef22509p-20, 0x1.97585ff69046dp-20, 0x1.93b70fcb2a55cp-20, 0x1.900b0d34733e5p-20, 0x1.8c54d47787ce4p-20, 0x1.8894ee134951fp-20, 0x1.84cc443bc663fp-20, 0x1.80fa0462bff23p-20, 0x1.7d1e7235b0731p-20, 0x1.79396c0427b0dp-20, 0x1.754f527f7f933p-20, 0x1.716acc1f6982ep-20, 0x1.6d61d8f41dda1p-20, 0x1.696fb94fb72f4p-20, 0x1.65643c6a49187p-20, 0x1.615baad50ae6ep-20, 0x1.5d475a26ce964p-20, 0x1.59214f9d9959dp-20, 0x1.54fdcb8529bfbp-20, 0x1.50e4e70d2b1c5p-20, 0x1.4cc1e1cf5d7e6p-20, 0x1.487864b7a04d3p-20, 0x1.4448552ccd9a3p-20, 0x1.400a75f58c9eep-20, 0x1.3bc9ecc84e31ep-20, 0x1.378c39c7a3477p-20, 0x1.3345b9c5d4521p-20, 0x1.2ef5b3c42f13ep-20, 0x1.2aa77b2331ba2p-20, 0x1.26500df4da97dp-20, 0x1.21f09d1d40274p-20, 0x1.1d98b8fdbc41ep-20, 0x1.1942a55b4520cp-20, 0x1.14e006d36031p-20, 0x1.107b1ff556e19p-20, 0x1.0c179f64841e9p-20, 0x1.07ae042145ca5p-20, 0x1.033fa05e6a7ddp-20, 0x1.fdb0716eda6d6p-21, 0x1.f4cc94757ccc9p-21, 0x1.ebf898bf08bcep-21, 0x1.e2cfc52cd039ep-21, 0x1.da1f437ec1904p-21, 0x1.d1397024f5329p-21, 0x1.c84ba952d8f94p-21, 0x1.bf614aba92beap-21, 0x1.b67f8f79a3b28p-21, 0x1.ad945d928118fp-21, 0x1.a4a8fd7af0bfep-21, 0x1.9bbb7a6706671p-21, 0x1.92c3613a50333p-21, 0x1.89cd48c0e9457p-21, 0x1.81033827c716dp-21, 0x1.781a88bdef9p-21, 0x1.6f369dbde9c28p-21, 0x1.6652f781681abp-21, 0x1.5d79e310ebd8dp-21, 0x1.5490c336464d8p-21, 0x1.4bb11af842cadp-21, 0x1.42d4109dc7da7p-21, 0x1.39f84aea7bc4fp-21, 0x1.3121a6aa7dbebp-21, 0x1.28508237da7a3p-21, 0x1.1f83a8dfd8fa9p-21, 0x1.16bb2a1742f1dp-21, 0x1.0df98c98f7b7ep-21, 0x1.053dc477454bfp-21, 0x1.f8fd3ea05b70ep-22, 0x1.e7a60266779e1p-22, 0x1.d6448811db1c5p-22, 0x1.c4fd8dca610a2p-22, 0x1.b3b7eff78c5e9p-22, 0x1.a2a244ee83768p-22, 0x1.9162e2e94c403p-22, 0x1.8014f38dc6fa3p-22, 0x1.6f0e8a8082b46p-22, 0x1.5e13238dfdebep-22, 0x1.4d1436dd22847p-22, 0x1.3c22f905f45dp-22, 0x1.2b47e653bc6d1p-22, 0x1.1a81bb818fa76p-22, 0x1.09cfe45f2c40bp-22, 0x1.f260b311026e8p-23, 0x1.d13139d850d4ep-23, 0x1.b00f80d63a2f8p-23, 0x1.8eff04b9b064dp-23, 0x1.6e515d3fbc7a1p-23, 0x1.4dc0b63264638p-23, 0x1.2d6242dea985ap-23, 0x1.0d22723387124p-23, 0x1.d9b37e3aa391ap-24, 0x1.99824266aa12cp-24, 0x1.59d459b6bcca4p-24, 0x1.1a640bb447ed7p-24, 0x1.b6161803d7e8bp-25, 0x1.388647c0a27dbp-25, 0x1.7935ea525f24cp-26, 0x1.0300d106ad836p-27, -0x1.ddb5606497661p-28, -0x1.6d5102d8f6296p-26, -0x1.317184ffb0ddbp-25, -0x1.ac2ac86964755p-25, -0x1.126a4bd9fa3f4p-24, -0x1.4e33615d3e46cp-24, -0x1.89d5c1c870998p-24, -0x1.c53f9705dc163p-24, -0x1.002131a56dad6p-23, -0x1.1d67f72d9d737p-23, -0x1.3aa426f2135d4p-23, -0x1.5788eeead1cecp-23, -0x1.74092ba570eb5p-23, -0x1.90d32ca590a51p-23, -0x1.ad3421adb66bbp-23, -0x1.c94b851a9002dp-23, -0x1.e551086619907p-23, -0x1.0092dcbc3da69p-22, -0x1.0e62f14cbfcf2p-22, -0x1.1c18acb8a6593p-22, -0x1.29b45853c2164p-22, -0x1.3738af9f58458p-22, -0x1.449496ffddc03p-22, -0x1.51eca68346679p-22, -0x1.5f1a9638986bap-22, -0x1.6c30f0e6d9ce2p-22, -0x1.792e34c642cd3p-22, -0x1.8611ea149cdf8p-22, -0x1.92db6105f43ddp-22, -0x1.9f95c9b934d87p-22, -0x1.ac44c2001cf4p-22, -0x1.b88728fe7e694p-22, -0x1.c49b802047af4p-22, -0x1.d165559e1679bp-22, -0x1.dd8e9454b60c1p-22, -0x1.e98e53e62dbcfp-22, -0x1.f57c6b45f589p-22, -0x1.00aef022c3808p-21, -0x1.06c7ac43e9b2cp-21, -0x1.0c36a7004cb2ep-21, -0x1.11fd965c61fcp-21, -0x1.17cfd87cd4e2dp-21, -0x1.1d798067e2cbap-21, -0x1.2316605a8b326p-21, -0x1.28a1e8cf54819p-21, -0x1.2e23e127f5f2bp-21, -0x1.33919316d10ddp-21, -0x1.39009b13dae1dp-21, -0x1.3e521404b281ap-21, -0x1.43a01c45a5652p-21, -0x1.48d75e5232ea9p-21, -0x1.4e0288cd07c9bp-21, -0x1.5326a403e0b63p-21, -0x1.58361438e813bp-21, -0x1.5d3c03ed92431p-21, -0x1.622cc99d26c8ep-21, -0x1.671424adc59f4p-21, -0x1.6bf0ed9b24d11p-21, -0x1.70bd6b8eaafb2p-21, -0x1.757e476daeb4p-21, -0x1.7a343730613dbp-21, -0x1.7edbb9dc85c74p-21, }}, 
      std::vector<double>(950, 0.0), 
      {{-0x1.a24cebb1e7715p-9, -0x1.9c57cda11d42p-7, -0x1.7eafb7ffb2d73p-6, -0x1.debe93b11e41fp-6, -0x1.ae7c4182c2b27p-6, -0x1.b99d9acf3934dp-7, 0x1.070c0443f2c3fp-7, 0x1.252b4d807d8b8p-5, 0x1.11a3a68a333a3p-4, 0x1.91cc4cf31506p-4, 0x1.041ebb46fb5b2p-3, 0x1.3625fb61c86a4p-3, 0x1.5bd9290cedc07p-3, 0x1.73400398ce7f3p-3, 0x1.7b6d7abf1caaap-3, 0x1.7455421985a9ep-3, 0x1.5e9e0080bffa4p-3, 0x1.3b74d50cb263fp-3, 0x1.0c64cb6d5af3cp-3, 0x1.a6670dcf446e3p-4, 0x1.238733c5e21b2p-4, 0x1.27f217c4aed24p-5, -0x1.23fa8b3cc3342p-10, -0x1.452f0ae7a75dp-5, -0x1.42ec76f0b1bdp-4, -0x1.e2b4c2bfca8abp-4, -0x1.3fba3289988b5p-3, -0x1.8b87a73a9108bp-3, -0x1.d3e3e09294fe6p-3, -0x1.0c0e802716357p-2, -0x1.2bd586756a1bp-2, -0x1.49161da7d7131p-2, -0x1.63b0733d4d9afp-2, -0x1.7b93b1972307dp-2, -0x1.90bbf05f4d776p-2, -0x1.a3303db94269p-2, -0x1.b300c41dc0904p-2, -0x1.c04516d4f3a89p-2, -0x1.cb1aa81b18a83p-2, -0x1.d3a3692dc3dbcp-2, -0x1.da04914f897abp-2, -0x1.de658d427b4fep-2, -0x1.e0ef156ed8c53p-2, -0x1.e1ca652e86a0bp-2, -0x1.e12091b72cf84p-2, -0x1.df1a008d7a535p-2, -0x1.dbddf8a827bb2p-2, -0x1.d7924a96f7caap-2, -0x1.d25b0c7afb638p-2, -0x1.cc5a6935ad8ebp-2, -0x1.c5b07f900ae2dp-2, -0x1.be7b4e753c82ep-2, -0x1.b6d6aa7da559p-2, -0x1.aedc3e5810bp-2, -0x1.a6a3914a31f9cp-2, -0x1.9e42146706671p-2, -0x1.95cb349740625p-2, -0x1.8d506ed32b8cfp-2, -0x1.84e166da0dbbap-2, -0x1.7c8c00e9ca6e6p-2, -0x1.745c7b5ac8c1p-2, -0x1.6c5d8a5222d99p-2, -0x1.649871b900688p-2, -0x1.5d1520ae89cb3p-2, -0x1.55da4a1e45a54p-2, -0x1.4eed7e4ada72fp-2, -0x1.4853425db7d8bp-2, -0x1.420f276cfa41ap-2, -0x1.3c23e0ec7c692p-2, -0x1.3693593dc849p-2, -0x1.315ec558c88f3p-2, -0x1.2c86b762aeda7p-2, -0x1.280b2f9fd9a1fp-2, -0x1.23ebac43025f7p-2, -0x1.20273846a06ep-2, -0x1.1cbc790658e4cp-2, -0x1.19a9bac2f3d52p-2, -0x1.16ecfc6fb1dcdp-2, -0x1.1483fa6e5d124p-2, -0x1.126c387e6d294p-2, -0x1.10a30ac628c9fp-2, -0x1.0f259e292c5f6p-2, -0x1.0df0ffed751eap-2, -0x1.0d0224728fc86p-2, -0x1.0c55ed602630cp-2, -0x1.0be92f6f92d1dp-2, -0x1.0bb8b72bceb21p-2, -0x1.0bc14dbd42bdp-2, -0x1.0bffbcc67edbdp-2, -0x1.0c70d1e8ab029p-2, -0x1.0d116224de979p-2, -0x1.0dde4c96ebdf9p-2, -0x1.0ed47cc3ccf94p-2, -0x1.0ff0ed059ecedp-2, -0x1.1130a837d5845p-2, -0x1.1290cb6419c78p-2, -0x1.140e870509987p-2, -0x1.15a72043a226fp-2, -0x1.1757f1c622dbfp-2, -0x1.191e6c753ccebp-2, -0x1.1af817f482d59p-2, -0x1.1ce2932d89583p-2, -0x1.1edb9482bb3fcp-2, -0x1.20e0e9e2831bap-2, -0x1.22f078d8cf607p-2, -0x1.25083e811ddffp-2, -0x1.27264f59402bp-2, -0x1.2948d709a2815p-2, -0x1.2b6e180df111fp-2, -0x1.2d946b4799e9dp-2, -0x1.2fba3fdd736dcp-2, -0x1.31de1a499ced3p-2, -0x1.33fe945279971p-2, -0x1.361a5c4bb6084p-2, -0x1.3830346318abcp-2, -0x1.3a3ef268d72d5p-2, -0x1.3c457f0a184b1p-2, -0x1.3e42d4ff5f2eep-2, -0x1.403600df86ca7p-2, -0x1.421e203712426p-2, -0x1.43fa60d35fe3ap-2, -0x1.45ca00a22ff35p-2, -0x1.478c4c866a967p-2, -0x1.49409fdfca246p-2, -0x1.4ae664623c698p-2, -0x1.4c7d10f342a85p-2, -0x1.4e04290a2369bp-2, -0x1.4f7b3cdbc47fdp-2, -0x1.50e1e81d2f205p-2, -0x1.5237d1553b274p-2, -0x1.537caa2280dbdp-2, -0x1.54b02e3927935p-2, -0x1.55d2227efcc4bp-2, -0x1.56e25536dec6ep-2, -0x1.57e09dbb55256p-2, -0x1.58ccdb08931d1p-2, -0x1.59a6f3d6e19afp-2, -0x1.5a6ed6d9606b8p-2, -0x1.5b24796fb19aep-2, -0x1.5bc7d728fa97p-2, -0x1.5c58f21ee3519p-2, -0x1.5cd7d29af7dfep-2, -0x1.5d4485ed6a5bcp-2, -0x1.5d9f1e5aabb38p-2, -0x1.5de7b3912da27p-2, -0x1.5e1e61e00a066p-2, -0x1.5e434950331e7p-2, -0x1.5e568dde67794p-2, -0x1.5e5857db96842p-2, -0x1.5e48d2fb2b1b6p-2, -0x1.5e282d9c517aap-2, -0x1.5df699482b492p-2, -0x1.5db44abb541eap-2, -0x1.5d61793aab75ep-2, -0x1.5cfe5dec2a5cfp-2, -0x1.5c8b3431a7377p-2, -0x1.5c0839decc024p-2, -0x1.5b75ae99bc3edp-2, -0x1.5ad3d342bbf4p-2, -0x1.5a22ea38c0b96p-2, -0x1.596337757ae2fp-2, -0x1.58950063641d6p-2, -0x1.57b88b360be6p-2, -0x1.56ce1ece4e243p-2, -0x1.55d6031679d81p-2, -0x1.54d080ff50531p-2, -0x1.53bde1ef91904p-2, -0x1.529e6f86e28d9p-2, -0x1.517273c53588cp-2, -0x1.503a393b4002p-2, -0x1.4ef60ad39d22p-2, -0x1.4da633678d99dp-2, -0x1.4c4afdb03e82ep-2, -0x1.4ae4b46f389cep-2, -0x1.4973a2899c166p-2, -0x1.47f812cbdd85bp-2, -0x1.46724f97dc76bp-2, -0x1.44e2a2e65da63p-2, -0x1.4349567a5d4abp-2, -0x1.41a6b3ce746f8p-2, -0x1.3ffb0403e8ec1p-2, -0x1.3e468fa075ffap-2, -0x1.3c899e84ea8bbp-2, -0x1.3ac4780929035p-2, -0x1.38f76312612c4p-2, -0x1.3722a5f90b47p-2, -0x1.354686543f2bp-2, -0x1.336348f07e7b4p-2, -0x1.317931dce3b6p-2, -0x1.2f888480e373fp-2, -0x1.2d91839cf3885p-2, -0x1.2b94711e33349p-2, -0x1.29918e0ff07c2p-2, -0x1.27891a9d6af0ep-2, -0x1.257b561fb7f62p-2, -0x1.23687f29fe28fp-2, -0x1.2150d37eac48bp-2, -0x1.1f348ff94f4b1p-2, -0x1.1d13f07bd103ap-2, -0x1.1aef2ffcaa3e7p-2, -0x1.18c68892eab41p-2, -0x1.169a337c8aa3ap-2, -0x1.146a6912e7b1p-2, -0x1.123760ba294d7p-2, -0x1.100150df87981p-2, -0x1.0dc86efb35bf6p-2, -0x1.0b8cef9db835ap-2, -0x1.094f0674729ccp-2, -0x1.070ee64287065p-2, -0x1.04ccc0d87abe3p-2, -0x1.0288c7132136ap-2, -0x1.004328da5d9d2p-2, -0x1.fbf82a508c7b8p-3, -0x1.f76774279234bp-3, -0x1.f2d489a215d3bp-3, -0x1.ee3fc34e2a606p-3, -0x1.e9a977dbbd558p-3, -0x1.e511fc25f8d78p-3, -0x1.e079a32b8f9ebp-3, -0x1.dbe0be32d461ep-3, -0x1.d7479cc31d782p-3, -0x1.d2ae8ca07955cp-3, -0x1.ce15d9cfcef58p-3, -0x1.c97dce9115768p-3, -0x1.c4e6b363de135p-3, -0x1.c050cf0f1d537p-3, -0x1.bbbc66abd55a3p-3, -0x1.b729bdaec585p-3, -0x1.b29915eab5ffap-3, -0x1.ae0aaf8aa06e2p-3, -0x1.a97ec9100d3b8p-3, -0x1.a4f59f5911a32p-3, -0x1.a06f6da8e6b7p-3, -0x1.9bec6db39d52ap-3, -0x1.976cd7a8afc8ep-3, -0x1.92f0e232a587bp-3, -0x1.8e78c26fe0505p-3, -0x1.8a04abf771d39p-3, -0x1.8594d0e508d14p-3, -0x1.812961d71fc85p-3, -0x1.7cc28dfab630ap-3, -0x1.786083152dd6fp-3, -0x1.74036d88a0edfp-3, -0x1.6fab784be79a4p-3, -0x1.6b58ccfff9c18p-3, -0x1.670b93d5fa78fp-3, -0x1.62c3f3b88f7abp-3, -0x1.5e82123b14bcfp-3, -0x1.5a4613a6d0c89p-3, -0x1.56101aff295d9p-3, -0x1.51e04a0873b6dp-3, -0x1.4db6c14aafd44p-3, -0x1.4993a01378945p-3, -0x1.4577047ab45e8p-3, -0x1.41610b68c7135p-3, -0x1.3d51d09b9f124p-3, -0x1.39496eabed5aap-3, -0x1.3547ff1513aecp-3, -0x1.314d9a38926dcp-3, -0x1.2d5a57626cb74p-3, -0x1.296e4cc97cdd1p-3, -0x1.25898f97c266ep-3, -0x1.21ac33ee6b9cep-3, -0x1.1dd64ce8cbc0ep-3, -0x1.1a07eca30ba7dp-3, -0x1.16412440a58c2p-3, -0x1.128203f006cd4p-3, -0x1.0eca9aee190ddp-3, -0x1.0b1af78b3233p-3, -0x1.0773272f0fdc9p-3, -0x1.03d3365c1f6b4p-3, -0x1.003b30b452bc4p-3, -0x1.f95641fd526bep-4, -0x1.f2462256e882cp-4, -0x1.eb4614b15c79ap-4, -0x1.e45629ae9f45bp-4, -0x1.dd76705de6da9p-4, -0x1.d6a6f640bb30ep-4, -0x1.cfe7c75683852p-4, -0x1.c938ee2339952p-4, -0x1.c29a73b783bdcp-4, -0x1.bc0c5fbaf3fa6p-4, -0x1.b58eb8724c4c6p-4, -0x1.af2182c88b9ffp-4, -0x1.a8c4c25826aaap-4, -0x1.a2787970d12eap-4, -0x1.9c3ca9208ca15p-4, -0x1.961151395f4f6p-4, -0x1.8ff670591956p-4, -0x1.89ec03f29bc1cp-4, -0x1.83f20854db4fcp-4, -0x1.7e0878af6aebdp-4, -0x1.782f4f2302f5fp-4, -0x1.726684ba9f0ccp-4, -0x1.6cae1181742a1p-4, -0x1.6705ec7f21ad4p-4, -0x1.616e0bc3462aep-4, -0x1.5be6646b8dd31p-4, -0x1.566eeaa96f36ep-4, -0x1.510791c9b49e1p-4, -0x1.4bb04c3c1c0edp-4, -0x1.46690b989a82ep-4, -0x1.4131c0a502b01p-4, -0x1.3c0a5b5cf493ap-4, -0x1.36f2caf8f3e7dp-4, -0x1.31eafdf389bf5p-4, -0x1.2cf2e20e9465cp-4, -0x1.280a645a08af8p-4, -0x1.2331713a5f324p-4, -0x1.1e67f46de5338p-4, -0x1.19add9111e56p-4, -0x1.150309a54e256p-4, -0x1.106770187b28ap-4, -0x1.0bdaf5c97899cp-4, -0x1.075d838ba6ee4p-4, -0x1.02ef01ae201cbp-4, -0x1.fd1eaffca9a3fp-5, -0x1.f47cdb9d7e4dfp-5, -0x1.ebf8540029a05p-5, -0x1.e390e60a2bccap-5, -0x1.db465dbcda628p-5, -0x1.d318864f39701p-5, -0x1.cb072a3ce7791p-5, -0x1.c3121337afcf8p-5, -0x1.bb390a41f55d6p-5, -0x1.b37bd7be239b2p-5, -0x1.abda436f2798fp-5, -0x1.a454147f24497p-5, -0x1.9ce911878ade2p-5, -0x1.95990098de57cp-5, -0x1.8e63a74b34771p-5, -0x1.8748cab755d07p-5, -0x1.80482f95914cdp-5, -0x1.79619a29ef808p-5, -0x1.7294ce5f1bc4bp-5, -0x1.6be18fc71cef7p-5, -0x1.6547a1a430416p-5, -0x1.5ec6c6eef14e4p-5, -0x1.585ec25cb2733p-5, -0x1.520f56669c72p-5, -0x1.4bd84550b3a8cp-5, -0x1.45b951309f5cfp-5, -0x1.3fb23bf385a46p-5, -0x1.39c2c76386e67p-5, -0x1.33eab52e79e4ap-5, -0x1.2e29c6eb80eb2p-5, -0x1.287fbe21ac849p-5, -0x1.22ec5c4c783eap-5, -0x1.1d6f62e171cc9p-5, -0x1.180893554e7f7p-5, -0x1.12b7af21c3aa1p-5, -0x1.0d7c77cab3ac5p-5, -0x1.0856aee3c0531p-5, -0x1.03461614ac857p-5, -0x1.fc94de3a296bep-6, -0x1.f2c6f7b131f1p-6, -0x1.e921fc8859c57p-6, -0x1.dfa571048b019p-6, -0x1.d650d9bc51d9cp-6, -0x1.cd23bba09f458p-6, -0x1.c41d9c0578a61p-6, -0x1.bb3e00aa8bfc2p-6, -0x1.b2846fc1c6a4ep-6, -0x1.a9f06ffa0a36ap-6, -0x1.a181887583bf2p-6, -0x1.993740f2507c4p-6, -0x1.911121aab9586p-6, -0x1.890eb37360b2ap-6, -0x1.812f7fb8e5e7cp-6, -0x1.79731085e35b9p-6, -0x1.71d8f088a6d8dp-6, -0x1.6a60ab188a3d4p-6, -0x1.6309cc3b7a972p-6, -0x1.5bd3e0ab7f42bp-6, -0x1.54be75dc35115p-6, -0x1.4dc919fef6f76p-6, -0x1.46f35c0591c5fp-6, -0x1.403ccbaa0ae5cp-6, -0x1.39a4f975fb68dp-6, -0x1.332b76b800793p-6, -0x1.2ccfd58b918f5p-6, -0x1.2691a8e62bdp-6, -0x1.20708495cacc5p-6, -0x1.1a6bfd4282c18p-6, -0x1.1483a8739b589p-6, -0x1.0eb71c95003ecp-6, -0x1.0905f0fa13d5fp-6, -0x1.036fbdde8cddcp-6, -0x1.fbe838cb23816p-7, -0x1.f1254d31bcdf4p-7, -0x1.e695eed070b26p-7, -0x1.dc39555457689p-7, -0x1.d20eba3cbf0c9p-7, -0x1.c81558dee9b1fp-7, -0x1.be4c6e899f2c2p-7, -0x1.b4b33a583bc4bp-7, -0x1.ab48fd88eae78p-7, -0x1.a20cfb521b76ep-7, -0x1.98fe78f619157p-7, -0x1.901cbdb830962p-7, -0x1.876712d21960dp-7, -0x1.7edcc365086d3p-7, -0x1.767d1c6823eaep-7, -0x1.6e476cb802a5ep-7, -0x1.663b0504c4342p-7, -0x1.5e5737f19de25p-7, -0x1.569b5a1679e12p-7, -0x1.4f06c2160b493p-7, -0x1.4798c8aa18b77p-7, -0x1.4050c8a0684f8p-7, -0x1.392e1eccc2633p-7, -0x1.323029e746d2dp-7, -0x1.2b564a6211ee7p-7, -0x1.249fe291871ccp-7, -0x1.1e0c56a4bad16p-7, -0x1.179b0c5533cd9p-7, -0x1.114b6b24b8219p-7, -0x1.0b1cdc873c593p-7, -0x1.050ecc74c5711p-7, -0x1.fe41529cd0793p-8, -0x1.f2a3c7c5ba12fp-8, -0x1.e743ded8cc038p-8, -0x1.dc2082b918347p-8, -0x1.d138a213e6146p-8, -0x1.c68b2e8517dfcp-8, -0x1.bc171bfda0e62p-8, -0x1.b1db6024503eep-8, -0x1.a7d6f240f384p-8, -0x1.9e08cb754b39cp-8, -0x1.946fe7820c5dfp-8, -0x1.8b0b45d0626bbp-8, -0x1.81d9ea91f762fp-8, -0x1.78dadfb46720cp-8, -0x1.700d35737481cp-8, -0x1.677002648b954p-8, -0x1.5f0262edff796p-8, -0x1.56c3783bfb2e4p-8, -0x1.4eb266e7bd2a7p-8, -0x1.46ce5594b5a5ep-8, -0x1.3f166bcd53ec7p-8, -0x1.3789d15f55c7ap-8, -0x1.3027ae5b9f3e5p-8, -0x1.28ef2bbfb251bp-8, -0x1.21df74b63de4ap-8, -0x1.1af7b7f03920fp-8, -0x1.143728e139815p-8, -0x1.0d9d00d22d907p-8, -0x1.07287f2865094p-8, -0x1.00d8e8f10c6p-8, -0x1.f55b0fb279614p-9, -0x1.e94b5171bcacdp-9, -0x1.dd813402ac8c6p-9, -0x1.d1fb54de5277ep-9, -0x1.c6b850a64f93dp-9, -0x1.bbb6c33ffa6dap-9, -0x1.b0f549b3bfd2ap-9, -0x1.a67285543e54cp-9, -0x1.9c2d1fb21fd58p-9, -0x1.9223ce6edfbb1p-9, -0x1.88555629189ddp-9, -0x1.7ec08bb8d4b1p-9, -0x1.7564534ee90c2p-9, -0x1.6c3f9d74b9f94p-9, -0x1.6351624c49785p-9, -0x1.5a989bd780eb5p-9, -0x1.5214404a73e17p-9, -0x1.49c33d793bb8fp-9, -0x1.41a476461b841p-9, -0x1.39b6c2af3de82p-9, -0x1.31f8f2c9ac8b9p-9, -0x1.2a69d22f86076p-9, -0x1.230831f2cca4cp-9, -0x1.1bd2ebc873416p-9, -0x1.14c8ecf4238dcp-9, -0x1.0de9384682a64p-9, -0x1.0732e93060d4cp-9, -0x1.00a53355b281dp-9, -0x1.f47ebd0e6ae2p-10, -0x1.e80180ceea72dp-10, -0x1.dbd169469c90ap-10, -0x1.cfed29ea37554p-10, -0x1.c453641238f68p-10, -0x1.b9029c3fe2b14p-10, -0x1.adf937c4b3095p-10, -0x1.a335809681b4fp-10, -0x1.98b59fc37cee8p-10, -0x1.8e77b138aa51fp-10, -0x1.8479d488f471fp-10, -0x1.7aba2d77c5946p-10, -0x1.7136fbe87d575p-10, -0x1.67eea5f095787p-10, -0x1.5edfba19d3635p-10, -0x1.5608f0a7e3113p-10, -0x1.4d69279206f7dp-10, -0x1.44ff5a133456fp-10, -0x1.3cca95d340334p-10, -0x1.34c9ef697d5c4p-10, -0x1.2cfc77c260463p-10, -0x1.256134d3718e9p-10, -0x1.1df71baca8bf5p-10, -0x1.16bd0faa1fb8bp-10, -0x1.0fb1e3cd90e26p-10, -0x1.08d45f80840dbp-10, -0x1.0223453c94e42p-10, -0x1.f73ab1d260f8dp-11, -0x1.ea82cfe9f0937p-11, -0x1.de1c9da4558aap-11, -0x1.d205ec8c27f58p-11, -0x1.c63ca98bcbc51p-11, -0x1.babee5f3b89c3p-11, -0x1.af8ad32409329p-11, -0x1.a49ec0d4c535bp-11, -0x1.99f91ce90554cp-11, -0x1.8f986e1f2b184p-11, -0x1.857b49e388a3ep-11, -0x1.7ba04d5299529p-11, -0x1.72060821d8d01p-11, -0x1.68aaffc9a990bp-11, -0x1.5f8daf984036fp-11, -0x1.56ac771c0b7afp-11, -0x1.4e05cde1adf86p-11, -0x1.4598158126a61p-11, -0x1.3d61cbf95b0aap-11, -0x1.35616faec8f68p-11, -0x1.2d957f0415cc7p-11, -0x1.25fc722a50264p-11, -0x1.1e94c12e6e94ap-11, -0x1.175cedf8b9a45p-11, -0x1.1053985a69a21p-11, -0x1.09778c63795bp-11, -0x1.02c7c57f9cdb9p-11, -0x1.f886c5683960ep-12, -0x1.ebd3226a1721p-12, -0x1.df72efed140c8p-12, -0x1.d3645d212383fp-12, -0x1.c7a586d845509p-12, -0x1.bc3498fea99d3p-12, -0x1.b10ff009f310ap-12, -0x1.a636255843612p-12, -0x1.9ba5fb816274dp-12, -0x1.915e2d27a8b42p-12, -0x1.875d2c9cccb71p-12, -0x1.7da0ea0c670b5p-12, -0x1.7426b7b0ac0f5p-12, -0x1.6aeb5dbecf509p-12, -0x1.61eb664a9cacep-12, -0x1.59238d090eae1p-12, -0x1.50912f840719p-12, -0x1.48328f09e1718p-12, -0x1.4006c7dbae279p-12, -0x1.380d810e302d9p-12, -0x1.30467a1a448c8p-12, -0x1.28b12b590ee04p-12, -0x1.214ca1b2eb397p-12, -0x1.1a179b49fb7e8p-12, -0x1.1310ca6e98035p-12, -0x1.0c37188470a5dp-12, -0x1.0589cc21bd54ep-12, -0x1.fe110f2d86761p-13, -0x1.f16647ca367dp-13, -0x1.e512e93a3e48dp-13, -0x1.d916081e36486p-13, -0x1.cd6daf276d906p-13, -0x1.c2169a0b61457p-13, -0x1.b70c474cffc6ap-13, -0x1.ac49758b752f7p-13, -0x1.a1c8f4867a5ap-13, -0x1.97867cb92af8ap-13, -0x1.8d7f2c615710cp-13, -0x1.83b175a07dc31p-13, -0x1.7a1c5a96064aep-13, -0x1.70beed09b9104p-13, -0x1.6797ee69dd266p-13, -0x1.5ea5cb6d71ae6p-13, -0x1.55e72f338ebcap-13, -0x1.4d5b54cd4c771p-13, -0x1.4502140d3b028p-13, -0x1.3cdba038a94ecp-13, -0x1.34e818b732fbep-13, -0x1.2d2721c352e8cp-13, -0x1.2597c14cc9973p-13, -0x1.1e38859292f89p-13, -0x1.170825fdb1885p-13, -0x1.1005056e8da9bp-13, -0x1.092e1a7b3918dp-13, -0x1.02819c2ad074fp-13, -0x1.f7fb2e03e1aebp-14, -0x1.eb3f98af593d5p-14, -0x1.decc63d8e4837p-14, -0x1.d29ea510091c8p-14, -0x1.c6b4cb8e43066p-14, -0x1.bb0e17edf0ff7p-14, -0x1.afa9a8992284dp-14, -0x1.a485ac825b0b4p-14, -0x1.999f2421696acp-14, -0x1.8ef2860b32784p-14, -0x1.847c5468b0f37p-14, -0x1.7a3a0b9705b01p-14, -0x1.702b49423c1e2p-14, -0x1.665139c62c0e1p-14, -0x1.5cad3bc59b75dp-14, -0x1.533fa61a5e7dep-14, -0x1.4a07545ae962p-14, -0x1.41020daeb18ccp-14, -0x1.382d2bb841e96p-14, -0x1.2f86d60d011f2p-14, -0x1.270e04d5bd75ep-14, -0x1.1ec1e851baa07p-14, -0x1.16a24302b555ep-14, -0x1.0eadf25241b89p-14, -0x1.06e3b413983f3p-14, -0x1.fe827104e9ba5p-15, -0x1.ef87880563d36p-15, -0x1.e0d261ddc7321p-15, -0x1.d261944b28a6dp-15, -0x1.c43654519938ap-15, -0x1.b65180f4b46e4p-15, -0x1.a8b2986ee13d1p-15, -0x1.9b572a7a6e775p-15, -0x1.8e3cc332b6dd9p-15, -0x1.8162f97acb2eap-15, -0x1.74c9bca4de07ap-15, -0x1.686f0762e3567p-15, -0x1.5c4e94d59640ep-15, -0x1.5063a7cf7519ap-15, -0x1.44aa9bc65ed79p-15, -0x1.3922aba34836cp-15, -0x1.2dcae52744f1ep-15, -0x1.22a46e0aa87b5p-15, -0x1.17b00178100a1p-15, -0x1.0cee29665a836p-15, -0x1.025ede067a2fcp-15, -0x1.f00376eba8d06p-16, -0x1.dbaceebdd8d3cp-16, -0x1.c7b8c56ccc541p-16, -0x1.b4216dd13f5f2p-16, -0x1.a0dc76b5a1f61p-16, -0x1.8de0b44c1c05ep-16, -0x1.7b2d3c5ee868fp-16, -0x1.68c7ae3236a73p-16, -0x1.56b34e08ba30dp-16, -0x1.44ec326e3dcaap-16, -0x1.336c9041c0e64p-16, -0x1.2234440231d53p-16, -0x1.1147c1bfda905p-16, -0x1.00a9680f9bd8cp-16, -0x1.e0ae6e1671d6cp-17, -0x1.c09be5827ec2ep-17, -0x1.a114c53935e81p-17, -0x1.8215a64ae0e7ap-17, -0x1.639a82875405fp-17, -0x1.459a73a0547c1p-17, -0x1.280aba51684dap-17, -0x1.0ae34c2f41b38p-17, -0x1.dc49e175bd13p-18, -0x1.a3b23e4cb0a08p-18, -0x1.6c16e605d34e3p-18, -0x1.3579c6f7a10b8p-18, -0x1.ffab27a17eb31p-19, -0x1.963e7fb0057c7p-19, -0x1.2eac1a8aaedf2p-19, -0x1.91bb6c9a4d33ap-20, -0x1.926ad248c9389p-21, -0x1.c7aaf8401730cp-27, 0x1.7de500b0cead8p-21, 0x1.7e18981b93cdp-20, 0x1.1d120d9267844p-19, 0x1.79b35b2efb1efp-19, 0x1.d4e1bdb945344p-19, 0x1.173bd2ef37aa1p-18, 0x1.4338f61024e7ap-18, 0x1.6e74e5b0e0733p-18, 0x1.98fb7aeef9089p-18, 0x1.c2d21a3bdf463p-18, 0x1.ebf8c8d458964p-18, 0x1.0a36382959393p-17, 0x1.1e149364993e4p-17, 0x1.3195d1a134979p-17, 0x1.44b98e9688885p-17, 0x1.5782a041d17efp-17, 0x1.69f9560ed7957p-17, 0x1.7c22adf84032dp-17, 0x1.8e05475b2977fp-17, 0x1.9f997176885b6p-17, 0x1.b0d28228f269dp-17, 0x1.c1b74b019d7d5p-17, 0x1.d24d5522c0032p-17, 0x1.e29283d1b1a24p-17, 0x1.f2821628fcdp-17, 0x1.011169555937cp-16, 0x1.08bd3010d9695p-16, 0x1.1043d0264ac9p-16, 0x1.17a4dd83c2b6cp-16, 0x1.1ee2c80f7eecfp-16, 0x1.25feb52403df8p-16, 0x1.2cf516bf5349ep-16, 0x1.33c47a82ed406p-16, 0x1.3a6eece17dc1bp-16, 0x1.40f64b48d46f6p-16, 0x1.475b2f25b3aaap-16, 0x1.4d9db10c25effp-16, 0x1.53bdd7bd27811p-16, 0x1.59bbd4891e265p-16, 0x1.5f97f32b45acep-16, 0x1.655251ad8ac17p-16, 0x1.6aeade9c96587p-16, 0x1.7061f4d0c854bp-16, 0x1.75b64864739bep-16, 0x1.7ae92d2f13972p-16, 0x1.7ffa2d31a58b1p-16, 0x1.84eabc7655b27p-16, 0x1.89be530e55ad6p-16, 0x1.8e71e636f0f05p-16, 0x1.9305d796ac512p-16, 0x1.977a99fcf8626p-16, 0x1.9bd23f89f436ep-16, 0x1.a00a87c438849p-16, 0x1.a4215ccaaeb6ap-16, 0x1.a8185b71d6e37p-16, 0x1.abf259cb06193p-16, 0x1.afb002ebd397dp-16, 0x1.b351058e3bd3bp-16, 0x1.b6d64eab104cbp-16, 0x1.ba3e886ed12c4p-16, 0x1.bd88915a75541p-16, 0x1.c0b5944ab1c3ap-16, 0x1.c3c6a8fa57b28p-16, 0x1.c6bc2301d0dbp-16, 0x1.c99618d699d4cp-16, 0x1.cc54a7a9f0a46p-16, 0x1.cef7fa45f1b4ap-16, 0x1.d1804a1f37be9p-16, 0x1.d3eddfa5ffd49p-16, 0x1.d640fb78f57bep-16, 0x1.d879b94ae83b6p-16, 0x1.da985462c6c69p-16, 0x1.dc9d36726d528p-16, 0x1.de889256ecd19p-16, 0x1.e05a7595c8fbcp-16, 0x1.e213502310a87p-16, 0x1.e3b1d8d2125p-16, 0x1.e538d1736bcfcp-16, 0x1.e6a650c708769p-16, 0x1.e7fcac03be06cp-16, 0x1.e93b9d852118cp-16, 0x1.ea6325f5f9e62p-16, 0x1.eb729e5aeb989p-16, 0x1.ec6a82d3683eap-16, 0x1.ed4b84d588e3fp-16, 0x1.ee159c10e4abp-16, 0x1.eec8a53759705p-16, 0x1.ef65da494976cp-16, 0x1.efed9b36a67aap-16, 0x1.f05feae672ea5p-16, 0x1.f0bc05d8b58f8p-16, 0x1.f1029270b3a6bp-16, 0x1.f134115af6eb6p-16, 0x1.f150c840a103ap-16, 0x1.f158f8c574a37p-16, 0x1.f14ccd9ce592cp-16, 0x1.f12c71cf6281cp-16, 0x1.f0f8978ee3537p-16, 0x1.f0aee47897866p-16, 0x1.f054a6a1fdc82p-16, 0x1.efe605bc1ca5ep-16, 0x1.ef649f0b5d97p-16, 0x1.eed029cc6b69ep-16, 0x1.ee29462b638a8p-16, 0x1.ed70264d4cc84p-16, 0x1.eca4da859dffbp-16, 0x1.ebc7c91b162d2p-16, 0x1.ead9c29aee329p-16, 0x1.e9d991cb2a673p-16, 0x1.e8c812af43aaep-16, 0x1.e7a593db4cd8p-16, 0x1.e672eda29ae69p-16, 0x1.e53069790e46bp-16, 0x1.e3dcf9c8c55dap-16, 0x1.e2799c7e3e45bp-16, 0x1.e106a11b75cf3p-16, 0x1.df842331eb7cdp-16, 0x1.ddf24d62f62e9p-16, 0x1.dc515cabc2a9dp-16, 0x1.daa185a847004p-16, 0x1.d8e3298442ab4p-16, 0x1.d7169890d88cp-16, 0x1.d53bdaa78aee3p-16, 0x1.d3531785ffd28p-16, 0x1.d15ca4fd76246p-16, 0x1.cf58c22c23626p-16, 0x1.cd47a296b8f45p-16, 0x1.cb2979bccddadp-16, 0x1.c8fe7d658e18cp-16, 0x1.c6c6e59130ed6p-16, 0x1.c482eafa98bf6p-16, 0x1.c232c69d2b8f9p-16, 0x1.bfd6b63b6b8e3p-16, 0x1.bd6ee6a813987p-16, 0x1.bafb9096d673ap-16, 0x1.b87ce57e3fdf8p-16, 0x1.b5f33a8112ff5p-16, 0x1.b35f23024acb3p-16, 0x1.b0bf2e481fd3dp-16, 0x1.ae16383a207eap-16, 0x1.ab623f2fdf1dfp-16, 0x1.a8a481003a444p-16, 0x1.a5dcccc49e36ap-16, 0x1.a30b26b5dbde7p-16, 0x1.a03065cc53d97p-16, 0x1.9d4cfc7adbc7bp-16, 0x1.9a606283bb8d5p-16, 0x1.9769c54cb8754p-16, 0x1.946bc7f8d579fp-16, 0x1.916514e0b33cdp-16, 0x1.8e5631674af81p-16, 0x1.8b3f7334302f4p-16, 0x1.8820cccfef29dp-16, 0x1.84fa6c41c8608p-16, 0x1.81ccbeb6982f6p-16, 0x1.7e97b857e38bbp-16, 0x1.7b5b94312750ep-16, 0x1.7818d09e90059p-16, 0x1.74cf79d1b8a17p-16, 0x1.717f6dd42d537p-16, 0x1.6e291a3dace5ep-16, 0x1.6accc8bcf5305p-16, 0x1.676a7c7a7c2e8p-16, 0x1.640233706ef64p-16, 0x1.6094dbef054b4p-16, 0x1.5d21b95b50144p-16, 0x1.59a9cc53e8a04p-16, 0x1.562b000071cccp-16, 0x1.52aa08d55a284p-16, 0x1.4f233d39e3533p-16, 0x1.4b97be0d2f392p-16, 0x1.4808069b25beap-16, 0x1.447462a2c337ep-16, 0x1.40dc7c39e33aep-16, 0x1.3d40bbb5fd6bbp-16, 0x1.39a13b99d56ccp-16, 0x1.35fdea713c064p-16, 0x1.325751717a24fp-16, 0x1.2eae7bc17f1fcp-16, 0x1.2b01d3e83f9ebp-16, 0x1.27525cc04ab12p-16, 0x1.23a0205757339p-16, 0x1.1feb784900dbep-16, 0x1.1c340480e783ap-16, 0x1.187a6deb6f4dbp-16, 0x1.14beb28ae9f04p-16, 0x1.1100ea7e15585p-16, 0x1.0d4149ece2e47p-16, 0x1.097ff72e0d0ffp-16, 0x1.05bd131aa47a2p-16, 0x1.01f8c27292c7p-16, 0x1.fc6662e0e80acp-17, 0x1.f4d8eb213c997p-17, 0x1.ed48f653703a5p-17, 0x1.e5b7dfeae057fp-17, 0x1.de24d09468a37p-17, 0x1.d690d61e335a4p-17, 0x1.cefb980b7d3a7p-17, 0x1.c7667339d312p-17, 0x1.bfcfc4b623352p-17, 0x1.b8382f6429e07p-17, 0x1.b0a1b6a977849p-17, 0x1.a90b701e10a13p-17, 0x1.a1755ce174d6cp-17, 0x1.99dff71d2637fp-17, 0x1.924b923c95225p-17, 0x1.8ab8673267514p-17, 0x1.8326b34cfcb7p-17, 0x1.7b96a80e27b3ep-17, 0x1.74085463b21dap-17, 0x1.6c7bf2d702acbp-17, 0x1.64f1632779b56p-17, 0x1.5d6a3f2548664p-17, 0x1.55e57a60cb45p-17, 0x1.4e63abea3f092p-17, 0x1.46e4de406e666p-17, 0x1.3f691c356c772p-17, 0x1.37f0e914945a3p-17, 0x1.307c7e1b540dbp-17, 0x1.290be8ddc7e8p-17, 0x1.219f3981bfc04p-17, 0x1.1a36ef42b803ap-17, 0x1.12d3751d82cc8p-17, 0x1.0b743bf7f2eb2p-17, 0x1.041976d15cbf4p-17, 0x1.f9879dd6c465ap-18, 0x1.eae632ef3e4c1p-18, 0x1.dc4ec9395e0fp-18, 0x1.cdc34fc983662p-18, 0x1.bf43575f21c68p-18, 0x1.b0ce90109325bp-18, 0x1.a2656145ffd4ap-18, 0x1.940857e9bd56fp-18, 0x1.85b7cc041331bp-18, 0x1.77730bf5297cbp-18, 0x1.693bbc2dd4739p-18, 0x1.5b13f7079b7a7p-18, 0x1.4cf6af5fd57efp-18, 0x1.3ee87711dd648p-18, 0x1.30e8e16b066f2p-18, 0x1.22f6e845e5461p-18, 0x1.15137ce9997cdp-18, 0x1.073ef289dc5c6p-18, 0x1.f2f30df4a2271p-19, 0x1.d786e348e9849p-19, 0x1.bc3983275c8f5p-19, 0x1.a10d819ca5ee3p-19, 0x1.85fec172fe163p-19, 0x1.6b12711e64eecp-19, 0x1.5046b15d5e916p-19, 0x1.359c240b0deb8p-19, 0x1.1b1357594a658p-19, 0x1.00acf3006c975p-19, 0x1.ccce628b68067p-20, 0x1.9887a01429463p-20, 0x1.64973fce8c14p-20, 0x1.30f5fe447cc05p-20, 0x1.fad4ff83b83e2p-21, 0x1.948c4afe01b7cp-21, 0x1.2eda835f0febfp-21, 0x1.93729a3355967p-22, 0x1.949e87603732ap-23, 0x1.f7a56bbca8716p-30, -0x1.88388bcdeaeffp-23, -0x1.89afe1f9a931fp-22, -0x1.271c9b068ac11p-21, -0x1.88aed2ee7314dp-21, -0x1.e9a5bc217f14ep-21, -0x1.24fe98250b4c1p-20, -0x1.54dda72aaed94p-20, -0x1.84697f5445029p-20, -0x1.b3abce489c3e6p-20, -0x1.e297bac4a6474p-20, -0x1.089ba49120dadp-19, -0x1.1fc0a23ddd5ecp-19, -0x1.36bcfd9b0f8dp-19, -0x1.4d91d73aa9f8ep-19, -0x1.643c86f707296p-19, -0x1.7abe7250ae4eep-19, -0x1.9115dde426525p-19, -0x1.a7442c3671d7cp-19, -0x1.bd4902c3bf165p-19, -0x1.d3237accb76bfp-19, -0x1.e8d4145980596p-19, -0x1.fe5ac5cfd1f8fp-19, -0x1.09db7f0bb5c07p-18, }}, 
      {{-0x1.9668ebb88c3b2p-1, -0x1.78831874946a6p-1, -0x1.75f730fedd412p-1, -0x1.8d2c2e1693766p-1, -0x1.b3f14018df59dp-1, -0x1.dfe08be3ef7efp-1, -0x1.049399d14b613p+0, -0x1.157a631378aebp+0, -0x1.2182d7cd4bd45p+0, -0x1.2877f3b735bcep+0, -0x1.2abc660b56246p+0, -0x1.29068c5729e18p+0, -0x1.242f62cca8b0dp+0, -0x1.1d1202555157cp+0, -0x1.1477fd464e622p+0, -0x1.0b0f02a13a514p+0, -0x1.0164cb69f4cc7p+0, -0x1.efce18dffce8p-1, -0x1.ddcb9776e1c4dp-1, -0x1.cd2df557f2f05p-1, -0x1.be352b64ed298p-1, -0x1.b0fd9f2ec4e08p-1, -0x1.a587ff85858e9p-1, -0x1.9bc057418f47cp-1, -0x1.938430782270dp-1, -0x1.8ca7bd2e05283p-1, -0x1.86fa0bdc27bccp-1, -0x1.824859d1fe1bdp-1, -0x1.7e609b62a5358p-1, -0x1.7b13551749ffcp-1, -0x1.7834e10d9e31dp-1, -0x1.759e3b1587f18p-1, -0x1.732d6c1d96434p-1, -0x1.70c5aa27c6003p-1, -0x1.6e4f400cf376cp-1, -0x1.6bb74d5e920d8p-1, -0x1.68ef6ae94f239p-1, -0x1.65ed3e6562dd4p-1, -0x1.62aa05cfe0f8p-1, -0x1.5f22207cbf5c9p-1, -0x1.5b549941161bcp-1, -0x1.5742b5eea421ep-1, -0x1.52ef8eb91282cp-1, -0x1.4e5fad960a07p-1, -0x1.4998b6bc0890ap-1, -0x1.44a11b9ee9dap-1, -0x1.3f7fd811c6a62p-1, -0x1.3a3c3840445e8p-1, -0x1.34dda7841bffcp-1, -0x1.2f6b87d3f13c3p-1, -0x1.29ed10f019327p-1, -0x1.246935fdb947dp-1, -0x1.1ee69107f7148p-1, -0x1.196b53a487a5cp-1, -0x1.13fd3c56de64bp-1, -0x1.0ea18fb29a75ap-1, -0x1.095d148a08a55p-1, -0x1.0434129f9a02bp-1, -0x1.fe54a6e491f05p-2, -0x1.f48649e2de22ap-2, -0x1.eb02bb4120aabp-2, -0x1.e1cec3d278ae5p-2, -0x1.d8ee53f2aed08p-2, -0x1.d064904de9b18p-2, -0x1.c833dedcb3cddp-2, -0x1.c05df4cdcc0c4p-2, -0x1.b8e3e3fba4709p-2, -0x1.b1c628f48d91ep-2, -0x1.ab04b88a5c028p-2, -0x1.a49f0d05c218p-2, -0x1.9e9432fa66171p-2, -0x1.98e2d5469667cp-2, -0x1.9389487791197p-2, -0x1.8e85957f81a8bp-2, -0x1.89d583a768c9dp-2, -0x1.8576a1e44e899p-2, -0x1.81664f9975ddfp-2, -0x1.7da1c499af57bp-2, -0x1.7a2618ab5885ap-2, -0x1.76f04a6483befp-2, -0x1.73fd4584f5b07p-2, -0x1.7149e8a551939p-2, -0x1.6ed30a59ff591p-2, -0x1.6c957dfbf9969p-2, -0x1.6a8e17d5dc165p-2, -0x1.68b9b0c32167ap-2, -0x1.671529b3fdf35p-2, -0x1.659d6e66d4cbbp-2, -0x1.644f781f5579cp-2, -0x1.63284fe239373p-2, -0x1.622510502e87fp-2, -0x1.6142e7483c2bep-2, -0x1.607f177f0aee2p-2, -0x1.5fd6f96365dc7p-2, -0x1.5f47fc45f6407p-2, -0x1.5ecfa6ec333c2p-2, -0x1.5e6b984c0a175p-2, -0x1.5e1987b9fccdcp-2, -0x1.5dd74557d4df8p-2, -0x1.5da2ba079f5adp-2, -0x1.5d79e794f63eep-2, -0x1.5d5ae86383ab9p-2, -0x1.5d43ef4267abfp-2, -0x1.5d3347489d429p-2, -0x1.5d27532df268p-2, -0x1.5d1e8d2833008p-2, -0x1.5d17861adc4ep-2, -0x1.5d10e5470b672p-2, -0x1.5d0967a6a7474p-2, -0x1.5cffdf3675e49p-2, -0x1.5cf33279253c6p-2, -0x1.5ce25bb30f148p-2, -0x1.5ccc683005a1ep-2, -0x1.5cb077cefdb8fp-2, -0x1.5c8dbbf95da94p-2, -0x1.5c63774420fc6p-2, -0x1.5c30fc7e6d5a4p-2, -0x1.5bf5ae08605fbp-2, -0x1.5bb0fd6869dddp-2, -0x1.5b626a43318fbp-2, -0x1.5b0981bde33c6p-2, -0x1.5aa5de267c722p-2, -0x1.5a3725f633339p-2, -0x1.59bd0b306a3d4p-2, -0x1.59374b2751d05p-2, -0x1.58a5ad799245ap-2, -0x1.580803906d75bp-2, -0x1.575e285d67aaap-2, -0x1.56a7ff8797bdcp-2, -0x1.55e574c24c783p-2, -0x1.55167bbb0d9ebp-2, -0x1.543b0f7f251b9p-2, -0x1.5353318ac4244p-2, -0x1.525ee9f3b45edp-2, -0x1.515e46d3ef642p-2, -0x1.50515b9f989a1p-2, -0x1.4f3840da484c2p-2, -0x1.4e13140beb0dbp-2, -0x1.4ce1f722a0593p-2, -0x1.4ba50fc177143p-2, -0x1.4a5c878cff36ap-2, -0x1.49088bcc09436p-2, -0x1.47a94c9fa3c92p-2, -0x1.463efcf1f773cp-2, -0x1.44c9d2917451ap-2, -0x1.434a05b4aa769p-2, -0x1.41bfd06516b5ap-2, -0x1.402b6ea07828cp-2, -0x1.3e8d1e51d9a96p-2, -0x1.3ce51ede4e003p-2, -0x1.3b33b0bf7b3b7p-2, -0x1.3979158ac74e8p-2, -0x1.37b590199d176p-2, -0x1.35e964093b775p-2, -0x1.3414d5645462cp-2, -0x1.323828b83ddecp-2, -0x1.3053a33857bd3p-2, -0x1.2e678a5773cc4p-2, -0x1.2c742386c1993p-2, -0x1.2a79b420239f1p-2, -0x1.287881ba53265p-2, -0x1.2670d1d21d412p-2, -0x1.2462e974c6e36p-2, -0x1.224f0d4d7bb7dp-2, -0x1.203581b66f6b1p-2, -0x1.1e168abb320b8p-2, -0x1.1bf26bd373077p-2, -0x1.19c967bbb515ap-2, -0x1.179bc07987b03p-2, -0x1.1569b79113caap-2, -0x1.13338dd48ef08p-2, -0x1.10f98331e17a3p-2, -0x1.0ebbd6aa8250cp-2, -0x1.0c7ac6666ed02p-2, -0x1.0a368fc8d6115p-2, -0x1.07ef6f47ea53p-2, -0x1.05a5a058fd5b6p-2, -0x1.03595d6133917p-2, -0x1.010adfbe810c2p-2, -0x1.fd74bfeae83f3p-3, -0x1.f8d02afe3790ap-3, -0x1.f4286d682dc68p-3, -0x1.ef7df19c28429p-3, -0x1.ead12000add68p-3, -0x1.e6225eeb071bbp-3, -0x1.e172129986c76p-3, -0x1.dcc09cfb9e069p-3, -0x1.d80e5dc3e4aebp-3, -0x1.d35bb27121bb9p-3, -0x1.cea8f66c8a83p-3, -0x1.c9f682f5f03d5p-3, -0x1.c544af2d57e3dp-3, -0x1.c093cfe895926p-3, -0x1.bbe437c9e6993p-3, -0x1.b73637481a8f5p-3, -0x1.b28a1ce31bab6p-3, -0x1.ade034f952ba9p-3, -0x1.a938c9b895296p-3, -0x1.a494233aa2bbep-3, -0x1.9ff2877a4e62ep-3, -0x1.9b543a6e255d2p-3, -0x1.96b97e0f01e8bp-3, -0x1.92229269c7cdbp-3, -0x1.8d8fb5791f481p-3, -0x1.89012339ad877p-3, -0x1.847715bc53691p-3, -0x1.7ff1c52960623p-3, -0x1.7b7167d3d83adp-3, -0x1.76f6323a776abp-3, -0x1.728057031db36p-3, -0x1.6e1006ff05681p-3, -0x1.69a57136c76cp-3, -0x1.6540c2f8a8217p-3, -0x1.60e227e02227ep-3, -0x1.5c89c9dff5dafp-3, -0x1.5837d145b5142p-3, -0x1.53ec64b97947ap-3, -0x1.4fa7a93e614d5p-3, -0x1.4b69c25997196p-3, -0x1.4732d1ef5efd8p-3, -0x1.4302f8781dca2p-3, -0x1.3eda54fe00e9cp-3, -0x1.3ab905058786cp-3, -0x1.369f24a5cf245p-3, -0x1.328cce977372ap-3, -0x1.2e821c3263462p-3, -0x1.2a7f257b46307p-3, -0x1.2684012d887a7p-3, -0x1.2290c4c05af96p-3, -0x1.1ea5846b083e9p-3, -0x1.1ac2532b00b47p-3, -0x1.16e742c9c54e2p-3, -0x1.131463e53125ep-3, -0x1.0f49c5fa0f908p-3, -0x1.0b87776cc67d3p-3, -0x1.07cd858b4a13dp-3, -0x1.041bfc96ea3b5p-3, -0x1.0072e7c9c0626p-3, -0x1.f9a4a29fe367dp-4, -0x1.f27484c45f08ep-4, -0x1.eb558685be024p-4, -0x1.e447b68dba23ap-4, -0x1.dd4b21b9ac256p-4, -0x1.d65fd31e3fe07p-4, -0x1.cf85d41490e56p-4, -0x1.c8bd2c567c39ap-4, -0x1.c205e1e6eccbep-4, -0x1.bb5ff932590a3p-4, -0x1.b4cb7525e9b0bp-4, -0x1.ae48572e3ee2fp-4, -0x1.a7d69f44ed84cp-4, -0x1.a1764bf6e6d1ap-4, -0x1.9b275a6f5e7b8p-4, -0x1.94e9c6850c065p-4, -0x1.8ebd8ac362f2cp-4, -0x1.88a2a07463c9ap-4, -0x1.8298ffa928c07p-4, -0x1.7ca09f44c30cdp-4, -0x1.76b975110dacfp-4, -0x1.70e375aef4233p-4, -0x1.6b1e94b5bea57p-4, -0x1.656ac4b2517a9p-4, -0x1.5fc7f72e5f689p-4, -0x1.5a361cba29281p-4, -0x1.54b524fa4fb57p-4, -0x1.4f44feb5cd289p-4, -0x1.49e597ccfc66p-4, -0x1.4496dd40eee94p-4, -0x1.3f58bb4b55711p-4, -0x1.3a2b1d628e49fp-4, -0x1.350dee3ac62b4p-4, -0x1.300117cf0a355p-4, -0x1.2b0483691edc2p-4, -0x1.261819a8957b4p-4, -0x1.213bc289d106ap-4, -0x1.1c6f656a0eb3ep-4, -0x1.17b2e9132da14p-4, -0x1.130633c8225cep-4, -0x1.0e692b3504fa8p-4, -0x1.09dbb488230efp-4, -0x1.055db476748a1p-4, -0x1.00ef0f382511ep-4, -0x1.f91f513085cb4p-5, -0x1.f07ec7ebc4092p-5, -0x1.e7fc488c5d2b1p-5, -0x1.df979847f1ea6p-5, -0x1.d7507b99a174fp-5, -0x1.cf26b65034ef7p-5, -0x1.c71a0b98dc69cp-5, -0x1.bf2a3e075bfd7p-5, -0x1.b7570fa190f4ep-5, -0x1.afa041edd214ap-5, -0x1.a80595e96e9b4p-5, -0x1.a086cc2f1ef95p-5, -0x1.9923a4e24ee22p-5, -0x1.91dbdfcc9d9f3p-5, -0x1.8aaf3c5b73dffp-5, -0x1.839d79aa2a71p-5, -0x1.7ca6568c96fd5p-5, -0x1.75c9919562c1ep-5, -0x1.6f06e91bd7557p-5, -0x1.685e1b45d478bp-5, -0x1.61cee60ebbf85p-5, -0x1.5b59074bda643p-5, -0x1.54fc3cb36a2acp-5, -0x1.4eb843e3b2d9dp-5, -0x1.488cda6c739a2p-5, -0x1.4279bdd07e232p-5, -0x1.3c7eab8c975b6p-5, -0x1.369b611c5b8ecp-5, -0x1.30cf9c0740a1fp-5, -0x1.2b1b19e3ce16dp-5, -0x1.257d984cb2b4ep-5, -0x1.1ff6d4f9da634p-5, -0x1.1a868dc8c0926p-5, -0x1.152c80a9f4a43p-5, -0x1.0fe86bad24129p-5, -0x1.0aba0d130d838p-5, -0x1.05a123591eebfp-5, -0x1.009d6d2d1480fp-5, -0x1.f75d52b920d12p-6, -0x1.eda92df1a4e14p-6, -0x1.e41deab77b63cp-6, -0x1.dabb081ed0db9p-6, -0x1.d18005d23cfaep-6, -0x1.c86c64216b66dp-6, -0x1.bf7fa3ec7435bp-6, -0x1.b6b946abbd67cp-6, -0x1.ae18ce7ea0da7p-6, -0x1.a59dbe2f1868cp-6, -0x1.9d479944695d3p-6, -0x1.9515e3decb961p-6, -0x1.8d0822fb01e5ep-6, -0x1.851ddc39d1561p-6, -0x1.7d5696146ffdep-6, -0x1.75b1d7c8ff6b3p-6, -0x1.6e2f2961744cdp-6, -0x1.66ce13ba0e38cp-6, -0x1.5f8e2086e303p-6, -0x1.586eda57cf1fbp-6, -0x1.516fcc9a6f96bp-6, -0x1.4a90839a07461p-6, -0x1.43d08c882ff17p-6, -0x1.3d2f7583b1bc4p-6, -0x1.36accd8f99cf4p-6, -0x1.304824a07f0b1p-6, -0x1.2a010b9c04c6ep-6, -0x1.23d714577f315p-6, -0x1.1dc9d19e45174p-6, -0x1.17d8d733df528p-6, -0x1.1203b9d5e0f65p-6, -0x1.0c4a0f3c3ddd2p-6, -0x1.06ab6e1a0a0fap-6, -0x1.01276e1f3c211p-6, -0x1.f77b4ff3fde8bp-7, -0x1.ecdb6aaef058dp-7, -0x1.e26e61ded2f38p-7, -0x1.d8336cf98eebfp-7, -0x1.ce29c56c07983p-7, -0x1.c450a6bfc5c62p-7, -0x1.baa74e8a7292p-7, -0x1.b12cfc662243p-7, -0x1.a7e0f1f6fde3ap-7, -0x1.9ec272f4a5a53p-7, -0x1.95d0c51666538p-7, -0x1.8d0b303c9edcdp-7, -0x1.8470fe41b6d25p-7, -0x1.7c017b18bd7bep-7, -0x1.73bbf4c2fede9p-7, -0x1.6b9fbb4f5f12cp-7, -0x1.63ac20d9bb3bbp-7, -0x1.5be0798a59fa1p-7, -0x1.543c1b959b33ap-7, -0x1.4cbe5f3b42863p-7, -0x1.45669ec50ae8bp-7, -0x1.3e3436824e48p-7, -0x1.372684bf98053p-7, -0x1.303ce9d4e5b84p-7, -0x1.2976c839ad44ep-7, -0x1.22d3844e01c92p-7, -0x1.1c52845bbc4a1p-7, -0x1.15f330c47dbddp-7, -0x1.0fb4f3e58ca9bp-7, -0x1.09973a0c208d5p-7, -0x1.0399717c44c2ep-7, -0x1.fb7614e16ed9fp-8, -0x1.eff6ee2cf9547p-8, -0x1.e4b45714018f1p-8, -0x1.d9ad3ba57c0fdp-8, -0x1.cee08bb656ecp-8, -0x1.c44d3ad7c7bc4p-8, -0x1.b9f24055f6768p-8, -0x1.afce9726e9d7fp-8, -0x1.a5e13ddb3fbc5p-8, -0x1.9c2936c512db8p-8, -0x1.92a587d62fa77p-8, -0x1.89553ad1d74a8p-8, -0x1.80375d11168aap-8, -0x1.774aff91334d1p-8, -0x1.6e8f36eac69bfp-8, -0x1.66031b45d326cp-8, -0x1.5da5c840baaa6p-8, -0x1.55765cc37967fp-8, -0x1.4d73fb13c17a8p-8, -0x1.459dc8b2d8baap-8, -0x1.3df2ee7a9dfedp-8, -0x1.36729888d1462p-8, -0x1.2f1bf66185348p-8, -0x1.27ee3ae968874p-8, -0x1.20e89c5bfd3cep-8, -0x1.1a0a543a7d64bp-8, -0x1.13529f1ac3437p-8, -0x1.0cc0bc69c995dp-8, -0x1.0653eec380594p-8, -0x1.000b7be5217fep-8, -0x1.f3cd580e4bfdfp-9, -0x1.e7c9945793df3p-9, -0x1.dc0a486e33157p-9, -0x1.d08e177ba27abp-9, -0x1.c553ab4641fddp-9, -0x1.ba59b405c026cp-9, -0x1.af9ee878ce679p-9, -0x1.a5220594793b6p-9, -0x1.9ae1cddf36669p-9, -0x1.90dd08a5541f6p-9, -0x1.87128160f4e39p-9, -0x1.7d8107289d654p-9, -0x1.74276c95487d5p-9, -0x1.6b0487e6ce3e5p-9, -0x1.621733a3d4fe3p-9, -0x1.595e4f6d98cbep-9, -0x1.50d8c0e8e88b5p-9, -0x1.4885748349dc2p-9, -0x1.40635de4aeaddp-9, -0x1.387177ee4db35p-9, -0x1.30aec43e373dap-9, -0x1.291a4a4694ec4p-9, -0x1.21b3161fefe02p-9, -0x1.1a78374c1e1afp-9, -0x1.1368bfaaad9ecp-9, -0x1.0c83c2d9a9396p-9, -0x1.05c856217d772p-9, -0x1.fe6b22029bb36p-10, -0x1.f1951cd65a181p-10, -0x1.e50cdb6ede987p-10, -0x1.d8d0a6da0f351p-10, -0x1.ccded4f20a0bdp-10, -0x1.c135c8bab25bfp-10, -0x1.b5d3f16a7890bp-10, -0x1.aab7c8ba64de7p-10, -0x1.9fdfd069cff19p-10, -0x1.954a8f84c02f5p-10, -0x1.8af69021ed12p-10, -0x1.80e25e22fedbbp-10, -0x1.770c8736b4073p-10, -0x1.6d739c33c1013p-10, -0x1.641633a1a70bep-10, -0x1.5af2ece2b01aep-10, -0x1.520873247eefap-10, -0x1.49557fd754044p-10, -0x1.40d8db9cd968p-10, -0x1.38915d6e6010ap-10, -0x1.307de8257c898p-10, -0x1.289d66aece309p-10, -0x1.20eec7736b608p-10, -0x1.1970f7c0823c6p-10, -0x1.1222e019fad1ep-10, -0x1.0b03621f4063ep-10, -0x1.0411588d00bd1p-10, -0x1.fa9732e23f07fp-11, -0x1.ed61f3feb4184p-11, -0x1.e080a88a587b2p-11, -0x1.d3f118cc9b479p-11, -0x1.c7b12cb201b6p-11, -0x1.bbbef2ad1837p-11, -0x1.b018a34daeca9p-11, -0x1.a4bc9fd549d5cp-11, -0x1.99a96be1addc9p-11, -0x1.8edda34509cadp-11, -0x1.8457eda653bb5p-11, -0x1.7a16f1db387cap-11, -0x1.70194ab3facdbp-11, -0x1.665d7e9a06fb5p-11, -0x1.5ce1fdff505fap-11, -0x1.53a526bbad548p-11, -0x1.4aa53f73287b5p-11, -0x1.41e0876ce61a7p-11, -0x1.395543b0fe0f2p-11, -0x1.3101bec69263bp-11, -0x1.28e45bb152198p-11, -0x1.20fb9da7e5e2p-11, -0x1.19462972f8b8cp-11, -0x1.11c2c6127e148p-11, -0x1.0a70593ea0d5bp-11, -0x1.034de09dfcf9ap-11, -0x1.f8b4d2ae9c9bbp-12, -0x1.eb2a0e710058p-12, -0x1.ddf999049d9e1p-12, -0x1.d121898f1e657p-12, -0x1.c49fe033b9123p-12, -0x1.b8728600dc284p-12, -0x1.ac974ed5b4b0ap-12, -0x1.a10c00b2a44edp-12, -0x1.95ce5dad8b6cp-12, -0x1.8adc2c3fdfb22p-12, -0x1.8033469a8004ep-12, -0x1.75d1a4b23b495p-12, -0x1.6bb54ffe707dfp-12, -0x1.61dc66424b45p-12, -0x1.58452719e353cp-12, -0x1.4eedec5d6756p-12, -0x1.45d5268b9416ep-12, -0x1.3cf95e6b4918cp-12, -0x1.345931e26b6cbp-12, -0x1.2bf34b42c5b21p-12, -0x1.23c65c91b1648p-12, -0x1.1bd110e6793fcp-12, -0x1.14120cfa13a8cp-12, -0x1.0c87eae7bbfa5p-12, -0x1.05314eac49ce6p-12, -0x1.fc1964f076fc5p-13, -0x1.ee31a02e7f3ebp-13, -0x1.e0a88916b3c51p-13, -0x1.d37b80395720dp-13, -0x1.c6a7ecce77b6p-13, -0x1.ba2b2ecb7bcccp-13, -0x1.ae02a76d180c6p-13, -0x1.a22bc915b64f6p-13, -0x1.96a4330761e1dp-13, -0x1.8b69c6af22224p-13, -0x1.807aac5f986bp-13, -0x1.75d5429b9471ep-13, -0x1.6b77ff44a1953p-13, -0x1.616152014187fp-13, -0x1.578f96daa88dfp-13, -0x1.4e011ef7e6bb5p-13, -0x1.44b448b7168fep-13, -0x1.3ba797afbfcf5p-13, -0x1.32d9bd5973a5bp-13, -0x1.2a498aeccaab2p-13, -0x1.21f5ceeaf7943p-13, -0x1.19dd2780b1963p-13, -0x1.11fdd83941d63p-13, -0x1.0a55b5ff6a773p-13, -0x1.02e2380b8553fp-13, -0x1.f7415c3f4c334p-14, -0x1.e91d1ce3ffd4cp-14, -0x1.db5384ef116fcp-14, -0x1.cde1abeffe614p-14, -0x1.c0c5e45079db1p-14, -0x1.b3ff495966387p-14, -0x1.a78d1b6dcbb1dp-14, -0x1.9b6e38302faap-14, -0x1.8fa0e73be5ebfp-14, -0x1.842302f6a1aadp-14, -0x1.78f2576d3e42dp-14, -0x1.6e0d00d18e7c1p-14, -0x1.6371a0ed36149p-14, -0x1.591f5c65aec34p-14, -0x1.4f15a5e1a0f18p-14, -0x1.4553e925710c5p-14, -0x1.3bd92c6917f0fp-14, -0x1.32a3be84d0d91p-14, -0x1.29b1093be3deap-14, -0x1.20fd9f61a9dbdp-14, -0x1.1885943b5fbep-14, -0x1.10450baa4e70ep-14, -0x1.0838ce601cdf4p-14, -0x1.005e9ecf37cdap-14, -0x1.f16a4d6b01e26p-15, -0x1.e2770e3d4b57p-15, -0x1.d3e1c4f327f47p-15, -0x1.c5a83a4b73819p-15, -0x1.b7c7e53571e9dp-15, -0x1.aa3e88c04ea83p-15, -0x1.9d0aabc3d30ddp-15, -0x1.902ba96db71dbp-15, -0x1.83a1583626359p-15, -0x1.776b756592e12p-15, -0x1.6b891c3c8d75cp-15, -0x1.5ff893870611ap-15, -0x1.54b74e3efb04p-15, -0x1.49c3d51238d42p-15, -0x1.3f1a9a0978d54p-15, -0x1.34bae11eb432ep-15, -0x1.2aa12f77a7fefp-15, -0x1.20cabe73b5274p-15, -0x1.17343babf15cbp-15, -0x1.0ddaa4007938cp-15, -0x1.04bbbccad3599p-15, -0x1.f7ac597200e1bp-16, -0x1.e652483e72d7cp-16, -0x1.d567801817abap-16, -0x1.c4e8fcb55672ep-16, -0x1.b4d21c09b3e0ap-16, -0x1.a51dd2f865e7cp-16, -0x1.95c71c1d79023p-16, -0x1.86c9f671a5021p-16, -0x1.7825729647b04p-16, -0x1.69daac932bf15p-16, -0x1.5beaf05095cd7p-16, -0x1.4e562e9ee18fp-16, -0x1.411a695f2ce69p-16, -0x1.34343c4a6334ep-16, -0x1.279fb2999fbacp-16, -0x1.1b59f30da51ddp-16, -0x1.0f613955e64ccp-16, -0x1.03b401297cacp-16, -0x1.f0a32c8615a0fp-17, -0x1.da7014ccee5d9p-17, -0x1.c4cac10b093a6p-17, -0x1.afac7d819024bp-17, -0x1.9b0d94da71d0dp-17, -0x1.86e802092e8fp-17, -0x1.7339442a4a155p-17, -0x1.6001a725ea6bcp-17, -0x1.4d41dec2ae51ep-17, -0x1.3af8756049aefp-17, -0x1.2921c6547c0c3p-17, -0x1.17ba4b6aa08d7p-17, -0x1.06c070be526d8p-17, -0x1.ec66cb720702dp-18, -0x1.cc20375cfe4dp-18, -0x1.aca15fb80ebd6p-18, -0x1.8ddcf4cb9d3a1p-18, -0x1.6fcaa329c2d65p-18, -0x1.525fdb4a8bf61p-18, -0x1.35a2677cc86f5p-18, -0x1.198f598767783p-18, -0x1.fc505d6f7f056p-19, -0x1.c6da0070afd56p-19, -0x1.92b9644ed7d2fp-19, -0x1.5fea8db282337p-19, -0x1.2e69eda64ac41p-19, -0x1.fc63fbfc3b384p-20, -0x1.9e661f91abcf7p-20, -0x1.42a341088e562p-20, -0x1.d1d5197287d3cp-21, -0x1.2266d85f9c61ep-21, -0x1.dcacbeaa92496p-23, 0x1.7e21f92284ad9p-24, 0x1.a527861b5095bp-22, 0x1.71831042b18a6p-21, 0x1.064daacda8609p-20, 0x1.51dc3bbeaa865p-20, 0x1.9b650f599b747p-20, 0x1.e2f52cc5a079dp-20, 0x1.1450666f4d52dp-19, 0x1.363c34663fba1p-19, 0x1.5743f36a224d2p-19, 0x1.776ef63532732p-19, 0x1.96c9108ca99c9p-19, 0x1.b560e2c10a515p-19, 0x1.d341852e97d1bp-19, 0x1.f06b45add07dcp-19, 0x1.066a30b772b85p-18, 0x1.1437aa72b376dp-18, 0x1.219f8903691f4p-18, 0x1.2ea2955707be2p-18, 0x1.3b4583831f289p-18, 0x1.4789316452119p-18, 0x1.537177b16392dp-18, 0x1.5f07604b656a4p-18, 0x1.6a4f9d0baca4cp-18, 0x1.7545c095df87bp-18, 0x1.7fe64f1c97ddfp-18, 0x1.8a36b49666b64p-18, 0x1.943d8f07f21c3p-18, 0x1.9df94c5c43f0dp-18, 0x1.a764fb0d11131p-18, 0x1.b080ab3331151p-18, 0x1.b950b3f3f6ae4p-18, 0x1.c1d956da14cf2p-18, 0x1.ca1cb72f69435p-18, 0x1.d21b28742cda5p-18, 0x1.d9d4054d148c2p-18, 0x1.e146f106d899ap-18, 0x1.e873b6a39518bp-18, 0x1.ef5a546601844p-18, 0x1.f5fcc4ffecb55p-18, 0x1.fc60bfdd963ep-18, 0x1.0144e512822dcp-17, 0x1.043dea800dd58p-17, 0x1.071986fed465cp-17, 0x1.09d44e8825423p-17, 0x1.0c7079249c09fp-17, 0x1.0eefd307a8eaap-17, 0x1.1151fe235d9d6p-17, 0x1.1395d1d226cf9p-17, 0x1.15bec1241ba1p-17, 0x1.17cbf5781483ep-17, 0x1.19bddf0c1d5ecp-17, 0x1.1b96593d4af7ap-17, 0x1.1d55e2f6578b7p-17, 0x1.1efd674bd03fep-17, 0x1.208b2ad6fb4b6p-17, 0x1.21fe88d0b3253p-17, 0x1.2358b24404592p-17, 0x1.249b0c8e042abp-17, 0x1.25c63f22fdf97p-17, 0x1.26da48db96024p-17, 0x1.27d76094f02e8p-17, 0x1.28be01e2377ebp-17, 0x1.298e8312fd051p-17, 0x1.2a490b1be9503p-17, 0x1.2aeda97a27324p-17, 0x1.2b7bc9a266793p-17, 0x1.2bf60e71c7ceap-17, 0x1.2c5a284222802p-17, 0x1.2ca92093eff29p-17, 0x1.2ce3e6c4db0fep-17, 0x1.2d0caa8f6e1eap-17, 0x1.2d21a8525986bp-17, 0x1.2d235eeeef5adp-17, 0x1.2d123556ffe1ep-17, 0x1.2cefa864449e5p-17, 0x1.2cba3ab4524abp-17, 0x1.2c7147cbf45dp-17, 0x1.2c15b65c7887ep-17, 0x1.2ba94382b0764p-17, 0x1.2b2c71c45657dp-17, 0x1.2a9f37bbbc417p-17, 0x1.2a023f9788ee8p-17, 0x1.2954eee9702dp-17, 0x1.2896c49c5d0e6p-17, 0x1.27c8853718627p-17, 0x1.26eae9b6c6a5p-17, 0x1.25fe406fba13ap-17, 0x1.2502ba7dff312p-17, 0x1.23f88b8422fa6p-17, 0x1.22dfea3b61d3p-17, 0x1.21b917224168dp-17, 0x1.208460c4e7bb9p-17, 0x1.1f42080d36646p-17, 0x1.1df21c2c97a31p-17, 0x1.1c94d83f218f8p-17, 0x1.1b2ab813b396ep-17, 0x1.19b3ed8e9b776p-17, 0x1.183078c80cb4p-17, 0x1.16a0d99561b8dp-17, 0x1.15042fba6cb21p-17, 0x1.135cd53431341p-17, 0x1.11a8db321a2abp-17, 0x1.0fea45dc75cafp-17, 0x1.0e20d7d160f55p-17, 0x1.0c4caf32ae073p-17, 0x1.0a6d88830924bp-17, 0x1.0883c95d8c231p-17, 0x1.068fc2522fbccp-17, 0x1.049162830e7p-17, 0x1.028929349d23dp-17, 0x1.0077c5de1231ep-17, 0x1.fcbacd3ab57d9p-18, 0x1.f8736c14cfe06p-18, 0x1.f41972f77562ep-18, 0x1.efae049372deep-18, 0x1.eb315064ed42cp-18, 0x1.e6a3daf1f94a3p-18, 0x1.e2066b34418b1p-18, 0x1.dd59379d66f55p-18, 0x1.d89c685ba6ddp-18, 0x1.d3d18794c229cp-18, 0x1.cef31e953f92ap-18, 0x1.ca0d4136ee786p-18, 0x1.c5163992e7442p-18, 0x1.c01238444649p-18, 0x1.bb005768a32fep-18, 0x1.b5e184db2c555p-18, 0x1.b0b6ab5d19c99p-18, 0x1.ab7faf3a66c05p-18, 0x1.a63cd146e920bp-18, 0x1.a0f0f753a6bdcp-18, 0x1.9b9689cf09d5fp-18, 0x1.96313040041b9p-18, 0x1.90c31f8f36943p-18, 0x1.8b4c82ddef175p-18, 0x1.85c92eeed14a4p-18, 0x1.803dfc4e5fe14p-18, 0x1.7aa9c3604018p-18, 0x1.750d0bd7783cep-18, 0x1.6f68019bc551p-18, 0x1.69bae297d03f1p-18, 0x1.640605d476556p-18, 0x1.5e49b83d0bf42p-18, 0x1.58868c676297cp-18, 0x1.52bcf55e68326p-18, 0x1.4cecef009a5ep-18, 0x1.4716a47e6e3d1p-18, 0x1.413a8d9c766b6p-18, 0x1.3b59048b9b1f4p-18, 0x1.3572518bf1a91p-18, 0x1.2f86ba1aa01b8p-18, 0x1.2996857faad7fp-18, 0x1.23a2001adbd63p-18, 0x1.1da9811216652p-18, 0x1.17ad4a2d10463p-18, 0x1.11acd1f60a7efp-18, 0x1.0ba98dfb233eap-18, 0x1.05a32b2a0e81ap-18, 0x1.ff355598b903fp-19, 0x1.f31f4ee0f391dp-19, 0x1.e705255867be4p-19, 0x1.dae59fe621516p-19, 0x1.cec4e0c15a644p-19, 0x1.c2a02eca80588p-19, 0x1.b679e3b3ac57cp-19, 0x1.aa514dfd30109p-19, 0x1.9e2673bfa5549p-19, 0x1.91fba5e046277p-19, 0x1.85d1d638da6c9p-19, 0x1.79a7a88d17b53p-19, 0x1.6d7b347a85d7ap-19, 0x1.6152884c316bp-19, 0x1.552a8b2d8963ep-19, 0x1.4904a0c3e6786p-19, 0x1.3ce1a774b631dp-19, 0x1.30c0cbb08ecadp-19, 0x1.24a27c6f7f17ep-19, 0x1.188863ae53722p-19, 0x1.0c71afb9189d2p-19, 0x1.005ef10ab44ecp-19, 0x1.e8a48c83e87c9p-20, 0x1.d09683a77b798p-20, 0x1.b89220c6015c9p-20, 0x1.a09aea2660ceap-20, 0x1.88aea0f8c0ab6p-20, 0x1.70ceb6cfe0401p-20, 0x1.58fd20d8ceb41p-20, 0x1.413aacafef61bp-20, 0x1.2988156a2aec3p-20, 0x1.11e7b75d28cp-20, 0x1.f49d8fe78dcbdp-21, 0x1.c5a9392b7f3e4p-21, 0x1.96cd74e753a6cp-21, 0x1.681c92b6fb287p-21, 0x1.398e8473d841fp-21, 0x1.0b219c513151bp-21, 0x1.b9c83622950efp-22, 0x1.5da1257f2f927p-22, 0x1.01cdf44ccd8b4p-22, 0x1.4c81ef7fbbf0dp-23, 0x1.2cb4d14593a4bp-24, -0x1.ef36354c39f57p-27, -0x1.a760c12de72fp-24, -0x1.87a0e61934cdbp-23, -0x1.1d64b7b99747ap-22, -0x1.768dc0ce2a77ap-22, -0x1.cf58cd0371428p-22, -0x1.13daa2062234p-21, -0x1.3fd3239535726p-21, -0x1.6b95d340b976cp-21, -0x1.9720b0f9d0869p-21, -0x1.c2725b7018aap-21, -0x1.ed89d3d9b9c59p-21, -0x1.0c33019253464p-20, -0x1.2182b6f42a50cp-20, -0x1.36b4c63f4d31fp-20, -0x1.4bcc41546bda2p-20, -0x1.60bfc7b6a2ed6p-20, -0x1.75979f6f381dap-20, -0x1.8a4c519dc2852p-20, -0x1.9ee18f7137db3p-20, -0x1.b359ca8328afap-20, -0x1.c7b0b2ef7bd87p-20, -0x1.dbe5e42d26f44p-20, -0x1.eff9ddd8612cfp-20, -0x1.01f6217092c1ep-19, -0x1.0bde75185d43cp-19, -0x1.15b5b9b2b3088p-19, -0x1.1f7bc4640335dp-19, -0x1.293070974c537p-19, -0x1.32d38d79d0b17p-19, -0x1.3c64fe91db728p-19, -0x1.45e4c1d5a971bp-19, -0x1.4f52c4f029c57p-19, -0x1.58aef7ce6d33fp-19, -0x1.61f901869ebd7p-19, -0x1.6b30fe4753f09p-19, -0x1.7456d96346015p-19, -0x1.7d68c61e7ececp-19, -0x1.866983a9f213p-19, -0x1.8f5850e486cd1p-19, -0x1.98338b0a1502fp-19, -0x1.a0fce3bd62534p-19, -0x1.a9b2e7ae9baaap-19, -0x1.b255ac22dbb2ap-19, -0x1.bae5320f28445p-19, -0x1.c360bdb3e33fp-19, -0x1.cbcc6a580fa53p-19, -0x1.d42312cdad1bdp-19, -0x1.dc66d4ed1d5c2p-19, -0x1.e4983709f42b5p-19, -0x1.ecb54a187d7b3p-19, -0x1.f4be9004d5794p-19, -0x1.fcb49acc1b40ap-19, -0x1.024baece890ebp-18, -0x1.063359ef5b889p-18, -0x1.0a1149687bb05p-18, -0x1.0de5c5d44a0c9p-18, -0x1.11b18d0fe1aeap-18, -0x1.157079036c8e3p-18, -0x1.1927724d838fbp-18, -0x1.1cd45e34fe2c6p-18, -0x1.207752083ceb8p-18, -0x1.2410a0da6ea7p-18, -0x1.27a01ad80f2f9p-18, -0x1.2b25ba2da5787p-18, -0x1.2ea17e9d6286p-18, -0x1.32136a763fep-18, -0x1.357b956e6220dp-18, -0x1.38d96cd965a48p-18, -0x1.3c2e2c3f363bep-18, -0x1.3f788cb721a8p-18, -0x1.42b92ebdcd4c6p-18, -0x1.45f006368db12p-18, -0x1.491d111b35fe9p-18, -0x1.4c40532914f73p-18, -0x1.4f59ddfadc2adp-18, -0x1.526998ff5a55ep-18, -0x1.556f5007e1795p-18, -0x1.5868f020f0d7ap-18, -0x1.5b5e475d936a3p-18, -0x1.5e470117f40a5p-18, -0x1.6125df6b5c992p-18, -0x1.63fb0b339e9afp-18, -0x1.66c686dfd15d1p-18, -0x1.698a7a1a9da1bp-18, -0x1.6c40544c89f96p-18, -0x1.6eef5c96239b5p-18, -0x1.7194644ee145p-18, -0x1.74301c30b8db3p-18, -0x1.76c21c0333af3p-18, -0x1.794aa408e100dp-18, -0x1.7bc90d944246ep-18, -0x1.7e3eee97154a3p-18, -0x1.80abd74762679p-18, -0x1.830e1d1b13d1dp-18, -0x1.8567e3577a4dcp-18, -0x1.87b7beed03656p-18, -0x1.89fe557d83c2ap-18, -0x1.8c3bf7137c49ap-18, -0x1.8e6fe7181b12bp-18, -0x1.909b1e46365cp-18, -0x1.92bcc44fc72cep-18, -0x1.94d59e66a1235p-18, -0x1.96e587715eebap-18, -0x1.98ec1a9c9ad52p-18, -0x1.9ae9b7ecd66aep-18, -0x1.9cde74e8ea1c1p-18, -0x1.9eca39e2f1bf2p-18, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      {{0x1.e0caa659d82e3p-1, 0x1.e098f5c4218fbp-1, 0x1.e047645a9fc9fp-1, 0x1.dfd6d87b69f9dp-1, 0x1.df4775fe5d2c4p-1, 0x1.de985af433732p-1, 0x1.ddc7a2037c0b2p-1, 0x1.dcd293031e915p-1, 0x1.dbb5eb64e1f36p-1, 0x1.da6e2d72784e1p-1, 0x1.d8f7eb2844a02p-1, 0x1.d750062cb139p-1, 0x1.d573e1cdc74b1p-1, 0x1.d3618642a1c14p-1, 0x1.d117b5ec96009p-1, 0x1.ce95f634f0a91p-1, 0x1.cbdc8e144441bp-1, 0x1.c8ec7c71fa115p-1, 0x1.c5c76878a59e3p-1, 0x1.c26f8dc9c1f15p-1, 0x1.bee7a638dc233p-1, 0x1.bb32d26d63523p-1, 0x1.b75482827f437p-1, 0x1.b3505f79be7a5p-1, 0x1.af2a361abb503p-1, 0x1.aae5e3a7cf5fep-1, 0x1.a68744a6cef65p-1, 0x1.a21225dbf23bp-1, 0x1.9d8a377ba2017p-1, 0x1.98f30284f57f3p-1, 0x1.944fe029169fcp-1, 0x1.8fa3f31aa5135p-1, 0x1.8af2229a904afp-1, 0x1.863d17150090cp-1, 0x1.818738202852fp-1, 0x1.7cd2abaf87f6p-1, 0x1.7821565014b5bp-1, 0x1.7374dc443cee2p-1, 0x1.6ecea359d174dp-1, 0x1.6a2fd557225ecp-1, 0x1.659962dffe71dp-1, 0x1.610c06b69de5p-1, 0x1.5c88493fba25fp-1, 0x1.580e84342edcdp-1, 0x1.539ee66d5ab1ep-1, 0x1.4f3977bc2867bp-1, 0x1.4ade1cbd11052p-1, 0x1.468c9a9da239dp-1, 0x1.42449aca152e8p-1, 0x1.3e05ae7b44bfep-1, 0x1.39cf521ee84bbp-1, 0x1.35a0f09565407p-1, 0x1.3179e641b47b6p-1, 0x1.2d5983e8f9a87p-1, 0x1.293f11604b298p-1, 0x1.2529d007f54fdp-1, 0x1.2118fd14359c7p-1, 0x1.1d0bd3a3f2d96p-1, 0x1.19018ea67435dp-1, 0x1.14f96a9177aep-1, 0x1.10f2a6e95e02cp-1, 0x1.0cec879d54376p-1, 0x1.08e656399e5c3p-1, 0x1.04df62f23f9ddp-1, 0x1.00d7058853c04p-1, 0x1.f9993c18ff1a9p-2, 0x1.f17f2b01b46fep-2, 0x1.e95ebcb965a3p-2, 0x1.e136e9e91a019p-2, 0x1.d906bf913bd89p-2, 0x1.d0cd5f780befep-2, 0x1.c88a006dcebf2p-2, 0x1.c03bee6ad5f93p-2, 0x1.b7e28a8b49448p-2, 0x1.af7d4aec5c2f8p-2, 0x1.a70bba6e74c87p-2, 0x1.9e8d785f7e8ebp-2, 0x1.9602381076d51p-2, 0x1.8d69c05909949p-2, 0x1.84c3eb0bd88d6p-2, 0x1.7c10a45dda973p-2, 0x1.734fea430533fp-2, 0x1.6a81cbc2475cap-2, 0x1.61a66842ae52bp-2, 0x1.58bdeed35878fp-2, 0x1.4fc89d6fbe124p-2, 0x1.46c6c041a13a7p-2, 0x1.3db8b0e1d9d72p-2, 0x1.349ed59914572p-2, 0x1.2b79a0a169b4fp-2, 0x1.22498f69a9904p-2, 0x1.190f29db0c008p-2, 0x1.0fcb01a1eb392p-2, 0x1.067db17a064b1p-2, 0x1.fa4fb8fd8befap-3, 0x1.e7945affb46fcp-3, 0x1.d4caacb50c745p-3, 0x1.c1f41eafa56a4p-3, 0x1.af122d1fb07b9p-3, 0x1.9c265ea48a873p-3, 0x1.8932432872674p-3, 0x1.763772c700655p-3, 0x1.63378cbe6dcf6p-3, 0x1.5034366bb1f5ap-3, 0x1.3d2f1a514f9f6p-3, 0x1.2a29e728d133ep-3, 0x1.17264efebb4dp-3, 0x1.04260658ce1d3p-3, 0x1.e25586ccc8cf9p-4, 0x1.bc6c7a7574c54p-4, 0x1.96945621a07e6p-4, 0x1.70d0873169c9cp-4, 0x1.4b24789be52b1p-4, 0x1.259391ad9ebfp-4, 0x1.002134d8473cdp-4, 0x1.b5a17d25ecf96p-5, 0x1.6b4b0894dec83p-5, 0x1.2145a6c1ba1aap-5, 0x1.af2fc0f1d9169p-6, 0x1.1c905591f7f3ap-6, 0x1.157395609a16dp-7, -0x1.91d395b03d487p-12, -0x1.2ccd2a06add2bp-7, -0x1.2597dc6d68d18p-6, -0x1.b3cf2dd0f653ep-6, -0x1.208065766e04ep-5, -0x1.6690981b1bfaap-5, -0x1.ac128b711bea4p-5, -0x1.f100bb63d8a3fp-5, -0x1.1aaae206a8be8p-4, -0x1.3c863140ab12ap-4, -0x1.5e0fbac39544bp-4, -0x1.7f44ff212751dp-4, -0x1.a02390657ac84p-4, -0x1.c0a9125b838c8p-4, -0x1.e0d33aca18e08p-4, -0x1.004fe8d4e7503p-3, -0x1.100658aa0167p-3, -0x1.1f8be355ad70fp-3, -0x1.2edf889eebe13p-3, -0x1.3e0051b083eb5p-3, -0x1.4ced512421edap-3, -0x1.5ba5a30ac27c1p-3, -0x1.6a286cf261401p-3, -0x1.7874dde925bacp-3, -0x1.868a2e7e16b5ap-3, -0x1.9467a0bf740c7p-3, -0x1.a20c8036d83cp-3, -0x1.af7821e32299p-3, -0x1.bca9e4305c5p-3, -0x1.c9a12eed9ad4p-3, -0x1.d65d734100456p-3, -0x1.e2de2b99e8c76p-3, -0x1.ef22dba154977p-3, -0x1.fb2b1028b67c8p-3, -0x1.037b2f8b8c3dcp-2, -0x1.094233aa64ea6p-2, -0x1.0eea685ac9631p-2, -0x1.1473a5f0c2e91p-2, -0x1.19ddc91e3ebf5p-2, -0x1.1f28b2e62eb5ap-2, -0x1.2454488f0e73cp-2, -0x1.29607394d7a1ap-2, -0x1.2e4d219a6cd77p-2, -0x1.331a445a809cdp-2, -0x1.37c7d19800d22p-2, -0x1.3c55c30e0fc0cp-2, -0x1.40c4165f8ad15p-2, -0x1.4512cd06300fep-2, -0x1.4941ec415cc68p-2, -0x1.4d517d047420dp-2, -0x1.51418be4f2408p-2, -0x1.5512290830978p-2, -0x1.58c36810e0cffp-2, -0x1.5c55600c470d5p-2, -0x1.5fc82b5f35494p-2, -0x1.631be7b2cfb6dp-2, -0x1.6650b5e120c43p-2, -0x1.6966b9e17f5ffp-2, -0x1.6c5e1ab4cda88p-2, -0x1.6f370251969f8p-2, -0x1.71f19d900ca39p-2, -0x1.748e1c15efb96p-2, -0x1.770cb04261cc6p-2, -0x1.796d8f19aa399p-2, -0x1.7bb0f030ef3c3p-2, -0x1.7dd70d99e8516p-2, -0x1.7fe023ce910c4p-2, -0x1.81cc719cd9b6ep-2, -0x1.839c38126362dp-2, -0x1.854fba6841b16p-2, -0x1.86e73deecf147p-2, -0x1.886309f98f223p-2, -0x1.89c367cb26056p-2, -0x1.8b08a2816eb6bp-2, -0x1.8c330701a3aecp-2, -0x1.8d42e3e4b241fp-2, -0x1.8e388963a5bb5p-2, -0x1.8f1449444349ap-2, -0x1.8fd676c5c444ap-2, -0x1.907f668dc4585p-2, -0x1.910f6e9557b5ap-2, -0x1.9186e61654b86p-2, -0x1.91e62578d486ap-2, -0x1.922d8640e16ddp-2, -0x1.925d62fc65053p-2, -0x1.927617314c68bp-2, -0x1.9277ff4bea06fp-2, -0x1.9263788d94909p-2, -0x1.9238e0fb868e9p-2, -0x1.91f8974e01b3fp-2, -0x1.91a2fadfb427p-2, -0x1.91386b9d60a51p-2, -0x1.90b949f5d2bbdp-2, -0x1.9025f6ca164d1p-2, -0x1.8f7ed35df7335p-2, -0x1.8ec44148d1d2dp-2, -0x1.8df6a266a6f4cp-2, -0x1.8d1658c981e15p-2, -0x1.8c23c6ab29adep-2, -0x1.8b1f4e5f2063fp-2, -0x1.8a095244f000fp-2, -0x1.88e234bac8d29p-2, -0x1.87aa58106e8ccp-2, -0x1.86621e7a748a7p-2, -0x1.8509ea05cd2d2p-2, -0x1.83a21c8ba9486p-2, -0x1.822b17a5a727ap-2, -0x1.80a53ca255951p-2, -0x1.7f10ec7a075c5p-2, -0x1.7d6e87c3f4a59p-2, -0x1.7bbe6eabb4b72p-2, -0x1.7a0100e7019aap-2, -0x1.78369dabd1848p-2, -0x1.765fa3a6bef5dp-2, -0x1.747c70f1c38c5p-2, -0x1.728d630b3e78cp-2, -0x1.7092d6cd4da34p-2, -0x1.6e8d2865782dap-2, -0x1.6c7cb34c9f538p-2, -0x1.6a61d23f46d02p-2, -0x1.683cdf362483ep-2, -0x1.660e335efed2fp-2, -0x1.63d62715d4e78p-2, -0x1.619511de56ff4p-2, -0x1.5f4b4a5da273cp-2, -0x1.5cf926544b9acp-2, -0x1.5a9efa98af57cp-2, -0x1.583d1b118a298p-2, -0x1.55d3dab0d98c2p-2, -0x1.53638b6efe726p-2, -0x1.50ec7e462a82cp-2, -0x1.4e6f032e0a06ap-2, -0x1.4beb6917b6db1p-2, -0x1.4961fde9e812cp-2, -0x1.46d30e7d64723p-2, -0x1.443ee699b35f5p-2, -0x1.41a5d0f20bd44p-2, -0x1.3f0817228003ap-2, -0x1.3c6601ad67e17p-2, -0x1.39bfd7f8ff90fp-2, -0x1.3715e04d475b4p-2, -0x1.34685fd21557cp-2, -0x1.31b79a8d62751p-2, -0x1.2f03d361c9a46p-2, -0x1.2c4d4c0d3e6fep-2, -0x1.29944527f4d2cp-2, -0x1.26d8fe237dd81p-2, -0x1.241bb54a0fc48p-2, -0x1.215ca7be05391p-2, -0x1.1e9c117984ccdp-2, -0x1.1bda2d4e5825dp-2, -0x1.191734e5edbbap-2, -0x1.165360c187e64p-2, -0x1.138ee83a92a17p-2, -0x1.10ca018321553p-2, -0x1.0e04e1a695f6p-2, -0x1.0b3fbc8a6d16dp-2, -0x1.087ac4ef2b674p-2, -0x1.05b62c71748a2p-2, -0x1.02f2238b3e816p-2, -0x1.002ed9952a0c6p-2, -0x1.fad8f98ff0196p-3, -0x1.f556747c3eed3p-3, -0x1.efd67beb0253bp-3, -0x1.ea5965a26b7a7p-3, -0x1.e4df8536f0a19p-3, -0x1.df692c0f5b0c5p-3, -0x1.d9f6a968fe49p-3, -0x1.d4884a5c26e31p-3, -0x1.cf1e59e0b5102p-3, -0x1.c9b920d2e51adp-3, -0x1.c458e5f83afc4p-3, -0x1.befdee049f37fp-3, -0x1.b9a87b9f9c435p-3, -0x1.b458cf69bffd7p-3, -0x1.af0f280222f9cp-3, -0x1.a9cbc20c06a94p-3, -0x1.a48ed834a3038p-3, -0x1.9f58a338fc1a2p-3, -0x1.9a2959ebe2c69p-3, -0x1.9501313c06eebp-3, -0x1.8fe05c3a226b2p-3, -0x1.8ac70c1f39eacp-3, -0x1.85b57052f2f2bp-3, -0x1.80abb671f8d2p-3, -0x1.7baa0a547a36dp-3, -0x1.76b09614ab297p-3, -0x1.71bf82155fa7dp-3, -0x1.6cd6f508aaa7bp-3, -0x1.67f713f68ebp-3, -0x1.63200243b2d7fp-3, -0x1.5e51e1b824175p-3, -0x1.598cd2861bdcdp-3, -0x1.54d0f350cccddp-3, -0x1.501e613334cc2p-3, -0x1.4b7537c6f0bf1p-3, -0x1.46d5912b1683ep-3, -0x1.423f860b0c3b9p-3, -0x1.3db32da55dd58p-3, -0x1.39309dd29a852p-3, -0x1.34b7eb0c2424dp-3, -0x1.304928730a07cp-3, -0x1.2be467d6cf90fp-3, -0x1.2789b9bc3c773p-3, -0x1.23392d641e14bp-3, -0x1.1ef2d0d206f4cp-3, -0x1.1ab6b0d30676bp-3, -0x1.1684d904542p-3, -0x1.125d53d9f84b1p-3, -0x1.0e402aa567a4cp-3, -0x1.0a2d659c13398p-3, -0x1.06250bddf41ddp-3, -0x1.0227237bff55ep-3, -0x1.fc6762fd353d8p-4, -0x1.f49573d7f9f95p-4, -0x1.ecd87f9d042e5p-4, -0x1.e5308a75e7d1p-4, -0x1.dd9d96ad8063dp-4, -0x1.d61fa4bc4a48p-4, -0x1.ceb6b35493982p-4, -0x1.c762bf6e90dcfp-4, -0x1.c023c4545ae37p-4, -0x1.b8f9bbadb2853p-4, -0x1.b1e49d8bbf297p-4, -0x1.aae460749f892p-4, -0x1.a3f8f96eccb51p-4, -0x1.9d225c0c69c28p-4, -0x1.96607a7666c8bp-4, -0x1.8fb3457781bd1p-4, -0x1.891aac871fe78p-4, -0x1.82969dd406f83p-4, -0x1.7c27064ee724bp-4, -0x1.75cbd1b4c6d59p-4, -0x1.6f84ea9947466p-4, -0x1.69523a70bd57bp-4, -0x1.6333a99a278bap-4, -0x1.5d291f68f9431p-4, -0x1.5732822ec3d9ap-4, -0x1.514fb744b25e4p-4, -0x1.4b80a314dec55p-4, -0x1.45c5292385807p-4, -0x1.401d2c1803c8dp-4, -0x1.3a888dc5bd1aep-4, -0x1.35072f34cf435p-4, -0x1.2f98f0aaa0f39p-4, -0x1.2a3db1b249a1cp-4, -0x1.24f55124cd9b2p-4, -0x1.1fbfad31368d5p-4, -0x1.1a9ca36485b56p-4, -0x1.158c10b17824bp-4, -0x1.108dd17828e4bp-4, -0x1.0ba1c18d88b53p-4, -0x1.06c7bc42b5991p-4, -0x1.01ff9c6c1dc8ap-4, -0x1.fa9278d11b6b4p-5, -0x1.f148ec5010194p-5, -0x1.e8224664ff423p-5, -0x1.df1e395cddbe1p-5, -0x1.d63c76ce7bf3cp-5, -0x1.cd7cafa71f8d7p-5, -0x1.c4de9436c3ce1p-5, -0x1.bc61d43c17c1bp-5, -0x1.b4061ef0360f6p-5, -0x1.abcb23120c925p-5, -0x1.a3b08ef1849eap-5, -0x1.9bb6107a59fecp-5, -0x1.93db553ec163bp-5, -0x1.8c200a81ae6dp-5, -0x1.8483dd40ee0fdp-5, -0x1.7d067a3eebd91p-5, -0x1.75a78e0c3d211p-5, -0x1.6e66c510eb283p-5, -0x1.6743cb9579a5ap-5, -0x1.603e4dcbaad6ap-5, -0x1.5955f7d707636p-5, -0x1.528a75d52bdbdp-5, -0x1.4bdb73e5ce13bp-5, -0x1.45489e32940d9p-5, -0x1.3ed1a0f69b069p-5, -0x1.38762885df32fp-5, -0x1.3235e15449c11p-5, -0x1.2c1077fc9f8cbp-5, -0x1.260599472fc94p-5, -0x1.2014f23042485p-5, -0x1.1a3e2fee5ad3fp-5, -0x1.1480fff83cd99p-5, -0x1.0edd100acb31ep-5, -0x1.09520e2ea189ep-5, -0x1.03dfa8bd7f5aep-5, -0x1.fd0b1ccf1a78bp-6, -0x1.f286dc70c0d5cp-6, -0x1.e831ef37b58a9p-6, -0x1.de0bb4c5a6655p-6, -0x1.d4138d8f2bd87p-6, -0x1.ca48dae469261p-6, -0x1.c0aafef949541p-6, -0x1.b7395ced7d7e5p-6, -0x1.adf358d40bfaep-6, -0x1.a4d857ba94e6bp-6, -0x1.9be7bfb053d88p-6, -0x1.9320f7ccb0fcdp-6, -0x1.8a836835a3c09p-6, -0x1.820e7a25aebe7p-6, -0x1.79c197f1ab1e5p-6, -0x1.719c2d0e24122p-6, -0x1.699da61499b12p-6, -0x1.61c570c851d48p-6, -0x1.5a12fc1aff6edp-6, -0x1.5285b8311b13fp-6, -0x1.4b1d166606059p-6, -0x1.43d8894fd05cep-6, -0x1.3cb784c2e8afdp-6, -0x1.35b97dd56f87p-6, -0x1.2eddeae25a466p-6, -0x1.2824438c5f321p-6, -0x1.218c00c0a16a5p-6, -0x1.1b149cb93363p-6, -0x1.14bd92ff4922ap-6, -0x1.0e86606d5d22cp-6, -0x1.086e8330f6e4dp-6, -0x1.02757acc6645p-6, -0x1.f935903073adbp-7, -0x1.edbbda890c382p-7, -0x1.e27cdbb41a223p-7, -0x1.d7779d7645bfep-7, -0x1.ccab2c4904c72p-7, -0x1.c216975bd9c94p-7, -0x1.b7b8f0952b871p-7, -0x1.ad914c92e290ep-7, -0x1.a39ec2aae0e77p-7, -0x1.99e06ceacc809p-7, -0x1.90556818083dcp-7, -0x1.86fcd3af1a852p-7, -0x1.7dd5d1e2db8e1p-7, -0x1.74df879b8788ep-7, -0x1.6c191c7561975p-7, -0x1.6381babf40406p-7, -0x1.5b188f78dd602p-7, -0x1.52dcca50c3931p-7, -0x1.4acd9da2457b6p-7, -0x1.42ea3e73137edp-7, -0x1.3b31e470a552cp-7, -0x1.33a3c9ed84929p-7, -0x1.2c3f2bde66c7dp-7, -0x1.250349d6fcb6dp-7, -0x1.1def6606be274p-7, -0x1.1702c5358349dp-7, -0x1.103caebfd416ep-7, -0x1.099c6c934b193p-7, -0x1.03214b2aa3c78p-7, -0x1.f995331371148p-8, -0x1.ed2f5272e5ee8p-8, -0x1.e10f9c86f60e8p-8, -0x1.d534be5b7dc83p-8, -0x1.c99d69ec88ebp-8, -0x1.be48561c5aa02p-8, -0x1.b3343eaaaa576p-8, -0x1.a85fe42acf1c8p-8, -0x1.9dca0bf9e39a8p-8, -0x1.937180352192ap-8, -0x1.89550faf8df74p-8, -0x1.7f738de7f2ff4p-8, -0x1.75cbd2fe4c5b6p-8, -0x1.6c5cbba9533b2p-8, -0x1.6325292c0a513p-8, -0x1.5a24014ad597cp-8, -0x1.51582e4077a04p-8, -0x1.48c09eb3899b4p-8, -0x1.405c45ab0b71bp-8, -0x1.382a1a838e657p-8, -0x1.302918e3b9575p-8, -0x1.285840b15d2bcp-8, -0x1.20b69605bdac9p-8, -0x1.1943212287cefp-8, -0x1.11fcee662aa15p-8, -0x1.0ae30e4076defp-8, -0x1.03f49527120b6p-8, -0x1.fa613713f330dp-9, -0x1.ed2c7b8fdbaeep-9, -0x1.e04938458e7cdp-9, -0x1.d3b5b5682fe88p-9, -0x1.c77042c29f173p-9, -0x1.bb7737a0dc95cp-9, -0x1.afc8f2b809bf9p-9, -0x1.a463da100318fp-9, -0x1.99465aec0b698p-9, -0x1.8e6ee9b33a092p-9, -0x1.83dc01d9f0a38p-9, -0x1.798c25caa277bp-9, -0x1.6f7ddecee1f62p-9, -0x1.65afbcf86dceap-9, -0x1.5c20570a7b5abp-9, -0x1.52ce4a62c16bp-9, -0x1.49b83ae34ede7p-9, -0x1.40dcd2db4e816p-9, -0x1.383ac2f1116efp-9, -0x1.2fd0c20bc4719p-9, -0x1.279d8d3c8e84bp-9, -0x1.1f9fe7a95b2d3p-9, -0x1.17d69a762694ep-9, -0x1.104074af7ac31p-9, -0x1.08dc4b34a9489p-9, -0x1.01a8f8a1ff497p-9, -0x1.f54aba7736316p-10, -0x1.e7a0bdb00fafp-10, -0x1.da51d195e4d3ep-10, -0x1.cd5bd7a0e4f3cp-10, -0x1.c0bcbbeffe115p-10, -0x1.b472751f79061p-10, -0x1.a87b04200521p-10, -0x1.9cd4740e80ec6p-10, -0x1.917cda0b21f1bp-10, -0x1.8672551168484p-10, -0x1.7bb30dd0e26ep-10, -0x1.713d368565837p-10, -0x1.670f0ad10002ep-10, -0x1.5d26cf93dfcb6p-10, -0x1.5382d2c8331d1p-10, -0x1.4a216b5a70985p-10, -0x1.4100f904f4ac3p-10, -0x1.381fe42ae65e4p-10, -0x1.2f7c9db317929p-10, -0x1.27159ee3f92bp-10, -0x1.1ee9693fcbf3dp-10, -0x1.16f68660e8147p-10, -0x1.0f3b87d6c7484p-10, -0x1.07b70703331eap-10, -0x1.0067a4f7c077ep-10, -0x1.f29814a8ff012p-11, -0x1.e4c5ce4a76587p-11, -0x1.d755e58324fb9p-11, -0x1.ca45d756c68b2p-11, -0x1.bd932eddaf68ep-11, -0x1.b13b8503a6fdp-11, -0x1.a53c804a91afap-11, -0x1.9993d48a455a9p-11, -0x1.8e3f42b3ea8eep-11, -0x1.833c9894cd497p-11, -0x1.7889b09aae433p-11, -0x1.6e247197f567ap-11, -0x1.640ace8995c46p-11, -0x1.5a3ac65d524bfp-11, -0x1.50b263b870effp-11, -0x1.476fbcc099ec2p-11, -0x1.3e70f2e2f442dp-11, -0x1.35b4329f2d9fcp-11, -0x1.2d37b34ff1619p-11, -0x1.24f9b6f756bf8p-11, -0x1.1cf88a093dfdp-11, -0x1.15328338cfb3fp-11, -0x1.0da60344b3228p-11, -0x1.065174c5b679p-11, -0x1.fe6697f9ce876p-12, -0x1.f0940d46b24c9p-12, -0x1.e328577360f05p-12, -0x1.d62096b330e38p-12, -0x1.c979fd0d4ad11p-12, -0x1.bd31ce020eba5p-12, -0x1.b1455e302b29fp-12, -0x1.a5b212fcbf12ep-12, -0x1.9a75623ab3b96p-12, -0x1.8f8cd1d70bbap-12, -0x1.84f5f781151e8p-12, -0x1.7aae785a597c9p-12, -0x1.70b408a1f63p-12, -0x1.67046b65c0f8p-12, -0x1.5d9d7232b221dp-12, -0x1.547cfcc6105a9p-12, -0x1.4ba0f8c16412fp-12, -0x1.4307615f48e9ep-12, -0x1.3aae3f2888f33p-12, -0x1.3293a7abaef23p-12, -0x1.2ab5bd3515c82p-12, -0x1.2312ae889790bp-12, -0x1.1ba8b69be207p-12, -0x1.14761c5334cf9p-12, -0x1.0d79323d6802ap-12, -0x1.06b05652b794dp-12, -0x1.0019f1b49d6a1p-12, -0x1.f368f0dbaa96p-13, -0x1.e6fcd267a7e4fp-13, -0x1.daec9a5518292p-13, -0x1.cf356f4dabd4cp-13, -0x1.c3d48be9dba89p-13, -0x1.b8c73e3ac1a04p-13, -0x1.ae0ae75935595p-13, -0x1.a39cfaf66f634p-13, -0x1.997afeee6b51cp-13, -0x1.8fa28ada92c41p-13, -0x1.861147aaaacdfp-13, -0x1.7cc4ef3ba4f1fp-13, -0x1.73bb4bf1bcfbdp-13, -0x1.6af238561f2d9p-13, -0x1.62679eb367e37p-13, -0x1.5a1978b736f5p-13, -0x1.5205cf12611a9p-13, -0x1.4a2ab91ea7744p-13, -0x1.42865c8222e5p-13, -0x1.3b16ecd7fbeap-13, -0x1.33daab5914ef1p-13, -0x1.2ccfe685fab2bp-13, -0x1.25f4f9d4f8cfep-13, -0x1.1f484d5e796e4p-13, -0x1.18c8558d2fec7p-13, -0x1.127392cfdf2b2p-13, -0x1.0c48914c2e0fep-13, -0x1.0645e892bcaf6p-13, -0x1.006a3b55d9681p-13, -0x1.f5686e4216eap-14, -0x1.ea452820fdc17p-14, -0x1.df68291c55afap-14, -0x1.d4cf0a173eca9p-14, -0x1.ca7777806027cp-14, -0x1.c05f30d031ebp-14, -0x1.b684080958f59p-14, -0x1.ace3e13a4fd8bp-14, -0x1.a37cb2039f1dfp-14, -0x1.9a4c812136d74p-14, -0x1.915165f42f95ep-14, -0x1.88898811a1a42p-14, -0x1.7ff31ed0c4dc9p-14, -0x1.778c70df1c4c8p-14, -0x1.6f53d3d422d6fp-14, -0x1.6747abc9003e8p-14, -0x1.5f666af197b42p-14, -0x1.57ae913903281p-14, -0x1.501eabde4eeacp-14, -0x1.48b55517ae44bp-14, -0x1.417133b17efp-14, -0x1.3a50fab460d19p-14, -0x1.3353690b99b7ep-14, -0x1.2c77492dd51f2p-14, -0x1.25bb70c839ad8p-14, -0x1.1f1ec06ae4171p-14, -0x1.18a023370561dp-14, -0x1.123e8e8ef25c7p-14, -0x1.0bf901ca79d0bp-14, -0x1.05ce85e90cce8p-14, -0x1.ff7c5a922eb0ap-15, -0x1.f38e26be5191p-15, -0x1.e7d0b8dfb024cp-15, -0x1.dc426a9572f1ep-15, -0x1.d0e1a60d4709ep-15, -0x1.c5ace58387a3ep-15, -0x1.baa2b2bf7dc11p-15, -0x1.afc1a699cdc77p-15, -0x1.a5086882a4fadp-15, -0x1.9a75ae09296b6p-15, -0x1.90083a6a038afp-15, -0x1.85bede1cdb589p-15, -0x1.7b987668ef329p-15, -0x1.7193ecf6c5e91p-15, -0x1.67b0376aac3fdp-15, -0x1.5dec56fdec055p-15, -0x1.5447581bbb0aep-15, -0x1.4ac0520086ad1p-15, -0x1.4156665cb4961p-15, -0x1.3808c0f7f456ap-15, -0x1.2ed6975905aa4p-15, -0x1.25bf286eaed15p-15, -0x1.1cc1bc3c6daep-15, -0x1.13dda3862ed75p-15, -0x1.0b123781a7a02p-15, -0x1.025ed988e8d9p-15, -0x1.f385e5992095ep-16, -0x1.e27be818aed65p-16, -0x1.d19eaa9e16315p-16, -0x1.c0ed2b38200edp-16, -0x1.b066757169558p-16, -0x1.a009a1cb8e70ap-16, -0x1.8fd5d53d7a0e2p-16, -0x1.7fca40bd2b7cdp-16, -0x1.6fe620c007306p-16, -0x1.6028bcc900807p-16, -0x1.509166f693207p-16, -0x1.411f7b963f7bp-16, -0x1.31d260b3e1a4ap-16, -0x1.22a985b5cb65bp-16, -0x1.13a462f766206p-16, -0x1.04c2796420603p-16, -0x1.ec06a437199ebp-17, -0x1.ceccfc2a907fap-17, -0x1.b1d72b8883cbep-17, -0x1.95247187d3ad6p-17, -0x1.78b41b02bad96p-17, -0x1.5c8581d63b25ep-17, -0x1.40980c440312fp-17, -0x1.24eb2c59fe923p-17, -0x1.097e5f5da0678p-17, -0x1.dca25a8001fdap-18, -0x1.a6c6501eb1459p-18, -0x1.7167d6e73694ep-18, -0x1.3c863851a5001p-18, -0x1.0820cf0e317b4p-18, -0x1.a86e0c1ebb89dp-19, -0x1.4190af364a83dp-19, -0x1.b75131b274be2p-20, -0x1.dad3d7135b0a5p-21, -0x1.2b50c36a3bbc5p-23, 0x1.415f166c35436p-21, 0x1.64e4160e9eb39p-20, 0x1.139a3a6a62532p-19, 0x1.73d0b6a9cb53ep-19, 0x1.d315d06d3476dp-19, 0x1.18b4e3c434708p-18, 0x1.47666626e163p-18, 0x1.759f8059c4a4fp-18, 0x1.a3603cbfd0d53p-18, 0x1.d0a89fc23d749p-18, 0x1.fd78a84faec54p-18, 0x1.14e82832b7f1ap-17, 0x1.2ad7c6cbc0683p-17, 0x1.408b28be8e588p-17, 0x1.5602451adb5a2p-17, 0x1.6b3d116b64e1ep-17, 0x1.803b81eddfb89p-17, 0x1.94fd89c0dcaedp-17, 0x1.a9831b1c72625p-17, 0x1.bdcc2781eeae1p-17, 0x1.d1d89fe6b7eb6p-17, 0x1.e5a874ddd5c38p-17, 0x1.f93b96c4bf504p-17, 0x1.0648faf7aab1bp-16, 0x1.0fd5c1629f10ep-16, 0x1.194416f5ecf5cp-16, 0x1.2293f432cf497p-16, 0x1.2bc551da51226p-16, 0x1.34d828fb48de4p-16, 0x1.3dcc730205bd5p-16, 0x1.46a229c766e4cp-16, 0x1.4f59479b5bd66p-16, 0x1.57f1c7521962p-16, 0x1.606ba4514e96bp-16, 0x1.68c6da9a87af8p-16, 0x1.710366d44ee78p-16, 0x1.79214653617abp-16, 0x1.812077259a0aep-16, 0x1.8900f819eabc3p-16, 0x1.90c2c8c8501d4p-16, 0x1.9865e998766efp-16, 0x1.9fea5bc82d337p-16, 0x1.a7502173539a6p-16, 0x1.ae973d976ff52p-16, 0x1.b5bfb41b8db97p-16, 0x1.bcc989d1f22c7p-16, 0x1.c3b4c47e99507p-16, 0x1.ca816adab64a2p-16, 0x1.d12f849846826p-16, 0x1.d7bf1a644f3a7p-16, 0x1.de3035ea1ba6p-16, 0x1.e482e1d5b5963p-16, 0x1.eab729d6155c4p-16, 0x1.f0cd1a9d40c6p-16, 0x1.f6c4c1e32456bp-16, 0x1.fc9e2e65de37bp-16, 0x1.012cb7f520529p-15, 0x1.03fb4b9e74c18p-15, 0x1.06badb189be06p-15, 0x1.096b6fd1465c9p-15, 0x1.0c0d13b916713p-15, 0x1.0e9fd14345d46p-15, 0x1.1123b36629f12p-15, 0x1.1398c59977ab6p-15, 0x1.15ff13d650582p-15, 0x1.1856aa965f1e7p-15, 0x1.1a9f96d255a86p-15, 0x1.1cd9e6019bcadp-15, 0x1.1f05a618c3343p-15, 0x1.2122e589192d4p-15, 0x1.2331b33e2c213p-15, 0x1.25321e9d344bcp-15, 0x1.27243783eb90fp-15, 0x1.29080e4708609p-15, 0x1.2addb3aff6681p-15, 0x1.2ca538fc41699p-15, 0x1.2e5eafdae0666p-15, 0x1.300a2a6b54714p-15, 0x1.31a7bb3b92bb9p-15, 0x1.33377546515b5p-15, 0x1.34b96bf1298d1p-15, 0x1.362db30a9989p-15, 0x1.37945ec7fb891p-15, 0x1.38ed83c423fb5p-15, 0x1.3a3936fcba012p-15, 0x1.3b778dd0b5ed6p-15, 0x1.3ca89dfe056c5p-15, 0x1.3dcc7d9f27068p-15, 0x1.3ee34329bc136p-15, 0x1.3fed056c3cbbap-15, 0x1.40e9db8bc0e18p-15, 0x1.41d9dd01b64cbp-15, 0x1.42bd2199be78p-15, 0x1.4393c16f978a6p-15, 0x1.445dd4ed2e626p-15, 0x1.451b74c82cc41p-15, 0x1.45ccb9ff7583bp-15, 0x1.4671bdd95d1e1p-15, 0x1.470a99e1654cp-15, 0x1.479767e60eec6p-15, 0x1.481841f681c6ap-15, 0x1.488d4260964d2p-15, 0x1.48f683ae70674p-15, 0x1.495420a43aa8cp-15, 0x1.49a6343e10bb6p-15, 0x1.49ecd9add1a55p-15, 0x1.4a282c58f9fc8p-15, 0x1.4a5847d6a5bb8p-15, 0x1.4a7d47ecee287p-15, 0x1.4a97488f2ce03p-15, 0x1.4aa665dbf6d31p-15, 0x1.4aaabc1a95e98p-15, 0x1.4aa467b93da61p-15, 0x1.4a93854aac6bep-15, 0x1.4a78318481a26p-15, 0x1.4a52893cd7c7p-15, 0x1.4a22a9687574fp-15, 0x1.49e8af18e7017p-15, 0x1.49a4b77a2f9cdp-15, 0x1.4956dfd0c5636p-15, 0x1.48ff4577ee59fp-15, 0x1.489e05dfd331ap-15, 0x1.48333e8b3a232p-15, 0x1.47bf0d0e0fdf2p-15, 0x1.47418f0b282d3p-15, 0x1.46bae232b5913p-15, 0x1.462b24404cedcp-15, 0x1.459272f931911p-15, 0x1.44f0ec2a8f3e9p-15, 0x1.4446ada7b156dp-15, 0x1.4393d54848c46p-15, 0x1.42d880e6d1418p-15, 0x1.4214ce5ebe695p-15, 0x1.4148db8b078a5p-15, 0x1.4074c6444facp-15, 0x1.3f98ac5f74fc4p-15, 0x1.3eb4abac1fdf8p-15, 0x1.3dc8e1f2ccb35p-15, 0x1.3cd56cf3b9fc6p-15, 0x1.3bda6a65617d5p-15, 0x1.3ad7f7f2b3b0ep-15, 0x1.39ce3339df6b6p-15, 0x1.38bd39cac4d11p-15, 0x1.37a52925dcac3p-15, 0x1.36861eba8250cp-15, 0x1.356037e5ee0acp-15, 0x1.343391f1bc9dfp-15, 0x1.33004a12c2cb2p-15, 0x1.31c67d67c2ed7p-15, 0x1.308648f821279p-15, 0x1.2f3fc9b2b62ffp-15, 0x1.2df31c6cc6813p-15, 0x1.2ca05de0a1a14p-15, 0x1.2b47aaacbe6dbp-15, 0x1.29e91f5285fb1p-15, 0x1.2884d83554237p-15, 0x1.271af1995dc77p-15, 0x1.25ab87a29c76ep-15, 0x1.2436b6540ace3p-15, 0x1.22bc998e8382cp-15, 0x1.213d4d0fbc2d5p-15, 0x1.1fb8ec71842d2p-15, 0x1.1e2f9328c92c6p-15, 0x1.1ca15c84e0d24p-15, 0x1.1b0e63ae87278p-15, 0x1.1976c3a710813p-15, 0x1.17da9747a6399p-15, 0x1.1639f94097f3p-15, 0x1.1495041874a61p-15, 0x1.12ebd22b69f15p-15, 0x1.113e7daa9fcebp-15, 0x1.0f8d209b42dc2p-15, 0x1.0dd7d4d6580afp-15, 0x1.0c1eb407b9efap-15, 0x1.0a61d7ad6ce6fp-15, 0x1.08a159176346ap-15, 0x1.06dd5166aa98ep-15, 0x1.0515d98cecca2p-15, 0x1.034b0a4bedbc5p-15, 0x1.017cfc3526094p-15, 0x1.ff578f5231304p-16, 0x1.fbaf09adf7925p-16, 0x1.f800977804dd7p-16, 0x1.f44c684684721p-16, 0x1.f092ab4aba7bap-16, 0x1.ecd38f4f687ddp-16, 0x1.e90f42b8c285cp-16, 0x1.e545f383ce797p-16, 0x1.e177cf4503bb5p-16, 0x1.dda503282c2e4p-16, 0x1.d9cdbbf015aa8p-16, 0x1.d5f225f53764dp-16, 0x1.d2126d2607ae3p-16, 0x1.ce2ebd05c61abp-16, 0x1.ca4740ac6190fp-16, 0x1.c65c22c63c7afp-16, 0x1.c26d8d932b877p-16, 0x1.be7baae718838p-16, 0x1.ba86a428ca581p-16, 0x1.b68ea251edafcp-16, 0x1.b293cdeeadebap-16, 0x1.ae964f1d82b2fp-16, 0x1.aa964d8f2976ap-16, 0x1.a693f08692b53p-16, 0x1.a28f5ed8470e4p-16, 0x1.9e88beea9e06p-16, 0x1.9a8036b54f0d8p-16, 0x1.9675ebc1ab279p-16, 0x1.926a032aefc7p-16, 0x1.8e5ca19d8b74cp-16, 0x1.8a4deb575040ep-16, 0x1.863e0427b32b6p-16, 0x1.822d0f6fade0fp-16, 0x1.7e1b3022147a2p-16, 0x1.7a0888c3457ffp-16, 0x1.75f53b6961679p-16, 0x1.71e169bce919p-16, 0x1.6dcd34f835bf5p-16, 0x1.69b8bde868bbbp-16, 0x1.65a424ecc1976p-16, 0x1.618f89f793bb4p-16, 0x1.5d7b0c8e1d5ccp-16, 0x1.5966cbc8deaedp-16, 0x1.5552e65480774p-16, 0x1.513f7a70d4411p-16, 0x1.4d2ca5f2454b5p-16, 0x1.491a8641aa6bap-16, 0x1.4509385ce1b3p-16, 0x1.40f8d8d72f8b7p-16, 0x1.3ce983d92a8b2p-16, }}, 
      {{0x1.e0d5cbf269505p-1, 0x1.e0c5272eea574p-1, 0x1.e0a9b29a15461p-1, 0x1.e083b177446f3p-1, 0x1.e0534da590601p-1, 0x1.e01885a840a5dp-1, 0x1.dfd325b27d3c6p-1, 0x1.df82c95a8877ep-1, 0x1.df26e3136f5b7p-1, 0x1.debec6dd7a94ep-1, 0x1.de49b633ccdep-1, 0x1.ddc6ebd415566p-1, 0x1.dd35a67b4c667p-1, 0x1.dc9532139fb8ep-1, 0x1.dbe4ef16d1196p-1, 0x1.db24581a20c7ap-1, 0x1.da53059a086ecp-1, 0x1.d970b0308ec52p-1, 0x1.d87d316c0e2a8p-1, 0x1.d7788380a463ep-1, 0x1.d662c00e217abp-1, 0x1.d53c1e30e8b23p-1, 0x1.d404f00ef16cdp-1, 0x1.d2bda00bf7eccp-1, 0x1.d166adc965b9fp-1, 0x1.d000ab103d694p-1, 0x1.ce8c38bd5cbebp-1, 0x1.cd0a03c32379dp-1, 0x1.cb7ac24edd547p-1, 0x1.c9df311c470a4p-1, 0x1.c83810fe33047p-1, 0x1.c68624a084b8ep-1, 0x1.c4ca2e857f964p-1, 0x1.c304ef3ea5f85p-1, 0x1.c13723e000958p-1, 0x1.bf6184aba6acp-1, 0x1.bd84c3f2a1696p-1, 0x1.bba18d27c0e2ep-1, 0x1.b9b88420adf3ep-1, 0x1.b7ca44815237fp-1, 0x1.b5d7614dac781p-1, 0x1.b3e0649e2cf2fp-1, 0x1.b1e5cf72cf494p-1, 0x1.afe819a158ac2p-1, 0x1.ade7b1db4c71fp-1, 0x1.abe4fdc860332p-1, 0x1.a9e05a3278c4bp-1, 0x1.a7da1b406f7efp-1, 0x1.a5d28cbd1e953p-1, 0x1.a3c9f2686f497p-1, 0x1.a1c08850575dcp-1, 0x1.9fb6832ff4715p-1, 0x1.9dac10d31a768p-1, 0x1.9ba1587ce71d5p-1, 0x1.99967b500faf9p-1, 0x1.978b94b7cecb4p-1, 0x1.9580bad077f45p-1, 0x1.9375fecee2482p-1, 0x1.916b6d65f3952p-1, 0x1.8f610f29b4549p-1, 0x1.8d56e8ef75c5bp-1, 0x1.8b4cfc2a9e328p-1, 0x1.89434745d293dp-1, 0x1.8739c5f83b647p-1, 0x1.85307196badafp-1, 0x1.83274160f8642p-1, 0x1.811e2aca29d76p-1, 0x1.7f1521bd9c269p-1, 0x1.7d0c18def9ffbp-1, 0x1.7b0301c65bcf4p-1, 0x1.78f9cd383679p-1, 0x1.76f06b593e528p-1, 0x1.74e6cbde5b2f8p-1, 0x1.72dcde38d0e68p-1, 0x1.70d291beba36bp-1, 0x1.6ec7d5d003cb8p-1, 0x1.6cbc99f807ea9p-1, 0x1.6ab0ce0bf5ac9p-1, 0x1.68a4624630d64p-1, 0x1.6697475ecd0ffp-1, 0x1.64896ea153fabp-1, 0x1.627ac9fffa6dp-1, 0x1.606b4c2471eaap-1, 0x1.5e5ae87e7915bp-1, 0x1.5c49935053c98p-1, 0x1.5a3741b95006ap-1, 0x1.5823e9be7bc22p-1, 0x1.560f8251ab427p-1, 0x1.53fa0356f5a3p-1, 0x1.51e365a8c1e3ep-1, 0x1.4fcba31a86997p-1, 0x1.4db2b67a55bf8p-1, 0x1.4b989b91509ccp-1, 0x1.497d4f231e1a2p-1, 0x1.4760ceec78aa5p-1, 0x1.454319a0edb42p-1, 0x1.43242ee7dfdf9p-1, 0x1.41040f58e20a2p-1, 0x1.3ee2bc777eacfp-1, 0x1.3cc038ae7806p-1, 0x1.3a9c874a95af6p-1, 0x1.3877ac750c2d9p-1, 0x1.3651ad2d8c88p-1, 0x1.342a8f4407225p-1, 0x1.3202595230223p-1, 0x1.2fd912b4ce2dp-1, 0x1.2daec384dcb9cp-1, 0x1.2b8374908e104p-1, 0x1.29572f542fcfap-1, 0x1.2729fdf300825p-1, 0x1.24fbeb2ff5cbcp-1, 0x1.22cd02667f12bp-1, 0x1.209d4f8347116p-1, 0x1.1e6cdefcfa03fp-1, 0x1.1c3bbdcd162cdp-1, 0x1.1a09f968c9528p-1, 0x1.17d79fb9df647p-1, 0x1.15a4bf17c55adp-1, 0x1.13716640a446fp-1, 0x1.113da45294cc7p-1, 0x1.0f0988c4f04a1p-1, 0x1.0cd52361be60dp-1, 0x1.0aa0843f43e7ap-1, 0x1.086bbbb9b189ep-1, 0x1.0636da6cf594bp-1, 0x1.0401f12eb0832p-1, 0x1.01cd11084f5d3p-1, 0x1.ff30966290583p-2, 0x1.fac76212fe3b7p-2, 0x1.f65ea8279dadbp-2, 0x1.f1f68be171259p-2, 0x1.ed8f30b2742c5p-2, 0x1.e928ba339195dp-2, 0x1.e4c34c1aeb879p-2, 0x1.e05f0a3269dd2p-2, 0x1.dbfc184e99ea5p-2, 0x1.d79a9a45d57cap-2, 0x1.d33ab3e7b825ep-2, 0x1.cedc88f4dd18p-2, 0x1.ca803d16e754dp-2, 0x1.c625f3d8d1fe6p-2, 0x1.c1cdd09f88c8p-2, 0x1.bd77f6a2c5e4ep-2, 0x1.b92488e639d92p-2, 0x1.b4d3aa32f14eep-2, 0x1.b0857d1105af2p-2, 0x1.ac3a23c18a6bfp-2, 0x1.a7f1c038c0a95p-2, 0x1.a3ac74188564bp-2, 0x1.9f6a60ab03c75p-2, 0x1.9b2ba6dda1f76p-2, 0x1.96f0673c2d3e9p-2, 0x1.92b8c1ec3cb8ep-2, 0x1.8e84d6a8d5fcap-2, 0x1.8a54c4be40d17p-2, 0x1.8628ab061bfe4p-2, 0x1.8200a7e3a126cp-2, 0x1.7ddcd94023278p-2, 0x1.79bd5c87bdb34p-2, 0x1.75a24ea638667p-2, 0x1.718bcc041bfd2p-2, 0x1.6d79f083f7799p-2, 0x1.696cd77fd459bp-2, 0x1.65649bc6db2dep-2, 0x1.6161579b2186dp-2, 0x1.5d6324afa6f29p-2, 0x1.596a1c267ae0cp-2, 0x1.5576568f0e10bp-2, 0x1.5187ebe4a9d2dp-2, 0x1.4d9ef38d11f2cp-2, 0x1.49bb84574a41cp-2, 0x1.45ddb47a83452p-2, 0x1.420599952a84fp-2, 0x1.3e3348ac1e79fp-2, 0x1.3a66d62a05ab5p-2, 0x1.36a055dec2d2ep-2, 0x1.32dfdaff0f44fp-2, 0x1.2f25782431ee2p-2, 0x1.2b713f4bd2e81p-2, 0x1.27c341d7ef994p-2, 0x1.241b908ee8c81p-2, 0x1.207a3b9bae959p-2, 0x1.1cdf528e04a95p-2, 0x1.194ae45ae1a1p-2, 0x1.15bcff5ce8738p-2, 0x1.1235b154f67f6p-2, 0x1.0eb5076acbfcep-2, 0x1.0b3b0e2dc8ab1p-2, 0x1.07c7d195bfcc1p-2, 0x1.045b5d03de29dp-2, 0x1.00f5bb43a7da6p-2, 0x1.fb2ded1809f0ap-3, 0x1.f47e3100c7d0cp-3, 0x1.eddc5463d5256p-3, 0x1.e7486841750b7p-3, 0x1.e0c27c7a8739p-3, 0x1.da4a9fd34f97fp-3, 0x1.d3e0dff65843ep-3, 0x1.cd8549776c295p-3, 0x1.c737e7d6b6963p-3, 0x1.c0f8c583ef1afp-3, 0x1.bac7ebe1a7b9cp-3, 0x1.b4a56348ad8e6p-3, 0x1.ae91330b7a2cap-3, 0x1.a88b6179c2058p-3, 0x1.a293f3e40ffe2p-3, 0x1.9caaee9f729ebp-3, 0x1.96d055093bb94p-3, 0x1.9104298acf05ap-3, 0x1.8b466d9d7d0d2p-3, 0x1.859721ce6eccep-3, 0x1.7ff645c29943p-3, 0x1.7a63d83abfef5p-3, 0x1.74dfd7177c9bdp-3, 0x1.6f6a3f5d57db1p-3, 0x1.6a030d38dee3p-3, 0x1.64aa3c02cbe12p-3, 0x1.5f5fc6442baa4p-3, 0x1.5a23a5ba8df97p-3, 0x1.54f5d35c35addp-3, 0x1.4fd6475c52b67p-3, 0x1.4ac4f92f3b1c5p-3, 0x1.45c1df8ea24a1p-3, 0x1.40ccf07ddae23p-3, 0x1.3be6214e0e06dp-3, 0x1.370d66a27e10dp-3, 0x1.3242b474beb8ep-3, 0x1.2d85fe18efe3fp-3, 0x1.28d73641f4eb5p-3, 0x1.24364f05abe44p-3, 0x1.1fa339e11a59bp-3, 0x1.1b1de7bca10f6p-3, 0x1.16a648f01d4c6p-3, 0x1.123c4d4712f0ep-3, 0x1.0ddfe404c3329p-3, 0x1.0990fbe848ap-3, 0x1.054f8330a6d31p-3, 0x1.011b67a0d077p-3, 0x1.f9e92d0757172p-4, 0x1.f1b5f96012b02p-4, 0x1.e99d0d192ce74p-4, 0x1.e19e40278787dp-4, 0x1.d9b969af4656fp-4, 0x1.d1ee600b7de1fp-4, 0x1.ca3cf8d5bf1d9p-4, 0x1.c2a508eda143p-4, 0x1.bb26648024f8ap-4, 0x1.b3c0df0f1233fp-4, 0x1.ac744b782be2fp-4, 0x1.a5407bfc63955p-4, 0x1.9e254246e12a8p-4, 0x1.97226f73f9f6cp-4, 0x1.9037d4181d2cep-4, 0x1.896540468e243p-4, 0x1.82aa8398184a4p-4, 0x1.7c076d31a3f01p-4, 0x1.757bcbcab21dp-4, 0x1.6f076db3bd1cdp-4, 0x1.68aa20dc7fe55p-4, 0x1.6263b2da23195p-4, 0x1.5c33f0ed4ef3p-4, 0x1.561aa80825158p-4, 0x1.5017a4d4183c8p-4, 0x1.4a2ab3b7b1fb1p-4, 0x1.4453a0dc3793bp-4, 0x1.3e923833357c4p-4, 0x1.38e6457bec9f3p-4, 0x1.334f9448aa802p-4, 0x1.2dcdf003ff134p-4, 0x1.286123f5dbb51p-4, 0x1.2308fb4895a36p-4, 0x1.1dc5410dcb6e2p-4, 0x1.1895c04331c88p-4, 0x1.137a43d74351cp-4, 0x1.0e7296add5fbfp-4, 0x1.097e83a4944bap-4, 0x1.049dd5975d9dbp-4, 0x1.ffa0aec9137e8p-5, 0x1.f62ba7e226bc4p-5, 0x1.ecdc2c594bf23p-5, 0x1.e3b1d22b27c6fp-5, 0x1.daac2f795eddp-5, 0x1.d1cada921c857p-5, 0x1.c90d69f758007p-5, 0x1.c0737465f95f8p-5, 0x1.b7fc90dcb6fb4p-5, 0x1.afa856a2d17c1p-5, 0x1.a7765d4e96e3p-5, 0x1.9f663ccbb3431p-5, 0x1.97778d6150ebap-5, 0x1.8fa9e7b80f692p-5, 0x1.87fce4dfc12bbp-5, 0x1.80701e54fe9b2p-5, 0x1.79032e068842ep-5, 0x1.71b5ae5a82fe9p-5, 0x1.6a873a3379098p-5, 0x1.63776cf538ee8p-5, 0x1.5c85e2898989cp-5, 0x1.55b23764a3fd7p-5, 0x1.4efc088995055p-5, 0x1.4862f38e681afp-5, 0x1.41e696a02c403p-5, 0x1.3b869086d215cp-5, 0x1.354280a8dc8eap-5, 0x1.2f1a070eebfdbp-5, 0x1.290cc467264dfp-5, 0x1.231a5a0870159p-5, 0x1.1d4269f58bf97p-5, 0x1.178496e00495ap-5, 0x1.11e0842b030c4p-5, 0x1.0c55d5edf5602p-5, 0x1.06e430f717f5ep-5, 0x1.018b3acddb311p-5, 0x1.f895336a4b11fp-6, 0x1.ee43e95af0d13p-6, 0x1.e421e6eddd6a8p-6, 0x1.da2e7d2644b39p-6, 0x1.d068fe8ddc91ap-6, 0x1.c6d0bf38225cap-6, 0x1.bd6514c56fb48p-6, 0x1.b4255665c9acap-6, 0x1.ab10dcdb77ab5p-6, 0x1.a227027d72e13p-6, 0x1.99672339809bcp-6, 0x1.90d09c963bb3bp-6, 0x1.8862cdb4c8222p-6, 0x1.801d17526ea9p-6, 0x1.77fedbc9f9da5p-6, 0x1.70077f14e0753p-6, 0x1.683666cc4f646p-6, 0x1.608afa29ef7a9p-6, 0x1.5904a208982f5p-6, 0x1.51a2c8e4c73fp-6, 0x1.4a64dadcea8e5p-6, 0x1.434a45b190b83p-6, 0x1.3c5278c56b2ap-6, 0x1.357ce51d1b797p-6, 0x1.2ec8fd5ef1f2fp-6, 0x1.283635d27b9a8p-6, 0x1.21c4045fecfd1p-6, 0x1.1b71e08f6bef3p-6, 0x1.153f43883c721p-6, 0x1.0f2ba80fc35f7p-6, 0x1.09368a8874adbp-6, 0x1.035f68f09d1c6p-6, 0x1.fb4b85c227e77p-7, 0x1.f01233179059fp-7, 0x1.e511df74796d8p-7, 0x1.da499397c74e8p-7, 0x1.cfb85b68c46a4p-7, 0x1.c55d45f37c587p-7, 0x1.bb376564e1491p-7, 0x1.b145cf06c8a23p-7, 0x1.a7879b3bb65bep-7, 0x1.9dfbe57a8f066p-7, 0x1.94a1cc4a14561p-7, 0x1.8b78713c37761p-7, 0x1.827ef8e949948p-7, 0x1.79b48aeb23fcap-7, 0x1.711851d7fd282p-7, 0x1.68a97b3d49131p-7, 0x1.6067379a6c85dp-7, 0x1.5850ba5b44bebp-7, 0x1.506539d2a97a9p-7, 0x1.48a3ef34d16ebp-7, 0x1.410c16918daadp-7, 0x1.399ceece8422cp-7, 0x1.3255b9a13f4b8p-7, 0x1.2b35bb8934fe1p-7, 0x1.243c3bc9be93cp-7, 0x1.1d688463efef7p-7, 0x1.16b9e2106a2a1p-7, 0x1.102fa4390be8p-7, 0x1.09c91cf2bd1ffp-7, 0x1.0385a0f6eb82p-7, 0x1.fac90f3a8003cp-8, 0x1.eeca55aa215f4p-8, 0x1.e30dce3dd4224p-8, 0x1.d792370c04c5cp-8, 0x1.cc5653334d4f9p-8, 0x1.c158eacd3b2d2p-8, 0x1.b698cae1042b8p-8, 0x1.ac14c5564548dp-8, 0x1.a1cbb0e7a4d06p-8, 0x1.97bc69156a9c2p-8, 0x1.8de5ce181a975p-8, 0x1.8446c4d303fe2p-8, 0x1.7ade36c6d957ap-8, 0x1.71ab120431eafp-8, 0x1.68ac491e29e29p-8, 0x1.5fe0d31ccd84ep-8, 0x1.5747ab6fcb137p-8, 0x1.4edfd1e0ee0edp-8, 0x1.46a84a86ca54p-8, 0x1.3ea01db7449b6p-8, 0x1.36c657fa49f8bp-8, 0x1.2f1a09fc70d6ap-8, 0x1.279a4881b38fbp-8, 0x1.20462c5839624p-8, 0x1.191cd24b096f5p-8, 0x1.121d5b150ecadp-8, 0x1.0b46eb53ce034p-8, 0x1.0498ab7a75dc2p-8, 0x1.fc238f89d82f7p-9, 0x1.ef62e055985bap-9, 0x1.e2edb0a518945p-9, 0x1.d6c26f097d726p-9, 0x1.cadf913ebb7cap-9, 0x1.bf43941236b6dp-9, 0x1.b3ecfb49abef8p-9, 0x1.a8da518a3d84fp-9, 0x1.9e0a283f946e6p-9, 0x1.937b17835a37bp-9, 0x1.892bbe04a5799p-9, 0x1.7f1ac0efbe24bp-9, 0x1.7546cbd60db4dp-9, 0x1.6bae909615962p-9, 0x1.6250c743c89e1p-9, 0x1.592c2e11052b5p-9, 0x1.503f8936289acp-9, 0x1.4789a2dafa8e6p-9, 0x1.3f094affb33a2p-9, 0x1.36bd576641ddp-9, 0x1.2ea4a37baed0fp-9, 0x1.26be1041ea3fep-9, 0x1.1f0884397e23ap-9, 0x1.1782eb4bdcc58p-9, 0x1.102c36b57301ap-9, 0x1.09035cf05eebfp-9, 0x1.0207599f026ddp-9, 0x1.f66e5aee357dcp-10, 0x1.e923bc599936dp-10, 0x1.dc2cecbc3b627p-10, 0x1.cf880afd17c55p-10, 0x1.c3333f859fc49p-10, 0x1.b72cbc1a14693p-10, 0x1.ab72bbb1cc1ecp-10, 0x1.a00382508fabdp-10, 0x1.94dd5cdf8c343p-10, 0x1.89fea107bf885p-10, 0x1.7f65ad0be77b9p-10, 0x1.7510e7a37af0dp-10, 0x1.6afebfd5e8b5p-10, 0x1.612dacd62529fp-10, 0x1.579c2ddf017acp-10, 0x1.4e48ca0f70cbep-10, 0x1.45321047bf7d6p-10, 0x1.3c56970729001p-10, 0x1.33b4fc496c8a9p-10, 0x1.2b4be5654f5f2p-10, 0x1.2319feeb82257p-10, 0x1.1b1dfc859968ap-10, 0x1.135698d5f5e63p-10, 0x1.0bc29557b27dfp-10, 0x1.0460ba3f2b981p-10, 0x1.fa5facb620b4ap-11, 0x1.ec5d7deb3e6cbp-11, 0x1.deb89f6d1afbcp-11, 0x1.d16ed50a8b51cp-11, 0x1.c47deed6cceb6p-11, 0x1.b7e3c8f015cb3p-11, 0x1.ab9e4b46434bep-11, 0x1.9fab6962b51dp-11, 0x1.94092230dd4b1p-11, 0x1.88b57fc7c7c0cp-11, 0x1.7dae97343e818p-11, 0x1.72f28843c88b2p-11, 0x1.687f7d50a02f7p-11, 0x1.5e53ab0e12244p-11, 0x1.546d50563a0d9p-11, 0x1.4acab5f7bc8ddp-11, 0x1.416a2e850806p-11, 0x1.384a1623e6a02p-11, 0x1.2f68d25dfc569p-11, 0x1.26c4d1f1c6e97p-11, 0x1.1e5c8ca4fb4e9p-11, 0x1.162e83168694ep-11, 0x1.0e393e9291fe1p-11, 0x1.067b50e64cff9p-11, 0x1.fde6a8693fbfdp-12, 0x1.ef3fd5980452ap-12, 0x1.e0ff7df8a8874p-12, 0x1.d32305dc5d415p-12, 0x1.c5a7e0f41dd0ap-12, 0x1.b88b9201717a3p-12, 0x1.abcbaa8883475p-12, 0x1.9f65ca831be95p-12, 0x1.9357a014b671p-12, 0x1.879ee740cd605p-12, 0x1.7c3969a18328dp-12, 0x1.7124fe1fc2b6bp-12, 0x1.665f88acfab69p-12, 0x1.5be6f9fe0217dp-12, 0x1.51b94f46466bp-12, 0x1.47d491f5a8997p-12, 0x1.3e36d776599cep-12, 0x1.34de40ec4d708p-12, 0x1.2bc8faf62be9dp-12, 0x1.22f53d6ea2d8ep-12, 0x1.1a614b2f6d747p-12, 0x1.120b71d4fba7ep-12, 0x1.09f209841fbd6p-12, 0x1.021374af6183p-12, 0x1.f4dc3fbdc8a02p-13, 0x1.e60102efb466p-13, 0x1.d792330c5e0cap-13, 0x1.c98ce30dfb78ap-13, 0x1.bbee386644135p-13, 0x1.aeb36a97faedcp-13, 0x1.a1d9c2d11769bp-13, 0x1.955e9b86e1c98p-13, 0x1.893f601427adap-13, 0x1.7d798c59999c9p-13, 0x1.720aac5f019dbp-13, 0x1.66f05bf7e1ba1p-13, 0x1.5c284667cfd58p-13, 0x1.51b0260a7cfb6p-13, 0x1.4785c3fcb377ap-13, 0x1.3da6f7c5ed27ep-13, 0x1.3411a705e0e9fp-13, 0x1.2ac3c521a8749p-13, 0x1.21bb52f349c7p-13, 0x1.18f65e7b55d28p-13, 0x1.10730292d6677p-13, 0x1.082f66a06079ep-13, 0x1.0029be4d7eab9p-13, 0x1.f0c0927b04a53p-14, 0x1.e1a2a58dc13dcp-14, 0x1.d2f6635a211aap-14, 0x1.c4b88fb793dfdp-14, 0x1.b6e604484ae42p-14, 0x1.a97baff6bee4dp-14, 0x1.9c769674a255dp-14, 0x1.8fd3cfbbe241dp-14, 0x1.839087948423cp-14, 0x1.77a9fd1a5236p-14, 0x1.6c1d8248d6bfap-14, 0x1.60e87b848f172p-14, 0x1.56085f2c5e4b8p-14, 0x1.4b7ab52821887p-14, 0x1.413d167d9f2e4p-14, 0x1.374d2ce5b2ccfp-14, 0x1.2da8b263b260fp-14, 0x1.244d70dfbb8dfp-14, 0x1.1b3941c33be8ap-14, 0x1.126a0d96f80eap-14, 0x1.09ddcba3c4279p-14, 0x1.019281954b801p-14, 0x1.f30c863cf3cc4p-15, 0x1.e36e63402b40bp-15, 0x1.d446f7a254574p-15, 0x1.c592bad35e368p-15, 0x1.b74e3d9d31c46p-15, 0x1.a97629818c83p-15, 0x1.9c07401738376p-15, 0x1.8efe5a7132eb4p-15, 0x1.8258688340007p-15, 0x1.7612708d325cap-15, 0x1.6a298e88a8676p-15, 0x1.5e9af39a7b3abp-15, 0x1.5363e586b5fb6p-15, 0x1.4881be279e9fdp-15, 0x1.3df1eae967fc4p-15, 0x1.33b1ec46e56a2p-15, 0x1.29bf554bd5803p-15, 0x1.2017cb16c057ep-15, 0x1.16b904606f68ep-15, 0x1.0da0c9047db26p-15, 0x1.04ccf18e14255p-15, 0x1.f876cd8b18909p-16, 0x1.e7d4428613e6ep-16, 0x1.d7ae5203a0ccfp-16, 0x1.c80129ed98353p-16, 0x1.b8c915542317cp-16, 0x1.aa027ba4215b7p-16, 0x1.9ba9dfe1da2e7p-16, 0x1.8dbbdfea3e326p-16, 0x1.803533b76599p-16, 0x1.7312acaa09adp-16, 0x1.665134d78daf1p-16, 0x1.59edce5b4d031p-16, 0x1.4de592ae07e4dp-16, 0x1.4235b201827ddp-16, 0x1.36db729b9044p-16, 0x1.2bd4303b40b15p-16, 0x1.211d5b7da4f2p-16, 0x1.16b4794883d2bp-16, 0x1.0c972238bf143p-16, 0x1.02c3021227856p-16, 0x1.f26bae6af205fp-17, 0x1.dfdae433643a7p-17, 0x1.cdcf698d6a165p-17, 0x1.bc4524a967841p-17, 0x1.ab381cdcab21bp-17, 0x1.9aa479ae2b331p-17, 0x1.8a8681e58027dp-17, 0x1.7ada9aa3f43b6p-17, 0x1.6b9d4680e83f3p-17, 0x1.5ccb24aec5806p-17, 0x1.4e60f02256548p-17, 0x1.405b7ec3845cfp-17, 0x1.32b7c09e6025ap-17, 0x1.2572bf1dd7f9ep-17, 0x1.18899c48d6d12p-17, 0x1.0bf992087b206p-17, 0x1.ff7fe2d84e4c2p-18, 0x1.e7b443f335a7fp-18, 0x1.d08b41ff1a51dp-18, 0x1.ba0001d76d537p-18, 0x1.a40dd1489101ep-18, 0x1.8eb025d4edcdbp-18, 0x1.79e29b76a4f01p-18, 0x1.65a0f37367ee3p-18, 0x1.51e713329329cp-18, 0x1.3eb1031dcdab8p-18, 0x1.2bfaed8b9f7aap-18, 0x1.19c11daaf496ep-18, 0x1.07fffe7ef0fc7p-18, 0x1.ed6833b4c8c3bp-19, 0x1.cbb42ed2e92afp-19, 0x1.aadd7772a8b3ep-19, 0x1.8addce9be25cbp-19, 0x1.6baf2b7cc3362p-19, 0x1.4d4bb99f94b25p-19, 0x1.2fadd73ec8da5p-19, 0x1.12d013a1dad1cp-19, 0x1.ed5a5af8f587dp-20, 0x1.b68022c83b21bp-20, 0x1.8107b09e9db78p-20, 0x1.4ce78c3d36cc8p-20, 0x1.1a169047c56b2p-20, 0x1.d117cf3a42b72p-21, 0x1.707e15243727cp-21, 0x1.124f78b60079fp-21, 0x1.6cf822205d1c1p-22, 0x1.73d204682128p-23, 0x1.6a7cab651df3cp-27, -0x1.3dc7b7bfb31d5p-23, -0x1.44d9ed2ed3faap-22, -0x1.e6a907469bf22p-22, -0x1.42357c19b3496p-21, -0x1.8f1c55dc390dap-21, -0x1.da15198554397p-21, -0x1.1195b32fb4c6bp-20, -0x1.35353b0c81081p-20, -0x1.57ee902d6c3f2p-20, -0x1.79c6ef257c61ap-20, -0x1.9ac36702226abp-20, -0x1.bae8dae1a1fddp-20, -0x1.da3c039388aap-20, -0x1.f8c1712b2a827p-20, -0x1.0b3ec639f226ep-19, -0x1.19ba4c35bffe8p-19, -0x1.27d559d1b2b1ap-19, -0x1.3591eccefa513p-19, -0x1.42f1f212c2562p-19, -0x1.4ff74645df09ap-19, -0x1.5ca3b66f7d7dcp-19, -0x1.68f90092d110cp-19, -0x1.74f8d43ee5f8ep-19, -0x1.80a4d31ba0ef6p-19, -0x1.8bfe9178bd05ep-19, -0x1.970796cb539bbp-19, -0x1.a1c15e3699f1cp-19, -0x1.ac2d5701f9a6fp-19, -0x1.b64ce515c23b9p-19, -0x1.c0216169bcbfbp-19, -0x1.c9ac1a77cb685p-19, -0x1.d2ee54aa997cfp-19, -0x1.dbe94abfb03e2p-19, -0x1.e49e2e2ef474ep-19, -0x1.ed0e278d166dfp-19, -0x1.f53a56ea124ddp-19, -0x1.fd23d425a1ebcp-19, -0x1.0265d7a5813cfp-18, -0x1.06197872300b2p-18, -0x1.09ad4d25dd925p-18, -0x1.0d21d2fb82573p-18, -0x1.107783e25df15p-18, -0x1.13aed6a186393p-18, -0x1.16c83efb22ep-18, -0x1.19c42dcc4f8b7p-18, -0x1.1ca3112f0fb59p-18, -0x1.1f655499001f8p-18, -0x1.220b60f7adddcp-18, -0x1.24959ccf4cb0fp-18, -0x1.27046c54d5ae2p-18, -0x1.29583187d04c3p-18, -0x1.2b914c4dc3b74p-18, -0x1.2db01a87de5ap-18, -0x1.2fb4f82c1a565p-18, -0x1.31a03f5b8fb06p-18, -0x1.33724876a4909p-18, -0x1.352b6a3277b21p-18, -0x1.36cbf9ad12a9p-18, -0x1.38544a7f3dba1p-18, -0x1.39c4aece7fca6p-18, -0x1.3b1d77600203ep-18, -0x1.3c5ef3a7666bep-18, -0x1.3d8971d714e2dp-18, -0x1.3e9d3eefb72c7p-18, -0x1.3f9aa6ce7c875p-18, -0x1.4081f439bd0f7p-18, -0x1.415370f0675d1p-18, -0x1.420f65b3b2c26p-18, -0x1.42b61a54e65eap-18, -0x1.4347d5c0d2c2ep-18, -0x1.43c4de09be68ap-18, -0x1.442d7871e5bb1p-18, -0x1.4481e97576408p-18, -0x1.44c274d3c60eap-18, -0x1.44ef5d980410cp-18, -0x1.4508e6215a34bp-18, -0x1.450f502b8000fp-18, -0x1.4502dcd601b3cp-18, -0x1.44e3ccaaaa4f5p-18, -0x1.44b25fa45bc0fp-18, -0x1.446ed5366b545p-18, -0x1.44196c50e2ec9p-18, -0x1.43b263679fc8dp-18, -0x1.4339f87711fc2p-18, -0x1.42b06908ee0f5p-18, -0x1.4215f238418cep-18, -0x1.416ad0b7eb76fp-18, -0x1.40af40d45fef4p-18, -0x1.3fe37e77f8237p-18, -0x1.3f07c52f73cc5p-18, -0x1.3e1c502c7067ap-18, -0x1.3d215a485123fp-18, -0x1.3c171e07bc649p-18, -0x1.3afdd59cac5e8p-18, -0x1.39d5bae8950a7p-18, -0x1.389f077fb41dbp-18, -0x1.3759f4a99d688p-18, -0x1.3606bb6416a76p-18, -0x1.34a59463edf46p-18, -0x1.3336b8176efc3p-18, -0x1.31ba5ea6c46a3p-18, -0x1.3030bff5e5a55p-18, -0x1.2e9a13a4cc6cap-18, -0x1.2cf6911148a3ap-18, -0x1.2b466f56fee11p-18, -0x1.2989e55006ac4p-18, -0x1.27c1299636d14p-18, -0x1.25ec72831c71bp-18, -0x1.240bf630215a2p-18, -0x1.221fea76c9fa9p-18, -0x1.202884f160521p-18, -0x1.1e25fafa2c3p-18, -0x1.1c1881ac09a98p-18, -0x1.1a004de23afafp-18, -0x1.17dd9437e640ap-18, -0x1.15b0890805e62p-18, -0x1.1379606d5fb6dp-18, -0x1.11384e41e452ap-18, -0x1.0eed861e0647p-18, -0x1.0c993b58662eap-18, -0x1.0a3ba105b064fp-18, -0x1.07d4e9f7ce5ccp-18, -0x1.056548bd2c6e2p-18, -0x1.02ecefa001f1fp-18, -0x1.006c10a6016b1p-18, -0x1.fbc5bb1f35bd5p-19, -0x1.f6a30fad7bd1ap-19, -0x1.f170815e0307p-19, -0x1.ec2e72085fd69p-19, -0x1.e6dd42f2e4f8dp-19, -0x1.e17d54d24b323p-19, -0x1.dc0f07c734564p-19, -0x1.d692bb5c5aa6fp-19, -0x1.d108ce852763dp-19, -0x1.cb719f9cc2678p-19, -0x1.c5cd8c635936fp-19, -0x1.c01cf1fc774e9p-19, -0x1.ba602cedc8811p-19, -0x1.b497991d8604dp-19, -0x1.aec391d0523dcp-19, -0x1.a8e471a7d50f8p-19, -0x1.a2fa92a14d3cep-19, -0x1.9d064e1430c39p-19, -0x1.9707fcaf9e002p-19, -0x1.90fff678c794ap-19, -0x1.8aee92ca0af12p-19, -0x1.84d42850c1bcep-19, -0x1.7eb10d0c76ebcp-19, -0x1.7885964d33845p-19, -0x1.725218b169f96p-19, -0x1.6c16e824d83d4p-19, -0x1.65d457dee25d4p-19, -0x1.5f8aba61e906fp-19, -0x1.593a61791ef9fp-19, -0x1.52e39e375af75p-19, -0x1.4c86c0f661981p-19, -0x1.46241955c19ccp-19, -0x1.3fbbf638ddd49p-19, -0x1.394ea5c5edbe3p-19, -0x1.32dc7564be2b9p-19, -0x1.2c65b1be134fp-19, -0x1.25eaa6bab0d9ep-19, -0x1.1f6b9f821e16cp-19, -0x1.18e8e67943f65p-19, -0x1.1262c54200affp-19, -0x1.0bd984ba5dfe9p-19, -0x1.054d6cfbb57f3p-19, -0x1.fd7d8ab2f07f1p-20, -0x1.f05ba8c21f3acp-20, -0x1.e335bfb2090cep-20, -0x1.d60c5980d8f29p-20, -0x1.c8dffe9cfdbfdp-20, -0x1.bbb135e271c28p-20, -0x1.ae80849b49b88p-20, -0x1.a14e6e7d78f6ap-20, -0x1.941b75ab9fc79p-20, -0x1.86e81ab432acbp-20, -0x1.79b4dc8ff4adap-20, -0x1.6c8238a0fd295p-20, -0x1.5f50aab36dff8p-20, -0x1.5220acfcfdf77p-20, -0x1.44f2b81b1ee61p-20, -0x1.37c743149b947p-20, -0x1.2a9ec359fd346p-20, -0x1.1d79acc48a46bp-20, -0x1.10587196d0f4fp-20, -0x1.033b827b5174ep-20, -0x1.ec469d0cb2ff9p-21, -0x1.d2208669abd1cp-21, -0x1.b80598dc7c712p-21, -0x1.9df6a90b62e3cp-21, -0x1.83f48871b6859p-21, -0x1.6a000560ac7d5p-21, -0x1.5019eb034fp-21, -0x1.3643015fdf435p-21, -0x1.1c7c0d58e0bccp-21, -0x1.02c5d0adc2d77p-21, -0x1.d24213fa91b0cp-22, -0x1.9f1ce998d70ffp-22, -0x1.6c1d930a3ce65p-22, -0x1.39457aefc0e2dp-22, -0x1.069605beed72fp-22, -0x1.a821238820268p-23, -0x1.436cee526e35bp-23, -0x1.be24200af18e1p-24, -0x1.ec4c8277e0ccbp-25, -0x1.772abfed71edap-27, 0x1.2f33381836203p-25, 0x1.5d51b3464b1eap-24, 0x1.111f0ef83a36ap-23, 0x1.732d1209c1798p-23, 0x1.d4d092b12c5bep-23, 0x1.1b03a6450ef86p-22, 0x1.4b67837241fbp-22, 0x1.7b92ca5894552p-22, 0x1.ab846a39966dep-22, 0x1.db3b581513471p-22, 0x1.055b47531b75cp-21, 0x1.1cfa872ccc15ep-21, 0x1.347aeea09c631p-21, 0x1.4bdc038314409p-21, 0x1.631d4e72cba77p-21, 0x1.7a3e5ad39c05fp-21, 0x1.913eb6c8987c4p-21, 0x1.a81df330df702p-21, 0x1.bedba3a009694p-21, 0x1.d5775e5c449c4p-21, 0x1.ebf0bc54505bbp-21, 0x1.0123ac8f2d29cp-20, 0x1.0c3d6978951f8p-20, 0x1.1745654faa1a2p-20, 0x1.223b71c719c89p-20, 0x1.2d1f61db30fbdp-20, 0x1.37f109cdad64ap-20, 0x1.42b03f238ccbfp-20, 0x1.4d5cd8a1bdadp-20, 0x1.57f6ae48e128p-20, 0x1.627d99548f151p-20, 0x1.6cf174380d896p-20, 0x1.77521a9ae0024p-20, 0x1.819f6955fa47p-20, 0x1.8bd93e70f0fccp-20, 0x1.95ff791f259dap-20, 0x1.a011f9bcf396bp-20, 0x1.aa10a1cc7db56p-20, 0x1.b3fb53f26236ep-20, 0x1.bdd1f3f1eb694p-20, 0x1.c79466ac1a18bp-20, 0x1.d142921bb5e86p-20, 0x1.dadc5d523d56p-20, 0x1.e461b0750becfp-20, 0x1.edd274ba10a47p-20, 0x1.f72e94655e249p-20, 0x1.003afd62427abp-19, 0x1.04d44a16616f7p-19, 0x1.096326fc37b7bp-19, 0x1.0de78b4165e2ap-19, 0x1.12616e92eee1cp-19, 0x1.16d0c91b76656p-19, 0x1.1b359381b441ep-19, 0x1.1f8fc6e6eab66p-19, 0x1.23df5ce599cefp-19, 0x1.28244f8f348dfp-19, 0x1.2c5e996b3d38ap-19, 0x1.308e3575dd0d3p-19, 0x1.34b31f1e94c2fp-19, 0x1.38cd5245f6506p-19, 0x1.3cdccb3c9e0dap-19, 0x1.40e186c1a210ap-19, 0x1.44db8200a0b07p-19, 0x1.48caba908dd85p-19, 0x1.4caf2e728214ep-19, 0x1.5088dc102d65cp-19, 0x1.5457c239a77f1p-19, 0x1.581be024a8e8bp-19, 0x1.5bd5356ab2dfp-19, 0x1.5f83c207e2696p-19, 0x1.632786594813cp-19, 0x1.66c0831b4bc32p-19, 0x1.6a4eb96837bd5p-19, 0x1.6dd22ab6c84d4p-19, 0x1.714ad8d8e85dep-19, 0x1.74b8c5fa61fa3p-19, 0x1.781bf49f4a33cp-19, 0x1.7b7467a26a27ep-19, 0x1.7ec2223417d92p-19, 0x1.820527d8054a7p-19, 0x1.853d7c64e4432p-19, 0x1.886b2402886bcp-19, 0x1.8b8e2328b5c87p-19, 0x1.8ea67e9d41ae9p-19, 0x1.91b43b732a749p-19, 0x1.94b75f090d256p-19, 0x1.97afef07e0f45p-19, 0x1.9a9df161ad80bp-19, 0x1.9d816c4fc36e6p-19, 0x1.a05a6651ee9ap-19, 0x1.a328e62c9dfap-19, 0x1.a5ecf2e85aff2p-19, 0x1.a8a693cfdb8e2p-19, 0x1.ab55d06ed1a06p-19, 0x1.adfab090b1abap-19, 0x1.b0953c3faa9d6p-19, 0x1.b3257bc308881p-19, 0x1.b5ab779e1b534p-19, 0x1.b827388eea1d2p-19, 0x1.ba98c78cec608p-19, 0x1.bd002dc7e2ce7p-19, 0x1.bf5d74a6f1e04p-19, 0x1.c1b0a5c6f4f46p-19, 0x1.c3f9caf973fafp-19, 0x1.c638ee43715c7p-19, 0x1.c86e19dc3d0fbp-19, }}, 
      std::vector<double>(950, 0.0), 
      {{0x1.efc5a944abcbp-8, 0x1.efc0398060b81p-7, 0x1.73bd2d8fdf475p-6, 0x1.ef789d29c4148p-6, 0x1.35881fcf4c0d4p-5, 0x1.734c26c5bd31ep-5, 0x1.b11e4d8a8acfdp-5, 0x1.ef1e2ca9a6cabp-5, 0x1.16b8b5955f61ep-4, 0x1.361fd34ec7a79p-4, 0x1.55d74c1bc8853p-4, 0x1.75ef6f22a58ddp-4, 0x1.9674cb5a772bp-4, 0x1.b76f686122577p-4, 0x1.d8e26263233e3p-4, 0x1.facbdaa14f9fdp-4, 0x1.0e9295e8cfb1p-3, 0x1.1ff1a8c58e791p-3, 0x1.317bb99789005p-3, 0x1.4327c258b59dep-3, 0x1.54eb78ec6546p-3, 0x1.66bba565381b9p-3, 0x1.788c756849b1bp-3, 0x1.8a51ca16527bep-3, 0x1.9bff7eb45537bp-3, 0x1.ad89a6fc265a9p-3, 0x1.bee4c48b2154dp-3, 0x1.d005f354f4c9ap-3, 0x1.e0e30d555a688p-3, 0x1.f172c5f9163c9p-3, 0x1.00d65ef074d6p-2, 0x1.08c4c7ddae045p-2, 0x1.10816b7ff1835p-2, 0x1.180998acc4fd5p-2, 0x1.1f5b1dc5d18abp-2, 0x1.26744548eaea5p-2, 0x1.2d53d0d814faap-2, 0x1.33f8f30c3c87cp-2, 0x1.3a63485d391b8p-2, 0x1.4092cf613692cp-2, 0x1.4687e09d6be2dp-2, 0x1.4c432619f559bp-2, 0x1.51c592e332923p-2, 0x1.57105a9c0e485p-2, 0x1.5c24e93e434f3p-2, 0x1.6104db20037a8p-2, 0x1.65b1f551528ebp-2, 0x1.6a2e1e5efb3d6p-2, 0x1.6e7b57852a98cp-2, 0x1.729bb65863e8bp-2, 0x1.76915ee8bf1dcp-2, 0x1.7a5e7e60f639fp-2, 0x1.7e054620d7b1bp-2, 0x1.8187e7511a51cp-2, 0x1.84e88eed463c7p-2, 0x1.8829623f5d5e9p-2, 0x1.8b4c7bc8317e5p-2, 0x1.8e53e88ec3224p-2, 0x1.9141a5d09e85ep-2, 0x1.94179f0cec7a6p-2, 0x1.96d7ac63dc5f5p-2, 0x1.99839143f267fp-2, 0x1.9c1cfb5eeebcfp-2, 0x1.9ea581e01794ep-2, 0x1.a11ea4dddf6e7p-2, 0x1.a389cd012bca9p-2, 0x1.a5e84b5cb2093p-2, 0x1.a83b596f3246cp-2, 0x1.aa84194ba9e9p-2, 0x1.acc395e2d90f8p-2, 0x1.aefac369d35aep-2, 0x1.b12a7fd99a6ap-2, 0x1.b353938416a25p-2, 0x1.b576b1bb06904p-2, 0x1.b7947985cd3b2p-2, 0x1.b9ad76634db3fp-2, 0x1.bbc2211543adep-2, 0x1.bdd2e072c6144p-2, 0x1.bfe00a3fe83dap-2, 0x1.c1e9e40899e9ep-2, 0x1.c3f0a3fd1da16p-2, 0x1.c5f471ceab7fep-2, 0x1.c7f5678aef867p-2, 0x1.c9f392754a6d1p-2, 0x1.cbeef3dcdf88bp-2, 0x1.cde781ee9f4fdp-2, 0x1.cfdd288294022p-2, 0x1.d1cfc9e3e427ep-2, 0x1.d3bf3f930b5dap-2, 0x1.d5ab5b01e7586p-2, 0x1.d793e6494bbb3p-2, 0x1.d978a4d7e1ce1p-2, 0x1.db59541a2cf29p-2, 0x1.dd35ac1b95ed9p-2, 0x1.df0d60207277fp-2, 0x1.e0e01f3908a5ep-2, 0x1.e2ad94cd928aap-2, 0x1.e475692355e3p-2, 0x1.e63741daeb7cp-2, 0x1.e7f2c267cf674p-2, 0x1.e9a78c816354bp-2, 0x1.eb55408d87923p-2, 0x1.ecfb7e04fd454p-2, 0x1.ee99e3d1b7412p-2, 0x1.f03010a757ec7p-2, 0x1.f1bda35600477p-2, 0x1.f3423b17b0487p-2, 0x1.f4bd77d8680eep-2, 0x1.f62efa793cf04p-2, 0x1.f796650e9aac2p-2, 0x1.f8f35b19e51b7p-2, 0x1.fa4581beab9f3p-2, 0x1.fb8c7ff3a1513p-2, 0x1.fcc7feaf90816p-2, 0x1.fdf7a91276cbap-2, 0x1.ff1b2c8af5c18p-2, 0x1.00191c7c272p-1, 0x1.009e4064881d3p-1, 0x1.011cdc8b5265cp-1, 0x1.0194ccdef339ep-1, 0x1.0205eeba735f8p-1, 0x1.027020ef066ccp-1, 0x1.02d343cc59e5cp-1, 0x1.032f3927b277bp-1, 0x1.0383e461ed16dp-1, 0x1.03d12a6c6fa71p-1, 0x1.0416f1cd1e839p-1, 0x1.045522a15f085p-1, 0x1.048ba6a03a3fap-1, 0x1.04ba691bad557p-1, 0x1.04e1570130d4bp-1, 0x1.05005ed986f4ap-1, 0x1.051770c7daa33p-1, 0x1.05267e883abb3p-1, 0x1.052d7b6d7db7dp-1, 0x1.052c5c5e939c1p-1, 0x1.052317d354ca7p-1, 0x1.0511a5d0d384fp-1, 0x1.04f7ffe539f97p-1, 0x1.04d621233be55p-1, 0x1.04ac061d249b1p-1, 0x1.0479acdf88ac1p-1, 0x1.043f14eba2b0ap-1, 0x1.03fc3f315e7a8p-1, 0x1.03b12e091e21p-1, 0x1.035de52d3ae26p-1, 0x1.030269b348aa4p-1, 0x1.029ec20522661p-1, 0x1.0232f5d9c31d4p-1, 0x1.01bf0e2df06a6p-1, 0x1.0143153cbc7e4p-1, 0x1.00bf1677e2888p-1, 0x1.00331e80017b2p-1, 0x1.ff3e763977124p-2, 0x1.fe06f66970cd4p-2, 0x1.fcbfdd8b2d32cp-2, 0x1.fb694db78cb7cp-2, 0x1.fa036b14acda5p-2, 0x1.f88e5bc56b53dp-2, 0x1.f70a47d8cee71p-2, 0x1.f57759396d8b9p-2, 0x1.f3d5bb9cc01f4p-2, 0x1.f2259c7277db6p-2, 0x1.f0672ad3d6dccp-2, 0x1.ee9a9773075b1p-2, 0x1.ecc0148a84065p-2, 0x1.ead7d5cc8af32p-2, 0x1.e8e21052a4c1ep-2, 0x1.e6defa8d3cecap-2, 0x1.e4cecc3358df1p-2, 0x1.e2b1be3267ae8p-2, 0x1.e0880a9e325e8p-2, 0x1.de51eca0ef53fp-2, 0x1.dc0fa06b79686p-2, 0x1.d9c16325b2876p-2, 0x1.d76772df0c8fcp-2, 0x1.d5020e7f4305bp-2, 0x1.d29175b740c05p-2, 0x1.d015e8f23a5dcp-2, 0x1.cd8fa946fb4b4p-2, 0x1.cafef86965d17p-2, 0x1.c864189c2e81p-2, 0x1.c5bf4ca2cb83bp-2, 0x1.c310d7b3a4957p-2, 0x1.c058fd6a7a66dp-2, 0x1.bd9801bb0d54ep-2, 0x1.bace28e401b38p-2, 0x1.b7fbb762059fep-2, 0x1.b520f1e336981p-2, 0x1.b23e1d3ac89aep-2, 0x1.af537e54f2c4cp-2, 0x1.ac615a2b1c939p-2, 0x1.a967f5b851888p-2, 0x1.a66795edf9668p-2, 0x1.a3607fa8d5ed5p-2, 0x1.a052f7a646f33p-2, 0x1.9d3f4279d62f3p-2, 0x1.9a25a483072e1p-2, 0x1.970661e372ed6p-2, 0x1.93e1be7527a1cp-2, 0x1.90b7fdc14fbc9p-2, 0x1.8d8962f72345ep-2, 0x1.8a5630e320047p-2, 0x1.871ea9e687241p-2, 0x1.83e30fef252eap-2, 0x1.80a3a46f60d4fp-2, 0x1.7d60a8569085cp-2, 0x1.7a1a5c0994a1cp-2, 0x1.76d0ff5bbce3ap-2, 0x1.7384d187eedfep-2, 0x1.7036112a16d82p-2, 0x1.6ce4fc38d9359p-2, 0x1.6991cfff8d049p-2, 0x1.663cc9187717ep-2, 0x1.62e6236749c77p-2, 0x1.5f8e1a13e788ap-2, 0x1.5c34e78567f03p-2, 0x1.58dac55d5c794p-2, 0x1.557fec7357b5bp-2, 0x1.522494d0b3627p-2, 0x1.4ec8f5ac939eap-2, 0x1.4b6d45682c1a4p-2, 0x1.4811b98b3e01bp-2, 0x1.44b686c0d37b5p-2, 0x1.415be0d437d71p-2, 0x1.3e01faae2809p-2, 0x1.3aa906523c50ap-2, 0x1.375134dc8b0d7p-2, 0x1.33fab67f82fd4p-2, 0x1.30a5ba81f79dfp-2, 0x1.2d526f3d687e3p-2, 0x1.2a01021c764bep-2, 0x1.26b19f998fbd2p-2, 0x1.2364733dcc36dp-2, 0x1.2019a79ff7b4dp-2, 0x1.1cd16663cff54p-2, 0x1.198bd8396e7eap-2, 0x1.164924dcdd506p-2, 0x1.13097315dc643p-2, 0x1.0fcce8b7cacf4p-2, 0x1.0c93aaa1c1968p-2, 0x1.095ddcbecf0dep-2, 0x1.062ba2065f852p-2, 0x1.02fd1c7cc7d19p-2, 0x1.ffa4da67ea73bp-3, 0x1.f9576898882c2p-3, 0x1.f31221eae990dp-3, 0x1.ecd542df88abp-3, 0x1.e6a1061a46abp-3, 0x1.e075a4651d857p-3, 0x1.da5354b309dbcp-3, 0x1.d43a4c232c4f5p-3, 0x1.ce2abe0425c35p-3, 0x1.c824dbd7a6a33p-3, 0x1.c228d55634b26p-3, 0x1.bc36d8731a337p-3, 0x1.b64f116089d59p-3, 0x1.b071aa93ef7f3p-3, 0x1.aa9eccca6527fp-3, 0x1.a4d69f0d5651ep-3, 0x1.9f1946b749552p-3, 0x1.9966e778ca187p-3, 0x1.93bfa35d75556p-3, 0x1.8e239ad12d343p-3, 0x1.8892eca563e48p-3, 0x1.830db61685006p-3, 0x1.7d9412d17a33p-3, 0x1.78261cf94b245p-3, 0x1.72c3ed2cd2811p-3, 0x1.6d6d9a8c857bap-3, 0x1.68233ac057724p-3, 0x1.62e4e1fda742cp-3, 0x1.5db2a30d437c7p-3, 0x1.588c8f517ae31p-3, 0x1.5372b6cc38608p-3, 0x1.4e6528252ecc5p-3, 0x1.4963f0b00e5fcp-3, 0x1.446f1c72c2f5ep-3, 0x1.3f86b62bb873cp-3, 0x1.3aaac75825593p-3, 0x1.35db583a60c06p-3, 0x1.31186fe034d95p-3, 0x1.2c62142935caap-3, 0x1.27b849cd1c178p-3, 0x1.231b14621fe6bp-3, 0x1.1e8a76634c5eap-3, 0x1.1a067136dbcddp-3, 0x1.158f053485c01p-3, 0x1.112431abd4fe3p-3, 0x1.0cc5f4ea6b155p-3, 0x1.08744c424a063p-3, 0x1.042f34100fe19p-3, 0x1.ffed4f825bfe1p-4, 0x1.f79543b427c57p-4, 0x1.ef5637f8af005p-4, 0x1.e7301dd99607cp-4, 0x1.df22e5331c6e9p-4, 0x1.d72e7c4025657p-4, 0x1.cf52cfa620751p-4, 0x1.c78fca80e424dp-4, 0x1.bfe5566e61edep-4, 0x1.b8535b9a4dddcp-4, 0x1.b0d9c0c99171ep-4, 0x1.a9786b65bcb11p-4, 0x1.a22f3f8839b22p-4, 0x1.9afe20057c9e1p-4, 0x1.93e4ee77fe36fp-4, 0x1.8ce38b4b1c55cp-4, 0x1.85f9d5c5d81a1p-4, 0x1.7f27ac156efb7p-4, 0x1.786ceb57d0d7ep-4, 0x1.71c96fa5efd68p-4, 0x1.6b3d141dedce6p-4, 0x1.64c7b2ed1fa2p-4, 0x1.5e692559f14abp-4, 0x1.582143cd99af5p-4, 0x1.51efe5ddb00cdp-4, 0x1.4bd4e25596441p-4, 0x1.45d00f3fba57cp-4, 0x1.3fe141eeb352ep-4, 0x1.3a084f063233dp-4, 0x1.34450a83ca8eep-4, 0x1.2e9747c79a4a1p-4, 0x1.28fed99cb9efcp-4, 0x1.237b9241956d7p-4, 0x1.1e0d43700bd36p-4, 0x1.18b3be6573a2cp-4, 0x1.136ed3ea6d252p-4, 0x1.0e3e545a8fd2ap-4, 0x1.09220fabef41ep-4, 0x1.0419d57674a42p-4, 0x1.fe4ae9f624822p-5, 0x1.f4897a55a07efp-5, 0x1.eaeef95b4fa28p-5, 0x1.e17b03d287f81p-5, 0x1.d82d360f234e2p-5, 0x1.cf052bfa4b3aep-5, 0x1.c602811f0b123p-5, 0x1.bd24d0b67ea43p-5, 0x1.b46bb5b3bfe3dp-5, 0x1.abd6cacf81dfp-5, 0x1.a365aa9362874p-5, 0x1.9b17ef64edaacp-5, 0x1.92ed339054a18p-5, 0x1.8ae51152de8e6p-5, 0x1.82ff22e5107eep-5, 0x1.7b3b0284800cp-5, 0x1.73984a7d73aa1p-5, 0x1.6c16953425622p-5, 0x1.64b57d2dcce55p-5, 0x1.5d749d1964502p-5, 0x1.56538fd81cb58p-5, 0x1.4f51f0859de2ap-5, 0x1.486f5a7ff31a6p-5, 0x1.41ab696f4904ap-5, 0x1.3b05b94d5a574p-5, 0x1.347de66ca271p-5, 0x1.2e138d7f4f91ap-5, 0x1.27c64b9dfe884p-5, 0x1.2195be4e2b711p-5, 0x1.1b818388718a5p-5, 0x1.158939be8cc34p-5, 0x1.0fac7fe11b416p-5, 0x1.09eaf565301a9p-5, 0x1.04443a49a76dep-5, 0x1.fd6fde3883af4p-6, 0x1.f28b69fd22e58p-6, 0x1.e7da5b55496bbp-6, 0x1.dd5bf6ef17533p-6, 0x1.d30f82bb429efp-6, 0x1.c8f445f54a5cfp-6, 0x1.bf09892b446afp-6, 0x1.b54e96454ad39p-6, 0x1.abc2b88c99a71p-6, 0x1.a2653cb230fabp-6, 0x1.993570d5470e8p-6, 0x1.9032a489313abp-6, 0x1.875c28db1f2p-6, 0x1.7eb1505779a91p-6, 0x1.76316f0ed2dcdp-6, 0x1.6ddbda9aace1p-6, 0x1.65afea21cfb0ep-6, 0x1.5dacf65c71cb9p-6, 0x1.55d25997fad88p-6, 0x1.4e1f6fba8c98fp-6, 0x1.469396463fd99p-6, 0x1.3f2e2c5c1834ep-6, 0x1.37ee92bec03eap-6, 0x1.30d42bd4f1f21p-6, 0x1.29de5babb4e73p-6, 0x1.230c87f841c1dp-6, 0x1.1c5e1819c8126p-6, 0x1.15d2751ade5d6p-6, 0x1.0f6909b2d277fp-6, 0x1.09214246a1eeep-6, 0x1.02fa8ce9de054p-6, 0x1.f9e8b2be8767p-7, 0x1.ee1c323252dbbp-7, 0x1.e28e7e7386ccap-7, 0x1.d73e81263bd72p-7, 0x1.cc2b274e25b58p-7, 0x1.c153614dc18bfp-7, 0x1.b6b622e57e94ep-7, 0x1.ac52633284484p-7, 0x1.a2271cacefffdp-7, 0x1.98334d2605f01p-7, 0x1.8e75f5c5f45b3p-7, 0x1.84ee1b095d102p-7, 0x1.7b9ac4be99f33p-7, 0x1.727afe0293c0dp-7, 0x1.698dd53da57a5p-7, 0x1.60d25c1ff8b74p-7, 0x1.5847a79dcb727p-7, 0x1.4feccfeb70e05p-7, 0x1.47c0f07923d42p-7, 0x1.3fc327ee9c10ep-7, 0x1.37f29826609bbp-7, 0x1.304e662913ba1p-7, 0x1.28d5ba286470ap-7, 0x1.2187bf79e6d11p-7, 0x1.1a63a491cf929p-7, 0x1.13689afd66c29p-7, 0x1.0c95d75d70545p-7, 0x1.05ea91605d3c3p-7, 0x1.fecc0778d2878p-8, 0x1.f20ed8530f371p-8, 0x1.e59c16b68b6d4p-8, 0x1.d97249f4ea058p-8, 0x1.cd8fff3d9db6ap-8, 0x1.c1f3c990f15b2p-8, 0x1.b69c41b2e0a86p-8, 0x1.ab88061daec02p-8, 0x1.a0b5baf46fcf4p-8, 0x1.962409f55d31ap-8, 0x1.8bd1a26bf26acp-8, 0x1.81bd392317a12p-8, 0x1.77e58856f63fep-8, 0x1.6e494fa6e5cddp-8, 0x1.64e75406fbe0bp-8, 0x1.5bbe5fb1d895ep-8, 0x1.52cd421a06f3fp-8, 0x1.4a12cfdb9b396p-8, 0x1.418de2ad82eb8p-8, 0x1.393d5952e18f6p-8, 0x1.3120178c6b22fp-8, 0x1.293506098d536p-8, 0x1.217b1259be6bep-8, 0x1.19f12eddb9affp-8, 0x1.129652b8a0b0cp-8, 0x1.0b6979c12634p-8, 0x1.0469a472e0833p-8, 0x1.fb2bafbe75cdfp-9, 0x1.edda3b3dd91afp-9, 0x1.e0dd07860bc72p-9, 0x1.d432398c69a21p-9, 0x1.c7d7fefc3440ap-9, 0x1.bbcc8e18f37d5p-9, 0x1.b00e25a166a62p-9, 0x1.a49b0cb230fc7p-9, 0x1.997192a897a87p-9, 0x1.8e900f05c6c83p-9, 0x1.83f4e151c05dp-9, 0x1.799e70fea03a7p-9, 0x1.6f8b2d4bf9da3p-9, 0x1.65b98d2a780ep-9, 0x1.5c280f1f608b5p-9, 0x1.52d539288a4eap-9, 0x1.49bf98a065728p-9, 0x1.40e5c2220035dp-9, 0x1.3846516d94ce4p-9, 0x1.2fdfe94ceb519p-9, 0x1.27b1337823c4p-9, 0x1.1fb8e07ab5a28p-9, 0x1.17f5a79890124p-9, 0x1.106646b3310fdp-9, 0x1.0909822fd3d64p-9, 0x1.01de24dc6d081p-9, 0x1.f5c5ffac9e9e7p-10, 0x1.e82dd4e02a2d1p-10, 0x1.daf184300b18bp-10, 0x1.ce0ed47e04e2cp-10, 0x1.c183987e88ba7p-10, 0x1.b54dae8751a1cp-10, 0x1.a96b005dd92a5p-10, 0x1.9dd98306a9ff7p-10, 0x1.929736959b801p-10, 0x1.87a225fda6e3dp-10, 0x1.7cf866e187091p-10, 0x1.72981965b42afp-10, 0x1.687f68016904p-10, 0x1.5eac87517c519p-10, 0x1.551db5eabd5cep-10, 0x1.4bd13c2dc6511p-10, 0x1.42c56c1a34517p-10, 0x1.39f8a123a1ebep-10, 0x1.316940062491ep-10, 0x1.2915b69bc4046p-10, 0x1.20fc7bb277bb8p-10, 0x1.191c0ee294e4bp-10, 0x1.1172f8659673dp-10, 0x1.09ffc8edad9d2p-10, 0x1.02c1197e02ap-10, 0x1.f76b168593515p-11, 0x1.e9b78ed59c1d9p-11, 0x1.dc64fe0093fdfp-11, 0x1.cf70d5873c741p-11, 0x1.c2d8960b7ecfdp-11, 0x1.b699cf05e55c8p-11, 0x1.aab21e7db7a4cp-11, 0x1.9f1f30c0c03e4p-11, 0x1.93dec01cec235p-11, 0x1.88ee9499e8ec2p-11, 0x1.7e4c83b4f468p-11, 0x1.73f6701cbd52ep-11, 0x1.69ea496f37b88p-11, 0x1.60260bf6fd5f4p-11, 0x1.56a7c06b2f0fbp-11, 0x1.4d6d7baff4d69p-11, 0x1.44755e964edc7p-11, 0x1.3bbd959fdeecdp-11, 0x1.334458c0c298fp-11, 0x1.2b07eb2430a3ep-11, 0x1.23069af15d975p-11, 0x1.1b3ec111147d2p-11, 0x1.13aec0f509d9fp-11, 0x1.0c55085f643fp-11, 0x1.05300f2b41107p-11, 0x1.fc7cae2d0caa3p-12, 0x1.eefcd71856d8ep-12, 0x1.e1ddc2decc31ep-12, 0x1.d51cadd0284a4p-12, 0x1.c8b6e66025a58p-12, 0x1.bca9ccc19a778p-12, 0x1.b0f2d2846178ap-12, 0x1.a58f7a346b83cp-12, 0x1.9a7d56faa606fp-12, 0x1.8fba0c405e439p-12, 0x1.85434d51812c7p-12, 0x1.7b16dd053b5e7p-12, 0x1.71328d62c3c3bp-12, 0x1.67943f4c001c7p-12, 0x1.5e39e227b556ap-12, 0x1.5521738d131f8p-12, 0x1.4c48fef19a7d9p-12, 0x1.43ae9d584fe19p-12, 0x1.3b50750263772p-12, 0x1.332cb920e39f4p-12, 0x1.2b41a988883efp-12, 0x1.238d92667c0e7p-12, 0x1.1c0ecbf73c094p-12, 0x1.14c3ba3ce3999p-12, 0x1.0daaccb9c4178p-12, 0x1.06c27e29d6333p-12, 0x1.0009543f28143p-12, 0x1.f2fbbebc21dbp-13, 0x1.e63d74b952ac9p-13, 0x1.d9d51483bacdfp-13, 0x1.cdbffc0c3df14p-13, 0x1.c1fb9cac5dd67p-13, 0x1.b6857aabf2acbp-13, 0x1.ab5b2cca62c43p-13, 0x1.a07a5bca8a66cp-13, 0x1.95e0c200987ccp-13, 0x1.8b8c2ae18eef2p-13, 0x1.817a7297a0bacp-13, 0x1.77a9859473958p-13, 0x1.6e17602a75d32p-13, 0x1.64c20e2359cdep-13, 0x1.5ba7aa5dc9965p-13, 0x1.52c65e683c8d1p-13, 0x1.4a1c6222c8ea1p-13, 0x1.41a7fb5e9b95ep-13, 0x1.39677d828a0dep-13, 0x1.3159493038007p-13, 0x1.297bcbeb5957dp-13, 0x1.21cd7fc29ab4fp-13, 0x1.1a4ceafb3e915p-13, 0x1.12f89fbd7fa38p-13, 0x1.0bcf3bc383e2bp-13, 0x1.04cf6809e8788p-13, 0x1.fbefb1045f28fp-14, 0x1.ee8e978c5de9ap-14, 0x1.e179159e9f6d5p-14, 0x1.d4acd156c6b62p-14, 0x1.c827847053eefp-14, 0x1.bbe6fbb793583p-14, 0x1.afe916841e2aap-14, 0x1.a42bc633fbcdap-14, 0x1.98ad0da984232p-14, 0x1.8d6b00cc90dccp-14, 0x1.8263c41089cfcp-14, 0x1.77958bf949d8ep-14, 0x1.6cfe9ca6d83abp-14, 0x1.629d4961175abp-14, 0x1.586ff427c5668p-14, 0x1.4e750d441a0a3p-14, 0x1.44ab12ddf6345p-14, 0x1.3b109092dd3bfp-14, 0x1.31a41f0fd915ep-14, 0x1.286463ae56629p-14, 0x1.1f501012b2738p-14, 0x1.1665e1cc4f539p-14, 0x1.0da4a1fa93eb2p-14, 0x1.050b24f0cd87dp-14, 0x1.f93093bf611ffp-15, 0x1.e895f4fbbf6d5p-15, 0x1.d844556aa6717p-15, 0x1.c839b0a2c476ap-15, 0x1.b874155f26635p-15, 0x1.a8f1a4e21c0f6p-15, 0x1.99b09260659d4p-15, 0x1.8aaf226bec73fp-15, 0x1.7bebaa654301dp-15, 0x1.6d648fef786a9p-15, 0x1.5f184867013c9p-15, 0x1.5105585f0e4e5p-15, 0x1.432a531e33116p-15, 0x1.3585da22eef2ep-15, 0x1.28169ca766212p-15, 0x1.1adb572c0015fp-15, 0x1.0dd2d301ee5a9p-15, 0x1.00fbe5db2e9ccp-15, 0x1.e8aae2babcda9p-16, 0x1.cfbcc56aa8da8p-16, 0x1.b72b64600292bp-16, 0x1.9ef4c5ac2daa6p-16, 0x1.87170412d49c8p-16, 0x1.6f904e4ad3b35p-16, 0x1.585ee646b7cdep-16, 0x1.4181208129a16p-16, 0x1.2af56345f33e4p-16, 0x1.14ba2614728b7p-16, 0x1.fd9be1decbe2dp-17, 0x1.d25eb782c86ap-17, 0x1.a7ba1b841541ap-17, 0x1.7dab79b69b8a5p-17, 0x1.54305a33a2de2p-17, 0x1.2b46603aa74b4p-17, 0x1.02eb491be54abp-17, 0x1.b639d65ebe54bp-18, 0x1.67b269a0cd1cbp-18, 0x1.1a3c56b76ff3ep-18, 0x1.9ba7a91943001p-19, 0x1.04ea88942cd8ap-19, 0x1.c0e97ccd04ceep-21, -0x1.137b9185be408p-22, -0x1.66328136b3989p-20, -0x1.41c91a2912914p-19, -0x1.ce84c92c0e2dap-19, -0x1.2ca8eba859819p-18, -0x1.711ac8436e39cp-18, -0x1.b49a82ea8c228p-18, -0x1.f72a881792381p-18, -0x1.1c6694c435a7ep-17, -0x1.3cc24fc483e4cp-17, -0x1.5ca9851f1286ap-17, -0x1.7c1d39695e966p-17, -0x1.9b1e664c1cc09p-17, -0x1.b9adfb1dd84cfp-17, -0x1.d7ccdd6376059p-17, -0x1.f57be95983598p-17, -0x1.095df93dc68c2p-16, -0x1.17c6e1fae426ap-16, -0x1.25f91093cd1e6p-16, -0x1.33f4e307ecdedp-16, -0x1.41bab3e1b9bffp-16, -0x1.4f4ada690833dp-16, -0x1.5ca5aad81a5a5p-16, -0x1.69cb768e2efd1p-16, -0x1.76bc8c3da314ap-16, -0x1.8379381affa66p-16, -0x1.9001c407dd2f4p-16, -0x1.9c5677c0795dbp-16, -0x1.a87799012b0d9p-16, -0x1.b4656bad9fd49p-16, -0x1.c02031f8a106ep-16, -0x1.cba82c867fa38p-16, -0x1.d6fd9a8f206a4p-16, -0x1.e220ba00cf8b8p-16, -0x1.ed11c79d65803p-16, -0x1.f7d0ff19c92a1p-16, -0x1.012f4d9cb0005p-15, -0x1.065d6af5a6108p-15, -0x1.0b72f4325465bp-15, -0x1.1070059b85b1ep-15, -0x1.1554bb35fe224p-15, -0x1.1a2130cc6aa5p-15, -0x1.1ed581fab707dp-15, -0x1.2371ca38792e3p-15, -0x1.27f624e221637p-15, -0x1.2c62ad426284dp-15, -0x1.30b77e9bd938ap-15, -0x1.34f4b42f6a97fp-15, -0x1.391a6945a8beap-15, -0x1.3d28b935d4ab1p-15, -0x1.411fbf6c9cbddp-15, -0x1.44ff977204226p-15, -0x1.48c85cf1136c3p-15, -0x1.4c7a2bbc3feddp-15, -0x1.50151fd2ed87bp-15, -0x1.539955677d55dp-15, -0x1.5706e8e2afd1ep-15, -0x1.5a5df6e81473ap-15, -0x1.5d9e9c5b69459p-15, -0x1.60c8f662543fp-15, -0x1.63dd2268fdc4ap-15, -0x1.66db3e251f344p-15, -0x1.69c36798be927p-15, -0x1.6c95bd142cb5dp-15, -0x1.6f525d3949dd6p-15, -0x1.71f966fc7b684p-15, -0x1.748af9a775342p-15, -0x1.770734da178d9p-15, -0x1.796e388c932f3p-15, -0x1.7bc0250fd8f25p-15, -0x1.7dfd1b0e63eep-15, -0x1.80253b8dc39ecp-15, -0x1.8238a7ef143c8p-15, -0x1.843781ee59b7ep-15, -0x1.8621eba419033p-15, -0x1.87f80784901d4p-15, -0x1.89b9f85ff06eep-15, -0x1.8b67e161a5f71p-15, -0x1.8d01e61126759p-15, -0x1.8e882a4fe5328p-15, -0x1.8ffad2595e29ep-15, -0x1.915a02c2da3cdp-15, -0x1.92a5e079c2731p-15, -0x1.93de90c29b7e7p-15, -0x1.95043938b6772p-15, -0x1.9616ffcc49bfep-15, -0x1.97170ac129856p-15, -0x1.980480ae214a7p-15, -0x1.98df887a58a71p-15, -0x1.99a8495c8d7c2p-15, -0x1.9a5eead956a27p-15, -0x1.9b0394c1a4361p-15, -0x1.9b966f304d0bap-15, -0x1.9c17a288ee192p-15, -0x1.9c875775c9b4cp-15, -0x1.9ce5b6e60cc98p-15, -0x1.9d32ea0b51d9ep-15, -0x1.9d6f1a57ecb11p-15, -0x1.9d9a717d32795p-15, -0x1.9db51968d464dp-15, -0x1.9dbf3c433689ap-15, -0x1.9db9046cbc7d6p-15, -0x1.9da29c7c24845p-15, -0x1.9d7c2f3bbb505p-15, -0x1.9d45e7a79eb09p-15, -0x1.9cfff0eb816dcp-15, -0x1.9caa765fdc848p-15, -0x1.9c45a3880077dp-15, -0x1.9bd1a4100a2e4p-15, -0x1.9b4ea3ca1c74ap-15, -0x1.9abcceac1f2cp-15, -0x1.9a1c50cd5d523p-15, -0x1.996d5664b0a17p-15, -0x1.98b00bc5c2a4ep-15, -0x1.97e49d5ebdd91p-15, -0x1.970b37b60c214p-15, -0x1.96240767cde69p-15, -0x1.952f3923f5ddep-15, -0x1.942cf9ab8be8ep-15, -0x1.931d75cece9fep-15, -0x1.9200da6a8abc2p-15, -0x1.90d75465d7c01p-15, -0x1.8fa110b0151d8p-15, -0x1.8e5e3c3e97bb9p-15, -0x1.8d0f040a3f59dp-15, -0x1.8bb3950d74cadp-15, -0x1.8a4c1c4206ad1p-15, -0x1.88d8c69eb3feap-15, -0x1.8759c114ff784p-15, -0x1.85cf388f76eb7p-15, -0x1.843959ef606c5p-15, -0x1.8298520a63297p-15, -0x1.80ec4da8b13e7p-15, -0x1.7f357983466c9p-15, -0x1.7d74024194305p-15, -0x1.7ba81477797fdp-15, -0x1.79d1dca326p-15, -0x1.77f1872b93d3ap-15, -0x1.7607405e64b03p-15, -0x1.7413346e2f5c7p-15, -0x1.72158f7091bbap-15, -0x1.700e7d5c410c3p-15, -0x1.6dfe2a073ee59p-15, -0x1.6be4c1251f824p-15, -0x1.69c26e45a56c2p-15, -0x1.67975cd29084bp-15, -0x1.6563b80e1439fp-15, -0x1.6327ab1171658p-15, -0x1.60e360cb66619p-15, -0x1.5e9703fe3530dp-15, -0x1.5c42bf3e6c34p-15, -0x1.59e6bcf11e0abp-15, -0x1.5783274aa428fp-15, -0x1.5518284d43e25p-15, -0x1.52a5e9c79cb14p-15, -0x1.502c95532ea26p-15, -0x1.4dac545329e29p-15, -0x1.4b254ff30c397p-15, -0x1.4897b1255ddb4p-15, -0x1.4603a0a2681bcp-15, -0x1.436946e716a3cp-15, -0x1.40c8cc33d1165p-15, -0x1.3e22588b2d706p-15, -0x1.3b7613b0eec9dp-15, -0x1.38c42528b8116p-15, -0x1.360cb43545e3dp-15, -0x1.334fe7d70ee82p-15, -0x1.308de6cbaa53ep-15, -0x1.2dc6d78ccc269p-15, -0x1.2afae04f13a3ap-15, -0x1.282a270122371p-15, -0x1.2554d14af9b09p-15, -0x1.227b048d0f31ap-15, -0x1.1f9ce5df4b03ap-15, -0x1.1cba9a105d748p-15, -0x1.19d445a52b7b6p-15, -0x1.16ea0cd814177p-15, -0x1.13fc13980c3fcp-15, -0x1.110a7d87c9f5bp-15, -0x1.0e156dfd7d4a3p-15, -0x1.0b1d0801ce0aep-15, -0x1.08216e4fa7dfcp-15, -0x1.0522c353cd7d3p-15, -0x1.0221292bd0e87p-15, -0x1.fe39834b53ce9p-16, -0x1.f82b5c7ee25eep-16, -0x1.f218204dd24a6p-16, -0x1.ec001071fe121p-16, -0x1.e5e36e0291cefp-16, -0x1.dfc2797337581p-16, -0x1.d99d729428ff4p-16, -0x1.d374989152e86p-16, -0x1.cd4829f0fa99ep-16, -0x1.c7186493befcdp-16, -0x1.c0e585b3ca475p-16, -0x1.baafc9e461938p-16, -0x1.b4776d12026abp-16, -0x1.ae3caa8177247p-16, -0x1.a7ffbccfd4bd8p-16, -0x1.a1c0ddf1ea016p-16, -0x1.9b804733ce695p-16, -0x1.953e313937234p-16, -0x1.8efad3fceb474p-16, -0x1.88b666d0ab578p-16, -0x1.8271205d7896bp-16, -0x1.7c2b36a31071fp-16, -0x1.75e4def843b16p-16, -0x1.6f9e4e0aac402p-16, -0x1.6957b7df3050fp-16, -0x1.63114fd17b9f8p-16, -0x1.5ccb48943409cp-16, -0x1.5685d4318b1f1p-16, -0x1.5041240ba01f2p-16, -0x1.49fd68dc44e44p-16, -0x1.43bad2b5573ccp-16, -0x1.3d7991011bb65p-16, -0x1.3739d2824e307p-16, -0x1.30fbc5551b2e7p-16, -0x1.2abf96eeb6a2dp-16, -0x1.2485741ea3cc5p-16, -0x1.1e4d890e53eecp-16, -0x1.1818014247463p-16, -0x1.11e5079a207bep-16, -0x1.0bb4c651b506dp-16, -0x1.058767011e76ep-16, -0x1.feba253a401dfp-17, -0x1.f26be2efdcbc9p-17, -0x1.e6245683fd8dep-17, -0x1.d9e3ce161b90ap-17, -0x1.cdaa96840a1bfp-17, -0x1.c178fb6bf95d8p-17, -0x1.b54f472de184cp-17, -0x1.a92dc2ed0da38p-17, -0x1.9d14b691b949cp-17, -0x1.910468ca68f57p-17, -0x1.84fd1f0d77d48p-17, -0x1.78ff1d9a61caap-17, -0x1.6d0aa77c3c1c2p-17, -0x1.611ffe8bdbf2ap-17, -0x1.553f636fed6c6p-17, -0x1.4969159f5a1ddp-17, -0x1.3d9d5363c633ep-17, -0x1.31dc59da8ff8p-17, -0x1.262664f6de692p-17, -0x1.1a7baf8340dc3p-17, -0x1.0edc732505284p-17, -0x1.0348e85cd1905p-17, -0x1.ef828d1083e28p-18, -0x1.d88b87ca5fe59p-18, -0x1.c1ad2b2539dbp-18, -0x1.aae7df267e18ap-18, -0x1.943c099f00a91p-18, -0x1.7daa0e2ee72fdp-18, -0x1.67324e4984acdp-18, -0x1.50d5293ba58f3p-18, -0x1.3a92fc2e75e6ap-18, -0x1.246c222b0d06ap-18, -0x1.0e60f41dfdc65p-18, -0x1.f0e391bc20c75p-19, -0x1.c53dea5e4c3a1p-19, -0x1.99d1978e61272p-19, -0x1.6e9f3aa81e5ebp-19, -0x1.43a770fc08158p-19, -0x1.18ead3d7ff176p-19, -0x1.dcd3f120d4cbap-20, -0x1.884ae11e26905p-20, -0x1.343b92a949491p-20, -0x1.c14e3216b19f9p-21, -0x1.1b1cffcef10f4p-21, -0x1.d7965a4dac4e4p-23, 0x1.72b0844f38bbp-24, 0x1.a32816985663p-22, 0x1.73d27e326a252p-21, 0x1.0a87ce27ca4f8p-20, 0x1.5aa4d3964f277p-20, 0x1.aa3f774f774acp-20, 0x1.f956e84fff401p-20, 0x1.23f52e4a425e2p-19, 0x1.4afc88800220bp-19, 0x1.71c124aa433c3p-19, 0x1.9842a80e82d39p-19, 0x1.be80bb4d7503bp-19, 0x1.e47b0a566948ep-19, 0x1.0518a230d384cp-18, 0x1.17d18df252c5bp-18, 0x1.2a682345c469ep-18, 0x1.3cdc3e96cda9cp-18, 0x1.4f2dbde1db613p-18, 0x1.615c80b0203f4p-18, 0x1.73686811bb217p-18, 0x1.8551569b13c07p-18, 0x1.9717305ef865cp-18, 0x1.a8b9dae9df9acp-18, 0x1.ba393d3d25cf9p-18, 0x1.cb953fcb79a59p-18, 0x1.dccdcc73ddecp-18, 0x1.ede2ce7c8f5d6p-18, 0x1.fed4328e5cca7p-18, 0x1.07d0f358271f4p-17, 0x1.1025ed21b29bbp-17, 0x1.1868feff9cd33p-17, 0x1.209a21f5ecb1cp-17, 0x1.28b94fae1c977p-17, 0x1.30c682760cd9cp-17, 0x1.38c1b53d5d69ep-17, }}, 
      {{0x1.d521df10b9723p-1, 0x1.d50b40ad47689p-1, 0x1.d4e8f3d59093dp-1, 0x1.d4b9dd7d9d92ap-1, 0x1.d479d23fd72ddp-1, 0x1.d4232eeab2524p-1, 0x1.d3b052364d7c9p-1, 0x1.d31c9e1b09d6bp-1, 0x1.d264fb77f2d7fp-1, 0x1.d187fb75d10f4p-1, 0x1.d085b888b6d4p-1, 0x1.cf5f941b1e22cp-1, 0x1.ce17e60113d4p-1, 0x1.ccb1ab6fe76cbp-1, 0x1.cb303d80c36f2p-1, 0x1.c997134308337p-1, 0x1.c7e990c2adfep-1, 0x1.c62ae2c7ea264p-1, 0x1.c45de6287bdffp-1, 0x1.c285190cf1ac5p-1, 0x1.c0a29462feeaap-1, 0x1.beb80bbc92819p-1, 0x1.bcc6d1fe17d76p-1, 0x1.bacfe16fd11ccp-1, 0x1.b8d3e5fdb4fc8p-1, 0x1.b6d348a91b0f1p-1, 0x1.b4ce3b640ec11p-1, 0x1.b2c4c4bd99b14p-1, 0x1.b0b6caef96092p-1, 0x1.aea41e017485ap-1, 0x1.ac8c80d013122p-1, 0x1.aa6fb0e19fbebp-1, 0x1.a84d6cfe5f672p-1, 0x1.a6257a9485945p-1, 0x1.a3f7a9f6f3ef4p-1, 0x1.a1c3d98d41b95p-1, 0x1.9f89f80f74307p-1, 0x1.9d4a05e9f3012p-1, 0x1.9b0415e6c7308p-1, 0x1.98b84d38bb81bp-1, 0x1.9666e3038ab97p-1, 0x1.94101f7a71c53p-1, 0x1.91b45aac3d684p-1, 0x1.8f53fb1182ae2p-1, 0x1.8cef73ef437fap-1, 0x1.8a87439dd0a25p-1, 0x1.881bf1c172233p-1, 0x1.85ae0d802dc32p-1, 0x1.833e2bbe0af86p-1, 0x1.80cce56767d69p-1, 0x1.7e5ad5cf4f7d2p-1, 0x1.7be8992662d46p-1, 0x1.7976cb0d9c806p-1, 0x1.77060547329bp-1, 0x1.7496de86ee59cp-1, 0x1.7229e9628d663p-1, 0x1.6fbfb36226f8cp-1, 0x1.6d58c430051dcp-1, 0x1.6af59ce70239bp-1, 0x1.6896b77e22ee7p-1, 0x1.663c864fed86dp-1, 0x1.63e773bbcfaddp-1, 0x1.6197e1dfc7bb3p-1, 0x1.5f4e2a6877e8fp-1, 0x1.5d0a9e75bb7bcp-1, 0x1.5acd8691e0758p-1, 0x1.589722b9a7c0fp-1, 0x1.5667aa73403dap-1, 0x1.543f4cf281ca6p-1, 0x1.521e3148bc97ep-1, 0x1.5004769e90f16p-1, 0x1.4df23476530cp-1, 0x1.4be77af59c579p-1, 0x1.49e45334c513ap-1, 0x1.47e8bf931793cp-1, 0x1.45f4bc0ead658p-1, 0x1.44083e9ef5b8ap-1, 0x1.422337910992bp-1, 0x1.404591e4fab2ap-1, 0x1.3e6f33ab6c584p-1, 0x1.3c9ffe62ce955p-1, 0x1.3ad7cf53b39b2p-1, 0x1.39167febbece6p-1, 0x1.375be616c21b9p-1, 0x1.35a7d495b0095p-1, 0x1.33fa1b53120e9p-1, 0x1.325287b4c642p-1, 0x1.30b0e4eacb366p-1, 0x1.2f14fc3af6d42p-1, 0x1.2d7e954971b52p-1, 0x1.2bed765de6bcbp-1, 0x1.2a6164a55358ep-1, 0x1.28da24707478fp-1, 0x1.2757796eca805p-1, 0x1.25d926e63dab6p-1, 0x1.245eefe7674b3p-1, 0x1.22e8977e8e5ccp-1, 0x1.2175e0e168da5p-1, 0x1.20068f99b35e1p-1, 0x1.1e9a67acb70f7p-1, 0x1.1d312dbfd4b8ep-1, 0x1.1bcaa73a2e178p-1, 0x1.1a669a6389531p-1, 0x1.1904ce808ac34p-1, 0x1.17a50bec5f9dfp-1, 0x1.16471c2ff9014p-1, 0x1.14eaca16f0a29p-1, 0x1.138fe1c2388ffp-1, 0x1.123630b8af4dap-1, 0x1.10dd85f5b6376p-1, 0x1.0f85b1f5e4519p-1, 0x1.0e2e86c1f452dp-1, 0x1.0cd7d7f80453fp-1, 0x1.0b817ad343bd7p-1, 0x1.0a2b463226c0ep-1, 0x1.08d5129b39c26p-1, 0x1.077eba40a7628p-1, 0x1.062819028ed91p-1, 0x1.04d10c7037291p-1, 0x1.037973c83b1cp-1, 0x1.02212ff7bd2fcp-1, 0x1.00c82398b77b2p-1, 0x1.fedc65def23ffp-2, 0x1.fc2687cec2b02p-2, 0x1.f96e7c1dd36b3p-2, 0x1.f6b41526175cp-2, 0x1.f3f7287427619p-2, 0x1.f1378ebbd3685p-2, 0x1.ee7523cbc4b3dp-2, 0x1.ebafc6803b74ap-2, 0x1.e8e758b50a6b3p-2, 0x1.e61bbf36db239p-2, 0x1.e34ce1b3d59fep-2, 0x1.e07aaaabbb45bp-2, 0x1.dda5075f83922p-2, 0x1.dacbe7c08ecfap-2, 0x1.d7ef3e5f7dc1cp-2, 0x1.d50f005ab712ep-2, 0x1.d22b254cac8bp-2, 0x1.cf43a739ee243p-2, 0x1.cc58827f0bdc6p-2, 0x1.c969b5be5f56fp-2, 0x1.c67741cdb9584p-2, 0x1.c38129a408a8fp-2, 0x1.c0877246f5f9ap-2, 0x1.bd8a22b88822ap-2, 0x1.ba8943e4d04dbp-2, 0x1.b784e08fa97a1p-2, 0x1.b47d05428e6e9p-2, 0x1.b171c03a8b60bp-2, 0x1.ae63215654fdep-2, 0x1.ab513a048466ap-2, 0x1.a83c1d3201573p-2, 0x1.a523df38999d5p-2, 0x1.a20895cdcd548p-2, 0x1.9eea57f1d2fd8p-2, 0x1.9bc93dded5a38p-2, 0x1.98a560f86ed1bp-2, 0x1.957edbbb6281p-2, 0x1.9255c9ad9b3c7p-2, 0x1.8f2a474e6bc23p-2, 0x1.8bfc720717743p-2, 0x1.88cc681ba1974p-2, 0x1.859a489be7c75p-2, 0x1.8266335504fdp-2, 0x1.7f3048c3042ddp-2, 0x1.7bf8aa02ddb0fp-2, 0x1.78bf78c4c43e9p-2, 0x1.7584d73ec0387p-2, 0x1.7248e81f9d304p-2, 0x1.6f0bce8222a3ep-2, 0x1.6bcdade0a27b9p-2, 0x1.688eaa08d7944p-2, 0x1.654ee71013032p-2, 0x1.620e8947beacp-2, 0x1.5ecdb5322cce6p-2, 0x1.5b8c8f77bd562p-2, 0x1.584b3cdc52c6bp-2, 0x1.5509e23515dfbp-2, 0x1.51c8a45e8f054p-2, 0x1.4e87a8330bbd7p-2, 0x1.4b47128155fc5p-2, 0x1.48070803bb0a6p-2, 0x1.44c7ad5760434p-2, 0x1.418926f3e76f9p-2, 0x1.3e4b99236248ep-2, 0x1.3b0f27fa8dad9p-2, 0x1.37d3f7515f83fp-2, 0x1.349a2abbdb6c5p-2, 0x1.3161e58333f93p-2, 0x1.2e2b4a9f34ea8p-2, 0x1.2af67caff7bb3p-2, 0x1.27c39df7de8e7p-2, 0x1.2492d055d4993p-2, 0x1.2164353fd78e2p-2, 0x1.1e37edbdc3022p-2, 0x1.1b0e1a645ffbcp-2, 0x1.17e6db50ba008p-2, 0x1.14c25023af109p-2, 0x1.11a097fdc7538p-2, 0x1.0e81d17b45f0bp-2, 0x1.0b661ab079ae2p-2, 0x1.084d91264c029p-2, 0x1.053851d708028p-2, 0x1.0226792b5e6fcp-2, 0x1.fe3045ef42655p-3, 0x1.f81ad4f26ab9ep-3, 0x1.f20cd4a87bd0cp-3, 0x1.ec067922f597cp-3, 0x1.e607f538b0e2bp-3, 0x1.e0117a826eee6p-3, 0x1.da233957c0d92p-3, 0x1.d43d60cc5443ap-3, 0x1.ce601ead9a8adp-3, 0x1.c88b9f80ce206p-3, 0x1.c2c00e8147ee2p-3, 0x1.bcfd959f32d87p-3, 0x1.b7445d7e8d88dp-3, 0x1.b1948d767c448p-3, 0x1.abee4b90e82aap-3, 0x1.a651bc8a6cbb5p-3, 0x1.a0bf03d289fb2p-3, 0x1.9b36438c1dd5dp-3, 0x1.95b79c8e213bep-3, 0x1.90432e64a8fb7p-3, 0x1.8ad917521ee4p-3, 0x1.85797450bdc46p-3, 0x1.8024611445b3dp-3, 0x1.7ad9f80be4412p-3, 0x1.759a526455ce1p-3, 0x1.7065880a382dp-3, 0x1.6b3bafac92059p-3, 0x1.661cdebf7d683p-3, 0x1.6109297f11b69p-3, 0x1.5c00a2f260e69p-3, 0x1.57035ceeb2574p-3, 0x1.5211681ad3a37p-3, 0x1.4d2ad3f298f47p-3, 0x1.484faeca75f51p-3, 0x1.438005d33c983p-3, 0x1.3ebbe51dfc6a5p-3, 0x1.3a03579ff299fp-3, 0x1.35566736a438ap-3, 0x1.30b51cac04cc2p-3, 0x1.2c1f7fbabac7fp-3, 0x1.27959712759ecp-3, 0x1.2317685c58ef9p-3, 0x1.1ea4f83f7869cp-3, 0x1.1a3e4a6567ec1p-3, 0x1.15e3617ed5507p-3, 0x1.11943f4832eebp-3, 0x1.0d50e48e6aea9p-3, 0x1.09195133a5dbep-3, 0x1.04ed84340a6d7p-3, 0x1.00cd7baa967dbp-3, 0x1.f97269abe5f1ep-4, 0x1.f161583aa0fd9p-4, 0x1.e967ba2a929dfp-4, 0x1.e18585098d75ap-4, 0x1.d9baacd3c0dcfp-4, 0x1.d20723fd9aa36p-4, 0x1.ca6adb7d805b1p-4, 0x1.c2e5c2d59f82bp-4, 0x1.bb77c81db4e3fp-4, 0x1.b420d80ccb259p-4, 0x1.ace0de02eb4b4p-4, 0x1.a5b7c412cd351p-4, 0x1.9ea5730b7849bp-4, 0x1.97a9d281d559ep-4, 0x1.90c4c8da3324bp-4, 0x1.89f63b51bc9c9p-4, 0x1.833e0e07da3c3p-4, 0x1.7c9c2407840e2p-4, 0x1.76105f507c4e2p-4, 0x1.6f9aa0e077be8p-4, 0x1.693ac8bc2c4f2p-4, 0x1.62f0b5f84c967p-4, 0x1.5cbc46c267257p-4, 0x1.569d5869af29bp-4, 0x1.5093c767a862cp-4, 0x1.4a9f6f68ba491p-4, 0x1.44c02b54a62e5p-4, 0x1.3ef5d556e3275p-4, 0x1.394046e6d5e58p-4, 0x1.339f58cff6f8ap-4, 0x1.2e12e339cacc7p-4, 0x1.289abdafc9a3ap-4, 0x1.2336bf291f49dp-4, 0x1.1de6be104d915p-4, 0x1.18aa904aad648p-4, 0x1.13820b3fd1ee9p-4, 0x1.0e6d03e0c8c24p-4, 0x1.096b4eaf380cep-4, 0x1.047cbfc45d4bap-4, 0x1.ff4255afd636cp-5, 0x1.f5b0c68d81028p-5, 0x1.ec4478330875bp-5, 0x1.e2fd101636398p-5, 0x1.d9da331df4c12p-5, 0x1.d0db85aeb97e5p-5, 0x1.c800abb6a153cp-5, 0x1.bf4948b94fcecp-5, 0x1.b6b4ffdb8802dp-5, 0x1.ae4373ee7b281p-5, 0x1.a5f4477ae1be5p-5, 0x1.9dc71ccbc0997p-5, 0x1.95bb95f8f7644p-5, 0x1.8dd154f187b6dp-5, 0x1.8607fb8595747p-5, 0x1.7e5f2b702c676p-5, 0x1.76d68660bfd8bp-5, 0x1.6f6dae0469101p-5, 0x1.6824440ee7e7ap-5, 0x1.60f9ea435e696p-5, 0x1.59ee427cd47b1p-5, 0x1.5300eeb672012p-5, 0x1.4c31911384ef2p-5, 0x1.457fcbe743702p-5, 0x1.3eeb41bc55c36p-5, 0x1.3873955c1df3ep-5, 0x1.321869d5c8526p-5, 0x1.2bd962851eb6bp-5, 0x1.25b6231929173p-5, 0x1.1fae4f9a854adp-5, 0x1.19c18c7198cb8p-5, 0x1.13ef7e6c7b665p-5, 0x1.0e37cac4b6a45p-5, 0x1.089a1724c6edp-5, 0x1.031609ad6c1adp-5, 0x1.fb5691f58d617p-6, 0x1.f0b2f852749cap-6, 0x1.e64095b44c8a3p-6, 0x1.dbfeba70d9d72p-6, 0x1.d1ecb7f9751acp-6, 0x1.c809e0e368dccp-6, 0x1.be5588efcd6d2p-6, 0x1.b4cf05130f965p-6, 0x1.ab75ab7c287f1p-6, 0x1.a248d39b7308ap-6, 0x1.9947d6292b535p-6, 0x1.90720d2b991cep-6, 0x1.87c6d3fcec041p-6, 0x1.7f458750bfd55p-6, 0x1.76ed85394c668p-6, 0x1.6ebe2d2c561dap-6, 0x1.66b6e007ccd7p-6, 0x1.5ed700160bcbcp-6, 0x1.571df111f7b18p-6, 0x1.4f8b182aae5f6p-6, 0x1.481ddc070ad26p-6, 0x1.40d5a4c8dde61p-6, 0x1.39b1dc0fdf466p-6, 0x1.32b1ecfc66caap-6, 0x1.2bd54431d9d09p-6, 0x1.251b4fd8f5682p-6, 0x1.1e837fa1bd051p-6, 0x1.180d44c544981p-6, 0x1.11b812073883bp-6, 0x1.0b835bb7393adp-6, 0x1.056e97b1f3527p-6, 0x1.fef27ac41d849p-7, 0x1.f3458b81d426dp-7, 0x1.e7d556ae3bedcp-7, 0x1.dca0d479b2e99p-7, 0x1.d1a7003424f42p-7, 0x1.c6e6d84cfc36p-7, 0x1.bc5f5e52d527p-7, 0x1.b20f96f2ca68ep-7, 0x1.a7f689f7814dfp-7, 0x1.9e134247e3564p-7, 0x1.9464cde5860bap-7, 0x1.8aea3dead4f22p-7, 0x1.81a2a688dffcap-7, 0x1.788d1f0514e5dp-7, 0x1.6fa8c1b672d59p-7, 0x1.66f4ac02cc197p-7, 0x1.5e6ffe5b83919p-7, 0x1.5619dc3a447cfp-7, 0x1.4df16c1d727eep-7, 0x1.45f5d78455623p-7, 0x1.3e264aeb274edp-7, 0x1.3681f5c6e0d9bp-7, 0x1.2f080a80e569bp-7, 0x1.27b7be727a8edp-7, 0x1.209049e0109e9p-7, 0x1.1990e7f46b5e9p-7, 0x1.12b8d6bb96785p-7, 0x1.0c07571dce62ap-7, 0x1.057bacda213c1p-7, 0x1.fe2a3d022baep-8, 0x1.f1a5eade17adap-8, 0x1.e568fb8d3e144p-8, 0x1.d9720cd5b34d7p-8, 0x1.cdbfc1f2b7166p-8, 0x1.c250c3889fed7p-8, 0x1.b723bf98cf82fp-8, 0x1.ac3769755b72cp-8, 0x1.a18a79b488f4ep-8, 0x1.971bae24440cap-8, 0x1.8ce9c9bd34c4p-8, 0x1.82f394960bdaap-8, 0x1.7937dbd645402p-8, 0x1.6fb571a930ecdp-8, 0x1.666b2d30bc65dp-8, 0x1.5d57ea780635cp-8, 0x1.547a8a660b92ep-8, 0x1.4bd1f2b028244p-8, 0x1.435d0dcc9e37bp-8, 0x1.3b1acae4fe9a4p-8, 0x1.330a1dc86dd09p-8, 0x1.2b29fede1f5bp-8, 0x1.23796b1787829p-8, 0x1.1bf763e2b09cdp-8, 0x1.14a2ef1c75daap-8, 0x1.0d7b1702cb099p-8, 0x1.067eea26fe23ep-8, 0x1.ff5af6bfcb799p-9, 0x1.f20bc378797bap-9, 0x1.e50e70e9af28bp-9, 0x1.d8613dbde2983p-9, 0x1.cc0270bd1e5c4p-9, 0x1.bff058b18e33bp-9, 0x1.b4294c4c653ebp-9, 0x1.a8abaa0aa80d4p-9, 0x1.9d75d81a39abcp-9, 0x1.9286443ed2ba8p-9, 0x1.87db63b74fc7dp-9, 0x1.7d73b322dc326p-9, 0x1.734db6666f3c7p-9, 0x1.6967f8925bb31p-9, 0x1.5fc10bc80aedfp-9, 0x1.5657891fc3a1dp-9, 0x1.4d2a108ebef3p-9, 0x1.443748cd4d4acp-9, 0x1.3b7ddf3d2445bp-9, 0x1.32fc87cff2ffbp-9, 0x1.2ab1fcee06b42p-9, 0x1.229cff5d433e9p-9, 0x1.1abc56280998p-9, 0x1.130ece84ae71cp-9, 0x1.0b933bbcc4e7p-9, 0x1.04487714eb395p-9, 0x1.fa5abf6934badp-10, 0x1.ec81b51c7a0dcp-10, 0x1.df03a48f0a60fp-10, 0x1.d1de6e43b833bp-10, 0x1.c50ffdc65e50ap-10, 0x1.b896497ddee4p-10, 0x1.ac6f527e5addap-10, 0x1.a099245c0932fp-10, 0x1.9511d4febca5bp-10, 0x1.89d78475325eap-10, 0x1.7ee85cc9c8d21p-10, 0x1.744291d6e353cp-10, 0x1.69e4611c20353p-10, 0x1.5fcc11941f021p-10, 0x1.55f7f38a69a35p-10, 0x1.4c6660723fd12p-10, 0x1.4315babda3d17p-10, 0x1.3a046db4bba86p-10, 0x1.3130ed4e28db1p-10, 0x1.2899b60766f39p-10, 0x1.203d4cbdd1c77p-10, 0x1.181a3e882d385p-10, 0x1.102f2090b6515p-10, 0x1.087a8fef75b13p-10, 0x1.00fb31855839fp-10, 0x1.f35f63af4f95dp-11, 0x1.e52d89d7b14aap-11, 0x1.d75e4c48319e2p-11, 0x1.c9ef30382fbbcp-11, 0x1.bcddc90cdd0cdp-11, 0x1.b027b81516469p-11, 0x1.a3caac45fde6p-11, 0x1.97c461f82bbdfp-11, 0x1.8c12a2a753792p-11, 0x1.80b344b0599cfp-11, 0x1.75a42b12e2e99p-11, 0x1.6ae3453226591p-11, 0x1.606e8e97159eap-11, 0x1.56440eb406edcp-11, 0x1.4c61d8a8762d4p-11, 0x1.42c60b064f19fp-11, 0x1.396ecf97863a2p-11, 0x1.305a5b24f325cp-11, 0x1.2786ed3e66485p-11, 0x1.1ef2d002d96f8p-11, 0x1.169c57e9bcf9bp-11, 0x1.0e81e38dec5bap-11, 0x1.06a1db782c6d6p-11, 0x1.fdf563d74e269p-12, 0x1.ef15c564c8d87p-12, 0x1.e0a1e5d6e6e4dp-12, 0x1.d296e1b1b83a3p-12, 0x1.c4f1e75f1447cp-12, 0x1.b7b036ce3d855p-12, 0x1.aacf2115eb467p-12, 0x1.9e4c0817d1e87p-12, 0x1.92245e25cdd63p-12, 0x1.8655a5a83bd5fp-12, 0x1.7add70c6357adp-12, 0x1.6fb9610fb3863p-12, 0x1.64e7272818516p-12, 0x1.5a648273a403ap-12, 0x1.502f40c46cee6p-12, 0x1.46453e0b106c9p-12, 0x1.3ca464078261ap-12, 0x1.334aa9fad05dfp-12, 0x1.2a36145bc9271p-12, 0x1.2164b48be099ap-12, 0x1.18d4a88e0122dp-12, 0x1.10841abe044ffp-12, 0x1.0871418a6e13ep-12, 0x1.009a5f2e9ef1fp-12, 0x1.f1fb82de91bdep-13, 0x1.e33382ad906c8p-13, 0x1.d4d985e8552ap-13, 0x1.c6ea6a3625aa9p-13, 0x1.b9632246f037ap-13, 0x1.ac40b55a4cd42p-13, 0x1.9f803ec3eb0dap-13, 0x1.931eed75721dp-13, 0x1.871a0389bcb5fp-13, 0x1.7b6ed5d1acdbcp-13, 0x1.701acb64df68bp-13, 0x1.651b5d33398dfp-13, 0x1.5a6e1598c8cd9p-13, 0x1.50108ff48671ep-13, 0x1.4600784084358p-13, 0x1.3c3b8aac17a07p-13, 0x1.32bf9338a5553p-13, 0x1.298a6d58c7d93p-13, 0x1.209a0390234dap-13, 0x1.17ec4f161ad89p-13, 0x1.0f7f577a3666ep-13, 0x1.0751324a39acdp-13, 0x1.fec005765db64p-14, 0x1.ef53f2a34d554p-14, 0x1.e05aa71fd1a3bp-14, 0x1.d1d0b742b638ap-14, 0x1.c3b2d0164ef56p-14, 0x1.b5fdb6ba1536cp-14, 0x1.a8ae47c70aca7p-14, 0x1.9bc176b92ed4dp-14, 0x1.8f344d5b64e46p-14, 0x1.8303eb36c55cp-14, 0x1.772d85048ee21p-14, 0x1.6bae6423f60f7p-14, 0x1.6083e612596e1p-14, 0x1.55ab7be79a274p-14, 0x1.4b22a9d211fa7p-14, 0x1.40e7069a58143p-14, 0x1.36f63b25a303p-14, 0x1.2d4e01fd92e6ap-14, 0x1.23ec26d86f737p-14, 0x1.1ace8626ec189p-14, 0x1.11f30ca234bdcp-14, 0x1.0957b6dccae79p-14, 0x1.00fa90d76a5c1p-14, 0x1.f1b36b2d621d5p-15, 0x1.e1e69d77af24ep-15, 0x1.d28b284041179p-15, 0x1.c39d96e4cba5fp-15, 0x1.b51a8fac9640fp-15, 0x1.a6fed30fb755fp-15, 0x1.99473afb7145dp-15, 0x1.8bf0ba231a3f8p-15, 0x1.7ef85b4cd94a9p-15, 0x1.725b40aaf4b02p-15, 0x1.6616a331257fep-15, 0x1.5a27d1f5c1763p-15, 0x1.4e8c318fa4fabp-15, 0x1.43413b7d4e85ap-15, 0x1.38447d8d0108p-15, 0x1.2d9399495c13ep-15, 0x1.232c4368c15a7p-15, 0x1.190c4341e019p-15, 0x1.0f31724197e06p-15, 0x1.0599bb66185aap-15, 0x1.f8863578ef22bp-16, 0x1.e65739c3b3ca8p-16, 0x1.d4a2bd0dda6e8p-16, 0x1.c36517f310035p-16, 0x1.b29ac1561d53p-16, 0x1.a2404d83631aap-16, 0x1.92526d4b32f8p-16, 0x1.82cded2b19e17p-16, 0x1.73afb47954bcfp-16, 0x1.64f4c49520adcp-16, 0x1.569a381d2c142p-16, 0x1.489d422dc2f8fp-16, 0x1.3afb2d9ea0ae1p-16, 0x1.2db15c4b71763p-16, 0x1.20bd465c8302bp-16, 0x1.141c7997ccbaep-16, 0x1.07cc98b3eaa71p-16, 0x1.f796b5643af25p-17, 0x1.e02d1475dfd99p-17, 0x1.c95809ffb4e92p-17, 0x1.b313764488a4dp-17, 0x1.9d5b5d3aefb35p-17, 0x1.882be56607a82p-17, 0x1.738156bf7c604p-17, 0x1.5f58199e779e7p-17, 0x1.4bacb5af5a2adp-17, 0x1.387bd0eb6d74ep-17, 0x1.25c22e9dde093p-17, 0x1.137cae6d002ffp-17, 0x1.01a84b6b5facep-17, 0x1.e0843659bd6c6p-18, 0x1.be8e99cfc7717p-18, 0x1.9d6a512d3eef7p-18, 0x1.7d121c4529e6fp-18, 0x1.5d80e92c6af02p-18, 0x1.3eb1d2a1e985bp-18, 0x1.20a01e8edbaaap-18, 0x1.03473c846f686p-18, 0x1.cd4588a2479b7p-19, 0x1.955ce92f8fcc1p-19, 0x1.5ecc62eba7fedp-19, 0x1.298c066492446p-19, 0x1.eb2853db71996p-20, 0x1.85bace54ba8dp-20, 0x1.22c1314079bdp-20, 0x1.845b5d8a5edebp-21, 0x1.8fcbc6c8e45fap-22, 0x1.00832234bffap-25, -0x1.46ad30458f917p-22, -0x1.524e857e981b6p-21, -0x1.fcf6d01239ed4p-21, -0x1.51b2f512ff19p-20, -0x1.a2d8c287f2792p-20, -0x1.f1f74c75b995fp-20, -0x1.1f8c5ada46f2dp-19, -0x1.452365a0141c6p-19, -0x1.69c583cbcb4cfp-19, -0x1.8d774aeba0cb4p-19, -0x1.b03d2a6b002eap-19, -0x1.d21b6d0cb97ebp-19, -0x1.f3163a59d8ffep-19, -0x1.0998cc021a567p-18, -0x1.1938b5a351158p-18, -0x1.286cbd10f33ecp-18, -0x1.3736b656ebff1p-18, -0x1.45986723a7215p-18, -0x1.5393875e1eab9p-18, -0x1.6129c1b7b88edp-18, -0x1.6e5cb435d173cp-18, -0x1.7b2df0b7f6fa4p-18, -0x1.879efd7d632a5p-18, -0x1.93b155a064854p-18, -0x1.9f66698e2fc94p-18, -0x1.aabf9f7e577ep-18, -0x1.b5be53e08e61ep-18, -0x1.c063d9c89efa1p-18, -0x1.cab17b5a4e629p-18, -0x1.d4a87a2be0cp-18, -0x1.de4a0fa3d7996p-18, -0x1.e7976d5cccfecp-18, -0x1.f091bd77ebd5fp-18, -0x1.f93a22f600e47p-18, -0x1.00c8dd069fd02p-17, -0x1.04cccc398180ap-17, -0x1.08a966d7593b8p-17, -0x1.0c5f31aee9958p-17, -0x1.0feeaebfc10cap-17, -0x1.13585d5a02585p-17, -0x1.169cba4011178p-17, -0x1.19bc3fc5948cp-17, -0x1.1cb765ed0178p-17, -0x1.1f8ea284bb5c4p-17, -0x1.22426941a66a9p-17, -0x1.24d32bdb1e96ap-17, -0x1.27415a22aad64p-17, -0x1.298d621bc8e0dp-17, -0x1.2bb7b0143b5bbp-17, -0x1.2dc0aeb94df29p-17, -0x1.2fa8c72c6c362p-17, -0x1.317061187e59p-17, -0x1.3317e2c3633e3p-17, -0x1.349fb1212a4b7p-17, -0x1.36082fe473b9p-17, -0x1.3751c1905d0dp-17, -0x1.387cc7875de4fp-17, -0x1.3989a2198029dp-17, -0x1.3a78b094b4b3bp-17, -0x1.3b4a515018542p-17, -0x1.3bfee1b9d8064p-17, -0x1.3c96be62df2d5p-17, -0x1.3d12430a7d2e9p-17, -0x1.3d71caa8e5552p-17, -0x1.3db5af7aa54bcp-17, -0x1.3dde4b082ba4ap-17, -0x1.3debf630bb777p-17, -0x1.3ddf09322175fp-17, -0x1.3db7dbb10232bp-17, -0x1.3d76c4bf9b5e1p-17, -0x1.3d1c1ae685c5ep-17, -0x1.3ca83429c2314p-17, -0x1.3c1b660f456fbp-17, -0x1.3b7605a5ae7d6p-17, -0x1.3ab8678874227p-17, -0x1.39e2dfe49f15cp-17, -0x1.38f5c27f65c18p-17, -0x1.37f162b7f4f6cp-17, -0x1.36d6138cc2645p-17, -0x1.35a4279ebad72p-17, -0x1.345bf13517382p-17, -0x1.32fdc23f3ee6dp-17, -0x1.3189ec58b1c18p-17, -0x1.3000c0c9fafb2p-17, -0x1.2e62908c3d2cfp-17, -0x1.2cafac4a197fbp-17, -0x1.2ae8646252b4cp-17, -0x1.290d08e8777e3p-17, -0x1.271de9a622495p-17, -0x1.251b561ca3f8ap-17, -0x1.23059d8594948p-17, -0x1.20dd0ed287c72p-17, -0x1.1ea1f8af04b07p-17, -0x1.1c54a98030949p-17, -0x1.19f56f64f7806p-17, -0x1.17849835a17f1p-17, -0x1.1502718510cf1p-17, -0x1.126f489eb7c11p-17, -0x1.0fcb6a870b004p-17, -0x1.0d1723fbe400fp-17, -0x1.0a52c172b5b4bp-17, -0x1.077e8f181638fp-17, -0x1.049ad8cfb407ep-17, -0x1.01a7ea3283786p-17, -0x1.fd4c1d1c07efdp-18, -0x1.f72b21c82ecd4p-18, -0x1.f0ed77d137beap-18, -0x1.ea93b401f4986p-18, -0x1.e41e6a860b30dp-18, -0x1.dd8e2ee72f2ccp-18, -0x1.d6e39409937adp-18, -0x1.d01f2c2aa29b7p-18, -0x1.c94188dd7877ap-18, -0x1.c24b3b089b002p-18, -0x1.bb3cd2e1ebaf1p-18, -0x1.b416dfebd660cp-18, -0x1.acd9f0f391fe7p-18, -0x1.a586940cd655ep-18, -0x1.9e1d568fca9e9p-18, -0x1.969ec514a9bcap-18, -0x1.8f0b6b717e9eep-18, -0x1.8763d4b61f437p-18, -0x1.7fa88b29de226p-18, -0x1.77da184861b11p-18, -0x1.6ff904bdd8788p-18, -0x1.6805d8645dd48p-18, -0x1.60011a413b88ep-18, -0x1.57eb5080e7a7cp-18, -0x1.4fc5007403dbbp-18, -0x1.478eae8bde731p-18, -0x1.3f48de5924513p-18, -0x1.36f41287bdaeep-18, -0x1.2e90ccdbc2badp-18, -0x1.261f8e2e8c2e6p-18, -0x1.1da0d66bea832p-18, -0x1.1515248fa9d25p-18, -0x1.0c7cf6a207a3p-18, -0x1.03d8c9b5f62ccp-18, -0x1.f65233cbc51f5p-19, -0x1.e4dcc4a1eb19p-19, -0x1.d3523a31c6653p-19, -0x1.c1b386be3f8ccp-19, -0x1.b0019a848e315p-19, -0x1.9e3d63b85bd84p-19, -0x1.8c67ce80013a8p-19, -0x1.7a81c4ed1a404p-19, -0x1.688c2efa433d4p-19, -0x1.5687f286a66dfp-19, -0x1.4475f351b9e12p-19, -0x1.325712f6dd19bp-19, -0x1.202c30ea06334p-19, -0x1.0df62a75224e6p-19, -0x1.f76bb567ce289p-20, -0x1.d2d835209c8f4p-20, -0x1.ae33817a86089p-20, -0x1.897f436d2b47cp-20, -0x1.64bd1f797ffdfp-20, -0x1.3feeb5a6fc94fp-20, -0x1.1b15a17c7f6a4p-20, -0x1.ec66f3f400e5ap-21, -0x1.a293a32a5d28ap-21, -0x1.58b46c6964da1p-21, -0x1.0ecc625ce3fbdp-21, -0x1.89bd1cfff644dp-22, -0x1.ebb7c466c1e0ep-23, -0x1.87ec09dfb25b8p-24, 0x1.8efd342fafafep-25, 0x1.8b5c9f5bdd72fp-23, 0x1.596b427499175p-22, 0x1.ed10daed64771p-22, 0x1.404cc3e46f959p-21, 0x1.89ffe52baec79p-21, 0x1.d39f1b4a4cf9dp-21, 0x1.0e93dccacf02ep-20, 0x1.334b8e5d8e509p-20, 0x1.57f5555fb834ap-20, 0x1.7c8fe98013099p-20, 0x1.a11a0719e26e3p-20, 0x1.c5926f332a3f2p-20, 0x1.e9f7e77ada801p-20, 0x1.07249d250104ep-19, 0x1.19429b51001bap-19, 0x1.2b555815ca8bap-19, 0x1.3d5c3f99f5fap-19, 0x1.4f56c056a549p-19, 0x1.61444b13ccd2p-19, 0x1.732452e85b53cp-19, 0x1.84f64d393e084p-19, 0x1.96b9b1b842247p-19, 0x1.a86dfa61e1a4cp-19, 0x1.ba12a37afa314p-19, 0x1.cba72b90655a8p-19, 0x1.dd2b13746647fp-19, 0x1.ee9dde3bffc44p-19, 0x1.ffff113d10964p-19, 0x1.08a71a062094bp-18, 0x1.1145683deb9bcp-18, 0x1.19da394c3861bp-18, 0x1.22655453b3acdp-18, 0x1.2ae68191351edp-18, 0x1.335d8a5a8ffc2p-18, 0x1.3bca391e137d2p-18, 0x1.442c5960d0f1fp-18, 0x1.4c83b7bc8e07ap-18, 0x1.54d021df1f56p-18, 0x1.5d11668842b82p-18, 0x1.654755885e7f4p-18, 0x1.6d71bfbf0abffp-18, 0x1.75907718f52d1p-18, 0x1.7da34e8e302bdp-18, 0x1.85aa1a20edb43p-18, 0x1.8da4aedbb1483p-18, 0x1.9592e2cfb8f8dp-18, 0x1.9d748d133b785p-18, 0x1.a54985be920d5p-18, 0x1.ad11a5eb87991p-18, 0x1.b4ccc7b2db9a8p-18, 0x1.bc7ac62aa11c7p-18, 0x1.c41b7d6476ba9p-18, 0x1.cbaeca6b511f8p-18, 0x1.d3348b41804f1p-18, 0x1.daac9edec55ecp-18, 0x1.e216e52e54de9p-18, 0x1.e9733f0cc6cedp-18, 0x1.f0c18e45906a3p-18, 0x1.f801b591cd6f1p-18, 0x1.ff33989595e1ep-18, 0x1.032b8def1c0b5p-17, 0x1.06b6127017edfp-17, 0x1.0a394cfa4834ep-17, 0x1.0db5312b6be7fp-17, 0x1.1129b311845bp-17, 0x1.1496c729a07c7p-17, 0x1.17fc625f1a90bp-17, 0x1.1b5a7a0a2c97dp-17, 0x1.1eb103eec6fe4p-17, 0x1.21fff63bc4d5bp-17, 0x1.254747897b9ddp-17, 0x1.2886eed8e51cep-17, 0x1.2bbee3924e6ebp-17, 0x1.2eef1d84239c6p-17, 0x1.321794e1eda53p-17, 0x1.3538424358059p-17, 0x1.38511ea2cd2efp-17, 0x1.3b62235c95226p-17, 0x1.3e6b4a2da988fp-17, 0x1.416c8d321b686p-17, 0x1.4465e6e479a71p-17, 0x1.4757521c782e7p-17, 0x1.4a40ca0de0422p-17, 0x1.4d224a476294cp-17, 0x1.4ffbceb1570e2p-17, 0x1.52cd538cb3559p-17, 0x1.5596d571fa716p-17, 0x1.5858515013e6p-17, 0x1.5b11c46afe3abp-17, 0x1.5dc32c5aa4a7ep-17, 0x1.606c870a23bdbp-17, 0x1.630dd2b6301a7p-17, 0x1.65a70dec32b6dp-17, 0x1.6838378956c9p-17, 0x1.6ac14eb8e6649p-17, 0x1.6d4252f3b499p-17, 0x1.6fbb43feb3b79p-17, 0x1.722c21e9bb26ep-17, 0x1.7494ed0ecc09ep-17, 0x1.76f5a6109edf5p-17, 0x1.794e4dd9be5d2p-17, 0x1.7b9ee59b72bd1p-17, 0x1.7de76ecc694dp-17, 0x1.8027eb27df24fp-17, 0x1.82605cac8c732p-17, 0x1.8490c59b2f3a3p-17, 0x1.86b92875de60ep-17, 0x1.88d987feddef7p-17, 0x1.8af1e73794731p-17, 0x1.8d02495f86243p-17, 0x1.8f0ab1f329247p-17, 0x1.910b24aabe0ebp-17, 0x1.9303a57972076p-17, 0x1.94f4388c6f81p-17, 0x1.96dce24991547p-17, 0x1.98bda74eae9bdp-17, 0x1.9a968c7045253p-17, 0x1.9c6796b895becp-17, 0x1.9e30cb66c928bp-17, 0x1.9ff22fedc5c3ap-17, 0x1.a1abc9f3363fp-17, 0x1.a35d9f4e9d3fcp-17, 0x1.a507b608564abp-17, 0x1.a6aa14588e098p-17, 0x1.a844c0a644a64p-17, 0x1.a9d7c1869100ep-17, 0x1.ab631dbba75d8p-17, 0x1.ace6dc339f389p-17, 0x1.ae630407cd8b4p-17, 0x1.afd79c7ba1aedp-17, 0x1.b144acfbe15d4p-17, 0x1.b2aa3d1dd6491p-17, 0x1.b408549e37f87p-17, 0x1.b55efb603b199p-17, 0x1.b6ae396d05b79p-17, 0x1.b7f616f25c8f2p-17, 0x1.b9369c41fec39p-17, 0x1.ba6fd1d108c95p-17, 0x1.bba1c0368c1bep-17, 0x1.bccc702b21b7p-17, 0x1.bdefea88021p-17, 0x1.bf0c38462725ep-17, 0x1.c021627d6a3e9p-17, 0x1.c12f7263c88d6p-17, 0x1.c236714c7f7f2p-17, 0x1.c33668a75a067p-17, 0x1.c42f61fff995p-17, 0x1.c52166fce11c6p-17, 0x1.c60c815ec25a8p-17, 0x1.c6f0baffa88edp-17, 0x1.c7ce1dd2514e5p-17, 0x1.c8a4b3e189a98p-17, 0x1.c974874f31f92p-17, 0x1.ca3da25390edbp-17, 0x1.cb000f3cc3722p-17, 0x1.cbbbd86dd0529p-17, }}, 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
      std::vector<double>(950, 0.0), 
    }}, 
    {
      46, 0x1.e851eb851eb85p+2, 0x1.50d7729b47be5p+0, 0x1.ac82affd2ae3ep+1, -0x1.9870a20ab408cp-8, 
      {{
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.3253850dba244p-6, -0x1.0cb52838e2843p-5, 0x1.618fe93b19fa9p-6, -0x1.99f26ab21d654p-8}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.18539aaee2833p-6, -0x1.f6d3e5cd2749cp-6, 0x1.52306ba138e03p-6, -0x1.8fa9db9bad77ep-8}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.0004a730f8263p-6, -0x1.d5c2181715494p-6, 0x1.4333a6982f2bbp-6, -0x1.86ebaa20d545ep-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.d2a6f0b744ebep-7, -0x1.b62bc55986bacp-6, 0x1.348ad036f3f93p-6, -0x1.7dc3cd238a91dp-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.a85a96cb0d9abp-7, -0x1.9808563160ac3p-6, 0x1.2639deec052d4p-6, -0x1.74b8409458507p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.80ff99e890f33p-7, -0x1.7b4f0e1a0dc2cp-6, 0x1.183fc2e67510cp-6, -0x1.6ba51dcf359ap-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.5c7232391172dp-7, -0x1.5ff73a81f4df9p-6, 0x1.0a9cc4fb7ca7ap-6, -0x1.62940373e752dp-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.3a8f76c3cd7dcp-7, -0x1.45f8262d06711p-6, 0x1.faa1a34e47f5ep-7, -0x1.59825da6f027ep-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.1b355d6dff593p-7, -0x1.2d491c96106a2p-6, 0x1.e0b7dc4829263p-7, -0x1.5070dd3712d58p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.fc8575f5ba5ecp-8, -0x1.15e16906e11cdp-6, 0x1.c77c32173aefdp-7, -0x1.475f52c44478dp-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.c72e8617321d5p-8, -0x1.ff70adaccfcap-7, 0x1.aeeea57bb5cd5p-7, -0x1.3e4dcb003122bp-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.9627103ec1d1dp-8, -0x1.d58a62b01f122p-7, 0x1.970f36421883fp-7, -0x1.353c4284201a6p-8}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.6931f726bd2afp-8, -0x1.adfe87c068428p-7, 0x1.7fdde4782fb52p-7, -0x1.2c2aba3955fa4p-8}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.4013db456f9c3p-8, -0x1.88bbb385e2366p-7, 0x1.695ab01a49426p-7, -0x1.231931e15b6fp-8}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.1a931acd1c625p-8, -0x1.65b07ca8e66ddp-7, 0x1.5385992962671p-7, -0x1.1a07a98ceb05ap-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.f0efa357fd046p-9, -0x1.44cb79d1c526dp-7, 0x1.3e5e9fa5372d2p-7, -0x1.10f621377dc6ep-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.b317b318918f4p-9, -0x1.25fb41a8d1104p-7, 0x1.29e5c38dda8abp-7, -0x1.07e498e2671dp-8}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.7b3593a84b924p-9, -0x1.092e6ad65c3c8p-7, 0x1.161b04e346023p-7, -0x1.fda6211a43e8ap-9}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.48e3ef4b6fc4bp-9, -0x1.dca7180571c44p-8, 0x1.02fe63a57d0ffp-7, -0x1.eb83107000561p-9}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.1bc0ebbe32716p-9, -0x1.aab277ac725b3p-8, 0x1.e11fbfa8fa199p-8, -0x1.d95fffc57d97dp-9}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.e6dc54696ee2ap-10, -0x1.7c5c21f25e9e3p-8, 0x1.bd9ef2e090ae5p-8, -0x1.c73cef1b444b8p-9}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.9f218eb6245cdp-10, -0x1.51814427daf6ap-8, 0x1.9b7a60f1b85b5p-8, -0x1.b519de70b1f99p-9}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.5fa2b6aa8b444p-10, -0x1.29ff0b9d8bc17p-8, 0x1.7ab209dc77cf2p-8, -0x1.a2f6cdc667aadp-9}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.27b7f37e88adfp-10, -0x1.05b2a5a41548bp-8, 0x1.5b45eda0c9a27p-8, -0x1.90d3bd1c0625ap-9}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.ed80c6b3c19d1p-11, -0x1.c8f27f18380c7p-9, 0x1.3d360c3eaf93p-8, -0x1.7eb0ac7189f9p-9}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.984436a86df18p-11, -0x1.8c600d4c88876p-9, 0x1.208265b62ba06p-8, -0x1.6c8d9bc75ab0fp-9}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.4e944eea1b44cp-11, -0x1.5568508664f6p-9, 0x1.052afa073805ep-8, -0x1.5a6a8b1cadfecp-9}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.0f5915678cb8p-11, -0x1.23c5a36715f13p-9, 0x1.d65f9263bc59p-9, -0x1.48477a7292c76p-9}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.b310fbde877b8p-12, -0x1.ee64c11fc86acp-10, 0x1.a521a66c2654dp-9, -0x1.362469c7f6e7dp-9}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.584cd45effeb7p-12, -0x1.9ed1c54431418p-10, 0x1.769c3027c14bep-9, -0x1.2401591dcdff2p-9}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.0c89536c7e97fp-12, -0x1.5847087df7ed8p-10, 0x1.4acf2f967bff5p-9, -0x1.11de4872dc27bp-9}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.9c0be7c4f79ep-13, -0x1.1a39400facaacp-10, 0x1.21baa4b874925p-9, -0x1.ff766f944534dp-10}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.363c18b7d8f01p-13, -0x1.c83a4277ca76fp-11, 0x1.f6bd1f1aab904p-10, -0x1.db304e342dd42p-10}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.c9233ccd07682p-14, -0x1.6acec28a478f9p-11, 0x1.af75e02c717d8p-10, -0x1.b6ea2d092a2ebp-10}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.48652a09a70cp-14, -0x1.1b196adc68896p-11, 0x1.6d9f8c9e44c39p-10, -0x1.92a40b18989a1p-10}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.c9f341167418p-15, -0x1.b0074be335072p-12, 0x1.313a248dc7796p-10, -0x1.6e5dec089bcf2p-10}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.34176d6ab7fp-15, -0x1.40edbcaac0f22p-12, 0x1.f48b4f18f9ccap-11, -0x1.4a17c23d1cd9fp-10}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.8cd7c7a6683ffp-16, -0x1.cd71f9d44dc92p-13, 0x1.91842e6d0abedp-11, -0x1.25d1c07dff03ep-10}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.e412343b9e403p-17, -0x1.3e77c4ba7ca19p-13, 0x1.395edb140b0acp-11, -0x1.018b2949d5695p-10}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.1350bf62d28p-17, -0x1.a124fdde7070bp-14, 0x1.d83703c8960a1p-12, -0x1.ba8d7fb9c416ap-11}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.1d63873b0ep-18, -0x1.fd9f9765e6c89p-15, 0x1.5372f710db37p-12, -0x1.71f4698f86e43p-11}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.03dd2ed99dp-19, -0x1.1a756dc5ccb51p-15, 0x1.c8ece1fecbe1bp-13, -0x1.29980517bc892p-11}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.85eda67b18p-21, -0x1.0eccb754d1a4p-16, 0x1.165e788a27904p-13, -0x1.c0b23a5771a95p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.a85a96cb00001p-23, -0x1.97cabf4846342p-18, 0x1.1f85347971557p-14, -0x1.34cf22ac38e7ap-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.e6dc546b00001p-26, -0x1.7ff3897702aa5p-20, 0x1.98f07eaed6601p-16, -0x1.208c6288419bcp-13}, 
        {0x1.e666666666666p+2, 0x1.e851eb851eb85p+2, 0x1.34176dbffffffp-31, -0x1.a9e60f8f24942p-26, 0x1.f57376c10ap-19, -0x1.b41a8b0050548p-12}, 
      }}, 
      0x1.fb7526d381c8fp-7, -0x1.7abd4813bf08cp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_f_mg() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      {{-0x1.0f4d93bb32a9p+0, -0x1.0736ba08897eep+0, -0x1.f8bb4b5dda09cp-1, -0x1.de3efe534709bp-1, -0x1.bfbbb09c9fb4bp-1, -0x1.9df397b7b6912p-1, -0x1.79a161b7e1d33p-1, -0x1.5373e1010edap-1, -0x1.2c0b615856b8bp-1, -0x1.03f834fb77b7p-1, -0x1.b7744c9d9067dp-2, -0x1.67811dfbfad9dp-2, -0x1.18d5c92532bf2p-2, -0x1.982657260eea4p-3, -0x1.037c7371a6821p-3, -0x1.d21303382e9f2p-5, 0x1.417fdf84ca271p-7, 0x1.2bb42275c216ap-4, 0x1.1065f1f4db43ap-3, 0x1.837fa5f9d4b1cp-3, 0x1.ef066070416a3p-3, 0x1.29783f1dbc722p-2, 0x1.57a3f0aab5432p-2, 0x1.821356586c438p-2, 0x1.a8da2fa1d5adp-2, 0x1.cc11a39888195p-2, 0x1.ebd724c121068p-2, 0x1.0425be216670cp-1, 0x1.10c8fb8b6c31bp-1, 0x1.1be7d8469e453p-1, 0x1.25957b1293256p-1, 0x1.2de5609cb99b7p-1, 0x1.34eb21dd86de8p-1, 0x1.3aba4317785d2p-1, 0x1.3f660a97391eap-1, 0x1.43015e917076cp-1, 0x1.459ea96b4c9cfp-1, 0x1.474fc3b478157p-1, 0x1.4825e33b510d1p-1, 0x1.48318e7933893p-1, 0x1.478293c998c26p-1, 0x1.462803bb0dac4p-1, 0x1.44302ebd1ac59p-1, 0x1.41a8a3828fd6p-1, 0x1.3e9e316ac8dcap-1, 0x1.3b1ceae7250cp-1, 0x1.373029c77d6acp-1, 0x1.32e294704ef67p-1, 0x1.2e3e23d59bf1dp-1, 0x1.294c2a0e0dc9dp-1, 0x1.2415594e93e5dp-1, 0x1.1ea1cb2aceaa5p-1, 0x1.18f907fc17f8bp-1, 0x1.13220e5393732p-1, 0x1.0d235a6342cb5p-1, 0x1.0702ed49be3e9p-1, 0x1.00c654359aa29p-1, 0x1.f4e55e7f713c4p-2, 0x1.e819710f4ae59p-2, 0x1.db31939af4924p-2, 0x1.ce35c69a459a3p-2, 0x1.c12d63ce7b311p-2, 0x1.b41f26caf0fb3p-2, 0x1.a7113a5bccad2p-2, 0x1.9a09412306e08p-2, 0x1.8d0c5f554eef9p-2, 0x1.801f43a29766ap-2, 0x1.73462f9462f0ap-2, 0x1.6684ff69d5dfp-2, 0x1.59df31771f786p-2, 0x1.4d57ed20dcf81p-2, 0x1.40f208c181f71p-2, 0x1.34b010c17b1c9p-2, 0x1.28944c152b6f4p-2, 0x1.1ca0c1fb9806ap-2, 0x1.10d73eb3f433fp-2, 0x1.053957fde27cdp-2, 0x1.f390e26587397p-3, 0x1.dd0b7e6bbf86bp-3, 0x1.c6e497dc991aap-3, 0x1.b11df3439597dp-3, 0x1.9bb90bf851be6p-3, 0x1.86b719d330223p-3, 0x1.7219166c8d8dfp-3, 0x1.5ddfc1f266eb8p-3, 0x1.4a0ba7b98652ap-3, 0x1.369d226776ddfp-3, 0x1.23945fdd021d9p-3, 0x1.10f164cff15c7p-3, 0x1.fd68205faa27fp-4, 0x1.d9b83c83b80ebp-4, 0x1.b6d25723a186ap-4, 0x1.94b56f4dafeb6p-4, 0x1.73604f15b9174p-4, 0x1.52d19045cd67ep-4, 0x1.3307a0d3831eap-4, 0x1.1400c6e0f7071p-4, 0x1.eb76493c145c5p-5, 0x1.b06977a2c785ep-5, 0x1.76d6e23614ba1p-5, 0x1.3eba1e485b27dp-5, 0x1.080e92aee2791p-5, 0x1.a59efaba14007p-6, 0x1.3deff07507f9p-6, 0x1.b20bf0d1ed73ep-7, 0x1.db5b6abc569cbp-8, 0x1.7581eadb3e5a3p-10, -0x1.16033b688defp-8, -0x1.3f7d481073a29p-7, -0x1.eed860d9b8c0cp-7, -0x1.4c94574c3170bp-6, -0x1.9f420a2531241p-6, -0x1.ef80436e3cdb7p-6, -0x1.1ead00ecbe2abp-5, -0x1.446d2230f0d4bp-5, -0x1.690602d528ddfp-5, -0x1.8c7d1cf16d964p-5, -0x1.aed7e446479c1p-5, -0x1.d01bc623fec03p-5, -0x1.f04e2739c999p-5, -0x1.07ba313925e7bp-4, -0x1.16c9e3f2809e5p-4, -0x1.2558cdd68fd1ep-4, -0x1.33698a5c495bdp-4, -0x1.40feae33601c1p-4, -0x1.4e1ac6b17d2cbp-4, -0x1.5ac0598086b9ep-4, -0x1.66f1e448a47d5p-4, -0x1.72b1dc8cbb65bp-4, -0x1.7e02af4e19f56p-4, -0x1.88e6c0c2f1da2p-4, -0x1.93606c572b087p-4, -0x1.9d72048676138p-4, -0x1.a71dd28c599abp-4, -0x1.b0661650283acp-4, -0x1.b94d069e03622p-4, -0x1.c1d4d0d5cf44cp-4, -0x1.c9ff98cd6dec6p-4, -0x1.d1cf78f4bc4p-4, -0x1.d9468274e9cf8p-4, -0x1.e066bd06197c3p-4, -0x1.e73226d0500b4p-4, -0x1.edaab4bd1b2f2p-4, -0x1.f3d252a6cae0dp-4, -0x1.f9aae2e8c612bp-4, -0x1.ff363edec69f5p-4, -0x1.023b1b571ade9p-3, -0x1.04b648eb5c943p-3, -0x1.070d877851375p-3, -0x1.0941b1c78b52ep-3, -0x1.0b539e60de513p-3, -0x1.0d441fa4a0757p-3, -0x1.0f1403c954b97p-3, -0x1.10c414c4ad561p-3, -0x1.1255187bfc7efp-3, -0x1.13c7d0fa4f978p-3, -0x1.151cfc62b1a41p-3, -0x1.165554fae1083p-3, -0x1.1771911ba0fcfp-3, -0x1.187263892ab5ap-3, -0x1.19587b92d374ep-3, -0x1.1a2484df049ffp-3, -0x1.1ad727801e029p-3, -0x1.1b710820c45f1p-3, -0x1.1bf2c83b7ec97p-3, -0x1.1c5d0614bec59p-3, -0x1.1cb05ca66e9aap-3, -0x1.1ced63bb2c3a2p-3, -0x1.1d14b022edbebp-3, -0x1.1d26d3c6aa8b9p-3, -0x1.1d245dac9a7f8p-3, -0x1.1d0dd9ef3019dp-3, -0x1.1ce3d1dac5a9fp-3, -0x1.1ca6cc176b845p-3, -0x1.1c574cb294fd4p-3, -0x1.1bf5d52265b6dp-3, -0x1.1b82e450c901cp-3, -0x1.1afef6b1346e8p-3, -0x1.1a6a8650394f8p-3, -0x1.19c60af050babp-3, -0x1.1911fa058abf7p-3, -0x1.184ec6c62df37p-3, -0x1.177ce2394abfdp-3, -0x1.169cbb441d75ap-3, -0x1.15aebeb89d351p-3, -0x1.14b3575fa6b14p-3, -0x1.13aaee0950176p-3, -0x1.1295e99477519p-3, -0x1.1174aef7e5c98p-3, -0x1.1047a14cb6fc6p-3, -0x1.0f0f21d66567ap-3, -0x1.0dcb901ad7cc9p-3, -0x1.0c7d49e4cc6f4p-3, -0x1.0b24ab475c0c7p-3, -0x1.09c20eab46d14p-3, -0x1.0855ccd330ea2p-3, -0x1.06e03ce535fb5p-3, -0x1.0561b47d1480dp-3, -0x1.03da87ae1de7ap-3, -0x1.024b0906b27aap-3, -0x1.00b38995db257p-3, -0x1.fe28b1f9d1f22p-4, -0x1.fadb8abe8e2dep-4, -0x1.f78037076e4e6p-4, -0x1.f4174da2243acp-4, -0x1.f0a162a28933fp-4, -0x1.ed1f0768d5ec6p-4, -0x1.e990cab167f04p-4, -0x1.e5f73899ffeep-4, -0x1.e252dab5c48e9p-4, -0x1.dea4381720b27p-4, -0x1.daebd551e4cdp-4, -0x1.d72a348d8ca7fp-4, -0x1.d35fd579a5d35p-4, -0x1.cf8d3554ce886p-4, -0x1.cbb2cf346411ep-4, -0x1.c7d11b94a2b87p-4, -0x1.c3e890cfdaec4p-4, -0x1.bff9a2fb86ae8p-4, -0x1.bc04c3e840c59p-4, -0x1.b80a632124a5dp-4, -0x1.b40aee0ba6aa6p-4, -0x1.b006cfd6cc116p-4, -0x1.abfe7192db036p-4, -0x1.a7f23a2c31669p-4, -0x1.a3e28e794628ap-4, -0x1.9fcfd13de7989p-4, -0x1.9bba632407bd5p-4, -0x1.97a2a2d245b1ap-4, -0x1.9388ece35c3eep-4, -0x1.8f6d9bf38d9e4p-4, -0x1.8b5108aa13ef2p-4, -0x1.873389b9b9bd5p-4, -0x1.831573db15ab2p-4, -0x1.7ef719e98e63ep-4, -0x1.7ad8ccc725e5dp-4, -0x1.76badb7c56d3ep-4, -0x1.729d933774325p-4, -0x1.6e813f467d44ep-4, -0x1.6a6629384ffe3p-4, -0x1.664c988c170a1p-4, -0x1.6234d35b89095p-4, -0x1.5e1f1dacaebfcp-4, -0x1.5a0bb9e670a83p-4, -0x1.55fae89d79e33p-4, -0x1.51ece8bad4bc7p-4, -0x1.4de1f7777d06fp-4, -0x1.49da50525afefp-4, -0x1.45d62d32a66b7p-4, -0x1.41d5c63b4e854p-4, -0x1.3dd9520d31714p-4, -0x1.39e1059f00bfcp-4, -0x1.35ed144d294fbp-4, -0x1.31fdafe6253bdp-4, -0x1.2e1308a89fcf5p-4, -0x1.2a2d4d42c7023p-4, -0x1.264caae72ef88p-4, -0x1.22714d4c2f1aap-4, -0x1.1e9b5e9a612ep-4, -0x1.1acb078b09857p-4, -0x1.17006f8314dd3p-4, -0x1.133bbc4417255p-4, -0x1.0f7d12490acd6p-4, -0x1.0bc494a12bd65p-4, -0x1.08126503416cp-4, -0x1.0466a3c51aed4p-4, -0x1.00c16fe8a81dp-4, -0x1.fa45ce45bd5e4p-5, -0x1.f3164badb5a53p-5, -0x1.ebf48e54328dap-5, -0x1.e4e0c9f2c2119p-5, -0x1.dddb2fd89a458p-5, -0x1.d6e3eed6e3338p-5, -0x1.cffb336a9ffadp-5, -0x1.c92127a1d36fp-5, -0x1.c255f34843feap-5, -0x1.bb99bbe48bcfcp-5, -0x1.b4eca4c2ac89ap-5, -0x1.ae4ecee6d63e5p-5, -0x1.a7c0594ea461ep-5, -0x1.a14160d71eaa8p-5, -0x1.9ad200267153cp-5, -0x1.94724feba05efp-5, -0x1.8e2266da33f8ap-5, -0x1.87e259a452b5dp-5, -0x1.81b23b2be7dc3p-5, -0x1.7b921c6f91e7bp-5, -0x1.75820c9d1dc83p-5, -0x1.6f82190133aecp-5, -0x1.69924d0de1d3dp-5, -0x1.63b2b270a8becp-5, -0x1.5de35165feb3ep-5, -0x1.58243042be7fep-5, -0x1.527554189b544p-5, -0x1.4cd6c069622d1p-5, -0x1.47487724f65dbp-5, -0x1.41ca789140c82p-5, -0x1.3c5cc3548dd2p-5, -0x1.36ff548ee99dp-5, -0x1.31b22812f0e5p-5, -0x1.2c7538989aae8p-5, -0x1.27487fd35ffefp-5, -0x1.222bf656150c2p-5, -0x1.1d1f936b7a22bp-5, -0x1.18234ce194843p-5, -0x1.133716d8df05fp-5, -0x1.0e5ae41097605p-5, -0x1.098ea62943c4fp-5, -0x1.04d24e15379ccp-5, -0x1.0025cc7179d67p-5, -0x1.f71222a928202p-6, -0x1.edf8181f4cf5fp-6, -0x1.e4fd555b74fbp-6, -0x1.dc21b2e7b080dp-6, -0x1.d36505ee79a95p-6, -0x1.cac720f2cd298p-6, -0x1.c247d548206f4p-6, -0x1.b9e6f481d690fp-6, -0x1.b1a4511668602p-6, -0x1.a97fbe19b31edp-6, -0x1.a1790dcc74a4p-6, -0x1.99900f7ccefb4p-6, -0x1.91c48e51a65dfp-6, -0x1.8a16510c5858ap-6, -0x1.82851b3d43c8cp-6, -0x1.7b10afbd65bdap-6, -0x1.73b8d32bd0ec6p-6, -0x1.6c7d4d5366ddcp-6, -0x1.655de8fe2a31fp-6, -0x1.5e5a71f8dfdb2p-6, -0x1.5772b1cd7ebdp-6, -0x1.50a66d3e5f444p-6, -0x1.49f562ed142fp-6, -0x1.435f4c0ad96e9p-6, -0x1.3ce3dff859717p-6, -0x1.3682d57df7118p-6, -0x1.303beb36af03fp-6, -0x1.2a0ee3d81841ep-6, -0x1.23fb8757f5263p-6, -0x1.1e019f1681327p-6, -0x1.1820f17345b6fp-6, -0x1.12593e08a8a39p-6, -0x1.0caa3c84833ddp-6, -0x1.07139dedf7d48p-6, -0x1.019510ce99561p-6, -0x1.f85c8cb94bb9ep-7, -0x1.edbded168548dp-7, -0x1.e34dc474f14bap-7, -0x1.d90ba353f2a14p-7, -0x1.cef7205e1b68fp-7, -0x1.c50fcd0d4681ap-7, -0x1.bb552c1b12d5bp-7, -0x1.b1c6ac8a73af5p-7, -0x1.a863ab10a1eb9p-7, -0x1.9f2b798f672b9p-7, -0x1.961d6b0f36f34p-7, -0x1.8d38dfdb4e06ap-7, -0x1.847d4e048172cp-7, -0x1.7bea4320700e6p-7, -0x1.737f5e3f1fa01p-7, -0x1.6b3c4377f9f1ep-7, -0x1.63208ee45404fp-7, -0x1.5b2bca63989b1p-7, -0x1.535d69421eb97p-7, -0x1.4bb4c9df6e1f9p-7, -0x1.44313c82171a2p-7, -0x1.3cd20de6e07b5p-7, -0x1.359693eec3dc3p-7, -0x1.2e7e38f2ee6b9p-7, -0x1.278881c65acb4p-7, -0x1.20b50b65f1414p-7, -0x1.1a03804bd46cbp-7, -0x1.13738d49e2038p-7, -0x1.0d04d2ed1fcd9p-7, -0x1.06b6e4540adb5p-7, -0x1.0089452b16aefp-7, -0x1.f4f6d58233bf6p-8, -0x1.e9197bf14c33ap-8, -0x1.dd793e2edbd61p-8, -0x1.d214dca257bfbp-8, -0x1.c6eb2ebf5532ep-8, -0x1.bbfb350ecb2dep-8, -0x1.b1441abc5c0d5p-8, -0x1.a6c5239d56b58p-8, -0x1.9c7d960dff0b3p-8, -0x1.926caadbc2ebbp-8, -0x1.8891914501ffep-8, -0x1.7eeb7a8f76154p-8, -0x1.75799e38b7096p-8, -0x1.6c3b2e9400f7p-8, -0x1.632f45936d30dp-8, -0x1.5a54e1432d922p-8, -0x1.51aaf55ce97a1p-8, -0x1.493088bccf5fcp-8, -0x1.40e4cba1fb9c7p-8, -0x1.38c711558f782p-8, -0x1.30d6b2f3e9b44p-8, -0x1.2912f1a3cfab1p-8, -0x1.217af0da866d5p-8, -0x1.1a0dcd415df5fp-8, -0x1.12cabb2888dbdp-8, -0x1.0bb10f45fc554p-8, -0x1.04c026f346c72p-8, -0x1.fbee86b2181bcp-9, -0x1.eeaaf2881a7f8p-9, -0x1.e1b38ece7dee6p-9, -0x1.d50689e2e3acdp-9, -0x1.c8a28dd9b872p-9, -0x1.bc86c326951f2p-9, -0x1.b0b288663609ep-9, -0x1.a52511dc3fe78p-9, -0x1.99dd32b9ccc15p-9, -0x1.8ed9757aedde6p-9, -0x1.841865f0223e1p-9, -0x1.7998cf2023108p-9, -0x1.6f59ae7f76203p-9, -0x1.6559def4d08aep-9, -0x1.5b97c271fc1a1p-9, -0x1.52113d0416ae3p-9, -0x1.48c40f7091831p-9, -0x1.3fae504b58f14p-9, -0x1.36ceb86d10dd5p-9, -0x1.2e24a30405aefp-9, -0x1.25afcb7429071p-9, -0x1.1d6fed8af62edp-9, -0x1.15647d0087881p-9, -0x1.0d8c98af8edbep-9, -0x1.05e73ca21789cp-9, -0x1.fce716892524p-10, -0x1.ee61d391ef9aap-10, -0x1.e03d8225963acp-10, -0x1.d2781fa907b61p-10, -0x1.c50e707243093p-10, -0x1.b7fc7810585e5p-10, -0x1.ab3e4de701029p-10, -0x1.9ed0ad38a2e11p-10, -0x1.92b13e58bcad5p-10, -0x1.86dec75886e51p-10, -0x1.7b590619ca2c2p-10, -0x1.702001cb2f9a5p-10, -0x1.65332da679d79p-10, -0x1.5a9101ebdbbd3p-10, -0x1.50375d1ecb68ap-10, -0x1.462453d404b99p-10, -0x1.3c56a80c1d9fdp-10, -0x1.32cd881dc1fb5p-10, -0x1.2987e7931f146p-10, -0x1.20840fbe3d5c9p-10, -0x1.17bfc2fa44a3bp-10, -0x1.0f389cd1869f6p-10, -0x1.06ec11525be6dp-10, -0x1.fdaecc951536bp-11, -0x1.edf104506afbbp-11, -0x1.de9de8530fd71p-11, -0x1.cfb75a178f4c4p-11, -0x1.c13eff3742823p-11, -0x1.b333fc58a7c3dp-11, -0x1.a593499b0c2cap-11, -0x1.98592c27f3133p-11, -0x1.8b81c4d4eb0b2p-11, -0x1.7f0905bc3461ep-11, -0x1.72eb3a0983d7bp-11, -0x1.67259c1f42d72p-11, -0x1.5bb6108596635p-11, -0x1.509aa4de52a4ap-11, -0x1.45d18988658d3p-11, -0x1.3b585ce0d412dp-11, -0x1.312ad14ac8779p-11, -0x1.2744375ab590bp-11, -0x1.1da36a28693e1p-11, -0x1.144ad047c9ef6p-11, -0x1.0b3bfd4a364bep-11, -0x1.02759fd955009p-11, -0x1.f3ec0abb9157dp-12, -0x1.e37a351aa079fp-12, -0x1.d39516fc0bdcap-12, -0x1.c4378045b1f51p-12, -0x1.b5593f2b17c69p-12, -0x1.a6f33a344ba39p-12, -0x1.9900fa332cafap-12, -0x1.8b7ebfba209bcp-12, -0x1.7e6790eb6d52bp-12, -0x1.71b6a63b6e443p-12, -0x1.65686e2717b0bp-12, -0x1.597701427ec2p-12, -0x1.4ddb6f931a7e4p-12, -0x1.4296de9eb3977p-12, -0x1.37b0a393ecb81p-12, -0x1.2d293e663c637p-12, -0x1.22f9384dabec2p-12, -0x1.191c5fb24c29bp-12, -0x1.0f94e344f4a7fp-12, -0x1.06646d18b34edp-12, -0x1.fb11549b43523p-13, -0x1.e9fad38804ffep-13, -0x1.d97defb92dc64p-13, -0x1.c99645f4b3605p-13, -0x1.ba42040c90d29p-13, -0x1.ab7e4bc64223dp-13, -0x1.9d43b129f8ce9p-13, -0x1.8f89932933c89p-13, -0x1.824a78f0cae7p-13, -0x1.757c9ebda7bf2p-13, -0x1.6910d42e39635p-13, -0x1.5d06c621350d6p-13, -0x1.5169d36bcaa52p-13, -0x1.46377ff28d705p-13, -0x1.3b666b6798294p-13, -0x1.30f8a01213335p-13, -0x1.26f17b51649ffp-13, -0x1.1d4bd561b1ccp-13, -0x1.140133876ef61p-13, -0x1.0b0f039d2557ep-13, -0x1.0274aea41ccd8p-13, -0x1.f4614816d7994p-14, -0x1.e47fecdc9c626p-14, -0x1.d53f8fceff19cp-14, -0x1.c69a9e581016cp-14, -0x1.b88802a791d1p-14, -0x1.aaffccff699d8p-14, -0x1.9e063b463682ep-14, -0x1.919f159cfeed5p-14, -0x1.85b90cfcd2e63p-14, -0x1.7a4a09554b682p-14, -0x1.6f5191487a365p-14, -0x1.64b9e9f042577p-14, -0x1.5a7cd55cd078dp-14, -0x1.50ab500243e7ap-14, -0x1.4747f96193d12p-14, -0x1.3e49b28118a61p-14, -0x1.35a8a7aff3386p-14, -0x1.2d6038937cccbp-14, -0x1.256f8def9e0ep-14, -0x1.1dd8974dd076bp-14, -0x1.169b3f585e37ep-14, -0x1.0fb29fe41f295p-14, -0x1.091827438d7e2p-14, -0x1.02c68cc13b89ep-14, -0x1.f96eda85e693dp-15, -0x1.edc8e0949c7f2p-15, -0x1.e2a3bfd85dd0ap-15, -0x1.d815b9b2ad5f7p-15, -0x1.ce0bf0fa7545fp-15, -0x1.c47361bac9373p-15, -0x1.bb50d54cd682ap-15, -0x1.b295b87bc2b59p-15, -0x1.aa4f7bfb8b1b3p-15, -0x1.a279755617239p-15, -0x1.9af6d731d9687p-15, -0x1.93bba4de12ca8p-15, -0x1.8ccd866e9b7b1p-15, -0x1.8633c2b922055p-15, -0x1.7fec555a4f349p-15, -0x1.79efc0c7390c4p-15, -0x1.743cc7801b8fp-15, -0x1.6ed730ffb9199p-15, -0x1.69bc21ccb8587p-15, -0x1.64e2822fb667ep-15, -0x1.60431636b6805p-15, -0x1.5bd7df4959e03p-15, -0x1.579a1a5d13b8ep-15, -0x1.538c30400b4a3p-15, -0x1.4fbdde63c1ea4p-15, -0x1.4c26da5dd4817p-15, -0x1.48b13796fa5d1p-15, -0x1.455c6fe5eacdep-15, -0x1.422cee13b3a14p-15, -0x1.3f325bfa39071p-15, -0x1.3c64f3d610102p-15, -0x1.39be4ca9dd669p-15, -0x1.373bd70ef3d9p-15, -0x1.34d5cded1087dp-15, -0x1.32833476caa23p-15, -0x1.3044a1801b453p-15, -0x1.2e20b8b0c87dcp-15, -0x1.2c1623e8c3836p-15, -0x1.2a1ecf7a521ebp-15, -0x1.283d08c258ce3p-15, -0x1.267419a3e6bp-15, -0x1.24bf926687d05p-15, -0x1.231a3f0e6a702p-15, -0x1.2181e54ad4154p-15, -0x1.1ff4d8929a884p-15, -0x1.1e71d292bc33bp-15, -0x1.1cfd4a3678b55p-15, -0x1.1b9b5a7513fdfp-15, -0x1.1a3e79747cfdcp-15, -0x1.18e30097fa80dp-15, -0x1.17915e2d75f79p-15, -0x1.164c2b73d7c61p-15, -0x1.150bdc62f7f85p-15, -0x1.13cf221348677p-15, -0x1.1296f8e8485dap-15, -0x1.11647e7bf6343p-15, -0x1.10392d1683165p-15, -0x1.0f146676029d1p-15, -0x1.0df0e07a1c5fp-15, -0x1.0ccaa40788b42p-15, -0x1.0ba4bd4e6bcf6p-15, -0x1.0a7efd6e70f61p-15, -0x1.0956e7d80170bp-15, -0x1.08304a8cddd6fp-15, -0x1.070b819688cdp-15, -0x1.05e514ee09784p-15, -0x1.04bbbad284a41p-15, -0x1.038f9bdb33c17p-15, -0x1.02605360c76edp-15, -0x1.012d34930f9efp-15, -0x1.fff193d20a5c3p-16, -0x1.fd85523ecaf1bp-16, -0x1.fb0a56472898cp-16, -0x1.f889ab31b5442p-16, -0x1.f604bf19c4f68p-16, -0x1.f375a3b909aacp-16, -0x1.f0dc82c9992c9p-16, -0x1.ee39d352a26ep-16, -0x1.eb8d60a4dd54fp-16, -0x1.e8d6b9d24168fp-16, -0x1.e615e50d54694p-16, -0x1.e34b46dc3c405p-16, -0x1.e0786fe11f18ep-16, -0x1.dd9e8181463d4p-16, -0x1.dab9e8995c70dp-16, -0x1.d7c8190c39a7ep-16, -0x1.d4c97b640d312p-16, -0x1.d1be3ea9d2561p-16, -0x1.ceab0b43a5d16p-16, -0x1.cb8e41c3cb5ap-16, -0x1.c8657e4d7eed2p-16, -0x1.c5310fdcfe782p-16, -0x1.c1f19e11734b1p-16, -0x1.bea7173e9f308p-16, -0x1.bb50fc842f5p-16, -0x1.b7f0fbee5512p-16, -0x1.b486e81ed8bdp-16, -0x1.b1111efb71f69p-16, -0x1.ad926ca1ad9b1p-16, -0x1.aa091503eb2f1p-16, -0x1.a6755190459c5p-16, -0x1.a2d79742f696p-16, -0x1.9f3010e431417p-16, -0x1.9b7eff2717ba2p-16, -0x1.97c47cdf27c0dp-16, -0x1.9400b60458508p-16, -0x1.9033d32cbdf04p-16, -0x1.8c5dfacc012fdp-16, -0x1.887f67035ad27p-16, -0x1.8498b39a0eaa6p-16, -0x1.80ab15ccb5ca9p-16, }}, 
      {{-0x1.13c139c7f0ab4p+0, -0x1.10fe3a5bc72a4p+0, -0x1.0d3b3717e46b1p+0, -0x1.088d9af3dd0d5p+0, -0x1.030ca4482ba6bp+0, -0x1.f9a0a5eedd5a4p-1, -0x1.ebe1446b57c1ap-1, -0x1.dd09f439c5a78p-1, -0x1.cd47967d6ea0dp-1, -0x1.bcc49402d873bp-1, -0x1.aba884e46d4b7p-1, -0x1.9a17fd9fb9feep-1, -0x1.883478d83288p-1, -0x1.761c56e29ed9cp-1, -0x1.63eaede39bb2ep-1, -0x1.51b8a47562eccp-1, -0x1.3f9b1888071d4p-1, -0x1.2da5470c7db81p-1, -0x1.1be7bad89f019p-1, -0x1.0a70bbd5083f1p-1, -0x1.f298fcf7a2572p-2, -0x1.d10aa59cecd79p-2, -0x1.b047a2c212366p-2, -0x1.905e0c5e48e7dp-2, -0x1.7159317f94294p-2, -0x1.5341e30856901p-2, -0x1.361eb8717cee3p-2, -0x1.19f44f98c48b1p-2, -0x1.fd8b0e33b7f93p-3, -0x1.c92767f6b9642p-3, -0x1.96bda590dfd8ap-3, -0x1.664b68a061252p-3, -0x1.37cc4c8dc9ca1p-3, -0x1.0b3a3018fcc46p-3, -0x1.c11aef769bf96p-4, -0x1.6f7a9372f6396p-4, -0x1.217f837f6b084p-4, -0x1.ae2891fb0924cp-5, -0x1.204419f5db557p-5, -0x1.32439eaa4844fp-6, -0x1.890451cfab60fp-9, 0x1.868c6195f076dp-7, 0x1.ab57406df037cp-6, 0x1.43bd0ab243d2dp-5, 0x1.ac0b2b249ed16p-5, 0x1.0764d43096d6ap-4, 0x1.3615e1d404f75p-4, 0x1.623213bbded2p-4, 0x1.8bd25f014347ap-4, 0x1.b30f474eac494p-4, 0x1.d800d0a18f8b7p-4, 0x1.fabe73b752a5fp-4, 0x1.0daf8a713f5adp-3, 0x1.1cfc7e79facc9p-3, 0x1.2b50e9fd228a6p-3, 0x1.38b74e9d823f4p-3, 0x1.4539db468e979p-3, 0x1.50e269f610881p-3, 0x1.5bba81712d732p-3, 0x1.65cb549da0aedp-3, 0x1.6f1dc3950955dp-3, 0x1.77ba5cef96ff8p-3, 0x1.7fa95e70aa336p-3, 0x1.86f2b73e453fap-3, 0x1.8d9e093b9a7f3p-3, 0x1.93b2aaf511c36p-3, 0x1.9937a993404fbp-3, 0x1.9e33cae0d766p-3, 0x1.a2ad8f5f2e0a5p-3, 0x1.a6ab346eb5dfcp-3, 0x1.aa32b67b35d41p-3, 0x1.ad49d2c7cc383p-3, 0x1.aff60a520fe76p-3, 0x1.b23ca332a2bfcp-3, 0x1.b422ab12b1184p-3, 0x1.b5acf92d04884p-3, 0x1.b6e0305cb817dp-3, 0x1.b7c0c0dd83c16p-3, 0x1.b852eab371274p-3, 0x1.b89abf0fa9b96p-3, 0x1.b89c2265f967bp-3, 0x1.b85ace20f3d6ep-3, 0x1.b7da525d66c0dp-3, 0x1.b71e1792b5391p-3, 0x1.b6296027e1c73p-3, 0x1.b4ff4a09cf024p-3, 0x1.b3a2d02050e74p-3, 0x1.b216cbc505d38p-3, 0x1.b05df61e42e8cp-3, 0x1.ae7ae97c18204p-3, 0x1.ac70229f8ac3ap-3, 0x1.aa4001db2e72bp-3, 0x1.a7eccc7fd35a4p-3, 0x1.a578adbdc5deep-3, 0x1.a2e5b7df00b9dp-3, 0x1.a035e54b332aap-3, 0x1.9d6b19870db22p-3, 0x1.9a87222f30d17p-3, 0x1.978bb7e36a9c8p-3, 0x1.947a7f288cce7p-3, 0x1.915509423a57ap-3, 0x1.8e1cd50450e9dp-3, 0x1.8ad34f9cbc573p-3, 0x1.8779d54fe0d3ep-3, 0x1.8411b1b2c9625p-3, 0x1.809c22dbab8adp-3, 0x1.7d1a550afeb74p-3, 0x1.798d684af9e0fp-3, 0x1.75f66e8dbaac8p-3, 0x1.72566cc1fa1c8p-3, 0x1.6eae5b5f6516ap-3, 0x1.6aff26eebe829p-3, 0x1.6749b09099a69p-3, 0x1.638ece792132bp-3, 0x1.5fcf4c66a46a1p-3, 0x1.5c0bec1b86b5dp-3, 0x1.584565b11ef11p-3, 0x1.547c683752247p-3, 0x1.50b199e51f85cp-3, 0x1.4ce59894b6ae1p-3, 0x1.4918fa171f729p-3, 0x1.454c4c9286c54p-3, 0x1.418016d633f5cp-3, 0x1.3db4d8ab9e978p-3, 0x1.39eb0b22fc343p-3, 0x1.362320e22966cp-3, 0x1.325d8669fe9d3p-3, 0x1.2e9aa25cbacf3p-3, 0x1.2adad5bedd3d2p-3, 0x1.271e7c3733fe4p-3, 0x1.2365ec4a9b877p-3, 0x1.1fb177969f717p-3, 0x1.1c016b09886adp-3, 0x1.18560f15285cep-3, 0x1.14afa7e9a104ap-3, 0x1.110e7598aae53p-3, 0x1.0d72b45011fe1p-3, 0x1.09dc9c838ccb1p-3, 0x1.064c6314ae9b7p-3, 0x1.02c2397fd3948p-3, 0x1.fe7c9bffc593dp-4, 0x1.f78197704e011p-4, 0x1.f093b5a9ecfa2p-4, 0x1.e9b3415d78c8bp-4, 0x1.e2e07fe1361ddp-4, 0x1.dc1bb154e8738p-4, 0x1.d56510f9c80bdp-4, 0x1.cebcd565a4496p-4, 0x1.c82330af5d596p-4, 0x1.c19850af5b6e2p-4, 0x1.bb1c5f2b64cd4p-4, 0x1.b4af820bedd45p-4, 0x1.ae51db89bdb3ep-4, 0x1.a8038a5718275p-4, 0x1.a1c4a9cc5dd2cp-4, 0x1.9b9552100ae9dp-4, 0x1.95759846a4db6p-4, 0x1.8f658ea205fcbp-4, 0x1.8965449bbfae6p-4, 0x1.8374c70fc7d34p-4, 0x1.7d942056b6098p-4, 0x1.77c35866c3423p-4, 0x1.720274f41aa81p-4, 0x1.6c5179949a4f7p-4, 0x1.66b067ccc04d1p-4, 0x1.611f3f2b00012p-4, 0x1.5b9dfd681871ep-4, 0x1.562c9e80fb7eap-4, 0x1.50cb1cbd7ce3fp-4, 0x1.4b7970d847626p-4, 0x1.4637920484c21p-4, 0x1.4105760b311cap-4, 0x1.3be3115bf7a29p-4, 0x1.36d0571af2196p-4, 0x1.31cd3936916c1p-4, 0x1.2cd9a8761992ep-4, 0x1.27f5948d32f39p-4, 0x1.2320ec169ee67p-4, 0x1.1e5b9ccbc04ffp-4, 0x1.19a5936984421p-4, 0x1.14febbcd1a1d1p-4, 0x1.106701070d7bdp-4, 0x1.0bde4d590c644p-4, 0x1.07648a4f5c7aep-4, 0x1.02f9a0be4699dp-4, 0x1.fd3af1ae76cep-5, 0x1.f49ff4535e76ap-5, 0x1.ec221767d7a56p-5, 0x1.e3c127d4001abp-5, 0x1.db7cf16e100fep-5, 0x1.d3553f3246bc9p-5, 0x1.cb49db1aa0be4p-5, 0x1.c35a8e59ab5bcp-5, 0x1.bb87215ddacc2p-5, 0x1.b3cf5bd4151f9p-5, 0x1.ac3304b957ebfp-5, 0x1.a4b1e2800556dp-5, 0x1.9d4bbaf24146cp-5, 0x1.9600536d1b8ecp-5, 0x1.8ecf70868b38cp-5, 0x1.87b8d51b5c49cp-5, 0x1.80bc4a31c96cdp-5, 0x1.79d98e3d6747p-5, 0x1.7310662cee996p-5, 0x1.6c6094fc81725p-5, 0x1.65c9dd589d3c8p-5, 0x1.5f4c01c0c0054p-5, 0x1.58e6c47090248p-5, 0x1.5299e780a030ap-5, 0x1.4c652ce35fca7p-5, 0x1.464856715d5b1p-5, 0x1.404325ea86f5bp-5, 0x1.3a555cf9a535dp-5, 0x1.347ebd3d6c023p-5, 0x1.2ebf087c0dd63p-5, 0x1.291600067caf9p-5, 0x1.238365c990e23p-5, 0x1.1e06fb71ee06cp-5, 0x1.18a082b4046c8p-5, 0x1.134fbd6e3701fp-5, 0x1.0e146da0ceef7p-5, 0x1.08ee555aed46ap-5, 0x1.03dd36d788cd7p-5, 0x1.fdc1a8f446a71p-6, 0x1.f3f1e19e16471p-6, 0x1.ea4a9d1d2bb0ep-6, 0x1.e0cb615bcd3c5p-6, 0x1.d773b49ffa99fp-6, 0x1.ce431da93e6cdp-6, 0x1.c53923c279f6cp-6, 0x1.bc554e947fb27p-6, 0x1.b3972678400fdp-6, 0x1.aafe341e53625p-6, 0x1.a28a010aed41cp-6, 0x1.9a3a171a0987fp-6, 0x1.920e00fc2ffc6p-6, 0x1.8a0549d5a474bp-6, 0x1.821f7d8cb57bp-6, 0x1.7a5c28a0fa065p-6, 0x1.72badbd763c54p-6, 0x1.6b3b1a85c5605p-6, 0x1.63dc7dd891d53p-6, 0x1.5c9e91ab8e71dp-6, 0x1.5580e60fcb968p-6, 0x1.4e830be76ccf2p-6, 0x1.47a494cd574d8p-6, 0x1.40e5132790a75p-6, 0x1.3a441a2aefe3ep-6, 0x1.33c13dcc3ff12p-6, 0x1.2d5c12f2b1023p-6, 0x1.27142f2d7f388p-6, 0x1.20e928f6e4f3p-6, 0x1.1ada97a4dfacp-6, 0x1.14e8135f8466bp-6, 0x1.0f113523adc7ap-6, 0x1.095596da39c22p-6, 0x1.03b4d34fcd58bp-6, 0x1.fc5d0c319e73p-7, 0x1.f1849768f596dp-7, 0x1.e6df793ae032dp-7, 0x1.dc6d0c63ff3cap-7, 0x1.d22c7105a762fp-7, 0x1.c81cf17cf1bcep-7, 0x1.be3dcfed99774p-7, 0x1.b48e500e1cd83p-7, 0x1.ab0db7c1314d3p-7, 0x1.a1bb4e82871aap-7, 0x1.98965db9e33cfp-7, 0x1.8f9e30a363c55p-7, 0x1.86d2146b9e928p-7, 0x1.7e3157de3347cp-7, 0x1.75bb4bfb0ab66p-7, 0x1.6d6f435e2248fp-7, 0x1.654c927989013p-7, 0x1.5d528fe962f83p-7, 0x1.558093c34edc1p-7, 0x1.4dd5f836895c4p-7, 0x1.46521930edba8p-7, 0x1.3ef454c2e459ep-7, 0x1.37bc0a6f63bfap-7, 0x1.30a89bcc4a2ebp-7, 0x1.29b96c4af5252p-7, 0x1.22ede12db6dc2p-7, 0x1.1c4561db10878p-7, 0x1.15bf5670559b9p-7, 0x1.0f5b2a82c773ap-7, 0x1.09184a5c020a4p-7, 0x1.02f6248d46be3p-7, 0x1.f9e852976caf9p-8, 0x1.ee239535f28ecp-8, 0x1.e29cf9b1af6adp-8, 0x1.d7536858707f3p-8, 0x1.cc45d3062f357p-8, 0x1.c1732b3fc182ap-8, 0x1.b6da67168ab4ep-8, 0x1.ac7a8006ff4f9p-8, 0x1.a2527323c1659p-8, 0x1.986140f8325bap-8, 0x1.8ea5ed53d384p-8, 0x1.851f7f81585b1p-8, 0x1.7bcd024a420c5p-8, 0x1.72ad83cb8e756p-8, 0x1.69c016548cb65p-8, 0x1.6103ceb5b07fp-8, 0x1.5877c5348459dp-8, 0x1.501b158d3be58p-8, 0x1.47ecde70206dcp-8, 0x1.3fec41dafc6f1p-8, 0x1.3818650bf525dp-8, 0x1.3070708d36f9ep-8, 0x1.28f39085deacbp-8, 0x1.21a0f40b19994p-8, 0x1.1a77cd63111d6p-8, 0x1.137752364fdd4p-8, 0x1.0c9ebac351265p-8, 0x1.05ed41ca0ee89p-8, 0x1.fec44ae8931aep-9, 0x1.f1f94cf6ae764p-9, 0x1.e5781336cf071p-9, 0x1.d93f2c31a26fbp-9, 0x1.cd4d2d0b9f6cap-9, 0x1.c1a0b13255395p-9, 0x1.b6385900818fap-9, 0x1.ab12ca3b8192dp-9, 0x1.a02eb01398bep-9, 0x1.958ab7a0ae63ap-9, 0x1.8b259885302edp-9, 0x1.80fe0c767d3e3p-9, 0x1.7712d4285366bp-9, 0x1.6d62b7076a307p-9, 0x1.63ec81e0139bcp-9, 0x1.5aaf06b51e174p-9, 0x1.51a91b877c36bp-9, 0x1.48d99bd14d01ap-9, 0x1.403f8283d6641p-9, 0x1.37d95f3153467p-9, 0x1.2fa66dae77c8p-9, 0x1.27a57fb26e8d5p-9, 0x1.1fd5889338e1bp-9, 0x1.183580ec08f11p-9, 0x1.10c465bc5aa35p-9, 0x1.09813a5af7072p-9, 0x1.026b0503f469dp-9, 0x1.f701a2e80d23dp-10, 0x1.e9835bdf868dep-10, 0x1.dc59585c6981dp-10, 0x1.cf81c5c94aa89p-10, 0x1.c2fad898cdbcfp-10, 0x1.b6c2cdd2294d9p-10, 0x1.aad7eca22268dp-10, 0x1.9f3883f455954p-10, 0x1.93e2edfeeb0c8p-10, 0x1.88d58a7f82a87p-10, 0x1.7e0ec50564bb5p-10, 0x1.738d0f300e926p-10, 0x1.694ee17718dcbp-10, 0x1.5f52bb55f27ep-10, 0x1.559720ccfd94bp-10, 0x1.4c1a9dbc17051p-10, 0x1.42dbc30d46702p-10, 0x1.39d928a9cc99fp-10, 0x1.31116d393800cp-10, 0x1.288337a225f73p-10, 0x1.202d375fd7873p-10, 0x1.180e265280f31p-10, 0x1.1024c49e2a27dp-10, 0x1.086fd8a425a74p-10, 0x1.00ee3383066cbp-10, 0x1.f33d453383198p-11, 0x1.e4fff986584d9p-11, 0x1.d722352d5c89cp-11, 0x1.c9a1925add2c6p-11, 0x1.bc7c342b99273p-11, 0x1.afaf8b5ba2639p-11, 0x1.a3399a46ed45p-11, 0x1.9718526b3f0b5p-11, 0x1.8b49ba1750385p-11, 0x1.7fcbe44368e08p-11, 0x1.749cea6e37824p-11, 0x1.69baf3b955544p-11, 0x1.5f24222fa8ac9p-11, 0x1.54d6a344485edp-11, 0x1.4ad0ae4d7c96fp-11, 0x1.41106b5f52ee1p-11, 0x1.37942a7f23f07p-11, 0x1.2e5a303aebc56p-11, 0x1.2560d79185843p-11, 0x1.1ca68ae1c6e08p-11, 0x1.1429c9e26bed3p-11, 0x1.0be918cae94d7p-11, 0x1.03e3094bdb7dep-11, 0x1.f82c5b13f0f95p-12, 0x1.e9021d957300cp-12, 0x1.da44917d49704p-12, 0x1.cbf0e8457bb88p-12, 0x1.be0468425079ep-12, 0x1.b07c6518439a1p-12, 0x1.a3563e53cda8ep-12, 0x1.968f64384915dp-12, 0x1.8a255fede089cp-12, 0x1.7e15d959fc17ep-12, 0x1.725e94981f6ddp-12, 0x1.66fd65a42c8dbp-12, 0x1.5bf022c43d936p-12, 0x1.51349dd34b4e9p-12, 0x1.46c8a93f190b9p-12, 0x1.3caa23995c5eep-12, 0x1.32d6ff270a89fp-12, 0x1.294d42645b7dep-12, 0x1.200b021ac25d5p-12, 0x1.170e58843d472p-12, 0x1.0e5569159a2b5p-12, 0x1.05de5813617b3p-12, 0x1.fb4ecb2d631b3p-13, 0x1.eb5dbd9864dd6p-13, 0x1.dbe643607a082p-13, 0x1.cce526cc63b6fp-13, 0x1.be57285d8c824p-13, 0x1.b03903e9b7dc8p-13, 0x1.a28787ab61cb5p-13, 0x1.953fa8c2f4794p-13, 0x1.885e908aa29fep-13, 0x1.7be17f038a51cp-13, 0x1.6fc5d7098174p-13, 0x1.6408feb253b9bp-13, 0x1.58a86c11c79ffp-13, 0x1.4da188ec7dde6p-13, 0x1.42f1d1435edfep-13, 0x1.3896c74867b1p-13, 0x1.2e8e141f72c0ep-13, 0x1.24d54b356ff4dp-13, 0x1.1b6a21cd1e221p-13, 0x1.124a42263ecfp-13, 0x1.09737a225a763p-13, 0x1.00e38dea4ccp-13, 0x1.f1310f536498cp-14, 0x1.e120dad20006p-14, 0x1.d192dd32b4835p-14, 0x1.c2836d411d4dfp-14, 0x1.b3ef0bd89515p-14, 0x1.a5d2618cb44e5p-14, 0x1.982a1079d10b7p-14, 0x1.8af28c7c3e1f3p-14, 0x1.7e284574419a4p-14, 0x1.71c7c5baf72cep-14, 0x1.65cdcaca3423cp-14, 0x1.5a374a3fac096p-14, 0x1.4f014dce25ca1p-14, 0x1.4428f1517b882p-14, 0x1.39ab62ad642c5p-14, 0x1.2f86013fe7672p-14, 0x1.25b61d86e1386p-14, 0x1.1c391959d4277p-14, 0x1.130c747e92eb2p-14, 0x1.0a2de3931d094p-14, 0x1.019b410c21552p-14, 0x1.f2a4f4698c71fp-15, 0x1.e2a2667a6cbecp-15, 0x1.d329c6a248376p-15, 0x1.c4361d0f04fa2p-15, 0x1.b5c28a4e2b3adp-15, 0x1.a7cadc73e01d7p-15, 0x1.9a4b525a3cf67p-15, 0x1.8d409de105ee8p-15, 0x1.80a7694919701p-15, 0x1.747bf1eb7ec79p-15, 0x1.68bae68e0fb58p-15, 0x1.5d60cf2a9816dp-15, 0x1.526a337eeb312p-15, 0x1.47d3db190c858p-15, 0x1.3d9b07391f818p-15, 0x1.33bd16b72c46bp-15, 0x1.2a3779c6dc3ccp-15, 0x1.210733c3857dfp-15, 0x1.1829ae3b4fcfap-15, 0x1.0f9b2c744fb47p-15, 0x1.0758a7840af9ep-15, 0x1.febe6c65865d2p-16, 0x1.ef589bcf48bfbp-16, 0x1.e07ba3d9397d2p-16, 0x1.d2237627a94b8p-16, 0x1.c44bfb2a1a523p-16, 0x1.b6f067e612fdap-16, 0x1.aa0c35e810a4dp-16, 0x1.9d9b3d7f56e48p-16, 0x1.9199957077f68p-16, 0x1.860382886104cp-16, 0x1.7ad642190534ep-16, 0x1.700ebaf31389bp-16, 0x1.65a89c473e5e9p-16, 0x1.5ba12119da341p-16, 0x1.51f4d176973e7p-16, 0x1.48a071177da2ap-16, 0x1.3fa0529213befp-16, 0x1.36f104c56a478p-16, 0x1.2e8f63ca1046fp-16, 0x1.2678c799a6276p-16, 0x1.1eab0f02cea05p-16, 0x1.1723b7e0e692bp-16, 0x1.0fe00a9d799aep-16, 0x1.08dd18e7c6daep-16, 0x1.0217e71ab632ep-16, 0x1.f71ca36f34805p-17, 0x1.ea7c517d0a7b4p-17, 0x1.de4b32d12b049p-17, 0x1.d2868ca872276p-17, 0x1.c72941f54c2a1p-17, 0x1.bc2f9185b3942p-17, 0x1.b195da0ce795bp-17, 0x1.a758251d41f92p-17, 0x1.9d736b615c077p-17, 0x1.93e43e52ac405p-17, 0x1.8aa7230978d59p-17, 0x1.81b8aa29144d2p-17, 0x1.791592de770cp-17, 0x1.70bb2b55c9c57p-17, 0x1.68a6cad1f1194p-17, 0x1.60d61a42f9436p-17, 0x1.594641d8e04b1p-17, 0x1.51f3b254171a2p-17, 0x1.4adc48fe4649bp-17, 0x1.43fda238b39f1p-17, 0x1.3d55cdfedd089p-17, 0x1.36e2467714afbp-17, 0x1.30a17112ac90dp-17, 0x1.2a90591bb0aa1p-17, 0x1.24acca3673aa4p-17, 0x1.1ef5334b1403ep-17, 0x1.1967ff8c09cd2p-17, 0x1.1403626959bfbp-17, 0x1.0ec6062a5bb88p-17, 0x1.09ae1777630dbp-17, 0x1.04ba26bf9268dp-17, 0x1.ffd1a606f612dp-18, 0x1.f6701696a5503p-18, 0x1.ed4d91b87753dp-18, 0x1.e4676f0e1e9a6p-18, 0x1.dbba71c1973bep-18, 0x1.d344e88f900fap-18, 0x1.cb0437d7aa906p-18, 0x1.c2f542c82daeap-18, 0x1.bb173b17eece4p-18, 0x1.b368698901fd7p-18, 0x1.abe688f763287p-18, 0x1.a48f124cdf903p-18, 0x1.9d5fb5055a36bp-18, 0x1.9656d52bf0501p-18, 0x1.8f720c8f0f48fp-18, 0x1.88b117bb519bbp-18, 0x1.82114a6b2f54p-18, 0x1.7b909332fe373p-18, 0x1.752fc9562bbfap-18, 0x1.6eecf492405e4p-18, 0x1.68c656bc299aep-18, 0x1.62bb127fd9fcap-18, 0x1.5cc9b8a1b116dp-18, 0x1.56f0c7a3e2f1fp-18, 0x1.512f3794dc741p-18, 0x1.4b8441ea078ccp-18, 0x1.45eefd21768efp-18, 0x1.406e82f203409p-18, 0x1.3b01ea8bb5a61p-18, 0x1.35a8fde32fe92p-18, 0x1.3061e8596eb76p-18, 0x1.2b2ce5795557dp-18, 0x1.26090d9d6768fp-18, 0x1.20f4ce7cc152bp-18, 0x1.1bf02fb068433p-18, 0x1.16fa9f18ac298p-18, 0x1.121406ef77437p-18, 0x1.0d3ac6cc1defdp-18, 0x1.086e5d71a969p-18, 0x1.03ae964b77463p-18, 0x1.fdf76b34d642cp-19, 0x1.f4a9335f70d02p-19, 0x1.eb712dccf20d5p-19, 0x1.e250a7557a9c1p-19, 0x1.d945b7e06d153p-19, 0x1.d04ee841d34ffp-19, 0x1.c76c3bd29318ap-19, 0x1.be9d93487e12p-19, 0x1.b5e17d3efd39bp-19, 0x1.ad3956e25d102p-19, 0x1.a4a2458d8866fp-19, 0x1.9c1d2ffef47aep-19, 0x1.93a9f2fa016dbp-19, 0x1.8b47a8e3b68c8p-19, 0x1.82f5ba96ff8c4p-19, 0x1.7ab44ce81f411p-19, 0x1.7282fa81296e2p-19, 0x1.6a6169bbc3c84p-19, 0x1.624f1399b000ep-19, 0x1.5a4d3279cf3ddp-19, 0x1.5258fef22e39p-19, 0x1.4a7510ee9fb75p-19, 0x1.42a0441980b29p-19, 0x1.3ad8aad76f113p-19, 0x1.33206f907a2c4p-19, 0x1.2b76a79912a36p-19, 0x1.23db21ce6b4a6p-19, 0x1.1c4dd2dd153acp-19, 0x1.14cec92873dc4p-19, 0x1.0d5d86e291095p-19, 0x1.05fa4933e3b2dp-19, 0x1.fd4ad0a24cd3fp-20, 0x1.eebe5cbe109e7p-20, 0x1.e04c1d93803adp-20, 0x1.d1f68cbf654f2p-20, 0x1.c3bd55bf8bf4dp-20, 0x1.b5a07a2633a94p-20, 0x1.a7a08c9626e67p-20, 0x1.99bb86cd51f96p-20, 0x1.8bf3725ddb3b1p-20, 0x1.7e471dd073304p-20, 0x1.70b71246de027p-20, 0x1.6344a73565a98p-20, 0x1.55efc4e5438eap-20, 0x1.48b5644b8c925p-20, 0x1.3b99409686f5cp-20, 0x1.2e9a5a019568ap-20, 0x1.21b8e6447dcd7p-20, 0x1.14f3151146dd1p-20, 0x1.084c4c4fcbc4fp-20, 0x1.f787a96a03d19p-21, 0x1.deacb71b1cac6p-21, 0x1.c60f3abc977a4p-21, 0x1.adb1844eb9374p-21, 0x1.958c52218b32ap-21, 0x1.7da3edd3e2c92p-21, 0x1.65f8ca9ebdc6ap-21, 0x1.4e8a9b4b6f11cp-21, 0x1.375a4bed6a135p-21, 0x1.2067abae72e69p-21, 0x1.09afd2277f332p-21, 0x1.e673cdfc5e3d9p-22, 0x1.ba000544d5a4dp-22, 0x1.8e0887db47bb1p-22, 0x1.629079dcf1c53p-22, 0x1.3796cd1dc79aep-22, 0x1.0d1b9eb9edabfp-22, 0x1.c6363d7e0037ap-23, 0x1.733b3af950313p-23, 0x1.213cee254154cp-23, 0x1.a07b40707db48p-24, 0x1.007cb4d6c8588p-24, 0x1.89fe1c7e13d2ep-26, -0x1.cba7cdea188ebp-27, -0x1.a6dd6c5dcbb81p-25, -0x1.6b72e37e010c8p-24, }}, 
      std::vector<double>(649, 0.0), 
      {{0x1.068cec8d5d327p-2, 0x1.79d7cfc3b2b0ep-2, 0x1.de41a3f5545ep-2, 0x1.1953bcef81d2p-1, 0x1.3b768c7c0a49bp-1, 0x1.55d3689e20abdp-1, 0x1.68edaa929929fp-1, 0x1.756b635a6fd82p-1, 0x1.7c051c303d179p-1, 0x1.7d7a2ad641058p-1, 0x1.7a886b9a40dc3p-1, 0x1.73e686accdff9p-1, 0x1.6a401f2f19eaep-1, 0x1.5e337232e2e9bp-1, 0x1.5050091f17244p-1, 0x1.411639f50b2d4p-1, 0x1.30f73a00a5fdp-1, 0x1.20559da51b7d5p-1, 0x1.0f861fa44e848p-1, 0x1.fda12f8a4740cp-2, 0x1.dce216c212a1ap-2, 0x1.bd3193cd5090bp-2, 0x1.9edf14438dbep-2, 0x1.8228ff6ee6949p-2, 0x1.673ec677717bdp-2, 0x1.4e42d2305e56fp-2, 0x1.374c4a528cfbdp-2, 0x1.2268b355de68ep-2, 0x1.0f9d6390e0e58p-2, 0x1.fdd1a1ba943fp-3, 0x1.e08772b42f6f7p-3, 0x1.c74454c6aa1e3p-3, 0x1.b1e8d0c85bfbap-3, 0x1.a04f750c4e911p-3, 0x1.924e385bf7dcap-3, 0x1.87b7ad7faebd5p-3, 0x1.805c0caf38ae1p-3, 0x1.7c0a12b63962bp-3, 0x1.7a8fc158f0452p-3, 0x1.7bbafd753548bp-3, 0x1.7f5a1314cd4a9p-3, 0x1.853c2005da6efp-3, 0x1.8d31717aef683p-3, 0x1.970bbbce49b26p-3, 0x1.a29e5cebdf6cfp-3, 0x1.afbe7d86803a2p-3, 0x1.be432eacdc366p-3, 0x1.ce057c4f6c89bp-3, 0x1.dee077851125fp-3, 0x1.f0b139ff985c5p-3, 0x1.01ab71e514452p-2, 0x1.0b594a363c546p-2, 0x1.1553b029bd6b5p-2, 0x1.1f8d21a5b4995p-2, 0x1.29f9085bc0f44p-2, 0x1.348bb0ff91d0ap-2, 0x1.3f3a421f734e4p-2, 0x1.49fab1882cf35p-2, 0x1.54c3bd4e40632p-2, 0x1.5f8cdc47dcceep-2, 0x1.6a4e386ff7a0bp-2, 0x1.7500a7163d2fap-2, 0x1.7f9d964075fd1p-2, 0x1.8a1f0cafa3206p-2, 0x1.947f9c05fb7c3p-2, 0x1.9eba58e8a905ep-2, 0x1.a8cad290d7052p-2, 0x1.b2ad0ab7dc0c2p-2, 0x1.bc5d6de80b366p-2, 0x1.c5d8cc2ee90c6p-2, 0x1.cf1c52a0aaba2p-2, 0x1.d82582983491p-2, 0x1.e0f22ffbb62a8p-2, 0x1.e98076fef0479p-2, 0x1.f1ceb8e7792cbp-2, 0x1.f9db967b37016p-2, 0x1.00d2f5a57a197p-1, 0x1.04966474a3997p-1, 0x1.0837b9a994fbfp-1, 0x1.0bb6ae37499c6p-1, 0x1.0f13105f13c65p-1, 0x1.124cc1ee36e1ep-1, 0x1.1563b6af3bb45p-1, 0x1.1857f2f23199ap-1, 0x1.1b298a245312fp-1, 0x1.1dd89d98d8d66p-1, 0x1.20655b4bae823p-1, 0x1.22cffcceae3c6p-1, 0x1.2518c63dc1418p-1, 0x1.2740054e31767p-1, 0x1.294610684dc26p-1, 0x1.2b2b45d262b9p-1, 0x1.2cf00af4019f4p-1, 0x1.2e94cb945889ep-1, 0x1.3019f93623e19p-1, 0x1.31800a7a33085p-1, 0x1.32c77a8815b23p-1, 0x1.33f0c88c1823cp-1, 0x1.34fc7733c56d5p-1, 0x1.35eb0c3b41466p-1, 0x1.36bd0fff60359p-1, 0x1.37730d189e36dp-1, 0x1.380d9000f163p-1, 0x1.388d26b7df112p-1, 0x1.38f25fd9b9207p-1, 0x1.393dcd6364072p-1, 0x1.396ffe53a944p-1, 0x1.398984823c693p-1, 0x1.398af15e533cbp-1, 0x1.3974d652d8e27p-1, 0x1.3947c494faf7p-1, 0x1.39044cf49bc49p-1, 0x1.38aaffb674bf1p-1, 0x1.383c6c6f4ac7ep-1, 0x1.37b921d9da43bp-1, 0x1.3721addffaa47p-1, 0x1.36769cd0ea7d1p-1, 0x1.35b87a97f9d2p-1, 0x1.34e7d15629bf6p-1, 0x1.340529f2d35dap-1, 0x1.33110be4d4451p-1, 0x1.320bfd237bed9p-1, 0x1.30f682150227ep-1, 0x1.2fd11d83e3a04p-1, 0x1.2e9c50890d7dap-1, 0x1.2d589a8db1fe4p-1, 0x1.2c0679348e83p-1, 0x1.2aa6685a683ecp-1, 0x1.2938e20c470afp-1, 0x1.27be5e7e451c2p-1, 0x1.26375409aa57bp-1, 0x1.24a43725316d5p-1, 0x1.23057a68e36bbp-1, 0x1.215b8e8078fb4p-1, 0x1.1fa6e2338a418p-1, 0x1.1de7e25b10c5dp-1, 0x1.1c1ef9eb8a82bp-1, 0x1.1a4c91eb8cb08p-1, 0x1.18711176b213dp-1, 0x1.168cddc35b3c9p-1, 0x1.14a05a1f61e1p-1, 0x1.12abe7f24b602p-1, 0x1.10afe6be73628p-1, 0x1.0eacb4299261ep-1, 0x1.0ca2abffcba26p-1, 0x1.0a92282695016p-1, 0x1.087b80b436634p-1, 0x1.065f0bece7b58p-1, 0x1.043d1e45cdf8bp-1, 0x1.02160a6724f77p-1, 0x1.ffd4425bf1adfp-2, 0x1.fb73637bde553p-2, 0x1.f70a12f67e09bp-2, 0x1.f298e81cbd2cfp-2, 0x1.ee2076d3e72c5p-2, 0x1.e9a14fac20e87p-2, 0x1.e51bffecaa46p-2, 0x1.e091117c59412p-2, 0x1.dc010b0d9cd77p-2, 0x1.d76c7022507a1p-2, 0x1.d2d3c10d90018p-2, 0x1.ce377b097f854p-2, 0x1.c998182f4cf31p-2, 0x1.c4f60f96dc4b7p-2, 0x1.c051d5594407bp-2, 0x1.bbabda99ffd0dp-2, 0x1.b7048d93d4ca7p-2, 0x1.b25c599ddcd76p-2, 0x1.adb3a737d7ffap-2, 0x1.a90adc23ea791p-2, 0x1.a4625b5bb1412p-2, 0x1.9fba8524a6983p-2, 0x1.9b13b71e09585p-2, 0x1.966e4c3ede588p-2, 0x1.91ca9cf014ee1p-2, 0x1.8d28ff112c99p-2, 0x1.8889c5fd6ee6bp-2, 0x1.83ed428b4af4fp-2, 0x1.7f53c3413e1c6p-2, 0x1.7abd942c88cbp-2, 0x1.762aff086ba7dp-2, 0x1.719c4b41f7f0ap-2, 0x1.6d11be002a08dp-2, 0x1.688b9a2dd3968p-2, 0x1.640a20823a023p-2, 0x1.5f8d8f8e68b5cp-2, 0x1.5b1623c2b31ffp-2, 0x1.56a4177a3b5a8p-2, 0x1.5237a30367c37p-2, 0x1.4dd0fca8bd4d2p-2, 0x1.497058ba03b1cp-2, 0x1.4515e9940102dp-2, 0x1.40c1dfac180f3p-2, 0x1.3c74699c179acp-2, 0x1.382db420cc02fp-2, 0x1.33edea281dffep-2, 0x1.2fb534dd647b2p-2, 0x1.2b83bbabd5865p-2, 0x1.2759a44d895ep-2, 0x1.233712c76099fp-2, 0x1.1f1c293426f21p-2, 0x1.1b09094fc706dp-2, 0x1.16fdd157d65d5p-2, 0x1.12fa9f44e4e33p-2, 0x1.0eff8f3b8c227p-2, 0x1.0b0cbbe227bfcp-2, 0x1.07223e6b8039ap-2, 0x1.03402e997c859p-2, 0x1.fecd4590cbb93p-3, 0x1.f72b5fee3dc14p-3, 0x1.ef9ad39c1f2afp-3, 0x1.e81bc54c6e59ap-3, 0x1.e0ae571e008fap-3, 0x1.d952a8a908fccp-3, 0x1.d208d7252c92ep-3, 0x1.cad0fd37970edp-3, 0x1.c3ab3360789a3p-3, 0x1.bc978fbb3d9adp-3, 0x1.b5962626b4ef4p-3, 0x1.aea7085325735p-3, 0x1.a7ca45d96c02fp-3, 0x1.a0ffec33a826cp-3, 0x1.9a4806d2bae9bp-3, 0x1.93a29f32e0fc6p-3, 0x1.8d0fbcddfd684p-3, 0x1.868f657ef0e14p-3, 0x1.80219cee494afp-3, 0x1.79c66535ee055p-3, 0x1.737dbea9d0cc8p-3, 0x1.6d47a7e848523p-3, 0x1.67241de97868cp-3, 0x1.61131c1af596dp-3, 0x1.5b149c47b6f27p-3, 0x1.552896cf5c675p-3, 0x1.4f4f0289e5c53p-3, 0x1.4987d4efea93ap-3, 0x1.43d30212c029cp-3, 0x1.3e307cb1951ecp-3, 0x1.38a0363caa5ccp-3, 0x1.33221fa1ec58p-3, 0x1.2db625c793a1bp-3, 0x1.285c3891556e6p-3, 0x1.2314440949429p-3, 0x1.1dde33c33e15cp-3, 0x1.18b9f251e93a6p-3, 0x1.13a7693994fffp-3, 0x1.0ea6810d6e01cp-3, 0x1.09b7216c7b569p-3, 0x1.04d9310551e72p-3, 0x1.000c95c0041p-3, 0x1.f6a26920f9cd2p-4, 0x1.ed4de35cfe6e8p-4, 0x1.e41b611cd7682p-4, 0x1.db0aa7bb4c7d7p-4, 0x1.d21b7b3207ff2p-4, 0x1.c94d9e34dd222p-4, 0x1.c0a0d2263031dp-4, 0x1.b814d716c38c1p-4, 0x1.afa96c0c1d108p-4, 0x1.a75e4b54780f1p-4, 0x1.9f333c910211fp-4, 0x1.9727f0c401fd9p-4, 0x1.8f3c26757b262p-4, 0x1.876f97b369923p-4, 0x1.7fc1fda3212d5p-4, 0x1.783310be420d4p-4, 0x1.70c288bb4d8dep-4, 0x1.69701c8dd7c09p-4, 0x1.623b82a8e107bp-4, 0x1.5b2470e497fbdp-4, 0x1.542a9c7759d58p-4, 0x1.4d4dba2d82183p-4, 0x1.468d7e6a95d12p-4, 0x1.3fe99d111fce3p-4, 0x1.3961c9ca4fe62p-4, 0x1.32f5b7c4b0483p-4, 0x1.2ca519fe59b4p-4, 0x1.266fa32c20d3bp-4, 0x1.205505f878502p-4, 0x1.1a54f4a480559p-4, 0x1.146f21664ee0dp-4, 0x1.0ea33e752a47p-4, 0x1.08f0fdddfeccep-4, 0x1.035811b29da17p-4, 0x1.fbb057a94bb26p-5, 0x1.f0e1fd170b6bp-5, 0x1.e64477d058524p-5, 0x1.dbd72c5c7d50ap-5, 0x1.d1997f7a45758p-5, 0x1.c78ad6138d307p-5, 0x1.bdaa95bb68fefp-5, 0x1.b3f8236bb4c67p-5, 0x1.aa72e6265c541p-5, 0x1.a11a44617fac4p-5, 0x1.97eda5709741dp-5, 0x1.8eec713ec4139p-5, 0x1.861610367cbe7p-5, 0x1.7d69eb689633dp-5, 0x1.74e76c95a18a9p-5, 0x1.6c8dfe44fd56ep-5, 0x1.645d0bd298538p-5, 0x1.5c5401868f769p-5, 0x1.54724ce0b854bp-5, 0x1.4cb75bd7e344cp-5, 0x1.45229d4994663p-5, 0x1.3db380f757ff1p-5, 0x1.36697760716f1p-5, 0x1.2f43f21e23613p-5, 0x1.2842640cbb9cp-5, 0x1.21644118396bdp-5, 0x1.1aa8fec1ec3bbp-5, 0x1.14101380b5242p-5, 0x1.0d98f6aa42a03p-5, 0x1.074320bc614e3p-5, 0x1.010e0acc697e6p-5, 0x1.f5f25dda45911p-6, 0x1.ea08114bef9b3p-6, 0x1.de5c29b58fc23p-6, 0x1.d2eda4ece0506p-6, 0x1.c7bb83886e2bap-6, 0x1.bcc4c8801abb6p-6, 0x1.b208791c7b4dcp-6, 0x1.a7859c04cbc89p-6, 0x1.9d3b390ba0559p-6, 0x1.93285a41c0803p-6, 0x1.894c0beaa0a57p-6, 0x1.7fa55eef843e5p-6, 0x1.763367a7a53cfp-6, 0x1.6cf53ea9faa8ap-6, 0x1.63ea00065988dp-6, 0x1.5b10c9cb592b8p-6, 0x1.5268bb10d7a1fp-6, 0x1.49f0f35eaafecp-6, 0x1.41a893bb93cep-6, 0x1.398ec9a2a5e53p-6, 0x1.31a29c53a7984p-6, 0x1.29e356131a1a2p-6, 0x1.22501cf07ac8dp-6, 0x1.1ae825c6826b6p-6, 0x1.13aaa8945ef37p-6, 0x1.0c96ded5e4f5cp-6, 0x1.05ac028df043dp-6, 0x1.fdd29ac904d0fp-7, 0x1.f09bf4331079cp-7, 0x1.e3b289c980508p-7, 0x1.d714db4470b35p-7, 0x1.cac17398a663cp-7, 0x1.beb6e8d93198ap-7, 0x1.b2f3dbb3df82ap-7, 0x1.a776f3df13c8p-7, 0x1.9c3edbeacb005p-7, 0x1.914a3ebfe7039p-7, 0x1.8697c49d09087p-7, 0x1.7c2615391797ep-7, 0x1.71f3d9a49271ep-7, 0x1.67ffc05268e2bp-7, 0x1.5e48819f323d1p-7, 0x1.54cce1db115afp-7, 0x1.4b8bb30d31478p-7, 0x1.4283d11c8111ep-7, 0x1.39b41e9baf33ap-7, 0x1.311b7f6c0ca2ep-7, 0x1.28b8d5af04683p-7, 0x1.208b001746531p-7, 0x1.1890dbd46da2fp-7, 0x1.10c9446bfb577p-7, 0x1.093319a335af6p-7, 0x1.01cd42554c009p-7, 0x1.f52d62443d54ap-8, 0x1.e71ccb47c3584p-8, 0x1.d966d6890238dp-8, 0x1.cc097cf62744ep-8, 0x1.bf037eb405a32p-8, 0x1.b2527dbbe226dp-8, 0x1.a5f4da39ade48p-8, 0x1.99e8c06463cc9p-8, 0x1.8e2c5c7497834p-8, 0x1.82bdd8fe3882dp-8, 0x1.779b620224614p-8, 0x1.6cc32d0f82708p-8, 0x1.62337c0bca27dp-8, 0x1.57eaa7af51585p-8, 0x1.4de71e8594227p-8, 0x1.442758667787ep-8, 0x1.3aa9dcbefa9d5p-8, 0x1.316d2f1503c16p-8, 0x1.286fd85ef4b6ep-8, 0x1.1fb068473f52ap-8, 0x1.172d773dba926p-8, 0x1.0ee59fe5cdb44p-8, 0x1.06d77df8c94bep-8, 0x1.fe0350faa5ee6p-9, 0x1.eec56df542658p-9, 0x1.dff2a945349ebp-9, 0x1.d1887524f5b54p-9, 0x1.c38469f211b0ap-9, 0x1.b5e42e0622f0ep-9, 0x1.a8a5629b4e9dfp-9, 0x1.9bc5a09effbf9p-9, 0x1.8f42876709243p-9, 0x1.8319cf681d64fp-9, 0x1.77494e97a1005p-9, 0x1.6bcee8bea8badp-9, 0x1.60a8789077b32p-9, 0x1.55d3c6e208103p-9, 0x1.4b4e9a1d830a7p-9, 0x1.4116d3ee1e165p-9, 0x1.372a874d34e72p-9, 0x1.2d87f7f3a6cf5p-9, 0x1.242d834f49f21p-9, 0x1.1b197fb961a14p-9, 0x1.124a2fb2ebaecp-9, 0x1.09bdc4106b354p-9, 0x1.0172799eb9825p-9, 0x1.f2cd4ccec04f1p-10, 0x1.e3316dd1453afp-10, 0x1.d40e26d4f0537p-10, 0x1.c5600c7145eddp-10, 0x1.b7237a93f9233p-10, 0x1.a954c563a684bp-10, 0x1.9bf08af25b28ep-10, 0x1.8ef3e1cb65fcep-10, 0x1.825c46abe3278p-10, 0x1.762784f1f4c37p-10, 0x1.6a536cda24f3fp-10, 0x1.5eddb56e6197dp-10, 0x1.53c3e3e57eeafp-10, 0x1.49037a1ba115fp-10, 0x1.3e9a1b1978b57p-10, 0x1.3485a3ee992f1p-10, 0x1.2ac3efd078c59p-10, 0x1.2152b12b85571p-10, 0x1.182f45e74da67p-10, 0x1.0f56e62c0cf35p-10, 0x1.06c6d3514a79cp-10, 0x1.fcf92ba00c69ap-11, 0x1.ecec03a2bbd69p-11, 0x1.dd629f1c0cc19p-11, 0x1.ce5a0c1224de9p-11, 0x1.bfcf908c1ea37p-11, 0x1.b1c02a606b539p-11, 0x1.a428554149f2dp-11, 0x1.970444fbac9ep-11, 0x1.8a505d7f8a2bcp-11, 0x1.7e097990ca5a6p-11, 0x1.722cc4120e963p-11, 0x1.66b754275dc58p-11, 0x1.5ba5f0c802e95p-11, 0x1.50f52839d5a9ep-11, 0x1.46a177ebc214ap-11, 0x1.3ca767674229dp-11, 0x1.33036b828c1dbp-11, 0x1.29b26cf52fabfp-11, 0x1.20b25430f7852p-11, 0x1.1801d8f00aff1p-11, 0x1.0f9fa77bc5c9p-11, 0x1.0789cac0fdcc3p-11, 0x1.ff7b6c1995d04p-12, 0x1.f0716fc273903p-12, 0x1.e1f05e30d4553p-12, 0x1.d3f2da025de2cp-12, 0x1.c673e1adb0ff9p-12, 0x1.b96f091be0c0bp-12, 0x1.ace059115bc4p-12, 0x1.a0c4072fa9945p-12, 0x1.951650bd029a9p-12, 0x1.89d35847f940fp-12, 0x1.7ef644ff853b8p-12, 0x1.747a27881bc26p-12, 0x1.6a5c146da491dp-12, 0x1.609b1af7b185ep-12, 0x1.5735d22548a87p-12, 0x1.4e2964134bc92p-12, 0x1.4572e33a270aap-12, 0x1.3d101a4e4e2f9p-12, 0x1.34fefed21da1ep-12, 0x1.2d3c3f8b3a9efp-12, 0x1.25c3e5e4d06f6p-12, 0x1.1e92552e14053p-12, 0x1.17a4ae37461fdp-12, 0x1.10f8494db35cep-12, 0x1.0a8a4127fb268p-12, 0x1.0457bfc1a72cep-12, 0x1.fcbca15d84f76p-13, 0x1.f135f8a3f17d3p-13, 0x1.e6151f34d4dccp-13, 0x1.db5803299b1b8p-13, 0x1.d0ffe5f0b412ep-13, 0x1.c70a8ac64ce41p-13, 0x1.bd716938febbbp-13, 0x1.b4304fd4d4c12p-13, 0x1.ab45ff2bd0757p-13, 0x1.a2b125c3df831p-13, 0x1.9a6e55b39eb55p-13, 0x1.92796d4f33447p-13, 0x1.8aceac5a1b986p-13, 0x1.836b11eb3751fp-13, 0x1.7c4c61451ae1ap-13, 0x1.756ff7a64eae3p-13, 0x1.6ed253557334dp-13, 0x1.686fa88302965p-13, 0x1.6245126bfd6f3p-13, 0x1.5c4e9e1a7b719p-13, 0x1.568711ea28c36p-13, 0x1.50ed01d8bac4ap-13, 0x1.4b81fe6b50af9p-13, 0x1.4643f35d96fe2p-13, 0x1.412f82589476ap-13, 0x1.3c440f180284ap-13, 0x1.37812d33c5f4bp-13, 0x1.32e48c8d853c3p-13, 0x1.2e6b929ff61f5p-13, 0x1.2a14a607c7ac7p-13, 0x1.25deb06805eb7p-13, 0x1.21c86fd0404fap-13, 0x1.1dd056428f0cbp-13, 0x1.19f4d16696e7ap-13, 0x1.163463a15ab8fp-13, 0x1.128d40da706e1p-13, 0x1.0efdae055f2ecp-13, 0x1.0b8595dbfeb7p-13, 0x1.0824b595820ffp-13, 0x1.04d868a0ce28bp-13, 0x1.019ecd63497bap-13, 0x1.fceed71e42449p-14, 0x1.f6be4ded957bap-14, 0x1.f0a9980058ecbp-14, 0x1.eab3b8fa9311ep-14, 0x1.e4dc6463ed4ddp-14, 0x1.df209f2da123ep-14, 0x1.d97df96f92071p-14, 0x1.d3f26db612e05p-14, 0x1.ce7d261bc3b2dp-14, 0x1.c91e14a523ac9p-14, 0x1.c3d46b366b55ep-14, 0x1.be9e93d2c1a67p-14, 0x1.b97a8324e676fp-14, 0x1.b46662d12f214p-14, 0x1.af605b88b46dbp-14, 0x1.aa66980e9c993p-14, 0x1.a579a1bad84b9p-14, 0x1.a09bafd1816dbp-14, 0x1.9bca3c0abf1b2p-14, 0x1.9702d572be142p-14, 0x1.9245c2011358dp-14, 0x1.8d9129af72bf7p-14, 0x1.88e65db65116bp-14, 0x1.8444797af97fbp-14, 0x1.7fa8733699f8fp-14, 0x1.7b109a9f15d45p-14, 0x1.767d483abb70ap-14, 0x1.71ef9b752a6dap-14, 0x1.6d66f8486b9a9p-14, 0x1.68e28d975adb4p-14, 0x1.646239433ee8cp-14, 0x1.5fe6561f5b716p-14, 0x1.5b6e8fee8994bp-14, 0x1.56f9ea7e3461fp-14, 0x1.5287a02cb5fb7p-14, 0x1.4e171056a94a9p-14, 0x1.49a78cd1c8623p-14, 0x1.45396cc06f94p-14, 0x1.40ce80800349ap-14, 0x1.3c65d1a618a29p-14, 0x1.37fd447e92fe5p-14, 0x1.3394e90b669b1p-14, 0x1.2f2d30779f53bp-14, 0x1.2ac80709a171ap-14, 0x1.2664a1322f878p-14, 0x1.22028dec763fbp-14, 0x1.1da1b0a1ffb2p-14, 0x1.194131af82f61p-14, 0x1.14e0514601a6dp-14, 0x1.107f86ae19665p-14, 0x1.0c1f7dc7bcebap-14, 0x1.07c027ba5be1ap-14, 0x1.03614d82be61fp-14, 0x1.fe067e03b9c92p-15, 0x1.f54cee402acbap-15, 0x1.ec9586f0725c3p-15, 0x1.e3df9208e6771p-15, 0x1.db2ae6e7b6dccp-15, 0x1.d277d75397d41p-15, 0x1.c9c5faf5d44f1p-15, 0x1.c11721f872068p-15, 0x1.b86c73f3749ddp-15, 0x1.afc374c512ac3p-15, 0x1.a71be9e47fad6p-15, 0x1.9e77f963f7174p-15, 0x1.95d8950be4379p-15, 0x1.8d3c76cb3d9c1p-15, 0x1.84a3f2848b901p-15, 0x1.7c0fad2981223p-15, 0x1.737ff9ccd0bacp-15, 0x1.6af5f61070a69p-15, 0x1.6271cc8e4b9cbp-15, 0x1.59f29932177c9p-15, 0x1.51783743b6a0fp-15, 0x1.490395e3eca24p-15, 0x1.40950f3c019ap-15, 0x1.382c8912c3973p-15, 0x1.2fcb2d103c859p-15, 0x1.2771908c1202p-15, 0x1.1f1f2415221c2p-15, 0x1.16d4172746757p-15, 0x1.0e91327348f67p-15, 0x1.06562c83e8d27p-15, 0x1.fc472d65c023dp-16, 0x1.ebf489b34605fp-16, 0x1.dbb4ef2434a06p-16, 0x1.cb870936e8488p-16, 0x1.bb6cd62158bf1p-16, 0x1.ab67a97083626p-16, 0x1.9b767e9592bf7p-16, 0x1.8b9acc85e727dp-16, 0x1.7bd4f3ad20734p-16, 0x1.6c258d3e3ca18p-16, 0x1.5c8cc953f01ccp-16, 0x1.4d0bc8ca2dd81p-16, 0x1.3da2f9c02b0d8p-16, 0x1.2e535768eab9fp-16, 0x1.1f1d4d2459265p-16, 0x1.10012f22bb1f6p-16, 0x1.00fedf670bcfbp-16, 0x1.e42cfafe5ca06p-17, 0x1.c6922dbf42f69p-17, 0x1.a9310040132fdp-17, 0x1.8c07c9da1ae27p-17, 0x1.6f17186a2a4e4p-17, 0x1.5260d0fa4d28fp-17, 0x1.35e55cdbd5a12p-17, 0x1.19a5cdcd5092cp-17, 0x1.fb4575b448a74p-18, 0x1.c3b98b7bd9949p-18, 0x1.8cac98fb3b984p-18, 0x1.561bc8660f51dp-18, 0x1.200b92426d5d7p-18, 0x1.d4f8c0f5fc4e2p-19, 0x1.6ae12fe989929p-19, 0x1.01d0410b5b29bp-19, 0x1.338cf0c1b2cd3p-20, 0x1.966a7ed39dcc4p-22, -0x1.98ecb49be982p-22, -0x1.2fee1ae1485c2p-20, -0x1.f77981358c3a3p-20, -0x1.5e6c9e8864365p-19, -0x1.c00401467ca3dp-19, -0x1.1040f3a69f2bp-18, -0x1.3ff109f94f3f8p-18, }}, 
      {{-0x1.39a90f3289b22p+0, -0x1.1c7072d2cc936p+0, -0x1.f6a5f4547b21ep-1, -0x1.b1da28cb8e044p-1, -0x1.6e0bb8acd23aep-1, -0x1.2d9046a901dadp-1, -0x1.e3b38c6b54bbep-2, -0x1.776b3581c9a2bp-2, -0x1.16f72e4b8e0fep-2, -0x1.84c418d086084p-3, -0x1.e51638096f18cp-4, -0x1.d78b77a3b45a2p-5, -0x1.a2093bbc996a7p-8, 0x1.276053dbf3d77p-5, 0x1.21a70ce9b9135p-4, 0x1.93b6e1d4fa874p-4, 0x1.edaca57e6a36cp-4, 0x1.198ddc5f2d8c5p-3, 0x1.33a8d282be8f7p-3, 0x1.46a7cd49b9c24p-3, 0x1.53e40c9442b73p-3, 0x1.5c8fcbb05b3ccp-3, 0x1.61b7a202db4b8p-3, 0x1.644496e7ffeabp-3, 0x1.64fea545fe3b6p-3, 0x1.648f7b92ec0b6p-3, 0x1.638552e2d729fp-3, 0x1.6255c05b75c29p-3, 0x1.61606edf066c2p-3, 0x1.60f1b3eed9bc6p-3, 0x1.6144f8a05c138p-3, 0x1.6286f325d4a85p-3, 0x1.64d7afb44ebcbp-3, 0x1.684c6931c2e2ap-3, 0x1.6cf132cbe4908p-3, 0x1.72ca744dff549p-3, 0x1.79d63d1633b2dp-3, 0x1.820d6bd46f292p-3, 0x1.8b64b5af42807p-3, 0x1.95cd8846efa45p-3, 0x1.a136ce565ef5ep-3, 0x1.ad8d98286867bp-3, 0x1.babdad0b44b96p-3, 0x1.c8b2026736916p-3, 0x1.d7552512c2ebbp-3, 0x1.e6918d1df27b4p-3, 0x1.f651e43d13a3p-3, 0x1.03409f622d62ap-2, 0x1.0b85a4967791cp-2, 0x1.13ee35e3b3e02p-2, 0x1.1c70f2f8bf0e7p-2, 0x1.2504f107f2ee6p-2, 0x1.2da1c1b6145c9p-2, 0x1.363f77755e808p-2, 0x1.3ed6a7ba97587p-2, 0x1.47606b5beb89bp-2, 0x1.4fd65dc59f74ap-2, 0x1.58329a37baccfp-2, 0x1.606fb98c39b65p-2, 0x1.6888cd31ffc49p-2, 0x1.70795b8810ed7p-2, 0x1.783d5b67e1cacp-2, 0x1.7fd12d6debb75p-2, 0x1.87319858bee9fp-2, 0x1.8e5bc2c914be8p-2, 0x1.954d2e0058fb3p-2, 0x1.9c03b07cbb484p-2, 0x1.a27d70a884303p-2, 0x1.a8b8dfa8e3c85p-2, 0x1.aeb4b4589a5d5p-2, 0x1.b46fe6788398ep-2, 0x1.b9e9a9969fbbp-2, 0x1.bf216972856afp-2, 0x1.c416c4d94187cp-2, 0x1.c8c98a0627aa2p-2, 0x1.cd39b2b341f38p-2, 0x1.d167608151b4bp-2, 0x1.d552d96fcea94p-2, 0x1.d8fc84d93864ep-2, 0x1.dc64e83c6cfcdp-2, 0x1.df8ca48409158p-2, 0x1.e274735673a17p-2, 0x1.e51d24a3bea25p-2, 0x1.e7879c57a820cp-2, 0x1.e9b4d02b53b1ap-2, 0x1.eba5c5aec9cc7p-2, 0x1.ed5b90665c128p-2, 0x1.eed750160d4fap-2, 0x1.f01a2f1e02254p-2, 0x1.f125610713463p-2, 0x1.f1fa211b478b9p-2, 0x1.f299b11c3ef3ap-2, 0x1.f3055828ecf7fp-2, 0x1.f33e618d98adep-2, 0x1.f3461bd20f979p-2, 0x1.f31dd7cde7a4dp-2, 0x1.f2c6e7c527da1p-2, 0x1.f2429eaf1b878p-2, 0x1.f1924f7657ep-2, 0x1.f0b74c554732ep-2, 0x1.efb2e63ef4656p-2, 0x1.ee866c5001404p-2, 0x1.ed332b5b5a44bp-2, 0x1.ebba6d6c1b406p-2, 0x1.ea1d790ea157dp-2, 0x1.e85d92a6b447ap-2, 0x1.e67bf8bb70acfp-2, 0x1.e479e7056c209p-2, 0x1.e2589488816b3p-2, 0x1.e01933abf7bc4p-2, 0x1.ddbcf20664bfbp-2, 0x1.db44f82cd5699p-2, 0x1.d8b2699511617p-2, 0x1.d606647758bb4p-2, 0x1.d34201a3dad77p-2, 0x1.d066548b507d3p-2, 0x1.cd746ad5a1b67p-2, 0x1.ca6d4cf13650bp-2, 0x1.c751fd70d34d1p-2, 0x1.c423794fede7dp-2, 0x1.c0e2b7d9feae7p-2, 0x1.bd90aab0df6a4p-2, 0x1.ba2e3dcb5236cp-2, 0x1.b6bc577ea621p-2, 0x1.b33bd873aac5ep-2, 0x1.afad9bc724abp-2, 0x1.ac1276fd2767bp-2, 0x1.a86b3a1c6aef9p-2, 0x1.a4b8afb57de9ep-2, 0x1.a0fb9cedc0edp-2, 0x1.9d34c1954c3e3p-2, 0x1.9964d82f140dap-2, 0x1.958c96109d7f7p-2, 0x1.91acab6090c0ap-2, 0x1.8dc5c33fe1de3p-2, 0x1.89d883c3d24aap-2, 0x1.85e58e24869bfp-2, 0x1.81ed7ec02d969p-2, 0x1.7df0ed31d60f7p-2, 0x1.79f06c6f78773p-2, 0x1.75ec8ad7ac0dfp-2, 0x1.71e5d249ad1d9p-2, 0x1.6ddcc8372d4f7p-2, 0x1.69d1edc5cfe7dp-2, 0x1.65c5bfdc7c04ap-2, 0x1.61b8b7321a23cp-2, 0x1.5dab48714898ap-2, 0x1.599de44c7a19cp-2, 0x1.5590f78ea27efp-2, 0x1.5184eb3013be7p-2, 0x1.4d7a2468df65p-2, 0x1.497104d7cc79ep-2, 0x1.4569ea887f50bp-2, 0x1.41653006e97c7p-2, 0x1.3d632c7615946p-2, 0x1.396433afa5b36p-2, 0x1.356896519a436p-2, 0x1.3170a1c7e7a8dp-2, 0x1.2d7ca0680fb8dp-2, 0x1.298cd98cd673ep-2, 0x1.25a191a17faa7p-2, 0x1.21bb0a31e3ff9p-2, 0x1.1dd981f9c77c6p-2, 0x1.19fd350806903p-2, 0x1.16265cc32be75p-2, 0x1.12552ff9bdb95p-2, 0x1.0e89e2fa8a61bp-2, 0x1.0ac4a7a192634p-2, 0x1.0705ad648e94dp-2, 0x1.034d21740b2a7p-2, 0x1.ff365d697d2c1p-3, 0x1.f7dffbb97642p-3, 0x1.f0976b096348p-3, 0x1.e95cf4553f3e7p-3, 0x1.e230dc9da38a2p-3, 0x1.db1364f964d49p-3, 0x1.d404caa703f1ep-3, 0x1.cd05472df2414p-3, 0x1.c615108f3d574p-3, 0x1.bf3459420ce94p-3, 0x1.b8635057a43a6p-3, 0x1.b1a2219e8dc9dp-3, 0x1.aaf0f5ad8799fp-3, 0x1.a44ff2065df21p-3, 0x1.9dbf3922ecb0bp-3, 0x1.973eea98aada5p-3, 0x1.90cf2323abfd2p-3, 0x1.8a6ffcc43f4d5p-3, 0x1.84218ed2e46adp-3, 0x1.7de3ee1574e45p-3, 0x1.77b72cd0b92dap-3, 0x1.719b5ae015219p-3, 0x1.6b9085c6037e6p-3, 0x1.6596b8cbf4461p-3, 0x1.5fadfcfd9c13cp-3, 0x1.59d659492a71cp-3, 0x1.540fd29c187f1p-3, 0x1.4e5a6bdd2e699p-3, 0x1.48b62612a9bbdp-3, 0x1.4323005b01c92p-3, 0x1.3da0f7d31b91ep-3, 0x1.3830090b4eca8p-3, 0x1.32d02d133651bp-3, 0x1.2d815c97a523p-3, 0x1.28438e751610fp-3, 0x1.2316b80435f24p-3, 0x1.1dfacd368ff8bp-3, 0x1.18efc0921e1e1p-3, 0x1.13f5834bb474bp-3, 0x1.0f0c0552a626ap-3, 0x1.0a33355ee0415p-3, 0x1.056b00fa45c41p-3, 0x1.00b35489ddf0ap-3, 0x1.f81836b08adb2p-4, 0x1.eeea7f751fffdp-4, 0x1.e5dd55d67cb6p-4, 0x1.dcf08a88882dap-4, 0x1.d423ec6f76cbbp-4, 0x1.cb77489356758p-4, 0x1.c2ea6a62287d8p-4, 0x1.ba7d1bccf15f7p-4, 0x1.b22f25290b996p-4, 0x1.aa004d5e229a8p-4, 0x1.a1f05a02e1bd5p-4, 0x1.99ff0f5b00a99p-4, 0x1.922c3073bd00ap-4, 0x1.8a777f3b9b753p-4, 0x1.82e0bc7a44b3ap-4, 0x1.7b67a801d25e8p-4, 0x1.740c00a444f1cp-4, 0x1.6ccd843a98cf5p-4, 0x1.65abeff73115bp-4, 0x1.5ea6fffe64df9p-4, 0x1.57be6ff8f1f9bp-4, 0x1.50f1faaef88bep-4, 0x1.4a415a6baee5ep-4, 0x1.43ac48cd9ca42p-4, 0x1.3d327ef8d7ce2p-4, 0x1.36d3b5871be56p-4, 0x1.308fa56b0b141p-4, 0x1.2a66046d30abbp-4, 0x1.24568bfc507bbp-4, 0x1.1e60f2ab5b657p-4, 0x1.1884ef5404f6cp-4, 0x1.12c238aca4db8p-4, 0x1.0d18852faece3p-4, 0x1.07878b3986a8dp-4, 0x1.020f010a44831p-4, 0x1.f95d398360842p-5, 0x1.eecc29243096bp-5, 0x1.e46a3d165d6cdp-5, 0x1.da36e1a726d3cp-5, 0x1.d031835161d86p-5, 0x1.c6598e8be72efp-5, 0x1.bcae701290eap-5, 0x1.b32f951328407p-5, 0x1.a9dc6b05b2e5ap-5, 0x1.a0b45f84697a5p-5, 0x1.97b6e0d0f5be1p-5, 0x1.8ee35b0f6229ap-5, 0x1.86394580f5653p-5, 0x1.7db807db9857fp-5, 0x1.755f1536fd018p-5, 0x1.6d2ddec251584p-5, 0x1.6523d61ff5cebp-5, 0x1.5d406df6fd434p-5, 0x1.5583199383f9p-5, 0x1.4deb4ce3ebaf2p-5, 0x1.46787cf06e082p-5, 0x1.3f2a1f9eb7d27p-5, 0x1.37ffab860db31p-5, 0x1.30f89814f341ep-5, 0x1.2a145e340c639p-5, 0x1.2352773ba6e1fp-5, 0x1.1cb25df2b14d5p-5, 0x1.16338db84cae4p-5, 0x1.0fd58343c33d3p-5, 0x1.0997bc44ff059p-5, 0x1.0379b7b4f87f8p-5, 0x1.faf5eab9df2e1p-6, 0x1.ef35ec6de620dp-6, 0x1.e3b279358616cp-6, 0x1.d86a97b0c8008p-6, 0x1.cd5d51054c5bcp-6, 0x1.c289b01a0cd7bp-6, 0x1.b7eec36950809p-6, 0x1.ad8b9ad85d3c9p-6, 0x1.a35f494793d6ap-6, 0x1.9968e3f7a3d5cp-6, 0x1.8fa78250b4a39p-6, 0x1.861a3e9246494p-6, 0x1.7cc0350c0e184p-6, 0x1.7398854fe226ep-6, 0x1.6aa250e99970bp-6, 0x1.61dcbc2e6cd52p-6, 0x1.5946ee06a6eedp-6, 0x1.50e00fb4be73p-6, 0x1.48a74d1b03f76p-6, 0x1.409bd49870a2fp-6, 0x1.38bcd723a2472p-6, 0x1.3109883c6a338p-6, 0x1.29811e01c7e53p-6, 0x1.2222d20490d0fp-6, 0x1.1aeddf4f7e8e4p-6, 0x1.13e183b7a397p-6, 0x1.0cfcffacab869p-6, 0x1.063f95cb3edcp-6, 0x1.ff5116c8fca66p-7, 0x1.f26e513214806p-7, 0x1.e5d56fa814c4ep-7, 0x1.d9850db91a085p-7, 0x1.cd7bcb1831b4dp-7, 0x1.c1b84bece558ep-7, 0x1.b6393a33e1878p-7, 0x1.aafd432db48cap-7, 0x1.a003185353a51p-7, 0x1.954971356bca1p-7, 0x1.8acf09ab0bda2p-7, 0x1.8092a514b8d7fp-7, 0x1.76930afe58a4ep-7, 0x1.6ccf0782e1efp-7, 0x1.63456bbe8cc67p-7, 0x1.59f50c69f00f3p-7, 0x1.50dcc158e54e1p-7, 0x1.47fb66d46f47dp-7, 0x1.3f4fdd2b3ef91p-7, 0x1.36d90b8031126p-7, 0x1.2e95dd9077c34p-7, 0x1.26854542bcd1p-7, 0x1.1ea63a408b8dap-7, 0x1.16f7b7852880bp-7, 0x1.0f78baf3de831p-7, 0x1.0828448f38259p-7, 0x1.010557d5b262cp-7, 0x1.f41e06f8f7785p-8, 0x1.e6887941dd61fp-8, 0x1.d948566ad35a9p-8, 0x1.cc5bc07aea0c3p-8, 0x1.bfc0f3288e8c1p-8, 0x1.b37632f8f6542p-8, 0x1.a779c9d9df7a6p-8, 0x1.9bca0677aff61p-8, 0x1.906538eb049ccp-8, 0x1.8549b80b9a894p-8, 0x1.7a75de5852265p-8, 0x1.6fe80f94900abp-8, 0x1.659ebcf1d8aafp-8, 0x1.5b98639f307ccp-8, 0x1.51d38d133ac13p-8, 0x1.484ecba6d9c9ap-8, 0x1.3f08b59d9ec9bp-8, 0x1.35ffe595468e9p-8, 0x1.2d32f4701890ap-8, 0x1.24a07e99365dcp-8, 0x1.1c47230dc2c7p-8, 0x1.142587b01f57ap-8, 0x1.0c3a5db7c21d9p-8, 0x1.048461443d3dep-8, 0x1.fa04bc12cf297p-9, 0x1.eb6652eb2c4c2p-9, 0x1.dd2b41c6c0a21p-9, 0x1.cf51488585935p-9, 0x1.c1d627fdc12d7p-9, 0x1.b4b79dc57d246p-9, 0x1.a7f36bd1f87dap-9, 0x1.9b87506d2f1fp-9, 0x1.8f7116cc3d4e4p-9, 0x1.83ae9a87375bep-9, 0x1.783dcbf908f7bp-9, 0x1.6d1cb6aa266f1p-9, 0x1.62497b7b8a4f9p-9, 0x1.57c23132344c5p-9, 0x1.4d856c1da28e2p-9, 0x1.4391147e6ce47p-9, 0x1.39e38a0ba6b2p-9, 0x1.307b0c732600bp-9, 0x1.2755e024c2634p-9, 0x1.1e7249f0920ep-9, 0x1.15ce926f693d3p-9, 0x1.0d690c5bee396p-9, 0x1.054017a7165d6p-9, 0x1.faa451a6854dp-10, 0x1.eb3b914be57dfp-10, 0x1.dc431379c39d3p-10, 0x1.cdb81c637ca55p-10, 0x1.bf97e9d5cdc76p-10, 0x1.b1dfcaabae39fp-10, 0x1.a48d19a36f2a9p-10, 0x1.979d4759c86b9p-10, 0x1.8b0dc62ca939bp-10, 0x1.7edc14a66d9cbp-10, 0x1.7305aa4ba1e04p-10, 0x1.6787f982f92c6p-10, 0x1.5c60ab5079934p-10, 0x1.518d6fc5baf99p-10, 0x1.470c1fdfb02e9p-10, 0x1.3cdaa254921fdp-10, 0x1.32f6dc7ba9ac7p-10, 0x1.295eafef83f05p-10, 0x1.2010064fadda6p-10, 0x1.1708e036ccbfp-10, 0x1.0e4758c447075p-10, 0x1.05c99911f33d2p-10, 0x1.fb1b8b9547526p-11, 0x1.eb23ef5f32fbep-11, 0x1.dba88f3db3fabp-11, 0x1.cca5cb82c740bp-11, 0x1.be1854a10bd7fp-11, 0x1.affd2b1de933fp-11, 0x1.a2517d2de8683p-11, 0x1.95126eb44c968p-11, 0x1.883d0e24f5133p-11, 0x1.7bce49d0c0c72p-11, 0x1.6fc32f4b4e10cp-11, 0x1.6418f25a91c6ep-11, 0x1.58ccee5004ccfp-11, 0x1.4ddc7bf39f208p-11, 0x1.4344c9628c607p-11, 0x1.3902e17c77828p-11, 0x1.2f13c1d633967p-11, 0x1.2574a82cb2b21p-11, 0x1.1c23384a47e42p-11, 0x1.131d5aec156e2p-11, 0x1.0a613cea1ee88p-11, 0x1.01ed0bea28722p-11, 0x1.f37de99a1cff7p-12, 0x1.e3a9d6f1a476dp-12, 0x1.d459e28f6be99p-12, 0x1.c58a393945fa4p-12, 0x1.b73781f0cd9dap-12, 0x1.a95e2fbeaaca4p-12, 0x1.9bfaa5cbcbf6cp-12, 0x1.8f08b9be3d081p-12, 0x1.82842795369dcp-12, 0x1.7668917776a8ap-12, 0x1.6ab2303ec85b9p-12, 0x1.5f5d94ab33a9p-12, 0x1.5467fba3ac30ap-12, 0x1.49cf0fc3070ebp-12, 0x1.3f90a95da6417p-12, 0x1.35aa694aa811p-12, 0x1.2c199d42ca3e3p-12, 0x1.22db5dfcfa3fep-12, 0x1.19ece6100adap-12, 0x1.114bce6d674f5p-12, 0x1.08f5ee33b8981p-12, 0x1.00e90c7750a77p-12, 0x1.f245727e478c4p-13, 0x1.e340c8c39ac6dp-13, 0x1.d4bec0998d6a1p-13, 0x1.c6ba46a0b8cedp-13, 0x1.b92e11a59013bp-13, 0x1.ac158ba0a6276p-13, 0x1.9f6d91a86d4f1p-13, 0x1.93342dada6ec7p-13, 0x1.876758ff1687dp-13, 0x1.7c043c77a6692p-13, 0x1.7107090f9d3fap-13, 0x1.666bbe0611717p-13, 0x1.5c2ea903fad06p-13, 0x1.524bd0aa6a141p-13, 0x1.48bf97d2ec1b7p-13, 0x1.3f86c5c6415f2p-13, 0x1.369e85592adb1p-13, 0x1.2e0436b0763d8p-13, 0x1.25b4fed5fe95fp-13, 0x1.1dae357caeb8p-13, 0x1.15ec712abdfebp-13, 0x1.0e6c33866c038p-13, 0x1.072b63ea4c5b8p-13, 0x1.00295c79ccf39p-13, 0x1.f2ca26a633652p-14, 0x1.e5b92c52768c4p-14, 0x1.d91bb7d3d6fd2p-14, 0x1.cceea93626289p-14, 0x1.c12f08ff3b52cp-14, 0x1.b5d844191fe2bp-14, 0x1.aae4f112841edp-14, 0x1.a05004cb09c3ap-14, 0x1.96157df9ec9e7p-14, 0x1.8c31b447b8a1cp-14, 0x1.82a0d0d6b06d1p-14, 0x1.795eea739972p-14, 0x1.7068a492da427p-14, 0x1.67ba1bf6e955p-14, 0x1.5f4f03f4b14c1p-14, 0x1.5725de3a4c5adp-14, 0x1.4f3fb46511bacp-14, 0x1.479af0db23fb6p-14, 0x1.403350972cb18p-14, 0x1.3905ee6c54a87p-14, 0x1.321207137dc1cp-14, 0x1.2b56e98065803p-14, 0x1.24d2169732788p-14, 0x1.1e80d972c8bf9p-14, 0x1.1860daf7e03fep-14, 0x1.127013f29bd6ap-14, 0x1.0cad24a632545p-14, 0x1.07162ec501555p-14, 0x1.01a9069473187p-14, 0x1.f8c667d42b3d7p-15, 0x1.ee85ade8d5271p-15, 0x1.e48abeb0d0a95p-15, 0x1.daced1e81efa5p-15, 0x1.d1502f9660c64p-15, 0x1.c811651d0635dp-15, 0x1.bf0f19a0f48d8p-15, 0x1.b6457904d8adcp-15, 0x1.adb3f406d4ebap-15, 0x1.a559cee3f22b8p-15, 0x1.9d343cbdfd2ffp-15, 0x1.953ff4749b411p-15, 0x1.8d7af78b7637fp-15, 0x1.85e3e5d53314ep-15, 0x1.7e795baeedb0dp-15, 0x1.7739685b6dd6bp-15, 0x1.70221bba4871p-15, 0x1.6931778f2f5e8p-15, 0x1.62658dd1b1ceap-15, 0x1.5bbc03c509487p-15, 0x1.553512876f1fep-15, 0x1.4ed049eeacf85p-15, 0x1.488a8a1d19967p-15, 0x1.42611bc3bb412p-15, 0x1.3c5402477e491p-15, 0x1.365f246b7b039p-15, 0x1.308111e81f037p-15, 0x1.2abbd23764c96p-15, 0x1.250f4a1cf12ap-15, 0x1.1f79974135a41p-15, 0x1.19f984dd33e2dp-15, 0x1.148d856a80e95p-15, 0x1.0f353e49682fcp-15, 0x1.09f0f7f25a2e4p-15, 0x1.04c00322d215fp-15, 0x1.ff430b9806398p-16, 0x1.f528a3f3b282bp-16, 0x1.eb2e4a4603676p-16, 0x1.e15227b7bf7e9p-16, 0x1.d7924a19689c9p-16, 0x1.cdeee99f0aafep-16, 0x1.c46b166ef5c13p-16, 0x1.bb03deb5bb102p-16, 0x1.b1b668b5ea3ccp-16, 0x1.a882f6e7ae151p-16, 0x1.9f6760d3a532cp-16, 0x1.966567f0c19abp-16, 0x1.8d7b7ff79e077p-16, 0x1.84a74d24bb3e1p-16, 0x1.7be5ae094167dp-16, 0x1.7336cbb637151p-16, 0x1.6a9d38a8d7253p-16, 0x1.6217d6d9c42fbp-16, 0x1.59a558d149f65p-16, 0x1.51460f9166946p-16, 0x1.48fa54aaf8c0ap-16, 0x1.40c195f73bbbap-16, 0x1.389abc4ab4e9fp-16, 0x1.3084edfff758ep-16, 0x1.287f6f3896589p-16, 0x1.20897e5e4803ep-16, 0x1.18a37ddcc1231p-16, 0x1.10cfa81ae7ce3p-16, 0x1.090c668798e2ap-16, 0x1.0157da2bd65ffp-16, 0x1.f364041f2598cp-17, 0x1.e435b8750ebf4p-17, 0x1.d52a36e4a84e7p-17, 0x1.c63ef2603ff89p-17, 0x1.b773d201e27e7p-17, 0x1.a8c8368bdcad4p-17, 0x1.9a38d5fa60388p-17, 0x1.8bc45ca14137cp-17, 0x1.7d6d79c2fa38fp-17, 0x1.6f344285fdacp-17, 0x1.6117a28d5cdd5p-17, 0x1.5318ef4a9476cp-17, 0x1.4538048a9f1cfp-17, 0x1.37754aaac9871p-17, 0x1.29d0bf95fcf73p-17, 0x1.1c49a3fb85a73p-17, 0x1.0edf328ff2e02p-17, 0x1.0191cabd39a84p-17, 0x1.e8c2576208096p-18, 0x1.ce9d65b57167dp-18, 0x1.b4b7dbe1a57fdp-18, 0x1.9b0afdeb320e1p-18, 0x1.819712ecbe5cep-18, 0x1.68603cdc8e7e3p-18, 0x1.4f689d7f8994dp-18, 0x1.36aba41fda65ep-18, 0x1.1e2aca4613adep-18, 0x1.05e84fdcdeddfp-18, 0x1.dbc2aa6da115ep-19, 0x1.ac36f1752a6edp-19, 0x1.7d2a92c1deb1ep-19, 0x1.4e962fc5a28d8p-19, 0x1.207c87a2a01dep-19, 0x1.e5be7e25a1968p-20, 0x1.8b7dcff6d233bp-20, 0x1.3234c5e10606ep-20, 0x1.b3d7beb83116bp-21, 0x1.0553d192f04e3p-21, 0x1.630ce78871be6p-23, -0x1.47586da5c8322p-23, -0x1.f4b67256d47ap-22, -0x1.a0f262d43f09p-21, -0x1.22c20fc7bc99p-20, -0x1.74037e77f3b9dp-20, -0x1.c43daef26064dp-20, -0x1.09bd240e35dfbp-19, -0x1.30d4968e954e1p-19, -0x1.57695b8f89e0cp-19, -0x1.7d7eef60bfc8ep-19, -0x1.a30d16924aaa6p-19, -0x1.c81746f7cfd86p-19, -0x1.ec9cbebcf9c5fp-19, -0x1.0850bc9841707p-18, -0x1.1a0f215f04544p-18, -0x1.2b8b224670285p-18, -0x1.3cc35d6765fb6p-18, -0x1.4db9c7d2ba71bp-18, -0x1.5e6c4d3308cecp-18, -0x1.6edc32b00c48ep-18, -0x1.7f0b892f303e5p-18, -0x1.8ef7d4efca63p-18, -0x1.9e9e30b915219p-18, -0x1.ae0369a170bb9p-18, -0x1.bd26c59bb1141p-18, -0x1.cc06348759769p-18, -0x1.daa3431a2f1a7p-18, -0x1.e8fd86c6e6fcep-18, -0x1.f714f5b0308f3p-18, -0x1.0275b28dae3f6p-17, -0x1.093e998321df8p-17, -0x1.0fe70a87d749fp-17, -0x1.166e62eb24d22p-17, -0x1.1cd4995a3ec03p-17, -0x1.2319277bf7f02p-17, -0x1.293d2b7c47ba6p-17, -0x1.2f415ea832884p-17, -0x1.3523b993ff345p-17, -0x1.3ae5c7bde03f9p-17, -0x1.40875f07eb0e7p-17, -0x1.460890d30ef8fp-17, -0x1.4b697cb324fc5p-17, -0x1.50aa323410ac7p-17, -0x1.55caebc7b7a8ap-17, -0x1.5acbd1fc3231dp-17, }}, 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      {{-0x1.cfd74aa147d0bp-3, -0x1.d2f4b8a2b12eep-3, -0x1.d742c02d6dd72p-3, -0x1.dcb3c9b05bf0cp-3, -0x1.e3374baaef3f8p-3, -0x1.eaba4c59ce19p-3, -0x1.f327e1ac18de3p-3, -0x1.fc69aae55278fp-3, -0x1.033420887c68dp-2, -0x1.0885ce58f6b1cp-2, -0x1.0e1db7ff977d8p-2, -0x1.13efbacffdfa3p-2, -0x1.19efda22ca603p-2, -0x1.20125be2d8776p-2, -0x1.264be040b8312p-2, -0x1.2c9174fc59f6bp-2, -0x1.32d8a4b7fbf3cp-2, -0x1.391782c56c4ebp-2, -0x1.3f44b3d9d87a6p-2, -0x1.4557740d5f67ap-2, -0x1.4b479a83c7babp-2, -0x1.510d9b134deacp-2, -0x1.56a286364cc4bp-2, -0x1.5c00078c61316p-2, -0x1.6120632835cfdp-2, -0x1.65fe71e013caep-2, -0x1.6a959cd0ecf9fp-2, -0x1.6ee1d83dcc492p-2, -0x1.72df9df04a69cp-2, -0x1.768be739f731fp-2, -0x1.79e426b26e9abp-2, -0x1.7ce641ca09273p-2, -0x1.7f908a45bd74p-2, -0x1.81e1b7b5cc494p-2, -0x1.83d8e0f625875p-2, -0x1.857575c51b804p-2, -0x1.86b7387ad6c0cp-2, -0x1.879e37ea2e0f8p-2, -0x1.882ac971d6874p-2, -0x1.885d83436dce9p-2, -0x1.883736e49939cp-2, -0x1.87b8ebed533ffp-2, -0x1.86e3db058c939p-2, -0x1.85b969235ca61p-2, -0x1.843b230a4c91ap-2, -0x1.826ab90ba82cep-2, -0x1.8049fb072871ep-2, -0x1.7ddad4aae375ap-2, -0x1.7b1f49f110f13p-2, -0x1.781973d9cfd9ap-2, -0x1.74cb7d5ef8f7dp-2, -0x1.7137a09fbfac7p-2, -0x1.6d602441c9ddcp-2, -0x1.69475905519c4p-2, -0x1.64ef9789cc9f6p-2, -0x1.605b3e408eb08p-2, -0x1.5b8caf8ae0108p-2, -0x1.56865001062bcp-2, -0x1.514a84dfbd5ecp-2, -0x1.4bdbb299c38d7p-2, -0x1.463c3b8b0fc6dp-2, -0x1.406e7ecb7c18p-2, -0x1.3a74d71eaaa61p-2, -0x1.345199ff1ab03p-2, -0x1.2e0716c26530ep-2, -0x1.279795d4ca159p-2, -0x1.2105580a3afa9p-2, -0x1.1a5296033b01ep-2, -0x1.13817fa3fdd43p-2, -0x1.0c943b9c480c7p-2, -0x1.058ce6feab7d2p-2, -0x1.fcdb29cbb73d8p-3, -0x1.ee709c4db856dp-3, -0x1.dfde221de624ap-3, -0x1.d127a2589a2a4p-3, -0x1.c250ee40c8177p-3, -0x1.b35dc0f685193p-3, -0x1.a451bf3d9d93fp-3, -0x1.95307752ce00ep-3, -0x1.85fd60ce1f6b9p-3, -0x1.76bbdc913e40bp-3, -0x1.676f34c08b41p-3, -0x1.581a9cc5e5bf2p-3, -0x1.48c1315c3398p-3, -0x1.3965f8a2b6c28p-3, -0x1.2a0be23777bedp-3, -0x1.1ab5c757f7129p-3, -0x1.0b666b0783155p-3, -0x1.f840f47525b3ap-4, -0x1.d9cd180d42c1ap-4, -0x1.bb7643ac017d3p-4, -0x1.9d414f3e69394p-4, -0x1.7f32e83ee78bp-4, -0x1.614f922fd50cp-4, -0x1.439ba71ad477cp-4, -0x1.261b581480d17p-4, -0x1.08d2adc3d9f5cp-4, -0x1.d78b11d9e507bp-5, -0x1.9def45fcf7182p-5, -0x1.64d91d438458p-5, -0x1.2c4f70999f843p-5, -0x1.e8b19b595ce03p-6, -0x1.79f6f02cbed7cp-6, -0x1.0c7ad51472d1p-6, -0x1.409160154b677p-7, -0x1.ab5acffd47ddbp-9, 0x1.a096f6013f02bp-9, 0x1.385068487120bp-7, 0x1.02cb65edd3e8p-6, 0x1.67f3b744ffc34p-6, 0x1.cb98ec4c7e23fp-6, 0x1.16d9a3dab164dp-5, 0x1.471dc42949d68p-5, 0x1.7695735640803p-5, 0x1.a53d894aa9005p-5, 0x1.d313185ef0541p-5, 0x1.0009b612e928bp-4, 0x1.161e041bf4f83p-4, 0x1.2bc5537ff893bp-4, 0x1.40fe9c43e6c5fp-4, 0x1.55c8f0a33b5f6p-4, 0x1.6a237c776a72ap-4, 0x1.7e0d849fd354dp-4, 0x1.9186666a402dap-4, 0x1.a48d96fbff48cp-4, 0x1.b722a2bb97649p-4, 0x1.c9452cbb348aep-4, 0x1.daf4ee23b17bfp-4, 0x1.ec31b5a07326fp-4, 0x1.fcfb66cbffa9ep-4, 0x1.06a8fcceb1935p-3, 0x1.0e9abceb39205p-3, 0x1.165303397a69p-3, 0x1.1dd1e88c5482p-3, 0x1.25178ec428e66p-3, 0x1.2c242087debd5p-3, 0x1.32f7d0fe676d2p-3, 0x1.3992db88d5327p-3, 0x1.3ff5837cfaeedp-3, 0x1.462013e0a09f5p-3, 0x1.4c12df2557088p-3, 0x1.51ce3ee4e38ebp-3, 0x1.5752939e540f2p-3, 0x1.5ca04473bd5edp-3, 0x1.61b7bee8a38c4p-3, 0x1.669976a11ad9cp-3, 0x1.6b45e5219dea3p-3, 0x1.6fbd898fa6531p-3, 0x1.7400e873032cfp-3, 0x1.78108b77fc972p-3, 0x1.7bed01323c43dp-3, 0x1.7f96dce092cbdp-3, 0x1.830eb6318ad71p-3, 0x1.86552908d90dp-3, 0x1.896ad545aa8f6p-3, 0x1.8c505e89d828p-3, 0x1.8f066c01ffebcp-3, 0x1.918da82e8b7abp-3, 0x1.93e6c0ad9f594p-3, 0x1.9612660605da9p-3, 0x1.98114b730789ap-3, 0x1.99e426b141c72p-3, 0x1.9b8bafcc73b26p-3, 0x1.9d08a0ee504fbp-3, 0x1.9e5bb62e4d228p-3, 0x1.9f85ad627442bp-3, 0x1.a08745f13bb0bp-3, 0x1.a16140a4672f6p-3, 0x1.a2145f7ced99cp-3, 0x1.a2a16587eb61bp-3, 0x1.a30916b4a237ep-3, 0x1.a34c37ab7fb49p-3, 0x1.a36b8da633ccfp-3, 0x1.a367de48d8d76p-3, 0x1.a341ef7c1d498p-3, 0x1.a2fa87488c36dp-3, 0x1.a2926bb2d1612p-3, 0x1.a20a629916c22p-3, 0x1.a16331916d7bfp-3, 0x1.a09d9dc939649p-3, 0x1.9fba6be5b0c3dp-3, 0x1.9eba5fe56312p-3, 0x1.9d9e3d02c251cp-3, 0x1.9c66c597ba73bp-3, 0x1.9b14bb0248b1fp-3, 0x1.99a8dd8a15862p-3, 0x1.9823ec47121bdp-3, 0x1.9686a5090c0d5p-3, 0x1.94d1c4404820ep-3, 0x1.930604e709a3cp-3, 0x1.9124206c1b7f1p-3, 0x1.8f2cce9e4345fp-3, 0x1.8d20c598a70a1p-3, 0x1.8b00b9b024331p-3, 0x1.88cd5d6188654p-3, 0x1.86876140b705dp-3, 0x1.842f73e8ac686p-3, 0x1.81c641ec63ed3p-3, 0x1.7f4c75c89681p-3, 0x1.7cc2b7d6517fep-3, 0x1.7a29ae3e60b2dp-3, 0x1.7781fced85406p-3, 0x1.74cc45897df67p-3, 0x1.72092766d1f81p-3, 0x1.6f393f7f5cefap-3, 0x1.6c5d28699e86cp-3, 0x1.69757a50c457fp-3, 0x1.6682caed66707p-3, 0x1.6385ad7ef3bd7p-3, 0x1.607eb2c5d812fp-3, 0x1.5d6e68fe3b3f4p-3, 0x1.5a555bdb70ec1p-3, 0x1.57341484026dfp-3, 0x1.540b198e57c97p-3, 0x1.50daeefdf640bp-3, 0x1.4da4164153888p-3, 0x1.4a670e30369b6p-3, 0x1.4724530aa2a5dp-3, 0x1.43dc5e7848873p-3, 0x1.408fa7887b627p-3, 0x1.3d3ea2b29e917p-3, 0x1.39e9c1d71404fp-3, 0x1.369174409350bp-3, 0x1.333626a5fe804p-3, 0x1.2fd8432c9c13ep-3, 0x1.2c78316ab9a94p-3, 0x1.2916566ab2eb5p-3, 0x1.25b314ae5e8aap-3, 0x1.224ecc32cd037p-3, 0x1.1ee9da746744ap-3, 0x1.1b849a73638a1p-3, 0x1.181f64b880958p-3, 0x1.14ba8f5a18dd5p-3, 0x1.11566e0178952p-3, 0x1.0df351f07cb81p-3, 0x1.0a918a077249ap-3, 0x1.073162cb31666p-3, 0x1.03d3266b7a4d1p-3, 0x1.00771cc9856cdp-3, 0x1.fa3b16fd8cedfp-4, 0x1.f38d6bc7ca32dp-4, 0x1.ece5ba2fc3677p-4, 0x1.e644800ec88a2p-4, 0x1.dfaa36e86b252p-4, 0x1.d91753f9b5379p-4, 0x1.d28c4848aa01ap-4, 0x1.cc0980b400de8p-4, 0x1.c58f660321358p-4, 0x1.bf1e5cf648a45p-4, 0x1.b8b6c656e973fp-4, 0x1.b258ff082a7b6p-4, 0x1.ac0560179843ep-4, 0x1.a5bc3ecde7c4bp-4, 0x1.9f7decbfe51a4p-4, 0x1.994ab7df6b9p-4, 0x1.9322ea8c7cfa9p-4, 0x1.8d06cba65f0d3p-4, 0x1.86f69e9ccb553p-4, 0x1.80f2a38120f7ap-4, 0x1.7afb17179f3aap-4, 0x1.751032e89c03p-4, 0x1.6f322d51bad95p-4, 0x1.6961399719e7p-4, 0x1.639d87f478cc7p-4, 0x1.5de745ae4ffacp-4, 0x1.583e9d22da286p-4, 0x1.52a3b5db09e48p-4, 0x1.4d16b49b6a67fp-4, 0x1.4797bb74eb774p-4, 0x1.4226e9d58d12bp-4, 0x1.3cc45c98f4a23p-4, 0x1.37702e18e1c1dp-4, 0x1.322a763d7fb32p-4, 0x1.2cf34a8d96f61p-4, 0x1.27cabe3e990f8p-4, 0x1.22b0e244867d3p-4, 0x1.1da5c561ababep-4, 0x1.18a97436335b6p-4, 0x1.13bbf94f905e6p-4, 0x1.0edd5d37b808bp-4, 0x1.0a0da684301a8p-4, 0x1.054cd9e4ed863p-4, 0x1.009afa3301f49p-4, 0x1.f7f010fe30669p-5, 0x1.eec8083f7e698p-5, 0x1.e5bdd57eff83cp-5, 0x1.dcd170d5822d6p-5, 0x1.d402cf3aec29cp-5, 0x1.cb51e2a129424p-5, 0x1.c2be9a0eb343dp-5, 0x1.ba48e1b8aace5p-5, 0x1.b1f0a31c7c617p-5, 0x1.a9b5c5191f618p-5, 0x1.a1982c07ddd51p-5, 0x1.9997b9d4af6b4p-5, 0x1.91b44e1628d6fp-5, 0x1.89edc624ebccdp-5, 0x1.8243fd32b63f1p-5, 0x1.7ab6cc60f2959p-5, 0x1.73460ad6e344cp-5, 0x1.6bf18dd7517dcp-5, 0x1.64b928d5d1422p-5, 0x1.5d9cad8b91b65p-5, 0x1.569bec0bbdeacp-5, 0x1.4fb6b2d76e1ccp-5, 0x1.48eccef128ba3p-5, 0x1.423e0beff2cdcp-5, 0x1.3baa3411f2ff9p-5, 0x1.3531104ea50c7p-5, 0x1.2ed26868a1391p-5, 0x1.288e02fefa91ep-5, 0x1.2263a59e2a776p-5, 0x1.1c5314d09789cp-5, 0x1.165c142eaf285p-5, 0x1.107e666e97259p-5, 0x1.0ab9cd737864p-5, 0x1.050e0a5c663bp-5, 0x1.fef5bb25b02a2p-6, 0x1.f4000db18ba1ap-6, 0x1.e93a8aacb8aep-6, 0x1.dea4af4ea661fp-6, 0x1.d43df7cfc85bbp-6, 0x1.ca05df82b895bp-6, 0x1.bffbe0eca67a6p-6, 0x1.b61f75dd0c32p-6, 0x1.ac701784a53d8p-6, 0x1.a2ed3e8bbeff9p-6, 0x1.99966327ce16ep-6, 0x1.906afd305751ap-6, 0x1.876a84332968ep-6, 0x1.7e946f87f37abp-6, 0x1.75e836633355ap-6, 0x1.6d654fe87ae1ep-6, 0x1.650b333c26b13p-6, 0x1.5cd95794611dcp-6, 0x1.54cf344995dc4p-6, 0x1.4cec40e64e426p-6, 0x1.452ff536758ebp-6, 0x1.3d99c9561127ap-6, 0x1.362935bf5e0afp-6, 0x1.2eddb35877509p-6, 0x1.27b6bb805ad49p-6, 0x1.20b3c81b7207dp-6, 0x1.19d4539fa04f7p-6, 0x1.1317d91fc06ebp-6, 0x1.0c7dd456b3764p-6, 0x1.0605c1b1efa13p-6, 0x1.ff5e3cb71195p-7, 0x1.f2f2d087bacffp-7, 0x1.e6c83c5571c98p-7, 0x1.dadd7f5032313p-7, 0x1.cf319a68ee641p-7, 0x1.c3c390616612p-7, 0x1.b89265db1d1dfp-7, 0x1.ad9d216585037p-7, 0x1.a2e2cb8b70af4p-7, 0x1.98626edfb53d4p-7, 0x1.8e1b180924a35p-7, 0x1.840bd5cdc355p-7, 0x1.7a33b91d57d45p-7, 0x1.7091d51b3adc3p-7, 0x1.67253f278e22bp-7, 0x1.5ded0ee7d9b4ap-7, 0x1.54e85e4eee222p-7, 0x1.4c1649a451dc1p-7, 0x1.4375ef8b02059p-7, 0x1.3b0671079fa3ap-7, 0x1.32c6f186197dbp-7, 0x1.2ab696deddf1fp-7, 0x1.22d4895b63e69p-7, 0x1.1b1ff3ba52c3ep-7, 0x1.1398033322559p-7, 0x1.0c3be77954144p-7, 0x1.050ad2bf1b9c3p-7, 0x1.fc07f36f5b44ep-8, 0x1.ee4d27323e9dcp-8, 0x1.e0e3b43ba0b4ap-8, 0x1.d3ca130b2e7ffp-8, 0x1.c6fec12ca7c69p-8, 0x1.ba804138a8f1ap-8, 0x1.ae4d1ad492472p-8, 0x1.a263dab1d725cp-8, 0x1.96c3128c9332ep-8, 0x1.8b6959298fb29p-8, 0x1.80554a53a2ce3p-8, 0x1.758586d88bafep-8, 0x1.6af8b4854199p-8, 0x1.60ad7e2196fep-8, 0x1.56a2936b8b48cp-8, 0x1.4cd6a912049cap-8, 0x1.434878af13f21p-8, 0x1.39f6c0c1cd641p-8, 0x1.30e044a7b7807p-8, 0x1.2803cc95cfe9fp-8, 0x1.1f60259127452p-8, 0x1.16f421672703ep-8, 0x1.0ebe96a57cd5bp-8, 0x1.06be6091aed6dp-8, 0x1.fde4be40b9fc8p-9, 0x1.eeb2edd89fc26p-9, 0x1.dfe5225a14fa5p-9, 0x1.d179375aacc1ap-9, 0x1.c36d1182d07f2p-9, 0x1.b5be9e79bacadp-9, 0x1.a86bd4d0cb229p-9, 0x1.9b72b3eeaff7p-9, 0x1.8ed143fa036bp-9, 0x1.828595c3d3cf7p-9, 0x1.768dc2b159037p-9, 0x1.6ae7eca5de2f2p-9, 0x1.5f923dec056d5p-9, 0x1.548ae91f0ae3dp-9, 0x1.49d02913a679p-9, 0x1.3f6040c0cfb25p-9, 0x1.35397b2823902p-9, 0x1.2b5a2b3e48b94p-9, 0x1.21c0abd34fb52p-9, 0x1.186b5f7a8c0bp-9, 0x1.0f58b07290d7ep-9, 0x1.0687108d34b65p-9, 0x1.fbe9f22e381a1p-10, 0x1.eb41d57f32ffp-10, 0x1.db12db00ea11ep-10, 0x1.cb5a210aa126fp-10, 0x1.bc14d426d2e46p-10, 0x1.ad402ee26846cp-10, 0x1.9ed9799c21b03p-10, 0x1.90de0a53b126ap-10, 0x1.834b447941c93p-10, 0x1.761e98bcf2e27p-10, 0x1.695584de3c766p-10, 0x1.5ced937c3bbfdp-10, 0x1.50e45be53e06p-10, 0x1.453781e6bae93p-10, 0x1.39e4b59e0634ap-10, 0x1.2ee9b3486e32ap-10, 0x1.24444314869dep-10, 0x1.19f238f2b78c4p-10, 0x1.0ff17466f2362p-10, 0x1.063fe059b2b88p-10, 0x1.f9b6e5d51ba4dp-11, 0x1.e7845a8448c44p-11, 0x1.d5e436c9603ddp-11, 0x1.c4d2a8094e5b8p-11, 0x1.b44bf0ac918b9p-11, 0x1.a44c67c5fa0a1p-11, 0x1.94d078bacb131p-11, 0x1.85d4a2ebeabf5p-11, 0x1.7755795e4075cp-11, 0x1.694fa265f9c87p-11, 0x1.5bbfd75079453p-11, 0x1.4ea2e411ae4bcp-11, 0x1.41f5a6f003ed8p-11, 0x1.35b51031c06bbp-11, 0x1.29de21cc17c1fp-11, 0x1.1e6def11bbcfap-11, 0x1.13619c63863c6p-11, 0x1.08b65ee260502p-11, 0x1.fcd2f83f6497ap-12, 0x1.e8f093a2fa29p-12, 0x1.d5c05b0ad7788p-12, 0x1.c33d38abd24ecp-12, 0x1.b162353fbb5bdp-12, 0x1.a02a7772b8a8ep-12, 0x1.8f914351637e6p-12, 0x1.7f91f9ba42079p-12, 0x1.702817d048de7p-12, 0x1.614f366f84494p-12, 0x1.530309a4712acp-12, 0x1.453f60236a369p-12, 0x1.380022c2702e2p-12, 0x1.2b4153f5fff02p-12, 0x1.1eff0f4f0b044p-12, 0x1.133588f99ee39p-12, 0x1.07e10d41ad4eep-12, 0x1.f9fc0024c1f65p-13, 0x1.e511b8fcc16f8p-13, 0x1.d0fc688a82355p-13, 0x1.bdb55ebb0a1dep-13, 0x1.ab3616ff073d5p-13, 0x1.997837633f04p-13, 0x1.88758fad857d9p-13, 0x1.7828187c148bcp-13, 0x1.6889f26a6eaadp-13, 0x1.599565388c13dp-13, 0x1.4b44def818b66p-13, 0x1.3d92f3366ba0cp-13, 0x1.307a5a326da53p-13, 0x1.23f5f00df7df7p-13, 0x1.1800b40a5a689p-13, 0x1.0c95c7c14a81dp-13, 0x1.01b06e66a58e2p-13, 0x1.ee9818139e53fp-14, 0x1.dac849b783734p-14, 0x1.c7e8b8edab3bp-14, 0x1.b5f0ea591b114p-14, 0x1.a4d89eaaa645dp-14, 0x1.9497d146d40d9p-14, 0x1.8526b6ed0d2cbp-14, 0x1.767dbc6c036f3p-14, 0x1.689585594e95fp-14, 0x1.5b66eaccf6a65p-14, 0x1.4eeafa27cf947p-14, 0x1.431af3dc12afp-14, 0x1.37f04a3cc12cbp-14, 0x1.2d64a05092a6p-14, 0x1.2371c8aba4f17p-14, 0x1.1a11c452a0978p-14, 0x1.113ec19f522cbp-14, 0x1.08f31b2cac967p-14, 0x1.012956c424d38p-14, 0x1.f3b848ab55c35p-15, 0x1.e60cb9df65b28p-15, 0x1.d946038540cfcp-15, 0x1.cd5a76430448ap-15, 0x1.c240af23053aep-15, 0x1.b7ef95ab8a094p-15, 0x1.ae5e5a0240214p-15, 0x1.a584732219998p-15, 0x1.9d599d127e90dp-15, 0x1.95d5d72e36f76p-15, 0x1.8ef1626e8f5efp-15, 0x1.88a4bfc236452p-15, 0x1.82e8ae69d9811p-15, 0x1.7db62a5feaf8ep-15, 0x1.79066ac5e276fp-15, 0x1.74d2e05fe4296p-15, 0x1.71153414103d3p-15, 0x1.6dc745750fbc6p-15, 0x1.6ae3294e5cef4p-15, 0x1.686328410c1e7p-15, 0x1.6641bd5f5dc34p-15, 0x1.647994d82313fp-15, 0x1.63058aa3e5477p-15, 0x1.61e0a93def7bfp-15, 0x1.610628639e6a7p-15, 0x1.60716bd3ca0b8p-15, 0x1.601e021fc6d52p-15, 0x1.6007a37a136acp-15, 0x1.602a30921b898p-15, 0x1.6081b175ed2c5p-15, 0x1.610a547883dd3p-15, 0x1.61c06d1d8fb5cp-15, 0x1.62a0730e112ddp-15, 0x1.63a7011083006p-15, 0x1.64d0d407a8fc9p-15, 0x1.661ac9faecd49p-15, 0x1.6781e11fbe552p-15, 0x1.690336ef1040dp-15, 0x1.6a9c07352314ep-15, 0x1.6c49ab322e37ap-15, 0x1.6e0998b9639dap-15, 0x1.6fd961589bec7p-15, 0x1.71b6b184fd505p-15, 0x1.739f4fcc78a16p-15, 0x1.75911c0c47b78p-15, 0x1.778a0ea9cf83cp-15, 0x1.798837d4acb73p-15, 0x1.7b89bec8458eap-15, 0x1.7d8ce116971b6p-15, 0x1.7f8ff1f4fe8d6p-15, 0x1.819159906771ap-15, 0x1.838f946271d11p-15, 0x1.8589328b4bac5p-15, 0x1.877cd730a2596p-15, 0x1.896937dfbf3f2p-15, 0x1.8b4d1bf483e28p-15, 0x1.8d275c0580b74p-15, 0x1.8ef6e1507e267p-15, 0x1.90baa52f4de12p-15, 0x1.9271b08af0e5p-15, 0x1.941b1b567ababp-15, 0x1.95b60c0b0dba8p-15, 0x1.9741b727de75dp-15, 0x1.98bd5eb74f026p-15, 0x1.9a2851d52069fp-15, 0x1.9b81ec3a1d9f5p-15, 0x1.9cc995c70dfb9p-15, 0x1.9dfec2170465dp-15, 0x1.9f20f011d8a27p-15, 0x1.a02fa98149f04p-15, 0x1.a12a82ad00eeep-15, 0x1.a21119f3fd1cbp-15, 0x1.a2e3176ee1f27p-15, 0x1.a3a02c8d8a262p-15, 0x1.a44813bddd435p-15, 0x1.a4da9010c1c1dp-15, 0x1.a5576ce318c73p-15, 0x1.a5be7d8a9e1a1p-15, 0x1.a60f9d03d705ap-15, 0x1.a64aada14d6c5p-15, 0x1.a66f98c0197ffp-15, 0x1.a67e4e7b0a64ep-15, 0x1.a676c5620b4cap-15, 0x1.a658fa33a1c0dp-15, 0x1.a624ef97360d7p-15, 0x1.a5daaddb8d53ap-15, 0x1.a57a42b5283a8p-15, 0x1.a503c10011168p-15, 0x1.a47740836c6d3p-15, 0x1.a3d4ddb4d5f34p-15, 0x1.a31cb980b83d6p-15, 0x1.a24ef9109fcabp-15, 0x1.a16bc596be6fep-15, 0x1.a0734c19f12fap-15, 0x1.9f65bd42a8b1ep-15, 0x1.9e434d2a9dfbcp-15, 0x1.9d0c332cb0f27p-15, 0x1.9bc0a9b759797p-15, 0x1.9a60ee200ea4ap-15, 0x1.98ed40777f3d9p-15, 0x1.9765e361b7d9ep-15, 0x1.95cb1bec190dbp-15, 0x1.941d31677478p-15, 0x1.925c6d4249dffp-15, 0x1.90891ae449a86p-15, 0x1.8ea3878b4a01p-15, 0x1.8cac0229615cfp-15, 0x1.8aa2db42f78b8p-15, 0x1.888864d0dce15p-15, 0x1.865cf220aff3ep-15, 0x1.8420d7b7c89c4p-15, 0x1.81d46b36a7332p-15, 0x1.7f78033d6cf8cp-15, 0x1.7d0bf751f2764p-15, 0x1.7a909fc5b97a2p-15, 0x1.7806559d67706p-15, 0x1.756d72794269cp-15, 0x1.72c6507f1b1c2p-15, 0x1.70114a4342f82p-15, 0x1.6d4ebab5127f9p-15, 0x1.6a7efd09a665ep-15, 0x1.67a26ca878fedp-15, 0x1.64b965193690dp-15, 0x1.61c441f122af2p-15, 0x1.5ec35ec2f9d97p-15, 0x1.5bb7170dc9364p-15, 0x1.589fc62d127d5p-15, 0x1.557dc74a49c21p-15, 0x1.5251754e6092ep-15, 0x1.4f1b2ad302e9bp-15, 0x1.4bdb42172fc2p-15, 0x1.489214f088c5ap-15, 0x1.453ffcc08e18ap-15, 0x1.41e55268f10a5p-15, 0x1.3e826e40561a3p-15, 0x1.3b17a808b43cfp-15, 0x1.37a556e538319p-15, 0x1.342bd150042a5p-15, }}, 
      {{-0x1.ce2a2828eec4ap-3, -0x1.cf357c5f99142p-3, -0x1.d0a8d4f86f478p-3, -0x1.d281661a5f68ap-3, -0x1.d4bbbc9d1b5c2p-3, -0x1.d753d3159d5d1p-3, -0x1.da452742933edp-3, -0x1.dd8acf16d080cp-3, -0x1.e11f8cdcbe7e3p-3, -0x1.e4fde21b9d467p-3, -0x1.e9202109db838p-3, -0x1.ed807c717f4eap-3, -0x1.f21915fe09cdp-3, -0x1.f6e40af8ba267p-3, -0x1.fbdb7f811ce33p-3, -0x1.007cd42b00b42p-2, -0x1.031c69a352315p-2, -0x1.05c9b732f0418p-2, -0x1.0882070d02d18p-2, -0x1.0b42b911d9c7fp-2, -0x1.0e0944dabd75ap-2, -0x1.10d33b5a59f44p-2, -0x1.139e481d51d14p-2, -0x1.16683235b932dp-2, -0x1.192edcdb6555bp-2, -0x1.1bf047ca3507dp-2, -0x1.1eaa8f66a5db8p-2, -0x1.215becb0484bap-2, -0x1.2402b508f51bfp-2, -0x1.269d59d6f342ep-2, -0x1.292a6807a1f66p-2, -0x1.2ba88777ac69cp-2, -0x1.2e167a45423e5p-2, -0x1.30731c1051707p-2, -0x1.32bd612c5811p-2, -0x1.34f455c6f4d5ep-2, -0x1.37171d0604b4cp-2, -0x1.3924f01fc5178p-2, -0x1.3b1d1d6f27757p-2, -0x1.3cff07863e7fdp-2, -0x1.3eca244064effp-2, -0x1.407dfbd5966ffp-2, -0x1.421a27f02d296p-2, -0x1.439e52c61356p-2, -0x1.450a36364ca38p-2, -0x1.465d9aeb91e52p-2, -0x1.479857849d67dp-2, -0x1.48ba4fc2a29c2p-2, -0x1.49c373be5aa51p-2, -0x1.4ab3bf23e3ce3p-2, -0x1.4b8b3875bd5b9p-2, -0x1.4c49f056ee374p-2, -0x1.4cf000dc80447p-2, -0x1.4d7d8ce64011dp-2, -0x1.4df2bf7ecfe03p-2, -0x1.4e4fcb42eacd2p-2, -0x1.4e94e9cfcbd23p-2, -0x1.4ec25b388ecf3p-2, -0x1.4ed865826953ap-2, -0x1.4ed754278dd81p-2, -0x1.4ebf77a084321p-2, -0x1.4e9124f3cad64p-2, -0x1.4e4cb54b86699p-2, -0x1.4df2859104b3cp-2, -0x1.4d82f60de2914p-2, -0x1.4cfe6a12927c2p-2, -0x1.4c6547a20e033p-2, -0x1.4bb7f72279e4ap-2, -0x1.4af6e312801a8p-2, -0x1.4a2277c32a309p-2, -0x1.493b2316071d8p-2, -0x1.4841543f5f7cfp-2, -0x1.47357b8c4f439p-2, -0x1.46180a2c86ea1p-2, -0x1.44e971ff8c7a5p-2, -0x1.43aa25654583cp-2, -0x1.425a9711a5e8ap-2, -0x1.40fb39e34c87dp-2, -0x1.3f8c80bcf12fbp-2, -0x1.3e0ede616cdd8p-2, -0x1.3c82c55248105p-2, -0x1.3ae8a7b099862p-2, -0x1.3940f7201f66ep-2, -0x1.378c24ac6c989p-2, -0x1.35caa0b00b745p-2, -0x1.33fcdabd7b78ep-2, -0x1.32234189e7abep-2, -0x1.303e42d983a24p-2, -0x1.2e4e4b6d70664p-2, -0x1.2c53c6f3109a7p-2, -0x1.2a4f1ff4bea71p-2, -0x1.2840bfcbc0013p-2, -0x1.26290e9375fbfp-2, -0x1.2408731da56f5p-2, -0x1.21df52e7d3731p-2, -0x1.1fae12119b78p-2, -0x1.1d751353f827p-2, -0x1.1b34b7f96978cp-2, -0x1.18ed5fd6ee591p-2, -0x1.169f6945c0af9p-2, -0x1.144b311dd128fp-2, -0x1.11f112b0e8cfp-2, -0x1.0f9167c674d5p-2, -0x1.0d2c8897e5b98p-2, -0x1.0ac2cbcda4619p-2, -0x1.0854867c872f7p-2, -0x1.05e20c23cccdp-2, -0x1.036baeab87fd4p-2, -0x1.00f1be637ea8fp-2, -0x1.fce91404e24dp-3, -0x1.f7e8bd4b864b2p-3, -0x1.f2e30fa300291p-3, -0x1.edd89ee17602ep-3, -0x1.e8c9fbac70bb2p-3, -0x1.e3b7b37ad783bp-3, -0x1.dea2509771fb5p-3, -0x1.d98a5a23f5456p-3, -0x1.d470541c8b65ap-3, -0x1.cf54bf5bd9461p-3, -0x1.ca38199f6c87fp-3, -0x1.c51add8c9585ap-3, -0x1.bffd82b5a67dp-3, -0x1.bae07d9f8aaeap-3, -0x1.b5c43fc7b5742p-3, -0x1.b0a937aa63235p-3, -0x1.ab8fd0c9283b2p-3, -0x1.a67873b1c1a75p-3, -0x1.a16386052ee79p-3, -0x1.9c516a7f0806ap-3, -0x1.974280fd0a1bp-3, -0x1.92372686e0787p-3, -0x1.8d2fb5561f243p-3, -0x1.882c84de67812p-3, -0x1.832de9d5c0e28p-3, -0x1.7e34363d152ep-3, -0x1.793fb968d513ap-3, -0x1.7450c009bbefcp-3, -0x1.6f679435bc23ap-3, -0x1.6a847d70fec7bp-3, -0x1.65a7c0b704caap-3, -0x1.60d1a083e436bp-3, -0x1.5c025cdd8f236p-3, -0x1.573a335d3f98fp-3, -0x1.52795f38e5367p-3, -0x1.4dc0194cb281fp-3, -0x1.490e9824aa38dp-3, -0x1.4465100641bcap-3, -0x1.3fc3b2fa0eeeep-3, -0x1.3b2ab0d572888p-3, -0x1.369a37445b123p-3, -0x1.321271d2ff10ap-3, -0x1.2d9389f79f1c1p-3, -0x1.291da71c4d3e3p-3, -0x1.24b0eea8b28e4p-3, -0x1.204d840bd066dp-3, -0x1.1bf388c5c6e2fp-3, -0x1.17a31c7190cd2p-3, -0x1.135c5ccebf8ep-3, -0x1.0f1f65cb2d6e7p-3, -0x1.0aec518cab734p-3, -0x1.06c3387aa3ca6p-3, -0x1.02a43147b44c6p-3, -0x1.fd1ea1f680661p-4, -0x1.f50955f5e06fcp-4, -0x1.ed08a22855909p-4, -0x1.e51ca70af705ep-4, -0x1.dd45820fdcca3p-4, -0x1.d5834db0b2bfdp-4, -0x1.cdd6218126eaap-4, -0x1.c63e12413f083p-4, -0x1.bebb31ef7ce61p-4, -0x1.b74d8fdae14b7p-4, -0x1.aff538b4cd75ap-4, -0x1.a8b236a2b3529p-4, -0x1.a184914f94797p-4, -0x1.9a6c4dfd6a446p-4, -0x1.93696f96497b4p-4, -0x1.8c7bf6bd63833p-4, -0x1.85a3e1dfd53e8p-4, -0x1.7ee12d4544d6ap-4, -0x1.7833d3204c283p-4, -0x1.719bcb9eb273dp-4, -0x1.6b190cf96ed1dp-4, -0x1.64ab8b847936ep-4, -0x1.5e5339be63869p-4, -0x1.5810085fbb699p-4, -0x1.51e1e66a386acp-4, -0x1.4bc8c137ae9dep-4, -0x1.45c48488caeadp-4, -0x1.3fd51a9395776p-4, -0x1.39fa6c11bb98dp-4, -0x1.3434604e9d13ep-4, -0x1.2e82dd3522a6dp-4, -0x1.28e5c75d57878p-4, -0x1.235d0219c81fdp-4, -0x1.1de86f84a6bc4p-4, -0x1.1887f08cb3e31p-4, -0x1.133b6501eadafp-4, -0x1.0e02aba1f207ap-4, -0x1.08dda2245084ap-4, -0x1.03cc254667c25p-4, -0x1.fd9c21ae602f9p-5, -0x1.f3c67f85757f4p-5, -0x1.ea17183af008fp-5, -0x1.e08d9e5e82e0bp-5, -0x1.d729c2fc4eeecp-5, -0x1.cdeb35b20ade5p-5, -0x1.c4d1a4c3b36acp-5, -0x1.bbdcbd2fc6297p-5, -0x1.b30c2ac30837cp-5, -0x1.aa5f982bd6567p-5, -0x1.a1d6af0d046eap-5, -0x1.997118104629ap-5, -0x1.912e7af828b5p-5, -0x1.890e7eb1991ep-5, -0x1.8110c964facb4p-5, -0x1.79350086cf20ap-5, -0x1.717ac8e7ef036p-5, -0x1.69e1c6c5552f5p-5, -0x1.62699dd77c2dap-5, -0x1.5b11f16153cc6p-5, -0x1.53da643ec8cfep-5, -0x1.4cc298f2e74edp-5, -0x1.45ca31b59164bp-5, -0x1.3ef0d080d46e3p-5, -0x1.3836171dd403dp-5, -0x1.3199a73155f55p-5, -0x1.2b1b2247e6794p-5, -0x1.24ba29e1a02e8p-5, -0x1.1e765f7d908afp-5, -0x1.184f64a4c1dd8p-5, -0x1.1244daf4e48ecp-5, -0x1.0c56642a9e4eep-5, -0x1.0683a22b80f3cp-5, -0x1.00cc370fa6ea1p-5, -0x1.f65f8a55ec91dp-6, -0x1.eb5bde2c280c7p-6, -0x1.e08caf6dfb9b1p-6, -0x1.d5f14492a7f02p-6, -0x1.cb88e4cca3145p-6, -0x1.c152d818e73c7p-6, -0x1.b74e674da8ecp-6, -0x1.ad7adc287681p-6, -0x1.a3d7815bb261fp-6, -0x1.9a63a29b909e2p-6, -0x1.911e8caa714d3p-6, -0x1.88078d64b485fp-6, -0x1.7f1df3cc0a0b8p-6, -0x1.7661101230b8p-6, -0x1.6dd033a335d57p-6, -0x1.656ab12f31939p-6, -0x1.5d2fdcb38b296p-6, -0x1.551f0b83b5dacp-6, -0x1.4d3794518470bp-6, -0x1.4578cf34f4e19p-6, -0x1.3de215b39fcaap-6, -0x1.3672c2c7a019bp-6, -0x1.2f2a32e622c0fp-6, -0x1.2807c4057b451p-6, -0x1.210ad5a2dfa23p-6, -0x1.1a32c8c7b398ap-6, -0x1.137f000e74fb2p-6, -0x1.0ceedfa750068p-6, -0x1.0681cd5c4b946p-6, -0x1.0037309522f9p-6, -0x1.f41ce4b585fb1p-7, -0x1.e80dfab4fb589p-7, -0x1.dc407bd1abedbp-7, -0x1.d0b3440824bap-7, -0x1.c56532ace6c91p-7, -0x1.ba552a704d06bp-7, -0x1.af821161cc014p-7, -0x1.a4ead0f2c3e54p-7, -0x1.9a8e55f8aafedp-7, -0x1.906b90aeca74dp-7, -0x1.868174b76b763p-7, -0x1.7ccef91c9ada6p-7, -0x1.73531850616c8p-7, -0x1.6a0cd02c9b1b4p-7, -0x1.60fb21f24e162p-7, -0x1.581d1248b31afp-7, -0x1.4f71a93bb3d6cp-7, -0x1.46f7f23a1ef7ep-7, -0x1.3eaefc1379077p-7, -0x1.3695d8f5699e9p-7, -0x1.2eab9e68dbc3dp-7, -0x1.26ef654ec3ca4p-7, -0x1.1f6049dc93b3ap-7, -0x1.17fd6b9865af9p-7, -0x1.10c5ed54df404p-7, -0x1.09b8f52cc73f2p-7, -0x1.02d5ac7e5adc4p-7, -0x1.f8367fccd0b44p-8, -0x1.eb11be7642e47p-8, -0x1.de3b7b0d6f5dbp-8, -0x1.d1b22203a109p-8, -0x1.c574261b5536ap-8, -0x1.b980005c41ca9p-8, -0x1.add43006f4ac5p-8, -0x1.a26f3a882a4fbp-8, -0x1.974fab6bbe10ap-8, -0x1.8c74144f4a0e6p-8, -0x1.81db0cd483795p-8, -0x1.7783329358638p-8, -0x1.6d6b290bbf51bp-8, -0x1.639199975198cp-8, -0x1.59f5335ab0d12p-8, -0x1.5094ab36abd48p-8, -0x1.476ebbb9393b1p-8, -0x1.3e82250e47e7bp-8, -0x1.35cdacf06c1dep-8, -0x1.2d501e99640e5p-8, -0x1.25084ab26c421p-8, -0x1.1cf50744887b9p-8, -0x1.15152fa8a9684p-8, -0x1.0d67a477c04e3p-8, -0x1.05eb4b7ac72ffp-8, -0x1.fd3e1f352f5bfp-9, -0x1.ef03c19fa987ap-9, -0x1.e12568257661p-9, -0x1.d3a10695b8f45p-9, -0x1.c6749a7dfb624p-9, -0x1.b99e2b0982007p-9, -0x1.ad1bc8e0dbd67p-9, -0x1.a0eb8e0949722p-9, -0x1.950b9dc44d64ap-9, -0x1.897a246f39eedp-9, -0x1.7e355762d9b33p-9, -0x1.733b74d31fb95p-9, -0x1.688ac3aed6511p-9, -0x1.5e21937f93c3fp-9, -0x1.53fe3c49b5c82p-9, -0x1.4a1f1e6c71c78p-9, -0x1.4082a28245fabp-9, -0x1.37273941431bbp-9, -0x1.2e0b5b5b9b573p-9, -0x1.252d896079dc5p-9, -0x1.1c8c4b9ce1be1p-9, -0x1.142631fce145fp-9, -0x1.0bf9d3eceafe8p-9, -0x1.0405d03b6b8ap-9, -0x1.f89199f4f61dep-10, -0x1.e982eec3d5eeep-10, -0x1.dadd07630835p-10, -0x1.cc9d5a2710e67p-10, -0x1.bec16afed1448p-10, -0x1.b146cb39cb0bbp-10, -0x1.a42b194e3b1abp-10, -0x1.976c00a06899p-10, -0x1.8b07394a38cb8p-10, -0x1.7efa87e3325f9p-10, -0x1.7343bd496c06ap-10, -0x1.67e0b66ab8fe6p-10, -0x1.5ccf5c0e98609p-10, -0x1.520da2a08546fp-10, -0x1.479989fb203bap-10, -0x1.3d711d33b61c3p-10, -0x1.339272669bc8cp-10, -0x1.29fbaa83f7095p-10, -0x1.20aaf11d50fc3p-10, -0x1.179e7c3376344p-10, -0x1.0ed48c0535c55p-10, -0x1.064b6adebbafap-10, -0x1.fc02d9d2cc7d1p-11, -0x1.ebe9dff8ba571p-11, -0x1.dc48b6dbac833p-11, -0x1.cd1c3fc95b162p-11, -0x1.be616e55c3e37p-11, -0x1.b015480152d51p-11, -0x1.a234e3dffece4p-11, -0x1.94bd6a41de9c1p-11, -0x1.87ac145d05882p-11, -0x1.7afe2bf8b13dcp-11, -0x1.6eb10b19498d4p-11, -0x1.62c21badef6d1p-11, -0x1.572ed73f37792p-11, -0x1.4bf4c69f0799dp-11, -0x1.41118199e175fp-11, -0x1.3682aea91e495p-11, -0x1.2c4602a69d608p-11, -0x1.225940815b6aep-11, -0x1.18ba38f38947fp-11, -0x1.0f66ca39980d1p-11, -0x1.065cdfca704efp-11, -0x1.fb34e421ed5e4p-12, -0x1.ea3b0c4d46443p-12, -0x1.d9c85b1ecb657p-12, -0x1.c9d90bec9473fp-12, -0x1.ba6971d77222ap-12, -0x1.ab75f748ac24ep-12, -0x1.9cfb1d72e05e3p-12, -0x1.8ef57bd42f56ep-12, -0x1.8161bfbbaac1p-12, -0x1.743cabcfddeadp-12, -0x1.67831798103f9p-12, -0x1.5b31ef075d0efp-12, -0x1.4f46320a03af7p-12, -0x1.43bcf414c68c1p-12, -0x1.38935bb5f115ap-12, -0x1.2dc6a22941a52p-12, -0x1.235412ecccdddp-12, -0x1.19390b588b5afp-12, -0x1.0f72fa3793a83p-12, -0x1.05ff5f634fc8fp-12, -0x1.f9b796c0735p-13, -0x1.e80bbdfa6fd7bp-13, -0x1.d6f695e7d2f54p-13, -0x1.c6739f17a0ddbp-13, -0x1.b67e787c42db1p-13, -0x1.a712deb8aa4ccp-13, -0x1.982cab6f630d8p-13, -0x1.89c7d49687259p-13, -0x1.7be06bcd7b273p-13, -0x1.6e729db7a9911p-13, -0x1.617ab159561ddp-13, -0x1.54f507782af11p-13, -0x1.48de19ff1ba5bp-13, -0x1.3d327b6524a5ap-13, -0x1.31eed616e5e3bp-13, -0x1.270febe431183p-13, -0x1.1c92956f7644fp-13, -0x1.1273c1a1425c2p-13, -0x1.08b0751dbe695p-13, -0x1.fe8b937b3d762p-14, -0x1.ec61dc1355906p-14, -0x1.dade49723284fp-14, -0x1.c9fb88651d9abp-14, -0x1.b9b46c1f8b4bdp-14, -0x1.aa03ed4828903p-14, -0x1.9ae5290ad01dep-14, -0x1.8c53602f4594bp-14, -0x1.7e49f6363b267p-14, -0x1.70c47079642b8p-14, -0x1.63be75514836fp-14, -0x1.5733cb4091206p-14, -0x1.4b20582267f63p-14, -0x1.3f80205f242b2p-14, -0x1.344f4623f9d19p-14, -0x1.298a08a06c4c8p-14, -0x1.1f2cc346a2834p-14, -0x1.1533ed12078cfp-14, -0x1.0b9c17cfb858dp-14, -0x1.0261ef6cd8bfbp-14, -0x1.f304728fe0335p-15, -0x1.e1f3a70d135d8p-15, -0x1.d18b68de0b75fp-15, -0x1.c1c5d38be9dd5p-15, -0x1.b29d305ec63bcp-15, -0x1.a40bf526a3fb1p-15, -0x1.960cc30cc3ddp-15, -0x1.889a6569f2c9dp-15, -0x1.7bafd0a7b3e1fp-15, -0x1.6f4821237f6dbp-15, -0x1.635e9a1bb76c9p-15, -0x1.57eea4a2609b5p-15, -0x1.4cf3ce95985ep-15, -0x1.4269c99f33739p-15, -0x1.384c6a3b4e527p-15, -0x1.2e97a6c14aa8p-15, -0x1.25479676e478p-15, -0x1.1c5870a5f81b3p-15, -0x1.13c68bba0ade3p-15, -0x1.0b8e5c61e30eep-15, -0x1.03ac74b716946p-15, -0x1.f83b06d6b29a4p-16, -0x1.e9bca5f2fb16bp-16, -0x1.dbd791bc2e41cp-16, -0x1.ce85c9a4c7d97p-16, -0x1.c1c1801b9dc1cp-16, -0x1.b585191697663p-16, -0x1.a9cb28a676cd4p-16, -0x1.9e8e71958b583p-16, -0x1.93c9e40ef6aa1p-16, -0x1.89789c4c15dafp-16, -0x1.7f95e14f7c90ap-16, -0x1.761d23a20b148p-16, -0x1.6d09fc1d20232p-16, -0x1.64582aba2bc07p-16, -0x1.5c03956a7515ep-16, -0x1.540846f876986p-16, -0x1.4c626dedd735p-16, -0x1.450e5b82275c9p-16, -0x1.3e08828fb339fp-16, -0x1.374d7690eefc4p-16, -0x1.30d9eaa385015p-16, -0x1.2aaab093506adp-16, -0x1.24bcb7e92af7cp-16, -0x1.1f0d0d034b61ap-16, -0x1.1998d830aa584p-16, -0x1.145d5cd54042dp-16, -0x1.0f57f892d19dep-16, -0x1.0a862277bd0e8p-16, -0x1.05e56a32d79d1p-16, -0x1.0173774e18032p-16, -0x1.fa5c10d90a3d2p-17, -0x1.f225e51f4240cp-17, -0x1.ea4040c325ce6p-17, -0x1.e2a72306804fbp-17, -0x1.db56b3be69c7ep-17, -0x1.d44b42045f422p-17, -0x1.cd8142f101634p-17, -0x1.c6f5505e3172cp-17, -0x1.c0a427b3a57dbp-17, -0x1.ba8aa8ba61e35p-17, -0x1.b4a5d479dd564p-17, -0x1.aef2cc1c52563p-17, -0x1.a96ecfda98ebep-17, -0x1.a4173df423856p-17, -0x1.9ee991a96783ep-17, -0x1.99e3624171086p-17, -0x1.9502621238ea8p-17, -0x1.90445d94f574fp-17, -0x1.8ba73a7d73e95p-17, -0x1.8728f6db5a71fp-17, -0x1.82c7a83f3c9e2p-17, -0x1.7e817ae87810cp-17, -0x1.7a54b0f868d67p-17, -0x1.763fa1a865a93p-17, -0x1.7240b88b66456p-17, -0x1.6e5674d0fddafp-17, -0x1.6a7f6890a1c13p-17, -0x1.66ba3818cccbap-17, -0x1.63059943be01bp-17, -0x1.5f6052d2d6223p-17, -0x1.5bc93bcbc3c31p-17, -0x1.583f3add50335p-17, -0x1.54c145c84586p-17, -0x1.514e60cc56b6cp-17, -0x1.4de59e1ae6ed3p-17, -0x1.4a861d4c9154fp-17, -0x1.472f0adcffe9cp-17, -0x1.43df9fa839658p-17, -0x1.4097206f072d2p-17, -0x1.3d54dd5c41894p-17, -0x1.3a183190a6ebcp-17, -0x1.36e082b147b07p-17, -0x1.33ad4078e429dp-17, -0x1.307de44db58dbp-17, -0x1.2d51f0da0a7b2p-17, -0x1.2a28f1a8f34bdp-17, -0x1.27027ac60fd1bp-17, -0x1.23de2860d926dp-17, -0x1.20bb9e716411p-17, -0x1.1d9a88618fb48p-17, -0x1.1a7a98b9438b7p-17, -0x1.175b88cba5acbp-17, -0x1.143d1869c0123p-17, -0x1.111f0d9626fa2p-17, -0x1.0e01343c018ddp-17, -0x1.0ae35de74db79p-17, -0x1.07c561800fed5p-17, -0x1.04a71b0852b13p-17, -0x1.01886b5ca0e66p-17, -0x1.fcd26fed205e8p-18, -0x1.f692d562717e1p-18, -0x1.f051e3218544p-18, -0x1.ea0f7d12cb941p-18, -0x1.e3cb8e9806f36p-18, -0x1.dd860a2193c0cp-18, -0x1.d73ee8ce03f01p-18, -0x1.d0f62a097df4fp-18, -0x1.caabd333ed7dp-18, -0x1.c45fef46b275fp-18, -0x1.be128e80b7d1dp-18, -0x1.b7c3c6137208p-18, -0x1.b173afd529ff8p-18, -0x1.ab2269f4214d2p-18, -0x1.a4d016af1ff7p-18, -0x1.9e7cdc0d33458p-18, -0x1.9828e39d8c72fp-18, -0x1.91d45a352fe69p-18, -0x1.8b7f6fb0b8682p-18, -0x1.852a56b9a68a2p-18, -0x1.7ed5448c6e4f9p-18, -0x1.788070c2e8eadp-18, -0x1.722c151e263afp-18, -0x1.6bd86d562aaa4p-18, -0x1.6585b6e7ea8c2p-18, -0x1.5f3430e90c635p-18, -0x1.58e41bda2655ep-18, -0x1.5295b97d08aefp-18, -0x1.4c494cadc4c6p-18, -0x1.45ff1939fb32fp-18, -0x1.3fb763beaf6f8p-18, -0x1.39727182f74f5p-18, -0x1.33308857ced12p-18, -0x1.2cf1ee76ce4cfp-18, -0x1.26b6ea65ad5c3p-18, -0x1.207fc2d7cf15ap-18, -0x1.1a4cbe93e3b1ep-18, -0x1.141e24595168fp-18, -0x1.0df43ac84a249p-18, -0x1.07cf48494f116p-18, -0x1.01af92f706847p-18, -0x1.f72ac112dc1e7p-19, -0x1.eb01ec832a66dp-19, -0x1.dee531ae57c3cp-19, -0x1.d2d518cd8105cp-19, -0x1.c6d228c1b3d27p-19, -0x1.badce6f5fa8fap-19, -0x1.aef5d73f8663p-19, -0x1.a31d7bc3fca01p-19, -0x1.975454de7268p-19, -0x1.8b9ae106462bfp-19, -0x1.7ff19cba3c6d3p-19, -0x1.7459026b097dfp-19, -0x1.68d18a673e5b2p-19, -0x1.5d5baac9da4afp-19, -0x1.51f7d769ccdccp-19, -0x1.46a681caf057bp-19, -0x1.3b68190e3783ap-19, -0x1.303d09e76463dp-19, -0x1.2525be8f03be8p-19, -0x1.1a229eb9840f6p-19, -0x1.0f340f8d32955p-19, -0x1.045a739ab718dp-19, -0x1.f32c55ac8a8f5p-20, -0x1.ddcf251f570ffp-20, -0x1.c89e0add5ff7dp-20, -0x1.b399b6da6db97p-20, -0x1.9ec2d3a84265fp-20, -0x1.8a1a06710f94ep-20, -0x1.759feef093937p-20, -0x1.61552776c512ep-20, -0x1.4d3a44e2908bep-20, -0x1.394fd6a299ef8p-20, -0x1.259666b7257d8p-20, -0x1.120e79b389db7p-20, -0x1.fd711d8904683p-21, -0x1.d72a3f5ed8d34p-21, -0x1.b14941bed250cp-21, -0x1.8bcf02d1a0279p-21, -0x1.66bc561f3cfc7p-21, -0x1.421204a56da9dp-21, -0x1.1dd0cce28db95p-21, -0x1.f3f2c5e345ddcp-22, -0x1.ad18e13e6479dp-22, -0x1.67152af3cc3c4p-22, -0x1.21e8cdeb45d73p-22, -0x1.bb29c2058709dp-23, -0x1.3434ce794a729p-23, -0x1.5de9401c7ab97p-24, -0x1.5b57765f9243ep-26, 0x1.599ace4bd2d8dp-25, 0x1.acfdb64b5511cp-24, 0x1.54dc415a649dp-23, 0x1.d17dc453ff55p-23, 0x1.26313340a6029p-22, 0x1.62c4a70b75004p-22, }}, 
      std::vector<double>(649, 0.0), 
      {{-0x1.413008ed70b3p-6, -0x1.df474e2b4b494p-6, -0x1.3d4422e92f76ap-5, -0x1.891e381bccf03p-5, -0x1.d2e91b268b71dp-5, -0x1.0d3727a9a210bp-4, -0x1.2fc45756f141p-4, -0x1.51117834ea408p-4, -0x1.711af3d33d2a2p-4, -0x1.8fe351bb93a8cp-4, -0x1.ad724641fc2cp-4, -0x1.c9d3c9abc8bdap-4, -0x1.e5173dd1396c8p-4, -0x1.ff4ea5e4791c9p-4, -0x1.0c46f91f7a678p-3, -0x1.18753068dd9bbp-3, -0x1.243cf8fa1dc7bp-3, -0x1.2fa9785aeb315p-3, -0x1.3ac5c6bb4282ep-3, -0x1.459cc4a9a069ep-3, -0x1.5038f86c1e71p-3, -0x1.5aa4723295e0dp-3, -0x1.64e8b65c1a17ep-3, -0x1.6f0ead1320c3p-3, -0x1.791e968f9a9eep-3, -0x1.8320035bd01ccp-3, -0x1.8d19d00732ebp-3, -0x1.971223c0be765p-3, -0x1.a10e716065bb1p-3, -0x1.ab137a74806afp-3, -0x1.b52553f472e48p-3, -0x1.bf476c4577a3fp-3, -0x1.c97c9248cb164p-3, -0x1.d3c6fd34226b2p-3, -0x1.de2854fdcb9d4p-3, -0x1.e8a1bb2da27dfp-3, -0x1.f333d3eaca861p-3, -0x1.fddecf244b985p-3, -0x1.045138dbf633ap-2, -0x1.09bf0f3fcefe9p-2, -0x1.0f386f98e25bdp-2, -0x1.14bcb68239be4p-2, -0x1.1a4b1c83714c7p-2, -0x1.1fe2ba1391c1ap-2, -0x1.25828b6e47c6dp-2, -0x1.2b297438c16f3p-2, -0x1.30d642f460f81p-2, -0x1.3687b43e35709p-2, -0x1.3c3c75dad9d8fp-2, -0x1.41f3298edb454p-2, -0x1.47aa67c450a82p-2, -0x1.4d60c1fe97eccp-2, -0x1.5314c51d919ebp-2, -0x1.58c4fb71e682ep-2, -0x1.5e6feea417ba5p-2, -0x1.6414297042f0dp-2, -0x1.69b039389b656p-2, -0x1.6f42af70ab882p-2, -0x1.74ca22e37bb0fp-2, -0x1.7a4530d6c4924p-2, -0x1.7fb27e0d45f7ap-2, -0x1.8510b7aa5f36dp-2, -0x1.8a5e93f8f6e36p-2, -0x1.8f9ad317af113p-2, -0x1.94c43f8c56af3p-2, -0x1.99d9aec074ba4p-2, -0x1.9eda0168b9c15p-2, -0x1.a3c423d902587p-2, -0x1.a8970e4694343p-2, -0x1.ad51c4fa15005p-2, -0x1.b1f35872b219p-2, -0x1.b67ae57bd0a28p-2, -0x1.bae79536927ebp-2, -0x1.bf389d1858fd2p-2, -0x1.c36d3edf68de8p-2, -0x1.c784c87eb325dp-2, -0x1.cb7e9401b740cp-2, -0x1.cf5a076969d24p-2, -0x1.d3169482e1a2cp-2, -0x1.d6b3b8b89dd1ap-2, -0x1.da30fcdf04edep-2, -0x1.dd8df4fccce21p-2, -0x1.e0ca400fd8e0ep-2, -0x1.e3e587cf15386p-2, -0x1.e6df8069cd838p-2, -0x1.e9b7e844ef92dp-2, -0x1.ec6e87b69b5d5p-2, -0x1.ef0330c05ef9cp-2, -0x1.f175bec8714e6p-2, -0x1.f3c61652363c6p-2, -0x1.f5f424b64eaeap-2, -0x1.f7ffdfda6c68bp-2, -0x1.f9e945e928e92p-2, -0x1.fbb05d0a0370ep-2, -0x1.fd553319b9a3ap-2, -0x1.fed7dd63191b1p-2, -0x1.001c3c2c37df3p-1, -0x1.00bb93a6daa18p-1, -0x1.014a0a19c3735p-1, -0x1.01c7b7a985783p-1, -0x1.0234b785688acp-1, -0x1.029127c65eeap-1, -0x1.02dd294e85e0dp-1, -0x1.0318dfa93add2p-1, -0x1.034470ebc4bd7p-1, -0x1.036005969b3a8p-1, -0x1.036bc8774807bp-1, -0x1.0367e68aebc63p-1, -0x1.03548ee1629f8p-1, -0x1.0331f2810c09dp-1, -0x1.0300444b385b9p-1, -0x1.02bfb8e137566p-1, -0x1.0270868a0dd28p-1, -0x1.0212e518cc624p-1, -0x1.01a70dd38a71dp-1, -0x1.012d3b5b025f3p-1, -0x1.00a5a992ce51dp-1, -0x1.0010958a45994p-1, -0x1.fedc7acbea996p-2, -0x1.fd7dc0936f5d8p-2, -0x1.fc057c86c70b3p-2, -0x1.fa74306c2c854p-2, -0x1.f8ca5f8c22ffbp-2, -0x1.f7088e8a60e1ap-2, -0x1.f52f433fd8877p-2, -0x1.f33f0495e6ce8p-2, -0x1.f1385a629a39bp-2, -0x1.ef1bcd46123d4p-2, -0x1.ece9e688f39eep-2, -0x1.eaa32ffbe9fe8p-2, -0x1.e84833d834558p-2, -0x1.e5d97ca137247p-2, -0x1.e357950711ad2p-2, -0x1.e0c307ca2cfaep-2, -0x1.de1c5f9fc9208p-2, -0x1.db6427177a279p-2, -0x1.d89ae88196e3fp-2, -0x1.d5c12dd694d5dp-2, -0x1.d2d7809f4a807p-2, -0x1.cfde69de15222p-2, -0x1.ccd671f8de48ap-2, -0x1.c9c020a3fe2d3p-2, -0x1.c69bfccdf12ccp-2, -0x1.c36a8c8be4cp-2, -0x1.c02c55071015ep-2, -0x1.bce1da6ada81p-2, -0x1.b98b9fd3c7cfbp-2, -0x1.b62a273f27e91p-2, -0x1.b2bdf17b85bb1p-2, -0x1.af477e19d346cp-2, -0x1.abc74b5f4b4f2p-2, -0x1.a83dd638098dep-2, -0x1.a4ab9a2a51113p-2, -0x1.a111114a8133cp-2, -0x1.9d6eb42fb3073p-2, -0x1.99c4f9e8fbab4p-2, -0x1.961457f350eeep-2, -0x1.925d42300d977p-2, -0x1.8ea02adc0e44fp-2, -0x1.8add828765a0bp-2, -0x1.8715b80da8b87p-2, -0x1.8349388ec572ep-2, -0x1.7f786f6869b5ep-2, -0x1.7ba3c62ff4a61p-2, -0x1.77cba4aceb676p-2, -0x1.73f070d3f31f9p-2, -0x1.70128ec248c1cp-2, -0x1.6c3260b9b7f4ep-2, -0x1.6850471d0685dp-2, -0x1.646ca06cd8cc4p-2, -0x1.6087c9450949fp-2, -0x1.5ca21c5a6c0abp-2, -0x1.58bbf27901b9ap-2, -0x1.54d5a2829212p-2, -0x1.50ef816dabe79p-2, -0x1.4d09e24509e66p-2, -0x1.4925162755001p-2, -0x1.45416c4743a61p-2, -0x1.415f31ec155efp-2, -0x1.3d7eb272633e6p-2, -0x1.39a0374d430bcp-2, -0x1.35c40807bdf88p-2, -0x1.31ea6a4693dddp-2, -0x1.2e13a1ca4a1f4p-2, -0x1.2a3ff071838f8p-2, -0x1.266f963b9c80ap-2, -0x1.22a2d14b8d32ap-2, -0x1.1ed9ddeb064ffp-2, -0x1.1b14f68dd2e7p-2, -0x1.175453d56eba6p-2, -0x1.13982c94d860cp-2, -0x1.0fe0b5d4997dbp-2, -0x1.0c2e22d7003c5p-2, -0x1.0880a51c8a7cfp-2, -0x1.04d86c6880f2ap-2, -0x1.0135a6c5bd5b1p-2, -0x1.fb3101172fb4ap-3, -0x1.f40248c60266bp-3, -0x1.ecdf76977b17ap-3, -0x1.e5c8d9438681p-3, -0x1.debebc4578f04p-3, -0x1.d7c167e74a994p-3, -0x1.d0d1214d0c348p-3, -0x1.c9ee2a8095aafp-3, -0x1.c318c27d60bd1p-3, -0x1.bc51253c94eb9p-3, -0x1.b5978bc138527p-3, -0x1.aeec2c248abb9p-3, -0x1.a84f39a27e9acp-3, -0x1.a1c0e4a655379p-3, -0x1.9b415ad74f138p-3, -0x1.94d0c7257cdb2p-3, -0x1.8e6f51d69ae5ap-3, -0x1.881d209307f8bp-3, -0x1.81da5672c2353p-3, -0x1.7ba7140a72f73p-3, -0x1.7583777880dedp-3, -0x1.6f6f9c722c672p-3, -0x1.696b9c50a816dp-3, -0x1.63778e1e36d96p-3, -0x1.5d9386a3426e1p-3, -0x1.57bf987372b7p-3, -0x1.51fbd3fabb5c7p-3, -0x1.4c48478a5dffep-3, -0x1.46a4ff65e1e17p-3, -0x1.411205d001d82p-3, -0x1.3b8f631781a8fp-3, -0x1.361d1da3fb73bp-3, -0x1.30bb3a02939d3p-3, -0x1.2b69baf296bc6p-3, -0x1.2628a172042dp-3, -0x1.20f7ecc9fe3f3p-3, -0x1.1bd79a9b1d604p-3, -0x1.16c7a6e9ae26cp-3, -0x1.11c80c29c8aafp-3, -0x1.0cd8c34b53a3fp-3, -0x1.07f9c3c5df0ebp-3, -0x1.032b03a46552ap-3, -0x1.fcd8ef21c9a3p-4, -0x1.f37c25bfae512p-4, -0x1.ea3f8f370fcep-4, -0x1.e1230d1e8215ap-4, -0x1.d8267ea4b32c8p-4, -0x1.cf49c0a62241p-4, -0x1.c68cadc2a3c84p-4, -0x1.bdef1e727f926p-4, -0x1.b570e91b4c053p-4, -0x1.ad11e2246c194p-4, -0x1.a4d1dc0b43747p-4, -0x1.9cb0a7770b84bp-4, -0x1.94ae134c5dd69p-4, -0x1.8cc9ecc064596p-4, -0x1.8503ff6bae558p-4, -0x1.7d5c155cb4fdcp-4, -0x1.75d1f72a05665p-4, -0x1.6e656c04141bfp-4, -0x1.671639c6b599fp-4, -0x1.5fe4250a416dbp-4, -0x1.58cef1345ac12p-4, -0x1.51d66088630bp-4, -0x1.4afa343790eacp-4, -0x1.443a2c70afc29p-4, -0x1.3d96086f89a49p-4, -0x1.370d868bf64cbp-4, -0x1.30a06448935fdp-4, -0x1.2a4e5e612568dp-4, -0x1.241730d8a1eep-4, -0x1.1dfa9706e4613p-4, -0x1.17f84ba60abf7p-4, -0x1.121008df7decdp-4, -0x1.0c418858a6802p-4, -0x1.068c833f4d1cfp-4, -0x1.00f0b255a5216p-4, -0x1.f6db9bfc12165p-5, -0x1.ec071c8cc09c7p-5, -0x1.e16355e671a4ep-5, -0x1.d6efb7151a1bap-5, -0x1.ccabaebc78601p-5, -0x1.c296ab2c66a0ep-5, -0x1.b8b01a7493d1dp-5, -0x1.aef76a77a4472p-5, -0x1.a56c08fdb9f86p-5, -0x1.9c0d63c667ef1p-5, -0x1.92dae89a16272p-5, -0x1.89d4055acc62ep-5, -0x1.80f828147c37fp-5, -0x1.7846bf0cb2c3bp-5, -0x1.6fbf38d1c505bp-5, -0x1.6761044971405p-5, -0x1.5f2b90bf02094p-5, -0x1.571e4df0e4f72p-5, -0x1.4f38ac1dc7ec9p-5, -0x1.477a1c112fa19p-5, -0x1.3fe20f2f98a8ep-5, -0x1.386ff7821a254p-5, -0x1.312347c194099p-5, -0x1.29fb7361644f3p-5, -0x1.22f7ee99a9d3fp-5, -0x1.1c182e7114ddcp-5, -0x1.155ba8c64e6b9p-5, -0x1.0ec1d458ee94dp-5, -0x1.084a28d209b51p-5, -0x1.01f41ecc51ee4p-5, -0x1.f77e5fb7be97ep-6, -0x1.eb55ad2b0a67dp-6, -0x1.df6d1d2ba6c95p-6, -0x1.d3c3a90f66c45p-6, -0x1.c8584c554dc56p-6, -0x1.bd2a04b164fe1p-6, -0x1.b237d217d2113p-6, -0x1.a780b6c753a49p-6, -0x1.9d03b75308652p-6, -0x1.92bfdaab964ep-6, -0x1.88b42a27bc0dep-6, -0x1.7edfb18c38208p-6, -0x1.75417f1328191p-6, -0x1.6bd8a372d6f6bp-6, -0x1.62a431e3ed248p-6, -0x1.59a3402728252p-6, -0x1.50d4e68a80948p-6, -0x1.48383fedd17f5p-6, -0x1.3fcc69c70aeb3p-6, -0x1.37908425d90ap-6, -0x1.2f83b1b6e2939p-6, -0x1.27a517c689de3p-6, -0x1.1ff3de434739cp-6, -0x1.186f2fbf941c2p-6, -0x1.111639736c0c3p-6, -0x1.09e82b3d6e8dp-6, -0x1.02e437a396133p-6, -0x1.f81327a733aa3p-7, -0x1.eaaeef45e83fcp-7, -0x1.dd9a3b1d0ae98p-7, -0x1.d0d38573f0a1cp-7, -0x1.c4594ddd891b4p-7, -0x1.b82a1935bb373p-7, -0x1.ac44719e5c261p-7, -0x1.a0a6e67b5d47ap-7, -0x1.95500c6ea160ap-7, -0x1.8a3e7d5324b4fp-7, -0x1.7f70d837c29dfp-7, -0x1.74e5c159675a4p-7, -0x1.6a9be21cdc88fp-7, -0x1.6091e90820d4cp-7, -0x1.56c689bb5a4adp-7, -0x1.4d387ce94a072p-7, -0x1.43e6804f92fbdp-7, -0x1.3acf56ae593ebp-7, -0x1.31f1c7bfc6e0bp-7, -0x1.294ca02f28345p-7, -0x1.20deb18fa6b01p-7, -0x1.18a6d252d7e7fp-7, -0x1.10a3ddbeea6eap-7, -0x1.08d4b3e4a1751p-7, -0x1.01383994fd606p-7, -0x1.f39ab0ad7e29ep-8, -0x1.e525fcb73c421p-8, -0x1.d7103ceabb61cp-8, -0x1.c95760153889ap-8, -0x1.bbf95e17119afp-8, -0x1.aef437ccbd91bp-8, -0x1.a245f6f777562p-8, -0x1.95ecae25bb3d5p-8, -0x1.89e6789b5b8c4p-8, -0x1.7e317a39806e9p-8, -0x1.72cbdf66552ccp-8, -0x1.67b3dcf472abdp-8, -0x1.5ce7b00a4d06ep-8, -0x1.52659e0966e3ap-8, -0x1.482bf47546dadp-8, -0x1.3e3908da66f75p-8, -0x1.348b38b50ff1p-8, -0x1.2b20e9581d0b1p-8, -0x1.21f887d39c32cp-8, -0x1.191088db78d06p-8, -0x1.106768ae01b8cp-8, -0x1.07fbaafa948e9p-8, -0x1.ff97b59062fd1p-9, -0x1.efad14b7ebdcfp-9, -0x1.e034a63f9ef09p-9, -0x1.d12bab121ebbep-9, -0x1.c28f71fe69324p-9, -0x1.b45d57851c74bp-9, -0x1.a692c5a63649fp-9, -0x1.992d33aeeb3acp-9, -0x1.8c2a26078f222p-9, -0x1.7f872e01eb84p-9, -0x1.7341e9a7777d6p-9, -0x1.6758038832f66p-9, -0x1.5bc732896c6f8p-9, -0x1.508d39b51add4p-9, -0x1.45a7e809233fcp-9, -0x1.3b1518476cd4cp-9, -0x1.30d2b0c5b63c2p-9, -0x1.26dea33e4e9cp-9, -0x1.1d36eca0a1ba7p-9, -0x1.13d994e287707p-9, -0x1.0ac4aed1c6565p-9, -0x1.01f657e5e4b09p-9, -0x1.f2d970254ea11p-10, -0x1.e24c0334faa12p-10, -0x1.d240e1c399fdbp-10, -0x1.c2b498850c0cp-10, -0x1.b3a3c7bfcec0fp-10, -0x1.a50b22f5f9a2cp-10, -0x1.96e7708ee3de1p-10, -0x1.8935898178de1p-10, -0x1.7bf2590013951p-10, -0x1.6f1adc246627ap-10, -0x1.62ac219cf6ea4p-10, -0x1.56a3495b51846p-10, -0x1.4afd84431940fp-10, -0x1.3fb813da19d39p-10, -0x1.34d049f97a98cp-10, -0x1.2a43887f8674dp-10, -0x1.200f4102950d9p-10, -0x1.1630f48543891p-10, -0x1.0ca6332b087f3p-10, -0x1.036c9bee0f53bp-10, -0x1.f503b8ac7de3fp-11, -0x1.e3c7606160706p-11, -0x1.d31fc2917ada7p-11, -0x1.c3088e434fd02p-11, -0x1.b37d8d6246207p-11, -0x1.a47aa43649f3ap-11, -0x1.95fbd0dcf6815p-11, -0x1.87fd2ac505a3cp-11, -0x1.7a7ae22b1f998p-11, -0x1.6d713f9905cf6p-11, -0x1.60dca366a1cd8p-11, -0x1.54b9853caa979p-11, -0x1.49047399d86c5p-11, -0x1.3dba135961822p-11, -0x1.32d71f3affeep-11, -0x1.2858676e3de2p-11, -0x1.1e3ad11de052dp-11, -0x1.147b55fed1274p-11, -0x1.0b1703df6fdcep-11, -0x1.020afc39bfcf7p-11, -0x1.f2a8e78cb62b2p-12, -0x1.e1e1642563206p-12, -0x1.d1ba222f4573ap-12, -0x1.c22df9a537d91p-12, -0x1.b337e5bfa61e2p-12, -0x1.a4d3042e713ap-12, -0x1.96fa945439673p-12, -0x1.89a9f6866e10bp-12, -0x1.7cdcab50a12a4p-12, -0x1.708e52b9f9aacp-12, -0x1.64baab8fa33f4p-12, -0x1.595d92b069082p-12, -0x1.4e73025e80406p-12, -0x1.43f71191b0921p-12, -0x1.39e5f34dd70e9p-12, -0x1.303bf5fd0296cp-12, -0x1.26f582cb0b03ap-12, -0x1.1e0f1d063dd99p-12, -0x1.158561823ed54p-12, -0x1.0d5505fc7456p-12, -0x1.057ad885ffc52p-12, -0x1.fbe77ddc67458p-13, -0x1.ed796c62fe7ap-13, -0x1.dfa5a3d4e2dc2p-13, -0x1.d266778bfe709p-13, -0x1.c5b665f3476d2p-13, -0x1.b990177a96f38p-13, -0x1.adee5d8e41c44p-13, -0x1.a2cc3194ad11cp-13, -0x1.9824b3f207149p-13, -0x1.8df32b0ed59aep-13, -0x1.84330264a9401p-13, -0x1.7adfc9902287cp-13, -0x1.71f533685745cp-13, -0x1.696f1518e010ep-13, -0x1.6149654502939p-13, -0x1.59803b288cfcbp-13, -0x1.520fcdc45fd4ap-13, -0x1.4af4730ac3945p-13, -0x1.442a9f12e398ep-13, -0x1.3daee34f7af22p-13, -0x1.377dedca13399p-13, -0x1.3194886264dcp-13, -0x1.2bef981148b72p-13, -0x1.268c1c30ca108p-13, -0x1.21672dc84d62dp-13, -0x1.1c7dfedc61b71p-13, -0x1.17cdd9c10de74p-13, -0x1.1354207312999p-13, -0x1.0f0e4bf0e9947p-13, -0x1.0af9eb9ba1485p-13, -0x1.0714a497f67f3p-13, -0x1.035c31356dc6ep-13, -0x1.ff9cc0ae9bad9p-14, -0x1.f8d229c38aa13p-14, -0x1.f2548a539351bp-14, -0x1.ec1ff4d28e7d5p-14, -0x1.e630a06c7be58p-14, -0x1.e082e7f9dabe7p-14, -0x1.db1348f872d31p-14, -0x1.d5de628d8d64ep-14, -0x1.d0e0f48c8aefdp-14, -0x1.cc17de826d255p-14, -0x1.c7801ec9ebd97p-14, -0x1.c316d1a2a45ffp-14, -0x1.bed9304eed78p-14, -0x1.bac49036d012bp-14, -0x1.b6d6620f8f6e4p-14, -0x1.b30c310b149bbp-14, -0x1.af63a20a660a2p-14, -0x1.abda72d68f63cp-14, -0x1.a86e795b6fcddp-14, -0x1.a51da2ead5dcp-14, -0x1.a1e5f382595b2p-14, -0x1.9ec585177ae8fp-14, -0x1.9bba86e5f05fdp-14, -0x1.98c33cc57b522p-14, -0x1.95ddfe825c659p-14, -0x1.930937382c40bp-14, -0x1.904364b4d3b0ep-14, -0x1.8d8b16dc376b2p-14, -0x1.8adeef12cdb6fp-14, -0x1.883d9fa9d1876p-14, -0x1.85a5eb50a003bp-14, -0x1.8316a4890376ep-14, -0x1.808ead1faca8ap-14, -0x1.7e0cf5a7c8fddp-14, -0x1.7b907cfac5643p-14, -0x1.79184fbb0fef6p-14, -0x1.76a387daccc9cp-14, -0x1.74314c249a3f8p-14, -0x1.71c0cfc94a433p-14, -0x1.6f5151ee7309dp-14, -0x1.6ce21d42fd658p-14, -0x1.6a72879392579p-14, -0x1.6801f164edb2cp-14, -0x1.658fc58eee414p-14, -0x1.631b78db298dap-14, -0x1.60a489a697395p-14, -0x1.5e2a7f84cfab5p-14, -0x1.5baceae738207p-14, -0x1.592b64c6525f1p-14, -0x1.56a58e4d71cfp-14, -0x1.541b10888d5bdp-14, -0x1.518b9c1472c48p-14, -0x1.4ef6e8d246418p-14, -0x1.4c5cb59b74039p-14, -0x1.49bcc7fa2076p-14, -0x1.4716ebe1ef26ap-14, -0x1.446af36c5fdfcp-14, -0x1.41b8b69522355p-14, -0x1.3f0012fa7ea13p-14, -0x1.3c40eb9e0ce6ap-14, -0x1.397b28a8cd7f2p-14, -0x1.36aeb7306a481p-14, -0x1.33db88fe39027p-14, -0x1.310194586d87cp-14, -0x1.2e20d3cbf15e4p-14, -0x1.2b3945f9977cbp-14, -0x1.284aed63118c1p-14, -0x1.2555d03ad7f6ep-14, -0x1.2259f834f2f81p-14, -0x1.1f57725a58cb6p-14, -0x1.1c4e4edc51fcfp-14, -0x1.193ea0ea22b07p-14, -0x1.16287e87b7da8p-14, -0x1.130c00662090cp-14, -0x1.0fe941bca97adp-14, -0x1.0cc0602498335p-14, -0x1.09917b7412176p-14, -0x1.065cb59ce8e69p-14, -0x1.03223289f2d9dp-14, -0x1.ffc42ffe9348bp-15, -0x1.f9391af5ec28cp-15, -0x1.f2a3782d43a16p-15, -0x1.ec039cd5fc968p-15, -0x1.e559e0e703fcp-15, -0x1.dea69ee79438fp-15, -0x1.d7ea33b9d482fp-15, -0x1.d124fe6a9ee19p-15, -0x1.ca575fffe182p-15, -0x1.c381bb4a37a8fp-15, -0x1.bca474b97348dp-15, -0x1.b5bff2302c8ep-15, -0x1.aed49adcc302fp-15, -0x1.a7e2d70ec0c34p-15, -0x1.a0eb10134552cp-15, -0x1.99edb00e3c707p-15, -0x1.92eb21d9148e9p-15, -0x1.8be3d0dfb9c69p-15, -0x1.84d829019176cp-15, -0x1.7dc896711358bp-15, -0x1.76b58597c203p-15, -0x1.6f9f62f8c3c62p-15, -0x1.68869b158d291p-15, -0x1.616b9a54ba34bp-15, -0x1.5a4ecce7f5a1ap-15, -0x1.53309eb5f5f14p-15, -0x1.4c117b42d276dp-15, -0x1.44f1cd9a88446p-15, -0x1.3dd2003d43f94p-15, -0x1.36b27d0ad5ea2p-15, -0x1.2f93ad31570e5p-15, -0x1.2875f91a16612p-15, -0x1.2159c859c9677p-15, -0x1.1a3f81a02ec2bp-15, -0x1.13278aa9c0f16p-15, -0x1.0c12483147323p-15, -0x1.05001de1fe156p-15, -0x1.fbe2dc96899c7p-16, -0x1.edcd35a9774bfp-16, -0x1.dfc0076571cdfp-16, -0x1.d1bc0fb9b242fp-16, -0x1.c3c20a048d627p-16, -0x1.b5d2af0468009p-16, -0x1.a7eeb4c55c2dap-16, -0x1.9a16ce90b4dfap-16, -0x1.8c4bace05a693p-16, -0x1.7e8dfd4ebd1b1p-16, -0x1.70de6a8a81ddp-16, -0x1.633d9c4c152a5p-16, -0x1.55ac374b40f06p-16, -0x1.482add349507cp-16, -0x1.3aba2ca08f276p-16, -0x1.2d5ac10d32dcbp-16, -0x1.200d32d5be023p-16, -0x1.12d2172e40532p-16, -0x1.05aa001ccc594p-16, -0x1.f12af8eaa4076p-17, -0x1.d72a2fad82373p-17, -0x1.bd52b54d05287p-17, -0x1.a3a5942080ad1p-17, -0x1.8a23d0061f452p-17, -0x1.70ce665f57a27p-17, -0x1.57a64e1243a77p-17, -0x1.3eac7786e7513p-17, -0x1.25e1ccad3043ap-17, -0x1.0d4730fd27f02p-17, -0x1.e9bb02efb04e6p-18, -0x1.b94b295d54466p-18, -0x1.894075923ae52p-18, -0x1.599c7b1042542p-18, -0x1.2a60c0a4a8d57p-18, -0x1.f71d80d5a963p-19, -0x1.9a4fcfcb9adaep-19, -0x1.3e5b301fc61ecp-19, -0x1.c68495be7cd12p-20, -0x1.120f60c9d88ecp-20, -0x1.7d6ec3e3e0b09p-22, 0x1.4646eba0196f5p-22, }}, 
      {{-0x1.00c1bdb147be8p-2, -0x1.01d9efd69ebefp-2, -0x1.034dad103480cp-2, -0x1.050def79fcdd2p-2, -0x1.070b9b0f891f8p-2, -0x1.09385b013a44bp-2, -0x1.0b87284381a71p-2, -0x1.0dec922cac25p-2, -0x1.105edb9dacf65p-2, -0x1.12d5fa6aac038p-2, -0x1.154b831da9f05p-2, -0x1.17ba88763dde8p-2, -0x1.1a1f73fe021f3p-2, -0x1.1c77db8019fc7p-2, -0x1.1ec2560be146ap-2, -0x1.20fe524fa252ep-2, -0x1.232bef75fd22dp-2, -0x1.254bd939e4887p-2, -0x1.275f278efb17p-2, -0x1.296741fef1f7dp-2, -0x1.2b65c6b1e8a79p-2, -0x1.2d5c74fb3e318p-2, -0x1.2f4d1b31e2958p-2, -0x1.313987909cfd1p-2, -0x1.33237bd57bc7ep-2, -0x1.350ca356634dcp-2, -0x1.36f68b42146d7p-2, -0x1.38e29cc84f8fep-2, -0x1.3ad218e81097cp-2, -0x1.3cc615a7e633ap-2, -0x1.3ebf7c81cf8a7p-2, -0x1.40bf09d151dd4p-2, -0x1.42c54d17d227bp-2, -0x1.44d2a9f02bb5ap-2, -0x1.46e7598f41161p-2, -0x1.49036cb38951ep-2, -0x1.4b26cde9a5b4p-2, -0x1.4d51440f919cap-2, -0x1.4f8275034ce79p-2, -0x1.51b9e86caec1bp-2, -0x1.53f70a94b4847p-2, -0x1.56392f3ed0f19p-2, -0x1.587f947ac8702p-2, -0x1.5ac9656765547p-2, -0x1.5d15bcdfc6d4ep-2, -0x1.5f63a80e6f568p-2, -0x1.61b228e24c42bp-2, -0x1.64003862f0abfp-2, -0x1.664cc8e21004fp-2, -0x1.6896c808fd228p-2, -0x1.6add20c1889a9p-2, -0x1.6d1ebcfa19ffep-2, -0x1.6f5a87454f2ebp-2, -0x1.718f6c55bc0a7p-2, -0x1.73bc5c56b2e2bp-2, -0x1.75e04c233592cp-2, -0x1.77fa365c56223p-2, -0x1.7a091c607bd9ep-2, -0x1.7c0c072509adcp-2, -0x1.7e0207f400c0bp-2, -0x1.7fea390f3f82ep-2, -0x1.81c3be3afec99p-2, -0x1.838dc53131c5p-2, -0x1.854785ff663f4p-2, -0x1.86f04350c21ep-2, -0x1.88874aa5a0bdap-2, -0x1.8a0bf47a56b1fp-2, -0x1.8b7da45e8ead4p-2, -0x1.8cdbc8fe9be1dp-2, -0x1.8e25dc2015647p-2, -0x1.8f5b62930005ap-2, -0x1.907bec18ac6a2p-2, -0x1.918713416ac8dp-2, -0x1.927c7d42256acp-2, -0x1.935bd9c2cefc1p-2, -0x1.9424e2a69c49fp-2, -0x1.94d75bced57f8p-2, -0x1.957312d91039bp-2, -0x1.95f7ded98502dp-2, -0x1.9665a0123020bp-2, -0x1.96bc3fa7517c9p-2, -0x1.96fbaf51e19d3p-2, -0x1.9723e910790b7p-2, -0x1.9734eed71f8fcp-2, -0x1.972eca3e6bf36p-2, -0x1.97118c3259deep-2, -0x1.96dd4ca122ccfp-2, -0x1.96922a2a693b4p-2, -0x1.963049cefdc9bp-2, -0x1.95b7d6a170dc9p-2, -0x1.95290177b0152p-2, -0x1.9484009dd10f6p-2, -0x1.93c90f8a38018p-2, -0x1.92f86e933cfd7p-2, -0x1.921262a6624bfp-2, -0x1.911735013ff24p-2, -0x1.900732ec2ef0bp-2, -0x1.8ee2ad76c32d7p-2, -0x1.8da9f93628477p-2, -0x1.8c5d6e05606fep-2, -0x1.8afd66c76fd85p-2, -0x1.898a412b77594p-2, -0x1.88045d72c0f4cp-2, -0x1.866c1e38ba3f4p-2, -0x1.84c1e83cde00ep-2, -0x1.8306222e83625p-2, -0x1.8139347a985c3p-2, -0x1.7f5b891b30fbfp-2, -0x1.7d6d8b68f52a6p-2, -0x1.7b6fa7ee5766fp-2, -0x1.79624c3c95ca5p-2, -0x1.7745e6c272d67p-2, -0x1.751ae6a4a533fp-2, -0x1.72e1bb97eef7p-2, -0x1.709ad5bcd0fdep-2, -0x1.6e46a57cd7535p-2, -0x1.6be59b696979dp-2, -0x1.6978281c1e2ecp-2, -0x1.66febc18810d3p-2, -0x1.6479c7af4226dp-2, -0x1.61e9bae2c5746p-2, -0x1.5f4f054d047c2p-2, -0x1.5caa1606bf8aap-2, -0x1.59fb5b8fe9d15p-2, -0x1.574343b94d57fp-2, -0x1.54823b8f5fb6cp-2, -0x1.51b8af46320c8p-2, -0x1.4ee70a2682c98p-2, -0x1.4c0db67bd9ffdp-2, -0x1.492d1d83b0395p-2, -0x1.4645a75d93f35p-2, -0x1.4357bafc45d51p-2, -0x1.4063be17c1132p-2, -0x1.3d6a15202e3d3p-2, -0x1.3a6b2331ae6e4p-2, -0x1.37674a090496bp-2, -0x1.345ee9f909159p-2, -0x1.315261e0e56ebp-2, -0x1.2e420f23165aap-2, -0x1.2b2e4d9d2298fp-2, -0x1.281777a008b87p-2, -0x1.24fde5e95c5a3p-2, -0x1.21e1ef9d05becp-2, -0x1.1ec3ea3fa7217p-2, -0x1.1ba429b19c732p-2, -0x1.1883002a8fbbfp-2, -0x1.1560be359ff1cp-2, -0x1.123db2ae1025ap-2, -0x1.0f1a2abc7db6p-2, -0x1.0bf671d497cefp-2, -0x1.08d2d1b350bd3p-2, -0x1.05af925d8915p-2, -0x1.028cfa1f26998p-2, -0x1.fed69b1542042p-3, -0x1.f8959ef1e368ep-3, -0x1.f2578213d06c4p-3, -0x1.ec1cc349ca2e2p-3, -0x1.e5e5ddf3d1ba2p-3, -0x1.dfb34a06021b2p-3, -0x1.d9857c0c0eeafp-3, -0x1.d35ce52d659d3p-3, -0x1.cd39f331e533p-3, -0x1.c71d10872fdddp-3, -0x1.c106a4467d0e1p-3, -0x1.baf7123afa019p-3, -0x1.b4eebae8a2d2fp-3, -0x1.aeedfb9394ec3p-3, -0x1.a8f52e47d2f19p-3, -0x1.a304a9e16f966p-3, -0x1.9d1cc21522e06p-3, -0x1.973dc7793ca8dp-3, -0x1.9168078ee9cb8p-3, -0x1.8b9bcccbda18bp-3, -0x1.85d95ea4275dbp-3, -0x1.802101948f1c1p-3, -0x1.7a72f72ce8122p-3, -0x1.74cf7e1ae0c44p-3, -0x1.6f36d234eca58p-3, -0x1.69a92c857094cp-3, -0x1.6426c3561a73ep-3, -0x1.5eafca3b6a01p-3, -0x1.59447220595a1p-3, -0x1.53e4e95236c2cp-3, -0x1.4e915b8c91c3fp-3, -0x1.4949f2054c5c1p-3, -0x1.440ed378c4d01p-3, -0x1.3ee024360cae5p-3, -0x1.39be062b3bf74p-3, -0x1.34a898f1ca6e1p-3, -0x1.2f9ff9daf6fcap-3, -0x1.2aa443fc37e2cp-3, -0x1.25b5903ba842ap-3, -0x1.20d3f55c83bf4p-3, -0x1.1bff880b95cbp-3, -0x1.17385aebaab85p-3, -0x1.127e7ea1f7fe9p-3, -0x1.0dd201e280fa6p-3, -0x1.0932f17c64cedp-3, -0x1.04a158662e09dp-3, -0x1.001d3fca0621bp-3, -0x1.f74d5e23bb08ap-4, -0x1.ee7b57e6f7cbcp-4, -0x1.e5c474f906bc4p-4, -0x1.dd28ba3c9d282p-4, -0x1.d4a8297386f45p-4, -0x1.cc42c156007p-4, -0x1.c3f87da9ecf8bp-4, -0x1.bbc95759be73ap-4, -0x1.b3b5448b29c36p-4, -0x1.abbc38b598635p-4, -0x1.a3de24b858ec3p-4, -0x1.9c1af6f08939bp-4, -0x1.94729b4eb2a1cp-4, -0x1.8ce4fb6c2b0f1p-4, -0x1.8571fea01df97p-4, -0x1.7e198a144fdffp-4, -0x1.76db80d99023p-4, -0x1.6fb7c3fbdf0bfp-4, -0x1.68ae32963f08ep-4, -0x1.61bea9e635dd7p-4, -0x1.5ae9055efb7eap-4, -0x1.542d1ebc536f4p-4, -0x1.4d8ace15128bep-4, -0x1.4701e9ed4ea3cp-4, -0x1.4092474839ap-4, -0x1.3a3bb9b9a31fap-4, -0x1.33fe137727649p-4, -0x1.2dd92569037a6p-4, -0x1.27ccbf3a93dcfp-4, -0x1.21d8af6a7b56cp-4, -0x1.1bfcc35a71bcp-4, -0x1.1638c75ebd25fp-4, -0x1.108c86cd4f869p-4, -0x1.0af7cc0c929c1p-4, -0x1.057a60a1d8c2dp-4, -0x1.00140d3f7875bp-4, -0x1.f58933a525aabp-5, -0x1.eb179b21041a3p-5, -0x1.e0d2de07e9b67p-5, -0x1.d6ba883367ccp-5, -0x1.ccce245a253fp-5, -0x1.c30d3c281cb6dp-5, -0x1.b97758563403bp-5, -0x1.b00c00c12cbedp-5, -0x1.a6cabc7ff7a35p-5, -0x1.9db311f963985p-5, -0x1.94c486f92e0c2p-5, -0x1.8bfea0c47772p-5, -0x1.8360e42d9d49ap-5, -0x1.7aead5a777955p-5, -0x1.729bf95800c6fp-5, -0x1.6a73d32a6a9b3p-5, -0x1.6271e6e09af5bp-5, -0x1.5a95b8241c5ap-5, -0x1.52deca967a9f3p-5, -0x1.4b4ca1e11994ep-5, -0x1.43dec1c478976p-5, -0x1.3c94ae26f5b68p-5, -0x1.356deb2304d47p-5, -0x1.2e69fd14e9289p-5, -0x1.278868a7e63e8p-5, -0x1.20c8b2e2f7382p-5, -0x1.1a2a61350819dp-5, -0x1.13acf980b5p-5, -0x1.0d5002278e892p-5, -0x1.07130214ed4ecp-5, -0x1.00f580c84eccap-5, -0x1.f5ee0cbe857c9p-6, -0x1.ea2e373dd29d6p-6, -0x1.deaa93fa0a865p-6, -0x1.d36237514d6abp-6, -0x1.c8543724d446cp-6, -0x1.bd7faae8aaaafp-6, -0x1.b2e3abb2a7b89p-6, -0x1.a87f544896d35p-6, -0x1.9e51c12db49fdp-6, -0x1.945a10af70d3dp-6, -0x1.8a9762f1736fep-6, -0x1.8108d9f8fe038p-6, -0x1.77ad99b79b9cep-6, -0x1.6e84c81533189p-6, -0x1.658d8cf9757b4p-6, -0x1.5cc71254a3698p-6, -0x1.54308427cf083p-6, -0x1.4bc9108c77cbp-6, -0x1.438fe7bba2abfp-6, -0x1.3b843c145d34dp-6, -0x1.33a54221bb88bp-6, -0x1.2bf230a052d72p-6, -0x1.246a408335d94p-6, -0x1.1d0cacf871f1p-6, -0x1.15d8b36d160fdp-6, -0x1.0ecd9390c1fd7p-6, -0x1.07ea8f58c88bcp-6, -0x1.012eeb02e1342p-6, -0x1.f533da2ef2993p-7, -0x1.e855bcd720daep-7, -0x1.dbc2144478591p-7, -0x1.cf777b5b8fd86p-7, -0x1.c37491a104aa9p-7, -0x1.b7b7fb3a52024p-7, -0x1.ac4060edf9c39p-7, -0x1.a10c70231af68p-7, -0x1.961adae05c861p-7, -0x1.8b6a57ca4709fp-7, -0x1.80f9a2210961cp-7, -0x1.76c779bdb904ap-7, -0x1.6cd2a30ef1e1p-7, -0x1.6319e7151ac08p-7, -0x1.599c135e093c1p-7, -0x1.5057fa00540e6p-7, -0x1.474c719612c16p-7, -0x1.3e78553744f89p-7, -0x1.35da8473ca217p-7, -0x1.2d71e34cf536bp-7, -0x1.253d5a2eca3e9p-7, -0x1.1d3bd5e8e9df7p-7, -0x1.156c47a70dc6cp-7, -0x1.0dcda4e948d2cp-7, -0x1.065ee77bf7707p-7, -0x1.fe3e1adec011cp-8, -0x1.f01a321e46e14p-8, -0x1.e25021b2ac2b9p-8, -0x1.d4ddfeead2ef4p-8, -0x1.c7c1e755a58a3p-8, -0x1.bafa00af110d3p-8, -0x1.ae8478cc873fp-8, -0x1.a25f858942228p-8, -0x1.968964b210fcap-8, -0x1.8b005bf0d6d25p-8, -0x1.7fc2b8b7d75c1p-8, -0x1.74ced02ca7a72p-8, -0x1.6a22ff12e5da4p-8, -0x1.5fbda9b6d36d3p-8, -0x1.559d3bd79e973p-8, -0x1.4bc02891670fbp-8, -0x1.4224ea475abb9p-8, -0x1.38ca028d6eb68p-8, -0x1.2fadfa122235dp-8, -0x1.26cf608817c36p-8, -0x1.1e2ccc8f9a33bp-8, -0x1.15c4dba0049e9p-8, -0x1.0d9631f11ecd3p-8, -0x1.059f7a647c31p-8, -0x1.fbbeccdd96bddp-9, -0x1.eca95c023370cp-9, -0x1.ddfc1ee47878ap-9, -0x1.cfb49ecfe753p-9, -0x1.c1d07180c1b37p-9, -0x1.b44d38f6c1cf8p-9, -0x1.a728a347d57bcp-9, -0x1.9a606a7337db7p-9, -0x1.8df25434832f7p-9, -0x1.81dc31d705121p-9, -0x1.761be0090ec24p-9, -0x1.6aaf46afbc375p-9, -0x1.5f9458babd74fp-9, -0x1.54c913f880b2fp-9, -0x1.4a4b80ea7edc3p-9, -0x1.4019b299f7844p-9, -0x1.3631c66cb78f4p-9, -0x1.2c91e3fa46defp-9, -0x1.23383ce17ac4p-9, -0x1.1a230c9e2a36dp-9, -0x1.1150985f6adbbp-9, -0x1.08bf2ede08938p-9, -0x1.006d28334129dp-9, -0x1.f0b1cb60053c8p-10, -0x1.e101a36905df8p-10, -0x1.d1c6bf102728ap-10, -0x1.c2fe1662ea958p-10, -0x1.b4a4b29f20426p-10, -0x1.a6b7ade53824fp-10, -0x1.993432eb15e1fp-10, -0x1.8c177cafe9d8p-10, -0x1.7f5ed630c9925p-10, -0x1.73079a1e3b6cp-10, -0x1.670f3292a1221p-10, -0x1.5b7318c924ffcp-10, -0x1.5030d4d5f8cfbp-10, -0x1.4545fd5f24eaep-10, -0x1.3ab0375671e18p-10, -0x1.306d35b3e000bp-10, -0x1.267ab9314273dp-10, -0x1.1cd69006a74fep-10, -0x1.137e95a7a54e1p-10, -0x1.0a70b281a6d99p-10, -0x1.01aadbbac65bap-10, -0x1.f25625e3fce0dp-11, -0x1.e1decbffbe605p-11, -0x1.d1ebdd70c119ap-11, -0x1.c279a55abfa49p-11, -0x1.b38485e4bd319p-11, -0x1.a508f7c16175p-11, -0x1.970389b9eca0ep-11, -0x1.8970e03a34db5p-11, -0x1.7c4db4def5bb4p-11, -0x1.6f96d6058a89p-11, -0x1.6349265d5f25ap-11, -0x1.57619c7b90f7cp-11, -0x1.4bdd426f67914p-11, -0x1.40b935597681p-11, -0x1.35f2a503fd8b3p-11, -0x1.2b86d37cd9079p-11, -0x1.217314b14919p-11, -0x1.17b4ce0b6ea58p-11, -0x1.0e49761138795p-11, -0x1.052e940574ba2p-11, -0x1.f8c37f137f694p-12, -0x1.e7c140854fbb1p-12, -0x1.d751dafa423b4p-12, -0x1.c770dbab7edc8p-12, -0x1.b819edc25ed4p-12, -0x1.a948d9ad81e08p-12, -0x1.9af98477a660fp-12, -0x1.8d27ef2250729p-12, -0x1.7fd03603d1bfbp-12, -0x1.72ee90275892ep-12, -0x1.667f4eb04915fp-12, -0x1.5a7edc4116c87p-12, -0x1.4ee9bc63c2992p-12, -0x1.43bc8af679179p-12, -0x1.38f3fb9a6f4e6p-12, -0x1.2e8cd924ebcf3p-12, -0x1.24840514058e2p-12, -0x1.1ad6770586d37p-12, -0x1.11813c30c7ef3p-12, -0x1.088176e2ad903p-12, -0x1.ffa8bbf962a78p-13, -0x1.eeee78ec9589fp-13, -0x1.decee1c19f881p-13, -0x1.cf44d9dc66edp-13, -0x1.c04b69f33c318p-13, -0x1.b1ddbf24ebd14p-13, -0x1.a3f72a152739bp-13, -0x1.96931e0b6e21bp-13, -0x1.89ad3018bb10bp-13, -0x1.7d41163fc0857p-13, -0x1.714aa6a332738p-13, -0x1.65c5d6b69677ep-13, -0x1.5aaeba7622e64p-13, -0x1.500183a092a2bp-13, -0x1.45ba80f6186e2p-13, -0x1.3bd61d7aa814fp-13, -0x1.3250dfbdc6a59p-13, -0x1.29276924cca6bp-13, -0x1.2056753a25867p-13, -0x1.17dad90069536p-13, -0x1.0fb182481918dp-13, -0x1.07d7770a82c98p-13, -0x1.0049d4c6c532ep-13, -0x1.f20b9fc93eda1p-14, -0x1.e411663140f18p-14, -0x1.d69fbd9977bb6p-14, -0x1.c9b191194d1cdp-14, -0x1.bd41f4e86e05bp-14, -0x1.b14c2545396d4p-14, -0x1.a5cb8561ae098p-14, -0x1.9abb9e526047fp-14, -0x1.90181e0926f3fp-14, -0x1.85dcd651a4e2p-14, -0x1.7c05bbd681c38p-14, -0x1.728ee52b5e166p-14, -0x1.697489dcefe0ep-14, -0x1.60b30185adaeep-14, -0x1.5846c2e97b9cp-14, -0x1.502c6316229c1p-14, -0x1.48609489302b1p-14, -0x1.40e0265bc7aa8p-14, -0x1.39a80371eb223p-14, -0x1.32b531af850afp-14, -0x1.2c04d132fe884p-14, -0x1.25941b948afa4p-14, -0x1.1f606328d7acep-14, -0x1.1967124b7bcfbp-14, -0x1.13a5aaa8e180ep-14, -0x1.0e19c491e4d48p-14, -0x1.08c10e4fe9084p-14, -0x1.03994b7ffa38ap-14, -0x1.fd40a8e0a04bfp-15, -0x1.f3a82b05ba4dcp-15, -0x1.ea651d2649dd7p-15, -0x1.e173a4bfafa42p-15, -0x1.d8d00bf211cfep-15, -0x1.d076c06347103p-15, -0x1.c864522b4ed97p-15, -0x1.c09572c3366ecp-15, -0x1.b906f40070aafp-15, -0x1.b1b5c711a19afp-15, -0x1.aa9efb87728e7p-15, -0x1.a3bfbe5fb8a22p-15, -0x1.9d15591a662c2p-15, -0x1.969d30d1a27bap-15, -0x1.9054c55a26a5dp-15, -0x1.8a39b06747651p-15, -0x1.8449a4b7a20efp-15, -0x1.7e826d4731c39p-15, -0x1.78e1ec85894dap-15, -0x1.73661b90d7c9dp-15, -0x1.6e0d09789d8f3p-15, -0x1.68d4da8459d3p-15, -0x1.63bbc77f0d2b7p-15, -0x1.5ec01d08b917cp-15, -0x1.59e03aebb9a54p-15, -0x1.551a937724f1dp-15, -0x1.506daadd20e41p-15, -0x1.4bd8169658b38p-15, -0x1.47587ccb7ddf5p-15, -0x1.42ed93c081c7cp-15, -0x1.3e9621465d803p-15, -0x1.3a50fa2d7430fp-15, -0x1.361d01bfb9e75p-15, -0x1.31f9293c43681p-15, -0x1.2de46f5877e0cp-15, -0x1.29dddfc28e105p-15, -0x1.25e492ab0c644p-15, -0x1.21f7ac4ef2c76p-15, -0x1.1e165c8544699p-15, -0x1.1a3fde52d0206p-15, -0x1.1673777d92d11p-15, -0x1.12b078266ca18p-15, -0x1.0ef63a645977ap-15, -0x1.0b4421e2d1f5fp-15, -0x1.07999b8349103p-15, -0x1.03f61d0194dd5p-15, -0x1.0059249a938c3p-15, -0x1.f984716c827fep-16, -0x1.f261cf2874ad8p-16, -0x1.eb498df62a39p-16, -0x1.e43ae7d3acf61p-16, -0x1.dd352498f311fp-16, -0x1.d6379961ef6fbp-16, -0x1.cf41a804b6026p-16, -0x1.c852be833eeffp-16, -0x1.c16a5688b639cp-16, -0x1.ba87f4e7c8519p-16, -0x1.b3ab291d973cp-16, -0x1.acd38cd84da35p-16, -0x1.a600c38179a6ap-16, -0x1.9f3279cdc5cbfp-16, -0x1.9868654fede36p-16, -0x1.91a2440f85bd5p-16, -0x1.8adfdc21a642ep-16, -0x1.8420fb45d143ap-16, -0x1.7d6576888fa13p-16, -0x1.76ad29e462bd8p-16, -0x1.6ff7f7eac150ep-16, -0x1.6945c96dbcdd5p-16, -0x1.62968d2eba54bp-16, -0x1.5bea378b802a4p-16, -0x1.5540c232067e7p-16, -0x1.4e9a2bd5f1df3p-16, -0x1.47f677e8a15c5p-16, -0x1.4155ae54ba1f7p-16, -0x1.3ab7db3aede7dp-16, -0x1.341d0eb281557p-16, -0x1.2d855c8987fb4p-16, -0x1.26f0dc0bd64c6p-16, -0x1.205fa7c6acc91p-16, -0x1.19d1dd52c28d8p-16, -0x1.13479d1f487abp-16, -0x1.0cc10a3fd400dp-16, -0x1.063e4a3938d16p-16, -0x1.ff7f09a68c68ap-17, -0x1.f289c7d73daaap-17, -0x1.e59d26934d699p-17, -0x1.d8b980e883bd7p-17, -0x1.cbdf3516e0f6ap-17, -0x1.bf0ea43e9aeaap-17, -0x1.b248321bff03ap-17, -0x1.a58c44bcd81bep-17, -0x1.98db443d5113cp-17, -0x1.8c359a86979b1p-17, -0x1.7f9bb31236a94p-17, -0x1.730dfaaea6cf6p-17, -0x1.668cdf44a6db1p-17, -0x1.5a18cfa310af7p-17, -0x1.4db23b4a3b1c3p-17, -0x1.4159923b928dep-17, -0x1.350f44c821a74p-17, -0x1.28d3c364be765p-17, -0x1.1ca77e81d5515p-17, -0x1.108ae65ec480bp-17, -0x1.047e6ae7d1751p-17, -0x1.f104f7197ec1p-18, -0x1.d92f0e4287264p-18, -0x1.c17bf77220d24p-18, -0x1.a9ec8d18729d4p-18, -0x1.9281a7ae3eb53p-18, -0x1.7b3c1d7dcc5dfp-18, -0x1.641cc26f1a76ep-18, -0x1.4d2467d9f4de5p-18, -0x1.3653dc4f89fbp-18, -0x1.1fabeb71419c1p-18, -0x1.092d5dcac94d7p-18, -0x1.e5b1f1509a88bp-19, -0x1.b95efbe79d3fbp-19, -0x1.8d6358278db56p-19, -0x1.61c07b94bb52ap-19, -0x1.3677d43337fbbp-19, -0x1.0b8ac84f846c3p-19, -0x1.c1f56ca59f2a5p-20, -0x1.6d91e92146957p-20, -0x1.19eda2337b4dcp-20, -0x1.8e16467d9d4d7p-21, -0x1.d3b39a7066811p-22, -0x1.1caaaaa4f3cfbp-23, 0x1.67c9c89750a9ap-23, 0x1.f2f1fb14aa4a9p-22, 0x1.97648f784675ep-21, 0x1.19d8720076e51p-20, 0x1.672cedacf253p-20, 0x1.b3adbd1f94bdcp-20, 0x1.ff58f50348c31p-20, 0x1.25165e30e46b1p-19, 0x1.4a13a655e95cp-19, 0x1.6ea378db3f0bdp-19, 0x1.92c504e6406f2p-19, 0x1.b67782d48cc4fp-19, 0x1.d9ba34342e0bbp-19, 0x1.fc8c63c4dfdbdp-19, 0x1.0f76b2b7ee8b5p-18, 0x1.206e4b21c3605p-18, 0x1.312cae2edf889p-18, 0x1.41b19374371e7p-18, 0x1.51fcb706bea7dp-18, 0x1.620dd9727b1dap-18, 0x1.71e4bfb554591p-18, 0x1.81813334d26f2p-18, 0x1.90e301b6fae29p-18, 0x1.a009fd551bb3p-18, 0x1.aef5fc721e4f3p-18, 0x1.bda6d9b3df90dp-18, 0x1.cc1c73f374de5p-18, 0x1.da56ae36c9539p-18, 0x1.e8556fa0acb38p-18, 0x1.f618a36675ac1p-18, 0x1.01d01c62d65f5p-17, 0x1.08761178c9a0bp-17, 0x1.0efe2c83afaeap-17, 0x1.15686b0279825p-17, 0x1.1bb4cc5aa0a48p-17, 0x1.21e351d3b2377p-17, 0x1.27f3fe8f2c117p-17, 0x1.2de6d78154753p-17, 0x1.33bbe36a3211cp-17, 0x1.39732acb91dbbp-17, 0x1.3f0cb7e40d5c1p-17, 0x1.448896a7ada9cp-17, }}, 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
      std::vector<double>(649, 0.0), 
    }}, 
    {
      30, 0x1.2a3d70a3d70a4p+2, 0x1.d9e9ac93099b2p+3, 0x1.635ff4edb4f39p+5, -0x1.dcb24911006cep-6, 
      {{
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.6c5724f4a483bp-6, -0x1.853c8734bdb26p-1, 0x1.68481025de598p+2, -0x1.0b574ec88b099p+4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.f09e7e5d617bcp-9, -0x1.4a589f82e9bc9p-2, 0x1.8fc0f4f4af759p+1, -0x1.6e969a57832fdp+3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.bbca2214d9578p-7, -0x1.8a18f81d788b8p-4, 0x1.6799fd805b19ep+0, -0x1.c5bd05efb6b53p+2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.01b29b5146cd7p-6, -0x1.243c729431456p-7, 0x1.5d6f1af54f7bbp-2, -0x1.0fac64d4ca612p+1}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.febef9d9902f9p-7, 0x1.3056f921aee79p-7, 0x1.76d085c5ca1ebp-6, 0x1.66b7acc485e1bp-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.ecf00058cd12dp-7, 0x1.a6594756957a5p-7, 0x1.92a344259bcb3p-5, -0x1.0164865619422p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.d44ef8456b848p-7, 0x1.1442241e49a94p-6, 0x1.f06780b0b2e1dp-6, -0x1.3fcbf3e088328p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.b65c4acb38514p-7, 0x1.411a1272fd589p-6, 0x1.90771ded56d32p-6, -0x1.cc8d098e660ecp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.947a709caf7e7p-7, 0x1.623d77dbc99e4p-6, 0x1.064cce429e9aap-6, -0x1.75682487b03aep-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.6fedf1f2fc4afp-7, 0x1.76de7774e4ea5p-6, 0x1.2c8e536706ac7p-7, -0x1.5b53ef2d8c387p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.49dd668df92a5p-7, 0x1.80afd80a0095fp-6, 0x1.70a30f95308bap-9, -0x1.30e2f5d5b96dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.235175b42fcb3p-7, 0x1.80b8b7bf0fb0fp-6, -0x1.6b173e6bbfaa6p-9, -0x1.0ad45cc80e147p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.fa69ac65b224ep-8, 0x1.782e33a7837bfp-6, -0x1.f5bda825f0b95p-8, -0x1.c7320d1ede92cp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.b0a89cbbba39p-8, 0x1.683915c092d6p-6, -0x1.836dd802a1896p-7, -0x1.795c897100e4fp-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.6abd681fa67f2p-8, 0x1.52057570dfdf8p-6, -0x1.f4a3347155011p-7, -0x1.2b5bdd0b75ea6p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.29c9d954040f8p-8, 0x1.36be878f9a19p-6, -0x1.2738fb60c8fd7p-6, -0x1.bacd55829c7f3p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.dd67b4517ceaep-9, 0x1.178fbdc8504adp-6, -0x1.486ec830fb209p-6, -0x1.1edd7182838a7p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.744ae6f63f54bp-9, 0x1.eb48f2090d5fdp-7, -0x1.5df2971ac4fep-6, -0x1.05d92df5756ap-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.19199a6ba02dap-9, 0x1.a45040c3190e7p-7, -0x1.67c455a0c631fp-6, 0x1.8faea02560b1cp-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.9870b9435a53dp-10, 0x1.5c8c25df1edbdp-7, -0x1.65e4b746ffbdfp-6, 0x1.6a0db545ad641p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.1b27f34661baap-10, 0x1.1653937ef1295p-7, -0x1.5851007ac93d6p-6, 0x1.508a66401f8c6p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.7285ee56cae3p-11, 0x1.a7f977b1924d5p-8, -0x1.3f136c02c6dfdp-6, 0x1.ee0b1646dbf1ep-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.c2f155cbb882p-12, 0x1.2fc1399f9a887p-8, -0x1.1a05ca570ffaap-6, 0x1.420fccd593ec4p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.f4f8d697f1401p-13, 0x1.913715fc21cd2p-9, -0x1.d36d3da14061fp-7, 0x1.9af3d597cc3c6p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.f06d03711ab7ap-14, 0x1.ddcda3a832d42p-10, -0x1.58241726e9811p-7, 0x1.9771503c71587p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.a68a526501a9bp-15, 0x1.f6c468ba3e75ap-11, -0x1.bbd0fe298f012p-8, 0x1.37e2624751436p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.1cc63d4b176ddp-16, 0x1.bd21f9543a012p-12, -0x1.00af8ffec4a64p-8, 0x1.ca3d95adb938bp-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.fcf52cbb9cd64p-19, 0x1.20d38c706c1f6p-13, -0x1.dcdabf910123fp-10, 0x1.2509737de7391p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.686ae5930afffp-22, 0x1.8001030e7facep-16, -0x1.f4d73a4e151dp-12, 0x1.93c9c60186938p-9}, 
        {0x1.299999999999ap+2, 0x1.2a3d70a3d70a4p+2, -0x1.1cc63d4fcp-32, -0x1.db45eb4a608c2p-20, -0x1.04b7fe5d9fdffp-16, 0x1.d0d46f1aba05cp-4}, 
      }}, 
      -0x1.e09b33544afdap+3, 0x1.191e9e0f3d7efp+9
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_br_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{-0x1.16eb2d3fef7p-2, -0x1.c7987049b45f7p-3, -0x1.3af884052f8ap-3, -0x1.43478fece5f04p-4, -0x1.fdad42f8df8b7p-8, 0x1.b2244393e85adp-5, 0x1.9877d42d94183p-4, 0x1.0c7aa24666ab2p-3, 0x1.2e0519e2329fep-3, 0x1.33d5f50cd7ab4p-3, 0x1.222ce1d757f26p-3, 0x1.fbaeb94fe8e64p-4, 0x1.975e2ddf78cf8p-4, 0x1.2087a63cdb901p-4, 0x1.3e9bcdf9ceddap-5, 0x1.aa08d18e4467dp-8, -0x1.9f579ef7dfd0cp-6, -0x1.c7521e98b5cfp-5, -0x1.559384659384bp-4, -0x1.bb568e63aea39p-4, -0x1.09caba6c18571p-3, -0x1.2ed7f2df1dca1p-3, -0x1.4cced76a18af2p-3, -0x1.63e69a5762961p-3, -0x1.7482bd08b32f3p-3, -0x1.7f2615166f809p-3, -0x1.8467d86921818p-3, -0x1.84ea945f5f423p-3, -0x1.81550652c5263p-3, -0x1.7a4c74ecd8d9bp-3, -0x1.707081f5dd91dp-3, -0x1.64581e4ebc332p-3, -0x1.568f7b809e5dap-3, -0x1.4796c558d0256p-3, -0x1.37e179aa4bc48p-3, -0x1.27d63a550fa38p-3, -0x1.17cef9d2a5f61p-3, -0x1.08196a0025439p-3, -0x1.f1ef3440b8075p-4, -0x1.d541624e5dda8p-4, -0x1.ba837829e7fa7p-4, -0x1.a1fd0a09443d7p-4, -0x1.8be4d87dc5212p-4, -0x1.78627d4b57fb9p-4, -0x1.67900a2709522p-4, -0x1.597b9648fe5f3p-4, -0x1.4e28b58ea0c0dp-4, -0x1.4591d97630626p-4, -0x1.3fa999eb3c318p-4, -0x1.3c5be5c81156fp-4, -0x1.3b8f1bcf6037fp-4, -0x1.3d250b5a497cfp-4, -0x1.40fbde634bee4p-4, -0x1.46eeed0accde5p-4, -0x1.4ed77ba2d307cp-4, -0x1.588d64051c46ap-4, -0x1.63e7abcfaa29dp-4, -0x1.70bd07fbe3c17p-4, -0x1.7ee44fa87a834p-4, -0x1.8e34de5b226a8p-4, -0x1.9e86e9b320e22p-4, -0x1.afb3c3bbe3c3dp-4, -0x1.c196181e6d536p-4, -0x1.d40a1909dc19ap-4, -0x1.e6eda3f47d5b9p-4, -0x1.fa205d76bee5bp-4, -0x1.06c1e21baf78dp-3, -0x1.107d9f9d268bbp-3, -0x1.1a361055cfb3bp-3, -0x1.23ded3539494dp-3, -0x1.2d6c7d234f955p-3, -0x1.36d491eaba221p-3, -0x1.400d805e83ea3p-3, -0x1.490e9bb576598p-3, -0x1.51d01327c257ep-3, -0x1.5a4ae9ecfe1bdp-3, -0x1.6278ed0deaf46p-3, -0x1.6a54a9f3e1fd6p-3, -0x1.71d9641cd1758p-3, -0x1.79030ac0d01dfp-3, -0x1.7fce2e9d6812dp-3, -0x1.8637f7f2257abp-3, -0x1.8c3e1d2a1afb4p-3, -0x1.91ded8421758p-3, -0x1.9718de0ff6d73p-3, -0x1.9beb55911ce07p-3, -0x1.a055ce2c6d6b2p-3, -0x1.a45837ae234cep-3, -0x1.a7f2da727aba6p-3, -0x1.ab264ee97d8e6p-3, -0x1.adf3767e52fa5p-3, -0x1.b05b74803ffccp-3, -0x1.b25fa6839c966p-3, -0x1.b401a2f048ee1p-3, -0x1.b5432928efa3cp-3, -0x1.b6262605bbfbep-3, -0x1.b6aca965db73p-3, -0x1.b6d8e29b7b2dfp-3, -0x1.b6ad1b7bf614cp-3, -0x1.b62bb4e9d1405p-3, -0x1.b5572141cc644p-3, -0x1.b431e361c6221p-3, -0x1.b2be88f5588a9p-3, -0x1.b0ffa8a300998p-3, -0x1.aef7df0224312p-3, -0x1.aca9cc378da3p-3, -0x1.aa1811980a346p-3, -0x1.a7454ff754a45p-3, -0x1.a434248cfeb32p-3, -0x1.a0e729c5fcfc9p-3, -0x1.9d60f357d1a03p-3, -0x1.99a40e2f96812p-3, -0x1.95b2ff1277f68p-3, -0x1.9190417fd0e7ap-3, -0x1.8d3e46dfed3a4p-3, -0x1.88bf75bd5442p-3, -0x1.841628ed950ffp-3, -0x1.7f44af40b0f84p-3, -0x1.7a4d4ad362868p-3, -0x1.753230935d7b5p-3, -0x1.6ff5881c6de2ap-3, -0x1.6a996b4a810f4p-3, -0x1.651fe61f8dda4p-3, -0x1.5f8af68140a8cp-3, -0x1.59dc8c27d8cfp-3, -0x1.541688a4aa8b9p-3, -0x1.4e3abf437483dp-3, -0x1.484af50787731p-3, -0x1.4248e0e9e823fp-3, -0x1.3c362bd67800bp-3, -0x1.361470ab1a0d9p-3, -0x1.2fe53c81b14b4p-3, -0x1.29aa0edec3a72p-3, -0x1.236459bebb838p-3, -0x1.1d1581e6a3e5ap-3, -0x1.16bedf0fa68dfp-3, -0x1.1061bc1d1d804p-3, -0x1.09ff5762dd2eap-3, -0x1.0398e2e403bb5p-3, -0x1.fa5f09257ecd5p-4, -0x1.ed88acc44e7f3p-4, -0x1.e0b0ce3e1f87bp-4, -0x1.d3d97386f6456p-4, -0x1.c7048d73fc21cp-4, -0x1.ba33f73300358p-4, -0x1.ad6976abfc5a7p-4, -0x1.a0a6bdd0ef761p-4, -0x1.93ed6aae93b8p-4, -0x1.873f07af7c5cap-4, -0x1.7a9d0d2fc590ep-4, -0x1.6e08e0c929d0cp-4, -0x1.6183d68c3a357p-4, -0x1.550f315762ea3p-4, -0x1.48ac242e4d64ap-4, -0x1.3c5bd0dd60425p-4, -0x1.301f4acba74fap-4, -0x1.23f7952e28061p-4, -0x1.17e5a59ab4d38p-4, -0x1.0bea62c21b723p-4, -0x1.0006a64e8808bp-4, -0x1.e8767afaafb9cp-5, -0x1.d111cb3f26b34p-5, -0x1.b9e0a869aa5bcp-5, -0x1.a2e4606ca8f4p-5, -0x1.8c1e2bba5aedfp-5, -0x1.758f2c619a321p-5, -0x1.5f3870892ad84p-5, -0x1.491aef39a15f4p-5, -0x1.333790f2f730fp-5, -0x1.1d8f266f0492dp-5, -0x1.08227007f87efp-5, -0x1.e5e43a4a828a4p-6, -0x1.bbfd9ad771abfp-6, -0x1.92921ce8ff4c4p-6, -0x1.69a2bcfa48f5ap-6, -0x1.41305df24d9a9p-6, -0x1.193bc404eac87p-6, -0x1.e38b3305d1412p-7, -0x1.959cdae37afbcp-7, -0x1.48ad6add29763p-7, -0x1.f97b4c13123e1p-8, -0x1.639c358ceba44p-8, -0x1.9f7cc20a38722p-9, -0x1.ef12854c8de71p-11, 0x1.47df6844f25a3p-10, 0x1.bfa0736c6ced9p-9, 0x1.6ba72de054ca1p-8, 0x1.f57d5cf3b7903p-8, 0x1.3ea9da17ace67p-7, 0x1.8195aa43b87a9p-7, 0x1.c382d1654e4f3p-7, 0x1.02390bb908ec7p-6, 0x1.22322cec6b919p-6, 0x1.41ad4d0116765p-6, 0x1.60aaf57e36a67p-6, 0x1.7f2bba3e2f80fp-6, 0x1.9d3038607e2b8p-6, 0x1.bab916b592bf5p-6, 0x1.d7c705fc05ffep-6, 0x1.f45abfa3c5a29p-6, 0x1.083a8187165ddp-5, 0x1.160b4c5b26ec8p-5, 0x1.23a026d10ea93p-5, 0x1.30f97a40b5d49p-5, 0x1.3e17b453f04f1p-5, 0x1.4afb44c469502p-5, 0x1.57a49d74a58c7p-5, 0x1.6414322c2f04bp-5, 0x1.704a7823dc21fp-5, 0x1.7c47e848d501bp-5, 0x1.880cfb286f901p-5, 0x1.939a2c3e55868p-5, 0x1.9eeff6fc43409p-5, 0x1.aa0ed909987eap-5, 0x1.b4f750499a006p-5, 0x1.bfa9daa6228eap-5, 0x1.ca26f8780fb47p-5, 0x1.d46f29ed2c8e9p-5, 0x1.de82ef86370ccp-5, 0x1.e862c9d8f2ecp-5, 0x1.f20f39969bdc2p-5, 0x1.fb88bfa6c9ac7p-5, 0x1.0267ee9332186p-4, 0x1.06f2899bee0e7p-4, 0x1.0b647165b18b4p-4, 0x1.0fbde614ecd4bp-4, 0x1.13ff2797212bdp-4, 0x1.182875d9d1ee8p-4, 0x1.1c3a109325af4p-4, 0x1.203436e63a692p-4, 0x1.2417283a77f8ep-4, 0x1.27e3235435e91p-4, 0x1.2b9866a11ff91p-4, 0x1.2f373027d47d5p-4, 0x1.32bfbda3a49fep-4, 0x1.36324c58681e6p-4, 0x1.398f195f24d8cp-4, 0x1.3cd6613f4efabp-4, 0x1.4008602d1b834p-4, 0x1.432551d13c23ap-4, 0x1.462d7135272b3p-4, 0x1.4920f9943730dp-4, 0x1.4c0024bc2980ep-4, 0x1.4ecb2cdd81018p-4, 0x1.51824b974785ep-4, 0x1.5425b98c80f1bp-4, 0x1.56b5af7e3f742p-4, 0x1.593265672f02ep-4, 0x1.5b9c12d2677efp-4, 0x1.5df2eeda46638p-4, 0x1.603730299d88ep-4, 0x1.62690cfd189d8p-4, 0x1.6488bb1c546e3p-4, 0x1.66966fd9a342ep-4, 0x1.6892600dadd4bp-4, 0x1.6a7cc01c9bf31p-4, 0x1.6c55c3fbfc902p-4, 0x1.6e1d9f35abf7dp-4, 0x1.6fd484efe76bbp-4, 0x1.717aa7f0c77a1p-4, 0x1.73103a3496126p-4, 0x1.74956e252634dp-4, 0x1.760a7523109b5p-4, 0x1.776f7ff5af6cep-4, 0x1.78c4bf860d62p-4, 0x1.7a0a642a70296p-4, 0x1.7b409dd8a4d44p-4, 0x1.7c679c2f1288ep-4, 0x1.7d7f8e72572e7p-4, 0x1.7e88a38d2984cp-4, 0x1.7f830a0f7bd52p-4, 0x1.806ef031482p-4, 0x1.814c83d587371p-4, 0x1.821bf28d7d841p-4, 0x1.82dd699c43a05p-4, 0x1.839115f621235p-4, 0x1.84372441f5a13p-4, 0x1.84cfc0daaa46bp-4, 0x1.855b17de4c9d2p-4, 0x1.85d954e49417cp-4, 0x1.864aa3a2c7446p-4, 0x1.86af2f062aa1fp-4, 0x1.8707225a94b35p-4, 0x1.8752a81ce895cp-4, 0x1.8791eac0ede89p-4, 0x1.87c5145710a19p-4, 0x1.87ec4ee16a536p-4, 0x1.8807c40176a7ap-4, 0x1.88179d207a585p-4, 0x1.881c036c861a7p-4, 0x1.88151fd728303p-4, 0x1.88031b14a7071p-4, 0x1.87e61d9c0e691p-4, 0x1.87be4fa867ecep-4, 0x1.878bd93a2b2a6p-4, 0x1.874ee2184a2f3p-4, 0x1.870791d2ed502p-4, 0x1.86b60fc441574p-4, 0x1.865a830fcfafcp-4, 0x1.85f512a12daebp-4, 0x1.8585e52ac5b8cp-4, 0x1.850d21252a53bp-4, 0x1.848aecd001e28p-4, 0x1.83ff6e3481055p-4, 0x1.836acb2ad0fe6p-4, 0x1.82cd294825695p-4, 0x1.8226ade26fbf4p-4, 0x1.81777e5a82d85p-4, 0x1.80bfbfc0a31bfp-4, 0x1.7fff9694e7a84p-4, 0x1.7f372790c1579p-4, 0x1.7e669707a338dp-4, 0x1.7d8e0913cccb8p-4, 0x1.7cada19ba0bc8p-4, 0x1.7bc584514505ap-4, 0x1.7ad5d4b2a6f8fp-4, 0x1.79deb6089c2fcp-4, 0x1.78e04b650326fp-4, 0x1.77dab7a1273d2p-4, 0x1.76ce1d5b0f154p-4, 0x1.75ba9ef50b1e8p-4, 0x1.74a05e95e8c5bp-4, 0x1.737f7e2a2ef14p-4, 0x1.72581f5734c88p-4, 0x1.712a63c680fd3p-4, 0x1.6ff66c91401bbp-4, 0x1.6ebc5ad37cfc8p-4, 0x1.6d7c4f612ebacp-4, 0x1.6c366ad1baddep-4, 0x1.6aeacd7e389e9p-4, 0x1.699997806dc4cp-4, 0x1.6842e8b355c39p-4, 0x1.66e6e0b689974p-4, 0x1.65859ee1d942fp-4, 0x1.641f4245b341bp-4, 0x1.62b3e9f155894p-4, 0x1.6143b49601674p-4, 0x1.5fcec07456918p-4, 0x1.5e552bd8933a6p-4, 0x1.5cd714b42a6e7p-4, 0x1.5b5498b1fa781p-4, 0x1.59cdd53b82896p-4, 0x1.5842e7778c914p-4, 0x1.56b3ec4afb3c7p-4, 0x1.5521005a21b5ep-4, 0x1.538a4009dcc66p-4, 0x1.51efc78015b71p-4, 0x1.5051b2a35ebf7p-4, 0x1.4eb01d19b7976p-4, 0x1.4d0b2246c8a5p-4, 0x1.4b62dd4a0a1b5p-4, 0x1.49b768fd4a738p-4, 0x1.4808dff40f642p-4, 0x1.46575c7be20d9p-4, 0x1.44a2f89d2fce7p-4, 0x1.42ebce1c7b7cbp-4, 0x1.4131f67b88a3ep-4, 0x1.3f758afa1794fp-4, 0x1.3db6a495f50ep-4, 0x1.3bf55c0a52ed5p-4, 0x1.3a31c9ce9616cp-4, 0x1.386c0614ed75cp-4, 0x1.36a428c914735p-4, 0x1.34da498fe6f24p-4, 0x1.330e7fc8d615fp-4, 0x1.3140e28339e85p-4, 0x1.2f7188848c14cp-4, 0x1.2da088706716bp-4, 0x1.2bcdf890050c2p-4, 0x1.29f9eec8411acp-4, 0x1.282480ea1c606p-4, 0x1.264dc4743beb8p-4, 0x1.2475ce9d8af2cp-4, 0x1.229cb458dfbe7p-4, 0x1.20c28a5193701p-4, 0x1.1ee764feb4633p-4, 0x1.1d0b5857483ebp-4, 0x1.1b2e7858e9a42p-4, 0x1.1950d88a5a66dp-4, 0x1.17728c39e5614p-4, 0x1.1593a671f708fp-4, 0x1.13b439fa1f553p-4, 0x1.11d4595797451p-4, 0x1.0ff416cd5a08p-4, 0x1.0e13845bd795dp-4, 0x1.0c32b3c06797ap-4, 0x1.0a51b674a89d4p-4, 0x1.08709dadfd944p-4, 0x1.068f7a5d51cafp-4, 0x1.04ae5d2f3a5cep-4, 0x1.02cd568c704a2p-4, 0x1.00ec769a95526p-4, 0x1.fe179a7a547efp-5, 0x1.fa56d42d1a349p-5, 0x1.f696b911a5eacp-5, 0x1.f2d7676cc35cdp-5, 0x1.ef18fd049d811p-5, 0x1.eb5b9720c9173p-5, 0x1.e79f5289e8d32p-5, 0x1.e3e44b898979ep-5, 0x1.e02a9deb1d18fp-5, 0x1.dc7264f5d5947p-5, 0x1.d8bbbb589ea4p-5, 0x1.d506bb8d204b4p-5, 0x1.d1537f4cafa7ap-5, 0x1.cda21fd87a40ap-5, 0x1.c9f2b60848d52p-5, 0x1.c6455a3ffddcfp-5, 0x1.c29a2461c8ac3p-5, 0x1.bef12bdb501cap-5, 0x1.bb4a87a56d3dbp-5, 0x1.b7a64e442f8d7p-5, 0x1.b40495c6eb0b3p-5, 0x1.b06573c8361b4p-5, 0x1.acc8fd6e0660dp-5, 0x1.a92f476a04d52p-5, 0x1.a59865fa3ae2ep-5, 0x1.a2046cea0a731p-5, 0x1.9e736f936cb2p-5, 0x1.9ae580e04daedp-5, 0x1.975ab34beb7eep-5, 0x1.93d318e42640dp-5, 0x1.904ec34a9e292p-5, 0x1.8ccdc3b5b72aep-5, 0x1.89502af177afcp-5, 0x1.85d609605febfp-5, 0x1.825f6efc4d288p-5, 0x1.7eec6b577d12ap-5, 0x1.7b7d0d9db32b9p-5, 0x1.781164958546cp-5, 0x1.74a97ea19561dp-5, 0x1.714569c0c341p-5, 0x1.6de533285a179p-5, 0x1.6a88e95696ab1p-5, 0x1.673097e899a26p-5, 0x1.63dc4bbf6d1d4p-5, 0x1.608c10f66466fp-5, 0x1.5d3ff34533c06p-5, 0x1.59f7fe0276024p-5, 0x1.56b43c254fa8cp-5, 0x1.5374b848385ddp-5, 0x1.50397caceedfcp-5, 0x1.4d02933953a2cp-5, 0x1.49d0058a6312fp-5, 0x1.46a1dcecdbeb4p-5, 0x1.43782262f51e8p-5, 0x1.4052de92cb2b3p-5, 0x1.3d3219e5eaeb7p-5, 0x1.3a15dc6d3e788p-5, 0x1.36fe2de2935c9p-5, 0x1.33eb15a4fea1ep-5, 0x1.30dc9ab563b67p-5, 0x1.2dd2c3b56e4cdp-5, 0x1.2acd96e9d0915p-5, 0x1.27cd1a3fd968dp-5, 0x1.24d15356073dcp-5, 0x1.21da478679a92p-5, 0x1.1ee7fbf1b624dp-5, 0x1.1bfa7587b657ap-5, 0x1.1911b90d882e4p-5, 0x1.162dcb1e11211p-5, 0x1.134eb0256c7d5p-5, 0x1.10746c572d876p-5, 0x1.0d9f03a115261p-5, 0x1.0ace799c59a3cp-5, 0x1.0802d18059e3ep-5, 0x1.053c0e19a2ca6p-5, 0x1.027a31c76d1e6p-5, 0x1.ff7a7d0255fa7p-6, 0x1.fa0a6bc8171p-6, 0x1.f4a4328e54227p-6, 0x1.ef47d3a72475p-6, 0x1.e9f55139012e5p-6, 0x1.e4acad675eceep-6, 0x1.df6dea6be6ee8p-6, 0x1.da390a9a53823p-6, 0x1.d50e104d04b74p-6, 0x1.cfecfdbaece73p-6, 0x1.cad5d4bcea038p-6, 0x1.c5c8968afccb5p-6, 0x1.c0c5437c67cd7p-6, 0x1.bbcbdad6512e6p-6, 0x1.b6dc5ab299ce5p-6, 0x1.b1f6c005d1793p-6, 0x1.ad1b06c5ee568p-6, 0x1.a8492a2ea8ea4p-6, 0x1.a381251a831c4p-6, 0x1.9ec2f27381089p-6, 0x1.9a0e8d7453515p-6, 0x1.9563f202254a6p-6, 0x1.90c31cd1a188bp-6, 0x1.8c2c0b7cba9b4p-6, 0x1.879ebc16fc16ap-6, 0x1.831b2cfcfa88fp-6, 0x1.7ea15ca1cc4b5p-6, 0x1.7a31476eaf77fp-6, 0x1.75caea882e03cp-6, 0x1.716e3fe7a1647p-6, 0x1.6d1b401cbdb83p-6, 0x1.68d1e1c3744afp-6, 0x1.649219cac99cdp-6, 0x1.605bdbea82f29p-6, 0x1.5c2f1b454a0a5p-6, 0x1.580bcb23c2135p-6, 0x1.53f1dfb0dcd34p-6, 0x1.4fe14e9d2a207p-6, 0x1.4bda0f912af27p-6, 0x1.47dc1c5b0bed6p-6, 0x1.43e770cc1753ep-6, 0x1.3ffc0a44adad6p-6, 0x1.3c19e6f8d3eb6p-6, 0x1.3841050266011p-6, 0x1.3471615ecd9a1p-6, 0x1.30aaf6faee2cfp-6, 0x1.2cedbdef46537p-6, 0x1.2939ab0976dcep-6, 0x1.258eafb5dd28bp-6, 0x1.21ecba503e44p-6, 0x1.1e53b6d4d36bfp-6, 0x1.1ac38fdfab8aap-6, 0x1.173c2fde62a11p-6, 0x1.13bd825237a69p-6, 0x1.104774fd8d31dp-6, 0x1.0cd9f8d8528b8p-6, 0x1.097502ab6b5aap-6, 0x1.06188b3b11cc9p-6, 0x1.02c48ef481087p-6, 0x1.fef21a4361863p-7, 0x1.f86c0d6d794e8p-7, 0x1.f1f6f9b5db40cp-7, 0x1.eb92deb6d455dp-7, 0x1.e53fb672ed086p-7, 0x1.defd7308078eap-7, 0x1.d8cbfd4373db6p-7, 0x1.d2ab3440b360bp-7, 0x1.cc9aee183eeaep-7, 0x1.c69af9b77f2aep-7, 0x1.c0ab2149dcb11p-7, 0x1.bacb2c61b7525p-7, 0x1.b4fae44cd6b5bp-7, 0x1.af3a16d4a43cep-7, 0x1.a98897eb10c6ap-7, 0x1.a3e6444ebdf0dp-7, 0x1.9e53027039681p-7, 0x1.98cec25903337p-7, 0x1.93597c95fb59p-7, 0x1.8df3302047081p-7, 0x1.889bdf7c1ea9bp-7, 0x1.83538d622b9a3p-7, 0x1.7e1a395e7ae7fp-7, 0x1.78efdcd79832cp-7, 0x1.73d468e395fe1p-7, 0x1.6ec7c53344962p-7, 0x1.69c9d02e5399dp-7, 0x1.64da602a67b1cp-7, 0x1.5ff9457bf5364p-7, 0x1.5b264d06777cep-7, 0x1.566142ec2e098p-7, 0x1.51a9f50dc7a8dp-7, 0x1.4d00352068055p-7, 0x1.4863dd391795cp-7, 0x1.43d4c2514eb8ep-7, 0x1.3f52d1de59876p-7, 0x1.3addf467fad4ep-7, 0x1.36761bc8b35ap-7, 0x1.321b3ea3006dap-7, 0x1.2dcd566c0a11p-7, 0x1.298c5ce26b5cbp-7, 0x1.2558493ed0526p-7, 0x1.21310d8091c0ap-7, 0x1.1d16944d4f66ap-7, 0x1.1908bfd698fadp-7, 0x1.15076a1562ed1p-7, 0x1.1112666a3b60bp-7, 0x1.0d29845e073f2p-7, 0x1.094c92f752ba2p-7, 0x1.057b63ee72e38p-7, 0x1.01b5ce1a1596cp-7, 0x1.fbf75d5bafab3p-8, 0x1.f499d2893310fp-8, 0x1.ed52ce1424feap-8, 0x1.e6222b11e10dap-8, 0x1.df07cb3bdf8ddp-8, 0x1.d80395ae1aef5p-8, 0x1.d115766e4c3cbp-8, 0x1.ca3d5e1c62e52p-8, 0x1.c37b40e902288p-8, 0x1.bccf140b9b24bp-8, 0x1.b638c9630178cp-8, 0x1.afb84a23003fap-8, 0x1.a94d716927709p-8, 0x1.a2f803e55dde3p-8, 0x1.9cb7b2e4e98d2p-8, 0x1.968c1ca1b414cp-8, 0x1.9074cfcf41233p-8, 0x1.8a7156c16804dp-8, 0x1.8481417a1e56ap-8, 0x1.7ea42e6d280e3p-8, 0x1.78d9cfed8926cp-8, 0x1.7321ec938d61bp-8, 0x1.6d7c5acb256f9p-8, 0x1.67e8f959f6a8ep-8, 0x1.6267a7b8d227ap-8, 0x1.5cf8411f9a65cp-8, 0x1.579a9c0a37f03p-8, 0x1.524e8e334e803p-8, 0x1.4d13f33a89442p-8, 0x1.47eab3123f089p-8, 0x1.42d2c54b8b67ap-8, 0x1.3dcc2f66379f4p-8, 0x1.38d6fe088a18fp-8, 0x1.33f33ad2b3d2cp-8, 0x1.2f20e1b60b36p-8, 0x1.2a5fd8e21ff3p-8, 0x1.25afed8005e4dp-8, 0x1.2110d5fd19015p-8, 0x1.1c82392b2148p-8, 0x1.1803b86b53674p-8, 0x1.1394fa8ff1cfbp-8, 0x1.0f35b5029ac97p-8, 0x1.0ae5b0e892c18p-8, 0x1.06a4ca93f5312p-8, 0x1.0272eac53b429p-8, 0x1.fc9ff6302dc6ap-9, 0x1.f477b1ef91f6cp-9, 0x1.ec6c9750c8d46p-9, 0x1.e47e03024bd2ep-9, 0x1.dcab2c5b20f3cp-9, 0x1.d4f34068b107bp-9, 0x1.cd5587ad195d8p-9, 0x1.c5d17e9fb0f59p-9, 0x1.be66e5f807d53p-9, 0x1.b715bfa230bbep-9, 0x1.afde347cad431p-9, 0x1.a8c073367bf58p-9, 0x1.a1bc90b9a757cp-9, 0x1.9ad2757834367p-9, 0x1.9401dc9d1fcb1p-9, 0x1.8d4a629ab7335p-9, 0x1.86ab9b304c402p-9, 0x1.8025261046a1ep-9, 0x1.79b6bc5490a07p-9, 0x1.73603544776ebp-9, 0x1.6d2183e63b9ebp-9, 0x1.66faaf5bf2c55p-9, 0x1.60ebc74d7ae4ap-9, 0x1.5af4d82ef4536p-9, 0x1.5515d01617c58p-9, 0x1.4f4e75263c361p-9, 0x1.499e561f435b4p-9, 0x1.4404c6370efcdp-9, 0x1.3e80e96c656ep-9, 0x1.3911d692d8457p-9, 0x1.33b6bc0edc854p-9, 0x1.2e6f01a2fa8ddp-9, 0x1.293a59d5f6411p-9, 0x1.2418bce54db6ep-9, 0x1.1f0a4eaadb1cap-9, 0x1.1a0f377d00e19p-9, 0x1.15277cd4de869p-9, 0x1.1052e7b022871p-9, 0x1.0b9101f246494p-9, 0x1.06e12a7c9bfb8p-9, 0x1.0242b691074dbp-9, 0x1.fb6a27e787a6bp-10, 0x1.f26fc4bca2a0dp-10, 0x1.e995ff831686bp-10, 0x1.e0dd0b57018dbp-10, 0x1.d8456fd6fec99p-10, 0x1.cfcfd0db94d63p-10, 0x1.c77cb340c9f3ap-10, 0x1.bf4c54cd65132p-10, 0x1.b73ea254495a2p-10, 0x1.af534438a1c16p-10, 0x1.a789adcb00fbdp-10, 0x1.9fe12160d5299p-10, 0x1.9858acda30312p-10, 0x1.90ef30d658ec7p-10, 0x1.89a3819a21bf7p-10, 0x1.82749bcbda62ep-10, 0x1.7b61d2ab64ea8p-10, 0x1.746adea81706ep-10, 0x1.6d8fcacc66ee3p-10, 0x1.66d0d457df45ep-10, 0x1.602e4cba7f9eep-10, 0x1.59a87d1815a59p-10, 0x1.533f84a480ca7p-10, 0x1.4cf3348a3e716p-10, 0x1.46c2f42d280bp-10, 0x1.40adb936c74dap-10, 0x1.3ab21e75162d8p-10, 0x1.34cea0f23f7ddp-10, 0x1.2f01f73f7ed37p-10, 0x1.294b5b3b4688ap-10, 0x1.23aa99552c3c3p-10, 0x1.1e1fdae0212acp-10, 0x1.18ab50a3818eap-10, 0x1.134cf3c380445p-10, 0x1.0e0455cb53d02p-10, 0x1.08d185080acd9p-10, 0x1.03b3bb7bb112fp-10, 0x1.fd560efeeaae1p-11, 0x1.f36f19e35b0a8p-11, 0x1.e9b313c2cc447p-11, 0x1.e02242a16c914p-11, 0x1.d6bc6c4dfb5cep-11, 0x1.cd80b4ca8d34ap-11, 0x1.c46de50300904p-11, 0x1.bb82d8dc6dd77p-11, 0x1.b2be7584681bcp-11, 0x1.aa1f691d9904ep-11, 0x1.a1a448325625dp-11, 0x1.994c1a469194ap-11, 0x1.911721e3cececp-11, 0x1.89070a6fab48cp-11, 0x1.811e16b97652p-11, 0x1.795dbc7ed5426p-11, 0x1.71c593d499968p-11, 0x1.6a535ac6e418dp-11, 0x1.63041b742d709p-11, 0x1.5bd5a7f173c02p-11, 0x1.54c75158e3c7p-11, 0x1.4dd96a401eaadp-11, 0x1.470c2e05f493dp-11, 0x1.405efb4d4d5e1p-11, 0x1.39d043a4f926bp-11, 0x1.335df069f74b8p-11, 0x1.2d05da9a8191cp-11, 0x1.26c629f17946bp-11, 0x1.209d9ed814f91p-11, 0x1.1a8bce29e3cf8p-11, 0x1.1491417b97a03p-11, 0x1.0eaf60d6cc23cp-11, 0x1.08e812b2468p-11, 0x1.033d1cf0e3556p-11, 0x1.fb5efc4e5f422p-12, 0x1.f07e30fd66951p-12, 0x1.e5d5d4f95fbb4p-12, 0x1.db633436ef5a6p-12, 0x1.d12358efc6beep-12, 0x1.c71254c5609b9p-12, 0x1.bd2b12cb6e52dp-12, 0x1.b369b7d891d0bp-12, 0x1.a9cf3394d78a4p-12, 0x1.a061bd3fcdf9ap-12, 0x1.9728842259501p-12, 0x1.8e261510d86d5p-12, 0x1.85566fa6fbc3fp-12, 0x1.7cb254b0c768fp-12, 0x1.7434a7bde9c33p-12, 0x1.6bdd084fb8bcp-12, 0x1.63adeecd8d834p-12, 0x1.5ba93c9ec87cfp-12, 0x1.53cebe007c521p-12, 0x1.4c1cf0475dcffp-12, 0x1.44924ae486162p-12, 0x1.3d2dd0f99c50fp-12, 0x1.35eedd344d839p-12, 0x1.2ed497fb88317p-12, 0x1.27dd7fffeea5cp-12, 0x1.210748ddc5c3bp-12, 0x1.1a4f305d5bd43p-12, 0x1.13b2bd8c8f34ep-12, 0x1.0d30a5330dce5p-12, 0x1.06c964fc2c2bp-12, 0x1.007f299df0bc8p-12, 0x1.f4a9d7e61a74dp-13, 0x1.e89a07b2d69abp-13, 0x1.dcd015f36b11fp-13, 0x1.d147b01e128e4p-13, 0x1.c5ff9eaba7ab9p-13, 0x1.baf455afc4728p-13, 0x1.b021e7c2606bcp-13, 0x1.a580e3a36e7afp-13, 0x1.9b0ab6950654ap-13, 0x1.90c28685604dp-13, 0x1.86b506ff45415p-13, 0x1.7ceb9c83d846bp-13, 0x1.7361c473cb595p-13, 0x1.6a09a803843cfp-13, 0x1.60da0b2170bf6p-13, 0x1.57d4ceae7ae7bp-13, 0x1.4f0018ad83a32p-13, 0x1.465dc21e1562ep-13, 0x1.3deaaebbb42ffp-13, 0x1.35a2b6dbed0f1p-13, 0x1.2d83432e6abf5p-13, 0x1.258b8d1e3ebf6p-13, 0x1.1dbbece1a085ep-13, 0x1.161536b9601b5p-13, 0x1.0e985f152806fp-13, 0x1.0746488d0db72p-13, 0x1.001f972f951a6p-13, 0x1.f248ec620a949p-14, 0x1.e4a8a484a6a77p-14, 0x1.d75b37b591773p-14, 0x1.ca5b61096238bp-14, 0x1.bda22cc8fa036p-14, 0x1.b1286f3d22c06p-14, 0x1.a4e923691c1bep-14, 0x1.98e37b1f7c91ep-14, 0x1.8d1aa8718f472p-14, 0x1.8192d86df079cp-14, 0x1.764de712bd28ap-14, 0x1.6b4b60f7d6313p-14, 0x1.608b7d8acefa8p-14, 0x1.560f79918aa74p-14, 0x1.4bd3ce27087dcp-14, 0x1.41ceff9b4f407p-14, 0x1.37ffb69bf029dp-14, 0x1.2e722045c2efdp-14, 0x1.252a42e372161p-14, 0x1.1c1842502bb33p-14, 0x1.132e8506fbb05p-14, 0x1.0a734b5aca3b7p-14, 0x1.01f193a0ad622p-14, 0x1.f3521df3418ccp-15, 0x1.e325396c24c0ep-15, 0x1.d351a208e8fa6p-15, 0x1.c3d3877e7baa4p-15, 0x1.b4aacd4f8b73bp-15, 0x1.a5d817a85645cp-15, 0x1.975b9ee639c0dp-15, 0x1.893509ac830e3p-15, 0x1.7b639c2a301e3p-15, 0x1.6de66d346a2bfp-15, 0x1.60bc8d0a36704p-15, 0x1.53e51e4c4d5b8p-15, 0x1.475f6c0bf5e5ap-15, 0x1.3b2c83b9a147ep-15, 0x1.2f4beae9b81d4p-15, 0x1.23be6b57fcc59p-15, 0x1.1886bb3f2d183p-15, 0x1.0da3e2cab128cp-15, 0x1.03118c230c804p-15, 0x1.f18c19b5b2befp-16, 0x1.dd685e802ca1p-16, 0x1.c9a5cee6c8624p-16, 0x1.b643e30200194p-16, 0x1.a35729ba82d9ep-16, 0x1.90eb0a30754bfp-16, 0x1.7efe172a8bd57p-16, 0x1.6d91bc9532c0cp-16, 0x1.5cb52e75f150ep-16, 0x1.4c65164c4773bp-16, 0x1.3c867183aa112p-16, 0x1.2d177b571ee93p-16, 0x1.1e13b414749bcp-16, 0x1.0f5e7cb82726ep-16, 0x1.0101ff328a15ep-16, 0x1.e6389f751940dp-17, 0x1.cb51f911d57f4p-17, 0x1.b128ffaa705e6p-17, 0x1.97aaee4ef3daep-17, 0x1.7ed691592f3d5p-17, 0x1.66aed5b51b81bp-17, 0x1.4f350e3ce5b54p-17, 0x1.3868492ff00c9p-17, 0x1.2246070e6d62fp-17, 0x1.0ccaf1f811a98p-17, 0x1.efe6aad5124c5p-18, 0x1.c776c8008b578p-18, 0x1.a03ebceb81f14p-18, 0x1.7a374d9934c1dp-18, 0x1.555982b228aa3p-18, 0x1.319e8f461edb9p-18, 0x1.0effb906fb62ep-18, 0x1.daecfa02446e2p-19, 0x1.99fa3c0c70c6fp-19, 0x1.5b1f046b59919p-19, 0x1.1e57ed5b778d9p-19, 0x1.c74e623f1179ep-20, 0x1.56293f6e99c33p-20, 0x1.d29eee8d547ecp-21, 0x1.013e8c19fc75ap-21, 0x1.b8a3c7fa046a4p-24, -0x1.1a9e8c6fa5a2ep-22, -0x1.4c20ba6656196p-21, -0x1.02335268e658cp-20, -0x1.5b13a681d5658p-20, -0x1.b14772f7b3ddfp-20, -0x1.023dd282f6e1ep-19, -0x1.29b38dc438a53p-19, -0x1.4f1aa3ed92649p-19, -0x1.732f606e24101p-19, -0x1.963ae3d19ada7p-19, -0x1.b83a167a2a7dfp-19, -0x1.d8ccd3938239ep-19, -0x1.f7d774e7b0034p-19, -0x1.0acca32833p-18, -0x1.1919a002908f7p-18, -0x1.26d4926811925p-18, -0x1.33f5ffdefdadap-18, -0x1.40822298ab2f2p-18, -0x1.4c8660bceb229p-18, -0x1.57f7500adc70ep-18, -0x1.62ddb4cd7e80fp-18, -0x1.6d3e7c7ee5ee7p-18, -0x1.771cbc1ce2234p-18, -0x1.807be075d66f4p-18, }}, 
      {{-0x1.2392c75905195p-2, -0x1.11895ec3b1f5ap-2, -0x1.edcccade0f9dap-3, -0x1.adec0deb734d5p-3, -0x1.696825a360972p-3, -0x1.2512ad86dd3f2p-3, -0x1.c8f6b53552213p-4, -0x1.5412bd56b0dd4p-4, -0x1.dcabb5ef28dcdp-5, -0x1.3226e752b3cd6p-5, -0x1.51e067eb948d3p-6, -0x1.fde3d877621e6p-8, 0x1.7b114145da85bp-10, 0x1.e6f0c58ef7a88p-8, 0x1.5ae7e7340f557p-7, 0x1.73a7edd3b27a6p-7, 0x1.4b5d910299b47p-7, 0x1.ddc6131c376b9p-8, 0x1.a7eeb4a1acabep-9, -0x1.c6b05cc2e7c02p-10, -0x1.e0c2921f6a30dp-8, -0x1.b4c577c7b0d32p-7, -0x1.3fb2310447e8p-6, -0x1.a5660bdf50815p-6, -0x1.04a6fd19b83efp-5, -0x1.34d9d09d3db27p-5, -0x1.62a5d42365e7dp-5, -0x1.8d93885dd58fdp-5, -0x1.b552ba385994p-5, -0x1.d9b417670b4eap-5, -0x1.faa36e07df96bp-5, -0x1.0c1142274bc3bp-4, -0x1.19224a9e976cbp-4, -0x1.2495331a91abdp-4, -0x1.2e7f768ae1201p-4, -0x1.36fa3d16a5af5p-4, -0x1.3e212b94b15ebp-4, -0x1.441166eecb465p-4, -0x1.48e8c6fe3ab9ep-4, -0x1.4cc52e9a02735p-4, -0x1.4fc4077995b81p-4, -0x1.5201daa83fcd8p-4, -0x1.539a00cddb098p-4, -0x1.54a667fcf658cp-4, -0x1.553f69ca37bc4p-4, -0x1.557bb109d9796p-4, -0x1.5570299d3579p-4, -0x1.552ffaf9662a3p-4, -0x1.54cc89f59e61fp-4, -0x1.54558069dac78p-4, -0x1.53d8da81a6519p-4, -0x1.5362f6b144c81p-4, -0x1.52fea933718d6p-4, -0x1.52b5513e66b2p-4, -0x1.528eefb9aab9fp-4, -0x1.52923e610aea1p-4, -0x1.52c4c7e8d9cd8p-4, -0x1.532aff4030f23p-4, -0x1.53c85708e5889p-4, -0x1.549f584096cf7p-4, -0x1.55b1b8505b9e9p-4, -0x1.57006e5756bd3p-4, -0x1.588bc7504c78dp-4, -0x1.5a53796998b81p-4, -0x1.5c56b5ae9cc72p-4, -0x1.5e9438a631bccp-4, -0x1.610a59ce753fcp-4, -0x1.63b71a1723498p-4, -0x1.669831502706dp-4, -0x1.69ab1a41555ccp-4, -0x1.6ced1f18f60dap-4, -0x1.705b62839ea07p-4, -0x1.73f2e9643e409p-4, -0x1.77b0a29df62cfp-4, -0x1.7b916e915527fp-4, -0x1.7f92258da4b9ep-4, -0x1.83af9d9736c3p-4, -0x1.87e6affbb1649p-4, -0x1.8c343dd2f06c5p-4, -0x1.9095343da94abp-4, -0x1.95068faf707acp-4, -0x1.99855edcddcffp-4, -0x1.9e0ec54940f1fp-4, -0x1.a29ffcd08d672p-4, -0x1.a736578bb42d5p-4, -0x1.abcf41166b2dap-4, -0x1.b0683f751e732p-4, -0x1.b4fef3a28fe79p-4, -0x1.b9911b0b3178p-4, -0x1.be1c8ed8e689bp-4, -0x1.c29f44b7f1e75p-4, -0x1.c7174eb3b4f68p-4, -0x1.cb82d9aa58c8fp-4, -0x1.cfe03406f316bp-4, -0x1.d42dbf2fc2d4p-4, -0x1.d869fd28e0647p-4, -0x1.dc9388df09559p-4, -0x1.e0a916eccf63fp-4, -0x1.e4a974d6455d1p-4, -0x1.e89388c16cdc8p-4, -0x1.ec664e8a9097p-4, -0x1.f020db10bf359p-4, -0x1.f3c257599f0cp-4, -0x1.f74a01bac072bp-4, -0x1.fab72c96a7c7fp-4, -0x1.fe093d881a19dp-4, -0x1.009fd646a6d5cp-3, -0x1.022d01d95ffadp-3, -0x1.03abedd93626fp-3, -0x1.051c7013dbbdap-3, -0x1.067e64e14884p-3, -0x1.07d1b000765ecp-3, -0x1.09163bf2e4a9ap-3, -0x1.0a4bf99c45402p-3, -0x1.0b72dfe7ddac9p-3, -0x1.0c8aeb6c7d0fep-3, -0x1.0d941e0d9d3d4p-3, -0x1.0e8e7ec1ce3cp-3, -0x1.0f7a1930dcc3ep-3, -0x1.1056fd457a776p-3, -0x1.11253f20ca2f5p-3, -0x1.11e4f6ab2c4e1p-3, -0x1.12963f5b4ebep-3, -0x1.133937ef955ebp-3, -0x1.13ce0233e5702p-3, -0x1.1454c2c3d3a49p-3, -0x1.14cda0d2bdc34p-3, -0x1.1538c5f1e7e17p-3, -0x1.15965ddb1ba71p-3, -0x1.15e6965ed94b6p-3, -0x1.16299f00aafe8p-3, -0x1.165fa8dd81447p-3, -0x1.1688e69d83ee6p-3, -0x1.16a58c31dc081p-3, -0x1.16b5ceb1ec705p-3, -0x1.16b9e43cef767p-3, -0x1.16b203d495951p-3, -0x1.169e653df6a84p-3, -0x1.167f40e3cfa1fp-3, -0x1.1654cfbb149ep-3, -0x1.161f4b250fccfp-3, -0x1.15deecdbb935ap-3, -0x1.1593eeca87a47p-3, -0x1.153e8b501053dp-3, -0x1.14defc0c82b4p-3, -0x1.14757bb28b8e6p-3, -0x1.14024438c39e6p-3, -0x1.13858f9d55673p-3, -0x1.12ff97a4f5b6ep-3, -0x1.127095dd864ffp-3, -0x1.11d8c3825a956p-3, -0x1.1138596ec13b9p-3, -0x1.108f9018fd6a3p-3, -0x1.0fde9f92dfc91p-3, -0x1.0f25bf617ed7dp-3, -0x1.0e6526952c714p-3, -0x1.0d9d0b9ff6c16p-3, -0x1.0ccda4753699cp-3, -0x1.0bf7265a2313fp-3, -0x1.0b19c5f89ec9dp-3, -0x1.0a35b83f6510bp-3, -0x1.094b2dddf6de4p-3, -0x1.085a5c2aa2793p-3, -0x1.07637427c8231p-3, -0x1.0666a713df9a4p-3, -0x1.0564256fb2a96p-3, -0x1.045c1f02ac2f3p-3, -0x1.034ec2be8e4b7p-3, -0x1.023c3ef344a3dp-3, -0x1.0124c10eb7ecfp-3, -0x1.000875c8852fdp-3, -0x1.fdcf121b8a921p-4, -0x1.fb844c229e72p-4, -0x1.f930ee50e7a88p-4, -0x1.f6d54bcbdbcd5p-4, -0x1.f471b6704d5b9p-4, -0x1.f2067e31a17f9p-4, -0x1.ef93f1a4414e8p-4, -0x1.ed1a5dcdb405ap-4, -0x1.ea9a0e21e2debp-4, -0x1.e8134cc3920d7p-4, -0x1.e58661cc7c0efp-4, -0x1.e2f394856f9c9p-4, -0x1.e05b2a376a98p-4, -0x1.ddbd66ea2223cp-4, -0x1.db1a8d1a1333fp-4, -0x1.d872ddd9aac98p-4, -0x1.d5c698ca89e93p-4, -0x1.d315fc19a8ed4p-4, -0x1.d06144c99b65dp-4, -0x1.cda8ae04f6b73p-4, -0x1.caec71d9c995dp-4, -0x1.c82cc94de37a8p-4, -0x1.c569eb8824e2ep-4, -0x1.c2a40ea9c9cf2p-4, -0x1.bfdb677e986f9p-4, -0x1.bd10298a9f94p-4, -0x1.ba4287112e851p-4, -0x1.b772b1165f14bp-4, -0x1.b4a0d76b01dcfp-4, -0x1.b1cd28df7bfbfp-4, -0x1.aef7d2ac5c74fp-4, -0x1.ac2101269abb8p-4, -0x1.a948dfa9e85dep-4, -0x1.a66f9824b8726p-4, -0x1.a395539c24461p-4, -0x1.a0ba39fb9f92dp-4, -0x1.9dde72128b7e7p-4, -0x1.9b02233662932p-4, -0x1.98256e12069bdp-4, -0x1.95487a8da15c5p-4, -0x1.926b6a271cfedp-4, -0x1.8f8e5f07f8ba6p-4, -0x1.8cb179e6c2086p-4, -0x1.89d4dad049821p-4, -0x1.86f8a149bde11p-4, -0x1.841ceb6e25d1ep-4, -0x1.8141d6c3199e6p-4, -0x1.7e677feedc5ep-4, -0x1.7b8e02c4e1c8bp-4, -0x1.78b57a4c286f8p-4, -0x1.75de00c43d437p-4, -0x1.7307afa9b3405p-4, -0x1.70329fb9516a4p-4, -0x1.6d5ee8ed147d3p-4, -0x1.6a8ca2a35f653p-4, -0x1.67bbe3818eccbp-4, -0x1.64ecc154c8e58p-4, -0x1.621f514ca23acp-4, -0x1.5f53a84cc5c81p-4, -0x1.5c89da1b41306p-4, -0x1.59c1fa1fe348cp-4, -0x1.56fc1b1e66367p-4, -0x1.54384f4232831p-4, -0x1.5176a8238dbdp-4, -0x1.4eb736cc0e9dcp-4, -0x1.4bfa0bb7db47ep-4, -0x1.493f36dc96ec2p-4, -0x1.4686c7a7e8c92p-4, -0x1.43d0ccf38d496p-4, -0x1.411d578342a0cp-4, -0x1.3e6c6eb4e6a4bp-4, -0x1.3bbe2691f303bp-4, -0x1.391289d69bc2ap-4, -0x1.3669a4f073bcp-4, -0x1.33c3846549acdp-4, -0x1.312033a3873dep-4, -0x1.2e7fbe00acedp-4, -0x1.2be22e6047ae6p-4, -0x1.29478f3d89518p-4, -0x1.26afeab15661p-4, -0x1.241b4a73886c1p-4, -0x1.2189b7ddcec96p-4, -0x1.1efb3beddf13fp-4, -0x1.1c6fdf482be2p-4, -0x1.19e7aa3990c9cp-4, -0x1.1762a4b984fa6p-4, -0x1.14e0d66bdea67p-4, -0x1.1262469e178cfp-4, -0x1.0fe6fc46c2589p-4, -0x1.0d6efe95d9561p-4, -0x1.0afa533c89327p-4, -0x1.088900881e4aap-4, -0x1.061b0cc4c1a7fp-4, -0x1.03b07d3a20441p-4, -0x1.01495736ee6d1p-4, -0x1.fdcb3fa0c8cd6p-5, -0x1.f90ab7a992536p-5, -0x1.f4511fa3d5bd3p-5, -0x1.ef9e802ea4567p-5, -0x1.eaf2e17040b46p-5, -0x1.e64e4b18dcfe1p-5, -0x1.e1b0c46573973p-5, -0x1.dd1a54227f12ap-5, -0x1.d88b00ae5108ep-5, -0x1.d402cffc5cc27p-5, -0x1.cf81c7967e6fp-5, -0x1.cb07ec9329ecep-5, -0x1.c6953efbab1b2p-5, -0x1.c229d18787ecap-5, -0x1.bdc599bf529f2p-5, -0x1.b968a0b9df193p-5, -0x1.b512e886aa457p-5, -0x1.b0c474c73cd84p-5, -0x1.ac7d47eede0d6p-5, -0x1.a83d6491541ebp-5, -0x1.a404cc3a0f86p-5, -0x1.9fd3809c7ad1p-5, -0x1.9ba9830a15725p-5, -0x1.9786d48277164p-5, -0x1.936b75b8cb24p-5, -0x1.8f57671614ee5p-5, -0x1.8b4aa8bae12c2p-5, -0x1.87453a80c412fp-5, -0x1.83471bfc0c379p-5, -0x1.7f504c7dc76a3p-5, -0x1.7b60cb14bd393p-5, -0x1.7778968ef1f8dp-5, -0x1.7397ad7b49ceap-5, -0x1.6fbe0e2b4b67bp-5, -0x1.6bebb6b3f7a6fp-5, -0x1.6820a4ef5b732p-5, -0x1.645cd67d58442p-5, -0x1.60a048c1a0af5p-5, -0x1.5ceaf8d488e2p-5, -0x1.593ce3e079e4dp-5, -0x1.55960710c606p-5, -0x1.51f65e2c6a1c8p-5, -0x1.4e5de547d2398p-5, -0x1.4acc99e8f40fp-5, -0x1.474277437b074p-5, -0x1.43bf7930aaca9p-5, -0x1.40439b614b72cp-5, -0x1.3cced94e5fa24p-5, -0x1.39612e433c1acp-5, -0x1.35fa95609dfadp-5, -0x1.329b099db89b3p-5, -0x1.2f4285c9a1b78p-5, -0x1.2bf1048acd7ccp-5, -0x1.28a6806286f1ap-5, -0x1.2562f3abaeba7p-5, -0x1.2226589be0e38p-5, -0x1.1ef0a939e952cp-5, -0x1.1bc1db07cd62cp-5, -0x1.1899f552d8e7ep-5, -0x1.1578e45b70ec4p-5, -0x1.125ea5ffab59ep-5, -0x1.0f4b33c0d41a1p-5, -0x1.0c3e86eeece9fp-5, -0x1.093898bb3bf31p-5, -0x1.063962396db66p-5, -0x1.0340dc5cefbfbp-5, -0x1.004effe9e77a3p-5, -0x1.fac78ba154e35p-6, -0x1.f4fe4e678dd53p-6, -0x1.ef4237490a387p-6, -0x1.e99336fd92ad4p-6, -0x1.e3f140acde529p-6, -0x1.de5c438a16741p-6, -0x1.d8d42fe8f9b1ep-6, -0x1.d358f623f826ep-6, -0x1.cdea86524e2d8p-6, -0x1.c888d05e57b9dp-6, -0x1.c333c40abd641p-6, -0x1.bdeb50f46c403p-6, -0x1.b8af669470daap-6, -0x1.b37ff441332d6p-6, -0x1.ae5ce92fb6cd3p-6, -0x1.a9463474d8fadp-6, -0x1.a43bc5066c39p-6, -0x1.9f3d89bc5d084p-6, -0x1.9a4b7151e6d24p-6, -0x1.95656a66b6894p-6, -0x1.908b637ffd183p-6, -0x1.8bbd4b0970ef5p-6, -0x1.86fb0f56a29a1p-6, -0x1.82449ea43a1bfp-6, -0x1.7d99e719198fdp-6, -0x1.78fad6c771b4cp-6, -0x1.74675baddab34p-6, -0x1.6fdf63b84c843p-6, -0x1.6b62dcc0f20c2p-6, -0x1.66f1b48fd1d93p-6, -0x1.628bd8d3d2c56p-6, -0x1.5e313704a4b2cp-6, -0x1.59e1bd3884e86p-6, -0x1.559d59bf2ac81p-6, -0x1.5163f8407d3ep-6, -0x1.4d35860778ce8p-6, -0x1.4911f2c820d2fp-6, -0x1.44f92aac96d0ep-6, -0x1.40eb1af125631p-6, -0x1.3ce7b10b096f2p-6, -0x1.38eeda4cd0b9dp-6, -0x1.350083b0144c6p-6, -0x1.311c9dc47d0d5p-6, -0x1.2d430df2a2429p-6, -0x1.2973c8ac2cc1fp-6, -0x1.25aeb8cee0674p-6, -0x1.21f3cb9c09ebbp-6, -0x1.1e42ee4bb1e6bp-6, -0x1.1a9c0e14eaa5ap-6, -0x1.16ff182f1b9b3p-6, -0x1.136bf9d2c9384p-6, -0x1.0fe2a03a4a795p-6, -0x1.0c62f8a26d9p-6, -0x1.08ecf04b179fbp-6, -0x1.05807477e696cp-6, -0x1.021d7270c7c58p-6, -0x1.fd87af0534d5ep-7, -0x1.f6e721ffbf42dp-7, -0x1.f0591882c0e02p-7, -0x1.e9dd6d4d85f36p-7, -0x1.e373fb2e2a39dp-7, -0x1.dd1c9d02cbb76p-7, -0x1.d6d72dbb4a421p-7, -0x1.d0a38859856eap-7, -0x1.ca8187f2b6c79p-7, -0x1.c47107af1a8b3p-7, -0x1.be71e2be047b5p-7, -0x1.b883f42481a31p-7, -0x1.b2a71781af53ep-7, -0x1.acdb2ba6ad37ap-7, -0x1.a72006069373ep-7, -0x1.a17584b055376p-7, -0x1.9bdb854058388p-7, -0x1.9651e33ce8e49p-7, -0x1.90d879a9b8a7ep-7, -0x1.8b6f24f97d476p-7, -0x1.8615c1894beb3p-7, -0x1.80cc2bc4902a9p-7, -0x1.7b924033995ep-7, -0x1.7667db7f0fdc4p-7, -0x1.714cda7149907p-7, -0x1.6c4119f72df84p-7, -0x1.67447720e06fp-7, -0x1.6256cf226d492p-7, -0x1.5d77ff545f027p-7, -0x1.58a7e534617ffp-7, -0x1.53e65e65bc806p-7, -0x1.4f3348b1be929p-7, -0x1.4a8e82082dac3p-7, -0x1.45f7e87fc19afp-7, -0x1.416f5a56b61a4p-7, -0x1.3cf4b5f37a0b8p-7, -0x1.3887d9e5774e8p-7, -0x1.3428a4e5e7695p-7, -0x1.2fd6f5d8d5ecep-7, -0x1.2b92abcd7216p-7, -0x1.275ba5fe28d65p-7, -0x1.2331c3d0c893fp-7, -0x1.1f14e4b647f96p-7, -0x1.1b04dcc330a59p-7, -0x1.1701af896ac44p-7, -0x1.130b19b31413bp-7, -0x1.0f2106ddf67e6p-7, -0x1.0b4357b551355p-7, -0x1.0771ecd97b0a7p-7, -0x1.03aca71538a5ep-7, -0x1.ffe6cebabb0e1p-8, -0x1.f88c1d7773612p-8, -0x1.f148fc3ce23f2p-8, -0x1.ea1d323e7a588p-8, -0x1.e30880373b068p-8, -0x1.dc0aa8a94a73dp-8, -0x1.d5236ccb1029bp-8, -0x1.ce529a29e7183p-8, -0x1.c797f0b4fb0bap-8, -0x1.c0f335c7d4cd1p-8, -0x1.ba642f7aab18ap-8, -0x1.b3eaa3f8a091cp-8, -0x1.ad8659b83c09p-8, -0x1.a737178ca0f1ep-8, -0x1.a0fca4ac54b6p-8, -0x1.9ad6c8b618dabp-8, -0x1.94c54bb4e90a8p-8, -0x1.8ec7f622b4dbdp-8, -0x1.88de90e93e767p-8, -0x1.8308e560e5846p-8, -0x1.7d46bd4d6c38bp-8, -0x1.7797e2d927935p-8, -0x1.71fc208f76ff4p-8, -0x1.6c7341579cc4cp-8, -0x1.66fd1070d9e55p-8, -0x1.6199596ed9583p-8, -0x1.5c47e83dca815p-8, -0x1.57088922e1437p-8, -0x1.51db08c31fd3dp-8, -0x1.4cbf342a66a4p-8, -0x1.47b4d8d29216dp-8, -0x1.42bbc4a9aaa45p-8, -0x1.3dd3c615e2e2cp-8, -0x1.38fcabf699a3fp-8, -0x1.343645a1ed95ap-8, -0x1.2f8062df33c01p-8, -0x1.2adad3df039cep-8, -0x1.264569322f9eap-8, -0x1.21bff3c10d5fdp-8, -0x1.1d4a44c48226dp-8, -0x1.18e42dc2071d3p-8, -0x1.148d808b62a99p-8, -0x1.10460f4246347p-8, -0x1.0c0dac5f0f8aap-8, -0x1.07e42ab8ca907p-8, -0x1.03c95d8761ac2p-8, -0x1.ff7a3082ec126p-9, -0x1.f77e5c8df7eeap-9, -0x1.ef9ef04bfdb95p-9, -0x1.e7db9136b4e38p-9, -0x1.e033e6a814121p-9, -0x1.d8a79896bc284p-9, -0x1.d136639ff854dp-9, -0x1.c9dfec22a969p-9, -0x1.c2a3e02444dbp-9, -0x1.bb81fae93f6a4p-9, -0x1.b479c7ca120f4p-9, -0x1.ad8b1e2cbc34ep-9, -0x1.a6b59db0f8f95p-9, -0x1.9ff8f915197c7p-9, -0x1.9954e225c4eb5p-9, -0x1.92c90b650a717p-9, -0x1.8c55282be403fp-9, -0x1.85f8ecb7440d6p-9, -0x1.7fb40e32314f5p-9, -0x1.798642b4c62dap-9, -0x1.736f413bcd074p-9, -0x1.6d6ec19c685f9p-9, -0x1.67847c72cce59p-9, -0x1.61b02b0f9e73ap-9, -0x1.5bf1876620babp-9, -0x1.56484bfd41829p-9, -0x1.50b433e51c84ap-9, -0x1.4b34fab1d07d6p-9, -0x1.45ca5c7c3862p-9, -0x1.407415e7d135bp-9, -0x1.3b31e42d05347p-9, -0x1.3603852604945p-9, -0x1.30e8b75be9258p-9, -0x1.2be13a128c1e5p-9, -0x1.26eccd50c01a1p-9, -0x1.220b31e4b27e9p-9, -0x1.1d3c2963fd7fep-9, -0x1.187f762856a25p-9, -0x1.13d4db4a5aca2p-9, -0x1.0f3c1c9b57e5dp-9, -0x1.0ab4fe9f68c9ep-9, -0x1.063f46878e3b7p-9, -0x1.01daba2be1e04p-9, -0x1.fb0e4009e2062p-10, -0x1.f2887e4864703p-10, -0x1.ea23be5696085p-10, -0x1.e1df908699036p-10, -0x1.d9bb8627c2c4ep-10, -0x1.d1b731697b09ep-10, -0x1.c9d224e9f77b4p-10, -0x1.c20bf233bdd93p-10, -0x1.ba64349ee5a2ap-10, -0x1.b2da8f1a0dcf2p-10, -0x1.ab6e79c39d96p-10, -0x1.a41f91be58903p-10, -0x1.9ced89899229ep-10, -0x1.95d7eedc3c739p-10, -0x1.8ede5ba586736p-10, -0x1.88006eef3a897p-10, -0x1.813dc831ddddfp-10, -0x1.7a96082903736p-10, -0x1.7408d1125eadfp-10, -0x1.6d95c6b1d3a88p-10, -0x1.673c8e35408fp-10, -0x1.60fcce0279e25p-10, -0x1.5ad62d77f583p-10, -0x1.54c854ac06b09p-10, -0x1.4ed2ec36f7024p-10, -0x1.48f59d13b3be4p-10, -0x1.4330109c0b349p-10, -0x1.3d81f09f0691dp-10, -0x1.37eae7881f454p-10, -0x1.326aa08c31b2ep-10, -0x1.2d00c7cb6ee5ep-10, -0x1.27ad0a06b6a9fp-10, -0x1.226f63b12ee84p-10, -0x1.1d469b2fb8fcap-10, -0x1.18334cdc4b12p-10, -0x1.1334d8caa669fp-10, -0x1.0e4af3ebecfd8p-10, -0x1.09755326d6a41p-10, -0x1.04b3ace65f3a3p-10, -0x1.0005b927703d4p-10, -0x1.f6d662ad4a412p-11, -0x1.edc7a0113f0d2p-11, -0x1.e4dea12b8fe13p-11, -0x1.dc1add604c7a2p-11, -0x1.d37bcc1a15196p-11, -0x1.cb00e47661aap-11, -0x1.c2a99d63f541fp-11, -0x1.ba756e2c7c37cp-11, -0x1.b263cf407728dp-11, -0x1.aa743b0b0cca2p-11, -0x1.a2a62e92b0c7dp-11, -0x1.9af929bffc70ep-11, -0x1.936caf43e51cfp-11, -0x1.8c004434a8208p-11, -0x1.84b36f8ec77c1p-11, -0x1.7d85b9cb292c1p-11, -0x1.7676acaee5c5ep-11, -0x1.6f85d35fda87p-11, -0x1.68b2ba9b3e337p-11, -0x1.61fcf070d17a9p-11, -0x1.5b6401ccd42cep-11, -0x1.54e787c6570b2p-11, -0x1.4e873bfc11eccp-11, -0x1.48426ed91a977p-11, -0x1.4218c6921915dp-11, -0x1.3c0a02d282917p-11, -0x1.3615a3226918fp-11, -0x1.303b36bace018p-11, -0x1.2a7a54849deadp-11, -0x1.24d292dbc63afp-11, -0x1.1f438a1fecb7ap-11, -0x1.19ccd60bfab85p-11, -0x1.146e16276e2f3p-11, -0x1.0f26ed8bb9309p-11, -0x1.09f7023251d73p-11, -0x1.04ddfc132c257p-11, -0x1.ffb708b67647fp-12, -0x1.f5de89d42cabfp-12, -0x1.ec31d049189acp-12, -0x1.e2b0321b30bfcp-12, -0x1.d9590708856d4p-12, -0x1.d02ba9071c524p-12, -0x1.c727748a61fd3p-12, -0x1.be4bc86bad8d6p-12, -0x1.b598056d4abb5p-12, -0x1.ad0b8d6c6abb6p-12, -0x1.a4a5c26e6faeap-12, -0x1.9c6605c80e0f6p-12, -0x1.944bb7a5f93a1p-12, -0x1.8c563735f5faep-12, -0x1.8484e38f1bfa5p-12, -0x1.7cd71d410c1f8p-12, -0x1.754c482d5052cp-12, -0x1.6de3cd1cbf16ep-12, -0x1.669d1a8715605p-12, -0x1.5f77a4469467bp-12, -0x1.5872e268a6f0bp-12, -0x1.518e4fb6be888p-12, -0x1.4ac968aa557c7p-12, -0x1.4423aad918d9fp-12, -0x1.3d9c8752fea51p-12, -0x1.3733a7051e0f2p-12, -0x1.30e887e554075p-12, -0x1.2aba9f04fd3b3p-12, -0x1.24a987af3fdd6p-12, -0x1.1eb4d15a8cf53p-12, -0x1.18dc09c612426p-12, -0x1.131ebc97ad6cfp-12, -0x1.0d7c73f40f99cp-12, -0x1.07f4ba1f7b2ffp-12, -0x1.02871b719484ap-12, -0x1.fa664f77b6819p-13, -0x1.eff0e52d24a22p-13, -0x1.e5ad252625ed5p-13, -0x1.db9a3f96e61d9p-13, -0x1.d1b7646eb4f02p-13, -0x1.c803bcdaba1e1p-13, -0x1.be7e65db57a34p-13, -0x1.b52721b74eb9bp-13, -0x1.abfc7f21858a7p-13, -0x1.a2fdad7a7e4dbp-13, -0x1.9a2a27464b853p-13, -0x1.91815446f2a02p-13, -0x1.8902287b5026cp-13, -0x1.80abeb58914d4p-13, -0x1.787de933da554p-13, -0x1.70777a1dd143bp-13, -0x1.689803f6cef8ep-13, -0x1.60def56608799p-13, -0x1.594bbd0e4863p-13, -0x1.51ddc0e6c4767p-13, -0x1.4a945968e85c2p-13, -0x1.436ed2a331e0ep-13, -0x1.3c6c72d53445dp-13, -0x1.358c83c541033p-13, -0x1.2ece5b85028fep-13, -0x1.28316152ef897p-13, -0x1.21b50dafae2e4p-13, -0x1.1b58e619ea174p-13, -0x1.151c76603c1bap-13, -0x1.0eff49b9e01ap-13, -0x1.0900e580ece25p-13, -0x1.0320c6d8d03b6p-13, -0x1.fabcc72cc858ap-14, -0x1.ef725b13b4e9dp-14, -0x1.e4612c918f7a4p-14, -0x1.d988230b2845dp-14, -0x1.cee62a67b78acp-14, -0x1.c47a312871664p-14, -0x1.ba4328d964ec7p-14, -0x1.b0400c119076fp-14, -0x1.a66fe8824033dp-14, -0x1.9cd1e6cf9d6ddp-14, -0x1.9365494075925p-14, -0x1.8a295f1466e31p-14, -0x1.811d717426bc4p-14, -0x1.7840b2f5bc123p-14, -0x1.6f92391cd98e4p-14, -0x1.67110232e63a8p-14, -0x1.5ebc03a17b3e5p-14, -0x1.569239fcd24e9p-14, -0x1.4e92b3f3bef45p-14, -0x1.46bc96c0e2668p-14, -0x1.3f0f1d3b27637p-14, -0x1.3789955e9357ap-14, -0x1.302b5d8e018d1p-14, -0x1.28f3e07ecc339p-14, -0x1.21e28e68d5091p-14, -0x1.1af6d3e79b127p-14, -0x1.14300ae5e10fbp-14, -0x1.0d8905b17d98ep-14, -0x1.070eb80da28a7p-14, -0x1.00b2b5dbf691p-14, -0x1.f4f196aeb1056p-15, -0x1.e8c0a5ef36a75p-15, -0x1.dcd14b4b406fep-15, -0x1.d1220dbfe23d2p-15, -0x1.c5b30b1c82286p-15, -0x1.ba82a1f4e27e2p-15, -0x1.af8de0d78f617p-15, -0x1.a4d4e86df9a8bp-15, -0x1.9a57c773b35e3p-15, -0x1.90145ff394689p-15, -0x1.8609c518b2f28p-15, -0x1.7c36e09afb59p-15, -0x1.729a825aad771p-15, -0x1.69337eec7008cp-15, -0x1.6000c18a3a0c2p-15, -0x1.57014b619d31ap-15, -0x1.4e3423e8e1919p-15, -0x1.45984933ac4acp-15, -0x1.3d2cadac9ba97p-15, -0x1.34f043b0eff62p-15, -0x1.2ce20c230d607p-15, -0x1.25011d8769ddep-15, -0x1.1d4ca1d28147bp-15, -0x1.15c3cf0d73589p-15, -0x1.0e65dea560d75p-15, -0x1.07320502df6cap-15, -0x1.00276b2676a0bp-15, -0x1.f28a5aea48477p-16, -0x1.e514c4e703e54p-16, -0x1.d7ec51611311ap-16, -0x1.cb0f6d6908e59p-16, -0x1.be7cc99ee681p-16, -0x1.b23354a62336fp-16, -0x1.a63218c101dd6p-16, -0x1.9a78089cfa123p-16, -0x1.8f03d6ea678bfp-16, -0x1.83d3f3d4a6d0dp-16, -0x1.78e6b17674c16p-16, -0x1.6e3a6cfec6bcep-16, -0x1.63cd996996182p-16, -0x1.599eb467971c9p-16, -0x1.4fac4dbd1b6fbp-16, -0x1.45f52b04ef37dp-16, -0x1.3c785d408c4ecp-16, -0x1.33352117e0606p-16, -0x1.2a2a9ca871e7dp-16, -0x1.2157b3b52e385p-16, -0x1.18bb132e0debbp-16, -0x1.10535ffe957c7p-16, -0x1.081f5b6cedfb7p-16, -0x1.001de5fa97f69p-16, -0x1.f09bdfcec59c2p-17, -0x1.e15cdf24ccfcbp-17, -0x1.d27cc64c0e3eep-17, -0x1.c3f9a914cd5fdp-17, -0x1.b5d1afe9af7fdp-17, -0x1.a80307e6fd615p-17, -0x1.9a8bcc57cf49dp-17, -0x1.8d69f5266668cp-17, -0x1.809b57e9667cfp-17, -0x1.741dc4213ba3p-17, -0x1.67ef34ca1922ep-17, -0x1.5c0dfe70c5523p-17, -0x1.5078c74ec4ee5p-17, -0x1.452ddacaadfb3p-17, -0x1.3a2de14a25326p-17, -0x1.2f7cab68b3a9fp-17, -0x1.251c79f2cf234p-17, -0x1.1ae15c191fccep-17, -0x1.10fcf541b2762p-17, -0x1.075908a3a45f6p-17, -0x1.fbe8bb42e9887p-18, -0x1.e99b562c60d63p-18, -0x1.d7c7626491402p-18, -0x1.c66b19199c88p-18, -0x1.b58539d6956b4p-18, -0x1.a5141882bd802p-18, -0x1.9514fda86a855p-18, -0x1.85848a8ec0004p-18, -0x1.765fa175ef65bp-18, -0x1.67a3d3c32a38cp-18, -0x1.594f0bccf5729p-18, -0x1.4b5f161459b3ep-18, -0x1.3dd18da1bea3dp-18, -0x1.30a40a215b9e1p-18, -0x1.23d4425781013p-18, -0x1.176015f67b932p-18, -0x1.0b458a691ab82p-18, -0x1.ff05870bf1498p-19, -0x1.e82bf0f10d3f3p-19, -0x1.d1fac6bd80444p-19, -0x1.bc6e5aa6015eap-19, -0x1.a782bbfbefb13p-19, -0x1.9333b29bfd552p-19, -0x1.7f7ce5156682bp-19, -0x1.6c5a20e521a8p-19, -0x1.59c7a3d41797fp-19, -0x1.47c24128b652fp-19, -0x1.364751383b916p-19, -0x1.25545463bbc89p-19, -0x1.14e6b27bd9d65p-19, -0x1.04fae817d8ep-19, -0x1.eb19ba96efaefp-20, -0x1.cd309892035cep-20, -0x1.b03367817d908p-20, -0x1.941d2ad894318p-20, -0x1.78e9ba2925532p-20, -0x1.5e948618ab047p-20, -0x1.4518fbeea34edp-20, -0x1.2c72c7688e453p-20, -0x1.149c4b6771ff8p-20, -0x1.fb1c903a03d1ap-21, -0x1.ce84b80396db4p-21, -0x1.a3693221c4fe5p-21, -0x1.79c38d5c64083p-21, -0x1.518b3fa7ed732p-21, -0x1.2ab6516777497p-21, -0x1.053af72ac7c24p-21, -0x1.c21ff4baeed71p-22, -0x1.7c590df11f4e3p-22, -0x1.3910112b7f6e4p-22, -0x1.f068c2fefb831p-23, -0x1.736c3641932b3p-23, -0x1.f618caf02a1bcp-24, -0x1.0e596471ac489p-24, -0x1.7afc2ffa9bb3dp-27, 0x1.4e5afe1985596p-25, 0x1.76044b22d5854p-24, 0x1.1d26873afb458p-23, 0x1.7bca9545af9bep-23, 0x1.d7c2257c9d619p-23, 0x1.17865bf3c943dp-22, 0x1.41512f5a3a7bfp-22, 0x1.696625f8d5fa3p-22, 0x1.8fc954e367a16p-22, 0x1.b487ee03abbb4p-22, 0x1.d770decc35ed8p-22, 0x1.f9479a0c4209fp-22, 0x1.0ca4840f956a1p-21, 0x1.1bedd7046f484p-21, 0x1.2a7f9a0523fe6p-21, 0x1.385d6fbabdd58p-21, 0x1.458a6625da1ecp-21, 0x1.520baf2297a8ep-21, 0x1.5de89642de8ebp-21, 0x1.6926ea88107a1p-21, 0x1.73cbc097dd7e4p-21, 0x1.7ddca8612449bp-21, 0x1.875cfe89eb49ep-21, 0x1.904f1c59ac204p-21, 0x1.98b712e94a7f2p-21, 0x1.a099b7fcbcdcbp-21, 0x1.a7fb68702f6c5p-21, 0x1.aee0131937833p-21, 0x1.b54b84668e3e6p-21, 0x1.bb41820b01d4p-21, 0x1.c0c5c8ab5a039p-21, 0x1.c5dc03291eedep-21, 0x1.ca87c440740e5p-21, 0x1.cecc82d9723a9p-21, 0x1.d2ad98c2c7221p-21, 0x1.d62e3f7d39aecp-21, 0x1.d951919d0f145p-21, 0x1.dc1a8a35e028p-21, 0x1.de8c06a6d5e2bp-21, 0x1.e0a8d32181e49p-21, 0x1.e273bd6a0ec2ap-21, 0x1.e3ef8da3e26aep-21, 0x1.e51ef9c0e7587p-21, 0x1.e604b11e5c243p-21, 0x1.e6a36b0be9183p-21, 0x1.e6fded34930c3p-21, 0x1.e7170d51afdd1p-21, 0x1.e6f19d45076b2p-21, 0x1.e69044eeac647p-21, 0x1.e5f54cae597f8p-21, 0x1.e5227e6d23b46p-21, 0x1.e4197e1f40fc1p-21, 0x1.e2dc55d801ef8p-21, 0x1.e16d5349d1431p-21, 0x1.dfce46a8ea5f6p-21, 0x1.de0097fd2f1f5p-21, 0x1.dc06a23db5731p-21, 0x1.d9e34d048219ep-21, 0x1.d7988bb9927b8p-21, 0x1.d527d623cc5d8p-21, 0x1.d29216d66d94ap-21, 0x1.cfd8a8bd6fd79p-21, 0x1.ccfdae5f5da4fp-21, 0x1.ca054daf6ebbp-21, 0x1.c6fe41e6a1dfp-21, 0x1.c3b119fe7b31fp-21, 0x1.c03c25c75bc1bp-21, 0x1.bd010894e3e52p-21, 0x1.b97aa7207a46dp-21, 0x1.b5d7d211ad505p-21, 0x1.b224ebd8ce6bap-21, 0x1.ae5e161ef54aep-21, 0x1.aa839985f44bp-21, }}, 
      std::vector<double>(900, 0.0), 
      {{-0x1.0d53732bc6d1ep-6, -0x1.a6c5c40a143c9p-5, -0x1.b0e7bc299e6d4p-4, -0x1.5deaf3950dc68p-3, -0x1.e78db52f8e8b4p-3, -0x1.33155de8dde5ap-2, -0x1.67d2f47510ac7p-2, -0x1.8f6094f2383f9p-2, -0x1.a910c8e2cf0f3p-2, -0x1.b5969bc002335p-2, -0x1.b68357519c639p-2, -0x1.adde7c6c9ed6dp-2, -0x1.9dd8bc409a109p-2, -0x1.8896a77c02244p-2, -0x1.700e92cee09a6p-2, -0x1.55f537ffeb4ebp-2, -0x1.3bb5281250a4cp-2, -0x1.226dcc4809ba3p-2, -0x1.0af76064333cap-2, -0x1.ebd3d217fd00cp-3, -0x1.c74b64681a38ap-3, -0x1.a8b89f7e65b9fp-3, -0x1.9032e5bd2ae9fp-3, -0x1.7d964e589a693p-3, -0x1.70926f652840cp-3, -0x1.68b739ad8a704p-3, -0x1.657fd665faac4p-3, -0x1.665b973f3d988p-3, -0x1.6ab5232ee623cp-3, -0x1.71f809173454p-3, -0x1.7b94f445c365p-3, -0x1.8704b33a65542p-3, -0x1.93ca45f3dad88p-3, -0x1.a174222a689bbp-3, -0x1.af9cd808a69cep-3, -0x1.bdeb3ba3a1ee7p-3, -0x1.cc1231921a656p-3, -0x1.d9d0384bc5afap-3, -0x1.e6eec35c2c2c2p-3, -0x1.f3417813a9f7p-3, -0x1.fea558b76ec3ap-3, -0x1.047ff3bd1a99p-2, -0x1.091f244cf390dp-2, -0x1.0d2a34a01311dp-2, -0x1.109e175c05cd1p-2, -0x1.137a58514ffe1p-2, -0x1.15c0bfa88b168p-2, -0x1.1774fba93cd6cp-2, -0x1.189c512e5b464p-2, -0x1.193d52c9c7d7fp-2, -0x1.195f9e8625b17p-2, -0x1.190ba201c70afp-2, -0x1.184a64b7cded6p-2, -0x1.1725582699791p-2, -0x1.15a62d8ae4ad8p-2, -0x1.13d6b0d822716p-2, -0x1.11c0a89dc3c95p-2, -0x1.0f6dba75aa817p-2, -0x1.0ce753abd0b1bp-2, -0x1.0a3695c89d7a3p-2, -0x1.076446c77fac3p-2, -0x1.0478c450ee03ap-2, -0x1.017bfa33a5fa5p-2, -0x1.fceab64e17595p-3, -0x1.f6d7b8018cd7p-3, -0x1.f0cbe1347eb67p-3, -0x1.ead315ec40093p-3, -0x1.e4f83696d6f05p-3, -0x1.df45246ed4fb1p-3, -0x1.d9c2c5eddfdap-3, -0x1.d479100540656p-3, -0x1.cf6f0cdcb923cp-3, -0x1.caaae7469f865p-3, -0x1.c631f3bdd67a1p-3, -0x1.c208bc9d99ca4p-3, -0x1.be330d132965p-3, -0x1.bab3fd0776d2fp-3, -0x1.b78dfd4ba00bdp-3, -0x1.b4c2e2ff514cbp-3, -0x1.b253f3b1d41adp-3, -0x1.b041eff1890e2p-3, -0x1.ae8d1eb5add49p-3, -0x1.ad3557546c6e8p-3, -0x1.ac3a0ba052a92p-3, -0x1.ab9a514781b65p-3, -0x1.ab54eb1838658p-3, -0x1.ab6851692ffffp-3, -0x1.abd2ba537c075p-3, -0x1.ac922192de75p-3, -0x1.ada44f8abd517p-3, -0x1.af06e02ec0662p-3, -0x1.b0b74955a37c5p-3, -0x1.b2b2e0514f1fdp-3, -0x1.b4f6e0e8f0e34p-3, -0x1.b7806f640cefbp-3, -0x1.ba4ca0415a437p-3, -0x1.bd587af704b17p-3, -0x1.c0a0fe3c09392p-3, -0x1.c423238c93b9ap-3, -0x1.c7dbe2a0812e9p-3, -0x1.cbc833dad76f2p-3, -0x1.cfe513c5c7abep-3, -0x1.d42f84ab57a4fp-3, -0x1.d8a4910bfe1eap-3, -0x1.dd414d6a64c2dp-3, -0x1.e202d9ebdfd05p-3, -0x1.e6e663b906bb8p-3, -0x1.ebe9265a3b598p-3, -0x1.f1086c4637fc8p-3, -0x1.f64190a4fa198p-3, -0x1.fb91ff2de4da7p-3, -0x1.007b9a98227aep-2, -0x1.033760f877b2ap-2, -0x1.05fb23880eb58p-2, -0x1.08c5bc65f805ap-2, -0x1.0b960f13b135ap-2, -0x1.0e6b08865c312p-2, -0x1.11439f2d0c001p-2, -0x1.141ed2e5bbe97p-2, -0x1.16fbacf37ca55p-2, -0x1.19d93ff26c69bp-2, -0x1.1cb6a7baa3a8fp-2, -0x1.1f930945ca31ep-2, -0x1.226d928fff9ap-2, -0x1.25457a753856bp-2, -0x1.281a00827ce52p-2, -0x1.2aea6cd6030efp-2, -0x1.2db60ff20b5dcp-2, -0x1.307c428635a4cp-2, -0x1.333c654ce593ap-2, -0x1.35f5e0d81c69p-2, -0x1.38a8255664107p-2, -0x1.3b52aa6d7d428p-2, -0x1.3df4ef0787effp-2, -0x1.408e791a2316p-2, -0x1.431ed57934347p-2, -0x1.45a597a62e00dp-2, -0x1.482259978bb5p-2, -0x1.4a94bb8f81845p-2, -0x1.4cfc63ec89a49p-2, -0x1.4f58fee808d0dp-2, -0x1.51aa3e7c741b8p-2, -0x1.53efda28aa81fp-2, -0x1.56298ed3085f1p-2, -0x1.58571e735686cp-2, -0x1.5a78501a23515p-2, -0x1.5c8cefac68198p-2, -0x1.5e94cdb116cfdp-2, -0x1.608fbf25993fp-2, -0x1.627d9d71e0d84p-2, -0x1.645e4625c0eacp-2, -0x1.66319acdbbc0bp-2, -0x1.67f780d71a6f7p-2, -0x1.69afe17b935afp-2, -0x1.6b5aa97626e9fp-2, -0x1.6cf7c8f9ae5b8p-2, -0x1.6e87337c3c1edp-2, -0x1.7008dfb16579ap-2, -0x1.717cc741a8635p-2, -0x1.72e2e6be06c45p-2, -0x1.743b3da053de7p-2, -0x1.7585cda7ac9d1p-2, -0x1.76c29ba8b0c97p-2, -0x1.77f1ae782b2d5p-2, -0x1.79130f5acee8dp-2, -0x1.7a26c9cd7bbe2p-2, -0x1.7b2ceb6ab3168p-2, -0x1.7c258388f426cp-2, -0x1.7d10a3b8effbap-2, -0x1.7dee5f1c59f46p-2, -0x1.7ebeca99780edp-2, -0x1.7f81fca194207p-2, -0x1.80380d2c25599p-2, -0x1.80e115963b5fdp-2, -0x1.817d309e51948p-2, -0x1.820c7a40b25eap-2, -0x1.828f0f9933214p-2, -0x1.83050edddf84ap-2, -0x1.836e9754e6725p-2, -0x1.83cbc935ce95fp-2, -0x1.841cc59c10c43p-2, -0x1.8461ae5ab36d8p-2, -0x1.849aa618873f6p-2, -0x1.84c7d036ad46ep-2, -0x1.84e950a952c48p-2, -0x1.84ff4bf75d2aep-2, -0x1.8509e7260e6fcp-2, -0x1.850947b72a7f3p-2, -0x1.84fd93994fbbcp-2, -0x1.84e6f1216df9fp-2, -0x1.84c586dd9e3c9p-2, -0x1.84997ba78118cp-2, -0x1.8462f6a3a305p-2, -0x1.84221f14aa493p-2, -0x1.83d71c740d24dp-2, -0x1.8382164ea265cp-2, -0x1.832334419d1cap-2, -0x1.82ba9df6a32cdp-2, -0x1.82487b1eb314cp-2, -0x1.81ccf369ef6bcp-2, -0x1.81482e7fbb4cep-2, -0x1.80ba53e2b27ccp-2, -0x1.80238b038a6cdp-2, -0x1.7f83fb3baf013p-2, -0x1.7edbcbb8d8ce9p-2, -0x1.7e2b2384bd39fp-2, -0x1.7d722975ce53ep-2, -0x1.7cb10428eef5bp-2, -0x1.7be7da1423645p-2, -0x1.7b16d1362fbb7p-2, -0x1.7a3e0fa7bb819p-2, -0x1.795dbb0383325p-2, -0x1.7875f8afadbedp-2, -0x1.7786edb696e48p-2, -0x1.7690bedc1e834p-2, -0x1.759390a179dc3p-2, -0x1.748f8728283bcp-2, -0x1.7384c6461ba42p-2, -0x1.72737178ba1eep-2, -0x1.715babe396f67p-2, -0x1.703d9850917fap-2, -0x1.6f1959308342fp-2, -0x1.6def109b107d1p-2, -0x1.6cbee04cb8e6ap-2, -0x1.6b88e9a3e4ff8p-2, -0x1.6a4d4da1ba7bep-2, -0x1.690c2ce8e6349p-2, -0x1.67c5a7b8b3307p-2, -0x1.6679ddf496b46p-2, -0x1.6528ef2bc048ap-2, -0x1.63d2fa82ba25p-2, -0x1.62781ec599676p-2, -0x1.61187a5f968d5p-2, -0x1.5fb42b5e355ffp-2, -0x1.5e4b4f6f2e269p-2, -0x1.5cde03e9f30c4p-2, -0x1.5b6c65c21a96ep-2, -0x1.59f69196ee861p-2, -0x1.587ca3a619947p-2, -0x1.56feb7d4d1629p-2, -0x1.557ce9c59d6dcp-2, -0x1.53f754684549p-2, -0x1.526e12da22c98p-2, -0x1.50e13f86558dbp-2, -0x1.4f50f4968d0b2p-2, -0x1.4dbd4bec4dd7bp-2, -0x1.4c265f03dd877p-2, -0x1.4a8c470d29a43p-2, -0x1.48ef1ce4b1ecep-2, -0x1.474ef9155a868p-2, -0x1.45abf3da3dbd5p-2, -0x1.4406251ed2b86p-2, -0x1.425da48032ee8p-2, -0x1.40b2894d55f61p-2, -0x1.3f04ea88d7d6fp-2, -0x1.3d54dee98e224p-2, -0x1.3ba27cdb76c2ap-2, -0x1.39edda817511ap-2, -0x1.38370db5d3955p-2, -0x1.367e2c0a940c3p-2, -0x1.34c34ad682c7p-2, -0x1.33067f115c60ep-2, -0x1.3147dd807606ep-2, -0x1.2f877aaabcfeep-2, -0x1.2dc56ac543ap-2, -0x1.2c01c1c90372dp-2, -0x1.2a3c936ea88d5p-2, -0x1.2875f32e8b6a5p-2, -0x1.26adf4414a679p-2, -0x1.24e4a9a05eddap-2, -0x1.231a260750fd3p-2, -0x1.214e7bf4836fbp-2, -0x1.1f81bdaa07c4cp-2, -0x1.1db3fd2e55678p-2, -0x1.1be54c4cc371cp-2, -0x1.1a15bc968a662p-2, -0x1.18455f630a1dap-2, -0x1.167445cff551fp-2, -0x1.14a280abebd97p-2, -0x1.12d020eab683ep-2, -0x1.10fd36bc1e937p-2, -0x1.0f29d27eff7f6p-2, -0x1.0d5604317add4p-2, -0x1.0b81dbae5a997p-2, -0x1.09ad6892fe7d5p-2, -0x1.07d8ba4c62c88p-2, -0x1.0603e00c418c2p-2, -0x1.042ee8d5632fep-2, -0x1.0259e376e88p-2, -0x1.0084de8d1d585p-2, -0x1.fd5fd1036c6cfp-3, -0x1.f9b61f17d459ep-3, -0x1.f60cc3613e9dp-3, -0x1.f263d98589ae8p-3, -0x1.eebb7cc7e4c45p-3, -0x1.eb13c80a6d3cdp-3, -0x1.e76cd5ced4ddap-3, -0x1.e3c6c03717e81p-3, -0x1.e021a105dcf99p-3, -0x1.dc7d919e68bb7p-3, -0x1.d8daab04450b7p-3, -0x1.d53905db91075p-3, -0x1.d198ba699d9eap-3, -0x1.cdf9e095cc1d9p-3, -0x1.ca5c8fe98e2ccp-3, -0x1.c6c0df97abf34p-3, -0x1.c326e67ba6a3ap-3, -0x1.bf8ebb00ea954p-3, -0x1.bbf873402b878p-3, -0x1.b8642513a187dp-3, -0x1.b4d1e5d3d9f17p-3, -0x1.b141ca8d0a15cp-3, -0x1.adb3e7f18e5e9p-3, -0x1.aa285259e264p-3, -0x1.a69f1dc641db6p-3, -0x1.a3185ddf64d3fp-3, -0x1.9f9425f6906d2p-3, -0x1.9c12890572c68p-3, -0x1.989399ad349f9p-3, -0x1.95176a3715ea1p-3, -0x1.919e0c93fd32fp-3, -0x1.8e27925d3d8bbp-3, -0x1.8ab40cd523475p-3, -0x1.87438cbdc095p-3, -0x1.83d62333f9794p-3, -0x1.806bdff990cd8p-3, -0x1.7d04d329d78e1p-3, -0x1.79a10c6276863p-3, -0x1.76409aebc4ed2p-3, -0x1.72e38db930311p-3, -0x1.6f89f3696efbfp-3, -0x1.6c33da46df516p-3, -0x1.68e150477dc31p-3, -0x1.65926313f3472p-3, -0x1.624720091055p-3, -0x1.5eff941b15ffep-3, -0x1.5bbbcbfd261edp-3, -0x1.587bd4287614dp-3, -0x1.553fb8a66f6bdp-3, -0x1.5207853aedbf6p-3, -0x1.4ed3455b0dc82p-3, -0x1.4ba3042afc2b4p-3, -0x1.4876cc7fa1d8ep-3, -0x1.454ea8dfc732ap-3, -0x1.422aa3854a8c5p-3, -0x1.3f0ac65e353f9p-3, -0x1.3bef1b0d7b6dp-3, -0x1.38d7aaeb5d9f7p-3, -0x1.35c47f057359ap-3, -0x1.32b5a01e8fd21p-3, -0x1.2fab16aeaf7a2p-3, -0x1.2ca4eae322368p-3, -0x1.29a3249f05a38p-3, -0x1.26a5cb7c085acp-3, -0x1.23ace6cb7d44cp-3, -0x1.20b87d97959dfp-3, -0x1.1dc896a4841d8p-3, -0x1.1add387166eefp-3, -0x1.17f66938e4445p-3, -0x1.15142ef187935p-3, -0x1.12368f4de05e8p-3, -0x1.0f5d8fbc9c98bp-3, -0x1.0c893568aaf3p-3, -0x1.09b9853967b92p-3, -0x1.06ee83d2520cep-3, -0x1.0428359a931f9p-3, -0x1.01669ebb062dfp-3, -0x1.fd538610ba9c9p-4, -0x1.f7e34c4cad977p-4, -0x1.f27c971dedef4p-4, -0x1.ed1f6cc75657ep-4, -0x1.e7cbd3250c3d2p-4, -0x1.e281cf9f82d69p-4, -0x1.dd41672659049p-4, -0x1.d80a9e2f54f2dp-4, -0x1.d2dd78df12abbp-4, -0x1.cdb9fa75e176dp-4, -0x1.c8a0265980d4cp-4, -0x1.c38fff1f13acfp-4, -0x1.be89870602a61p-4, -0x1.b98cbfe1bf518p-4, -0x1.b499ab1c0fbf9p-4, -0x1.afb049b6d0db6p-4, -0x1.aad09c4d4d777p-4, -0x1.a5faa3154d38ep-4, -0x1.a12e5ddfeebbfp-4, -0x1.9c6bcc1a7c71dp-4, -0x1.97b2eccf69131p-4, -0x1.9303bea77ddbdp-4, -0x1.8e5e3feb676c6p-4, -0x1.89c26e8588824p-4, -0x1.85304804011d5p-4, -0x1.80a7c99ac8d19p-4, -0x1.7c28f025beb8bp-4, -0x1.77b3b82aa6e9dp-4, -0x1.73481ddaf7be4p-4, -0x1.6ee61d153a5d9p-4, -0x1.6a8db1665d638p-4, -0x1.663ed60acb029p-4, -0x1.61f985eee428ap-4, -0x1.5dbdbbae9f635p-4, -0x1.598b719c8ba13p-4, -0x1.5562a1d724a22p-4, -0x1.514345e9dc52dp-4, -0x1.4d2d5758da722p-4, -0x1.4920cf5d77b77p-4, -0x1.451da6db5d27ap-4, -0x1.4123d66e72b91p-4, -0x1.3d33567badabbp-4, -0x1.394c1f26eccf6p-4, -0x1.356e2855725cp-4, -0x1.319969af934e3p-4, -0x1.2dcddaa1f004p-4, -0x1.2a0b725e8e3dcp-4, -0x1.265227ddf5954p-4, -0x1.22a1f1e058f9ap-4, -0x1.1efac6eee2d34p-4, -0x1.1b5c9d5d23a2bp-4, -0x1.17c76b4a9d79fp-4, -0x1.143b26a45f4a3p-4, -0x1.10b7c526a19a7p-4, -0x1.0d3d3c5e5f053p-4, -0x1.09cb81aadbd27p-4, -0x1.06628a3f1a91fp-4, -0x1.03024b233ae5p-4, -0x1.ff55726b7cd7ep-5, -0x1.f8b792597aae7p-5, -0x1.f22adf2e250ddp-5, -0x1.ebaf41bae2a52p-5, -0x1.e544a287072b1p-5, -0x1.deeae9d271a1ap-5, -0x1.d8a1ff9639171p-5, -0x1.d269cb0dc7001p-5, -0x1.cc42352c1379fp-5, -0x1.c62b23b0e1d4cp-5, -0x1.c0247e1251948p-5, -0x1.ba2e2b1680c7ep-5, -0x1.b4481149f4c68p-5, -0x1.ae72170437549p-5, -0x1.a8ac226a48372p-5, -0x1.a2f6197007f41p-5, -0x1.9d4fe1d803658p-5, -0x1.97b9616014cb6p-5, -0x1.92327d6b03794p-5, -0x1.8cbb1b40d72d5p-5, -0x1.87531ff996cd8p-5, -0x1.81fa70e67fcc7p-5, -0x1.7cb0f2ce1e5cp-5, -0x1.77768a7d97e1bp-5, -0x1.724b1ca5ddedap-5, -0x1.6d2e8dd764201p-5, -0x1.6820c284ea0d3p-5, -0x1.63219f05a99dcp-5, -0x1.5e310797fa3edp-5, -0x1.594ee0649861ep-5, -0x1.547b0d8285afap-5, -0x1.4fb572fb342c7p-5, -0x1.4afdf4ce785dp-5, -0x1.465476f5eacf7p-5, -0x1.41b8dd673a5f1p-5, -0x1.3d2b0c15368c7p-5, -0x1.38aae6ef84e6bp-5, -0x1.343851e138c14p-5, -0x1.2fd330ceb232dp-5, -0x1.2b7b67932fabap-5, -0x1.2730d9ff99647p-5, -0x1.22f36bd9a8a25p-5, -0x1.1ec300dd5817ep-5, -0x1.1a9f7cc009f81p-5, -0x1.1688c3357b4dfp-5, -0x1.127eb7f612f29p-5, -0x1.0e813ec5d2b73p-5, -0x1.0a903b7afa184p-5, -0x1.06ab9203626e9p-5, -0x1.02d32667bf65bp-5, -0x1.fe0db9986b24bp-6, -0x1.f68d32dc2a67bp-6, -0x1.ef24813e47763p-6, -0x1.e7d36d7e5782dp-6, -0x1.e099c069e2f6fp-6, -0x1.d97742cfe5c7dp-6, -0x1.d26bbd786e9ffp-6, -0x1.cb76f92285411p-6, -0x1.c498be895b13dp-6, -0x1.bdd0d670d3f87p-6, -0x1.b71f09b60a07cp-6, -0x1.b083216152f33p-6, -0x1.a9fce70db7849p-6, -0x1.a38c2459322bfp-6, -0x1.9d30a35a5d43cp-6, -0x1.96ea2e9ec0e43p-6, -0x1.90b891c121385p-6, -0x1.8a9b980813fdap-6, -0x1.84930d51d4ad4p-6, -0x1.7e9ebdfd9a947p-6, -0x1.78be756b6508p-6, -0x1.72f200aae4112p-6, -0x1.6d392b708bd06p-6, -0x1.6793c1bb7c11cp-6, -0x1.62018f65f6c62p-6, -0x1.5c82604090e38p-6, -0x1.5716003104d77p-6, -0x1.51bc3b593e68dp-6, -0x1.4c74de4331d38p-6, -0x1.473fb60aa80e9p-6, -0x1.421c907ff441dp-6, -0x1.3d0b3c3e8aad5p-6, -0x1.380b88b34024ap-6, -0x1.331d461086fabp-6, -0x1.2e404530e3122p-6, -0x1.2974576ab03c9p-6, -0x1.24b94e5a65241p-6, -0x1.200efbaa44412p-6, -0x1.1b7530df0eefcp-6, -0x1.16ebbf31274bap-6, -0x1.12727777d00ccp-6, -0x1.0e092a2a1bc8ep-6, -0x1.09afa775f4717p-6, -0x1.0565bf6b6ed95p-6, -0x1.012b423755232p-6, -0x1.fa0000cdd585ep-7, -0x1.f1c79659c805ap-7, -0x1.e9ace93fb4fcbp-7, -0x1.e1af9fd576cf1p-7, -0x1.d9cf62d160216p-7, -0x1.d20bdd5051cf5p-7, -0x1.ca64bca67d59bp-7, -0x1.c2d9affe6d9e9p-7, -0x1.bb6a67cf51848p-7, -0x1.b416953b3ac93p-7, -0x1.acdde968a6b1dp-7, -0x1.a5c014ecefd14p-7, -0x1.9ebcc75a78ed2p-7, -0x1.97d3af006055fp-7, -0x1.910478e106fecp-7, -0x1.8a4ed0d8894c9p-7, -0x1.83b26253ad7c2p-7, -0x1.7d2ed8c82b97p-7, -0x1.76c3dece4bff8p-7, -0x1.70712128ae55p-7, -0x1.6a364ee5c5c66p-7, -0x1.6413181c489c9p-7, -0x1.5e072fbc6cbd1p-7, -0x1.58124b7ffbe76p-7, -0x1.523423b691461p-7, -0x1.4c6c7305a138p-7, -0x1.46baf5f1ee82ap-7, -0x1.411f6a4314b6cp-7, -0x1.3b998e53ab1c4p-7, -0x1.36292064a12f3p-7, -0x1.30cdde0aed7b8p-7, -0x1.2b8783cb42735p-7, -0x1.2655ccefe58ecp-7, -0x1.2138739caf2f8p-7, -0x1.1c2f311928b72p-7, -0x1.1739be4330f03p-7, -0x1.1257d415c8774p-7, -0x1.0d892c31fe834p-7, -0x1.08cd8159c6ffap-7, -0x1.04248fd1a8c96p-7, -0x1.ff1c2f3bfc04cp-8, -0x1.f613a61767504p-8, -0x1.ed2f1415d4bccp-8, -0x1.e46dfd5dd3009p-8, -0x1.dbcfedd814b6ep-8, -0x1.d354745e6e651p-8, -0x1.cafb21f28c02dp-8, -0x1.c2c388b4358a8p-8, -0x1.baad3ac19f0cp-8, -0x1.b2b7c92da8bc3p-8, -0x1.aae2c337e2514p-8, -0x1.a32db5f414f1p-8, -0x1.9b982c7958835p-8, -0x1.9421b09a77547p-8, -0x1.8cc9cc05f10bdp-8, -0x1.85900994bbb28p-8, -0x1.7e73f68064d0dp-8, -0x1.77752343bdbe8p-8, -0x1.7093240457c86p-8, -0x1.69cd90888a5ep-8, -0x1.632403de39178p-8, -0x1.5c961be668039p-8, -0x1.562378f342d33p-8, -0x1.4fcbbd9019ac4p-8, -0x1.498e8e6945d2p-8, -0x1.436b923463507p-8, -0x1.3d62716c48b82p-8, -0x1.3772d5bc9606fp-8, -0x1.319c6907f0cccp-8, -0x1.2bded4b4dd336p-8, -0x1.2639c132f6cf3p-8, -0x1.20acd0e29573p-8, -0x1.1b37a5bc420c1p-8, -0x1.15d9dfeb3d34fp-8, -0x1.10931c2f44539p-8, -0x1.0b62f80aa96e4p-8, -0x1.0649135bb1ef2p-8, -0x1.014511a4ecfb1p-8, -0x1.f8ad35f1dbfa8p-9, -0x1.eefab7eb6cae1p-9, -0x1.e57209cbbc8e8p-9, -0x1.dc1290cceff0ap-9, -0x1.d2dbb42e4c29p-9, -0x1.c9ccdba65fc4ep-9, -0x1.c0e56f74c3cb9p-9, -0x1.b824d9f73933bp-9, -0x1.af8a8a0af16d9p-9, -0x1.a715f52e15537p-9, -0x1.9ec69860db075p-9, -0x1.969bf736ee715p-9, -0x1.8e9599280d492p-9, -0x1.86b305d1cc84ap-9, -0x1.7ef3c137075c1p-9, -0x1.7757490c655d4p-9, -0x1.6fdd13c7fc0cfp-9, -0x1.688491a127e08p-9, -0x1.614d2f2e078a3p-9, -0x1.5a3658f4c6a8dp-9, -0x1.533f7f1ef76f5p-9, -0x1.4c68187b763ccp-9, -0x1.45afa4106b9dfp-9, -0x1.3f15a8b5c848p-9, -0x1.3899b2a382ee3p-9, -0x1.323b4f79e73e8p-9, -0x1.2bfa09f77bc17p-9, -0x1.25d566e4c6212p-9, -0x1.1fcce4844821fp-9, -0x1.19dffd0173799p-9, -0x1.140e2ae24c15cp-9, -0x1.0e56f091338a5p-9, -0x1.08b9da40a6cb9p-9, -0x1.033680d28f16cp-9, -0x1.fb991395d50e3p-10, -0x1.f0f74356186f4p-10, -0x1.e686ed14b8d53p-10, -0x1.dc4765eee5bd6p-10, -0x1.d237f63db0707p-10, -0x1.c857d9da05eaep-10, -0x1.bea6453ed9a31p-10, -0x1.b5226cd0aa36fp-10, -0x1.abcb8b6fbfe2dp-10, -0x1.a2a0e69030517p-10, -0x1.99a1cf7db8401p-10, -0x1.90cda25d80d98p-10, -0x1.8823c37dbefbep-10, -0x1.7fa39b7442b2cp-10, -0x1.774c981303c0fp-10, -0x1.6f1e17578cd94p-10, -0x1.671770f0200bap-10, -0x1.5f37ef75fc85cp-10, -0x1.577ecd185c095p-10, -0x1.4feb3552f5e5dp-10, -0x1.487c552824f9p-10, -0x1.4131645f864ddp-10, -0x1.3a09afc2da423p-10, -0x1.33049df0ccce5p-10, -0x1.2c21ad1995186p-10, -0x1.25606a5fa2edbp-10, -0x1.1ec065832fa81p-10, -0x1.184124ce8a11ap-10, -0x1.11e21d78d68c9p-10, -0x1.0ba2b328104bp-10, -0x1.05823e448d0fep-10, -0x1.ff002c5340528p-11, -0x1.f33736b40093bp-11, -0x1.e7a87dee0da26p-11, -0x1.dc530c5463682p-11, -0x1.d136123155019p-11, -0x1.c650db16c3a91p-11, -0x1.bba2bd445e931p-11, -0x1.b12b08d7fadd3p-11, -0x1.a6e8fd0962f86p-11, -0x1.9cdbc623f3173p-11, -0x1.9302816765522p-11, -0x1.895c40f9dadf4p-11, -0x1.7fe80c32ae1b4p-11, -0x1.76a4dde65d486p-11, -0x1.6d91a658ebf5p-11, -0x1.64ad550447b6p-11, -0x1.5bf6e80315269p-11, -0x1.536d79402787cp-11, -0x1.4b10426e2dd2ap-11, -0x1.42de97de109edp-11, -0x1.3ad7dfe4a4424p-11, -0x1.32fb8ae8ae826p-11, -0x1.2b490b303ba2ep-11, -0x1.23bfca655c28fp-11, -0x1.1c5f1e1f5894p-11, -0x1.15263f44b2696p-11, -0x1.0e1447fdf4379p-11, -0x1.07283b2843edp-11, -0x1.00611684fe9ap-11, -0x1.f37bd67d03882p-12, -0x1.e67be2bbff5p-12, -0x1.d9c114f9a88bdp-12, -0x1.cd4a644d1d92ap-12, -0x1.c116cdd9e7699p-12, -0x1.b5253512187c7p-12, -0x1.a9741ae1f0bfbp-12, -0x1.9e031a434b43cp-12, -0x1.92d030a167f86p-12, -0x1.87daa2d11323fp-12, -0x1.7d21933b062aap-12, -0x1.72a4338cb245cp-12, -0x1.6861a57b30655p-12, -0x1.5e58f383cefbbp-12, -0x1.5488f1929d102p-12, -0x1.4af053e04b494p-12, -0x1.418debb3b877ap-12, -0x1.38608f275048cp-12, -0x1.2f66fbb37b422p-12, -0x1.269ffa65d2d5ap-12, -0x1.1e0a7d8e7d03dp-12, -0x1.15a5d23e0bdb3p-12, -0x1.0d71a4cd8b22ap-12, -0x1.056dc36c5e064p-12, -0x1.fb3381e446765p-13, -0x1.ebe9696446068p-13, -0x1.dcfa87a3a2ec9p-13, -0x1.ce63e11bb63e3p-13, -0x1.c022efdeec521p-13, -0x1.b235f3ad47dd4p-13, -0x1.a49babc263044p-13, -0x1.9752cdc579a1p-13, -0x1.8a59abdebb7dbp-13, -0x1.7dae322d08e09p-13, -0x1.714e18701e8efp-13, -0x1.6537197290ab3p-13, -0x1.59671defa1278p-13, -0x1.4ddc5e1bbe4adp-13, -0x1.42957ccfa1697p-13, -0x1.37919510e8e7fp-13, -0x1.2cd02cb10882bp-13, -0x1.225103c1fd7ep-13, -0x1.1813c7e045023p-13, -0x1.0e17c76a2f5bp-13, -0x1.045bced6f7a2ep-13, -0x1.f5bc91ac7fd1fp-14, -0x1.e33b00f533f24p-14, -0x1.d12f710581d49p-14, -0x1.bf96038bf9c08p-14, -0x1.ae6a719202527p-14, -0x1.9da92db889a65p-14, -0x1.8d50ed910703p-14, -0x1.7d62b0a881803p-14, -0x1.6ddfb3961304dp-14, -0x1.5ec70855bcffbp-14, -0x1.5014f4e0ff202p-14, -0x1.41c4891c295p-14, -0x1.33d1e66683bcap-14, -0x1.263b33e550f24p-14, -0x1.18ffb9c5e93f8p-14, -0x1.0c1e7aa7ec731p-14, -0x1.ff2b5a0227f83p-15, -0x1.e6c631f54f01fp-15, -0x1.cf0935f01832p-15, -0x1.b7f0a9bbd541bp-15, -0x1.a1792479db39ep-15, -0x1.8b9f1f35a5be7p-15, -0x1.765e9a4864f3ap-15, -0x1.61b30978360d1p-15, -0x1.4d979a5b58c98p-15, -0x1.3a07c655e35a5p-15, -0x1.26fff980ecbb9p-15, -0x1.147dfabb5fa9p-15, -0x1.0280c2db2dc34p-15, -0x1.e20ff65ae5942p-16, -0x1.c0260bb4a90b9p-16, -0x1.9f3fae080bbc9p-16, -0x1.7f504caf188fap-16, -0x1.60583563a98f4p-16, -0x1.424e1cbd81521p-16, -0x1.252aa99455cf8p-16, -0x1.08e3ef30bf33dp-16, -0x1.dae1f85c66d3fp-17, -0x1.a5a040c8eeaccp-17, -0x1.720c3c86889cep-17, -0x1.4029a8432b575p-17, -0x1.0fe91cc9053cep-17, -0x1.c25fee0037589p-18, -0x1.67d5ce2facd26p-18, -0x1.1029c060cd8edp-18, -0x1.76b565da99c72p-19, -0x1.a5713a4255e1dp-20, -0x1.a1762c248ef6p-22, 0x1.94608782a328fp-21, 0x1.f28537408b28fp-20, 0x1.886e02f7ebb84p-19, 0x1.09594854772b8p-18, 0x1.4c133ea04c52ap-18, 0x1.8c6fce9fd0cdp-18, 0x1.ca7a14cb7efebp-18, 0x1.031ed67125dbbp-17, 0x1.1fe386005623bp-17, 0x1.3b91f27b0fe41p-17, 0x1.5631be10975d7p-17, 0x1.6fcb5e61bdd9ep-17, 0x1.8867e1e69b88fp-17, 0x1.a010444844048p-17, 0x1.b6cc5e669cb52p-17, 0x1.cca205cc46b59p-17, 0x1.e1953c78d4347p-17, 0x1.f5a9810ef63d9p-17, 0x1.04718220c0eedp-16, 0x1.0da32d5bb6b99p-16, 0x1.166bb5a5e6b45p-16, 0x1.1ecd1dcf67202p-16, 0x1.26cb0b7e2068fp-16, 0x1.2e6a7a120f4b8p-16, 0x1.35adf34b1a61cp-16, 0x1.3c94dd25e6513p-16, 0x1.43209e200f4a2p-16, 0x1.49566bf3cd586p-16, 0x1.4f3a8fdb8c316p-16, 0x1.54cdeeefbc1c3p-16, 0x1.5a113d24aef8ep-16, 0x1.5f070c619a653p-16, 0x1.63b27d0b467fbp-16, 0x1.68160aa0b28b1p-16, 0x1.6c33967a1de9dp-16, 0x1.700cc9fdd6c9dp-16, 0x1.73a34d0585f28p-16, 0x1.76f8d21b8e772p-16, 0x1.7a0f1276c2076p-16, 0x1.7ce7c7f72d82cp-16, 0x1.7f84a9b426312p-16, 0x1.81e76c707d4cp-16, 0x1.8411cc7f1c48cp-16, 0x1.8605a37c3c46cp-16, 0x1.87c39ec0b31ffp-16, 0x1.894e7ec76f427p-16, 0x1.8aa85bd847359p-16, 0x1.8bd167e60cdeep-16, 0x1.8ccbb483f0ccbp-16, 0x1.8d98cc26a8c6fp-16, 0x1.8e39fb93cd29bp-16, 0x1.8eb0934b4d96dp-16, 0x1.8efd9c74ad122p-16, 0x1.8f2368698f33ep-16, 0x1.8f2246a94669bp-16, 0x1.8efbcb12f54aap-16, 0x1.8eb0c8358adfep-16, 0x1.8e423c2617a55p-16, 0x1.8db1c7c1fbc12p-16, 0x1.8d0159ffbc7d6p-16, 0x1.8c3203ebbf02ap-16, 0x1.8b445b69ef30ep-16, 0x1.8a392465f9a45p-16, 0x1.8910a8d1df168p-16, 0x1.87cc173222cecp-16, 0x1.866de3b9a7e5ep-16, 0x1.84f781e124aa3p-16, 0x1.83693a705c7d1p-16, 0x1.81c36147de2ep-16, 0x1.8006b02401a5fp-16, 0x1.7e3414488c9c4p-16, 0x1.7c4c80778bba5p-16, 0x1.7a50db76bef65p-16, 0x1.7841fd930b533p-16, 0x1.7620b2be66a4dp-16, 0x1.73edbd35a0cebp-16, 0x1.71a9d7d1b3ce7p-16, 0x1.6f55b7cdb69e3p-16, 0x1.6cf20ea02da73p-16, 0x1.6a7f8b65058bp-16, 0x1.67fedc1b02cfep-16, 0x1.6570af0e7ae52p-16, 0x1.62d5b5715bedfp-16, 0x1.602ea786bbc0bp-16, 0x1.5d7c49a67ccbcp-16, 0x1.5abf6f56f51dfp-16, 0x1.57f8fb0c99a33p-16, 0x1.5529daffa27dbp-16, 0x1.5252eb0ff5e9cp-16, 0x1.4f747e8bea3c4p-16, 0x1.4c8dd3583711cp-16, 0x1.499dcd2aba44ap-16, 0x1.46a4f616f6f29p-16, 0x1.43a554f36164p-16, 0x1.409f899b9adf1p-16, 0x1.3d9295d2f91f6p-16, 0x1.3a7fd225cb99bp-16, 0x1.376b8e299f827p-16, 0x1.34568b15feb7dp-16, 0x1.313cff27a977dp-16, 0x1.2e1d16819c8ccp-16, 0x1.2af6e1bf17ac5p-16, 0x1.27ce2adeddbb9p-16, 0x1.24a57ad28b0a2p-16, 0x1.217b5cf7b1401p-16, 0x1.1e4ec6d1dc25fp-16, 0x1.1b2022d5b7006p-16, 0x1.17ef73058985p-16, 0x1.14bd9af3a2b6cp-16, 0x1.118c1f5f9a704p-16, 0x1.0e59d3d83be34p-16, 0x1.0b27872ef9388p-16, 0x1.07f59d8939703p-16, 0x1.04c44886dc814p-16, 0x1.0193c239402dep-16, }}, 
      {{-0x1.c7a6d48b3acb6p-2, -0x1.1bef5c6cdc996p-2, -0x1.04db999edf392p-3, -0x1.8fc0286064e09p-6, 0x1.f36cdc1942ee5p-6, 0x1.814c81b356c2dp-5, 0x1.33c6006ba27e2p-5, 0x1.b18079a10dfecp-7, -0x1.1c4e637990f14p-6, -0x1.8acfb933a373p-5, -0x1.35bc012007cfcp-4, -0x1.90587912b6b4ep-4, -0x1.d2ccda45169f4p-4, -0x1.fe2891d56424ep-4, -0x1.0ac934bce03e5p-3, -0x1.0e9df2aa472f6p-3, -0x1.0cd20eca03951p-3, -0x1.078d69422e3fep-3, -0x1.00ba70cda3793p-3, -0x1.f3e5077dda856p-4, -0x1.e8ee2b4efe7p-4, -0x1.e266b949b23c6p-4, -0x1.e186a4a48fe0cp-4, -0x1.e6fb61096fd03p-4, -0x1.f2fe7ea1ac592p-4, -0x1.02b64ef47a53ap-3, -0x1.0eed9e1d7146cp-3, -0x1.1dd6399c4e2acp-3, -0x1.2f1019be61ebbp-3, -0x1.423167e5475e1p-3, -0x1.56cc70bf014ccp-3, -0x1.6c745873b4daap-3, -0x1.82c0afa23028ap-3, -0x1.99500d89ed842p-3, -0x1.afc9d575ef291p-3, -0x1.c5df4c011d7fbp-3, -0x1.db4c1e136003bp-3, -0x1.efd6786054c89p-3, -0x1.01a7652e4b3d8p-2, -0x1.0ac7a5a9f6818p-2, -0x1.133daa2439412p-2, -0x1.1aff4efab74c7p-2, -0x1.220637b3c161p-2, -0x1.284f637505fc8p-2, -0x1.2ddac24d421cdp-2, -0x1.32aacdee1f1e9p-2, -0x1.36c427a1e5372p-2, -0x1.3a2d3ca55c688p-2, -0x1.3cedf1961b7cep-2, -0x1.3f0f55492bc84p-2, -0x1.409b5b1a24c4ep-2, -0x1.419c9c93eb408p-2, -0x1.421e2231e88c4p-2, -0x1.422b32e32155ap-2, -0x1.41cf29e77fb4cp-2, -0x1.41155292f94e3p-2, -0x1.4008c979283bdp-2, -0x1.3eb46289b9568p-2, -0x1.3d2293a803e5dp-2, -0x1.3b5d635f5b166p-2, -0x1.396e5b4a81105p-2, -0x1.375e7dd4c70bep-2, -0x1.35363edb12675p-2, -0x1.32fd7ec691e1ap-2, -0x1.30bb87d2454e2p-2, -0x1.2e770d03b4328p-2, -0x1.2c362b1f5e80bp-2, -0x1.29fe6a9faeb83p-2, -0x1.27d4c3a2c5f8ep-2, -0x1.25bda2107e7dep-2, -0x1.23bceb5b15ec6p-2, -0x1.21d603ce67c51p-2, -0x1.200bd53cc7297p-2, -0x1.1e60d4e9b724ap-2, -0x1.1cd70a9ed52a7p-2, -0x1.1b7017529fb65p-2, -0x1.1a2d3c3b6f5f7p-2, -0x1.190f61e74203fp-2, -0x1.18171f05aca59p-2, -0x1.1744bf5a8515cp-2, -0x1.169849ff89ad8p-2, -0x1.161187d2c9ef1p-2, -0x1.15b0093457867p-2, -0x1.15732bd30d37bp-2, -0x1.155a1ffa6cfd8p-2, -0x1.1563edcbcee8p-2, -0x1.158f7a1d0b1e1p-2, -0x1.15db8b27300abp-2, -0x1.1646cce5d287p-2, -0x1.16cfd53897f67p-2, -0x1.177527b84a001p-2, -0x1.18353948312e1p-2, -0x1.190e73627f837p-2, -0x1.19ff371b651ffp-2, -0x1.1b05dff5107cbp-2, -0x1.1c20c65fc8cbep-2, -0x1.1d4e4213b44e6p-2, -0x1.1e8cac29c7fe2p-2, -0x1.1fda61028eaf2p-2, -0x1.2135c1fe51a7p-2, -0x1.229d370201d44p-2, -0x1.240f2fcf768b3p-2, -0x1.258a253989d9p-2, -0x1.270c9a23c3cdap-2, -0x1.28951c6919163p-2, -0x1.2a224596c8195p-2, -0x1.2bb2bb85a3db3p-2, -0x1.2d4530dd154b1p-2, -0x1.2ed865724329bp-2, -0x1.306b268cc876cp-2, -0x1.31fc4f1e457b6p-2, -0x1.338ac7db359afp-2, -0x1.3515874065066p-2, -0x1.369b9192864d1p-2, -0x1.381bf8c2f29f3p-2, -0x1.3995dc4729d94p-2, -0x1.3b0868f17b6dep-2, -0x1.3c72d8afa21cfp-2, -0x1.3dd472457b827p-2, -0x1.3f2c89066828bp-2, -0x1.407a7c7fe1c39p-2, -0x1.41bdb820bbc3p-2, -0x1.42f5b2db43846p-2, -0x1.4421eec988088p-2, -0x1.4541f8c8bb78cp-2, -0x1.4655680cece78p-2, -0x1.475bddc46a014p-2, -0x1.485504b0b3912p-2, -0x1.494090b3f5ecbp-2, -0x1.4a1e3e73b501dp-2, -0x1.4aedd2f689b5bp-2, -0x1.4baf1b345991p-2, -0x1.4c61ebb8219eap-2, -0x1.4d06204369b4cp-2, -0x1.4d9b9b68a8a62p-2, -0x1.4e224630cbb4dp-2, -0x1.4e9a0fc27aa8fp-2, -0x1.4f02ed06aeb09p-2, -0x1.4f5cd858c4e71p-2, -0x1.4fa7d1353d54cp-2, -0x1.4fe3dbe34ccd3p-2, -0x1.5011012e3191cp-2, -0x1.502f4e246654p-2, -0x1.503ed3c76b4a2p-2, -0x1.503fa6c6b2146p-2, -0x1.5031df4b67a24p-2, -0x1.501598bc6d6c9p-2, -0x1.4feaf17876348p-2, -0x1.4fb20aa34efbp-2, -0x1.4f6b07fbc3d4dp-2, -0x1.4f160fa4c8082p-2, -0x1.4eb349ee9e9afp-2, -0x1.4e42e131dc737p-2, -0x1.4dc501aa1d80ep-2, -0x1.4d39d94793ef3p-2, -0x1.4ca19785f62e8p-2, -0x1.4bfc6d52035c6p-2, -0x1.4b4a8ce7da2c7p-2, -0x1.4a8c29ac2f6fdp-2, -0x1.49c1780f09219p-2, -0x1.48eaad77ffba1p-2, -0x1.4808002f1ae4dp-2, -0x1.4719a7324cc6dp-2, -0x1.461fda27c2f35p-2, -0x1.451ad14e95902p-2, -0x1.440ac56bcb7e1p-2, -0x1.42efefac41691p-2, -0x1.41ca899176f6ep-2, -0x1.409acce911436p-2, -0x1.3f60f3c570ae5p-2, -0x1.3e1d38643e07ap-2, -0x1.3ccfd51957ea8p-2, -0x1.3b790447f77b2p-2, -0x1.3a1900615a3b4p-2, -0x1.38b003d667087p-2, -0x1.373e490255f9fp-2, -0x1.35c40a1ffe983p-2, -0x1.344181493440fp-2, -0x1.32b6e873bfa8cp-2, -0x1.31247962e18abp-2, -0x1.2f8a6d970bf2ep-2, -0x1.2de8fe49e493ep-2, -0x1.2c40646edf25dp-2, -0x1.2a90d8af79c9dp-2, -0x1.28da935ef4ep-2, -0x1.271dcc6dfc5a3p-2, -0x1.255abb689e90fp-2, -0x1.239197789e705p-2, -0x1.21c297621b9c1p-2, -0x1.1fedf1788369bp-2, -0x1.1e13db964ac72p-2, -0x1.1c348b1a34b2fp-2, -0x1.1a5034e99c7edp-2, -0x1.18670d70398ecp-2, -0x1.16794896ef45cp-2, -0x1.148719bc164cep-2, -0x1.1290b3b0d908ep-2, -0x1.109648bb3074dp-2, -0x1.0e980a968e569p-2, -0x1.0c962a6f4301fp-2, -0x1.0a90d8db0c1d3p-2, -0x1.088845d59edc7p-2, -0x1.067ca0c071085p-2, -0x1.046e1864d5828p-2, -0x1.025cdaf385167p-2, -0x1.004915ff390bdp-2, -0x1.fc65ecef997dp-3, -0x1.f8355150cb6b7p-3, -0x1.f400b07030413p-3, -0x1.efc8605ca78bdp-3, -0x1.eb8cb5d8529a4p-3, -0x1.e74e045bcd8fdp-3, -0x1.e30c9e0953034p-3, -0x1.dec8d3ad75981p-3, -0x1.da82f4bfea4d7p-3, -0x1.d63b4f661df61p-3, -0x1.d1f23074620b7p-3, -0x1.cda7e36736cd5p-3, -0x1.c95cb25f0dd1dp-3, -0x1.c510e61ebaad8p-3, -0x1.c0c4c60d46e74p-3, -0x1.bc789838df659p-3, -0x1.b82ca1580061p-3, -0x1.b3e124c78e165p-3, -0x1.af966487d6a2ep-3, -0x1.ab4ca13af3b8dp-3, -0x1.a7041a263a4c3p-3, -0x1.a2bd0d355cc74p-3, -0x1.9e77b6fc90cbcp-3, -0x1.9a3452b8cb039p-3, -0x1.95f31a50b2c6fp-3, -0x1.91b446525d926p-3, -0x1.8d780df4b96c3p-3, -0x1.893ea719b70c6p-3, -0x1.850846519020cp-3, -0x1.80d51edd12e18p-3, -0x1.7ca562afee865p-3, -0x1.78794270a0cddp-3, -0x1.7450ed7a17cdep-3, -0x1.702c91dd3338ap-3, -0x1.6c0c5c61e31dp-3, -0x1.67f0789337548p-3, -0x1.63d910b16c4c8p-3, -0x1.5fc64dc5e0accp-3, -0x1.5bb8579c67617p-3, -0x1.57af54c5ddf3dp-3, -0x1.53ab6a9d3b531p-3, -0x1.4facbd48c10dbp-3, -0x1.4bb36fbe2c714p-3, -0x1.47bfa3c6657b3p-3, -0x1.43d17a00f9e43p-3, -0x1.3fe911e7500abp-3, -0x1.3c0689cf7f441p-3, -0x1.3829feef68637p-3, -0x1.34538d601905ap-3, -0x1.30835021753aap-3, -0x1.2cb9611e32fd6p-3, -0x1.28f5d92fe1fbdp-3, -0x1.2538d022fa688p-3, -0x1.21825cba823e6p-3, -0x1.1dd294b27ce5cp-3, -0x1.1a298cc696866p-3, -0x1.168758b22f76ap-3, -0x1.12ec0b35720e6p-3, -0x1.0f57b61b5d00dp-3, -0x1.0bca6a3c34c41p-3, -0x1.0844378221c25p-3, -0x1.04c52ced31194p-3, -0x1.014d589708d17p-3, -0x1.fbb98f6d70795p-4, -0x1.f4e70d4976af6p-4, -0x1.ee2341be50cacp-4, -0x1.e76e421be0046p-4, -0x1.e0c8220e2c5d2p-4, -0x1.da30f3a59ae18p-4, -0x1.d3a8c75edbcd7p-4, -0x1.cd2fac2aa92fbp-4, -0x1.c6c5af75afc67p-4, -0x1.c06add3454899p-4, -0x1.ba1f3fd8c85b2p-4, -0x1.b3e2e0806f2f9p-4, -0x1.adb5c6d52f622p-4, -0x1.a797f92cad5adp-4, -0x1.a1897c8578846p-4, -0x1.9b8a54937b7c4p-4, -0x1.959a83c5908e4p-4, -0x1.8fba0b4f9b953p-4, -0x1.89e8eb309319bp-4, -0x1.8427223b735a2p-4, -0x1.7e74ae1ebd6c7p-4, -0x1.78d18b6ba4ebdp-4, -0x1.733db59d13413p-4, -0x1.6db9271ed0ebap-4, -0x1.6843d954e5d82p-4, -0x1.62ddc4a32cbf1p-4, -0x1.5d86e074eca8ep-4, -0x1.583f23445cfcdp-4, -0x1.530682a1d3892p-4, -0x1.4ddcf33a814p-4, -0x1.48c268dede07cp-4, -0x1.43b6d688fc175p-4, -0x1.3eba2e6300711p-4, -0x1.39cc61cde3ab9p-4, -0x1.34ed616866fa3p-4, -0x1.301d1d161d166p-4, -0x1.2b5b84057a3b4p-4, -0x1.26a884b63e60cp-4, -0x1.22040d01b8846p-4, -0x1.1d6e0a1dabd1bp-4, -0x1.18e6689feca1fp-4, -0x1.146d148a4b24ep-4, -0x1.1001f94b7bf2bp-4, -0x1.0ba501c675edbp-4, -0x1.075618589e097p-4, -0x1.031526df9c84bp-4, -0x1.fdc42d7dc9752p-5, -0x1.f579a1c9cff8dp-5, -0x1.ed4a7b9fe305ap-5, -0x1.e5368b25d37dp-5, -0x1.dd3d9fb401b4fp-5, -0x1.d55f87df0a734p-5, -0x1.cd9c1181b1d49p-5, -0x1.c5f309c71b9c4p-5, -0x1.be643d3b9390fp-5, -0x1.b6ef77b3c12c1p-5, -0x1.af94849b3918fp-5, -0x1.a8532eb7d32d8p-5, -0x1.a12b40539a38ap-5, -0x1.9a1c833e00399p-5, -0x1.9326c0d3607eep-5, -0x1.8c49c204befeap-5, -0x1.85854f5fd190ep-5, -0x1.7ed931174e214p-5, -0x1.78452f09e22d7p-5, -0x1.71c910c9fc516p-5, -0x1.6b649daadbd93p-5, -0x1.65179cbfeee83p-5, -0x1.5ee1d4e1c51c2p-5, -0x1.58c30cbe5dd31p-5, -0x1.52bb0ad6dad52p-5, -0x1.4cc9958727bf1p-5, -0x1.46ee730c7ba35p-5, -0x1.4129698b598a6p-5, -0x1.3b7a3f15c66dfp-5, -0x1.35e0b9b15e21dp-5, -0x1.305c9f5d31b2fp-5, -0x1.2aedb6173c937p-5, -0x1.2593c3e17fb45p-5, -0x1.204e8ec6aa451p-5, -0x1.1b1ddcde7ee63p-5, -0x1.160174522256bp-5, -0x1.10f91b604dfc2p-5, -0x1.0c049861b081bp-5, -0x1.0723b1cd5039fp-5, -0x1.02562e3d00806p-5, -0x1.fb37a8e37e5c4p-6, -0x1.f1e8d6afc8a24p-6, -0x1.e8bf74162468ep-6, -0x1.dfbb0fb3ae99p-6, -0x1.d6db3891f7646p-6, -0x1.ce1f7e2d367e7p-6, -0x1.c587707a0f728p-6, -0x1.bd129feb5058ap-6, -0x1.b4c09d77b2a71p-6, -0x1.ac90fa9ffbb72p-6, -0x1.a48349723f57fp-6, -0x1.9c971c90da78p-6, -0x1.94cc07411a80ep-6, -0x1.8d219d633e505p-6, -0x1.85977374ce77p-6, -0x1.7e2d1ea7e844bp-6, -0x1.76e234d8c29f4p-6, -0x1.6fb64c941a871p-6, -0x1.68a8fd1bb3bb2p-6, -0x1.61b9de69eacfcp-6, -0x1.5ae8892ed033p-6, -0x1.543496ea7021bp-6, -0x1.4d9da1c73c6ep-6, -0x1.472344c3d3d87p-6, -0x1.40c51ba365d1ap-6, -0x1.3a82c2f4931afp-6, -0x1.345bd814082adp-6, -0x1.2e4ff92f06ad7p-6, -0x1.285ec5457aea1p-6, -0x1.2287dc2bd6c01p-6, -0x1.1ccade8cc4883p-6, -0x1.17276dea87a05p-6, -0x1.119d2ca082439p-6, -0x1.0c2bbde475b7ap-6, -0x1.06d2c5c7f3082p-6, -0x1.0191e9399c9ccp-6, -0x1.f8d19c0d18cc7p-7, -0x1.eeae35b6e5f23p-7, -0x1.e4b8ee8b94b97p-7, -0x1.daf117695955ep-7, -0x1.d15602f359992p-7, -0x1.c7e705929259ap-7, -0x1.bea37576c54b4p-7, -0x1.b58aaa96b8545p-7, -0x1.ac9bfeb09db2ep-7, -0x1.a3d6cd4ab73e3p-7, -0x1.9b3a73b0d1d29p-7, -0x1.92c650ec415ep-7, -0x1.8a79c5ea5c7f6p-7, -0x1.825435451aa2p-7, -0x1.7a55035e7e915p-7, -0x1.727b96656cf68p-7, -0x1.6ac756503401ep-7, -0x1.6337acd5cb294p-7, -0x1.5bcc05715d819p-7, -0x1.5483cd60bfaep-7, -0x1.4d5e73a2a7e2ep-7, -0x1.465b68f4fdd5p-7, -0x1.3f7a1fd303d1ap-7, -0x1.38ba0c737be51p-7, -0x1.321aa4c6ae777p-7, -0x1.2b9b60748358dp-7, -0x1.253bb8da8c96fp-7, -0x1.1efb290a0d85ap-7, -0x1.18d92dc5d66eep-7, -0x1.12d545802b60ap-7, -0x1.0ceef0584fc87p-7, -0x1.0725b0180e421p-7, -0x1.017908310495bp-7, -0x1.f7d0fb73ad53p-8, -0x1.ece72ed6c05cfp-8, -0x1.e233bb3ba1d24p-8, -0x1.d7b5b48ba908fp-8, -0x1.cd6c31e3c30a4p-8, -0x1.c3564d8ee3b72p-8, -0x1.b9732500a0dep-8, -0x1.afc1d8cffb798p-8, -0x1.a6418cd58062bp-8, -0x1.9cf1676a5054fp-8, -0x1.93d092d852ddp-8, -0x1.8ade3bdd5f4bcp-8, -0x1.8219925aa8eb2p-8, -0x1.7981c92abb8dap-8, -0x1.711616190cec7p-8, -0x1.68d5b1db591bbp-8, -0x1.60bfd80bc887fp-8, -0x1.58d3c724dfe99p-8, -0x1.5110c06b8474dp-8, -0x1.4976080e24926p-8, -0x1.4202e506a7805p-8, -0x1.3ab6a11e0f50ap-8, -0x1.339088bb03e24p-8, -0x1.2c8feb2987454p-8, -0x1.25b41a568ee41p-8, -0x1.1efc6ad3aa925p-8, -0x1.186833ce5a878p-8, -0x1.11f6cf04bd4d8p-8, -0x1.0ba798bc7efe4p-8, -0x1.0579efbb6134p-8, -0x1.feda6a8445edcp-9, -0x1.f3019a12d8167p-9, -0x1.e7683a7ff634dp-9, -0x1.dc0d1d132956p-9, -0x1.d0ef17fa1d549p-9, -0x1.c60d06414777ap-9, -0x1.bb65c7c79c1efp-9, -0x1.b0f8412b51837p-9, -0x1.a6c35bb10540ep-9, -0x1.9cc60525f5fecp-9, -0x1.92ff2fc068b86p-9, -0x1.896dd2005343cp-9, -0x1.8010e694e897ep-9, -0x1.76e76c4883f12p-9, -0x1.6df065f563226p-9, -0x1.652ada838a26bp-9, -0x1.5c95d4edf3211p-9, -0x1.5430644cb6103p-9, -0x1.4bf99be043cafp-9, -0x1.43f0931970b57p-9, -0x1.3c1465999dd97p-9, -0x1.346433295a2bcp-9, -0x1.2cdf1fa1f1147p-9, -0x1.258452cced68fp-9, -0x1.1e52f839dfa88p-9, -0x1.174a3f1012c31p-9, -0x1.106959e0fe971p-9, -0x1.09af7e813d54ap-9, -0x1.031be5ecc44e4p-9, -0x1.f95b987303b82p-10, -0x1.ecc8e1340bed7p-10, -0x1.e07e2addecb4p-10, -0x1.d47a00c844cf5p-10, -0x1.c8baf4e0047aap-10, -0x1.bd3fa06813339p-10, -0x1.b206a3d095e52p-10, -0x1.a70ea6cad2398p-10, -0x1.9c5657b31dc55p-10, -0x1.91dc6c6587cb1p-10, -0x1.879fa108a3b6ap-10, -0x1.7d9eb79d293ebp-10, -0x1.73d8783ea300fp-10, -0x1.6a4baf0d2cb0fp-10, -0x1.60f72d6c7abf5p-10, -0x1.57d9c8c8de868p-10, -0x1.4ef25abf53dccp-10, -0x1.463fc13075b5p-10, -0x1.3dc0de855394bp-10, -0x1.35749a163c1bdp-10, -0x1.2d59e0a493d34p-10, -0x1.256fa4d2e75e4p-10, -0x1.1db4df894be44p-10, -0x1.1628903273903p-10, -0x1.0ec9bcc4b86a9p-10, -0x1.0797718feb93fp-10, -0x1.0090c0d0390b8p-10, -0x1.f369841faeadfp-11, -0x1.e60522cfb34f4p-11, -0x1.d8f29d6dd82acp-11, -0x1.cc3039cd41a99p-11, -0x1.bfbc42ad5e7bp-11, -0x1.b39507021adf8p-11, -0x1.a7b8d9c4cbe61p-11, -0x1.9c261250b7e88p-11, -0x1.90db0d3e4f3fep-11, -0x1.85d62d9f8fb4ap-11, -0x1.7b15de7498a7cp-11, -0x1.70989428beec1p-11, -0x1.665ccde6cb8b4p-11, -0x1.5c611698322bp-11, -0x1.52a405689ef7ep-11, -0x1.49243db66e31ap-11, -0x1.3fe06e6759dcdp-11, -0x1.36d750ae61d18p-11, -0x1.2e07a65f9275bp-11, -0x1.25703802c2563p-11, -0x1.1d0fd2ddc7ba2p-11, -0x1.14e5473278cf3p-11, -0x1.0cef66e4fdf5p-11, -0x1.052d04b1595c3p-11, -0x1.fb39e808bead1p-12, -0x1.ec7c12f0f023p-12, -0x1.de1e371d244ecp-12, -0x1.d01e0831f5e1dp-12, -0x1.c279460e9e134p-12, -0x1.b52dbc31da303p-12, -0x1.a8394565d82e1p-12, -0x1.9b99d0ee4cdb1p-12, -0x1.8f4d61ae7bd0ep-12, -0x1.83520f011553bp-12, -0x1.77a6045ae079p-12, -0x1.6c477f9408e42p-12, -0x1.6134ce4bbc9cbp-12, -0x1.566c4aa4d06e6p-12, -0x1.4bec57b8b4817p-12, -0x1.41b35e2b906eep-12, -0x1.37bfc94b21795p-12, -0x1.2e10051199acfp-12, -0x1.24a27d3e3c7a3p-12, -0x1.1b759d9089aa9p-12, -0x1.1287d2fe5ee2bp-12, -0x1.09d78da326817p-12, -0x1.01634309abbeap-12, -0x1.f252e0fac986ap-13, -0x1.e2513a2eae6e7p-13, -0x1.d2beb6be64b1bp-13, -0x1.c39890a83cec8p-13, -0x1.b4dc2c62b825p-13, -0x1.a686f025e7115p-13, -0x1.98966c2929af5p-13, -0x1.8b0843b9af995p-13, -0x1.7dda2ecb6ef77p-13, -0x1.7109f626d752ep-13, -0x1.64956f178b3adp-13, -0x1.587a76f38c044p-13, -0x1.4cb6ef15c8a6cp-13, -0x1.4148b9eba776p-13, -0x1.362db9abe4497p-13, -0x1.2b63d1045e3f5p-13, -0x1.20e8e5b1f646dp-13, -0x1.16bae47febd1ap-13, -0x1.0cd7c5d70a738p-13, -0x1.033d91d8be735p-13, -0x1.f3d4c65765d8fp-14, -0x1.e1b8d0066b67cp-14, -0x1.d023c2e9aa28cp-14, -0x1.bf12434bccb8ap-14, -0x1.ae81132415e17p-14, -0x1.9e6d0e3d8b277p-14, -0x1.8ed327b06e13p-14, -0x1.7fb0688ff813ep-14, -0x1.7101eef711aefp-14, -0x1.62c4ec5aaa5cp-14, -0x1.54f6a244569f3p-14, -0x1.47945d54163ffp-14, -0x1.3a9b6d6bd6f53p-14, -0x1.2e091d22cf906p-14, -0x1.21daba7f462d4p-14, -0x1.160d83166d0afp-14, -0x1.0a9ead0c938f7p-14, -0x1.ff16ef0906facp-15, -0x1.e9a25ad2cbda5p-15, -0x1.d4da62ffbe145p-15, -0x1.c0ba10b380f0bp-15, -0x1.ad3cb9415dd12p-15, -0x1.9a5dfb6034eadp-15, -0x1.8819b201c0d1ap-15, -0x1.766be15140de7p-15, -0x1.6550a44316006p-15, -0x1.54c420c5c244p-15, -0x1.44c28610a2924p-15, -0x1.354814877ff66p-15, -0x1.26512b1fc4348p-15, -0x1.17da541f85b21p-15, -0x1.09e04b418e3ddp-15, -0x1.f8bff39614956p-16, -0x1.deacd1745b52ap-16, -0x1.c58159aa1847p-16, -0x1.ad37a51f93781p-16, -0x1.95c99f8073d3fp-16, -0x1.7f30fe41a2157p-16, -0x1.69674cfc85c59p-16, -0x1.54660b0938ce8p-16, -0x1.4026d265b47b9p-16, -0x1.2ca37e7988a76p-16, -0x1.19d649e424d8ep-16, -0x1.07b9dbe7a7e05p-16, -0x1.ec928215a2924p-17, -0x1.caff9e177f1d3p-17, -0x1.aab1f4643f49p-17, -0x1.8ba050697adbdp-17, -0x1.6dc11f235073ap-17, -0x1.510a5fc3f7f2fp-17, -0x1.3571cf4555618p-17, -0x1.1aed462977dep-17, -0x1.0173163b5a6c4p-17, -0x1.d1f4f4bf1bb08p-18, -0x1.a2f7722c27d58p-18, -0x1.75e00aa8e591cp-18, -0x1.4aa27b4dc6706p-18, -0x1.21330414fbf66p-18, -0x1.f30b52379d98ap-19, -0x1.a71b8655bd1bdp-19, -0x1.5e7bf58ef7a1bp-19, -0x1.1911387936261p-19, -0x1.ad80565fe0118p-20, -0x1.2eddacb98fcfdp-20, -0x1.6c140c8cbe07cp-21, -0x1.0b6347d89f6f1p-22, 0x1.56f78bd9d61e4p-23, 0x1.2686e8ae7ea8bp-21, 0x1.ecf2505d61c96p-21, 0x1.54a5327cb5eccp-20, 0x1.adebf4431830dp-20, 0x1.013aa8101266bp-19, 0x1.2936854e1d28ep-19, 0x1.4f0116666dd58p-19, 0x1.72b2941d66371p-19, 0x1.946364509ee67p-19, 0x1.b42a788ea0bcap-19, 0x1.d21c2c54c8dp-19, 0x1.ee49be3c6679ep-19, 0x1.0460c6eea47f5p-18, 0x1.10c8055e76ec3p-18, 0x1.1c6085069739bp-18, 0x1.27308a9659191p-18, 0x1.313f1e75113adp-18, 0x1.3a9414bed6cc9p-18, 0x1.4337b86fac0ap-18, 0x1.4b324346fe38cp-18, 0x1.528b56ebbb7ebp-18, 0x1.59499c3334934p-18, 0x1.5f7298c9ea906p-18, 0x1.650ac0263b06ap-18, 0x1.6a15be806c9a7p-18, 0x1.6e96ed1ef1ap-18, 0x1.7291ca5e73c88p-18, 0x1.760a49baf7fa8p-18, 0x1.7904e622c8b67p-18, 0x1.7b86857e5475p-18, 0x1.7d9452b5698a9p-18, 0x1.7f33a9c0ce2fdp-18, 0x1.806a127cb7b72p-18, 0x1.813d2df31e072p-18, 0x1.81b27f94072afp-18, 0x1.81cf1d152b4dp-18, 0x1.81976e147fee7p-18, 0x1.810f1f9336b39p-18, 0x1.8039484ac2708p-18, 0x1.7f189cb46e163p-18, 0x1.7daf9ae046acbp-18, 0x1.7c00b2d048cafp-18, 0x1.7a0e784fd0005p-18, 0x1.77dbd9b7c15c9p-18, 0x1.756c49a743c0dp-18, 0x1.72c3c8f31c79ep-18, 0x1.6fe6c1005a58bp-18, 0x1.6cd9a6259eac2p-18, 0x1.69a077e7ab47dp-18, 0x1.663e5b0df756p-18, 0x1.62b58c3168b5ep-18, 0x1.5f07b37493b62p-18, 0x1.5b365f35adc72p-18, 0x1.5743584423974p-18, 0x1.53302a14b138cp-18, 0x1.4f008afc76ffep-18, 0x1.4ab4e5f323b01p-18, 0x1.464f6a0693d06p-18, 0x1.41d173738e9d5p-18, 0x1.3d3c371b21958p-18, 0x1.3890fabfd0fb7p-18, 0x1.33d1706e97c6bp-18, 0x1.2eff60493a92p-18, 0x1.2a1c893364a56p-18, 0x1.252ae83794f1dp-18, 0x1.202c621b0a482p-18, 0x1.1b22a7bac52b8p-18, 0x1.160f8cd7d6a73p-18, 0x1.10f49582cb68ap-18, 0x1.0bd29366156ebp-18, 0x1.06a999c14a4b6p-18, 0x1.0179723e3dd7cp-18, 0x1.f884a403974a7p-19, 0x1.ee0aaf9287b83p-19, 0x1.e388f53cd2747p-19, 0x1.d903de7b136fp-19, 0x1.ce7ee2f091ca9p-19, 0x1.c3fbf0220b507p-19, 0x1.b97bf9c6f88b9p-19, 0x1.af000a8d52f02p-19, 0x1.a489f17e002a9p-19, 0x1.9a1c3cea430b6p-19, 0x1.8fb9ccc933588p-19, 0x1.85655e971e23dp-19, 0x1.7b213cbc0bf7fp-19, 0x1.70ef0dc1c066ep-19, 0x1.66cfb9d77fb98p-19, 0x1.5cc36acedd842p-19, 0x1.52c9b2faaef88p-19, 0x1.48e1e0a350b89p-19, 0x1.3f0b6fadb6a77p-19, 0x1.35467139de68cp-19, 0x1.2b93b20411637p-19, 0x1.21f482cd7de3p-19, 0x1.186a550c2d54ep-19, 0x1.0ef6986fd9e32p-19, 0x1.059af78bd5ff6p-19, 0x1.f8b2c5e7a48d8p-20, 0x1.e666a500dea25p-20, 0x1.d451774cad0b6p-20, 0x1.c27012cdfc597p-20, 0x1.b0bef5d41cceap-20, 0x1.9f3d7f38dab04p-20, 0x1.8deec1593c7b2p-20, 0x1.7cd758926d879p-20, 0x1.6bfa5761bec4fp-20, 0x1.5b5805633c13fp-20, 0x1.4aef237b5d346p-20, 0x1.3abeddf5f2329p-20, 0x1.2ac788b175a63p-20, 0x1.1b0a1fb13779p-20, 0x1.0b879227e60fap-20, 0x1.f880f1438eff5p-21, 0x1.da6a601d1b5f5p-21, 0x1.bccc31c477bd1p-21, 0x1.9fa78eb91dca2p-21, 0x1.82fe16b8492e2p-21, 0x1.66d192dc6ab0dp-21, 0x1.4b23623c6485ap-21, 0x1.2ff3dcc8abdfap-21, 0x1.1541f7a5b8ea1p-21, 0x1.f616aebad4f6cp-22, 0x1.c29b62c634ep-22, 0x1.90102172522c2p-22, 0x1.5e71e8a89e3eap-22, 0x1.2db7d7926627bp-22, 0x1.fbe0ac9f9e167p-23, 0x1.9e2b7e4b25277p-23, 0x1.425225976b1c9p-23, 0x1.d0b4a33f3a338p-24, 0x1.208fdb6ddc06p-24, 0x1.d09b7e5bd73a1p-26, -0x1.a54ca15afaee2p-27, -0x1.b3f68c8cb072ap-25, -0x1.7bc9971737336p-24, -0x1.0cff51d64ad33p-23, -0x1.5a48939aa6d2p-23, -0x1.a5c7a31dd3d0fp-23, -0x1.ef872f198f1a3p-23, -0x1.1bc69652a3399p-22, -0x1.3eed7cf76193p-22, -0x1.6138b7b59239dp-22, -0x1.82a99236ed352p-22, -0x1.a3422ff8c40a3p-22, -0x1.c3052555888fp-22, -0x1.e1f52888f6c81p-22, -0x1.000a76168081p-21, -0x1.0eb388ac1a7b1p-21, -0x1.1cf70fe56cf72p-21, -0x1.2ad63da02730ap-21, -0x1.38522a6e1f6d2p-21, -0x1.456bcf10d42a9p-21, -0x1.5224036b99986p-21, -0x1.5e7b8965490a3p-21, -0x1.6a7328afc51bep-21, -0x1.760bd64ced9fcp-21, -0x1.8146d263fbcc8p-21, -0x1.8c259aa6ecf3dp-21, -0x1.96a9be5a83f9ep-21, -0x1.a0d4a7dbb3c1p-21, -0x1.aaa79d0e3389ap-21, -0x1.b423df6aa1bafp-21, -0x1.bd4ab11ef0954p-21, -0x1.c61d1f1ccf1adp-21, -0x1.ce9c0321046dfp-21, -0x1.d6c88e2a30477p-21, -0x1.dea463a68472fp-21, -0x1.e630d39b5d382p-21, -0x1.ed6e9b0cb8cf7p-21, -0x1.f45ea5929349cp-21, -0x1.fb026b9c2553dp-21, -0x1.00adb480db546p-20, -0x1.03b562ff27c8cp-20, -0x1.0698c68d863ffp-20, -0x1.09586ec00a716p-20, -0x1.0bf4f51d4bab7p-20, -0x1.0e6ef59151f17p-20, -0x1.10c70a3f2a8f9p-20, -0x1.12fdca9a67f86p-20, -0x1.1513cbc826ec8p-20, -0x1.1709a12e8d53ep-20, -0x1.18dfdcfa03f6ap-20, -0x1.1a97113af9aap-20, -0x1.1c2fd635bc059p-20, -0x1.1daad8b9e098bp-20, -0x1.1f07f8516a767p-20, -0x1.20488298f95eep-20, -0x1.216d596b3239bp-20, -0x1.227613c0ebdbfp-20, -0x1.23639f343767cp-20, -0x1.243698906aep-20, -0x1.24ef7d3bc8179p-20, -0x1.258ed20960b1cp-20, -0x1.2614fc90247e9p-20, -0x1.2682e18e2bbb9p-20, -0x1.26d899c9dd26ep-20, -0x1.2716d552c9929p-20, -0x1.273e0c1c1f79fp-20, -0x1.274ebb58a1077p-20, -0x1.274963f71b2f9p-20, -0x1.272e8809a267bp-20, -0x1.26fea235e68d8p-20, -0x1.26ba2882b0973p-20, -0x1.2661912ea08ep-20, -0x1.25f54dfa107e5p-20, -0x1.2575d5fc7e398p-20, -0x1.24e3a85368019p-20, -0x1.243f3bb001599p-20, -0x1.2388fd18bc7bap-20, -0x1.22c1588df0c12p-20, -0x1.21e8bb85d2238p-20, -0x1.20ff9377f4407p-20, -0x1.20064c9075fe1p-20, -0x1.1efd5138a6d1p-20, -0x1.1de50a0fbc286p-20, -0x1.1cbdde0582cb1p-20, -0x1.1b883275b076fp-20, -0x1.1a446b4a531dfp-20, -0x1.18f2eb111061bp-20, -0x1.179413309d0f8p-20, -0x1.162844054aa62p-20, -0x1.14afdcf60d2c3p-20, -0x1.132b3c80e37c7p-20, -0x1.119ac05cf1322p-20, -0x1.0ffec5af6cf1ep-20, -0x1.0e57a97a9ab4cp-20, -0x1.0ca5c91f94ac2p-20, -0x1.0ae98281c6aa9p-20, -0x1.092333d746623p-20, -0x1.0753397ed4e81p-20, -0x1.0579e3961dc97p-20, -0x1.039766ae24e38p-20, -0x1.01abe9a8f4d27p-20, -0x1.ff6f72710d2b6p-21, -0x1.fb7694e27c461p-21, -0x1.f76ddc6d168b5p-21, -0x1.f35589f69ecccp-21, -0x1.ef2e63dc83a04p-21, -0x1.eaf9ecb2a0f5p-21, -0x1.e6b8cf80f40bfp-21, -0x1.e26a9341390b8p-21, -0x1.de0f334648f98p-21, -0x1.d9a71f1002dbbp-21, -0x1.d533b4e8df678p-21, -0x1.d0b602e071c53p-21, -0x1.cc2e16c147027p-21, -0x1.c79c1e929e536p-21, -0x1.c300c5ac55e15p-21, -0x1.be5bc3a584c76p-21, -0x1.b9ae0cf5ed471p-21, -0x1.b4f9918b96597p-21, -0x1.b03cc3ba7c421p-21, -0x1.ab78c2e5c6a1ap-21, -0x1.a6ae28363414dp-21, -0x1.a1dd4b4703d73p-21, -0x1.9d06916cf0647p-21, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      {{0x1.736454af527ep-2, 0x1.7342479166884p-2, 0x1.7311ec2727c68p-2, 0x1.72dd76591d71p-2, 0x1.72afc8fbfee26p-2, 0x1.7292df86bf13dp-2, 0x1.728ed25d6fca3p-2, 0x1.72a962237dfa9p-2, 0x1.72e5e460215b1p-2, 0x1.73456d40e7634p-2, 0x1.73c71afc09c27p-2, 0x1.7468708b5e5ddp-2, 0x1.7525b48f5f44ap-2, 0x1.75fa4dbfac0bap-2, 0x1.76e118f51905p-2, 0x1.77d4b65097e5ap-2, 0x1.78cfcbe2d4421p-2, 0x1.79cd3cde6b334p-2, 0x1.7ac854f3d762dp-2, 0x1.7bbce803c061cp-2, 0x1.7ca766d48a6d6p-2, 0x1.7d84e9e105152p-2, 0x1.7e5333a0c8946p-2, 0x1.7f10abd469628p-2, 0x1.7fbc556a22f5cp-2, 0x1.8055c07fa6af5p-2, 0x1.80dcf9e2488a7p-2, 0x1.8152793e7c32ap-2, 0x1.81b70ef934034p-2, 0x1.820bd2763dadp-2, 0x1.8252115a7c6a9p-2, 0x1.828b402a14d8cp-2, 0x1.82b8ec7b41457p-2, 0x1.82dcb0d6a0526p-2, 0x1.82f82a4589c64p-2, 0x1.830cef7d7d08dp-2, 0x1.831c898c353eap-2, 0x1.83286de135223p-2, 0x1.8331f98ebb2d7p-2, 0x1.833a6d9be5bcbp-2, 0x1.8342ec43a810dp-2, 0x1.834c76ff2bb55p-2, 0x1.8357ed3ddea17p-2, 0x1.83660bb13d78ep-2, 0x1.83776c161ed82p-2, 0x1.838c8568a9a9dp-2, 0x1.83a5ac731484fp-2, 0x1.83c314a9cce19p-2, 0x1.83e4d149a6325p-2, 0x1.840ad6ae4de9ap-2, 0x1.8434fbd877823p-2, 0x1.8462fc1c14d15p-2, 0x1.849478efa8105p-2, 0x1.84c8fbd62698dp-2, 0x1.84fff85d576bap-2, 0x1.8538ce2ad1c66p-2, 0x1.8572cb1209eeep-2, 0x1.85ad2d2e29f5fp-2, 0x1.85e724fa9ede4p-2, 0x1.861fd765b408fp-2, 0x1.86565fd8cff9ap-2, 0x1.8689d23257da9p-2, 0x1.86b93cada7667p-2, 0x1.86e3a9b5f0e6ep-2, 0x1.870821a1548a4p-2, 0x1.8725ac51f9ec6p-2, 0x1.873b52bb5e051p-2, 0x1.8748204a90ea4p-2, 0x1.874b243077a8dp-2, 0x1.8743728da6e45p-2, 0x1.8730257fbe0d6p-2, 0x1.87105e108fb5p-2, 0x1.86e34507a49b3p-2, 0x1.86a80b9f06869p-2, 0x1.865dec1c61602p-2, 0x1.86042a4fcda98p-2, 0x1.859a13f9b942ep-2, 0x1.851f011980eb6p-2, 0x1.8492542666dbdp-2, 0x1.83f37a349cf66p-2, 0x1.8341eb0820834p-2, 0x1.827d2917256f6p-2, 0x1.81a4c17dcbef6p-2, 0x1.80b84be4c3395p-2, 0x1.7fb76a5c8460cp-2, 0x1.7ea1c92ea0028p-2, 0x1.7d771ea69f932p-2, 0x1.7c372ad3cdd8ap-2, 0x1.7ae1b745314a5p-2, 0x1.797696c0db0cep-2, 0x1.77f5a4f7a1d23p-2, 0x1.765ec636368a8p-2, 0x1.74b1e71473a5fp-2, 0x1.72eefc23a7178p-2, 0x1.7116019c822e9p-2, 0x1.6f26fb0d43efcp-2, 0x1.6d21f30898a01p-2, 0x1.6b06fad59f1a9p-2, 0x1.68d62a2162a9ap-2, 0x1.668f9eb21c83ap-2, 0x1.64337c1c639e5p-2, 0x1.61c1eb7a86aa2p-2, 0x1.5f3b1b261e479p-2, 0x1.5c9f3e73f32bbp-2, 0x1.59ee8d723d0bp-2, 0x1.572944a93e3f7p-2, 0x1.544fa4de30bap-2, 0x1.5161f2d8812c8p-2, 0x1.4e607729403a7p-2, 0x1.4b4b7df4bcf04p-2, 0x1.482356be2b08dp-2, 0x1.44e8543542fap-2, 0x1.419acc05bf31p-2, 0x1.3e3b16a89cfcdp-2, 0x1.3ac98f37048fep-2, 0x1.3746933ec1abep-2, 0x1.33b2829833037p-2, 0x1.300dbf3d942d5p-2, 0x1.2c58ad2392531p-2, 0x1.2893b2130c618p-2, 0x1.24bf3583f50dcp-2, 0x1.20dba0793eefdp-2, 0x1.1ce95d5dbfc7ep-2, 0x1.18e8d7e205386p-2, 0x1.14da7cdb02c31p-2, 0x1.10beba2198281p-2, 0x1.0c95fe72e0c37p-2, 0x1.0860b951431bbp-2, 0x1.041f5ae64113p-2, 0x1.ffa4a7c9fa97ep-3, 0x1.f6f42adae558ap-3, 0x1.ee2e21e0c0656p-3, 0x1.e5537027c5091p-3, 0x1.dc64f9317f368p-3, 0x1.d363a080b94bep-3, 0x1.ca504966da264p-3, 0x1.c12bd6d295dbcp-3, 0x1.b7f72b2016eeap-3, 0x1.aeb327ea89fbep-3, 0x1.a560addf23a58p-3, 0x1.9c009c919b70ap-3, 0x1.9293d25225452p-3, 0x1.891b2c04efb72p-3, 0x1.7f9784fb2b7f5p-3, 0x1.7609b6cda32cbp-3, 0x1.6c729938e06b6p-3, 0x1.62d301faf0788p-3, 0x1.592bc4b2bd34cp-3, 0x1.4f7db2c106455p-3, 0x1.45c99b2afce62p-3, 0x1.3c104a7e79a25p-3, 0x1.32528ab7d924p-3, 0x1.289123297ad4bp-3, 0x1.1eccd864d5deep-3, 0x1.15066c2537ea9p-3, 0x1.0b3e9d3c12507p-3, 0x1.0176277ee1331p-3, 0x1.ef5b876d51f1bp-4, 0x1.dbcc4f21e4cf6p-4, 0x1.c8400b24adf29p-4, 0x1.b4b81a150609fp-4, 0x1.a135d41356374p-4, 0x1.8dba8aaeec826p-4, 0x1.7a4788d681e9cp-4, 0x1.66de12cb7c16dp-4, 0x1.537f6617c6793p-4, 0x1.402cb986337acp-4, 0x1.2ce73d1d4ab42p-4, 0x1.19b01a1c71aa4p-4, 0x1.068872fb4e01p-4, 0x1.e6e2c6d6a83dp-5, 0x1.c0d800b6ba9ccp-5, 0x1.9af2affa67f23p-5, 0x1.7534e399f3ef5p-5, 0x1.4fa09d349f5c1p-5, 0x1.2a37d1263aa04p-5, 0x1.04fc669fda81bp-5, 0x1.bfe06f86cc836p-6, 0x1.762a2383c69bdp-6, 0x1.2cd969f87b8f3p-6, 0x1.c7e354997113bp-7, 0x1.36ec65b1522c4p-7, 0x1.4da8e4cc726fep-8, 0x1.7a1b5067d8cc1p-11, -0x1.da972153acffbp-9, -0x1.03fc2b190d62dp-7, -0x1.905bc7849a8b6p-7, -0x1.0ddf8ff7a6dfap-6, -0x1.53107206cdbp-6, -0x1.97bdf818b6f2p-6, -0x1.dbe5a6441b25ep-6, -0x1.0fc28b15cd0bap-5, -0x1.314cfb4d8b2adp-5, -0x1.5291059251739p-5, -0x1.738d95de9e744p-5, -0x1.9441a22cbe5d5p-5, -0x1.b4ac2a453c93ep-5, -0x1.d4cc378d89561p-5, -0x1.f4a0dcd6e9436p-5, -0x1.0a149b16e3873p-4, -0x1.19b23454b8c6ap-4, -0x1.2928d11e35057p-4, -0x1.38780cc2a6b4ap-4, -0x1.479f86d02b549p-4, -0x1.569ee2fcd202cp-4, -0x1.6575c9101c521p-4, -0x1.7423e4cce36a2p-4, -0x1.82a8e5dbaf7fcp-4, -0x1.91047fb57934fp-4, -0x1.9f36698ee4021p-4, -0x1.ad3e5e43ea43ep-4, -0x1.bb1c1c440a3d4p-4, -0x1.c8cf657ee7345p-4, -0x1.d657ff5166c36p-4, -0x1.e3b5b27355f98p-4, -0x1.f0e84ae582969p-4, -0x1.fdef97e05d7fep-4, -0x1.0565b5e188a81p-3, -0x1.0bbdce018d8b2p-3, -0x1.1200008e3463ep-3, -0x1.182c3b40f1812p-3, -0x1.1e426d473b9d4p-3, -0x1.2442873b5049fp-3, -0x1.2a2c7b1d31899p-3, -0x1.30003c4bd9f0ap-3, -0x1.35bdbf7eac985p-3, -0x1.3b64fabf1c7b2p-3, -0x1.40f5e56287b6bp-3, -0x1.4670780445d2ep-3, -0x1.4bd4ac7fe90c9p-3, -0x1.51227debb3865p-3, -0x1.5659e89336b2p-3, -0x1.5b7ae9f221583p-3, -0x1.608580af3e016p-3, -0x1.6579ac9791ea4p-3, -0x1.6a576e99a9b55p-3, -0x1.6f1ec8c10befap-3, -0x1.73cfbe31cc20ep-3, -0x1.786a53244029ap-3, -0x1.7cee8ce0de17cp-3, -0x1.815c71bc2b92bp-3, -0x1.85b40912d319fp-3, -0x1.89f55b45d3a78p-3, -0x1.8e2071b6c64fcp-3, -0x1.923556c43abf6p-3, -0x1.963415c62b7a3p-3, -0x1.9a1cbb0a87352p-3, -0x1.9def53d1ca06bp-3, -0x1.a1abee4ba74c9p-3, -0x1.a5529993ca712p-3, -0x1.a8e365ae96ceap-3, -0x1.ac5e6386065cap-3, -0x1.afc3a4e683f7p-3, -0x1.b3133c7bd65b7p-3, -0x1.b64d3dce15b55p-3, -0x1.b971bd3ea20a6p-3, -0x1.bc80d0052435fp-3, -0x1.bf7a8c2c95ed6p-3, -0x1.c25f089048e37p-3, -0x1.c52e5cd8f5d61p-3, -0x1.c7e8a179c817cp-3, -0x1.ca8defad73a6ep-3, -0x1.cd1e61733ef4ap-3, -0x1.cf9a118c181bp-3, -0x1.d2011b77a0662p-3, -0x1.d4539b713d24bp-3, -0x1.d691ae6d1ecb2p-3, -0x1.d8bb721550017p-3, -0x1.dad104c6b4dc1p-3, -0x1.dcd2858e11ff5p-3, -0x1.dec0142505af7p-3, -0x1.e099d0ef02a3ap-3, -0x1.e25fdcf644b0cp-3, -0x1.e41259e8bf4b3p-3, -0x1.e5b16a1505001p-3, -0x1.e73d30672d2b9p-3, -0x1.e8b5d065b0e38p-3, -0x1.ea1b6e2e47e23p-3, -0x1.eb6e2e72b59bcp-3, -0x1.ecae36759d5d3p-3, -0x1.eddbac0743f23p-3, -0x1.eef6b582514b7p-3, -0x1.efff79c892248p-3, -0x1.f0f6203fa48ep-3, -0x1.f1dad0cdafe65p-3, -0x1.f2adb3d60c1c7p-3, -0x1.f36ef235e7306p-3, -0x1.f41eb540e9d25p-3, -0x1.f4bd26bdcdeebp-3, -0x1.f54a70e2fb62fp-3, -0x1.f5c6be531a23ep-3, -0x1.f6323a199f1cdp-3, -0x1.f68d0fa75bb29p-3, -0x1.f6d76acf01d6fp-3, -0x1.f71177c1ad633p-3, -0x1.f73b630b62037p-3, -0x1.f755598f8d879p-3, -0x1.f75f888584edap-3, -0x1.f75a1d75032ddp-3, -0x1.f7454632a0fdep-3, -0x1.f72130dc51daep-3, -0x1.f6ee0bd5df511p-3, -0x1.f6ac05c55e1b4p-3, -0x1.f65b4d8facef3p-3, -0x1.f5fc1254ed21bp-3, -0x1.f58e836cfdeeap-3, -0x1.f512d063fc261p-3, -0x1.f48928f6be55ap-3, -0x1.f3f1bd0f5a9ddp-3, -0x1.f34cbcc1a57f1p-3, -0x1.f29a5847c07acp-3, -0x1.f1dabffea1abfp-3, -0x1.f10e2462a349ep-3, -0x1.f034b60c18721p-3, -0x1.ef4ea5abe81a8p-3, -0x1.ee5c240825603p-3, -0x1.ed5d61f8b6c9bp-3, -0x1.ec529063fe6b8p-3, -0x1.eb3be03b87528p-3, -0x1.ea198278be5e7p-3, -0x1.e8eba819abfd8p-3, -0x1.e7b2821dbbfa8p-3, -0x1.e66e418287efp-3, -0x1.e51f1740a8be6p-3, -0x1.e3c5344899a8fp-3, -0x1.e260c97f96f8ep-3, -0x1.e0f207bc90096p-3, -0x1.df791fc51db36p-3, -0x1.ddf6424a81866p-3, -0x1.dc699fe6b0705p-3, -0x1.dad3691969b67p-3, -0x1.d933ce4551721p-3, -0x1.d78affad202adp-3, -0x1.d5d92d70ce09cp-3, -0x1.d41e878adbf58p-3, -0x1.d25b3dcd9766ep-3, -0x1.d08f7fe0743b4p-3, -0x1.cebb7d3d6aec6p-3, -0x1.ccdf652e68609p-3, -0x1.cafb66caca0a9p-3, -0x1.c90fb0f4dbcc4p-3, -0x1.c71c7257703cep-3, -0x1.c521d9637b924p-3, -0x1.c320144dc1e4bp-3, -0x1.c117510c87347p-3, -0x1.bf07bd555c76bp-3, -0x1.bcf1869ae9ff1p-3, -0x1.bad4da0acfe6p-3, -0x1.b8b1e48b901cbp-3, -0x1.b688d2ba8af9cp-3, -0x1.b459d0e9ff4a1p-3, -0x1.b2250b1f1dbc8p-3, -0x1.afeaad102d033p-3, -0x1.adaae222b41d8p-3, -0x1.ab65d569b3961p-3, -0x1.a91bb1a3ef772p-3, -0x1.a6cca13a43ccdp-3, -0x1.a478ce3e073b1p-3, -0x1.a22062677ac45p-3, -0x1.9fc3871445e12p-3, -0x1.9d626546026d6p-3, -0x1.9afd25a0d4e56p-3, -0x1.9893f06a10f3dp-3, -0x1.9626ed86e88dfp-3, -0x1.93b6447b2f4a9p-3, -0x1.91421c682928dp-3, -0x1.8eca9c0b5a37ep-3, -0x1.8c4fe9bd77ab4p-3, -0x1.89d22b715489cp-3, -0x1.875186b2e3786p-3, -0x1.84ce20a642325p-3, -0x1.82481e06d4d5fp-3, -0x1.7fbfa326675a9p-3, -0x1.7d34d3ec625fbp-3, -0x1.7aa7d3d508c86p-3, -0x1.7818c5f0bfe46p-3, -0x1.7587cce368502p-3, -0x1.72f50ae3bb3a9p-3, -0x1.7060a1bac04b9p-3, -0x1.6dcab2c33d62ap-3, -0x1.6b335ee9427bp-3, -0x1.689ac6a9b4afp-3, -0x1.66010a11ee57p-3, -0x1.636648bf5e48p-3, -0x1.60caa1df4174fp-3, -0x1.5e2e342e55872p-3, -0x1.5b911df8a4f85p-3, -0x1.58f37d1956b23p-3, -0x1.56556efa84b66p-3, -0x1.53b71095245f4p-3, -0x1.51187e70f5a8ep-3, -0x1.4e79d4a478a35p-3, -0x1.4bdb2ed4f015ep-3, -0x1.493ca8366cee9p-3, -0x1.469e5b8be35e8p-3, -0x1.44006327461e4p-3, -0x1.4162d8e9ae034p-3, -0x1.3ec5d643889dfp-3, -0x1.3c297434cec36p-3, -0x1.398dcb4d44c31p-3, -0x1.36f2f3acbfe42p-3, -0x1.3459050379f5bp-3, -0x1.31c0169263fdap-3, -0x1.2f283f2b8537fp-3, -0x1.2c9195326666dp-3, -0x1.29fc2e9c76193p-3, -0x1.276820f185923p-3, -0x1.24d5814c40698p-3, -0x1.2244645aac16fp-3, -0x1.1fb4de5eb20b1p-3, -0x1.1d27032eaf101p-3, -0x1.1a9ae63607f0dp-3, -0x1.18109a75c1a53p-3, -0x1.15883285240c5p-3, -0x1.1301c0925d882p-3, -0x1.107d56633126dp-3, -0x1.0dfb0555a4cc9p-3, -0x1.0b7ade60b747fp-3, -0x1.08fcf21519eaap-3, -0x1.0681509df2ee5p-3, -0x1.040809c19d361p-3, -0x1.01912ce270db2p-3, -0x1.fe3991ff23c4ap-4, -0x1.f955d96b7c206p-4, -0x1.f4774c80454f6p-4, -0x1.ef9e06f266145p-4, -0x1.eaca23b70afecp-4, -0x1.e5fbbd0561be3p-4, -0x1.e132ec5860c5p-4, -0x1.dc6fca708d296p-4, -0x1.d7b26f55d05b9p-4, -0x1.d2faf2594a572p-4, -0x1.ce496a173024dp-4, -0x1.c99dec78a6d7fp-4, -0x1.c4f88eb5b1e56p-4, -0x1.c059655711a57p-4, -0x1.bbc084383dfbcp-4, -0x1.b72dfe894be26p-4, -0x1.b2a1e6d0e64f4p-4, -0x1.ae1c4eee4e22dp-4, -0x1.a99d481b4dc68p-4, -0x1.a524e2ee3add8p-4, -0x1.a0b32f5bf2afp-4, -0x1.9c483cb9ebac9p-4, -0x1.97e419c02d492p-4, -0x1.9386d48b5aa2ep-4, -0x1.8f307a9ec1664p-4, -0x1.8ae118e660c6p-4, -0x1.8698bbb8f66e9p-4, -0x1.82576eda0bd3dp-4, -0x1.7e1d3d7c029cep-4, -0x1.79ea324226b23p-4, -0x1.75be5742b99afp-4, -0x1.7199b60902f5ep-4, -0x1.6d7c57975f88ap-4, -0x1.69664469518afp-4, -0x1.655784758a429p-4, -0x1.61501f2ffda5fp-4, -0x1.5d501b8bec51ep-4, -0x1.59577ffdefc8fp-4, -0x1.5566527e062bcp-4, -0x1.517c98899c016p-4, -0x1.4d9a572594111p-4, -0x1.49bf92e04e2d3p-4, -0x1.45ec4fd3adfe9p-4, -0x1.422091a719e4cp-4, -0x1.3e5c5b91840afp-4, -0x1.3a9fb05b5f9b4p-4, -0x1.36ea9260a5f4bp-4, -0x1.333d0392cbdeep-4, -0x1.2f97057abc5e5p-4, -0x1.2bf8993acc261p-4, -0x1.2861bf90ac816p-4, -0x1.24d278d75b6dap-4, -0x1.214ac50910b6p-4, -0x1.1dcaa3c1229d8p-4, -0x1.1a52143df4bd9p-4, -0x1.16e11562d27bfp-4, -0x1.1377a5b9d3b4cp-4, -0x1.1015c375b67cbp-4, -0x1.0cbb6c73b82eap-4, -0x1.09689e3d6b21ep-4, -0x1.061d560a84fc8p-4, -0x1.02d990c2b1122p-4, -0x1.ff3a95fea3633p-5, -0x1.f8d1021a9eb1ap-5, -0x1.f2765ddda3d63p-5, -0x1.ec2aa0ba0674ap-5, -0x1.e5edc19388bc9p-5, -0x1.dfbfb6c2cc142p-5, -0x1.d9a07618ae67ep-5, -0x1.d38ff4e1a17fcp-5, -0x1.cd8e27e903088p-5, -0x1.c79b037c5d64p-5, -0x1.c1b67b6ea38c8p-5, -0x1.bbe0831b7022dp-5, -0x1.b6190d6a26ee4p-5, -0x1.b0600cd12090cp-5, -0x1.aab57358c3ef5p-5, -0x1.a519329e901eep-5, -0x1.9f8b3bd82ca73p-5, -0x1.9a0b7fd662e63p-5, -0x1.9499ef081665fp-5, -0x1.8f36797d2ca89p-5, -0x1.89e10ee972242p-5, -0x1.84999ea773a17p-5, -0x1.7f6017bb4a3d2p-5, -0x1.7a3468d565ff6p-5, -0x1.751680554790fp-5, -0x1.70064c4c2f61ap-5, -0x1.6b03ba7fcf9fap-5, -0x1.660eb86ce4d95p-5, -0x1.61273349ce9f5p-5, -0x1.5c4d18091c303p-5, -0x1.5780535c0ffdep-5, -0x1.52c0d1b51a0dbp-5, -0x1.4e0e7f4a43eafp-5, -0x1.49694817a1e14p-5, -0x1.44d117e19e905p-5, -0x1.4045da3761f21p-5, -0x1.3bc77a7511acap-5, -0x1.3755e3c60f476p-5, -0x1.32f101273af4p-5, -0x1.2e98bd6914e9ap-5, -0x1.2a4d0331ede19p-5, -0x1.260dbcfffaba5p-5, -0x1.21dad52b6bf8ep-5, -0x1.1db435e876dd9p-5, -0x1.1999c9495715p-5, -0x1.158b79403d696p-5, -0x1.11892fa14b785p-5, -0x1.0d92d6247180ap-5, -0x1.09a856674ac7fp-5, -0x1.05c999eef67b4p-5, -0x1.01f68a29dc81bp-5, -0x1.fc5e20e2e8d71p-6, -0x1.f4e62c17fe053p-6, -0x1.ed85085c66603p-6, -0x1.e63a87f9e0529p-6, -0x1.df067d1da14c3p-6, -0x1.d7e8b9dba012bp-6, -0x1.d0e110319e544p-6, -0x1.c9ef520a4adc1p-6, -0x1.c313514028aa3p-6, -0x1.bc4cdfa0971e8p-6, -0x1.b59bceeea3403p-6, -0x1.aefff0e5d4184p-6, -0x1.a879173cec7e3p-6, -0x1.a20713a8a0edbp-6, -0x1.9ba9b7de2db25p-6, -0x1.9560d595edc6fp-6, -0x1.8f2c3e8dd8606p-6, -0x1.890bc48bf49dcp-6, -0x1.82ff3960cb1c7p-6, -0x1.7d066ee99e8cap-6, -0x1.77213712d5876p-6, -0x1.714f63da12c4ap-6, -0x1.6b90c75076d55p-6, -0x1.65e5339cb6f0dp-6, -0x1.604c7afd29e85p-6, -0x1.5ac66fc9cca88p-6, -0x1.5552e4762ece7p-6, -0x1.4ff1ab9367ae1p-6, -0x1.4aa297d1e2882p-6, -0x1.45657c0333327p-6, -0x1.403a2b1bdd60dp-6, -0x1.3b207834f6a2ap-6, -0x1.3618368dde30ep-6, -0x1.3121398dcebc3p-6, -0x1.2c3b54c575287p-6, -0x1.27665bf06bd5fp-6, -0x1.22a222f6bda8dp-6, -0x1.1dee7dee452cfp-6, -0x1.194b411c19187p-6, -0x1.14b840f5db4p-6, -0x1.1035522308f43p-6, -0x1.0bc2497e3208ap-6, -0x1.075efc163c868p-6, -0x1.030b3f2f80f69p-6, -0x1.fd8dd089dfa2ep-7, -0x1.f5239a125fcbap-7, -0x1.ecd786cf37594p-7, -0x1.e4a9430aababp-7, -0x1.dc987b845ec3bp-7, -0x1.d4a4dd7353cb6p-7, -0x1.ccce168798168p-7, -0x1.c513d4ec0c8b2p-7, -0x1.bd75c74827fd8p-7, -0x1.b5f39cc14a5d1p-7, -0x1.ae8d04fc8782cp-7, -0x1.a741b01ff4bcbp-7, -0x1.a0114ed415516p-7, -0x1.98fb92451e319p-7, -0x1.92002c245b716p-7, -0x1.8b1ecea938de9p-7, -0x1.84572c928011cp-7, -0x1.7da8f9276975ep-7, -0x1.7713e8388750cp-7, -0x1.7097ae20d832bp-7, -0x1.6a33ffc6ac5e1p-7, -0x1.63e8929c6acf2p-7, -0x1.5db51ca16728p-7, -0x1.57995462b79c7p-7, -0x1.5194f0fba588cp-7, -0x1.4ba7aa16a0ebbp-7, -0x1.45d137ed95681p-7, -0x1.4011534a90563p-7, -0x1.3a67b5884d816p-7, -0x1.34d418929139ap-7, -0x1.2f5636e688ep-7, -0x1.29edcb93435efp-7, -0x1.249a9239e65d4p-7, -0x1.1f5c470e0bb13p-7, -0x1.1a32a6d5d7e51p-7, -0x1.151d6eea50e91p-7, -0x1.101c5d3772575p-7, -0x1.0b2f303c37b9ep-7, -0x1.0655a70ae5de3p-7, -0x1.018f8148bb081p-7, -0x1.f9b8fe5c97f2bp-8, -0x1.f078c30e8a115p-8, -0x1.e75dd364a198dp-8, -0x1.de67b34264d82p-8, -0x1.d595e7b0bca62p-8, -0x1.cce7f6de15085p-8, -0x1.c45d681d9439bp-8, -0x1.bbf5c3e703961p-8, -0x1.b3b093d5ee23dp-8, -0x1.ab8d62a95fd6bp-8, -0x1.a38bbc4310344p-8, -0x1.9bab2da6d42ebp-8, -0x1.93eb44f9ad338p-8, -0x1.8c4b918142e81p-8, -0x1.84cba3a2eb76fp-8, -0x1.7d6b0ce2a7c2dp-8, -0x1.76295fe2aa158p-8, -0x1.6f063061b5d2cp-8, -0x1.6801133aabc8fp-8, -0x1.61199e6325d7ap-8, -0x1.5a4f68ea83be2p-8, -0x1.53a20af8b2f3ap-8, -0x1.4d111dcd27794p-8, -0x1.469c3bbd591aep-8, -0x1.40430033d81f3p-8, -0x1.3a0507aed6a2cp-8, -0x1.33e1efbeccf92p-8, -0x1.2dd9570554f0cp-8, -0x1.27eadd336da85p-8, -0x1.221623087f12dp-8, -0x1.1c5aca50a5ae9p-8, -0x1.16b875e340a95p-8, -0x1.112ec9a176babp-8, -0x1.0bbd6a74c00fbp-8, -0x1.0663fe4d66a44p-8, -0x1.01222c20b6f46p-8, -0x1.f7ef37cf6960cp-9, -0x1.edc7ed3aabb02p-9, -0x1.e3cdcc799b333p-9, -0x1.da002b8062844p-9, -0x1.d05e623ceb699p-9, -0x1.c6e7ca93ca23dp-9, -0x1.bd9bc05d46029p-9, -0x1.b479a160dea9cp-9, -0x1.ab80cd52edc5ap-9, -0x1.a2b0a5d0676c2p-9, -0x1.9a088e5bcddd8p-9, -0x1.9187ec592f41ep-9, -0x1.892e270b241c2p-9, -0x1.80faa78eb3228p-9, -0x1.78ecd8d80441cp-9, -0x1.710427ae87736p-9, -0x1.694002a995bd7p-9, -0x1.619fda2c7250bp-9, -0x1.5a232063029d5p-9, -0x1.52c9493d8c738p-9, -0x1.4b91ca6db6b69p-9, -0x1.447c1b622376bp-9, -0x1.3d87b54319f2p-9, -0x1.36b412eee7f7p-9, -0x1.3000b0f5822fbp-9, -0x1.296d0d95a72b5p-9, -0x1.22f8a8b860b2fp-9, -0x1.1ca303ed7e814p-9, -0x1.166ba26844c49p-9, -0x1.105208faaf86ap-9, -0x1.0a55be12d433bp-9, -0x1.047649b611de5p-9, -0x1.fd666afc520e1p-10, -0x1.f2181929aeccfp-10, -0x1.e700b7611700fp-10, -0x1.dc1f62207052ep-10, -0x1.d17338f009721p-10, -0x1.c6fb5e5a7849dp-10, -0x1.bcb6f7e55a867p-10, -0x1.b2a52e09b5452p-10, -0x1.a8c52c2d33b28p-10, -0x1.9f16209956bcfp-10, -0x1.95973c75daaecp-10, -0x1.8c47b3bfaa147p-10, -0x1.8326bd427c0e4p-10, -0x1.7a3392915266ep-10, -0x1.716d6fff0e2edp-10, -0x1.68d394968bdf5p-10, -0x1.6065421519d8p-10, -0x1.5821bce0e4295p-10, -0x1.50084c03d848bp-10, -0x1.48183923088dbp-10, -0x1.4050d078862fap-10, -0x1.38b160cb3439ap-10, -0x1.31393b68e876dp-10, -0x1.29e7b41e45279p-10, -0x1.22bc213096601p-10, -0x1.1bb5db55f60ccp-10, -0x1.14d43daf3eb52p-10, -0x1.0e16a5c0c1de1p-10, -0x1.077c736ae246ap-10, -0x1.010508e42d9f4p-10, -0x1.f55f95645a17p-11, -0x1.e8f83f443d1cap-11, -0x1.dcd2e186a42cp-11, -0x1.d0ee52bed098cp-11, -0x1.c5496de96daeep-11, -0x1.b9e3125ca0a9ap-11, -0x1.aeba23bebba5ap-11, -0x1.a3cd89f5dc8dap-11, -0x1.991c311c8fc6ep-11, -0x1.8ea50974d3a2dp-11, -0x1.8467075b8ad3ap-11, -0x1.7a61233b363b7p-11, -0x1.7092597ff2fdfp-11, -0x1.66f9aa8ad3f61p-11, -0x1.5d961aa599867p-11, -0x1.5466b1f6851b1p-11, -0x1.4b6a7c73ed65cp-11, -0x1.42a089d813p-11, -0x1.3a07ed958972ep-11, -0x1.319fbecb2fa6fp-11, -0x1.2967183820397p-11, -0x1.215d18304ab3cp-11, -0x1.1980e090b1907p-11, -0x1.11d196b3ddd7cp-11, -0x1.0a4e63674ce94p-11, -0x1.02f672ddef855p-11, -0x1.f791e94f6723p-12, -0x1.e98a37494e953p-12, -0x1.dbd43bf4bf3e7p-12, -0x1.ce6e6a118bbe7p-12, -0x1.c1573ac066447p-12, -0x1.b48d2d6b4c627p-12, -0x1.a80ec7b128558p-12, -0x1.9bda95517adc6p-12, -0x1.8fef281661c56p-12, -0x1.844b17bf9053dp-12, -0x1.78ed01efdc537p-12, -0x1.6dd38a16c6ffap-12, -0x1.62fd595e674ffp-12, -0x1.58691e955a74bp-12, -0x1.4e158e1ceefdbp-12, -0x1.440161d472d14p-12, -0x1.3a2b590742672p-12, -0x1.309238584cca6p-12, -0x1.2734c9af96c46p-12, -0x1.1e11dc282beaep-12, -0x1.152843fc12c5ep-12, -0x1.0c76da74930bp-12, -0x1.03fc7dd54dfd4p-12, -0x1.f7702297d544p-13, -0x1.e750f9ba94386p-13, -0x1.d7995aab63102p-13, -0x1.c847286b93497p-13, -0x1.b9584f4252033p-13, -0x1.aacac49eb7c2fp-13, -0x1.9c9c86f2d34b9p-13, -0x1.8ecb9d93260fbp-13, -0x1.81561894d2794p-13, -0x1.743a10afcb367p-13, -0x1.6775a71bfc4b9p-13, -0x1.5b070572e2274p-13, -0x1.4eec5d8ff211fp-13, -0x1.4323e9705045ap-13, -0x1.37abeb1650ffcp-13, -0x1.2c82ac68a5b02p-13, -0x1.21a67f169fb27p-13, -0x1.1715bc78a7271p-13, -0x1.0ccec574264dfp-13, -0x1.02d0025e6fab6p-13, -0x1.f22fc5bec1402p-14, -0x1.df49bbaaa9bd3p-14, -0x1.cceae27281397p-14, -0x1.bb10440818a5fp-14, -0x1.a9b6f824dc276p-14, -0x1.98dc24129ca1p-14, -0x1.887cfa76cc826p-14, -0x1.7896bb22e819ep-14, -0x1.6926b2d9195a9p-14, -0x1.5a2a3b1d706e1p-14, -0x1.4b9eba01180acp-14, -0x1.3d81a1f2a2ee7p-14, -0x1.2fd0718a344d8p-14, -0x1.2288b35b76fbdp-14, -0x1.15a7fdc1cb9f1p-14, -0x1.092bf2b552884p-14, -0x1.fa247f2b81d8ep-15, -0x1.e2b13a09c3d7ap-15, -0x1.cbf99d5dd3273p-15, -0x1.b5f9464805c34p-15, -0x1.a0abe758ccd7fp-15, -0x1.8c0d482b3d6fap-15, -0x1.7819451a6ebcfp-15, -0x1.64cbcee8fb8ecp-15, -0x1.5220ea6dfe018p-15, -0x1.4014b03b8a4cep-15, -0x1.2ea34c524c7efp-15, -0x1.1dc8fdcb0e3acp-15, -0x1.0d82168ed27d8p-15, -0x1.fb95f603e66c1p-16, -0x1.dd4043677579bp-16, -0x1.bffc2633b0012p-16, -0x1.a3c2d275d68f2p-16, -0x1.888d9edaa35ecp-16, -0x1.6e560406acc5fp-16, -0x1.55159c1a688edp-16, -0x1.3cc62210f94e6p-16, -0x1.2561713adadeap-16, -0x1.0ee184b4266dfp-16, -0x1.f280eda633603p-17, -0x1.c8f1014ae2ad6p-17, -0x1.a107f2e4170ebp-17, -0x1.7abaac4789ba2p-17, -0x1.55fe51ab6d718p-17, -0x1.32c840a9277ffp-17, -0x1.110e0f2870904p-17, -0x1.e18b14dc549bcp-18, -0x1.a3c96c66a4069p-18, -0x1.68c39766d64eap-18, -0x1.306671592932bp-18, -0x1.f53e7a1abcb06p-19, -0x1.8eb7458e09f3ap-19, -0x1.2d135ce1db1dfp-19, -0x1.a05f37681c371p-20, -0x1.dfa678e7e15bcp-21, -0x1.20fdec5e25c18p-22, 0x1.5a779d05618edp-22, 0x1.da0ab1490eba6p-21, 0x1.7b35e0a1ed4cdp-20, 0x1.00b693a01e86ep-19, 0x1.3ff3bd9dc804dp-19, 0x1.7b6febefa0d31p-19, 0x1.b347f5d897b8dp-19, 0x1.e7980f08f257p-19, 0x1.0c3de55063324p-18, 0x1.23070f19fadc3p-18, 0x1.3834b24e3ecd2p-18, 0x1.4bd3b05f1d5bbp-18, 0x1.5df0a03e30f14p-18, 0x1.6e97cfad44102p-18, 0x1.7dd5448f5ed62p-18, 0x1.8bb4be5f4a35cp-18, 0x1.9841b7687cb1ap-18, 0x1.a387660ded03p-18, 0x1.ad90be203541dp-18, 0x1.b668720af748ep-18, 0x1.be18f4212ac09p-18, 0x1.c4ac77c92631p-18, 0x1.ca2cf2aff86dp-18, 0x1.cea41df4acc7cp-18, 0x1.d21b775d65d93p-18, 0x1.d49c4269ee37ap-18, 0x1.d62f896fafa08p-18, 0x1.d6de1ec2a3687p-18, 0x1.d6b09dc3a0d4cp-18, 0x1.d5af6beeb1823p-18, 0x1.d3e2b9e7e0f8ep-18, 0x1.d1528484a45b4p-18, 0x1.ce0695d41933ap-18, 0x1.ca068614200e3p-18, 0x1.c559bcaf4e41ap-18, 0x1.c007713968718p-18, 0x1.ba16ac62ef1c1p-18, 0x1.b38e48dd9f88bp-18, 0x1.ac74f45173dcfp-18, 0x1.a4d13038f49bdp-18, 0x1.9ca952d51c88ep-18, 0x1.940387faa4df6p-18, 0x1.8ae5d1f6b2ed8p-18, 0x1.81560a6b3b728p-18, 0x1.7759e31323328p-18, 0x1.6cf6e6a52d3cdp-18, 0x1.6232799707162p-18, 0x1.5711dae79a477p-18, 0x1.4b9a24e4a9fc5p-18, 0x1.3fd04df20d16ap-18, 0x1.33b9293f1cc74p-18, 0x1.275967904951fp-18, 0x1.1ab597e94205ap-18, 0x1.0dd2284ed919bp-18, 0x1.00b3667798007p-18, 0x1.e6bb00e79c38fp-19, 0x1.cba90ab8d0ab4p-19, 0x1.b038cbf8cf08dp-19, }}, 
      {{0x1.736c7b9623c8fp-2, 0x1.7360acc21f2cep-2, 0x1.734ebf64b2ae1p-2, 0x1.7338f47b616c4p-2, 0x1.7321e34b8f3d3p-2, 0x1.730c2aae1df2bp-2, 0x1.72fa36d2618dp-2, 0x1.72ee1c0292af9p-2, 0x1.72e98308c60d3p-2, 0x1.72eda2bb15fe8p-2, 0x1.72fb428bcd0e8p-2, 0x1.7312c2d6b68d8p-2, 0x1.7334288b08af8p-2, 0x1.735f2a8df1149p-2, 0x1.73933fb9e26a1p-2, 0x1.73cfacba544a4p-2, 0x1.7413913fb681ep-2, 0x1.745df4300bdd8p-2, 0x1.74adce961c8d2p-2, 0x1.75021528c8e4p-2, 0x1.7559c057ef722p-2, 0x1.75b3d2dd66137p-2, 0x1.760f5edeeb923p-2, 0x1.766b89b949c99p-2, 0x1.76c78e9543552p-2, 0x1.7722bfec1ab55p-2, 0x1.777c882437423p-2, 0x1.77d4696e82448p-2, 0x1.7829fd0b9072p-2, 0x1.787cf21c9bdcep-2, 0x1.78cd0c2085ff4p-2, 0x1.791a2138b7991p-2, 0x1.7964184d45d62p-2, 0x1.79aae72370c3ep-2, 0x1.79ee907587c7fp-2, 0x1.7a2f2217b1f0ap-2, 0x1.7a6cb331eba99p-2, 0x1.7aa762950c52fp-2, 0x1.7adf552e66f75p-2, 0x1.7b14b49bfe245p-2, 0x1.7b47ade1f206bp-2, 0x1.7b787040db61p-2, 0x1.7ba72c2c14b82p-2, 0x1.7bd4125e88a11p-2, 0x1.7bff530c45069p-2, 0x1.7c291d2efe212p-2, 0x1.7c519deb948d2p-2, 0x1.7c79000eb7302p-2, 0x1.7c9f6b9ec743bp-2, 0x1.7cc5058148783p-2, 0x1.7ce9ef321e59dp-2, 0x1.7d0e468b22e39p-2, 0x1.7d32259a86079p-2, 0x1.7d55a286a70bdp-2, 0x1.7d78cf7e1cfeap-2, 0x1.7d9bbab2b0b96p-2, 0x1.7dbe6e5e2ef86p-2, 0x1.7de0f0cff6699p-2, 0x1.7e034482445f4p-2, 0x1.7e25683645768p-2, 0x1.7e47571602694p-2, 0x1.7e6908db4a831p-2, 0x1.7e8a71fad087p-2, 0x1.7eab83d2b108cp-2, 0x1.7ecc2cdbaf3a6p-2, 0x1.7eec58dc7d16ep-2, 0x1.7f0bf11e70272p-2, 0x1.7f2adca3129d4p-2, 0x1.7f49005a0e99ep-2, 0x1.7f663f56faa78p-2, 0x1.7f827b069908cp-2, 0x1.7f9d936334869p-2, 0x1.7fb76727bd113p-2, 0x1.7fcfd40164de6p-2, 0x1.7fe6b6bf7dcf3p-2, 0x1.7ffbeb81680ep-2, 0x1.800f4de267ac1p-2, 0x1.8020b9233ef0cp-2, 0x1.8030085183ad6p-2, 0x1.803d166c8cd6fp-2, 0x1.8047be8804b6ep-2, 0x1.804fdbec0e19ep-2, 0x1.80554a330a20cp-2, 0x1.8057e5650388ap-2, 0x1.80578a10cbbb6p-2, 0x1.80541562d9ee3p-2, 0x1.804d653a032cep-2, 0x1.8043583a1ab67p-2, 0x1.8035cddc9741ap-2, 0x1.8024a67f52458p-2, 0x1.800fc3717f2ddp-2, 0x1.7ff706feed656p-2, 0x1.7fda5479b9b6dp-2, 0x1.7fb99042810cp-2, 0x1.7f949fcf3193p-2, 0x1.7f6b69b0966edp-2, 0x1.7f3dd596b14cfp-2, 0x1.7f0bcc53ffc8ep-2, 0x1.7ed537dfc1b97p-2, 0x1.7e9a0357518e5p-2, 0x1.7e5a1afead17ep-2, 0x1.7e156c4039b6cp-2, 0x1.7dcbe5abdc953p-2, 0x1.7d7d76f572c8fp-2, 0x1.7d2a10f2c0ae8p-2, 0x1.7cd1a598df859p-2, 0x1.7c7427f93d8b2p-2, 0x1.7c118c3e38ebbp-2, 0x1.7ba9c7a76410fp-2, 0x1.7b3cd0857ebb2p-2, 0x1.7aca9e3626888p-2, 0x1.7a53291f54084p-2, 0x1.79d66aaa9f816p-2, 0x1.79545d405db4ap-2, 0x1.78ccfc429578ep-2, 0x1.78404407da849p-2, 0x1.77ae31d6073a3p-2, 0x1.7716c3dce8626p-2, 0x1.7679f930d2e7dp-2, 0x1.75d7d1c52e957p-2, 0x1.75304e66f482fp-2, 0x1.748370b726e96p-2, 0x1.73d13b254501fp-2, 0x1.7319b0e9ba0e6p-2, 0x1.725cd6004cd22p-2, 0x1.719aaf22913e2p-2, 0x1.70d341c2593bcp-2, 0x1.700694042c80ep-2, 0x1.6f34acb9c76ddp-2, 0x1.6e5d935c97b7bp-2, 0x1.6d8150084bfcdp-2, 0x1.6c9feb75651bp-2, 0x1.6bb96ef3ce8f8p-2, 0x1.6acde46588df1p-2, 0x1.69dd56395782ap-2, 0x1.68e7cf657dc87p-2, 0x1.67ed5b628875dp-2, 0x1.66ee06262267ep-2, 0x1.65e9dc1df97a3p-2, 0x1.64e0ea2aadfb5p-2, 0x1.63d33d9ad49a9p-2, 0x1.62c0e42606d8bp-2, 0x1.61a9ebe801fc5p-2, 0x1.608e635bd9d14p-2, 0x1.5f6e59573746ep-2, 0x1.5e49dd05b1026p-2, 0x1.5d20fde42d9dp-2, 0x1.5bf3cbbc5da3p-2, 0x1.5ac256a0495c6p-2, 0x1.598caee5eedc2p-2, 0x1.5852e522f7cebp-2, 0x1.57150a2881c2p-2, 0x1.55d32efefd4b3p-2, 0x1.548d64e21fa62p-2, 0x1.5343bd3ceeb77p-2, 0x1.51f649a5df87fp-2, 0x1.50a51bdb0cf05p-2, 0x1.4f5045be84422p-2, 0x1.4df7d952aa923p-2, 0x1.4c9be8b6b5cd3p-2, 0x1.4b3c86234343fp-2, 0x1.49d9c3e6fe0d2p-2, 0x1.4873b463642fcp-2, 0x1.470a6a099f286p-2, 0x1.459df75776602p-2, 0x1.442e6ed458131p-2, 0x1.42bbe30e7bb77p-2, 0x1.414666981b44ap-2, 0x1.3fce0c04c2772p-2, 0x1.3e52e5e6b9c9dp-2, 0x1.3cd506cc861adp-2, 0x1.3b54813e7ddd9p-2, 0x1.39d167bc7a726p-2, 0x1.384bccbb9b861p-2, 0x1.36c3c2a423f46p-2, 0x1.35395bcf6a745p-2, 0x1.33acaa85e4a84p-2, 0x1.321dc0fd41929p-2, 0x1.308cb1569f4ecp-2, 0x1.2ef98d9cd2d31p-2, 0x1.2d6467c2c37c6p-2, 0x1.2bcd51a1dd78bp-2, 0x1.2a345cf895591p-2, 0x1.28999b6900bf5p-2, 0x1.26fd1e7781851p-2, 0x1.255ef78982ea7p-2, 0x1.23bf37e4477b9p-2, 0x1.221df0abcc82cp-2, 0x1.207b32e1b9cb5p-2, 0x1.1ed70f64644ep-2, 0x1.1d3196ede203ap-2, 0x1.1b8ada132998bp-2, 0x1.19e2e94345099p-2, 0x1.1839d4c6908fbp-2, 0x1.168facbe0811bp-2, 0x1.14e48122a3886p-2, 0x1.133861c4bd0fdp-2, 0x1.118b5e4b873efp-2, 0x1.0fdd86348e7d8p-2, 0x1.0e2ee8d34396ap-2, 0x1.0c7f955096911p-2, 0x1.0acf9aaa957cbp-2, 0x1.091f07b41c676p-2, 0x1.076deb148946dp-2, 0x1.05bc53477df53p-2, 0x1.040a4e9ca7754p-2, 0x1.0257eb378ee31p-2, 0x1.00a5370f74829p-2, 0x1.fde47fde5f48dp-3, 0x1.fa7e26ea2c09ep-3, 0x1.f7177e25d9b06p-3, 0x1.f3b0a01bbb961p-3, 0x1.f049a6fce3784p-3, 0x1.ece2aca12a43ep-3, 0x1.e97bca87371eap-3, 0x1.e61519d4a0d3dp-3, 0x1.e2aeb3560838p-3, 0x1.df48af7f496adp-3, 0x1.dbe3266baedb9p-3, 0x1.d87e2fde2a75fp-3, 0x1.d519e3419ce15p-3, 0x1.d1b657a91da1fp-3, 0x1.ce53a3d04f89fp-3, 0x1.caf1de1bb1a5fp-3, 0x1.c7911c9901c11p-3, 0x1.c43174ff9a838p-3, 0x1.c0d2fcb0da5c7p-3, 0x1.bd75c8b88fb31p-3, 0x1.ba19edcd6517ep-3, 0x1.b6bf8051547f2p-3, 0x1.b36694521e003p-3, 0x1.b00f3d89be94fp-3, 0x1.acb98f5eeb3ecp-3, 0x1.a9659ce58ecf7p-3, 0x1.a61378df4b369p-3, 0x1.a2c335bbf9eddp-3, 0x1.9f74e59a2f08cp-3, 0x1.9c289a47bee83p-3, 0x1.98de6542430c6p-3, 0x1.959657b7a42e5p-3, 0x1.92508286a1b56p-3, 0x1.8f0cf63f576a9p-3, 0x1.8bcbc323cdba7p-3, 0x1.888cf9287e86dp-3, 0x1.8550a7f4e3a62p-3, 0x1.8216dee3ff3a7p-3, 0x1.7edfad04ea307p-3, 0x1.7bab211b5e58bp-3, 0x1.787949a043248p-3, 0x1.754a34c236de2p-3, 0x1.721df0661fcb1p-3, 0x1.6ef48a27af3c5p-3, 0x1.6bce0f59f716cp-3, 0x1.68aa8d07eea56p-3, 0x1.658a0ff4ff55ep-3, 0x1.626ca49d9094cp-3, 0x1.5f5257379104ep-3, 0x1.5c3b33b3025b7p-3, 0x1.592745ba8378ep-3, 0x1.561698b3d8c04p-3, 0x1.530937c078d3ap-3, 0x1.4fff2dbe11667p-3, 0x1.4cf8854715bc8p-3, 0x1.49f548b340d8fp-3, 0x1.46f5821826a09p-3, 0x1.43f93b49b3652p-3, 0x1.41007ddab8a21p-3, 0x1.3e0b531d7634bp-3, 0x1.3b19c4241d6bdp-3, 0x1.382bd9c15ce39p-3, 0x1.35419c88e3952p-3, 0x1.325b14cfecb23p-3, 0x1.2f784aadc3964p-3, 0x1.2c9945fc4b3c2p-3, 0x1.29be0e5883f17p-3, 0x1.26e6ab23156fap-3, 0x1.24132380d3ae6p-3, 0x1.21437e5b43b5ep-3, 0x1.1e77c26125b7ap-3, 0x1.1baff606fba37p-3, 0x1.18ec1f878a74cp-3, 0x1.162c44e46a74p-3, 0x1.13706be685e0bp-3, 0x1.10b89a1ea3ebcp-3, 0x1.0e04d4e5ef4c4p-3, 0x1.0b55215e7db4ep-3, 0x1.08a98473d6688p-3, 0x1.060202db7d34dp-3, 0x1.035ea11573bfap-3, 0x1.00bf636cc806p-3, 0x1.fc489bf0325d1p-4, 0x1.f71ac9344182cp-4, 0x1.f1f556047983p-4, 0x1.ecd84959eac01p-4, 0x1.e7c3a9c911afdp-4, 0x1.e2b77d82e5c73p-4, 0x1.ddb3ca55f2f3ap-4, 0x1.d8b895af617d3p-4, 0x1.d3c5e49c184c2p-4, 0x1.cedbbbc9c84f2p-4, 0x1.c9fa1f880270bp-4, 0x1.c52113c951107p-4, 0x1.c0509c2446ee8p-4, 0x1.bb88bbd4a3338p-4, 0x1.b6c975bc55cdbp-4, 0x1.b212cc64a53b1p-4, 0x1.ad64c1ff40f99p-4, 0x1.a8bf5867593e3p-4, 0x1.a4229122b6ac7p-4, 0x1.9f8e6d62d916dp-4, 0x1.9b02ee06082cap-4, 0x1.968013987159bp-4, 0x1.9205de5541127p-4, 0x1.8d944e27bc4e1p-4, 0x1.892b62ac59ffdp-4, 0x1.84cb1b31df61p-4, 0x1.807376ba76c79p-4, 0x1.7c2473fccca3cp-4, 0x1.77de116528a03p-4, 0x1.73a04d1687fc5p-4, 0x1.6f6b24ebb8f58p-4, 0x1.6b3e9678738cap-4, 0x1.671a9f0a743a8p-4, 0x1.62ff3baa964b3p-4, 0x1.5eec691dec1bfp-4, 0x1.5ae223e6d9d02p-4, 0x1.56e068462dbcep-4, 0x1.52e7323c395b3p-4, 0x1.4ef67d89e8d25p-4, 0x1.4b0e45b1dbbd3p-4, 0x1.472e85f97b1f7p-4, 0x1.4357396a11496p-4, 0x1.3f885ad1deebdp-4, 0x1.3bc1e4c531673p-4, 0x1.3803d19f7676bp-4, 0x1.344e1b845062fp-4, 0x1.30a0bc60a9da6p-4, 0x1.2cfbadebc590ep-4, 0x1.295ee9a8529f3p-4, 0x1.25ca68e57b9bbp-4, 0x1.223e24bff3f01p-4, 0x1.1eba162308b49p-4, 0x1.1b3e35c9abe95p-4, 0x1.17ca7c3f80918p-4, 0x1.145ee1e1e646fp-4, 0x1.10fb5ee10067dp-4, 0x1.0d9feb40c09c8p-4, 0x1.0a4c7ed9eb61cp-4, 0x1.0701115b1dfb3p-4, 0x1.03bd9a49d21c8p-4, 0x1.00821103602a5p-4, 0x1.fa9cd97bffcbap-5, 0x1.f44549138d42fp-5, 0x1.edfd5ea34aeccp-5, 0x1.e7c507b8ca5f1p-5, 0x1.e19c319b3d61bp-5, 0x1.db82c94d6b4ebp-5, 0x1.d578bb8f98ba4p-5, 0x1.cf7df4e17190dp-5, 0x1.c9926183f1733p-5, 0x1.c3b5ed7b412a1p-5, 0x1.bde8849096ea6p-5, 0x1.b82a12540e28p-5, 0x1.b27a821e7e59bp-5, 0x1.acd9bf134a5a4p-5, 0x1.a747b4222daccp-5, 0x1.a1c44c0907a4ap-5, 0x1.9c4f71559ecfcp-5, 0x1.96e90e675ebffp-5, 0x1.91910d71162e2p-5, 0x1.8c47587aae6e4p-5, 0x1.870bd962dd422p-5, 0x1.81de79e0d1bfp-5, 0x1.7cbf2385df173p-5, 0x1.77adbfbf22762p-5, 0x1.72aa37d7206bp-5, 0x1.6db474f76361bp-5, 0x1.68cc602a0f8d5p-5, 0x1.63f1e25b75109p-5, 0x1.5f24e45b9d92fp-5, 0x1.5a654edfd4e94p-5, 0x1.55b30a84294c2p-5, 0x1.510dffccedab3p-5, 0x1.4c7617282d93p-5, 0x1.47eb38ef26b44p-5, 0x1.436d4d67b2f04p-5, 0x1.3efc3cc5b5e92p-5, 0x1.3a97ef2c80b91p-5, 0x1.36404cb031ca4p-5, 0x1.31f53d571075cp-5, 0x1.2db6a91ae0311p-5, 0x1.298477ea34c9fp-5, 0x1.255e91a9bcc78p-5, 0x1.2144de3584c2fp-5, 0x1.1d3745623cdbap-5, 0x1.1935aefe74ac3p-5, 0x1.154002d3cdbeep-5, 0x1.115628a83349ap-5, 0x1.0d78083f02c88p-5, 0x1.09a5895a3600cp-5, 0x1.05de93bb85a06p-5, 0x1.02230f2584d43p-5, 0x1.fce5c6b976ea5p-6, 0x1.f59bf05171a67p-6, 0x1.ee686aaa48112p-6, 0x1.e74b056581623p-6, 0x1.e0439030ee4d3p-6, 0x1.d951dac8a72dap-6, 0x1.d275b4f8fab84p-6, 0x1.cbaeeea061994p-6, 0x1.c4fd57b15538ap-6, 0x1.be60c03430586p-6, 0x1.b7d8f848f5a9cp-6, 0x1.b165d0291391ap-6, 0x1.ab07182924681p-6, 0x1.a4bca0ba96171p-6, 0x1.9e863a6d575a9p-6, 0x1.9863b5f16fe3cp-6, 0x1.9254e418987c9p-6, 0x1.8c5995d7c2fc1p-6, 0x1.86719c489a7dp-6, 0x1.809cc8aafea72p-6, 0x1.7adaec666eca1p-6, 0x1.752bd90b6f55fp-6, 0x1.6f8f6054ec841p-6, 0x1.6a05542983aaap-6, 0x1.648d869cd8861p-6, 0x1.5f27c9f0cfc5dp-6, 0x1.59d3f096ce856p-6, 0x1.5491cd30e3f59p-6, 0x1.4f613292f7f1fp-6, 0x1.4a41f3c3e6976p-6, 0x1.4533e3fe9a716p-6, 0x1.4036d6b31ab1ap-6, 0x1.3b4a9f8790f55p-6, 0x1.366f12594ad23p-6, 0x1.31a4033daa7f5p-6, 0x1.2ce9468323754p-6, 0x1.283eb0b20d88fp-6, 0x1.23a4168d96fd5p-6, 0x1.1f194d1492b18p-6, 0x1.1a9e298249d3dp-6, 0x1.1632814f43ba5p-6, 0x1.11d62a320aebbp-6, 0x1.0d88fa1fe57c6p-6, 0x1.094ac74d87cbap-6, 0x1.051b682fbcb18p-6, 0x1.00fab37c156b4p-6, 0x1.f9d10052f3b91p-7, 0x1.f1c94ae194d17p-7, 0x1.e9ddf59ad7f6ep-7, 0x1.e20eaffba98adp-7, 0x1.da5b2a08189d5p-7, 0x1.d2c3144c5879cp-7, 0x1.cb461fdda775fp-7, 0x1.c3e3fe5b3b62cp-7, 0x1.bc9c61ef0964ap-7, 0x1.b56efd4e9bdfcp-7, 0x1.ae5b83bbc3cc2p-7, 0x1.a761a9055984fp-7, 0x1.a0812187d4c7ep-7, 0x1.99b9a22deff68p-7, 0x1.930ae0713a73fp-7, 0x1.8c74925a98b77p-7, 0x1.85f66e82bbec9p-7, 0x1.7f902c12a36dfp-7, 0x1.794182c3ee65cp-7, 0x1.730a2ae1428acp-7, 0x1.6ce9dd469f298p-7, 0x1.66e05361a21a3p-7, 0x1.60ed4731c9e66p-7, 0x1.5b107348a8734p-7, 0x1.554992ca0ea28p-7, 0x1.4f98616c368b3p-7, 0x1.49fc9b77d9fe2p-7, 0x1.4475fdc84465ap-7, 0x1.3f0445cb5962cp-7, 0x1.39a73181a033ep-7, 0x1.345e7f7e3752p-7, 0x1.2f29eee6c3b13p-7, 0x1.2a093f735d0cdp-7, 0x1.24fc316e74b66p-7, 0x1.200285b4a91cp-7, 0x1.1b1bfdb4a07d6p-7, 0x1.16485b6ed2bc4p-7, 0x1.1187617549539p-7, 0x1.0cd8d2eb6fa19p-7, 0x1.083c7385b91d8p-7, 0x1.03b207895ec5ep-7, 0x1.fe72a7980a647p-8, 0x1.f5a43b66cce2cp-8, 0x1.ecf85669eb255p-8, 0x1.e46e85aada6cdp-8, 0x1.dc065750e8b75p-8, 0x1.d3bf5aa044c51p-8, 0x1.cb991ff914c0ep-8, 0x1.c39338d68086p-8, 0x1.bbad37cdc9f86p-8, 0x1.b3e6b08d1254bp-8, 0x1.ac3f37da7ea31p-8, 0x1.a4b66392e6823p-8, 0x1.9d4bcaa8dfd58p-8, 0x1.95ff0523609d4p-8, 0x1.8ecfac1cbb71ap-8, 0x1.87bd59c13227dp-8, 0x1.80c7a94dcc957p-8, 0x1.79ee370f00e1fp-8, 0x1.7330a05f656a6p-8, 0x1.6c8e83a6482f9p-8, 0x1.660780565b60dp-8, 0x1.5f9b36ec3b565p-8, 0x1.594948ed0cc0ep-8, 0x1.531158e4fd038p-8, 0x1.4cf30a65d12fbp-8, 0x1.46ee0205584c3p-8, 0x1.4101e55be926p-8, 0x1.3b2e5b02dd98dp-8, 0x1.35730a92f1b18p-8, 0x1.2fcf9ca2c377ep-8, 0x1.2a43bac52205dp-8, 0x1.24cf0f877cfd8p-8, 0x1.1f71467040936p-8, 0x1.1a2a0bfd257dap-8, 0x1.14f90da19720bp-8, 0x1.0fddf9c4ed41ep-8, 0x1.0ad87fc0d9cd6p-8, 0x1.05e84fdf8c048p-8, 0x1.010d1b5a2ce68p-8, 0x1.f88d28add9f52p-9, 0x1.ef28dbcee5db6p-9, 0x1.e5ecb80dffc2cp-9, 0x1.dcd827316e63p-9, 0x1.d3ea94cbdc37fp-9, 0x1.cb236e3872851p-9, 0x1.c28222979c1c4p-9, 0x1.ba0622cb43d8bp-9, 0x1.b1aee17351073p-9, 0x1.a97bd2ea0dd93p-9, 0x1.a16c6d4087a75p-9, 0x1.9980283ae0906p-9, 0x1.91b67d4cd843ap-9, 0x1.8a0ee795f908fp-9, 0x1.8288e3de2fbdfp-9, 0x1.7b23f091d7a72p-9, 0x1.73df8dbe7794ep-9, 0x1.6cbb3d0eb9708p-9, 0x1.65b681c715ed7p-9, 0x1.5ed0e0c20a931p-9, 0x1.5809e06c5b088p-9, 0x1.516108c1a9122p-9, 0x1.4ad5e3488cc5p-9, 0x1.4467fb0f2a43fp-9, 0x1.3e16dca75e375p-9, 0x1.37e216234f08dp-9, 0x1.31c937117ee62p-9, 0x1.2bcbd0799e4a1p-9, 0x1.25e974d86252cp-9, 0x1.2021b81c75b15p-9, 0x1.1a742fa260736p-9, 0x1.14e072315ccd1p-9, 0x1.0f6617f77b1f1p-9, 0x1.0a04ba861cadep-9, 0x1.04bbf4ce7abc2p-9, 0x1.ff16c63c1d5ccp-10, 0x1.f4e54635def93p-10, 0x1.eae2a78102a95p-10, 0x1.e10e2ab75867ep-10, 0x1.d767130f55005p-10, 0x1.cdeca6545fbb4p-10, 0x1.c49e2ce0c0a0fp-10, 0x1.bb7af195db01fp-10, 0x1.b28241d5d5eb1p-10, 0x1.a9b36d7ca8191p-10, 0x1.a10dc6d92cee4p-10, 0x1.9890a2a6546dcp-10, 0x1.903b5804a9e84p-10, 0x1.880d407330a62p-10, 0x1.8005b7c922dfep-10, 0x1.78241c2ef6f0bp-10, 0x1.7067ce17f4a5ep-10, 0x1.68d0303ba4476p-10, 0x1.615ca78f19985p-10, 0x1.5a0c9b3eb2cf2p-10, 0x1.52df74a777dacp-10, 0x1.4bd49f50d0591p-10, 0x1.44eb88e605c2ap-10, 0x1.3e23a12ff7214p-10, 0x1.377c5a0f0f334p-10, 0x1.30f5277473469p-10, 0x1.2a8d7f5c7d176p-10, 0x1.2444d9c806f0fp-10, 0x1.1e1ab0b6a9e04p-10, 0x1.180e802059c51p-10, 0x1.121fc5efbc497p-10, 0x1.0c4e01fbdb77cp-10, 0x1.0698b6024b27dp-10, 0x1.00ff65a1706d3p-10, 0x1.f7032ca4af47ep-11, 0x1.ec3d9ec656fdap-11, 0x1.e1ad33e2b2e2ap-11, 0x1.d75101c7a9e64p-11, 0x1.cd2821cabb9b6p-11, 0x1.c331b0be5d921p-11, 0x1.b96ccee5cd7fbp-11, 0x1.afd89feafe42bp-11, 0x1.a6744ad303d7p-11, 0x1.9d3ef9f3881bp-11, 0x1.9437dae7f7f7fp-11, 0x1.8b5e1e8688b02p-11, 0x1.82b0f8d5fa8cep-11, 0x1.7a2fa102fc4cp-11, 0x1.71d95155bef7dp-11, 0x1.69ad4727b32d5p-11, 0x1.61aac2d9333f2p-11, 0x1.59d107c79152cp-11, 0x1.521f5c43091edp-11, 0x1.4a950984830c1p-11, 0x1.43315ba4771efp-11, 0x1.3bf3a19029a99p-11, 0x1.34db2d00ffb2fp-11, 0x1.2de752726f5aap-11, 0x1.2717691862a1bp-11, 0x1.206acad67c0d9p-11, 0x1.19e0d43608d9cp-11, 0x1.1378e45d8b69ap-11, 0x1.0d325d06fe89ep-11, 0x1.070ca2776957dp-11, 0x1.01071b759400ep-11, 0x1.f6426282a2b3dp-12, 0x1.eab49f15bc9ddp-12, 0x1.df63c8d48f403p-12, 0x1.d44ec0ad1c30ep-12, 0x1.c9746c3b35aap-12, 0x1.bed3b5b77d5bap-12, 0x1.b46b8be645851p-12, 0x1.aa3ae2088fd5bp-12, 0x1.a040afca78143p-12, 0x1.967bf133f13eep-12, 0x1.8ceba698bd6a9p-12, 0x1.838ed48917859p-12, 0x1.7a6483c16c293p-12, 0x1.716bc11c472c4p-12, 0x1.68a39d81f9fd5p-12, 0x1.600b2dda5410dp-12, 0x1.57a18afddf01bp-12, 0x1.4f65d1a6e6749p-12, 0x1.475722634f989p-12, 0x1.3f74a18606d27p-12, 0x1.37bd77193a518p-12, 0x1.3030ced07fed8p-12, 0x1.28cdd7fa329adp-12, 0x1.2193c572c3525p-12, 0x1.1a81cd96dcaeap-12, 0x1.13972a3675adp-12, 0x1.0cd31886a186ap-12, 0x1.0634d9160f3cp-12, 0x1.ff775f7e597eap-13, 0x1.f2cdc736fd3a3p-13, 0x1.e66b7defb540fp-13, 0x1.da4f1e8ec004cp-13, 0x1.ce774a2eb1c36p-13, 0x1.c2e2a8078cd72p-13, 0x1.b78fe554bbfcfp-13, 0x1.ac7db53fb7dcap-13, 0x1.a1aad0c7a1713p-13, 0x1.9715f6aadfa77p-13, 0x1.8cbdeb4fd5808p-13, 0x1.82a178af80652p-13, 0x1.78bf6e3e5eebcp-13, 0x1.6f16a0d7accbep-13, 0x1.65a5eaa6eadebp-13, 0x1.5c6c2b1386422p-13, 0x1.536846ab7a468p-13, 0x1.4a99270ec8bafp-13, 0x1.41fdbadac6fdfp-13, 0x1.3994f59674c48p-13, 0x1.315dcf9e37f45p-13, 0x1.29574610a14e1p-13, 0x1.21805abb16f8cp-13, 0x1.19d814063b7f2p-13, 0x1.125d7ce3d481fp-13, 0x1.0b0fa4bb9dcb9p-13, 0x1.03ed9f591fcbdp-13, 0x1.f9ed09b4eb56ep-14, 0x1.ec52e3395bf6p-14, 0x1.df0b0c58e3852p-14, 0x1.d213ce65160adp-14, 0x1.c56b7ac927d96p-14, 0x1.b9106ae5cec41p-14, 0x1.ad00fff129c16p-14, 0x1.a13ba2d582bc8p-14, 0x1.95bec41141342p-14, 0x1.8a88db97446f2p-14, 0x1.7f9868ae6a056p-14, 0x1.74ebf1d3d1e3fp-14, 0x1.6a82049c0358ep-14, 0x1.60593593e1d7dp-14, 0x1.56702024512cbp-14, 0x1.4cc5667414702p-14, 0x1.4357b14b567bdp-14, 0x1.3a25aff749404p-14, 0x1.312e182de1622p-14, 0x1.286fa5f1a0139p-14, 0x1.1fe91b789aabp-14, 0x1.1799410ea965dp-14, 0x1.0f7ee4fd734e4p-14, 0x1.0798db710aaafp-14, 0x1.ffcbfcbd85bbcp-15, 0x1.f0ca5ad73e716p-15, 0x1.e22a9ba75d687p-15, 0x1.d3ea94a332091p-15, 0x1.c608260c9df6dp-15, 0x1.b8813ac188eefp-15, 0x1.ab53c80f57d44p-15, 0x1.9e7dcd82c4b5ep-15, 0x1.91fd54bae7f87p-15, 0x1.85d0713bcf489p-15, 0x1.79f5404432f39p-15, 0x1.6e69e89f77b1bp-15, 0x1.632c9a7d2097p-15, 0x1.583b8f4543c44p-15, 0x1.4d9509706e31ap-15, 0x1.4337545ba5cd7p-15, 0x1.3920c424eefbfp-15, 0x1.2f4fb580072d9p-15, 0x1.25c28d8fca881p-15, 0x1.1c77b9c1a6dcdp-15, 0x1.136dafa5f2be4p-15, 0x1.0aa2eccbd364bp-15, 0x1.0215f69bc8b27p-15, 0x1.f38ab4681624cp-16, 0x1.e35f588ad8f69p-16, 0x1.d3a711dffb496p-16, 0x1.c45f2741a4c3ap-16, 0x1.b584eddf95573p-16, 0x1.a715c8fca9405p-16, 0x1.990f29af1f2fp-16, 0x1.8b6e8e9e0536ep-16, 0x1.7e3183c2423f2p-16, 0x1.7155a228f670bp-16, 0x1.64d88fb4ff25dp-16, 0x1.58b7fee550cc1p-16, 0x1.4cf1ae932cdfp-16, 0x1.418369be454bap-16, 0x1.366b07516e9fep-16, 0x1.2ba669e77135fp-16, 0x1.21337f94f5805p-16, 0x1.171041b37d1b1p-16, 0x1.0d3ab4a8a11aep-16, 0x1.03b0e7b286248p-16, 0x1.f4e1e96993267p-17, 0x1.e2f200062cc32p-17, 0x1.d18e705e81e84p-17, 0x1.c0b3abb2b9787p-17, 0x1.b05e36f940002p-17, 0x1.a08aaa84579adp-17, 0x1.9135b19e6dcbdp-17, 0x1.825c0a305401p-17, 0x1.73fa8464dfb5fp-17, 0x1.660e02528f2f2p-17, 0x1.5893779f6a777p-17, 0x1.4b87e92cf7445p-17, 0x1.3ee86cc1ee432p-17, 0x1.32b228b426e0ep-17, 0x1.26e2539dbb48bp-17, 0x1.1b763406045c7p-17, 0x1.106b201255477p-17, 0x1.05be7d39c7a11p-17, 0x1.f6db7ff2dceb6p-18, 0x1.e2ecd70e63c42p-18, 0x1.cfac230bce51ep-18, 0x1.bd14a382d682ap-18, 0x1.ab21b3c7989dfp-18, 0x1.99ceca5f8bb7ep-18, 0x1.891778725d859p-18, 0x1.78f7694cac696p-18, 0x1.696a61d0bca88p-18, 0x1.5a6c3ff9ddf5ap-18, 0x1.4bf8fa58241f5p-18, 0x1.3e0c9f9483576p-18, 0x1.30a355f212f93p-18, 0x1.23b95ad5c675dp-18, 0x1.174b024e92a16p-18, 0x1.0b54b69d99ea6p-18, 0x1.ffa5ef8d18a79p-19, 0x1.e984b637cb40bp-19, 0x1.d43f159d7af2p-19, 0x1.bfce8b017e7ep-19, 0x1.ac2cbbb4cd19ep-19, 0x1.99537445c2cb5p-19, 0x1.873ca7abde112p-19, 0x1.75e26e7b6739dp-19, 0x1.653f061e71664p-19, 0x1.554cd0176bc72p-19, 0x1.46065137b129ep-19, 0x1.376630e59061dp-19, 0x1.29673862256d3p-19, 0x1.1c045214eb62ap-19, 0x1.0f3888d6eb38cp-19, 0x1.02ff0746b75bdp-19, 0x1.eea62e2e61857p-20, 0x1.d86040d2adf3bp-20, 0x1.c323524a3513ap-20, 0x1.aee6a8b915052p-20, 0x1.9ba1c340a264bp-20, 0x1.894c58d46f992p-20, 0x1.77de570f52fb3p-20, 0x1.674fe0ed472d3p-20, 0x1.57994db964711p-20, 0x1.48b327dd0f794p-20, 0x1.3a962bd15ca93p-20, 0x1.2d3b46f8792e6p-20, 0x1.209b96938e061p-20, 0x1.14b066aeb4d14p-20, 0x1.09733124b6f83p-20, 0x1.fdbb39234a6a5p-21, 0x1.e9d2f6af4f3afp-21, 0x1.d7219555e5c73p-21, 0x1.c59b6320423fap-21, 0x1.b534fffe7b47fp-21, 0x1.a5e35bcfad912p-21, 0x1.979bb4b2bd63dp-21, 0x1.8a53952896de2p-21, 0x1.7e00d269a238ap-21, 0x1.72998ab851ca4p-21, 0x1.6814239d9634p-21, 0x1.5e67485b33df1p-21, 0x1.5589e858a6d3fp-21, 0x1.4d733581e1b42p-21, 0x1.461aa2c76aeep-21, 0x1.3f77e29d7175p-21, 0x1.3982e57a34c59p-21, 0x1.3433d86a5406ep-21, 0x1.2f8323a678e51p-21, 0x1.2b696934bbb4dp-21, 0x1.27df8383329bbp-21, 0x1.24de8416c979ep-21, 0x1.225fb23ae5702p-21, 0x1.205c89b985307p-21, 0x1.1eceb99a60f33p-21, 0x1.1db022f60a15fp-21, 0x1.1cfad7aae19c9p-21, 0x1.1ca9193b95185p-21, 0x1.1cb557a9e5c7dp-21, 0x1.1d1a305201e83p-21, 0x1.1dd26cd267fc7p-21, 0x1.1ed901f2317cep-21, 0x1.20290e9279c84p-21, 0x1.21bdda9db931ep-21, 0x1.2392d60e5bfb2p-21, 0x1.25a397ee8f63fp-21, 0x1.27ebdd54168b6p-21, 0x1.2a67887437ac4p-21, 0x1.2d129fb304764p-21, 0x1.2fe94cb82b919p-21, 0x1.32e7db879221dp-21, 0x1.360ab9a936112p-21, 0x1.394e7545d5e5p-21, 0x1.3cafbc4966b08p-21, 0x1.402b5b9d55243p-21, 0x1.43be3e54762b7p-21, 0x1.47656ce407b44p-21, 0x1.4b1e0c59fc18dp-21, 0x1.4ee55da037f4bp-21, 0x1.52b8bcbf015ebp-21, 0x1.5695a023a3bcep-21, 0x1.5a7997eab8ff6p-21, 0x1.5e624d30263a3p-21, 0x1.624d816809f2p-21, 0x1.66390daac90edp-21, 0x1.6a22e21acb603p-21, 0x1.6e09053a3fep-21, 0x1.71e9935205345p-21, 0x1.75c2bdd485b7dp-21, 0x1.7992cac8e56a5p-21, 0x1.7d5814364517dp-21, 0x1.81110793e7ba5p-21, 0x1.84bc2539f4a79p-21, 0x1.8857ffda01881p-21, 0x1.8be33bf71af2fp-21, 0x1.8f5c8f6545bbdp-21, 0x1.92c2c0c7bbd27p-21, 0x1.9614a70db5e45p-21, 0x1.995128fc4c894p-21, 0x1.9c773cb882b6fp-21, 0x1.9f85e74a7dc15p-21, 0x1.a27c3c337684p-21, 0x1.a5595cfa227fcp-21, 0x1.a81c78b819ecp-21, 0x1.aac4cbbab6528p-21, 0x1.ad519f1461985p-21, 0x1.afc248333066p-21, 0x1.b216288709d56p-21, 0x1.b44cad18035cbp-21, 0x1.b6654e2ecb05bp-21, 0x1.b85f8ef1c4f59p-21, 0x1.ba3afd0dab5dfp-21, 0x1.bbf7305de2cb2p-21, 0x1.bd93ca9a3a564p-21, 0x1.bf1076fc91f71p-21, }}, 
      std::vector<double>(900, 0.0), 
      {{0x1.a728c48e99252p-8, 0x1.a6e32bf1c3a64p-7, 0x1.3cae209fd2129p-6, 0x1.a50dd2c77f983p-6, 0x1.060378eb025f8p-5, 0x1.3887cf51289b6p-5, 0x1.69d873b05ff67p-5, 0x1.99c9182dbcec2p-5, 0x1.c83ec1d9fc70ep-5, 0x1.f52f5b4380a8cp-5, 0x1.104fda74feda3p-4, 0x1.255060747385bp-4, 0x1.39a64a89027ffp-4, 0x1.4d61c3ae81f4cp-4, 0x1.6094c8e6ffd1ep-4, 0x1.735209633666ep-4, 0x1.85abf864f3cf5p-4, 0x1.97b4108aad118p-4, 0x1.a97a460e76c2ap-4, 0x1.bb0ca436116dfp-4, 0x1.cc77115433ed5p-4, 0x1.ddc3342638dddp-4, 0x1.eef87503a9124p-4, 0x1.000e0aa093162p-3, 0x1.0898aba93baa2p-3, 0x1.111cd94d635e1p-3, 0x1.199a873420419p-3, 0x1.22110021b719p-3, 0x1.2a7f053937843p-3, 0x1.32e2ec239db58p-3, 0x1.3b3abb3db27cap-3, 0x1.43844339b685dp-3, 0x1.4bbd35e21a0bdp-3, 0x1.53e339ddcece1p-3, 0x1.5bf3fb7e07293p-3, 0x1.63ed3ab90f4e9p-3, 0x1.6bccd68851412p-3, 0x1.7390d5e9ca72p-3, 0x1.7b376ec9952dfp-3, 0x1.82bf0b179d15p-3, 0x1.8a264c4a5afd5p-3, 0x1.916c0d89d2156p-3, 0x1.988f64b7f9582p-3, 0x1.9f8fa284dd2eap-3, 0x1.a66c51b683551p-3, 0x1.ad2535c6c5862p-3, 0x1.b3ba48f408701p-3, 0x1.ba2bb9dd86dcdp-3, 0x1.c079e8c024e8p-3, 0x1.c6a56465f15bfp-3, 0x1.ccaee6d8244adp-3, 0x1.d29751e193612p-3, 0x1.d85fab6e52808p-3, 0x1.de0919d3e9d05p-3, 0x1.e394e00cd45fap-3, 0x1.e90459f0ffc21p-3, 0x1.ee58f8748667dp-3, 0x1.f3943df4fe249p-3, 0x1.f8b7ba9d20923p-3, 0x1.fdc508e5c98dbp-3, 0x1.015ee51d50068p-2, 0x1.03d1d1e3e805dp-2, 0x1.063c1dbaccc94p-2, 0x1.089e9a8ac30dep-2, 0x1.0afa17e225ap-2, 0x1.0d4f61c1500cdp-2, 0x1.0f9f3f833690ep-2, 0x1.11ea72e28338bp-2, 0x1.1431b71b3833fp-2, 0x1.1675c02881277p-2, 0x1.18b73a1e1285dp-2, 0x1.1af6c89c39b68p-2, 0x1.1d35065d7f4a1p-2, 0x1.1f7284dc96a89p-2, 0x1.21afcc112a3abp-2, 0x1.23ed5a41f6088p-2, 0x1.262ba3ea93d28p-2, 0x1.286b13b34bd73p-2, 0x1.2aac0a7934a91p-2, 0x1.2ceedf64f06fcp-2, 0x1.2f33e00e62af7p-2, 0x1.317b50abbb043p-2, 0x1.33c56c4a47abbp-2, 0x1.3612650f96136p-2, 0x1.386264817c4b3p-2, 0x1.3ab58bd3b9986p-2, 0x1.3d0bf43a070c4p-2, 0x1.3f65af3d6e5f3p-2, 0x1.41c2c713f6ee6p-2, 0x1.44233ef9bd1f7p-2, 0x1.4687138aa8895p-2, 0x1.48ee3b1c16ad8p-2, 0x1.4b58a615d6a6ap-2, 0x1.4dc63f49fe2bcp-2, 0x1.5036ec4b1e85bp-2, 0x1.52aa8dc087374p-2, 0x1.5520ffb849d35p-2, 0x1.579a19f6caa8bp-2, 0x1.5a15b043aec59p-2, 0x1.5c9392b40eb06p-2, 0x1.5f138df1dfc42p-2, 0x1.61956b8083089p-2, 0x1.6418f1fe85662p-2, 0x1.669de56492881p-2, 0x1.69240741a8ef2p-2, 0x1.6bab16f4a6858p-2, 0x1.6e32d1e33d879p-2, 0x1.70baf3ae716dbp-2, 0x1.73433664adddbp-2, 0x1.75cb52b1a08c2p-2, 0x1.7853000be25ccp-2, 0x1.7ad9f4e09df16p-2, 0x1.7d5fe6bd3f858p-2, 0x1.7fe48a77545cp-2, 0x1.82679452ae686p-2, 0x1.84e8b825e709ap-2, 0x1.8767a97d58247p-2, 0x1.89e41bbc9c542p-2, 0x1.8c5dc23eb105dp-2, 0x1.8ed45074c6ce7p-2, 0x1.91477a03d436fp-2, 0x1.93b6f2e0f2785p-2, 0x1.96226f6c99445p-2, 0x1.9889a48cbf51dp-2, 0x1.9aec47c5e8eap-2, 0x1.9d4a0f532e934p-2, 0x1.9fa2b23d42e3cp-2, 0x1.a1f5e8707a8f5p-2, 0x1.a4436ad1dd4a2p-2, 0x1.a68af35343e56p-2, 0x1.a8cc3d0682549p-2, 0x1.ab07042fa5159p-2, 0x1.ad3b0656434cbp-2, 0x1.af680255df6d5p-2, 0x1.b18db86d64814p-2, 0x1.b3abea4db2dd1p-2, 0x1.b5c25b2749037p-2, 0x1.b7d0cfb6ffea8p-2, 0x1.b9d70e51e3e0bp-2, 0x1.bbd4def023068p-2, 0x1.bdca0b371786cp-2, 0x1.bfb65e826fbfp-2, 0x1.c199a5ec6ea16p-2, 0x1.c373b055509fdp-2, 0x1.c5444e69cf697p-2, 0x1.c70b52a8c7fe4p-2, 0x1.c8c891680be5cp-2, 0x1.ca7be0d859217p-2, 0x1.cc25190882899p-2, 0x1.cdc413e7c7b1ap-2, 0x1.cf58ad4766735p-2, 0x1.d0e2c2db65ae2p-2, 0x1.d262343aa208dp-2, 0x1.d3d6e2de1ee64p-2, 0x1.d540b21fa76fp-2, 0x1.d69f8737bc298p-2, 0x1.d7f3493ade48dp-2, 0x1.d93be11636ef9p-2, 0x1.da79398ba5d5bp-2, 0x1.dbab3f2d3b471p-2, 0x1.dcd1e05828797p-2, 0x1.dded0d2f2b1p-2, 0x1.defcb79479144p-2, 0x1.e000d32339b3cp-2, 0x1.e0f955288f9a4p-2, 0x1.e1e6349c3a2eap-2, 0x1.e2c76a18dc361p-2, 0x1.e39cefd3e5ab5p-2, 0x1.e466c195310ebp-2, 0x1.e524dcae5662cp-2, 0x1.e5d73ff1bc304p-2, 0x1.e67deba96eedp-2, 0x1.e718e18dc47cfp-2, 0x1.e7a824bbd2667p-2, 0x1.e82bb9abbf154p-2, 0x1.e8a3a626f2212p-2, 0x1.e90ff13e2b827p-2, 0x1.e970a33f89a08p-2, 0x1.e9c5c5ac7f8ap-2, 0x1.ea0f632fc343p-2, 0x1.ea4d87933a50fp-2, 0x1.ea803fb5eb1c9p-2, 0x1.eaa79981f0f7cp-2, 0x1.eac3a3e2822b7p-2, 0x1.ead46eba0174fp-2, 0x1.eada0ad827b39p-2, 0x1.ead489f044047p-2, 0x1.eac3fe8f9a37p-2, 0x1.eaa87c13de489p-2, 0x1.ea8216a1d7043p-2, 0x1.ea50e31c204d3p-2, 0x1.ea14f71a1a458p-2, 0x1.e9ce68df01cc3p-2, 0x1.e97d4f513647ep-2, 0x1.e921c1f1ac4e2p-2, 0x1.e8bbd8d394a07p-2, 0x1.e84bac9432a93p-2, 0x1.e7d15652e58cbp-2, 0x1.e74cefa968a3fp-2, 0x1.e6be92a448bfp-2, 0x1.e62659bb8d4c4p-2, 0x1.e5845fcb9aacbp-2, 0x1.e4d8c00e4bf2ap-2, 0x1.e423961443297p-2, 0x1.e364fdbe72594p-2, 0x1.e29d1337d9c28p-2, 0x1.e1cbf2ef7fb63p-2, 0x1.e0f1b9929ef7bp-2, 0x1.e00e84070cf97p-2, 0x1.df226f65d31ep-2, 0x1.de2d98f601964p-2, 0x1.dd301e27b3f2ap-2, 0x1.dc2a1c8f4a7aep-2, 0x1.db1bb1e0d8bd3p-2, 0x1.da04fbebc1daep-2, 0x1.d8e618968bceap-2, 0x1.d7bf25dadceb8p-2, 0x1.d69041c1ae22bp-2, 0x1.d5598a5fa5bfap-2, 0x1.d41b1dd1a1a38p-2, 0x1.d2d51a396c2a9p-2, 0x1.d1879dba9ad9p-2, 0x1.d032c67796cffp-2, 0x1.ced6b28eca344p-2, 0x1.cd738017f6ecap-2, 0x1.cc094d21af3d1p-2, 0x1.ca9837aef3c48p-2, 0x1.c9205db4f2064p-2, 0x1.c7a1dd18e3efap-2, 0x1.c61cd3ae0fe91p-2, 0x1.c4915f33e49c9p-2, 0x1.c2ff9d5432a46p-2, 0x1.c167aba184218p-2, 0x1.bfc9a795888d9p-2, 0x1.be25ae8fa037p-2, 0x1.bc7bddd378e49p-2, 0x1.bacc5287c62d8p-2, 0x1.b91729b50a18p-2, 0x1.b75c804476589p-2, 0x1.b59c72fede479p-2, 0x1.b3d71e8bb98dap-2, 0x1.b20c9f703a9a4p-2, 0x1.b03d120e716aep-2, 0x1.ae6892a47feap-2, 0x1.ac8f3d4bd9bd5p-2, 0x1.aab12df892971p-2, 0x1.a8ce8078b7164p-2, 0x1.a6e75073b1156p-2, 0x1.a4fbb969b7d9ep-2, 0x1.a30bd6b347bcfp-2, 0x1.a117c380a2301p-2, 0x1.9f1f9ad958bffp-2, 0x1.9d23779bdabb1p-2, 0x1.9b23747d0f29p-2, 0x1.991fac07ee50cp-2, 0x1.9718389d26aecp-2, 0x1.950d3472c17ap-2, 0x1.92feb993d1b7bp-2, 0x1.90ece1e0203a7p-2, 0x1.8ed7c70be14e8p-2, 0x1.8cbf829f6ad6cp-2, 0x1.8aa42df6e9f8fp-2, 0x1.8885e24221255p-2, 0x1.8664b88423099p-2, 0x1.8440c99311eadp-2, 0x1.821a2e17de8d8p-2, 0x1.7ff0fe8e0a32ep-2, 0x1.7dc5534367439p-2, 0x1.7b974457dbbd4p-2, 0x1.7966e9bd25d2fp-2, 0x1.77345b369d791p-2, 0x1.74ffb058f6d3p-2, 0x1.72c9008a0895fp-2, 0x1.709063008bd26p-2, 0x1.6e55eec3e0243p-2, 0x1.6c19baabcf71bp-2, 0x1.69dbdd604f072p-2, 0x1.679c6d5942046p-2, 0x1.655b80de3bca2p-2, 0x1.63192e064115ap-2, 0x1.60d58ab7883afp-2, 0x1.5e90aca73b92ap-2, 0x1.5c4aa95937f1ap-2, 0x1.5a03961fcc733p-2, 0x1.57bb881b7ab36p-2, 0x1.5572943ab7ea9p-2, 0x1.5328cf39a7706p-2, 0x1.50de4da1deeb4p-2, 0x1.4e9323ca22255p-2, 0x1.4c4765d623b7p-2, 0x1.49fb27b643f01p-2, 0x1.47ae7d274fc03p-2, 0x1.456179b240f16p-2, 0x1.431430abfe624p-2, 0x1.40c6b5351bd05p-2, 0x1.3e791a399b63fp-2, 0x1.3c2b7270b08e2p-2, 0x1.39ddd05c7ef1bp-2, 0x1.37904649e3692p-2, 0x1.3542e650335ffp-2, 0x1.32f5c25106ba5p-2, 0x1.30a8ebf7fb93fp-2, 0x1.2e5c74ba7fb72p-2, 0x1.2c106dd79bd5cp-2, 0x1.29c4e857b9ec5p-2, 0x1.2779f50c77844p-2, 0x1.252fa4906f2bp-2, 0x1.22e607470b959p-2, 0x1.209d2d5c59026p-2, 0x1.1e5526c4d8cd3p-2, 0x1.1c0e033d58183p-2, 0x1.19c7d24ac7c5cp-2, 0x1.1782a33a18689p-2, 0x1.153e85201551ap-2, 0x1.12fb86d94556ap-2, 0x1.10b9b709cce9ep-2, 0x1.0e79241d50a28p-2, 0x1.0c39dc46deceap-2, 0x1.09fbed80d6d22p-2, 0x1.07bf658cd6aep-2, 0x1.058451f3aa49fp-2, 0x1.034ac0053dd1ep-2, 0x1.0112bcd89165cp-2, 0x1.fdb8aa9765e1cp-3, 0x1.f94f2c0771c67p-3, 0x1.f4e916d97e3a2p-3, 0x1.f0868373d244p-3, 0x1.ec2789cacb3b5p-3, 0x1.e7cc4160ed7ep-3, 0x1.e374c146f5269p-3, 0x1.df21201bf6987p-3, 0x1.dad1740d79c4p-3, 0x1.d685d2d7a703p-3, 0x1.d23e51c573f4cp-3, 0x1.cdfb05b0d5a14p-3, 0x1.c9bc0302feed3p-3, 0x1.c5815db4a0cfdp-3, 0x1.c14b294e2fd06p-3, 0x1.bd1978e838773p-3, 0x1.b8ec5f2babd49p-3, 0x1.b4c3ee523f612p-3, 0x1.b0a03826cbfd8p-3, 0x1.ac814e05b4dc5p-3, 0x1.a86740dd5737ep-3, 0x1.a452212e7845fp-3, 0x1.a041ff0cc4c28p-3, 0x1.9c36ea1f4971ep-3, 0x1.9830f1a0fefbcp-3, 0x1.9430246151619p-3, 0x1.903490c4af5e3p-3, 0x1.8c3e44c526174p-3, 0x1.884d4df2f5c47p-3, 0x1.8461b9753c543p-3, 0x1.807b940a91fe1p-3, 0x1.7c9aea09be759p-3, 0x1.78bfc76262ae2p-3, 0x1.74ea379db6d9ap-3, 0x1.711a45df3cf85p-3, 0x1.6d4ffce586c21p-3, 0x1.698b670af9cd8p-3, 0x1.65cc8e469579ap-3, 0x1.62137c2cc527ep-3, 0x1.5e6039f030b37p-3, 0x1.5ab2d06292308p-3, 0x1.570b47f591d2dp-3, 0x1.5369a8bba3973p-3, 0x1.4fcdfa68ecd7ap-3, 0x1.4c384454265a3p-3, 0x1.48a88d77880dcp-3, 0x1.451edc71b84a8p-3, 0x1.419b3786b950dp-3, 0x1.3e1da4a0df938p-3, 0x1.3aa62951c63ffp-3, 0x1.3734cad34c91dp-3, 0x1.33c98e088ec11p-3, 0x1.3064777ee89dp-3, 0x1.2d058b6ef826fp-3, 0x1.29accdbd9ca86p-3, 0x1.265a41fd04bdap-3, 0x1.230deb6db1d19p-3, 0x1.1fc7ccff87092p-3, 0x1.1c87e952d2e7bp-3, 0x1.194e42b960de2p-3, 0x1.161adb3789176p-3, 0x1.12edb4853e828p-3, 0x1.0fc6d00f292ddp-3, 0x1.0ca62ef7b450ep-3, 0x1.098bd2182603cp-3, 0x1.0677ba01b8b8dp-3, 0x1.0369e6feadac9p-3, 0x1.0062591369e44p-3, 0x1.fac21fff1844fp-4, 0x1.f4cc167e1046fp-4, 0x1.eee29416802cbp-4, 0x1.e90596b83df04p-4, 0x1.e3351bd2679f3p-4, 0x1.dd71205599d25p-4, 0x1.d7b9a0b61d5a5p-4, 0x1.d20e98ee28455p-4, 0x1.cc70048009c8bp-4, 0x1.c6ddde78643e2p-4, 0x1.c1582170574a6p-4, 0x1.bbdec78fbb9cdp-4, 0x1.b671ca8f525d8p-4, 0x1.b11123baef54dp-4, 0x1.abbccbf3a859dp-4, 0x1.a674bbb208456p-4, 0x1.a138eb08304dfp-4, 0x1.9c0951a403f12p-4, 0x1.96e5e6d1531b3p-4, 0x1.91cea17bf25cbp-4, 0x1.8cc37831e8c3bp-4, 0x1.87c461258622p-4, 0x1.82d1522f7fa8dp-4, 0x1.7dea40d10ac23p-4, 0x1.790f2235ee3cep-4, 0x1.743feb3696d0bp-4, 0x1.6f7c905a243ebp-4, 0x1.6ac505d873a13p-4, 0x1.66193f9c26be2p-4, 0x1.61793144a7202p-4, 0x1.5ce4ce2824f75p-4, 0x1.585c095593b06p-4, 0x1.53ded5969d0b7p-4, 0x1.4f6d257197e54p-4, 0x1.4b06eb2b74179p-4, 0x1.46ac18c9a7c25p-4, 0x1.425ca0140fbccp-4, 0x1.3e187296d3e59p-4, 0x1.39df81a443887p-4, 0x1.35b1be56aa8cfp-4, 0x1.318f1992256a6p-4, 0x1.2d77840670016p-4, 0x1.296aee30ab4ffp-4, 0x1.2569485d237f1p-4, 0x1.217282a90d7f4p-4, 0x1.1d868d043e7bfp-4, 0x1.19a55732e56c8p-4, 0x1.15ced0cf32b26p-4, 0x1.1202e94b06675p-4, 0x1.0e418ff194d18p-4, 0x1.0a8ab3e9012a7p-4, 0x1.06de4433fb63cp-4, 0x1.033c2fb351412p-4, 0x1.ff48ca4efd7cbp-5, 0x1.f82da6646cbb3p-5, 0x1.f126d0afc802ep-5, 0x1.ea34260257769p-5, 0x1.e35582f8c4e2ep-5, 0x1.dc8ac3fdfef78p-5, 0x1.d5d3c54e17934p-5, 0x1.cf3062f911e14p-5, 0x1.c8a078e5a4254p-5, 0x1.c223e2d3f2d8bp-5, 0x1.bbba7c603f1cfp-5, 0x1.b564210586674p-5, 0x1.af20ac201fb53p-5, 0x1.a8eff8f040d4dp-5, 0x1.a2d1e29c829eap-5, 0x1.9cc6443457767p-5, 0x1.96ccf8b2768a2p-5, 0x1.90e5daff38fd8p-5, 0x1.8b10c5f2f3374p-5, 0x1.854d94583911bp-5, 0x1.7f9c20ee1dd2cp-5, 0x1.79fc466a70f8ep-5, 0x1.746ddf7bd8e78p-5, 0x1.6ef0c6cbfba64p-5, 0x1.6984d7018f58ap-5, 0x1.6429eac263ad3p-5, 0x1.5edfdcb55efb5p-5, 0x1.59a6878471e1ep-5, 0x1.547dc5de82734p-5, 0x1.4f657279489b4p-5, 0x1.4a5d6813237adp-5, 0x1.45658174e86efp-5, 0x1.407d9973953d6p-5, 0x1.3ba58af214e7ap-5, 0x1.36dd30e2e52cap-5, 0x1.32246649b6105p-5, 0x1.2d7b063d04754p-5, 0x1.28e0ebe7a6fe3p-5, 0x1.2455f28a576a2p-5, 0x1.1fd9f57d21e7ep-5, 0x1.1b6cd030e7c2fp-5, 0x1.170e5e30b128bp-5, 0x1.12be7b23232bp-5, 0x1.0e7d02cbc58ebp-5, 0x1.0a49d10c521a4p-5, 0x1.0624c1e5fb18bp-5, 0x1.020db17aa3c99p-5, 0x1.fc08f81c29e39p-6, 0x1.f411fc0e3a09bp-6, 0x1.ec3627e175b7dp-6, 0x1.e47534f667554p-6, 0x1.dccedcfa32f1cp-6, 0x1.d542d9e8b41c4p-6, 0x1.cdd0e60e8319p-6, 0x1.c678bc0acaf17p-6, 0x1.bf3a16d13c5e8p-6, 0x1.b814b1abca836p-6, 0x1.b108483c7ee18p-6, 0x1.aa14967f0df74p-6, 0x1.a33958ca91de8p-6, 0x1.9c764bd306fe8p-6, 0x1.95cb2caad61c7p-6, 0x1.8f37b8c44cd4dp-6, 0x1.88bbadf2fedb4p-6, 0x1.8256ca6d1e153p-6, 0x1.7c08ccccc8da5p-6, 0x1.75d174113edf8p-6, 0x1.6fb07fa019a6fp-6, 0x1.69a5af4668ca7p-6, 0x1.63b0c339cc28ep-6, 0x1.5dd17c197a5ffp-6, 0x1.58079aef34fa6p-6, 0x1.5252e13051b9fp-6, 0x1.4cb310be77e25p-6, 0x1.4727ebe8a6b2bp-6, 0x1.41b1356bd3064p-6, 0x1.3c4eb073cc06ap-6, 0x1.3700209be6df6p-6, 0x1.31c549ef9d122p-6, 0x1.2c9df0eb4203dp-6, 0x1.2789da7c83c3p-6, 0x1.2288cc030e497p-6, 0x1.1d9a8b50ed4bep-6, 0x1.18bedeab2b429p-6, 0x1.13f58cca1713ep-6, 0x1.0f3e5cd9c85eep-6, 0x1.0a99167a61a14p-6, 0x1.060581c06e827p-6, 0x1.0183673536dcap-6, 0x1.fa251fadbb661p-7, 0x1.f1658a317d926p-7, 0x1.e8c7a1c708e6bp-7, 0x1.e04afb2aa5066p-7, 0x1.d7ef2c03dcc85p-7, 0x1.cfb3cae5978bdp-7, 0x1.c7986f4e3c683p-7, 0x1.bf9cb1a7cb817p-7, 0x1.b7c02b47d2c67p-7, 0x1.b002766f66e74p-7, 0x1.a8632e4af64bep-7, 0x1.a0e1eef24d4d2p-7, 0x1.997e55681d2c2p-7, 0x1.9237ff99fc11fp-7, 0x1.8b0e8c5fe7ce1p-7, 0x1.84019b7bf59e3p-7, 0x1.7d10cd99f54bp-7, 0x1.763bc44eea0c9p-7, 0x1.6f822218a0fccp-7, 0x1.68e38a5d0dd6p-7, 0x1.625fa169d8f39p-7, 0x1.5bf60c7393403p-7, 0x1.55a6719547072p-7, 0x1.4f7077cf7667ap-7, 0x1.4953c707ba38cp-7, 0x1.43500807aa1c8p-7, 0x1.3d64e47c49254p-7, 0x1.379206f510cffp-7, 0x1.31d71ae313128p-7, 0x1.2c33cc981879cp-7, 0x1.26a7c945b8a5ep-7, 0x1.2132befc47262p-7, 0x1.1bd45caa030a6p-7, 0x1.168c5219d2588p-7, 0x1.115a4ff27e248p-7, 0x1.0c3e07b54e7f6p-7, 0x1.07372bbd4d2c9p-7, 0x1.02456f3dc8f03p-7, 0x1.fad10c82d47cep-8, 0x1.f1404b52031b3p-8, 0x1.e7d806548c57dp-8, 0x1.de97aa9d3e284p-8, 0x1.d57ea6e3f6c1dp-8, 0x1.cc8c6b82fc469p-8, 0x1.c3c06a748e6ep-8, 0x1.bb1a17504d1cep-8, 0x1.b298e7487d7ep-8, 0x1.aa3c5127a855ep-8, 0x1.a203cd4dafd19p-8, 0x1.99eed5ad38ef8p-8, 0x1.91fce5c8fd42ep-8, 0x1.8a2d7ab104825p-8, 0x1.828012ffc3a12p-8, 0x1.7af42ed76aea1p-8, 0x1.73894fdf3b6bbp-8, 0x1.6c3ef9403a8bap-8, 0x1.6514afa2e846cp-8, 0x1.5e09f92bea528p-8, 0x1.571e5d798668fp-8, 0x1.505165a04660bp-8, 0x1.49a29c2894d01p-8, 0x1.43118d0b63f53p-8, 0x1.3c9dc5af60cbfp-8, 0x1.3646d4e616a7bp-8, 0x1.300c4ae8c51d8p-8, 0x1.29edb9557faddp-8, 0x1.23eab32c44239p-8, 0x1.1e02cccbdbc0cp-8, 0x1.18359beee14adp-8, 0x1.1282b7a8eda64p-8, 0x1.0ce9b8633f079p-8, 0x1.076a37da0124cp-8, 0x1.0203d1193d94fp-8, 0x1.f96c40f349004p-9, 0x1.ef01873bbf057p-9, 0x1.e4c6b2de6eec6p-9, 0x1.dabb04358a8b5p-9, 0x1.d0ddbe1cb9e98p-9, 0x1.c72e25eb10d25p-9, 0x1.bdab836d40152p-9, 0x1.b45520df39787p-9, 0x1.ab2a4ae6792e6p-9, 0x1.a22a508be2131p-9, 0x1.99548335c423ep-9, 0x1.90a836a22a74dp-9, 0x1.8824c0e0653e8p-9, 0x1.7fc97a4b8e6e7p-9, 0x1.7795bd847b4a6p-9, 0x1.6f88e76b966dcp-9, 0x1.67a2571b8591ap-9, 0x1.5fe16de2bdbc5p-9, 0x1.58458f3e0ce31p-9, 0x1.50ce20d27237fp-9, 0x1.497a8a67c871fp-9, 0x1.424a35e27c543p-9, 0x1.3b3c8f3e2f149p-9, 0x1.34510487b8e1ep-9, 0x1.2d8705d7b8b75p-9, 0x1.26de054c799c5p-9, 0x1.20557704dd1a9p-9, 0x1.19ecd11a55e26p-9, 0x1.13a38b9b3fe28p-9, 0x1.0d792085e653bp-9, 0x1.076d0bc2268aep-9, 0x1.017ecb1c8a49p-9, 0x1.f75bbc813c44bp-10, 0x1.ebf38d6712667p-10, 0x1.e0c40f9cf778bp-10, 0x1.d5cc4d735cd98p-10, 0x1.cb0b54cd0b1d9p-10, 0x1.c080371585f89p-10, 0x1.b62a0935f5d8ap-10, 0x1.ac07e38ab3a2cp-10, 0x1.a218e1d92d61p-10, 0x1.985c234505e95p-10, 0x1.8ed0ca4679e61p-10, 0x1.8575fc9fde0fcp-10, 0x1.7c4ae3535d93ap-10, 0x1.734eaa98dfe2ep-10, 0x1.6a8081d4b2692p-10, 0x1.61df9b8d288d4p-10, 0x1.596b2d607abebp-10, 0x1.51226ffbc6de3p-10, 0x1.49049f10fa8d8p-10, 0x1.4110f94ce9681p-10, 0x1.3946c04eb7417p-10, 0x1.31a5389d84882p-10, 0x1.2a2ba99f53a93p-10, 0x1.22d95d905607fp-10, 0x1.1bada1788e3f6p-10, 0x1.14a7c523e8e42p-10, 0x1.0dc71b1852bdp-10, 0x1.070af88d78932p-10, 0x1.0072b5631b1d3p-10, 0x1.f3fb58318754fp-11, 0x1.e756738a53123p-11, 0x1.daf57c1a2b726p-11, 0x1.ced7363639fd5p-11, 0x1.c2fa6b2e4027cp-11, 0x1.b75de93bb6cc6p-11, 0x1.ac00837141a26p-11, 0x1.a0e111a974ddap-11, 0x1.95fe7077ea944p-11, 0x1.8b5781179c0fp-11, 0x1.80eb295babf97p-11, 0x1.76b8539fc8fc8p-11, 0x1.6cbdeeb74b30dp-11, 0x1.62faeddf38a85p-11, 0x1.596e48ad87ce6p-11, 0x1.5016fb02149a4p-11, 0x1.46f404f915bp-11, 0x1.3e046ad98d55ap-11, 0x1.3547350922d03p-11, 0x1.2cbb6ffb74c08p-11, 0x1.24602c250563p-11, 0x1.1c347dec4599fp-11, 0x1.14377d9b87e6bp-11, 0x1.0c684752be05bp-11, 0x1.04c5fafa7c5f5p-11, 0x1.fa9f786a5d75bp-12, 0x1.ec0964a481aecp-12, 0x1.ddc81080b441dp-12, 0x1.cfd9d901358e9p-12, 0x1.c23d22310af89p-12, 0x1.b4f0570d23d35p-12, 0x1.a7f1e96785c96p-12, 0x1.9b4051cfc718fp-12, 0x1.8eda0f79e42d9p-12, 0x1.82bda82517edep-12, 0x1.76e9a802b8fdp-12, 0x1.6b5ca1a091ccap-12, 0x1.60152dcd59611p-12, 0x1.5511eb843c47dp-12, 0x1.4a517fd3a2e16p-12, 0x1.3fd295c73a2fap-12, 0x1.3593de4fd398fp-12, 0x1.2b94102eac91ap-12, 0x1.21d1e7dd5daefp-12, 0x1.184c27796f537p-12, 0x1.0f0196ad33d88p-12, 0x1.05f1029bbc27fp-12, 0x1.fa327b9644954p-13, 0x1.e8f2401ce1c62p-13, 0x1.d81f0ce5781ecp-13, 0x1.c7b6a654914a8p-13, 0x1.b7b6daee31e98p-13, 0x1.a81d83322174cp-13, 0x1.98e88171491eep-13, 0x1.8a15c1a946accp-13, 0x1.7ba3395ae28f2p-13, 0x1.6d8ee76998f1bp-13, 0x1.5fd6d3f0c62a8p-13, 0x1.52791021b1e11p-13, 0x1.4573b61e9c98dp-13, 0x1.38c4e8d786954p-13, 0x1.2c6ad3e52fe1dp-13, 0x1.2063ab6729c69p-13, 0x1.14adabe19badfp-13, 0x1.09471a1a7e3a4p-13, 0x1.fc5c85f2dc60dp-14, 0x1.e6c2f6c87708dp-14, 0x1.d1be403f5b50ap-14, 0x1.bd4b2b5eb2555p-14, 0x1.a966906b42eeap-14, 0x1.960d56a733ccdp-14, 0x1.833c741570eddp-14, 0x1.70f0ed3ce6055p-14, 0x1.5f27d4eb6606cp-14, 0x1.4dde4bfbdf8efp-14, 0x1.3d118116ebd5p-14, 0x1.2cbeb07ff2efep-14, 0x1.1ce323d77b56p-14, 0x1.0d7c31e41998fp-14, 0x1.fd0e7cb3c1345p-15, 0x1.e003734da9789p-15, 0x1.c3d24173fc7a3p-15, 0x1.a875f99e9c892p-15, 0x1.8de9c6793cd5fp-15, 0x1.7428ea77740a7p-15, 0x1.5b2ebf6f37ff5p-15, 0x1.42f6b639745edp-15, 0x1.2b7c564ae018ap-15, 0x1.14bb3d54d3c9ep-15, 0x1.fd5e3dc2b41aap-16, 0x1.d2a787f1b1313p-16, 0x1.a94a1584a4692p-16, 0x1.813dcc54412f3p-16, 0x1.5a7abb08a4282p-16, 0x1.34f9186677a1fp-16, 0x1.10b142a5bb46p-16, 0x1.db377d7558255p-17, 0x1.97626f6ff1bd8p-17, 0x1.55d4fc349f55cp-17, 0x1.16810e5229a0ep-17, 0x1.b2b1b1335d52dp-18, 0x1.3c9da9eb47176p-18, 0x1.95570c512969p-19, 0x1.7305399d7ae9cp-20, -0x1.a74dc0423e18fp-23, -0x1.cd826d697a3ebp-20, -0x1.ab9347c6d9776p-19, -0x1.348d721b4d0bap-18, -0x1.8fc372ec0fb93p-18, -0x1.e78298003ec4dp-18, -0x1.1df0acf13373cp-17, -0x1.467add15591fp-17, -0x1.6d6aa2d459376p-17, -0x1.92ca8b325d5cap-17, -0x1.b6a4eadf3883ep-17, -0x1.d903df34e2f51p-17, -0x1.f9f14f3dbd863p-17, -0x1.0cbb765485413p-16, -0x1.1bcf1a60cfe93p-16, -0x1.2a3838b4092abp-16, -0x1.37fb5cffcc0e5p-16, -0x1.451cfa2c596a7p-16, -0x1.51a16acaafb71p-16, -0x1.5d8cf188717c9p-16, -0x1.68e3b9a1c945cp-16, -0x1.73a9d74ff414ep-16, -0x1.7de3483159bacp-16, -0x1.8793f3b973559p-16, -0x1.90bfab98a0a4cp-16, -0x1.996a2c255007bp-16, -0x1.a1971cbe89228p-16, -0x1.a94a10333fc4ep-16, -0x1.b086852203e4bp-16, -0x1.b74fe65da7f8dp-16, -0x1.bda98b4945523p-16, -0x1.c396b839eaf9cp-16, -0x1.c91a9ecce6399p-16, -0x1.ce385e4b71cf3p-16, -0x1.d2f303fcaba68p-16, -0x1.d74d8b7db1c28p-16, -0x1.db4adf1e5fc6bp-16, -0x1.deedd8309c78ap-16, -0x1.e2393f5c5087bp-16, -0x1.e52fccf25934p-16, -0x1.e7d4293e186fcp-16, -0x1.ea28ecd48d0dep-16, -0x1.ec30a0e35d40ap-16, -0x1.ededbf7ab8ff3p-16, -0x1.ef62b3d9ce4e7p-16, -0x1.f091dabc1444bp-16, -0x1.f17d829d42c95p-16, -0x1.f227ec0545e15p-16, -0x1.f29349cbe90d4p-16, -0x1.f2c1c160c2b8fp-16, -0x1.f2b56b0ae119ap-16, -0x1.f270522ff6a9fp-16, -0x1.f1f47594346d9p-16, -0x1.f143c79a829a9p-16, -0x1.f0602e853d1ffp-16, -0x1.ef4b84b52dd04p-16, -0x1.ee0798e372a0bp-16, -0x1.ec962e611207dp-16, -0x1.eaf8fd5095939p-16, -0x1.e931b2df8d70cp-16, -0x1.e741f1814b3bcp-16, -0x1.e52b5127f5d7cp-16, -0x1.e2ef5f78bb124p-16, -0x1.e08fa001d9f96p-16, -0x1.de0d8c72749ap-16, -0x1.db6a94cc9bd69p-16, -0x1.d8a81f99cd6c8p-16, -0x1.d5c78a1d9c289p-16, -0x1.d2ca28863a3c6p-16, -0x1.cfb1461c31e2ap-16, -0x1.cc7e25743d556p-16, -0x1.c932009d42d9dp-16, -0x1.c5ce094dd2b3cp-16, -0x1.c253691176418p-16, -0x1.bec34174d9d23p-16, -0x1.bb1eac3212965p-16, -0x1.b766bb5ab4acap-16, -0x1.b39c7982c5ae7p-16, -0x1.afc0e9e913fb4p-16, -0x1.abd5089f34a9ap-16, -0x1.a7d9cab20bd2dp-16, -0x1.a3d01e50978ccp-16, -0x1.9fb8eaf182e21p-16, -0x1.9b951179dc9f3p-16, -0x1.97656c60c32e2p-16, -0x1.932acfd3467dcp-16, -0x1.8ee609d98585p-16, -0x1.8a97e2782d1ddp-16, -0x1.86411bd3291e1p-16, -0x1.81e2724ede058p-16, -0x1.7d7c9cb0f018bp-16, -0x1.79104c40a4e3p-16, -0x1.749e2ce61b1e7p-16, -0x1.7026e54a28581p-16, -0x1.6bab16f41a24cp-16, -0x1.672b5e67caed4p-16, -0x1.62a853432e89p-16, -0x1.5e22885a321b7p-16, -0x1.599a8bd31728ep-16, -0x1.5510e7435f818p-16, -0x1.50861fc95c159p-16, -0x1.4bfab6275db95p-16, -0x1.476f26dd98477p-16, -0x1.42e3ea43f4796p-16, -0x1.3e5974a29929cp-16, -0x1.39d0364a690fcp-16, -0x1.35489badfddb7p-16, -0x1.30c30d78b672dp-16, -0x1.2c3ff0a55f947p-16, -0x1.27bfa6952a4d1p-16, -0x1.23428d25b3ea2p-16, -0x1.1ec8fec739e11p-16, -0x1.1a535291ee557p-16, -0x1.15e1dc5a26a08p-16, -0x1.1174ecc659e5ep-16, -0x1.0d0cd16146a11p-16, -0x1.08a9d4ae832ccp-16, -0x1.044c3e3e981cdp-16, -0x1.ffe8a58112dep-17, -0x1.f744a828c9281p-17, -0x1.eead02bde049cp-17, -0x1.e6222e327c397p-17, -0x1.dda49e473c168p-17, -0x1.d534c1ab7d672p-17, -0x1.ccd3021fb6012p-17, -0x1.c47fc496d04ddp-17, -0x1.bc3b6954bcbe7p-17, -0x1.b4064c0d0904ap-17, -0x1.abe0c403cd5e2p-17, }}, 
      {{0x1.8150bbaf4b0ebp-2, 0x1.81400159e5d42p-2, 0x1.8139e9e40828p-2, 0x1.814d67e88e598p-2, 0x1.8182612b6ed8ap-2, 0x1.81da3e5755075p-2, 0x1.8251e4f5bd5bfp-2, 0x1.82e3ce776273ep-2, 0x1.8389b45ad553cp-2, 0x1.843db0a195108p-2, 0x1.84fae0f4385ecp-2, 0x1.85bdaae48496cp-2, 0x1.8683c05c260ap-2, 0x1.874bfdb3c04dcp-2, 0x1.881634044932fp-2, 0x1.88e2ec2b0382p-2, 0x1.89b32a55ffaaap-2, 0x1.8a8836b52fde3p-2, 0x1.8b636dcb16552p-2, 0x1.8c461979f2fd5p-2, 0x1.8d31530a693d5p-2, 0x1.8e25edd78950bp-2, 0x1.8f2469ed3fc1ap-2, 0x1.902ceda93e848p-2, 0x1.913f454a99634p-2, 0x1.925ae74cbde39p-2, 0x1.937efc6b7e9f7p-2, 0x1.94aa6a3c92e25p-2, 0x1.95dbdf63e68f9p-2, 0x1.9711e08841af6p-2, 0x1.984ad551fcd6cp-2, 0x1.998514e2fc856p-2, 0x1.9abef15ba5bf2p-2, 0x1.9bf6c22237859p-2, 0x1.9d2aecbfc4c36p-2, 0x1.9e59ec3f35cf6p-2, 0x1.9f82570f0254bp-2, 0x1.a0a2e375e822ap-2, 0x1.a1ba6ab60c5f1p-2, 0x1.a2c7eb012e68fp-2, 0x1.a3ca88649b7e8p-2, 0x1.a4c18cd4d5ef5p-2, 0x1.a5ac67802dddfp-2, 0x1.a68aab8d4e486p-2, 0x1.a75c0e6781d0ep-2, 0x1.a82065b6a1144p-2, 0x1.a8d7a51c87cedp-2, 0x1.a981dbcddb4c2p-2, 0x1.aa1f3217fde5ep-2, 0x1.aaafe6e2831abp-2, 0x1.ab344d373e404p-2, 0x1.abacc9d946264p-2, 0x1.ac19d0f0faa7cp-2, 0x1.ac7be3d12c942p-2, 0x1.acd38ed80dac4p-2, 0x1.ad21676d5be74p-2, 0x1.ad660a1e633d6p-2, 0x1.ada218d7dc22bp-2, 0x1.add6393d2b8b6p-2, 0x1.ae03131c6c4e5p-2, 0x1.ae294efe66df4p-2, 0x1.ae4994d1abc02p-2, 0x1.ae648aaff6147p-2, 0x1.ae7ad3bd15428p-2, 0x1.ae8d0f1ea329fp-2, 0x1.ae9bd70be747ep-2, 0x1.aea7bff54e9e4p-2, 0x1.aeb157c2e8fbcp-2, 0x1.aeb925297395ep-2, 0x1.aebfa7156354ep-2, 0x1.aec5542b6fb85p-2, 0x1.aeca9a5e15fd4p-2, 0x1.aecfde9774df7p-2, 0x1.aed57c76e230ep-2, 0x1.aedbc62186d6ep-2, 0x1.aee30425351b2p-2, 0x1.aeeb756ca7162p-2, 0x1.aef54f443c1b4p-2, 0x1.af00bd6e38422p-2, 0x1.af0de24583e4p-2, 0x1.af1cd6edd3c5ap-2, 0x1.af2dab901b2d9p-2, 0x1.af4067a226825p-2, 0x1.af550a382f6a4p-2, 0x1.af6b8a5f3e098p-2, 0x1.af83d77f31244p-2, 0x1.af9dd9c33c5bcp-2, 0x1.afb97287c0d9ap-2, 0x1.afd67ccc64bd3p-2, 0x1.aff4cda95518p-2, 0x1.b01434c6b6076p-2, 0x1.b0347cd546aaap-2, 0x1.b0556c0752108p-2, 0x1.b076c48916edp-2, 0x1.b09844f7e492dp-2, 0x1.b0b9a8d731d66p-2, 0x1.b0daa9031228ep-2, 0x1.b0fafc1f70befp-2, 0x1.b11a57039e18ap-2, 0x1.b1386d21b3027p-2, 0x1.b154f0e97c186p-2, 0x1.b16f942694f3cp-2, 0x1.b18808597b295p-2, 0x1.b19dff0b6dfcbp-2, 0x1.b1b12a1cf254cp-2, 0x1.b1c13c0eedbd1p-2, 0x1.b1cde8464faa2p-2, 0x1.b1d6e34a4ac27p-2, 0x1.b1dbe2fd2a7c5p-2, 0x1.b1dc9ecfdf74dp-2, 0x1.b1d8cff05b1fdp-2, 0x1.b1d03172e2674p-2, 0x1.b1c2807681e2p-2, 0x1.b1af7c44d07f2p-2, 0x1.b196e66d39613p-2, 0x1.b17882dbff7dep-2, 0x1.b15417ed38237p-2, 0x1.b1296e7bf27d6p-2, 0x1.b0f851edd3c71p-2, 0x1.b0c0903b588f4p-2, 0x1.b081f9f502ba4p-2, 0x1.b03c6245ac90dp-2, 0x1.afef9ef2402e5p-2, 0x1.af9b88570968ap-2, 0x1.af3ff962e50a2p-2, 0x1.aedccf907a3b4p-2, 0x1.ae71eaddbcfe2p-2, 0x1.adff2dc1e93e4p-2, 0x1.ad847d2226d33p-2, 0x1.ad01c04507b9bp-2, 0x1.ac76e0c50b2b6p-2, 0x1.abe3ca824e7cep-2, 0x1.ab486b9393c78p-2, 0x1.aaa4b436bfcb4p-2, 0x1.a9f896c0f3fb5p-2, 0x1.a944078e5f88p-2, 0x1.a886fcf1e46e4p-2, 0x1.a7c16f24abd08p-2, 0x1.a6f35835bcf2fp-2, 0x1.a61cb3f9adba7p-2, 0x1.a53d7ffa8007p-2, 0x1.a455bb67b6088p-2, 0x1.a3656706b38a9p-2, 0x1.a26c852371ef2p-2, 0x1.a16b198192477p-2, 0x1.a061294dd9dc1p-2, 0x1.9f4ebb101760ap-2, 0x1.9e33d69d81fbdp-2, 0x1.9d10850b88754p-2, 0x1.9be4d0a31dbb9p-2, 0x1.9ab0c4d482529p-2, 0x1.99746e2b839e9p-2, 0x1.982fda443b9cfp-2, 0x1.96e317c046eaep-2, 0x1.958e363c734dep-2, 0x1.94314646e41a5p-2, 0x1.92cc5955a6c09p-2, 0x1.915f81bdb4dd3p-2, 0x1.8fead2aa62091p-2, 0x1.8e6e60152a6c3p-2, 0x1.8cea3ebde8399p-2, 0x1.8b5e84235e7e9p-2, 0x1.89cb467c1cc89p-2, 0x1.88309cafb3b7cp-2, 0x1.868e9e50376a1p-2, 0x1.84e56394021c5p-2, 0x1.8335054fc2004p-2, 0x1.817d9cf0b935fp-2, 0x1.7fbf44773d8a8p-2, 0x1.7dfa167165133p-2, 0x1.7c2e2df5e2484p-2, 0x1.7a5ba69f0b392p-2, 0x1.78829c8600dcap-2, 0x1.76a32c3dfc32dp-2, 0x1.74bd72cfb55a7p-2, 0x1.72d18db4e1f57p-2, 0x1.70df9ad3cc9eep-2, 0x1.6ee7b87afdf89p-2, 0x1.6cea055cf1287p-2, 0x1.6ae6a08bda5d6p-2, 0x1.68dda975729b9p-2, 0x1.66cf3fdece175p-2, 0x1.64bb83e03613bp-2, 0x1.62a295e1095bp-2, 0x1.608496939c45cp-2, 0x1.5e61a6f11a148p-2, 0x1.5c39e835679a2p-2, 0x1.5a0d7bdb0110dp-2, 0x1.57dc8396da214p-2, 0x1.55a7215437c1dp-2, 0x1.536d77308934dp-2, 0x1.512fa7773ca01p-2, 0x1.4eedd49d8dedfp-2, 0x1.4ca8213e5850cp-2, 0x1.4a5eb015db76bp-2, 0x1.4811a3fd87c65p-2, 0x1.45c11fe7bf2c4p-2, 0x1.436d46db99de4p-2, 0x1.41163bf0a565fp-2, 0x1.3ebc224aa6c08p-2, 0x1.3c5f1d155736cp-2, 0x1.39ff4f80283edp-2, 0x1.379cdcba0449bp-2, 0x1.3537e7ed13862p-2, 0x1.32d0943a84282p-2, 0x1.306704b659498p-2, 0x1.2dfb5c633aab6p-2, 0x1.2b8dbe2e4e953p-2, 0x1.291e4ceb1c801p-2, 0x1.26ad2b4f7498p-2, 0x1.243a7bef64df9p-2, 0x1.21c6613936af3p-2, 0x1.1f50fd7179656p-2, 0x1.1cda72af1a498p-2, 0x1.1a62e2d788be5p-2, 0x1.17ea6f9aec7d4p-2, 0x1.15713a7069e47p-2, 0x1.12f76492768a2p-2, 0x1.107d0efb42ed2p-2, 0x1.0e025a6132a85p-2, 0x1.0b8767336bf57p-2, 0x1.090c55967a89bp-2, 0x1.0691456104ebcp-2, 0x1.041656189d7e3p-2, 0x1.019ba6eea4b13p-2, 0x1.fe42ad7a896dap-3, 0x1.f94f08090ace8p-3, 0x1.f45c99cef26d8p-3, 0x1.ef6b9e52ff71cp-3, 0x1.ea7c50574891ep-3, 0x1.e58ee9d42d4bap-3, 0x1.e0a3a3f3777b4p-3, 0x1.dbbab70bb620ap-3, 0x1.d6d45a9bc6c26p-3, 0x1.d1f0c5469b823p-3, 0x1.cd102ccf36d9dp-3, 0x1.c832c614d5f61p-3, 0x1.c358c50f57c33p-3, 0x1.be825ccbdb642p-3, 0x1.b9afbf69928e9p-3, 0x1.b4e11e16ca713p-3, 0x1.b016a90e295fap-3, 0x1.ab508f94268d1p-3, 0x1.a68efff4b68d6p-3, 0x1.a1d2278129185p-3, 0x1.9d1a328e3e373p-3, 0x1.98674c72711a4p-3, 0x1.93b99f8478964p-3, 0x1.8f115519f0187p-3, 0x1.8a6e95864373bp-3, 0x1.85d18819bdddap-3, 0x1.813a5320d2f8ep-3, 0x1.7ca91be393daap-3, 0x1.781e06a553902p-3, 0x1.739936a47c04bp-3, 0x1.6f1ace1a8fc42p-3, 0x1.6aa2ee3c53522p-3, 0x1.6631b73a2d0bp-3, 0x1.61c74840a2ec4p-3, 0x1.5d63bf7908be7p-3, 0x1.59073a0a57961p-3, 0x1.54b1d41a27a2bp-3, 0x1.5063a8cdd1937p-3, 0x1.4c1cd24bba338p-3, 0x1.47dd69bcb5c6ep-3, 0x1.43a5874d9e6bdp-3, 0x1.3f754230fb323p-3, 0x1.3b4cb0a0d40f2p-3, 0x1.372be7e09cafap-3, 0x1.3312fc3f451ddp-3, 0x1.2f0201195dbfcp-3, 0x1.2af908db5da4cp-3, 0x1.26f825040254fp-3, 0x1.22ff6626c3db6p-3, 0x1.1f0edbee6a3ddp-3, 0x1.1b26951fad81cp-3, 0x1.17469f9bf55cdp-3, 0x1.136f08642c3e9p-3, 0x1.0f9fdb9b9eaadp-3, 0x1.0bd9248af4f7bp-3, 0x1.081aeda3395c1p-3, 0x1.04654080f157ap-3, 0x1.00b825ef452e4p-3, 0x1.fa274bd6605e5p-4, 0x1.f2ef8f4d91772p-4, 0x1.ebc9231914203p-4, 0x1.e4b412855a03fp-4, 0x1.ddb0675d1bdc1p-4, 0x1.d6be29f027122p-4, 0x1.cfdd611a4e8ebp-4, 0x1.c90e124a5b893p-4, 0x1.c250418911b15p-4, 0x1.bba3f1803fa93p-4, 0x1.b5092381ca382p-4, 0x1.ae7fd78edaadp-4, 0x1.a8080c5ef2dcdp-4, 0x1.a1a1bf671f09dp-4, 0x1.9b4cece120c0ap-4, 0x1.95098fd292d9ap-4, 0x1.8ed7a2141c9aep-4, 0x1.88b71c589ad32p-4, 0x1.82a7f63446abap-4, 0x1.7caa2623dae45p-4, 0x1.76bda193b09e7p-4, 0x1.70e25ce6d7942p-4, 0x1.6b184b7e27468p-4, 0x1.655f5fbf44088p-4, 0x1.5fb78b1ba057ep-4, 0x1.5a20be176bea3p-4, 0x1.549ae8507d19p-4, 0x1.4f25f88529f1ap-4, 0x1.49c1dc9b157b3p-4, 0x1.446e81a5ef178p-4, 0x1.3f2bd3ee1ee32p-4, 0x1.39f9bef7683c3p-4, 0x1.34d82d8774b61p-4, 0x1.2fc709ac53caep-4, 0x1.2ac63cc2e48f4p-4, 0x1.25d5af7d2ced7p-4, 0x1.20f549e8a1659p-4, 0x1.1c24f37454595p-4, 0x1.176492f712581p-4, 0x1.12b40eb56e3bcp-4, 0x1.0e134c67af8a6p-4, 0x1.0982313fb568bp-4, 0x1.0500a1eeb92d7p-4, 0x1.008e82ab04ff1p-4, 0x1.f8576e6b16f4cp-5, 0x1.efb045bedb29ep-5, 0x1.e727511ed016fp-5, 0x1.debc558e4fa9ap-5, 0x1.d66f175114003p-5, 0x1.ce3f59f586f16p-5, 0x1.c62ce05ed9fd3p-5, 0x1.be376ccefb0e6p-5, 0x1.b65ec0f05366ep-5, 0x1.aea29ddf4e9b2p-5, 0x1.a702c433c1e24p-5, 0x1.9f7ef40a135dcp-5, 0x1.9816ed0c3c6f7p-5, 0x1.90ca6e7a95e03p-5, 0x1.89993734753b4p-5, 0x1.828305c0988d4p-5, 0x1.7b87985565744p-5, 0x1.74a6ace0f4d11p-5, 0x1.6de00110f5a88p-5, 0x1.6733525a51099p-5, 0x1.60a05e00b76edp-5, 0x1.5a26e11de6599p-5, 0x1.53c698a8cbcbbp-5, 0x1.4d7f417c81ff7p-5, 0x1.4750985f0b162p-5, 0x1.413a5a07f0fb1p-5, 0x1.3b3c4326a9d09p-5, 0x1.35561068de748p-5, 0x1.2f877e8079139p-5, 0x1.29d04a298a385p-5, 0x1.2430303003fafp-5, 0x1.1ea6ed75509a6p-5, 0x1.19343ef5b1236p-5, 0x1.13d7e1cd7d7bap-5, 0x1.0e91933e37bd9p-5, 0x1.096110b3744d4p-5, 0x1.044617c79e0a6p-5, 0x1.fe80cc911fddep-6, 0x1.f49f74780ff49p-6, 0x1.eae7a3c7ed263p-6, 0x1.e158d78541bf9p-6, 0x1.d7f28d3d4a6dbp-6, 0x1.ceb4430db31f9p-6, 0x1.c59d77ac01921p-6, 0x1.bcadaa6cc3589p-6, 0x1.b3e45b4a6c606p-6, 0x1.ab410aec04e6cp-6, 0x1.a2c33aab6f49ap-6, 0x1.9a6a6c9b9a23dp-6, 0x1.9236238e43ef5p-6, 0x1.8a25e319a064dp-6, 0x1.82392f9db2902p-6, 0x1.7a6f8e4964bedp-6, 0x1.72c8851f6dc51p-6, 0x1.6b439afaefe32p-6, 0x1.63e05793f3147p-6, 0x1.5c9e43838aec9p-6, 0x1.557ce847dc15dp-6, 0x1.4e7bd047def68p-6, 0x1.479a86d6f1137p-6, 0x1.40d898383801dp-6, 0x1.3a3591a1c66b6p-6, 0x1.33b1013fa0b5p-6, 0x1.2d4a763676591p-6, 0x1.270180a64f4bdp-6, 0x1.20d5b1aceb43ap-6, 0x1.1ac69b6811862p-6, 0x1.14d3d0f792992p-6, 0x1.0efce67f4452dp-6, 0x1.09417128b9a7ap-6, 0x1.03a10724dcea3p-6, 0x1.fc367f5acdb82p-7, 0x1.f15f660c3f1edp-7, 0x1.e6bbf4fc280ccp-7, 0x1.dc4b60e10f20ep-7, 0x1.d20ce08bb803ep-7, 0x1.c7fface8aaa84p-7, 0x1.be2301014f945p-7, 0x1.b47619fcf878bp-7, 0x1.aaf8372195bdp-7, 0x1.a1a899d4352a2p-7, 0x1.988685994b192p-7, 0x1.8f914014a8991p-7, 0x1.86c8110964eaap-7, 0x1.7e2a42596fb96p-7, 0x1.75b7200500267p-7, 0x1.6d6df829c47d8p-7, 0x1.654e1b01fb65fp-7, 0x1.5d56dae3481d5p-7, 0x1.55878c3d529f6p-7, 0x1.4ddf859860c48p-7, 0x1.465e1f93a4153p-7, 0x1.3f02b4e363959p-7, 0x1.37cca24f190acp-7, 0x1.30bb46af47518p-7, 0x1.29ce02eb46feep-7, 0x1.230439f6db45dp-7, 0x1.1c5d50cfba0d9p-7, 0x1.15d8ae7ae6031p-7, 0x1.0f75bc01f92fp-7, 0x1.0933e4703aa14p-7, 0x1.031294cfb3f82p-7, 0x1.fa22784c31c3ep-8, 0x1.ee5e96e348fa4p-8, 0x1.e2d86b4b9a66ap-8, 0x1.d78edf4fe3eebp-8, 0x1.cc80e097d7dafp-8, 0x1.c1ad60a100424p-8, 0x1.b71354b7b4793p-8, 0x1.acb1b5ef9de9dp-8, 0x1.a287811c6f4e6p-8, 0x1.9893b6ca18c0fp-8, 0x1.8ed55b3543d98p-8, 0x1.854b764356c3cp-8, 0x1.7bf5137aa72e5p-8, 0x1.72d141fa5d922p-8, 0x1.69df147259093p-8, 0x1.611da11b00923p-8, 0x1.588c01aced7bfp-8, 0x1.502953588f578p-8, 0x1.47f4b6bdcec9fp-8, 0x1.3fed4fe37a9b5p-8, 0x1.3812462eb7061p-8, 0x1.3062c45a8733ap-8, 0x1.28ddf86ef08c1p-8, 0x1.218313b884c36p-8, 0x1.1a514abf8137dp-8, 0x1.1347d53f1a829p-8, 0x1.0c65ee1cbf058p-8, 0x1.05aad35f364a3p-8, 0x1.fe2b8c4bd0b2bp-9, 0x1.f14c153ffb535p-9, 0x1.e4b5d006ff3e4p-9, 0x1.d86751093c63bp-9, 0x1.cc5f32998544dp-9, 0x1.c09c14e38129p-9, 0x1.b51c9dd9fe8fdp-9, 0x1.a9df79256a3abp-9, 0x1.9ee3581215cc2p-9, 0x1.9426f17ebe94fp-9, 0x1.89a901cb037cep-9, 0x1.7f684ac5d0ca6p-9, 0x1.7563939c232b5p-9, 0x1.6b99a8c77f4eap-9, 0x1.62095bfcaebc3p-9, 0x1.58b1841a9210fp-9, 0x1.4f90fd18fc3cbp-9, 0x1.46a6a7f75cc67p-9, 0x1.3df16aac47dd6p-9, 0x1.35703013e2205p-9, 0x1.2d21e7df9d99cp-9, 0x1.250586853c66p-9, 0x1.1d1a052e258ap-9, 0x1.155e61a70a4abp-9, 0x1.0dd19e4f54e94p-9, 0x1.0672c20903753p-9, 0x1.fe81b05082a31p-10, 0x1.f075e0c6df408p-10, 0x1.e2c03d8671e08p-10, 0x1.d55ef7255aba2p-10, 0x1.c850469ed5019p-10, 0x1.bb926d3484209p-10, 0x1.af23b44f00668p-10, 0x1.a3026d5f9a78dp-10, 0x1.972cf1c19326ap-10, 0x1.8ba1a29c3e8c6p-10, 0x1.805ee8c4df29p-10, 0x1.756334a1537dbp-10, 0x1.6aacfe0a6abc1p-10, 0x1.603ac42f053dcp-10, 0x1.560b0d776685dp-10, 0x1.4c1c676888631p-10, 0x1.426d6687e68a7p-10, 0x1.38fca63f8dbf6p-10, 0x1.2fc8c8c2bf9bp-10, 0x1.26d076f217185p-10, 0x1.1e1260410b494p-10, 0x1.158d3a9a8d7c1p-10, 0x1.0d3fc2470a097p-10, 0x1.0528b9d21ac63p-10, 0x1.fa8dd3e0cabb3p-11, 0x1.eb3242cca255dp-11, 0x1.dc3c69dd0ef6ep-11, 0x1.cda9fe42096f7p-11, 0x1.bf78c0b49c0e9p-11, 0x1.b1a67d4617e5ap-11, 0x1.a4310b2fcb87p-11, 0x1.97164ca3a2d46p-11, 0x1.8a542e9c55fc9p-11, 0x1.7de8a8af91c6dp-11, 0x1.71d1bcdfeba0bp-11, 0x1.660d776ef7ac1p-11, 0x1.5a99eeb152403p-11, 0x1.4f7542e1d5f98p-11, 0x1.449d9df650971p-11, 0x1.3a11337441facp-11, 0x1.2fce40465b3d4p-11, 0x1.25d30a92a91e5p-11, 0x1.1c1de19157cf1p-11, 0x1.12ad1d63896bbp-11, 0x1.097f1eebaad0fp-11, 0x1.00924fa53b417p-11, 0x1.efca42fb9b6fap-12, 0x1.deec1d5cead09p-12, 0x1.ce87332bedaf2p-12, 0x1.be9899260f294p-12, 0x1.af1d73be76ab8p-12, 0x1.a012f6d5bb0cap-12, 0x1.917665717b165p-12, 0x1.834511765e993p-12, 0x1.757c5b6109496p-12, 0x1.6819b2034437fp-12, 0x1.5b1a923e5ed3dp-12, 0x1.4e7c86c1c1208p-12, 0x1.423d27c8e866fp-12, 0x1.365a1ada8fd7fp-12, 0x1.2ad11288e2e41p-12, 0x1.1f9fce336386ep-12, 0x1.14c419c88b371p-12, 0x1.0a3bcd8952ad6p-12, 0x1.0004cdcd1f002p-12, 0x1.ec3a158daa8fep-13, 0x1.d9050096e7a8bp-13, 0x1.c6666b2fa667ap-13, 0x1.b45a7a3373ed9p-13, 0x1.a2dd686f7c688p-13, 0x1.91eb86372ae76p-13, 0x1.818138f7273fap-13, 0x1.719afacefb351p-13, 0x1.62355a26610bdp-13, 0x1.534cf949d52f8p-13, 0x1.44de8e05330e9p-13, 0x1.36e6e141d960dp-13, 0x1.2962cea5334fap-13, 0x1.1c4f4431c855fp-13, 0x1.0fa941e9ae1bap-13, 0x1.036dd972255bp-13, 0x1.ef345b735c5b5p-14, 0x1.d856e53cbe019p-14, 0x1.c23dd92deb30fp-14, 0x1.ace3e0b8e590fp-14, 0x1.9843c52c3b478p-14, 0x1.84586f0c67c22p-14, 0x1.711ce570e2a6ap-14, 0x1.5e8c4d639793ap-14, 0x1.4ca1e9440926bp-14, 0x1.3b59182be4391p-14, 0x1.2aad5557ab5ebp-14, 0x1.1a9a3790ea352p-14, 0x1.0b1b709c2f87cp-14, 0x1.f859995153db7p-15, 0x1.db946385b281ep-15, 0x1.bfdf3e920bbc7p-15, 0x1.a5325ac92b8a5p-15, 0x1.8b8619041d044p-15, 0x1.72d3099fdf6ep-15, 0x1.5b11eb767fb37p-15, 0x1.443baae721a11p-15, 0x1.2e4960d7447d6p-15, 0x1.193451c32467bp-15, 0x1.04f5ecce50ad1p-15, 0x1.e30f95a961726p-16, 0x1.bdc75b0f97b76p-16, 0x1.9a06fd15c86b8p-16, 0x1.77c29d2994747p-16, 0x1.56eea929ab905p-16, 0x1.377fd9c0093c3p-16, 0x1.196b30b90f9acp-16, 0x1.f94beed4e0c64p-17, 0x1.c24b7a4294f9ep-17, 0x1.8dc0ab220197ep-17, 0x1.5b97aea683153p-17, 0x1.2bbd34d7f1151p-17, 0x1.fc3cdb40f4c7p-18, 0x1.a5520bebfcbdep-18, 0x1.52964a20d009fp-18, 0x1.03e6d332b700dp-18, 0x1.72439c3e56ae4p-19, 0x1.c899189408f62p-20, 0x1.76a12ceb707c2p-21, -0x1.0f3cf099d2069p-22, -0x1.353ff945f3d9fp-20, -0x1.0cbbfd2c42f2bp-19, -0x1.78753585b4f93p-19, -0x1.de03ae18571fap-19, -0x1.1ecef58264391p-18, -0x1.4bbc7a963b87p-18, -0x1.75e4317c2999ep-18, -0x1.9d5f307c69f3ap-18, -0x1.c245dd35c7f92p-18, -0x1.e4aff0ae1fea2p-18, -0x1.025a3dc0c2982p-17, -0x1.1134f4dd3e36fp-17, -0x1.1ef303643b95fp-17, -0x1.2b9f00a9cc1ccp-17, -0x1.37433770c62bdp-17, -0x1.41e9a7cc15944p-17, -0x1.4b9c08df6484p-17, -0x1.5463caa618e05p-17, -0x1.5c4a17a360c9cp-17, -0x1.6357d697b67c5p-17, -0x1.6995ac1e57264p-17, -0x1.6f0bfc4e6765ep-17, -0x1.73c2ec4c1772p-17, -0x1.77c263d3a5d91p-17, -0x1.7b120eba8c8e8p-17, -0x1.7db95e6a02344p-17, -0x1.7fbf8b52ab99bp-17, -0x1.812b964eb9f2fp-17, -0x1.82044a109564cp-17, -0x1.82503c728723dp-17, -0x1.8215cfcd5a484p-17, -0x1.815b34441f35p-17, -0x1.8026690723eb3p-17, -0x1.7e7d3d9160d3fp-17, -0x1.7c6552e0de981p-17, -0x1.79e41ca18395ap-17, -0x1.76fee2590e88dp-17, -0x1.73bac0896df4bp-17, -0x1.701ca9c7ae549p-17, -0x1.6c2967d9fa63cp-17, -0x1.67e59cbb35d58p-17, -0x1.6355c3aced397p-17, -0x1.5e7e323726ce9p-17, -0x1.59631926f929dp-17, -0x1.540885842006p-17, -0x1.4e72618289c8cp-17, -0x1.48a475702c6e4p-17, -0x1.42a2689b98aaep-17, -0x1.3c6fc236a4bedp-17, -0x1.360fea3176626p-17, -0x1.2f862a10cc824p-17, -0x1.28d5adc45968fp-17, -0x1.2201847235d51p-17, -0x1.1b0ca13c42ed6p-17, -0x1.13f9dc0b8da18p-17, -0x1.0ccbf24a00eeap-17, -0x1.0585879f86f45p-17, -0x1.fc524d51f38fep-18, -0x1.ed7283564fe19p-18, -0x1.de70667c26c3dp-18, -0x1.cf507df6d913ap-18, -0x1.c017244224a5fp-18, -0x1.b0c88868ecd7p-18, -0x1.a168af3f99a6ap-18, -0x1.91fb749ed27c4p-18, -0x1.82848c885bc5cp-18, -0x1.73078455978d4p-18, -0x1.6387c3ce6e7a6p-18, -0x1.54088e492308fp-18, -0x1.448d03b6a69d7p-18, -0x1.351821ac2a21bp-18, -0x1.25acc46e552c9p-18, -0x1.164da7e4fe15ep-18, -0x1.06fd6899ff28dp-18, -0x1.ef7d094f2cfaap-19, -0x1.d126b946b1755p-19, -0x1.b2fc690c7467bp-19, -0x1.9502691110fb6p-19, -0x1.773cd400c7343p-19, -0x1.59af905f58ea6p-19, -0x1.3c5e5236b55ecp-19, -0x1.1f4c9c9dd05dfp-19, -0x1.027dc34c35db1p-19, -0x1.cbe9d82452a7dp-20, -0x1.936a20a437406p-20, -0x1.5b81fcdc0106dp-20, -0x1.2436b6548b48cp-20, -0x1.db1a8c017767fp-21, -0x1.6f14adf0a208bp-21, -0x1.046491dd2ea99p-21, -0x1.3624cb160b803p-22, -0x1.992e4eed75bf6p-24, 0x1.9ad142e67d0c8p-24, 0x1.30cdb7b9559d8p-22, 0x1.f7f474978a988p-22, 0x1.5e0ea8101b447p-21, 0x1.be9effdf8eabfp-21, 0x1.0ed347638c973p-20, 0x1.3d9087fd51b15p-20, 0x1.6b8554881468bp-20, 0x1.98aff306a32a8p-20, 0x1.c50edaeb23775p-20, 0x1.f0a0b337c50f7p-20, 0x1.0db22866c4e8dp-19, 0x1.22ac5a561598dp-19, 0x1.373e852898689p-19, 0x1.4b68530c0e79cp-19, 0x1.5f2981d353148p-19, 0x1.7281e23845b83p-19, 0x1.85715718bbecbp-19, 0x1.97f7d4c090f57p-19, 0x1.aa1560398d6f8p-19, 0x1.bbca0e97870e6p-19, 0x1.cd1604565a87ap-19, 0x1.ddf974b140eefp-19, 0x1.ee74a107a8fd5p-19, 0x1.fe87d83db451p-19, 0x1.0719bb158099ep-18, 0x1.0ebbf182e6f85p-18, 0x1.162ac96bc77e4p-18, 0x1.1d6682791deeap-18, 0x1.246f61b67ed99p-18, 0x1.2b45b1512f6b2p-18, 0x1.31e9c05a0bc8bp-18, 0x1.385be286e3f24p-18, 0x1.3e9c6ffab892ap-18, 0x1.44abc50aac29bp-18, 0x1.4a8a42072e3a7p-18, 0x1.50384b05ef5edp-18, 0x1.55b647af5d894p-18, 0x1.5b04a30ba2512p-18, 0x1.6023cb50b9b26p-18, 0x1.651431b4fd09fp-18, 0x1.69d64a4218b7ap-18, 0x1.6e6a8ba6a9506p-18, 0x1.72d16f0d36857p-18, 0x1.770b6ff1e0463p-18, 0x1.7b190bfb2f2e1p-18, 0x1.7efac2d31f2bcp-18, 0x1.82b116017ed86p-18, 0x1.863c88c8432cfp-18, 0x1.899da00093f93p-18, 0x1.8cd4e1f869557p-18, 0x1.8fe2d653359b8p-18, 0x1.92c805e9a14b3p-18, 0x1.9584faab6c03cp-18, 0x1.981a3f8199de4p-18, 0x1.9a88603382a6bp-18, 0x1.9ccfe94a78821p-18, 0x1.9ef167f843303p-18, 0x1.a0ed69fd0bc42p-18, 0x1.a2c47d8facd9cp-18, 0x1.a47731464b6dcp-18, 0x1.a60613ff92d8dp-18, 0x1.a771b4ccb966ep-18, 0x1.a8baa2dd2dc81p-18, 0x1.a9e16d6a3b488p-18, 0x1.aae6a3a3247fp-18, 0x1.abcad49bb0045p-18, 0x1.ac8e8f39fcb37p-18, 0x1.ad3262251bedp-18, 0x1.adb6dbb52448fp-18, 0x1.ae1c89e34c59bp-18, 0x1.ae63fa3ae769p-18, 0x1.ae8db9ca8b21dp-18, 0x1.ae9a55179bbc6p-18, 0x1.ae8a580fd5acdp-18, 0x1.ae5e4dfd07a2dp-18, 0x1.ae16c179bc59p-18, 0x1.adb43c64ea7e5p-18, 0x1.ad3747d771cafp-18, 0x1.aca06c1980bc3p-18, 0x1.abf030997c8b5p-18, 0x1.ab271be1787e3p-18, 0x1.aa45b38eb1bb3p-18, 0x1.a94c7c49980ddp-18, 0x1.a83bf9bd2ce77p-18, 0x1.a714ae8f52c28p-18, 0x1.a5d71c5a19dffp-18, 0x1.a483c3a50133ap-18, 0x1.a31b23de5b0ebp-18, 0x1.a19dbb54f1c5dp-18, 0x1.a00c07330511ap-18, 0x1.9e668378d2fc5p-18, 0x1.9cadaaf779966p-18, 0x1.9ae1f74cab5d1p-18, 0x1.9903e0ddd8205p-18, 0x1.9713ded4c5fa6p-18, 0x1.9512671c0c4ep-18, 0x1.92ffee5b3e0f9p-18, 0x1.90dce7f3b9ca7p-18, 0x1.8ea9c5fe19e7bp-18, 0x1.8c66f947df2d6p-18, 0x1.8a14f150fc1d6p-18, 0x1.87b41c4974811p-18, 0x1.8544e70f95248p-18, 0x1.82c7bd2eecf8ap-18, 0x1.803d08de99456p-18, 0x1.7da532ffb3018p-18, 0x1.7b00a31cf1258p-18, 0x1.784fbf69c26p-18, 0x1.7592ecc1904b2p-18, 0x1.72ca8ea736cdbp-18, 0x1.6ff7074518483p-18, 0x1.6d18b76d44341p-18, 0x1.6a2ffe992dee5p-18, 0x1.673d3aea02519p-18, 0x1.6440c9290b70dp-18, 0x1.613b04c86fb04p-18, 0x1.5e2c47e3c8836p-18, 0x1.5b14eb412e31ap-18, 0x1.57f54651c9ae5p-18, 0x1.54cdaf332ab9cp-18, 0x1.519e7ab03d2a1p-18, 0x1.4e67fc430c498p-18, 0x1.4b2a8615f81c2p-18, 0x1.47e66904b95b3p-18, 0x1.449bf49ebf9bap-18, 0x1.414b7728da27cp-18, 0x1.3df53d9e5fb8cp-18, 0x1.3a9993b36690fp-18, 0x1.3738c3d6e0ea5p-18, 0x1.33d31734a1789p-18, 0x1.3068d5b72f7f8p-18, 0x1.2cfa460a4e7a1p-18, 0x1.2987ad9d249fbp-18, 0x1.261150a43ac9ep-18, 0x1.2297721c33f41p-18, 0x1.1f1a53cbfb894p-18, 0x1.1b9a36475a971p-18, 0x1.181758f1a65e7p-18, 0x1.1491fa0032134p-18, 0x1.110a567c88673p-18, 0x1.0d80aa47b0457p-18, 0x1.09f5301c829cep-18, 0x1.066821925cbp-18, 0x1.02d9b7200eebbp-18, 0x1.fe94503cd65ffp-19, 0x1.f77355967d356p-19, 0x1.f050e89847188p-19, 0x1.e92d7162f247ep-19, 0x1.e20955f1e9687p-19, 0x1.dae4fa215763ap-19, 0x1.d3c0bfb438f6dp-19, 0x1.cc9d065a349e1p-19, 0x1.c57a2bb4e1cd6p-19, 0x1.be588b5e6a0a6p-19, 0x1.b7387eef3ffbp-19, 0x1.b01a5e036a144p-19, 0x1.a8fe7e41966b3p-19, 0x1.a1e533606a007p-19, 0x1.9acecf2ca0258p-19, 0x1.93bba18ed2d6cp-19, 0x1.8cabf891781e5p-19, 0x1.85a020675edc7p-19, 0x1.7e986370fea68p-19, 0x1.77950a4292902p-19, 0x1.70965baa5bba6p-19, 0x1.699c9cb656a85p-19, 0x1.62a810ba5fd44p-19, 0x1.5bb8f955b1194p-19, 0x1.54cf9678f99a3p-19, 0x1.4dec266caa1e4p-19, 0x1.470ee5d6417a2p-19, 0x1.40380fbe4274ap-19, 0x1.3967dd9636ecep-19, 0x1.329e873e3837ap-19, 0x1.2bdc430b04b7fp-19, 0x1.252145cb484p-19, 0x1.1e6dc2cd94435p-19, 0x1.17c1ebe64a33ap-19, 0x1.111df174adb19p-19, 0x1.0a820268ca4c9p-19, 0x1.03ee4c48ee9e3p-19, 0x1.fac5f66f0ab6ap-20, 0x1.edc073efe1831p-20, 0x1.e0cc63e88c845p-20, 0x1.d3ea1687336f1p-20, 0x1.c719d95be5a01p-20, 0x1.ba5bf763d8f46p-20, 0x1.adb0b91671306p-20, 0x1.a118646cc9fd3p-20, 0x1.94933cece1009p-20, 0x1.882183b5d6f62p-20, 0x1.7bc37786e61a1p-20, 0x1.6f7954cc2a271p-20, 0x1.634355a7e50c6p-20, 0x1.5721b1fb843b7p-20, 0x1.4b149f737fc19p-20, 0x1.3f1c518f6e9f2p-20, 0x1.3338f9ab8523bp-20, 0x1.276ac70bb37dfp-20, }}, 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
      std::vector<double>(900, 0.0), 
    }}, 
    {
      43, 0x1.be147ae147ae1p+2, 0x1.6f76d34e4d083p+0, 0x1.36d92d23d735bp+1, -0x1.5148988e941d1p-9, 
      {{
        {0x1.3851eb851eb85p+2, 0x1.399999999999ap+2, 0x1.f9ed06b7cd315p-8, -0x1.e423b8e2074a1p-7, 0x1.5b77f710634acp-7, -0x1.bae620d161564p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.e6d62538c8855p-8, -0x1.d65fa881ffbc7p-7, 0x1.54d33bb1164fap-7, -0x1.b2108a5c89b8bp-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.b979e40555c55p-8, -0x1.b51ae2cc4dc36p-7, 0x1.448c3680d125ap-7, -0x1.a71dfe223a93p-9}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.8f5ca73ee3ff4p-8, -0x1.95718f9590f58p-7, 0x1.34ae49c5eef36p-7, -0x1.9c9a32c8b842bp-9}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.6855ce98d0ab4p-8, -0x1.77596195077d8p-7, 0x1.25354e44ce70fp-7, -0x1.91f8ba4dad125p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.443dbe6f361c2p-8, -0x1.5ac8326cb1bb1p-7, 0x1.162260e1e4c05p-7, -0x1.875f3577d0653p-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.22eddfc6eb7f6p-8, -0x1.3fb3d1510caf5p-7, 0x1.077535470022bp-7, -0x1.7cc38f2ee5cd2p-9}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.0440a04d84df3p-8, -0x1.26121041e09f6p-7, 0x1.f25bbfd0e23c8p-8, -0x1.72287b0d01195p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.d022e4b2a63d2p-9, -0x1.0dd8c07f4c317p-7, 0x1.d698b6964ef45p-8, -0x1.678d3fc1e077dp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.9c7999d2c7f9ep-9, -0x1.edfb66f9924b2p-8, 0x1.bba151ce2aeb7p-8, -0x1.5cf20ef4f4192p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.6d40574b0427cp-9, -0x1.c2ed75401cff6p-8, 0x1.a17590aeff034p-8, -0x1.5256db58468d2p-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.42341dbc69afep-9, -0x1.9a734ea506518p-8, 0x1.8815736ec6852p-8, -0x1.47bba87c7172cp-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1b13f7198133dp-9, -0x1.747895f92240ap-8, 0x1.6f80f9ff0acfcp-8, -0x1.3d20756cf51e8p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.ef41ed4c9a10ep-10, -0x1.50e8ee0dcc54cp-8, 0x1.57b82463aba0cp-8, -0x1.3285426b4fd3ep-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.af3c71f09272fp-10, -0x1.2faff9b43bc9bp-8, 0x1.40baf29b9f3dcp-8, -0x1.27ea0f65ebc79p-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.75a1c7ecd711p-10, -0x1.10b95bbdb18c7p-8, 0x1.2a8964a72d8eep-8, -0x1.1d4edc6196e4ep-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.42004db246d9ep-10, -0x1.e7e16df6d7e9dp-9, 0x1.15237a86423d6p-8, -0x1.12b3a95cf10f3p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.13ea7454b42aap-10, -0x1.b2835c7d5427ap-9, 0x1.00893438e35c5p-8, -0x1.081876585c07fp-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.d5ed7f15c9929p-11, -0x1.812fc8b155741p-9, 0x1.d975237e1f513p-9, -0x1.fafa86a7a5a9p-10}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.8d7f8b5d23d3ap-11, -0x1.53bdf83559a9fp-9, 0x1.b36f26318c7e4p-9, -0x1.e5c4209e68e13p-10}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.4dc85f78d0546p-11, -0x1.2a0530abde918p-9, 0x1.8f00708c116d9p-9, -0x1.d08dba9540a8cp-10}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.160d72a80f2bcp-11, -0x1.03dcb7b761ddap-9, 0x1.6c29028dac937p-9, -0x1.bb57548c3a1c2p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.cb38c2e00e966p-12, -0x1.c237a5f4c2eecp-10, 0x1.4ae8dc365b6b2p-9, -0x1.a620ee82e216p-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.7795db378ce6cp-12, -0x1.8333902eb62f7p-10, 0x1.2b3ffd86241p-9, -0x1.90ea8879d8661p-10}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.2fedfc78828cep-12, -0x1.4a5bb96198eabp-10, 0x1.0d2e667d00a22p-9, -0x1.7bb42270b4778p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.e61a7ea14ce67p-13, -0x1.175eacd266f1ep-10, 0x1.e1682e35e6327p-10, -0x1.667dbc6773f63p-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.7fa00df2fa61ap-13, -0x1.d3d5eb8c3758p-11, 0x1.aba21ebffb332p-10, -0x1.5147565e83145p-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.2a460270b2287p-13, -0x1.835e3f0365ca9p-11, 0x1.790a9e9834569p-10, -0x1.3c10f054abfffp-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.c80c9979685cp-14, -0x1.3cb36a944e8b7p-11, 0x1.49a1adbeb423cp-10, -0x1.26da8a4dad33bp-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.55f6e521b7bdp-14, -0x1.fe650991dccaap-12, 0x1.1d674c330d5c1p-10, -0x1.11a4243d962a2p-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.f5823afa7f0dfp-15, -0x1.9471485654461p-12, 0x1.e8b6f3ed3a789p-11, -0x1.f8db7c99d0c4ap-11}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.664544bc4838p-15, -0x1.3a45be8a78819p-12, 0x1.9cfc6e095b26cp-11, -0x1.ce6eafd20c17ap-11}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.f04ff71702081p-16, -0x1.dd39328075e05p-13, 0x1.579f06dd0c89ep-11, -0x1.a401e666258a5p-11}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.4b3b8f929858p-16, -0x1.60600b25fc3a9p-13, 0x1.189ebde753b56p-11, -0x1.7995106e02c9ap-11}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.a67198d4eb0fep-17, -0x1.f6e8c1eb6dfb5p-14, 0x1.bff72a140cfb8p-12, -0x1.4f28694c8e87dp-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.fcdf3f6a5b2p-18, -0x1.57d51dce671a2p-14, 0x1.5b6b0a7d156ccp-12, -0x1.24bb135de3c85p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.1cb5936f4cp-18, -0x1.bcdbb06cf71bp-15, 0x1.0399517a8448ep-12, -0x1.f4a093974621ap-12}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.2097f91ee5p-19, -0x1.0b37781925f7dp-15, 0x1.710276ae0d21fp-13, -0x1.9fb7fb29774cdp-12}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.fcd764a83ap-21, -0x1.211ca526e9593p-16, 0x1.e89689dcd2b05p-14, -0x1.4b165f2b7e486p-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.6ad783daac001p-22, -0x1.0ad077f985e5cp-17, 0x1.21ef83f5ed527p-14, -0x1.ead7ad67bdd18p-13}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.6855ce9b3p-24, -0x1.771159a8c2f57p-19, 0x1.1d5d9fe0cf286p-15, -0x1.473c076cdc442p-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.4dc85f8a8p-27, -0x1.2e387fe9c257ap-21, 0x1.6419a0e45f24ep-17, -0x1.0d991d12298a9p-14}, 
        {0x1.bcccccccccccdp+2, 0x1.be147ae147ae1p+2, 0x1.1cb59f7ffffffp-34, 0x1.1735a927abc9fp-26, 0x1.04a8bcdb04p-20, -0x1.ed343b2328b4bp-12}, 
      }}, 
      0x1.e507693abf9fap-6, -0x1.185001e3a2441p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_s_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.763122ab4b2dep-2, -0x1.74d40932b4fefp-2, -0x1.72937fd774b31p-2, -0x1.6f7710f7960eep-2, -0x1.6b889f7c1e535p-2, -0x1.66d3ed6521c2ep-2, -0x1.6166256207e0dp-2, -0x1.5b4d6e2a8ee8cp-2, -0x1.54988b05aef52p-2, -0x1.4d568ad98cf41p-2, -0x1.45968583f3b68p-2, -0x1.3d6766879a374p-2, -0x1.34d7c3abc30b3p-2, -0x1.2bf5bd25ae7b9p-2, -0x1.22cee6d957b74p-2, -0x1.197037cd4d777p-2, -0x1.0fe5ff4966122p-2, -0x1.063bde9967aa9p-2, -0x1.f8f98c889ccacp-3, -0x1.e565ec569ce25p-3, -0x1.d1cfffa6ff42ap-3, -0x1.be49945debe98p-3, -0x1.aae32cb39bdd2p-3, -0x1.97ac09ca757d9p-3, -0x1.84b2379a7d3a2p-3, -0x1.7202927581786p-3, -0x1.5fa8e198df2a5p-3, -0x1.4dafcc8fc926dp-3, -0x1.3c20f74c16715p-3, -0x1.2b0504ee24f5dp-3, -0x1.1a63a3eab3992p-3, -0x1.0a43979639accp-3, -0x1.f55584b3447dap-4, -0x1.d73c5dddb980bp-4, -0x1.ba4434fb2272ap-4, -0x1.9e73fab448056p-4, -0x1.83d12a3175123p-4, -0x1.6a5fdb581e36fp-4, -0x1.5222d5b939c73p-4, -0x1.3b1ba35e4fa9ep-4, -0x1.254aa39b87a4bp-4, -0x1.10af1dbd979d4p-4, -0x1.fa8ea74338dc5p-5, -0x1.d6212832c31cfp-5, -0x1.b40e9a1c9504cp-5, -0x1.944e3aaa7849p-5, -0x1.76d5cc50311b3p-5, -0x1.5b99b85b6eaa8p-5, -0x1.428d3034f0e2ep-5, -0x1.2ba24d932f753p-5, -0x1.16ca31a72ce2dp-5, -0x1.03f5235146fb8p-5, -0x1.e62557b77f4e6p-6, -0x1.c82365f5aac1cp-6, -0x1.adc1325ec3f4p-6, -0x1.96daa228e1db6p-6, -0x1.834aeea9d7b3bp-6, -0x1.72ecd29aee07fp-6, -0x1.659ab4b5c5ca4p-6, -0x1.5b2ecf96d11aep-6, -0x1.538356f77da4fp-6, -0x1.4e7299e611206p-6, -0x1.4bd722ddb71f1p-6, -0x1.4b8bd45cc4ae8p-6, -0x1.4d6c03aaa2c1bp-6, -0x1.515390548b957p-6, -0x1.571ef9d61e259p-6, -0x1.5eab714e195b9p-6, -0x1.67d6ed23eca34p-6, -0x1.72802f8cc90a7p-6, -0x1.7e86e1057d576p-6, -0x1.8bcb846ab49fp-6, -0x1.9a2f97fc20911p-6, -0x1.a9958b4cc93a1p-6, -0x1.b9e0bb946fcfbp-6, -0x1.caf5a591e2792p-6, -0x1.dcb9935d0066fp-6, -0x1.ef12fee4cae07p-6, -0x1.00f4a521f6b86p-5, -0x1.0a9262b459e89p-5, -0x1.14577799a245bp-5, -0x1.1e3901b09ac44p-5, -0x1.282cae143165ap-5, -0x1.32289f5da9e89p-5, -0x1.3c236515859ebp-5, -0x1.461410616bddp-5, -0x1.4ff21a42b73b5p-5, -0x1.59b5710af66c9p-5, -0x1.63566d848bec6p-5, -0x1.6ccdd32e8166ep-5, -0x1.7614d1ec33264p-5, -0x1.7f24fab396f99p-5, -0x1.87f846718023fp-5, -0x1.908910021966p-5, -0x1.98d210800a499p-5, -0x1.a0ce61333affap-5, -0x1.a879779d42797p-5, -0x1.afcf245c0be8cp-5, -0x1.b6cb9277bfe57p-5, -0x1.bd6b45c430e18p-5, -0x1.c3ab19c0df95dp-5, -0x1.c988405683532p-5, -0x1.cf004052271f5p-5, -0x1.d410f3c014e2ep-5, -0x1.d8b8861906648p-5, -0x1.dcf57237eb3a2p-5, -0x1.e0c68030f8133p-5, -0x1.e42ac30f71033p-5, -0x1.e72196742a6d2p-5, -0x1.e9aa9c2148ad3p-5, -0x1.ebc5b9864132ep-5, -0x1.ed731510c1a05p-5, -0x1.eeb3137f3b02cp-5, -0x1.ef86552c4cbc6p-5, -0x1.efedb32009f99p-5, -0x1.efea3c1bc5685p-5, -0x1.ef7d3196a172fp-5, -0x1.eea804ac1e7d6p-5, -0x1.ed6c5304b3304p-5, -0x1.ebcbe3c6b45d7p-5, -0x1.e9c8a4946fff8p-5, -0x1.e764a69a664bfp-5, -0x1.e4a21bb847fb8p-5, -0x1.e18353c8a7b4ap-5, -0x1.de0aba05b7535p-5, -0x1.da3ad28b0842ap-5, -0x1.d61637f70a053p-5, -0x1.d19f99289097bp-5, -0x1.ccd9b711c75ddp-5, -0x1.c7c762a2637ecp-5, -0x1.c26b7ac4b56c7p-5, -0x1.bcc8ea6c3d9bep-5, -0x1.b6e2a6b3c263fp-5, -0x1.b0bbad068b4f9p-5, -0x1.aa57015df1437p-5, -0x1.a3b7ac8c0f73p-5, -0x1.9ce0ba90171c6p-5, -0x1.95d539069cb16p-5, -0x1.8e9835a6536e5p-5, -0x1.872cbcc146692p-5, -0x1.7f95d7f480ab4p-5, -0x1.77d68cdb037bp-5, -0x1.6ff1dbcd776afp-5, -0x1.67eabecb1eb4cp-5, -0x1.5fc4286710a0bp-5, -0x1.578102c0c65b5p-5, -0x1.4f242ea717acfp-5, -0x1.46b082beebe86p-5, -0x1.3e28caaa27b89p-5, -0x1.358fc659be99ap-5, -0x1.2ce82969113f6p-5, -0x1.24349a6ba73b2p-5, -0x1.1b77b26084d53p-5, -0x1.12b3fc3d238eep-5, -0x1.09ebf4611aab2p-5, -0x1.0122081d734dcp-5, -0x1.f0b12acbdf272p-6, -0x1.df23d4e4407d7p-6, -0x1.cda08aaaa582ep-6, -0x1.bc2ba789a892ep-6, -0x1.aac965d537aa9p-6, -0x1.997dde351d679p-6, -0x1.884d073aa053cp-6, -0x1.773ab54dac869p-6, -0x1.664a9a7a44045p-6, -0x1.55804615f347cp-6, -0x1.44df24b65dfaap-6, -0x1.346a8060362ap-6, -0x1.2425807a41766p-6, -0x1.141329b1c1765p-6, -0x1.04365e38313c8p-6, -0x1.e923bc490fd4ap-7, -0x1.ca508f08f20f4p-7, -0x1.abf82d984f1b6p-7, -0x1.8e1f4c59df36ep-7, -0x1.70ca5f9fe6bp-7, -0x1.53fd994d7355fp-7, -0x1.37bcea7e265bfp-7, -0x1.1c0c048b0452ap-7, -0x1.00ee5a3981fe6p-7, -0x1.ccce40dab4358p-8, -0x1.98f29e5462d3ap-8, -0x1.664f44a2f716ap-8, -0x1.34e9367919d0fp-8, -0x1.04c503ad010d1p-8, -0x1.abcd964b71f7bp-9, -0x1.50a4795281968p-9, -0x1.f02a7048bad28p-10, -0x1.444b0e9ef5128p-10, -0x1.3b69346c34beap-11, 0x1.c85a2f092d399p-17, 0x1.3efc5ac080c5ap-11, 0x1.360e9ee4ea171p-10, 0x1.c73e4c0763efbp-10, 0x1.2985713beb28bp-9, 0x1.6cb9b75b9c25bp-9, 0x1.ad3c28e252079p-9, 0x1.eb0d9baa56499p-9, 0x1.1317c3648e9e6p-8, 0x1.2f51fe6d922a4p-8, 0x1.4a36d2aff61e6p-8, 0x1.63c7db9b13dc4p-8, 0x1.7c06fab2d2ee5p-8, 0x1.92f6559729e55p-8, 0x1.a8985318e70c1p-8, 0x1.bcef979455ed5p-8, 0x1.cfff02197d926p-8, 0x1.e1c9ab03cee96p-8, 0x1.f252e2c4bb2dap-8, 0x1.00cf17b4051b6p-7, 0x1.07d7a44e710d9p-7, 0x1.0e450a23acc12p-7, 0x1.1419527e92ca4p-7, 0x1.19569cd27daf1p-7, 0x1.1dff1e05f8ae5p-7, 0x1.22151eae9e6c2p-7, 0x1.259af8ef3ed57p-7, 0x1.2893172ffd512p-7, 0x1.2afff3fa8f532p-7, 0x1.2ce41a0d04f04p-7, 0x1.2e42236e85cebp-7, 0x1.2f1cb75a4734fp-7, 0x1.2f768821e0602p-7, 0x1.2f52524109b4cp-7, 0x1.2eb2dcabb775ep-7, 0x1.2d9af91bd510fp-7, 0x1.2c0d831e5cadbp-7, 0x1.2a0d5de3d7af1p-7, 0x1.279d7218cf076p-7, 0x1.24c0ad129ac63p-7, 0x1.217a015912144p-7, 0x1.1dcc674987815p-7, 0x1.19badc7581479p-7, 0x1.15486194b8ef6p-7, 0x1.1077f83c1a27ap-7, 0x1.0b4ca1c55b9dcp-7, 0x1.05c95fc1c64e2p-7, 0x1.ffe269eef44dap-8, 0x1.f38e4ae24c8cep-8, 0x1.e69c69faa5ba1p-8, 0x1.d912c9bf2709p-8, 0x1.caf7644c30d72p-8, 0x1.bc502b0e8fefdp-8, 0x1.ad2308cae4a32p-8, 0x1.9d75e35873b98p-8, 0x1.8d4e9ac66c123p-8, 0x1.7cb305cd5692fp-8, 0x1.6ba8eda37b4dp-8, 0x1.5a360bb9b9ec2p-8, 0x1.48600a5914934p-8, 0x1.362c86e78e86ep-8, 0x1.23a1136ed7e55p-8, 0x1.10c335a6b2552p-8, 0x1.fb30c76bae4e7p-9, 0x1.d44c0124ab4f8p-9, 0x1.ace2b43be5e2ap-9, 0x1.84ff538b81c8fp-9, 0x1.5cac2d4b0c434p-9, 0x1.33f36e6dd9f63p-9, 0x1.0adf22018c5fcp-9, 0x1.c2f258c659b95p-10, 0x1.6f968a0fed44bp-10, 0x1.1bbde4d93c797p-10, 0x1.8ef6287828676p-11, 0x1.cb81a06199f09p-12, 0x1.dffdcb0b3e44cp-14, -0x1.b8a7148116f96p-13, -0x1.1898ff05e47bbp-11, -0x1.c32c04faad89ep-11, -0x1.36e0db070f2b2p-10, -0x1.8c1ce361f1d77p-10, -0x1.e13a5dad2e2f8p-10, -0x1.1b14f69fd4833p-9, -0x1.456e4862da404p-9, -0x1.6fa1d06d081f9p-9, -0x1.99a869f578e11p-9, -0x1.c37b228789351p-9, -0x1.ed133cee5e20cp-9, -0x1.0b35190c0d55dp-8, -0x1.1fbcd7d35666cp-8, -0x1.341dca945fc7cp-8, -0x1.4854f8c83789p-8, -0x1.5c5f811a9ce82p-8, -0x1.703a99ded34f6p-8, -0x1.83e3921ea6426p-8, -0x1.9757d29c53838p-8, -0x1.aa94de3548f07p-8, -0x1.bd98517200ep-8, -0x1.d05fe17c980b9p-8, -0x1.e2e95afb18d6p-8, -0x1.f532a14a4f83ep-8, -0x1.039cd72d6de2bp-7, -0x1.0c7e498d97075p-7, -0x1.153cbc09ba9f7p-7, -0x1.1dd74ee3683a2p-7, -0x1.264d2e4a53c2dp-7, -0x1.2e9d920be7787p-7, -0x1.36c7bd1d9e3edp-7, -0x1.3ecafd2b19678p-7, -0x1.46a6aa4a36419p-7, -0x1.4e5a26e3a091ep-7, -0x1.55e4dfc49d67bp-7, -0x1.5d464c3c12309p-7, -0x1.647dee219436cp-7, -0x1.6b8b51b300928p-7, -0x1.726e0d49977f5p-7, -0x1.7925c0f836323p-7, -0x1.7fb2162adcd44p-7, -0x1.8612bf5ce8f25p-7, -0x1.8c4777efcc1a5p-7, -0x1.9250041e9af78p-7, -0x1.982c30fd90111p-7, -0x1.9ddbd46fcc711p-7, -0x1.a35ecd0394ab6p-7, -0x1.a8b501b1c648ep-7, -0x1.adde618a1c0d4p-7, -0x1.b2dae35be5133p-7, -0x1.b7aa856a59b06p-7, -0x1.bc4d4d369ad12p-7, -0x1.c0c34760da988p-7, -0x1.c50c8798cc198p-7, -0x1.c929288defe03p-7, -0x1.cd194bd14ab79p-7, -0x1.d0dd19a0f34e4p-7, -0x1.d474c098516cbp-7, -0x1.d7e07558b07a1p-7, -0x1.db207239fec44p-7, -0x1.de34f70f8e39p-7, -0x1.e11e49083fb23p-7, -0x1.e3dcb2a61de63p-7, -0x1.e67083bf84f46p-7, -0x1.e8da117504d34p-7, -0x1.eb19b607bf43bp-7, -0x1.ed2fd085dd58cp-7, -0x1.ef1cc4534eb15p-7, -0x1.f0e0f8a76afbp-7, -0x1.f27cd821be22bp-7, -0x1.f3f0d0955dadep-7, -0x1.f53d531ba7e0bp-7, -0x1.f662d4669ccf2p-7, -0x1.f761cd321036cp-7, -0x1.f83aba9fed776p-7, -0x1.f8ee1e4800262p-7, -0x1.f97c7dcefa3a3p-7, -0x1.f9e661f090656p-7, -0x1.fa2c551f5a4ebp-7, -0x1.fa4ee23cce24fp-7, -0x1.fa4e93de2a3e5p-7, -0x1.fa2bf42209caap-7, -0x1.f9e78d30e1fdep-7, -0x1.f981eabd81dc9p-7, -0x1.f8fb9c520ebffp-7, -0x1.f855374993efep-7, -0x1.f78f579cc5b8bp-7, -0x1.f6aa9f594f0adp-7, -0x1.f5a7b49d4e62ep-7, -0x1.f4873e393272p-7, -0x1.f349dfb5565ccp-7, -0x1.f1f035c26b0dp-7, -0x1.f07ad44a0d9b4p-7, -0x1.eeea46ff7c3aep-7, -0x1.ed3f14b2097ddp-7, -0x1.eb79c4dd91038p-7, -0x1.e99ae63550744p-7, -0x1.e7a314657f4dcp-7, -0x1.e592fb373047dp-7, -0x1.e36b55b56d4aap-7, -0x1.e12ce8deb86e6p-7, -0x1.ded87a9f2bb8ep-7, -0x1.dc6ec6f87f63ap-7, -0x1.d9f076083556cp-7, -0x1.d75e15c38f2aap-7, -0x1.d4b819a3ba816p-7, -0x1.d1fee12e72d58p-7, -0x1.cf32c48f4ec4p-7, -0x1.cc5424be3b96cp-7, -0x1.c9637b6f8d341p-7, -0x1.c66166a0a3d04p-7, -0x1.c34eac364839cp-7, -0x1.c02c33bf2700fp-7, -0x1.bcfaf6b7dd09ap-7, -0x1.b9bbea21c969bp-7, -0x1.b66fe63ca2785p-7, -0x1.b317922cf7f56p-7, -0x1.afb358f4500ap-7, -0x1.ac436b5657277p-7, -0x1.a8c7cf72a2fep-7, -0x1.a5407b9f321dbp-7, -0x1.a1ad773244f82p-7, -0x1.9e0efa1b13f3p-7, -0x1.9a6583e163188p-7, -0x1.96b1e408f8461p-7, -0x1.92f530b57a9bcp-7, -0x1.8f30ac3dc5fdp-7, -0x1.8b659e5b12259p-7, -0x1.879528d691e76p-7, -0x1.83c0212e57ff4p-7, -0x1.7fe6f81258476p-7, -0x1.7c09b4dd56a5dp-7, -0x1.782806e7b0711p-7, -0x1.744169d405632p-7, -0x1.705555e0606cap-7, -0x1.6c6372b01e574p-7, -0x1.686bc2548d30cp-7, -0x1.646ebb9607137p-7, -0x1.606d4d6ede81dp-7, -0x1.5c68c9ed324fap-7, -0x1.5862bbac17852p-7, -0x1.545cadda3af5bp-7, -0x1.5057f22963c8p-7, -0x1.4c5570ec3e46fp-7, -0x1.48558d91e5da9p-7, -0x1.44582505fc31fp-7, -0x1.405ca5a06059fp-7, -0x1.3c623b029d7f9p-7, -0x1.386804d53cea4p-7, -0x1.346d4e298be44p-7, -0x1.3071bbe37cc16p-7, -0x1.2c756a5de7ceap-7, -0x1.2878f5301294bp-7, -0x1.247d6791dc208p-7, -0x1.20841821155b7p-7, -0x1.1c8e7703344d7p-7, -0x1.189dd86aa5733p-7, -0x1.14b346550ab96p-7, -0x1.10cf627305a3p-7, -0x1.0cf25d0c6d3aap-7, -0x1.091c00bd10684p-7, -0x1.054bceb8e6bbap-7, -0x1.018124dd47a0dp-7, -0x1.fb76cc0a41838p-8, -0x1.f3f43a46c839bp-8, -0x1.ec7a28cd4e518p-8, -0x1.e508b7bb9f989p-8, -0x1.dda07ec043174p-8, -0x1.d64261d8a28fcp-8, -0x1.ceef6152689e8p-8, -0x1.c7a87715149e4p-8, -0x1.c06e89b903a94p-8, -0x1.b942704c60b9bp-8, -0x1.b224f838f2902p-8, -0x1.ab16e001a378cp-8, -0x1.a418c59e57a8cp-8, -0x1.9d2b1677f06a7p-8, -0x1.964e15496594dp-8, -0x1.8f81feef84c96p-8, -0x1.88c73e52385bcp-8, -0x1.821e8a3ed8cddp-8, -0x1.7b88c92f85d1cp-8, -0x1.7506b36e33922p-8, -0x1.6e985531ba1bcp-8, -0x1.683caff764631p-8, -0x1.61f1b95e028c5p-8, -0x1.5bb4d1e574486p-8, -0x1.5583943e1684p-8, -0x1.4f5ca9386465cp-8, -0x1.49403bf1f31a7p-8, -0x1.432fd0b29da8ep-8, -0x1.3d2d94e9c6767p-8, -0x1.373b9219d1887p-8, -0x1.315b438746a8ap-8, -0x1.2b8dcad843a33p-8, -0x1.25d48ae4583e2p-8, -0x1.2031a0ad2e00fp-8, -0x1.1aa7c4b56396ep-8, -0x1.153980195c7a5p-8, -0x1.0fe808c12b0f9p-8, -0x1.0ab24ae6ca8a6p-8, -0x1.0594981b3afbbp-8, -0x1.00893aaf44a47p-8, -0x1.f713bd836a7c3p-9, -0x1.ed22d4ee836edp-9, -0x1.e33b20476e58dp-9, -0x1.d95ea897c3p-9, -0x1.cf94510278a52p-9, -0x1.c5e41552e54c3p-9, -0x1.bc5393219098p-9, -0x1.b2e502cbf1257p-9, -0x1.a9990000d2395p-9, -0x1.a0717a5a24f77p-9, -0x1.9773854d79365p-9, -0x1.8ea6c7eec3791p-9, -0x1.8612ed84c82f2p-9, -0x1.7dbc8e6d5f88cp-9, -0x1.75a313f54cc0bp-9, -0x1.6dc04019201b2p-9, -0x1.66091af068ddap-9, -0x1.5e6feacc60a86p-9, -0x1.56e739aa2d584p-9, -0x1.4f659c7611486p-9, -0x1.47e8c1f81f70bp-9, -0x1.4075ade66e611p-9, -0x1.39155c908d83fp-9, -0x1.31cfb957ea273p-9, -0x1.2aa853155cdd7p-9, -0x1.239ecd38253fdp-9, -0x1.1cb2037de3c5ep-9, -0x1.15e332f9a8134p-9, -0x1.0f37234e255cep-9, -0x1.08b4b85a08dbfp-9, -0x1.0261c5431e12dp-9, -0x1.f880a5f29d4bep-10, -0x1.ec9c98ebdca97p-10, -0x1.e10e66e48068bp-10, -0x1.d5cb789a3ead5p-10, -0x1.cac7f77582d6ep-10, -0x1.bff5dd8e34ed5p-10, -0x1.b5463cd735446p-10, -0x1.aaadc6426bbdp-10, -0x1.a02952ccd4603p-10, -0x1.95be402f0ed7bp-10, -0x1.8b7642687ef75p-10, -0x1.815a2427292a7p-10, -0x1.776eb93e71905p-10, -0x1.6db4c03fb943p-10, -0x1.642b67aec3fc9p-10, -0x1.5ad4bc9b976a1p-10, -0x1.51b80dbe28a9fp-10, -0x1.48ddb07600d6dp-10, -0x1.4047a3b206bf9p-10, -0x1.37efc68b561fdp-10, -0x1.2fccf99c78b7ep-10, -0x1.27d8ec07cbf89p-10, -0x1.20124af050f9dp-10, -0x1.187b8bf992a47p-10, -0x1.1117d3983fccap-10, -0x1.09e77725eff41p-10, -0x1.02e5cd01c69b4p-10, -0x1.f812f7e5fa816p-11, -0x1.ea8ebd6270eaep-11, -0x1.dd2f01a6a1fcap-11, -0x1.cff54ee5983b7p-11, -0x1.c2f5b9d9d882fp-11, -0x1.b6456c440cb4fp-11, -0x1.a9e849193648bp-11, -0x1.9dd7a42dd5031p-11, -0x1.92174470bdb63p-11, -0x1.86b53040291f8p-11, -0x1.7bb43420bdf29p-11, -0x1.710472a2d72eap-11, -0x1.6691edf4b122fp-11, -0x1.5c51596db2d86p-11, -0x1.524072d9cd7d8p-11, -0x1.4861d4984285fp-11, -0x1.3ebbabd6d423bp-11, -0x1.3558da8275b93p-11, -0x1.2c47dbee2826ep-11, -0x1.2394473280286p-11, -0x1.1b3c4d311a005p-11, -0x1.1329f3d1bfb71p-11, -0x1.0b3bc500aed6cp-11, -0x1.035b5eb0a2589p-11, -0x1.f71e392c1e483p-12, -0x1.e7e3587e8fa3ep-12, -0x1.d92344b7bbdfcp-12, -0x1.cace893e790ap-12, -0x1.bcdcec99298d5p-12, -0x1.af67981201358p-12, -0x1.a27bc758b201bp-12, -0x1.95fda76118556p-12, -0x1.89c939e58832ap-12, -0x1.7dcf05a8cc502p-12, -0x1.721083f292dc9p-12, -0x1.66935e86ebb6cp-12, -0x1.5b5a86e191bc6p-12, -0x1.50669e5d327f9p-12, -0x1.45bb4b3992181p-12, -0x1.3b646eaa066f3p-12, -0x1.31751ad4a3cf3p-12, -0x1.27fedd5fa6702p-12, -0x1.1f013fab92796p-12, -0x1.16594680619e8p-12, -0x1.0ddbbc9f1fed2p-12, -0x1.0582916cf5c48p-12, -0x1.faac14c431eeep-13, -0x1.eab6acd1c8844p-13, -0x1.db3c53a3f9decp-13, -0x1.cc3efbfc30716p-13, -0x1.bdc80e4778d56p-13, -0x1.affa6d3e78df3p-13, -0x1.a2bb95d8b52b5p-13, -0x1.95d5b1fcba442p-13, -0x1.89359e3f50175p-13, -0x1.7ce1433004cdcp-13, -0x1.70e1a3b10faabp-13, -0x1.653b6faa2cfb5p-13, -0x1.59ef08061b9a4p-13, -0x1.4ef9d638e9c29p-13, -0x1.44588c939ae7bp-13, -0x1.3a0ae731792e6p-13, -0x1.30161b95f12ebp-13, -0x1.268251513a269p-13, -0x1.1d59e6feeba65p-13, -0x1.14a95241db9d1p-13, -0x1.0c59bbe47682cp-13, -0x1.0441402564da6p-13, -0x1.f90e92fc8ec41p-14, -0x1.ea1bc2c15e53dp-14, -0x1.db2f98db56612p-14, -0x1.cce1919dae0cp-14, -0x1.bf1b8a34fd0cfp-14, -0x1.b1e0b3f5d8f5cp-14, -0x1.a558fa11d0c83p-14, -0x1.993d523acc3dap-14, -0x1.8d6a89d9b0df6p-14, -0x1.81eac11c244b4p-14, -0x1.76caa984d74f4p-14, -0x1.6c0e5b6e8696bp-14, -0x1.61b4795a49c53p-14, -0x1.57ba166e37fc4p-14, -0x1.4e1c601f8626dp-14, -0x1.44d860bac85ccp-14, -0x1.3bea60fe9a1dfp-14, -0x1.334e6db15c095p-14, -0x1.2b015dfdd0d6dp-14, -0x1.22fe1fdab8ebep-14, -0x1.1b3f250d9ee36p-14, -0x1.13df7c3c38e25p-14, -0x1.0d027c5ae2498p-14, -0x1.065baeba7f871p-14, -0x1.ffda8556c73fcp-15, -0x1.f39e5d577792cp-15, -0x1.e7bb8fafdde21p-15, -0x1.dc6d3b392f1acp-15, -0x1.d131cab7e04ffp-15, -0x1.c683565a43676p-15, -0x1.bc7ceb9a5909ep-15, -0x1.b2bbb52f1751fp-15, -0x1.a93a0b89e05b3p-15, -0x1.a00aed0eb9174p-15, -0x1.97360f5aa99ebp-15, -0x1.8eba678fad7bep-15, -0x1.86939cc2c3ae2p-15, -0x1.7ebd0c87fd18fp-15, -0x1.77332b982b6a6p-15, -0x1.6ff39a4e8ba6p-15, -0x1.68fc0465f9bb1p-15, -0x1.62489f53883f8p-15, -0x1.5bd3f0c02ec49p-15, -0x1.5598c694c278bp-15, -0x1.4f92546db761cp-15, -0x1.49b5c9f68bf91p-15, -0x1.44045b6ec59d6p-15, -0x1.3ec2be21fcda6p-15, -0x1.39e07e4c2ee19p-15, -0x1.34d70a7472045p-15, -0x1.2fcbfdb8f4b5ep-15, -0x1.2b73f3a0cee5fp-15, -0x1.2746cf1185ff8p-15, -0x1.22d80d34dd985p-15, -0x1.1e9c7aafa7846p-15, -0x1.1aad639b56962p-15, -0x1.16ce7dd5d2fb9p-15, -0x1.130196a35cb09p-15, -0x1.0f4fbad58aec4p-15, -0x1.0bbad7e0ebccp-15, -0x1.0841b84fe9d14p-15, -0x1.04e25e80c0465p-15, -0x1.019ac8fdc7997p-15, -0x1.fcd277446d8aep-16, -0x1.f698cf6392c09p-16, -0x1.f086c6a625d87p-16, -0x1.ea9a9517c716ep-16, -0x1.e4d16a59f586fp-16, -0x1.df271fe7053e7p-16, -0x1.d9978ea48953ep-16, -0x1.d420ef9ab40bap-16, -0x1.cec29a16e4eb9p-16, -0x1.c9742b4c9a81ep-16, -0x1.c4353cb31c3ddp-16, -0x1.bf424d0a5a139p-16, -0x1.ba54bceb19da2p-16, -0x1.b537b5013a568p-16, -0x1.b05a54d95f039p-16, -0x1.aba76402b5c22p-16, -0x1.a6ff10489a67dp-16, -0x1.a227b63dd6397p-16, -0x1.9d84783cdaa57p-16, -0x1.98ed1179d7e95p-16, -0x1.9450beee2ee3p-16, -0x1.8fb97789f0cfp-16, -0x1.8b29e3d00a06dp-16, -0x1.86a1622fee966p-16, -0x1.821ec7e13d7dfp-16, -0x1.7da0fb1ac57fdp-16, -0x1.792706124cf86p-16, -0x1.74b01861e1f07p-16, -0x1.703b8edfb9c15p-16, -0x1.6bc8f9927802ep-16, -0x1.675803ae0e30ep-16, -0x1.62e8365cb8804p-16, -0x1.5e78cb7fd7dd4p-16, -0x1.5a08ca74e98b2p-16, -0x1.55977afd90d3ep-16, -0x1.512533455adfcp-16, -0x1.4cb32f423acffp-16, -0x1.483f6681580e9p-16, -0x1.43c43fe9adf59p-16, -0x1.3f5132e649df7p-16, -0x1.3ad60fc9e2f0fp-16, -0x1.365f7baac144ep-16, -0x1.31e91f5554e3fp-16, -0x1.2d65c7befcb72p-16, -0x1.28e279376431p-16, -0x1.245e191b0a353p-16, -0x1.1fdb51f1feedep-16, -0x1.1b56b6d814c7p-16, -0x1.16cb7a307ff5bp-16, -0x1.123d7a42eab7cp-16, -0x1.0dad987f47f3p-16, -0x1.091bd572b89c7p-16, -0x1.048827f3830d7p-16, -0x1.ffe52beedc8a8p-17, -0x1.f6b663222fa44p-17, -0x1.ed842a75b483ap-17, -0x1.e44ec4b31c012p-17, -0x1.db16849fd007p-17, -0x1.d1dbcf45bcfb6p-17, -0x1.c89f12ad67888p-17, -0x1.bf60af62fcfc1p-17, -0x1.b620eae943b26p-17, -0x1.acdff95edf89p-17, -0x1.a39e1b163ae5cp-17, -0x1.9a5bf2906582bp-17, -0x1.911adb5ee67b8p-17, -0x1.87db9bf852e35p-17, -0x1.7e9b6e41827c4p-17, -0x1.755990a062345p-17, -0x1.6c1e7cbb9ac27p-17, -0x1.62eac14478ad8p-17, -0x1.59b7374e74d3fp-17, -0x1.50860b69d6e8fp-17, -0x1.475867461ecdbp-17, -0x1.3e2c489f2fa17p-17, -0x1.35085ffea9d94p-17, -0x1.2bef0d7de0dcdp-17, -0x1.22d9b42f83b81p-17, -0x1.19c97d46d17b1p-17, -0x1.10c0ca1dfe0eap-17, -0x1.07c04072d8c82p-17, -0x1.fd909e6890e6cp-18, -0x1.ebb2d9be1d08cp-18, -0x1.d9e82c89a9c26p-18, -0x1.c83195c29c105p-18, -0x1.b69015eb79f16p-18, -0x1.a504ad2ea2af2p-18, -0x1.93905b5439795p-18, -0x1.823421237461p-18, -0x1.70f0fff15b407p-18, -0x1.5fc7f3600c84bp-18, -0x1.4eb9ea13e7006p-18, -0x1.3dc7c5e7d9f86p-18, -0x1.2cf25fb66370dp-18, -0x1.1c3a907a788dbp-18, -0x1.0ba15e6e25e64p-18, -0x1.f65035f2e41cbp-19, -0x1.d59f6779ac603p-19, -0x1.b52ec722b3034p-19, -0x1.94fc333ab69c4p-19, -0x1.7519c2cc36ec6p-19, -0x1.557f667ccb2dep-19, -0x1.362890c58f9e4p-19, -0x1.171c26201f936p-19, -0x1.f0b8e934fb499p-20, -0x1.b3d3b69b76723p-20, -0x1.7783d7fc67449p-20, -0x1.3bd605492d484p-20, -0x1.00d874135887ap-20, -0x1.8ced96a0bd124p-21, -0x1.197488a8136e2p-21, -0x1.4e9e863643aep-22, -0x1.b40f98a7270afp-24, 0x1.c77bb0aeb3768p-24, 0x1.4e0204b67e35fp-22, 0x1.13aed0fdea13dp-21, 0x1.7ef5233be3b5dp-21, 0x1.e8d0618a81795p-21, 0x1.289e8ed5cfc55p-20, 0x1.5c1c0907b2725p-20, 0x1.8edf0f4bc014ep-20, 0x1.c0e6238424e1dp-20, 0x1.f22fde32ae1c2p-20, 0x1.115d7abb9be51p-19, 0x1.29431e1e8fa98p-19, 0x1.40c84f3039f8fp-19, 0x1.57ec90adb5bep-19, 0x1.6eaf67aa1a3a9p-19, 0x1.85103b36ee1fep-19, 0x1.9b0e71d73c919p-19, 0x1.b0a9dadcf94d2p-19, 0x1.c5e3a293d54acp-19, 0x1.daba7305105a8p-19, 0x1.ef2a0d2d625abp-19, 0x1.019c0d5bd5c2fp-18, 0x1.0b71486c5c1adp-18, 0x1.15146c7e626e5p-18, 0x1.1e856427cdf67p-18, 0x1.27c4255b6f738p-18, 0x1.30d0c47424183p-18, 0x1.39abd21ed2c75p-18, 0x1.42548a339c834p-18, 0x1.4aca41474f50dp-18, 0x1.530ea7571efeap-18, 0x1.5b21246218301p-18, 0x1.6301b9d16ca3fp-18, 0x1.6ab08685c24ebp-18, 0x1.722daaecd07c4p-18, 0x1.797949b7162dap-18, 0x1.809388bee7debp-18, 0x1.877c914d3afa3p-18, 0x1.8e349029bb826p-18, 0x1.94bbb594a8ec2p-18, 0x1.9b12352760636p-18, 0x1.a13845990baa2p-18, 0x1.a72e209a0d10ep-18, 0x1.acf403212c372p-18, 0x1.b28a2de29ae0cp-18, 0x1.b7f0e515c5ca6p-18, 0x1.bd286ff63a0bep-18, 0x1.c23118fd3d3bap-18, 0x1.c70b2d80abcbbp-18, 0x1.cbb6f929f0b9p-18, 0x1.d034c540c55a6p-18, 0x1.d484e5ce8f556p-18, 0x1.d8a7c6e4bded3p-18, 0x1.dc9e18d2a0b0ep-18, 0x1.e06722f064aa4p-18, 0x1.e40423d32a4f7p-18, 0x1.e7756eeb74787p-18, 0x1.eabb3c6594853p-18, 0x1.edd5f2e339d01p-18, 0x1.f0c5f883e885fp-18, 0x1.f38bb0bc5eb86p-18, 0x1.f62784adaf31bp-18, 0x1.f899e454b222cp-18, 0x1.fae369f295c5fp-18, 0x1.fd043c8bf4014p-18, 0x1.fefcab0d6a8dbp-18, 0x1.0066cafc8446bp-17, 0x1.013b9d4466ebep-17, 0x1.01fd054391e8p-17, 0x1.02ab3e4e907dfp-17, 0x1.034683d1bbb52p-17, 0x1.03cf118fbc08ap-17, 0x1.044523bb4eb56p-17, 0x1.04a8f6fa656c6p-17, 0x1.04fac86312e05p-17, 0x1.053ad5767014ap-17, 0x1.05695c1563b76p-17, 0x1.05869a59579c4p-17, }}, 
      {{-0x1.764650714934bp-2, -0x1.752808cc8a32cp-2, -0x1.734de2293f585p-2, -0x1.70bc2867ec49cp-2, -0x1.6d78928d1c319p-2, -0x1.698a0a0cf5258p-2, -0x1.64f8717dc7e6fp-2, -0x1.5fcc6ddb3f9dcp-2, -0x1.5a0f3434719fdp-2, -0x1.53ca5cd08aa0ep-2, -0x1.4d07bc10adc86p-2, -0x1.45d1411f13376p-2, -0x1.3e30d9f73f3cfp-2, -0x1.36305c5bfbab6p-2, -0x1.2dd97320358ep-2, -0x1.25358f349569fp-2, -0x1.1c4ddbfeab859p-2, -0x1.132b36854be32p-2, -0x1.09d6270a42615p-2, -0x1.0056dcab4104dp-2, -0x1.ed6a5549c798cp-3, -0x1.d9f10dc2ac6a4p-3, -0x1.c650131a55b5bp-3, -0x1.b294daf21c8edp-3, -0x1.9ecc22468229cp-3, -0x1.8b01efa47a0ebp-3, -0x1.774198f7b9563p-3, -0x1.6395c3cf9d76ep-3, -0x1.50086d3ecfb82p-3, -0x1.3ca2ec5edf737p-3, -0x1.296df7cdd441ap-3, -0x1.1671a9ce7a1cp-3, -0x1.03b585b1b946fp-3, -0x1.e280f6d138efp-4, -0x1.be31dd309f2d8p-4, -0x1.9a896f1e3b511p-4, -0x1.779256adcf8c1p-4, -0x1.55563dc95c497p-4, -0x1.33ddd7f2751a8p-4, -0x1.1330eab6de15dp-4, -0x1.e6acb185dd7eep-5, -0x1.a8a8528eb6bc5p-5, -0x1.6c5f24caaa5bep-5, -0x1.31da02951976dp-5, -0x1.f24091773a088p-6, -0x1.846fcdcd7c4a6p-6, -0x1.1a4ae60b48f0fp-6, -0x1.67b0e37f0006dp-7, -0x1.44726fc4d9a2dp-8, 0x1.bcd7ab30e1b59p-11, 0x1.a4c79aa36ce9dp-8, 0x1.818e66f87b955p-7, 0x1.14aae225b80f7p-6, 0x1.64e2f6be70dap-6, 0x1.b1771ed54661dp-6, 0x1.fa7091ffcfc75p-6, 0x1.1fecfa23d094dp-5, 0x1.40df9ca4f53f9p-5, 0x1.6016c439f217dp-5, 0x1.7d9990d03e6dp-5, 0x1.996fa1c9331fp-5, 0x1.b3a1095b5cea5p-5, 0x1.cc36408ee682bp-5, 0x1.e3381bbf80337p-5, 0x1.f8afbfb48768fp-5, 0x1.06534b9f414a9p-4, 0x1.0f9324a5a8084p-4, 0x1.181c57ddf8401p-4, 0x1.1ff3e71fe2accp-4, 0x1.271ee51575adbp-4, 0x1.2da2715ec858fp-4, 0x1.3383b500f7fe3p-4, 0x1.38c7df3731d7ep-4, 0x1.3d742222888b3p-4, 0x1.418dafff391b2p-4, 0x1.4519b83fd0e4fp-4, 0x1.481d64fe6e713p-4, 0x1.4a9dd964da486p-4, 0x1.4ca02f2d729cp-4, 0x1.4e297571aecbcp-4, 0x1.4f3eae870b1fcp-4, 0x1.4fe4ce3d2631ap-4, 0x1.5020b87e18c88p-4, 0x1.4ff73fb2b22c3p-4, 0x1.4f6d240e25b87p-4, 0x1.4e8712af9de21p-4, 0x1.4d49a4df1c6f3p-4, 0x1.4bb95f3deaac8p-4, 0x1.49dab0bbac73bp-4, 0x1.47b1f1ab2103cp-4, 0x1.454362ceb0bfap-4, 0x1.42932cbd0fb68p-4, 0x1.3fa55f8f1b47ep-4, 0x1.3c7df292c772fp-4, 0x1.3920c444c713fp-4, 0x1.35919a2fbcdabp-4, 0x1.31d420bae1498p-4, 0x1.2debeae5bd393p-4, 0x1.29dc71f651338p-4, 0x1.25a9152b48cf2p-4, 0x1.21551982cbe05p-4, 0x1.1ce3a99f1f542p-4, 0x1.1857d5cf5e2a2p-4, 0x1.13b49435a7d9cp-4, 0x1.0efcc1026648dp-4, 0x1.0a331ebb7cd66p-4, 0x1.055a568371f14p-4, 0x1.0074f8593098cp-4, 0x1.f70af69cc8f7fp-5, 0x1.ed1c7b6b83384p-5, 0x1.e3230a91c1c79p-5, 0x1.d922fea8044dbp-5, 0x1.cf2081c8347c4p-5, 0x1.c51f8dfb81fb5p-5, 0x1.bb23edce4a127p-5, 0x1.b1313cfc8f795p-5, 0x1.a74ae93c16043p-5, 0x1.9d74331ef5d63p-5, 0x1.93b02f091034ep-5, 0x1.8a01c631032d9p-5, 0x1.806bb7a5fa67dp-5, 0x1.76f09955393eep-5, 0x1.6d92d90bd6f4dp-5, 0x1.6454bd72b95fp-5, 0x1.5b386704c86cdp-5, 0x1.523fd1003b013p-5, 0x1.496cd2551dc71p-5, 0x1.40c11e935fee9p-5, 0x1.383e46daa67fep-5, 0x1.2fe5bacdeea29p-5, 0x1.27b8c98c0771ap-5, 0x1.1fb8a2adb0d44p-5, 0x1.17e65748d89b8p-5, 0x1.1042daf7e8064p-5, 0x1.08cf04e48bc9dp-5, 0x1.018b90d395edap-5, 0x1.f4f24060840f4p-6, 0x1.e730762c0635dp-6, 0x1.d9d2a2ac1aaf9p-6, 0x1.ccd976f3bf90bp-6, 0x1.c045777dae646p-6, 0x1.b416fe168e2a2p-6, 0x1.a84e3bbc0093p-6, 0x1.9ceb3a7144f9bp-6, 0x1.91eddf03a5b54p-6, 0x1.8755eac376c9p-6, 0x1.7d22fd36f9b0cp-6, 0x1.735495bf2d978p-6, 0x1.69ea1531b0fdfp-6, 0x1.60e2bf705c04ep-6, 0x1.583dbcf606e54p-6, 0x1.4ffa1c568de33p-6, 0x1.4816d3bd97e49p-6, 0x1.4092c266a9702p-6, 0x1.396cb2053a535p-6, 0x1.32a35827aa338p-6, 0x1.2c35579814777p-6, 0x1.262141ad09494p-6, 0x1.2065978cbf0c1p-6, 0x1.1b00cb6f5a312p-6, 0x1.15f141d768688p-6, 0x1.113552b6d369bp-6, 0x1.0ccb4a8bcdacap-6, 0x1.08b16b7c4811cp-6, 0x1.04e5ee61db7bap-6, 0x1.016703c3d7412p-6, 0x1.fc65a99c2123bp-7, 0x1.f68f08889830ep-7, 0x1.f1465ec86c063p-7, 0x1.ec87dd7177adp-7, 0x1.e84fadd9d1fep-7, 0x1.e499f33515097p-7, 0x1.e162cc0de8275p-7, 0x1.dea653a6f2d71p-7, 0x1.dc60a36b7232cp-7, 0x1.da8dd42f217c5p-7, 0x1.d929ff85c4f8ap-7, 0x1.d83140dc34592p-7, 0x1.d79fb69e2d4a7p-7, 0x1.d77183579a1d3p-7, 0x1.d7a2cebf77026p-7, 0x1.d82fc6987902ep-7, 0x1.d9149faf7e1f7p-7, 0x1.da4d96bcb8934p-7, 0x1.dbd6f1397d0b7p-7, 0x1.ddacfe1782adfp-7, 0x1.dfcc1689b6812p-7, 0x1.e2309eadbfd35p-7, 0x1.e4d7063f7963cp-7, 0x1.e7bbc91f5e846p-7, 0x1.eadb6fe7b8376p-7, 0x1.ee32907495ca1p-7, 0x1.f1bdce60d4c1fp-7, 0x1.f579db7cfae65p-7, 0x1.f963782748659p-7, 0x1.fd7773a7d4663p-7, 0x1.00d9565001128p-6, 0x1.030908a6bb648p-6, 0x1.05494fe877005p-6, 0x1.0798b331c8e28p-6, 0x1.09f5c1c7509a5p-6, 0x1.0c5f1330d1f11p-6, 0x1.0ed34758e235cp-6, 0x1.115106920193ep-6, 0x1.13d701a1a5c9fp-6, 0x1.1663f1cd9bb66p-6, 0x1.18f698ebdeb16p-6, 0x1.1b8dc16bca624p-6, 0x1.1e283e51a3f61p-6, 0x1.20c4eb36eddc5p-6, 0x1.2362ac43e4be3p-6, 0x1.26006e3336e0fp-6, 0x1.289d2653ba8bcp-6, 0x1.2b37d27de904cp-6, 0x1.2dcf7901b4996p-6, 0x1.30632896307e7p-6, 0x1.32f1f84eeb6e4p-6, 0x1.357b0799f93a2p-6, 0x1.37fd7e31d33e3p-6, 0x1.3a788c024d813p-6, 0x1.3ceb690ccd20fp-6, 0x1.3f5555521827bp-6, 0x1.41b598c4e6a0fp-6, 0x1.440b833c5c74cp-6, 0x1.46566c5c725c4p-6, 0x1.4895b3723aa5bp-6, 0x1.4ac8bf5028c9bp-6, 0x1.4ceefe358799cp-6, 0x1.4f07e5ba6a716p-6, 0x1.5112f2bcd8f43p-6, 0x1.530fa943c3302p-6, 0x1.54fd94570897ap-6, 0x1.56dc45d69fea8p-6, 0x1.58ab565ac3363p-6, 0x1.5a6a651dd9011p-6, 0x1.5c1917e71ef8ep-6, 0x1.5db71aeb955acp-6, 0x1.5f4420a51db5cp-6, 0x1.60bfe1a74f81ap-6, 0x1.622a1c78d89bbp-6, 0x1.6382957835e2p-6, 0x1.64c916c587f6p-6, 0x1.65fd7026f3e17p-6, 0x1.671f76e2abc23p-6, 0x1.682f0592286c5p-6, 0x1.692bfbf78468ap-6, 0x1.6a163edbdc733p-6, 0x1.6aedb7f607ab6p-6, 0x1.6bb255d211471p-6, 0x1.6c640bb2017fap-6, 0x1.6d02d166dcf2cp-6, 0x1.6d8ea324cd864p-6, 0x1.6e07815a97043p-6, 0x1.6e6d70920fcf4p-6, 0x1.6ec07957521b8p-6, 0x1.6f00a82033852p-6, 0x1.6f2e0d2df8517p-6, 0x1.6f48bc67be9e3p-6, 0x1.6f50cd31a2c57p-6, 0x1.6f465a46c267ap-6, 0x1.6f29819a41ddp-6, 0x1.6efa643e8a189p-6, 0x1.6eb9264e01d4ep-6, 0x1.6e65eecffaf6p-6, 0x1.6e00e7982a657p-6, 0x1.6d8a3d226b5bcp-6, 0x1.6d021e6ea525dp-6, 0x1.6c68bce1d79f5p-6, 0x1.6bbe4c2d1b295p-6, 0x1.6b030237f2ae7p-6, 0x1.6a371709ba5d2p-6, 0x1.695ac4af4cb2bp-6, 0x1.686e471c88b33p-6, 0x1.6771dc0c4ca83p-6, 0x1.6665c2e271283p-6, 0x1.654a3c9219d52p-6, 0x1.641f8b88557dp-6, 0x1.62e5f398c58c6p-6, 0x1.619db9e94bb1ep-6, 0x1.604724dad069bp-6, 0x1.5ee27bef63e24p-6, 0x1.5d7007afb54abp-6, 0x1.5bf01191eaaccp-6, 0x1.5a62e3e3aeaf5p-6, 0x1.58c8c9b7adf4dp-6, 0x1.57220ed4e9d5cp-6, 0x1.556effa5d0b31p-6, 0x1.53afe925a1ff6p-6, 0x1.51e518cbdeaa2p-6, 0x1.500edc76eb5c2p-6, 0x1.4e2d82576408dp-6, 0x1.4c4158dda5432p-6, 0x1.4a4aaea9d31cbp-6, 0x1.4849d27dd7dc6p-6, 0x1.463f132ff0256p-6, 0x1.442abf9cbb458p-6, 0x1.420d269800c75p-6, 0x1.3fe696dc88ep-6, 0x1.3db75efc00d38p-6, 0x1.3b7fcd4fd5a36p-6, 0x1.39402febdaf35p-6, 0x1.36f8d492abd8cp-6, 0x1.34aa08ab3fe0cp-6, 0x1.32541936e83cp-6, 0x1.2ff752c6f2d79p-6, 0x1.2d940171902bbp-6, 0x1.2b2a70c62f1dfp-6, 0x1.28baebc1f3a0dp-6, 0x1.2645bcc4e6654p-6, 0x1.23cb2d887b3e9p-6, 0x1.214b87176fa03p-6, 0x1.1ec711c6e9fdcp-6, 0x1.1c3e15300d468p-6, 0x1.19b0d8298c608p-6, 0x1.171fa0c0bb761p-6, 0x1.148ab4320f984p-6, 0x1.11f256e150fa8p-6, 0x1.0f56cc51f8ceap-6, 0x1.0cb857205158ap-6, 0x1.0a1738fbbd8f4p-6, 0x1.0773b2a266357p-6, 0x1.04ce03de109c7p-6, 0x1.02266b819ce12p-6, 0x1.fefa4ecd230d9p-7, 0x1.f9a4e8d43343fp-7, 0x1.f44d1cd26b11ap-7, 0x1.eef36078431c5p-7, 0x1.e99827629141ep-7, 0x1.e43be311019d1p-7, 0x1.dedf02de6f752p-7, 0x1.d981f3fc7f57p-7, 0x1.d4252172b13cdp-7, 0x1.cec8f4205b359p-7, 0x1.c96dd2c019011p-7, 0x1.c41421ea7dad2p-7, 0x1.bebc4416923f5p-7, 0x1.b9669996ddb9ap-7, 0x1.b413809354c4cp-7, 0x1.aec35501ab95ep-7, 0x1.a976709e54ef8p-7, 0x1.a42d2ae8bcac7p-7, 0x1.9ee7d92485d06p-7, 0x1.99a6ce5fd7623p-7, 0x1.946a5b7d78956p-7, 0x1.8f32cf3fadc33p-7, 0x1.8a007650f6246p-7, 0x1.84d39b47befb4p-7, 0x1.7fac86a42124fp-7, 0x1.7a8b7ec8c82dfp-7, 0x1.7570c7f321087p-7, 0x1.705ca436a8269p-7, 0x1.6b4f537dc93ffp-7, 0x1.66491392c1a36p-7, 0x1.614a2030401d3p-7, 0x1.5c52b3150984ap-7, 0x1.57630414f14cap-7, 0x1.527b492268f09p-7, 0x1.4d9bb64d9bf58p-7, 0x1.48c47db9f2a5p-7, 0x1.43f5cf8e817dcp-7, 0x1.3f2fd9e8b5dd6p-7, 0x1.3a72c8d8aa283p-7, 0x1.35bec66c8875ep-7, 0x1.3113facb62a32p-7, 0x1.2c728c5a5ae88p-7, 0x1.27da9fe2aba64p-7, 0x1.234c58ad1829dp-7, 0x1.1ec7d8897dee2p-7, 0x1.1a4d3fbe9197ep-7, 0x1.15dcace59d766p-7, 0x1.11763cbd6690dp-7, 0x1.0d1a0a046332ep-7, 0x1.08c82d6a3cf1dp-7, 0x1.0480bda39b5d2p-7, 0x1.0043cfa19c43ep-7, 0x1.f822edc6c79afp-8, 0x1.efd38b9ca8649p-8, 0x1.e7999be8fff4p-8, 0x1.df754065b499ap-8, 0x1.d76699335f56p-8, 0x1.cf6dc440fd5fcp-8, 0x1.c78adc6d60d1ap-8, 0x1.bfbdf89f130bfp-8, 0x1.b8072b19dd1b4p-8, 0x1.b066814f3a355p-8, 0x1.a8dc044990e1fp-8, 0x1.a167b9a9b7824p-8, 0x1.9a09a50596f7cp-8, 0x1.92c1c958fe03cp-8, 0x1.8b902a2e4c939p-8, 0x1.8474cc2e6a1d3p-8, 0x1.7d6fb4e4de05cp-8, 0x1.7680e9b1d4931p-8, 0x1.6fa86e18fee47p-8, 0x1.68e641cdff21ap-8, 0x1.623a5efed5e26p-8, 0x1.5ba4b95b427f1p-8, 0x1.55253e2fc8981p-8, 0x1.4ebbd5a2dc53fp-8, 0x1.486864d27d495p-8, 0x1.422ad0548d94ep-8, 0x1.3c02fe8830e31p-8, 0x1.35f0d93c8f00fp-8, 0x1.2ff44e5e51cbcp-8, 0x1.2a0d4f8d56c8bp-8, 0x1.243bd0a336401p-8, 0x1.1e7fc557b64ecp-8, 0x1.18d91e5db36b3p-8, 0x1.1347c689a39ap-8, 0x1.0dcba0bb43712p-8, 0x1.08648738f297ep-8, 0x1.03124cd56d009p-8, 0x1.fba97f516df4ep-9, 0x1.f157592f9ca46p-9, 0x1.e72dc54c9615ep-9, 0x1.dd2c6a7cc22a4p-9, 0x1.d352fa4117e2p-9, 0x1.c9a130665cb11p-9, 0x1.c016d1474e553p-9, 0x1.b6b3a74286903p-9, 0x1.ad777f4d9a5bdp-9, 0x1.a4622442e40c5p-9, 0x1.9b73590ae68e4p-9, 0x1.92aad2dd0f1c9p-9, 0x1.8a0835b9a73ep-9, 0x1.818b150d159c1p-9, 0x1.7932f8e67f996p-9, 0x1.70ff6602bbec1p-9, 0x1.68efe5766bc79p-9, 0x1.610409046101p-9, 0x1.593b6b208526ep-9, 0x1.5195ac0da2a4dp-9, 0x1.4a126ee3a2653p-9, 0x1.42b158bbca8dp-9, 0x1.3b72122ff2b5p-9, 0x1.34544939c92a5p-9, 0x1.2d57b0d09e264p-9, 0x1.267bfcfe488e7p-9, 0x1.1fc0dcacf2e4dp-9, 0x1.1925f46dfd902p-9, 0x1.12aadd60ad3b7p-9, 0x1.0c4f291223dfbp-9, 0x1.0612681fce898p-9, 0x1.ffe85f57b48b7p-10, 0x1.f3e834f7c8f56p-10, 0x1.e8238aacb3d91p-10, 0x1.dc99923af754fp-10, 0x1.d1496d0fb28b7p-10, 0x1.c6322cefc1d85p-10, 0x1.bb52de94ecaadp-10, 0x1.b0aa98c8718cap-10, 0x1.a63887684aa84p-10, 0x1.9bfbec4535b78p-10, 0x1.91f416cf2c1e6p-10, 0x1.88205a0adc338p-10, 0x1.7e8008def90aep-10, 0x1.75127aa39b333p-10, 0x1.6bd7121a6765ep-10, 0x1.62cd3e66ded68p-10, 0x1.59f472821c523p-10, 0x1.514c1742fd142p-10, 0x1.48d37f632f7a3p-10, 0x1.4089e1ffb3866p-10, 0x1.386e5ba8ed4a5p-10, 0x1.307ff4f34bca5p-10, 0x1.28bdae318bac1p-10, 0x1.21268dff1effcp-10, 0x1.19b9abf3f1b95p-10, 0x1.127630d258961p-10, 0x1.0b5b4dac0effep-10, 0x1.046835a15ef82p-10, 0x1.fb384cae364aap-11, 0x1.edecfc15bc657p-11, 0x1.e0ed9be316bcp-11, 0x1.d439a9c8c49b2p-11, 0x1.c7d0bdf706dc9p-11, 0x1.bbb23a4149682p-11, 0x1.afdd1d23051c7p-11, 0x1.a4500cde2e47dp-11, 0x1.990981d2b3ce9p-11, 0x1.8e07e90f9b419p-11, 0x1.8349afe8bdd9ep-11, 0x1.78cd452049bf4p-11, 0x1.6e911de9748a8p-11, 0x1.6493baba143bcp-11, 0x1.5ad39d32a4284p-11, 0x1.514f2e6b353a5p-11, 0x1.4804b0a2d2bbap-11, 0x1.3ef26050ece2ep-11, 0x1.3616c765e4ebbp-11, 0x1.2d710d9f98db5p-11, 0x1.2500fc42c5c73p-11, 0x1.1cc69f7c5d1bdp-11, 0x1.14c1c4b0c983ep-11, 0x1.0cf1b41859e73p-11, 0x1.055549526eafep-11, 0x1.fbd674e705b18p-12, 0x1.ed6492fb34058p-12, 0x1.df529c577e01fp-12, 0x1.d19e6345b7e59p-12, 0x1.c445dc9b0eddcp-12, 0x1.b7471a7baf521p-12, 0x1.aaa02e18209c6p-12, 0x1.9e4ef4f499395p-12, 0x1.9250e859606fdp-12, 0x1.86a30fa50bcd7p-12, 0x1.7b423e4dc3a91p-12, 0x1.702bacf4d21aep-12, 0x1.655da4b4bb585p-12, 0x1.5ad7a5c2d35d3p-12, 0x1.5099ba9c6e78ap-12, 0x1.46a377aef199dp-12, 0x1.3cf38cf5d0a5ep-12, 0x1.33882e771b937p-12, 0x1.2a5fac849cdfcp-12, 0x1.21788b47ea8adp-12, 0x1.18d138a5abd53p-12, 0x1.1067f31d99914p-12, 0x1.083b094e3d536p-12, 0x1.00491d69a4e26p-12, 0x1.f1224403d72eep-13, 0x1.e22421fea061cp-13, 0x1.d3952c86008cfp-13, 0x1.c571deb6aaf47p-13, 0x1.b7b6249bad332p-13, 0x1.aa5df064cffe6p-13, 0x1.9d65cb85376e3p-13, 0x1.90cb3d3f825ebp-13, 0x1.848cc379141e4p-13, 0x1.78a91c10c1277p-13, 0x1.6d1e4f5a9b9e4p-13, 0x1.61e99686abcfbp-13, 0x1.570864c77e934p-13, 0x1.4c7935c7b46e4p-13, 0x1.423afa46e151p-13, 0x1.384bff05a9a0dp-13, 0x1.2ea9be6371da8p-13, 0x1.2551835f1cb45p-13, 0x1.1c40f64cbacc3p-13, 0x1.137652d5e2d3dp-13, 0x1.0af055861e25cp-13, 0x1.02add374c0c57p-13, 0x1.f55a634a7a7p-14, 0x1.e5d862a63271fp-14, 0x1.d6d09f767b1e3p-14, 0x1.c83ee5c3a77ecp-14, 0x1.ba208d7558fd3p-14, 0x1.ac73d8eb0e009p-14, 0x1.9f36742782eadp-14, 0x1.92645375717a9p-14, 0x1.85f7f8de85a2bp-14, 0x1.79ec1dfb28ec9p-14, 0x1.6e3da52a43826p-14, 0x1.62ebf2333ea46p-14, 0x1.57f6b99e87016p-14, 0x1.4d5bd1d68c9f4p-14, 0x1.4317b3159f552p-14, 0x1.392722dd5ad6ep-14, 0x1.2f8785bd27a47p-14, 0x1.2636704ffce07p-14, 0x1.1d31b3b5e3d5ap-14, 0x1.1477702c23f2ap-14, 0x1.0c05d5e3aba54p-14, 0x1.03dad381a7e7ap-14, 0x1.f7e7e1bac13fp-15, 0x1.e89d0fe01a1bcp-15, 0x1.d9d0ccef3edecp-15, 0x1.cb80c29d0846p-15, 0x1.bdac1a2fc82b8p-15, 0x1.b05112d6ad4b1p-15, 0x1.a36ac049ea6a9p-15, 0x1.96f0f3d214536p-15, 0x1.8adb9464cf6ep-15, 0x1.7f26ad526d363p-15, 0x1.73d1ad24ed17bp-15, 0x1.68dc3742feed5p-15, 0x1.5e4406c12d9a6p-15, 0x1.5404acd6b5738p-15, 0x1.4a1a244f44a19p-15, 0x1.4082326625b1cp-15, 0x1.373aaf921d026p-15, 0x1.2e412caa78cacp-15, 0x1.25935668d5c8cp-15, 0x1.1d2ebf844691dp-15, 0x1.1510c41cf84bep-15, 0x1.0d36b7544cafcp-15, 0x1.059e12e7b52bap-15, 0x1.fc890ca5ddb5p-16, 0x1.ee501603e0535p-16, 0x1.e08e361cc2d3dp-16, 0x1.d341747267109p-16, 0x1.c667a3a0389e3p-16, 0x1.b9fc9862166f6p-16, 0x1.adfa3dd2fd724p-16, 0x1.a259941507d4bp-16, 0x1.9715006012a58p-16, 0x1.8c2b565e107bdp-16, 0x1.819a42225389ep-16, 0x1.775d9c62b417cp-16, 0x1.6d733d44e987dp-16, 0x1.63d67426d2d4ep-16, 0x1.5a846498c9c0ap-16, 0x1.517bc7d45e9c4p-16, 0x1.48ba1016d7faep-16, 0x1.403cfd54fe3d2p-16, 0x1.380287eb80dd8p-16, 0x1.300843e811d43p-16, 0x1.284b647eac172p-16, 0x1.20c914de4fbd3p-16, 0x1.197ed259872d5p-16, 0x1.126a924b3673cp-16, 0x1.0b8aa821e20bdp-16, 0x1.04dd8f50ff30ep-16, 0x1.fcc38d5f19193p-17, 0x1.f02b8e666ddd8p-17, 0x1.e3ef921c4e964p-17, 0x1.d80abe30dc2bep-17, 0x1.cc78e0923a8b2p-17, 0x1.c1383de6d876cp-17, 0x1.b644cd951a1a3p-17, 0x1.ab9b2f99a1d17p-17, 0x1.a138f82c54748p-17, 0x1.971a4f8be8eacp-17, 0x1.8d3c896a7b239p-17, 0x1.839afb000ae14p-17, 0x1.7a3566f33b108p-17, 0x1.710a9672e4669p-17, 0x1.681797d7ba0c2p-17, 0x1.5f5aaf35fc6p-17, 0x1.56d250c1b2a56p-17, 0x1.4e7c9a27f3048p-17, 0x1.465764f61362bp-17, 0x1.3e6078b5874cp-17, 0x1.3695c3a45bfcfp-17, 0x1.2ef588174947fp-17, 0x1.277e639c4cb5dp-17, 0x1.202f23ca9c26ep-17, 0x1.190685ab6d3c1p-17, 0x1.1203195ef5622p-17, 0x1.0b236cd272cc8p-17, 0x1.0466377eef07fp-17, 0x1.fb940bed62ab8p-18, 0x1.ee9ad3e7ac07dp-18, 0x1.e1e0d3aee122dp-18, 0x1.d56433c9ce066p-18, 0x1.c91ef4e4b29ffp-18, 0x1.bd0fe29944104p-18, 0x1.b139e42033a5ap-18, 0x1.a596eac146389p-18, 0x1.9a222a63b9ba3p-18, 0x1.8eddac53ee4cfp-18, 0x1.83c90dbf08364p-18, 0x1.78e1824f6d7bep-18, 0x1.6e25f67044d5ap-18, 0x1.63958686ca35dp-18, 0x1.592f1740e9a9p-18, 0x1.4ef171a7a0254p-18, 0x1.44db581689786p-18, 0x1.3aeb960230472p-18, 0x1.3121121910a1ap-18, 0x1.277ae00a74da5p-18, 0x1.1df84294a1f46p-18, 0x1.14988f2fee24bp-18, 0x1.0b5b03d026bdep-18, 0x1.023ebcd6c2fd4p-18, 0x1.f285bc33d4cc7p-19, 0x1.e0cd9c1909cf5p-19, 0x1.cf546d0d53423p-19, 0x1.be1929da60217p-19, 0x1.ad1a6565de9e8p-19, 0x1.9c581717835bdp-19, 0x1.8bcf78554a09ap-19, 0x1.7b7ef0ce86d42p-19, 0x1.6b68cebbdf9b8p-19, 0x1.5b8b56d612567p-19, 0x1.4be4908446235p-19, 0x1.3c723d9ab51a5p-19, 0x1.2d36c62ecba8ap-19, 0x1.1e309fc5abd65p-19, 0x1.0f5ee367635b9p-19, 0x1.00c169c572086p-19, 0x1.e4afb36de99e4p-20, 0x1.c8438a0eac85cp-20, 0x1.ac3d78a35520bp-20, 0x1.909ca959948e6p-20, 0x1.756053c51752fp-20, 0x1.5a87c20fd3781p-20, 0x1.40125af756e2fp-20, 0x1.25ffa9e1699c2p-20, 0x1.0c4f513496d2fp-20, 0x1.e601c66cdf95fp-21, 0x1.b427929195f83p-21, 0x1.830ebb22bc62cp-21, 0x1.52b643b435fa2p-21, 0x1.231df05634921p-21, 0x1.e88c723b2dec9p-22, 0x1.8c5d6d55b962dp-22, 0x1.31aa7caf51cc8p-22, 0x1.b0e72b116ed4ep-23, 0x1.01691eb60ec97p-23, 0x1.538a0449cf58ep-25, -0x1.52b89a165cbffp-25, -0x1.f6a501b15f9b1p-24, -0x1.9f08e891777bcp-23, -0x1.1fe9df42013c3p-22, -0x1.6ed966537dd9bp-22, -0x1.bc546cb02617bp-22, -0x1.042e637b2edbfp-21, -0x1.29793477aa468p-21, -0x1.4e0afed0c4a6fp-21, -0x1.71e4368f21c4ap-21, -0x1.950556c16e2ap-21, -0x1.b76eddb4f5ebbp-21, -0x1.d9214c0283f57p-21, -0x1.fa1d24aa2592p-21, -0x1.0d31768f96beep-20, -0x1.1cf9955f0745p-20, -0x1.2c67302694d8bp-20, -0x1.3b7a89b3150fdp-20, -0x1.4a33ed8e31f12p-20, -0x1.5893b36c16c1bp-20, -0x1.669a39dda6dddp-20, -0x1.7447dde786fc8p-20, -0x1.819cef71a302ep-20, -0x1.8e99a83170994p-20, -0x1.9b3e529b5750dp-20, -0x1.a78b801f316d2p-20, -0x1.b381bd2049ce3p-20, -0x1.bf2142d3e7a8ap-20, -0x1.ca6a74bd6ca05p-20, -0x1.d55de2ab4d0ep-20, -0x1.dffbe9b6b9495p-20, -0x1.ea450dd6a14f6p-20, -0x1.f439ec67323ecp-20, -0x1.fddad83cc63f2p-20, -0x1.0394221f1d552p-19, -0x1.081174e712c54p-19, -0x1.0c65a78f38dadp-19, -0x1.1090faf09fbep-19, -0x1.1493b80e0203ap-19, -0x1.186e2a99b08b2p-19, -0x1.1c20a0164efc8p-19, -0x1.1fab67c6732eep-19, -0x1.230ed2946b04bp-19, -0x1.264b3305799dap-19, -0x1.2960dd3861cb1p-19, -0x1.2c5026d8528e1p-19, -0x1.2f1966efd8bp-19, -0x1.31bcf5dab68d4p-19, -0x1.343b2dbb18dd7p-19, -0x1.36946aff77059p-19, -0x1.38c90c272dc9ep-19, -0x1.3ad9712c32dadp-19, -0x1.3cc5fafdd67f4p-19, -0x1.3e8f0a04a2a9cp-19, -0x1.4034fd4c358ddp-19, -0x1.41b83816624edp-19, -0x1.431925863c167p-19, -0x1.44583117c9687p-19, -0x1.4575b4811c421p-19, -0x1.4672209c3a3efp-19, -0x1.474de3f1c9ce5p-19, -0x1.480962fda0f3bp-19, -0x1.48a5088a4e2c9p-19, -0x1.4921434d762b7p-19, -0x1.497e8580a94afp-19, -0x1.49bd38b6de46fp-19, -0x1.49ddc6835edddp-19, -0x1.49e0a8e86ad42p-19, -0x1.49c64d49c4594p-19, -0x1.498f23aabd3aep-19, -0x1.493b9dcec7942p-19, -0x1.48cc2e09e6db5p-19, -0x1.48414728349a2p-19, -0x1.479b5c62b8109p-19, -0x1.46dae15106a89p-19, -0x1.460049d9bcafep-19, -0x1.450c0a2a258eap-19, -0x1.43fe96a7995c2p-19, -0x1.42d863def230dp-19, -0x1.4199e67548e5dp-19, -0x1.4043933b02843p-19, -0x1.3ed5df46ee963p-19, -0x1.3d513fda9f0fap-19, -0x1.3bb62a341cd96p-19, -0x1.3a05137edd0f4p-19, -0x1.383e70a491439p-19, -0x1.3662b5bf38064p-19, -0x1.347256a17878fp-19, -0x1.326dc83e118d8p-19, -0x1.30558080c05b7p-19, -0x1.2e29f26e434b3p-19, -0x1.2beb8e2e700dep-19, -0x1.299acbfa23b2bp-19, -0x1.27381d2618551p-19, -0x1.24c3f3a7e9e0fp-19, -0x1.223ec0fee3dbap-19, -0x1.1fa8f69683d1ap-19, -0x1.1d030605243d7p-19, -0x1.1a4d60e19532ep-19, -0x1.17887585324dp-19, -0x1.14b4b1de601dp-19, -0x1.11d2877bdd413p-19, -0x1.0ee2632341e1ep-19, -0x1.0be4b1f80e4c2p-19, -0x1.08d9e0962607p-19, -0x1.05c25ae1fe1bbp-19, -0x1.029e8bf0d889ep-19, -0x1.feddbc297293dp-20, -0x1.f867759e45e3ap-20, -0x1.f1db15950b7fep-20, -0x1.eb396baaba85cp-20, -0x1.e48345b96955fp-20, -0x1.ddb96fc85e8b8p-20, -0x1.d6dcb400265ap-20, -0x1.cfeddab3313f3p-20, -0x1.c8edaa6c9870ap-20, -0x1.c1dce7ded8678p-20, -0x1.babc55bd508d4p-20, -0x1.b38cb4bb3c5dfp-20, -0x1.ac4ec37340321p-20, -0x1.a5033e2feaf23p-20, -0x1.9daadecab0de9p-20, -0x1.96465daad7871p-20, -0x1.8ed671969bf36p-20, -0x1.875bcfc1cb41cp-20, -0x1.7fd72662d98e7p-20, -0x1.784928317d556p-20, -0x1.70b282842ab05p-20, -0x1.6913e00ed135cp-20, -0x1.616de9e5187dep-20, -0x1.59c146a13f7bdp-20, -0x1.520e9a608911fp-20, -0x1.4a568752fb051p-20, -0x1.4299ad9612a48p-20, -0x1.3ad8ab5510639p-20, -0x1.33141aae5d5b2p-20, -0x1.2b4c93ffef545p-20, -0x1.2382af5c3b5d7p-20, -0x1.1bb7002dd8265p-20, -0x1.13ea183cde4a9p-20, -0x1.0c1c8705c2a9dp-20, -0x1.044ed9a67f9ebp-20, -0x1.f90335c15da9dp-21, -0x1.e96aa62e42cb4p-21, -0x1.d9d5109e83933p-21, -0x1.ca437c64476a8p-21, -0x1.bab6ec1e4f2f5p-21, -0x1.ab305d8e86199p-21, -0x1.9bb0c62549114p-21, }}, 
      {{-0x1.7685f8b34d12dp-2, -0x1.7625efb18f55bp-2, -0x1.75867c170dd19p-2, -0x1.74a8800e13f1ep-2, -0x1.738d2c338e563p-2, -0x1.7235f6619a0acp-2, -0x1.70a490162b5a1p-2, -0x1.6edadcfbbcb66p-2, -0x1.6cdae9d5ceb99p-2, -0x1.6aa6e42f66e35p-2, -0x1.68411296d9313p-2, -0x1.65abcde74f016p-2, -0x1.62e97b252b896p-2, -0x1.5ffc863cfb94bp-2, -0x1.5ce75d6faa337p-2, -0x1.59ac6d6482848p-2, -0x1.564e1dd88e48fp-2, -0x1.52cecec7b9619p-2, -0x1.4f30d6169f25dp-2, -0x1.4b767dac3ca57p-2, -0x1.47a201eb877dep-2, -0x1.43b5908172014p-2, -0x1.3fb34778cd573p-2, -0x1.3b9d3488b11f4p-2, -0x1.37755497533b7p-2, -0x1.333d93665abp-2, -0x1.2ef7cb6a12478p-2, -0x1.2aa5c5a58dd94p-2, -0x1.264939bcdf567p-2, -0x1.21e3cdfe87f46p-2, -0x1.1d77179088b0fp-2, -0x1.19049a97f4577p-2, -0x1.148dca80a01c8p-2, -0x1.10140a22960a3p-2, -0x1.0b98ac4e457f9p-2, -0x1.071cf3a75e9d8p-2, -0x1.02a2135d46573p-2, -0x1.fc525ea757066p-3, -0x1.f366b8fe9c224p-3, -0x1.ea8342532906fp-3, -0x1.e1a9eaefd9156p-3, -0x1.d8dc8730bfe71p-3, -0x1.d01cd080aae14p-3, -0x1.c76c65d20aa83p-3, -0x1.becccca174875p-3, -0x1.b63f717b0864bp-3, -0x1.adc5a8f394584p-3, -0x1.a560b00d3f771p-3, -0x1.9d11ad5abe78ep-3, -0x1.94d9b17f1e263p-3, -0x1.8cb9b7f236206p-3, -0x1.84b2a7fbc39c1p-3, -0x1.7cc554f0b2171p-3, -0x1.74f27f788b8a6p-3, -0x1.6d3ad5f490368p-3, -0x1.659ef550ee0c5p-3, -0x1.5e1f69b6af3e9p-3, -0x1.56bcaf4105f65p-3, -0x1.4f7732a8cc433p-3, -0x1.484f52027db4fp-3, -0x1.41455d583149ap-3, -0x1.3a599759864dfp-3, -0x1.338c35ffed1fbp-3, -0x1.2cdd632fb7be9p-3, -0x1.264d3d53e429ap-3, -0x1.1fdbd7fac4667p-3, -0x1.19893c740740bp-3, -0x1.13556a4dc76e7p-3, -0x1.0d4057f70bcddp-3, -0x1.0749f3380b7aep-3, -0x1.017221bd3b999p-3, -0x1.f771833492524p-4, -0x1.ec3b53900114dp-4, -0x1.e1415533744b4p-4, -0x1.d6831c54c7dfep-4, -0x1.cc003174b9a77p-4, -0x1.c1b812841fb85p-4, -0x1.b7aa331b41296p-4, -0x1.add5fddda19d3p-4, -0x1.a43ad4eb51037p-4, -0x1.9ad8128f976a8p-4, -0x1.91ad09d5249c6p-4, -0x1.88b90710a9fa4p-4, -0x1.7ffb507192bfdp-4, -0x1.7773269ba4397p-4, -0x1.6f1fc53feec2ap-4, -0x1.670063ab09332p-4, -0x1.5f14353e9fddap-4, -0x1.575a69d681deap-4, -0x1.4fd22e1aabe56p-4, -0x1.487aabe3d8c84p-4, -0x1.41530a91c9bd7p-4, -0x1.3a5a6f4bc1749p-4, -0x1.338ffda4e0063p-4, -0x1.2cf2d7df56b3ap-4, -0x1.26821f5728a93p-4, -0x1.203cf4d72415p-4, -0x1.1a2278df8ed6p-4, -0x1.1431cbe143fc8p-4, -0x1.0e6a0e71c8077p-4, -0x1.08ca617d3f772p-4, -0x1.0351e67a2ef33p-4, -0x1.fbff7f4185986p-5, -0x1.f1a6204b36114p-5, -0x1.e795f8ec76bcep-5, -0x1.ddcd54e8819b7p-5, -0x1.d44a835987657p-5, -0x1.cb0bd7138662ep-5, -0x1.c20fa6f7a184ep-5, -0x1.b9544e3640a78p-5, -0x1.b0d82ca2b5c7p-5, -0x1.a899a6be9c27cp-5, -0x1.a09725e8db80bp-5, -0x1.98cf18a43bdc2p-5, -0x1.913ff2a43ac26p-5, -0x1.89e82cf99c1bbp-5, -0x1.82c6463c72fa7p-5, -0x1.7bd8c2b5d5995p-5, -0x1.751e2c89087c1p-5, -0x1.6e9513dae841cp-5, -0x1.683c0ef627c38p-5, -0x1.6211ba6affd5ep-5, -0x1.5c14b9299904fp-5, -0x1.5643b496bc959p-5, -0x1.509d5c9ac45c6p-5, -0x1.4b2067ab57e76p-5, -0x1.45cb92d0a8509p-5, -0x1.409da1a7020bep-5, -0x1.3b955e5d93c31p-5, -0x1.36b199b3570ap-5, -0x1.31f12af29edbdp-5, -0x1.2d52efebe70bp-5, -0x1.28d5ccf017a9p-5, -0x1.2478acca6a226p-5, -0x1.203a80b9cce09p-5, -0x1.1c1a406976fafp-5, -0x1.1816e9e8442c5p-5, -0x1.142f81a26365fp-5, -0x1.1063125a11e8dp-5, -0x1.0cb0ad0d789c9p-5, -0x1.091768f50146p-5, -0x1.059663762e545p-5, -0x1.022cc00e30cdp-5, -0x1.fdb350811c8a6p-6, -0x1.f73897085b519p-6, -0x1.f0e7be5dab711p-6, -0x1.eabf3cbf317b4p-6, -0x1.e4bd93d0b9e57p-6, -0x1.dee1506d80872p-6, -0x1.d9290a79098bcp-6, -0x1.d39364af355cap-6, -0x1.ce1f0c73dc362p-6, -0x1.c8cab9a232d97p-6, -0x1.c3952e5c02e98p-6, -0x1.be7d36d8bd481p-6, -0x1.b981a9348f435p-6, -0x1.b4a1653f9064ap-6, -0x1.afdb544ccd0fcp-6, -0x1.ab2e6901533f5p-6, -0x1.a6999f234d52fp-6, -0x1.a21bfb69173d5p-6, -0x1.9db48b483136dp-6, -0x1.996264c42f9f1p-6, -0x1.9524a63dd7e8bp-6, -0x1.90fa764226ffap-6, -0x1.8ce3035959183p-6, -0x1.88dd83d629151p-6, -0x1.84e935a54ff73p-6, -0x1.81055e1d2bb4ap-6, -0x1.7d3149cd9319bp-6, -0x1.796c4c5032e17p-6, -0x1.75b5c01955103p-6, -0x1.720d0648f0c8fp-6, -0x1.6e71867c1e0eep-6, -0x1.6ae2ae9f6b69cp-6, -0x1.675ff2c34131p-6, -0x1.63e8ccef288d6p-6, -0x1.607cbcf15359dp-6, -0x1.5d1b4835e302ap-6, -0x1.59c3f99f541ffp-6, -0x1.5676615aa0502p-6, -0x1.533214b57f50dp-6, -0x1.4ff6adf5f658dp-6, -0x1.4cc3cc32f7112p-6, -0x1.4999132d61c6fp-6, -0x1.46762b29c64fcp-6, -0x1.435ac0ca86be4p-6, -0x1.404684eb73f82p-6, -0x1.3d392c7d888e5p-6, -0x1.3a327063c0935p-6, -0x1.37320d5016093p-6, -0x1.3437c3a1c80aep-6, -0x1.3143574462c5dp-6, -0x1.2e548f8f0a4c1p-6, -0x1.2b6b3724ca78bp-6, -0x1.28871bd5a63b3p-6, -0x1.25a80e7fda413p-6, -0x1.22cde2f2d98a8p-6, -0x1.1ff86fd20182fp-6, -0x1.1d278e783bf4p-6, -0x1.1a5b1adc9e4b1p-6, -0x1.1792f377f1caap-6, -0x1.14cef929b4a09p-6, -0x1.120f0f1f36025p-6, -0x1.0f531aba73a7fp-6, -0x1.0c9b0379f3339p-6, -0x1.09e6b2e14acfap-6, -0x1.073614624d0f9p-6, -0x1.0489154703b23p-6, -0x1.01dfa49b32c39p-6, -0x1.fe73662fd59e7p-7, -0x1.f92e661e7c81dp-7, -0x1.f3f030b0b99dep-7, -0x1.eeb8b078a71b3p-7, -0x1.e987d2c66e895p-7, -0x1.e45d87841aef9p-7, -0x1.df39c11380431p-7, -0x1.da1c742b7f9b8p-7, -0x1.d50597b74e80fp-7, -0x1.cff524b6fc4adp-7, -0x1.caeb162013a51p-7, -0x1.c5e768bfe6841p-7, -0x1.c0ea1b1f12889p-7, -0x1.bbf32d65d00d7p-7, -0x1.b702a1410bde5p-7, -0x1.b21879c8f0421p-7, -0x1.ad34bb67c3de2p-7, -0x1.a8576bbfd9599p-7, -0x1.a38091951ba4cp-7, -0x1.9eb034b81d489p-7, -0x1.99e65df09f31cp-7, -0x1.952316e7e3692p-7, -0x1.90666a145a033p-7, -0x1.8bb062a683aeep-7, -0x1.87010c76cd5f1p-7, -0x1.825873f422e9ep-7, -0x1.7db6a6133734ep-7, -0x1.791bb03de9ef6p-7, -0x1.7487a042c3d19p-7, -0x1.6ffa84468136dp-7, -0x1.6b746ab623d45p-7, -0x1.66f56239685b9p-7, -0x1.627d79a5ca425p-7, -0x1.5e0cbff1f9898p-7, -0x1.59a34429aed02p-7, -0x1.554115622f511p-7, -0x1.50e642af98baep-7, -0x1.4c92db1ae3fc8p-7, -0x1.4846ed9889eafp-7, -0x1.440288ff8da7fp-7, -0x1.3fc5bc001fdfep-7, -0x1.3b90951b2c7f1p-7, -0x1.3763229abc36ap-7, -0x1.333d728aa2013p-7, -0x1.2f1f92b1c44efp-7, -0x1.2b09908bd2d85p-7, -0x1.26fb79434383p-7, -0x1.22f559ab7ac3fp-7, -0x1.1ef73e3b49dadp-7, -0x1.1b013307d6774p-7, -0x1.171343c0105eep-7, -0x1.132d7ba89a573p-7, -0x1.0f4fe59824ea9p-7, -0x1.0b7a8bf4115ffp-7, -0x1.07ad78acef673p-7, -0x1.03e8b53b1e848p-7, -0x1.002c4a9c2ee34p-7, -0x1.f8f082a0f8007p-8, -0x1.f19942b2169c3p-8, -0x1.ea52e46ba83f2p-8, -0x1.e31d75c86f1dep-8, -0x1.dbf903bb42b4cp-8, -0x1.d4e59a2c741f1p-8, -0x1.cde343f79c444p-8, -0x1.c6f20ae9dd6c6p-8, -0x1.c011f7c0bd643p-8, -0x1.b94312299f399p-8, -0x1.b28560c192418p-8, -0x1.abd8e915ad92bp-8, -0x1.a53dafa38956cp-8, -0x1.9eb3b7d991d2ap-8, -0x1.983b04176b9b9p-8, -0x1.91d395af3fbafp-8, -0x1.8b7d6ce752216p-8, -0x1.853888fbe9728p-8, -0x1.7f04e82175dddp-8, -0x1.78e287870cb0ap-8, -0x1.72d163590c286p-8, -0x1.6cd176c3cb5f7p-8, -0x1.66e2bbf60ed59p-8, -0x1.61052c239184ep-8, -0x1.5b38bf887044fp-8, -0x1.557d6d6d1ed2p-8, -0x1.4fd32c2a16bdep-8, -0x1.4a39f12b87393p-8, -0x1.44b1b0f525833p-8, -0x1.3f3a5f262701ep-8, -0x1.39d3ee7d6502fp-8, -0x1.347e50dd4a71cp-8, -0x1.2f39775021886p-8, -0x1.2a05520c57172p-8, -0x1.24e1d0790111bp-8, -0x1.1fcee132ab7a6p-8, -0x1.1acc721017cafp-8, -0x1.15da7026ed2a1p-8, -0x1.10f8c7d068591p-8, -0x1.0c2764adef7b6p-8, -0x1.076631adc48cfp-8, -0x1.02b5190fa73c8p-8, -0x1.fc2808d36b169p-9, -0x1.f305b95aa41b5p-9, -0x1.ea03145882adfp-9, -0x1.e11fe93b85c94p-9, -0x1.d85c0647468f4p-9, -0x1.cfb7389e70b39p-9, -0x1.c7314c4c5981ap-9, -0x1.beca0c4e4f64ap-9, -0x1.b681429cb6345p-9, -0x1.ae56b83444297p-9, -0x1.a64a351f6488fp-9, -0x1.9e5b808000c4bp-9, -0x1.968a60994e1d2p-9, -0x1.8ed69ada129afp-9, -0x1.873ff3e6ed69cp-9, -0x1.7fc62fa462f6bp-9, -0x1.7869114025264p-9, -0x1.71285b39c41b8p-9, -0x1.6a03cf6ab46cep-9, -0x1.62fb2f0e0f899p-9, -0x1.5c0e3ac873a67p-9, -0x1.553cb2b042ce1p-9, -0x1.4e865656a788ap-9, -0x1.47eae4d121c0ap-9, -0x1.416a1cc36d295p-9, -0x1.3b03bc692f59cp-9, -0x1.34b7819f09f7ep-9, -0x1.2e8529ea6661p-9, -0x1.286c728059629p-9, -0x1.226d184b8f407p-9, -0x1.1c86d7f211732p-9, -0x1.16b96ddb724b5p-9, -0x1.11049638051bap-9, -0x1.0b680d092fdcap-9, -0x1.05e38e2ab633ap-9, -0x1.0076d55bf6f67p-9, -0x1.f6433c90e0f3ep-10, -0x1.ebc7491d182b3p-10, -0x1.e17947895c199p-10, -0x1.d758aef964cb1p-10, -0x1.cd64f68d917c6p-10, -0x1.c39d95698a764p-10, -0x1.ba0202be1f92ap-10, -0x1.b091b5d8c5a7bp-10, -0x1.a74c263723283p-10, -0x1.9e30cb9c8d49p-10, -0x1.953f1e2659a96p-10, -0x1.8c76965b42f94p-10, -0x1.83d6ad3317ebcp-10, -0x1.7b5edc164ce0dp-10, -0x1.730e9cd761eafp-10, -0x1.6ae569aabec54p-10, -0x1.62e2bd2219222p-10, -0x1.5b061230a486dp-10, -0x1.534ee43b7d475p-10, -0x1.4bbcaf35a37ffp-10, -0x1.444eefc29b4b3p-10, -0x1.3d0523583cacdp-10, -0x1.35dec857f35c8p-10, -0x1.2edb5e18ec1aep-10, -0x1.27fa64e098695p-10, -0x1.213b5dcb2ffb8p-10, -0x1.1a9dcaab5c39dp-10, -0x1.14212deb13c1fp-10, -0x1.0dc50a789de48p-10, -0x1.0788e3c7a43dp-10, -0x1.016c3dea351fcp-10, -0x1.f6dd3b7c145b3p-11, -0x1.eb1f1249de2fbp-11, -0x1.df9d0e76065aep-11, -0x1.d45640fa72847p-11, -0x1.c949bdab28ff5p-11, -0x1.be769b12e9bfp-11, -0x1.b3dbf21bab2f2p-11, -0x1.a978dd98e49dfp-11, -0x1.9f4c79d30e7f7p-11, -0x1.9555e4340711bp-11, -0x1.8b943b2d14856p-11, -0x1.82069e613aad7p-11, -0x1.78ac2f0d71deep-11, -0x1.6f84109864ba3p-11, -0x1.668d69281bab2p-11, -0x1.5dc7621953873p-11, -0x1.553128398fb5ep-11, -0x1.4cc9ebb46f6b6p-11, -0x1.4490dfb7a4675p-11, -0x1.3c8539e50b1e2p-11, -0x1.34a631b6e7675p-11, -0x1.2cf2fffe9982p-11, -0x1.256ade9d75ec8p-11, -0x1.1e0d0887fca5ep-11, -0x1.16d8ba11a0a98p-11, -0x1.0fcd316de27f9p-11, -0x1.08e9af4acea08p-11, -0x1.022d7762fdbbp-11, -0x1.f72fa1ce682dfp-12, -0x1.ea500d4bd8335p-12, -0x1.ddbacdc699f5ep-12, -0x1.d16e85cb92791p-12, -0x1.c569dca0f932ap-12, -0x1.b9ab7cebcc87fp-12, -0x1.ae3213a4ddef4p-12, -0x1.a2fc4fa89905ap-12, -0x1.9808e1f9f181p-12, -0x1.8d567e977e717p-12, -0x1.82e3dd9a6c77cp-12, -0x1.78afbc4fbdb82p-12, -0x1.6eb8de137a008p-12, -0x1.64fe0cd6abff9p-12, -0x1.5b7e194e0eabdp-12, -0x1.5237dac66be2bp-12, -0x1.492a2e9480455p-12, -0x1.4053f719b9e98p-12, -0x1.37b41a75c2d02p-12, -0x1.2f49812be93a7p-12, -0x1.271315279e66fp-12, -0x1.1f0fc18072fd2p-12, -0x1.173e732277e78p-12, -0x1.0f9e1a2333f17p-12, -0x1.082dab46d8106p-12, -0x1.00ec212d4e647p-12, -0x1.f3b0f9b22a068p-13, -0x1.e5e38b2f4446dp-13, -0x1.d86e112a7d5d9p-13, -0x1.cb4eb0d462ed5p-13, -0x1.be83997a35fcp-13, -0x1.b20b03b25e42ep-13, -0x1.a5e32ffbb3b63p-13, -0x1.9a0a64ab72ddcp-13, -0x1.8e7eeb99716bdp-13, -0x1.833f1077fa412p-13, -0x1.784920b41007fp-13, -0x1.6d9b6d22f0964p-13, -0x1.63344ce5cefd6p-13, -0x1.59122058d71b5p-13, -0x1.4f3352ee2c989p-13, -0x1.45965b76e4bd3p-13, -0x1.3c39bb345a1abp-13, -0x1.331bfc916c7d5p-13, -0x1.2a3bb252d053p-13, -0x1.21977779d1b03p-13, -0x1.192def5d4583dp-13, -0x1.10fdc52a5242cp-13, -0x1.0905aa58c9f3p-13, -0x1.014454705d7a5p-13, -0x1.f370f6603de02p-14, -0x1.e4c1b04cb502p-14, -0x1.d6784ff6d6a7bp-14, -0x1.c892595b13ac2p-14, -0x1.bb0d5ef3835d9p-14, -0x1.ade7031409ba5p-14, -0x1.a11cf6ca2f8eep-14, -0x1.94acf7af04ddp-14, -0x1.8894ce68349ffp-14, -0x1.7cd24edd09918p-14, -0x1.71635a208c16ep-14, -0x1.6645e11efe73bp-14, -0x1.5b77e65f88f0ep-14, -0x1.50f77d073cacap-14, -0x1.46c2c46574c83p-14, -0x1.3cd7e19822cfbp-14, -0x1.3334facbd0846p-14, -0x1.29d83758eedc2p-14, -0x1.20bfc5094add1p-14, -0x1.17e9df259f4d6p-14, -0x1.0f54d2708a0e5p-14, -0x1.06fefb570858dp-14, -0x1.fdcd7f7cc0494p-15, -0x1.ee15116c01f77p-15, -0x1.ded17fab7abf4p-15, -0x1.cfffa26387fa3p-15, -0x1.c19c604ee3183p-15, -0x1.b3a4b909b04bbp-15, -0x1.a615cc644f78dp-15, -0x1.98ecdc70f3319p-15, -0x1.8c2748ed43d1p-15, -0x1.7fc2844b84c1fp-15, -0x1.73bc05fcf3407p-15, -0x1.681140fbd54e4p-15, -0x1.5cbfa54e17537p-15, -0x1.51c4ad5232e47p-15, -0x1.471def19698bap-15, -0x1.3cc925f461b66p-15, -0x1.32c42d55e5a7p-15, -0x1.290cf0dec224ap-15, -0x1.1fa15c687f2b6p-15, -0x1.167f54b710a1cp-15, -0x1.0da4ba0bfdbcap-15, -0x1.050f70b71b063p-15, -0x1.f97ad6d3be766p-16, -0x1.e95968574629ep-16, -0x1.d9b6e1ce16efep-16, -0x1.ca8fc26915b9ep-16, -0x1.bbe0abb0e03cp-16, -0x1.ada64b9af7e71p-16, -0x1.9fdd4bd680689p-16, -0x1.92824dc8d4ccdp-16, -0x1.8591f5d04211p-16, -0x1.7909025867856p-16, -0x1.6ce46347a6ed7p-16, -0x1.612141897a6fap-16, -0x1.55bcef304032p-16, -0x1.4ab4cbfb9729ap-16, -0x1.400633893beabp-16, -0x1.35ae7df49e6e3p-16, -0x1.2bab08da485c2p-16, -0x1.21f93c507f0b6p-16, -0x1.18968ca07bf26p-16, -0x1.0f80810694572p-16, -0x1.06b4bfbf503e7p-16, -0x1.fc622a8687a3bp-17, -0x1.ebe6db3e2237fp-17, -0x1.dbf3834785851p-17, -0x1.cc8407c27c8fbp-17, -0x1.bd9434ac607f1p-17, -0x1.af1fd0f83f959p-17, -0x1.a122c45ecb4acp-17, -0x1.939938a391c41p-17, -0x1.867fa68a7a664p-17, -0x1.79d2c752ae8a9p-17, -0x1.6d8f6fb08c8adp-17, -0x1.61b26b4913dabp-17, -0x1.5638753c107dcp-17, -0x1.4b1e517f8a1b2p-17, -0x1.4060e90588d91p-17, -0x1.35fd4bb81c876p-17, -0x1.2bf09f4e1101ep-17, -0x1.22381629cd2d5p-17, -0x1.18d0f74609c05p-17, -0x1.0fb8aacb109ecp-17, -0x1.06ecbe06b0609p-17, -0x1.fcd5b394f9c14p-18, -0x1.ec615cb8d2845p-18, -0x1.dc77c0b78503p-18, -0x1.cd140a0f206f4p-18, -0x1.be3168986c529p-18, -0x1.afcb4e3c96fc5p-18, -0x1.a1dd9a9fd30f9p-18, -0x1.94649518e9d5bp-18, -0x1.875cb8deec3e8p-18, -0x1.7ac2799f90c57p-18, -0x1.6e922a4de9d64p-18, -0x1.62c811cf5e7cep-18, -0x1.5760968ea84cep-18, -0x1.4c585b5325288p-18, -0x1.41ac36d1a36eep-18, -0x1.37591a947dfd4p-18, -0x1.2d5c0d63282bep-18, -0x1.23b236b2b97a1p-18, -0x1.1a58e1aca23fap-18, -0x1.114d740e111f3p-18, -0x1.088d63dd21783p-18, -0x1.0016301a89baap-18, -0x1.efcab7a35c00ep-19, -0x1.dff0d7afc9d8cp-19, -0x1.d099d2e4903b5p-19, -0x1.c1c0daf87cf44p-19, -0x1.b361692f548dep-19, -0x1.a57762d789739p-19, -0x1.97ff129f969cep-19, -0x1.8af4ec7a644b5p-19, -0x1.7e554a89dd659p-19, -0x1.721c5afa0a33bp-19, -0x1.66464d90489a9p-19, -0x1.5acf91da21f34p-19, -0x1.4fb4e0e4a4793p-19, -0x1.44f31a9b80999p-19, -0x1.3a8728c7bbecbp-19, -0x1.306e05168a36fp-19, -0x1.26a4d8c8d23c4p-19, -0x1.1d290864855ecp-19, -0x1.13f81f75ca7e6p-19, -0x1.0b0fb8717d3ebp-19, -0x1.026d6cfa3ee32p-19, -0x1.f41da0d800e2ap-20, -0x1.e3e2ec76a3e93p-20, -0x1.d425ffd408323p-20, -0x1.c4e25421733b6p-20, -0x1.b613a57b224afp-20, -0x1.a7b5f5f046454p-20, -0x1.99c58e001a118p-20, -0x1.8c3ef34673501p-20, -0x1.7f1ec8849e9d4p-20, -0x1.7261a70dd5c39p-20, -0x1.66041b13661bap-20, -0x1.5a02c14781f34p-20, -0x1.4e5a6840bf193p-20, -0x1.43081fa8a0d42p-20, -0x1.380918f1e2006p-20, -0x1.2d5a8d70e4b04p-20, -0x1.22f9c13390312p-20, -0x1.18e411680da5ap-20, -0x1.0f1714b596042p-20, -0x1.059095f34f19p-20, -0x1.f89cf8aa0446fp-21, -0x1.e69d7c32b557p-21, -0x1.d51ea6451a67bp-21, -0x1.c41c5b5611d57p-21, -0x1.b3927d22dae25p-21, -0x1.a37d05e36aa3p-21, -0x1.93d826f58770fp-21, -0x1.84a059df41bb5p-21, -0x1.75d25cbedafc1p-21, -0x1.676b20eebe234p-21, -0x1.5967b63c68b21p-21, -0x1.4bc53b4de17a5p-21, -0x1.3e80d3ece2a26p-21, -0x1.3197a3f9e62edp-21, -0x1.2506e9c7cc168p-21, -0x1.18cc22e4f392cp-21, -0x1.0ce4ea0757a35p-21, -0x1.014edf0d364a7p-21, -0x1.ec0f7658a8f97p-22, -0x1.d61a910ae01b7p-22, -0x1.c0babb637357ap-22, -0x1.abebd0ad55d7cp-22, -0x1.97aa0a745a2d4p-22, -0x1.83f1d9b0e7ce5p-22, -0x1.70bfd368c00d7p-22, -0x1.5e10b0f37545cp-22, -0x1.4be13d9f5e671p-22, -0x1.3a2e4a18a7d9fp-22, -0x1.28f4ab47a3702p-22, -0x1.183143ed36768p-22, -0x1.07e115267f901p-22, -0x1.f0029b19815a4p-23, -0x1.d11e9b3a8b8f3p-23, -0x1.b3113be52ba5bp-23, -0x1.95d5bc86bd437p-23, -0x1.796772af21dfap-23, -0x1.5dc1c9a5ce1a8p-23, -0x1.42e04c1095d62p-23, -0x1.28be9b8fdb08cp-23, -0x1.0f587a1fe6dccp-23, -0x1.ed53fd7aaa86dp-24, -0x1.bd5ed2d5cef9p-24, -0x1.8ec9d89916167p-24, -0x1.618dd37180594p-24, -0x1.35a3e49a5a273p-24, -0x1.0b04f746b6ea9p-24, -0x1.c3549584fce67p-25, -0x1.731b672f5e79ep-25, -0x1.25525dc1e4d8p-25, -0x1.b3db5d4f5072ap-26, -0x1.21c40a49e488ep-26, -0x1.28915dd2056c2p-27, -0x1.6a737ddc2aae5p-31, 0x1.e4c242b9cec7ep-28, 0x1.f2b1cbe53ad33p-27, 0x1.753a079eaf918p-26, 0x1.ece80594a0304p-26, 0x1.303b18ed385afp-25, 0x1.67fb8c013c31p-25, 0x1.9dbe585da9a79p-25, 0x1.d18c590e05174p-25, 0x1.01b72a06c8835p-24, 0x1.19b670e4dc4cp-24, 0x1.30c82ab7da36ap-24, 0x1.46f0634f4f63p-24, 0x1.5c331d1f19ea3p-24, 0x1.709457b9352d9p-24, 0x1.8417fab37cc68p-24, 0x1.96c1d476eaf9p-24, 0x1.a8958ed253e1fp-24, 0x1.b996c11e24f73p-24, 0x1.c9c91907aff57p-24, 0x1.d930359995913p-24, 0x1.e7cf9d9cb33aap-24, 0x1.f5aaaf4cdb984p-24, 0x1.016267be84b0cp-23, 0x1.0790aa45a7931p-23, 0x1.0d61c32e568afp-23, 0x1.12d7520a6a3c2p-23, 0x1.17f2f2970191ep-23, 0x1.1cb63cc432036p-23, 0x1.2122c4836bea9p-23, 0x1.253a199b8600ap-23, 0x1.28fdc7686558dp-23, 0x1.2c6f545016829p-23, 0x1.2f9041385cbb2p-23, 0x1.32620a406b7cfp-23, 0x1.34e628f738125p-23, 0x1.371e15b8fabfdp-23, 0x1.390b4619e0718p-23, 0x1.3aaf2a66ba9a9p-23, 0x1.3c0b2cd40893p-23, 0x1.3d20b327d2012p-23, 0x1.3df123a21dcddp-23, 0x1.3e7de738fc631p-23, 0x1.3ec8628e05231p-23, 0x1.3ed1f417314afp-23, 0x1.3e9bf23b24ccbp-23, 0x1.3e27b3b4820cbp-23, 0x1.3d7691734c477p-23, 0x1.3c89e06e79ffdp-23, 0x1.3b62f1e2ac1efp-23, 0x1.3a0313821909bp-23, 0x1.386b90e25b5ecp-23, 0x1.369db373872d5p-23, 0x1.349ac1b90100cp-23, 0x1.3263ffd2996b3p-23, 0x1.2ffaafad317fp-23, 0x1.2d6010eb7f942p-23, 0x1.2a9560cff10d4p-23, 0x1.279bda235bd92p-23, 0x1.2474b52f24923p-23, 0x1.212127c1e9d7dp-23, 0x1.1da265142ad85p-23, 0x1.19f99db3ba4dfp-23, 0x1.1627ff999c291p-23, 0x1.122eb6867d58cp-23, 0x1.0e0eec2991f78p-23, 0x1.09c9c7bd5fd1p-23, 0x1.05606d8fb97c4p-23, 0x1.00d3fec45aa7ep-23, 0x1.f84b32a0c1724p-24, 0x1.eeacb1faaf87p-24, 0x1.e4ceb0d4ed49ap-24, 0x1.dab35f37ca5f5p-24, 0x1.d05ce5c0989f5p-24, 0x1.c5cd674c99583p-24, 0x1.bb0701c2cef37p-24, 0x1.b00bcdcd54155p-24, 0x1.a4dddbd0c4c77p-24, 0x1.997f3947ee82p-24, 0x1.8df1f1c05376fp-24, 0x1.823806f599ca2p-24, 0x1.765374b845a74p-24, 0x1.6a46318776ad4p-24, 0x1.5e122e50c85bdp-24, 0x1.51b956181e277p-24, 0x1.453d8e1e6f336p-24, 0x1.38a0b5d85422ap-24, 0x1.2be4a6be0ce21p-24, 0x1.1f0b34534db3bp-24, 0x1.12162bfcdf057p-24, 0x1.050755088f02bp-24, 0x1.efc0e1503c621p-25, 0x1.d54673cb00215p-25, 0x1.baa2cb223f78ep-25, 0x1.9fd944b515f1ep-25, 0x1.84ed31db6fa6ap-25, 0x1.69e1d7ba5727bp-25, 0x1.4eba6f0f61434p-25, 0x1.337a23ee0626cp-25, 0x1.1824155c9bdbp-25, 0x1.f976aaf4eaa94p-26, 0x1.c285d4bc53ba2p-26, 0x1.8b7b9d35a81b6p-26, 0x1.545ddfccfc5bbp-26, 0x1.1d325c6811286p-26, 0x1.cbfd760aeae36p-27, 0x1.5d9113e614802p-27, 0x1.de55082e0cb0cp-28, 0x1.01a8c018604ccp-28, 0x1.2994b9681e238p-31, -0x1.6df1bf7818b3dp-29, -0x1.92c565a020c0cp-28, -0x1.370f90c896af5p-27, -0x1.a4794cdc8027dp-27, -0x1.08cb2f41725bep-26, -0x1.3f2eb78c7497dp-26, -0x1.7562acdf8a994p-26, -0x1.ab6295af6f49ap-26, -0x1.e12a1131b9c2bp-26, -0x1.0b5a6bafe16eep-25, -0x1.25ff5c6679381p-25, -0x1.4081cf5d56d54p-25, -0x1.5adfc58dc27bap-25, -0x1.75174c650fac9p-25, -0x1.8f267dadb7343p-25, -0x1.a90b7f2dcda62p-25, -0x1.c2c481eb7b58p-25, -0x1.dc4fc208c9d83p-25, -0x1.f5ab877ef6d27p-25, -0x1.076b136c873e8p-24, -0x1.13e70091d93fbp-24, -0x1.2048c1bce0911p-24, -0x1.2c8f93568ad01p-24, -0x1.38bab760b55eap-24, -0x1.44c97527ac66p-24, -0x1.50bb19485b994p-24, -0x1.5c8ef5eaf375ap-24, -0x1.684462d4e9cf4p-24, -0x1.73dabd48070b4p-24, -0x1.7f51683b3a261p-24, -0x1.8aa7cc20a80aep-24, -0x1.95dd56d592055p-24, -0x1.a0f17b760a5bap-24, -0x1.abe3b248731ap-24, -0x1.b6b378c224126p-24, -0x1.c1605187c424fp-24, -0x1.cbe9c452d9b12p-24, -0x1.d64f5dc525b8bp-24, -0x1.e090af8be814p-24, -0x1.eaad502d6930ep-24, -0x1.f4a4db08dab69p-24, -0x1.fe76f06d77154p-24, -0x1.04119a89f46ccp-23, -0x1.08d4a944a6f77p-23, -0x1.0d847b7eebf52p-23, -0x1.1220ea960a675p-23, -0x1.16a9d227c4cbdp-23, -0x1.1b1f1009a4bf6p-23, -0x1.1f80844038c9ap-23, -0x1.23ce10f202201p-23, -0x1.28079a5c09c2fp-23, -0x1.2c2d06c646905p-23, -0x1.303e3e7b85b27p-23, -0x1.343b2bceb3b0fp-23, -0x1.3823bb2ea5eb1p-23, -0x1.3bf7db31045ap-23, -0x1.3fb77cacf778cp-23, -0x1.436292748d39dp-23, -0x1.46f9110a908f7p-23, -0x1.4a7aee5f524cp-23, -0x1.4de821d691c4ap-23, -0x1.5140a47e8583fp-23, -0x1.54847136367e2p-23, -0x1.57b384c67aa14p-23, -0x1.5acdddc6c4e03p-23, -0x1.5dd37c99d4a61p-23, -0x1.60c4632f9b826p-23, -0x1.63a095216f5f3p-23, -0x1.66681789f8452p-23, -0x1.691af0f6d1276p-23, -0x1.6bb92980b5b1bp-23, -0x1.6e42caafba241p-23, -0x1.70b7df7409bc5p-23, -0x1.7318741fef526p-23, -0x1.75649663264e2p-23, -0x1.779c553fbe2adp-23, -0x1.79bfc1024725ep-23, -0x1.7bceeb3b379a2p-23, -0x1.7dc9e6b68b908p-23, -0x1.7fb0c7767d87p-23, -0x1.8183a2acd780fp-23, -0x1.83428eb62cee2p-23, -0x1.84eda318a026ep-23, -0x1.8684f8403bb1dp-23, -0x1.8808a244491c9p-23, }}, 
      {{0x1.69449f303293dp-7, 0x1.6107384d49ba7p-6, 0x1.fdc1cb119c941p-6, 0x1.4255ba80656a6p-5, 0x1.7888246126bdfp-5, 0x1.9fd728e6a8897p-5, 0x1.b74d34e530c6cp-5, 0x1.be8b581258fecp-5, 0x1.b5b15d3c1b26fp-5, 0x1.9d456df15563ep-5, 0x1.761ceb10bbb4bp-5, 0x1.414799ebfeb98p-5, 0x1.fffab5dfde517p-6, 0x1.671e3c9223037p-6, 0x1.7568a029053bbp-7, -0x1.41c4c992f32c3p-13, -0x1.9ba89a126f3dbp-7, -0x1.a49f64eeb81d8p-6, -0x1.4232abf6938dfp-5, -0x1.b565fab89359fp-5, -0x1.15689908bc76p-4, -0x1.50b8da58be215p-4, -0x1.8c2d9015c36c5p-4, -0x1.c75b9492ad841p-4, -0x1.00f143c70d752p-3, -0x1.1db62f12b32fbp-3, -0x1.39d675eb95f5p-3, -0x1.55309f9655a27p-3, -0x1.6fa78bbe1cef7p-3, -0x1.892221e0f6e08p-3, -0x1.a18b05d93afap-3, -0x1.b8d04d7b89335p-3, -0x1.cee339dfd403fp-3, -0x1.e3b7f3bf33b58p-3, -0x1.f7454ca5b968bp-3, -0x1.04c24173be7aep-2, -0x1.0d388582df60dp-2, -0x1.15042df7ab7c9p-2, -0x1.1c24df9e6e4e8p-2, -0x1.229b125a81e7ep-2, -0x1.2867fc7f86c94p-2, -0x1.2d8d7f82fbeadp-2, -0x1.320e16028bf1cp-2, -0x1.35ecc2f279542p-2, -0x1.392d01e4c7673p-2, -0x1.3bd2b851f20fep-2, -0x1.3de227d47067dp-2, -0x1.3f5fe14d21e57p-2, -0x1.4050b8dd5b77ap-2, -0x1.40b9bab5708c9p-2, -0x1.40a020a8f7d9dp-2, -0x1.4009487e70c2p-2, -0x1.3efaaafe88898p-2, -0x1.3d79d3a61f1eap-2, -0x1.3b8c590a6359bp-2, -0x1.3937d5d87731bp-2, -0x1.3681e27117ebap-2, -0x1.33700f174e87fp-2, -0x1.3007deac1465dp-2, -0x1.2c4ec1f0c8b15p-2, -0x1.284a134a87151p-2, -0x1.23ff13015076ap-2, -0x1.1f72e3ef7e35bp-2, -0x1.1aaa88a7bc6bdp-2, -0x1.15aae0f67c40ap-2, -0x1.1078a7d4eba77p-2, -0x1.0b1871a903961p-2, -0x1.058eaaebf2acep-2, -0x1.ffbf2e1e3a256p-3, -0x1.f41e9fac5691fp-3, -0x1.e843891493a06p-3, -0x1.dc3574741938cp-3, -0x1.cffb960ad6f18p-3, -0x1.c39ccd78ef3f3p-3, -0x1.b71fa74bea4a9p-3, -0x1.aa8a5a4bc7f16p-3, -0x1.9de2cfbd6dbf6p-3, -0x1.912e9c7adc58p-3, -0x1.847308eb043c9p-3, -0x1.77b5129d7f9efp-3, -0x1.6af967717b1acp-3, -0x1.5e447387858d1p-3, -0x1.519a58f94ac59p-3, -0x1.44fef706b9071p-3, -0x1.3875ee98b44a5p-3, -0x1.2c029e86a9a5fp-3, -0x1.1fa82bdc8827ep-3, -0x1.136980d7ef622p-3, -0x1.0749509415e71p-3, -0x1.f694338818bcep-4, -0x1.dedc4fce590f8p-4, -0x1.c76f2edda9cc6p-4, -0x1.b050ac4e77bfp-4, -0x1.99844badb5631p-4, -0x1.830d3d0c056p-4, -0x1.6cee5ee8aa58p-4, -0x1.572a4286eb1cdp-4, -0x1.41c32f3e887afp-4, -0x1.2cbb2578cd7f4p-4, -0x1.1813e1f9c4c15p-4, -0x1.03cee0e9137a7p-4, -0x1.dfdac13cf7b6dp-5, -0x1.b8e0c8934cf1bp-5, -0x1.92b16d1bfcd51p-5, -0x1.6d4dd7d229861p-5, -0x1.48b6ca25e8cbcp-5, -0x1.24eca2e4eef4ep-5, -0x1.01ef62ff154f1p-5, -0x1.bf7d64e769acfp-6, -0x1.7cb3cb05aa2bep-6, -0x1.3b800394d87bcp-6, -0x1.f7bf0dec4af3cp-7, -0x1.7b9e8ac86f3eep-7, -0x1.029762a070ec8p-7, -0x1.194326076adbp-8, -0x1.9b44669cdd9e6p-11, 0x1.58e861bf5a1fep-9, 0x1.86679883f7462p-8, 0x1.2d43b35c580d3p-7, 0x1.947536788ec09p-7, 0x1.f8d438bc8bc59p-7, 0x1.2d368432f429p-6, 0x1.5ca627f376361p-6, 0x1.8abf83f660838p-6, 0x1.b78935236741dp-6, 0x1.e309f29d549bcp-6, 0x1.06a443dc07b4bp-5, 0x1.1b25e7314defcp-5, 0x1.2f0d54f2d90e2p-5, 0x1.425e00f1537f3p-5, 0x1.551b5ed48674cp-5, 0x1.6748dffc00b22p-5, 0x1.78e9f1893b29cp-5, 0x1.8a01fa85fba4ap-5, 0x1.9a945a3b087adp-5, 0x1.aaa466b4dc81p-5, 0x1.ba356b63d7d65p-5, 0x1.c94aa7e41d045p-5, 0x1.d7e74ee476662p-5, 0x1.e60e852a1e43p-5, 0x1.f3c360c033184p-5, 0x1.0084741a0abbp-4, 0x1.06f108f1b4b59p-4, 0x1.0d28e1bd30fcdp-4, 0x1.132d68bdab804p-4, 0x1.18ffff651378ep-4, 0x1.1ea1fe325a321p-4, 0x1.2414b492feb58p-4, 0x1.295968c1f5657p-4, 0x1.2e7157bc05fb8p-4, 0x1.335db53c2a7d8p-4, 0x1.381fabae24b79p-4, 0x1.3cb85c3318e9ap-4, 0x1.4128deb7a46f3p-4, 0x1.457241fc47bc2p-4, 0x1.49958ba2512a5p-4, 0x1.4d93b852dd11ap-4, 0x1.516dbbe0cc03cp-4, 0x1.5524815e46e95p-4, 0x1.58b8eb485a20fp-4, 0x1.5c2bd3bf47597p-4, 0x1.5f7e0cab839ebp-4, 0x1.62b05fe503cadp-4, 0x1.65c38f74ba3adp-4, 0x1.68b855d1299dbp-4, 0x1.6b8f660654201p-4, 0x1.6e496bec4b9e5p-4, 0x1.70e70c730c6dp-4, 0x1.7368e5dde1ebdp-4, 0x1.75cf8fee0be1cp-4, 0x1.781b9c21f2324p-4, 0x1.7a4d96039658bp-4, 0x1.7c6603617acaap-4, 0x1.7e6564736615dp-4, 0x1.804c343300e0ep-4, 0x1.821ae880e58fbp-4, 0x1.83d1f27ef422fp-4, 0x1.8571beaab5f85p-4, 0x1.86fab5197195ap-4, 0x1.886d39c27c41ap-4, 0x1.89c9acb884cbep-4, 0x1.8b106a4bd3524p-4, 0x1.8c41cb41cf35cp-4, 0x1.8d5e2513de052p-4, 0x1.8e65ca270adf3p-4, 0x1.8f5909f0bb7d2p-4, 0x1.903831231195cp-4, 0x1.910389e0a0ceep-4, 0x1.91bb5bf21170dp-4, 0x1.925fece9ab9b6p-4, 0x1.92f1804806dc6p-4, 0x1.937057a802e61p-4, 0x1.93dcb2ea9f059p-4, 0x1.9436d059682c3p-4, 0x1.947eecc2782b5p-4, 0x1.94b5439d76eb6p-4, 0x1.94da0f35fd1b5p-4, 0x1.94ed88c62f5b5p-4, 0x1.94efe88907574p-4, 0x1.94e165d364e12p-4, 0x1.94c2373b2f1bap-4, 0x1.949292b9b227p-4, 0x1.9452adb9efef7p-4, 0x1.9402bd19de3d8p-4, 0x1.93a2f53e7a457p-4, 0x1.93338a3c8d373p-4, 0x1.92b4affa372a9p-4, 0x1.92269a31a54f3p-4, 0x1.91897c632f3f7p-4, 0x1.90dd89dd357b4p-4, 0x1.9022f5e24f734p-4, 0x1.8f59f3d13beffp-4, 0x1.8e82b729e43dep-4, 0x1.8d9d7372da58bp-4, 0x1.8caa5c292b032p-4, 0x1.8ba9a4d91f5dp-4, 0x1.8a9b814dd72bdp-4, 0x1.898025a9b3b59p-4, 0x1.8857c64fc75bfp-4, 0x1.872297bb01bdcp-4, 0x1.85e0ce74c4e16p-4, 0x1.84929f3a05bcdp-4, 0x1.83383f2b6961p-4, 0x1.81d1e3d772337p-4, 0x1.805fc3141b5aap-4, 0x1.7ee212cee2198p-4, 0x1.7d5909049d9ep-4, 0x1.7bc4dbea0c816p-4, 0x1.7a25c21c3ac88p-4, 0x1.787bf2a8838e2p-4, 0x1.76c7a4e21eab7p-4, 0x1.7509102b12bd5p-4, 0x1.73406be25401bp-4, 0x1.716def8548945p-4, 0x1.6f91d2e2eea5fp-4, 0x1.6dac4e2f22eaep-4, 0x1.6bbd99e1afcadp-4, 0x1.69c5ee7afecaep-4, 0x1.67c5845ec8867p-4, 0x1.65bc93e0fec87p-4, 0x1.63ab557582f9bp-4, 0x1.619201d5e7465p-4, 0x1.5f70d1fa3fe2p-4, 0x1.5d47fee7c2b1p-4, 0x1.5b17c179c0b15p-4, 0x1.58e0524d0b501p-4, 0x1.56a1e9d93d1bp-4, 0x1.545cc09e95b8ep-4, 0x1.52110f40499b4p-4, 0x1.4fbf0e73fca89p-4, 0x1.4d66f6d030a37p-4, 0x1.4b09009b56a66p-4, 0x1.48a563bb7cd24p-4, 0x1.463c57cd90343p-4, 0x1.43ce144dd33a2p-4, 0x1.415ad0b04b04ap-4, 0x1.3ee2c4552ecfap-4, 0x1.3c66265f612aap-4, 0x1.39e52d86e6282p-4, 0x1.37601002d9604p-4, 0x1.34d703953b92fp-4, 0x1.324a3dabb93ffp-4, 0x1.2fb9f37b84968p-4, 0x1.2d265a0377854p-4, 0x1.2a8fa5f1b5c82p-4, 0x1.27f60b7bf607cp-4, 0x1.2559be40f7011p-4, 0x1.22baf142cf0fdp-4, 0x1.2019d6f98a152p-4, 0x1.1d76a16e9f4dap-4, 0x1.1ad1824dcc819p-4, 0x1.182aaadfccd3ep-4, 0x1.15824bf14c0e2p-4, 0x1.12d895b38716fp-4, 0x1.102db7a6bf366p-4, 0x1.0d81e09825bfp-4, 0x1.0ad53eb134369p-4, 0x1.0827ff8cd49e2p-4, 0x1.057a5044997aep-4, 0x1.02cc5d6df587p-4, 0x1.001e5308aac7bp-4, 0x1.fae0b8ce9b15bp-5, 0x1.f585483a4ee87p-5, 0x1.f02aa7f27d63ep-5, 0x1.ead12a1dd2a1bp-5, 0x1.e5791f8aa9156p-5, 0x1.e022d7c8fd6a4p-5, 0x1.dacea1312a318p-5, 0x1.d57cc8d417926p-5, 0x1.d02d9a5cb969fp-5, 0x1.cae15ff110dd7p-5, 0x1.c59862203bbcfp-5, 0x1.c052e7e3edb01p-5, 0x1.bb1136b1dfb3bp-5, 0x1.b5d3929287058p-5, 0x1.b09a3e3171231p-5, 0x1.ab657adff9459p-5, 0x1.a6358889de523p-5, 0x1.a10aa5a17f569p-5, 0x1.9be50f0c8c7b9p-5, 0x1.96c5001986efp-5, 0x1.91aab281d1b64p-5, 0x1.8c965e7621dd8p-5, 0x1.87883aaed3131p-5, 0x1.82807c78f300fp-5, 0x1.7d7f57bb73f91p-5, 0x1.7884fef39b38p-5, 0x1.7391a32b27958p-5, 0x1.6ea573ed1fbfdp-5, 0x1.69c09f3e66fb3p-5, 0x1.64e3519da7ab7p-5, 0x1.600db60a8c445p-5, 0x1.5b3ff61125208p-5, 0x1.567a39d531d8ep-5, 0x1.51bca819e0f64p-5, 0x1.4d076644bc50bp-5, 0x1.485a985c2b4f4p-5, 0x1.43b6610384483p-5, 0x1.3f1ae177540fep-5, 0x1.3a88398c84e27p-5, 0x1.35fe87b3bc683p-5, 0x1.317de9005a981p-5, 0x1.2d067930c2fbcp-5, 0x1.289852b592cf1p-5, 0x1.24338eb6d83fcp-5, 0x1.1fd8451732849p-5, 0x1.1b868c75dba69p-5, 0x1.173e7a30ee19dp-5, 0x1.13002268d12edp-5, 0x1.0ecb9805450acp-5, 0x1.0aa0ecbba8785p-5, 0x1.068031150ddp-5, 0x1.02697472504c3p-5, 0x1.fcb98a19e6351p-6, 0x1.f4b45feac942dp-6, 0x1.ecc382222fcbbp-6, 0x1.e4e70637b5c7dp-6, 0x1.dd1eff5e00079p-6, 0x1.d56b7e9e975e7p-6, 0x1.cdcc92ffcfc8cp-6, 0x1.c64249ad0aa07p-6, 0x1.beccae16822a6p-6, 0x1.b76bc9fe1a2dbp-6, 0x1.b01fa56a0ffe7p-6, 0x1.a8e8467c4beabp-6, 0x1.a1c5b1389b204p-6, 0x1.9ab7e755c3069p-6, 0x1.93bee8318963ep-6, 0x1.8cdab0e8721cfp-6, 0x1.860b3c92d9798p-6, 0x1.7f5084b1205aap-6, 0x1.78aa81b6efd97p-6, 0x1.72192b7bba80ap-6, 0x1.6b9c7965a3734p-6, 0x1.6534624977c3bp-6, 0x1.5ee0dbff2a6b5p-6, 0x1.58a1dab7b2f75p-6, 0x1.5277503ea736ep-6, 0x1.4c612b623a053p-6, 0x1.465f57ba121b2p-6, 0x1.4071bdf1e2bafp-6, 0x1.3a98449b221cep-6, 0x1.34d2d161fdcb5p-6, 0x1.2f214a5f8a00cp-6, 0x1.298397300dc9dp-6, 0x1.23f9a1780c15dp-6, 0x1.1e83549ed8163p-6, 0x1.19209cb5eca57p-6, 0x1.13d164be004e2p-6, 0x1.0e9594ae5089bp-6, 0x1.096d0fc112f51p-6, 0x1.0457b38627fadp-6, 0x1.feaab02fb25b4p-7, 0x1.f4cba3161f77dp-7, 0x1.eb11e4c7d48c2p-7, 0x1.e17d1d1a9da3bp-7, 0x1.d80cfc4325d0ep-7, 0x1.cec13e96ace48p-7, 0x1.c599ad5a12931p-7, 0x1.bc961c1bc90fap-7, 0x1.b3b662e80bf8ap-7, 0x1.aafa5677d4c66p-7, 0x1.a261c0178b481p-7, 0x1.99ec573c93b9dp-7, 0x1.9199be81b2aaep-7, 0x1.89698511a5cedp-7, 0x1.815b2c89920abp-7, 0x1.796e324e5b523p-7, 0x1.71a21a6f1e778p-7, 0x1.69f679b47d7d2p-7, 0x1.626afc84e21c6p-7, 0x1.5aff68d7afa22p-7, 0x1.53b39a71dbbep-7, 0x1.4c8779e558251p-7, 0x1.457af006c81dep-7, 0x1.3e8dd876a81d9p-7, 0x1.37bff63673c8cp-7, 0x1.3110ecec43f5bp-7, 0x1.2a80407f557ep-7, 0x1.240d5b56e167fp-7, 0x1.1db79a14c9d79p-7, 0x1.177e5a7c1cdcp-7, 0x1.11610a8c72721p-7, 0x1.0b5f34cb8f895p-7, 0x1.05788737d965cp-7, 0x1.ff59a6ae5d0bcp-8, 0x1.f3f80e489a68ep-8, 0x1.e8cc401f6a32bp-8, 0x1.ddd6353001e35p-8, 0x1.d315c3afa85bfp-8, 0x1.c88a85034fe99p-8, 0x1.be33c8049b056p-8, 0x1.b410922c4b1cdp-8, 0x1.aa1faedb2fbefp-8, 0x1.a05fc918de1cp-8, 0x1.96cf8a6972c3cp-8, 0x1.8d6db8f5327b6p-8, 0x1.84394fd5decf9p-8, 0x1.7b318d963cf3cp-8, 0x1.7255f69819356p-8, 0x1.69a64b1ad301ep-8, 0x1.612272d8d35c6p-8, 0x1.58ca62416b47ep-8, 0x1.509dfeab23845p-8, 0x1.489d0704b926p-8, 0x1.40c705613706cp-8, 0x1.391b4b88e3ff7p-8, 0x1.3198fa2ec66e8p-8, 0x1.2a3f105635d93p-8, 0x1.230c7f46c784p-8, 0x1.1c003f0cbb0b4p-8, 0x1.15195f9e37ad6p-8, 0x1.0e57134c0faeap-8, 0x1.07b8b08a69e99p-8, 0x1.013dab89f273bp-8, 0x1.f5cb15bb0cafap-9, 0x1.e95fb829670dfp-9, 0x1.dd385923b3b73p-9, 0x1.d1541011ba85ap-9, 0x1.c5b1f52953ad2p-9, 0x1.ba5124afb63dap-9, 0x1.af30bb1240be3p-9, 0x1.a44fca73e4cafp-9, 0x1.99ad51c77fbap-9, 0x1.8f483fb28cc17p-9, 0x1.851f84cfd6cafp-9, 0x1.7b322c641f821p-9, 0x1.717f6900ba2dep-9, 0x1.6806848ff9014p-9, 0x1.5ec6b20628839p-9, 0x1.55bed2828fbfap-9, 0x1.4ced4c5ff1e06p-9, 0x1.4450103f55fdep-9, 0x1.3be4d5a045175p-9, 0x1.33a97d5bb19b3p-9, 0x1.2b9c715c2fa6ep-9, 0x1.23bcd411541f4p-9, 0x1.1c0a66a583b8ap-9, 0x1.1485344df227fp-9, 0x1.0d2d352931515p-9, 0x1.0602216b253b7p-9, 0x1.fe071841ec261p-10, 0x1.f062511ea38bfp-10, 0x1.e315fa0ae3883p-10, 0x1.d622a39d1d91ep-10, 0x1.c988ae8e437fbp-10, 0x1.bd4754613f716p-10, 0x1.b15be09b8fdb6p-10, 0x1.a5c17c59ffdcfp-10, 0x1.9a71b9d874f04p-10, 0x1.8f65cbf05eccbp-10, 0x1.84980e880235ap-10, 0x1.7a0547e044da1p-10, 0x1.6fad034a0e05dp-10, 0x1.6590c184c87ffp-10, 0x1.5bb2664bc77dp-10, 0x1.5212d426e7e05p-10, 0x1.48b18ef5233a6p-10, 0x1.3f8d7dc5d5fe5p-10, 0x1.36a617739a221p-10, 0x1.2dfc11322786ap-10, 0x1.259119e94721dp-10, 0x1.1d66d4108cbfbp-10, 0x1.157da808347dap-10, 0x1.0dd403c92dcf7p-10, 0x1.06663fd8e813dp-10, 0x1.fe5e0e5bae081p-11, 0x1.f05035229458ep-11, 0x1.e296e23986e4p-11, 0x1.d529353784923p-11, 0x1.c803ad8ef0101p-11, 0x1.bb283807562e6p-11, 0x1.ae9b9bb61f3f5p-11, 0x1.a261c21a995dp-11, 0x1.967b5e9ed08fdp-11, 0x1.8ae656c6c93dfp-11, 0x1.7fa01135aeee1p-11, 0x1.74a7b402193cep-11, 0x1.69fee69869878p-11, 0x1.5fa8b939dba6ep-11, 0x1.55a7600ab6c1p-11, 0x1.4bfa5c7e3e59p-11, 0x1.429e66e2e839ep-11, 0x1.398eba19bf608p-11, 0x1.30c6377eb0f97p-11, 0x1.283f7dd1c9d89p-11, 0x1.1ff489dfc550cp-11, 0x1.17df193773345p-11, 0x1.0ffa262057059p-11, 0x1.084363d507de7p-11, 0x1.00bb5abd273bp-11, 0x1.f2c8124198aaap-12, 0x1.e47e532d98739p-12, 0x1.d69a5b3a69d04p-12, 0x1.c91a5dcea4efbp-12, 0x1.bbfb8b36579f3p-12, 0x1.af3cfc7e0d778p-12, 0x1.a2e126ec0fcc8p-12, 0x1.96eaff6ac8937p-12, 0x1.8b595b2655b6fp-12, 0x1.8026127636c49p-12, 0x1.754964caf5d73p-12, 0x1.6abd8c5913f5bp-12, 0x1.607ffa014cc36p-12, 0x1.569081e9f24e9p-12, 0x1.4cef6ce6dc80ep-12, 0x1.439b5598d7d67p-12, 0x1.3a8fd7efec779p-12, 0x1.31c5c4e51012ep-12, 0x1.2934e2616a26fp-12, 0x1.20d6f90736318p-12, 0x1.18ab2ec1498e5p-12, 0x1.10b633269c83ep-12, 0x1.08fcdc7050b98p-12, 0x1.017ed03425a91p-12, 0x1.f47184abfbd08p-13, 0x1.e65521b8176d1p-13, 0x1.d8adcf738e2e8p-13, 0x1.cb7a34d5a362ap-13, 0x1.beaebd0dca617p-13, 0x1.b23e178f9e2eep-13, 0x1.a620202047c3dp-13, 0x1.9a51c18b01bf1p-13, 0x1.8ed27d0652bcdp-13, 0x1.83a3aee99f45dp-13, 0x1.78c9322ce11f7p-13, 0x1.6e48c3c206e48p-13, 0x1.64268fc4e32ffp-13, 0x1.5a5fc2ecea8fp-13, 0x1.50e7295c39cf6p-13, 0x1.47a9b09ce8abp-13, 0x1.3e9a24fc25a5fp-13, 0x1.35ba8da0a2da6p-13, 0x1.2d177375c31bep-13, 0x1.24b6a4f75951fp-13, 0x1.1c9288599187cp-13, 0x1.14a7e97421169p-13, 0x1.0cfbdc03498bep-13, 0x1.058ff36ff8e88p-13, 0x1.fcb7906348937p-14, 0x1.eeaaf35c582dp-14, 0x1.e0f0ccb81e0ep-14, 0x1.d3880878db969p-14, 0x1.c6717a32c464p-14, 0x1.b9ac9b44f1d2ap-14, 0x1.ad37c416d1b3fp-14, 0x1.a112ac3adeacep-14, 0x1.9540d7655e12p-14, 0x1.89c9159ff015bp-14, 0x1.7eb176f665b8cp-14, 0x1.73f7ef7d6b852p-14, 0x1.698b478c1e12ep-14, 0x1.5f56b9c66726fp-14, 0x1.5555d05025e9ep-14, 0x1.4b8aeaa54c45dp-14, 0x1.41f74d10f8e5dp-14, 0x1.389e77925c6bep-14, 0x1.2f7fc246246cdp-14, 0x1.269c83dd1e688p-14, 0x1.1dfa89d281ca1p-14, 0x1.15926f4a419ep-14, 0x1.0d57d1cad89eap-14, 0x1.0545f8cd5b0d1p-14, 0x1.fabab546ebc11p-15, 0x1.eb3df50da7c1fp-15, 0x1.dc15e14332a1p-15, 0x1.cd40f15597d89p-15, 0x1.bebc785ecb2bap-15, 0x1.b0858870c369fp-15, 0x1.a29a6cb5790f9p-15, 0x1.94fba5a471133p-15, 0x1.87aaf0267e11cp-15, 0x1.7aaae3f08918dp-15, 0x1.6dfed7d2a659ep-15, 0x1.619cd7b1964e2p-15, 0x1.55740c673125p-15, 0x1.499252256396ap-15, 0x1.3dea9a97d9c82p-15, 0x1.32648ee3b6689p-15, 0x1.271c33d665617p-15, 0x1.1c0d1929e6c87p-15, 0x1.1136c67b029dfp-15, 0x1.069f052fdd9f8p-15, 0x1.f86fe8e547b81p-16, 0x1.e3f584a876818p-16, 0x1.cfd18bb99ee15p-16, 0x1.bc0758ddf2a78p-16, 0x1.a8971f4ec2ee8p-16, 0x1.957f2a0dcbec5p-16, 0x1.82bd4b11a72a1p-16, 0x1.704f746be48dep-16, 0x1.5e33a048d1a28p-16, 0x1.4c679357920a4p-16, 0x1.3ae904aaf7947p-16, 0x1.29b5f9c54f6ddp-16, 0x1.18cbe7ad5b08p-16, 0x1.08282d24a7ffap-16, 0x1.efa63ae382e28p-17, 0x1.cfafc3c96b8a4p-17, 0x1.b038e67a81486p-17, 0x1.9142636d42b89p-17, 0x1.72da5bd91c42cp-17, 0x1.54e7331875537p-17, 0x1.377c9ea926423p-17, 0x1.1a6f76fadb8fep-17, 0x1.fbcce676262fbp-18, 0x1.c3d22a04366acp-18, 0x1.8cadce070ca7dp-18, 0x1.565b8bfcac1c4p-18, 0x1.20e692f6f27aep-18, 0x1.d8a55b8340f39p-19, 0x1.713c32b7e898ep-19, 0x1.0b8a1fb53ae8fp-19, 0x1.4f0edad1f9862p-20, 0x1.14b7ed61b9c36p-21, -0x1.b86acb039653ep-23, -0x1.ea6b2689ec1e1p-21, -0x1.b028a5e4b6342p-20, -0x1.33fb492f5c769p-19, -0x1.8e573d43150adp-19, -0x1.e72f1be31939ep-19, -0x1.1f4892054ac7cp-18, -0x1.4a3e54bb193b1p-18, -0x1.744eb90f05b42p-18, -0x1.9d843f913d14bp-18, -0x1.c632643480749p-18, -0x1.ee4227c0b5b12p-18, -0x1.0aa22ad22a6ddp-17, -0x1.1dc6a798a6ec7p-17, -0x1.30b0196e27a3fp-17, -0x1.433a9f1f30cc1p-17, -0x1.555e7f8f651b9p-17, -0x1.672e65be87ea7p-17, -0x1.78a9e1331b555p-17, -0x1.89ce419f39c4bp-17, -0x1.9a9b0786b9b05p-17, -0x1.ab10ac14c30afp-17, -0x1.bb2fe7b15f63ap-17, -0x1.caf975308c941p-17, -0x1.da6dfa9afe987p-17, -0x1.e98dfc07a053p-17, -0x1.f859de6f56adfp-17, -0x1.036903a78412bp-16, -0x1.0a7b853eaa473p-16, -0x1.1164db23467e9p-16, -0x1.18256cc86030ap-16, -0x1.1ebd6f899ed13p-16, -0x1.252d01f16622ep-16, -0x1.2b74e72d51ddep-16, -0x1.31954091a9d7ap-16, -0x1.37893a956eac4p-16, -0x1.3d56b1348fa7bp-16, -0x1.430207f66383cp-16, -0x1.48824a1418d6p-16, -0x1.4dd951a14a873p-16, -0x1.5309ccf3ef4fap-16, -0x1.5818c355a5c35p-16, -0x1.5cfdfb6a53b82p-16, -0x1.61bcf6dc22569p-16, -0x1.665756a80d1dbp-16, -0x1.6acc678aca14bp-16, -0x1.6f1c1497f1123p-16, -0x1.7346948693582p-16, -0x1.774c2cc7ea784p-16, -0x1.7b2d2397014fcp-16, -0x1.7ee9bdf8aef11p-16, -0x1.82823f60aeeb5p-16, -0x1.85f6e8b1a81d7p-16, -0x1.8947f774a3472p-16, -0x1.8c75a862f5235p-16, -0x1.8f803e06a2649p-16, -0x1.926805927216p-16, -0x1.952d537731a97p-16, -0x1.97d07682f7c3bp-16, -0x1.9a51a17c5cfbap-16, -0x1.9cb0effbd3ee3p-16, -0x1.9eeed9f0013b5p-16, -0x1.a10c3c964182p-16, -0x1.a307b66a9c895p-16, -0x1.a4e349fa75cddp-16, -0x1.a69de03a0c50bp-16, -0x1.a8383355e00c9p-16, -0x1.a9b3fe47a2b52p-16, -0x1.ab102a31b9232p-16, -0x1.ac4d21211844p-16, -0x1.ad6adb8246726p-16, -0x1.ae6a0a5143952p-16, -0x1.af4b9a8ce170bp-16, -0x1.b00f688e4a5f3p-16, -0x1.b0b5ab1fceeeep-16, -0x1.b13eb6a0733fep-16, -0x1.b1aae276c2b1p-16, -0x1.b1fa858f3487bp-16, -0x1.b22df67e78e02p-16, -0x1.b2458bd956e5ap-16, -0x1.b2419c4e51fd2p-16, -0x1.b2227e5c0eb6p-16, -0x1.b1e8880ae541ep-16, -0x1.b1940fa8939f2p-16, -0x1.b1256dadd75bep-16, -0x1.b09cfddd2b608p-16, -0x1.affb1e554fd36p-16, -0x1.af402cdcb410bp-16, -0x1.ae6c7f517f93ap-16, -0x1.ad805c24de9ebp-16, -0x1.ac7c174a2d73dp-16, -0x1.ab605380f94ebp-16, -0x1.aa2d8832a4953p-16, -0x1.a8e363567aefep-16, -0x1.a78240697ebe3p-16, -0x1.a60b22733cbf3p-16, -0x1.a47e3f79878ap-16, -0x1.a2dbe7af6f5dcp-16, -0x1.a124b84be48f9p-16, -0x1.9f587f46aeafdp-16, -0x1.9d776354be9fbp-16, -0x1.9b82719c9bfddp-16, -0x1.9979fc8fdeac6p-16, -0x1.975e324567c76p-16, -0x1.952f6c91e3413p-16, -0x1.92ee0b35dc568p-16, -0x1.909a6d42951ecp-16, -0x1.8e34f10ca2c43p-16, -0x1.8bbdf475a6d76p-16, -0x1.8935d50fc23dep-16, -0x1.869cf02c21224p-16, -0x1.83f3a2ce92a77p-16, -0x1.813a4988d0feep-16, -0x1.7e714078976aep-16, -0x1.7b98e3af8de87p-16, -0x1.78b18fad7e6e2p-16, -0x1.75bba153e6dbcp-16, -0x1.72b7759643b58p-16, -0x1.6fa568c9549e6p-16, -0x1.6c85d3682321cp-16, -0x1.695907ee02e24p-16, -0x1.661f5f2aaed45p-16, -0x1.62d94fba5ddd9p-16, -0x1.5f8754c7bb53p-16, -0x1.5c2933c9ec472p-16, -0x1.58bf9b697506p-16, -0x1.554b1a10c143ep-16, -0x1.51cbd67f8ebb7p-16, -0x1.4e421f713f1eep-16, -0x1.4aae54ebed42dp-16, -0x1.4710f1c5615b1p-16, -0x1.436a1c114d5efp-16, -0x1.3fb9ecd871088p-16, -0x1.3c01294bd95eap-16, -0x1.384003d1ae98bp-16, -0x1.3476c2c7cba94p-16, -0x1.30a5b905c7f51p-16, -0x1.2ccd38f712073p-16, -0x1.28ed93e55beeap-16, -0x1.25071a32351cp-16, -0x1.211a1b7344512p-16, -0x1.1d26e67c28d9ep-16, -0x1.192dc960a563bp-16, -0x1.152f1170ff2bbp-16, -0x1.112b0b2d3c577p-16, -0x1.0d22023eacccp-16, -0x1.0914419197fdep-16, -0x1.0502137d31848p-16, -0x1.00ebc1bd29dddp-16, -0x1.f9a32ab177eep-17, -0x1.f167ad4ae8c46p-17, -0x1.e925999598686p-17, -0x1.e0dd7889bf9a1p-17, -0x1.d88fd07dc5ddbp-17, -0x1.d03d2ed0056a1p-17, -0x1.c7e63e1ccbe0ep-17, -0x1.bf8b6bda5144dp-17, -0x1.b72cdefeb0849p-17, -0x1.aecba3214e22dp-17, -0x1.a6680d7e150c7p-17, -0x1.9e0292a391b6cp-17, -0x1.959bae54d371fp-17, -0x1.8d33dbe19ec3ep-17, -0x1.84cb99a814478p-17, -0x1.7c637a498c606p-17, -0x1.73fbcf25a5ae5p-17, -0x1.6b94ebcc990b8p-17, -0x1.632f8fe21d77dp-17, -0x1.5acc0d595866cp-17, -0x1.526acfd8694b1p-17, -0x1.4a0c45e68b688p-17, -0x1.41b0dbd587872p-17, -0x1.3958fbe9a176cp-17, -0x1.31050e8448e4p-17, -0x1.28b57a35fd094p-17, -0x1.206aa3c512d26p-17, -0x1.1824ee3123f6ap-17, -0x1.0fe4bab32b5cep-17, -0x1.07aa68b662729p-17, -0x1.feecababdacc3p-18, -0x1.ee91bbdc95a98p-18, -0x1.de44b66c4d1a6p-18, -0x1.ce064c72cc6bdp-18, -0x1.bdd72b905e275p-18, -0x1.adb7fe096dd28p-18, -0x1.9da96ab20e772p-18, -0x1.8dac137d3c982p-18, -0x1.7dc0954bef204p-18, -0x1.6de78c42e6f25p-18, -0x1.5e21981d50834p-18, -0x1.4e6f6a79486edp-18, -0x1.3ed13c197bcecp-18, -0x1.2f47e46418582p-18, -0x1.1fd3eaaf5a218p-18, -0x1.1075c97f604f1p-18, -0x1.012e06675a6b3p-18, -0x1.e3fa45e51d9dcp-19, -0x1.c5c73831c8393p-19, -0x1.a7c3d98f48698p-19, -0x1.89f11c5efa323p-19, -0x1.6c500477f082fp-19, -0x1.4ee149cee98cfp-19, -0x1.31a5b77d57dcdp-19, -0x1.149e6302d9c19p-19, -0x1.ef97fb897403p-20, -0x1.b65ea133334f3p-20, -0x1.7d924069a7612p-20, -0x1.453455628efecp-20, -0x1.0d464fe937a8bp-20, -0x1.ab9327856bd3ap-21, -0x1.3d7ef1d8ae57fp-21, -0x1.a0a52f0085d3dp-22, -0x1.9042687f1c49bp-23, 0x1.d126e06148ef3p-27, 0x1.c6aad7bd47003p-23, }}, 
      {{0x1.3a1467182e88cp-7, 0x1.36791d0cadb0fp-6, 0x1.c8f17e03edb8p-6, 0x1.28bff82d1727ap-5, 0x1.66d5fb931f1efp-5, 0x1.9dbec21a00f83p-5, 0x1.ccbce9ead33eep-5, 0x1.f34d76278fd91p-5, 0x1.0891026d72614p-4, 0x1.130d2362175f6p-4, 0x1.191ea3f140b27p-4, 0x1.1ad973ceab5d8p-4, 0x1.185edfbdc0f94p-4, 0x1.11dacd55ec13ep-4, 0x1.078147d8f6cbbp-4, 0x1.f318bb18adb6bp-5, 0x1.d074956c6979ap-5, 0x1.a797d5f998631p-5, 0x1.7906d53afa755p-5, 0x1.4546639d37f77p-5, 0x1.0cda08b9aaf04p-5, 0x1.a0853d02c901dp-6, 0x1.1ffa77ad6e54bp-6, 0x1.32098aa31153fp-7, 0x1.9159b61cfbf25p-11, -0x1.092feb3ec4154p-7, -0x1.1993c2d05777fp-6, -0x1.b1a4cfaeb546ap-6, -0x1.2609b22875e9ep-5, -0x1.7419e1efebd28p-5, -0x1.c2b2fe1119b53p-5, -0x1.08c566c1acb7dp-4, -0x1.302e5575b3311p-4, -0x1.5774a807bcd2ap-4, -0x1.7e7b50a8d4cd5p-4, -0x1.a527b7a4badabp-4, -0x1.cb619fd448ebfp-4, -0x1.f11307f11eb11p-4, -0x1.0b14068cabbbfp-3, -0x1.1d4766aac6c6cp-3, -0x1.2f1ba5d4d07f9p-3, -0x1.4089a9cfdcb3bp-3, -0x1.518b2f6111695p-3, -0x1.621abd1321c9dp-3, -0x1.723396db6def5p-3, -0x1.81d1b1dc0f404p-3, -0x1.90f1a8f20e4bp-3, -0x1.9f90b15cf6caap-3, -0x1.adac905a68b8fp-3, -0x1.bb4390d085b0dp-3, -0x1.c854799ba3968p-3, -0x1.d4de846af7cbp-3, -0x1.e0e154a63ccaap-3, -0x1.ec5cef52047p-3, -0x1.f751b2e57c30ap-3, -0x1.00e027e14ab8cp-2, -0x1.05d4e0815da47p-2, -0x1.0a87a2d3e843ap-2, -0x1.0ef92d1454ac5p-2, -0x1.132a5931b2a87p-2, -0x1.171c19ec7fa6ep-2, -0x1.1acf7824ee5bfp-2, -0x1.1e45905076f45p-2, -0x1.217f9017c24b7p-2, -0x1.247eb41c1c987p-2, -0x1.274445e3e7acp-2, -0x1.29d199ebfb39p-2, -0x1.2c280dd3b4284p-2, -0x1.2e4906b12b7aep-2, -0x1.3035ef7e8b8e4p-2, -0x1.31f037ae62bdfp-2, -0x1.337951dec2d79p-2, -0x1.34d2b2a9acfb6p-2, -0x1.35fdcf8463099p-2, -0x1.36fc1db8ccda8p-2, -0x1.37cf116d2d7a2p-2, -0x1.38781cd67e19fp-2, -0x1.38f8af7b04b9p-2, -0x1.39523594d34a2p-2, -0x1.39861783a0116p-2, -0x1.3995b9335017p-2, -0x1.398279919b7c7p-2, -0x1.394db21adc95cp-2, -0x1.38f8b66d9b0bp-2, -0x1.3884d40cd9247p-2, -0x1.37f3522892245p-2, -0x1.3745716e0161dp-2, -0x1.367c6bd7ce90ep-2, -0x1.35997472ff78cp-2, -0x1.349db727d2399p-2, -0x1.338a5889bfcb9p-2, -0x1.326075b9300a4p-2, -0x1.31212456d21b2p-2, -0x1.2fcd728c2bf9p-2, -0x1.2e666718b2a56p-2, -0x1.2ced0162e3f8fp-2, -0x1.2b6239841ff8bp-2, -0x1.29c7004eb5639p-2, -0x1.281c3f4ecc8d5p-2, -0x1.2662d8ca683fap-2, -0x1.249ba7c4ee67ep-2, -0x1.22c7800a11bacp-2, -0x1.20e72e41be8ebp-2, -0x1.1efb780cbe678p-2, -0x1.1d051c285c967p-2, -0x1.1b04d295da57bp-2, -0x1.18fb4cc2a6a5bp-2, -0x1.16e935af0330cp-2, -0x1.14cf321144486p-2, -0x1.12ade07532c46p-2, -0x1.1085d95951698p-2, -0x1.0e57af48169p-2, -0x1.0c23eef1e4aa9p-2, -0x1.09eb1f48f66bap-2, -0x1.07adc19d88ed7p-2, -0x1.056c51bdb3ea3p-2, -0x1.032746182fd22p-2, -0x1.00df0fe1d3364p-2, -0x1.fd28367a2e566p-3, -0x1.f88d9ec5ed5bcp-3, -0x1.f3ef1d98c39c2p-3, -0x1.ef4d6eb6b8cfcp-3, -0x1.eaa94506518b6p-3, -0x1.e6034ade58bap-3, -0x1.e15c22509a3c4p-3, -0x1.dcb46571511bp-3, -0x1.d80ca69bc8d85p-3, -0x1.d36570b4a0b38p-3, -0x1.cebf476a3f5eep-3, -0x1.ca1aa773e7bf7p-3, -0x1.c57806d00ecbfp-3, -0x1.c0d7d50257b39p-3, -0x1.bc3a7b51445fbp-3, -0x1.b7a05d03a3fc5p-3, -0x1.b309d79ddacd7p-3, -0x1.ae77431ebf952p-3, -0x1.a9e8f23baa443p-3, -0x1.a55f329be7dbcp-3, -0x1.a0da4d12ec5e5p-3, -0x1.9c5a85d8135a3p-3, -0x1.97e01cbe60742p-3, -0x1.936b4d69a3708p-3, -0x1.8efc4f81518a2p-3, -0x1.8a9356e1f543cp-3, -0x1.863093cc5a903p-3, -0x1.81d433129d22fp-3, -0x1.7d7e5e43b49bfp-3, -0x1.792f3bd4e49d8p-3, -0x1.74e6ef493cc9dp-3, -0x1.70a59957f2149p-3, -0x1.6c6b581102ea4p-3, -0x1.68384700021cbp-3, -0x1.640c7f4df7d59p-3, -0x1.5fe817e2274d4p-3, -0x1.5bcb2580f7c1cp-3, -0x1.57b5bae9c93b6p-3, -0x1.53a7e8f432e7ap-3, -0x1.4fa1beabbae7fp-3, -0x1.4ba34969e7ea8p-3, -0x1.47ac94efe14a1p-3, -0x1.43bdab7f350a2p-3, -0x1.3fd695f0b4c23p-3, -0x1.3bf75bca5535cp-3, -0x1.38200354c1651p-3, -0x1.345091afb1d72p-3, -0x1.30890ae471b16p-3, -0x1.2cc971f7e3638p-3, -0x1.2911c8fc39ae4p-3, -0x1.25621121439f7p-3, -0x1.21ba4ac3230f2p-3, -0x1.1e1a7578d1da1p-3, -0x1.1a82902269898p-3, -0x1.16f298f5e7f46p-3, -0x1.136a8d8ab10ebp-3, -0x1.0fea6ae4d4083p-3, -0x1.0c722d80b9f81p-3, -0x1.0901d15caa617p-3, -0x1.059952019c478p-3, -0x1.0238aa8c11cf6p-3, -0x1.fdbfab69f251dp-4, -0x1.f71d9bb249a8cp-4, -0x1.f08b1a00149d3p-4, -0x1.ea0819c42ada5p-4, -0x1.e3948ddf1636bp-4, -0x1.dd3068acd67c1p-4, -0x1.d6db9c0eafcf7p-4, -0x1.d096197419acbp-4, -0x1.ca5fd1e54443fp-4, -0x1.c438b60bfce72p-4, -0x1.be20b63b1f45fp-4, -0x1.b817c27481e04p-4, -0x1.b21dca7018175p-4, -0x1.ac32bda351d2bp-4, -0x1.a6568b464d77ap-4, -0x1.a0892257fcb8cp-4, -0x1.9aca71a286f76p-4, -0x1.951a67bfffe96p-4, -0x1.8f78f31f96edfp-4, -0x1.89e60208108c5p-4, -0x1.84618299be1d5p-4, -0x1.7eeb62d175137p-4, -0x1.7983908c7ea87p-4, -0x1.7429f98ad77b6p-4, -0x1.6ede8b70b838ep-4, -0x1.69a133c7019f7p-4, -0x1.6471dffcf858ep-4, -0x1.5f507d6af3f43p-4, -0x1.5a3cf9543f56ep-4, -0x1.553740e761919p-4, -0x1.503f413d29855p-4, -0x1.4b54e759aa56p-4, -0x1.4678202e32e7ap-4, -0x1.41a8d89ad5a54p-4, -0x1.3ce6fd6e50943p-4, -0x1.38327b64cff72p-4, -0x1.338b3f2776536p-4, -0x1.2ef1354dae364p-4, -0x1.2a644a5e98a6ep-4, -0x1.25e46ad18f81fp-4, -0x1.2171830d1b21p-4, -0x1.1d0b7f6569b28p-4, -0x1.18b24c1c35b73p-4, -0x1.1465d562249f3p-4, -0x1.1026075821879p-4, -0x1.0bf2ce0f3c27fp-4, -0x1.07cc158741c3dp-4, -0x1.03b1c9ad5b362p-4, -0x1.ff47acb7dc501p-5, -0x1.f7444eb85fdacp-5, -0x1.ef5950ceff1cap-5, -0x1.e7868a4e977c7p-5, -0x1.dfcbd2675d955p-5, -0x1.d829002426acbp-5, -0x1.d09dea6a60f5p-5, -0x1.c92a67fcbf893p-5, -0x1.c1ce4f7e54e3cp-5, -0x1.ba89777387665p-5, -0x1.b35bb6402e451p-5, -0x1.ac44e224bf31p-5, -0x1.a544d13db279cp-5, -0x1.9e5b59858fa74p-5, -0x1.978850d85010bp-5, -0x1.90cb8cf5bdcb2p-5, -0x1.8a24e3814fc5dp-5, -0x1.83942a0033b5ap-5, -0x1.7d1935d7b7b3bp-5, -0x1.76b3dc4deaaebp-5, -0x1.7063f28c7d2dp-5, -0x1.6a294da44b4cap-5, -0x1.6403c28f77c9p-5, -0x1.5df326312380bp-5, -0x1.57f74d53ffe41p-5, -0x1.52100ca99bdfp-5, -0x1.4c3d38cb8d81bp-5, -0x1.467ea63e7cfbfp-5, -0x1.40d42975a6851p-5, -0x1.3b3d96d5280c8p-5, -0x1.35bac2b26e4bep-5, -0x1.304b81537bb5ap-5, -0x1.2aefa6ee77836p-5, -0x1.25a707aac9a67p-5, -0x1.207177a3db85bp-5, -0x1.1b4ecaec9173ep-5, -0x1.163ed592235a8p-5, -0x1.11416b9d6e7efp-5, -0x1.0c566112f9bb7p-5, -0x1.077d89f2dcdep-5, -0x1.02b6ba397418fp-5, -0x1.fc038bc2d0137p-6, -0x1.f2bd01cd7f7a7p-6, -0x1.e9997e940fa2cp-6, -0x1.e098aa253ee2dp-6, -0x1.d7ba2c9fbb8bep-6, -0x1.cefdae32dcfc1p-6, -0x1.c662d71f73e8ap-6, -0x1.bde94fba256d9p-6, -0x1.b590c06fc8824p-6, -0x1.ad58d1cb1c3cap-6, -0x1.a5412c7a72d22p-6, -0x1.9d4979540c3b9p-6, -0x1.95716158adc94p-6, -0x1.8db88db4ff2a2p-6, -0x1.861ea7c2fa732p-6, -0x1.7ea3590c548d6p-6, -0x1.77464b4e52dbp-6, -0x1.7007287e9e2ffp-6, -0x1.68e59ad056879p-6, -0x1.61e14cb85e2e1p-6, -0x1.5af9e8f0759edp-6, -0x1.542f1a7949e07p-6, -0x1.4d808c9c1ef3dp-6, -0x1.46edeaece1b4bp-6, -0x1.4076e14d110dfp-6, -0x1.3a1b1bef89c4cp-6, -0x1.33da475cc225fp-6, -0x1.2db41076d2558p-6, -0x1.27a8247ce065cp-6, -0x1.21b6310dbef48p-6, -0x1.1bdde429d857bp-6, -0x1.161eec3508e64p-6, -0x1.1078f7f8a64a8p-6, -0x1.0aebb6a626913p-6, -0x1.0576d7da4acfp-6, -0x1.001a0ba0837aap-6, -0x1.f5aa04ec56839p-7, -0x1.eb4eda9aa6c78p-7, -0x1.e121fb1df019cp-7, -0x1.d722ca399d528p-7, -0x1.cd50aca5b506cp-7, -0x1.c3ab081252fe8p-7, -0x1.ba31432bc21b9p-7, -0x1.b0e2c59f3ae9fp-7, -0x1.a7bef82023ab1p-7, -0x1.9ec5446d24bfap-7, -0x1.95f51554b75e7p-7, -0x1.8d4dd6b8d31d3p-7, -0x1.84cef591cf672p-7, -0x1.7c77dff0c0a8fp-7, -0x1.74480501a5a2fp-7, -0x1.6c3ed50dfce05p-7, -0x1.645bc17fdfe1bp-7, -0x1.5c9e3ce59b89cp-7, -0x1.5505baf5c029dp-7, -0x1.4d91b092d1db3p-7, -0x1.464193cea7379p-7, -0x1.3f14dbecc48c9p-7, -0x1.380b0163e8e0fp-7, -0x1.31237ddef848ap-7, -0x1.2a5dcc3d9e05ap-7, -0x1.23b968953d318p-7, -0x1.1d35d0326b9adp-7, -0x1.16d2819b3f09ep-7, -0x1.108efc922bc2ap-7, -0x1.0a6ac218fb183p-7, -0x1.0465547376fccp-7, -0x1.fcfc6e5261bcep-8, -0x1.f169de0c582c8p-8, -0x1.e6120435280a2p-8, -0x1.daf3ef738097fp-8, -0x1.d00eb0f24f6a9p-8, -0x1.c5615c5faff16p-8, -0x1.baeb07edccec5p-8, -0x1.b0aacc55ba49cp-8, -0x1.a69fc4dbb043bp-8, -0x1.9cc90f537416dp-8, -0x1.9325cc2384e8fp-8, -0x1.89b51e45e7027p-8, -0x1.80762b4645046p-8, -0x1.77681b3dcbdfap-8, -0x1.6e8a18ce4b558p-8, -0x1.65db511df5391p-8, -0x1.5d5af3d4a949ap-8, -0x1.5508331be7f7ap-8, -0x1.4ce243a132198p-8, -0x1.44e85c992d17ep-8, -0x1.3d19b7c1ac386p-8, -0x1.357591611a4ecp-8, -0x1.2dfb28428c074p-8, -0x1.26a9bdaedcbdcp-8, -0x1.1f8095646aa4ep-8, -0x1.187ef58fda1acp-8, -0x1.11a426c81006cp-8, -0x1.0aef740e6e152p-8, -0x1.04602ad336a5cp-8, -0x1.fbeb35f784017p-9, -0x1.ef5e2dce9443ap-9, -0x1.e317e6ddfb28cp-9, -0x1.d7170fbdeae4fp-9, -0x1.cb5a5bd026116p-9, -0x1.bfe0831a223c8p-9, -0x1.b4a8421e512e5p-9, -0x1.a9b059bf845dbp-9, -0x1.9ef78f373c04ap-9, -0x1.947cac2386c74p-9, -0x1.8a3e7ea8f4859p-9, -0x1.803bd99fe0e06p-9, -0x1.767394bd4423p-9, -0x1.6ce48ca7a55cbp-9, -0x1.638da2eb4eb67p-9, -0x1.5a6dbdc937d8p-9, -0x1.5183c7e6bdbadp-9, -0x1.48ceafee69cddp-9, -0x1.404d6838c3cfp-9, -0x1.37fee694ba6b6p-9, -0x1.2fe224407e38cp-9, -0x1.27f61e17e9147p-9, -0x1.2039d4eed14ebp-9, -0x1.18ac4e016ce98p-9, -0x1.114c935d2b0cfp-9, -0x1.0a19b4248b98dp-9, -0x1.0312c49677f5ap-9, -0x1.f86dbb9d2eda1p-10, -0x1.eb0a3a86bce79p-10, -0x1.ddf948308cd54p-10, -0x1.d1392cd0bc9cap-10, -0x1.c4c835699ac5fp-10, -0x1.b8a4b33c01acp-10, -0x1.acccfbfa9f7afp-10, -0x1.a13f6ab6c884fp-10, -0x1.95fa614b66c55p-10, -0x1.8afc49ea3f4a8p-10, -0x1.8043986a54611p-10, -0x1.75cecb0efdf11p-10, -0x1.6b9c6aa0efdc9p-10, -0x1.61ab09d385581p-10, -0x1.57f944091332dp-10, -0x1.4e85bb9c94268p-10, -0x1.454f17f03fd05p-10, -0x1.3c54039e09399p-10, -0x1.33932b3ae88a4p-10, -0x1.2b0b3d0f1d5abp-10, -0x1.22bae9ea094d3p-10, -0x1.1aa0e6dd93a72p-10, -0x1.12bbef5a1c0c3p-10, -0x1.0b0ac70844508p-10, -0x1.038c3ae7726e2p-10, -0x1.f87e43232a939p-11, -0x1.ea44b5ad2f9f5p-11, -0x1.dc699dfc52359p-11, -0x1.ceeadbbb735fap-11, -0x1.c1c65b73a357bp-11, -0x1.b4fa13a554b1fp-11, -0x1.a884014c9b8b9p-11, -0x1.9c62248bd4c2ap-11, -0x1.90927eb77596fp-11, -0x1.851312cf02dd7p-11, -0x1.79e1e881e4957p-11, -0x1.6efd109f0cdaep-11, -0x1.6462a910a4a3ep-11, -0x1.5a10dec74af1dp-11, -0x1.5005ed2dfe345p-11, -0x1.46401c1e5d5e5p-11, -0x1.3cbdbdfdcd269p-11, -0x1.337d2f3baeb8dp-11, -0x1.2a7cd72ddb19fp-11, -0x1.21bb291b6e7e9p-11, -0x1.1936a3f77c2a3p-11, -0x1.10edd0212cdffp-11, -0x1.08df3be95d2p-11, -0x1.010978ab21cd5p-11, -0x1.f2d6343beef99p-12, -0x1.e405707dbc063p-12, -0x1.d59de5182a3f7p-12, -0x1.c79ce4f8f8da2p-12, -0x1.b9ffd74256e7p-12, -0x1.acc432b867063p-12, -0x1.9fe7772bc12p-12, -0x1.936728f40cc61p-12, -0x1.8740d177fadfap-12, -0x1.7b7204e6381cap-12, -0x1.6ff86a1e069fep-12, -0x1.64d1c04ca6f6p-12, -0x1.59fbdf3a1f987p-12, -0x1.4f74b2e55b1cep-12, -0x1.453a364594cc3p-12, -0x1.3b4a711f4f9dbp-12, -0x1.31a379ad542c8p-12, -0x1.2843772597ed1p-12, -0x1.1f28a129d2ee1p-12, -0x1.16513ad0940bbp-12, -0x1.0dbb8b9521de4p-12, -0x1.0565d9b68154dp-12, -0x1.fa9ccfaf30c28p-13, -0x1.eae6eb2acb836p-13, -0x1.dba68508ce53cp-13, -0x1.ccd82726c22a6p-13, -0x1.be7873afef5aep-13, -0x1.b0842f403cd64p-13, -0x1.a2f8413f4c4ecp-13, -0x1.95d1abf1f10afp-13, -0x1.890d870bf43b5p-13, -0x1.7ca907746da02p-13, -0x1.70a1925d6cecfp-13, -0x1.64f4cb71b2945p-13, -0x1.59a08cbd6bde7p-13, -0x1.4ea2c712cf63bp-13, -0x1.43f95d8a37a5cp-13, -0x1.39a2133d2d48bp-13, -0x1.2f9a9276b9882p-13, -0x1.25e0806826f3p-13, -0x1.1c718ba2afdb8p-13, -0x1.134b6f92df3bp-13, -0x1.0a6bf3bbae35ap-13, -0x1.01d0ed7a3206p-13, -0x1.f2f084e55a89ep-14, -0x1.e2bfc9ddd7624p-14, -0x1.d30b9348bea72p-14, -0x1.c3cfc48b7fcf8p-14, -0x1.b5085794985b9p-14, -0x1.a6b1a1877bf21p-14, -0x1.98c8918353f45p-14, -0x1.8b4aad11f9bc5p-14, -0x1.7e35bc6035e04p-14, -0x1.71875ec90bb8cp-14, -0x1.653cd5809e2a6p-14, -0x1.59531d16bfeb4p-14, -0x1.4dc72978379edp-14, -0x1.42960c4cf70c4p-14, -0x1.37bcf9b110403p-14, -0x1.2d394243e6badp-14, -0x1.230851b007a61p-14, -0x1.1927ac3d2fcf5p-14, -0x1.0f94e3a23ef98p-14, -0x1.064d84db99c32p-14, -0x1.fa9e0e16ab19fp-15, -0x1.e92d8de111ba8p-15, -0x1.d8443c2066318p-15, -0x1.c7dd36dd11bc8p-15, -0x1.b7f483f9a05a2p-15, -0x1.a8872776547d3p-15, -0x1.99929bbc37b01p-15, -0x1.8b1411dcc29aep-15, -0x1.7d0825a084dbep-15, -0x1.6f6b31236b072p-15, -0x1.6239bd1f78bfp-15, -0x1.55708d9068667p-15, -0x1.490c687c63985p-15, -0x1.3d0a03b8c3b94p-15, -0x1.316632aa83456p-15, -0x1.261e15236e613p-15, -0x1.1b2f13c5fc799p-15, -0x1.1096aca0927a2p-15, -0x1.065239297e5f8p-15, -0x1.f8bdb4801b4dp-16, -0x1.e5732849fb6c1p-16, -0x1.d2beff6777466p-16, -0x1.c09bee95e07afp-16, -0x1.af056b01fdd3fp-16, -0x1.9df7a321f8413p-16, -0x1.8d6f0674f3a6dp-16, -0x1.7d67a643e15c7p-16, -0x1.6ddd2abcb6d46p-16, -0x1.5ecb840c78f01p-16, -0x1.502f695848624p-16, -0x1.4205ec4ecad16p-16, -0x1.344bc16b0e418p-16, -0x1.26fd2a0e6c773p-16, -0x1.1a1660d8c140fp-16, -0x1.0d93f10b4dcf4p-16, -0x1.0172d64c3e607p-16, -0x1.eb60dfbdaada3p-17, -0x1.d4947dd5263d5p-17, -0x1.be7b2437a2b1cp-17, -0x1.a90ecdca70d4p-17, -0x1.94494965c54ddp-17, -0x1.8025093e0b1d4p-17, -0x1.6c9d8a825ddb8p-17, -0x1.59aee792aff9dp-17, -0x1.4754ed48df22dp-17, -0x1.358a7abb75619p-17, -0x1.2449bb37727acp-17, -0x1.138d27c4e616ep-17, -0x1.0350a65470c69p-17, -0x1.e7235603165dap-18, -0x1.c89bb7bb25bb8p-18, -0x1.ab03a2cb581a7p-18, -0x1.8e52e8ffdd836p-18, -0x1.7281ea3d69f39p-18, -0x1.5789dfd1c0049p-18, -0x1.3d645e1f8b7b4p-18, -0x1.240b6614b82bep-18, -0x1.0b79778cdde07p-18, -0x1.e752938518p-19, -0x1.b92ae434b97cdp-19, -0x1.8c70748714a1dp-19, -0x1.6117b2341eea7p-19, -0x1.371634d624e31p-19, -0x1.0e63f051c77fp-19, -0x1.cdf5313a2aa77p-20, -0x1.81a620abff0d9p-20, -0x1.37c62214049b1p-20, -0x1.e074d437310b4p-21, -0x1.55d21dee228cdp-21, -0x1.9f04fffc5fdb4p-22, -0x1.35cbd7581e963p-23, 0x1.83740d0f8e72dp-24, 0x1.5477323d8c8d6p-22, 0x1.2015e3e7da948p-21, 0x1.921c619942b5fp-21, 0x1.0033520939b5bp-20, 0x1.3585c928dc1ddp-20, 0x1.69114977bc7b6p-20, 0x1.9ae10878c49b5p-20, 0x1.cb002ba90e555p-20, 0x1.f979fe4fb4122p-20, 0x1.132ccde0b3efp-19, 0x1.28d4cdc534b21p-19, 0x1.3db9ffec70f94p-19, 0x1.51e10e7c645edp-19, 0x1.654e1e54f6b13p-19, 0x1.7804c56a9174dp-19, 0x1.8a089acab9cf4p-19, 0x1.9b5e032f164a5p-19, 0x1.ac0a2bae92b41p-19, 0x1.bc1294397f20bp-19, 0x1.cb7bfe96c98b1p-19, 0x1.da491f943bb76p-19, 0x1.e87d28a68ed35p-19, 0x1.f61c1108e523ep-19, 0x1.01946e075ae94p-18, 0x1.07d3c6b47d842p-18, 0x1.0dcdaac41ba5fp-18, 0x1.1383599bb3b35p-18, 0x1.18f650fc5956p-18, 0x1.1e27f75f88612p-18, 0x1.2319a20170abp-18, 0x1.27ccb556946fep-18, 0x1.2c42a3dbfe4a1p-18, 0x1.307cdbf01d32ap-18, 0x1.347cb5f54a45bp-18, 0x1.38436d5367282p-18, 0x1.3bd226787c405p-18, 0x1.3f29fa72c6933p-18, 0x1.424bfec06b248p-18, 0x1.453946f9f2e7p-18, 0x1.47f2ef5bfdf5p-18, 0x1.4a7a2f8660e57p-18, 0x1.4cd02aba3f6acp-18, 0x1.4ef5c44f07611p-18, 0x1.50ec15545eaa7p-18, 0x1.52b423432f68p-18, 0x1.544edb3f20ae4p-18, 0x1.55bd4b47b4234p-18, 0x1.57005f11b472ap-18, 0x1.58193068e06ap-18, 0x1.59086cb885e02p-18, 0x1.59ced78e7542ap-18, 0x1.5a6d5b48d2efap-18, 0x1.5ae4c35ad7806p-18, 0x1.5b35d51207e37p-18, 0x1.5b615bf5d34bbp-18, 0x1.5b6828005f5c1p-18, 0x1.5b4b09101e18dp-18, 0x1.5b0ac9cf51941p-18, 0x1.5aa82ba83237ep-18, 0x1.5a23e639f1e35p-18, 0x1.597eab5594613p-18, 0x1.58b92cee3fc4p-18, 0x1.57d41fbb13f92p-18, 0x1.56d037657e399p-18, 0x1.55ae228807b7bp-18, 0x1.546e9236ac17bp-18, 0x1.531235cb8fe15p-18, 0x1.51999a3f9d2d9p-18, 0x1.5005611d39a01p-18, 0x1.4e565a5725793p-18, 0x1.4c8d1e154c06cp-18, 0x1.4aaa14a0921cbp-18, 0x1.48ae0b590f31cp-18, 0x1.4699c031a0ae7p-18, 0x1.446da26369fbfp-18, 0x1.422a3ba47b877p-18, 0x1.3fd0301cc4e9cp-18, 0x1.3d600f68ce0f4p-18, 0x1.3ada660e40136p-18, 0x1.383fc2262fe4fp-18, 0x1.3590b21f8c4dap-18, 0x1.32cdc3d2637d9p-18, 0x1.2ff783caa97b8p-18, 0x1.2d0e7c74aa3bbp-18, 0x1.2a1335475aabap-18, 0x1.270632a9faea3p-18, 0x1.23e7f746359c3p-18, 0x1.20b906033b75fp-18, 0x1.1d79e26fa420dp-18, 0x1.1a2b0ebcb7392p-18, 0x1.16cd08efc1b43p-18, 0x1.13604af68fa21p-18, 0x1.0fe55010d3e9p-18, 0x1.0c5c9537fb6efp-18, 0x1.08c68e28a2a63p-18, 0x1.0523be04ec902p-18, 0x1.01749f91097d6p-18, 0x1.fb732a502838cp-19, 0x1.f3e6318f57b63p-19, 0x1.ec4349f9726ebp-19, 0x1.e48b6ab898485p-19, 0x1.dcbf4eb933fb9p-19, 0x1.d4dfdfc9ce676p-19, 0x1.ccedfe1d76fefp-19, 0x1.c4ea7e36efe9ep-19, 0x1.bcd634fdbbe56p-19, 0x1.b4b1f66a512f5p-19, 0x1.ac7e947ea14fap-19, 0x1.a43cdeef3e6d3p-19, 0x1.9beda2fbfec58p-19, 0x1.9391ab4537f44p-19, 0x1.8b29bf7e8661fp-19, 0x1.82b6a425d3531p-19, 0x1.7a391ae9528b8p-19, 0x1.71b1e3d335c5ap-19, 0x1.6921be04b8693p-19, 0x1.608966d99f5a7p-19, 0x1.57e9981a4a652p-19, 0x1.4f43063040567p-19, 0x1.46966076fd482p-19, 0x1.3de4579ff86c4p-19, 0x1.352da13b3867cp-19, 0x1.2c72e822248c2p-19, 0x1.23b4dcdf54069p-19, 0x1.1af41d6dd2fefp-19, 0x1.12314e3b361f1p-19, 0x1.096d19fd5d528p-19, 0x1.00a81e196e56bp-19, 0x1.efc5f29e092b2p-20, 0x1.de3c8a01b8121p-20, 0x1.ccb536a1887d3p-20, 0x1.bb312a53f8e6dp-20, 0x1.a9b1897501eadp-20, 0x1.98377696b600dp-20, 0x1.86c4108359685p-20, 0x1.75587167c965bp-20, 0x1.63f5aea22bc4ap-20, 0x1.529cd8aba5096p-20, 0x1.414efb14022cep-20, 0x1.300d1c87e7935p-20, 0x1.1ed83eaf2a6a8p-20, 0x1.0db15e0adf18bp-20, 0x1.f932e471e47acp-21, 0x1.d722dd539ea56p-21, 0x1.b53485ee9b1e6p-21, 0x1.9369b4b71e561p-21, 0x1.71c435a7a209ap-21, 0x1.5045c7e49fb2dp-21, 0x1.2ef01bff1488bp-21, 0x1.0dc4dbdc4ee86p-21, 0x1.d98b6b3b63fbcp-22, 0x1.97e8991c5442fp-22, 0x1.56a453531607p-22, 0x1.15c1a87c13afcp-22, 0x1.aa87479b1a735p-23, 0x1.2a5a4ff303c47p-23, 0x1.560455b85b61ep-24, 0x1.64244c3bc2f92p-26, -0x1.44652c25bad02p-25, -0x1.9ba43229347dep-24, -0x1.49a08ce623bb3p-23, -0x1.c47fa5aed2ea1p-23, -0x1.1f35474ffe2d9p-22, -0x1.5bae4512aedecp-22, -0x1.97a87daf3cf5p-22, -0x1.d321b3beb7a8cp-22, -0x1.070bdd70530eap-21, -0x1.24443bde21688p-21, -0x1.4138eff385ba5p-21, -0x1.5de8fcddc3893p-21, -0x1.7a536e1e5133p-21, -0x1.967757922932dp-21, -0x1.b253d55efc72fp-21, -0x1.cde80b9244aa1p-21, -0x1.e93325b4bc199p-21, -0x1.021a2b6a696f2p-20, -0x1.0f756ce682faap-20, -0x1.1caaf8c214224p-20, -0x1.29ba74e7333d7p-20, -0x1.36a38bef0ea49p-20, -0x1.4365eb435923ap-20, -0x1.500141da7d3a9p-20, -0x1.5c75429ab87dep-20, -0x1.68c1aa282db55p-20, -0x1.74e631a5550ap-20, -0x1.80e296dbba19cp-20, -0x1.8cb69ebe56501p-20, -0x1.98621000e158dp-20, -0x1.a3e4b3b9be6b5p-20, -0x1.af3e5567cf047p-20, -0x1.ba6ec72a6604cp-20, -0x1.c575dee15fb47p-20, -0x1.d05370051fcccp-20, -0x1.db0756007c7b3p-20, -0x1.e5916ebe4b4bcp-20, -0x1.eff19adef69eep-20, -0x1.fa27be187b079p-20, -0x1.0219df95d5f11p-19, -0x1.070ac3eeeb203p-19, -0x1.0be682765414fp-19, -0x1.10ad130271565p-19, -0x1.155e6edb2e64dp-19, -0x1.19fa90b55ac25p-19, -0x1.1e8174ade7e2cp-19, -0x1.22f318438653ep-19, -0x1.274f7a4bc1fa1p-19, -0x1.2b969ae4978fap-19, -0x1.2fc87b72d2b5cp-19, -0x1.33e51ea4a0d9bp-19, -0x1.37ec886cabfa9p-19, -0x1.3bdebe0349e1cp-19, -0x1.3fbbc5fd0278ep-19, -0x1.4383a8268d072p-19, -0x1.47366d3290633p-19, -0x1.4ad41eb9ba95dp-19, -0x1.4e5cc80408f27p-19, -0x1.51d075fd840f2p-19, -0x1.552f34e2a833ep-19, -0x1.5879135dc7dfap-19, -0x1.5bae20eb9bc0dp-19, -0x1.5ece6e0e73f82p-19, -0x1.61da0c327a194p-19, -0x1.64d10d990e7b2p-19, -0x1.67b3855b59622p-19, -0x1.6a81881272c8ep-19, -0x1.6d3b2b3746494p-19, -0x1.6fe08440f251ep-19, -0x1.7271aa661d6f3p-19, -0x1.74eeb57dd65c1p-19, -0x1.7757be2a7fecdp-19, -0x1.79acdddc366a6p-19, -0x1.7bee2ed13b5e2p-19, -0x1.7e1bcc0b7461ap-19, -0x1.8035d14d41c4cp-19, -0x1.823c5b152ce6ep-19, -0x1.842f869820708p-19, -0x1.860f71bc3828fp-19, -0x1.87dc3b15269fep-19, -0x1.899601dec34b9p-19, -0x1.8b3ce5f69de48p-19, -0x1.8cd107d502ca6p-19, -0x1.8e528888ab183p-19, -0x1.8fc189b51b486p-19, -0x1.911e2d8eb266dp-19, -0x1.926896d8d0ca5p-19, -0x1.93a0e8e639808p-19, -0x1.94c747945c59bp-19, -0x1.95dbd72c732bcp-19, -0x1.96debc6166419p-19, -0x1.97d01c496aaap-19, -0x1.98b01cdc9889ap-19, -0x1.997ee3e0b9e2bp-19, -0x1.9a3c97d0cac8dp-19, -0x1.9ae95f95b86e3p-19, -0x1.9b85626995ef9p-19, -0x1.9c10c7e79a5a9p-19, -0x1.9c8bb8062bf03p-19, -0x1.9cf65b064c3dep-19, -0x1.9d50d973f9893p-19, -0x1.9d9b5c1ed53e6p-19, -0x1.9dd60c441adcdp-19, -0x1.9e01135650691p-19, -0x1.9e1c9ade6a9b4p-19, -0x1.9e28ccd277b1cp-19, -0x1.9e25d3526cb2cp-19, -0x1.9e13d8b27a3a2p-19, -0x1.9df3077943ea5p-19, -0x1.9dc38a5c0fe69p-19, -0x1.9d858c3b5972ep-19, -0x1.9d39381f2c3dep-19, -0x1.9cdeb934496c9p-19, -0x1.9c763ac87198bp-19, -0x1.9bffe848c6eaap-19, -0x1.9b7bed68749fcp-19, }}, 
      {{-0x1.1bb1f3b9d18dcp+1, -0x1.14948393a02d4p+1, -0x1.096ea575a095fp+1, -0x1.f615040680c7ap+0, -0x1.d4785ad949e8ep+0, -0x1.af9ce99eef726p+0, -0x1.88f034ade23f3p+0, -0x1.61ad1cba0ccabp+0, -0x1.3ad875b65c3b5p+0, -0x1.15422c7b9a4dp+0, -0x1.e3124d3d6d068p-1, -0x1.a0416a81b852p-1, -0x1.62ad035ac47a4p-1, -0x1.2ab19ae187d77p-1, -0x1.f0f023b8c1f2ap-2, -0x1.980099254cc35p-2, -0x1.4a54ba610ad45p-2, -0x1.077c923a7bf43p-2, -0x1.9dca7f07d9585p-3, -0x1.3fc791b08cd27p-3, -0x1.e6f7c4e2ae732p-4, -0x1.6ec56eefd3c3ap-4, -0x1.13e4edaad3b01p-4, -0x1.a6961ccec4f71p-5, -0x1.5404390731adfp-5, -0x1.2a67868bf520fp-5, -0x1.245ff5e059881p-5, -0x1.3ce3070c51a3ep-5, -0x1.6f40fedcc812cp-5, -0x1.b72713460d8dbp-5, -0x1.084faaf717935p-4, -0x1.3c0774ba92715p-4, -0x1.75197dd18d7b1p-4, -0x1.b20e70d66a616p-4, -0x1.f196d2a2c2ad6p-4, -0x1.19444de847e68p-3, -0x1.39ee5fc160b5cp-3, -0x1.5a565693bebb6p-3, -0x1.7a17edd695befp-3, -0x1.98dcb34c2ac72p-3, -0x1.b65ae1d55a921p-3, -0x1.d2544a33cb0d1p-3, -0x1.ec954b3b30bb6p-3, -0x1.0279ecd0913dep-2, -0x1.0da74bd2d7b0bp-2, -0x1.17c5fe06aa917p-2, -0x1.20ccc408e877fp-2, -0x1.28b585bd4cae4p-2, -0x1.2f7cfb2e1e918p-2, -0x1.35225bcaca8aap-2, -0x1.39a713bc51879p-2, -0x1.3d0e7ef520f56p-2, -0x1.3f5da99c729cfp-2, -0x1.409b159bf0d15p-2, -0x1.40ce84ea167a8p-2, -0x1.4000c85921c64p-2, -0x1.3e3b929df7922p-2, -0x1.3b894f4ea14f3p-2, -0x1.37f4fd986241cp-2, -0x1.338a0e72e3707p-2, -0x1.2e54461509dd7p-2, -0x1.285fa07856e28p-2, -0x1.21b838b5de978p-2, -0x1.1a6a330a6aa2ep-2, -0x1.1281a954b79d5p-2, -0x1.0a0a99dc263e8p-2, -0x1.0110d83d49bb8p-2, -0x1.ef4000a3d2032p-3, -0x1.db86d5ca29e39p-3, -0x1.c70c486f2d8cp-3, -0x1.b1e5c775bc3a4p-3, -0x1.9c280b7f55731p-3, -0x1.85e70b566a788p-3, -0x1.6f35f43855273p-3, -0x1.582723fd9166fp-3, -0x1.40cc22f56ff3cp-3, -0x1.2935a517b79cep-3, -0x1.1173841e32c75p-3, -0x1.f32986cfeeeafp-4, -0x1.c34f220846b17p-4, -0x1.937288e874313p-4, -0x1.63acd23ee4fep-4, -0x1.34157863c5e9bp-4, -0x1.04c2699528a58p-4, -0x1.ab90285b5f5f4p-5, -0x1.4e72d702149cdp-5, -0x1.e49fec93f9457p-6, -0x1.2e8fbb49b7fbfp-6, -0x1.ebc2358565a8bp-8, 0x1.b039932c98f57p-9, 0x1.c84bdb94f241dp-7, 0x1.8f3e9e8340ffcp-6, 0x1.1b9453681bc25p-5, 0x1.6ddfcb4d82c4dp-5, 0x1.be717b14da839p-5, 0x1.069d86859bdbap-4, 0x1.2d17fb8938eacp-4, 0x1.52a2b1514d20dp-4, 0x1.77390ab7c0a8ap-4, 0x1.9ad72d1f9acfp-4, 0x1.bd79f57afe595p-4, 0x1.df1eedc75b0e6p-4, 0x1.ffc4432c500bep-4, 0x1.0fb45e38717f4p-3, 0x1.1f05d86d886c4p-3, 0x1.2dd67fbb485b6p-3, 0x1.3c2683396330ap-3, 0x1.49f64d5c2d794p-3, 0x1.57467fde129efp-3, 0x1.6417efae59dccp-3, 0x1.706ba0fb1645dp-3, 0x1.7c42c362ea59cp-3, 0x1.879eae3c46e9ep-3, 0x1.9280dd01f545cp-3, 0x1.9ceaebf44c0f4p-3, 0x1.a6de94ddb67p-3, 0x1.b05dabfc92e78p-3, 0x1.b96a1d20d8edep-3, 0x1.c205e8f0ecc64p-3, 0x1.ca33224c53853p-3, 0x1.d1f3ebd7a88eap-3, 0x1.d94a75af9b712p-3, 0x1.e038fb36aadf1p-3, 0x1.e6c1c1016d24bp-3, 0x1.ece712e90cfe1p-3, 0x1.f2ab423c2c54bp-3, 0x1.f810a40a2a63p-3, 0x1.fd198f8ff8fccp-3, 0x1.00e42e639b888p-2, 0x1.030fb1889cc1dp-2, 0x1.05107bfe2c52p-2, 0x1.06e7b71424748p-2, 0x1.08968a23c295ap-2, 0x1.0a1e1a1b08103p-2, 0x1.0b7f8913bd46dp-2, 0x1.0cbbf5f6543a3p-2, 0x1.0dd47c26796c4p-2, 0x1.0eca333916cf2p-2, 0x1.0f9e2eb1a7642p-2, 0x1.10517dc759c45p-2, 0x1.10e52b33881e7p-2, 0x1.115a3d04f74dbp-2, 0x1.11b1b47822f72p-2, 0x1.11ec8dd837fc1p-2, 0x1.120bc0644948bp-2, 0x1.12103e3820397p-2, 0x1.11faf43c9c24ap-2, 0x1.11ccca1b6a305p-2, 0x1.1186a23519736p-2, 0x1.1129599e95c3fp-2, 0x1.10b5c821cfb89p-2, 0x1.102cc03e3134fp-2, 0x1.0f8f0f2f3f7f6p-2, 0x1.0edd7cf81ade1p-2, 0x1.0e18cc6d361fdp-2, 0x1.0d41bb40baebbp-2, 0x1.0c5902151572p-2, 0x1.0b5f548ea273fp-2, 0x1.0a5561642ba0ep-2, 0x1.093bd274c1065p-2, 0x1.08134cdf97b4dp-2, 0x1.06dc71184dafap-2, 0x1.0597dafcdb8cbp-2, 0x1.044621f08ac02p-2, 0x1.02e7d8f51e8c5p-2, 0x1.017d8ec0b0151p-2, 0x1.0007cdd70188bp-2, 0x1.fd0e394c0f71p-3, 0x1.f9f7fb3da767ep-3, 0x1.f6cdde989200fp-3, 0x1.f390d8db6f11fp-3, 0x1.f041d8258253ep-3, 0x1.ece1c3689d78bp-3, 0x1.e9717a96812b3p-3, 0x1.e5f1d6cc0f82p-3, 0x1.e263aa99517ccp-3, 0x1.dec7c21eca7b8p-3, 0x1.db1ee33f9a9ffp-3, 0x1.d769cdd1c9b5bp-3, 0x1.d3a93bd0070fap-3, 0x1.cfdde1848160ap-3, 0x1.cc086db2f364bp-3, 0x1.c82989c13ffacp-3, 0x1.c441d9e666e28p-3, 0x1.c051fd533f9fdp-3, 0x1.bc5a8e57872fap-3, 0x1.b85c2285ec033p-3, 0x1.b4574add8debfp-3, 0x1.b04c93edf6bc8p-3, 0x1.ac3c85f90f76dp-3, 0x1.a827a51314a99p-3, 0x1.a40e71454d21cp-3, 0x1.9ff166af32257p-3, 0x1.9bd0fda273c97p-3, 0x1.97adaabf65f32p-3, 0x1.9387df13647d8p-3, 0x1.8f6008354baa7p-3, 0x1.8b36905f960bdp-3, 0x1.870bde85caa2fp-3, 0x1.82e0566cab915p-3, 0x1.7eb458c5a7893p-3, 0x1.7a8843482116ap-3, 0x1.765c70c3136acp-3, 0x1.7231392de32a8p-3, 0x1.6e06f1bc444p-3, 0x1.69ddecf6d8412p-3, 0x1.65b67ad16c255p-3, 0x1.6190e8b969454p-3, 0x1.5d6d81a06b6e8p-3, 0x1.594c8e0a54a58p-3, 0x1.552e5423688ddp-3, 0x1.511317d61361p-3, 0x1.4cfb1ad86c8ddp-3, 0x1.48e69cb24ac03p-3, 0x1.44d5dac4e3bb3p-3, 0x1.40c9105b22e3fp-3, 0x1.3cc076bf7ac68p-3, 0x1.38bc454c454ddp-3, 0x1.34bcb1720e54p-3, 0x1.30c1eeb93573p-3, 0x1.2ccc2ec923703p-3, 0x1.28dba179a362p-3, 0x1.24f074e72be69p-3, 0x1.210ad57f72828p-3, 0x1.1d2aee03388b4p-3, 0x1.1950e78528007p-3, 0x1.157ce970503f8p-3, 0x1.11af1998c7534p-3, 0x1.0de79c4f076ddp-3, 0x1.0a26946b0649ep-3, 0x1.066c234c6bb39p-3, 0x1.02b868d75cdbfp-3, 0x1.fe1706f0bc9c1p-4, 0x1.f6cb2065aece3p-4, 0x1.ef8d556730a05p-4, 0x1.e85ddaba5f93bp-4, 0x1.e13ce2931bbc8p-4, 0x1.da2a9c8b9e792p-4, 0x1.d32735a40818cp-4, 0x1.cc32d8563333cp-4, 0x1.c54dacb7580c1p-4, 0x1.be77d895bc5fcp-4, 0x1.b7b17f848a8b9p-4, 0x1.b0fac2d6f07f4p-4, 0x1.aa53c1991f18cp-4, 0x1.a3bc9896ae371p-4, 0x1.9d35627278bbbp-4, 0x1.96be37c59a719p-4, 0x1.90572f3653207p-4, 0x1.8a005d7e67cf6p-4, 0x1.83b9d5657e461p-4, 0x1.7d83a7bcb3a1bp-4, 0x1.775de366da83cp-4, 0x1.7148956e9eebcp-4, 0x1.6b43c9218bfddp-4, 0x1.654f8823f0c59p-4, 0x1.5f6bda7771d95p-4, 0x1.5998c677cc957p-4, 0x1.53d650d7ad57dp-4, 0x1.4e247ca6b357bp-4, 0x1.48834b62cc6fp-4, 0x1.42f2bd0f23f7dp-4, 0x1.3d72d04785339p-4, 0x1.3803824a2c293p-4, 0x1.32a4cef88c42dp-4, 0x1.2d56b0d54468ap-4, 0x1.28192106b6eebp-4, 0x1.22ec17620af85p-4, 0x1.1dcf8a7ccd378p-4, 0x1.18c36fbf663e3p-4, 0x1.13c7bb7283416p-4, 0x1.0edc60c5301bep-4, 0x1.0a0151cdcf881p-4, 0x1.05367f8ad67b4p-4, 0x1.007bd9e7d54d7p-4, 0x1.f7a29f90b777cp-5, 0x1.ee6d9e2d84caep-5, 0x1.e55889a570ee3p-5, 0x1.dc633a3813327p-5, 0x1.d38d8670e6ac3p-5, 0x1.cad7432c3f4dbp-5, 0x1.c240439bdc7c4p-5, 0x1.b9c85950e58f5p-5, 0x1.b16f544d7abacp-5, 0x1.a935031bbacaap-5, 0x1.a11932e54e388p-5, 0x1.991baf86b7fb6p-5, 0x1.913c439c60e0bp-5, 0x1.897ab88a7ce41p-5, 0x1.81d6d68356a11p-5, 0x1.7a50648fae0dap-5, 0x1.72e7289b793bfp-5, 0x1.6b9ae786b1a4bp-5, 0x1.646b6537f3488p-5, 0x1.5d5864adc7efcp-5, 0x1.5661a80c91956p-5, 0x1.4f86f0a8b0c4fp-5, 0x1.48c7ff0e41216p-5, 0x1.42249308952f5p-5, 0x1.3b9c6bab4a428p-5, 0x1.352f475ddd207p-5, 0x1.2edce3e956d89p-5, 0x1.28a4fe869688fp-5, 0x1.228753eb89668p-5, 0x1.1c83a05633b1p-5, 0x1.16999f9588d09p-5, 0x1.10c90d10e5b73p-5, 0x1.0b11a3cf51e8cp-5, 0x1.05731e7f95608p-5, 0x1.ffda6f0348e97p-6, 0x1.f4ff51e278d9p-6, 0x1.ea545961bd75bp-6, 0x1.dfd8f8e8773cfp-6, 0x1.d58ca39285c93p-6, 0x1.cb6ecc3f63494p-6, 0x1.c17ee59f22d4ep-6, 0x1.b7bc623ebb50bp-6, 0x1.ae26b49516a64p-6, 0x1.a4bd4f11ac752p-6, 0x1.9b7fa42cb37f1p-6, 0x1.926d26783a977p-6, 0x1.898548b0ce2b8p-6, 0x1.80c77dcc46518p-6, 0x1.78333905df02cp-6, 0x1.6fc7ede852283p-6, 0x1.67851056ab253p-6, 0x1.5f6a149578acep-6, 0x1.57766f559dc4fp-6, 0x1.4fa995c126957p-6, 0x1.4802fd89a4797p-6, 0x1.40821cf6a4182p-6, 0x1.39266af28cc35p-6, 0x1.31ef5f143f5f1p-6, 0x1.2adc71a4c86cap-6, 0x1.23ed1ba20718cp-6, 0x1.1d20d6c05f68ep-6, 0x1.16771d6e5a64fp-6, 0x1.0fef6adcb601ep-6, 0x1.09893b0be7c0fp-6, 0x1.03440ade16197p-6, 0x1.fa3eb055080c6p-7, 0x1.ee35439c893fbp-7, 0x1.e26acf6bd030ap-7, 0x1.d6de55ba71c14p-7, 0x1.cb8eda88299ap-7, 0x1.c07b63b719b84p-7, 0x1.b5a2f8ec8818ap-7, 0x1.ab04a389cfa58p-7, 0x1.a09f6eba6234ap-7, 0x1.967267984f207p-7, 0x1.8c7c9d743e0a6p-7, 0x1.82bd223960ee6p-7, 0x1.79330abec6065p-7, 0x1.6fdd6ee5e1c1dp-7, 0x1.66bb6987c45ddp-7, 0x1.5dcc1830f4131p-7, 0x1.550e9ab1b73a9p-7, 0x1.4c82129e48774p-7, 0x1.4425a2e65537fp-7, 0x1.3bf86fa991b4dp-7, 0x1.33f99e62909b9p-7, 0x1.2c28566a81645p-7, 0x1.2483c1be49f1fp-7, 0x1.1d0b0dd722b09p-7, 0x1.15bd6c5c1973cp-7, 0x1.0e9a1374ddefap-7, 0x1.07a03d98f7452p-7, 0x1.00cf28d686a71p-7, 0x1.f44c2b62b89f8p-8, 0x1.e7488bb7fc1c1p-8, 0x1.da91f63dab6eep-8, 0x1.ce26ed7f55e54p-8, 0x1.c205f3445c104p-8, 0x1.b62d8a5ea379bp-8, 0x1.aa9c39bb6ce2ep-8, 0x1.9f50900e920b9p-8, 0x1.94492735e5244p-8, 0x1.8984a66f088ddp-8, 0x1.7f01c2aff0759p-8, 0x1.74bf3cda246eep-8, 0x1.6abbde05589p-8, 0x1.60f6729cbad0ep-8, 0x1.576dc5667fb63p-8, 0x1.4e209ba940bp-8, 0x1.450db3749c2bp-8, 0x1.3c33c49fe354bp-8, 0x1.33918473f3414p-8, 0x1.2b25ab5258ff3p-8, 0x1.22eefb293f817p-8, 0x1.1aec454415192p-8, 0x1.131c6e18ca219p-8, 0x1.0b7e6e1384764p-8, 0x1.04114f023e335p-8, 0x1.f9a84d000b2acp-9, 0x1.eb8c1ce79afe5p-9, 0x1.ddcc3a6bce0e2p-9, 0x1.d066be2d27c9ap-9, 0x1.c359a58041dbp-9, 0x1.b6a2d2a85821fp-9, 0x1.aa4014a2fcddbp-9, 0x1.9e2f34fb24918p-9, 0x1.926e08d2c9297p-9, 0x1.86fa81af254f2p-9, 0x1.7bd2baa0a0aa3p-9, 0x1.70f4ff1181456p-9, 0x1.665fc9b79a5ecp-9, 0x1.5c11bba7a88efp-9, 0x1.52098d2434339p-9, 0x1.4845fb219b442p-9, 0x1.3ec5b54a4d71dp-9, 0x1.358750454dbep-9, 0x1.2c893f0c032d3p-9, 0x1.23c9d4792106cp-9, 0x1.1b474c5fafca5p-9, 0x1.12ffd9f57bae2p-9, 0x1.0af1b887678fp-9, 0x1.031b3b53ed6eap-9, 0x1.f6f5b3abe9afcp-10, 0x1.e81e6d0c66134p-10, 0x1.d9ae3e1426802p-10, 0x1.cba30bc11a0d3p-10, 0x1.bdfaed98b77f3p-10, 0x1.b0b41090fe246p-10, 0x1.a3cc99e254741p-10, 0x1.97428f81386d1p-10, 0x1.8b13ca7f7d841p-10, 0x1.7f3df518a7a7ep-10, 0x1.73be9381413acp-10, 0x1.6893148c0e9adp-10, 0x1.5db8e63f3d895p-10, 0x1.532d8a53dbc1p-10, 0x1.48eea6e8f175ep-10, 0x1.3efa1056e264ap-10, 0x1.354dca63aba4dp-10, 0x1.2be80156a287ap-10, 0x1.22c6fdff58ccbp-10, 0x1.19e91963c14edp-10, 0x1.114cb44fd4f9p-10, 0x1.08f0346fb059dp-10, 0x1.00d20559a4a4p-10, 0x1.f1e133dfbe6a6p-11, 0x1.e294d63e79a96p-11, 0x1.d3bbe7dde4953p-11, 0x1.c5535c51d526p-11, 0x1.b75827de4565p-11, 0x1.a9c74f96f6b9ap-11, 0x1.9c9dfed704ca1p-11, 0x1.8fd99243a46a7p-11, 0x1.83778a63d9d04p-11, 0x1.777564919358ep-11, 0x1.6bd069a6629adp-11, 0x1.60858c2af0433p-11, 0x1.55916d29f12cfp-11, 0x1.4af08ec9c843p-11, 0x1.409fa51c41d34p-11, 0x1.369be32c3b261p-11, 0x1.2ce31f579bb5dp-11, 0x1.2373bbb5159fep-11, 0x1.1a4c5f6d63a47p-11, 0x1.116baa815d887p-11, 0x1.08d0116f4d6c8p-11, 0x1.0077f27c1d1c5p-11, 0x1.f0c39927cdb59p-12, 0x1.e118cdb9b8fddp-12, 0x1.d1ed850725f5fp-12, 0x1.c33fa811b2b5dp-12, 0x1.b50c47fcb46f2p-12, 0x1.a74f0a3cbd3e3p-12, 0x1.9a020a33fc159p-12, 0x1.8d1e4f070c6bbp-12, 0x1.809cbfac0048fp-12, 0x1.74774a34f145ep-12, 0x1.68a9caa99018ep-12, 0x1.5d323f767ccecp-12, 0x1.5210223b712ffp-12, 0x1.474338eb04113p-12, 0x1.3cca91c08b926p-12, 0x1.32a443a668898p-12, 0x1.28cdfe2c9bc3fp-12, 0x1.1f45e20d24f54p-12, 0x1.160afad0d68cdp-12, 0x1.0d1d098c6e1a4p-12, 0x1.047bc88c41081p-12, 0x1.f84c2e7f75c77p-13, 0x1.e832ef0793a4bp-13, 0x1.d8a4069a90acep-13, 0x1.c99582d3712f1p-13, 0x1.bafc724b0af4ap-13, 0x1.acce7c137692cp-13, 0x1.9f03b5d9010c3p-13, 0x1.9197fba909c12p-13, 0x1.848ad2c5eb3fcp-13, 0x1.77dd9b3d7e0b1p-13, 0x1.6b91197638f8ap-13, 0x1.5fa3f9ba07283p-13, 0x1.54132325d54fdp-13, 0x1.48db3d55390c7p-13, 0x1.3dfa1e3c65845p-13, 0x1.336f3c3cfff42p-13, 0x1.293af495a6d94p-13, 0x1.1f5d1c3727c9ep-13, 0x1.15d3dc38c141bp-13, 0x1.0c9ba88d621a1p-13, 0x1.03b0134827587p-13, 0x1.f6190fe6b0075p-14, 0x1.e558c7d15a84bp-14, 0x1.d5158fb66b47fp-14, 0x1.c545b3462004ep-14, 0x1.b5e144d9020f5p-14, 0x1.a6e3c0511e7e5p-14, 0x1.984c039b0ca93p-14, 0x1.8a1a964e94eb2p-14, 0x1.7c4fa2d7737e1p-14, 0x1.6ee9d68de1acdp-14, 0x1.61e664ca22789p-14, 0x1.55420469890bdp-14, 0x1.48fa8dadee66ep-14, 0x1.3d0fbfe969ffep-14, 0x1.3181ab563df16p-14, 0x1.264e2623fab06p-14, 0x1.1b7054f9630c4p-14, 0x1.10e28eadb32p-14, 0x1.06a05794a3052p-14, 0x1.f94e0f542737cp-15, 0x1.e5ea907cbb7e4p-15, 0x1.d313ffe662b91p-15, 0x1.c0c66b3539faap-15, 0x1.aefae35e31cdfp-15, 0x1.9da7e3ddb1bap-15, 0x1.8cc348aa2f0cep-15, 0x1.7c455775dcb46p-15, 0x1.6c2bc54d86101p-15, 0x1.5c79953a71c73p-15, 0x1.4d31ce93c0a3ap-15, 0x1.3e527485ba9e2p-15, 0x1.2fd6be54ae442p-15, 0x1.21bcf135c6642p-15, 0x1.14061d260a253p-15, 0x1.06b045040b7a9p-15, 0x1.f3693289b3644p-16, 0x1.da16fba34c862p-16, 0x1.c15fbe03e6a85p-16, 0x1.a93e60e3af772p-16, 0x1.91b0789f5899fp-16, 0x1.7ab56b6c773e3p-16, 0x1.644ec85141fd1p-16, 0x1.4e7f826c8e09ep-16, 0x1.3948e146d6dc8p-16, 0x1.24a5ef3f40037p-16, 0x1.1088f89a94a56p-16, 0x1.f9c01dacf5f06p-17, 0x1.d33e2c250ab8p-17, 0x1.ad8d761cc1f03p-17, 0x1.88bfeb4b15a81p-17, 0x1.64dc5a4980aebp-17, 0x1.41d7048115b35p-17, 0x1.1fa7ab8d7f8bep-17, 0x1.fca78423911b3p-18, 0x1.bbb768bd4b9e8p-18, 0x1.7c5f95f1f1ac4p-18, 0x1.3e7ba1a6c3574p-18, 0x1.01f86011a5148p-18, 0x1.8da0755e11bbfp-19, 0x1.1a01ec2413a9cp-19, 0x1.5219efa2b5f74p-20, 0x1.d5b3a355f9f9ap-22, -0x1.88429fe02e6ccp-22, -0x1.3456341b389d8p-20, -0x1.00a4bf0c9b5e3p-19, -0x1.646b174e11e1ep-19, -0x1.c58c1c67fab6ap-19, -0x1.1220e6aca1d54p-18, -0x1.4066c1d6c528dp-18, -0x1.6d9f3ff570b9fp-18, -0x1.99c941ae325e8p-18, -0x1.c4e5d8d306612p-18, -0x1.eef1c1510b0ap-18, -0x1.0bf82f3236529p-17, -0x1.1ff17a6d89b1ep-17, -0x1.3361a723b9f17p-17, -0x1.464ea028b2795p-17, -0x1.58c1f926f34ebp-17, -0x1.6abffa07104dep-17, -0x1.7c49421e1dc46p-17, -0x1.8d5e01d4cf454p-17, -0x1.9dff0540200c3p-17, -0x1.ae2dac0ed7849p-17, -0x1.bdebb2ec4a978p-17, -0x1.cd3ae325be9cfp-17, -0x1.dc1c9a640861ap-17, -0x1.ea91858f8a04cp-17, -0x1.f899f63343aa6p-17, -0x1.031afa8b01e3p-16, -0x1.09b2a68cb3791p-16, -0x1.101600e4893e8p-16, -0x1.164814bd40f4p-16, -0x1.1c47272c66d11p-16, -0x1.221580e0b59b4p-16, -0x1.27b70ca140b13p-16, -0x1.2d2803fc484bep-16, -0x1.32698a50500cp-16, -0x1.377c0b6ed1b3fp-16, -0x1.3c5efabd59b1fp-16, -0x1.4114bf322fc2bp-16, -0x1.459ebac9be496p-16, -0x1.49fd1a560a8d3p-16, -0x1.4e2ffb9a0f1d3p-16, -0x1.5237b61df0236p-16, -0x1.5614c4be9ccf8p-16, -0x1.59c7abb22dd59p-16, -0x1.5d50edad8f949p-16, -0x1.60b10d19ab444p-16, -0x1.63e88f90c182ep-16, -0x1.66f7faa780313p-16, -0x1.69dfce1dc5935p-16, -0x1.6ca093bde17a9p-16, -0x1.6f3ad64431a5fp-16, -0x1.71ae64bb9e57dp-16, -0x1.73fae56d3b623p-16, -0x1.7622792feb23cp-16, -0x1.7825795c474a7p-16, -0x1.7a03cb4b8b50ep-16, -0x1.7bbea3092d88ap-16, -0x1.7d55c20448f71p-16, -0x1.7ecaf21e1e837p-16, -0x1.801d5054c9c1ep-16, -0x1.814d0025f5ec1p-16, -0x1.825b7348b7cacp-16, -0x1.83491e9a2dfb8p-16, -0x1.841636ac6b2dcp-16, -0x1.84c30f503c682p-16, -0x1.85501412de80ep-16, -0x1.85bdb97f726d7p-16, -0x1.860c74f3d30e2p-16, -0x1.863cb8c349136p-16, -0x1.864ef3c7193a4p-16, -0x1.864394477cf87p-16, -0x1.861b0c399ac5cp-16, -0x1.85d5d263dbaf7p-16, -0x1.85745d8e9f007p-16, -0x1.84f723cf21d75p-16, -0x1.845eaadfe24c6p-16, -0x1.83ab59cf8dde7p-16, -0x1.82dce617df7d7p-16, -0x1.81f3df63831d2p-16, -0x1.80f2120ea8d75p-16, -0x1.7fd788879402p-16, -0x1.7ea2c64a1620dp-16, -0x1.7d55a0c637324p-16, -0x1.7bf1a8d8257e3p-16, -0x1.7a760d28b5b1cp-16, -0x1.78e2f1bb81788p-16, -0x1.7739620bb13cp-16, -0x1.7579c1fbd530ap-16, -0x1.73a461c14f567p-16, -0x1.71b9a4db0449bp-16, -0x1.6fb9f7690da5dp-16, -0x1.6da5c7d4faa88p-16, -0x1.6b7d84a84f424p-16, -0x1.69419b90225dfp-16, -0x1.66f2789df2857p-16, -0x1.6490861f3052cp-16, -0x1.621c2dc63a678p-16, -0x1.5f95dac039766p-16, -0x1.5cfdfaab8609cp-16, -0x1.5a54fb836acf4p-16, -0x1.579b4722a7caap-16, -0x1.54d144799c099p-16, -0x1.51f7674a1df56p-16, -0x1.4f0e16ecacdffp-16, -0x1.4c154aa03626p-16, -0x1.490de39ee278ap-16, -0x1.45f8af8cffbe8p-16, -0x1.42d53bad08948p-16, -0x1.3fa40e9af9dabp-16, -0x1.3c65ccf702be8p-16, -0x1.391b534b2bfa3p-16, -0x1.35c4331766bfdp-16, -0x1.326120a519c8dp-16, -0x1.2ef2a1184fac3p-16, -0x1.2b78ff15272f5p-16, -0x1.27f493e5b039ep-16, -0x1.2465bf7577b6ap-16, -0x1.20cce26b61376p-16, -0x1.1d2a5ccf3acbp-16, -0x1.197e8dcf95e44p-16, -0x1.15c9d3a9f0cb3p-16, -0x1.120c8b6ff8313p-16, -0x1.0e4710c6bdb25p-16, -0x1.0a79be2085949p-16, -0x1.06a4edb1e622ep-16, -0x1.02c8fa55d8576p-16, -0x1.fdcc7e80c411cp-17, -0x1.f5fa2c6175dddp-17, -0x1.ee1ba7e7c5e4bp-17, -0x1.e631903191a29p-17, -0x1.de3c9b1da6ed5p-17, -0x1.d63d9f7bc9eaap-17, -0x1.ce34caccfbed3p-17, -0x1.c623434224136p-17, -0x1.be093c6d435fbp-17, -0x1.b5e777223bb2bp-17, -0x1.adbf119d054cep-17, -0x1.a590322d7c74fp-17, -0x1.9d5b7dcf9a53bp-17, -0x1.952170349a189p-17, -0x1.8ce2c289cd0c7p-17, -0x1.84a0407a6cf07p-17, -0x1.7c5a55b7219cbp-17, -0x1.74118ac4b9523p-17, -0x1.6bc67018634bdp-17, -0x1.637994fcdefb7p-17, -0x1.5b2b865d17c61p-17, -0x1.52dccec948c92p-17, -0x1.4a8df6932bb13p-17, -0x1.423f83d21cfbap-17, -0x1.39f1fa324c2abp-17, -0x1.31a5dabb537b1p-17, -0x1.295ba41e49a44p-17, -0x1.2113d3bfa1495p-17, -0x1.18cee67ccbeccp-17, -0x1.108d5848bde6dp-17, -0x1.084fa2ca6dfc9p-17, -0x1.0016395b44121p-17, -0x1.efc308ad8b382p-18, -0x1.df63df1843eabp-18, -0x1.cf101dac08418p-18, -0x1.bec8c3c85b9dbp-18, -0x1.ae8deed47a88fp-18, -0x1.9e60636e51d2dp-18, -0x1.8e41a727def24p-18, -0x1.7e325c737b52bp-18, -0x1.6e333be2f74dp-18, -0x1.5e455312032cfp-18, -0x1.4e68b2bc05822p-18, -0x1.3e9dd20bc0e42p-18, -0x1.2ee638aeb300bp-18, -0x1.1f428a1d5fb4ep-18, -0x1.0fb33a1756e67p-18, -0x1.0038ecd53f3fap-18, -0x1.e1a8936c0b06cp-19, -0x1.c30be6c28e026p-19, -0x1.a49d0f8653739p-19, -0x1.865d40d4282e8p-19, -0x1.684da57db3c91p-19, -0x1.4a6f60445671p-19, -0x1.2cc38bceec549p-19, -0x1.0f4b3a4c4c1abp-19, -0x1.e40eeb01460d1p-20, -0x1.a9f2804578bedp-20, -0x1.70432f20f1a76p-20, -0x1.3702e7b10cf45p-20, -0x1.fc671b751040fp-21, -0x1.8bade97695daep-21, -0x1.1bdd98559de4dp-21, -0x1.59f244631e867p-22, -0x1.f81da4786986p-24, 0x1.6ff14d0dc2062p-24, 0x1.340f8194351d9p-22, 0x1.051d3dc35496dp-21, 0x1.6f37b4dd513d8p-21, 0x1.d851bc17167d8p-21, 0x1.20358bf66e4d1p-20, 0x1.53c0d811f1581p-20, 0x1.86c950c453d16p-20, 0x1.b94ce2b1ad611p-20, 0x1.eb4ba1db62ffap-20, 0x1.0e62ff58fcaf2p-19, 0x1.26dc12b079223p-19, 0x1.3f10faacb48eap-19, 0x1.57016b4e3c927p-19, 0x1.6eacf4b4435d5p-19, 0x1.86132c3a8f893p-19, 0x1.9d33aea1139f5p-19, 0x1.b40e1f369303cp-19, 0x1.caa227602f13p-19, 0x1.e0ef765ae1b2ap-19, 0x1.f6f5c1174a22fp-19, 0x1.065a6114beb2ap-18, 0x1.11161cea46479p-18, 0x1.1badf6ff91adfp-18, 0x1.2621d4e03fd6bp-18, 0x1.30719e650422ep-18, 0x1.3a9d3db1e7585p-18, 0x1.44a49f52634d7p-18, 0x1.4e87b2272909ap-18, 0x1.5846681f3d4d8p-18, 0x1.61e0b87b0eae4p-18, 0x1.6b569d83cf0bp-18, 0x1.74a80d02567d6p-18, 0x1.7dd4e71d34cccp-18, 0x1.86dd3d11b1595p-18, 0x1.8fc15605fef1p-18, 0x1.9880ca8ab1e33p-18, 0x1.a11bc08eeb706p-18, 0x1.a9924642a0596p-18, 0x1.b1e46510d60bbp-18, 0x1.ba12277f9f5c4p-18, 0x1.c21b968f539abp-18, 0x1.ca00ad28761cdp-18, 0x1.d1c1966c3e3eap-18, 0x1.d95e7c77e6113p-18, 0x1.e0d73b2101bap-18, 0x1.e82bfebb0ab44p-18, 0x1.ef5ce150a4e73p-18, 0x1.f669fb3e726adp-18, 0x1.fd5366dfe28fbp-18, 0x1.020ca03414e52p-17, 0x1.055dd2dcf93cap-17, 0x1.089d5b283b6f1p-17, 0x1.0bcb4998b8b3dp-17, 0x1.0ee7af70fa058p-17, 0x1.11f29eaed718bp-17, 0x1.14ec2a0917a22p-17, 0x1.17d464ebb3197p-17, 0x1.1aab636e48222p-17, 0x1.1d713a48d0023p-17, 0x1.2025fed22104p-17, 0x1.22c9c7006f03cp-17, 0x1.255ca9613a684p-17, 0x1.27debd192025ap-17, 0x1.2a501a15d0d3ap-17, 0x1.2cb0d909ed499p-17, 0x1.2f0112cdb7766p-17, 0x1.3140dfc2fbd88p-17, 0x1.337055e8f8c9ap-17, 0x1.358f9c272e4bcp-17, 0x1.379ec31878108p-17, 0x1.399de6c473da7p-17, 0x1.3b8d24c5f738fp-17, 0x1.3d6c99358b066p-17, 0x1.3f3c60b0bd179p-17, 0x1.40fc98670f479p-17, 0x1.42ad5dc7663c7p-17, 0x1.444ece7409036p-17, 0x1.45e10700b6f49p-17, 0x1.4764287eb5dd7p-17, 0x1.48d852d1618fbp-17, 0x1.4a3da160e4c31p-17, 0x1.4b94357ba89c9p-17, 0x1.4cdc2ef8b3a73p-17, 0x1.4e15add989861p-17, 0x1.4f40d26d24f99p-17, 0x1.505dbd47c5fcep-17, 0x1.516c8f3d3f78ep-17, 0x1.526d695d2da89p-17, 0x1.53606cef7c54ep-17, 0x1.5445bb71a3834p-17, 0x1.551d7692e4c54p-17, 0x1.55e7c024c5f72p-17, }}, 
      {{-0x1.1d5427c5d5d19p+1, -0x1.1ae93a9b3d57bp+1, -0x1.17093fc3df06bp+1, -0x1.11e292d8d0288p+1, -0x1.0ba8792c365a6p+1, -0x1.048ee422da1d7p+1, -0x1.f98f7c6057444p+0, -0x1.e9028ca698862p+0, -0x1.d7ca4d8afbe58p+0, -0x1.c6301a830ec1dp+0, -0x1.b47337e74e956p+0, -0x1.a2c92ad9a1bfp+0, -0x1.915e5bb4487efp+0, -0x1.8056e31567274p+0, -0x1.6fcf6adaffc93p+0, -0x1.5fde11f259392p+0, -0x1.509348ccf638cp+0, -0x1.41fa9f50abf7ep+0, -0x1.341b81386289fp+0, -0x1.26f9e009a9e8ep+0, -0x1.1a96cab867f33p+0, -0x1.0ef0f3894a3d9p+0, -0x1.04052514fe3a1p+0, -0x1.f39d4f2cb863ep-1, -0x1.e08f2fbd65569p-1, -0x1.ced262b879383p-1, -0x1.be58193fd8381p-1, -0x1.af10a7637667bp-1, -0x1.a0ebdb12367c8p-1, -0x1.93d9438b2fb1ep-1, -0x1.87c86b871005bp-1, -0x1.7ca907f8af2dep-1, -0x1.726b1d227ea21p-1, -0x1.68ff1b76c9083p-1, -0x1.6055f5a82591dp-1, -0x1.586130e54a4b8p-1, -0x1.5112f07302dd3p-1, -0x1.4a5dfd477cc6dp-1, -0x1.4435ca790767cp-1, -0x1.3e8e77104ca4ap-1, -0x1.395ccdcaa298dp-1, -0x1.34964327beb03p-1, -0x1.3030f230ddfbfp-1, -0x1.2c239834f6bebp-1, -0x1.28658fc678f71p-1, -0x1.24eecb20c5886p-1, -0x1.21b7ce2ba287fp-1, -0x1.1eb9a832721c5p-1, -0x1.1beded7b4cc0dp-1, -0x1.194eb0c40b41ep-1, -0x1.16d67cc289946p-1, -0x1.14804db5d5178p-1, -0x1.12478b093824fp-1, -0x1.10280126455e8p-1, -0x1.0e1ddb678da52p-1, -0x1.0c259e3fd727bp-1, -0x1.0a3c2193cccdcp-1, -0x1.085e8b4a8c8dfp-1, -0x1.068a4a1681f2dp-1, -0x1.04bd1078e86e1p-1, -0x1.02f4cffe1e03bp-1, -0x1.012fb4b50a65cp-1, -0x1.fed841bf7d465p-2, -0x1.fb5151ba3e76ep-2, -0x1.f7c81e95a398ep-2, -0x1.f43a82bce9876p-2, -0x1.f0a6a6e832025p-2, -0x1.ed0afb9cdeeecp-2, -0x1.e966331359e53p-2, -0x1.e5b73b7acf593p-2, -0x1.e1fd399e698bdp-2, -0x1.de3783e5f0a92p-2, -0x1.da659dabca1c1p-2, -0x1.d68732ddae8c9p-2, -0x1.d29c13e7fa61ap-2, -0x1.cea431e702f1ap-2, -0x1.ca9f9b29df46p-2, -0x1.c68e77f81d76bp-2, -0x1.c271079f2b448p-2, -0x1.be479db4bcea3p-2, -0x1.ba129f81bbccbp-2, -0x1.b5d2819d83289p-2, -0x1.b187c5bd51876p-2, -0x1.ad32f8b4f7735p-2, -0x1.a8d4b0b50dc4fp-2, -0x1.a46d8bb1f86c6p-2, -0x1.9ffe2deeaa716p-2, -0x1.9b8740a061a14p-2, -0x1.970970a6821c9p-2, -0x1.92856d5c94336p-2, -0x1.8dfbe788be37bp-2, -0x1.896d906d7096fp-2, -0x1.84db18fc17e07p-2, -0x1.80453128303bbp-2, -0x1.7bac874f5c8fdp-2, -0x1.7711c7b27d88cp-2, -0x1.72759bf917e0dp-2, -0x1.6dd8aabd979e7p-2, -0x1.693b97225b28fp-2, -0x1.649f00720bd74p-2, -0x1.600381cd90ddap-2, -0x1.5b69b1e9554abp-2, -0x1.56d222da07561p-2, -0x1.523d61ef5c7ddp-2, -0x1.4dabf79a84bf9p-2, -0x1.491e675d501d3p-2, -0x1.44952fbf173bap-2, -0x1.4010ca4552119p-2, -0x1.3b91ab6e7daf7p-2, -0x1.371842aea4b89p-2, -0x1.32a4fa6e918f3p-2, -0x1.2e38380c98332p-2, -0x1.29d25be19221ap-2, -0x1.2573c14a891cdp-2, -0x1.211cbeb5fc395p-2, -0x1.1ccda5b6388a2p-2, -0x1.1886c317e590ep-2, -0x1.14485efc417f3p-2, -0x1.1012bcf62c1c7p-2, -0x1.0be61c2928cefp-2, -0x1.07c2b769a0d18p-2, -0x1.03a8c55da5d6bp-2, -0x1.ff30f13b4ef24p-3, -0x1.f723ffa9af7ffp-3, -0x1.ef2b0bc238d14p-3, -0x1.e74663e5014abp-3, -0x1.df764f5471d08p-3, -0x1.d7bb0e72db03ap-3, -0x1.d014dafff01b1p-3, -0x1.c883e8562f446p-3, -0x1.c10863a885d4ep-3, -0x1.b9a274403ad88p-3, -0x1.b2523bbb04bb2p-3, -0x1.ab17d64900287p-3, -0x1.a3f35aea5fabcp-3, -0x1.9ce4dbac83248p-3, -0x1.95ec65e6172d6p-3, -0x1.8f0a027222f4bp-3, -0x1.883db5e98dc64p-3, -0x1.818780da53ba9p-3, -0x1.7ae75ffdef349p-3, -0x1.745d4c6d58028p-3, -0x1.6de93bd2cb258p-3, -0x1.678b2099f52e7p-3, -0x1.6142ea1e1f4ffp-3, -0x1.5b1084d667f06p-3, -0x1.54f3da807bba2p-3, -0x1.4eecd2497e3c3p-3, -0x1.48fb50f54ef85p-3, -0x1.431f3904962ep-3, -0x1.3d586ad94a38cp-3, -0x1.37a6c4d9b0242p-3, -0x1.320a23923e613p-3, -0x1.2c8261d657eebp-3, -0x1.270f58df6cbabp-3, -0x1.21b0e06afb434p-3, -0x1.1c66ced78c179p-3, -0x1.1730f9404add9p-3, -0x1.120f33972b449p-3, -0x1.0d0150be32f1ap-3, -0x1.0807229f9151fp-3, -0x1.03207a444a62dp-3, -0x1.fc9a4fd373db9p-4, -0x1.f319f62ca6fcep-4, -0x1.e9bf855a499c9p-4, -0x1.e08a9a0015a35p-4, -0x1.d77acfc22c991p-4, -0x1.ce8fc1666d9dbp-4, -0x1.c5c908f3818fp-4, -0x1.bd263fcdc9585p-4, -0x1.b4a6fed30dd6bp-4, -0x1.ac4ade75066e8p-4, -0x1.a41176d1c8d34p-4, -0x1.9bfa5fca7f3f8p-4, -0x1.940531198544ep-4, -0x1.8c318266ddb22p-4, -0x1.847eeb5bcafc4p-4, -0x1.7ced03b42c166p-4, -0x1.757b634f9b2f1p-4, -0x1.6e29a241cf50bp-4, -0x1.66f758e1814f9p-4, -0x1.5fe41fd5c34fcp-4, -0x1.58ef902350608p-4, -0x1.52194338e4376p-4, -0x1.4b60d2faa107cp-4, -0x1.44c5d9cc34ff1p-4, -0x1.3e47f29ad4205p-4, -0x1.37e6b8e64cb8dp-4, -0x1.31a1c8c9cae84p-4, -0x1.2b78bf0332498p-4, -0x1.256b38fa4cdc4p-4, -0x1.1f78d4c78004p-4, -0x1.19a13139ff85ep-4, -0x1.13e3eddd76133p-4, -0x1.0e40aafeb1bafp-4, -0x1.08b709b0237fcp-4, -0x1.0346abcea13ffp-4, -0x1.fbde680a13d66p-5, -0x1.f1608b9f5a0dep-5, -0x1.e7130afe2bf5cp-5, -0x1.dcf5307583cd4p-5, -0x1.d30648076d035p-5, -0x1.c9459f6e579b3p-5, -0x1.bfb2861fc4289p-5, -0x1.b64c4d4f10843p-5, -0x1.ad1247f0496d5p-5, -0x1.a403cabb22dfbp-5, -0x1.9b202c2d461dfp-5, -0x1.9266c48b2f5bp-5, -0x1.89d6ede1386cep-5, -0x1.81700403daf1dp-5, -0x1.79316490c6f9cp-5, -0x1.711a6eefd733fp-5, -0x1.692a8452e1154p-5, -0x1.616107b4b12f3p-5, -0x1.59bd5dd7fd527p-5, -0x1.523eed46b5b14p-5, -0x1.4ae51e52280e9p-5, -0x1.43af5b122a2c6p-5, -0x1.3c9d0f6312d37p-5, -0x1.35ada8e388a2ap-5, -0x1.2ee096f29b753p-5, -0x1.28354aae89223p-5, -0x1.21ab36f39b375p-5, -0x1.1b41d05a443e2p-5, -0x1.14f88d343a0bfp-5, -0x1.0ecee58965d9fp-5, -0x1.08c45315a398bp-5, -0x1.02d85146b0c43p-5, -0x1.fa14ba74e65bp-6, -0x1.eeb3eb7902d6ep-6, -0x1.e38d36859873ap-6, -0x1.d89f9fd4283fep-6, -0x1.cdea2ee5e181fp-6, -0x1.c36bee7efbc85p-6, -0x1.b923eca267881p-6, -0x1.af113a8c2ad93p-6, -0x1.a532ecaa742c4p-6, -0x1.9b881a964c976p-6, -0x1.920fdf0c642d2p-6, -0x1.88c957e76be8ep-6, -0x1.7fb3a61b306ap-6, -0x1.76cdedaf36b9ep-6, -0x1.6e1755b7f500cp-6, -0x1.658f084f23b74p-6, -0x1.5d34328c152d8p-6, -0x1.5506047d08491p-6, -0x1.4d03b1218108dp-6, -0x1.452c6e64c4ec4p-6, -0x1.3d7f7517a335ep-6, -0x1.35fc00e973ebfp-6, -0x1.2ea15060468f5p-6, -0x1.276ea4d13e8f3p-6, -0x1.20634259e282bp-6, -0x1.197e6fda3d154p-6, -0x1.12bf76ef0ed69p-6, -0x1.0c25a3eb72999p-6, -0x1.05b045d1a5923p-6, -0x1.febd5c96d43d9p-7, -0x1.f2606345103e3p-7, -0x1.e6484d73fd3fap-7, -0x1.da73ce0fb026ep-7, -0x1.cee19d1e3f3b3p-7, -0x1.c39077b31a5fap-7, -0x1.b87f1fe149d22p-7, -0x1.adac5caced843p-7, -0x1.a316f9fc4bdcp-7, -0x1.98bdc889d3ef8p-7, -0x1.8e9f9dd737d0ep-7, -0x1.84bb54212e556p-7, -0x1.7b0fca531ceeep-7, -0x1.719be3fa0bf89p-7, -0x1.685e8936d32afp-7, -0x1.5f56a6afd13f6p-7, -0x1.56832d82f8057p-7, -0x1.4de3133865349p-7, -0x1.457551b5cb65p-7, -0x1.3d38e73237c6ep-7, -0x1.352cd629a8d85p-7, -0x1.2d502550240cfp-7, -0x1.25a1df846404p-7, -0x1.1e2113c266f04p-7, -0x1.16ccd5160a5e8p-7, -0x1.0fa43a8e071bfp-7, -0x1.08a65f2f9aeb9p-7, -0x1.01d261ea6456ap-7, -0x1.f64ecb18ae3a9p-8, -0x1.e949216ac1273p-8, -0x1.dc921b95850dep-8, -0x1.d02815d477cb1p-8, -0x1.c40973ba9575ap-8, -0x1.b834a01978904p-8, -0x1.aca80ce93ac1bp-8, -0x1.a1623330dfc17p-8, -0x1.966192eef4e78p-8, -0x1.8ba4b302105cep-8, -0x1.812a2111101fbp-8, -0x1.76f071730c2eep-8, -0x1.6cf63f174e0f7p-8, -0x1.633a2b6d9ebb4p-8, -0x1.59bade4f19b33p-8, -0x1.507705e76abebp-8, -0x1.476d569e637dep-8, -0x1.3e9c8b01b42a6p-8, -0x1.360363aec0c66p-8, -0x1.2da0a73c42c8cp-8, -0x1.25732223e6489p-8, -0x1.1d79a6abfe853p-8, -0x1.15b30cd1684fcp-8, -0x1.0e1e3231e4a58p-8, -0x1.06b9f9f6d3d59p-8, -0x1.ff0a998087efep-9, -0x1.f0fe312085545p-9, -0x1.e34ca16c738cbp-9, -0x1.d5f3db74a4067p-9, -0x1.c8f1da918451p-9, -0x1.bc44a43a6f305p-9, -0x1.afea47dccb5f6p-9, -0x1.a3e0deb3aa1d7p-9, -0x1.98268ba02641bp-9, -0x1.8cb97b02a1ad7p-9, -0x1.8197e294c855ep-9, -0x1.76c0014439605p-9, -0x1.6c301f0cf9a34p-9, -0x1.61e68cd43fa96p-9, -0x1.57e1a442f8366p-9, -0x1.4e1fc7a062704p-9, -0x1.449f61acce5fep-9, -0x1.3b5ee57cc0364p-9, -0x1.325cce54e73c8p-9, -0x1.29979f86e50f6p-9, -0x1.210de44f25e1ep-9, -0x1.18be2fb38c6b9p-9, -0x1.10a71c626d36dp-9, -0x1.08c74c91df813p-9, -0x1.011d69deb7f95p-9, -0x1.f3504a565636dp-10, -0x1.e4cc6cfab0f19p-10, -0x1.d6acb9bbaf5f5p-10, -0x1.c8eebc6dc846fp-10, -0x1.bb900e68dde9p-10, -0x1.ae8e564b08d95p-10, -0x1.a1e747bd9a4dp-10, -0x1.9598a33bb4dbbp-10, -0x1.89a035d9e4d4fp-10, -0x1.7dfbd90d65446p-10, -0x1.72a972724dbd5p-10, -0x1.67a6f390b30ecp-10, -0x1.5cf259a0c742ep-10, -0x1.5289ad4fdbed5p-10, -0x1.486b028771246p-10, -0x1.3e9478367e2ebp-10, -0x1.3504381d9a883p-10, -0x1.2bb8769df1d88p-10, -0x1.22af72899a92ep-10, -0x1.19e774f331aecp-10, -0x1.115ed0fbe46f5p-10, -0x1.0913e39f7b013p-10, -0x1.0105137efa3fap-10, -0x1.f261a1564762ep-11, -0x1.e32b28e235b54p-11, -0x1.d463c255a6c77p-11, -0x1.c6088427cd75dp-11, -0x1.b81696455deabp-11, -0x1.aa8b31c6f3019p-11, -0x1.9d63a0a5efe89p-11, -0x1.909d3d6af3b0cp-11, -0x1.843572d1f413bp-11, -0x1.7829bb650b2b5p-11, -0x1.6c77a1116c2b1p-11, -0x1.611cbcbde1b5dp-11, -0x1.5616b5eb3ddd3p-11, -0x1.4b6342653436p-11, -0x1.41002606d376fp-11, -0x1.36eb328ef1613p-11, -0x1.2d22477ddf35ap-11, -0x1.23a351ef7fff9p-11, -0x1.1a6c4c6741dc7p-11, -0x1.117b3e84a58a8p-11, -0x1.08ce3c9e05d2bp-11, -0x1.006367474a8ap-11, -0x1.f071d5a166dc7p-12, -0x1.e099fd9d7fbf8p-12, -0x1.d13bcb7714d5cp-12, -0x1.c253d97927701p-12, -0x1.b3ded71eb2198p-12, -0x1.a5d9892873332p-12, -0x1.9840c9ced85e2p-12, -0x1.8b1188e4d64fep-12, -0x1.7e48cbc49f134p-12, -0x1.71e3ace78c7c1p-12, -0x1.65df5b1fc6117p-12, -0x1.5a39187df84b4p-12, -0x1.4eee3905b503ep-12, -0x1.43fc21625a92bp-12, -0x1.396045d6a1e66p-12, -0x1.2f182996b5125p-12, -0x1.25215ea50836ep-12, -0x1.1b7986281c1a4p-12, -0x1.121e510d5b223p-12, -0x1.090d80bafe2d5p-12, -0x1.0044e7904428fp-12, -0x1.ef84d20eb2cefp-13, -0x1.df07f2c73e1c6p-13, -0x1.cf0f39dc6ac6dp-13, -0x1.bf96cda788bf9p-13, -0x1.b09aef8298e8fp-13, -0x1.a217f8d661861p-13, -0x1.940a58709d1e6p-13, -0x1.866e90a56778p-13, -0x1.794136a8a5676p-13, -0x1.6c7ef33ea3262p-13, -0x1.602484796a3f3p-13, -0x1.542ebfd87401bp-13, -0x1.489a940606a1cp-13, -0x1.3d6509a49d3fdp-13, -0x1.328b430caaf4ep-13, -0x1.280a7b3e10aa3p-13, -0x1.1de00468f7a38p-13, -0x1.1409464da4bd7p-13, -0x1.0a83bc71fc84p-13, -0x1.014cf40ef322dp-13, -0x1.f0c5138b589fbp-14, -0x1.df844f0504012p-14, -0x1.ced3066b88e8ap-14, -0x1.beacbdd26865dp-14, -0x1.af0d146a19c1ep-14, -0x1.9fefc8d5f996ep-14, -0x1.9150bcde01f56p-14, -0x1.832bf6c58f6dep-14, -0x1.757d9fed7bb62p-14, -0x1.684201de81f63p-14, -0x1.5b75838b9b04dp-14, -0x1.4f14a816077ddp-14, -0x1.431c0f07b306ep-14, -0x1.378874c0f644ap-14, -0x1.2c56b191550e3p-14, -0x1.2183b6d85dc9dp-14, -0x1.170c8b019cf89p-14, -0x1.0cee4636e5535p-14, -0x1.03261165a6e22p-14, -0x1.f3624fb76d179p-15, -0x1.e119b4379d75bp-15, -0x1.cf6d1f984786ep-15, -0x1.be578e808751p-15, -0x1.add42554bdef8p-15, -0x1.9dde28e597e5fp-15, -0x1.8e70f972e131bp-15, -0x1.7f8812c16768dp-15, -0x1.711f112651c09p-15, -0x1.6331b87651348p-15, -0x1.55bbf88c15713p-15, -0x1.48b9eca8db156p-15, -0x1.3c27d66fc9e19p-15, -0x1.30021835ebcadp-15, -0x1.2445324f55b3bp-15, -0x1.18edc3ef906bcp-15, -0x1.0df88cc1f57bep-15, -0x1.03626b920d136p-15, -0x1.f250b1ccc315ep-16, -0x1.de8ebfabdf8c5p-16, -0x1.cb7930de79735p-16, -0x1.b90a4ab6859f3p-16, -0x1.a73c68ace6359p-16, -0x1.960a018d36961p-16, -0x1.856db078fb991p-16, -0x1.75623ff7f77f9p-16, -0x1.65e2b1d45c658p-16, -0x1.56ea3e9b14d82p-16, -0x1.48744e3646f57p-16, -0x1.3a7c72b0a174cp-16, -0x1.2cfe6dcfddf95p-16, -0x1.1ff63f9217e58p-16, -0x1.13602ff285f69p-16, -0x1.0738c601c89b7p-16, -0x1.f6f95833db31ep-17, -0x1.e0512239eea79p-17, -0x1.ca72335a4f4d3p-17, -0x1.b555cd273efadp-17, -0x1.a0f54a042fcfbp-17, -0x1.8d4a33d965aa1p-17, -0x1.7a4e47fc2ed04p-17, -0x1.67fb73ff0d53cp-17, -0x1.564bd6e7d3cdp-17, -0x1.4539c4285851dp-17, -0x1.34bfbe06d222p-17, -0x1.24d866b409455p-17, -0x1.157e790c20c8p-17, -0x1.06acde5bdbcefp-17, -0x1.f0bdc02e7ba87p-18, -0x1.d520a5191ce99p-18, -0x1.ba7b19eb15606p-18, -0x1.a0c64eb7f102bp-18, -0x1.87fb546695fb1p-18, -0x1.7012d1a2e9e9bp-18, -0x1.59052d8726c51p-18, -0x1.42caea65b490ap-18, -0x1.2d5cdcac20b91p-18, -0x1.18b42d5cf5b1bp-18, -0x1.04ca4c27ca478p-18, -0x1.e331d31949742p-19, -0x1.be33e4b66a52fp-19, -0x1.9a8f01e3a39ddp-19, -0x1.78378b4ac7bacp-19, -0x1.5721e1a1fdc2cp-19, -0x1.37425c8666556p-19, -0x1.188d8afc3c7p-19, -0x1.f5f190f437bcfp-20, -0x1.bcf5b12acadadp-20, -0x1.8617eb8c9a677p-20, -0x1.514a27ef9e75p-20, -0x1.1e7dc72050344p-20, -0x1.db45cd2d6ba2fp-21, -0x1.7d528892961e6p-21, -0x1.2302cbd8dde5p-21, -0x1.9872e3220f92ap-22, -0x1.e367ce84977eap-23, -0x1.463fddd10b8cep-24, 0x1.20be54aefaf5ep-24, 0x1.b77b603863de5p-23, 0x1.6949c265c4b47p-22, 0x1.f10192226012bp-22, 0x1.3989aad497cecp-21, 0x1.77d731d8d8337p-21, 0x1.b3811a905ee11p-21, 0x1.ec9e56f5cace5p-21, 0x1.11a22349d9e2cp-20, 0x1.2bc318b32fa34p-20, 0x1.44bab2cd9f4a5p-20, 0x1.5c9129e79d9p-20, 0x1.734efb05d383ep-20, 0x1.88fcf1417ad4p-20, 0x1.9da36139ce2e6p-20, 0x1.b149a1225120cp-20, 0x1.c3f684d680bd4p-20, 0x1.d5b129d302b78p-20, 0x1.e6810e7c54eb4p-20, 0x1.f66d9a2adc08cp-20, 0x1.02bee0190f8f8p-19, 0x1.09dbf17fe0357p-19, 0x1.1090f2813853dp-19, 0x1.16e0b6825f00ep-19, 0x1.1cce1d3b41b5bp-19, 0x1.225c20d636dcfp-19, 0x1.278db864762e1p-19, 0x1.2c65a75983f11p-19, 0x1.30e6682b605acp-19, 0x1.351248f32077ap-19, 0x1.38eba2c6840b2p-19, 0x1.3c74fdaf1f6fdp-19, 0x1.3fb1003333d4p-19, 0x1.42a230cf30577p-19, 0x1.454ab4e33c7bp-19, 0x1.47ac4d28687fcp-19, 0x1.49c8a8dd349bcp-19, 0x1.4ba1b0d7b6323p-19, 0x1.4d3971da70899p-19, 0x1.4e91e1bf164d7p-19, 0x1.4facd5e8c22b1p-19, 0x1.508c12c8e94fap-19, 0x1.51314a4161b5cp-19, 0x1.519e198c02eccp-19, 0x1.51d411b5cfc9ap-19, 0x1.51d4c1e4de695p-19, 0x1.51a1bbbced55cp-19, 0x1.513c8ce875c3ap-19, 0x1.50a6add570529p-19, 0x1.4fe173a7a6518p-19, 0x1.4eee1a766ae4dp-19, 0x1.4dcde6c7c2719p-19, 0x1.4c824188bb8a2p-19, 0x1.4b0cb5bfb9a87p-19, 0x1.496ec1fcc4606p-19, 0x1.47a9a4a628141p-19, 0x1.45be6abd337cfp-19, 0x1.43ae1b2818c19p-19, 0x1.4179d0dce6c3fp-19, 0x1.3f22bd329953cp-19, 0x1.3caa06f062918p-19, 0x1.3a10b9d1f9999p-19, 0x1.3757dc8b83947p-19, 0x1.3480747a4b7b5p-19, 0x1.318b805545235p-19, 0x1.2e79fab99e6a1p-19, 0x1.2b4cdbcd6f703p-19, 0x1.280517aee0841p-19, 0x1.24a39cdcf7011p-19, 0x1.212953e766b23p-19, 0x1.1d971ec79256dp-19, 0x1.19edd6d27d2dfp-19, 0x1.162e4ca863724p-19, 0x1.12594ee73812dp-19, 0x1.0e6fb2c5fd2b9p-19, 0x1.0a7252feee904p-19, 0x1.06620ac709431p-19, 0x1.023faab62bf17p-19, 0x1.fc17d54b2581ep-20, 0x1.f38f0b289419cp-20, 0x1.eae6783f98428p-20, 0x1.e21f8453c0de3p-20, 0x1.d93ba96944adfp-20, 0x1.d03c4b02684cep-20, 0x1.c722b941aedeep-20, 0x1.bdf04aeb7cb3ep-20, 0x1.b4a64e85e589ep-20, 0x1.ab460b130f5cp-20, 0x1.a1d0c5816bed6p-20, 0x1.9847c098b3ffap-20, 0x1.8eac3a3be8d62p-20, 0x1.84ff68c40cf56p-20, 0x1.7b427a0e2e465p-20, 0x1.717694706e3ddp-20, 0x1.679cd86be251dp-20, 0x1.5db661c20c9edp-20, 0x1.53c447bc3c8f1p-20, 0x1.49c79ef6c7f44p-20, 0x1.3fc17c539ddfbp-20, 0x1.35b2ed8c5c5abp-20, 0x1.2b9cf2be65f1fp-20, 0x1.2180907e6b9dp-20, 0x1.175ec459e2a8p-20, 0x1.0d3884345a542p-20, 0x1.030ec7182422fp-20, 0x1.f1c4f69149be1p-21, 0x1.dd6924419dd8cp-21, 0x1.c90bd1b194ad3p-21, 0x1.b4aeb86da1cc4p-21, 0x1.a053961f1bc26p-21, 0x1.8bfc179d29b03p-21, 0x1.77a9e078c4025p-21, 0x1.635e8edb877a1p-21, 0x1.4f1bbb2467f29p-21, 0x1.3ae2f697bea98p-21, 0x1.26b5c9d36efbp-21, 0x1.1295b37efc0b1p-21, 0x1.fd085006214c9p-22, 0x1.d50525686765fp-22, 0x1.ad24af68b0f2cp-22, 0x1.8569a9f5c867p-22, 0x1.5dd6c2d93b3dap-22, 0x1.366e975695e1ep-22, 0x1.0f33b86bc8fd9p-22, 0x1.d051503b8d9e1p-23, 0x1.829f8a9c0c065p-23, 0x1.3556dabba7607p-23, 0x1.d0f836cf468abp-24, 0x1.382793230ab3dp-24, 0x1.40882b6a97c27p-25, 0x1.2ada533de3c79p-29, -0x1.192ef72ed9613p-25, -0x1.217f15f864ae2p-24, -0x1.b5582f1bfa224p-24, -0x1.240d74e7740ddp-23, -0x1.6cdfe881345ap-23, -0x1.b51fd4fce69d1p-23, -0x1.fcc9b3935d0e4p-23, -0x1.21ed0aa6e91c3p-22, -0x1.4526d1d3eca21p-22, -0x1.681090b26d878p-22, -0x1.8aa8b5df25e85p-22, -0x1.acedbdf1b49eep-22, -0x1.cede33bd75075p-22, -0x1.f078af49e4329p-22, -0x1.08ddea09ec8bbp-21, -0x1.1953281c0f801p-21, -0x1.299b6ecef249cp-21, -0x1.39b6220992ab6p-21, -0x1.49a2acca9052dp-21, -0x1.59607f28d8e83p-21, -0x1.68ef0ded4726fp-21, -0x1.784dd6cfe2bdcp-21, -0x1.877c56996d8f3p-21, -0x1.967a121b987bcp-21, -0x1.a5469db222a48p-21, -0x1.b3e188c45ef97p-21, -0x1.c24a6702fda6dp-21, -0x1.d080d088c95c1p-21, -0x1.de846fba7eac1p-21, -0x1.ec54e93561feap-21, -0x1.f9f1e86540951p-21, -0x1.03ad8ff658fd9p-20, -0x1.0a48236c065a9p-20, -0x1.10c88c6750126p-20, -0x1.172eab1afe9b5p-20, -0x1.1d7a6215b222fp-20, -0x1.23ab964036034p-20, -0x1.29c22edb63b22p-20, -0x1.2fbe1587ee763p-20, -0x1.359f3650dacaap-20, -0x1.3b657f98cdbf2p-20, -0x1.4110e1df6d63fp-20, -0x1.46a14f8e3e847p-20, -0x1.4c16bd0b2728cp-20, -0x1.517120fd48736p-20, -0x1.56b074983ff26p-20, -0x1.5bd4b397246bep-20, -0x1.60dddb263b639p-20, -0x1.65cbe911c7e65p-20, -0x1.6a9ede5e19f84p-20, -0x1.6f56bcad3c628p-20, -0x1.73f38a68b6f68p-20, -0x1.78754e34b2411p-20, -0x1.7cdc0eb42c33bp-20, -0x1.8127d66e4726cp-20, -0x1.8558b0e87dd7cp-20, -0x1.896eabeed4429p-20, -0x1.8d69d650fab01p-20, -0x1.914a40431725ep-20, -0x1.950ffc6de3391p-20, -0x1.98bb1eb89bb71p-20, -0x1.9c4bbc748b17dp-20, -0x1.9fc1ec6724a56p-20, -0x1.a31dc6c69bb96p-20, -0x1.a65f653596b25p-20, -0x1.a986e2bbabe12p-20, -0x1.ac945bbc59edbp-20, -0x1.af87edf4b4ee2p-20, -0x1.b261b87bd2c73p-20, -0x1.b521dbb26fc2dp-20, -0x1.b7c8791fa6936p-20, -0x1.ba55b356b804cp-20, -0x1.bcc9ae0305c1ap-20, -0x1.bf248e02e5207p-20, -0x1.c1667991b2e26p-20, -0x1.c38f98679b5dep-20, -0x1.c5a0131ecbf8ep-20, -0x1.c7981243605f3p-20, -0x1.c977bf628be9fp-20, -0x1.cb3f4656ba202p-20, -0x1.cceed36b4d439p-20, -0x1.ce8693355b25dp-20, -0x1.d006b4059fe43p-20, -0x1.d16f64408ba47p-20, -0x1.d2c0d2b971c7dp-20, -0x1.d3fb309fc4e2p-20, -0x1.d51eaf5c05e35p-20, -0x1.d62b7fb8bb8e1p-20, -0x1.d721d43ffdfb4p-20, -0x1.d801e05b316b5p-20, -0x1.d8cbd7da59be1p-20, -0x1.d97fef21d8abdp-20, -0x1.da1e5b2c3c17fp-20, -0x1.daa751854c281p-20, -0x1.db1b08463f5aep-20, -0x1.db79b60f902e4p-20, -0x1.dbc392020ec6cp-20, -0x1.dbf8d3b8e950cp-20, -0x1.dc19b3469518fp-20, -0x1.dc26692e7863p-20, -0x1.dc1f2e56dd4c7p-20, -0x1.dc043bf842398p-20, -0x1.dbd5cb9a8256bp-20, -0x1.db941719d0baap-20, -0x1.db3f58aac0433p-20, -0x1.dad7caf03a61fp-20, -0x1.da5da905e40d8p-20, -0x1.d9d12e12daba2p-20, -0x1.d93294fb540efp-20, -0x1.d88218e4286dcp-20, -0x1.d7bff6807c99p-20, -0x1.d6ec691c88f0ap-20, -0x1.d607ac65159edp-20, -0x1.d511fd0346c29p-20, -0x1.d40b973fb1d7cp-20, -0x1.d2f4b7627dac4p-20, -0x1.d1cd99737f074p-20, -0x1.d0967a52055eep-20, -0x1.cf4f97021db1bp-20, -0x1.cdf92b3fd4916p-20, -0x1.cc9373e0237f5p-20, -0x1.cb1ead8e2c321p-20, -0x1.c99b14d62ff1fp-20, -0x1.c808e639ca85ap-20, -0x1.c6685e2cf1328p-20, -0x1.c4b9b912a91acp-20, -0x1.c2fd3339bec27p-20, -0x1.c13308d8ffe98p-20, -0x1.bf5b760bd3f02p-20, -0x1.bd76b6cf7106ep-20, -0x1.bb8506ffdea49p-20, -0x1.b986a25413b4dp-20, -0x1.b77bc4579bd23p-20, -0x1.b564a863ebcc6p-20, -0x1.b341899f61b5p-20, -0x1.b112a2fe48487p-20, -0x1.aed82f3fe738dp-20, -0x1.ac9268ee96c7fp-20, -0x1.aa418a696e8f1p-20, -0x1.a7e5cdd3b0705p-20, -0x1.a57f6cf0c6fb7p-20, -0x1.a30ea12504cffp-20, -0x1.a093a3cf6408ep-20, -0x1.9e0eae41e4092p-20, -0x1.9b7ff8baeea0cp-20, -0x1.98e7bbc6daa03p-20, -0x1.96462f88ef7d7p-20, -0x1.939b8bd2d8976p-20, -0x1.90e8081984573p-20, -0x1.8e2bdb6ce4098p-20, -0x1.8b673c793b5e2p-20, -0x1.889a61ce361f2p-20, -0x1.85c5819bfbc68p-20, -0x1.82e8d154c6cccp-20, -0x1.8004866a45026p-20, -0x1.7d18d5d580e9p-20, -0x1.7a25f42976a77p-20, -0x1.772c15955231ap-20, -0x1.742b6de49e8d7p-20, -0x1.7124307bf66d2p-20, -0x1.6e169057fc2a6p-20, -0x1.6b02c00c847cp-20, -0x1.67e8f1c2c138bp-20, -0x1.64c957386521dp-20, -0x1.61a421bedd95ep-20, -0x1.5e79823a2231bp-20, -0x1.5b49a91f270e1p-20, -0x1.5814c672bed36p-20, -0x1.54db09c8cfcf4p-20, -0x1.519ca24370d4ep-20, -0x1.4e59be90ea7dfp-20, -0x1.4b128ceae9f2cp-20, -0x1.47c73b155c126p-20, -0x1.4477f660fc4eep-20, -0x1.4124eba59216ep-20, -0x1.3dce4746337fcp-20, -0x1.3a74352f21a23p-20, -0x1.3716e0fbe378bp-20, -0x1.33b6759b8d796p-20, -0x1.30531d9b9311fp-20, -0x1.2ced031165cap-20, -0x1.29844f94dd553p-20, -0x1.26192c44e8eb4p-20, -0x1.22abc1c8f5d75p-20, -0x1.1f3c384c3297dp-20, -0x1.1bcab77e2023bp-20, -0x1.18576693322b8p-20, -0x1.14e26c500ba3ap-20, -0x1.116beefad03e4p-20, -0x1.0df41453c515dp-20, -0x1.0a7b01ade270ep-20, -0x1.0700dbdd516ddp-20, -0x1.0385c73baf5dfp-20, -0x1.0009e7a827051p-20, -0x1.f91ac10f2061bp-21, -0x1.f220a98910c99p-21, -0x1.eb25cd9e9a129p-21, -0x1.e42a713c909dcp-21, -0x1.dd2ed75bbc365p-21, -0x1.d63342076ecacp-21, -0x1.cf37f2ee5d61p-21, }}, 
      {{-0x1.35da67d32e455p-12, -0x1.17d780bc20c37p-10, -0x1.0c93be92a9de9p-9, -0x1.7f144c1106f14p-9, -0x1.bb2cae53dd54dp-9, -0x1.9e4713e12e8f1p-9, -0x1.0d74169cba661p-9, 0x1.411c0e5396debp-14, 0x1.b30a5004b2d06p-9, 0x1.f8ab666c4a66dp-8, 0x1.b0ab43a74be7ap-7, 0x1.43fca39a68b59p-6, 0x1.bfc1566e55732p-6, 0x1.24f627efbef52p-5, 0x1.704502f2c13bp-5, 0x1.c0c1b039c34e8p-5, 0x1.0aac80cfaa878p-4, 0x1.367c2c28eb229p-4, 0x1.634a06d250f55p-4, 0x1.909629bf839b8p-4, 0x1.bde8627eddb7bp-4, 0x1.ead16c8a1edddp-4, 0x1.0b75d9632e8cfp-3, 0x1.20edd767e04e3p-3, 0x1.35a7fd2dc669bp-3, 0x1.498092c6e398p-3, 0x1.5c58b05268ca7p-3, 0x1.6e16049683c69p-3, 0x1.7ea2907d8d9d2p-3, 0x1.8dec5d526d7b5p-3, 0x1.9be52fd4ffd77p-3, 0x1.a8823adc14619p-3, 0x1.b3bbd31f21c58p-3, 0x1.bd8d257cca744p-3, 0x1.c5f3f075b11c5p-3, 0x1.ccf04192ecda2p-3, 0x1.d28436c0d9fap-3, 0x1.d6b3c3ef286a5p-3, 0x1.d9847ccd42c2p-3, 0x1.dafd628bbb123p-3, 0x1.db26b56d9cfd2p-3, 0x1.da09c9f6e9a54p-3, 0x1.d7b0e17726214p-3, 0x1.d42705b9ba8dcp-3, 0x1.cf77e7a3dfe33p-3, 0x1.c9afc08eb82f1p-3, 0x1.c2db362f48d8fp-3, 0x1.bb0740e13e03cp-3, 0x1.b241142f6955dp-3, 0x1.a8960973a65aap-3, 0x1.9e138c6da2831p-3, 0x1.92c709b172f02p-3, 0x1.86bddecd09db9p-3, 0x1.7a054c0edb861p-3, 0x1.6caa67ccc5601p-3, 0x1.5eba131727625p-3, 0x1.5040efbfb7e38p-3, 0x1.414b579da2f44p-3, 0x1.31e554fa63073p-3, 0x1.221a9c1511889p-3, 0x1.11f685a66e97ap-3, 0x1.01840a5984224p-3, 0x1.e19b7e3b7ef3ep-4, 0x1.bfbba4a5db25bp-4, 0x1.9d7c134391842p-4, 0x1.7aef8135b4d41p-4, 0x1.5827cfc3bfd75p-4, 0x1.353609fed38b6p-4, 0x1.122a655a58d01p-4, 0x1.de2886d972511p-5, 0x1.980467847ceb4p-5, 0x1.5203f0192d0efp-5, 0x1.0c410ce2ed17cp-5, 0x1.8da83bddba2d1p-6, 0x1.03a8062831b44p-6, 0x1.eab0e93bc20a8p-8, -0x1.a4654263bb787p-11, -0x1.274203d5ef8a9p-7, -0x1.18aac822fdc98p-6, -0x1.9c20803c6e831p-6, -0x1.0ef260cbbfcb5p-5, -0x1.4eee2f44dc9fep-5, -0x1.8df7419cc88abp-5, -0x1.cc024123fc49p-5, -0x1.04826c09d0c77p-4, -0x1.227adb1eb38ap-4, -0x1.3fe63a76122d6p-4, -0x1.5cc0ca1534106p-4, -0x1.790735c75dbc2p-4, -0x1.94b68eb5c3028p-4, -0x1.afcc4751fc373p-4, -0x1.ca462b7beef52p-4, -0x1.e4225de973326p-4, -0x1.fd5f52bd2aa9p-4, -0x1.0afde56279f84p-3, -0x1.16fb6844736bp-3, -0x1.22a7d9dd6eb13p-3, -0x1.2e0302b069418p-3, -0x1.390cca18b9e4fp-3, -0x1.43c53467989d9p-3, -0x1.4e2c6126b3608p-3, -0x1.5842897b34f72p-3, -0x1.6207feac63bf1p-3, -0x1.6b7d28c189878p-3, -0x1.74a2853dd6054p-3, -0x1.7d78a5edd0f63p-3, -0x1.86002fb4a20bbp-3, -0x1.8e39d95f3734ep-3, -0x1.96266a742d6fbp-3, -0x1.9dc6b9f79ebd4p-3, -0x1.a51bad2ebd118p-3, -0x1.ac2636649691fp-3, -0x1.b2e753ac3021bp-3, -0x1.b9600dacf94fbp-3, -0x1.bf91767eae984p-3, -0x1.c57ca88f90a2dp-3, -0x1.cb22c59b85d0cp-3, -0x1.d084f5b881755p-3, -0x1.d5a466714b56bp-3, -0x1.da8249edc9cfp-3, -0x1.df1fd62c63fb2p-3, -0x1.e37e4447b46f5p-3, -0x1.e79ecfc3bcfc3p-3, -0x1.eb82b5e50c0b1p-3, -0x1.ef2b35123a7b1p-3, -0x1.f2998c3b6240ep-3, -0x1.f5cefa47e159dp-3, -0x1.f8ccbd8dd3664p-3, -0x1.fb94135248fe2p-3, -0x1.fe26375100169p-3, -0x1.004231a661a15p-2, -0x1.0157e7556ae38p-2, -0x1.0254d70c476b6p-2, -0x1.0339999c3376ep-2, -0x1.0406c62ca2852p-2, -0x1.04bcf21bf52d4p-2, -0x1.055cb0e3a285cp-2, -0x1.05e69400b105p-2, -0x1.065b2adf62bcp-2, -0x1.06bb02c9b6cf1p-2, -0x1.0706a6da00c86p-2, -0x1.073e9feee3486p-2, -0x1.076374a0883f2p-2, -0x1.0775a939e5545p-2, -0x1.0775bfb2c4e6cp-2, -0x1.076437a9a7771p-2, -0x1.07418e615b0c1p-2, -0x1.070e3ebf58f23p-2, -0x1.06cac1491dcafp-2, -0x1.06778c251a908p-2, -0x1.0615131d26ddap-2, -0x1.05a3c79ece55cp-2, -0x1.052418be68bb6p-2, -0x1.0496733da283ep-2, -0x1.03fb418f7bd3cp-2, -0x1.0352ebdc900c6p-2, -0x1.029dd80c30526p-2, -0x1.01dc69ccd4c0ap-2, -0x1.010f0299cbb8fp-2, -0x1.003601c4af038p-2, -0x1.fea389031193cp-3, -0x1.fcc54bde925fcp-3, -0x1.fad1fe3ff84eap-3, -0x1.f8ca4e4bceb0ep-3, -0x1.f6aee6401994ap-3, -0x1.f4806c84b8a11p-3, -0x1.f23f83c01655bp-3, -0x1.efeccaf453ec8p-3, -0x1.ed88dd9682a18p-3, -0x1.eb14539e63d3bp-3, -0x1.e88fc19d0235bp-3, -0x1.e5fbb8d9bb622p-3, -0x1.e358c76749b44p-3, -0x1.e0a77832749c7p-3, -0x1.dde8531767e17p-3, -0x1.db1bdcfe85c97p-3, -0x1.d84297eea24f9p-3, -0x1.d55d031a6a7ebp-3, -0x1.d26b9af3efa95p-3, -0x1.cf6ed945fa21fp-3, -0x1.cc673546a8b6cp-3, -0x1.c95523a31f5d3p-3, -0x1.c639168f420c5p-3, -0x1.c3137ddc1682fp-3, -0x1.bfe4c70a1ba26p-3, -0x1.bcad5d546fc3cp-3, -0x1.b96da9bd0c205p-3, -0x1.b626131f046ccp-3, -0x1.b2d6fe3fb6a71p-3, -0x1.af80cdda092bbp-3, -0x1.ac23e2a851be5p-3, -0x1.a8c09b72a43afp-3, -0x1.a557551ddae0ap-3, -0x1.a1e86ab5de1cp-3, -0x1.9e743575adefp-3, -0x1.9afb0cd2f0114p-3, -0x1.977d468ba04d5p-3, -0x1.93fb36af92615p-3, -0x1.90752fa50f501p-3, -0x1.8ceb822ffcb97p-3, -0x1.895e7d7efdd74p-3, -0x1.85ce6f37dca37p-3, -0x1.823ba37baf881p-3, -0x1.7ea664e6b1ca5p-3, -0x1.7b0efc9631bf6p-3, -0x1.7775b236eaecbp-3, -0x1.73dacc1199676p-3, -0x1.703e8f0c3d85cp-3, -0x1.6ca13ea4f7fabp-3, -0x1.69031cf41d1dfp-3, -0x1.65646aba8e2bep-3, -0x1.61c567713145bp-3, -0x1.5e26514bd532p-3, -0x1.5a876530569b9p-3, -0x1.56e8deb14d8e2p-3, -0x1.534af817d6965p-3, -0x1.4fadea7658f1bp-3, -0x1.4c11edb311327p-3, -0x1.48773881c086ep-3, -0x1.44de00569c73p-3, -0x1.414679646b079p-3, -0x1.3db0d6abc0d48p-3, -0x1.3a1d4a0e9db83p-3, -0x1.368c0456ba139p-3, -0x1.32fd352a5505cp-3, -0x1.2f710afd8dc48p-3, -0x1.2be7b311e16dep-3, -0x1.28615987309d9p-3, -0x1.24de29702225dp-3, -0x1.215e4cd85a45fp-3, -0x1.1de1ecb8c332dp-3, -0x1.1a6930e73cb42p-3, -0x1.16f440134fb79p-3, -0x1.13833fd53b014p-3, -0x1.101654c3a88adp-3, -0x1.0cada27e777cbp-3, -0x1.09494ba7492f8p-3, -0x1.05e971d0748d8p-3, -0x1.028e35736aaefp-3, -0x1.fe6f6bf1a02f1p-4, -0x1.f7cc239a49d8fp-4, -0x1.f132cce4e3542p-4, -0x1.eaa3a104fb37bp-4, -0x1.e41ed7441f05bp-4, -0x1.dda4a4e374625p-4, -0x1.d7353d14d4955p-4, -0x1.d0d0d11450842p-4, -0x1.ca779051205c9p-4, -0x1.c429a88a0c309p-4, -0x1.bde745cc42a78p-4, -0x1.b7b0925a2975p-4, -0x1.b185b691ad633p-4, -0x1.ab66d8e89df04p-4, -0x1.a5541e051d16p-4, -0x1.9f4da8e340c57p-4, -0x1.99539af0ab0bp-4, -0x1.9366140f30695p-4, -0x1.8d853281c9892p-4, -0x1.87b112d575909p-4, -0x1.81e9cfd9b8308p-4, -0x1.7c2f82b0f3005p-4, -0x1.768242f07877ep-4, -0x1.70e226be578e3p-4, -0x1.6b4f42dda805ap-4, -0x1.65c9aaa653199p-4, -0x1.60516ff25adacp-4, -0x1.5ae6a3107f7edp-4, -0x1.558952c807d35p-4, -0x1.50398c6e26beap-4, -0x1.4af75c02aa949p-4, -0x1.45c2cc46076d9p-4, -0x1.409be6bfdd00dp-4, -0x1.3b82b3b6d19d4p-4, -0x1.36773a22e5517p-4, -0x1.31797fa5de34ap-4, -0x1.2c8988914833p-4, -0x1.27a757f9513a7p-4, -0x1.22d2efcc92f1p-4, -0x1.1e0c50e6d55fp-4, -0x1.19537b187353dp-4, -0x1.14a86d22a65a8p-4, -0x1.100b24aeb3e3cp-4, -0x1.0b7b9e4835c76p-4, -0x1.06f9d56079b14p-4, -0x1.0285c45bd1432p-4, -0x1.fc3ec948bef64p-5, -0x1.f38d5d772d951p-5, -0x1.eaf73489d3ce3p-5, -0x1.e27c3c101ff76p-5, -0x1.da1c5fdab9815p-5, -0x1.d1d789f2838f3p-5, -0x1.c9ada2982c052p-5, -0x1.c19e90519857dp-5, -0x1.b9aa380350319p-5, -0x1.b1d07d0e6c406p-5, -0x1.aa11416a58773p-5, -0x1.a26c65b491b86p-5, -0x1.9ae1c93573879p-5, -0x1.937149dddf706p-5, -0x1.8c1ac44455eecp-5, -0x1.84de13a7c6a8p-5, -0x1.7dbb11fb6ef0cp-5, -0x1.76b197fa7b894p-5, -0x1.6fc17d3ee3126p-5, -0x1.68ea98561e732p-5, -0x1.622cbecff3632p-5, -0x1.5b87c546563dfp-5, -0x1.54fb7f5fe9a9ap-5, -0x1.4e87bfd0aaa3fp-5, -0x1.482c585cd4cap-5, -0x1.41e919e0cf135p-5, -0x1.3bbdd45e7b6cep-5, -0x1.35aa570dcee2bp-5, -0x1.2fae706d85ee7p-5, -0x1.29c9ee514dddcp-5, -0x1.23fc9dec12f16p-5, -0x1.1e464bd67dc5bp-5, -0x1.18a6c412e0e43p-5, -0x1.131dd2109b00cp-5, -0x1.0dab40b11268cp-5, -0x1.084eda4f95c76p-5, -0x1.030868cbfda91p-5, -0x1.fbaf6b2d4ce44p-6, -0x1.f1791377f7043p-6, -0x1.e76d5bdd10352p-6, -0x1.dd8bd51e57c23p-6, -0x1.d3d40f67a55e7p-6, -0x1.ca459a5a695efp-6, -0x1.c0e00518dd714p-6, -0x1.b7a2de52340dap-6, -0x1.ae8db4507529p-6, -0x1.a5a0150764e5ap-6, -0x1.9cd98e22a80bfp-6, -0x1.9439ad11974dep-6, -0x1.8bbfff10c6f63p-6, -0x1.836c1132c4a21p-6, -0x1.7b3d706aa07d5p-6, -0x1.7333a99a3f788p-6, -0x1.6b4e49a4db19cp-6, -0x1.638cdd8488c49p-6, -0x1.5beef25fcdac3p-6, -0x1.5474159b772a4p-6, -0x1.4d1bd4e4b417cp-6, -0x1.45e5be30fe488p-6, -0x1.3ed15fb43057ep-6, -0x1.37de47d1464dfp-6, -0x1.310c050e0f36dp-6, -0x1.2a5a261292534p-6, -0x1.23c839b8f5393p-6, -0x1.1d55cf2f2cecbp-6, -0x1.170276274f4afp-6, -0x1.10cdbf0d2263bp-6, -0x1.0ab73b31ea6fep-6, -0x1.04be7ce09411ep-6, -0x1.fdc62ea661758p-7, -0x1.f2493d1243e66p-7, -0x1.e7054e0c6ad09p-7, -0x1.dbf98b1819a38p-7, -0x1.d1251dc952acp-7, -0x1.c6872fa58272bp-7, -0x1.bc1eea6997c4p-7, -0x1.b1eb78b4d5a3ap-7, -0x1.a7ec06fa33807p-7, -0x1.9e1fc4816ca58p-7, -0x1.9485e43431168p-7, -0x1.8b1d9cf8b80fcp-7, -0x1.81e6297247e1bp-7, -0x1.78dec72516a6ap-7, -0x1.7006b52614d7bp-7, -0x1.675d32a4407a9p-7, -0x1.5ee17dad76ec2p-7, -0x1.5692d28cd13d4p-7, -0x1.4e706c025650ap-7, -0x1.46798461442e7p-7, -0x1.3ead5766dc39ep-7, -0x1.370b246706021p-7, -0x1.2f92304af4d2fp-7, -0x1.2841c6dd0c9e2p-7, -0x1.21193afc90fe3p-7, -0x1.1a17e5904ff2bp-7, -0x1.133d235c0f1abp-7, -0x1.0c88522654b71p-7, -0x1.05f8cdd1d3113p-7, -0x1.ff1bdc3c93924p-8, -0x1.f28e0b54397e7p-8, -0x1.e646c516c11a6p-8, -0x1.da44a0f6b9188p-8, -0x1.ce86386078e93p-8, -0x1.c30a2e6758274p-8, -0x1.b7cf36bcd7f4fp-8, -0x1.acd41a50c1bdbp-8, -0x1.a217b868c1741p-8, -0x1.979903b6c8a9cp-8, -0x1.8d56fbd647e3p-8, -0x1.8350a46f396b9p-8, -0x1.7984fbd9b676bp-8, -0x1.6ff2f350db83bp-8, -0x1.66996a7df7383p-8, -0x1.5d772f70e34f9p-8, -0x1.548b0322cde3fp-8, -0x1.4bd3a1a5f35fcp-8, -0x1.434fcc5e26675p-8, -0x1.3afe54366447fp-8, -0x1.32de21c6b4554p-8, -0x1.2aee39bf5a6ebp-8, -0x1.232dbc9e85d2ep-8, -0x1.1b9be19ac0e5bp-8, -0x1.1437eda5e5bc1p-8, -0x1.0d012847ffd1ep-8, -0x1.05f6d09acadb3p-8, -0x1.fe30296ac0cc1p-9, -0x1.f0c81a990c3e5p-9, -0x1.e3b37ca497a5dp-9, -0x1.d6f0387bf2eabp-9, -0x1.ca7c2967c49ccp-9, -0x1.be553175c1d82p-9, -0x1.b2794d28b4a8ap-9, -0x1.a6e6a30f029fep-9, -0x1.9b9b8cbd4c7a6p-9, -0x1.909697cc5f956p-9, -0x1.85d67ecfbce33p-9, -0x1.7b5a1baa1e2f4p-9, -0x1.712055f09c49ep-9, -0x1.672810da70f7bp-9, -0x1.5d701c484226ap-9, -0x1.53f72ba2f9b6ap-9, -0x1.4abbd3e28bb89p-9, -0x1.41bc9069dc24p-9, -0x1.38f7cd116cf6ep-9, -0x1.306bf2fd3dac8p-9, -0x1.281775a1d44abp-9, -0x1.1ff8dd760df4bp-9, -0x1.180ece37afbcbp-9, -0x1.1058079d158fp-9, -0x1.08d360e44da23p-9, -0x1.017fc16e7c851p-9, -0x1.f4b833206e86fp-10, -0x1.e6cebc75e732ep-10, -0x1.d941107d91cb3p-10, -0x1.cc0d2b5e1a62cp-10, -0x1.bf31159866f64p-10, -0x1.b2aae1168a56cp-10, -0x1.a678a21cb2684p-10, -0x1.9a98696a81cb2p-10, -0x1.8f0845f8a307bp-10, -0x1.83c6505afeb91p-10, -0x1.78d0b9ee4417p-10, -0x1.6e25d42d621eep-10, -0x1.63c4061d2345fp-10, -0x1.59a9af1f018b2p-10, -0x1.4fd50293cd01fp-10, -0x1.4643ef42077a4p-10, -0x1.3cf423830021fp-10, -0x1.33e33380dc356p-10, -0x1.2b0ed60531a91p-10, -0x1.22751e8c022bbp-10, -0x1.1a1498e5bf39cp-10, -0x1.11ec37d18aafdp-10, -0x1.09fb202a80367p-10, -0x1.02406feb37959p-10, -0x1.f57646be8a6abp-11, -0x1.e6d44bcc14377p-11, -0x1.d898f7e622d71p-11, -0x1.cac2c242bf3fep-11, -0x1.bd507a2fc045fp-11, -0x1.b040da270a847p-11, -0x1.a391f4539fcf3p-11, -0x1.9740be1341774p-11, -0x1.8b48f3cea21dfp-11, -0x1.7fa56ec47e367p-11, -0x1.7450df7c1c3acp-11, -0x1.6946b5f0c3577p-11, -0x1.5e83dd2a2303ep-11, -0x1.5406ecc44951dp-11, -0x1.49cfaa5a1aa44p-11, -0x1.3fde1a2debfabp-11, -0x1.3631ae1676248p-11, -0x1.2cc910c5b07b8p-11, -0x1.23a29928fe4a4p-11, -0x1.1abcfa18c3ce3p-11, -0x1.1217a650c92ebp-11, -0x1.09b2a6300a9bcp-11, -0x1.018dfe64d1a55p-11, -0x1.f352047060c0dp-12, -0x1.e403ce95852f9p-12, -0x1.d52b72784c828p-12, -0x1.c6c12f2061f8ep-12, -0x1.b8bc4cf43349p-12, -0x1.ab1467a34894cp-12, -0x1.9dc30195009a9p-12, -0x1.90c4bf0388bdbp-12, -0x1.841967d139834p-12, -0x1.77c26a5dc1373p-12, -0x1.6bc0bb8338b47p-12, -0x1.60138363b61b6p-12, -0x1.54b85c672c113p-12, -0x1.49aca40f16c95p-12, -0x1.3eeebe80d84cp-12, -0x1.347e808a4c3c6p-12, -0x1.2a5c8e11b40cp-12, -0x1.208912765b7b8p-12, -0x1.1702bbb872f18p-12, -0x1.0dc6b36e490dfp-12, -0x1.04d15c22e7925p-12, -0x1.f83de96adf591p-13, -0x1.e75746ae13ad5p-13, -0x1.d6e67d2f5d8c8p-13, -0x1.c6e306400524p-13, -0x1.b745cb01a15a7p-13, -0x1.a80ac662ae447p-13, -0x1.993120c390689p-13, -0x1.8ab9a9b4e6bbbp-13, -0x1.7ca4f00cb2ccap-13, -0x1.6ef221d3a646dp-13, -0x1.619efca73d041p-13, -0x1.54a8ba67edeb7p-13, -0x1.480dab72efaa2p-13, -0x1.3bcdfd8e05fb7p-13, -0x1.2fea26d750d9cp-13, -0x1.2460644b8b5b5p-13, -0x1.192c4b3e35f0fp-13, -0x1.0e48a55ac0511p-13, -0x1.03b15dadda8a7p-13, -0x1.f2c84c854770ep-14, -0x1.dec0061d3a5acp-14, -0x1.cb487d30f94b3p-14, -0x1.b85e87e2b9aa7p-14, -0x1.a5fbd5ddec826p-14, -0x1.9417294cdd55bp-14, -0x1.82a6362697ba9p-14, -0x1.71a0e8cdaa5a6p-14, -0x1.6104fe7c5412bp-14, -0x1.50d62bbb929d6p-14, -0x1.41184ef4afdcp-14, -0x1.31c9c1d093af7p-14, -0x1.22e5cce493544p-14, -0x1.146b24767c10ap-14, -0x1.065b742c6c1c8p-14, -0x1.f169bbec30d27p-15, -0x1.d6e063702f73cp-15, -0x1.bd0ae395abb67p-15, -0x1.a3ded6505c5edp-15, -0x1.8b5730112c06fp-15, -0x1.7371a302f394ep-15, -0x1.5c2dda7ca6ae3p-15, -0x1.458e2468d185dp-15, -0x1.2f96d24f7cca3p-15, -0x1.1a4aa0d3b6a2ep-15, -0x1.05a516d9709d8p-15, -0x1.e32e18acd0decp-16, -0x1.bc16a87f70873p-16, -0x1.95e5cb2b83c98p-16, -0x1.709d2f8ced311p-16, -0x1.4c545604f2b3fp-16, -0x1.2914b38abd7f5p-16, -0x1.06d0430efb185p-16, -0x1.cafc6b113848bp-17, -0x1.8a4d782000443p-17, -0x1.4b9562bd5b0dap-17, -0x1.0ead587dff302p-17, -0x1.a6d231ebe4b13p-18, -0x1.33642f099a395p-18, -0x1.860a0c2976ffap-19, -0x1.56c37989505c1p-20, 0x1.4a18976ee646dp-22, 0x1.efffa5bc5f418p-20, 0x1.c0e4901d07f03p-19, 0x1.41f1261949645p-18, 0x1.a0678e989234dp-18, 0x1.fbc3889c8b9fcp-18, 0x1.2a09cfdd311f8p-17, 0x1.54d1718be358p-17, 0x1.7e6531a9fdd72p-17, 0x1.a6d0f1e034e6ep-17, 0x1.ce129b9cfc522p-17, 0x1.f42a269927712p-17, 0x1.0c89acf8a02fcp-16, 0x1.1e69071d2a02cp-16, 0x1.2fb2fa3895137p-16, 0x1.40631bb3b42f6p-16, 0x1.508213da94a48p-16, 0x1.601d4f406896p-16, 0x1.6f3a923fa304p-16, 0x1.7dda83cd80cb9p-16, 0x1.8bfd423d7070bp-16, 0x1.99a3d1c8ebef3p-16, 0x1.a6d00b4619787p-16, 0x1.b384527ebc73cp-16, 0x1.bfc3275af72dap-16, 0x1.cb8e6d2da5e4fp-16, 0x1.d6e6ef1dd1f26p-16, 0x1.e1ccdaa26b288p-16, 0x1.ec3ff3cce035p-16, 0x1.f63fa458ec9fcp-16, 0x1.ffd1c25e99ceap-16, 0x1.047fb6eaf42ep-15, 0x1.08e173e52f62fp-15, 0x1.0d11c3b466244p-15, 0x1.1117068736bf2p-15, 0x1.14eaea654844p-15, 0x1.188ef39021096p-15, 0x1.1c03b940ee7b5p-15, 0x1.1f485670155dfp-15, 0x1.2260983c3d234p-15, 0x1.254e9304905eap-15, 0x1.28126696e6018p-15, 0x1.2aac1fba33225p-15, 0x1.2d1c2c5b029d7p-15, 0x1.2f63346500d11p-15, 0x1.3181ed6e9aaf6p-15, 0x1.3379085432f93p-15, 0x1.3549343787622p-15, 0x1.36f32623776d1p-15, 0x1.38779498d4353p-15, 0x1.39d72ca22a338p-15, 0x1.3b12abe949d9fp-15, 0x1.3c2ad26df21bep-15, 0x1.3d1f15587caf8p-15, 0x1.3dee934628be6p-15, 0x1.3e9ccb18a17eap-15, 0x1.3f2a1e9bd8e96p-15, 0x1.3f962a521906dp-15, 0x1.3fe2e1e3f33eep-15, 0x1.400f86c33c3d4p-15, 0x1.401f0d13205b7p-15, 0x1.400f9f4da3795p-15, 0x1.3fe13cc859993p-15, 0x1.3f96366c2e806p-15, 0x1.3f2f170e7713cp-15, 0x1.3eabf72c8fc58p-15, 0x1.3e0d26b675dddp-15, 0x1.3d531ec924213p-15, 0x1.3c7e671f70f84p-15, 0x1.3b8f87a86584p-15, 0x1.3a870209f8fap-15, 0x1.3965514ef28f2p-15, 0x1.382aef456d6fp-15, 0x1.36d85bb495668p-15, 0x1.356e1d9e3e21ep-15, 0x1.33ecba31e5299p-15, 0x1.3254b3dd2aac4p-15, 0x1.30a6a73193d44p-15, 0x1.2ee2f9ce86db1p-15, 0x1.2d08e053c289cp-15, 0x1.2b190e823eecbp-15, 0x1.29164b808c69ap-15, 0x1.270055c2e7919p-15, 0x1.24d46a81bad5fp-15, 0x1.2295563b2159cp-15, 0x1.20456311618ccp-15, 0x1.1de2ed5d3e0e7p-15, 0x1.1b6deb3f8a032p-15, 0x1.18e7cc8ed45cp-15, 0x1.1650ed2c5960ep-15, 0x1.13a988d46e45bp-15, 0x1.10f1fa4fe16bcp-15, 0x1.0e2aa9b45f553p-15, 0x1.0b5401faa003ep-15, 0x1.086e6d983df7cp-15, 0x1.057a5533f2c74p-15, 0x1.02781eeaaa65p-15, 0x1.fed05ce7e3143p-16, 0x1.f895cdb470de8p-16, 0x1.f24159f53d95bp-16, 0x1.ebd3d060e84bcp-16, 0x1.e54dfe68dfef7p-16, 0x1.deb0a542815d8p-16, 0x1.d7fc7fa4944ccp-16, 0x1.d1326a20603a8p-16, 0x1.ca531cce276d4p-16, 0x1.c35e3ccff7448p-16, 0x1.bc55bb595be3fp-16, 0x1.b53b37427ee51p-16, 0x1.ae0d6d1b98ac6p-16, 0x1.a6cd6c341623p-16, 0x1.9f7c70fb6225fp-16, 0x1.981c3204932b2p-16, 0x1.90ab93f778e06p-16, 0x1.892bf8a5fcf6ap-16, 0x1.819e580e389aep-16, 0x1.7a032b700f832p-16, 0x1.725b0c027b4c9p-16, 0x1.6aa6a1100ff8bp-16, 0x1.62e6931eac20dp-16, 0x1.5b1b890987a11p-16, 0x1.5346279743474p-16, 0x1.4b67116584f89p-16, 0x1.437ee6b432566p-16, 0x1.3b8e4539d8761p-16, 0x1.3395c8a45c9ccp-16, 0x1.2b960be95b3bbp-16, 0x1.238faa3bf946fp-16, 0x1.1b833e5d84b95p-16, 0x1.1371600ee6f7ep-16, 0x1.0b5a9f9d9e662p-16, 0x1.033f86d1437a4p-16, 0x1.f6415f8044a07p-17, 0x1.e5fd8d359bf51p-17, 0x1.d5b408395aec4p-17, 0x1.c56694d411988p-17, 0x1.b515ba5cac76p-17, 0x1.a4c2b444a858p-17, 0x1.946f1e69e6a1p-17, 0x1.841b742fca40fp-17, 0x1.73c8c558d9eb9p-17, 0x1.6377f20739438p-17, 0x1.532a1da999c83p-17, 0x1.42e07d4ce8bb2p-17, 0x1.329bda2710aabp-17, 0x1.225d1c79cf975p-17, 0x1.122533d7b881bp-17, 0x1.01f50d05bc8dfp-17, 0x1.e39b215c5c9b1p-18, 0x1.c35f46e6ac89ap-18, 0x1.a3384c2906597p-18, 0x1.8327eaf68ac01p-18, 0x1.632fd544e2977p-18, 0x1.4351b4fc5d4bp-18, 0x1.238f2c866171dp-18, 0x1.03e9d82f2be89p-18, 0x1.c8c69df7ce39bp-19, 0x1.89fa440408e52p-19, 0x1.4b71b50406b27p-19, 0x1.0d2fe91e6d0adp-19, 0x1.9e6f66fcef2ddp-20, 0x1.2317d6fb5395dp-20, 0x1.50bf259b36615p-21, 0x1.726392ed2076ep-23, -0x1.2c782dcc73258p-22, -0x1.87b532c55a13p-21, -0x1.3be22bb48c7abp-20, -0x1.b33017f525854p-20, -0x1.14dfc422036d6p-19, -0x1.4fc576e9bbdefp-19, -0x1.8a478bcba3bb9p-19, -0x1.c463f8a1af4c9p-19, -0x1.fe17856bf818fp-19, -0x1.1bb005d20e8e1p-18, -0x1.381dd17bd467ap-18, -0x1.54541a5b0b9b4p-18, -0x1.7051d7f1374c3p-18, -0x1.8c160906ccf4ap-18, -0x1.a79fb3a313a94p-18, -0x1.c2ede4c8c6b32p-18, -0x1.ddffb04dd14ap-18, -0x1.f8d430c357e2ap-18, -0x1.09b543b7263a3p-17, -0x1.16e0ee2913ef7p-17, -0x1.23ecaf104f9bbp-17, -0x1.30d820f47544ap-17, -0x1.3da2e15d1f32fp-17, -0x1.4a4c90ccc57ep-17, -0x1.56d4d2d3195a1p-17, -0x1.633b4e3df0901p-17, -0x1.6f7fae177a498p-17, -0x1.7ba1a24cc9185p-17, -0x1.87a0dbb9f28a6p-17, -0x1.937d04b00d4a2p-17, -0x1.9f35c8f23409bp-17, -0x1.aacb10b691088p-17, -0x1.b63c7d1c7248p-17, -0x1.c189bc42769b3p-17, -0x1.ccb29fdaa8ab6p-17, -0x1.d7b6ef9afeaddp-17, -0x1.e296707d28322p-17, -0x1.ed50e1e0fb12ep-17, -0x1.f7e6202b9bb71p-17, -0x1.012b06f40b52dp-16, -0x1.06502db33d1b3p-16, -0x1.0b62745badadbp-16, -0x1.1061c91180d95p-16, -0x1.154e1949d5036p-16, -0x1.1a2753c02dd57p-16, -0x1.1eed688bc5e12p-16, -0x1.23a049131fd8p-16, -0x1.283fe802c6bb1p-16, -0x1.2ccc3946d9935p-16, -0x1.314532069a5fdp-16, -0x1.35aac8a07f70dp-16, -0x1.39fcf4a72423dp-16, -0x1.3e3baeddc59bdp-16, -0x1.4266f130e5badp-16, -0x1.467eb6ab7d8f9p-16, -0x1.4a82fb739e15dp-16, -0x1.4e73bcc940d93p-16, -0x1.5250f901c87aap-16, -0x1.561aaf954bf7ap-16, -0x1.59d0e14f9502fp-16, -0x1.5d73901acede2p-16, -0x1.6102be4cb429p-16, -0x1.647e6d12c3382p-16, -0x1.67e6a2c9f131bp-16, -0x1.6b3b6ba247b1p-16, -0x1.6e7cc48fb24bbp-16, -0x1.71aab82f93811p-16, -0x1.74c54fbb8cf17p-16, -0x1.77cc94b625b69p-16, -0x1.7ac09171cb601p-16, -0x1.7da150d092cdcp-16, -0x1.806edd14ed68ap-16, -0x1.832945b6b8288p-16, -0x1.85d09aab8cde1p-16, -0x1.8864e55a28645p-16, -0x1.8ae63743028bp-16, -0x1.8d54a0d37df74p-16, -0x1.8fb032f06cc8dp-16, -0x1.91f8ff48c1ae5p-16, -0x1.942f184f484a6p-16, -0x1.96529133903bap-16, -0x1.98637ddc75088p-16, -0x1.9a61f2e436aebp-16, -0x1.9c4e05943bbbp-16, -0x1.9e27cbe0c2158p-16, -0x1.9fef5c6615a2cp-16, -0x1.a1a4ce6484cc4p-16, -0x1.a34839bba30d2p-16, -0x1.a4d9b6e566bf1p-16, -0x1.a6595ef2356a5p-16, -0x1.a7c74b86867cap-16, -0x1.a92396d663cebp-16, -0x1.aa6e5ba278a36p-16, -0x1.aba7b53fc3b5dp-16, -0x1.accfbf951983bp-16, -0x1.ade696f658368p-16, -0x1.aeec58005d624p-16, -0x1.afe11f2775aa4p-16, -0x1.b0c50cdc0e449p-16, -0x1.b1983d2878b47p-16, -0x1.b25aced398135p-16, -0x1.b30ce15a00a7ep-16, -0x1.b3ae94338664p-16, -0x1.b44007444f25ep-16, -0x1.b4c15adca1b87p-16, -0x1.b532afa357a7dp-16, -0x1.b5942690eb33cp-16, -0x1.b5e5e0a15cc58p-16, -0x1.b62800239ac37p-16, -0x1.b65aa756b216ep-16, -0x1.b67df7afa570ap-16, -0x1.b692143c85346p-16, -0x1.b6971feb6dcb6p-16, -0x1.b68d3dea05e6dp-16, -0x1.b67491aba0a2ap-16, -0x1.b64d3ee4e3827p-16, -0x1.b61769884bd03p-16, -0x1.b5d335c2ee58p-16, -0x1.b580c7fa05f26p-16, -0x1.b52044c7ae357p-16, -0x1.b4b1d0f8426fcp-16, -0x1.b435918882145p-16, }}, 
      {{0x1.b918633b85c41p-4, 0x1.92eee6a53ea3cp-3, 0x1.085ab555843bep-2, 0x1.28949c873cb95p-2, 0x1.2bc3e8d3accc4p-2, 0x1.15a7d4ceafe01p-2, 0x1.d5e7649738238p-3, 0x1.6126ed2351143p-3, 0x1.aceafa49fd442p-4, 0x1.f2538a14ebb6cp-6, -0x1.80414a62726a9p-5, -0x1.fd2324a2672c9p-4, -0x1.98689c5342d1bp-3, -0x1.14f2c4ad7f8a7p-2, -0x1.582c62bec8d08p-2, -0x1.94f7b5409d1dfp-2, -0x1.cac7bcb618d03p-2, -0x1.f95b2034ff66cp-2, -0x1.10567808d38dbp-1, -0x1.2073a15a6ffbp-1, -0x1.2d2bd902e8253p-1, -0x1.36b2cf3c5a1fep-1, -0x1.3d45089e50241p-1, -0x1.4124896d3acc1p-1, -0x1.429625b45ca2fp-1, -0x1.41df611ea839bp-1, -0x1.3f44ca3bd6127p-1, -0x1.3b08bdd06f573p-1, -0x1.356a80ada2aa1p-1, -0x1.2ea5a025fa3cdp-1, -0x1.26f18b725fae1p-1, -0x1.1e815a3e077c4p-1, -0x1.1583b678afafdp-1, -0x1.0c22e134f64c6p-1, -0x1.0284cbd778256p-1, -0x1.f196802445424p-2, -0x1.de28249965983p-2, -0x1.caf2b5db9a37ap-2, -0x1.b823678e7b331p-2, -0x1.a5e0eefed0ddp-2, -0x1.944c02af2f46dp-2, -0x1.837fd82aa73d7p-2, -0x1.73929e5f63ef1p-2, -0x1.6495f342bf84ap-2, -0x1.569753f2139adp-2, -0x1.49a086ce5b22cp-2, -0x1.3db7ff52811e3p-2, -0x1.32e13b8abba68p-2, -0x1.291d1b383234ep-2, -0x1.206a30bbc0f59p-2, -0x1.18c50bf739a4ap-2, -0x1.12287f5c87038p-2, -0x1.0c8ddf677d653p-2, -0x1.07ed3cc8c1438p-2, -0x1.043d9983ced7dp-2, -0x1.01751948dd665p-2, -0x1.ff125aa148787p-3, -0x1.fcdd77fffd284p-3, -0x1.fc34893022063p-3, -0x1.fcfffe6b29cb1p-3, -0x1.ff27f2bf7be2ep-3, -0x1.014a2f635015cp-2, -0x1.0396a2b6cc487p-2, -0x1.066d6da002dcfp-2, -0x1.09c2d452aa0fbp-2, -0x1.0d8b53bc40785p-2, -0x1.11bbae2a12badp-2, -0x1.1648f5f5e2862p-2, -0x1.1b28966bdbcc3p-2, -0x1.20505afd5a2ddp-2, -0x1.25b6752d2c356p-2, -0x1.2b5180d8b36d2p-2, -0x1.311887c09661dp-2, -0x1.370303839e666p-2, -0x1.3d08deb27bb37p-2, -0x1.432275c0b8723p-2, -0x1.4948956f13619p-2, -0x1.4f747b5ec99bep-2, -0x1.559fd35837535p-2, -0x1.5bc4b55d0f2b3p-2, -0x1.61dda469deca6p-2, -0x1.67e589375c36bp-2, -0x1.6dd7b136c1b6fp-2, -0x1.73afca1b61d8ap-2, -0x1.7969de1c45f8ep-2, -0x1.7f02518acfd44p-2, -0x1.8475ddebd69d6p-2, -0x1.89c18f044fd68p-2, -0x1.8ee2be615e1cfp-2, -0x1.93d70f90aa82ap-2, -0x1.989c6c68396cbp-2, -0x1.9d3100ae33aeep-2, -0x1.a193371668512p-2, -0x1.a5c1b58357527p-2, -0x1.a9bb5997bcc95p-2, -0x1.ad7f35b7d16fdp-2, -0x1.b10c8dae38149p-2, -0x1.b462d3925ba5ep-2, -0x1.b781a4c2e1ac9p-2, -0x1.ba68c6f04360dp-2, -0x1.bd1825520f18dp-2, -0x1.bf8fce0104683p-2, -0x1.c1cfef80ac723p-2, -0x1.c3d8d66b21e87p-2, -0x1.c5aaeb3e456ffp-2, -0x1.c746b048d3ebp-2, -0x1.c8acbfa699b95p-2, -0x1.c9ddc94d3b679p-2, -0x1.cada912a604ffp-2, -0x1.cba3ed49e5c21p-2, -0x1.cc3ac40a66938p-2, -0x1.cca00a6602abp-2, -0x1.ccd4c24ac7e3p-2, -0x1.ccd9f907a76d5p-2, -0x1.ccb0c5d44b848p-2, -0x1.cc5a486f10e09p-2, -0x1.cbd7a7d0c47ebp-2, -0x1.cb2a10fa4a8b6p-2, -0x1.ca52b5d7f9ca2p-2, -0x1.c952cc3642815p-2, -0x1.c82b8cc9d52dap-2, -0x1.c6de324a0a936p-2, -0x1.c56bf898d81cp-2, -0x1.c3d61bf86bc53p-2, -0x1.c21dd8505ae4p-2, -0x1.c0446880030bfp-2, -0x1.be4b05bc7c2a5p-2, -0x1.bc32e6fc1d164p-2, -0x1.b9fd406fe6971p-2, -0x1.b7ab430918ab6p-2, -0x1.b53e1c0a2d7b3p-2, -0x1.b2b6f4a495d5dp-2, -0x1.b016f1a2ad23dp-2, -0x1.ad5f331b48bcp-2, -0x1.aa90d42f45903p-2, -0x1.a7acead0f335ep-2, -0x1.a4b487939437p-2, -0x1.a1a8b582e3d5p-2, -0x1.9e8a7a00dee27p-2, -0x1.9b5ad4a97ec72p-2, -0x1.981abf3da5891p-2, -0x1.94cb2d91ff961p-2, -0x1.916d0d817e0fcp-2, -0x1.8e0146e60ee77p-2, -0x1.8a88bb9464443p-2, -0x1.87044759fcef9p-2, -0x1.8374c00076093p-2, -0x1.7fdaf5534bef2p-2, -0x1.7c37b126b6611p-2, -0x1.788bb7637c1e4p-2, -0x1.74d7c61542e8cp-2, -0x1.711c95785c07dp-2, -0x1.6d5ad80b620a2p-2, -0x1.69933aa484971p-2, -0x1.65c664857da4bp-2, -0x1.61f4f770be0f5p-2, -0x1.5e1f8fc3063ffp-2, -0x1.5a46c48c9b6dp-2, -0x1.566b27a8f33b6p-2, -0x1.528d45d9cbe71p-2, -0x1.4eada6e4220ccp-2, -0x1.4acccdaa52f89p-2, -0x1.46eb384695998p-2, -0x1.4309602904edcp-2, -0x1.3f27ba34c7efap-2, -0x1.3b46b6da1fa94p-2, -0x1.3766c232485aep-2, -0x1.3388441debb2dp-2, -0x1.2faba0610f25ap-2, -0x1.2bd136bc88839p-2, -0x1.27f96309cca6ap-2, -0x1.24247d5853ap-2, -0x1.2052da07dc03p-2, -0x1.1c84c9e09a06bp-2, -0x1.18ba9a2e28196p-2, -0x1.14f494da882abp-2, -0x1.1133008751727p-2, -0x1.0d7620a4146a1p-2, -0x1.09be3586d6e51p-2, -0x1.060b7c85a5aep-2, -0x1.025e300dab0f2p-2, -0x1.fd6d0f6ff46ffp-3, -0x1.f62970bf30586p-3, -0x1.eef1e8711a0b4p-3, -0x1.e7c6d5cab943fp-3, -0x1.e0a8931480195p-3, -0x1.d99775c15982cp-3, -0x1.d293ce977958p-3, -0x1.cb9de9d7a5c5p-3, -0x1.c4b60f6089abfp-3, -0x1.bddc82d1636c5p-3, -0x1.b71183ae1624ep-3, -0x1.b0554d824d77ap-3, -0x1.a9a818017025p-3, -0x1.a30a172514061p-3, -0x1.9c7b7b4ce457ap-3, -0x1.95fc715ec679p-3, -0x1.8f8d22e3a42acp-3, -0x1.892db621520dbp-3, -0x1.82de4e356e2e3p-3, -0x1.7c9f0b32b37b6p-3, -0x1.76700a3d1a427p-3, -0x1.705165a151ac6p-3, -0x1.6a4334e968d5p-3, -0x1.64458cf414631p-3, -0x1.5e58800f8285ap-3, -0x1.587c1e12d0dbap-3, -0x1.52b07471a5be8p-3, -0x1.4cf58e4c2df5dp-3, -0x1.474b7481ed74ep-3, -0x1.41b22dc9ac131p-3, -0x1.3c29bec9aeca5p-3, -0x1.36b22a29fc998p-3, -0x1.314b70a0d0762p-3, -0x1.2bf590ffd3cb5p-3, -0x1.26b08847786f5p-3, -0x1.217c51be23d85p-3, -0x1.1c58e703c31ffp-3, -0x1.1746401dcb7ccp-3, -0x1.1244537f8d8dap-3, -0x1.0d5316168a446p-3, -0x1.08727b5dac502p-3, -0x1.03a275726a97p-3, -0x1.fdc5ea48d8635p-4, -0x1.f467d3fb28ed7p-4, -0x1.eb2a848f987bbp-4, -0x1.e20dd62fd5446p-4, -0x1.d911a0bf02c57p-4, -0x1.d035ba002913bp-4, -0x1.c779f5b177accp-4, -0x1.bede2598a24cap-4, -0x1.b662198a5229cp-4, -0x1.ae059f7a8b736p-4, -0x1.a5c8839acf7eap-4, -0x1.9daa907d665c7p-4, -0x1.95ab8f305308ap-4, -0x1.8dcb4749f5bcbp-4, -0x1.86097eedb1df2p-4, -0x1.7e65fad52faeap-4, -0x1.76e07e6610388p-4, -0x1.6f78cbd08da85p-4, -0x1.682ea42bb6da7p-4, -0x1.6101c7862f47bp-4, -0x1.59f1f4ebc570cp-4, -0x1.52feea68d3595p-4, -0x1.4c28651568e8bp-4, -0x1.456e212b3b843p-4, -0x1.3ecfda2063876p-4, -0x1.384d4abd4c389p-4, -0x1.31e62d2830514p-4, -0x1.2b9a3ae86b2bp-4, -0x1.25692ce9727d4p-4, -0x1.1f52bb84e8d9fp-4, -0x1.19569e9543513p-4, -0x1.13748d8bf9419p-4, -0x1.0dac3f83c203ap-4, -0x1.07fd6b4a8c7bcp-4, -0x1.0267c764a2b6ep-4, -0x1.f9d6141d7d90bp-5, -0x1.ef0dd289cca05p-5, -0x1.e47635a0311d3p-5, -0x1.da0ea8afc4f1dp-5, -0x1.cfd696e4d17b3p-5, -0x1.c5cd6b5d8abe6p-5, -0x1.bbf29132c294cp-5, -0x1.b245737b1e398p-5, -0x1.a8c57d51dc87p-5, -0x1.9f7219e6f7335p-5, -0x1.964ab497d2fbcp-5, -0x1.8d4eb90a3568bp-5, -0x1.847d934218c95p-5, -0x1.7bd6afae842e3p-5, -0x1.73597b2ed878fp-5, -0x1.6b056315e4d7cp-5, -0x1.62d9d53095c93p-5, -0x1.5ad63fd338c14p-5, -0x1.52fa11ec127efp-5, -0x1.4b44bb16d7f82p-5, -0x1.43b5abac63ec8p-5, -0x1.3c4c54cc52fd1p-5, -0x1.350828617eae9p-5, -0x1.2de89924a7496p-5, -0x1.26ed1aa0feb0fp-5, -0x1.2015213cb6f8ap-5, -0x1.1960224548b41p-5, -0x1.12cd93fce7845p-5, -0x1.0c5ceda6403fp-5, -0x1.060da78c90fp-5, -0x1.ffbe76100eb95p-6, -0x1.f3a24500057b5p-6, -0x1.e7c5b2dac22bbp-6, -0x1.dc27b8bd701eap-6, -0x1.d0c751fdebd93p-6, -0x1.c5a37c3b48eeep-6, -0x1.babb376e22644p-6, -0x1.b00d85f5c774ep-6, -0x1.a5996ca0c26a1p-6, -0x1.9b5df2b13afc9p-6, -0x1.915a21df54e89p-6, -0x1.878d065bd42c5p-6, -0x1.7df5aed4ebc78p-6, -0x1.74932c7d9ae99p-6, -0x1.6b649316a025fp-6, -0x1.6268f8f719a04p-6, -0x1.599f77134c576p-6, -0x1.51072900b0ad5p-6, -0x1.489f2cf7b794p-6, -0x1.4066a3d4168d2p-6, -0x1.385cb114e69ffp-6, -0x1.30807adda3c9fp-6, -0x1.28d129f875c29p-6, -0x1.214de9d95b54cp-6, -0x1.19f5e8a15f938p-6, -0x1.12c85720e4056p-6, -0x1.0bc468d867158p-6, -0x1.04e953f7e50abp-6, -0x1.fc6ca2ba6c141p-7, -0x1.ef55392430b8cp-7, -0x1.e28ae794be95fp-7, -0x1.d60c2fc550c7ap-7, -0x1.c9d798bf35549p-7, -0x1.bdebaeda7cd16p-7, -0x1.b24703bbbc2bp-7, -0x1.a6e82e4fdc3b5p-7, -0x1.9bcdcac61bbf2p-7, -0x1.90f67a88bcb6fp-7, -0x1.8660e43573da3p-7, -0x1.7c0bb39680ee1p-7, -0x1.71f5999cce495p-7, -0x1.681d4c5ad2905p-7, -0x1.5e8186ff7108ap-7, -0x1.552109cf8af8p-7, -0x1.4bfa9a1d40826p-7, -0x1.430d023c3aac7p-7, -0x1.3a571173e942cp-7, -0x1.31d79bf14f76p-7, -0x1.298d7aba9d859p-7, -0x1.21778ba671314p-7, -0x1.1994b1572cd51p-7, -0x1.11e3d339698bfp-7, -0x1.0a63dd82eaf0ep-7, -0x1.0313c12ec3d8bp-7, -0x1.f7e4e7e6a03a7p-8, -0x1.e9fde0606f5e1p-8, -0x1.dc7069a9f56ffp-8, -0x1.cf3a8a8647e47p-8, -0x1.c25a526499acfp-8, -0x1.b5cdd93884e75p-8, -0x1.a9933f68fd312p-8, -0x1.9da8add89b19bp-8, -0x1.920c5603bdf49p-8, -0x1.86bc7228820f1p-8, -0x1.7bb74561e64dfp-8, -0x1.70fb1ba29b0d6p-8, -0x1.6686498620e1dp-8, -0x1.5c572bf778a92p-8, -0x1.526c27b858b38p-8, -0x1.48c3a8e03f925p-8, -0x1.3f5c227220564p-8, -0x1.36340e24469c5p-8, -0x1.2d49ec6bef8d7p-8, -0x1.249c44cc2b2a2p-8, -0x1.1c29a653e21cp-8, -0x1.13f0a8269fbadp-8, -0x1.0befe9e3167e5p-8, -0x1.042613be764ebp-8, -0x1.f923ac7679f5p-9, -0x1.ea63d2f5a25fap-9, -0x1.dc0a188b2b135p-9, -0x1.ce1405f8faf5bp-9, -0x1.c07f2d66f3391p-9, -0x1.b3492961323fcp-9, -0x1.a66f9cee3a344p-9, -0x1.99f034c9c8451p-9, -0x1.8dc8a98515117p-9, -0x1.81f6c20be2263p-9, -0x1.767855e60b1b8p-9, -0x1.6b4b4e9059335p-9, -0x1.606da77255747p-9, -0x1.55dd6c457222ap-9, -0x1.4b98b623188a1p-9, -0x1.419da7c84ea01p-9, -0x1.37ea69dc7db7dp-9, -0x1.2e7d281788387p-9, -0x1.25540ffca6a58p-9, -0x1.1c6d5189b56e5p-9, -0x1.13c721c82bea3p-9, -0x1.0b5fbebaa998dp-9, -0x1.033573c890cd9p-9, -0x1.f68d3b451c4e2p-10, -0x1.e723595703f38p-10, -0x1.d82a4a772913ap-10, -0x1.c99f3b0d08abdp-10, -0x1.bb7f72e74fc33p-10, -0x1.adc84a631b405p-10, -0x1.a0771f45a3ffbp-10, -0x1.93894bacdc5e8p-10, -0x1.86fc211586d19p-10, -0x1.7acce89634b78p-10, -0x1.6ef8e84793d86p-10, -0x1.637d6cb500fdbp-10, -0x1.5857d4573fa07p-10, -0x1.4d859ab889fc7p-10, -0x1.430460f5d2f06p-10, -0x1.38d1f1d557626p-10, -0x1.2eec4081426d7p-10, -0x1.255161fcae667p-10, -0x1.1bff827d385e7p-10, -0x1.12f4d8b7e9696p-10, -0x1.0a2f99b265564p-10, -0x1.01adef96d1737p-10, -0x1.f2dbeab218b0bp-11, -0x1.e2db6fbb4dc0dp-11, -0x1.d356782b0aab6p-11, -0x1.c44911098d5b8p-11, -0x1.b5af604e70511p-11, -0x1.a785b93d37d28p-11, -0x1.99c8abd1cf7e5p-11, -0x1.8c750cc0edf38p-11, -0x1.7f87f4d6a05b9p-11, -0x1.72feb7ee8c526p-11, -0x1.66d6d544cfd23p-11, -0x1.5b0de42eac681p-11, -0x1.4fa181021975p-11, -0x1.448f3dd66d527p-11, -0x1.39d499c6155c4p-11, -0x1.2f6effbc81293p-11, -0x1.255bcc24c7af7p-11, -0x1.1b98578683d46p-11, -0x1.12220384b2a02p-11, -0x1.08f647a33e3d4p-11, -0x1.0012bb73bd512p-11, -0x1.eeea387c9f234p-12, -0x1.de369a483b1b3p-12, -0x1.ce06a461ff694p-12, -0x1.be5690e23ab93p-12, -0x1.af22bc242a7bp-12, -0x1.a0679a5252a77p-12, -0x1.9221b4031250dp-12, -0x1.844da78a78f5cp-12, -0x1.76e82a5103e2cp-12, -0x1.69ee0689270bep-12, -0x1.5d5c1577a3cffp-12, -0x1.512f3aa9db13ep-12, -0x1.45646591dbb9ap-12, -0x1.39f89b4c124e9p-12, -0x1.2ee9038ca256dp-12, -0x1.2432eec130674p-12, -0x1.19d3cce4c6704p-12, -0x1.0fc914a18e67dp-12, -0x1.061024a2addc9p-12, -0x1.f94c5e3cb4b3ep-13, -0x1.e7107b3877b06p-13, -0x1.d566a1a961e4p-13, -0x1.c449250b7c81fp-13, -0x1.b3b30826ed457p-13, -0x1.a3a026e4c7bb2p-13, -0x1.940d1651ebbb7p-13, -0x1.84f6cc084ecf8p-13, -0x1.765a4078057ap-13, -0x1.6834431f4d4c6p-13, -0x1.5a81950674acp-13, -0x1.4d3f2b0dcd591p-13, -0x1.406a5c8d8bcaap-13, -0x1.3400d0a9d1bb4p-13, -0x1.2800286eef6edp-13, -0x1.1c658d0376753p-13, -0x1.112d58f137359p-13, -0x1.06530840ceabp-13, -0x1.f7a301024c955p-14, -0x1.e347452cb11f9p-14, -0x1.cf89f256b33bap-14, -0x1.bc647e501bdc9p-14, -0x1.a9d2f6cb78469p-14, -0x1.97d33583087e3p-14, -0x1.8663778dfaac4p-14, -0x1.75812bc4445ffp-14, -0x1.6528ab0cbf28p-14, -0x1.5555e39f1e147p-14, -0x1.460555ff0ca0cp-14, -0x1.3734a0092c44p-14, -0x1.28e23b6ce7597p-14, -0x1.1b0ca1366bb23p-14, -0x1.0db155864e893p-14, -0x1.00cc548eb7e0cp-14, -0x1.e8b016380adf7p-15, -0x1.d09b756f59119p-15, -0x1.b94c46f9cb93fp-15, -0x1.a2b4d8fd60551p-15, -0x1.8cca5dbc6e3bcp-15, -0x1.77866e8085428p-15, -0x1.62e6e23693e03p-15, -0x1.4eebb6cf27848p-15, -0x1.3b94408d7b0c6p-15, -0x1.28dd7c42cbe7ap-15, -0x1.16c2726507061p-15, -0x1.053df2f73bf4bp-15, -0x1.e89862de08b3fp-16, -0x1.c7d681b910575p-16, -0x1.a8347c57d71c6p-16, -0x1.89af63fbf61bep-16, -0x1.6c409b5470ee8p-16, -0x1.4fddcfdae8278p-16, -0x1.347adbd497f6dp-16, -0x1.1a0b68d409c11p-16, -0x1.0083205b836ddp-16, -0x1.cfaa7cf46b359p-17, -0x1.9fea4048499cfp-17, -0x1.71b05a23beed4p-17, -0x1.44ef473e29f1ap-17, -0x1.19a118e3c26b7p-17, -0x1.df8747d130d42p-18, -0x1.8ea80db3c5917p-18, -0x1.40985e7879586p-18, -0x1.ea8b821962678p-19, -0x1.59378d2d0dd99p-19, -0x1.9a2c89a85be03p-20, -0x1.1867bc0cc7fcbp-21, 0x1.de42cefbc1851p-22, 0x1.715d66ea54575p-20, 0x1.30ce2a87bbd5bp-19, 0x1.a462279eb0aa6p-19, 0x1.09cdb0593b7a3p-18, 0x1.3f4d367fb4c1dp-18, 0x1.72ba22cbf761cp-18, 0x1.a41dcbdd96273p-18, 0x1.d3852ceef2898p-18, 0x1.0081c60d9eb38p-17, 0x1.1658cdef1cc84p-17, 0x1.2b54a52850a0cp-17, 0x1.3f7f9ea5ddeabp-17, 0x1.52de2a7a83052p-17, 0x1.656f01d601c4ap-17, 0x1.7730da111228cp-17, 0x1.8827c020a108bp-17, 0x1.985aabdeeee53p-17, 0x1.a7cd48f40b889p-17, 0x1.b68050ad06e39p-17, 0x1.c477b83195ebp-17, 0x1.d1bc78d989df1p-17, 0x1.de58491035b08p-17, 0x1.ea5224ec038d2p-17, 0x1.f5ae601ca34b7p-17, 0x1.0037f1d9d513dp-16, 0x1.054c509e96a2p-16, 0x1.0a14b4bda772cp-16, 0x1.0e9126e1c23acp-16, 0x1.12c21c4d6017p-16, 0x1.16a9a5e0d9a1bp-16, 0x1.1a4c14ae4ef87p-16, 0x1.1daecf64c382ep-16, 0x1.20d5b7f1865f9p-16, 0x1.23c15b5fb8805p-16, 0x1.26701f73880d3p-16, 0x1.28e1de0b8a402p-16, 0x1.2b18d411ac0b8p-16, 0x1.2d16c3a16012dp-16, 0x1.2edbad26f560dp-16, 0x1.30683a3d79461p-16, 0x1.31bf20ad2eb26p-16, 0x1.32e35fc0623d5p-16, 0x1.33d6d968419e6p-16, 0x1.349a916d3c7dp-16, 0x1.352f54aa82283p-16, 0x1.35960d6faea8ap-16, 0x1.35cfbd272952dp-16, 0x1.35dd4033bbe38p-16, 0x1.35bf18b35fadep-16, 0x1.3575801206ed2p-16, 0x1.3500c6c2fedc2p-16, 0x1.3461fe4568c15p-16, 0x1.339b96a0f4f19p-16, 0x1.32b038e66598ep-16, 0x1.31a0fc7cb64c6p-16, 0x1.306e68c213bc5p-16, 0x1.2f1925ba14a69p-16, 0x1.2da19883b4123p-16, 0x1.2c088d27b0e31p-16, 0x1.2a4eab1d06e8ep-16, 0x1.28742603e3f85p-16, 0x1.267a4eb33add2p-16, 0x1.2462e5367681cp-16, 0x1.222eff6c32323p-16, 0x1.1fdf3ecb49303p-16, 0x1.1d7436685774ep-16, 0x1.1aee8b6b970e2p-16, 0x1.184ef3cbdf89cp-16, 0x1.15962f83ac611p-16, 0x1.12c4febf3095bp-16, 0x1.0fdc13250a7cfp-16, 0x1.0cdc075b35703p-16, 0x1.09c5698071e59p-16, 0x1.0698bdc72da81p-16, 0x1.03567fd975b6ap-16, 0x1.ffff597372cbfp-17, 0x1.f92aff20a42e9p-17, 0x1.f230149a9dac1p-17, 0x1.eb10aedb59851p-17, 0x1.e3cfa8c0cc935p-17, 0x1.dc6c1f8e3dd9bp-17, 0x1.d4e78d5cf8a32p-17, 0x1.cd43135f2385ep-17, 0x1.c57f5a0a13b91p-17, 0x1.bd9e700d7ef6ep-17, 0x1.b5a1e2067c742p-17, 0x1.ad8aa5a2becafp-17, 0x1.a559a70b1e494p-17, 0x1.9d0feb636bbf5p-17, 0x1.94ae85c3eea6p-17, 0x1.8c368aa6ad907p-17, 0x1.83a90aac65c9p-17, 0x1.7b07133552bcep-17, 0x1.7251b01c0a857p-17, 0x1.6989ea3d966e7p-17, 0x1.60b0c4b411f8dp-17, 0x1.57c7444359858p-17, 0x1.4ece6b1489978p-17, 0x1.45c6dfc281f72p-17, 0x1.3cb1326fa1ce9p-17, 0x1.338f1aead0eb3p-17, 0x1.2a6177284e55ap-17, 0x1.2128ec97aeb57p-17, 0x1.17e6bb52754cfp-17, 0x1.0e9b70015c70cp-17, 0x1.05488932f7be8p-17, 0x1.f7dc84071fc7ap-18, 0x1.e51a9b8beed7p-18, 0x1.d24defd357801p-18, 0x1.bf78250654929p-18, 0x1.ac9a9dd554038p-18, 0x1.99b6d43404c7dp-18, 0x1.86ce5215d3978p-18, 0x1.73e2a39a4021cp-18, 0x1.60f54f74f8ad2p-18, 0x1.4e07d358ad4ddp-18, 0x1.3b1ba390d2d9cp-18, 0x1.28322dbe30758p-18, 0x1.154cdccd8bf72p-18, 0x1.026d1a18e15d8p-18, 0x1.df289212a102p-19, 0x1.b9878cbd0d236p-19, 0x1.93f9ee0b2cbd7p-19, 0x1.6e823bd6ce5d9p-19, 0x1.4921ac66255afp-19, 0x1.23daf7d707c86p-19, 0x1.fd6616fe12807p-20, 0x1.b35729ffde1cdp-20, 0x1.6986e0b645fcfp-20, 0x1.1ffef18e5454fp-20, 0x1.ad8ff2493ac15p-21, 0x1.1bc3b97f7d32fp-21, 0x1.153fa34e2a52ap-22, -0x1.73b7ab4103f5ap-27, -0x1.2b00aaf967bbep-22, -0x1.246d4740a64acp-21, -0x1.b28e0950e862fp-21, -0x1.1fed6f831a7bdp-20, -0x1.662613716ea1dp-20, -0x1.abed34e0124b4p-20, -0x1.f13f30a65bb1bp-20, -0x1.1b0c3f3d7d028p-19, -0x1.3d3ad8ad777c6p-19, -0x1.5f29b99931384p-19, -0x1.80d73eb58dca4p-19, -0x1.a241caa003431p-19, -0x1.c367c95a5fa26p-19, -0x1.e447b7f7b22f5p-19, -0x1.02701144311bfp-18, -0x1.1297c474581e8p-18, -0x1.229a450cce4dbp-18, -0x1.327747f5b63b7p-18, -0x1.422dbd10401cdp-18, -0x1.51bca9a811252p-18, -0x1.61242bffde09ep-18, -0x1.70638feccea46p-18, -0x1.7f7a0b80da5fcp-18, -0x1.8e66ab4254374p-18, -0x1.9d29993ba6315p-18, -0x1.abc20c5a1ab63p-18, -0x1.ba2f68a519dcp-18, -0x1.c871476cb18e5p-18, -0x1.d68739adefc8ap-18, -0x1.e470cef3347p-18, -0x1.f22d9a3e4b22ep-18, -0x1.ffbd33151554dp-18, -0x1.068f9ad2678fdp-17, -0x1.0d29a16162b63p-17, -0x1.13ac8006c81abp-17, -0x1.1a180c08c244dp-17, -0x1.206c1d05043fbp-17, -0x1.26a88c86e947fp-17, -0x1.2ccd35a528b31p-17, -0x1.32d9f5173e58bp-17, -0x1.38cea9e50977dp-17, -0x1.3eab36c164b04p-17, -0x1.446f8222f1466p-17, -0x1.4a1b6faa42866p-17, -0x1.4faede1592d2dp-17, -0x1.5529cf2baaec5p-17, -0x1.5a8c152d24349p-17, -0x1.5fd5b3bcbca26p-17, -0x1.6506940d52532p-17, -0x1.6a1e8e898999p-17, -0x1.6f1daded8de41p-17, -0x1.7403e54f96ca6p-17, -0x1.78d1311d0b8e9p-17, -0x1.7d858343bc3f6p-17, -0x1.8220cbbe05edp-17, -0x1.86a30e20a6692p-17, -0x1.8b0c49b5949d8p-17, -0x1.8f5c7d867ef05p-17, -0x1.9393aa12c6533p-17, -0x1.97b1d180f9fc9p-17, -0x1.9bb6f7968f789p-17, -0x1.9fa321aaa7f42p-17, -0x1.a376569d6c11ep-17, -0x1.a7309edad267p-17, -0x1.aad2045dc3a4dp-17, -0x1.ae5a929a4b934p-17, -0x1.b1ca5647e0275p-17, -0x1.b5215d36469c4p-17, -0x1.b85fb659462adp-17, -0x1.bb8572001fb45p-17, -0x1.be92a286086e3p-17, -0x1.c1875d1f92a23p-17, -0x1.c463b74437401p-17, -0x1.c727c029d1be2p-17, -0x1.c9d38b6c607a4p-17, -0x1.cc67417c72b48p-17, -0x1.cee2fcc21512ep-17, -0x1.d146c7455b217p-17, -0x1.d392bfdd3b2f4p-17, -0x1.d5c7043063d81p-17, -0x1.d7e3ab36db216p-17, -0x1.d9e8e294020a4p-17, -0x1.dbd6cf51e62f3p-17, -0x1.ddad7fbed9e3dp-17, -0x1.df6d1692b4ddp-17, -0x1.e115bb117b947p-17, -0x1.e2a790e11dd2fp-17, -0x1.e422bbec6bdfap-17, -0x1.e5876107e156dp-17, -0x1.e6d5a5ebbbf4p-17, -0x1.e80db126a128ep-17, -0x1.e92faa12e346fp-17, -0x1.ea3bb8cf01e28p-17, -0x1.eb32063842512p-17, -0x1.ec12bbe9cd66ep-17, -0x1.ecde04367fa2ep-17, -0x1.ed940a162fe9dp-17, -0x1.ee34f90f2c5b8p-17, -0x1.eec0fd3087e0bp-17, -0x1.ef38431679f18p-17, -0x1.ef9af7f9e3d6cp-17, -0x1.efe94a0f7fa94p-17, -0x1.f02368cc746e1p-17, -0x1.f049835e4c45ep-17, -0x1.f05bc5bd03ef7p-17, -0x1.f05a5b98b8f9fp-17, -0x1.f045875cf0a74p-17, -0x1.f01d6f7d38256p-17, -0x1.efe23e6486f69p-17, -0x1.ef942bc01a7e4p-17, -0x1.ef336a9e1a871p-17, -0x1.eec02c2bdf846p-17, -0x1.ee3a9e90fd06fp-17, -0x1.eda2fac468b64p-17, -0x1.ecf97b663a931p-17, -0x1.ec3e4634ebb4p-17, -0x1.eb7193361b92p-17, -0x1.ea93981c47657p-17, -0x1.e9a4893cfeecap-17, -0x1.e8a49b1fb844cp-17, -0x1.e794028eaf0bbp-17, -0x1.e672f48b9add6p-17, -0x1.e541a6479582cp-17, -0x1.e4004d1d193c2p-17, -0x1.e2af1e8bb97aap-17, -0x1.e14e5034b536ep-17, -0x1.dfde17d7ce74bp-17, -0x1.de5eab500211dp-17, -0x1.dcd0408c4d559p-17, -0x1.db330d87b5455p-17, -0x1.d98748462b1ffp-17, -0x1.d7cd26d3e6a2dp-17, -0x1.d604df415b4a5p-17, -0x1.d42ea7ad985cbp-17, -0x1.d24ab66c755dcp-17, -0x1.d05941dab8ecfp-17, -0x1.ce5a7fd3cbfe3p-17, -0x1.cc4ea47add71ap-17, -0x1.ca35e73287ep-17, -0x1.c81082f1514b6p-17, -0x1.c5dea62c6d4f9p-17, -0x1.c3a0890f687p-17, -0x1.c15661dc50264p-17, -0x1.bf00663e34c96p-17, -0x1.bc9ecbb22709ap-17, -0x1.ba31c75844bb6p-17, -0x1.b7b98d1714556p-17, -0x1.b53653dcb2afp-17, -0x1.b2a8522e5ed87p-17, -0x1.b00fb905151dcp-17, -0x1.ad6cbe7eb902dp-17, -0x1.aabf972dac7a8p-17, -0x1.a808773965ab8p-17, -0x1.a547929bb8c24p-17, -0x1.a27d1d1cad7d5p-17, -0x1.9fa94a4e19a32p-17, -0x1.9ccc4d8886eefp-17, -0x1.99e659e947a1ep-17, -0x1.96f7a24ff986p-17, -0x1.9400595d06954p-17, -0x1.9100b1700e923p-17, -0x1.8df8dca5eea08p-17, -0x1.8ae90cd663fc9p-17, -0x1.87d17391d2bap-17, -0x1.84b2421fd7b65p-17, -0x1.818ba97e18839p-17, -0x1.7e5dda5e5dbd6p-17, -0x1.7b290525d4cd7p-17, -0x1.77ed59f205937p-17, -0x1.74ab08974a663p-17, -0x1.7162408c9eaadp-17, -0x1.6e1330d88f16fp-17, -0x1.6abe07d51019ap-17, -0x1.6762f57ef75c8p-17, -0x1.640226c2bbf68p-17, -0x1.609bc985b7c27p-17, -0x1.5d300b77802a2p-17, -0x1.59bf19b2ef5bcp-17, -0x1.564920fbc0417p-17, -0x1.52ce4dbf42a5dp-17, -0x1.4f4ecc0a58d5ep-17, -0x1.4bcac787ba068p-17, -0x1.48426b5ba6a58p-17, -0x1.44b5e2c45fceep-17, -0x1.41255871b0f98p-17, -0x1.3d90f62d04eb4p-17, -0x1.39f8e5fd33bp-17, -0x1.365d515534929p-17, -0x1.32be6142df747p-17, -0x1.2f1c3e722b322p-17, -0x1.2b77112c3c638p-17, -0x1.27cf015674f94p-17, -0x1.24243671bdca1p-17, -0x1.2076d79a5b7b3p-17, -0x1.1cc70b8755987p-17, -0x1.1914f88a0bef5p-17, -0x1.1560c48d02df1p-17, }}, 
      {{-0x1.a071bd6021e6cp+1, -0x1.8a101e02c3b54p+1, -0x1.6e471e1c193fp+1, -0x1.517eaae5cf955p+1, -0x1.363ebb987f513p+1, -0x1.1dd7ede032c86p+1, -0x1.08d4a397dd3fap+1, -0x1.ee8990094bfdep+0, -0x1.d1e0e14fdf893p+0, -0x1.baf2de7af8ecep+0, -0x1.a8e277b3342f4p+0, -0x1.9acdb828d25cbp+0, -0x1.8fde9dc8e6a4p+0, -0x1.875474d27a9e5p+0, -0x1.808836d42b866p+0, -0x1.7aeda7a55df52p+0, -0x1.76126bbc953aap+0, -0x1.719bf1d9c7c02p+0, -0x1.6d44c473ab5bep+0, -0x1.68d9a571c61e1p+0, -0x1.6436b224fcd5bp+0, -0x1.5f44b39c63c93p+0, -0x1.59f6aea1e22b8p+0, -0x1.5447bc06bc69dp+0, -0x1.4e392b43f88dfp+0, -0x1.47d0ed3693b38p+0, -0x1.4118420e51b61p+0, -0x1.3a1aa3f4fea58p+0, -0x1.32e4e745ac10bp+0, -0x1.2b8489156bb8cp+0, -0x1.240725256a9f3p+0, -0x1.1c7a0ce457233p+0, -0x1.14e9f9d0e186ap+0, -0x1.0d62d6422576p+0, -0x1.05ef9849c8929p+0, -0x1.fd34560c778d4p-1, -0x1.eed6c6a18ebecp-1, -0x1.e0d5fa6be5982p-1, -0x1.d33f4035f2152p-1, -0x1.c61dcfac6a441p-1, -0x1.b97ae2ab20901p-1, -0x1.ad5dd36ae53d3p-1, -0x1.a1cc3dcdcb733p-1, -0x1.96ca2269955a3p-1, -0x1.8c5a0a414023fp-1, -0x1.827d2a5f54e0bp-1, -0x1.793386b6fc445p-1, -0x1.707c13da9af13p-1, -0x1.6854d73772641p-1, -0x1.60bb059ea489ep-1, -0x1.59ab1ff83d452p-1, -0x1.53210e0c20435p-1, -0x1.4d18375896591p-1, -0x1.478b99f7f4da8p-1, -0x1.4275df9d3ccb3p-1, -0x1.3dd170b56753fp-1, -0x1.399885bec0545p-1, -0x1.35c536ea6fd1cp-1, -0x1.32518a1e9bf43p-1, -0x1.2f377f702a45p-1, -0x1.2c711c2c304ecp-1, -0x1.29f874889d61fp-1, -0x1.27c7b414397e5p-1, -0x1.25d924fdda00dp-1, -0x1.24273649dab38p-1, -0x1.22ac810ce65acp-1, -0x1.2163ccbf37393p-1, -0x1.204812bc0c75fp-1, -0x1.1f54810319995p-1, -0x1.1e847c46ba89p-1, -0x1.1dd3a1719345p-1, -0x1.1d3dc68762b84p-1, -0x1.1cbefb30ecda1p-1, -0x1.1c5388b01f96bp-1, -0x1.1bf7f17976d14p-1, -0x1.1ba8f0b270427p-1, -0x1.1b6378d7c4358p-1, -0x1.1b24b30ffc175p-1, -0x1.1ae9fd66a0bb1p-1, -0x1.1ab0e9485709dp-1, -0x1.1a773a31a3753p-1, -0x1.1a3ae311f4a16p-1, -0x1.19fa05132e95dp-1, -0x1.19b2ed43c57bcp-1, -0x1.19641287a4ef4p-1, -0x1.190c13fbf82b1p-1, -0x1.18a9b69021119p-1, -0x1.183be34a2e44bp-1, -0x1.17c1a50ce637cp-1, -0x1.173a26a43a53bp-1, -0x1.16a4b0dddb91dp-1, -0x1.1600a87560dbdp-1, -0x1.154d8c7ede2a4p-1, -0x1.148af4995a1e1p-1, -0x1.13b88f4405bb7p-1, -0x1.12d620616ff3bp-1, -0x1.11e37fa0f2234p-1, -0x1.10e097057433ep-1, -0x1.0fcd617aa938ap-1, -0x1.0ea9e9761c22ap-1, -0x1.0d7647aef1cc4p-1, -0x1.0c32a1e941732p-1, -0x1.0adf29d787808p-1, -0x1.097c1c0e7ae3bp-1, -0x1.0809bf092921ep-1, -0x1.0688623c30adep-1, -0x1.04f85d331d6ffp-1, -0x1.035a0eb70c3fcp-1, -0x1.01addbfede8ap-1, -0x1.ffe85fcd84c82p-2, -0x1.fc5af4609bcf4p-2, -0x1.f8b45d9a5808dp-2, -0x1.f4f58a6713bd2p-2, -0x1.f11f6f7a4c416p-2, -0x1.ed33062549e5fp-2, -0x1.e9314b4401346p-2, -0x1.e51b3e3e9d453p-2, -0x1.e0f1e020ea1dbp-2, -0x1.dcb632c53215p-2, -0x1.d869380f3431cp-2, -0x1.d40bf13734d1p-2, -0x1.cf9f5e245d677p-2, -0x1.cb247cd3b8dcfp-2, -0x1.c69c48cb1b462p-2, -0x1.c207ba98cc0b2p-2, -0x1.bd67c75ee6a58p-2, -0x1.b8bd60696227bp-2, -0x1.b40972cf597d3p-2, -0x1.af4ce71fc7d8p-2, -0x1.aa88a118ccae3p-2, -0x1.a5bd7f689456fp-2, -0x1.a0ec5b78300bfp-2, -0x1.9c16093ff35p-2, -0x1.973b57239773ap-2, -0x1.925d0dd5fcc1p-2, -0x1.8d7bf043f1233p-2, -0x1.8898bb84edcep-2, -0x1.83b426d18e534p-2, -0x1.7ecee37e5f8c2p-2, -0x1.79e99cfac8c3p-2, -0x1.7504f8d4930f1p-2, -0x1.702196be2dbd1p-2, -0x1.6b4010977a1bap-2, -0x1.6660fa7a6dce4p-2, -0x1.6184e2c9a306bp-2, -0x1.5cac5240a01bap-2, -0x1.57d7cc075d08bp-2, -0x1.5307cdc728561p-2, -0x1.4e3ccfc07b40cp-2, -0x1.497744e3c6bfep-2, -0x1.44b79aeb8127bp-2, -0x1.3ffe3a75ff76bp-2, -0x1.3b4b87218fa89p-2, -0x1.369fdfaa4bb8bp-2, -0x1.31fb9e06fa4efp-2, -0x1.2d5f1786b0803p-2, -0x1.28ca9cf080ae9p-2, -0x1.243e7aa26bdc3p-2, -0x1.1fbaf8af6a54ep-2, -0x1.1b405aff14d7bp-2, -0x1.16cee16da2308p-2, -0x1.1266c7e9fae18p-2, -0x1.0e084693dd824p-2, -0x1.09b391db6fb87p-2, -0x1.0568da9f9d86p-2, -0x1.01284e4aa2711p-2, -0x1.f9e42ddeaa214p-3, -0x1.f18cb6ce3dffep-3, -0x1.e94a7edc32c9dp-3, -0x1.e11dc77b8b512p-3, -0x1.d906cc5154e45p-3, -0x1.d105c36c306e1p-3, -0x1.c91add77c4d95p-3, -0x1.c14645ee01256p-3, -0x1.b988234a07542p-3, -0x1.b1e0973aba1aep-3, -0x1.aa4fbed1b8a9ep-3, -0x1.a2d5b2b006f42p-3, -0x1.9b728733e1e9fp-3, -0x1.94264ca66ec27p-3, -0x1.8cf10f66391bep-3, -0x1.85d2d80f56947p-3, -0x1.7ecbaba3fbdafp-3, -0x1.77db8bb511bfap-3, -0x1.7102768868b33p-3, -0x1.6a40673c8ffbp-3, -0x1.639555ec6aed6p-3, -0x1.5d0137d2bd613p-3, -0x1.5683ff6c156cap-3, -0x1.501d9c968cbe8p-3, -0x1.49cdfcb0d768p-3, -0x1.43950ab952a6bp-3, -0x1.3d72af6bc2ca4p-3, -0x1.3766d15d12ee3p-3, -0x1.317155162c7bcp-3, -0x1.2b921d2effee1p-3, -0x1.25c90a68e594cp-3, -0x1.2015fbc6e5c71p-3, -0x1.1a78cea4583c9p-3, -0x1.14f15ecbabdccp-3, -0x1.0f7f868dc95dep-3, -0x1.0a231ed84c94dp-3, -0x1.04dbff4939e5ep-3, -0x1.ff53fc826f6e3p-4, -0x1.f519e1ed20e04p-4, -0x1.eb095712af407p-4, -0x1.e122022ce993cp-4, -0x1.d763878fb1017p-4, -0x1.cdcd89c5a286ap-4, -0x1.c45fa9ae84c7ep-4, -0x1.bb1986a154ff2p-4, -0x1.b1fabe8df3275p-4, -0x1.a902ee1937e9bp-4, -0x1.a031b0b36b805p-4, -0x1.9786a0aed5673p-4, -0x1.8f01575ab62bfp-4, -0x1.86a16d2115564p-4, -0x1.7e6679a121a35p-4, -0x1.765013c2bc97dp-4, -0x1.6e5dd1c647d28p-4, -0x1.668f495721dfap-4, -0x1.5ee40fa373fafp-4, -0x1.575bb9756abeap-4, -0x1.4ff5db478852fp-4, -0x1.48b2095220b88p-4, -0x1.418fd796528cfp-4, -0x1.3a8ed9ecba8a2p-4, -0x1.33aea419a14b3p-4, -0x1.2ceec9e2317a5p-4, -0x1.264edf1cccf38p-4, -0x1.1fce77bab22fp-4, -0x1.196d27cf133d4p-4, -0x1.132a839986622p-4, -0x1.0d061f95f55b7p-4, -0x1.06ff908e84d8cp-4, -0x1.01166ba9cb9a3p-4, -0x1.f6948ce5785b6p-5, -0x1.eb356db9bae48p-5, -0x1.e00ea6945d8b1p-5, -0x1.d51f652c12c55p-5, -0x1.ca66d846ff947p-5, -0x1.bfe42fd4f836cp-5, -0x1.b5969cffa1649p-5, -0x1.ab7d5230d7e7dp-5, -0x1.a197831705f9p-5, -0x1.97e464afc6844p-5, -0x1.8e632d5b0d29p-5, -0x1.851314f1ba507p-5, -0x1.7bf354d787eccp-5, -0x1.73032803e3587p-5, -0x1.6a41cb03e9c08p-5, -0x1.61ae7bfc34008p-5, -0x1.59487ab08083fp-5, -0x1.510f0891fa947p-5, -0x1.490168cfbf289p-5, -0x1.411ee0636a47dp-5, -0x1.3966b6168b82p-5, -0x1.31d832828ad8p-5, -0x1.2a72a0100b752p-5, -0x1.23354afa4faf6p-5, -0x1.1c1f8157e9bc1p-5, -0x1.15309325e6c52p-5, -0x1.0e67d25101ccfp-5, -0x1.07c492b9d6901p-5, -0x1.01462a344114cp-5, -0x1.f5d7e109c695dp-6, -0x1.e96a7ec0f1fdcp-6, -0x1.dd42e4ddcd677p-6, -0x1.d15fcea287fb4p-6, -0x1.c5bffb5042a4ep-6, -0x1.ba622e2e66ebbp-6, -0x1.af452e8a7f8adp-6, -0x1.a467c7b283964p-6, -0x1.99c8c8ee33c72p-6, -0x1.8f67057bf9bp-6, -0x1.85415492c6f2cp-6, -0x1.7b56916764c6fp-6, -0x1.71a59b314421dp-6, -0x1.682d552b90268p-6, -0x1.5eeca6913d0f7p-6, -0x1.55e27a9590f78p-6, -0x1.4d0dc05c09616p-6, -0x1.446d6af24f1aep-6, -0x1.3c00714d43e28p-6, -0x1.33c5ce487cp-6, -0x1.2bbc80a5b4584p-6, -0x1.23e38b0a50a9ap-6, -0x1.1c39f3f9c2d75p-6, -0x1.14bec5cd5b53fp-6, -0x1.0d710eab0f8f1p-6, -0x1.064fe07cee30cp-6, -0x1.feb4a1d4a0235p-7, -0x1.f11ef2a56038cp-7, -0x1.e3dced929d1a5p-7, -0x1.d6ecd42040192p-7, -0x1.ca4cef227926dp-7, -0x1.bdfb8ead0160bp-7, -0x1.b1f709fff965bp-7, -0x1.a63dbf7436b66p-7, -0x1.9ace1468bb729p-7, -0x1.8fa675322484fp-7, -0x1.84c5550be135p-7, -0x1.7a292e09f1d43p-7, -0x1.6fd08109be33ep-7, -0x1.65b9d5a126ee2p-7, -0x1.5be3ba0b96663p-7, -0x1.524cc315f1459p-7, -0x1.48f38c0a21a47p-7, -0x1.3fd6b69b413adp-7, -0x1.36f4ead2fa2cfp-7, -0x1.2e4cd6ffd3b84p-7, -0x1.25dd2fa3f878ep-7, -0x1.1da4af63ad736p-7, -0x1.15a216f2d4601p-7, -0x1.0dd42d014e6f7p-7, -0x1.0639be2696eep-7, -0x1.fda3399a5091bp-8, -0x1.ef35423c81d3fp-8, -0x1.e12751dc9dfd3p-8, -0x1.d3772f54246ddp-8, -0x1.c622ac88abe1ep-8, -0x1.b927a64738185p-8, -0x1.ac84041ed5b48p-8, -0x1.a035b8396be1dp-8, -0x1.943abf3399a55p-8, -0x1.88911ff3dc822p-8, -0x1.7d36eb826cf29p-8, -0x1.722a3ce279e1dp-8, -0x1.676938ed28798p-8, -0x1.5cf20e2df1876p-8, -0x1.52c2f4bf7f3c8p-8, -0x1.48da2e27dd41dp-8, -0x1.3f36053318d22p-8, -0x1.35d4cdcb95642p-8, -0x1.2cb4e4d11608fp-8, -0x1.23d4afef95883p-8, -0x1.1b329d77eb8a5p-8, -0x1.12cd243be03f4p-8, -0x1.0aa2c36e02616p-8, -0x1.02b20284c0139p-8, -0x1.f5f2e23d3db3fp-9, -0x1.e6ef4dca090f9p-9, -0x1.d85686d5835cfp-9, -0x1.ca25dc09bfc19p-9, -0x1.bc5aab3c6e785p-9, -0x1.aef26110151ccp-9, -0x1.a1ea78975af34p-9, -0x1.95407b0414788p-9, -0x1.88f1ff6914482p-9, -0x1.7cfcaa921488ep-9, -0x1.715e2eec57544p-9, -0x1.66144c75e599p-9, -0x1.5b1cd0a5ba6a9p-9, -0x1.5075963f12bc8p-9, -0x1.461c8505e7fe9p-9, -0x1.3c0f9152d96eap-9, -0x1.324cbb8febddcp-9, -0x1.28d20fafcb355p-9, -0x1.1f9da4b635cf3p-9, -0x1.16ad9c66510fbp-9, -0x1.0e0023245d12cp-9, -0x1.0593700a777b2p-9, -0x1.facb8a43429acp-10, -0x1.eaeadf47d4343p-10, -0x1.db81904c21449p-10, -0x1.cc8c65142e508p-10, -0x1.be083b50068bp-10, -0x1.aff205585aaap-10, -0x1.a246c87fcd85fp-10, -0x1.95039b447b388p-10, -0x1.8825a3bfcdbb6p-10, -0x1.7baa16ad023c2p-10, -0x1.6f8e373ff7ee5p-10, -0x1.63cf57d4de1e1p-10, -0x1.586adb490f2p-10, -0x1.4d5e369e0a0bfp-10, -0x1.42a6f269ba37bp-10, -0x1.3842ab9b7e67bp-10, -0x1.2e2f133ccf58ep-10, -0x1.2469ed0f19c9cp-10, -0x1.1af10d3025b9p-10, -0x1.11c2552eb498bp-10, -0x1.08dbb1269ce98p-10, -0x1.003b158492e22p-10, -0x1.efbcfbe9929f1p-11, -0x1.df87db7f12c19p-11, -0x1.cfd2e3064bb6dp-11, -0x1.c09a43cfff7bfp-11, -0x1.b1da4d55a1134p-11, -0x1.a38f727fd7807p-11, -0x1.95b64cbef27b5p-11, -0x1.884b9c053bc65p-11, -0x1.7b4c435b861a4p-11, -0x1.6eb5428929606p-11, -0x1.6283adf8bee47p-11, -0x1.56b4a678039bbp-11, -0x1.4b455289c2495p-11, -0x1.4032dab33921p-11, -0x1.357a698aa1f98p-11, -0x1.2b192f774632cp-11, -0x1.210c6948c20cp-11, -0x1.17516831ddaa5p-11, -0x1.0de59972eb0c7p-11, -0x1.04c68c12b1bd4p-11, -0x1.f7e3e6d0b2aa7p-12, -0x1.e6cb4baa73f95p-12, -0x1.d63f2f91a6661p-12, -0x1.c63ba7d8af552p-12, -0x1.b6bce3e2533c8p-12, -0x1.a7bf1ba8ddc71p-12, -0x1.993e82af17b1bp-12, -0x1.8b3741d6bcdbp-12, -0x1.7da578ffa3cf9p-12, -0x1.708547924cf0cp-12, -0x1.63d2d9baeabeap-12, -0x1.578a7768c1635p-12, -0x1.4ba89228a15cbp-12, -0x1.4029cf6cd1107p-12, -0x1.350b0d92daa4bp-12, -0x1.2a4962deb4ad6p-12, -0x1.1fe216a326eb1p-12, -0x1.15d295dc30f4fp-12, -0x1.0c1865684bb2ap-12, -0x1.02b114877f6c5p-12, -0x1.f334645886494p-13, -0x1.e1a28dd91cb48p-13, -0x1.d0a7a875847d3p-13, -0x1.c03eb0b64d11ep-13, -0x1.b062ab5684768p-13, -0x1.a10eb6e01625fp-13, -0x1.923e1cc351782p-13, -0x1.83ec5ebe4dbf2p-13, -0x1.76153e0fe3e11p-13, -0x1.68b4bb28f93d7p-13, -0x1.5bc70e7c4af0dp-13, -0x1.4f489d3430f26p-13, -0x1.4335eddea6b3p-13, -0x1.378ba098c241fp-13, -0x1.2c466c065c729p-13, -0x1.21631da2aff54p-13, -0x1.16de9a597a792p-13, -0x1.0cb5dcf2849cbp-13, -0x1.02e5f252ac02dp-13, -0x1.f2d7eca11f3a3p-14, -0x1.e08a2942d1113p-14, -0x1.cedd1e0e8a348p-14, -0x1.bdcb8b09b60d1p-14, -0x1.ad50744882602p-14, -0x1.9d67159b0b33dp-14, -0x1.8e0ac1e205631p-14, -0x1.7f36bae987eb7p-14, -0x1.70e61691fd069p-14, -0x1.6313c35d9755ap-14, -0x1.55bab13f1ebb9p-14, -0x1.48d6117339516p-14, -0x1.3c619203f3609p-14, -0x1.305977fcae36ap-14, -0x1.24ba8a06ca07p-14, -0x1.1981d6ad794a5p-14, -0x1.0eac777fb89b1p-14, -0x1.04377473d1de1p-14, -0x1.f43fa90131844p-15, -0x1.e0c58f88878f6p-15, -0x1.cdfb8a0f7bd02p-15, -0x1.bbdcfb025b55dp-15, -0x1.aa654ba020fbap-15, -0x1.998f5b05bf0bep-15, -0x1.8955109660191p-15, -0x1.79af4921f508ap-15, -0x1.6a9633c165624p-15, -0x1.5c020b6af8691p-15, -0x1.4debf32ee4b43p-15, -0x1.404e9e25ccc45p-15, -0x1.33266f7ccf028p-15, -0x1.2670f71fa3f6ep-15, -0x1.1a2c0cc56d633p-15, -0x1.0e550f16473ecp-15, -0x1.02e8b6d24cceep-15, -0x1.efc705344ba74p-16, -0x1.da84aac2e5a1bp-16, -0x1.c60599a2556acp-16, -0x1.b2462ef30b74ep-16, -0x1.9f42d54f252c4p-16, -0x1.8cf6d4313fe5p-16, -0x1.7b5b99eed8d66p-16, -0x1.6a68b497c374fp-16, -0x1.5a14518b26757p-16, -0x1.4a541375fee45p-16, -0x1.3b1e33d634033p-16, -0x1.2c6acbabdad6dp-16, -0x1.1e34bd62bff0bp-16, -0x1.107994cfb5e04p-16, -0x1.033838edac6adp-16, -0x1.ecde5df14e35fp-17, -0x1.d4372794aa25p-17, -0x1.bc72b5d9d3236p-17, -0x1.a588bf9ce8e87p-17, -0x1.8f72c23595a31p-17, -0x1.7a2c95a7bbe9ep-17, -0x1.65b36577364f4p-17, -0x1.5203b822d038p-17, -0x1.3f17e708effd8p-17, -0x1.2ce81aac916bbp-17, -0x1.1b6b6f48414c9p-17, -0x1.0a98f34da5f6fp-17, -0x1.f4cf8e5848317p-18, -0x1.d59dbd6331346p-18, -0x1.b78ab3574f607p-18, -0x1.9a8755095073cp-18, -0x1.7e894baa14c52p-18, -0x1.638ae5b1cf2bap-18, -0x1.4988beecbdc8fp-18, -0x1.307f0e8c80833p-18, -0x1.186831c423e9p-18, -0x1.013cb840a352fp-18, -0x1.d5e9675dd648cp-19, -0x1.ab139f0662a41p-19, -0x1.81f090f9c9aefp-19, -0x1.5a79b111effaap-19, -0x1.34a2e7614e92cp-19, -0x1.105975867a44bp-19, -0x1.db11bc00092e3p-20, -0x1.983fddbafa83ep-20, -0x1.5824af4d67ee2p-20, -0x1.1aae9d4e2eff7p-20, -0x1.bf9b3aba9b576p-21, -0x1.4edb25f98dedep-21, -0x1.c5cd144bc1b55p-22, -0x1.edebb0b271da2p-23, -0x1.853a70801a6f4p-25, 0x1.1b1c14abebbfbp-23, 0x1.43e24a2be8499p-22, 0x1.f2581c01bae2dp-22, 0x1.4c78c6f0477b7p-21, 0x1.9bf0cb3b60056p-21, 0x1.e7badc4c4a841p-21, 0x1.17f722a8982afp-20, 0x1.3a4a2f2db0d1bp-20, 0x1.5ae28a80f22d3p-20, 0x1.79d79e59df378p-20, 0x1.974268ada228cp-20, 0x1.b33577dc771abp-20, 0x1.cdbd1319935eap-20, 0x1.e6e21e176f08ep-20, 0x1.feab28fa089cp-20, 0x1.0a8e0c3507dabp-19, 0x1.151b86fcfda95p-19, 0x1.1f00085b5e904p-19, 0x1.284137e809462p-19, 0x1.30e9cfec82706p-19, 0x1.3906e734c9bb5p-19, 0x1.40a204a9eb2bdp-19, 0x1.47bd164d38a88p-19, 0x1.4e552861eae2p-19, 0x1.546a87b3e5acfp-19, 0x1.5a02de6037dc7p-19, 0x1.5f22c0ca2235bp-19, 0x1.63cac26418fc2p-19, 0x1.67fce43390849p-19, 0x1.6bbfbd485d311p-19, 0x1.6f1a848f3cf5p-19, 0x1.7211e5609a805p-19, 0x1.74a88e0b83d14p-19, 0x1.76e0a9cf2b508p-19, 0x1.78bc9f286d885p-19, 0x1.7a3f016380c09p-19, 0x1.7b6a0a5b721dcp-19, 0x1.7c3f256a64b8p-19, 0x1.7cbf18fd7ed74p-19, 0x1.7ceadc7dbe034p-19, 0x1.7cc511fe42e8ap-19, 0x1.7c53617eac185p-19, 0x1.7b9be4400720dp-19, 0x1.7aa12aaab9916p-19, 0x1.796486576b3cdp-19, 0x1.77e79070692acp-19, 0x1.762b4508d4544p-19, 0x1.7431852f9eb9fp-19, 0x1.71fbe1527ce61p-19, 0x1.6f8adf2415d96p-19, 0x1.6ce173153cf5fp-19, 0x1.6a038562f753dp-19, 0x1.66f384bb787e3p-19, 0x1.63b2dbd262505p-19, 0x1.6042d230da2b8p-19, 0x1.5ca4d3f163599p-19, 0x1.58da6f1a67604p-19, 0x1.54e5449ea5961p-19, 0x1.50c6f2bcaf0c6p-19, 0x1.4c80f51a7935cp-19, 0x1.4814931351dcfp-19, 0x1.4382f7214844ep-19, 0x1.3ecd3434a63f2p-19, 0x1.39f448a62db2cp-19, 0x1.34fa48f93328fp-19, 0x1.2fe1ccbb60b1bp-19, 0x1.2aaae77714b59p-19, 0x1.2557be77e020bp-19, 0x1.1feb4745c516dp-19, 0x1.1a6478d739b43p-19, 0x1.14c4d23159791p-19, 0x1.0f0d6d514d57ap-19, 0x1.093edfe097133p-19, 0x1.035b3ded758d9p-19, 0x1.fac8202dd581bp-20, 0x1.eeb478da1da79p-20, 0x1.e27d3a407e6edp-20, 0x1.d6244abdc322bp-20, 0x1.c9abab847a9a8p-20, 0x1.bd155e48c1c4fp-20, 0x1.b0635a7ced0f4p-20, 0x1.a3978ea07166ap-20, 0x1.96b3e3a86c62fp-20, 0x1.89ba39a754eedp-20, 0x1.7cac6220a23c9p-20, 0x1.6f8c2fe7449ep-20, 0x1.625b6e0aff00ep-20, 0x1.551b2861060abp-20, 0x1.47cc3e8e48b53p-20, 0x1.3a71f02643f1ap-20, 0x1.2d0db873ef925p-20, 0x1.1fa099ae9bb24p-20, 0x1.122ccde8b1bfcp-20, 0x1.04b32a963f757p-20, 0x1.ee6cd2b86397bp-21, 0x1.d36d61ff3e7a3p-21, 0x1.b86a387b3bbb2p-21, 0x1.9d67f2d0f692p-21, 0x1.82694099e4272p-21, 0x1.67704a7851387p-21, 0x1.4c7f659ce953ap-21, 0x1.3199053aafd08p-21, 0x1.16bf9ed224756p-21, 0x1.f7eb3688daf27p-22, 0x1.c27aa03858f65p-22, 0x1.8d31fe4bc6a44p-22, 0x1.5815b7e7fb82bp-22, 0x1.232a26a690325p-22, 0x1.dce733ce93247p-23, 0x1.73ec8b23c88dbp-23, 0x1.0b6c8122a9152p-23, 0x1.46defa34d21cfp-24, 0x1.dfe6d6a46f208p-26, -0x1.5747fe57a1de4p-26, -0x1.2273c5d551b9fp-24, -0x1.edcae7e7804dcp-24, -0x1.5be7a57e15f0fp-23, -0x1.c046bf1579ad4p-23, -0x1.11f965ecdd982p-22, -0x1.436eff9159b3cp-22, -0x1.7485502d7ac31p-22, -0x1.a53a5658e171bp-22, -0x1.d58929b39c02fp-22, -0x1.02b7927fcf157p-21, -0x1.1a74fc301b637p-21, -0x1.31fb949198cep-21, -0x1.494a1a9bb34f7p-21, -0x1.605f53ee8ea6ap-21, -0x1.773a103a4d4d2p-21, -0x1.8dd92a963a16p-21, -0x1.a43b8a6efcbc5p-21, -0x1.ba602388ee68p-21, -0x1.d045f3ff26eb6p-21, -0x1.e5ec010f1b6d5p-21, -0x1.fb5155a35947bp-21, -0x1.083a82b462609p-20, -0x1.12ab199dcbf6bp-20, -0x1.1cfa0774234dp-20, -0x1.2726deef491b4p-20, -0x1.313140777fc1bp-20, -0x1.3b1921fdf8a9ap-20, -0x1.44ddd2735f708p-20, -0x1.4e7eb585105f3p-20, -0x1.57fc182b01344p-20, -0x1.61559740c91adp-20, -0x1.6a8abf54750c6p-20, -0x1.739afa8c89c6ap-20, -0x1.7c869e248824cp-20, -0x1.854d3717c5eb7p-20, -0x1.8dee778bd58c9p-20, -0x1.966a3d83c624dp-20, -0x1.9ec06017bdde5p-20, -0x1.a6f0b51992cecp-20, -0x1.aefb151c15eb5p-20, -0x1.b6df5c4b6e896p-20, -0x1.be9d6a8414932p-20, -0x1.c635234d3d364p-20, -0x1.cda66deb9959dp-20, -0x1.d4f1357699b69p-20, -0x1.dc15689f0e9e5p-20, -0x1.e312f90412cdep-20, -0x1.e9e9da98b71c4p-20, -0x1.f09a03c49a2c1p-20, -0x1.f7236e72cb7fp-20, -0x1.fd861a22e54a5p-20, -0x1.01e105fb8954bp-19, -0x1.04eba23929e52p-19, -0x1.07e2de45384f4p-19, -0x1.0ac6d18dee2c9p-19, -0x1.0d976eb2cfcfap-19, -0x1.1054ce2fbd6b4p-19, -0x1.12fef41cfbe3cp-19, -0x1.1595d7d8e81f2p-19, -0x1.181996d20eb5bp-19, -0x1.1a8a3c621da8p-19, -0x1.1ce7dad894dcbp-19, -0x1.1f327c6f572fdp-19, -0x1.216a29c2a3af2p-19, -0x1.238efa24f71c3p-19, -0x1.25a101810fd13p-19, -0x1.27a0536873a11p-19, -0x1.298d045dd06f4p-19, -0x1.2b6729f8f773cp-19, -0x1.2d2edadf05feep-19, -0x1.2ee42eb6e3c21p-19, -0x1.30873e21371e3p-19, -0x1.321822b8df598p-19, -0x1.3396f71395746p-19, -0x1.3503d6b01eaap-19, -0x1.365eddcd6b5e8p-19, -0x1.37a82949cb8c4p-19, -0x1.38dfd6aad4fdp-19, -0x1.3a0604453fcc3p-19, -0x1.3b1ad1bd6467ap-19, -0x1.3c1e609a7087cp-19, -0x1.3d10d25d28223p-19, -0x1.3df243c05b4ap-19, -0x1.3ec2d48c3557p-19, -0x1.3f82b37d540f4p-19, -0x1.403204ccbf60ep-19, -0x1.40d0e0a485378p-19, -0x1.415f6e1d49f97p-19, -0x1.41ddd3337241cp-19, -0x1.424c30d322763p-19, -0x1.42aab81210cbcp-19, -0x1.42f99395bcb65p-19, -0x1.4338dd5c43d6ep-19, -0x1.4368bde7b6d58p-19, -0x1.438960c73fe7ap-19, -0x1.439aeeb085455p-19, -0x1.439d904dc4cd1p-19, -0x1.43916eb441d08p-19, -0x1.4376b35fb77a2p-19, -0x1.434d88282320ap-19, -0x1.43161739aec8dp-19, -0x1.42d08b0ed93afp-19, -0x1.427d0e6c0e742p-19, -0x1.421bcc5ec640dp-19, -0x1.41acf038afbb1p-19, -0x1.4130a582136e3p-19, -0x1.40a717e950bb5p-19, -0x1.4010733ed1f23p-19, -0x1.3f6ce37820ebp-19, -0x1.3ebc94ba8ed6p-19, -0x1.3dffb39e7e086p-19, -0x1.3d366d5f0c81dp-19, -0x1.3c60eec3ff0e2p-19, -0x1.3b7f6211aee26p-19, -0x1.3a91f11ec2ea6p-19, -0x1.3998d5851f328p-19, -0x1.389434e4780eep-19, -0x1.37843772b35e8p-19, -0x1.36690e7716a97p-19, -0x1.3542e7b747395p-19, -0x1.3411ef6a2a189p-19, -0x1.32d64f69a72f8p-19, -0x1.319038e19e39dp-19, -0x1.303fdde8aefbep-19, -0x1.2ee561ba4a1c1p-19, -0x1.2d80f41d590c7p-19, -0x1.2c12c2fa0ad7ep-19, -0x1.2a9afb064209ep-19, -0x1.2919c8dcc9c7fp-19, -0x1.278f59097d8d4p-19, -0x1.25fbd801a663fp-19, -0x1.245f721eb2842p-19, -0x1.22ba539a23169p-19, -0x1.210ca88acd7fep-19, -0x1.1f569ce30ffp-19, -0x1.1d985c6eaa49ap-19, -0x1.1bd212d0c775cp-19, -0x1.1a03eb7f5c2f7p-19, -0x1.182e11bdfdc48p-19, -0x1.1650b09c2e477p-19, -0x1.146bf2f555113p-19, -0x1.1280036e45392p-19, -0x1.108d0c7ccfa4dp-19, -0x1.0e933882786ebp-19, -0x1.0c92b1ae8eec4p-19, -0x1.0a8ba19f9ae7dp-19, -0x1.087e308eb1f18p-19, -0x1.066a88b9d4336p-19, -0x1.0450d69a250a6p-19, -0x1.02313de1acfedp-19, -0x1.000be8b5297ep-19, -0x1.fbc1ff688f4aep-20, -0x1.f76155c5dc575p-20, -0x1.f2f623e324e5ap-20, -0x1.ee80b83b6fb26p-20, -0x1.ea015f3879391p-20, -0x1.e57868ffef622p-20, -0x1.e0e624c487f86p-20, -0x1.dc4ad9c6fd128p-20, -0x1.d7a6d5e8f0eb4p-20, -0x1.d2fa64904ecc8p-20, -0x1.ce45d03182e41p-20, -0x1.c98962a4ff171p-20, -0x1.c4c56521c10e7p-20, -0x1.bffa2038a453dp-20, -0x1.bb27dbd197823p-20, -0x1.b64edf2a0d5cbp-20, -0x1.b16f70d2c6b89p-20, -0x1.ac89d6af33637p-20, -0x1.a79e55f458d2bp-20, -0x1.a2ad33274b4c6p-20, -0x1.9db6b21b1a687p-20, -0x1.98bb15ef1af3fp-20, -0x1.93baa10e8bdcdp-20, -0x1.8eb5952fe2569p-20, -0x1.89ac33532bf46p-20, -0x1.849ebbc2df569p-20, -0x1.7f8d6e1b4ccb4p-20, -0x1.7a788949e4af5p-20, -0x1.75604b730bcdfp-20, -0x1.7044f1d9ec309p-20, -0x1.6b26b8912f654p-20, -0x1.6605dd959d1e5p-20, -0x1.60e29a80f3efdp-20, -0x1.5bbd29f58d2dcp-20, -0x1.5695c60917d2ap-20, -0x1.516ca7c6e1d87p-20, -0x1.4c420783755d3p-20, -0x1.47161cdf26572p-20, -0x1.41e91eb9a4852p-20, -0x1.3cbb4330af63ap-20, -0x1.378cbf70f84f9p-20, -0x1.325dc88dc467dp-20, -0x1.2d2e92a0f127ap-20, -0x1.27ff5056c0b8p-20, -0x1.22d03474cde66p-20, -0x1.1da170c39f13ap-20, -0x1.1873364e82a18p-20, -0x1.1345b568f0b02p-20, -0x1.0e191dae6bfd4p-20, -0x1.08ed9e02647ddp-20, -0x1.03c364906d357p-20, -0x1.fd353d9a425d8p-21, -0x1.f2e6f2eda74bfp-21, -0x1.e89c412c19cb1p-21, -0x1.de557eff77431p-21, }}, 
      {{0x1.fe96c268243b1p-1, 0x1.fe302cc42a3f5p-1, 0x1.fd856cbc45263p-1, 0x1.fc96d7c872dd9p-1, 0x1.fb64e46e3d8a4p-1, 0x1.f9f0293238fd7p-1, 0x1.f8395b5392b24p-1, 0x1.f6414d5d415aep-1, 0x1.f408ed9782782p-1, 0x1.f1914463195a9p-1, 0x1.eedb72868803p-1, 0x1.ebe8af7442f89p-1, 0x1.e8ba478fbc407p-1, 0x1.e5519a7626bb4p-1, 0x1.e1b0194ee4cc4p-1, 0x1.ddd74526c3648p-1, 0x1.d9c8ad5872698p-1, 0x1.d585ee0404f5p-1, 0x1.d110ae96be3abp-1, 0x1.cc6aa063fbfbap-1, 0x1.c7957d4faf8f1p-1, 0x1.c293068a89203p-1, 0x1.bd65035fbc486p-1, 0x1.b80d40141816dp-1, 0x1.b28d8cd603418p-1, 0x1.ace7bcbdda88p-1, 0x1.a71da4de19fe8p-1, 0x1.a1311b62ab38dp-1, 0x1.9b23f6beb0fe9p-1, 0x1.94f80ce81e2f7p-1, 0x1.8eaf32a069e7ep-1, 0x1.884b3ac9adacbp-1, 0x1.81cdf5c780fe8p-1, 0x1.7b3930eae6ce9p-1, 0x1.748eb5e8a2d9ap-1, 0x1.6dd04a59550ebp-1, 0x1.66ffaf42bd1efp-1, 0x1.601ea0a98cb7cp-1, 0x1.592ed52b39082p-1, 0x1.5231fd9f3ed2ap-1, 0x1.4b29c4bf5911ep-1, 0x1.4417ced62c2dfp-1, 0x1.3cfdb973f60c8p-1, 0x1.35dd1b28d7e46p-1, 0x1.2eb78344586a5p-1, 0x1.278e7999c5b67p-1, 0x1.20637e49289bfp-1, 0x1.1938098c7d5a1p-1, 0x1.120d8b88f72a8p-1, 0x1.0ae56c241232p-1, 0x1.03c10adc44552p-1, 0x1.f9437d4a4730fp-2, 0x1.eb11ab8db40e6p-2, 0x1.dcef2b8197468p-2, 0x1.cede765ea1ce2p-2, 0x1.c0e1f368e1eabp-2, 0x1.b2fbf7c70ee76p-2, 0x1.a52ec65f8b94cp-2, 0x1.977c8fbb06f2p-2, 0x1.89e771ec9991ep-2, 0x1.7c71787f560fdp-2, 0x1.6f1c9c6927a27p-2, 0x1.61eac402fb47ap-2, 0x1.54ddc306105a4p-2, 0x1.47f75a8e62ef8p-2, 0x1.3b393922198e7p-2, 0x1.2ea4fabddafbdp-2, 0x1.223c28e5f0662p-2, 0x1.16003abc2026ep-2, 0x1.09f2951a17c1cp-2, 0x1.fc2915609900cp-3, 0x1.e4ceb8525469dp-3, 0x1.cdd870a0d9062p-3, 0x1.b748787cfd3f5p-3, 0x1.a120e70f5c22dp-3, 0x1.8b63b0de2515fp-3, 0x1.7612a839dfdep-3, 0x1.612f7db0df801p-3, 0x1.4cbbc088f5225p-3, 0x1.38b8df3f0a193p-3, 0x1.2528280c3f7ccp-3, 0x1.120ac97029b8p-3, 0x1.fec3a57fa1fe8p-4, 0x1.da5c697214f39p-4, 0x1.b6e184339d4dp-4, 0x1.9454607656ae4p-4, 0x1.72b62f5edeb79p-4, 0x1.5207e9c67b9c1p-4, 0x1.324a518247a63p-4, 0x1.137df2aebfd21p-4, 0x1.eb4649fe1395ep-5, 0x1.b1741a1e9f972p-5, 0x1.79853b732ecc1p-5, 0x1.437932d8f71aap-5, 0x1.0f4f270682b94p-5, 0x1.ba0bc67ae9644p-6, 0x1.5937b3f9eb292p-6, 0x1.f83c9ecf7ad43p-7, 0x1.457655c68e19cp-7, 0x1.3424dcaaaca6ep-8, -0x1.3f4dc3159e458p-12, -0x1.4d79870b865c3p-8, -0x1.3c4238cf848a3p-7, -0x1.ca998d2f64967p-7, -0x1.28e946e834a35p-6, -0x1.68ff05be043d7p-6, -0x1.a596e830286ccp-6, -0x1.deba4af859eb9p-6, -0x1.0a397eb8d5d48p-5, -0x1.23659e52fa7dbp-5, -0x1.3ae6d7356cbc4p-5, -0x1.50c2ae47665fbp-5, -0x1.64fed80b4ca77p-5, -0x1.77a13645fadedp-5, -0x1.88afd5aeb53c7p-5, -0x1.9830eba7f3df4p-5, -0x1.a62ad401361bfp-5, -0x1.b2a40ec1e525ep-5, -0x1.bda33dfd7c9b2p-5, -0x1.c72f23b104eaap-5, -0x1.cf4e9fa9ead76p-5, -0x1.d608ad764dc6fp-5, -0x1.db64625ed2948p-5, -0x1.df68eb69fc50fp-5, -0x1.e21d8b691d956p-5, -0x1.e389990ed7267p-5, -0x1.e3b47d0f3a6bcp-5, -0x1.e2a5b0498cecbp-5, -0x1.e064b9fb9868ap-5, -0x1.dcf92dfeabc96p-5, -0x1.d86aab0e252c8p-5, -0x1.d2c0d9179d4b8p-5, -0x1.cc036794a7f2p-5, -0x1.c43a0bee19523p-5, -0x1.bb6c7fe8e662ap-5, -0x1.b1a2801c771bp-5, -0x1.a6e3ca7283e43p-5, -0x1.9b381cb067044p-5, -0x1.8ea73309e3132p-5, -0x1.8138c6bd46e65p-5, -0x1.72f48cb9062bcp-5, -0x1.63e2344a978e4p-5, -0x1.540965d6b597bp-5, -0x1.4371c19adae8cp-5, -0x1.3222de78099b7p-5, -0x1.202448c6b938fp-5, -0x1.0d7d8134027b9p-5, -0x1.f46bf74fb85b8p-6, -0x1.ccaa3c68f141bp-6, -0x1.a3c4801d52b1cp-6, -0x1.79c9511e8ad0ap-6, -0x1.4ec71c7af7edep-6, -0x1.22cc2bc43077p-6, -0x1.ebcd468e2d1aap-7, -0x1.904900ab4f9a1p-7, -0x1.33272f444da67p-7, -0x1.a9064eaebe6fap-8, -0x1.d1df99df40f63p-9, -0x1.3200febbe6228p-11, 0x1.3da85851499cap-9, 0x1.661949f8bcda8p-8, 0x1.17ae186a6617p-7, 0x1.7d35508303f87p-7, 0x1.e389942d3f8afp-7, 0x1.254949971af0ap-6, 0x1.591c34124ea5fp-6, 0x1.8d31cd325bfep-6, 0x1.c17e8fda8bba6p-6, 0x1.f5f72ef6314eap-6, 0x1.15484b1c322fap-5, 0x1.2f9ff5665235p-5, 0x1.49fd45fc53ab1p-5, 0x1.645b09d7d245ap-5, 0x1.7eb42b8b96ba1p-5, 0x1.9903b37ee9bbp-5, 0x1.b344c822010c4p-5, 0x1.cd72ae1b8763ep-5, 0x1.e788c86f72d0ap-5, 0x1.00c14c4f9f60ep-4, 0x1.0daddf61db301p-4, 0x1.1a87fcd02dc47p-4, 0x1.274d935851e12p-4, 0x1.33fca1178cf9bp-4, 0x1.4093338b4ab61p-4, 0x1.4d0f678eccf86p-4, 0x1.596f69560c8a7p-4, 0x1.65b17465d2b84p-4, 0x1.71d3d389222e2p-4, 0x1.7dd4e0c3fe961p-4, 0x1.89b30543ae935p-4, 0x1.956cb94c7aec4p-4, 0x1.a100842509d8dp-4, 0x1.ac6cfbff69fd7p-4, 0x1.b7b0c5dfd22acp-4, 0x1.c2ca958137241p-4, 0x1.cdb92d37cce14p-4, 0x1.d87b5dd166a1fp-4, 0x1.e3100673fc042p-4, 0x1.ed76147a3e00ap-4, 0x1.f7ac834e52ad5p-4, 0x1.00d92e2170fe4p-3, 0x1.05c35b3538dc2p-3, 0x1.0a945b3692eaep-3, 0x1.0f4bc72e7c3c9p-3, 0x1.13e93ec4458ccp-3, 0x1.186c6826431a2p-3, 0x1.1cd4eff1de2bdp-3, 0x1.2122891afa2ffp-3, 0x1.2554ecd2d5073p-3, 0x1.296bda6e4e439p-3, 0x1.2d67174badfbp-3, 0x1.31466eb7f3f9p-3, 0x1.3509b1d3abcb7p-3, 0x1.38b0b77760eebp-3, 0x1.3c3b5c17a6c88p-3, 0x1.3fa981a8cdf4p-3, 0x1.42fb0f8242793p-3, 0x1.462ff241a567bp-3, 0x1.49481bad9e518p-3, 0x1.4c438298771d4p-3, 0x1.4f2222c2806e7p-3, 0x1.51e3fcbc4d972p-3, 0x1.548915c8cab72p-3, 0x1.571177bf3411ap-3, 0x1.597d30ecfa093p-3, 0x1.5bcc53f78f1e2p-3, 0x1.5dfef7be30a56p-3, 0x1.6015373bacdcap-3, 0x1.620f31682ac03p-3, 0x1.63ed091af484ap-3, 0x1.65aee4ec629bep-3, 0x1.6754ef17c092ap-3, 0x1.68df555d6876p-3, 0x1.6a4e48e4e5439p-3, 0x1.6ba1fe1f4da44p-3, 0x1.6cdaaca9b5861p-3, 0x1.6df88f2fdf0b2p-3, 0x1.6efbe34f130d5p-3, 0x1.6fe4e97932cedp-3, 0x1.70b3e4d80c848p-3, 0x1.71691b30e4a6ep-3, 0x1.7204d4c84caafp-3, 0x1.72875c4639f13p-3, 0x1.72f0fe9a6afdcp-3, 0x1.73420ae120405p-3, 0x1.737ad24818977p-3, 0x1.739ba7f3f4bd2p-3, 0x1.73a4e0e5e2d52p-3, 0x1.7396d3e1af221p-3, 0x1.7371d9542cb13p-3, 0x1.73364b39ffa8ap-3, 0x1.72e48506cafb6p-3, 0x1.727ce38cba79p-3, 0x1.71ffc4e4839c8p-3, 0x1.716d8855bbadep-3, 0x1.70c68e3fa3c1ep-3, 0x1.700b38025e46cp-3, 0x1.6f3be7e88d3e5p-3, 0x1.6e5901116493p-3, 0x1.6d62e75b27bd7p-3, 0x1.6c59ff4e18e1bp-3, 0x1.6b3eae07db278p-3, 0x1.6a11592744c85p-3, 0x1.68d266b8a8bddp-3, 0x1.67823d228adedp-3, 0x1.66214312d469p-3, 0x1.64afdf6c7136fp-3, 0x1.632e79356b9fap-3, 0x1.619d77857487cp-3, 0x1.5ffd4174e85ap-3, 0x1.5e4e3e0c3f4fbp-3, 0x1.5c90d433fd445p-3, 0x1.5ac56aa50e9b7p-3, 0x1.58ec67d999426p-3, 0x1.570631fe45525p-3, 0x1.55132ee3f8edp-3, 0x1.5313c3f1fe886p-3, 0x1.51085618aac4fp-3, 0x1.4ef149c4668b2p-3, 0x1.4ccf02d131a9dp-3, 0x1.4aa1e47e9449ep-3, 0x1.486a5163f82dp-3, 0x1.4628ab657b4efp-3, 0x1.43dd53a92268p-3, 0x1.4188aa8c822e2p-3, 0x1.3f2b0f9accdcfp-3, 0x1.3cc4e183486a5p-3, 0x1.3a567e1030ebbp-3, 0x1.37e0421dfadc4p-3, 0x1.3562899306db5p-3, 0x1.32ddaf57a8fabp-3, 0x1.30520d4ea0a44p-3, 0x1.2dbffc4de8755p-3, 0x1.2b27d417ec231p-3, 0x1.2889eb5518f87p-3, 0x1.25e6978dc9cedp-3, 0x1.233e2d249205dp-3, 0x1.2090ff50dc0bdp-3, 0x1.1ddf6019e6e53p-3, 0x1.1b29a05214a0ap-3, 0x1.18700f928d3cbp-3, 0x1.15b2fc373a641p-3, 0x1.12f2b35b07c68p-3, 0x1.102f80d484331p-3, 0x1.0d69af32c126ap-3, 0x1.0aa187ba85e9bp-3, 0x1.07d75263cd73ap-3, 0x1.050b55d787266p-3, 0x1.023dd76da796ap-3, 0x1.fede3656ec08cp-4, 0x1.f93ec7844065fp-4, 0x1.f39de51b277adp-4, 0x1.edfc0f271f6d8p-4, 0x1.e859c305fe986p-4, 0x1.e2b77b6707ce2p-4, 0x1.dd15b04a8d1c5p-4, 0x1.d774d701f3505p-4, 0x1.d1d5623030a14p-4, 0x1.cc37c1cab324fp-4, 0x1.c69c631aa644dp-4, 0x1.c103b0beae104p-4, 0x1.bb6e12acfe0a5p-4, 0x1.b5dbee35bd5efp-4, 0x1.b04da605ed46cp-4, 0x1.aac39a2a77e14p-4, 0x1.a53e2813bf7b6p-4, 0x1.9fbdaa99645f1p-4, 0x1.9a4279fe6298ep-4, 0x1.94ccebf57adc1p-4, 0x1.8f5d53a5e32cfp-4, 0x1.89f401b04412bp-4, 0x1.84914433ec246p-4, 0x1.7f3566d44cf2cp-4, 0x1.79e0b2beb6ec5p-4, 0x1.74936eb046de3p-4, 0x1.6f4ddefc0cfaep-4, 0x1.6a1045917715cp-4, 0x1.64dae202d4602p-4, 0x1.5fadf18c21474p-4, 0x1.5a89af19ecd48p-4, 0x1.556e535075a5p-4, 0x1.505c1492e9b67p-4, 0x1.4b53270acbd97p-4, 0x1.4653bcaf7e6f6p-4, 0x1.415e054decf25p-4, 0x1.3c722e905309cp-4, 0x1.3790640628ec2p-4, 0x1.32b8cf2c1a7adp-4, 0x1.2deb97742323p-4, 0x1.2928e24dbfbbfp-4, 0x1.2470d32e26ba5p-4, 0x1.1fc38b98a6eafp-4, 0x1.1b212b270497cp-4, 0x1.1689cf91ee6cap-4, 0x1.11fd94b97afb7p-4, 0x1.0d7c94adb208fp-4, 0x1.0906e7b71ea5ep-4, 0x1.049ca45f6ac7ap-4, 0x1.003ddf79f7b6dp-4, 0x1.f7d558590d592p-5, 0x1.ef4637efb4cd5p-5, 0x1.e6ce7d80bbabcp-5, 0x1.de6e45ad8f9cap-5, 0x1.d625aa01814eep-5, 0x1.cdf4c102fc5e2p-5, 0x1.c5db9e44c154fp-5, 0x1.bdda52770e71bp-5, 0x1.b5f0eb78bc1aep-5, 0x1.ae1f7468421acp-5, 0x1.a665f5b4b468ep-5, 0x1.9ec4752ea3749p-5, 0x1.973af618e2651p-5, 0x1.8fc979393fa1dp-5, 0x1.886ffce90f42ap-5, 0x1.812e7d25afdf2p-5, 0x1.7a04f3a0d8209p-5, 0x1.72f357d0d7a96p-5, 0x1.6bf99f00a38fbp-5, 0x1.6517bc5fd302ep-5, 0x1.5e4da1125f125p-5, 0x1.579b3c4052455p-5, 0x1.51007b253fe7p-5, 0x1.4a7d491f976f4p-5, 0x1.44118fbfce0cep-5, 0x1.3dbd36d75a187p-5, 0x1.3780248786109p-5, 0x1.315a3d5009e31p-5, 0x1.2b4b641d891dbp-5, 0x1.25537a57cac11p-5, 0x1.1f725fefcef28p-5, 0x1.19a7f36db4d3fp-5, 0x1.13f411fe5eea7p-5, 0x1.0e569780fa51p-5, 0x1.08cf5e943a45bp-5, 0x1.035e40a379533p-5, 0x1.fc062be71538cp-6, 0x1.f17b6b5eec16ap-6, 0x1.e71bebe9be01cp-6, 0x1.dce757c0981c4p-6, 0x1.d2dd5732639d9p-6, 0x1.c8fd90bb82802p-6, 0x1.bf47a91d14377p-6, 0x1.b5bb4373c7b3ep-6, 0x1.ac58014e2e07fp-6, 0x1.a31d82c2ba047p-6, 0x1.9a0b66854bb92p-6, 0x1.912149fc2bb3bp-6, 0x1.885ec954df8bp-6, 0x1.7fc37f984bad7p-6, 0x1.774f06be838efp-6, 0x1.6f00f7c23da7ep-6, 0x1.66d8eab3bd87fp-6, 0x1.5ed676cb653e7p-6, 0x1.56f9327bcaea1p-6, 0x1.4f40b3837e0f6p-6, 0x1.47ac8efe3eca9p-6, 0x1.403c5975e2acdp-6, 0x1.38efa6f2d7147p-6, 0x1.31c60b0c1831dp-6, 0x1.2abf18f6e3c91p-6, 0x1.23da6395f9416p-6, 0x1.1d177d88691c7p-6, 0x1.1675f93806d77p-6, 0x1.0ff568e783897p-6, 0x1.09955ec00b40ep-6, 0x1.03556cde8b1ebp-6, 0x1.fa6a4ac143303p-7, 0x1.ee6834e241e3cp-7, 0x1.e2a3bca8505c1p-7, 0x1.d71c06e6075cp-7, 0x1.cbd038cf03984p-7, 0x1.c0bf780e10405p-7, 0x1.b5e8eada992a2p-7, 0x1.ab4bb80d4b4a2p-7, 0x1.a0e707342ca84p-7, 0x1.96ba00a5d8c74p-7, 0x1.8cc3cd943fcabp-7, 0x1.8303981e93ea1p-7, 0x1.79788b62a7569p-7, 0x1.7021d38da8478p-7, 0x1.66fe9dec24a95p-7, 0x1.5e0e18f985487p-7, 0x1.554f746ee4527p-7, 0x1.4cc1e1514366bp-7, 0x1.446491ff3651dp-7, 0x1.3c36ba3deb18dp-7, 0x1.34378f45b942ap-7, 0x1.2c6647ce04bacp-7, 0x1.24c21c18a0a1cp-7, 0x1.1d4a45fca440dp-7, 0x1.15fe00f0d9cfcp-7, 0x1.0edc8a155fe62p-7, 0x1.07e5203d0e8aap-7, 0x1.011703f65888ep-7, 0x1.f4e2ef26d63d3p-8, 0x1.e7e77e64565c5p-8, 0x1.db3a4186fae82p-8, 0x1.ced9c8248531bp-8, 0x1.c2c4a593a0c01p-8, 0x1.b6f970f7da534p-8, 0x1.ab76c54cec541p-8, 0x1.a03b41712e066p-8, 0x1.9545882f0be19p-8, 0x1.8a944045f3bbbp-8, 0x1.802614726567fp-8, 0x1.75f9b37506d97p-8, 0x1.6c0dd01975d88p-8, 0x1.6261213bf22b7p-8, 0x1.58f261ce9186bp-8, 0x1.4fc050dda3c36p-8, 0x1.46c9b193c333dp-8, 0x1.3e0d4b3cb0798p-8, 0x1.3589e9483abd2p-8, 0x1.2d3e5b4bf710ap-8, 0x1.2529750495dd2p-8, 0x1.1d4a0e57195a5p-8, 0x1.159f03509bdabp-8, 0x1.0e2734266cc9ap-8, 0x1.06e185352512ep-8, 0x1.ff99bdfeb56d8p-9, 0x1.f1d05c57e5f47p-9, 0x1.e464c707b92f8p-9, 0x1.d754e7deec1e3p-9, 0x1.ca9eb0e6d0b13p-9, 0x1.be401c5a28c41p-9, 0x1.b2372c9db9082p-9, 0x1.a681ec3761121p-9, 0x1.9b1e6dc479a17p-9, 0x1.900acbf05c007p-9, 0x1.85452968fe7f9p-9, 0x1.7acbb0d44d874p-9, 0x1.709c94c32c8f9p-9, 0x1.66b60fa595119p-9, 0x1.5d1663bcd9c82p-9, 0x1.53bbdb0e259c1p-9, 0x1.4aa4c753d815dp-9, 0x1.41cf81eeeda0cp-9, 0x1.393a6bd7752d4p-9, 0x1.30e3ed8ceb5d4p-9, 0x1.28ca770615e6bp-9, 0x1.20ec7fa028905p-9, 0x1.1948860de48e2p-9, 0x1.11dd104609592p-9, 0x1.0aa8ab71e08d4p-9, 0x1.03a9ebdaa6bbbp-9, 0x1.f9bed9af7b8c4p-10, 0x1.ec8fa177a0e5bp-10, 0x1.dfc38183467fbp-10, 0x1.d357d9f26ecd8p-10, 0x1.c74a18682fe9fp-10, 0x1.bb97b7e3cac14p-10, 0x1.b03e4098eb2edp-10, 0x1.a53b47c7ac6fp-10, 0x1.9a8c6f9407d21p-10, 0x1.902f66ddbe285p-10, 0x1.8621e916b17c7p-10, 0x1.7c61be1a34402p-10, 0x1.72ecba03c3d9fp-10, 0x1.69c0bd0498d6fp-10, 0x1.60dbb33bb57dep-10, 0x1.583b948a6faaep-10, 0x1.4fde646b86903p-10, 0x1.47c231c901b79p-10, 0x1.3fe516d1bdd26p-10, 0x1.384538cfd757bp-10, 0x1.30e0c7fe76615p-10, 0x1.29b5ff5fb34e9p-10, 0x1.22c324932c2a4p-10, 0x1.1c0687ab7af72p-10, 0x1.157e8304aa6f2p-10, 0x1.0f297b1a76f92p-10, 0x1.0905de5eed111p-10, 0x1.031225109c474p-10, 0x1.fa99a2228bf85p-11, 0x1.ef68db7a682fdp-11, 0x1.e48f1f83c39d2p-11, 0x1.da09a9eb7e6f8p-11, 0x1.cfd5c85d30a3dp-11, 0x1.c5f0da365b142p-11, 0x1.bc585032407f2p-11, 0x1.b309ac1ccb9bbp-11, 0x1.aa02808324b85p-11, 0x1.a1407064fdfabp-11, 0x1.98c12ee6a1b97p-11, 0x1.90827f046dda6p-11, 0x1.888233459df98p-11, 0x1.80be2d7077fe8p-11, 0x1.79345e3efdc77p-11, 0x1.71e2c513db2c9p-11, 0x1.6ac76fb214609p-11, 0x1.63e079f120498p-11, 0x1.5d2c0d7760b31p-11, 0x1.56a861708946p-11, 0x1.5053ba4793194p-11, 0x1.4a2c695f7047fp-11, 0x1.4430cccf584a8p-11, 0x1.3e5f4f1c1e5a8p-11, 0x1.38b666f5b825dp-11, 0x1.333496f3cf489p-11, 0x1.2dd86d53b9442p-11, 0x1.28a083b697c44p-11, 0x1.238b7ee166437p-11, 0x1.1e980e7cb1368p-11, 0x1.19c4ecd5d28ebp-11, 0x1.1510dea133375p-11, 0x1.107ab2bc22bdfp-11, 0x1.0c0141f1bd40fp-11, 0x1.07a36ebe11425p-11, 0x1.03602514c337cp-11, 0x1.fe6cb44c4aedfp-12, 0x1.f64a184e34cd1p-12, 0x1.ee5684306a833p-12, 0x1.e690171e105a7p-12, 0x1.def500fe31d06p-12, 0x1.d783820a40261p-12, 0x1.d039ea634c3a1p-12, 0x1.c91699ab6e712p-12, 0x1.c217fe9ee3687p-12, 0x1.bb3c96b0991c8p-12, 0x1.b482eda6802a3p-12, 0x1.ade99d3a2aa3dp-12, 0x1.a76f4cb70d2b2p-12, 0x1.a112b0a050236p-12, 0x1.9ad28a50c44aap-12, 0x1.94ada7a470098p-12, 0x1.8ea2e29d3be9bp-12, 0x1.88b1210d6354p-12, 0x1.82d75441f1eb4p-12, 0x1.7d1478adcb9c5p-12, 0x1.77679598b70dap-12, 0x1.71cfbccde5737p-12, 0x1.6c4c0a4d00a8cp-12, 0x1.66dba3fd474d4p-12, 0x1.617db960c0c1bp-12, 0x1.5c31834a19a2fp-12, 0x1.56f64393a9f4fp-12, 0x1.51cb44d873419p-12, 0x1.4cafda2d5c6a9p-12, 0x1.47a35edd05c3ap-12, 0x1.42a5362542425p-12, 0x1.3db4caf4832b2p-12, 0x1.38d18fa9e989fp-12, 0x1.33fafdd71d9fep-12, 0x1.2f30960200f0fp-12, 0x1.2a71df69aa7d7p-12, 0x1.25be67caba8c2p-12, 0x1.2115c3265b73fp-12, 0x1.1c778b8a8226dp-12, 0x1.17e360dadb3a2p-12, 0x1.1358e89aef20dp-12, 0x1.0ed7cdbb12ecap-12, 0x1.0a5fc064b5201p-12, 0x1.05f075c831ddap-12, 0x1.0189a7ed86fa4p-12, 0x1.fa562b07dc469p-13, 0x1.f1a90369c0864p-13, 0x1.e90b67ebb7b23p-13, 0x1.e07cefbb6913cp-13, 0x1.d7fd39f1ed667p-13, 0x1.cf8bed4156de6p-13, 0x1.c728b7a449013p-13, 0x1.bed34e0e6a78ap-13, 0x1.b68b6c2018f5cp-13, 0x1.ae50d3dbb180dp-13, 0x1.a6234d5c651a3p-13, 0x1.9e02a690449d3p-13, 0x1.95eeb2f311e5p-13, 0x1.8de74b4bbc973p-13, 0x1.85ec4d6c48d2ap-13, 0x1.7dfd9bf1ef847p-13, 0x1.761b1e0740256p-13, 0x1.6e44bf2b40969p-13, 0x1.667a6ef5650c9p-13, 0x1.5ebc20dedd775p-13, 0x1.5709cc0ca3acp-13, 0x1.4f636b1a758b8p-13, 0x1.47c8fbe89a54cp-13, 0x1.403a7f69950d6p-13, 0x1.38b7f973499e3p-13, 0x1.3141709097083p-13, 0x1.29d6edd505eccp-13, 0x1.22787cb112e8bp-13, 0x1.1b262ac94eea9p-13, 0x1.13e007ccc8b03p-13, 0x1.0ca6254efa15fp-13, 0x1.057896a1a6163p-13, 0x1.fcaee1623a25ap-14, 0x1.ee8593c295c4bp-14, 0x1.e07573d7d1638p-14, 0x1.d27eb37e0555dp-14, 0x1.c4a186bdf2a2ap-14, 0x1.b6de239019c12p-14, 0x1.a934c1a1974b8p-14, 0x1.9ba59a1d540a6p-14, 0x1.8e30e777d6bd5p-14, 0x1.80d6e53a13bdep-14, 0x1.7397cfcfccb46p-14, 0x1.6673e45a81f8ep-14, 0x1.596b60815b2d5p-14, 0x1.4c7e82488925ep-14, 0x1.3fad87e6d6de1p-14, 0x1.32f8af9d3899p-14, 0x1.26603792ca45bp-14, 0x1.19e45daecb37ap-14, 0x1.0d855f772767dp-14, 0x1.014379ef10332p-14, 0x1.ea3dd2f137ccp-15, 0x1.d22fd36fb3a2bp-15, 0x1.ba5d6aeb9f59bp-15, 0x1.a2c70d0af45f3p-15, 0x1.8b6d2b573939cp-15, 0x1.7450350d4dabep-15, 0x1.5d7096eea8da9p-15, 0x1.46cebb1ae46f6p-15, 0x1.306b08e66d6bep-15, 0x1.1a45e4b53ab1cp-15, 0x1.045fafd8019c6p-15, 0x1.dd7190d40603p-16, 0x1.b2a31269f27f3p-16, 0x1.8854932862041p-16, 0x1.5e86bab7b95edp-16, 0x1.353a29853afep-16, 0x1.0c6f788d0540ap-16, 0x1.c84e727519769p-17, 0x1.78c3ea7ecf6aap-17, 0x1.2a405cedf21ddp-17, 0x1.b9897b165a83ap-18, 0x1.20a3dff1ce79dp-18, 0x1.13a31e6a9de64p-19, -0x1.5d7e2a6bacffdp-23, -0x1.3b267a0349e26p-19, -0x1.2e23109a07227p-18, -0x1.bc9a4a6508592p-18, -0x1.247bf5331f245p-17, -0x1.699d893063ddep-17, -0x1.adb182fc8a08cp-17, -0x1.f0b7954b68bc6p-17, -0x1.1957c1e1d53dfp-16, -0x1.39cc91780c3efp-16, -0x1.59ba2c1b6d8fbp-16, -0x1.79208ce3230f6p-16, -0x1.97ffb7443828p-16, -0x1.b657b6ffb2f0fp-16, -0x1.d428a01e3c563p-16, -0x1.f1728ed93dcf9p-16, -0x1.071ad3c9f4fa3p-15, -0x1.15390b6169d28p-15, -0x1.2314086e39144p-15, -0x1.30abe9214a518p-15, -0x1.3e00cf96d271p-15, -0x1.4b12e1c99b66p-15, -0x1.57e24989b4294p-15, -0x1.646f346e184f3p-15, -0x1.70b9d3c885574p-15, -0x1.7cc25c9646d6fp-15, -0x1.88890774af5bfp-15, -0x1.940e108ef9b68p-15, -0x1.9f51b79298c8cp-15, -0x1.aa543f9f42f0bp-15, -0x1.b515ef373d946p-15, -0x1.bf97102f0b97dp-15, -0x1.c9d7ef9ed98p-15, -0x1.d3d8ddd0c3431p-15, -0x1.dd9a2e317819ap-15, -0x1.e71c373c2ee99p-15, -0x1.f05f526d7e4d6p-15, -0x1.f963dc302f4bap-15, -0x1.011519e574d59p-14, -0x1.05595da840a64p-14, -0x1.097eebc66bd33p-14, -0x1.0d85f7fa515e1p-14, -0x1.116eb74a3ee27p-14, -0x1.15395ffc83b8ep-14, -0x1.18e62991c052p-14, -0x1.1c754cbad59dp-14, -0x1.1fe7034fb42b8p-14, -0x1.233b884600d16p-14, -0x1.267317a903a77p-14, -0x1.298dee904405bp-14, -0x1.2c8c4b15e6b4p-14, -0x1.2f6e6c4dc2c5p-14, -0x1.3234923d3acc1p-14, -0x1.34defdd1d1d1ap-14, -0x1.376df0d92b727p-14, -0x1.39e1adf6f582bp-14, -0x1.3c3a789cc5689p-14, -0x1.3e7895019e47p-14, -0x1.409c481907779p-14, -0x1.42a5d78a0b0eep-14, -0x1.449589a7c47a7p-14, -0x1.466ba567cc341p-14, -0x1.4828725af9e51p-14, -0x1.49cc38a427d48p-14, -0x1.4b5740efab8eap-14, -0x1.4cc9d46c875cdp-14, -0x1.4e243cc43b8e5p-14, -0x1.4f66c4119d2d4p-14, -0x1.5091b4d9dd7cbp-14, -0x1.51a55a048792cp-14, -0x1.52a1fed4b56a6p-14, -0x1.5387eee0404e4p-14, -0x1.5457760964868p-14, -0x1.5510e076d7fcbp-14, -0x1.55b47a8c9957fp-14, -0x1.564290e4f6c27p-14, -0x1.56bb704903abap-14, -0x1.571f65aa95fdbp-14, -0x1.576ebe1d1ec5dp-14, -0x1.57a9c6ce96acfp-14, -0x1.57d0cd0211c73p-14, -0x1.57e41e084024cp-14, -0x1.57e4073952b5fp-14, -0x1.57d0d5ee9d59cp-14, -0x1.57aad77db75ebp-14, -0x1.5772593105438p-14, -0x1.5727a842429e4p-14, -0x1.56cb11d5cbaffp-14, -0x1.565ce2f3f9e98p-14, -0x1.55dd688388893p-14, -0x1.554cef44d1073p-14, -0x1.54abc3cc55b55p-14, -0x1.53fa327d65c49p-14, -0x1.5338878584926p-14, -0x1.52670ed771a91p-14, -0x1.51861426485a2p-14, -0x1.5095e2e0a96efp-14, -0x1.4f96c62c7d9c8p-14, -0x1.4e8908e2bbbfdp-14, -0x1.4d6cf58ab7204p-14, -0x1.4c42d655a4754p-14, -0x1.4b0af51b2be15p-14, -0x1.49c59b5596389p-14, -0x1.4873121d2b79ep-14, -0x1.4713a224d0ad1p-14, -0x1.45a793b666b42p-14, -0x1.442f2eaf9eecep-14, -0x1.42aaba7e9b0a2p-14, -0x1.411a7e1dfcfe5p-14, -0x1.3f7ec011fd2f1p-14, -0x1.3dd7c6659957cp-14, -0x1.3c25d6a743e0fp-14, -0x1.3a6935e666e32p-14, -0x1.38a228b074f37p-14, -0x1.36d0f30e685dep-14, -0x1.34f5d881bba06p-14, -0x1.33111c0255a1dp-14, -0x1.3122fffbdbe3p-14, -0x1.2f2bc64bfb1fcp-14, -0x1.2d2bb03fabfd4p-14, -0x1.2b22fe91752edp-14, -0x1.2911f16741282p-14, -0x1.26f8c85098837p-14, -0x1.24d7c24504efp-14, -0x1.22af1da1fb978p-14, -0x1.207f1829750c1p-14, -0x1.1e47ef0015726p-14, -0x1.1c09deac26f4ep-14, -0x1.19c5231450474p-14, -0x1.1779f77d9f20ep-14, -0x1.1528968aee36ep-14, -0x1.12d13a3bbdfadp-14, -0x1.10741beabaa97p-14, -0x1.0e11744cedaa6p-14, -0x1.0ba97b7177ab3p-14, -0x1.093c68bfb228cp-14, -0x1.06ca72f750c3p-14, -0x1.0453d02f4c2d1p-14, -0x1.01d8b5d51d75cp-14, -0x1.feb2b1599b676p-15, -0x1.f9abd99fa96b5p-15, -0x1.f49d4b5a5f0e5p-15, -0x1.ef876c112f286p-15, -0x1.ea6a9ff5308e6p-15, -0x1.e54749e0ada93p-15, -0x1.e01dcb561247fp-15, -0x1.daee8480a24a7p-15, -0x1.d5b9d4338c8f4p-15, -0x1.d08017ea754dbp-15, -0x1.cb41abc9b8609p-15, -0x1.c5feea9e6df58p-15, -0x1.c0b82dde52c54p-15, -0x1.bb6dcda9a5d1cp-15, -0x1.b62020ca0e4b2p-15, -0x1.b0cf7cb376418p-15, -0x1.ab7c35863f938p-15, -0x1.a6269e0ec23a1p-15, -0x1.a0cf07c62e2f1p-15, -0x1.9b75c2d479bdep-15, -0x1.961b1e1080238p-15, -0x1.90bf6701a773cp-15, }}, 
      {{0x1.fe9cfab0793c4p-1, 0x1.fe49063a7d1d7p-1, 0x1.fdbd395ee4358p-1, 0x1.fcf9c3bcf6e3ep-1, 0x1.fbfee7873b6c5p-1, 0x1.faccf911088dep-1, 0x1.f9645e43995e6p-1, 0x1.f7c58dfeeaa02p-1, 0x1.f5f10f6a7501ep-1, 0x1.f3e779397ee1ap-1, 0x1.f1a970e65f309p-1, 0x1.ef37a9e7a2db3p-1, 0x1.ec92e4e19fd67p-1, 0x1.e9bbeed6aa884p-1, 0x1.e6b3a057c9a19p-1, 0x1.e37adcb775561p-1, 0x1.e012913fb0dbdp-1, 0x1.dc7bb46c8451bp-1, 0x1.d8b7452baf369p-1, 0x1.d4c64a2234da7p-1, 0x1.d0a9d0f839881p-1, 0x1.cc62edab8ac8bp-1, 0x1.c7f2b9e902418p-1, 0x1.c35a546ce497ep-1, 0x1.be9ae06a4132ap-1, 0x1.b9b584f94bcedp-1, 0x1.b4ab6c8c9666p-1, 0x1.af7dc46d0cd53p-1, 0x1.aa2dbc3c86b97p-1, 0x1.a4bc857ec0abfp-1, 0x1.9f2b5328876d6p-1, 0x1.997b5934df917p-1, 0x1.93adcc3feda12p-1, 0x1.8dc3e12764367p-1, 0x1.87beccb03b974p-1, 0x1.819fc33178c25p-1, 0x1.7b67f843c57a5p-1, 0x1.75189e759ed05p-1, 0x1.6eb2e703e28b1p-1, 0x1.683801967da0fp-1, 0x1.61a91c010af19p-1, 0x1.5b07620726e0fp-1, 0x1.5453fd2447729p-1, 0x1.4d901456e812bp-1, 0x1.46bccbeed8e5dp-1, 0x1.3fdb455e8337fp-1, 0x1.38ec9f0efd383p-1, 0x1.31f1f436c2209p-1, 0x1.2aec5cb2ea7fep-1, 0x1.23dcece2c1e84p-1, 0x1.1cc4b5859be0cp-1, 0x1.15a4c39ac7575p-1, 0x1.0e7e20438861ep-1, 0x1.0751d0a6ff049p-1, 0x1.0020d5d7e294dp-1, 0x1.f1d85977fe1p-2, 0x1.e3699beac2f9p-2, 0x1.d4f75b9a453c2p-2, 0x1.c683783f7daf2p-2, 0x1.b80fc895e2a7bp-2, 0x1.a99e1a3a029eep-2, 0x1.9b30318af9c8bp-2, 0x1.8cc7c98e9c5cfp-2, 0x1.7e6693d854b05p-2, 0x1.700e38729816dp-2, 0x1.61c055cae78fcp-2, 0x1.537e80a04db9bp-2, 0x1.454a43f446b24p-2, 0x1.372520fe0c9cep-2, 0x1.29108f2033b2p-2, 0x1.1b0dfbe08c2bcp-2, 0x1.0d1ecae23f809p-2, 0x1.fe88abc42c058p-3, 0x1.e2ffd969bd7a3p-3, 0x1.c7a5aa8fcf07fp-3, 0x1.ac7c9746f0125p-3, 0x1.918703de90105p-3, 0x1.76c740f1afd33p-3, 0x1.5c3f8b775436cp-3, 0x1.41f20cd68abc8p-3, 0x1.27e0dafde4cb1p-3, 0x1.0e0df87e54778p-3, 0x1.e8f6a9528bcc3p-4, 0x1.b6559763a4263p-4, 0x1.843c4da1e27cap-4, 0x1.52ae38d917193p-4, 0x1.21aea0828f2cep-4, 0x1.e2814e3bcc5fcp-5, 0x1.82ce951dab5a7p-5, 0x1.244ac8ff70ba7p-5, 0x1.8df6ab2220553p-6, 0x1.ab957ed06f2c8p-7, 0x1.00dc65a1d81adp-9, -0x1.261b7256adfdfp-7, -0x1.43a866a31ece6p-6, -0x1.f1ac56748202fp-6, -0x1.4e88f3e1a02eap-5, -0x1.a2e8fe0bfcbeap-5, -0x1.f5f2faac40229p-5, -0x1.23d1ecedb0377p-4, -0x1.4bfc64e5d5b21p-4, -0x1.73779adc12204p-4, -0x1.9a426268424cfp-4, -0x1.c05bac9115f47p-4, -0x1.e5c2873f29739p-4, -0x1.053b0e5782343p-3, -0x1.173ad971050dbp-3, -0x1.28e055875286cp-3, -0x1.3a2b4087e22e3p-3, -0x1.4b1b6569e472dp-3, -0x1.5bb09be58fdcep-3, -0x1.6beac82b4e9e1p-3, -0x1.7bc9da9add2ccp-3, -0x1.8b4dcf7a6b82cp-3, -0x1.9a76aeadcd509p-3, -0x1.a9448b6dcd5fap-3, -0x1.b7b783ffacef3p-3, -0x1.c5cfc16cd6f79p-3, -0x1.d38d773ae4594p-3, -0x1.e0f0e323e123dp-3, -0x1.edfa4ccf01923p-3, -0x1.faaa0589a46f7p-3, -0x1.038034006e07bp-2, -0x1.097eebfdaea85p-2, -0x1.0f516109fc5bbp-2, -0x1.14f7cdba4d0edp-2, -0x1.1a7270c8e77b5p-2, -0x1.1fc18cf378177p-2, -0x1.24e568d96f07bp-2, -0x1.29de4edab1a0ep-2, -0x1.2eac8cf69f7ap-2, -0x1.335074ab6a9d8p-2, -0x1.37ca5ad5d0ed6p-2, -0x1.3c1a979125923p-2, -0x1.40418617c1549p-2, -0x1.443f84a3cd1f3p-2, -0x1.4814f4506cd28p-2, -0x1.4bc238fb51729p-2, -0x1.4f47b926a902dp-2, -0x1.52a5dddb79b2p-2, -0x1.55dd128c5ffa6p-2, -0x1.58edc4f8b8124p-2, -0x1.5bd865102c13ap-2, -0x1.5e9d64d6b168ap-2, -0x1.613d3848eee52p-2, -0x1.63b855410d4e8p-2, -0x1.660f335bf87aap-2, -0x1.68424bdf0a6d5p-2, -0x1.6a52199e270c4p-2, -0x1.6c3f18e243942p-2, -0x1.6e09c75061b85p-2, -0x1.6fb2a3d0f531bp-2, -0x1.713a2e77be4a8p-2, -0x1.72a0e86c0fb9dp-2, -0x1.73e753d1890b8p-2, -0x1.750df3b1419f5p-2, -0x1.76154be35fd91p-2, -0x1.76fde0f929b3ap-2, -0x1.77c838277e005p-2, -0x1.7874d731c3846p-2, -0x1.79044455498edp-2, -0x1.7977063516f25p-2, -0x1.79cda3c62d1a9p-2, -0x1.7a08a43c38348p-2, -0x1.7a288ef6b2909p-2, -0x1.7a2deb6e79eep-2, -0x1.7a194123cec4ap-2, -0x1.79eb178ccb2e8p-2, -0x1.79a3f60442eedp-2, -0x1.794463b914f19p-2, -0x1.78cce79ded614p-2, -0x1.783e08596ff94p-2, -0x1.77984c36d754bp-2, -0x1.76dc3916fab6fp-2, -0x1.760a5461c389fp-2, -0x1.752322f80f7e2p-2, -0x1.74272925fa76p-2, -0x1.7316ea959512dp-2, -0x1.71f2ea4204cf8p-2, -0x1.70bbaa6b0cc74p-2, -0x1.6f71ac88fc85fp-2, -0x1.6e1571410bea1p-2, -0x1.6ca7785a1444p-2, -0x1.6b2840b1b768fp-2, -0x1.69984831e7878p-2, -0x1.67f80bc6d10fbp-2, -0x1.6648075529c2fp-2, -0x1.6488b5b0e1d7ap-2, -0x1.62ba909431782p-2, -0x1.60de109709a7cp-2, -0x1.5ef3ad26e1831p-2, -0x1.5cfbdc7ee2801p-2, -0x1.5af713a06bc3p-2, -0x1.58e5c64bf7162p-2, -0x1.56c866fa51e2p-2, -0x1.549f66d631309p-2, -0x1.526b35b61be2dp-2, -0x1.502c4216aa3a2p-2, -0x1.4de2f9151b941p-2, -0x1.4b8fc66a3d139p-2, -0x1.49331465a44a9p-2, -0x1.46cd4be937bbdp-2, -0x1.445ed4650a0cp-2, -0x1.41e813d37ea54p-2, -0x1.3f696eb5bfb79p-2, -0x1.3ce3481079b6dp-2, -0x1.3a560168e5218p-2, -0x1.37c1fac216357p-2, -0x1.3527929a9221cp-2, -0x1.328725ea2c596p-2, -0x1.2fe11020264ecp-2, -0x1.2d35ab218f65ep-2, -0x1.2a854f47ead3ep-2, -0x1.27d053600f8c9p-2, -0x1.25170ca949475p-2, -0x1.2259ced4b6354p-2, -0x1.1f98ec04dd74p-2, -0x1.1cd4b4cd7ffe1p-2, -0x1.1a0d7833a48b3p-2, -0x1.174383add4418p-2, -0x1.1477232493375p-2, -0x1.11a8a0f307934p-2, -0x1.0ed845e7d3b0ep-2, -0x1.0c065946242b2p-2, -0x1.093320c6eb32fp-2, -0x1.065ee09a47009p-2, -0x1.0389db691ad7fp-2, -0x1.00b45256ce50dp-2, -0x1.fbbd0a066f712p-3, -0x1.f61163195eb5ep-3, -0x1.f0662924921c2p-3, -0x1.eabbd26c647eep-3, -0x1.e512d240700d6p-3, -0x1.df6b9900d55f9p-3, -0x1.d9c69423cb8c4p-3, -0x1.d4242e3b72385p-3, -0x1.ce84cefbdcd1fp-3, -0x1.c8e8db415a7e1p-3, -0x1.c350b516f812dp-3, -0x1.bdbcbbbd37babp-3, -0x1.b82d4bb0f8f81p-3, -0x1.b2a2beb295702p-3, -0x1.ad1d6bcd2b726p-3, -0x1.a79da75e163e2p-3, -0x1.a223c31c8a582p-3, -0x1.9cb00e21607ecp-3, -0x1.9742d4ef04aecp-3, -0x1.91dc6179822e5p-3, -0x1.8c7cfb2ebc755p-3, -0x1.8724e6feb6277p-3, -0x1.81d467640a325p-3, -0x1.7c8bbc6c686ffp-3, -0x1.774b23c13f257p-3, -0x1.7212d8b06e2ebp-3, -0x1.6ce314351108ep-3, -0x1.67bc0d0065028p-3, -0x1.629df782b20f4p-3, -0x1.5d8905f44b5b5p-3, -0x1.587d685e9ed33p-3, -0x1.537b4ca54bb48p-3, -0x1.4e82de8f410a1p-3, -0x1.499447cfedbebp-3, -0x1.44afb0106d2c2p-3, -0x1.3fd53cf8bff9fp-3, -0x1.3b051239041b4p-3, -0x1.363f5192b2143p-3, -0x1.31841ae1d87bep-3, -0x1.2cd38c265860dp-3, -0x1.282dc18d1f08bp-3, -0x1.2392d5795d0d3p-3, -0x1.1f02e08db66fap-3, -0x1.1a7df9b57008p-3, -0x1.1604362d950adp-3, -0x1.1195a98e11ff8p-3, -0x1.0d3265d2c7ccfp-3, -0x1.08da7b6497bc7p-3, -0x1.048df9225c22ap-3, -0x1.004cec69de64ap-3, -0x1.f82ec2416e00ap-4, -0x1.efdac37a49903p-4, -0x1.e79dee9da34cap-4, -0x1.df78530f129bbp-4, -0x1.d769fd87bae3p-4, -0x1.cf72f827760f9p-4, -0x1.c7934a85d321dp-4, -0x1.bfcaf9c2f34d1p-4, -0x1.b81a08984062ep-4, -0x1.b0807768f1fc6p-4, -0x1.a8fe4452767dep-4, -0x1.a1936b3ca20cap-4, -0x1.9a3fe5e9bddap-4, -0x1.9303ac065faa6p-4, -0x1.8bdeb3391be33p-4, -0x1.84d0ef32005bep-4, -0x1.7dda51b9e4f62p-4, -0x1.76facac188aa4p-4, -0x1.703248707d524p-4, -0x1.6980b733df075p-4, -0x1.62e601ccddc26p-4, -0x1.5c62115f0c94dp-4, -0x1.55f4cd7e83aaap-4, -0x1.4f9e1c3dc64f6p-4, -0x1.495de23b7adc2p-4, -0x1.433402afe8699p-4, -0x1.3d205f7a3f627p-4, -0x1.3722d92dae2f3p-4, -0x1.313b4f1e3dc42p-4, -0x1.2b699f6d77788p-4, -0x1.25ada716d4554p-4, -0x1.200741fbf5acfp-4, -0x1.1a764af0a6498p-4, -0x1.14fa9bc6a5112p-4, -0x1.0f940d5936ab2p-4, -0x1.0a42779884a7ap-4, -0x1.0505b194be609p-4, -0x1.ffbb2312145b3p-5, -0x1.f593d9cc731a3p-5, -0x1.eb9530ba97611p-5, -0x1.e1becfd36c505p-5, -0x1.d8105db6ee0bp-5, -0x1.ce897fc1e4c87p-5, -0x1.c529da21321f2p-5, -0x1.bbf10fe4b9553p-5, -0x1.b2dec311cc8bap-5, -0x1.a9f294b543019p-5, -0x1.a12c24f51979ep-5, -0x1.988b1321ada58p-5, -0x1.900efdc69547bp-5, -0x1.87b782bb035aep-5, -0x1.7f843f31d64dap-5, -0x1.7774cfc9327dfp-5, -0x1.6f88d099c139fp-5, -0x1.67bfdd458a119p-5, -0x1.6019910665c5bp-5, -0x1.589586bc1561cp-5, -0x1.513358f9f50fbp-5, -0x1.49f2a21450461p-5, -0x1.42d2fc2d55e86p-5, -0x1.3bd40141b5da2p-5, -0x1.34f54b34daa4fp-5, -0x1.2e3673dcc74a8p-5, -0x1.2797150da4295p-5, -0x1.2116c8a4eea49p-5, -0x1.1ab52894480a9p-5, -0x1.1471ceebff84bp-5, -0x1.0e4c55e53a914p-5, -0x1.084457ebcceb7p-5, -0x1.02596fa7bdc3cp-5, -0x1.f916700cf8ccdp-6, -0x1.edb298878a063p-6, -0x1.e2868fe469c49p-6, -0x1.d7918e0728bb3p-6, -0x1.ccd2cba19d06p-6, -0x1.c249824343ff7p-6, -0x1.b7f4ec68180d9p-6, -0x1.add44586ca374p-6, -0x1.a3e6ca1e6b77bp-6, -0x1.9a2bb7c39112bp-6, -0x1.90a24d2cf336p-6, -0x1.8749ca3f80458p-6, -0x1.7e217019e203p-6, -0x1.7528811fa0e56p-6, -0x1.6c5e41039784p-6, -0x1.63c1f4d21c1f5p-6, -0x1.5b52e2fa90c19p-6, -0x1.531053588869cp-6, -0x1.4af98f3c78cf6p-6, -0x1.430de173e88e8p-6, -0x1.3b4c965143424p-6, -0x1.33b4fbb342a8cp-6, -0x1.2c46610bd2c81p-6, -0x1.25001766a7434p-6, -0x1.1de1716f563dep-6, -0x1.16e9c3773282ep-6, -0x1.1018637a907c4p-6, -0x1.096ca925e0f2cp-6, -0x1.02e5edda4781dp-6, -0x1.f9071963dc658p-7, -0x1.ec89c507fb381p-7, -0x1.e0529bd06d6cap-7, -0x1.d4605e74859bdp-7, -0x1.c8b1d139515b2p-7, -0x1.bd45bbf702186p-7, -0x1.b21aea1da6094p-7, -0x1.a7302ab9545dbp-7, -0x1.9c845075c4441p-7, -0x1.921631a1545fap-7, -0x1.87e4a82fa0404p-7, -0x1.7dee91bb6e5f1p-7, -0x1.7432cf8849aa8p-7, -0x1.6ab04683614c2p-7, -0x1.6165df443022ap-7, -0x1.5852860c83cbbp-7, -0x1.4f752ac82dd36p-7, -0x1.46ccc10c2e58fp-7, -0x1.3e58401584103p-7, -0x1.3616a2c79f60cp-7, -0x1.2e06e7aa5aa73p-7, -0x1.262810e7a9001p-7, -0x1.1e792448d1f2ep-7, -0x1.16f92b337fefbp-7, -0x1.0fa732a636f22p-7, -0x1.08824b34b673dp-7, -0x1.01898903ff9cp-7, -0x1.f578078be0633p-8, -0x1.e831ad6955c4bp-8, -0x1.db3e411b7fdadp-8, -0x1.ce9c071a309a4p-8, -0x1.c2494acf09f43p-8, -0x1.b6445e8a3d38ap-8, -0x1.aa8b9b76fa40fp-8, -0x1.9f1d618f2e1dbp-8, -0x1.93f8178f1b7cfp-8, -0x1.891a2ae84ef6bp-8, -0x1.7e820fb467b91p-8, -0x1.742e40a761419p-8, -0x1.6a1d3f01903f4p-8, -0x1.604d92815eb7cp-8, -0x1.56bdc954acb0ep-8, -0x1.4d6c7809d0076p-8, -0x1.44583980912c2p-8, -0x1.3b7faedaa6f77p-8, -0x1.32e17f6c1c401p-8, -0x1.2a7c58ab5ba72p-8, -0x1.224eee2143d64p-8, -0x1.1a57f958b261ap-8, -0x1.129639ce56708p-8, -0x1.0b0874dfcef9p-8, -0x1.03ad75bb2e506p-8, -0x1.f9081a9bdb3c7p-9, -0x1.eb1624683014fp-9, -0x1.dd82c14e170cap-9, -0x1.d04bb4d8c3a99p-9, -0x1.c36ecd8951c39p-9, -0x1.b6e9e4b3ff065p-9, -0x1.aabade5d76778p-9, -0x1.9edfa917b8e8fp-9, -0x1.93563ddf95878p-9, -0x1.881c9ff8f4acfp-9, -0x1.7d30dccc74767p-9, -0x1.72910bc3c6ba3p-9, -0x1.683b4e26eb1ap-9, -0x1.5e2dcef911d3bp-9, -0x1.5466c2d572bfbp-9, -0x1.4ae467cc78304p-9, -0x1.41a50540a492cp-9, -0x1.38a6ebc3d7345p-9, -0x1.2fe874f4be101p-9, -0x1.2768035bd946p-9, -0x1.1f24024929b5ep-9, -0x1.171ae5b1f6adep-9, -0x1.0f4b2a0e482a9p-9, -0x1.07b354372a0f9p-9, -0x1.0051f1449e4f9p-9, -0x1.f24b2cd7d5af9p-10, -0x1.e459c1bc76b71p-10, -0x1.d6cceb4e6e9cdp-10, -0x1.c9a203180006p-10, -0x1.bcd671d4d4ec7p-10, -0x1.b067af3052aeep-10, -0x1.a45341856e0f4p-10, -0x1.9896bd9e1f7dap-10, -0x1.8d2fc673a0ecfp-10, -0x1.821c0cef5248bp-10, -0x1.77594fac412d2p-10, -0x1.6ce55ab8b9a0ap-10, -0x1.62be0758ef26cp-10, -0x1.58e13bca33b01p-10, -0x1.4f4ceb06354bap-10, -0x1.45ff1487c7093p-10, -0x1.3cf5c40f33a32p-10, -0x1.342f116804d4fp-10, -0x1.2ba9202f23a35p-10, -0x1.23621f995f1a1p-10, -0x1.1b584a3ac8f5p-10, -0x1.1389e5cf3dc69p-10, -0x1.0bf543022c97p-10, -0x1.0498bd38b8a4dp-10, -0x1.fae574b6ad421p-11, -0x1.ed035540901dbp-11, -0x1.df8810aeafb77p-11, -0x1.d270af6ac6597p-11, -0x1.c5ba4d430836p-11, -0x1.b9621903c6fc2p-11, -0x1.ad655413fa7d7p-11, -0x1.a1c152129abecp-11, -0x1.967378757c718p-11, -0x1.8b793e28abfap-11, -0x1.80d02b30f02e7p-11, -0x1.7675d84ddb25p-11, -0x1.6c67ee9e26469p-11, -0x1.62a4274514f1p-11, -0x1.59284b11f10e2p-11, -0x1.4ff232270dd7cp-11, -0x1.46ffc3a47d0a4p-11, -0x1.3e4ef552654a9p-11, -0x1.35ddcb4d52863p-11, -0x1.2daa57b3df4dcp-11, -0x1.25b2ba55620a7p-11, -0x1.1df5206278b6p-11, -0x1.166fc41dcb4a1p-11, -0x1.0f20ec8fea6cap-11, -0x1.0806ed3a8452fp-11, -0x1.012025ce88648p-11, -0x1.f4d603c3c9b97p-12, -0x1.e7cbf1505b15cp-12, -0x1.db1f1957d3c34p-12, -0x1.cecc97103ebeap-12, -0x1.c2d19b4994f98p-12, -0x1.b72b6be73ee27p-12, -0x1.abd7635c0693p-12, -0x1.a0d2f028e72d2p-12, -0x1.961b945e0ceb9p-12, -0x1.8baee51dc33dfp-12, -0x1.818a8a237fd58p-12, -0x1.77ac3d4a11eb5p-12, -0x1.6e11ca1790da7p-12, -0x1.64b90d49cf947p-12, -0x1.5b9ff463f0c51p-12, -0x1.52c47d4138211p-12, -0x1.4a24b5a745bdbp-12, -0x1.41bebadb8668bp-12, -0x1.3990b93b804a7p-12, -0x1.3198ebd5710b1p-12, -0x1.29d59c054782dp-12, -0x1.22452112423efp-12, -0x1.1ae5dfcdf7aa8p-12, -0x1.13b64a3758edep-12, -0x1.0cb4df1e30342p-12, -0x1.05e029c89da63p-12, -0x1.fe6d83362febdp-13, -0x1.f16e9385331d4p-13, -0x1.e4c0e1c042afep-13, -0x1.d861e16a8445cp-13, -0x1.cc4f1ba931faap-13, -0x1.c0862ea3113dcp-13, -0x1.b504cce959678p-13, -0x1.a9c8bcdc90475p-13, -0x1.9ecfd81da199ap-13, -0x1.94180afa376aap-13, -0x1.899f53e235a54p-13, -0x1.7f63c2dd887f8p-13, -0x1.756379055564ep-13, -0x1.6b9ca801a84cp-13, -0x1.620d91892275p-13, -0x1.58b486e381d6fp-13, -0x1.4f8fe870a15d8p-13, -0x1.469e253109f93p-13, -0x1.3dddba526446cp-13, -0x1.354d32bdbe973p-13, -0x1.2ceb26a8eab2bp-13, -0x1.24b63b2b8e442p-13, -0x1.1cad21d57cee7p-13, -0x1.14ce9849393adp-13, -0x1.0d1967d6e61eep-13, -0x1.058c651ccb3fbp-13, -0x1.fc4cdf5042878p-14, -0x1.edcce33120314p-14, -0x1.df96be8ced2e9p-14, -0x1.d1a86dd813e0cp-14, -0x1.c400009fb72afp-14, -0x1.b69b98e3ad12ep-14, -0x1.a9796a76a70c7p-14, -0x1.9c97ba6005edep-14, -0x1.8ff4de45c3919p-14, -0x1.838f3bd5967c5p-14, -0x1.77654836d0be8p-14, -0x1.6b75877c3c213p-14, -0x1.5fbe8c1e24db7p-14, -0x1.543ef673d9c0fp-14, -0x1.48f57434969cap-14, -0x1.3de0bffa2ebf4p-14, -0x1.32ffa0c7b5b02p-14, -0x1.2850e994991ep-14, -0x1.1dd378d9a3e77p-14, -0x1.1386382199d9dp-14, -0x1.09681b9f631e9p-14, -0x1.fef043866aa8ep-15, -0x1.eb6aa5af0003dp-15, -0x1.d83d813c0716fp-15, -0x1.c5670be0df87fp-15, -0x1.b2e58cca2097ep-15, -0x1.a0b75bebeb80ep-15, -0x1.8edae150a4de1p-15, -0x1.7d4e947547e65p-15, -0x1.6c10fba6710a1p-15, -0x1.5b20ab63170cap-15, -0x1.4a7c45c50b18cp-15, -0x1.3a2279edb4385p-15, -0x1.2a1203781ae21p-15, -0x1.1a49a9f180968p-15, -0x1.0ac8405263ef8p-15, -0x1.f71949003ccffp-16, -0x1.d92b7d9f152dep-16, -0x1.bbc5031d0b7b5p-16, -0x1.9ee3d11fcb59dp-16, -0x1.8285f1795d15p-16, -0x1.66a97f51b828bp-16, -0x1.4b4ca655f57d5p-16, -0x1.306da1f263634p-16, -0x1.160abc9484894p-16, -0x1.f8449dd66c805p-17, -0x1.c5657e6fa1133p-17, -0x1.9375014b4c83ap-17, -0x1.6270253e5453bp-17, -0x1.3254006324f52p-17, -0x1.031dbee64ad2dp-17, -0x1.a99543cac33b3p-18, -0x1.4eaffca3300eap-18, -0x1.eb0cef779f277p-19, -0x1.3c275013d2256p-19, -0x1.214a88105f9c5p-20, 0x1.782cc50c713ddp-23, 0x1.78b47994c8874p-20, 0x1.5dea30e586ee7p-19, 0x1.fc3b96fd74beap-19, 0x1.4bab95bb1d2c8p-18, 0x1.97a2bdeaf6e6ep-18, 0x1.e20774b6278c7p-18, 0x1.156eeb1177508p-17, 0x1.3914f56d4779fp-17, 0x1.5bf7d4af3abf3p-17, 0x1.7e197ba537018p-17, 0x1.9f7bd530d84c2p-17, 0x1.c020c4dd4f088p-17, 0x1.e00a2758bff24p-17, 0x1.ff39d2f2f3c6p-17, 0x1.0ed8cc0a45d2dp-16, 0x1.1db9a0d7862b8p-16, 0x1.2c404ad0c75a9p-16, 0x1.3a6daa947046cp-16, 0x1.48429e98a3f5p-16, 0x1.55c0035bd6acap-16, 0x1.62e6b38ebdd38p-16, 0x1.6fb78838fd092p-16, 0x1.7c3358e2e502ep-16, 0x1.885afbb3ef629p-16, 0x1.942f459754c25p-16, 0x1.9fb10a586efe2p-16, 0x1.aae11cc1c2fe7p-16, 0x1.b5c04eb3550c1p-16, 0x1.c04f71400ae84p-16, 0x1.ca8f54c12b3a4p-16, 0x1.d480c8eea6b08p-16, 0x1.de249cf101073p-16, 0x1.e77b9f72a87fdp-16, 0x1.f0869eb1d7b31p-16, 0x1.f946688e7c7d4p-16, 0x1.00dde54bd068dp-15, 0x1.04f3c90cd1e6p-15, 0x1.08e54612ff3d8p-15, 0x1.0cb2c2d0685d1p-15, 0x1.105ca5a2b61a6p-15, 0x1.13e354d8926cap-15, 0x1.174736b331dc3p-15, 0x1.1a88b16a4c3dap-15, 0x1.1da82b2e02012p-15, 0x1.20a60a2828bdap-15, 0x1.2382b47e0bc05p-15, 0x1.263e90517141cp-15, 0x1.28da03c01ca84p-15, 0x1.2b5574e53f1b6p-15, 0x1.2db149d7e0637p-15, 0x1.2fede8abb99b9p-15, 0x1.320bb76f6e265p-15, 0x1.340b1c2b72a7bp-15, 0x1.35ec7ce09d867p-15, 0x1.37b03f8718b4fp-15, 0x1.3956ca0af1de7p-15, 0x1.3ae0824b990f2p-15, 0x1.3c4dce18f0c83p-15, 0x1.3d9f133093c33p-15, 0x1.3ed4b73abe791p-15, 0x1.3fef1fc83a448p-15, 0x1.40eeb24e610cp-15, 0x1.41d3d4245048ep-15, 0x1.429eea7fdece6p-15, 0x1.43505a7190995p-15, 0x1.43e888e17474p-15, 0x1.4467da8b4c5fcp-15, 0x1.44ceb3fb0319p-15, 0x1.451d798821715p-15, 0x1.45548f52ff2c8p-15, 0x1.4574593fc9065p-15, 0x1.457d3af35a5fap-15, 0x1.456f97cee283p-15, 0x1.454bd2eb5158ep-15, 0x1.45124f162645cp-15, 0x1.44c36ecc31028p-15, 0x1.445f9436c614ap-15, 0x1.43e7212692beep-15, 0x1.435a770fe1e23p-15, 0x1.42b9f706efff5p-15, 0x1.420601bb8ap-15, 0x1.413ef774507cp-15, 0x1.4065380b863acp-15, 0x1.3f7922ea950b7p-15, 0x1.3e7b1706845d7p-15, 0x1.3d6b72db779bfp-15, 0x1.3c4a94694e35bp-15, 0x1.3b18d92f523fbp-15, 0x1.39d69e294fbe6p-15, 0x1.38843fca68965p-15, 0x1.372219fab62f4p-15, 0x1.35b0881324c3dp-15, 0x1.342fe4da21d25p-15, 0x1.32a08a7f9f6bp-15, 0x1.3102d29a542edp-15, 0x1.2f571624173f5p-15, 0x1.2d9dad763a044p-15, 0x1.2bd6f046c0f66p-15, 0x1.2a0335a561afep-15, 0x1.2822d3f844d21p-15, 0x1.263620f9236ep-15, 0x1.243d71b20df57p-15, 0x1.22391a7b94f93p-15, 0x1.20296ef95c37fp-15, 0x1.1e0ec21769bfep-15, 0x1.1be96607cdb0bp-15, 0x1.19b9ac40580bep-15, 0x1.177fe577e88dfp-15, 0x1.153c61a489bcp-15, 0x1.12ef6ff905ea5p-15, 0x1.10995ee2c05abp-15, 0x1.0e3a7c07e8117p-15, 0x1.0bd314453ef07p-15, 0x1.096373ac949aap-15, 0x1.06ebe582c67bdp-15, 0x1.046cb43ead3eap-15, 0x1.01e62986edfe3p-15, 0x1.feb11c614e7bap-16, 0x1.f988547c7e0e1p-16, 0x1.f45289bacaed7p-16, 0x1.ef1048cd88ca5p-16, 0x1.e9c21cb88fb1ep-16, 0x1.e4688ed0ba8bap-16, 0x1.df0426b95c6b6p-16, 0x1.d9956a630212ap-16, 0x1.d41cde0a13bd7p-16, 0x1.ce9b04344c9dcp-16, 0x1.c9105db01b9bep-16, 0x1.c37d6993f43d3p-16, 0x1.bde2a53cefb85p-16, 0x1.b8408c4d988d3p-16, 0x1.b29798ad54a38p-16, 0x1.ace8428861b0fp-16, 0x1.a733004f55adep-16, 0x1.a17846b652e96p-16, 0x1.9bb888b55d107p-16, 0x1.95f4378863fcap-16, 0x1.902bc2af2570ep-16, 0x1.8a5f97edaf85dp-16, 0x1.8490234d9c46ap-16, 0x1.7ebdcf1df4de6p-16, 0x1.78e903f3495f5p-16, 0x1.731228a97c7d1p-16, 0x1.6d39a26412d06p-16, 0x1.675fd4900c41dp-16, 0x1.618520e41c3e9p-16, 0x1.5ba9e7627f88ep-16, 0x1.55ce865a602f5p-16, 0x1.4ff35a695b615p-16, 0x1.4a18be7d4de24p-16, 0x1.443f0bd5d9ddfp-16, 0x1.3e669a05d5aedp-16, 0x1.388fbef59f0ffp-16, 0x1.32bacee5edd9fp-16, 0x1.2ce81c70ef329p-16, 0x1.2717f88c74b78p-16, 0x1.214ab28c97ac7p-16, 0x1.1b80982679b4p-16, 0x1.15b9f5723bc64p-16, 0x1.0ff714ecc08cep-16, 0x1.0a383f7bdf7c4p-16, 0x1.047dbc704b377p-16, 0x1.fd8fa31124d5p-17, 0x1.f22d85e6ee9f9p-17, 0x1.e6d5a6a6810c9p-17, 0x1.db888781a7bafp-17, 0x1.d046a79d1394ap-17, 0x1.c5108316f3d6ep-17, 0x1.b9e6930c4c481p-17, 0x1.aec94da05ae45p-17, 0x1.a3b926028847cp-17, 0x1.98b68c74c59fcp-17, 0x1.8dc1ee5334a2cp-17, 0x1.82dbb61a43361p-17, 0x1.78044b6e0cc7fp-17, 0x1.6d3c13211bb13p-17, 0x1.62836f3a1190dp-17, 0x1.57dabefd2967p-17, 0x1.4d425ef250c87p-17, 0x1.42baa8ece1459p-17, 0x1.3843f4116bf05p-17, 0x1.2dde94dee67p-17, 0x1.238add35a9ecbp-17, 0x1.19491c5edc7acp-17, 0x1.0f199f128c2dbp-17, 0x1.04fcaf81a7161p-17, 0x1.f5e52ab7f9a47p-18, 0x1.e1f72bb0f5eb7p-18, 0x1.ce2fe77961f35p-18, 0x1.ba8fdec9de325p-18, 0x1.a7178d95a6c5ep-18, 0x1.93c76b1df1dfbp-18, 0x1.809fe9fd50ebp-18, 0x1.6da1783a19fadp-18, 0x1.5acc7f56d3ebp-18, 0x1.4821645ef8502p-18, 0x1.35a087f7bdd8ep-18, 0x1.234a466f537c6p-18, 0x1.111ef7cdbab56p-18, 0x1.fe3ddfc952931p-19, 0x1.da94fcbc6383fp-19, 0x1.b743dd9708c7bp-19, 0x1.944b116b3bcc2p-19, 0x1.71ab1f5a09cdep-19, 0x1.4f6486b403305p-19, 0x1.2d77bf148e436p-19, 0x1.0be53884604d6p-19, 0x1.d55ab72b6b7f8p-20, 0x1.93a1130c06714p-20, 0x1.529e38b512bf8p-20, 0x1.1252cdfd9e97fp-20, 0x1.a57ed59414af4p-21, 0x1.27c93289f079ep-21, 0x1.570b586475fadp-22, 0x1.85a90b5b69124p-24, -0x1.229ea3b914cb8p-23, -0x1.81200f3d812fcp-22, -0x1.370368812ebe8p-21, -0x1.ac01520d5f665p-21, -0x1.0fc4b176dcf7fp-20, -0x1.48cda8c3a7e0ap-20, -0x1.811b75c6c42ep-20, -0x1.b8ae0abf0f599p-20, -0x1.ef85651e523eep-20, -0x1.12d0c6a97466ep-19, -0x1.2d814b445fc21p-19, -0x1.47d44f37b064cp-19, -0x1.61c9e685bf1f5p-19, -0x1.7b622a3e003a2p-19, -0x1.949d38627f0efp-19, -0x1.ad7b33c9db8acp-19, -0x1.c5fc4408f3bp-19, -0x1.de20955430b32p-19, -0x1.f5e85866223b1p-19, -0x1.06a9e133f6485p-18, -0x1.1231866b246d6p-18, -0x1.1d8b3ab2879dap-18, }}, 
      {{0x1.feafa4d12fa01p-1, 0x1.fe93a7109a336p-1, 0x1.fe65068860276p-1, 0x1.fe23ccc4aaf18p-1, 0x1.fdd00711c56f4p-1, 0x1.fd69c66b60a3bp-1, 0x1.fcf11f6808c14p-1, 0x1.fc662a21573a5p-1, 0x1.fbc9021965cb8p-1, 0x1.fb19c61e027a1p-1, 0x1.fa58982a18db5p-1, 0x1.f9859d45bc2c9p-1, 0x1.f8a0fd652f40ep-1, 0x1.f7aae34740e8fp-1, 0x1.f6a37c5341708p-1, 0x1.f58af876d9fbcp-1, 0x1.f4618a03f2d87p-1, 0x1.f327658ee17f6p-1, 0x1.f1dcc1cd00239p-1, 0x1.f081d773d1fep-1, 0x1.ef16e118d23e4p-1, 0x1.ed9c1b11fdadfp-1, 0x1.ec11c3573017dp-1, 0x1.ea7819645bd3cp-1, 0x1.e8cf5e1ca951ep-1, 0x1.e717d3ae84951p-1, 0x1.e551bd789c20dp-1, 0x1.e37d5fefd2ad7p-1, 0x1.e19b00862563fp-1, 0x1.dfaae59284df9p-1, 0x1.ddad56399cffep-1, 0x1.dba29a57883e9p-1, 0x1.d98afa6a6c1e4p-1, 0x1.d766bf7df5e5cp-1, 0x1.d5363317b5052p-1, 0x1.d2f99f244c1a5p-1, 0x1.d0b14de5711cp-1, 0x1.ce5d89e0b72abp-1, 0x1.cbfe9dcf1ba7bp-1, 0x1.c994d48d4ea7dp-1, 0x1.c720790caf473p-1, 0x1.c4a1d644f820fp-1, 0x1.c219372691963p-1, 0x1.bf86e68d84634p-1, 0x1.bceb2f3506ccap-1, 0x1.ba465bab9d925p-1, 0x1.b798b647c8f6ap-1, 0x1.b4e2891d3a54dp-1, 0x1.b2241df288994p-1, 0x1.af5dbe37647d5p-1, 0x1.ac8fb2fb3e037p-1, 0x1.a9ba44e45eef9p-1, 0x1.a6ddbc276f767p-1, 0x1.a3fa607f62f08p-1, 0x1.a1107925c7109p-1, 0x1.9e204ccb72fbap-1, 0x1.9b2a219190c15p-1, 0x1.982e3d02fd088p-1, 0x1.952ce40dfcb7p-1, 0x1.92265afe4152fp-1, 0x1.8f1ae5773badp-1, 0x1.8c0ac66eb8dedp-1, 0x1.88f64027c7698p-1, 0x1.85dd942de27abp-1, 0x1.82c103505f2a2p-1, 0x1.7fa0cd9e1c584p-1, 0x1.7c7d326170906p-1, 0x1.7956701c5545p-1, 0x1.762cc484ce853p-1, 0x1.73006c818b6e3p-1, 0x1.6fd1a426bee87p-1, 0x1.6ca0a6b33078p-1, 0x1.696dae8d8081ap-1, 0x1.6638f541a270ap-1, 0x1.6302b37e888efp-1, 0x1.5fcb2114011fbp-1, 0x1.5c9274f0c5d4dp-1, 0x1.5958e520b7789p-1, 0x1.561ea6cb49f74p-1, 0x1.52e3ee321c64cp-1, 0x1.4fa8eeafbd347p-1, 0x1.4c6ddab698aaap-1, 0x1.4932e3d011f68p-1, 0x1.45f83a9bc3a96p-1, 0x1.42be0ecee8dc5p-1, 0x1.3f848f33ed099p-1, 0x1.3c4be9aa1ff6ap-1, 0x1.39144b258fa8fp-1, 0x1.35dddfaf051ap-1, 0x1.32a8d2642370cp-1, 0x1.2f754d77a8a86p-1, 0x1.2c437a31ce1ap-1, 0x1.291380f0c959ap-1, 0x1.25e589296a197p-1, 0x1.22b9b967d70fep-1, 0x1.1f903750645ebp-1, 0x1.1c6927a088c43p-1, 0x1.1944ae2fe9aacp-1, 0x1.1622edf18325dp-1, 0x1.130408f4e65d3p-1, 0x1.0fe820678ff02p-1, 0x1.0ccf54965537bp-1, 0x1.09b9c4eee58b1p-1, 0x1.06a7900161826p-1, 0x1.0398d38204b19p-1, 0x1.008dac4ae2147p-1, 0x1.fb0c6cbb6577ap-2, 0x1.f50519cb690e3p-2, 0x1.ef059473339b8p-2, 0x1.e90e0fbb0d545p-2, 0x1.e31ebd0a3d15ap-2, 0x1.dd37cc2b3ad5fp-2, 0x1.d7596b4ffe3c4p-2, 0x1.d183c71661729p-2, 0x1.cbb70a8ca08e4p-2, 0x1.c5f35f35e69b1p-2, 0x1.c038ed0ef3b78p-2, 0x1.ba87da92d1b5p-2, 0x1.b4e04cbf9c11cp-2, 0x1.af42671b56e69p-2, 0x1.a9ae4bb8d1b54p-2, 0x1.a4241b3c9aec8p-2, 0x1.9ea3f4e1fc384p-2, 0x1.992df68004741p-2, 0x1.93c23c8e97c6p-2, 0x1.8e60e22b8a473p-2, 0x1.890a011fc3e95p-2, 0x1.83bdb1e4668ecp-2, 0x1.7e7c0ba7feb0ep-2, 0x1.79452453b4772p-2, 0x1.7419109082f61p-2, 0x1.6ef7e3cc7282dp-2, 0x1.69e1b03fd3771p-2, 0x1.64d686f27cea3p-2, 0x1.5fd677c108565p-2, 0x1.5ae1916211a37p-2, 0x1.55f7e16b733d3p-2, 0x1.5119745780d69p-2, 0x1.4c46558a40dc5p-2, 0x1.477e8f56a4248p-2, 0x1.42c22b03b8c81p-2, 0x1.3e1130d1d896p-2, 0x1.396ba7ffd554p-2, 0x1.34d196d01e66p-2, 0x1.3043028de0be2p-2, 0x1.2bbfef9222669p-2, 0x1.27486148d691fp-2, 0x1.22dc5a35eb124p-2, 0x1.1e7bdbfa4ec68p-2, 0x1.1a26e758efad6p-2, 0x1.15dd7c3bb25efp-2, 0x1.119f99b85fd92p-2, 0x1.0d6d3e158af16p-2, 0x1.094666cf6d6aep-2, 0x1.052b109cba0ep-2, 0x1.011b37736826fp-2, 0x1.fa2dad1ae1e38p-3, 0x1.f23bd0db0a367p-3, 0x1.ea60cdc7720b7p-3, 0x1.e29c962447b8cp-3, 0x1.daef1ae2e9111p-3, 0x1.d3584baaf9133p-3, 0x1.cbd816e357b22p-3, 0x1.c46e69bb0fef8p-3, 0x1.bd1b30321e617p-3, 0x1.b5de55222b67ep-3, 0x1.aeb7c24727791p-3, 0x1.a7a76047d0908p-3, 0x1.a0ad16be1e1adp-3, 0x1.99c8cc3f97c58p-3, 0x1.92fa6665875d3p-3, 0x1.8c41c9d5201e1p-3, 0x1.859eda4781f31p-3, 0x1.7f117a91a2529p-3, 0x1.78998cac24645p-3, 0x1.7236f1bb07cf9p-3, 0x1.6be98a154b392p-3, 0x1.65b1354c6b924p-3, 0x1.5f8dd233c9e4fp-3, 0x1.597f3ee7f5dcp-3, 0x1.538558d5dfa9bp-3, 0x1.4d9ffcc1ece8p-3, 0x1.47cf06ceef902p-3, 0x1.421252850613fp-3, 0x1.3c69bad85cadap-3, 0x1.36d51a2fd52d4p-3, 0x1.31544a6b91bfbp-3, 0x1.2be724eb638f6p-3, 0x1.268d829521a56p-3, 0x1.21473bdadd7c7p-3, 0x1.1c1428c105fc9p-3, 0x1.16f420e4611edp-3, 0x1.11e6fb7ff85fbp-3, 0x1.0cec8f72e1211p-3, 0x1.0804b345e9c77p-3, 0x1.032f3d3131bbp-3, 0x1.fcd806433ab0ap-4, 0x1.f375b57c6edp-4, 0x1.ea3732dae0917p-4, 0x1.e11c28b48ff93p-4, 0x1.d82440f2b49d8p-4, 0x1.cf4f251b9a20cp-4, 0x1.c69c7e5c5ec41p-4, 0x1.be0bf5925bc65p-4, 0x1.b59d335475218p-4, 0x1.ad4fdffc2d788p-4, 0x1.a523a3ae75688p-4, 0x1.9d18266465be1p-4, 0x1.952d0ff3ac429p-4, 0x1.8d620816d22f8p-4, 0x1.85b6b6754d815p-4, 0x1.7e2ac2ab60269p-4, 0x1.76bdd451c6474p-4, 0x1.6f6f93053295ep-4, 0x1.683fa66d995edp-4, 0x1.612db6454d527p-4, 0x1.5a396a5feae0cp-4, 0x1.53626ab11360fp-4, 0x1.4ca85f52fcc55p-4, 0x1.460af08ccdeffp-4, 0x1.3f89c6d8d1ddfp-4, 0x1.39248aea7a171p-4, 0x1.32dae5b43603ap-4, 0x1.2cac806d1cdf2p-4, 0x1.269904966c375p-4, 0x1.20a01c00dc5fp-4, 0x1.1ac170d1c5bbfp-4, 0x1.14fcad8822b7fp-4, 0x1.0f517d0161d87p-4, 0x1.09bf8a7e109afp-4, 0x1.044681a65ff7cp-4, 0x1.fdcc1d1cfb954p-5, 0x1.f33bbb7591866p-5, 0x1.e8db3847b97f7p-5, 0x1.dea9ee74ee186p-5, 0x1.d4a739d67592dp-5, 0x1.cad277449096dp-5, 0x1.c12b049d6aa7cp-5, 0x1.b7b040cbc1114p-5, 0x1.ae618bcd3f963p-5, 0x1.a53e46b89aa08p-5, 0x1.9c45d3c3625ep-5, 0x1.9377964797971p-5, 0x1.8ad2f2c8f9185p-5, 0x1.82574efa132f8p-5, 0x1.7a0411c10e116p-5, 0x1.71d8a33c3eacfp-5, 0x1.69d46cc67c085p-5, 0x1.61f6d8fb32d25p-5, 0x1.5a3f53ba44e16p-5, 0x1.52ad4a2babd3fp-5, 0x1.4b402ac2de1e1p-5, 0x1.43f765420876bp-5, 0x1.3cd26abd0578fp-5, 0x1.35d0ad9c24b77p-5, 0x1.2ef1a19ec033dp-5, 0x1.2834bbdd9a98cp-5, 0x1.219972cd0df44p-5, 0x1.1b1f3e3f09e42p-5, 0x1.14c59764e1e87p-5, 0x1.0e8bf8d0ebdc7p-5, 0x1.0871de77f6531p-5, 0x1.0276c5b2891eap-5, 0x1.f9345a7c0d101p-6, 0x1.edb72a7b33026p-6, 0x1.e274fe75fdcd6p-6, 0x1.d76cdc4e46f36p-6, 0x1.cc9dccb545143p-6, 0x1.c206db2c2824ep-6, 0x1.b7a716047ca83p-6, 0x1.ad7d8e6045038p-6, 0x1.a3895831c07f7p-6, 0x1.99c98a3b0051cp-6, 0x1.903d3e0d2f3fdp-6, 0x1.86e390079f8cfp-6, 0x1.7dbb9f5691d64p-6, 0x1.74c48df1cee59p-6, 0x1.6bfd809af7a1p-6, 0x1.63659edbab75cp-6, 0x1.5afc130368655p-6, 0x1.52c00a254511dp-6, 0x1.4ab0b4156e471p-6, 0x1.42cd43667a4a3p-6, 0x1.3b14ed6680595p-6, 0x1.3386ea1c18f29p-6, 0x1.2c22744312cf7p-6, 0x1.24e6c9491a81dp-6, 0x1.1dd3294a29c5p-6, 0x1.16e6d70ccdfe8p-6, 0x1.102117fe507d2p-6, 0x1.0981342eba1ffp-6, 0x1.0306764caaa87p-6, 0x1.f960574233104p-7, 0x1.ecfb4815d8eadp-7, 0x1.e0dc63f4fe73p-7, 0x1.d50254d9f03f7p-7, 0x1.c96bc9cf23adbp-7, 0x1.be1776e597f9fp-7, 0x1.b304152ad90bfp-7, 0x1.a830629f0d861p-7, 0x1.9d9b222aaac1fp-7, 0x1.93431b9413b0cp-7, 0x1.89271b75094ap-7, 0x1.7f45f32ff4fa9p-7, 0x1.759e78e5060a9p-7, 0x1.6c2f876745293p-7, 0x1.62f7fe316a0bbp-7, 0x1.59f6c15ab3dd3p-7, 0x1.512ab98b7f88ep-7, 0x1.4892d3f1f1b82p-7, 0x1.402e02365ecf4p-7, 0x1.37fb3a6fbb7ffp-7, 0x1.2ff97717ed8d6p-7, 0x1.2827b7000ad42p-7, 0x1.2084fd448c5c9p-7, 0x1.191051416ed87p-7, 0x1.11c8be864a679p-7, 0x1.0aad54ca5f197p-7, 0x1.03bd27e094a0fp-7, 0x1.f9ee9f56ee6dfp-8, 0x1.ecb5d0225d27cp-8, 0x1.dfce21dec974p-8, 0x1.d335dc1e8a797p-8, 0x1.c6eb4e32a185cp-8, 0x1.baeccf12b92c5p-8, 0x1.af38bd44e23fp-8, 0x1.a3cd7ec57907fp-8, 0x1.98a980ef0f4b7p-8, 0x1.8dcb386241767p-8, 0x1.833120edcbb18p-8, 0x1.78d9bd766db1fp-8, 0x1.6ec397df16516p-8, 0x1.64ed40f1081c6p-8, 0x1.5b55504402619p-8, 0x1.51fa64269d7b6p-8, 0x1.48db2186bfdebp-8, 0x1.3ff633d9faacep-8, 0x1.374a4d0642983p-8, 0x1.2ed6254aa00f1p-8, 0x1.26987b2807a6cp-8, 0x1.1e90134a4abbcp-8, 0x1.16bbb8713abc2p-8, 0x1.0f1a3b59d7fc6p-8, 0x1.07aa72a7bb182p-8, 0x1.006b3ace8d861p-8, 0x1.f2b6ebf79234dp-9, 0x1.e4f41800e18fep-9, 0x1.d78bd4763f953p-9, 0x1.ca7c0704548bcp-9, 0x1.bdc2a01bce87p-9, 0x1.b15d9ac676dfp-9, 0x1.a54afc7c6df01p-9, 0x1.9988d4f9dad26p-9, 0x1.8e153e14fa353p-9, 0x1.82ee5b94904dbp-9, 0x1.78125b06b1788p-9, 0x1.6d7f7397dc7b1p-9, 0x1.6333e5ea936fap-9, 0x1.592dfbef52b3bp-9, 0x1.4f6c08bcdb286p-9, 0x1.45ec6868f18ap-9, 0x1.3cad7fe18e5f2p-9, 0x1.33adbcc64a23fp-9, 0x1.2aeb954266857p-9, 0x1.226587e7254cdp-9, 0x1.1a1a1b86837f4p-9, 0x1.1207df0e7a792p-9, 0x1.0a2d69648497p-9, 0x1.028959419ff89p-9, 0x1.f634aa1dbadffp-10, 0x1.e7be158432341p-10, 0x1.d9ac5f76ad8f8p-10, 0x1.cbfd0144ae86dp-10, 0x1.bead8289e9bd4p-10, 0x1.b1bb78eac574ap-10, 0x1.a52487d2cc03cp-10, 0x1.98e6603323ed6p-10, 0x1.8cfec04250bb8p-10, 0x1.816b733caa3ebp-10, 0x1.762a5125b97d8p-10, 0x1.6b393e8a4f697p-10, 0x1.60962c438142bp-10, 0x1.563f173a94cd8p-10, 0x1.4c32082da76d4p-10, 0x1.426d13752b2bbp-10, 0x1.38ee58ca39ab9p-10, 0x1.2fb4030db405bp-10, 0x1.26bc48105a583p-10, 0x1.1e05685b80f64p-10, 0x1.158daefac64c8p-10, 0x1.0d5371464fe09p-10, 0x1.05550eae37a6p-10, 0x1.fb21e10cdcd51p-11, 0x1.ec0b13a754e67p-11, 0x1.dd62ae31d415ap-11, 0x1.cf25bc4bc90edp-11, 0x1.c1515bcc685f1p-11, 0x1.b3e2bc628be2cp-11, 0x1.a6d71f36357cbp-11, 0x1.9a2bd68b3001ap-11, 0x1.8dde456609254p-11, 0x1.81ebdf316b8ddp-11, 0x1.76522765e1729p-11, 0x1.6b0eb132cdfa8p-11, 0x1.601f1f288c03p-11, 0x1.558122e42ed64p-11, 0x1.4b327cbce2902p-11, 0x1.4130fb7296666p-11, 0x1.377a7bddcccd6p-11, 0x1.2e0ce8a13a5bp-11, 0x1.24e639dc6baccp-11, 0x1.1c0474dfdf4c7p-11, 0x1.1365abe2b6b5ep-11, 0x1.0b07fdb94ed7fp-11, 0x1.02e9958d6fefap-11, 0x1.f611552f72a1fp-12, 0x1.e6c6ffb4b2334p-12, 0x1.d7f0c7b9bde2p-12, 0x1.c98b60d353054p-12, 0x1.bb9394983f116p-12, 0x1.ae0642210f3d5p-12, 0x1.a0e05d8985aaap-12, 0x1.941eef750328dp-12, 0x1.87bf149485d83p-12, 0x1.7bbdfd301b67ap-12, 0x1.7018ecb132403p-12, 0x1.64cd3930aca8fp-12, 0x1.59d84b05b26bp-12, 0x1.4f379c5821c07p-12, 0x1.44e8b8b3cfe06p-12, 0x1.3ae93c9f16df3p-12, 0x1.3136d532b5c68p-12, 0x1.27cf3fb4081b1p-12, 0x1.1eb049317d65fp-12, 0x1.15d7ce2088c9bp-12, 0x1.0d43b9fe3ae3dp-12, 0x1.04f206f10e6p-12, 0x1.f9c17adb507f5p-13, 0x1.ea1be7b806a15p-13, 0x1.daef9c805d8c5p-13, 0x1.cc38fbc6d4154p-13, 0x1.bdf481ffc91efp-13, 0x1.b01ec4dc52e86p-13, 0x1.a2b472a7e26dep-13, 0x1.95b251aa4cafcp-13, 0x1.89153f8c21f2cp-13, 0x1.7cda30bf5c7cdp-13, 0x1.70fe2feb28dacp-13, 0x1.657e5d59f79dfp-13, 0x1.5a57ee6bd0125p-13, 0x1.4f882d0b82d75p-13, 0x1.450c77264cacap-13, 0x1.3ae23e277ddd6p-13, 0x1.310706761af9bp-13, 0x1.277866f5cfd74p-13, 0x1.1e34088b1e557p-13, 0x1.1537a5a190576p-13, 0x1.0c8109b53951ep-13, 0x1.040e10df2458ap-13, 0x1.f7b94ec62b7cbp-14, 0x1.e7d59283cdb1p-14, 0x1.d86d03998d17cp-14, 0x1.c97bd67780d5ep-14, 0x1.bafe5c8cfa2b1p-14, 0x1.acf1037f73e76p-14, 0x1.9f50546532bb7p-14, 0x1.9218f305560cbp-14, 0x1.85479d1ca3e46p-14, 0x1.78d929a5ba3f6p-14, 0x1.6cca88275611dp-14, 0x1.6118c0048cc07p-14, 0x1.55c0efd3e56d6p-14, 0x1.4ac04cb853f9dp-14, 0x1.401421bfa3d1cp-14, 0x1.35b9cf44294aap-14, 0x1.2baeca530900bp-14, 0x1.21f09c14cefbp-14, 0x1.187ce13c21a37p-14, 0x1.0f514975c8ad3p-14, 0x1.066b96dd44f01p-14, 0x1.fb933aeaeb0fbp-15, 0x1.ead2854695f37p-15, 0x1.da90f95bcb464p-15, 0x1.cacaa47ec7f5bp-15, 0x1.bb7bb3d5c2676p-15, 0x1.aca0736a17684p-15, 0x1.9e354d3f0e876p-15, 0x1.9036c86f0b28dp-15, 0x1.82a1884ee4c57p-15, 0x1.75724b976cd53p-15, 0x1.68a5eb924700fp-15, 0x1.5c395b4f61e4dp-15, 0x1.5029a6debdf1dp-15, 0x1.4473f28d09edbp-15, 0x1.39157a29afe6dp-15, 0x1.2e0b904eeac5ap-15, 0x1.23539dafb7067p-15, 0x1.18eb206a618e5p-15, 0x1.0ecfab604c48ep-15, 0x1.04fee5914362cp-15, 0x1.f6ed12f80e6f3p-16, 0x1.e468c907a6f2fp-16, 0x1.d26cacb2097bdp-16, 0x1.c0f4a0cde12bap-16, 0x1.affcaa88ae331p-16, 0x1.9f80f052aa5cbp-16, 0x1.8f7db8d3028p-16, 0x1.7fef69de5f8c4p-16, 0x1.70d2877abdbcbp-16, 0x1.6223b2e94077p-16, 0x1.53dfa9b4fc8a6p-16, 0x1.460344c8edbc3p-16, 0x1.388b778f8861ap-16, 0x1.2b754f146bb9ap-16, 0x1.1ebdf1312d83p-16, 0x1.12629bbbcd447p-16, 0x1.0660a3bf4f6bbp-16, 0x1.f56ae97195de1p-17, 0x1.debd1fb0d25c4p-17, 0x1.c8b31694eb1b7p-17, 0x1.b3482309f75ffp-17, 0x1.9e77c133d8b9p-17, 0x1.8a3d9321098c2p-17, 0x1.76955f824e8b9p-17, 0x1.637b1072d6e6p-17, 0x1.50eab245d9958p-17, 0x1.3ee0725a88445p-17, 0x1.2d589dff4f194p-17, 0x1.1c4fa15c62b3bp-17, 0x1.0bc206624b1p-17, 0x1.f758e78c086d6p-18, 0x1.d817580a8e947p-18, 0x1.b9b918e46de72p-18, 0x1.9c38188432f93p-18, 0x1.7f8e7754878bdp-18, 0x1.63b685fe99d28p-18, 0x1.48aac3c0fcfbbp-18, 0x1.2e65dcc6cfc36p-18, 0x1.14e2a899f98fp-18, 0x1.f838513653abp-19, 0x1.c81b0d151a4f2p-19, 0x1.99642631b08e6p-19, 0x1.6c0a8904ba378p-19, 0x1.40056a80f988fp-19, 0x1.154c4571562efp-19, 0x1.d7adaffb54aa1p-20, 0x1.873a42912e27ep-20, 0x1.392ebe292a16p-20, 0x1.daf82e48d5ae5p-21, 0x1.48276c7bca106p-21, 0x1.739dd1ce6b0b4p-22, 0x1.7e996f5aae588p-24, -0x1.5799a67dabb08p-23, -0x1.aeef73c14b317p-22, -0x1.54f9dd4dc6dcp-21, -0x1.ce8533c1b9733p-21, -0x1.2218b4826ba62p-20, -0x1.5b0abdd543c0dp-20, -0x1.9223e19cce81ap-20, -0x1.c76efb22c65e9p-20, -0x1.faf69826664cep-20, -0x1.16627dde3fed6p-19, -0x1.2e72107b8206cp-19, -0x1.45aedeca7d425p-19, -0x1.5c1da237a4a9cp-19, -0x1.71c2f402c7fc2p-19, -0x1.86a34e61d4ddbp-19, -0x1.9ac30dab4dd5cp-19, -0x1.ae267161a7389p-19, -0x1.c0d19d4930361p-19, -0x1.d2c89a64482f2p-19, -0x1.e40f57edc9c1ap-19, -0x1.f4a9ac4303f05p-19, -0x1.024daae4818c8p-18, -0x1.09f3fde72903ap-18, -0x1.114997aee1a59p-18, -0x1.185036016fcffp-18, -0x1.1f098c4d79b0fp-18, -0x1.257744022f2bp-18, -0x1.2b9afced2268bp-18, -0x1.31764d90c1f8cp-18, -0x1.370ac373f267fp-18, -0x1.3c59e374b8b42p-18, -0x1.41652a1528374p-18, -0x1.462e0bc47c96p-18, -0x1.4ab5f52509c1cp-18, -0x1.4efe4b506ef2dp-18, -0x1.53086c18e52c8p-18, -0x1.56d5ae4665079p-18, -0x1.5a6761d33d868p-18, -0x1.5dbed0221cd67p-18, -0x1.60dd3c37aac01p-18, -0x1.63c3e2ee6ce7dp-18, -0x1.6673fb28a7b29p-18, -0x1.68eeb5ffd7818p-18, -0x1.6b353ef3f32aap-18, -0x1.6d48bc161ed1dp-18, -0x1.6f2a4e32c648fp-18, -0x1.70db10fa98a5bp-18, -0x1.725c1b27b39b1p-18, -0x1.73ae7ea216a53p-18, -0x1.74d348a5374cbp-18, -0x1.75cb81e022187p-18, -0x1.76982e93e43aep-18, -0x1.773a4eb5d67ep-18, -0x1.77b2de0a1da14p-18, -0x1.7802d44091cc8p-18, -0x1.782b250f21d1cp-18, -0x1.782cc04b4c196p-18, -0x1.780892029d5fdp-18, -0x1.77bf82913a812p-18, -0x1.775276b98df53p-18, -0x1.76c24fb840babp-18, -0x1.760feb588849cp-18, -0x1.753c240805d7ep-18, -0x1.7447d0e8fc2e7p-18, -0x1.7333c5e2b44d4p-18, -0x1.7200d3b41d529p-18, -0x1.70afc80108eaep-18, -0x1.6f416d6428f2ep-18, -0x1.6db68b7ca41a2p-18, -0x1.6c0fe6fb1819cp-18, -0x1.6a4e41afe513cp-18, -0x1.68725a96bbf89p-18, -0x1.667cede4a9569p-18, -0x1.646eb5114bf04p-18, -0x1.624866e2974dep-18, -0x1.600ab777d530bp-18, -0x1.5db6585374ed1p-18, -0x1.5b4bf8638f4d6p-18, -0x1.58cc440d0b797p-18, -0x1.5637e532c20e1p-18, -0x1.538f833e7fd29p-18, -0x1.50d3c329b3667p-18, -0x1.4e054783754e4p-18, -0x1.4b24b079af8dcp-18, -0x1.48329bdee1aeap-18, -0x1.452fa531e4f78p-18, -0x1.421c65a3afdfp-18, -0x1.3ef9741ec5855p-18, -0x1.3bc7654bfc606p-18, -0x1.3886cb9936f83p-18, -0x1.3538373ea4c8ap-18, -0x1.31dc364483b0fp-18, -0x1.2e735488326d8p-18, -0x1.2afe1bc142355p-18, -0x1.277d1386ea56p-18, -0x1.23f0c153e1f3ep-18, -0x1.2059a88bd7aefp-18, -0x1.1cb84a807e1p-18, -0x1.190d26749406cp-18, -0x1.1558b9a227c32p-18, -0x1.119b7f3c7370ep-18, -0x1.0dd5f076196fep-18, -0x1.0a0884843bcf4p-18, -0x1.0633b0a2d3245p-18, -0x1.0257e8181f5f9p-18, -0x1.fceb3872b934ap-19, -0x1.f51a78dc4385fp-19, -0x1.ed3e6c68e6496p-19, -0x1.e557ea47d815ap-19, -0x1.dd67c5e3f593cp-19, -0x1.d56eceeafe3dcp-19, -0x1.cd6dd1551f831p-19, -0x1.c565956b5e8b9p-19, -0x1.bd56dfce6c9f2p-19, -0x1.b542717eee377p-19, -0x1.ad2907e59890bp-19, -0x1.a50b5cd6d09c8p-19, -0x1.9cea269d4be6cp-19, -0x1.94c618005a103p-19, -0x1.8c9fe04a80249p-19, -0x1.84782b4f7a06p-19, -0x1.7c4fa175950bap-19, -0x1.7426e7bb0db5fp-19, -0x1.6bfe9fbdf1df5p-19, -0x1.63d767c35287p-19, -0x1.5bb1dabd96847p-19, -0x1.538e90544a458p-19, -0x1.4b6e1ceb3714fp-19, -0x1.435111aa71adcp-19, -0x1.3b37fc8491438p-19, -0x1.3323683e797c8p-19, -0x1.2b13dc76030ap-19, -0x1.2309ddaa12e18p-19, -0x1.1b05ed41a8dd8p-19, -0x1.13088992a64f3p-19, -0x1.0b122dea2ddaap-19, -0x1.03235293064ddp-19, -0x1.f678d9bd2e91ap-20, -0x1.e6bbde55f4734p-20, -0x1.d71091d5e985ep-20, -0x1.c777cd5d324fep-20, -0x1.b7f264543fc83p-20, -0x1.a8812479028d2p-20, -0x1.9924d5f086d0ap-20, -0x1.89de3b56e488bp-20, -0x1.7aae11ccebb44p-20, -0x1.6b9511078da79p-20, -0x1.5c93eb603f603p-20, -0x1.4dab4de3a2475p-20, -0x1.3edbe0640465ap-20, -0x1.302645845698dp-20, -0x1.218b1acadf825p-20, -0x1.130af8b23e1c7p-20, -0x1.04a672b68d259p-20, -0x1.ecbc2eca317dfp-21, -0x1.d064e0dc2de21p-21, -0x1.b44805654ae5ep-21, -0x1.98669caa14332p-21, -0x1.7cc19d9104587p-21, -0x1.6159f5c328b2fp-21, -0x1.463089cb042b3p-21, -0x1.2b4635337317ep-21, -0x1.109bcaa6e0c29p-21, -0x1.ec642828effeep-22, -0x1.b813a597dd8fp-22, -0x1.84477f36c007ap-22, -0x1.510115e2a522p-22, -0x1.1e41b9f3de311p-22, -0x1.d8155702363efp-23, -0x1.74ba35387f46ap-23, -0x1.12744f235ea5dp-23, -0x1.628b8c964b167p-24, -0x1.44c276b4940f9p-25, 0x1.b928baee75d0fp-28, 0x1.ae9873e39adf8p-25, 0x1.90c87b10dc14p-24, 0x1.240219ee610cap-23, 0x1.7e7e40bb8376ap-23, 0x1.d7d75c303769dp-23, 0x1.180618df718e6p-22, 0x1.438dd0ca24bep-22, 0x1.6e82530d8db39p-22, 0x1.98e329c45e4a6p-22, 0x1.c2afebaf518dbp-22, 0x1.ebe83bfd6240ep-22, 0x1.0a45e50794a9p-21, 0x1.1e4d289d865fcp-21, 0x1.3209cc4a4a898p-21, 0x1.457bb956e195bp-21, 0x1.58a2deaf796afp-21, 0x1.6b7f30c7f41eep-21, 0x1.7e10a97f2e2a8p-21, 0x1.9057480371feap-21, 0x1.a25310b49027cp-21, 0x1.b4040d087bb27p-21, 0x1.c56a4b7076373p-21, 0x1.d685df3c8818dp-21, 0x1.e756e081e69e4p-21, 0x1.f7dd6bfea5d63p-21, 0x1.040cd17fde3b5p-20, 0x1.0c05d5a1603afp-20, 0x1.13d9d76f231p-20, 0x1.1b88ee142c8c6p-20, 0x1.231332ce3aedbp-20, 0x1.2a78c0e14495dp-20, 0x1.31b9b589d8af3p-20, 0x1.38d62ff0d28c2p-20, 0x1.3fce511fcfdddp-20, 0x1.46a23bf41a508p-20, 0x1.4d521512372d1p-20, 0x1.53de02da2d23bp-20, 0x1.5a462d5bcb3dfp-20, 0x1.608abe4b1703fp-20, 0x1.66abe0f3b611dp-20, 0x1.6ca9c22d2aa96p-20, 0x1.7284904ffc9d3p-20, 0x1.783c7b2af6fc1p-20, 0x1.7dd1b3f803bd7p-20, 0x1.83446d50864cap-20, 0x1.8894db228ed43p-20, 0x1.8dc332a7158e4p-20, 0x1.92cfaa55c780ap-20, 0x1.97ba79dc59f64p-20, 0x1.9c83da12c7108p-20, 0x1.a12c04f1ffd7dp-20, 0x1.a5b3358969509p-20, 0x1.aa19a7f55cf8p-20, 0x1.ae5f9954af121p-20, 0x1.b28547beb4f14p-20, 0x1.b68af23b3c263p-20, 0x1.ba70d8b897b24p-20, 0x1.be373c0282845p-20, 0x1.c1de5db8adcb2p-20, 0x1.c566804634b71p-20, 0x1.c8cfe6d8a3db3p-20, 0x1.cc1ad557269acp-20, 0x1.cf479059fe5fap-20, 0x1.d2565d22ba5b1p-20, 0x1.d54781935844p-20, 0x1.d81b4426ba59bp-20, 0x1.dad1ebe75161fp-20, 0x1.dd6bc06812a5p-20, 0x1.dfe909bd266e6p-20, 0x1.e24a1073ff84cp-20, 0x1.e48f1d8bd4a22p-20, 0x1.e6b87a6e9c337p-20, 0x1.e8c670e9735dbp-20, 0x1.eab94b25e94bp-20, 0x1.ec9153a278a26p-20, 0x1.ee4ed52c6c2b5p-20, 0x1.eff21ad8e3c64p-20, 0x1.f17b6ffecdd0cp-20, 0x1.f2eb202f200d5p-20, 0x1.f441772fe2453p-20, 0x1.f57ec0f50c0e7p-20, 0x1.f6a3499af4fp-20, 0x1.f7af5d6033416p-20, 0x1.f8a3489fef7c8p-20, 0x1.f97f57cc896adp-20, 0x1.fa43d769999b4p-20, 0x1.faf11406503b7p-20, 0x1.fb875a38aa625p-20, 0x1.fc06f697ad2bfp-20, 0x1.fc7035b6ad75dp-20, 0x1.fcc364208aee2p-20, 0x1.fd00ce5248917p-20, 0x1.fd28c0b616265p-20, 0x1.fd3b879f07cf4p-20, 0x1.fd396f451c036p-20, 0x1.fd22c3c03296ep-20, 0x1.fcf7d102d7f42p-20, 0x1.fcb8e2d71e102p-20, 0x1.fc6644dadae13p-20, 0x1.fc00427b1f60ep-20, 0x1.fb8726efb7c76p-20, 0x1.fafb3d3836135p-20, 0x1.fa5cd0185fc56p-20, 0x1.f9ac2a137100dp-20, 0x1.f8e9956941979p-20, 0x1.f8155c137a3abp-20, 0x1.f72fc7c177dc2p-20, 0x1.f63921d4cbdd2p-20, 0x1.f531b35eac0aap-20, 0x1.f419c51d1e94bp-20, 0x1.f2f19f7794c1p-20, 0x1.f1b98a7b81009p-20, 0x1.f071cddac92ddp-20, 0x1.ef1ab0e8356f4p-20, 0x1.edb47a952e9adp-20, 0x1.ec3f716f2995ap-20, 0x1.eabbdb9d32fcap-20, 0x1.e929fedd8f8dap-20, 0x1.e78a20836f02cp-20, 0x1.e5dc857478e1cp-20, 0x1.e421722747f38p-20, 0x1.e2592aa12094ap-20, 0x1.e083f27366763p-20, 0x1.dea20cba9a5c7p-20, }}, 
      {{0x1.75039c5ffaba9p-7, 0x1.751550ac4397ap-6, 0x1.17e5608a64199p-5, 0x1.7557c3e014adcp-5, 0x1.d2e68fad30c67p-5, 0x1.184a0ed3cf8bep-4, 0x1.47300c2dbb0d9p-4, 0x1.7623a72011528p-4, 0x1.a521cfcd05b4p-4, 0x1.d426017926c85p-4, 0x1.019526ff212cap-3, 0x1.1913b84317a99p-3, 0x1.308a72e7e591bp-3, 0x1.47f4843b6c726p-3, 0x1.5f4c97f68aec8p-3, 0x1.768ce8833859p-3, 0x1.8daf4f951fd75p-3, 0x1.a4ad56b3b29e1p-3, 0x1.bb8047689012dp-3, 0x1.d2213ad6a6727p-3, 0x1.e889288de9746p-3, 0x1.feb0f47c812a4p-3, 0x1.0a48bdf4ad05p-2, 0x1.1511d0b678c73p-2, 0x1.1fb02bf22d95ap-2, 0x1.2a205630012f9p-2, 0x1.345ee789e6384p-2, 0x1.3e688da8a36ep-2, 0x1.483a0f4b41895p-2, 0x1.51d04f5ec9d9dp-2, 0x1.5b284facb38aap-2, 0x1.643f332674c8cp-2, 0x1.6d123fd4bc68ep-2, 0x1.759ee070b5edcp-2, 0x1.7de2a5ad93fa8p-2, 0x1.85db473865d58p-2, 0x1.8d86a4740bcb7p-2, 0x1.94e2c4f6d9a9p-2, 0x1.9bedd8cf44ccbp-2, 0x1.a2a63894b7996p-2, 0x1.a90a65497b29ap-2, 0x1.af1908125c0f4p-2, 0x1.b4d0f1c886025p-2, 0x1.ba311a69d4608p-2, 0x1.bf38a06b9bc0fp-2, 0x1.c3e6c7f3bd693p-2, 0x1.c83af9fb953ddp-2, 0x1.cc34c3601ae9bp-2, 0x1.cfd3d3e255ce2p-2, 0x1.d317fd1b01c45p-2, 0x1.d60131641023dp-2, 0x1.d88f82ba68d46p-2, 0x1.dac3219a1ecdcp-2, 0x1.dc9c5bd7138eap-2, 0x1.de1b9b73bba14p-2, 0x1.df416577a1276p-2, 0x1.e00e58c6e73f1p-2, 0x1.e0832cfc0611dp-2, 0x1.e0a0b144b3a68p-2, 0x1.e067cb42c6685p-2, 0x1.dfd975f1c8589p-2, 0x1.def6c091b994bp-2, 0x1.ddc0cd976e626p-2, 0x1.dc38d1a2e0b73p-2, 0x1.da60127b9db28p-2, 0x1.d837e6137cc65p-2, 0x1.d5c1b18faf83fp-2, 0x1.d2fee85825354p-2, 0x1.cff10b2d43249p-2, 0x1.cc99a743d48b1p-2, 0x1.c8fa55671e5c5p-2, 0x1.c514b920f11b8p-2, 0x1.c0ea7fe79c243p-2, 0x1.bc7d605192e7p-2, 0x1.b7cf194ea712fp-2, 0x1.b2e17166a97ep-2, 0x1.adb635fd505f9p-2, 0x1.a84f3a9b3deb8p-2, 0x1.a2ae583c03adep-2, 0x1.9cd56ca108443p-2, 0x1.96c659a92c448p-2, 0x1.908304ad1cbb8p-2, 0x1.8a0d55e03639ap-2, 0x1.836737b5e9eccp-2, 0x1.7c92964b908adp-2, 0x1.75915ed6a0efcp-2, 0x1.6e657f173b0a2p-2, 0x1.6710e4ceff9cfp-2, 0x1.5f957d3c306f8p-2, 0x1.57f5349909f93p-2, 0x1.5031f59f5e00cp-2, 0x1.484da91062e11p-2, 0x1.404a3540b5af2p-2, 0x1.38297da891e5ap-2, 0x1.2fed627838de8p-2, 0x1.2797c03083d36p-2, 0x1.1f2a6f3fa5ab1p-2, 0x1.16a743a213ca1p-2, 0x1.0e100c879421fp-2, 0x1.056693fc6ddd3p-2, 0x1.f9593d2d69792p-3, 0x1.e7c7d64f5741cp-3, 0x1.d61c64e26d902p-3, 0x1.c45a4dbea73dcp-3, 0x1.b284e88b21c2p-3, 0x1.a09f7f40eadf4p-3, 0x1.8ead4db5a4b31p-3, 0x1.7cb1812ddebdfp-3, 0x1.6aaf37f6feef3p-3, 0x1.58a98108ad856p-3, 0x1.46a35bad95225p-3, 0x1.349fb7335e745p-3, 0x1.22a172a1b46dep-3, 0x1.10ab5c783b0fbp-3, 0x1.fd8064e6944bcp-4, 0x1.d9c542ae6e643p-4, 0x1.b62a89842d83ep-4, 0x1.92b54e0774b3ep-4, 0x1.6f6a81f78664bp-4, 0x1.4c4ef3fb33244p-4, 0x1.29674f7434268p-4, 0x1.06b81c5d948fep-4, 0x1.c88b7e69890ecp-5, 0x1.8428f1d9f3c2ep-5, 0x1.4050cdd8f1693p-5, 0x1.fa160c4d9a6cap-6, 0x1.74be8f2f116b1p-6, 0x1.e153e1116f285p-7, 0x1.b799be704d2bap-8, -0x1.37e40a1857a6ep-10, -0x1.26edf187003bap-7, -0x1.11f71c056dc53p-6, -0x1.8ef2974ea196ap-6, -0x1.052ef00dae7e4p-5, -0x1.4216f9a68875ap-5, -0x1.7e2c29f175978p-5, -0x1.b96984ce03ee2p-5, -0x1.f3ca4fc253c0cp-5, -0x1.16a5089be1c5fp-4, -0x1.32f247d72e35bp-4, -0x1.4ecae873c308ep-4, -0x1.6a2d0c84515eap-4, -0x1.8516f4db0daa7p-4, -0x1.9f870093b4623p-4, -0x1.b97bac9a572ebp-4, -0x1.d2f3932f1fa7cp-4, -0x1.ebed6b67628f8p-4, -0x1.0234045614999p-3, -0x1.0e312d1b3a994p-3, -0x1.19edb544c069fp-3, -0x1.25692f7586be2p-3, -0x1.30a33b6d16afp-3, -0x1.3b9b85c2426cap-3, -0x1.4651c79d287adp-3, -0x1.50c5c670adb63p-3, -0x1.5af753b3841e5p-3, -0x1.64e64c98d381bp-3, -0x1.6e9299c88f7b4p-3, -0x1.77fc2f17a79c4p-3, -0x1.81230b40010dep-3, -0x1.8a0737986bcc6p-3, -0x1.92a8c7cc8b92p-3, -0x1.9b07d994d7a05p-3, -0x1.a324946eb6afcp-3, -0x1.aaff2954c2739p-3, -0x1.b297d2774a739p-3, -0x1.b9eed2f5236b9p-3, -0x1.c1047694bfadep-3, -0x1.c7d9117db4972p-3, -0x1.ce6cfff2a449p-3, -0x1.d4c0a60ba7d19p-3, -0x1.dad46f712c8c9p-3, -0x1.e0a8cf176e173p-3, -0x1.e63e3efa7a5cdp-3, -0x1.eb953fdad3f88p-3, -0x1.f0ae58fac3a12p-3, -0x1.f58a17dc4b6e3p-3, -0x1.fa290fffdba12p-3, -0x1.fe8bdaa3b83bp-3, -0x1.01598b4217852p-2, -0x1.034fb3ce44fa6p-2, -0x1.0528bb746f053p-2, -0x1.06e4f91452734p-2, -0x1.0884c5d119ddap-2, -0x1.0a087cf38b17p-2, -0x1.0b707bcca2fe4p-2, -0x1.0cbd2198a64dbp-2, -0x1.0deecf62aa7bbp-2, -0x1.0f05e7e890f44p-2, -0x1.1002cf7f82bf8p-2, -0x1.10e5ebf8e0b3dp-2, -0x1.11afa487b1e1bp-2, -0x1.126061a6926cp-2, -0x1.12f88cfe1b521p-2, -0x1.1378914bcdba9p-2, -0x1.13e0da497eaa8p-2, -0x1.1431d49542471p-2, -0x1.146bed99d8d65p-2, -0x1.148f93779fafbp-2, -0x1.149d34ee03ebcp-2, -0x1.149541457903ep-2, -0x1.14782839f282cp-2, -0x1.144659e5df721p-2, -0x1.140046adaf00dp-2, -0x1.13a65f2bd0bf1p-2, -0x1.1339141d3e82dp-2, -0x1.12b8d64e880a5p-2, -0x1.122616895e9aap-2, -0x1.11814582a9d5dp-2, -0x1.10cad3c915f48p-2, -0x1.100331b42a559p-2, -0x1.0f2acf53df29p-2, -0x1.0e421c60b1542p-2, -0x1.0d49882c38132p-2, -0x1.0c41819239b5fp-2, -0x1.0b2a76ea3b111p-2, -0x1.0a04d5f9903cap-2, -0x1.08d10be5e4824p-2, -0x1.078f852840857p-2, -0x1.0640ad8088ec8p-2, -0x1.04e4efe9751b9p-2, -0x1.037cb68cfcaep-2, -0x1.02086ab93d019p-2, -0x1.008874d5d1fbdp-2, -0x1.fdfa78b341708p-3, -0x1.face4f822ca5p-3, -0x1.f78d3909abeb5p-3, -0x1.f437fe21ab8p-3, -0x1.f0cf6577d1733p-3, -0x1.ed54337f6915ep-3, -0x1.e9c72a6225e8fp-3, -0x1.e62909f1aff9ep-3, -0x1.e27a8f9a06e01p-3, -0x1.debc7654a63cep-3, -0x1.daef769c756d2p-3, -0x1.d71446627e049p-3, -0x1.d32b9903577cfp-3, -0x1.cf361f3d57ecfp-3, -0x1.cb3487277ad3ap-3, -0x1.c7277c28f8b15p-3, -0x1.c30fa6f196766p-3, -0x1.beedad729c12dp-3, -0x1.bac232d8776dp-3, -0x1.b68dd78504b63p-3, -0x1.b251390a77b6bp-3, -0x1.ae0cf226e5317p-3, -0x1.a9c19ac064732p-3, -0x1.a56fc7e1c82cap-3, -0x1.a1180bb7ecd5ap-3, -0x1.9cbaf58f920a6p-3, -0x1.985911d3be01dp-3, -0x1.93f2ea0cb1463p-3, -0x1.8f8904df4f698p-3, -0x1.8b1be60d171b7p-3, -0x1.86ac0e748bb6ap-3, -0x1.8239fc1218313p-3, -0x1.7dc62a016d326p-3, -0x1.7951107f48b5cp-3, -0x1.74db24ebad647p-3, -0x1.7064d9cc845cap-3, -0x1.6bee9ed0a5e4p-3, -0x1.6778e0d340376p-3, -0x1.630409df9f1d4p-3, -0x1.5e9081355438fp-3, -0x1.5a1eab4caa235p-3, -0x1.55aee9db7caap-3, -0x1.51419bda5226fp-3, -0x1.4cd71d89cbecp-3, -0x1.486fc8785ecfap-3, -0x1.440bf38852f96p-3, -0x1.3fabf2f60302dp-3, -0x1.3b50185e6339bp-3, -0x1.36f8b2c5bf6aep-3, -0x1.32a60e9eb802ap-3, -0x1.2e5875d172311p-3, -0x1.2a102fc3013b4p-3, -0x1.25cd815cfae67p-3, -0x1.2190ad153fc87p-3, -0x1.1d59f2f5ef93cp-3, -0x1.192990a58091ep-3, -0x1.14ffc16f01574p-3, -0x1.10dcbe4a812a5p-3, -0x1.0cc0bde5902bp-3, -0x1.08abf4abea93fp-3, -0x1.049e94d02f6a7p-3, -0x1.0098ce54c4ecdp-3, -0x1.f9359e2982cb5p-4, -0x1.f1498599e754ap-4, -0x1.e96da649f519dp-4, -0x1.e1a24f70e1138p-4, -0x1.d9e7cc403b3a4p-4, -0x1.d23e63f678e54p-4, -0x1.caa659f19283fp-4, -0x1.c31fedc1aa227p-4, -0x1.bbab5b3bc1c45p-4, -0x1.b448da8c7e0edp-4, -0x1.acf8a04aeab6p-4, -0x1.a5badd8b3eea1p-4, -0x1.9e8fbff1a3867p-4, -0x1.977771c4f88d5p-4, -0x1.90721a0183f11p-4, -0x1.897fdc6ba5a51p-4, -0x1.82a0d9a273948p-4, -0x1.7bd52f324a56cp-4, -0x1.751cf7a74434cp-4, -0x1.6e784a9fa10cep-4, -0x1.67e73cde104f2p-4, -0x1.6169e05be0effp-4, -0x1.5b00445b15bbdp-4, -0x1.54aa7578583efp-4, -0x1.4e687dbcc9e5p-4, -0x1.483a64afb29efp-4, -0x1.42202f68076b9p-4, -0x1.3c19e09dccfd5p-4, -0x1.362778bb4bc16p-4, -0x1.3048f5ee1ef57p-4, -0x1.2a7e543810e5bp-4, -0x1.24c78d7fcda66p-4, -0x1.1f2499a166d52p-4, -0x1.19956e7e9f959p-4, -0x1.141a000f0fea7p-4, -0x1.0eb240700dd43p-4, -0x1.095e1ff465e17p-4, -0x1.041d8d33dbce1p-4, -0x1.fde0ea34ed6aap-5, -0x1.f3ad85ef2cc27p-5, -0x1.e9a0c11999ec5p-5, -0x1.dfba6c390c9d4p-5, -0x1.d5fa54f0df4f6p-5, -0x1.cc60461f512efp-5, -0x1.c2ec07f97390dp-5, -0x1.b99d60269dacdp-5, -0x1.b07411db6ceffp-5, -0x1.a76fddf44b37cp-5, -0x1.9e90830f7f2f9p-5, -0x1.95d5bda6c188bp-5, -0x1.8d3f48285aecp-5, -0x1.84ccdb0fc888bp-5, -0x1.7c7e2cfde6e65p-5, -0x1.7452f2d0a2f9cp-5, -0x1.6c4adfba2d9e8p-5, -0x1.6465a557bdc4cp-5, -0x1.5ca2f3c7d44fdp-5, -0x1.550279c002589p-5, -0x1.4d83e4a23fe73p-5, -0x1.4626e091c4032p-5, -0x1.3eeb188764142p-5, -0x1.37d0366582ac8p-5, -0x1.30d5e30b7a61fp-5, -0x1.29fbc668a514bp-5, -0x1.2341878ed9498p-5, -0x1.1ca6ccc484a67p-5, -0x1.162b3b9646b6dp-5, -0x1.0fce78e81b185p-5, -0x1.0990290618b2p-5, -0x1.036fefb4b621p-5, -0x1.fadae0814878bp-6, -0x1.ef109b1c6f51p-6, -0x1.e3805450cb655p-6, -0x1.d829509ea6cap-6, -0x1.cd0ad40cf3ff8p-6, -0x1.c2242244c8016p-6, -0x1.b7747eabee3abp-6, -0x1.acfb2c7ecc8dfp-6, -0x1.a2b76ee961f6ap-6, -0x1.98a8891f86773p-6, -0x1.8ecdbe74632eap-6, -0x1.852652711e5bbp-6, -0x1.7bb188eace4f4p-6, -0x1.726ea617b61cp-6, -0x1.695ceea3afe05p-6, -0x1.607ba7c3f0fd9p-6, -0x1.57ca174a0e33fp-6, -0x1.4f4783b65a613p-6, -0x1.46f3344982527p-6, -0x1.3ecc711592b45p-6, -0x1.36d2830e3b169p-6, -0x1.2f04b41879a5p-6, -0x1.27624f19b3ce1p-6, -0x1.1feaa00602241p-6, -0x1.189cf3ee0821ep-6, -0x1.1178990c1d6ccp-6, -0x1.0a7cded0e56b7p-6, -0x1.03a915ef54805p-6, -0x1.f9f920d03d57bp-7, -0x1.eced432940f8bp-7, -0x1.e02d3c6253519p-7, -0x1.d3b7b8cdc77f6p-7, -0x1.c78b67aa160bfp-7, -0x1.bba6fb3386d37p-7, -0x1.b00928b4c2d86p-7, -0x1.a4b0a89661b9dp-7, -0x1.999c366db38aap-7, -0x1.8eca910a6fc5bp-7, -0x1.843a7a838ceefp-7, -0x1.79eab8433705fp-7, -0x1.6fda131202585p-7, -0x1.66075721188fp-7, -0x1.5c715413cf244p-7, -0x1.5316dd08397ccp-7, -0x1.49f6c89f2e43dp-7, -0x1.410ff1035a017p-7, -0x1.386133efc3445p-7, -0x1.2fe972b5863d7p-7, -0x1.27a79240d6bafp-7, -0x1.1f9a7b1d74d54p-7, -0x1.17c1197a5079ap-7, -0x1.101a5d2ccb24fp-7, -0x1.08a539b32b7p-7, -0x1.0160a6367878dp-7, -0x1.f4973b17f2822p-8, -0x1.e6ca3c6bcfad7p-8, -0x1.d95854c78c62fp-8, -0x1.cc3f8fe43e4b8p-8, -0x1.bf7e00d39d2e5p-8, -0x1.b311c1fd976a3p-8, -0x1.a6f8f51ce842cp-8, -0x1.9b31c33b0c0c8p-8, -0x1.8fba5caaf5277p-8, -0x1.8490f9033a6e7p-8, -0x1.79b3d71785f73p-8, -0x1.6f213cf0e788p-8, -0x1.64d777c5c5f1cp-8, -0x1.5ad4dbf0f7f59p-8, -0x1.5117c4e83327bp-8, -0x1.479e9531cdfeep-8, -0x1.3e67b659ff497p-8, -0x1.357198e76db5dp-8, -0x1.2cbab44f263c3p-8, -0x1.244186e84958bp-8, -0x1.1c0495dee88bdp-8, -0x1.14026d26822e1p-8, -0x1.0c399f6c27b29p-8, -0x1.04a8c6080bea7p-8, -0x1.fa9d01dd6a7acp-9, -0x1.ec52ed43addffp-9, -0x1.de70a84175e69p-9, -0x1.d0f399b0db8f5p-9, -0x1.c3d93526d2eacp-9, -0x1.b71efad26333dp-9, -0x1.aac2775ac2a0bp-9, -0x1.9ec143bd7b358p-9, -0x1.9319052ba176p-9, -0x1.87c76ce6c429p-9, -0x1.7cca381d73663p-9, -0x1.721f2fc750dbbp-9, -0x1.67c42880f42acp-9, -0x1.5db70267587c3p-9, -0x1.53f5a8f305664p-9, -0x1.4a7e12d2daf06p-9, -0x1.414e41c737a87p-9, -0x1.3864427bd6856p-9, -0x1.2fbe2c62b6805p-9, -0x1.275a218e2a91p-9, -0x1.1f364e8ac3f34p-9, -0x1.1750ea399f7fep-9, -0x1.0fa835aa1f88p-9, -0x1.083a7bf40052fp-9, -0x1.0106121146e3ep-9, -0x1.f412ad6ffa2b4p-10, -0x1.e6856468b5d97p-10, -0x1.d9612c856bda6p-10, -0x1.cca2fbd2fbe76p-10, -0x1.c047daa6f3568p-10, -0x1.b44ce35452962p-10, -0x1.a8af41dfd00d7p-10, -0x1.9d6c33b563c08p-10, -0x1.9281075d9e099p-10, -0x1.87eb1c3327fa7p-10, -0x1.7da7e21916494p-10, -0x1.73b4d93180eb9p-10, -0x1.6a0f919425f31p-10, -0x1.60b5ab06564e6p-10, -0x1.57a4d4b293b99p-10, -0x1.4edacce08f825p-10, -0x1.465560af69c21p-10, -0x1.3e126bcd93fcep-10, -0x1.360fd83423138p-10, -0x1.2e4b9de0e9564p-10, -0x1.26c3c291a8f0dp-10, -0x1.1f765980590edp-10, -0x1.1861831f6f806p-10, -0x1.11836cd73d18p-10, -0x1.0ada50c39577p-10, -0x1.046475726fca3p-10, -0x1.fc405b46c8da6p-11, -0x1.f017b00edbc38p-11, -0x1.e44bbe029f05dp-11, -0x1.d8d970cf51ec3p-11, -0x1.cdbdca8cd6d7cp-11, -0x1.c2f5e344cd296p-11, -0x1.b87ee8785de71p-11, -0x1.ae561caa7b574p-11, -0x1.a478d6e8fc8dp-11, -0x1.9ae482598b5c4p-11, -0x1.91969dc64fe1p-11, -0x1.888cbb2d6190ap-11, -0x1.7fc47f50e7efbp-11, -0x1.773ba149a939cp-11, -0x1.6eefea1a8ae19p-11, -0x1.66df3445c1bc1p-11, -0x1.5f076b63f1cb5p-11, -0x1.57668bbc6014p-11, -0x1.4ffaa1df6a509p-11, -0x1.48c1ca4132e24p-11, -0x1.41ba30d7f08dfp-11, -0x1.3ae210ba4619ep-11, -0x1.3437b3bf23161p-11, -0x1.2db972207e739p-11, -0x1.2765b21e4ac0ap-11, -0x1.213ae7a3da252p-11, -0x1.1b3793ee24acfp-11, -0x1.155a453446ecfp-11, -0x1.0fa19650d3e08p-11, -0x1.0a0c2e6db4058p-11, -0x1.0498c0b00c946p-11, -0x1.fe8c17ce69157p-12, -0x1.f425b478e43ebp-12, -0x1.e9fc01c706a57p-12, -0x1.e00cbf9d1be42p-12, -0x1.d655c2c28c21fp-12, -0x1.ccd4f44e634c6p-12, -0x1.c3885115730b9p-12, -0x1.ba6de91af92cep-12, -0x1.b183df051a0a7p-12, -0x1.a8c86793a228bp-12, -0x1.a039c91911cp-12, -0x1.97d65af7c7041p-12, -0x1.8f9c852058698p-12, -0x1.878abf938a289p-12, -0x1.7f9f91e6a83cfp-12, -0x1.77d992cb38883p-12, -0x1.70376797ca07ep-12, -0x1.68b7c3d4bab4dp-12, -0x1.615968cadd052p-12, -0x1.5a1b2514af671p-12, -0x1.52fbd432adb9p-12, -0x1.4bfa5e20487c3p-12, -0x1.4515b6eeb3397p-12, -0x1.3e4cde5dafb05p-12, -0x1.379edf7a68f64p-12, -0x1.310ad03ec494ap-12, -0x1.2a8fd1333d12p-12, -0x1.242d0d1350429p-12, -0x1.1de1b873e0248p-12, -0x1.17ad116bf2d2dp-12, -0x1.118e5f3f6490dp-12, -0x1.0b84f20bf3841p-12, -0x1.0590227829435p-12, -0x1.ff5ea2ca18d45p-13, -0x1.f3c3cf3f5095dp-13, -0x1.e84eab2fb769p-13, -0x1.dcfe262c75a9ep-13, -0x1.d1d13deb26341p-13, -0x1.c6c6fdba977e6p-13, -0x1.bbde7dfcd3cb2p-13, -0x1.b116e3a42d42fp-13, -0x1.a66f5fb2b30ddp-13, -0x1.9be72ebfbd92p-13, -0x1.917d987e79998p-13, -0x1.8731ef48b38a4p-13, -0x1.7d038fad889dp-13, -0x1.72f1e0028a14dp-13, -0x1.68fc4ff8116ap-13, -0x1.5f2258321ac9p-13, -0x1.556379e1ade15p-13, -0x1.4bbf3e64114a1p-13, -0x1.423536e1de605p-13, -0x1.38c4fbf477f4p-13, -0x1.2f6e2d4abbb28p-13, -0x1.26307154461d1p-13, -0x1.1d0b74eb48cddp-13, -0x1.13feeb04959b9p-13, -0x1.0b0a8c601deedp-13, -0x1.022e173d3a5d4p-13, -0x1.f2d29e20984a1p-14, -0x1.e177f87799b9p-14, -0x1.d04bd7957e6cap-14, -0x1.bf4dde5ce9826p-14, -0x1.ae7db7fc1bd0fp-14, -0x1.9ddb1770bbfdcp-14, -0x1.8d65b70eafff8p-14, -0x1.7d1d580f49314p-14, -0x1.6d01c21c78ec4p-14, -0x1.5d12c2e9aad8bp-14, -0x1.4d502dc9a39cep-14, -0x1.3db9db4b4a2ecp-14, -0x1.2e4fa8d95b1ffp-14, -0x1.1f11785d78a36p-14, -0x1.0fff2fe76873bp-14, -0x1.0118b9576ce1p-14, -0x1.e4bc04175b5a9p-15, -0x1.c79df52661e4ep-15, -0x1.aad72cbe9e90bp-15, -0x1.8e6796f988592p-15, -0x1.724f249b4df61p-15, -0x1.568dca8d10d95p-15, -0x1.3b23815f58f8fp-15, -0x1.201044cd8cbacp-15, -0x1.0554134b9508bp-15, -0x1.d5dddb2c28ba2p-16, -0x1.a1c1ac8c57c98p-16, -0x1.6e53a2de1b5b1p-16, -0x1.3b93c879b0431p-16, -0x1.09822930cc2bfp-16, -0x1.b03da341ee315p-17, -0x1.4ed39d1cc59c7p-17, -0x1.dd8cb11bc6221p-18, -0x1.202bd83573a69p-18, -0x1.961358dd5b8cbp-20, 0x1.49a0da41d7eb8p-20, 0x1.079b3a3f150f1p-18, 0x1.ba142d3043c3ep-18, 0x1.34e98ad4ce3e2p-17, 0x1.8b6c04c68c829p-17, 0x1.e09197e240171p-17, 0x1.1a2d307217ce6p-16, 0x1.43634337b2e8p-16, 0x1.6beb1cd5bbb39p-16, 0x1.93c4db6f5e6ebp-16, 0x1.baf0a2f45862ap-16, 0x1.e16e9d61836acp-16, 0x1.039f7d7d4d2b3p-15, 0x1.1630f93d28b1bp-15, 0x1.286be0a312952p-15, 0x1.3a5055c9d7165p-15, 0x1.4bde7e48d002ep-15, 0x1.5d168343fa142p-15, 0x1.6df891799032bp-15, 0x1.7e84d94f4c4b8p-15, 0x1.8ebb8edf13b46p-15, 0x1.9e9ce9fc0ce47p-15, 0x1.ae29263d6d629p-15, 0x1.bd6083024dc0dp-15, 0x1.cc434374b3d58p-15, 0x1.dad1ae8dbc768p-15, 0x1.e90c0f140f281p-15, 0x1.f6f2b39dfbfc6p-15, 0x1.0242f74712d8dp-14, 0x1.08e30b08018cfp-14, 0x1.0f59c209d4337p-14, 0x1.15a74b247f742p-14, 0x1.1bcbd70bb89c5p-14, 0x1.21c7984c0f3efp-14, 0x1.279ac3461713ep-14, 0x1.2d458e2985683p-14, 0x1.32c830f0335b8p-14, 0x1.3822e557cbd27p-14, 0x1.3d55e6dc0e918p-14, 0x1.426172b0aaae8p-14, 0x1.4745c7ba05bf3p-14, 0x1.4c032685e9fd7p-14, 0x1.5099d144ae05p-14, 0x1.550a0bc0f3602p-14, 0x1.59541b57955bep-14, 0x1.5d7846ef8a882p-14, 0x1.6176d6f184764p-14, 0x1.6550153f0b9aap-14, 0x1.69044d29e5f0ep-14, 0x1.6c93cb6a47986p-14, 0x1.6ffede161204ep-14, 0x1.7345d49799398p-14, 0x1.7668ffa360bfp-14, 0x1.7968b12f5680ep-14, 0x1.7c453c688df64p-14, 0x1.7efef5a972019p-14, 0x1.8196326ff4d4fp-14, 0x1.840b49537036cp-14, 0x1.865e91fa4ade7p-14, 0x1.8890651092cfcp-14, 0x1.8aa11c3d94aa2p-14, 0x1.8c91121971594p-14, 0x1.8e60a2233a848p-14, 0x1.901028b6cd6c8p-14, 0x1.91a003027ddd1p-14, 0x1.93108efd08d1fp-14, 0x1.94622b5b7ed21p-14, 0x1.959537876c9f2p-14, 0x1.96aa13948f861p-14, 0x1.97a12036ea3dbp-14, 0x1.987abeb8e661fp-14, 0x1.993750f12930cp-14, 0x1.99d739398291p-14, 0x1.9a5ada6458c9p-14, 0x1.9ac297b3d6643p-14, 0x1.9b0ed4cfdbc2cp-14, 0x1.9b3ff5bcc7931p-14, 0x1.9b565ed23fa78p-14, 0x1.9b5274b14d65dp-14, 0x1.9b349c3be9e3bp-14, 0x1.9afd3a8bdd6f1p-14, 0x1.9aacb4e9a6d54p-14, 0x1.9a4370c3b4a1bp-14, 0x1.99c1d3a5fa6a4p-14, 0x1.9928433100cc9p-14, 0x1.98772511dce88p-14, 0x1.97aedef998fefp-14, 0x1.96cfd6952a1edp-14, 0x1.95da7185978a2p-14, 0x1.94cf155813271p-14, 0x1.93ae277dea4fcp-14, 0x1.92780d4557cfep-14, 0x1.912d2bd1b58e7p-14, 0x1.8fcde8145acb2p-14, 0x1.8e5aa6c58dd0fp-14, 0x1.8cd3cc5d6ca64p-14, 0x1.8b39bd0cd27f4p-14, 0x1.898cdcb6f7a34p-14, 0x1.87cd8eeae1f11p-14, 0x1.85fc36dca0c97p-14, 0x1.8419375f33c05p-14, 0x1.8224f2de84f0ap-14, 0x1.801fcb5973b4fp-14, 0x1.7e0a225bd2394p-14, 0x1.7be458f8c84bp-14, 0x1.79aecfc5b5853p-14, 0x1.7769e6d4372bcp-14, 0x1.7515fdad20807p-14, 0x1.72b3734bb3c3p-14, 0x1.7042a61838e33p-14, 0x1.6dc3f3e3b6c4p-14, 0x1.6b37b9e2f7464p-14, 0x1.689e54aa55a01p-14, 0x1.65f82028fd7d8p-14, 0x1.634577a508c97p-14, 0x1.6086b5b766854p-14, 0x1.5dbc3447e941ap-14, 0x1.5ae64c895ec7dp-14, 0x1.580556f65146dp-14, 0x1.5519ab4d1db93p-14, 0x1.5223a08cbfb37p-14, 0x1.4f238cf1b49cfp-14, 0x1.4c19c5f2797d5p-14, 0x1.4906a03d2ad1ep-14, 0x1.45ea6fb45113fp-14, 0x1.42c5876c3d8b3p-14, 0x1.3f9839a8537c7p-14, 0x1.3c62d7d8f1ad7p-14, 0x1.3925b298f50aep-14, 0x1.35e119ab37e33p-14, 0x1.32955bf8d070bp-14, 0x1.2f42c78f1eeecp-14, 0x1.2be9a99dd47ap-14, 0x1.288a4e750c7ebp-14, 0x1.25250183fdd5ap-14, 0x1.21ba0d574ac7ap-14, 0x1.1e49bb97d631ep-14, 0x1.1ad45508f379p-14, 0x1.175a2187afb02p-14, 0x1.13db680993a4ep-14, 0x1.10586e9b77eeap-14, 0x1.0cd17a61078d7p-14, 0x1.0946cf93dc922p-14, 0x1.05b8b1827c5a5p-14, 0x1.0227628ffec06p-14, 0x1.fd26486709ad3p-15, 0x1.f5f86defa752bp-15, 0x1.eec5b4f613b22p-15, 0x1.e78e9adc92fc5p-15, 0x1.e0539b2b1e2cep-15, 0x1.d9152f8f36013p-15, 0x1.d1d3cfdc7b02cp-15, 0x1.ca8ff20c260f8p-15, 0x1.c34a0a3dae719p-15, 0x1.bc028ab6ef574p-15, 0x1.b4b9e3e56e3f4p-15, 0x1.ad70845ec1a71p-15, 0x1.a626d8e1843c8p-15, 0x1.9edd4c560e6a9p-15, 0x1.979447d0368bbp-15, 0x1.904c32906cd24p-15, 0x1.890572052c37cp-15, 0x1.81c069cbf53f9p-15, 0x1.7a7d7bb4135f1p-15, 0x1.733d07bfb322p-15, 0x1.6bff6c25cc289p-15, 0x1.64c505547bea4p-15, 0x1.5d8e2df2a8b9ap-15, 0x1.565b3ee2b4709p-15, 0x1.4f2c8f44caf3p-15, 0x1.48027479316aep-15, 0x1.40dd42225d4efp-15, 0x1.39bd4a2808b21p-15, 0x1.32a2dcb9ed952p-15, 0x1.2b8e48524737p-15, 0x1.247fd9b8cd2b5p-15, 0x1.1d77dc05a2ea5p-15, 0x1.167698a47354bp-15, 0x1.0f7c575776f61p-15, 0x1.08895e39fc896p-15, 0x1.019df1c48a0efp-15, 0x1.f574a99fec4dcp-16, 0x1.e7bd9130d90ccp-16, 0x1.da1719814ec5ep-16, 0x1.cc81beac2a6edp-16, 0x1.befdf9a78013cp-16, 0x1.b18c404c4722p-16, 0x1.a42d055d0b36fp-16, 0x1.96e0b88e3074ep-16, 0x1.89a7c68c02e9ap-16, 0x1.7c82990316fd6p-16, 0x1.6f7196a7832abp-16, 0x1.6275233d342dap-16, 0x1.558d9f9e08aa6p-16, 0x1.48bb69c304bcdp-16, 0x1.3bfedccb537c7p-16, 0x1.2f5851046dc5dp-16, 0x1.22c81bf2affc4p-16, 0x1.164e90582358fp-16, 0x1.09ebfe3ce9292p-16, 0x1.fb4165ee26192p-17, 0x1.e2d9f26566d2p-17, 0x1.caa231f676fb9p-17, 0x1.b29aaf853202dp-17, 0x1.9ac3f0d1a8055p-17, 0x1.831e7688fe635p-17, 0x1.6baabc573859cp-17, 0x1.546938f79ba42p-17, 0x1.3d5a5e44144edp-17, 0x1.267e99453a60bp-17, 0x1.0fd65243fe7f2p-17, 0x1.f2c3d9b4d18f2p-18, 0x1.c64390071d876p-18, 0x1.9a2c7c5570cc6p-18, 0x1.6e7f4a7cbf481p-18, 0x1.433c9d7d995a8p-18, 0x1.18650f9d9e05ep-18, 0x1.dbf265137256ep-19, 0x1.87f31eefe1983p-19, 0x1.34cd4e85c4eebp-19, 0x1.c503ca3a28341p-20, 0x1.222387a14fedp-20, 0x1.01f6ef3e23525p-21, -0x1.e72e2c518829p-24, -0x1.784c46d07ddc4p-21, -0x1.581d04739459dp-20, -0x1.f2565de997029p-20, -0x1.4568929494948p-19, -0x1.90c63636718d5p-19, -0x1.db43b123ae322p-19, -0x1.1270544a87528p-18, -0x1.36ce67bb4a1bep-18, -0x1.5abbf3133a0a8p-18, -0x1.7e38dd1b7799fp-18, -0x1.a145131b1b0cbp-18, -0x1.c3e088b5b624ap-18, -0x1.e60b37cc308cfp-18, -0x1.03e290322eeeap-17, -0x1.14872443d469fp-17, -0x1.24f35e1128ecdp-17, }}, 
      {{0x1.430790bffa57ep-7, 0x1.430f493948882p-6, 0x1.e4a9ccc0097a4p-6, 0x1.432ce462a785p-5, 0x1.9412430f8817bp-5, 0x1.e506ec1004ef3p-5, 0x1.1b05f92c31124p-4, 0x1.4390bf1845beap-4, 0x1.6c23604638e07p-4, 0x1.94bcf66e9e2e4p-4, 0x1.bd5c1c3b779d3p-4, 0x1.e5feef54d9fa5p-4, 0x1.07518a2eb12f6p-3, 0x1.1ba2de3ea0913p-3, 0x1.2ff1d61238146p-3, 0x1.443ca15b4f39p-3, 0x1.5881416e8beb7p-3, 0x1.6cbd8da22f9eap-3, 0x1.80ef37c9e52ecp-3, 0x1.9513d0bac96e1p-3, 0x1.a928ccc689fcap-3, 0x1.bd2b881fb9ad9p-3, 0x1.d1194b1c78bffp-3, 0x1.e4ef4e4ef1a68p-3, 0x1.f8aabe6d7cd32p-3, 0x1.06246003009d8p-2, 0x1.0fe3397cd9fd6p-2, 0x1.19907adfd370cp-2, 0x1.232ab436c74c5p-2, 0x1.2cb077c37e1c2p-2, 0x1.36205b49f62bp-2, 0x1.3f78f93ffdca3p-2, 0x1.48b8f1e202d74p-2, 0x1.51deec2e05004p-2, 0x1.5ae996c5cad7cp-2, 0x1.63d7a8b96e5cp-2, 0x1.6ca7e23b6f16ep-2, 0x1.75590d3f786c8p-2, 0x1.7de9fe0501e1bp-2, 0x1.8659938efd38ep-2, 0x1.8ea6b809b3579p-2, 0x1.96d0611ff31c1p-2, 0x1.9ed59040ac0cdp-2, 0x1.a6b552d60bb8p-2, 0x1.ae6ec26f20ce6p-2, 0x1.b60104dd0ef03p-2, 0x1.bd6b4c44c823bp-2, 0x1.c4acd72638946p-2, 0x1.cbc4f059d1362p-2, 0x1.d2b2ef05462bep-2, 0x1.d976368858e25p-2, 0x1.e00e36626a8c1p-2, 0x1.e67a6a119eab1p-2, 0x1.ecba58ec34c7ap-2, 0x1.f2cd95f4c62ccp-2, 0x1.f8b3bfa9fda32p-2, 0x1.fe6c7fd260755p-2, 0x1.01fbc5a254cd7p-1, 0x1.04aa50d69a69p-1, 0x1.0741c6a8771a7p-1, 0x1.09c211671580fp-1, 0x1.0c2b206de7ee3p-1, 0x1.0e7ce8038af21p-1, 0x1.10b7613820a8cp-1, 0x1.12da89c3478a4p-1, 0x1.14e663e1cb13bp-1, 0x1.16daf6332c329p-1, 0x1.18b84b9718187p-1, 0x1.1a7e730ae7319p-1, 0x1.1c2d7f873332ap-1, 0x1.1dc587dd97268p-1, 0x1.1f46a696a9fadp-1, 0x1.20b0f9d03b3d1p-1, 0x1.2204a31be2befp-1, 0x1.2341c75de717bp-1, 0x1.24688eac8638p-1, 0x1.2579242fa559bp-1, 0x1.2673b600ed907p-1, 0x1.2758750c5aec3p-1, 0x1.282794f13f471p-1, 0x1.28e14be3be3dbp-1, 0x1.2985d28ec484fp-1, 0x1.2a1563f67b0dbp-1, 0x1.2a903d5b389a6p-1, 0x1.2af69e1cf3c0ep-1, 0x1.2b48c79f33ce6p-1, 0x1.2b86fd2d85d49p-1, 0x1.2bb183e06ff05p-1, 0x1.2bc8a282ea7c2p-1, 0x1.2bcca17858cdp-1, 0x1.2bbdcaa3084c9p-1, 0x1.2b9c694b2f8dep-1, 0x1.2b68ca06726d8p-1, 0x1.2b233a9fea5a8p-1, 0x1.2acc0a00afb45p-1, 0x1.2a638818ea67p-1, 0x1.29ea05c961d8fp-1, 0x1.295fd4cd9530dp-1, 0x1.28c547a6535dep-1, 0x1.281ab184d944dp-1, 0x1.27606636728b9p-1, 0x1.2696ba109e564p-1, 0x1.25be01ddb5c21p-1, 0x1.24d692ca1813bp-1, 0x1.23e0c251d7c24p-1, 0x1.22dce62ee9e99p-1, 0x1.21cb5447d974ep-1, 0x1.20ac629ef9d4dp-1, 0x1.1f8067421c546p-1, 0x1.1e47b83ac569ep-1, 0x1.1d02ab7ee0e9cp-1, 0x1.1bb196e1f6a64p-1, 0x1.1a54d006dc667p-1, 0x1.18ecac51e4c58p-1, 0x1.177980db8ac0dp-1, 0x1.15fba26397c2ap-1, 0x1.14736544c428fp-1, 0x1.12e11d68d015cp-1, 0x1.11451e3d1336cp-1, 0x1.0f9fbaa782a3fp-1, 0x1.0df144fc2a68ap-1, 0x1.0c3a0ef31b613p-1, 0x1.0a7a699ec896p-1, 0x1.08b2a562d414p-1, 0x1.06e311eb4b0abp-1, 0x1.050bfe244b06dp-1, 0x1.032db83214078p-1, 0x1.01488d6980639p-1, 0x1.feb99491c8134p-2, 0x1.fad574e29f9d3p-2, 0x1.f6e551406b6bfp-2, 0x1.f2e9bd52dc691p-2, 0x1.eee34ae33722p-2, 0x1.ead289d1d09ep-2, 0x1.e6b8080c3ff69p-2, 0x1.e29451843da8ap-2, 0x1.de67f0272edcdp-2, 0x1.da336bd656ee8p-2, 0x1.d5f74a5fab3c5p-2, 0x1.d1b40f77446cbp-2, 0x1.cd6a3cb168be9p-2, 0x1.c91a517d2da63p-2, 0x1.c4c4cb1fa93ap-2, 0x1.c06a24afae29cp-2, 0x1.bc0ad7121634ep-2, 0x1.b7a758f68988p-2, 0x1.b3401ed4cbce5p-2, 0x1.aed59aea8315ep-2, 0x1.aa683d397887ep-2, 0x1.a5f873864a27fp-2, 0x1.a186a9578eed8p-2, 0x1.9d1347f567eeap-2, 0x1.989eb66975d26p-2, 0x1.9429597f39924p-2, 0x1.8fb393c4ce83ep-2, 0x1.8b3dc58c07c7ep-2, 0x1.86c84cebe3ec9p-2, 0x1.825385c257a51p-2, 0x1.7ddfc9b66d62bp-2, 0x1.796d703aaed13p-2, 0x1.74fcce8fe1024p-2, 0x1.708e37c804c3dp-2, 0x1.6c21fcc99e36cp-2, 0x1.67b86c533f3ebp-2, 0x1.6351d2ff5065ap-2, 0x1.5eee7b4818a43p-2, 0x1.5a8ead8bfb428p-2, 0x1.5632b011f036ep-2, 0x1.51dac70e2e38p-2, 0x1.4d8734a707629p-2, 0x1.493838f9f4eep-2, 0x1.44ee1220cedc4p-2, 0x1.40a8fc372d71bp-2, 0x1.3c69315ff160ep-2, 0x1.382ee9caf3fbfp-2, 0x1.33fa5bbad62f8p-2, 0x1.2fcbbb8af3fe5p-2, 0x1.2ba33bb573416p-2, 0x1.27810cd971a29p-2, 0x1.23655dc149e5bp-2, 0x1.1f505b68f5c88p-2, 0x1.1b42310481eaap-2, 0x1.173b08069905p-2, 0x1.133b08272199ap-2, 0x1.0f425769ebe9dp-2, 0x1.0b511a257112cp-2, 0x1.076773099d295p-2, 0x1.03858326a849ep-2, 0x1.ff56d3e7f1c8p-3, 0x1.f7b28aae1da5bp-3, 0x1.f01e6354ee811p-3, 0x1.e89a93898e457p-3, 0x1.e1274dff2e12p-3, 0x1.d9c4c27d12f2bp-3, 0x1.d2731dec9729cp-3, 0x1.cb328a673d111p-3, 0x1.c4032f44b4c95p-3, 0x1.bce53128eab5dp-3, 0x1.b5d8b21208c5bp-3, 0x1.aeddd16677bdbp-3, 0x1.a7f4ac02d4312p-3, 0x1.a11d5c47d72a9p-3, 0x1.9a57fa283b4f9p-3, 0x1.93a49b3687a16p-3, 0x1.8d0352b2d3338p-3, 0x1.8674319875893p-3, 0x1.7ff746ab9e511p-3, 0x1.798c9e86e1b22p-3, 0x1.733443a8a40cap-3, 0x1.6cee3e80796a5p-3, 0x1.66ba957c5f1cap-3, 0x1.60994d15e6661p-3, 0x1.5a8a67df3e984p-3, 0x1.548de6902068ep-3, 0x1.4ea3c8129fc3fp-3, 0x1.48cc098fdd12cp-3, 0x1.4306a67c95f71p-3, 0x1.3d5398a5965bdp-3, 0x1.37b2d83c0737ep-3, 0x1.32245be19a215p-3, 0x1.2ca818b490d0fp-3, 0x1.273e025ba79ep-3, 0x1.21e60b11cdd76p-3, 0x1.1ca023b1c57b7p-3, 0x1.176c3bc195328p-3, 0x1.124a417dd638fp-3, 0x1.0d3a21e4db959p-3, 0x1.083bc8c1b0d95p-3, 0x1.034f20b6eea6ep-3, 0x1.fce82692d814cp-4, 0x1.f35511d57d1fap-4, 0x1.e9e4d20738e17p-4, 0x1.e09733fc12345p-4, 0x1.d76c029ebec93p-4, 0x1.ce63070463267p-4, 0x1.c57c087ff5694p-4, 0x1.bcb6ccb5529f4p-4, 0x1.b41317abfc2a3p-4, 0x1.ab90abe18274ap-4, 0x1.a32f4a5b92696p-4, 0x1.9aeeb2b9b9084p-4, 0x1.92cea346c9366p-4, 0x1.8aced909ec0ebp-4, 0x1.82ef0fd75fec9p-4, 0x1.7b2f0260decbap-4, 0x1.738e6a45b0ea9p-4, 0x1.6c0d00226967cp-4, 0x1.64aa7ba04fa76p-4, 0x1.5d66938471a4bp-4, 0x1.5640fdbe660b9p-4, 0x1.4f396f76b84a7p-4, 0x1.484f9d1cfe9e8p-4, 0x1.41833a75a5b52p-4, 0x1.3ad3faa760a6p-4, 0x1.344190484cedp-4, 0x1.2dcbad6ac3b6p-4, 0x1.277203a9dbfe1p-4, 0x1.2134443598f72p-4, 0x1.1b121fdecf108p-4, 0x1.150b4722b48d7p-4, 0x1.0f1f6a36291ap-4, 0x1.094e3910af16cp-4, 0x1.0397637714d9ap-4, 0x1.fbf5320bb249ap-5, 0x1.f0ef1276819c7p-5, 0x1.e61bc70245bb6p-5, 0x1.db7aae6cd860cp-5, 0x1.d10b2770b97b3p-5, 0x1.c6cc90d6f5979p-5, 0x1.bcbe49888697p-5, 0x1.b2dfb09f2261ap-5, 0x1.a930257588782p-5, 0x1.9faf07b7426f1p-5, 0x1.965bb76fe4b2p-5, 0x1.8d359519c8deap-5, 0x1.843c01ac47002p-5, 0x1.7b6e5ea974b3p-5, 0x1.72cc0e2b61c0bp-5, 0x1.6a5472f0dc66p-5, 0x1.6206f069bc374p-5, 0x1.59e2eac2b671ep-5, 0x1.51e7c6f0bdd83p-5, 0x1.4a14eabbf141ep-5, 0x1.4269bcca117e3p-5, 0x1.3ae5a4a898906p-5, 0x1.33880ad64e63ap-5, 0x1.2c5058cc8a1bap-5, 0x1.253df907f9a8dp-5, 0x1.1e5057110c1eep-5, 0x1.1786df83f2241p-5, 0x1.10e10018417d4p-5, 0x1.0a5e27a834539p-5, 0x1.03fdc6378ca55p-5, 0x1.fb7e99f42f51fp-6, 0x1.ef445cb3bf1f8p-6, 0x1.e34bbbf9f09afp-6, 0x1.d793a19604fa4p-6, 0x1.cc1af9e4a9cecp-6, 0x1.c0e0b3d99ef66p-6, 0x1.b5e3c108cf1c4p-6, 0x1.ab2315aebbd1ap-6, 0x1.a09da8b856954p-6, 0x1.965273ca4998cp-6, 0x1.8c407347a231dp-6, 0x1.8266a657ff721p-6, 0x1.78c40eed25ef1p-6, 0x1.6f57b1c818658p-6, 0x1.6620967db0fdfp-6, 0x1.5d1dc77aa8e7dp-6, 0x1.544e52073cbc6p-6, 0x1.4bb1464a49119p-6, 0x1.4345b74bf72a4p-6, 0x1.3b0abaf7fbdfbp-6, 0x1.32ff6a1f626f7p-6, 0x1.2b22e079f62d8p-6, 0x1.23743ca738cebp-6, 0x1.1bf2a02f02d93p-6, 0x1.149d2f81b91ffp-6, 0x1.0d7311f82afb5p-6, 0x1.067371d3139f8p-6, 0x1.ff3af87484283p-7, 0x1.f1e0c276ddae5p-7, 0x1.e4d6a79194db4p-7, 0x1.d81b136e4905p-7, 0x1.cbac7777c4f07p-7, 0x1.bf894ad537cedp-7, 0x1.b3b00a64f0fa4p-7, 0x1.a81f38b68ef4dp-7, 0x1.9cd55e04ae559p-7, 0x1.91d1082e23e61p-7, 0x1.8710caaeab6aep-7, 0x1.7c933e9739896p-7, 0x1.72570285dfe6dp-7, 0x1.685aba9d275bap-7, 0x1.5e9d107b3bb4ap-7, 0x1.551cb33091c19p-7, 0x1.4bd857362daf4p-7, 0x1.42ceb663b5dffp-7, 0x1.39fe8fe5130fep-7, 0x1.3166a82fd5818p-7, 0x1.2905c8f83fcfep-7, 0x1.20dac1261d1dbp-7, 0x1.18e464c94c413p-7, 0x1.11218d0e00e8dp-7, 0x1.09911830e31d8p-7, 0x1.0231e972eb362p-7, 0x1.f605d219f1abdp-8, 0x1.e8060846bbe77p-8, 0x1.da6259723aa3dp-8, 0x1.cd18b34619a0bp-8, 0x1.c0270cf5af07ep-8, 0x1.b38b672396e6dp-8, 0x1.a743cbc72b78bp-8, 0x1.9b4e4e11a436cp-8, 0x1.8fa90a5333c7ep-8, 0x1.845225dfc0e3fp-8, 0x1.7947cef385999p-8, 0x1.6e883c9789247p-8, 0x1.6411ae8615d2dp-8, 0x1.59e26d0edefa7p-8, 0x1.4ff8c8fb310fdp-8, 0x1.46531b72194bbp-8, 0x1.3cefc5dc539c8p-8, 0x1.33cd31c858f6fp-8, 0x1.2ae9d0ce6383ap-8, 0x1.22441c745197p-8, 0x1.19da9611b5b1bp-8, 0x1.11abc6b3bc003p-8, 0x1.09b63f0147069p-8, 0x1.01f8971f04218p-8, 0x1.f4e2dd2717b4cp-9, 0x1.e63ed8573cc23p-9, 0x1.d8027bbcca2d4p-9, 0x1.ca2b3163fa8dap-9, 0x1.bcb6713f97fdap-9, 0x1.afa1c0f2a50bep-9, 0x1.a2eab3998af3ap-9, 0x1.968ee99423f25p-9, 0x1.8a8c104fcfbf3p-9, 0x1.7edfe211c9508p-9, 0x1.738825c1f9094p-9, 0x1.6882aeb5fe13bp-9, 0x1.5dcd5c7cb303ap-9, 0x1.53661aaa0adbbp-9, 0x1.494ae0a338f1bp-9, 0x1.3f79b16b622fp-9, 0x1.35f09b7095cf7p-9, 0x1.2cadb8596b127p-9, 0x1.23af2cd2c2f3p-9, 0x1.1af3285e54893p-9, 0x1.1277e5214a4fbp-9, 0x1.0a3ba7b3bb858p-9, 0x1.023cbef050e94p-9, 0x1.f4f3078955171p-10, 0x1.e5e0b203e1f4dp-10, 0x1.d73f565c6faf4p-10, 0x1.c90be0ac61debp-10, 0x1.bb434fbed6f6ep-10, 0x1.ade2b4b65c6d7p-10, 0x1.a0e732b33bff2p-10, 0x1.944dfe7b90f2bp-10, 0x1.88145e238944ap-10, 0x1.7c37a8b7614d9p-10, 0x1.70b545e66ebfdp-10, 0x1.658aadaeb7424p-10, 0x1.5ab5680a0a596p-10, 0x1.50330c9c2aa8ep-10, 0x1.46014261fb49fp-10, 0x1.3c1dbf61c7bb5p-10, 0x1.3286485c6bdf8p-10, 0x1.2938b080138e1p-10, 0x1.2032d91b8b62fp-10, 0x1.1772b153075a1p-10, 0x1.0ef635d5ca98dp-10, 0x1.06bb7094f9954p-10, 0x1.fd80f0f73f36dp-11, 0x1.ee06e24ee1268p-11, 0x1.df0515463730ep-11, 0x1.d0780242977e8p-11, 0x1.c25c3971bc458p-11, 0x1.b4ae6244a665ep-11, 0x1.a76b3aec06f05p-11, 0x1.9a8f97d74aa34p-11, 0x1.8e18633556a6fp-11, 0x1.82029c77d7f06p-11, 0x1.764b57d80e85ap-11, 0x1.6aefbdde6b21ap-11, 0x1.5fed0aeb4ea7dp-11, 0x1.55408ec2bf51dp-11, 0x1.4ae7ac19650d5p-11, 0x1.40dfd82423c2ep-11, 0x1.37269a2928426p-11, 0x1.2db98b134e309p-11, 0x1.249655076476ap-11, 0x1.1bbab2fb2e335p-11, 0x1.1324704ea2545p-11, 0x1.0ad16866c89eap-11, 0x1.02bf864adac64p-11, 0x1.f5d98885068f8p-12, 0x1.e6ae56edf9a2bp-12, 0x1.d7f9a729faec1p-12, 0x1.c9b7c4e2736adp-12, 0x1.bbe5175c8d965p-12, 0x1.ae7e20c8a1633p-12, 0x1.a17f7d953a2b5p-12, 0x1.94e5e3c54ee39p-12, 0x1.88ae224a2311ap-12, 0x1.7cd52060a9528p-12, 0x1.7157dcf198483p-12, 0x1.66336df539643p-12, 0x1.5b64ffdaa3a52p-12, 0x1.50e9d4f12620ap-12, 0x1.46bf44d6624f4p-12, 0x1.3ce2bbe5fb384p-12, 0x1.3351baad2a298p-12, 0x1.2a09d5615af48p-12, 0x1.2108b3591aa49p-12, 0x1.184c0e88a50d2p-12, 0x1.0fd1b3010cdf8p-12, 0x1.07977e71ba48cp-12, 0x1.ff36bf5ba483cp-13, 0x1.efb6ac66a828p-13, 0x1.e0aae36a92608p-13, 0x1.d20fa35142412p-13, 0x1.c3e149a79baa6p-13, 0x1.b61c51c0f18dbp-13, 0x1.a8bd53e05b33cp-13, 0x1.9bc104675a8p-13, 0x1.8f243307e031ap-13, 0x1.82e3c9fceacaap-13, 0x1.76fccd460e5cap-13, 0x1.6b6c59e945051p-13, 0x1.602fa5384b564p-13, 0x1.5543fc1accf02p-13, 0x1.4aa6c25c9784ep-13, 0x1.40557201a25c5p-13, 0x1.364d9a9b5be65p-13, 0x1.2c8ce0a53fcb3p-13, 0x1.2310fce39a875p-13, 0x1.19d7bbc664908p-13, 0x1.10defcd186ca3p-13, 0x1.0824b20729644p-13, 0x1.ff4dbeae1e84bp-14, 0x1.eec73421310fdp-14, 0x1.deb210b22ad9p-14, 0x1.cf0ac14bddb1ep-14, 0x1.bfcdd272d4e71p-14, 0x1.b0f7ef464d777p-14, 0x1.a285e08a1b3e2p-14, 0x1.94748bb375065p-14, 0x1.86c0f1fe1a355p-14, 0x1.79682f87d3b2cp-14, 0x1.6c677a7294265p-14, 0x1.5fbc2209c675ap-14, 0x1.53638df2023f4p-14, 0x1.475b3d5b5237fp-14, 0x1.3ba0c6398bea2p-14, 0x1.3031d482bd299p-14, 0x1.250c297316d4fp-14, 0x1.1a2d9ad5821fcp-14, 0x1.0f9412517e342p-14, 0x1.053d8cbf4efb8p-14, 0x1.f65032fee8e83p-15, 0x1.e2a3b3b0396c7p-15, 0x1.cf7200aad7e78p-15, 0x1.bcb7a061e2cb3p-15, 0x1.aa713979303b5p-15, 0x1.989b91a067a48p-15, 0x1.87338c7cc3b89p-15, 0x1.76362a983514bp-15, 0x1.65a088587152ep-15, 0x1.556fdcfcf6a6dp-15, 0x1.45a179a7fb504p-15, 0x1.3632c86b63d5ep-15, 0x1.27214b611cb3ep-15, 0x1.186a9bc5e2fa4p-15, 0x1.0a0c692021fdcp-15, 0x1.f808f0d77146dp-16, 0x1.dca146918b4cfp-16, 0x1.c1ddae6eeb4dbp-16, 0x1.a7ba29aa1c89dp-16, 0x1.8e32de42663eep-16, 0x1.75441594a1717p-16, 0x1.5cea3af95ad6ep-16, 0x1.4521da778ea45p-16, 0x1.2de79f7b0af42p-16, 0x1.17385396d4dd8p-16, 0x1.0110dd5407dcbp-16, 0x1.d6dc7e179b7aep-17, 0x1.ac9b2b8e93a46p-17, 0x1.83583058d521cp-17, 0x1.5b0e2aed09ebdp-17, 0x1.33b7e8e7baf8bp-17, 0x1.0d5065196d72ap-17, 0x1.cfa58b519808cp-18, 0x1.8674b484c6652p-18, 0x1.3f0534c2b5ab8p-18, 0x1.f29c8e64a306cp-19, 0x1.6a8ee0024d2ebp-19, 0x1.cba1e4ef6b489p-20, 0x1.914b7eaa72eep-21, -0x1.9fabe7fd04a07p-23, -0x1.2a4da782c08ebp-20, -0x1.0d3fd6b6c9e18p-19, -0x1.8253ce1eaecf5p-19, -0x1.f47055c038d66p-19, -0x1.31d151990e478p-18, -0x1.67fbc533c65fdp-18, -0x1.9cbdc10a7503bp-18, -0x1.d01d53f8bec6ap-18, -0x1.01103132bda94p-17, -0x1.19665417a2ca7p-17, -0x1.3113dd47b0036p-17, -0x1.481b84f0ec02bp-17, -0x1.5e7ff1af523bcp-17, -0x1.7443b96020648p-17, -0x1.896961e4d9d53p-17, -0x1.9df361ed9712ep-17, -0x1.b1e421acee92bp-17, -0x1.c53dfb8a2e27bp-17, -0x1.d8033cca842eap-17, -0x1.ea36263365e7cp-17, -0x1.fbd8eca2b408ep-17, -0x1.0676dcd26f214p-16, -0x1.0ebb55fdfeba1p-16, -0x1.16baec15f3ed9p-16, -0x1.1e76a47ab7625p-16, -0x1.25ef7fea6d2d8p-16, -0x1.2d267ab87a2f1p-16, -0x1.341c8d06e5bafp-16, -0x1.3ad2aaf89a0a5p-16, -0x1.4149c4e502278p-16, -0x1.4782c785efa43p-16, -0x1.4d7e9c2418bep-16, -0x1.533e28c2b94c1p-16, -0x1.58c2504766e54p-16, -0x1.5e0bf29fbb9f6p-16, -0x1.631bece68b5a5p-16, -0x1.67f31984e6aa5p-16, -0x1.6c925051fc161p-16, -0x1.70fa66b267c66p-16, -0x1.752c2fb33d60dp-16, -0x1.79287c251070bp-16, -0x1.7cf01ab646822p-16, -0x1.8083d8099f57fp-16, -0x1.83e47ecc94c79p-16, -0x1.8712d7cc597f5p-16, -0x1.8a0faa08edcf5p-16, -0x1.8cdbbac6f81d4p-16, -0x1.8f77cda113b66p-16, -0x1.91e4a49631836p-16, -0x1.94230018e5156p-16, -0x1.96339f1c4771dp-16, -0x1.98173f20fbbc6p-16, -0x1.99ce9c3fb4ba4p-16, -0x1.9b5a713467fe3p-16, -0x1.9cbb776701eddp-16, -0x1.9df266f42042fp-16, -0x1.9efff6b55fbedp-16, -0x1.9fe4dc4808a64p-16, -0x1.a0a1cc12925d6p-16, -0x1.a137794c1eb23p-16, -0x1.a1a695fff8d0ep-16, -0x1.a1efd3121911ep-16, -0x1.a213e043d90edp-16, -0x1.a2136c362fc59p-16, -0x1.a1ef246d197e1p-16, -0x1.a1a7b55152395p-16, -0x1.a13dca3290634p-16, -0x1.a0b20d48310afp-16, -0x1.a00527b2891cfp-16, -0x1.9f37c17bd49eep-16, -0x1.9e4a81980214ep-16, -0x1.9d3e0de487fe6p-16, -0x1.9c130b2895d5ap-16, -0x1.9aca1d13d5916p-16, -0x1.9963e63d7252ep-16, -0x1.97e1082385668p-16, -0x1.96422328ac03p-16, -0x1.9487d693aea7bp-16, -0x1.92b2c08cd7726p-16, -0x1.90c37e1c427f6p-16, -0x1.8ebaab27fbd8cp-16, -0x1.8c98e2714480fp-16, -0x1.8a5ebd9343614p-16, -0x1.880cd4ff98595p-16, -0x1.85a3bffc389b6p-16, -0x1.832414a0e3febp-16, -0x1.808e67d4aa2b4p-16, -0x1.7de34d4a79566p-16, -0x1.7b23577f99decp-16, -0x1.784f17b7e23dbp-16, -0x1.75671dfb63d55p-16, -0x1.726bf913caa4p-16, -0x1.6f5e3688f617bp-16, -0x1.6c3e629ec5902p-16, -0x1.690d08521a65fp-16, -0x1.65cab1565d16ep-16, -0x1.6277e6126332dp-16, -0x1.5f152d9e263fep-16, -0x1.5ba30dbfe294ap-16, -0x1.58220ae9a753p-16, -0x1.5492a836c81fep-16, -0x1.50f56769859e7p-16, -0x1.4d4ac8e897a72p-16, -0x1.49934bbcca3bfp-16, -0x1.45cf6d8f09734p-16, -0x1.41ffaaa5c6379p-16, -0x1.3e247de3539fcp-16, -0x1.3a3e60c3ca804p-16, -0x1.364dcb5b23c07p-16, -0x1.325334538690cp-16, -0x1.2e4f10eb4a402p-16, -0x1.2a41d4f386bd7p-16, -0x1.262bf2cea0c64p-16, -0x1.220ddb6ea8b05p-16, -0x1.1de7fe542bc51p-16, -0x1.19bac98d48a1p-16, -0x1.1586a9b42a171p-16, -0x1.114c09ee3e263p-16, -0x1.0d0b53eb4495p-16, -0x1.08c4efe456584p-16, -0x1.0479449baecf6p-16, -0x1.0028b75bc7588p-16, -0x1.f7a757ed9cce6p-17, -0x1.eef5098c6e383p-17, -0x1.e63b455576dbcp-17, -0x1.dd7aca18b853p-17, -0x1.d4b453b356b89p-17, -0x1.cbe89b10ee357p-17, -0x1.c318562c0ef18p-17, -0x1.ba44380ddb13bp-17, -0x1.b16cf0cebae72p-17, -0x1.a8932d987214dp-17, -0x1.9fb798a654f67p-17, -0x1.96dad94682c1dp-17, -0x1.8dfd93dc13434p-17, -0x1.852069e00ebdbp-17, -0x1.7c43f9e3ef3b5p-17, -0x1.7368df9387a92p-17, -0x1.6a8fb3b757094p-17, -0x1.61b90c37321d2p-17, -0x1.58e57c1d0e353p-17, -0x1.501593967391p-17, -0x1.4749dff94c1dep-17, -0x1.3e82ebc62c23ap-17, -0x1.35c13eab8e359p-17, -0x1.2d055d89659cp-17, -0x1.244fca74720c5p-17, -0x1.1ba104badd68p-17, -0x1.12f988e78ebc5p-17, -0x1.0a59d0c6401aap-17, -0x1.01c253683c306p-17, -0x1.f2670a51340cp-18, -0x1.e15baf5fc9791p-18, -0x1.d06373f2bce81p-18, -0x1.bf7f30b0c3354p-18, -0x1.aeafb8f81bb48p-18, -0x1.9df5dae9a057bp-18, -0x1.8d525f7324dcbp-18, -0x1.7cc60a5965dbap-18, -0x1.6c519a438393p-18, -0x1.5bf5c8c506de1p-18, -0x1.4bb34a68fa94bp-18, -0x1.3b8acebef385dp-18, -0x1.2b7d006439826p-18, -0x1.1b8a850f56568p-18, -0x1.0bb3fd9dd077ap-18, -0x1.f7f40c3dd863ep-19, -0x1.d8ba6bbf1bdb9p-19, -0x1.b9bc3eec95b9fp-19, -0x1.9afaa1a0c10e9p-19, -0x1.7c76a67c18beep-19, -0x1.5e3156fd5eec7p-19, -0x1.402bb39ba8e0ap-19, -0x1.2266b3e2651afp-19, -0x1.04e3468a0704bp-19, -0x1.cf44a31e2cf48p-20, -0x1.9549649e72823p-20, -0x1.5bd67b450aa97p-20, -0x1.22ed7ff0eeadfp-20, -0x1.d51ff5bd03f4ep-21, -0x1.657ec7c6b7b42p-21, -0x1.edf48a7233ba7p-22, -0x1.132a3ab2f283fp-22, -0x1.d51dfda167494p-25, 0x1.37340ac34f4d3p-23, 0x1.6f8a70d03f9c2p-22, 0x1.20948dada3f06p-21, 0x1.8838ecbea4318p-21, 0x1.eeb05d471f3ecp-21, 0x1.29fc81f872554p-20, 0x1.5c0890f8e455cp-20, 0x1.8d7b8a509bd42p-20, 0x1.be54aa86ccc83p-20, 0x1.ee933bc3666b2p-20, 0x1.0f1b4acea9723p-19, 0x1.269f0e6fabde3p-19, 0x1.3dd4a1a8ef7eep-19, 0x1.54bbc3c2fc63dp-19, 0x1.6b543a4e23037p-19, 0x1.819dd107f3caap-19, 0x1.979859c07e2eep-19, 0x1.ad43ac4035c59p-19, 0x1.c29fa62b51245p-19, 0x1.d7ac2ae6c45a1p-19, 0x1.ec69237e4b7e2p-19, 0x1.006b3f4596dbcp-18, 0x1.0a7a180bca05dp-18, 0x1.146118c2a59f3p-18, 0x1.1e2040ba01b53p-18, 0x1.27b791d30212ap-18, 0x1.31271072b40e3p-18, 0x1.3a6ec375d1304p-18, 0x1.438eb4242baa2p-18, 0x1.4c86ee23d070cp-18, 0x1.55577f6c6df05p-18, 0x1.5e00783a399f6p-18, 0x1.6681eb01ae51fp-18, 0x1.6edbec63a882dp-18, 0x1.770e9320c9924p-18, 0x1.7f19f80d16f77p-18, 0x1.86fe36043b258p-18, 0x1.8ebb69dd1dd23p-18, 0x1.9651b25ebabbbp-18, 0x1.9dc130335028p-18, 0x1.a50a05dcca71fp-18, 0x1.ac2c57a9d5078p-18, 0x1.b3284baa9a20fp-18, 0x1.b9fe09a4f662dp-18, 0x1.c0adbb08a954cp-18, 0x1.c7378ae49716p-18, 0x1.cd9ba5dcbb0b8p-18, 0x1.d3da3a1db7375p-18, 0x1.d9f37752fb5cp-18, 0x1.dfe78e9bfb735p-18, 0x1.e5b6b2815ea6fp-18, 0x1.eb6116eab9802p-18, 0x1.f0e6f1141153bp-18, 0x1.f6487783ae142p-18, 0x1.fb85e1ffa8fb8p-18, 0x1.004fb4c27cfd3p-17, 0x1.02caa41e82e7p-17, 0x1.0533dcb9f6e3bp-17, 0x1.078b7cc75c9e4p-17, 0x1.09d1a30114cep-17, 0x1.0c066ea4b2359p-17, 0x1.0e29ff6e4748cp-17, 0x1.103c7593d745ap-17, 0x1.123df1c119bd7p-17, 0x1.142e9512c455dp-17, 0x1.160e81123922p-17, 0x1.17ddd7b10dc9p-17, 0x1.199cbb4524cdcp-17, 0x1.1b4b4e8461acp-17, 0x1.1ce9b48085e2dp-17, 0x1.1e7810a30cfd3p-17, 0x1.1ff686a957b8ep-17, 0x1.21653aa08c17cp-17, 0x1.22c450e1ebe7bp-17, 0x1.2413ee0ec86dap-17, 0x1.2554370cfd882p-17, 0x1.26855103083acp-17, 0x1.27a76154b902fp-17, 0x1.28ba8d9f414eep-17, 0x1.29befbb5f1edap-17, 0x1.2ab4d19e97c97p-17, 0x1.2b9c358e25e0cp-17, 0x1.2c754de58ff5bp-17, 0x1.2d40412e48924p-17, 0x1.2dfd36173e4e9p-17, 0x1.2eac53719d473p-17, 0x1.2f4dc02d814d8p-17, 0x1.2fe1a35739814p-17, 0x1.306824143494cp-17, 0x1.30e1699ffb30cp-17, 0x1.314d9b4988986p-17, 0x1.31ace0703c426p-17, 0x1.31ff608122595p-17, 0x1.324542f452485p-17, 0x1.327eaf4a58603p-17, 0x1.32abcd098bbf1p-17, 0x1.32ccc3bb5c6f1p-17, 0x1.32e1bae9fe2f7p-17, 0x1.32eada1e15b1bp-17, 0x1.32e848dc1be73p-17, 0x1.32da2ea21b873p-17, 0x1.32c0b2e58d216p-17, 0x1.329bfd10f3a34p-17, 0x1.326c3481ac4f9p-17, 0x1.32318085c6a3dp-17, 0x1.31ec085a36992p-17, 0x1.319bf3288915bp-17, 0x1.31416804ddf99p-17, 0x1.30dc8dec0914bp-17, 0x1.306d8bc1db2d5p-17, 0x1.2ff4884f3998p-17, 0x1.2f71aa400d757p-17, 0x1.2ee51821cf4d7p-17, 0x1.2e4ef861ab7aep-17, 0x1.2daf714aeb54ep-17, 0x1.2d06a90553aecp-17, 0x1.2c54c5939433fp-17, 0x1.2b99ecd1b6307p-17, 0x1.2ad64473b7e1cp-17, 0x1.2a09f203e352bp-17, 0x1.29351ae1a0de7p-17, 0x1.2857e43ffc2adp-17, 0x1.2772732448d68p-17, 0x1.2684ec650f36fp-17, }}, 
      {{0x1.fc483263381afp-1, 0x1.fb69523791396p-1, 0x1.f9fab0042ad9ap-1, 0x1.f8030e3f6109ap-1, 0x1.f58b1c110b259p-1, 0x1.f29cedd83bd5ap-1, 0x1.ef437d35f1393p-1, 0x1.eb8a3776dab06p-1, 0x1.e77c9d4e5bf3cp-1, 0x1.e325f46f8d92fp-1, 0x1.de910a2be51b8p-1, 0x1.d9c805807d4b2p-1, 0x1.d4d446a5d1be1p-1, 0x1.cfbe52216c3dp-1, 0x1.ca8dc56aaafe9p-1, 0x1.c549535a30ff7p-1, 0x1.bff6c6cbbf072p-1, 0x1.ba9b0a0d7233dp-1, 0x1.b53a31e9b81a7p-1, 0x1.afd78b4885d8ap-1, 0x1.aa75aa8f4f449p-1, 0x1.a5167c0d99cb3p-1, 0x1.9fbb54e5a54b4p-1, 0x1.9a6503fddc1f6p-1, 0x1.9513e2a0c3ec2p-1, 0x1.8fc7e4867a191p-1, 0x1.8a80a714b58a4p-1, 0x1.853d7fb1404bdp-1, 0x1.7ffd890f3eaa4p-1, 0x1.7abfaf69abc1p-1, 0x1.7582bba59df0bp-1, 0x1.70455d5d5b572p-1, 0x1.6b0633da47188p-1, 0x1.65c3d60788232p-1, 0x1.607cd96a13e2ap-1, 0x1.5b2fd82cb739cp-1, 0x1.55db764ffce59p-1, 0x1.507e660e81aa1p-1, 0x1.4b176b867da2dp-1, 0x1.45a55fb92e5c5p-1, 0x1.402732f061d2ap-1, 0x1.3a9bee99cd92bp-1, 0x1.3502b6a70ebe2p-1, 0x1.2f5aca805ccecp-1, 0x1.29a385970587ep-1, 0x1.23dc5fa3d120fp-1, 0x1.1e04ec9c792b4p-1, 0x1.181cdc6a6438cp-1, 0x1.1223fa6bea598p-1, 0x1.0c1a2cc884067p-1, 0x1.05ff739f65a3dp-1, 0x1.ffa7d02e94eaep-2, 0x1.f32f76aac5706p-2, 0x1.e6966ac17411dp-2, 0x1.d9dd67ed78693p-2, 0x1.cd0552a9eaad3p-2, 0x1.c00f35f73753fp-2, 0x1.b2fc40d801b8ap-2, 0x1.a5cdc3cb23718p-2, 0x1.98852e476b5eap-2, 0x1.8b240c3cf7cd3p-2, 0x1.7dac039f838cap-2, 0x1.701ed1fc605ddp-2, 0x1.627e4a1e76a1p-2, 0x1.54cc51c21f884p-2, 0x1.470adf5a6b59p-2, 0x1.393bf7e8fe5d7p-2, 0x1.2b61ace97acfbp-2, 0x1.1d7e1a5122643p-2, 0x1.0f9364a335268p-2, 0x1.01a3b71a51d3ep-2, 0x1.e76283ce19d5cp-3, 0x1.cb7c710780658p-3, 0x1.af99a03afa5acp-3, 0x1.93be7c23fe899p-3, 0x1.77ef6d04a882bp-3, 0x1.5c30d5f3e5d0ep-3, 0x1.40871253bd216p-3, 0x1.24f6736edd1e1p-3, 0x1.09833e3c91cafp-3, 0x1.dc6352944ef38p-4, 0x1.a60bb59181439p-4, 0x1.7007cd7d30487p-4, 0x1.3a5f9ab526546p-4, 0x1.051af2d244f1bp-4, 0x1.a082fba52d527p-5, 0x1.37b5670318ep-5, 0x1.9fb76470c4901p-6, 0x1.a40ff978e7dc6p-7, 0x1.9dffabfabebccp-12, -0x1.85bc1e5c72889p-7, -0x1.89e08d9ec9159p-6, -0x1.273b64f67122dp-5, -0x1.8844813a66d2ap-5, -0x1.e800353b80f8bp-5, -0x1.2331cb4fe005cp-4, -0x1.51b21c2a5c32ep-4, -0x1.7f7c15c1b8898p-4, -0x1.ac8b001d171dbp-4, -0x1.d8da62e7e9a7cp-4, -0x1.023302c1244b2p-3, -0x1.1794f778de55fp-3, -0x1.2c9132da1e963p-3, -0x1.4125f7bb79eeep-3, -0x1.5551a85954faap-3, -0x1.6912c6179c3efp-3, -0x1.7c67f137df4bbp-3, -0x1.8f4fe8847dd11p-3, -0x1.a1c988f1ad765p-3, -0x1.b3d3cd350b016p-3, -0x1.c56dcd546417fp-3, -0x1.d696be2c66e17p-3, -0x1.e74df0efd9649p-3, -0x1.f792d29ff6f34p-3, -0x1.03b275bf46ca5p-2, -0x1.0b61ef3d35d6fp-2, -0x1.12d7b44b5553cp-2, -0x1.1a13b026b1a54p-2, -0x1.2115da77230d6p-2, -0x1.27de36fccceebp-2, -0x1.2e6cd53c0a327p-2, -0x1.34c1d02800703p-2, -0x1.3add4dcc0f7d9p-2, -0x1.40bf7ef45542ap-2, -0x1.46689ed56f28bp-2, -0x1.4bd8f2b3afaddp-2, -0x1.5110c989f1e51p-2, -0x1.56107bb037beap-2, -0x1.5ad86a8232c3cp-2, -0x1.5f690005ec0c4p-2, -0x1.63c2ae92a019ap-2, -0x1.67e5f077fa92bp-2, -0x1.6bd347a5cf57cp-2, -0x1.6f8b3d54691fp-2, -0x1.730e61ad94be1p-2, -0x1.765d4b7679d73p-2, -0x1.797897ba5adcep-2, -0x1.7c60e97659726p-2, -0x1.7f16e9464beb1p-2, -0x1.819b4512be4b4p-2, -0x1.83eeafc02bfcap-2, -0x1.8611e0df86009p-2, -0x1.880594601261fp-2, -0x1.89ca8a42b60cdp-2, -0x1.8b61864eb2487p-2, -0x1.8ccb4fc7e062ap-2, -0x1.8e08b1267b606p-2, -0x1.8f1a77d079e7fp-2, -0x1.900173d486762p-2, -0x1.90be77a6948e1p-2, -0x1.915257de21d6ep-2, -0x1.91bdeaf622b6ap-2, -0x1.9202090e9ed11p-2, -0x1.921f8bb0015e9p-2, -0x1.92174d9020702p-2, -0x1.91ea2a58fb90ep-2, -0x1.9198fe7131c4cp-2, -0x1.9124a6c62fc61p-2, -0x1.908e009818b3fp-2, -0x1.8fd5e947630bp-2, -0x1.8efd3e242cfaap-2, -0x1.8e04dc3f3edbap-2, -0x1.8ceda03cc422ep-2, -0x1.8bb86628abdc9p-2, -0x1.8a66094cb515p-2, -0x1.88f764081d82cp-2, -0x1.876d4fa8f353p-2, -0x1.85c8a446ff8a2p-2, -0x1.840a38a048f8p-2, -0x1.8232e1f726848p-2, -0x1.804373f1db1bdp-2, -0x1.7e3cc07bb8972p-2, -0x1.7c1f97a7bff5p-2, -0x1.79ecc794b929ap-2, -0x1.77a51c52bb0cdp-2, -0x1.75495fca1effep-2, -0x1.72da59a3d77fbp-2, -0x1.7058cf332147ep-2, -0x1.6dc583608a2fdp-2, -0x1.6b21369643a53p-2, -0x1.686ca6adbb7bfp-2, -0x1.65a88ede740a9p-2, -0x1.62d5a7ae0fb2ep-2, -0x1.5ff4a6e18cc32p-2, -0x1.5d063f6fa872cp-2, -0x1.5a0b21745dfc9p-2, -0x1.5703fa2582468p-2, -0x1.53f173c8692ddp-2, -0x1.50d435a8978b6p-2, -0x1.4dace40f6fe8fp-2, -0x1.4a7c203cdebcdp-2, -0x1.47428860efbdep-2, -0x1.4400b79651982p-2, -0x1.40b745ddb7babp-2, -0x1.3d66c81a195e8p-2, -0x1.3a0fd00dc0949p-2, -0x1.36b2ec5825656p-2, -0x1.3350a8748ca72p-2, -0x1.2fe98cb964d33p-2, -0x1.2c7e1e58579d6p-2, -0x1.290edf5f09449p-2, -0x1.259c4eb882887p-2, -0x1.2226e82f38f38p-2, -0x1.1eaf246fb3b6dp-2, -0x1.1b35790bc28a2p-2, -0x1.17ba587e429ap-2, -0x1.143e322f6bcd8p-2, -0x1.10c172799e77ap-2, -0x1.0d4482aea8a98p-2, -0x1.09c7c91d8638cp-2, -0x1.064ba91889e3cp-2, -0x1.02d082fbf4d9p-2, -0x1.fead6869db5ep-3, -0x1.f7bd2e91b03c1p-3, -0x1.f0d107ba0b21cp-3, -0x1.e9e99d7d6fe7cp-3, -0x1.e30793d6ea005p-3, -0x1.dc2b8933426d7p-3, -0x1.d5561682c5182p-3, -0x1.ce87cf4b7ea8bp-3, -0x1.c7c141bbf9ea5p-3, -0x1.c102f6be64fa1p-3, -0x1.ba4d720c20e47p-3, -0x1.b3a13241acbdbp-3, -0x1.acfeb0f2e44a5p-3, -0x1.a66662bf8eb3p-3, -0x1.9fd8b7683477cp-3, -0x1.995619e32ccdfp-3, -0x1.92def071ec154p-3, -0x1.8c739cb67ac2dp-3, -0x1.86147bc91847ep-3, -0x1.7fc1e64e03cadp-3, -0x1.797c308b5f436p-3, -0x1.7343aa7f2b388p-3, -0x1.6d189ff550908p-3, -0x1.66fb589dbcda8p-3, -0x1.60ec18227bf3bp-3, -0x1.5aeb1e3ddc3b7p-3, -0x1.54f8a6d08757bp-3, -0x1.4f14e9f79a184p-3, -0x1.49401c22a73d9p-3, -0x1.437a6e29b1743p-3, -0x1.3dc40d630bcd7p-3, -0x1.381d23b91d318p-3, -0x1.3285d7c01158ep-3, -0x1.2cfe4ccb5eab6p-3, -0x1.2786a3032e37bp-3, -0x1.221ef7799a532p-3, -0x1.1cc7643fc5a46p-3, -0x1.1780007abe488p-3, -0x1.1248e0783c069p-3, -0x1.0d2215c321d1fp-3, -0x1.080baf37ceeb3p-3, -0x1.0305b9183b3abp-3, -0x1.fc207a3fa3652p-4, -0x1.f256852e39e69p-4, -0x1.e8ad9cce5257ap-4, -0x1.df25c6595d1f7p-4, -0x1.d5bf0295f3a8dp-4, -0x1.cc794dfd256c9p-4, -0x1.c354a0df3bc2dp-4, -0x1.ba50ef87f9c46p-4, -0x1.b16e2a6244ep-4, -0x1.a8ac3e1b4d046p-4, -0x1.a00b13c521034p-4, -0x1.978a90f8ae4d9p-4, -0x1.8f2a97f72c8ecp-4, -0x1.86eb07cafd99fp-4, -0x1.7ecbbc67f097fp-4, -0x1.76cc8ecaf222fp-4, -0x1.6eed55192571cp-4, -0x1.672de2be64cf5p-4, -0x1.5f8e088b2c02bp-4, -0x1.580d94d1e94ffp-4, -0x1.50ac5383b6796p-4, -0x1.496a0e4c790e3p-4, -0x1.42468cae6bc77p-4, -0x1.3b41941d0df75p-4, -0x1.345ae8177dc96p-4, -0x1.2d924a42391b9p-4, -0x1.26e77a8048fbap-4, -0x1.205a370bd741dp-4, -0x1.19ea3c8e3065bp-4, -0x1.139746372dad4p-4, -0x1.0d610dd410296p-4, -0x1.07474be5c791bp-4, -0x1.0149b7b6a7a38p-4, -0x1.f6d00edf1fc68p-5, -0x1.eb43e05908545p-5, -0x1.dfee4c216f864p-5, -0x1.d4ceb8b415795p-5, -0x1.c9e48ae806edcp-5, -0x1.bf2f26146e1d3p-5, -0x1.b4adec3469683p-5, -0x1.aa603e09c1da5p-5, -0x1.a0457b3eacccbp-5, -0x1.965d02868112dp-5, -0x1.8ca631bd68252p-5, -0x1.832066071d392p-5, -0x1.79cafbecab81cp-5, -0x1.70a54f793840fp-5, -0x1.67aebc55df017p-5, -0x1.5ee69de49b0a6p-5, -0x1.564c4f5a4ab79p-5, -0x1.4ddf2bd7ce1fcp-5, -0x1.459e8e823b0c2p-5, -0x1.3d89d29a42c1fp-5, -0x1.35a05392ad783p-5, -0x1.2de16d2608538p-5, -0x1.264c7b6b82085p-5, -0x1.1ee0daeaf78dap-5, -0x1.179de8b034bd5p-5, -0x1.1083025d70fa7p-5, -0x1.098f863d104f3p-5, -0x1.02c2d35298797p-5, -0x1.f83892d5f8bfbp-6, -0x1.eb36925842e27p-6, -0x1.de7e684786549p-6, -0x1.d20ed9ab4385p-6, -0x1.c5e6ad91fb84fp-6, -0x1.ba04ad2b005bdp-6, -0x1.ae67a3dee14a9p-6, -0x1.a30e5f66b523dp-6, -0x1.97f7afe210c21p-6, -0x1.8d2267ebf1639p-6, -0x1.828d5cae6bc52p-6, -0x1.783765f543e02p-6, -0x1.6e1f5e3f72388p-6, -0x1.644422cf9280fp-6, -0x1.5aa493bb50b3ap-6, -0x1.513f93f9d3e8cp-6, -0x1.481409712855bp-6, -0x1.3f20dd02cba22p-6, -0x1.3664fa972bb9fp-6, -0x1.2ddf5128641c5p-6, -0x1.258ed2cc07afcp-6, -0x1.1d7274bc155fep-6, -0x1.15892f5f2378fp-6, -0x1.0dd1fe4fbef2p-6, -0x1.064be062fbd4fp-6, -0x1.fdebaf5ca46b1p-7, -0x1.ef9dd3198f6f8p-7, -0x1.e1ac3d46b796ep-7, -0x1.d41505c98f01dp-7, -0x1.c6d64b294abcp-7, -0x1.b9ee3293ddd13p-7, -0x1.ad5ae7e1b380cp-7, -0x1.a11a9d9867e3ep-7, -0x1.952b8cec20bc1p-7, -0x1.898bf5c022a23p-7, -0x1.7e3a1ea60d65cp-7, -0x1.733454dc54cd6p-7, -0x1.6878ec4b9602fp-7, -0x1.5e063f8317142p-7, -0x1.53daafb46c4e4p-7, -0x1.49f4a4ae2e599p-7, -0x1.40528cd5e53e4p-7, -0x1.36f2dd2130c65p-7, -0x1.2dd4110e3a9dfp-7, -0x1.24f4aa9b59b52p-7, -0x1.1c53323e1baa7p-7, -0x1.13ee36d9a91fcp-7, -0x1.0bc44db46e2c8p-7, -0x1.03d4126d5b829p-7, -0x1.f8384de0e91e6p-8, -0x1.e93666d5c0b3p-8, -0x1.da9fcc7d02f9ap-8, -0x1.cc71e7ea08fd4p-8, -0x1.beaa2e650f171p-8, -0x1.b146214fbe87dp-8, -0x1.a4434e08b89d9p-8, -0x1.979f4dce8558cp-8, -0x1.8b57c5a1c9fc2p-8, -0x1.7f6a6626e1fbfp-8, -0x1.73d4eb86aeacbp-8, -0x1.68951d4f2cf5p-8, -0x1.5da8ce531786bp-8, -0x1.530ddc89608ecp-8, -0x1.48c230ec3d577p-8, -0x1.3ec3bf5770d24p-8, -0x1.351086669c9bcp-8, -0x1.2ba68f5305423p-8, -0x1.2283edd11c00bp-8, -0x1.19a6bfedc33b6p-8, -0x1.110d2deb51f73p-8, -0x1.08b56a1e6f10fp-8, -0x1.009db0ca9f544p-8, -0x1.f1888ffdf837ap-9, -0x1.e24efee4c3f95p-9, -0x1.d38b60bfc840dp-9, -0x1.c53a7ac60f36cp-9, -0x1.b75924a7d85efp-9, -0x1.a9e448472bfa9p-9, -0x1.9cd8e1703c51p-9, -0x1.9033fd91ced9ap-9, -0x1.83f2bb75ded1bp-9, -0x1.78124afa8b419p-9, -0x1.6c8feccad0174p-9, -0x1.6168f217e8b34p-9, -0x1.569abc528b9ddp-9, -0x1.4c22bce4e3f2fp-9, -0x1.41fe74ec58b41p-9, -0x1.382b74f441aa2p-9, -0x1.2ea75cb0a1595p-9, -0x1.256fdab949eap-9, -0x1.1c82ac45b7e75p-9, -0x1.13dd9ce8f96p-9, -0x1.0b7e864ea7bfcp-9, -0x1.03634ff7ed7acp-9, -0x1.f713ddf224894p-10, -0x1.e7e0cb7017da7p-10, -0x1.d929875645e1dp-10, -0x1.caea4a30fcd0ep-10, -0x1.bd1f65ac45a09p-10, -0x1.afc544158595ep-10, -0x1.a2d867ddedd0cp-10, -0x1.96556b1e802d9p-10, -0x1.8a38ff1dacda9p-10, -0x1.7e7febd5ad13ep-10, -0x1.73270f7cb6c04p-10, -0x1.682b5e0ed0a33p-10, -0x1.5d89e0d84e512p-10, -0x1.533fb60272b4ap-10, -0x1.494a10214b935p-10, -0x1.3fa635c2f55c9p-10, -0x1.365181005b866p-10, -0x1.2d495f0fa160bp-10, -0x1.248b4fd7f452dp-10, -0x1.1c14e586a01acp-10, -0x1.13e3c4264cfep-10, -0x1.0bf5a1370d249p-10, -0x1.0448434852d16p-10, -0x1.f9b30328f7a34p-11, -0x1.eb4e873b39929p-11, -0x1.dd5f01984761cp-11, -0x1.cfe0801d65f8fp-11, -0x1.c2cf2ef7cd80ep-11, -0x1.b62757ea8f624p-11, -0x1.a9e56197c5fd6p-11, -0x1.9e05cecd1923fp-11, -0x1.92853dd2cb8a8p-11, -0x1.876067be2facap-11, -0x1.7c941fc700db5p-11, -0x1.721d529fb5a11p-11, -0x1.67f905d0c64d6p-11, -0x1.5e245716d1967p-11, -0x1.549c7bc4201e6p-11, -0x1.4b5ec0248915bp-11, -0x1.426886e4a4a3cp-11, -0x1.39b7487b80cp-11, -0x1.31489297dba9ap-11, -0x1.291a078f19c0bp-11, -0x1.21295dd02f1afp-11, -0x1.19745f58dae55p-11, -0x1.11f8e92d27f6p-11, -0x1.0ab4ead2ba98fp-11, -0x1.03a665cdacb3dp-11, -0x1.f996da41e1538p-12, -0x1.ec4449a2349edp-12, -0x1.df5182d2ad89cp-12, -0x1.d2bb0f07595d2p-12, -0x1.c67d96a6e42a7p-12, -0x1.ba95e0642ee62p-12, -0x1.af00d05d9512ap-12, -0x1.a3bb67412221p-12, -0x1.98c2c17495659p-12, -0x1.8e1416438ab5p-12, -0x1.83acb711b84a9p-12, -0x1.798a0e91efcdbp-12, -0x1.6fa9a001342ep-12, -0x1.6609066788845p-12, -0x1.5ca5f3dbcbe04p-12, -0x1.537e30cd6753cp-12, -0x1.4a8f9b5103837p-12, -0x1.41d8267219a8dp-12, -0x1.3955d9897bf23p-12, -0x1.3106cf963790ap-12, -0x1.28e9369c415cp-12, -0x1.20fb4f06216d9p-12, -0x1.193b6b0aa7672p-12, -0x1.11a7ee171296dp-12, -0x1.0a3f4c3c84478p-12, -0x1.030009a134ef3p-12, -0x1.f7d173eb05821p-13, -0x1.e9efffd85149dp-13, -0x1.dc59196de3333p-13, -0x1.cf0a3f0be3d02p-13, -0x1.c2010a14bd759p-13, -0x1.b53b2dfa80e41p-13, -0x1.a8b67751a789ap-13, -0x1.9c70caeb56193p-13, -0x1.906824f428294p-13, -0x1.849a981bd6087p-13, -0x1.79064cbfe698ap-13, -0x1.6da9801f557e7p-13, -0x1.62828391f2478p-13, -0x1.578fbbc61dddbp-13, -0x1.4ccfa003d476ep-13, -0x1.4240b975d4f82p-13, -0x1.37e1a277fd692p-13, -0x1.2db105ea52a9bp-13, -0x1.23ad9e892232p-13, -0x1.19d6364bcdc9cp-13, -0x1.1029a5c626123p-13, -0x1.06a6d38fe2831p-13, -0x1.fa996761b65cep-14, -0x1.e8348e230e2d4p-14, -0x1.d61d35df224e8p-14, -0x1.c45190afe86c7p-14, -0x1.b2cfe7482b103p-14, -0x1.a19697f83a719p-14, -0x1.90a415b8c981ap-14, -0x1.7ff6e73fc7619p-14, -0x1.6f8da61b4e8e5p-14, -0x1.5f66fdd54758cp-14, -0x1.4f81ab1d8b9e4p-14, -0x1.3fdc7afc48b63p-14, -0x1.30764a0b0bb22p-14, -0x1.214e03b354784p-14, -0x1.1262a1771f57ep-14, -0x1.03b32a3bc455fp-14, -0x1.ea7d633b49f38p-15, -0x1.ce08ae968383ep-15, -0x1.b2068cc5c8bb2p-15, -0x1.967569b27aa7cp-15, -0x1.7b53c5c80c3a6p-15, -0x1.60a034d4668b6p-15, -0x1.46595cf5dcdc2p-15, -0x1.2c7df5914ddebp-15, -0x1.130cc651fa9d4p-15, -0x1.f4094c6a15635p-16, -0x1.c2c8f53d1c888p-16, -0x1.92566cecced7bp-16, -0x1.62afb2a10cdc4p-16, -0x1.33d2dd36c64ffp-16, -0x1.05be19b28a392p-16, -0x1.b0df53825b09dp-17, -0x1.57cbc492e6b1ep-17, -0x1.003e5422c7544p-17, -0x1.5467e19fb4d37p-18, -0x1.56a69f600a124p-19, -0x1.4e515412bb81ap-24, 0x1.3bd76d872ca45p-19, 0x1.3e20ee532bb5dp-18, 0x1.db6b7fcfa3b04p-18, 0x1.3ae83123b9a4p-17, 0x1.86aa34959e5bdp-17, 0x1.d0fe23eff1efap-17, 0x1.0cf32547f67e6p-16, 0x1.30b2738e6310ep-16, 0x1.53be1689cc26p-16, 0x1.76172319ad79ep-16, 0x1.97bea9f115205p-16, 0x1.b8b5b8390d78fp-16, 0x1.d8fd582fb875cp-16, 0x1.f89691bc5b046p-16, 0x1.0bc1357bc2047p-15, 0x1.1ae0f458dd3ddp-15, 0x1.29ab07749b07bp-15, 0x1.381ff0a008168p-15, 0x1.464031b338c2p-15, 0x1.540c4cbfb794ap-15, 0x1.6184c43e75744p-15, 0x1.6eaa1b3bc55a5p-15, 0x1.7b7cd57ec4641p-15, 0x1.87fd77ae5745bp-15, 0x1.942c877417ea5p-15, 0x1.a00a8b9b06411p-15, 0x1.ab980c2bdc79ap-15, 0x1.b6d59286f7eacp-15, 0x1.c1c3a97b8536fp-15, 0x1.cc62dd5d3ac85p-15, 0x1.d6b3bc16b6931p-15, 0x1.e0b6d53a1131ep-15, 0x1.ea6cba0f08eaap-15, 0x1.f3d5fd9f699eep-15, 0x1.fcf334c1ddf81p-15, 0x1.02e27b11663fdp-14, 0x1.0725ed258b6bap-14, 0x1.0b443dd2b14d5p-14, 0x1.0f3dbb40cc864p-14, 0x1.1312b48c0544p-14, 0x1.16c379c458507p-14, 0x1.1a505bee956f3p-14, 0x1.1db9ad027d1e7p-14, 0x1.20ffbfe9880a5p-14, 0x1.2422e87cf6c1p-14, 0x1.27237b82e985fp-14, 0x1.2a01ceabff6ebp-14, 0x1.2cbe388ef80dcp-14, 0x1.2f5910a56b9d8p-14, 0x1.31d2af46de5a9p-14, 0x1.342b6da3f4d56p-14, 0x1.3663a5c16d89ap-14, 0x1.387bb272d4626p-14, 0x1.3a73ef544563cp-14, 0x1.3c4cb8c48e449p-14, 0x1.3e066bde95f09p-14, 0x1.3fa16672e503p-14, 0x1.411e070088b2fp-14, 0x1.427cacae6efcbp-14, 0x1.43bdb743e7046p-14, 0x1.44e187211e972p-14, 0x1.45e87d378a3bcp-14, 0x1.46d2fb022ed23p-14, 0x1.47a1627dda154p-14, 0x1.4854162150201p-14, 0x1.48eb78d4e95f8p-14, 0x1.4967edeb02066p-14, 0x1.49c9d91761696p-14, 0x1.4a119e66e855ep-14, 0x1.4a3fa237ba16p-14, 0x1.4a544930dabe7p-14, 0x1.4a4ff839d5f47p-14, 0x1.4a3314727af4ap-14, 0x1.49fe032a6dbb2p-14, 0x1.49b129d93f746p-14, 0x1.494cee15d3544p-14, 0x1.48d1b58eb52dap-14, 0x1.483fe6019dfd9p-14, 0x1.4797e5335f259p-14, 0x1.46da18e80e515p-14, 0x1.4606e6dae5b38p-14, 0x1.451eb4b67a309p-14, 0x1.4421e80cf3566p-14, 0x1.4310e6507791ep-14, 0x1.41ec14cb60baap-14, 0x1.40b3d8990d58p-14, 0x1.3f68969e046bfp-14, 0x1.3e0ab3813100ep-14, 0x1.3c9a93a443befp-14, 0x1.3b189b1d2e6dp-14, 0x1.39852daeaa45dp-14, 0x1.37e0aec1be485p-14, 0x1.362b815f1c47ap-14, 0x1.346608282e898p-14, 0x1.3290a55142334p-14, 0x1.30abba9adf4e8p-14, 0x1.2eb7a94bd830dp-14, 0x1.2cb4d22b49932p-14, 0x1.2aa3957ab2fb8p-14, 0x1.288452f000eafp-14, 0x1.265769b096216p-14, 0x1.241d384b4c3f7p-14, 0x1.21d61cb386968p-14, 0x1.1f82743c13f8cp-14, 0x1.1d229b91eab46p-14, 0x1.1ab6eeb79fe94p-14, 0x1.183fc90096fcdp-14, 0x1.15bd850ca2022p-14, 0x1.13307cc363fafp-14, 0x1.1099095055c52p-14, 0x1.0df7831e748efp-14, 0x1.0b4c41d47f834p-14, 0x1.08979c511f4c7p-14, 0x1.05d9e8a71f3fap-14, 0x1.03137c19fcff5p-14, 0x1.0044ab1af0a28p-14, 0x1.fadb9289ff017p-15, 0x1.f51e52b534d0bp-15, 0x1.ef523a849b5d5p-15, 0x1.e977ec079309bp-15, 0x1.e390078bd4ef3p-15, 0x1.dd9b2b96c26b1p-15, 0x1.d799f4e2202b9p-15, 0x1.d18cfe5630386p-15, 0x1.cb74e106caacbp-15, 0x1.c552342e7cf4ap-15, 0x1.bf258d2ae6198p-15, 0x1.b8ef7f79dde46p-15, 0x1.b2b09cb5a5358p-15, 0x1.ac69749260618p-15, 0x1.a61a94db0170ep-15, 0x1.9fc4896ebf9b7p-15, 0x1.9967dc3f967eap-15, 0x1.9305154ef379dp-15, 0x1.8c9cbaad25345p-15, 0x1.862f50776fd2bp-15, 0x1.7fbd58d6165c8p-15, 0x1.794753fc6e8d4p-15, 0x1.72cdc0268fcbbp-15, 0x1.6c511999ba90bp-15, 0x1.65d1daa380979p-15, 0x1.5f507b98c060dp-15, 0x1.58cd72d70d1fep-15, 0x1.524934c2f4a81p-15, 0x1.4bc433c9b3035p-15, 0x1.453ee060f8146p-15, 0x1.3eb9a9073c419p-15, 0x1.3834fa4533314p-15, 0x1.31b13eae9cc1bp-15, 0x1.2b2edee28ff95p-15, 0x1.24ae418e33d3p-15, 0x1.1e2fcb6d15b6p-15, 0x1.17b3df4aeb75dp-15, 0x1.113ade0552143p-15, 0x1.0ac5268e60b89p-15, 0x1.045315ed36a3fp-15, 0x1.fbca0e8316e1ep-16, 0x1.eef6a78adaf26p-16, 0x1.e22ca59e5353bp-16, 0x1.d56cb3a932387p-16, 0x1.c8b778db3fcp-16, 0x1.bc0d98ac3979ep-16, 0x1.af6fb2e45c9ffp-16, 0x1.a2de639ff3745p-16, 0x1.965a43568ef95p-16, 0x1.89e3e6e101724p-16, 0x1.7d7bdf80df718p-16, 0x1.7122bae55fe27p-16, 0x1.64d903340b034p-16, 0x1.589f3f0eced69p-16, 0x1.4c75f19c30bc7p-16, 0x1.405d9a8d1cb6dp-16, 0x1.3456b625b35ffp-16, 0x1.2861bd45a8e88p-16, 0x1.1c7f256dcd05ep-16, 0x1.10af60c9a41c8p-16, 0x1.04f2de3836a6cp-16, 0x1.f29412a3cc7afp-17, 0x1.db6a94e5ab203p-17, 0x1.c46a0d84488c3p-17, 0x1.ad934077529c8p-17, 0x1.96e6eb6d29185p-17, 0x1.8065c5e0c0e31p-17, 0x1.6a10812873a81p-17, 0x1.53e7c88819282p-17, 0x1.3dec41429d3d6p-17, 0x1.281e8aae9cec2p-17, 0x1.127f3e449bda4p-17, 0x1.fa1ddf67c192fp-18, 0x1.cf9c59e907049p-18, 0x1.a57afcaf3e9eep-18, 0x1.7bbacd3ab9eap-18, 0x1.525cc60a57506p-18, 0x1.2961d6c19e23fp-18, 0x1.00cae44d015dcp-18, 0x1.b13192184fa3fp-19, 0x1.6198a9e74fb6fp-19, 0x1.12cc9b6165922p-19, 0x1.899dbb47dd7fep-20, 0x1.de834f6e9b4a3p-21, 0x1.5a1e6c84d0384p-22, -0x1.0237c8ca744fap-22, -0x1.abf95c22c833cp-21, -0x1.69c26bd80407p-20, -0x1.fbdd23d254864p-20, -0x1.4625795855276p-19, -0x1.8d850c7326ba7p-19, -0x1.d40c7d0b6dcc9p-19, -0x1.0cdd8723075b3p-18, -0x1.2f480a238ff09p-18, -0x1.514579f4ec5cdp-18, -0x1.72d5913f329e6p-18, -0x1.93f812bd09cafp-18, -0x1.b4acc91782b1dp-18, -0x1.d4f386bff29d3p-18, -0x1.f4cc25cd2be29p-18, -0x1.0a1b43ebe9f32p-17, -0x1.19994aeb0e29ap-17, -0x1.28e01ffbeb201p-17, -0x1.37efbec05c14bp-17, -0x1.46c82653d36a6p-17, -0x1.55695939126p-17, -0x1.63d35d4a2999p-17, -0x1.72063ba486d3bp-17, -0x1.80020099c3d1p-17, -0x1.8dc6bb9da5d13p-17, -0x1.9b547f35beb4cp-17, -0x1.a8ab60e79bbd9p-17, -0x1.b5cb7928907b9p-17, -0x1.c2b4e34d88edcp-17, -0x1.cf67bd7ada326p-17, -0x1.dbe42892644fcp-17, -0x1.e82a4824b5902p-17, -0x1.f43a426091b21p-17, -0x1.000a200183e2fp-16, -0x1.05dc3624254c3p-16, -0x1.0b937a6dbaee2p-16, -0x1.113004e3bca89p-16, -0x1.16b1eeb3d82a6p-16, -0x1.1c19522c6a1fdp-16, -0x1.21664ab5229c2p-16, -0x1.2698f4c731e6ap-16, -0x1.2bb16de691e78p-16, -0x1.30afd49aa07b8p-16, -0x1.359448668c62p-16, -0x1.3a5ee9c2b72ap-16, -0x1.3f0fda156c58bp-16, -0x1.43a73bac9e20fp-16, -0x1.482531b61e7p-16, -0x1.4c89e0394b12dp-16, -0x1.50d56c10c10fcp-16, -0x1.5507fae3b3c47p-16, -0x1.5921b31ed8a68p-16, -0x1.5d22bbeeace44p-16, -0x1.610b3d388a378p-16, -0x1.64db5f950fd56p-16, -0x1.68934c498684dp-16, -0x1.6c332d42263f3p-16, -0x1.6fbb2d0beaafep-16, -0x1.732b76ce97423p-16, -0x1.76843646da2cp-16, -0x1.79c597c11d207p-16, -0x1.7cefc81342c09p-16, -0x1.8002f4977ae88p-16, -0x1.82ff4b26bda2dp-16, -0x1.85e4fa1305fa6p-16, -0x1.88b4302276435p-16, -0x1.8b6d1c8a1106ep-16, -0x1.8e0feee88058p-16, -0x1.909cd740ffbfp-16, -0x1.931405f64ca0cp-16, -0x1.9575abc5c6edep-16, -0x1.97c1f9c2e901dp-16, -0x1.99f921529fce2p-16, -0x1.9c1b5425f4a3bp-16, -0x1.9e28c435eeff5p-16, -0x1.a021a3bf2d8e7p-16, -0x1.a206253d5e0e7p-16, -0x1.a3d67b66f4959p-16, -0x1.a592d928d2483p-16, -0x1.a73b71a22c30ep-16, -0x1.a8d0782072cf9p-16, -0x1.aa52201b285edp-16, -0x1.abc09d3011e2fp-16, -0x1.ad1c231f5d6aep-16, -0x1.ae64e5c7d6015p-16, -0x1.af9b1922f16d8p-16, -0x1.b0bef14167953p-16, -0x1.b1d0a247bf0f8p-16, -0x1.b2d0606a5803bp-16, -0x1.b3be5fea52161p-16, -0x1.b49ad511fce0bp-16, -0x1.b565f43200e3ap-16, -0x1.b61ff19d8454cp-16, -0x1.b6c901a76d483p-16, -0x1.b761589f5b121p-16, -0x1.b7e92ace5a7b1p-16, -0x1.b860ac73ee439p-16, -0x1.b8c811c34fdbbp-16, -0x1.b91f8ee0d1406p-16, -0x1.b96757debf4e3p-16, -0x1.b99fa0bb06a1ap-16, -0x1.b9c89d5c2e6ap-16, -0x1.b9e2818f1b8d9p-16, -0x1.b9ed810458962p-16, -0x1.b9e9cf4de5153p-16, -0x1.b9d79fdcbf232p-16, -0x1.b9b725fe453c5p-16, }}, 
      {{0x1.fc7a0a5161afbp-1, 0x1.fc2f800532c5fp-1, 0x1.fbb43ed18d956p-1, 0x1.fb09ac0487799p-1, 0x1.fa319cb455cd6p-1, 0x1.f92e3f6363793p-1, 0x1.f80205e0c147ap-1, 0x1.f6af909b5c6e3p-1, 0x1.f5399c117f77dp-1, 0x1.f3a2f0a8a639ap-1, 0x1.f1ee54fd64ba3p-1, 0x1.f01e8295bf779p-1, 0x1.ee361cca8424p-1, 0x1.ec37a9b0d97c6p-1, 0x1.ea258cc8b9eabp-1, 0x1.e8020334e271p-1, 0x1.e5cf21434997ap-1, 0x1.e38ed111373fp-1, 0x1.e142d21aeb289p-1, 0x1.deecb98bd5a49p-1, 0x1.dc8df3297705ep-1, 0x1.da27c2b7cf716p-1, 0x1.d7bb45bacb1bp-1, 0x1.d549757c3ab68p-1, 0x1.d2d329419b745p-1, 0x1.d05918a04d406p-1, 0x1.cddbdde1be91ep-1, 0x1.cb5bf86bb081p-1, 0x1.c8d9cf22f635ep-1, 0x1.c655b2c100a9dp-1, 0x1.c3cfe0163c6d8p-1, 0x1.c1488234afcbdp-1, 0x1.bebfb47f832f2p-1, 0x1.bc35849d20822p-1, 0x1.b9a9f44a74285p-1, 0x1.b71cfb0e8b2dcp-1, 0x1.b48e87ce61d23p-1, 0x1.b1fe824129af6p-1, 0x1.af6ccc45b1767p-1, 0x1.acd94319dbc2dp-1, 0x1.aa43c075527f3p-1, 0x1.a7ac1b88c4ac7p-1, 0x1.a51229e31ee0bp-1, 0x1.a275c03e3d57bp-1, 0x1.9fd6b334a053cp-1, 0x1.9d34d7e1abfebp-1, 0x1.9a90046dfd6a9p-1, 0x1.97e810894eb58p-1, 0x1.953cd5d362c9bp-1, 0x1.928e30355777dp-1, 0x1.8fdbfe2cb72b4p-1, 0x1.8d2621098c98bp-1, 0x1.8a6c7d20a7a53p-1, 0x1.87aef9f332b85p-1, 0x1.84ed824ca7d3bp-1, 0x1.822804581bbcp-1, 0x1.7f5e71adc8125p-1, 0x1.7c90bf59abe05p-1, 0x1.79bee5dc08477p-1, 0x1.76e8e12470b98p-1, 0x1.740eb08813375p-1, 0x1.713056b3d40e7p-1, 0x1.6e4dd99ac9991p-1, 0x1.6b67426194086p-1, 0x1.687c9d4708a01p-1, 0x1.658df98a97f69p-1, 0x1.629b6950cce79p-1, 0x1.5fa501863d487p-1, 0x1.5caad9c1383bep-1, 0x1.59ad0c227618cp-1, 0x1.56abb5350c845p-1, 0x1.53a6f3cddadf2p-1, 0x1.509ee8eaa2e93p-1, 0x1.4d93b790fb229p-1, 0x1.4a8584ad3f32p-1, 0x1.477476f1a6fedp-1, 0x1.4460b6b59c069p-1, 0x1.414a6dd56fe5p-1, 0x1.3e31c792864f1p-1, 0x1.3b16f0740ab12p-1, 0x1.37fa16283f833p-1, 0x1.34db67667d18dp-1, 0x1.31bb13d1e6bd9p-1, 0x1.2e994bdce4d99p-1, 0x1.2b7640ad6c093p-1, 0x1.285224021a9c3p-1, 0x1.252d28182f90ep-1, 0x1.22077f926284cp-1, 0x1.1ee15d609fe76p-1, 0x1.1bbaf4a8a8ff3p-1, 0x1.189478af9d774p-1, 0x1.156e1cc46bd2ep-1, 0x1.1248142b29e08p-1, 0x1.0f22920954bbp-1, 0x1.0bfdc952f546p-1, 0x1.08d9ecb8a87bp-1, 0x1.05b72e9688ad2p-1, 0x1.0295c0e3f3ccbp-1, 0x1.feebaa4858f1cp-2, 0x1.f8af38afa4424p-2, 0x1.f2768dde55711p-2, 0x1.ec42097a778dcp-2, 0x1.e61209d758eecp-2, 0x1.dfe6ebdedab15p-2, 0x1.d9c10afc402dp-2, 0x1.d3a0c108758d6p-2, 0x1.cd866637c457bp-2, 0x1.c7725108e7c7dp-2, 0x1.c164d63579fbfp-2, 0x1.bb5e48a3b0b2dp-2, 0x1.b55ef9595bf9p-2, 0x1.af67377019955p-2, 0x1.a977500abcc1fp-2, 0x1.a38f8e4bd5f8cp-2, 0x1.9db03b4d51951p-2, 0x1.97d99e1929c73p-2, 0x1.920bfba319d0cp-2, 0x1.8c4796c34b108p-2, 0x1.868cb031f4d37p-2, 0x1.80db8683df16dp-2, 0x1.7b345627c5964p-2, 0x1.7597596488af1p-2, 0x1.7004c8582cf7dp-2, 0x1.6a7cd8f79785fp-2, 0x1.64ffbf0f0208fp-2, 0x1.5f8dac431fb3cp-2, 0x1.5a26d012e46f4p-2, 0x1.54cb57d9e9802p-2, 0x1.4f7b6ed36ac94p-2, 0x1.4a373e1dccd63p-2, 0x1.44feecbea9796p-2, 0x1.3fd29fa759c32p-2, 0x1.3ab279b9f7284p-2, 0x1.359e9bcec8691p-2, 0x1.309724ba1a397p-2, 0x1.2b9c315275254p-2, 0x1.26addc773193dp-2, 0x1.21cc3f175a844p-2, 0x1.1cf77038e67e1p-2, 0x1.182f85002ef51p-2, 0x1.137490b7b1201p-2, 0x1.0ec6a4d8094e1p-2, 0x1.0a25d11022915p-2, 0x1.0592234d9f27p-2, 0x1.010ba7c56721ep-2, 0x1.f924d1f8c7e2p-3, 0x1.f04cdfa0bc6a2p-3, 0x1.e78f8701fae5p-3, 0x1.deecd371baa17p-3, 0x1.d664cd2d8345ep-3, 0x1.cdf7796db106cp-3, 0x1.c5a4da781c0cfp-3, 0x1.bd6cefb2d79b9p-3, 0x1.b54fb5b701ecbp-3, 0x1.ad4d2663a3015p-3, 0x1.a56538f08b724p-3, 0x1.9d97e2013502ap-3, 0x1.95e513b79ecd2p-3, 0x1.8e4cbdc717d9p-3, 0x1.86cecd86ff216p-3, 0x1.7f6b2e056e802p-3, 0x1.7821c819c34a9p-3, 0x1.70f282771637fp-3, 0x1.69dd41be84a95p-3, 0x1.62e1e8915c094p-3, 0x1.5c0057a31bd4p-3, 0x1.55386dcb465e1p-3, 0x1.4e8a081703dc9p-3, 0x1.47f501da98922p-3, 0x1.417934c29d693p-3, 0x1.3b1678e5066a5p-3, 0x1.34cca4d1ed632p-3, 0x1.2e9b8da4219dbp-3, 0x1.2883071178433p-3, 0x1.2282e37ae0eep-3, 0x1.1c9af3fc313a5p-3, 0x1.16cb087bb5673p-3, 0x1.1112efb979b89p-3, 0x1.0b72775e4bb82p-3, 0x1.05e96c0a7d026p-3, 0x1.007799645608bp-3, 0x1.f639944c86ab9p-4, 0x1.ebb190597ff12p-4, 0x1.e156b907de057p-4, 0x1.d7289ee9db8e8p-4, 0x1.cd26d125bbf16p-4, 0x1.c350dd8f4a05ap-4, 0x1.b9a650c0b4ef6p-4, 0x1.b026b632f397p-4, 0x1.a6d19855712b6p-4, 0x1.9da680a542031p-4, 0x1.94a4f7c3ad7f5p-4, 0x1.8bcc858c3619fp-4, 0x1.831cb12a00212p-4, 0x1.7a95012cacc56p-4, 0x1.7234fb9ca1065p-4, 0x1.69fc260ebd3f5p-4, 0x1.61ea05b781cfep-4, 0x1.59fe1f7da97c6p-4, 0x1.5237f80c32534p-4, 0x1.4a9713e3dd2c5p-4, 0x1.431af76c214ccp-4, 0x1.3bc3270398c29p-4, 0x1.348f270fe24c4p-4, 0x1.2d7e7c0d01125p-4, 0x1.2690aa9c36ad2p-4, 0x1.1fc5379259ee1p-4, 0x1.191ba805b067p-4, 0x1.1293815b4595fp-4, 0x1.0c2c4953c9085p-4, 0x1.05e58617f0776p-4, 0x1.ff7d7c88bf9cp-5, 0x1.f36ef1ea3e5e4p-5, 0x1.e79e7ba12d6fbp-5, 0x1.dc0b2a243a051p-5, 0x1.d0b40f2822681p-5, 0x1.c5983db318046p-5, 0x1.bab6ca2f3bb42p-5, 0x1.b00eca7c5612p-5, 0x1.a59f5600b2224p-5, 0x1.9b6785b938944p-5, 0x1.91667448ba054p-5, 0x1.879b3e067fd7dp-5, 0x1.7e05010c1a788p-5, 0x1.74a2dd4275dd5p-5, 0x1.6b73f46e39dfep-5, 0x1.62776a3b78353p-5, 0x1.59ac6448b2eb5p-5, 0x1.51120a312e0dcp-5, 0x1.48a78596accfap-5, 0x1.406c022a81406p-5, 0x1.385eadb607dfdp-5, 0x1.307eb82288bd8p-5, 0x1.28cb538084766p-5, 0x1.2143b40e725a8p-5, 0x1.19e7103ef33dap-5, 0x1.12b4a0be7b69cp-5, 0x1.0baba07877ecdp-5, 0x1.04cb4c9bfa833p-5, 0x1.fc25c93fbd823p-6, 0x1.ef03548d0181dp-6, 0x1.e22dc341edd45p-6, 0x1.d5a3a223c9f72p-6, 0x1.c963829fb1055p-6, 0x1.bd6bface7a5c4p-6, 0x1.b1bba577e38d8p-6, 0x1.a6512214e464ap-6, 0x1.9b2b14d14b43bp-6, 0x1.9048268ca55a9p-6, 0x1.85a704da6a484p-6, 0x1.7b4662018e53fp-6, 0x1.7124f4fb553fbp-6, 0x1.67417971a88d4p-6, 0x1.5d9aafbcb6197p-6, 0x1.542f5ce0100d4p-6, 0x1.4afe4a8734d09p-6, 0x1.420647019bd6fp-6, 0x1.3946253e300edp-6, 0x1.30bcbcc6622b7p-6, 0x1.2868e9b8b1b68p-6, 0x1.20498cc2d5ba4p-6, 0x1.185d8b1b6baeap-6, 0x1.10a3ce7b43e22p-6, 0x1.091b45164ee38p-6, 0x1.01c2e19429cf3p-6, 0x1.f5333610a3e5ep-7, 0x1.e73cd9d406981p-7, 0x1.d9a0ae17933abp-7, 0x1.cc5cbb25856b1p-7, 0x1.bf6f11db377e2p-7, 0x1.b2d5cb969063cp-7, 0x1.a68f0a22f9e94p-7, 0x1.9a98f7a5d6ea5p-7, 0x1.8ef1c68a915bep-7, 0x1.8397b16e3bf97p-7, 0x1.7888fb0ace9d6p-7, 0x1.6dc3ee220f9p-7, 0x1.6346dd6826fdep-7, 0x1.5910236de0cc5p-7, 0x1.4f1e228aa6a84p-7, 0x1.456f44c63e2p-7, 0x1.3c01fbc24888fp-7, 0x1.32d4c0a3932eep-7, 0x1.29e613fb21b5bp-7, 0x1.21347daf34ad9p-7, 0x1.18be8ce3fa4e7p-7, 0x1.1082d7e44a08bp-7, 0x1.087ffc0a28eb9p-7, 0x1.00b49da744e4ep-7, 0x1.f23ecfda9efd5p-8, 0x1.e37e19acb4098p-8, 0x1.d5248a1a3bedp-8, 0x1.c72f9faa78a51p-8, 0x1.b99ce5e708b02p-8, 0x1.ac69f52c694e5p-8, 0x1.9f94727a7ef2dp-8, 0x1.931a0f453a6bap-8, 0x1.86f889454e13fp-8, 0x1.7b2daa48fa642p-8, 0x1.6fb7480508626p-8, 0x1.649343e5ec54p-8, 0x1.59bf8ae10644ap-8, 0x1.4f3a1546354e6p-8, 0x1.4500e6917c0ddp-8, 0x1.3b120d3d08299p-8, 0x1.316ba2935eba4p-8, 0x1.280bca81e5dcdp-8, 0x1.1ef0b36ba9a96p-8, 0x1.161895fc6ffa1p-8, 0x1.0d81b4fc25fc5p-8, 0x1.052a5d22a473fp-8, 0x1.fa21c9d77c9a4p-9, 0x1.ea6758d774495p-9, 0x1.db223a484b34dp-9, 0x1.cc4f53b2189p-9, 0x1.bdeb9ccd1194bp-9, 0x1.aff41f2d90b41p-9, 0x1.a265f5f0f2b48p-9, 0x1.953e4d6b33359p-9, 0x1.887a62d56a626p-9, 0x1.7c1783fd3203cp-9, 0x1.70130ef4dc8cbp-9, 0x1.646a71c4b9ce4p-9, 0x1.591b2a1ceaa8fp-9, 0x1.4e22c50885f2bp-9, 0x1.437edea15eee5p-9, 0x1.392d21c4d969bp-9, 0x1.2f2b47c9a9bc7p-9, 0x1.2577183678357p-9, 0x1.1c0e6879910e9p-9, 0x1.12ef1ba16a4dp-9, 0x1.0a1722162c95dp-9, 0x1.0184795446d9bp-9, 0x1.f26a574f742c4p-10, 0x1.e24e9fd156123p-10, 0x1.d2b212715d96bp-10, 0x1.c3910d82393fcp-10, 0x1.b4e806e4d4143p-10, 0x1.a6b38b88cde31p-10, 0x1.98f03eeef6152p-10, 0x1.8b9adaad941cp-10, 0x1.7eb02df6ce90fp-10, 0x1.722d1d20dc912p-10, 0x1.660ea12fe532p-10, 0x1.5a51c76235f01p-10, 0x1.4ef3b0be1412p-10, 0x1.43f191a15728fp-10, 0x1.3948b1531fffep-10, 0x1.2ef6699735c0ep-10, 0x1.24f8264365a3fp-10, 0x1.1b4b64d68d552p-10, 0x1.11edb41195e02p-10, 0x1.08dcb3921712dp-10, 0x1.0016136eddff7p-10, 0x1.ef2f27aca4018p-11, 0x1.debe095ccbe46p-11, 0x1.ced48a6cb33bcp-11, 0x1.bf6e875470ea9p-11, 0x1.b087f9d056a01p-11, 0x1.a21cf82e88f08p-11, 0x1.9429b4a0164aep-11, 0x1.86aa7c8da5cb3p-11, 0x1.799bb7eee4d5ep-11, 0x1.6cf9e8a5ab2f9p-11, 0x1.60c1a9dc30f59p-11, 0x1.54efaf662e9b8p-11, 0x1.4980c52589bd2p-11, 0x1.3e71ce71a0123p-11, 0x1.33bfc5820b9f3p-11, 0x1.2967badc3284fp-11, 0x1.1f66d4c3c4a9dp-11, 0x1.15ba4eae4f517p-11, 0x1.0c5f78b986eefp-11, 0x1.0353b724bdde1p-11, 0x1.f52903991e5e3p-12, 0x1.e43ec7543a83ap-12, 0x1.d3e3f4a88edbp-12, 0x1.c413eb083b597p-12, 0x1.b4ca2d379c54ap-12, 0x1.a602605fedb1ep-12, 0x1.97b84b27cb212p-12, 0x1.89e7d4d0513e2p-12, 0x1.7c8d04574d07p-12, 0x1.6fa3ff9e9113bp-12, 0x1.63290a979f96bp-12, 0x1.571886749b723p-12, 0x1.4b6ef0dd722aap-12, 0x1.4028e32a3a02ep-12, 0x1.354311a133e48p-12, 0x1.2aba4aba1869cp-12, 0x1.208b76652752dp-12, 0x1.16b39556eb3e9p-12, 0x1.0d2fc057dfc86p-12, 0x1.03fd279889b4bp-12, 0x1.f63224127d3e5p-13, 0x1.e501b96c6a928p-13, 0x1.d463f44f2057bp-13, 0x1.c453e389d9832p-13, 0x1.b4ccbe7a1cd0bp-13, 0x1.a5c9e3e1ac456p-13, 0x1.9746d8c4d71cbp-13, 0x1.893f474eca8a1p-13, 0x1.7baefdbd898a2p-13, 0x1.6e91ed54ded5ap-13, 0x1.61e429573d70ep-13, 0x1.55a1e605e8d25p-13, 0x1.49c777a7501abp-13, 0x1.3e515193f757ap-13, 0x1.333c05494e7cep-13, 0x1.288441825dc26p-13, 0x1.1e26d1570f5c6p-13, 0x1.14209b60bcae6p-13, 0x1.0a6ea0e4c8ba7p-13, 0x1.010dfd04669ffp-13, 0x1.eff7c7e4cc442p-14, 0x1.de6b445b61af6p-14, 0x1.cd713782f8a57p-14, 0x1.bd0497153cdc2p-14, 0x1.ad208502cc43ap-14, 0x1.9dc04e1195493p-14, 0x1.8edf688508d05p-14, 0x1.807972ce65727p-14, 0x1.728a324771054p-14, 0x1.650d91f559a2ap-14, 0x1.57ffa154ebf1p-14, 0x1.4b5c932e8d4f2p-14, 0x1.3f20bc73a2d8fp-14, 0x1.33489322de31ep-14, 0x1.27d0ad35b4afcp-14, 0x1.1cb5bf949b52ep-14, 0x1.11f49d13b054ap-14, 0x1.078a357646847p-14, 0x1.fae728f3a006ap-15, 0x1.e75bc1cfd0781p-15, 0x1.d46cb75eddb9cp-15, 0x1.c214be072b261p-15, 0x1.b04ebb057442ep-15, 0x1.9f15c2c62708cp-15, 0x1.8e65174967594p-15, 0x1.7e38269701a35p-15, 0x1.6e8a893aafe95p-15, 0x1.5f5800ce16ddcp-15, 0x1.509c768dab3b2p-15, 0x1.4253f9f8524e2p-15, 0x1.347abf792c23p-15, 0x1.270d1f1cf3f3fp-15, 0x1.1a079350e6a84p-15, 0x1.0d66b7aba2b06p-15, 0x1.012747bfda551p-15, 0x1.ea8c3bf0f1467p-16, 0x1.d38064fb7a08ep-16, 0x1.bd253445b52b9p-16, 0x1.a7750abae8c84p-16, 0x1.926a7e88859b8p-16, 0x1.7e00592d1efffp-16, 0x1.6a3195989b64ap-16, 0x1.56f95e5901aa4p-16, 0x1.44530bd870933p-16, 0x1.323a22aa2ded3p-16, 0x1.20aa51e355b65p-16, 0x1.0f9f718532de9p-16, 0x1.fe2b01e5aeec1p-17, 0x1.de114ae753536p-17, 0x1.beea5186f4023p-17, 0x1.a0aeef5f2f92ap-17, 0x1.8358417b36f8dp-17, 0x1.66dfa5c028f77p-17, 0x1.4b3eb86e499bfp-17, 0x1.306f51b3d4cabp-17, 0x1.166b835780b9ap-17, 0x1.fa5b2cef87eddp-18, 0x1.c96012bcc6a8p-18, 0x1.99db1ace48e7fp-18, 0x1.6bc209f236238p-18, 0x1.3f0b0329425a6p-18, 0x1.13ac83e4a1dfep-18, 0x1.d33ac0bd7c284p-19, 0x1.81a98044125b4p-19, 0x1.3294354f0baeap-19, 0x1.cbd4d058e044p-20, 0x1.3738689eb17d3p-20, 0x1.4e69091ac22abp-21, 0x1.bab83e0150037p-24, -0x1.adfcd8e97f8a5p-22, -0x1.dcce9baf8e384p-21, -0x1.6d2778aeca4dcp-20, -0x1.e7d987fdcdfb7p-20, -0x1.2f4b391188f17p-19, -0x1.68bb2dda94a68p-19, -0x1.a0485034c8b15p-19, -0x1.d5fdedc6982abp-19, -0x1.04f37c0a204f6p-18, -0x1.1e0704346afd7p-18, -0x1.363eb1cd76e25p-18, -0x1.4d9f7ed0a4a87p-18, -0x1.642e3e83e9beap-18, -0x1.79ef9f22e67cp-18, -0x1.8ee82b75dd4cep-18, -0x1.a31c4c57d8dd4p-18, -0x1.b6904a2ac22f1p-18, -0x1.c9484e42da03dp-18, -0x1.db48643911d5ep-18, -0x1.ec947b350ababp-18, -0x1.fd3067276eba9p-18, -0x1.068ff0fd0e478p-17, -0x1.0e334656856d8p-17, -0x1.1583f835785b2p-17, -0x1.1c83bfc8df5a2p-17, -0x1.23344b568011cp-17, -0x1.29973eb217d47p-17, -0x1.2fae33b175137p-17, -0x1.357aba9977878p-17, -0x1.3afe5a8702b87p-17, -0x1.403a91d250aa2p-17, -0x1.4530d66dc7379p-17, -0x1.49e29641b88b2p-17, -0x1.4e51378090cefp-17, -0x1.527e18fa0d6dp-17, -0x1.566a926938c28p-17, -0x1.5a17f4bf47b75p-17, -0x1.5d878a69c4d57p-17, -0x1.60ba979604067p-17, -0x1.63b25a70e39e7p-17, -0x1.66700b63355ccp-17, -0x1.68f4dd4b723ap-17, -0x1.6b41fdb33c8ecp-17, -0x1.6d589505300b6p-17, -0x1.6f39c6bbbdde7p-17, -0x1.70e6b1912351fp-17, -0x1.72606faa27047p-17, -0x1.73a816c0cd7dcp-17, -0x1.74beb84a99cedp-17, -0x1.75a5619ce9f8ap-17, -0x1.765d1c1208e8p-17, -0x1.76e6ed282d717p-17, -0x1.7743d6a2042c4p-17, -0x1.7774d6a34e441p-17, -0x1.777ae7cca2595p-17, -0x1.775701556ea0ap-17, -0x1.770a1724395e4p-17, -0x1.769519e531091p-17, -0x1.75f8f72082c82p-17, -0x1.7536994dcabefp-17, -0x1.744ee7e760521p-17, -0x1.7342c77b705f7p-17, -0x1.721319be4a6dbp-17, -0x1.70c0bd975bf7bp-17, -0x1.6f4c8f3127885p-17, -0x1.6db768065fba7p-17, -0x1.6c021eee118d9p-17, -0x1.6a2d8828660bfp-17, -0x1.683a756815fc8p-17, -0x1.6629b5dd899ap-17, -0x1.63fc163fc91fbp-17, -0x1.61b260d569032p-17, -0x1.5f4d5d7c0de43p-17, -0x1.5ccdd1b0bbb1p-17, -0x1.5a348095445cp-17, -0x1.57822af8b6b49p-17, -0x1.54b78f5b1871bp-17, -0x1.51d569f43039bp-17, -0x1.4edc74b8233bbp-17, -0x1.4bcd675bd7d8p-17, -0x1.48a8f7591e0f7p-17, -0x1.456fd7f3157c2p-17, -0x1.4222ba38dc75ap-17, -0x1.3ec24d09f80e6p-17, -0x1.3b4f3d180a0acp-17, -0x1.37ca34eb26477p-17, -0x1.3433dce21d3b1p-17, -0x1.308cdb373e2b4p-17, -0x1.2cd5d401233d6p-17, -0x1.290f6934b58a5p-17, -0x1.253a3aa784c87p-17, -0x1.2156e61181ba5p-17, -0x1.1d66070e039bbp-17, -0x1.1968371dd7978p-17, -0x1.155e0da894761p-17, -0x1.11481ffddab14p-17, -0x1.0d270156c35f7p-17, -0x1.08fb42d6e7a4fp-17, -0x1.04c5738e03365p-17, -0x1.00862078fef5dp-17, -0x1.f87ba906225bcp-18, -0x1.efda310e153cap-18, -0x1.e728e6a0d81a1p-18, -0x1.de68d3394099fp-18, -0x1.d59afc37e887bp-18, -0x1.ccc062e78b024p-18, -0x1.c3da047cd8adp-18, -0x1.bae8da1bd6416p-18, -0x1.b1edd8d8959a5p-18, -0x1.a8e9f1bb839bdp-18, -0x1.9fde11c2fa91cp-18, -0x1.96cb21e76fcefp-18, -0x1.8db2071e3996dp-18, -0x1.8493a25c2577dp-18, -0x1.7b70d099e7ebfp-18, -0x1.724a6ad778236p-18, -0x1.6921461f4b3d5p-18, -0x1.5ff6338b059fbp-18, -0x1.56ca00477548ep-18, -0x1.4d9d759782ab3p-18, -0x1.447158d9e1f7ap-18, -0x1.3b466b8d1e275p-18, -0x1.321d6b537b166p-18, -0x1.28f711f917382p-18, -0x1.1fd41577a7f01p-18, -0x1.16b527fcf0e08p-18, -0x1.0d9af7ef5e7d9p-18, -0x1.04862ff331513p-18, -0x1.f6eeede1631b7p-19, -0x1.e4dee033d72d6p-19, -0x1.d2dd75e024a4p-19, -0x1.c0ebe693fbea4p-19, -0x1.af0b62b4db6e4p-19, -0x1.9d3d136ceb391p-19, -0x1.8b821ab759b37p-19, -0x1.79db936f2013bp-19, -0x1.684a915d4d29ep-19, -0x1.56d021443de07p-19, -0x1.456d48f0b089ep-19, -0x1.34230746b9d4ep-19, -0x1.22f2545073e67p-19, -0x1.11dc214db2965p-19, -0x1.00e158c3f9f6fp-19, -0x1.e005bd17e7adap-20, -0x1.be831fc6db59p-20, -0x1.9d3c86f95b6b5p-20, -0x1.7c33931ece467p-20, -0x1.5b69d7cd96801p-20, -0x1.3ae0dbebcde72p-20, -0x1.1a9a19c9a87b5p-20, -0x1.f52dfe8e9b641p-21, -0x1.b5b1dbf093719p-21, -0x1.76c276823f509p-21, -0x1.3862610072395p-21, -0x1.f5282cbedb37ep-22, -0x1.7ab3f41f467b9p-22, -0x1.016cb092d15cbp-22, -0x1.12ad99530ac4cp-23, -0x1.2768596bf9765p-26, 0x1.8cc0508e3d012p-24, 0x1.af32386b86bd4p-23, 0x1.4ac0d9e9bebc2p-22, 0x1.bca3bf88df39ep-22, 0x1.169f34e528ad8p-21, 0x1.4e46cf9c1ec05p-21, 0x1.854727cf967e7p-21, 0x1.bb9ec9b7cd259p-21, 0x1.f14c5595aa6ddp-21, 0x1.13273fb27d5e3p-20, 0x1.2d52074a049e1p-20, 0x1.4725eedb32c87p-20, 0x1.60a26d19e8799p-20, 0x1.79c7020334641p-20, 0x1.929336b339ce1p-20, 0x1.ab069d3dc633p-20, 0x1.c320d08d76b37p-20, 0x1.dae17438dbbaap-20, 0x1.f248345ce18ecp-20, 0x1.04aa62be4a6dcp-19, 0x1.100372294018ep-19, 0x1.1b2f2ad928aafp-19, 0x1.262d732fdcf6bp-19, 0x1.30fe3575c1de7p-19, 0x1.3ba15fc549f61p-19, 0x1.4616e3f9ce081p-19, 0x1.505eb79ce23a1p-19, 0x1.5a78d3d328e89p-19, 0x1.646535498f018p-19, 0x1.6e23dc240286dp-19, 0x1.77b4cbec0cd24p-19, 0x1.81180b7cb50f2p-19, 0x1.8a4da4f155de3p-19, 0x1.9355a594bfa4ap-19, 0x1.9c301dce6025ap-19, 0x1.a4dd2110cb7afp-19, 0x1.ad5cc5c8fe186p-19, 0x1.b5af254b805cap-19, 0x1.bdd45bc4830f2p-19, 0x1.c5cc8825710b7p-19, 0x1.cd97cc149da4fp-19, 0x1.d5364bddb54e7p-19, 0x1.dca82e5e12cbcp-19, 0x1.e3ed9cf73582bp-19, 0x1.eb06c37c5a115p-19, 0x1.f1f3d023277d3p-19, 0x1.f8b4f373d4eaep-19, 0x1.ff4a6037e0207p-19, 0x1.02da25b5b6fe2p-18, 0x1.05f97616c7134p-18, 0x1.09033dd7fdf36p-18, 0x1.0bf79a93f6f4fp-18, 0x1.0ed6aae015dd7p-18, 0x1.11a08e4488283p-18, 0x1.145565349546ap-18, 0x1.16f551082066bp-18, 0x1.198073f3d3ce9p-18, 0x1.1bf6f1020d9f5p-18, 0x1.1e58ec0c1a69dp-18, 0x1.20a689b2f9977p-18, 0x1.22dfef5859736p-18, 0x1.250543188a374p-18, 0x1.2716abc27f9bcp-18, 0x1.291450d252dbcp-18, 0x1.2afe5a6a85a53p-18, 0x1.2cd4f14d59cabp-18, 0x1.2e983ed673088p-18, 0x1.30486cf4e1fd7p-18, 0x1.31e5a624ccdafp-18, 0x1.3370156978594p-18, 0x1.34e7e6470f3ebp-18, 0x1.364d44bd2b976p-18, 0x1.37a05d40d18a5p-18, 0x1.38e15cb66f5e6p-18, 0x1.3a10706c935f6p-18, 0x1.3b2dc616b9f8cp-18, 0x1.3c398bc726d1bp-18, 0x1.3d33efea37341p-18, 0x1.3e1d2140b63b9p-18, 0x1.3ef54edaf8794p-18, 0x1.3fbca81360d88p-18, 0x1.40735c8a3c82cp-18, 0x1.41199c1ff836dp-18, 0x1.41af96f0bd574p-18, 0x1.42357d4fd2273p-18, 0x1.42ab7fc2cd5a1p-18, 0x1.4311cefcec39fp-18, 0x1.43689bdaf8582p-18, 0x1.43b0175eb95eap-18, 0x1.43e872aa95004p-18, 0x1.4411defdc02cep-18, 0x1.442c8dafae4b7p-18, 0x1.4438b02c49591p-18, 0x1.443677efdf61dp-18, 0x1.442616838ff25p-18, 0x1.4407bd7927fb9p-18, 0x1.43db9e67a9c9p-18, 0x1.43a1eae79b9b6p-18, 0x1.435ad48f943bbp-18, 0x1.43068cf0aabb4p-18, 0x1.42a545930e8e3p-18, 0x1.42372ff2e8dbdp-18, 0x1.41bc7d7d17c2dp-18, 0x1.41355f8bef61ap-18, 0x1.40a2076422a51p-18, 0x1.4002a6320449dp-18, 0x1.3f576d0647078p-18, 0x1.3ea08cd369cdep-18, 0x1.3dde366ae090bp-18, 0x1.3d109a7a489a6p-18, 0x1.3c37e988c20d9p-18, 0x1.3b5453f497ccbp-18, 0x1.3a6609f08d2a2p-18, 0x1.396d3b817e51p-18, 0x1.386a187c0065p-18, 0x1.375cd08240c08p-18, 0x1.36459301ac48ap-18, 0x1.35248f30be3e2p-18, 0x1.33f9f40ce8b53p-18, 0x1.32c5f0589d552p-18, 0x1.3188b299520fap-18, 0x1.30426915866afp-18, 0x1.2ef341d319cadp-18, 0x1.2d9b6a955fb7bp-18, 0x1.2c3b10db472c1p-18, 0x1.2ad261ddeed58p-18, 0x1.29618a8ef01f7p-18, 0x1.27e8b796c0b98p-18, 0x1.266815533f104p-18, 0x1.24dfcfd66316bp-18, 0x1.235012e4a7017p-18, 0x1.21b909f3b1259p-18, 0x1.201ae029270eep-18, 0x1.1e75c0597c8d9p-18, 0x1.1cc9d50697d1p-18, 0x1.1b17485ec5a3cp-18, 0x1.195e443bc875dp-18, 0x1.179ef221ad2d8p-18, 0x1.15d97b3dcd395p-18, 0x1.140e0865cdbfbp-18, 0x1.123cc216c7729p-18, 0x1.1065d07473dd8p-18, 0x1.0e895b4874a3dp-18, 0x1.0ca78a017ac12p-18, 0x1.0ac083b283673p-18, 0x1.08d46f12201a4p-18, 0x1.06e37279dda3dp-18, 0x1.04edb3e5d2cc8p-18, 0x1.02f358f3ddcddp-18, 0x1.00f486e31db7bp-18, 0x1.fde2c52738841p-19, 0x1.f9d4210bca586p-19, 0x1.f5bd69b4d408dp-19, 0x1.f19ee6a267833p-19, 0x1.ed78de92fa099p-19, 0x1.e94b978307f61p-19, 0x1.e51756aca0dc9p-19, 0x1.e0dc6086b7b8bp-19, 0x1.dc9af8c48466ep-19, 0x1.d853625575ceep-19, 0x1.d405df64c20e2p-19, 0x1.cfb2b15943e13p-19, 0x1.cb5a18d5242c4p-19, 0x1.c6fc55b5e863cp-19, 0x1.c299a71461d54p-19, 0x1.be324b44b6e07p-19, 0x1.b9c67fd65ae5p-19, 0x1.b5568193cf6d4p-19, 0x1.b0e28c834d152p-19, 0x1.ac6adbe679c0ep-19, 0x1.a7efaa3b2926ap-19, 0x1.a371313b9d5ebp-19, 0x1.9eefa9de790ep-19, 0x1.9a6b4c5729774p-19, 0x1.95e45016a4b6ep-19, 0x1.915aebcbb7018p-19, 0x1.8ccf55634c6dbp-19, 0x1.8841c20923a79p-19, 0x1.83b26628c1c91p-19, 0x1.7f21756dc02bep-19, 0x1.7a8f22c483ba8p-19, 0x1.75fba05aa66dcp-19, 0x1.71671fa003ee9p-19, 0x1.6cd1d14714aacp-19, 0x1.683be5463d54ap-19, 0x1.63a58ad8c3e26p-19, 0x1.5f0ef07f154e3p-19, 0x1.5a7843ffab989p-19, 0x1.55e1b26846391p-19, 0x1.514b680ee574cp-19, 0x1.4cb590928ef1p-19, 0x1.482056dc3fd04p-19, 0x1.438be51fe4932p-19, 0x1.3ef864dde8016p-19, 0x1.3a65fee410867p-19, 0x1.35d4db4e22c14p-19, 0x1.314521875c403p-19, 0x1.2cb6f84b5b3e1p-19, 0x1.282a85a736cacp-19, 0x1.239feefb3b3f1p-19, 0x1.1f1758fb93239p-19, 0x1.1a90e7b1bd505p-19, 0x1.160cbe7da0792p-19, 0x1.118b00169177cp-19, 0x1.0d0bce8cf259p-19, 0x1.088f4b4b44c22p-19, 0x1.041597177a045p-19, 0x1.ff3da428ad93cp-20, }}, 
      {{-0x1.2a15d3cc74196p-16, -0x1.2ad14144f8956p-14, -0x1.51649ad7f30c2p-13, -0x1.2d309b71ee5b6p-12, -0x1.d8a73a8cc5028p-12, -0x1.559cb6f8fa43p-11, -0x1.d2433d2388a5ep-11, -0x1.30e15c1ea28bdp-10, -0x1.819b245ce4bc3p-10, -0x1.daa8e4845a438p-10, -0x1.1d97ed68acf1bp-9, -0x1.5110c54d82f15p-9, -0x1.871f2697d7b2p-9, -0x1.bf0c91489c91dp-9, -0x1.f80e3736d3656p-9, -0x1.18a3d5f651db9p-8, -0x1.34e6e31d2da81p-8, -0x1.5054cc58b10e4p-8, -0x1.6a6db565c1f0ep-8, -0x1.82aed05fb08afp-8, -0x1.9893c1f17e42dp-8, -0x1.ab97f07d4ff7bp-8, -0x1.bb37ba73e5c08p-8, -0x1.c6f1916ac5b29p-8, -0x1.ce46f8a02f8dbp-8, -0x1.d0bd6687e8c8ap-8, -0x1.cddf09b82517p-8, -0x1.c53b721d2d9b7p-8, -0x1.b6681fc3eb4bcp-8, -0x1.a100f8d27907dp-8, -0x1.84a8a872397a8p-8, -0x1.6108e884b49d1p-8, -0x1.35d2b800d0139p-8, -0x1.02be7fce1055p-8, -0x1.8f184fc40b482p-9, -0x1.08063c9abc2dbp-9, -0x1.bf928e55fc53ap-11, 0x1.ccfdeba0f7321p-12, 0x1.e996f92bdd6c1p-10, 0x1.c1d4c8fcc4f44p-9, 0x1.5071df5aa6b96p-8, 0x1.c909637b5395ap-8, 0x1.255bc0c27b891p-7, 0x1.6abe3004936fep-7, 0x1.b4a8fc8841efdp-7, 0x1.018b16a48e2p-6, 0x1.2afe7a4c5a9d5p-6, 0x1.56a8e92a25b6bp-6, 0x1.84835b565b48cp-6, 0x1.b48592a140ab7p-6, 0x1.e6a62c2f45b9ap-6, 0x1.0d6d59055ff9cp-5, 0x1.288bd64a9350ep-5, 0x1.44a859e226406p-5, 0x1.61bc400d73c9p-5, 0x1.7fc07da6dd0abp-5, 0x1.9eada844a01cdp-5, 0x1.be7bfe26bffdcp-5, 0x1.df236debd10d1p-5, 0x1.004dcf04b2564p-4, 0x1.116dfa02c2faap-4, 0x1.22edcdb7bfc17p-4, 0x1.34c8c64b62182p-4, 0x1.46fa497fafce5p-4, 0x1.597da9c9f0e78p-4, 0x1.6c4e294a88738p-4, 0x1.7f66fca4126c7p-4, 0x1.92c34db24352cp-4, 0x1.a65e3e212e8dp-4, 0x1.ba32e9e5af11dp-4, 0x1.ce3c6997ba64p-4, 0x1.e275d4af8be4cp-4, 0x1.f6da43a6789a8p-4, 0x1.05b268fe34d0ap-3, 0x1.100850116d49cp-3, 0x1.1a6c6aa72bbeep-3, 0x1.24dc5097a95eap-3, 0x1.2f559ec9a1e83p-3, 0x1.39d5f7f76d938p-3, 0x1.445b0569144f2p-3, 0x1.4ee277a3bcd7dp-3, 0x1.596a070ed6a91p-3, 0x1.63ef748f59602p-3, 0x1.6e708a19742b3p-3, 0x1.78eb1b38f7281p-3, 0x1.835d0590cb22cp-3, 0x1.8dc43151b70a4p-3, 0x1.981e91a8c3257p-3, 0x1.a26a252572551p-3, 0x1.aca4f6180d31ap-3, 0x1.b6cd1ae847276p-3, 0x1.c0e0b66463619p-3, 0x1.caddf8091c602p-3, 0x1.d4c31c42821cbp-3, 0x1.de8e6ca5f653bp-3, 0x1.e83e402587288p-3, 0x1.f1d0fb3ccdf6bp-3, 0x1.fb45101784744p-3, 0x1.024c7f590123bp-2, 0x1.06e5aa79e7859p-2, 0x1.0b6d57623c923p-2, 0x1.0fe2db0d6f20fp-2, 0x1.144591838a847p-2, 0x1.1894dddb93b66p-2, 0x1.1cd02a3b6698dp-2, 0x1.20f6e7d528da2p-2, 0x1.25088ee26dbfdp-2, 0x1.29049e9d1ea32p-2, 0x1.2cea9d364212p-2, 0x1.30ba17cab9541p-2, 0x1.3472a2560d661p-2, 0x1.3813d7a35d72dp-2, 0x1.3b9d593c91f9bp-2, 0x1.3f0ecf57dcfddp-2, 0x1.4267e8c3ad0ffp-2, 0x1.45a85ad123ea9p-2, 0x1.48cfe13d24dabp-2, 0x1.4bde3e18186c9p-2, 0x1.4ed339ac78467p-2, 0x1.51aea2643af11p-2, 0x1.54704cad30439p-2, 0x1.571812dc6e1e6p-2, 0x1.59a5d510d7216p-2, 0x1.5c197914d783p-2, 0x1.5e72ea3f66fcfp-2, 0x1.60b219546a315p-2, 0x1.62d6fc647b02ap-2, 0x1.64e18eac34e56p-2, 0x1.66d1d07312cd4p-2, 0x1.68a7c6e9ea96bp-2, 0x1.6a637c0921303p-2, 0x1.6c04fe6e9a992p-2, 0x1.6d8c613b7fa6fp-2, 0x1.6ef9bbf1dfba6p-2, 0x1.704d2a52406cdp-2, 0x1.7186cc3928d72p-2, 0x1.72a6c57caf7cap-2, 0x1.73ad3dca1dc27p-2, 0x1.749a6083ad5ap-2, 0x1.756e5c9e6f737p-2, 0x1.76296480621e2p-2, 0x1.76cbaddec4fe1p-2, 0x1.7755719caa41bp-2, 0x1.77c6eba9d8149p-2, 0x1.78205ae1fb6e6p-2, 0x1.786200ec31868p-2, 0x1.788c221af35b2p-2, 0x1.789f054c69039p-2, 0x1.789af3cb222a8p-2, 0x1.7880392f44d67p-2, 0x1.784f23402e1b7p-2, 0x1.780801d68a6dp-2, 0x1.77ab26beed0adp-2, 0x1.7738e59ce3e43p-2, 0x1.76b193ce92809p-2, 0x1.76158850cdc51p-2, 0x1.75651ba3c081bp-2, 0x1.74a0a7b01b68fp-2, 0x1.73c887accd5f3p-2, 0x1.72dd180548f69p-2, 0x1.71deb640586acp-2, 0x1.70cdc0e77ec97p-2, 0x1.6faa976ee87bfp-2, 0x1.6e759a1de8fd8p-2, 0x1.6d2f29f80e8b1p-2, 0x1.6bd7a8a6bb15fp-2, 0x1.6a6f786358764p-2, 0x1.68f6fbe2101ebp-2, 0x1.676e963d1a8aap-2, 0x1.65d6aae09774ep-2, 0x1.642f9d76f56dfp-2, 0x1.6279d1d5e4ddbp-2, 0x1.60b5abebd7512p-2, 0x1.5ee38fae08008p-2, 0x1.5d03e1070ede9p-2, 0x1.5b1703c5faadep-2, 0x1.591d5b8df36c6p-2, 0x1.57174bc65e0c8p-2, 0x1.5505378b8b29p-2, 0x1.52e7819fdf8bdp-2, 0x1.50be8c5d850c5p-2, 0x1.4e8ab9a895406p-2, 0x1.4c4c6ae1c73ddp-2, 0x1.4a0400d993399p-2, 0x1.47b1dbc3d623p-2, 0x1.45565b2be95a3p-2, 0x1.42f1dde935fd1p-2, 0x1.4084c21437e93p-2, 0x1.3e0f64fbf8cffp-2, 0x1.3b92231bfa8eap-2, 0x1.390d5812921edp-2, 0x1.36815e97af276p-2, 0x1.33ee907410a0ap-2, 0x1.31554678e619fp-2, 0x1.2eb5d877d3833p-2, 0x1.2c109d3b6208fp-2, 0x1.2965ea7fd1b27p-2, 0x1.26b614ec5026ep-2, 0x1.2401700c8d915p-2, 0x1.21484e4ab4794p-2, 0x1.1e8b00e9bd15fp-2, 0x1.1bc9d8001aca7p-2, 0x1.19052272c74f7p-2, 0x1.163d2df0a0fd1p-2, 0x1.137246ee22ccp-2, 0x1.10a4b8a16fe7ep-2, 0x1.0dd4ccfeae6b1p-2, 0x1.0b02ccb4b76d1p-2, 0x1.082eff2a1397fp-2, 0x1.0559aa7a4444p-2, 0x1.0283137357c85p-2, 0x1.ff56fb2791204p-3, 0x1.f9a6561145fcdp-3, 0x1.f3f4b957e0bdap-3, 0x1.ee42a406cf87dp-3, 0x1.e890927ebe37ap-3, 0x1.e2defe73fe3cep-3, 0x1.dd2e5eed67da5p-3, 0x1.d77f2843b92d9p-3, 0x1.d1d1cc216871ep-3, 0x1.cc26b982f1681p-3, 0x1.c67e5cb786236p-3, 0x1.c0d91f623a1afp-3, 0x1.bb37687b8dfccp-3, 0x1.b5999c53650e2p-3, 0x1.b0001c935c2f5p-3, 0x1.aa6b484183636p-3, 0x1.a4db7bc36caa1p-3, 0x1.9f5110e1a0e33p-3, 0x1.99cc5ecb5b0fep-3, 0x1.944dba1aa455fp-3, 0x1.8ed574d8b823ep-3, 0x1.8963de82b8603p-3, 0x1.83f9440ea9b99p-3, 0x1.7e95eff0b9da3p-3, 0x1.793a2a20c32dbp-3, 0x1.73e638201d2d8p-3, 0x1.6e9a5cff9d0e5p-3, 0x1.6956d965dccc1p-3, 0x1.641beb95b539fp-3, 0x1.5ee9cf74f05e7p-3, 0x1.59c0be932b4ecp-3, 0x1.54a0f030f055ap-3, 0x1.4f8a9946f368cp-3, 0x1.4a7dec8d86e8fp-3, 0x1.457b1a842c88bp-3, 0x1.4082517954d11p-3, 0x1.3b93bd9241d59p-3, 0x1.36af88d3052dp-3, 0x1.31d5db26a57edp-3, 0x1.2d06da67584cap-3, 0x1.2842aa66dd273p-3, 0x1.23896cf6eb5d8p-3, 0x1.1edb41f1baef8p-3, 0x1.1a3847429c757p-3, 0x1.15a098eea541fp-3, 0x1.1114511d6dfd3p-3, 0x1.0c938821d6871p-3, 0x1.081e5482def59p-3, 0x1.03b4cb0485da3p-3, 0x1.feadfd615ea75p-4, 0x1.f60a01c0248e2p-4, 0x1.ed7dc2864eb82p-4, 0x1.e5095bd6434bcp-4, 0x1.dcace6a5c409bp-4, 0x1.d46878cfdc1abp-4, 0x1.cc3c2526be07p-4, 0x1.c427fb85aa7a3p-4, 0x1.bc2c08e2c56f7p-4, 0x1.b4485760d9c5bp-4, 0x1.ac7cee611408cp-4, 0x1.a4c9d294ad647p-4, 0x1.9d2f060e71a6ap-4, 0x1.95ac8854491ffp-4, 0x1.8e4256708a65ep-4, 0x1.86f06b034917ap-4, 0x1.7fb6be5379e2bp-4, 0x1.7895465ff7eb9p-4, 0x1.718bf6f06b12fp-4, 0x1.6a9ac1a6072d1p-4, 0x1.63c1960c27285p-4, 0x1.5d0061a8bf09ep-4, 0x1.5657100ca7364p-4, 0x1.4fc58ae3b72b9p-4, 0x1.494bba04bce04p-4, 0x1.42e983813a9a5p-4, 0x1.3c9ecbb500e3cp-4, 0x1.366b755591f59p-4, 0x1.304f6181521e5p-4, 0x1.2a4a6fce8a3e8p-4, 0x1.245c7e5a32804p-4, 0x1.1e8569d68a91dp-4, 0x1.18c50d997a75dp-4, 0x1.131b43aabe056p-4, 0x1.0d87e4d1d7ccep-4, 0x1.080ac8a3cd8c5p-4, 0x1.02a3c590a9c92p-4, 0x1.faa561e1907c8p-5, 0x1.f02ebe23c42e3p-5, 0x1.e5e34687cbd43p-5, 0x1.dbc29fcb249bcp-5, 0x1.d1cc6ce1ac0d1p-5, 0x1.c8004f0de9d3bp-5, 0x1.be5de5f8debbap-5, 0x1.b4e4cfc968042p-5, 0x1.ab94a93b19d54p-5, 0x1.a26d0db4afccfp-5, 0x1.996d975e02674p-5, 0x1.9095df357ecb4p-5, 0x1.87e57d252ep-5, 0x1.7f5c081741b15p-5, 0x1.76f9160a289f6p-5, 0x1.6ebc3c242e99p-5, 0x1.66a50ec6a3127p-5, 0x1.5eb321a08dbd8p-5, 0x1.56e607c0e7a1cp-5, 0x1.4f3d53a865bafp-5, 0x1.47b8975acae7bp-5, 0x1.4057646fcbb8bp-5, 0x1.39194c2378dc5p-5, 0x1.31fddf663de09p-5, 0x1.2b04aeec69bcap-5, 0x1.242d4b3d50f7dp-5, 0x1.1d7744c1f2e87p-5, 0x1.16e22bd341b6p-5, 0x1.106d90c7ee821p-5, 0x1.0a190401d7f98p-5, 0x1.03e415fb03086p-5, 0x1.fb9caea466fecp-6, 0x1.efaeb1ae316bbp-6, 0x1.e3fd572c2844bp-6, 0x1.d887c1c738c28p-6, 0x1.cd4d14ce805b4p-6, 0x1.c24c744c72edcp-6, 0x1.b785051b68eefp-6, 0x1.acf5ecf950a0ap-6, 0x1.a29e529aa2b31p-6, 0x1.987d5dbcbc15cp-6, 0x1.8e923737596b8p-6, 0x1.84dc090d8458cp-6, 0x1.7b59fe7db574fp-6, 0x1.720b44115fa4ap-6, 0x1.68ef07abbf912p-6, 0x1.6004789811b92p-6, 0x1.574ac7971d821p-6, 0x1.4ec126ec2a66dp-6, 0x1.4666ca693f995p-6, 0x1.3e3ae77af7fap-6, 0x1.363cb533872d5p-6, 0x1.2e6b6c55519e7p-6, 0x1.26c6475cf0bcp-6, 0x1.1f4c828a955bbp-6, 0x1.17fd5beaf76a2p-6, 0x1.10d8135fa7fb3p-6, 0x1.09dbeaa6fb341p-6, 0x1.0308256356b23p-6, 0x1.f8b8124421864p-7, 0x1.ebadbac39c445p-7, 0x1.deefd730e8172p-7, 0x1.d27cfe7123989p-7, 0x1.c653cb6cd9745p-7, 0x1.ba72dd1924deep-7, 0x1.aed8d67ff376p-7, 0x1.a3845ec797355p-7, 0x1.98742139773ccp-7, 0x1.8da6cd47f755ep-7, 0x1.831b1693a9ebfp-7, 0x1.78cfb4efb75a8p-7, 0x1.6ec36465a3633p-7, 0x1.64f4e5385e7e1p-7, 0x1.5b62fbe6a0354p-7, 0x1.520c712c9fa6cp-7, 0x1.48f0120538408p-7, 0x1.400cafaa6b16dp-7, 0x1.37611f9541323p-7, 0x1.2eec3b7d3c025p-7, 0x1.26ace15703bc5p-7, 0x1.1ea1f352ca931p-7, 0x1.16ca57da173adp-7, 0x1.0f24f98cf4c24p-7, 0x1.07b0c73ed8abfp-7, 0x1.006cb3f2ee383p-7, 0x1.f2af6db025758p-8, 0x1.e4e196889abacp-8, 0x1.d76de15fd63fap-8, 0x1.ca52556076d7ep-8, 0x1.bd8d01e3a93b2p-8, 0x1.b11bfe6563646p-8, 0x1.a4fd6a7774bc6p-8, 0x1.992f6db461594p-8, 0x1.8db037b142728p-8, 0x1.827dffef57751p-8, 0x1.779705ccdbe91p-8, 0x1.6cf990757e7bfp-8, 0x1.62a3eed2119a1p-8, 0x1.5894777813c87p-8, 0x1.4ec988988f633p-8, 0x1.454187ee91ef8p-8, 0x1.3bfae2ad6ad95p-8, 0x1.32f40d6e31438p-8, 0x1.2a2b841d5f3cap-8, 0x1.219fc9e79d38bp-8, 0x1.194f6926af51fp-8, 0x1.1138f34de3081p-8, 0x1.095b00d61fd3dp-8, 0x1.01b43129f6e25p-8, 0x1.f486552287448p-9, 0x1.e60d34397c7bap-9, 0x1.d7fa6722a9e16p-9, 0x1.ca4b62a65337ap-9, 0x1.bcfda8a19459ap-9, 0x1.b00ec7dbd1e6ap-9, 0x1.a37c5bdc5274ep-9, 0x1.97440cbf90d61p-9, 0x1.8b638f0c5fa22p-9, 0x1.7fd8a388f63d7p-9, 0x1.74a1170fa3cdp-9, 0x1.69bac263e2fdap-9, 0x1.5f238a06e19f2p-9, 0x1.54d95e0c4e0dap-9, 0x1.4ada39ef372e6p-9, 0x1.412424668958ep-9, 0x1.37b52f3a0c29ap-9, 0x1.2e8b77172d1b1p-9, 0x1.25a52365fde8dp-9, 0x1.1d00661e3c84dp-9, 0x1.149b7b9c90878p-9, 0x1.0c74aa77e4c5dp-9, 0x1.048a4356dfdd6p-9, 0x1.f9b5418b65c4bp-10, 0x1.eac84e180505dp-10, 0x1.dc4a880600086p-10, 0x1.ce38ddd7a0fecp-10, 0x1.c090508c74faap-10, 0x1.b34df34edf6f5p-10, 0x1.a66eeb22cbaefp-10, 0x1.99f06e9469a99p-10, 0x1.8dcfc567eda1fp-10, 0x1.820a484984cc1p-10, 0x1.769d607e864dap-10, 0x1.6b868796959a9p-10, 0x1.60c3471e5ea5fp-10, 0x1.565138522bcafp-10, 0x1.4c2e03d1cd7aap-10, 0x1.42576154ef20ap-10, 0x1.38cb176047944p-10, 0x1.2f86fafbae18ap-10, 0x1.2688ef68df00bp-10, 0x1.1dcee5db187f6p-10, 0x1.1556dd2f5e1a2p-10, 0x1.0d1ee1a614a18p-10, 0x1.05250c9c605a4p-10, 0x1.facf088fb4b53p-11, 0x1.ebc8f6e3b2f53p-11, 0x1.dd3462685059p-11, 0x1.cf0de16d7325p-11, 0x1.c15221db4e2d2p-11, 0x1.b3fde8b18f398p-11, 0x1.a70e11875fbc1p-11, 0x1.9a7f8e0d0a62ap-11, 0x1.8e4f6590713cap-11, 0x1.827ab48238793p-11, 0x1.76feabfd290bep-11, 0x1.6bd8914f4d202p-11, 0x1.6105bd850bedap-11, 0x1.56839cf567cfbp-11, 0x1.4c4faed0ef363p-11, 0x1.426784b1e7f03p-11, 0x1.38c8c22e29e92p-11, 0x1.2f711c6b085dfp-11, 0x1.265e59b2d09fp-11, 0x1.1d8e510c13f68p-11, 0x1.14fee9d2d3711p-11, 0x1.0cae1b53600d3p-11, 0x1.0499ec665716ep-11, 0x1.f980e62071b5cp-12, 0x1.ea3fa83f6d9eep-12, 0x1.db6c85a170f51p-12, 0x1.cd0400de05ca9p-12, 0x1.bf02b7f6b454bp-12, 0x1.b16563a543e71p-12, 0x1.a428d6ac0fce5p-12, 0x1.9749fd2a31812p-12, 0x1.8ac5dbf2813ebp-12, 0x1.7e998fe5ed031p-12, 0x1.72c24d52995c6p-12, 0x1.673d5f533ff31p-12, 0x1.5c08273361dbep-12, 0x1.51201bd826f8ap-12, 0x1.4682c9287562bp-12, 0x1.3c2dcf7bb33ffp-12, 0x1.321ee308e4ea6p-12, 0x1.2853cb5b15c69p-12, 0x1.1eca62c665088p-12, 0x1.158095e2230e4p-12, 0x1.0c74630476feap-12, 0x1.03a3d9c10c5fcp-12, 0x1.f61a34d4a54efp-13, 0x1.e55cab2d36477p-13, 0x1.d50b974cd88fdp-13, 0x1.c523989d3c4eep-13, 0x1.b5a16c49e1309p-13, 0x1.a681ec5d7f21ep-13, 0x1.97c20ee64d428p-13, 0x1.895ee51bfdaeap-13, 0x1.7b559a8f239d3p-13, 0x1.6da3745ad9f3fp-13, 0x1.6045d05a9a9cep-13, 0x1.533a24676f76fp-13, 0x1.467dfd98152d6p-13, 0x1.3a0eff869ec95p-13, 0x1.2deae3987dc01p-13, 0x1.220f784e0155dp-13, 0x1.167aa093fa8a3p-13, 0x1.0b2a531bd3097p-13, 0x1.001c99b4f2489p-13, 0x1.ea9f215a64c0fp-14, 0x1.d582cc69f41bfp-14, 0x1.c0e0b38883911p-14, 0x1.acb577110bf2dp-14, 0x1.98fdd7a374687p-14, 0x1.85b6b50db4fd8p-14, 0x1.72dd0d389eb2ap-14, 0x1.606dfb1c09f38p-14, 0x1.4e66b5bc59f03p-14, 0x1.3cc48f2d58286p-14, 0x1.2b84f39be0a83p-14, 0x1.1aa5685e80a69p-14, 0x1.0a238b0d9ea99p-14, 0x1.f3fa2142eab78p-15, 0x1.d45f892b6d79p-15, 0x1.b573102d6ebc3p-15, 0x1.9730a25fe64e7p-15, 0x1.79945409bb2d1p-15, 0x1.5c9a6017bf7fcp-15, 0x1.403f26a27bb04p-15, 0x1.247f2b81320e2p-15, 0x1.095714e022598p-15, 0x1.dd8753dae1cc3p-16, 0x1.a983a307d7168p-16, 0x1.769d21d29ee71p-16, 0x1.44ce15278fd6dp-16, 0x1.1410f9eb4eec3p-16, 0x1.c8c10561cbeb4p-17, 0x1.6b6f2af2b51ccp-17, 0x1.1022931c5002dp-17, 0x1.6da3959808ebbp-18, 0x1.7dcee50d4368cp-19, 0x1.3ff384ccee27ep-22, -0x1.264bf0fc8b46bp-19, -0x1.3698617858542p-18, -0x1.d667ad5bc3d4dp-18, -0x1.39517b749da35p-17, -0x1.85ac67be02802p-17, -0x1.d04ba2b1a253p-17, -0x1.0c9afa83a2403p-16, -0x1.3038f5f80ff9cp-16, -0x1.5302ee02c4c6cp-16, -0x1.74fbf1fbe78bp-16, -0x1.9626f79fd263dp-16, -0x1.b686dc5627055p-16, -0x1.d61e6669fa342p-16, -0x1.f4f046389cd87p-16, -0x1.097f8babd1ad6p-15, -0x1.1826b0d3264fcp-15, -0x1.266ecd317531cp-15, -0x1.345912920ab66p-15, -0x1.41e6aa6d32bcep-15, -0x1.4f18b65b46875p-15, -0x1.5bf0508ab165fp-15, -0x1.686e8c283f753p-15, -0x1.749475cd47e0bp-15, -0x1.806313dfca64ep-15, -0x1.8bdb66f4b8051p-15, -0x1.96fe6a2aaca5bp-15, -0x1.a1cd138216681p-15, -0x1.ac48543126524p-15, -0x1.b67118f4889fcp-15, -0x1.c0484a5ad48d7p-15, -0x1.c9cecd0cc2b9cp-15, -0x1.d305821395fd4p-15, -0x1.dbed471a5a5e2p-15, -0x1.e486f6ab19444p-15, -0x1.ecd3686d84bc3p-15, -0x1.f4d3715c1d05ap-15, -0x1.fc87e3fc1be58p-15, -0x1.01f8c8477f929p-14, -0x1.0588a2a15563fp-14, -0x1.08f3e72f2d99bp-14, -0x1.0c3afb36f57aap-14, -0x1.0f5e43349e7e8p-14, -0x1.125e22ed70287p-14, -0x1.153afd80fa411p-14, -0x1.17f5357b0c746p-14, -0x1.1a8d2ce2259cdp-14, -0x1.1d034546ef1c6p-14, -0x1.1f57dfd152758p-14, -0x1.218b5d4cdd16ap-14, -0x1.239e1e351841ep-14, -0x1.259082bfe85ffp-14, -0x1.2762eae7401a7p-14, -0x1.2915b6738beedp-14, -0x1.2aa94502970cdp-14, -0x1.2c1df61021ff1p-14, -0x1.2d7428fccb244p-14, -0x1.2eac3d13ebd2ap-14, -0x1.2fc69191a67cp-14, -0x1.30c385a77c7eep-14, -0x1.31a3788122d7p-14, -0x1.3266c947bef4cp-14, -0x1.330dd725758cp-14, -0x1.339901484eca9p-14, -0x1.3408a6e471385p-14, -0x1.345d27358e81dp-14, -0x1.3496e180e429p-14, -0x1.34b635157a91fp-14, -0x1.34bb814d0268bp-14, -0x1.34a7258bf81e2p-14, -0x1.34798140c22f8p-14, -0x1.3432f3e475b01p-14, -0x1.33d3dcf87b57dp-14, -0x1.335c9c0631a8dp-14, -0x1.32cd909d3dd94p-14, -0x1.32271a518645fp-14, -0x1.316998b9dc2c1p-14, -0x1.30956b6cc7778p-14, -0x1.2faaf1fee2a9cp-14, -0x1.2eaa8bffa33c2p-14, -0x1.2d9498f69ed84p-14, -0x1.2c69786044c62p-14, -0x1.2b2989ab73aafp-14, -0x1.29d52c34ed44p-14, -0x1.286cbf44b3f1p-14, -0x1.26f0a20a3885bp-14, -0x1.256133981b1e7p-14, -0x1.23bed2e0f3de6p-14, -0x1.2209deb2eb97cp-14, -0x1.2042b5b422005p-14, -0x1.1e69b65e1ac19p-14, -0x1.1c7f3ef9ad803p-14, -0x1.1a83ad9af6f7ep-14, -0x1.1877601d18317p-14, -0x1.165ab41d7d904p-14, -0x1.142e06f81a267p-14, -0x1.11f1b5c2a02b7p-14, -0x1.0fa61d48221cp-14, -0x1.0d4b9a051917ep-14, -0x1.0ae288225f8e7p-14, -0x1.086b437141568p-14, -0x1.05e62766f9addp-14, -0x1.03538f187f956p-14, -0x1.00b3d535eeeb1p-14, -0x1.fc0ea80ce7e0ap-15, -0x1.f69ccac7a1588p-15, -0x1.f112c56c992d7p-15, -0x1.eb7149e0bdd0dp-15, -0x1.e5b90915349f4p-15, -0x1.dfeab2ff6e88fp-15, -0x1.da06f6911e775p-15, -0x1.d40e81af48079p-15, -0x1.ce02012b9e963p-15, -0x1.c7e220bc04068p-15, -0x1.c1af8af36504cp-15, -0x1.bb6ae93a62d81p-15, -0x1.b514e3c75fc1dp-15, -0x1.aeae2197c1922p-15, -0x1.a8374868f7597p-15, -0x1.a1b0fcb1f5a26p-15, -0x1.9b1be19b96c3cp-15, -0x1.947898fb20a2ep-15, -0x1.8dc7c34b8e7d2p-15, -0x1.8709ffa723785p-15, -0x1.803febc15ae02p-15, -0x1.796a23e1d0fcdp-15, -0x1.728942de13f84p-15, -0x1.6b9de213f8fcap-15, -0x1.64a89964b9a54p-15, -0x1.5da9ff2f7682ep-15, -0x1.56a2a84c9be2ap-15, -0x1.4f93280915391p-15, -0x1.487c10219ed0fp-15, -0x1.415df0be889aep-15, -0x1.3a39586ff20c7p-15, -0x1.330ed4282ebc9p-15, -0x1.2bdeef39bb9cbp-15, -0x1.24aa3353200c4p-15, -0x1.1d71287ae2bd6p-15, -0x1.1634550cd932p-15, -0x1.0ef43db65478fp-15, -0x1.07b165740b3b3p-15, -0x1.006c4d8f0f273p-15, -0x1.f24aeb3496884p-16, -0x1.e3bab6e000f21p-16, -0x1.d528f65f5dc3p-16, -0x1.c6969e776a8e7p-16, -0x1.b804a06fa6742p-16, -0x1.a973ea0f4f1c2p-16, -0x1.9ae5659901a8fp-16, -0x1.8c59f9c8e9f1fp-16, -0x1.7dd289d26de06p-16, -0x1.6f4ff55da5a32p-16, -0x1.60d31885a5926p-16, -0x1.525ccbd77b802p-16, -0x1.43ede451051eap-16, -0x1.358733603054ap-16, -0x1.272986e1fb6fp-16, -0x1.18d5a921d69a1p-16, -0x1.0a8c60db40c58p-16, -0x1.f89ce272c5858p-17, -0x1.dc3933af31ccbp-17, -0x1.bfef2d83fda56p-17, -0x1.a3c040ee8c025p-17, -0x1.87add7d36e024p-17, -0x1.6bb955020309bp-17, -0x1.4fe41439aaf2p-17, -0x1.342f6a2e74ee4p-17, -0x1.189ca48ce362dp-17, -0x1.fa5a13fc204dfp-18, -0x1.c3c3b45f6e1e6p-18, -0x1.8d789bb2fa4d8p-18, -0x1.577b2d8c7405p-18, -0x1.21cdbfb01369fp-18, -0x1.d8e53446e6e78p-19, -0x1.6ed7ee7722685p-19, -0x1.0578075f10906p-19, -0x1.39937aa135b0ap-20, -0x1.a6899d9385963p-22, 0x1.936c6728342dep-22, 0x1.31dd2d03a6c97p-20, 0x1.fd5c2b54dfcd9p-20, 0x1.63a8513a36595p-19, 0x1.c7d9aa304e504p-19, 0x1.159f4dbe95514p-18, 0x1.46e9dcec2d935p-18, 0x1.77cad9ca65be9p-18, 0x1.a840a8345eeffp-18, 0x1.d849b8a129914p-18, 0x1.03f244040bbf2p-17, 0x1.1b87cfe2ce6afp-17, 0x1.32e4cac0a8a88p-17, 0x1.4a08858975cbep-17, 0x1.60f2573378651p-17, 0x1.77a19cb1fd62fp-17, 0x1.8e15b8e6d8c99p-17, 0x1.a44e1492a8aa6p-17, 0x1.ba4a1e471186ep-17, 0x1.d0094a577faccp-17, 0x1.e58b12cc1c0fdp-17, 0x1.facef75048ddap-17, 0x1.07ea3e926cc65p-16, 0x1.124d978860be7p-16, 0x1.1c914ea7c8459p-16, 0x1.26b52ec12a10fp-16, 0x1.30b90550912c5p-16, 0x1.3a9ca2752eb45p-16, 0x1.445fd8e95f012p-16, 0x1.4e027dfabeabap-16, 0x1.5784698192a24p-16, 0x1.60e575d8b41bbp-16, 0x1.6a257fd5c0fd3p-16, 0x1.734466c0ce284p-16, 0x1.7c420c4b8eb51p-16, 0x1.851e5489d8a8p-16, 0x1.8dd925e903a8bp-16, 0x1.967269278fc7ap-16, 0x1.9eea094c02808p-16, 0x1.a73ff39d69469p-16, 0x1.af74179ad22c7p-16, 0x1.b78666f3407bep-16, 0x1.bf76d57cd8fbfp-16, 0x1.c745592c61cd9p-16, 0x1.cef1ea0c844f6p-16, 0x1.d67c823697003p-16, 0x1.dde51dc8e9acp-16, 0x1.e52bbadf64ca6p-16, 0x1.ec50598afd1b4p-16, 0x1.f352fbc8d1836p-16, 0x1.fa33a57a57d91p-16, 0x1.00792e2e64a5ep-15, 0x1.03c794004a47cp-15, 0x1.070508e0a8de4p-15, 0x1.0a31925f1a80ap-15, 0x1.0d4d36e88bccap-15, 0x1.1057fdc3443fdp-15, 0x1.1351ef0a9d23dp-15, 0x1.163b13ab14b6ap-15, 0x1.1913755e7bfbdp-15, 0x1.1bdb1ea790d65p-15, 0x1.1e921ace28f7fp-15, 0x1.213875db600f3p-15, 0x1.23ce3c9589c9ap-15, 0x1.26537c7c13a05p-15, 0x1.28c843c38c1c2p-15, 0x1.2b2ca152087f6p-15, 0x1.2d80a4bb3791cp-15, 0x1.2fc45e3c7bfd3p-15, 0x1.31f7deb9282cap-15, 0x1.341b37b696db2p-15, 0x1.362e7b586bfe4p-15, 0x1.3831bc5d053e9p-15, 0x1.3a250e198e909p-15, 0x1.3c0884769658dp-15, 0x1.3ddc33ec1a73dp-15, 0x1.3fa0317e1f983p-15, 0x1.415492b919298p-15, 0x1.42f96dae5b7e7p-15, 0x1.448ed8f0611d1p-15, 0x1.4614eb8f7b559p-15, 0x1.478bbd167d185p-15, 0x1.48f365870652ep-15, 0x1.4a4bfd566757p-15, 0x1.4b959d6a2ba09p-15, 0x1.4cd05f1489f1dp-15, 0x1.4dfc5c117467dp-15, 0x1.4f19ae832903cp-15, 0x1.502870eee750ap-15, 0x1.5128be3a14485p-15, 0x1.521ab1a6b42a1p-15, 0x1.52fe66d07245fp-15, 0x1.53d3f9a997d81p-15, 0x1.549b8677e7df4p-15, 0x1.555529d1c587dp-15, 0x1.5601009b0b529p-15, 0x1.569f280227c59p-15, 0x1.572fbd7d62766p-15, 0x1.57b2dec7beb91p-15, 0x1.5828a9de46cabp-15, 0x1.58913cfd65c18p-15, 0x1.58ecb69de0ee4p-15, 0x1.593b35724b613p-15, 0x1.597cd8641f5c1p-15, 0x1.59b1be91937a9p-15, 0x1.59da074a97519p-15, 0x1.59f5d20e5166cp-15, 0x1.5a053e8879d98p-15, 0x1.5a086c8f3d97ap-15, 0x1.59ff7c209b2fap-15, 0x1.59ea8d5f9c53dp-15, 0x1.59c9c0926ac7bp-15, 0x1.599d361fc66a3p-15, 0x1.59650e8cb7c79p-15, 0x1.59216a7a2b3fcp-15, 0x1.58d26aa2eb4a5p-15, 0x1.58782fd940a87p-15, 0x1.5812db04e9c7p-15, 0x1.57a28d20b3034p-15, 0x1.57276738ae2ebp-15, 0x1.56a18a67e40bep-15, 0x1.561117d65a767p-15, 0x1.557630b74f25p-15, }}, 
      {{0x1.370a05374ceecp-7, 0x1.37e592b15e201p-6, 0x1.d5d26c5c1646bp-6, 0x1.3addf9314ccefp-5, 0x1.8be6d22d662b9p-5, 0x1.ddf9a56c66e47p-5, 0x1.1878c44ae1b9dp-4, 0x1.424a62c2cecc7p-4, 0x1.6c4d755ccece8p-4, 0x1.965932c3c64a2p-4, 0x1.c042b1b83b7fp-4, 0x1.e9def07bda276p-4, 0x1.09823957c4372p-3, 0x1.1dc63e3fe8c97p-3, 0x1.31a9fad9050d1p-3, 0x1.451e00551eb2ep-3, 0x1.581528d75f8e7p-3, 0x1.6a84a9089d9ap-3, 0x1.7c640cedd6215p-3, 0x1.8dad24b2b0466p-3, 0x1.9e5be576d083cp-3, 0x1.ae6e418ed8741p-3, 0x1.bde3fb16f77ffp-3, 0x1.ccbe73309aed3p-3, 0x1.db0077cfb5574p-3, 0x1.e8ae119670fe7p-3, 0x1.f5cc52e7001c1p-3, 0x1.01309484c08e4p-2, 0x1.073998032a5ffp-2, 0x1.0d04c4d113191p-2, 0x1.1295dbdfb621dp-2, 0x1.17f0bd23bc4edp-2, 0x1.1d1958515e5adp-2, 0x1.22139f5988f63p-2, 0x1.26e37a9999c78p-2, 0x1.2b8cbea97f80fp-2, 0x1.301323affaffep-2, 0x1.347a3e2208877p-2, 0x1.38c578d105d6ap-2, 0x1.3cf8102a7c219p-2, 0x1.41150e8c949f2p-2, 0x1.451f4992e6cf3p-2, 0x1.4919604055bcdp-2, 0x1.4d05b9ec1005bp-2, 0x1.50e685d955c8cp-2, 0x1.54bdbb634eb43p-2, 0x1.588d1aa7fefbbp-2, 0x1.5c562d9f2a97bp-2, 0x1.601a498ba9281p-2, 0x1.63da90b76e4d7p-2, 0x1.6797f46c130d5p-2, 0x1.6b53371b44f6dp-2, 0x1.6f0ceeabe0078p-2, 0x1.72c586e1db3c1p-2, 0x1.767d43d85906ap-2, 0x1.7a3444865dad6p-2, 0x1.7dea8547a6f45p-2, 0x1.819fe2641104fp-2, 0x1.85541a90d1c1ep-2, 0x1.8906d1677ec91p-2, 0x1.8cb791cf976ebp-2, 0x1.9065d057cc688p-2, 0x1.9410ed7cccefbp-2, 0x1.97b837dbdc42ep-2, 0x1.9b5aee4fca6aep-2, 0x1.9ef841f753ce3p-2, 0x1.a28f58242bc81p-2, 0x1.a61f4c32444f5p-2, 0x1.a9a731471043dp-2, 0x1.ad2613f8c2255p-2, 0x1.b09afbdd985a5p-2, 0x1.b404ed0385c06p-2, 0x1.b762e9508e7c9p-2, 0x1.bab3f1cc51fdbp-2, 0x1.bdf707d34d9b7p-2, 0x1.c12b2e346ead1p-2, 0x1.c44f6a399f2dp-2, 0x1.c762c49bf6acbp-2, 0x1.ca644a644e08fp-2, 0x1.cd530db8e9bf5p-2, 0x1.d02e2699005e5p-2, 0x1.d2f4b386d94bap-2, 0x1.d5a5da214808ep-2, 0x1.d840c7ad4032ep-2, 0x1.dac4b190449f7p-2, 0x1.dd30d5bc6ac3cp-2, 0x1.df847b0eac6b2p-2, 0x1.e1bef1a03d631p-2, 0x1.e3df930b9578bp-2, 0x1.e5e5c2a5db2e9p-2, 0x1.e7d0edad59d0dp-2, 0x1.e9a08b6da3ddfp-2, 0x1.eb541d5a024d5p-2, 0x1.eceb2f1ec86dcp-2, 0x1.ee6556aa22c65p-2, 0x1.efc2342cecd54p-2, 0x1.f10172141e5e6p-2, 0x1.f222c4fb4a8e2p-2, 0x1.f325eb98bdac8p-2, 0x1.f40aaea3a6e4ep-2, 0x1.f4d0e0b4d04ebp-2, 0x1.f5785e2249f1p-2, 0x1.f6010cd67eee3p-2, 0x1.f66adc2314ba5p-2, 0x1.f6b5c48ff5fe4p-2, 0x1.f6e1c7a6efa0cp-2, 0x1.f6eeefbc3001fp-2, 0x1.f6dd4fb4005e2p-2, 0x1.f6ad02c60efcap-2, 0x1.f65e2c3e8c94p-2, 0x1.f5f0f73d70e36p-2, 0x1.f565967421718p-2, 0x1.f4bc43e1c4c37p-2, 0x1.f3f5408e75f1fp-2, 0x1.f310d4459da9ap-2, 0x1.f20f4d4f9c1fcp-2, 0x1.f0f1002b02e17p-2, 0x1.efb6474581aacp-2, 0x1.ee5f82b4c1367p-2, 0x1.eced17ef4bafp-2, 0x1.eb5f7185aebe1p-2, 0x1.e9b6fedbfc29cp-2, 0x1.e7f433e3ca6e7p-2, 0x1.e61788d6d3ac4p-2, 0x1.e42179f25293ep-2, 0x1.e212873335f34p-2, 0x1.dfeb34134707dp-2, 0x1.ddac074752dc3p-2, 0x1.db558a7e7499bp-2, 0x1.d8e84a2289288p-2, 0x1.d664d519e5a12p-2, 0x1.d3cbbc8a5c6e7p-2, 0x1.d11d939d9c1fep-2, 0x1.ce5aef46f982cp-2, 0x1.cb84660aa8f81p-2, 0x1.c89a8fc676dccp-2, 0x1.c59e057c0287cp-2, 0x1.c28f611c80454p-2, 0x1.bf6f3d560ff03p-2, 0x1.bc3e3562a203p-2, 0x1.b8fce4d8776e7p-2, 0x1.b5abe77c3680ap-2, 0x1.b24bd9149cc5ap-2, 0x1.aedd553fc9ed3p-2, 0x1.ab60f74a24958p-2, 0x1.a7d75a06d73a6p-2, 0x1.a44117a9e547bp-2, 0x1.a09ec9a3d1b5dp-2, 0x1.9cf1087edab68p-2, 0x1.99386bbdbbecfp-2, 0x1.957589bc014f9p-2, 0x1.91a8f78fd4b5bp-2, 0x1.8dd348ed54243p-2, 0x1.89f5100b5837ep-2, 0x1.860edd89b146ap-2, 0x1.82214058d34c8p-2, 0x1.7e2cc5a2e3e3ep-2, 0x1.7a31f8b628157p-2, 0x1.763162f0cbd81p-2, 0x1.722b8badf7d0ep-2, 0x1.6e20f83432401p-2, 0x1.6a122ba4fde76p-2, 0x1.65ffa6edb529ep-2, 0x1.61e9e8b995128p-2, 0x1.5dd16d64f0c8fp-2, 0x1.59b6aef1897e2p-2, 0x1.559a24fbf9aafp-2, 0x1.517c44b235d26p-2, 0x1.4d5d80cb1364p-2, 0x1.493e497ed0765p-2, 0x1.451f0c8092ad9p-2, 0x1.410034f8d5627p-2, 0x1.3ce22b80c1c39p-2, 0x1.38c5561e626cfp-2, 0x1.34aa1841b2053p-2, 0x1.3090d2c2757c4p-2, 0x1.2c79e3dee17a4p-2, 0x1.2865a73afc0b4p-2, 0x1.245475e0b6922p-2, 0x1.2046a640b9697p-2, 0x1.1c3c8c33d7865p-2, 0x1.183678fd21507p-2, 0x1.1434bb4c947cbp-2, 0x1.10379f425b484p-2, 0x1.0c3f6e729b145p-2, 0x1.084c6fe9c52fbp-2, 0x1.045ee831656ap-2, 0x1.007719556a799p-2, 0x1.f92a85d3ba6d4p-3, 0x1.f1734422080e1p-3, 0x1.e9c8e303d19d8p-3, 0x1.e22bd31e81e7p-3, 0x1.da9c805d52c25p-3, 0x1.d31b520073462p-3, 0x1.cba8aaacc4646p-3, 0x1.c444e87c26a95p-3, 0x1.bcf0650e4cccap-3, 0x1.b5ab759a0b2a5p-3, 0x1.ae766aff16f0ep-3, 0x1.a75191d830a08p-3, 0x1.a03d328da4bcdp-3, 0x1.9939916830c5bp-3, 0x1.9246eea4231f2p-3, 0x1.8b658684cf6a3p-3, 0x1.8495916836c3cp-3, 0x1.7dd743dae68c5p-3, 0x1.772aceac05ce6p-3, 0x1.70905f0186b52p-3, 0x1.6a081e6c76cc9p-3, 0x1.639232fd6b677p-3, 0x1.5d2ebf58fcf8bp-3, 0x1.56dde2cc4b39bp-3, 0x1.509fb96190436p-3, 0x1.4a745bf4a8393p-3, 0x1.445be0479f1b7p-3, 0x1.3e5659172b3fep-3, 0x1.3863d62f1efeep-3, 0x1.3284647ec2a04p-3, 0x1.2cb80e2d1aee8p-3, 0x1.26fedaad09f6ep-3, 0x1.2158ced159cc9p-3, 0x1.1bc5ece09ed4dp-3, 0x1.164634a8ed37dp-3, 0x1.10d9a3936ce3cp-3, 0x1.0b8034b7b7077p-3, 0x1.0639e0ef05cf5p-3, 0x1.01069ee7303cdp-3, 0x1.f7ccc66ad61d6p-4, 0x1.edb240d1af0c3p-4, 0x1.e3bd8e399ea4p-4, 0x1.d9ee8c15e954ap-4, 0x1.d045143a127cep-4, 0x1.c6c0fcfcedb55p-4, 0x1.bd62195b4a122p-4, 0x1.b4283919ef3bdp-4, 0x1.ab1328e732bc1p-4, 0x1.a222b27be0e3bp-4, 0x1.99569cbba86f1p-4, 0x1.90aeabd4ecef9p-4, 0x1.882aa15fff477p-4, 0x1.7fca3c7dc82ccp-4, 0x1.778d39f5d61afp-4, 0x1.6f735453d6c99p-4, 0x1.677c4404743e5p-4, 0x1.5fa7bf71962ep-4, 0x1.57f57b1e0f3d8p-4, 0x1.506529c0a8c31p-4, 0x1.48f67c5e962f5p-4, 0x1.41a922654f0e1p-4, 0x1.3a7cc9c3cab33p-4, 0x1.33711f032631cp-4, 0x1.2c85cd5ea7c5bp-4, 0x1.25ba7edb35ae4p-4, 0x1.1f0edc5e274fdp-4, 0x1.18828dc38723p-4, 0x1.121539f3b86b8p-4, 0x1.0bc686f88d619p-4, 0x1.05961a11bf8e9p-4, 0x1.ff072f91bc78fp-5, 0x1.f31d4809480c7p-5, 0x1.e76dc43780bcdp-5, 0x1.dbf7e9ce1d712p-5, 0x1.d0bafda67f749p-5, 0x1.c5b643e3f6fb7p-5, 0x1.bae90014eb5ddp-5, 0x1.b0527552efd45p-5, 0x1.a5f1e661d5994p-5, 0x1.9bc695cdac4e6p-5, 0x1.91cfc607c021ap-5, 0x1.880cb98296bfp-5, 0x1.7e7cb2ccecd28p-5, 0x1.751ef4abbfb5ep-5, 0x1.6bf2c2335be75p-5, 0x1.62f75edf7da7p-5, 0x1.5a2c0eaa86331p-5, 0x1.51901623c438bp-5, 0x1.4922ba84def6p-5, 0x1.40e341c65c4f2p-5, 0x1.38d0f2b34fe96p-5, 0x1.30eb14fc2f135p-5, 0x1.2930f148d5cacp-5, 0x1.21a1d149bdeebp-5, 0x1.1a3cffc86cd56p-5, 0x1.1301c8b716ee1p-5, 0x1.0bef793f8dd4ap-5, 0x1.05055fd164caap-5, 0x1.fc85985ed0293p-6, 0x1.ef4e1ef8b8a78p-6, 0x1.e262f88e20208p-6, 0x1.d5c2cd2b83204p-6, 0x1.c96c47e1bb1c5p-6, 0x1.bd5e16da40a1p-6, 0x1.b196eb6a2376ep-6, 0x1.a6157a23e2456p-6, 0x1.9ad87ae8009fep-6, 0x1.8fdea8f48d729p-6, 0x1.8526c2f3861c2p-6, 0x1.7aaf8b0827cb9p-6, 0x1.7077c6db3577p-6, 0x1.667e3fa63f164p-6, 0x1.5cc1c23de8b98p-6, 0x1.53411f1b425e7p-6, 0x1.49fb2a643571dp-6, 0x1.40eebbf3003f8p-6, 0x1.381aaf5cf092cp-6, 0x1.2f7de3f82487bp-6, 0x1.27173ce09e413p-6, 0x1.1ee5a0fc79417p-6, 0x1.16e7faff67646p-6, 0x1.0f1d396d74c8ep-6, 0x1.07844e9d1794ap-6, 0x1.001c30b88e63bp-6, 0x1.f1c7b37d3b269p-7, 0x1.e3b48f0555674p-7, 0x1.d5fcf7587bbb7p-7, 0x1.c89ef76bd1dc3p-7, 0x1.bb98a1d754e84p-7, 0x1.aee810d183911p-7, 0x1.a28b662a0bc35p-7, 0x1.9680cb4361a7ep-7, 0x1.8ac6710b8d626p-7, 0x1.7f5a8ff3ed69bp-7, 0x1.743b67e84a5c8p-7, 0x1.69674044de072p-7, 0x1.5edc67cbcdacp-7, 0x1.54993499c04e3p-7, 0x1.4a9c0419d3223p-7, 0x1.40e33af8d5a17p-7, 0x1.376d4517ee52ap-7, 0x1.2e38957e9fb14p-7, 0x1.2543a64c3cd4p-7, 0x1.1c8cf8a8cdd13p-7, 0x1.141314b58a05bp-7, 0x1.0bd4897caf1a9p-7, 0x1.03cfece112603p-7, 0x1.f807b71a558bdp-8, 0x1.e8ddf1c372db3p-8, 0x1.da1fddc84d9fbp-8, 0x1.cbcadc58e5e3ep-8, 0x1.bddc5ba5c9bcdp-8, 0x1.b051d6bac56fep-8, 0x1.a328d559381d4p-8, 0x1.965eebd1c722p-8, 0x1.89f1badd92cffp-8, 0x1.7ddeef773e645p-8, 0x1.722442b376cc2p-8, 0x1.66bf799918dccp-8, 0x1.5bae64f94a51dp-8, 0x1.50eee14703cd9p-8, 0x1.467ed66ec3f25p-8, 0x1.3c5c37adc92a2p-8, 0x1.328503695aa27p-8, 0x1.28f74305d3129p-8, 0x1.1fb10abda989cp-8, 0x1.16b0797887c05p-8, 0x1.0df3b8a22d2dbp-8, 0x1.0578fc01703d8p-8, 0x1.fa7d031e8a4a3p-9, 0x1.ea85229bcb4ffp-9, 0x1.db06fa3fd2c27p-9, 0x1.cbff413f3f448p-9, 0x1.bd6ac1ecf6aa8p-9, 0x1.af4659692d08cp-9, 0x1.a18ef75119b5dp-9, 0x1.94419d6ec5a1bp-9, 0x1.875b5f6954f68p-9, 0x1.7ad96275e1667p-9, 0x1.6eb8dd08a58acp-9, 0x1.62f71686d9067p-9, 0x1.579166f91334ep-9, 0x1.4c8536be1ddefp-9, 0x1.41cffe3e86379p-9, 0x1.376f45a0c7874p-9, 0x1.2d60a47e29fcep-9, 0x1.23a1c19813356p-9, 0x1.1a30528e71edap-9, 0x1.110a1b9668c12p-9, 0x1.082cef321382ap-9, 0x1.ff2d5bd204d3ap-10, 0x1.ee8a8c0243ce5p-10, 0x1.de6d6671acce3p-10, 0x1.ced1fd035605ep-10, 0x1.bfb47b77b77dbp-10, 0x1.b11126e566e65p-10, 0x1.a2e45d33667dbp-10, 0x1.952a94953890ep-10, 0x1.87e05b086d4abp-10, 0x1.7b0255d4769a5p-10, 0x1.6e8d410b5e677p-10, 0x1.627def0cdba3p-10, 0x1.56d1480aef28p-10, 0x1.4b8449902251ap-10, 0x1.40940607c81bp-10, 0x1.35fda447ccd03p-10, 0x1.2bbe5f1c37381p-10, 0x1.21d384d49802fp-10, 0x1.183a76d34fda5p-10, 0x1.0ef0a91e459afp-10, 0x1.05f3a1f1c8a4cp-10, 0x1.fa81f2a966f71p-11, 0x1.e9acb15dc2aafp-11, 0x1.d962f4c1a1e65p-11, 0x1.c9a052bb1ae5p-11, 0x1.ba60818c15ce8p-11, 0x1.ab9f570c33068p-11, 0x1.9d58c7e6e88dcp-11, 0x1.8f88e6dc1cdf2p-11, 0x1.822be40539b61p-11, 0x1.753e0c1cdc859p-11, 0x1.68bbc7c9b9e89p-11, 0x1.5ca19aeda9f4p-11, 0x1.50ec23f730e39p-11, 0x1.45981b36ca327p-11, 0x1.3aa252373a8bep-11, 0x1.3007b3195e591p-11, 0x1.25c53ff2a9954p-11, 0x1.1bd8122f35cfep-11, 0x1.123d59f70b7dcp-11, 0x1.08f25d95f3224p-11, 0x1.ffe8f1cdd56f7p-12, 0x1.ee8239852b8c7p-12, 0x1.ddab9ce0142d7p-12, 0x1.cd604e32b1ed4p-12, 0x1.bd9ba685323c5p-12, 0x1.ae592487f6133p-12, 0x1.9f946b8d1da5p-12, 0x1.91494287fffb6p-12, 0x1.837393121ecbbp-12, 0x1.760f687529fb5p-12, 0x1.6918eebb5c0a4p-12, 0x1.5c8c71c428933p-12, 0x1.50665c5ec2e42p-12, 0x1.44a3376995a6ap-12, 0x1.393fa8f6c5b6bp-12, 0x1.2e38737601758p-12, 0x1.238a74e2b51cp-12, 0x1.1932a5f8026ebp-12, 0x1.0f2e1968aa998p-12, 0x1.0579fb1bcb623p-12, 0x1.f8271edd851d9p-13, 0x1.e5f064f5fd003p-13, 0x1.d44aaec15f4afp-13, 0x1.c3310f2babdcep-13, 0x1.b29ec4733defap-13, 0x1.a28f36d74e234p-13, 0x1.92fdf74f99818p-13, 0x1.83e6be4c62d13p-13, 0x1.75456a7dadfd3p-13, 0x1.6715ffa34915bp-13, 0x1.5954a563d4d92p-13, 0x1.4bfda62c3a774p-13, 0x1.3f0d6e1507d55p-13, 0x1.328089d139c09p-13, 0x1.2653a5a2de395p-13, 0x1.1a838c568bf0cp-13, 0x1.0f0d2647564f9p-13, 0x1.03ed786751b93p-13, 0x1.f24346a08dc32p-14, 0x1.dd4dc4b56c0ecp-14, 0x1.c8f515746859bp-14, 0x1.b5341542ce8ccp-14, 0x1.a205d0d6c6ae6p-14, 0x1.8f65839570c2p-14, 0x1.7d4e95fd7e365p-14, 0x1.6bbc9c1da09fbp-14, 0x1.5aab54147c5b9p-14, 0x1.4a16a49d03ae1p-14, 0x1.39fa9ba5d9172p-14, 0x1.2a536cf20a53dp-14, 0x1.1b1d70c380ffdp-14, 0x1.0c5522914a51dp-14, 0x1.fbee3f8b9685cp-15, 0x1.e0004d1038b67p-15, 0x1.c4da291a4f28fp-15, 0x1.aa75cbe577fd8p-15, 0x1.90cd6849611b4p-15, 0x1.77db698e1d7e1p-15, 0x1.5f9a7159abab2p-15, 0x1.480555a87bcc9p-15, 0x1.31171ed78b996p-15, 0x1.1acb05c045129p-15, 0x1.051c71e14f2e6p-15, 0x1.e00def2d7282dp-16, 0x1.b70cacc0e6947p-16, 0x1.8f2cee6f495d3p-16, 0x1.6866d5e45860ap-16, 0x1.42b2d165817e4p-16, 0x1.1e0998cb52dbp-16, 0x1.f4c85533f341cp-17, 0x1.af7792579e799p-17, 0x1.6c13eff12a8ffp-17, 0x1.2a90f1e094e73p-17, 0x1.d5c527cad552bp-18, 0x1.59fa895888082p-18, 0x1.c3578464eeb8fp-19, 0x1.b30d7d6fee69ap-20, -0x1.34d1f07da22b6p-24, -0x1.ccb067acdf1acp-20, -0x1.bcb48880f89aap-19, -0x1.4670422999c28p-18, -0x1.ab7fe50725ca9p-18, -0x1.06cd2dc6ba9cp-17, -0x1.36681c6948835p-17, -0x1.6498bd975fa19p-17, -0x1.9166c968b578p-17, -0x1.bcd9b409c9408p-17, -0x1.e6f8b0c6d02fep-17, -0x1.07e55a7f318e7p-16, -0x1.1bab3d76bb89ep-16, -0x1.2ed14232edf6p-16, -0x1.415a8eb4baf6dp-16, -0x1.534a2f5524c9fp-16, -0x1.64a317f7dad5ap-16, -0x1.75682532e23c4p-16, -0x1.859c1d67d9693p-16, -0x1.9541b1d5bc00dp-16, -0x1.a45b7f997e2e7p-16, -0x1.b2ec10aa15032p-16, -0x1.c0f5dcc4d41a9p-16, -0x1.ce7b4a5366d26p-16, -0x1.db7eaf46b3e09p-16, -0x1.e80251e77000fp-16, -0x1.f408699d84472p-16, -0x1.ff931fafb84bdp-16, -0x1.055247fd2bd07p-15, -0x1.0a9f64cdee69cp-15, -0x1.0fb1e7cf51089p-15, -0x1.148accc9badecp-15, -0x1.192b0a15c1c56p-15, -0x1.1d9390e3020dap-15, -0x1.21c54d7e16f05p-15, -0x1.25c1279019aafp-15, -0x1.2988025d3a631p-15, -0x1.2d1abcfffbf31p-15, -0x1.307a32a02479cp-15, -0x1.33a73aa8cf42p-15, -0x1.36a2a8f9ef549p-15, -0x1.396d4e17fb80ep-15, -0x1.3c07f758c0746p-15, -0x1.3e736f0e60f7cp-15, -0x1.40b07caee8827p-15, -0x1.42bfe4fad1084p-15, -0x1.44a26a203002dp-15, -0x1.4658cbdc9f95p-15, -0x1.47e3c79ca65ecp-15, -0x1.4944189a4a05dp-15, -0x1.4a7a77f7b76ccp-15, -0x1.4b879cda05ef8p-15, -0x1.4c6c3c819fdc9p-15, -0x1.4d290a607b679p-15, -0x1.4dbeb8308d9d7p-15, -0x1.4e2df6065a3adp-15, -0x1.4e77726412e78p-15, -0x1.4e9bda4a3e242p-15, -0x1.4e9bd947952cfp-15, -0x1.4e7819877c74cp-15, -0x1.4e3143df91946p-15, -0x1.4dc7ffdb8d8fap-15, -0x1.4d3cf3c8e417cp-15, -0x1.4c90c4c056f18p-15, -0x1.4bc416afb6086p-15, -0x1.4ad78c6217dfdp-15, -0x1.49cbc787335bep-15, -0x1.48a168b9ee563p-15, -0x1.47590f868e29dp-15, -0x1.45f35a6f42596p-15, -0x1.4470e6f1a8e38p-15, -0x1.42d2518971144p-15, -0x1.411835b4b2a65p-15, -0x1.3f432df5342e3p-15, -0x1.3d53d3d3bf2fap-15, -0x1.3b4abfe14d507p-15, -0x1.392889b7c9d24p-15, -0x1.36edc7fb5d65dp-15, -0x1.349b105a57782p-15, -0x1.3230f78ce8a96p-15, -0x1.2fb01154f285ep-15, -0x1.2d18f07d385b1p-15, -0x1.2a6c26d7f6ee9p-15, -0x1.27aa453dedb16p-15, -0x1.24d3db8c41f59p-15, -0x1.21e978a2fa2ddp-15, -0x1.1eebaa62b5e69p-15, -0x1.1bdafdaa80c5p-15, -0x1.18b7fe5570329p-15, -0x1.15833737be40cp-15, -0x1.123d321c3487ep-15, -0x1.0ee677c0db509p-15, -0x1.0b7f8fd51da31p-15, -0x1.080900f54631bp-15, -0x1.048350a8be6dfp-15, -0x1.00ef035da33a7p-15, -0x1.fa9938ccacaep-16, -0x1.f3393beb7f4dap-16, -0x1.ebbf12388afa9p-16, -0x1.e42bbb88ca28ep-16, -0x1.dc80355e1acfdp-16, -0x1.d4bd7ae15bafep-16, -0x1.cce484dbba131p-16, -0x1.c4f649af8f23cp-16, -0x1.bcf3bd52a1f35p-16, -0x1.b4ddd1479b6abp-16, -0x1.acb574973cfb5p-16, -0x1.a47b93ca9d9a8p-16, -0x1.9c3118e4ffb19p-16, -0x1.93d6eb5d0cda3p-16, -0x1.8b6df018dbb1ep-16, -0x1.82f709665d808p-16, -0x1.7a7316f7c1b8dp-16, -0x1.71e2f5dcc97bbp-16, -0x1.6947807e17d66p-16, -0x1.60a18e9882b83p-16, -0x1.57f1f53880034p-16, -0x1.4f3986b520c2fp-16, -0x1.467912ac21ce6p-16, -0x1.3db165fdb17a4p-16, -0x1.34e34ac8b41d5p-16, -0x1.2c0f88671e323p-16, -0x1.2336e36aa5aa5p-16, -0x1.1a5a1d9a10569p-16, -0x1.1179f5ed0c557p-16, -0x1.0897288afdd43p-16, -0x1.ff64dd8ecf34ep-17, -0x1.ed98fe400389ep-17, -0x1.dbcc1a7636e12p-17, -0x1.c9ff93cb025b6p-17, -0x1.b834c62230a1ep-17, -0x1.a66d07a7ef49cp-17, -0x1.94a9a8cd86a36p-17, -0x1.82ebf4497dc1cp-17, -0x1.71352f140a3a7p-17, -0x1.5f86986a3a133p-17, -0x1.4de169c9bd57ep-17, -0x1.3c46d6f3d9447p-17, -0x1.2ab80deddc91dp-17, -0x1.193637001188ap-17, -0x1.07c274bb26ce8p-17, -0x1.ecbbc7f0b13bbp-18, -0x1.ca1337b736f11p-18, -0x1.a78d5bafc7bafp-18, -0x1.852c4b63cee07p-18, -0x1.62f213062eafp-18, -0x1.40e0b38126656p-18, -0x1.1efa227966825p-18, -0x1.fa8094b74880dp-19, -0x1.b76a14cebebf5p-19, -0x1.74b46d7234d4p-19, -0x1.326330b2b6bd4p-19, -0x1.e0f3b51df65b7p-20, -0x1.5df7a22319541p-20, -0x1.b7b191b3d9887p-21, -0x1.6a7678edfc7efp-22, 0x1.2d9c9fc0cbcefp-23, 0x1.4a295ddc5aa9ep-21, 0x1.237fbe7a9436cp-20, 0x1.a0eef8dd032ddp-20, 0x1.0eae5f3777197p-19, 0x1.4c61cca54a93dp-19, 0x1.898f1e8bdfb82p-19, 0x1.c633c3520ec48p-19, 0x1.01269ee5bd0a2p-18, 0x1.1eec928b560f1p-18, 0x1.3c6a9230cf908p-18, 0x1.599f7d66096bfp-18, 0x1.768a3d98a7587p-18, 0x1.9329c6016d89p-18, 0x1.af7d1387ec826p-18, 0x1.cb832cad98f4fp-18, 0x1.e73b21765b5b1p-18, 0x1.015205a666403p-17, 0x1.0ede8675a8757p-17, 0x1.1c42a9212300ap-17, 0x1.297e0830245e9p-17, 0x1.369042ab08d1cp-17, 0x1.4378fc0d88ed4p-17, 0x1.5037dc3bf53bap-17, 0x1.5ccc8f73a3e07p-17, 0x1.6936c63e14b7p-17, 0x1.7576356476p-17, 0x1.818a95dfd2be8p-17, 0x1.8d73a4cd4bd42p-17, 0x1.9931235ed67bap-17, 0x1.a4c2d6cda557fp-17, 0x1.b028884dd1733p-17, 0x1.bb6204fcfc4a2p-17, 0x1.c66f1dd738badp-17, 0x1.d14fa7a6f9f87p-17, 0x1.dc037af797fcp-17, 0x1.e68a74076f141p-17, 0x1.f0e472b8ae397p-17, 0x1.fb115a82ce016p-17, 0x1.02888932e77b9p-16, 0x1.0771c26ccb808p-16, 0x1.0c444fe08e7f4p-16, 0x1.11002a2de7efdp-16, 0x1.15a54b9b89ad6p-16, 0x1.1a33b00f66b3cp-16, 0x1.1eab5508a7536p-16, 0x1.230c39976594ap-16, 0x1.27565e55d29e1p-16, 0x1.2b89c5619cf3bp-16, 0x1.2fa672540b406p-16, 0x1.33ac6a3af39d5p-16, 0x1.379bb39273f75p-16, 0x1.3b74563c95f26p-16, 0x1.3f365b7b2d8p-16, 0x1.42e1cde8ae487p-16, 0x1.4676b9711d2f7p-16, 0x1.49f52b4aa2ba4p-16, 0x1.4d5d31ef87e97p-16, 0x1.50aedd1674507p-16, 0x1.53ea3dac2c3e8p-16, 0x1.570f65cc45bbap-16, 0x1.5a1e68baebbc8p-16, 0x1.5d175addb897fp-16, 0x1.5ffa51b4b0307p-16, 0x1.62c763d46d152p-16, 0x1.657ea8df3dfa4p-16, 0x1.6820397e0ddf8p-16, 0x1.6aac2f5abc6cap-16, 0x1.6d22a518e71bbp-16, 0x1.6f83b6500cfb8p-16, 0x1.71cf7f84aab7ap-16, 0x1.74061e22c847cp-16, 0x1.7627b076cfca8p-16, 0x1.783455a7cd629p-16, 0x1.7a2c2db1664c5p-16, 0x1.7c0f595da11d8p-16, 0x1.7dddfa3ea1c48p-16, 0x1.7f9832a94377cp-16, 0x1.813e25aed3447p-16, 0x1.82cff7173318ep-16, 0x1.844dcb5b8951bp-16, 0x1.85b7c79fddbd7p-16, 0x1.870e11ade31aep-16, 0x1.8850cfef5c6e3p-16, 0x1.89802968a7cebp-16, 0x1.8a9c45b2f8801p-16, 0x1.8ba54cf7332cep-16, 0x1.8c9b67e8a8432p-16, 0x1.8d7ebfbfc9452p-16, 0x1.8e4f7e34c935ap-16, 0x1.8f0dcd7a97cdep-16, 0x1.8fb9d83a0f258p-16, 0x1.9053c98ca1ce5p-16, 0x1.90dbccf7baecfp-16, 0x1.91520e67813a9p-16, 0x1.91b6ba2a89facp-16, 0x1.9209fcecb0e34p-16, 0x1.924c03b2bb372p-16, 0x1.927cfbd5ca9b4p-16, 0x1.929d12fe90813p-16, 0x1.92ac772107991p-16, 0x1.92ab567847346p-16, 0x1.9299df81dd9a8p-16, 0x1.927840f9b3fddp-16, 0x1.9246a9d5dd8c1p-16, 0x1.92054942aaf27p-16, 0x1.91b44e9e74628p-16, 0x1.9153e975a18fp-16, 0x1.90e4497ed7d98p-16, 0x1.90659e96f5571p-16, 0x1.8fd818bd906a9p-16, 0x1.8f3be8110cba1p-16, 0x1.8e913ccb27c1cp-16, 0x1.8dd8473d4b091p-16, 0x1.8d1137ccf05b5p-16, 0x1.8c3c3ef05996ap-16, 0x1.8b598d2b3a11bp-16, 0x1.8a69530b3b418p-16, 0x1.896bc124dfc44p-16, 0x1.886108105b9d8p-16, 0x1.87495866561b8p-16, 0x1.8624e2bcce536p-16, 0x1.84f3d7a456cd6p-16, 0x1.83b667a5178c2p-16, 0x1.826cc33bb56a7p-16, 0x1.81171ad6afa5cp-16, 0x1.7fb59ed3d3bf2p-16, 0x1.7e487f7d3ca08p-16, 0x1.7ccfed06cb88dp-16, 0x1.7b4c178b808b7p-16, 0x1.79bd2f0b1bd65p-16, 0x1.782363679af13p-16, 0x1.767ee462e925dp-16, 0x1.74cfe19c73cddp-16, 0x1.73168a8edfc68p-16, 0x1.71530e8dbd73p-16, 0x1.6f859cc371595p-16, 0x1.6dae642f43a83p-16, 0x1.6bcd93a306889p-16, 0x1.69e359c118ab6p-16, 0x1.67efe4faa9698p-16, 0x1.65f3638dd318bp-16, 0x1.63ee038373158p-16, 0x1.61dff2ad9585p-16, 0x1.5fc95ea59d5aep-16, 0x1.5daa74caa7754p-16, 0x1.5b83623ff09adp-16, 0x1.595453eb23b19p-16, 0x1.571d7672c357p-16, 0x1.54def63cbb1a5p-16, 0x1.5298ff6cdc893p-16, 0x1.504bbde3826dep-16, 0x1.4df75d3c24326p-16, 0x1.4b9c08cc09b1p-16, 0x1.4939eba135c89p-16, 0x1.46d13080ecc75p-16, 0x1.446201e6914e1p-16, 0x1.41ec8a026dbedp-16, 0x1.3f70f2b8c89bfp-16, 0x1.3cef65a098588p-16, 0x1.3a680c02c23b1p-16, 0x1.37db0ed914cc3p-16, 0x1.354896cd2beep-16, 0x1.32b0cc378259bp-16, 0x1.3013d71ec901dp-16, 0x1.2d71df36ffc4cp-16, 0x1.2acb0be08f8fp-16, 0x1.281f84278f022p-16, 0x1.256f6ec34007ep-16, 0x1.22baf2155196fp-16, 0x1.200234291afb3p-16, 0x1.1d455ab2ecbc3p-16, 0x1.1a848b0fb0c71p-16, 0x1.17bfea4418be4p-16, 0x1.14f79cfc72056p-16, 0x1.122bc78c2f942p-16, 0x1.0f5c8ded1a7p-16, 0x1.0c8a13bf08e4fp-16, 0x1.09b47c4790b2ep-16, 0x1.06dbea71b0959p-16, 0x1.040080cd7298p-16, 0x1.0122618f9372ap-16, 0x1.fc835d223fa76p-17, 0x1.f6bd129f041f8p-17, 0x1.f0f225d88ca61p-17, 0x1.eb22d85926535p-17, 0x1.e54f6af27e3aep-17, 0x1.df781dbd240aep-17, 0x1.d99d301849318p-17, 0x1.d3bee0a9f62ffp-17, 0x1.cddd6d5e8ea99p-17, 0x1.c7f91368e9e43p-17, 0x1.c2120f422bdecp-17, 0x1.bc289ca98477p-17, 0x1.b63cf6a4a7077p-17, 0x1.b04f577faf056p-17, 0x1.aa5ff8cd41265p-17, 0x1.a46f1366d932bp-17, }}, 
      {{0x1.fb7f1297fd5c2p-1, 0x1.faf1c153e5869p-1, 0x1.fa11f4bb5d8c7p-1, 0x1.f8ec1adcd700dp-1, 0x1.f78c868ee690fp-1, 0x1.f5fe3b965f17dp-1, 0x1.f44a662de4bafp-1, 0x1.f2783b04aa92dp-1, 0x1.f08d135bb9c2bp-1, 0x1.ee8ca86d4af92p-1, 0x1.ec795bd921547p-1, 0x1.ea5481eb9d334p-1, 0x1.e81ea74c145c8p-1, 0x1.e5d7ceb1f9ef7p-1, 0x1.e37fa535f0d94p-1, 0x1.e115ad094a663p-1, 0x1.de995f141a938p-1, 0x1.dc0a445bea21cp-1, 0x1.d96808412e1fep-1, 0x1.d6b284ac16504p-1, 0x1.d3e9c9377ed4cp-1, 0x1.d10e1e53a6f2bp-1, 0x1.ce20053f94ec9p-1, 0x1.cb20359b4b125p-1, 0x1.c80f99388871ep-1, 0x1.c4ef46b4f9d2ap-1, 0x1.c1c07b50373dap-1, 0x1.be84945a19b0cp-1, 0x1.bb3d0882c201p-1, 0x1.b7eb6145334c3p-1, 0x1.b4913497570fcp-1, 0x1.b1301efe79e81p-1, 0x1.adc9be1d963d3p-1, 0x1.aa5fabcac3122p-1, 0x1.a6f379b2bd0cdp-1, 0x1.a386ad8c6c664p-1, 0x1.a01abdda5a6a5p-1, 0x1.9cb10f351bc0fp-1, 0x1.994af217854c8p-1, 0x1.95e9a12408b6dp-1, 0x1.928e3fd9a177ep-1, 0x1.8f39d9ae36159p-1, 0x1.8bed61842480cp-1, 0x1.88a9b170cdb26p-1, 0x1.856f8aca3b41bp-1, 0x1.823f96726c785p-1, 0x1.7f1a65576a32cp-1, 0x1.7c00711fd583cp-1, 0x1.78f21cfc55a6ap-1, 0x1.75efb696ef61dp-1, 0x1.72f97719fe25p-1, 0x1.700f84492977ep-1, 0x1.6d31f1a75a312p-1, 0x1.6a60c1a54052ep-1, 0x1.679be6d48e68p-1, 0x1.64e3451c952a5p-1, 0x1.6236b2ed5a977p-1, 0x1.5f95fa6ebfe3dp-1, 0x1.5d00daa9a8125p-1, 0x1.5a7708a96a75fp-1, 0x1.57f830942ff4bp-1, 0x1.5583f6b91f966p-1, 0x1.5319f8937bd62p-1, 0x1.50b9cdc20ce12p-1, 0x1.4e6308f262ffap-1, 0x1.4c1538bfa34ebp-1, 0x1.49cfe884b76e6p-1, 0x1.4792a121daddp-1, 0x1.455ce9b591a74p-1, 0x1.432e484931542p-1, 0x1.4106427138154p-1, 0x1.3ee45de1b4a3dp-1, 0x1.3cc820f718bcbp-1, 0x1.3ab11333ce679p-1, 0x1.389ebdb2f9d15p-1, 0x1.3690ab90d2268p-1, 0x1.34866a48fc167p-1, 0x1.327f8a0b5d2ep-1, 0x1.307b9e07d7f85p-1, 0x1.2e7a3cb163e82p-1, 0x1.2c7afff8f676cp-1, 0x1.2a7d8580add8p-1, 0x1.28816ec7ac876p-1, 0x1.2686614f16efdp-1, 0x1.248c06b89bd91p-1, 0x1.22920cdef1294p-1, 0x1.209825e8ab3b4p-1, 0x1.1e9e0855d034bp-1, 0x1.1ca36f0887046p-1, 0x1.1aa819493bc06p-1, 0x1.18abcac6923c5p-1, 0x1.16ae4b917bb89p-1, 0x1.14af6815bd132p-1, 0x1.12aef10f35bcfp-1, 0x1.10acbb7c2d2a3p-1, 0x1.0ea8a08cef159p-1, 0x1.0ca27d90f73ep-1, 0x1.0a9a33e1eb4abp-1, 0x1.088fa8cc9edep-1, 0x1.0682c57859ea3p-1, 0x1.047376cc93dc2p-1, 0x1.0261ad555ace1p-1, 0x1.004d5d268e8fcp-1, 0x1.fc6cfb7c4742dp-2, 0x1.f83a13cb1dcdp-2, 0x1.f401ff2511cbfp-2, 0x1.efc4bf8e8c21p-2, 0x1.eb825ce49661p-2, 0x1.e73ae49bf05f1p-2, 0x1.e2ee697fd6fd5p-2, 0x1.de9d0370a9916p-2, 0x1.da46cf22a464ap-2, 0x1.d5ebeddcde7fp-2, 0x1.d18c8538b1702p-2, 0x1.cd28bee1b5bf3p-2, 0x1.c8c0c85675e0dp-2, 0x1.c454d2a9f528p-2, 0x1.bfe512462f359p-2, 0x1.bb71beaf9fb93p-2, 0x1.b6fb1249f4d3fp-2, 0x1.b2814a1df86b3p-2, 0x1.ae04a5a0c9ef7p-2, 0x1.a985667c73244p-2, 0x1.a503d059eb43cp-2, 0x1.a08028ac8ff7ep-2, 0x1.9bfab67f238d4p-2, 0x1.9773c24253e59p-2, 0x1.92eb959cd5978p-2, 0x1.8e627b3d15705p-2, 0x1.89d8beac867e9p-2, 0x1.854eac248ca67p-2, 0x1.80c490650ac88p-2, 0x1.7c3ab88c8bb05p-2, 0x1.77b171f20f762p-2, 0x1.73290a0072568p-2, 0x1.6ea1ce1371d59p-2, 0x1.6a1c0b5646f16p-2, 0x1.65980ea3d3a1dp-2, 0x1.6116246862534p-2, 0x1.5c969884e9ba5p-2, 0x1.5819b633d4905p-2, 0x1.539fc7ef48d1ap-2, 0x1.4f291758df8afp-2, 0x1.4ab5ed22cef72p-2, 0x1.464690fa76373p-2, 0x1.41db49744aa52p-2, 0x1.3d745bf918adcp-2, 0x1.39120cb4920ap-2, 0x1.34b49e8521dd6p-2, 0x1.305c52ecf8a69p-2, 0x1.2c096a044dcfap-2, 0x1.27bc226cc859dp-2, 0x1.2374b946079c4p-2, 0x1.1f336a2343b92p-2, 0x1.1af86f01fa5bap-2, 0x1.16c400419e105p-2, 0x1.1296549c4442fp-2, 0x1.0e6fa1203fda2p-2, 0x1.0a50192aa8e0cp-2, 0x1.0637ee62bfa5ep-2, 0x1.022750b6275dcp-2, 0x1.fc3cdcabe1934p-3, 0x1.f43ae768c7803p-3, 0x1.ec49170717151p-3, 0x1.e467bd68e1159p-3, 0x1.dc9728ee039acp-3, 0x1.d4d7a47538fep-3, 0x1.cd29775e6a76ep-3, 0x1.c58ce58e1a701p-3, 0x1.be022f71ed9cfp-3, 0x1.b6899206386c5p-3, 0x1.af2346dc880ccp-3, 0x1.a7cf842313a8bp-3, 0x1.a08e7cad0a6ap-3, 0x1.99605ffbb033bp-3, 0x1.92455a483cbfep-3, 0x1.8b3d948e72945p-3, 0x1.84493497d60e2p-3, 0x1.7d685d078b8d3p-3, 0x1.769b2d66bd15dp-3, 0x1.6fe1c2318bcd7p-3, 0x1.693c34e478371p-3, 0x1.62aa9c0a3f6c8p-3, 0x1.5c2d0b4a1594ap-3, 0x1.55c3937644a02p-3, 0x1.4f6e429b1b11fp-3, 0x1.492d240e2206bp-3, 0x1.4300407d98bap-3, 0x1.3ce79e0023f0ep-3, 0x1.36e34024adc56p-3, 0x1.30f3280276b42p-3, 0x1.2b1754493bc63p-3, 0x1.254fc1517d46ep-3, 0x1.1f9c692cdd38dp-3, 0x1.19fd43b683f3fp-3, 0x1.147246a38f511p-3, 0x1.0efb659381d62p-3, 0x1.09989220b1e1ap-3, 0x1.0449bbf0a8206p-3, 0x1.fe1da188f1771p-4, 0x1.f3cf791200c31p-4, 0x1.e9a8d2ce24b4fp-4, 0x1.dfa97fa70a5f5p-4, 0x1.d5d14d3e44993p-4, 0x1.cc20060ce4e0ep-4, 0x1.c2957182c6d72p-4, 0x1.b931542583c4bp-4, 0x1.aff36faf16f52p-4, 0x1.a6db832c16c22p-4, 0x1.9de94b199223cp-4, 0x1.951c81827ff35p-4, 0x1.8c74de1cbf2c9p-4, 0x1.83f21665af096p-4, 0x1.7b93ddbe44efp-4, 0x1.7359e586b24b5p-4, 0x1.6b43dd3989519p-4, 0x1.6351728667fa3p-4, 0x1.5b82516c1cf5bp-4, 0x1.53d624524c5f5p-4, 0x1.4c4c94228e907p-4, 0x1.44e5486107aa4p-4, 0x1.3d9fe74475bb2p-4, 0x1.367c15cdb95d4p-4, 0x1.2f7977decfa92p-4, 0x1.2897b05143fe6p-4, 0x1.21d6610c15c39p-4, 0x1.1b352b1910884p-4, 0x1.14b3aeb99c84bp-4, 0x1.0e518b7afd6eap-4, 0x1.080e604a0c504p-4, 0x1.01e9cb865fb42p-4, 0x1.f7c6d629dfc21p-5, 0x1.ebf5b8e4554d7p-5, 0x1.e05f798707dbfp-5, 0x1.d50351d0f4802p-5, 0x1.c9e07b162b8fap-5, 0x1.bef62e5fc2e4ap-5, 0x1.b443a48abe20dp-5, 0x1.a9c81665f3a13p-5, 0x1.9f82bcceeaf88p-5, 0x1.9572d0cdb9dc7p-5, 0x1.8b978bafe906bp-5, 0x1.81f027225c1bbp-5, 0x1.787bdd4a46cc1p-5, 0x1.6f39e8dd27188p-5, 0x1.66298537de0ddp-5, 0x1.5d49ee74d4529p-5, 0x1.549a6181383ffp-5, 0x1.4c1a1c3161217p-5, 0x1.43c85d5449e3ap-5, 0x1.3ba464c63ac37p-5, 0x1.33ad73828fb34p-5, 0x1.2be2cbb4c2299p-5, 0x1.2443b0c88d886p-5, 0x1.1ccf67795a72fp-5, 0x1.158535e0df1fcp-5, 0x1.0e64638502ba8p-5, 0x1.076c3964fd24fp-5, 0x1.009c0205c9f76p-5, 0x1.f3e612fbbb036p-6, 0x1.e6e13b006afa5p-6, 0x1.da281acd6be64p-6, 0x1.cdb95477c2f44p-6, 0x1.c1938d87f0178p-6, 0x1.b5b56f0add742p-6, 0x1.aa1da5a1a3052p-6, 0x1.9ecae190263a4p-6, 0x1.93bbd6ca8dd0dp-6, 0x1.88ef3d01a5586p-6, 0x1.7e63cfae2c2b7p-6, 0x1.74184e1b1bd16p-6, 0x1.6a0b7b6ef10dp-6, 0x1.603c1eb3f9b36p-6, 0x1.56a902dfb28dfp-6, 0x1.4d50f6d93f211p-6, 0x1.4432cd7ef93b5p-6, 0x1.3b4d5dab35db9p-6, 0x1.329f82382617ep-6, 0x1.2a281a02fd8aap-6, 0x1.21e607ee4bf97p-6, 0x1.19d832e39a663p-6, 0x1.11fd85d45d1fdp-6, 0x1.0a54efba2d76bp-6, 0x1.02dd63965b41fp-6, 0x1.f72bb0e1d6a4cp-7, 0x1.e8fa92adcbf4ap-7, 0x1.db256ab045635p-7, 0x1.cdaa3f090421ep-7, 0x1.c0871dd134b5cp-7, 0x1.b3ba1d13cef1ap-7, 0x1.a7415ac4f4611p-7, 0x1.9b1afcb86eeeep-7, 0x1.8f4530973aa9p-7, 0x1.83be2bd454561p-7, 0x1.78842ba098ca4p-7, 0x1.6d9574ddfb599p-7, 0x1.62f054120283dp-7, 0x1.58931d5782693p-7, 0x1.4e7c2c4fc4e0ap-7, 0x1.44a9e41313821p-7, 0x1.3b1aaf20a7b8fp-7, 0x1.31ccff4e10eadp-7, 0x1.28bf4db624655p-7, 0x1.1ff01aa75de34p-7, 0x1.175ded91edbcap-7, 0x1.0f0754f534b8ap-7, 0x1.06eae64d0a1ccp-7, 0x1.fe0e7bfd093cap-8, 0x1.eeb5fe88f1313p-8, 0x1.dfc9a837683b3p-8, 0x1.d146da5dd5546p-8, 0x1.c32b0384ba08cp-8, 0x1.b5739f3e9b76bp-8, 0x1.a81e35fe89ea1p-8, 0x1.9b285cee39d9fp-8, 0x1.8e8fb5c3d205dp-8, 0x1.8251ee976e6c7p-8, 0x1.766cc1b87c21fp-8, 0x1.6addf582cfe81p-8, 0x1.5fa35c338282ap-8, 0x1.54bad3bdd7bddp-8, 0x1.4a22459fe61ffp-8, 0x1.3fd7a6b75a785p-8, 0x1.35d8f715f630cp-8, 0x1.2c2441d65565p-8, 0x1.22b79cf08e229p-8, 0x1.1991290eedc6ep-8, 0x1.10af1162d08a5p-8, 0x1.080f8b799218fp-8, 0x1.ff61ae234614bp-9, 0x1.ef227bdf8ee3fp-9, 0x1.df5e2768f6defp-9, 0x1.d0116b63561fap-9, 0x1.c1391580e2ffep-9, 0x1.b2d2062e911d4p-9, 0x1.a4d93040b62a8p-9, 0x1.974b98a04e11cp-9, 0x1.8a2655f8efdb1p-9, 0x1.7d669067368a9p-9, 0x1.71098127ee76fp-9, 0x1.650c7247d73e1p-9, 0x1.596cbe5444a78p-9, 0x1.4e27d00c5274dp-9, 0x1.433b2212c4759p-9, 0x1.38a43ea0ebd03p-9, 0x1.2e60bf3a2efcbp-9, 0x1.246e4c604af4dp-9, 0x1.1aca9d489fcbp-9, 0x1.11737792057dcp-9, 0x1.0866aefbdc0aap-9, 0x1.ff444a3b3e799p-10, 0x1.ee47923f290a9p-10, 0x1.ddd32ee862f14p-10, 0x1.cde3332503c26p-10, 0x1.be73cb6308c7bp-10, 0x1.af813d088776p-10, 0x1.a107e5ede80e8p-10, 0x1.93043bd9f13e9p-10, 0x1.8572cbffd8898p-10, 0x1.78503a7ed3c14p-10, 0x1.6b9941e3d6b08p-10, 0x1.5f4ab2ad0d807p-10, 0x1.536172cf24bc1p-10, 0x1.47da7d3cb4847p-10, 0x1.3cb2e16f46b83p-10, 0x1.31e7c2f24a40ap-10, 0x1.277658efffe5ap-10, 0x1.1d5bedc023dcfp-10, 0x1.1395de788c5ffp-10, 0x1.0a219a7f9ca15p-10, 0x1.00fca32078fe6p-10, 0x1.f049164254f1fp-11, 0x1.df2decb52b565p-11, 0x1.cea332a48705ep-11, 0x1.bea471ab8bec8p-11, 0x1.af2d533097382p-11, 0x1.a0399fa31183dp-11, 0x1.91c53dbd83552p-11, 0x1.83cc31cb02dbep-11, 0x1.764a9cef88571p-11, 0x1.693cbc7478692p-11, 0x1.5c9ee9183831ep-11, 0x1.506d966132fd2p-11, 0x1.44a551f43d075p-11, 0x1.3942c2ee2d11ap-11, 0x1.2e42a940e9906p-11, 0x1.23a1dd136aaefp-11, 0x1.195d4e258b5a4p-11, 0x1.0f720336287e4p-11, 0x1.05dd196d0b769p-11, 0x1.f937878f74077p-12, 0x1.e75695125cf1fp-12, 0x1.d6121559bcba7p-12, 0x1.c564eab8fd6afp-12, 0x1.b54a1ed152a57p-12, 0x1.a5bce18928019p-12, 0x1.96b8880963e81p-12, 0x1.88388bbfb202dp-12, 0x1.7a3889670d5aap-12, 0x1.6cb44014e3b26p-12, 0x1.5fa7904c8ffb6p-12, 0x1.530e7b172e86ep-12, 0x1.46e5212184502p-12, 0x1.3b27c1de9d3c2p-12, 0x1.2fd2baaf14426p-12, 0x1.24e2860e1fdbfp-12, 0x1.1a53bac2a3f93p-12, 0x1.10230b15fc164p-12, 0x1.064d440edf18ep-12, 0x1.f99e99616b63ap-13, 0x1.e74c4a80613ap-13, 0x1.d59dcd17845c2p-13, 0x1.c48d827189d62p-13, 0x1.b415fa29a8866p-13, 0x1.a431f0d74b7b9p-13, 0x1.94dc4ec0f1cb6p-13, 0x1.86102698327adp-13, 0x1.77c8b43dcd3f8p-13, 0x1.6a015b8c9a5bfp-13, 0x1.5cb5a72d40e17p-13, 0x1.4fe14771588ffp-13, 0x1.43801134d37eep-13, 0x1.378dfcc81a5abp-13, 0x1.2c0724e0706aep-13, 0x1.20e7c58fa74aep-13, 0x1.162c3b426e2f7p-13, 0x1.0bd101c5670f7p-13, 0x1.01d2b350de8e5p-13, 0x1.f05c0f350e771p-14, 0x1.ddbfa5dc8e875p-14, 0x1.cbca0a98a709ep-14, 0x1.ba75531bba5d4p-14, 0x1.a9bbc91ea43cap-14, 0x1.9997e8c0ca6bep-14, 0x1.8a045ef3f6154p-14, 0x1.7afc07f2119d4p-14, 0x1.6c79edbf7d3d9p-14, 0x1.5e7946b636452p-14, 0x1.50f5741b99a77p-14, 0x1.43ea00c104827p-14, 0x1.37529fad5e594p-14, 0x1.2b2b2ad0a4c59p-14, 0x1.1f6fa1c107801p-14, 0x1.141c2881172f2p-14, 0x1.092d064e184bfp-14, 0x1.fd3d48effecf3p-15, 0x1.e8db1a83b94abp-15, 0x1.d52cd593fc3f6p-15, 0x1.c22c0bf613653p-15, 0x1.afd28b085667p-15, 0x1.9e1a59b39bf02p-15, 0x1.8cfdb679208e5p-15, 0x1.7c7715927aa1p-15, 0x1.6c811f1dae2ap-15, 0x1.5d16ad5718699p-15, 0x1.4e32cae37a935p-15, 0x1.3fd0b1238c61dp-15, 0x1.31ebc6972c6c2p-15, 0x1.247f9d4cd6309p-15, 0x1.1787f15bc14e9p-15, 0x1.0b00a76c52ae5p-15, 0x1.fdcb9695b5eefp-16, 0x1.e6671d0abb5f7p-16, 0x1.cfcc8e29f0a92p-16, 0x1.b9f4dc24fcdbap-16, 0x1.a4d93ce82cc63p-16, 0x1.907327ac5ea49p-16, 0x1.7cbc529d98fb3p-16, 0x1.69aeb0930191fp-16, 0x1.57446ed8ab709p-16, 0x1.4577f30ec7cb9p-16, 0x1.3443d91753be7p-16, 0x1.23a2f118241c8p-16, 0x1.13903d8adc816p-16, 0x1.0406f15e9daf1p-16, 0x1.ea04dc56fecfap-17, 0x1.ccfc84df6697ap-17, 0x1.b0ec4fc44ef29p-17, 0x1.95cc039e79ac1p-17, 0x1.7b93b709b02e1p-17, 0x1.623bcd9b6e5e1p-17, 0x1.49bcf4f0ae4f7p-17, 0x1.321021d5ddff6p-17, 0x1.1b2e8d87b6abfp-17, 0x1.0511b30d92915p-17, 0x1.df6699561d24cp-18, 0x1.b61aa2d18f53bp-18, 0x1.8e33e56233d92p-18, 0x1.67a7340d72eaep-18, 0x1.4269cd980713dp-18, 0x1.1e7158426b8c7p-18, 0x1.f767bb4c47f6bp-19, 0x1.b44f8d8438a0ep-19, 0x1.7387b043dbbcfp-19, 0x1.34fe5c6a823c8p-19, 0x1.f144e6f863ba4p-20, 0x1.7cc6f19a7bdf2p-20, 0x1.0c6315ca9d3ffp-20, 0x1.3ff574b2fd9c4p-21, 0x1.bb831d6f9d35cp-23, -0x1.6ac2c070f4ba2p-23, -0x1.1cf5b870a306p-21, -0x1.d823210775a79p-21, -0x1.4635eb7fb2f38p-20, -0x1.9d007ca224f7ep-20, -0x1.f088f5f12ea65p-20, -0x1.20731aa55a744p-19, -0x1.471726ad735efp-19, -0x1.6c3b471049b6dp-19, -0x1.8fe9c69753f3dp-19, -0x1.b22c96cb903a3p-19, -0x1.d30d53bf5f274p-19, -0x1.f29547b30a0ccp-19, -0x1.0866b74992409p-18, -0x1.16df3ca8127d4p-18, -0x1.24b8688da401p-18, -0x1.31f64d387d053p-18, -0x1.3e9cdc0b1d38dp-18, -0x1.4aafe6f1dba68p-18, -0x1.563321c0ccec3p-18, -0x1.612a237f6aad7p-18, -0x1.6b9867a650c7fp-18, -0x1.75814f4e1991ap-18, -0x1.7ee822535a5cp-18, -0x1.87d0106dd96a4p-18, -0x1.903c3238099dfp-18, -0x1.982f8a3294c0dp-18, -0x1.9fad05b14d504p-18, -0x1.a6b77dc7f75b2p-18, -0x1.ad51b8255d868p-18, -0x1.b37e67ea75446p-18, -0x1.b9402e7089adbp-18, -0x1.be999c0bbd097p-18, -0x1.c38d30c3d5c77p-18, -0x1.c81d5d0112712p-18, -0x1.cc4c82360a7p-18, -0x1.d01cf37d7cb5dp-18, -0x1.d390f6315de0bp-18, -0x1.d6aac27b09519p-18, -0x1.d96c83de1d7d5p-18, -0x1.dbd859b903ba4p-18, -0x1.ddf057c357e03p-18, -0x1.dfb686817bfeep-18, -0x1.e12ce3b629968p-18, -0x1.e25562cbb644dp-18, -0x1.e331ed3c065a1p-18, -0x1.e3c462eccebb2p-18, -0x1.e40e9a8cc8e1cp-18, -0x1.e41261e93c02ap-18, -0x1.e3d17e3eca7b5p-18, -0x1.e34dac8987127p-18, -0x1.e288a1cb3c987p-18, -0x1.e1840b52ad1f6p-18, -0x1.e0418efbd222ap-18, -0x1.dec2cb6ebf0efp-18, -0x1.dd095859be44ep-18, -0x1.db16c6a9e6fb2p-18, -0x1.d8eca0bd980d4p-18, -0x1.d68c6a9737643p-18, -0x1.d3f7a20a0be85p-18, -0x1.d12fbee77287dp-18, -0x1.ce3633282303p-18, -0x1.cb0c6b1289561p-18, -0x1.c7b3cd5f4b573p-18, -0x1.c42dbb5ca6079p-18, -0x1.c07b910ced72bp-18, -0x1.bc9ea54842029p-18, -0x1.b89849d5a927ap-18, -0x1.b469cb890f8ccp-18, -0x1.b0147258bb4dep-18, -0x1.ab998178a1561p-18, -0x1.a6fa376f2575fp-18, -0x1.a237ce296eacep-18, -0x1.9d537b10673cp-18, -0x1.984e6f1a04b23p-18, -0x1.9329d6da3cac5p-18, -0x1.8de6da93b94e5p-18, -0x1.88869e46e7c47p-18, -0x1.830a41bf9e7b1p-18, -0x1.7d72e0a34f6a4p-18, -0x1.77c1927c1e009p-18, -0x1.71f76ac5c68bap-18, -0x1.6c1578f816792p-18, -0x1.661cc89163ba8p-18, -0x1.600e61206e479p-18, -0x1.59eb464cdf64dp-18, -0x1.53b477e005271p-18, -0x1.4d6af1cc27b23p-18, -0x1.470fac36d687ep-18, -0x1.40a39b7ca9c74p-18, -0x1.3a27b03b7b4e8p-18, -0x1.339cd7562c973p-18, -0x1.2d03f9fc9b58dp-18, -0x1.265dfdb07af1bp-18, -0x1.1fabc44c14a12p-18, -0x1.18ee2c07131adp-18, -0x1.12260f7b6698bp-18, -0x1.0b5445ab3d58p-18, -0x1.0479a205a88c2p-18, -0x1.fb2de8d5f038p-19, -0x1.ed5a126525198p-19, -0x1.df79525d8cca4p-19, -0x1.d18d3362e9c94p-19, -0x1.c397392180f33p-19, -0x1.b598e056624f9p-19, -0x1.a7939ed777a3ap-19, -0x1.9988e39f821a3p-19, -0x1.8b7a16d33f79ep-19, -0x1.7d6899cdc1b9fp-19, -0x1.6f55c7270ef51p-19, -0x1.6142f2bd35b34p-19, -0x1.533169be38392p-19, -0x1.452272b16b2f6p-19, -0x1.37174d7fbb8d4p-19, -0x1.2911337d436fcp-19, -0x1.1b115772db7b6p-19, -0x1.0d18e5a80bef4p-19, -0x1.fe5207d8a3ddbp-20, -0x1.e285a344d4eb1p-20, -0x1.c6cecf93c9beep-20, -0x1.ab2fb2106f8e1p-20, -0x1.8faa636b1c66bp-20, -0x1.7440efca9c254p-20, -0x1.58f556e3c89dp-20, -0x1.3dc98c0fedeb5p-20, -0x1.22bf7663a6b21p-20, -0x1.07d8f0c48db7ap-20, -0x1.da2f94060610ap-21, -0x1.a4fb89dde2b44p-21, -0x1.701930e80c482p-21, -0x1.3b8bdf57d3c11p-21, -0x1.0756d4012f8a2p-21, -0x1.a6fa6cf1468d4p-22, -0x1.40042ea2776b9p-22, -0x1.b3a1c144ae5a6p-23, -0x1.d19924dc545e4p-24, -0x1.f9403d9026dbcp-27, 0x1.4ffa2040fa37ap-24, 0x1.6ddc2707100a6p-23, 0x1.18ff8aaa64962p-22, 0x1.7a2e02d0b6225p-22, 0x1.da74bbe55b90ep-22, 0x1.1ce78ff76f8b5p-21, 0x1.4c1c6159556p-21, 0x1.7ad6b09821ed3p-21, 0x1.a9147094c3149p-21, 0x1.d6d3a85a07fdfp-21, 0x1.0209396c6ad9ep-20, 0x1.18677f58f471cp-20, 0x1.2e83c6fa28eddp-20, 0x1.445d3af0ea295p-20, 0x1.59f30f5642e6bp-20, 0x1.6f44819f33ad8p-20, 0x1.8450d87b1d745p-20, 0x1.991763b38879ap-20, 0x1.ad977c0f68ap-20, 0x1.c1d083309f348p-20, 0x1.d5c1e371c0baap-20, 0x1.e96b0fcc278d8p-20, 0x1.fccb83b10aa24p-20, 0x1.07f161760140fp-19, 0x1.11582cc2e2ccep-19, 0x1.1a99edce331f5p-19, 0x1.23b672a4c88e7p-19, 0x1.2cad8d3eb0813p-19, 0x1.357f1370f4c76p-19, 0x1.3e2adedb19ab4p-19, 0x1.46b0ccd873747p-19, 0x1.4f10be6f9b262p-19, 0x1.574a9841311ccp-19, 0x1.5f5e42784db64p-19, 0x1.674ba8ba0a3dp-19, 0x1.6f12ba16008cfp-19, 0x1.76b368f583de1p-19, 0x1.7e2dab0aac046p-19, 0x1.85817942611c5p-19, 0x1.8caecfb287b3ap-19, 0x1.93b5ad8a3cfc2p-19, 0x1.9a961503500c3p-19, 0x1.a1500b5046d4ep-19, 0x1.a7e3988e6094ap-19, 0x1.ae50c7b4cea2p-19, 0x1.b497a68584c4ep-19, 0x1.bab8457e5ee09p-19, 0x1.c0b2b7c7a5e37p-19, 0x1.c68713275880ap-19, 0x1.cc356fefbba6ep-19, 0x1.d1bde8f1597e5p-19, 0x1.d7209b6bdd491p-19, 0x1.dc5da6fed1ddep-19, 0x1.e1752d9a67a0ap-19, 0x1.e6675372442e5p-19, 0x1.eb343eecdb6f3p-19, 0x1.efdc189645061p-19, 0x1.f45f0b11acebp-19, 0x1.f8bd430b179c8p-19, 0x1.fcf6ef28860f1p-19, 0x1.00861ffecbe05p-18, 0x1.027eb3fdfdfa6p-18, 0x1.04654db32bed6p-18, 0x1.063a0821cdfb4p-18, 0x1.07fcff2815c2cp-18, 0x1.09ae4f7873c51p-18, 0x1.0b4e1693c3ce5p-18, 0x1.0cdc72c199766p-18, 0x1.0e59830a9654ep-18, 0x1.0fc56731eaap-18, 0x1.11203faf38a94p-18, 0x1.126a2da7c7603p-18, 0x1.13a352e948a56p-18, 0x1.14cbd1e2e77cp-18, 0x1.15e3cd9ff9525p-18, 0x1.16eb69c193ab5p-18, 0x1.17e2ca7942972p-18, 0x1.18ca148302174p-18, 0x1.19a16d1f45ebbp-18, 0x1.1a68fa0e13c5fp-18, 0x1.1b20e18933ba2p-18, 0x1.1bc94a3e5d851p-18, 0x1.1c625b4a9b172p-18, 0x1.1cec3c348520fp-18, 0x1.1d6714e752521p-18, 0x1.1dd30dad61b7fp-18, 0x1.1e304f2bed69cp-18, 0x1.1e7f025d4b67ep-18, 0x1.1ebf508c657b3p-18, 0x1.1ef1635049948p-18, 0x1.1f1564870e62ap-18, 0x1.1f2b7e511d5ddp-18, 0x1.1f33db0d228eap-18, 0x1.1f2ea55322b76p-18, 0x1.1f1c07f027a8ep-18, 0x1.1efc2de27e6f5p-18, 0x1.1ecf4254c1f47p-18, 0x1.1e95709a03d82p-18, 0x1.1e4ee429dc7f5p-18, 0x1.1dfbc89c5c01fp-18, 0x1.1d9c49a5e453ep-18, 0x1.1d3093139c7a5p-18, 0x1.1cb8d0c7a93efp-18, 0x1.1c352eb583dcap-18, 0x1.1ba5d8de26038p-18, 0x1.1b0afb4c8d32fp-18, 0x1.1a64c212813bap-18, 0x1.19b3594506042p-18, 0x1.18f6ecf939f77p-18, 0x1.182fa940c5c54p-18, 0x1.175dba2702953p-18, 0x1.16814bada64e5p-18, 0x1.159a89c9e859bp-18, 0x1.14a9a0618d9b1p-18, 0x1.13aebb47e8985p-18, 0x1.12aa063b2b32bp-18, 0x1.119bace1baae8p-18, 0x1.1083dac74091dp-18, 0x1.0f62bb5a2b0fcp-18, 0x1.0e3879e918fbcp-18, 0x1.0d0541a0a447dp-18, 0x1.0bc93d88c4bf2p-18, 0x1.0a849882693a7p-18, 0x1.09377d45482b7p-18, 0x1.07e2165d8d483p-18, 0x1.06848e29da38cp-18, 0x1.051f0ed900f16p-18, 0x1.03b1c2682944fp-18, 0x1.023cd2a0dd644p-18, 0x1.00c06916e076ep-18, 0x1.fe795e4d06e62p-19, 0x1.fb639be5a45d4p-19, 0x1.f83fdcc7768p-19, 0x1.f50e7249124e4p-19, 0x1.f1cfad44a634cp-19, 0x1.ee83de1436c93p-19, 0x1.eb2b548ee7008p-19, 0x1.e7c660062707ap-19, 0x1.e4554f42d4b36p-19, 0x1.e0d8708235e41p-19, 0x1.dd50117385e8bp-19, 0x1.d9bc7f35f068fp-19, 0x1.d61e06558c5ccp-19, 0x1.d274f2c937d55p-19, 0x1.cec18feff3ccfp-19, 0x1.cb04288f3ab96p-19, 0x1.c73d06d0cfa67p-19, 0x1.c36c74410c22bp-19, 0x1.bf92b9ccc2f3dp-19, 0x1.bbb01fbf58fa2p-19, 0x1.b7c4edc11ceaap-19, 0x1.b3d16ad5bf507p-19, 0x1.afd5dd5b0cd9ap-19, 0x1.abd28b06f7aaap-19, 0x1.a7c7b8e665d82p-19, 0x1.a3b5ab5c50955p-19, 0x1.9f9ca6206d351p-19, 0x1.9b7cec3d80daep-19, 0x1.9756c010c1602p-19, 0x1.932a6348a058bp-19, 0x1.8ef816e423e67p-19, 0x1.8ac01b321eb0dp-19, 0x1.8682afd02873fp-19, 0x1.824013a9eab8ep-19, 0x1.7df884f8877fp-19, 0x1.79ac414211c41p-19, 0x1.755b855900dc5p-19, 0x1.71068d5ba336ap-19, 0x1.6cad94b3cecfbp-19, 0x1.6850d616f3105p-19, 0x1.63f08b8558d7ap-19, 0x1.5f8cee49e3a58p-19, 0x1.5b2636f9f1524p-19, 0x1.56bc9d7574932p-19, 0x1.525058e6774f5p-19, 0x1.4de19fc1ccc01p-19, 0x1.4970a7c6ce922p-19, 0x1.44fda5ff39bc1p-19, 0x1.4088cebf55b0dp-19, 0x1.3c1255a6581a5p-19, 0x1.379a6d9eb33f8p-19, 0x1.332148de0b104p-19, 0x1.2ea718e5984c5p-19, 0x1.2a2c0e82eac79p-19, 0x1.25b059d025f16p-19, 0x1.21342a34546acp-19, 0x1.1cb7ae63b0a8dp-19, 0x1.183b14607ad27p-19, 0x1.13be897b25b76p-19, 0x1.0f423a53844d1p-19, 0x1.0ac652d95cae7p-19, 0x1.064afe4c8e276p-19, 0x1.01d0673dec42fp-19, 0x1.faad6f207c55bp-20, 0x1.f1bc30f189efbp-20, 0x1.e8cd65005a77p-20, 0x1.dfe15b068a52ep-20, 0x1.d6f861675e967p-20, 0x1.ce12c5322dd0fp-20, 0x1.c530d2244b32fp-20, 0x1.bc52d2aa09f63p-20, 0x1.b3790fe1070d2p-20, 0x1.aaa3d199e750dp-20, 0x1.a1d35e5a417f1p-20, 0x1.9907fb5f94d9bp-20, 0x1.9041eca060282p-20, 0x1.878174ced4513p-20, 0x1.7ec6d55a95feep-20, 0x1.76124e72c3476p-20, 0x1.6d641f08a0837p-20, 0x1.64bc84d1b5064p-20, 0x1.5c1bbc4a10305p-20, 0x1.538200b698e23p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      56, 0x1.8cccccccccccdp+2, 0x1.aca05a01c28aap+1, 0x1.148d7c5c4e744p+3, 0x1.1f4b967927abbp-6, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.4f7b1c521822p-4, -0x1.b9726149c0642p-3, 0x1.718fdeacad6fp-2, -0x1.8b85771a4cae1p-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.26d5864b8967ap-4, -0x1.75779ba8e3f97p-3, 0x1.363bd99beebbp-2, -0x1.592f4ac228647p-2}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.046ac754f1229p-4, -0x1.3c9925bd41a26p-3, 0x1.0274c19868ac2p-2, -0x1.2e64b1f81860dp-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.ce619c37ba8a9p-5, -0x1.0d7162f8418bdp-3, 0x1.aa31b433306eap-3, -0x1.0190366140863p-2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.9c7f40f492757p-5, -0x1.cd5fb802cab33p-4, 0x1.5cecd71603792p-3, -0x1.aaaf64dee92f6p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.71a2b6ed3bcdap-5, -0x1.8dfd38bf2c396p-4, 0x1.1cec218e2d4bfp-3, -0x1.5172656c82bb6p-3}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.4c8466876349bp-5, -0x1.5a10fdcc0b866p-4, 0x1.d49c57e2335f1p-4, -0x1.f45aa9d67580ap-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.2c20e68190923p-5, -0x1.2ef53caeb6a13p-4, 0x1.898ebe686e8cp-4, -0x1.37a9006891c61p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.0fb8fbf3263fbp-5, -0x1.09f08cd841262p-4, 0x1.5acefe58bf14dp-4, -0x1.b25f43defa53ap-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ed9de370ef85fp-6, -0x1.d1c67f025a1e1p-5, 0x1.3a3b0c74d2b4cp-4, -0x1.b1d5ddb1611dp-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.c212b42f74d1ap-6, -0x1.962ed9b35b95dp-5, 0x1.19b168a11e9f8p-4, -0x1.9513241cc781dp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9c2ba0cbecafp-6, -0x1.60e1e9868cb76p-5, 0x1.f69ff23dec1e6p-5, -0x1.7fe06fb2dcd42p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.7b4ca0e638f44p-6, -0x1.317fc2c7757b2p-5, 0x1.bd0b14afe4986p-5, -0x1.68a6fa053c99cp-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.5ee26d140cfd7p-6, -0x1.07b31ae7d4326p-5, 0x1.86f208c8b51b1p-5, -0x1.51f8843bc8549p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.46627ee0edae9p-6, -0x1.c6479c7017d16p-6, 0x1.543ff4f2f0a84p-5, -0x1.3b24d025506f4p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.314b10ce3173p-6, -0x1.86f4f8cf6cbadp-6, 0x1.24fa6f53be307p-5, -0x1.245b155ec4203p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1f231e53003e4p-6, -0x1.50bf2195db8dfp-6, 0x1.f23ff1d7db246p-6, -0x1.0d8eb3a584ff2p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0f7a63dc538a4p-6, -0x1.22f7098927a2bp-6, 0x1.a161ef26333eap-6, -0x1.ed85e8ce55474p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.01e95eccf6591p-6, -0x1.f9db375faf432p-7, 0x1.575aa5d40cda8p-6, -0x1.bfeea45fde11p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ec229afb0a67ep-7, -0x1.bbe78bdfac2efp-7, 0x1.142a0d2c11f1dp-6, -0x1.925532c2a6ee4p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.d7385e78dc56bp-7, -0x1.8ab4e4e175563p-7, 0x1.afa0f1842500dp-7, -0x1.64c43bd23364ep-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.c479889be1b05p-7, -0x1.64e52ee809726p-7, 0x1.449945f848c96p-7, -0x1.3713875d7153ap-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b35d1bd83cb2dp-7, -0x1.4919fd23cf636p-7, 0x1.ce8d3ab880c7bp-8, -0x1.09d94e4d17f57p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a36b9c8db2ad2p-7, -0x1.35f62fdbbdcap-7, 0x1.2f0ad88a3f34fp-8, -0x1.b5c9ca5ede6a9p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.943f1107abfd6p-7, -0x1.2a17cc4f23fa3p-7, 0x1.57696adb92915p-9, -0x1.6ef08f21f8752p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.8582ae30fff23p-7, -0x1.24427ca196043p-7, 0x1.ecfded83291e2p-11, -0x1.3f26eafbb682p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.76ef434db7af5p-7, -0x1.239278bfc62b1p-7, -0x1.10f9133f59b07p-11, -0x1.0be8e673c2e32p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.6847a5b4d102fp-7, -0x1.27499d7a51786p-7, -0x1.c9fa6af763811p-10, -0x1.b32fb3702f565p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.59585d840a4b8p-7, -0x1.2ea4ec9b975f1p-7, -0x1.678b84ea265ap-9, -0x1.4e0e9c59ced45p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.49f7a59fe27b9p-7, -0x1.38e2b4ff38c92p-7, -0x1.cbc31a384acc8p-9, -0x1.d21f184e23cb5p-9}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.3a056bb399151p-7, -0x1.4540ec420e3e6p-7, -0x1.08d7155534e2dp-8, -0x1.080ebc09c0f4ep-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.296b50312e2dbp-7, -0x1.52fd9fead073p-7, -0x1.1ca4fd09235b8p-8, -0x1.f01a0bcd5f50bp-12}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.181ca651626b2p-7, -0x1.6156d7177fd1fp-7, -0x1.214ba1f243737p-8, 0x1.18130811a0d77p-10}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.06167413b705ap-7, -0x1.6f8a9a9f1dae3p-7, -0x1.16caeb3e6705p-8, 0x1.5615ff75e595p-9}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.e6bee47cdb8dap-8, -0x1.7cd6f2dd60003p-7, -0x1.fa45bcf7eb9a3p-9, 0x1.10112c231420fp-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.c01018bd12132p-8, -0x1.8879e8622955fp-7, -0x1.a8a6fc86ff28bp-9, 0x1.7517c2cf96cbp-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.9854c18f97773p-8, -0x1.91b18367f53afp-7, -0x1.38b97548b852bp-9, 0x1.da1cc1b9049f2p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.6fd4812972b6ap-8, -0x1.97bbcd4aae9ecp-7, -0x1.54fb43226de07p-10, 0x1.1f93dab529129p-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.46ea5f4d2bf22p-8, -0x1.99d6cb35e9ecfp-7, 0x1.072407574050ep-16, 0x1.520e36df9d1edp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.1e04c94acc6d6p-8, -0x1.974091f5264e3p-7, 0x1.99c7385ce657ep-10, 0x1.84b20f5ef2c7p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.eb4b23ffbd1e2p-9, -0x1.8f36fc048e675p-7, 0x1.b61b3f0104da2p-9, 0x1.b6bb1438ecee3p-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.9cc3e3aedbc6dp-9, -0x1.80f8bd7db42fap-7, 0x1.5eac2591964d9p-8, 0x1.eb05eb5379b5ap-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.51c50d940e2f5p-9, -0x1.6bc15e53e0e11p-7, 0x1.f1fab8f76e038p-8, 0x1.0b7226888a96ap-6}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.0bc6a8bb6ffa8p-9, -0x1.4ed83d76194ccp-7, 0x1.493934d7e0951p-7, 0x1.31195900e8992p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.98cf0e983e1fbp-10, -0x1.29588a0abccb1p-7, 0x1.a4c0cf8b598f5p-7, 0x1.db1f5de4f099dp-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.2ac2ba9944813p-10, -0x1.f76a0bba02c78p-8, 0x1.ec0584074a748p-7, 0x1.fa1de3f918a2p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.a016ec4d48752p-11, -0x1.931cabaa7fa33p-8, 0x1.ff003c93d4fa6p-7, -0x1.6a6fc3009d31cp-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.12ec1edb073dp-11, -0x1.2fa14d2c4bfb8p-8, 0x1.e3d1745a2f96ep-7, -0x1.09f17b39de526p-6}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.5784be912dd57p-12, -0x1.adb0828f0807fp-9, 0x1.94090295a0182p-7, -0x1.45296c2e07586p-6}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.92ba7fe9f3dd1p-13, -0x1.1f95ca9362093p-9, 0x1.327c95549de42p-7, -0x1.0db75a0f1c8fap-6}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.b2c4012fbdffcp-14, -0x1.6a58cc55869d9p-10, 0x1.c324c16cf76fbp-8, -0x1.cec0c3a65ebc9p-7}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.a3558aa038721p-15, -0x1.a34f29e2b90dfp-11, 0x1.38515387db048p-8, -0x1.7929369cf375cp-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.5784be912dd9p-16, -0x1.ad6dc6bfd33c8p-12, 0x1.8e56b97e57298p-9, -0x1.2501e813d138ep-7}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.b2c4012fbe17p-18, -0x1.6a28bfa04c3e8p-13, 0x1.bd118fb1b3435p-10, -0x1.a80678363616bp-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.5784be912e382p-20, -0x1.af7b3fafcb1bfp-15, 0x1.7d4e8f2258d41p-11, -0x1.d3c71d81b0a62p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.5784be91318p-24, -0x1.6f63ea8583e2p-18, 0x1.928f8f5221afep-13, -0x1.391089b14efe4p-8}, 
      }}, 
      0x1.26a28fbb66086p-4, -0x1.c628c101d3258p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_zn_k() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      {{-0x1.e06c7ba6feb55p-2, -0x1.ae2799a37c275p-2, -0x1.65f9a743e4d0ep-2, -0x1.127be829e617cp-2, -0x1.79a4fe124fda4p-3, -0x1.afe19c0af9dc1p-4, -0x1.257c8c7f37c72p-5, 0x1.64031ae093ab4p-6, 0x1.0ea9cd1bf92fp-4, 0x1.8e61c59d5a3b7p-4, 0x1.dbae9f1a22184p-4, 0x1.fc399aa86a34dp-4, 0x1.f6d2a7cd3fe61p-4, 0x1.d2b1c345e4ccbp-4, 0x1.96ef5a0d57e92p-4, 0x1.4a2a73e2abf13p-4, 0x1.e4a5b63f2d874p-5, 0x1.291c74c3087d2p-5, 0x1.a98429ae1d2fp-7, -0x1.41f4dc5d139dfp-7, -0x1.01ec51db43fc4p-5, -0x1.a5b31b23f6c96p-5, -0x1.1c64447588406p-4, -0x1.5c951214ed2c9p-4, -0x1.92d9e6c76ed5p-4, -0x1.befd048f9f755p-4, -0x1.e113c5f39540fp-4, -0x1.f96f2c6cf6459p-4, -0x1.0447228284393p-3, -0x1.078928bc338d1p-3, -0x1.06da4ebd70e8fp-3, -0x1.029eee072ceb6p-3, -0x1.f67eec5de81dbp-4, -0x1.e24ae2512d456p-4, -0x1.c97231ed2a3ddp-4, -0x1.acbedc90fe0e2p-4, -0x1.8cf181752c37ep-4, -0x1.6abf3258b37ep-4, -0x1.46cff0b873941p-4, -0x1.21bdb996db512p-4, -0x1.f82810a7daa7dp-5, -0x1.ac9f74e9a93f1p-5, -0x1.61be8169bae2bp-5, -0x1.184619c98baabp-5, -0x1.a1b8b862b14e3p-6, -0x1.181c3b7d4f3a7p-6, -0x1.2942530a66b9bp-7, -0x1.8063f30ee908bp-10, 0x1.7477329b9c2e6p-8, 0x1.94b132383cc31p-7, 0x1.2f5873d5b2476p-6, 0x1.8be8d3be10d57p-6, 0x1.dfeef541e44e6p-6, 0x1.15b3554df9a41p-5, 0x1.372fb07d7dbb2p-5, 0x1.547caf80f9131p-5, 0x1.6db19e5a567e4p-5, 0x1.82ebca48d98d1p-5, 0x1.944d75f6070c6p-5, 0x1.a1fce80f73b72p-5, 0x1.ac23931acc1b4p-5, 0x1.b2ed54b1a00c3p-5, 0x1.b687cae38ed9cp-5, 0x1.b721be03b65cfp-5, 0x1.b4ea9d49106f9p-5, 0x1.b0120cb3bc07cp-5, 0x1.a8c782aea29b4p-5, 0x1.9f39f3c18294cp-5, 0x1.93978b194e57dp-5, 0x1.860d6e40bc6f7p-5, 0x1.76c78b52bcb47p-5, 0x1.65f06ffd8514fp-5, 0x1.53b1292645af2p-5, 0x1.403129768ce03p-5, 0x1.2b9636c7ae04cp-5, 0x1.16045ca50d62dp-5, 0x1.ff3bc828a54aap-6, 0x1.d1069dfaa0e57p-6, 0x1.a1a6af105f101p-6, 0x1.7155e374b05f1p-6, 0x1.404aa148f8edep-6, 0x1.0eb7db61456d8p-6, 0x1.b99a463d678afp-7, 0x1.556d8028610dfp-7, 0x1.e2771dc6969eep-8, 0x1.1aa0e76e371f8p-8, 0x1.4f91d915a269bp-10, -0x1.c4f60ddb475dfp-10, -0x1.344f49de991a9p-8, -0x1.f4e595cd1e26ap-8, -0x1.594f8d5c2d4f9p-7, -0x1.b69206f395aa6p-7, -0x1.09096823bb419p-6, -0x1.35d764be83921p-6, -0x1.61a36a8aa63e5p-6, -0x1.8c5fd0d69c62ap-6, -0x1.b600b53f5320fp-6, -0x1.de7be04ff25p-6, -0x1.02e45467d9903p-5, -0x1.15efec9bae8afp-5, -0x1.285dcafadd936p-5, -0x1.3a2ba23b2afb2p-5, -0x1.4b57b9ef70efcp-5, -0x1.5be0e3132af0ap-5, -0x1.6bc66d7932171p-5, -0x1.7b081d4a73334p-5, -0x1.89a6217f5480fp-5, -0x1.97a10a5e13a02p-5, -0x1.a4f9c0bba9c1p-5, -0x1.b1b17da5b0acap-5, -0x1.bdc9c26651c9ap-5, -0x1.c9445125db5cep-5, -0x1.d42325edeeeaap-5, -0x1.de687033c270bp-5, -0x1.e8168caacb924p-5, -0x1.f12fffd031b02p-5, -0x1.f9b770aa8931fp-5, -0x1.00d7d1f20078bp-4, -0x1.048dbbcb7235ep-4, -0x1.07feef9a2add3p-4, -0x1.0b2cefcbef92p-4, -0x1.0e194601386b3p-4, -0x1.10c5816b06f0dp-4, -0x1.1333355b206cfp-4, -0x1.1563f7faf73a4p-4, -0x1.17596141ae468p-4, -0x1.191509c70fafap-4, -0x1.1a9889be11713p-4, -0x1.1be578449dec7p-4, -0x1.1cfd6a8a41532p-4, -0x1.1de1f2f033a9cp-4, -0x1.1e94a09beb82ep-4, -0x1.1f16fee33fd55p-4, -0x1.1f6a949b0fd4dp-4, -0x1.1f90e3c4f7995p-4, -0x1.1f8b692e630bbp-4, -0x1.1f5b9c03e1ca7p-4, -0x1.1f02ed8bdcc94p-4, -0x1.1e82c8d309e94p-4, -0x1.1ddc9279d0087p-4, -0x1.1d11a8a1e3834p-4, -0x1.1c236297602ebp-4, -0x1.1b131098e8c96p-4, -0x1.19e1fc070e12cp-4, -0x1.18916744a66c9p-4, -0x1.17228d5122646p-4, -0x1.1596a1ef52eabp-4, -0x1.13eed1e1417a7p-4, -0x1.122c42a426f47p-4, -0x1.105012486189p-4, -0x1.0e5b57c00af74p-4, -0x1.0c4f22f259b99p-4, -0x1.0a2c7c8deeebbp-4, -0x1.07f46621255a3p-4, -0x1.05a7da538c515p-4, -0x1.0347ccd20306fp-4, -0x1.00d52a63da069p-4, -0x1.fca1b24127f39p-5, -0x1.f7777106d8f46p-5, -0x1.f22d4291599ecp-5, -0x1.ecc4cb3f904fap-5, -0x1.e73fa322f21d7p-5, -0x1.e19f55ee70f21p-5, -0x1.dbe56276e47b8p-5, -0x1.d6133b2d4a516p-5, -0x1.d02a4732114f8p-5, -0x1.ca2be26249e06p-5, -0x1.c4195c9eee8bdp-5, -0x1.bdf3fa0679291p-5, -0x1.b7bcf42d70b4dp-5, -0x1.b1757a905cae2p-5, -0x1.ab1eb1e2db699p-5, -0x1.a4b9b3cad6e17p-5, -0x1.9e478fe53f938p-5, -0x1.97c94cba93219p-5, -0x1.913fe75eecebfp-5, -0x1.8aac52d9d93abp-5, -0x1.840f7899177c9p-5, -0x1.7d6a398fe2699p-5, -0x1.76bd6e90760ddp-5, -0x1.7009e7a239c1fp-5, -0x1.69506bca8ba8bp-5, -0x1.6291b9e9c560cp-5, -0x1.5bce89a94fcb3p-5, -0x1.55078b6192ae9p-5, -0x1.4e3d676af03acp-5, -0x1.4770be31547a1p-5, -0x1.40a22947d197cp-5, -0x1.39d23c1679a4dp-5, -0x1.330183a24e2fp-5, -0x1.2c3085d307309p-5, -0x1.255fc1a04cd4ep-5, -0x1.1e8fb01d1e2f7p-5, -0x1.17c0c545f3cfap-5, -0x1.10f36fb82fcfbp-5, -0x1.0a2817fccb70cp-5, -0x1.035f208210965p-5, -0x1.f931cd0fe7f94p-6, -0x1.ebab86277f305p-6, -0x1.de2c15f4269b5p-6, -0x1.d0b41c6016c6ap-6, -0x1.c3442ed90e299p-6, -0x1.b5dcd973ff898p-6, -0x1.a87ea0f0e5d96p-6, -0x1.9b2a03bbda002p-6, -0x1.8ddf7940669c4p-6, -0x1.809f70b431d7cp-6, -0x1.736a510b7a5dbp-6, -0x1.66407a8439b75p-6, -0x1.59224819e3b14p-6, -0x1.4c10104c66834p-6, -0x1.3f0a24176df8ap-6, -0x1.3210ce350399p-6, -0x1.2524534617ef5p-6, -0x1.1844f328e19fcp-6, -0x1.0b72ea4dd9d54p-6, -0x1.fd5ce4309f388p-7, -0x1.e3ef807d782d7p-7, -0x1.ca9e0c626d02cp-7, -0x1.b168e2407c9e4p-7, -0x1.9850560992f9cp-7, -0x1.7f54b79333784p-7, -0x1.6676537205d28p-7, -0x1.4db5726f5ff2p-7, -0x1.3512586445ed6p-7, -0x1.1c8d440cc6b62p-7, -0x1.042670309f3bp-7, -0x1.d7bc2ae3bd434p-8, -0x1.a768d720f7e11p-8, -0x1.775352f9a3deap-8, -0x1.477c09361caabp-8, -0x1.17e36051e6b43p-8, -0x1.d113763e78831p-9, -0x1.72def648d62d1p-9, -0x1.152a064dd319cp-9, -0x1.6feae1c454cd2p-10, -0x1.6d0814c1196e2p-11, 0x1.ded68061112bep-18, 0x1.727838a311873p-11, 0x1.6f921cf9c5e6fp-10, 0x1.126f92a80ce7bp-9, 0x1.6c90b6df2b504p-9, 0x1.c62b8d1ddd1d5p-9, 0x1.0f9f8e6d0a625p-8, 0x1.3be53258699d6p-8, 0x1.67e62deb26439p-8, 0x1.93a1f8c8c827dp-8, 0x1.bf1805aa53c26p-8, 0x1.ea47c1250bf09p-8, 0x1.0a98487b62c89p-7, 0x1.1fe8ea11f47c2p-7, 0x1.351571b5ac873p-7, 0x1.4a1d89012e1ddp-7, 0x1.5f00d6ec3262fp-7, 0x1.73beffad6d579p-7, 0x1.8857a4601b70fp-7, 0x1.9cca62a90662ep-7, 0x1.b116d4f1948d6p-7, 0x1.c53c922cca727p-7, 0x1.d93b2e6316d8dp-7, 0x1.ed123adcf22cbp-7, 0x1.0060a329ba706p-6, 0x1.0a23ee77567f7p-6, 0x1.13d2c40ddfcbap-6, 0x1.1d6ce7400e30ap-6, 0x1.26f21a02f3cb5p-6, 0x1.30621d03a3377p-6, 0x1.39bcafc7168edp-6, 0x1.430190d2b8b0bp-6, 0x1.4c307dc77ee94p-6, 0x1.5549336e862a7p-6, 0x1.5e4b6dbb914a9p-6, 0x1.6736e7d1082d7p-6, 0x1.700b5c0ea1f0dp-6, 0x1.78c884237a7b8p-6, 0x1.816e1939eb023p-6, 0x1.89fbd4040d36ap-6, 0x1.92716cf1ee972p-6, 0x1.9ace9c41e7da2p-6, 0x1.a3131a1056061p-6, 0x1.ab3e9e64531bap-6, 0x1.b350e13fd0493p-6, 0x1.bb499ab9533f5p-6, 0x1.c3288317958b5p-6, 0x1.caed52ee07f1p-6, 0x1.d297c33a4f937p-6, 0x1.da278d7f06f23p-6, 0x1.e19c6bda3ce3cp-6, 0x1.e8f619182f829p-6, 0x1.f03450c7e217bp-6, 0x1.f756cf53e58c6p-6, 0x1.fe5d521e44795p-6, 0x1.02a3cbc97fb93p-5, 0x1.060aafaa554ap-5, 0x1.0963350f5f8c2p-5, 0x1.0cad3d02b8895p-5, 0x1.0fe8a93a1a6d7p-5, 0x1.13155c2997a2bp-5, 0x1.1633390af47b1p-5, 0x1.194223f0eaa0ep-5, 0x1.1c4201cdcc25p-5, 0x1.1f32b879ec23fp-5, 0x1.22142eb6fe332p-5, 0x1.24e64c32bdc96p-5, 0x1.27a8f98c40f02p-5, 0x1.2a5c2060c3938p-5, 0x1.2cffab5c5e479p-5, 0x1.2f93864b5837fp-5, 0x1.32179e24c95ebp-5, 0x1.348be110035f8p-5, 0x1.36f03e60725ap-5, 0x1.3944a68f9c0f4p-5, 0x1.3b890b38674c4p-5, 0x1.3dbd5f1991b74p-5, 0x1.3fe196219341fp-5, 0x1.41f5a581cc7e9p-5, 0x1.43f983c20fbb1p-5, 0x1.45ed28cd540a7p-5, 0x1.47d08df32d095p-5, 0x1.49a3addde64c1p-5, 0x1.4b668482fda5cp-5, 0x1.4d190f1585707p-5, 0x1.4ebb4c014f1eap-5, 0x1.504d3af2020a1p-5, 0x1.51cedce41c1cbp-5, 0x1.5340343967b62p-5, 0x1.54a144c888148p-5, 0x1.55f213e0fc021p-5, 0x1.5732a841a9da8p-5, 0x1.58630a05918b4p-5, 0x1.5983428df83e7p-5, 0x1.5a935c72ee98p-5, 0x1.5b93637fca3b2p-5, 0x1.5c8364bc357eep-5, 0x1.5d636e7d620dp-5, 0x1.5e339077dc4bdp-5, 0x1.5ef3dbca07ef5p-5, 0x1.5fa462fa2fdfcp-5, 0x1.604539e7e0465p-5, 0x1.60d675b4c613dp-5, 0x1.61582cac78ec6p-5, 0x1.61ca763292fb6p-5, 0x1.622d6abc01957p-5, 0x1.628123d416d1bp-5, 0x1.62c5bc29704cp-5, 0x1.62fb4f9c32d5fp-5, 0x1.6321fb46da7cfp-5, 0x1.6339dd7d0490ap-5, 0x1.634315bf4739cp-5, 0x1.633dc4a6c67d3p-5, 0x1.632a0bcdd95a2p-5, 0x1.63080dbb7e141p-5, 0x1.62d7edd618aa5p-5, 0x1.6299d05f2b34p-5, 0x1.624dda76a8fc1p-5, 0x1.61f4322242174p-5, 0x1.618cfe53f4dabp-5, 0x1.611866ebdce2p-5, 0x1.609694b31146dp-5, 0x1.6007b14fa5086p-5, 0x1.5f6be734104a5p-5, 0x1.5ec3618d34cedp-5, 0x1.5e0e4c324ce92p-5, 0x1.5d4cd39923224p-5, 0x1.5c7f24cf35d17p-5, 0x1.5ba56d7717171p-5, 0x1.5abfdbc81d58p-5, 0x1.59ce9e8e1c2b2p-5, 0x1.58d1e5273815bp-5, 0x1.57c9df7ead89ap-5, 0x1.56b6be046a6d6p-5, 0x1.5598b1a23e82p-5, 0x1.546febaffcdcfp-5, 0x1.533c9de7dc5dbp-5, 0x1.51fefa5c33c19p-5, 0x1.50b7336f1d064p-5, 0x1.4f657bcbea489p-5, 0x1.4e0a0661ea4cap-5, 0x1.4ca5065fbced3p-5, 0x1.4b36af2e964d9p-5, 0x1.49bf346ccc23fp-5, 0x1.483ec9e78c0a8p-5, 0x1.46b5a393b6429p-5, 0x1.4523f58635f02p-5, 0x1.4389f3ec1789p-5, 0x1.41e7d302d086cp-5, 0x1.403dc710e01c3p-5, 0x1.3e8c045efa31cp-5, 0x1.3cd2bf31b6529p-5, 0x1.3b122bc3ac6p-5, 0x1.394a7e3fd14e6p-5, 0x1.377beabc0144dp-5, 0x1.35a6a5338a71bp-5, 0x1.33cae181ab8ddp-5, 0x1.31e8d35c006ebp-5, 0x1.3000ae4ce5724p-5, 0x1.2e12a5ade0326p-5, 0x1.2c1eeca21211bp-5, 0x1.2a25b610d93a8p-5, 0x1.282734a0979cfp-5, 0x1.26239ab1be2fap-5, 0x1.241b1a59fff21p-5, 0x1.220de55fc49e2p-5, 0x1.1ffc2d35bd7aep-5, 0x1.1de622f69708ap-5, 0x1.1bcbf760ca583p-5, 0x1.19addad272f49p-5, 0x1.178bfd454a72ap-5, 0x1.15668e4aa947bp-5, 0x1.133dbd07be835p-5, 0x1.1111b831e0de8p-5, 0x1.0ee2ae0b1a32bp-5, 0x1.0cb0cc5ee2ca8p-5, 0x1.0a7c407f02b26p-5, 0x1.084537409908bp-5, 0x1.060bdcf93810ep-5, 0x1.03d05d7c13912p-5, 0x1.0192e41734d27p-5, 0x1.fea737219b2c3p-6, 0x1.fa255c4937de1p-6, 0x1.f5a08b03023f7p-6, 0x1.f119158e9f69ep-6, 0x1.ec8f4d09a97a4p-6, 0x1.e803816c269f6p-6, 0x1.e376018572dc3p-6, 0x1.dee71af9301fap-6, 0x1.da571a3c4ce0ap-6, 0x1.d5c64a91e6231p-6, 0x1.d134f60815c81p-6, 0x1.cca36574be0e8p-6, 0x1.c811e0728ec6cp-6, 0x1.c380ad5e887c7p-6, 0x1.bef0115625b1fp-6, 0x1.ba6050364d5d8p-6, 0x1.b5d1ac9ae68adp-6, 0x1.b14467dedd485p-6, 0x1.acb8c21c1d05bp-6, 0x1.a82efa2b49819p-6, 0x1.a3a74da2bc88bp-6, 0x1.9f21f8d4fb30ep-6, 0x1.9a9f36ceb2bffp-6, 0x1.961f4154d04fbp-6, 0x1.91a250e3355dfp-6, 0x1.8d289cac98d64p-6, 0x1.88b25a9bd3ea3p-6, 0x1.843fbf5676d47p-6, 0x1.7fd0fe40549a5p-6, 0x1.7b66497f1fb17p-6, 0x1.76ffd1fd419c1p-6, 0x1.729dc76b687efp-6, 0x1.6e40584054768p-6, 0x1.69e7b1b72bbfcp-6, 0x1.6593ffcd205cap-6, 0x1.61456d3f66a58p-6, 0x1.5cfc238aa0ceep-6, 0x1.58b84aecb6619p-6, 0x1.547a0a692c0eap-6, 0x1.504187cfc4fa2p-6, 0x1.4c0ee7c450806p-6, 0x1.47e24dc615766p-6, 0x1.43bbdc358ec21p-6, 0x1.3f9bb45750568p-6, 0x1.3b81f653c1891p-6, 0x1.376ec1345002ep-6, 0x1.336232df6dc74p-6, 0x1.2f5c681544121p-6, 0x1.2b5d7c6ed22a7p-6, 0x1.27658a60de542p-6, 0x1.2374ab42daa93p-6, 0x1.1f8af7591cb4dp-6, 0x1.1ba885e07161ep-6, 0x1.17cd6d18f2eabp-6, 0x1.13f9c24db6f31p-6, 0x1.102d99d7f4f56p-6, 0x1.0c69071d51455p-6, 0x1.08ac1c8a68f21p-6, 0x1.04f6eb8be0429p-6, 0x1.01498488fd5fp-6, 0x1.fb47edc50891dp-7, 0x1.f40ca1ef8cb0dp-7, 0x1.ece140646c55p-7, 0x1.e5c5e22badf45p-7, 0x1.deba9ea74ea99p-7, 0x1.d7bf8bb34c631p-7, 0x1.d0d4bdb9858b8p-7, 0x1.c9fa47b3d9b17p-7, 0x1.c3303b1b40718p-7, 0x1.bc76a7c7842bfp-7, 0x1.b5cd9bc86dbadp-7, 0x1.af35234366f1cp-7, 0x1.a8ad4861cb179p-7, 0x1.a236135982d98p-7, 0x1.9bcf8a947d3e5p-7, 0x1.9579b2f4258c8p-7, 0x1.8f349027b74bfp-7, 0x1.89002504bcc97p-7, 0x1.82dc73cf3b1b7p-7, 0x1.7cc97e5f4f63dp-7, 0x1.76c74617ff173p-7, 0x1.70d5cbac55981p-7, 0x1.6af50eb9ef1cdp-7, 0x1.65250d4bc3b89p-7, 0x1.5f65c35d81f28p-7, 0x1.59b72a7bb3c8cp-7, 0x1.5419399929298p-7, 0x1.4e8be52afbeeep-7, 0x1.490f1f8fd838cp-7, 0x1.43a2d9b8e25bep-7, 0x1.3e4703fcacc8bp-7, 0x1.38fb8eeff1b71p-7, 0x1.33c06c1a690f6p-7, 0x1.2e958e5fff997p-7, 0x1.297aea01c4d56p-7, 0x1.2470742c884c2p-7, 0x1.1f762221f4d35p-7, 0x1.1a8be81dac8ebp-7, 0x1.15b1b827fa857p-7, 0x1.10e7810cb12a4p-7, 0x1.0c2d2da92a3b6p-7, 0x1.0782a4b82aadp-7, 0x1.02e7c92ee8d9fp-7, 0x1.fcb8f654b00b5p-8, 0x1.f3c132a87b295p-8, 0x1.eae80523ad44fp-8, 0x1.e22d2f788c081p-8, 0x1.d9907a2f99243p-8, 0x1.d111b682565fcp-8, 0x1.c8b0beb36ff04p-8, 0x1.c06d74b3fa066p-8, 0x1.b847bf37af057p-8, 0x1.b03f85a9f405ap-8, 0x1.a854abafa279cp-8, 0x1.a0870cf5ff68dp-8, 0x1.98d679fc91632p-8, 0x1.9142b65611594p-8, 0x1.89cb789b5285cp-8, 0x1.82706c1130c2bp-8, 0x1.7b3133cdff175p-8, 0x1.740d6f08fe093p-8, 0x1.6d04be179eaccp-8, 0x1.6616c77f0362ap-8, 0x1.5f433c60428d3p-8, 0x1.5889db7e7269ep-8, 0x1.51ea72393bcf1p-8, 0x1.4b64db2028949p-8, 0x1.44f8fa333a243p-8, 0x1.3ea6b763c6061p-8, 0x1.386df84e6fd25p-8, 0x1.324e9a54f8376p-8, 0x1.2c486e229dc7ep-8, 0x1.265b3547c94fcp-8, 0x1.2086a21dfe068p-8, 0x1.1aca59b13c621p-8, 0x1.1525f729475dep-8, 0x1.0f99101fea409p-8, 0x1.0a2339706fae1p-8, 0x1.04c40c2b34ecdp-8, 0x1.fef654cb08a8bp-9, 0x1.f49086fb16371p-9, 0x1.ea562e7ccb0bep-9, 0x1.e046ee5f158bp-9, 0x1.d6628ae3e04ep-9, 0x1.cca8e1d0ed91ap-9, 0x1.c319ddfa46243p-9, 0x1.b9b567f02da2bp-9, 0x1.b07b56aaa0c56p-9, 0x1.a76b6347b2ee2p-9, 0x1.9e85223fbd19fp-9, 0x1.95c80307bb786p-9, 0x1.8d33555d6e67bp-9, 0x1.84c652197b60bp-9, 0x1.7c8024db27794p-9, 0x1.745ff466ff3fcp-9, 0x1.6c64e8d6d5b6fp-9, 0x1.648e301d7aa01p-9, 0x1.5cdb0233aeb43p-9, 0x1.554aa6288395fp-9, 0x1.4ddc78572e9f6p-9, 0x1.468ff0b85b5f2p-9, 0x1.3f64a740c97b9p-9, 0x1.385a540add03bp-9, 0x1.3170c9cfc2bf2p-9, 0x1.2aa7eaccd0d9p-9, 0x1.23ff9a13aedep-9, 0x1.1d77acc76e13ep-9, 0x1.170fdf38c21d2p-9, 0x1.10c7d0ee22eccp-9, 0x1.0a9f0883dce3cp-9, 0x1.0494fdacbbd4bp-9, 0x1.fd524adb5ff7ep-10, 0x1.f1b5f7d459dfap-10, 0x1.e654105f5e748p-10, 0x1.db2bb2201b3c2p-10, 0x1.d03bfa5b474dbp-10, 0x1.c583f4f2c4cb6p-10, 0x1.bb029327f7b58p-10, 0x1.b0b6af80a1431p-10, 0x1.a69f1e752bc6ap-10, 0x1.9cbac635a6625p-10, 0x1.9308b4c71c6d6p-10, 0x1.89882bee7816p-10, 0x1.80389da284aebp-10, 0x1.7719990fad73p-10, 0x1.6e2aadcf5bab9p-10, 0x1.656b4ec43e4f2p-10, 0x1.5cdabe7ea50a2p-10, 0x1.54780c0679abbp-10, 0x1.4c42217a43e67p-10, 0x1.4437e001085abp-10, 0x1.3c583fd0a2381p-10, 0x1.34a269029d92dp-10, 0x1.2d15bb9a4e704p-10, 0x1.25b1c2b20570ep-10, 0x1.1e7616cc2937p-10, 0x1.17623a9ac820ap-10, 0x1.1075808c37a1p-10, 0x1.09af03fafa019p-10, 0x1.030db894fbf7fp-10, 0x1.f921131504794p-11, 0x1.ec6cf97645ec1p-11, 0x1.dffd9b9a5a84p-11, 0x1.d3d1f1a2c16cap-11, 0x1.c7e9639e2523fp-11, 0x1.bc4399abbd41cp-11, 0x1.b0e03eab3d5d7p-11, 0x1.a5beca863dfffp-11, 0x1.9ade63ebf5fa3p-11, 0x1.903dde855c459p-11, 0x1.85dbd0d8cec23p-11, 0x1.7bb6b8bc8fa61p-11, 0x1.71cd2538ca802p-11, 0x1.681ddcc8e4d4ap-11, 0x1.5ea7f4e44886dp-11, 0x1.556acecb7c701p-11, 0x1.4c65f31ad5ecep-11, 0x1.4398d33a74581p-11, 0x1.3b0287637bc25p-11, 0x1.32a1a6fdefb11p-11, 0x1.2a744fe54ead8p-11, 0x1.22785aa529606p-11, 0x1.1aaba3ded84ep-11, 0x1.130c4ca9c580ep-11, 0x1.0b98df5c76c7dp-11, 0x1.045056f8a6468p-11, 0x1.fa64204039c27p-12, 0x1.ec7b561c1e93p-12, 0x1.dee5cdcbe1c2bp-12, 0x1.d1a30268a4d32p-12, 0x1.c4b244e993b4p-12, 0x1.b812b040d75b3p-12, 0x1.abc32b91d9e31p-12, 0x1.9fc26ebf9709p-12, 0x1.940f08a1e52b5p-12, 0x1.88a76c68771aep-12, 0x1.7d8a07974f1ebp-12, 0x1.72b55a35a28dbp-12, 0x1.6828065097fb4p-12, 0x1.5de0cbe1b7c25p-12, 0x1.53de6a8d07985p-12, 0x1.4a1f6ead33c9p-12, 0x1.40a20175f9be1p-12, 0x1.3763df1aff47ep-12, 0x1.2e6286da88445p-12, 0x1.259b8ec45d616p-12, 0x1.1d0ce1a6cf2e3p-12, 0x1.14b4bd3c9ed5ep-12, 0x1.0c9185cefb341p-12, 0x1.04a1af20d46d5p-12, 0x1.f9c7b5c51de76p-13, 0x1.eaae135496476p-13, 0x1.dbf54c9f93079p-13, 0x1.cd9cb64039afp-13, 0x1.bfa39a3687691p-13, 0x1.b208cce701a31p-13, 0x1.a4ca9c7537faep-13, 0x1.97e724225e113p-13, 0x1.8b5cc819f1214p-13, 0x1.7f2a746e137e3p-13, 0x1.734f64e0b9cacp-13, 0x1.67caa4373174cp-13, 0x1.5c9ab29d32252p-13, 0x1.51bd99a14b0c6p-13, 0x1.473150f82db0fp-13, 0x1.3cf418cb52f5bp-13, 0x1.33047ef851f81p-13, 0x1.296108fd1fe9cp-13, 0x1.2007c3469cbbep-13, 0x1.16f6142508b0fp-13, 0x1.0e28fe68dbbb9p-13, 0x1.059d8908c60d9p-13, 0x1.faa17b80b2967p-14, 0x1.ea7e4e6afcd64p-14, 0x1.dac91f0504c33p-14, 0x1.cb79918c6a6c4p-14, 0x1.bc8a45577e979p-14, 0x1.adfa72345c5ddp-14, 0x1.9fcc973fa6ed3p-14, 0x1.9203482597008p-14, 0x1.849e91b0c7e81p-14, 0x1.779bb5a2529dcp-14, 0x1.6af7166081ad7p-14, 0x1.5eae7f0231e59p-14, 0x1.52c1d0fb210cfp-14, 0x1.4731b78b66b9bp-14, 0x1.3bfdbc98b9a0ep-14, 0x1.312347a9cb3dbp-14, 0x1.269df02ce5f2cp-14, 0x1.1c689827dd1cep-14, 0x1.127ea126098bcp-14, 0x1.08dcd393e0f77p-14, 0x1.ff0394addafd8p-15, 0x1.ecdb93b42abacp-15, 0x1.db43f6d2a4847p-15, 0x1.ca3e854e455bfp-15, 0x1.b9ca98b3fdf2ap-15, 0x1.a9e51fd288aa8p-15, 0x1.9a8a4ce060f27p-15, 0x1.8bb642df550b7p-15, 0x1.7d62bc581e4a3p-15, 0x1.6f848694ba19dp-15, 0x1.620e550bad601p-15, 0x1.54f86d004964ap-15, 0x1.4844bbc5e34fdp-15, 0x1.3bf9e1050ed2p-15, 0x1.301a51c75f81p-15, 0x1.24a0723723628p-15, 0x1.19826fb9cd191p-15, 0x1.0eb90bef82a91p-15, 0x1.044291a0bc86ep-15, 0x1.f4403a487ab24p-16, 0x1.e0a2d6e1d6494p-16, 0x1.cda6d5b2370aep-16, 0x1.bb42f7f3fda53p-16, 0x1.a96e33cc84d9ep-16, 0x1.982146668934fp-16, 0x1.8756d398d419ap-16, 0x1.770b21e42f286p-16, 0x1.673bf7a2e5041p-16, 0x1.57e889a18912cp-16, 0x1.49113a028b855p-16, 0x1.3ab6eabe49f81p-16, 0x1.2cd9b3c1d7c8p-16, 0x1.1f772647f6ec4p-16, 0x1.128949ea049f8p-16, 0x1.06083ab057c64p-16, 0x1.f3dcb352e99dfp-17, 0x1.dc7582973ac48p-17, 0x1.c5dadec993e18p-17, 0x1.b0013212864a8p-17, 0x1.9ad3f3e2a53b6p-17, 0x1.864b44104af96p-17, 0x1.727450c077efbp-17, 0x1.5f5b228729039p-17, 0x1.4cf424116f115p-17, 0x1.3b2357a33a6a8p-17, 0x1.29d5e15905481p-17, 0x1.190cf1d15a709p-17, 0x1.08d083828d3e9p-17, 0x1.f2414d2c9d449p-18, 0x1.d3eac4b66b602p-18, 0x1.b68b54bbe4c14p-18, 0x1.9a16c27c9e4c2p-18, 0x1.7e869b1fa2b9ap-18, 0x1.63d726bee372cp-18, 0x1.4a04add31b6abp-18, 0x1.3109e9fec4bb1p-18, 0x1.18df8af3f360bp-18, 0x1.017c75821b48cp-18, 0x1.d5aca5c12a7fep-19, 0x1.a9c49e71bf0bep-19, 0x1.7f2c537f6f61dp-19, 0x1.55d3258e6e11dp-19, 0x1.2dadc248b4fe1p-19, 0x1.06b369d67a4bdp-19, 0x1.c1b09bc7d84c3p-20, 0x1.781a7aba982b3p-20, 0x1.3093f9e5f188bp-20, 0x1.d65e68969fc61p-21, 0x1.501884fb229f8p-21, 0x1.9c56ee7664e15p-22, 0x1.3f69d3fbdf8bdp-23, -0x1.5a98adc286bdep-24, -0x1.463542558f82fp-22, -0x1.1758733398a16p-21, -0x1.887a181f03f56p-21, -0x1.f6bb4dba82201p-21, -0x1.30e3fede81a43p-20, -0x1.64b3df4933e73p-20, -0x1.96ef913653ddp-20, -0x1.c7d003886eaffp-20, -0x1.f77eb7e38dee8p-20, -0x1.13089fbdfdc73p-19, -0x1.29c8da3968172p-19, -0x1.4002e16cbdd9fp-19, -0x1.55b911a7a3559p-19, -0x1.6aedfd4764e8fp-19, -0x1.7fa4aafd49603p-19, -0x1.93e0a348a51bbp-19, -0x1.a7a5dc2fc683cp-19, -0x1.baf88e29ce3f9p-19, -0x1.cddd072e26be6p-19, -0x1.e05784c21672ap-19, -0x1.f26c00486a2cap-19, -0x1.020ee9bc219b3p-18, -0x1.0ab7a855125dap-18, -0x1.1330e8f226184p-18, -0x1.1b7b7556f7fd4p-18, -0x1.23992cc5a0757p-18, -0x1.2b8d35e2d1b9bp-18, -0x1.335a8585ffa89p-18, -0x1.3b01b280b673cp-18, -0x1.4280ed29871a9p-18, -0x1.49d9583f535cap-18, -0x1.5113539f0dfeap-18, -0x1.58346411323f3p-18, -0x1.5f39b7faf42fep-18, -0x1.66232987f6f3dp-18, -0x1.6cf196a8e525ep-18, -0x1.73a18611ea97ep-18, -0x1.7a327798699cbp-18, -0x1.80a8037ffbbap-18, -0x1.87049736b6d21p-18, -0x1.8d4863427194fp-18, -0x1.9373302b04af4p-18, -0x1.99858c64589b2p-18, -0x1.9f80a64f38cdfp-18, -0x1.a565b1a429cfbp-18, -0x1.ab3591144f96cp-18, -0x1.b0f0d730c3a65p-18, -0x1.b697e91256d0ep-18, -0x1.bc2b1bbaba77ap-18, -0x1.c1aac259d75d7p-18, -0x1.c71731a43830bp-18, -0x1.cc70bef14ccb9p-18, -0x1.d1b7bd20e2597p-18, -0x1.d6ec7a25d01b8p-18, -0x1.dc0f44d75fd7ep-18, -0x1.e1205fd48cac1p-18, -0x1.e62010a965b39p-18, -0x1.eb0e9c1a1913cp-18, -0x1.efec4894f0e6bp-18, -0x1.f4b956f8f2119p-18, -0x1.f975f439fba5fp-18, -0x1.fe22365bac0d7p-18, -0x1.015f1835cc8f1p-17, -0x1.03a507afddbb1p-17, -0x1.05e31c03f929bp-17, -0x1.08198de8888cbp-17, -0x1.0a483bf1ba2b4p-17, -0x1.0c6eea7d3e415p-17, -0x1.0e8db5169d462p-17, -0x1.10a4ba7308a4p-17, -0x1.12b44604d4ceap-17, -0x1.14bc745d748d4p-17, -0x1.16bd0fda59425p-17, -0x1.18b5dd630da83p-17, -0x1.1aa6c4e8da0f3p-17, -0x1.1c8fe241d8dccp-17, -0x1.1e7162efad5fdp-17, -0x1.204b44b1f0a16p-17, -0x1.221d55e16175cp-17, -0x1.23e7897472e2ap-17, -0x1.25aa1a796cdd2p-17, -0x1.27653fbb1139dp-17, -0x1.2918ee5609b85p-17, -0x1.2ac4f44456e0cp-17, -0x1.2c69271aff075p-17, -0x1.2e057318afabep-17, -0x1.2f99d3a8cae32p-17, -0x1.3126490a7331dp-17, -0x1.32aad291df447p-17, -0x1.34276d0e32a29p-17, -0x1.359c130ce8a16p-17, -0x1.3708bd73f993bp-17, -0x1.386d63fc1718cp-17, -0x1.39c9fe240512p-17, -0x1.3b1e854c9006ap-17, -0x1.3c6af7635fa3ap-17, -0x1.3daf562f6ba4ap-17, -0x1.3eeba0398d3e9p-17, -0x1.401fca3f39496p-17, -0x1.414bbfb6babf5p-17, -0x1.426f64e6e325fp-17, -0x1.438aaca54e8d6p-17, -0x1.449ddad9a3da8p-17, -0x1.45a935d8376d2p-17, -0x1.46ac189f83917p-17, -0x1.47a61f44073ccp-17, -0x1.4897b0f77127ep-17, -0x1.4981368953429p-17, -0x1.4a626838dd5d9p-17, -0x1.4b3b118daf804p-17, -0x1.4c0b339416638p-17, -0x1.4cd2d689f8ac9p-17, -0x1.4d9200a504723p-17, -0x1.4e48b8b2e0689p-17, -0x1.4ef70db244ce3p-17, -0x1.4f9d0bc5b5e2bp-17, -0x1.503a9ee45ec5ap-17, -0x1.50cf92b4cc764p-17, -0x1.515bd57540fccp-17, -0x1.51df7e4473683p-17, -0x1.525a7b523532ep-17, -0x1.52ccbd9366af4p-17, -0x1.5336860aceabp-17, -0x1.5398041761b53p-17, -0x1.53f11b0740914p-17, -0x1.5441a2ecc8ddap-17, -0x1.54898ebff2e16p-17, -0x1.54c8e3574d51cp-17, -0x1.54ffa9ec9c654p-17, -0x1.552deab8c771ap-17, -0x1.5553ac39a843cp-17, -0x1.5570f3b53a48cp-17, -0x1.5585c5cb03828p-17, -0x1.5592270076883p-17, -0x1.55961c92cae7ap-17, -0x1.5591ad8feaf21p-17, -0x1.5584e31605391p-17, -0x1.556fc67aee17bp-17, -0x1.55525eadf2e35p-17, -0x1.552caf0d6e75cp-17, -0x1.54feb76f7a50ap-17, -0x1.54c8776754d71p-17, -0x1.548a073a145dfp-17, -0x1.544397ab2330ep-17, -0x1.53f4f66139bbp-17, -0x1.539e23ae7a644p-17, -0x1.533f6a760f679p-17, -0x1.52d8b7f8aa706p-17, -0x1.526a0673c1243p-17, -0x1.51f366ec7dc61p-17, -0x1.5174e9513aab2p-17, -0x1.50ee9afba322p-17, -0x1.5060888305437p-17, -0x1.4fcabe874f009p-17, -0x1.4f2d49d6318efp-17, -0x1.4e883757918cep-17, -0x1.4ddb93f46520ap-17, -0x1.4d276c812bda1p-17, -0x1.4c6bcdaed4ceep-17, -0x1.4ba8c4d41823cp-17, -0x1.4ade64f67f696p-17, -0x1.4a0cd1610ca2ap-17, -0x1.493434cc32e6dp-17, -0x1.48548d0c63f9bp-17, -0x1.476db223f966p-17, -0x1.467f9d97b83a4p-17, -0x1.458a787f34185p-17, -0x1.448e955fe1fd2p-17, -0x1.438c08081203p-17, -0x1.4282bada93f11p-17, -0x1.4172b09df0346p-17, -0x1.405bfef7ea544p-17, -0x1.3f3ebda84d0d7p-17, -0x1.3e1b023459d3fp-17, -0x1.3cf0e0411e448p-17, -0x1.3bc06a5f77c6ap-17, -0x1.3a89b2c097f4ep-17, -0x1.394ccc6c48faep-17, -0x1.3809ccc0abdc7p-17, -0x1.36c0cac767bbap-17, -0x1.3571db8927321p-17, -0x1.341d10752b983p-17, -0x1.32c279b34ap-17, -0x1.31622598cb279p-17, -0x1.2ffc1d5098cadp-17, -0x1.2e9083884e07ap-17, -0x1.2d1f8222db88ep-17, -0x1.2ba917e24a05cp-17, -0x1.2a2d75e57e13p-17, -0x1.28ac8976e3ab7p-17, -0x1.27266803a64b4p-17, -0x1.259b306d819c9p-17, -0x1.240afad101ee5p-17, -0x1.2275dc8edd2ep-17, -0x1.20dbea7aaaa24p-17, -0x1.1f3d3963ee76cp-17, -0x1.1d99de27e0e45p-17, -0x1.1bf1edb21a8dfp-17, -0x1.1a457cfee9dbbp-17, -0x1.1894a12b2bd2fp-17, -0x1.16df6f7df1c9dp-17, -0x1.1525fd65a391ap-17, -0x1.13686052e86f6p-17, -0x1.11a6ad710e89ep-17, -0x1.0fe0f9581c78dp-17, -0x1.0e1757f91ca8ep-17, -0x1.0c49dcde5bed8p-17, -0x1.0a789b3c872ebp-17, -0x1.08a3a4a4ec93ap-17, -0x1.06cb08a97797fp-17, -0x1.04eee646384f4p-17, -0x1.030f90563dde3p-17, -0x1.012d2c2c9a325p-17, -0x1.fe8e6caffebddp-18, -0x1.fabba1422e0b2p-18, -0x1.f6e345bcbac3dp-18, -0x1.f3051d8ff5ac6p-18, -0x1.ef20dec6d66a6p-18, -0x1.eb36c1f7c16a4p-18, -0x1.e7470d041da45p-18, -0x1.e351f518431b8p-18, -0x1.df57a5261c9d1p-18, -0x1.db58475c291a9p-18, -0x1.d7540870c70ffp-18, -0x1.d34b15bdca8c4p-18, -0x1.cf3d96821f375p-18, -0x1.cb2bade3cb498p-18, -0x1.c7158018079b9p-18, -0x1.c2fb3496f3f47p-18, -0x1.bedce4108f934p-18, -0x1.baba8e6f2e08cp-18, -0x1.b694ac86426c2p-18, -0x1.b26baab6f8306p-18, -0x1.ae3f48dc542f5p-18, -0x1.aa0f8531a1967p-18, -0x1.a5dcaa874059dp-18, -0x1.a1a6eb5c5461p-18, -0x1.9d6e6e3008cffp-18, -0x1.9933578789bcbp-18, -0x1.94f5cbce118cp-18, -0x1.90b5ef73eed7ap-18, -0x1.8c73e6d693803p-18, -0x1.882fd62d55609p-18, -0x1.83e9e17d18bep-18, -0x1.7fa22c8bf81f4p-18, -0x1.7b58dad794f12p-18, -0x1.770e0f8892fb3p-18, -0x1.72c1ed6a0cfep-18, -0x1.6e7496e6afa8fp-18, -0x1.6a262e0e089bep-18, -0x1.65d6d4a61bfc3p-18, -0x1.6186ac44339c9p-18, -0x1.5d35d6619c316p-18, -0x1.58e4745ae6cb3p-18, -0x1.5492a745b563bp-18, -0x1.50408f99b6b11p-18, -0x1.4bee4ccd12c45p-18, -0x1.479bfd4f91a0ap-18, -0x1.4349bf628aa5bp-18, -0x1.3ef7b2a0c80b5p-18, -0x1.3aa5f76a5f38cp-18, -0x1.3654a60ddb11fp-18, -0x1.3203c1cff573cp-18, -0x1.2db363d293938p-18, -0x1.296405d42c4cep-18, -0x1.2515b183716d3p-18, -0x1.20c89e4aa6186p-18, -0x1.1c7caefbed1f7p-18, -0x1.1831b6f6e1b4bp-18, -0x1.13e7f669aeaa3p-18, -0x1.0f9fa398a0c86p-18, -0x1.0b58e1d47a59ep-18, -0x1.0713ccddfe5c4p-18, -0x1.02d07c73339a2p-18, -0x1.fd1e10123d23bp-19, -0x1.f49f118f856e8p-19, -0x1.ec24311451f94p-19, -0x1.e3ad98cb8bb2p-19, -0x1.db3b4bcdd9f84p-19, -0x1.d2cd9af9ecb84p-19, -0x1.ca65510ee8b09p-19, -0x1.c201eda4c98f4p-19, -0x1.b9a39ac7945efp-19, -0x1.b14aacaed1026p-19, -0x1.a8f75540fbaa1p-19, -0x1.a0a9bf7dad22ep-19, -0x1.986215c261165p-19, -0x1.9020822bccb58p-19, -0x1.87e52e5bc97ebp-19, -0x1.7fb043647b368p-19, -0x1.7781e9b4ce9a5p-19, -0x1.6f5a491af5cap-19, -0x1.673988b7a9831p-19, -0x1.5f1fcf020e68p-19, -0x1.570d41c4a6be2p-19, -0x1.4f02061f3b447p-19, -0x1.46fe408861771p-19, -0x1.3f0214d172b53p-19, -0x1.370da624eb78dp-19, -0x1.2f2117070f0ep-19, -0x1.273c8952b5936p-19, -0x1.1f601e36f2ba6p-19, -0x1.178bf6321eaecp-19, -0x1.0fc031176e98p-19, -0x1.07fcee0c2d3edp-19, -0x1.00424b995c29cp-19, -0x1.f120cf5fc0beap-20, -0x1.e1cebf5d8b124p-20, -0x1.d28ea0bc227ddp-20, -0x1.c360abe87309ep-20, -0x1.b44517ff50853p-20, -0x1.a53c1a801f659p-20, -0x1.9645e6fede8ecp-20, -0x1.8762af58c4e71p-20, -0x1.7892a5396cbfap-20, -0x1.69d5fb56ef639p-20, -0x1.5b2cd6e8ff955p-20, -0x1.4c979316bca06p-20, -0x1.3e1619e29e913p-20, -0x1.2fa84b6a629c8p-20, -0x1.214e99b8593cdp-20, -0x1.130a4737ee135p-20, -0x1.04dac95d3664dp-20, -0x1.ed7f0e0850ffp-21, -0x1.d171e865a8021p-21, -0x1.b58eccbb71d3p-21, -0x1.99d6118dd5fa8p-21, -0x1.7e47fad6c9d8cp-21, -0x1.62e4c92517f33p-21, -0x1.47aca900672c1p-21, -0x1.2c9fb25a71d8p-21, -0x1.11bec13645ef6p-21, -0x1.ee133ec75f08fp-22, -0x1.b900d15bca9p-22, -0x1.8446f015d5354p-22, -0x1.4fe60a6b45d6p-22, -0x1.1bde83a7c923dp-22, -0x1.d06177d8ee02bp-23, -0x1.69ba1fcdc832bp-23, -0x1.03c7b1d25cf1p-23, -0x1.3d15b13984485p-24, -0x1.d021bb26eeecap-26, 0x1.4e5cb213c539dp-26, 0x1.19c7f83e4b29fp-24, 0x1.de88dd09fa9e8p-24, 0x1.50ec747da4911p-23, 0x1.b1db63563da74p-23, 0x1.09087962505f7p-22, 0x1.38c6516d7c9a9p-22, 0x1.682705277042cp-22, 0x1.972a6363f27d7p-22, 0x1.c5d03e4ba2b89p-22, 0x1.f4186b654c995p-22, 0x1.110161bf9bc86p-21, 0x1.27c791516e623p-21, 0x1.3e5eb40989f2p-21, 0x1.54c6bb1f6754p-21, 0x1.6aff995cd3679p-21, 0x1.8109431fa98cep-21, 0x1.96e3ae46bc2dep-21, 0x1.ac8ed23ef9e44p-21, 0x1.c20aa7f51408dp-21, 0x1.d75729da3e57ap-21, 0x1.ec7453d080abdp-21, 0x1.00b111996d474p-20, 0x1.0b104b64ff6b1p-20, 0x1.1557d765470b8p-20, 0x1.1f87b6654ac85p-20, 0x1.299fe9df5e7e4p-20, 0x1.33a073eaefdcbp-20, 0x1.3d89576ef4598p-20, 0x1.475a97e82383fp-20, 0x1.511439cfba617p-20, 0x1.5ab641d985678p-20, 0x1.6440b4416ad12p-20, 0x1.6db3975c2d299p-20, 0x1.770ef28e16ed9p-20, 0x1.8052cc7be7b26p-20, 0x1.897f2c8390563p-20, 0x1.92941c65edd2dp-20, 0x1.9b91aa51ca041p-20, 0x1.a477daf138372p-20, 0x1.ad46a73d83a4cp-20, 0x1.b5fe2d5e364c8p-20, 0x1.be9e79d14ad31p-20, 0x1.c7279313e4dbbp-20, 0x1.cf99826ccbfaep-20, 0x1.d7f455cb57b0ap-20, 0x1.e03838567137bp-20, 0x1.e864e8e0e3cbfp-20, 0x1.f07abe652036dp-20, 0x1.f879b0b44be1p-20, 0x1.0030e7120c5e9p-19, 0x1.04199345fe44cp-19, 0x1.07f6e4d2e035cp-19, 0x1.0bc8e3f488a81p-19, 0x1.0f8f9912e371bp-19, 0x1.134b0ccb31e19p-19, 0x1.16fb47f3d3341p-19, 0x1.1aa05393f6027p-19, 0x1.1e3a38ea6e657p-19, 0x1.21c9016387342p-19, 0x1.254cb6a17202fp-19, 0x1.28c562716b72cp-19, 0x1.2c330ed03d435p-19, 0x1.2f95c5e8a6317p-19, 0x1.32ed920ec449ep-19, 0x1.363a7dc4d2f0ap-19, 0x1.397c96ec6ef74p-19, 0x1.3cb3de9e5fd58p-19, 0x1.3fe069875e882p-19, 0x1.43023f9b2c6fep-19, 0x1.46196c03a1cbep-19, 0x1.4925fa31ac91bp-19, 0x1.4c27f5a92a2c4p-19, 0x1.4f1f6a12dde94p-19, 0x1.520c6342f2f2p-19, 0x1.54eeed248725ep-19, 0x1.57c713c6b43cp-19, 0x1.5a94e355eea99p-19, 0x1.5d58682000d0ap-19, 0x1.6011ae8f97e9dp-19, 0x1.62c0c32da5634p-19, 0x1.6565b2a16940fp-19, 0x1.680089aedf2a8p-19, 0x1.6a91552fa7b87p-19, 0x1.6d18221e5eeedp-19, 0x1.6f94fd90bdfbcp-19, 0x1.7207f4b1dc169p-19, 0x1.747114c802f4ep-19, 0x1.76d06b2ef03d2p-19, 0x1.7926055a95f66p-19, 0x1.7b71f0d4b9367p-19, 0x1.7db43b3e891cep-19, 0x1.7fecf24cfa1cdp-19, 0x1.821c23c4bf464p-19, 0x1.8441dd7f1e35p-19, 0x1.865e2d6a1e556p-19, 0x1.887121838c9bdp-19, 0x1.8a7ac7da5f31cp-19, 0x1.8c7b2e8c8d35ep-19, 0x1.8e7263c6d9b37p-19, 0x1.906075971a054p-19, 0x1.9245729dd5a2fp-19, 0x1.942168eff5b87p-19, 0x1.95f466bbcba67p-19, 0x1.97be78f4db973p-19, 0x1.997fc4415037fp-19, 0x1.9b381f97adae8p-19, 0x1.9ce7cd314195fp-19, 0x1.9e8ecc1b05678p-19, 0x1.a02d291d0e87p-19, 0x1.a1c2f38c7bff6p-19, 0x1.a3503a4a85455p-19, 0x1.a4d50c0a46311p-19, 0x1.a651777ebb7ap-19, 0x1.a7c58b65e8c5p-19, 0x1.a9315692bf576p-19, 0x1.aa94e7e14f21p-19, 0x1.abf051982372ep-19, 0x1.ad43984a2747ep-19, 0x1.ae8ed511ff576p-19, 0x1.afd2137e2d66cp-19, 0x1.b10d6270e8dd8p-19, 0x1.b240d0d5c7369p-19, 0x1.b36c6d9b148fbp-19, 0x1.b49047b3fbe9p-19, 0x1.b5ac6e15c7494p-19, 0x1.b6c0efb1ff2ddp-19, 0x1.b7cddb7ccfb0dp-19, 0x1.b8d3406809f21p-19, 0x1.b9d12d650851p-19, 0x1.bac7b16367929p-19, 0x1.bbb6db4ed7228p-19, 0x1.bc9eba1179d1ep-19, 0x1.bd7f5c8fc6ea7p-19, 0x1.be58d1a926676p-19, 0x1.bf2b2840d8487p-19, 0x1.bff66f21f0d2bp-19, 0x1.c0bab525042d1p-19, 0x1.c1780909fffa5p-19, 0x1.c22e7970d2ef1p-19, 0x1.c2de150ebacc1p-19, 0x1.c386eee3be889p-19, 0x1.c4290ff8eaa0ap-19, 0x1.c4c4818e413ddp-19, 0x1.c5595ecb6c601p-19, 0x1.c5e7b134be47fp-19, 0x1.c66f86bf8c6bbp-19, 0x1.c6f0ee21523a9p-19, 0x1.c76bf61bfb827p-19, 0x1.c7e0ad0ece795p-19, 0x1.c84f217b60dd9p-19, 0x1.c8b761b206595p-19, 0x1.c9197a3cc7f03p-19, 0x1.c9759669573efp-19, 0x1.c9cb7a595cc85p-19, 0x1.ca1b7a92c39cp-19, 0x1.ca658e378c04cp-19, 0x1.caa9c45092a23p-19, 0x1.cae829b8de9bap-19, 0x1.cb20ccb1b1ee8p-19, 0x1.cb53bc978819p-19, 0x1.cb8106a14ec6cp-19, 0x1.cba8b913c981bp-19, 0x1.cbcae1cc787d6p-19, 0x1.cbe78eb5210ffp-19, 0x1.cbfecda749f8fp-19, 0x1.cc10ac74ca82p-19, 0x1.cc1d38e0fbdadp-19, 0x1.cc2480a037f8ap-19, 0x1.cc26915bd4315p-19, 0x1.cc2378aca9022p-19, 0x1.cc1b44233bbb9p-19, 0x1.cc0e013ae12f4p-19, 0x1.cbfbbd662ce72p-19, 0x1.cbe4860794b28p-19, 0x1.cbc868738cca9p-19, }}, 
      {{-0x1.ec9406926b521p-2, -0x1.db0e7e66fe99bp-2, -0x1.c07ece8380143p-2, -0x1.9f8a3aa1eff65p-2, -0x1.7ab6d7f059fdp-2, -0x1.5434e1606352bp-2, -0x1.2dca7ba782c98p-2, -0x1.08d24d95e0968p-2, -0x1.cc885095dcf3p-3, -0x1.8d84efcb737acp-3, -0x1.5552945acaa12p-3, -0x1.243a0c113d42ep-3, -0x1.f45f45acf0af8p-4, -0x1.add4b3661f045p-4, -0x1.73ee82a4b3218p-4, -0x1.45922a559d164p-4, -0x1.2188da00d89ffp-4, -0x1.0691eec07155bp-4, -0x1.e6e0e485436adp-5, -0x1.cde9270354cb3p-5, -0x1.c003e339c5faep-5, -0x1.bb26e638606abp-5, -0x1.bd7a898e6a2dep-5, -0x1.c55af934ec6e4p-5, -0x1.d15788e0704acp-5, -0x1.e030b00ee6b07p-5, -0x1.f0d5237210a78p-5, -0x1.012f30a6df029p-4, -0x1.0a067abdc4e99p-4, -0x1.12a250c6d0739p-4, -0x1.1ac4474d0cc45p-4, -0x1.223bcef5636b4p-4, -0x1.28e4759059df6p-4, -0x1.2ea444093b517p-4, -0x1.336a3cf3a5da4p-4, -0x1.372cfc5c6464cp-4, -0x1.39e979b5c2d37p-4, -0x1.3ba1ea77ee639p-4, -0x1.3c5cc548f1c93p-4, -0x1.3c23e2de89fa6p-4, -0x1.3b03baea68184p-4, -0x1.390abb22dfaf5p-4, -0x1.3648b65edd361p-4, -0x1.32ce697500f73p-4, -0x1.2ead131313df8p-4, -0x1.29f61d1be43c5p-4, -0x1.24bad538d2b66p-4, -0x1.1f0c3347b102ep-4, -0x1.18faab40a167cp-4, -0x1.129609cbe93aep-4, -0x1.0bed5940e2fc1p-4, -0x1.050ece2ab5dffp-4, -0x1.fc0f74769d82p-5, -0x1.edc90908ce6ecp-5, -0x1.df614ca5adcf2p-5, -0x1.d0ed56e0bb21p-5, -0x1.c2806b35012bcp-5, -0x1.b42c0440bd315p-5, -0x1.a5ffe2c0fb97p-5, -0x1.980a1f455dd8ap-5, -0x1.8a573dd9676bfp-5, -0x1.7cf2432047657p-5, -0x1.6fe4ca434f87bp-5, -0x1.63371b64c36a5p-5, -0x1.56f04227f0a0cp-5, -0x1.4b16243902f9dp-5, -0x1.3fad9731ca01fp-5, -0x1.34ba7612be535p-5, -0x1.2a3fb5d7be01ap-5, -0x1.203f7929c91c2p-5, -0x1.16bb231e64862p-5, -0x1.0db3690992fa4p-5, -0x1.052863678a388p-5, -0x1.fa333bcb65a0cp-6, -0x1.eb0c4d00928bap-6, -0x1.dcd9376be28fap-6, -0x1.cf96735ca394ep-6, -0x1.c33fccca11918p-6, -0x1.b7d079a7f67e6p-6, -0x1.ad432e3df3d4ep-6, -0x1.a3922fff85639p-6, -0x1.9ab766c9bff87p-6, -0x1.92ac6d09eeb27p-6, -0x1.8b6a9e907412bp-6, -0x1.84eb26526e694p-6, -0x1.7f270aec9f79fp-6, -0x1.7a1739fa53aeep-6, -0x1.75b4922c19aaep-6, -0x1.71f7ec33bc678p-6, -0x1.6eda229580bdp-6, -0x1.6c5418886f14dp-6, -0x1.6a5ebffd1d232p-6, -0x1.68f31efcebc3ep-6, -0x1.680a545bd4fb3p-6, -0x1.679d9c03d0ad5p-6, -0x1.67a6529fa49ecp-6, -0x1.681df8f564d2p-6, -0x1.68fe36a974296p-6, -0x1.6a40dc8fe6d15p-6, -0x1.6bdfe6ab54b6p-6, -0x1.6dd57d9a09e88p-6, -0x1.701bf7bb16f5fp-6, -0x1.72add9f06b16cp-6, -0x1.7585d8162b7a1p-6, -0x1.789ed53685e41p-6, -0x1.7bf3e38649841p-6, -0x1.7f8044319b713p-6, -0x1.833f6704f0a04p-6, -0x1.872ce9f2cb479p-6, -0x1.8b44987fc1438p-6, -0x1.8f826b15dded1p-6, -0x1.93e2863f693a7p-6, -0x1.986139d93a55dp-6, -0x1.9cfb0023c4c4cp-6, -0x1.a1ac7cd34b6afp-6, -0x1.a6727c081c19ep-6, -0x1.ab49f14131b6dp-6, -0x1.b02ff643578f2p-6, -0x1.b521c9f8d8f9bp-6, -0x1.ba1ccf497ea59p-6, -0x1.bf1e8bf8cd802p-6, -0x1.c424a77450b3bp-6, -0x1.c92ce9ad5aba3p-6, -0x1.ce3539f0b3dbfp-6, -0x1.d33b9dc47c327p-6, -0x1.d83e37c18c542p-6, -0x1.dd3b46756b9ccp-6, -0x1.e2312352a33b2p-6, -0x1.e71e419653ef4p-6, -0x1.ec012d3ed6a65p-6, -0x1.f0d88a12b96e9p-6, -0x1.f5a3129283f49p-6, -0x1.fa5f970b415c1p-6, -0x1.ff0cfca9a86e9p-6, -0x1.01d51e460cb5ap-5, -0x1.041b3170e5b79p-5, -0x1.0658470b13f31p-5, -0x1.088bf6fb8e6a6p-5, -0x1.0ab5e1751b141p-5, -0x1.0cd5ae9648f11p-5, -0x1.0eeb0e03ebd1p-5, -0x1.10f5b692851cap-5, -0x1.12f565ebde5eap-5, -0x1.14e9e03780567p-5, -0x1.16d2efc884d39p-5, -0x1.18b064cfeed5cp-5, -0x1.1a8215108bafdp-5, -0x1.1c47db914f069p-5, -0x1.1e01985a0e875p-5, -0x1.1faf30315e7bap-5, -0x1.21508c58ef8e5p-5, -0x1.22e59a4ceec06p-5, -0x1.246e4b8d6c6b2p-5, -0x1.25ea9564c221p-5, -0x1.275a70aa80803p-5, -0x1.28bdd99513dcfp-5, -0x1.2a14cf86ff25cp-5, -0x1.2b5f54dd3697p-5, -0x1.2c9d6ebfdfb1ep-5, -0x1.2dcf24f8f2096p-5, -0x1.2ef481cb240e8p-5, -0x1.300d91c76dd0ep-5, -0x1.311a63a5cbdb3p-5, -0x1.321b0823f6f3cp-5, -0x1.330f91e3453d9p-5, -0x1.33f815448c782p-5, -0x1.34d4a847bfdb2p-5, -0x1.35a5626fd4889p-5, -0x1.366a5ca8777b3p-5, -0x1.3723b127b9be3p-5, -0x1.37d17b5208ecdp-5, -0x1.3873d7a2619dcp-5, -0x1.390ae397caa4fp-5, -0x1.3996bd9bf60a7p-5, -0x1.3a1784ea810a5p-5, -0x1.3a8d597d9f66p-5, -0x1.3af85bfe278a6p-5, -0x1.3b58adb1c142dp-5, -0x1.3bae7067266eap-5, -0x1.3bf9c66324862p-5, -0x1.3c3ad25320503p-5, -0x1.3c71b7415b402p-5, -0x1.3c9e9886472cbp-5, -0x1.3cc199b7b79e1p-5, -0x1.3cdade9bbf3b9p-5, -0x1.3cea8b1fa7209p-5, -0x1.3cf0c34ef0655p-5, -0x1.3cedab4757b12p-5, -0x1.3ce1672b0c965p-5, -0x1.3ccc1b181a8c6p-5, -0x1.3cadeb229578bp-5, -0x1.3c86fb4dfe5e5p-5, -0x1.3c576f82b3cd4p-5, -0x1.3c1f6b8584066p-5, -0x1.3bdf12ef66885p-5, -0x1.3b96892ac2b4ap-5, -0x1.3b45f16f9a2b1p-5, -0x1.3aed6ebc324bp-5, -0x1.3a8d23ccef2dp-5, -0x1.3a25331702001p-5, -0x1.39b5bec707c97p-5, -0x1.393ee8bf0fcb2p-5, -0x1.38c0d292ca18p-5, -0x1.383b9d8159afdp-5, -0x1.37af6a7065bb4p-5, -0x1.371c59eab688ep-5, -0x1.36828c20a245cp-5, -0x1.35e220e71eca5p-5, -0x1.353b37b435d8fp-5, -0x1.348def9abdd3dp-5, -0x1.33da67487e0b6p-5, -0x1.3320bd06957b9p-5, -0x1.32610ebae74e2p-5, -0x1.319b79e7e0cd4p-5, -0x1.30d01baa1f07bp-5, -0x1.2fff10b64c676p-5, -0x1.2f287558a96bp-5, -0x1.2e4c6575ee2dcp-5, -0x1.2d6afc8e16c29p-5, -0x1.2c8455bd13d3bp-5, -0x1.2b988bb967a03p-5, -0x1.2aa7b8d398e56p-5, -0x1.29b1f6f6647a7p-5, -0x1.28b75fa89ce11p-5, -0x1.27b80c0f91ff2p-5, -0x1.26b414f0cccb9p-5, -0x1.25ab92b29014bp-5, -0x1.249e9d5bdb50ep-5, -0x1.238d4c952248p-5, -0x1.2277b7aa0f15ap-5, -0x1.215df58c1acadp-5, -0x1.20401cd4f3661p-5, -0x1.1f1e43c81450ap-5, -0x1.1df88053af4a4p-5, -0x1.1ccee811b1209p-5, -0x1.1ba190491ad7ap-5, -0x1.1a708df083134p-5, -0x1.193bf5b0a971ep-5, -0x1.1803dbe6c70dep-5, -0x1.16c854a64daecp-5, -0x1.158973ba28515p-5, -0x1.14474ca63c11cp-5, -0x1.1301f2a92c4abp-5, -0x1.11b978beba373p-5, -0x1.106df1a22dbb3p-5, -0x1.0f1f6fd09bb07p-5, -0x1.0dce058ad004ep-5, -0x1.0c79c4d6c7f62p-5, -0x1.0b22bf8109777p-5, -0x1.09c9071ea1b8bp-5, -0x1.086cad0f42a29p-5, -0x1.070dc27f39fap-5, -0x1.05ac58697fbb9p-5, -0x1.04487f99a68f4p-5, -0x1.02e248ad684f8p-5, -0x1.0179c41603c4bp-5, -0x1.000f0219ae151p-5, -0x1.fd4425aa68cf5p-6, -0x1.fa660c7ba1195p-6, -0x1.f783d845997a2p-6, -0x1.f49da85e2ad1fp-6, -0x1.f1b39bd5b66a3p-6, -0x1.eec5d178dfdfcp-6, -0x1.ebd467d37bf8fp-6, -0x1.e8df7d32a0695p-6, -0x1.e5e72fa72e06bp-6, -0x1.e2eb9d082ea92p-6, -0x1.dfece2f5a9432p-6, -0x1.dceb1eda8af1bp-6, -0x1.d9e66deed231fp-6, -0x1.d6deed39513d3p-6, -0x1.d3d4b9914e9e6p-6, -0x1.d0c7efa0164bdp-6, -0x1.cdb8abe270041p-6, -0x1.caa70aaa57d01p-6, -0x1.c793282047566p-6, -0x1.c47d2044b28dp-6, -0x1.c1650ef12f463p-6, -0x1.be4b0fd9a25dcp-6, -0x1.bb2f3e8d09ae9p-6, -0x1.b811b6764e799p-6, -0x1.b4f292dcc13fp-6, -0x1.b1d1eee4d7094p-6, -0x1.aeafe590a5fa7p-6, -0x1.ab8c91c0628dcp-6, -0x1.a8680e32bfff7p-6, -0x1.a542758541395p-6, -0x1.a21be234917cbp-6, -0x1.9ef46e9ca1f0ep-6, -0x1.9bcc34f836ef1p-6, -0x1.98a34f60b4a48p-6, -0x1.9579d7cddf08ep-6, -0x1.924fe815b5471p-6, -0x1.8f2599ec0997ep-6, -0x1.8bfb06e25bf62p-6, -0x1.88d048677c87dp-6, -0x1.85a577c70e5c6p-6, -0x1.827aae28c047ep-6, -0x1.7f50048f98be3p-6, -0x1.7c2593d8e9b82p-6, -0x1.78fb74bba0c79p-6, -0x1.75d1bfc77dd61p-6, -0x1.72a88d64817b2p-6, -0x1.6f7ff5d2219ecp-6, -0x1.6c58112690675p-6, -0x1.6930f74dcdacfp-6, -0x1.660ac0086ff1dp-6, -0x1.62e582ea72fb9p-6, -0x1.5fc15759f85a1p-6, -0x1.5c9e548e3172ap-6, -0x1.597c918e56e98p-6, -0x1.565c2530c33b6p-6, -0x1.533d261a12432p-6, -0x1.501faabc0bf93p-6, -0x1.4d03c954941ffp-6, -0x1.49e997ec457e8p-6, -0x1.46d12c550dd01p-6, -0x1.43ba9c28d224bp-6, -0x1.40a5fcc822093p-6, -0x1.3d9363591162dp-6, -0x1.3a82e4c63ea07p-6, -0x1.377495bdc69f9p-6, -0x1.34688ab0561f5p-6, -0x1.315ed7cffeaf8p-6, -0x1.2e57910f0fd83p-6, -0x1.2b52ca1ec98d8p-6, -0x1.2850966e0a6a6p-6, -0x1.2551092823375p-6, -0x1.22543533b22e3p-6, -0x1.1f5a2d319c80cp-6, -0x1.1c63037c2bc24p-6, -0x1.196eca2636934p-6, -0x1.167d92fa4ab61p-6, -0x1.138f6f79eb8aep-6, -0x1.10a470dc85f52p-6, -0x1.0dbca80e811a7p-6, -0x1.0ad825b03734ep-6, -0x1.07f6fa150b3edp-6, -0x1.051935428a95ap-6, -0x1.023ee6efac2a2p-6, -0x1.fed03d085a7e6p-7, -0x1.f929d62ffb47p-7, -0x1.f38ab6e58eb9dp-7, -0x1.edf2fc16fabadp-7, -0x1.e862c20f8707ap-7, -0x1.e2da2476dbab1p-7, -0x1.dd593e4fdad8fp-7, -0x1.d7e029f76b4eap-7, -0x1.d26f012365e2fp-7, -0x1.cd05dce19dd38p-7, -0x1.c7a4d59741bc3p-7, -0x1.c24c0300547b5p-7, -0x1.bcfb7c2f5cf99p-7, -0x1.b7b3578d52759p-7, -0x1.b273aad969d9ep-7, -0x1.ad3c8b28f28d8p-7, -0x1.a80e0ce7296aep-7, -0x1.a2e843d4e9efap-7, -0x1.9dcb430881336p-7, -0x1.98b71ced7ca5cp-7, -0x1.93abe344b3e84p-7, -0x1.8ea9a7245c827p-7, -0x1.89b078f863f42p-7, -0x1.84c068830213bp-7, -0x1.7fd984dd364f7p-7, -0x1.7afbdc777bd26p-7, -0x1.76277d1a84b2ep-7, -0x1.715c73e7e16cap-7, -0x1.6c9acd5a960f3p-7, -0x1.67e29547fb6c4p-7, -0x1.6333d6e05cb7cp-7, -0x1.5e8e9cafdb869p-7, -0x1.59f2f09f5ad68p-7, -0x1.5560dbf590165p-7, -0x1.50d8675822406p-7, -0x1.4c599acceef53p-7, -0x1.47e47dbb53cedp-7, -0x1.437916ed8512ep-7, -0x1.3f176c91f374p-7, -0x1.3abf843cbc18fp-7, -0x1.367162e908e08p-7, -0x1.322d0cfa94ad7p-7, -0x1.2df2863f33362p-7, -0x1.29c1d1f057fdp-7, -0x1.259af2b4b775ap-7, -0x1.217deaa1f90d9p-7, -0x1.1d6abb3e7b38fp-7, -0x1.1961658323e15p-7, -0x1.1561e9dd205dbp-7, -0x1.116c482fc5a44p-7, -0x1.0d807fd66f38dp-7, -0x1.099e8fa67c38dp-7, -0x1.05c675f1325e2p-7, -0x1.01f83085ba57p-7, -0x1.fc6779663e6dep-8, -0x1.f4f22e94b884p-8, -0x1.ed907940aaf0ap-8, -0x1.e64251200ca06p-8, -0x1.df07acf90a2f4p-8, -0x1.d7e082a64f197p-8, -0x1.d0ccc71b62573p-8, -0x1.c9cc6e68c705cp-8, -0x1.c2df6bc07de2ap-8, -0x1.bc05b17a4532dp-8, -0x1.b53f31180d4bep-8, -0x1.ae8bdb4a55307p-8, -0x1.a7eb9ff4a0c9dp-8, -0x1.a15e6e31f0d26p-8, -0x1.9ae4345920dap-8, -0x1.947ce0017be63p-8, -0x1.8e285e070873p-8, -0x1.87e69a8f10209p-8, -0x1.81b7810c9c1dbp-8, -0x1.7b9afc44d8ce5p-8, -0x1.7590f653acf36p-8, -0x1.6f9958b023828p-8, -0x1.69b40c30fd75p-8, -0x1.63e0f91107eb3p-8, -0x1.5e2006f3ad239p-8, -0x1.58711ce93148dp-8, -0x1.52d4217303cbcp-8, -0x1.4d48fa881d688p-8, -0x1.47cf8d9947162p-8, -0x1.4267bf956bf12p-8, -0x1.3d1174ee179ecp-8, -0x1.37cc919bb94c6p-8, -0x1.3298f9222d54fp-8, -0x1.2d768e94fa0f3p-8, -0x1.2865349b7f60bp-8, -0x1.2364cd74ebc56p-8, -0x1.1e753afc2e85ep-8, -0x1.19965eaba588ap-8, -0x1.14c819a110f0bp-8, -0x1.100a4ca16104fp-8, -0x1.0b5cd81cd4dffp-8, -0x1.06bf9c334bca4p-8, -0x1.023278b8940bfp-8, -0x1.fb6a9a71bd3b3p-9, -0x1.f28ff1f940681p-9, -0x1.e9d4b619092d7p-9, -0x1.e138a4690732ep-9, -0x1.d8bb7a0da65d5p-9, -0x1.d05cf3bd18238p-9, -0x1.c81ccdc4c4db8p-9, -0x1.bffac40f7d8f2p-9, -0x1.b7f6922c7007ep-9, -0x1.b00ff357cce45p-9, -0x1.a846a28453ecp-9, -0x1.a09a5a64c5ee4p-9, -0x1.990ad57523f6ap-9, -0x1.9197ce023fd92p-9, -0x1.8a40fe2f38315p-9, -0x1.83061ff8ce614p-9, -0x1.7be6ed36e5efep-9, -0x1.74e31f9d2d6b9p-9, -0x1.6dfa70bc95e6fp-9, -0x1.672c9a0694235p-9, -0x1.607954d3766cbp-9, -0x1.59e05a6bb8a24p-9, -0x1.536164144cd9bp-9, -0x1.4cfc2b1bc5c15p-9, -0x1.46b068e6a0632p-9, -0x1.407dd6f8f6c13p-9, -0x1.3a642efbabe45p-9, -0x1.34632abc8e337p-9, -0x1.2e7a842a10831p-9, -0x1.28a9f54c275p-9, -0x1.22f1383d28c9dp-9, -0x1.1d5007254525ap-9, -0x1.17c61c3b5c89ep-9, -0x1.125331cc83c84p-9, -0x1.0cf70249dcb2cp-9, -0x1.07b1485bb104ap-9, -0x1.0281bef632f14p-9, -0x1.fad042d887373p-10, -0x1.f0c856f96b59dp-10, -0x1.e6eb32ae24bd2p-10, -0x1.dd384f2e23996p-10, -0x1.d3af266eff8f5p-10, -0x1.ca4f32ff65727p-10, -0x1.c117efdfdfa2dp-10, -0x1.b808d862e5c3bp-10, -0x1.af21681db963p-10, -0x1.a6611aef0473dp-10, -0x1.9dc76d1ce4543p-10, -0x1.9553db870bef1p-10, -0x1.8d05e3e45775ep-10, -0x1.84dd0500e3d4ep-10, -0x1.7cd8bef151107p-10, -0x1.74f8933077b9p-10, -0x1.6d3c04a17e984p-10, -0x1.65a29775b7783p-10, -0x1.5e2bd0fa8ba4p-10, -0x1.56d737590356bp-10, -0x1.4fa45154154adp-10, -0x1.4892a612c8b41p-10, -0x1.41a1bd0186f8dp-10, -0x1.3ad11dd1ff8cp-10, -0x1.3420509aae608p-10, -0x1.2d8ede1240103p-10, -0x1.271c4fdc11c34p-10, -0x1.20c830d9e3e75p-10, -0x1.1a920d730d614p-10, -0x1.147973c5c2223p-10, -0x1.0e7df3b8a2dfap-10, -0x1.089f1eea44945p-10, -0x1.02dc888192f27p-10, -0x1.fa6b89ceec893p-11, -0x1.ef54d2ecf6c15p-11, -0x1.e474185de00ddp-11, -0x1.d9c886f5bbe78p-11, -0x1.cf514c1bc783cp-11, -0x1.c50d95c71873ap-11, -0x1.bafc92b9fd306p-11, -0x1.b11d72f2d7b32p-11, -0x1.a76f683ebaae1p-11, -0x1.9df1a6d7a566cp-11, -0x1.94a365f54c1c6p-11, -0x1.8b83e03abd9ddp-11, -0x1.829253efb4eap-11, -0x1.79ce030086464p-11, -0x1.713632c4cb22ep-11, -0x1.68ca2b9b47b96p-11, -0x1.6089386b0f5dep-11, -0x1.5872a61f729f8p-11, -0x1.5085c32fa4ce7p-11, -0x1.48c1df3f65a05p-11, -0x1.41264ae117723p-11, -0x1.39b2577b9a7bbp-11, -0x1.32655754dd721p-11, -0x1.2b3e9dbf5348bp-11, -0x1.243d7f66983fcp-11, -0x1.1d6152b36b9fap-11, -0x1.16a9703bc74ebp-11, -0x1.10153330a35a4p-11, -0x1.09a3f9b872008p-11, -0x1.0355252b5cb0ep-11, -0x1.fa50345036058p-12, -0x1.ee38810ac7826p-12, -0x1.e262064a2995fp-12, -0x1.d6cb9f69be06ep-12, -0x1.cb742cc603cb9p-12, -0x1.c05a9316c7b5ep-12, -0x1.b57dbab95da83p-12, -0x1.aadc8eec42f4p-12, -0x1.a075fd05423f9p-12, -0x1.9648f3bc3bf16p-12, -0x1.8c5462afbb2f8p-12, -0x1.82973a4c0110ep-12, -0x1.79106c2e416bdp-12, -0x1.6fbeec015f4d3p-12, -0x1.66a1b0b278b3ep-12, -0x1.5db7b5c056f4p-12, -0x1.54fffc6533fdcp-12, -0x1.4c798c6282b68p-12, -0x1.4423745a0bf4ap-12, -0x1.3bfcc9bab8911p-12, -0x1.3404a85c84fbcp-12, -0x1.2c3a31ef04e9cp-12, -0x1.249c8d4d345a2p-12, -0x1.1d2ae5b6fd131p-12, -0x1.15e469e4d8b7bp-12, -0x1.0ec84aec3ac17p-12, -0x1.07d5bafd8274p-12, -0x1.010bec267c267p-12, -0x1.f4d41ebb993c1p-13, -0x1.e7dea849f05b2p-13, -0x1.db35d1f2c80fep-13, -0x1.ced7f937eef9dp-13, -0x1.c2c37ff23e5b7p-13, -0x1.b6f6d08d5d74ap-13, -0x1.ab7061b180fd1p-13, -0x1.a02eb88992757p-13, -0x1.95306946f89e3p-13, -0x1.8a741614f1e65p-13, -0x1.7ff86d118f9e5p-13, -0x1.75bc26135f453p-13, -0x1.6bbe00d81404cp-13, -0x1.61fcc3d7bdf28p-13, -0x1.58773b959068ap-13, -0x1.4f2c39fa426efp-13, -0x1.461a953fa2924p-13, -0x1.3d4126296f0eep-13, -0x1.349ec5b1f5982p-13, -0x1.2c324ac3df6a8p-13, -0x1.23fa88da130c3p-13, -0x1.1bf6504f684f2p-13, -0x1.142470b7b4802p-13, -0x1.0c83bcdafca4ep-13, -0x1.05130f6d55bc1p-13, -0x1.fba29dfb48783p-14, -0x1.ed7adfe531d8p-14, -0x1.dface83af8afcp-14, -0x1.d236d041677f1p-14, -0x1.c516bf83e7f68p-14, -0x1.b84ae4e9174e9p-14, -0x1.abd17252a6e31p-14, -0x1.9fa89ba328905p-14, -0x1.93ce98b7425f7p-14, -0x1.8841a8dda107fp-14, -0x1.7d001607dfd3fp-14, -0x1.720836269715bp-14, -0x1.675869e83a01p-14, -0x1.5cef19133881ap-14, -0x1.52caadb718d9ep-14, -0x1.48e99005b1412p-14, -0x1.3f4a24b59b129p-14, -0x1.35eacf055701ap-14, -0x1.2cc9f63d3a744p-14, -0x1.23e60d2564d69p-14, -0x1.1b3d98e88e4d1p-14, -0x1.12cf34c6f80b9p-14, -0x1.0a99910ddc7f6p-14, -0x1.029b6da1967d9p-14, -0x1.f5a7247edff2ep-15, -0x1.e6818ef76b119p-15, -0x1.d7c3a61760f6p-15, -0x1.c96af03e81e24p-15, -0x1.bb74f5b819b6cp-15, -0x1.addf49c81b801p-15, -0x1.a0a791e8b82d6p-15, -0x1.93cb892ad467fp-15, -0x1.8748ffbec22b4p-15, -0x1.7b1dd7edca9fap-15, -0x1.6f480228ed795p-15, -0x1.63c57942d6436p-15, -0x1.58943f47dda5ap-15, -0x1.4db25afa40581p-15, -0x1.431dd619dd223p-15, -0x1.38d4bd2b777c1p-15, -0x1.2ed521b37e4e6p-15, -0x1.251d1f21d87b2p-15, -0x1.1baae0ee16488p-15, -0x1.127ca6c145f17p-15, -0x1.0990c39759facp-15, -0x1.00e5972f7d13p-15, -0x1.f0f309808a41ap-16, -0x1.e095d89e00fd4p-16, -0x1.d0b05602d38dap-16, -0x1.c13f45607b8a9p-16, -0x1.b23f8801a7c24p-16, -0x1.a3ae29f3eb265p-16, -0x1.95885fe6015f8p-16, -0x1.87cb7853c1314p-16, -0x1.7a74c9ce7db2ep-16, -0x1.6d81a9258958cp-16, -0x1.60ef6ca067908p-16, -0x1.54bb79d247b4ep-16, -0x1.48e355eaffa54p-16, -0x1.3d64af062c7p-16, -0x1.323d587864bffp-16, -0x1.276b3aac4dc67p-16, -0x1.1cec3d7eaaa23p-16, -0x1.12be374f63dabp-16, -0x1.08dee8d925e7bp-16, -0x1.fe980f3754b64p-17, -0x1.ec06a1a9642e6p-17, -0x1.da0534feb3a03p-17, -0x1.c88fb2a87dda5p-17, -0x1.b7a2343455759p-17, -0x1.a738eaac6ed67p-17, -0x1.975010b016669p-17, -0x1.87e3f520e8518p-17, -0x1.78f11829760fep-17, -0x1.6a7442646dbf8p-17, -0x1.5c6a7eb1c0aecp-17, -0x1.4ed0f48769a1fp-17, -0x1.41a4b9056fe76p-17, -0x1.34e2b45aa822fp-17, -0x1.2887ab0fe34c5p-17, -0x1.1c90646b47133p-17, -0x1.10f9d88d5dcc9p-17, -0x1.05c14f3125491p-17, -0x1.f5c8c5f68f285p-18, -0x1.e0c1d701b3fa9p-18, -0x1.cc69b57970809p-18, -0x1.b8bc3575a9a8fp-18, -0x1.a5b4e6957c737p-18, -0x1.934ef7e9cb6a4p-18, -0x1.81853c48d00a9p-18, -0x1.705252d61f02cp-18, -0x1.5fb0e965768cep-18, -0x1.4f9bfe58f7a4ap-18, -0x1.400f050fbac59p-18, -0x1.3105df02b4688p-18, -0x1.227cb2f6ac96ep-18, -0x1.146fbce287db3p-18, -0x1.06db34f80399ep-18, -0x1.f376ba172475ap-19, -0x1.da19491a054fcp-19, -0x1.c197747c9e865p-19, -0x1.a9eae2e1a1778p-19, -0x1.930d200c98b1bp-19, -0x1.7cf76fa092ec6p-19, -0x1.67a30a5a6ef6dp-19, -0x1.530993fe851bep-19, -0x1.3f256a14f0daep-19, -0x1.2bf196229ba6ap-19, -0x1.19697d82f19d6p-19, -0x1.0788955c113afp-19, -0x1.ec94958f9e1fep-20, -0x1.cb54298124becp-20, -0x1.ab4706769a3a9p-20, -0x1.8c645c6393e9dp-20, -0x1.6ea31adf07ee2p-20, -0x1.51f9af57a7822p-20, -0x1.365e06c9372e3p-20, -0x1.1bc5e471460a1p-20, -0x1.022773934a02bp-20, -0x1.d2f3b3e48cc83p-21, -0x1.a36b1734f0595p-21, -0x1.75a86ba4bf9fbp-21, -0x1.49a06f8c85af6p-21, -0x1.1f479f52b658ap-21, -0x1.ed21a696690d8p-22, -0x1.9ed9ff1fb92e9p-22, -0x1.539940da0eeb4p-22, -0x1.0b425f32156a5p-22, -0x1.8b7511e1c8afep-23, -0x1.05cf75f8e9ed7p-23, -0x1.0ac147051d4cep-24, -0x1.3f458e2be7ba5p-28, 0x1.b2287731ebf07p-25, 0x1.bc99d3af1be2p-24, 0x1.4b703f1e66d81p-23, 0x1.b41b53dee0537p-23, 0x1.0c3c9d11670ep-22, 0x1.3c5a1307396dcp-22, 0x1.6a7926322ff87p-22, 0x1.96aaf10ff8d49p-22, 0x1.c0ff50a3eb05cp-22, 0x1.e98572e79e861p-22, 0x1.08260f04e3073p-21, 0x1.1ab101e88cd4fp-21, 0x1.2c6b1121991b1p-21, 0x1.3d5bebf69f519p-21, 0x1.4d8b35e98c3fep-21, 0x1.5d0017b8c9035p-21, 0x1.6bc0d90584501p-21, 0x1.79d2bbedc64e5p-21, 0x1.873a36461999ep-21, 0x1.93fb85229b127p-21, 0x1.a01b748cd4a6ap-21, 0x1.ab9ff3433682dp-21, 0x1.b68fe399010f5p-21, 0x1.c0f218b4cb0c5p-21, 0x1.cacc65b479a8dp-21, 0x1.d423a9738ea2p-21, 0x1.dcfc6e3ec6b1ep-21, 0x1.e55af8d2c1e44p-21, 0x1.ed42c74826178p-21, 0x1.f4b6b1f48ecc8p-21, 0x1.fbb9eed46bb3bp-21, 0x1.01285ddfddc47p-20, 0x1.043ff3f67c01ep-20, 0x1.0725ee5690827p-20, 0x1.09dc19da282fep-20, 0x1.0c6408d2173bfp-20, 0x1.0ebf4a41f54eap-20, 0x1.10ef6f0c652b8p-20, 0x1.12f5f56a8df78p-20, 0x1.14d43dfb189dep-20, 0x1.168b90babd58ep-20, 0x1.181d2a7a4af2dp-20, 0x1.198a4afb4122bp-20, 0x1.1ad43ca2758fep-20, 0x1.1bfc536cabf47p-20, 0x1.1d03d54f7d95fp-20, 0x1.1dec024fa185cp-20, 0x1.1eb5f7a879c16p-20, 0x1.1f62ba455b27dp-20, 0x1.1ff3333293f8ep-20, 0x1.206834e17f48dp-20, 0x1.20c2902d2549dp-20, 0x1.2103335f23ff3p-20, 0x1.212b304728d4ap-20, 0x1.213b94517617ap-20, 0x1.213538612a387p-20, 0x1.2118bb8c39046p-20, 0x1.20e6a9bd0aa33p-20, 0x1.209f9de9fd124p-20, 0x1.2044346020b76p-20, 0x1.1fd4ff6cca36p-20, 0x1.1f52a9f075d7ap-20, 0x1.1ebdfc430722ep-20, 0x1.1e17a787c839fp-20, 0x1.1d602f75493d9p-20, 0x1.1c98104fd9c34p-20, 0x1.1bbfd62b09588p-20, 0x1.1ad80ef44966bp-20, 0x1.19e13c891c55ep-20, 0x1.18dbd3d687bacp-20, 0x1.17c8408d4da81p-20, 0x1.16a6e7e8e0541p-20, 0x1.15782a3a6725ep-20, 0x1.143c64316776p-20, 0x1.12f3f057ad8e2p-20, 0x1.119f284ed23d4p-20, 0x1.103e6511b2dc8p-20, 0x1.0ed1fe36fc352p-20, 0x1.0d5a490410a5p-20, 0x1.0bd7983700675p-20, 0x1.0a4a3b6901e2bp-20, 0x1.08b27db0bb003p-20, 0x1.0710a3a18ce52p-20, 0x1.0564eb3fc9f28p-20, 0x1.03af9105a6e06p-20, 0x1.01f0d81816fbfp-20, 0x1.00290baf3dff3p-20, 0x1.fcb0e7aaaecdp-21, 0x1.f8fe9095b36d5p-21, 0x1.f53b629bf9e3fp-21, 0x1.f167b4235c2d5p-21, 0x1.ed83fe65286d4p-21, 0x1.e990b8fdb0f47p-21, 0x1.e58e3e425a318p-21, 0x1.e17ceadb625ep-21, 0x1.dd5d160692d2p-21, 0x1.d92f00c6baf22p-21, 0x1.d4f2f2acc3e87p-21, 0x1.d0a941a9c633fp-21, 0x1.cc5242018c50bp-21, 0x1.c7ee40d6b4001p-21, 0x1.c37d8748d9dfp-21, 0x1.bf005ca1003d5p-21, 0x1.ba77066a1dfeep-21, 0x1.b5e1c808021cbp-21, 0x1.b140e2ae53a59p-21, 0x1.ac9495c11001bp-21, 0x1.a7dd1f2d5d8f1p-21, 0x1.a31abb87a9727p-21, 0x1.9e4da6092ccadp-21, 0x1.997618cf1ef2fp-21, 0x1.94944b171861cp-21, 0x1.8fa8740c42e0dp-21, 0x1.8ab2d744e5bdap-21, 0x1.85b38146e7d51p-21, 0x1.80aaccde4f9ccp-21, 0x1.7b98e002988abp-21, 0x1.767dedc67bd1ep-21, 0x1.715a28a130095p-21, 0x1.6c2dc26e1578p-21, 0x1.66f8eb7bb0b89p-21, 0x1.61bbd26c00884p-21, 0x1.5c76a58b7896ep-21, 0x1.572993c2a4d6ap-21, 0x1.51d4cc3ae2feap-21, 0x1.4c787d3a67df9p-21, 0x1.4714d1eefc85fp-21, 0x1.41a9f4b3703b4p-21, 0x1.3c381225b461ep-21, 0x1.36bf5695c0ad4p-21, 0x1.313feee209684p-21, 0x1.2bba05fe65e76p-21, 0x1.262dc4508ecbcp-21, 0x1.209b520b9c42cp-21, 0x1.1b02d83c5c50ep-21, 0x1.15648129083ebp-21, 0x1.0fc077d134952p-21, 0x1.0a16e69660036p-21, 0x1.0467f6aca3904p-21, 0x1.fd67a1629984cp-22, 0x1.f1f53bf292637p-22, 0x1.e6790f54fa3d3p-22, 0x1.daf36d2d40e7dp-22, 0x1.cf64a7135b323p-22, 0x1.c3cd0f5dc7428p-22, 0x1.b82cf8d35257ap-22, 0x1.ac84b5d032cdap-22, 0x1.a0d4979c884d7p-22, 0x1.951cee6c11176p-22, 0x1.895e09d00bb4ep-22, 0x1.7d983944a978p-22, 0x1.71cbcc5ef7d37p-22, 0x1.65f912fb9425fp-22, 0x1.5a205d15006ffp-22, 0x1.4e41fb51ca9a4p-22, 0x1.425e3fa7fb0f6p-22, 0x1.36757d21261d1p-22, 0x1.2a8805e91be7ep-22, 0x1.1e9629c97f657p-22, 0x1.12a036ff3f4cdp-22, 0x1.06a67af44b7fcp-22, 0x1.f55286cd44edp-23, 0x1.dd51c5b5d6a6bp-23, 0x1.c54b5990bed6p-23, 0x1.ad3fd03b2d136p-23, 0x1.952fbec27d9dcp-23, 0x1.7d1bcfd75acb1p-23, 0x1.6504ad87e677bp-23, 0x1.4ceaedc3fab09p-23, 0x1.34cf25513c955p-23, 0x1.1cb1e1d813811p-23, 0x1.0493da95b3228p-23, 0x1.d8ebabfb3cbf2p-24, 0x1.a8b04deea48dcp-24, 0x1.7876ef8806f66p-24, 0x1.4840d4badd57p-24, 0x1.180f2ce6ea07fp-24, 0x1.cfc64ab0ddcfdp-25, 0x1.6f7be1d1ba3eep-25, 0x1.0f418b07645acp-25, 0x1.5e33437e00528p-26, 0x1.3c19f286e0389p-27, -0x1.0f580af816284p-29, -0x1.c35fd7457693bp-27, -0x1.a13d22cd32d9ep-26, -0x1.304707014454bp-25, -0x1.8fcf095b3571cp-25, -0x1.ef344e5eaae0ep-25, -0x1.273a46a7aa37ep-24, -0x1.56c6c11040f32p-24, -0x1.863e761205a81p-24, -0x1.b5a0474bf6a22p-24, -0x1.e4eb189afaedap-24, -0x1.0a0ee7f2251a9p-23, -0x1.219baa2627359p-23, -0x1.391b4698b7b94p-23, -0x1.508d310708f29p-23, -0x1.67f0de5add519p-23, -0x1.7f45c60ff78ffp-23, -0x1.968b62bbe8594p-23, -0x1.adc130b422da4p-23, -0x1.c4e6acb47314fp-23, -0x1.dbfb515b21c32p-23, -0x1.f2fe975d8c9ddp-23, -0x1.04f801d692142p-22, -0x1.10678b699d2e4p-22, -0x1.1bcda53c37322p-22, -0x1.272a11efe1b2fp-22, -0x1.327c946ea29b5p-22, -0x1.3dc4eeb2f4dcfp-22, -0x1.4902e3cb6a1cap-22, -0x1.5436378db6f54p-22, -0x1.5f5eae85e17f4p-22, -0x1.6a7c0deb88e69p-22, -0x1.758e1b9b8c423p-22, -0x1.80949e234bf6p-22, -0x1.8b8f5cc85a6cdp-22, -0x1.967e1f894a3d8p-22, -0x1.a160af1d2e6bfp-22, -0x1.ac36d4fbd57dfp-22, -0x1.b7005b50053a8p-22, -0x1.c1bd0cc23c5ddp-22, -0x1.cc6cb725955d9p-22, -0x1.d70f1f5f26093p-22, -0x1.e1a41a540d1p-22, -0x1.ec2b75bbfbc3ap-22, -0x1.f6a504e73042cp-22, -0x1.00884619d9bcbp-21, -0x1.05b6eaee6882ap-21, -0x1.0ade62cbc511bp-21, -0x1.0ffe92c4f8043p-21, -0x1.1517643db6269p-21, -0x1.1a28c0e098de8p-21, -0x1.1f3292bf71609p-21, -0x1.2434c45f08e42p-21, -0x1.292f40be341b9p-21, -0x1.2e21f34c0937p-21, -0x1.330cc7c14846dp-21, -0x1.37efa9ea3a44cp-21, -0x1.3cca85c2e4719p-21, -0x1.419d4805a91f9p-21, -0x1.4667de64aaafap-21, -0x1.4b2a37198dc42p-21, -0x1.4fe44097d3808p-21, -0x1.5495e9b21f589p-21, -0x1.593f20e153b79p-21, -0x1.5ddfd4d49e31bp-21, -0x1.6277f5e4433bdp-21, -0x1.670773696385bp-21, -0x1.6b8e3f0c293e8p-21, -0x1.700c49be1bb28p-21, -0x1.74818495b95bcp-21, -0x1.78ede1435a595p-21, -0x1.7d5151f455aap-21, -0x1.81abc942ec52ap-21, -0x1.85fd3a30ab369p-21, -0x1.8a45982805c3p-21, -0x1.8e84d6f2c6838p-21, -0x1.92baead087499p-21, -0x1.96e7c857bf387p-21, -0x1.9b0b647ee81fap-21, -0x1.9f25b499cc1cp-21, -0x1.a336ae5995813p-21, -0x1.a73e47d6dc2b8p-21, -0x1.ab3c779ab47c9p-21, -0x1.af3134a3013cep-21, -0x1.b31c765230df5p-21, -0x1.b6fe3458fdd6ep-21, -0x1.bad666a26f9e6p-21, -0x1.bea50562e8efcp-21, -0x1.c26a0912e43b4p-21, -0x1.c6256a27bfbbep-21, -0x1.c9d722386c73cp-21, -0x1.cd7f2d3f8332bp-21, -0x1.d11d8584635f1p-21, -0x1.d4b223ee838cp-21, -0x1.d83d03f65590fp-21, -0x1.dbbe218023d21p-21, -0x1.df35781054b26p-21, -0x1.e2a303824e072p-21, -0x1.e606c11be5147p-21, -0x1.e960aac4b6e9cp-21, -0x1.ecb0c05714cd9p-21, -0x1.eff6fdec83853p-21, -0x1.f33360c927864p-21, -0x1.f665e6edeb21ep-21, -0x1.f98e8f32207cbp-21, -0x1.fcad5d7e17d38p-21, -0x1.ffc24b4f6735cp-21, -0x1.0166a6717f8a4p-20, -0x1.02e73b187382ep-20, -0x1.0462df2e70998p-20, -0x1.05d99216e6df5p-20, -0x1.074b54de565b5p-20, -0x1.08b8283ef27a2p-20, -0x1.0a200c8c4c7fbp-20, -0x1.0b83026a50b08p-20, -0x1.0ce10ab8a1e73p-20, -0x1.0e3a267e5ba89p-20, -0x1.0f8e56e885c3ep-20, -0x1.10dd9d45acff6p-20, -0x1.1227fb06f92d9p-20, -0x1.136d71c0871b4p-20, -0x1.14ae0326cd048p-20, -0x1.15e9b11014bd3p-20, -0x1.17207d747714dp-20, -0x1.18526a6ebdceep-20, -0x1.197f7a3ba440dp-20, -0x1.1aa7af38d2c26p-20, -0x1.1bcb0be56a2e8p-20, -0x1.1ce992dfeaa08p-20, -0x1.1e0346e4e51bp-20, -0x1.1f182accdb5a5p-20, -0x1.2028418b6714ap-20, -0x1.21338e30a9c1dp-20, -0x1.223a13e67644fp-20, -0x1.233bd5ff9e8c1p-20, -0x1.2438d7e61f267p-20, -0x1.25311d2d75f61p-20, -0x1.2624a97a1227ap-20, -0x1.2713807cc4495p-20, -0x1.27fda5fb9c65p-20, -0x1.28e31def98e88p-20, -0x1.29c3ec7229e6dp-20, -0x1.2aa0157901dd7p-20, -0x1.2b779d82fcaa5p-20, -0x1.2c4a889af9d45p-20, -0x1.2d18daf17051dp-20, -0x1.2de299e95c16cp-20, -0x1.2ea7c9b920311p-20, -0x1.2f686ef218b25p-20, -0x1.30248e3dc42dbp-20, -0x1.30dc2c687cd34p-20, -0x1.318f4e6c1269ep-20, -0x1.323df95dc32a7p-20, -0x1.32e832506c8fap-20, -0x1.338dfeb5cdd45p-20, -0x1.342f630eacd45p-20, -0x1.34cc655256ad9p-20, -0x1.35650ad2585e7p-20, -0x1.35f958543e069p-20, -0x1.368953ff524bep-20, -0x1.3715036e2c418p-20, -0x1.379c6c25f560fp-20, -0x1.381f93d86be8cp-20, -0x1.389e80463c06bp-20, -0x1.391937350f588p-20, -0x1.398fbe7f40017p-20, -0x1.3a021c1e62804p-20, -0x1.3a705622f8d9bp-20, -0x1.3ada72a3c1de6p-20, -0x1.3b4077bbba6c4p-20, -0x1.3ba26b8fbd6e5p-20, -0x1.3c005451cfccdp-20, -0x1.3c5a3841dc5aap-20, -0x1.3cb01daf0b66fp-20, -0x1.3d020af3dc4f8p-20, -0x1.3d50067580a24p-20, -0x1.3d9a16a37a1ddp-20, -0x1.3de041f834086p-20, -0x1.3e228ef5a03p-20, -0x1.3e61042a4230bp-20, -0x1.3e9ba82d266fdp-20, -0x1.3ed2819f60e1p-20, -0x1.3f059729f738dp-20, -0x1.3f34ef7f139a1p-20, -0x1.3f60915778081p-20, -0x1.3f888373e2a78p-20, -0x1.3faccc9ce43ccp-20, -0x1.3fcd73a1269abp-20, -0x1.3fea7f55f4adbp-20, -0x1.4003f6977b0c5p-20, -0x1.4019e04736bf9p-20, -0x1.402c434aee653p-20, -0x1.403b26979a901p-20, -0x1.404690bb16889p-20, -0x1.404e8e1f2eb59p-20, -0x1.40531875af332p-20, -0x1.405441b02033p-20, -0x1.40520f0b068ecp-20, -0x1.404c8695fdb5bp-20, -0x1.4043af2a4e115p-20, -0x1.40378ff43851p-20, -0x1.4028302571543p-20, -0x1.401596c7ef723p-20, -0x1.3fffcae3517d4p-20, -0x1.3fe6d38c4ef9dp-20, -0x1.3fcab7d89e381p-20, -0x1.3fab7edfaa7d1p-20, -0x1.3f892fbe7010ep-20, -0x1.3f63d19766567p-20, -0x1.3f3b6b5f287dap-20, -0x1.3f10044a5b1a6p-20, -0x1.3ee1a37ad2ffdp-20, -0x1.3eb05003b0b72p-20, -0x1.3e7c10ff1ff4ep-20, -0x1.3e44ed8762556p-20, -0x1.3e0aecb186fc5p-20, -0x1.3dce159cd1929p-20, -0x1.3d8e6f58e51dbp-20, -0x1.3d4c00fe67a23p-20, -0x1.3d06d1a126998p-20, -0x1.3cbee85397eafp-20, -0x1.3c744c24a2aefp-20, -0x1.3c27042940218p-20, -0x1.3bd717c564472p-20, -0x1.3b848cc37ed67p-20, -0x1.3b2f6b79c379ep-20, -0x1.3ad7ba7905405p-20, -0x1.3a7d80c01505fp-20, -0x1.3a20c54a80efdp-20, -0x1.39c18f11ac94ep-20, -0x1.395fe509c59dfp-20, -0x1.38fbce242a479p-20, -0x1.3895514cbb64ep-20, -0x1.382c756bb075fp-20, -0x1.37c141644a75bp-20, -0x1.3753bc166f71fp-20, -0x1.36e3ec5d6a082p-20, -0x1.3671d9105a621p-20, -0x1.35fd8900a6252p-20, -0x1.358702fa6bbdap-20, -0x1.350e4dc3a501fp-20, -0x1.3493701ba3c3fp-20, -0x1.341670bc491adp-20, -0x1.3397565979e23p-20, -0x1.331627a2d160ep-20, -0x1.3292eb4175938p-20, -0x1.320da7d83e5fdp-20, -0x1.3186640010ddbp-20, -0x1.30fd265ba25c6p-20, -0x1.3071f5a1ec509p-20, -0x1.2fe4d8d88ff55p-20, -0x1.2f55d65522d1dp-20, -0x1.2ec4f2a3dfca5p-20, -0x1.2e3234c6256fcp-20, -0x1.2d9da4c8ddeedp-20, -0x1.2d0748d6483e8p-20, -0x1.2c6f26e9c3ba8p-20, -0x1.2bd5453d36e7ep-20, -0x1.2b39aa1f8e225p-20, -0x1.2a9c5bd9e6809p-20, -0x1.29fd60aa3c3aep-20, -0x1.295cbecd33f79p-20, -0x1.28ba7c7457421p-20, -0x1.28169fc3b990dp-20, -0x1.27712ec70d969p-20, -0x1.26ca2f4f07e7dp-20, -0x1.2621ad931456dp-20, -0x1.25779fed817d1p-20, -0x1.24cc1ae27c031p-20, -0x1.241f1fe17fffap-20, -0x1.2370b4b49b29ap-20, -0x1.22c0df5b44de3p-20, -0x1.220fa5a2ceb28p-20, -0x1.215d0d687de1ap-20, -0x1.20a91c780d057p-20, -0x1.1ff3d8960c6b9p-20, -0x1.1f3d477d66d2fp-20, -0x1.1e856ee0f4f14p-20, -0x1.1dcc546a418cbp-20, -0x1.1d11fdb9be84cp-20, -0x1.1c567067ff918p-20, -0x1.1b99b2031fep-20, -0x1.1adbc8107707bp-20, -0x1.1a1cb80ccf3ap-20, -0x1.195c876ba82e4p-20, -0x1.189b3b984738ap-20, -0x1.17d8dae14eeb3p-20, -0x1.171567c658084p-20, -0x1.1650ea80bdc41p-20, -0x1.158b67630c645p-20, -0x1.14c4e390b4241p-20, -0x1.13fd644b656adp-20, -0x1.1334eebaa626bp-20, -0x1.126b87fc2c0ebp-20, -0x1.11a1352d73344p-20, -0x1.10d5fb581fe33p-20, -0x1.1009df821cf01p-20, -0x1.0f3ce6a5ba1b3p-20, -0x1.0e6f15b48f16bp-20, -0x1.0da071969bdb6p-20, -0x1.0cd0ff2a102b2p-20, -0x1.0c00c344bd892p-20, -0x1.0b2fc2b4409e6p-20, -0x1.0a5e0236a645ap-20, -0x1.098b8685e8fe7p-20, -0x1.08b8545203387p-20, -0x1.07e4703fe1c5cp-20, -0x1.070fdeeb9e6fcp-20, -0x1.063aa4e7e279cp-20, -0x1.0564c6bda686ep-20, -0x1.048e48ed1b7dcp-20, -0x1.03b72febe65bep-20, -0x1.02df802712f63p-20, -0x1.02073e01091fbp-20, -0x1.012e6dd364c89p-20, -0x1.005513edefeefp-20, -0x1.fef6692e5f7a3p-21, -0x1.fd41a8173ada8p-21, -0x1.fb8becfd5bb14p-21, -0x1.f9d5403395e4p-21, -0x1.f81da9f02a0fp-21, -0x1.f665327b905fdp-21, -0x1.f4abe1cb5af55p-21, -0x1.f2f1bfe0134bcp-21, -0x1.f136d3d9f64edp-21, -0x1.ef7b313ebf1fcp-21, -0x1.edbec32479858p-21, -0x1.ec01abd47a031p-21, -0x1.ea43ea6d7115fp-21, -0x1.e885868b04f0fp-21, -0x1.e6c687c1f50a3p-21, -0x1.e506f5907fb1dp-21, -0x1.e346d7518f78cp-21, -0x1.e18634300db73p-21, -0x1.dfc5134f45b86p-21, -0x1.de037bf58ff7bp-21, -0x1.dc41755cad99dp-21, -0x1.da7f07c842a2bp-21, -0x1.d8bc36762b4e4p-21, -0x1.d6f90beb38e4dp-21, -0x1.d5358dc3e901dp-21, -0x1.d371c2babed66p-21, -0x1.d1adb17c3639cp-21, -0x1.cfe960a1acdc3p-21, -0x1.ce24d6b7237b6p-21, -0x1.cc601a35d7878p-21, -0x1.ca9b3183ee48ep-21, -0x1.c8d622f6ad43ap-21, -0x1.c710f4d1d9bafp-21, -0x1.c54bad4892d36p-21, -0x1.c386527bef654p-21, -0x1.c1c0ea7caaa4cp-21, -0x1.bffb7b496cde5p-21, -0x1.be360ad036dd8p-21, -0x1.bc709eea7f6a7p-21, -0x1.baab3d67ad369p-21, -0x1.b8e5ebf22c501p-21, -0x1.b720b026556dcp-21, -0x1.b55b8f60aa9cep-21, -0x1.b3968e6fe7f2cp-21, -0x1.b1d1b2468d542p-21, -0x1.b00d1576b41d7p-21, -0x1.ae48a85ec16dep-21, -0x1.ac8444cb1d135p-21, -0x1.aac03c553adcdp-21, -0x1.a8fc767985056p-21, -0x1.a738f4d02ce5ap-21, -0x1.a575bd63fffd1p-21, -0x1.a3b2d5d4745edp-21, -0x1.a1f042f7b5d44p-21, -0x1.a02e09c3f7bacp-21, -0x1.9e6c2efee5c8fp-21, -0x1.9caab6c439861p-21, -0x1.9ae9af54e389ep-21, -0x1.992904cda0227p-21, -0x1.9768d2ee86bf2p-21, -0x1.95a9169418cdfp-21, -0x1.93e9d46fbf06fp-21, -0x1.922b115bbb97dp-21, -0x1.906ccf02f9b26p-21, -0x1.8eaf14cfd4947p-21, -0x1.8cf1e57da7cf1p-21, -0x1.8b3545a5a2c4cp-21, -0x1.8979393bbc4e2p-21, -0x1.87bdc4442d146p-21, -0x1.8602eabcdc349p-21, -0x1.8448b08e239aap-21, -0x1.828f1997a737ap-21, -0x1.80d629a93677bp-21, -0x1.7f1de484fba7cp-21, -0x1.7d664dde19c85p-21, -0x1.7baf695e16d31p-21, -0x1.79f93a9c5f2a5p-21, -0x1.7843c526f7327p-21, -0x1.768f0c7d408c1p-21, -0x1.74db14119dbe3p-21, }}, 
      std::vector<double>(1300, 0.0), 
      {{0x1.d8d7fee1d9b83p-9, -0x1.4739c02b0801fp-7, -0x1.5f58e0f75f1bfp-5, -0x1.7218452c5098cp-4, -0x1.2aa7acced2d47p-3, -0x1.9ff62d4967fbfp-3, -0x1.07622339c8118p-2, -0x1.37ecc72eed6afp-2, -0x1.5f69d7199871p-2, -0x1.7cdbd9ecad062p-2, -0x1.9034fbaafbae3p-2, -0x1.9a137f8bdf7e7p-2, -0x1.9b85bad241e32p-2, -0x1.95d889419001ep-2, -0x1.8a70e2fd45d98p-2, -0x1.7aafe561e3a3ap-2, -0x1.67dfe4f4ebedfp-2, -0x1.5328d1c60989ap-2, -0x1.3d8a3c9a861b5p-2, -0x1.27d9733c73104p-2, -0x1.12c26ebb13dp-2, -0x1.fd951f751065fp-3, -0x1.d8a8cb57afdc6p-3, -0x1.b747e9bc3f13ep-3, -0x1.99c636f05ca3p-3, -0x1.804badbec845p-3, -0x1.6adc85823a9dcp-3, -0x1.596076b98436ap-3, -0x1.4ba930fee692ap-3, -0x1.4177fe3a127c4p-3, -0x1.3a829a05e0545p-3, -0x1.36774a3d4739fp-3, -0x1.3500484e2087bp-3, -0x1.35c68c28ac1b8p-3, -0x1.38740a053c6acp-3, -0x1.3cb573b093ef1p-3, -0x1.423b8d791f1b5p-3, -0x1.48bc2645c430cp-3, -0x1.4ff2c1317b4a5p-3, -0x1.57a0fd33509aap-3, -0x1.5f8ec6608b1b9p-3, -0x1.678a5b832c4b9p-3, -0x1.6f6831656d86p-3, -0x1.7702bb8064e9bp-3, -0x1.7e3a208ad4c53p-3, -0x1.84f3e0af3228fp-3, -0x1.8b1a726d2710fp-3, -0x1.909cda320f203p-3, -0x1.956e3fbee572cp-3, -0x1.998583b36b3e2p-3, -0x1.9cdcd7661f556p-3, -0x1.9f715846ae70ap-3, -0x1.a142b0883182p-3, -0x1.a252bda4829b9p-3, -0x1.a2a53d6bacedap-3, -0x1.a23f81d2f4cecp-3, -0x1.a1282b893d8cp-3, -0x1.9f66eb2c3fb8cp-3, -0x1.9d0448e32cd3cp-3, -0x1.9a097211fc058p-3, -0x1.96800cc89fcbep-3, -0x1.92721096ed73fp-3, -0x1.8de9a458e20eap-3, -0x1.88f1009d42c5p-3, -0x1.8392563dc72eap-3, -0x1.7dd7b8c7f09ap-3, -0x1.77cb0c5137f52p-3, -0x1.7175f65957058p-3, -0x1.6ae1d16446468p-3, -0x1.6417a2f480e5dp-3, -0x1.5d2013ad175ccp-3, -0x1.5603694a0a29dp-3, -0x1.4ec982517fb1p-3, -0x1.4779d328775e1p-3, -0x1.401b647dd9edap-3, -0x1.38b4d2af75d9cp-3, -0x1.314c4e292c881p-3, -0x1.29e79c6504edcp-3, -0x1.228c19a168734p-3, -0x1.1b3ebb036ceafp-3, -0x1.140411363838fp-3, -0x1.0ce04b7b1c728p-3, -0x1.05d73ade8f8e2p-3, -0x1.fdd8ac08a2045p-4, -0x1.f045794ed2f94p-4, -0x1.e2fa77b119c0fp-4, -0x1.d5fca328b4adap-4, -0x1.c9506228081f1p-4, -0x1.bcf98ce7790bap-4, -0x1.b0fb7584c629ep-4, -0x1.a558ef9b4de63p-4, -0x1.9a145799e5fbp-4, -0x1.8f2f9a926c131p-4, -0x1.84ac3cf453f74p-4, -0x1.7a8b622f8fbbap-4, -0x1.70cdd30d66b7dp-4, -0x1.677404c5c501p-4, -0x1.5e7e1f18bb237p-4, -0x1.55ec0294285b9p-4, -0x1.4dbd4e6222462p-4, -0x1.45f165cd1d9d1p-4, -0x1.3e8775992c758p-4, -0x1.377e78ef9fb95p-4, -0x1.30d53e2f65a11p-4, -0x1.2a8a6b531be26p-4, -0x1.249c82455009fp-4, -0x1.1f09e4c89e871p-4, -0x1.19d0d84eb705ep-4, -0x1.14ef897cf2f51p-4, -0x1.10640f7c4706ep-4, -0x1.0c2c6f1d44999p-4, -0x1.08469db743cdep-4, -0x1.04b083dc8670cp-4, -0x1.0167ffd07fd1bp-4, -0x1.fcd5cfbce874ep-5, -0x1.f76e18cbe374ap-5, -0x1.f294739657f73p-5, -0x1.ee447488dee16p-5, -0x1.ea79aeba7cab9p-5, -0x1.e72fb6eece28ap-5, -0x1.e462262d71603p-5, -0x1.e20c9c1c942d9p-5, -0x1.e02ac11419c5fp-5, -0x1.deb848126133bp-5, -0x1.ddb0f0775640fp-5, -0x1.dd108761e3d81p-5, -0x1.dcd2e91c56eeap-5, -0x1.dcf402711bf81p-5, -0x1.dd6fd1676c5adp-5, -0x1.de42664640f66p-5, -0x1.df67e4929e058p-5, -0x1.e0dc837171e95p-5, -0x1.e29c8e3770fe3p-5, -0x1.e4a465177cd1ep-5, -0x1.e6f07d5e139e4p-5, -0x1.e97d61ac2711dp-5, -0x1.ec47b241cd41fp-5, -0x1.ef4c251a1f5abp-5, -0x1.f287861286f1bp-5, -0x1.f5f6b6e027c57p-5, -0x1.f996aede4aa01p-5, -0x1.fd647b3415b14p-5, -0x1.00ae9f66a7b29p-4, -0x1.02bf18e8288c6p-4, -0x1.04e250bba0448p-4, -0x1.0716f81be7926p-4, -0x1.095bcaa6a4fe7p-4, -0x1.0baf8e0bcbfd5p-4, -0x1.0e11120b753efp-4, -0x1.107f30669dbe9p-4, -0x1.12f8cc8b171e6p-4, -0x1.157cd358e70ecp-4, -0x1.180a3b13aa539p-4, -0x1.1aa0032d6e443p-4, -0x1.1d3d3400726a1p-4, -0x1.1fe0dea870025p-4, -0x1.228a1cd7efb53p-4, -0x1.25381089b8161p-4, -0x1.27e9e3d3f960bp-4, -0x1.2a9ec8d495bf1p-4, -0x1.2d55f96c6d25bp-4, -0x1.300eb6e0d475ep-4, -0x1.32c849bcf90dp-4, -0x1.358201d31095ep-4, -0x1.383b35f56fa84p-4, -0x1.3af3438861559p-4, -0x1.3da98e5c0703ep-4, -0x1.405d80bf2ac0bp-4, -0x1.430e8b51f27c4p-4, -0x1.45bc24931c34dp-4, -0x1.4865c89fc2e64p-4, -0x1.4b0af944d105p-4, -0x1.4dab3df7880b8p-4, -0x1.504623794f276p-4, -0x1.52db3b7cdbefbp-4, -0x1.556a1c9d84adap-4, -0x1.57f26270f98fcp-4, -0x1.5a73ad565544bp-4, -0x1.5ceda217814a6p-4, -0x1.5f5fe9babc55ep-4, -0x1.61ca31931358fp-4, -0x1.642c2b3ad35b3p-4, -0x1.66858c4ca127dp-4, -0x1.68d60e18a63a2p-4, -0x1.6b1d6d96bb6f3p-4, -0x1.6d5b6b7c1e0a6p-4, -0x1.6f8fcc250cb45p-4, -0x1.71ba574814d6ep-4, -0x1.73dad7b99057dp-4, -0x1.75f11b7086776p-4, -0x1.77fcf39e1fd9cp-4, -0x1.79fe349651a0cp-4, -0x1.7bf4b583d9795p-4, -0x1.7de0502e57227p-4, -0x1.7fc0e0ffd35dbp-4, -0x1.81964723644a5p-4, -0x1.8360647a3094bp-4, -0x1.851f1d5a511b5p-4, -0x1.86d2584d939d8p-4, -0x1.8879fe06808e4p-4, -0x1.8a15f98019703p-4, -0x1.8ba63809ffd62p-4, -0x1.8d2aa91eb9d3bp-4, -0x1.8ea33e21872ep-4, -0x1.900fea399d5c4p-4, -0x1.9170a25e036a4p-4, -0x1.92c55d71a83f8p-4, -0x1.940e143e23a28p-4, -0x1.954ac14389bf4p-4, -0x1.967b60820e26bp-4, -0x1.979fef681cddfp-4, -0x1.98b86cdf3d142p-4, -0x1.99c4d95ffe578p-4, -0x1.9ac536e8294c5p-4, -0x1.9bb988d0ef016p-4, -0x1.9ca1d3a434a0ap-4, -0x1.9d7e1d0d58a6dp-4, -0x1.9e4e6be2f6bd6p-4, -0x1.9f12c8345e099p-4, -0x1.9fcb3b426f1a9p-4, -0x1.a077cf61da7f2p-4, -0x1.a1188fd81bcb2p-4, -0x1.a1ad88c9456bfp-4, -0x1.a236c73b6778bp-4, -0x1.a2b459200d2d5p-4, -0x1.a3264d531e29fp-4, -0x1.a38cb38832a6ep-4, -0x1.a3e79c2fd9dabp-4, -0x1.a43718633d699p-4, -0x1.a47b39de69b9ep-4, -0x1.a4b413056c929p-4, -0x1.a4e1b6e81927ep-4, -0x1.a504393a5b0fep-4, -0x1.a51bae41f5c6p-4, -0x1.a5282ac3a95f8p-4, -0x1.a529c3f77e984p-4, -0x1.a5208f863be9dp-4, -0x1.a50ca38c69d73p-4, -0x1.a4ee169b43f06p-4, -0x1.a4c4ffb211e5cp-4, -0x1.a491762ed7fe3p-4, -0x1.a45391c2263c6p-4, -0x1.a40b6a663cbcep-4, -0x1.a3b9185d576cfp-4, -0x1.a35cb432b7aebp-4, -0x1.a2f656bb2d917p-4, -0x1.a28619113ce56p-4, -0x1.a20c148bd103p-4, -0x1.a18862b40697cp-4, -0x1.a0fb1d3e6f9dbp-4, -0x1.a0645e0893001p-4, -0x1.9fc43f194654p-4, -0x1.9f1adaa123b66p-4, -0x1.9e684af9791e4p-4, -0x1.9dacaa9fc9d53p-4, -0x1.9ce8142f4e3efp-4, -0x1.9c1aa25b20083p-4, -0x1.9b446fe9f5accp-4, -0x1.9a6597b66fdfep-4, -0x1.997e34aede9ccp-4, -0x1.988e61d608ffap-4, -0x1.97963a421155ap-4, -0x1.9695d91974af9p-4, -0x1.958d598f2e60cp-4, -0x1.947cd6df2e2c7p-4, -0x1.93646c4c4a175p-4, -0x1.9244351fa0f44p-4, -0x1.911c4ca92d768p-4, -0x1.8fecce407866fp-4, -0x1.8eb5d54481c58p-4, -0x1.8d777d1a4f86cp-4, -0x1.8c31e12a9b7d1p-4, -0x1.8ae51cdfbb7d3p-4, -0x1.89914ba44e03bp-4, -0x1.883688e2c7dbcp-4, -0x1.86d4f00584d53p-4, -0x1.856c9c77b0298p-4, -0x1.83fda9a59c717p-4, -0x1.828832fc8206fp-4, -0x1.810c53e931d2bp-4, -0x1.7f8a27d6bp-4, -0x1.7e01ca2d605acp-4, -0x1.7c735652d9fa2p-4, -0x1.7adee7aa05dcfp-4, -0x1.7944999343811p-4, -0x1.77a4876c72ea9p-4, -0x1.75fecc90d0c05p-4, -0x1.7453845866377p-4, -0x1.72a2ca1745197p-4, -0x1.70ecb91d08bffp-4, -0x1.6f316cb4dee0ap-4, -0x1.6d710025cb1b2p-4, -0x1.6bab8eb2ae023p-4, -0x1.69e133990c521p-4, -0x1.68120a10f75d6p-4, -0x1.663e2d4b350dbp-4, -0x1.6465b871582a6p-4, -0x1.6288c6a5a8f2fp-4, -0x1.60a77303d5ec3p-4, -0x1.5ec1d8a10f249p-4, -0x1.5cd8128bee47cp-4, -0x1.5aea3bcb3da7p-4, -0x1.58f86f5becaebp-4, -0x1.5702c82ef9454p-4, -0x1.55096128475e2p-4, -0x1.530c551ec6ccp-4, -0x1.510bbeddb44fep-4, -0x1.4f07b9260269cp-4, -0x1.4d005eaed531cp-4, -0x1.4af5ca244c052p-4, -0x1.48e81624b7a1ap-4, -0x1.46d75d3cf5692p-4, -0x1.44c3b9e540afap-4, -0x1.42ad467fa444cp-4, -0x1.40941d589246p-4, -0x1.3e7858a9108f5p-4, -0x1.3c5a129929c83p-4, -0x1.3a39654101f05p-4, -0x1.38166aa7827ddp-4, -0x1.35f13cbea97dp-4, -0x1.33c9f55e8e217p-4, -0x1.31a0ae40c4296p-4, -0x1.2f7580fdb22b3p-4, -0x1.2d48870c8ca87p-4, -0x1.2b19d9c591f9ep-4, -0x1.28e9926523e4dp-4, -0x1.26b7ca0df9803p-4, -0x1.248499c8f11cdp-4, -0x1.22501a82116ep-4, -0x1.201a650366b2p-4, -0x1.1de391ef656a3p-4, -0x1.1babb9bc93c2ep-4, -0x1.1972f4b3bbc79p-4, -0x1.17395af0dbb27p-4, -0x1.14ff0465f8c8ep-4, -0x1.12c408de3bc1ep-4, -0x1.10887fff9eb99p-4, -0x1.0e4c814a25b2cp-4, -0x1.0c1024147441dp-4, -0x1.09d37f869f196p-4, -0x1.0796aa94c0e56p-4, -0x1.0559bbfad54f2p-4, -0x1.031cca3aec4p-4, -0x1.00dfeb9dd864ep-4, -0x1.fd466c6b28e43p-5, -0x1.f8cd7fc025509p-5, -0x1.f4553c92283ffp-5, -0x1.efddcdd41bbe3p-5, -0x1.eb675e0fc7e81p-5, -0x1.e6f2175defb04p-5, -0x1.e27e235d4346ep-5, -0x1.de0bab2a654cp-5, -0x1.d99ad75ae5e01p-5, -0x1.d52bcffbefd13p-5, -0x1.d0bebc94271cap-5, -0x1.cc53c4274918ep-5, -0x1.c7eb0d39bbbc1p-5, -0x1.c384bdd25db12p-5, -0x1.bf20fb79c09afp-5, -0x1.babfeb36bcfd8p-5, -0x1.b661b1893a4a2p-5, -0x1.b20672647355bp-5, -0x1.adae5129fa34fp-5, -0x1.a95970a6749c1p-5, -0x1.a507f31054a74p-5, -0x1.a0b9fa0854004p-5, -0x1.9c6fa69af95bep-5, -0x1.982919423f64ap-5, -0x1.93e671e697af9p-5, -0x1.8fa7cfdee13c7p-5, -0x1.8b6d51ef2e439p-5, -0x1.87371646aa978p-5, -0x1.83053a7d1ba45p-5, -0x1.7ed7db9089f3p-5, -0x1.7aaf15e36abf5p-5, -0x1.768b053b997e1p-5, -0x1.726bc4c20b838p-5, -0x1.6e516f03149f3p-5, -0x1.6a3c1deef4e74p-5, -0x1.662beada75fe7p-5, -0x1.6220ee7f49b96p-5, -0x1.5e1b40fc28611p-5, -0x1.5a1af9d4a8967p-5, -0x1.56202ff0e53fdp-5, -0x1.522af99d17808p-5, -0x1.4e3b6c8945178p-5, -0x1.4a519dc9178f9p-5, -0x1.466da1d3ec145p-5, -0x1.428f8c8520dap-5, -0x1.3eb7711c8edaap-5, -0x1.3ae5623f1f5e3p-5, -0x1.371971f78458dp-5, -0x1.3353b1b6ea72fp-5, -0x1.2f943255b10cfp-5, -0x1.2bdb04141f725p-5, -0x1.2828369b18a48p-5, -0x1.247bd8fccd092p-5, -0x1.20d5f9b57b938p-5, -0x1.1d36a6ac404d2p-5, -0x1.199ded33f0f07p-5, -0x1.160bda0c1a972p-5, -0x1.128079620508ep-5, -0x1.0efbd6d1d71d7p-5, -0x1.0b7dfd67c227bp-5, -0x1.0806f7a139b18p-5, -0x1.0496cf6e2fca8p-5, -0x1.012d8e325a229p-5, -0x1.fb96798cf76e5p-6, -0x1.f4dfc6f36573ep-6, -0x1.ee371425ad4c3p-6, -0x1.e79c6fa3b6864p-6, -0x1.e10fe6e293a41p-6, -0x1.da91864f8d15fp-6, -0x1.d42159533c653p-6, -0x1.cdbf6a54bde36p-6, -0x1.c76bc2bce8af3p-6, -0x1.c1266af97efb2p-6, -0x1.baef6a8064aa2p-6, -0x1.b4c6c7d2e079dp-6, -0x1.aeac8880d1369p-6, -0x1.a8a0b12c0ddc6p-6, -0x1.a2a3458bde58ep-6, -0x1.9cb4487091dadp-6, -0x1.96d3bbc72ba6fp-6, -0x1.9101a09d35ec3p-6, -0x1.8b3df72472d1p-6, -0x1.8588beb69f183p-6, -0x1.7fe1f5d8f9aa2p-6, -0x1.7a499a3fcc85ap-6, -0x1.74bfa8d1d1cdep-6, -0x1.6f441dabb0c52p-6, -0x1.69d6f4238e7b9p-6, -0x1.647826ccddd2dp-6, -0x1.5f27af7c5ea75p-6, -0x1.59e5874c4c1fap-6, -0x1.54b1a6a0acc1ep-6, -0x1.4f8c052b7093dp-6, -0x1.4a7499f07da2bp-6, -0x1.456b5b493de1bp-6, -0x1.40703ee807bc1p-6, -0x1.3b8339db2dfdfp-6, -0x1.36a44090155d9p-6, -0x1.31d346d67caf6p-6, -0x1.2d103fe424198p-6, -0x1.285b1e58f945fp-6, -0x1.23b3d443a3fd2p-6, -0x1.1f1a532660283p-6, -0x1.1a8e8bfbd5021p-6, -0x1.16106f3b6479cp-6, -0x1.119fecdd02f34p-6, -0x1.0d3cf45c364cdp-6, -0x1.08e774ba78ab9p-6, -0x1.049f5c81456f3p-6, -0x1.006499c436549p-6, -0x1.f86e34474e002p-7, -0x1.f02d95a0763bdp-7, -0x1.e807311ea4b79p-7, -0x1.dffadf80951fdp-7, -0x1.d80878c44a322p-7, -0x1.d02fd431e94dcp-7, -0x1.c870c865102c8p-7, -0x1.c0cb2b53d749ep-7, -0x1.b93ed25321451p-7, -0x1.b1cb9218cb038p-7, -0x1.aa713ebcc6928p-7, -0x1.a32fabba8209p-7, -0x1.9c06abf4041a5p-7, -0x1.94f611b7dd759p-7, -0x1.8dfdaeca09aedp-7, -0x1.871d546f5a5dp-7, -0x1.8054d379f06f6p-7, -0x1.79a3fc5528c65p-7, -0x1.730a9f0f42247p-7, -0x1.6c888b5f7a2efp-7, -0x1.661d90a85b1e5p-7, -0x1.5fc97df71714ap-7, -0x1.598c220134cb9p-7, -0x1.53654b23274bp-7, -0x1.4d54c76180b78p-7, -0x1.475a646e509fap-7, -0x1.4175efb32f662p-7, -0x1.3ba7365eb436fp-7, -0x1.35ee057382b3dp-7, -0x1.304a29d5debf8p-7, -0x1.2abb70553a16p-7, -0x1.2541a5afbc89ep-7, -0x1.1fdc968f3d417p-7, -0x1.1a8c0f80d0b47p-7, -0x1.154fdcea04784p-7, -0x1.1027caff4a79fp-7, -0x1.0b13a5bfe3bc2p-7, -0x1.061338fa6e36p-7, -0x1.0126505b9ec25p-7, -0x1.f8996f0c55484p-8, -0x1.ef0c746179c03p-8, -0x1.e5a5488892a19p-8, -0x1.dc6383e90930dp-8, -0x1.d346bf9918a7fp-8, -0x1.ca4e9557304b6p-8, -0x1.c17a9f625f715p-8, -0x1.b8ca7836d72a3p-8, -0x1.b03dba3be5582p-8, -0x1.a7d3ff73786f5p-8, -0x1.9f8ce13edf9e4p-8, -0x1.9767f847ee187p-8, -0x1.8f64dc9a466aep-8, -0x1.878325ee8b6f2p-8, -0x1.7fc26c201af2p-8, -0x1.782247bca72d7p-8, -0x1.70a252949b7cp-8, -0x1.6942282fead7ap-8, -0x1.6201660d6d889p-8, -0x1.5adfab9a27a48p-8, -0x1.53dc99db972ddp-8, -0x1.4cf7d2d79f951p-8, -0x1.4630f8d1ee9fcp-8, -0x1.3f87ad81b0f34p-8, -0x1.38fb9164537aap-8, -0x1.328c434ef005fp-8, -0x1.2c39605736e14p-8, -0x1.2602841edf643p-8, -0x1.1fe7497ee4938p-8, -0x1.19e74b8039ecap-8, -0x1.1402268112103p-8, -0x1.0e37795ac083bp-8, -0x1.0886e65547c74p-8, -0x1.02f013b859693p-8, -0x1.fae557ad081f3p-9, -0x1.f01cb9097c584p-9, -0x1.e585ac1affce2p-9, -0x1.db1f9391458e7p-9, -0x1.d0e9d1286ea04p-9, -0x1.c6e3c2df30136p-9, -0x1.bd0cc0e4395eep-9, -0x1.b3641c8a25e8p-9, -0x1.a9e92062e6bdbp-9, -0x1.a09b117dd5ee4p-9, -0x1.977931a007508p-9, -0x1.8e82c23ab963ep-9, -0x1.85b707c89e3bcp-9, -0x1.7d154d2aa921dp-9, -0x1.749ce686ba893p-9, -0x1.6c4d33287ce29p-9, -0x1.64259df93851p-9, -0x1.5c259c57e16c2p-9, -0x1.544cab66aa2a2p-9, -0x1.4c9a4c39ff266p-9, -0x1.450dff959dc9ep-9, -0x1.3da741fff01adp-9, -0x1.366588dc4d367p-9, -0x1.2f4840f83a34fp-9, -0x1.284ecea453d27p-9, -0x1.21788f22a203bp-9, -0x1.1ac4db0b328f2p-9, -0x1.14330941ce76cp-9, -0x1.0dc272307f369p-9, -0x1.0772730ed09e3p-9, -0x1.01427108a296ep-9, -0x1.f663b7fd3c511p-10, -0x1.ea8060fc9a9cdp-10, -0x1.ded9f0f2c40f6p-10, -0x1.d36f94ad20d1p-10, -0x1.c8408c6ac58bdp-10, -0x1.bd4c2346ae597p-10, -0x1.b291a4db14bc7p-10, -0x1.a810530dfb48ap-10, -0x1.9dc75e147ee39p-10, -0x1.93b5e037b263cp-10, -0x1.89daddeae9c0cp-10, -0x1.8035499a3dd97p-10, -0x1.76c409b23ff19p-10, -0x1.6d85ff14644d8p-10, -0x1.647a0a903c28cp-10, -0x1.5b9f10da485bdp-10, -0x1.52f3fd6718b55p-10, -0x1.4a77c516a38ccp-10, -0x1.4229697fa8d4p-10, -0x1.3a07fcfeaf8f9p-10, -0x1.3212a6cc1ec24p-10, -0x1.2a48a5b6a2f49p-10, -0x1.22a95003e24d1p-10, -0x1.1b340f87e9d52p-10, -0x1.13e85a18a2eb8p-10, -0x1.0cc5a7bf4d334p-10, -0x1.05cb6904cb433p-10, -0x1.fdf1ffdf5eaecp-11, -0x1.f09b7b51af687p-11, -0x1.e391ca91a487p-11, -0x1.d6d3652771f77p-11, -0x1.ca5ec40a24c37p-11, -0x1.be326e328499ep-11, -0x1.b24cfd1c5d293p-11, -0x1.a6ad1830a1226p-11, -0x1.9b516a17dad7fp-11, -0x1.9038959e8a11p-11, -0x1.85612ff1478dfp-11, -0x1.7ac9c38864146p-11, -0x1.7070db536b1c8p-11, -0x1.6655124530116p-11, -0x1.5c75217daf4d9p-11, -0x1.52cfe79281b2fp-11, -0x1.496465af88bc1p-11, -0x1.4031b2c6af0b8p-11, -0x1.3736e89c1e8c4p-11, -0x1.2e7310e25256fp-11, -0x1.25e518c0212ffp-11, -0x1.1d8bcf15cabecp-11, -0x1.1565ee43a7b79p-11, -0x1.0d722e6290104p-11, -0x1.05af59dd4e4dep-11, -0x1.fc38ba47dd8fp-12, -0x1.ed7096bd53c5p-12, -0x1.df04ab6e3ab13p-12, -0x1.d0f36ffe626d2p-12, -0x1.c33b44456e856p-12, -0x1.b5da4f22f6756p-12, -0x1.a8ce76e0ef56fp-12, -0x1.9c1575ed37c75p-12, -0x1.8fad0335de246p-12, -0x1.8392fee70bbeep-12, -0x1.77c594322af09p-12, -0x1.6c4345c5be28bp-12, -0x1.610ae1fcacac6p-12, -0x1.561b63ad5ae7bp-12, -0x1.4b73cae4c734ap-12, -0x1.4112fad957c94p-12, -0x1.36f7a6f3e1eadp-12, -0x1.2d2051e4010eep-12, -0x1.238b5b9b6bfe5p-12, -0x1.1a371866b11ep-12, -0x1.1121eb6679c3bp-12, -0x1.084a5eaaf693cp-12, -0x1.ff5e63c6778ddp-13, -0x1.ee9eb01474396p-13, -0x1.de53c03123fa7p-13, -0x1.ce7b9ae948b01p-13, -0x1.bf13dd47d81d9p-13, -0x1.b0198a01c0464p-13, -0x1.a189143437958p-13, -0x1.935ea230efed9p-13, -0x1.859669baf2678p-13, -0x1.782cffd7df603p-13, -0x1.6b1f856268ed6p-13, -0x1.5e6baedc6a9fap-13, -0x1.520fb08fde1fdp-13, -0x1.460a188401442p-13, -0x1.3a59a0a479396p-13, -0x1.2efd06743492dp-13, -0x1.23f2f2ff047ccp-13, -0x1.1939f35c80f78p-13, -0x1.0ed0799ca1c0ep-13, -0x1.04b4def2df373p-13, -0x1.f5cacde31f14fp-14, -0x1.e2c08f0e76e2p-14, -0x1.d0476d8b06d1ap-14, -0x1.be5bf4ee64e4fp-14, -0x1.acfae4f7ad727p-14, -0x1.9c212d70c37d8p-14, -0x1.8bcbc89e3b13ap-14, -0x1.7bf77b5766813p-14, -0x1.6ca09929c8531p-14, -0x1.5dc2f85d4546ep-14, -0x1.4f5a2e0b95194p-14, -0x1.4161f5e91cb65p-14, -0x1.33d67e0462e3dp-14, -0x1.26b4636ebdf14p-14, -0x1.19f87b0f2c7fdp-14, -0x1.0d9fb578e7a68p-14, -0x1.01a7447783a1ep-14, -0x1.ec19ace31a6d7p-15, -0x1.d59d45fc31b5ep-15, -0x1.bfd66af3729e5p-15, -0x1.aac231bb9ea9ep-15, -0x1.965d2e3c47281p-15, -0x1.82a35f5212b2p-15, -0x1.6f9093af0ebb1p-15, -0x1.5d20fd31c223cp-15, -0x1.4b51794f0e27cp-15, -0x1.3a1f4af1ed396p-15, -0x1.298780b40db8bp-15, -0x1.19868dace2afep-15, -0x1.0a1866c6942ffp-15, -0x1.f671fd0aca12dp-16, -0x1.d9c95feb189a2p-16, -0x1.be30803af232cp-16, -0x1.a3a0e28b82339p-16, -0x1.8a12f14daccfdp-16, -0x1.717d922f9190bp-16, -0x1.59d6cc42f0acep-16, -0x1.4314c58327ebbp-16, -0x1.2d2dbf4992c57p-16, -0x1.1816ddbc10a4cp-16, -0x1.03c38edc4155p-16, -0x1.e04ee3cf0b6b2p-17, -0x1.ba73ab9d73cdcp-17, -0x1.95ef39f444b2dp-17, -0x1.72c339543e799p-17, -0x1.50f18c3a3357dp-17, -0x1.3076210a6d14ap-17, -0x1.114664932729dp-17, -0x1.e6abbc731dc8cp-18, -0x1.ad3727000c541p-18, -0x1.762723e8fc4bp-18, -0x1.41779d4d9b79fp-18, -0x1.0f1f3835a4c7p-18, -0x1.be15501748d05p-19, -0x1.623c8fb8830f4p-19, -0x1.0a76bf9adbfdcp-19, -0x1.6d177abd8d5e5p-20, -0x1.9944ed66aca01p-21, -0x1.9aea4b399d833p-23, 0x1.7b2457016e406p-22, 0x1.d3a0d75da492ap-21, 0x1.6dbd80444cc6bp-20, 0x1.eaabe078e83cdp-20, 0x1.3066bab0a32b2p-19, 0x1.682d2d9442d9ep-19, 0x1.9cc5410cc7637p-19, 0x1.ce55feaa264a3p-19, 0x1.fd1d48c29384bp-19, 0x1.14b12a39ab725p-18, 0x1.29a8c99cbe92fp-18, 0x1.3d74edee9f9e4p-18, 0x1.500a08c5a5e07p-18, 0x1.61665554db66fp-18, 0x1.719ac9691cd5ep-18, 0x1.80c1ef816a494p-18, 0x1.8ef011be0f91ep-18, 0x1.9c2c78b65d1cbp-18, 0x1.a877d52a3fd9ep-18, 0x1.b3d5f79633e95p-18, 0x1.be5113d4e9438p-18, 0x1.c7f6d2c9c3addp-18, 0x1.d0d4823fc4db6p-18, 0x1.d8f54c6acb298p-18, 0x1.e062167c89607p-18, 0x1.e721cbf7d9494p-18, 0x1.ed39814df70fdp-18, 0x1.f2ac84c94518fp-18, 0x1.f77caba9e4c52p-18, 0x1.fbab217cf1b76p-18, 0x1.ff39eebc4754fp-18, 0x1.011700db98a34p-17, 0x1.02482bbf0a7edp-17, 0x1.03360885c7745p-17, 0x1.03e4c8b48ba48p-17, 0x1.0455d6abad0e7p-17, 0x1.048a13bc3943ap-17, 0x1.0485b0e0ecb75p-17, 0x1.044f6407e7346p-17, 0x1.03ea2ef1e7a1ep-17, 0x1.035304070990ep-17, 0x1.0287304c2bab2p-17, 0x1.018ac1a21693bp-17, 0x1.00666600144cep-17, 0x1.fe403df9ab622p-18, 0x1.fb7065340e894p-18, 0x1.f859f3c376e97p-18, 0x1.f4fe134232052p-18, 0x1.f16266dd7e351p-18, 0x1.ed8d1717acd7bp-18, 0x1.e98292987599ep-18, 0x1.e5459addd31a3p-18, 0x1.e0d8246005956p-18, 0x1.dc3c1cc0fca52p-18, 0x1.d773dad4eb172p-18, 0x1.d2823fe248bd5p-18, 0x1.cd6aa2d5e0d03p-18, 0x1.c830a903cd7d8p-18, 0x1.c2d80e0ef10b7p-18, 0x1.bd64594669726p-18, 0x1.b7d87c23b24a7p-18, 0x1.b236a2091d0afp-18, 0x1.ac809607802e1p-18, 0x1.a6b88e6379872p-18, 0x1.a0e133868ac7ap-18, 0x1.9afc2558ad1aap-18, 0x1.950889557a68ap-18, 0x1.8f048725164b1p-18, 0x1.88f20bb0ff08cp-18, 0x1.82d81b31a9eaap-18, 0x1.7cbb442c93f24p-18, 0x1.7699821491cc7p-18, 0x1.7071e44955d6ep-18, 0x1.6a487fce06df5p-18, 0x1.641fa15178663p-18, 0x1.5df49ab87d816p-18, 0x1.57c5bba3b219cp-18, 0x1.5195a1e0ae3dcp-18, 0x1.4b686f3fb3a0dp-18, 0x1.45412b1f22761p-18, 0x1.3f2177200df0dp-18, 0x1.390a268d3d9a2p-18, 0x1.32fbbabff97ffp-18, 0x1.2cf6a08917c5ap-18, 0x1.26fb488ba8594p-18, 0x1.210a300c4c302p-18, 0x1.1b23e2f0bc687p-18, 0x1.1548f8fe18f6p-18, 0x1.0f7a0fe2866d5p-18, 0x1.09b7c506739ap-18, 0x1.0402b050baaacp-18, 0x1.fcb6ba200dc6ep-19, 0x1.f1847ae220667p-19, 0x1.e66f3948f0785p-19, 0x1.db77434c7f5a8p-19, 0x1.d09cf394bc1cep-19, 0x1.c5e138ae7a62dp-19, 0x1.bb45ac6a3976fp-19, 0x1.b0cbc31245e21p-19, 0x1.a6739f59060bp-19, 0x1.9c3c16a7fbb65p-19, 0x1.92259dad2f229p-19, 0x1.88348f857ded9p-19, 0x1.7e6bac16503adp-19, 0x1.74c930bbdad8fp-19, 0x1.6b4cc8d51da03p-19, 0x1.61f6a48ef793cp-19, 0x1.58c4a9c580dbdp-19, 0x1.4fb6595aeb159p-19, 0x1.46cd573a6be1dp-19, 0x1.3e0a9ebb3bba9p-19, 0x1.356df8b8302ecp-19, 0x1.2cf6f6f0f18a4p-19, 0x1.24a593999e001p-19, 0x1.1c7a1c1bf3deap-19, 0x1.1474de6a510eap-19, 0x1.0c95fb028113ep-19, 0x1.04dd6599e9d12p-19, 0x1.fa95ef781c931p-20, 0x1.ebbd012a59a2cp-20, 0x1.dd2f9974ee476p-20, 0x1.ceed503a0f6c2p-20, 0x1.c0f5bb0b0741fp-20, 0x1.b3486ae4e2097p-20, 0x1.a5e4ea6877b09p-20, 0x1.98cabe6e6c47fp-20, 0x1.8bf964085cbdp-20, 0x1.7f7054e6d436dp-20, 0x1.732f092f57a84p-20, 0x1.6734f896f791p-20, 0x1.5b8192e58ed56p-20, 0x1.501431bf0bbe5p-20, 0x1.44ec168ee54fep-20, 0x1.3a087f434f7dfp-20, 0x1.2f68c31d28b83p-20, 0x1.250c7004b844ep-20, 0x1.1af31cf333833p-20, 0x1.111baad077094p-20, 0x1.0784ca8500f4fp-20, 0x1.fc5bb4133fc8bp-21, 0x1.ea2c77c00214ep-21, 0x1.d87b46f6447a2p-21, 0x1.c746cdf3a9a37p-21, 0x1.b68c8b52a34a2p-21, 0x1.a649efd198d82p-21, 0x1.967ced5ca0af4p-21, 0x1.87243483db745p-21, 0x1.783eb6ec4a7b3p-21, 0x1.69cab5c3f51e9p-21, 0x1.5bc5c33882748p-21, 0x1.4e2df9a62e484p-21, 0x1.41027f07f79a6p-21, 0x1.34426abdf1397p-21, 0x1.27ebe213a4971p-21, 0x1.1bfc7a231bfa9p-21, 0x1.1071e460cd2ffp-21, 0x1.054a264b4e7d7p-21, 0x1.f506fcec33925p-22, 0x1.e0387f68fd7acp-22, 0x1.cc257a42af45ep-22, 0x1.b8ca893938612p-22, 0x1.a6243e9d29d39p-22, 0x1.942f261c78015p-22, 0x1.82e7c83b3dbb9p-22, 0x1.724ab1372946ap-22, 0x1.62547f3ec300fp-22, 0x1.5301efb7c9a9p-22, 0x1.444fd2ef2ee5ep-22, 0x1.363add7ff8f2dp-22, 0x1.28bf89890ca3p-22, 0x1.1bda2420ba876p-22, 0x1.0f86e6de91b4cp-22, 0x1.03c28b148a4a3p-22, 0x1.f1173c4f262f9p-23, 0x1.dbc091dd7e4ep-23, 0x1.c773b3abc8cbfp-23, 0x1.b4278f6d129bcp-23, 0x1.a1da81a778baap-23, 0x1.9089340a014afp-23, 0x1.802af99a33bacp-23, 0x1.70b8bc9dc4be3p-23, 0x1.622cd8979be76p-23, 0x1.5481c200f824fp-23, 0x1.47b1e0ba2de66p-23, 0x1.3bb75ed3dba8p-23, 0x1.308cccc111019p-23, 0x1.262cbfd50cf73p-23, 0x1.1c916bd72500dp-23, 0x1.13b4a789b18edp-23, 0x1.0b90d40d639e8p-23, 0x1.0420f26dd5f22p-23, 0x1.fabf117a45bddp-24, 0x1.ee8e6f2dc02cep-24, 0x1.e3a78552def75p-24, 0x1.da017ccd39943p-24, 0x1.d1918f26d3cc1p-24, 0x1.ca4cce627ab4ep-24, 0x1.c4293628a4b1ap-24, 0x1.bf1d715e07956p-24, 0x1.bb20777d97c69p-24, 0x1.b8295e71a6ebfp-24, 0x1.b62f50dddc2fep-24, 0x1.b529942b07b0fp-24, 0x1.b50f9418dc45dp-24, 0x1.b5d8ebc90253cp-24, 0x1.b77d5f2f11f81p-24, 0x1.b9f4b7d4d8226p-24, 0x1.bd369c58ac889p-24, 0x1.c13aaaa95ec85p-24, 0x1.c5f8dc56e047ep-24, 0x1.cb69d3aafc4e5p-24, 0x1.d186e6073d49ap-24, 0x1.d849f096bddf7p-24, 0x1.dfab21002782cp-24, 0x1.e79f1610431c4p-24, 0x1.f0243dee5ba92p-24, 0x1.f935e628151b8p-24, 0x1.0162aadaf9ed9p-23, 0x1.0667cb5c71d24p-23, 0x1.0ba86c401afdep-23, 0x1.11211f5221cd7p-23, 0x1.16ce94bf52967p-23, 0x1.1cadc2fd0b421p-23, 0x1.22bbc6d0f1ccdp-23, 0x1.28f5d418a8d9cp-23, 0x1.2f593257d38d3p-23, 0x1.35e33d8f88641p-23, 0x1.3c9167b1073ecp-23, 0x1.4361399e54147p-23, 0x1.4a5053e788144p-23, 0x1.515c60f591059p-23, 0x1.5882bf17a9768p-23, 0x1.5fbfcc31ae575p-23, 0x1.670f75b24f177p-23, 0x1.6e70ced00cae6p-23, 0x1.75e5626fc13dep-23, 0x1.7d6ca7336d703p-23, 0x1.85030474d71cfp-23, 0x1.8ca228906f447p-23, 0x1.9447fcb96b6a5p-23, 0x1.9bf547044246ep-23, 0x1.a3a92f1f4c164p-23, 0x1.ab61b2f207ad9p-23, 0x1.b31cbeccaa9fp-23, 0x1.bad87659979f5p-23, 0x1.c2932c8623775p-23, 0x1.ca4b53448f54p-23, 0x1.d1ff6dc0e5269p-23, 0x1.d9ae01bf090a1p-23, 0x1.e1558faa5e39fp-23, 0x1.e8f4a4442b475p-23, 0x1.f089f50831253p-23, 0x1.f8145a090538cp-23, 0x1.ff92b73df778ep-23, 0x1.0382089b5e179p-22, 0x1.0733cdcd800afp-22, 0x1.0addc3f4f5751p-22, 0x1.0e7f14e83fd1fp-22, 0x1.1217a573bd791p-22, 0x1.15a6adc246204p-22, 0x1.192c2bf652bedp-22, 0x1.1ca795c9591fep-22, 0x1.20185fe843454p-22, 0x1.237e1b0959947p-22, 0x1.26d8626638ce8p-22, 0x1.2a26d5f918d7cp-22, 0x1.2d69199e3d2e6p-22, 0x1.309ed5168ab19p-22, 0x1.33c7b42623ce9p-22, 0x1.36e3667bc9403p-22, 0x1.39f19fc940963p-22, 0x1.3cf217a49998p-22, 0x1.3fe48977ad0abp-22, 0x1.42c8b4614b7afp-22, 0x1.459e5b0dc66aep-22, 0x1.4865438ba934ep-22, 0x1.4b1d373680049p-22, 0x1.4dc602ad2ae6fp-22, 0x1.505f75dc945c5p-22, 0x1.52e963c4d4a92p-22, 0x1.5563a2668ff84p-22, 0x1.57ce0e8d2302ap-22, 0x1.5a2893bd01e42p-22, 0x1.5c7315971bf86p-22, 0x1.5ead539f2a9e2p-22, 0x1.60d7360176574p-22, 0x1.62f0c68ded196p-22, 0x1.64f9e48d7b7cp-22, 0x1.66f27075f9ff8p-22, 0x1.68da5c33928e5p-22, 0x1.6ab19d6d04c6dp-22, 0x1.6c7827c5adc99p-22, 0x1.6e2df75716476p-22, 0x1.6fd2ff3e578f2p-22, 0x1.716740cae4c1bp-22, 0x1.72eac04137b98p-22, 0x1.745d7edde3ed8p-22, 0x1.75bf79c83a348p-22, 0x1.7710a9240e73bp-22, 0x1.78511b9271e8fp-22, 0x1.7980dfa7e5a15p-22, 0x1.7a9fb7ccf92fep-22, 0x1.7badfa9658569p-22, 0x1.7cac09a80f5e6p-22, 0x1.7d999611b9f26p-22, 0x1.7e767a88363a1p-22, 0x1.7f42ed3ed5ba4p-22, 0x1.7fff106d3137cp-22, 0x1.80aafa2fe9925p-22, 0x1.8146bf80a054fp-22, 0x1.81d276ac19424p-22, 0x1.824e378b3ec72p-22, 0x1.82ba1b6e1d107p-22, 0x1.83163cfe3870ap-22, 0x1.8362b8280427fp-22, 0x1.839fa9ff35eb4p-22, 0x1.83cd30a6595e3p-22, 0x1.83eb6b2f19a99p-22, 0x1.83fa7980b61c6p-22, 0x1.83fa7c4e9c415p-22, 0x1.83eb9517e8963p-22, 0x1.83cde63df374fp-22, 0x1.83a19326d75fp-22, 0x1.8366c0577d07p-22, 0x1.831d9371452ep-22, 0x1.82c632dd34357p-22, 0x1.8260c5321119bp-22, 0x1.81ed70882b6bbp-22, 0x1.816c5a4bc7c05p-22, 0x1.80dda8c106a98p-22, 0x1.804185921fc66p-22, 0x1.7f981cdbdde9ap-22, 0x1.7ee18dd42742p-22, 0x1.7e1dd43c64981p-22, 0x1.7d4d12b42e6a2p-22, 0x1.7c70144edbcacp-22, 0x1.7b86e276f0bd1p-22, 0x1.7a91d7a6caf11p-22, 0x1.7990bcf372205p-22, 0x1.78833f0ddff06p-22, 0x1.7769ca486ea8fp-22, 0x1.7644ba2304e53p-22, 0x1.75144a8c5fce5p-22, 0x1.73d8ab28aba98p-22, 0x1.729204b515ad3p-22, 0x1.71407fdc6ed48p-22, 0x1.6fe4496c53075p-22, 0x1.6e7d90530fe1dp-22, 0x1.6d0c7bc4f257ap-22, 0x1.6b910d070f0dp-22, 0x1.6a0b8f067fdefp-22, 0x1.687cc9fca370cp-22, 0x1.66e440dc56a37p-22, 0x1.65421b421ab6fp-22, 0x1.6396ada6e976ep-22, 0x1.61e22b355f69fp-22, 0x1.6024c0a6d964ep-22, 0x1.5e5e9a9f881f3p-22, 0x1.5c8fe61ca1e1ep-22, 0x1.5ab8d039112b9p-22, 0x1.58d986133dc36p-22, 0x1.56f234b455f39p-22, 0x1.55030909999aep-22, 0x1.530c2fd9ddb67p-22, 0x1.510dd5bfc8a46p-22, 0x1.4f082727844e3p-22, 0x1.4cfb50514ba27p-22, 0x1.4ae77d4a19c6bp-22, 0x1.48ccd9edbb833p-22, 0x1.46ab91de3c8f9p-22, 0x1.4483d083aded4p-22, 0x1.4255c1063e31bp-22, 0x1.40218e487f01fp-22, 0x1.3de762dc38e84p-22, 0x1.3ba769089485bp-22, 0x1.3961cac400228p-22, 0x1.3716b1c5533c4p-22, 0x1.34c6478595b2bp-22, 0x1.3270b54500e7ep-22, 0x1.301623febf58p-22, 0x1.2db6bc73dc5a6p-22, 0x1.2b52a7051fcedp-22, 0x1.28ea0b8a3c092p-22, 0x1.267d11225fb58p-22, 0x1.240bde560f33dp-22, 0x1.219699fb3afedp-22, 0x1.1f1d6c3f20edbp-22, 0x1.1ca0678eaf79ep-22, 0x1.1a1fee3d0cf8cp-22, 0x1.179be25e457dbp-22, 0x1.151441fb1e0bcp-22, 0x1.12895d5f42971p-22, 0x1.0ffbfae5d6df2p-22, 0x1.0d6bd7259b6b4p-22, 0x1.0ad8a68e6aebbp-22, 0x1.0842b92a88c26p-22, 0x1.05aa4d9e0cd18p-22, 0x1.030f8a7d63cc2p-22, 0x1.007291450df46p-22, 0x1.fba70563eab0fp-23, 0x1.f664f3aaddf4dp-23, 0x1.f11f176df7b59p-23, 0x1.ebd60fd586995p-23, 0x1.e689da0c49117p-23, 0x1.e13aa389135b3p-23, 0x1.dbe8c048459c2p-23, 0x1.d6946fb532314p-23, 0x1.d13dedf9711aep-23, 0x1.cbe576a5dcc8dp-23, 0x1.c68b44d01d452p-23, 0x1.c12f92b6b2779p-23, 0x1.bbd299e870f6ep-23, 0x1.b67493250031ap-23, 0x1.b115b65e3d881p-23, 0x1.abb63abeaf47ap-23, 0x1.a6565661a2329p-23, 0x1.a0f63b8f6c585p-23, 0x1.9b962ab123fbep-23, 0x1.96364b70c0ad6p-23, 0x1.90d6d51ca1fb9p-23, 0x1.8b77fa2026c49p-23, 0x1.8619ec0d37789p-23, 0x1.80bcdbb190312p-23, 0x1.7b60f90b3a22ap-23, 0x1.76067355138p-23, 0x1.70ad78fedccd5p-23, 0x1.6b5637b32d7fcp-23, 0x1.6600dc57285b9p-23, 0x1.60ad9309ee566p-23, 0x1.5b5c872727ea2p-23, 0x1.560de34a5c16cp-23, 0x1.50c1d14832b14p-23, 0x1.4b787a3540d65p-23, 0x1.463206608d1edp-23, 0x1.40ee9d5abb12ep-23, 0x1.3bae65f7e8034p-23, 0x1.3671864b05389p-23, 0x1.313823aff9903p-23, 0x1.2c0262c758d37p-23, 0x1.26d06778fae0bp-23, 0x1.21a25514f896ap-23, 0x1.1c784de53b6d9p-23, 0x1.175273d3431f5p-23, 0x1.1230e7b2161c3p-23, 0x1.0d13c9d1d479ap-23, 0x1.07fb3a588119ep-23, 0x1.02e7581caad28p-23, 0x1.fbb0828f88078p-24, 0x1.f19c281e1009cp-24, 0x1.e791db6d2b0d8p-24, 0x1.dd91d150969f2p-24, 0x1.d39c3379a8e7bp-24, 0x1.c9b14438d3cbdp-24, 0x1.bfd1641192d38p-24, 0x1.b5fc93fd3232p-24, 0x1.ac330280faad2p-24, 0x1.a274edd10ee46p-24, 0x1.98c28dbee631bp-24, 0x1.8f1c106e781aap-24, 0x1.858110c089d5p-24, 0x1.7bf33597eb3ap-24, 0x1.72714ad9c1fb1p-24, 0x1.68fbe7a216e22p-24, 0x1.5f9337b8ff986p-24, 0x1.563760b099f16p-24, 0x1.4ce889adc1bd8p-24, 0x1.43a6d74b8abbep-24, 0x1.3a726d792ac99p-24, 0x1.314b6f119e91bp-24, 0x1.2831fdcdb9954p-24, 0x1.1f263a573b9aap-24, 0x1.16284442b4066p-24, 0x1.0d383a1b2ef7dp-24, 0x1.045639613366p-24, 0x1.f704bd163d3dap-25, 0x1.e5798a18104f3p-25, 0x1.d40b0eb6b4ca2p-25, 0x1.c2b97de6beeacp-25, 0x1.b185088eba5fcp-25, 0x1.a06dadca419f7p-25, 0x1.8f742cc7f8a37p-25, 0x1.7e981d7e10211p-25, 0x1.6dd9d95df9389p-25, 0x1.5d398b190aed8p-25, 0x1.4cb7572a87486p-25, 0x1.3c5361e3a9cf2p-25, 0x1.2c0dcdd177cc4p-25, 0x1.1be6bba0951b9p-25, 0x1.0bde4a02a0c56p-25, 0x1.f7e92cfc4c7b6p-26, 0x1.d85379ad3ddeap-26, 0x1.b8fbae50daf2dp-26, 0x1.99e1fbed7f452p-26, 0x1.7b0690714c3d9p-26, 0x1.5c69968b225d4p-26, 0x1.3e0b35350bd8dp-26, 0x1.1feb921fe20d1p-26, 0x1.020ace8ba05e3p-26, 0x1.c8d212426a4eap-27, 0x1.8e0cbb7ac5933p-27, 0x1.53c5cabccc0d7p-27, 0x1.19fd6c9bc6683p-27, 0x1.c167901e7059cp-28, 0x1.4fd1fdbecf9cep-28, 0x1.be74b3502a4c3p-29, 0x1.be83479178307p-30, 0x1.058b210527c85p-36, -0x1.b25d81e770322p-30, -0x1.b26bc2ad7c7a1p-29, -0x1.44d5f18e60b35p-28, -0x1.af77948beef6bp-28, -0x1.0c8d6b99937f1p-27, -0x1.40dfe80b18269p-27, -0x1.74b3462a9c66cp-27, -0x1.a807ab9634c03p-27, -0x1.dadd202f9bb1ep-27, -0x1.0699da64e0345p-26, -0x1.1f858fffd8c7ap-26, -0x1.3834cbf1bf0ccp-26, -0x1.50a012d0bbf93p-26, -0x1.68ce8109e6e62p-26, -0x1.80be036cc89c2p-26, -0x1.986e8b4d21da4p-26, -0x1.afe04416fc0c6p-26, -0x1.c7134fd1d768cp-26, -0x1.de07cddc859p-26, -0x1.f4bddf1814e5ap-26, -0x1.059ad32536a69p-25, -0x1.10b7a43704d24p-25, -0x1.1bb5762201044p-25, -0x1.26948bf6a0e83p-25, -0x1.31546d848bdc5p-25, -0x1.3bf5bc990e743p-25, -0x1.467861b3fed6fp-25, -0x1.50dc738fffe99p-25, -0x1.5b2209f2fcb4ap-25, -0x1.65493d62cd27dp-25, -0x1.6f52272a61d7p-25, -0x1.793ce1425633ep-25, -0x1.83098635b5e64p-25, -0x1.8cb83132fc624p-25, -0x1.9648fe148d81dp-25, -0x1.9fbc094ac7cdcp-25, -0x1.a9116fdd3b231p-25, -0x1.b2494f61756a6p-25, -0x1.bb63c5fe0f435p-25, -0x1.c460f264c2a4ep-25, -0x1.cd40f39c83f6dp-25, -0x1.d603e9d80256p-25, -0x1.dea9f49841d7ap-25, -0x1.e73335260451cp-25, -0x1.ef9fcc8bae50cp-25, -0x1.f7efdbe9d59b4p-25, -0x1.0011c55ef5925p-24, -0x1.041dac4ffd2c1p-24, -0x1.081b209a34741p-24, -0x1.0c0abdc3d36c7p-24, -0x1.0fec74ddcad2cp-24, -0x1.13c052dfad589p-24, -0x1.178668069d0bcp-24, -0x1.1b3ec66db48d2p-24, -0x1.1ee982a2de794p-24, -0x1.2286ad715bef4p-24, -0x1.26165a34f0aep-24, -0x1.29989b008abdp-24, -0x1.2d0d73fbbea2dp-24, -0x1.3075e3e0c901fp-24, -0x1.33cfa1af8ef5cp-24, -0x1.371cfd853d401p-24, -0x1.3a5d4e934847ap-24, -0x1.3d90aeafe1b26p-24, -0x1.40b72e0b85993p-24, -0x1.43d0d10c0fa96p-24, -0x1.46ddc608ea03dp-24, -0x1.49de13ee43837p-24, -0x1.4cd1d34a65aebp-24, -0x1.4fb91756c596cp-24, -0x1.5293f4a22c7f4p-24, -0x1.55627fdb700b8p-24, -0x1.5824cdd010407p-24, -0x1.5adaf3604fee3p-24, -0x1.5d85057ba82fcp-24, -0x1.6023192665c9bp-24, -0x1.62b54368e5e62p-24, -0x1.653b997dbd676p-24, -0x1.67b6307ab4111p-24, -0x1.6a251da5ad9e9p-24, -0x1.6c88764444edfp-24, -0x1.6ee04fa575861p-24, }}, 
      {{-0x1.3c42acba3d36dp-1, -0x1.0461cb9af74fep-1, -0x1.97faa37eef0dp-2, -0x1.3c403655430bap-2, -0x1.f682532de8dabp-3, -0x1.a5ba4932f75cap-3, -0x1.7bd534cba77f8p-3, -0x1.6d6261f8ae4edp-3, -0x1.7024c235fa832p-3, -0x1.7bf00b3f34c05p-3, -0x1.8ac60d15c3eebp-3, -0x1.989ba540b8753p-3, -0x1.a2fd5156a69a9p-3, -0x1.a8afd2bda3aeap-3, -0x1.a959f544ffba8p-3, -0x1.a53c5cda00b71p-3, -0x1.9cf81039e60efp-3, -0x1.9162921a5d64dp-3, -0x1.8365a42ed5ac6p-3, -0x1.73e8a43be97aep-3, -0x1.63c18eb700305p-3, -0x1.53abea859bddcp-3, -0x1.444424377d67p-3, -0x1.3606222cef342p-3, -0x1.294e188fc74e8p-3, -0x1.1e5ad9e707acbp-3, -0x1.15510e18fe665p-3, -0x1.0e3ede8f3c095p-3, -0x1.091fc48909554p-3, -0x1.05e03f85f89a8p-3, -0x1.04614d6e13433p-3, -0x1.047b8d0788fb7p-3, -0x1.0601fe394468cp-3, -0x1.08c45bbe385a8p-3, -0x1.0c910fd851dafp-3, -0x1.1136c974e48e5p-3, -0x1.1685b9d9bdf21p-3, -0x1.1c5084a9859a4p-3, -0x1.226cecac67966p-3, -0x1.28b447585762p-3, -0x1.2f03c0c755e42p-3, -0x1.353c794fca1a5p-3, -0x1.3b4384f53a44ap-3, -0x1.4101d38fd5dd1p-3, -0x1.46640773a0367p-3, -0x1.4b5a3f9cade9fp-3, -0x1.4fd7d9a2164cep-3, -0x1.53d32ed1282f7p-3, -0x1.57454efc88332p-3, -0x1.5a29baebe460ap-3, -0x1.5c7e1fe9a605ep-3, -0x1.5e4215a34685cp-3, -0x1.5f76df3b9a2fdp-3, -0x1.601f302e71cdbp-3, -0x1.603ef55b8ab8bp-3, -0x1.5fdb225d27bc9p-3, -0x1.5ef9832942fa3p-3, -0x1.5da091e3d14b3p-3, -0x1.5bd750bb3f2acp-3, -0x1.59a5279eb2e3ep-3, -0x1.5711c59998ddp-3, -0x1.5425059d5b514p-3, -0x1.50e6d682225ecp-3, -0x1.4d5f26090b4f1p-3, -0x1.4995cea79e0dp-3, -0x1.459287e6f16efp-3, -0x1.415cd91bbb41p-3, -0x1.3cfc0e406143dp-3, -0x1.38772ebcdabd2p-3, -0x1.33d4f5ead15b8p-3, -0x1.2f1bcd34daf4fp-3, -0x1.2a51c7a57e697p-3, -0x1.257c9ed2cdc35p-3, -0x1.20a1b0f43e6e2p-3, -0x1.1bc600116e491p-3, -0x1.16ee3209c705fp-3, -0x1.121e91694a1fap-3, -0x1.0d5b0ecad0929p-3, -0x1.08a742cbe4e75p-3, -0x1.04067065cbf9ep-3, -0x1.fef70f5d7540cp-4, -0x1.f61251fbd96f9p-4, -0x1.ed635085a7f4bp-4, -0x1.e4ee21908bad2p-4, -0x1.dcb651b850001p-4, -0x1.d4beebcbb9236p-4, -0x1.cd0a8035c57e7p-4, -0x1.c59b2d1c205e8p-4, -0x1.be72a5a03dfebp-4, -0x1.b792396bea064p-4, -0x1.b0fadbcf08628p-4, -0x1.aaad2a8f4ff64p-4, -0x1.a4a974e1f9502p-4, -0x1.9eefc19a29741p-4, -0x1.997fd5cd77a17p-4, -0x1.94593a89d4842p-4, -0x1.8f7b42dce5115p-4, -0x1.8ae5111b36d21p-4, -0x1.86959c203bf29p-4, -0x1.828bb415e79c9p-4, -0x1.7ec606ef6070ep-4, -0x1.7b4324a07a544p-4, -0x1.780182eae33b5p-4, -0x1.74ff8107a6ad6p-4, -0x1.723b6ae2892d1p-4, -0x1.6fb37c3decf5p-4, -0x1.6d65e37f47fcbp-4, -0x1.6b50c4507fd23p-4, -0x1.69723a1338668p-4, -0x1.67c85a1808e68p-4, -0x1.665135abaed3cp-4, -0x1.650adc008aceap-4, -0x1.63f35bdff8356p-4, -0x1.6308c531ccb46p-4, -0x1.62492a7588cacp-4, -0x1.61b2a1f11549ap-4, -0x1.614346d0cb377p-4, -0x1.60f93a3702da7p-4, -0x1.60d2a404d2e58p-4, -0x1.60cdb3a3268bep-4, -0x1.60e8a0b8d656p-4, -0x1.6121abb01aecap-4, -0x1.61771e2d942bap-4, -0x1.61e74b889bd1cp-4, -0x1.627091220aa0ap-4, -0x1.631156969c029p-4, -0x1.63c80e088e21bp-4, -0x1.6493345a8ceb9p-4, -0x1.6571512e94318p-4, -0x1.6660f705c9cffp-4, -0x1.6760c368053c6p-4, -0x1.686f5eca4a7c2p-4, -0x1.698b7c84c5611p-4, -0x1.6ab3dae22d7b8p-4, -0x1.6be74304f4393p-4, -0x1.6d2488c2f7a63p-4, -0x1.6e6a8a8f9c7f7p-4, -0x1.6fb8315f6addfp-4, -0x1.710c70874d9ap-4, -0x1.7266458897bddp-4, -0x1.73c4b7da0c008p-4, -0x1.7526d8d1bf154p-4, -0x1.768bc37a329fep-4, -0x1.77f29c3bd375ep-4, -0x1.795a90ae28f0dp-4, -0x1.7ac2d787f820ep-4, -0x1.7c2ab05669f85p-4, -0x1.7d916324ac18ep-4, -0x1.7ef6405d46232p-4, -0x1.8058a0a8b6e6cp-4, -0x1.81b7e49ab3dfdp-4, -0x1.8313746d6c1a3p-4, -0x1.846abfdedc3b7p-4, -0x1.85bd3dfb9a49ep-4, -0x1.870a6cdac19f7p-4, -0x1.8851d16c2ba96p-4, -0x1.8992f7466f7aep-4, -0x1.8acd7064ea01dp-4, -0x1.8c00d4f915fccp-4, -0x1.8d2cc34a03a9ap-4, -0x1.8e50df7696801p-4, -0x1.8f6cd329c7f6cp-4, -0x1.90804d78740f2p-4, -0x1.918b02d3b548dp-4, -0x1.928cacce031e4p-4, -0x1.938509c6e5824p-4, -0x1.9473dcc4e381ap-4, -0x1.9558ed76668ddp-4, -0x1.9634080b76fbcp-4, -0x1.9704fce18c00bp-4, -0x1.97cba04d872f1p-4, -0x1.9887ca9b987d4p-4, -0x1.99395803c37fcp-4, -0x1.99e0286821ab5p-4, -0x1.9a7c1f0ff7d52p-4, -0x1.9b0d2296e8bb7p-4, -0x1.9b931cf03a0f1p-4, -0x1.9c0dfb433e567p-4, -0x1.9c7dada86eeefp-4, -0x1.9ce227012fd3ap-4, -0x1.9d3b5cf908c16p-4, -0x1.9d8947fce93f1p-4, -0x1.9dcbe30a20978p-4, -0x1.9e032b77b6c89p-4, -0x1.9e2f20e42c071p-4, -0x1.9e4fc53c16df9p-4, -0x1.9e651ca828562p-4, -0x1.9e6f2d58375c9p-4, -0x1.9e6dff568edd5p-4, -0x1.9e619c8220f38p-4, -0x1.9e4a1097fd5cbp-4, -0x1.9e27692130a74p-4, -0x1.9df9b53f34c79p-4, -0x1.9dc105810a4acp-4, -0x1.9d7d6bdf8965fp-4, -0x1.9d2efbcb7da2fp-4, -0x1.9cd5ca23f019dp-4, -0x1.9c71ed0a4896cp-4, -0x1.9c037bb45b77bp-4, -0x1.9b8a8e5f67787p-4, -0x1.9b073e5f047b1p-4, -0x1.9a79a621fbc7fp-4, -0x1.99e1e11607e78p-4, -0x1.99400b7b138c2p-4, -0x1.98944247a84a5p-4, -0x1.97dea32bf1d62p-4, -0x1.971f4ca03774ap-4, -0x1.96565ddfd7ee2p-4, -0x1.9583f6c928541p-4, -0x1.94a837b985c0fp-4, -0x1.93c3417d97dbp-4, -0x1.92d53557c2f98p-4, -0x1.91de350a3fbbdp-4, -0x1.90de62cff2fc3p-4, -0x1.8fd5e14128006p-4, -0x1.8ec4d3373dadep-4, -0x1.8dab5bc11db0ep-4, -0x1.8c899e2816513p-4, -0x1.8b5fbdf73746p-4, -0x1.8a2ddef6ba609p-4, -0x1.88f42518c0ceep-4, -0x1.87b2b462c71cfp-4, -0x1.8669b0e1c438ap-4, -0x1.85193eabb354fp-4, -0x1.83c181e5a76a8p-4, -0x1.82629ec350998p-4, -0x1.80fcb97ba6aeep-4, -0x1.7f8ff63851553p-4, -0x1.7e1c790925f38p-4, -0x1.7ca265e10410ep-4, -0x1.7b21e099aa9f2p-4, -0x1.799b0cf6e8f61p-4, -0x1.780e0ea2cefccp-4, -0x1.767b09232af73p-4, -0x1.74e21fce7143fp-4, -0x1.734375c55ecbfp-4, -0x1.719f2df27ddcfp-4, -0x1.6ff56b0d49125p-4, -0x1.6e464f9c213c4p-4, -0x1.6c91fdf1285b5p-4, -0x1.6ad89822d0ebbp-4, -0x1.691a400480304p-4, -0x1.67571722f75bap-4, -0x1.658f3ec462573p-4, -0x1.63c2d7ea9760dp-4, -0x1.61f2035501b05p-4, -0x1.601ce17fa450bp-4, -0x1.5e43929edf266p-4, -0x1.5c66369a82fb9p-4, -0x1.5a84ed0b0ce33p-4, -0x1.589fd5398ac76p-4, -0x1.56b70e213f563p-4, -0x1.54cab6719491dp-4, -0x1.52daec8ee598ap-4, -0x1.50e7ce913417p-4, -0x1.4ef17a4179202p-4, -0x1.4cf80d175fef9p-4, -0x1.4afba438702a3p-4, -0x1.48fc5c78f7ab3p-4, -0x1.46fa525da848cp-4, -0x1.44f5a21d4134fp-4, -0x1.42ee67a1491dfp-4, -0x1.40e4be857e199p-4, -0x1.3ed8c2169e165p-4, -0x1.3cca8d517226ap-4, -0x1.3aba3ae2baf99p-4, -0x1.38a7e527f2049p-4, -0x1.3693a630bc012p-4, -0x1.347d97c07925bp-4, -0x1.3265d34f4d07ep-4, -0x1.304c720a46e54p-4, -0x1.2e318cd2eec36p-4, -0x1.2c153c3ee8e65p-4, -0x1.29f798981c2b1p-4, -0x1.27d8b9dd540d3p-4, -0x1.25b8b7c34f658p-4, -0x1.2397a9b608822p-4, -0x1.2175a6d9d3e75p-4, -0x1.1f52c60bf5509p-4, -0x1.1d2f1de293608p-4, -0x1.1b0ac4aca1d03p-4, -0x1.18e5d07220972p-4, -0x1.16c056f4cc316p-4, -0x1.149a6db0ef523p-4, -0x1.127429de2792ap-4, -0x1.104da06ffdf7ap-4, -0x1.0e26e6165788fp-4, -0x1.0c000f3dab533p-4, -0x1.09d9300f2ff86p-4, -0x1.07b25c7145104p-4, -0x1.058ba80832359p-4, -0x1.03652636f99ap-4, -0x1.013eea1fd3587p-4, -0x1.fe320d4837bbp-5, -0x1.f9e71cc86440ep-5, -0x1.f59d277e7f63cp-5, -0x1.f15451a749d97p-5, -0x1.ed0cbeff8a6a8p-5, -0x1.e8c692c625cd3p-5, -0x1.e481efbde7b1bp-5, -0x1.e03ef82e30911p-5, -0x1.dbfdcde22508fp-5, -0x1.d7be9226be761p-5, -0x1.d38165c903aafp-5, -0x1.cf466915c4ae4p-5, -0x1.cb0dbbdb809ffp-5, -0x1.c6d77d6dc95eep-5, -0x1.c2a3cca8c191cp-5, -0x1.be72c7f2e8833p-5, -0x1.ba448d3c62d27p-5, -0x1.b61939fbeb3eap-5, -0x1.b1f0eb2acc748p-5, -0x1.adcbbd41e2bd4p-5, -0x1.a9a9cc393e0d8p-5, -0x1.a58b338af9481p-5, -0x1.a1700e3837151p-5, -0x1.9d5876ce2568ep-5, -0x1.99448768bd33cp-5, -0x1.953459b1e1e82p-5, -0x1.912806dd3a8f2p-5, -0x1.8d1fa7a28edf1p-5, -0x1.891b54391c5f6p-5, -0x1.851b245618a82p-5, -0x1.811f2f2f06d08p-5, -0x1.7d278b7f1cc56p-5, -0x1.79344f8d7078ap-5, -0x1.75459131755adp-5, -0x1.715b65d3d7338p-5, -0x1.6d75e26b64f21p-5, -0x1.69951b77573fap-5, -0x1.65b924f95b412p-5, -0x1.61e21271f15f3p-5, -0x1.5e0ff6e09832cp-5, -0x1.5a42e4c7be5p-5, -0x1.567aee3301671p-5, -0x1.52b824bd58fd9p-5, -0x1.4efa9994d4807p-5, -0x1.4b425d7abba26p-5, -0x1.478f80c01fce7p-5, -0x1.43e2134058e8fp-5, -0x1.403a245ba7b6ap-5, -0x1.3c97c2f40a289p-5, -0x1.38fafd6d7f43dp-5, -0x1.3563e1b1a7ffbp-5, -0x1.31d27d3575cb8p-5, -0x1.2e46dcff0400ap-5, -0x1.2ac10da9b6b69p-5, -0x1.27411b677e751p-5, -0x1.23c711ff28d8p-5, -0x1.2052fcc8a38b6p-5, -0x1.1ce4e6a8cdfc8p-5, -0x1.197cda0e54af3p-5, -0x1.161ae0f0cac8bp-5, -0x1.12bf04d249f0bp-5, -0x1.0f694ec316b45p-5, -0x1.0c19c7662e2e6p-5, -0x1.08d076f57c142p-5, -0x1.058d6544b3ba5p-5, -0x1.025099c24cb4fp-5, -0x1.fe3436ed86e07p-6, -0x1.f7d3e205a31ap-6, -0x1.f180413af2697p-6, -0x1.eb39602578f3cp-6, -0x1.e4ff4987215b2p-6, -0x1.ded2074e463fdp-6, -0x1.d8b1a29a582fap-6, -0x1.d29e23c1a093ap-6, -0x1.cc979256d35bfp-6, -0x1.c69df52d9057ap-6, -0x1.c0b1525d585fep-6, -0x1.bad1af42ec7b7p-6, -0x1.b4ff1080a19c4p-6, -0x1.af3979fe425ccp-6, -0x1.a980eee9528e2p-6, -0x1.a3d571b5fa401p-6, -0x1.9e3704210609ep-6, -0x1.98a5a732bbd69p-6, -0x1.93215b424e059p-6, -0x1.8daa1ff98081ep-6, -0x1.883ff4583b8cep-6, -0x1.82e2d6b7b4482p-6, -0x1.7d92c4cd28e07p-6, -0x1.784fbbac3a34fp-6, -0x1.7319b7c9013c7p-6, -0x1.6df0b4fa143bp-6, -0x1.68d4ae7a9956bp-6, -0x1.63c59eec8df2cp-6, -0x1.5ec3805b45a29p-6, -0x1.59ce4c3e19aa4p-6, -0x1.54e5fb7b4d46p-6, -0x1.500a866aec509p-6, -0x1.4b3be4d9ca481p-6, -0x1.467a0e0c652d7p-6, -0x1.41c4f8c1bb048p-6, -0x1.3d1c9b360d08ep-6, -0x1.3880eb25941bdp-6, -0x1.33f1ddcf2886ep-6, -0x1.2f6f67f6e9bf7p-6, -0x1.2af97de8e4c14p-6, -0x1.2690137bc4435p-6, -0x1.22331c1394a0dp-6, -0x1.1de28aa47846bp-6, -0x1.199e51b57de83p-6, -0x1.156663636abd3p-6, -0x1.113ab1637fd33p-6, -0x1.0d1b2d063bd9cp-6, -0x1.0907c73a15e59p-6, -0x1.0500708e34ae8p-6, -0x1.0105193510b1fp-6, -0x1.fa2b620e4b9e9p-7, -0x1.f2644f0b30763p-7, -0x1.eab4d7b9bcbc6p-7, -0x1.e31cd9ceea86fp-7, -0x1.db9c32610c7d3p-7, -0x1.d432bded28a08p-7, -0x1.cce0585c39bf4p-7, -0x1.c5a4dd084c511p-7, -0x1.be8026c197198p-7, -0x1.b7720fd3763d2p-7, -0x1.b07a7209475fep-7, -0x1.a99926b366227p-7, -0x1.a2ce06ac10b26p-7, -0x1.9c18ea5c69e8ap-7, -0x1.9579a9c16d54dp-7, -0x1.8ef01c70fe066p-7, -0x1.887c199eb6004p-7, -0x1.821d7820c0ef8p-7, -0x1.7bd40e745896p-7, -0x1.759fb2c23a2c3p-7, -0x1.6f803ae2db052p-7, -0x1.69757c62a43c9p-7, -0x1.637f4c8628c33p-7, -0x1.5d9d804e8f7e3p-7, -0x1.57cfec7dfece7p-7, -0x1.5216659c476d4p-7, -0x1.4c70bffb7cfd1p-7, -0x1.46decfbc6b6adp-7, -0x1.416068d2dd724p-7, -0x1.3bf55f095a316p-7, -0x1.369d8604bf45bp-7, -0x1.3158b1475caa7p-7, -0x1.2c26b43418559p-7, -0x1.27076211a5abfp-7, -0x1.21fa8e0e015bep-7, -0x1.1d000b4264d81p-7, -0x1.1817acb7760efp-7, -0x1.13414569c7365p-7, -0x1.0e7ca84e3fa67p-7, -0x1.09c9a855fb58cp-7, -0x1.05281871b627p-7, -0x1.0097cb946ea16p-7, -0x1.f831296aa6f6fp-8, -0x1.ef548da2d0247p-8, -0x1.e69969da3ba7ap-8, -0x1.ddff642caa793p-8, -0x1.d58622ce5733dp-8, -0x1.cd2d4c130916cp-8, -0x1.c4f48676af68ep-8, -0x1.bcdb78a695225p-8, -0x1.b4e1c98a251ffp-8, -0x1.ad07204a60823p-8, -0x1.a54b2457120d7p-8, -0x1.9dad7d699a848p-8, -0x1.962dd385b911fp-8, -0x1.8ecbcef9371e8p-8, -0x1.8787185bbfc8fp-8, -0x1.805f589022c03p-8, -0x1.795438c80183dp-8, -0x1.7265628a0b12ap-8, -0x1.6b927fba7d201p-8, -0x1.64db3aa48fc1bp-8, -0x1.5e3f3e0378f77p-8, -0x1.57be35096cd23p-8, -0x1.5157cb637e7efp-8, -0x1.4b0bad3a20a15p-8, -0x1.44d9872efd125p-8, -0x1.3ec1065919764p-8, -0x1.38c1d841c5143p-8, -0x1.32dbaae387cdbp-8, -0x1.2d0e2cacb1654p-8, -0x1.27590c85edd69p-8, -0x1.21bbf9dbd042ep-8, -0x1.1c36a4a9f44f8p-8, -0x1.16c8bd84e24c3p-8, -0x1.1171f5a0b4274p-8, -0x1.0c31fed2a296bp-8, -0x1.07088b8ceaa12p-8, -0x1.01f54ed5f95fap-8, -0x1.f9eff87af4f0ap-9, -0x1.f0208fa438dcap-9, -0x1.e67bcc378a848p-9, -0x1.dd011839bdbc8p-9, -0x1.d3afdeb85ed38p-9, -0x1.ca878becab2a9p-9, -0x1.c1878d69389c7p-9, -0x1.b8af52488684fp-9, -0x1.affe4b525d164p-9, -0x1.a773eb0de81dap-9, -0x1.9f0fa5b98f07dp-9, -0x1.96d0f127764e2p-9, -0x1.8eb744829c39bp-9, -0x1.86c21807a0a0ap-9, -0x1.7ef0e4be31059p-9, -0x1.774324438d159p-9, -0x1.6fb850b2776c8p-9, -0x1.684fe4b2a0fc3p-9, -0x1.61095bb107255p-9, -0x1.59e4323b52496p-9, -0x1.52dfe6710172dp-9, -0x1.4bfbf875aaf5bp-9, -0x1.4537eacd61575p-9, -0x1.3e93428dcc4a3p-9, -0x1.380d8754dda75p-9, -0x1.31a64300c3cfap-9, -0x1.2b5d0131be6b5p-9, -0x1.25314ea8e6ddp-9, -0x1.1f22b8a077803p-9, -0x1.1930cc3b31c2fp-9, -0x1.135b162624de2p-9, -0x1.0da122815ce04p-9, -0x1.08027d17cb1ddp-9, -0x1.027eb1e4c892fp-9, -0x1.fa2a9bb054e49p-10, -0x1.ef8bbf7ca9024p-10, -0x1.e51ff25253a2bp-10, -0x1.dae65e612f0dfp-10, -0x1.d0de35c82f84p-10, -0x1.c706b2a1955bfp-10, -0x1.bd5f1621ead97p-10, -0x1.b3e6a6e24f3dp-10, -0x1.aa9cae98968bep-10, -0x1.a180779dde148p-10, -0x1.98914aac89093p-10, -0x1.8fce6d31c32aap-10, -0x1.8737207205df3p-10, -0x1.7ecaa19a37539p-10, -0x1.76882ab945cddp-10, -0x1.6e6ef480a431ap-10, -0x1.667e389bb646ep-10, -0x1.5eb5345779eb6p-10, -0x1.57132b48ca3b6p-10, -0x1.4f97698d16d26p-10, -0x1.48414540a55fcp-10, -0x1.41101ed5a8b84p-10, -0x1.3a03602138bbcp-10, -0x1.331a7a2f79796p-10, -0x1.2c54e23534f7fp-10, -0x1.25b20e284a805p-10, -0x1.1f31719e1c99cp-10, -0x1.18d27b7c58915p-10, -0x1.129494d17d24p-10, -0x1.0c7720e849d91p-10, -0x1.06797e69e8412p-10, -0x1.009b0942576bp-10, -0x1.f5b639eadfb26p-11, -0x1.ea722e4ed26fp-11, -0x1.df68b4578efa9p-11, -0x1.d4989eef34951p-11, -0x1.ca00d381b7a06p-11, -0x1.bfa04cfe26ce4p-11, -0x1.b5761cdfc2111p-11, -0x1.ab8169a116b3p-11, -0x1.a1c16a5e16454p-11, -0x1.98356007a2334p-11, -0x1.8edc8d3676ef9p-11, -0x1.85b62e22f0975p-11, -0x1.7cc1725f3cd92p-11, -0x1.73fd79890fe51p-11, -0x1.6b6953640d3ap-11, -0x1.630402e2196b7p-11, -0x1.5acc82eb35731p-11, -0x1.52c1cb7787737p-11, -0x1.4ae2d5de1cd59p-11, -0x1.432e9feb920a1p-11, -0x1.3ba42e103af1cp-11, -0x1.34428d5f983dfp-11, -0x1.2d08d60770ac1p-11, -0x1.25f62e5e2ada5p-11, -0x1.1f09cdf979fd3p-11, -0x1.1842ffba3c8ap-11, -0x1.11a121a469ea9p-11, -0x1.0b23a1c701febp-11, -0x1.04c9f84ff87f4p-11, -0x1.fd273fbd8fb96p-12, -0x1.f1001bdbd79adp-12, -0x1.e51d5ab1eb59p-12, -0x1.d97db90f764c5p-12, -0x1.ce1fdf4a2f84cp-12, -0x1.c3026bd6ea78ep-12, -0x1.b823fff418703p-12, -0x1.ad834992627dbp-12, -0x1.a31f06e69ddb5p-12, -0x1.98f602d3b20e8p-12, -0x1.8f070c810bdbfp-12, -0x1.8550ee8c0f43p-12, -0x1.7bd26a5c23c89p-12, -0x1.728a3a3d47768p-12, -0x1.697719f13a776p-12, -0x1.6097d2b6c2b33p-12, -0x1.57eb4649b9eb1p-12, -0x1.4f70748fe53f5p-12, -0x1.4726795f93ee5p-12, -0x1.3f0c8284992f3p-12, -0x1.3721c0f54f77fp-12, -0x1.2f655a0bb842p-12, -0x1.27d65db9770f7p-12, -0x1.2073c51e7c2f1p-12, -0x1.193c7a21850f8p-12, -0x1.122f65abb915cp-12, -0x1.0b4b7fcab9498p-12, -0x1.048fdc049563ap-12, -0x1.fbf75a1fdf5abp-13, -0x1.ef1c7c0d17da8p-13, -0x1.e28dc67637b0bp-13, -0x1.d649d104cabeap-13, -0x1.ca4f0846622b4p-13, -0x1.be9ba78bdfb49p-13, -0x1.b32dc8fe054c5p-13, -0x1.a803851af07e7p-13, -0x1.9d1b15ac0c092p-13, -0x1.9272f031e6f26p-13, -0x1.8809cfad6554ep-13, -0x1.7ddeab7204fbap-13, -0x1.73f09ed29d4b5p-13, -0x1.6a3eca74561cp-13, -0x1.60c839a21617fp-13, -0x1.578bd351c4162p-13, -0x1.4e885931258ep-13, -0x1.45bc7256ffbffp-13, -0x1.3d26bd2a4ce6ap-13, -0x1.34c5e41693f25p-13, -0x1.2c98b093238f8p-13, -0x1.249e16e28bedap-13, -0x1.1cd53473ed319p-13, -0x1.153d3da4647d1p-13, -0x1.0dd55e86d89bdp-13, -0x1.069c9a29bf4ccp-13, -0x1.ff236e819ee7ap-14, -0x1.f166889156d8cp-14, -0x1.e3ff63c65d15ap-14, -0x1.d6eaee9d213e1p-14, -0x1.ca2663d1db633p-14, -0x1.bdaf6d6c769e9p-14, -0x1.b1842aaec0506p-14, -0x1.a5a320423330bp-14, -0x1.9a0b1a5520e97p-14, -0x1.8ebb08d9636c6p-14, -0x1.83b1e0441368fp-14, -0x1.78ee86f918287p-14, -0x1.6e6fcf5ec1849p-14, -0x1.643478093f094p-14, -0x1.5a3b2c6f0353bp-14, -0x1.5082865a09547p-14, -0x1.470913777200fp-14, -0x1.3dcd6036beb76p-14, -0x1.34ce04dea0ec2p-14, -0x1.2c09aee3b576bp-14, -0x1.237f202363367p-14, -0x1.1b2d2007e644p-14, -0x1.131261558a2dp-14, -0x1.0b2d693bddefbp-14, -0x1.037c89e8fedecp-14, -0x1.f7fbf582bda1fp-15, -0x1.e9600560624cep-15, -0x1.db222e4a36a1p-15, -0x1.cd3fb5680a8e3p-15, -0x1.bfb60cb4a115cp-15, -0x1.b282bb5a89c64p-15, -0x1.a5a37c0129048p-15, -0x1.99166dbf4fea4p-15, -0x1.8cda1fc0eb0d1p-15, -0x1.80ed676e93cedp-15, -0x1.754f1d1489a19p-15, -0x1.69fde77476703p-15, -0x1.5ef8332554ce7p-15, -0x1.543c59ebc534cp-15, -0x1.49c8dca1daa72p-15, -0x1.3f9c7eddbc4dcp-15, -0x1.35b6297a3e008p-15, -0x1.2c14ac878d92p-15, -0x1.22b69762bb687p-15, -0x1.199a47a7b5fbcp-15, -0x1.10be1e259957bp-15, -0x1.0820ab1d2c7a4p-15, -0x1.ff815a133998ep-16, -0x1.ef39c14bb227cp-16, -0x1.df6789ada64dep-16, -0x1.d00706d2f27afp-16, -0x1.c114290164f4cp-16, -0x1.b28ae9d6ce159p-16, -0x1.a4674b203dfa6p-16, -0x1.96a4d1269aa9cp-16, -0x1.893e4089a0216p-16, -0x1.7c2e6d9a8cbc1p-16, -0x1.6f71ba9fb7397p-16, -0x1.6306e84d0d4ep-16, -0x1.56ee66bf278d4p-16, -0x1.4b28b45c1a32bp-16, -0x1.3fb50dc38dddp-16, -0x1.34914f8294d8bp-16, -0x1.29baf110c65c9p-16, -0x1.1f3029f2a2b52p-16, -0x1.14f0442cba59dp-16, -0x1.0afaef3afc4f7p-16, -0x1.014f455d5d9d4p-16, -0x1.efd6930170d4ap-17, -0x1.dd9824c2ee55dp-17, -0x1.cbdcba615270dp-17, -0x1.ba9e5f4895038p-17, -0x1.a9d8a6664612bp-17, -0x1.99891e437fabbp-17, -0x1.89af2456192dap-17, -0x1.7a4b0e4dbb9a9p-17, -0x1.6b5ce51591cc5p-17, -0x1.5ce36137e7415p-17, -0x1.4edbf23ba113dp-17, -0x1.4143adcef6082p-17, -0x1.3417ad8087f7p-17, -0x1.2753c3f741184p-17, -0x1.1af11e7d0b2b3p-17, -0x1.0ee7d0853f61cp-17, -0x1.0332fa084a81ap-17, -0x1.efa5e75d9f1f6p-18, -0x1.d9952f7bca69bp-18, -0x1.c434f81b669e8p-18, -0x1.af7dc84988264p-18, -0x1.9b63b9ae8cfefp-18, -0x1.87ddc38a5ce9cp-18, -0x1.74e8d7ddff666p-18, -0x1.6284f09716481p-18, -0x1.50b095ef1436fp-18, -0x1.3f675a933b3abp-18, -0x1.2ea32f17ed4a2p-18, -0x1.1e5e1c6d39bedp-18, -0x1.0e93125083443p-18, -0x1.fe7bf58ad682cp-19, -0x1.e0b749b4435p-19, -0x1.c3d38ec781dc8p-19, -0x1.a7ce11d7728ccp-19, -0x1.8ca5c20e26113p-19, -0x1.725a5b03ce211p-19, -0x1.58eac146961cap-19, -0x1.4052ce8a4e6c2p-19, -0x1.288a08719b7dep-19, -0x1.118598073d285p-19, -0x1.f67aceeb889c5p-20, -0x1.cb5e3ebece745p-20, -0x1.a1b30a2e5477ap-20, -0x1.7968f579531d4p-20, -0x1.5265518687eeep-20, -0x1.2c9cec3d4ea98p-20, -0x1.081dc92a8f455p-20, -0x1.c9e86f880157ap-21, -0x1.862013a621e05p-21, -0x1.449af9a20e955p-21, -0x1.05279160cf6e3p-21, -0x1.8f87f2c41f152p-22, -0x1.18fcac201acc8p-22, -0x1.4d48bb108a011p-23, -0x1.c2876f72f41bep-25, 0x1.917e5362c3d64p-25, 0x1.3202887f0c6a1p-23, 0x1.f871b80e69068p-23, 0x1.5be56ee67c9d6p-22, 0x1.b8162d8ea9a75p-22, 0x1.086f40af0ba2fp-21, 0x1.332b8da0ad9a5p-21, 0x1.5c4e8c47c7439p-21, 0x1.83e8308feab49p-21, 0x1.aa08e2a9e56d8p-21, 0x1.cec0280587c82p-21, 0x1.f21ae961be204p-21, 0x1.0a1155addb6f2p-20, 0x1.1a6fdaf87b621p-20, 0x1.2a2e8f82bd404p-20, 0x1.395450518f18ap-20, 0x1.47e53d791907cp-20, 0x1.55ded307a6224p-20, 0x1.633bd13a5f057p-20, 0x1.7000d405fff12p-20, 0x1.7c3fe80be8387p-20, 0x1.8804cbf3d327ep-20, 0x1.934a232c7a962p-20, 0x1.9e0d77a4c8314p-20, 0x1.a85977e050b0cp-20, 0x1.b23410a28fcccp-20, 0x1.bb9621669347ap-20, 0x1.c47b5121fd53bp-20, 0x1.ccead628c274p-20, 0x1.d4f0183c4b456p-20, 0x1.dc93b3f26afa5p-20, 0x1.e3da9a11136cep-20, 0x1.eac78d354ab3bp-20, 0x1.f15c6464f10b4p-20, 0x1.f79ab134081b3p-20, 0x1.fd840afe53448p-20, 0x1.018d1a1dea826p-19, 0x1.042f95ce825c7p-19, 0x1.06aa94928cd51p-19, 0x1.08ff4591448b2p-19, 0x1.0b2edfdc2ce69p-19, 0x1.0d3a9859fc55p-19, 0x1.0f2392a378f24p-19, 0x1.10eac5275ebb4p-19, 0x1.1290d99b872c6p-19, 0x1.141631f8da5d7p-19, 0x1.157b456394e46p-19, 0x1.16c1339760bf9p-19, 0x1.17e9d98b5c9b6p-19, 0x1.18f6e28783c7ep-19, 0x1.19e878ae8bbaep-19, 0x1.1abd553887715p-19, 0x1.1b761c141ac2ap-19, 0x1.1c17fc6bec0c1p-19, 0x1.1ca6863bef67p-19, 0x1.1d2050773c379p-19, 0x1.1d857d4c2d3bep-19, 0x1.1dd6a5bc6f3dbp-19, 0x1.1e11c68e17e9fp-19, 0x1.1e36bf1a1f96ap-19, 0x1.1e47f2257e6f1p-19, 0x1.1e4701b65983cp-19, 0x1.1e3410795257p-19, 0x1.1e0eeb63666f1p-19, 0x1.1dd7f085f7113p-19, 0x1.1d90120848b7fp-19, 0x1.1d38676bdb3a9p-19, 0x1.1cd1d8dfd299cp-19, 0x1.1c5d0bebd9501p-19, 0x1.1bda75dc9b44fp-19, 0x1.1b4a74e0f14e6p-19, 0x1.1aad623a903a3p-19, 0x1.1a039badcedap-19, 0x1.194d865fbb10bp-19, 0x1.188b8dfb2a45ep-19, 0x1.17be224149522p-19, 0x1.16e5b394b25f9p-19, 0x1.1602afe9c3592p-19, 0x1.15157ce8f7d71p-19, 0x1.141e71ebbf358p-19, 0x1.131dd662fb281p-19, 0x1.1213f0d13c3ccp-19, 0x1.110122d561567p-19, 0x1.0fe5edb505f96p-19, 0x1.0ec2ca9d2429fp-19, 0x1.0d97f33d7a81cp-19, 0x1.0c652990902afp-19, 0x1.0b2a1034f636bp-19, 0x1.09e79bdc81d2bp-19, 0x1.089f18a7f2f84p-19, 0x1.07508b010248bp-19, 0x1.05fbf992e8ac5p-19, 0x1.04a0d9c2d2c63p-19, 0x1.033f4748b06d7p-19, 0x1.01d844c33682bp-19, 0x1.006c91e41abap-19, 0x1.fdf8cf0c06ee4p-20, 0x1.fb0f50b739509p-20, 0x1.f81c8473797f4p-20, 0x1.f520ec0c6e8cdp-20, 0x1.f21d5992cddbap-20, 0x1.ef122609f32dbp-20, 0x1.ebff2923f0135p-20, 0x1.e8e46ccda506bp-20, 0x1.e5c276a0e6b4fp-20, 0x1.e299f4a15d6dp-20, 0x1.df6b70cb9f7efp-20, 0x1.dc3748c78f941p-20, 0x1.d8fdc2b7b70fp-20, 0x1.d5bf1e42f3897p-20, 0x1.d27b9bb62ffb5p-20, 0x1.cf337d31ae06cp-20, 0x1.cbe705cf3739fp-20, 0x1.c89678a201dfp-20, 0x1.c54217ef55c3p-20, 0x1.c1ea245854589p-20, 0x1.be8edba19b3c9p-20, 0x1.bb3077a67ddadp-20, 0x1.b7cf2f593c49cp-20, 0x1.b46b3a7c11b12p-20, 0x1.b104d41fb0471p-20, 0x1.ad9c39a82f175p-20, 0x1.aa31a8e17404bp-20, 0x1.a6c554929d3e7p-20, 0x1.a35749fc50715p-20, 0x1.9fe79d4989d0bp-20, 0x1.9c76c2c08edfp-20, 0x1.990502bb00df4p-20, 0x1.95925a934b51bp-20, 0x1.921ed7f253b6bp-20, 0x1.8eaabd3d98b47p-20, 0x1.8b363c6088f72p-20, 0x1.87c178221c4ap-20, 0x1.844c92d99567cp-20, 0x1.80d7af6ffba73p-20, 0x1.7d62f083cfd3ap-20, 0x1.79ee76c6e242bp-20, 0x1.767a628bb7786p-20, 0x1.7306d654c7503p-20, 0x1.6f93f5f7a8a31p-20, 0x1.6c21e0b8f14dp-20, 0x1.68b0b1cb6386bp-20, 0x1.654086a707f5fp-20, 0x1.61d17b6ba83cep-20, 0x1.5e63a6bcffb95p-20, 0x1.5af7209d99c25p-20, 0x1.578c04b949668p-20, 0x1.54226df54268cp-20, 0x1.50ba74bf8286ap-20, 0x1.4d542ff1a3363p-20, 0x1.49efb59e1ea7cp-20, 0x1.468d1b528f3ffp-20, 0x1.432c761adfdc6p-20, 0x1.3fcdda7730ab9p-20, 0x1.3c715c53e1f6bp-20, 0x1.39170f064394fp-20, 0x1.35bf0550a1652p-20, 0x1.32695171ec031p-20, 0x1.2f1605385f073p-20, 0x1.2bc531fc0027dp-20, 0x1.2876e87fc803fp-20, 0x1.252b38d992146p-20, 0x1.21e232725c14ep-20, 0x1.1e9be4194acd5p-20, 0x1.1b585ccbde0b2p-20, 0x1.1817ac616d932p-20, 0x1.14d9dedd095a1p-20, 0x1.119f00fb83e26p-20, 0x1.0e6722a1f4cf5p-20, 0x1.0b324f3c8ef1bp-20, 0x1.08009235a06ap-20, 0x1.04d1f7b1190aap-20, 0x1.01a68b72c8cebp-20, 0x1.fcfcb179e66d5p-21, 0x1.f6b2d4cee0ea4p-21, 0x1.f06f95d8df514p-21, 0x1.ea3308df04844p-21, 0x1.e3fd418a5eedbp-21, 0x1.ddce52f3ea163p-21, 0x1.d7a64fb1e8987p-21, 0x1.d18549e55c846p-21, 0x1.cb6b5339030abp-21, 0x1.c5587c4d83877p-21, 0x1.bf4cd2bd0bbbep-21, 0x1.b94860e0bb863p-21, 0x1.b34b362e7d499p-21, 0x1.ad556aa60e8dfp-21, 0x1.a7671301eb4b7p-21, 0x1.a1803a4469679p-21, 0x1.9ba0def1c1c7dp-21, 0x1.95c90b06c6031p-21, 0x1.8ff8d3913ad0bp-21, 0x1.8a3048ad131a8p-21, 0x1.846f75197806ep-21, 0x1.7eb6624ac86bap-21, 0x1.790519cbc1adfp-21, 0x1.735ba549ba2c9p-21, 0x1.6dba0e610f249p-21, 0x1.68205e5fef1b9p-21, 0x1.628e9df1275d6p-21, 0x1.5d04d4ed3f4e3p-21, 0x1.57830ad5af6d2p-21, 0x1.520947964102cp-21, 0x1.4c97935ea4a1ep-21, 0x1.472df60cdd7abp-21, 0x1.41cc77ba482bap-21, 0x1.3c73211fb8e44p-21, 0x1.3721f3a0a4bd5p-21, 0x1.31d8f0efed0afp-21, 0x1.2c9823f058b74p-21, 0x1.275f8df21532dp-21, 0x1.222f3a0ed4d25p-21, 0x1.1d072bb5b12bdp-21, 0x1.17e765bfc63e5p-21, 0x1.12cfebf708a9bp-21, 0x1.0dc0c22d63305p-21, 0x1.08b9ebf2d8b9fp-21, 0x1.03bb6c8d01899p-21, 0x1.fd8a8df2b387ap-22, 0x1.f3aefbe11c975p-22, 0x1.e9e427d4e033dp-22, 0x1.e02a163c43544p-22, 0x1.d680cb08dd752p-22, 0x1.cce849b1b58bfp-22, 0x1.c3609534b11dcp-22, 0x1.b9e9b01594c3p-22, 0x1.b0839c5d7fcc2p-22, 0x1.a72e5b983acf4p-22, 0x1.9de9eedcb0fe9p-22, 0x1.94b656d2db8e7p-22, 0x1.8b9393b3204d3p-22, 0x1.8281a547c3f43p-22, 0x1.79808b7d70ca6p-22, 0x1.709047afccf92p-22, 0x1.67b0d942d6d6fp-22, 0x1.5ee238f128409p-22, 0x1.562464e2cd7e6p-22, 0x1.4d77601eaf4fap-22, 0x1.44db25fec62ffp-22, 0x1.3c4fb11c4569fp-22, 0x1.33d4fe32365e8p-22, 0x1.2b6b09e03d70dp-22, 0x1.2311d03a549d1p-22, 0x1.1ac94bb2e7248p-22, 0x1.12917801ed49bp-22, 0x1.0a6a506b7ccb8p-22, 0x1.0253d09ff354ep-22, 0x1.f49be5e3d0734p-23, 0x1.e4b16075161dep-23, 0x1.d4e803a924b7fp-23, 0x1.c53fc07f75b0ap-23, 0x1.b5b881454d7dep-23, 0x1.a6522ca0b09aap-23, 0x1.970cca90ff49ep-23, 0x1.87e86cb4fd943p-23, 0x1.78e4dd271988p-23, 0x1.6a01f57bf3186p-23, 0x1.5b3fb2ce60985p-23, 0x1.4c9e091a405fp-23, 0x1.3e1ce65adeb42p-23, 0x1.2fbc370b2006fp-23, 0x1.217be71b1196fp-23, 0x1.135be217e58d1p-23, 0x1.055c132ba75ap-23, 0x1.eef8ca30e9626p-24, 0x1.d3798463ee5d5p-24, 0x1.b83a28bd9da2fp-24, 0x1.9d3a8a201d5eap-24, 0x1.827a7a705a005p-24, 0x1.67f9ca9184646p-24, 0x1.4db84a5b45704p-24, 0x1.33b5c8a5544fp-24, 0x1.19f21374138f2p-24, 0x1.006cf827bfb21p-24, 0x1.ce4c8763227e2p-25, 0x1.9c3b8556539a2p-25, 0x1.6aa682011cf0bp-25, 0x1.398d131080781p-25, 0x1.08eeca24948d2p-25, 0x1.b196692c2c72ep-26, 0x1.5243bc39e8927p-26, 0x1.e7c95c7aa19aap-27, 0x1.2cf0cd91ed1e6p-27, 0x1.cfeea54cf7ea6p-29, -0x1.0c65c1d324345p-29, -0x1.f0a169df005fbp-28, -0x1.aba6a5a4cced8p-27, -0x1.2e8f172c35819p-26, -0x1.865bc1785d3f6p-26, -0x1.dd3bfd5ac0ea4p-26, -0x1.1999813aeaebep-25, -0x1.44205de48d55ap-25, -0x1.6e32a8de2af25p-25, -0x1.97d0bdc34bdc2p-25, -0x1.c0fb166c80025p-25, -0x1.e9b23fd96c1b3p-25, -0x1.08fb645c42641p-24, -0x1.1ce49b679e8a1p-24, -0x1.309505f65a4d4p-24, -0x1.440ceee125068p-24, -0x1.574cd2b3f851bp-24, -0x1.6a54d03c1fb02p-24, -0x1.7d2466cc5b45cp-24, -0x1.8fbcb53274e7dp-24, -0x1.a21e089228d1fp-24, -0x1.b4487533552dfp-24, -0x1.c63c3a26db493p-24, -0x1.d7f99f14bd2d2p-24, -0x1.e980ebeee6a2dp-24, -0x1.fad2688debbbp-24, -0x1.05f72e62d421cp-23, -0x1.0e6a8851ceb78p-23, -0x1.16c3663995684p-23, -0x1.1f01ec5fa2b17p-23, -0x1.27263f331a0cbp-23, -0x1.2f308347d769ap-23, -0x1.3720dd505fceep-23, -0x1.3ef772287819bp-23, -0x1.46b466c33ed21p-23, -0x1.4e57e034ff61cp-23, -0x1.55e203ac52422p-23, -0x1.5d52f671f63f6p-23, -0x1.64aaddec1e411p-23, -0x1.6be9dfa0318b6p-23, -0x1.731021328d078p-23, -0x1.7a1dc87063638p-23, -0x1.8112fb38fe5bbp-23, -0x1.87efdf8337c22p-23, -0x1.8eb49b476569cp-23, -0x1.956154831fc21p-23, -0x1.9bf6313a7e34p-23, -0x1.a27357709e348p-23, -0x1.a8d8ed3a1fc78p-23, -0x1.af2718e7b8c22p-23, -0x1.b55e0139f62acp-23, -0x1.bb7dcd575b2c1p-23, -0x1.c186a42b5bfd5p-23, -0x1.c778ab2ab1771p-23, -0x1.cd5402ed61d7fp-23, -0x1.d318d6f430c08p-23, -0x1.d8c75943edce8p-23, -0x1.de5fdf6aff3abp-23, -0x1.e3e26d8f37a0fp-23, -0x1.e94e8aa16fbfep-23, -0x1.eea4bddd40f4ap-23, -0x1.f3e59e1f8cf0bp-23, -0x1.f9112725e8811p-23, -0x1.fe2763789efc4p-23, -0x1.01943a95e3876p-22, -0x1.040a419e1fc1ep-22, -0x1.0675da8faa22dp-22, -0x1.08d71c2bd0581p-22, -0x1.0b2e20716085dp-22, -0x1.0d7adfd2da42ep-22, -0x1.0fbd809cbbcbep-22, -0x1.11f61b1d993ep-22, -0x1.1424bc71822b8p-22, -0x1.1649774d80b5cp-22, -0x1.18645f17fff5bp-22, -0x1.1a75871e74245p-22, -0x1.1c7d0298a614ep-22, -0x1.1e7ae4b0f4484p-22, -0x1.206f408689b34p-22, -0x1.225a293134f5p-22, -0x1.243bb1c15d459p-22, -0x1.2613ed3b263a2p-22, -0x1.27e2ee993fa77p-22, -0x1.29a8c8b85650bp-22, -0x1.2b658ed3fc699p-22, -0x1.2d19537e5d3c5p-22, -0x1.2ec429a8bf02bp-22, -0x1.30662421f66b1p-22, -0x1.31ff55aaac20ap-22, -0x1.338fd0fbe74bbp-22, -0x1.3517a8c0300ecp-22, -0x1.3696ef9a81542p-22, -0x1.380db81e10083p-22, -0x1.397c14d4b63ep-22, -0x1.3ae2183aa5ea4p-22, -0x1.3c3fd4bd92717p-22, -0x1.3d955cbe8a47p-22, -0x1.3ee2c28e53d38p-22, -0x1.4028187140fa8p-22, -0x1.4165709f735b5p-22, -0x1.429add4584a48p-22, -0x1.43c8707ff0e78p-22, -0x1.44ee3c5f1c626p-22, -0x1.460c52e2474e6p-22, -0x1.4722c5fa7f6c9p-22, -0x1.4831a7888c4b7p-22, -0x1.4939095922362p-22, -0x1.4a38fd26f2b48p-22, -0x1.4b31949b1c9bp-22, -0x1.4c22e15080be9p-22, -0x1.4d0cf4e2efc2dp-22, -0x1.4defe0db2aab5p-22, -0x1.4ecbb69bf7aa7p-22, -0x1.4fa0878e3762ep-22, -0x1.506e64de5c1adp-22, -0x1.51355f42a4846p-22, -0x1.51f58794717d9p-22, -0x1.52aef067e39bp-22, -0x1.5361b14a93d4p-22, -0x1.540dd6b6df3c6p-22, -0x1.54b35a9bc14c9p-22, -0x1.55526602c1669p-22, -0x1.55eb0d566e266p-22, -0x1.567d5a3bd44fap-22, -0x1.5709590a131e9p-22, -0x1.578f1f171979bp-22, -0x1.580eb972e681p-22, -0x1.58883d2138bf9p-22, -0x1.58fbb5f2d7cbdp-22, -0x1.59693586ff95bp-22, -0x1.59d0cbf6437d5p-22, -0x1.5a32895f532b6p-22, -0x1.5a8e7d949f52ap-22, -0x1.5ae4b87c51fb9p-22, -0x1.5b3549d96ba1fp-22, -0x1.5b80415df23dcp-22, -0x1.5bc5aea570dadp-22, -0x1.5c05a136eb0aep-22, -0x1.5c402885a7593p-22, -0x1.5c7553edb3648p-22, -0x1.5ca532b68d043p-22, -0x1.5ccfd4134addcp-22, -0x1.5cf5472094a7ap-22, -0x1.5d159ae589bf7p-22, -0x1.5d30de5332331p-22, -0x1.5d472043d5f74p-22, -0x1.5d586f31491d4p-22, -0x1.5d64dac1a6fbbp-22, -0x1.5d6c708096b1cp-22, -0x1.5d6f3f4664751p-22, -0x1.5d6d5598f8035p-22, -0x1.5d66c1bf6563p-22, -0x1.5d5b91f820874p-22, -0x1.5d4bd46aed6e2p-22, -0x1.5d37972ab0fc4p-22, -0x1.5d1ee832d7fb9p-22, -0x1.5d01d568f53c2p-22, -0x1.5ce06c9af641bp-22, -0x1.5cbabb8172f14p-22, -0x1.5c90cfbe2b91ap-22, -0x1.5c62b6dd383e6p-22, -0x1.5c307e540acd4p-22, -0x1.5bfa33766e72dp-22, -0x1.5bbfe399e6ce3p-22, -0x1.5b819be9a62eap-22, -0x1.5b3f69817de47p-22, -0x1.5af9596453e78p-22, -0x1.5aaf788061d09p-22, -0x1.5a61d3ac9b626p-22, -0x1.5a1077a97638dp-22, -0x1.59bb712282617p-22, -0x1.5962cca76df23p-22, -0x1.590696b4a6f4dp-22, -0x1.58a6dbb258af8p-22, -0x1.5843a7ef665e6p-22, -0x1.57dd07a47c91ep-22, -0x1.577306f096aadp-22, -0x1.5705b1dfda854p-22, -0x1.5695146516453p-22, -0x1.56213a603179cp-22, -0x1.55aa2fb2b3357p-22, -0x1.552fffe526a85p-22, -0x1.54b2b68adf90ap-22, -0x1.54325f4dcf2f7p-22, -0x1.53af05ad2829cp-22, -0x1.5328b2a8e14f7p-22, -0x1.529f780555678p-22, -0x1.52135a968f216p-22, -0x1.5184668c61cb1p-22, -0x1.50f2a8763d386p-22, -0x1.505e2ab036bffp-22, -0x1.4fc6f7e9b788cp-22, -0x1.4f2d1ae15de98p-22, -0x1.4e909e3f13a7p-22, -0x1.4df18c93a6a74p-22, -0x1.4d4ff05b58b96p-22, -0x1.4cabd3fd81f7cp-22, -0x1.4c05417f9fcfp-22, -0x1.4b5c43fa1ec31p-22, -0x1.4ab0e4b47409ap-22, -0x1.4a032e0739fefp-22, -0x1.495329ec7ff24p-22, -0x1.48a0e249e629dp-22, -0x1.47ec60ef71aa2p-22, -0x1.4735af976f289p-22, -0x1.467cd7e934a1ap-22, -0x1.45c1e372657fep-22, -0x1.4504dbad8c54ap-22, -0x1.4445ca00ee298p-22, -0x1.4384b7c069a7ep-22, -0x1.42c1ae26a6f5p-22, -0x1.41fcb65a7dd18p-22, -0x1.4135d96d9d1b1p-22, -0x1.406d205d613dep-22, -0x1.3fa294100f63ep-22, -0x1.3ed63d5eba31ap-22, -0x1.3e0824ffa60e8p-22, -0x1.3d3853a2c772ap-22, -0x1.3c66d1d8c6082p-22, -0x1.3b93a818b5574p-22, -0x1.3abedeae35851p-22, -0x1.39e87d4f24626p-22, -0x1.391090b21fb7fp-22, -0x1.3837199f122b3p-22, -0x1.375c255ede1a9p-22, -0x1.367fbaa3d2c88p-22, -0x1.35a1e14e6c59ap-22, -0x1.34c2a167554fep-22, -0x1.33e20261c5a16p-22, -0x1.33000c605ea2fp-22, -0x1.321cc6ee4d5f4p-22, -0x1.313839a104769p-22, -0x1.30526c2bcd55p-22, -0x1.2f6b631d2f8d1p-22, -0x1.2e832d3ca6525p-22, -0x1.2d99cacfd2bb5p-22, -0x1.2caf455e9912p-22, -0x1.2bc3a3f1f2f52p-22, -0x1.2ad6ed2a900a8p-22, -0x1.29e929f726855p-22, -0x1.28fa5f17545a3p-22, -0x1.280a94692c2c9p-22, -0x1.2719d067bd346p-22, -0x1.262819e4a6bcap-22, -0x1.25357788a6c3bp-22, -0x1.2441efe9968b6p-22, -0x1.234d898a43dc3p-22, -0x1.22584add0b689p-22, -0x1.21623a4174d47p-22, -0x1.206b5e07217d9p-22, -0x1.1f73bc65ae751p-22, -0x1.1e7b5b978a108p-22, -0x1.1d8241a9e6b3ep-22, -0x1.1c8874ac52e4cp-22, -0x1.1b8dfa9776527p-22, -0x1.1a92d953d7d4cp-22, }}, 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      {{0x1.fdfd2582704fep-2, 0x1.fda1f18b2dd5ep-2, 0x1.fd12431316c08p-2, 0x1.fc58994fdc275p-2, 0x1.fb80f29f61849p-2, 0x1.fa9775daf53d2p-2, 0x1.f9a767d2bd3e3p-2, 0x1.f8ba6fd3e26ebp-2, 0x1.f7d828e8defbp-2, 0x1.f705f79657feep-2, 0x1.f64716d52a0e8p-2, 0x1.f59ccc7d38d42p-2, 0x1.f506b577427dfp-2, 0x1.f4831c345fd6ep-2, 0x1.f40f4f230160ap-2, 0x1.f3a7f0485a9c6p-2, 0x1.f3493a34a3707p-2, 0x1.f2ef38ebf2b8bp-2, 0x1.f295f701b9984p-2, 0x1.f239a01c62503p-2, 0x1.f1d69a85ca5e9p-2, 0x1.f169997d8292fp-2, 0x1.f0efa9d8b3864p-2, 0x1.f0663a36ffb79p-2, 0x1.efcb1fc90504fp-2, 0x1.ef1c986119966p-2, 0x1.ee594a504c2a8p-2, 0x1.ed80426a48c8bp-2, 0x1.ec90f0719de15p-2, 0x1.eb8b222055fep-2, 0x1.ea6efcfb9af9fp-2, 0x1.e93cf72126ae1p-2, 0x1.e7f5cf3fb4328p-2, 0x1.e69a83eec7e8cp-2, 0x1.e52c4a9c142edp-2, 0x1.e3ac86453c2ecp-2, 0x1.e21cbe32f766dp-2, 0x1.e07e94e6f3446p-2, 0x1.ded3bf688129dp-2, 0x1.dd1dfd156f117p-2, 0x1.db5f101508781p-2, 0x1.d998b683828d6p-2, 0x1.d7cca4646fc1dp-2, 0x1.d5fc7e63a7fa4p-2, 0x1.d429d5659b41cp-2, 0x1.d25622e270c8fp-2, 0x1.d082c602ad723p-2, 0x1.ceb1017098e61p-2, 0x1.cce1f9cee7dc4p-2, 0x1.cb16b4c39c56ep-2, 0x1.c95018851725p-2, 0x1.c78eebd7469acp-2, 0x1.c5d3d6674012cp-2, 0x1.c41f6174767d1p-2, 0x1.c271f8b80a1c2p-2, 0x1.c0cbeb7c17f58p-2, 0x1.bf2d6dd68f19cp-2, 0x1.bd9699fcc9b53p-2, 0x1.bc0771a6b48ebp-2, 0x1.ba7fdf7a0221dp-2, 0x1.b8ffb87750e62p-2, 0x1.b786bd6485261p-2, 0x1.b6149c30d7d3ep-2, 0x1.b4a8f15011a7dp-2, 0x1.b343490b58303p-2, 0x1.b1e320c6a65eap-2, 0x1.b087e83a990c9p-2, 0x1.af3102a2ac7edp-2, 0x1.adddc7e0594b7p-2, 0x1.ac8d8593aa2p-2, 0x1.ab3f802a14b83p-2, 0x1.a9f2f3e45c5e2p-2, 0x1.a8a715d446f26p-2, 0x1.a75b14d2def6p-2, 0x1.a60e1a6fe6317p-2, 0x1.a4bf4bdafd5aap-2, 0x1.a36dcac6e25ccp-2, 0x1.a218b64709de5p-2, 0x1.a0bf2ba7b8f5ap-2, 0x1.9f6047409cdb2p-2, 0x1.9dfb2541c7859p-2, 0x1.9c8ee27ae1b19p-2, 0x1.9b1a9d1c45ce1p-2, 0x1.999d7571b350ap-2, 0x1.98168e962e41cp-2, 0x1.96850f20a567cp-2, 0x1.94e821c8f1feep-2, 0x1.933ef604b80b7p-2, 0x1.9188c09bcd1e2p-2, 0x1.8fc4bc33b08c4p-2, 0x1.8df229d1c896dp-2, 0x1.8c1051540dda5p-2, 0x1.8a1e81dfe3f22p-2, 0x1.881c1246f2e19p-2, 0x1.86086161d5ba5p-2, 0x1.83e2d66091bdep-2, 0x1.81aae110d0b2dp-2, 0x1.7f5ffa19e8fd4p-2, 0x1.7d01a32ed404bp-2, 0x1.7a8f67363d20ep-2, 0x1.7808da68e0072p-2, 0x1.756d9a66825d8p-2, 0x1.72bd4e41d3a8dp-2, 0x1.6ff7a683976b7p-2, 0x1.6d1c5d257cda1p-2, 0x1.6a2b358510c86p-2, 0x1.6723fc4f424f4p-2, 0x1.64068764f00a8p-2, 0x1.60d2b5b903a15p-2, 0x1.5d886f2892598p-2, 0x1.5a27a44d90525p-2, 0x1.56b04e4c8e792p-2, 0x1.53226e9e11b6p-2, 0x1.4f7e0ed3f99ffp-2, 0x1.4bc3405b7dbdp-2, 0x1.47f21c3c356adp-2, 0x1.440ac2d4aa6a6p-2, 0x1.400d5b94debc9p-2, 0x1.3bfa14b74082ap-2, 0x1.37d122f86991fp-2, 0x1.3392c14e12145p-2, 0x1.2f3f309d97d85p-2, 0x1.2ad6b77267b9bp-2, 0x1.2659a1b4a117bp-2, 0x1.21c840603b79bp-2, 0x1.1d22e93cf05b8p-2, 0x1.1869f69728047p-2, 0x1.139dc6fa2226fp-2, 0x1.0ebebceb8641cp-2, 0x1.09cd3ea88d778p-2, 0x1.04c9b5e4e5145p-2, 0x1.ff691f16de4b5p-3, 0x1.f51c7701f0e4bp-3, 0x1.eaae58d1ec97ep-3, 0x1.e01faed8cefc6p-3, 0x1.d5716805afd7ap-3, 0x1.caa4777b37e9cp-3, 0x1.bfb9d42a75b63p-3, 0x1.b4b278722d4f3p-3, 0x1.a98f61c28b63dp-3, 0x1.9e51904539cebp-3, 0x1.92fa0689c4ee7p-3, 0x1.8789c9363e6efp-3, 0x1.7c01debc007adp-3, 0x1.70634f108343ep-3, 0x1.64af236a0e587p-3, 0x1.58e666003c18dp-3, 0x1.4d0a21d01fcd4p-3, 0x1.411b6263e7a83p-3, 0x1.351b339dd5c3cp-3, 0x1.290aa1866ead4p-3, 0x1.1ceab81da532fp-3, 0x1.10bc832eed778p-3, 0x1.04810e27fe1d4p-3, 0x1.f072c7e43dfdp-4, 0x1.d7cd1d9bb8362p-4, 0x1.bf133061e8896p-4, 0x1.a647114cab9a8p-4, 0x1.8d6acf602292ep-4, 0x1.7480775623012p-4, 0x1.5b8a1368f3d8cp-4, 0x1.4289ab210598ap-4, 0x1.2981432585bfbp-4, 0x1.1072dd0f5fca2p-4, 0x1.eec0ee7d33e3ap-5, 0x1.bc9819636fb23p-5, 0x1.8a6f29be0df26p-5, 0x1.584a071f09ee3p-5, 0x1.262c9176b040ep-5, 0x1.e835419e25f8ep-6, 0x1.84300a13c8411p-6, 0x1.20510b40aec85p-6, 0x1.793f8593277f6p-7, 0x1.648e722ff92e3p-8, -0x1.4381bb124cc9dp-11, -0x1.b45fd5dd25b14p-8, -0x1.9f91cd10f8097p-7, -0x1.3227c0daa9aebp-6, -0x1.942d78420544dp-6, -0x1.f5d315068c922p-6, -0x1.2b88da28c257ap-5, -0x1.5bf1444cccc7p-5, -0x1.8c1f6d074a55dp-5, -0x1.bc100382248cdp-5, -0x1.ebbfc22e56357p-5, -0x1.0d95b77c63477p-4, -0x1.2527edbf61b34p-4, -0x1.3c94f2a113b9ep-4, -0x1.53db3aee9bc26p-4, -0x1.6af9419b0eedbp-4, -0x1.81ed87d8f450dp-4, -0x1.98b695339b5f7p-4, -0x1.af52f7a8202ep-4, -0x1.c5c143be2e162p-4, -0x1.dc0014a07e721p-4, -0x1.f20e0c34e478ep-4, -0x1.03f4e99a08227p-3, -0x1.0ec90ca06c68ap-3, -0x1.1982ca7f88ee8p-3, -0x1.24218214f5f7p-3, -0x1.2ea495d4dcc32p-3, -0x1.390b6bd499146p-3, -0x1.43556dd509c37p-3, -0x1.4d82094c8dc64p-3, -0x1.5790af70a5bb6p-3, -0x1.6180d53f3c9e6p-3, -0x1.6b51f38787cfdp-3, -0x1.750386f28ac14p-3, -0x1.7e95100b23008p-3, -0x1.88061345b0dep-3, -0x1.9156190740881p-3, -0x1.9a84adac47d5ap-3, -0x1.a391618edf3f8p-3, -0x1.ac7bc90c7d106p-3, -0x1.b5437c8b356ffp-3, -0x1.bde8187e6cdp-3, -0x1.c6693d6b082aap-3, -0x1.cec68feb1084p-3, -0x1.d6ffb8b0cc52ap-3, -0x1.df14648946e3ep-3, -0x1.e704445e49413p-3, -0x1.eecf0d37bf4f4p-3, -0x1.f674783c8bca4p-3, -0x1.fdf442b2c79b1p-3, -0x1.02a716ffb6b2dp-2, -0x1.0640ffd2b675fp-2, -0x1.09c7c0a216a6cp-2, -0x1.0d3b404ab95adp-2, -0x1.109b67b55ba62p-2, -0x1.13e821d4f4ab8p-2, -0x1.17215ba4c978cp-2, -0x1.1a4704263e088p-2, -0x1.1d590c5e5395ap-2, -0x1.20576752e728bp-2, -0x1.23420a07a40fap-2, -0x1.2618eb7ab1b96p-2, -0x1.28dc04a119p-2, -0x1.2b8b5062e85b6p-2, -0x1.2e26cb9713e91p-2, -0x1.30ae74ff10d75p-2, -0x1.33224d42325cfp-2, -0x1.358256e8c7cc4p-2, -0x1.37ce9656f98f5p-2, -0x1.3a0711c76dd84p-2, -0x1.3c2bd145adfcap-2, -0x1.3e3cdea85547bp-2, -0x1.403a458b08629p-2, -0x1.4224134834706p-2, -0x1.43fa56f29d598p-2, -0x1.45bd214eb6dedp-2, -0x1.476c84cbd1421p-2, -0x1.4908957d12784p-2, -0x1.4a9169124595p-2, -0x1.4c0716d0822fap-2, -0x1.4d69b78aa4488p-2, -0x1.4eb96599a5656p-2, -0x1.4ff63cd4c9b25p-2, -0x1.51205a89b0fdap-2, -0x1.5237dd744331ap-2, -0x1.533ce5b67f584p-2, -0x1.542f94d02e77bp-2, -0x1.55100d967abaap-2, -0x1.55de742b717cp-2, -0x1.569aedf56a0ddp-2, -0x1.5745a1965a07cp-2, -0x1.57deb6e318deep-2, -0x1.586656da9256ap-2, -0x1.58dcab9ce7ca9p-2, -0x1.5941e06287cb8p-2, -0x1.599621733abd6p-2, -0x1.59d99c1d278afp-2, -0x1.5a0c7eabcc796p-2, -0x1.5a2ef85efb101p-2, -0x1.5a413961c9014p-2, -0x1.5a4372c185e9fp-2, -0x1.5a35d664ad1bcp-2, -0x1.5a189701da7b7p-2, -0x1.59ebe816c5f7bp-2, -0x1.59affddf3f715p-2, -0x1.59650d4c38b58p-2, -0x1.590b4bface975p-2, -0x1.58a2f02b66445p-2, -0x1.582c30b8ceff2p-2, -0x1.57a7450f733e5p-2, -0x1.571465249a822p-2, -0x1.5673c96db709dp-2, -0x1.55c5aad7c7c47p-2, -0x1.550a42becc496p-2, -0x1.5441cae54ad99p-2, -0x1.536c7d6bef72p-2, -0x1.528a94c93a431p-2, -0x1.519c4bc14eb35p-2, -0x1.50a1dd5dcf945p-2, -0x1.4f9b84e5e048ap-2, -0x1.4e897dd636a08p-2, -0x1.4d6c03d94cd18p-2, -0x1.4c4352bfaeb3p-2, -0x1.4b0fa67864e21p-2, -0x1.49d13b097b9b6p-2, -0x1.48884c88a85e2p-2, -0x1.47351714132e4p-2, -0x1.45d7d6cb3959bp-2, -0x1.4470c7c7f3dcdp-2, -0x1.43002617a166cp-2, -0x1.41862db46cf49p-2, -0x1.40031a7ebc714p-2, -0x1.3e772836bb7c3p-2, -0x1.3ce292760f166p-2, -0x1.3b4594a9aa4b6p-2, -0x1.39a06a0bc67afp-2, -0x1.37f34d9dffb21p-2, -0x1.363e7a2398295p-2, -0x1.34822a1bdc4e5p-2, -0x1.32be97bcaf43fp-2, -0x1.30f3fced3a20ap-2, -0x1.2f229340c332cp-2, -0x1.2d4a93f1a5601p-2, -0x1.2b6c37dc730f3p-2, -0x1.2987b77b3a0dcp-2, -0x1.279d4ae0ef7c1p-2, -0x1.25ad29b4fd964p-2, -0x1.23b78b2efde8cp-2, -0x1.21bca6128e596p-2, -0x1.1fbcb0ab55af3p-2, -0x1.1db7e0c926742p-2, -0x1.1bae6bbc48fa6p-2, -0x1.19a08651eac3fp-2, -0x1.178e64d0b0a99p-2, -0x1.15783af56ca07p-2, -0x1.135e3beffc674p-2, -0x1.11409a6044c9ep-2, -0x1.0f1f885354ea3p-2, -0x1.0cfb3740aaf63p-2, -0x1.0ad3d8079dcf2p-2, -0x1.08a99aece4998p-2, -0x1.067caf98441f3p-2, -0x1.044d45125d9e9p-2, -0x1.021b89c29aa0dp-2, -0x1.ffcf56da81aacp-3, -0x1.fb63ae633ee0fp-3, -0x1.f6f47310bbeb1p-3, -0x1.f281fc83df065p-3, -0x1.ee0ca10a39fb8p-3, -0x1.e994b59b6856dp-3, -0x1.e51a8dd6a0a4ap-3, -0x1.e09e7c008a49fp-3, -0x1.dc20d101411a8p-3, -0x1.d7a1dc629bc87p-3, -0x1.d321ec4ea71aap-3, -0x1.cea14d8e55eap-3, -0x1.ca204b8865e58p-3, -0x1.c59f30407f455p-3, -0x1.c11e4456815a2p-3, -0x1.bc9dcf060301ep-3, -0x1.b81e162607029p-3, -0x1.b39f5e28de21dp-3, -0x1.af21ea1c36192p-3, -0x1.aaa5fba95aad4p-3, -0x1.a62bd315a1df2p-3, -0x1.a1b3af4301749p-3, -0x1.9d3dcdb0d15d2p-3, -0x1.98ca6a7cb5abdp-3, -0x1.9459c063b48c2p-3, -0x1.8fec08c36b002p-3, -0x1.8b817b9b703d1p-3, -0x1.871a4f8eda754p-3, -0x1.82b6b9e5e26a8p-3, -0x1.7e56ee8fb21b2p-3, -0x1.79fb20244dd1dp-3, -0x1.75a37fe6a065p-3, -0x1.71503dc6a63f6p-3, -0x1.6d018863b731cp-3, -0x1.68b78d0ee8e61p-3, -0x1.647277cd95629p-3, -0x1.6032735bf0811p-3, -0x1.5bf7a92fc41a8p-3, -0x1.57c2417b3c074p-3, -0x1.5392632fcba1cp-3, -0x1.4f6834012b094p-3, -0x1.4b43d8686c243p-3, -0x1.472573a71cd48p-3, -0x1.430d27ca86326p-3, -0x1.3efb15aef736ep-3, -0x1.3aef5d0323a1ap-3, -0x1.36ea1c4b97192p-3, -0x1.32eb70e62d93p-3, -0x1.2ef3770daa84dp-3, -0x1.2b0249dd4f33dp-3, -0x1.27180354845f4p-3, -0x1.2334bc5a95816p-3, -0x1.1f588cc26c113p-3, -0x1.1b838b4e5e1ddp-3, -0x1.17b5cdb40230ep-3, -0x1.13ef68a01143fp-3, -0x1.10306fba49973p-3, -0x1.0c78f5a95eb97p-3, -0x1.08c90c16efb8ep-3, -0x1.0520c3b37f15ep-3, -0x1.01802c3a7462ep-3, -0x1.fbcea8ec3d8a6p-4, -0x1.f4ac948784095p-4, -0x1.ed9a352f375f9p-4, -0x1.e697a301eae48p-4, -0x1.dfa4f45c67ccdp-4, -0x1.d8c23de1cc902p-4, -0x1.d1ef9283b1955p-4, -0x1.cb2d038a4ddf5p-4, -0x1.c47aa09c99f71p-4, -0x1.bdd877c86d8fp-4, -0x1.b746958a9d25bp-4, -0x1.b0c504d71424ap-4, -0x1.aa53cf20e6329p-4, -0x1.a3f2fc62640bp-4, -0x1.9da2932517b46p-4, -0x1.97629889c62a8p-4, -0x1.91331050675bfp-4, -0x1.8b13fce00fba8p-4, -0x1.85055f4ecee36p-4, -0x1.7f07376989e1ap-4, -0x1.791983bbbffap-4, -0x1.733c4197478c4p-4, -0x1.6d6f6d1bfe4ap-4, -0x1.67b3013f68b6ep-4, -0x1.6206f7d4425acp-4, -0x1.5c6b49920392cp-4, -0x1.56dfee1c4bf0ep-4, -0x1.5164dc0a4bbap-4, -0x1.4bfa08ee0b9d6p-4, -0x1.469f695bb35dcp-4, -0x1.4154f0f0aa207p-4, -0x1.3c1a925abbaa2p-4, -0x1.36f03f5f157e4p-4, -0x1.31d5e8e13b33fp-4, -0x1.2ccb7ee9e8511p-4, -0x1.27d0f0add410dp-4, -0x1.22e62c946d123p-4, -0x1.1e0b203e739a3p-4, -0x1.193fb88c8b63ap-4, -0x1.1483e1a5a850bp-4, -0x1.0fd786fd78792p-4, -0x1.0b3a935aa3785p-4, -0x1.06acf0dd04ce8p-4, -0x1.022e8903c66aap-4, -0x1.fb7e8966cce38p-5, -0x1.f2be18774f2p-5, -0x1.ea1b8ebace271p-5, -0x1.e196baa0bea6p-5, -0x1.d92f6991acc0bp-5, -0x1.d0e567fa52644p-5, -0x1.c8b881569552cp-5, -0x1.c0a8803c55555p-5, -0x1.b8b52e65f5781p-5, -0x1.b0de54bcdb11ep-5, -0x1.a923bb6399c31p-5, -0x1.a18529c001e67p-5, -0x1.9a02668505232p-5, -0x1.929b37bc5933cp-5, -0x1.8b4f62d002bfep-5, -0x1.841eac93a2497p-5, -0x1.7d08d94d8f239p-5, -0x1.760dacbfd69ep-5, -0x1.6f2cea30fa72dp-5, -0x1.6866547487cccp-5, -0x1.61b9adf381439p-5, -0x1.5b26b8b49ea08p-5, -0x1.54ad366452944p-5, -0x1.4e4ce85cb4477p-5, -0x1.48058fad2febap-5, -0x1.41d6ed2209345p-5, -0x1.3bc0c14bc1abp-5, -0x1.35c2cc863d911p-5, -0x1.2fdcceffcb34p-5, -0x1.2a0e88bffea0bp-5, -0x1.2457b9ae5e8b3p-5, -0x1.1eb82198da52fp-5, -0x1.192f803a3fad5p-5, -0x1.13bd954047d08p-5, -0x1.0e622051ba14dp-5, -0x1.091ce1143b8d7p-5, -0x1.03ed973200b82p-5, -0x1.fda804bece824p-6, -0x1.f39fc4c09ec5dp-6, -0x1.e9c1ee1acb972p-6, -0x1.e00e00b26362ap-6, -0x1.d6837caa0c1b5p-6, -0x1.cd21e26bbd93cp-6, -0x1.c3e8b2b1f0839p-6, -0x1.bad76e909c4a2p-6, -0x1.b1ed977e1b5c9p-6, -0x1.a92aaf5b7bed4p-6, -0x1.a08e387cca3dep-6, -0x1.9817b5b0e1e94p-6, -0x1.8fc6aa493af3ap-6, -0x1.879a9a2122614p-6, -0x1.7f9309a4fca67p-6, -0x1.77af7dd91780dp-6, -0x1.6fef7c6049da4p-6, -0x1.68528b826101ep-6, -0x1.60d832324298bp-6, -0x1.597ff813ca3d6p-6, -0x1.5249658176a96p-6, -0x1.4b340391f182ap-6, -0x1.443f5c1d2479dp-6, -0x1.3d6af9c160b43p-6, -0x1.36b667e7f1bb8p-6, -0x1.302132c9df92fp-6, -0x1.29aae7743ecd1p-6, -0x1.235313cc3f308p-6, -0x1.1d1946933d2cep-6, -0x1.16fd0f6a72342p-6, -0x1.10fdfed692c8p-6, -0x1.0b1ba6431d033p-6, -0x1.05559805990fbp-6, -0x1.ff56cec1186acp-7, -0x1.f439510cd7d0cp-7, -0x1.e951e1383ae02p-7, -0x1.de9fab77198d5p-7, -0x1.d421ddec1bfbap-7, -0x1.c9d7a8aca1bap-7, -0x1.bfc03dc54da92p-7, -0x1.b5dad13d5ad9ap-7, -0x1.ac26991a22ad1p-7, -0x1.a2a2cd62477b8p-7, -0x1.994ea8205dbf3p-7, -0x1.902965659ae0ap-7, -0x1.8732434c136c9p-7, -0x1.7e6881f8abe16p-7, -0x1.75cb639cfa019p-7, -0x1.6d5a2c78a8e4bp-7, -0x1.651422daa8f58p-7, -0x1.5cf88f224f0cbp-7, -0x1.5506bbc02a5cdp-7, -0x1.4d3df53672386p-7, -0x1.459d8a195ca02p-7, -0x1.3e24cb0f568ep-7, -0x1.36d30ad0cb19cp-7, -0x1.2fa79e281d8fdp-7, -0x1.28a1dbf0bdb4fp-7, -0x1.21c11d17135dfp-7, -0x1.1b04bc97188adp-7, -0x1.146c177b9f343p-7, -0x1.0df68cdd1fc11p-7, -0x1.07a37de03e054p-7, -0x1.01724db448e6cp-7, -0x1.f6c4c32353172p-8, -0x1.eae6416feb91cp-8, -0x1.df47e8d80c759p-8, -0x1.d3e88feba5e06p-8, -0x1.c8c7113c61212p-8, -0x1.bde24b5929158p-8, -0x1.b33920c8a961cp-8, -0x1.a8ca78049f5bbp-8, -0x1.9e953b7412e38p-8, -0x1.94985965e517p-8, -0x1.8ad2c40a8016ep-8, -0x1.8143716e7143ep-8, -0x1.77e95b7366d7cp-8, -0x1.6ec37fca36141p-8, -0x1.65d0dfec0b85ap-8, -0x1.5d108113abe2fp-8, -0x1.54816c3664b25p-8, -0x1.4c22adfcf3a68p-8, -0x1.43f356bc56e5cp-8, -0x1.3bf27a6e388d4p-8, -0x1.341f30a9b326p-8, -0x1.2c78949b465f6p-8, -0x1.24fdc4fd76a5p-8, -0x1.1dade41081f43p-8, -0x1.16881792c3c54p-8, -0x1.0f8b88b8535c8p-8, -0x1.08b7642310b9fp-8, -0x1.020ad9da31beap-8, -0x1.f70a3a843853bp-9, -0x1.ea4aca2798ed9p-9, -0x1.ddd5d6a915f42p-9, -0x1.d1a9da9a67923p-9, -0x1.c5c557039c031p-9, -0x1.ba26d35187dadp-9, -0x1.aeccdd4497222p-9, -0x1.a3b608df1095p-9, -0x1.98e0f05400a45p-9, -0x1.8e4c33f5136fp-9, -0x1.83f67a21b41dep-9, -0x1.79de6f346cb42p-9, -0x1.7002c5723a563p-9, -0x1.666234f7bef05p-9, -0x1.5cfb7ba846ad8p-9, -0x1.53cd5d1bea8fap-9, -0x1.4ad6a28d55046p-9, -0x1.42161ac86958bp-9, -0x1.398a9a187fa63p-9, -0x1.3132fa367cb8fp-9, -0x1.290e1a37127e4p-9, -0x1.211ade795f96p-9, -0x1.195830950588ap-9, -0x1.11c4ff48a2a0fp-9, -0x1.0a603e687f91p-9, -0x1.0328e6cc9d35fp-9, -0x1.f83bec7f3e125p-10, -0x1.ea7cdedb092e9p-10, -0x1.dd12b3a42ccf7p-10, -0x1.cffb834fa67c6p-10, -0x1.c3356fae34522p-10, -0x1.b6bea3c8b5382p-10, -0x1.aa9553c025741p-10, -0x1.9eb7bcaa7998bp-10, -0x1.93242471aa27cp-10, -0x1.87d8d9b2a30dfp-10, -0x1.7cd4339c0a96ap-10, -0x1.721491cc89259p-10, -0x1.67985c33720d6p-10, -0x1.5d5e02ef84e1dp-10, -0x1.5363fe2f008ffp-10, -0x1.49a8ce0f8ccccp-10, -0x1.402afa7eae012p-10, -0x1.36e9131a5c1c5p-10, -0x1.2de1af11647bbp-10, -0x1.25136d05864d4p-10, -0x1.1c7cf2eb3917ap-10, -0x1.141cedeccd318p-10, -0x1.0bf2124b9612cp-10, -0x1.03fb1b41ca23ap-10, -0x1.f86d95cc1fb5fp-11, -0x1.e947d419d077bp-11, -0x1.da8290594c05ap-11, -0x1.cc1b768035df3p-11, -0x1.be103f55b0086p-11, -0x1.b05eb038e9e29p-11, -0x1.a3049aea9489fp-11, -0x1.95ffdd554680ep-11, -0x1.894e6156d82f3p-11, -0x1.7cee1c8b291d9p-11, -0x1.70dd1016a7b8p-11, -0x1.65194871bc454p-11, -0x1.59a0dd34818dap-11, -0x1.4e71f0e4dc986p-11, -0x1.438ab0c143b47p-11, -0x1.38e95490773dcp-11, -0x1.2e8c1e6f6796fp-11, -0x1.24715aa04b202p-11, -0x1.1a975f5a6f888p-11, -0x1.10fc8c9a6f199p-11, -0x1.079f4bf2ccb1dp-11, -0x1.fcfc20bc60a8ap-12, -0x1.eb2eac226475ap-12, -0x1.d9d3449969567p-12, -0x1.c8e706649564cp-12, -0x1.b8671f2cf10f3p-12, -0x1.a850cdaf66ebap-12, -0x1.98a16162e6e1p-12, -0x1.89563a2623523p-12, -0x1.7a6cc7eae4645p-12, -0x1.6be28a6583eb7p-12, -0x1.5db510bbb7735p-12, -0x1.4fe1f9344bac3p-12, -0x1.4266f0e90d63ap-12, -0x1.3541b378eb3c1p-12, -0x1.28700abc887dep-12, -0x1.1befce7b6ca1fp-12, -0x1.0fbee420f529ap-12, -0x1.03db3e741de45p-12, -0x1.f085baa38ebdap-13, -0x1.d9e79ac4aeefdp-13, -0x1.c3d84fafd2d2bp-13, -0x1.ae54245123ec5p-13, -0x1.99577b9699fc5p-13, -0x1.84decfeb1ee5fp-13, -0x1.70e6b2b749d9p-13, -0x1.5d6bcbde3f4ap-13, -0x1.4a6ad9419c282p-13, -0x1.37e0ae45899bbp-13, -0x1.25ca33588f221p-13, -0x1.1424657913fd6p-13, -0x1.02ec55c334a4fp-13, -0x1.e43e51f41e5dcp-14, -0x1.c3742e34c1a93p-14, -0x1.a374d5ce0dd58p-14, -0x1.843b02fb837ep-14, -0x1.65c193d925da7p-14, -0x1.480389880933dp-14, -0x1.2afc0769c42cbp-14, -0x1.0ea6524d0bf6p-14, -0x1.e5fb9f4e78a32p-15, -0x1.affc09a78f0f8p-15, -0x1.7b452c99a8743p-15, -0x1.47ce8deb18c7fp-15, -0x1.158feeb28c503p-15, -0x1.c90293f29e9efp-16, -0x1.6935a69386d07p-16, -0x1.0ba9eab085b1bp-16, -0x1.60a1429bade55p-17, -0x1.5c6dd1c9aec9cp-18, 0x1.c5bad706de815p-31, 0x1.5467a872da72dp-18, 0x1.5069a3aa4fcb9p-17, 0x1.f2c21bddddefp-17, 0x1.48ab0d38b18c5p-16, 0x1.961ee431873d2p-16, 0x1.e1c84f72f5651p-16, 0x1.15d95aecce77dp-15, 0x1.39f495619387ep-15, 0x1.5d3b3816c0668p-15, 0x1.7fb27c72904dep-15, 0x1.a15f7538076a8p-15, 0x1.c2470fa0cb354p-15, 0x1.e26e14456b9e7p-15, 0x1.00ec9412771c1p-14, 0x1.104666c5e25adp-14, 0x1.1f46b2866727dp-14, 0x1.2def972de4c06p-14, 0x1.3c43249f1fc74p-14, 0x1.4a435b2f950aep-14, 0x1.57f22c180ec16p-14, 0x1.655179dc75e5dp-14, 0x1.726318b358a43p-14, 0x1.7f28ceef985f8p-14, 0x1.8ba4555e52172p-14, 0x1.97d757ab7347ep-14, 0x1.a3c374c0b9p-14, 0x1.af6a3f1f20b6cp-14, 0x1.bacd3d3e75b01p-14, 0x1.c5ede9e08afa5p-14, 0x1.d0cdb46da7b89p-14, 0x1.db6e0141189a6p-14, 0x1.e5d02a03db69p-14, 0x1.eff57df74be89p-14, 0x1.f9df4246e15eep-14, 0x1.01c759294364bp-13, 0x1.06827ffdf1237p-13, 0x1.0b21a9f6b036dp-13, 0x1.0fa566f0fbb07p-13, 0x1.140e4275bc4d5p-13, 0x1.185cc3da94dfcp-13, 0x1.1c916e6355741p-13, 0x1.20acc161fa766p-13, 0x1.24af3856602f6p-13, 0x1.28994b0c720a8p-13, 0x1.2c6b6dba62dfp-13, 0x1.3026111d75b9ep-13, 0x1.33c9a296e62e8p-13, 0x1.37568c46b7d31p-13, 0x1.3acd352684d65p-13, 0x1.3e2e01253c2cdp-13, 0x1.4179513e4118cp-13, 0x1.44af83942fd7dp-13, 0x1.47d0f387e6a5ep-13, 0x1.4addf9d08af4cp-13, 0x1.4dd6ec922ca71p-13, 0x1.50bc1f73e2304p-13, 0x1.538de3b5a5a75p-13, 0x1.564c884558c6ep-13, 0x1.58f859d2c7523p-13, 0x1.5b91a2e474235p-13, 0x1.5e18abe9dcce5p-13, 0x1.608dbb4ed0e36p-13, 0x1.62f1158d7db95p-13, 0x1.6542fd403ddfap-13, 0x1.6783b332bb9fcp-13, 0x1.69b37672c9a3p-13, 0x1.6bd284601b5dp-13, 0x1.6de118bc7b904p-13, 0x1.6fdf6dbae2977p-13, 0x1.71cdbc0e2a819p-13, 0x1.73ac3af7c414p-13, 0x1.757b2054d5938p-13, 0x1.773aa0aca0832p-13, 0x1.78eaef3d06673p-13, 0x1.7a8c3e079e8c5p-13, 0x1.7c1ebddd367b6p-13, 0x1.7da29e6a83c5dp-13, 0x1.7f180e4360ebfp-13, 0x1.807f3aeda2adap-13, 0x1.81d850ec20b33p-13, 0x1.83237bc942cf6p-13, 0x1.8460e620a7ac2p-13, 0x1.8590b9a98e05ap-13, 0x1.86b31f3f594edp-13, 0x1.87c83eeb70368p-13, 0x1.88d03fed960fap-13, 0x1.89cb48c4d457ap-13, 0x1.8ab97f36d9b83p-13, 0x1.8b9b0858f75e8p-13, 0x1.8c700896e6ddcp-13, 0x1.8d38a3ba85111p-13, 0x1.8df4fcf2d53ddp-13, 0x1.8ea536daaa23dp-13, 0x1.8f49737fb3eecp-13, 0x1.8fe1d4682891fp-13, 0x1.906e7a99a596ep-13, 0x1.90ef869e1b529p-13, 0x1.9165188a4c864p-13, 0x1.91cf5002d3b37p-13, 0x1.922e4c41582cbp-13, 0x1.92822c19961d2p-13, 0x1.92cb0dfe1e813p-13, 0x1.930910052107fp-13, 0x1.933c4fecc55d4p-13, 0x1.9364eb1f0740bp-13, 0x1.9382feb669e25p-13, 0x1.9396a7815ee18p-13, 0x1.93a0020604aaep-13, 0x1.939f2a85ecf0fp-13, 0x1.93943d0156a23p-13, 0x1.937f553a373b5p-13, 0x1.93608eb7e3869p-13, 0x1.933804c950f8bp-13, 0x1.9305d2884dd97p-13, 0x1.92ca12dc32506p-13, 0x1.9284e07c33c55p-13, 0x1.923655f1b2d91p-13, 0x1.91de8d9af2c03p-13, 0x1.917da1acaf7dp-13, 0x1.9113ac34bce86p-13, 0x1.90a0c71bafd5ep-13, 0x1.90250c267f1c6p-13, 0x1.8fa094f8897f7p-13, 0x1.8f137b1531513p-13, 0x1.8e7dd7e12701fp-13, 0x1.8ddfc4a40dc3bp-13, 0x1.8d395a89df528p-13, 0x1.8c8ab2a3e2c0dp-13, 0x1.8bd3e5ea185b9p-13, 0x1.8b150d3c40ac8p-13, 0x1.8a4e4162be8f1p-13, 0x1.897f9b0fc407bp-13, 0x1.88a932dffab2bp-13, 0x1.87cb215b65d92p-13, 0x1.86e57ef612fb7p-13, 0x1.85f86410c7a81p-13, 0x1.8503e8f9a81d8p-13, 0x1.840825ec81265p-13, 0x1.83053313a6938p-13, 0x1.81fb288820458p-13, 0x1.80ea1e5216429p-13, 0x1.7fd22c6925618p-13, 0x1.7eb36ab49abc5p-13, 0x1.7d8df10bccdc1p-13, 0x1.7c61d7362854fp-13, 0x1.7b2f34eb6deccp-13, 0x1.79f621d3c91f6p-13, 0x1.78b6b587d83a2p-13, 0x1.77710790a7dabp-13, 0x1.76252f67e5601p-13, 0x1.74d3447797c23p-13, 0x1.737b5e1a2dfb7p-13, 0x1.721d939a52e5ep-13, 0x1.70b9fc32fabe2p-13, 0x1.6f50af0f0743cp-13, 0x1.6de1c34922cb2p-13, 0x1.6c6d4febb6556p-13, 0x1.6af36bf081fadp-13, 0x1.69742e40737c3p-13, 0x1.67efadb35d4d8p-13, 0x1.6666010faa062p-13, 0x1.64d73f0a256f3p-13, 0x1.63437e458becdp-13, 0x1.61aad5524a8a4p-13, 0x1.600d5aae231a8p-13, 0x1.5e6b24c3e08f3p-13, 0x1.5cc449eae2c72p-13, 0x1.5b18e066afc49p-13, 0x1.5968fe66ccf2p-13, 0x1.57b4ba05ff47bp-13, 0x1.55fc294a407cbp-13, 0x1.543f62241bff1p-13, 0x1.527e7a6e4a128p-13, 0x1.50b987ed6fdccp-13, 0x1.4ef0a04f6df49p-13, 0x1.4d23d92b1b06bp-13, 0x1.4b5347ffdb5a1p-13, 0x1.497f0235127f9p-13, 0x1.47a71d19d0742p-13, 0x1.45cbade444374p-13, 0x1.43ecc9b160d1cp-13, 0x1.420a8584825cbp-13, 0x1.4024f646b80fcp-13, 0x1.3e3c30c69ad1ep-13, 0x1.3c5049b7adcc1p-13, 0x1.3a6155b20d58fp-13, 0x1.386f6931ee36ep-13, 0x1.367a98972956ep-13, 0x1.3482f824f3cdbp-13, 0x1.32889c0144cdfp-13, 0x1.308b98348ae5ap-13, 0x1.2e8c00a93999fp-13, 0x1.2c89e92b4a66dp-13, 0x1.2a856567e8143p-13, 0x1.287e88ed2a414p-13, 0x1.267567295f72cp-13, 0x1.246a136afb0f2p-13, 0x1.225ca0e015779p-13, 0x1.204d2295e31f5p-13, 0x1.1e3bab78ab899p-13, 0x1.1c284e5328f5cp-13, 0x1.1a131dce27185p-13, 0x1.17fc2c70879b8p-13, 0x1.15e38c9e7f916p-13, 0x1.13c9509976201p-13, 0x1.11ad8a7fb53e5p-13, 0x1.0f904c4bf3b52p-13, 0x1.0d71a7d542355p-13, 0x1.0b51aece99d9ep-13, 0x1.093072c68a30fp-13, 0x1.070e0526fce28p-13, 0x1.04ea77350e0eep-13, 0x1.02c5da108365bp-13, 0x1.00a03eb3dff6cp-13, 0x1.fcf36be7d8cd2p-14, 0x1.f8a4a0fefc5eap-14, 0x1.f4543dbe7dc42p-14, 0x1.f00262eb4bb17p-14, 0x1.ebaf30fccac9ap-14, 0x1.e75ac81d51eb8p-14, 0x1.e30548290bc3dp-14, 0x1.deaed0adaebebp-14, 0x1.da5780eaadab1p-14, 0x1.d5ff77d030b7fp-14, 0x1.d1a6d3ff91c14p-14, 0x1.cd4db3ca16404p-14, 0x1.c8f43531916cap-14, 0x1.c49a75e79a79bp-14, 0x1.c040934d8ac92p-14, 0x1.bbe6aa74156f7p-14, 0x1.b78cd81b43995p-14, 0x1.b33338b2404ddp-14, 0x1.aed9e856e356ap-14, 0x1.aa8102d60d1f6p-14, 0x1.a628a3aaed298p-14, 0x1.a1d0e5ff58843p-14, 0x1.9d79e4abaaa21p-14, 0x1.9923ba3633f94p-14, 0x1.94ce80d4047e6p-14, 0x1.907a5267df68cp-14, 0x1.8c274883029d8p-14, 0x1.87d57c64971ccp-14, 0x1.838506f9e796ep-14, 0x1.7f3600dea7c2bp-14, 0x1.7ae8825c60499p-14, 0x1.769ca36b26869p-14, 0x1.72527bb10676ep-14, 0x1.6e0a22828e28cp-14, 0x1.69c3aee2ca209p-14, 0x1.657f3782f167p-14, 0x1.613cd2c35b9c1p-14, 0x1.5cfc96b2b39a4p-14, 0x1.58be990f04992p-14, 0x1.5482ef45138b1p-14, 0x1.5049ae7109e41p-14, 0x1.4c12eb5e6e934p-14, 0x1.47deba8871da3p-14, 0x1.43ad3019fc403p-14, 0x1.3f7e5fee374d8p-14, 0x1.3b525d905d43ap-14, 0x1.37293c3c73eccp-14, 0x1.33030edef39dcp-14, 0x1.2edfe815d42afp-14, 0x1.2abfda2fe3ee5p-14, 0x1.26a2f72df7525p-14, 0x1.228950c27f9ep-14, 0x1.1e72f85270193p-14, 0x1.1a5ffef51cb95p-14, 0x1.16507574e0c32p-14, 0x1.12446c4f32117p-14, 0x1.0e3bf3b54fd25p-14, 0x1.0a371b8c126e1p-14, 0x1.0635f36d06e5p-14, 0x1.02388aa62ce06p-14, 0x1.fc7de07564d17p-15, 0x1.f49265c6b97a9p-15, 0x1.ecaec21d2985p-15, 0x1.e4d311c2b3ae9p-15, 0x1.dcff706e1be7p-15, 0x1.d533f9453a8b5p-15, 0x1.cd70c6dc8ae85p-15, 0x1.c5b5f338c7099p-15, 0x1.be0397cfbe18cp-15, 0x1.b659cd88e647ep-15, 0x1.aeb8acbebd8aap-15, 0x1.a7204d3f206a2p-15, 0x1.9f90c64d46071p-15, 0x1.980a2ea17e86bp-15, 0x1.908c9c6b2b7a3p-15, 0x1.89182550df371p-15, 0x1.81acde7250331p-15, 0x1.7a4adc6820cfap-15, 0x1.72f233465b9ecp-15, 0x1.6ba2f69c1ac16p-15, 0x1.645d3975c3524p-15, 0x1.5d210e5cb6223p-15, 0x1.55ee8759eb559p-15, 0x1.4ec5b5f5e9623p-15, 0x1.47a6ab39f9d3ap-15, 0x1.409177b1aa14ep-15, 0x1.39862b6b3ac4cp-15, 0x1.3284d5f9a2ebap-15, 0x1.2b8d86748e2edp-15, 0x1.24a04b7a921afp-15, 0x1.1dbd33312187dp-15, 0x1.16e44b46a39fap-15, 0x1.1015a0f2e9af4p-15, 0x1.095140f8dd555p-15, 0x1.029737a6df9ffp-15, 0x1.f7cf21b21981ap-16, 0x1.ea84aff1951f2p-16, 0x1.dd4f2fff7bb9ep-16, 0x1.d02eb6edd4b34p-16, 0x1.c32358f3feec3p-16, 0x1.b62d296c88172p-16, 0x1.a94c3adb94bf7p-16, 0x1.9c809eeda6d69p-16, 0x1.8fca667cd5a64p-16, 0x1.8329a19068ef5p-16, 0x1.769e5f621d1c4p-16, 0x1.6a28ae5ccad19p-16, 0x1.5dc89c2267eb1p-16, 0x1.517e358baeda7p-16, 0x1.454986ab33aebp-16, 0x1.392a9ad07bfe5p-16, 0x1.2d217c886ddefp-16, 0x1.212e35a268dc2p-16, 0x1.1550cf2f4ecedp-16, 0x1.09895186b1011p-16, 0x1.fbaf888ccb121p-17, 0x1.e4785caf27fe4p-17, 0x1.cd6d2bdd6c6dcp-17, 0x1.b68e011e08ee6p-17, 0x1.9fdae61865967p-17, 0x1.8953e31a59608p-17, 0x1.72f8ff1bf9d48p-17, 0x1.5cca3fc4dd109p-17, 0x1.46c7a96f6141fp-17, 0x1.30f13f2df3944p-17, 0x1.1b4702cf44bc4p-17, 0x1.05c8f4e3368cdp-17, 0x1.e0ee297bd0fd9p-18, 0x1.b6a2c0fb1646p-18, 0x1.8cafaa1e0d0e1p-18, 0x1.6314dc5eedebp-18, 0x1.39d24ceb67a55p-18, 0x1.10e7ee9ff7ad5p-18, 0x1.d0ab6440ef17ep-19, 0x1.80370b9c7f659p-19, 0x1.3072abc67c0a3p-19, 0x1.c2bc31a76dcbbp-20, 0x1.25f2454ebd185p-20, 0x1.150e53b48080bp-21, -0x1.f0b231a69165fp-25, -0x1.5068cbbaeecb7p-21, -0x1.3f85d403bfc83p-20, -0x1.d57a64c23061p-20, -0x1.35095448c7d24p-19, -0x1.7ea79bc025f57p-19, -0x1.c798588ac8265p-19, -0x1.07edef09e1d6ep-18, -0x1.2bb941b2e9b9ap-18, -0x1.4f2e5188595cep-18, -0x1.724d4d941c6c8p-18, -0x1.9516668e8b529p-18, -0x1.b789cee66cd2bp-18, -0x1.d9a7baaaf167fp-18, -0x1.fb705f8dc149fp-18, -0x1.0e71fa6959963p-17, -0x1.1f0159aa4ca14p-17, -0x1.2f666ab71e0b7p-17, -0x1.3fa14b80fc5afp-17, -0x1.4fb21ab26b417p-17, -0x1.5f98f7b2ca58ep-17, -0x1.6f56029a57326p-17, -0x1.7ee95c37ae352p-17, -0x1.8e532603ac89dp-17, -0x1.9d938224fc07ep-17, -0x1.acaa93665492fp-17, -0x1.bb987d394b3d7p-17, -0x1.ca5d63aca9447p-17, -0x1.d8f96b6eb2494p-17, -0x1.e76cb9c4a42dcp-17, -0x1.f5b7748c0ca21p-17, -0x1.01ece119822d1p-16, -0x1.08e9e4dc73c2ep-16, -0x1.0fd2d953e7c27p-16, -0x1.16a7d28a1086cp-16, -0x1.1d68e4caf1a53p-16, -0x1.241624a555a49p-16, -0x1.2aafa6e5be64cp-16, -0x1.313580987b113p-16, -0x1.37a7c7057cf47p-16, -0x1.3e068fb06470ep-16, -0x1.4451f0552783fp-16, -0x1.4a89fee9fb0cp-16, -0x1.50aed198ee5aap-16, -0x1.56c07ec337b86p-16, -0x1.5cbf1cfc7a8bfp-16, -0x1.62aac30b4ca8dp-16, -0x1.688387e63ed28p-16, -0x1.6e4982b439b09p-16, -0x1.73fccac950477p-16, -0x1.799d77a6560b3p-16, -0x1.7f2ba0f7b31d5p-16, -0x1.84a75e93111a9p-16, -0x1.8a10c8772a1b6p-16, -0x1.8f67f6c9e6a2ap-16, -0x1.94ad01d6ebf67p-16, -0x1.99e0020e8b06ap-16, -0x1.9f0110049a6e3p-16, -0x1.a410446ef4f12p-16, -0x1.a90db8247c904p-16, -0x1.adf9841b6525dp-16, -0x1.b2d3c168c7968p-16, -0x1.b79c893e72a7p-16, -0x1.bc53f4eb204e8p-16, -0x1.c0fa1dd79dee8p-16, -0x1.c58f1d86a3f8bp-16, -0x1.ca130d9434864p-16, -0x1.ce8607b34996cp-16, -0x1.d2e825ac848dcp-16, -0x1.d739816004bcp-16, -0x1.db7a34bfb716ep-16, -0x1.dfaa59d1f45b1p-16, -0x1.e3ca0aaf604bp-16, -0x1.e7d9618149311p-16, -0x1.ebd87880c373p-16, -0x1.efc769f6df9d3p-16, -0x1.f3a65039da87bp-16, -0x1.f77545ad8e778p-16, -0x1.fb3464c1e3ebbp-16, -0x1.fee3c7f184b57p-16, -0x1.0141c4e14588dp-15, -0x1.0309e26180fddp-15, -0x1.04ca49c4ffd27p-15, -0x1.0683085b2b31cp-15, -0x1.08342b76848c8p-15, -0x1.09ddc06c8d19bp-15, -0x1.0b7fd49567713p-15, -0x1.0d1a754ae5cabp-15, -0x1.0eadafe8a27dfp-15, -0x1.103991cba8196p-15, -0x1.11be285164f87p-15, -0x1.133b80d7d0bb4p-15, -0x1.14b1a8bd8e255p-15, -0x1.1620ad5fa6543p-15, -0x1.17889c1b88b7dp-15, -0x1.18e9824d05b2fp-15, -0x1.1a436d4e2d759p-15, -0x1.1b966a781b30cp-15, -0x1.1ce28720d4b17p-15, -0x1.1e27d09c2909p-15, -0x1.1f66543b8a5c5p-15, -0x1.209e1f4c09f54p-15, -0x1.21cf3f1858f3p-15, -0x1.22f9c0e69ff82p-15, -0x1.241db1f8f2d14p-15, -0x1.253b1f8d2142cp-15, -0x1.265216dbd57e1p-15, -0x1.2762a518c4698p-15, -0x1.286cd7725612fp-15, -0x1.2970bb10e8898p-15, -0x1.2a6e5d1753baep-15, -0x1.2b65caa1c2bc6p-15, -0x1.2c5710c5e3b5ap-15, -0x1.2d423c92f3c4ap-15, -0x1.2e275b106297cp-15, -0x1.2f06793f06794p-15, -0x1.2fdfa417ac75p-15, -0x1.30b2e88b65ce7p-15, -0x1.31805382fa0ccp-15, -0x1.3247f1df61d66p-15, -0x1.3309d078191e4p-15, -0x1.33c5fc1d0c5fbp-15, -0x1.347c8193d72d1p-15, -0x1.352d6d999ce2p-15, -0x1.35d8cce21233dp-15, -0x1.367eac16901f9p-15, -0x1.371f17d777e13p-15, -0x1.37ba1cba4da46p-15, -0x1.384fc74a8d16dp-15, -0x1.38e0240996abap-15, -0x1.396b3f6d572c4p-15, -0x1.39f125e1d0cb7p-15, -0x1.3a71e3c727c91p-15, -0x1.3aed8572c251p-15, -0x1.3b64172ec0a72p-15, -0x1.3bd5a538e1f78p-15, -0x1.3c423bc4af8a8p-15, -0x1.3ca9e6f822ec6p-15, -0x1.3d0cb2ee6b557p-15, -0x1.3d6aabb6207efp-15, -0x1.3dc3dd5140d5cp-15, -0x1.3e1853b5df236p-15, -0x1.3e681acd013ddp-15, -0x1.3eb33e732b1ap-15, -0x1.3ef9ca77f81d5p-15, -0x1.3f3bca9dff5f6p-15, -0x1.3f794a9aa1396p-15, -0x1.3fb256163c3c8p-15, -0x1.3fe6f8ab7e74ap-15, -0x1.40173de81a455p-15, -0x1.4043314b71953p-15, -0x1.406ade48191cep-15, -0x1.408e504227b27p-15, -0x1.40ad928fdd759p-15, -0x1.40c8b07a4b58cp-15, -0x1.40dfb53b16a16p-15, -0x1.40f2abff0a6e9p-15, -0x1.41019fe3be0aep-15, -0x1.410c9bf8e2304p-15, -0x1.4113ab3fc96acp-15, -0x1.4116d8aad3a7fp-15, -0x1.41162f1e8c48bp-15, -0x1.4111b96fde0abp-15, -0x1.410982661ee42p-15, -0x1.40fd94b8924e2p-15, -0x1.40edfb1106af1p-15, -0x1.40dac00927b99p-15, -0x1.40c3ee2c51b7fp-15, -0x1.40a98ff709b7dp-15, -0x1.408bafd5d0b31p-15, -0x1.406a582755f8dp-15, -0x1.40459339fe267p-15, -0x1.401d6b4d59dbp-15, -0x1.3ff1ea92450f5p-15, -0x1.3fc31b292a216p-15, -0x1.3f91072411a7p-15, -0x1.3f5bb88565bbfp-15, -0x1.3f23393fa93afp-15, -0x1.3ee79336e0c02p-15, -0x1.3ea8d03e8c341p-15, -0x1.3e66fa1b85fb6p-15, -0x1.3e221a82a633ep-15, -0x1.3dda3b194d0eap-15, -0x1.3d8f65757fa28p-15, -0x1.3d41a31d64c75p-15, -0x1.3cf0fd87df49ap-15, -0x1.3c9d7e1bae89fp-15, -0x1.3c472e30c8b94p-15, -0x1.3bee170e6b179p-15, -0x1.3b9241ed46f51p-15, -0x1.3b33b7f59361bp-15, -0x1.3ad282405732ep-15, -0x1.3a6ea9d6c1d77p-15, -0x1.3a0837b264445p-15, -0x1.399f34bd49d0bp-15, -0x1.3933a9d165ef5p-15, -0x1.38c59fb9d8144p-15, -0x1.38551f310f685p-15, -0x1.37e230e2f9973p-15, -0x1.376cdd6ac81d8p-15, -0x1.36f52d551c354p-15, -0x1.367b291e1decep-15, -0x1.35fed932ed729p-15, -0x1.358045f11916dp-15, -0x1.34ff77a602603p-15, -0x1.347c7690a686fp-15, -0x1.33f74adf3e4b1p-15, -0x1.336ffcb17acf6p-15, -0x1.32e694174c82dp-15, -0x1.325b1910bd4bbp-15, -0x1.31cd938f7f5e7p-15, -0x1.313e0b74a19cap-15, -0x1.30ac8892e88a5p-15, -0x1.301912ad33381p-15, -0x1.2f83b1773248fp-15, -0x1.2eec6c9581e3ep-15, -0x1.2e534b9d2ed7ep-15, -0x1.2db85614ad0b9p-15, -0x1.2d1b93727a02ep-15, -0x1.2c7d0b1ee2d57p-15, -0x1.2bdcc47246dd6p-15, -0x1.2b3ac6b6b668dp-15, -0x1.2a971926b0fcdp-15, -0x1.29f1c2ee58a8fp-15, -0x1.294acb2a38378p-15, -0x1.28a238e8c7357p-15, -0x1.27f81328c23f6p-15, -0x1.274c60db44ea9p-15, -0x1.269f28e16b67ap-15, -0x1.25f0720ee7a36p-15, -0x1.25404327c0747p-15, -0x1.248ea2e214b04p-15, -0x1.23db97e52fe62p-15, -0x1.232728c9f89efp-15, -0x1.22715c1ad7dd2p-15, -0x1.21ba38540b9e6p-15, -0x1.2101c3e34f4e9p-15, -0x1.20480528002bap-15, -0x1.1f8d0273c2487p-15, -0x1.1ed0c20958089p-15, -0x1.1e134a1e21d51p-15, -0x1.1d54a0d905164p-15, -0x1.1c94cc52f96f6p-15, -0x1.1bd3d29731d12p-15, -0x1.1b11b9a2bdb85p-15, -0x1.1a4e8765579fap-15, -0x1.198a41c02795ep-15, -0x1.18c4ee87b9d7fp-15, -0x1.17fe9381e2061p-15, -0x1.17373667af38p-15, -0x1.166edce437955p-15, -0x1.15a58c954c79fp-15, -0x1.14db4b0b3772ep-15, -0x1.14101dc9471d9p-15, }}, 
      {{0x1.fe11fd38a30cep-2, 0x1.fdf3235d06979p-2, 0x1.fdc1732281061p-2, 0x1.fd7f3291c9d95p-2, 0x1.fd2f1c241458ep-2, 0x1.fcd42004df6a3p-2, 0x1.fc712f86fc5e1p-2, 0x1.fc0913a0bbe38p-2, 0x1.fb9e4e90527c3p-2, 0x1.fb3308285d0cdp-2, 0x1.fac903a3c39ccp-2, 0x1.fa619d65fa0bp-2, 0x1.f9fdcecfb92e3p-2, 0x1.f99e3650e05c9p-2, 0x1.f943220fc18c3p-2, 0x1.f8ec9bc9150e6p-2, 0x1.f89a74e09c7aap-2, 0x1.f84c51ebc85afp-2, 0x1.f801b545a5efep-2, 0x1.f7ba087265bbp-2, 0x1.f774a440947cp-2, 0x1.f730d7b07bc87p-2, 0x1.f6ededb9525c6p-2, 0x1.f6ab320b3d488p-2, 0x1.f667f4eebed05p-2, 0x1.f6238e6082f73p-2, 0x1.f5dd60852cdffp-2, 0x1.f594d98ca748ap-2, 0x1.f5497518c5c3p-2, 0x1.f4fabd37935d4p-2, 0x1.f4a84aff10aebp-2, 0x1.f451c6d624a12p-2, 0x1.f3f6e87515633p-2, 0x1.f39776a6fbffep-2, 0x1.f33346d4f6ee2p-2, 0x1.f2ca3c6379724p-2, 0x1.f25c47e9b4e76p-2, 0x1.f1e9664ad2ab6p-2, 0x1.f1719fb83ff82p-2, 0x1.f0f506a3f17aap-2, 0x1.f073b6a8f0b33p-2, 0x1.efedd36ffa2e6p-2, 0x1.ef638795434adp-2, 0x1.eed50393e05a9p-2, 0x1.ee427cba7d96fp-2, 0x1.edac2c2c80c9ap-2, 0x1.ed124df1ea3e1p-2, 0x1.ec752017c023cp-2, 0x1.ebd4e1e22472fp-2, 0x1.eb31d310cd9bbp-2, 0x1.ea8c333606f09p-2, 0x1.e9e441201ca6fp-2, 0x1.e93a3a54ad499p-2, 0x1.e88e5a9d2cbb9p-2, 0x1.e7e0dba3a8397p-2, 0x1.e731f49ec1b3ap-2, 0x1.e681da0bbd28dp-2, 0x1.e5d0bd7571db5p-2, 0x1.e51ecd46f0cb5p-2, 0x1.e46c34a8b2c06p-2, 0x1.e3b91b672a4dp-2, 0x1.e305a5e1b0963p-2, 0x1.e251f500c109ep-2, 0x1.e19e2632a5779p-2, 0x1.e0ea536dac181p-2, 0x1.e036933737262p-2, 0x1.df82f8aee95bep-2, 0x1.decf939d60d56p-2, 0x1.de1c7085f6afap-2, 0x1.dd6998bb0bc42p-2, 0x1.dcb7127483106p-2, 0x1.dc04e0e80fa01p-2, 0x1.db53046305efep-2, 0x1.daa17a657d528p-2, 0x1.d9f03dbe7bdb2p-2, 0x1.d93f46a90af08p-2, 0x1.d88e8ae9fdfe7p-2, 0x1.d7ddfdee55b98p-2, 0x1.d72d90ea169dcp-2, 0x1.d67d32f77a06p-2, 0x1.d5ccd136605bbp-2, 0x1.d51c56ebf0923p-2, 0x1.d46bada245458p-2, 0x1.d3babd481f1f7p-2, 0x1.d3096c50813f7p-2, 0x1.d2579fd222889p-2, 0x1.d1a53ba6a8d7p-2, 0x1.d0f22289957bcp-2, 0x1.d03e3636d47bbp-2, 0x1.cf895788d7b23p-2, 0x1.ced3669637b06p-2, 0x1.ce1c42cebd51p-2, 0x1.cd63cb17ce49ep-2, 0x1.cca9dde8264c9p-2, 0x1.cbee5962d5adp-2, 0x1.cb311b7171527p-2, 0x1.ca7201dd6b989p-2, 0x1.c9b0ea688b20ap-2, 0x1.c8edb2e473b3dp-2, 0x1.c828394936a86p-2, 0x1.c7605bcae9772p-2, 0x1.c695f8ee34e02p-2, 0x1.c5c8ef9bda6abp-2, 0x1.c4f91f332af9fp-2, 0x1.c426679b71197p-2, 0x1.c350a95443229p-2, 0x1.c277c584c7c72p-2, 0x1.c19b9e09e4379p-2, 0x1.c0bc15835ee2p-2, 0x1.bfd90f5ff0a22p-2, 0x1.bef26fe84e801p-2, 0x1.be081c4930d42p-2, 0x1.bd19fa9c56ee5p-2, 0x1.bc27f1f094036p-2, 0x1.bb31ea50ed48bp-2, 0x1.ba37cccac62c9p-2, 0x1.b9398373342b6p-2, 0x1.b836f96b6ed3ep-2, 0x1.b7301ae4788f8p-2, 0x1.b624d521f7d4fp-2, 0x1.b515167c57a25p-2, 0x1.b400ce623172dp-2, 0x1.b2e7ed590bae4p-2, 0x1.b1ca64fd78721p-2, 0x1.b0a828029e61dp-2, 0x1.af812a312f029p-2, 0x1.ae556065dedd5p-2, 0x1.ad24c08f60b9bp-2, 0x1.abef41abed9e2p-2, 0x1.aab4dbc6696aep-2, 0x1.a97587f3224dp-2, 0x1.a831404c3fb58p-2, 0x1.a6e7ffeddd4ffp-2, 0x1.a599c2f1e23dfp-2, 0x1.a446866b98fe3p-2, 0x1.a2ee48630f77ap-2, 0x1.a19107d044e27p-2, 0x1.a02ec4962f3a1p-2, 0x1.9ec77f7d9d0f7p-2, 0x1.9d5b3a2ff5efp-2, 0x1.9be9f731e61a1p-2, 0x1.9a73b9ddf3d3p-2, 0x1.98f8865f06252p-2, 0x1.977861aae3c2dp-2, 0x1.95f3517ca916ep-2, 0x1.94695c4f3bb35p-2, 0x1.92da8957c1443p-2, 0x1.9146e08019262p-2, 0x1.8fae6a615a631p-2, 0x1.8e11303e62d55p-2, 0x1.8c6f3bfe680ep-2, 0x1.8ac898279ffa5p-2, 0x1.891d4fd9f2554p-2, 0x1.876d6ec9bfa5ep-2, 0x1.85b9013ab883dp-2, 0x1.840013faca684p-2, 0x1.8242b45d227cap-2, 0x1.8080f035411fbp-2, 0x1.7ebad5d22c341p-2, 0x1.7cf073f9af813p-2, 0x1.7b21d9e3bb6dbp-2, 0x1.794f1735d6a25p-2, 0x1.77783bfeab62ep-2, 0x1.759d58b1a7cfap-2, 0x1.73be7e22b9dcfp-2, 0x1.71dbbd8221473p-2, 0x1.6ff5285858d72p-2, 0x1.6e0ad08216841p-2, 0x1.6c1cc82c61236p-2, 0x1.6a2b21d0bf9a2p-2, 0x1.6835f03179a66p-2, 0x1.663d4655f1494p-2, 0x1.644137870dc92p-2, 0x1.6241d74bbee39p-2, 0x1.603f39659045dp-2, 0x1.5e3971cd51b07p-2, 0x1.5c3094afd1238p-2, 0x1.5a24b66aa8d54p-2, 0x1.5815eb891978fp-2, 0x1.560448c0fe795p-2, 0x1.53efe2efc7087p-2, 0x1.51d8cf178a753p-2, 0x1.4fbf225c22a86p-2, 0x1.4da2f2005adcfp-2, 0x1.4b84536329577p-2, 0x1.49635bfcfa442p-2, 0x1.4740215d0442p-2, 0x1.451ab926aa906p-2, 0x1.42f3390ef0634p-2, 0x1.40c9b6d9efbc7p-2, 0x1.3e9e4858639efp-2, 0x1.3c710365394b2p-2, 0x1.3a41fde32dcc5p-2, 0x1.38114dba76f4dp-2, 0x1.35df08d673d47p-2, 0x1.33ab45236bb2ap-2, 0x1.3176188c52bfep-2, 0x1.2f3f98f89b88ap-2, 0x1.2d07dc4a0f008p-2, 0x1.2acef85ab0deep-2, 0x1.289502faab03dp-2, 0x1.265a11ee41a9ep-2, 0x1.241e3aebd3773p-2, 0x1.21e19399dd83fp-2, 0x1.1fa4318d0b40fp-2, 0x1.1d662a46507bdp-2, 0x1.1b2793310676dp-2, 0x1.18e881a116a3bp-2, 0x1.16a90ad12bf6dp-2, 0x1.146943e0ec255p-2, 0x1.122941d33a1f2p-2, 0x1.0fe9198c80743p-2, 0x1.0da8dfd103a3dp-2, 0x1.0b68a9433fdcp-2, 0x1.09288a6249ccp-2, 0x1.06e897883d8a9p-2, 0x1.04a8e4e8b2522p-2, 0x1.0269868f385b2p-2, 0x1.002a905ddf818p-2, 0x1.fbd82c178ac93p-3, 0x1.f75c564757c46p-3, 0x1.f2e1c6053a67ap-3, 0x1.ee68a1ad20f96p-3, 0x1.e9f10f3a3d3afp-3, 0x1.e57b3444789dfp-3, 0x1.e10735fdfd967p-3, 0x1.dc953930ce1e9p-3, 0x1.d825623c73bc5p-3, 0x1.d3b7d513baf6ep-3, 0x1.cf4cb53a85aa7p-3, 0x1.cae425c3aef3bp-3, 0x1.c67e494efe0f6p-3, 0x1.c21b420730f9bp-3, 0x1.bdbb31a017c44p-3, 0x1.b95e3954bedfbp-3, 0x1.b50479e5b58bbp-3, 0x1.b0ae13975a6e8p-3, 0x1.ac5b263047d7ap-3, 0x1.a80bd0f7c62a5p-3, 0x1.a3c032b45ed3fp-3, 0x1.9f7869aa764bbp-3, 0x1.9b34939afcf1p-3, 0x1.96f4cdc237aap-3, 0x1.92b934d693f0ep-3, 0x1.8e81e50791df2p-3, 0x1.8a4ef9fcc0b19p-3, 0x1.86208ed4cce39p-3, 0x1.81f6be24a7cd3p-3, 0x1.7dd1a1f6b102cp-3, 0x1.79b153ca06695p-3, 0x1.7595ec91d8b05p-3, 0x1.717f84b4d4e7cp-3, 0x1.6d6e340ca251ep-3, 0x1.696211e570ea8p-3, 0x1.655b34fd98a59p-3, 0x1.6159b3854b26p-3, 0x1.5d5da31e562b2p-3, 0x1.596718dbf795bp-3, 0x1.55762942bf7f9p-3, 0x1.518ae8488932bp-3, 0x1.4da569547ead5p-3, 0x1.49c5bf3f2e9fep-3, 0x1.45ebfc52b15e8p-3, 0x1.4218324ade88cp-3, 0x1.3e4a725593683p-3, 0x1.3a82cd130761cp-3, 0x1.36c152962a13ep-3, 0x1.330612651cb94p-3, 0x1.2f511b79ab8bfp-3, 0x1.2ba27c41dee7bp-3, 0x1.27fa42a097dc7p-3, 0x1.24587bee382f3p-3, 0x1.20bd34f95a311p-3, 0x1.1d287a079242ap-3, 0x1.199a56d641ef1p-3, 0x1.1612d69b72112p-3, 0x1.12920406bbeb7p-3, 0x1.0f17e9423db0dp-3, 0x1.0ba48ff397d7ep-3, 0x1.0838013cfb259p-3, 0x1.04d245be38797p-3, 0x1.01736595e5b6fp-3, 0x1.fc36d0c501d77p-4, 0x1.f594aa874da08p-4, 0x1.ef0065b6a4286p-4, 0x1.e87a0e9e2c899p-4, 0x1.e201b092f2f93p-4, 0x1.db9755f68547ep-4, 0x1.d53b0839b291bp-4, 0x1.ceeccfdf5ac33p-4, 0x1.c8acb47f43661p-4, 0x1.c27abcc8ffc72p-4, 0x1.bc56ee86effb6p-4, 0x1.b6414ea131d2p-4, 0x1.b039e120bbff4p-4, 0x1.aa40a93273ffdp-4, 0x1.a455a92a4e8acp-4, 0x1.9e78e286851f7p-4, 0x1.98aa55f2c15ffp-4, 0x1.92ea034b6c20fp-4, 0x1.8d37e9a0e9a76p-4, 0x1.8794073af0495p-4, 0x1.81fe599bdd799p-4, 0x1.7c76dd8414ad1p-4, 0x1.76fd8ef55f21bp-4, 0x1.7192693659e51p-4, 0x1.6c3566d5dc4a7p-4, 0x1.66e681ae7133dp-4, 0x1.61a5b2e9c3b03p-4, 0x1.5c72f3041e6dp-4, 0x1.574e39cfdf8a9p-4, 0x1.52377e78f91cp-4, 0x1.4d2eb7886f02bp-4, 0x1.4833dae7d1fa1p-4, 0x1.4346dde4c2e71p-4, 0x1.3e67b534705a7p-4, 0x1.399654f715208p-4, 0x1.34d2b0bb75f03p-4, 0x1.301cbb825dde7p-4, 0x1.2b7467c218e2bp-4, 0x1.26d9a769edd3cp-4, 0x1.224c6be5904d4p-4, 0x1.1dcca62096fb3p-4, 0x1.195a4689e7b12p-4, 0x1.14f53d1725169p-4, 0x1.109d7948132dep-4, 0x1.0c52ea29fbdbp-4, 0x1.08157e5b0b7f7p-4, 0x1.03e5240da7f55p-4, 0x1.ff8392178c43ep-5, 0x1.f756b5746561bp-5, 0x1.ef438c37b705fp-5, 0x1.e749efaa1f95ep-5, 0x1.df69b85d6e06fp-5, 0x1.d7a2be3306ff9p-5, 0x1.cff4d86242eefp-5, 0x1.c85fdd7ea6d8bp-5, 0x1.c0e3a37e231c5p-5, 0x1.b97fffbf3a4f2p-5, 0x1.b234c70f18416p-5, 0x1.ab01cdaf92d8ap-5, 0x1.a3e6e75d24ef5p-5, 0x1.9ce3e754c76cap-5, 0x1.95f8a059cc1f7p-5, 0x1.8f24e4bb93a78p-5, 0x1.8868865b3e716p-5, 0x1.81c356b1407ecp-5, 0x1.7b3526d2eafa4p-5, 0x1.74bdc777db0e7p-5, 0x1.6e5d08ff56162p-5, 0x1.6812bb759ae54p-5, 0x1.61deae990e79dp-5, 0x1.5bc0b1df61a35p-5, 0x1.55b8947a9dafap-5, 0x1.4fc6255e1dbd4p-5, 0x1.49e9334370d53p-5, 0x1.44218caf26e86p-5, 0x1.3e6efff58acd5p-5, 0x1.38d15b3f477b6p-5, 0x1.33486c8df60d7p-5, 0x1.2dd401c097024p-5, 0x1.2873e897f7145p-5, 0x1.2327eebafd33dp-5, 0x1.1defe1bae68ep-5, 0x1.18cb8f1765616p-5, 0x1.13bac442b3269p-5, 0x1.0ebd4ea58964cp-5, 0x1.09d2fba3072bap-5, 0x1.04fb989c79595p-5, 0x1.0036f2f51a6f2p-5, 0x1.f709b02b6792cp-6, 0x1.edca2ae059cc2p-6, 0x1.e4aef105ffdb8p-6, 0x1.dbb79db954bb8p-6, 0x1.d2e3cc3ddd199p-6, 0x1.ca33180432d07p-6, 0x1.c1a51cb0489ccp-6, 0x1.b939761f8eda6p-6, 0x1.b0efc06eeb395p-6, 0x1.a8c7980092e42p-6, 0x1.a0c09981af2b9p-6, 0x1.98da61efdce69p-6, 0x1.91148e9e9114bp-6, 0x1.896ebd3c41b06p-6, 0x1.81e88bd779651p-6, 0x1.7a8198e3bab6dp-6, 0x1.7339833e3f477p-6, 0x1.6c0fea329553fp-6, 0x1.65046d7f11915p-6, 0x1.5e16ad59237bap-6, 0x1.57464a7179168p-6, 0x1.5092e5f80fae5p-6, 0x1.49fc21a010867p-6, 0x1.43819fa39702bp-6, 0x1.3d2302c747abfp-6, 0x1.36dfee5dd65p-6, 0x1.30b8064b55f3cp-6, 0x1.2aaaef08745c1p-6, 0x1.24b84da597552p-6, 0x1.1edfc7cdc5e6cp-6, 0x1.192103c996762p-6, 0x1.137ba881cbfa7p-6, 0x1.0def5d820090ep-6, 0x1.087bcafb1e19cp-6, 0x1.032099c5b893fp-6, 0x1.fbbae6c88d625p-7, 0x1.f164040a98aeep-7, 0x1.e73be10ac27e9p-7, 0x1.dd41d4e2275cbp-7, 0x1.d375380d7a3eep-7, 0x1.c9d5647061d51p-7, 0x1.c061b558ad099p-7, 0x1.b719878157a72p-7, 0x1.adfc39154a08fp-7, 0x1.a50929b1fb3c7p-7, 0x1.9c3fba69d8074p-7, 0x1.939f4dc678ab2p-7, 0x1.8b2747caa6cf9p-7, 0x1.82d70df4430d5p-7, 0x1.7aae073dedf57p-7, 0x1.72ab9c208b189p-7, 0x1.6acf369497047p-7, 0x1.631842135fb45p-7, 0x1.5b862b97f80aap-7, 0x1.541861a029e27p-7, 0x1.4cce542d13afdp-7, 0x1.45a774c3d8479p-7, 0x1.3ea3366de441cp-7, 0x1.37c10db958175p-7, 0x1.310070b90f2b4p-7, 0x1.2a60d704b47b3p-7, 0x1.23e1b9b89505ep-7, 0x1.1d82937567c7cp-7, 0x1.1742e05fe9aa9p-7, 0x1.11221e2054951p-7, 0x1.0b1fcbe1d873dp-7, 0x1.053b6a51c15c4p-7, 0x1.fee8f73d88384p-8, 0x1.f39506efcb786p-8, 0x1.e87a0e1725b8bp-8, 0x1.dd971a0cc2255p-8, 0x1.d2eb3b23aa265p-8, 0x1.c87584a6221d2p-8, 0x1.be350cd2b5ea5p-8, 0x1.b428ecd952adap-8, 0x1.aa5040d7ddeb3p-8, 0x1.a0aa27d6ede82p-8, 0x1.9735c3c65e47p-8, 0x1.8df23979632a8p-8, 0x1.84deb0a2d5c35p-8, 0x1.7bfa53d140215p-8, 0x1.7344506aa9675p-8, 0x1.6abbd6a86c69p-8, 0x1.62601992c63a3p-8, 0x1.5a304efc5a9c3p-8, 0x1.522baf7da7875p-8, 0x1.4a51767035271p-8, 0x1.42a0e1e9d7915p-8, 0x1.3b1932b7bc237p-8, 0x1.33b9ac5956386p-8, 0x1.2c8194fb5690ep-8, 0x1.257035726b909p-8, 0x1.1e84d935feaa9p-8, 0x1.17bece5acdc67p-8, 0x1.111d658d833dp-8, 0x1.0a9ff20d3d39dp-8, 0x1.0445c9a5e9c3bp-8, 0x1.fc1c89555f6fcp-9, 0x1.eff17be0707dbp-9, 0x1.e409258df8f39p-9, 0x1.d86245ead03f1p-9, 0x1.ccfba16418d92p-9, 0x1.c1d4013b77fd2p-9, 0x1.b6ea337b43cd8p-9, 0x1.ac3d0aea810ecp-9, 0x1.a1cb5f01138cbp-9, 0x1.97940bdb5f82cp-9, 0x1.8d95f22e96b7p-9, 0x1.83cff73c50e04p-9, 0x1.7a4104c65d787p-9, 0x1.70e80902aaf28p-9, 0x1.67c3f68ed8efbp-9, 0x1.5ed3c46434dap-9, 0x1.56166dcb2270ep-9, 0x1.4d8af24ef7bd2p-9, 0x1.453055b1a77aep-9, 0x1.3d059fdf7ab68p-9, 0x1.3509dce2969f2p-9, 0x1.2d3c1cd6d099p-9, 0x1.259b73dd54b6dp-9, 0x1.1e26fa1052f3dp-9, 0x1.16ddcb76cd155p-9, 0x1.0fbf07f85167bp-9, 0x1.08c9d350b72c2p-9, 0x1.01fd550401de4p-9, 0x1.f6b170a439024p-10, 0x1.e9b658558cee6p-10, 0x1.dd07c6434d42ap-10, 0x1.d0a426c41adb7p-10, 0x1.c489ed4637564p-10, 0x1.b8b79437591fep-10, 0x1.ad2b9ced79752p-10, 0x1.a1e48f8e7ec84p-10, 0x1.96e0faf96173bp-10, 0x1.8c1f74ae3a53dp-10, 0x1.819e98b742526p-10, 0x1.775d0991c58eap-10, 0x1.6d597016f39f2p-10, 0x1.63927b651648p-10, 0x1.5a06e0c8ef998p-10, 0x1.50b55ba70bacp-10, 0x1.479cad657d51ap-10, 0x1.3ebb9d558d45ap-10, 0x1.3610f89da868p-10, 0x1.2d9b92239ba9cp-10, 0x1.255a42768d8adp-10, 0x1.1d4be7b9b5df7p-10, 0x1.156f658ee52b8p-10, 0x1.0dc3a5012ca47p-10, 0x1.0647947008cdfp-10, 0x1.fdf44ef4e1af4p-11, 0x1.efb4add45c122p-11, 0x1.e1ce413ec8c3dp-11, 0x1.d43f0ef88d5f3p-11, 0x1.c70526a1f485bp-11, 0x1.ba1ea18fa9e3ap-11, 0x1.ad89a2a2a9b08p-11, 0x1.a1445622273cdp-11, 0x1.954cf1942809p-11, 0x1.89a1b3979435dp-11, 0x1.7e40e3be31c9p-11, 0x1.7328d267852fp-11, 0x1.6857d89be2d26p-11, 0x1.5dcc57e7030d9p-11, 0x1.5384ba34b65e7p-11, 0x1.497f71ac50d73p-11, 0x1.3fbaf88e0567cp-11, 0x1.3635d10f14c3p-11, 0x1.2cee8537f87f8p-11, 0x1.23e3a6c1732b4p-11, 0x1.1b13cef34eea4p-11, 0x1.127d9e82d06c5p-11, 0x1.0a1fbd71c9fd5p-11, 0x1.01f8daeda6b39p-11, 0x1.f40f5a601b49ep-12, 0x1.e495e2bc74313p-12, 0x1.d582d6d4a1b3bp-12, 0x1.c6d3cbe849829p-12, 0x1.b88664550598bp-12, 0x1.aa984f5aac4f7p-12, 0x1.9d0748df78ecbp-12, 0x1.8fd1193550d22p-12, 0x1.82f394e003853p-12, 0x1.766c9c5c6030ap-12, 0x1.6a3a1be6c9714p-12, 0x1.5e5a0b45a4c69p-12, 0x1.52ca6d900ecc8p-12, 0x1.478950fa11fccp-12, 0x1.3c94ce9deaa1ep-12, 0x1.31eb0a487c31dp-12, 0x1.278a32450333fp-12, 0x1.1d707f2a2b629p-12, 0x1.139c33a80039ep-12, 0x1.0a0b9c56825b1p-12, 0x1.00bd0f84a0047p-12, 0x1.ef5dda110a51dp-13, 0x1.ddbf3c1fc7bf5p-13, 0x1.cc9b29e3e18dcp-13, 0x1.bbee9a01910e2p-13, 0x1.abb694ba7e77cp-13, 0x1.9bf03392df4f2p-13, 0x1.8c98a0fb5ce2p-13, 0x1.7dad17fa9413fp-13, 0x1.6f2ae3d7d6ba1p-13, 0x1.610f5fc876622p-13, 0x1.5357f69d73fa3p-13, 0x1.4602227268ecdp-13, 0x1.390b6c5ecc9e9p-13, 0x1.2c716c2740399p-13, 0x1.2031c7f0f99cp-13, 0x1.144a33f631aep-13, 0x1.08b8723b9620fp-13, 0x1.faf4a49051594p-14, 0x1.e51b61b823c6ep-14, 0x1.cfe0ef56dbac4p-14, 0x1.bb413a2ee2c27p-14, 0x1.a73847d6d8efbp-14, 0x1.93c23633bf98bp-14, 0x1.80db3af262ed5p-14, 0x1.6e7fa3094aeabp-14, 0x1.5cabd2378bcdp-14, 0x1.4b5c42894ac1bp-14, 0x1.3a8d83db2d2cap-14, 0x1.2a3c3b643195p-14, 0x1.1a65233df8783p-14, 0x1.0b0509f0cf9f4p-14, 0x1.f831a40454763p-15, 0x1.db3ae30782271p-15, 0x1.bf1fe34d2dd1ap-15, 0x1.a3dadc9de6e5cp-15, 0x1.89662b53bb16cp-15, 0x1.6fbc4f8ab8bd8p-15, 0x1.56d7ec588298fp-15, 0x1.3eb3c6fcf46a4p-15, 0x1.274ac625b5cd9p-15, 0x1.1097f127c82e1p-15, 0x1.f52cde8afcf0ap-16, 0x1.ca830deb392f5p-16, 0x1.a1293a5867198p-16, 0x1.7916694e27c69p-16, 0x1.5241da86dd599p-16, 0x1.2ca3069d835bfp-16, 0x1.08319dc0e7ed4p-16, 0x1.c9cb0ccf3684cp-17, 0x1.856db824195c7p-17, 0x1.433bdc15a0f7bp-17, 0x1.03267c5d2a323p-17, 0x1.8a3dff129139cp-18, 0x1.122e5925afd29p-18, 0x1.3c04a2a5ebaa2p-19, 0x1.6cf74f0f334d6p-21, -0x1.f8b13b48bad4cp-21, -0x1.506cfaecc7e81p-19, -0x1.0ddb0832ed637p-18, -0x1.701c10871a664p-18, -0x1.cf113c7bdb7f5p-18, -0x1.1568c989f92c3p-17, -0x1.41b9c01ac0217p-17, -0x1.6c866c32a330bp-17, -0x1.95d96e40f818dp-17, -0x1.bdbd1ead31011p-17, -0x1.e43b8f9eb1915p-17, -0x1.04af475b4c411p-16, -0x1.1697d35fc1199p-16, -0x1.27dc10afaa793p-16, -0x1.38808451ae60ep-16, -0x1.48899455df007p-16, -0x1.57fb88962600dp-16, -0x1.66da8b7a69da4p-16, -0x1.752aaab41caf2p-16, -0x1.82efd7fd2bd8ep-16, -0x1.902de9c78a9fbp-16, -0x1.9ce89bf359946p-16, -0x1.a923907b13797p-16, -0x1.b4e2501bcf213p-16, -0x1.c0284afdd08f6p-16, -0x1.caf8d95369297p-16, -0x1.d5573bfc145e2p-16, -0x1.df469d192dd5fp-16, -0x1.e8ca10a9c823p-16, -0x1.f1e4951d95c5ep-16, -0x1.fa9913e4af7a7p-16, -0x1.017530fe449cp-15, -0x1.056da03c67bd4p-15, -0x1.09372e860b367p-15, -0x1.0cd32944acb9ap-15, -0x1.1042d4b255f3p-15, -0x1.13876c18dec2p-15, -0x1.16a2220dc225dp-15, -0x1.199420aedf829p-15, -0x1.1c5e89dca77e8p-15, -0x1.1f027771951e3p-15, -0x1.2180fb7bcd09fp-15, -0x1.23db20716c607p-15, -0x1.2611e96603a7dp-15, -0x1.2826523e2b5c1p-15, -0x1.2a194fe20fac7p-15, -0x1.2bebd06d2a921p-15, -0x1.2d9ebb5fc9fbbp-15, -0x1.2f32f1ccb0b3ap-15, -0x1.30a94e8658838p-15, -0x1.3202a64bde989p-15, -0x1.333fc7f3ef93ep-15, -0x1.34617c96c96a3p-15, -0x1.356887b7b0088p-15, -0x1.3655a76c6ef9p-15, -0x1.37299484be91p-15, -0x1.37e502b06a44bp-15, -0x1.3888a0a32aa0dp-15, -0x1.3915183a94dabp-15, -0x1.398b0e9f9f121p-15, -0x1.39eb246981b1dp-15, -0x1.3a35f5bf984a2p-15, -0x1.3a6c1a783ab72p-15, -0x1.3a8e263ac3cfdp-15, -0x1.3a9ca89ba9777p-15, -0x1.3a982d3cc2612p-15, -0x1.3a813be8d5947p-15, -0x1.3a5858b09fed7p-15, -0x1.3a1e0406e7dafp-15, -0x1.39d2bada5103ep-15, -0x1.3976f6b086ea8p-15, -0x1.390b2dbf237fcp-15, -0x1.388fd304a13e2p-15, -0x1.38055660608e7p-15, -0x1.376c24a9ed24ap-15, -0x1.36c4a7c8619ffp-15, -0x1.360f46c7af74fp-15, -0x1.354c65eeed7e1p-15, -0x1.347c66d4a861p-15, -0x1.339fa873decffp-15, -0x1.32b6873f1b5d6p-15, -0x1.31c15d34c8d86p-15, -0x1.30c081f027687p-15, -0x1.2fb44abd5202cp-15, -0x1.2e9d0aa966e14p-15, -0x1.2d7b12948ca34p-15, -0x1.2c4eb142403d3p-15, -0x1.2b183369b7717p-15, -0x1.29d7e3c54d92p-15, -0x1.288e0b21eca7dp-15, -0x1.273af06dc94d4p-15, -0x1.25ded8c6dc9aap-15, -0x1.247a07889dadp-15, -0x1.230cbe598693ap-15, -0x1.21973d38c927fp-15, -0x1.2019c28a4638cp-15, -0x1.1e948b2347438p-15, -0x1.1d07d256c033ep-15, -0x1.1b73d20044f37p-15, -0x1.19d8c290048bbp-15, -0x1.1836db151f1a6p-15, -0x1.168e514912466p-15, -0x1.14df5998a297fp-15, -0x1.132a272f71004p-15, -0x1.116eec006e61p-15, -0x1.0fadd8cfd2631p-15, -0x1.0de71d3bf1b62p-15, -0x1.0c1ae7c62e40ep-15, -0x1.0a4965db550aap-15, -0x1.0872c3dbd9ea8p-15, -0x1.06972d2419b3p-15, -0x1.04b6cc138d6dap-15, -0x1.02d1ca14fd648p-15, -0x1.00e84fa50b085p-15, -0x1.fdf508b3b9041p-16, -0x1.fa111dd29ed0bp-16, -0x1.f6252a600518ap-16, -0x1.f231786ee3f83p-16, -0x1.ee3650786292p-16, -0x1.ea33f9679777p-16, -0x1.e62ab8a52dabcp-16, -0x1.e21ad222e09cp-16, -0x1.de048865935e4p-16, -0x1.d9e81c8fe558ep-16, -0x1.d5c5ce6cd6c1ap-16, -0x1.d19ddc78dbc08p-16, -0x1.cd7083ebb5bb7p-16, -0x1.c93e00c142bd7p-16, -0x1.c5068dc22bb8p-16, -0x1.c0ca648cd680cp-16, -0x1.bc89bd9cee145p-16, -0x1.b844d0542394p-16, -0x1.b3fbd3011dc5ap-16, -0x1.afaefae7227bfp-16, -0x1.ab5e7c453c216p-16, -0x1.a70a8a5d00251p-16, -0x1.a2b3577960375p-16, -0x1.9e5914f54632dp-16, -0x1.99fbf340d56d9p-16, -0x1.959c21e871ffep-16, -0x1.9139cf99f68dfp-16, -0x1.8cd52a2a5d5b6p-16, -0x1.886e5e9b89146p-16, -0x1.84059920a0f94p-16, -0x1.7f9b052383e7cp-16, -0x1.7b2ecd49ce953p-16, -0x1.76c11b793b553p-16, -0x1.725218dbf6582p-16, -0x1.6de1ede556ccp-16, -0x1.6970c255b2d7dp-16, -0x1.64febd3e780bcp-16, -0x1.608c05060c558p-16, -0x1.5c18bf6ba9e8dp-16, -0x1.57a5118ab521cp-16, -0x1.53311fde8387bp-16, -0x1.4ebd0e454faffp-16, -0x1.4a490003dac86p-16, -0x1.45d517c82b27bp-16, -0x1.416177ace39fdp-16, -0x1.3cee413ba4611p-16, -0x1.387b957072dfep-16, -0x1.340994bbe1ca9p-16, -0x1.2f985f05dd4a4p-16, -0x1.2b2813b030a58p-16, -0x1.26b8d1989163ep-16, -0x1.224ab71ba1996p-16, -0x1.1ddde21689e89p-16, -0x1.19726fe96534ap-16, -0x1.15087d792faa5p-16, -0x1.10a02731dedbfp-16, -0x1.0c3989084542dp-16, -0x1.07d4be7c070c5p-16, -0x1.0371e2991c545p-16, -0x1.fe221ff387913p-17, -0x1.f564c19068e4ep-17, -0x1.ecabdd80529e4p-17, -0x1.e3f7a660fdd87p-17, -0x1.db484df8fc4c7p-17, -0x1.d29e053b5f9f9p-17, -0x1.c9f8fc49a1f0dp-17, -0x1.c159627706896p-17, -0x1.b8bf664ae4694p-17, -0x1.b02b35832a796p-17, -0x1.a79cfd1728ea1p-17, -0x1.9f14e9397f83cp-17, -0x1.9693255afe14ep-17, -0x1.8e17dc2c4ab3cp-17, -0x1.85a337a072e8ap-17, -0x1.7d3560ee9924bp-17, -0x1.74ce80946a8a4p-17, -0x1.6c6ebe57a85c1p-17, -0x1.64164148ca731p-17, -0x1.5bc52fc3fa00dp-17, -0x1.537baf7397324p-17, -0x1.4b39e5517dbc1p-17, -0x1.42fff5a92b3aep-17, -0x1.3ace04191d664p-17, -0x1.32a43394bf5f3p-17, -0x1.2a82a665b322ep-17, -0x1.22697e2d85a1fp-17, -0x1.1a58dbe75aa18p-17, -0x1.1250dfe906551p-17, -0x1.0a51a9e4e2c07p-17, -0x1.025b58eaf951p-17, -0x1.f4dc16d5331ddp-18, -0x1.e513be67f618cp-18, -0x1.d55de2f2aedc4p-18, -0x1.c5babd9f6c65cp-18, -0x1.b62a8661e5031p-18, -0x1.a6ad73fa19a57p-18, -0x1.9743bbf5c311ap-18, -0x1.87ed92b3fea88p-18, -0x1.78ab2b66ba264p-18, -0x1.697cb8159ab15p-18, -0x1.5a6269a149144p-18, -0x1.4b5c6fc4226d5p-18, -0x1.3c6af9159eeccp-18, -0x1.2d8e330ca1db6p-18, -0x1.1ec64a013d42ep-18, -0x1.101369301f4cfp-18, -0x1.0175babba945ap-18, -0x1.e5dacf5da6684p-19, -0x1.c8f52ffe0d251p-19, -0x1.ac3ae51c7e1d8p-19, -0x1.8fac3a5b4d51ep-19, -0x1.73497940c2c11p-19, -0x1.5712e9393a02ap-19, -0x1.3b08cf9d1c343p-19, -0x1.1f2b6fb370903p-19, -0x1.037b0ab7be24fp-19, -0x1.cfefbfbbad2e5p-20, -0x1.994458ae407adp-20, -0x1.62f456a95ec56p-20, -0x1.2d002c1c209c4p-20, -0x1.eed08f119e7abp-21, -0x1.845a27153b6f8p-21, -0x1.1a9dedcac9ffdp-21, -0x1.633952198dbe1p-22, -0x1.255c5c95a090bp-23, 0x1.e321124e9651ap-25, 0x1.09fc410887e29p-22, 0x1.d618de119bf5ep-22, 0x1.505c5c114882fp-21, 0x1.b4ed4e401ab2ap-21, 0x1.0c5f59b082b8dp-20, 0x1.3de8002ffbe89p-20, 0x1.6f10589d26006p-20, 0x1.9fd8246f3be47p-20, 0x1.d03f2896dc05ep-20, 0x1.002296b6e32b7p-19, 0x1.17f4ff59c1d5cp-19, 0x1.2f96b5c1b28b5p-19, 0x1.4707a324eea06p-19, 0x1.5e47b25f02199p-19, 0x1.7556cfec768fbp-19, 0x1.8c34e9e607532p-19, 0x1.a2e1effcd20ccp-19, 0x1.b95dd375476f3p-19, 0x1.cfa887246d15cp-19, 0x1.e5c1ff6a07e88p-19, 0x1.fbaa322c413bfp-19, 0x1.08b08b6a60be9p-18, 0x1.13735325727aep-18, 0x1.1e1d6d784b3ddp-18, 0x1.28aed84e1e12dp-18, 0x1.3327924b4fe1fp-18, 0x1.3d879acb0e9fcp-18, 0x1.47cef1dc4962cp-18, 0x1.51fd98406f966p-18, 0x1.5c138f693f82p-18, 0x1.6610d975a1d5bp-18, 0x1.6ff5793103ee7p-18, 0x1.79c172103bbe8p-18, 0x1.8374c82ef0025p-18, 0x1.8d0f804f2e2eap-18, 0x1.96919fd52655bp-18, 0x1.9ffb2cc67906dp-18, 0x1.a94c2dc820105p-18, 0x1.b284aa1aaeb07p-18, 0x1.bba4a99a0986ep-18, 0x1.c4ac34bab6933p-18, 0x1.cd9b54871e801p-18, 0x1.d672129e4b432p-18, 0x1.df3079313d94fp-18, 0x1.e7d693008f5f1p-18, 0x1.f0646b5b071f1p-18, 0x1.f8da0e1b3490bp-18, 0x1.009bc3d2aab31p-17, 0x1.04be72727ee1cp-17, 0x1.08d519a5e6ad9p-17, 0x1.0cdfc067132f7p-17, 0x1.10de6df0dc693p-17, 0x1.14d129be03c22p-17, 0x1.18b7fb87b5d5ep-17, 0x1.1c92eb44b72e6p-17, 0x1.206201287aa78p-17, 0x1.242545a1d0594p-17, 0x1.27dcc159f4333p-17, 0x1.2b887d33f864dp-17, 0x1.2f28824b25983p-17, 0x1.32bcd9f255c9bp-17, 0x1.36458db30f6d4p-17, 0x1.39c2a74be3ee1p-17, 0x1.3d3430b0808acp-17, 0x1.409a3407991bfp-17, 0x1.43f4bbaad50ep-17, 0x1.4743d22531561p-17, 0x1.4a87823257f9cp-17, 0x1.4dbfd6bdac5cp-17, 0x1.50ecdae105d3dp-17, 0x1.540e99e464031p-17, 0x1.57251f3c01f6ap-17, 0x1.5a307688746a6p-17, 0x1.5d30ab95005b3p-17, 0x1.6025ca56e6e29p-17, 0x1.630fdeecb9b6cp-17, 0x1.65eef59cc634bp-17, 0x1.68c31ad4e8b28p-17, 0x1.6b8c5b2925a72p-17, 0x1.6e4ac352e71bdp-17, 0x1.70fe603072528p-17, 0x1.73a73ec36fa1cp-17, 0x1.76456c303c13dp-17, 0x1.78d8f5bd761b8p-17, 0x1.7b61e8d271436p-17, 0x1.7de052f6b026dp-17, 0x1.805441d17e1f6p-17, 0x1.82bdc327f28bp-17, 0x1.851ce4dd45d32p-17, 0x1.8771b4f18313dp-17, 0x1.89bc418059775p-17, 0x1.8bfc98c108092p-17, 0x1.8e32c9050b0a5p-17, 0x1.905ee0b714361p-17, 0x1.9280ee5b3d32fp-17, 0x1.9499008cf258ap-17, 0x1.96a725ff815cap-17, 0x1.98ab6d7c225bep-17, 0x1.9aa5e5e1be356p-17, 0x1.9c969e248837ep-17, 0x1.9e7da54c4f3a8p-17, 0x1.a05b0a7498fep-17, 0x1.a22edccba76abp-17, 0x1.a3f92b918502p-17, 0x1.a5ba0617a8a2fp-17, 0x1.a7717bbf9ba99p-17, 0x1.a91f9bfb2f418p-17, 0x1.aac4764b1e331p-17, 0x1.ac601a3e2aa02p-17, 0x1.adf29771c812bp-17, 0x1.af7bfd8f50ad3p-17, 0x1.b0fc5c4d5c28ap-17, 0x1.b273c36df2a9fp-17, 0x1.b3e242bdf11cbp-17, 0x1.b547ea1514ba9p-17, 0x1.b6a4c9548a1c4p-17, 0x1.b7f8f066c08c3p-17, 0x1.b9446f3efc7fcp-17, 0x1.ba8755d7d27a9p-17, 0x1.bbc1b4338d614p-17, 0x1.bcf39a5b4ac56p-17, 0x1.be1d185df32a7p-17, 0x1.bf3e3e5056d8ep-17, 0x1.c0571c4bd11b5p-17, 0x1.c167c26eb4551p-17, 0x1.c27040da7884p-17, 0x1.c370a7b483929p-17, 0x1.c4690724afc2ep-17, 0x1.c5596f5514eafp-17, 0x1.c641f0711efdap-17, 0x1.c7229aa61b45fp-17, 0x1.c7fb7e215fb46p-17, 0x1.c8ccab106d75cp-17, 0x1.c99631a1023dfp-17, 0x1.ca5821fef8f7cp-17, 0x1.cb128c55a686dp-17, 0x1.cbc580ce46427p-17, 0x1.cc710f8f90c0ap-17, 0x1.cd1548be02746p-17, 0x1.cdb23c7a46b6ep-17, 0x1.ce47fae1c3921p-17, 0x1.ced6940d9205ap-17, 0x1.cf5e181210801p-17, 0x1.cfde96ff5a7c1p-17, 0x1.d05820df0c5d8p-17, 0x1.d0cac5b607f6fp-17, 0x1.d13695821740fp-17, 0x1.d19ba03b16abbp-17, 0x1.d1f9f5d158f3ap-17, 0x1.d251a62e16194p-17, 0x1.d2a2c1328d716p-17, 0x1.d2ed56b80e4a9p-17, 0x1.d331768efbb9ap-17, 0x1.d36f307fa9189p-17, 0x1.d3a694480e093p-17, 0x1.d3d7b19d66f38p-17, 0x1.d402982b191d2p-17, 0x1.d42757911c41ep-17, 0x1.d445ff66b2a77p-17, 0x1.d45e9f36446d1p-17, 0x1.d471468069c4ap-17, 0x1.d47e04b9b321fp-17, 0x1.d484e94ab6339p-17, 0x1.d48603902ab54p-17, 0x1.d48162da4be95p-17, 0x1.d477166cabeb6p-17, 0x1.d4672d7dda569p-17, 0x1.d451b73724dc6p-17, 0x1.d436c2b474ae5p-17, 0x1.d4165f03a18d8p-17, 0x1.d3f09b25202bep-17, 0x1.d3c5860a3ac5p-17, 0x1.d3952e96963a2p-17, 0x1.d35fa39ea2df6p-17, 0x1.d324f3e7d33f6p-17, 0x1.d2e52e28c8c81p-17, 0x1.d2a0610809c4dp-17, 0x1.d2569b1d62732p-17, 0x1.d207eaefd13a2p-17, 0x1.d1b45ef718befp-17, 0x1.d15c059a2f412p-17, 0x1.d0feed2fe2e53p-17, 0x1.d09d23fe6f0f2p-17, 0x1.d036b83ae9639p-17, 0x1.cfcbb809e1bfp-17, 0x1.cf5c317e7d119p-17, 0x1.cee8329a64139p-17, 0x1.ce6fc94e40a6fp-17, 0x1.cdf303788f32fp-17, 0x1.cd71eee66b48cp-17, 0x1.ccec9952aed1cp-17, 0x1.cc6310664b699p-17, 0x1.cbd561b7f8388p-17, 0x1.cb439acbf84e7p-17, 0x1.caadc9141ef59p-17, 0x1.ca13f9efb8a33p-17, 0x1.c9763aab1c002p-17, 0x1.c8d4987fe21cfp-17, 0x1.c82f2094e7e2cp-17, 0x1.c785dffd85c1bp-17, 0x1.c6d8e3ba58026p-17, 0x1.c62838b85b129p-17, 0x1.c573ebd17d137p-17, 0x1.c4bc09cbdcbc4p-17, 0x1.c4009f5a764aap-17, 0x1.c341b91c1492dp-17, 0x1.c27f639c8285dp-17, 0x1.c1b9ab530a67dp-17, 0x1.c0f09ca3b16ccp-17, 0x1.c02443de1d418p-17, 0x1.bf54ad3e3574p-17, 0x1.be81e4ebbd217p-17, 0x1.bdabf6fa6b75bp-17, 0x1.bcd2ef69b4e83p-17, 0x1.bbf6da24ec612p-17, 0x1.bb17c3031f322p-17, 0x1.ba35b5c7053c1p-17, 0x1.b950be1ee41c7p-17, 0x1.b868e7a4f57f8p-17, 0x1.b77e3ddea03f6p-17, 0x1.b690cc3d157a2p-17, 0x1.b5a09e1cf4558p-17, 0x1.b4adbec687f79p-17, 0x1.b3b8396d233cp-17, 0x1.b2c0193046b29p-17, 0x1.b1c5691a18a13p-17, 0x1.b0c83420d3113p-17, 0x1.afc88525b08cdp-17, 0x1.aec666f5a778bp-17, 0x1.adc1e448a614bp-17, 0x1.acbb07c2bb5ccp-17, 0x1.abb1dbf272376p-17, 0x1.aaa66b52ab99dp-17, 0x1.a998c048f282p-17, 0x1.a888e526efc7dp-17, 0x1.a776e428f1f94p-17, 0x1.a662c7778250ep-17, 0x1.a54c992623559p-17, 0x1.a4346333edf05p-17, 0x1.a31a2f8bb5739p-17, 0x1.a1fe08036ed82p-17, 0x1.a0dff65d244b4p-17, 0x1.9fc00445c5195p-17, 0x1.9e9e3b56a9595p-17, 0x1.9d7aa514226e8p-17, 0x1.9c554aee7cff8p-17, 0x1.9b2e3641cba43p-17, 0x1.9a0570559a83ap-17, 0x1.98db025da7cc1p-17, 0x1.97aef57936c2ap-17, 0x1.968152b367ac8p-17, 0x1.955223038b64dp-17, 0x1.94216f4cc5b02p-17, 0x1.92ef405df1dadp-17, 0x1.91bb9ef2aec68p-17, 0x1.908693b1f3beep-17, 0x1.8f50272f5bf09p-17, 0x1.8e1861eac4698p-17, 0x1.8cdf4c4ff14e3p-17, 0x1.8ba4eeb775ep-17, 0x1.8a695165dc512p-17, 0x1.892c7c8ca0874p-17, 0x1.87ee7849257e7p-17, 0x1.86af4ca624c7ap-17, 0x1.856f019a30a0fp-17, 0x1.842d9f0971467p-17, 0x1.82eb2cc41e64dp-17, 0x1.81a7b287ac4cfp-17, 0x1.806337fe785d6p-17, 0x1.7f1dc4bfaf11ap-17, 0x1.7dd7604fe6366p-17, 0x1.7c90122057793p-17, 0x1.7b47e19035f6p-17, 0x1.79fed5eb03a2dp-17, 0x1.78b4f66ac35bcp-17, 0x1.776a4a35edc02p-17, 0x1.761ed86111b05p-17, 0x1.74d2a7ee5e217p-17, 0x1.7385bfcd69e88p-17, 0x1.723826dbb3fdfp-17, 0x1.70e9e3e4e175ap-17, 0x1.6f9afda1d5786p-17, 0x1.6e4b7aba7e6f4p-17, 0x1.6cfb61c3e4d0cp-17, 0x1.6baab941e13d6p-17, 0x1.6a5987a6b1da1p-17, 0x1.6907d3522c3adp-17, 0x1.67b5a293b5c9cp-17, 0x1.6662fba83fd87p-17, 0x1.650fe4bc20528p-17, 0x1.63bc63e9dec6ap-17, 0x1.62687f3b675d9p-17, 0x1.61143ca8c244fp-17, 0x1.5fbfa21a0652ep-17, 0x1.5e6ab5653e084p-17, 0x1.5d157c50d9066p-17, 0x1.5bbffc916011dp-17, 0x1.5a6a3bcbd25abp-17, 0x1.59143f93c142dp-17, 0x1.57be0d6d0c3d8p-17, 0x1.5667aacab39c4p-17, 0x1.55111d0ff476ep-17, 0x1.53ba698f73614p-17, 0x1.5263958c13265p-17, 0x1.510ca638bf76p-17, 0x1.4fb5a0b86891cp-17, 0x1.4e5e8a1e70409p-17, 0x1.4d07676e78854p-17, 0x1.4bb03d9c5987bp-17, 0x1.4a59118d164a5p-17, 0x1.4901e81582ee5p-17, 0x1.47aac5fc0a609p-17, 0x1.4653aff738f26p-17, 0x1.44fcaaaedb48cp-17, 0x1.43a5babc1b09fp-17, 0x1.424ee4a854421p-17, 0x1.40f82cef79284p-17, 0x1.3fa197fd5ac35p-17, 0x1.3e4b2a308b126p-17, 0x1.3cf4e7d83fc0dp-17, 0x1.3b9ed535b0c82p-17, 0x1.3a48f67bd99a5p-17, 0x1.38f34fcf7135p-17, 0x1.379de5470ee0ep-17, 0x1.3648baeb97de1p-17, 0x1.34f3d4b7bacdbp-17, 0x1.339f3698ab558p-17, 0x1.324ae46dd5e34p-17, 0x1.30f6e2091548bp-17, 0x1.2fa3332edeb09p-17, 0x1.2e4fdb9634373p-17, 0x1.2cfcdee8eaaafp-17, 0x1.2baa40c3910cap-17, 0x1.2a5804b5d7beep-17, 0x1.29062e424142dp-17, 0x1.27b4c0de9b21ep-17, 0x1.2663bff3d4dafp-17, 0x1.25132ede61bd4p-17, 0x1.23c310edbb61ep-17, 0x1.227369658edf6p-17, 0x1.21243b7c5db92p-17, 0x1.1fd58a5d2ecb5p-17, 0x1.1e87592638051p-17, 0x1.1d39aae9fa509p-17, 0x1.1bec82aef7ee4p-17, 0x1.1a9fe36f7453ap-17, 0x1.1953d01aa8b7fp-17, 0x1.18084b932147ap-17, 0x1.16bd58b0e282ap-17, 0x1.1572fa3f797a7p-17, 0x1.142932ffd8b2fp-17, 0x1.12e005a723019p-17, 0x1.119774df65e5p-17, 0x1.104f8347ea82cp-17, 0x1.0f08337441ab2p-17, 0x1.0dc187edf0034p-17, 0x1.0c7b8332d8562p-17, 0x1.0b3627b6bcccfp-17, 0x1.09f177e2687dap-17, 0x1.08ad761435717p-17, 0x1.076a24a0082dcp-17, 0x1.062785cf7a375p-17, 0x1.04e59be1bbceap-17, 0x1.03a4690c040f6p-17, 0x1.0263ef794da2ap-17, 0x1.0124314aa2d74p-17, 0x1.ffca612e8196cp-18, 0x1.fd4dded8b8acbp-18, 0x1.fad2df9b779c1p-18, 0x1.f859676a86e44p-18, 0x1.f5e17a271fd47p-18, 0x1.f36b1b9eef7ap-18, 0x1.f0f64f8dd96bep-18, 0x1.ee83199c05ba7p-18, 0x1.ec117d609f5a4p-18, 0x1.e9a17e5f5240cp-18, 0x1.e733200acfdfap-18, 0x1.e4c665c34cea8p-18, 0x1.e25b52d794997p-18, 0x1.dff1ea8519aa4p-18, 0x1.dd8a2ff76dc1ap-18, 0x1.db24264a07619p-18, 0x1.d8bfd085f072p-18, 0x1.d65d31a50dde2p-18, 0x1.d3fc4c8ee4efap-18, 0x1.d19d241c240fcp-18, 0x1.cf3fbb13bbb8ap-18, 0x1.cce4142d93f0ap-18, 0x1.ca8a3210ef41bp-18, 0x1.c83217556b3fcp-18, 0x1.c5dbc68342d3ap-18, 0x1.c3874212aacep-18, 0x1.c1348c6d14252p-18, 0x1.bee3a7ec4b6ccp-18, 0x1.bc9496db64085p-18, 0x1.ba475b7683223p-18, 0x1.b7fbf7eb06decp-18, 0x1.b5b26e57f34fbp-18, 0x1.b36ac0cdae6e7p-18, 0x1.b124f14e6f142p-18, 0x1.aee101cea0fd9p-18, 0x1.ac9ef4342568cp-18, 0x1.aa5eca57f7e6p-18, 0x1.a8208604604f3p-18, 0x1.a5e428f7476aep-18, 0x1.a3a9b4e04321cp-18, 0x1.a1712b62a0c4ap-18, 0x1.9f3a8e13b5478p-18, 0x1.9d05de7d17a9ep-18, 0x1.9ad31e1a21ab9p-18, 0x1.98a24e5b7031ep-18, 0x1.967370a2ffbb7p-18, 0x1.94468648db6a4p-18, 0x1.921b909672dffp-18, 0x1.8ff290cb800b6p-18, 0x1.8dcb8819b3c6dp-18, 0x1.8ba677a8ef491p-18, 0x1.89836093b196ep-18, 0x1.876243ea8e1c1p-18, 0x1.854322b165076p-18, 0x1.8325fde1f3976p-18, 0x1.810ad66a3026ep-18, 0x1.7ef1ad2d54c9ep-18, 0x1.7cda8303faaf4p-18, 0x1.7ac558bb9419fp-18, 0x1.78b22f17a4d1fp-18, 0x1.76a106d0998dap-18, 0x1.7491e0952060ep-18, 0x1.7284bd0947ebbp-18, 0x1.70799cc761e66p-18, 0x1.6e70805fb068dp-18, 0x1.6c6968588c89fp-18, 0x1.6a64552effb67p-18, 0x1.68614755f6786p-18, 0x1.66603f37862a6p-18, 0x1.64613d33e2a4bp-18, 0x1.626441a28844ap-18, 0x1.60694cd177eddp-18, 0x1.5e705f061c2e8p-18, }}, 
      std::vector<double>(1300, 0.0), 
      {{0x1.2c2bbdac87c9fp-7, 0x1.2c2a25e42df8fp-6, 0x1.c2112f929b785p-6, 0x1.2bba8b85b948fp-5, 0x1.75f267057e2p-5, 0x1.bf71aa5dc14a2p-5, 0x1.03fd1a88e4032p-4, 0x1.27a9a7d454ffp-4, 0x1.4aa6b30da8268p-4, 0x1.6ce234038d1bp-4, 0x1.8e506ad56aec8p-4, 0x1.aeebd0216fb28p-4, 0x1.ceb48f44742d9p-4, 0x1.edafb11ec4d51p-4, 0x1.05f30e6c8e5c5p-3, 0x1.14b1c723b39c4p-3, 0x1.231accaaa799ap-3, 0x1.313564be22f37p-3, 0x1.3f08f27899b29p-3, 0x1.4c9caacfb6d7ep-3, 0x1.59f75b1f4f895p-3, 0x1.671f3fd0bb6e7p-3, 0x1.7419e8b2dda7fp-3, 0x1.80ec2888d0916p-3, 0x1.8d9a0d8758aeap-3, 0x1.9a26e0ca96a39p-3, 0x1.a6952b2693c59p-3, 0x1.b2e6be08296bep-3, 0x1.bf1cbf615b9e1p-3, 0x1.cb37b7d2988ap-3, 0x1.d737a26a5e67ap-3, 0x1.e31bfd715ee96p-3, 0x1.eee3dbcd2c1e2p-3, 0x1.fa8df692052a9p-3, 0x1.030c5f33ebc5bp-2, 0x1.08c136386ae06p-2, 0x1.0e6489350901cp-2, 0x1.13f554e4a2007p-2, 0x1.197290d30ee94p-2, 0x1.1edb35a49b605p-2, 0x1.242e42a350e58p-2, 0x1.296ac28ac5fa5p-2, 0x1.2e8fcf90c0d57p-2, 0x1.339c96adbd5f1p-2, 0x1.38905a2cd8d9p-2, 0x1.3d6a738e05ccap-2, 0x1.422a54c855a2bp-2, 0x1.46cf88fbf77adp-2, 0x1.4b59b4a4e4a56p-2, 0x1.4fc8955faf9c7p-2, 0x1.541c0151e9e44p-2, 0x1.5853e64703abbp-2, 0x1.5c7048919932bp-2, 0x1.607141bff2158p-2, 0x1.6456ff30e7b5p-2, 0x1.6821c094f927cp-2, 0x1.6bd1d66595291p-2, 0x1.6f67a05b194cbp-2, 0x1.72e38be8711ep-2, 0x1.764612c1cc2f4p-2, 0x1.798fb9728e26bp-2, 0x1.7cc10e056b7c4p-2, 0x1.7fdaa6c0a05f9p-2, 0x1.82dd20f74c4a5p-2, 0x1.85c91ff03bb2bp-2, 0x1.889f4be1e32b7p-2, 0x1.8b605102c83bfp-2, 0x1.8e0cdead5554ep-2, 0x1.90a5a695c63adp-2, 0x1.932b5c10ca6c6p-2, 0x1.959eb3696033p-2, 0x1.98006144760edp-2, 0x1.9a511a10e25efp-2, 0x1.9c9191826539p-2, 0x1.9ec27a167d0e8p-2, 0x1.a0e484a1fd011p-2, 0x1.a2f85fe676868p-2, 0x1.a4feb82eb2a52p-2, 0x1.a6f836f18e623p-2, 0x1.a8e5827ac1dffp-2, 0x1.aac73d99274cbp-2, 0x1.ac9e075240fadp-2, 0x1.ae6a7a9acb9f4p-2, 0x1.b02d2e1445655p-2, 0x1.b1e6b3cf609c6p-2, 0x1.b39799135e7b1p-2, 0x1.b540662a67132p-2, 0x1.b6e19e32eba8cp-2, 0x1.b87bbef62342p-2, 0x1.ba0f40c3bd945p-2, 0x1.bb9c9652d9f24p-2, 0x1.bd242ca84fdcp-2, 0x1.bea66b0253502p-2, 0x1.c023b2c974dc1p-2, 0x1.c19c5f86f6d45p-2, 0x1.c310c6e06e075p-2, 0x1.c48138988f90dp-2, 0x1.c5edfe9512becp-2, 0x1.c7575ce97eff4p-2, 0x1.c8bd91e6b2d51p-2, 0x1.ca20d62ef5335p-2, 0x1.cb815cce4b52ap-2, 0x1.ccdf5356d8f21p-2, 0x1.ce3ae200fe0c7p-2, 0x1.cf942bcee81ecp-2, 0x1.d0eb4eb34b5adp-2, 0x1.d24063bae92bbp-2, 0x1.d3937f389f001p-2, 0x1.d4e4b0f39d79cp-2, 0x1.d63404577a99dp-2, 0x1.d78180a5ce6efp-2, 0x1.d8cd292901dd3p-2, 0x1.da16fd680760bp-2, 0x1.db5ef95ab1b37p-2, 0x1.dca5159e57db6p-2, 0x1.dde947aa897e3p-2, 0x1.df2b82058ede7p-2, 0x1.e06bb478736cp-2, 0x1.e1a9cc426bd75p-2, 0x1.e2e5b44b545d8p-2, 0x1.e41f555529661p-2, 0x1.e556962c3dbfcp-2, 0x1.e68b5bd618effp-2, 0x1.e7bd89becd33fp-2, 0x1.e8ed01e4b55fp-2, 0x1.ea19a50276f45p-2, 0x1.eb4352b73d0f3p-2, 0x1.ec69e9ad199f6p-2, 0x1.ed8d47bd7cb4p-2, 0x1.eead4a13c2b6fp-2, 0x1.efc9cd4dcd471p-2, 0x1.f0e2ad9aa8042p-2, 0x1.f1f7c6d73db13p-2, 0x1.f308f4a920524p-2, 0x1.f4161297698b5p-2, 0x1.f51efc21c0e34p-2, 0x1.f6238cd59208ap-2, 0x1.f723a0617fd8dp-2, 0x1.f81f12a7238eap-2, 0x1.f915bfcb28ceep-2, 0x1.fa078443da5cap-2, 0x1.faf43ce62ca84p-2, 0x1.fbdbc6f15f492p-2, 0x1.fcbe0019468b2p-2, 0x1.fd9ac68f5229ep-2, 0x1.fe71f90a60a09p-2, 0x1.ff4376cd8008fp-2, 0x1.00078fd6d0b08p-1, 0x1.006a6a0b2f28fp-1, 0x1.00ca3a86f06eap-1, 0x1.0126f21bfed33p-1, 0x1.018081ec4d9dep-1, 0x1.01d6db6ab8afap-1, 0x1.0229f05b9ab45p-1, 0x1.0279b2d523ffap-1, 0x1.02c6153f75d13p-1, 0x1.030f0a548e525p-1, 0x1.035485200b736p-1, 0x1.039678fec7f77p-1, 0x1.03d4d99e5f6ddp-1, 0x1.040f9afc9adc5p-1, 0x1.0446b166caf1p-1, 0x1.047a117919a01p-1, 0x1.04a9b01dd2f62p-1, 0x1.04d5828cabf02p-1, 0x1.04fd7e4a0b855p-1, 0x1.0521992657e03p-1, 0x1.0541c93d4c99fp-1, 0x1.055e04f55adc9p-1, 0x1.057642ff17cf9p-1, 0x1.058a7a54b8decp-1, 0x1.059aa239a27aep-1, 0x1.05a6b23a098a9p-1, 0x1.05aea22aa5597p-1, 0x1.05b26a2879479p-1, 0x1.05b20298b1296p-1, 0x1.05ad642893351p-1, 0x1.05a487cd8744p-1, 0x1.059766c532c08p-1, 0x1.0585fa95a9772p-1, 0x1.05703d0db189ep-1, 0x1.055628451c7fbp-1, 0x1.0537b69d3142cp-1, 0x1.0514e2c128971p-1, 0x1.04eda7a6b9d7dp-1, 0x1.04c2008eb7508p-1, 0x1.0491e905b8399p-1, 0x1.045d5ce4d01ep-1, 0x1.04245852505fp-1, 0x1.03e6d7c296e96p-1, 0x1.03a4d7f8e06fbp-1, 0x1.035e560826f47p-1, 0x1.03134f5401a69p-1, 0x1.02c3c1918ae61p-1, 0x1.026faac849244p-1, 0x1.021709531672ap-1, 0x1.01b9dbe10ab4bp-1, 0x1.0158217661343p-1, 0x1.00f1d96d5ce35p-1, 0x1.0087037725cd9p-1, 0x1.00179f9ca293bp-1, 0x1.ff475c7e92372p-2, 0x1.fe566033cd595p-2, 0x1.fd5c4c82bef1ep-2, 0x1.fc59244ac33a2p-2, 0x1.fb4ceb221a435p-2, 0x1.fa37a5571bd3cp-2, 0x1.f91957f150e07p-2, 0x1.f7f208b26e3d5p-2, 0x1.f6c1be1731656p-2, 0x1.f5887f5819328p-2, 0x1.f4465469feeafp-2, 0x1.f2fb45fe8a5cbp-2, 0x1.f1a75d8481081p-2, 0x1.f04aa527ef066p-2, 0x1.eee527d22a8edp-2, 0x1.ed76f129ae93fp-2, 0x1.ec000d91cf8f5p-2, 0x1.ea808a2a43e09p-2, 0x1.e8f874ce86cbp-2, 0x1.e767dc1510591p-2, 0x1.e5cecf4e64593p-2, 0x1.e42d5e83f7922p-2, 0x1.e2839a76ec11p-2, 0x1.e0d1949ea5714p-2, 0x1.df175f273048ap-2, 0x1.dd550cef86d44p-2, 0x1.db8ab187a8597p-2, 0x1.d9b8612e8b947p-2, 0x1.d7de30cfea73ap-2, 0x1.d5fc3601e5ccbp-2, 0x1.d412870285726p-2, 0x1.d2213ab512772p-2, 0x1.d028689f4f92ap-2, 0x1.ce2828e68c95ap-2, 0x1.cc20944c98e18p-2, 0x1.ca11c42c96a5dp-2, 0x1.c7fbd277acb15p-2, 0x1.c5ded9b19a5adp-2, 0x1.c3baf4ed2ed34p-2, 0x1.c1903fc8a5a45p-2, 0x1.bf5ed669e627ep-2, 0x1.bd26d57aaa5e6p-2, 0x1.bae85a248f571p-2, 0x1.b8a3820d0eb9ep-2, 0x1.b6586b515f3f5p-2, 0x1.b407348246345p-2, 0x1.b1affc9fd3e22p-2, 0x1.af52e3150d7dp-2, 0x1.acf007b38c84ep-2, 0x1.aa878aaf0747ap-2, 0x1.a8198c98d64eap-2, 0x1.a5a62e5b6591cp-2, 0x1.a32d9135a0d3ap-2, 0x1.a0afd6b653ad3p-2, 0x1.9e2d20b783e21p-2, 0x1.9ba59159c58cp-2, 0x1.99194aff89fffp-2, 0x1.968870486a4cbp-2, 0x1.93f3240c71493p-2, 0x1.91598957613cep-2, 0x1.8ebbc363ffb05p-2, 0x1.8c19f5975b861p-2, 0x1.8974437c1afe4p-2, 0x1.86cad0bdca2adp-2, 0x1.841dc124314e1p-2, 0x1.816d388ead6cbp-2, 0x1.7eb95aef93ddep-2, 0x1.7c024c479c74ep-2, 0x1.794830a152433p-2, 0x1.768b2c0c942fbp-2, 0x1.73cb629a1ad58p-2, 0x1.7108f8570ce5ap-2, 0x1.6e441148a12b5p-2, 0x1.6b7cd167cce0dp-2, 0x1.68b35c9d0087bp-2, 0x1.65e7d6bbf506cp-2, 0x1.631a637f86db1p-2, 0x1.604b2685a5f49p-2, 0x1.5d7a434b5253fp-2, 0x1.5aa7dd28ad542p-2, 0x1.57d4174d1d6c7p-2, 0x1.54ff14bb846bep-2, 0x1.5228f846890e1p-2, 0x1.4f51e48cf76ecp-2, 0x1.4c79fbf631c3bp-2, 0x1.49a160aeb9b72p-2, 0x1.46c834a4d0303p-2, 0x1.43ee99852480ap-2, 0x1.4114b0b7a2cbbp-2, 0x1.3e3a9b5c5242cp-2, 0x1.3b607a484c734p-2, 0x1.38866e02cda6ap-2, 0x1.35ac96c255f83p-2, 0x1.32d31469ebd83p-2, 0x1.2ffa06866b5p-2, 0x1.2d218c4bf4f06p-2, 0x1.2a49c49371dcbp-2, 0x1.2772cdd82eb43p-2, 0x1.249cc6358eac5p-2, 0x1.21c7cb64d89dp-2, 0x1.1ef3fabb1a0bbp-2, 0x1.1c21712721f4cp-2, 0x1.19504b2f94a7ep-2, 0x1.1680a4f11611bp-2, 0x1.13b29a1c8df88p-2, 0x1.10e645f580038p-2, 0x1.0e1bc3507d446p-2, 0x1.0b532c91af42ep-2, 0x1.088c9bab75f1cp-2, 0x1.05c82a1d1d641p-2, 0x1.0305f0f1ade51p-2, 0x1.004608bece18fp-2, 0x1.fb1113477716ep-3, 0x1.f59b1690bc248p-3, 0x1.f02a49b8d447dp-3, 0x1.eabeda2d3b232p-3, 0x1.e558f4681d742p-3, 0x1.dff8c3ef1fef7p-3, 0x1.da9e7352575eep-3, 0x1.d54a2c2b5ea76p-3, 0x1.cffc171c99ab9p-3, 0x1.cab45bd09e006p-3, 0x1.c57320f9c337bp-3, 0x1.c0388c51d73a9p-3, 0x1.bb04c299f4f1ap-3, 0x1.b5d7e79a82832p-3, 0x1.b0b21e2353a0cp-3, 0x1.ab93880be8dc7p-3, 0x1.a67c4633d3ef2p-3, 0x1.a16c78833ba99p-3, 0x1.9c643deb84d71p-3, 0x1.9763b4680f5b1p-3, 0x1.926af8ff1bc51p-3, 0x1.8d7a27c2ca67p-3, 0x1.88915bd23691p-3, 0x1.83b0af5aaed45p-3, 0x1.7ed83b9906c8ap-3, 0x1.7a0818db03345p-3, 0x1.75405e80e25aep-3, 0x1.708122fefb29dp-3, 0x1.6bca7bdf6fbf7p-3, 0x1.671c7dc3fc17ep-3, 0x1.62773c67d8f49p-3, 0x1.5ddacaa1b4c19p-3, 0x1.59473a65bfd51p-3, 0x1.54bc9cc7c964fp-3, 0x1.503b01fd751d4p-3, 0x1.4bc27960816dfp-3, 0x1.4753117116a33p-3, 0x1.42ecd7d83305ap-3, 0x1.3e8fd96a1e03bp-3, 0x1.3a3c2228ec113p-3, 0x1.35f1bd47125c7p-3, 0x1.31b0b52a034eep-3, 0x1.2d79136ce10b8p-3, 0x1.294ae0e32f0c1p-3, 0x1.2526259b9717ep-3, 0x1.210ae8e2b7e7fp-3, 0x1.1cf93145fad4ap-3, 0x1.18f1049676b49p-3, 0x1.14f267ebd2bcp-3, 0x1.10fd5fa73cb6p-3, 0x1.0d11ef765c99ep-3, 0x1.09301a5653904p-3, 0x1.0557e296be7cap-3, 0x1.018949dcbced1p-3, 0x1.fb88a24c052fep-4, 0x1.f411f197caa95p-4, 0x1.ecae810cdd338p-4, 0x1.e55e4edef295cp-4, 0x1.de21580b8d76ap-4, 0x1.d6f79860302cdp-4, 0x1.cfe10a80a2e96p-4, 0x1.c8dda7ed23044p-4, 0x1.c1ed69089e983p-4, 0x1.bb10451ef566cp-4, 0x1.b446326b2ba8ap-4, 0x1.ad8f261da225dp-4, 0x1.a6eb14624ac83p-4, 0x1.a059f066dd2f2p-4, 0x1.99dbac60f0de9p-4, 0x1.937039943827ap-4, 0x1.8d1788588e07fp-4, 0x1.86d1882014bebp-4, 0x1.809e277d44066p-4, 0x1.7a7d5428f0cb3p-4, 0x1.746efb084945dp-4, 0x1.6e730832c8fe4p-4, 0x1.688966f8272d3p-4, 0x1.62b201e629d99p-4, 0x1.5cecc2ce84becp-4, 0x1.573992cc97207p-4, 0x1.51985a4b2b33bp-4, 0x1.4c09010a1c8cep-4, 0x1.468b6e23ff9bdp-4, 0x1.411f8813a8426p-4, 0x1.3bc534b9b2e13p-4, 0x1.367c5961f62c2p-4, 0x1.3144dac8e41aep-4, 0x1.2c1e9d20e50b6p-4, 0x1.27098417911dcp-4, 0x1.220572daeb521p-4, 0x1.1d124c1e859adp-4, 0x1.182ff2208e6a6p-4, 0x1.135e46aed0883p-4, 0x1.0e9d2b2ba7dp-4, 0x1.09ec8092da26p-4, 0x1.054c277e65dc9p-4, 0x1.00bc002b38e16p-4, 0x1.f877d4fbb1ebep-5, 0x1.ef978c0df2868p-5, 0x1.e6d6e40ff7bdp-5, 0x1.de359aeec09c8p-5, 0x1.d5b36e0a441acp-5, 0x1.cd501a3e0768p-5, 0x1.c50b5be97f79ap-5, 0x1.bce4eef866451p-5, 0x1.b4dc8eead429cp-5, 0x1.acf1f6dd3d35ep-5, 0x1.a524e19045f44p-5, 0x1.9d7509707187p-5, 0x1.95e2289dae54bp-5, 0x1.8e6bf8f2ab78bp-5, 0x1.8712340c1f123p-5, 0x1.7fd4934fd8266p-5, 0x1.78b2cff3b29adp-5, 0x1.71aca304528a1p-5, 0x1.6ac1c56bd6725p-5, 0x1.63f1eff84b1d6p-5, 0x1.5d3cdb6209047p-5, 0x1.56a24051e39b6p-5, 0x1.5021d767383ebp-5, 0x1.49bb593dd6c6dp-5, 0x1.436e7e73bf88cp-5, 0x1.3d3affaece571p-5, 0x1.372095a225d3fp-5, 0x1.311ef913995a6p-5, 0x1.2b35e2e0cc50dp-5, 0x1.25650c04517b7p-5, 0x1.1fac2d9a909a7p-5, 0x1.1a0b00e692b3ap-5, 0x1.14813f56ab867p-5, 0x1.0f0ea288f9d5dp-5, 0x1.09b2e44fd6ce7p-5, 0x1.046dbeb60cc79p-5, 0x1.fe7dd805f98c6p-6, 0x1.f44c4d7d5555dp-6, 0x1.ea46536b20c11p-6, 0x1.e06b5ff8c80b5p-6, 0x1.d6bae9e785497p-6, 0x1.cd3468974b965p-6, 0x1.c3d7540dae08bp-6, 0x1.baa324fc56c59p-6, 0x1.b19754c76571dp-6, 0x1.a8b35d8b8475p-6, 0x1.9ff6ba23c53c3p-6, 0x1.9760e62f4f73cp-6, 0x1.8ef15e16c2d97p-6, 0x1.86a79f1171a5ep-6, 0x1.7e83272a6b1d1p-6, 0x1.768375453da35p-6, 0x1.6ea8092290b66p-6, 0x1.66f06364869bp-6, 0x1.5f5c0592f1b54p-6, 0x1.57ea721f59533p-6, 0x1.509b2c68be6e3p-6, 0x1.496db8bf43925p-6, 0x1.42619c6794bcep-6, 0x1.3b765d9e3c3bp-6, 0x1.34ab839aa47eep-6, 0x1.2e009692058d6p-6, 0x1.27751fba2dd3dp-6, 0x1.2108a94c12b23p-6, 0x1.1ababe86269ddp-6, 0x1.148aebaec8988p-6, 0x1.0e78be161dc5fp-6, 0x1.0883c4184242p-6, 0x1.02ab8d1ef4f89p-6, 0x1.f9df53467616bp-7, 0x1.ee9f565defea6p-7, 0x1.e39648bc735c6p-7, 0x1.d8c351c1191a8p-7, 0x1.ce259af3f29fep-7, 0x1.c3bc50082dad4p-7, 0x1.b9869eddb20d9p-7, 0x1.af83b782ad0ecp-7, 0x1.a5b2cc34a289bp-7, 0x1.9c131161919e4p-7, 0x1.92a3bda89523cp-7, 0x1.896409da90c4ep-7, 0x1.805330fa67e27p-7, 0x1.7770703d2c052p-7, 0x1.6ebb0709f6ddbp-7, 0x1.663236f9c174ap-7, 0x1.5dd543d6b9df5p-7, 0x1.55a3739bb7eb5p-7, 0x1.4d9c0e737c4f5p-7, 0x1.45be5eb77ff86p-7, 0x1.3e09b0eedd193p-7, 0x1.367d53cce2833p-7, 0x1.2f18982fc51e4p-7, 0x1.27dad11ea63d4p-7, 0x1.20c353c81e198p-7, 0x1.19d1777ff1cbp-7, 0x1.130495bd38db5p-7, 0x1.0c5c0a1814eddp-7, 0x1.05d7324743f8dp-7, 0x1.feeadc3b7bc89p-8, 0x1.f26c3f101cefp-8, 0x1.e6315513469efp-8, 0x1.da38ea73eefe2p-8, 0x1.ce81cf833e2fep-8, 0x1.c30ad8ae93ac3p-8, 0x1.b7d2de7956f3ep-8, 0x1.acd8bd7634c62p-8, 0x1.a21b5640d82fdp-8, 0x1.97998d76f9e01p-8, 0x1.8d524bb149c5p-8, 0x1.83447d7c895a3p-8, 0x1.796f13521f243p-8, 0x1.6fd10190d1db7p-8, 0x1.666940750f9ffp-8, 0x1.5d36cc11615dbp-8, 0x1.5438a44686178p-8, 0x1.4b6dccbbbd7aep-8, 0x1.42d54cd671736p-8, 0x1.3a6e2fb28db1bp-8, 0x1.32378419d364fp-8, 0x1.2a305c7bcc456p-8, 0x1.2257cee54b0fp-8, 0x1.1aacf4f81bd62p-8, 0x1.132eebe274775p-8, 0x1.0bdcd45620588p-8, 0x1.04b5d28023cb3p-8, 0x1.fb721bffac24dp-9, 0x1.edcb63bc8f6p-9, 0x1.e075d90a5410bp-9, 0x1.d36fdf6cc6926p-9, 0x1.c6b7e1056d709p-9, 0x1.ba4c4e8255716p-9, 0x1.ae2b9f0bf761ap-9, 0x1.a25450334eda9p-9, 0x1.96c4e5df93946p-9, 0x1.8b7bea3cf24d5p-9, 0x1.8077eda9c2616p-9, 0x1.75b786a50c06ep-9, 0x1.6b3951bc30bdbp-9, 0x1.60fbf178d11bp-9, 0x1.56fe0e4f41927p-9, 0x1.4d3e568bc36e3p-9, 0x1.43bb7e413c962p-9, 0x1.3a743f36d42c5p-9, 0x1.316758d657931p-9, 0x1.28939019bb73cp-9, 0x1.1ff7af7a4e3efp-9, 0x1.179286dda4952p-9, 0x1.0f62eb84fcc05p-9, 0x1.0767b7fad5bp-9, 0x1.ff3f9803a7922p-10, 0x1.f0141905a8954p-10, 0x1.e14ac6f746c98p-10, 0x1.d2e17fdb4095ep-10, 0x1.c4d62b98c5ee8p-10, 0x1.b726bbd92b701p-10, 0x1.a9d12be5b3ff6p-10, 0x1.9cd380854aa66p-10, 0x1.902bc7db137cap-10, 0x1.83d819443ae89p-10, 0x1.77d695375eb4p-10, 0x1.6c2565227f14bp-10, 0x1.60c2bb4a71e2cp-10, 0x1.55acd2aa6a141p-10, 0x1.4ae1eed2f4bb3p-10, 0x1.40605bc9f47ap-10, 0x1.36266deaaef83p-10, 0x1.2c3281c5ed7e1p-10, 0x1.2282fc02a92b4p-10, 0x1.1916493e98c7ap-10, 0x1.0feaddef1425bp-10, 0x1.06ff3642f8394p-10, 0x1.fca3ac06d3a6ap-11, 0x1.ebc290ecfa212p-11, 0x1.db5840810e989p-11, 0x1.cb61ee8ec416fp-11, 0x1.bbdcdd280374cp-11, 0x1.acc65c6c99f99p-11, 0x1.9e1bca50a9ce3p-11, 0x1.8fda926213ep-11, 0x1.82002d9203e31p-11, 0x1.748a21fc24e61p-11, 0x1.677602afe4992p-11, 0x1.5ac16f78dd81p-11, 0x1.4e6a14aa81a85p-11, 0x1.426daae941fap-11, 0x1.36c9f6f6510a3p-11, 0x1.2b7cc97bbd04cp-11, 0x1.2083fed7c2192p-11, 0x1.15dd7eea9e36p-11, 0x1.0b873ce445b24p-11, 0x1.017f3711c3bdep-11, 0x1.ef86ed58d1568p-12, 0x1.dca41f5402835p-12, 0x1.ca5241151d1a3p-12, 0x1.b88da4569d55cp-12, 0x1.a752af2c9af49p-12, 0x1.969ddba8d6b51p-12, 0x1.866bb780a941ep-12, 0x1.76b8e3b1c953bp-12, 0x1.678214288405cp-12, 0x1.58c40f69c4a54p-12, 0x1.4a7bae3b1b172p-12, 0x1.3ca5db4e1dfb2p-12, 0x1.2f3f92eac3fefp-12, 0x1.2245e29dbdc2ap-12, 0x1.15b5e8e59563dp-12, 0x1.098cd4e149af7p-12, 0x1.fb8fcc05ff071p-13, 0x1.e4c8d77a6d09ep-13, 0x1.cebf8a72a3473p-13, 0x1.b96ec2126e3c3p-13, 0x1.a4d179b6c0894p-13, 0x1.90e2ca6687c04p-13, 0x1.7d9dea3a34986p-13, 0x1.6afe2bd0da9d6p-13, 0x1.58fefdbdd23c6p-13, 0x1.479bea019d1eep-13, 0x1.36d0957bf6399p-13, 0x1.2698bf67c9618p-13, 0x1.16f040d347967p-13, 0x1.07d30c1e0df0ep-13, 0x1.f27a58ec5fdfap-14, 0x1.d6558ab5b771ep-14, 0x1.bb30243c3fbbdp-14, 0x1.a102cad0079bfp-14, 0x1.87c651844bd29p-14, 0x1.6f73b832b8554p-14, 0x1.58042a9b62637p-14, 0x1.4170ff7901a99p-14, 0x1.2bb3b79fcbb9cp-14, 0x1.16c5fd1b68371p-14, 0x1.02a1a256b7a16p-14, 0x1.de81427cab253p-15, 0x1.b93a34e29b245p-15, 0x1.9562a8dcf29abp-15, 0x1.72ef7589c8b3fp-15, 0x1.51d5ba9d4694cp-15, 0x1.320adec5f1126p-15, 0x1.13848e3a5e695p-15, 0x1.ec7172560400bp-16, 0x1.b43b249c4548cp-16, 0x1.7e531ad93b8c5p-16, 0x1.4aa6bbf324742p-16, 0x1.1923eb5e7ea15p-16, 0x1.d3720ca53ca99p-17, 0x1.78a9c24e052cbp-17, 0x1.21cd894df6943p-17, 0x1.9d79adea28dep-18, 0x1.fd5ffd2e300ap-19, 0x1.9c017f7bce1efp-20, -0x1.4e894c288bfbfp-21, -0x1.67fdf182ba5f4p-19, -0x1.37c1d2e73f6acp-18, -0x1.b550efa9f0122p-18, -0x1.16710161aeff9p-17, -0x1.4f54a2609b92dp-17, -0x1.856cbdf8b04f8p-17, -0x1.b8d2025981b22p-17, -0x1.e99c6d13779c4p-17, -0x1.0bf1a7947abc5p-16, -0x1.21dea89017ccap-16, -0x1.36a03b77eb315p-16, -0x1.4a4111fe504cdp-16, -0x1.5ccb8f6915fafp-16, -0x1.6e49ca7d58ba1p-16, -0x1.7ec58f44fdefep-16, -0x1.8e4860ec974bdp-16, -0x1.9cdb7b7ca1b37p-16, -0x1.aa87d58d92b99p-16, -0x1.b756220e42656p-16, -0x1.c34ed1d2356a4p-16, -0x1.ce7a1544c85bp-16, -0x1.d8dfddfabb967p-16, -0x1.e287e038c71d9p-16, -0x1.eb79948d7fba9p-16, -0x1.f3bc39380b09cp-16, -0x1.fb56d3b62a47cp-16, -0x1.0128190eb5133p-15, -0x1.04577649f24ddp-15, -0x1.073cb3524b387p-15, -0x1.09dae84f98be7p-15, -0x1.0c351471177d3p-15, -0x1.0e4e1e94507a4p-15, -0x1.1028d5e61f207p-15, -0x1.11c7f28135341p-15, -0x1.132e1603a30f8p-15, -0x1.145dcc2f0e75cp-15, -0x1.15598b71c0229p-15, -0x1.1623b5809a36dp-15, -0x1.16be97ddce437p-15, -0x1.172c6c6695ed6p-15, -0x1.176f59d7f1a5ep-15, -0x1.17897458551dcp-15, -0x1.177cbded91a3dp-15, -0x1.174b2708f1e3dp-15, -0x1.16f68ef65c66fp-15, -0x1.1680c45dfd447p-15, -0x1.15eb85b371ffcp-15, -0x1.153881af67d15p-15, -0x1.146957b8e865bp-15, -0x1.137f985a2ecfbp-15, -0x1.127cc5a6685ap-15, -0x1.116253a7334b5p-15, -0x1.1031a8bf33a11p-15, -0x1.0eec1e0ef4dd4p-15, -0x1.0d92ffda32258p-15, -0x1.0c278de19d64fp-15, -0x1.0aaafbc35230dp-15, -0x1.091e7156661e9p-15, -0x1.07830aff9d0e9p-15, -0x1.05d9da0d78b05p-15, -0x1.0423e50685dap-15, -0x1.02622802efc82p-15, -0x1.009594f38a02dp-15, -0x1.fd7e27f3c5a74p-16, -0x1.f9bf075d01c51p-16, -0x1.f5ef72dbe082fp-16, -0x1.f211034035b96p-16, -0x1.ee2540026b0a9p-16, -0x1.ea2d9fc964f67p-16, -0x1.e62b88f3d7c0cp-16, -0x1.e220521afd8c7p-16, -0x1.de0d4291f3b28p-16, -0x1.d9f392e3ba9eep-16, -0x1.d5d46d4c4db5cp-16, -0x1.d1b0ee2f10d74p-16, -0x1.cd8a2489a1624p-16, -0x1.c96112652ac15p-16, -0x1.c536ad42e44b8p-16, -0x1.c10bde882c6d9p-16, -0x1.bce183e4d1ac3p-16, -0x1.b8b86fb52fc16p-16, -0x1.b491696d785d7p-16, -0x1.b06d2dee8ce96p-16, -0x1.ac4c6feaf36d3p-16, -0x1.a82fd83d61634p-16, -0x1.a418064364c09p-16, -0x1.a0059030bb7cfp-16, -0x1.9bf903642be52p-16, -0x1.97f2e4b8693cbp-16, -0x1.93f3b0d215c88p-16, -0x1.8ffbdc6c675edp-16, -0x1.8c0bd4a6536fp-16, -0x1.8823ff466372p-16, -0x1.8444bb05633c6p-16, -0x1.806e5fcf56721p-16, -0x1.7ca13f084eeep-16, -0x1.78dda3cb2d471p-16, -0x1.7523d32a2c577p-16, -0x1.71740c68afb3fp-16, -0x1.6dce8938cc2fp-16, -0x1.6a337df3ad4e4p-16, -0x1.66a319d0d2983p-16, -0x1.631d871de5a48p-16, -0x1.5fa2eb6edb3dp-16, -0x1.5c3367d5a6d7fp-16, -0x1.58cf19104a19p-16, -0x1.557617ba49564p-16, -0x1.5228787836e7bp-16, -0x1.4ee64c2738a2ap-16, -0x1.4bafa00817391p-16, -0x1.48847de73fc51p-16, -0x1.4564ec47e97e5p-16, -0x1.4250ee8a88cb5p-16, -0x1.3f4885132861ep-16, -0x1.3c4bad6e3d4bp-16, -0x1.395a6273fc46cp-16, -0x1.36749c6c2c916p-16, -0x1.339a512e6d4a6p-16, -0x1.30cb7443d34b4p-16, -0x1.2e07f7039cde2p-16, -0x1.2b4fc8b55c174p-16, -0x1.28a2d6aadb695p-16, -0x1.26010c5e30474p-16, -0x1.236a538c63b7ap-16, -0x1.20de944f06ecbp-16, -0x1.1e5db53796787p-16, -0x1.1be79b65f86c2p-16, -0x1.197c2aa1b9bfap-16, -0x1.171b456f0d182p-16, -0x1.14c4cd266b4c1p-16, -0x1.1278a209255abp-16, -0x1.1036a355fe51cp-16, -0x1.0dfeaf5bd6e1cp-16, -0x1.0bd0a38e7d4e4p-16, -0x1.09ac5c9726f6p-16, -0x1.0791b666fa091p-16, -0x1.05808c46e09d3p-16, -0x1.0378b8e90e439p-16, -0x1.017a1677b229p-16, -0x1.ff08fd47f99a7p-17, -0x1.fb2f9567ad4f2p-17, -0x1.f767a722f77f2p-17, -0x1.f3b0e3ac55f5ep-17, -0x1.f00afbb2a128cp-17, -0x1.ec759f753abe5p-17, -0x1.e8f07edc74f35p-17, -0x1.e57b4991a3873p-17, -0x1.e215af11f626ep-17, -0x1.debf5ec2cafbfp-17, -0x1.db780806661ccp-17, -0x1.d83f5a4d2e5b2p-17, -0x1.d5150527e364dp-17, -0x1.d1f8b858858adp-17, -0x1.ceea23e0e1b11p-17, -0x1.cbe8f813edd1cp-17, -0x1.c8f4e5a3305f3p-17, -0x1.c60d9dab03181p-17, -0x1.c332d1c1f2d07p-17, -0x1.c0643403f0747p-17, -0x1.bda1771dca197p-17, -0x1.baea4e57f43d7p-17, -0x1.b83e6da189c9bp-17, -0x1.b59d89994dea8p-17, -0x1.b3075797c9cf7p-17, -0x1.b07b8db74f6d5p-17, -0x1.adf9e2dc4fd6fp-17, -0x1.ab820ebbed104p-17, -0x1.a913c9e4f4b13p-17, -0x1.a6aecdc5a0c15p-17, -0x1.a452d4b00a3a4p-17, -0x1.a1ff99e235e0dp-17, -0x1.9fb4d98a4bb0ep-17, -0x1.9d7250cb067e4p-17, -0x1.9b37bdc093fe7p-17, -0x1.9904df843ef8fp-17, -0x1.96d976308e33cp-17, -0x1.94b542e43a7f1p-17, -0x1.929807c507ee8p-17, -0x1.90818802a082cp-17, -0x1.8e7187d85e731p-17, -0x1.8c67cc8f86dfap-17, -0x1.8a641c817a6cep-17, -0x1.88663f18598e6p-17, -0x1.866dfccfe9ab3p-17, -0x1.847b1f371e8d8p-17, -0x1.828d70f0ce87p-17, -0x1.80a4bdb32ddb3p-17, -0x1.7ec0d2489cd5p-17, -0x1.7ce17c8f54309p-17, -0x1.7b068b79386e3p-17, -0x1.792fcf0b7943cp-17, -0x1.775d185db3acdp-17, -0x1.758e399861468p-17, -0x1.73c305f54a29ap-17, -0x1.71fb51bd72928p-17, -0x1.7036f2472108cp-17, -0x1.6e75bdf5a3492p-17, -0x1.6cb78c36ba393p-17, -0x1.6afc358124a54p-17, -0x1.69439352b8248p-17, -0x1.678d802e6740ap-17, -0x1.65d9d799850f7p-17, -0x1.6428761a923c2p-17, -0x1.62793935cf5d9p-17, -0x1.60cbff6b5d0fp-17, -0x1.5f20a834eff2ep-17, -0x1.5d771402c0b5fp-17, -0x1.5bcf2438580b9p-17, -0x1.5a28bb2aad555p-17, -0x1.5883bc1d1f4c2p-17, -0x1.56e00b3e3021ep-17, -0x1.553d8da4d05p-17, -0x1.539c294d40314p-17, -0x1.51fbc5166c1b7p-17, -0x1.505c48be0154bp-17, -0x1.4ebd9cddce36p-17, -0x1.4d1faae85763dp-17, -0x1.4b825d25d0521p-17, -0x1.49e59eb0b5f6dp-17, -0x1.48495b72636f1p-17, -0x1.46ad802068548p-17, -0x1.4511fa386432ap-17, -0x1.4376b7fd13effp-17, -0x1.41dba8732f3acp-17, -0x1.4040bb5d64b44p-17, -0x1.3ea5e13949cf4p-17, -0x1.3d0b0b3c69177p-17, -0x1.3b702b502a548p-17, -0x1.39d5340f49bbep-17, -0x1.383a18c1b3d4p-17, -0x1.369ecd58f7149p-17, -0x1.3503466dfd3dap-17, -0x1.3367793cab919p-17, -0x1.31cb5ba0c36cfp-17, -0x1.302ee41325275p-17, -0x1.2e9209a5bc4p-17, -0x1.2cf4c4006fd03p-17, -0x1.2b570b5e38505p-17, -0x1.29b8d888dc35dp-17, -0x1.281a24d6c6fa8p-17, -0x1.267aea275d31dp-17, -0x1.24db22dfee466p-17, -0x1.233ac9e7f1eebp-17, -0x1.2199daa6b801dp-17, -0x1.1ff850ff88605p-17, -0x1.1e56294efd09cp-17, -0x1.1cb36067f3da6p-17, -0x1.1b0ff3902eb7ep-17, -0x1.196be07d974fap-17, -0x1.17c7255324df2p-17, -0x1.1621c09db4de1p-17, -0x1.147bb151d49f9p-17, -0x1.12d4f6c81abb5p-17, -0x1.112d90ba852c1p-17, -0x1.0f857f41eb071p-17, -0x1.0ddcc2d2c7759p-17, -0x1.0c335c3aeeba4p-17, -0x1.0a894c9e43677p-17, -0x1.08de9574b70d7p-17, -0x1.0733388741e16p-17, -0x1.058737ed4acc6p-17, -0x1.03da960a217f9p-17, -0x1.022d558a55134p-17, -0x1.007f79618423fp-17, -0x1.fda2098fc11afp-18, -0x1.fa43f66f12b64p-18, -0x1.f6e4c0d40ee68p-18, -0x1.f38470acc4e43p-18, -0x1.f0230e5d24792p-18, -0x1.ecc0a2ba6a587p-18, -0x1.e95d3707aa191p-18, -0x1.e5f8d4ef9bcaap-18, -0x1.e29386820a814p-18, -0x1.df2d562e4f23cp-18, -0x1.dbc64ec0022d8p-18, -0x1.d85e7b5ad0131p-18, -0x1.d4f5e775def94p-18, -0x1.d18c9ed8baaf8p-18, -0x1.ce22ad9669fc4p-18, -0x1.cab8200afc935p-18, -0x1.c74d02d7205bfp-18, -0x1.c3e162dbea046p-18, -0x1.c0754d3866b7cp-18, -0x1.bd08cf45364a5p-18, -0x1.b99bf6925b315p-18, -0x1.b62ed0e29a75ep-18, -0x1.b2c16c2875cf3p-18, -0x1.af53d6834fd17p-18, -0x1.abe61e3c3b5fp-18, -0x1.a87851c33aa5dp-18, -0x1.a50a7fabb536bp-18, -0x1.a19cb6a98448p-18, -0x1.9e2f058ec9987p-18, -0x1.9ac17b485236bp-18, -0x1.975426db91ff7p-18, -0x1.93e7176332c82p-18, -0x1.907a5c0d88eb5p-18, -0x1.8d0e04192b632p-18, -0x1.89a21ed335e4ap-18, -0x1.8636bb9408c12p-18, -0x1.82cbe9bd63848p-18, -0x1.7f61b8b8430d2p-18, -0x1.7bf837f2d3cffp-18, -0x1.788f76dd7bcd2p-18, -0x1.752784e983db4p-18, -0x1.71c07186b9373p-18, -0x1.6e5a4c2197fdbp-18, -0x1.6af52421857e1p-18, -0x1.679108e652167p-18, -0x1.642e09c70bffcp-18, -0x1.60cc360fc656dp-18, -0x1.5d6b9d00a466dp-18, -0x1.5a0c4dcb2d1d3p-18, -0x1.56ae57913656ap-18, -0x1.5351c963853a4p-18, -0x1.4ff6b24025168p-18, -0x1.4c9d2110a80b4p-18, -0x1.494524a8d00b9p-18, -0x1.45eecbc5fd98fp-18, -0x1.429a250cc3342p-18, -0x1.3f473f08378f4p-18, -0x1.3bf62828bf21bp-18, -0x1.38a6eec2f8e5p-18, -0x1.3559a10df3c26p-18, -0x1.320e4d22b1c46p-18, -0x1.2ec500fadceap-18, -0x1.2b7dca708e5ebp-18, -0x1.2838b73bdaffdp-18, -0x1.24f5d4f2f3eeep-18, -0x1.21b5310937563p-18, -0x1.1e76d8cdc2117p-18, -0x1.1b3ad96b83db5p-18, -0x1.18013fe75471cp-18, -0x1.14ca19207cc8bp-18, -0x1.119571ced6458p-18, -0x1.0e6356830b4f5p-18, -0x1.0b33d3a52a686p-18, -0x1.0806f574d8e8fp-18, -0x1.04dcc80839654p-18, -0x1.01b5574b4ad84p-18, -0x1.fd215dff824ep-19, -0x1.f6ddb579615ap-19, -0x1.f09fcbdac338bp-19, -0x1.ea67b7a412a5ap-19, -0x1.e4358efbbb87ap-19, -0x1.de0967b0365e3p-19, -0x1.d7e35735302f8p-19, -0x1.d1c372a56be09p-19, -0x1.cba9cec04afbdp-19, -0x1.c5967fea05085p-19, -0x1.bf899a29ca3a6p-19, -0x1.b983312c36a3fp-19, -0x1.b383583ff9028p-19, -0x1.ad8a225788dacp-19, -0x1.a797a2079668cp-19, -0x1.a1abe987c4d22p-19, -0x1.9bc70ab285413p-19, -0x1.95e917031b9c2p-19, -0x1.90121f989ca29p-19, -0x1.8a4235326327dp-19, -0x1.847968331642ep-19, -0x1.7eb7c89e8c023p-19, -0x1.78fd661b8f186p-19, -0x1.734a4ff1e1454p-19, -0x1.6d9e950c2fb37p-19, -0x1.67fa43f724513p-19, -0x1.625d6ae25db1p-19, -0x1.5cc817a02fa09p-19, -0x1.573a57a54129p-19, -0x1.51b43809e4b4ep-19, -0x1.4c35c58a2df79p-19, -0x1.46bf0c85e78d4p-19, -0x1.4150190134f72p-19, -0x1.3be8f6a3e5ab2p-19, -0x1.3689b0bb7b50fp-19, -0x1.3132523afdf28p-19, -0x1.2be2e5baaa206p-19, -0x1.269b7579beb07p-19, -0x1.215c0b5d3428ep-19, -0x1.1c24b0f322a14p-19, -0x1.16f56f6eff11fp-19, -0x1.11ce4faed8c09p-19, -0x1.0caf5a3822a47p-19, -0x1.0798973a85b44p-19, -0x1.028a0e8fa8fb8p-19, -0x1.fb078f771f22cp-20, -0x1.f10b93dc5029fp-20, -0x1.e720380689376p-20, -0x1.dd458906150cep-20, -0x1.d37b934655e52p-20, -0x1.c9c2628edfeb9p-20, -0x1.c01a0203d577ap-20, -0x1.b6827c2a58fc1p-20, -0x1.acfbdae50f831p-20, -0x1.a386277a45445p-20, -0x1.9a216a9300245p-20, -0x1.90cdac3e8c34dp-20, -0x1.878af3efa1e89p-20, -0x1.7e594882cfd59p-20, -0x1.7538b03d8522dp-20, -0x1.6c2930d168ffep-20, -0x1.632acf5ab1375p-20, -0x1.5a3d906556f5fp-20, -0x1.516177ec7b256p-20, -0x1.4896895de765ap-20, -0x1.3fdcc79800515p-20, -0x1.373434f175872p-20, -0x1.2e9cd3331ac6p-20, -0x1.2616a3a20c4e1p-20, -0x1.1da1a6fa010b3p-20, -0x1.153ddd749777ap-20, -0x1.0ceb46c73b322p-20, -0x1.04a9e225f538ap-20, -0x1.f8f35c8ca3651p-21, -0x1.e8b552bfec1ap-21, -0x1.d899a2598faabp-21, -0x1.c8a045ded2525p-21, -0x1.b8c936ddcf0aap-21, -0x1.a9146dfb60765p-21, -0x1.9981e2eec3773p-21, -0x1.8a118c8a488cfp-21, -0x1.7ac360ba26eb9p-21, -0x1.6b975490102e4p-21, -0x1.5c8d5c3997778p-21, -0x1.4da56b104c4ap-21, -0x1.3edf739532ecdp-21, -0x1.303b677aba385p-21, -0x1.21b9379dc38e9p-21, -0x1.1358d4157bfcdp-21, -0x1.051a2c2e86398p-21, -0x1.edfa5ce07dbc4p-22, -0x1.d20391425d996p-22, -0x1.b64fcf914206cp-22, -0x1.9adef06765742p-22, -0x1.7fb0caf181f96p-22, -0x1.64c534f051f46p-22, -0x1.4a1c02c6fd886p-22, -0x1.2fb50778c8a1fp-22, -0x1.159014b7faac9p-22, -0x1.f759f5cd1c8e2p-23, -0x1.c417123715deep-23, -0x1.91571a687c7cbp-23, -0x1.5f19a7973c448p-23, -0x1.2d5e50969ec13p-23, -0x1.f84953b9ab72ap-24, -0x1.96d88b19826adp-24, -0x1.36696710100ffp-24, -0x1.adf605e84b3ccp-25, -0x1.e231d6c333814p-26, -0x1.b1cd215b9f072p-28, 0x1.05536547b375p-26, 0x1.399303f74b541p-25, 0x1.ee8442b8da625p-25, 0x1.50bfb4a7a8055p-24, 0x1.a9433d17dd0c9p-24, 0x1.0066dfab23896p-23, 0x1.2bb021e2c386cp-23, 0x1.567deb27419c3p-23, 0x1.80d0c31e48c26p-23, 0x1.aaa933175b976p-23, 0x1.d407c60041d26p-23, 0x1.fced0863b3ec3p-23, 0x1.12acc425e4c02p-22, 0x1.26a6eaa3ce60cp-22, 0x1.3a65402c4f76dp-22, 0x1.4de80df69f509p-22, 0x1.612f9de84a5d8p-22, 0x1.743c3a8ef7ec1p-22, 0x1.870e2f20d6134p-22, 0x1.99a5c774dc84bp-22, 0x1.ac034ff7928bcp-22, 0x1.be2715b498f0ep-22, 0x1.d01166400cecfp-22, 0x1.e1c28fbf984cep-22, 0x1.f33ae0e0decb6p-22, 0x1.023d54685ab41p-21, 0x1.0ac11b9e2b3bdp-21, 0x1.1328ee2711896p-21, 0x1.1b74f44eaa104p-21, 0x1.23a5569bfc739p-21, 0x1.2bba3dcbfb931p-21, 0x1.33b3d2cbbd6c9p-21, 0x1.3b923ec0d1a06p-21, 0x1.4355aaf8988eap-21, 0x1.4afe40f331f0fp-21, 0x1.528c2a5acc2d4p-21, 0x1.59ff90ffbc4a5p-21, 0x1.61589edd961f5p-21, 0x1.68977e11e1d96p-21, 0x1.6fbc58dfa02f4p-21, 0x1.76c759a8c269ep-21, 0x1.7db8aaf089fb4p-21, 0x1.8490775589085p-21, 0x1.8b4ee992faac6p-21, 0x1.91f42c7defdc3p-21, 0x1.98806b016ef6ap-21, 0x1.9ef3d020f3a3ep-21, 0x1.a54e86f07f279p-21, 0x1.ab90ba9b21f5ep-21, 0x1.b1ba965782bf5p-21, 0x1.b7cc456fe1071p-21, 0x1.bdc5f338bee64p-21, 0x1.c3a7cb13c0615p-21, 0x1.c971f86ab60a2p-21, 0x1.cf24a6b331cdap-21, 0x1.d4c001650b976p-21, 0x1.da443402dfba9p-21, 0x1.dfb16a0d91a9fp-21, 0x1.e507cf0bccf6ep-21, 0x1.ea478e8561949p-21, 0x1.ef70d3fdc80b5p-21, 0x1.f483cafc14613p-21, 0x1.f9809efdfaeb4p-21, 0x1.fe677b80cfd72p-21, 0x1.019c45fcd88bp-20, 0x1.03f9fdeb254b2p-20, 0x1.064cfb3e831d2p-20, 0x1.089553a40c469p-20, 0x1.0ad31cc409144p-20, 0x1.0d066c405c8f7p-20, 0x1.0f2f57b324814p-20, 0x1.114df4b12087fp-20, 0x1.136258c486e1cp-20, 0x1.156c99706380bp-20, 0x1.176ccc2ed2f12p-20, 0x1.1963066f07112p-20, 0x1.1b4f5d97078cap-20, 0x1.1d31e701ac343p-20, 0x1.1f0ab7fe7b8dcp-20, 0x1.20d9e5d1288cdp-20, 0x1.229f85b1a87a4p-20, 0x1.245bacca017b6p-20, 0x1.260e703862adbp-20, 0x1.27b7e50bf6304p-20, 0x1.295820471860dp-20, 0x1.2aef36dba9ebcp-20, 0x1.2c7d3daf041p-20, 0x1.2e024994b7293p-20, 0x1.2f7e6f515458dp-20, 0x1.30f1c39a53011p-20, 0x1.325c5b11f9eb3p-20, 0x1.33be4a4c1d4dcp-20, 0x1.3517a5c90115p-20, 0x1.366881f88dc3dp-20, 0x1.37b0f337d2e33p-20, 0x1.38f10dd1568f6p-20, 0x1.3a28e5fd618f7p-20, 0x1.3b588fdfe1763p-20, 0x1.3c801f8ae3e42p-20, 0x1.3d9fa8fa4f416p-20, 0x1.3eb74018f29fbp-20, 0x1.3fc6f8ba10707p-20, 0x1.40cee69e460cbp-20, 0x1.41cf1d70c8f78p-20, 0x1.42c7b0c63557cp-20, 0x1.43b8b41fec5abp-20, 0x1.44a23ae72dd33p-20, 0x1.45845870360bfp-20, 0x1.465f1ff9c143ap-20, 0x1.4732a4aa0f499p-20, 0x1.47fef991d6a81p-20, 0x1.48c431ab50389p-20, 0x1.49825fd759e1fp-20, 0x1.4a3996e2414dap-20, 0x1.4ae9e97dcfbe5p-20, 0x1.4b936a4645314p-20, 0x1.4c362bbe743edp-20, 0x1.4cd2405174c0ep-20, 0x1.4d67ba51eda9bp-20, 0x1.4df6abfa1e3d2p-20, 0x1.4e7f276b4df2ep-20, 0x1.4f013ead9c0aap-20, 0x1.4f7d03b17e50dp-20, 0x1.4ff2884bc3a1cp-20, 0x1.5061de3ad6868p-20, 0x1.50cb172120aa5p-20, 0x1.512e448950fa3p-20, 0x1.518b77e310dbbp-20, 0x1.51e2c2855a8acp-20, 0x1.523435ac6224ep-20, 0x1.527fe27a7e8d4p-20, 0x1.52c5d9f896f3bp-20, 0x1.53062d1417678p-20, 0x1.5340eca1b26ep-20, 0x1.53762959da45ap-20, 0x1.53a5f3dcad17dp-20, 0x1.53d05cad830a3p-20, 0x1.53f57436f4f48p-20, 0x1.54154ac812b84p-20, 0x1.542ff094c2f1fp-20, 0x1.544575b7b06c4p-20, 0x1.5455ea2eb7dc1p-20, 0x1.54615dde553fap-20, 0x1.5467e08fdec5bp-20, 0x1.546981f04fd1dp-20, 0x1.546651946dac6p-20, 0x1.545e5ef2cebc9p-20, 0x1.5451b9699bf74p-20, 0x1.5440703a6fa47p-20, 0x1.542a928c67b75p-20, 0x1.54102f6b6d56bp-20, 0x1.53f155c8328e6p-20, 0x1.53ce1478f08bp-20, 0x1.53a67a37bab6ap-20, 0x1.537a95a4c056p-20, 0x1.534a75443da63p-20, 0x1.5316277fca35p-20, 0x1.52ddbaa5e46f7p-20, 0x1.52a13cea28f8ap-20, 0x1.5260bc64990afp-20, 0x1.521c471348828p-20, 0x1.51d3ead7d712bp-20, 0x1.5187b57b1e367p-20, 0x1.5137b4a873293p-20, 0x1.50e3f5f318c9p-20, 0x1.508c86d11656bp-20, 0x1.5031749f59d7fp-20, 0x1.4fd2cc9f1db39p-20, 0x1.4f709bf7b1405p-20, 0x1.4f0aefb4c1813p-20, 0x1.4ea1d4c8e929p-20, 0x1.4e35580acebb6p-20, 0x1.4dc586373b81bp-20, 0x1.4d526bf11f002p-20, 0x1.4cdc15bfc4193p-20, 0x1.4c62901196196p-20, 0x1.4be5e73a0c113p-20, 0x1.4b6627725dd6dp-20, 0x1.4ae35cda538d6p-20, 0x1.4a5d9376fd0f5p-20, 0x1.49d4d7349628ap-20, 0x1.494933e3a706cp-20, 0x1.48bab53d9b0bep-20, 0x1.482966df82cfp-20, 0x1.4795544eddaa5p-20, 0x1.46fe88f68d33ap-20, 0x1.4665102870d4ap-20, 0x1.45c8f51cc213ap-20, 0x1.452a42f36c25bp-20, }}, 
      {{0x1.14336d7168bffp-1, 0x1.1419bd9602653p-1, 0x1.13f61957d8352p-1, 0x1.13ce5b890fabap-1, 0x1.13a6a5b1a1a48p-1, 0x1.13812e4c2d76bp-1, 0x1.135e9b62d42f8p-1, 0x1.133e84fc1ce8bp-1, 0x1.131fee2ce106p-1, 0x1.1301a2907a906p-1, 0x1.12e275e61a986p-1, 0x1.12c16a577c61fp-1, 0x1.129dc3bb961cap-1, 0x1.12770db1b1318p-1, 0x1.124d1936d9f02p-1, 0x1.121ff51225194p-1, 0x1.11efe36ad7c79p-1, 0x1.11bd4e1ad72c3p-1, 0x1.1188baccad6a6p-1, 0x1.1152bf9d4b1c1p-1, 0x1.111bf8be8f241p-1, 0x1.10e4ff6d1d04cp-1, 0x1.10ae626b11a7fp-1, 0x1.1078a01600ba4p-1, 0x1.10442217d0d28p-1, 0x1.10113a9f370cfp-1, 0x1.0fe022fdbfe46p-1, 0x1.0fb0fb7ead2c6p-1, 0x1.0f83cc43652edp-1, 0x1.0f5886ef6b819p-1, 0x1.0f2f08ee55559p-1, 0x1.0f071e215a9bdp-1, 0x1.0ee083c728483p-1, 0x1.0ebaeb76f6fdap-1, 0x1.0e95fe0ececd6p-1, 0x1.0e715e7bf0f7ep-1, 0x1.0e4cac4b19c8bp-1, 0x1.0e2785f47164ap-1, 0x1.0e018adc52b3bp-1, 0x1.0dda5d068c53dp-1, 0x1.0db1a27d3f9c5p-1, 0x1.0d87066f3b79bp-1, 0x1.0d5a3a0b82727p-1, 0x1.0d2af520e60b7p-1, 0x1.0cf8f6893008dp-1, 0x1.0cc404677af1p-1, 0x1.0c8bec4119ad8p-1, 0x1.0c5082f7f2904p-1, 0x1.0c11a4ac8e316p-1, 0x1.0bcf348d50477p-1, 0x1.0b891c978e026p-1, 0x1.0b3f4d4e6d194p-1, 0x1.0af1bd6ab307ap-1, 0x1.0aa069860b34ep-1, 0x1.0a4b53c3abc43p-1, 0x1.09f28377c4fdep-1, 0x1.099604cebc29cp-1, 0x1.0935e874dcb8bp-1, 0x1.08d2433eef39fp-1, 0x1.086b2dd3edf82p-1, 0x1.0800c457f952bp-1, 0x1.0793261891542p-1, 0x1.0722753a17983p-1, 0x1.06aed666943bcp-1, 0x1.0638707dc3c5fp-1, 0x1.05bf6c4672706p-1, 0x1.0543f4213c564p-1, 0x1.04c633bcc9307p-1, 0x1.044657cbb0b38p-1, 0x1.03c48dbc31c7fp-1, 0x1.03410371f4774p-1, 0x1.02bbe702168c8p-1, 0x1.02356671bba3ep-1, 0x1.01adaf7768212p-1, 0x1.0124ef3f6234dp-1, 0x1.009b5233587c9p-1, 0x1.001103c58571ap-1, 0x1.ff0c5c7f06333p-2, 0x1.fdf5f529f428ap-2, 0x1.fcdf20749ca72p-2, 0x1.fbc829fecbb7ep-2, 0x1.fab159dd3093ap-2, 0x1.f99af45fa2e15p-2, 0x1.f88539dfc8e2p-2, 0x1.f77066980b3p-2, 0x1.f65cb282b03f6p-2, 0x1.f54a5140e7c34p-2, 0x1.f439720989483p-2, 0x1.f32a3f9f29363p-2, 0x1.f21ce04d35f16p-2, 0x1.f11175eba73bap-2, 0x1.f0081de8e148p-2, 0x1.ef00f15949c1ep-2, 0x1.edfc050c1ea17p-2, 0x1.ecf969a50e61bp-2, 0x1.ebf92bba127c4p-2, 0x1.eafb53f5148c5p-2, 0x1.e9ffe738db06cp-2, 0x1.e906e6c8c3456p-2, 0x1.e8105072daf09p-2, 0x1.e71c1ebbd7eb1p-2, 0x1.e62a490c8bca6p-2, 0x1.e53ac3e067fddp-2, 0x1.e44d80f4af3d4p-2, 0x1.e3626f77f936ap-2, 0x1.e2797c39b478fp-2, 0x1.e19291d95c49p-2, 0x1.e0ad98f514f8dp-2, 0x1.dfca785776046p-2, 0x1.dee9152448c7fp-2, 0x1.de09530407ea3p-2, 0x1.dd2b144df5411p-2, 0x1.dc4e3a30a7689p-2, 0x1.db72a4d8ec4c9p-2, 0x1.da983396e6427p-2, 0x1.d9bec5015bc7cp-2, 0x1.d8e637172144cp-2, 0x1.d80e675e9aa09p-2, 0x1.d737330350b0ap-2, 0x1.d66076f1976ffp-2, 0x1.d58a0ff04ab5fp-2, 0x1.d4b3dab8ac6afp-2, 0x1.d3ddb40c61273p-2, 0x1.d30778c9a993fp-2, 0x1.d23105fdd7ae6p-2, 0x1.d15a38f617abfp-2, 0x1.d082ef4e9ef8ap-2, 0x1.cfab07004f624p-2, 0x1.ced25e6ce5c01p-2, 0x1.cdf8d469cd287p-2, 0x1.cd1e48499f0f6p-2, 0x1.cc4299e47772cp-2, 0x1.cb65a99f2028ap-2, 0x1.ca87587136ee6p-2, 0x1.c9a787ea5ef09p-2, 0x1.c8c61a368cbe8p-2, 0x1.c7e2f2218a213p-2, 0x1.c6fdf319bf785p-2, 0x1.c617013254a58p-2, 0x1.c52e0124c377dp-2, 0x1.c442d851e06f1p-2, 0x1.c3556cc2751bp-2, 0x1.c265a5277633dp-2, 0x1.c17368d9e37efp-2, 0x1.c07e9fda60e52p-2, 0x1.bf8732d09428bp-2, 0x1.be8d0b0a52abbp-2, 0x1.bd90127aaab49p-2, 0x1.bc9033b8cf3bep-2, 0x1.bb8d59fef292cp-2, 0x1.ba8771291285ep-2, 0x1.b97e65b3c5d24p-2, 0x1.b87224bb022p-2, 0x1.b7629bf8f324p-2, 0x1.b64fb9c4d2a3p-2, 0x1.b5396d11d7c39p-2, 0x1.b41fa56e3402dp-2, 0x1.b302530224d4bp-2, 0x1.b1e1668f1e557p-2, 0x1.b0bcd16f08e54p-2, 0x1.af9485939f4fp-2, 0x1.ae687585dc539p-2, 0x1.ad3894658a132p-2, 0x1.ac04d5e8e29dp-2, 0x1.aacd2e5c4f48cp-2, 0x1.a99192a23855bp-2, 0x1.a851f832f1905p-2, 0x1.a70e551cb2d9p-2, 0x1.a5c6a003a9bbp-2, 0x1.a47ad0221754ep-2, 0x1.a32add488048ap-2, 0x1.a1d6bfdde6593p-2, 0x1.a07e70e00bb49p-2, 0x1.9f21e9e3c28eap-2, 0x1.9dc125153c4b5p-2, 0x1.9c5c1d3860938p-2, 0x1.9af2cda924da4p-2, 0x1.9985325be05ddp-2, 0x1.981347dd9df51p-2, 0x1.969d0b546906cp-2, 0x1.95227a7f9225dp-2, 0x1.93a393b7e83dfp-2, 0x1.922055efe813p-2, 0x1.9098c0b3dbec1p-2, 0x1.8f0cd429ef5d7p-2, 0x1.8d7c91122ae33p-2, 0x1.8be7f8c6647c3p-2, 0x1.8a4f0d3a1571ap-2, 0x1.88b1d0fa1ef74p-2, 0x1.8710472c7549bp-2, 0x1.856a738fb37d1p-2, 0x1.83c05a7a94e8ap-2, 0x1.821200db5743p-2, 0x1.805f6c36ffb73p-2, 0x1.7ea8a2a88444fp-2, 0x1.7cedaadfdabd4p-2, 0x1.7b2e8c20eab82p-2, 0x1.796b4e426212ep-2, 0x1.77a3f9ac6d489p-2, 0x1.75d897575252ep-2, 0x1.740930c9ee138p-2, 0x1.7235d0181597dp-2, 0x1.705e7fe0dac65p-2, 0x1.6e834b4cb1611p-2, 0x1.6ca43e0b7d9adp-2, 0x1.6ac1645280cep-2, 0x1.68dacada2ee4fp-2, 0x1.66f07edbe72b6p-2, 0x1.65028e0f939e1p-2, 0x1.631106a92f288p-2, 0x1.611bf75632d12p-2, 0x1.5f236f3aeb25bp-2, 0x1.5d277defb7398p-2, 0x1.5b28337e2fe3cp-2, 0x1.5925a05e3c14ap-2, 0x1.571fd573107e8p-2, 0x1.5516e4081a22fp-2, 0x1.530addcdd9ebbp-2, 0x1.50fbd4d6ac78dp-2, 0x1.4ee9db9383dc8p-2, 0x1.4cd504d092621p-2, 0x1.4abd63b1e50ffp-2, 0x1.48a30baff4ecap-2, 0x1.468610942b82ep-2, 0x1.446686755b155p-2, 0x1.424481b4326bfp-2, 0x1.402016f7a1adcp-2, 0x1.3df95b293eca1p-2, 0x1.3bd06371a0a4cp-2, 0x1.39a54534b41aep-2, 0x1.3778160e1339ep-2, 0x1.3548ebcd51079p-2, 0x1.3317dc724cc43p-2, 0x1.30e4fe297e939p-2, 0x1.2eb0674846c9ep-2, 0x1.2c7a2e493f6bp-2, 0x1.2a4269c88fdd9p-2, 0x1.2809308041eeep-2, 0x1.25ce99449ec25p-2, 0x1.2392bb008ed43p-2, 0x1.2155acb201063p-2, 0x1.1f17856658455p-2, 0x1.1cd85c36e1fa6p-2, 0x1.1a98484554668p-2, 0x1.185760b856ab7p-2, 0x1.1615bcb81362cp-2, 0x1.13d3736ad6a43p-2, 0x1.11909bf1b5b8bp-2, 0x1.0f4d4d6544e0fp-2, 0x1.0d099ed259dc5p-2, 0x1.0ac5a736dc835p-2, 0x1.08817d7ea2601p-2, 0x1.063d38805e126p-2, 0x1.03f8eefa97eefp-2, 0x1.01b4b790badadp-2, 0x1.fee151905f535p-3, 0x1.fa59b20b0dff5p-3, 0x1.f5d2bd136d1adp-3, 0x1.f14c9eded0a84p-3, 0x1.ecc78350a9d08p-3, 0x1.e84395f573b49p-3, 0x1.e3c101fdaf323p-3, 0x1.df3ff239128f6p-3, 0x1.dac09111d62b9p-3, 0x1.d643088828c7p-3, 0x1.d1c7822dc8badp-3, 0x1.cd4e2721c2235p-3, 0x1.c8d7200c58239p-3, 0x1.c462951b0dd3ep-3, 0x1.bff0adfcd7a62p-3, 0x1.bb8191de75412p-3, 0x1.b7156766f12d8p-3, 0x1.b2ac54b443b34p-3, 0x1.ae467f5820cfcp-3, 0x1.a9e40c54e87abp-3, 0x1.a585201abd9eap-3, 0x1.a129de84c82b3p-3, 0x1.9cd26ad6934d8p-3, 0x1.987ee7b99a469p-3, 0x1.942f773af40b5p-3, 0x1.8fe43ac92adfcp-3, 0x1.8b9d53322d73ep-3, 0x1.875ae0a172246p-3, 0x1.831d029e2f574p-3, 0x1.7ee3d809c5fbep-3, 0x1.7aaf7f1e40462p-3, 0x1.7680156cfe27p-3, 0x1.7255b7dd816fap-3, 0x1.6e3082ac52953p-3, 0x1.6a10916a14f4cp-3, 0x1.65f5fefab1149p-3, 0x1.61e0e5949e8fdp-3, 0x1.5dd15ec05678ap-3, 0x1.59c78357d58f2p-3, 0x1.55c36b864eda1p-3, 0x1.51c52ec7e8ccap-3, 0x1.4dcce3e9a3c49p-3, 0x1.49daa1095a0a1p-3, 0x1.45ee7b95d870dp-3, 0x1.4208884f115c6p-3, 0x1.3e28db467131ap-3, 0x1.3a4f87df40daap-3, 0x1.367ca0cf2c5b7p-3, 0x1.32b0381ed85acp-3, 0x1.2eea5f2a96737p-3, 0x1.2b2b26a326b87p-3, 0x1.27729e8e9c679p-3, 0x1.23c0d6494c491p-3, 0x1.2015dc86d3b09p-3, 0x1.1c71bf53365cbp-3, 0x1.18d48c1408a6dp-3, 0x1.153e4f89b79b6p-3, 0x1.11af15d0d496bp-3, 0x1.0e26ea637c267p-3, 0x1.0aa5d81acda14p-3, 0x1.072be93068e74p-3, 0x1.03b927400a09ep-3, 0x1.004d9b492250fp-3, 0x1.f9d29b6121d2dp-4, 0x1.f3188c84b3a53p-4, 0x1.ec6d1866e5906p-4, 0x1.e5d04c472ca9ep-4, 0x1.df42343e4d75p-4, 0x1.d8c2db4231878p-4, 0x1.d2524b29d24b1p-4, 0x1.cbf08cb138da6p-4, 0x1.c59da77d8a2fap-4, 0x1.bf59a2212db5bp-4, 0x1.b924821ff9206p-4, 0x1.b2fe4bf36c1acp-4, 0x1.ace7030f02d3p-4, 0x1.a6dea9e488871p-4, 0x1.a0e541e87d6b4p-4, 0x1.9afacb968014cp-4, 0x1.951f4675c281cp-4, 0x1.8f52b11d927a6p-4, 0x1.89950939d000dp-4, 0x1.83e64b8f825dp-4, 0x1.7e46740164302p-4, 0x1.78b57d947a9ccp-4, 0x1.73336274abe89p-4, 0x1.6dc01bf95b917p-4, 0x1.685ba2aa0473dp-4, 0x1.6305ee42d80a9p-4, 0x1.5dbef5b95ab1cp-4, 0x1.5886af4103137p-4, 0x1.535d104fd0c96p-4, 0x1.4e420da2eb6fep-4, 0x1.49359b43361c9p-4, 0x1.4437ac89e0b8bp-4, 0x1.3f483424fdc13p-4, 0x1.3a67241c05612p-4, 0x1.35946dd45f0e6p-4, 0x1.30d00215dd9a7p-4, 0x1.2c19d10f3b9d8p-4, 0x1.2771ca5a8b36fp-4, 0x1.22d7dd019f4b2p-4, 0x1.1e4bf7826db83p-4, 0x1.19ce07d36b8f8p-4, 0x1.155dfb67db3cp-4, 0x1.10fbbf34139f7p-4, 0x1.0ca73fb1bf9edp-4, 0x1.086068e40f6efp-4, 0x1.0427265be1f6ap-4, 0x1.fff6c677c5dc4p-5, 0x1.f7ba147937f4bp-5, 0x1.ef980b60fbba8p-5, 0x1.e7907f0fb2396p-5, 0x1.dfa342a99aad8p-5, 0x1.d7d0289e5998ap-5, 0x1.d01702b0a1957p-5, 0x1.c877a1fdc6004p-5, 0x1.c0f1d7052bd89p-5, 0x1.b98571afb4a7dp-5, 0x1.b2324156ec2f7p-5, 0x1.aaf814cc3f96ap-5, 0x1.a3d6ba5ffb98bp-5, 0x1.9ccdffe83f173p-5, 0x1.95ddb2c7cda6fp-5, 0x1.8f059ff4c2192p-5, 0x1.884593ff29cb4p-5, 0x1.819d5b1779f78p-5, 0x1.7b0cc114f697fp-5, 0x1.7493917bee5d3p-5, 0x1.6e319783de5e1p-5, 0x1.67e69e1d7b63ap-5, 0x1.61b26ff898064p-5, 0x1.5b94d789f337bp-5, 0x1.558d9f10e3445p-5, 0x1.4f9c909cec6b5p-5, 0x1.49c176132a149p-5, 0x1.43fc1933ae85ep-5, 0x1.3e4c439eb58f8p-5, 0x1.38b1bed9c4383p-5, 0x1.332c54549ff38p-5, 0x1.2dbbcd6e381f4p-5, 0x1.285ff37963858p-5, 0x1.23188fc189d0ep-5, 0x1.1de56b8f30db3p-5, 0x1.18c6502c63fbdp-5, 0x1.13bb06e911d6ap-5, 0x1.0ec3591f32932p-5, 0x1.09df1036ecabep-5, 0x1.050df5aa94716p-5, 0x1.004fd30a885efp-5, 0x1.f748e401f3746p-6, 0x1.ee1738ab39d9dp-6, 0x1.e50a37e273b2cp-6, 0x1.dc2175c249ecbp-6, 0x1.d35c86b53018cp-6, 0x1.cabaff7bf90c6p-6, 0x1.c23c753420eacp-6, 0x1.b9e07d5df5675p-6, 0x1.b1a6ade28183ep-6, 0x1.a98e9d194f164p-6, 0x1.a197e1cdf927fp-6, 0x1.99c213457c309p-6, 0x1.920cc94374b89p-6, 0x1.8a779c0f15811p-6, 0x1.83022477fa7cap-6, 0x1.7babfbdad5c83p-6, 0x1.7474bc25dbe69p-6, 0x1.6d5bffdd1db09p-6, 0x1.6661621e9861bp-6, 0x1.5f847ea63bcbp-6, 0x1.58c4f1d1aadbbp-6, 0x1.522258a3ed626p-6, 0x1.4b9c50c8d9542p-6, 0x1.4532789872ecfp-6, 0x1.3ee46f1a14854p-6, 0x1.38b1d40775546p-6, 0x1.329a47cf8a336p-6, 0x1.2c9d6b993fabbp-6, 0x1.26bae14613a78p-6, 0x1.20f24b7484e95p-6, 0x1.1b434d826bfedp-6, 0x1.15ad8b8f1f6dp-6, 0x1.1030aa7d8f6afp-6, 0x1.0acc4ff623af2p-6, 0x1.058022689720fp-6, 0x1.004bc90d99224p-6, 0x1.f65dd7d0cf9e1p-7, 0x1.ec52679077983p-7, 0x1.e274949336e88p-7, 0x1.d8c3b3af360bfp-7, 0x1.cf3f1b59d9ee2p-7, 0x1.c5e623a9d0dccp-7, 0x1.bcb82658f1098p-7, 0x1.b3b47ec5b487dp-7, 0x1.aada89f4aa085p-7, 0x1.a229a691bf94ap-7, 0x1.99a134f120ec8p-7, 0x1.914097103913p-7, 0x1.890730964343cp-7, 0x1.80f466d4c834cp-7, 0x1.7907a0c8036b5p-7, 0x1.71404716f6ef9p-7, 0x1.699dc41380694p-7, 0x1.621f83ba27dd8p-7, 0x1.5ac4f3b1d0de9p-7, 0x1.538d834b55375p-7, 0x1.4c78a380e8b32p-7, 0x1.4585c6f55f33ep-7, 0x1.3eb461f353ad8p-7, 0x1.3803ea6c34402p-7, 0x1.3173d7f724a9cp-7, 0x1.2b03a3cfc3298p-7, 0x1.24b2c8d4dc37fp-7, 0x1.1e80c386e92ffp-7, 0x1.186d1206978dep-7, 0x1.127734130e98ep-7, 0x1.0c9eab08335c1p-7, 0x1.06e2f9dcd61b2p-7, 0x1.0143a520bcdfcp-7, 0x1.f78065f5109e3p-8, 0x1.ecb0564b8beap-8, 0x1.e2162de0f5c61p-8, 0x1.d7b102722e52bp-8, 0x1.cd7fecd7fcb29p-8, 0x1.c38209022b9afp-8, 0x1.b9b675f2b31e2p-8, 0x1.b01c55b8741fap-8, 0x1.a6b2cd6a24322p-8, 0x1.9d790520ba3b6p-8, 0x1.946e27f2170c9p-8, 0x1.8b9163eb6c1ccp-8, 0x1.82e1ea0b8e8fcp-8, 0x1.7a5eee3d06671p-8, 0x1.7207a75063c8ep-8, 0x1.69db4ef61af64p-8, 0x1.61d921b8988d6p-8, 0x1.5a005ef607431p-8, 0x1.525048da344afp-8, 0x1.4ac8245830c19p-8, 0x1.4367392420688p-8, 0x1.3c2cd1acb0479p-8, 0x1.35183b14b7871p-8, 0x1.2e28c52cccbffp-8, 0x1.275dc26c9f0f3p-8, 0x1.20b687ec71c84p-8, 0x1.1a326d5e6d176p-8, 0x1.13d0cd0825862p-8, 0x1.0d9103bbac287p-8, 0x1.077270d123a43p-8, 0x1.0174761fb9914p-8, 0x1.f72cefee3eb73p-9, 0x1.ebafba317fbf2p-9, 0x1.e0701d61b2e0ep-9, 0x1.d56cf09fa8c77p-9, 0x1.caa50fc6d384p-9, 0x1.c0175b5fb6484p-9, 0x1.b5c2b892482cbp-9, 0x1.aba6111859382p-9, 0x1.a1c0532ffb57ep-9, 0x1.9810718e1ce21p-9, 0x1.8e9563509dac7p-9, 0x1.854e23f11f99dp-9, 0x1.7c39b3376cc1ap-9, 0x1.7357152bce646p-9, 0x1.6aa55209edcc5p-9, 0x1.6223763332935p-9, 0x1.59d0922193306p-9, 0x1.51abba5a2ca91p-9, 0x1.49b40760059c5p-9, 0x1.41e895a6e1a04p-9, 0x1.3a48858637874p-9, 0x1.32d2fb2be6578p-9, 0x1.2b871e8f8d847p-9, 0x1.24641b6548a75p-9, 0x1.1d692110f7657p-9, 0x1.16956299641edp-9, 0x1.0fe8169bb2acp-9, 0x1.0960773eaf052p-9, 0x1.02fdc22614078p-9, 0x1.f97e70ccaf4cfp-10, 0x1.ed483cf02b704p-10, 0x1.e1577857ff3b3p-10, 0x1.d5aab93c9cc2bp-10, 0x1.ca409c5645ecap-10, 0x1.bf17c4c416f43p-10, 0x1.b42edbf4c1476p-10, 0x1.a984918eca8a9p-10, 0x1.9f179b590aa8fp-10, 0x1.94e6b523484b9p-10, 0x1.8af0a0afab3c2p-10, 0x1.8134259b58db9p-10, 0x1.77b0114842d79p-10, 0x1.6e6336c67e87fp-10, 0x1.654c6ebe0500dp-10, 0x1.5c6a97591c082p-10, 0x1.53bc942de6ddfp-10, 0x1.4b414e297db5cp-10, 0x1.42f7b37a2d02dp-10, 0x1.3adeb77aa4959p-10, 0x1.32f5529c8b5ap-10, 0x1.2b3a8254ace8dp-10, 0x1.23ad49057fc2cp-10, 0x1.1c4cadebc3796p-10, 0x1.1517bd09f59adp-10, 0x1.0e0d8714db968p-10, 0x1.072d215fb04ecp-10, 0x1.0075a5c8ea736p-10, 0x1.f3cc654e48262p-11, 0x1.e6fbd56c3fcbfp-11, 0x1.da77ea0876f06p-11, 0x1.ce3ef9bfbfbb5p-11, 0x1.c24f638aac87fp-11, 0x1.b6a78e9988858p-11, 0x1.ab45ea30acaadp-11, 0x1.a028ed85bbb32p-11, 0x1.954f179c83ce3p-11, 0x1.8ab6ef24f342dp-11, 0x1.805f02598b2aep-11, 0x1.7645e6dd9a574p-11, 0x1.6c6a399c9c429p-11, 0x1.62ca9ea99eff2p-11, 0x1.5965c11f50e72p-11, 0x1.503a53004f9a3p-11, 0x1.47470d1806debp-11, 0x1.3e8aaedbad764p-11, 0x1.3603fe4c70963p-11, 0x1.2db1c7d8ec221p-11, 0x1.2592de40562bcp-11, 0x1.1da61a74b7b57p-11, 0x1.15ea5b7f095c9p-11, 0x1.0e5e8662065b4p-11, 0x1.070185ff0b4e9p-11, 0x1.ffa495f538fa9p-12, 0x1.f19f97417f138p-12, 0x1.e3f2079606e8ap-12, 0x1.d699e98bd2621p-12, 0x1.c9954a6e597c8p-12, 0x1.bce24207e25ep-12, 0x1.b07ef2708ef83p-12, 0x1.a46987dbe929p-12, 0x1.98a03868a5683p-12, 0x1.8d2143f1046ffp-12, 0x1.81eaf3dadf52fp-12, 0x1.76fb9ae9cf1b3p-12, 0x1.6c519511a82cep-12, 0x1.61eb4748e6cccp-12, 0x1.57c71f5cae452p-12, 0x1.4de393c5ec548p-12, 0x1.443f237cd86bap-12, 0x1.3ad855d08c42dp-12, 0x1.31adba3c6bbc7p-12, 0x1.28bde83f8f8a5p-12, 0x1.20077f35149b4p-12, 0x1.1789262c3d998p-12, 0x1.0f418bc14d0e1p-12, 0x1.072f65f819527p-12, 0x1.fea2e42bed71p-13, 0x1.ef4ce8fa38012p-13, 0x1.e05a710ff9cc5p-13, 0x1.d1c920cbfa684p-13, 0x1.c396a9f06d849p-13, 0x1.b5c0cb5d8d1e8p-13, 0x1.a84550cf9e4d6p-13, 0x1.9b221299860e4p-13, 0x1.8e54f56601b87p-13, 0x1.81dbe9f6384d1p-13, 0x1.75b4ece1fb38dp-13, 0x1.69de065ba7b9fp-13, 0x1.5e5549f108dc8p-13, 0x1.5318d651275f4p-13, 0x1.4826d5100f2d7p-13, 0x1.3d7d7a6eb1cap-13, 0x1.331b0520ae18cp-13, 0x1.28fdbe15d2055p-13, 0x1.1f23f842abaadp-13, 0x1.158c106b3c52fp-13, 0x1.0c346cedf29bfp-13, 0x1.031b7d90811abp-13, 0x1.f47f76996bc5cp-14, 0x1.e33f503c74e3dp-14, 0x1.d2739da6ad3c4p-14, 0x1.c21985b5275e9p-14, 0x1.b22e402aa927dp-14, 0x1.a2af155233c69p-14, 0x1.93995da4af022p-14, 0x1.84ea816f294d6p-14, 0x1.769ff87cd4f5ap-14, 0x1.68b749bfa5ac5p-14, 0x1.5b2e0afe1ea16p-14, 0x1.4e01e080458f3p-14, 0x1.41307cbe34491p-14, 0x1.34b7a01276e34p-14, 0x1.28951869c36ebp-14, 0x1.1cc6c0fa5b78fp-14, 0x1.114a81f68e97ep-14, 0x1.061e50447d8dp-14, 0x1.f6805a6b7cda7p-15, 0x1.e15c4c843783ap-15, 0x1.cccca984a69b1p-15, 0x1.b8cdbb572b253p-15, 0x1.a55be29cbf1adp-15, 0x1.9273962990ecfp-15, 0x1.80116285e5f31p-15, 0x1.6e31e9737d68dp-15, 0x1.5cd1e17064c72p-15, 0x1.4bee15404f872p-15, 0x1.3b83637a96bap-15, 0x1.2b8ebe10ab52fp-15, 0x1.1c0d29e3f7b7fp-15, 0x1.0cfbbe544bcc4p-15, 0x1.fcaf49aabe0ecp-16, 0x1.e03c310609d7dp-16, 0x1.c498cb793218dp-16, 0x1.a9bfd37ac2687p-16, 0x1.8fac2473b2a7bp-16, 0x1.7658b9fd7ba63p-16, 0x1.5dc0af253b5e8p-16, 0x1.45df3dadeb68cp-16, 0x1.2eafbd5d574ep-16, 0x1.182da34597819p-16, 0x1.0254811c50b05p-16, 0x1.da4009125a0f6p-17, 0x1.b117ed04409c3p-17, 0x1.89287552e103bp-17, 0x1.62699d4c5ea87p-17, 0x1.3cd39320c8de2p-17, 0x1.185eb6a267079p-17, 0x1.ea0730370206p-18, 0x1.a575ee6284e15p-18, 0x1.62fb83684559fp-18, 0x1.228a25322946fp-18, 0x1.c828c356bfa31p-19, 0x1.4f1a3986b995bp-19, 0x1.b39e392c1abp-20, 0x1.a0b9ffdcea793p-21, -0x1.77fa431efeaadp-25, -0x1.c1cf3c6c6234ap-21, -0x1.af48953deb96fp-20, -0x1.3b87df6ab2bddp-19, -0x1.9c348057523a6p-19, -0x1.f9bf92b01e1abp-19, -0x1.2a1ef8e974b55p-18, -0x1.55e1f9263855fp-18, -0x1.8032b2ac0bca9p-18, -0x1.a91acdf8f83f6p-18, -0x1.d0a3b503e1af5p-18, -0x1.f6d694c0d660bp-18, -0x1.0dde2f56bd1bbp-17, -0x1.1faee514b0fbcp-17, -0x1.30e1ab04d5be1p-17, -0x1.417aa4ee973dbp-17, -0x1.517ddbb08a4d6p-17, -0x1.60ef3de328d07p-17, -0x1.6fd2a087436c9p-17, -0x1.7e2bbf9f267d6p-17, -0x1.8bfe3ed7179c7p-17, -0x1.994daa18f384p-17, -0x1.a61d762a40293p-17, -0x1.b271013abde82p-17, -0x1.be4b93761433ep-17, -0x1.c9b05f972769dp-17, -0x1.d4a283693fba2p-17, -0x1.df25085336c0cp-17, -0x1.e93ae3dcf86fcp-17, -0x1.f2e6f8292607dp-17, -0x1.fc2c147a746c3p-17, -0x1.02867ad31a2f8p-16, -0x1.06c6234a691e6p-16, -0x1.0ad6505492484p-16, -0x1.0eb846203ad15p-16, -0x1.126d408c1af0ap-16, -0x1.15f6735efc5b6p-16, -0x1.19550a7b5f64dp-16, -0x1.1c8a2a14c5a8ep-16, -0x1.1f96eee05ccep-16, -0x1.227c6e46b2732p-16, -0x1.253bb6940708dp-16, -0x1.27d5cf25a369ep-16, -0x1.2a4bb8993262ap-16, -0x1.2c9e6cf815f51p-16, -0x1.2ecedfe318d91p-16, -0x1.30ddfebc594d8p-16, -0x1.32ccb0d13330cp-16, -0x1.349bd781f2493p-16, -0x1.364c4e695e5cbp-16, -0x1.37deeb82a3e82p-16, -0x1.39547f4de7491p-16, -0x1.3aadd4f778eccp-16, -0x1.3bebb2776ff02p-16, -0x1.3d0ed8b6f0b63p-16, -0x1.3e1803b0c192ep-16, -0x1.3f07ea92e7309p-16, -0x1.3fdf3fdd98041p-16, -0x1.409eb1833b16p-16, -0x1.4146e906bc37bp-16, -0x1.41d88b9896317p-16, -0x1.42543a34392d2p-16, -0x1.42ba91bce1bb9p-16, -0x1.430c2b176206dp-16, -0x1.43499b4636492p-16, -0x1.43737382d4387p-16, -0x1.438a415798f86p-16, -0x1.438e8eb822cdfp-16, -0x1.4380e219ce227p-16, -0x1.4361be8a3b8fbp-16, -0x1.4331a3c7099c6p-16, -0x1.42f10e540dae5p-16, -0x1.42a077907c9c5p-16, -0x1.424055cd083eap-16, -0x1.41d11c5ec561ap-16, -0x1.41533bb4d77c7p-16, -0x1.40c7216b3072dp-16, -0x1.402d385e0a3efp-16, -0x1.3f85e8bb2d1e9p-16, -0x1.3ed1981563792p-16, -0x1.3e10a975ac98p-16, -0x1.3d437d6b79a74p-16, -0x1.3c6a721def8f3p-16, -0x1.3b85e35c66f8ep-16, -0x1.3a962aadb6792p-16, -0x1.399b9f5f8561p-16, -0x1.3896969543c41p-16, -0x1.37876356ede3fp-16, -0x1.366e569ed2afdp-16, -0x1.354bbf67e1bc5p-16, -0x1.341feaba24224p-16, -0x1.32eb23b8e4fe8p-16, -0x1.31adb3ae6598ep-16, -0x1.3067e218eb6cbp-16, -0x1.2f19f4b66c631p-16, -0x1.2dc42f8fe26bdp-16, -0x1.2c66d505a9b36p-16, -0x1.2b0225d9b348ap-16, -0x1.2996613ab78ffp-16, -0x1.2823c4ce32259p-16, -0x1.26aa8cbb112bbp-16, -0x1.252af3b3819e2p-16, -0x1.23a532fea8302p-16, -0x1.2219828178a14p-16, -0x1.208818c87d05p-16, -0x1.1ef12b10552dfp-16, -0x1.1d54ed4ebc2p-16, -0x1.1bb3923a5ede3p-16, -0x1.1a0d4b536e921p-16, -0x1.186248eb7982dp-16, -0x1.16b2ba2d1af9fp-16, -0x1.14fecd2356d93p-16, -0x1.1346aec169ebfp-16, -0x1.118a8ae908246p-16, -0x1.0fca8c7257704p-16, -0x1.0e06dd31d1ba2p-16, -0x1.0c3fa5fefb7c1p-16, -0x1.0a750ebb30a94p-16, -0x1.08a73e5761362p-16, -0x1.06d65ada023bap-16, -0x1.0502896521b02p-16, -0x1.032bee3bfa961p-16, -0x1.0152acc8a9976p-16, -0x1.feedcf42ce42cp-17, -0x1.fb31811b3c648p-17, -0x1.f770b1163a2d5p-17, -0x1.f3ab9fa6851b1p-17, -0x1.efe28bbea9d1dp-17, -0x1.ec15b2db3326dp-17, -0x1.e845510b6107cp-17, -0x1.e471a0fa0a9e1p-17, -0x1.e09adbf5dd98ap-17, -0x1.dcc139fa3a8afp-17, -0x1.d8e4f1b71c4e2p-17, -0x1.d5063898c89d8p-17, -0x1.d12542cfd72c2p-17, -0x1.cd424358db0d1p-17, -0x1.c95d6c02c2158p-17, -0x1.c576ed76a3bd9p-17, -0x1.c18ef73e99914p-17, -0x1.bda5b7cbe09a3p-17, -0x1.b9bb5c7dc5fdep-17, -0x1.b5d011a84a1bdp-17, -0x1.b1e4029990b46p-17, -0x1.adf7599ff3e9fp-17, -0x1.aa0a4010598c3p-17, -0x1.a61cde4b556d2p-17, -0x1.a22f5bc2d8f11p-17, -0x1.9e41deffc8ae2p-17, -0x1.9a548da6e0c89p-17, -0x1.96678c7da647bp-17, -0x1.927aff6fb3359p-17, -0x1.8e8f0993855d4p-17, -0x1.8aa3cd2ea74ep-17, -0x1.86b96bbaa7739p-17, -0x1.82d005e94e119p-17, -0x1.7ee7bba929b6bp-17, -0x1.7b00ac2987405p-17, -0x1.771af5deb07acp-17, -0x1.7336b6859c16p-17, -0x1.6f540b27f9d5ep-17, -0x1.6b731020068d9p-17, -0x1.6793e11c40671p-17, -0x1.63b699226876p-17, -0x1.5fdb5293c88dbp-17, -0x1.5c0227303362fp-17, -0x1.582b3018d51fep-17, -0x1.545685d47093bp-17, -0x1.50844051ae122p-17, -0x1.4cb476ea95a65p-17, -0x1.48e7406747704p-17, -0x1.451cb300dac69p-17, -0x1.4154e46466d94p-17, -0x1.3d8fe9b5a1685p-17, -0x1.39cdd7917fc82p-17, -0x1.360ec21100f89p-17, -0x1.3252bccb95298p-17, -0x1.2e99dad9be505p-17, -0x1.2ae42ed73e06cp-17, -0x1.2731cae562d46p-17, -0x1.2382c0ae0f3bcp-17, -0x1.1fd7216518813p-17, -0x1.1c2efdcae3816p-17, -0x1.188a662e9221ap-17, -0x1.14e96a7020e54p-17, -0x1.114c1a0241114p-17, -0x1.0db283ec668cep-17, -0x1.0a1cb6ccd59cep-17, -0x1.068ac0da9f2ebp-17, -0x1.02fcafe730559p-17, -0x1.fee522c09e527p-18, -0x1.f7d8e4a413e79p-18, -0x1.f0d4bed07bc8bp-18, -0x1.e9d8c9e0db2fdp-18, -0x1.e2e51db66c23dp-18, -0x1.dbf9d17cd7c64p-18, -0x1.d516fbac29d49p-18, -0x1.ce3cb20c4c70bp-18, -0x1.c76b09b9295bap-18, -0x1.c0a217246cc09p-18, -0x1.b9e1ee185b8bfp-18, -0x1.b32aa1bbffe39p-18, -0x1.ac7c449477361p-18, -0x1.a5d6e88896f14p-18, -0x1.9f3a9ee38c5fcp-18, -0x1.98a778570659ap-18, -0x1.921d84feb71bp-18, -0x1.8b9cd46207346p-18, -0x1.852575768b9d3p-18, -0x1.7eb776a324f6ep-18, -0x1.7852e5c1e9414p-18, -0x1.71f7d02281b66p-18, -0x1.6ba6428d0933fp-18, -0x1.655e49434a703p-18, -0x1.5f1ff00395bd5p-18, -0x1.58eb420b66175p-18, -0x1.52c04a18c4d0dp-18, -0x1.4c9f126c50f77p-18, -0x1.4687a4cc3c944p-18, -0x1.407a0a858e9f8p-18, -0x1.3a764c6e01776p-18, -0x1.347c72e6e1dc9p-18, -0x1.2e8c85de4481ap-18, -0x1.28a68cd0d73fp-18, -0x1.22ca8ecc3ceadp-18, -0x1.1cf89270a85d1p-18, -0x1.17309df299c09p-18, -0x1.1172b71ca2cecp-18, -0x1.0bbee351968ddp-18, -0x1.0615278d85848p-18, -0x1.0075886807fc8p-18, -0x1.f5c0142bd4115p-19, -0x1.eaa960d4bf456p-19, -0x1.dfa6fdb21c285p-19, -0x1.d4b8f0eef24cfp-19, -0x1.c9df3ffd4fe79p-19, -0x1.bf19ef992c40ap-19, -0x1.b46903cc029e4p-19, -0x1.a9cc7feeb8ccdp-19, -0x1.9f4466ade0a18p-19, -0x1.94d0ba0c86d38p-19, -0x1.8a717b65a6391p-19, -0x1.8026ab710fe39p-19, -0x1.75f04a44a7997p-19, -0x1.6bce5757a43edp-19, -0x1.61c0d185d28cfp-19, -0x1.57c7b711794c2p-19, -0x1.4de305a6f282cp-19, -0x1.4412ba5e3e67ep-19, -0x1.3a56d1be9ad72p-19, -0x1.30af47c073a68p-19, -0x1.271c17cfca4edp-19, -0x1.1d9d3ccf6630cp-19, -0x1.1432b11aaddafp-19, -0x1.0adc6e88587c6p-19, -0x1.019a6e6cf1ccap-19, -0x1.f0d9533ad5453p-20, -0x1.dea630e07cbedp-20, -0x1.cc9b65830a58dp-20, -0x1.bab8dfe81847ep-20, -0x1.a8fe8de7d630ap-20, -0x1.976c5c71aef83p-20, -0x1.860237909259p-20, -0x1.74c00a6f34175p-20, -0x1.63a5bf5d65acep-20, -0x1.52b33fd233016p-20, -0x1.41e87472800e9p-20, -0x1.31454512247edp-20, -0x1.20c998bbbe4cdp-20, -0x1.107555b3025dfp-20, -0x1.0048617731a81p-20, -0x1.e085419370ab8p-21, -0x1.c0c7ef621a724p-21, -0x1.a15892f7b7725p-21, -0x1.8236f18bc9c9fp-21, -0x1.6362cef59487p-21, -0x1.44dbedb6c7d8cp-21, -0x1.26a20efe6bb13p-21, -0x1.08b4f2b52a8e3p-21, -0x1.d628af02fd626p-22, -0x1.9b7ff59659be1p-22, -0x1.616f319aaff04p-22, -0x1.27f5d922cc0a2p-22, -0x1.de26bff4319f8p-23, -0x1.6d8e6f5ebc41cp-23, -0x1.fc433e761413dp-24, -0x1.1fbe540b53571p-24, -0x1.162f302ff69a1p-26, 0x1.24ad6a484c3cp-25, 0x1.67eb92f386ee5p-24, 0x1.1d9a9c4815053p-23, 0x1.861b0c69686ddp-23, 0x1.ed7856e5b8473p-23, 0x1.29d9de2ea081ap-22, 0x1.5c67407665c24p-22, 0x1.8e64f60e93a3dp-22, 0x1.bfd3a4589a2b6p-22, 0x1.f0b3f257d8f16p-22, 0x1.1083444dcefadp-21, 0x1.2866089bd3cf3p-21, 0x1.40029bd969865p-21, 0x1.5759548408b95p-21, 0x1.6e6a89c86207cp-21, 0x1.8536937dbe0adp-21, 0x1.9bbdca25386a2p-21, 0x1.b20086dbd7dd9p-21, 0x1.c7ff235d57d68p-21, 0x1.ddb9f9fc54071p-21, 0x1.f331659bba6c5p-21, 0x1.0432e0d5d00dep-20, 0x1.0eabb51154ecbp-20, 0x1.19035dbde7e3ep-20, 0x1.233a0956dbe62p-20, 0x1.2d4fe69366a47p-20, 0x1.37452468149a2p-20, 0x1.4119f1fcb96cdp-20, 0x1.4ace7eb1e41cp-20, 0x1.5462fa1a4f33p-20, 0x1.5dd793f9e3244p-20, 0x1.672c7c427143fp-20, 0x1.7061e313c19dbp-20, 0x1.7977f8b70c452p-20, 0x1.826eed9e72715p-20, 0x1.8b46f260f69fap-20, 0x1.940037bce43c9p-20, 0x1.9c9aee8ef4ffp-20, 0x1.a51747d667c28p-20, 0x1.ad7574b1030a5p-20, 0x1.b5b5a655864cep-20, 0x1.bdd80e1a35258p-20, 0x1.c5dcdd6801813p-20, 0x1.cdc445c2518fap-20, 0x1.d58e78c0b8973p-20, 0x1.dd3ba80be1347p-20, 0x1.e4cc055ed5ef8p-20, 0x1.ec3fc284c7b0ep-20, 0x1.f3971155070b3p-20, 0x1.fad223b31ebfap-20, 0x1.00f895c70469fp-19, 0x1.047a2d6dc7d64p-19, 0x1.07edf1cc9eeddp-19, 0x1.0b53fbe5a2684p-19, 0x1.0eac64bb429ccp-19, 0x1.11f745526439cp-19, 0x1.1534b6b008c0ap-19, 0x1.1864d1d85e231p-19, 0x1.1b87afceb462bp-19, 0x1.1e9d69941b0b5p-19, 0x1.21a618281ad17p-19, 0x1.24a1d4851aa8cp-19, 0x1.2790b7a363a53p-19, 0x1.2a72da753d6f1p-19, 0x1.2d4855e8788fap-19, 0x1.301142e46e8b2p-19, 0x1.32cdba49a511cp-19, 0x1.357dd4f24baa8p-19, 0x1.3821abaf80742p-19, 0x1.3ab9574a72ae3p-19, 0x1.3d44f0838c47fp-19, 0x1.3fc49010728dep-19, 0x1.42384e9da7855p-19, 0x1.44a044cc3797dp-19, 0x1.46fc8b3174663p-19, 0x1.494d3a579f6a9p-19, 0x1.4b926abba048dp-19, 0x1.4dcc34cdc1e35p-19, 0x1.4ffab0f0e92b7p-19, 0x1.521df77937cb9p-19, 0x1.543620aca8f38p-19, 0x1.564344c2f1103p-19, 0x1.58457be2c6956p-19, 0x1.5a3cde23c6cbap-19, 0x1.5c29838d2f893p-19, 0x1.5e0b84151b331p-19, 0x1.5fe2f79ff132ep-19, 0x1.61aff60129629p-19, 0x1.637296f8f3f4p-19, 0x1.652af23627779p-19, 0x1.66d91f5331739p-19, 0x1.687d35d8aa6ffp-19, 0x1.6a174d39b8be8p-19, 0x1.6ba77cd683177p-19, 0x1.6d2ddbfa6aecfp-19, 0x1.6eaa81db59238p-19, 0x1.701d859abfbfap-19, 0x1.7186fe4418d23p-19, 0x1.72e702cc89a94p-19, 0x1.743daa140f26p-19, 0x1.758b0ae2bf9bcp-19, 0x1.76cf3beae4a65p-19, 0x1.780a53c6f73b6p-19, 0x1.793c68fa1d55ap-19, 0x1.7a6591eff176ap-19, 0x1.7b85e4fba82bfp-19, 0x1.7c9d7857d2f4cp-19, 0x1.7dac6227ee037p-19, 0x1.7eb2b8748fb7ap-19, 0x1.7fb0912e7a557p-19, 0x1.80a6022d18101p-19, 0x1.8193212ddbef7p-19, 0x1.827803d42b54fp-19, 0x1.8354bfaa69758p-19, 0x1.84296a1f94e12p-19, 0x1.84f6188903627p-19, 0x1.85bae02101c74p-19, 0x1.8677d6076807p-19, 0x1.872d0f402eaadp-19, 0x1.87daa0b5759dfp-19, 0x1.88809f3484553p-19, 0x1.891f1f6fdc274p-19, 0x1.89b635fead5f1p-19, 0x1.8a45f75ad9112p-19, 0x1.8ace77e42038cp-19, 0x1.8b4fcbdc6108p-19, 0x1.8bca076a35e74p-19, 0x1.8c3d3e97900ddp-19, 0x1.8ca985516639cp-19, 0x1.8d0eef6896a8ep-19, 0x1.8d6d909098bfep-19, 0x1.8dc57c60b6a2bp-19, 0x1.8e16c652a738ep-19, 0x1.8e6181c2b0309p-19, 0x1.8ea5c1f122755p-19, 0x1.8ee399ffc0f3ap-19, 0x1.8f1b1cf30b7cap-19, 0x1.8f4c5db318193p-19, 0x1.8f776f094303bp-19, 0x1.8f9c63a16e975p-19, 0x1.8fbb4e0ae2678p-19, 0x1.8fd440b5d2df2p-19, 0x1.8fe74df55d1d1p-19, 0x1.8ff487febd317p-19, 0x1.8ffc00e91a3c1p-19, 0x1.8ffdcaadba4ddp-19, 0x1.8ff9f7283086dp-19, 0x1.8ff098153c47cp-19, 0x1.8fe1bf15214a5p-19, 0x1.8fcd7da85c44ap-19, 0x1.8fb3e5324437bp-19, 0x1.8f9506f85975dp-19, 0x1.8f70f420dd596p-19, 0x1.8f47bdb565298p-19, 0x1.8f1974a01d203p-19, 0x1.8ee629ae2b76ep-19, 0x1.8eaded8d531dap-19, 0x1.8e70d0cedffa4p-19, 0x1.8e2ee3e43bd6cp-19, 0x1.8de83721e8769p-19, 0x1.8d9cdabe5c795p-19, 0x1.8d4cded0f6b97p-19, 0x1.8cf853540925fp-19, 0x1.8c9f4823d39f2p-19, 0x1.8c41ccfd93949p-19, 0x1.8bdff1823fd79p-19, 0x1.8b79c53375294p-19, 0x1.8b0f57754f811p-19, 0x1.8aa0b78f14ae2p-19, 0x1.8a2df4a857a93p-19, 0x1.89b71dcccc903p-19, 0x1.893c41e95bd3ap-19, 0x1.88bd6fcd7f8c7p-19, 0x1.883ab62b81be2p-19, 0x1.87b42397a42a2p-19, 0x1.8729c688c091fp-19, 0x1.869bad5908acbp-19, 0x1.8609e643afc9bp-19, 0x1.85747f690a506p-19, 0x1.84db86c99c6b5p-19, 0x1.843f0a4b0223ep-19, 0x1.839f17b43e909p-19, 0x1.82fbbcb052c32p-19, 0x1.825506cca760dp-19, 0x1.81ab037abe22p-19, 0x1.80fdc00e26652p-19, 0x1.804d49bedcc59p-19, 0x1.7f99ada7c8e11p-19, 0x1.7ee2f8c74b26fp-19, 0x1.7e2937fff01fbp-19, 0x1.7d6c78175f2edp-19, 0x1.7cacc5b7167fep-19, 0x1.7bea2d6d6535ep-19, 0x1.7b24bbab16344p-19, 0x1.7a5c7cc694dc6p-19, 0x1.79917cf997436p-19, 0x1.78c3c86210e29p-19, 0x1.77f36b0389962p-19, 0x1.772070c41f7f5p-19, 0x1.764ae570e39f1p-19, 0x1.7572d4b96753bp-19, 0x1.74984a33ead56p-19, 0x1.73bb515a9548bp-19, 0x1.72dbf58cadc2ep-19, 0x1.71fa420f98eedp-19, 0x1.7116420cc86f5p-19, 0x1.70300093fda3bp-19, 0x1.6f47889a78f9ap-19, 0x1.6e5ce4fa714eap-19, 0x1.6d702074e8991p-19, 0x1.6c8145b009f9ap-19, 0x1.6b905f3844323p-19, 0x1.6a9d77808ac9dp-19, 0x1.69a898e15d984p-19, 0x1.68b1cd9a673fdp-19, 0x1.67b91fd14958bp-19, 0x1.66be9992af69ep-19, 0x1.65c244d1f7dd7p-19, 0x1.64c42b693775dp-19, 0x1.63c45719ec95bp-19, 0x1.62c2d18ca0b57p-19, 0x1.61bfa450ae2a7p-19, 0x1.60bad8de261bcp-19, 0x1.5fb478930a4f3p-19, 0x1.5eac8cb67e95p-19, 0x1.5da31e76ac0f9p-19, 0x1.5c9836e9d5537p-19, 0x1.5b8bdf0edf99bp-19, 0x1.5a7e1fcbe5d9ep-19, 0x1.596f01f0d04b7p-19, 0x1.585e8e34731adp-19, 0x1.574ccd37e1445p-19, 0x1.5639c78386acdp-19, 0x1.55258589f00f3p-19, 0x1.54100fa6001fep-19, 0x1.52f96e1bbc313p-19, 0x1.51e1a91994353p-19, 0x1.50c8c8b599152p-19, 0x1.4faed4f19a766p-19, 0x1.4e93d5b765316p-19, 0x1.4d77d2db92bdcp-19, 0x1.4c5ad41cf50bfp-19, 0x1.4b3ce1239ea44p-19, 0x1.4a1e0182e4dadp-19, 0x1.48fe3cb81f4cbp-19, 0x1.47dd9a2b29003p-19, 0x1.46bc212f10caap-19, 0x1.4599d9012f453p-19, 0x1.4476c8ca5a0e1p-19, 0x1.4352f79e60596p-19, 0x1.422e6c7c2c608p-19, 0x1.41092e4e9f977p-19, 0x1.3fe343eb7d659p-19, 0x1.3ebcb41512452p-19, 0x1.3d95857888073p-19, 0x1.3c6dbeb0341f6p-19, 0x1.3b45664158e8dp-19, 0x1.3a1c829e96881p-19, 0x1.38f31a2638d81p-19, 0x1.37c9332372bd2p-19, 0x1.369ed3ce25a68p-19, 0x1.3574024ad1fe2p-19, 0x1.3448c4ab71a2fp-19, 0x1.331d20ee388d1p-19, 0x1.31f11cfff33d9p-19, 0x1.30c4beb92f4p-19, 0x1.2f980be1c83ebp-19, 0x1.2e6b0a2d8b5adp-19, 0x1.2d3dbf3f97499p-19, 0x1.2c1030a7d7455p-19, 0x1.2ae263e4f7fecp-19, 0x1.29b45e63ceda7p-19, 0x1.2886257f065a2p-19, 0x1.2757be80c1c6dp-19, 0x1.26292ea0a9661p-19, 0x1.24fa7b0613e0ep-19, 0x1.23cba8c6cb84cp-19, 0x1.229cbce7911e5p-19, 0x1.216dbc5ccfd4fp-19, 0x1.203eac0995b94p-19, 0x1.1f0f90c10f14bp-19, 0x1.1de06f45826ddp-19, 0x1.1cb14c4911a58p-19, 0x1.1b822c6de93c1p-19, 0x1.1a531445a821bp-19, 0x1.19240852eb2a1p-19, 0x1.17f50d07630ebp-19, 0x1.16c626c65e1adp-19, 0x1.159759e288dc2p-19, 0x1.1468aaa02c4b2p-19, 0x1.133a1d33727e2p-19, 0x1.120bb5c25fa46p-19, 0x1.10dd7862d3479p-19, 0x1.0faf691d2a2d7p-19, 0x1.0e818be98fc7bp-19, 0x1.0d53e4b32b02dp-19, 0x1.0c2677550a40dp-19, 0x1.0af9479d70707p-19, 0x1.09cc594b1094dp-19, 0x1.089fb00f8f5f6p-19, 0x1.07734f8de9529p-19, 0x1.06473b5ba696bp-19, 0x1.051b7700581e3p-19, 0x1.03f005f62d872p-19, 0x1.02c4eba9c0a5fp-19, 0x1.019a2b7a1ebeap-19, 0x1.006fc8b996e42p-19, 0x1.fe8b8d5963e71p-20, 0x1.fc3851175603ap-20, 0x1.f9e5e302b1db8p-20, 0x1.f794495803decp-20, 0x1.f5438a3aa8335p-20, 0x1.f2f3abb49484dp-20, 0x1.f0a4b3b79e4bbp-20, 0x1.ee56a81bf3f5ep-20, 0x1.ec098ea2d1ceap-20, 0x1.e9bd6cf3d6501p-20, 0x1.e77248a008e65p-20, 0x1.e528271fd0d0dp-20, 0x1.e2df0dd4c24d5p-20, 0x1.e0970208d971ep-20, 0x1.de5008ef7ebbfp-20, }}, 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
      std::vector<double>(1300, 0.0), 
    }}, 
    {
      26, 0x1.beb851eb851ecp+2, 0x1.30c2fb732a886p+1, 0x1.389feb3f04a55p+3, -0x1.5cd171d47cf24p-8, 
      {{
        {0x1.6e147ae147ae1p+2, 0x1.7p+2, 0x1.059ca268cf401p-6, -0x1.9f41dba6851d1p-5, 0x1.ee5a7c9e94335p-5, -0x1.039e78cf5d11bp-5}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.db24fbebdf3c1p-7, -0x1.824c09980917bp-5, 0x1.d6fcdd443c76ap-5, -0x1.f4b41677dcbfep-6}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.9278429c11be6p-7, -0x1.55136d26c808ep-5, 0x1.b16f5b94d8b53p-5, -0x1.df6bc2165ea93p-6}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.527815e7136eep-7, -0x1.2b87bc14c7d6dp-5, 0x1.8d7a79d32b357p-5, -0x1.cacd62807566bp-6}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.1a6c51ed9349dp-7, -0x1.0580bcbf81657p-5, 0x1.6b1178d6559ap-5, -0x1.b60178c50612dp-6}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.d34997004e002p-8, -0x1.c5ad59ea1a0ap-6, 0x1.4a37c2fac1f25p-5, -0x1.a141c2d415455p-6}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.7ef2a03e95e0dp-8, -0x1.86c355050f92p-6, 0x1.2aec6df7a6c07p-5, -0x1.8c7ec7deb6083p-6}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.36934bf6c4586p-8, -0x1.4df3b790b88bdp-6, 0x1.0d2fb893bf8p-5, -0x1.77bcad308cac8p-6}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.f1f62fd2d9d95p-9, -0x1.1aeec9b57494fp-6, 0x1.e20323f9d04cap-6, -0x1.62fa5669fdf76p-6}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8a12e66de10afp-9, -0x1.dac9a9adbce87p-7, 0x1.acc3fd69ea339p-6, -0x1.4e380fbdcfe5p-6}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.335b7cbefadfep-9, -0x1.8a0c440833bf6p-7, 0x1.7aa1fb0d716bp-6, -0x1.3975c4c0802fcp-6}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.d79d2d0c3d656p-10, -0x1.4305f4c5d74ebp-7, 0x1.4b9d1d8a2afdap-6, -0x1.24b37aed5602ap-6}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.63157485bd4d7p-10, -0x1.05174e2616667p-7, 0x1.1fb564b35e16ep-6, -0x1.0ff130c2bf8d4p-6}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.059ca268cf46dp-10, -0x1.9f41c4d712087p-8, 0x1.edd5a12c4f83bp-7, -0x1.f65dcd9753e69p-7}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.77de9d66055a4p-11, -0x1.440687b07a6c5p-8, 0x1.a27ac2559c867p-7, -0x1.ccd938bc0b62ep-7}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.0613adc238d4cp-11, -0x1.ee7c12b4fe427p-9, 0x1.5d5a2d06346b1p-7, -0x1.a354a72e34ca1p-7}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.60a177bc5bb7fp-12, -0x1.6f52dcc0b28edp-9, 0x1.1e73e0bf4619dp-7, -0x1.79d009578c938p-7}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.c63662c111eafp-13, -0x1.0813b65588d0fp-9, 0x1.cb8fbeb1153bp-8, -0x1.504b995708fb9p-7}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.150680b51eed1p-13, -0x1.6c81d28d4c3dbp-10, 0x1.66ac43e3c5bccp-8, -0x1.26c67e468a802p-7}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.3b1dca436e24p-14, -0x1.dd72ee95cd75dp-11, 0x1.0e3d846835c82p-8, -0x1.fa87c33f9194p-8}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.46a55f357e181p-15, -0x1.23a60622689c9p-11, 0x1.848581708cb13p-9, -0x1.a76fecc44c03p-8}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.296e63c24e401p-16, -0x1.434ad59beeeap-12, 0x1.057d8735a9175p-9, -0x1.549d8e2d06eddp-8}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.be4c5b8a68p-18, -0x1.35f2a315c6b5ap-13, 0x1.3e9c85e9e7a0cp-10, -0x1.00c7ed32650abp-8}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.e5b3568330002p-20, -0x1.d2be90534ef56p-15, 0x1.4915ef30ef9cp-11, -0x1.6173bbc46f53ep-9}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.169f2f3338p-22, -0x1.b7750b26cc5b9p-17, 0x1.d40ec6ec4ccc6p-13, -0x1.4a43292d62811p-10}, 
        {0x1.bcccccccccccdp+2, 0x1.beb851eb851ecp+2, 0x1.60a177d4p-28, -0x1.e777fb3121a41p-23, 0x1.1ef8bc70f4p-15, -0x1.f32622b486a2ap-9}, 
      }}, 
      0x1.2268ba26a2e43p-3, -0x1.b17de686c0edp+0
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_cl_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{0x1.e775ef8e74259p-2, 0x1.f28d9859aaec8p-2, 0x1.021d64c1bd1c8p-1, 0x1.0dc40685f4516p-1, 0x1.1bb219b8f90efp-1, 0x1.2b5c9818c98cdp-1, 0x1.3c3d7787dd22ep-1, 0x1.4dd83cb286f99p-1, 0x1.5fbc8f3976a34p-1, 0x1.71877e87496ep-1, 0x1.82e3d1f2b8c2bp-1, 0x1.9389a912ed2f7p-1, 0x1.a33daf9e7d772p-1, 0x1.b1d01612aaef1p-1, 0x1.bf1b6fc640bbdp-1, 0x1.cb038bc92dfdfp-1, 0x1.d5745653bf7c8p-1, 0x1.de60cb179b09ap-1, 0x1.e5c1fceca2c09p-1, 0x1.eb9634a78cef4p-1, 0x1.efe027196426ep-1, 0x1.f2a641270dc3fp-1, 0x1.f3f20855e49a1p-1, 0x1.f3cf8e03c8909p-1, 0x1.f24cf39390c46p-1, 0x1.ef79fdeb6b6e6p-1, 0x1.eb67b6b7b4c41p-1, 0x1.e62819f14d9eep-1, 0x1.dfcdce302cf65p-1, 0x1.d86be66ccaa52p-1, 0x1.d015abffbe3bep-1, 0x1.c6de6fe091acdp-1, 0x1.bcd962500cc09p-1, 0x1.b219703c8506p-1, 0x1.a6b125c8bfb3cp-1, 0x1.9ab2957195e88p-1, 0x1.8e2f435d92e8ap-1, 0x1.8138146bff014p-1, 0x1.73dd40a27366fp-1, 0x1.662e48a526885p-1, 0x1.5839ede2447ffp-1, 0x1.4a0e2d2396acap-1, 0x1.3bb83b5aefcddp-1, 0x1.2d44843699ea4p-1, 0x1.1ebeaa7f8824ap-1, 0x1.103189e9df7d9p-1, 0x1.01a739f97486cp-1, 0x1.e6522508ae92bp-2, 0x1.c97f601c5a0e8p-2, 0x1.ace5f5769881p-2, 0x1.9094560cd02c2p-2, 0x1.7497a628c839cp-2, 0x1.58fbc56ce86adp-2, 0x1.3dcb6660b3012p-2, 0x1.231012ebb174p-2, 0x1.08d2499d1c5ccp-2, 0x1.de32f83790ca2p-3, 0x1.abd86713c1d9bp-3, 0x1.7aa00d9e4abdap-3, 0x1.4a938c7b76f08p-3, 0x1.1bbad586d17dep-3, 0x1.dc39103ec1899p-4, 0x1.837ba1b8506c9p-4, 0x1.2d456bc95a9e6p-4, 0x1.b33833dcd2a93p-5, 0x1.110697df97cf6p-5, 0x1.cfe5ccaa48c52p-7, -0x1.1f7ac7402bac1p-8, -0x1.6d6e0d51a6015p-6, -0x1.4463c2050b3abp-5, -0x1.ccfe5152c2f31p-5, -0x1.2848f0b38ebf8p-4, -0x1.6795e4d13ca48p-4, -0x1.a46daaee13713p-4, -0x1.ded8ca35986d4p-4, -0x1.0b7049ec92583p-3, -0x1.2647871228a51p-3, -0x1.3ff7709ab968bp-3, -0x1.5885a25bfbd68p-3, -0x1.6ff7f716e2176p-3, -0x1.86547fc015bf9p-3, -0x1.9ba17b1d43aa6p-3, -0x1.afe54dc501fb8p-3, -0x1.c3267ac5f981ep-3, -0x1.d56b9cdb27618p-3, -0x1.e6bb60380d4d5p-3, -0x1.f71c7cbd0dc03p-3, -0x1.034ad83d68ee6p-2, -0x1.0a96dd42f97cbp-2, -0x1.1175ab024af41p-2, -0x1.17ea9ad134dbfp-2, -0x1.1df8ffb4e9b82p-2, -0x1.23a424889e4c2p-2, -0x1.28ef4a67f95c8p-2, -0x1.2ddda74c50e74p-2, -0x1.327264e204b27p-2, -0x1.36b09f86ae931p-2, -0x1.3a9b6564254d4p-2, -0x1.3e35b5ad8cd3dp-2, -0x1.41827fed39887p-2, -0x1.4484a36adde2ap-2, -0x1.473eeeaaa292ap-2, -0x1.49b41eff8d9bep-2, -0x1.4be6e039f5af3p-2, -0x1.4dd9cc6d86c27p-2, -0x1.4f8f6bcef1686p-2, -0x1.510a34a57ea74p-2, -0x1.524c8b524e30ap-2, -0x1.5358c264bc9edp-2, -0x1.54311aba34a34p-2, -0x1.54d7c3aba0bd3p-2, -0x1.554edb3f305dbp-2, -0x1.55986e6059f9fp-2, -0x1.55b6791f34d6ep-2, -0x1.55aae6f3fb296p-2, -0x1.55779304a4c54p-2, -0x1.551e4871978e1p-2, -0x1.54a0c2a83c6f6p-2, -0x1.5400adb48e357p-2, -0x1.533fa699baa1fp-2, -0x1.525f3bb260b84p-2, -0x1.5160ed0a3b061p-2, -0x1.50462cbf4626ap-2, -0x1.4f105f6a8f0b6p-2, -0x1.4dc0dc7bb4bcfp-2, -0x1.4c58ee9d818eep-2, -0x1.4ad9d420afa9bp-2, -0x1.4944bf5519f0ep-2, -0x1.479ad6ebc738fp-2, -0x1.45dd365f5b52ep-2, -0x1.440cee4a5e7ap-2, -0x1.422b04c15b47dp-2, -0x1.403875b692c47p-2, -0x1.3e36334fa119ep-2, -0x1.3c252635316fap-2, -0x1.3a062dee8877dp-2, -0x1.37da2138ef74p-2, -0x1.35a1ce4f797dp-2, -0x1.335dfb3993564p-2, -0x1.310f66226d216p-2, -0x1.2eb6c59f35244p-2, -0x1.2c54c8ef56b84p-2, -0x1.29ea184c278d1p-2, -0x1.27775531a0264p-2, -0x1.24fd1a9675ad6p-2, -0x1.227bfd2cfe3f2p-2, -0x1.1ff48ba9aefcp-2, -0x1.1d674efb1f6c2p-2, -0x1.1ad4ca7ea5a29p-2, -0x1.183d7c3c46253p-2, -0x1.15a1dd1dfd46cp-2, -0x1.130261200ee65p-2, -0x1.105f778290a43p-2, -0x1.0db98af9c3be8p-2, -0x1.0b1101dacd9f5p-2, -0x1.08663e4850c04p-2, -0x1.05b99e5cdfcc8p-2, -0x1.030b7c5116bc6p-2, -0x1.005c2ea1feb59p-2, -0x1.fb5810708caf2p-3, -0x1.f5f6b116ce843p-3, -0x1.f094d78372781p-3, -0x1.eb3315a23322dp-3, -0x1.e5d1f73d57f87p-3, -0x1.e0720239722cp-3, -0x1.db13b6d066221p-3, -0x1.d5b78fc7affd5p-3, -0x1.d05e029f076fap-3, -0x1.cb077fc27e969p-3, -0x1.c5b472c462ffep-3, -0x1.c065428da214bp-3, -0x1.bb1a517d319b8p-3, -0x1.b5d3fd8c4970ep-3, -0x1.b092a08518abp-3, -0x1.ab569035301b7p-3, -0x1.a6201e86ae54p-3, -0x1.a0ef99937d765p-3, -0x1.9bc54bcecf9b3p-3, -0x1.96a17c3a1199ep-3, -0x1.91846e858aec2p-3, -0x1.8c6e631bb707bp-3, -0x1.875f97354c9c7p-3, -0x1.8258450311101p-3, -0x1.7d58a3d804d19p-3, -0x1.7860e83ed6bf8p-3, -0x1.7371440375de6p-3, -0x1.6e89e646779edp-3, -0x1.69aafb9e5b5d1p-3, -0x1.64d4ae37d795dp-3, -0x1.600725ea1428ep-3, -0x1.5b428843048b3p-3, -0x1.5686f895bf43fp-3, -0x1.51d4980f478fap-3, -0x1.4d2b85cf616ebp-3, -0x1.488bdf002e51ep-3, -0x1.43f5bee780184p-3, -0x1.3f693ef0c39c6p-3, -0x1.3ae676b52d4b6p-3, -0x1.366d7c0b6a522p-3, -0x1.31fe6320b15d3p-3, -0x1.2d993e9109ea6p-3, -0x1.293e1f7302df8p-3, -0x1.24ed1557bc374p-3, -0x1.20a62e4e0cba2p-3, -0x1.1c6976f528835p-3, -0x1.1836fa994c768p-3, -0x1.140ec3485781ep-3, -0x1.0ff0d9d42a6d6p-3, -0x1.0bdd45cc11a4cp-3, -0x1.07d40d80788e8p-3, -0x1.03d536190f81dp-3, -0x1.ffc1876212921p-4, -0x1.f7ed72ccb5acap-4, -0x1.f02e32ad0d2d7p-4, -0x1.e883c92c1ff4ep-4, -0x1.e0ee3669440c6p-4, -0x1.d96d78a4f9232p-4, -0x1.d2018c73e979dp-4, -0x1.caaa6cd8634eep-4, -0x1.c368133ad99p-4, -0x1.bc3a7758bb15p-4, -0x1.b5218f48727d8p-4, -0x1.ae1d4f9b47239p-4, -0x1.a72dab8993ebap-4, -0x1.a052950d1ad57p-4, -0x1.998bfcdf946dep-4, -0x1.92d9d26c4145dp-4, -0x1.8c3c03ccfdcp-4, -0x1.85b27ddee289cp-4, -0x1.7f3d2c6516bd9p-4, -0x1.78dbfa2502aa8p-4, -0x1.728ed0ee7d1f7p-4, -0x1.6c5599942ebb2p-4, -0x1.66303be47a961p-4, -0x1.601e9eb0be691p-4, -0x1.5a20a7e37a72ep-4, -0x1.54363c99ee13cp-4, -0x1.4e5f413438dd8p-4, -0x1.489b9957b8461p-4, -0x1.42eb27ea2c105p-4, -0x1.3d4dcf10a408ep-4, -0x1.37c37038d2678p-4, -0x1.324bec2a6dc06p-4, -0x1.2ce723189f467p-4, -0x1.2794f4ac76eabp-4, -0x1.225540071f30bp-4, -0x1.1d27e3c07025p-4, -0x1.180cbde85da1ep-4, -0x1.1303ac0eb0d91p-4, -0x1.0e0c8b4f5472dp-4, -0x1.0927385e7782dp-4, -0x1.04538f908e514p-4, -0x1.ff22d9baf243fp-5, -0x1.f5c157c290b6fp-5, -0x1.ec824fbc8ebc3p-5, -0x1.e36577852accp-5, -0x1.da6a8461456a2p-5, -0x1.d1912b1004011p-5, -0x1.c8d91fd83b3b3p-5, -0x1.c042168ffcbe1p-5, -0x1.b7cbc2a0504fdp-5, -0x1.af75d7091e981p-5, -0x1.a7400668b33f5p-5, -0x1.9f2a030763834p-5, -0x1.97337ee4d88adp-5, -0x1.8f5c2bc3c51bcp-5, -0x1.87a3bb323c3d4p-5, -0x1.8009de8ecec7ep-5, -0x1.788e470c21016p-5, -0x1.7130a5b56166ap-5, -0x1.69f0ab753c4b9p-5, -0x1.62ce091f25f7fp-5, -0x1.5bc86f793edf5p-5, -0x1.54df8f45115b2p-5, -0x1.4e1319465fff1p-5, -0x1.4762be48156b8p-5, -0x1.40ce2f2020a23p-5, -0x1.3a551cb332bdbp-5, -0x1.33f737f9691a1p-5, -0x1.2db43204185a5p-5, -0x1.278bbc042f129p-5, -0x1.217d87508d309p-5, -0x1.1b89456c1e855p-5, -0x1.15aea80ba8f51p-5, -0x1.0fed611b50102p-5, -0x1.0a4522c37ddc5p-5, -0x1.04b59f6cfa9f1p-5, -0x1.fe7d13883122ep-6, -0x1.f3bf2975cf0fcp-6, -0x1.e930e715b6505p-6, -0x1.ded1b36d668b1p-6, -0x1.d4a0f61bc2913p-6, -0x1.ca9e1764476ap-6, -0x1.c0c8803e7e57fp-6, -0x1.b71f9a672327p-6, -0x1.ada2d06f4b9a5p-6, -0x1.a4518dc58f681p-6, -0x1.9b2b3eb6b2841p-6, -0x1.922f5066338a1p-6, -0x1.895d30c2662e7p-6, -0x1.80b44e7a538fdp-6, -0x1.783418fc3c1d2p-6, -0x1.6fdc0080fe7abp-6, -0x1.67ab7624bc112p-6, -0x1.5fa1ec078d865p-6, -0x1.57bed56d5ba9fp-6, -0x1.5001a6d284da8p-6, -0x1.4869d5ed0f208p-6, -0x1.40f6d9981d85ep-6, -0x1.39a829aee5321p-6, -0x1.327d3ee3418c4p-6, -0x1.2b75929f91005p-6, -0x1.24909f01e09e9p-6, -0x1.1dcddef79fdep-6, -0x1.172cce7697d5p-6, -0x1.10aceac500047p-6, -0x1.0a4db2baf1d8ap-6, -0x1.040ea6e65e4c8p-6, -0x1.fbde930283f18p-7, -0x1.efde3c6ebc661p-7, -0x1.e41b539134543p-7, -0x1.d894e3468aa0ap-7, -0x1.cd49f72f88239p-7, -0x1.c2399b86bccc6p-7, -0x1.b762dd83664dfp-7, -0x1.acc4cc3ddf5cbp-7, -0x1.a25e79ddedd1ap-7, -0x1.982efcbbd6a8bp-7, -0x1.8e3570160cedcp-7, -0x1.8470f41430c12p-7, -0x1.7ae0ad0017a2p-7, -0x1.7183c1dadc5a9p-7, -0x1.68595aabe0bfap-7, -0x1.5f609f07eb1acp-7, -0x1.5698b54b5a392p-7, -0x1.4e00c2d8776c4p-7, -0x1.4597ed6485ac2p-7, -0x1.3d5d5d0d1fb18p-7, -0x1.35503eac32a87p-7, -0x1.2d6fc5bff06b9p-7, -0x1.25bb2d4bb0bf8p-7, -0x1.1e31b7551d0ap-7, -0x1.16d2ab009b8b4p-7, -0x1.0f9d51b6f8497p-7, -0x1.0890f40e553fdp-7, -0x1.01acd750fc63fp-7, -0x1.f5e078c3cdc9dp-8, -0x1.e8b4c0d759a57p-8, -0x1.dbd4fe9d662a1p-8, -0x1.cf3fae8e62597p-8, -0x1.c2f359c614a5p-8, -0x1.b6ee9c706d648p-8, -0x1.ab3028dcd305ap-8, -0x1.9fb6c62643079p-8, -0x1.94814a7ea5cacp-8, -0x1.898e9256c4274p-8, -0x1.7edd768139aa8p-8, -0x1.746cc3cefdd83p-8, -0x1.6a3b366307befp-8, -0x1.60477a2452ed1p-8, -0x1.56903077c2617p-8, -0x1.4d13fa1381533p-8, -0x1.43d182a18e75ep-8, -0x1.3ac78b5729262p-8, -0x1.31f4f1cf3a342p-8, -0x1.2958b1526a557p-8, -0x1.20f1de0e7de86p-8, -0x1.18bf9b3514861p-8, -0x1.10c10e36429aap-8, -0x1.08f5520226128p-8, -0x1.015b6d4dca4bp-8, -0x1.f3e49c759d2e7p-9, -0x1.e57199210757p-9, -0x1.d75b64524fa8fp-9, -0x1.c99f8f5b075c8p-9, -0x1.bc3bc54c750d8p-9, -0x1.af2de33b907bfp-9, -0x1.a2740737a50a5p-9, -0x1.960c92d4de0a4p-9, -0x1.89f620f5d0476p-9, -0x1.7e2f7115bc25dp-9, -0x1.72b74c537a321p-9, -0x1.678c69c39cc08p-9, -0x1.5cad57f17b2fp-9, -0x1.521870b11160cp-9, -0x1.47cbda3119c41p-9, -0x1.3dc594e471594p-9, -0x1.3403927084f06p-9, -0x1.2a83cfbc24eccp-9, -0x1.21446c55bee62p-9, -0x1.1843bb2a94dfdp-9, -0x1.0f804aa258cc9p-9, -0x1.06f8e38ff1becp-9, -0x1.fd58fe2cc358cp-10, -0x1.ed3468fe633e7p-10, -0x1.dd82436b85517p-10, -0x1.ce40a69797aabp-10, -0x1.bf6d645d7934bp-10, -0x1.b105f82c5a23p-10, -0x1.a3078fe3df6a7p-10, -0x1.956f25fd3af4fp-10, -0x1.8839a10de314p-10, -0x1.7b63ef0fa5ecbp-10, -0x1.6eeb1aa016351p-10, -0x1.62cc5ea26831fp-10, -0x1.57053b7d3b9e8p-10, -0x1.4b93898c2f075p-10, -0x1.40757dcd013dbp-10, -0x1.35a997d2a5553p-10, -0x1.2b2e7b21a0892p-10, -0x1.2102c2c1ef6c6p-10, -0x1.1724e24c947cp-10, -0x1.0d931fce93656p-10, -0x1.044ba258f1a12p-10, -0x1.f6990923fa229p-11, -0x1.e527b400e7344p-11, -0x1.d43f44f433c19p-11, -0x1.c3db7218beaebp-11, -0x1.b3f7aa42a1b5ap-11, -0x1.a48f56dc35bep-11, -0x1.959e4861d255bp-11, -0x1.87210efd4bb34p-11, -0x1.79150306e05e6p-11, -0x1.6b77f3f1710a2p-11, -0x1.5e47b30fcf976p-11, -0x1.5181c85c264a1p-11, -0x1.45237d39f738bp-11, -0x1.392a286d01e04p-11, -0x1.2d9379a6dd8dap-11, -0x1.225d85c1bd7d9p-11, -0x1.17867e26af63p-11, -0x1.0d0c34df2ca4dp-11, -0x1.02ebb8d34e128p-11, -0x1.f242adf5d58bfp-12, -0x1.df522f37cb3dcp-12, -0x1.ccfef59a0bb39p-12, -0x1.bb44010e1dc8p-12, -0x1.aa1e3fc9fdfd6p-12, -0x1.998b63bccd4e7p-12, -0x1.89887358fbaa3p-12, -0x1.7a1117393877fp-12, -0x1.6b200a83a9845p-12, -0x1.5cb03db789747p-12, -0x1.4ebddb80c1408p-12, -0x1.414694f94584ep-12, -0x1.34490f1cb0bc4p-12, -0x1.27c3b91e3e504p-12, -0x1.1bb3a25960b75p-12, -0x1.1013f8ad31b99p-12, -0x1.04de925098c2ap-12, -0x1.f41aac761f668p-13, -0x1.df3783800b6e8p-13, -0x1.cb0f33c74091dp-13, -0x1.b7a099048cf5p-13, -0x1.a4ead6d34b46bp-13, -0x1.92eaa387addbp-13, -0x1.8199946116cep-13, -0x1.70ef5ee44cb9ep-13, -0x1.60e3d2043ae56p-13, -0x1.5170593c2b427p-13, -0x1.42906d467b715p-13, -0x1.3440f44171a69p-13, -0x1.267f2046af54ap-13, -0x1.194760ba46c65p-13, -0x1.0c94a6da22f2p-13, -0x1.0060470ae1c69p-13, -0x1.e945a8484940bp-14, -0x1.d2ab7cec81529p-14, -0x1.bce98b45a60d1p-14, -0x1.a7fc8e5972eb4p-14, -0x1.93e456549bcd7p-14, -0x1.80a05586602bp-14, -0x1.6e2d20a1be11ep-14, -0x1.5c84035c8f11dp-14, -0x1.4b9c7319f721fp-14, -0x1.3b6e1d15e4e79p-14, -0x1.2bf173a47e989p-14, -0x1.1d1e43c39b183p-14, -0x1.0eeaddacc3e6dp-14, -0x1.014da28314cb6p-14, -0x1.e87e84b7c5ecap-15, -0x1.cf76394fd77eep-15, -0x1.b77b44c159659p-15, -0x1.a084e9e2ec72ep-15, -0x1.8a871c01a1a88p-15, -0x1.7573ef99c45edp-15, -0x1.61400d87b4338p-15, -0x1.4de68757b9d0bp-15, -0x1.3b6789458fb2dp-15, -0x1.29c2af6f72a6bp-15, -0x1.18f2cb32e98e7p-15, -0x1.08efc42ec3cbfp-15, -0x1.f3663053b5549p-16, -0x1.d66ed3c5564fcp-16, -0x1.bae89484682a3p-16, -0x1.a0ba7c9889cd3p-16, -0x1.87c9a14a2cadcp-16, -0x1.6fff3cfe76c9ep-16, -0x1.594a798db79ffp-16, -0x1.439f3dcde57c4p-16, -0x1.2ef49abd5b0cp-16, -0x1.1b429ba74d32bp-16, -0x1.087dc86e83f53p-16, -0x1.ed2bda3c89732p-17, -0x1.cafd2bd975dbep-17, -0x1.aa6bb9bc62301p-17, -0x1.8b7958351abbdp-17, -0x1.6e17f2698df84p-17, -0x1.5230f15a64896p-17, -0x1.37ba8e81dd84ap-17, -0x1.1eb2d1575035bp-17, -0x1.070a9cdc4800cp-17, -0x1.e1491ad2f9c53p-18, -0x1.b6c67043058cep-18, -0x1.8e645e44573c8p-18, -0x1.680d1cad473f6p-18, -0x1.43b74988da09ap-18, -0x1.215ada42cf2d9p-18, -0x1.00e595b89c521p-18, -0x1.c46e28225925ep-19, -0x1.8a440b9f4aaeep-19, -0x1.52df7c2228eb6p-19, -0x1.1df4e407a9d95p-19, -0x1.d72859a7e73fap-20, -0x1.77d66fa3e34bbp-20, -0x1.1dbcb13d13185p-20, -0x1.9088df408d405p-21, -0x1.dcb0a5872d6dap-22, -0x1.53c1ed98d2da8p-23, 0x1.dfdb5552508ep-24, 0x1.8a3ccc88d3342p-22, 0x1.4739fb1a28dd1p-21, 0x1.c2ecc68dfed1bp-21, 0x1.1c54b2694c8bbp-20, 0x1.545fa651dea42p-20, 0x1.89b40aa5a5ce3p-20, 0x1.bc6ad2936dbddp-20, 0x1.ec9fbfdeca5d5p-20, 0x1.0d395da7bbb98p-19, 0x1.2303908b4dafap-19, 0x1.37c68b85c3f77p-19, 0x1.4b9e5d43bc054p-19, 0x1.5e9c71087ed73p-19, 0x1.70cd88150d9a6p-19, 0x1.824644ec41f45p-19, 0x1.93143a9af3672p-19, 0x1.a33794536363p-19, 0x1.b2b6ad9d672ffp-19, 0x1.c1a20241152d5p-19, 0x1.d008287c68687p-19, 0x1.ddf36be782eaap-19, 0x1.eb6f314321d34p-19, 0x1.f887008c1bcf5p-19, 0x1.02a0e7a18dec8p-18, 0x1.08d1bbf9e223p-18, 0x1.0ed8d82407a3cp-18, 0x1.14ba5e50b849bp-18, 0x1.1a79a3eaed18p-18, 0x1.201949ec219d5p-18, 0x1.259e0473d62e4p-18, 0x1.2b08cbd8fcf2bp-18, 0x1.3055051d4098ep-18, 0x1.3589b519d2c2p-18, 0x1.3aadc37d63176p-18, 0x1.3fbd934ad6dd3p-18, 0x1.44c0ed3a2103fp-18, 0x1.49c04439002eep-18, 0x1.4eb614cdd36e3p-18, 0x1.5399103b552fcp-18, 0x1.586667179295p-18, 0x1.5d249a2e37119p-18, 0x1.61db07d88d13ep-18, 0x1.6688a6bdebe7ep-18, 0x1.6b2a4d8cbf5ebp-18, 0x1.6fc48517a523p-18, 0x1.745cfe82c3ac3p-18, 0x1.78f2f5d11dd13p-18, 0x1.7d82b384d25c7p-18, 0x1.82084612b26a7p-18, 0x1.868266eaba7d8p-18, 0x1.8af99d4841e99p-18, 0x1.8f70b7f3af647p-18, 0x1.93da07e3d90bcp-18, 0x1.9838a11d4b407p-18, 0x1.9c88b39050afcp-18, 0x1.a0cd69e2941cep-18, 0x1.a51349401e47bp-18, 0x1.a95393347f807p-18, 0x1.ad87e50e72f6ep-18, 0x1.b1b0d1e30e902p-18, 0x1.b5d15016288dcp-18, 0x1.b9ec7b963a277p-18, 0x1.be0351e915985p-18, 0x1.c210b705da9b1p-18, 0x1.c60c1d46a6a22p-18, 0x1.c9f5eccc44072p-18, 0x1.cdd427ba49ccfp-18, 0x1.d1a292ef8bad4p-18, 0x1.d55d59abbfeccp-18, 0x1.d90caebf08c9ep-18, 0x1.dcb2446fab8cdp-18, 0x1.e048a012da7fep-18, 0x1.e3d64cac1f26cp-18, 0x1.e758af7df3a44p-18, 0x1.eabf29f3ba859p-18, 0x1.ee09f459ee779p-18, 0x1.f13dbc9867bb3p-18, 0x1.f467cd7165e09p-18, 0x1.f7806d2014926p-18, 0x1.fa81c14ed2f9fp-18, 0x1.fd6bfad802223p-18, 0x1.001fcc481e47p-17, 0x1.017e371796664p-17, 0x1.02d1038902486p-17, 0x1.0417f9b1c96cep-17, 0x1.0552f3a244425p-17, 0x1.0681dae575722p-17, 0x1.07a49e632d5c3p-17, 0x1.08bb4db8b9c84p-17, 0x1.09c67342a934ep-17, 0x1.0ac65859986d6p-17, 0x1.0bb8cc11febbp-17, 0x1.0c9bd6e433991p-17, 0x1.0d6fcc3f0c8dcp-17, 0x1.0e33dc270399ap-17, 0x1.0eed833850083p-17, 0x1.0f9cef6459c98p-17, 0x1.103aec1ee7a69p-17, 0x1.10c7d9d2e193p-17, 0x1.1148cd8f11894p-17, 0x1.11bb022ef93c9p-17, 0x1.121d20b7c2fbep-17, 0x1.126fc898bdfbep-17, 0x1.12b35212f70d5p-17, 0x1.12e7c618b4596p-17, 0x1.130d13a40ac98p-17, 0x1.132327d748d78p-17, 0x1.1329f7321a238p-17, 0x1.13217ec75b43dp-17, 0x1.1309bd3db1719p-17, 0x1.12e2a771d4611p-17, 0x1.12ac22fd2a3b5p-17, 0x1.12660b50dfc5ap-17, 0x1.12103f57e4b9cp-17, 0x1.11aabbdeed77ep-17, 0x1.1135aad3edfe3p-17, 0x1.10b11afe30f67p-17, 0x1.101caf5376903p-17, 0x1.0f78eb3939de3p-17, 0x1.0ec948cec1e01p-17, }}, 
      {{0x1.e4f0292197ae5p-2, 0x1.e8afdfed88937p-2, 0x1.eec311e4cde65p-2, 0x1.f6f30b3ca17f7p-2, 0x1.008026f287c55p-1, 0x1.0653a9e261fd1p-1, 0x1.0cd1f78c5159cp-1, 0x1.13d9d017b7333p-1, 0x1.1b4b8f7ff8f2fp-1, 0x1.2309a89de73b6p-1, 0x1.2af8ee3778e67p-1, 0x1.3300b72578ce5p-1, 0x1.3b0ae64f19215p-1, 0x1.4303de5d994bfp-1, 0x1.4ada67bac5527p-1, 0x1.527f8de3cf23fp-1, 0x1.59e677c5ded3bp-1, 0x1.61043dcebb40fp-1, 0x1.67cfbf90f18f7p-1, 0x1.6e417a411176bp-1, 0x1.745360e2138f1p-1, 0x1.7a00b6a0b2104p-1, 0x1.7f45eba483372p-1, 0x1.84207c7309979p-1, 0x1.888ed3e040aa7p-1, 0x1.8c902f7991c82p-1, 0x1.9024864d79987p-1, 0x1.934c71ea2a768p-1, 0x1.9609196cdbe97p-1, 0x1.985c1e7d09c27p-1, 0x1.9a478c0f30db2p-1, 0x1.9bcdc6cb01a69p-1, 0x1.9cf17ef2c1299p-1, 0x1.9db5a3ac02fd3p-1, 0x1.9e1d578c4bde5p-1, 0x1.9e2be64e57fccp-1, 0x1.9de4bb96d6d2bp-1, 0x1.9d4b5ab175b66p-1, 0x1.9c63573133eap-1, 0x1.9b304e60c2937p-1, 0x1.99b5e17166dc1p-1, 0x1.97f7b05879cf5p-1, 0x1.95f9554ca29eep-1, 0x1.93be60d55e3a4p-1, 0x1.914a56607f4dep-1, 0x1.8ea0a951957acp-1, 0x1.8bc4ba81b3841p-1, 0x1.88b9d623ee935p-1, 0x1.8583320787dadp-1, 0x1.8223ec2c3d3d6p-1, 0x1.7e9f09a39f47cp-1, 0x1.7af775b58d27p-1, 0x1.77300142a9788p-1, 0x1.734b625e63e25p-1, 0x1.6f4c3416633a7p-1, 0x1.6b34f666e1a16p-1, 0x1.67080e4ee4ca2p-1, 0x1.62c7c6091592ep-1, 0x1.5e764d5a03facp-1, 0x1.5a15b9f8b106bp-1, 0x1.55a80810706d4p-1, 0x1.512f1ac7018a2p-1, 0x1.4cacbcd79d7f9p-1, 0x1.4822a11d7a056p-1, 0x1.43926347b0dfep-1, 0x1.3efd888233cd8p-1, 0x1.3a6580371d8b8p-1, 0x1.35cba4ba793e2p-1, 0x1.31313bfae01e7p-1, 0x1.2c97783840bb6p-1, 0x1.27ff78c5f6918p-1, 0x1.236a4ad1e5dc5p-1, 0x1.1ed8ea218740ap-1, 0x1.1a4c41c2267a2p-1, 0x1.15c52cb18e28ep-1, 0x1.11447689501eap-1, 0x1.0ccadc31b7dd1p-1, 0x1.08590c98e334ap-1, 0x1.03efa9652e9ebp-1, 0x1.ff1e8f361648cp-2, 0x1.f670e067c4636p-2, 0x1.edd7415367b19p-2, 0x1.e55296fc10c0bp-2, 0x1.dce3b183ca2bap-2, 0x1.d48b4d416e405p-2, 0x1.cc4a13d8c98bdp-2, 0x1.c4209d4c8710cp-2, 0x1.bc0f71018ee7fp-2, 0x1.b41706aef8e33p-2, 0x1.ac37c73a762b8p-2, 0x1.a4720d8555575p-2, 0x1.9cc6272fb3b3ep-2, 0x1.95345557369f2p-2, 0x1.8dbccd545291fp-2, 0x1.865fb97686c27p-2, 0x1.7f1d39bdde5e8p-2, 0x1.77f5648ea8f31p-2, 0x1.70e8475c64632p-2, 0x1.69f5e749cd81cp-2, 0x1.631e41bd00067p-2, 0x1.5c614ce85aa0ap-2, 0x1.55bef8496ed02p-2, 0x1.4f372d1ffb90dp-2, 0x1.48c9cedecdd73p-2, 0x1.4276bb98123edp-2, 0x1.3c3dcc65fe619p-2, 0x1.361ed5d00cc51p-2, 0x1.3019a82cf1325p-2, 0x1.2a2e10005f727p-2, 0x1.245bd6546e57dp-2, 0x1.1ea2c10dffc8fp-2, 0x1.1902933b79eb6p-2, 0x1.137b0d5e46dd1p-2, 0x1.0e0bedaea43b9p-2, 0x1.08b4f05a4e55fp-2, 0x1.0375cfbeb05bbp-2, 0x1.fc9c893d0e2p-3, 0x1.f27c0ca827c37p-3, 0x1.e8899600394edp-3, 0x1.dec48f6b61ee8p-3, 0x1.d52c61479b653p-3, 0x1.cbc07278d4722p-3, 0x1.c28028b1fd4fap-3, 0x1.b96ae8baaf237p-3, 0x1.b08016afe28e9p-3, 0x1.a7bf164011b85p-3, 0x1.9f274ae4019bap-3, 0x1.96b81812dd4d9p-3, 0x1.8e70e171f50a5p-3, 0x1.86510b0145f1dp-3, 0x1.7e57f944072dfp-3, 0x1.7685116525a34p-3, 0x1.6ed7b95908be4p-3, 0x1.674f57fc5ade7p-3, 0x1.5feb552f47c2dp-3, 0x1.58ab19ee74a88p-3, 0x1.518e106a2557p-3, 0x1.4a93a41a668dep-3, 0x1.43bb41d130988p-3, 0x1.3d0457cb84a37p-3, 0x1.366e55c0539a1p-3, 0x1.2ff8aced50da9p-3, 0x1.29a2d0231b256p-3, 0x1.236c33cff5e05p-3, 0x1.1d544e088a551p-3, 0x1.175a968fe3e73p-3, 0x1.117e86de8cdf3p-3, 0x1.0bbf9a2823c79p-3, 0x1.061d4d6005ef6p-3, 0x1.00971f3d42162p-3, 0x1.f659207b0bb1ap-4, 0x1.ebba454e5cafp-4, 0x1.e150b515a106ap-4, 0x1.d71b7b8794825p-4, 0x1.cd19a7f078833p-4, 0x1.c34a4d3165d7dp-4, 0x1.b9ac81be326a2p-4, 0x1.b03f5f99b7c03p-4, 0x1.a7020451ff1a1p-4, 0x1.9df390fbfb358p-4, 0x1.95132a2d8881fp-4, 0x1.8c5ff7f6c634p-4, 0x1.83d925dbc1adcp-4, 0x1.7b7de2cd71475p-4, 0x1.734d612153fecp-4, 0x1.6b46d6890aa61p-4, 0x1.63697c0a57743p-4, 0x1.5bb48df63cc1dp-4, 0x1.54274bdf349cdp-4, 0x1.4cc0f88fd1354p-4, 0x1.4580da01ae644p-4, 0x1.3e66395378b15p-4, 0x1.377062be4b488p-4, 0x1.309ea58bb9498p-4, 0x1.29f0540c40fe5p-4, 0x1.2364c38cdf4c6p-4, 0x1.1cfb4c4bf7725p-4, 0x1.16b3496ee0239p-4, 0x1.108c18f82a6a2p-4, 0x1.0a851bbd5a362p-4, 0x1.049db55bc522fp-4, 0x1.fdaa985b74d5bp-5, 0x1.f25692812d2f2p-5, 0x1.e73e3095cae49p-5, 0x1.dc604f43880adp-5, 0x1.d1bbd05c041cbp-5, 0x1.c74f9ac3ce6f6p-5, 0x1.bd1a9a5f12ebcp-5, 0x1.b31bbffddb1e7p-5, 0x1.a952014768783p-5, 0x1.9fbc58a5c9aa5p-5, 0x1.9659c5326f739p-5, 0x1.8d294aa34888bp-5, 0x1.8429f1379b572p-5, 0x1.7b5ac5a49d48ap-5, 0x1.72bad902803e8p-5, 0x1.6a4940ba0bbbfp-5, 0x1.620516725dd2p-5, 0x1.59ed77fea3403p-5, 0x1.5201874c0ee9ep-5, 0x1.4a406a506024dp-5, 0x1.42a94af8b4533p-5, 0x1.3b3b57183bfdcp-5, 0x1.33f5c056dd485p-5, 0x1.2cd7bc20523f8p-5, 0x1.25e08394084fbp-5, 0x1.1f0f53756240dp-5, 0x1.18636c1bc4b68p-5, 0x1.11dc116248f85p-5, 0x1.0b788a97b99cep-5, 0x1.0538226f684bap-5, 0x1.fe344de58c209p-6, 0x1.f23bd2e625197p-6, 0x1.e6857cf516325p-6, 0x1.db0ffb7abcdbap-6, 0x1.cfda041631f6bp-6, 0x1.c4e252820db32p-6, 0x1.ba27a87a87bf6p-6, 0x1.afa8cda379378p-6, 0x1.a5648f6d47364p-6, 0x1.9b59c0f982cf3p-6, 0x1.91873b004ec51p-6, 0x1.87ebdbb7b9931p-6, 0x1.7e8686bc5df8p-6, 0x1.755624f9ff49ap-6, 0x1.6c59a4934aee7p-6, 0x1.638ff8c90bb29p-6, 0x1.5af819e203e31p-6, 0x1.529105143fe1fp-6, 0x1.4a59bc6fd26c3p-6, 0x1.425146c9e5518p-6, 0x1.3a76afa74c359p-6, 0x1.32c907266f236p-6, 0x1.2b4761e96175cp-6, 0x1.23f0d900f8e3cp-6, 0x1.1cc489d92bc47p-6, 0x1.15c1962630221p-6, 0x1.0ee723d197fc8p-6, 0x1.08345ce6f5375p-6, 0x1.01a86f804cf96p-6, 0x1.f6851b65d581dp-7, 0x1.ea03dafa483fep-7, 0x1.ddcb916a03c06p-7, 0x1.d1dab9eeba84fp-7, 0x1.c62fd72de5607p-7, 0x1.bac973166e681p-7, 0x1.afa61ebe601e6p-7, 0x1.a4c472414e637p-7, 0x1.9a230ca032f16p-7, 0x1.8fc093a2786fp-7, 0x1.859bb3b7e2776p-7, 0x1.7bb31fda5f1ccp-7, 0x1.7205916ff8ca6p-7, 0x1.6891c82ca65f2p-7, 0x1.5f5689f4d676cp-7, 0x1.5652a2c0e4528p-7, 0x1.4d84e48187456p-7, 0x1.44ec2704ea72bp-7, 0x1.3c8747dc0d2b7p-7, 0x1.34552a4042663p-7, 0x1.2c54b6f8d6126p-7, 0x1.2484dc4110275p-7, 0x1.1ce48daed40e9p-7, 0x1.1572c41a28faap-7, 0x1.0e2e7d851efc2p-7, 0x1.0716bd04541bbp-7, 0x1.002a8aa79f082p-7, 0x1.f2d1e6c5db1dp-8, 0x1.e5a211eeccf8cp-8, 0x1.d8c3c3b9fd43p-8, 0x1.cc35325910cd6p-8, 0x1.bff49d14aa1c8p-8, 0x1.b4004c228a473p-8, 0x1.a856907c6371p-8, 0x1.9cf5c3b73bab4p-8, 0x1.91dc47db3cc37p-8, 0x1.8708873c270bfp-8, 0x1.7c78f452713f6p-8, 0x1.722c09952dfccp-8, 0x1.68204954b8443p-8, 0x1.5e543d9610281p-8, 0x1.54c677eedbdfp-8, 0x1.4b759161fdbd5p-8, 0x1.42602a3ca37e7p-8, 0x1.3984e9f421e8cp-8, 0x1.30e27f043d175p-8, 0x1.28779ece29695p-8, 0x1.2043057812fd7p-8, 0x1.184375cd1c857p-8, 0x1.1077b91dcd481p-8, 0x1.08de9f20f002fp-8, 0x1.0176fdd502794p-8, 0x1.f47f62c4a3ac7p-9, 0x1.e66f37fbaaacep-9, 0x1.d8bb4b996c18ep-9, 0x1.cb617990b9d22p-9, 0x1.be5fa945c17e4p-9, 0x1.b1b3cd5756555p-9, 0x1.a55be36855f5p-9, 0x1.9955f3e9836dp-9, 0x1.8da011e462feep-9, 0x1.82385ac70d917p-9, 0x1.771cf632c2233p-9, 0x1.6c4c15cb5fbcep-9, 0x1.61c3f50919a82p-9, 0x1.5782d90a75f5ep-9, 0x1.4d871066369fdp-9, 0x1.43cef2fcab3b9p-9, 0x1.3a58e1c82960bp-9, 0x1.312346ada2553p-9, 0x1.282c944e48115p-9, 0x1.1f7345db7619dp-9, 0x1.16f5deedabab8p-9, 0x1.0eb2eb5e66ccep-9, 0x1.06a8ff23bcab6p-9, 0x1.fdad6c582adfp-10, 0x1.ee7568708b97bp-10, 0x1.dfa749660100cp-10, 0x1.d140750b8e763p-10, 0x1.c33e5fd97c1c4p-10, 0x1.b59e8c97f4a6dp-10, 0x1.a85e8c10f3801p-10, 0x1.9b7bfccd8aa14p-10, 0x1.8ef48add916cap-10, 0x1.82c5efa6ace89p-10, 0x1.76edf1b3dbb55p-10, 0x1.6b6a647e2a1c9p-10, 0x1.603928296b2dap-10, 0x1.55582933de8c1p-10, 0x1.4ac5601caabe9p-10, 0x1.407ed1095007cp-10, 0x1.36828b7477295p-10, 0x1.2ccea9ee046f2p-10, 0x1.236151efeaba1p-10, 0x1.1a38b3c570906p-10, 0x1.11530a7aeb699p-10, 0x1.08ae9bc99f901p-10, 0x1.0049b7f385de4p-10, 0x1.f045730d0ac3fp-11, 0x1.e0700a0f336cep-11, 0x1.d110111b6bcdbp-11, 0x1.c22276b6317f5p-11, 0x1.b3a43b0a4c90ap-11, 0x1.a5926f702ba3ep-11, 0x1.97ea36380fd18p-11, 0x1.8aa8c2ae1e1d4p-11, 0x1.7dcb593e87428p-11, 0x1.714f4f93ba952p-11, 0x1.65320c8ba52e8p-11, 0x1.597107ebd1004p-11, 0x1.4e09c9c69934bp-11, 0x1.42f9e9ac41524p-11, 0x1.383f0dc0540c7p-11, 0x1.2dd6e9e2ae74cp-11, 0x1.23bf3f1254989p-11, 0x1.19f5db2019a74p-11, 0x1.107898b1f3202p-11, 0x1.07455f80c3b7cp-11, 0x1.fcb4495548f4ep-12, 0x1.eb69d5e2d6fc6p-12, 0x1.daa785884a25cp-12, 0x1.ca6993feab47fp-12, 0x1.baac56c4ebe8bp-12, 0x1.ab6c3b98d744cp-12, 0x1.9ca5c6bcf5e67p-12, 0x1.8e55915ddd1d3p-12, 0x1.807848641fbbcp-12, 0x1.730aabde44b23p-12, 0x1.66098efed1cd7p-12, 0x1.5971d87d1c607p-12, 0x1.4d408313c1314p-12, 0x1.41729de0bcefdp-12, 0x1.36054c8724428p-12, 0x1.2af5c70b655cp-12, 0x1.2041596823b5ap-12, 0x1.15e562d89d66cp-12, 0x1.0bdf54d84c2f8p-12, 0x1.022cb1f45edefp-12, 0x1.f196194b47199p-13, 0x1.df700ce794774p-13, 0x1.cde29f0fbadf1p-13, 0x1.bce94d2f556f1p-13, 0x1.ac7fb1caf9be7p-13, 0x1.9ca1842b2642ap-13, 0x1.8d4a97a27fe61p-13, 0x1.7e76dadf52d45p-13, 0x1.702257ce0e55fp-13, 0x1.6249343195e1bp-13, 0x1.54e7b2728852dp-13, 0x1.47fa31db2facap-13, 0x1.3b7d2dc18c533p-13, 0x1.2f6d3bd277276p-13, 0x1.23c70a3b2d5dcp-13, 0x1.18875e6b142d8p-13, 0x1.0dab14742cc4cp-13, 0x1.032f1e715e884p-13, 0x1.f2210647bd70bp-14, 0x1.de98b762eaa85p-14, 0x1.cbbfa2cfb6432p-14, 0x1.b990399d5d22fp-14, 0x1.a8050d8a556c8p-14, 0x1.9718d64829331p-14, 0x1.86c676d013737p-14, 0x1.7708ffedc1179p-14, 0x1.67dbaf0cad3d9p-14, 0x1.5939eaab96133p-14, 0x1.4b1f3ee6828d6p-14, 0x1.3d875b92e0bc7p-14, 0x1.306e1378e48e5p-14, 0x1.23cf5aac3e55ap-14, 0x1.17a74274fc6efp-14, 0x1.0bf1f34271bdfp-14, 0x1.00aba738852a1p-14, 0x1.eba15085025e5p-15, 0x1.d6baa5ae635aap-15, 0x1.c29c37940bd12p-15, 0x1.af3f2bd468c5p-15, 0x1.9c9ce96861034p-15, 0x1.8aaf1769a5a18p-15, 0x1.796f98b5976a5p-15, 0x1.68d88861c14aep-15, 0x1.58e438062d9c1p-15, 0x1.498d2decc11p-15, 0x1.3ace20a8cab81p-15, 0x1.2ca1eff65fb5ep-15, 0x1.1f039d16900bfp-15, 0x1.11ee454e6f28ep-15, 0x1.055d1fb5c52bfp-15, 0x1.f296fc75c6859p-16, 0x1.db69a1dd97f9dp-16, 0x1.c52953ac41a96p-16, 0x1.afcd7dee9e188p-16, 0x1.9b4dd3e93764dp-16, 0x1.87a24feb5ae0cp-16, 0x1.74c339e5fc665p-16, 0x1.62a931dfe0b97p-16, 0x1.514d3147c3ebdp-16, 0x1.40a87b7177574p-16, 0x1.30b4816c4575bp-16, 0x1.216acd1ede9fbp-16, 0x1.12c504aba7eaap-16, 0x1.04bcff72f0e72p-16, 0x1.ee99b0736cb12p-17, 0x1.d4dddb0d061acp-17, 0x1.bc3ba6c705cc6p-17, 0x1.a4a8882d2358bp-17, 0x1.8e1a2e7eef53ap-17, 0x1.78867c5c78655p-17, 0x1.63e38cc58933ap-17, 0x1.5027d05b713ap-17, 0x1.3d4a3f89ceb8p-17, 0x1.2b427b74762bap-17, 0x1.1a08b117a1438p-17, 0x1.099541de7a92p-17, 0x1.f3c0e21cc89adp-18, 0x1.d5c4b459701b8p-18, 0x1.b9266b31fa07p-18, 0x1.9dd759ac2a93dp-18, 0x1.83c9f76294729p-18, 0x1.6af1a59f91089p-18, 0x1.5342460f07085p-18, 0x1.3caff522215bbp-18, 0x1.272efbb8f2462p-18, 0x1.12b3d8d110278p-18, 0x1.fe669b82d24d7p-19, 0x1.d9450606631fdp-19, 0x1.b5eeae1286708p-19, 0x1.94513da1219dbp-19, 0x1.745bf6ddf3d49p-19, 0x1.55fe85681b3fcp-19, 0x1.3927e9f16db95p-19, 0x1.1dc670480c1f2p-19, 0x1.03c89954df80ep-19, 0x1.d63c0daf8111p-20, 0x1.a76f71b3dc255p-20, 0x1.7b0f698467595p-20, 0x1.510107fae8eacp-20, 0x1.2929b1c45a951p-20, 0x1.036f0d6730652p-20, 0x1.bf6f2072582f1p-21, 0x1.7bd626e3e8ea6p-21, 0x1.3be5dd2e9d3c9p-21, 0x1.fee76cc0624f4p-22, 0x1.8cb062cad852ep-22, 0x1.20ddef71f0e7ap-22, 0x1.7655f189c3823p-23, 0x1.6d46a2cddbb83p-24, 0x1.0a748dc15e94dp-30, -0x1.4fc2df263d7dap-24, -0x1.47c2bd4fb31eep-23, -0x1.de09485ecd731p-23, -0x1.3594e9363592ap-22, -0x1.77ca3b985e432p-22, -0x1.b5da90f4e689dp-22, -0x1.effaf274a3651p-22, -0x1.13302856d764p-21, -0x1.2c9f528886518p-21, -0x1.4463766e6d86ep-21, -0x1.5a92e1e84d10fp-21, -0x1.6f41cec77cd44p-21, -0x1.8282e24eed1f9p-21, -0x1.94678cca06ef1p-21, -0x1.a500a1e851cc8p-21, -0x1.b45f30a7874d7p-21, -0x1.c294514b9c69fp-21, -0x1.cfafbaa458057p-21, -0x1.dbbf2fe4d8311p-21, -0x1.e6cfb6da8aaccp-21, -0x1.f0eeac2da10cap-21, -0x1.fa295f5affd6p-21, -0x1.01463203c01b3p-20, -0x1.0511c572e5447p-20, -0x1.087d0de8a4a7ap-20, -0x1.0b8d7bd195ae2p-20, -0x1.0e48467b9cd63p-20, -0x1.10b249c83d598p-20, -0x1.12cfeb0992cd2p-20, -0x1.14a53c030791ep-20, -0x1.16364c04af869p-20, -0x1.178740b6b448ap-20, -0x1.189c18789c5ffp-20, -0x1.19787dad1348p-20, -0x1.1a1fb5d4fe17ep-20, -0x1.1a94802b345a9p-20, -0x1.1ad945164fe65p-20, -0x1.1af08ac97b8d3p-20, -0x1.1add017f8157ep-20, -0x1.1aa135d31e64bp-20, -0x1.1a3f7f606d626p-20, -0x1.19ba1bdec9339p-20, -0x1.19132e698918ap-20, -0x1.184cb40775235p-20, -0x1.17688384e4fd7p-20, -0x1.1668512e34defp-20, -0x1.154dae78ae5b9p-20, -0x1.141a0a27f89f7p-20, -0x1.12ceb9a3e0654p-20, -0x1.116d0a809f3a2p-20, -0x1.0ff6495fa5d2cp-20, -0x1.0e6bb5a61b3e4p-20, -0x1.0cce76e2cdfa5p-20, -0x1.0b1f9866a7248p-20, -0x1.096003166c10bp-20, -0x1.07908d0bee49bp-20, -0x1.05b20bd83c5abp-20, -0x1.03c545c424782p-20, -0x1.01cae4cab47cbp-20, -0x1.ff870b720f43cp-21, -0x1.fb5f8ad1b2b0dp-21, -0x1.f7207dea63ca5p-21, -0x1.f2cb0abcd6f1ap-21, -0x1.ee603c25e2544p-21, -0x1.e9e0f952bdca1p-21, -0x1.e54e0ac5c6be9p-21, -0x1.e0a831dc7045p-21, -0x1.dbf03a44f5dep-21, -0x1.d726e99643e0ep-21, -0x1.d24cd34fbe1a9p-21, -0x1.cd624e37db005p-21, -0x1.c867b063278e8p-21, -0x1.c35d75ba49405p-21, -0x1.be4434cc6832ap-21, -0x1.b91c97b46a8fp-21, -0x1.b3e7141fdbecdp-21, -0x1.aea3e15382fafp-21, -0x1.a9534e34d1129p-21, -0x1.a3f5a41fab978p-21, -0x1.9e8afbfcb904ep-21, -0x1.991360cf23285p-21, -0x1.938ef79325d25p-21, -0x1.8dfe15f0928d5p-21, -0x1.88612ee44f05ap-21, -0x1.82b89e48d38ccp-21, -0x1.7d049586b90e3p-21, -0x1.7745356d758e4p-21, -0x1.717a9f2ea4399p-21, -0x1.6ba4fabe038dfp-21, -0x1.65c476ce38a27p-21, -0x1.5fd922712e271p-21, -0x1.59e2e7256e798p-21, -0x1.53e1e6b256dfbp-21, -0x1.4dd681f885fd3p-21, -0x1.47c0ee9410293p-21, -0x1.41a16a2864819p-21, -0x1.3b78004755002p-21, -0x1.3544dccc66b7p-21, -0x1.2f084b0beaa0fp-21, -0x1.28c25d357d097p-21, -0x1.2273243198176p-21, -0x1.1c1ac98baccf1p-21, -0x1.15b98552d306ap-21, -0x1.0f4f914df681dp-21, -0x1.08dd1daa7af74p-21, -0x1.02624d5dcf591p-21, -0x1.f7be89b6d5403p-22, -0x1.eaa888f3ac5a6p-22, -0x1.dd832b1ae2a44p-22, -0x1.d04ec0e3b822ep-22, -0x1.c30b9e9751af1p-22, -0x1.b5ba5d73378d5p-22, -0x1.a85b6032e9ba3p-22, -0x1.9aeee563d783bp-22, -0x1.8d75bb56f6e27p-22, -0x1.7ff08ed919461p-22, -0x1.725f831707438p-22, -0x1.64c30f6a8caccp-22, -0x1.571be17d60d2p-22, -0x1.496ae3e6ca516p-22, -0x1.3bb08702149ap-22, -0x1.2ded3ccb1d93ep-22, -0x1.20219452a49e5p-22, -0x1.124e2095288d5p-22, -0x1.0473797b2abdap-22, -0x1.ed248524c49edp-23, -0x1.d1565ebfd6fe9p-23, -0x1.b57e0216fca9cp-23, -0x1.999cf5e66ccdbp-23, -0x1.7db4a4c04c25cp-23, -0x1.61c63b6c4952bp-23, -0x1.45d2b9be37856p-23, -0x1.29db331fcdbe8p-23, -0x1.0de0f86471473p-23, -0x1.e3cb4db6ea774p-24, -0x1.abd58fcaed0e5p-24, -0x1.73e3662aa5467p-24, -0x1.3bf865c5e9454p-24, -0x1.0416ecc30a4b7p-24, -0x1.98811c9767bc5p-25, -0x1.28f11b9f9b21dp-25, -0x1.730bce1e34152p-26, -0x1.291220f7f05a1p-27, 0x1.266d410b3860fp-28, 0x1.275576ed8addcp-26, 0x1.024ce231595a9p-25, 0x1.70ae5e900da7bp-25, 0x1.dec972344ab3cp-25, 0x1.264c238ecfc3dp-24, 0x1.5d0a7804e5765p-24, 0x1.939cb3ca0fe83p-24, 0x1.c9ffda7fffd3fp-24, 0x1.001887835a051p-23, 0x1.1b16cd84b3bd9p-23, 0x1.35f96ddf89e47p-23, 0x1.50bf132eaebf3p-23, 0x1.6b66555626f5dp-23, 0x1.85edb2697cebdp-23, 0x1.a053aaaaefb15p-23, 0x1.ba96e33ad357bp-23, 0x1.d4b60dd256c1ap-23, 0x1.eeafab5cfc663p-23, }}, 
      std::vector<double>(650, 0.0), 
      {{-0x1.3c4fd7a4e0424p-7, -0x1.5ef364522ccbep-6, -0x1.2a047f32bee34p-5, -0x1.c12381b26d5c1p-5, -0x1.399b2ada05397p-4, -0x1.9e17f8972bcb7p-4, -0x1.05ae1c5c18776p-3, -0x1.3f3c9e25248cbp-3, -0x1.7a3fa2ac3e9abp-3, -0x1.b553dd03e4495p-3, -0x1.ef37444d92307p-3, -0x1.1367e2727adedp-2, -0x1.2d96e5f4fcc58p-2, -0x1.45c6084fbfce3p-2, -0x1.5ba6ce09d41fbp-2, -0x1.6efd628e80ea7p-2, -0x1.7f9ecffc95ae6p-2, -0x1.8d6f1c49d26a6p-2, -0x1.985f687dbaab8p-2, -0x1.a06c2429abf19p-2, -0x1.a59b5fa5194abp-2, -0x1.a7fb4265ecaefp-2, -0x1.a7a0a74683b26p-2, -0x1.a4a5de5aa327fp-2, -0x1.9f2992c8bb1b1p-2, -0x1.974dd262e404cp-2, -0x1.8d37346151a6dp-2, -0x1.810c1c851e426p-2, -0x1.72f417dc7e335p-2, -0x1.6317506a3594fp-2, -0x1.519e151f920dbp-2, -0x1.3eb073d93c797p-2, -0x1.2a75e3502505dp-2, -0x1.1514fb29f7abap-2, -0x1.fd6671119015cp-3, -0x1.cee99b518384bp-3, -0x1.9ef8f688a1191p-3, -0x1.6dd6e53104b1ep-3, -0x1.3bc27e021e892p-3, -0x1.08f76c8ffe961p-3, -0x1.ab5bbb2748112p-4, -0x1.4434ea8536398p-4, -0x1.b9b93b2af09adp-5, -0x1.d6b8182c8747ep-6, -0x1.dfad715ed7edp-9, 0x1.5b9eb7169b2e8p-6, 0x1.7774b05b80c6ap-5, 0x1.1f3a034f8e142p-4, 0x1.812c438db692cp-4, 0x1.e15c8bc69858dp-4, 0x1.1fcdf7e28afb2p-3, 0x1.4de069cabb79ep-3, 0x1.7ad3580435618p-3, 0x1.a696dc01deeb5p-3, 0x1.d11d535341739p-3, 0x1.fa5b2c10241f1p-3, 0x1.11236a7df7de9p-2, 0x1.246c40c0790eap-2, 0x1.3705134079078p-2, 0x1.48eb9a9614b18p-2, 0x1.5a1e51f0c05a4p-2, 0x1.6a9c52e3fa46p-2, 0x1.7a655ab6eb9aap-2, 0x1.8979ab9c20fc6p-2, 0x1.97da0ba5cf659p-2, 0x1.a587b1ed255bp-2, 0x1.b2843ccacc267p-2, 0x1.bed1a87775d55p-2, 0x1.ca7241f8a82fdp-2, 0x1.d568a087efe99p-2, 0x1.dfb79b7615ff5p-2, 0x1.e962435e11ce6p-2, 0x1.f26bdacab284bp-2, 0x1.fad7cf8201e17p-2, 0x1.0154da2ad64cp-1, 0x1.04f29dc0c2925p-1, 0x1.084718d8f7af9p-1, 0x1.0b543cc6500a4p-1, 0x1.0e1c03c2445b8p-1, 0x1.10a06eeb2af63p-1, 0x1.12e3844c2db5dp-1, 0x1.14e74cfc89b33p-1, 0x1.16add35f7066dp-1, 0x1.18392194c9752p-1, 0x1.198b4018df52dp-1, 0x1.1aa6348df5d3p-1, 0x1.1b8c00a393d5cp-1, 0x1.1c3ea10e5928p-1, 0x1.1cc00c8e37516p-1, 0x1.1d1232fefc493p-1, 0x1.1d36fc7c45a52p-1, 0x1.1d30489dbf7f2p-1, 0x1.1cffedd07b029p-1, 0x1.1ca7b8d235c0fp-1, 0x1.1c296c491e168p-1, 0x1.1b86c075efbdap-1, 0x1.1ac162f9f23e6p-1, 0x1.19daf6a855c67p-1, 0x1.18d513627af66p-1, 0x1.17b145f9120d3p-1, 0x1.1671101316087p-1, 0x1.1515e81c919fp-1, 0x1.13a1393ca5f7bp-1, 0x1.121463560d48cp-1, 0x1.1070bb12645bcp-1, 0x1.0eb789f880acap-1, 0x1.0cea0e8be09e2p-1, 0x1.0b097c75cf421p-1, 0x1.0916fcb49a9eap-1, 0x1.0713adcec7669p-1, 0x1.0500a40a8810ap-1, 0x1.02dee9a5dfe68p-1, 0x1.00af7f0f0dfb5p-1, 0x1.fce6b63b75101p-2, 0x1.f856d69817bbbp-2, 0x1.f3b127ddc26a2p-2, 0x1.eef760de3b004p-2, 0x1.ea2b2708095e8p-2, 0x1.e54e0ed9e0224p-2, 0x1.e0619c592b918p-2, 0x1.db67438ce25bfp-2, 0x1.d66068f47a1e6p-2, 0x1.d14e620230ae8p-2, 0x1.cc327599433b9p-2, 0x1.c70ddc83a0e22p-2, 0x1.c1e1c1eb51e86p-2, 0x1.bcaf43d5c0904p-2, 0x1.b777739359666p-2, 0x1.b23b56323f412p-2, 0x1.acfbe4f1ea8bep-2, 0x1.a7ba0daaec98cp-2, 0x1.a276b336cd57p-2, 0x1.9d32adda25378p-2, 0x1.97eecba5b137fp-2, 0x1.92abd0d27368cp-2, 0x1.8d6a782154366p-2, 0x1.882b7337a5033p-2, 0x1.82ef6af1de773p-2, 0x1.7db6ffb787adep-2, 0x1.7882c9d30906cp-2, 0x1.735359bf28a77p-2, 0x1.6e29386f6b039p-2, 0x1.6904e79fbad85p-2, 0x1.63e6e21f10012p-2, 0x1.5ecf9c0fb813fp-2, 0x1.59bf832bb5bap-2, 0x1.54b6ff0a67af5p-2, 0x1.4fb6715ccbca5p-2, 0x1.4abe3627ee7f5p-2, 0x1.45cea40202c58p-2, 0x1.40e80c4a8e61ap-2, 0x1.3c0abb5eb0b71p-2, 0x1.3736f8ce04d8cp-2, 0x1.326d078c8424cp-2, 0x1.2dad26212e7b5p-2, 0x1.28f78ed52f5d3p-2, 0x1.244c77e095283p-2, 0x1.1fac1392b394p-2, 0x1.1b16907addb45p-2, 0x1.168c199171588p-2, 0x1.120cd65ca79e9p-2, 0x1.0d98eb12fdcbdp-2, 0x1.093078bec774ep-2, 0x1.04d39d604122ep-2, 0x1.0082740c74e49p-2, 0x1.f87a2a1836b5fp-3, 0x1.f0072bf4783e2p-3, 0x1.e7ac13bedf654p-3, 0x1.df6902980d4b1p-3, 0x1.d73e14e8f195cp-3, 0x1.cf2b6298be11ap-3, 0x1.c730ff37f979dp-3, 0x1.bf4efa2ac1c85p-3, 0x1.b7855edc2c219p-3, 0x1.afd434f086dfcp-3, 0x1.a83b8069e356dp-3, 0x1.a0bb41c7f5f71p-3, 0x1.995376324544p-3, 0x1.920417a77140bp-3, 0x1.8acd1d213f6aep-3, 0x1.83ae7aae34b33p-3, 0x1.7ca8219004305p-3, 0x1.75ba00634a0aep-3, 0x1.6ee40344719d6p-3, 0x1.682613e9ea3bdp-3, 0x1.618019bb39c79p-3, 0x1.5af1f9edcc353p-3, 0x1.547b97a4d9d78p-3, 0x1.4e1cd40ce9867p-3, 0x1.47d58e72a13a6p-3, 0x1.41a5a459f6878p-3, 0x1.3b8cf196ba8bcp-3, 0x1.358b50635ffbep-3, 0x1.2fa09975ab43bp-3, 0x1.29cca414aabf6p-3, 0x1.240f463057cddp-3, 0x1.1e6854762d6f6p-3, 0x1.18d7a26020babp-3, 0x1.135d0242edcc2p-3, 0x1.0df845622b543p-3, 0x1.08a93c0866cf9p-3, 0x1.036fb59aad1b2p-3, 0x1.fc970145f0231p-4, 0x1.f278d5af7ee24p-4, 0x1.e88482554d1a5p-4, 0x1.deb99fbe9d55fp-4, 0x1.d517c541638f9p-4, 0x1.cb9e891875b56p-4, 0x1.c24d8069aea52p-4, 0x1.b9243f527a80fp-4, 0x1.b022590920576p-4, 0x1.a7476008d5c41p-4, 0x1.9e92e631e652p-4, 0x1.96047cd39eea2p-4, 0x1.8d9bb4ac853dcp-4, 0x1.85581df683b3fp-4, 0x1.7d394886f9664p-4, 0x1.753ec3f502bbcp-4, 0x1.6d681fb1f9e7ep-4, 0x1.65b4eb0e3a67ap-4, 0x1.5e24b536ffd31p-4, 0x1.56b70d3f8f9b7p-4, 0x1.4f6b823b7da8p-4, 0x1.4841a35e9e6a8p-4, 0x1.4139001229592p-4, 0x1.3a5127f938841p-4, 0x1.3389aaedc010fp-4, 0x1.2ce21904ace13p-4, 0x1.265a029fd4a8fp-4, 0x1.1ff0f8874a0fdp-4, 0x1.19a68bfd3efd4p-4, 0x1.137a4ec51d576p-4, 0x1.0d6bd321868d2p-4, 0x1.077aabd3cbf38p-4, 0x1.01a66c24e68d6p-4, 0x1.f7dd4fedf0f49p-5, 0x1.eca5e7ae5d9aap-5, 0x1.e1a5ca102c5e4p-5, 0x1.d6dc2305eaddcp-5, 0x1.cc481feb2386ap-5, 0x1.c1e8ef8775957p-5, 0x1.b7bdc22023896p-5, 0x1.adc5c9928119p-5, 0x1.a400396b015f9p-5, 0x1.9a6c46f039d5fp-5, 0x1.9109292282f94p-5, 0x1.87d618b870c1dp-5, 0x1.7ed25021827dfp-5, 0x1.75fd0b9289819p-5, 0x1.6d5589175f01dp-5, 0x1.64db08a1f8833p-5, 0x1.5c8ccc1149e1bp-5, 0x1.546a173080fd1p-5, 0x1.4c722fb37ff1fp-5, 0x1.44a45d36dc0bep-5, 0x1.3cffe9462b537p-5, 0x1.35841f66a1d81p-5, 0x1.2e304d20f4801p-5, 0x1.2703c2068d1d2p-5, 0x1.1ffdcfb125179p-5, 0x1.191dc9bf44efp-5, 0x1.126305d16f13cp-5, 0x1.0bccdb8aed612p-5, 0x1.055aa4965b412p-5, 0x1.fe177956c8c25p-6, 0x1.f1bf03256f16ap-6, 0x1.e5aaa64cec5dap-6, 0x1.d9d9269ee30bp-6, 0x1.ce494c0212931p-6, 0x1.c2f9e26bf6287p-6, 0x1.b7e9b9df128f7p-6, 0x1.ad17a66d8e65cp-6, 0x1.a282803ce05f4p-6, 0x1.982923871cd27p-6, 0x1.8e0a70983af55p-6, 0x1.84254bc766e7ap-6, 0x1.7a789d6e726a2p-6, 0x1.710351e18924ap-6, 0x1.67c4596914596p-6, 0x1.5ebaa83e06534p-6, 0x1.55e536872fd22p-6, 0x1.4d43005622c37p-6, 0x1.44d305a2908bfp-6, 0x1.3c944a43f9a8bp-6, 0x1.3485d5ea4a2c4p-6, 0x1.2ca6b415b07eep-6, 0x1.24f5f40e85b72p-6, 0x1.1d72a8dd586c6p-6, 0x1.161be942e5f2fp-6, 0x1.0ef0cfafad8e8p-6, 0x1.07f07a3b26c1dp-6, 0x1.011a0a9b5cf33p-6, 0x1.f4d94c3b1aa33p-7, 0x1.e7ceeb40194a6p-7, 0x1.db134b19c1209p-7, 0x1.cea4cba84542dp-7, 0x1.c281d3c973541p-7, 0x1.b6a8d1449cf14p-7, 0x1.ab1838b01f2e7p-7, 0x1.9fce8552ab963p-7, 0x1.94ca3904cdaccp-7, 0x1.8a09dc17c9d42p-7, 0x1.7f8bfd45fab8bp-7, 0x1.754f31ad2bf1cp-7, 0x1.6b5214d04a11cp-7, 0x1.6193489995999p-7, 0x1.58117555d6551p-7, 0x1.4ecb49a166ba5p-7, 0x1.45bf7a4499785p-7, 0x1.3cecc202bd318p-7, 0x1.3451e1649f498p-7, 0x1.2bed9e8a4f4f6p-7, 0x1.23bec50f52bdcp-7, 0x1.1bc42607679c8p-7, 0x1.13fc98121bf7cp-7, 0x1.0c66f77b57b3bp-7, 0x1.050226588db5ep-7, 0x1.fb9a192254c63p-8, 0x1.ed8d2f8ae084bp-8, 0x1.dfdb7621b90bap-8, 0x1.d282dd633ad25p-8, 0x1.c5815f510f45ap-8, 0x1.b8d4fed5d8aaep-8, 0x1.ac7bc778801eep-8, 0x1.a073cd77a80b3p-8, 0x1.94bb2e45fa4dep-8, 0x1.8950113f03c2cp-8, 0x1.7e30a8553906bp-8, 0x1.735b307482822p-8, 0x1.68cdf1643ced3p-8, 0x1.5e873d1766ee2p-8, 0x1.54856e8671a78p-8, 0x1.4ac6e855422c6p-8, 0x1.414a13a0999cbp-8, 0x1.380d5f4b2046ep-8, 0x1.2f0f40036712ep-8, 0x1.264e310a6f794p-8, 0x1.1dc8b588e505p-8, 0x1.157d5a1017017p-8, 0x1.0d6ab5cf7ec7p-8, 0x1.058f6b119e90dp-8, 0x1.fbd44d81f83p-9, 0x1.ecf33df1288f1p-9, 0x1.de7921d79af93p-9, 0x1.d0637d4f21692p-9, 0x1.c2afda87b98ccp-9, 0x1.b55bc81071cc7p-9, 0x1.a864d9962ca31p-9, 0x1.9bc8ab00d49d3p-9, 0x1.8f84e530a269bp-9, 0x1.8397431bce959p-9, 0x1.77fd95dd3100bp-9, 0x1.6cb5c6794f319p-9, 0x1.61bdd4aa8a08ep-9, 0x1.5713d2cad97ccp-9, 0x1.4cb5dfb550622p-9, 0x1.42a22010e43dbp-9, 0x1.38d6b8ab9da32p-9, 0x1.2f51cb59b304ep-9, 0x1.2611773871049p-9, 0x1.1d13dc603dd51p-9, 0x1.1457222fb201ap-9, 0x1.0bd97ea7c0652p-9, 0x1.03993cfd77169p-9, 0x1.f7298352c46b9p-10, 0x1.e79515aa58335p-10, 0x1.d87259d625485p-10, 0x1.c9be97f53be49p-10, 0x1.bb7726d202c82p-10, 0x1.ad995b9cfd146p-10, 0x1.a0227dbf14be1p-10, 0x1.930fc1a159822p-10, 0x1.865e4bb85f5e2p-10, 0x1.7a0b3b3003069p-10, 0x1.6e13b9b1d2b87p-10, 0x1.62750c7c88032p-10, 0x1.572ca2bfb8429p-10, 0x1.4c381dfa8dee1p-10, 0x1.4195529d26fd6p-10, 0x1.374240ec1c894p-10, 0x1.2d3d07bcfa25p-10, 0x1.2383d3c36b6c8p-10, 0x1.1a14ced084db5p-10, 0x1.10ee128574454p-10, 0x1.080da16b091bbp-10, 0x1.fee2d005a9e69p-11, 0x1.ee2e8ac358904p-11, 0x1.ddfa31cf639dep-11, 0x1.ce41a2f9c7369p-11, 0x1.bf00f5ba42a69p-11, 0x1.b0348d5061c51p-11, 0x1.a1d920770cb72p-11, 0x1.93ebb675bd1c8p-11, 0x1.86699a1d0ef35p-11, 0x1.7950440fddeffp-11, 0x1.6c9d3f8a0d946p-11, 0x1.604e0f23d6b1fp-11, 0x1.5460186747fd8p-11, 0x1.48d09bc6cf38ep-11, 0x1.3d9cba3050943p-11, 0x1.32c1844301a5p-11, 0x1.283c0c2a91a0dp-11, 0x1.1e097489aa1p-11, 0x1.1426fb6c8df64p-11, 0x1.0a9203e77421fp-11, 0x1.0148208940efcp-11, 0x1.f08e39258fdcdp-12, 0x1.df19fc2eba7e6p-12, 0x1.ce2ff830b934dp-12, 0x1.bdccd32b5d028p-12, 0x1.aded3af5ffa2ap-12, 0x1.9e8dc3b4cf5dap-12, 0x1.8faae13c87b8bp-12, 0x1.8140f6e0a31fp-12, 0x1.734c6b8314a16p-12, 0x1.65c9aef9128a7p-12, 0x1.58b52ba8f8f49p-12, 0x1.4c0b32a97055p-12, 0x1.3fc7fafe53a9ap-12, 0x1.33e7c2e8ac876p-12, 0x1.2867089173404p-12, 0x1.1d42b90d395e9p-12, 0x1.127835bd3975ep-12, 0x1.08052aadcc0bp-12, 0x1.fbcea38f27702p-13, 0x1.e83897624378ap-13, 0x1.d5434a98e56fep-13, 0x1.c2e9fdaf29dc3p-13, 0x1.b12864d45eb33p-13, 0x1.9ffab2631cbd9p-13, 0x1.8f5d494b94fc1p-13, 0x1.7f4c3af62b0cap-13, 0x1.6fc2ded6e72e2p-13, 0x1.60bbd25a71dc2p-13, 0x1.5231781a04fbdp-13, 0x1.441eb79794853p-13, 0x1.367f87a2aafe5p-13, 0x1.2950e61a3b9b6p-13, 0x1.1c9042082473dp-13, 0x1.103ac3cc45a2cp-13, 0x1.044cf4efebfcp-13, 0x1.f185f3e0b477ep-14, 0x1.db3248967589fp-14, 0x1.c598e6d8ef3cfp-14, 0x1.b0b56ed331ba7p-14, 0x1.9c848855a9feap-14, 0x1.8902b5c8f6a5cp-14, 0x1.762b2c19b7892p-14, 0x1.63f7559d4141dp-14, 0x1.525f5d0164955p-14, 0x1.415b8f2b26f3bp-14, 0x1.30e5d50c5c449p-14, 0x1.20fa5c1625f53p-14, 0x1.1196f9129b276p-14, 0x1.02b9af9ed2878p-14, 0x1.e8beccb26f8a8p-15, 0x1.cd07293b4c205p-15, 0x1.b241c1e9d3007p-15, 0x1.98642aa2ae3efp-15, 0x1.7f65ae8c8ffeap-15, 0x1.673fb3ba27247p-15, 0x1.4fed16bf8f23p-15, 0x1.39690c2a9b307p-15, 0x1.23ae1bc4080dp-15, 0x1.0eb5752b0ff3dp-15, 0x1.f4edb90580a57p-16, 0x1.cdd2f9cd8558ep-16, 0x1.a80ad14f5d02dp-16, 0x1.8389d02ff58dap-16, 0x1.604970580cff2p-16, 0x1.3e460dcce1ecp-16, 0x1.1d7bbd3e28e2p-16, 0x1.fbc81b6866d3bp-17, 0x1.beeb66b978034p-17, 0x1.844bc165f199ap-17, 0x1.4bd44d6ac8da6p-17, 0x1.1571ec54ff8a7p-17, 0x1.c2215f283a40dp-18, 0x1.5d348eab28227p-18, 0x1.f7e2dc40a4eaap-19, 0x1.3c6924698b442p-19, 0x1.0f91b2cfbaadap-20, -0x1.3146e4c4702a4p-22, -0x1.9b37981d3939p-20, -0x1.6eca89ebe4369p-19, -0x1.04fab3ce06826p-18, -0x1.4fa9aa21390ddp-18, -0x1.978283cea6e3dp-18, -0x1.dc8ccc29777a8p-18, -0x1.0f68707cd321cp-17, -0x1.2f2f8bb963d2ep-17, -0x1.4da63e4fdaf24p-17, -0x1.6ad590342376ap-17, -0x1.86c5610c2116ep-17, -0x1.a17ff8402dff8p-17, -0x1.bb12e34d3f67dp-17, -0x1.d38c6e110651fp-17, -0x1.eaf91809018cep-17, -0x1.00b165c7d24a5p-16, -0x1.0b68a8133dea4p-16, -0x1.15a5796afee48p-16, -0x1.1f6abcd30e58p-16, -0x1.28bbfd98bee2dp-16, -0x1.319db2d9fcaap-16, -0x1.3a139c0feb2d6p-16, -0x1.421f6abf2173ep-16, -0x1.49c2393b9e7e1p-16, -0x1.50fe9eca3bc7ep-16, -0x1.57d802dc9fa25p-16, -0x1.5e5094c742a8ep-16, -0x1.6469bda918808p-16, -0x1.6a26164b20a06p-16, -0x1.6f89801b1d40bp-16, -0x1.7497cf0e93d71p-16, -0x1.7953f8dd227e7p-16, -0x1.7dc0138c7971cp-16, -0x1.81ddab45cdc94p-16, -0x1.85ae3e4edb59bp-16, -0x1.8933b54b27acap-16, -0x1.8c7087c3ec816p-16, -0x1.8f67a66d7533cp-16, -0x1.921c501f9811fp-16, -0x1.9491087cb06a9p-16, -0x1.96c67ba8deed2p-16, -0x1.98bcbe05f4c3cp-16, -0x1.9a755a3f8ba9dp-16, -0x1.9bf2c9c687504p-16, -0x1.9d36a7d51c546p-16, -0x1.9e41dc7a68ddfp-16, -0x1.9f15c0f8bcd25p-16, -0x1.9fb42f3690abp-16, -0x1.a01f0300c6e35p-16, -0x1.a057d6600035ep-16, -0x1.a06001c2ac9e8p-16, -0x1.a038b8a6efc1ap-16, -0x1.9fe3245634a95p-16, -0x1.9f606ec993ae2p-16, -0x1.9eb1c0b275263p-16, -0x1.9dd83f497b3a4p-16, -0x1.9cd50e763662bp-16, -0x1.9ba94ea8c44ebp-16, -0x1.9a56242386d8ap-16, -0x1.98dcc70a526edp-16, -0x1.973e627ae2cf9p-16, -0x1.957be702746eep-16, -0x1.939628f6772c6p-16, -0x1.918e15f8d5217p-16, -0x1.8f64b0f7b492ep-16, -0x1.8d1aefb47b6a6p-16, -0x1.8ab1ac9516128p-16, -0x1.8829c9d5a1b27p-16, -0x1.85844cda4f65p-16, -0x1.82c22eae2653fp-16, -0x1.7fe42f0bb3879p-16, -0x1.7ceaf379c2f6dp-16, -0x1.79d73a9fac126p-16, -0x1.76a9de8a53739p-16, -0x1.7363ab21343ap-16, -0x1.70055dc13238fp-16, -0x1.6c8fd65aaa68bp-16, -0x1.6903b2aa6257cp-16, -0x1.65612ec06c5c7p-16, -0x1.61a952d2175c3p-16, -0x1.5ddd242fe62d9p-16, -0x1.59fced30c3a0cp-16, -0x1.5609bd12780dp-16, -0x1.5204ad8727e42p-16, -0x1.4dede8909892ap-16, -0x1.49c56118cae05p-16, -0x1.458b7de8faf78p-16, -0x1.414137257b713p-16, -0x1.3ce7887de3fb1p-16, -0x1.387eeace1e281p-16, -0x1.3407bb5d173d3p-16, -0x1.2f82c817ef265p-16, -0x1.2af0e95f72d03p-16, -0x1.2652980d0d5f9p-16, -0x1.21a825137b6a6p-16, -0x1.1cf1e08a84a4bp-16, -0x1.18303ea52c62bp-16, -0x1.1364378a12abbp-16, -0x1.0e8e741e9fe2ep-16, -0x1.09aebb5631f18p-16, -0x1.04c5b6802aeap-16, -0x1.ffa75fbe4bdf1p-17, -0x1.f5b29f814f5abp-17, -0x1.ebaf79cc09758p-17, -0x1.e19e2e459936dp-17, -0x1.d77f03d56d282p-17, -0x1.cd52faded7444p-17, -0x1.c31b4f7bfbd67p-17, -0x1.b8d93c4d47a35p-17, -0x1.ae8dbfd85bb42p-17, -0x1.a439391bf404p-17, -0x1.99dbb1cced03ap-17, -0x1.8f7618e2116d6p-17, -0x1.8509e400587f8p-17, -0x1.7a9783704afe6p-17, -0x1.701f71e966473p-17, -0x1.65a34dab5f658p-17, -0x1.5b240eabe1665p-17, -0x1.50a1fbcc8b8e9p-17, -0x1.461e7c637217fp-17, -0x1.3b9a1c6d3e886p-17, -0x1.3114159453543p-17, -0x1.268d2f9239d8bp-17, -0x1.1c06996835b8ep-17, -0x1.11824cc129ab7p-17, -0x1.07004ae49e5aep-17, -0x1.f9017e12235dep-18, -0x1.e408c3b5d2d16p-18, -0x1.cf17e0b322183p-18, -0x1.ba302924dadfep-18, -0x1.a552dd54d5485p-18, -0x1.908137ddeb589p-18, -0x1.7bbc7395fa662p-18, -0x1.6705cb0af50f8p-18, -0x1.525e753ea958ap-18, -0x1.3dc7af56dd102p-18, -0x1.2942dae988a94p-18, -0x1.14d139c02e39ap-18, -0x1.00732ad27f6e5p-18, -0x1.d8524123bb4ecp-19, -0x1.afe8a7d6b45c9p-19, -0x1.87ab26a698356p-19, -0x1.5f9f84cac1fdp-19, -0x1.37c7eadadaaa7p-19, -0x1.1021896a794cep-19, -0x1.d15d33c413726p-20, -0x1.82e8d72c16b72p-20, -0x1.34e60fbd244f1p-20, -0x1.cead79419efeep-21, -0x1.347e831b346fbp-21, -0x1.368e35c210492p-22, -0x1.870f9f67c2904p-28, 0x1.284c064fc8788p-22, 0x1.2a4f120dfbc92p-21, 0x1.bf66edeea92f8p-21, 0x1.29b3c733b55c7p-20, 0x1.732588e2eb59ep-20, 0x1.bc05ebbe33b8bp-20, 0x1.02292380c3873p-19, 0x1.26040971e0ca1p-19, 0x1.49926c610cd39p-19, 0x1.6cd30a11a5225p-19, 0x1.8fc49023710ep-19, 0x1.b265c620c5d82p-19, 0x1.d4b5bc06bc79bp-19, 0x1.f6b307ceaa32p-19, 0x1.0c2d4833b346dp-18, }}, 
      {{0x1.28fec0ffb4e29p+0, 0x1.3a11b35e9fea5p+0, 0x1.4fedbb4db50a4p+0, 0x1.672294a06fa67p+0, 0x1.7d72c75c4108p+0, 0x1.917b269dcf25ep+0, 0x1.a27251955e6dbp+0, 0x1.affa38a185a0cp+0, 0x1.b9fe8484aad4bp+0, 0x1.c09bdfbb4695fp+0, 0x1.c40df1faa3fap+0, 0x1.c4a27932d5a9ap+0, 0x1.c2b02bbbd9a46p+0, 0x1.be906488dd9cbp+0, 0x1.b89adcbf90fe8p+0, 0x1.b122e575329ep+0, 0x1.a875b76ec75ddp+0, 0x1.9ed9895249a82p+0, 0x1.948d30f356316p+0, 0x1.89c823d645763p+0, 0x1.7ebab6bccfa8cp+0, 0x1.738e84ec6988cp+0, 0x1.6866ee8194737p+0, 0x1.5d61a2108cf35p+0, 0x1.52972970d8b53p+0, 0x1.481b74359846cp+0, 0x1.3dfe5c4424a34p+0, 0x1.344c22629226fp+0, 0x1.2b0de19a81f4ap+0, 0x1.2249f9006dd41p+0, 0x1.1a046be4c76bcp+0, 0x1.123f38bc3c3f3p+0, 0x1.0afaa735fa546p+0, 0x1.04358e0da54a7p+0, 0x1.fbdb2262bae72p-1, 0x1.f03eb1ae58b1fp-1, 0x1.e58d8435bb32p-1, 0x1.dbbe136fa09bep-1, 0x1.d2c5e2d5621f2p-1, 0x1.ca99c0ff02abp-1, 0x1.c32e000c5892ep-1, 0x1.bc76a63ae874p-1, 0x1.b667977fb3c7ep-1, 0x1.b0f4b8ddbdedcp-1, 0x1.ac120e257b0d1p-1, 0x1.a7b3d2c93cbf9p-1, 0x1.a3ce8e4078bb9p-1, 0x1.a057249517f3dp-1, 0x1.9d42e37fedbc5p-1, 0x1.9a878c8036b97p-1, 0x1.981b5c6e7c7d4p-1, 0x1.95f5108df6589p-1, 0x1.940bea15dbe4ap-1, 0x1.9257af55eef2cp-1, 0x1.90d0ac7e5c9ecp-1, 0x1.8f6fb1a4bfe0bp-1, 0x1.8e2e11e162979p-1, 0x1.8d059ecb58647p-1, 0x1.8bf0a6cd84b1ep-1, 0x1.8ae9ee9f99d4cp-1, 0x1.89ecaf594c9f2p-1, 0x1.88f48ebd1f01bp-1, 0x1.87fd9cad50987p-1, 0x1.87044b9466c1bp-1, 0x1.86056c84e91aap-1, 0x1.84fe2923236c3p-1, 0x1.83ebfe4fa8cbbp-1, 0x1.82ccb74f8b74fp-1, 0x1.819e67f9ef2p-1, 0x1.805f6841dfa7fp-1, 0x1.7f0e4f2a4723ap-1, 0x1.7da9ee69e1946p-1, 0x1.7c314e0b715e5p-1, 0x1.7aa3a83828dfap-1, 0x1.79006536687a9p-1, 0x1.774717a596efep-1, 0x1.7577790249fa9p-1, 0x1.739166686db69p-1, 0x1.7194dd7fc99c1p-1, 0x1.6f81f985a34aap-1, 0x1.6d58f06be029cp-1, 0x1.6b1a10170d5dp-1, 0x1.68c5bbc30535fp-1, 0x1.665c6999ee70bp-1, 0x1.63dea07cbf7ep-1, 0x1.614cf5f9458b4p-1, 0x1.5ea80c647518ap-1, 0x1.5bf0910f2b5fap-1, 0x1.59273a92eeb1dp-1, 0x1.564cc733b8e99p-1, 0x1.5361fb5ca2987p-1, 0x1.5067a03a97c18p-1, 0x1.4d5e827881551p-1, 0x1.4a47711f62af3p-1, 0x1.47233c96acc4p-1, 0x1.43f2b5c275ad1p-1, 0x1.40b6ad3a9301ap-1, 0x1.3d6ff29477f29p-1, 0x1.3a1f53be8c36cp-1, 0x1.36c59c68d4553p-1, 0x1.3363957accf3ap-1, 0x1.2ffa0497802b3p-1, 0x1.2c89abaefd295p-1, 0x1.2913489ed7019p-1, 0x1.259794e183fc8p-1, 0x1.2217454c0d21fp-1, 0x1.1e9309d8a247p-1, 0x1.1b0b8d7da66e8p-1, 0x1.1781760e81548p-1, 0x1.13f56424984a3p-1, 0x1.1067f30fdf72p-1, 0x1.0cd9b8cc8f89ep-1, 0x1.094b45fd88db4p-1, 0x1.05bd25eb0ab2ap-1, 0x1.022fde8521ea9p-1, 0x1.fd47e0d29928dp-2, 0x1.f633add762298p-2, 0x1.ef241048295f2p-2, 0x1.e819e9fb03dcep-2, 0x1.e1161291d119bp-2, 0x1.da1957a73a4d1p-2, 0x1.d3247cfe434e5p-2, 0x1.cc383cb64efc2p-2, 0x1.c5554785cb722p-2, 0x1.be7c44f38e3b5p-2, 0x1.b7add393ad526p-2, 0x1.b0ea8948c7b59p-2, 0x1.aa32f38186d88p-2, 0x1.a387977870112p-2, 0x1.9ce8f2766881cp-2, 0x1.96577a1129c22p-2, 0x1.8fd39c69e0c05p-2, 0x1.895dc06e02a92p-2, 0x1.82f6461589b5fp-2, 0x1.7c9d869e9f96fp-2, 0x1.7653d4cb0aaa2p-2, 0x1.70197d1dc48a3p-2, 0x1.69eec613e5a9bp-2, 0x1.63d3f05d59f55p-2, 0x1.5dc9371892b7ep-2, 0x1.57ced009aa92ep-2, 0x1.51e4ebce1c0dep-2, 0x1.4c0bb6142cce4p-2, 0x1.464355d0644fcp-2, 0x1.408bed6d6787ep-2, 0x1.3ae59afd7ba0dp-2, 0x1.3550786ca0e0bp-2, 0x1.2fcc9badbd90bp-2, 0x1.2a5a16e6b988ap-2, 0x1.24f8f89d8cf0cp-2, 0x1.1fa94be24813cp-2, 0x1.1a6b1876fce97p-2, 0x1.153e62f7f132ap-2, 0x1.10232d01ad777p-2, 0x1.0b197554ce83fp-2, 0x1.062137f9fb65cp-2, 0x1.013a6e647ea5dp-2, 0x1.f8ca1f244cd69p-3, 0x1.ef42205585f63p-3, 0x1.e5dcc53ee9adbp-3, 0x1.dc99ee8f5dad6p-3, 0x1.d37978f9a1e2cp-3, 0x1.ca7b3d6b9177dp-3, 0x1.c19f11427c8d3p-3, 0x1.b8e4c67bf6329p-3, 0x1.b04c2be6febb3p-3, 0x1.a7d50d540847ep-3, 0x1.9f7f33bfa1c45p-3, 0x1.974a657b4361cp-3, 0x1.8f366659436f1p-3, 0x1.8742f7d724f93p-3, 0x1.7f6fd94078b5cp-3, 0x1.77bcc7cfbdfdep-3, 0x1.70297ed475c1dp-3, 0x1.68b5b7d94c5acp-3, 0x1.61612ac254588p-3, 0x1.5a2b8de6d7e3fp-3, 0x1.5314962fc0684p-3, 0x1.4c1bf7395e03ep-3, 0x1.4541636fcc9f7p-3, 0x1.3e848c24d385bp-3, 0x1.37e521a68137dp-3, 0x1.3162d35a2e093p-3, 0x1.2afd4fd6c4413p-3, 0x1.24b444f9dd4dep-3, 0x1.1e875ffa2e3b7p-3, 0x1.18764d7b691f5p-3, 0x1.1280b9a341aa2p-3, 0x1.0ca6502ce5e6fp-3, 0x1.06e6bc7a61eeap-3, 0x1.0141a9a5743bfp-3, 0x1.f76d851f8ad95p-4, 0x1.ec8b63e34f14bp-4, 0x1.e1dc44d051d69p-4, 0x1.d75f7d088f2ddp-4, 0x1.cd1461b535101p-4, 0x1.c2fa4820f528ap-4, 0x1.b91085cb11662p-4, 0x1.af567079e9de6p-4, 0x1.a5cb5e53fb15bp-4, 0x1.9c6ea5fd2b4dbp-4, 0x1.933f9eae4e641p-4, 0x1.8a3da042301dap-4, 0x1.8168033ef6e4p-4, 0x1.78be20e6cc4b3p-4, 0x1.703f535111b4ep-4, 0x1.67eaf58210572p-4, 0x1.5fc063779cf79p-4, 0x1.57befa2cda095p-4, 0x1.4fe617a07f12bp-4, 0x1.48351ae55e8aep-4, 0x1.40ab64388a3acp-4, 0x1.39485511b1df1p-4, 0x1.320b502820004p-4, 0x1.2af3b97231c8p-4, 0x1.2400f629f4d95p-4, 0x1.1d326cdb4d8bfp-4, 0x1.168785756b563p-4, 0x1.0fffa955d6db4p-4, 0x1.099a4349ca32bp-4, 0x1.0356bf8b9a08dp-4, 0x1.fa691789a257ap-5, 0x1.ee662e30606bdp-5, 0x1.e2a3a45d26812p-5, 0x1.d7205e7e2d7cap-5, 0x1.cbdb441ed9f46p-5, 0x1.c0d33fe0860f9p-5, 0x1.b6073f78bfdeap-5, 0x1.ab7633bb97211p-5, 0x1.a11f10ace06d6p-5, 0x1.9700cd8d03ac3p-5, 0x1.8d1a64da802d9p-5, 0x1.836ad44ad5255p-5, 0x1.79f11cc3ef272p-5, 0x1.70ac425d5445ap-5, 0x1.679b4c68b24ccp-5, 0x1.5ebd457b0446ap-5, 0x1.56113b6f706ep-5, 0x1.4d963f625e56ep-5, 0x1.454b65a91454ep-5, 0x1.3d2fc5cc0fff9p-5, 0x1.35427a87306aep-5, 0x1.2d82a1cd96b42p-5, 0x1.25ef5ccc42ddp-5, 0x1.1e87cfe7c9458p-5, 0x1.174b22b5466abp-5, 0x1.10387ff1d160dp-5, 0x1.094f157c38794p-5, 0x1.028e145290085p-5, 0x1.f7e96123af3ep-6, 0x1.eb0442e936821p-6, 0x1.de6b429cb0074p-6, 0x1.d21cdb07ae32p-6, 0x1.c6178d04b48c1p-6, 0x1.ba59df703ec86p-6, 0x1.aee25f1e90e55p-6, 0x1.a3af9ed4e3374p-6, 0x1.98c03741dc6ap-6, 0x1.8e12c6f28562cp-6, 0x1.83a5f242e1149p-6, 0x1.7978634c38c14p-6, 0x1.6f88c9d3dfdabp-6, 0x1.65d5db3cdc2b7p-6, 0x1.5c5e527c5d2a6p-6, 0x1.5320f00f1f0b4p-6, 0x1.4a1c79ed6bd9cp-6, 0x1.414fbb7c844ddp-6, 0x1.38b9857da73a1p-6, 0x1.3058adfc2d3f3p-6, 0x1.282c103c68d27p-6, 0x1.20328cac68ffbp-6, 0x1.186b08d668029p-6, 0x1.10d46f53b1805p-6, 0x1.096dafbec5218p-6, 0x1.0235bea40bf4fp-6, 0x1.f6572ae264675p-7, 0x1.e89c64c7c560dp-7, 0x1.db3930f14f257p-7, 0x1.ce2b9eb5479cep-7, 0x1.c171c6a8997fp-7, 0x1.b509ca81420fp-7, 0x1.a8f1d4f8ed47ep-7, 0x1.9d2819aedb138p-7, 0x1.91aad509051aap-7, 0x1.86784c14e6495p-7, 0x1.7b8ecc67b2c65p-7, 0x1.70ecabfe77fd5p-7, 0x1.6690491e451b5p-7, 0x1.5c780a3411649p-7, 0x1.52a25db4b09ecp-7, 0x1.490db9fd06cebp-7, 0x1.3fb89d336e7ddp-7, 0x1.36a18d2ad75d6p-7, 0x1.2dc71747a7f9cp-7, 0x1.2527d06572654p-7, 0x1.1cc254bc66e15p-7, 0x1.149547c4e0d8p-7, 0x1.0c9f541837f32p-7, 0x1.04df2b4eb8992p-7, 0x1.faa70bb8599f7p-8, 0x1.ebf645daa70dfp-8, 0x1.dda99091817d7p-8, 0x1.cfbe846a21fecp-8, 0x1.c232c6c89a7c9p-8, 0x1.b50409c5baa8fp-8, 0x1.a8300c0ce9f09p-8, 0x1.9bb498b27129ep-8, 0x1.8f8f86fbb3eb3p-8, 0x1.83beba17cd7fbp-8, 0x1.784020cc8cfabp-8, 0x1.6d11b52101d3dp-8, 0x1.62317c113f8d6p-8, 0x1.579d8555aa52ap-8, 0x1.4d53eb430d6ffp-8, 0x1.4352d2c09eafcp-8, 0x1.39986b498f2c9p-8, 0x1.3022eee9e52bfp-8, 0x1.26f0a2263d98cp-8, 0x1.1dffd3c2c3e78p-8, 0x1.154edc6825fd6p-8, 0x1.0cdc1e30c5b25p-8, 0x1.04a6043188a5dp-8, 0x1.f956042dab69ap-9, 0x1.e9d327d365ba3p-9, 0x1.dac07c0ed9b05p-9, 0x1.cc1b1a8db3764p-9, 0x1.bde02e6cc0bf6p-9, 0x1.b00cf4a88501ap-9, 0x1.a29ebc41ceb1cp-9, 0x1.9592e5e64bbfcp-9, 0x1.88e6e3109f365p-9, 0x1.7c9834bdebecbp-9, 0x1.70a469f9ec2d8p-9, 0x1.65091e986044fp-9, 0x1.59c3fa6d69f7p-9, 0x1.4ed2b136c5766p-9, 0x1.44330338ab5e3p-9, 0x1.39e2be5be3fbp-9, 0x1.2fdfbf6d464acp-9, 0x1.2627f30f86869p-9, 0x1.1cb955fb7b79ap-9, 0x1.1391f45839d6ap-9, 0x1.0aafe832d5b55p-9, 0x1.02115761484aep-9, 0x1.f368e29617225p-10, 0x1.e32eda47088dfp-10, 0x1.d3711218ecd6ep-10, 0x1.c42c14bcd8bccp-10, 0x1.b55c7e0d9fc64p-10, 0x1.a6feff3f924c2p-10, 0x1.9910635731ea3p-10, 0x1.8b8d9295858e5p-10, 0x1.7e7393bdac76cp-10, 0x1.71bf8a9c8b718p-10, 0x1.656eb3f188736p-10, 0x1.597e5f891afcep-10, 0x1.4debe9e180a2ap-10, 0x1.42b4b6dc70ff9p-10, 0x1.37d62ecc2fdcap-10, 0x1.2d4dbea0587b3p-10, 0x1.2318db32ad719p-10, 0x1.193506e74238cp-10, 0x1.0f9fd83539b14p-10, 0x1.0656ff66c193dp-10, 0x1.fab09406ed4ffp-11, 0x1.e94345d012883p-11, 0x1.d8621dbbe39c6p-11, 0x1.c8094cbc52634p-11, 0x1.b8351baf39bedp-11, 0x1.a8e1dc5dc3f13p-11, 0x1.9a0bde4d84fe5p-11, 0x1.8baf69ef3caedp-11, 0x1.7dc8c34b1a1f7p-11, 0x1.7054338797bb1p-11, 0x1.634e16f68082dp-11, 0x1.56b2ec37431f9p-11, 0x1.4a7f60c9b6d16p-11, 0x1.3eb0582cf477bp-11, 0x1.3342ec0393c1cp-11, 0x1.28346547e91a4p-11, 0x1.1d8230083da7fp-11, 0x1.1329cc20dd91dp-11, 0x1.0928bdfeb28fep-11, 0x1.fef9051e1f268p-12, 0x1.ec4511f4e762ep-12, 0x1.da3067160318cp-12, 0x1.c8b5be97e6f06p-12, 0x1.b7cfe05bcd6b8p-12, 0x1.a779bceb108e2p-12, 0x1.97ae84c4f65dp-12, 0x1.8869b81159f17p-12, 0x1.79a72cff987c8p-12, 0x1.6b630ca0418b6p-12, 0x1.5d99c6b7cf95ep-12, 0x1.5047fdd036284p-12, 0x1.436a6e7c35fap-12, 0x1.36fdd6c8e69ffp-12, 0x1.2afee3f40fa8ep-12, 0x1.1f6a2b428e88ap-12, 0x1.143c2ee8dbbf3p-12, 0x1.09716b67cba28p-12, 0x1.fe0cce5f37b4ap-13, 0x1.e9ef7f6217f83p-13, 0x1.d684660b8cab1p-13, 0x1.c3c550e384e6ap-13, 0x1.b1ac72e4840eep-13, 0x1.a03472bd6a013p-13, 0x1.8f586cebeb0fp-13, 0x1.7f13e080dba03p-13, 0x1.6f6288e7834ecp-13, 0x1.604032f546b43p-13, 0x1.51a89f76e9c53p-13, 0x1.43977d8e58054p-13, 0x1.3608787b097d1p-13, 0x1.28f748e159e93p-13, 0x1.1c5fb962a9c7dp-13, 0x1.103d9a88114f8p-13, 0x1.048cb285a71b2p-13, 0x1.f2917b774692fp-14, 0x1.dcdb181f27688p-14, 0x1.c7ee624b174cbp-14, 0x1.b3c455f18c2bfp-14, 0x1.a056c82a8c9dbp-14, 0x1.8da01bd5a3c68p-14, 0x1.7b9ad794b6cadp-14, 0x1.6a4162d446cc4p-14, 0x1.598e0f95b2cffp-14, 0x1.497b5ceaa5841p-14, 0x1.3a043788e63aap-14, 0x1.2b2401dce43d3p-14, 0x1.1cd6528397385p-14, 0x1.0f1688020524ep-14, 0x1.01df738b0051p-14, 0x1.ea56b7962aa66p-15, 0x1.d1e8d24a52af3p-15, 0x1.ba6a8a83a84ep-15, 0x1.a3d31690707e3p-15, 0x1.8e1b793813d0dp-15, 0x1.793d81673e9acp-15, 0x1.65329670b0cdfp-15, 0x1.51f3274d80d98p-15, 0x1.3f770c526a0afp-15, 0x1.2db67889ccbf2p-15, 0x1.1caacc49d15fbp-15, 0x1.0c4ecbea26f8fp-15, 0x1.f93c40de9d74fp-16, 0x1.db28c36a9e70cp-16, 0x1.be584db11b848p-16, 0x1.a2bd47128c0aap-16, 0x1.884838f8b9022p-16, 0x1.6eea119d6d3e2p-16, 0x1.56968679b4dc1p-16, 0x1.3f451b9bbf00ep-16, 0x1.28f019035d14dp-16, 0x1.139221c5814c2p-16, 0x1.fe4837a775e17p-17, 0x1.d7395fcb3fc91p-17, 0x1.b1e299325f7a8p-17, 0x1.8e2f5eac887bap-17, 0x1.6c0e11c48d951p-17, 0x1.4b7093b269147p-17, 0x1.2c4b3c82a2fc7p-17, 0x1.0e93151ee4f23p-17, 0x1.e478771683f4dp-18, 0x1.ae71a5e6c4cdep-18, 0x1.7af1c9f2a7514p-18, 0x1.49d7629281443p-18, 0x1.1b041f19460ebp-18, 0x1.dcc1f7a7d3baep-19, 0x1.87bdef0ace939p-19, 0x1.36e799b828a73p-19, 0x1.d453a81eeed7cp-20, 0x1.42cf9eae927abp-20, 0x1.71f04dee25e7bp-21, 0x1.b3cc9a9311c6ep-23, -0x1.13f302470ed84p-22, -0x1.736ab98d7fcb8p-21, -0x1.27fcb49e83237p-20, -0x1.9025e88e5edb6p-20, -0x1.f28234fa8be76p-20, -0x1.27aa5920e7f9dp-19, -0x1.53683fadf3e85p-19, -0x1.7c90e98241f0ep-19, -0x1.a33c23c2cad91p-19, -0x1.c785a9425d11dp-19, -0x1.e98b24622e9d1p-19, -0x1.04b32732d057dp-18, -0x1.139401bb875eep-18, -0x1.216d10c68386ep-18, -0x1.2e43841f71e27p-18, -0x1.3a1f8a29cb7dp-18, -0x1.450b0a168e9cap-18, -0x1.4f0eafcbc7b17p-18, -0x1.5832335ada8b5p-18, -0x1.607f10eaf62a5p-18, -0x1.6801297a85028p-18, -0x1.6ec4ceb9b80e2p-18, -0x1.74d4d555bf613p-18, -0x1.7a3a03eeb8365p-18, -0x1.7efb71af3bc4fp-18, -0x1.831f096e1fafcp-18, -0x1.86aa421021a24p-18, -0x1.89a3831b29696p-18, -0x1.8c1286dcdf6a1p-18, -0x1.8dfdd9ac17176p-18, -0x1.8f68d8ace0e0ap-18, -0x1.9055f462ed36ap-18, -0x1.90c9d6b4d0df4p-18, -0x1.90ca56358bc15p-18, -0x1.905b63acbbfffp-18, -0x1.8f7fbc9e5f004p-18, -0x1.8e3be118d164ep-18, -0x1.8c963488c7b87p-18, -0x1.8a94f855b47a1p-18, -0x1.883d12fe4fb3ap-18, -0x1.85920fae59453p-18, -0x1.8296a0ca31c5p-18, -0x1.7f4d5c0b4f866p-18, -0x1.7bb9704926ee9p-18, -0x1.77dedc01d403p-18, -0x1.73c24bdc56955p-18, -0x1.6f68d92d63d12p-18, -0x1.6ad67af562bbbp-18, -0x1.660c5dcddfb86p-18, -0x1.610ac6ccf5b7fp-18, -0x1.5bd426712ff4bp-18, -0x1.566c4ba230f75p-18, -0x1.50d5b3807da21p-18, -0x1.4b11cb5ac83d9p-18, -0x1.4522a42387e1ep-18, -0x1.3f0b08dbba818p-18, -0x1.38cdc24cfdd65p-18, -0x1.326d32b86ac64p-18, -0x1.2beb564c99684p-18, -0x1.2549ee0a50d2ep-18, -0x1.1e8aa7ce5597bp-18, -0x1.17af2eb595ac5p-18, -0x1.10b9284f9dc21p-18, -0x1.09aa3174f2325p-18, -0x1.0283e19519197p-18, -0x1.f68f8f709314p-19, -0x1.e7eeeb240437dp-19, -0x1.d9292f05e5b5ep-19, -0x1.ca418798e370dp-19, -0x1.bb3a6e09675c3p-19, -0x1.ac1602572be0ep-19, -0x1.9cd6aa6491722p-19, -0x1.8d7f068f95905p-19, -0x1.7e118c0fb692cp-19, -0x1.6e905b108d7dfp-19, -0x1.5efda70fc0766p-19, -0x1.4f5c07ae7ee2cp-19, -0x1.3fadebd71eb0cp-19, -0x1.2ff514b1f8d23p-19, -0x1.2032f2aa04bb1p-19, -0x1.10693e4503d7fp-19, -0x1.0099fe9ac7836p-19, -0x1.e18e196f6ea4fp-20, -0x1.c1e423580366p-20, -0x1.a23a33fc800ecp-20, -0x1.8292da47a393ep-20, -0x1.62ee5fe32f844p-20, -0x1.4351c88cc8f08p-20, -0x1.23c20113183a1p-20, -0x1.043f93b33afb5p-20, -0x1.c99f39f5cb22ap-21, -0x1.8aeef228fd88dp-21, -0x1.4c6dcb376ceacp-21, -0x1.0e189d6087c46p-21, -0x1.9fe34e0bf69d8p-22, -0x1.2403e8a60f487p-22, -0x1.514af16037599p-23, -0x1.6e712c1042b85p-25, 0x1.31fa3acfc5c4ep-24, 0x1.8c654d6007b46p-23, 0x1.3f3f3692fe417p-22, 0x1.b79e499413178p-22, 0x1.17a6d4ab31cbcp-21, 0x1.5325a34433409p-21, 0x1.8e48e98bd2a9cp-21, 0x1.c907c8308bbap-21, 0x1.01ae7ee920609p-20, 0x1.1ea6fe18ba391p-20, 0x1.3b6acc604384p-20, 0x1.57f99e2d88a2dp-20, 0x1.7450e92db559dp-20, 0x1.906b0aa24c894p-20, 0x1.ac48b12aadea1p-20, 0x1.c7ea81215af32p-20, 0x1.e34ee2793636dp-20, 0x1.fe7380f3cf309p-20, 0x1.0cab0594bb4dep-19, 0x1.19fa75666054dp-19, 0x1.27283ddba6587p-19, 0x1.343511953c5ep-19, 0x1.41203bd43d644p-19, 0x1.4de835b0df43dp-19, 0x1.5a8d1316409bap-19, 0x1.670ed7bb40143p-19, 0x1.736bbce5da2c2p-19, 0x1.7fa300f0929a6p-19, 0x1.8bb4fa58c4ea8p-19, 0x1.97a03259c4a15p-19, 0x1.a36483f9349fbp-19, 0x1.af03f0beed305p-19, 0x1.ba7e097fe7e1bp-19, 0x1.c5d1b3ebb7f79p-19, 0x1.d0fc7c7473e17p-19, 0x1.dbff2607b08b8p-19, 0x1.e6da376889414p-19, 0x1.f18d4d55c153fp-19, 0x1.fc17faabe11c6p-19, 0x1.033cf81c4ab16p-18, 0x1.08597711baeb9p-18, 0x1.0d615bf487dd5p-18, 0x1.12548783bf3a3p-18, 0x1.1732d9b29eabcp-18, 0x1.1bfc3334bf271p-18, 0x1.20b071fa76399p-18, 0x1.254f642abb79ap-18, 0x1.29d8e56ce11bp-18, 0x1.2e4d33322fa52p-18, 0x1.32ac8069f3115p-18, 0x1.36f6a90c535cep-18, 0x1.3b2bb85f46774p-18, 0x1.3f4acf3bfd8b4p-18, 0x1.4353d4c35e5e2p-18, 0x1.4747cd0d03cc2p-18, 0x1.4b269fc7c10f8p-18, 0x1.4eef7b10bc1b9p-18, 0x1.52a2beed79068p-18, 0x1.56409aaafe975p-18, 0x1.59c8f19745cafp-18, 0x1.5d3bb27589d2bp-18, 0x1.6098d9a297fc1p-18, 0x1.63e069329299cp-18, 0x1.6712652b9b2bcp-18, 0x1.6a2ed21ddbf3bp-18, 0x1.6d35b4c89874p-18, 0x1.7027130e3c455p-18, 0x1.7302f5b3d2c65p-18, 0x1.75c969679c328p-18, 0x1.787a7e1726841p-18, 0x1.7b1644ed7c0fep-18, 0x1.7d9ccc4838c11p-18, 0x1.800e1ce99762fp-18, 0x1.826a441ae139cp-18, 0x1.84b1601f23c17p-18, 0x1.86e37078e56e3p-18, 0x1.8900049caf0d8p-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      {{-0x1.c015786c82685p-1, -0x1.bfef6fd7d64cap-1, -0x1.bfaf178dde71cp-1, -0x1.bf5311c15264fp-1, -0x1.bed9923333637p-1, -0x1.be40746b90d5ep-1, -0x1.bd855282c11c1p-1, -0x1.bca59b316929ep-1, -0x1.bb9ea656d47dp-1, -0x1.ba6dc77b9027ap-1, -0x1.b9105e12bc7ffp-1, -0x1.b783e3666430dp-1, -0x1.b5c5f637780d8p-1, -0x1.b3d4642ce973fp-1, -0x1.b1ad31393a1b1p-1, -0x1.af4e9d24ecd38p-1, -0x1.acb7276fb060cp-1, -0x1.a9e591bb08352p-1, -0x1.a6d8e0f05226ap-1, -0x1.a3905d51c6f5fp-1, -0x1.a00b91a309b41p-1, -0x1.9c4a499231f41p-1, -0x1.984c8f865498fp-1, -0x1.9412a9f483188p-1, -0x1.8f9d185841c4cp-1, -0x1.8aec8fe89e42ep-1, -0x1.8601f81f75146p-1, -0x1.80de67252594ap-1, -0x1.7b831e2febfcbp-1, -0x1.75f185e36d8a5p-1, -0x1.702b2aba9eb1fp-1, -0x1.6a31b9841bfp-1, -0x1.6406fbf74906dp-1, -0x1.5dacd56702cfap-1, -0x1.57253f9572053p-1, -0x1.507247ab7696cp-1, -0x1.49960b554dc42p-1, -0x1.4292b6055b73p-1, -0x1.3b6a7e5d70e6dp-1, -0x1.341fa3be77c86p-1, -0x1.2cb46bfe15157p-1, -0x1.252b214187f27p-1, -0x1.1d860ffce412bp-1, -0x1.15c7851595efp-1, -0x1.0df1cc270d6c5p-1, -0x1.06072de8540b7p-1, -0x1.fc13dd629f8ep-2, -0x1.ebf89a3ccb5f5p-2, -0x1.dbc101a26f697p-2, -0x1.cb71729a62a44p-2, -0x1.bb0e39dd40365p-2, -0x1.aa9b8ff62fe84p-2, -0x1.9a1d9793d17b2p-2, -0x1.89985c06e86efp-2, -0x1.790fcfec65c5fp-2, -0x1.6887cc0095c8ep-2, -0x1.58040e1928dacp-2, -0x1.47883843f9153p-2, -0x1.3717d008683dp-2, -0x1.26b63dc950698p-2, -0x1.1666cc458bd5p-2, -0x1.062ca83521faap-2, -0x1.ec15c00288977p-3, -0x1.cc08c72a941b7p-3, -0x1.ac38088ddf395p-3, -0x1.8ca8e9a856c5cp-3, -0x1.6d6092e9f8d83p-3, -0x1.4e63efff4679bp-3, -0x1.2fb7b03b95652p-3, -0x1.1160472260bbep-3, -0x1.e6c3da19c71bp-4, -0x1.ab813fd2b8967p-4, -0x1.710048230ea0ap-4, -0x1.37480a6bca262p-4, -0x1.fcbe5d6e7d826p-5, -0x1.8c97dfab90684p-5, -0x1.1e283b2ee801ap-5, -0x1.62f47c7b5b61p-6, -0x1.1a5faa4c005f1p-7, 0x1.13ac2d541ae9bp-8, 0x1.134b35a9aeb0fp-6, 0x1.dde1353423f1bp-6, 0x1.524f82bcb1c51p-5, 0x1.b3bc03c5c00fcp-5, 0x1.09983dd6b0f21p-4, 0x1.3853f83f106c9p-4, 0x1.660f057b6bf5ep-4, 0x1.92c788976978cp-4, 0x1.be7bf09fbb75dp-4, 0x1.e92af5fb2ebe8p-4, 0x1.0969cbe4a9f12p-3, 0x1.1dba8ca3f2accp-3, 0x1.31877fa011c85p-3, 0x1.44d086be7f144p-3, 0x1.5795a2257356cp-3, 0x1.69d6ef0118bb4p-3, 0x1.7b94a64e38dfep-3, 0x1.8ccf1baac8613p-3, 0x1.9d86bc2c83c95p-3, 0x1.adbc0d3dc73aep-3, 0x1.bd6fab80e492p-3, 0x1.cca249b9f3953p-3, 0x1.db54afbf5d4e6p-3, 0x1.e987b97112b5bp-3, 0x1.f73c55b693a0dp-3, 0x1.0239c2c1dcd29p-2, 0x1.08972d7228bddp-2, 0x1.0eb6fc073ecfep-2, 0x1.1499c73de9999p-2, 0x1.1a402f0496623p-2, 0x1.1faada0e8d292p-2, 0x1.24da756a73536p-2, 0x1.29cfb41c05a83p-2, 0x1.2e8b4eb9099f3p-2, 0x1.330e03095c0bap-2, 0x1.375893aa1a116p-2, 0x1.3b6bc7b3cdf51p-2, 0x1.3f486a63984dfp-2, 0x1.42ef4ac73d68bp-2, 0x1.46613b6c11232p-2, 0x1.499f1210a51c1p-2, 0x1.4ca9a75935b13p-2, 0x1.4f81d686bc4a6p-2, 0x1.52287d30994ebp-2, 0x1.549e7b00c8217p-2, 0x1.56e4b17284f73p-2, 0x1.58fc0393608cap-2, 0x1.5ae555c6a75c8p-2, 0x1.5ca18d8b0f227p-2, 0x1.5e3191429dea3p-2, 0x1.5f9647fcb912fp-2, 0x1.60d099424ea5p-2, 0x1.61e16ce406f18p-2, 0x1.62c9aaca737cfp-2, 0x1.638a3ac82ee4bp-2, 0x1.6424046dd8a34p-2, 0x1.6497eedfe537cp-2, 0x1.64e6e0ae3743ep-2, 0x1.6511bfad6c108p-2, 0x1.651970d1da29cp-2, 0x1.64fed80c2c83cp-2, 0x1.64c2d82794718p-2, 0x1.646652a983e9ep-2, 0x1.63ea27b2e66dep-2, 0x1.634f35e2ce024p-2, 0x1.62965a3a85b86p-2, 0x1.61c0700306428p-2, 0x1.60ce50b3bd2dfp-2, 0x1.5fc0d3daa10c4p-2, 0x1.5e98cf0582b54p-2, 0x1.5d5715ac9cf5p-2, 0x1.5bfc791e4d17p-2, 0x1.5a89c86bf764ep-2, 0x1.58ffd05808a25p-2, 0x1.575f5b450a6a9p-2, 0x1.55a93125cadeep-2, 0x1.53de176e87607p-2, 0x1.51fed107157f8p-2, 0x1.500c1e3e05b99p-2, 0x1.4e06bcbcb5786p-2, 0x1.4bef677c48676p-2, 0x1.49c6d6bb867bfp-2, 0x1.478dbff593415p-2, 0x1.4544d5d97bc3bp-2, 0x1.42ecc84292509p-2, 0x1.4086443191712p-2, 0x1.3e11f3c6837d8p-2, 0x1.3b907e3b62059p-2, 0x1.390287df70962p-2, 0x1.3668b21342221p-2, 0x1.33c39b456f397p-2, 0x1.3113deefebe61p-2, 0x1.2e5a159600b3ap-2, 0x1.2b96d4c2dc542p-2, 0x1.28caaf08bc1ecp-2, 0x1.25f63400a29d3p-2, 0x1.2319f04a9b46fp-2, 0x1.20366d8e822cbp-2, 0x1.1d4c327d4eb43p-2, 0x1.1a5bc2d2d908ap-2, 0x1.17659f581aafdp-2, 0x1.146a45e5dd13ap-2, 0x1.116a3167dd077p-2, 0x1.0e65d9e05294cp-2, 0x1.0b5db46be4f8ep-2, 0x1.08523345fafe4p-2, 0x1.0543c5cd6c17cp-2, 0x1.0232d8898ba4dp-2, 0x1.fe3faa5f0ce86p-3, 0x1.f81645502c12ap-3, 0x1.f1ea4a2afd4cbp-3, 0x1.ebbc7bb3b1f6dp-3, 0x1.e58d973b454a2p-3, 0x1.df5e54ad1ce04p-3, 0x1.d92f669d31922p-3, 0x1.d3017a56a8edbp-3, 0x1.ccd537eadf42bp-3, 0x1.c6ab4240dfa2fp-3, 0x1.c08437253e66bp-3, 0x1.ba60af5a500d3p-3, 0x1.b4413ea8b7318p-3, 0x1.ae2673f0460ffp-3, 0x1.a810d93929eeap-3, 0x1.a200f3c55a404p-3, 0x1.9bf744224c63cp-3, 0x1.95f4463adc2a2p-3, 0x1.8ff87169702cep-3, 0x1.8a04388a493e2p-3, 0x1.84180a0dfc114p-3, 0x1.7e34500c1a637p-3, 0x1.78597055edbbfp-3, 0x1.7287cc895fe92p-3, 0x1.6cbfc223f0afep-3, 0x1.6701aa95bfb5fp-3, 0x1.614ddb54b0cf5p-3, 0x1.5ba4a5ef8da8cp-3, 0x1.560658213827fp-3, 0x1.50733be3e2f49p-3, 0x1.4aeb97843e91cp-3, 0x1.456fadb4b105ap-3, 0x1.3fffbda07e8cfp-3, 0x1.3a9c02fee982dp-3, 0x1.3544b62645f81p-3, 0x1.2ffa0c1eff378p-3, 0x1.2abc36b6866bbp-3, 0x1.258b64922d098p-3, 0x1.2067c141e4d72p-3, 0x1.1b517552e914cp-3, 0x1.1648a6624557p-3, 0x1.114d772f3bd59p-3, 0x1.0c6007ad9075ap-3, 0x1.07807517a291ep-3, 0x1.02aeda006e21ap-3, 0x1.fbd69ccab73bdp-4, 0x1.f26bcf7fcb5b7p-4, 0x1.e91d722e2af63p-4, 0x1.dfeba621a0d2fp-4, 0x1.d6d68805ee5adp-4, 0x1.cdde30089e793p-4, 0x1.c502b1fa85cc6p-4, 0x1.bc441d70c42cap-4, 0x1.b3a27de575465p-4, 0x1.ab1ddad7df05dp-4, 0x1.a2b637ec464adp-4, 0x1.9a6b950b416cep-4, 0x1.923dee80a75aep-4, 0x1.8a2d3d1a00f1fp-4, 0x1.823976448e4f6p-4, 0x1.7a628c2ad0feap-4, 0x1.72a86dd19da47p-4, 0x1.6b0b0734b9e96p-4, 0x1.638a4162fe2fdp-4, 0x1.5c260299fd611p-4, 0x1.54de2e613275bp-4, 0x1.4db2a5a4b3333p-4, 0x1.46a346cf6601dp-4, 0x1.3fafede4bbe93p-4, 0x1.38d87499ee2c7p-4, 0x1.321cb26ec2297p-4, 0x1.2b7c7cc5ca826p-4, 0x1.24f7a6fc32f01p-4, 0x1.1e8e02810a6d1p-4, 0x1.183f5eec1457cp-4, 0x1.120b8a141b44cp-4, 0x1.0bf25024cdf3p-4, 0x1.05f37bb419b78p-4, 0x1.000ed5d710f9dp-4, 0x1.f4884c6ca9933p-5, 0x1.e92666440f68ap-5, 0x1.ddf7834a8d62bp-5, 0x1.d2fb2b325534ep-5, 0x1.c830e36eabc58p-5, 0x1.bd982f5816c24p-5, 0x1.b330904f9cb71p-5, 0x1.a8f985e12612dp-5, 0x1.9ef28de4f48c4p-5, 0x1.951b24a03d91fp-5, 0x1.8b72c4e4db1a3p-5, 0x1.81f8e8302ac01p-5, 0x1.78ad06c9093c4p-5, 0x1.6f8e97dcfc2a2p-5, 0x1.669d119c7dca6p-5, 0x1.5dd7e95680922p-5, 0x1.553e939318955p-5, 0x1.4cd0842d61519p-5, 0x1.448d2e6c8d8cap-5, 0x1.3c74051c38da9p-5, 0x1.34847aa3f5293p-5, 0x1.2cbe011e10191p-5, 0x1.25200a6d9ddbfp-5, 0x1.1daa0853c6c8dp-5, 0x1.165b6c84628d2p-5, 0x1.0f33a8b9d342fp-5, 0x1.08322ec83bdd6p-5, 0x1.015670aff94a2p-5, 0x1.f53fc15ef644ep-6, 0x1.e81be2a8e2b99p-6, 0x1.db402b189a7bp-6, 0x1.ceab81684fa32p-6, 0x1.c25ccd500e89p-6, 0x1.b652f7a310b0fp-6, 0x1.aa8cea6bd9691p-6, 0x1.9f0991072808bp-6, 0x1.93c7d83dcb14fp-6, 0x1.88c6ae5d522eap-6, 0x1.7e05034f9bf7ep-6, 0x1.7381c8b168c28p-6, 0x1.693bf1e7c882ap-6, 0x1.5f3274348ef1ep-6, 0x1.556446c9c8f6fp-6, 0x1.4bd062dc34b8dp-6, 0x1.4275c3b4c4d02p-6, 0x1.395366c1321b2p-6, 0x1.30684ba3b2b8ep-6, 0x1.27b37441bcd66p-6, 0x1.1f33e4d1f9e56p-6, 0x1.16e8a3e958a5p-6, 0x1.0ed0ba875da6ap-6, 0x1.06eb342197922p-6, 0x1.fe6e3d5ca69d3p-7, 0x1.ef67155d2186dp-7, 0x1.e0bf166e749f2p-7, 0x1.d2746bf35e493p-7, 0x1.c4854697129c4p-7, 0x1.b6efdc5b9e7ccp-7, 0x1.a9b268a6d5c2p-7, 0x1.9ccb2c4e1595fp-7, 0x1.90386da0ce658p-7, 0x1.83f87871cfbf1p-7, 0x1.78099e1f7ef12p-7, 0x1.6c6a359aebbdp-7, 0x1.61189b6dbaaccp-7, 0x1.561331bf3814dp-7, 0x1.4b5860583576bp-7, 0x1.40e694a6135c1p-7, 0x1.36bc41bcd2eeep-7, 0x1.2cd7e05829f64p-7, 0x1.2337eedbd5df2p-7, 0x1.19daf1530f479p-7, 0x1.10bf716f22216p-7, 0x1.07e3fe854d2e6p-7, 0x1.fe8e5b17da68ap-8, 0x1.edcf322d9946fp-8, 0x1.dd87c2a5b5a4cp-8, 0x1.cdb558028a5ap-8, 0x1.be5548e3a70abp-8, 0x1.af64f6f96bedep-8, 0x1.a0e1cef7ad99cp-8, 0x1.92c94886bcbb9p-8, 0x1.8518e633f6772p-8, 0x1.77ce3560e1ca1p-8, 0x1.6ae6ce3195fa4p-8, 0x1.5e60537a0b7afp-8, 0x1.523872aabaedap-8, 0x1.466ce3bc51ab2p-8, 0x1.3afb691a90188p-8, 0x1.2fe1cf8e7fa9fp-8, 0x1.251dee27ea0e2p-8, 0x1.1aada62630c14p-8, 0x1.108ee2e085dfbp-8, 0x1.06bf99ad96d33p-8, 0x1.fa7b9395277dap-9, 0x1.e80ef8835f9eep-9, 0x1.d63587a0bd1c8p-9, 0x1.c4eb7999baad7p-9, 0x1.b42d1a16ed6bdp-9, 0x1.a3f6c786f394fp-9, 0x1.9444f2e73e8d9p-9, 0x1.85141f8c9687p-9, 0x1.7660e2eaf8a32p-9, 0x1.6827e45ccf961p-9, 0x1.5a65dce9c6f38p-9, 0x1.4d17970d43d9p-9, 0x1.4039ee7c91092p-9, 0x1.33c9cfec68e5p-9, 0x1.27c438d6b0f05p-9, 0x1.1c26373f7d3f5p-9, 0x1.10ece97a28296p-9, 0x1.06157dee8b32p-9, 0x1.f73a65baeff56p-10, 0x1.e302ac4b98091p-10, 0x1.cf7e8a1231d76p-10, 0x1.bca8d7e0fc5a3p-10, 0x1.aa7c8c62f7354p-10, 0x1.98f4bba5a3c44p-10, 0x1.880c96a34b042p-10, 0x1.77bf6acd1d34ap-10, 0x1.6808a1968177ep-10, 0x1.58e3bfffb38d8p-10, 0x1.4a4c6621ecbf2p-10, 0x1.3c3e4ebb4a5e7p-10, 0x1.2eb54ebb782c4p-10, 0x1.21ad54d1460fp-10, 0x1.152268f8a0ddbp-10, 0x1.0910ac094bb2bp-10, 0x1.fae8ae8c8560ep-11, 0x1.e49377dccea7ep-11, 0x1.cf1a859a9b877p-11, 0x1.ba76d79ab7559p-11, 0x1.a6a19b14c59fcp-11, 0x1.939429cb80384p-11, 0x1.8148093586f4cp-11, 0x1.6fb6e9a97a461p-11, 0x1.5edaa58b0b089p-11, 0x1.4ead407acf6bfp-11, 0x1.3f28e687b25bfp-11, 0x1.3047eb62832b6p-11, 0x1.2204c9943445bp-11, 0x1.145a21b61c696p-11, 0x1.0742b9abe4a11p-11, 0x1.f572f7c1c1aaep-12, 0x1.dd72ed0d15b5bp-12, 0x1.c67bb5ad68693p-12, 0x1.b083f8ac7472ep-12, 0x1.9b82a038afecdp-12, 0x1.876ed8340ddd1p-12, 0x1.74400ccab1884p-12, 0x1.61ede90e93ba6p-12, 0x1.50705595fbca1p-12, 0x1.3fbf771ffa237p-12, 0x1.2fd3ad3fe50eap-12, 0x1.20a591095dec1p-12, 0x1.122df3c4b04c7p-12, 0x1.0465dda7e0cadp-12, 0x1.ee8d1924437d3p-13, 0x1.d592e59e4dab1p-13, 0x1.bdd06bbd09056p-13, 0x1.a7395a7e5c55ep-13, 0x1.91c1c28051deap-13, 0x1.7d5e13b0961d8p-13, 0x1.6a031afe5dc14p-13, 0x1.57a6001a7fd3p-13, 0x1.463c4342b4744p-13, 0x1.35bbbb10aa4c9p-13, 0x1.261a9259a63ffp-13, 0x1.174f4612c732p-13, 0x1.0950a34115e5ep-13, 0x1.f82b89e60cce6p-14, 0x1.df2c2483dbf23p-14, 0x1.c79278be7bddcp-14, 0x1.b14e794d61da8p-14, 0x1.9c50a57cfb15p-14, 0x1.888a057b08da3p-14, 0x1.75ec26b87b258p-14, 0x1.6469185990536p-14, 0x1.53f367bb3d48p-14, 0x1.447e1d09bfd65p-14, 0x1.35fcb7e4ee774p-14, 0x1.28632c1c05074p-14, 0x1.1ba5de72e5076p-14, 0x1.0fb9a17cd1aa6p-14, 0x1.0493b285d3bd7p-14, 0x1.f4536d20150cp-15, 0x1.e0e36ebc05d0cp-15, 0x1.cec441160710dp-15, 0x1.bde379764c91dp-15, 0x1.ae2f65a3e27bdp-15, 0x1.9f970674fc6dep-15, 0x1.920a0a94472d8p-15, 0x1.8578c93874328p-15, 0x1.79d43d1fc483ap-15, 0x1.6f0dff9809901p-15, 0x1.651843a8e0995p-15, 0x1.5be5d15449a66p-15, 0x1.536a00f82fb8dp-15, 0x1.4b98b6cf7d962p-15, 0x1.44665e80c9dd3p-15, 0x1.3dc7e6d02ce8p-15, 0x1.37b2bd760f70cp-15, 0x1.321ccaf54ad5ep-15, 0x1.2cfc6ea35ddb2p-15, 0x1.28487abaa2b39p-15, 0x1.23f8309415768p-15, 0x1.20033ce5b73e1p-15, 0x1.1c61b4246bc57p-15, 0x1.190c0f0849cc4p-15, 0x1.15fb270cf0f13p-15, 0x1.1328331a97c24p-15, 0x1.108cc44410a7ap-15, 0x1.0e22c295646f6p-15, 0x1.0be469fa11b0fp-15, 0x1.09cc47396f84p-15, 0x1.07d5350839822p-15, 0x1.05fa5929f66d5p-15, 0x1.043721a738dcfp-15, 0x1.0287421bd6e6dp-15, 0x1.00e6b119ff0d4p-15, 0x1.fea34b22952e5p-16, 0x1.fb8928a973fd9p-16, 0x1.f8785b67f35cp-16, 0x1.f56ab63869838p-16, 0x1.f25a79a5170ep-16, 0x1.ef424f778e64fp-16, 0x1.ec1d466e27372p-16, 0x1.e8e6ce0c5e3dbp-16, 0x1.e59ab287784e8p-16, 0x1.e23518d9a2966p-16, 0x1.deb27afa67d32p-16, 0x1.db0fa41c3807bp-16, 0x1.d749ad1a567ep-16, 0x1.d35df9024d93cp-16, 0x1.cf4a31ac04ccdp-16, 0x1.cb0c4480217dcp-16, 0x1.c6a25f42ca1e6p-16, 0x1.c20aed0dbe18p-16, 0x1.bd449359095eap-16, 0x1.b84e2f1496725p-16, 0x1.b326d1e35fa91p-16, 0x1.adcdbf738af24p-16, 0x1.a8426ae29bc16p-16, 0x1.a2847435768c3p-16, 0x1.9c93a5f4fbc53p-16, 0x1.966ff2d284737p-16, 0x1.901973666030ap-16, 0x1.899064016db4p-16, 0x1.82d5228ba7741p-16, 0x1.7be82c90390a9p-16, 0x1.74ca1d383533p-16, 0x1.6d7bab6de8fa1p-16, 0x1.65fda802e7b8ep-16, 0x1.5e50fc030e443p-16, 0x1.5676a6f2042ecp-16, 0x1.4e6fbd3af4d8ap-16, 0x1.463d6696a8d74p-16, 0x1.3de0dc99e334dp-16, 0x1.355b693b85e21p-16, 0x1.2cae6570a429ep-16, 0x1.23db37dd44a84p-16, 0x1.1ae35396bc4b8p-16, 0x1.11c836e342205p-16, 0x1.088b6a0e0312p-16, 0x1.fe5cfc8d2de95p-17, 0x1.eb6619394c41ep-17, 0x1.d83569d4fc6aap-17, 0x1.c4ce39c4c9d2bp-17, 0x1.b133de30d9497p-17, 0x1.9d69b45744484p-17, 0x1.89731fc41ff7fp-17, 0x1.755388af52fcfp-17, 0x1.610e5a7577ff4p-17, 0x1.4ca7022746aep-17, 0x1.3820ed26b28aap-17, 0x1.237f87c671136p-17, 0x1.0ec63c0535912p-17, 0x1.f3f0e0ec0a32bp-18, 0x1.ca330e0fe64fdp-18, 0x1.a059b7f4c84d3p-18, 0x1.766b89bb099bbp-18, 0x1.4c6f1f3933539p-18, 0x1.226b036062f1ep-18, 0x1.f0cb5c982d36dp-19, 0x1.9ccb079e45953p-19, 0x1.48e1a3e8a728ap-19, 0x1.ea373ebc1475fp-20, 0x1.430a6e41e85d5p-20, 0x1.38a9d3a3d6b7fp-21, -0x1.3a34b9b2d3b19p-25, -0x1.5ea40d54dc89ap-21, -0x1.541571808705ap-20, -0x1.f8059545b35adp-20, -0x1.4d864d30fa66ap-19, -0x1.9e8a92ad7b3a3p-19, -0x1.ef052c844882cp-19, -0x1.1f75f66fffea4p-18, -0x1.471a73b4ccb9p-18, -0x1.6e6b392c3f9a5p-18, -0x1.95639389d527ep-18, -0x1.bbfef1777c5bbp-18, -0x1.e238e3f730ad3p-18, -0x1.04068f4242837p-17, -0x1.16bbbba50895dp-17, -0x1.2939f39f7332fp-17, -0x1.3b7f452870557p-17, -0x1.4d89cfb73e6f9p-17, -0x1.5f57c443202f1p-17, -0x1.70e7653a13736p-17, -0x1.8237067e852bdp-17, -0x1.93450d5d8e186p-17, -0x1.a40ff07c0e236p-17, -0x1.b49637bd5e678p-17, -0x1.c4d67c28544dap-17, -0x1.d4cf67d6e41f3p-17, -0x1.e47fb5cc22082p-17, -0x1.f3e631d85d2e6p-17, -0x1.0180dc34c58a2p-16, -0x1.08e89b310a9fap-16, -0x1.1029d47b4e10ep-16, -0x1.17440ebd8ddecp-16, -0x1.1e36d89849b56p-16, -0x1.2501c8882b0d8p-16, -0x1.2ba47ccd1d84ap-16, -0x1.321e9b4de27c7p-16, -0x1.386fd17d0d04bp-16, -0x1.3e97d4382a2dp-16, -0x1.44965faa9c2cdp-16, -0x1.4a6b373185ec7p-16, -0x1.5016253ba8341p-16, -0x1.5596fb2801cdap-16, -0x1.5aed91258fe0ep-16, -0x1.6019c60e08ce6p-16, -0x1.651b7f4c2fcffp-16, -0x1.69f2a8b592e6ep-16, -0x1.6e9f3468b07e9p-16, -0x1.73211aab576bep-16, -0x1.777859c5f40f2p-16, -0x1.7ba4f5e2cc1a4p-16, -0x1.7fa6f8ead521fp-16, -0x1.837e72614914ep-16, -0x1.872b773e3b9eap-16, -0x1.8aae21cf75b38p-16, -0x1.8e0691937ef61p-16, -0x1.9134eb1690628p-16, -0x1.943957d048cefp-16, -0x1.971405fc35b99p-16, -0x1.99c52879d98aap-16, -0x1.9c4cf6aa24febp-16, -0x1.9eabac4c1864bp-16, -0x1.a0e1895af4c7bp-16, -0x1.a2eed1ea0500bp-16, -0x1.a4d3ce0395c13p-16, -0x1.a690c98763443p-16, -0x1.a8261408df5cep-16, -0x1.a99400ad54fp-16, -0x1.aadae60857792p-16, -0x1.abfb1e0017c7fp-16, -0x1.acf505aab2e73p-16, -0x1.adc8fd2d77411p-16, -0x1.ae77679f7083fp-16, -0x1.af00aae6d2a36p-16, -0x1.af652f9ba79b1p-16, -0x1.afa560e9ffcfbp-16, -0x1.afc1ac731ab59p-16, -0x1.afba82326fb27p-16, -0x1.af90545b33c7ap-16, -0x1.af43974052bc5p-16, -0x1.aed4c13594293p-16, -0x1.ae444a744de23p-16, -0x1.ad92ad017b1p-16, -0x1.acc0648fa2593p-16, -0x1.abcdee65562f6p-16, -0x1.aabbc9474bd8ep-16, -0x1.a98a7558b8e36p-16, -0x1.a83a7406378a1p-16, -0x1.a6cc47ebe1699p-16, -0x1.a54074bd9acf2p-16, -0x1.a3977f2db202p-16, -0x1.a1d1ecd8053cbp-16, -0x1.9ff0442c317dfp-16, -0x1.9df30c544ea5p-16, -0x1.9bdacd212e70dp-16, }}, 
      {{-0x1.c01ddc45bb296p-1, -0x1.c0113b38a4066p-1, -0x1.bffbfd6451b73p-1, -0x1.bfdddb3c72111p-1, -0x1.bfb675153c69p-1, -0x1.bf8556aa7abc5p-1, -0x1.bf49fadc58835p-1, -0x1.bf03cf6ee58c7p-1, -0x1.beb238a914e0ep-1, -0x1.be5494bbec9b7p-1, -0x1.bdea3ee356b04p-1, -0x1.bd72923876c57p-1, -0x1.bcecec320af0fp-1, -0x1.bc58aed2aee75p-1, -0x1.bbb5428731b16p-1, -0x1.bb0217b8cbdb6p-1, -0x1.ba3ea8180db54p-1, -0x1.b96a77a60817ap-1, -0x1.b885158187e4bp-1, -0x1.b78e1c7e535abp-1, -0x1.b685338c4df88p-1, -0x1.b56a0df42e4e9p-1, -0x1.b43c6b6f31fb3p-1, -0x1.b2fc181ed9534p-1, -0x1.b1a8ec695d95ep-1, -0x1.b042ccbf2856cp-1, -0x1.aec9a94d29afp-1, -0x1.ad3d7d9f8d86fp-1, -0x1.ab9e5037e1e73p-1, -0x1.a9ec32196ee16p-1, -0x1.a8273e4e21dc6p-1, -0x1.a64f996621148p-1, -0x1.a46570f3d2092p-1, -0x1.a268fb05db5c9p-1, -0x1.a05a75a06f166p-1, -0x1.9e3a2636f882ap-1, -0x1.9c08592711f1ap-1, -0x1.99c561358a3b1p-1, -0x1.9771970e12a24p-1, -0x1.950d58c615bf8p-1, -0x1.929909631db01p-1, -0x1.901510651255ep-1, -0x1.8d81d954904edp-1, -0x1.8adfd3557dcbap-1, -0x1.882f70bdfbd99p-1, -0x1.857126b1c544p-1, -0x1.82a56cc200ff4p-1, -0x1.7fccbc91873a5p-1, -0x1.7ce7917d9409bp-1, -0x1.79f6684ad8465p-1, -0x1.76f9bed6d7795p-1, -0x1.73f213cd81758p-1, -0x1.70dfe662ea273p-1, -0x1.6dc3b6110d59dp-1, -0x1.6a9e02597a627p-1, -0x1.676f4a8ad2239p-1, -0x1.64380d89f4a9cp-1, -0x1.60f8c99ec2ad8p-1, -0x1.5db1fc445073ap-1, -0x1.5a6421fc6f374p-1, -0x1.570fb626697f4p-1, -0x1.53b532d8d3cc7p-1, -0x1.505510be557c5p-1, -0x1.4cefc6f545966p-1, -0x1.4985caf200784p-1, -0x1.46179063d8088p-1, -0x1.42a5891c7d3abp-1, -0x1.3f3024f9caec7p-1, -0x1.3bb7d1d1cf5e3p-1, -0x1.383cfb60fd9fbp-1, -0x1.34c00b3a6747p-1, -0x1.314168b9e6b0cp-1, -0x1.2dc178f81e168p-1, -0x1.2a409ec0314dep-1, -0x1.26bf3a8724dd8p-1, -0x1.233daa64c6797p-1, -0x1.1fbc4a0e0ae4cp-1, -0x1.1c3b72d0c977ep-1, -0x1.18bb7b90bff76p-1, -0x1.153cb8c5ca808p-1, -0x1.11bf7c7b39fd5p-1, -0x1.0e44165038a3cp-1, -0x1.0acad37927d2ep-1, -0x1.0753fec1e57efp-1, -0x1.03dfe090ea37dp-1, -0x1.006ebeeb2ea33p-1, -0x1.fa01baf18ef69p-2, -0x1.f32cfb1458663p-2, -0x1.ec5fbc3c2f10ep-2, -0x1.e59a77cfee7cep-2, -0x1.dedda2adb7a78p-2, -0x1.d829ad39bc9d9p-2, -0x1.d17f036dde4eep-2, -0x1.cade0cea0a226p-2, -0x1.c4472d0540dd7p-2, -0x1.bdbac2df3465bp-2, -0x1.b73929726a55p-2, -0x1.b0c2b7a6d2386p-2, -0x1.aa57c064c0f73p-2, -0x1.a3f892a8403a4p-2, -0x1.9da57994a583bp-2, -0x1.975ebc8863c4fp-2, -0x1.91249f310a41fp-2, -0x1.8af7619f65c1ap-2, -0x1.84d7405bbc935p-2, -0x1.7ec4747a14b0bp-2, -0x1.78bf33ae823bep-2, -0x1.72c7b06172784p-2, -0x1.6cde19c3eb542p-2, -0x1.67029be3b808fp-2, -0x1.61355fbf7fbep-2, -0x1.5b768b5ababeap-2, -0x1.55c641d185d25p-2, -0x1.5024a36c4c3e1p-2, -0x1.4a91cdb341d4ep-2, -0x1.450ddb81b02c6p-2, -0x1.3f98e5190790ap-2, -0x1.3a330033bf96fp-2, -0x1.34dc4017f3146p-2, -0x1.2f94b5a9c58bcp-2, -0x1.2a5c6f7d815b6p-2, -0x1.253379e979aa8p-2, -0x1.2019df17a0406p-2, -0x1.1b0fa716dce76p-2, -0x1.1614d7ec15a6ap-2, -0x1.112975a2f6542p-2, -0x1.0c4d825e681bdp-2, -0x1.0780fe68c1c73p-2, -0x1.02c3e843adb1p-2, -0x1.fc2c796f8583bp-3, -0x1.f2efedc7a8d54p-3, -0x1.e9d22097e7cb2p-3, -0x1.e0d301d052ad3p-3, -0x1.d7f27e65bb824p-3, -0x1.cf30806dfc5e9p-3, -0x1.c68cef3b9f5d3p-3, -0x1.be07af78f8fbep-3, -0x1.b5a0a342a26p-3, -0x1.ad57aa41724ddp-3, -0x1.a52ca1c3d284dp-3, -0x1.9d1f64d68e86dp-3, -0x1.952fcc5d0f7acp-3, -0x1.8d5daf290a70cp-3, -0x1.85a8e211a1e9fp-3, -0x1.7e113809fe282p-3, -0x1.7696823758c05p-3, -0x1.6f389006851dcp-3, -0x1.67f72f40ee0a7p-3, -0x1.60d22c2113acap-3, -0x1.59c9516682ef7p-3, -0x1.52dc686953894p-3, -0x1.4c0b392d1f6cfp-3, -0x1.45558a737ff75p-3, -0x1.3ebb21ce153ecp-3, -0x1.383bc3b00eb86p-3, -0x1.31d7337f3d1e7p-3, -0x1.2b8d33a4b5817p-3, -0x1.255d859cf7728p-3, -0x1.1f47ea07ab61bp-3, -0x1.194c20b6ece1p-3, -0x1.1369e8be2612cp-3, -0x1.0da10080834c6p-3, -0x1.07f125befd2cp-3, -0x1.025a15a5f4ba5p-3, -0x1.f9b719b4e660bp-4, -0x1.eeea8f0df9572p-4, -0x1.e44e02d00d0acp-4, -0x1.d9e0ebb0180ffp-4, -0x1.cfa2bfb684c2fp-4, -0x1.c592f455e2382p-4, -0x1.bbb0fe80e540ep-4, -0x1.b1fc52bfa7ec6p-4, -0x1.a87465444e394p-4, -0x1.9f18a9fee5be1p-4, -0x1.95e894b0b8c31p-4, -0x1.8ce398fee8a36p-4, -0x1.84092a846caacp-4, -0x1.7b58bce37434p-4, -0x1.72d1c3d62b819p-4, -0x1.6a73b33ee9feep-4, -0x1.623dff37cc07cp-4, -0x1.5a301c21b9703p-4, -0x1.52497eb2df22ep-4, -0x1.4a899c049d97dp-4, -0x1.42efe9a0ed04bp-4, -0x1.3b7bdd8f3eaabp-4, -0x1.342cee60d952p-4, -0x1.2d02933cb7fc7p-4, -0x1.25fc43eaebb0dp-4, -0x1.1f1978df8220dp-4, -0x1.1859ab44f6cb1p-4, -0x1.11bc55062f7a2p-4, -0x1.0b40f0d8066a6p-4, -0x1.04e6fa426621dp-4, -0x1.fd5bdb51f3974p-5, -0x1.f12a90a6e42bdp-5, -0x1.e53910eacadf1p-5, -0x1.d9865a6b925cfp-5, -0x1.ce116d6c16054p-5, -0x1.c2d94c31923fdp-5, -0x1.b7dcfb105d26ep-5, -0x1.ad1b8077e6d36p-5, -0x1.a293e4fe0ce89p-5, -0x1.98453369be335p-5, -0x1.8e2e78bcf9457p-5, -0x1.844ec43e2667bp-5, -0x1.7aa52780d49f5p-5, -0x1.7130b66ddb304p-5, -0x1.67f0874ae487fp-5, -0x1.5ee3b2c169f54p-5, -0x1.560953e520e12p-5, -0x1.4d608839da3c4p-5, -0x1.44e86fb8e5b9p-5, -0x1.3ca02cd5ea65ap-5, -0x1.3486e48346f15p-5, -0x1.2c9bbe35f4afcp-5, -0x1.24dde3e8f8f79p-5, -0x1.1d4c82205f944p-5, -0x1.15e6c7ebca425p-5, -0x1.0eabe6e890a29p-5, -0x1.079b13437f11bp-5, -0x1.00b383ba2813p-5, -0x1.f3e8e337bc3f8p-6, -0x1.e6ba319493c7ep-6, -0x1.d9d96f734eed4p-6, -0x1.cd451ee15b722p-6, -0x1.c0fbc7103c335p-6, -0x1.b4fbf45414e7cp-6, -0x1.a94438218323ep-6, -0x1.9dd3290af8b2ep-6, -0x1.92a762bd70923p-6, -0x1.87bf85fcac4c9p-6, -0x1.7d1a389eda0a2p-6, -0x1.72b62587c5d09p-6, -0x1.6891fca38ccd7p-6, -0x1.5eac72e0d57b9p-6, -0x1.5504422a9eee9p-6, -0x1.4b982961a03bep-6, -0x1.4266ec553f09ep-6, -0x1.396f53bc27205p-6, -0x1.30b02d2c7ebf8p-6, -0x1.28284b13c8a37p-6, -0x1.1fd684ae69d78p-6, -0x1.17b9b5fee4f37p-6, -0x1.0fd0bfc4becap-6, -0x1.081a87732693fp-6, -0x1.0095f72750b24p-6, -0x1.f283fb3d20004p-7, -0x1.e43b1c586f18dp-7, -0x1.d64f415e7895dp-7, -0x1.c8be630f53778p-7, -0x1.bb868317a33a4p-7, -0x1.aea5abfac75fep-7, -0x1.a219f0fc8c4edp-7, -0x1.95e16e0a9fad7p-7, -0x1.89fa47a5a7d9ep-7, -0x1.7e62aaca2e591p-7, -0x1.7318ccd924f08p-7, -0x1.681aeb80543bfp-7, -0x1.5d674ca28113dp-7, -0x1.52fc3e3f64eacp-7, -0x1.48d8165b7d59fp-7, -0x1.3ef932e7af119p-7, -0x1.355df9a8d18f8p-7, -0x1.2c04d81f1a77dp-7, -0x1.22ec436d674a5p-7, -0x1.1a12b840800e9p-7, -0x1.1176bab646945p-7, -0x1.0916d644d006ep-7, -0x1.00f19da18301dp-7, -0x1.f20b55505cf04p-8, -0x1.e2a33c8435f4dp-8, -0x1.d3a8409a4413ap-8, -0x1.c517bf0597815p-8, -0x1.b6ef22beefc2fp-8, -0x1.a92be413190d9p-8, -0x1.9bcb88717397p-8, -0x1.8ecba23aa51f4p-8, -0x1.8229d08f64eeep-8, -0x1.75e3bf1f7f015p-8, -0x1.69f725f907985p-8, -0x1.5e61c957d696dp-8, -0x1.5321797532b53p-8, -0x1.48341257ae3fap-8, -0x1.3d977ba37a9dp-8, -0x1.3349a86ad2ea8p-8, -0x1.294896fed1d4cp-8, -0x1.1f9250c090587p-8, -0x1.1624e9f29bc47p-8, -0x1.0cfe818ac14dap-8, -0x1.041d410436856p-8, -0x1.f6feb86442784p-9, -0x1.e6462224f25bbp-9, -0x1.d60d4f42ba2c6p-9, -0x1.c650e3597a1cdp-9, -0x1.b70d9550e292p-9, -0x1.a8402f058e0bep-9, -0x1.99e58cf2d0e26p-9, -0x1.8bfa9ddd7b14ap-9, -0x1.7e7c627f6ca26p-9, -0x1.7167ed3427ca6p-9, -0x1.64ba61a627301p-9, -0x1.5870f47d3395cp-9, -0x1.4c88eb0d8dd2cp-9, -0x1.40ff9b08278fdp-9, -0x1.35d26a2baf1ffp-9, -0x1.2afecdf698ac7p-9, -0x1.20824b5a1a024p-9, -0x1.165a766e11207p-9, -0x1.0c84f225e548bp-9, -0x1.02ff700669e56p-9, -0x1.f38f5fb9489b7p-10, -0x1.e1b6feeb37a13p-10, -0x1.d07174ae235d4p-10, -0x1.bfba92f274b21p-10, -0x1.af8e4602d184p-10, -0x1.9fe893fb73a2ep-10, -0x1.90c59c43859d4p-10, -0x1.8221970840d03p-10, -0x1.73f8d4b9f41a7p-10, -0x1.6647bd8b4203ep-10, -0x1.590ad0f1e6b58p-10, -0x1.4c3ea529eff0dp-10, -0x1.3fdfe6ba556fep-10, -0x1.33eb57fbbc56dp-10, -0x1.285dd0a12589cp-10, -0x1.1d343d425afddp-10, -0x1.126b9ee85d53dp-10, -0x1.08010a9bbd76ap-10, -0x1.fbe351e96250ap-11, -0x1.e8756b59cd4d6p-11, -0x1.d5b2fe66d693ep-11, -0x1.c396cc84a5d74p-11, -0x1.b21bbaebd2bcdp-11, -0x1.a13cd1cc7f6eep-11, -0x1.90f53b83ceac2p-11, -0x1.814043d55eaeap-11, -0x1.72195728896cap-11, -0x1.637c01c87d876p-11, -0x1.5563ef2845c83p-11, -0x1.47cce92a07a5fp-11, -0x1.3ab2d769bf146p-11, -0x1.2e11be8b0b878p-11, -0x1.21e5bf8a45c92p-11, -0x1.162b171118469p-11, -0x1.0ade1cce39755p-11, -0x1.fff685a05bedbp-12, -0x1.eafe29c75d0f6p-12, -0x1.d6cc6fe89be1cp-12, -0x1.c35ad2e1df9d7p-12, -0x1.b0a2fd65b758bp-12, -0x1.9e9ec8d01e875p-12, -0x1.8d483c00cf3cap-12, -0x1.7c998a3b878b9p-12, -0x1.6c8d120e50e26p-12, -0x1.5d1d5c3c9de23p-12, -0x1.4e451ab08705bp-12, -0x1.3fff2771d168dp-12, -0x1.324683a232bd4p-12, -0x1.2516567eb2714p-12, -0x1.1869ec6711c4dp-12, -0x1.0c3cb5e9921ddp-12, -0x1.008a46d3ef12bp-12, -0x1.ea9caa9452b2bp-13, -0x1.d50971c318bf7p-13, -0x1.c052d381ade48p-13, -0x1.ac70ff8b700b5p-13, -0x1.995c635cd1cabp-13, -0x1.870da8902b87ap-13, -0x1.757db3440e556p-13, -0x1.64a5a08a48829p-13, -0x1.547ec4dfffcfdp-13, -0x1.4502aaaeea505p-13, -0x1.362b10d725278p-13, -0x1.27f1e940e9494p-13, -0x1.1a51577744c59p-13, -0x1.0d43af49c3662p-13, -0x1.00c3737742924p-13, -0x1.e996a8c25a0a3p-14, -0x1.d2ac5d893da48p-14, -0x1.bcbe14f989d1p-14, -0x1.a7c2329982d48p-14, -0x1.93af6b5f2263fp-14, -0x1.807cc36051088p-14, -0x1.6e218b8fc907bp-14, -0x1.5c955f8a375ffp-14, -0x1.4bd0236df27fbp-14, -0x1.3bca01c35f7ap-14, -0x1.2c7b697037e66p-14, -0x1.1ddd0bb8ca4fap-14, -0x1.0fe7da4bac54fp-14, -0x1.0295055cf1dedp-14, -0x1.ebbbf3940404ep-15, -0x1.d378be9995339p-15, -0x1.bc542d709293p-15, -0x1.a642708124328p-15, -0x1.913823a1c9ecfp-15, -0x1.7d2a4acf75ac6p-15, -0x1.6a0e4f04a44d4p-15, -0x1.57d9fb1c43e0dp-15, -0x1.468378d05b2d7p-15, -0x1.36014dcb72614p-15, -0x1.264a58ca910a9p-15, -0x1.1755ced57ac6ap-15, -0x1.091b388b4fcaap-15, -0x1.f724def56b3eep-16, -0x1.dd6737297b656p-16, -0x1.c4ee614f34d83p-16, -0x1.adabd7e9f88fp-16, -0x1.9791a3a2edcdfp-16, -0x1.829256b1a45e8p-16, -0x1.6ea1085ec2fdfp-16, -0x1.5bb150b1029cdp-16, -0x1.49b744292b01ep-16, -0x1.38a76fab2202cp-16, -0x1.2876d4749b0b1p-16, -0x1.191ae43f57b6ap-16, -0x1.0a897d79b9de3p-16, -0x1.f971cf30fdbcfp-17, -0x1.df3f9f08a87ffp-17, -0x1.c66a8853712dcp-17, -0x1.aee166270a698p-17, -0x1.9893ca575cc92p-17, -0x1.8371f7123789fp-17, -0x1.6f6cd8bae205dp-17, -0x1.5c75ffec01f56p-17, -0x1.4a7f9bb099acdp-17, -0x1.397c73d70040cp-17, -0x1.295fe380d842ap-17, -0x1.1a1dd3db190a7p-17, -0x1.0baab6f09960ap-17, -0x1.fbf70561f5436p-18, -0x1.e20b58305804fp-18, -0x1.c97e44f678aedp-18, -0x1.b23c9609b5b25p-18, -0x1.9c33f89447d86p-18, -0x1.8752f402e0193p-18, -0x1.7388e1dc5fff9p-18, -0x1.60c5e5a8049e2p-18, -0x1.4efae53b28714p-18, -0x1.3e19812a71d89p-18, -0x1.2e140d873b56ap-18, -0x1.1edd8ad08b08cp-18, -0x1.10699f3778dcp-18, -0x1.02ac8ff48373bp-18, -0x1.eb3675d0c6663p-19, -0x1.d256211185c56p-19, -0x1.baa41baa6c5cep-19, -0x1.a40d6d4027cb9p-19, -0x1.8e801fed397f6p-19, -0x1.79eb356eaf57ep-19, -0x1.663e9cbe5bd72p-19, -0x1.536b28202662bp-19, -0x1.4162835877f61p-19, -0x1.30172a40e141ap-19, -0x1.1f7c5fdec75cbp-19, -0x1.0f86259c8cf5fp-19, -0x1.002932c8df1dep-19, -0x1.e2b5d92c9cfd9p-20, -0x1.c622bc2b654c8p-20, -0x1.aa86617d1affep-20, -0x1.8fcf4a445814p-20, -0x1.75ed17dc19857p-20, -0x1.5cd07e267dfe6p-20, -0x1.446b368821b03p-20, -0x1.2caff39fcf0c8p-20, -0x1.159254dbb26bcp-20, -0x1.fe0db5dfd38ep-21, -0x1.d205b9757fa05p-21, -0x1.a6f8f875f9319p-21, -0x1.7cd538c30f137p-21, -0x1.5389ae1f6c36bp-21, -0x1.2b06e71926546p-21, -0x1.033eba70d5686p-21, -0x1.b8486afc5edb8p-22, -0x1.6b57177929c42p-22, -0x1.1f940bade8c8dp-22, -0x1.a9d7c8cb24d92p-23, -0x1.169a58502bcd1p-23, -0x1.0aa0f7306d791p-24, 0x1.443596753ade6p-28, 0x1.2fa995b35260cp-24, 0x1.23de85a8eec04p-23, 0x1.ae51b1e9b9547p-23, 0x1.1b9f40169f4f7p-22, 0x1.5f595416f12a7p-22, 0x1.a25cca0e5ba12p-22, 0x1.e4ae44c54af8ep-22, 0x1.1328b3cbebaaap-21, 0x1.33a4749edaf2p-21, 0x1.53cb52aec0797p-21, 0x1.739dd6a14a6e6p-21, 0x1.931c2bf7b7933p-21, 0x1.b24628a16876bp-21, 0x1.d11b544fdeabbp-21, 0x1.ef9aef1e6b9c9p-21, 0x1.06e1fc2b7b643p-20, 0x1.15ca9a500c816p-20, 0x1.24869a028b6b2p-20, 0x1.33152bb9250c3p-20, 0x1.41756b0a17ea2p-20, 0x1.4fa66131aa189p-20, 0x1.5da70773e744ap-20, 0x1.6b764957125aep-20, 0x1.791306cecd028p-20, 0x1.867c162ea654cp-20, 0x1.93b0460b69e3ep-20, 0x1.a0ae5f1345b73p-20, 0x1.ad7525b619f2p-20, 0x1.ba035bb058fc2p-20, 0x1.c657c18e1d1c3p-20, 0x1.d27117ff52ef5p-20, 0x1.de4e213119cebp-20, 0x1.e9eda1f88778ap-20, 0x1.f54e62efd434cp-20, 0x1.003798c3d4832p-19, 0x1.05a7707864592p-19, 0x1.0af6257b2729bp-19, 0x1.102328727882fp-19, 0x1.152dee280b4c8p-19, 0x1.1a15efd779576p-19, 0x1.1edaab8631954p-19, 0x1.237ba44acf86ap-19, 0x1.27f8628f55842p-19, 0x1.2c5074489368cp-19, 0x1.30836d32796p-19, 0x1.3490e6f9d9363p-19, 0x1.3878816a32673p-19, 0x1.3c39e2888457ep-19, 0x1.3fd4b6b52281ap-19, 0x1.4348b0ce01ac5p-19, 0x1.46958a3c77395p-19, 0x1.49bb030101c1fp-19, 0x1.4cb8e1cba8b4p-19, 0x1.4f8ef3fa51295p-19, 0x1.523d0da368064p-19, 0x1.54c3098e8d985p-19, 0x1.5720c93df0344p-19, 0x1.595634e050f7ap-19, 0x1.5b633b4ad68d4p-19, 0x1.5d47d1ecdc38p-19, 0x1.5f03f4c0e95efp-19, 0x1.6097a64217933p-19, 0x1.6202ef55a5971p-19, 0x1.6345df35c5244p-19, 0x1.64608b6048c93p-19, 0x1.65530f79138e5p-19, 0x1.661d8d30ee701p-19, 0x1.66c02c2b2fc71p-19, 0x1.673b19e0301e6p-19, 0x1.678e8980da13ap-19, 0x1.67bab3d419ab4p-19, 0x1.67bfd71af8d8bp-19, 0x1.679e36ea1b224p-19, 0x1.67561c09a7a3ap-19, 0x1.66e7d45420ab8p-19, 0x1.6653b2919f484p-19, 0x1.659a0e50811f5p-19, 0x1.64bb43c6eb25fp-19, 0x1.63b7b3a65dc9fp-19, 0x1.628fc2fb02bbdp-19, 0x1.6143db036b8b4p-19, 0x1.5fd4690d1f01cp-19, 0x1.5e41de4b07abep-19, 0x1.5c8cafb14264ap-19, 0x1.5ab555d0ce546p-19, 0x1.58bc4cac691aap-19, 0x1.56a213923ee71p-19, 0x1.54672cfb702e6p-19, 0x1.520c1e62ef74ep-19, 0x1.4f91701f0e3d3p-19, 0x1.4cf7ad3cd7223p-19, 0x1.4a3f6358d75a5p-19, 0x1.4769227c4fc93p-19, 0x1.44757cf71d035p-19, 0x1.4165073f14a89p-19, 0x1.3e3857c7ec5afp-19, 0x1.3af006e2b63a3p-19, 0x1.378cae9cb7edep-19, 0x1.340eea9897e2cp-19, 0x1.307757ebde7d8p-19, 0x1.2cc6950024a96p-19, 0x1.28fd417760cd7p-19, 0x1.251bfe044f76dp-19, 0x1.21236c4d4ac22p-19, 0x1.1d142ecc993f2p-19, 0x1.18eee8b25be28p-19, 0x1.14b43dc5e4eefp-19, 0x1.1064d24ab8c4cp-19, 0x1.0c014ae5d9a2ap-19, 0x1.078a4c7ba7f5cp-19, 0x1.03007c1b8fcb3p-19, 0x1.fcc8fdc5af258p-20, 0x1.f36df3bdbb3bdp-20, 0x1.e9f123ea94b72p-20, 0x1.e053d79cf02b4p-20, 0x1.d6975780b8c66p-20, 0x1.ccbceb5e6d7bbp-20, 0x1.c2c5d9f999834p-20, 0x1.b8b368dde844cp-20, 0x1.ae86dc352d443p-20, 0x1.a44176a209ccfp-20, 0x1.99e4791476199p-20, 0x1.8f7122af328c6p-20, 0x1.84e8b0910b141p-20, 0x1.7a4c5dbe9ea7cp-20, 0x1.6f9d62f92a0bcp-20, 0x1.64dcf69892fedp-20, 0x1.5a0c4c6e79dc6p-20, 0x1.4f2c95a8e2538p-20, 0x1.443f00bd9d665p-20, 0x1.3944b93eebee4p-20, 0x1.2e3ee7c76f7fcp-20, 0x1.232eb1dd9ce45p-20, 0x1.181539d8899c7p-20, 0x1.0cf39ecb36bd6p-20, 0x1.01cafc6b4a491p-20, 0x1.ed38d60eb1cfdp-21, 0x1.d6d1fecca4803p-21, 0x1.c063956ef7ce5p-21, 0x1.a9efb5054b7b5p-21, 0x1.9378711e6df5dp-21, 0x1.7cffd5b2d8d81p-21, 0x1.6687e6f89693ep-21, 0x1.5012a164730c9p-21, 0x1.39a1f9810e11dp-21, 0x1.2337dbc80a92ep-21, 0x1.0cd62c9daa857p-21, 0x1.ecfd906327b1dp-22, 0x1.c06704d092a32p-22, 0x1.93ec4da13af01p-22, 0x1.6790f11f67b77p-22, 0x1.3b5864d66ba5cp-22, 0x1.0f460d39d7a6dp-22, 0x1.c6ba7b65776e5p-23, 0x1.6f4270f3fb663p-23, 0x1.182a5d0dfeb9ap-23, 0x1.82f0fe3b2efb8p-24, 0x1.accbcf161a953p-25, 0x1.55fb52685e09fp-27, -0x1.ffdb297d8ab86p-26, -0x1.29b14d47c593ep-24, -0x1.d264fa7c50518p-24, -0x1.3d0379b61f75fp-23, -0x1.90464f8765627p-23, -0x1.e2f5d4c6e77bp-23, -0x1.1a868112eada9p-22, -0x1.4343793f1787ap-22, -0x1.6baf717f00a6cp-22, -0x1.93c8198c2f1b7p-22, }}, 
      std::vector<double>(650, 0.0), 
      {{-0x1.a1c701f6015ep-10, -0x1.a2a0fb6e809fbp-9, -0x1.3b1bc77ecafbfp-8, -0x1.a66fdd46ec2c5p-8, -0x1.0a04390564d5bp-7, -0x1.425f553969d09p-7, -0x1.7cc21c0703f74p-7, -0x1.b9ae73be51399p-7, -0x1.f9abc753dfb49p-7, -0x1.1ea1becbecd86p-6, -0x1.427ed24fe20ap-6, -0x1.68aef8a6a64e3p-6, -0x1.9170923b7e3d8p-6, -0x1.bcfd6e8a6b2c5p-6, -0x1.eb89ebe804024p-6, -0x1.0ea225e788513p-5, -0x1.292a1c01db62ep-5, -0x1.456d39fa586aap-5, -0x1.63785aa6e6924p-5, -0x1.8354cf45a9065p-5, -0x1.a5086b3a09c6dp-5, -0x1.c8959bced8775p-5, -0x1.edfb89bac767ep-5, -0x1.0a9b212c02299p-4, -0x1.1f1f735b58b6cp-4, -0x1.3485ef750b20cp-4, -0x1.4ac88813a15ap-4, -0x1.61e00a40113bp-4, -0x1.79c4399b58d97p-4, -0x1.926bec68412d7p-4, -0x1.abcd271d72846p-4, -0x1.c5dd3739c421p-4, -0x1.e090cd242cfd6p-4, -0x1.fbdc14ee5dbefp-4, -0x1.0bd966ee1baecp-3, -0x1.1a04304e23323p-3, -0x1.2867fa12a3a04p-3, -0x1.36fe4099a2ea6p-3, -0x1.45c0723242268p-3, -0x1.54a7f77d1ab02p-3, -0x1.63ae3b224c925p-3, -0x1.72ccb0e24fa73p-3, -0x1.81fcdc075fa41p-3, -0x1.9138553e3026fp-3, -0x1.a078cfdcddfafp-3, -0x1.afb81e9f681b5p-3, -0x1.bef037e10d75fp-3, -0x1.ce1b3959e8e9bp-3, -0x1.dd336b6820956p-3, -0x1.ec3343ebb3ac3p-3, -0x1.fb1568bbe935p-3, -0x1.04ea58de84324p-2, -0x1.0c36154e6428dp-2, -0x1.136b8a1ddbf3ap-2, -0x1.1a8872e4bab4fp-2, -0x1.218aa6ccb70f1p-2, -0x1.287018dabb68p-2, -0x1.2f36d819b80b6p-2, -0x1.35dd0fa9603f8p-2, -0x1.3c6106b32e295p-2, -0x1.42c12047d1edcp-2, -0x1.48fbdb272cfb9p-2, -0x1.4f0fd174c6844p-2, -0x1.54fbb85aa150ep-2, -0x1.5abe5f9c2c149p-2, -0x1.6056b11afc8fap-2, -0x1.65c3b04ee77e4p-2, -0x1.6b0479b2e9d77p-2, -0x1.7018422851466p-2, -0x1.74fe565169c3bp-2, -0x1.79b619e4f2aedp-2, -0x1.7e3f06fb78662p-2, -0x1.8298ad57aeeb4p-2, -0x1.86c2b1aac36d7p-2, -0x1.8abcccd59fdb5p-2, -0x1.8e86cb27edde7p-2, -0x1.92208b9db4481p-2, -0x1.9589ff1c4420bp-2, -0x1.98c327af2232ep-2, -0x1.9bcc17c58f5bap-2, -0x1.9ea4f1713eff8p-2, -0x1.a14de5a6c1589p-2, -0x1.a3c7338011c3bp-2, -0x1.a6112781bf5b7p-2, -0x1.a82c1ae305a3ep-2, -0x1.aa1872d92e8f5p-2, -0x1.abd69fe6889f7p-2, -0x1.ad671d2d346e2p-2, -0x1.aeca6fc5fa6fp-2, -0x1.b001261b6286ap-2, -0x1.b10bd74930365p-2, -0x1.b1eb22806307dp-2, -0x1.b29fae6fdb51ep-2, -0x1.b32a28b1b0191p-2, -0x1.b38b453d49658p-2, -0x1.b3c3bdde4536p-2, -0x1.b3d451b02be74p-2, -0x1.b3bdc49ef5d15p-2, -0x1.b380deec57fdep-2, -0x1.b31e6cb9d635p-2, -0x1.b2973d978b6c2p-2, -0x1.b1ec24179b65dp-2, -0x1.b11df5663d3bep-2, -0x1.b02d88e64b0abp-2, -0x1.af1bb7d2419f6p-2, -0x1.ade95ce19b0e9p-2, -0x1.ac9753f2695dep-2, -0x1.ab2679b719821p-2, -0x1.a997ab68452e2p-2, -0x1.a7ebc67a766d4p-2, -0x1.a623a857beae9p-2, -0x1.a4402e1d0d07fp-2, -0x1.a242345b1e4cfp-2, -0x1.a02a96daec975p-2, -0x1.9dfa3065836cfp-2, -0x1.9bb1da8f1c5c8p-2, -0x1.99526d855eb05p-2, -0x1.96dcbfe0b17f9p-2, -0x1.9451a6787dd08p-2, -0x1.91b1f43a3eee3p-2, -0x1.8efe7a035511ep-2, -0x1.8c38067d6d129p-2, -0x1.895f65fd71acfp-2, -0x1.86756264e3a33p-2, -0x1.837ac30580f66p-2, -0x1.80704c87261cp-2, -0x1.7d56c0cfcbb91p-2, -0x1.7a2edeed909c4p-2, -0x1.76f96302af6b8p-2, -0x1.73b7063353b5p-2, -0x1.70687e9534703p-2, -0x1.6d0e7f20dc2fap-2, -0x1.69a9b7a495556p-2, -0x1.663ad4b8d78d9p-2, -0x1.62c27fb634cap-2, -0x1.5f415eaca617p-2, -0x1.5bb8145c2f0bp-2, -0x1.5827402ec3264p-2, -0x1.548f7e335e9f3p-2, -0x1.50f1671a4488p-2, -0x1.4d4d90324f64ap-2, -0x1.49a48b6749a26p-2, -0x1.45f6e7413efdbp-2, -0x1.42452ee4b933fp-2, -0x1.3e8fea13dc201p-2, -0x1.3ad79d30524fcp-2, -0x1.371cc93e05a9bp-2, -0x1.335febe68e992p-2, -0x1.2fa17f7d594d9p-2, -0x1.2be1fb046d43fp-2, -0x1.2821d231d5578p-2, -0x1.246175759ab75p-2, -0x1.20a1520049f5bp-2, -0x1.1ce1d1c9f9d4cp-2, -0x1.19235b99cc58p-2, -0x1.1566530de14d2p-2, -0x1.11ab18a3b2d3fp-2, -0x1.0df209c0d4da5p-2, -0x1.0a3b80bc0fa2ap-2, -0x1.0687d4e6d07dep-2, -0x1.02d75a96e85ddp-2, -0x1.fe54c66125112p-3, -0x1.f7027a617e0c5p-3, -0x1.efb8686f35433p-3, -0x1.e8772226967f1p-3, -0x1.e13f3395c8202p-3, -0x1.da11235301c9fp-3, -0x1.d2ed7293212e8p-3, -0x1.cbd49d407d4cap-3, -0x1.c4c71a1204731p-3, -0x1.bdc55aa2839abp-3, -0x1.b6cfcb882fb99p-3, -0x1.afe6d46c45f45p-3, -0x1.a90ad822d7cacp-3, -0x1.a23c34c2b0c6ap-3, -0x1.9b7b43bd4b1eap-3, -0x1.94c859f6d50f4p-3, -0x1.8e23c7de3e1f2p-3, -0x1.878dd98544628p-3, -0x1.8106d6b87d597p-3, -0x1.7a8f03175a67dp-3, -0x1.74269e2c19f37p-3, -0x1.6dcde383aa6f3p-3, -0x1.67850ac573032p-3, -0x1.614c47cb00ef5p-3, -0x1.5b23cab799aafp-3, -0x1.550bc00fa56d9p-3, -0x1.4f0450cff304fp-3, -0x1.490da284d79a2p-3, -0x1.4327d761170cbp-3, -0x1.3d530e54a5996p-3, -0x1.378f63232beefp-3, -0x1.31dcee7a5f473p-3, -0x1.2c3bc60818694p-3, -0x1.26abfc9037a74p-3, -0x1.212da2023e17ap-3, -0x1.1bc0c38eb9f25p-3, -0x1.16656bbc5f5dep-3, -0x1.111ba27ce80fep-3, -0x1.0be36d41ac8ecp-3, -0x1.06bccf0ff2afbp-3, -0x1.01a7c894fa1bcp-3, -0x1.f948b07371932p-4, -0x1.ef64f46ca5b69p-4, -0x1.e5a4514a831f7p-4, -0x1.dc06b72c62633p-4, -0x1.d28c12411c347p-4, -0x1.c9344aeb8fa29p-4, -0x1.bfff45e67f76p-4, -0x1.b6ece467d67f8p-4, -0x1.adfd04434a0edp-4, -0x1.a52f800c5fd66p-4, -0x1.9c842f37c2214p-4, -0x1.93fae63c0a771p-4, -0x1.8b9376b1ce9a9p-4, -0x1.834daf732017ap-4, -0x1.7b295cba5c6c6p-4, -0x1.732648405f0abp-4, -0x1.6b44395a0eb08p-4, -0x1.6382f51549c76p-4, -0x1.5be23e552f56bp-4, -0x1.5461d5edc7b0ep-4, -0x1.4d017abf0c29bp-4, -0x1.45c0e9cf4e01p-4, -0x1.3e9fde650061cp-4, -0x1.379e121fe1f01p-4, -0x1.30bb3d118a4cp-4, -0x1.29f715d55da6bp-4, -0x1.235151a7e2021p-4, -0x1.1cc9a47d7f16p-4, -0x1.165fc118a364bp-4, -0x1.1013591f55e42p-4, -0x1.09e41d3030016p-4, -0x1.03d1bcf6c654ep-4, -0x1.fbb7ce7eff591p-5, -0x1.f0049415b58d1p-5, -0x1.e48925404fab9p-5, -0x1.d944db3f69863p-5, -0x1.ce370e28dd9b4p-5, -0x1.c35f1509fb2dfp-5, -0x1.b8bc4608a7d1bp-5, -0x1.ae4df6837cf26p-5, -0x1.a4137b30e1598p-5, -0x1.9a0c283d1f09fp-5, -0x1.9037516776272p-5, -0x1.86944a1e436b5p-5, -0x1.7d22659a27e22p-5, -0x1.73e0f6f83ff9dp-5, -0x1.6acf515375878p-5, -0x1.61ecc7dce0c83p-5, -0x1.5938adf34c6cap-5, -0x1.50b25739cf50fp-5, -0x1.485917ad9d4d9p-5, -0x1.402c43baeb97cp-5, -0x1.382b305110cd4p-5, -0x1.305532f5ce071p-5, -0x1.28a9a1d7d71bdp-5, -0x1.2127d3e086b95p-5, -0x1.19cf20c4deb2fp-5, -0x1.129ee115c1859p-5, -0x1.0b966e4f786adp-5, -0x1.04b522e87e3dcp-5, -0x1.fbf4b4bf3920cp-6, -0x1.eecae292bd9fbp-6, -0x1.e1eb8ab9b09bcp-6, -0x1.d5556aff87072p-6, -0x1.c90743a4162f5p-6, -0x1.bcffd7715620dp-6, -0x1.b13debcffbca6p-6, -0x1.a5c048daeb93bp-6, -0x1.9a85b9718abcep-6, -0x1.8f8d0b48f3bfdp-6, -0x1.84d50efc18f51p-6, -0x1.7a5c981addefp-6, -0x1.70227d3831647p-6, -0x1.662597f72209cp-6, -0x1.5c64c5170645bp-6, -0x1.52dee47eb6c16p-6, -0x1.4992d946e00d3p-6, -0x1.407f89c3747f1p-6, -0x1.37a3df8c4338bp-6, -0x1.2efec784c8bcdp-6, -0x1.268f31e32998ep-6, -0x1.1e54123664817p-6, -0x1.164c5f6bd5eb1p-6, -0x1.0e7713d3f8033p-6, -0x1.06d32d2671548p-6, -0x1.febf590af94b2p-7, -0x1.f0372d014d183p-7, -0x1.e20be62de332ap-7, -0x1.d43b9b70ae896p-7, -0x1.c6c46a8d7833bp-7, -0x1.b9a4782c9a9f7p-7, -0x1.acd9efdac3a48p-7, -0x1.a06304078da35p-7, -0x1.943dee032f03ap-7, -0x1.8868edfb390ap-7, -0x1.7ce24af650e7ep-7, -0x1.71a852cf2f055p-7, -0x1.66b95a2ea0f76p-7, -0x1.5c13bc84e12b3p-7, -0x1.51b5dc020ecb7p-7, -0x1.479e218df595ep-7, -0x1.3dcafcbf1c32ep-7, -0x1.343ae3d13167fp-7, -0x1.2aec539ac6456p-7, -0x1.21ddcf82891aap-7, -0x1.190de173cb909p-7, -0x1.107b19d290704p-7, -0x1.08240f6f1199p-7, -0x1.00075f78cc5e3p-7, -0x1.f0475ae22b206p-8, -0x1.e0ef463a6fba1p-8, -0x1.d203e0f06d6dap-8, -0x1.c382974833c2ap-8, -0x1.b568e1b5e9c39p-8, -0x1.a7b444bf05d1bp-8, -0x1.9a6250db1d0aep-8, -0x1.8d70a253ea8f5p-8, -0x1.80dce124b9b66p-8, -0x1.74a4c0d9a7bb7p-8, -0x1.68c6006e0905dp-8, -0x1.5d3e6a2acb57fp-8, -0x1.520bd384297a5p-8, -0x1.472c1cf70b4e8p-8, -0x1.3c9d31e647c2ap-8, -0x1.325d08776e4d3p-8, -0x1.2869a16f635f8p-8, -0x1.1ec1080eeb1bep-8, -0x1.156151eed4111p-8, -0x1.0c489edbf8dcap-8, -0x1.037518b35220fp-8, -0x1.f5c9e67b9a2e2p-9, -0x1.e52cd81804137p-9, -0x1.d50f94a454dbcp-9, -0x1.c56ebd8785a2fp-9, -0x1.b64706de713ap-9, -0x1.a7953733b6c59p-9, -0x1.995627370d5f2p-9, -0x1.8b86c17538b71p-9, -0x1.7e24021007d93p-9, -0x1.712af676b3a49p-9, -0x1.6498bd1e0df99p-9, -0x1.586a8539578a4p-9, -0x1.4c9d8e734cd5ep-9, -0x1.412f28a79f3aap-9, -0x1.361cb39cb1954p-9, -0x1.2b639ebe213a1p-9, -0x1.210168d708904p-9, -0x1.16f39fcd5a95fp-9, -0x1.0d37e05d61dc2p-9, -0x1.03cbd5d5f9d83p-9, -0x1.f55a73aa5c35cp-10, -0x1.e3b3a80af86fcp-10, -0x1.d29ef3b7a4894p-10, -0x1.c2181cab49f6ep-10, -0x1.b21b03700f678p-10, -0x1.a2a3a29ebaf2fp-10, -0x1.93ae0e5f3c65bp-10, -0x1.853673ea4a445p-10, -0x1.7739190d2e61bp-10, -0x1.69b25bae066d1p-10, -0x1.5c9eb15151c41p-10, -0x1.4ffaa6a1be9a7p-10, -0x1.43c2def8c0ab3p-10, -0x1.37f413e8bafc3p-10, -0x1.2c8b14c8ae10fp-10, -0x1.2184c641a3f92p-10, -0x1.16de21dd056e4p-10, -0x1.0c94359495284p-10, -0x1.02a423641a134p-10, -0x1.f21641b8f736ap-11, -0x1.df8ced70937dbp-11, -0x1.cda700e3c63f1p-11, -0x1.bc5f57b6a507bp-11, -0x1.abb0f16eccb7p-11, -0x1.9b96f0a80983ep-11, -0x1.8c0c9a4ce693dp-11, -0x1.7d0d54d318161p-11, -0x1.6e94a778cb0d7p-11, -0x1.609e39869abacp-11, -0x1.5325d194f400ap-11, -0x1.462754d2fcc42p-11, -0x1.399ec65142e63p-11, -0x1.2d88464f10ce9p-11, -0x1.21e0118bb3aaep-11, -0x1.16a280998731fp-11, -0x1.0bcc0734c35e8p-11, -0x1.0159339d4ddadp-11, -0x1.ee8d5be60e381p-12, -0x1.db226f2a7975dp-12, -0x1.c86b55093305ep-12, -0x1.b661f1901a12bp-12, -0x1.a50057ab20f68p-12, -0x1.9440c7f88858dp-12, -0x1.841dafa3c7dbap-12, -0x1.7491a7487aa09p-12, -0x1.659771d66ebcbp-12, -0x1.5729fb7ee065bp-12, -0x1.494458a35868fp-12, -0x1.3be1c4cd45517p-12, -0x1.2efda1aa13accp-12, -0x1.2293760af0dd1p-12, -0x1.169eeceb518d5p-12, -0x1.0b1bd47cab68bp-12, -0x1.00061d35e1edfp-12, -0x1.eab3b1d1e4f9dp-13, -0x1.d62673b66bf09p-13, -0x1.c25d23cbbd13bp-13, -0x1.af50a332b3961p-13, -0x1.9cfa0eca1307fp-13, -0x1.8b52bd891e502p-13, -0x1.7a543ee49ffb4p-13, -0x1.69f859389b18dp-13, -0x1.5a390840da89p-13, -0x1.4b107b91757c5p-13, -0x1.3c791520a1b01p-13, -0x1.2e6d67d70ab4p-13, -0x1.20e836250a7cp-13, -0x1.13e470a2774fcp-13, -0x1.075d34ba0264dp-13, -0x1.f69b96aa66643p-14, -0x1.df634f2ed8e2ap-14, -0x1.c908cb372953fp-14, -0x1.b38392746d8a5p-14, -0x1.9ecb79b3fc565p-14, -0x1.8ad8a08d59abfp-14, -0x1.77a36f17e08a5p-14, -0x1.652493b5fa854p-14, -0x1.535500efbcdbap-14, -0x1.422deb52b0e42p-14, -0x1.31a8c765fee33p-14, -0x1.21bf47a8a2742p-14, -0x1.126b5a9a97919p-14, -0x1.03a728dc10781p-14, -0x1.eada269ee1272p-15, -0x1.cf6f629315e59p-15, -0x1.b5039da78e188p-15, -0x1.9b8cd5e47b6ap-15, -0x1.83016bf76bdb3p-15, -0x1.6b581fef02b0cp-15, -0x1.54880e10e92ep-15, -0x1.3e88abc52a2c1p-15, -0x1.2951c4a1354abp-15, -0x1.14db777681257p-15, -0x1.011e337dbf063p-15, -0x1.dc256b3bc5d8cp-16, -0x1.b7640b6e7606p-16, -0x1.93eae81ddf997p-16, -0x1.71ad2d8d47a9ep-16, -0x1.509e8ec29a02dp-16, -0x1.30b340c64c4edp-16, -0x1.11dff6074b82ap-16, -0x1.e833b3b4f0e28p-17, -0x1.aead181ac5e84p-17, -0x1.7718397364ef4p-17, -0x1.41621043a59f9p-17, -0x1.0d7865494cfep-17, -0x1.b69393e6c16ffp-18, -0x1.558b213d9b968p-18, -0x1.ef6f158ca7b52p-19, -0x1.39f49be9bcf1cp-19, -0x1.14d8fffc185ddp-20, 0x1.f60ff50cd14c7p-23, 0x1.8752509e20685p-20, 0x1.629edee7c0aa1p-19, 0x1.fc72bd6340d52p-19, 0x1.48a995df4ddeap-18, 0x1.90b63ad95fa21p-18, 0x1.d67470b7968ddp-18, 0x1.0cfc31173b5b4p-17, 0x1.2daaa5f7fa7c7p-17, 0x1.4d4ec3278385cp-17, 0x1.6bf147926177p-17, 0x1.899a897fa5bbbp-17, 0x1.a6527aeb8372bp-17, 0x1.c220adff7ccbfp-17, 0x1.dd0c593b26a44p-17, 0x1.f71c5b68f90a4p-17, 0x1.082b9fcb08bd9p-16, 0x1.1461a06836472p-16, 0x1.203326e642e4dp-16, 0x1.2ba3062703802p-16, 0x1.36b3ee4d5d736p-16, 0x1.41686e5d424bcp-16, 0x1.4bc2f5c4e83e9p-16, 0x1.55c5d5e192fe1p-16, 0x1.5f734379147cdp-16, 0x1.68cd581c045dcp-16, 0x1.71d61379cee51p-16, 0x1.7a8f5cb5177f8p-16, 0x1.82fb039d7c144p-16, 0x1.8b1ac1e4ce0d4p-16, 0x1.92f03c3c0972ap-16, 0x1.9a7d0378c9487p-16, 0x1.a1c2959efa52cp-16, 0x1.a8c25ee846e75p-16, 0x1.af7dbaba7861cp-16, 0x1.b5f5f49bc5871p-16, 0x1.bc2c4916b2e8bp-16, 0x1.c221e693ee079p-16, 0x1.c7d7ee332ad24p-16, 0x1.cd4f74919f0efp-16, 0x1.d289828ba9fb1p-16, 0x1.d78715f195853p-16, 0x1.dc49223c893e9p-16, 0x1.e0d091349f387p-16, 0x1.e51e43966a33fp-16, 0x1.e93311a817e8dp-16, 0x1.ed0fcbcaa6d01p-16, 0x1.f0b53b0ccfe19p-16, 0x1.f42421a7b988cp-16, 0x1.f75d3b826bfaep-16, 0x1.fa613ea9b3fc3p-16, 0x1.fd30dbc0e2442p-16, 0x1.ffccbe707940fp-16, 0x1.011ac6e3ee577p-15, 0x1.0235f65170b4fp-15, 0x1.03383d0271a21p-15, 0x1.0421e8bb4ba18p-15, 0x1.04f345a5aefb8p-15, 0x1.05ac9e7def0cfp-15, 0x1.064e3cb4b27e3p-15, 0x1.06d8689241721p-15, 0x1.074b69563849fp-15, 0x1.07a785577356bp-15, 0x1.07ed0220a72d8p-15, 0x1.081c248a89541p-15, 0x1.083530d3eb43bp-15, 0x1.08386ab9ed8ffp-15, 0x1.0826158f71f0ap-15, 0x1.07fe7450d8a78p-15, 0x1.07c1c9b2d0e4bp-15, 0x1.0770583a15085p-15, 0x1.070a6246d940ep-15, 0x1.06902a258e36dp-15, 0x1.0601f21a7c58p-15, 0x1.055ffc6fb9e61p-15, 0x1.04aa8b8056eddp-15, 0x1.03e1e1c1b08bdp-15, 0x1.030641cc8805ep-15, 0x1.0217ee643f09p-15, 0x1.01172a7fb2978p-15, 0x1.0004394f9b802p-15, 0x1.fdbebc81587b8p-16, 0x1.fb51ba08fb1a5p-16, 0x1.f8c1f326742d4p-16, 0x1.f60ff05bbd0f4p-16, 0x1.f33c3ac56f397p-16, 0x1.f0475c18a7d4fp-16, 0x1.ed31deac363f6p-16, 0x1.e9fc4d744cd76p-16, 0x1.e6a734073db72p-16, 0x1.e3331e970f126p-16, 0x1.dfa099f23e7cdp-16, 0x1.dbf03382c798bp-16, 0x1.d822794956107p-16, 0x1.d437f9d5c3d07p-16, 0x1.d031444752ac5p-16, 0x1.cc0ee842641b1p-16, 0x1.c7d175eb68e68p-16, 0x1.c3797de081107p-16, 0x1.bf07912faa74p-16, 0x1.ba7c415242bcp-16, 0x1.b5d82020eda11p-16, 0x1.b11bbfce04559p-16, 0x1.ac47b2d81b67ap-16, 0x1.a75c8c00d43c5p-16, 0x1.a25ade47741d3p-16, 0x1.9d433cda3388ap-16, 0x1.98163b0c79139p-16, 0x1.92d46c4d1da8cp-16, 0x1.8d7e641a2a6d7p-16, 0x1.8814b5f533bb6p-16, 0x1.8297f55a20856p-16, 0x1.7d08b5b23d74fp-16, 0x1.77678a4a70974p-16, 0x1.71b506456191ep-16, 0x1.6bf1bc9333251p-16, 0x1.661e3fe21abc7p-16, 0x1.603b229335e8fp-16, 0x1.5a48f6b158fa3p-16, 0x1.54484de6aef35p-16, 0x1.4e39b96d70188p-16, 0x1.481dca06e6934p-16, 0x1.41f50fef8a035p-16, 0x1.3bc01ad28bab3p-16, 0x1.357f79bfc4ef8p-16, 0x1.2f33bb21621b7p-16, 0x1.28dd6cb282dc1p-16, 0x1.227d1b71bc87ep-16, 0x1.1c1353979803cp-16, 0x1.15a0a08dd45f7p-16, 0x1.0f258ce16034ap-16, 0x1.08a2a23a590dcp-16, 0x1.0218695430455p-16, 0x1.f70ed3e89e37cp-17, 0x1.e9e055b9646fcp-17, 0x1.dca6638efb3e5p-17, 0x1.cf6206b45abfap-17, 0x1.c214463be0f51p-17, 0x1.b4be26ef7a5e9p-17, 0x1.a760ab3f5f68p-17, 0x1.99fcd3399e5c8p-17, 0x1.8c939c6fa48b2p-17, 0x1.7f2601ebe3ffep-17, 0x1.71b4fc24d1031p-17, 0x1.644180e9afc59p-17, 0x1.56cc83575212cp-17, 0x1.4956f3cc9472bp-17, 0x1.3be1bfe2cc892p-17, 0x1.2e6dd2560c529p-17, 0x1.20fc1303ab717p-17, 0x1.138d66da76b1dp-17, 0x1.0622afcdf36edp-17, 0x1.f179999d42885p-18, 0x1.d6b9337f84716p-18, 0x1.bc05deea0becfp-18, 0x1.a161474508d5dp-18, 0x1.86cd11ab54c94p-18, 0x1.6c4adcdd52626p-18, 0x1.51dc412f98c99p-18, 0x1.3782d07e410a6p-18, 0x1.1d40161c8171cp-18, 0x1.031596d7f4977p-18, 0x1.d209a1cc53c48p-19, 0x1.9e1e779b957c6p-19, 0x1.6a6c90eb2f118p-19, 0x1.36f6c2131a8aep-19, 0x1.03bfd1eee33a3p-19, 0x1.a194f3a0b93b8p-20, 0x1.3c32caf6f4757p-20, 0x1.aebcccd26e40dp-21, 0x1.cc739c7c2b8fep-22, 0x1.ee6a60e9ca989p-25, -0x1.4e65ad5240422p-22, -0x1.6c090986b93adp-21, -0x1.17c945715a40fp-20, -0x1.78e314f539d94p-20, -0x1.d94d762952a3p-20, -0x1.1c820391f44f2p-19, -0x1.4c0140b9be114p-19, -0x1.7b225ce2eeb7ap-19, -0x1.a9e34ffa81d37p-19, -0x1.d8421f86ec486p-19, -0x1.031e6f4b6c936p-18, -0x1.19e8d6de4280ep-18, -0x1.307f5d6fc83a7p-18, -0x1.46e120a759d92p-18, -0x1.5d0d44d90e057p-18, }}, 
      {{-0x1.e73b666365b7cp-1, -0x1.e7240ca960227p-1, -0x1.e6f89d2b9d9e3p-1, -0x1.e6b41dea9b8f5p-1, -0x1.e65178f9930adp-1, -0x1.e5cc0b0097774p-1, -0x1.e51ff4f3cd0c8p-1, -0x1.e44a43f1b9ce7p-1, -0x1.e348fcfa48bd3p-1, -0x1.e21b164a00f2p-1, -0x1.e0c0654992b83p-1, -0x1.df3985ef14d86p-1, -0x1.dd87beef84f72p-1, -0x1.dbace50c78192p-1, -0x1.d9ab3f056944p-1, -0x1.d7856b27e73a9p-1, -0x1.d53e471642b59p-1, -0x1.d2d8da15db59p-1, -0x1.d0584204ba807p-1, -0x1.cdbfa2f3fadep-1, -0x1.cb12194d69543p-1, -0x1.c852ae5bcdb6bp-1, -0x1.c5844f044677cp-1, -0x1.c2a9c47a5fcafp-1, -0x1.bfc5aeb6fad1fp-1, -0x1.bcda807abd3b5p-1, -0x1.b9ea7ca6ebaa4p-1, -0x1.b6f7b4bac9a77p-1, -0x1.b40408477a104p-1, -0x1.b111253082317p-1, -0x1.ae2088937098bp-1, -0x1.ab338035648eep-1, -0x1.a84b2c5953ccap-1, -0x1.a56881e5cf7c3p-1, -0x1.a28c4cc49c9d9p-1, -0x1.9fb73269b9ef2p-1, -0x1.9ce9b47260a15p-1, -0x1.9a24334f2c07dp-1, -0x1.9766f0eee0b97p-1, -0x1.94b213614fa96p-1, -0x1.9205a76b910f5p-1, -0x1.8f61a30849a92p-1, -0x1.8cc5e7cff5a1dp-1, -0x1.8a32454642accp-1, -0x1.87a67b0a63303p-1, -0x1.85223ae9048ccp-1, -0x1.82a52acf27367p-1, -0x1.802ee69d9a2b3p-1, -0x1.7dbf01dd37069p-1, -0x1.7b550954510bap-1, -0x1.78f0847e07118p-1, -0x1.7690f6e450ec2p-1, -0x1.7435e15dcd593p-1, -0x1.71dec33064692p-1, -0x1.6f8b1b19ed34bp-1, -0x1.6d3a68400a49dp-1, -0x1.6aec2b08770ep-1, -0x1.689fe5db03a05p-1, -0x1.66551dce7c1bep-1, -0x1.640b5b41ae6efp-1, -0x1.61c22a61c50e8p-1, -0x1.5f791b9f1afffp-1, -0x1.5d2fc411b1341p-1, -0x1.5ae5bdce56c3ep-1, -0x1.589aa82d9992bp-1, -0x1.564e28057f85bp-1, -0x1.53ffe7d704528p-1, -0x1.51af97f04b5e4p-1, -0x1.4f5cee846e1d5p-1, -0x1.4d07a7b9bee49p-1, -0x1.4aaf85af52671p-1, -0x1.4854507a98347p-1, -0x1.45f5d61dbdcb5p-1, -0x1.4393ea778f794p-1, -0x1.412e672d81e3dp-1, -0x1.3ec52b908301ap-1, -0x1.3c581c7d29cc8p-1, -0x1.39e72437d365dp-1, -0x1.37723245327ddp-1, -0x1.34f93b3fcefffp-1, -0x1.327c38aae824bp-1, -0x1.2ffb28c329f12p-1, -0x1.2d760e4d971d8p-1, -0x1.2aecf065085dbp-1, -0x1.285fda46973ebp-1, -0x1.25cedb1d42aap-1, -0x1.233a05cd1a064p-1, -0x1.20a170be2ef31p-1, -0x1.1e0535a78e7e5p-1, -0x1.1b65715a75813p-1, -0x1.18c2438df63d8p-1, -0x1.161bceab3b351p-1, -0x1.1372379a8f0ap-1, -0x1.10c5a5914e209p-1, -0x1.0e1641e0e2feap-1, -0x1.0b6437c6e60a3p-1, -0x1.08afb43e7d049p-1, -0x1.05f8e5d3096f4p-1, -0x1.033ffc743d998p-1, -0x1.0085294ba07a4p-1, -0x1.fb913d271db2fp-2, -0x1.f6151edf891efp-2, -0x1.f0965f8ede57ep-2, -0x1.eb156841a7638p-2, -0x1.e592a2fd0ad9cp-2, -0x1.e00e7a7c65e23p-2, -0x1.da8959f20713cp-2, -0x1.d503accb0b88dp-2, -0x1.cf7dde76555b5p-2, -0x1.c9f85a2e8de75p-2, -0x1.c4738ac72c597p-2, -0x1.beefda7c70431p-2, -0x1.b96db2c63f7f3p-2, -0x1.b3ed7c2dda348p-2, -0x1.ae6f9e264b73dp-2, -0x1.a8f47ee78ef81p-2, -0x1.a37c834c4949ep-2, -0x1.9e080eb20c8e1p-2, -0x1.989782dc09042p-2, -0x1.932b3fd81a3f9p-2, -0x1.8dc3a3e617299p-2, -0x1.88610b6155d77p-2, -0x1.8303d0ac4238dp-2, -0x1.7dac4c1dfc2eap-2, -0x1.785ad3f1e2375p-2, -0x1.730fbc38f1d07p-2, -0x1.6dcb56ccea352p-2, -0x1.688df34520515p-2, -0x1.6357deece520bp-2, -0x1.5e2964bb745c6p-2, -0x1.5902cd4d5264cp-2, -0x1.53e45edf06ef7p-2, -0x1.4ece5d4922005p-2, -0x1.49c109fd78b4dp-2, -0x1.44bca4058849dp-2, -0x1.3fc16801ee35ap-2, -0x1.3acf902ae49e8p-2, -0x1.35e75451afd54p-2, -0x1.3108e9e2f78bdp-2, -0x1.2c3483e9ec8dcp-2, -0x1.276a53143d2eep-2, -0x1.22aa85b6c18fap-2, -0x1.1df547d2ce211p-2, -0x1.194ac31c30cd8p-2, -0x1.14ab1effb6783p-2, -0x1.101680aa3fdd5p-2, -0x1.0b8d0b104fd46p-2, -0x1.070edef60b0bep-2, -0x1.029c1af7a3f4bp-2, -0x1.fc69b7243fed1p-3, -0x1.f3b27658e8523p-3, -0x1.eb12a441e26efp-3, -0x1.e28a6d8ddfd4fp-3, -0x1.da19faf9768acp-3, -0x1.d1c17163641aap-3, -0x1.c980f1e12977ap-3, -0x1.c15899d3f52c5p-3, -0x1.b94882fdd3e7ap-3, -0x1.b150c39715d0fp-3, -0x1.a9716e63e43c2p-3, -0x1.a1aa92c9ee3d9p-3, -0x1.99fc3ce63bf0cp-3, -0x1.926675a30625dp-3, -0x1.8ae942cd95182p-3, -0x1.8384a72c20e6fp-3, -0x1.7c38a293a7806p-3, -0x1.750531fdb0139p-3, -0x1.6dea4f9df6c28p-3, -0x1.66e7f2f7fed21p-3, -0x1.5ffe10f47c63bp-3, -0x1.592c9bf69cc25p-3, -0x1.527383f11ac94p-3, -0x1.4bd2b67b266f7p-3, -0x1.454a1ee510823p-3, -0x1.3ed9a64cc51dbp-3, -0x1.388133b200a8bp-3, -0x1.3240ac0a4ac22p-3, -0x1.2c17f254a588dp-3, -0x1.2606e7ad0114p-3, -0x1.200d6b5f5fc06p-3, -0x1.1a2b5afaaed8bp-3, -0x1.14609263555aap-3, -0x1.0eacebe575545p-3, -0x1.09104046dc549p-3, -0x1.038a66d89be6p-3, -0x1.fc366b10b7563p-4, -0x1.f18501e29e3d2p-4, -0x1.e70038d9b30c3p-4, -0x1.dca7b445b762dp-4, -0x1.d27b16335a8f9p-4, -0x1.c879fe8b8a53p-4, -0x1.bea40b31f9522p-4, -0x1.b4f8d8231fd66p-4, -0x1.ab77ff916eb8fp-4, -0x1.a2211a01e77e8p-4, -0x1.98f3be6803a6p-4, -0x1.8fef8240eacffp-4, -0x1.8713f9ae05fe7p-4, -0x1.7e60b78ee1db2p-4, -0x1.75d54d9a67ed3p-4, -0x1.6d714c7772452p-4, -0x1.653443d4b31a8p-4, -0x1.5d1dc27ffb184p-4, -0x1.552d567cd6f38p-4, -0x1.4d628d1a8c371p-4, -0x1.45bcf3097327fp-4, -0x1.3e3c146fb2555p-4, -0x1.36df7cfd5a98dp-4, -0x1.2fa6b7ffe7395p-4, -0x1.2891507525b3dp-4, -0x1.219ed11d82e25p-4, -0x1.1acec48dc299cp-4, -0x1.1420b5402625ap-4, -0x1.0d942da4fbd21p-4, -0x1.0728b832a45d7p-4, -0x1.00dddf7505b14p-4, -0x1.f5665c38f02a8p-5, -0x1.e9505e184a79ep-5, -0x1.dd78dacfcb5c7p-5, -0x1.d1dee9432bfacp-5, -0x1.c681a10bdc283p-5, -0x1.bb601a91aa75cp-5, -0x1.b0796f227a34bp-5, -0x1.a5ccb908fe40bp-5, -0x1.9b5913a2880e7p-5, -0x1.911d9b73e82d3p-5, -0x1.87196e3d68ad4p-5, -0x1.7d4bab0deb455p-5, -0x1.73b372551d7e2p-5, -0x1.6a4fe5f4e6c75p-5, -0x1.61202951f17fcp-5, -0x1.58236163743c5p-5, -0x1.4f58b4c2268b4p-5, -0x1.46bf4bb675f6bp-5, -0x1.3e565045fbf93p-5, -0x1.361cee403215dp-5, -0x1.2e12534a7603p-5, -0x1.2635aeeb56e0dp-5, -0x1.1e86329534f99p-5, -0x1.170311b03c7e3p-5, -0x1.0fab81a3b3dc2p-5, -0x1.087eb9deae8e9p-5, -0x1.017bf3e025d4fp-5, -0x1.f544d67ce9ad6p-6, -0x1.e7e2bb5c809a2p-6, -0x1.dad01611aed67p-6, -0x1.ce0b6aa3ff2ffp-6, -0x1.c193417a7ca5p-6, -0x1.b566276542865p-6, -0x1.a982ada606d1bp-6, -0x1.9de769f7b6012p-6, -0x1.9292f69513a19p-6, -0x1.8783f23e8d701p-6, -0x1.7cb9003f106f3p-6, -0x1.7230c8701de08p-6, -0x1.67e9f73d012cdp-6, -0x1.5de33da54a9e5p-6, -0x1.541b513e737a2p-6, -0x1.4a90ec34dcbcdp-6, -0x1.4142cd4c0981fp-6, -0x1.382fb7de335a8p-6, -0x1.2f5673db33a37p-6, -0x1.26b5cdc6c616dp-6, -0x1.1e4c96b641707p-6, -0x1.1619a44daa003p-6, -0x1.0e1bd0bc38348p-6, -0x1.0651fab862968p-6, -0x1.fd760af6ac39fp-7, -0x1.eeabb177eaec2p-7, -0x1.e042c152c162p-7, -0x1.d2391bca1faa1p-7, -0x1.c48caaf8e777bp-7, -0x1.b73b61c47579bp-7, -0x1.aa433bce4dbbcp-7, -0x1.9da23d65208e2p-7, -0x1.91567375062b4p-7, -0x1.855df377252fap-7, -0x1.79b6db60a7bd1p-7, -0x1.6e5f51911fa85p-7, -0x1.635584c056e05p-7, -0x1.5897abeb95e9ap-7, -0x1.4e2406427b2a8p-7, -0x1.43f8db13498fdp-7, -0x1.3a1479b6bedc6p-7, -0x1.3075397b9ff23p-7, -0x1.27197991cba5cp-7, -0x1.1dffa0f4f800cp-7, -0x1.15261e5721d46p-7, -0x1.0c8b680aa6721p-7, -0x1.042dfbec22b4cp-7, -0x1.f818be980d7bbp-8, -0x1.e84a3dafef799p-8, -0x1.d8ed9d07e0d19p-8, -0x1.ca0012e6967c6p-8, -0x1.bb7ee3c30250ap-8, -0x1.ad676215cc65fp-8, -0x1.9fb6ee2a6ba3bp-8, -0x1.926af5effd032p-8, -0x1.8580f4ca0b9dcp-8, -0x1.78f6736126a1cp-8, -0x1.6cc90773730d9p-8, -0x1.60f653a515bb3p-8, -0x1.557c07509c937p-8, -0x1.4a57de5760ffdp-8, -0x1.3f87a0f207a23p-8, -0x1.35092380ee091p-8, -0x1.2ada465cdc81bp-8, -0x1.20f8f5a79ce46p-8, -0x1.1763291ccfde3p-8, -0x1.0e16e3e2ea7a1p-8, -0x1.0512345c61444p-8, -0x1.f8a667f21920ap-9, -0x1.e7b00e0f66a03p-9, -0x1.d73db90fcdf4ep-9, -0x1.c74bdbf81e088p-9, -0x1.b7d6fe779bb6ep-9, -0x1.a8dbbc8d455d2p-9, -0x1.9a56c62e0248ep-9, -0x1.8c44deeb12e51p-9, -0x1.7ea2dd993e0d1p-9, -0x1.716dabf90c97ap-9, -0x1.64a2465f498f2p-9, -0x1.583dbb5ed1ef2p-9, -0x1.4c3d2b72b5726p-9, -0x1.409dc8a93ebfbp-9, -0x1.355cd64ffd6c6p-9, -0x1.2a77a8a0706eep-9, -0x1.1feba46da212ep-9, -0x1.15b63ed2e0c82p-9, -0x1.0bd4fce304ad9p-9, -0x1.02457358a21d2p-9, -0x1.f20a8c8ecd29dp-10, -0x1.e024519c67cd2p-10, -0x1.ced3b9943b6b7p-10, -0x1.be14651575f6fp-10, -0x1.ade2110e02ecfp-10, -0x1.9e3896263a9cap-10, -0x1.8f13e82f38592p-10, -0x1.8070159247e47p-10, -0x1.724946c2dc7fap-10, -0x1.649bbdb269dd6p-10, -0x1.5763d54657428p-10, -0x1.4a9e00cf59d08p-10, -0x1.3e46cb8344305p-10, -0x1.325ad7f8c5a2cp-10, -0x1.26d6dfa519967p-10, -0x1.1bb7b25ba8e3bp-10, -0x1.10fa35d019a76p-10, -0x1.069b65196213ap-10, -0x1.f930a06f6d43bp-11, -0x1.e5dc373800d8ep-11, -0x1.d333ff62e51acp-11, -0x1.c13290d1f9839p-11, -0x1.afd2a98dba266p-11, -0x1.9f0f2ce464b31p-11, -0x1.8ee3228bbb9d3p-11, -0x1.7f49b5c7c26dcp-11, -0x1.703e34951af33p-11, -0x1.61bc0ed702a21p-11, -0x1.53bed588d9dc7p-11, -0x1.464239f460629p-11, -0x1.39420cea6cffap-11, -0x1.2cba3dff58fe2p-11, -0x1.20a6dacc101d4p-11, -0x1.15040e31d6f9cp-11, -0x1.09ce1fa1e659cp-11, -0x1.fe02e4d16196ap-12, -0x1.e93509f992435p-12, -0x1.d52be0a16e7cfp-12, -0x1.c1e0ce50a1cdep-12, -0x1.af4d6ae373898p-12, -0x1.9d6b7f433879fp-12, -0x1.8c3504253c12fp-12, -0x1.7ba420d0a09fp-12, -0x1.6bb329ea935e2p-12, -0x1.5c5ca04894a2dp-12, -0x1.4d9b2fc86356cp-12, -0x1.3f69ae2ee553ap-12, -0x1.31c31a0e2c8a4p-12, -0x1.24a299af01553p-12, -0x1.18037a025a912p-12, -0x1.0be12d98e0b2p-12, -0x1.00374b9eca951p-12, -0x1.ea031dbc1c8afp-13, -0x1.d477a98b82d37p-13, -0x1.bfc438f0449c1p-13, -0x1.abe10bb9bf4dp-13, -0x1.98c6a172db1d2p-13, -0x1.866db79cfa43ep-13, -0x1.74cf47f53d95bp-13, -0x1.63e486c3b2742p-13, -0x1.53a6e133e7776p-13, -0x1.440ffbb7bc62dp-13, -0x1.3519b075c65ecp-13, -0x1.26be0dbe61c2bp-13, -0x1.18f7548b14c95p-13, -0x1.0bbff7098f8aep-13, -0x1.fe252e579507ep-14, -0x1.e5d40a87d06e6p-14, -0x1.ce827d4b7c892p-14, -0x1.b826d8a85c6f7p-14, -0x1.a2b7c36b4c432p-14, -0x1.8e2c36a021ea7p-14, -0x1.7a7b7b1baf8e6p-14, -0x1.679d27169cc39p-14, -0x1.55891bd423982p-14, -0x1.4437835b77681p-14, -0x1.33a0ce3b1b82cp-14, -0x1.23bdb161febeep-14, -0x1.1487240244943p-14, -0x1.05f65d822be4ep-14, -0x1.f009a6f7de7cp-15, -0x1.d5586f9ab4897p-15, -0x1.bbcced5d33df5p-15, -0x1.a35b69bba19a3p-15, -0x1.8bf89b996fbb1p-15, -0x1.7599a3c878c72p-15, -0x1.603409a407374p-15, -0x1.4bbdb7bd1057fp-15, -0x1.382cf8a0fa8dbp-15, -0x1.257873bf0bc01p-15, -0x1.13972a5474674p-15, -0x1.0280747c399e7p-15, -0x1.e457fc98cae4fp-16, -0x1.c5238a0bd33cp-16, -0x1.a75428c2b1dc6p-16, -0x1.8adb07d8396aep-16, -0x1.6fa9e8e70b464p-16, -0x1.55b31b10c034ap-16, -0x1.3ce9763079113p-16, -0x1.2540561d00435p-16, -0x1.0eab961dcae59p-16, -0x1.f23f18fc302d4p-17, -0x1.c9220c70ccc7dp-17, -0x1.a1ea85b068c88p-17, -0x1.7c83e0cf7830cp-17, -0x1.58da4f04702dap-17, -0x1.36dacf1a71752p-17, -0x1.16732605d4105p-17, -0x1.ef23af8e403f3p-18, -0x1.b44c40df8dcdep-18, -0x1.7c3fdadbcca66p-18, -0x1.46dfae0f3e301p-18, -0x1.140e343306a3cp-18, -0x1.c75e47aeacc78p-19, -0x1.6b4ec92b3176ep-19, -0x1.13ba07608207cp-19, -0x1.80dca38de9d62p-20, -0x1.c4f05e12d7dcdp-21, -0x1.2fae944b9fc1ep-22, 0x1.0c80653c4cc75p-22, 0x1.95fcc945b7704p-21, 0x1.4bfef4716b0f2p-20, 0x1.c66e03b32bbaep-20, 0x1.1d4a3a2074237p-19, 0x1.545bf82724602p-19, 0x1.888d85c1ef217p-19, 0x1.b9feb184367ep-19, 0x1.e8cddda13e483p-19, 0x1.0a8c079ef40cep-18, 0x1.1f7c7e3c0cdep-18, 0x1.33458d2264b7ep-18, 0x1.45f3d4d017b3dp-18, 0x1.5793624767cbap-18, 0x1.682fb53d8a48fp-18, 0x1.77d3c5f9ef33bp-18, 0x1.868a0b3c6f084p-18, 0x1.945c7fc55fdbfp-18, 0x1.a154a793015ffp-18, 0x1.ad7b9531d450ap-18, 0x1.b8d9ee9f25f4ap-18, 0x1.c377f22177ce4p-18, 0x1.cd5d7aca17ep-18, 0x1.d69205028393ep-18, 0x1.df1cb2c75410dp-18, 0x1.e7044fabffda5p-18, 0x1.ee4f54ecba44dp-18, 0x1.f503ed36138fep-18, 0x1.fb27f84380047p-18, 0x1.006087328761dp-17, 0x1.02ea41f03eeddp-17, 0x1.0533b6185daap-17, 0x1.073f4e8b424d7p-17, 0x1.090f58d01a8d3p-17, 0x1.0aa606829d453p-17, 0x1.0c056eb0ebef1p-17, 0x1.0d2f8f27d3fe6p-17, 0x1.0e264dbeb2d9bp-17, 0x1.0eeb798c8b6f4p-17, 0x1.0f80cc0942923p-17, 0x1.0fe7ea3142b81p-17, 0x1.102265918c4ebp-17, 0x1.1031bd4f5fabap-17, 0x1.10175f1aabf6fp-17, 0x1.0fd4a820a805dp-17, 0x1.0f6ae5ee84f73p-17, 0x1.0edb574c8ab6cp-17, 0x1.0e272d05845c8p-17, 0x1.0d4f8ab5d381cp-17, 0x1.0c558785b866ap-17, 0x1.0b3a2eda0720bp-17, 0x1.09fe81035d708p-17, 0x1.08a373df39bffp-17, 0x1.0729f376f363dp-17, 0x1.0592e28e8e5c2p-17, 0x1.03df1b3346042p-17, 0x1.020f6f433bb6cp-17, 0x1.0024a8ee353acp-17, 0x1.fc3f16500a011p-18, 0x1.f801a43bfa59p-18, 0x1.f392674eed8cbp-18, 0x1.eef2bf4d90d25p-18, 0x1.ea2400d7564c1p-18, 0x1.e52776219612cp-18, 0x1.dffe5fa592855p-18, 0x1.daa9f4ca01b9bp-18, 0x1.d52b646ba0fcap-18, 0x1.cf83d57f24fep-18, 0x1.c9b467963796dp-18, 0x1.c3be3366a0fa3p-18, 0x1.bda24b34d993fp-18, 0x1.b761bb57e870fp-18, 0x1.b0fd8a9b7de9p-18, 0x1.aa76baa3172c1p-18, 0x1.a3ce4844e643fp-18, 0x1.9d052be6dbb5ap-18, 0x1.961c59d6a3b56p-18, 0x1.8f14c28b3a6b2p-18, 0x1.87ef52e9b5ab3p-18, 0x1.80acf48c60271p-18, 0x1.794e8dffbc0e3p-18, 0x1.71d502fa09b5fp-18, 0x1.6a413487393b6p-18, 0x1.6294014586d1ep-18, 0x1.5ace4587961f9p-18, 0x1.52f0db7dfd5d6p-18, 0x1.4afc9b5535f67p-18, 0x1.42f25b5e023c8p-18, 0x1.3ad2f02e5dep-18, 0x1.329f2cb47af13p-18, 0x1.2a57e24f4617ap-18, 0x1.21fde0e257ffp-18, 0x1.1991f6e9d4079p-18, 0x1.1114f18ca302fp-18, 0x1.08879ca458909p-18, 0x1.ffd5859d197d4p-19, 0x1.ee7e5aec43cf7p-19, 0x1.dd0b49a96c6bbp-19, 0x1.cb7ddffbd5195p-19, 0x1.b9d7a9b6ca18ep-19, 0x1.a81a307ffd931p-19, 0x1.9646fbb81b401p-19, 0x1.845f9087ec0ep-19, 0x1.726571d2e53bdp-19, 0x1.605a2035ed99cp-19, 0x1.4e3f1a04c69b9p-19, 0x1.3c15db470346dp-19, 0x1.29dfdd9faeed6p-19, 0x1.179e984f0ed1ap-19, 0x1.0553801f4aed6p-19, 0x1.e6000ea99e13p-20, 0x1.c14b3b3f9a6f2p-20, 0x1.9c8b60152de33p-20, 0x1.77c351e995cc9p-20, 0x1.52f5dfe7cb291p-20, 0x1.2e25d38eca26ep-20, 0x1.0955f07fddb21p-20, 0x1.c911e8a0fbb1ep-21, 0x1.7f832cf63925fp-21, 0x1.3605105e95275p-21, 0x1.d939d067bafb3p-22, 0x1.469ff91c5e086p-22, 0x1.688e1fbb592fcp-23, 0x1.11cb6dd38cbd2p-25, -0x1.bdfac31355953p-24, -0x1.00d72c31c530dp-22, -0x1.91c602c074da7p-22, -0x1.1120a8905078cp-21, -0x1.591fa978a16ebp-21, -0x1.a0db31ca829f6p-21, -0x1.e84e7f62058abp-21, -0x1.17ba7042f8cbp-20, -0x1.3b24da085167ap-20, -0x1.5e6434f085bf6p-20, -0x1.81764190e98b2p-20, -0x1.a458c93c4e6fap-20, -0x1.c7099e2ce18c2p-20, -0x1.e9869ba54fd3fp-20, -0x1.05e6d302b45f1p-19, -0x1.16ee556ea48d9p-19, -0x1.27d8d08cdfb6ap-19, -0x1.38a5448d92eadp-19, -0x1.4952b6655d769p-19, -0x1.59e02fdf2ccb2p-19, -0x1.6a4cbfa46da89p-19, -0x1.7a977944b945ap-19, -0x1.8abf753937bb1p-19, -0x1.9ac3d0fc6ae63p-19, -0x1.aaa3af07f3232p-19, -0x1.ba5e36e36f665p-19, -0x1.c9f2952705c1p-19, -0x1.d95ffb857ccecp-19, -0x1.e8a5a0cf765a4p-19, -0x1.f7c2c0ee4f572p-19, -0x1.035b4e7b9cffep-18, -0x1.0ac03d93e4c55p-18, -0x1.120fd3752b6bcp-18, -0x1.1949b86d7ea5bp-18, -0x1.206d97630311fp-18, -0x1.277b1dd51b178p-18, -0x1.2e71fbd8443a3p-18, -0x1.3551e41b59b75p-18, -0x1.3c1a8be4d81f4p-18, -0x1.42cbab118dd5ap-18, -0x1.4964fc15b4f4ap-18, -0x1.4fe63bf984c6bp-18, -0x1.564f2a59c029p-18, -0x1.5c9f895f58dbbp-18, -0x1.62d71dc2b71f5p-18, -0x1.68f5aec73912bp-18, -0x1.6efb0639588f7p-18, -0x1.74e6f06bcec51p-18, -0x1.7ab93c32f1945p-18, -0x1.8071bae2e9458p-18, -0x1.86104048ec44fp-18, -0x1.8b94a2a6fd569p-18, -0x1.90febab382179p-18, -0x1.964e6390c69a3p-18, -0x1.9b837aca0229bp-18, -0x1.a09de04e8b6e1p-18, -0x1.a59d766c9b48dp-18, -0x1.aa8221cbd7344p-18, -0x1.af4bc963d3316p-18, -0x1.b3fa567c5e298p-18, -0x1.b88db4a2f73abp-18, -0x1.bd05d1a7be4ecp-18, -0x1.c1629d96b2b97p-18, -0x1.c5a40aafc29edp-18, -0x1.c9ca0d61b3dc1p-18, -0x1.cdd49c42bbc31p-18, -0x1.d1c3b007d24ap-18, -0x1.d59743814991cp-18, -0x1.d94f5391d624fp-18, -0x1.dcebdf26a2671p-18, -0x1.e06ce731a639p-18, -0x1.e3d26ea181566p-18, -0x1.e71c7a5a857eap-18, -0x1.ea4b112cfddffp-18, -0x1.ed5e3bcee59d3p-18, -0x1.f05604d53dc48p-18, }}, 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
      std::vector<double>(650, 0.0), 
    }}, 
    {
      34, 0x1.2ae147ae147aep+2, 0x1.7b47f9677a767p+1, 0x1.8f88f3e242e07p+2, -0x1.4896c5a8cf0e7p-7, 
      {{
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.f28f26de4db96p-5, -0x1.ae2d800cfa5e4p-3, 0x1.3eab2724eef37p-2, -0x1.732f34c7a25c3p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a2b61f8cfca33p-5, -0x1.713a57fa49e08p-3, 0x1.22d46995f5f97p-2, -0x1.721cde4fa9c7ep-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.5e7f540d3f9f8p-5, -0x1.39d67a49b1a22p-3, 0x1.07123f4ffc70bp-2, -0x1.715ba2e0197a3p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.24ce7adbe6c3ep-5, -0x1.07fe653f37a85p-3, 0x1.d6bd26318ea8fp-3, -0x1.6ff2fe628b6d3p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.e90ffd583d905p-6, -0x1.b75be2d4b8b6bp-4, 0x1.9f8be66f93582p-3, -0x1.70d6e31490197p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.9921fccee214bp-6, -0x1.69c83fd47991p-4, 0x1.68387792e4216p-3, -0x1.62740485bdbf3p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.57a053b5873abp-6, -0x1.270e0e6210115p-4, 0x1.330d76e53ade7p-3, -0x1.44cb5694cd715p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.226e7a4ab4174p-6, -0x1.dd0858c3f0074p-5, 0x1.02555d1bb5a6dp-3, -0x1.296c5637483edp-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.ef31f09f5862ep-7, -0x1.7e9f361bcad1p-5, 0x1.ab70a05a08d4bp-4, -0x1.0d70675dab993p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.aaae3cc4df454p-7, -0x1.31379404ea5b4p-5, 0x1.5a9bb48abbbffp-4, -0x1.e33d09c20204p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.74160bfb76339p-7, -0x1.e649bed599091p-6, 0x1.121f597a6ea6p-4, -0x1.ab82bed94a17bp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.488322f20fb15p-7, -0x1.8576e3541a851p-6, 0x1.a3fde01a13dfp-5, -0x1.73ce72f43bec8p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.2564d811176b6p-7, -0x1.3c9ec95118579p-6, 0x1.3473240401e43p-5, -0x1.3c18b0efe8268p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.0880137a72366p-7, -0x1.0869c76bf8876p-6, 0x1.ab3dddde787ecp-6, -0x1.0462c864fd49dp-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dfde9e12fc1edp-8, -0x1.cb004fc5fca29p-7, 0x1.0f0298d513b8p-6, -0x1.995de0277c429p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.b4452ca62435ep-8, -0x1.a114874aa2d1dp-7, 0x1.286677f8dce2ap-7, -0x1.29e5fac4b8ebdp-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.8bbf0d4afd4bep-8, -0x1.8c608a7f54d6ap-7, 0x1.d6a51fa4eaf11p-9, -0x1.75558fdf773afp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.64829e111a4b4p-8, -0x1.8636042f33505p-7, 0x1.6a4d9658f0e13p-13, -0x1.2a33fe8fdab11p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3d71607b006c6p-8, -0x1.87e1a5238019p-7, -0x1.388e4b7b1b83dp-10, 0x1.12192ad4b6d19p-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.1617f97e273cp-8, -0x1.8ac2b07b48134p-7, -0x1.283196c3c209fp-11, 0x1.36ce842e3784p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.dd5c6305f12c5p-9, -0x1.87f31a004ab1fp-7, 0x1.2aeb6c201ee73p-9, 0x1.847fdee9b5916p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.901b54b75988cp-9, -0x1.7aa62d8de7334p-7, 0x1.7e8f3bcf7c638p-8, 0x1.2d9a53a68722p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.469761bf8046ap-9, -0x1.62ff42e8b5fe8p-7, 0x1.19c2b70019eedp-7, 0x1.deb99b43b87c7p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.02a61d0ed1586p-9, -0x1.433b09af3b9d6p-7, 0x1.6191c17d759c3p-7, 0x1.550762738d22ap-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8b6afd89c8799p-10, -0x1.1d50e30980137p-7, 0x1.94b94375312e2p-7, 0x1.9dc3a48361036p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.2197c860f7f16p-10, -0x1.e6957e63896ep-8, 0x1.b3c18965720e1p-7, 0x1.1f033175be8c3p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.92203f3e1c6bcp-11, -0x1.8e5b411fc4253p-8, 0x1.be84db4042ccep-7, -0x1.f7f85adc754d4p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.0484a53c7ef18p-11, -0x1.35ff638635162p-8, 0x1.b511ccbf53cdp-7, -0x1.8c904c1e6af1p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3335ec5c5bf1ep-12, -0x1.c31da97dc7afbp-9, 0x1.9753c709d8944p-7, -0x1.4bcd630379596p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.3c0be903b8cd4p-13, -0x1.2a2397b9f2234p-9, 0x1.658e91c9532d6p-7, -0x1.d7d8d3faa3059p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.05f072f99382p-14, -0x1.528b197659994p-10, 0x1.1ec7a53087867p-7, -0x1.25c7a952cbc21p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.25e4860374e41p-16, -0x1.20bf0156c3954p-11, 0x1.8d4ab195c7ff8p-8, -0x1.8d09b33f3c31dp-6}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1ac21778f5fep-19, -0x1.08cea21edc9d2p-13, 0x1.3e2358dfae2b5p-9, -0x1.e43a3a7b6ab19p-7}, 
        {0x1.299999999999ap+2, 0x1.2ae147ae147aep+2, 0x1.e25f7a091a1c3p-27, 0x1.791b47df936e1p-18, 0x1.b9a0295a155dp-13, -0x1.1141abb82f357p-3}, 
      }}, 
      0x1.1079a498a6832p+3, -0x1.3c04375f03cefp+7
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.fe2e233c089e9p-5, 0x1.eb7147b1c5d71p-4, 0x1.5b297f3f23ddep-3, 0x1.ab5eeca8710a7p-3, 0x1.e4750b5f3daa3p-3, 0x1.0347f86ea657ap-2, 0x1.09a4e8956ade5p-2, 0x1.06982795e3ce3p-2, 0x1.f755ee8d3047ap-3, 0x1.d4fb7959a51c6p-3, 0x1.a9518da564ae1p-3, 0x1.774f2c4cc3e49p-3, 0x1.4198dfb146077p-3, 0x1.0a7457d642845p-3, 0x1.a789f97e03fdp-4, 0x1.3e1d66d32928ep-4, 0x1.b5f2b9b7266bdp-5, 0x1.ff551a307544p-6, 0x1.6ef097b72023dp-7, -0x1.a34ecf9a3c1f7p-8, -0x1.6038d3aae78f7p-6, -0x1.174fba1c5946bp-5, -0x1.6a76a6bbc9b7fp-5, -0x1.aa6610f03a719p-5, -0x1.d83bfa7f0992cp-5, -0x1.f54a2b32ef07fp-5, -0x1.01820f7fe645cp-4, -0x1.0177fa43b24acp-4, -0x1.f69a297706371p-5, -0x1.df8bb07375757p-5, -0x1.bf424fb3630edp-5, -0x1.972ae6f8fc0c8p-5, -0x1.689d5ded8a51dp-5, -0x1.34d9fdc0cb7b6p-5, -0x1.fa0fe36983adbp-6, -0x1.8469665a72f4fp-6, -0x1.0aa854e4de0c7p-6, -0x1.1d054f3903d25p-7, -0x1.17e851b7ec243p-10, 0x1.ac2cfd78a1c1ap-8, 0x1.cbd8c38d08efdp-7, 0x1.5e1e496b752efp-6, 0x1.d2bf21e84e801p-6, 0x1.21878170ea5dap-5, 0x1.5736991d9784ep-5, 0x1.8a2ac3a999ea4p-5, 0x1.ba2ef8c3c585ap-5, 0x1.e71a10ad1a846p-5, 0x1.0866d47f5bd51p-4, 0x1.1b9a8c3573684p-4, 0x1.2d22382cb267fp-4, 0x1.3cfbc5ee7b73ap-4, 0x1.4b2895c84e0bp-4, 0x1.57ad0f3922456p-4, 0x1.62903bf1d0701p-4, 0x1.6bdb69735ca17p-4, 0x1.7399d17f07a3ap-4, 0x1.79d849510435dp-4, 0x1.7ea4f7a6b79f5p-4, 0x1.820f118699173p-4, 0x1.84269d7c23663p-4, 0x1.84fc3d6a53fep-4, 0x1.84a0fdebf5c0ap-4, 0x1.83262bc4fdd38p-4, 0x1.809d2e687b852p-4, 0x1.7d17679890722p-4, 0x1.78a6175a7c547p-4, 0x1.735a443e4049fp-4, 0x1.6d44a6d2206a8p-4, 0x1.667598d288eb1p-4, 0x1.5efd0620c2266p-4, 0x1.56ea61b59f209p-4, 0x1.4e4c9a9a179cdp-4, 0x1.4532160a79a1cp-4, 0x1.3ba8a840c5ee2p-4, 0x1.31bd913a312afp-4, 0x1.277d78cd83406p-4, 0x1.1cf46c5c313b1p-4, 0x1.122ddf0f40da4p-4, 0x1.0734a77cc74fcp-4, 0x1.f82603c36e2a7p-5, 0x1.e1a51f2f8fcb1p-5, 0x1.caf8b4e90f80fp-5, 0x1.b431accf8ba6fp-5, 0x1.9d5fc9c12b7bep-5, 0x1.8691b0ae93b12p-5, 0x1.6fd4ef8286f5ap-5, 0x1.593605b5ece51p-5, 0x1.42c06c6e954e7p-5, 0x1.2c7e9f90f6a28p-5, 0x1.167a26fcd112dp-5, 0x1.00bba092a89d7p-5, 0x1.d69594544a121p-6, 0x1.ac5d18caf91bcp-6, 0x1.82da0aa67cf2fp-6, 0x1.5a17274a63352p-6, 0x1.321dc35abd011p-6, 0x1.0af5e0caf3983p-6, 0x1.c94c8a45eb343p-7, 0x1.7e691d4f28c49p-7, 0x1.354a934f3b168p-7, 0x1.dbf013ba50442p-8, 0x1.50ed9558d7454p-8, 0x1.9329c7a2fd767p-9, 0x1.17a8937ccb4d5p-10, -0x1.d08a7a2fe42b4p-11, -0x1.6cbd58e940e47p-9, -0x1.2f01743c20c1fp-8, -0x1.a3ff3c9a6ee4bp-8, -0x1.0aafbcca7f0cap-7, -0x1.4195a51fa709p-7, -0x1.76b6a58a31176p-7, -0x1.aa18b549c3d7fp-7, -0x1.dbc260d3e2d75p-7, -0x1.05dd5bf2750dp-6, -0x1.1d049eb5bc12p-6, -0x1.335aebee04b4ap-6, -0x1.48e46214f02a5p-6, -0x1.5da544dc17c5dp-6, -0x1.71a1f72a3c114p-6, -0x1.84def66d9d5f9p-6, -0x1.9760d600622f3p-6, -0x1.a92c3ad5103c4p-6, -0x1.ba45d7cc7b332p-6, -0x1.cab26a3271dcap-6, -0x1.da76b6e3c6e12p-6, -0x1.e99787089413p-6, -0x1.f819a566d798bp-6, -0x1.0300ee50ba67p-5, -0x1.09aa7a2473dadp-5, -0x1.100bd74be0aebp-5, -0x1.162763ad94d13p-5, -0x1.1bff78c5bf48fp-5, -0x1.21966aa30bb4p-5, -0x1.26ee8775df42ep-5, -0x1.2c0a1692a5e3dp-5, -0x1.30eb57b31346cp-5, -0x1.35948287b709dp-5, -0x1.3a07c5c2a78ffp-5, -0x1.3e47468cdc02ap-5, -0x1.425520614f84ep-5, -0x1.46336412d911cp-5, -0x1.49e4171a1c04fp-5, -0x1.4d6933cd77713p-5, -0x1.50c4a8cf2ab5cp-5, -0x1.53f858053809dp-5, -0x1.570616bae344fp-5, -0x1.59efadbc394d3p-5, -0x1.5cb6d86a9fda5p-5, -0x1.5f5d44677d5fap-5, -0x1.61e49207ee108p-5, -0x1.644e53f4c17bap-5, -0x1.669c0e839d322p-5, -0x1.68cf381a1f44bp-5, -0x1.6ae93974e207p-5, -0x1.6ceb6cfb21cep-5, -0x1.6ed71ea138099p-5, -0x1.70ad8cc202f65p-5, -0x1.726fe8289cccdp-5, -0x1.741f5347d9466p-5, -0x1.75bce289648dap-5, -0x1.77499d72aea3ep-5, -0x1.78c67e9f57f37p-5, -0x1.7a3472ec34caap-5, -0x1.7b9459eaef071p-5, -0x1.7ce70748ea54bp-5, -0x1.7e2d42f127972p-5, -0x1.7f67c828dcd99p-5, -0x1.809745def5b54p-5, -0x1.81bc603e2083bp-5, -0x1.82d7b139928dfp-5, -0x1.83e9c7a6a9c3dp-5, -0x1.84f32711a4d2ap-5, -0x1.85f44957776c8p-5, -0x1.86ed9fc71df64p-5, -0x1.87df928b0d66p-5, -0x1.88ca7fd371b6ep-5, -0x1.89aebcd2f7782p-5, -0x1.8a8c979101c3fp-5, -0x1.8b645732df341p-5, -0x1.8c363ac8e21ffp-5, -0x1.8d0279074f79cp-5, -0x1.8dc941eee82a9p-5, -0x1.8e8ac066b433ap-5, -0x1.8f4719d70e5a9p-5, -0x1.8ffe6cca8fcb1p-5, -0x1.90b0d10964268p-5, -0x1.915e597d4e515p-5, -0x1.92071599a6867p-5, -0x1.92ab10b01e213p-5, -0x1.934a5077dcaddp-5, -0x1.93e4d52577b6cp-5, -0x1.947a9b488e386p-5, -0x1.950b9d40698e1p-5, -0x1.9597d2af69d05p-5, -0x1.961f2ee948273p-5, -0x1.96a1a09ecd451p-5, -0x1.971f136ef87dap-5, -0x1.9797719a2a4a9p-5, -0x1.980aa3fc44dep-5, -0x1.9878909201353p-5, -0x1.98e1197d94823p-5, -0x1.99441ddb43d73p-5, -0x1.99a17b8fd28b2p-5, -0x1.99f9101a7fb96p-5, -0x1.9a4ab7b25b7c9p-5, -0x1.9a964bd5900ecp-5, -0x1.9adba300bc083p-5, -0x1.9b1a91f48c9c9p-5, -0x1.9b52ed32a8805p-5, -0x1.9b848947c7739p-5, -0x1.9baf39a621d8cp-5, -0x1.9bd2cf830441fp-5, -0x1.9bef19d16f61p-5, -0x1.9c03e681c6877p-5, -0x1.9c1103c0ed2fbp-5, -0x1.9c164019ac70ap-5, -0x1.9c136980a1e13p-5, -0x1.9c084c4a2aa64p-5, -0x1.9bf4b31799becp-5, -0x1.9bd867d7ba5dfp-5, -0x1.9bb334eafeba5p-5, -0x1.9b84e5741dcc8p-5, -0x1.9b4d44b3d6b02p-5, -0x1.9b0c1d18e5062p-5, -0x1.9ac137e7301c4p-5, -0x1.9a6c5dd21ae24p-5, -0x1.9a0d57f5bb623p-5, -0x1.99a3f0807173cp-5, -0x1.992ff28d1d7eep-5, -0x1.98b12967153ap-5, -0x1.98275fe3c446ep-5, -0x1.9792607cd74d8p-5, -0x1.96f1f601368c9p-5, -0x1.9645ec5e28c51p-5, -0x1.958e10f432fc7p-5, -0x1.94ca3257e38b5p-5, -0x1.93fa1fc3fb7e3p-5, -0x1.931da8b39be38p-5, -0x1.92349d01f4257p-5, -0x1.913ecd7ff0fc1p-5, -0x1.903c0c91737b2p-5, -0x1.8f2c2e72adeaep-5, -0x1.8e0f0913859c1p-5, -0x1.8ce473b4bf95ap-5, -0x1.8bac469585bbcp-5, -0x1.8a665af9fb711p-5, -0x1.89128b91591cfp-5, -0x1.87b0b4f46bddap-5, -0x1.8640b5f27be49p-5, -0x1.84c26f93ff219p-5, -0x1.8335c4e3ace1dp-5, -0x1.819a9aa898cdp-5, -0x1.7ff0d7484c2e9p-5, -0x1.7e3862f151a2ap-5, -0x1.7c7127f5607f4p-5, -0x1.7a9b131a5f8d9p-5, -0x1.78b613bf0c021p-5, -0x1.76c21bd0a3f9p-5, -0x1.74bf1fa009dd4p-5, -0x1.72ad15b1c5ac8p-5, -0x1.708bf6ae08519p-5, -0x1.6e5bbd831b165p-5, -0x1.6c1c67a40fef5p-5, -0x1.69cdf53d218b5p-5, -0x1.6770694a3d901p-5, -0x1.6503c98ffacf7p-5, -0x1.62881e7d7e249p-5, -0x1.5ffd7305e9b7cp-5, -0x1.5d63d489abb3bp-5, -0x1.5abb52e2512edp-5, -0x1.58040087b81dep-5, -0x1.553df2b35a524p-5, -0x1.5269417106021p-5, -0x1.4f86079be680fp-5, -0x1.4c9462cafb244p-5, -0x1.49947332268efp-5, -0x1.46865b843338ap-5, -0x1.436a40e69642cp-5, -0x1.40404afcd6039p-5, -0x1.3d08a3fd26f9fp-5, -0x1.39c378bb8cae7p-5, -0x1.3670f8a5eb133p-5, -0x1.331155b53002ap-5, -0x1.2fa4c456e4748p-5, -0x1.2c2b7b5250c3p-5, -0x1.28a5b3afde172p-5, -0x1.2513a8ac738eep-5, -0x1.217597ba305d2p-5, -0x1.1dcbc083187ap-5, -0x1.1a1664e10e383p-5, -0x1.1655c8ca89e74p-5, -0x1.128a323bacb87p-5, -0x1.0eb3e921468dep-5, -0x1.0ad337466aecp-5, -0x1.06e86843be12ap-5, -0x1.02f3c9712d553p-5, -0x1.fdeb53b46d28fp-6, -0x1.f5dcb45ebd96bp-6, -0x1.edbc595bf3084p-6, -0x1.e58aea0097667p-6, -0x1.dd49103fbd69ep-6, -0x1.d4f7788712b4ap-6, -0x1.cc96d1b3604c1p-6, -0x1.c427cd0d4a228p-6, -0x1.bbab1e3bcb0f2p-6, -0x1.b3217b1ffae8ap-6, -0x1.aa8b9b98bb651p-6, -0x1.a1ea39314c2cfp-6, -0x1.993e0ec78efbp-6, -0x1.9087d83e6c66fp-6, -0x1.87c852569baeep-6, -0x1.7f003ab4389c6p-6, -0x1.763050011ee78p-6, -0x1.6d595209cf61p-6, -0x1.647c01b31c31p-6, -0x1.5b9920b92dab4p-6, -0x1.52b1714182d94p-6, -0x1.49c5b55b0e6b7p-6, -0x1.40d6ae8d39a6bp-6, -0x1.37e51d93566d3p-6, -0x1.2ef1c255c92c7p-6, -0x1.25fd5c1b0c50cp-6, -0x1.1d08a9d1e7d49p-6, -0x1.14146a47e330ap-6, -0x1.0b215c2495927p-6, -0x1.02303d9a202eap-6, -0x1.f28397b57b7bp-7, -0x1.e0ad84f85b41cp-7, -0x1.cedfb5f012418p-7, -0x1.bd1b98d62cb74p-7, -0x1.ab62973e2ca7dp-7, -0x1.99b616a2c11d1p-7, -0x1.881779260e7dep-7, -0x1.76881e2b976c8p-7, -0x1.6509627de54a8p-7, -0x1.539c9fde07b48p-7, -0x1.42432c121c191p-7, -0x1.30fe57b95a80ep-7, -0x1.1fcf6d41c6a1ap-7, -0x1.0eb7b04d7c79fp-7, -0x1.fb70bb5003dc6p-8, -0x1.d9a5576f21adcp-8, -0x1.b80f965ec5676p-8, -0x1.96b1cf6e2b183p-8, -0x1.758e508a40eaep-8, -0x1.54a75e0f14265p-8, -0x1.33ff31bbb5c19p-8, -0x1.1397f919b9b61p-8, -0x1.e6e7a7a4aa5ddp-9, -0x1.a729a4d67845p-9, -0x1.67f9eb7b99367p-9, -0x1.295c5e6ff9e11p-9, -0x1.d6a986bda6f95p-10, -0x1.5bcd899675fbap-10, -0x1.c457ceda22ee9p-11, -0x1.a72e423562459p-12, 0x1.a997ab76d0771p-15, 0x1.062cf39f0e877p-11, 0x1.ef16aa7afd58ap-11, 0x1.6aa53c335ea29p-10, 0x1.dc5e5999f5c44p-10, 0x1.26588bad67c8bp-9, 0x1.5dcc0ebd02c2fp-9, 0x1.94872814f5eb7p-9, 0x1.ca8766c9bc176p-9, 0x1.ffca76050f534p-9, 0x1.1a270e4b07c82p-8, 0x1.34081e8097c2fp-8, 0x1.4d876af924fd6p-8, 0x1.66a40168b8033p-8, 0x1.7f5cfe20ced73p-8, 0x1.97b18c2d0117cp-8, 0x1.afa0e54537fcbp-8, 0x1.c72a519b3df54p-8, 0x1.de4d2791f66b9p-8, 0x1.f508cb70bfbfbp-8, 0x1.05ae578fe33f2p-7, 0x1.10a428fad9b26p-7, 0x1.1b65a04bcd812p-7, 0x1.25f28a72e1ebfp-7, 0x1.304abaf80e8e8p-7, 0x1.3a6e0bf2d47cfp-7, 0x1.445c5dfb1f24p-7, 0x1.4e1598056acb4p-7, 0x1.5799a75177b66p-7, 0x1.60e87fa053606p-7, 0x1.6a021a618677fp-7, 0x1.72e67739200dp-7, 0x1.7b959b7dceb47p-7, 0x1.840f923c28bbbp-7, 0x1.8c546c531b1a9p-7, 0x1.9464401e56405p-7, 0x1.9c3f29695343ep-7, 0x1.a3e5495984d57p-7, 0x1.ab56c6512a4e7p-7, 0x1.b293cbd139211p-7, 0x1.b99c8a5a81404p-7, 0x1.c071374e8df96p-7, 0x1.c7120cd0c3525p-7, 0x1.cd7f49a730d08p-7, 0x1.d3b9311c1864bp-7, 0x1.d9c00adf116a3p-7, 0x1.df9422e6996cep-7, 0x1.e535c9514f154p-7, 0x1.eaa552475cee5p-7, 0x1.efe315db6f5c2p-7, 0x1.f4ef6feb87626p-7, 0x1.f9cac001a6033p-7, 0x1.fe75693493c43p-7, 0x1.0177e90475e03p-6, 0x1.039d32292440ep-6, 0x1.05aac68a74f1ep-6, 0x1.07a0de33acc62p-6, 0x1.097fb2aa02121p-6, 0x1.0b477edd9a88ep-6, 0x1.0cf87f1a66ap-6, 0x1.0e92f0f8f3172p-6, 0x1.1017134f36fcdp-6, 0x1.118526216fc54p-6, 0x1.12dd6a931fdc3p-6, 0x1.142022d86f06fp-6, 0x1.154d9227d1d8fp-6, 0x1.1665fcac654d4p-6, 0x1.1769a778d397dp-6, 0x1.1858d87aa825fp-6, 0x1.1933d66df6a76p-6, 0x1.19fae8d0f83d8p-6, 0x1.1aae57d75655cp-6, 0x1.1b4e6c5cd0da3p-6, 0x1.1bdb6fd7563d4p-6, 0x1.1c55ac48973ap-6, 0x1.1cbd6c2f5f78ep-6, 0x1.1d12fa798145fp-6, 0x1.1d56a27680ae9p-6, 0x1.1d88afcbbe21bp-6, 0x1.1da96e6a58ddfp-6, 0x1.1db92a86e5537p-6, 0x1.1db8309284c6p-6, 0x1.1da6cd34748fep-6, 0x1.1d854d442c3d7p-6, 0x1.1d53fdc1bcd1cp-6, 0x1.1d132bcbd2df2p-6, 0x1.1cc32494104cfp-6, 0x1.1c64354f1af4ap-6, 0x1.1bf6ab2351079p-6, 0x1.1b7ad3163bdf4p-6, 0x1.1af0f9fab58a5p-6, 0x1.1a596c624ecfcp-6, 0x1.19b47693b96c8p-6, 0x1.19026487d93ep-6, 0x1.184381edc9c0fp-6, 0x1.17781a34b3283p-6, 0x1.16a078988efd9p-6, 0x1.15bce82dfccdap-6, 0x1.14cdb3e84ef88p-6, 0x1.13d326958b88ap-6, 0x1.12cd8acd5a4c9p-6, 0x1.11bd2ad27adf5p-6, 0x1.10a250694b6bep-6, 0x1.0f7d44a93295p-6, 0x1.0e4e4fd0e74fp-6, 0x1.0d15b926f4d6cp-6, 0x1.0bd3c6ee76fb8p-6, 0x1.0a88be7587127p-6, 0x1.0934e43df2fbbp-6, 0x1.07d87c3b8d05fp-6, 0x1.0673ca1d4ab8dp-6, 0x1.050711923f2ap-6, 0x1.0392967a2567dp-6, 0x1.02169cf2cb2c2p-6, 0x1.0093693938147p-6, 0x1.fe127eb8a924bp-7, 0x1.faf0c591981a2p-7, 0x1.f7c22b7c20aa9p-7, 0x1.f48731888aa0ap-7, 0x1.f140547b76355p-7, 0x1.edee0c5a6c014p-7, 0x1.ea90cc85c3217p-7, 0x1.e729046d66844p-7, 0x1.e3b720d15575bp-7, 0x1.e03b8d637f5fap-7, 0x1.dcb6b6892133ep-7, 0x1.d9290aebbc4fdp-7, 0x1.d592fc89ba6d1p-7, 0x1.d1f50103d8493p-7, 0x1.ce4f9101e1285p-7, 0x1.caa326af9dcap-7, 0x1.c6f03b7ebf4a3p-7, 0x1.c3374579f3ebep-7, 0x1.bf78b46bdc4ccp-7, 0x1.bbb4f0632429cp-7, 0x1.b7ec57b0745fbp-7, 0x1.b41f3f48d3e49p-7, 0x1.b04df3d237735p-7, 0x1.ac78bcb39b343p-7, 0x1.a89fdf1b19906p-7, 0x1.a4c3a2054b2b4p-7, 0x1.a0e451f0ad346p-7, 0x1.9d0243b2b84dp-7, 0x1.991dd5dfb5702p-7, 0x1.9537705d6f1d4p-7, 0x1.914f82005211cp-7, 0x1.8d667c66dc26fp-7, 0x1.897cce9ccf549p-7, 0x1.8592df538dc74p-7, 0x1.81a907a234dd4p-7, 0x1.7dbf8f3abbee6p-7, 0x1.79d6aad29e42fp-7, 0x1.75ee7d2cc89dep-7, 0x1.72071ace7b8c2p-7, 0x1.6e209001e296dp-7, 0x1.6a3ae86dcd21fp-7, 0x1.66563744b7e18p-7, 0x1.62729ee5d4683p-7, 0x1.5e9056c649c1ep-7, 0x1.5aafae9bcf0fep-7, 0x1.56d10e0e00007p-7, 0x1.52f4f0a5b8003p-7, 0x1.4f1bde42d16c8p-7, 0x1.4b46603e21258p-7, 0x1.4774f8a5567f8p-7, 0x1.43a81192da296p-7, 0x1.3fdff915c56f5p-7, 0x1.3c1cd8a049c6dp-7, 0x1.385eb3f910ab2p-7, 0x1.34a56c51647acp-7, 0x1.30f0c7b5ed149p-7, 0x1.2d407bebd3efdp-7, 0x1.29943b60c4d41p-7, 0x1.25ebc29de9b19p-7, 0x1.2246e4a96c307p-7, 0x1.1ea594e8cc5bep-7, 0x1.1b07ed5f947c8p-7, 0x1.176e3088f694cp-7, 0x1.13d8c6833d4bbp-7, 0x1.104835c6840acp-7, 0x1.0cbd18240446ep-7, 0x1.09380d420635ap-7, 0x1.05b9ac24ef678p-7, 0x1.0242758a3d025p-7, 0x1.fda591b0e7b33p-8, 0x1.f6d5ba3fe48b9p-8, 0x1.f0157e3252705p-8, 0x1.e964a87d9fdffp-8, 0x1.e2c2c482bce65p-8, 0x1.dc2f32a9d5931p-8, 0x1.d5a93f02a57c1p-8, 0x1.cf303680fbb21p-8, 0x1.c8c378890b32ep-8, 0x1.c26283f0301f5p-8, 0x1.bc0cffc29318bp-8, 0x1.b5c2c09f99137p-8, 0x1.af83cb465b604p-8, 0x1.a950544731e64p-8, 0x1.a328bc345b20ep-8, 0x1.9d0d878a78d35p-8, 0x1.96ff521188421p-8, 0x1.90febe9eb05edp-8, 0x1.8b0c658193e0ep-8, 0x1.8528c5044cc28p-8, 0x1.7f5437a041d01p-8, 0x1.798ef284f5d21p-8, 0x1.73d90ccc56dccp-8, 0x1.6e328cce24168p-8, 0x1.689b7680b32bap-8, 0x1.6313d4eaac23p-8, 0x1.5d9bba1c32dffp-8, 0x1.583334d60f3bbp-8, 0x1.52da3fa6a81f9p-8, 0x1.4d90b0de95f3cp-8, 0x1.4856336b38bbbp-8, 0x1.432a4dbb2686p-8, 0x1.3e0c76450e3edp-8, 0x1.38fc2f6aee626p-8, 0x1.33f920e5947d9p-8, 0x1.2f03255613a6ap-8, 0x1.2a1a4719909d4p-8, 0x1.253eae3fb9d9p-8, 0x1.2070879d87d6ap-8, 0x1.1bafefa58b258p-8, 0x1.16fce9b8b3785p-8, 0x1.1257670f4609bp-8, 0x1.0dbf59dc21931p-8, 0x1.0934cc57ba925p-8, 0x1.04b7f38c7e816p-8, 0x1.0049356daf75ep-8, 0x1.f7d23a18eed23p-9, 0x1.ef3080b9a7dd4p-9, 0x1.e6ae3020fe45bp-9, 0x1.de4ba8403fe8cp-9, 0x1.d60874f4f9c9cp-9, 0x1.cde33962b5ec1p-9, 0x1.c5d9dab56a816p-9, 0x1.bde9e75cabe11p-9, 0x1.b61120a188f56p-9, 0x1.ae4dfbd476764p-9, 0x1.a69fee5ce3274p-9, 0x1.9f0767e463132p-9, 0x1.97857be26210fp-9, 0x1.901b5d0cb23fdp-9, 0x1.88c9e2272e456p-9, 0x1.819147dbd9debp-9, 0x1.7a71466d8d21ep-9, 0x1.73696aea7c286p-9, 0x1.6c79871577e1p-9, 0x1.65a206c1a8c1fp-9, 0x1.5ee40a3dbba17p-9, 0x1.58413e66af6cbp-9, 0x1.51bb804333c86p-9, 0x1.4b546772d2bbbp-9, 0x1.450cd7ac7eddep-9, 0x1.3ee4b492dcb65p-9, 0x1.38dac55bb0cecp-9, 0x1.32ecc721f47cep-9, 0x1.2d17a6b7504d4p-9, 0x1.2757dd976ea56p-9, 0x1.21a9ee957ae16p-9, 0x1.1c0af48d3a1bbp-9, 0x1.167923e27e56ep-9, 0x1.10f415ae03b7ep-9, 0x1.0b7cbc11d947cp-9, 0x1.0614f928f669bp-9, 0x1.00bef49020327p-9, 0x1.f6f8d4528f768p-10, 0x1.ec9c6c25860b5p-10, 0x1.e268917f5eeap-10, 0x1.d85bfa53885d7p-10, 0x1.ce7546e84f80ep-10, 0x1.c4b41672224dep-10, 0x1.bb19cbf5322c6p-10, 0x1.b1a9c40c8225p-10, 0x1.a868c67697de1p-10, 0x1.9f5bb9f5b574cp-10, 0x1.96860e5fcfc1p-10, 0x1.8de89689c00cp-10, 0x1.858153ad3f76bp-10, 0x1.7d4c2b82537bp-10, 0x1.75440705ac7c8p-10, 0x1.6d63c1930b7b4p-10, 0x1.65a694037953cp-10, 0x1.5e0811d7fb36fp-10, 0x1.56841825ed893p-10, 0x1.4f1704154e72ap-10, 0x1.47be30ba2eccbp-10, 0x1.40786981f479dp-10, 0x1.3946036f78dc1p-10, 0x1.32289b9a2d0bbp-10, 0x1.2b22a6d9f7665p-10, 0x1.2436e88d7e1d4p-10, 0x1.1d67d563cbf22p-10, 0x1.16b6fee509997p-10, 0x1.1024b651681bfp-10, 0x1.09b01ac410b38p-10, 0x1.0357d0b250231p-10, 0x1.fa36bca8ca7f2p-11, 0x1.edf8d25428548p-11, 0x1.e1fd4a089cc3ap-11, 0x1.d64c452dec8cfp-11, 0x1.caea53b60f73fp-11, 0x1.bfd65e2a1a41fp-11, 0x1.b50ab2e79a385p-11, 0x1.aa7fbeae70854p-11, 0x1.a02e875cbac42p-11, 0x1.961200ceb69a4p-11, 0x1.8c274bb8443f2p-11, 0x1.826d3a1764c2ap-11, 0x1.78e35e77367f5p-11, 0x1.6f88eb73060d1p-11, 0x1.665be0fc3f7ffp-11, 0x1.5d59246a83872p-11, 0x1.547da5f20c5f5p-11, 0x1.4bc794f9e2db4p-11, 0x1.4336200f30879p-11, 0x1.3ac79813fbfe7p-11, 0x1.327894f4b560dp-11, 0x1.2a4654304d27bp-11, 0x1.22325df22c18p-11, 0x1.1a42f56d13079p-11, 0x1.127ed12c8219cp-11, 0x1.0ae81255bb7bbp-11, 0x1.037bef0b77228p-11, 0x1.f86f93562765fp-12, 0x1.ea3bdb672a6dcp-12, 0x1.dc681e7850b1ep-12, 0x1.cefa92a52b471p-12, 0x1.c1ed2c214ccf9p-12, 0x1.b5318762919dbp-12, 0x1.a8b97c13727ccp-12, 0x1.9c7ca95e8113ap-12, 0x1.90791bf98a18cp-12, 0x1.84b123a659a6ep-12, 0x1.7928aec1c2723p-12, 0x1.6de3542bafbcfp-12, 0x1.62e33932534e6p-12, 0x1.58289a3ab1a88p-12, 0x1.4db1c4dc722f4p-12, 0x1.437b717266ae8p-12, 0x1.39815eddd4301p-12, 0x1.2fbf21b37dc3fp-12, 0x1.263181f555bacp-12, 0x1.1cd87dfa206bdp-12, 0x1.13b7e7343589p-12, 0x1.0ad2f7b840e5ap-12, 0x1.0223e733a3f9p-12, 0x1.f33498796ec1ap-13, 0x1.e2528c5b0757ep-13, 0x1.d1b0faa2c8842p-13, 0x1.c17ff1a1ee5e9p-13, 0x1.b1dfb6ad71bb9p-13, 0x1.a2c26a2a23584p-13, 0x1.940591643ebf5p-13, 0x1.859d4595fe68ap-13, 0x1.77958fbc1e608p-13, 0x1.69f4b4b36fb75p-13, 0x1.5cafd3fa67b38p-13, 0x1.4fb719c8162c2p-13, 0x1.43012bffccb76p-13, 0x1.368c68dba777dp-13, 0x1.2a5b338324165p-13, 0x1.1e70c47c9e996p-13, 0x1.12d039a10cd4ap-13, 0x1.077d624926abap-13, 0x1.f8fb8750db5bp-14, 0x1.e3b0461c3d1d7p-14, 0x1.cf2393ed1227bp-14, 0x1.bb542b2eba7c9p-14, 0x1.a82b5f99f4aap-14, 0x1.957a0fe011d81p-14, 0x1.830b67360ad4dp-14, 0x1.70cea10a287ddp-14, 0x1.5eed614186326p-14, 0x1.4da599986f298p-14, 0x1.3d08a7b57e809p-14, 0x1.2cf38f8358c7dp-14, 0x1.1d4f29db6545fp-14, 0x1.0e2ff4e778f6bp-14, 0x1.ff395c95f55f3p-15, 0x1.e2ee80d1e9b0ep-15, 0x1.c772d56a0414p-15, 0x1.ace26cf76e88bp-15, 0x1.92fc5470c15a6p-15, 0x1.795f321fb5537p-15, 0x1.60350b078191ap-15, 0x1.47f57f80fbaafp-15, 0x1.30be2620ede62p-15, 0x1.1a5a8b227d088p-15, 0x1.0499fcd7e64ddp-15, 0x1.ded548ede2805p-16, 0x1.b59748564d263p-16, 0x1.8d7db12611dc2p-16, 0x1.66899863cd181p-16, 0x1.40bfefd28fa5ep-16, 0x1.1c33b423ba02cp-16, 0x1.f2103575bef9ap-17, 0x1.aecbfc08ed56cp-17, 0x1.6ed794d909219p-17, 0x1.32214ca9862adp-17, 0x1.efaf0dab95aadp-18, 0x1.7d025f49cd83fp-18, 0x1.0b43110bf5de6p-18, 0x1.3a3fdc6afc233p-19, 0x1.a339d1ec011fp-21, -0x1.87f098e3ac018p-21, -0x1.28eed18527b73p-19, -0x1.e79d5185b68cp-19, -0x1.4d67430f7c24fp-18, -0x1.a26fd6254050bp-18, -0x1.f4a1911eab279p-18, -0x1.222dd24d50452p-17, -0x1.4833a3a7b0f86p-17, -0x1.6bdf1c0880ap-17, -0x1.8de9acf166beap-17, -0x1.af1f853f678d5p-17, -0x1.cf46abb4297f9p-17, -0x1.eead72c993f7ap-17, -0x1.06a62a66d175dp-16, -0x1.14fc9add02b5ep-16, -0x1.2241005f25927p-16, -0x1.2ecee9e37b0fap-16, -0x1.3ade85a12f1f3p-16, -0x1.4677852bc523p-16, -0x1.5193a885199c6p-16, -0x1.5c2db044d4659p-16, -0x1.664144ab46897p-16, -0x1.6fc8fd48e5922p-16, -0x1.78c0611bf3b75p-16, -0x1.8122a8e9eac71p-16, -0x1.88db7ba59533ep-16, -0x1.8fd48c213fe52p-16, -0x1.96494a559709ep-16, -0x1.9c8f6e8c92f53p-16, -0x1.a27c331b50bf1p-16, -0x1.a812e5bc5e852p-16, -0x1.ad885b3945bfap-16, -0x1.b27723f00e65ep-16, -0x1.b6ab807d525dbp-16, -0x1.ba6938a403447p-16, -0x1.bde07142ec83dp-16, -0x1.c11709aac2b1dp-16, -0x1.c4071f963c2cp-16, -0x1.c6ac3c6514c0bp-16, -0x1.c903ead509e4ap-16, -0x1.cb0d478b23d34p-16, -0x1.cccb3d7afdb17p-16, -0x1.ce451c102f01ap-16, -0x1.cf7cad1f0604ep-16, -0x1.d05a539dc441bp-16, -0x1.d0bbfbd6e7a3p-16, -0x1.d0c9b9567c05p-16, -0x1.d0c8dcb9c6fdbp-16, -0x1.d0c31dee6e8ap-16, -0x1.d08edecad0d1ap-16, -0x1.cff13ebfe3402p-16, -0x1.cf0618e1802dp-16, -0x1.cdf1903312a7ap-16, -0x1.ccb9f648ebcbcp-16, -0x1.cb5b2d1740cb7p-16, -0x1.c9d363392d0fep-16, -0x1.c824103072335p-16, -0x1.c64e7ed3a47b6p-16, -0x1.c4422e1d323fp-16, -0x1.c1e2b0d003048p-16, -0x1.bf50f09d27e44p-16, -0x1.bcbbb6a84a56fp-16, -0x1.ba279ce97d506p-16, -0x1.b77ce23da24bap-16, -0x1.b48d4296bf774p-16, -0x1.b171bcab2a275p-16, -0x1.ae431811c6083p-16, -0x1.ab01b83c409b6p-16, -0x1.a7a9ed0f11d0bp-16, -0x1.a43a381ee7f9bp-16, -0x1.a0b2968e7dd95p-16, -0x1.9d143e819516bp-16, -0x1.995ffe1812a4ep-16, -0x1.9597341c912a9p-16, -0x1.91bb38fd5b2b5p-16, -0x1.8dcd6a15246cep-16, -0x1.89cf229d1c0bfp-16, -0x1.85c1a66d30643p-16, -0x1.81a5fd649761p-16, -0x1.7d7cd5b0cfd09p-16, -0x1.7946ae6feb19p-16, -0x1.75046e5ab742cp-16, -0x1.70b7f7b452b5p-16, -0x1.6c632d5972c95p-16, -0x1.6802da47412b7p-16, -0x1.63915de201267p-16, -0x1.5f1bab3b59b88p-16, }}, 
      {{0x1.bca5dcd445bp-5, 0x1.b45f14f0a4f0cp-4, 0x1.3d8a17e895cbp-3, 0x1.96a6576237fe8p-3, 0x1.e3e9455ca5ba6p-3, 0x1.124681161f6b2p-2, 0x1.2c3b7deb44135p-2, 0x1.4007b5d16812ap-2, 0x1.4e0e426fc8139p-2, 0x1.56d14cd5a7225p-2, 0x1.5ae4f2ac9fb27p-2, 0x1.5ae4fdde2a05bp-2, 0x1.576d2c0851555p-2, 0x1.5113a58af0918p-2, 0x1.48653d61ed7ap-2, 0x1.3de3199abdf79p-2, 0x1.32017125041dep-2, 0x1.2527198de1c12p-2, 0x1.17adaaaec5f5dp-2, 0x1.09e20996b9055p-2, 0x1.f80a6c51f2653p-3, 0x1.dc9a7fee465d1p-3, 0x1.c1cc9cc19d656p-3, 0x1.a7e75b39ea924p-3, 0x1.8f21ad85f356ep-3, 0x1.77a4d8841df19p-3, 0x1.618e4d6df58fdp-3, 0x1.4cf15fd7315cfp-3, 0x1.39d8d4dfe5546p-3, 0x1.28484c2d611b5p-3, 0x1.183d81e8ea16ap-3, 0x1.09b16b576576bp-3, 0x1.f93260ccbe5a7p-4, 0x1.e1ce07997f757p-4, 0x1.cd15b94549537p-4, 0x1.bae6285e4e03ap-4, 0x1.ab19d566a2eb7p-4, 0x1.9d89ec861317ap-4, 0x1.920efbe57f22bp-4, 0x1.8881889a4f7b8p-4, 0x1.80ba86ab043d2p-4, 0x1.7a93b8651001fp-4, 0x1.75e7f9427a6e8p-4, 0x1.729377067afdep-4, 0x1.7073dc887496p-4, 0x1.6f68705e5580dp-4, 0x1.6f5229b1f70e2p-4, 0x1.7013bcd1f8425p-4, 0x1.7191a12541a84p-4, 0x1.73b211809856cp-4, 0x1.765d08225ffeep-4, 0x1.797c36c4e1f4dp-4, 0x1.7cfafbe4e639fp-4, 0x1.80c65598cdbdfp-4, 0x1.84ccd2836092cp-4, 0x1.88fe818127019p-4, 0x1.8d4ce02244743p-4, 0x1.91aac88b19f2fp-4, 0x1.960c5ed1fa6bcp-4, 0x1.9a66fe3449bb5p-4, 0x1.9eb1266121ef5p-4, 0x1.a2e268bd0c1fcp-4, 0x1.a6f35677f7845p-4, 0x1.aadd6ed435661p-4, 0x1.ae9b0e24c8f8bp-4, 0x1.b2275d41ca18fp-4, 0x1.b57e41a9695f6p-4, 0x1.b89c4e48c451bp-4, 0x1.bb7eb521e98bfp-4, 0x1.be2339d437d0cp-4, 0x1.c08825097fba4p-4, 0x1.c2ac38a84d664p-4, 0x1.c48ea4abcbc91p-4, 0x1.c62efc7cfe40cp-4, 0x1.c78d2ce78612bp-4, 0x1.c8a9729825afap-4, 0x1.c98451728b02dp-4, 0x1.ca1e8c7a371afp-4, 0x1.ca791ebe6c0d1p-4, 0x1.ca953464af5ddp-4, 0x1.ca7424d29d57ep-4, 0x1.ca176cb82542bp-4, 0x1.c980a8a8137e7p-4, 0x1.c8b18ff6dde0ap-4, 0x1.c7abeff6c5c5bp-4, 0x1.c671a79eb10aap-4, 0x1.c504a38ee73a4p-4, 0x1.c366da91aae3p-4, 0x1.c19a4a7769ca2p-4, 0x1.bfa0f54b09d21p-4, 0x1.bd7cded768ceap-4, 0x1.bb300a6c38579p-4, 0x1.b8bc78d521cf5p-4, 0x1.b6242682ea7ccp-4, 0x1.b36909dfb87fcp-4, 0x1.b08d11ced7a12p-4, 0x1.ad92245b6bd58p-4, 0x1.aa7a1d9fc1f56p-4, 0x1.a746cea311611p-4, 0x1.a3f9fcbb571b8p-4, 0x1.a09560be80d38p-4, 0x1.9d1aa68a23877p-4, 0x1.998b6caf73443p-4, 0x1.95e9441da7ae1p-4, 0x1.9235aff8945c1p-4, 0x1.8e7225837e72cp-4, 0x1.8aa00c1ab42c3p-4, 0x1.86c0bd3e3590cp-4, 0x1.82d584a686b93p-4, 0x1.7edfa06b1083ap-4, 0x1.7ae04123fa7cdp-4, 0x1.76d88a26ab365p-4, 0x1.72c991bb9f66cp-4, 0x1.6eb461613fb8bp-4, 0x1.6a99f6119f74p-4, 0x1.667b4090012e6p-4, 0x1.625925b752203p-4, 0x1.5e347ecdee50bp-4, 0x1.5a0e19dbb86d2p-4, 0x1.55e6b9fffcda1p-4, 0x1.51bf17cc09a7cp-4, 0x1.4d97e199e4eafp-4, 0x1.4971bbe82cf6fp-4, 0x1.454d41ae9080ep-4, 0x1.412b04b850c3cp-4, 0x1.3d0b8dfa4d34bp-4, 0x1.38ef5de6f6d47p-4, 0x1.34d6ecc0eb934p-4, 0x1.30c2aaeee3a76p-4, 0x1.2cb30148cfad6p-4, 0x1.28a851648225ep-4, 0x1.24a2f5e448589p-4, 0x1.20a342be5231bp-4, 0x1.1ca98581b048bp-4, 0x1.18b605a17ddbcp-4, 0x1.14c904b44d84bp-4, 0x1.10e2beb5d1539p-4, 0x1.0d036a4a7abf8p-4, 0x1.092b38fbc6638p-4, 0x1.055a57736277ap-4, 0x1.0190edba76c1bp-4, 0x1.fb9e3ee2ee7cep-5, 0x1.f42a180aa1edfp-5, 0x1.ecc59dd3cc5e5p-5, 0x1.e570ff9e99ff9p-5, 0x1.de2c65a13ac06p-5, 0x1.d6f7f14fb492ep-5, 0x1.cfd3bdc346844p-5, 0x1.c8bfe0113ddf2p-5, 0x1.c1bc67a027e83p-5, 0x1.bac95e8ecfa0fp-5, 0x1.b3e6ca04bd9e9p-5, 0x1.ad14aa7a0189fp-5, 0x1.a652fc0850ff4p-5, 0x1.9fa1b6bdaf152p-5, 0x1.9900cee2cc856p-5, 0x1.9270353f8fa88p-5, 0x1.8befd7662f4ffp-5, 0x1.857f9ff648f81p-5, 0x1.7f1f76d26539bp-5, 0x1.78cf41583487ap-5, 0x1.728ee2a111abep-5, 0x1.6c5e3bbb90fefp-5, 0x1.663d2bd933e92p-5, 0x1.602b907df2755p-5, 0x1.5a2945b73d81cp-5, 0x1.5436264a7203dp-5, 0x1.4e520bd7acbfbp-5, 0x1.487ccefd852a6p-5, 0x1.42b647854a8efp-5, 0x1.3cfe4c8c11fabp-5, 0x1.3754b4d08eab4p-5, 0x1.31b955ce572b1p-5, 0x1.2c2c05db92515p-5, 0x1.26ac9a4f68b05p-5, 0x1.213ae8984195cp-5, 0x1.1bd6c61888fp-5, 0x1.1680083b07a55p-5, 0x1.1136848fcdaaap-5, 0x1.0bfa10e42adf4p-5, 0x1.06ca834d6064ep-5, 0x1.01a7b2309e3e5p-5, 0x1.f922e8aa884bp-6, 0x1.ef0f41f8a3124p-6, 0x1.e5141fdbb59b8p-6, 0x1.db3132f502253p-6, 0x1.d1662cfe337dep-6, 0x1.c7b2c0e87ac25p-6, 0x1.be16a3013caaap-6, 0x1.b49188fec6afdp-6, 0x1.ab2329f71d362p-6, 0x1.a1cb3e5f7ce37p-6, 0x1.98898024f3eb4p-6, 0x1.8f5daac9c697p-6, 0x1.86477b6bc6ad8p-6, 0x1.7d46b0b476789p-6, 0x1.745b0acf7d90ep-6, 0x1.6b844b7a5e70dp-6, 0x1.62c2361da657fp-6, 0x1.5a148fd3f3eacp-6, 0x1.517b1f59341d2p-6, 0x1.48f5acf7fbacdp-6, 0x1.4084028d3c682p-6, 0x1.3825eb9c13f35p-6, 0x1.2fdb355a77c85p-6, 0x1.27a3aea68c506p-6, 0x1.1f7f27efe3c44p-6, 0x1.176d732c6075dp-6, 0x1.0f6e63e70d6ddp-6, 0x1.0781cf0a77d98p-6, 0x1.ff4f17a81f0e2p-7, 0x1.efbee457c012fp-7, 0x1.e052b801f39d3p-7, 0x1.d10a49201366ep-7, 0x1.c1e551224bb61p-7, 0x1.b2e38c849046ep-7, 0x1.a404bac87841cp-7, 0x1.95489e512b09ep-7, 0x1.86aefc3adeb32p-7, 0x1.78379c4a3983fp-7, 0x1.69e248f7bd131p-7, 0x1.5baecf80067b1p-7, 0x1.4d9cffde8e4f2p-7, 0x1.3facacaf0a837p-7, 0x1.31ddab06ea5b9p-7, 0x1.242fd25e3627p-7, 0x1.16a2fc90721fbp-7, 0x1.093705e7fc4d8p-7, 0x1.f7d79a3b2c53bp-8, 0x1.dd8266850f8d4p-8, 0x1.c36e373b0a4eap-8, 0x1.a99ad717db5c6p-8, 0x1.900814e87ddccp-8, 0x1.76b5c38fe02aap-8, 0x1.5da3ba0b510dp-8, 0x1.44d1d35cf98fbp-8, 0x1.2c3fee5a398b5p-8, 0x1.13eded6f0f46ep-8, 0x1.f7b76ccfe357ep-9, 0x1.c81264a4a5a94p-9, 0x1.98ec9ad9efaf9p-9, 0x1.6a45ee258c751p-9, 0x1.3c1e433c8c27cp-9, 0x1.0e75848b50605p-9, 0x1.c29743cc2f407p-10, 0x1.6941206a91426p-10, 0x1.10e89243fba2dp-10, 0x1.731b2b058b63fp-11, 0x1.8cc0ba82ac3bap-12, 0x1.ba0d415410aa6p-15, -0x1.1a4690b5b65ddp-12, -0x1.33ebc1abb23f8p-11, -0x1.d8b854d7d099ep-11, -0x1.3dc459dd4f59bp-10, -0x1.8e2e430867a73p-10, -0x1.dd99b511fa37ep-10, -0x1.16033d62ea72fp-9, -0x1.3cba2d8ea249ep-9, -0x1.62f18cf66e6ddp-9, -0x1.88a93c4e69c3ep-9, -0x1.ade11b6ca3e22p-9, -0x1.d299098fed3c5p-9, -0x1.f6d0e599ded32p-9, -0x1.0d4447221c802p-8, -0x1.1edff1300a321p-8, -0x1.303b60902c413p-8, -0x1.4156853634367p-8, -0x1.52314f9aa18f2p-8, -0x1.62cbb0e2e46b7p-8, -0x1.73259b04d2d7ep-8, -0x1.833f00e410011p-8, -0x1.9317d66d4adf7p-8, -0x1.a2b010b213c0bp-8, -0x1.b207a605a1a34p-8, -0x1.c11e8e1b5b0d6p-8, -0x1.cff4c227cc641p-8, -0x1.de8a3cfdf77a5p-8, -0x1.ecdefb2a81e8ap-8, -0x1.faf2fb0b4900ap-8, -0x1.04631e72ec729p-7, -0x1.0b2c617cfc3b3p-7, -0x1.11d548ca475f9p-7, -0x1.185dd79140f4dp-7, -0x1.1ec61221e4ff5p-7, -0x1.250dfdefbd876p-7, -0x1.2b35a19c62438p-7, -0x1.313d05020cf23p-7, -0x1.3724313d66479p-7, -0x1.3ceb30b5db81ep-7, -0x1.42920f24b1b41p-7, -0x1.4818d99b69486p-7, -0x1.4d7f9e8a06c5ap-7, -0x1.52c66dc58831ap-7, -0x1.57ed588f6b571p-7, -0x1.5cf4719dd4e8ap-7, -0x1.61dbcd24976ap-7, -0x1.66a380dcfa9f5p-7, -0x1.6b4ba40b841bep-7, -0x1.6fd44f8369aefp-7, -0x1.743d9da81032p-7, -0x1.7887aa6e834dbp-7, -0x1.7cb2935dfb2d1p-7, -0x1.80be7791eda9cp-7, -0x1.84ab77bd145adp-7, -0x1.8879b62c5d864p-7, -0x1.8c2956c953274p-7, -0x1.8fba7f1a928e5p-7, -0x1.932d56404641p-7, -0x1.968204f136701p-7, -0x1.99b8b5732bc06p-7, -0x1.9cd19397c775ep-7, -0x1.9fccccb667dbcp-7, -0x1.a2aa8faa4420fp-7, -0x1.a56b0cd030f3ap-7, -0x1.a80e760452d06p-7, -0x1.aa94fe9f016f4p-7, -0x1.acfedb6ff6e76p-7, -0x1.af4c42b7acfbap-7, -0x1.b17d6c1fa3bdcp-7, -0x1.b39290b26d15fp-7, -0x1.b58bead4b59dap-7, -0x1.b769b63f6b2d9p-7, -0x1.b92c2ffab0e5p-7, -0x1.bad396597d7c7p-7, -0x1.bc6028f4b27c6p-7, -0x1.bdd228a5bd3c1p-7, -0x1.bf29d780256fcp-7, -0x1.c06778ca30af9p-7, -0x1.c18b50f4aa706p-7, -0x1.c295a592199ffp-7, -0x1.c386bd4e1265bp-7, -0x1.c45edfe4a40a3p-7, -0x1.c51e561a100cep-7, -0x1.c5c569b2baeep-7, -0x1.c654656af6f8cp-7, -0x1.c6cb94eeda4f9p-7, -0x1.c72b44d1e51ebp-7, -0x1.c773c28635cf5p-7, -0x1.c7a55c53361f9p-7, -0x1.c7c0614ba2278p-7, -0x1.c7c52142af99ap-7, -0x1.c7b3ecc0ba913p-7, -0x1.c78d14f7fad2fp-7, -0x1.c750ebb9569b7p-7, -0x1.c6ffc36a1da57p-7, -0x1.c699eefa4b4b7p-7, -0x1.c61fc1db5dd7ep-7, -0x1.c5918ff7607fdp-7, -0x1.c4efada7aeff4p-7, -0x1.c43a6fab662cp-7, -0x1.c3722b1d0877ap-7, -0x1.c2973567be841p-7, -0x1.c1a9e43c3534ap-7, -0x1.c0aa8d85e27bfp-7, -0x1.bf998760fce66p-7, -0x1.be77280f6ec72p-7, -0x1.bd43c5f210559p-7, -0x1.bbffb781009c6p-7, -0x1.baab53407b188p-7, -0x1.b946efbd2a30cp-7, -0x1.b7d2e37fd3ep-7, -0x1.b64f850578f0ap-7, -0x1.b4bd2ab6adc71p-7, -0x1.b31c2ade179ffp-7, -0x1.b16cdb9f80646p-7, -0x1.afaf92ef83e62p-7, -0x1.ade4a68b80a99p-7, -0x1.ac0c6bf250882p-7, -0x1.aa27385cf8e18p-7, -0x1.a83560b791afdp-7, -0x1.a637399a03cb7p-7, -0x1.a42d1740bbecbp-7, -0x1.a2174d85401f6p-7, -0x1.9ff62fd6ad494p-7, -0x1.9dca1132a8186p-7, -0x1.9b93441e3d0dep-7, -0x1.99521a9f4a751p-7, -0x1.9706e6360d898p-7, -0x1.94b1f7d6e3afep-7, -0x1.92539fe43cf13p-7, -0x1.8fec2e27fc174p-7, -0x1.8d7bf1cceeb72p-7, -0x1.8b03395644f1ep-7, -0x1.8882529fb7746p-7, -0x1.85f98b129e7c6p-7, -0x1.83692f79a0ffp-7, -0x1.80d18ab029643p-7, -0x1.7e32e86079267p-7, -0x1.7b8d9277fa9adp-7, -0x1.78e1d2b2196bcp-7, -0x1.762ff222b8ebep-7, -0x1.73783868e7146p-7, -0x1.70baec96cdaa5p-7, -0x1.6df854fafc0ccp-7, -0x1.6b30b708bddd6p-7, -0x1.68645755993d2p-7, -0x1.65937997ab667p-7, -0x1.62be60a379f2ep-7, -0x1.5fe54e696a0e6p-7, -0x1.5d0883f356a0ep-7, -0x1.5a284162456e3p-7, -0x1.5744c5ec3c948p-7, -0x1.545e4fda58c86p-7, -0x1.51751c86e4f88p-7, -0x1.4e89685bd30dcp-7, -0x1.4b9b6ed13613bp-7, -0x1.48ab6a6bf343ap-7, -0x1.45b994bc8538p-7, -0x1.42c6265decdcfp-7, -0x1.3fd156f4c7885p-7, -0x1.3cdb5d2e81c7dp-7, -0x1.39e46ec0bcd95p-7, -0x1.36ecc068da47p-7, -0x1.33f485ebc54c5p-7, -0x1.30fbf215ccfa1p-7, -0x1.2e0336bab345ap-7, -0x1.2b0a84b5bc6p-7, -0x1.28120be9cb23cp-7, -0x1.2519fb417438cp-7, -0x1.222280af42564p-7, -0x1.1f2bc92dd0dc5p-7, -0x1.1c3600c01015dp-7, -0x1.194152721d649p-7, -0x1.164de85a25b3bp-7, -0x1.135beb99b1bfcp-7, -0x1.106b845f554edp-7, -0x1.0d7cd9e862e9ap-7, -0x1.0a901282bdd7p-7, -0x1.07a5538e39f3fp-7, -0x1.04bcc17db1f03p-7, -0x1.01d67fd79e51ap-7, -0x1.fde5626cc887fp-8, -0x1.f822ee911f71fp-8, -0x1.f265e5a2ef038p-8, -0x1.ecae8755144e3p-8, -0x1.e6fd118b4035dp-8, -0x1.e151c060c805ap-8, -0x1.dbacce3128e5fp-8, -0x1.d60e73a15cbd6p-8, -0x1.d076e7a7aeda8p-8, -0x1.cae65f93e557fp-8, -0x1.c55d0f12a52d8p-8, -0x1.bfdb282cda796p-8, -0x1.ba60db4793109p-8, -0x1.b4ee571dde1d9p-8, -0x1.af83c8bda56bep-8, -0x1.aa215b8695562p-8, -0x1.a4c7392cdb0e4p-8, -0x1.9f7589c1aed48p-8, -0x1.9a2c73c1246b3p-8, -0x1.94ec1c2415711p-8, -0x1.8fb4a673902b6p-8, -0x1.8a8634dab9264p-8, -0x1.8560e833da00fp-8, -0x1.8044e00e6097fp-8, -0x1.7b323aacb9dc5p-8, -0x1.762914fad10a5p-8, -0x1.71298a7fe17a5p-8, -0x1.6c33b54f200d6p-8, -0x1.6747adfc15cb7p-8, -0x1.62658b9664356p-8, -0x1.5d8d63afd703p-8, -0x1.58bf4a6d865c8p-8, -0x1.53fb52a25395fp-8, -0x1.4f418def0831ap-8, -0x1.4a920ce339a36p-8, -0x1.45ecdf194491ap-8, -0x1.4152134889191p-8, -0x1.3cc1b74a4bfc3p-8, -0x1.383bd810bcaccp-8, -0x1.33c0819264df1p-8, -0x1.2f4fbeaf2b741p-8, -0x1.2ae99914e7ecap-8, -0x1.268e192a34ecbp-8, -0x1.223d46044f904p-8, -0x1.1df7256b9a983p-8, -0x1.19bbbbef421ebp-8, -0x1.158b0d05723ebp-8, -0x1.11651b3373011p-8, -0x1.0d49e836a2a6dp-8, -0x1.093975279dd2dp-8, -0x1.0533c291c449bp-8, -0x1.0138d07c1f7cp-8, -0x1.fa913cc5f0cccp-9, -0x1.f2c656491e1e9p-9, -0x1.eb10e9cd92d91p-9, -0x1.e370f1f45344bp-9, -0x1.dbe6677d539bp-9, -0x1.d471410ce5dacp-9, -0x1.cd11735bdf91fp-9, -0x1.c5c6f4704ead2p-9, -0x1.be91b1bc47648p-9, -0x1.b7719c21732a1p-9, -0x1.b066a22a80504p-9, -0x1.a970b451b3812p-9, -0x1.a28fbd99f321ep-9, -0x1.9bc3aa4edeba8p-9, -0x1.950c65eae9767p-9, -0x1.8e69dadce0bd3p-9, -0x1.87dbf27f86daap-9, -0x1.816295084eb6ep-9, -0x1.7afda97e88b79p-9, -0x1.74ad15c1efc73p-9, -0x1.6e70bea123cedp-9, -0x1.684887fc9169fp-9, -0x1.623454f061ebbp-9, -0x1.5c3407fe986cap-9, -0x1.56478332c5d8dp-9, -0x1.506ea8394e13p-9, -0x1.4aa958656f002p-9, -0x1.44f774a3f69f5p-9, -0x1.3f58dd5c1979ap-9, -0x1.39cd72441a537p-9, -0x1.345512337bed4p-9, -0x1.2eef9afed50ccp-9, -0x1.299ce96878392p-9, -0x1.245cd92c4b379p-9, -0x1.1f2f45258a94ep-9, -0x1.1a14077a35187p-9, -0x1.150af8ace0582p-9, -0x1.10141084daad1p-9, -0x1.0b2ed6790641fp-9, -0x1.065b73c118c0ep-9, -0x1.0199a6e97866ep-9, -0x1.f9d29291bf648p-10, -0x1.f09467258e535p-10, -0x1.e7787c237e795p-10, -0x1.de7e817514182p-10, -0x1.d5a6269640c5fp-10, -0x1.ccef1adc46ae9p-10, -0x1.c4590daf30b59p-10, -0x1.bbe3aea9167c6p-10, -0x1.b38ead9e1ea5ap-10, -0x1.ab59ba9ea204fp-10, -0x1.a3448608a8333p-10, -0x1.9b4ec0b52911p-10, -0x1.93781c382363ap-10, -0x1.8bc04b12846b4p-10, -0x1.842700a650f6ap-10, -0x1.7cabf0c32861bp-10, -0x1.754ecebf1b493p-10, -0x1.6e0f4c3d9f1c5p-10, -0x1.66ed17f513c46p-10, -0x1.5fe7dcd940944p-10, -0x1.58ff42046818p-10, -0x1.5232eb8415dcdp-10, -0x1.4b827be87626dp-10, -0x1.44ed963104a0fp-10, -0x1.3e73df973bd72p-10, -0x1.381500c2a17ebp-10, -0x1.31d0a62929aefp-10, -0x1.2ba67fab09221p-10, -0x1.25963fb6effcbp-10, -0x1.1f9f9a65dbdep-10, -0x1.19c244ee0581fp-10, -0x1.13fdf59b28ccfp-10, -0x1.0e52642e36207p-10, -0x1.08bf4a49a6655p-10, -0x1.03446373dc7f2p-10, -0x1.fbc2d8af517abp-11, -0x1.f12c426ff322ap-11, -0x1.e6c477dc4353cp-11, -0x1.dc8ae428213acp-11, -0x1.d27ee811784acp-11, -0x1.c89fda850acf1p-11, -0x1.beed0be24965p-11, -0x1.b565caf08d161p-11, -0x1.ac096a02222c2p-11, -0x1.a2d742c4f0818p-11, -0x1.99ceb7de9adbp-11, -0x1.90ef345632a0dp-11, -0x1.88382996c7f48p-11, -0x1.7fa90d272951fp-11, -0x1.7741570c8ecf8p-11, -0x1.6f00813718562p-11, -0x1.66e607cdf869cp-11, -0x1.5ef169c0d455bp-11, -0x1.572228fc62706p-11, -0x1.4f77c9d89c0cap-11, -0x1.47f1d1bf7d6e4p-11, -0x1.408fc55fc3359p-11, -0x1.395126defdc7ep-11, -0x1.3235743ef5b81p-11, -0x1.2b3c257c1a037p-11, -0x1.2464b6befd23p-11, -0x1.1dae9993d319ep-11, -0x1.171930feee9ffp-11, -0x1.10a3fc0ccb87p-11, -0x1.0a4e6ecab3857p-11, -0x1.0417fd2ef2ca6p-11, -0x1.fc00481291ad9p-12, -0x1.f00cc318ae52p-12, -0x1.e4546a0c68cb5p-12, -0x1.d8d63faf1303p-12, -0x1.cd91511002502p-12, -0x1.c284be39400d2p-12, -0x1.b7afc118f4bebp-12, -0x1.ad11ade4d5851p-12, -0x1.a2a9eaab26ff9p-12, -0x1.9877dfc91b10fp-12, -0x1.8e7ae6c9cc549p-12, -0x1.84b23e9559547p-12, -0x1.7b1d09dfefd87p-12, -0x1.71ba582c7f223p-12, -0x1.688934cffed1ap-12, -0x1.5f88b4ce2aeb6p-12, -0x1.56b7fd9fe0ac8p-12, -0x1.4e164300c392dp-12, -0x1.45a2be6484c73p-12, -0x1.3d5ca52d42ap-12, -0x1.3543223aba28ep-12, -0x1.2d5554ba5a7f4p-12, -0x1.2592531fad505p-12, -0x1.1df92f677ccfep-12, -0x1.1688fa86505f9p-12, -0x1.0f40c7658d5dp-12, -0x1.081fb032f5349p-12, -0x1.0124e08aca6b6p-12, -0x1.f49f46aaeaf6ap-13, -0x1.e73edcbdf56cbp-13, -0x1.da27c73f46d96p-13, -0x1.cd598740b9a49p-13, -0x1.c0d3a7b5a1c7fp-13, -0x1.b49585be4ae43p-13, -0x1.a89e2bfabb468p-13, -0x1.9cec4f967ee04p-13, -0x1.917e6d5e43c33p-13, -0x1.8652f662d3298p-13, -0x1.7b6876ef6a5ccp-13, -0x1.70bda9bc89278p-13, -0x1.665175f3ff999p-13, -0x1.5c22df661d82bp-13, -0x1.5230f10c6f1aep-13, -0x1.487a9b282bdep-13, -0x1.3efee535c05ebp-13, -0x1.35bc5a500337p-13, -0x1.2cb1993a3d04fp-13, -0x1.23dd18c6ec40dp-13, -0x1.1b3d558b42a2p-13, -0x1.12d0e07ae1a07p-13, -0x1.0a96680ff4b1ep-13, -0x1.028cb6ca339d4p-13, -0x1.f56563db6a51ep-14, -0x1.e60ec3b79baf3p-14, -0x1.d71403240635p-14, -0x1.c8740c193d852p-14, -0x1.ba2e1c985509bp-14, -0x1.ac417945df514p-14, -0x1.9ead197a25a75p-14, -0x1.916f7e07292bcp-14, -0x1.8486ca1968c06p-14, -0x1.77f10a1d90749p-14, -0x1.6bac764c786cp-14, -0x1.5fb786478db3fp-14, -0x1.5410d44a1dce4p-14, -0x1.48b6f39766a6cp-14, -0x1.3da85c988153dp-14, -0x1.32e373876f419p-14, -0x1.286698ed6838dp-14, -0x1.1e30353e42ddcp-14, -0x1.143ebb30e4819p-14, -0x1.0a90a13ec709ap-14, -0x1.01245527a27fp-14, -0x1.eff062780aaf9p-15, -0x1.de14fa6fc2735p-15, -0x1.ccb2fd80386c4p-15, -0x1.bbc72342ae1a7p-15, -0x1.ab4e71734529bp-15, -0x1.9b463aa7a02b5p-15, -0x1.8bac02e3259a1p-15, -0x1.7c7d674211c21p-15, -0x1.6db810d5e2c17p-15, -0x1.5f5af4a6d224fp-15, -0x1.5163570e82c12p-15, -0x1.43cf95e0ff03fp-15, -0x1.369e2db54f2ep-15, -0x1.29cbbac1dddd2p-15, -0x1.1d559c26c0dcap-15, -0x1.1139eb0de8bd1p-15, -0x1.05779d508079ep-15, -0x1.f41bce01d65a8p-16, -0x1.ddf6fa770978dp-16, -0x1.c87cba821953dp-16, -0x1.b3a82d026194fp-16, -0x1.9f7447d89d049p-16, -0x1.8bdc26b00e74p-16, -0x1.78db2f34a3a18p-16, -0x1.666d4bf04e658p-16, -0x1.548f20de88516p-16, -0x1.433e0412245cep-16, -0x1.3277af83dfe8ap-16, -0x1.2239c9b9c1eeep-16, -0x1.128172b6c1f5ap-16, -0x1.034b02926c636p-16, -0x1.e924344e7dd55p-17, -0x1.cca41a6098a41p-17, -0x1.b10d1b9bdf6f8p-17, -0x1.9658ba1a49d7ep-17, -0x1.7c833b985bbb2p-17, -0x1.638ad1256869ap-17, -0x1.4b6d5548e429bp-17, -0x1.3426166ef7f15p-17, -0x1.1dad736a7a70bp-17, -0x1.07fa64c4573e3p-17, -0x1.e608bfacd5e07p-18, -0x1.bd8946bf84618p-18, -0x1.966e76545787bp-18, -0x1.70b63d15e641ap-18, -0x1.4c6031df669c4p-18, -0x1.296732037fa4bp-18, -0x1.07bf31caa549ap-18, -0x1.ceb2fddf220b1p-19, -0x1.90546dafa747p-19, -0x1.54524ddc529dap-19, -0x1.1a9e8d600e335p-19, -0x1.c6554042e46d5p-20, -0x1.5bd0e10c051d7p-20, -0x1.eb2d68a758accp-21, -0x1.271e1af13464cp-21, -0x1.ad0794ab95718p-23, 0x1.22803a7c71aa6p-23, 0x1.e98e3fbf644a6p-22, 0x1.99742f62e0f7ep-21, 0x1.1b71ca8c7f88cp-20, 0x1.66a5b6b233a15p-20, 0x1.ae6ffbddbad0cp-20, 0x1.f2ec855025cf8p-20, 0x1.1a1c8d2d355b4p-19, 0x1.393986fc2bda5p-19, 0x1.56e1a28949fd9p-19, 0x1.7308fab3b6db8p-19, 0x1.8dc4f43eb3bb6p-19, 0x1.a71841f48374cp-19, 0x1.bf09283df999bp-19, 0x1.d5a8612e6cbdp-19, 0x1.eb0943e90a97ep-19, 0x1.ff3ad955c1ba7p-19, 0x1.0923bf018a696p-18, 0x1.121b0a44fed9dp-18, 0x1.1a8509a0c9b76p-18, 0x1.226459cded8bp-18, 0x1.29bf31014c866p-18, 0x1.309cca0eab75fp-18, 0x1.3701042e2d1fdp-18, 0x1.3ced64978af96p-18, 0x1.42648f1f34ea7p-18, 0x1.476a6f2a9607bp-18, 0x1.4c02d662a8d2ap-18, 0x1.50312d93725f1p-18, 0x1.53f8e24d78afdp-18, 0x1.575dbb36a2aa5p-18, 0x1.5a63bfdc06588p-18, 0x1.5d0ebd7ae8e07p-18, 0x1.5f621698e4d8ep-18, 0x1.6160945483789p-18, 0x1.63060d87d6141p-18, 0x1.6462db6edf6d3p-18, 0x1.656fa3b0e1d39p-18, 0x1.6636e9005d56bp-18, 0x1.66bc5f77abe72p-18, 0x1.6701be2e12cdap-18, 0x1.67065f92644d7p-18, 0x1.66ca8ad00f7a1p-18, 0x1.6651a2152627ep-18, 0x1.659f97ca1b6a1p-18, 0x1.64b692543a9eep-18, 0x1.63985397dbfc9p-18, 0x1.6247afbdcdd6fp-18, 0x1.60c822d40f512p-18, 0x1.5f1c8c8c3804ep-18, 0x1.5d46145cbbb99p-18, 0x1.5b4507c508a27p-18, 0x1.591b2fe5e583fp-18, 0x1.56cb376c7236p-18, 0x1.54572510369d1p-18, 0x1.51c1a2301b65dp-18, 0x1.4f0c998128452p-18, 0x1.4c384b0f1d231p-18, 0x1.4945faaf8cf26p-18, 0x1.4637ea0c06b1fp-18, 0x1.430fefdc70ef5p-18, 0x1.3fcf63bd28e7dp-18, 0x1.3c7777b8253f9p-18, 0x1.390951f1a686ap-18, 0x1.3585f9f3c1206p-18, 0x1.31ee5b03db5c4p-18, 0x1.2e438a6ba3926p-18, 0x1.2a87255b28058p-18, 0x1.26bb2d904dc9ep-18, 0x1.22e1646ac65bbp-18, 0x1.1efb22d9c2bb1p-18, 0x1.1b093c831ed6ap-18, 0x1.170be5b39b05cp-18, 0x1.13043313a4b22p-18, 0x1.0ef3b3b60eecfp-18, 0x1.0adabdbbac778p-18, 0x1.06b9c4ba5ae4bp-18, 0x1.0291f7f3b57cdp-18, 0x1.fcc8f099405c1p-19, 0x1.f4646acce63f5p-19, 0x1.ebf81c90e95e1p-19, 0x1.e3859a3bc222fp-19, 0x1.db0e2882a1cd4p-19, 0x1.d292c61e8df6bp-19, 0x1.ca147ccbc3dc7p-19, 0x1.c1949a10f517cp-19, 0x1.b9145b8220112p-19, 0x1.b0946ef947736p-19, 0x1.a81572bd3c269p-19, 0x1.9f99a335a2d2ep-19, 0x1.9723b1782f4a2p-19, 0x1.8eb4daa93a74bp-19, 0x1.864d1e5464411p-19, 0x1.7dec0f0a03e7cp-19, 0x1.75936221ff817p-19, 0x1.6d3b521570939p-19, 0x1.64fd60527f4c5p-19, 0x1.5cc285e9cfedbp-19, 0x1.54935f4f115ep-19, 0x1.4c707b983430ap-19, 0x1.445aa25234327p-19, 0x1.3c52627ca803dp-19, 0x1.3457df6c2d1fep-19, 0x1.2c6bf10cfe3bp-19, 0x1.248fd26ea622p-19, 0x1.1cc4473709a4ap-19, 0x1.15098d1699dcap-19, 0x1.0d5f82d0c0e85p-19, 0x1.05c6b81357f98p-19, 0x1.fc8007b08abc6p-20, 0x1.ed98517c55703p-20, 0x1.ded711fc5505cp-20, 0x1.d03df21dfee46p-20, 0x1.c1bc05c114b63p-20, 0x1.b3766e783cc03p-20, 0x1.a54c17e68e237p-20, 0x1.974d60fbae1a6p-20, 0x1.89777edfbb6ddp-20, 0x1.7bcad08a07862p-20, 0x1.6e47ec5e54f2fp-20, 0x1.60ef51f363386p-20, 0x1.53c164d0a19bap-20, 0x1.46be68977e827p-20, 0x1.39e68729a7c66p-20, 0x1.2d39e6c53a97fp-20, 0x1.20b8bf212c5bcp-20, 0x1.146353614d073p-20, 0x1.0839b8297510ep-20, 0x1.f877c378d80b9p-21, 0x1.e0d4d88a41fdbp-21, }}, 
      {{-0x1.638ed5faba9dep-3, -0x1.a3541f6cef88p-4, -0x1.1f439aa47fdf7p-8, 0x1.a3666f7c47876p-4, 0x1.a10d991f379efp-3, 0x1.28a0465c6767cp-2, 0x1.6b9b09df37b8p-2, 0x1.9766e83b687c5p-2, 0x1.ac7537b4bc938p-2, 0x1.acdc6109a7613p-2, 0x1.9ba760951bd0dp-2, 0x1.7c50fab2ac59ap-2, 0x1.5264f4c2cecbdp-2, 0x1.2140566ab1cadp-2, 0x1.d7d3bc60fb2fdp-3, 0x1.69f9668723fdbp-3, 0x1.fa8184d2ad7e8p-4, 0x1.2a28228b8efa8p-4, 0x1.a0395d9373539p-6, -0x1.20976364e2166p-6, -0x1.c83baf24b428bp-5, -0x1.6a9e23b3d0e63p-4, -0x1.db53384f55dacp-4, -0x1.1b50e50a4c59ap-3, -0x1.3ebdcc8e475c4p-3, -0x1.589cc005da087p-3, -0x1.69bd7d4b13ac4p-3, -0x1.7305839dab50ep-3, -0x1.75650ed709f9ap-3, -0x1.71ce502131d7cp-3, -0x1.692eb02ff683ep-3, -0x1.5c69c964a8a2cp-3, -0x1.4c55d4b117473p-3, -0x1.39b949afa364fp-3, -0x1.25497409f213bp-3, -0x1.0fa9ca5bcc4b4p-3, -0x1.f2d7b40d2afefp-4, -0x1.c61f431ef43fcp-4, -0x1.9a0876bead46dp-4, -0x1.6f517f1642b16p-4, -0x1.469a93ae93e2bp-4, -0x1.206829982d381p-4, -0x1.fa4a7842255c6p-5, -0x1.ba4b2e953ac4p-5, -0x1.81502d501a3a3p-5, -0x1.4fb1a0d9ecd6cp-5, -0x1.25a64d815d006p-5, -0x1.03477838de39ep-5, -0x1.d1292229a584ep-6, -0x1.aaed3cd80f21ap-6, -0x1.9386cfd9a0ddbp-6, -0x1.8a80c6a4b49d9p-6, -0x1.8f4ac6c020b4cp-6, -0x1.a13e17341b8e4p-6, -0x1.bfa215c6cac7bp-6, -0x1.e9b03e6000e1cp-6, -0x1.0f4be588c8bd4p-5, -0x1.2ec078676de5ap-5, -0x1.52c7dfa27170bp-5, -0x1.7af35471bb907p-5, -0x1.a6d45cc108002p-5, -0x1.d5fdc0f882d5p-5, -0x1.04022f622da8fp-4, -0x1.1e3fedbf22206p-4, -0x1.39859d07da746p-4, -0x1.55a2a99e5a3bap-4, -0x1.72689c42b0a3bp-4, -0x1.8fab3dc222368p-4, -0x1.ad40b4a962e9fp-4, -0x1.cb0195a3d2865p-4, -0x1.e8c8f1f8249fdp-4, -0x1.033a2c72a3baep-3, -0x1.11f1ecbf27ee8p-3, -0x1.207cfc0ee468fp-3, -0x1.2ecdd2969a941p-3, -0x1.3cd81682d0d4ep-3, -0x1.4a9091fa97906p-3, -0x1.57ed2b5518085p-3, -0x1.64e4d6b9184c5p-3, -0x1.716f8e4572c73p-3, -0x1.7d864271d7128p-3, -0x1.8922d03f00b1bp-3, -0x1.943ff25a268fp-3, -0x1.9ed93530e245cp-3, -0x1.a8eae9c9cd97p-3, -0x1.b27218d592f9bp-3, -0x1.bb6c76d512bc3p-3, -0x1.c3d857bca997bp-3, -0x1.cbb4a3c80c3adp-3, -0x1.d300cc2ed758ap-3, -0x1.d9bcc09fcc7cfp-3, -0x1.dfe8e4d81dc42p-3, -0x1.e58606e089c2ap-3, -0x1.ea955574fd779p-3, -0x1.ef18570b113ap-3, -0x1.f310e11999728p-3, -0x1.f6810fea9998bp-3, -0x1.f96b3ed972014p-3, -0x1.fbd200fb53fcp-3, -0x1.fdb81a4477af2p-3, -0x1.ff207918d5cbep-3, -0x1.0007182293d33p-2, -0x1.004238b6ae5f4p-2, -0x1.004343eb4e4c3p-2, -0x1.000be9cd5a60ap-2, -0x1.ff3bc5389ef67p-3, -0x1.fdf5d983301c8p-3, -0x1.fc4995dd5864dp-3, -0x1.fa3a84da69c18p-3, -0x1.f7cc331cbec65p-3, -0x1.f5022c897d763p-3, -0x1.f1dff9c14e108p-3, -0x1.ee691ddbf0d2fp-3, -0x1.eaa1145ef087ep-3, -0x1.e68b4f7155aa7p-3, -0x1.e22b364f59244p-3, -0x1.dd8423d5cefd5p-3, -0x1.d8996555cfb59p-3, -0x1.d36e3990ce398p-3, -0x1.ce05cfc015427p-3, -0x1.c86346e07f1e7p-3, -0x1.c289ad126de29p-3, -0x1.bc7bff0e749eep-3, -0x1.b63d27be2edc3p-3, -0x1.afcfffe85dd3dp-3, -0x1.a9374e02d4ep-3, -0x1.a275c5fa18dbp-3, -0x1.9b8e091680b21p-3, -0x1.9482a61395613p-3, -0x1.8d5619104d6c2p-3, -0x1.860acb98163dap-3, -0x1.7ea314e42acdep-3, -0x1.772139f4f0e98p-3, -0x1.6f876db80c248p-3, -0x1.67d7d158193p-3, -0x1.60147473f5e2dp-3, -0x1.583f5564c424fp-3, -0x1.505a6196ed17fp-3, -0x1.486775c4e268bp-3, -0x1.40685e51b535ap-3, -0x1.385ed7bb4d268p-3, -0x1.304c8ed399854p-3, -0x1.2833210c7369ap-3, -0x1.20141d0004746p-3, -0x1.17f102c5857e3p-3, -0x1.0fcb4421e960ep-3, -0x1.07a444fe63f83p-3, -0x1.fefab7c36df51p-4, -0x1.eeafa44f8445p-4, -0x1.de69c8a29e75ap-4, -0x1.ce2b84fef0d04p-4, -0x1.bdf7218a2a487p-4, -0x1.adcecec4812ffp-4, -0x1.9db4a65f7d59ep-4, -0x1.8daaac0420c17p-4, -0x1.7db2cdb5fe6a6p-4, -0x1.6dcee469525a1p-4, -0x1.5e00b4f143d01p-4, -0x1.4e49f0915d1d9p-4, -0x1.3eac35362db85p-4, -0x1.2f290e186db9ep-4, -0x1.1fc1f4ae3e0e9p-4, -0x1.1078512237462p-4, -0x1.014d7a6dccf9ep-4, -0x1.e4856dd3aa50dp-5, -0x1.c6b27a734dfc9p-5, -0x1.a924698165862p-5, -0x1.8bdd6b5850494p-5, -0x1.6edf92b4def28p-5, -0x1.522cd66a8a1edp-5, -0x1.35c71272c6fe4p-5, -0x1.19b007e6fa82ep-5, -0x1.fbd2bb57e1654p-6, -0x1.c4e942cc283b7p-6, -0x1.8ea692898014fp-6, -0x1.590d67dabbae7p-6, -0x1.242050fe8bc39p-6, -0x1.dfc35e56056b3p-7, -0x1.78a7731a0345dp-7, -0x1.12f0fd0a4c97fp-7, -0x1.5d478ca6009fap-8, -0x1.2f0d1dd55b964p-9, 0x1.5ad538995280ap-11, 0x1.d6ac982d13daap-9, 0x1.a86724503596dp-8, 0x1.3144422918e9dp-7, 0x1.8cdb26ed10be7p-7, 0x1.e6f672954b336p-7, 0x1.1fca4a153233ap-6, 0x1.4b5a1bc8098a7p-6, 0x1.762a23992d84ep-6, 0x1.a039f54983728p-6, 0x1.c98940a8885d9p-6, 0x1.f217cf7c31d87p-6, 0x1.0cf2c2acd812ep-5, 0x1.20793041e365ap-5, 0x1.339f3cd36dc3bp-5, 0x1.466500e4f33c2p-5, 0x1.58caa00cda692p-5, 0x1.6ad048a35049bp-5, 0x1.7c76341bf5b5p-5, 0x1.8dbca72cc91afp-5, 0x1.9ea3f12aae39p-5, 0x1.af2c6af655107p-5, 0x1.bf5676518d983p-5, 0x1.cf227df07c1dfp-5, 0x1.de90f5ca6de84p-5, 0x1.eda25af36229cp-5, 0x1.fc5732d3e40efp-5, 0x1.05580520a6d5cp-4, 0x1.0c56ba95fc3d7p-4, 0x1.132807524f11fp-4, 0x1.19cc3c9663b62p-4, 0x1.2043af33e0aaep-4, 0x1.268eb731a944fp-4, 0x1.2cadaf6eb4a6ap-4, 0x1.32a0f57aa1a41p-4, 0x1.3868e9a242be6p-4, 0x1.3e05ef017869ep-4, 0x1.43786b68fa83ep-4, 0x1.48c0c712a0055p-4, 0x1.4ddf6c4fb3c13p-4, 0x1.52d4c75dc24b6p-4, 0x1.57a14666fe6cap-4, 0x1.5c4559904c72ep-4, 0x1.60c172ee225eep-4, 0x1.6516065085117p-4, 0x1.694388fdd0911p-4, 0x1.6d4a717df32c6p-4, 0x1.712b3789069c2p-4, 0x1.74e6540e37255p-4, 0x1.787c4136f7ec5p-4, 0x1.7bed7a4dd3f2ap-4, 0x1.7f3a7b8c04fd3p-4, 0x1.8263c1e3f0319p-4, 0x1.8569cadeea2f6p-4, 0x1.884d1493232bap-4, 0x1.8b0e1da692f5ep-4, 0x1.8dad654c548c6p-4, 0x1.902b6b2ddc5dfp-4, 0x1.9288af42b9126p-4, 0x1.94c5b1a8098f3p-4, 0x1.96e2f285cb753p-4, 0x1.98e0f20467e24p-4, 0x1.9ac0304bd7032p-4, 0x1.9c812d80f95e9p-4, 0x1.9e2469b6adcd2p-4, 0x1.9faa64d1ab2fbp-4, 0x1.a1139e69a4d6dp-4, 0x1.a26095b2040a2p-4, 0x1.a391c96d647e2p-4, 0x1.a4a7b7e948d1bp-4, 0x1.a5a2defc4be15p-4, 0x1.a683bbff61398p-4, 0x1.a74acbbdfa927p-4, 0x1.a7f88a604d29bp-4, 0x1.a88d735750ac8p-4, 0x1.a90a014ef7fbep-4, 0x1.a96eae26cfc64p-4, 0x1.a9bbf2eeedea9p-4, 0x1.a9f247e612f6ep-4, 0x1.aa1224744c349p-4, 0x1.aa1bff1fc3a7p-4, 0x1.aa104d7e61846p-4, 0x1.a9ef8428cbc4cp-4, 0x1.a9ba16b12f059p-4, 0x1.a970779dcb79fp-4, 0x1.a9131866baee3p-4, 0x1.a8a26975721ddp-4, 0x1.a81eda2308e59p-4, 0x1.a788d8b2a2426p-4, 0x1.a6e0d248d0048p-4, 0x1.a62732e2edb66p-4, 0x1.a55c65508d0a9p-4, 0x1.a480d32f467dfp-4, 0x1.a394e4e93d5aap-4, 0x1.a29901b57eb6fp-4, 0x1.a18d8f99257d3p-4, 0x1.a072f3667e85p-4, 0x1.9f4990b9480a7p-4, 0x1.9e11c9f17fb6p-4, 0x1.9ccc002f10104p-4, 0x1.9b78934f5026cp-4, 0x1.9a17e1ec6e035p-4, 0x1.98aa495e240c7p-4, 0x1.973025bb84b41p-4, 0x1.95a9d1dc92413p-4, 0x1.9417a75a46336p-4, 0x1.9279fe8ce18c3p-4, 0x1.90d12e89f3092p-4, 0x1.8f1d8d23da3bap-4, 0x1.8d5f6eeb0d85p-4, 0x1.8b9727302e135p-4, 0x1.89c50805f6ec9p-4, 0x1.87e9624295903p-4, 0x1.8604858062821p-4, 0x1.8416c01e1ad0dp-4, 0x1.82205f3f0c988p-4, 0x1.8021aecc46a64p-4, 0x1.7e1af977b3763p-4, 0x1.7c0c88c09ef13p-4, 0x1.79f6a4f7f816p-4, 0x1.77d995429e4fcp-4, 0x1.75b59f993ba32p-4, 0x1.738b08c6d5e27p-4, 0x1.715a1467c20bap-4, 0x1.6f2304ea98fd3p-4, 0x1.6ce61b93e748bp-4, 0x1.6aa39884ab7b5p-4, 0x1.685bbac1d897cp-4, 0x1.660ec03b224e1p-4, 0x1.63bce5ce23c2ap-4, 0x1.61666745837a7p-4, 0x1.5f0b7f54fd844p-4, 0x1.5cac67955c0aep-4, 0x1.5a495883729dcp-4, 0x1.57e289840897fp-4, 0x1.557830ec572bp-4, 0x1.530a840d0a688p-4, 0x1.5099b73c84d39p-4, 0x1.4e25fddd6c711p-4, 0x1.4baf8a5f9e9b7p-4, 0x1.49368e3beb894p-4, 0x1.46bb39ed3ce37p-4, 0x1.443dbceb0527bp-4, 0x1.41be45a895e4cp-4, 0x1.3f3d019ae73b3p-4, 0x1.3cba1d43e3511p-4, 0x1.3a35c43feb3bp-4, 0x1.37b021518ba36p-4, 0x1.35295e681e15ap-4, 0x1.32a1a49ffd6afp-4, 0x1.30191c3d3e01ap-4, 0x1.2d8feca3e9ffbp-4, 0x1.2b063c5194cddp-4, 0x1.287c30dbb102ap-4, 0x1.25f1eef432733p-4, 0x1.23679a73bb13p-4, 0x1.20dd566684b39p-4, 0x1.1e5345185a1a3p-4, 0x1.1bc9881c4db98p-4, 0x1.1940404ec379dp-4, 0x1.16b78dd24f396p-4, 0x1.142f9009b8b1ep-4, 0x1.11a865923d1d7p-4, 0x1.0f222c40ca6c9p-4, 0x1.0c9d0123d0f0cp-4, 0x1.0a190089927f9p-4, 0x1.0796460969bedp-4, 0x1.0514ec8d89115p-4, 0x1.02950e5ada79dp-4, 0x1.0016c5155f2cbp-4, 0x1.fb34538188138p-5, 0x1.f63ea97c5c9efp-5, 0x1.f14cbb922898fp-5, 0x1.ec5eb7e9e22e9p-5, 0x1.e774cb5af033cp-5, 0x1.e28f2172f2585p-5, 0x1.ddade47f63945p-5, 0x1.d8d13d9a96067p-5, 0x1.d3f954b6f8123p-5, 0x1.cf2650a841488p-5, 0x1.ca585728f1c8p-5, 0x1.c58f8cdc1f26ep-5, 0x1.c0cc154d2aeap-5, 0x1.bc0e12ef09cd7p-5, 0x1.b755a71cbc729p-5, 0x1.b2a2f21c2378cp-5, 0x1.adf613232a6bdp-5, 0x1.a94f285ea15acp-5, 0x1.a4ae4ef9acab7p-5, 0x1.a013a324a3448p-5, 0x1.9b7f401a7f25dp-5, 0x1.96f14024c71bfp-5, 0x1.9269bc9e22cefp-5, 0x1.8de8cdf446a31p-5, 0x1.896e8ba9f23f4p-5, 0x1.84fb0c598af16p-5, 0x1.808e65b893622p-5, 0x1.7c28ac9c0746ep-5, 0x1.77c9f4fd1b00ep-5, 0x1.737251fe50bb3p-5, 0x1.6f21d5eff74c6p-5, 0x1.6ad892548fc28p-5, 0x1.669697e5f1a2cp-5, 0x1.625bf69713f4fp-5, 0x1.5e28bd8c971a6p-5, 0x1.59fcfb34be5ep-5, 0x1.55d8bd36ae469p-5, 0x1.51bc1081ae67cp-5, 0x1.4da7014d59f02p-5, 0x1.49999b16f89a6p-5, 0x1.4593e8acaad04p-5, 0x1.4195f42f9dac1p-5, 0x1.3d9fc71703a89p-5, 0x1.39b16a3371f0dp-5, 0x1.35cae5b217b0ep-5, 0x1.31ec411f9f32bp-5, 0x1.2e15836afba09p-5, 0x1.2a46b2e81c0b3p-5, 0x1.267fd5529a8fbp-5, 0x1.22c0efd08b82ep-5, 0x1.1f0a06f556d0ep-5, 0x1.1b5b1ec4b0523p-5, 0x1.17b43ab5a2134p-5, 0x1.14155db59ad47p-5, 0x1.107e8a2b898eep-5, 0x1.0cefc1fac9797p-5, 0x1.09690686210dep-5, 0x1.05ea58b2907f8p-5, 0x1.0273b8ea11116p-5, 0x1.fe0a4e3c6d083p-6, 0x1.f73d45957b06dp-6, 0x1.f08055f0147e9p-6, 0x1.e9d37c7b40a9ep-6, 0x1.e336b58931378p-6, 0x1.dca9fc9428f77p-6, 0x1.d62d4c435e4e8p-6, 0x1.cfc09e70018ddp-6, 0x1.c963ec2a0dceep-6, 0x1.c3172dbd46d92p-6, 0x1.bcda5ab639d7ep-6, 0x1.b6ad69e72b10ap-6, 0x1.b090516d3eb56p-6, 0x1.aa8306b570748p-6, 0x1.a4857e81a3aa5p-6, 0x1.9e97aced6d33bp-6, 0x1.98b98572a9e27p-6, 0x1.92eafaedcddfp-6, 0x1.8d2bffa1aceebp-6, 0x1.877c853b3a482p-6, 0x1.81dc7cd4ef091p-6, 0x1.7c4bd6fa3160fp-6, 0x1.76ca83aafffdp-6, 0x1.7158725fc9c99p-6, 0x1.6bf5920df0b24p-6, 0x1.66a1d12c7da47p-6, 0x1.615d1db97e287p-6, 0x1.5c27653f63627p-6, 0x1.570094da2d01ap-6, 0x1.51e8993c731bdp-6, 0x1.4cdf5eb3a5603p-6, 0x1.47e4d12aad38fp-6, 0x1.42f8dc2c90a18p-6, 0x1.3e1b6ae539ff8p-6, 0x1.394c68223e932p-6, 0x1.348bbe537189ap-6, 0x1.2fd9578c177fbp-6, 0x1.2b351d855f1f6p-6, 0x1.269ef9a27782p-6, 0x1.2216d4f6ad305p-6, 0x1.1d9c984d0b926p-6, 0x1.19302c3140a91p-6, 0x1.14d178f857f76p-6, 0x1.108066c85bf22p-6, 0x1.0c3cdd9d75ac7p-6, 0x1.0806c54b7d3dbp-6, 0x1.03de057bd4e0fp-6, 0x1.ff850b4f152b9p-7, 0x1.f7685a1e679bap-7, 0x1.ef65c564ec224p-7, 0x1.e77d1a92e4bb1p-7, 0x1.dfae268596666p-7, 0x1.d7f8b58fafa1p-7, 0x1.d05c939009844p-7, 0x1.c8d98c1578d2p-7, 0x1.c16f6a8be6a6fp-7, 0x1.ba1dfa6b166cap-7, 0x1.b2e5075f5b75fp-7, 0x1.abc45d636e402p-7, 0x1.a4bbc8c48659dp-7, 0x1.9dcb160d7d65fp-7, 0x1.96f211da18eep-7, 0x1.903088989ad34p-7, 0x1.89864643bfcbdp-7, 0x1.82f31622f9d65p-7, 0x1.7c76c29e67272p-7, 0x1.76111532e8605p-7, 0x1.6fc1d68ce67c5p-7, 0x1.6988cecb10558p-7, 0x1.6365c5e1adb12p-7, 0x1.5d58841173a8p-7, 0x1.5760d25e9592fp-7, 0x1.517e7af3a4ae3p-7, 0x1.4bb1495c2c1f8p-7, 0x1.45f90a88b5c07p-7, 0x1.40558c956f8a4p-7, 0x1.3ac69e57f0062p-7, 0x1.354c0ec1db02bp-7, 0x1.2fe5ac3502d12p-7, 0x1.2a9344062b6d2p-7, 0x1.2554a18ea364dp-7, 0x1.20298e8103f06p-7, 0x1.1b11d2c09e187p-7, 0x1.160d3504f2dd4p-7, 0x1.111b7b3d4e73cp-7, 0x1.0c3c6bcf33d93p-7, 0x1.076fce7b1587cp-7, 0x1.02b56d3d9e6b6p-7, 0x1.fc1a29e1326c9p-8, 0x1.f2ed2b0de7f86p-8, 0x1.e9e3839e58aa8p-8, 0x1.e0fcdd74eb4dep-8, 0x1.d838e477c7459p-8, 0x1.cf9743cd603aep-8, 0x1.c717a3040c521p-8, 0x1.beb9a39db0c1fp-8, 0x1.b67cdf7097b09p-8, 0x1.ae60e8316c5dcp-8, 0x1.a665484f8f101p-8, 0x1.9e898519e08f6p-8, 0x1.96cd21f0b111bp-8, 0x1.8f2fa4205188bp-8, 0x1.87b096e253ca2p-8, 0x1.804f8ef53344dp-8, 0x1.790c2d3e5b12fp-8, 0x1.71e61fff97733p-8, 0x1.6add22522da6fp-8, 0x1.63f0f9d19d8ddp-8, 0x1.5d217290d0f04p-8, 0x1.566e5c8cf89bap-8, 0x1.4fd77abe5c668p-8, 0x1.495c93599c5d5p-8, 0x1.42fd566976163p-8, 0x1.3cb965d7fd61p-8, 0x1.369052e472c71p-8, 0x1.3081a006dc1eap-8, 0x1.2a8cc4ce3c0fbp-8, 0x1.24b13341e3ee6p-8, 0x1.1eee5e1991f81p-8, 0x1.1943bf0d4e04fp-8, 0x1.13b0dc814d4bdp-8, 0x1.0e354de9f7282p-8, 0x1.08d0be6991a87p-8, 0x1.0382ed5897e3bp-8, 0x1.fc97594497fe7p-9, 0x1.f255ba34cdf0cp-9, 0x1.e840d258614c7p-9, 0x1.de587cf082aaep-9, 0x1.d49c8e3bf42a9p-9, 0x1.cb0cc70681849p-9, 0x1.c1a8cacf1b883p-9, 0x1.b87019d563464p-9, 0x1.af620fd1b3b63p-9, 0x1.a67de7586279fp-9, 0x1.9dc2c11a4d1edp-9, 0x1.952fad90a2d3p-9, 0x1.8cc3b75fb8eedp-9, 0x1.847dece9e16f8p-9, 0x1.7c5d68195723bp-9, 0x1.7461541157a04p-9, 0x1.6c88f0f867f8fp-9, 0x1.64d3963e36efbp-9, 0x1.5d40b39d0a219p-9, 0x1.55cfd0c9808b3p-9, 0x1.4e808b8254ff5p-9, 0x1.475293aa09106p-9, 0x1.4045a55ba1a51p-9, 0x1.3959817221836p-9, 0x1.328de5978ce62p-9, 0x1.2be28564574f4p-9, 0x1.25570624e148cp-9, 0x1.1eeafe5a8a5bcp-9, 0x1.189df9063bf62p-9, 0x1.126f7b8548e48p-9, 0x1.0c5f0bbbd5d9ap-9, 0x1.066c33f7b7defp-9, 0x1.009682b089a08p-9, 0x1.f5bb0be41fb3dp-10, 0x1.ea81887a72056p-10, 0x1.df7f6c40e43bep-10, 0x1.d4b387d21d649p-10, 0x1.ca1c92dd6d7d7p-10, 0x1.bfb93ee867b04p-10, 0x1.b5884f80194c4p-10, 0x1.ab88af2f22625p-10, 0x1.a1b979862c708p-10, 0x1.9819f69d4eb3ep-10, 0x1.8ea98a4ff64e4p-10, 0x1.85679e7098b57p-10, 0x1.7c53910ede315p-10, 0x1.736cadd5a38bfp-10, 0x1.6ab23490c3fbdp-10, 0x1.62236963ba6bep-10, 0x1.59bfa936c7d25p-10, 0x1.51867627922f5p-10, 0x1.49777a6228985p-10, 0x1.419282d3095aep-10, 0x1.39d76249dfa8fp-10, 0x1.3245d142737efp-10, 0x1.2add4beb7eb1dp-10, 0x1.239cf76eeaca1p-10, 0x1.1c839c244d2e8p-10, 0x1.158fba26288f9p-10, 0x1.0ebfb63442fffp-10, 0x1.08121345c9ba3p-10, 0x1.0185a6c15586ap-10, 0x1.f6336a6a939a4p-11, 0x1.e99bd959e30aap-11, 0x1.dd447cd6399dcp-11, 0x1.d12d4e830ac06p-11, 0x1.c555fb3511e8p-11, 0x1.b9bdb3a3eb00fp-11, 0x1.ae634227eefd6p-11, 0x1.a34555faa7418p-11, 0x1.9862de4fcdc4fp-11, 0x1.8dbb4d71c3ce2p-11, 0x1.834eaacbfbbe7p-11, 0x1.791d6f6a3a13ap-11, 0x1.6f2839745f892p-11, 0x1.656f6d610d243p-11, 0x1.5bf2debf8b11fp-11, 0x1.52b195b51d6acp-11, 0x1.49a9bafcb974fp-11, 0x1.40d8a8d6e1199p-11, 0x1.383b1b1e6adb6p-11, 0x1.2fcd7b2734b72p-11, 0x1.278c44639d1eap-11, 0x1.1f74760cc87c4p-11, 0x1.1783f83cd8f72p-11, 0x1.0fb9d3e48f90fp-11, 0x1.0816250da3f53p-11, 0x1.0099c418a95fbp-11, 0x1.f28b7b5c8334dp-12, 0x1.e435905882cc1p-12, 0x1.d631d652cde6p-12, 0x1.c87ef200a2d7fp-12, 0x1.bb1aa807584f9p-12, 0x1.ae02b5f35a1c3p-12, 0x1.a135a78835b71p-12, 0x1.94b36b78ad6fcp-12, 0x1.887d7761b8bb1p-12, 0x1.7c96548b2b6bbp-12, 0x1.71009cc4b8af1p-12, 0x1.65bdceec4eb3fp-12, 0x1.5acd637cc6e27p-12, 0x1.502cbecdb5d36p-12, 0x1.45d7b7abe1939p-12, 0x1.3bc975d481f24p-12, 0x1.31fd24b20ee3bp-12, 0x1.286e40d7743c6p-12, 0x1.1f18927db983bp-12, 0x1.15f81ec3aace8p-12, 0x1.0d094ffe2c974p-12, 0x1.0449539c6f76dp-12, 0x1.f76cde39e107dp-13, 0x1.e6a025d7a3fap-13, 0x1.d62d559108be8p-13, 0x1.c6169635c0cd9p-13, 0x1.b65e927aa4524p-13, 0x1.a7078473dec3cp-13, 0x1.98125059b986cp-13, 0x1.897df92b82f3ap-13, 0x1.7b47be8faf5cap-13, 0x1.6d6c38326d433p-13, 0x1.5fe959e88a6c5p-13, 0x1.52c039b6b673dp-13, 0x1.45f4e58981bdcp-13, 0x1.398be46b6e11p-13, 0x1.2d8720cf2936dp-13, 0x1.21e4759e206ffp-13, 0x1.169e7bed0be63p-13, 0x1.0bae841d3a3adp-13, 0x1.010e5d51a4c05p-13, 0x1.ed7292a083296p-14, 0x1.d958540862dd9p-14, 0x1.c5ca518f7869bp-14, 0x1.b2c60e497d3dep-14, 0x1.a048952f17837p-14, 0x1.8e4d3e05a0bb6p-14, 0x1.7ccdc3ab57d91p-14, 0x1.6bc3db583b3f1p-14, 0x1.5b2b1c4227349p-14, 0x1.4b0032a4d77e5p-14, 0x1.3b3ee2b742ebbp-14, 0x1.2be0dd1ed3cb5p-14, 0x1.1ce0bff899a1ap-14, 0x1.0e3f5eb30b775p-14, 0x1.0003ffe4df7a2p-14, 0x1.e46c9fdfbe216p-15, 0x1.c9af15045590ep-15, 0x1.afc48731d016p-15, 0x1.96a303f4f3e28p-15, 0x1.7e4e2b670a621p-15, 0x1.66d29ed4b2518p-15, 0x1.50358fc64a9c6p-15, 0x1.3a6b82772826fp-15, 0x1.255dfccbf55b7p-15, 0x1.10f73a3cb546ep-15, 0x1.fa5314b4d2295p-16, 0x1.d3e0070a032cdp-16, 0x1.ae96f0f49ec55p-16, 0x1.8a7dbbf29b2b9p-16, 0x1.6799596885ab8p-16, 0x1.45eaf0c5d4925p-16, 0x1.256ecf30c9687p-16, 0x1.061c7d03ed085p-16, 0x1.cfcf620ed3c77p-17, 0x1.95839142323e9p-17, 0x1.5d37539b64a73p-17, 0x1.26d23f368bdeep-17, 0x1.e4983554afd99p-18, 0x1.7f60769ac4b5dp-18, 0x1.1e0d9a9a0135fp-18, 0x1.80a6dd341eee6p-19, 0x1.95eb5626009fep-20, 0x1.9eaab73648bb7p-23, -0x1.23dba2c5bbd7ep-20, -0x1.36bda144b8ab8p-19, -0x1.d356bea3281cfp-19, -0x1.343068add7dfbp-18, -0x1.7ba7d0b9aa413p-18, -0x1.c058ba0bf02c7p-18, -0x1.0109ebf6ce07cp-17, -0x1.20641548790e6p-17, -0x1.3e5c72680063ap-17, -0x1.5b1f8a87e818dp-17, -0x1.76c8d61254e44p-17, -0x1.91605e4b53bcep-17, -0x1.aae450c23191dp-17, -0x1.c350fdb275045p-17, -0x1.daa32837e0f5ap-17, -0x1.f0d609db782bdp-17, -0x1.02f063f510b6fp-16, -0x1.0cdbbe34d8f1p-16, -0x1.1628de48cba3ep-16, -0x1.1eda990d494ap-16, -0x1.27007b728575p-16, -0x1.2eb897255b775p-16, -0x1.3624a18837946p-16, -0x1.3d4f81043216fp-16, -0x1.4422c46e6e2ffp-16, -0x1.4a7b148776fcep-16, -0x1.504f93b9e209ap-16, -0x1.55b6a56fed0dcp-16, -0x1.5abf9de7e7716p-16, -0x1.5f5ff3eca4dacp-16, -0x1.63954fc4e5c2fp-16, -0x1.6772e77c09c5cp-16, -0x1.6afdca9857542p-16, -0x1.6e2f6c3949b3ep-16, -0x1.711c4243bc886p-16, -0x1.73e1505247494p-16, -0x1.7673177e197bap-16, -0x1.78b09180db1f6p-16, -0x1.7a92edf74129p-16, -0x1.7c2a5fc40e611p-16, -0x1.7d859c348a08fp-16, -0x1.7eaa825bb5b08p-16, -0x1.7f9a3752ba05bp-16, -0x1.80552cb460217p-16, -0x1.80dc3b9abe4aep-16, -0x1.812fb89a12b95p-16, -0x1.814e11f110fb9p-16, -0x1.81337d06dccd9p-16, -0x1.80dab703ff6fbp-16, -0x1.8041d0d4a43c6p-16, -0x1.7f69ba8b2bf49p-16, -0x1.7e61fc153b69cp-16, -0x1.7d44b66accf4cp-16, -0x1.7c1b0a2d026f1p-16, -0x1.7ace9179d5fa4p-16, -0x1.79506ca693838p-16, -0x1.77b343357241bp-16, -0x1.7603d4eec404fp-16, -0x1.742fc10d17cbcp-16, -0x1.7229cb2c270a7p-16, -0x1.6ffcb335913ap-16, -0x1.6db7c01fdcfe5p-16, -0x1.6b5e8a9fc9b83p-16, -0x1.68e75d5ecb6adp-16, -0x1.664a88d52713fp-16, -0x1.639504993c609p-16, -0x1.60d45e285b52cp-16, -0x1.5e0501ce77b57p-16, -0x1.5b2bf9f3742b5p-16, -0x1.5848db3ec7ee8p-16, -0x1.5549ac97fcad4p-16, -0x1.522c3ee2da81ep-16, -0x1.4efc5a00e6fcdp-16, -0x1.4bc1174c38a57p-16, -0x1.487ba38cefac9p-16, -0x1.452b8d9d45508p-16, -0x1.41d08f9aeb94cp-16, -0x1.3e6a85a0f2c22p-16, -0x1.3af92d58aa922p-16, -0x1.377c5e6c17727p-16, -0x1.33f3e8b0bedd3p-16, -0x1.305dd9045fdbbp-16, -0x1.2cb7fce016712p-16, -0x1.290955c766c8fp-16, -0x1.255bd4ef4e045p-16, -0x1.21aadec9ebc06p-16, -0x1.1df713f6fdf34p-16, -0x1.1a46b1d43965fp-16, -0x1.168e7b4ed9142p-16, -0x1.12c8d00e724cep-16, -0x1.0efd946a01ea8p-16, -0x1.0b326ddb93ce6p-16, -0x1.0768312bd2c83p-16, -0x1.039e573323f62p-16, -0x1.ffa8fcadcb00bp-17, -0x1.f81503cb074ebp-17, -0x1.f080e1e3865ccp-17, -0x1.e8ed8cf7b19dp-17, -0x1.e15cd7b0e834p-17, -0x1.d9cf52dabbd63p-17, -0x1.d240672fe9a1dp-17, -0x1.caa9d05fa92dbp-17, -0x1.c3144e475a876p-17, -0x1.bb8d81a6f66b6p-17, -0x1.b416c960dc0b7p-17, -0x1.aca81e0125d82p-17, -0x1.a5374f53c716bp-17, -0x1.9dca2a6662d06p-17, -0x1.96663bd3d1987p-17, -0x1.8f0f41b16bf88p-17, -0x1.87c20ceec079dp-17, -0x1.807f562b7d039p-17, -0x1.7947846ee7f74p-17, -0x1.721afc87c78c2p-17, -0x1.6af75c71fd6bp-17, -0x1.63d86212e3851p-17, -0x1.5cc34f90afc6p-17, -0x1.55bf8cb783cc2p-17, -0x1.4ecdf019c471ep-17, -0x1.47eae935663e8p-17, -0x1.410f402960507p-17, -0x1.3a3f18610c9dbp-17, -0x1.337e38fb89812p-17, -0x1.2cccdf9e4e8ep-17, -0x1.262a809b65d5dp-17, -0x1.1f96fa6fde17ap-17, -0x1.191159172f936p-17, -0x1.129bee89ac7e4p-17, -0x1.0c34f911d5c12p-17, -0x1.05dd9e4fc2b85p-17, -0x1.ff2bc24a64663p-18, -0x1.f2bbe11bc73dcp-18, -0x1.e66bf307fb99ep-18, -0x1.da3c42638209cp-18, -0x1.ce2d071f7c854p-18, -0x1.c23e69b9f702cp-18, -0x1.b67094b1a893fp-18, -0x1.aac3cf500d2acp-18, -0x1.9f388411f0594p-18, -0x1.93cef726a14bap-18, -0x1.88868be513c38p-18, -0x1.7d5ead30c3103p-18, -0x1.72592cfdd3e8dp-18, }}, 
      {{-0x1.87a940eb6fad9p-3, -0x1.54314a89046d3p-3, -0x1.082b47ed82b33p-3, -0x1.5a0b06828066bp-4, -0x1.2d4562b2a9e6ep-5, 0x1.5fd57a0a68acp-7, 0x1.c6ed8e1f1faa5p-5, 0x1.88caa0796fffep-4, 0x1.0bddd077a2193p-3, 0x1.47242f2b8100ep-3, 0x1.760ec6b9873acp-3, 0x1.990e903454c13p-3, 0x1.b0fd28f2918dep-3, 0x1.bef4fba8476d8p-3, 0x1.c432848aa8d08p-3, 0x1.c1fd5fb2427f6p-3, 0x1.b997c65878f25p-3, 0x1.ac33372dd26a2p-3, 0x1.9ae92bff75188p-3, 0x1.86b6e92594b7ep-3, 0x1.707b9d7888c91p-3, 0x1.58f8306e33a7bp-3, 0x1.40d03df734e2ep-3, 0x1.288bdbe1d275ap-3, 0x1.1099dbdf3ab64p-3, 0x1.f2a4a040c5b83p-4, 0x1.c5f24f67240b3p-4, 0x1.9b81881338965p-4, 0x1.7398e3697848fp-4, 0x1.4e656ef8f4724p-4, 0x1.2bfee5554e238p-4, 0x1.0c6b79a21f481p-4, 0x1.df466afcdb80bp-5, 0x1.ab25d5f65cae1p-5, 0x1.7c3d8179a2b5bp-5, 0x1.5248bfe212a0ep-5, 0x1.2cf9996aa38a3p-5, 0x1.0bfbe4bf4f7c1p-5, 0x1.ddefadfafcf2ep-6, 0x1.ab283b1c89436p-6, 0x1.7eef22cc6497dp-6, 0x1.589523c692a52p-6, 0x1.37702abfad012p-6, 0x1.1adcf22b9aeaep-6, 0x1.0240379e4608cp-6, 0x1.da0f2e047d7ap-7, 0x1.b55437f7bf9fp-7, 0x1.95512b6823581p-7, 0x1.791b7272cfab8p-7, 0x1.5fdc35d67242ap-7, 0x1.48d0109e3e474p-7, 0x1.33468dfe6d28ep-7, 0x1.1ea1813a7cad1p-7, 0x1.0a543eba2a7cdp-7, 0x1.ebc57d981d95p-8, 0x1.c1c1664c3485fp-8, 0x1.95e1212e11768p-8, 0x1.67852b4f8e095p-8, 0x1.36279da0cc39bp-8, 0x1.015a39bcd3acfp-8, 0x1.918904f150a2ap-9, 0x1.1843b4361ed0bp-9, 0x1.2cfefa2d1a246p-10, 0x1.7f04010eeee9bp-14, -0x1.0ef240be56bdep-10, -0x1.23e09d5f71a62p-9, -0x1.c9333f3be696dp-9, -0x1.3ba8a28c65878p-8, -0x1.97046ca16c6f4p-8, -0x1.f68c3940f7719p-8, -0x1.2d0c40b02f68fp-7, -0x1.60bdfeab9f232p-7, -0x1.96424948b3ec9p-7, -0x1.cd7e19112c8ebp-7, -0x1.032a690cfcbd8p-6, -0x1.205450f24be6dp-6, -0x1.3e2d690615f88p-6, -0x1.5ca6098e322bep-6, -0x1.7bae5d520abd8p-6, -0x1.9b36805d3c4d3p-6, -0x1.bb2e96f8bba17p-6, -0x1.db86e5780e4f3p-6, -0x1.fc2fe44e3cb81p-6, -0x1.0e8d2902eccd6p-5, -0x1.1f1ba18233318p-5, -0x1.2fbc176e451a8p-5, -0x1.40677db5ea15cp-5, -0x1.511702db03097p-5, -0x1.61c4146e32cd3p-5, -0x1.726861b5d8b4p-5, -0x1.82fddda4c4506p-5, -0x1.937ec043a98a1p-5, -0x1.a3e5879bce486p-5, -0x1.b42cf84177cbdp-5, -0x1.c4501d8de0a19p-5, -0x1.d44a4975ff168p-5, -0x1.e4171412f8caep-5, -0x1.f3b25aca02eb6p-5, -0x1.018c1fc2aa555p-4, -0x1.0922938de66d6p-4, -0x1.109adc085c66fp-4, -0x1.17f36c6a7e47p-4, -0x1.1f2ad6ee5f051p-4, -0x1.263fcbe4f754cp-4, -0x1.2d3118b11ef61p-4, -0x1.33fda6bbd679cp-4, -0x1.3aa47a66d0c6fp-4, -0x1.4124b1fb778dbp-4, -0x1.477d84a00f305p-4, -0x1.4dae4131c15fep-4, -0x1.53b64d6098d3cp-4, -0x1.5995247c83036p-4, -0x1.5f4a56839df78p-4, -0x1.64d5871aa2d28p-4, -0x1.6a366c8fc6c17p-4, -0x1.6f6ccee14975cp-4, -0x1.747886cb693eap-4, -0x1.79597cdb92404p-4, -0x1.7e0fa889a6724p-4, -0x1.829b0f59e86ep-4, -0x1.86fbc403949d7p-4, -0x1.8b31e5a1a5011p-4, -0x1.8f3d9ee8895aep-4, -0x1.931f2566277eap-4, -0x1.96d6b8c7bcd13p-4, -0x1.9a64a227840d8p-4, -0x1.9dc93363c449p-4, -0x1.a104c67c7b755p-4, -0x1.a417bcf6db783p-4, -0x1.a7027f4b26cd5p-4, -0x1.a9c57c58c350ep-4, -0x1.ac6128e01105ep-4, -0x1.aed5fefe98c1ap-4, -0x1.b1247dc3313bcp-4, -0x1.b34d28acff015p-4, -0x1.b55087477edc8p-4, -0x1.b72f24c2b8d59p-4, -0x1.b8e98f8fdadc5p-4, -0x1.ba8059062ce4fp-4, -0x1.bbf4150d7b99p-4, -0x1.bd4559c99abfbp-4, -0x1.be74bf4dee6a9p-4, -0x1.bf82df5647874p-4, -0x1.c07055002f45cp-4, -0x1.c13dbc8a12a07p-4, -0x1.c1ebb3195cf19p-4, -0x1.c27ad680dff03p-4, -0x1.c2ebc509adf5dp-4, -0x1.c33f1d42f86cep-4, -0x1.c3757dd50260fp-4, -0x1.c38f855148d0cp-4, -0x1.c38dd20adbfdp-4, -0x1.c37101f37d9d8p-4, -0x1.c339b27886ca1p-4, -0x1.c2e880605012fp-4, -0x1.c27e07ab8b63p-4, -0x1.c1fae378af68cp-4, -0x1.c15fade7d558cp-4, -0x1.c0ad000210d9fp-4, -0x1.bfe371a558113p-4, -0x1.bf039970d1b5bp-4, -0x1.be0e0cb0392b2p-4, -0x1.bd035f499a816p-4, -0x1.bbe423ab5d9d9p-4, -0x1.bab0eac3a4a61p-4, -0x1.b96a43eb52dfdp-4, -0x1.b810bcdca7d48p-4, -0x1.b6a4e1a90ae1bp-4, -0x1.b5273cb021842p-4, -0x1.b3985695b8cf4p-4, -0x1.b1f8b6389aa13p-4, -0x1.b048e0a0380ap-4, -0x1.ae895935bd5ep-4, -0x1.acbaa141c5aap-4, -0x1.aadd3862a5e42p-4, -0x1.a8f19c4a79b31p-4, -0x1.a6f848c98e67cp-4, -0x1.a4f1b7cc15a6ep-4, -0x1.a2de61569d2bep-4, -0x1.a0bebb837e986p-4, -0x1.9e933a82cf9f7p-4, -0x1.9c5c509b00599p-4, -0x1.9a1a6e27f14bp-4, -0x1.97ce01999986dp-4, -0x1.95777774557f6p-4, -0x1.93173a532f426p-4, -0x1.90adb2ea05d02p-4, -0x1.8e3b4806202d5p-4, -0x1.8bc05e8e71782p-4, -0x1.893d5985bf30dp-4, -0x1.86b29a0e7d06bp-4, -0x1.84207f6e35f1fp-4, -0x1.8187670f50ac2p-4, -0x1.7ee7ac829939ap-4, -0x1.7c41a982715ep-4, -0x1.7995b5f79e7a3p-4, -0x1.76e427fdccd44p-4, -0x1.742d53e689281p-4, -0x1.71718c3b9e2d4p-4, -0x1.6eb121c2b24a9p-4, -0x1.6bec6382f9463p-4, -0x1.69239ec8ad349p-4, -0x1.66571f2cbad05p-4, -0x1.63872e94bb253p-4, -0x1.60b41537f526ep-4, -0x1.5dde19a462464p-4, -0x1.5b0580c47cce4p-4, -0x1.582a8de47b2fp-4, -0x1.554d82b5b7283p-4, -0x1.526e9f5bda07bp-4, -0x1.4f8e2250cf5bbp-4, -0x1.4cac48a162a97p-4, -0x1.49c94dc15415fp-4, -0x1.46e56ba892b4cp-4, -0x1.4400dad29a81fp-4, -0x1.411bd242e503ap-4, -0x1.3e368789e897dp-4, -0x1.3b512ecae7dfap-4, -0x1.386bfac1e838cp-4, -0x1.35871cc910bebp-4, -0x1.32a2c4dd4e77fp-4, -0x1.2fbf21a2da9b1p-4, -0x1.2cdc606a4794fp-4, -0x1.29faad362c0a4p-4, -0x1.271a32c101363p-4, -0x1.243b1a82a088bp-4, -0x1.215d8cb534b3dp-4, -0x1.1e81b059cdd6ep-4, -0x1.1ba7ab3d44795p-4, -0x1.18cfa1fd9c10dp-4, -0x1.15f9b80fb20ddp-4, -0x1.13260fc4c95f6p-4, -0x1.1054ca4fac0e8p-4, -0x1.0d8607c96839ap-4, -0x1.0ab9e735fe1bcp-4, -0x1.07f08689373ddp-4, -0x1.052a02abbddeap-4, -0x1.0266778050ad1p-4, -0x1.ff4bffd1a430cp-5, -0x1.f9d16b970519ep-5, -0x1.f45d6430e1662p-5, -0x1.eef0199d51874p-5, -0x1.e989ba01b43bp-5, -0x1.e42a71b2c2ae3p-5, -0x1.ded26b3c26aa3p-5, -0x1.d981cf69173bfp-5, -0x1.d438c54f2ea3bp-5, -0x1.cef7725972eedp-5, -0x1.c9bdfa5491608p-5, -0x1.c48c7f76f99e9p-5, -0x1.bf6322661a91bp-5, -0x1.ba42023e1d2a4p-5, -0x1.b5293c9af361p-5, -0x1.b018eda2561e4p-5, -0x1.ab11300cff274p-5, -0x1.a6121d2ef8037p-5, -0x1.a11bccff8a965p-5, -0x1.9c2e5621456d3p-5, -0x1.9749cdea206c2p-5, -0x1.926e486ba2e26p-5, -0x1.8d9bd87adfc0ep-5, -0x1.88d28fb82e42bp-5, -0x1.84127e96bad35p-5, -0x1.7f5bb463e43c6p-5, -0x1.7aae3f4eab1f1p-5, -0x1.760a2c6f140f1p-5, -0x1.716f87cd8357dp-5, -0x1.6cde5c69f6471p-5, -0x1.6856b4431ab01p-5, -0x1.63d8985d35e18p-5, -0x1.5f6410c8dbc0fp-5, -0x1.5af924a984d41p-5, -0x1.5697da3c0b4e6p-5, -0x1.524036dd32ad2p-5, -0x1.4df23f0ff6542p-5, -0x1.49adf683884b3p-5, -0x1.45736019689dcp-5, -0x1.41427deb77729p-5, -0x1.3d1b5151d4d35p-5, -0x1.38fddae8714a6p-5, -0x1.34ea1a94a3c74p-5, -0x1.30e00f8a9a91ap-5, -0x1.2cdfb852a74abp-5, -0x1.28e912ce7199bp-5, -0x1.24fc1c3e0fce9p-5, -0x1.2118d14521479p-5, -0x1.1d3f2defd798bp-5, -0x1.196f2db7f2551p-5, -0x1.15a8cb899802ap-5, -0x1.11ec01c805e3cp-5, -0x1.0e38ca521040fp-5, -0x1.0a8f1e8687411p-5, -0x1.06eef7488a29ep-5, -0x1.03584d03d4ff7p-5, -0x1.ff962f621e634p-6, -0x1.f88e9db4332bbp-6, -0x1.f199d33c8c6b8p-6, -0x1.eab7bd6cc2a5ap-6, -0x1.e3e848f1173bep-6, -0x1.dd2b61b7fb215p-6, -0x1.d680f2f8322fep-6, -0x1.cfe8e738cbd9bp-6, -0x1.c9632857de7ep-6, -0x1.c2ef9f90c08eep-6, -0x1.bc8e358392141p-6, -0x1.b63ed23be22f6p-6, -0x1.b0015d370c25cp-6, -0x1.a9d5bd6a97392p-6, -0x1.a3bbd9496a094p-6, -0x1.9db396c9be0eep-6, -0x1.97bcdb69db5c2p-6, -0x1.91d78c360676ep-6, -0x1.8c038dcda2d5bp-6, -0x1.8640c468b5c4ap-6, -0x1.808f13dd542d9p-6, -0x1.7aee5fa4de6a6p-6, -0x1.755e8ae0ed46dp-6, -0x1.6fdf785febf9bp-6, -0x1.6a710aa17a868p-6, -0x1.651323daa47e1p-6, -0x1.5fc5a5fa116a3p-6, -0x1.5a8872ac47848p-6, -0x1.555b6b5feb9d6p-6, -0x1.503e714a1299fp-6, -0x1.4b31656a68b9ap-6, -0x1.4634288f3cb63p-6, -0x1.41469b59561c7p-6, -0x1.3c689e3f940ep-6, -0x1.379a1192573c3p-6, -0x1.32dad57ec52edp-6, -0x1.2e2aca11faa7bp-6, -0x1.2989cf3c320fbp-6, -0x1.24f7c4d3e87b4p-6, -0x1.20748a98f6b91p-6, -0x1.1c000037a3566p-6, -0x1.179a054b9c035p-6, -0x1.13427962dd5e8p-6, -0x1.0ef93c006fd52p-6, -0x1.0abe2c9f02bacp-6, -0x1.06912ab364335p-6, -0x1.027215aed04b6p-6, -0x1.fcc19a0247d7dp-7, -0x1.f4ba60361e31dp-7, -0x1.ecce3ce0804e8p-7, -0x1.e4fceef2f67c7p-7, -0x1.dd46356d75fd9p-7, -0x1.d5a9cf6297145p-7, -0x1.ce277bfbcb0fdp-7, -0x1.c6befa7d58a4bp-7, -0x1.bf700a4a29d4ap-7, -0x1.b83a6ae73a21ap-7, -0x1.b11ddbfebfccp-7, -0x1.aa1a1d632f0ffp-7, -0x1.a32eef1211c27p-7, -0x1.9c5c1136cb3a3p-7, -0x1.95a1442ef18b5p-7, -0x1.8efe488c04a15p-7, -0x1.8872df161ba32p-7, -0x1.81fec8d0e1708p-7, -0x1.7ba1c6fb5f26fp-7, -0x1.755b9b157a197p-7, -0x1.6f2c06e0cc8cdp-7, -0x1.6912cc62e98e4p-7, -0x1.630fade78fe6dp-7, -0x1.5d226e02c6898p-7, -0x1.574acf92db745p-7, -0x1.518895c27be5ap-7, -0x1.4bdb840ab4a52p-7, -0x1.46435e34f715bp-7, -0x1.40bfe85cf281fp-7, -0x1.3b50e6f26587fp-7, -0x1.35f61ebab7a48p-7, -0x1.30af54d2802bap-7, -0x1.2b7c4eaee3076p-7, -0x1.265cd21ef1d4bp-7, -0x1.2150a54cee50ep-7, -0x1.1c578ebf8fe09p-7, -0x1.1771555b3dd3ap-7, -0x1.129dc06331e11p-7, -0x1.0ddc977a798f7p-7, -0x1.092da2a4d2bddp-7, -0x1.0490aa4667aa5p-7, -0x1.000577232e80ep-7, -0x1.f717a4c70f62cp-8, -0x1.ee470b8a719a5p-8, -0x1.e598b6f7f6184p-8, -0x1.dd0c3a49feaa2p-8, -0x1.d4a12c0b1bfa8p-8, -0x1.cc5721fc45b4p-8, -0x1.c42db39e50b52p-8, -0x1.bc24797acc4fp-8, -0x1.b43b0bde07fabp-8, -0x1.ac710456d646bp-8, -0x1.a4c5fd6465e01p-8, -0x1.9d3992561e9ecp-8, -0x1.95cb5f4d8d429p-8, -0x1.8e7b01412833dp-8, -0x1.874815fe07bdap-8, -0x1.80323c289a7aep-8, -0x1.7939133d2a313p-8, -0x1.725c3b90467efp-8, -0x1.6b9b564f01a7ap-8, -0x1.64f6057f3d238p-8, -0x1.5e6bebffcfe79p-8, -0x1.57fcad88abd5p-8, -0x1.51a7eeaaf04d1p-8, -0x1.4b6d54d0f7b3fp-8, -0x1.454c863e3cb33p-8, -0x1.3f452a0f55b8bp-8, -0x1.3956e839b902dp-8, -0x1.3381698b89ad6p-8, -0x1.2dc457ab5b2dcp-8, -0x1.281f5d17d62p-8, -0x1.22922527692edp-8, -0x1.1d1c5c07e8878p-8, -0x1.17bdaebe20a3fp-8, -0x1.1275cb254d366p-8, -0x1.0d445fee956e7p-8, -0x1.08291ca09d5abp-8, -0x1.0323b19635d38p-8, -0x1.fc679ffbe03adp-9, -0x1.f2b253b45255ap-9, -0x1.e926e3fe09a58p-9, -0x1.dfc4b824ea444p-9, -0x1.d68b3917063c6p-9, -0x1.cd79d16363f95p-9, -0x1.c48fed38971d9p-9, -0x1.bbccfa634906p-9, -0x1.b330684c5025fp-9, -0x1.aab9a7f674a23p-9, -0x1.a2682bfbc8d5fp-9, -0x1.9a3b688ac62bap-9, -0x1.9232d3636a85cp-9, -0x1.8a4de3d480708p-9, -0x1.828c12b9617c7p-9, -0x1.7aecda7872ef1p-9, -0x1.736fb701fa45ep-9, -0x1.6c1425cf6640ap-9, -0x1.64d9a5e24e2cep-9, -0x1.5dbfb7c597c24p-9, -0x1.56c5dd88a0a4dp-9, -0x1.4feb9abca97dfp-9, -0x1.49307473d8a8ap-9, -0x1.4293f1379a292p-9, -0x1.3c159906c63cp-9, -0x1.35b4f54f598d5p-9, -0x1.2f7190e9e129p-9, -0x1.294af8171dde8p-9, -0x1.2340b87f17411p-9, -0x1.1d526131ce1bbp-9, -0x1.177f82a8ec39ap-9, -0x1.11c7aec997a63p-9, -0x1.0c2a78e5681ebp-9, -0x1.06a775b971a06p-9, -0x1.013e3b6af01ap-9, -0x1.f7dcc3029aa55p-10, -0x1.ed6f01bbee7cep-10, -0x1.e33267664a957p-10, -0x1.d9262af5030a3p-10, -0x1.cf4985db0f77ap-10, -0x1.c59bb40138d8ep-10, -0x1.bc1bf3c2dbbe4p-10, -0x1.b2c985f0bb20cp-10, -0x1.a9a3addb18533p-10, -0x1.a0a9b15f2ba38p-10, -0x1.97dad8f25fe75p-10, -0x1.8f366fa6ff50cp-10, -0x1.86bbc328edc32p-10, -0x1.7e6a23b3e0d28p-10, -0x1.7640e404cb67fp-10, -0x1.6e3f5945e62bbp-10, -0x1.6664daf58d00bp-10, -0x1.5eb0c2cb0913p-10, -0x1.57226c9eabd44p-10, -0x1.4fb9365a7b38dp-10, -0x1.48747ff717f58p-10, -0x1.4153ab833e485p-10, -0x1.3a561d3223292p-10, -0x1.337b3b6be606dp-10, -0x1.2cc26edca45d3p-10, -0x1.262b227f22e35p-10, -0x1.1fb4c3a08df02p-10, -0x1.195ec1d9868e4p-10, -0x1.13288effecb3ep-10, -0x1.0d119f1314b5ep-10, -0x1.0719681ecefa7p-10, -0x1.013f62214923fp-10, -0x1.f7060dd3181f3p-11, -0x1.ebc7a3b69b9ccp-11, -0x1.e0c2805571143p-11, -0x1.d5f5aa5de5516p-11, -0x1.cb6018ef199bep-11, -0x1.c100d44d8d833p-11, -0x1.b6d6e54d8e96cp-11, -0x1.ace160ac4ddf5p-11, -0x1.a31f5235d6808p-11, -0x1.998fcf514d6fep-11, -0x1.9031f1346bap-11, -0x1.8704d4648fdacp-11, -0x1.7e0798cd21cfcp-11, -0x1.753961b1d1d76p-11, -0x1.6c99559cfad13p-11, -0x1.64269e5432938p-11, -0x1.5be068d5ecdc9p-11, -0x1.53c5e55d1ad64p-11, -0x1.4bd6476947792p-11, -0x1.4410c5c69e505p-11, -0x1.3c749a92c591ap-11, -0x1.3501033b12f92p-11, -0x1.2db54071c026cp-11, -0x1.26909618faa8fp-11, -0x1.1f924b24d475cp-11, -0x1.18b9a9770680fp-11, -0x1.1205fdba4b0f3p-11, -0x1.0b7697433442cp-11, -0x1.050ac7fcbb2dep-11, -0x1.fd83c8c601b36p-12, -0x1.f1368711f0dd9p-12, -0x1.e52c7e15ac106p-12, -0x1.d964612c01d8bp-12, -0x1.cddd712c5216dp-12, -0x1.c2950fd3db724p-12, -0x1.b78b5f09ddb95p-12, -0x1.acbeba4eee3b6p-12, -0x1.a22df6b74b80ap-12, -0x1.97d7ed26be2d7p-12, -0x1.8dbb7b2738065p-12, -0x1.83d7830642e86p-12, -0x1.7a2aebe9c8e43p-12, -0x1.70b4a1e7629bap-12, -0x1.677396106f085p-12, -0x1.5e66be6e223a2p-12, -0x1.558d15efe76f3p-12, -0x1.4ce59c5540e6cp-12, -0x1.446f5620842a7p-12, -0x1.3c294c96735f6p-12, -0x1.34128dc5d4943p-12, -0x1.2c2a2c84d892p-12, -0x1.246f404afb1ccp-12, -0x1.1ce0e4d3ed0d4p-12, -0x1.157e3988fd817p-12, -0x1.0e4660c5863a8p-12, -0x1.07387f24c48fap-12, -0x1.0053bb0d14c95p-12, -0x1.f32e794d4cdbep-13, -0x1.e6045c9409a52p-13, -0x1.d9277a93938d8p-13, -0x1.cc9635e2122d2p-13, -0x1.c04efab52a93dp-13, -0x1.b4503fe9216d1p-13, -0x1.a898872bfdd3cp-13, -0x1.9d265c5b71274p-13, -0x1.91f854702f6fdp-13, -0x1.870d0c6c76037p-13, -0x1.7c6328aa4b26cp-13, -0x1.71f954b5e327ep-13, -0x1.67ce4389b25ccp-13, -0x1.5de0afd294fb1p-13, -0x1.542f5bbe647bep-13, -0x1.4ab910085f2a7p-13, -0x1.417c9a3e2a18cp-13, -0x1.3878caa0f5f2bp-13, -0x1.2fac724849729p-13, -0x1.271662322833ep-13, -0x1.1eb56ba98fc58p-13, -0x1.168861f8cdef4p-13, -0x1.0e8e1ce181698p-13, -0x1.06c57b17cf233p-13, -0x1.fe5ac7fe2fb3ep-14, -0x1.ef89908da0c9ap-14, -0x1.e11542d36db4bp-14, -0x1.d2fbe145aa779p-14, -0x1.c53b7ad4ac794p-14, -0x1.b7d229d6d29a6p-14, -0x1.aabe12a54e531p-14, -0x1.9dfd63ef2eabfp-14, -0x1.918e56ecfc008p-14, -0x1.856f2f4fea28ap-14, -0x1.799e3a76e695bp-14, -0x1.6e19cdf5cddddp-14, -0x1.62e045bb17566p-14, -0x1.57f002206f2c8p-14, -0x1.4d4765419bf3p-14, -0x1.42e4cc4e31339p-14, -0x1.38c6c03a2938p-14, -0x1.2eebaa1245bb6p-14, -0x1.2551b8e46f61dp-14, -0x1.1bf7a71b08e5dp-14, -0x1.12dbf54fdc6bdp-14, -0x1.09fd1af4427c5p-14, -0x1.0159b2dafd876p-14, -0x1.f1e0b7d257573p-15, -0x1.e17f76bafaa74p-15, -0x1.d18cfcdede43ap-15, -0x1.c206ba6b3f957p-15, -0x1.b2ea3d29bc9a6p-15, -0x1.a43536094a25p-15, -0x1.95e578642f29p-15, -0x1.87f8f106d1731p-15, -0x1.7a6d96fd6ec53p-15, -0x1.6d415b8b87d18p-15, -0x1.60721faf93615p-15, -0x1.53fdb3760a2eep-15, -0x1.47e1def492f0ep-15, -0x1.3c1c7060c144dp-15, -0x1.30ab488448659p-15, -0x1.258c6044a98f2p-15, -0x1.1abdc5d17ee2p-15, -0x1.103d942e670ep-15, -0x1.0609e9e0dacb9p-15, -0x1.f841c5d974c51p-16, -0x1.e501300c1dce6p-16, -0x1.d24e4271af886p-16, -0x1.c02533f20b0cp-16, -0x1.ae8248afed545p-16, -0x1.9d61d7b3ce45fp-16, -0x1.8cc054d4548fap-16, -0x1.7c9a63208fddfp-16, -0x1.6ceced31749abp-16, -0x1.5db538690e588p-16, -0x1.4ef0e4dd0744dp-16, -0x1.409dd29f3edebp-16, -0x1.32b9f28851f94p-16, -0x1.2543149944ec8p-16, -0x1.1836c8c9d68d6p-16, -0x1.0b925e7b713cep-16, -0x1.fea5fffa05cd6p-17, -0x1.e6ebb4ec57883p-17, -0x1.cff07e3d2904ep-17, -0x1.b9af642d7b4aap-17, -0x1.a423ce60bcb79p-17, -0x1.8f4967e255605p-17, -0x1.7b1bf9434c13p-17, -0x1.6796e1e027b2cp-17, -0x1.54b708d2dbd9dp-17, -0x1.42769088b8d2fp-17, -0x1.30d12839ca8aep-17, -0x1.1fc1d7f502976p-17, -0x1.0f43dcd9aa222p-17, -0x1.fea54c681f273p-18, -0x1.dfd3d35acf6d2p-18, -0x1.c20b3d0c2258bp-18, -0x1.a543f2f29f7a5p-18, -0x1.8976f3972af2dp-18, -0x1.6e9e04f67be46p-18, -0x1.54b3ca524f536p-18, -0x1.3bb38acdd4563p-18, -0x1.2398ad32d8f46p-18, -0x1.0c5e2bdf9b64dp-18, -0x1.ebfca52184167p-19, -0x1.c0e5d4dfec5f9p-19, -0x1.976b60e632d6dp-19, -0x1.6f8183b1c7bf1p-19, -0x1.491d742f22d86p-19, -0x1.243504546e36cp-19, -0x1.00be19bacccp-19, -0x1.bd5cdd3b48e8cp-20, -0x1.7bf74f7631c6ep-20, -0x1.3d370ec2697ccp-20, -0x1.01081e490381p-20, -0x1.8eae0ff6742d1p-21, -0x1.20215d4feb24dp-21, -0x1.6c87fd4d2b61ap-22, -0x1.43bd82ac5b721p-23, 0x1.0035d5ad744c5p-25, 0x1.b2ea2439b28d9p-23, 0x1.8ab542377d684p-22, 0x1.1a058d7ffdf58p-21, 0x1.6adaca754261p-21, 0x1.b7f8476cbf2fep-21, 0x1.00bdd90ec8935p-20, 0x1.23c2fa95181e1p-20, 0x1.4509b1b923161p-20, 0x1.64b091689ba2bp-20, 0x1.82c112a0194e8p-20, 0x1.9f3a9c75a7bfdp-20, 0x1.ba35844613f79p-20, 0x1.d3be3cb365344p-20, 0x1.ebdfbd746b25cp-20, 0x1.01512ef5b23c4p-19, 0x1.0c06ce9cd96eep-19, 0x1.161534c4f9575p-19, 0x1.1f81e32c52ed3p-19, 0x1.2852ef51fd716p-19, 0x1.308e77f9c842ep-19, 0x1.383a6986f815fp-19, 0x1.3f5c62769b723p-19, 0x1.45f985d46dee5p-19, 0x1.4c16537a74ebep-19, 0x1.51b6af4194cf6p-19, 0x1.56de1ea713f5fp-19, 0x1.5b90256186e63p-19, 0x1.5fd09daff557cp-19, 0x1.63a3e99a303afp-19, 0x1.670ee4c6eac9p-19, 0x1.6a1692b2ad224p-19, 0x1.6cbf9d708a565p-19, 0x1.6f0dd3cac2fb2p-19, 0x1.7103f05834f04p-19, 0x1.72a3ef86c85bcp-19, 0x1.73efe8f912c17p-19, 0x1.74eade9e1748ap-19, 0x1.7598db174b36dp-19, 0x1.75fe5ae307ee1p-19, 0x1.761f985f0737cp-19, 0x1.760011acab272p-19, 0x1.75a22c2605498p-19, 0x1.7507311965ff3p-19, 0x1.74301aeb96d75p-19, 0x1.731ec0ae9039fp-19, 0x1.71d63454309a2p-19, 0x1.7059f4dcfe6cp-19, 0x1.6eacf0cef615ep-19, 0x1.6cd162779b638p-19, 0x1.6ac94752c1ad8p-19, 0x1.6896a056f1141p-19, 0x1.663b5b6ec427fp-19, 0x1.63b93d0ea7dcep-19, 0x1.6111eed18dde3p-19, 0x1.5e4720630ab7ep-19, 0x1.5b5a9faf52bb4p-19, 0x1.584e575124969p-19, 0x1.55243319af93dp-19, 0x1.51ddfefbe80f3p-19, 0x1.4e7d5df9f5b43p-19, 0x1.4b03e266ac9a5p-19, 0x1.47732c00c44c8p-19, 0x1.43cce92bdd049p-19, 0x1.4012c59efda8ap-19, 0x1.3c49a6ffefc2cp-19, 0x1.3869305bffa61p-19, 0x1.3479871cd3e91p-19, 0x1.307af4b6d9c8ap-19, 0x1.2c6d7614b139p-19, 0x1.2852b6cdc0288p-19, 0x1.242c96f34a40fp-19, 0x1.1ffc92629d359p-19, 0x1.1bc3bc0bb62c7p-19, 0x1.1782db0954843p-19, 0x1.133a6b2f0fed2p-19, 0x1.0eeb0ae6bf00fp-19, 0x1.0a95ed051aa53p-19, 0x1.063c680651cbfp-19, 0x1.01df3ea4af557p-19, 0x1.fafd9eec1a45dp-20, 0x1.f2374f45c31e8p-20, 0x1.e96d0e63b4f41p-20, 0x1.e0a04d247a139p-20, 0x1.d7d254323d2e9p-20, 0x1.cf0467641a137p-20, 0x1.c637dfc8fe1bcp-20, 0x1.bd6e2312cac22p-20, 0x1.b4a885c2a26bep-20, 0x1.abe8d7a245c0ap-20, 0x1.a33106106332ep-20, 0x1.9a75418789f21p-20, 0x1.91cff391eef15p-20, 0x1.892b0d07924b8p-20, 0x1.8092a200bd929p-20, 0x1.7806b63aae3ddp-20, 0x1.6f8787bb844f6p-20, 0x1.6714d913d086p-20, 0x1.5eaeb5c9dbfeap-20, 0x1.56561abb93c08p-20, 0x1.4e0c2c3c32956p-20, 0x1.45d17ba7cb1f4p-20, 0x1.3da67840e3c16p-20, 0x1.358be322fa19cp-20, 0x1.2d82abf5574d7p-20, 0x1.258b8cbf02065p-20, 0x1.1da6b873590eep-20, 0x1.15d4243d03451p-20, 0x1.0e143855a8dddp-20, 0x1.0667997eebf24p-20, 0x1.fd9d69828adf8p-21, 0x1.ee944410507f3p-21, 0x1.dfb47de8a2b69p-21, 0x1.d0fde06c28a4dp-21, 0x1.c270cc2b1d0c9p-21, 0x1.b40e2b7d5257fp-21, 0x1.a5d6a62a4dc68p-21, 0x1.97ca999fe19e6p-21, 0x1.89ea4c1e59c3cp-21, 0x1.7c35fb1f585fdp-21, 0x1.6eadd12310fb3p-21, 0x1.6151e675f0d56p-21, 0x1.542265d55ad37p-21, 0x1.471fbdafa0254p-21, 0x1.3a4a8dbe94a42p-21, 0x1.2da3508e53d07p-21, 0x1.212a466933c79p-21, 0x1.14df66b0012a9p-21, 0x1.08c254881e8dbp-21, 0x1.f9a6507849be9p-22, 0x1.e2246ffc1871dp-22, 0x1.cafe6e6c6e9e5p-22, 0x1.b433ce44953c1p-22, 0x1.9dc4d2b25e46p-22, 0x1.87b1a90b4ca92p-22, 0x1.71fa446bac061p-22, 0x1.5c9e802193363p-22, 0x1.479e1f08a4c9bp-22, 0x1.32f8bd0ed9b4dp-22, 0x1.1eadd7612bd0ap-22, 0x1.0abcf39084939p-22, 0x1.ee4b6ce82f9e1p-23, 0x1.c7cf72dfea92dp-23, 0x1.a204a160be1a5p-23, 0x1.7ce994c8dc26cp-23, 0x1.587e5f39c59a5p-23, 0x1.34c36114fa80fp-23, 0x1.11b79f8ef0b31p-23, 0x1.deb22ff7615ddp-24, 0x1.9b4b3084b736cp-24, 0x1.593f12bf1e6ep-24, 0x1.1811daadb9e3cp-24, 0x1.b20fcd78fd00ap-25, 0x1.35c589a9c1c7ep-25, 0x1.7825f8a94c049p-26, 0x1.13bedfcf079c3p-27, -0x1.7d4e254b64398p-28, -0x1.437efd24902c4p-26, -0x1.1158b288c3f89p-25, -0x1.7e7aa50a096b6p-25, -0x1.e9299a8bac675p-25, -0x1.28b53221be3cap-24, -0x1.5b9c6b07f8863p-24, -0x1.8d691f5185f95p-24, -0x1.bdf4634201fa6p-24, -0x1.ed616f6e6737p-24, -0x1.0dcd0f3726f62p-23, -0x1.245557cff04f6p-23, -0x1.3a484eacf762ep-23, -0x1.4fe306a1f4553p-23, -0x1.64a8f357720ecp-23, -0x1.790e87f30229bp-23, -0x1.8cdda00298c4ep-23, -0x1.a02580d4352d5p-23, -0x1.b2e85d66ab9b2p-23, -0x1.c527669ad4331p-23, -0x1.d6e4110fb7223p-23, -0x1.e81ffbf79b21ap-23, -0x1.f8dcd96b12c7bp-23, -0x1.048e306b14848p-22, -0x1.0c7022c33087p-22, -0x1.141519c6e70f6p-22, -0x1.1b7deab0346bfp-22, -0x1.22ab70082d1bap-22, -0x1.299e863f33694p-22, -0x1.3057fb1109037p-22, }}, 
      {{-0x1.370fe11b67c6fp-8, -0x1.1b7a341edd67ep-6, -0x1.165c850fdd593p-5, -0x1.a2c63d6e8b339p-5, -0x1.0e1b644650a09p-4, -0x1.3a022d9622112p-4, -0x1.514dfdaae6bb8p-4, -0x1.530568eab5e1bp-4, -0x1.403dc3d0bf191p-4, -0x1.1b69a572121dap-4, -0x1.cf8762e720c87p-5, -0x1.51b49b136567cp-5, -0x1.88eb57845dde2p-6, -0x1.737dec789e46bp-8, 0x1.a9d43c477f55p-7, 0x1.0132d84a8974dp-5, 0x1.91b1d868ebf44p-5, 0x1.0c613e415d294p-4, 0x1.4a0611a4af9cbp-4, 0x1.80fab63a16383p-4, 0x1.b0c4f3636b5a1p-4, 0x1.d92fcf5e670ap-4, 0x1.fa3f0a669a3fep-4, 0x1.0a11d9743e868p-3, 0x1.1398fcb08f9f3p-3, 0x1.19ec23e29b6c9p-3, 0x1.1d4bc788ba4bap-3, 0x1.1dfe5b24f8df1p-3, 0x1.1c4d8adf911bap-3, 0x1.1883f2784e9d6p-3, 0x1.12eb4479a23e7p-3, 0x1.0bcad61ddb233p-3, 0x1.0366857208c53p-3, 0x1.f3fbde7ff70ap-4, 0x1.df97d391a61aep-4, 0x1.ca0c72fa0b169p-4, 0x1.b3baea4507ad9p-4, 0x1.9cfa1ed44998ap-4, 0x1.8616fa3142825p-4, 0x1.6f54df4f6be92p-4, 0x1.58ee3ade203e5p-4, 0x1.431523b35eaf4p-4, 0x1.2df401fbc38d6p-4, 0x1.19ae36b2d3408p-4, 0x1.0660be9130bdap-4, 0x1.e8459a913c6abp-5, 0x1.c60cbeb2450efp-5, 0x1.a63183c717262p-5, 0x1.88c621376f1e7p-5, 0x1.6dd554cb5df87p-5, 0x1.55633aaf9299ep-5, 0x1.3f6e15b029334p-5, 0x1.2bef09046d65ep-5, 0x1.1adac4c28210ep-5, 0x1.0c2225dd59dbdp-5, 0x1.ff6594cb714b3p-6, 0x1.eaef350128d5ap-6, 0x1.dab28cf1b3e75p-6, 0x1.ce7d7481fc3a8p-6, 0x1.c61b0d2222723p-6, 0x1.c154802756e33p-6, 0x1.bff1a9424d0a6p-6, 0x1.c1b9aefdf9c7cp-6, 0x1.c67388765f1d9p-6, 0x1.cde67244a6d08p-6, 0x1.d7da5278dee0bp-6, 0x1.e4180dceb30cep-6, 0x1.f269ce3ef859dp-6, 0x1.014d9f1e5d9f5p-5, 0x1.0a3cdbd75abfcp-5, 0x1.13ea35ad23c76p-5, 0x1.1e3e3e2771497p-5, 0x1.29228bad7dc5ep-5, 0x1.3481bf06e7404p-5, 0x1.4047887822365p-5, 0x1.4c60a84910461p-5, 0x1.58baeeb97943bp-5, 0x1.65453afa1a98cp-5, 0x1.71ef774102cbap-5, 0x1.7eaa96dddd896p-5, 0x1.8b688feddaccp-5, 0x1.981c5790abdb1p-5, 0x1.a4b9da28c3544p-5, 0x1.b135f53c18d9p-5, 0x1.bd866fa6c7db3p-5, 0x1.c9a1f1d8812ddp-5, 0x1.d57ffe4a3c254p-5, 0x1.e118e9657eb8ap-5, 0x1.ec65d1ed3e0acp-5, 0x1.f76098e869787p-5, 0x1.0101ecdcc1b8cp-4, 0x1.062570dfefa61p-4, 0x1.0b18d3fa29118p-4, 0x1.0fda620dc93ep-4, 0x1.1468b2f0a832cp-4, 0x1.18c2a5e38f14ap-4, 0x1.1ce75cffeb75ap-4, 0x1.20d638b24069ap-4, 0x1.248ed32bcb741p-4, 0x1.2810fbfc1982p-4, 0x1.2b5cb3b97da8bp-4, 0x1.2e7227c38ca46p-4, 0x1.3151ae32b1098p-4, 0x1.33fbc1ea9cae4p-4, 0x1.3670fec76d2b6p-4, 0x1.38b21e0678d85p-4, 0x1.3abff2dafd71dp-4, 0x1.3c9b671a84c26p-4, 0x1.3e45783918ae8p-4, 0x1.3fbf34672967cp-4, 0x1.4109b7d412ad7p-4, 0x1.42262a4450a39p-4, 0x1.4315bcc848974p-4, 0x1.43d9a79d8e4fp-4, 0x1.44732858fae9fp-4, 0x1.44e380409a8c2p-4, 0x1.452bf2b50eb37p-4, 0x1.454dc3efe83bp-4, 0x1.454a37e3c1f32p-4, 0x1.452291231064dp-4, 0x1.44d810135379fp-4, 0x1.446bf236dbb4fp-4, 0x1.43df718416c79p-4, 0x1.4333c3e29f99cp-4, 0x1.426a1ac65f6b6p-4, 0x1.4183a2e33fd19p-4, 0x1.408183d51079ep-4, 0x1.3f64dfee510c1p-4, 0x1.3e2ed42fc9775p-4, 0x1.3ce0780f25a7cp-4, 0x1.3b7add5cf8dd3p-4, 0x1.39ff105fbc682p-4, 0x1.386e17b9829b5p-4, 0x1.36c8f45838f3ep-4, 0x1.3510a194af7fep-4, 0x1.3346152a507b5p-4, 0x1.316a3f3a94251p-4, 0x1.2f7e0a63bb896p-4, 0x1.2d825bb1c50cfp-4, 0x1.2b7812ac6490ap-4, 0x1.2960097bcc8a3p-4, 0x1.273b14cb0b09p-4, 0x1.250a03be6099fp-4, 0x1.22cda02ac994ap-4, 0x1.2086ae8d568bdp-4, 0x1.1e35eddb10e4dp-4, 0x1.1bdc17a51cfcdp-4, 0x1.1979e03997f9dp-4, 0x1.170ff6742b3f4p-4, 0x1.149f03b499816p-4, 0x1.1227ac0db4098p-4, 0x1.0faa8e3722027p-4, 0x1.0d28436735c53p-4, 0x1.0aa15f749471bp-4, 0x1.081670ef6a925p-4, 0x1.058800f657eb3p-4, 0x1.02f69331f8295p-4, 0x1.0062a613cf589p-4, 0x1.fb9965b3c337ep-5, 0x1.f66a5aaed42d2p-5, 0x1.f1390817dc66fp-5, 0x1.ec0640ec457f5p-5, 0x1.e6d2ce274d8e3p-5, 0x1.e19f6e4d7a76p-5, 0x1.dc6cd5b0183b9p-5, 0x1.d73baf3a075dcp-5, 0x1.d20c9c8a4695ap-5, 0x1.cce0357c77a82p-5, 0x1.c7b7085b6c8fap-5, 0x1.c2919acaaf02fp-5, 0x1.bd706a23c97f7p-5, 0x1.b853eb041bfaep-5, 0x1.b33c89495b09dp-5, 0x1.ae2aa8f4225dbp-5, 0x1.a91ea6ed2eb23p-5, 0x1.a418d8c1b103ep-5, 0x1.9f198c424c611p-5, 0x1.9a2108223606fp-5, 0x1.952f8d11f3ba1p-5, 0x1.90455604e8d38p-5, 0x1.8b6297a1e5bb7p-5, 0x1.868780322d3bap-5, 0x1.81b438a54d7a8p-5, 0x1.7ce8e592cba4bp-5, 0x1.7825a720f192bp-5, 0x1.736a985b8e57fp-5, 0x1.6eb7cf59da972p-5, 0x1.6a0d5e65e00a6p-5, 0x1.656b54e35e8d8p-5, 0x1.60d1bf0d0b11ap-5, 0x1.5c40a53905d55p-5, 0x1.57b80bfa4d37p-5, 0x1.5337f54299e61p-5, 0x1.4ec0614cf4fadp-5, 0x1.4a514e6714c4bp-5, 0x1.45eab822c3fe3p-5, 0x1.418c9735db7d6p-5, 0x1.3d36e26bd9ff3p-5, 0x1.38e98fad1d9d1p-5, 0x1.34a4940d4253fp-5, 0x1.3067e303a061dp-5, 0x1.2c336de7c040dp-5, 0x1.2807247282d12p-5, 0x1.23e2f5ccc9edfp-5, 0x1.1fc6d10fe947dp-5, 0x1.1bb2a4cd424a2p-5, 0x1.17a65e42ea035p-5, 0x1.13a1e9361075bp-5, 0x1.0fa530adbb223p-5, 0x1.0bb01fcfb118dp-5, 0x1.07c2a200e4267p-5, 0x1.03dca2504578fp-5, 0x1.fffc15819d238p-6, 0x1.f84d8898d5a84p-6, 0x1.f0ad6f29fee97p-6, 0x1.e91b9b2af0aacp-6, 0x1.e197df5e6de1dp-6, 0x1.da220e32942a7p-6, 0x1.d2b9f8873a723p-6, 0x1.cb5f6d8e21e61p-6, 0x1.c4123be251b3dp-6, 0x1.bcd232c4f6041p-6, 0x1.b59f2266ddc3fp-6, 0x1.ae78db1aded3p-6, 0x1.a75f2c342680fp-6, 0x1.a051e3919980cp-6, 0x1.9950ce3d048f4p-6, 0x1.925bb983ab032p-6, 0x1.8b727397ed405p-6, 0x1.8494cb49f137p-6, 0x1.7dc28f25ee9d4p-6, 0x1.76fb8cb368a0dp-6, 0x1.703f90785670ep-6, 0x1.698e66b70fd27p-6, 0x1.62e7dc43e0efdp-6, 0x1.5c4bbed3075dbp-6, 0x1.55b9dc9eaa3b7p-6, 0x1.4f3203b6e020ep-6, 0x1.48b4018372fa1p-6, 0x1.423fa2deefd5p-6, 0x1.3bd4b4b596167p-6, 0x1.357304aa93897p-6, 0x1.2f1a61591d192p-6, 0x1.28ca9a1f4417ap-6, 0x1.22837ea609107p-6, 0x1.1c44de7f73d7bp-6, 0x1.160e892a3abd7p-6, 0x1.0fe04e7f57c22p-6, 0x1.09b9ff39a0c8fp-6, 0x1.039b6d465fb59p-6, 0x1.fb08d787baef6p-7, 0x1.eee99d806b3afp-7, 0x1.e2d8d5d0fc59p-7, 0x1.d6d62acf7c06bp-7, 0x1.cae148322e4a8p-7, 0x1.bef9dbde30744p-7, 0x1.b31f969e8eeb6p-7, 0x1.a7522c74f80ap-7, 0x1.9b915480955f8p-7, 0x1.8fdcc89f1bbb8p-7, 0x1.8434450805ff9p-7, 0x1.7897883526e38p-7, 0x1.6d06533de2f04p-7, 0x1.61806a6feac8p-7, 0x1.560595cdc782cp-7, 0x1.4a95a1484c577p-7, 0x1.3f305cb4ff95ap-7, 0x1.33d59b92c9c67p-7, 0x1.288534bfff8e3p-7, 0x1.1d3f025867acfp-7, 0x1.1202e1e294fdep-7, 0x1.06d0b4b4e7e22p-7, 0x1.f750c0a747da5p-8, 0x1.e1139d4640c36p-8, 0x1.cae9dbd9148dep-8, 0x1.b4d3617ce3e2fp-8, 0x1.9ed01b6caf0d8p-8, 0x1.88dffe9f8dd8ep-8, 0x1.730307bb953ap-8, 0x1.5d393b7150572p-8, 0x1.4782a6faed555p-8, 0x1.31df606a81dc6p-8, 0x1.1c4f86b11dd14p-8, 0x1.06d34174b791cp-8, 0x1.e2d5818eeae89p-9, 0x1.b82c79a186ed1p-9, 0x1.8dabeb0a7d2c3p-9, 0x1.63546528b3bddp-9, 0x1.392687183395fp-9, 0x1.0f22fffa6dde3p-9, 0x1.ca951da2ddfcep-10, 0x1.773c03e723aebp-10, 0x1.243c6ccccf758p-10, 0x1.a3305d60bb715p-11, 0x1.fd44edeb06cddp-12, 0x1.6b4d0018dc42bp-13, -0x1.20e3e3a266f2p-13, -0x1.d4fb62de1fa8bp-12, -0x1.8bf634eeb4f91p-11, -0x1.164ecfe284b5cp-10, -0x1.663771c333d5bp-10, -0x1.b5b2654ca6e11p-10, -0x1.025e7e76092fdp-9, -0x1.29aa3c0e8de7p-9, -0x1.50bb01798f695p-9, -0x1.778f5b0f7d26bp-9, -0x1.9e25cbfbcebccp-9, -0x1.c47ccf497fa64p-9, -0x1.ea92d95b05186p-9, -0x1.08332cc1e0cd5p-8, -0x1.1afadda7196a1p-8, -0x1.2d9fb37c3dd3ep-8, -0x1.4020e0856f863p-8, -0x1.527d94b4d42adp-8, -0x1.64b4fd4924717p-8, -0x1.76c644d6ef355p-8, -0x1.88b093dfe4b9bp-8, -0x1.9a7311dca8565p-8, -0x1.ac0ce66f66aa8p-8, -0x1.bd7d3a69504e1p-8, -0x1.cec33857eee46p-8, -0x1.dfde0c73e554dp-8, -0x1.f0cce4062065cp-8, -0x1.00c7764b8f2bap-7, -0x1.0911a9acefcdap-7, -0x1.1144a2998a26cp-7, -0x1.195ff7bec4da6p-7, -0x1.216340af443fcp-7, -0x1.294e169ff2682p-7, -0x1.312014fcb453bp-7, -0x1.38d8d9ab05fb2p-7, -0x1.407804ee6e84bp-7, -0x1.47fd3902f480cp-7, -0x1.4f68199c2161ap-7, -0x1.56b84b80c89dcp-7, -0x1.5ded7473245c4p-7, -0x1.65073b7762dc9p-7, -0x1.6c05496853829p-7, -0x1.72e749ac5a94dp-7, -0x1.79acead135ccp-7, -0x1.8055dedf33c22p-7, -0x1.86e1db528b9d6p-7, -0x1.8d5098c952cf4p-7, -0x1.93a1d28c8c85dp-7, -0x1.99d546241a4fbp-7, -0x1.9feab31d950a6p-7, -0x1.a5e1db1b1f2a3p-7, -0x1.abba8225e5346p-7, -0x1.b1746f29867fp-7, -0x1.b70f6c71bc272p-7, -0x1.bc8b4804fddcbp-7, -0x1.c1e7d3c4839fp-7, -0x1.c724e54e8d785p-7, -0x1.cc4255b5cdeb6p-7, -0x1.d140012c8544bp-7, -0x1.d61dc6c1f8257p-7, -0x1.dadb88477b274p-7, -0x1.df792a617c50dp-7, -0x1.e3f694ba114ep-7, -0x1.e853b245477a2p-7, -0x1.ec90717cb36p-7, -0x1.f0acc484f1d63p-7, -0x1.f4a8a1339c2f1p-7, -0x1.f88400f821c43p-7, -0x1.fc3ee0b17a365p-7, -0x1.ffd9407fb8257p-7, -0x1.01a991cf732fdp-6, -0x1.0356482a4bc5ap-6, -0x1.04f2c7f873258p-6, -0x1.067f176eeb8a2p-6, -0x1.07fb3e59a9feap-6, -0x1.0967462397821p-6, -0x1.0ac339d9267eap-6, -0x1.0c0f2624712e7p-6, -0x1.0d4b194409e24p-6, -0x1.0e7722fe9bb59p-6, -0x1.0f93549642133p-6, -0x1.109fc0bd628dcp-6, -0x1.119c7b8e46673p-6, -0x1.12899a856886dp-6, -0x1.1367347dab169p-6, -0x1.143561ad4a6b1p-6, -0x1.14f43ba1f5c76p-6, -0x1.15a3dd3c2b8ap-6, -0x1.164462affe34dp-6, -0x1.16d5e977ba9e4p-6, -0x1.1758901c04915p-6, -0x1.17cc768a54548p-6, -0x1.1831bdb2e317fp-6, -0x1.188887b7bfb82p-6, -0x1.18d0f7d5fe224p-6, -0x1.190b323f06ee3p-6, -0x1.19375c33eab96p-6, -0x1.19559bf60b93ap-6, -0x1.196618bbaa237p-6, -0x1.1968faa71383dp-6, -0x1.195e6abde5a6ep-6, -0x1.194692dffb0e6p-6, -0x1.19219dbe4708dp-6, -0x1.18efb6d1def8p-6, -0x1.18b10a52ebaa8p-6, -0x1.1865c52feba1fp-6, -0x1.180e1504d4fa5p-6, -0x1.17aa281262f2ap-6, -0x1.173a2d35599b1p-6, -0x1.16be53ddd2a99p-6, -0x1.1636cc0681dc2p-6, -0x1.15a3c62bf8a76p-6, -0x1.15057343e443bp-6, -0x1.145c04b475f34p-6, -0x1.13a7ac4bdfb01p-6, -0x1.12e89c37f2a1p-6, -0x1.121f06fdf0ed1p-6, -0x1.114b1f72647c5p-6, -0x1.106d18b110756p-6, -0x1.0f852614fe2d7p-6, -0x1.0e937b3093f1ap-6, -0x1.0d984bc5a797dp-6, -0x1.0c93cbbd9fd67p-6, -0x1.0b862f21a7e7ep-6, -0x1.0a6faa12fd377p-6, -0x1.095070c379929p-6, -0x1.0828b76e4bcb9p-6, -0x1.06f8b2511ed6cp-6, -0x1.05c095a58d9bdp-6, -0x1.0480959af45dap-6, -0x1.0338e65071487p-6, -0x1.01e9bbcf028d6p-6, -0x1.00934a0384d43p-6, -0x1.fe6b8970d533cp-7, -0x1.fba2bf1e751fcp-7, -0x1.f8cc9bf37fbecp-7, -0x1.f5e98666574aep-7, -0x1.f2f9e472f6ca9p-7, -0x1.effe1b8e8dd79p-7, -0x1.ecf6909cb5f1ap-7, -0x1.e9e3a7e6821a1p-7, -0x1.e6c5c5139459ep-7, -0x1.e39d4b24b64e5p-7, -0x1.e06a9c6f7e84fp-7, -0x1.dd2e1a99eece3p-7, -0x1.d9e82695207e5p-7, -0x1.d6992095b819dp-7, -0x1.d3416809d0358p-7, -0x1.cfe15b8bb9b08p-7, -0x1.cc7958d28e9bep-7, -0x1.c909bca17d381p-7, -0x1.c592e2b7d2587p-7, -0x1.c21525c41c217p-7, -0x1.be90df5c5fc8fp-7, -0x1.bb0667fd04551p-7, -0x1.b776170edd51p-7, -0x1.b3e042f351192p-7, -0x1.b0454113bc195p-7, -0x1.aca565f03d73dp-7, -0x1.a901052924a7ap-7, -0x1.a558717e8f0bbp-7, -0x1.a1abfcc32daabp-7, -0x1.9dfbf7c191a3dp-7, -0x1.9a48b21668e93p-7, -0x1.96927a053a351p-7, -0x1.92d99c4f79f2ep-7, -0x1.8f1e641720ca5p-7, -0x1.8b611ad4de462p-7, -0x1.87a208673f8d6p-7, -0x1.83e1733bc07b2p-7, -0x1.801fa08d3b2c5p-7, -0x1.7c5cd4ad7ae64p-7, -0x1.7899534bb268fp-7, -0x1.74d55fa82d7b7p-7, -0x1.71113ca6a24aep-7, -0x1.6d4d2cb609698p-7, -0x1.6989718b58e2p-7, -0x1.65c64bb668551p-7, -0x1.6203fa20074c7p-7, -0x1.5e42b988138dcp-7, -0x1.5a82c41ce76d2p-7, -0x1.56c4514454cb3p-7, -0x1.530795a76a459p-7, -0x1.4f4cc387d7f7ep-7, -0x1.4b940b583ece1p-7, -0x1.47dd9c83a1437p-7, -0x1.4429a64522d39p-7, -0x1.4078586a55405p-7, -0x1.3cc9e3da44bbep-7, -0x1.391e7ac1a081cp-7, -0x1.357650519c0fbp-7, -0x1.31d198112fe81p-7, -0x1.2e3084d3ba098p-7, -0x1.2a934780006bdp-7, -0x1.26fa0dfd4d4cdp-7, -0x1.236501b4f2c56p-7, -0x1.1fd4478c8cec5p-7, -0x1.1c47ff96631c3p-7, -0x1.18c045e1a7bb8p-7, -0x1.153d333ca156ep-7, -0x1.11bedf29d749dp-7, -0x1.0e456190fb2aep-7, -0x1.0ad0d47466904p-7, -0x1.07615548008d1p-7, -0x1.03f705a193625p-7, -0x1.00920b13b2f73p-7, -0x1.fa651c47a0079p-8, -0x1.f3b170e566fc7p-8, -0x1.ed0964aa3bb05p-8, -0x1.e66d40733d794p-8, -0x1.dfdd40923ef8ap-8, -0x1.d959915b61fe5p-8, -0x1.d2e24dabab06ap-8, -0x1.cc777fcbcfe2ep-8, -0x1.c61924b81e3c5p-8, -0x1.bfc731799d01bp-8, -0x1.b98199ea53aa1p-8, -0x1.b3485800f4e45p-8, -0x1.ad1b729dbefc8p-8, -0x1.a6fb02cf3e663p-8, -0x1.a0e736a670dfap-8, -0x1.9ae050f64e91p-8, -0x1.94e6a5c1023fp-8, -0x1.8efa9396c00f1p-8, -0x1.891c79e4dcfd8p-8, -0x1.834cb1e3aa1bcp-8, -0x1.7d8b7ed478663p-8, -0x1.77d90b9f68d9ap-8, -0x1.723562d36d566p-8, -0x1.6ca06df0384f3p-8, -0x1.6719f83482d1dp-8, -0x1.61a1b538d4145p-8, -0x1.5c374a80a7071p-8, -0x1.56da5aced63dp-8, -0x1.518a91dbf8365p-8, -0x1.4c47af0c0f95fp-8, -0x1.47118de5f6ee7p-8, -0x1.41e82b52c20a2p-8, -0x1.3ccba704eb594p-8, -0x1.37bc40d1d87e6p-8, -0x1.32ba523aa2c74p-8, -0x1.2dc644d0e1d44p-8, -0x1.28e086888afcep-8, -0x1.24097d51b688fp-8, -0x1.1f417b7e95a1ap-8, -0x1.1a88b6732aa58p-8, -0x1.15df40dd35379p-8, -0x1.1145093702884p-8, -0x1.0cb9dca8209b1p-8, -0x1.083d6d9788309p-8, -0x1.03cf5ca3353d1p-8, -0x1.fede84cac0855p-9, -0x1.f639711d3b504p-9, -0x1.edaec2ac4d4ccp-9, -0x1.e53dd9c205392p-9, -0x1.dce6398a1ce89p-9, -0x1.d4a78c1098b2p-9, -0x1.cc81a3d40e2p-9, -0x1.c4747afda5547p-9, -0x1.bc802fccf3137p-9, -0x1.b4a4fd9e95223p-9, -0x1.ace3325d093b4p-9, -0x1.a53b2115d3fc3p-9, -0x1.9dad138eeef04p-9, -0x1.96393da1c9c99p-9, -0x1.8edfb5543bae8p-9, -0x1.87a071d309a93p-9, -0x1.807b5197e0d6fp-9, -0x1.797025a0d6657p-9, -0x1.727ebd8dc0c81p-9, -0x1.6ba6efb628824p-9, -0x1.64e89975282e4p-9, -0x1.5e4396eb149dfp-9, -0x1.57b7b53a7f0f8p-9, -0x1.5144a53c54213p-9, -0x1.4ae9f53d31636p-9, -0x1.44a7160553001p-9, -0x1.3e7b6af50b98ap-9, -0x1.3866604162819p-9, -0x1.32677f70b6f45p-9, -0x1.2c7e7a8529ef2p-9, -0x1.26ab29d00f83ep-9, -0x1.20ed7dd2ca115p-9, -0x1.1b456b786d6d5p-9, -0x1.15b2db26cfa67p-9, -0x1.1035a1a1dbba4p-9, -0x1.0acd854f39858p-9, -0x1.057a4d34331eep-9, -0x1.003bd3c814203p-9, -0x1.f6242a4941911p-10, -0x1.ebfa677062c89p-10, -0x1.e1fae349bdd5cp-10, -0x1.d826345fb982ep-10, -0x1.ce7cc63bd9a47p-10, -0x1.c4fe96efa78dap-10, -0x1.bbab025508e2fp-10, -0x1.b280b18ddab9dp-10, -0x1.a97dbb5c405fap-10, -0x1.a09ff3204b018p-10, -0x1.97e5526c8d816p-10, -0x1.8f4c5c5a0e06bp-10, -0x1.86d458449546cp-10, -0x1.7e7d4dd4e6b52p-10, -0x1.7647c3414aab6p-10, -0x1.6e34581ef5386p-10, -0x1.66436724d7e01p-10, -0x1.5e74d6532e83bp-10, -0x1.56c826ea034b4p-10, -0x1.4f3cb8b661408p-10, -0x1.47d21e9b4de0ep-10, -0x1.40885eefa25b8p-10, -0x1.396007433bc9ep-10, -0x1.325a0e2f73643p-10, -0x1.2b778df150da9p-10, -0x1.24b96c8fb1b1ap-10, -0x1.1e2009df969c5p-10, -0x1.17ab07da950eap-10, -0x1.11593733e9ddcp-10, -0x1.0b28a6e09eb3ep-10, -0x1.0516d09609e54p-10, -0x1.fe41bcb546e3dp-11, -0x1.f2880c99d2698p-11, -0x1.e6fbe527248f5p-11, -0x1.db9a3db4b7a1p-11, -0x1.d0621b2c8128dp-11, -0x1.c5547b560930fp-11, -0x1.ba73b8414021cp-11, -0x1.afc28dab66612p-11, -0x1.a54316938af48p-11, -0x1.9af625faee3aep-11, -0x1.90db384ac2333p-11, -0x1.86f0f2e5daaa5p-11, -0x1.7d35edf032153p-11, -0x1.73a97b1a4fe3fp-11, -0x1.6a4c3103f8f32p-11, -0x1.61200f2f3a343p-11, -0x1.582815ccdc27cp-11, -0x1.4f6756e4dced3p-11, -0x1.46dfd44060d1dp-11, -0x1.3e91af186ce3fp-11, -0x1.367b059ec8eep-11, -0x1.2e98786962ac6p-11, -0x1.26e5f9cb95c8dp-11, -0x1.1f5f7a2eb28e2p-11, -0x1.180135c2d2303p-11, -0x1.10c7b38e9f7e6p-11, -0x1.09afb99dd0a59p-11, -0x1.02b6728a5a067p-11, -0x1.f7b3879a8b1cep-12, -0x1.ea3134be52bcdp-12, -0x1.dce5ee6e39176p-12, -0x1.cfd377500cd03p-12, -0x1.c2fcad48b675fp-12, -0x1.b664c96495215p-12, -0x1.aa0e8d38c3d17p-12, -0x1.9dfb81466a4a2p-12, -0x1.922b7d85ba569p-12, -0x1.869cbe61e285p-12, -0x1.7b4cdbdc660e5p-12, -0x1.703aa16bf9e98p-12, -0x1.6567bdd4730a8p-12, -0x1.5ad8ab1bce3c3p-12, -0x1.50925db9dfb85p-12, -0x1.4697575144b17p-12, -0x1.3ce63f5ff077cp-12, -0x1.337aa1e0f074p-12, -0x1.2a4ece8267ecdp-12, -0x1.215d880054102p-12, -0x1.18a2e676b1c58p-12, -0x1.101c7af710094p-12, -0x1.07c8f6da3ed6p-12, -0x1.ff4f121cbdc5bp-13, -0x1.ef6e428c38b54p-13, -0x1.dfebd642db851p-13, -0x1.d0c2cad515f36p-13, -0x1.c1ee4e8d2440fp-13, -0x1.b36b5ba8cd35ap-13, -0x1.a5383cd948984p-13, -0x1.97521e9bc6238p-13, -0x1.89b3dbe7c6672p-13, -0x1.7c590642a71bp-13, -0x1.6f42cae64feafp-13, -0x1.6278902a16517p-13, -0x1.560262d8f15e8p-13, -0x1.49e2597b71053p-13, -0x1.3e14156504acfp-13, -0x1.32935f0835ae5p-13, -0x1.27625af40e26cp-13, -0x1.1c87a704a727ap-13, -0x1.12069701467fap-13, -0x1.07da9f37295a6p-13, -0x1.fbf3b26441fd2p-14, -0x1.e8b516c1bf038p-14, -0x1.d5ed73d8baea5p-14, -0x1.c3991a7f5ccdap-14, -0x1.b1b9d4a26073p-14, -0x1.a0537f099922bp-14, -0x1.8f6985c003e66p-14, -0x1.7efd78cb445d9p-14, -0x1.6f0e6ee592c57p-14, -0x1.5f98fb691cff6p-14, -0x1.5097a620d3d39p-14, -0x1.4203c2567dc1fp-14, -0x1.33d68deb84c3ep-14, -0x1.260afc87946eep-14, -0x1.18a0383c3498p-14, -0x1.0b9a48bb0fa35p-14, -0x1.fdf8f24600e18p-15, -0x1.e57dbe038dc2fp-15, -0x1.cd98ba0c94f99p-15, -0x1.b6284b74d9a35p-15, -0x1.9f3d6c3fa06b1p-15, -0x1.891158157f716p-15, -0x1.73c9b9b47b638p-15, -0x1.5f5373a83a958p-15, -0x1.4b824d513146fp-15, -0x1.384622ba5ef43p-15, -0x1.25ac7c502b605p-15, -0x1.13bbefdb2871ep-15, -0x1.026601f55a36dp-15, -0x1.e32c0be2c632ap-16, -0x1.c27e41b38e21ap-16, -0x1.a2bbba41b67cep-16, -0x1.83e763e127e69p-16, -0x1.660652c3984b9p-16, -0x1.491d7bd2e8318p-16, -0x1.2d338fbf17cefp-16, -0x1.125347bb7f6d8p-16, -0x1.f1144633d54f3p-17, -0x1.bfc3a32f716a5p-17, -0x1.90ab85b1405e2p-17, -0x1.6390506531b75p-17, -0x1.37fdcff55c4dbp-17, -0x1.0d747886f4de4p-17, -0x1.c795f00146e21p-18, -0x1.76bfbfdc93a4dp-18, -0x1.297d10ab89b37p-18, -0x1.c0253f889d8e7p-19, -0x1.33aa5bb6ec815p-19, -0x1.594cad0b1f827p-20, -0x1.5e365a1025cd1p-22, 0x1.3b1afd8192b0cp-21, 0x1.884928523a9f6p-20, 0x1.349af8f001b4ap-19, 0x1.9fb6f8ce8c48ap-19, 0x1.0353d3e1c242bp-18, 0x1.359794734cdbdp-18, 0x1.664e6f4a17f49p-18, 0x1.947185d5e66fcp-18, 0x1.bfc4cb9941537p-18, 0x1.e8c4dae3c9a22p-18, 0x1.07f2cc7a00d9ap-17, 0x1.1aaa8c660e87ap-17, 0x1.2c8d62bdb5b9fp-17, 0x1.3d9bae5aecf5dp-17, 0x1.4dd70da05f1e4p-17, 0x1.5d3eec7119a4ap-17, 0x1.6bcb30445f34dp-17, 0x1.796b4d28d44b9p-17, 0x1.860bf7094604cp-17, 0x1.91a01c7b95099p-17, 0x1.9c2f7154cb107p-17, 0x1.a5f538b6c495bp-17, 0x1.af5810ff9da75p-17, 0x1.b879cd3f615cep-17, 0x1.c100d13d694e2p-17, 0x1.c8b322838eda5p-17, 0x1.cfd92e2f45b5ep-17, 0x1.d6a29c635c673p-17, 0x1.dcc7af2701519p-17, 0x1.e2165b57b112bp-17, 0x1.e6b82ac88804bp-17, 0x1.eae702ec58401p-17, 0x1.eeb05c579137bp-17, 0x1.f1eea5d4b7097p-17, 0x1.f48279fe2422fp-17, 0x1.f69bbdb59f15bp-17, 0x1.f86f2074add32p-17, 0x1.f9efce6bf9b7cp-17, 0x1.fb32f57ff1f27p-17, 0x1.fc383310ba2d8p-17, 0x1.fcb665dc940dfp-17, 0x1.fca25863b8448p-17, 0x1.fc2b141ca8369p-17, 0x1.fb6deb5550ed9p-17, 0x1.fa6fe953a62a8p-17, 0x1.f92f115bdd277p-17, 0x1.f7a9d9a2c0795p-17, 0x1.f5df31d294be4p-17, 0x1.f3cd9aa312592p-17, 0x1.f1741177314c6p-17, 0x1.eed1492fb172fp-17, 0x1.ebdc6cece02e4p-17, 0x1.e88c388c2f2b9p-17, 0x1.e4fe531c14a75p-17, 0x1.e15bc213051bfp-17, 0x1.dd9152b495825p-17, 0x1.d9a114d356222p-17, 0x1.d5a2e513aa2bfp-17, 0x1.d169daf63a295p-17, 0x1.cce0f08a7d4dap-17, 0x1.c8277e08dfc19p-17, 0x1.c35310c80cccp-17, 0x1.be6689c5a49adp-17, 0x1.b95fe2bb1a576p-17, 0x1.b43dde6d23d41p-17, 0x1.af0033578c913p-17, 0x1.a9a745dc7a4ebp-17, 0x1.a435005e276ep-17, 0x1.9ead0a203cb1dp-17, 0x1.9910cea48e2e7p-17, 0x1.93578c5b68165p-17, 0x1.8d7449702058fp-17, 0x1.87779473fe542p-17, 0x1.817d9b4876713p-17, 0x1.7b8ac02f8a86bp-17, 0x1.758eeae6f9099p-17, 0x1.6f73235fb91f4p-17, 0x1.6943094df701bp-17, 0x1.630d7931178f1p-17, 0x1.5cd56f8fb6b9fp-17, 0x1.56998dfad1662p-17, 0x1.5059726b1ec84p-17, 0x1.4a15f798e42c7p-17, 0x1.43cfcab998f4bp-17, 0x1.3d8113a4ff0b4p-17, 0x1.37207cccd2434p-17, 0x1.30bb16400462bp-17, 0x1.2a6156603edb2p-17, 0x1.2414086f5ffb9p-17, 0x1.1dcad969c021dp-17, 0x1.1777c71fb668ap-17, 0x1.1123cc552f2c2p-17, 0x1.0ad6b66b9300dp-17, 0x1.0490a4c4f53bfp-17, 0x1.fca168688bf12p-18, 0x1.f02d83e34b5d4p-18, 0x1.e3c672b2adca5p-18, 0x1.d76d1312bcd4ep-18, 0x1.cb22cc7b6f4b8p-18, 0x1.bee8af0a7cd04p-18, 0x1.b2bff29e82478p-18, 0x1.a6a9b8d7cf071p-18, 0x1.9aa716c998875p-18, 0x1.8eb91036727c3p-18, 0x1.82e08dadbed53p-18, 0x1.771e54f8e83d1p-18, 0x1.6b7313bf3521fp-18, 0x1.5fdf84c882425p-18, 0x1.546496b61f08p-18, 0x1.490338b454008p-18, 0x1.3dbb34ad86748p-18, 0x1.328bc612cbfacp-18, 0x1.277852f08cfa9p-18, }}, 
      {{0x1.da0ed170d02dp-3, 0x1.a0d67abcc5b19p-2, 0x1.072b8158272fcp-1, 0x1.1f42af79f86a1p-1, 0x1.20cb03583be73p-1, 0x1.13f8a2b539f1bp-1, 0x1.ff481ed4ee70cp-2, 0x1.d1c700e7a147dp-2, 0x1.a6478f8110b84p-2, 0x1.80e4f62d9381ap-2, 0x1.63a483b71450bp-2, 0x1.4f10070dc7c4bp-2, 0x1.42b59b8b89188p-2, 0x1.3d8b24f768289p-2, 0x1.3e38474d6ec9dp-2, 0x1.434b025412869p-2, 0x1.4b5b3506a97efp-2, 0x1.5520f452549eep-2, 0x1.5f810fe9bf741p-2, 0x1.699285bb3f8a5p-2, 0x1.729f1232ba64ep-2, 0x1.7a208a6e3f631p-2, 0x1.7fbc40c443edp-2, 0x1.833d5c67618a3p-2, 0x1.848ec97afca73p-2, 0x1.83b5348adbd36p-2, 0x1.80c95e59aa189p-2, 0x1.7bf2f7b4766acp-2, 0x1.75641f42d9db5p-2, 0x1.6d558966a1a8ap-2, 0x1.6403511a5435ep-2, 0x1.59aa674b3baa3p-2, 0x1.4e869237ae62ap-2, 0x1.42d0ebde3351dp-2, 0x1.36becd3d8b80ap-2, 0x1.2a8114bef6f8dp-2, 0x1.1e43b74048a18p-2, 0x1.122d8ca0c696ep-2, 0x1.06604a9a061f2p-2, 0x1.f5f1451d77cd5p-3, 0x1.e01cf1e8a7bafp-3, 0x1.cb6a5d03a741bp-3, 0x1.b7f7e9af69f4fp-3, 0x1.a5dc533895554p-3, 0x1.9527684d3284cp-3, 0x1.85e2c5bb74065p-3, 0x1.78128c6d59cbp-3, 0x1.6bb60fc6e298p-3, 0x1.60c87a78585b6p-3, 0x1.574168a11231ap-3, 0x1.4f15769a039cap-3, 0x1.4836c43843e05p-3, 0x1.42956c876975ap-3, 0x1.3e1ff245d33aep-3, 0x1.3ac3a188ef4b2p-3, 0x1.386ce705c6f5fp-3, 0x1.37079d960d905p-3, 0x1.367f5286653f8p-3, 0x1.36bf814f45c8p-3, 0x1.37b3c7558c67ap-3, 0x1.394810625cff5p-3, 0x1.3b68bc778d6fbp-3, 0x1.3e02bf9d8a711p-3, 0x1.4103bc21b01fap-3, 0x1.445a17ea68a54p-3, 0x1.47f50ce6f2e27p-3, 0x1.4bc4b5c393312p-3, 0x1.4fba165d4371bp-3, 0x1.53c7220eccbdcp-3, 0x1.57debe313162cp-3, 0x1.5bf4c3b188557p-3, 0x1.5ffdfcf987c2dp-3, 0x1.63f0237af4daep-3, 0x1.67c1d9d912003p-3, 0x1.6b6aa604851p-3, 0x1.6ee2e98a8f2bep-3, 0x1.7223d8c5e1132p-3, 0x1.7527736331e54p-3, 0x1.77e8798be91f1p-3, 0x1.7a6264650ae35p-3, 0x1.7c915a9e8bb5ep-3, 0x1.7e7227ea162ap-3, 0x1.800231dc7b84cp-3, 0x1.813f6e4d2837bp-3, 0x1.8228592cf40e1p-3, 0x1.82bbea94aa182p-3, 0x1.82f98d8e395d5p-3, 0x1.82e116c1c431ep-3, 0x1.8272bbf4be768p-3, 0x1.81af0b940b792p-3, 0x1.8096e4d060cdbp-3, 0x1.7f2b6fe45f9bep-3, 0x1.7d6e16c679e7dp-3, 0x1.7b607e154a037p-3, 0x1.79047e62abdcp-3, 0x1.765c1dd0acd19p-3, 0x1.73698a06a491bp-3, 0x1.702f128741e1ep-3, 0x1.6caf23681491fp-3, 0x1.68ec405bcd626p-3, 0x1.64e9002b6f9f5p-3, 0x1.60a8087979341p-3, 0x1.5c2c09e0b4f5fp-3, 0x1.5777bc6d6e2d1p-3, 0x1.528ddc5642f64p-3, 0x1.4d712708ebe56p-3, 0x1.482458818fa8ap-3, 0x1.42aa28d18bd5dp-3, 0x1.3d0549fb2be69p-3, 0x1.373865fe9de23p-3, 0x1.31461d18a19e5p-3, 0x1.2b31044449f82p-3, 0x1.24fba3ea9f7a2p-3, 0x1.1ea876b64e1bdp-3, 0x1.1839e8a0a9edp-3, 0x1.11b2562b3f026p-3, 0x1.0b140ba605772p-3, 0x1.046144b087212p-3, 0x1.fb3857b48e278p-4, 0x1.ed8db48c43fddp-4, 0x1.dfc6aefede98cp-4, 0x1.d1e732c794e6fp-4, 0x1.c3f30829fe6ccp-4, 0x1.b5edd4011ff4fp-4, 0x1.a7db17fbf80a4p-4, 0x1.99be32fe04f37p-4, 0x1.8b9a616b30b9p-4, 0x1.7d72bda3ac994p-4, 0x1.6f4a40bcf3113p-4, 0x1.6123c2ff8a9e2p-4, 0x1.5301fc817b2b2p-4, 0x1.44e7860aa3ap-4, 0x1.36d6d9c2e8cbp-4, 0x1.28d253e472951p-4, 0x1.1adc33a14e3bcp-4, 0x1.0cf69bed745a5p-4, 0x1.fe4728a165109p-5, 0x1.e2ca138e71f7bp-5, 0x1.c7799f003c1e9p-5, 0x1.ac593f7d34742p-5, 0x1.916c399d70c6p-5, 0x1.76b5a361f9bd5p-5, 0x1.5c3865b5a0defp-5, 0x1.41f73e76390dep-5, 0x1.27f4c1f82531fp-5, 0x1.0e335c281518cp-5, 0x1.e96aa4957ef4cp-6, 0x1.b6f98981fedb2p-6, 0x1.8517605079666p-6, 0x1.53c7dd45da175p-6, 0x1.230e73089c68p-6, 0x1.e5dcaa5ead1acp-7, 0x1.86d4f4b40fe8ap-7, 0x1.290b3e1b42107p-7, 0x1.9909217723dcfp-8, 0x1.c5162d92113d9p-9, 0x1.75265e2d77157p-11, -0x1.054424fefe705p-9, -0x1.3142917058446p-8, -0x1.dd3674286170bp-8, -0x1.433c1587c3f4bp-7, -0x1.968164732c64dp-7, -0x1.e868fe2357fa1p-7, -0x1.1c7883250114p-6, -0x1.440bf4bac9164p-6, -0x1.6aee2bfe85746p-6, -0x1.911ea1837fe01p-6, -0x1.b69cedc49ca65p-6, -0x1.db68c7dfb7162p-6, -0x1.ff820354c006ap-6, -0x1.1174473e4c1edp-5, -0x1.22ce3912ff6bp-5, -0x1.33cee88414064p-5, -0x1.447672c38a63ep-5, -0x1.54c500312a4b3p-5, -0x1.64bac40b95297p-5, -0x1.7457fc6076756p-5, -0x1.839cf1687b23p-5, -0x1.9289f49d64c86p-5, -0x1.a11f604c7fab8p-5, -0x1.af5d97a751168p-5, -0x1.bd450695b076cp-5, -0x1.cad620f18901cp-5, -0x1.d81161c4f3984p-5, -0x1.e4f74b2595c98p-5, -0x1.f1886660c9824p-5, -0x1.fdc543bd44b71p-5, -0x1.04d73cdbfd11bp-4, -0x1.0aa252310a458p-4, -0x1.104432ad091d6p-4, -0x1.15bd32030db24p-4, -0x1.1b0da6b068acdp-4, -0x1.2035e9a3a1796p-4, -0x1.253655f0caa52p-4, -0x1.2a0f48cbd493dp-4, -0x1.2ec121a8e542ep-4, -0x1.334c4234eb737p-4, -0x1.37b10e0d97108p-4, -0x1.3befea736170ap-4, -0x1.40093e3430a11p-4, -0x1.43fd71c6d3377p-4, -0x1.47ccef58f3016p-4, -0x1.4b7822a42adf5p-4, -0x1.4eff78a34d8dbp-4, -0x1.52635f64eaf5ap-4, -0x1.55a446131bd52p-4, -0x1.58c29d0da62a7p-4, -0x1.5bbed5e2a0babp-4, -0x1.5e99631923942p-4, -0x1.6152b7f63873bp-4, -0x1.63eb485e95692p-4, -0x1.666388ed8b2d4p-4, -0x1.68bbeeff2e504p-4, -0x1.6af4f0a54c833p-4, -0x1.6d0f04756dc05p-4, -0x1.6f0aa157b674p-4, -0x1.70e83e744a1ep-4, -0x1.72a8533e292b8p-4, -0x1.744b5780dedd8p-4, -0x1.75d1c35502fe1p-4, -0x1.773c0ef8a4f3ep-4, -0x1.788ab2a477f4cp-4, -0x1.79be2676fbd73p-4, -0x1.7ad6e2785cbep-4, -0x1.7bd55ea5de90dp-4, -0x1.7cba12eec1d14p-4, -0x1.7d857719e7f2p-4, -0x1.7e3802a13f5f5p-4, -0x1.7ed22c97b023ap-4, -0x1.7f546ba2f42c8p-4, -0x1.7fbf36028e423p-4, -0x1.801301944618cp-4, -0x1.805043c9230dap-4, -0x1.8077718b998a2p-4, -0x1.8088ff243cef1p-4, -0x1.80856029969a6p-4, -0x1.806d077dbda5dp-4, -0x1.80406753173a1p-4, -0x1.7ffff12d9445ap-4, -0x1.7fac15d852a6bp-4, -0x1.7f4545516f38ep-4, -0x1.7ecbeeb5d8108p-4, -0x1.7e4080354145bp-4, -0x1.7da3670f73de2p-4, -0x1.7cf50f96ea7b3p-4, -0x1.7c35e5320f97dp-4, -0x1.7b6652552ae9ap-4, -0x1.7a86c074c7e25p-4, -0x1.799797f6bfde4p-4, -0x1.78994027fce7fp-4, -0x1.778c1f3891f4ap-4, -0x1.76709a3c6502p-4, -0x1.7547152cd92b4p-4, -0x1.740ff2e76f858p-4, -0x1.72cb9527387a3p-4, -0x1.717a5c7b1e007p-4, -0x1.701ca83d53468p-4, -0x1.6eb2d68e6c157p-4, -0x1.6d3d44541d583p-4, -0x1.6bbc4d3a69679p-4, -0x1.6a304bb551293p-4, -0x1.689999006648cp-4, -0x1.66f88d1b13217p-4, -0x1.654d7ec31643fp-4, -0x1.6398c36ff527cp-4, -0x1.61daaf50a473ap-4, -0x1.6013954b6744ep-4, -0x1.5e43c6ff80211p-4, -0x1.5c6b94c7b7791p-4, -0x1.5a8b4dbc0d4efp-4, -0x1.58a33fb1278cp-4, -0x1.56b3b7360f65cp-4, -0x1.54bcff920bf6p-4, -0x1.52bf62c3c464cp-4, -0x1.50bb2981d5cbp-4, -0x1.4eb09b3cdc471p-4, -0x1.4c9ffe227c359p-4, -0x1.4a89972099826p-4, -0x1.486da9e75cddep-4, -0x1.464c78e9993f2p-4, -0x1.4426455c80984p-4, -0x1.41fb4f3802d6p-4, -0x1.3fcbd53854f29p-4, -0x1.3d9814e0782d5p-4, -0x1.3b604a7d69ca7p-4, -0x1.3924b129ace58p-4, -0x1.36e582d08fa78p-4, -0x1.34a2f8308dba1p-4, -0x1.325d48dce0802p-4, -0x1.3014ab3f24f26p-4, -0x1.2dc95499ff565p-4, -0x1.2b7b790cc5f6bp-4, -0x1.292b4b976f0fp-4, -0x1.26d8fe1e263a4p-4, -0x1.2484c16c45d6fp-4, -0x1.222ec536dbf4fp-4, -0x1.1fd7381efc3edp-4, -0x1.1d7e47b44f1c2p-4, -0x1.1b2420787e7cep-4, -0x1.18c8ede3dc22bp-4, -0x1.166cda6ac1b0dp-4, -0x1.14100f8272119p-4, -0x1.11b2b5a47c678p-4, -0x1.0f54f4506b6a4p-4, -0x1.0cf6f20ca30f3p-4, -0x1.0a98d467a7ee1p-4, -0x1.083abffae1ee1p-4, -0x1.05dcd86f5643bp-4, -0x1.037f408413413p-4, -0x1.01221a152be0fp-4, -0x1.fd8b0c4391451p-5, -0x1.f8d3499f86f78p-5, -0x1.f41d2ad8ee83cp-5, -0x1.ef68ecd76afcdp-5, -0x1.eab6cacdb8eap-5, -0x1.e606fe3c2efc6p-5, -0x1.e159bef9cf2b8p-5, -0x1.dcaf43433631cp-5, -0x1.d807bfcc6abd5p-5, -0x1.d36367d1277d8p-5, -0x1.cec26d1fd170ap-5, -0x1.ca25001ceb052p-5, -0x1.c58b4fbfdc14bp-5, -0x1.c0f5898cc8398p-5, -0x1.bc63d99082a04p-5, -0x1.b7d66a631e927p-5, -0x1.b34d6532dadc7p-5, -0x1.aec8f1d5dad3cp-5, -0x1.aa4936de43929p-5, -0x1.a5ce59ab82a4dp-5, -0x1.a1587e74a38bap-5, -0x1.9ce7c84a4198cp-5, -0x1.987c59118d342p-5, -0x1.9416517c7ba09p-5, -0x1.8fb5d1040c7f8p-5, -0x1.8b5af5e8ea41ep-5, -0x1.8705dd3c1b378p-5, -0x1.82b6a2ee890a9p-5, -0x1.7e6d61e3998b7p-5, -0x1.7a2a34022bd52p-5, -0x1.75ed323fcd3bap-5, -0x1.71b674a498173p-5, -0x1.6d8612488e778p-5, -0x1.695c214d8974p-5, -0x1.6538b6d9b2688p-5, -0x1.611be715fbb4ep-5, -0x1.5d05c5327728cp-5, -0x1.58f66370468b8p-5, -0x1.54edd32f0f757p-5, -0x1.50ec24fac71e5p-5, -0x1.4cf16896d8df5p-5, -0x1.48fdad04c2376p-5, -0x1.45110085d4cd3p-5, -0x1.412b70998a3dap-5, -0x1.3d4d09fabe167p-5, -0x1.3975d89e29c0dp-5, -0x1.35a5e7b3e241bp-5, -0x1.31dd41ac44e16p-5, -0x1.2e1bf03f73aap-5, -0x1.2a61fc765bf61p-5, -0x1.26af6eb308806p-5, -0x1.23044eb749b8dp-5, -0x1.1f60a3a90904ep-5, -0x1.1bc474144ea9ap-5, -0x1.182fc5ebf1037p-5, -0x1.14a29e89fe6dfp-5, -0x1.111d02b0daf64p-5, -0x1.0d9ef68dce6edp-5, -0x1.0a287dbcf7fc7p-5, -0x1.06b99b4e47c31p-5, -0x1.035251caca32cp-5, -0x1.ffe546733a432p-6, -0x1.f935224801cd4p-6, -0x1.f2943930f2fffp-6, -0x1.ec028c5a2df81p-6, -0x1.e5801c029e1d8p-6, -0x1.df0ce77fa9c8p-6, -0x1.d8a8ed4174f65p-6, -0x1.d2542ad80f0d8p-6, -0x1.cc0e9cf99c83ep-6, -0x1.c5d83f88f60fcp-6, -0x1.bfb10d9c9976ep-6, -0x1.b999018541p-6, -0x1.b39014d36873cp-6, -0x1.ad96405899f4ep-6, -0x1.a7ab7c2dff1c3p-6, -0x1.a1cfbfce8d7b9p-6, -0x1.9c0301ece69b6p-6, -0x1.964538a1f2ffdp-6, -0x1.909659569ce22p-6, -0x1.8af658cfc80cp-6, -0x1.85652b41fcb92p-6, -0x1.7fe2c445ac413p-6, -0x1.7a6f16df70279p-6, -0x1.750a1586217a8p-6, -0x1.6fb3b227299d1p-6, -0x1.6a6bde2a892e5p-6, -0x1.65328a76adaddp-6, -0x1.6007a77431504p-6, -0x1.5aeb2511871fdp-6, -0x1.55dcf2c69b261p-6, -0x1.50dcff9882c51p-6, -0x1.4beb3a1d2af46p-6, -0x1.4707907f0fa37p-6, -0x1.4231f080f2688p-6, -0x1.3d6a47818b8dap-6, -0x1.38b0827f3a6a1p-6, -0x1.34048e1b79eb3p-6, -0x1.2f66569e6dbecp-6, -0x1.2ad5c7fa318fep-6, -0x1.2652cdce2574p-6, -0x1.21dd536a101f4p-6, -0x1.1d7543d1373e2p-6, -0x1.191a89bd61ffap-6, -0x1.14cd0fa1c7ea7p-6, -0x1.108cbfae011b2p-6, -0x1.0c5983d0db108p-6, -0x1.083345bb2b5b5p-6, -0x1.0419eee29cacfp-6, -0x1.000d68845f0c6p-6, -0x1.f81b374fc96b2p-7, -0x1.f034e24321cbep-7, -0x1.e867a32ad0226p-7, -0x1.e0b34af39548ap-7, -0x1.d917aa3452e67p-7, -0x1.d19491336d438p-7, -0x1.ca29cfec0448fp-7, -0x1.c2d73612e1eb8p-7, -0x1.bb9c931b331b2p-7, -0x1.b479b63a94ffp-7, -0x1.ad6e6e6d20c97p-7, -0x1.a67a8a78f070ap-7, -0x1.9f9dd8f1a095bp-7, -0x1.98d8283c067fap-7, -0x1.92294691ea4e5p-7, -0x1.8b910206879e4p-7, -0x1.850f288b21e0dp-7, -0x1.7ea387f4554a4p-7, -0x1.784dedff5c7e2p-7, -0x1.720e2857617ddp-7, -0x1.6be4049a477b3p-7, -0x1.65cf505cec279p-7, -0x1.5fcfd92e065ap-7, -0x1.59e56c984c57fp-7, -0x1.540fd82365e6bp-7, -0x1.4e4ee9545ce28p-7, -0x1.48a26dadd58a2p-7, -0x1.430a32b0e6cefp-7, -0x1.3d8605df1b52p-7, -0x1.3815b4be0dc12p-7, -0x1.32b90cdd0ad63p-7, -0x1.2d6fdbdc3b6ep-7, -0x1.2839ef7530044p-7, -0x1.2317158342f27p-7, -0x1.1e071c0afcef3p-7, -0x1.1909d13f106b4p-7, -0x1.141f0381c6141p-7, -0x1.0f468162b7dccp-7, -0x1.0a801998c91a9p-7, -0x1.05cb9af9b9b71p-7, -0x1.0128d4714c74ep-7, -0x1.f92f29f422e44p-8, -0x1.f02f57352978fp-8, -0x1.e751ced123aa4p-8, -0x1.de962f26420bbp-8, -0x1.d5fc16e6a9362p-8, -0x1.cd83254304c66p-8, -0x1.c52afa1713523p-8, -0x1.bcf33610b5ce9p-8, -0x1.b4db7ac90f439p-8, -0x1.ace36ac8c46b2p-8, -0x1.a50aa97438759p-8, -0x1.9d50dae083d36p-8, -0x1.95b5a3971813bp-8, -0x1.8e38a851617edp-8, -0x1.86d98dba24054p-8, -0x1.7f97f840d3fcbp-8, -0x1.78738c0b8a484p-8, -0x1.716bed0d6b66p-8, -0x1.6a80bf434375dp-8, -0x1.63b1a70f8343bp-8, -0x1.5cfe49a92e92ap-8, -0x1.56664d8be9cap-8, -0x1.4fe95ad58669fp-8, -0x1.49871b7e4ae75p-8, -0x1.433f3b5e3d20fp-8, -0x1.3d1167f8e69f6p-8, -0x1.36fd501409699p-8, -0x1.3102a3281966ep-8, -0x1.2b2110b9a5409p-8, -0x1.25584789452f3p-8, -0x1.1fa7f5ccc2544p-8, -0x1.1a0fc83126648p-8, -0x1.148f6a57093f5p-8, -0x1.0f2686ea7441ap-8, -0x1.09d4c8df0f38p-8, -0x1.0499dbc9ba9cp-8, -0x1.feead9dd6da68p-9, -0x1.f4ce582b1926cp-9, -0x1.eadd9838d4d2cp-9, -0x1.e118066356fdap-9, -0x1.d77d153eca7d6p-9, -0x1.ce0c3c4d023f5p-9, -0x1.c4c4f5f5c0006p-9, -0x1.bba6bd06b869bp-9, -0x1.b2b10a1e8e8fap-9, -0x1.a9e3516f9aa73p-9, -0x1.a13d014116117p-9, -0x1.98bd817ada717p-9, -0x1.90643460ab8f1p-9, -0x1.88307874604f1p-9, -0x1.8021ab4973307p-9, -0x1.78372cefa7b3ep-9, -0x1.70706380252fcp-9, -0x1.68ccbe4c573ccp-9, -0x1.614bb831aa7b5p-9, -0x1.59ecd8a98369dp-9, -0x1.52afb351124d5p-9, -0x1.4b93e5d6d6d65p-9, -0x1.449914620ea3dp-9, -0x1.3dbee7e081ab6p-9, -0x1.3704fcace7673p-9, -0x1.306af5886e029p-9, -0x1.29f060bb9265ap-9, -0x1.2394c1718e096p-9, -0x1.1d578d1078db7p-9, -0x1.17382ce959a5cp-9, -0x1.113601a1bf7f9p-9, -0x1.0b5067eb7afb4p-9, -0x1.0586bdf1db791p-9, -0x1.ffb0d1a7a57a2p-10, -0x1.f489b30d5af3bp-10, -0x1.e997212679b4p-10, -0x1.ded84083fe994p-10, -0x1.d44c59eaed025p-10, -0x1.c9f2d747ee81bp-10, -0x1.bfcb3d2c201b5p-10, -0x1.b5d5218149d3ap-10, -0x1.ac10207da07c5p-10, -0x1.a27bd11d1e54bp-10, -0x1.9917ba895af7p-10, -0x1.8fe34bc9ec605p-10, -0x1.86ddd6d724be2p-10, -0x1.7e068faf1b3a5p-10, -0x1.755c8f673075fp-10, -0x1.6cdeda84f6a43p-10, -0x1.648c695e3edecp-10, -0x1.5c6431079b80ep-10, -0x1.54652b802dcadp-10, -0x1.4c8e5e4335d4cp-10, -0x1.44dedef9a40a9p-10, -0x1.3d55d679c9408p-10, -0x1.35f2826f2029fp-10, -0x1.2eb435ec5fdc6p-10, -0x1.279a58e87981ap-10, -0x1.20a466700a12p-10, -0x1.19d1e948287dcp-10, -0x1.132276f7f6da2p-10, -0x1.0c95a998885f8p-10, -0x1.062b194be9793p-10, -0x1.ffc4ad3659f9cp-11, -0x1.f375ce0eb7251p-11, -0x1.e76889609605dp-11, -0x1.db9bc238f9e09p-11, -0x1.d00e5444b2bf5p-11, -0x1.c4bf1e2a1abe7p-11, -0x1.b9ad082a11a1p-11, -0x1.aed703f342dd2p-11, -0x1.a43c054800849p-11, -0x1.99daf6576cc95p-11, -0x1.8fb2ad102815fp-11, -0x1.85c1e6f3ed9edp-11, -0x1.7c074eb6945fdp-11, -0x1.72818aff39ed9p-11, -0x1.692f51a91cccap-11, -0x1.600f78a6fdb97p-11, -0x1.5720fe45da295p-11, -0x1.4e6305da1fa15p-11, -0x1.45d4ca8d63106p-11, -0x1.3d758e0596bb5p-11, -0x1.35448a28408f3p-11, -0x1.2d40eb9f41af4p-11, -0x1.2569d6e187916p-11, -0x1.1dbe753ad090fp-11, -0x1.163e029b37d55p-11, -0x1.0ee7db2b2212cp-11, -0x1.07bb7f6b44be4p-11, -0x1.00b88649d6b3p-11, -0x1.f3bd217ccb7f5p-12, -0x1.e65a5d21164d2p-12, -0x1.d94782ef510c3p-12, -0x1.cc82d3a4eb7f8p-12, -0x1.c00a037d66df7p-12, -0x1.b3da594a8993bp-12, -0x1.a7f0f31bfb166p-12, -0x1.9c4b1e8c62a69p-12, -0x1.90e6a8fe860fp-12, -0x1.85c20bebab91fp-12, -0x1.7adc648a706a6p-12, -0x1.7035397d44647p-12, -0x1.65cc25c6a561cp-12, -0x1.5ba08c47c022bp-12, -0x1.51b1734459005p-12, -0x1.47fd9474d544ap-12, -0x1.3e8395ccfdf26p-12, -0x1.35424e47575e6p-12, -0x1.2c38f877f874p-12, -0x1.23673ffd1b737p-12, -0x1.1acd269f00515p-12, -0x1.126acacd365fep-12, -0x1.0a4020c28d87p-12, -0x1.024cb1d4cb219p-12, -0x1.f51ee3856b1c5p-13, -0x1.e60d625b52242p-13, -0x1.d7605769121adp-13, -0x1.c91259af407b5p-13, -0x1.bb1d914a7abe9p-13, -0x1.ad7c4b6b70afep-13, -0x1.a0299fba788afp-13, -0x1.93220224ead15p-13, -0x1.866391e1e566dp-13, -0x1.79ee026d9cef8p-13, -0x1.6dc21a517028bp-13, -0x1.61e0eb214e7bcp-13, -0x1.564b076e32de7p-13, -0x1.4b00033ff0b7ep-13, -0x1.3ffe6cc591e93p-13, -0x1.354432a57f378p-13, -0x1.2acf41d30a611p-13, -0x1.209e1ed090d04p-13, -0x1.16b04ee4011b8p-13, -0x1.0d066fd2e792dp-13, -0x1.03a1e39f4eabcp-13, -0x1.f5082c48bad4cp-14, -0x1.e35b4ec49a941p-14, -0x1.d23b886b9c8d2p-14, -0x1.c1a43ef2725ddp-14, -0x1.b18ea8ce048bep-14, -0x1.a1f30ec470e11p-14, -0x1.92c9cd53116f1p-14, -0x1.840bc4dba89b9p-14, -0x1.75b2531c6035bp-14, -0x1.67b73e65f421ep-14, -0x1.5a14ece19e75bp-14, -0x1.4cc6e5360c544p-14, -0x1.3fca403b7e319p-14, -0x1.331dbbb281a82p-14, -0x1.26c16f0b11b49p-14, -0x1.1ab6519e9dd2bp-14, -0x1.0efda99a111eep-14, -0x1.03986956328a2p-14, -0x1.f10d32ddf42bbp-15, -0x1.db8dfe57727e6p-15, -0x1.c6ae642b3bcf2p-15, -0x1.b268b5dff381p-15, -0x1.9eb9228435fd3p-15, -0x1.8ba01fed6e0bap-15, -0x1.79222f71d727ap-15, -0x1.67447435524b8p-15, -0x1.56087ee2a23c2p-15, -0x1.456a5b212d468p-15, -0x1.3561b277670b6p-15, -0x1.25e48313ac373p-15, -0x1.16e98a5685268p-15, -0x1.086988132b64fp-15, -0x1.f4bee38182a58p-16, -0x1.d98fe5e3005cap-16, -0x1.bf4100da00182p-16, -0x1.a5cc844ded789p-16, -0x1.8d2a9823965eep-16, -0x1.75517105ca5fp-16, -0x1.5e3783bef67e6p-16, -0x1.47d56fc06eaf7p-16, -0x1.322654bcb32bep-16, -0x1.1d238494f3cf1p-16, -0x1.08c31b984869fp-16, -0x1.e9fa1ca67d43cp-17, -0x1.c3a220d30f69p-17, -0x1.9e8ec04ef6141p-17, -0x1.7ad1b8b3f9295p-17, -0x1.586c0cc1453c8p-17, -0x1.374d4aa9f6441p-17, -0x1.1765ffac95aeep-17, -0x1.f170a76c5a068p-18, -0x1.b6a48e973f241p-18, -0x1.7e70e6d35fa91p-18, -0x1.48b416ec2f25fp-18, -0x1.15305cee03acap-18, -0x1.c753fb33cb738p-19, -0x1.67f4664325beep-19, -0x1.0c21be954487fp-19, -0x1.67b29c62bf2a8p-20, -0x1.7c8d6d7213fb9p-21, -0x1.c0b7bd0002e3dp-24, 0x1.fc1b1ff94b0b5p-22, 0x1.1310cebd81d2ep-20, 0x1.a04c079d3a489p-20, 0x1.1382c1dee2996p-19, 0x1.53cae4b810cd5p-19, 0x1.912b23e550cb6p-19, 0x1.cbc7d3895bb5dp-19, 0x1.01d7faa4512dp-18, 0x1.1c6ccb5edabp-18, 0x1.359f51503dedp-18, 0x1.4d89424fe440cp-18, 0x1.6465805a8a31ep-18, 0x1.7a6280f37d2a4p-18, 0x1.8f6d3c174a886p-18, 0x1.a33ff09f3ec77p-18, 0x1.b5aee21ada49fp-18, 0x1.c6d68d4c6693ap-18, 0x1.d6f27d18256bcp-18, 0x1.e61a855b5a477p-18, 0x1.f441bae31c7p-18, 0x1.00b22780a63aap-17, 0x1.06cc266db3b2ap-17, 0x1.0c7d4bc42a3bp-17, 0x1.11cee0532abf3p-17, 0x1.16c441583c4ccp-17, 0x1.1b5dc53325e6fp-17, 0x1.1f9b25b2bf7efp-17, 0x1.237c3305af2ap-17, 0x1.27003f70001dfp-17, 0x1.2a2566de19d3p-17, 0x1.2ce8ea8050d0fp-17, 0x1.2f4927fedde26p-17, 0x1.3148b74ecf499p-17, 0x1.32f1aef4b9298p-17, 0x1.34568931a2029p-17, 0x1.358b93566699dp-17, 0x1.36977851d3115p-17, 0x1.376d807051d2p-17, 0x1.37f9cd2edd6fp-17, 0x1.383815d934e22p-17, 0x1.3835f9c318d4p-17, 0x1.37fcc8f3ec6b1p-17, 0x1.3786f94247574p-17, 0x1.36d3c3f7db1d2p-17, 0x1.35eeaac897a7cp-17, 0x1.34db16d6d3148p-17, 0x1.3395bbbc69018p-17, 0x1.322a77a436a6fp-17, 0x1.30aa02db37cdp-17, 0x1.2f0e4f340891fp-17, 0x1.2d4532966e302p-17, 0x1.2b4b448b4abdcp-17, 0x1.292a0e4d98abfp-17, 0x1.26ea3c93b81dep-17, 0x1.248f7b2c0fb02p-17, 0x1.221ac3cbd2fcp-17, 0x1.1f8ca0a6fa5efp-17, 0x1.1ce5cce7b9a47p-17, 0x1.1a26b6cb09d41p-17, 0x1.174eb9ef6f036p-17, 0x1.145c00140e64ep-17, 0x1.114cea90fea0ep-17, 0x1.0e1f0a1bb436dp-17, 0x1.0ad4eb7ea354p-17, 0x1.07767ca83f6cbp-17, 0x1.0411fff3eca22p-17, 0x1.00ac5f6d6d9aep-17, 0x1.fa73bd071514p-18, 0x1.f365faf13c7fdp-18, 0x1.ec438a7ae30f6p-18, 0x1.e519d211b199ap-18, 0x1.ddd6168b6fb26p-18, 0x1.d66b6b9dc0b43p-18, 0x1.cee57614e8de9p-18, 0x1.c7541e1c0061ep-18, 0x1.bfbb4b4485977p-18, 0x1.b81181c9c2fd7p-18, 0x1.b04f51d860ac1p-18, 0x1.a881fbc34f63p-18, 0x1.a0b75bbe7c2ecp-18, 0x1.98ec2d4447c8bp-18, 0x1.9125c44ac22e6p-18, 0x1.8963f737fbda5p-18, 0x1.819507555e26bp-18, 0x1.79b6f95224227p-18, 0x1.71d5c45620d57p-18, 0x1.69f8ae378172fp-18, 0x1.62210d147b7dp-18, 0x1.5a4e9486f496ap-18, 0x1.52811f54dc214p-18, 0x1.4ab8aa9b02394p-18, 0x1.42f519fc3f3d6p-18, 0x1.3b366b6e79909p-18, 0x1.337c8c045235dp-18, 0x1.2bc5b369b82aep-18, 0x1.240ff894d0edbp-18, 0x1.1c6235767b9ecp-18, 0x1.14c5cd16bc20fp-18, 0x1.0d367e73ebc7ep-18, 0x1.05b4dc2d87f62p-18, 0x1.fc8cd0ffdf87p-19, 0x1.edc21e8f0538bp-19, 0x1.df0042248775bp-19, 0x1.d0558c6d742a9p-19, 0x1.c1cbd40cbc65ap-19, 0x1.b3646d2563a4p-19, 0x1.a51e664bf647cp-19, 0x1.96f921bc53763p-19, 0x1.88f472edaccecp-19, 0x1.7b108482f9d45p-19, 0x1.6d4e2c62c735ep-19, 0x1.5faeed5cfd5d5p-19, 0x1.523344c37e4c4p-19, 0x1.44d78d0f3bf76p-19, 0x1.3796c4ad9e44dp-19, 0x1.2a77df2489f61p-19, 0x1.1d85af209504fp-19, 0x1.10c13c68f8788p-19, 0x1.04240d6d3a13dp-19, 0x1.ef4bde576cc96p-20, 0x1.d696e2ace37bep-20, 0x1.be3164ec4a3abp-20, 0x1.a6223ee60ded3p-20, 0x1.8e62fac102d46p-20, 0x1.76f4cb2d11daep-20, 0x1.5fd7f811634e2p-20, 0x1.490cb33904591p-20, 0x1.328f1a10d5be9p-20, 0x1.1c59140ed4b3ep-20, 0x1.06726cfd7a59ep-20, 0x1.e1ca10a87d8bdp-21, 0x1.b7620be5940e4p-21, 0x1.8da1b5683bf3dp-21, 0x1.647673d7ff162p-21, 0x1.3beb0c8807c4dp-21, 0x1.1407e3c5d2582p-21, 0x1.d9990fe5f31ffp-22, 0x1.8c6c35b5ab07dp-22, 0x1.4085850ec3dc4p-22, 0x1.ebe4177e2485ep-23, 0x1.5927842806105p-23, 0x1.9217adb33a88fp-24, 0x1.dbad4e4d9abe1p-26, -0x1.3e634fd679df6p-25, -0x1.b042c85dcd853p-24, -0x1.5e2661815ab2ep-23, -0x1.e1aa74ca0ad61p-23, -0x1.315848a9a4c7ap-22, -0x1.709df65534f46p-22, -0x1.aea7ee3d243c8p-22, -0x1.eb77d1f3e62c6p-22, -0x1.1387997ce16d8p-21, -0x1.30b7ea745e4efp-21, -0x1.4d4e2b3083392p-21, -0x1.694bae54e589ep-21, -0x1.84b0b4873dfd9p-21, }}, 
      {{-0x1.719cb818efc6ep-3, -0x1.996b6818a3bd6p-6, 0x1.d071c858a0673p-4, 0x1.a844e7d104d72p-3, 0x1.052838c918aa6p-2, 0x1.10756198b8d02p-2, 0x1.01e8f6517ab58p-2, 0x1.c8b6aff6955eap-3, 0x1.809ad9db36b2cp-3, 0x1.37725e4568d72p-3, 0x1.e98149a3b93d3p-4, 0x1.7912669c1426cp-4, 0x1.20858ab19605cp-4, 0x1.beaacbedad657p-5, 0x1.65b92d46fcc0cp-5, 0x1.2eaadacfa6697p-5, 0x1.1121f92a48b92p-5, 0x1.04e568cb99fcap-5, 0x1.027b6abed4a0cp-5, 0x1.037f3de05b771p-5, 0x1.02c55543d956cp-5, 0x1.f8bbac27d8504p-6, 0x1.db02c1982f4bdp-6, 0x1.a8e2154c96115p-6, 0x1.609fd6eae0d13p-6, 0x1.01f56f6da665ap-6, 0x1.1b81a5741f123p-7, 0x1.6eefa39fdee7p-12, -0x1.2789ee808dcbcp-7, -0x1.3c08fbbacbd9fp-6, -0x1.f022e5f7e1e5cp-6, -0x1.568ae173505edp-5, -0x1.b7f93c8ce2bep-5, -0x1.0d7b7b44b874ap-4, -0x1.3f1c38516332dp-4, -0x1.7048a37939525p-4, -0x1.a07bb7e97c38bp-4, -0x1.cf424e9396477p-4, -0x1.fc3b21908fd73p-4, -0x1.138b263f2d2b2p-3, -0x1.27ca36cd8deb7p-3, -0x1.3ac2c2a275acbp-3, -0x1.4c63d61b83f1ep-3, -0x1.5ca2da18bd4ffp-3, -0x1.6b7ae0edd36adp-3, -0x1.78ebf588cc43p-3, -0x1.84fa70ba63e6fp-3, -0x1.8fae575db8ea6p-3, -0x1.9912c316726dp-3, -0x1.a13556af1bca1p-3, -0x1.a825be819a9fp-3, -0x1.adf53d044f6bfp-3, -0x1.b2b6432af8a43p-3, -0x1.b67c142fe267bp-3, -0x1.b95a742c30a27p-3, -0x1.bb6560cb2c9bp-3, -0x1.bcb0d3759d31bp-3, -0x1.bd508c2fd1728p-3, -0x1.bd57e482ffb6ap-3, -0x1.bcd9a9babe674p-3, -0x1.bbe7fdb84f615p-3, -0x1.ba943dc7ca00cp-3, -0x1.b8eeeea083e74p-3, -0x1.b707ad4d1c6e1p-3, -0x1.b4ed2438eaebdp-3, -0x1.b2ad045ea3f7cp-3, -0x1.b05401780b773p-3, -0x1.adedd1b95a561p-3, -0x1.ab852f0571b8fp-3, -0x1.a923db44e42c8p-3, -0x1.a6d2a5184e73bp-3, -0x1.a4996f79607e2p-3, -0x1.a27f39512fbffp-3, -0x1.a08a27918f23fp-3, -0x1.9ebf8f1b904a9p-3, -0x1.9d23ffa6d72eep-3, -0x1.9bbb4f8524d55p-3, -0x1.9a88a59dd7d5dp-3, -0x1.998e86392523cp-3, -0x1.98cedc7348bbbp-3, -0x1.984b06c7faa1p-3, -0x1.9803e0d49a3f2p-3, -0x1.97f9cef6d75e1p-3, -0x1.982cc865da953p-3, -0x1.989c616c40a5fp-3, -0x1.9947d53f3d3cbp-3, -0x1.9a2e0ef55041p-3, -0x1.9b4db26522a8dp-3, -0x1.9ca5242173bd4p-3, -0x1.9e3291403cefcp-3, -0x1.9ff3f67c96a18p-3, -0x1.a1e7270f25fedp-3, -0x1.a409d3071861dp-3, -0x1.a6598d4fad659p-3, -0x1.a8d3d148d47a8p-3, -0x1.ab7607ff48e51p-3, -0x1.ae3d8d0286d07p-3, -0x1.b127b2d6280f7p-3, -0x1.b431c7006e6bcp-3, -0x1.b75915c3cd4d8p-3, -0x1.ba9aed723b02cp-3, -0x1.bdf4a17606bc1p-3, -0x1.c1638d07622b6p-3, -0x1.c4e5158fefa7cp-3, -0x1.c876acd1ee10bp-3, -0x1.cc15d2c6fe723p-3, -0x1.cfc0173c4e6e1p-3, -0x1.d3731b435fd2bp-3, -0x1.d72c925dd284p-3, -0x1.daea4379db895p-3, -0x1.deaa09cc8cdecp-3, -0x1.e269d56dac23cp-3, -0x1.e627abd3c7ef7p-3, -0x1.e9e1a8315377dp-3, -0x1.ed95fba63a73dp-3, -0x1.f142ed4f02e7cp-3, -0x1.f4e6da4a08cacp-3, -0x1.f8803592bbf7p-3, -0x1.fc0d87c4bc9b4p-3, -0x1.ff8d6eddd1e2cp-3, -0x1.017f4eef8041p-2, -0x1.032fee2ea015cp-2, -0x1.04d80307abe8fp-2, -0x1.06770527c72b6p-2, -0x1.080c75c6c844fp-2, -0x1.0997df5b74c19p-2, -0x1.0b18d554b80bcp-2, -0x1.0c8ef3cc1d3d5p-2, -0x1.0df9df2f244c2p-2, -0x1.0f5943f38e7cbp-2, -0x1.10acd649adfa1p-2, -0x1.11f451c3fb4a7p-2, -0x1.132f7907469f3p-2, -0x1.145e157eb912ep-2, -0x1.157ff708ae8e6p-2, -0x1.1694f3a87e5b8p-2, -0x1.179ce7398bd07p-2, -0x1.1897b323a1b6p-2, -0x1.19853e14ced11p-2, -0x1.1a6573b790664p-2, -0x1.1b3844696ea7p-2, -0x1.1bfda4fe34675p-2, -0x1.1cb58e818c0d4p-2, -0x1.1d5ffdf0c459cp-2, -0x1.1dfcf3fff98a4p-2, -0x1.1e8c74e8a3543p-2, -0x1.1f0e882f3687dp-2, -0x1.1f8338691dc87p-2, -0x1.1fea930f6e191p-2, -0x1.2044a8522c1b6p-2, -0x1.20918ae6af623p-2, -0x1.20d14fdc648f5p-2, -0x1.21040e770a6b7p-2, -0x1.2129e005c23bep-2, -0x1.2142dfbd21504p-2, -0x1.214f2a985f5abp-2, -0x1.214edf388f672p-2, -0x1.21421dc079ed9p-2, -0x1.212907b8b512ep-2, -0x1.2103bffa8d2d4p-2, -0x1.20d26a94a7ff9p-2, -0x1.20952cabf8932p-2, -0x1.204c2c6650a76p-2, -0x1.1ff790dc620c1p-2, -0x1.1f97820580d9ap-2, -0x1.1f2c289d6962dp-2, -0x1.1eb5ae12945fap-2, -0x1.1e343c7c99579p-2, -0x1.1da7fe8e6edf7p-2, -0x1.1d111f81defa2p-2, -0x1.1c6fcb07be9c2p-2, -0x1.1bc42d40a637bp-2, -0x1.1b0e72b552533p-2, -0x1.1a4ec84552be9p-2, -0x1.19855b1a93cadp-2, -0x1.18b258a209341p-2, -0x1.17d5ee87d79b9p-2, -0x1.16f04aacc50cdp-2, -0x1.16019b1898e67p-2, -0x1.150a0df28a12dp-2, -0x1.1409d17faecf1p-2, -0x1.1301141ebbb63p-2, -0x1.11f0043ce5c75p-2, -0x1.10d6d04b14e7dp-2, -0x1.0fb5a6baa0b3p-2, -0x1.0e8cb5fdc111p-2, -0x1.0d5c2c8316484p-2, -0x1.0c2438ab465f2p-2, -0x1.0ae508c0314efp-2, -0x1.099ecaf35166bp-2, -0x1.0851ad5f2702dp-2, -0x1.06fdde03a5515p-2, -0x1.05a38abcfcf7ap-2, -0x1.0442e13ba9f9fp-2, -0x1.02dc0f02aa555p-2, -0x1.016f416923c5ap-2, -0x1.fff94b31627dfp-3, -0x1.fd08d10c0853fp-3, -0x1.fa0d6dd1f38b6p-3, -0x1.f7077a730b689p-3, -0x1.f3f74f618a98bp-3, -0x1.f0dd4491f11f5p-3, -0x1.edb9b1722fbd5p-3, -0x1.ea8cecdac579bp-3, -0x1.e7574d04d513bp-3, -0x1.e4192788d33ep-3, -0x1.e0d2d1605ef87p-3, -0x1.dd849ee2e46c7p-3, -0x1.da2ee3bb2aea2p-3, -0x1.d6d1f2dbe2edep-3, -0x1.d36e1e784f47ap-3, -0x1.d003b805a411ep-3, -0x1.cc93103a28272p-3, -0x1.c91c7709a1757p-3, -0x1.c5a03b9bc50abp-3, -0x1.c21eac42f1e4dp-3, -0x1.be9816775c36dp-3, -0x1.bb0cc6d68fa02p-3, -0x1.b77d09238c337p-3, -0x1.b3e928435c21cp-3, -0x1.b0516e35b172bp-3, -0x1.acb6240d2ae5bp-3, -0x1.a91791eacf41ep-3, -0x1.a575fefd2c288p-3, -0x1.a1d1b1807943dp-3, -0x1.9e2aeebcddd5bp-3, -0x1.9a81fb01a305dp-3, -0x1.96d7199f02d3ap-3, -0x1.932a8ce1a447ap-3, -0x1.8f7c9610e80b7p-3, -0x1.8bcd756f1d307p-3, -0x1.881d6a39650a1p-3, -0x1.846cb2a5a8b0fp-3, -0x1.80bb8bdeb2a7bp-3, -0x1.7d0a320035257p-3, -0x1.7958e0146f8dcp-3, -0x1.75a7d013bc171p-3, -0x1.71f73ae53df49p-3, -0x1.6e47585f19a18p-3, -0x1.6a985f455701bp-3, -0x1.66ea85478ec3ep-3, -0x1.633dfefec9066p-3, -0x1.5f92ffec8549fp-3, -0x1.5be9ba7b0b5e8p-3, -0x1.58425ffe869f3p-3, -0x1.549d20b5fc3cbp-3, -0x1.50fa2bcb862c2p-3, -0x1.4d59af539609ap-3, -0x1.49bbd84c5eae6p-3, -0x1.4620d29de1627p-3, -0x1.4288c91ad532fp-3, -0x1.3ef3e58231e4p-3, -0x1.3b625080d0dffp-3, -0x1.37d431b2d79dap-3, -0x1.3449afa4a43dbp-3, -0x1.30c2efd38d4bcp-3, -0x1.2d4016aed727ep-3, -0x1.29c1479922d25p-3, -0x1.2646a4ea4aab5p-3, -0x1.22d04ff18915ap-3, -0x1.1f5e68f7c870bp-3, -0x1.1bf10f41d52abp-3, -0x1.188861125e905p-3, -0x1.15247babd54eep-3, -0x1.11c57b5270aap-3, -0x1.0e6b7b4e68785p-3, -0x1.0b1695ee6bd18p-3, -0x1.07c6e48a58d3ap-3, -0x1.047c7f862af1ap-3, -0x1.01377e54f2efp-3, -0x1.fbefeef75c9eap-4, -0x1.f57c0127e91b9p-4, -0x1.ef135c9d3e1a5p-4, -0x1.e8b628ed037cbp-4, -0x1.e2648be69171p-4, -0x1.dc1ea9992342cp-4, -0x1.d5e4a45a79p-4, -0x1.cfb69ccdc301ep-4, -0x1.c994b1ea82e6cp-4, -0x1.c37f0102ec209p-4, -0x1.bd75a5ca0a74bp-4, -0x1.b778ba59dfb09p-4, -0x1.b1885739b4623p-4, -0x1.aba49364b436cp-4, -0x1.a5cd8450e5d38p-4, -0x1.a0033df670166p-4, -0x1.9a45d2d6ca3adp-4, -0x1.94955403d4987p-4, -0x1.8ef1d1267d18dp-4, -0x1.895b5885575d1p-4, -0x1.83d1f70b4e0b6p-4, -0x1.7e55b84e92092p-4, -0x1.78e6a697bdc8p-4, -0x1.7384cae8f865bp-4, -0x1.6e302d0504bdbp-4, -0x1.68e8d3761fed1p-4, -0x1.63aec394b624cp-4, -0x1.5e82018e0800dp-4, -0x1.5962906aec053p-4, -0x1.54507216dcfb4p-4, -0x1.4f4ba7672e7c6p-4, -0x1.4a54302247d1ap-4, -0x1.456a0b0677bc4p-4, -0x1.408d35d044205p-4, -0x1.3bbdad4077e41p-4, -0x1.36fb6d220d457p-4, -0x1.3246705062c75p-4, -0x1.2d9eb0bde3e08p-4, -0x1.2904277b207eep-4, -0x1.2476ccbe1951fp-4, -0x1.1ff697e94ad0bp-4, -0x1.1b837f921af93p-4, -0x1.171d79866c64cp-4, -0x1.12c47ad194cap-4, -0x1.0e7877c130224p-4, -0x1.0a3963ea57e91p-4, -0x1.0607322fa504cp-4, -0x1.01e1d4c7ed917p-4, -0x1.fb927a8ae6871p-5, -0x1.f37ab939c655dp-5, -0x1.eb7c465734914p-5, -0x1.e3970179b3faap-5, -0x1.dbcac91bfb778p-5, -0x1.d4177aa447fd6p-5, -0x1.cc7cf26bee2bdp-5, -0x1.c4fb0bc860db8p-5, -0x1.bd91a116498d2p-5, -0x1.b6408bc649dffp-5, -0x1.af07a46a6c3f8p-5, -0x1.a7e6c2c2d8554p-5, -0x1.a0ddbdc8a356ep-5, -0x1.99ec6bb64c4eep-5, -0x1.9312a20e28a13p-5, -0x1.8c50359fd1d32p-5, -0x1.85a4fa8de49bp-5, -0x1.7f10c4552297p-5, -0x1.789365d57e7dcp-5, -0x1.722cb15cd0fabp-5, -0x1.6bdc78b23613ap-5, -0x1.65a28d20f9f6dp-5, -0x1.5f7ebf81fd212p-5, -0x1.5970e04311e5ap-5, -0x1.5378bf6c91f83p-5, -0x1.4d962ca5e8eb5p-5, -0x1.47c8f73a07cf6p-5, -0x1.4210ee1cb2424p-5, -0x1.3c6ddff10d14dp-5, -0x1.36df9b117d4d4p-5, -0x1.3165ed982d956p-5, -0x1.2c00a5678974dp-5, -0x1.26af9031fe116p-5, -0x1.21727b8065ff1p-5, -0x1.1c4934b747892p-5, -0x1.1733891b0c269p-5, -0x1.123145d3e7b6ap-5, -0x1.0d4237f1f1b3ep-5, -0x1.08662c71c8528p-5, -0x1.039cf041e49a1p-5, -0x1.fdcca090dd206p-6, -0x1.f48432d24d016p-6, -0x1.eb60311637e98p-6, -0x1.e260353b5ab56p-6, -0x1.d983d939eed8bp-6, -0x1.d0cab72b2ef3fp-6, -0x1.c834695025291p-6, -0x1.bfc08a18482d9p-6, -0x1.b76eb42856fe3p-6, -0x1.af3e82619e1f7p-6, -0x1.a72f8fe9cdd4p-6, -0x1.9f417832e083p-6, -0x1.9773d702d6e4cp-6, -0x1.8fc6487ae3ee8p-6, -0x1.8838691dfb1e1p-6, -0x1.80c9d5d6811b8p-6, -0x1.797a2bfb8ffd7p-6, -0x1.72490955d41b5p-6, -0x1.6b360c245b81ap-6, -0x1.6440d32188952p-6, -0x1.5d68fd882731p-6, -0x1.56ae2b1883e15p-6, -0x1.500ffc1da4e4fp-6, -0x1.498e1172237b5p-6, -0x1.43280c84e6f06p-6, -0x1.3cdd8f5d05838p-6, -0x1.36ae3c9b62e0bp-6, -0x1.3099b77f3a9dfp-6, -0x1.2a9fa3f51ed93p-6, -0x1.24bfa680d4041p-6, -0x1.1ef96457451bdp-6, -0x1.194c8352ee523p-6, -0x1.13b8a9fa9e036p-6, -0x1.0e3d7f8c89fa9p-6, -0x1.08daabf7e455cp-6, -0x1.038fd7e1784f4p-6, -0x1.fcb9594d98e3fp-7, -0x1.f281a8c0d5517p-7, -0x1.e877f3c72bep-7, -0x1.de9b918832b92p-7, -0x1.d4ebdaab5b298p-7, -0x1.cb68295aad179p-7, -0x1.c20fd94552a16p-7, -0x1.b8e247a1da8aap-7, -0x1.afded330a4e3dp-7, -0x1.a704dc3e0c236p-7, -0x1.9e53c4a4802bdp-7, -0x1.95caefce852c9p-7, -0x1.8d69c2b88579p-7, -0x1.852fa3f242441p-7, -0x1.7d1bfba04b65p-7, -0x1.752e337ccb695p-7, -0x1.6d65b6d871348p-7, -0x1.65c1f29acce2dp-7, -0x1.5e4255428ae5cp-7, -0x1.56e64ee5756c2p-7, -0x1.4fad5130637eap-7, -0x1.4896cf66e5f6cp-7, -0x1.41a23e62facb4p-7, -0x1.3acf1494969p-7, -0x1.341cca012fa5ap-7, -0x1.2d8ad842fbde5p-7, -0x1.2718ba885b4eep-7, -0x1.20c5ed92ff6e8p-7, -0x1.1a91efb6e88dfp-7, -0x1.147c40d963728p-7, -0x1.0e84626fd6ab5p-7, -0x1.08a9d77e7beabp-7, -0x1.02ec2496d6a96p-7, -0x1.fa959fac07543p-8, -0x1.ef8ac1c5e120cp-8, -0x1.e4b6c1d885a4dp-8, -0x1.da18b54c8387fp-8, -0x1.cfafb4912897fp-8, -0x1.c57adb17e4b77p-8, -0x1.bb79474fe757fp-8, -0x1.b1aa1aa1683b1p-8, -0x1.a80c7969bf5dcp-8, -0x1.9e9f8af6c9971p-8, -0x1.9562798329e3ep-8, -0x1.8c547231c5f28p-8, -0x1.8374a509b4f5dp-8, -0x1.7ac244f12e9b8p-8, -0x1.723c87a865beep-8, -0x1.69e2a5c3a00b6p-8, -0x1.61b3daa4aede5p-8, -0x1.59af6473ea9fap-8, -0x1.51d484191e9efp-8, -0x1.4a227d3426f8cp-8, -0x1.42989616375e6p-8, -0x1.3b3617bbaee28p-8, -0x1.33fa4dc6a3939p-8, -0x1.2ce4867a99933p-8, -0x1.25f412b877426p-8, -0x1.1f2845fb5db42p-8, -0x1.18807654e5788p-8, -0x1.11fbfc68d493ep-8, -0x1.0b9a336779af3p-8, -0x1.055a79062cb76p-8, -0x1.fe785aec81464p-9, -0x1.f27d66b44fc38p-9, -0x1.e6c2df7391006p-9, -0x1.db4793ee539fbp-9, -0x1.d00a5787e38ffp-9, -0x1.c50a0232c0738p-9, -0x1.ba4570668fd1cp-9, -0x1.afbb831cdf4d9p-9, -0x1.a56b1fd300e67p-9, -0x1.9b53308fac1f9p-9, -0x1.9172a3e85e698p-9, -0x1.87c86d033b544p-9, -0x1.7e538391e3e14p-9, -0x1.7512e3c1f6474p-9, -0x1.6c058e2287a4ep-9, -0x1.632a877f9a97p-9, -0x1.5a80d8b6d61d2p-9, -0x1.52078e89dfe29p-9, -0x1.49bdb975e5f6bp-9, -0x1.41a26d9400b51p-9, -0x1.39b4c289c5ad1p-9, -0x1.31f3d389f6b62p-9, -0x1.2a5ebf665925cp-9, -0x1.22f4a8ae73da6p-9, -0x1.1bb4b5d4fdc3ap-9, -0x1.149e11536577cp-9, -0x1.0dafe9c2a8489p-9, -0x1.06e971e22879cp-9, -0x1.0049e085e80dfp-9, -0x1.f3a0e0d806064p-10, -0x1.e6f8bff75f4cdp-10, -0x1.da99e1eda54f5p-10, -0x1.ce82d0440b734p-10, -0x1.c2b219899ad7fp-10, -0x1.b7265222f279p-10, -0x1.abde129f11c44p-10, -0x1.a0d7f883f7186p-10, -0x1.9612a6113d954p-10, -0x1.8b8cc3da8fb7cp-10, -0x1.81450087fcd31p-10, -0x1.773a11cf63f99p-10, -0x1.6d6ab50eaf0b4p-10, -0x1.63d5afa1ce0e2p-10, -0x1.5a79cee616be8p-10, -0x1.5155e7dc9fe6p-10, -0x1.4868d66cfc414p-10, -0x1.3fb17c5d51c01p-10, -0x1.372ec01f9f026p-10, -0x1.2edf8ba2d33dbp-10, -0x1.26c2cb557ca7ap-10, -0x1.1ed76d84a5bddp-10, -0x1.171c6233ecdb2p-10, -0x1.0f909b79403cep-10, -0x1.08330e53cb9d5p-10, -0x1.0102b3e22771ap-10, -0x1.f3fd159bc1f92p-11, -0x1.e64b3171b3cecp-11, -0x1.d8edd6eb1d489p-11, -0x1.cbe333af00065p-11, -0x1.bf2987e692b6ep-11, -0x1.b2bf256ba6483p-11, -0x1.a6a26da1c381ep-11, -0x1.9ad1ce0839881p-11, -0x1.8f4bc047089fep-11, -0x1.840eb3eabe199p-11, -0x1.79192cb7d6387p-11, -0x1.6e699e24b5845p-11, -0x1.63fe7a4f10d1p-11, -0x1.59d62e8d43c7ep-11, -0x1.4fef24f936554p-11, -0x1.4647c75d2c267p-11, -0x1.3cde831a2d3a6p-11, -0x1.33b1cd89408d3p-11, -0x1.2ac0284b94ebfp-11, -0x1.22082507b6c46p-11, -0x1.19886825c516fp-11, -0x1.113faa3b33124p-11, -0x1.092cb7fa5cdd2p-11, -0x1.014e70a0da064p-11, -0x1.f347861649627p-12, -0x1.e4575374b2614p-12, -0x1.d5ca4c754b665p-12, -0x1.c79e78e2c8ad4p-12, -0x1.b9d1dcc71fdc8p-12, -0x1.ac6271f4197e6p-12, -0x1.9f4e245b74506p-12, -0x1.9292d19c3d0dp-12, -0x1.862e4ba9c08b4p-12, -0x1.7a1e5de4c1f5fp-12, -0x1.6e60d39f5c84ep-12, -0x1.62f37ee6c9905p-12, -0x1.57d43e949f7b7p-12, -0x1.4d0103143ffabp-12, -0x1.4277d1b868edap-12, -0x1.3836c6cea4b67p-12, -0x1.2e3c16b2b862p-12, -0x1.24860e0eb46a1p-12, -0x1.1b13113879033p-12, -0x1.11e19a80dc649p-12, -0x1.08f037407a0f6p-12, -0x1.003d83acc6bf7p-12, -0x1.ef904b9a2ed56p-13, -0x1.df1d909e4fb43p-13, -0x1.cf202c65d9864p-13, -0x1.bf9570819dc18p-13, -0x1.b07aa9c16087fp-13, -0x1.a1cd24795e9bap-13, -0x1.938a33ab90149p-13, -0x1.85af3837392ecp-13, -0x1.7839a4f327958p-13, -0x1.6b26fdae5d24cp-13, -0x1.5e74d11d188a5p-13, -0x1.5220b024bbc54p-13, -0x1.4628267ec18a5p-13, -0x1.3a88b8a50c127p-13, -0x1.2f3fe9093908dp-13, -0x1.244b43a94a747p-13, -0x1.19a86c3607b6dp-13, -0x1.0f5529b437d51p-13, -0x1.054f6b374f975p-13, -0x1.f72a8806ace3dp-14, -0x1.e449c19fb53eep-14, -0x1.d1f8f54ed4d44p-14, -0x1.c034995a850cp-14, -0x1.aef921337e012p-14, -0x1.9e4305a42b68bp-14, -0x1.8e0ed807e4842p-14, -0x1.7e5952ab24762p-14, -0x1.6f1f6e3696ef4p-14, -0x1.605e6725ce94p-14, -0x1.52139c538a289p-14, -0x1.443c869e7ab51p-14, -0x1.36d68f4df31p-14, -0x1.29dee54190d1p-14, -0x1.1d52660817fa7p-14, -0x1.112d9a521a784p-14, -0x1.056ccf5fae026p-14, -0x1.f418932bf2699p-15, -0x1.de110559b158p-15, -0x1.c8bcbf630fba1p-15, -0x1.b416984029245p-15, -0x1.a01a5fae210cap-15, -0x1.8cc486d25a60bp-15, -0x1.7a11a81f4bbf5p-15, -0x1.67fe1f9491819p-15, -0x1.5685dce15e11cp-15, -0x1.45a47da5456a6p-15, -0x1.35559d02779fbp-15, -0x1.2595303813b4ap-15, -0x1.165fc7c63f256p-15, -0x1.07b29d1a715b6p-15, -0x1.f316d4546c71cp-16, -0x1.d7d032c92edf2p-16, -0x1.bd8ccbba15a5ep-16, -0x1.a4470bbb39744p-16, -0x1.8bf7e8654287fp-16, -0x1.7496c1c634bc6p-16, -0x1.5e198d27bfe67p-16, -0x1.48753bd5a660bp-16, -0x1.339e558f6e40ap-16, -0x1.1f89bea6f59bdp-16, -0x1.0c2d90ebaf8a7p-16, -0x1.f303aac0135e4p-17, -0x1.cf01c51672e6p-17, -0x1.ac4e68e49ff9cp-17, -0x1.8ae57b460013fp-17, -0x1.6ac3c342c3494p-17, -0x1.4be4e3fd225aap-17, -0x1.2e421cc6d31f7p-17, -0x1.11d23d9f481cdp-17, -0x1.ed155f054b7a2p-18, -0x1.b8c20abc149d5p-18, -0x1.8698fb1d6f373p-18, -0x1.568e0b3f44ce6p-18, -0x1.289ad6353eaabp-18, -0x1.f979e9a9c6441p-19, -0x1.a5e482c9e04ccp-19, -0x1.5669b10c23983p-19, -0x1.0aef64811f06cp-19, -0x1.869bc91817489p-20, -0x1.fd4e205aa08cep-21, -0x1.f65858487676ep-22, -0x1.805e5cc12f25fp-27, 0x1.c5eafbe99b667p-22, 0x1.c070ac47c5014p-21, 0x1.498f34aecbdf9p-20, 0x1.adcfc080141a4p-20, 0x1.069f6ed50b0f4p-19, 0x1.3408dd5e3effap-19, 0x1.5f367e9f89f7bp-19, 0x1.88339a5c8b20ep-19, 0x1.af06864eae98bp-19, 0x1.d3b3609b5e4a6p-19, 0x1.f63f5e367d9c8p-19, 0x1.0b59f94066d53p-18, 0x1.1a90549347531p-18, 0x1.28cd4d5d0f0dfp-18, 0x1.361c468b14ea9p-18, 0x1.428629088b5e3p-18, 0x1.4e0ea6d8c341bp-18, 0x1.58b4b2d032e9ep-18, 0x1.6276949f7e306p-18, 0x1.6b56b579774c5p-18, 0x1.735db537a4259p-18, 0x1.7a98fbb3633a5p-18, 0x1.8117922b25dc6p-18, 0x1.86e763123c555p-18, 0x1.8c13ce4b899d9p-18, 0x1.90a5736877e63p-18, 0x1.94a2c9ad3a7dfp-18, 0x1.98113912b13ccp-18, 0x1.9af6652134ee4p-18, 0x1.9d591dbeae6aep-18, 0x1.9f414daaf31fdp-18, 0x1.a0b6c1339b8c3p-18, 0x1.a1c06571d0525p-18, 0x1.a2633c9056c3ep-18, 0x1.a2a563437cd7bp-18, 0x1.a28e83d81e896p-18, 0x1.a22469b34b35bp-18, 0x1.a168b88b61d6ap-18, 0x1.a058b36cd663fp-18, 0x1.9ef1a8775bb86p-18, 0x1.9d3577bc1d479p-18, 0x1.9b2a5605ec234p-18, 0x1.98d5cb6f271a9p-18, 0x1.9638a1131eb6dp-18, 0x1.9350bbdeba062p-18, 0x1.901ea5fab6e06p-18, 0x1.8ca86353e32ep-18, 0x1.88f7560d5a201p-18, 0x1.85145d1295deap-18, 0x1.81058689f1934p-18, 0x1.7ccdf44526319p-18, 0x1.786ee810c411p-18, 0x1.73e8ee481daf9p-18, 0x1.6f3cad19b741p-18, 0x1.6a6b4d5dd2105p-18, 0x1.65769df2b15ebp-18, 0x1.60610f8c782a6p-18, 0x1.5b2d96be806b2p-18, 0x1.55df7ec28395cp-18, 0x1.507a284d86061p-18, 0x1.4b008566ce7c8p-18, 0x1.45744a919e706p-18, 0x1.3fd5ad8e7d55bp-18, 0x1.3a25121a7483bp-18, 0x1.346617e247bcep-18, 0x1.2e9ff2e5a21d9p-18, 0x1.28d826568e521p-18, 0x1.230cc84b4773dp-18, 0x1.1d36864cc89d5p-18, 0x1.1751278ab121bp-18, 0x1.11604500e865dp-18, 0x1.0b6a964d888fdp-18, 0x1.0572f29bb168fp-18, 0x1.fef0fd6f1620cp-19, 0x1.f2f6ef5155f89p-19, 0x1.e6fd57c9b71d5p-19, 0x1.db0ac1ce3964p-19, 0x1.cf2344f3d19fap-19, 0x1.c34872ec2cea3p-19, 0x1.b77aa5434049p-19, 0x1.abb9ff0ee45f2p-19, 0x1.a006b5777f3a1p-19, 0x1.9460d6e60a747p-19, 0x1.88c803446fcb8p-19, 0x1.7d3b89bcf01dbp-19, 0x1.71bb1ca21e6e7p-19, 0x1.6647f04a68727p-19, 0x1.5ae5e8bff93fp-19, 0x1.4f9bedf6662bcp-19, 0x1.4471b3de8960ap-19, 0x1.396952ab5547ap-19, 0x1.2e7e9f46697ffp-19, 0x1.23aa6ca8c6e9ep-19, 0x1.18eb1a40b3922p-19, 0x1.0e45726bc6e1fp-19, 0x1.03bca230b45b6p-19, 0x1.f29d2f2a66185p-20, 0x1.ddf61cda42e97p-20, 0x1.c98c0d3a7fdc6p-20, 0x1.b5614868edba1p-20, 0x1.a173c9f062418p-20, 0x1.8dcb70e3e3624p-20, 0x1.7a72215412356p-20, 0x1.6762ba44b161p-20, 0x1.54918ba8e7e06p-20, 0x1.41fcc142230a7p-20, 0x1.2fa9fcd4a7ad6p-20, 0x1.1d9dc73fea6eap-20, 0x1.0bd9874e975d6p-20, 0x1.f4ba40b8ae7f5p-21, 0x1.d25092123a048p-21, 0x1.b075bf1da087ep-21, 0x1.8f2945a0894ebp-21, 0x1.6e697643960c9p-21, 0x1.4e335645ab4b6p-21, 0x1.2e869ee1ad093p-21, 0x1.0f5b2d0fd8a8dp-21, 0x1.e16d99f0472d6p-22, 0x1.a53ba281ba23fp-22, 0x1.6a3995e68a3c8p-22, 0x1.306e89fe85acbp-22, 0x1.ef83ef540fa8bp-23, 0x1.80463a5824eabp-23, 0x1.13440091cc807p-23, 0x1.5120d0c209483p-24, 0x1.00086157fc5ddp-25, -0x1.3429520227131p-26, -0x1.15eb77139c598p-24, -0x1.da72b62e14374p-24, -0x1.4d50c9d450c7dp-23, -0x1.ab51f91f76bc1p-23, -0x1.03a545660942dp-22, -0x1.3093d41c40bfcp-22, -0x1.5c6e342ceb2f4p-22, -0x1.873b909f47d6ap-22, -0x1.b0fdb4e68c389p-22, -0x1.d9b9da2d91e66p-22, -0x1.00bdd15e282f1p-21, -0x1.142228b8c1719p-21, -0x1.27084c6ee89f9p-21, -0x1.39708c19471f2p-21, -0x1.4b5c78e77b0d1p-21, -0x1.5ccdbbb3a1535p-21, -0x1.6dc5ccfc921aap-21, -0x1.7e4605840bf7fp-21, -0x1.8e4fb44b6994cp-21, -0x1.9de42a0cf526ap-21, -0x1.ad04be1d9e779p-21, -0x1.bbb2d1d557b6ep-21, -0x1.c9efcd5c3485ap-21, -0x1.d7bd108390f59p-21, -0x1.e51bfa9dcb79fp-21, -0x1.f20e00f6341bcp-21, -0x1.fe949016659aep-21, -0x1.055885131e6c7p-20, -0x1.0b3272a28e02bp-20, -0x1.10d8c703ac69ep-20, -0x1.164c3154b2a87p-20, -0x1.1b8d675578121p-20, -0x1.209d28f57ab55p-20, -0x1.257c3cd7067acp-20, -0x1.2a2b6a0d27d59p-20, -0x1.2eab6fd5fbdd1p-20, -0x1.32fd020e26867p-20, -0x1.3720d4cb7b931p-20, -0x1.3b17ae3c52a62p-20, -0x1.3ee25357034a7p-20, -0x1.42812f77a0097p-20, -0x1.45f4479315beap-20, -0x1.493ca03231ab1p-20, -0x1.4c5c35e61f54fp-20, -0x1.4f544cb10ac6ep-20, -0x1.5224e3a02a015p-20, -0x1.54ccfce000f17p-20, -0x1.574da6d997eb6p-20, -0x1.59a925eb6a25p-20, -0x1.5bded85c9e756p-20, -0x1.5df0cf025213cp-20, -0x1.5fdf188affa46p-20, -0x1.61aa5f0eb4ab6p-20, -0x1.6353445117064p-20, -0x1.64d9c45c07d7cp-20, -0x1.663d8240ad659p-20, -0x1.6780589e56825p-20, -0x1.68a478bce4fb4p-20, -0x1.69aa85067d08fp-20, -0x1.6a922424ba7f6p-20, -0x1.6b5ae29725533p-20, -0x1.6c0593215bdc8p-20, -0x1.6c9405ae31d13p-20, -0x1.6d0689ab0817ep-20, -0x1.6d5dbe89ad7a9p-20, -0x1.6d9a42569b5bcp-20, -0x1.6dbb9131bcd24p-20, -0x1.6dc47aa3a8a34p-20, -0x1.6db37093d8cfep-20, -0x1.6d89fc0223221p-20, -0x1.6d488f180efa6p-20, -0x1.6cefb9e8a688fp-20, -0x1.6c800d46c9d6p-20, -0x1.6bfa18ce05c17p-20, -0x1.6b5e690b4914cp-20, -0x1.6aad85e0258fdp-20, -0x1.69e7f2bb5076ap-20, -0x1.690e324eba58bp-20, -0x1.6820cc0e0be93p-20, -0x1.672049dd076ap-20, -0x1.660d18fe6ddacp-20, -0x1.64e78fabc0dccp-20, -0x1.63b078593b7c2p-20, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.070e656fcde7dp-11, -0x1.f65647b377c2p-11, -0x1.5bdbd9eed1c6fp-10, -0x1.9c043d3c39686p-10, -0x1.b3efe1a19d8b9p-10, -0x1.9df434a97e2a6p-10, -0x1.566cbf88b6b05p-10, -0x1.b730d95aa4763p-11, -0x1.6b11778e4c785p-13, 0x1.65c528e6b4f02p-11, 0x1.c2c293fa4af3ap-10, 0x1.7f791616c9ffp-9, 0x1.18e3e7ea86faap-8, 0x1.7b17652dbc22fp-8, 0x1.e53d377f92a41p-8, 0x1.2b1db49cd241cp-7, 0x1.6680133bd7b42p-7, 0x1.a444203b01438p-7, 0x1.e3f20eea32f88p-7, 0x1.128ed206e772p-6, 0x1.33b3b05a2a316p-6, 0x1.553e92587a473p-6, 0x1.770d2daf502ffp-6, 0x1.9903e27a70688p-6, 0x1.bb0d773f28ffdp-6, 0x1.dd1ab50761eb1p-6, 0x1.ff21ebfdc1ef4p-6, 0x1.108f34228d52ap-5, 0x1.2187eef6b37e2p-5, 0x1.327ce8f7cc4dcp-5, 0x1.437182887656fp-5, 0x1.546a72435e72p-5, 0x1.656d819cd6b3fp-5, 0x1.76814ed1c58f9p-5, 0x1.87ad14be3880fp-5, 0x1.98f878e1a6535p-5, 0x1.aa6b5f92cdf1ap-5, 0x1.bc0dc62f884c2p-5, 0x1.cde7a2ed7d924p-5, 0x1.e000c9d59f98fp-5, 0x1.f260d663cb0a6p-5, 0x1.02878c9e4e4c7p-4, 0x1.0c0944b5c8d26p-4, 0x1.15b8dc5088078p-4, 0x1.1f9964f8f98bap-4, 0x1.29adb553700a4p-4, 0x1.33f8665c11d96p-4, 0x1.3e7bd150ef8bp-4, 0x1.493a0e25a0802p-4, 0x1.5434f264e02dfp-4, 0x1.5f6e106b09c64p-4, 0x1.6ae6b6ea0acd9p-4, 0x1.769ff0ac30087p-4, 0x1.829a848f04edcp-4, 0x1.8ed6f5b2afa89p-4, 0x1.9b5583dc2b307p-4, 0x1.a8162c0a7f7c9p-4, 0x1.b518a93fb4c33p-4, 0x1.c25c757eac20fp-4, 0x1.cfe0cafee1263p-4, 0x1.dda4a596ae908p-4, 0x1.eba6c45c054f8p-4, 0x1.f9e5ab7abd7p-4, 0x1.042fd31f6ab96p-3, 0x1.0b8964a8135d5p-3, 0x1.12fe7a8e1a4a6p-3, 0x1.1a8dec351044dp-3, 0x1.2236798a1d717p-3, 0x1.29f6cc710159bp-3, 0x1.31cd7a3ea9cacp-3, 0x1.39b9053e8ca48p-3, 0x1.41b7de3fea845p-3, 0x1.49c8662830efap-3, 0x1.51e8ef87a9d52p-3, 0x1.5a17c02ddcc47p-3, 0x1.625312bb1b5ap-3, 0x1.6a99182cd4a96p-3, 0x1.72e7f96298d7fp-3, 0x1.7b3dd899ccfabp-3, 0x1.8398d2de5caecp-3, 0x1.8bf7016edbd81p-3, 0x1.94567b12cdca9p-3, 0x1.9cb5556205958p-3, 0x1.a511a5fc2d8ccp-3, 0x1.ad6983afd0b29p-3, 0x1.b5bb079063d22p-3, 0x1.be044dfaf6561p-3, 0x1.c64377895b5aap-3, 0x1.ce76a9f3cd9f1p-3, 0x1.d69c10e11c68fp-3, 0x1.deb1dea59b68p-3, 0x1.e6b64cf12bcd2p-3, 0x1.eea79d6cc49e4p-3, 0x1.f6841a47eaddfp-3, 0x1.fe4a16b6c3499p-3, 0x1.02fbf7b09dbc5p-2, 0x1.06c60562026abp-2, 0x1.0a826cc206ebbp-2, 0x1.0e306b5a97595p-2, 0x1.11cf440a69041p-2, 0x1.155e3f1ca927dp-2, 0x1.18dcaa5b64fd6p-2, 0x1.1c49d91d17c9p-2, 0x1.1fa5244db51b7p-2, 0x1.22edea7394dbdp-2, 0x1.26238fb09e59p-2, 0x1.29457dc012427p-2, 0x1.2c5323f14555ep-2, 0x1.2f4bf71fa9702p-2, 0x1.322f71a878911p-2, 0x1.34fd135e47cp-2, 0x1.37b4617adaa87p-2, 0x1.3a54e68f77b41p-2, 0x1.3cde3273fd493p-2, 0x1.3f4fda34ff6cep-2, 0x1.41a97801221f4p-2, 0x1.43eaab15e5a91p-2, 0x1.461317ac18c09p-2, 0x1.482266e420757p-2, 0x1.4a1846b23047ep-2, 0x1.4bf469caac073p-2, 0x1.4db6878ebc44bp-2, 0x1.4f5e5bf942a71p-2, 0x1.50eba78c398dcp-2, 0x1.525e2f3e99d83p-2, 0x1.53b5bc6ad1cf8p-2, 0x1.54f21cbddc27ap-2, 0x1.5613222700c3ap-2, 0x1.5718a2c8408f9p-2, 0x1.580278e7761cfp-2, 0x1.58d082e024d9ap-2, 0x1.5982a315fd795p-2, 0x1.5a18bfe80519ap-2, 0x1.5a92c3a46cc3p-2, 0x1.5af09c7cfd1fdp-2, 0x1.5b323c7c1d03cp-2, 0x1.5b57997a60ba5p-2, 0x1.5b60ad149328ep-2, 0x1.5b4d74a235b04p-2, 0x1.5b1df12c62213p-2, 0x1.5ad2276502e55p-2, 0x1.5a6a1f9e51861p-2, 0x1.59e5e5c292554p-2, 0x1.5945894bf81c4p-2, 0x1.58891d3ca623p-2, 0x1.57b0b816c04a6p-2, 0x1.56bc73d47ab5dp-2, 0x1.55ac6de01ee6fp-2, 0x1.5480c70bf4426p-2, 0x1.5339a38a0484fp-2, 0x1.51d72ae3ac526p-2, 0x1.505987f0f2279p-2, 0x1.4ec0e8cf90c58p-2, 0x1.4d0d7ed9b89a9p-2, 0x1.4b3f7e9c6dc69p-2, 0x1.49571fcd8feafp-2, 0x1.47549d4172454p-2, 0x1.453834e007985p-2, 0x1.43022799a0222p-2, 0x1.40b2b95b2795fp-2, 0x1.3e4a3101ee8a2p-2, 0x1.3bc8d84ef3795p-2, 0x1.392efbd9af4d7p-2, 0x1.367ceb025df8bp-2, 0x1.33b2f7e3c8d61p-2, 0x1.30d177448f4b6p-2, 0x1.2dd8c087f2f47p-2, 0x1.2ac92d9e23d2bp-2, 0x1.27a31af412386p-2, 0x1.2466e762c913dp-2, 0x1.2114f41e548fp-2, 0x1.1dada4a435046p-2, 0x1.1a315ea96a98fp-2, 0x1.16a08a0815158p-2, 0x1.12fb90acb3dfap-2, 0x1.0f42de8308b57p-2, 0x1.0b76e162a1921p-2, 0x1.079808fb17cep-2, 0x1.03a6c6bff9ed2p-2, 0x1.ff471ba8fb227p-3, 0x1.f71da5edd37a1p-3, 0x1.eed218d79de73p-3, 0x1.e66563d21a68fp-3, 0x1.ddd8790163034p-3, 0x1.d52c4d175b259p-3, 0x1.cc61d728f4d84p-3, 0x1.c37a10833776dp-3, 0x1.ba75f4803937fp-3, 0x1.b156805c01d75p-3, 0x1.a81cb30967f82p-3, 0x1.9ec98d06ff3dbp-3, 0x1.955e10341477bp-3, 0x1.8bdb3fa5d4e79p-3, 0x1.82421f7c99967p-3, 0x1.7893b4b977478p-3, 0x1.6ed105140958cp-3, 0x1.64fb16d0957b8p-3, 0x1.5b12f09686818p-3, 0x1.511999474a8f2p-3, 0x1.471017d59d7f5p-3, 0x1.3cf7731d55759p-3, 0x1.32d0b1bba0072p-3, 0x1.289cd9e7d871cp-3, 0x1.1e5cf14cdf1fcp-3, 0x1.1411fce3184c1p-3, 0x1.09bd00cb002efp-3, 0x1.febe0050d562dp-4, 0x1.e9f1f9fcd0faep-4, 0x1.d517f017d7a08p-4, 0x1.c031e1522e1ffp-4, 0x1.ab41c94aa4581p-4, 0x1.9649a04c3c53p-4, 0x1.814b5b0d5e6cfp-4, 0x1.6c48ea70a3dc6p-4, 0x1.57443b4736059p-4, 0x1.423f3614dbeffp-4, 0x1.2d3bbed5a2276p-4, 0x1.183bb4c539e56p-4, 0x1.0340f22801f4ap-4, 0x1.dc9a982b95cf6p-5, 0x1.b2c5248c98822p-5, 0x1.89051dbec43f9p-5, 0x1.5f5e0c89e5c95p-5, 0x1.35d36dd54a8d6p-5, 0x1.0c68b24ea1b1ap-5, 0x1.c6427c28b2ccap-6, 0x1.7400d0c6f752cp-6, 0x1.2212f6921f84dp-6, 0x1.a0fecd5becbe8p-7, 0x1.fd31fae2622cfp-8, 0x1.7404021170157p-9, -0x1.0ef37da5057cfp-9, -0x1.c72924d50cb69p-8, -0x1.827a438e0753ap-7, -0x1.10312cdc1c871p-6, -0x1.5ea0bc37ede8bp-6, -0x1.ac86404eb18f3p-6, -0x1.f9dc489e7d5f1p-6, -0x1.234ec200e8f68p-5, -0x1.4962607dc8ccbp-5, -0x1.6f2676fe523dcp-5, -0x1.94988cd1b78f6p-5, -0x1.b9b6397a5cc54p-5, -0x1.de7d24c76684p-5, -0x1.0175837595225p-4, -0x1.137ed4474fee6p-4, -0x1.25597170f5f79p-4, -0x1.37044fd4fdc36p-4, -0x1.487e6ca5ade42p-4, -0x1.59c6cd690fd2p-4, -0x1.6adc7ffb9c13fp-4, -0x1.7bbe9a917b215p-4, -0x1.8c6c3bb6774f3p-4, -0x1.9ce48a4caf16bp-4, -0x1.ad26b589f15e1p-4, -0x1.bd31f4f3f0189p-4, -0x1.cd05885b236a3p-4, -0x1.dca0b7d492cbap-4, -0x1.ec02d3b2701edp-4, -0x1.fb2b347b8b36fp-4, -0x1.050c9d70d5f3bp-3, -0x1.0c6627db72181p-3, -0x1.13a1f1f0e7fdp-3, -0x1.1abfb8286597cp-3, -0x1.21bf3af619a6p-3, -0x1.28a03ec3d78ecp-3, -0x1.2f628be946457p-3, -0x1.3605eea3978d6p-3, -0x1.3c8a370cd5af2p-3, -0x1.42ef3912bd121p-3, -0x1.4934cc6d37b7fp-3, -0x1.4f5acc946ac4dp-3, -0x1.556118b6688c4p-3, -0x1.5b4793ac82be2p-3, -0x1.610e23f0465f6p-3, -0x1.66b4b39019a4bp-3, -0x1.6c3b30238fea8p-3, -0x1.71a18abf6bde4p-3, -0x1.76e7b7e9527ebp-3, -0x1.7c0daf8b3d03bp-3, -0x1.81136ce69e405p-3, -0x1.85f8ee87525c5p-3, -0x1.8abe363643c9ap-3, -0x1.8f6348ebe0b9fp-3, -0x1.93e82ec255a5ap-3, -0x1.984cf2e794cdap-3, -0x1.9c91a38f2ab95p-3, -0x1.a0b651e3eea3fp-3, -0x1.a4bb11f97f045p-3, -0x1.a89ffabd9ca7bp-3, -0x1.ac6525e96703ap-3, -0x1.b00aaff27010fp-3, -0x1.b390b7fbb6a51p-3, -0x1.b6f75fc68c902p-3, -0x1.ba3ecba3598b8p-3, -0x1.bd672262571f4p-3, -0x1.c0708d443142ep-3, -0x1.c35b37ea9c701p-3, -0x1.c6275048e3ca5p-3, -0x1.c8d5069464ceap-3, -0x1.cb648d35112a9p-3, -0x1.cdd618b5e0be9p-3, -0x1.d029dfb549c8bp-3, -0x1.d2601ad5bc937p-3, -0x1.d47904ae1d62dp-3, -0x1.d674d9ba41e5fp-3, -0x1.d853d84b85871p-3, -0x1.da164079540f3p-3, -0x1.dbbc5411d7781p-3, -0x1.dd46568a9eb5ap-3, -0x1.deb48cf16a51ap-3, -0x1.e0073ddcfd6d1p-3, -0x1.e13eb15e0ae8p-3, -0x1.e25b30f03cec3p-3, -0x1.e35d076b48c85p-3, -0x1.e44480f43088dp-3, -0x1.e511eaee8f1ebp-3, -0x1.e5c593ee1162cp-3, -0x1.e65fcba80515dp-3, -0x1.e6e0e2e50e955p-3, -0x1.e7492b72fc77fp-3, -0x1.e798f816caa9ep-3, -0x1.e7d09c7ebd49p-3, -0x1.e7f06d34b047cp-3, -0x1.e7f8bf908254bp-3, -0x1.e7e9e9aab8eedp-3, -0x1.e7c4424f409f6p-3, -0x1.e78820f06119dp-3, -0x1.e735dd99e1bbdp-3, -0x1.e6cdd0e452ffdp-3, -0x1.e65053e88cb59p-3, -0x1.e5bdc0335c9cp-3, -0x1.e5166fb96399ap-3, -0x1.e45abccb26da6p-3, -0x1.e38b02094eaacp-3, -0x1.e2a79a591e801p-3, -0x1.e1b0e0d91d613p-3, -0x1.e0a730d5f2351p-3, -0x1.df8ae5bf785cap-3, -0x1.de5c5b1e00482p-3, -0x1.dd1bec87d2e55p-3, -0x1.dbc9f596e3ad5p-3, -0x1.da66d1deb696ep-3, -0x1.d8f2dce282bb1p-3, -0x1.d76e720b89c03p-3, -0x1.d5d9ec9fa40b9p-3, -0x1.d435a7b809a5p-3, -0x1.d281fe3847f62p-3, -0x1.d0bf4ac5816d1p-3, -0x1.ceede7bdd12f6p-3, -0x1.cd0e2f2ff0c58p-3, -0x1.cb207ad317d4p-3, -0x1.c92523ff08b16p-3, -0x1.c71c83a461976p-3, -0x1.c506f2451ab0dp-3, -0x1.c2e4c7ed3f164p-3, -0x1.c0b65c2bde169p-3, -0x1.be7c060c33e97p-3, -0x1.bc361c0f001f7p-3, -0x1.b9e4f424218f1p-3, -0x1.b788e3a458f64p-3, -0x1.b5223f4b4a0fp-3, -0x1.b2b15b31b08ap-3, -0x1.b0368ac7c64b7p-3, -0x1.adb220cfe111ap-3, -0x1.ab246f5944e32p-3, -0x1.a88dc7bb289fap-3, -0x1.a5ee7a8fe68bcp-3, -0x1.a346d7b06fb74p-3, -0x1.a0972e2fdf0ccp-3, -0x1.9ddfcc574bb7p-3, -0x1.9b20ffa1c077dp-3, -0x1.985b14b872536p-3, -0x1.958e576f1280bp-3, -0x1.92bb12c064f5ep-3, -0x1.8fe190caf0768p-3, -0x1.8d021acdf17c1p-3, -0x1.8a1cf926669fep-3, -0x1.8732734c55519p-3, -0x1.8442cfd03621cp-3, -0x1.814e54588fab9p-3, -0x1.7e55459fb66ffp-3, -0x1.7b57e771b7ca7p-3, -0x1.78567caa6f1edp-3, -0x1.75514733c53f6p-3, -0x1.7248880413022p-3, -0x1.6f3c7f1cab6b8p-3, -0x1.6c2d6b888d6ddp-3, -0x1.691b8b5b39b98p-3, -0x1.66071bafac9dp-3, -0x1.62f058a77db88p-3, -0x1.5fd77d6a203c2p-3, -0x1.5cbcc4244493dp-3, -0x1.59a066075e237p-3, -0x1.56829b494b507p-3, -0x1.53639b24146acp-3, -0x1.50439bd5d771bp-3, -0x1.4d22d2a0c48f1p-3, -0x1.4a0173cb41468p-3, -0x1.46dfb2a02526ep-3, -0x1.43bdc16f1382ap-3, -0x1.409bd18cf06c9p-3, -0x1.3d7a13546c93bp-3, -0x1.3a58b626b28bbp-3, -0x1.3737e86c276f2p-3, -0x1.3417d79545e55p-3, -0x1.30f8b01b8d638p-3, -0x1.2dda9d8291f91p-3, -0x1.2abdca5914074p-3, -0x1.27a2603a3b272p-3, -0x1.248887cedf235p-3, -0x1.217068cee0c62p-3, -0x1.1e5a2a02a3343p-3, -0x1.1b45f14489ac5p-3, -0x1.1833e382908c1p-3, -0x1.152424bff548ep-3, -0x1.1216d816ec7b7p-3, -0x1.0f0c1fba6d07bp-3, -0x1.0c041cf804f1bp-3, -0x1.08fef039c26dep-3, -0x1.05fcb908269ddp-3, -0x1.02fd960c2ac66p-3, -0x1.0001a5114acc6p-3, -0x1.fa12060f4b5e3p-4, -0x1.f427980c44d13p-4, -0x1.ee443699423d1p-4, -0x1.e868168c768ep-4, -0x1.e2936b171066bp-4, -0x1.dcc665c9da14bp-4, -0x1.d7013699f3e7fp-4, -0x1.d1440be5904cdp-4, -0x1.cb8f1278c8873p-4, -0x1.c5e275927f808p-4, -0x1.c03e5ee9546a9p-4, -0x1.baa2f6b098e7ep-4, -0x1.b510639d5fd45p-4, -0x1.af86caeb88895p-4, -0x1.aa065062e101p-4, -0x1.a48f165c49bb3p-4, -0x1.9f213dc6e5f35p-4, -0x1.99bce62d4a13cp-4, -0x1.94622dbab9775p-4, -0x1.8f1131406c6fbp-4, -0x1.89ca0c3acf152p-4, -0x1.848cd8d6cb854p-4, -0x1.7f59aff7163f1p-4, -0x1.7a30a9397e5cep-4, -0x1.7511dafc3edd2p-4, -0x1.6ffd5a634b84dp-4, -0x1.6af33b5da49ebp-4, -0x1.65f390aaab6e5p-4, -0x1.60fe6bdf69cbbp-4, -0x1.5c13dd6be9c11p-4, -0x1.5733f4a07d53cp-4, -0x1.525ebfb304b6ep-4, -0x1.4d944bc439c65p-4, -0x1.48d4a4e4ece6ap-4, -0x1.441fd61b4320fp-4, -0x1.3f75e967f140dp-4, -0x1.3ad6e7cb66f01p-4, -0x1.3642d94b029e1p-4, -0x1.31b9c4f631598p-4, -0x1.2d3bb0eb8f8acp-4, -0x1.28c8a25e0088cp-4, -0x1.24609d99be15ep-4, -0x1.2003a6095aab9p-4, -0x1.1bb1be3ac3c57p-4, -0x1.176ae7e43adap-4, -0x1.132f23e9360cp-4, -0x1.0efe725f4db3bp-4, -0x1.0ad8d2930a6a5p-4, -0x1.06be430cba4c6p-4, -0x1.02aec19530c58p-4, -0x1.fd549674fa6c7p-5, -0x1.f561b8a929848p-5, -0x1.ed84e113feecep-5, -0x1.e5be05a8b9f11p-5, -0x1.de0d1b09f5f6cp-5, -0x1.d6721492991fcp-5, -0x1.ceece45eb2bccp-5, -0x1.c77d7b5452022p-5, -0x1.c023c92c20928p-5, -0x1.b8dfbc7a0efb7p-5, -0x1.b1b142b5b9c4dp-5, -0x1.aa984842d1ab8p-5, -0x1.a394b8796d56dp-5, -0x1.9ca67dae2539ap-5, -0x1.95cd813a1d271p-5, -0x1.8f09ab8311c68p-5, -0x1.885ae40319adap-5, -0x1.81c111506e387p-5, -0x1.7b3c1925015c2p-5, -0x1.74cbe0661a2a5p-5, -0x1.6e704b2b9a117p-5, -0x1.68293cc76aee4p-5, -0x1.61f697cc9bd63p-5, -0x1.5bd83e167e3c1p-5, -0x1.55ce10cf93951p-5, -0x1.4fd7f078734p-5, -0x1.49f5bcee89047p-5, -0x1.44275572a959bp-5, -0x1.3e6c98afaa9a1p-5, -0x1.38c564c0c1586p-5, -0x1.33319737d9e43p-5, -0x1.2db10d23b21fcp-5, -0x1.2843a31606555p-5, -0x1.22e935298d246p-5, -0x1.1da19f07b4cedp-5, -0x1.186cbbee824bep-5, -0x1.134a66b62eeacp-5, -0x1.0e3a79d6ab372p-5, -0x1.093ccf6d11ae8p-5, -0x1.04514140fcf5dp-5, -0x1.feef519365902p-6, -0x1.f55fbe66b2328p-6, -0x1.ebf37ac7afabcp-6, -0x1.e2aa37ffae455p-6, -0x1.d983a6df1a1cp-6, -0x1.d07f77c6a6a0ap-6, -0x1.c79d5ab0d20e4p-6, -0x1.bedcff3aa26fbp-6, -0x1.b63e14ac8520ap-6, -0x1.adc04a02f54e9p-6, -0x1.a5634df6b784p-6, -0x1.9d26cf0534de4p-6, -0x1.950a7b7867c89p-6, -0x1.8d0e016eabdd3p-6, -0x1.85310ee2665ecp-6, -0x1.7d7351b177cep-6, -0x1.75d477a467214p-6, -0x1.6e542e757f9d6p-6, -0x1.66f223d7cacb2p-6, -0x1.5fae057da89c6p-6, -0x1.5887811f54921p-6, -0x1.517e448161076p-6, -0x1.4a91fd7ab5efep-6, -0x1.43c259fadfcep-6, -0x1.3d0f080f7aaaap-6, -0x1.3677b5ea686bp-6, -0x1.2ffc11e6d9f7dp-6, -0x1.299bca8ee7f2fp-6, -0x1.23568ea0cf3d8p-6, -0x1.1d2c0d13d6f05p-6, -0x1.171bf51d4a08dp-6, -0x1.1125f6352c1f3p-6, -0x1.0b49c01ad2abbp-6, -0x1.058702d9584b6p-6, -0x1.ffbadd97c327bp-7, -0x1.f49969437c073p-7, -0x1.e9a90ac5134cbp-7, -0x1.dee924e39eb6cp-7, -0x1.d4591b2611661p-7, -0x1.c9f851da12a3dp-7, -0x1.bfc62e1b30226p-7, -0x1.b5c215d931e12p-7, -0x1.abeb6fdf033e1p-7, -0x1.a241a3d871aaep-7, -0x1.98c41a584f4e9p-7, -0x1.8f723cde250f4p-7, -0x1.864b75dba818bp-7, -0x1.7d4f30b9e091ap-7, -0x1.747cd9de32c3fp-7, -0x1.6bd3deaf3599dp-7, -0x1.6353ad99144b7p-7, -0x1.5afbb612447d9p-7, -0x1.52cb689f17a4bp-7, -0x1.4ac236d657ce7p-7, -0x1.42df93644df8p-7, -0x1.3b22f20ef1e9bp-7, -0x1.338bc7b8ae8b8p-7, -0x1.2c198a63fc265p-7, -0x1.24cbb13610983p-7, -0x1.1da1b479c5b89p-7, -0x1.169b0da21f546p-7, -0x1.0fb7374ce95f5p-7, -0x1.08f5ad44b3bb8p-7, -0x1.0255ec833e987p-7, -0x1.f7aee6663611p-8, -0x1.eaf3816375895p-8, -0x1.de78ab21b8ce6p-8, -0x1.d23d673056512p-8, -0x1.c640bb8cccd83p-8, -0x1.ba81b0a5dab98p-8, -0x1.aeff515c93ab6p-8, -0x1.a3b8ab074ca55p-8, -0x1.98accd7237d02p-8, -0x1.8ddacae163665p-8, -0x1.8341b8119f1b1p-8, -0x1.78e0ac391a92bp-8, -0x1.6eb6c1081c0fep-8, -0x1.64c312a981a65p-8, -0x1.5b04bfc2aa26p-8, -0x1.517ae97380ed4p-8, -0x1.4824b3562bb88p-8, -0x1.3f01437e89ff8p-8, -0x1.360fc27971e58p-8, -0x1.2d4f5b4c0f387p-8, -0x1.24bf3b7266e32p-8, -0x1.1c5e92de516f7p-8, -0x1.142c93f62a199p-8, -0x1.0c287392fab87p-8, -0x1.045168fec57b9p-8, -0x1.f94d5be598428p-9, -0x1.ea4efd29fd702p-9, -0x1.dba632ecc4b5ap-9, -0x1.cd517f20473f2p-9, -0x1.bf4f6882bf66ap-9, -0x1.b19e7a98fd1f1p-9, -0x1.a43d45a8fb685p-9, -0x1.972a5eb31afccp-9, -0x1.8a645f6d62585p-9, -0x1.7de9e63ca3016p-9, -0x1.71b9962da352fp-9, -0x1.65d216ef4e0bbp-9, -0x1.5a3214cae615ep-9, -0x1.4ed8409db37bdp-9, -0x1.43c34fd0ea0fap-9, -0x1.38f1fc532b077p-9, -0x1.2e63048fc9837p-9, -0x1.24152b67fcc9ep-9, -0x1.1a07382a86c19p-9, -0x1.1037f68b32746p-9, -0x1.06a6369ba7b77p-9, -0x1.faa19983e0952p-10, -0x1.e86d2360e227ap-10, -0x1.d6acc4bab51e5p-10, -0x1.c55e3ff3d989cp-10, -0x1.b47f5fd2e422p-10, -0x1.a40df7712d9bfp-10, -0x1.9407e22898ee3p-10, -0x1.846b038073e7ep-10, -0x1.7535471ca5bf6p-10, -0x1.6664a0a9d161ap-10, -0x1.57f70bcb0f554p-10, -0x1.49ea8c0738266p-10, -0x1.3c3d2cb6ba6efp-10, -0x1.2eed00eee199bp-10, -0x1.21f8236f7ca07p-10, -0x1.155cb69046dedp-10, -0x1.0918e42c617eap-10, -0x1.fa55bb2013817p-11, -0x1.e321b6c8cf82dp-11, -0x1.cc923b3889ac6p-11, -0x1.b6a3d6c1a40a9p-11, -0x1.a15325fb65d36p-11, -0x1.8c9cd39a4b0dcp-11, -0x1.787d984a9969cp-11, -0x1.64f23a85ce711p-11, -0x1.51f78e702f47cp-11, -0x1.3f8a75ad35eeap-11, -0x1.2da7df39fb529p-11, -0x1.1c4cc74559b11p-11, -0x1.0b763709c362dp-11, -0x1.f642894b9f86p-12, -0x1.d69625e9aecc9p-12, -0x1.b7e1a2d02fc1dp-12, -0x1.9a1f77bdb9d97p-12, -0x1.7d4a3502fdbap-12, -0x1.615c83341f725p-12, -0x1.465122da65ccap-12, -0x1.2c22ec2729637p-12, -0x1.12ccceac2810ap-12, -0x1.f493a20f2466ep-13, -0x1.c52a213ae1afdp-13, -0x1.97538298bcb8bp-13, -0x1.6b065a3d9f12cp-13, -0x1.40396805ba63cp-13, -0x1.16e397026ee71p-13, -0x1.ddf7f9b7bf3a6p-14, -0x1.90f3b2925a734p-14, -0x1.46a92aef19842p-14, -0x1.fe0f0df20039fp-15, -0x1.73fc76feea33fp-15, -0x1.ddf433a555b7ep-16, -0x1.bba07023992d5p-17, 0x1.8b1841588c8e1p-20, 0x1.05ce4f4d02e11p-16, 0x1.e9c24b75888c9p-16, 0x1.62643916be222p-15, 0x1.cb8d4c9d3a28dp-15, 0x1.183c5da428a58p-14, 0x1.48a1293032a96p-14, 0x1.7702a9c4b0e1cp-14, 0x1.a36e3b6a99cbcp-14, 0x1.cdf0f66dfa70ep-14, 0x1.f697b05f75f2cp-14, 0x1.0eb77e8eb7ca6p-13, 0x1.214197e3c97b9p-13, 0x1.32f02de7762e8p-13, 0x1.43c92af2410c3p-13, 0x1.53d25a7d9cc1p-13, 0x1.6311699ce4f0ep-13, 0x1.718be777c8f6cp-13, 0x1.7f4745c6d312ep-13, 0x1.8c48d94957a5bp-13, 0x1.9895da3a180dep-13, 0x1.a43364c94ed41p-13, 0x1.af26798ca0f96p-13, 0x1.b973fdf59a9c1p-13, 0x1.c320bcc1205eep-13, 0x1.cc316669d6515p-13, 0x1.d4aa9195df319p-13, 0x1.dc90bb88b16ap-13, 0x1.e3e8488944dffp-13, 0x1.eab584555bf11p-13, 0x1.f0fca2856efecp-13, 0x1.f6c1befab83f7p-13, 0x1.fc08de43147afp-13, 0x1.006af70230b4ap-12, 0x1.029662ae74833p-12, 0x1.048892a5b8a2p-12, 0x1.06435c87aab33p-12, 0x1.07c88b46ec796p-12, 0x1.0919df576ac67p-12, 0x1.0a390edf6b51ap-12, 0x1.0b27c5e611961p-12, 0x1.0be7a681a1f05p-12, 0x1.0c7a49059e744p-12, 0x1.0ce13c30a937p-12, 0x1.0d1e0557559e9p-12, 0x1.0d322092a9a5ap-12, 0x1.0d1f00e922e6fp-12, 0x1.0ce6107c46efep-12, 0x1.0c88b0b015ac3p-12, 0x1.0c083a56e72p-12, 0x1.0b65fdd971febp-12, 0x1.0aa3435feb483p-12, 0x1.09c14af9e6251p-12, 0x1.08c14cc553eddp-12, 0x1.07a479165db91p-12, 0x1.066bf89cda525p-12, 0x1.0518ec897393ep-12, 0x1.03ac6eb5d091fp-12, 0x1.022791c50f3fap-12, 0x1.008b614ac96aep-12, 0x1.fdb1c3dc07f7ep-13, 0x1.fa22231905467p-13, 0x1.f669ceb812014p-13, 0x1.f28aa81a89dddp-13, 0x1.ee8683dce1809p-13, 0x1.ea5f2a1565ed3p-13, 0x1.e61656931c643p-13, 0x1.e1adb924baceap-13, 0x1.dd26f5d187e1ap-13, 0x1.d883a518e537fp-13, 0x1.d3c55430b2e32p-13, 0x1.ceed85400dd6cp-13, 0x1.c9fdaf99a9728p-13, 0x1.c4f73ff7c593ep-13, 0x1.bfdb98b34ff7cp-13, 0x1.baac11fe2ca6fp-13, 0x1.b569fa18be6adp-13, 0x1.b0169588faab7p-13, 0x1.aab31f4f9e1fdp-13, 0x1.a540c91ea2257p-13, 0x1.9fc0bb887ab7dp-13, 0x1.9a341637f32b5p-13, 0x1.949bf01ec101ap-13, 0x1.8ef957a939cb4p-13, 0x1.894d52ebfae55p-13, 0x1.8398dfd4c9602p-13, 0x1.7ddcf45908e78p-13, 0x1.781a7ea3d8989p-13, 0x1.7252654330f03p-13, 0x1.6c858751af722p-13, 0x1.66b4bca689ab9p-13, 0x1.60e0d5fc6a8d6p-13, 0x1.5b0a9d1c94595p-13, 0x1.5532d508a093p-13, 0x1.4f5a3a2196ffep-13, 0x1.49818251e90a9p-13, 0x1.43a95d31766eep-13, 0x1.3dd2742ea93c8p-13, 0x1.37fd6ab0c20ecp-13, 0x1.322ade402b338p-13, 0x1.2c5b66a85618cp-13, 0x1.268f961be4e64p-13, 0x1.20c7f957dffeap-13, 0x1.1b0517c4f0655p-13, 0x1.1547739a5ab41p-13, 0x1.0f8f89fce4534p-13, 0x1.09ddd320db3d7p-13, 0x1.0432c26924a73p-13, 0x1.fd1d8d0bad1cap-14, 0x1.f1e4932556eaap-14, 0x1.e6bb626bb7ccfp-14, 0x1.dba2bd78a371dp-14, 0x1.d09b5e6d03fp-14, 0x1.c5a5f728cd06p-14, 0x1.bac33184a34cep-14, 0x1.aff3af8384fa8p-14, 0x1.a5380b8a6876bp-14, 0x1.9a90d895da3eep-14, 0x1.8ffea266d68e9p-14, 0x1.8581edbb21522p-14, 0x1.7b1b387a311a3p-14, 0x1.70caf9e536a7cp-14, 0x1.6691a2c73142ep-14, 0x1.5c6f9da23927cp-14, 0x1.52654edb416bbp-14, 0x1.487314e7fe99ap-14, 0x1.3e9948764b56p-14, 0x1.34d83c9bc2644p-14, 0x1.2b303ef937b53p-14, 0x1.21a197e6e0fadp-14, 0x1.182c8a99f87a4p-14, 0x1.0ed1554adfc4bp-14, 0x1.0590315d5fc62p-14, 0x1.f8d2a70474b75p-15, 0x1.e6b9d7bbc7a93p-15, 0x1.d4d64c538a2f2p-15, 0x1.c32853b3b4a01p-15, 0x1.b1b0347382df3p-15, 0x1.a06e2d245972p-15, 0x1.8f62748e131e3p-15, 0x1.7e8d39eddefa6p-15, 0x1.6deea53626397p-15, 0x1.5d86d74750616p-15, 0x1.4d55ea2fb04b8p-15, 0x1.3d5bf15d5b61ap-15, 0x1.2d98f9e0ba841p-15, 0x1.1e0d0a99a883p-15, 0x1.0eb82472cd9f9p-15, 0x1.ff348526dcfefp-16, 0x1.e166b527ea02fp-16, 0x1.c406b95e8e6ddp-16, 0x1.a71467e5c4112p-16, 0x1.8a8f8cdd0bef2p-16, 0x1.6e77eac9f1251p-16, 0x1.52cd3aec9c0fep-16, 0x1.378f2d9754489p-16, 0x1.1cbd6a8b6ada8p-16, 0x1.02579148a1b6p-16, 0x1.d0ba72bb9eef7p-17, 0x1.9d9be578ecb51p-17, 0x1.6b528c0b5343p-17, 0x1.39dd69a8d9bb8p-17, 0x1.093b7413a17a1p-17, 0x1.b2d7284957d16p-18, 0x1.54d94cbe2950bp-18, 0x1.f0f5edc6bbbd9p-19, 0x1.3b7363196bf96p-19, 0x1.124bc7bcff73ap-20, -0x1.2fbe744ede089p-22, -0x1.a3d6343a22d74p-20, -0x1.7ab98a1cf7fd6p-19, -0x1.103466b052e82p-18, -0x1.617f5a4535cd8p-18, -0x1.b14098189d3ecp-18, -0x1.ff7b27ae5baffp-18, }}, 
      {{-0x1.cb1aab18d0a14p-12, -0x1.c0bf407e243f2p-11, -0x1.43db4cf95ba55p-10, -0x1.98bc8a5c58ea4p-10, -0x1.db1d018529d1fp-10, -0x1.03e0bc3f5216dp-9, -0x1.0e10835fabc73p-9, -0x1.0b31408d01d8ap-9, -0x1.f552cd89ac995p-10, -0x1.b856427b12dafp-10, -0x1.5f56e19860354p-10, -0x1.d561fe08ee7a3p-11, -0x1.6c7e7c4435f1bp-12, 0x1.3959f65f34491p-12, 0x1.10707a32fe6c8p-10, 0x1.e9c34d4097bc9p-10, 0x1.6c63ec070e51ap-9, 0x1.edf391d10a83ep-9, 0x1.3c61354fdbffap-8, 0x1.8601fdca0d132p-8, 0x1.d3788d9809262p-8, 0x1.1232b6e4b70a9p-7, 0x1.3c37343282816p-7, 0x1.679fb0ec17b1dp-7, 0x1.94457865db5a2p-7, 0x1.c2055e2f52db8p-7, 0x1.f0bfd44f3b7e6p-7, 0x1.102c7635690cdp-6, 0x1.285c23bc3bfddp-6, 0x1.40e47bb1b8143p-6, 0x1.59bcaae06ca5bp-6, 0x1.72dd6933212a3p-6, 0x1.8c40de2f0d6f8p-6, 0x1.a5e283afc0c62p-6, 0x1.bfbf07cca7e4ap-6, 0x1.d9d42ea763e4dp-6, 0x1.f420b4bbe4edfp-6, 0x1.0752191468d4ap-5, 0x1.14af7fa3f482bp-5, 0x1.22290d69ae8e6p-5, 0x1.2fbf88df4a647p-5, 0x1.3d73f46af3c86p-5, 0x1.4b478414e71ddp-5, 0x1.593b941f1d2d3p-5, 0x1.6751a076efe92p-5, 0x1.758b3cf590a66p-5, 0x1.83ea0e6206241p-5, 0x1.926fc4266de8dp-5, 0x1.a11e12a9c09cep-5, 0x1.aff6ae3fa8351p-5, 0x1.befb46a0707f3p-5, 0x1.ce2d82dc3b7d4p-5, 0x1.dd8efdbd907b4p-5, 0x1.ed2142909cap-5, 0x1.fce5ca45cee4bp-5, 0x1.066efc73c2912p-4, 0x1.0e858dadd7959p-4, 0x1.16b732b5aac05p-4, 0x1.1f04780560bd4p-4, 0x1.276ddbeeed26fp-4, 0x1.2ff3cdfa6e025p-4, 0x1.3896ae5f0f0b6p-4, 0x1.4156cd94fc599p-4, 0x1.4a346bff16cf3p-4, 0x1.532fb9ab34018p-4, 0x1.5c48d627c6f89p-4, 0x1.657fd06ddb78fp-4, 0x1.6ed4a6de4ec35p-4, 0x1.7847475133b35p-4, 0x1.81d78f364d585p-4, 0x1.8b854bc58ba6ep-4, 0x1.95503a3e6b838p-4, 0x1.9f3808351e094p-4, 0x1.a93c53ec5222bp-4, 0x1.b35cacba8945ep-4, 0x1.bd989379c0a54p-4, 0x1.c7ef7b00658bbp-4, 0x1.d260c8a26700cp-4, 0x1.dcebd4b962766p-4, 0x1.e78feb32bb255p-4, 0x1.f24c4c22c0335p-4, 0x1.fd202c5bc2e1p-4, 0x1.04055b0423105p-3, 0x1.098584a3a35e3p-3, 0x1.0f101e64f7d25p-3, 0x1.14a4af38e12d9p-3, 0x1.1a42b9f74fd97p-3, 0x1.1fe9bdadf6cfbp-3, 0x1.259935ee24e97p-3, 0x1.2b509b1994898p-3, 0x1.310f62ae01419p-3, 0x1.36d4ff8f3367p-3, 0x1.3ca0e24f62cd5p-3, 0x1.42727975b85b7p-3, 0x1.484931c2cd0ebp-3, 0x1.4e247673033c4p-3, 0x1.5403b17ea3324p-3, 0x1.59e64bd79ff49p-3, 0x1.5fcbada4f9862p-3, 0x1.65b33e7ba9661p-3, 0x1.6b9c65951b018p-3, 0x1.71868a032208dp-3, 0x1.777112e177728p-3, 0x1.7d5b6784b542cp-3, 0x1.8344efa6e7f48p-3, 0x1.892d1391a691ap-3, 0x1.8f133c45d3c75p-3, 0x1.94f6d3a108d82p-3, 0x1.9ad74480b4f98p-3, 0x1.a0b3fae3128a6p-3, 0x1.a68c6405f05fep-3, 0x1.ac5fee836d0ffp-3, 0x1.b22e0a6cbdbd8p-3, 0x1.b7f62962ff82ep-3, 0x1.bdb7beae47624p-3, 0x1.c3723f52e388dp-3, 0x1.c925222508d4ap-3, 0x1.cecfdfdadb051p-3, 0x1.d471f31d0b667p-3, 0x1.da0ad896036a9p-3, 0x1.df9a0effc4852p-3, 0x1.e51f17308c417p-3, 0x1.ea9974264d45dp-3, 0x1.f008ab1114255p-3, 0x1.f56c435c66f2cp-3, 0x1.fac3c6b7bc9cp-3, 0x1.0007608f083ap-2, 0x1.02a6606e53131p-2, 0x1.053eab4c8a084p-2, 0x1.07d00aab4f49cp-2, 0x1.0a5a493d7620ep-2, 0x1.0cdd32e916384p-2, 0x1.0f5894c95a49p-2, 0x1.11cc3d3010535p-2, 0x1.1437fba6ffc98p-2, 0x1.169ba0f10fcafp-2, 0x1.18f6ff0b39083p-2, 0x1.1b49e92d4fa21p-2, 0x1.1d9433caa4219p-2, 0x1.1fd5b492805f5p-2, 0x1.220e427082fe5p-2, 0x1.243db58cdb3c2p-2, 0x1.2663e74c697cdp-2, 0x1.2880b250c5024p-2, 0x1.2a93f27827b12p-2, 0x1.2c9d84dd42f73p-2, 0x1.2e9d47d701577p-2, 0x1.30931af82d223p-2, 0x1.327edf0f07586p-2, 0x1.34607624ca532p-2, 0x1.3637c37d14abfp-2, 0x1.3804ab954844ap-2, 0x1.39c71423ce7b7p-2, 0x1.3b7ee4174f9ep-2, 0x1.3d2c0395d30d1p-2, 0x1.3ece5bfbcf1a5p-2, 0x1.4065d7db22e8dp-2, 0x1.41f262f9fd63dp-2, 0x1.4373ea51b0dc1p-2, 0x1.44ea5c0d7117cp-2, 0x1.4655a788faf49p-2, 0x1.47b5bd4f2b534p-2, 0x1.490a8f187abefp-2, 0x1.4a540fc965493p-2, 0x1.4b923370bc696p-2, 0x1.4cc4ef45e0abp-2, 0x1.4dec39a6e39c6p-2, 0x1.4f080a1693c01p-2, 0x1.5018593a6e8adp-2, 0x1.511d20d87b131p-2, 0x1.52165bd50c1edp-2, 0x1.530406306ae25p-2, 0x1.53e61d0463d71p-2, 0x1.54bc9e81c3bcep-2, 0x1.558789edb24dap-2, 0x1.5646df9efae82p-2, 0x1.56faa0fb39f73p-2, 0x1.57a2d073f0d5ap-2, 0x1.583f718383b58p-2, 0x1.58d088aa1e753p-2, 0x1.59561b6a80d3dp-2, 0x1.59d03046b4a7fp-2, 0x1.5a3ecebcabe5ep-2, 0x1.5aa1ff42c9fa3p-2, 0x1.5af9cb4454f4p-2, 0x1.5b463d1dd2032p-2, 0x1.5b8760194dbbbp-2, 0x1.5bbd406a8e5b9p-2, 0x1.5be7eb2b34e95p-2, 0x1.5c076e56c9a71p-2, 0x1.5c1bd8c6b59c4p-2, 0x1.5c253a2e2b68ep-2, 0x1.5c23a31600b42p-2, 0x1.5c1724d87673cp-2, 0x1.5bffd19cf00ccp-2, 0x1.5bddbc539e238p-2, 0x1.5bb0f8b11e6cfp-2, 0x1.5b799b2a09e83p-2, 0x1.5b37b8ee788a5p-2, 0x1.5aeb67e57de03p-2, 0x1.5a94bea8964c1p-2, 0x1.5a33d47f0e1aep-2, 0x1.59c8c159603ddp-2, 0x1.59539dcc8d8abp-2, 0x1.58d4830d69de2p-2, 0x1.584b8aebeb004p-2, 0x1.57b8cfce6ba9cp-2, 0x1.571c6caceda7p-2, 0x1.56767d0c59c96p-2, 0x1.55c71cf9bb717p-2, 0x1.550e69057c1a3p-2, 0x1.544c7e3e9ee38p-2, 0x1.53817a2df9ea2p-2, 0x1.52ad7ad174056p-2, 0x1.51d09e9740c26p-2, 0x1.50eb045924bbp-2, 0x1.4ffccb57b4344p-2, 0x1.4f0613359f5fdp-2, 0x1.4e06fbf2fe2ccp-2, 0x1.4cffa5e8a1cf5p-2, 0x1.4bf031c36ea4fp-2, 0x1.4ad8c07fbbcf2p-2, 0x1.49b97364b8864p-2, 0x1.48926bffde9e3p-2, 0x1.4763cc20673dep-2, 0x1.462db5d2d04cep-2, 0x1.44f04b5c63337p-2, 0x1.43abaf36ce12ap-2, 0x1.4260040bc4e7ap-2, 0x1.410d6cb0ab09dp-2, 0x1.3fb40c224dd03p-2, 0x1.3e540580a9543p-2, 0x1.3ced7c0ab9f59p-2, 0x1.3b80931a5a9f8p-2, 0x1.3a0d6e203201fp-2, 0x1.3894309faebe6p-2, 0x1.3714fe2b0e943p-2, 0x1.358ffa5f78e65p-2, 0x1.340548e1243fep-2, 0x1.32750d578de16p-2, 0x1.30df6b69c1223p-2, 0x1.2f4486baac757p-2, 0x1.2da482e589c82p-2, 0x1.2bff837a55d38p-2, 0x1.2a55abfa55f2ep-2, 0x1.28a71fd4b4d87p-2, 0x1.26f4026329cf9p-2, 0x1.253c76e6b6de8p-2, 0x1.2380a08471e64p-2, 0x1.21c0a24267454p-2, 0x1.1ffc9f0487e8ap-2, 0x1.1e34b989ab28cp-2, 0x1.1c691468a2adap-2, 0x1.1a99d20d628e6p-2, 0x1.18c714b635c14p-2, 0x1.16f0fe7109db4p-2, 0x1.1517b118cc66bp-2, 0x1.133b4e52d72ebp-2, 0x1.115bf78c70c4ep-2, 0x1.0f79cdf860d26p-2, 0x1.0d94f28c92ebep-2, 0x1.0bad85ffcef2cp-2, 0x1.09c3a8c7806a1p-2, 0x1.07d77b159358fp-2, 0x1.05e91cd65f3f1p-2, 0x1.03f8adaea796fp-2, 0x1.02064cf9ab4b8p-2, 0x1.001219c747f8ap-2, 0x1.fc3865b45d86cp-3, 0x1.f8496d4c4e893p-3, 0x1.f457869cd2a59p-3, 0x1.f062ed4809bdp-3, 0x1.ec6bdc48b3481p-3, 0x1.e8728def48d45p-3, 0x1.e4773bdf32e4bp-3, 0x1.e07a1f0c1f3f5p-3, 0x1.dc7b6fb77deeap-3, 0x1.d87b656e18a68p-3, 0x1.d47a3705d0dccp-3, 0x1.d0781a9b7926ap-3, 0x1.cc754590d0e42p-3, 0x1.c871ec8a9cf23p-3, 0x1.c46e436ee1ca1p-3, 0x1.c06a7d633c697p-3, 0x1.bc66cccb58421p-3, 0x1.b8636347814e9p-3, 0x1.b46071b355d29p-3, 0x1.b05e28249601ep-3, 0x1.ac5cb5ea0c498p-3, 0x1.a85c498a96242p-3, 0x1.a45d10c443cd2p-3, 0x1.a05f388b99608p-3, 0x1.9c62ed0ae0b15p-3, 0x1.986859a1a0f2bp-3, 0x1.946fa8e427177p-3, 0x1.9079049b2cfacp-3, 0x1.8c8495c394c46p-3, 0x1.8892848e41535p-3, 0x1.84a2f8600121ap-3, 0x1.80b617d1946c8p-3, 0x1.7ccc08afc8792p-3, 0x1.78e4effbac5b3p-3, 0x1.7500f1ead20c9p-3, 0x1.712031e7b1d23p-3, 0x1.6d42d292182ffp-3, 0x1.6968f5bfad5e2p-3, 0x1.6592bc7c8ad25p-3, 0x1.61c0470bf2346p-3, 0x1.5df1b4e8fe2c3p-3, 0x1.5a2724c781ccdp-3, 0x1.5660b494e2b9ap-3, 0x1.529e81791213cp-3, 0x1.4ee0a7d7937b6p-3, 0x1.4b2743508dbd4p-3, 0x1.47726ec1f3404p-3, 0x1.43c24448b6c3ep-3, 0x1.4016dd420e311p-3, 0x1.3c70524cc621ap-3, 0x1.38cebb4a9c718p-3, 0x1.35322f61afeb7p-3, 0x1.319ac4fdffcc1p-3, 0x1.2e0891d2e51bap-3, 0x1.2a7baadcb0f9fp-3, 0x1.26f424623f7afp-3, 0x1.237211f6aa2d7p-3, 0x1.1ff5867af0f5p-3, 0x1.1c7e941fbf09dp-3, 0x1.190d4c672b926p-3, 0x1.15a1c0268cb61p-3, 0x1.123bff884ff6ep-3, 0x1.0edc1a0dd7d2p-3, 0x1.0b821e9167739p-3, 0x1.082e1b4813b12p-3, 0x1.04e01dc3b5c72p-3, 0x1.019832f4eb473p-3, 0x1.fcacce5a3f683p-4, 0x1.f6358c41171eap-4, 0x1.efcab5d0980f1p-4, 0x1.e96c6008eac0bp-4, 0x1.e31a9ebc58c62p-4, 0x1.dcd5849384e69p-4, 0x1.d69d2311b4de8p-4, 0x1.d0718a990d0d2p-4, 0x1.ca52ca6ef9dfep-4, 0x1.c440f0c06d424p-4, 0x1.be3c0aa64d5p-4, 0x1.b8442429c8a4p-4, 0x1.b2594848c50a6p-4, 0x1.ac7b80fa401fbp-4, 0x1.a6aad732ba7ebp-4, 0x1.a0e752e8ad7b9p-4, 0x1.9b30fb18ea013p-4, 0x1.9587d5cb11d13p-4, 0x1.8febe81606bd9p-4, 0x1.8a5d362456b6fp-4, 0x1.84dbc338ac145p-4, 0x1.7f6791b2391a9p-4, 0x1.7a00a3112465p-4, 0x1.74a6f7faf2aadp-4, 0x1.6f5a903eea5bbp-4, 0x1.6a1b6ada7ba2cp-4, 0x1.64e985fd9cap-4, 0x1.5fc4df0f232b2p-4, 0x1.5aad72b122a24p-4, 0x1.55a33cc53631bp-4, 0x1.50a63870d116dp-4, 0x1.4bb6602186176p-4, 0x1.46d3ad91492a3p-4, 0x1.41fe19caa4cfep-4, 0x1.3d359d2cf61a6p-4, 0x1.387a2f7091d67p-4, 0x1.33cbc7aaedc02p-4, 0x1.2f2a5c52ba1p-4, 0x1.2a95e343fe325p-4, 0x1.260e51c41b75p-4, 0x1.21939c85da442p-4, 0x1.1d25b7ad61efap-4, 0x1.18c496d42b29fp-4, 0x1.14702d0ce5af6p-4, 0x1.10286ce76063bp-4, 0x1.0bed48745576cp-4, 0x1.07beb1493b76fp-4, 0x1.039c9884057f2p-4, 0x1.ff0ddd9db1aebp-5, 0x1.f6fb48c774fa5p-5, 0x1.ef01522062205p-5, 0x1.e71fd871b20acp-5, 0x1.df56b9b9e6cd2p-5, 0x1.d7a5d333c8c48p-5, 0x1.d00d015d56591p-5, 0x1.c88c1ffe8a3aap-5, 0x1.c1230a3029015p-5, 0x1.b9d19a6258f8bp-5, 0x1.b297aa6336668p-5, 0x1.ab75136544fc4p-5, 0x1.a469ae05d6ba3p-5, 0x1.9d75525346d82p-5, 0x1.9697d7d33182dp-5, 0x1.8fd11588886a8p-5, 0x1.8920e1f9858aap-5, 0x1.82871335a87f6p-5, 0x1.7c037edb68ea5p-5, 0x1.7595fa1e00696p-5, 0x1.6f3e59cb00219p-5, 0x1.68fc724fd457dp-5, 0x1.62d017bf2e5a3p-5, 0x1.5cb91dd65b102p-5, 0x1.56b7580282aacp-5, 0x1.50ca9965bfep-5, 0x1.4af2b4dc3b03dp-5, 0x1.452f7d010c7c2p-5, 0x1.3f80c4331d724p-5, 0x1.39e65c99ee7b2p-5, 0x1.3460182a3a5c4p-5, 0x1.2eedc8aa8d8dfp-5, 0x1.298f3fb7be13bp-5, 0x1.24444ec952166p-5, 0x1.1f0cc735c0d97p-5, 0x1.19e87a36b625ep-5, 0x1.14d738ed23bf7p-5, 0x1.0fd8d46547979p-5, 0x1.0aed1d9a9f5a2p-5, 0x1.0613e57bbe128p-5, 0x1.014cfcee06b8cp-5, 0x1.f93069a2cee66p-6, 0x1.efeabc07af3e4p-6, 0x1.e6c892c9d268p-6, 0x1.ddc98fb24abebp-6, 0x1.d4ed549ad0254p-6, 0x1.cc33837424cdap-6, 0x1.c39bbe4c79ff7p-6, 0x1.bb25a755860efp-6, 0x1.b2d0e0ea8b8ccp-6, 0x1.aa9d0d962afa9p-6, 0x1.a289d017ffb95p-6, 0x1.9a96cb6a35397p-6, 0x1.92c3a2c6c7ba5p-6, 0x1.8b0ff9acdf127p-6, 0x1.837b73e59ed79p-6, 0x1.7c05b5894dc8fp-6, 0x1.74ae6303e1012p-6, 0x1.6d752119ad27cp-6, 0x1.665994ebd79a5p-6, 0x1.5f5b63fca3b15p-6, 0x1.587a3433ae6e4p-6, 0x1.51b5abe1d66c2p-6, 0x1.4b0d71c53dd94p-6, 0x1.44812d0d158e2p-6, 0x1.3e10855d17eb8p-6, 0x1.37bb22d12a6cep-6, 0x1.3180ae00b9904p-6, 0x1.2b60d001e8691p-6, 0x1.255b326cc3039p-6, 0x1.1f6f7f5e338ffp-6, 0x1.199d617ade37bp-6, 0x1.13e483f1f752dp-6, 0x1.0e44927fd2892p-6, 0x1.08bd39707d374p-6, 0x1.034e25a221ef7p-6, 0x1.fbee090eaaec2p-7, 0x1.f16f0852a5b58p-7, 0x1.e71ea65415109p-7, 0x1.dcfc418c532d7p-7, 0x1.d30739adec62p-7, 0x1.c93eefa83bcfp-7, 0x1.bfa2c5aace515p-7, 0x1.b6321f288a578p-7, 0x1.acec60dac402ep-7, 0x1.a3d0f0c3f5ce1p-7, 0x1.9adf3632830dbp-7, 0x1.921699c30b42p-7, 0x1.89768562cfb49p-7, 0x1.80fe6451c60ccp-7, 0x1.78ada3249898cp-7, 0x1.7083afc65bfedp-7, 0x1.687ff97a4d60cp-7, 0x1.60a1f0dd2b2a8p-7, 0x1.58e907e6ae3f1p-7, 0x1.5154b1eaa9139p-7, 0x1.49e4639a02327p-7, 0x1.42979303bda98p-7, 0x1.3b6db79592c8dp-7, 0x1.34664a1cbf19fp-7, 0x1.2d80c4c664f2fp-7, 0x1.26bca31fe8a1dp-7, 0x1.2019621749a68p-7, 0x1.19967ffb397fcp-7, 0x1.13337c7b09ef3p-7, 0x1.0cefd8a6b276dp-7, 0x1.06cb16ee8aae8p-7, 0x1.00c4bb22ee5d4p-7, 0x1.f5b894e7c5656p-8, 0x1.ea2296e1371b8p-8, 0x1.dec68c0d73629p-8, 0x1.d3a3870354ee4p-8, 0x1.c8b89d13a01fcp-8, 0x1.be04e6472bd5dp-8, 0x1.b3877d5d1c3f9p-8, 0x1.a93f7fc8779ep-8, 0x1.9f2c0dae1e61bp-8, 0x1.954c49e1fdafcp-8, 0x1.8b9f59e4df3f7p-8, 0x1.822465e136d29p-8, 0x1.78da98a8a53b3p-8, 0x1.6fc11fb08cb07p-8, 0x1.66d72b0f1b137p-8, 0x1.5e1bed78129efp-8, 0x1.558e9c391b3e3p-8, 0x1.4d2e6f366c469p-8, 0x1.44faa0e7209eep-8, 0x1.3cf26e514c6a6p-8, 0x1.351517064aff6p-8, 0x1.2d61dd1ec4ce9p-8, 0x1.25d805367a771p-8, 0x1.1e76d66854cfep-8, 0x1.173d9a49ec6dep-8, 0x1.102b9ce75b78bp-8, 0x1.09402cbeddf5dp-8, 0x1.027a9abc26a3cp-8, 0x1.f7b4746824424p-9, 0x1.eabcc1bfc334ep-9, 0x1.de0ccdb0f903dp-9, 0x1.d1a34d23c4d14p-9, 0x1.c57ef9ac54912p-9, 0x1.b99e9181944afp-9, 0x1.ae00d77350b4ap-9, 0x1.a2a492e00cae2p-9, 0x1.97888fab6379ep-9, 0x1.8cab9e33bc713p-9, 0x1.820c93480e7c1p-9, 0x1.77aa481da4193p-9, 0x1.6d839a460b4ebp-9, 0x1.63976ba49aa57p-9, 0x1.59e4a263c499ap-9, 0x1.506a28eb05db5p-9, 0x1.4726edd3cc198p-9, 0x1.3e19e3dfcd879p-9, 0x1.354201ed7e815p-9, 0x1.2c9e42ee41a8cp-9, 0x1.242da5daffe0ap-9, 0x1.1bef2daa0d8b4p-9, 0x1.13e1e1444b50dp-9, 0x1.0c04cb7a7d814p-9, 0x1.0456fafa62b89p-9, 0x1.f9af04889c7cap-10, 0x1.eb0aef405cad2p-10, 0x1.dcbfea260e35fp-10, 0x1.cecc30a87672fp-10, 0x1.c12e058542f0ap-10, 0x1.b3e3b2b4406bdp-10, 0x1.a6eb89519c5e5p-10, 0x1.9a43e188f7f6fp-10, 0x1.8deb1a7fa9a6ap-10, 0x1.81df9a40867d7p-10, 0x1.761fcda543a9dp-10, 0x1.6aaa28433f6ap-10, 0x1.5f7d2454a5bf1p-10, 0x1.549742a4f6f06p-10, 0x1.49f70a7b57bbep-10, 0x1.3f9b09867d9a6p-10, 0x1.3581d3c7896bdp-10, 0x1.2baa037d4ad93p-10, 0x1.2212391075c7cp-10, 0x1.18b91afec2d3ap-10, 0x1.0f9d55c6e6d69p-10, 0x1.06bd9bd45b24dp-10, 0x1.fc314ad6944fdp-11, 0x1.eb5a6129a09bep-11, 0x1.daf40215f9244p-11, 0x1.cafbc04aa164fp-11, 0x1.bb6f398a458bap-11, 0x1.ac4c1684be647p-11, 0x1.9d900aafe8907p-11, 0x1.8f38d421bd844p-11, 0x1.81443b6a9461dp-11, 0x1.73b0136f47204p-11, 0x1.667a394320fafp-11, 0x1.59a09403d4d23p-11, 0x1.4d2114b3c8274p-11, 0x1.40f9b6162000ep-11, 0x1.35287c8a1cd2ep-11, 0x1.29ab75e724e88p-11, 0x1.1e80b959df0dcp-11, 0x1.13a6673ffbac5p-11, 0x1.091aa905c3332p-11, 0x1.fdb762062ff39p-12, 0x1.e9cf74b282018p-12, 0x1.d67a11a32e734p-12, 0x1.c3b3d1744e87dp-12, 0x1.b1795d8c1f01dp-12, 0x1.9fc76fd6d2012p-12, 0x1.8e9ad285b5d73p-12, 0x1.7df05fce92cdbp-12, 0x1.6dc501ab5d24ap-12, 0x1.5e15b19b25046p-12, 0x1.4edf786254ff2p-12, 0x1.401f6dce0b013p-12, 0x1.31d2b874d2ab8p-12, 0x1.23f68d7bfa461p-12, 0x1.16883059affc1p-12, 0x1.0984f29a81975p-12, 0x1.f9d4674cb5f3cp-13, 0x1.e16ac10dacba5p-13, 0x1.c9c7e758256e3p-13, 0x1.b2e6e96ea4e88p-13, 0x1.9cc2f07dfa95fp-13, 0x1.87573f337b059p-13, 0x1.729f314eebfc3p-13, 0x1.5e963b355ab7fp-13, 0x1.4b37e984f9367p-13, 0x1.387fe0ae5914p-13, 0x1.2669dc8abbb8p-13, 0x1.14f1aff4a6929p-13, 0x1.041344631bc9dp-13, 0x1.e79533098c97fp-14, 0x1.c82789bd55327p-14, 0x1.a9d5e2cc7ad2dp-14, 0x1.8c98be4d6c74dp-14, 0x1.7068c5b6bd694p-14, 0x1.553ecb2f590bap-14, 0x1.3b13c8ce7356fp-14, 0x1.21e0dfe2fa5a9p-14, 0x1.099f58480524bp-14, 0x1.e4913f4f41402p-15, 0x1.b7ac91a82cd93p-15, 0x1.8c84162ec2e58p-15, 0x1.630b8310e5a1dp-15, 0x1.3b36d4c6d94b4p-15, 0x1.14fa4cc93ec1fp-15, 0x1.e094e0933269bp-16, 0x1.9a380de02814dp-16, 0x1.56c833364690fp-16, 0x1.162fe254da458p-16, 0x1.b0b455271351p-17, 0x1.3a652cf7d53aap-17, 0x1.9294a626ed8b3p-18, 0x1.74f2edccdfb4bp-19, -0x1.3d37a77eb6712p-22, -0x1.b139589053cecp-19, -0x1.942add6c68cfdp-18, -0x1.23628af58dc6fp-17, -0x1.785857b3591eap-17, -0x1.c918aed354e41p-17, -0x1.0ae24db0310c4p-16, -0x1.2f3e2ed3e53b6p-16, -0x1.51afb79b1b97p-16, -0x1.7246435e77961p-16, -0x1.9110ce0be25e2p-16, -0x1.ae1df5f6747c7p-16, -0x1.c97bfdbef2405p-16, -0x1.e338ce42c167ep-16, -0x1.fb61f84ba19f6p-16, -0x1.09025b3a50444p-15, -0x1.1396f7687dceep-15, -0x1.1d751a6276077p-15, -0x1.26a2e54f541ap-15, -0x1.2f2651ab2d3efp-15, -0x1.3705321512f6ap-15, -0x1.3e45331a33666p-15, -0x1.44ebdc0911b94p-15, -0x1.4afe8fb671fa7p-15, -0x1.50828d3bfc9c9p-15, -0x1.557cf0c2cf14fp-15, -0x1.59f2b43be68dbp-15, -0x1.5de8b019f61f1p-15, -0x1.61639c0d3179fp-15, -0x1.64680fb3831edp-15, -0x1.66fa8346682e5p-15, -0x1.691f5055dfa91p-15, -0x1.6adab26094695p-15, -0x1.6c30c78a0591bp-15, -0x1.6d259138abbffp-15, -0x1.6dbcf4bbb2c2cp-15, -0x1.6dfabbe21e5e1p-15, -0x1.6de2959f90728p-15, -0x1.6d7816a00356ap-15, -0x1.6cbeb9e0d83c9p-15, -0x1.6bb9e141a424cp-15, -0x1.6a6cd6167a5c5p-15, -0x1.68dac9b7395ecp-15, -0x1.6706d6073aeb5p-15, -0x1.64f3fe034d262p-15, -0x1.62a52e43269a8p-15, -0x1.601d3d7f64e32p-15, -0x1.5d5eed145ba12p-15, -0x1.5a6ce97c75af8p-15, -0x1.5749cad345acep-15, -0x1.53f8154553421p-15, -0x1.507a39948306bp-15, -0x1.4cd295817aab3p-15, -0x1.49037447346bp-15, -0x1.450f0f07e39c1p-15, -0x1.40f78d3a63f47p-15, -0x1.3cbf051b4a5b2p-15, -0x1.38677c135af37p-15, -0x1.33f2e71fbfb79p-15, -0x1.2f632b3a240dap-15, -0x1.2aba1dbb9869ep-15, -0x1.25f984be64d84p-15, -0x1.2123177f5f94ap-15, -0x1.1c387eba6453p-15, -0x1.173b5507e0f2ep-15, -0x1.122d273709cb5p-15, -0x1.0d0f74a52487ap-15, -0x1.07e3af969e618p-15, -0x1.02ab3d8878f39p-15, -0x1.faceef0f1827bp-16, -0x1.f03354fc6d9b7p-16, -0x1.e5862f0d02dbcp-16, -0x1.dac9e86f8fffcp-16, -0x1.d000d5e4ba866p-16, -0x1.c52d3653de42dp-16, -0x1.ba513361eb82bp-16, -0x1.af6ee1fb18e8cp-16, -0x1.a48842e592ccep-16, -0x1.999f434332416p-16, -0x1.8eb5bd1dd4455p-16, -0x1.83cd77e779a9cp-16, -0x1.78e828fd5f2c6p-16, -0x1.6e07742322aa3p-16, -0x1.632cebffe95eap-16, -0x1.585a12933cc2fp-16, -0x1.4d9059af63d46p-16, -0x1.42d12369d3349p-16, -0x1.381dc289bf8bfp-16, -0x1.2d777afadb18bp-16, -0x1.22df823367ed5p-16, -0x1.1856ffa2ece9ap-16, -0x1.0ddf0d13cefafp-16, -0x1.0378b712caebcp-16, -0x1.f249faa104c8bp-17, -0x1.ddc9a5fbc5f71p-17, -0x1.c9723e64ad728p-17, -0x1.b5457a773c36cp-17, -0x1.a144fa01e2a81p-17, -0x1.8d7246aaf816ep-17, -0x1.79ced49ebb505p-17, -0x1.665c0332222bap-17, -0x1.531b1d874b074p-17, -0x1.400d5b2dce0cep-17, -0x1.2d33e0c01a942p-17, -0x1.1a8fc06e2b62bp-17, -0x1.0821faa0e8cb4p-17, -0x1.ebd6fd017f788p-18, -0x1.c7da550814463p-18, -0x1.a44f99f587fa2p-18, -0x1.81384923f13bcp-18, -0x1.5e95c1a7a97efp-18, -0x1.3c69455ae8301p-18, -0x1.1ab3f9cc17053p-18, -0x1.f2edd26036e15p-19, -0x1.b16606acb90efp-19, -0x1.70d23d0b5e8f4p-19, -0x1.3133f0bda97e7p-19, -0x1.e518db113acd2p-20, -0x1.69b9a2595584ep-20, -0x1.e09834d9898dfp-21, -0x1.e3474371c9813p-22, -0x1.a6007df6e28d2p-27, 0x1.c111a4d4e6166p-22, 0x1.c3bd9c4ab552ap-21, 0x1.5182d7d341eccp-20, 0x1.bf3076fc42c02p-20, 0x1.1573f03d99628p-19, 0x1.4a54c55021c85p-19, 0x1.7e3b154b37439p-19, 0x1.b12758fdfebap-19, 0x1.e31a2636a7539p-19, 0x1.0a0a1748f9524p-18, 0x1.220b1f2ef46a5p-18, 0x1.39909db7f5201p-18, 0x1.509b120f17914p-18, 0x1.672b071150e46p-18, 0x1.7d4112d5059f5p-18, 0x1.92ddd61993f75p-18, 0x1.a801fbe18eac8p-18, 0x1.bcae38e626499p-18, 0x1.d0e34b30347d3p-18, 0x1.e4a1f99dcd112p-18, 0x1.f7eb137a9c9d2p-18, 0x1.055fb808105d2p-17, 0x1.0e8ff7205ff85p-17, 0x1.1786ba1059624p-17, 0x1.2044774b7ddp-17, 0x1.28c9a87e0071p-17, 0x1.3116ca5d70a6ap-17, 0x1.392c5c80cc122p-17, 0x1.410ae12f2d14dp-17, 0x1.48b2dd3b5735ep-17, 0x1.5024d7d68444ep-17, 0x1.57615a6c0511dp-17, 0x1.5e68f07973c2bp-17, 0x1.653c276aa4ac4p-17, 0x1.6bdb8e75ec31cp-17, 0x1.7247b6775929ep-17, 0x1.788131d1e9c58p-17, 0x1.7e88944e84524p-17, 0x1.845e72fb59321p-17, 0x1.8a03640eab474p-17, 0x1.8f77fec96a422p-17, 0x1.94bcdb594e1d4p-17, 0x1.99d292c0ffd6p-17, 0x1.9eb9beb8c84bbp-17, 0x1.a372f998a8ba4p-17, 0x1.a7fede3f368aep-17, 0x1.ac5e07f83368cp-17, 0x1.b09112687175fp-17, 0x1.b49899741aabep-17, 0x1.b875392cb5d13p-17, 0x1.bc278dba4cd7p-17, 0x1.bfb033499d0b3p-17, 0x1.c30fc5f664e54p-17, 0x1.c646e1bc819e4p-17, 0x1.c95622639f844p-17, 0x1.cc3e23704646bp-17, 0x1.ceff801167c04p-17, 0x1.d19ad3128267ep-17, 0x1.d410b6ccc8ff9p-17, 0x1.d661c517794bbp-17, 0x1.d88e973bff911p-17, 0x1.da97c5e5db724p-17, 0x1.dc7de9196d17ep-17, 0x1.de4198259a41p-17, 0x1.dfe369991930bp-17, 0x1.e163f3370a58dp-17, 0x1.e2c3c9ecc0a9ap-17, 0x1.e40381c853a36p-17, 0x1.e523adeedc618p-17, 0x1.e624e091a0d3fp-17, 0x1.e707aae78920bp-17, 0x1.e7cc9d24b23c2p-17, 0x1.e8744671bfa7ep-17, 0x1.e8ff34e50ba71p-17, 0x1.e96df57b9246dp-17, 0x1.e9c1141254033p-17, 0x1.e9f91b60aedcep-17, 0x1.ea1694f1e959p-17, 0x1.ea1a091f5c075p-17, 0x1.ea03ff0c5e1d9p-17, 0x1.e9d4fca09d1bfp-17, 0x1.e98d868424c9ep-17, 0x1.e92e201af2775p-17, 0x1.e8b74b8130db4p-17, 0x1.e8298986db2f2p-17, 0x1.e78559add8f4ep-17, 0x1.e6cb3a258a034p-17, 0x1.e5fba7c9162d9p-17, 0x1.e5171e1c85a0fp-17, 0x1.e41e174a5af69p-17, 0x1.e3110c216126ap-17, }}, 
      {{0x1.6f06186950a16p-2, 0x1.6eed2c6fbd92cp-2, 0x1.6ecfbb4257d09p-2, 0x1.6ebc74d740b9cp-2, 0x1.6ec2fdf9ecf68p-2, 0x1.6ef19db02ebecp-2, 0x1.6f53c836f174ap-2, 0x1.6ff16fe09c063p-2, 0x1.70cee764917c1p-2, 0x1.71ed20b61de1dp-2, 0x1.734a1eb105f23p-2, 0x1.74e17d2a9a35ep-2, 0x1.76acfde7349aap-2, 0x1.78a510799805ap-2, 0x1.7ac14f9e96cebp-2, 0x1.7cf8f129f4cf3p-2, 0x1.7f4326f0a9efdp-2, 0x1.81976fe55fa15p-2, 0x1.83edd92f50f54p-2, 0x1.863f2f87dd067p-2, 0x1.888521a84e222p-2, 0x1.8aba55019abe6p-2, 0x1.8cda6e524aeadp-2, 0x1.8ee20fec395cfp-2, 0x1.90cecf9a34ed7p-2, 0x1.929f2615cfefep-2, 0x1.945259e4a7adep-2, 0x1.95e867480db95p-2, 0x1.9761e6b10fd98p-2, 0x1.98bff2eb66b8fp-2, 0x1.9a040ff15cae7p-2, 0x1.9b30131d2a82p-2, 0x1.9c460d34a72e2p-2, 0x1.9d48369c07cefp-2, 0x1.9e38ddd4ba605p-2, 0x1.9f1a584e1a6ffp-2, 0x1.9feef57642c88p-2, 0x1.a0b8f3e8ec139p-2, 0x1.a17a788fd4aaep-2, 0x1.a2358782a292ap-2, 0x1.a2ebfe7282e48p-2, 0x1.a39f906ecb3dp-2, 0x1.a451c2d2e1a32p-2, 0x1.a503eb31e78b7p-2, 0x1.a5b72e1963c42p-2, 0x1.a66c7e89325e6p-2, 0x1.a7249e03c68dcp-2, 0x1.a7e01d1e4ba08p-2, 0x1.a89f5c7c1f29fp-2, 0x1.a9628e249207cp-2, 0x1.aa29b724aa5bep-2, 0x1.aaf4b170f4156p-2, 0x1.abc32dfd45fa7p-2, 0x1.ac94b701b1996p-2, 0x1.ad68b264fb336p-2, 0x1.ae3e6445a69ccp-2, 0x1.af14f19b3c7bcp-2, 0x1.afeb62e9d316ep-2, 0x1.b0c0a70233be9p-2, 0x1.b19395c92a337p-2, 0x1.b262f300d69e6p-2, 0x1.b32d710efde04p-2, 0x1.b3f1b3bb99ec5p-2, 0x1.b4ae52e32f9b2p-2, 0x1.b561dd18b7841p-2, 0x1.b60ada333626fp-2, 0x1.b6a7cdc385b5ap-2, 0x1.b737396f2b54ap-2, 0x1.b7b79f2d800dcp-2, 0x1.b8278364df3c9p-2, 0x1.b8856ee5eec0dp-2, 0x1.b8cff0c397e33p-2, 0x1.b905a0069068dp-2, 0x1.b9251d3bdc8a9p-2, 0x1.b92d13ddf32c4p-2, 0x1.b91c3b98a54fep-2, 0x1.b8f159681ef7ep-2, 0x1.b8ab4093c0ca7p-2, 0x1.b848d385bf827p-2, 0x1.b7c90480b9f79p-2, 0x1.b72ad634aa6c8p-2, 0x1.b66d5c34b9aep-2, 0x1.b58fbb4faa0f6p-2, 0x1.b49129cc991b8p-2, 0x1.b370ef8dfa71dp-2, 0x1.b22e661cac12dp-2, 0x1.b0c8f89d190d5p-2, 0x1.af4023b04c213p-2, 0x1.ad937542e7b93p-2, 0x1.abc28c4bd6be6p-2, 0x1.a9cd187c8dbddp-2, 0x1.a7b2d9e4a160ap-2, 0x1.a573a08a5558p-2, 0x1.a30f4bf9ceca2p-2, 0x1.a085cacc5ec4cp-2, 0x1.9dd71a295693ep-2, 0x1.9b034541b915p-2, 0x1.980a64c8030b5p-2, 0x1.94ec9e6525408p-2, 0x1.91aa242bc1906p-2, 0x1.8e43340a8ddp-2, 0x1.8ab8173ebf809p-2, 0x1.870921c735108p-2, 0x1.8336b1d90ad49p-2, 0x1.7f412f562e2d5p-2, 0x1.7b290b466fb5dp-2, 0x1.76eebf537e79fp-2, 0x1.7292cd48265c9p-2, 0x1.6e15be9320d94p-2, 0x1.697823cdaf192p-2, 0x1.64ba94462796p-2, 0x1.5fddad8ea1f27p-2, 0x1.5ae2130fc9d4ep-2, 0x1.55c86d9fec1dfp-2, 0x1.50916b1e3e7b7p-2, 0x1.4b3dbe1255e74p-2, 0x1.45ce1d4fc57a8p-2, 0x1.4043439dcd63fp-2, 0x1.3a9def6305c67p-2, 0x1.34dee254e08e2p-2, 0x1.2f06e12aebce2p-2, 0x1.2916b355a7caap-2, 0x1.230f22b8d4899p-2, 0x1.1cf0fb6905a7ep-2, 0x1.16bd0b6c5e8acp-2, 0x1.1074227e453b8p-2, 0x1.0a1711d5eb609p-2, 0x1.03a6abef7cf42p-2, 0x1.fa4788afa5b53p-3, 0x1.ed1e5ef504684p-3, 0x1.dfd384e437fb7p-3, 0x1.d268a5b5061e9p-3, 0x1.c4df6d4a53b05p-3, 0x1.b73987de41f5bp-3, 0x1.a978a1b1a3ae6p-3, 0x1.9b9e66be8abp-3, 0x1.8dac826dc2ee7p-3, 0x1.7fa49f4ef9da8p-3, 0x1.718866d36e066p-3, 0x1.6359810aed016p-3, 0x1.5519946305e98p-3, 0x1.46ca45683f70bp-3, 0x1.386d368937d2ep-3, 0x1.2a0407db8c6f9p-3, 0x1.1b9056e26dc1fp-3, 0x1.0d13be56d1a4dp-3, 0x1.fd1fabe236d82p-4, 0x1.e00c64688fccep-4, 0x1.c2f0c874d2c4p-4, 0x1.a5cff305038cep-4, 0x1.88acf77f52001p-4, 0x1.6b8ae152e9d4ap-4, 0x1.4e6cb39b3a5e4p-4, 0x1.315568c5b98c1p-4, 0x1.1447f23a05226p-4, 0x1.ee8e7008f5433p-5, 0x1.b4ac31065e545p-5, 0x1.7aeed02aab38ap-5, 0x1.415be19a2e5abp-5, 0x1.07f8e447a6b9ap-5, 0x1.9d9682c3a711cp-6, 0x1.2bb0978bd53d2p-6, 0x1.7494fddd12e0dp-7, 0x1.25ba08e0934cdp-8, -0x1.36ca280a04f9dp-9, -0x1.2d05db9ed122dp-7, -0x1.0584c0d287b8bp-6, -0x1.73d539153db7bp-6, -0x1.e16b04dd495c5p-6, -0x1.271e83389f3c3p-5, -0x1.5d212a6975134p-5, -0x1.92b91e37281ebp-5, -0x1.c7e21fde987c2p-5, -0x1.fc980bef71bcdp-5, -0x1.186b6d492771fp-4, -0x1.324d4fe4835ap-4, -0x1.4befc5d482c82p-4, -0x1.6550f547ec0f1p-4, -0x1.7e6f12a8e406ap-4, -0x1.974860b1411c5p-4, -0x1.afdb307bfedc4p-4, -0x1.c825e193b4382p-4, -0x1.e026e1fe263a1p-4, -0x1.f7dcae44fc6bbp-4, -0x1.07a2e8bdbf6b8p-3, -0x1.133072a0ce0a5p-3, -0x1.1e9648e1fe52fp-3, -0x1.29d3c6dcb6beap-3, -0x1.34e84f2eb83ap-3, -0x1.3fd34bb41ba3ep-3, -0x1.4a942d81edb1ep-3, -0x1.552a6cdf8b88dp-3, -0x1.5f95893ea7678p-3, -0x1.69d509321f9d1p-3, -0x1.73e87a6392addp-3, -0x1.7dcf7187c4e2ap-3, -0x1.87898a51e2b18p-3, -0x1.9116676598151p-3, -0x1.9a75b2481e3fbp-3, -0x1.a3a71b502d313p-3, -0x1.acaa5994f1bbap-3, -0x1.b57f2adbfe49p-3, -0x1.be2553865288ep-3, -0x1.c69c9e7c7057ep-3, -0x1.cee4dd1995a18p-3, -0x1.d6fde7161979dp-3, -0x1.dee79a71034dap-3, -0x1.e6a1db58dc292p-3, -0x1.ee2c9413c3c21p-3, -0x1.f587b4e6dc9f5p-3, -0x1.fcb333fd08548p-3, -0x1.01d786a68a9f3p-2, -0x1.053da13fa5a3bp-2, -0x1.088bed693e52ep-2, -0x1.0bc2718045cfbp-2, -0x1.0ee1369142ef2p-2, -0x1.11e8484a2645cp-2, -0x1.14d7b4ebedd38p-2, -0x1.17af8d3c1cb57p-2, -0x1.1a6fe476074c6p-2, -0x1.1d18d03bffb92p-2, -0x1.1faa68885eb95p-2, -0x1.2224c79e73e2ep-2, -0x1.248809fb5c5d7p-2, -0x1.26d44e46c9c63p-2, -0x1.2909b543b62adp-2, -0x1.2b2861c1108a2p-2, -0x1.2d30788a5ec6ap-2, -0x1.2f2220585c84ep-2, -0x1.30fd81c19b5bap-2, -0x1.32c2c72b23e55p-2, -0x1.34721cb921dp-2, -0x1.360bb03f93723p-2, -0x1.378fb1330cb9fp-2, -0x1.38fe509986dc3p-2, -0x1.3a57c0fb45218p-2, -0x1.3b9c3653cad8fp-2, -0x1.3ccbe602f166ap-2, -0x1.3de706be12fd8p-2, -0x1.3eedd08156c65p-2, -0x1.3fe07c811b5f4p-2, -0x1.40bf451b85dc6p-2, -0x1.418a65ca3234ep-2, -0x1.42421b140d086p-2, -0x1.42e6a27f55d97p-2, -0x1.43783a83c86dbp-2, -0x1.43f7227cf76f4p-2, -0x1.44639a9ccff54p-2, -0x1.44bde3de4f3p-2, -0x1.45063ff86a37cp-2, -0x1.453cf15124eb1p-2, -0x1.45623af0de047p-2, -0x1.45766075cf85fp-2, -0x1.4579a607c53dep-2, -0x1.456c504c09638p-2, -0x1.454ea459889e9p-2, -0x1.4520e7ad301c1p-2, -0x1.44e3601e814cp-2, -0x1.449653d464f2dp-2, -0x1.443a093a35a68p-2, -0x1.43cec6f501b4dp-2, -0x1.4354d3d91135ep-2, -0x1.42cc76df9f22bp-2, -0x1.4235f71cd3f3fp-2, -0x1.41919bb5f9dd7p-2, -0x1.40dfabd7edbbdp-2, -0x1.40206eadcfc74p-2, -0x1.3f542b57ed026p-2, -0x1.3e7b28e2e6ac5p-2, -0x1.3d95ae3f1745bp-2, -0x1.3ca4023834469p-2, -0x1.3ba66b6d29015p-2, -0x1.3a9d3048329cdp-2, -0x1.398896f732276p-2, -0x1.3868e56440a1bp-2, -0x1.373e612e77d0fp-2, -0x1.36094fa2fad69p-2, -0x1.34c9f5b637f46p-2, -0x1.338097fd614aap-2, -0x1.322d7aa824ebp-2, -0x1.30d0e17a97f03p-2, -0x1.2f6b0fc75dd5ep-2, -0x1.2dfc486a05793p-2, -0x1.2c84cdc19f459p-2, -0x1.2b04e1ab87b8p-2, -0x1.297cc57e67fa9p-2, -0x1.27ecba056ecbdp-2, -0x1.2654ff7bbaa81p-2, -0x1.24b5d587f6868p-2, -0x1.230f7b382f527p-2, -0x1.21622efdd6b18p-2, -0x1.1fae2ea9f70bap-2, -0x1.1df3b7699ccaap-2, -0x1.1c3305c26961ap-2, -0x1.1a6c558f5b1b9p-2, -0x1.189fe1fdbe411p-2, -0x1.16cde58a4f801p-2, -0x1.14f699fe873aep-2, -0x1.131a386e15a82p-2, -0x1.1138f9348222bp-2, -0x1.0f5313f2fecebp-2, -0x1.0d68bf8e5946dp-2, -0x1.0b7a322d1d6b8p-2, -0x1.0987a135daf2p-2, -0x1.0791414d9216ep-2, -0x1.0597465645b38p-2, -0x1.0399e36db2b51p-2, -0x1.01994aec2a52ap-2, -0x1.ff2b5cc720a67p-3, -0x1.fb1e7d3cf825fp-3, -0x1.f70c573eeedfcp-3, -0x1.f2f54940c550ep-3, -0x1.eed9b023e7debp-3, -0x1.eab9e736aff72p-3, -0x1.e6964833de5d1p-3, -0x1.e26f2b424f82cp-3, -0x1.de44e6f4ead3fp-3, -0x1.da17d04ac421fp-3, -0x1.d5e83aaf771f2p-3, -0x1.d1b677fbadf2dp-3, -0x1.cd82d875e47fap-3, -0x1.c94daad3541fap-3, -0x1.c5173c391183bp-3, -0x1.c0dfd83d52285p-3, -0x1.bca7c8e8e3ed4p-3, -0x1.b86f56b8cfc74p-3, -0x1.b436c8a01a5a1p-3, -0x1.affe6409b411ap-3, -0x1.abc66cda8fef9p-3, -0x1.a78f2573d9223p-3, -0x1.a358ceb54d8c6p-3, -0x1.9f23a7ffb7177p-3, -0x1.9aefef378d7bp-3, -0x1.96bde0c7a99c4p-3, -0x1.928db7a42245p-3, -0x1.8e5fad4d3d15ep-3, -0x1.8a33f9d27d602p-3, -0x1.860ad3d5cba14p-3, -0x1.81e4708eb4bdfp-3, -0x1.7dc103cdc3a06p-3, -0x1.79a0bfffe9cb1p-3, -0x1.7583d6320411p-3, -0x1.716a76146c7f9p-3, -0x1.6d54cdfea5cafp-3, -0x1.69430af30ea4cp-3, -0x1.653558a2af76ap-3, -0x1.612be17110e7cp-3, -0x1.5d26ce781f952p-3, -0x1.5926478c24e52p-3, -0x1.552a733fc6045p-3, -0x1.513376e80909ap-3, -0x1.4d4176a07640fp-3, -0x1.4954954f2d24bp-3, -0x1.456cf4a911f9p-3, -0x1.418ab535fd28ap-3, -0x1.3dadf654f1abdp-3, -0x1.39d6d64059972p-3, -0x1.360572124b761p-3, -0x1.3239e5c8cd028p-3, -0x1.2e744c4a23ee7p-3, -0x1.2ab4bf691ec3cp-3, -0x1.26fb57e96af51p-3, -0x1.23482d83e5a7ep-3, -0x1.1f9b56eaec7edp-3, -0x1.1bf4e9ceb8f17p-3, -0x1.1854fae1b0359p-3, -0x1.14bb9ddcb86efp-3, -0x1.1128e5838b3bcp-3, -0x1.0d9ce3a9059d9p-3, -0x1.0a17a9337c47ep-3, -0x1.06994620fd766p-3, -0x1.0321c98ba45a6p-3, -0x1.ff62835ba9915p-4, -0x1.f88f77cd0831ap-4, -0x1.f1ca897ad64c2p-4, -0x1.eb13cfce8e88p-4, -0x1.e46b60940a6c1p-4, -0x1.ddd15001d84d2p-4, -0x1.d745b0c18bf5cp-4, -0x1.d0c893f7fbf3cp-4, -0x1.ca5a094d6644bp-4, -0x1.c3fa1ef59a49bp-4, -0x1.bda8e1b803108p-4, -0x1.b7665cf7afda3p-4, -0x1.b1329abb3972ep-4, -0x1.ab0da3b4ab0ep-4, -0x1.a4f77f494b783p-4, -0x1.9ef0339959f88p-4, -0x1.98f7c587b6f6dp-4, -0x1.930e38c179a1bp-4, -0x1.8d338fc574decp-4, -0x1.8767cbeba4d47p-4, -0x1.81aaed6c89fb5p-4, -0x1.7bfcf3687210fp-4, -0x1.765ddbeea72dep-4, -0x1.70cda4048dcb8p-4, -0x1.6b4c47acad80dp-4, -0x1.65d9c1eda14a8p-4, -0x1.60760cd8f55acp-4, -0x1.5b212191ea85ap-4, -0x1.55daf8542ab93p-4, -0x1.50a3887a5dcb1p-4, -0x1.4b7ac884aecb8p-4, -0x1.4660ae1f39977p-4, -0x1.41552e285e085p-4, -0x1.3c583cb6fe8e1p-4, -0x1.3769cd20a8cb7p-4, -0x1.3289d1ffa7275p-4, -0x1.2db83d38f772bp-4, -0x1.28f500022dae4p-4, -0x1.24400ae741b32p-4, -0x1.1f994dd03ec71p-4, -0x1.1b00b806e32dap-4, -0x1.1676383c24486p-4, -0x1.11f9bc8d9baafp-4, -0x1.0d8b328ae04e4p-4, -0x1.092a873ac371p-4, -0x1.04d7a7207b2c1p-4, -0x1.00927e40b385p-4, -0x1.f8b5f04d1143bp-5, -0x1.f061ffd0d6586p-5, -0x1.e8290059da43bp-5, -0x1.e00ac65eef8cbp-5, -0x1.d8072589d8f13p-5, -0x1.d01df0c05cf8fp-5, -0x1.c84efa2d2684bp-5, -0x1.c09a134887cf3p-5, -0x1.b8ff0ce0ff817p-5, -0x1.b17db723a4cbcp-5, -0x1.aa15e1a453761p-5, -0x1.a2c75b65c2d36p-5, -0x1.9b91f2e15f233p-5, -0x1.9475760f02edfp-5, -0x1.8d71b26c87915p-5, -0x1.8686750521059p-5, -0x1.7fb38a78a15c3p-5, -0x1.78f8bf02806e2p-5, -0x1.7255de80cec79p-5, -0x1.6bcab47aeb019p-5, -0x1.65570c2828ae7p-5, -0x1.5efab07634124p-5, -0x1.58b56c0f68d74p-5, -0x1.52870960f2385p-5, -0x1.4c6f52a0c9bf4p-5, -0x1.466e11d393e1dp-5, -0x1.408310d24f957p-5, -0x1.3aae194fe9bd5p-5, -0x1.34eef4deaf2bcp-5, -0x1.2f456cf58a90ap-5, -0x1.29b14af52da5dp-5, -0x1.2432582d1b653p-5, -0x1.1ec85de079f2ep-5, -0x1.1973254ae1b78p-5, -0x1.143277a4f15dbp-5, -0x1.0f061e28ca3d6p-5, -0x1.09ede216747f7p-5, -0x1.04e98cb81097ap-5, -0x1.fff1cecc0098bp-6, -0x1.f6377715c1e65p-6, -0x1.eca3a54eccb91p-6, -0x1.e335ecac4ea5ep-6, -0x1.d9ede09e78b8ep-6, -0x1.d0cb14d78d1efp-6, -0x1.c7cd1d52bda96p-6, -0x1.bef38e5acf35cp-6, -0x1.b63dfc906faddp-6, -0x1.adabfcf07ea86p-6, -0x1.a53d24d9ff7d3p-6, -0x1.9cf10a13dce67p-6, -0x1.94c742d28c446p-6, -0x1.8cbf65bd67b18p-6, -0x1.84d909f3df469p-6, -0x1.7d13c71282428p-6, -0x1.756f3537d09a9p-6, -0x1.6deaed08c848fp-6, -0x1.668687b589d3fp-6, -0x1.5f419efd690fp-6, -0x1.581bcd3336dbp-6, -0x1.5114ad411dd5p-6, -0x1.4a2bdaac6446cp-6, -0x1.4360f1991d343p-6, -0x1.3cb38ecd8b4ccp-6, -0x1.36234fb5810c6p-6, -0x1.2fafd2657590ap-6, -0x1.2958b59d87d6bp-6, -0x1.231d98cc6fad8p-6, -0x1.1cfe1c12213fcp-6, -0x1.16f9e04254787p-6, -0x1.111086e71d4aep-6, -0x1.0b41b24311fb5p-6, -0x1.058d055397673p-6, -0x1.ffe447a5a9467p-7, -0x1.f4e164737a3d4p-7, -0x1.ea10ab8382cedp-7, -0x1.df7168cd2ce72p-7, -0x1.d502e9cf785ap-7, -0x1.cac47d93e9049p-7, -0x1.c0b574b1494ddp-7, -0x1.b6d5214e1dd72p-7, -0x1.ad22d722ed8bbp-7, -0x1.a39deb7c4622p-7, -0x1.9a45b53ccbe06p-7, -0x1.91198cdeaff8fp-7, -0x1.8818cc756a749p-7, -0x1.7f42cfaec869bp-7, -0x1.7696f3d449044p-7, -0x1.6e1497cc12673p-7, -0x1.65bb1c198de52p-7, -0x1.5d89e2de3c831p-7, -0x1.55804fda1db62p-7, -0x1.4d9dc86c080d3p-7, -0x1.45e1b391c8b7ap-7, -0x1.3e4b79e83bba2p-7, -0x1.36da85ab1d7d2p-7, -0x1.2f8e42b4f2741p-7, -0x1.28661e7e6a311p-7, -0x1.2161881e059aap-7, -0x1.1a7ff04784f9dp-7, -0x1.13c0c94ade1fcp-7, -0x1.0d238713bc778p-7, -0x1.06a79f283f285p-7, -0x1.004c88a800d2bp-7, -0x1.f4237895cdbbdp-8, -0x1.e7ed68bf788e9p-8, -0x1.dbf5d995d00d1p-8, -0x1.d03bc609cb534p-8, -0x1.c4be2c315599cp-8, -0x1.b97c0d441895dp-8, -0x1.ae746d97e6053p-8, -0x1.a3a6549cf0d08p-8, -0x1.9910ccda1758bp-8, -0x1.8eb2e3e909bd9p-8, -0x1.848baa71f95bbp-8, -0x1.7a9a34275a4ep-8, -0x1.70dd97c19d0dfp-8, -0x1.6754eefa7975p-8, -0x1.5dff5688ab755p-8, -0x1.54dbee1a90276p-8, -0x1.4be9d8521ba6ep-8, -0x1.43283abf15dc5p-8, -0x1.3a963dda7b2b3p-8, -0x1.32330d0149e9dp-8, -0x1.29fdd66f193d9p-8, -0x1.21f5cb38c904fp-8, -0x1.1a1a1f4733b98p-8, -0x1.126a09519139cp-8, -0x1.0ae4c2d7f017cp-8, -0x1.0389881d8a985p-8, -0x1.f8af3045ff182p-9, -0x1.ea9c6941973c8p-9, -0x1.dcd9440212da9p-9, -0x1.cf644eb3fdaaap-9, -0x1.c23c1ccfcdc5cp-9, -0x1.b55f470e5f7aep-9, -0x1.a8cc6b5c40049p-9, -0x1.9c822cce8d92dp-9, -0x1.907f3395c3572p-9, -0x1.84c22cf22aa75p-9, -0x1.7949cb2749baep-9, -0x1.6e14c56fb18c8p-9, -0x1.6321d7f06425fp-9, -0x1.586fc3ac78486p-9, -0x1.4dfd4e78bbf4fp-9, -0x1.43c942eefaa2p-9, -0x1.39d27061ded04p-9, -0x1.3017aacfdd0ddp-9, -0x1.2697cad73bd2fp-9, -0x1.1d51ada8ee316p-9, -0x1.144434fc906f9p-9, -0x1.0b6e4703647e4p-9, -0x1.02cece5c1f4a4p-9, -0x1.f4c9740c2fb91p-10, -0x1.e45dfaa9ea4aap-10, -0x1.d4591fc7fa65dp-10, -0x1.c4b8db13925bbp-10, -0x1.b57b2c972ec13p-10, -0x1.a69e1ca2280f9p-10, -0x1.981fbbaf9ec27p-10, -0x1.89fe224dd92ddp-10, -0x1.7c3771057209fp-10, -0x1.6ec9d0413b241p-10, -0x1.61b370350695fp-10, -0x1.54f288c658a0ap-10, -0x1.48855972dd932p-10, -0x1.3c6a29399e404p-10, -0x1.309f46818c694p-10, -0x1.252307029b0e2p-10, -0x1.19f3c7ade02b6p-10, -0x1.0f0fec952bfb7p-10, -0x1.0475e0d42d363p-10, -0x1.f4482cf1daa86p-11, -0x1.e0320cd8a2334p-11, -0x1.cca660b601a63p-11, -0x1.b9a2353d7b91p-11, -0x1.a722a44e7b823p-11, -0x1.9524d4c70d15ap-11, -0x1.83a5fa57a62f6p-11, -0x1.72a35554ef59ep-11, -0x1.621a328c89fa9p-11, -0x1.5207eb1918b2cp-11, -0x1.4269e435c358dp-11, -0x1.333d8f13507d9p-11, -0x1.248068adc3cd3p-11, -0x1.162ff99fad573p-11, -0x1.0849d5fa86452p-11, -0x1.f5973a3519becp-12, -0x1.db65f2fc34f62p-12, -0x1.c1fb413965662p-12, -0x1.a952a57beb9dp-12, -0x1.9167b5a034763p-12, -0x1.7a361c82b0509p-12, -0x1.63b999aec0ab2p-12, -0x1.4dee010ff4a0cp-12, -0x1.38cf3aa489332p-12, -0x1.2459422fc1809p-12, -0x1.108826ee392e7p-12, -0x1.fab01690eba1ep-13, -0x1.d58a491672013p-13, -0x1.b197753172778p-13, -0x1.8ed04f47a1706p-13, -0x1.6d2dafca027cep-13, -0x1.4ca892a3ab827p-13, -0x1.2d3a16b287c22p-13, -0x1.0edb7d327ee36p-13, -0x1.e30c526ffdb1dp-14, -0x1.aa673e470aab5p-14, -0x1.73bb0838f5561p-14, -0x1.3efb3b0f9337ap-14, -0x1.0c1ba10bab4dep-14, -0x1.b62085b67ea8ep-15, -0x1.579acd29f258p-15, -0x1.f91e3ae84d85dp-16, -0x1.49cde4de67faap-16, -0x1.4230f365c6518p-17, 0x1.2d3f3ba56f724p-24, 0x1.3a5b38b61290ep-17, 0x1.331215e466749p-16, 0x1.c303496a37fcep-16, 0x1.26947ec8a4988p-15, 0x1.68d512dbcc146p-15, 0x1.a85672c115493p-15, 0x1.e52b4a346eecbp-15, 0x1.0fb2f04fd6faep-14, 0x1.2b8c0d6523c6p-14, 0x1.4629be494bf14p-14, 0x1.5f94954f7bbc4p-14, 0x1.77d4f5fd75d7dp-14, 0x1.8ef315e63f242p-14, 0x1.a4f6fd6b306f7p-14, 0x1.b9e88892038f4p-14, 0x1.cdcf67cb347cdp-14, 0x1.e0b320b791a83p-14, 0x1.f29b0eead3018p-14, 0x1.01c732553882ap-13, 0x1.09ca15d7ed568p-13, 0x1.1159a2f0226bfp-13, 0x1.1879370440f6cp-13, 0x1.1f2c1c480c418p-13, 0x1.25758a15a97ebp-13, 0x1.2b58a5485f26ap-13, 0x1.30d8809284272p-13, 0x1.35f81cd0cd54cp-13, 0x1.3aba696417ca9p-13, 0x1.3f22448055dcfp-13, 0x1.43327b7fdf3f5p-13, 0x1.46edcb3513855p-13, 0x1.4a56e039c3621p-13, 0x1.4d70573bac82p-13, 0x1.503cbd4d6366p-13, 0x1.52be902ef6c01p-13, 0x1.54f83e9ae2326p-13, 0x1.56ec288e39e01p-13, 0x1.589c9f939d903p-13, 0x1.5a0be707a32d8p-13, 0x1.5b3c346241326p-13, 0x1.5c2faf794e443p-13, 0x1.5ce872c7103cdp-13, 0x1.5d688babc246p-13, 0x1.5db1faaf97419p-13, 0x1.5dc6b3c5beb33p-13, 0x1.5da89e88f4d7ep-13, 0x1.5d59967d3797bp-13, 0x1.5cdb6b4c67bacp-13, 0x1.5c2fe102c6163p-13, 0x1.5b58b04c5a02fp-13, 0x1.5a5786adcc199p-13, 0x1.592e06c0a0b8p-13, 0x1.57ddc86916078p-13, 0x1.5668591186568p-13, 0x1.54cf3bdebab37p-13, 0x1.5313e9e7fccc6p-13, 0x1.5137d26af9d9cp-13, 0x1.4f3c5b00552cfp-13, 0x1.4d22dfcfdfc5bp-13, 0x1.4aecb3c2b3798p-13, 0x1.489b20b3cacb1p-13, 0x1.462f67a2fd3f9p-13, 0x1.43aac0e2a1b51p-13, 0x1.410e5c48a707bp-13, 0x1.3e5b615b7f8f9p-13, 0x1.3b92ef8086056p-13, 0x1.38b61e27f881fp-13, 0x1.35c5fcfa5f625p-13, 0x1.32c39400f43f2p-13, 0x1.2fafe3d33d0e6p-13, 0x1.2c8be5bdc5764p-13, 0x1.29588bed4708p-13, 0x1.2616c194da90cp-13, 0x1.22c76b175fc57p-13, 0x1.1f6b662c27a9ep-13, 0x1.1c038a068c5dcp-13, 0x1.1890a779f7958p-13, 0x1.1513891fcbdbdp-13, 0x1.118cf37a1691ep-13, 0x1.0dfda5177994fp-13, 0x1.0a6656b5e80d6p-13, 0x1.06c7bb63f672ap-13, 0x1.032280a2c2c86p-13, 0x1.feee9d0d99ad7p-14, 0x1.f78d8fadfed4fp-14, 0x1.f023145b8465cp-14, 0x1.e8b05c2c0e00cp-14, 0x1.e1368e576a004p-14, 0x1.d9b6c86deca4bp-14, 0x1.d2321e96e9434p-14, 0x1.caa99bc766aadp-14, 0x1.c31e41fb12312p-14, 0x1.bb910a6b10ea9p-14, 0x1.b402e5c3cf463p-14, 0x1.ac74bc5a06e73p-14, 0x1.a4e76e5e739fep-14, 0x1.9d5bd40fb9fe8p-14, 0x1.95d2bdeec45b4p-14, 0x1.8e4cf4ec007b3p-14, 0x1.86cb3a999e626p-14, 0x1.7f4e4959d9d72p-14, 0x1.77d6d48d2dbbdp-14, 0x1.706588be33513p-14, 0x1.68fb0bce7056cp-14, 0x1.6197fd227c322p-14, 0x1.5a3cf5cb31619p-14, 0x1.52ea88ad8f81bp-14, 0x1.4ba142af6566ap-14, 0x1.4461aadb5651ap-14, 0x1.3d2c42896b106p-14, 0x1.360185851cc03p-14, 0x1.2ee1ea32a1286p-14, 0x1.27cde1b2d17ep-14, 0x1.20c5d807eb21cp-14, 0x1.19ca3437cb449p-14, 0x1.12db586edfc69p-14, 0x1.0bf9a22126869p-14, 0x1.05256a2b70ca4p-14, 0x1.fcbe09e5d24e4p-15, 0x1.ef4d850bfcee1p-15, 0x1.e1f9dd719c1dfp-15, 0x1.d4c3a28b188e9p-15, 0x1.c7ab5bd0e5276p-15, 0x1.bab188fbc232ap-15, 0x1.add6a23a3b306p-15, 0x1.a11b1869866fap-15, 0x1.947f554af41bcp-15, 0x1.8803bbb90cf2p-15, 0x1.7ba8a7db6e25ep-15, 0x1.6f6e6f5696ebap-15, 0x1.63556181985fbp-15, 0x1.575dc7928260cp-15, 0x1.4b87e4cf03de8p-15, 0x1.3fd3f6ba4059cp-15, 0x1.344235415d86fp-15, 0x1.28d2d2e902b1fp-15, 0x1.1d85fcf5b347bp-15, 0x1.125bdb9871ba8p-15, 0x1.07549214c33f7p-15, 0x1.f8e07dd7fa4abp-16, 0x1.e35df803b3978p-16, 0x1.ce21bd874ed43p-16, 0x1.b92bf09b66132p-16, 0x1.a47cab1df5ba5p-16, 0x1.9013fedbc6933p-16, 0x1.7bf1f5d1f1326p-16, 0x1.68169275bbb65p-16, 0x1.5481cff4614f2p-16, 0x1.4133a273e3aa8p-16, 0x1.2e2bf751f6b56p-16, 0x1.1b6ab561f6a54p-16, 0x1.08efbd28942e3p-16, 0x1.ed75d22aec9b3p-17, 0x1.c9981b789ad0fp-17, 0x1.a645f41d0fa5p-17, 0x1.837eef1cc38b9p-17, 0x1.6142950a47361p-17, 0x1.3f906470b62bbp-17, 0x1.1e67d22ef7484p-17, 0x1.fb9093c94b18fp-18, 0x1.bb625c930357fp-18, 0x1.7c43b318577a8p-18, 0x1.3e333b5c50e01p-18, 0x1.012f89b6e8f37p-18, 0x1.8a6e46fca9471p-19, 0x1.1490ff660458p-19, 0x1.41881e58c30c2p-20, 0x1.782175d85418fp-22, -0x1.02c80a3db1238p-21, -0x1.5cc3fa370fa06p-20, -0x1.1a0f4ffe4ad1ap-19, -0x1.83bd9fe0d13dbp-19, -0x1.eb70a5db5d17p-19, -0x1.2896173f013d2p-18, -0x1.5a7a0c5e0f19dp-18, -0x1.8b662a7afbdffp-18, -0x1.bb5c71fa414a3p-18, -0x1.ea5eeb099dca8p-18, -0x1.0c37d28efe564p-17, -0x1.22c85b4458994p-17, -0x1.38e21e044fdf2p-17, -0x1.4e862c2e752e3p-17, -0x1.63b599f15ae8ap-17, -0x1.78717e14503d3p-17, -0x1.8cbaf1cb5c5bp-17, -0x1.a0931080f7b84p-17, -0x1.b3faf7aecbc92p-17, -0x1.c6f3c6ad20bd4p-17, -0x1.d97e9e890e10bp-17, -0x1.eb9ca1d921adp-17, -0x1.fd4ef4965e2bdp-17, -0x1.074b5df9e35c3p-16, -0x1.0fba8f1c7c064p-16, -0x1.17f5a14d681d5p-16, -0x1.1ffd288ce0222p-16, -0x1.27d1b9302bab2p-16, -0x1.2f73e7cf3257p-16, -0x1.36e4493536acdp-16, -0x1.3e23725165c06p-16, -0x1.4531f826f161dp-16, -0x1.4c106fbeb52dbp-16, -0x1.52bf6e190902ap-16, -0x1.593f881ffed47p-16, -0x1.5f91529a940d3p-16, -0x1.65b5621f71147p-16, -0x1.6bac4b091068p-16, -0x1.7176a1691bf15p-16, -0x1.7714f8fe0e6bap-16, -0x1.7c87e52711b55p-16, -0x1.81cff8da82786p-16, -0x1.86edc69aabb38p-16, -0x1.8be1e06cd34b9p-16, -0x1.90acd7cf857fcp-16, -0x1.954f3db107475p-16, -0x1.99c9a2675c34ap-16, }}, 
      {{0x1.6f0c7a0d85076p-2, 0x1.6f038296a086p-2, 0x1.6ef7175688725p-2, 0x1.6eea7733e502bp-2, 0x1.6ee15c7b4effbp-2, 0x1.6edf8a51eadb7p-2, 0x1.6ee8772ccd31dp-2, 0x1.6eff15a4f18f2p-2, 0x1.6f25b737186b1p-2, 0x1.6f5e029feec6p-2, 0x1.6fa8f7c3edc93p-2, 0x1.7006fc32f41a2p-2, 0x1.7077eca2709fdp-2, 0x1.70fb30d82276ap-2, 0x1.718fd05806371p-2, 0x1.723486be1d9b8p-2, 0x1.72e7d70f544e7p-2, 0x1.73a81d8ca1175p-2, 0x1.74739fbe0e5f2p-2, 0x1.75489a8991248p-2, 0x1.76254e410ef4fp-2, 0x1.770808a63c505p-2, 0x1.77ef2cf31e9dfp-2, 0x1.78d93a034f8c5p-2, 0x1.79c4cec47984ap-2, 0x1.7ab0ad1bd2ea6p-2, 0x1.7b9bbb72d4ea9p-2, 0x1.7c85051f1d978p-2, 0x1.7d6bb9d8de8d6p-2, 0x1.7e4f2c70dbbfbp-2, 0x1.7f2ed0f316d4fp-2, 0x1.800a3a5eb120fp-2, 0x1.80e118163e70ap-2, 0x1.81b33326783f6p-2, 0x1.82806b7bfd5f1p-2, 0x1.8348b51be90fcp-2, 0x1.840c156e8e6dfp-2, 0x1.84caa0a7bfa34p-2, 0x1.85847754ad55ep-2, 0x1.8639c4149839dp-2, 0x1.86eab97f5357cp-2, 0x1.8797903abe963p-2, 0x1.8840853f0e6b6p-2, 0x1.88e5d848acda9p-2, 0x1.8987ca75d1b67p-2, 0x1.8a269d0d741aep-2, 0x1.8ac2906cf97fbp-2, 0x1.8b5be319e4e62p-2, 0x1.8bf2d0f4c3ce6p-2, 0x1.8c87928ab1751p-2, 0x1.8d1a5c82d216p-2, 0x1.8dab5f2566646p-2, 0x1.8e3ac5fa29e25p-2, 0x1.8ec8b77be70c5p-2, 0x1.8f5554df48029p-2, 0x1.8fe0b9eb2073dp-2, 0x1.906afce07c7ebp-2, 0x1.90f42e70f2d61p-2, 0x1.917c59c1c846ep-2, 0x1.9203847a8f562p-2, 0x1.9289aede074e1p-2, 0x1.930ed3ec11dcbp-2, 0x1.9392e98ba011fp-2, 0x1.9415e0bb9b9c7p-2, 0x1.9497a5c9c311fp-2, 0x1.9518208ea3133p-2, 0x1.959734adbc9a3p-2, 0x1.9614c1d919222p-2, 0x1.9690a41781e8dp-2, 0x1.970ab40caace8p-2, 0x1.9782c742a4ddp-2, 0x1.97f8b074004a9p-2, 0x1.986c3fd60c64ap-2, 0x1.98dd4362b8ebcp-2, 0x1.994b87219a36bp-2, 0x1.99b6d56fae09bp-2, 0x1.9a1ef74580cf1p-2, 0x1.9a83b47b5c8fap-2, 0x1.9ae4d40b42c35p-2, 0x1.9b421c50686bap-2, 0x1.9b9b53440ea32p-2, 0x1.9bf03eb781faep-2, 0x1.9c40a48b29c75p-2, 0x1.9c8c4ae28ac55p-2, 0x1.9cd2f8552a2f1p-2, 0x1.9d14741c52923p-2, 0x1.9d50863da93fbp-2, 0x1.9d86f7b2a3babp-2, 0x1.9db7928cdfca1p-2, 0x1.9de222176a0bap-2, 0x1.9e0672f50aca1p-2, 0x1.9e24533ba3a2bp-2, 0x1.9e3b928cbfd93p-2, 0x1.9e4c022b6ab32p-2, 0x1.9e55750f68711p-2, 0x1.9e57bff5f272p-2, 0x1.9e52b9701468p-2, 0x1.9e4639eec8875p-2, 0x1.9e321bccf1781p-2, 0x1.9e163b5759a11p-2, 0x1.9df276d2cea9p-2, 0x1.9dc6ae807dafep-2, 0x1.9d92c4a0b2ffp-2, 0x1.9d569d74140e4p-2, 0x1.9d121f3b770ddp-2, 0x1.9cc53236764dp-2, 0x1.9c6fc0a0d3b99p-2, 0x1.9c11b6aed249ep-2, 0x1.9bab028892f4ap-2, 0x1.9b3b94449783dp-2, 0x1.9ac35de17bf95p-2, 0x1.9a42533efeb62p-2, 0x1.99b86a166b9ebp-2, 0x1.992599f27b637p-2, 0x1.9889dc26be3d8p-2, 0x1.97e52bc698b76p-2, 0x1.9737859beea85p-2, 0x1.9680e81d7db33p-2, 0x1.95c1536500cc6p-2, 0x1.94f8c9251a923p-2, 0x1.94274c9f214d2p-2, 0x1.934ce298c831p-2, 0x1.92699151b93a2p-2, 0x1.917d60791e537p-2, 0x1.908859232cafdp-2, 0x1.8f8a85bead801p-2, 0x1.8e83f20a8f039p-2, 0x1.8d74ab0b856ecp-2, 0x1.8c5cbf01b973ap-2, 0x1.8b3c3d5e8da8cp-2, 0x1.8a1336ba7de37p-2, 0x1.88e1bccb1651bp-2, 0x1.87a7e2590ce1cp-2, 0x1.8665bb36757e6p-2, 0x1.851b5c351cfe4p-2, 0x1.83c8db1d00aa7p-2, 0x1.826e4ea2effd1p-2, 0x1.810bce5f4e0a7p-2, 0x1.7fa172c4fa0fp-2, 0x1.7e2f55185e406p-2, 0x1.7cb58f66a15dp-2, 0x1.7b343c7d00b23p-2, 0x1.79ab77e04f845p-2, 0x1.781b5dc499356p-2, 0x1.76840b04ecc36p-2, 0x1.74e59d1b4861ap-2, 0x1.73403218ad88p-2, 0x1.7193e89d57c18p-2, 0x1.6fe0dfd113954p-2, 0x1.6e27375bbe568p-2, 0x1.6c670f5de3dd3p-2, 0x1.6aa088697fdd9p-2, 0x1.68d3c37ae03cdp-2, 0x1.6700e1f1a9b2fp-2, 0x1.65280589f9e51p-2, 0x1.63495055ad8f1p-2, 0x1.6164e4b5c2635p-2, 0x1.5f7ae553d9759p-2, 0x1.5d8b751bdb837p-2, 0x1.5b96b735b4fccp-2, 0x1.599cceff361cp-2, 0x1.579de0060dd34p-2, 0x1.559a0e01e3118p-2, 0x1.53917cce894c9p-2, 0x1.518450665677ep-2, 0x1.4f72acdc904a9p-2, 0x1.4d5cb657f9a0ap-2, 0x1.4b42910d7ab03p-2, 0x1.4924613ae6b5cp-2, 0x1.47024b21dc755p-2, 0x1.44dc7302c4a2ep-2, 0x1.42b2fd17e80b1p-2, 0x1.40860d90a809ep-2, 0x1.3e55c88ccc8e4p-2, 0x1.3c225217f2a92p-2, 0x1.39ebce2512dcbp-2, 0x1.37b2608a26a53p-2, 0x1.35762cfbe7f4ep-2, 0x1.33375709aa31ep-2, 0x1.30f6021953bfcp-2, 0x1.2eb251636fb9fp-2, 0x1.2c6c67ef5a817p-2, 0x1.2a24688f8bc2ap-2, 0x1.27da75ddfd117p-2, 0x1.258eb238a7637p-2, 0x1.23413fbe20a63p-2, 0x1.20f2404a53476p-2, 0x1.1ea1d5734dedfp-2, 0x1.1c502086342f1p-2, 0x1.19fd428444603p-2, 0x1.17a95c1ffdf3cp-2, 0x1.15548dba5cf31p-2, 0x1.12fef76036031p-2, 0x1.10a8b8c7a8d83p-2, 0x1.0e51f14dae5e5p-2, 0x1.0bfabff3c2967p-2, 0x1.09a3435da7f6ep-2, 0x1.074b99cf41a95p-2, 0x1.04f3e12a8d741p-2, 0x1.029c36edb16d8p-2, 0x1.0044b83128087p-2, 0x1.fbdb034bffd59p-3, 0x1.f72d5f28751b6p-3, 0x1.f280bbb27aacep-3, 0x1.edd54fccc04dbp-3, 0x1.e92b517f22f53p-3, 0x1.e482f5f421042p-3, 0x1.dfdc717687a6dp-3, 0x1.db37f76f4285bp-3, 0x1.d695ba63603c4p-3, 0x1.d1f5ebf241ea5p-3, 0x1.cd58bcd3f5de7p-3, 0x1.c8be5cd7be3c1p-3, 0x1.c426fae2c1d9ap-3, 0x1.bf92c4eee595ap-3, 0x1.bb01e809d3684p-3, 0x1.b674905422e2bp-3, 0x1.b1eae900ae8ap-3, 0x1.ad651c540b802p-3, 0x1.a8e353a42c473p-3, 0x1.a465b7581fa9ap-3, 0x1.9fec6ee7fe42p-3, 0x1.9b77a0dcf3464p-3, 0x1.970772d16a459p-3, 0x1.929c09715c8fcp-3, 0x1.8e35887ac4703p-3, 0x1.89d412be29092p-3, 0x1.8577ca1f4c7dap-3, 0x1.8120cf95f8031p-3, 0x1.7ccf432ee4fap-3, 0x1.7883440cbea7cp-3, 0x1.743cf069447c1p-3, 0x1.6ffc659684f71p-3, 0x1.6bc1c0002bea5p-3, 0x1.678d1b2cf3e7bp-3, 0x1.635e91c025c46p-3, 0x1.5f363d7b3440fp-3, 0x1.5b14373f6ccdep-3, 0x1.56f8970fb9066p-3, 0x1.52e374127d32bp-3, 0x1.4ed4e49380769p-3, 0x1.4accfe05eda17p-3, 0x1.46cbd50663d38p-3, 0x1.42d17d5d17d96p-3, 0x1.3ede0a00055cdp-3, 0x1.3af18d1530cc1p-3, 0x1.370c17f4f4b05p-3, 0x1.332dbb2c617d5p-3, 0x1.2f56867fa54b1p-3, 0x1.2b8688ec83655p-3, 0x1.27bdd0acd5877p-3, 0x1.23fc6b3916c6p-3, 0x1.2042654afc8aap-3, 0x1.1c8fcae015b83p-3, 0x1.18e4a73c6ff7bp-3, 0x1.154104ed4bf8cp-3, 0x1.11a4edcbd455cp-3, 0x1.0e106affdaa06p-3, 0x1.0a8385029d39dp-3, 0x1.06fe43a18eed5p-3, 0x1.0380ae0129192p-3, 0x1.000aca9fbcf5cp-3, 0x1.f9393eb0944ap-4, 0x1.f26c62cab18a5p-4, 0x1.ebaf0ac7ac4fdp-4, 0x1.e5013eabea1c1p-4, 0x1.de63054c12fa3p-4, 0x1.d7d46452e0094p-4, 0x1.d1556046d3279p-4, 0x1.cae5fc90073f5p-4, 0x1.c4863b7de9b45p-4, 0x1.be361e4d03a72p-4, 0x1.b7f5a52cb363p-4, 0x1.b1c4cf44f059dp-4, 0x1.aba39abbfd886p-4, 0x1.a59204bc1f5fep-4, 0x1.9f9009794e29dp-4, 0x1.999da436d6d54p-4, 0x1.93bacf4d05707p-4, 0x1.8de7842eb7e29p-4, 0x1.8823bb6ef5661p-4, 0x1.826f6cc6743d5p-4, 0x1.7cca8f191cf22p-4, 0x1.7735187b7d918p-4, 0x1.71aefe383909dp-4, 0x1.6c3834d56496ap-4, 0x1.66d0b019e0c6ep-4, 0x1.61786312a1729p-4, 0x1.5c2f4017ec5d4p-4, 0x1.56f538d289121p-4, 0x1.51ca3e40e76c3p-4, 0x1.4cae40bc33a74p-4, 0x1.47a12ffd61a31p-4, 0x1.42a2fb2223cp-4, 0x1.3db390b1dcfb2p-4, 0x1.38d2dea278a67p-4, 0x1.3400d25d3d62p-4, 0x1.2f3d58c38c606p-4, 0x1.2a885e338dab9p-4, 0x1.25e1ce8cd5601p-4, 0x1.21499534f128ap-4, 0x1.1cbf9d1be9c32p-4, 0x1.1843d0c0b3a22p-4, 0x1.13d61a358f055p-4, 0x1.0f76632455117p-4, 0x1.0b2494d2bb0edp-4, 0x1.06e098267b171p-4, 0x1.02aa55a9774efp-4, 0x1.fd036b1b824ecp-5, 0x1.f4cd3f63310d7p-5, 0x1.ecb1f746a7cccp-5, 0x1.e4b1614a75155p-5, 0x1.dccb4b629cbcap-5, 0x1.d4ff82f9fffa9p-5, 0x1.cd4dd4f9b0098p-5, 0x1.c5b60dd01632bp-5, 0x1.be37f977fac8cp-5, 0x1.b6d3637f6d2b1p-5, 0x1.af88170e8461fp-5, 0x1.a855deee05b06p-5, 0x1.a13c858de3bf1p-5, 0x1.9a3bd50b9988bp-5, 0x1.935397386e687p-5, 0x1.8c83959f89402p-5, 0x1.85cb998bf4236p-5, 0x1.7f2b6c0e6e664p-5, 0x1.78a2d60329ea2p-5, 0x1.7231a017626a7p-5, 0x1.6bd792ced24e8p-5, 0x1.659476891150cp-5, 0x1.5f681386c2985p-5, 0x1.595231eeb5733p-5, 0x1.535299d2db7eap-5, 0x1.4d69133520e68p-5, 0x1.4795660c27cb5p-5, 0x1.41d75a47ea532p-5, 0x1.3c2eb7d62fb08p-5, 0x1.369b46a6f3cbdp-5, 0x1.311cceb0a837bp-5, 0x1.2bb317f45bd0cp-5, 0x1.265dea81c14a7p-5, 0x1.211d0e7b1e836p-5, 0x1.1bf04c1919b8p-5, 0x1.16d76bae7199ep-5, 0x1.11d235ab93f97p-5, 0x1.0ce072a21e9f7p-5, 0x1.0801eb483f13fp-5, 0x1.0336687bffbeep-5, 0x1.fcfb668cea097p-6, 0x1.f3af29bda0b3p-6, 0x1.ea87ad5ac594ap-6, 0x1.e184849cf52b1p-6, 0x1.d8a5432a60732p-6, 0x1.cfe97d1c30d7dp-6, 0x1.c750c703c404cp-6, 0x1.bedab5efaeb85p-6, 0x1.b686df70982e6p-6, 0x1.ae54d99de22c3p-6, 0x1.a6443b1a30ad5p-6, 0x1.9e549b17b9fa1p-6, 0x1.9685915c70bd4p-6, 0x1.8ed6b64606b27p-6, 0x1.8747a2cdbd5d9p-6, 0x1.7fd7f08c1cb9ep-6, 0x1.788739bc70345p-6, 0x1.7155194028e8dp-6, 0x1.6a412aa21b482p-6, 0x1.634b0a198ce3dp-6, 0x1.5c72548d2343cp-6, 0x1.55b6a795b25d5p-6, 0x1.4f17a180e01d6p-6, 0x1.4894e153ac813p-6, 0x1.422e06ccca892p-6, 0x1.3be2b266f4f2dp-6, 0x1.35b2855af9104p-6, 0x1.2f9d21a1cac49p-6, 0x1.29a229f65cb09p-6, 0x1.23c141d768303p-6, 0x1.1dfa0d8910c03p-6, 0x1.184c321673bp-6, 0x1.12b755530fb73p-6, 0x1.0d3b1ddc16bacp-6, 0x1.07d73319abde3p-6, 0x1.028b3d3ff75bap-6, 0x1.faadcaa05ccc7p-7, 0x1.f073aa32f9939p-7, 0x1.e6676e73a4c99p-7, 0x1.dc886e3d47efap-7, 0x1.d2d6020b0d53p-7, 0x1.c94f83f98bd24p-7, 0x1.bff44fc795bf6p-7, 0x1.b6c3c2d718a6p-7, 0x1.adbd3c2da466bp-7, 0x1.a4e01c74e16f4p-7, 0x1.9c2bc5fad1781p-7, 0x1.939f9cb204fecp-7, 0x1.8b3b063181f16p-7, 0x1.82fd69b4ad299p-7, 0x1.7ae6301afe6d1p-7, 0x1.72f4c3e788cd2p-7, 0x1.6b2891408ce06p-7, 0x1.638105eea5a72p-7, 0x1.5bfd915c1b707p-7, 0x1.549da493fa3ap-7, 0x1.4d60b240ff401p-7, 0x1.46462eac7dd3ap-7, 0x1.3f4d8fbd255dfp-7, 0x1.38764cf5afe3bp-7, 0x1.31bfdf736aacp-7, 0x1.2b29c1ecb6e24p-7, 0x1.24b370af64c7cp-7, 0x1.1e5c699f0186cp-7, 0x1.18242c331079fp-7, 0x1.120a397523601p-7, 0x1.0c0e13feedeb7p-7, 0x1.062f3ff83f901p-7, 0x1.006d4314e26fbp-7, 0x1.f58f4924e5a24p-8, 0x1.ea7bda6c56a94p-8, 0x1.df9f4e951bab1p-8, 0x1.d4f8bd3a133dep-8, 0x1.ca8740f7295bfp-8, 0x1.c049f76461fp-8, 0x1.b6400110ba90fp-8, 0x1.ac68817d21ea4p-8, 0x1.a2c29f1711b13p-8, 0x1.994d8333609d8p-8, 0x1.90085a08abacbp-8, 0x1.86f252a9f4e01p-8, 0x1.7e0a9f00f0a27p-8, 0x1.755073c874f48p-8, 0x1.6cc30886a7943p-8, 0x1.6461978748012p-8, 0x1.5c2b5dd5c7679p-8, 0x1.541f9b3758a94p-8, 0x1.4c3d92251071ep-8, 0x1.448487c5c09cfp-8, 0x1.3cf3c3e813c97p-8, 0x1.358a90fc3c8edp-8, 0x1.2e483c0e0bff9p-8, 0x1.272c14be9aacdp-8, 0x1.20356d3e2454dp-8, 0x1.19639a45cbec4p-8, 0x1.12b5f31152251p-8, 0x1.0c2bd158e2c1ap-8, 0x1.05c4914aa4d3ep-8, 0x1.feff2308fc6c8p-9, 0x1.f2b8661ba2c84p-9, 0x1.e6b3b2a1f7f9ep-9, 0x1.daefd42a308a5p-9, 0x1.cf6b9aef4b342p-9, 0x1.c425dbcc3942cp-9, 0x1.b91d702f456ebp-9, 0x1.ae51360d49bf7p-9, 0x1.a3c00fd4f4a0cp-9, 0x1.9968e46236803p-9, 0x1.8f4a9ef16abc5p-9, 0x1.85642f12d4756p-9, 0x1.7bb4889de5e33p-9, 0x1.723aa3a4a6a0bp-9, 0x1.68f57c672dac3p-9, 0x1.5fe413470b14p-9, 0x1.57056cbacdc8ep-9, 0x1.4e589141872fdp-9, 0x1.45dc8d5661d84p-9, 0x1.3d90716454e78p-9, 0x1.357351b9ba3ebp-9, 0x1.2d84467c1bcbbp-9, 0x1.25c26b9bf2375p-9, 0x1.1e2ce0c8987e3p-9, 0x1.16c2c9641550ep-9, 0x1.0f834c772ad2ap-9, 0x1.086d94a559f55p-9, 0x1.0180d0210caddp-9, 0x1.f578613f56a72p-10, 0x1.e83dd69c0e037p-10, 0x1.db507188e5cfep-10, 0x1.ceaea9f6d5cf8p-10, 0x1.c256fe7fe3269p-10, 0x1.b647f45027c72p-10, 0x1.aa80170f5eb93p-10, 0x1.9efdf8ca12ef5p-10, 0x1.93c031db8a22p-10, 0x1.88c560d755987p-10, 0x1.7e0c2a7354a8ep-10, 0x1.73933971ef83dp-10, 0x1.69593e8c73c72p-10, 0x1.5f5cf05d596b4p-10, 0x1.559d0b4b2f738p-10, 0x1.4c18517359548p-10, 0x1.42cd8a951b2a5p-10, 0x1.39bb83fcedfep-10, 0x1.30e1106fe96f5p-10, 0x1.283d08174aa3dp-10, 0x1.1fce486c5d2afp-10, 0x1.1793b4245e408p-10, 0x1.0f8c331cadbedp-10, 0x1.07b6b2477789cp-10, 0x1.00122397e27aap-10, 0x1.f13afbde47b47p-11, 0x1.e2af7a1259ecbp-11, 0x1.d47fc2d481facp-11, 0x1.c6a9e0979cbf8p-11, 0x1.b92be71504a3ep-11, 0x1.ac03f3272e191p-11, 0x1.9f302aa60f3c5p-11, 0x1.92aebc4374913p-11, 0x1.867ddf67674c3p-11, 0x1.7a9bd40d7b18ep-11, 0x1.6f06e2a242621p-11, 0x1.63bd5be100138p-11, 0x1.58bd98b224ebp-11, 0x1.4e05fa09e58f2p-11, 0x1.4394e8c72b2b6p-11, 0x1.3968d59341e06p-11, 0x1.2f8038c14dc78p-11, 0x1.25d9922ed2afep-11, 0x1.1c7369243c4d7p-11, 0x1.134c4c35a0f4fp-11, 0x1.0a62d12473421p-11, 0x1.01b594c11062fp-11, 0x1.f2867599b6416p-12, 0x1.e214dbb9ae115p-12, 0x1.d213be78d7c8p-12, 0x1.c2808da16da5ep-12, 0x1.b358c5f892962p-12, 0x1.a499f1057ea7dp-12, 0x1.9641a4db780cap-12, 0x1.884d83e230e9bp-12, 0x1.7abb3ca06cd3bp-12, 0x1.6d888986a4097p-12, 0x1.60b330bb06de4p-12, 0x1.543903e5e2dd6p-12, 0x1.4817dffdd5f0fp-12, 0x1.3c4dad1685ffbp-12, 0x1.30d85e2e2157ap-12, 0x1.25b5f0fda3f6dp-12, 0x1.1ae46dc76f2f4p-12, 0x1.1061e728e44fp-12, 0x1.062c79ea62c0cp-12, 0x1.f88499a43767bp-13, 0x1.e54320ec17969p-13, 0x1.d290fe1ed8cbdp-13, 0x1.c06ab89bb3622p-13, 0x1.aeccea598d681p-13, 0x1.9db43f8f39c4ep-13, 0x1.8d1d76602c93dp-13, 0x1.7d055e88dd884p-13, 0x1.6d68d90bdadcp-13, 0x1.5e44d7e24b58cp-13, 0x1.4f965dab1db4dp-13, 0x1.415a7d5d66309p-13, 0x1.338e59fa750cp-13, 0x1.262f26430bebdp-13, 0x1.193a246a1da4fp-13, 0x1.0caca5ce6e08ep-13, 0x1.00840aae3afa8p-13, 0x1.e97b83c5edb86p-14, 0x1.d2ae913194419p-14, 0x1.bc9c5415cf7fbp-14, 0x1.a73ffe7cb018ap-14, 0x1.9294dd7dd5641p-14, 0x1.7e9658bbe7f3dp-14, 0x1.6b3ff1e1c1f7p-14, 0x1.588d44229620cp-14, 0x1.467a03bd11d3ap-14, 0x1.3501fd7e0610bp-14, 0x1.2421164909d2bp-14, 0x1.13d34a9e2124p-14, 0x1.0414ae26ba911p-14, 0x1.e9c2d67f31abap-15, 0x1.cc6b8511410f3p-15, 0x1.b01c14e7e1664p-15, 0x1.94cd5daff0be5p-15, 0x1.7a786106e9efdp-15, 0x1.611649a699b36p-15, 0x1.48a06a90e72afp-15, 0x1.31103e46998ccp-15, 0x1.1a5f65f8ed0f2p-15, 0x1.0487a8c566bbp-15, 0x1.df05e5e386867p-16, 0x1.b696aa558335p-16, 0x1.8fb60794fe55ap-16, 0x1.6a58ac373823dp-16, 0x1.46738b4b505f5p-16, 0x1.23fbdaef8d47ap-16, 0x1.02e712f4ba83ap-16, 0x1.c655d710bf835p-17, 0x1.897ab7ac2d4a7p-17, 0x1.4f29318d184e6p-17, 0x1.174e275fc368bp-17, 0x1.c3ade45e98bc1p-18, 0x1.5d62bdd1faf65p-18, 0x1.f72eafd764078p-19, 0x1.3c521b57b2d72p-19, 0x1.13d84e3ada598p-20, -0x1.0228cfa6e056cp-22, -0x1.8503e887faaeep-20, -0x1.5d091c214f047p-19, -0x1.f017b69b7da8bp-19, -0x1.3df4b0ff8cf43p-18, -0x1.805c1f18bfbe1p-18, -0x1.bf5e7a68396fbp-18, -0x1.fb1760c298fc2p-18, -0x1.19d0de6320ea2p-17, -0x1.348be4f523853p-17, -0x1.4dc98c19f02p-17, -0x1.659647f9a64dep-17, -0x1.7bfe3abb2ebe9p-17, -0x1.910d36527ad16p-17, -0x1.a4cebe3d43541p-17, -0x1.b74e0942586bfp-17, -0x1.c8960324460a3p-17, -0x1.d8b14e4c3c3bep-17, -0x1.e7aa4569222c6p-17, -0x1.f58afd08ba2edp-17, -0x1.012ea2996c0fbp-16, -0x1.071555716cc08p-16, -0x1.0c7e3ccfd3ed8p-16, -0x1.116dde71446dfp-16, -0x1.15e8a0cac49ecp-16, -0x1.19f2cbc137afap-16, -0x1.1d9089554d4cp-16, -0x1.20c5e65aef61p-16, -0x1.2396d31da0ddfp-16, -0x1.2607240d3d9cbp-16, -0x1.281a92608409ep-16, -0x1.29d4bcb7d7ba6p-16, -0x1.2b3927ba4df41p-16, -0x1.2c4b3eb1c3c6cp-16, -0x1.2d0e5421736b6p-16, -0x1.2d85a25d282a3p-16, -0x1.2db44c19119f2p-16, -0x1.2d9d5cf8accf2p-16, -0x1.2d43ca1d6304cp-16, -0x1.2caa72a9d231ep-16, -0x1.2bd4204fa93ebp-16, -0x1.2ac387cd5a134p-16, -0x1.297b497111fddp-16, -0x1.27fdf19672f17p-16, -0x1.264df9234f202p-16, -0x1.246dc5fdd65c6p-16, -0x1.225fab85ff6bcp-16, -0x1.2025eb07b1256p-16, -0x1.1dc2b42c86aedp-16, -0x1.1b38256b9b521p-16, -0x1.18884c746727fp-16, -0x1.15b5269ca9956p-16, -0x1.12c0a1446650cp-16, -0x1.0fac9a3d4f572p-16, -0x1.0c7ae031b4631p-16, -0x1.092d3301273d5p-16, -0x1.05c544241f678p-16, -0x1.0244b70533a5fp-16, -0x1.fd5a42c287821p-17, -0x1.f600173990eap-17, -0x1.ee7de23c6312p-17, -0x1.e6d68145440e2p-17, -0x1.df0cb920299acp-17, -0x1.d72336937bf66p-17, -0x1.cf1c8efe5ebfcp-17, -0x1.c6fb40f1757fcp-17, -0x1.bec1b4ce66b33p-17, -0x1.b6723d591af3dp-17, -0x1.ae0f184b04629p-17, -0x1.a59a6ee3c7ef4p-17, -0x1.9d1656742172p-17, -0x1.9484d0e36777cp-17, -0x1.8be7cd3d94f64p-17, -0x1.8341282b8e11p-17, -0x1.7a92ac7a24af5p-17, -0x1.71de13938d568p-17, -0x1.692505fbc44bbp-17, -0x1.60691bc3581b6p-17, -0x1.57abdd0068468p-17, -0x1.4eeec23d78109p-17, -0x1.463334ea27d5ap-17, -0x1.3d7a8fc64707ap-17, -0x1.34c61f4ba55e3p-17, -0x1.2c172217adfbap-17, -0x1.236ec94d2c332p-17, -0x1.1ace38fa2592ap-17, -0x1.1236887615c3p-17, -0x1.09a8c2bff5f2p-17, -0x1.0125e6dcb55e7p-17, -0x1.f15dd058a192bp-18, -0x1.e0895d8d64e1fp-18, -0x1.cfd02f950be05p-18, -0x1.bf33eb6f60d6cp-18, -0x1.aeb621755916fp-18, -0x1.9e584dff5f2afp-18, -0x1.8e1bd9fd84a91p-18, -0x1.7e021b8c3bfefp-18, -0x1.6e0c568d2c421p-18, -0x1.5e3bbd32b0a41p-18, -0x1.4e91708b67c1dp-18, -0x1.3f0e810e698b4p-18, -0x1.2fb3ef1deeaaep-18, -0x1.2082ab8a7dab4p-18, -0x1.117b9811a9584p-18, -0x1.029f87d92d02bp-18, -0x1.e7de7fce23202p-19, -0x1.cad6ef3325b07p-19, -0x1.ae29b229042ecp-19, -0x1.91d8036e330dcp-19, -0x1.75e30504e05ap-19, -0x1.5a4bc111d25a4p-19, -0x1.3f132aa2297f1p-19, -0x1.243a1e796e00ep-19, -0x1.09c163d46eca1p-19, -0x1.df535a4d7c1eap-20, -0x1.abe731a64c2fcp-20, -0x1.793f63ca306a6p-20, -0x1.475ce17537e55p-20, -0x1.1640776c796a3p-20, -0x1.cbd59f7e9d65ap-21, -0x1.6cb8e6274cf9ep-21, -0x1.0f2b93bcb9e6ap-21, -0x1.665c767297a04p-22, -0x1.6304cfb5eb586p-23, 0x1.b6428c6cf4f52p-33, 0x1.5d9e9902f11ddp-23, 0x1.5a47c10064e86p-22, 0x1.015093ff351e1p-21, 0x1.53ee72b490355p-21, 0x1.a4fe5d73ac23cp-21, 0x1.f4816213d5294p-21, 0x1.213c5cbdc7453p-20, 0x1.4772e2f0d962ep-20, 0x1.6ce5088112fadp-20, 0x1.9193a532d2d2dp-20, 0x1.b57fa2e32d261p-20, 0x1.d8a9fca999acbp-20, 0x1.fb13be224ed36p-20, 0x1.0e5f014ddc7a9p-19, 0x1.1ed4fa2faa3fbp-19, 0x1.2eec65fce6a7ep-19, 0x1.3ea5e7c447fa8p-19, 0x1.4e022906bd73ap-19, 0x1.5d01d9621e524p-19, 0x1.6ba5ae3ed952ap-19, 0x1.79ee628730ed3p-19, 0x1.87dcb652b428p-19, 0x1.95716ea0b57aap-19, 0x1.a2ad550f504a3p-19, 0x1.af913794b40b3p-19, 0x1.bc1de83ce8d0ep-19, 0x1.c8543ce925a77p-19, 0x1.d4350f0e07476p-19, 0x1.dfc13b781699cp-19, 0x1.eaf9a210c56a1p-19, 0x1.f5df25a383e1p-19, 0x1.003955d374fc2p-18, 0x1.055a8e0430fa2p-18, 0x1.0a53b079cf4e7p-18, 0x1.0f2533538b482p-18, 0x1.13cf8d9eb722bp-18, 0x1.18533741ac19ap-18, 0x1.1cb0a8e33bd04p-18, 0x1.20e85bd5cc7e8p-18, 0x1.24faca0211f68p-18, 0x1.28e86dd2eddp-18, 0x1.2cb1c22138855p-18, 0x1.305742214d10bp-18, 0x1.33d96950be0b9p-18, 0x1.3738b363cdb29p-18, 0x1.3a759c35b881ap-18, 0x1.3d909fb7c30c3p-18, 0x1.408a39e19f1dep-18, 0x1.4362e6a26df0bp-18, 0x1.461b21d1cd0dap-18, 0x1.48b367228b29fp-18, 0x1.4b2c321419555p-18, 0x1.4d85fde723c7bp-18, 0x1.4fc1458f25123p-18, 0x1.51de83a916bedp-18, 0x1.53de326dbaabp-18, 0x1.55c0cba817c58p-18, 0x1.5786c8aa4c377p-18, 0x1.5930a24405cf6p-18, 0x1.5abed0b8ce53p-18, 0x1.5c31cbb6a6ca3p-18, 0x1.5d8a0a4d8d692p-18, 0x1.5ec802e72effcp-18, 0x1.5fec2b3ea3f13p-18, 0x1.60f6f858deb75p-18, 0x1.61e8de7e4da7fp-18, 0x1.62c25132b62fap-18, 0x1.6383c32fe78aap-18, 0x1.642da65eae725p-18, 0x1.64c06bd186afbp-18, 0x1.653c83becaaebp-18, 0x1.65a25d7baf242p-18, 0x1.65f267773f8fep-18, 0x1.662d0f352f837p-18, 0x1.6652c14a52be2p-18, 0x1.6663e9584f456p-18, 0x1.6660f20999da4p-18, 0x1.664a450dcf87fp-18, 0x1.66204b1691305p-18, 0x1.65e36bd428e8cp-18, 0x1.65940df35bac7p-18, 0x1.653297199d292p-18, 0x1.64bf6be362488p-18, 0x1.643aefe1ef6d3p-18, 0x1.63a58598fa4d1p-18, 0x1.62ff8e7d39defp-18, 0x1.62496af232939p-18, 0x1.61837a4943111p-18, 0x1.60ae1abffe3b3p-18, 0x1.5fc9a97f539a6p-18, 0x1.5ed6829a2d1fap-18, 0x1.5dd5010d3b8ccp-18, 0x1.5cc57ebdd964cp-18, 0x1.5ba85479cf8c2p-18, 0x1.5a7dd9f67bf53p-18, 0x1.594665d1020c6p-18, 0x1.58024d8e5a48ap-18, 0x1.56b1e59ae12f3p-18, 0x1.5555814ac6decp-18, 0x1.53ed72da094c2p-18, 0x1.527a0b6d4e72bp-18, 0x1.50fb9b11ef925p-18, 0x1.4f7270bec180fp-18, 0x1.4ddeda5486cebp-18, 0x1.4c41249f08cbdp-18, 0x1.4a999b55f3be3p-18, 0x1.48e8891dc991cp-18, 0x1.472e378867df8p-18, 0x1.456aef169dc1bp-18, 0x1.439ef7397debbp-18, 0x1.41ca96536ab82p-18, 0x1.3fee11b96a8f3p-18, 0x1.3e09adb484f2cp-18, 0x1.3c1dad834ccacp-18, 0x1.3a2a535bbcd73p-18, 0x1.382fe06c3dfa6p-18, 0x1.362e94dd73d06p-18, 0x1.3426afd433a55p-18, 0x1.32186f7303ce2p-18, 0x1.300410dc00bfdp-18, 0x1.2de9d032c95bep-18, 0x1.2bc9e89e2e6b7p-18, 0x1.29a4944a123c7p-18, 0x1.277a0c69ac8d4p-18, 0x1.254a893928bcap-18, 0x1.2316420015ce7p-18, 0x1.20dd6d13387d3p-18, 0x1.1ea03fd6ae936p-18, 0x1.1c5eeebfe393bp-18, }}, 
      {{-0x1.2f7d78abcc671p-15, -0x1.3642d10338866p-13, -0x1.68b7b328c4aacp-12, -0x1.4d77f02d97f73p-11, -0x1.0f9a2d345f406p-10, -0x1.9790174917e7ap-10, -0x1.205eb7c30506dp-9, -0x1.863932b70b90dp-9, -0x1.fd8f8fe78d1a8p-9, -0x1.4315d24e6e2fep-8, -0x1.8fb9a8204664cp-8, -0x1.e43c710cffce7p-8, -0x1.2003aec764f96p-7, -0x1.5136e167f9a07p-7, -0x1.855b444ddb028p-7, -0x1.bc122cad1fd88p-7, -0x1.f4fe2df28fa7fp-7, -0x1.17e2de72e36cbp-6, -0x1.360a94f69d48fp-6, -0x1.54d00489cb9c5p-6, -0x1.74110f366f973p-6, -0x1.93aff185c6d4dp-6, -0x1.b39359e95ff94p-6, -0x1.d3a65c865bb2ep-6, -0x1.f3d849f96dbb8p-6, -0x1.0a0e378b17b57p-5, -0x1.1a34e19a5946cp-5, -0x1.2a5d451dccbd4p-5, -0x1.3a85f792e9e1bp-5, -0x1.4aaecda0daa16p-5, -0x1.5ad8a6eaa6bf9p-5, -0x1.6b053b99ace26p-5, -0x1.7b36ecd498a87p-5, -0x1.8b70990618e62p-5, -0x1.9bb5748b12a42p-5, -0x1.ac08e71be8b61p-5, -0x1.bc6e6e09a21dcp-5, -0x1.cce98336b21e2p-5, -0x1.dd7d888cc618cp-5, -0x1.ee2db7945dd4ap-5, -0x1.fefd14bf88a57p-5, -0x1.07f732f6fc1fcp-4, -0x1.108215d64df3cp-4, -0x1.19204e5a6633p-4, -0x1.21d2d19ace7c6p-4, -0x1.2a9a6dbde480fp-4, -0x1.3377c9ccb49e4p-4, -0x1.3c6b65de18436p-4, -0x1.45759b77ccb53p-4, -0x1.4e969e0b5a434p-4, -0x1.57ce7b7b5abdbp-4, -0x1.611d1c9c023c6p-4, -0x1.6a8245a73a595p-4, -0x1.73fd96a13a295p-4, -0x1.7d8e8bae675d4p-4, -0x1.87347d5e18f9p-4, -0x1.90eea0f007b42p-4, -0x1.9abc089b5fd05p-4, -0x1.a49ba3df3093cp-4, -0x1.ae8c3fe3f50d3p-4, -0x1.b88c87f5804f7p-4, -0x1.c29b061bbc797p-4, -0x1.ccb623d7df47p-4, -0x1.d6dc2b0a11647p-4, -0x1.e10b47029055dp-4, -0x1.eb4185bfae4e1p-4, -0x1.f57cd958f10dcp-4, -0x1.ffbb199638124p-4, -0x1.04fd02d85b90fp-3, -0x1.0a1ba31d4edcfp-3, -0x1.0f383794c2f22p-3, -0x1.145180ff6d80bp-3, -0x1.19663804ac9e3p-3, -0x1.1e750e5d05f3p-3, -0x1.237cb003a930bp-3, -0x1.287bc46c1675bp-3, -0x1.2d70efb93c493p-3, -0x1.325ad3f34918cp-3, -0x1.37381239bdf01p-3, -0x1.3c074bef580cbp-3, -0x1.40c723ddc5fp-3, -0x1.45763f4f13c5ep-3, -0x1.4a13471b46d0bp-3, -0x1.4e9ce8a894ffdp-3, -0x1.5311d6dd174a9p-3, -0x1.5770cb00e8c74p-3, -0x1.5bb885900371ap-3, -0x1.5fe7cefb43579p-3, -0x1.63fd7858401fp-3, -0x1.67f85bffd6328p-3, -0x1.6bd75e1b5eb26p-3, -0x1.6f996d20ccb4p-3, -0x1.733d823df8d11p-3, -0x1.76c2a1b37e6c4p-3, -0x1.7a27db1fce46ap-3, -0x1.7d6c49baf9758p-3, -0x1.808f1483f1d73p-3, -0x1.838f6e600188cp-3, -0x1.866c962d410a9p-3, -0x1.8925d6c8e1d07p-3, -0x1.8bba870a2844bp-3, -0x1.8e2a09b2f2059p-3, -0x1.9073cd56a1a05p-3, -0x1.92974c3859c4ap-3, -0x1.94940c2156a4ap-3, -0x1.96699e30389dcp-3, -0x1.98179ea22a233p-3, -0x1.999db496872a2p-3, -0x1.9afb91cde1fddp-3, -0x1.9c30f2651aaf3p-3, -0x1.9d3d9c8d2d9c1p-3, -0x1.9e21604077eebp-3, -0x1.9edc16f5efdddp-3, -0x1.9f6da353033d2p-3, -0x1.9fd5f0dc923c2p-3, -0x1.a014f3a78881bp-3, -0x1.a02aa8098a836p-3, -0x1.a017124a2185ep-3, -0x1.9fda3e54c2a41p-3, -0x1.9f743f6c08d15p-3, -0x1.9ee52fde6c9c2p-3, -0x1.9e2d30bcbf2e2p-3, -0x1.9d4c699299cb3p-3, -0x1.9c430820fe821p-3, -0x1.9b11401b44704p-3, -0x1.99b74ae67ffcp-3, -0x1.9835675b6fce6p-3, -0x1.968bd98b0b95dp-3, -0x1.94baea85bab8ap-3, -0x1.92c2e8254029p-3, -0x1.90a424d9463fp-3, -0x1.8e5ef776a5dc6p-3, -0x1.8bf3bb093b1d2p-3, -0x1.8962cea8584b5p-3, -0x1.86ac954dabfcp-3, -0x1.83d175ae926b2p-3, -0x1.80d1da17bcf99p-3, -0x1.7dae304b012f5p-3, -0x1.7a66e95f4c9d8p-3, -0x1.76fc79a28a9cfp-3, -0x1.736f587d5dffdp-3, -0x1.6fc000589c3e9p-3, -0x1.6beeee8457fcap-3, -0x1.67fca3205c1b7p-3, -0x1.63e9a106015e6p-3, -0x1.5fb66db32491ap-3, -0x1.5b63913639afbp-3, -0x1.56f1961b3f533p-3, -0x1.526109598463ap-3, -0x1.4db27a421a284p-3, -0x1.48e67a6ecf942p-3, -0x1.43fd9db1ac1c6p-3, -0x1.3ef87a04b7f6fp-3, -0x1.39d7a77a00294p-3, -0x1.349bc02bcd9b4p-3, -0x1.2f45602ce171dp-3, -0x1.29d52578ad031p-3, -0x1.244bafe37c98fp-3, -0x1.1ea9a10a69e85p-3, -0x1.18ef9c432c3a3p-3, -0x1.131e468b8c38ep-3, -0x1.0d3646789daf5p-3, -0x1.073844258d174p-3, -0x1.0124e92218b64p-3, -0x1.f5f9c0c12b3d6p-4, -0x1.e981ac471b8dep-4, -0x1.dce2efd5d2472p-4, -0x1.d01ee8c14389p-4, -0x1.c336f68a1078ep-4, -0x1.b62c7ab51b886p-4, -0x1.a900d8a23b8dep-4, -0x1.9bb5756219ffbp-4, -0x1.8e4bb78b1d5b2p-4, -0x1.80c5070dabe49p-4, -0x1.7322cd0788a62p-4, -0x1.65667396902adp-4, -0x1.579165aabd62ep-4, -0x1.49a50ed7a3bb1p-4, -0x1.3ba2db255b0e7p-4, -0x1.2d8c36e0eb863p-4, -0x1.1f628e6c69c8p-4, -0x1.11274e0eaaff4p-4, -0x1.02dbe1c2c63cp-4, -0x1.e9036a0ed6d77p-5, -0x1.cc34655c3712ap-5, -0x1.af4d8954c3b65p-5, -0x1.9251a7c2417p-5, -0x1.75438fefeff6cp-5, -0x1.58260e49dd5aep-5, -0x1.3afbebfcc2e88p-5, -0x1.1dc7ee9696e2ap-5, -0x1.008cd7a818c17p-5, -0x1.c69ac8ce76e8cp-6, -0x1.8c189aa5ae69fp-6, -0x1.51988baf2d347p-6, -0x1.171ff7ec8d5d9p-6, -0x1.b9685faee4bc7p-7, -0x1.44b4ef68fe7ebp-7, -0x1.a0601ba799004p-8, -0x1.6f903acceb7aep-9, 0x1.824d681299c18p-11, 0x1.17c10fb3b0f28p-8, 0x1.fe8a1444ccc4bp-8, 0x1.7248820be7ab6p-7, 0x1.e4e1354e7aad6p-7, 0x1.2b82c5e089625p-6, 0x1.645608341c45bp-6, 0x1.9ce5b93d43bfp-6, 0x1.d52d432de8237p-6, 0x1.069411a36f168p-5, 0x1.2268f52593f23p-5, 0x1.3e131e770cb0fp-5, 0x1.59906a1e2c7afp-5, 0x1.74debeffbdb11p-5, 0x1.8ffc0e8e3f25ap-5, 0x1.aae654f67f329p-5, 0x1.c59b99498c96cp-5, 0x1.e019eda40c3a1p-5, 0x1.fa5f6f52eb67bp-5, 0x1.0a35237ab92e9p-4, 0x1.171c544e64bc6p-4, 0x1.23e469f474791p-4, 0x1.308c8a1173beep-4, 0x1.3d13e02a6c089p-4, 0x1.49799daf92109p-4, 0x1.55bcfa05ae8a3p-4, 0x1.61dd328e54384p-4, 0x1.6dd98aaeeaf36p-4, 0x1.79b14bd67beabp-4, 0x1.8563c58261c7p-4, 0x1.90f04d41d84bep-4, 0x1.9c563eb856df8p-4, 0x1.a794fb9ef2d95p-4, 0x1.b2abebc495842p-4, 0x1.bd9a7d0d3337p-4, 0x1.c860236ffd5cbp-4, 0x1.d2fc58f484db6p-4, 0x1.dd6e9daf0095fp-4, 0x1.e7b677bb833eap-4, 0x1.f1d373385706p-4, 0x1.fbc5223f6d8cap-4, 0x1.02c58e6f7ad8ap-3, 0x1.0792808888f91p-3, 0x1.0c493959607dbp-3, 0x1.10e98dbd01771p-3, 0x1.1573557594e5bp-3, 0x1.19e66b26c07dbp-3, 0x1.1e42ac4f97056p-3, 0x1.2287f94434427p-3, 0x1.26b6352700f13p-3, 0x1.2acd45e1aa354p-3, 0x1.2ecd141dc73c3p-3, 0x1.32b58b3d341c6p-3, 0x1.3686995222cffp-3, 0x1.3a402f16ef7f4p-3, 0x1.3de23fe5a5a08p-3, 0x1.416cc1af50509p-3, 0x1.44dfacf30fbd4p-3, 0x1.483afcb4ec969p-3, 0x1.4b7eae747b1f6p-3, 0x1.4eaac2234f9f5p-3, 0x1.51bf3a1b38c6ep-3, 0x1.54bc1b145440fp-3, 0x1.57a16c1af586cp-3, 0x1.5a6f3685635cap-3, 0x1.5d2585e975a3bp-3, 0x1.5fc4681203acap-3, 0x1.624becf44395dp-3, 0x1.64bc26a4fdaecp-3, 0x1.6715294da658fp-3, 0x1.69570b216732ep-3, 0x1.6b81e4520a5a6p-3, 0x1.6d95cf04ced07p-3, 0x1.6f92e74734f2cp-3, 0x1.71794b03afb03p-3, 0x1.734919f64dd2cp-3, 0x1.750275a158bbcp-3, 0x1.76a58141e1881p-3, 0x1.783261c451b8dp-3, 0x1.79a93db8ec07ap-3, 0x1.7b0a3d484e1b4p-3, 0x1.7c558a27f23cbp-3, 0x1.7d8b4f8eaa02cp-3, 0x1.7eabba29238b8p-3, 0x1.7fb6f80e6a505p-3, 0x1.80ad38b46e21cp-3, 0x1.818eace497555p-3, 0x1.825b86b05af37p-3, 0x1.8313f965deb9fp-3, 0x1.83b839849fc32p-3, 0x1.84487cb23632dp-3, 0x1.84c4f9af12bbep-3, 0x1.852de84b5f544p-3, 0x1.8583815bdfe9dp-3, 0x1.85c5feaef3a1fp-3, 0x1.85f59b019e04ap-3, 0x1.861291f4ae0f1p-3, 0x1.861d2001f6ddep-3, 0x1.861582719c932p-3, 0x1.85fbf74f81c71p-3, 0x1.85d0bd60c4cedp-3, 0x1.859414195f50ap-3, 0x1.85463b91dcb74p-3, 0x1.84e7747d2f6e5p-3, 0x1.8478001e9fa0cp-3, 0x1.83f8203fdee95p-3, 0x1.8368172732001p-3, 0x1.82c8278dc03b2p-3, 0x1.82189496063dep-3, 0x1.8159a1c25f87ap-3, 0x1.808b92ebbdbf4p-3, 0x1.7faeac3879812p-3, 0x1.7ec332134e46ap-3, 0x1.7dc969227273fp-3, 0x1.7cc1963eda7f1p-3, 0x1.7babfe6b9bc1fp-3, 0x1.7a88e6cd7b46ep-3, 0x1.795894a29c402p-3, 0x1.781b4d3a5451ap-3, 0x1.76d155ed303c1p-3, 0x1.757af41513cc5p-3, 0x1.74186d0584e4dp-3, 0x1.72aa060425255p-3, 0x1.713004414cff7p-3, 0x1.6faaacd0cc9e7p-3, 0x1.6e1a44a2db6cdp-3, 0x1.6c7f107d2f2fbp-3, 0x1.6ad954f43813p-3, 0x1.692956648b553p-3, 0x1.676f58ec6f5ebp-3, 0x1.65aba0659bbfep-3, 0x1.63de705f15545p-3, 0x1.62080c173f2cfp-3, 0x1.6028b6760dc84p-3, 0x1.5e40b20765646p-3, 0x1.5c5040f5a1a85p-3, 0x1.5a57a5044401dp-3, 0x1.58571f8ad263p-3, 0x1.564ef16fd064bp-3, 0x1.543f5b23f2759p-3, 0x1.52289c9d6b6d4p-3, 0x1.500af5536a802p-3, 0x1.4de6a439bb816p-3, 0x1.4bbbe7bc931fbp-3, 0x1.498afdbc82b76p-3, 0x1.4754238a8d911p-3, 0x1.451795e46f62ap-3, 0x1.42d590f0fc526p-3, 0x1.408e503cb23c5p-3, 0x1.3e420eb66c452p-3, 0x1.3bf106ac399ccp-3, 0x1.399b71c85a13ap-3, 0x1.3741890e64e83p-3, 0x1.34e384d88ad99p-3, 0x1.32819cd506d85p-3, 0x1.301c0803a5962p-3, 0x1.2db2fcb37c94fp-3, 0x1.2b46b080b9d78p-3, 0x1.28d758529f8cbp-3, 0x1.2665285994d71p-3, 0x1.23f0540d6370cp-3, 0x1.21790e2b91753p-3, 0x1.1eff88b5d8317p-3, 0x1.1c83f4f0bfe6ap-3, 0x1.1a06836256d04p-3, 0x1.178763d108b6cp-3, 0x1.1506c542946ap-3, 0x1.1284d5fb1f23cp-3, 0x1.1001c37c608b5p-3, 0x1.0d7dba84f48c1p-3, 0x1.0af8e70fbb3e7p-3, 0x1.0873745363eb1p-3, 0x1.05ed8cc2053fdp-3, 0x1.03675a08d6f0ep-3, 0x1.00e10510031abp-3, 0x1.fcb56bf51ec63p-4, 0x1.f7a9284cc8054p-4, 0x1.f29d8c58be3d7p-4, 0x1.ed92e3c116a58p-4, 0x1.e88978a4d3262p-4, 0x1.e381939a9408cp-4, 0x1.de7b7bb18c7f3p-4, 0x1.d97776728a85dp-4, 0x1.d475c7e13c58p-4, 0x1.cf76b27d83f7ep-4, 0x1.ca7a77450d8f4p-4, 0x1.c58155b4faedp-4, 0x1.c08b8bcbab28bp-4, 0x1.bb99560abc532p-4, 0x1.b6aaef7920821p-4, 0x1.b1c091a549b95p-4, 0x1.acda74a79529ep-4, 0x1.a7f8cf24ada4ep-4, 0x1.a31bd6502f256p-4, 0x1.9e43bdef4ddfcp-4, 0x1.9970b85b9ff89p-4, 0x1.94a2f6860e498p-4, 0x1.8fdaa7f9c7f71p-4, 0x1.8b17fadf5fe4ep-4, 0x1.865b1bfff8968p-4, 0x1.81a436c88b557p-4, 0x1.7cf3754d3f86p-4, 0x1.7849004cd962p-4, 0x1.73a4ff343da32p-4, 0x1.6f079822033fbp-4, 0x1.6a70efea17a06p-4, 0x1.65e12a1973b98p-4, 0x1.615868f9e6138p-4, 0x1.5cd6cd95dfd11p-4, 0x1.585c77bc5a292p-4, 0x1.53e98604c2ea8p-4, 0x1.4f7e15d2f5a9dp-4, 0x1.4b1a435b451f5p-4, 0x1.46be29a685ec5p-4, 0x1.4269e2962b259p-4, 0x1.3e1d86e867f7dp-4, 0x1.39d92e3c57ce6p-4, 0x1.359cef1631084p-4, 0x1.3168dee37d4dfp-4, 0x1.2d3d11ff53d71p-4, 0x1.29199bb6a0005p-4, 0x1.24fe8e4c64b69p-4, 0x1.20ebfafe09e99p-4, 0x1.1ce1f207a5983p-4, 0x1.18e082a8512dap-4, 0x1.14e7bb2676123p-4, 0x1.10f7a8d4249e3p-4, 0x1.0d105813629ap-4, 0x1.0931d45a828acp-4, 0x1.055c2838739b2p-4, 0x1.018f5d591508fp-4, 0x1.fb96f91305c6dp-5, 0x1.f4211b78ccf62p-5, 0x1.ecbd301c7e288p-5, 0x1.e56b439352084p-5, 0x1.de2b60d748334p-5, 0x1.d6fd914f9d2e1p-5, 0x1.cfe1dcd94db5ep-5, 0x1.c8d849cf71f66p-5, 0x1.c1e0dd13af43dp-5, 0x1.bafb9a1681052p-5, 0x1.b42882df89b58p-5, 0x1.ad679815cbf95p-5, 0x1.a6b8d907d653bp-5, 0x1.a01c43b3e9fp-5, 0x1.9991d4d000b1bp-5, 0x1.931987d1d3f91p-5, 0x1.8cb356f6d4fabp-5, 0x1.865f3b4bf975cp-5, 0x1.801d2cb59623ap-5, 0x1.79ed21f71bf36p-5, 0x1.73cf10bab59a3p-5, 0x1.6dc2ed98eb7a3p-5, 0x1.67c8ac201f6cp-5, 0x1.61e03edbf74b6p-5, 0x1.5c09975cc1e28p-5, 0x1.5644a63eb35f1p-5, 0x1.50915b311abdep-5, 0x1.4aefa4fd7f496p-5, 0x1.455f718e9ec83p-5, 0x1.3fe0adf766645p-5, 0x1.3a734679c754bp-5, 0x1.3517268d78e17p-5, 0x1.2fcc38e6a92a3p-5, 0x1.2a92677c8faa7p-5, 0x1.25699b8fec09bp-5, 0x1.2051bdb16ca4dp-5, 0x1.1b4ab5c802cb8p-5, 0x1.16546b1712c05p-5, 0x1.116ec4449dbdep-5, 0x1.0c99a75f41c2bp-5, 0x1.07d4f9e42e758p-5, 0x1.0320a0c500b3ep-5, 0x1.fcf900dafe56p-6, 0x1.f3d0f9927b354p-6, 0x1.eac8f29283b6p-6, 0x1.e1e0b1d2bdfecp-6, 0x1.d917fc6b6046p-6, 0x1.d06e969fa43dbp-6, 0x1.c7e443e8277edp-6, 0x1.bf78c6fd2f1aep-6, 0x1.b72be1e08d96ap-6, 0x1.aefd55e78f39cp-6, 0x1.a6ece3c483da7p-6, 0x1.9efa4b90338cbp-6, 0x1.97254cd33022ap-6, 0x1.8f6da68ee102p-6, 0x1.87d317464b6c8p-6, 0x1.80555d06f6ed8p-6, 0x1.78f435714d7cbp-6, 0x1.71af5dc107976p-6, 0x1.6a8692d5476cdp-6, 0x1.63799138b2a2fp-6, 0x1.5c88152916967p-6, 0x1.55b1da9f334edp-6, 0x1.4ef69d5619607p-6, 0x1.485618d27b23ep-6, 0x1.41d00869cd5f1p-6, 0x1.3b64274934907p-6, 0x1.3512307c583p-6, 0x1.2ed9def3e66dp-6, 0x1.28baed8c2b9fp-6, 0x1.22b51713364f9p-6, 0x1.1cc8164f1d0aep-6, 0x1.16f3a603c7a2dp-6, 0x1.113780f8e1424p-6, 0x1.0b9361ff84d67p-6, 0x1.060703f792ea7p-6, 0x1.009221d52eeaap-6, 0x1.f668ed4bce857p-7, 0x1.ebdb7b2b73317p-7, 0x1.e17b63e7fccdp-7, 0x1.d7481e705d27ep-7, 0x1.cd41220cdeb9bp-7, 0x1.c365e66852f32p-7, 0x1.b9b5e3987314cp-7, 0x1.b030922673b05p-7, 0x1.a6d56b1730048p-7, 0x1.9da3e7f2b6506p-7, 0x1.949b82cc50004p-7, 0x1.8bbbb6498144p-7, 0x1.8303fda940f18p-7, 0x1.7a73d4cada8cdp-7, 0x1.720ab83457485p-7, 0x1.69c825190b9b9p-7, 0x1.61ab995f9aeedp-7, 0x1.59b493a7ce3c7p-7, 0x1.51e293505c9fep-7, 0x1.4a35187c41e5bp-7, 0x1.42aba417e8a18p-7, 0x1.3b45b7de2e454p-7, 0x1.3402d65d4b7dep-7, 0x1.2ce282fb4484p-7, 0x1.25e441fa37c9bp-7, 0x1.1f07987cb5a98p-7, 0x1.184c0c897bde9p-7, 0x1.11b1250f998cep-7, 0x1.0b3669e9776c9p-7, 0x1.04db63e0ef942p-7, 0x1.fd3f3963bc95ap-8, 0x1.f1053e1b157e5p-8, 0x1.e507ed3b0601ap-8, 0x1.d946600c568d6p-8, 0x1.cdbfb1d2a6845p-8, 0x1.c272ffd149c4fp-8, 0x1.b75f694f8da17p-8, 0x1.ac840f9cf51d3p-8, 0x1.a1e01614fcfa6p-8, 0x1.9772a2227ef2fp-8, 0x1.8d3adb4352073p-8, 0x1.8337eb0a93f4fp-8, 0x1.7968fd2402df6p-8, 0x1.6fcd3f55f29dbp-8, 0x1.6663e183cb657p-8, 0x1.5d2c15af5ea88p-8, 0x1.54250ffb57f4fp-8, 0x1.4b4e06abd92dp-8, 0x1.42a6322825ce6p-8, 0x1.3a2cccfb5f40dp-8, 0x1.31e113d55fd3p-8, 0x1.29c2458b0a62dp-8, 0x1.21cfa316b0d24p-8, 0x1.1a086f982b642p-8, 0x1.126bf0549cc83p-8, 0x1.0af96cb6769b7p-8, 0x1.03b02e4c723adp-8, 0x1.f91f019310a27p-9, 0x1.eb2d6406e652dp-9, 0x1.dd8a23e475fcdp-9, 0x1.d033e55d1c297p-9, 0x1.c32950e194dfep-9, 0x1.b669131e822fap-9, 0x1.a9f1dcf9502d5p-9, 0x1.9dc2638c7eb0bp-9, 0x1.91d96024235d5p-9, 0x1.8635903933cc1p-9, 0x1.7ad5b56dbcb4bp-9, 0x1.6fb89587c2d1ep-9, 0x1.64dcfa6cc0d4bp-9, 0x1.5a41b21c44baep-9, 0x1.4fe58eaadfe55p-9, 0x1.45c7663c236d6p-9, 0x1.3be612fdd5799p-9, 0x1.32407320a70ffp-9, 0x1.28d568d3714cap-9, 0x1.1fa3da3bb7f96p-9, 0x1.16aab16ff813ap-9, 0x1.0de8dc70dfa8ep-9, 0x1.055d4d221eaedp-9, 0x1.fa0df287826d6p-10, 0x1.e9c9b4d637b5dp-10, 0x1.d9ebdbf6cbf6dp-10, 0x1.ca726a3ce04p-10, 0x1.bb5b697a5621cp-10, 0x1.aca4eaf0126f4p-10, 0x1.9e4d073e574a6p-10, 0x1.9051de55d916ap-10, 0x1.82b19766d5633p-10, 0x1.756a60d1c709cp-10, 0x1.687a701759c5bp-10, 0x1.5be001c79562ap-10, 0x1.4f99597185e44p-10, 0x1.43a4c1932dfd7p-10, 0x1.38008b876a9bap-10, 0x1.2cab0f76d40eap-10, 0x1.21a2ac453c3f8p-10, 0x1.16e5c78170bd6p-10, 0x1.0c72cd5408791p-10, 0x1.0248306e458a8p-10, 0x1.f0c8d3ef7a202p-11, 0x1.dd8bf2fcc6dc1p-11, 0x1.cad6c9c8eabc9p-11, 0x1.b8a6709d4b223p-11, 0x1.a6f80c270f9e3p-11, 0x1.95c8cd525384p-11, 0x1.8515f128a7f56p-11, 0x1.74dcc0ac0292ep-11, 0x1.651a90b628d1ap-11, 0x1.55ccc1d299031p-11, 0x1.46f0c01e1b0b9p-11, 0x1.38840322885fcp-11, 0x1.2a840db2dcf6fp-11, 0x1.1cee6dcabfe6ap-11, 0x1.0fc0bc68ea843p-11, 0x1.02f89d6db0f89p-11, 0x1.ed277ef012a47p-12, 0x1.d51fb78621d43p-12, 0x1.bdd56c063c88ap-12, 0x1.a7443887a2ca1p-12, 0x1.9167cd8b4c8a1p-12, 0x1.7c3befb5f345cp-12, 0x1.67bc778f0fdf5p-12, 0x1.53e5513a6d5aep-12, 0x1.40b27c35f8fa7p-12, 0x1.2e200b164a7c3p-12, 0x1.1c2a234646558p-12, 0x1.0accfcc0ad495p-12, 0x1.f409c3a095651p-13, 0x1.d39c5d9f17e01p-13, 0x1.b44aa3ca1961ep-13, 0x1.960d95895976ep-13, 0x1.78de54dc94707p-13, 0x1.5cb625dc02343p-13, 0x1.418e6e3afe166p-13, 0x1.2760b4c8d152bp-13, 0x1.0e26a0f26a682p-13, 0x1.ebb3f4958edc5p-14, 0x1.bce950114e08ap-14, 0x1.8fe1612d6d436p-14, 0x1.6490722418c21p-14, 0x1.3aeb09a9d0a01p-14, 0x1.12e5e9fef6e6cp-14, 0x1.d8ec200c3e59dp-15, 0x1.8f2164b5e8e7cp-15, 0x1.485680d07645fp-15, 0x1.0476c30745477p-15, 0x1.86dbd018ac883p-16, 0x1.0a5031ca9e2efp-16, 0x1.2647a4a1b38c7p-17, 0x1.098553e909defp-19, -0x1.2eb9fa9521e33p-18, -0x1.673c2e1688e08p-17, -0x1.16c1c53c92ca9p-16, -0x1.753c6b7b7ce3cp-16, -0x1.cf302b05196fep-16, -0x1.125f33b5d48fcp-15, -0x1.3b03e4d99cbbep-15, -0x1.619621b812b3fp-15, -0x1.8625890a3d559p-15, -0x1.a8c160ea6b353p-15, -0x1.c9789869995e5p-15, -0x1.e859c90b825f3p-15, -0x1.02b99c277fa56p-14, -0x1.10696c8a93bdap-14, -0x1.1d43269491d05p-14, -0x1.294d7350a332ep-14, -0x1.348ed4aa77a1fp-14, -0x1.3f0da61ed9532p-14, -0x1.48d01d6d42a23p-14, -0x1.51dc4b4a65ad8p-14, -0x1.5a381c060eeffp-14, -0x1.61e9583b5e5a1p-14, -0x1.68f5a576bfe6dp-14, -0x1.6f6286db2ec82p-14, -0x1.75355dc7fb009p-14, -0x1.7a736a7890852p-14, -0x1.7f21cca675a5ap-14, -0x1.8345841ff71e4p-14, -0x1.86e3716bd2292p-14, -0x1.8a00565b56182p-14, -0x1.8ca0d6a4c81a1p-14, -0x1.8ec97875dda43p-14, -0x1.907ea50568696p-14, -0x1.91c4a9270d754p-14, -0x1.929fb5d738bf9p-14, -0x1.9313e0c5478b1p-14, -0x1.932524e1687c9p-14, -0x1.92d762e12fa1fp-14, -0x1.922e61c7b0a27p-14, -0x1.912dcf6803abdp-14, -0x1.8fd940e83f1bp-14, -0x1.8e34333fec70ep-14, -0x1.8c420bb945346p-14, -0x1.8a06186789f0fp-14, -0x1.878390a70f8e1p-14, -0x1.84bd959055ad9p-14, -0x1.81b732721616p-14, -0x1.7e735d425dfa9p-14, -0x1.7af4f71488ec5p-14, -0x1.773ecc8648e64p-14, -0x1.73539631227c1p-14, -0x1.6f35f9150d596p-14, -0x1.6ae887068c24ap-14, -0x1.666dbf150d1abp-14, -0x1.61c80df5271ep-14, -0x1.5cf9ce64c47cep-14, -0x1.5805498fa5cf4p-14, -0x1.52ecb772408dfp-14, -0x1.4db23f3b74c8ep-14, -0x1.4857f7a8e1205p-14, -0x1.42dfe7684e9ecp-14, -0x1.3d4c056fafe92p-14, -0x1.379e395b44014p-14, -0x1.31d85bc2bcf51p-14, -0x1.2bfc3692a5b88p-14, -0x1.260b856121f7dp-14, -0x1.2007f5c285055p-14, -0x1.19f3279bcbfc1p-14, -0x1.13cead72e5d6p-14, -0x1.0d9c0cc009e7ep-14, -0x1.075cbe3a4eee3p-14, -0x1.01122e235fd7ap-14, -0x1.f57b793088998p-15, -0x1.e8c17ba71e18cp-15, -0x1.dbf8f4f67b1c3p-15, -0x1.cf245fcd848f3p-15, -0x1.c24620ca7e16ap-15, -0x1.b56086ffe6b14p-15, -0x1.a875cc7de1caep-15, -0x1.9b8816daa196fp-15, -0x1.8e9977adce319p-15, -0x1.81abed0c52b74p-15, -0x1.74c1620f64045p-15, -0x1.67dbaf46c6a6p-15, -0x1.5afc9b3154799p-15, -0x1.4e25dab566e93p-15, -0x1.4159119117217p-15, -0x1.3497d2cad62f7p-15, -0x1.27e3a121fc1d8p-15, -0x1.1b3def7817f01p-15, -0x1.0ea8213ec7673p-15, -0x1.02238adc5d596p-15, -0x1.eb62e42509902p-16, -0x1.d2a61cc490af2p-16, -0x1.ba1312e10766bp-16, -0x1.a1abfebc39da7p-16, -0x1.8972fe5bb3b19p-16, -0x1.716a16350355dp-16, -0x1.599331ea1b37ep-16, -0x1.41f024f186b4bp-16, -0x1.2a82ab45633f8p-16, -0x1.134c6a0c0e55ap-16, -0x1.f89de07ccf827p-17, -0x1.cb176e8edbb67p-17, -0x1.9e08473b58477p-17, -0x1.71730ad396ad4p-17, -0x1.455a32239b016p-17, -0x1.19c00fa0417fap-17, -0x1.dd4da11e9967dp-18, -0x1.8820fc2d898eap-18, -0x1.33fdfcbc83681p-18, -0x1.c1d0563ceccffp-19, -0x1.1dc59bb569eb1p-19, -0x1.ef875c242ade3p-21, 0x1.1eab31e0fc2c9p-22, 0x1.82b6050b63ca1p-20, 0x1.5caa5866cd3eep-19, 0x1.f5bf32dd2a44dp-19, 0x1.464ae4ea58006p-18, 0x1.90955f4210af6p-18, 0x1.d9bd8c15375edp-18, 0x1.10e11023ca26ep-17, 0x1.3451003115871p-17, 0x1.572e1f82f6c12p-17, 0x1.79780dabb80bp-17, 0x1.9b2e7fb651174p-17, 0x1.bc513f7202862p-17, 0x1.dce02ab575f45p-17, 0x1.fcdb32abbc3b4p-17, 0x1.0e212d8d2ed1bp-16, 0x1.1d8adce23ca7bp-16, 0x1.2caabadd2600ep-16, 0x1.3b80e3585c19cp-16, 0x1.4a0d7a383af1ap-16, 0x1.5850ab152097fp-16, 0x1.664aa8f488bfp-16, 0x1.73fbadffb286fp-16, 0x1.8163fb3859681p-16, 0x1.8e83d833dbe98p-16, 0x1.9b5b92d8566bep-16, 0x1.a7eb7f17a3afp-16, 0x1.b433f6b362113p-16, 0x1.c03558f6039acp-16, 0x1.cbf00a7c1ea4bp-16, 0x1.d76474f5dab8cp-16, 0x1.e29306ed4a741p-16, 0x1.ed7c338e250d8p-16, 0x1.f820726cc98ddp-16, 0x1.01401faa180b5p-15, 0x1.064e0d070c6ecp-15, 0x1.0b3a4319ae15dp-15, 0x1.1005057b467c7p-15, 0x1.14ae997d60c2ep-15, 0x1.1937460f7ad17p-15, 0x1.1d9f53a96584ap-15, 0x1.21e70c35a2b17p-15, 0x1.260ebafbb2f18p-15, 0x1.2a16ac8c119fep-15, 0x1.2dff2eaaa53bdp-15, 0x1.31c8903d823e7p-15, 0x1.35732136ec297p-15, 0x1.38ff3285cb971p-15, 0x1.3c6d16024b424p-15, 0x1.3fbd1e5d56356p-15, 0x1.42ef9f0ef3f11p-15, 0x1.4604ec46d80ffp-15, 0x1.48fd5adcb78cfp-15, 0x1.4bd9404090b53p-15, 0x1.4e98f26b99e95p-15, 0x1.513cc7d2a0967p-15, 0x1.53c517586ab45p-15, 0x1.5632383f8c1cdp-15, 0x1.5884821df5f5ep-15, 0x1.5abc4cd07c61ap-15, 0x1.5cd9f06e1d7d3p-15, 0x1.5eddc53d2d52ep-15, 0x1.60c823a77c961p-15, 0x1.6299642f4302bp-15, 0x1.6451df658298dp-15, 0x1.65f1eddf017a1p-15, 0x1.6779e82ac6b99p-15, 0x1.68ea26c874963p-15, 0x1.6a43021fde50fp-15, 0x1.6b84d276f53bfp-15, 0x1.6cafefead8de7p-15, 0x1.6dc4b2666cfdbp-15, 0x1.6ec3719b78862p-15, 0x1.6fac84fad481bp-15, 0x1.708043acc8cf1p-15, 0x1.713f048ac2b9fp-15, }}, 
      {{-0x1.c8c7edc2272cfp-8, -0x1.c51848fd354edp-7, -0x1.4fb6686cd2affp-6, -0x1.b8f75fffc8be3p-6, -0x1.0f0d4725967edp-5, -0x1.3fa2fb687ac28p-5, -0x1.6e68d7bfc5cd7p-5, -0x1.9b9447d89061p-5, -0x1.c759914800db3p-5, -0x1.f1e5aacfdaf2dp-5, -0x1.0dada52a37a08p-4, -0x1.21e90b267c393p-4, -0x1.35ab935a45487p-4, -0x1.48f721a96aae7p-4, -0x1.5bc9c0a8fc546p-4, -0x1.6e1e82d4ab939p-4, -0x1.7fee63f576afbp-4, -0x1.91311ef59af35p-4, -0x1.a1ddf032b7143p-4, -0x1.b1ec3ee520634p-4, -0x1.c1542a29a1dcdp-4, -0x1.d00ef7f566de3p-4, -0x1.de1765d12ea89p-4, -0x1.eb69dc9f43db2p-4, -0x1.f80489d8b28eap-4, -0x1.01f3b0c56429p-3, -0x1.078a0675344p-3, -0x1.0cc6e4c8a0ap-3, -0x1.11ac9eb971963p-3, -0x1.163e21ad83714p-3, -0x1.1a7ed9b07eae4p-3, -0x1.1e72951ef3f6dp-3, -0x1.221d68f45e65bp-3, -0x1.258396a79a916p-3, -0x1.28a9743f0333fp-3, -0x1.2b93570994eb5p-3, -0x1.2e4581370586bp-3, -0x1.30c4125e3c52bp-3, -0x1.3312fae07967ap-3, -0x1.3535f1fef4375p-3, -0x1.37306e6809552p-3, -0x1.3905a0f70a815p-3, -0x1.3ab8715d6d0fap-3, -0x1.3c4b7c6be09c2p-3, -0x1.3dc113b5157c2p-3, -0x1.3f1b3e49505fbp-3, -0x1.405bba50bd431p-3, -0x1.4183ff51fccaap-3, -0x1.429540f9f6481p-3, -0x1.4390724172aeep-3, -0x1.447648d3ca758p-3, -0x1.454740a013584p-3, -0x1.46039f837cc58p-3, -0x1.46ab78ffe7b1ep-3, -0x1.473eb1f56f5f3p-3, -0x1.47bd0458416f1p-3, -0x1.482602de5af72p-3, -0x1.48791ca220209p-3, -0x1.48b5a0b7d3ac5p-3, -0x1.48dac1b47b2a2p-3, -0x1.48e799250692bp-3, -0x1.48db2af4a5512p-3, -0x1.48b468c0fc3d2p-3, -0x1.4872351ae5795p-3, -0x1.481366b205ed6p-3, -0x1.4796cb694ca7ep-3, -0x1.46fb2b52528b9p-3, -0x1.463f4b8d4eb5p-3, -0x1.4561f10b4b379p-3, -0x1.4461e3303981ep-3, -0x1.433dee529d785p-3, -0x1.41f4e61699afep-3, -0x1.4085a7a258737p-3, -0x1.3eef1baa16424p-3, -0x1.3d30385240307p-3, -0x1.3b4802e67f808p-3, -0x1.39359164e0396p-3, -0x1.36f80bdc87c09p-3, -0x1.348ead9fe73cp-3, -0x1.31f8c64a8cebcp-3, -0x1.2f35ba9b40e1bp-3, -0x1.2c450523305e6p-3, -0x1.292636cb671e9p-3, -0x1.25d8f7320f129p-3, -0x1.225d04e1176f4p-3, -0x1.1eb23560476cap-3, -0x1.1ad87524bd828p-3, -0x1.16cfc76028793p-3, -0x1.129845b21152ep-3, -0x1.0e321fbda5b0fp-3, -0x1.099d9aa687773p-3, -0x1.04db10771afe1p-3, -0x1.ffd5dee5c6466p-4, -0x1.f59b72aec750bp-4, -0x1.eb08051bf1495p-4, -0x1.e01ce2a20e7a1p-4, -0x1.d4db798d9153ap-4, -0x1.c9455827cdc6ap-4, -0x1.bd5c2ad00545dp-4, -0x1.b121ba0c04395p-4, -0x1.a497e89440ea2p-4, -0x1.97c0b15e88fe3p-4, -0x1.8a9e25aab349p-4, -0x1.7d326b13e29c8p-4, -0x1.6f7fb9a91f724p-4, -0x1.61885a0f77aebp-4, -0x1.534ea3afb799dp-4, -0x1.44d4faf178c85p-4, -0x1.361dcf851025p-4, -0x1.272b9abd9d90ep-4, -0x1.1800ddfc4f308p-4, -0x1.08a0212da4d21p-4, -0x1.f217e2b2af1e2p-5, -0x1.d28dbe8ab38a7p-5, -0x1.b2a6fc5865346p-5, -0x1.9268c50d92313p-5, -0x1.71d841d346f1dp-5, -0x1.50fa99eac003p-5, -0x1.2fd4f0b460808p-5, -0x1.0e6c63dbc2e8p-5, -0x1.d98c13502a1ebp-6, -0x1.95cddedefa9b1p-6, -0x1.51a83058f5f45p-6, -0x1.0d24f66770641p-6, -0x1.909c0c241107fp-7, -0x1.065a314791f5ap-7, -0x1.ee5e4e429d6adp-9, 0x1.f31a8872fe014p-12, 0x1.36489e15a6f05p-8, 0x1.26f869c833476p-7, 0x1.b302f7f103063p-7, 0x1.1f990ab05c00dp-6, 0x1.65ba14015d6cap-6, 0x1.abdbf09c1f413p-6, 0x1.f1f61f7fc8672p-6, 0x1.1c002338b4023p-5, 0x1.3ef9192ce21d4p-5, 0x1.61e1ebc60191ep-5, 0x1.84b6a8fbe43a1p-5, 0x1.a77372a493836p-5, 0x1.ca147e7c25973p-5, 0x1.ec961625b188bp-5, 0x1.077a4b930859p-4, 0x1.1896396cc65bp-4, 0x1.299d17328be2dp-4, 0x1.3a8d31520070dp-4, 0x1.4b64de094e097p-4, 0x1.5c227d5b503b1p-4, 0x1.6cc47902def89p-4, 0x1.7d49446573e87p-4, 0x1.8daf5c855f1dbp-4, 0x1.9df547f3c2764p-4, 0x1.ae1996c271e22p-4, 0x1.be1ae275e650bp-4, 0x1.cdf7cdf762c09p-4, 0x1.ddaf05874e9dfp-4, 0x1.ed3f3eaff5fcap-4, 0x1.fca73838a8d16p-4, 0x1.05f2dd0ca5613p-3, 0x1.0d7ccab729c76p-3, 0x1.14f0d236a62edp-3, 0x1.1c4e652ce175bp-3, 0x1.2394f9bd55c5bp-3, 0x1.2ac40a88165bbp-3, 0x1.31db16a4ed9b4p-3, 0x1.38d9a19ea0131p-3, 0x1.3fbf336e5c5e3p-3, 0x1.468b587743a5fp-3, 0x1.4d3da1821390dp-3, 0x1.53d5a3b8d81c2p-3, 0x1.5a52f8a2ac691p-3, 0x1.60b53e1f7c6c2p-3, 0x1.66fc1663b7a72p-3, 0x1.6d2727f3fcdacp-3, 0x1.73361da0a9921p-3, 0x1.7928a681459d6p-3, 0x1.7efe75efc99bfp-3, 0x1.84b74383b98a6p-3, 0x1.8a52cb0cfd58ep-3, 0x1.8fd0cc8e7f73p-3, 0x1.95310c388a30fp-3, 0x1.9a735262d0d6cp-3, 0x1.9f976b862c0d6p-3, 0x1.a49d2835fd846p-3, 0x1.a9845d1934941p-3, 0x1.ae4ce2e2f927cp-3, 0x1.b2f6964ae7d28p-3, 0x1.b7815804eb60bp-3, 0x1.bbed0cb8acdb3p-3, 0x1.c0399cf88e8e1p-3, 0x1.c466f53841e75p-3, 0x1.c87505c2dce9ap-3, 0x1.cc63c2b08edcdp-3, 0x1.d03323dbd10e1p-3, 0x1.d3e324d63267ap-3, 0x1.d773c4dca5404p-3, 0x1.dae506cb6640bp-3, 0x1.de36f11169e5cp-3, 0x1.e1698da35b2e8p-3, 0x1.e47ce9ee35221p-3, 0x1.e77116c965965p-3, 0x1.ea46286891d8dp-3, 0x1.ecfc364cf0e81p-3, 0x1.ef935b3645ccfp-3, 0x1.f20bb51373099p-3, 0x1.f46564f2c4258p-3, 0x1.f6a08ef1c945ep-3, 0x1.f8bd5a2cf4526p-3, 0x1.fabbf0aed8dc9p-3, 0x1.fc9c7f5f2bd17p-3, 0x1.fe5f35f1723e7p-3, 0x1.00022369bda7bp-2, 0x1.00c5f38dc9868p-2, 0x1.017b273b425d6p-2, 0x1.0221db8ab2743p-2, 0x1.02ba2ecd9916bp-2, 0x1.034440852645dp-2, 0x1.03c03158e30f3p-2, 0x1.042e230d4cb39p-2, 0x1.048e387a60677p-2, 0x1.04e09582200b8p-2, 0x1.05255f070a93ap-2, 0x1.055cbae2931c5p-2, 0x1.0586cfdb92b99p-2, 0x1.05a3c59cba451p-2, 0x1.05b3c4ab05eefp-2, 0x1.05b6f65c3301fp-2, 0x1.05ad84cd3f53ap-2, 0x1.05979ad8ed8c2p-2, 0x1.0575640e562e4p-2, 0x1.05470ca7824cfp-2, 0x1.050cc1801929dp-2, 0x1.04c6b00c1b766p-2, 0x1.0475064eafbbcp-2, 0x1.0417f2d107643p-2, 0x1.03afa4995479fp-2, 0x1.033c4b21db1c8p-2, 0x1.02be16501962dp-2, 0x1.0235366c0c455p-2, 0x1.01a1dc178e099p-2, 0x1.01043845d458cp-2, 0x1.005c7c330e713p-2, 0x1.ff55b2b83c571p-3, 0x1.fddf02ecf2ed6p-3, 0x1.fc554cd04ff24p-3, 0x1.fab8f47fceccbp-3, 0x1.f90a5e5ae6e81p-3, 0x1.f749eef3e743fp-3, 0x1.f5780b011a249p-3, 0x1.f395174e3c53dp-3, 0x1.f1a178ae3d637p-3, 0x1.ef9d93ed5704cp-3, 0x1.ed89cdc36abe7p-3, 0x1.eb668ac6c2267p-3, 0x1.e9342f5f0f523p-3, 0x1.e6f31fb8d18d3p-3, 0x1.e4a3bfb904d41p-3, 0x1.e24672f12782fp-3, 0x1.dfdb9c939b7fp-3, 0x1.dd639f6853e65p-3, 0x1.dadeddc1df1bap-3, 0x1.d84db972c624dp-3, 0x1.d5b093c3407a6p-3, 0x1.d307cd673b675p-3, 0x1.d053c674bb20ep-3, 0x1.cd94de5a90502p-3, 0x1.cacb73d75e87dp-3, 0x1.c7f7e4f100d85p-3, 0x1.c51a8eec35a3cp-3, 0x1.c233ce44a970bp-3, 0x1.bf43fea54ba0dp-3, 0x1.bc4b7ae0fea19p-3, 0x1.b94a9ceb8e7cp-3, 0x1.b641bdd3011c1p-3, 0x1.b33135b9323e1p-3, 0x1.b0195bcdbbe2cp-3, 0x1.acfa86483252cp-3, 0x1.a9d50a62a844p-3, 0x1.a6a93c547f84ap-3, 0x1.a3776f4d854cp-3, 0x1.a03ff57156acap-3, 0x1.9d031fd30ee87p-3, 0x1.99c13e71389f9p-3, 0x1.967aa0320b858p-3, 0x1.932f92dfe5e62p-3, 0x1.8fe0632612b1ep-3, 0x1.8c8d5c8dca78ep-3, 0x1.8936c97b757d5p-3, 0x1.85dcf32c31806p-3, 0x1.828021b393602p-3, 0x1.7f209bf99f3dep-3, 0x1.7bbea7b908c5cp-3, 0x1.785a897d9ccd4p-3, 0x1.74f484a2f150dp-3, 0x1.718cdb5347944p-3, 0x1.6e23ce869c006p-3, 0x1.6ab99e01f9bc1p-3, 0x1.674e8856f173fp-3, 0x1.63e2cae34cd3ep-3, 0x1.6076a1d0ea766p-3, 0x1.5d0a4815ccd8fp-3, 0x1.599df7745469cp-3, 0x1.5631e87ba671dp-3, 0x1.52c652883e378p-3, 0x1.4f5b6bc4a3f44p-3, 0x1.4bf1692a52685p-3, 0x1.48887e82ba56ep-3, 0x1.4520de6873bfbp-3, 0x1.41baba488a5cfp-3, 0x1.3e564263f53b1p-3, 0x1.3af3a5d1244e5p-3, 0x1.3793127dbae4p-3, 0x1.3434b5305f30ap-3, 0x1.30d8b98aac2b8p-3, 0x1.2d7f4a0b3b2acp-3, 0x1.2a28900fcd293p-3, 0x1.26d4b3d78caddp-3, 0x1.2383dc85630d1p-3, 0x1.2036302270d8ep-3, 0x1.1cebd3a08f1d5p-3, 0x1.19a4eadcee84ap-3, 0x1.166198a2c8f47p-3, 0x1.1321feae2765fp-3, 0x1.0fe63daeb32dap-3, 0x1.0cae754aa3687p-3, 0x1.097ac421b253dp-3, 0x1.064b47d020b89p-3, 0x1.03201cf1d1f6dp-3, 0x1.fff2be4ad0234p-4, 0x1.f9ae521ee9af1p-4, 0x1.f37328bb65ea4p-4, 0x1.ed41739498736p-4, 0x1.e719623e48833p-4, 0x1.e0fb227265ebdp-4, 0x1.dae6e017c8a68p-4, 0x1.d4dcc548f5a7fp-4, 0x1.cedcfa5affdacp-4, 0x1.c8e7a5e46e60ap-4, 0x1.c2fcecc42658fp-4, 0x1.bd1cf2286b851p-4, 0x1.b747d795d9e3ep-4, 0x1.b17dbcee72a74p-4, 0x1.abbec078a05d6p-4, 0x1.a60afee645a89p-4, 0x1.a062935bd8476p-4, 0x1.9ac5977767008p-4, 0x1.95342357b39cep-4, 0x1.8fae4da33d664p-4, 0x1.8a342b8f58d7fp-4, 0x1.84c5d0e735037p-4, 0x1.7f635012e74acp-4, 0x1.7a0cba1e6d6d1p-4, 0x1.74c21ec0a93efp-4, 0x1.6f838c625883p-4, 0x1.6a51102504d89p-4, 0x1.652ab5e9e975cp-4, 0x1.60108858ce53ep-4, 0x1.5b0290e6ddba1p-4, 0x1.5600d7dd6c96cp-4, 0x1.510b6460b81dep-4, 0x1.4c223c7695adep-4, 0x1.4745650d1a9dap-4, 0x1.4274e2013055bp-4, 0x1.3db0b6252160cp-4, 0x1.38f8e347145dp-4, 0x1.344d6a3778538p-4, 0x1.2fae4acf63ddfp-4, 0x1.2b1b83f6e287ep-4, 0x1.269513ab31a68p-4, 0x1.221af704f193bp-4, 0x1.1dad2a3e3e75cp-4, 0x1.194ba8b8bed28p-4, 0x1.14f66d0399db8p-4, 0x1.10ad70e1651bdp-4, 0x1.0c70ad4df35c1p-4, 0x1.08401a841e3fap-4, 0x1.041bb00373e92p-4, 0x1.00036495d4f6ap-4, 0x1.f7ee5caa01728p-5, 0x1.efee05601955p-5, 0x1.e805ace18e98ep-5, 0x1.e0353b8212e45p-5, 0x1.d87c985fe6408p-5, 0x1.d0dba96e2b347p-5, 0x1.c952537f0d22cp-5, 0x1.c1e07a4dc53a6p-5, 0x1.ba860088709bfp-5, 0x1.b342c7d9c7e2cp-5, 0x1.ac16b0f2a240fp-5, 0x1.a5019b935d2a2p-5, 0x1.9e0366950c66ep-5, 0x1.971beff29186cp-5, 0x1.904b14d17d7d7p-5, 0x1.8990b18ad5c06p-5, 0x1.82eca1b3a5ab8p-5, 0x1.7c5ec02570957p-5, 0x1.75e6e70678433p-5, 0x1.6f84efd1d922ep-5, 0x1.6938b35f85cddp-5, 0x1.630209ec0e784p-5, 0x1.5ce0cb2054525p-5, 0x1.56d4ce18fdeeep-5, 0x1.50dde96dd7f5dp-5, 0x1.4afbf33909817p-5, 0x1.452ec11e1b72cp-5, 0x1.3f762850e075p-5, 0x1.39d1fd9c34315p-5, 0x1.344215689ad78p-5, 0x1.2ec643c2b1275p-5, 0x1.295e5c617ccf2p-5, 0x1.240a32ac9b03ep-5, 0x1.1ec999c244861p-5, 0x1.199c647d33becp-5, 0x1.1482657a61b24p-5, 0x1.0f7b6f1ea347fp-5, 0x1.0a87539c2471bp-5, 0x1.05a5e4f7badcap-5, 0x1.00d6f50e1e985p-5, 0x1.f834ab31f7619p-6, 0x1.eedfb067c2991p-6, 0x1.e5ae9cc22fa02p-6, 0x1.dca1131c9774dp-6, 0x1.d3b6b6324345bp-6, 0x1.caef28a7459d5p-6, 0x1.c24a0d1129553p-6, 0x1.b9c705ff4459cp-6, 0x1.b165b602f3357p-6, 0x1.a925bfb774347p-6, 0x1.a106c5c9a6623p-6, 0x1.99086aff74ca3p-6, 0x1.912a523f1ff1ap-6, 0x1.896c1e9637ccfp-6, 0x1.81cd7340711d5p-6, 0x1.7a4df3ae3d96ep-6, 0x1.72ed438b2293ep-6, 0x1.6bab06c3f6742p-6, 0x1.6486e18cc6b9fp-6, 0x1.5d807866b44cap-6, 0x1.569770256a677p-6, 0x1.4fcb6df49f613p-6, 0x1.491c175d2c9b8p-6, 0x1.4289124a20d05p-6, 0x1.3c12050d8e1d7p-6, 0x1.35b696652f4p-6, 0x1.2f766d7ee3ffap-6, 0x1.295131fcf3e52p-6, 0x1.23468bfa39056p-6, 0x1.1d56240e1ba57p-6, 0x1.177fa350520f3p-6, 0x1.11c2b35c892d2p-6, 0x1.0c1efe55eee35p-6, 0x1.06942eea6f01ap-6, 0x1.0121f055fc2b6p-6, 0x1.f78fdccb197fcp-7, 0x1.ed0baaf3f8a32p-7, 0x1.e2b6a515b9dabp-7, 0x1.d890265205702p-7, 0x1.ce978b021daf2p-7, 0x1.c4cc30bb8dfbp-7, 0x1.bb2d76548de45p-7, 0x1.b1babbe854c3bp-7, 0x1.a87362daf2e3p-7, 0x1.9f56cddd185bcp-7, 0x1.966460ef8d245p-7, 0x1.8d9b8166804d9p-7, 0x1.84fb95ec7e95fp-7, 0x1.7c8406855548dp-7, 0x1.74343c90b0275p-7, 0x1.6c0ba2cc752c2p-7, 0x1.6409a5570c9abp-7, 0x1.5c2db1b1549dep-7, 0x1.547736c07cf8cp-7, 0x1.4ce5a4cfad3d8p-7, 0x1.45786d917dd65p-7, 0x1.3e2f042126532p-7, 0x1.3708dd03d9753p-7, 0x1.30056e2969d87p-7, 0x1.29242eed5a475p-7, 0x1.226498175d60fp-7, 0x1.1bc623dbcee9ep-7, 0x1.15484ddc25178p-7, 0x1.0eea9327075c3p-7, 0x1.08ac723878347p-7, 0x1.028d6af9ac562p-7, 0x1.f919fd81ae5c6p-8, 0x1.ed5560a1e409cp-8, 0x1.e1cc07b2658b5p-8, 0x1.d67cfde8d20cp-8, 0x1.cb675150fefeap-8, 0x1.c08a12cb0900dp-8, 0x1.b5e45609c621bp-8, 0x1.ab753190925e3p-8, 0x1.a13bbeb1627cap-8, 0x1.9737198a0f0eap-8, 0x1.8d66610206c06p-8, 0x1.83c8b6c768192p-8, 0x1.7a5d3f4c1ceb4p-8, 0x1.712321c2d5666p-8, 0x1.6819881bbe7afp-8, 0x1.5f3f9f0121297p-8, 0x1.569495d3c2c4bp-8, 0x1.4e179ea77315p-8, 0x1.45c7ee3eef112p-8, 0x1.3da4bc0846312p-8, 0x1.35ad421868fdcp-8, 0x1.2de0bd274e369p-8, 0x1.263e6c8b9c1e9p-8, 0x1.1ec592361033bp-8, 0x1.177572ad36d63p-8, 0x1.104d5508bf4c4p-8, 0x1.094c82eccc645p-8, 0x1.027248852ce2dp-8, 0x1.f77be901166c3p-9, 0x1.ea5db016cf5e7p-9, 0x1.dd888d969bae1p-9, 0x1.d0fb2db2ebf9ep-9, 0x1.c4b4417ba9a84p-9, 0x1.b8b27ed3ee8cbp-9, 0x1.acf4a066dacecp-9, 0x1.a179659dd82c4p-9, 0x1.963f929538251p-9, 0x1.8b45f011ab731p-9, 0x1.808b4b756a228p-9, 0x1.760e76b4f534cp-9, 0x1.6bce484c565d6p-9, 0x1.61c99b33eb36fp-9, 0x1.57ff4ed52415bp-9, 0x1.4e6e46ff84b75p-9, 0x1.45156bdd38dcdp-9, 0x1.3bf3a9e7b5d72p-9, 0x1.3307f1dc79594p-9, 0x1.2a5138b1dadfp-9, 0x1.21ce778b70fccp-9, 0x1.197eabae9ea7dp-9, 0x1.1160d6775e6bdp-9, 0x1.0973fd4c8b046p-9, 0x1.01b72994eeb0bp-9, 0x1.f452d1561c871p-10, 0x1.e59397a573e22p-10, 0x1.d72ed059630ecp-10, 0x1.c922ad578b8a4p-10, 0x1.bb6d6812db06cp-10, 0x1.ae0d41746ff11p-10, 0x1.a10081c50511fp-10, 0x1.94457896969acp-10, 0x1.87da7cad8a393p-10, 0x1.7bbdebea59c58p-10, 0x1.6fee2b3317a87p-10, 0x1.6469a65cec809p-10, 0x1.592ed0166f33bp-10, 0x1.4e3c21d07e323p-10, 0x1.43901ba938898p-10, 0x1.392944555ae2cp-10, 0x1.2f06290aee459p-10, 0x1.25255d6abefbfp-10, 0x1.1b857b6beda42p-10, 0x1.12252345390a6p-10, 0x1.0902fb587c173p-10, 0x1.001db01d0dfc2p-10, 0x1.eee7e815d7603p-11, 0x1.de08ff0af420ep-11, 0x1.cd9c218dab84p-11, 0x1.bd9ed796768e8p-11, 0x1.ae0eb47890432p-11, 0x1.9ee956ba19d46p-11, 0x1.902c67ea63b4bp-11, 0x1.81d59c7b335d5p-11, 0x1.73e2b39795479p-11, 0x1.665176fd9b2c2p-11, 0x1.591fbad63284bp-11, 0x1.4c4b5d8f20b84p-11, 0x1.3fd247b3eb349p-11, 0x1.33b26bc80f0cep-11, 0x1.27e9c620de129p-11, 0x1.1c765cc081908p-11, 0x1.11563f303f327p-11, 0x1.0687865c4175cp-11, 0x1.f810a8dd9b77ap-12, 0x1.e3ada958cb59cp-12, 0x1.cfe2769fa6df9p-12, 0x1.bcab8ace7a3cdp-12, 0x1.aa057160d5b94p-12, 0x1.97ecc6eea7668p-12, 0x1.865e38e4a8ae7p-12, 0x1.75568543af0a2p-12, 0x1.64d27a5a9b11ep-12, 0x1.54cef6860b621p-12, 0x1.4548e7ee8b49ap-12, 0x1.363d4c465563p-12, 0x1.27a9308a5a7e2p-12, 0x1.1989b0c2a8aa1p-12, 0x1.0bdbf7c339604p-12, 0x1.fd3a7ddc3d08bp-13, 0x1.e3959bed2b0dap-13, 0x1.cac3f54841a9fp-13, 0x1.b2c0512d2c90bp-13, 0x1.9b859217c878fp-13, 0x1.850eb548726d3p-13, 0x1.6f56d252ec599p-13, 0x1.5a591aac7a8b7p-13, 0x1.4610d93a30071p-13, 0x1.327971e28d24cp-13, 0x1.1f8e61212a666p-13, 0x1.0d4b3b96c38f1p-13, 0x1.f7575b46c99a8p-14, 0x1.d556f5f168f62p-14, 0x1.b48cfc67ef812p-14, 0x1.94f150ef76abdp-14, 0x1.767c020cdd509p-14, 0x1.592549b869342p-14, 0x1.3ce58c9f117b4p-14, 0x1.21b5595ce1bb1p-14, 0x1.078d67bca6d26p-14, 0x1.dccd2ff9d6f8cp-15, 0x1.ac73e426fd1a1p-15, 0x1.7e0149f01ad99p-15, 0x1.51680bd5d9ep-15, 0x1.269b1f9185ffp-15, 0x1.fb1b8948d75d1p-16, 0x1.ac6706187fc46p-16, 0x1.610053cad6a35p-16, 0x1.18cf9c2d9739ep-16, 0x1.a77b244790b88p-17, 0x1.2366ddf54787ep-17, 0x1.4a6bbfdc38dcp-18, 0x1.65e53d2afa9e5p-20, -0x1.18bd3d7748395p-19, -0x1.676f20bddb55p-18, -0x1.1c04b21a7fe68p-17, -0x1.7f3e5b7872f5p-17, -0x1.dd8b482c29475p-17, -0x1.1b88a69501a2ap-16, -0x1.45faae9441ebfp-16, -0x1.6e2dc67de1b77p-16, -0x1.94338bf6865e3p-16, -0x1.b81d31ef651cap-16, -0x1.d9fb82d42480dp-16, -0x1.f9dee2890d21p-16, -0x1.0beba8391beb8p-15, -0x1.19fa34bb803fdp-15, -0x1.2722b4f8c80c4p-15, -0x1.336c97cf847f2p-15, -0x1.3edf1dc2f92fep-15, -0x1.498159e6fee7fp-15, -0x1.535a32cca44b8p-15, -0x1.5c70636a23ca9p-15, -0x1.64ca7bf90213ep-15, -0x1.6c6ee2dd984c6p-15, -0x1.7363d5767ddc1p-15, -0x1.79af68fd97852p-15, -0x1.7f578b59c70ep-15, -0x1.846203eeab2a6p-15, -0x1.88d4746928214p-15, -0x1.8cb459870a4a7p-15, -0x1.90070bdfae793p-15, -0x1.92d1c0a494303p-15, -0x1.95198a6305fa3p-15, -0x1.96e359bc1e816p-15, -0x1.9833fe1d89016p-15, -0x1.991026795fd19p-15, -0x1.997c61f6f1a58p-15, -0x1.997d209cf1bb8p-15, -0x1.9916b40530a2ep-15, -0x1.984d4fff425abp-15, -0x1.97250b363c5a5p-15, -0x1.95a1dfd641297p-15, -0x1.93c7ac2a1e76ep-15, -0x1.919a33359b124p-15, -0x1.8f1d1d557d1a9p-15, -0x1.8c53f8cfe2edcp-15, -0x1.89423a6c3940dp-15, -0x1.85eb3e0277cadp-15, -0x1.8252470d5739cp-15, -0x1.7e7a8131383dep-15, -0x1.7a6700ca9a684p-15, -0x1.761ac370d8c23p-15, -0x1.7198b07dcc8dbp-15, -0x1.6ce3998d70264p-15, -0x1.67fe3afd64b1dp-15, -0x1.62eb3c6c6ada4p-15, -0x1.5dad313077ae6p-15, -0x1.584698d2986cap-15, -0x1.52b9df832e559p-15, -0x1.4d095e8d6ad24p-15, -0x1.47375cc9b4055p-15, -0x1.41460f0b640c9p-15, -0x1.3b37988fda35ap-15, -0x1.350e0b652150bp-15, -0x1.2ecb68d80002ep-15, -0x1.2871a1d639eb1p-15, -0x1.220297560013bp-15, -0x1.1b801ab6f0b7ap-15, -0x1.14ebee22896e6p-15, -0x1.0e47c4ec87556p-15, -0x1.079543eeb2d83p-15, -0x1.00d601e26f55bp-15, -0x1.f4170f78d9efdp-16, -0x1.e66ea202ebb57p-16, -0x1.d8b5983b46949p-16, -0x1.caeeb56dd2be8p-16, -0x1.bd1ca40002005p-16, -0x1.af41f60f501d1p-16, -0x1.a161261279ca2p-16, -0x1.937c976d26198p-16, -0x1.8596970dafccfp-16, -0x1.77b15bfa72f7cp-16, -0x1.69cf07e7df397p-16, -0x1.5bf1a7c105c28p-16, -0x1.4e1b3436e0cfp-16, -0x1.404d92436c795p-16, -0x1.328a93b1ee21fp-16, -0x1.24d3f79d78e2p-16, -0x1.172b6af37640bp-16, -0x1.099288ecfc118p-16, -0x1.f815b7151a968p-17, -0x1.dd2bb813c7f35p-17, -0x1.c269e6b3dd765p-17, -0x1.a7d2f51bf63d2p-17, -0x1.8d697699efaecp-17, -0x1.732fe07871d0cp-17, -0x1.59288adb92583p-17, -0x1.3f55b1883cb61p-17, -0x1.25b974b87df25p-17, -0x1.0c55d9daacdb5p-17, -0x1.e65998b42779bp-18, -0x1.b4803cb3652dcp-18, -0x1.832312e012b1fp-18, -0x1.52455eb900472p-18, -0x1.21ea35701dd49p-18, -0x1.e428fe919e755p-19, -0x1.858df1d0d1b53p-19, -0x1.2808693976162p-19, -0x1.973a6ecc6abd4p-20, -0x1.c1437cc953b27p-21, -0x1.6279648b37fd8p-23, 0x1.0b6ae22484592p-21, 0x1.3564d60571a58p-20, 0x1.e2b84a825a8ep-20, 0x1.46d4cf832b2ebp-19, 0x1.9b1993f4f05edp-19, 0x1.ee27dcac0422ap-19, 0x1.1ffea8d5db687p-18, 0x1.484beb5fcd281p-18, 0x1.6ffac4d3377ccp-18, 0x1.970a60125fed7p-18, 0x1.bd7a0313fcc25p-18, 0x1.e3490dfe47b63p-18, 0x1.043b7d22f4569p-17, 0x1.1681ace7c1b9fp-17, 0x1.2876eb0ea3e1ap-17, 0x1.3a1b17bbd232dp-17, 0x1.4b6e1e1396656p-17, 0x1.5c6ff3d606242p-17, 0x1.6d2098fe3b33p-17, 0x1.7d801760a7e1ap-17, 0x1.8d8e8255ec4a3p-17, 0x1.9d4bf65a727b8p-17, 0x1.acb898bb83bf8p-17, 0x1.bbd4973e23f71p-17, 0x1.caa027cf6389ep-17, 0x1.d91b88328f23ap-17, 0x1.e746fdb27984dp-17, 0x1.f522d4d3ff7ebp-17, 0x1.0157b0863a0c5p-16, 0x1.07f67e3d1ea84p-16, 0x1.0e6e03ccaa68ep-16, 0x1.14be7481e1b82p-16, 0x1.1ae806966a6bbp-16, 0x1.20eaf30f52d01p-16, 0x1.26c7759e78ff3p-16, 0x1.2c7dcc829e1abp-16, 0x1.320e386a8bac8p-16, 0x1.3778fc563d054p-16, 0x1.3cbe5d7d20208p-16, 0x1.41dea32ff328ep-16, 0x1.46da16bf739b4p-16, 0x1.4bb1036217b39p-16, 0x1.5063b61a3f76cp-16, 0x1.54f27d9e66114p-16, 0x1.595daa408748dp-16, 0x1.5da58dd819b39p-16, 0x1.61ca7baa474afp-16, 0x1.65ccc85492691p-16, 0x1.69acc9b81ce7dp-16, 0x1.6d6ad6e4a3961p-16, 0x1.71074804269dap-16, 0x1.748276486649p-16, 0x1.77dcbbd7d9c1fp-16, 0x1.7b1673bb9c401p-16, 0x1.7e2ff9ccd5a16p-16, 0x1.8129aaa50d874p-16, 0x1.8403e38d09e94p-16, 0x1.86bf026c36917p-16, 0x1.895b65ba45d98p-16, 0x1.8bd96c6ec9deep-16, 0x1.8e3975f3b8f3dp-16, 0x1.907be2176645ap-16, 0x1.92a110fe31036p-16, 0x1.94a9631593285p-16, 0x1.96953907ada85p-16, 0x1.9864f3aea22aep-16, 0x1.9a18f409a000ep-16, 0x1.9bb19b2fc419p-16, 0x1.9d2f4a464124dp-16, 0x1.9e92627580bbep-16, 0x1.9fdb44dea5c56p-16, 0x1.a10a52919eff8p-16, 0x1.a21fec83704a4p-16, 0x1.a31c738578de8p-16, 0x1.a400483be71c5p-16, 0x1.a4cbcb157fbd9p-16, 0x1.a57f5c42f49fcp-16, 0x1.a61b5bb00f34ep-16, 0x1.a6a028faea7a9p-16, 0x1.a70e236cfad4ap-16, 0x1.a765a9f3fcaf4p-16, 0x1.a7a71b1b5fca4p-16, 0x1.a7d2d505e71e3p-16, 0x1.a7e93566f3bacp-16, 0x1.a7ea997d32e2bp-16, 0x1.a7d75e0c2400fp-16, 0x1.a7afdf575f87dp-16, 0x1.a774791d05a48p-16, 0x1.a7258690fbc09p-16, 0x1.a6c36257a56ddp-16, 0x1.a64e668211229p-16, 0x1.a5c6ec896c7f1p-16, 0x1.a52d4d4abadd7p-16, 0x1.a481e102d6d29p-16, 0x1.a3c4ff4af3394p-16, 0x1.a2f6ff154779dp-16, 0x1.a21836a961bf6p-16, 0x1.a128fba14c4d6p-16, 0x1.a029a2e66503bp-16, 0x1.9f1a80ae59a19p-16, 0x1.9dfbe87928e26p-16, 0x1.9cce2d0e09db6p-16, 0x1.9b91a0793d899p-16, 0x1.9a46940a4e9ecp-16, 0x1.98ed5851a96ap-16, 0x1.97863d1eb34adp-16, 0x1.9611917e35ba1p-16, 0x1.948fa3b8e56e1p-16, 0x1.9300c1516881dp-16, 0x1.9165370396c95p-16, 0x1.8fbd50c2bb0f1p-16, 0x1.8e0959b8eeca2p-16, 0x1.8c499c45e66e2p-16, 0x1.8a7e61fdfddd4p-16, 0x1.88a7f3a987259p-16, }}, 
      {{0x1.1c4d191b5aa5p-2, 0x1.1c4fe8ad11901p-2, 0x1.1c691d2aeedfp-2, 0x1.1ca6ac3a4d207p-2, 0x1.1d0fbad35565cp-2, 0x1.1da51ff9fef16p-2, 0x1.1e634758e4307p-2, 0x1.1f44358eb8bfp-2, 0x1.2041297cc63e8p-2, 0x1.2153b893f8588p-2, 0x1.22767251f3eap-2, 0x1.23a5277bd6d06p-2, 0x1.24dcf2d51767dp-2, 0x1.261c1bf325286p-2, 0x1.2761e62e555acp-2, 0x1.28ae57c2098c8p-2, 0x1.2a0200a84416ep-2, 0x1.2b5dc59bd2771p-2, 0x1.2cc2b1a456ff8p-2, 0x1.2e31cf4a7849cp-2, 0x1.2fac09c937127p-2, 0x1.313216121e0f1p-2, 0x1.32c463269ba39p-2, 0x1.3463111063221p-2, 0x1.360ded9d81ec6p-2, 0x1.37c475ef01f72p-2, 0x1.3985dbe0a6ecdp-2, 0x1.3b510e5420ea6p-2, 0x1.3d24c3780ee3ap-2, 0x1.3eff84392ca57p-2, 0x1.40dfb827bb637p-2, 0x1.42c3b13a0b1dbp-2, 0x1.44a9b6f4e98c8p-2, 0x1.469010a1af35p-2, 0x1.48750e563cb89p-2, 0x1.4a5710ac85ac7p-2, 0x1.4c348f1c9ae8cp-2, 0x1.4e0c1cfd61065p-2, 0x1.4fdc6d3d45997p-2, 0x1.51a454ed9f20dp-2, 0x1.5362ccc17575p-2, 0x1.5516f1a38de15p-2, 0x1.56c004888632fp-2, 0x1.585d69a0c7df6p-2, 0x1.59eea70bfa268p-2, 0x1.5b73632c6dc41p-2, 0x1.5ceb62b5635f2p-2, 0x1.5e56868b48f84p-2, 0x1.5fb4c9891a8e3p-2, 0x1.61063e3a97976p-2, 0x1.624b0c9784c39p-2, 0x1.63836fc95cab9p-2, 0x1.64afb40236082p-2, 0x1.65d0346982e6cp-2, 0x1.66e55921a6206p-2, 0x1.67ef9567ea03ap-2, 0x1.68ef65cf6e9b8p-2, 0x1.69e54e96e3285p-2, 0x1.6ad1da18664cbp-2, 0x1.6bb5975294026p-2, 0x1.6c911889b117bp-2, 0x1.6d64f1ffc997p-2, 0x1.6e31b8c2c3e1ep-2, 0x1.6ef8018f5e6b2p-2, 0x1.6fb85fc852272p-2, 0x1.70736480e9548p-2, 0x1.71299d9a77b97p-2, 0x1.71db94f44f9d4p-2, 0x1.7289cfade05ffp-2, 0x1.7334cd7abee93p-2, 0x1.73dd080863993p-2, 0x1.7482f27578589p-2, 0x1.7526f8da8201bp-2, 0x1.75c97fe3b6f4p-2, 0x1.766ae47bbea6fp-2, 0x1.770b7b8715a02p-2, 0x1.77ab91afa92bp-2, 0x1.784b6b4045aa6p-2, 0x1.78eb440f442dcp-2, 0x1.798b4f77e2337p-2, 0x1.7a2bb86190966p-2, 0x1.7acca1547742cp-2, 0x1.7b6e249a5be9ap-2, 0x1.7c10546b05ac7p-2, 0x1.7cb33b23358b5p-2, 0x1.7d56db8536b19p-2, 0x1.7dfb31020c60ap-2, 0x1.7ea0300a3a6edp-2, 0x1.7f45c665262ecp-2, 0x1.7febdb8e0e065p-2, 0x1.809251159c936p-2, 0x1.813903071d908p-2, 0x1.81dfc8506a7e8p-2, 0x1.8286732ba82dep-2, 0x1.832cd189fcc55p-2, 0x1.83d2ad7e75485p-2, 0x1.8477cda85bbdp-2, 0x1.851bf59c4ee74p-2, 0x1.85bee64b7db49p-2, 0x1.86605e6877696p-2, 0x1.87001ac90ed15p-2, 0x1.879dd6c4e12dfp-2, 0x1.88394c902173p-2, 0x1.88d23592535fbp-2, 0x1.89684ab8b870fp-2, 0x1.89fb44c430aa9p-2, 0x1.8a8adc9273811p-2, 0x1.8b16cb6277fe1p-2, 0x1.8b9ecb140585cp-2, 0x1.8c2296626401cp-2, 0x1.8ca1e91a3047p-2, 0x1.8d1c804a6097ep-2, 0x1.8d921a70909p-2, 0x1.8e0277a0b0a13p-2, 0x1.8e6d59a837091p-2, 0x1.8ed2842d022efp-2, 0x1.8f31bcc80dd81p-2, 0x1.8f8acb1c353f2p-2, 0x1.8fdd78e92fcdp-2, 0x1.9029921afa952p-2, 0x1.906ee4d5ee5cbp-2, 0x1.90ad417fb0c91p-2, 0x1.90e47ac53f2afp-2, 0x1.9114659e465a7p-2, 0x1.913cd94e0688fp-2, 0x1.915daf61f2879p-2, 0x1.9176c3ae4501ep-2, 0x1.9187f448c154p-2, 0x1.91912181ccd8cp-2, 0x1.91922ddc18fabp-2, 0x1.918afe0309231p-2, 0x1.917b78bffddccp-2, 0x1.916386eeb74f5p-2, 0x1.91431370ecfa3p-2, 0x1.911a0b214aa01p-2, 0x1.90e85cc5e9b1cp-2, 0x1.90adf902702p-2, 0x1.906ad249ec52ep-2, 0x1.901edcd08ed3cp-2, 0x1.8fca0e7d525f7p-2, 0x1.8f6c5edbb0b98p-2, 0x1.8f05c70d71e2ep-2, 0x1.8e9641bcabb15p-2, 0x1.8e1dcb0dfcc7p-2, 0x1.8d9c60931480ap-2, 0x1.8d12013d8fc5fp-2, 0x1.8c7ead5237ed8p-2, 0x1.8be2665ca81a5p-2, 0x1.8b3d2f23601bep-2, 0x1.8a8f0b9c4c4b7p-2, 0x1.89d800e1c3477p-2, 0x1.89181527fadeap-2, 0x1.884f4fb2f820ap-2, 0x1.877db8ccf8d11p-2, 0x1.86a359bd52b9p-2, 0x1.85c03cbfcf6f4p-2, 0x1.84d46cfc73e14p-2, 0x1.83dff67fc1af8p-2, 0x1.82e2e6335db19p-2, 0x1.81dd49d7238c4p-2, 0x1.80cf2ffa9d8e9p-2, 0x1.7fb8a7f6d798dp-2, 0x1.7e99c1e88fb1p-2, 0x1.7d728eaab7f4ep-2, 0x1.7c431fd148266p-2, 0x1.7b0b87a458aacp-2, 0x1.79cbd91b7e309p-2, 0x1.788427d9651acp-2, 0x1.77348827a142ap-2, 0x1.75dd0ef2b20f7p-2, 0x1.747dd1c6336a5p-2, 0x1.7316e6c931713p-2, 0x1.71a864baa34d7p-2, 0x1.703262edff1d1p-2, 0x1.6eb4f947e60bbp-2, 0x1.6d30403ae6691p-2, 0x1.6ba450c449a01p-2, 0x1.6a114468f0b08p-2, 0x1.68773532342ep-2, 0x1.66d63daacbb8ep-2, 0x1.652e78dbb3b49p-2, 0x1.6380024910cb2p-2, 0x1.61caf5ef0f0afp-2, 0x1.600f703eb919bp-2, 0x1.5e4d8e1ac7ed5p-2, 0x1.5c856cd460ed8p-2, 0x1.5ab72a27cd7bfp-2, 0x1.58e2e4391f93dp-2, 0x1.5708b990c855dp-2, 0x1.5528c9181e4ecp-2, 0x1.53433215cf124p-2, 0x1.5158142a44143p-2, 0x1.4f678f4beee1ap-2, 0x1.4d71c3c387b6bp-2, 0x1.4b76d22838bb2p-2, 0x1.4976db5bb4224p-2, 0x1.477200863ca8ap-2, 0x1.456863129c09bp-2, 0x1.435a24aa03e84p-2, 0x1.4147672fe5eb5p-2, 0x1.3f304cbdb881p-2, 0x1.3d14f79eaee04p-2, 0x1.3af58a4b652a9p-2, 0x1.38d227657e7b2p-2, 0x1.36aaf1b33ccd4p-2, 0x1.34800c1b09ef3p-2, 0x1.3251999efdd12p-2, 0x1.301fbd585c79p-2, 0x1.2dea9a730dce1p-2, 0x1.2bb2542915d56p-2, 0x1.29770dbe05e43p-2, 0x1.2738ea7a7238cp-2, 0x1.24f80da7640e6p-2, 0x1.22b49a89d32b1p-2, 0x1.206eb45e1dab9p-2, 0x1.1e267e538c8fcp-2, 0x1.1bdc1b87d7662p-2, 0x1.198faf02b599fp-2, 0x1.17415bb17a4fp-2, 0x1.14f14462b5f53p-2, 0x1.129f8bc1e9741p-2, 0x1.104c545344c5p-2, 0x1.0df7c06f76b53p-2, 0x1.0ba1f23f89d8ep-2, 0x1.094b0bb8d548fp-2, 0x1.06f32e99004a7p-2, 0x1.049a7c62178d2p-2, 0x1.02411656b8d8cp-2, 0x1.ffce3aeca5e98p-3, 0x1.fb1964f2faa09p-3, 0x1.f663eb9ccc30bp-3, 0x1.f1ae0f2ab2be6p-3, 0x1.ecf80f3abf26bp-3, 0x1.e8422ac1f038bp-3, 0x1.e38ca005d3e97p-3, 0x1.ded7ac9668beap-3, 0x1.da238d482c152p-3, 0x1.d5707e2e6356ep-3, 0x1.d0beba959d7bfp-3, 0x1.cc0e7cfe705bcp-3, 0x1.c75fff1868225p-3, 0x1.c2b379bd36197p-3, 0x1.be0924ec16dcep-3, 0x1.b96137c577e38p-3, 0x1.b4bbe886cf2b1p-3, 0x1.b0196c86b3fc3p-3, 0x1.ab79f831329ccp-3, 0x1.a6ddbf045307p-3, 0x1.a244f38ce51dap-3, 0x1.9dafc7637f039p-3, 0x1.991e6b29b3beep-3, 0x1.94910e878e77cp-3, 0x1.9007e02937f07p-3, 0x1.8b830dbcdc32dp-3, 0x1.8702c3f0cc0ecp-3, 0x1.82872e71c70e4p-3, 0x1.7e1077e98bc87p-3, 0x1.799ec9fd95103p-3, 0x1.75324d4e0b093p-3, 0x1.70cb2974ec878p-3, 0x1.6c698505662d4p-3, 0x1.680d858b5f302p-3, 0x1.63b74f8b359e6p-3, 0x1.5f670681ab04ep-3, 0x1.5b1ccce3f8aa5p-3, 0x1.56d8c4201f9a9p-3, 0x1.529b0c9d569a2p-3, 0x1.4e63c5bcab1e3p-3, 0x1.4a330dd9cc7cfp-3, 0x1.4609024bfa4dbp-3, 0x1.41e5bf672085cp-3, 0x1.3dc9607d16c4fp-3, 0x1.39b3ffdf04935p-3, 0x1.35a5b6deed342p-3, 0x1.319e9dd154fb7p-3, 0x1.2d9ecc0f15414p-3, 0x1.29a657f745722p-3, 0x1.25b556f1458bcp-3, 0x1.21cbdd6eecaa7p-3, 0x1.1de9feeecbd16p-3, 0x1.1a0fcdfe8dba2p-3, 0x1.163d5c3d748c1p-3, 0x1.1272ba5eebceep-3, 0x1.0eaff82d35a22p-3, 0x1.0af5248c298bbp-3, 0x1.07424d7c0b068p-3, 0x1.0397801c760eep-3, 0x1.ffe9915eb5454p-4, 0x1.f8b4653818f8cp-4, 0x1.f18f90e4c0017p-4, 0x1.ea7b27dbb88f1p-4, 0x1.e3773bf1ef672p-4, 0x1.dc83dd60bc6dep-4, 0x1.d5a11acc95e34p-4, 0x1.cecf014bd6f9dp-4, 0x1.c80d9c6d8bb4ep-4, 0x1.c15cf640637a3p-4, 0x1.babd1759aaad7p-4, 0x1.b42e06dc4d179p-4, 0x1.adafca7ff0ee8p-4, 0x1.a742669817251p-4, 0x1.a0e5de1b3f3e7p-4, 0x1.9a9a32aa22012p-4, 0x1.945f6496db732p-4, 0x1.8e3572ec32916p-4, 0x1.881c5b74cf6f5p-4, 0x1.82141ac27b8adp-4, 0x1.7c1cac35635b6p-4, 0x1.76360a0350507p-4, 0x1.70602d3ee5facp-4, 0x1.6a9b0dded669cp-4, 0x1.64e6a2c513b82p-4, 0x1.5f42e1c5fb43bp-4, 0x1.59afbfaf74c13p-4, 0x1.542d30500fe81p-4, 0x1.4ebb267e0f4b5p-4, 0x1.4959941e7061fp-4, 0x1.44086a2be1167p-4, 0x1.3ec798bdab223p-4, 0x1.39970f0e94267p-4, 0x1.3476bb83a98adp-4, 0x1.2f668bb2ffb01p-4, 0x1.2a666c6a63f26p-4, 0x1.257649b5f744ep-4, 0x1.20960ee6bdb89p-4, 0x1.1bc5a69914da9p-4, 0x1.1704fabb1f84bp-4, 0x1.1253f493160f2p-4, 0x1.0db27cc586d9dp-4, 0x1.09207b5b834eep-4, 0x1.049dd7c8b3092p-4, 0x1.002a78f15724dp-4, 0x1.f78c8a606a932p-5, 0x1.eee244b8d373p-5, 0x1.e655eb9e536f5p-5, 0x1.dde748d2d3ec8p-5, 0x1.d5962532d8126p-5, 0x1.cd6248c079704p-5, 0x1.c54b7aae2496ep-5, 0x1.bd518169300d9p-5, 0x1.b57422a440f62p-5, 0x1.adb323617fd7fp-5, 0x1.a60e47fc9a0bbp-5, 0x1.9e85543497e0fp-5, 0x1.97180b357eb08p-5, 0x1.8fc62fa1c7a83p-5, 0x1.888f839b9741bp-5, 0x1.8173c8cddc186p-5, 0x1.7a72c0752544p-5, 0x1.738c2b68530ep-5, 0x1.6cbfca211fe4ap-5, 0x1.660d5cc461876p-5, 0x1.5f74a32a33aeap-5, 0x1.58f55ce5dd092p-5, 0x1.528f494d975fep-5, 0x1.4c4227821a81p-5, 0x1.460db675fc982p-5, 0x1.3ff1b4f4e144dp-5, 0x1.39ede1aa83654p-5, 0x1.3401fb29841ecp-5, 0x1.2e2dbff212244p-5, 0x1.2870ee7865021p-5, 0x1.22cb452b088f6p-5, 0x1.1d3c8278fc0b1p-5, 0x1.17c464d7a867ep-5, 0x1.1262aac8a4a28p-5, 0x1.0d1712df5742bp-5, 0x1.07e15bc664238p-5, 0x1.02c14444f81a9p-5, 0x1.fb6d1687cc5c8p-6, 0x1.f181dfa53d973p-6, 0x1.e7c06257f54ecp-6, 0x1.de281d75bff2dp-6, 0x1.d4b8903d8a79dp-6, 0x1.cb713a5fffbc1p-6, 0x1.c2519c07fdb3p-6, 0x1.b95935e29a20ep-6, 0x1.b0878926fae41p-6, 0x1.a7dc179dd9d86p-6, 0x1.9f5663a8ba9d1p-6, 0x1.96f5f048e8c2ep-6, 0x1.8eba41261c9cp-6, 0x1.86a2da94f8a46p-6, 0x1.7eaf419d27e9dp-6, 0x1.76defbff4b32bp-6, 0x1.6f31903aa2967p-6, 0x1.67a6859273884p-6, 0x1.603d64133c37cp-6, 0x1.58f5b49799896p-6, 0x1.51cf00cd092bbp-6, 0x1.4ac8d338519a1p-6, 0x1.43e2b739d5b79p-6, 0x1.3d1c391191db9p-6, 0x1.3674e5e2fd6d7p-6, 0x1.2fec4bb8953d9p-6, 0x1.2981f9875e218p-6, 0x1.23357f3207dc4p-6, 0x1.1d066d8bff22ep-6, 0x1.16f4565c44859p-6, 0x1.10fecc60061f9p-6, 0x1.0b25634d2e053p-6, 0x1.0567afd495371p-6, 0x1.ff8a8f4861e83p-7, 0x1.f47b82d21c2a7p-7, 0x1.e9a169a217584p-7, 0x1.defb75190f1dap-7, 0x1.d488d89fb072p-7, 0x1.ca48c9a9442bdp-7, 0x1.c03a7fb616065p-7, 0x1.b65d34556f495p-7, 0x1.acb023278a677p-7, 0x1.a33289df07f25p-7, 0x1.99e3a8423ef77p-7, 0x1.90c2c02c3ff56p-7, 0x1.87cf158da68e4p-7, 0x1.7f07ee6d2a7ddp-7, 0x1.766c92e7dc1dap-7, 0x1.6dfc4d31543edp-7, 0x1.65b669938e2a7p-7, 0x1.5d9a366e8d8eep-7, 0x1.55a70437e13e6p-7, 0x1.4ddc2579e800cp-7, 0x1.4638eed2e446dp-7, 0x1.3ebcb6f3e3ad2p-7, 0x1.3766d69f7c6a4p-7, 0x1.3036a8a85b968p-7, 0x1.292b89efb23e1p-7, 0x1.2244d96364198p-7, 0x1.1b81f7fc2c48ap-7, 0x1.14e248bb86a9p-7, 0x1.0e6530a986e0fp-7, 0x1.080a16d278abp-7, 0x1.01d0644471c6bp-7, 0x1.f76f08197c1b4p-8, 0x1.eb7dc66a3dd6ap-8, 0x1.dfcbe1821fcbdp-8, 0x1.d4583b5586c0ep-8, 0x1.c921b9c069831p-8, 0x1.be27467fd8fb9p-8, 0x1.b367cf2bc2d0fp-8, 0x1.a8e2453029d41p-8, 0x1.9e959dc67df31p-8, 0x1.9480d1ee93113p-8, 0x1.8aa2de6789832p-8, 0x1.80fac3a8986d6p-8, 0x1.778785d99b9e3p-8, 0x1.6e482ccb9354ep-8, 0x1.653bc3f11295p-8, 0x1.5c615a5666d3ap-8, 0x1.53b80299badb9p-8, 0x1.4b3ed2e343d31p-8, 0x1.42f4e4dcfa02dp-8, 0x1.3ad955aab0bf2p-8, 0x1.32eb45e1b4718p-8, 0x1.2b29d98089d7ap-8, 0x1.239437e69c184p-8, 0x1.1c298bcbb8bcap-8, 0x1.14e90337adb99p-8, 0x1.0dd1cf79b3addp-8, 0x1.06e3251fcbbddp-8, 0x1.001c3bee43ff4p-8, 0x1.f2f89dade3bb6p-9, 0x1.e60537e11adb5p-9, 0x1.d95cc8dbebe7p-9, 0x1.ccfdd92b08693p-9, 0x1.c0e6f77073c33p-9, 0x1.b516b852177ccp-9, 0x1.a98bb668389cbp-9, 0x1.9e44922bca1b6p-9, 0x1.933ff1e51f07ep-9, 0x1.887c819a2af69p-9, 0x1.7df8f2fd095ep-9, 0x1.73b3fd5a9035dp-9, 0x1.69ac5d88da243p-9, 0x1.5fe0d5d58dadbp-9, 0x1.56502df510d53p-9, 0x1.4cf932f06f78p-9, 0x1.43dab714b4a54p-9, 0x1.3af391e159362p-9, 0x1.32429ff717b9ep-9, 0x1.29c6c306f54dap-9, 0x1.217ee1c11b29ap-9, 0x1.1969e7c409217p-9, 0x1.1186c58b82552p-9, 0x1.09d4705fe448fp-9, 0x1.0251e245830d8p-9, 0x1.f5fc33d8076fcp-10, 0x1.e7b0353b73543p-10, 0x1.d9bdd85f14ceep-10, 0x1.cc2335e0b660ap-10, 0x1.bede6f3244df4p-10, 0x1.b1edae7942acdp-10, 0x1.a54f266f41444p-10, 0x1.99011241dcabfp-10, 0x1.8d01b573ae9bbp-10, 0x1.814f5bbcbcc6bp-10, 0x1.75e858ebc2b33p-10, 0x1.6acb08c7a539ep-10, 0x1.5ff5cef0d2e22p-10, 0x1.556716c32377dp-10, 0x1.4b1d5337eecc6p-10, 0x1.4116fec8c6b9ap-10, 0x1.37529b518961fp-10, 0x1.2dceb1f3f9005p-10, 0x1.2489d2fa3fdffp-10, 0x1.1b8295baff847p-10, 0x1.12b7987cf05bdp-10, 0x1.0a27805ab0b95p-10, 0x1.01d0f9277675dp-10, 0x1.f3656aa6f342ep-11, 0x1.e396dba1f6494p-11, 0x1.d433c3f2c9e18p-11, 0x1.c539aee5aa12bp-11, 0x1.b6a6342bd1e87p-11, 0x1.a876f7a7fe16dp-11, 0x1.9aa9a93a64ae3p-11, 0x1.8d3c048ed038fp-11, 0x1.802bd0ea73775p-11, 0x1.7376e0f9cd186p-11, 0x1.671b12a0b1563p-11, 0x1.5b164ec953fe1p-11, 0x1.4f668934f6a87p-11, 0x1.4409c04c8a8ddp-11, 0x1.38fdfcf2279b1p-11, 0x1.2e4152532d4e6p-11, 0x1.23d1ddbb09168p-11, 0x1.19adc66603e65p-11, 0x1.0fd33d55abdcfp-11, 0x1.06407d249d266p-11, 0x1.f9e793b72d8dap-12, 0x1.e7d6e18e08fa6p-12, 0x1.d64b909aaa3abp-12, 0x1.c5425f8ab27c5p-12, 0x1.b4b81e9abd37ap-12, 0x1.a4a9af46890c2p-12, 0x1.951403f8fd0ap-12, 0x1.85f41fbec9696p-12, 0x1.774715f7cc1bdp-12, 0x1.690a0a0d21113p-12, 0x1.5b3a2f23fd09p-12, 0x1.4dd4c7d533a39p-12, 0x1.40d725e408696p-12, 0x1.343ea9f63dc53p-12, 0x1.2808c34d443a3p-12, 0x1.1c32ef81452e6p-12, 0x1.10baba3bd9098p-12, 0x1.059dbcf4c8a64p-12, 0x1.f5b33d5e7ce6ep-13, 0x1.e0d827706ce06p-13, 0x1.cca5bacd2e978p-13, 0x1.b91793b49f8a7p-13, 0x1.a629677e44649p-13, 0x1.93d7041c2b64cp-13, 0x1.821c4fa32a8f6p-13, 0x1.70f547d13696ap-13, 0x1.605e019b28145p-13, 0x1.5052a8b5910e6p-13, 0x1.40cf7f259f53fp-13, 0x1.31d0dccfdc1dep-13, 0x1.23532f0ab05b4p-13, 0x1.1552f83168e46p-13, 0x1.07cccf39f770dp-13, 0x1.f57abe9876baep-14, 0x1.dc42ceb514678p-14, 0x1.c3eb7379ff863p-14, 0x1.ac6e7799f11e3p-14, 0x1.95c5cb075461bp-14, 0x1.7feb82327a4ep-14, 0x1.6ad9d54d45bc4p-14, 0x1.568b1f901ace1p-14, 0x1.42f9de831f88bp-14, 0x1.3020b149ef854p-14, 0x1.1dfa57f374db9p-14, 0x1.0c81b2cb599dbp-14, 0x1.f763835ffafafp-15, 0x1.d70b46d42b55ep-15, 0x1.b7f12a1113c47p-15, 0x1.9a0be27c32d73p-15, 0x1.7d525f84c4d6ap-15, 0x1.61bbc969ea76dp-15, 0x1.473f800b832c6p-15, 0x1.2dd519b81e6ddp-15, 0x1.1574620a31b8fp-15, 0x1.fc2ab1801077cp-16, 0x1.cf6061492116cp-16, 0x1.a47a9ce0c3e97p-16, 0x1.7b6a8f77a8356p-16, 0x1.5421c3e2373afp-16, 0x1.2e92227e4c263p-16, 0x1.0aadef3393219p-16, 0x1.d0cf8ee4701fbp-17, 0x1.8f65407aa2b6fp-17, 0x1.5103887ae03c3p-17, 0x1.1591a3c8c266cp-17, 0x1.b9eee63924adep-18, 0x1.4e3aeed009cf5p-18, 0x1.cfb3392c21eadp-19, 0x1.0d3cba2abfafcp-19, 0x1.52ee4ae864bd5p-21, -0x1.68930598ccd6p-21, -0x1.ff6d14435620dp-20, -0x1.9c49dfdf5b463p-19, -0x1.18165c0d3a8a2p-18, -0x1.5dd5790adffaep-18, -0x1.9f873153ca0cap-18, -0x1.dd4f7039a7f28p-18, -0x1.0ba893e25b8acp-17, -0x1.26d72b3097425p-17, -0x1.40440643ddaf9p-17, -0x1.57ff39269f1d5p-17, -0x1.6e1866594e6a8p-17, -0x1.829ec17dc236bp-17, -0x1.95a111ec6f8eap-17, -0x1.a72db5416beffp-17, -0x1.b752a1d6df1a9p-17, -0x1.c61d6934890bdp-17, -0x1.d39b3a77bcd58p-17, -0x1.dfd8e49f28b9ap-17, -0x1.eae2d8e793065p-17, -0x1.f4c52cf79fcdbp-17, -0x1.fd8b9d1ced5ddp-17, -0x1.02a0c73a7eeefp-16, -0x1.05f9087e2a0f5p-16, -0x1.08d3f0d6d4561p-16, -0x1.0b36b63e521aap-16, -0x1.0d26672bbccc6p-16, -0x1.0ea7eb8781ecdp-16, -0x1.0fc005a22b8e9p-16, -0x1.1073531dd376p-16, -0x1.10c64dd98319ap-16, -0x1.10bd4cd3aa4a4p-16, -0x1.105c8508c4094p-16, -0x1.0fa80a4cfff37p-16, -0x1.0ea3d02183f7fp-16, -0x1.0d53aa860bcc1p-16, -0x1.0bbb4ec0eb9abp-16, -0x1.09de542d77214p-16, -0x1.07c034f9712b1p-16, -0x1.05644ee633a63p-16, -0x1.02cde403a503ap-16, -0x1.00001b661bd53p-16, -0x1.f9fc03b2f38abp-17, -0x1.f3951521b61dap-17, -0x1.ecd11f9e4ae9fp-17, -0x1.e5b5a71f94ca4p-17, -0x1.de48005495525p-17, -0x1.d68d51de690e1p-17, -0x1.ce8a959236a88p-17, -0x1.c644999d3c70ap-17, -0x1.bdc001b92ce27p-17, -0x1.b501484bafb81p-17, -0x1.ac0cbf8496137p-17, -0x1.a2e6927276ee9p-17, -0x1.9992c61197a8ap-17, -0x1.90153a57249f2p-17, -0x1.8671ab34a38bcp-17, -0x1.7cabb19635243p-17, -0x1.72c6c458311e4p-17, -0x1.68c63938459a8p-17, -0x1.5ead45c577c53p-17, -0x1.547f004460752p-17, -0x1.4a3e608cc17e7p-17, -0x1.3fee40ecf1c8cp-17, -0x1.35915efa89347p-17, -0x1.2b2a5c65b18e9p-17, -0x1.20bbbfc67afe6p-17, -0x1.1647f564aa64ap-17, -0x1.0bd14ff77e0d6p-17, -0x1.015a096936832p-17, -0x1.edc887183daa6p-18, -0x1.d8e411a2eebap-18, -0x1.c40a99f1d76b2p-18, -0x1.af3fdb80e33a2p-18, -0x1.9a87670ef349bp-18, -0x1.85e4a3ef35f8cp-18, -0x1.715ad140ce346p-18, -0x1.5ced072edcaa7p-18, -0x1.489e381bb9e88p-18, -0x1.347131c8b5461p-18, -0x1.20689e7f0fb5p-18, -0x1.0c87061f97e05p-18, -0x1.f19d9e7ac2ca3p-19, -0x1.ca84804d0aaa3p-19, -0x1.a3c6ffd490a9ep-19, -0x1.7d692eb167094p-19, -0x1.576ee3f08fb82p-19, -0x1.31dbbdf6db97cp-19, -0x1.0cb3244a25fdp-19, -0x1.cff092dd1080ep-20, -0x1.875c592bbafcap-20, -0x1.3faf36bcb255cp-20, -0x1.f1dccdcc03b7p-21, -0x1.663d90ac07be5p-21, -0x1.b91380f0f2633p-22, -0x1.5326eab7703ecp-23, 0x1.87d652251ba0fp-24, 0x1.697971f7e36f4p-22, 0x1.367597aff3ff5p-21, 0x1.b61f829064ae7p-21, 0x1.19da9343b5ff3p-20, 0x1.5798ddfa7cabp-20, 0x1.944880d8ab6f2p-20, 0x1.cfe79c03bbd11p-20, 0x1.053a4705444a8p-19, 0x1.21f6f8bea03a8p-19, 0x1.3e294d5f71dc6p-19, 0x1.59d0cade3a5e8p-19, 0x1.74ed11ef68113p-19, 0x1.8f7ddcf20e12cp-19, 0x1.a982fef6c8302p-19, 0x1.c2fc62bb8bbc2p-19, 0x1.dbea09bfb1f82p-19, 0x1.f44c0b5133444p-19, 0x1.061149d4ed495p-18, 0x1.11b6f18720211p-18, 0x1.1d172679f476ap-18, 0x1.28321b9971d16p-18, 0x1.33080c9978357p-18, 0x1.3d993d94390c4p-18, 0x1.47e5faaab4d8fp-18, 0x1.51ee97a43f07ep-18, 0x1.5bb36f975fd18p-18, 0x1.6534e48f923d6p-18, 0x1.6e735f396da28p-18, 0x1.776f4e8de4d2fp-18, 0x1.802927847e005p-18, 0x1.88a164c3bb70cp-18, 0x1.90d88656c4822p-18, 0x1.98cf1163cc554p-18, 0x1.a0858fe633abp-18, 0x1.a7fc90698a6c3p-18, 0x1.af34a5c7f1052p-18, 0x1.b62e66e763e65p-18, 0x1.bcea6e7f9f155p-18, 0x1.c3695adb5672ep-18, 0x1.c9abcd9e8843bp-18, 0x1.cfb26b8db4ddfp-18, 0x1.d57ddc593a733p-18, 0x1.db0eca67b81cp-18, 0x1.e065e2a1c38fap-18, 0x1.e583d442cf4f8p-18, 0x1.ea6950aa47e01p-18, 0x1.ef170b2b878dep-18, 0x1.f38db8e30506bp-18, 0x1.f7ce108ad9e8ep-18, 0x1.fbd8ca526a51p-18, 0x1.ffae9fb65f206p-18, 0x1.01a825ace11c6p-17, 0x1.035f4470eab22p-17, 0x1.04fd0a6928eecp-17, 0x1.0681d6351b8c4p-17, 0x1.07ee06c232269p-17, 0x1.0941fb3b6851fp-17, 0x1.0a7e12f9ff53ap-17, 0x1.0ba2ad768f309p-17, 0x1.0cb02a3b9534cp-17, 0x1.0da6e8d74b741p-17, 0x1.0e8748ceed316p-17, 0x1.0f51a991c71a1p-17, 0x1.10066a6d87e01p-17, 0x1.10a5ea82d163dp-17, 0x1.113088ba0b96p-17, 0x1.11a6a3b8954fbp-17, 0x1.120899d710edap-17, 0x1.1256c91764f8cp-17, 0x1.12918f1b3e5e5p-17, 0x1.12b9491bc399cp-17, 0x1.12ce53e0f5709p-17, 0x1.12d10bb94bc5ep-17, 0x1.12c1cc7266697p-17, 0x1.12a0f15192f49p-17, 0x1.126ed50cc513ep-17, 0x1.122bd1c3c0f8ap-17, 0x1.11d840fa98509p-17, 0x1.11747b92e5b82p-17, 0x1.1100d9c64841cp-17, 0x1.107db3217e3bep-17, 0x1.0feb5e7ecb3ecp-17, 0x1.0f4a32016e511p-17, 0x1.0e9a83110d62ep-17, 0x1.0ddca655e04f2p-17, 0x1.0d10efb41d7dcp-17, 0x1.0c37b2487326dp-17, 0x1.0b514064e2702p-17, 0x1.0a5deb8d1d2a2p-17, 0x1.095e0473733afp-17, 0x1.0851daf64f93ep-17, 0x1.0739be1da8c19p-17, 0x1.0615fc1877f8ep-17, 0x1.04e6e23a495bcp-17, 0x1.03acbcf9a21c1p-17, 0x1.0267d7ee1a183p-17, 0x1.01187dce9a811p-17, 0x1.ff7df0e00f726p-18, 0x1.fcb7218761aabp-18, 0x1.f9dd1dacf0523p-18, 0x1.f6f0739fe4e99p-18, 0x1.f3f1afe285d6ep-18, 0x1.f0e15d28c8eb6p-18, 0x1.edc0045774e05p-18, 0x1.ea8e2c839cc09p-18, 0x1.e74c5af1c3b3dp-18, 0x1.e3fb131545622p-18, 0x1.e09ad69020eb8p-18, 0x1.dd2c2533f1125p-18, 0x1.d9af7d01b69efp-18, 0x1.d6255a29edfdcp-18, 0x1.d28e370e202dp-18, 0x1.ceea8c4191fb1p-18, 0x1.cb3ad08a35d9bp-18, 0x1.c77f78e1c6e9p-18, 0x1.c3b8f877af362p-18, 0x1.bfe7c0b2d6a0fp-18, 0x1.bc0c4132fde39p-18, 0x1.b826e7d2b53fp-18, 0x1.b43820a9789fep-18, 0x1.b040560e18b85p-18, 0x1.ac3ff098df36cp-18, 0x1.a8375726668e2p-18, 0x1.a426eed9a43bdp-18, 0x1.a00f1b1ef1d97p-18, 0x1.9bf03dae8251ap-18, 0x1.97cab68fe5715p-18, 0x1.939ee41cbbf24p-18, 0x1.8f6d2303395ebp-18, 0x1.8b35ce4a3eaa9p-18, 0x1.86f93f54813f9p-18, 0x1.82b7cde31414fp-18, 0x1.7e71d0194dd4p-18, 0x1.7a279a806002dp-18, 0x1.75d9800ad5aecp-18, 0x1.7187d217de361p-18, 0x1.6d32e0775fceep-18, 0x1.68daf96d82037p-18, 0x1.648069b615e1bp-18, 0x1.60237c88cd671p-18, 0x1.5bc47b9cc3f89p-18, 0x1.5763af2c88d7bp-18, 0x1.53015dfa2debp-18, 0x1.4e9dcd5314cefp-18, 0x1.4a3941136ca33p-18, 0x1.45d3fbaaf1cc1p-18, 0x1.416e3e208721ep-18, 0x1.3d084816336dbp-18, 0x1.38a257cd59b34p-18, 0x1.343caa2a96f94p-18, 0x1.2fd77ab9f9ff6p-18, 0x1.2b7303b31af5fp-18, 0x1.270f7dfd5615ep-18, 0x1.22ad21337c725p-18, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      46, 0x1.e8f5c28f5c28fp+2, 0x1.4f5ee49195c24p+0, 0x1.4344f78ae3f72p+1, -0x1.72327b9ae9ffp-9, 
      {{
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.15a50201d0314p-7, -0x1.e4f82a501cdbap-7, 0x1.3daa41bf9890dp-7, -0x1.6ebb0ded3920bp-9}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.fc5b8af157a5cp-8, -0x1.c5e3f8677a58ap-7, 0x1.2fe9a46d199f7p-7, -0x1.6592641313ac2p-9}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.d0773b971744bp-8, -0x1.a82b70ca0b2e7p-7, 0x1.2280f3df95af6p-7, -0x1.5dc8f726e3415p-9}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.a77abca6b4bdbp-8, -0x1.8bc6712f70291p-7, 0x1.1563043486c36p-7, -0x1.55a16d0f89e95p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.81447b509b9d6p-8, -0x1.70ad52bab1d2ap-7, 0x1.08935cea57fdep-7, -0x1.4d931ab6ebcdep-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.5db3ab43cd7d8p-8, -0x1.56d84d7ce21b4p-7, 0x1.f82217d3c4b2dp-8, -0x1.457e068e7dd8cp-9}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3ca846ade2049p-8, -0x1.3e3fa26385a02p-7, 0x1.dfb8a422ae756p-8, -0x1.3d6ac1e6867p-9}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.1e030e3b06e84p-8, -0x1.26db8ffc4cd5cp-7, 0x1.c7ea3bfe312d1p-8, -0x1.3557010ca031ap-9}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.01a58915ffe9cp-8, -0x1.10a45577c6326p-7, 0x1.b0b6e8b6d85cap-8, -0x1.2d436179e723dp-9}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.cee409d04db03p-9, -0x1.f72463b5b895cp-8, 0x1.9a1ea7cdb3d3ap-8, -0x1.252fb8fc763f1p-9}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.9e972bb2d71f7p-9, -0x1.cf3ac86c5668p-8, 0x1.842179edf7c24p-8, -0x1.1d1c12e2afe3bp-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.722c2d20a7f3ep-9, -0x1.a97c572e59cecp-8, 0x1.6ebf5ee9c42a7p-8, -0x1.15086c2501edap-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.496c5063f81cep-9, -0x1.85d98e1864994p-8, 0x1.59f856cd64057p-8, -0x1.0cf4c5933a278p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.242264c42ba28p-9, -0x1.6442eb46a56p-8, 0x1.45cc61958c75cp-8, -0x1.04e11ef5be2b8p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.021ac685d2a8p-9, -0x1.44a8ecd569a49p-8, 0x1.323b7f431e329p-8, -0x1.f99af0b6a2614p-10}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.c646bdd552d57p-10, -0x1.26fc10e0f69bbp-8, 0x1.1f45afd5de823p-8, -0x1.e973a38048679p-10}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8e17486330866p-10, -0x1.0b2cd58593b1p-8, 0x1.0ceaf34ddbcadp-8, -0x1.d94c564a380fep-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.5b49332d674a5p-10, -0x1.e25771bf0f79cp-9, 0x1.f656935626949p-9, -0x1.c925091429bf4p-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.2d819ea6783c3p-10, -0x1.b1d2721633747p-9, 0x1.d40d65db09d98p-9, -0x1.b8fdbbde1152ap-10}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.0468c53b3cac7p-10, -0x1.84aba84921414p-9, 0x1.b2fa5e2a6226cp-9, -0x1.a8d66ea7f681dp-10}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.bf53f6a5cc41dp-11, -0x1.5ac4109066c3fp-9, 0x1.931d7c442fa9ep-9, -0x1.98af2171f319ep-10}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.7de75e9dfca9p-11, -0x1.33fca72491f2cp-9, 0x1.7476c02870a1p-9, -0x1.8887d43bc875bp-10}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.43eed316ce6f8p-11, -0x1.1036683e30b7bp-9, 0x1.570629d727fecp-9, -0x1.78608705be39fp-10}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.10d398bcb5e09p-11, -0x1.dea4a02ba1e73p-10, 0x1.3acbb95053543p-9, -0x1.683939cfaeab7p-10}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.c80a5061af62ep-12, -0x1.a262b5c80144bp-10, 0x1.1fc76e93f3076p-9, -0x1.5811ec9979fe8p-10}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.79f25c1212036p-12, -0x1.6b6909c29b2dep-10, 0x1.05f949a209e13p-9, -0x1.47ea9f639cf98p-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.3657159f9ebdap-12, -0x1.3979948c8ba85p-10, 0x1.dac294f5229c3p-10, -0x1.37c3522d40857p-10}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.f8794c1182eb7p-13, -0x1.0c564e96ee70bp-10, 0x1.abfee23b25bb9p-10, -0x1.279c04f7891acp-10}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.95673c6a8de4p-13, -0x1.c78260a5bf128p-11, 0x1.7fa77b16045e2p-10, -0x1.1774b7c0fb135p-10}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.41b1edecb96f2p-13, -0x1.7ef86462f52a8p-11, 0x1.55bc5f85deb52p-10, -0x1.074d6a8b6da83p-10}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.f758441a4502ep-14, -0x1.3e929947b712p-11, 0x1.2e3d8f8a8e425p-10, -0x1.ee4c3aa94aa72p-11}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.8382d4274ef61p-14, -0x1.05d4f0363bd0bp-11, 0x1.092b0b2442422p-10, -0x1.cdfda0404a6dp-11}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.24ec4e35d12ap-14, -0x1.a886b4217cf7p-12, 0x1.cd09a4a546272p-11, -0x1.adaf05c9d226cp-11}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.b19e28411e4p-15, -0x1.52c38f72d2169p-12, 0x1.8c95ca2d66a19p-11, -0x1.8d606b82ee07cp-11}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.392e4ecf9fc3fp-15, -0x1.096854254deeep-12, 0x1.50fa86d9c2ed7p-11, -0x1.6d11d08c4c945p-11}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.b788a4c576e01p-16, -0x1.96f9c7f7b6984p-13, 0x1.1a37dac4b771p-11, -0x1.4cc3382511d5dp-11}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.29fd69221897fp-16, -0x1.301241812dbf6p-13, 0x1.d09b8b17e986bp-12, -0x1.2c74962f40186p-11}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.837cd8f0d0efep-17, -0x1.b853b08afcdp-14, 0x1.7678913cefe61p-12, -0x1.0c2617e482a9ep-11}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.de56bc86df3ffp-18, -0x1.32a0a0d75d03bp-14, 0x1.2606bd452f19ep-12, -0x1.d7ae28f99423bp-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.144ec03593p-18, -0x1.9655acb98de1p-15, 0x1.be8c6e3f7e9p-13, -0x1.971403ba085abp-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.247b6606d9p-19, -0x1.f847a589d63c1p-16, 0x1.446cd387af422p-13, -0x1.566b62767305fp-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.126615793affep-20, -0x1.1dd483028b052p-16, 0x1.bb660595197d5p-14, -0x1.15f8cfb1b97e5p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.af2220c533fffp-22, -0x1.1ba799ccf0bb1p-17, 0x1.149d88f743cbep-14, -0x1.a978fdeddbbdep-13}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.fc5b8af1cfffcp-24, -0x1.c5ad2acc2041fp-19, 0x1.29f2799303c06p-15, -0x1.2ce22f296ea8cp-13}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.5b49332d80001p-26, -0x1.e58a4d95b860ap-21, 0x1.d5ab0eb56bd5ap-17, -0x1.34af2311a368bp-14}, 
        {0x1.e666666666666p+2, 0x1.e8f5c28f5c28fp+2, 0x1.b19e283ffffffp-31, -0x1.e686c32758411p-25, 0x1.8cfd2c1a9fp-19, -0x1.163fe224b6872p-13}, 
      }}, 
      0x1.94b0a80268e47p-9, -0x1.aaebe0ae4127dp-6
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_mg_br() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{0x1.63c54041139abp-5, 0x1.5a3e8c6c46cb5p-4, 0x1.f12fef1aae1fap-4, 0x1.3892ee2ecba3bp-3, 0x1.6b6d821a4ceedp-3, 0x1.9081923324fc2p-3, 0x1.a7f255ef55431p-3, 0x1.b27a1786dc2a4p-3, 0x1.b13ca17238752p-3, 0x1.a59ffcc4993ep-3, 0x1.912c2b9ef1c39p-3, 0x1.7571e0c7310c8p-3, 0x1.53f7b8e78c913p-3, 0x1.2e2d25c1054bcp-3, 0x1.05620bc2da9fdp-3, 0x1.b5841d3b788dfp-4, 0x1.5ea54a214ab9ep-4, 0x1.07e65f9db3388p-4, 0x1.6579dbb116b3dp-5, 0x1.8168a5c28d7e4p-6, 0x1.1b0da8fca90f5p-8, -0x1.c421651edadd4p-7, -0x1.f6eddb013be44p-6, -0x1.7b2cf14bb64cdp-5, -0x1.efb6f60149b05p-5, -0x1.2c6ff95341b7cp-4, -0x1.5b537bdbbab0dp-4, -0x1.849aedaa8389fp-4, -0x1.a86c6c25dea13p-4, -0x1.c6fb8b67b1631p-4, -0x1.e0860c1787e18p-4, -0x1.f5510025f72cap-4, -0x1.02d32d595d50ep-3, -0x1.08e9724cbb244p-3, -0x1.0d1246a965555p-3, -0x1.0f748770bcfap-3, -0x1.10366d537fc3bp-3, -0x1.0f7d2274e937dp-3, -0x1.0d6c72de77c8ap-3, -0x1.0a26938510ad4p-3, -0x1.05cbfc230ee7dp-3, -0x1.007b507ba6a4bp-3, -0x1.f4a2abf2881f6p-4, -0x1.e6d1e605a61efp-4, -0x1.d7b66b9ae06d4p-4, -0x1.c77ec1950681ap-4, -0x1.b655f639b5c72p-4, -0x1.a463c78db6b7fp-4, -0x1.91cccd0fcb6c1p-4, -0x1.7eb2a32e98937p-4, -0x1.6b34173839933p-4, -0x1.576d52d992655p-4, -0x1.4378068516c6fp-4, -0x1.2f6b924c220c4p-4, -0x1.1b5d2cdeea418p-4, -0x1.0760088623d13p-4, -0x1.e70aec015562ap-5, -0x1.bfba0a8318b59p-5, -0x1.98e948304453ap-5, -0x1.72b175abd7ebbp-5, -0x1.4d288e1be7dbep-5, -0x1.2861e91b53842p-5, -0x1.046e696673bb8p-5, -0x1.c2b9511a7c917p-6, -0x1.7e723fe1c345cp-6, -0x1.3c1c9eaab718fp-6, -0x1.f793850c767e7p-7, -0x1.7b0f35b491b8ep-7, -0x1.02c1e551b710fp-7, -0x1.1d76b9f826113p-8, -0x1.f060ed5d12046p-11, 0x1.3161e6f04c6cfp-9, 0x1.66be5a75e6358p-8, 0x1.161112265640ep-7, 0x1.7474e458ab5a6p-7, 0x1.ce94b8b8dc559p-7, 0x1.123ed317ec5d6p-6, 0x1.3b1fb94a4d7bfp-6, 0x1.61f62269d219bp-6, 0x1.86cc2d69b41e9p-6, 0x1.a9ace242266d1p-6, 0x1.caa411386c23ep-6, 0x1.e9be34be80d5bp-6, 0x1.03842a6eac3f8p-5, 0x1.1147f6a6255ccp-5, 0x1.1e316a5dc4f7dp-5, 0x1.2a47937e595e2p-5, 0x1.359197ee262dcp-5, 0x1.4016ac9b7eaddp-5, 0x1.49de0c925f414p-5, 0x1.52eef1823eb4ap-5, 0x1.5b508d0d15d2dp-5, 0x1.630a01d8f2a17p-5, 0x1.6a225f18b4755p-5, 0x1.70a09aebcf0abp-5, 0x1.768b8eedd89dep-5, 0x1.7be9f355c240ep-5, 0x1.80c25c41be438p-5, 0x1.851b39a8cc91p-5, 0x1.88facf7355c96p-5, 0x1.8c673a48507bcp-5, 0x1.8f6668c1897fap-5, 0x1.91fe1dd6a8f5fp-5, 0x1.9433ee7567c3p-5, 0x1.960d412e31118p-5, 0x1.978f4df7632ebp-5, 0x1.98bf1f103d28dp-5, 0x1.99a18f71568b7p-5, 0x1.9a3b4d165c20fp-5, 0x1.9a90d69294b97p-5, 0x1.9aa67fcf1ea63p-5, 0x1.9a806ea771f35p-5, 0x1.9a229e214e7e5p-5, 0x1.9990dd6ea69dp-5, 0x1.98ced39349762p-5, 0x1.97dffd48a7714p-5, 0x1.96c7b03ee8fd2p-5, 0x1.95891a15615c9p-5, 0x1.942742c72a62ap-5, 0x1.92a50e81f2465p-5, 0x1.91053bc41c693p-5, 0x1.8f4a67a93dc68p-5, 0x1.8d770c064cec6p-5, 0x1.8b8d8288716ccp-5, 0x1.899004aefa36fp-5, 0x1.8780ada0b45a9p-5, 0x1.8561798873cacp-5, 0x1.8334486a8942cp-5, 0x1.80fadd6ffcf94p-5, 0x1.7eb6e12b499d9p-5, 0x1.7c69e1842d848p-5, 0x1.7a1552f9c9adcp-5, 0x1.77ba91f7b8ee5p-5, 0x1.755ae2854c324p-5, 0x1.72f7723c6af02p-5, 0x1.7091583f0aa0fp-5, 0x1.6e2996dae3614p-5, 0x1.6bc11b9180357p-5, 0x1.6958c018b134bp-5, 0x1.66f14b4a0d94bp-5, 0x1.648b71da627c7p-5, 0x1.6227d699ed604p-5, 0x1.5fc70bb0b7652p-5, 0x1.5d69930a872f1p-5, 0x1.5b0fdf3e78a87p-5, 0x1.58ba53e588f4ep-5, 0x1.5669465ef5e03p-5, 0x1.541cfe9dd1f28p-5, 0x1.51d5b7b984958p-5, 0x1.4f93a04ef4602p-5, 0x1.4d56db4099998p-5, 0x1.4b1f8054100ccp-5, 0x1.48ed9cdcb10b6p-5, 0x1.46c1341d8f6bcp-5, 0x1.449a3fbe5961ap-5, 0x1.4278b07f73da6p-5, 0x1.405c6ecac755fp-5, 0x1.3e455b221da7bp-5, 0x1.3c334e89be7b4p-5, 0x1.3a261b165f493p-5, 0x1.381d8c3c5caadp-5, 0x1.361967b183976p-5, 0x1.34196d652a4a1p-5, 0x1.321d582ce3e23p-5, 0x1.3024de3097234p-5, 0x1.2e2fb1201423bp-5, 0x1.2c3d7edcb5e86p-5, 0x1.2a4df1bc7788cp-5, 0x1.2860b0dae9e32p-5, 0x1.2675607e863cbp-5, 0x1.248ba280a19a3p-5, 0x1.22a316ae483bap-5, 0x1.20bb5b1887f7ep-5, 0x1.1ed40c00d6984p-5, 0x1.1cecc4e6fdd7p-5, 0x1.1b0520101c1bcp-5, 0x1.191cb7754d167p-5, 0x1.173324dea3087p-5, 0x1.154801b74b6f4p-5, 0x1.135ae7bdf02d7p-5, 0x1.116b71350408bp-5, 0x1.0f79391575d36p-5, 0x1.0d83db41606bfp-5, 0x1.0b8af4ba2c741p-5, 0x1.098e23d90f345p-5, 0x1.078d0882efe03p-5, 0x1.0587445a0741bp-5, 0x1.037c7af1a6bb8p-5, 0x1.016c519e2145ep-5, 0x1.feace0814c99ap-6, 0x1.fa7501f4374a3p-6, 0x1.f630604ebd8bep-6, 0x1.f1de5a9fd3bf4p-6, 0x1.ed7e546b658e7p-6, 0x1.e90fb7204e9a1p-6, 0x1.e491f247341fap-6, 0x1.e0047b669565fp-6, 0x1.db66ce203e57dp-6, 0x1.d6b86c7aa9dbep-6, 0x1.d1f8df2cca7e5p-6, 0x1.cd27b5bd8896ap-6, 0x1.c8448677d3926p-6, 0x1.c34eee66bc213p-6, 0x1.be46918435edbp-6, 0x1.b92b1b1281dd9p-6, 0x1.b3fc3dc0fe8dbp-6, 0x1.aeb9b2e313795p-6, 0x1.a9633bb8aaebfp-6, 0x1.a3f8a045c0d58p-6, 0x1.9e79af647d469p-6, 0x1.98e640d101018p-6, 0x1.933e32a6a09dbp-6, 0x1.8d816a4810c8bp-6, 0x1.87afd46f601b6p-6, 0x1.81c965032b63fp-6, 0x1.7bce172b0c287p-6, 0x1.75bded5581942p-6, 0x1.6f98f114d660fp-6, 0x1.695f32e9f402p-6, 0x1.6310ca236d6d3p-6, 0x1.5cadd4dbb93a7p-6, 0x1.563677fd7ab01p-6, 0x1.4faadf2f6e072p-6, 0x1.490b3ca3f4858p-6, 0x1.4257c8e4e393ep-6, 0x1.3b90c2bf5e025p-6, 0x1.34b66f3dce40bp-6, 0x1.2dc91906f8491p-6, 0x1.26c911190d2efp-6, 0x1.1fb6ae86ad8e3p-6, 0x1.18924caeceafbp-6, 0x1.115c4df9376dcp-6, 0x1.0a151986027cbp-6, 0x1.02bd1b2141ef5p-6, 0x1.f6a987ce3c8fbp-7, 0x1.e7b913bb9f674p-7, 0x1.d8a9cf56bee3ep-7, 0x1.c97cb8cea92b6p-7, 0x1.ba32d6ecb381fp-7, 0x1.aacd38d0b8652p-7, 0x1.9b4cf59db1ab4p-7, 0x1.8bb32c0a5cba7p-7, 0x1.7c0101fc836cep-7, 0x1.6c37a442f7bd1p-7, 0x1.5c58462cb6192p-7, 0x1.4c642116f4223p-7, 0x1.3c5c743acd001p-7, 0x1.2c428464d52fdp-7, 0x1.1c179b758bc2p-7, 0x1.0bdd07f86a86p-7, 0x1.f72839bb33df4p-8, 0x1.d67c62334dd71p-8, 0x1.b5b93cd42ee1bp-8, 0x1.94e184f65ff2ep-8, 0x1.73f7fd503dccdp-8, 0x1.52ff68c49158bp-8, 0x1.31fa945a42642p-8, 0x1.10ec50494a6c3p-8, 0x1.dfaed94f57357p-9, 0x1.9d7d796a01c2cp-9, 0x1.5b4a2bb6ef165p-9, 0x1.191a9d5cb96dap-9, 0x1.ade8f8d542e1cp-10, 0x1.29baecaf1c178p-10, 0x1.4b6cdafeae0f8p-11, 0x1.0f36670b79cabp-13, -0x1.86a2adc56bbe1p-12, -0x1.c9d9796d1beebp-11, -0x1.67da36181cf2p-10, -0x1.ea65f693a1be2p-10, -0x1.3642771e7c857p-9, -0x1.7716100010a5bp-9, -0x1.b7a8522e7c9bdp-9, -0x1.f7f3d646127edp-9, -0x1.1bf9a142063cp-8, -0x1.3bd0a5b3e02f5p-8, -0x1.5b7c59f8dec0fp-8, -0x1.7afa27160abe3p-8, -0x1.9a477e2ec7df7p-8, -0x1.b961d9494bdb9p-8, -0x1.d846bbf3ec7afp-8, -0x1.f6f3b485b02edp-8, -0x1.0ab32df534c99p-7, -0x1.19ce29033bc8bp-7, -0x1.28c9a253a7b4fp-7, -0x1.37a4762c34f35p-7, -0x1.465d844bf3912p-7, -0x1.54f3b465491d8p-7, -0x1.6365f4db64fdep-7, -0x1.71b339d2f84c2p-7, -0x1.7fda7d7a526p-7, -0x1.8ddac033026f9p-7, -0x1.9bb308c526971p-7, -0x1.a96264a5f03eap-7, -0x1.b6e7e836fd489p-7, -0x1.c442aeeea6f0ap-7, -0x1.d171db6860f5dp-7, -0x1.de7497619d074p-7, -0x1.eb4a13ab0255fp-7, -0x1.f7f1881e2fa3fp-7, -0x1.023519d491c94p-6, -0x1.0859ae37f7eb5p-6, -0x1.0e6627fa8574dp-6, -0x1.145a319c0d5eep-6, -0x1.1a35796288cfp-6, -0x1.1ff7b15ab8efep-6, -0x1.25a08f54a2eddp-6, -0x1.2b2fccdd7241cp-6, -0x1.30a5273857543p-6, -0x1.36005f586e018p-6, -0x1.3b4139df03af7p-6, -0x1.40677f1f0f5b2p-6, -0x1.4572fb2277f9p-6, -0x1.4a637dab05d29p-6, -0x1.4f38da2c90d14p-6, -0x1.53f2e7e349fe1p-6, -0x1.589181edae50cp-6, -0x1.5d14867e79926p-6, -0x1.617bd78e6704ap-6, -0x1.65c75b6e0ff63p-6, -0x1.69f6faae7d308p-6, -0x1.6e0aa1865368bp-6, -0x1.7202404ed6f42p-6, -0x1.75ddca9de51b7p-6, -0x1.799d37499660cp-6, -0x1.7d4080818d593p-6, -0x1.80c7a3c946bf7p-6, -0x1.8432a1e8735b7p-6, -0x1.87817ed966becp-6, -0x1.8ab441b8829f9p-6, -0x1.8dcaf4b69ae42p-6, -0x1.90c5a50e04417p-6, -0x1.93a462f7f25e6p-6, -0x1.9667419f586c2p-6, -0x1.990e5710b4e9bp-6, -0x1.9b99bc29331bep-6, -0x1.9e098c8758b33p-6, -0x1.a05de67d62cdp-6, -0x1.a296eb0430669p-6, -0x1.a4b4bdacdb0a8p-6, -0x1.a6b78490693eap-6, -0x1.a89f683dc2cecp-6, -0x1.aa6c93a725057p-6, -0x1.ac1f34105867bp-6, -0x1.adb778fe8f789p-6, -0x1.af359429b853bp-6, -0x1.b099b96e155b3p-6, -0x1.b1e41ebca5327p-6, -0x1.b314fc0a2324p-6, -0x1.b42c8b3d18462p-6, -0x1.b52b081c075cdp-6, -0x1.b610b03c2d368p-6, -0x1.b6ddc2efa4d05p-6, -0x1.b7928131c599fp-6, -0x1.b82f2d9c6572fp-6, -0x1.b8b40c837480ap-6, -0x1.b92163adc828bp-6, -0x1.b97779c708469p-6, -0x1.b9b6979c6c5f3p-6, -0x1.b9df0740a1435p-6, -0x1.b9f112f3bbfa7p-6, -0x1.b9ed06cf31abdp-6, -0x1.b9d3305d32f1bp-6, -0x1.b9a3ddfd82cd8p-6, -0x1.b95f5ef8ac05ep-6, -0x1.b90603857ae5ep-6, -0x1.b8981cba35827p-6, -0x1.b815fc7aa73dfp-6, -0x1.b77ff56751bbdp-6, -0x1.b6d65acea4722p-6, -0x1.b61980a047841p-6, -0x1.b549bb62149p-6, -0x1.b467602595e59p-6, -0x1.b372c47c64844p-6, -0x1.b26c3e6a4cd17p-6, -0x1.b154245447f4ep-6, -0x1.b02acced1483dp-6, -0x1.aef08f20a4d02p-6, -0x1.ada5c20270158p-6, -0x1.ac4abcbf377c7p-6, -0x1.aadfd695a61bcp-6, -0x1.a96566d429fbdp-6, -0x1.a7dbc4dc44084p-6, -0x1.a64348264a007p-6, -0x1.a49c48411206ap-6, -0x1.a2e71cc86fdd4p-6, -0x1.a1241d4f54f5cp-6, -0x1.9f53a13e56ee8p-6, -0x1.9d75ffab64386p-6, -0x1.9b8b8f32a4819p-6, -0x1.9994a5d97f23ap-6, -0x1.97919902fb3eap-6, -0x1.9582bd796b4bap-6, -0x1.9368678b5b6c4p-6, -0x1.9142eb34df063p-6, -0x1.8f129c493d5ep-6, -0x1.8cd7ce9005324p-6, -0x1.8a92d5c8d5b61p-6, -0x1.8844058f668b8p-6, -0x1.85ebb12b74fap-6, -0x1.838a2b69d59acp-6, -0x1.811fc6103f5c7p-6, -0x1.7eacd1238a6d9p-6, -0x1.7c319bebb6403p-6, -0x1.79ae7442f170bp-6, -0x1.7723a5d1101e7p-6, -0x1.74917bf61f04fp-6, -0x1.71f841e6b6fb8p-6, -0x1.6f584282283e5p-6, -0x1.6cb1c8aff3526p-6, -0x1.6a051f7c81da2p-6, -0x1.675291e41531bp-6, -0x1.649a6a64484f1p-6, -0x1.61dcf26d94d2dp-6, -0x1.5f1a71d579f1fp-6, -0x1.5c532e6cc1d35p-6, -0x1.59876bd85e764p-6, -0x1.56b76bbdbec3ep-6, -0x1.53e36e401d8fcp-6, -0x1.510bb2b6fbe1dp-6, -0x1.4e30787425e71p-6, -0x1.4b51ff6622a67p-6, -0x1.487088668089dp-6, -0x1.458c55127e319p-6, -0x1.42a5a725c9786p-6, -0x1.3fbcbf6dc642fp-6, -0x1.3cd1dc88dd65ap-6, -0x1.39e539b9690dep-6, -0x1.36f70e18ffbf2p-6, -0x1.34078c6c09705p-6, -0x1.3116e3b8e5e92p-6, -0x1.2e25409e33372p-6, -0x1.2b32cf38909e8p-6, -0x1.283fbd422bde2p-6, -0x1.254c3bfcf819bp-6, -0x1.225881767f0bep-6, -0x1.1f64c8c905b67p-6, -0x1.1c715122f013cp-6, -0x1.197e5b9ee9808p-6, -0x1.168c283172d48p-6, -0x1.139af22a124f3p-6, -0x1.10aaeceeafa7p-6, -0x1.0dbc41993f636p-6, -0x1.0acf0e08be6cdp-6, -0x1.07e365be3068cp-6, -0x1.04f9548f1e02bp-6, -0x1.0210e2dfffaaap-6, -0x1.fe543592a5a7ep-7, -0x1.f88a1aa30345ap-7, -0x1.f2c3adacf61c2p-7, -0x1.ed0143c705ac4p-7, -0x1.e7434f1d7ad2ap-7, -0x1.e18a597a2294dp-7, -0x1.dbd6fcba23d8ap-7, -0x1.d629d622b693fp-7, -0x1.d0837538dc3adp-7, -0x1.cae45070e0245p-7, -0x1.c54cba5f786e2p-7, -0x1.bfbcda38a9a5ap-7, -0x1.ba34abe057339p-7, -0x1.b4b406759f3a1p-7, -0x1.af3aa86ce0537p-7, -0x1.a9c847c67f299p-7, -0x1.a45ca41fdffd3p-7, -0x1.9ef797f0923e2p-7, -0x1.999926486665bp-7, -0x1.944182d13cf2cp-7, -0x1.8ef112a6114a2p-7, -0x1.89a865a5e66a5p-7, -0x1.84682918120aap-7, -0x1.7f31158a32963p-7, -0x1.7a03da9382c89p-7, -0x1.74e10b76e915ap-7, -0x1.6fc90f6d5c57ep-7, -0x1.6abc17c4c138cp-7, -0x1.65ba1d1be801dp-7, -0x1.60c2e40494db2p-7, -0x1.5bd6085daf316p-7, -0x1.56f30ddfb104ap-7, -0x1.521973ae1d6b4p-7, -0x1.4d48c8557e12p-7, -0x1.4880bb808c316p-7, -0x1.43c12aef20f4bp-7, -0x1.3f0a28dc9f388p-7, -0x1.3a5bfafdc58edp-7, -0x1.35b71269225c6p-7, -0x1.311bfdde65b95p-7, -0x1.2c8b58b5f2a46p-7, -0x1.2805b91977d17p-7, -0x1.238b9ff67c0a9p-7, -0x1.1f1d6c8771c6bp-7, -0x1.1abb5490a9c9p-7, -0x1.166561bd5d615p-7, -0x1.121b73fc58596p-7, -0x1.0ddd484f01e3dp-7, -0x1.09aa831b4a07cp-7, -0x1.0582bcb4a0c36p-7, -0x1.01658e88d0031p-7, -0x1.faa53e8da165ep-8, -0x1.f29359017961fp-8, -0x1.ea95216727c3bp-8, -0x1.e2aa8a62c1e6fp-8, -0x1.dad3c00e0941ap-8, -0x1.d3111d0c5925dp-8, -0x1.cb631b1f4d697p-8, -0x1.c3ca421168fc1p-8, -0x1.bc47168090871p-8, -0x1.b4da08efd89e4p-8, -0x1.ad836da6a4p-8, -0x1.a643772b9e858p-8, -0x1.9f1a31a7ab306p-8, -0x1.98078cd3d6398p-8, -0x1.910b641061ddbp-8, -0x1.8a2585270696fp-8, -0x1.8355b71d2eda8p-8, -0x1.7c9bbc3c2cca3p-8, -0x1.75f74f7674763p-8, -0x1.6f6820733595cp-8, -0x1.68edd2a714acap-8, -0x1.628802e8f5dd8p-8, -0x1.5c3653ef0a441p-8, -0x1.55f87e5fe8cf4p-8, -0x1.4fce5e75ecd44p-8, -0x1.49b7f904b5eecp-8, -0x1.43b574518ff3bp-8, -0x1.3dc705c0b3948p-8, -0x1.37ecda2108f83p-8, -0x1.322701589798fp-8, -0x1.2c7565c805b8fp-8, -0x1.26d7d38fd2c04p-8, -0x1.214e0d5012092p-8, -0x1.1bd7e5bcf22dbp-8, -0x1.1675525816822p-8, -0x1.11266d695d6e5p-8, -0x1.0beb6393592ecp-8, -0x1.06c451ee24ea4p-8, -0x1.01b121296108ap-8, -0x1.f962daf353dffp-9, -0x1.ef8910047a289p-9, -0x1.e5d32aeb8ee0cp-9, -0x1.dc3f8424d6973p-9, -0x1.d2ccf31aa9e26p-9, -0x1.c97b1c73dddcdp-9, -0x1.c04a7f6db6f23p-9, -0x1.b73c3adb2074ap-9, -0x1.ae519f433f87fp-9, -0x1.a58bb85d1e7a8p-9, -0x1.9ceafa55a48c9p-9, -0x1.946f2d8710a89p-9, -0x1.8c17971a6a6ddp-9, -0x1.83e3453fa7bbbp-9, -0x1.7bd15ca21e245p-9, -0x1.73e14abdce039p-9, -0x1.6c12cecd2a835p-9, -0x1.6465d9d99756bp-9, -0x1.5cda5231dfc1dp-9, -0x1.556fce05a7048p-9, -0x1.4e255c58d38bap-9, -0x1.46f97301d188ap-9, -0x1.3fea125c3ba96p-9, -0x1.38f520f3e0addp-9, -0x1.3218eb05b13bbp-9, -0x1.2b549b2e6621bp-9, -0x1.24a879463ae42p-9, -0x1.1e15ce53e1c2dp-9, -0x1.179e73cf60fc8p-9, -0x1.11443bd85cdeep-9, -0x1.0b087e855f406p-9, -0x1.04ebecedf1f75p-9, -0x1.fddd41748b4e7p-10, -0x1.f220bfa21be58p-10, -0x1.e6a1a5cfd3434p-10, -0x1.db5f385fa5bb4p-10, -0x1.d05895fe23863p-10, -0x1.c58c63226962ap-10, -0x1.baf8798176c8ap-10, -0x1.b099e594bbac9p-10, -0x1.a66d478b1b4fp-10, -0x1.9c6f5e99ca4e9p-10, -0x1.929d647116846p-10, -0x1.88f50b32f2b11p-10, -0x1.7f7442aae00cp-10, -0x1.76191a2d76acdp-10, -0x1.6ce1fb97a986ep-10, -0x1.63ce2c895339ap-10, -0x1.5ade397cee5cbp-10, -0x1.5213ea4b31f9dp-10, -0x1.4971b211b5ce1p-10, -0x1.40f9f2bab8f89p-10, -0x1.38ae7f66e16d6p-10, -0x1.30907b2e942c7p-10, -0x1.28a06dac8b3e3p-10, -0x1.20de76ed2c613p-10, -0x1.194aa70a0fac7p-10, -0x1.11e54b36e1726p-10, -0x1.0aaece08e7cdbp-10, -0x1.03a71093a19ecp-10, -0x1.f999573798f85p-11, -0x1.ec3956c968d33p-11, -0x1.df25f64159d2cp-11, -0x1.d25695c28bbc4p-11, -0x1.c5c41930eb1ccp-11, -0x1.b96a476fb5f91p-11, -0x1.ad47fd8076861p-11, -0x1.a15e20753335ep-11, -0x1.95add97ee0c5cp-11, -0x1.8a370fa9d45fp-11, -0x1.7ef7fc96dbbd6p-11, -0x1.73ee1c43c0951p-11, -0x1.6917d2bee1ff7p-11, -0x1.5e75a6f5c06cdp-11, -0x1.540a64b60c3a9p-11, -0x1.49da299f7879fp-11, -0x1.3fe898c1fefccp-11, -0x1.3636f739ba7dap-11, -0x1.2cc3d2cb14531p-11, -0x1.238ce9881f453p-11, -0x1.1a915ced63642p-11, -0x1.11d1b4acf5ec8p-11, -0x1.094e1659016a8p-11, -0x1.010518d175987p-11, -0x1.f1e85b38b7726p-12, -0x1.e23116a8d6f8fp-12, -0x1.d2def0ef35211p-12, -0x1.c3ec07dd6091p-12, -0x1.b551d02960953p-12, -0x1.a70a1a34af455p-12, -0x1.9910e1368cf36p-12, -0x1.8b658c48f6ecfp-12, -0x1.7e0ab34fb2aaap-12, -0x1.7104165ae2569p-12, -0x1.6452be2f1adf9p-12, -0x1.57f1db5133adcp-12, -0x1.4bd7117580e82p-12, -0x1.3ff83e27d77f8p-12, -0x1.3453cf42199a1p-12, -0x1.28f3c2f3711fep-12, -0x1.1de66257fadcdp-12, -0x1.1331ef63fb627p-12, -0x1.08d01ba615d91p-12, -0x1.fd6d35fb2b99ap-13, -0x1.e9c30c56daffp-13, -0x1.d6a5d9aa67b86p-13, -0x1.c416df08ce1c2p-13, -0x1.b20e2dabe9bbap-13, -0x1.a080592d3a7ddp-13, -0x1.8f65848a9d71cp-13, -0x1.7ebbbc901b676p-13, -0x1.6e85a4bdae599p-13, -0x1.5ec7bc24750f6p-13, -0x1.4f856cd85e852p-13, -0x1.40bea92b9d688p-13, -0x1.326e908e3afd5p-13, -0x1.248b490e63642p-13, -0x1.1708728507eaap-13, -0x1.09de1c3f9a943p-13, -0x1.fa21014b520a5p-14, -0x1.e15c45400d895p-14, -0x1.c97e21d2224dep-14, -0x1.b264b107a82c5p-14, -0x1.9bcac705a38bbp-14, -0x1.8593738945f6ep-14, -0x1.6ff3c2657884ap-14, -0x1.5b328e4b89da2p-14, -0x1.4752773f04d73p-14, -0x1.341b2d967f2cbp-14, -0x1.216852b17da65p-14, -0x1.0f47cf0edac38p-14, -0x1.fb9d103983075p-15, -0x1.d9ee40a8d3671p-15, -0x1.b95add6f347fep-15, -0x1.99c390586f76cp-15, -0x1.7b1b1e18a8683p-15, -0x1.5d5ec939ae69dp-15, -0x1.408ff8d7efcf1p-15, -0x1.24b3c5aad7674p-15, -0x1.09d4d72f3817bp-15, -0x1.e004976eea251p-16, -0x1.ae93a8b4cfff8p-16, -0x1.7f5f82c395ba1p-16, -0x1.524a9d5a888fcp-16, -0x1.26f99a5546a9p-16, -0x1.f9d42eb0d3cb2p-17, -0x1.a7d7184d34c63p-17, -0x1.58e0a5657ea03p-17, -0x1.0e13b9817a273p-17, -0x1.8ea77b165d1fp-18, -0x1.06c20e103d817p-18, -0x1.052299604d99ep-19, -0x1.5f41f065b9e38p-25, 0x1.da036616c14d4p-20, 0x1.d1591a8b6786cp-19, 0x1.5623b27c5b044p-18, 0x1.c0a444d12ab8dp-18, 0x1.136d4e404766cp-17, 0x1.439db34a6c23dp-17, 0x1.7115ab2abf655p-17, 0x1.9c5c717f07b54p-17, 0x1.c5bc2aaa22c14p-17, 0x1.ed43a7b6cc899p-17, 0x1.0977602910dd5p-16, 0x1.1b5ea50db4dbdp-16, 0x1.2c5bf652241cap-16, 0x1.3c758745d2329p-16, 0x1.4baec659bbe33p-16, 0x1.5a050226ed5c8p-16, 0x1.67710102597a4p-16, 0x1.73ec31e86ca61p-16, 0x1.7f711a5649462p-16, 0x1.89fcfd62486f1p-16, 0x1.93b091c42ee64p-16, 0x1.9cddaf7b176a9p-16, 0x1.a59ada77882f3p-16, 0x1.ad9f0829ba747p-16, 0x1.b4ec2e52520afp-16, 0x1.bbc94cdbfec9cp-16, 0x1.c2013b62ba6dcp-16, 0x1.c733a6f0d81c6p-16, 0x1.cb94719c7d66dp-16, 0x1.cf8f8d1482bep-16, 0x1.d327b5f3ca749p-16, 0x1.d6613a2e41e4ap-16, 0x1.d95a4fe4241ep-16, 0x1.dbd037591591cp-16, 0x1.dd94ba82c4c28p-16, 0x1.decffaf8ae456p-16, 0x1.dfa9473a24b08p-16, 0x1.e02a86f0e218bp-16, 0x1.e051c5c154c77p-16, 0x1.e01ce2391744bp-16, 0x1.df8c0c34e961ap-16, 0x1.dea173439a61fp-16, 0x1.dd60bb9894e28p-16, 0x1.dbce6a8538056p-16, 0x1.d9ef0293847dp-16, 0x1.d7c60506ea069p-16, 0x1.d555efcdb71cbp-16, 0x1.d2a1bf0297c51p-16, 0x1.cfab01823d61dp-16, 0x1.cc66a27cee785p-16, 0x1.c8c34fa158b47p-16, 0x1.c4da9a847cfep-16, 0x1.c0d462f08d1cbp-16, 0x1.bcabd4ec6bb18p-16, 0x1.b86f3e318d17fp-16, 0x1.b40ab4064d242p-16, 0x1.af5badf7b4e5bp-16, 0x1.aa7948c9b1cd5p-16, 0x1.a57361c76af3cp-16, 0x1.a03815a534578p-16, 0x1.9aca0c7613d33p-16, 0x1.954ccd5d03cf4p-16, 0x1.8fc8ed52af35bp-16, 0x1.8a3d166290642p-16, 0x1.84890a24d2a29p-16, 0x1.7ea527248db9ap-16, 0x1.78a98f7b36019p-16, 0x1.72a05325aaca6p-16, 0x1.6c8867a985e1ep-16, 0x1.6660c8b66e9e6p-16, 0x1.6029dbe1098adp-16, 0x1.59e4d1e90d20ep-16, 0x1.5393102d28377p-16, 0x1.4d35406d1e97dp-16, 0x1.46ccf46497399p-16, 0x1.405c313409e59p-16, 0x1.39e4e362c0229p-16, 0x1.336897ba6e464p-16, 0x1.2ce8a79d10da3p-16, 0x1.2666f47b2874ep-16, 0x1.1fe47da455891p-16, 0x1.195afdfa4ad37p-16, 0x1.12c28e3061b9ap-16, 0x1.0c2b12177ee78p-16, 0x1.05a3095a8617ep-16, 0x1.fe4f41f6f098bp-17, 0x1.f14fdc6f7e937p-17, 0x1.e44a825ed650fp-17, 0x1.d754e12ef17dcp-17, 0x1.ca722a00cddfdp-17, 0x1.bda07eeeb62e7p-17, 0x1.b0e0751f45123p-17, 0x1.a43242faca16p-17, 0x1.978df97460f04p-17, 0x1.8af0e19172697p-17, 0x1.7e72059166d81p-17, 0x1.721835f326214p-17, 0x1.65cef87ec73b2p-17, 0x1.59942186ddfc5p-17, 0x1.4d7456b9ac695p-17, 0x1.4171e92fd8b9ap-17, 0x1.358bd2fe3d167p-17, 0x1.29c1e28dde441p-17, 0x1.1e149176c158fp-17, 0x1.12848ec3fea3dp-17, 0x1.071291d3fba2ep-17, 0x1.f77eaa682cb82p-18, 0x1.e117375dc1d7ap-18, 0x1.caf05aeccc8a8p-18, 0x1.b50b8adba7d1dp-18, 0x1.9f69e9006851cp-18, 0x1.8a0c3ca14d30ep-18, 0x1.74f38f174c621p-18, 0x1.6021b6aa80535p-18, 0x1.4b95f76b48bf6p-18, 0x1.3748aa12a0b59p-18, 0x1.2341ddf71fe1ep-18, 0x1.0f8f31445b7e3p-18, 0x1.f84404158f99fp-19, 0x1.d1f08032a6164p-19, 0x1.ac343e2e6431bp-19, 0x1.870fa16bc605ap-19, 0x1.6280ca2674623p-19, 0x1.3e87721f8bacep-19, 0x1.1b23daa5d726cp-19, 0x1.f0ac3fe01f657p-20, 0x1.ac3c7f97a918dp-20, 0x1.68f96888da27dp-20, 0x1.26e57efe95a4cp-20, 0x1.cbfda48d81d83p-21, 0x1.4c75af51dc73dp-21, 0x1.9e9c2c1323d0cp-22, 0x1.5221dcdd93433p-23, -0x1.1fbb0ce2aa54ep-24, -0x1.344c16de9eb54p-22, -0x1.0e0ae14a65c05p-21, -0x1.7f9c7da32529ap-21, -0x1.eed692dafea44p-21, -0x1.2dd8fb460bf7bp-20, -0x1.6320ccab30015p-20, -0x1.9747f1c191895p-20, -0x1.ca4e049c55501p-20, -0x1.fc33a92ff7aadp-20, -0x1.167d34e13df0ep-19, -0x1.2e5207af363b3p-19, -0x1.4599453a36b49p-19, -0x1.5c5400459142bp-19, -0x1.728347dd8a711p-19, -0x1.8827e31650153p-19, -0x1.9d42db8e556c6p-19, -0x1.b1d6cb8302042p-19, -0x1.c5e320c7b89f2p-19, -0x1.d969fcb9fd554p-19, -0x1.ec6d13efe3634p-19, -0x1.feec601c2d9efp-19, -0x1.0874be6261428p-18, -0x1.1132f94e9180cp-18, -0x1.19b18dc401b4ap-18, -0x1.21f1247e87346p-18, -0x1.29f26854379d7p-18, }}, 
      {{0x1.358835f485f9bp-5, 0x1.315595b28d715p-4, 0x1.c003d60abfe43p-4, 0x1.21f141ef067dap-3, 0x1.5d6adcee34975p-3, 0x1.91c197d90ea72p-3, 0x1.be9c472e9723fp-3, 0x1.e3e75f2f6a49dp-3, 0x1.00e36f656ccb4p-2, 0x1.0c44a54c07bbap-2, 0x1.144e0dada7643p-2, 0x1.1940e6308c8d3p-2, 0x1.1b64c9808f2fep-2, 0x1.1b045762ad1eap-2, 0x1.186a9716ecc4cp-2, 0x1.13e0fc7cc3d77p-2, 0x1.0dadf6d8b63f8p-2, 0x1.0613f100b1b47p-2, 0x1.faa159b946ae3p-3, 0x1.e739cdb519a1cp-3, 0x1.d258617968f28p-3, 0x1.bc59eb90cdb8bp-3, 0x1.a59139aebcf46p-3, 0x1.8e477e5d0246fp-3, 0x1.76bcda4c20482p-3, 0x1.5f28f72c75f81p-3, 0x1.47bbac6884d9p-3, 0x1.309da7fd18cd4p-3, 0x1.19f116f8791d4p-3, 0x1.03d249c5ca0e9p-3, 0x1.dcb0a4354c8fep-4, 0x1.b32b31311c9b2p-4, 0x1.8b30d1746caf1p-4, 0x1.64d6e55201ffep-4, 0x1.402c8561336a7p-4, 0x1.1d3b5c27fe8e9p-4, 0x1.f810d5e711716p-5, 0x1.b92975b1469aep-5, 0x1.7dbbf5b4174b8p-5, 0x1.45be187676bdcp-5, 0x1.1120fc745a07bp-5, 0x1.bfa3ea4be9501p-6, 0x1.637690cc6e4f4p-6, 0x1.0d89a5c2ea5aep-6, 0x1.7b5258443518bp-7, 0x1.ce799162cd046p-8, 0x1.7984e57a4bd43p-9, -0x1.fb43b38291facp-11, -0x1.26f1a266da898p-8, -0x1.fac43f2bdb536p-8, -0x1.5de54604e16fp-7, -0x1.b5763e6f314f7p-7, -0x1.0243a6d497627p-6, -0x1.25c4474f793e4p-6, -0x1.4573ca250b1eep-6, -0x1.61878f89cc123p-6, -0x1.7a33715eb3c8ap-6, -0x1.8fa9ad2a82466p-6, -0x1.a21ad4041581bp-6, -0x1.b1b5bf813d555p-6, -0x1.bea78adffb99fp-6, -0x1.c91b8fbd0a6bdp-6, -0x1.d13b65c3de295p-6, -0x1.d72ee4daa7d33p-6, -0x1.db1c29605566dp-6, -0x1.dd279a21debc1p-6, -0x1.dd73efbaecb73p-6, -0x1.dc223d213c87ep-6, -0x1.d951f92421631p-6, -0x1.d52108b25d81fp-6, -0x1.cfabc9bda26bcp-6, -0x1.c90d1e9b54485p-6, -0x1.c15e79c4a8d1fp-6, -0x1.b8b7e9dd4e31dp-6, -0x1.af3025eb7e29p-6, -0x1.a4dc99acd604cp-6, -0x1.99d171fa25723p-6, -0x1.8e21a927a4e65p-6, -0x1.81df13595ade6p-6, -0x1.751a6abae95edp-6, -0x1.67e35b969b02cp-6, -0x1.5a48903c73116p-6, -0x1.4c57bcb879758p-6, -0x1.3e1daa499869bp-6, -0x1.2fa6429bd2942p-6, -0x1.20fc9ab6c9191p-6, -0x1.122afda791fp-6, -0x1.033af6d5cd6cep-6, -0x1.e86ab81cb402ap-7, -0x1.ca44ae64c34a2p-7, -0x1.ac12df37f02ebp-7, -0x1.8de3263de6c47p-7, -0x1.6fc23d7812fc1p-7, -0x1.51bbce0416379p-7, -0x1.33da8005d2929p-7, -0x1.16280a014f1cp-7, -0x1.f15a7f1bedbcdp-8, -0x1.b6e43f551788dp-8, -0x1.7cfbc1d402e46p-8, -0x1.43ae009309dp-8, -0x1.0b06958acfa31p-8, -0x1.a61fac82d8b84p-9, -0x1.37a5ccea6a416p-9, -0x1.955f36eaea8f1p-10, -0x1.7d2c608f79aaep-11, 0x1.4f74ffc35448ap-14, 0x1.ca69729037379p-11, 0x1.b210c15693718p-10, 0x1.3dbe9cdc3fe02p-9, 0x1.a0b759b041cb8p-9, 0x1.00f71ff391e46p-8, 0x1.30b0107505728p-8, 0x1.5f8577cab65a6p-8, 0x1.8d76cedbf0f67p-8, 0x1.ba840ddd0af6cp-8, 0x1.e6ad939a1b51ap-8, 0x1.08fa15144e096p-7, 0x1.1e2c77a4c8e06p-7, 0x1.32eeac1ee2fbdp-7, 0x1.47419474404ddp-7, 0x1.5b263161789d6p-7, 0x1.6e9da60725245p-7, 0x1.81a92c4b9ad24p-7, 0x1.944a1a367b0d9p-7, 0x1.a681d933682a8p-7, 0x1.b851e90e6c738p-7, 0x1.c9bbd5c03821dp-7, 0x1.dac13e9171126p-7, 0x1.eb63c97bed258p-7, 0x1.fba52b1e41507p-7, 0x1.05c38fa384bfdp-6, 0x1.0d85b3a1242c4p-6, 0x1.1519e6c95a889p-6, 0x1.1c810da0e3b35p-6, 0x1.23bc10b03ededp-6, 0x1.2acbd617a5381p-6, 0x1.31b1464856dbap-6, 0x1.386d48a67a4e6p-6, 0x1.3f00c34b1e39ep-6, 0x1.456c9a794f2c1p-6, 0x1.4bb1b2878db1ep-6, 0x1.51d0ead15709p-6, 0x1.57cb232ad5b8ap-6, 0x1.5da135421b8e5p-6, 0x1.6353f9e0ffe0ap-6, 0x1.68e44605d2081p-6, 0x1.6e52ead41462ep-6, 0x1.73a0b5954f708p-6, 0x1.78ce6f07e0b8p-6, 0x1.7ddcdd34897bfp-6, 0x1.82ccc04c235d7p-6, 0x1.879ed563d795fp-6, 0x1.8c53d3dd4c8fep-6, 0x1.90ec6e5e6db12p-6, 0x1.956953fd6f52ep-6, 0x1.99cb2e7031fc1p-6, 0x1.9e12a2960cd36p-6, 0x1.a2405084cec43p-6, 0x1.a654d3629533fp-6, 0x1.aa50c102740a1p-6, 0x1.ae34abcf08c91p-6, 0x1.b2011faa9583p-6, 0x1.b5b6a50a0c971p-6, 0x1.b955bebaa0a94p-6, 0x1.bcdeea3667dfcp-6, 0x1.c052a1af53f0dp-6, 0x1.c3b15a1c659bp-6, 0x1.c6fb83cffc62dp-6, 0x1.ca318aa7d4403p-6, 0x1.cd53d61d91d1cp-6, 0x1.d062c9591b797p-6, 0x1.d35ec31c8d5eep-6, 0x1.d6481dba6890cp-6, 0x1.d91f30d0c28cp-6, 0x1.dbe44e10878e4p-6, 0x1.de97c5169346ep-6, 0x1.e139e090c56c4p-6, 0x1.e3cae6f6120d6p-6, 0x1.e64b1c7d5668ap-6, 0x1.e8bac154254b7p-6, 0x1.eb1a122307953p-6, 0x1.ed69484922f05p-6, 0x1.efa899f404f08p-6, 0x1.f1d83a3902cf9p-6, 0x1.f3f85931d1e3cp-6, 0x1.f6092417c259cp-6, 0x1.f80ac5433f22ap-6, 0x1.f9fd6420a934p-6, 0x1.fbe126896ddc6p-6, 0x1.fdb62edbcb34ap-6, 0x1.ff7c9d80ff268p-6, 0x1.009a48b02a218p-5, 0x1.016f12a806e46p-5, 0x1.023cb9e6daab5p-5, 0x1.03034a9dcf337p-5, 0x1.03c2cff90161ap-5, 0x1.047b544c86f4fp-5, 0x1.052ce12355373p-5, 0x1.05d77f4ac6242p-5, 0x1.067b36de7857fp-5, 0x1.07180f53e02c8p-5, 0x1.07ae0f859aeb3p-5, 0x1.083d3dbef3f3fp-5, 0x1.08c59fc5fecaap-5, 0x1.09473ad92df48p-5, 0x1.09c213b7ef9fbp-5, 0x1.0a362f1e5d75cp-5, 0x1.0aa390ec1cb08p-5, 0x1.0b0a3ceb33af6p-5, 0x1.0b6a36e9e96c5p-5, 0x1.0bc3819616411p-5, 0x1.0c162010a7cf4p-5, 0x1.0c6215485e9c7p-5, 0x1.0ca763e3a5a54p-5, 0x1.0ce60e682f341p-5, 0x1.0d1e1747791f2p-5, 0x1.0d4f80e5aaf2p-5, 0x1.0d7a4da08a41ep-5, 0x1.0d9e7fd6d0d1fp-5, 0x1.0dbc19ef95b79p-5, 0x1.0dd31e61723c6p-5, 0x1.0de38fb9557ap-5, 0x1.0ded70a11b715p-5, 0x1.0df0c3e5fe21bp-5, 0x1.0ded8c7de3a6fp-5, 0x1.0de3cd85ae832p-5, 0x1.0dd38a421e184p-5, 0x1.0dbcc66be405ep-5, 0x1.0d9f85c9a6e48p-5, 0x1.0d7bcc3cd2dd3p-5, 0x1.0d519e882c0aap-5, 0x1.0d2100edd35d5p-5, 0x1.0ce9f8437ca4p-5, 0x1.0cac89ed9b38cp-5, 0x1.0c68bb8108a2bp-5, 0x1.0c1e92defda9bp-5, 0x1.0bce1641f7af5p-5, 0x1.0b774c400e77cp-5, 0x1.0b1a3bcc34b0dp-5, 0x1.0ab6ec379066dp-5, 0x1.0a4d6532e23ffp-5, 0x1.09ddaecfd903bp-5, 0x1.0967d182440f8p-5, 0x1.08ebd621267b7p-5, 0x1.0869c5e792a69p-5, 0x1.07e1aa75531ap-5, 0x1.07538dcf7df4ap-5, 0x1.06bf7a60ff31dp-5, 0x1.06257afaf0451p-5, 0x1.05859ad3f2622p-5, 0x1.04dfe58377aa4p-5, 0x1.04346701dcdb3p-5, 0x1.03832bd1e71edp-5, 0x1.02cc40bbfc601p-5, 0x1.020fb2cbdec08p-5, 0x1.014d8fe8270cbp-5, 0x1.0085e5d633e49p-5, 0x1.ff71859259a9dp-6, 0x1.fdcc6b376e67fp-6, 0x1.fc1c9ae375569p-6, 0x1.fa623382ea4aep-6, 0x1.f89d54bba58f6p-6, 0x1.f6ce1eebc26a9p-6, 0x1.f4f4b324c9557p-6, 0x1.f3113327d61e2p-6, 0x1.f123c16285e29p-6, 0x1.ef2c80eab5c22p-6, 0x1.ed2b9578d673fp-6, 0x1.eb212362a0fap-6, 0x1.e90d4f97e659ep-6, 0x1.e6f03fa02d84p-6, 0x1.e4ca199674d54p-6, 0x1.e29b0422192b6p-6, 0x1.e063266ec816ep-6, 0x1.de22a826ab55cp-6, 0x1.dbd9b17048e03p-6, 0x1.d9886aedb4064p-6, 0x1.d72efdb8bb4fap-6, 0x1.d4cd9359c404ep-6, 0x1.d26455b93c28fp-6, 0x1.cff36f129d8cdp-6, 0x1.cd7b0a0fe45a2p-6, 0x1.cafb51c67dc2ap-6, 0x1.c8747142d4fbfp-6, 0x1.c5e6945eae344p-6, 0x1.c351e7359152ap-6, 0x1.c0b695810cb6p-6, 0x1.be14cba11691dp-6, 0x1.bb6cb63c5cdep-6, 0x1.b8be8207af3a9p-6, 0x1.b60a5be142dp-6, 0x1.b35070d7d2f88p-6, 0x1.b090ee21af739p-6, 0x1.adcc010eb84bcp-6, 0x1.ab01d6fb9ed7p-6, 0x1.a8329d4933f33p-6, 0x1.a55e8157fb167p-6, 0x1.a285b0879faeap-6, 0x1.9fa858390ebf7p-6, 0x1.9cc6a5cf7bf3cp-6, 0x1.99e0c6ac0b328p-6, 0x1.96f6e8239145cp-6, 0x1.940937727c55ap-6, 0x1.9117e1b2d6b4ap-6, 0x1.8e2313d61b18bp-6, 0x1.8b2afaa1d696cp-6, 0x1.882fc2ad8d9c8p-6, 0x1.853198615e349p-6, 0x1.8230a7f547a91p-6, 0x1.7f2d1d7047391p-6, 0x1.7c2724a4ca3a5p-6, 0x1.791ee9296af4cp-6, 0x1.7614964f3a821p-6, 0x1.73085717f644bp-6, 0x1.6ffa562eaa05dp-6, 0x1.6ceabdee6cb27p-6, 0x1.69d9b86d23ff2p-6, 0x1.66c76f3e36c5p-6, 0x1.63b40ba9dd4efp-6, 0x1.609fb6d84b5abp-6, 0x1.5d8a992d24a9ep-6, 0x1.5a74dab7b50cp-6, 0x1.575ea3599c8c3p-6, 0x1.54481a7d2fe0fp-6, 0x1.513167112909fp-6, 0x1.4e1aaf8be1719p-6, 0x1.4b0419e9227e1p-6, 0x1.47edcba9b3925p-6, 0x1.44d7e9d4f5b63p-6, 0x1.41c298f9c2a8p-6, 0x1.3eadfd2bfa94ap-6, 0x1.3b9a39fee7dd4p-6, 0x1.3887727fddf9fp-6, 0x1.3575c934dc721p-6, 0x1.3265601ee22e2p-6, 0x1.2f5658bc087e1p-6, 0x1.2c48d405a9844p-6, 0x1.293cf26ae0219p-6, 0x1.2632d3ca68d8bp-6, 0x1.232a976ee84efp-6, 0x1.20245c0e8a304p-6, 0x1.1d203fce1d0e7p-6, 0x1.1a1e60446ce07p-6, 0x1.171eda7bf5e3ap-6, 0x1.1421caf041c56p-6, 0x1.11274d88d8266p-6, 0x1.0e2f7d93c9c89p-6, 0x1.0b3a75c404037p-6, 0x1.08485034a4ee8p-6, 0x1.0559266e9df09p-6, 0x1.026d116c208acp-6, 0x1.ff08532eca69ep-7, 0x1.f93d0d8b89613p-7, 0x1.f3788064b3779p-7, 0x1.edbad8f7fbefap-7, 0x1.e8044355c9756p-7, 0x1.e254ea5dc7ea9p-7, 0x1.dcacf7af11c13p-7, 0x1.d70c93f3e6597p-7, 0x1.d173e6b8c0526p-7, 0x1.cbe31631cd382p-7, 0x1.c65a478de59dep-7, 0x1.c0d99edd52ac5p-7, 0x1.bb613ef3dac0ep-7, 0x1.b5f14975b804bp-7, 0x1.b089dee7b2a01p-7, 0x1.ab2b1ebb486f4p-7, 0x1.a5d527540392p-7, 0x1.a0881604e65c8p-7, 0x1.9b440709553c3p-7, 0x1.9609157eb4c16p-7, 0x1.90d75b63231cbp-7, 0x1.8baef19a4e9c1p-7, 0x1.868feff6e4b94p-7, 0x1.817a6d4517d0cp-7, 0x1.7c6e7f52cbe65p-7, 0x1.776c3af2a7f56p-7, 0x1.7273b3f9b324p-7, 0x1.6d84fd3e4efdbp-7, 0x1.68a02893f1eb6p-7, 0x1.63c546cb083cfp-7, 0x1.5ef467af603f1p-7, 0x1.5a2d9a0e0ab67p-7, 0x1.5570ebbe72ac9p-7, 0x1.50be69aedf36bp-7, 0x1.4c161feff0dfap-7, 0x1.477819ba29c19p-7, 0x1.42e4616ca91fbp-7, 0x1.3e5b0087fd16fp-7, 0x1.39dbffa96d57p-7, 0x1.3567668a115efp-7, 0x1.30fd3c02e239fp-7, 0x1.2c9d8614a51e7p-7, 0x1.284849f157ab3p-7, 0x1.23fd8c046078cp-7, 0x1.1fbd4ff801f26p-7, 0x1.1b8798b85b77fp-7, 0x1.175c6875d7fcfp-7, 0x1.133bc0a8451e8p-7, 0x1.0f25a2102163bp-7, 0x1.0b1a0cb0af3b6p-7, 0x1.0718ffdbc9cb8p-7, 0x1.03227a4897026p-7, 0x1.fe6cf3acf488dp-8, 0x1.f6a9f76ea1b96p-8, 0x1.eefbf954f7da8p-8, 0x1.e762f167954ep-8, 0x1.dfded663dc4b9p-8, 0x1.d86f9df9a4dbfp-8, 0x1.d1153cbd5cea2p-8, 0x1.c9cfa61e9ff6dp-8, 0x1.c29ecc6b3ff71p-8, 0x1.bb82a0d8d6b9dp-8, 0x1.b47b139190958p-8, 0x1.ad8813c0e362ap-8, 0x1.a6a98f9cec15dp-8, 0x1.9fdf746b1bdd1p-8, 0x1.9929ae81615c8p-8, 0x1.92882947bed97p-8, 0x1.8bfacf3d1f4fap-8, 0x1.85818a0037122p-8, 0x1.7f1c425a7237ep-8, 0x1.78cae0494a54fp-8, 0x1.728d4b0316c65p-8, 0x1.6c6368f690d8dp-8, 0x1.664d1fc6f10d7p-8, 0x1.604a544a1638bp-8, 0x1.5a5aea8e5dd49p-8, 0x1.547ec5eb3cde3p-8, 0x1.4eb5c919c78a8p-8, 0x1.48ffd64e97b33p-8, 0x1.435ccf4e8ecdcp-8, 0x1.3dcc957bf59b2p-8, 0x1.384f09dba63e1p-8, 0x1.32e40d10e90a8p-8, 0x1.2d8b7f5362c63p-8, 0x1.284540644b1b7p-8, 0x1.23112f77ac998p-8, 0x1.1def2b1f08c5fp-8, 0x1.18df1133d98e7p-8, 0x1.13e0bec61b2e7p-8, 0x1.0ef410207a11ap-8, 0x1.0a18e0df60cc2p-8, 0x1.054f0c1d063ddp-8, 0x1.00966cafb9a98p-8, 0x1.f7ddbae0c2f38p-9, 0x1.eeb072f8873d7p-9, 0x1.e5a4b8c9c0f13p-9, 0x1.dcba44858e348p-9, 0x1.d3f0cf38f39b7p-9, 0x1.cb48120b99ddep-9, 0x1.c2bfc5ad77c5cp-9, 0x1.ba57a2f96e14ep-9, 0x1.b20f6042e170fp-9, 0x1.a9e6b0bb2d23cp-9, 0x1.a1dd47860fcep-9, 0x1.99f2d4a505d9p-9, 0x1.92270526abe8bp-9, 0x1.8a798579b187ap-9, 0x1.82ea022036bafp-9, 0x1.7b7828654d554p-9, 0x1.7423a73d80f86p-9, 0x1.6cec2ffd85965p-9, 0x1.65d176b8a0928p-9, 0x1.5ed3323065be4p-9, 0x1.57f11b5198e45p-9, 0x1.512aec4d5d6ecp-9, 0x1.4a805f7268343p-9, 0x1.43f12df7fc0dcp-9, 0x1.3d7d0ef1bf37cp-9, 0x1.3723b69bb4dbbp-9, 0x1.30e4d61db66e3p-9, 0x1.2ac01bce472aep-9, 0x1.24b533e6a26c9p-9, 0x1.1ec3c9869fea6p-9, 0x1.18eb87dd91f64p-9, 0x1.132c1b4b971fdp-9, 0x1.0d8532564b55fp-9, 0x1.07f67e559cf39p-9, 0x1.027fb3c9502f8p-9, 0x1.fa4114a2a3b3ap-10, 0x1.efb178966ae86p-10, 0x1.e5500c4031001p-10, 0x1.db1c4aab3cad1p-10, 0x1.d115aefe0bb33p-10, 0x1.c73bb26a2cf6bp-10, 0x1.bd8dca84cdb76p-10, 0x1.b40b685e19574p-10, 0x1.aab3f889efc3p-10, 0x1.a186e41006744p-10, 0x1.988391fcd33a2p-10, 0x1.8fa969268d0a6p-10, 0x1.86f7d1bc0a1e9p-10, 0x1.7e6e365b81bdap-10, 0x1.760c04a8f1823p-10, 0x1.6dd0ad8b3bfbbp-10, 0x1.65bba544417cep-10, 0x1.5dcc63881f9d7p-10, 0x1.5602638b60412p-10, 0x1.4e5d23ddc35a4p-10, 0x1.46dc25de4846ap-10, 0x1.3f7eecb68cfafp-10, 0x1.3844fc05dc002p-10, 0x1.312dd69c178eap-10, 0x1.2a38fd840cc9dp-10, 0x1.2365ef05a410dp-10, 0x1.1cb42784fa853p-10, 0x1.16232750cdcf4p-10, 0x1.0fb26e7327e8ep-10, 0x1.09617d1d93a11p-10, 0x1.032fdcd4e0b91p-10, 0x1.fa3a2b18956dcp-11, 0x1.ee515aa7955d5p-11, 0x1.e2a458116e63ep-11, 0x1.d732342b6dc5ap-11, 0x1.cbfa0047562aep-11, 0x1.c0facfe9d46a5p-11, 0x1.b633bab99c645p-11, 0x1.aba3dd894042p-11, 0x1.a14a5a0e042f4p-11, 0x1.972655752388ep-11, 0x1.8d36f68d8bfcfp-11, 0x1.837b6468de9f4p-11, 0x1.79f2c6144546bp-11, 0x1.709c437c5d29p-11, 0x1.677706fb9958cp-11, 0x1.5e823ecc464e1p-11, 0x1.55bd1dbabd90bp-11, 0x1.4d26dadeb2e04p-11, 0x1.44beb0950b904p-11, 0x1.3c83db33ede98p-11, 0x1.347597f81435ep-11, 0x1.2c932484e3fabp-11, 0x1.24dbbf13f6796p-11, 0x1.1d4ea729b9648p-11, 0x1.15eb1e6afec5ep-11, 0x1.0eb0692d7b891p-11, 0x1.079dce9845dbp-11, 0x1.00b29893e8bafp-11, 0x1.f3dc2807311e7p-12, 0x1.e69f23469d55p-12, 0x1.d9accebce3786p-12, 0x1.cd03e2b1159a2p-12, 0x1.c0a3233a7924fp-12, 0x1.b4895bb3bf142p-12, 0x1.a8b5571b6eedep-12, 0x1.9d25d86dfc718p-12, 0x1.91d996b5022e8p-12, 0x1.86cf3eea43e64p-12, 0x1.7c057abeba1ccp-12, 0x1.717af8e56a904p-12, 0x1.672e73554870ep-12, 0x1.5d1eb1d07dd2cp-12, 0x1.534a8930370e1p-12, 0x1.49b0d8d31f5cap-12, 0x1.4050871d440a7p-12, 0x1.37287d59d0bdep-12, 0x1.2e37a3c57ed3dp-12, 0x1.257cdfa572639p-12, 0x1.1cf715c5ea546p-12, 0x1.14a5323eb4088p-12, 0x1.0c86335237d17p-12, 0x1.0499325cde45bp-12, 0x1.f9bac8e7bc7edp-13, 0x1.eaa418f3fc885p-13, 0x1.dbecce10f5ba4p-13, 0x1.cd935d4ae6345p-13, 0x1.bf95fad1b5497p-13, 0x1.b1f2891862591p-13, 0x1.a4a706454af5ep-13, 0x1.97b145b4af054p-13, 0x1.8b0f1aa9050bfp-13, 0x1.7ebe8dea4c198p-13, 0x1.72bdcf44a6f6cp-13, 0x1.670b270952d08p-13, 0x1.5ba4ecf73d179p-13, 0x1.508981644646ap-13, 0x1.45b7481f007c4p-13, 0x1.3b2ca43d6bdfdp-13, 0x1.30e7f5060b18ap-13, 0x1.26e797354895cp-13, 0x1.1d29ef4beb062p-13, 0x1.13ad7d780841fp-13, 0x1.0a70f3305948ep-13, 0x1.01733ca7ed5dep-13, 0x1.f166e7363da58p-14, 0x1.e0617b0cbb25cp-14, 0x1.cfd449d9f5e41p-14, 0x1.bfbd03357878cp-14, 0x1.b018f4d481c71p-14, 0x1.a0e534dddfab9p-14, 0x1.921ed2297b04ap-14, 0x1.83c2f1d722a73p-14, 0x1.75ced9e484c5ep-14, 0x1.683ff54a758ebp-14, 0x1.5b13d685897b2p-14, 0x1.4e48321967d63p-14, 0x1.41dacbbdb7704p-14, 0x1.35c95ccf9f1bdp-14, 0x1.2a11842f80dc5p-14, 0x1.1eb0cccb8c862p-14, 0x1.13a4c88e935e5p-14, 0x1.08eb2da091e9bp-14, 0x1.fd03c76f439d5p-15, 0x1.e8ce012b93bd2p-15, 0x1.d531859db4f6bp-15, 0x1.c22b2a64c26e2p-15, 0x1.afb82278aea7bp-15, 0x1.9dd5dceb61e01p-15, 0x1.8c81b9d3ae217p-15, 0x1.7bb8c27a9995fp-15, 0x1.6b779c878d7d7p-15, 0x1.5bbac009c5a15p-15, 0x1.4c7eb83140435p-15, 0x1.3dc0328d5ff97p-15, 0x1.2f7be3f03fac1p-15, 0x1.21ae7b4bd0ee3p-15, 0x1.1454bb70b1c5fp-15, 0x1.076b9e03304c8p-15, 0x1.f5e0bc661aab3p-16, 0x1.ddc0cc234be03p-16, 0x1.c6724f0c1a17cp-16, 0x1.afefd7cacb839p-16, 0x1.9a335e1a378dfp-16, 0x1.85364ba58a03fp-16, 0x1.70f1fedb35d5fp-16, 0x1.5d6061d68d4ffp-16, 0x1.4a7bf9dc744b8p-16, 0x1.3840cf692f467p-16, 0x1.26ac19bc45d27p-16, 0x1.15b9692f4f3c1p-16, 0x1.05659f5cecd62p-16, 0x1.eb5911638b07ap-17, 0x1.cd11f5a371068p-17, 0x1.afed3835be7cep-17, 0x1.93e2c07cfbaa8p-17, 0x1.78eb0a1b6f451p-17, 0x1.5eff6a71a4c2bp-17, 0x1.46194894ce2b1p-17, 0x1.2e311f99cb7e7p-17, 0x1.173eaba7d292bp-17, 0x1.0139f78d50965p-17, 0x1.d837f240fb46bp-18, 0x1.afbcc77e70ffp-18, 0x1.88f690a547918p-18, 0x1.63d9ac8d3efc6p-18, 0x1.405a5cf7c1c9p-18, 0x1.1e6c85e9214b2p-18, 0x1.fc072901f6c2ep-19, 0x1.be24eb47eacf9p-19, 0x1.83173d1c998ep-19, 0x1.4ac303fd2046cp-19, 0x1.150f59216b138p-19, 0x1.c3cf670c56278p-20, 0x1.6276f0f657a9dp-20, 0x1.05f52878dca67p-20, 0x1.5c4998dcb9473p-21, 0x1.6b715d930d9d5p-22, 0x1.7e449a9691d99p-25, -0x1.f622de926ce64p-23, -0x1.0ae8a9590bc04p-21, -0x1.908b1dcd8846ap-21, -0x1.0751590697ceep-20, -0x1.42a9ca014d436p-20, -0x1.7a6a05a966197p-20, -0x1.aeb901032ec81p-20, -0x1.dfbd50b529813p-20, -0x1.06ca860787f09p-19, -0x1.1c2cb8671eacp-19, -0x1.3011e2c2a9eaep-19, -0x1.4286c5ef4b803p-19, -0x1.5397e343e792cp-19, -0x1.6351d77f9076ep-19, -0x1.71c1c51178b78p-19, -0x1.7ef5098963facp-19, -0x1.8af83a1c96421p-19, -0x1.95d6378c6a61fp-19, -0x1.9f98788869388p-19, -0x1.a848c3ed10175p-19, -0x1.aff2d57663ec5p-19, -0x1.b6a40d33542c9p-19, -0x1.bc6983106c32dp-19, -0x1.c14e3484e9072p-19, -0x1.c559cbf56c577p-19, -0x1.c89149726623dp-19, -0x1.cafb0dfc553e9p-19, -0x1.cca27c27d3f5bp-19, -0x1.cd9621136911ap-19, -0x1.cde205d8e9242p-19, -0x1.cd8bc83d0870fp-19, -0x1.cc94da6c9287p-19, -0x1.cb03bf382d4e2p-19, -0x1.c8e8c024a017fp-19, -0x1.c64a616e4c80dp-19, -0x1.c32c2cc1621a2p-19, -0x1.bf90e0bd9f8bep-19, -0x1.bb7751c66e08p-19, -0x1.b6ee6e645480fp-19, -0x1.b1ff8aefb9f5bp-19, -0x1.acaeba873c1b9p-19, -0x1.a70064f278664p-19, -0x1.a0f9c668091dcp-19, -0x1.9aa07d99eccdcp-19, -0x1.93fa0c9becb6dp-19, -0x1.8d0b4767e08f5p-19, -0x1.85d802c71ad55p-19, -0x1.7e63848ebe98fp-19, -0x1.76b1addf2bb61p-19, -0x1.6ec7cddc30c92p-19, -0x1.66ac0b9c1b6d8p-19, -0x1.5e6425cd7ea67p-19, -0x1.55f46dc09fbb8p-19, -0x1.4d5e9fb0df65ep-19, -0x1.44a3455f52685p-19, -0x1.3bc5eb6842cc3p-19, -0x1.32cce33ee3614p-19, -0x1.29bcb11537b0bp-19, -0x1.20979024c7876p-19, -0x1.17602de1dd26ap-19, -0x1.0e19984e773e9p-19, -0x1.04c5fac7486dfp-19, -0x1.f6d09db36d61bp-20, -0x1.e407e777ccf48p-20, -0x1.d1345e9318adap-20, -0x1.be58996674bd2p-20, -0x1.ab79deda4dbabp-20, -0x1.989d6fc2ad8f2p-20, -0x1.85c790280331ap-20, -0x1.72fbfd772c60dp-20, -0x1.603e33bce602p-20, -0x1.4d917caecc7e3p-20, -0x1.3af9038901fe1p-20, -0x1.2877f2863dfa1p-20, -0x1.16117da9ee6f8p-20, -0x1.03c8c04ffcc5fp-20, -0x1.e3410c5291b13p-21, -0x1.bf367c0305ac2p-21, -0x1.9b769eee8c34fp-21, -0x1.780704185e83p-21, -0x1.54ecd31f3ed34p-21, -0x1.322b33f8e95d1p-21, -0x1.0fc5e234f4b57p-21, -0x1.db838b109f439p-22, -0x1.98458970f8578p-22, -0x1.55dc46b9ece56p-22, -0x1.144c0029aa515p-22, -0x1.a72b7671f5f25p-23, -0x1.2782ca32acf27p-23, -0x1.5355ecc4a9c37p-24, -0x1.6d2af3e33117dp-26, 0x1.321cf9808b26ap-25, 0x1.89915e2b29591p-24, 0x1.3b139c95b5345p-23, 0x1.af6225e9cd456p-23, 0x1.10ddaeb5099c1p-22, 0x1.49136b7662b39p-22, 0x1.80548163170cfp-22, 0x1.b69159edf118ep-22, 0x1.eb9130fbccf92p-22, 0x1.0fb538cc96f41p-21, 0x1.29204c634a149p-21, 0x1.421b1bbaa833cp-21, 0x1.5aafa153a3cd1p-21, 0x1.72b66cccd933bp-21, 0x1.8a2aabb452bbfp-21, 0x1.a113c6dda3c6p-21, 0x1.b774c4280a6e9p-21, 0x1.cd4e34d92008bp-21, 0x1.e2a0384235495p-21, 0x1.f76aedc38cfb6p-21, 0x1.05d74bc6510b8p-20, 0x1.0fb61d73ce5a3p-20, 0x1.1952a8c503d4p-20, 0x1.22acf6c3d7a0fp-20, 0x1.2bc50cf3acfa4p-20, 0x1.349b706061018p-20, 0x1.3d3107f6ac564p-20, 0x1.458626bed776cp-20, 0x1.4d9ada395459p-20, 0x1.556f8648327f6p-20, 0x1.5d04b49a4ccd2p-20, 0x1.645aef39c340ep-20, 0x1.6b72c6f4c9277p-20, 0x1.724cee4b7fa16p-20, 0x1.78e9fbd1c272p-20, 0x1.7f4a1ae3fefe8p-20, 0x1.856dc7f5a9a4ap-20, 0x1.8b55fb951f891p-20, 0x1.910361c6ccc9fp-20, 0x1.96766a1a0a538p-20, 0x1.9bafb575dd8aap-20, 0x1.a0aff8df41c7bp-20, 0x1.a577ebd4ac53cp-20, 0x1.aa08488cdfa94p-20, 0x1.ae61ccd655958p-20, 0x1.b28538f3c060cp-20, 0x1.b6734d4c25ca2p-20, 0x1.ba2cc88012cc3p-20, 0x1.bdb267e8278dfp-20, 0x1.c104eafb32206p-20, 0x1.c425133b0f30ap-20, 0x1.c713aab068433p-20, 0x1.c9d17f7453f0ep-20, 0x1.cc5f59f94ee7cp-20, 0x1.cebe0355da159p-20, 0x1.d0ee4f57b1f41p-20, 0x1.d2f0f5e6b8896p-20, 0x1.d4c6a958091a2p-20, 0x1.d67053fe45704p-20, 0x1.d7eec86ac4ac6p-20, 0x1.d942c4ce5209ep-20, 0x1.da6d153882206p-20, 0x1.db6e8714dc3ecp-20, 0x1.dc47e5b02073p-20, 0x1.dcf9fad55b235p-20, 0x1.dd858e512c0b8p-20, 0x1.ddeb6311767dfp-20, 0x1.de2c3244a761dp-20, 0x1.de48a930d6409p-20, 0x1.de41743490a37p-20, 0x1.de175f3e25597p-20, 0x1.ddcb9462835eep-20, 0x1.dd6028f45449p-20, 0x1.dcd6bb031c96fp-20, 0x1.dc27b7862345cp-20, 0x1.db498e5497d58p-20, 0x1.da4dc6de9b384p-20, 0x1.d93d4a0b5a0a7p-20, 0x1.d8234a89baa1bp-20, 0x1.d6edb1b0f67b4p-20, 0x1.d594da12e4cbfp-20, 0x1.d41e44a3e3611p-20, 0x1.d28d386d47bf2p-20, 0x1.d0e2f1c841f0ep-20, 0x1.cf202a95968ebp-20, 0x1.cd458deaaf047p-20, 0x1.cb53c82ee234fp-20, 0x1.c94b82f9ae581p-20, 0x1.c72d623e9ff47p-20, 0x1.c4fa034a26b2ep-20, 0x1.c2b1fd9601377p-20, 0x1.c055ed2adccb2p-20, 0x1.bde6692055e94p-20, 0x1.bb640cd3efeb8p-20, 0x1.b8cf7204233afp-20, 0x1.b62933bebb542p-20, 0x1.b371ec031f72cp-20, 0x1.b0aa32f9afeap-20, 0x1.add29ea9fa5f6p-20, 0x1.aaebc2c7df006p-20, }}, 
      {{0x1.55d45e94d0e9ep-1, 0x1.634c4870546fap-1, 0x1.75af886f569c4p-1, 0x1.8953e360584c5p-1, 0x1.9b2897475071ap-1, 0x1.a8f54ac10a2e7p-1, 0x1.b15868103a00bp-1, 0x1.b3a8deab0e6cep-1, 0x1.afced8d736d3dp-1, 0x1.a61cec11c99bdp-1, 0x1.972dd92459068p-1, 0x1.83c83993e44e6p-1, 0x1.6cc82c4cb64cdp-1, 0x1.530e749534142p-1, 0x1.377444fb3ee84p-1, 0x1.1ac2ead7e2f3p-1, 0x1.fb5d350cc38b6p-2, 0x1.c1a75c9895bccp-2, 0x1.896b7dcf47701p-2, 0x1.538027d12f1dp-2, 0x1.208e0090d3e3bp-2, 0x1.e227513d516fep-3, 0x1.8ad486c708a22p-3, 0x1.3b947e791e209p-3, 0x1.e9404fc3e2d0bp-4, 0x1.6c03197c90e2ep-4, 0x1.fe70ab3f2c85cp-5, 0x1.44d20b95ab744p-5, 0x1.53b6971012cb7p-6, 0x1.5f9fc5e772514p-8, -0x1.b58a8194dddf5p-8, -0x1.000ac90b35bdfp-6, -0x1.641b99a0fac68p-6, -0x1.9db11c37cd57dp-6, -0x1.b0e474bd436d5p-6, -0x1.a1bc054db00ap-6, -0x1.741f1050485d3p-6, -0x1.2bcc5bffd63afp-6, -0x1.98a6c41ca1ed2p-7, -0x1.643e7df34af1dp-8, 0x1.56d2d37e396d8p-9, 0x1.78fccc99c2f39p-7, 0x1.592922fab7484p-6, 0x1.fe5f622f7a4dbp-6, 0x1.54ee70f716254p-5, 0x1.acc93eab15edp-5, 0x1.02e8fe6c985e2p-4, 0x1.2f99637a73588p-4, 0x1.5c164f2cdf9e3p-4, 0x1.880b0553b9c1ep-4, 0x1.b32cda9b9b9fcp-4, 0x1.dd3a82e0f430dp-4, 0x1.02fdb13a1371ep-3, 0x1.169f72094fb1fp-3, 0x1.296dea70eb295p-3, 0x1.3b57e3adc329p-3, 0x1.4c4f3ee83a3fcp-3, 0x1.5c48ae75bb0d9p-3, 0x1.6b3b73369ab5fp-3, 0x1.79211e17f825fp-3, 0x1.85f555afc39fcp-3, 0x1.91b59fdbd168fp-3, 0x1.9c612f40a99fbp-3, 0x1.a5f8b47e54333p-3, 0x1.ae7e32ec9a361p-3, 0x1.b5f4d8ac3b299p-3, 0x1.bc60d9dcb2b79p-3, 0x1.c1c74ec695c1ap-3, 0x1.c62e14c808e83p-3, 0x1.c99bb1de0c4c2p-3, 0x1.cc173a96bed75p-3, 0x1.cda83a4e4ca67p-3, 0x1.ce569d89fd53p-3, 0x1.ce2a9e4e948e3p-3, 0x1.cd2cb25647f5p-3, 0x1.cb657af7a0268p-3, 0x1.c8ddb6b4553cap-3, 0x1.c59e343682569p-3, 0x1.c1afc6c1f6d24p-3, 0x1.bd1b3bda12ae6p-3, 0x1.b7e9522b23048p-3, 0x1.b222b174dc8e8p-3, 0x1.abcfe38ec845ep-3, 0x1.a4f94e3c840efp-3, 0x1.9da72dfb5ae1ap-3, 0x1.95e1916e637a4p-3, 0x1.8db055ae377bdp-3, 0x1.851b2308d1e5ap-3, 0x1.7c296a88626ebp-3, 0x1.72e263d8c698fp-3, 0x1.694d0bc600401p-3, 0x1.5f70230f59404p-3, 0x1.55522dad51fa7p-3, 0x1.4af9727535995p-3, 0x1.406bfadfa0d7ap-3, 0x1.35af93526199ep-3, 0x1.2ac9cb8c31526p-3, 0x1.1fbff73be8362p-3, 0x1.14972e963f025p-3, 0x1.09544fce6b33ep-3, 0x1.fbf7ff1363228p-4, 0x1.e525556540a2fp-4, 0x1.ce390e643f7e2p-4, 0x1.b73b2b854e302p-4, 0x1.a03346489055cp-4, 0x1.8928934ca273bp-4, 0x1.7221e54fe4db1p-4, 0x1.5b25b0577a553p-4, 0x1.443a0c755d9aap-4, 0x1.2d64ba06cddedp-4, 0x1.16ab22d3ec9eap-4, 0x1.00125f0dfd2d4p-4, 0x1.d33e6f11b8aaep-5, 0x1.a6ac51ec360aep-5, 0x1.7a76cc4a839d7p-5, 0x1.4ea5b8a480d83p-5, 0x1.234068f905236p-5, 0x1.f09b5d9fe9b53p-6, 0x1.9ba7bfbcf13e4p-6, 0x1.47b1b324e2a72p-6, 0x1.e988243b96805p-7, 0x1.45d1b777b6c1fp-7, 0x1.48a5078684162p-8, 0x1.46d6ac0dc78b9p-13, -0x1.2f88d3c0149e7p-8, -0x1.323edbb347c08p-7, -0x1.ca47623deaa9ep-7, -0x1.2fe9593110d5ap-6, -0x1.796b59a9193b8p-6, -0x1.c1a53d30b621p-6, -0x1.04498e0d9bf4bp-5, -0x1.2718ca4d20defp-5, -0x1.493ee30027d8fp-5, -0x1.6abaa3b5d8436p-5, -0x1.8b8b12ef483dbp-5, -0x1.abaf6c6909991p-5, -0x1.cb27207034011p-5, -0x1.e9f1d05286e0fp-5, -0x1.0407a5d9fc47p-4, -0x1.12bfc6d6a7f5ep-4, -0x1.21215da325f9bp-4, -0x1.2f2c8fe38312fp-4, -0x1.3ce1962d835f4p-4, -0x1.4a40b9bb7a8efp-4, -0x1.574a54662618ap-4, -0x1.63fecf5207487p-4, -0x1.705ea1fc5ab9ap-4, -0x1.7c6a513f38c11p-4, -0x1.88226e62e1e9bp-4, -0x1.938796b26b7aap-4, -0x1.9e9a724115328p-4, -0x1.a95bb37d84e52p-4, -0x1.b3cc160f5d064p-4, -0x1.bdec5e6354736p-4, -0x1.c7bd593ff464p-4, -0x1.d13fdad36f4f5p-4, -0x1.da74be1e596a8p-4, -0x1.e35ce469cebbfp-4, -0x1.ebf934c8c064ap-4, -0x1.f44a9b87bbe78p-4, -0x1.fc5209df3428cp-4, -0x1.02083a845f806p-3, -0x1.05c36b1e7d74fp-3, -0x1.095b1502f2e4ep-3, -0x1.0ccfb7ef06895p-3, -0x1.1021d5031c7c9p-3, -0x1.1351ee6fa68dbp-3, -0x1.166087550cb33p-3, -0x1.194e23a04ad3cp-3, -0x1.1c1b47e18271dp-3, -0x1.1ec879215ce07p-3, -0x1.21563cb93c1c1p-3, -0x1.23c51832288dp-3, -0x1.261591415de6ep-3, -0x1.28482d7756af1p-3, -0x1.2a5d7257f92b1p-3, -0x1.2c55e5123d718p-3, -0x1.2e320a723cd72p-3, -0x1.2ff266e85785p-3, -0x1.31977e55c3d74p-3, -0x1.3321d3fb4a534p-3, -0x1.3491ea6791e8dp-3, -0x1.35e843663f4dcp-3, -0x1.37255fef67ea3p-3, -0x1.3849c0173ed25p-3, -0x1.3955e2feb485ep-3, -0x1.3a4a46c53651fp-3, -0x1.3b27687b114d8p-3, -0x1.3bedc42549c0bp-3, -0x1.3c9dd49657d97p-3, -0x1.3d381378b08dp-3, -0x1.3dbcf94cea9aep-3, -0x1.3e2cfd3e08291p-3, -0x1.3e889548b84d7p-3, -0x1.3ed03618b2d5p-3, -0x1.3f0453039d2a8p-3, -0x1.3f255e0b6863bp-3, -0x1.3f33c7db5f6d9p-3, -0x1.3f2fffc0e009bp-3, -0x1.3f1a73a3e0c63p-3, -0x1.3ef39003f1f9p-3, -0x1.3ebbbffa0b8b5p-3, -0x1.3e736d3a19adcp-3, -0x1.3e1b000f8fdfdp-3, -0x1.3db2df5629d77p-3, -0x1.3d3b7076f7eb7p-3, -0x1.3cb51775b4d6ep-3, -0x1.3c2036df5695cp-3, -0x1.3b7d2fdd3637cp-3, -0x1.3acc6233e30c6p-3, -0x1.3a0e2c234defap-3, -0x1.3942ea8dfbdf6p-3, -0x1.386af8ed4cc14p-3, -0x1.3786b152af3f7p-3, -0x1.36966c6b60704p-3, -0x1.359a817fb5c1ep-3, -0x1.349346736d057p-3, -0x1.33810fc9285bfp-3, -0x1.326430a7a5754p-3, -0x1.313cfadd8988p-3, -0x1.300bbee2944d4p-3, -0x1.2ed0cbd82bdc8p-3, -0x1.2d8c6f8babc42p-3, -0x1.2c3ef67ad9e46p-3, -0x1.2ae8abd8c1523p-3, -0x1.2989d9909fc4cp-3, -0x1.2822c84785a3bp-3, -0x1.26b3bf6446cdep-3, -0x1.253d05092d658p-3, -0x1.23bede19018f6p-3, -0x1.22398e4cb6065p-3, -0x1.20ad5817bc9cfp-3, -0x1.1f1a7cc28db3fp-3, -0x1.1d813c6c887ebp-3, -0x1.1be1d60695101p-3, -0x1.1a3c87594bbb7p-3, -0x1.18918d0a0ca9fp-3, -0x1.16e1229ec68aep-3, -0x1.152b82810b966p-3, -0x1.1370e600d05cp-3, -0x1.11b18557a93bap-3, -0x1.0fed97acf63dfp-3, -0x1.0e255319a6407p-3, -0x1.0c58ecaae50dep-3, -0x1.0a889866029abp-3, -0x1.08b4894caf93ep-3, -0x1.06dcf15ee7505p-3, -0x1.0502019da8776p-3, -0x1.0323ea0fa226ap-3, -0x1.0142d9c4fd468p-3, -0x1.febdfdb3d9747p-4, -0x1.faf10cf2d4d93p-4, -0x1.f71f39c6d7c57p-4, -0x1.f348dad57c7a5p-4, -0x1.ef6e44f11ce97p-4, -0x1.eb8fcb38da6dp-4, -0x1.e7adbef63fed8p-4, -0x1.e3c86fba2aeap-4, -0x1.dfe02b6b954f2p-4, -0x1.dbf53e3da926cp-4, -0x1.d807f2b7c0535p-4, -0x1.d41891be7c024p-4, -0x1.d027629a3c182p-4, -0x1.cc34aafc7b62p-4, -0x1.c840af05d123bp-4, -0x1.c44bb14caee2fp-4, -0x1.c055f2e2acc32p-4, -0x1.bc5fb3580733fp-4, -0x1.b86930bfaea43p-4, -0x1.b472a7b60fdbp-4, -0x1.b07c53695307ep-4, -0x1.ac866da00b7bp-4, -0x1.a8912ebd06408p-4, -0x1.a49ccdc1a042ep-4, -0x1.a0a9805161e21p-4, -0x1.9cb77ab8c90efp-4, -0x1.98c6eff5ee0a3p-4, -0x1.94d811bfb70dap-4, -0x1.90eb108956dbfp-4, -0x1.8d001b82ffd7bp-4, -0x1.8917609b52a21p-4, -0x1.85310c8765939p-4, -0x1.814d4acbb878p-4, -0x1.7d6c45bc37e61p-4, -0x1.798e2691f433ap-4, -0x1.75b3156277ca7p-4, -0x1.71db3914138ebp-4, -0x1.6e06b774dc83ap-4, -0x1.6a35b5395438p-4, -0x1.66685600a961p-4, -0x1.629ebc5fac0c2p-4, -0x1.5ed909e79056ep-4, -0x1.5b175f27cb5bep-4, -0x1.5759dbadd78f4p-4, -0x1.53a09e05e9c51p-4, -0x1.4febc3be11a29p-4, -0x1.4c3b696b91f0dp-4, -0x1.488faab1b8438p-4, -0x1.44e8a2494379fp-4, -0x1.41466a06aa43dp-4, -0x1.3da91add9e9dep-4, -0x1.3a10cce210f47p-4, -0x1.367d9748b7f2dp-4, -0x1.32ef9068fa1a8p-4, -0x1.2f66cdc0b2b2p-4, -0x1.2be363f92b70fp-4, -0x1.286566ec45529p-4, -0x1.24ece9a964029p-4, -0x1.2179fe79fdcecp-4, -0x1.1e0cb6e5b2638p-4, -0x1.1aa523b56eef2p-4, -0x1.174354f588a12p-4, -0x1.13e759f770125p-4, -0x1.10914153ce949p-4, -0x1.0d4118ed97836p-4, -0x1.09f6edf6cf464p-4, -0x1.06b2ccf5c69bbp-4, -0x1.0374c1c491e86p-4, -0x1.003cd79842542p-4, -0x1.fa16320dd9f43p-5, -0x1.f3bf1ffda8673p-5, -0x1.ed748ba4d56a8p-5, -0x1.e736867e0fb49p-5, -0x1.e10520d53cb39p-5, -0x1.dae069cbcdea1p-5, -0x1.d4c86f5ddd711p-5, -0x1.cebd3e6749c5ap-5, -0x1.c8bee2aa3eccdp-5, -0x1.c2cd66d6c0bf5p-5, -0x1.bce8d491cab5fp-5, -0x1.b711347aa20ecp-5, -0x1.b1468e2e85041p-5, -0x1.ab88e84c7c183p-5, -0x1.a5d8487b5c584p-5, -0x1.a034b371bea5ap-5, -0x1.9a9e2cfd9a1c2p-5, -0x1.9514b8095b4c7p-5, -0x1.8f98569e97f6p-5, -0x1.8a2909e80a629p-5, -0x1.84c6d234bedcep-5, -0x1.7f71aefd0bf4bp-5, -0x1.7a299ee99ca3cp-5, -0x1.74ee9fdaccc77p-5, -0x1.6fc0aeef392e3p-5, -0x1.6a9fc88814f4ep-5, -0x1.658be84be6c02p-5, -0x1.60850928ccecfp-5, -0x1.5b8b2558419e3p-5, -0x1.569e3665164fcp-5, -0x1.51be35326baf9p-5, -0x1.4ceb1a019b3fap-5, -0x1.4824dc75ed4fep-5, -0x1.436b7396a37bap-5, -0x1.3ebed5d0d3a64p-5, -0x1.3a1ef8fa85f6ep-5, -0x1.358bd257fbec9p-5, -0x1.310556a0c9018p-5, -0x1.2c8b7a043b61bp-5, -0x1.281e3033bfdb6p-5, -0x1.23bd6c63e9c1p-5, -0x1.1f69214b2015ep-5, -0x1.1b214129df14bp-5, -0x1.16e5bdcb52a4ep-5, -0x1.12b6888626a5ap-5, -0x1.0e9392415e795p-5, -0x1.0a7ccb7a22273p-5, -0x1.06722449370c6p-5, -0x1.02738c6736f64p-5, -0x1.fd01e65e74b9p-6, -0x1.f5348f4157408p-6, -0x1.ed7ef0c2af092p-6, -0x1.e5e0e780f75cbp-6, -0x1.de5a4f759e9b7p-6, -0x1.d6eb03fe2d839p-6, -0x1.cf92dfe49f963p-6, -0x1.c851bd65c2f18p-6, -0x1.c1277634d2d93p-6, -0x1.ba13e37d135f1p-6, -0x1.b316dde4d284p-6, -0x1.ac303d911891bp-6, -0x1.a55fda2ce4e93p-6, -0x1.9ea58af1b7aa8p-6, -0x1.980126b3508fep-6, -0x1.917283ebb9c85p-6, -0x1.8af978c618462p-6, -0x1.8495db256226bp-6, -0x1.7e4780a4e2492p-6, -0x1.780e3e92ef1dcp-6, -0x1.71e9e9e8d7eadp-6, -0x1.6bda574415c4p-6, -0x1.65df5ae4d5e23p-6, -0x1.5ff8c8b4131e9p-6, -0x1.5a26745190e75p-6, -0x1.54683127b817ap-6, -0x1.4ebdd2819748ap-6, -0x1.49272b9e85418p-6, -0x1.43a40fbfa667fp-6, -0x1.3e34522c8605p-6, -0x1.38d7c62e3268ep-6, -0x1.338e3f014ded2p-6, -0x1.2e578fc19b855p-6, -0x1.29338b578ae4bp-6, -0x1.2422046cb8f78p-6, -0x1.1f22cd5f4ba14p-6, -0x1.1a35b85209d34p-6, -0x1.155a974c82956p-6, -0x1.10913c515197fp-6, -0x1.0bd97983d2fafp-6, -0x1.07332148f3ecdp-6, -0x1.029e0655799e7p-6, -0x1.fc33f7570fe27p-7, -0x1.f34da90f4328bp-7, -0x1.ea88c881a6a21p-7, -0x1.e1e4fc46e8bf1p-7, -0x1.d961eaa059efdp-7, -0x1.d0ff3951ad88bp-7, -0x1.c8bc8da4e808p-7, -0x1.c0998c9e515f3p-7, -0x1.b895db5aca183p-7, -0x1.b0b11f87175e1p-7, -0x1.a8eaffd56f7adp-7, -0x1.a1432452da5f2p-7, -0x1.99b9368221c5cp-7, -0x1.924ce12cedb35p-7, -0x1.8afdcfec5dafbp-7, -0x1.83cbae7cf5f0dp-7, -0x1.7cb6280184791p-7, -0x1.75bce661cadbfp-7, -0x1.6edf91f10267p-7, -0x1.681dd17c1502ep-7, -0x1.61774acc312afp-7, -0x1.5aeba391bce87p-7, -0x1.547a8294b0e9p-7, -0x1.4e2390f40c3c3p-7, -0x1.47e67b32a1eb9p-7, -0x1.41c2f1d3ce7b6p-7, -0x1.3bb8a9591ff42p-7, -0x1.35c759896612dp-7, -0x1.2feebc115de22p-7, -0x1.2a2e8aada4a44p-7, -0x1.24867d2b3721dp-7, -0x1.1ef647a0d9b18p-7, -0x1.197d993cb51afp-7, -0x1.141c1bf17f238p-7, -0x1.0ed1752a71891p-7, -0x1.099d477f6c4b4p-7, -0x1.047f35328457dp-7, -0x1.feedc62f57b0bp-8, -0x1.f507f6d83e74p-8, -0x1.eb4c6037854c6p-8, -0x1.e1ba77ff2d2fbp-8, -0x1.d851c5aba3c31p-8, -0x1.cf11dfdd1ade3p-8, -0x1.c5fa66b4522d7p-8, -0x1.bd0afcb494324p-8, -0x1.b4433f76302acp-8, -0x1.aba2bff15a8ecp-8, -0x1.a328fcf703af6p-8, -0x1.9ad560a71e85ap-8, -0x1.92a740e9db007p-8, -0x1.8a9de33dd70a6p-8, -0x1.82b8837087471p-8, -0x1.7af65c4f21c3cp-8, -0x1.7356b10d9236fp-8, -0x1.6bd8d5fcb74fbp-8, -0x1.647c37377258dp-8, -0x1.5d405c330ad12p-8, -0x1.5624e7911ffedp-8, -0x1.4f2993248d193p-8, -0x1.484e28b2fea7bp-8, -0x1.41927881442f1p-8, -0x1.3af64f107fed7p-8, -0x1.34796b8c3ad79p-8, -0x1.2e1b7844e76ccp-8, -0x1.27dc0639a216bp-8, -0x1.21ba8c3e2edd3p-8, -0x1.1bb669c75e648p-8, -0x1.15ceecf2ed535p-8, -0x1.10035af71cddcp-8, -0x1.0a52f9dcf8597p-8, -0x1.04bd1a3a623ddp-8, -0x1.fe823f382c753p-9, -0x1.f3bd0ceefaa67p-9, -0x1.e929cda578ca6p-9, -0x1.dec7e69ec7fc8p-9, -0x1.d496e9ab85746p-9, -0x1.ca96874d86be7p-9, -0x1.c0c67df51045fp-9, -0x1.b72688e506889p-9, -0x1.adb6510a2bb64p-9, -0x1.a475617934e9dp-9, -0x1.9b63208757136p-9, -0x1.927ecdcbec6b2p-9, -0x1.89c784d5759e4p-9, -0x1.813c43feee2efp-9, -0x1.78dbf6720a8aep-9, -0x1.70a5801fc568bp-9, -0x1.6897ca2ac2407p-9, -0x1.60b1ce3c0653fp-9, -0x1.58f29f6100da4p-9, -0x1.51596f798d5a5p-9, -0x1.49e590c446732p-9, -0x1.429673a9f0f62p-9, -0x1.3b6ba16d5db9fp-9, -0x1.3464b4b8fee5cp-9, -0x1.2d81511dcce96p-9, -0x1.26c11aec212d1p-9, -0x1.2023b0dea840cp-9, -0x1.19a8a61f736b6p-9, -0x1.134f7f71dc483p-9, -0x1.0d17b46bf839dp-9, -0x1.0700b01b472c8p-9, -0x1.0109d4e99f425p-9, -0x1.f66502c313af1p-10, -0x1.eaf425efdd73cp-10, -0x1.dfbfcdc1ff927p-10, -0x1.d4c6b27c30923p-10, -0x1.ca0787ce83f28p-10, -0x1.bf80fd579ffb2p-10, -0x1.b531c4db78796p-10, -0x1.ab189e2febdc2p-10, -0x1.a134659e1ef6ep-10, -0x1.97841f4c80855p-10, -0x1.8e06fa656e786p-10, -0x1.84bc4936239d2p-10, -0x1.7ba36f9782503p-10, -0x1.72bbcd0628465p-10, -0x1.6a04aa2d8da48p-10, -0x1.617d310964a6bp-10, -0x1.592472f70319fp-10, -0x1.50f97a5c944e6p-10, -0x1.48fb604c9f4fdp-10, -0x1.41295c29de249p-10, -0x1.3982c5115be61p-10, -0x1.3207024a6a4e8p-10, -0x1.2ab56f41e5b2dp-10, -0x1.238d3dda85ffep-10, -0x1.1c8d644ac5829p-10, -0x1.15b4a0c5dc404p-10, -0x1.0f0195516bbcp-10, -0x1.0872f464f37fep-10, -0x1.0207af38eb8bfp-10, -0x1.f77e29079203cp-11, -0x1.eb31a663e9df8p-11, -0x1.df29be182fe4p-11, -0x1.d36682614fecbp-11, -0x1.c7e7ccbf3197fp-11, -0x1.bcacfa8648929p-11, -0x1.b1b4ddf11c554p-11, -0x1.a6fde0c317f9fp-11, -0x1.9c8642abbf68dp-11, -0x1.924c5752fd305p-11, -0x1.884eadb8d12d1p-11, -0x1.7e8c16570fd4fp-11, -0x1.7503893eb986cp-11, -0x1.6bb3f6779bcbap-11, -0x1.629c108d4f50fp-11, -0x1.59ba23c3ad4cap-11, -0x1.510c0bc36c367p-11, -0x1.488f544f72e3dp-11, -0x1.40418586e9fdcp-11, -0x1.38208a27c9c7fp-11, -0x1.302b0ceafaf4bp-11, -0x1.2860a4a291c3ep-11, -0x1.20c1b5d412a03p-11, -0x1.194f134cbff89p-11, -0x1.12098ad887a79p-11, -0x1.0af18684fa904p-11, -0x1.0406e99d3bc27p-11, -0x1.fa9259102bbd3p-12, -0x1.ed6f077c783ddp-12, -0x1.e0a218750892dp-12, -0x1.d429c38e2b3f9p-12, -0x1.c804244e377d7p-12, -0x1.bc2ef655b8768p-12, -0x1.b0a759ecc2cd4p-12, -0x1.a569d6841558fp-12, -0x1.9a72a99e80b57p-12, -0x1.8fbe344b5d001p-12, -0x1.85494231eee8bp-12, -0x1.7b1108f0defefp-12, -0x1.7112fd40222e8p-12, -0x1.674cbe582c669p-12, -0x1.5dbc434d02005p-12, -0x1.546039e16aab6p-12, -0x1.4b3850bb61a31p-12, -0x1.4245268f7a867p-12, -0x1.3987d7902c3f7p-12, -0x1.31016e5b17badp-12, -0x1.28b2886f1804dp-12, -0x1.209b40ddc183p-12, -0x1.18bb415230951p-12, -0x1.1111e849ce57dp-12, -0x1.099e88e9ce42dp-12, -0x1.0260a30a8a585p-12, -0x1.f6af9717e06e3p-13, -0x1.e90665ce13afp-13, -0x1.dbc2397afd649p-13, -0x1.cedd652ed6e61p-13, -0x1.c250abc40fbf1p-13, -0x1.b61491106ab14p-13, -0x1.aa22c748ebb01p-13, -0x1.9e77289fe9358p-13, -0x1.930fd66ee4a52p-13, -0x1.87ec715732fc3p-13, -0x1.7d0cd08abc99fp-13, -0x1.726fe86664dd7p-13, -0x1.68138005f834ep-13, -0x1.5df4e31988b13p-13, -0x1.541215213391p-13, -0x1.4a6ab17dc6823p-13, -0x1.40fffbac0d11ap-13, -0x1.37d42802cea76p-13, -0x1.2ee90d083ce9ep-13, -0x1.263eca7c854bfp-13, -0x1.1dd38e259c28dp-13, -0x1.15a4f2792fa84p-13, -0x1.0db18d7b1a96p-13, -0x1.05f8f156c5772p-13, -0x1.fcf4ddb096d6fp-14, -0x1.ee68962416a19p-14, -0x1.e0481ebdfd513p-14, -0x1.d28e591341de3p-14, -0x1.c53654e1c45f4p-14, -0x1.b83ae6a8dc6aap-14, -0x1.ab967f8cb45dcp-14, -0x1.9f43dd16594cdp-14, -0x1.933f35051c416p-14, -0x1.878729e706143p-14, -0x1.7c1ca15ec1a1cp-14, -0x1.71010d5b4c51ap-14, -0x1.66342fd95ef53p-14, -0x1.5bb1ad349a12dp-14, -0x1.51715b07009efp-14, -0x1.476b880bdaa8dp-14, -0x1.3d9e8f8798c61p-14, -0x1.3410afc030cfap-14, -0x1.2acaf2924e784p-14, -0x1.21d0cf9ec0382p-14, -0x1.191d379b346dp-14, -0x1.10a876f305d01p-14, -0x1.086f2dba5562ep-14, -0x1.0071f57fc3dbp-14, -0x1.f160e8a047b42p-15, -0x1.e24eaf2d81d53p-15, -0x1.d3a485ae77acep-15, -0x1.c55c381e432bbp-15, -0x1.b77384f58e84ap-15, -0x1.a9eb28ea0534dp-15, -0x1.9cc510b1c7ddcp-15, -0x1.900276077cd98p-15, -0x1.83a25fe0f01f6p-15, -0x1.77a0cc6ee81d3p-15, -0x1.6bf697968b3d4p-15, -0x1.609aff0df6d6bp-15, -0x1.55880b0d3301fp-15, -0x1.4abf8743a3545p-15, -0x1.4049d99562fb4p-15, -0x1.362b4371952b1p-15, -0x1.2c57fc1df0696p-15, -0x1.22b919cb494e7p-15, -0x1.1944ee93ef25cp-15, -0x1.100c26e32b9c9p-15, -0x1.0724d8b3a5b06p-15, -0x1.fd1e2edd29d54p-16, -0x1.ec70a7475b908p-16, -0x1.dc2907c597162p-16, -0x1.cc4eed8d7f6c8p-16, -0x1.bcee1faa0397cp-16, -0x1.ae020ec475f5ap-16, -0x1.9f7d4a7fc0a7p-16, -0x1.91556f19b79b1p-16, -0x1.8385c63b5131ep-16, -0x1.760ccdf3cbb0cp-16, -0x1.68ea3bf7281d1p-16, -0x1.5c1edbc62490dp-16, -0x1.4fad2491ab71ep-16, -0x1.4398e8507ff0dp-16, -0x1.37e58da618bdep-16, -0x1.2c93ad7f299fcp-16, -0x1.219e32d52931fp-16, -0x1.16f6d85abfdeep-16, -0x1.0c898e9c14723p-16, -0x1.024e8512aac77p-16, -0x1.f0ac956f9b5b3p-17, -0x1.dd6c4671a1491p-17, -0x1.cad6de585cb5p-17, -0x1.b8bb6cec8cfd8p-17, -0x1.a6f4bc583ec0dp-17, -0x1.958f2e4a725ebp-17, -0x1.84b45fb8745bp-17, -0x1.746c578531bap-17, -0x1.6488b16cecfa3p-17, -0x1.54e9120f56815p-17, -0x1.45a60c04f4de4p-17, -0x1.36db6a2627dccp-17, -0x1.2881f5d915c71p-17, -0x1.1a84e1a8bff14p-17, -0x1.0cd8fad7ccdfap-17, -0x1.fef81c7a61d8ep-18, -0x1.e4dce6d24042fp-18, -0x1.cb5fa07034324p-18, -0x1.b27d0bdbd8023p-18, -0x1.9a30e560e1a13p-18, -0x1.82787a479881fp-18, -0x1.6b547e8cc9531p-18, -0x1.54c82556da1fap-18, -0x1.3ed63c46190f9p-18, -0x1.2980e0c856daep-18, -0x1.14c8b05e39d95p-18, -0x1.009b5e368ab8ap-18, -0x1.d998e65c85943p-19, -0x1.b29f159a7f75bp-19, -0x1.8c97339b46b36p-19, -0x1.677e549f4832dp-19, -0x1.4307912d9cc0ap-19, -0x1.1f6bbd3349d9fp-19, -0x1.fa22293e3ee9bp-20, -0x1.b77c081be1384p-20, -0x1.75fd289573e6dp-20, -0x1.359f5eb66f382p-20, -0x1.ecb557b2bca51p-21, -0x1.6fe766b53e2c9p-21, -0x1.ebd09f35694dfp-22, -0x1.fdb40c993ccadp-23, -0x1.79cd357aa5258p-26, 0x1.9643e4224608ep-23, 0x1.a9af41c9f87d7p-22, 0x1.41fe10b522864p-21, 0x1.acfd13ccea1e9p-21, 0x1.0aeb6b82afe03p-20, 0x1.3e4a928e4a9f5p-20, 0x1.70a386d3a08c3p-20, 0x1.a1ff54836a354p-20, 0x1.d266e43e97402p-20, 0x1.00f09549fe897p-19, 0x1.183996913f3cfp-19, 0x1.2f11678cbd641p-19, 0x1.4579b8889c58bp-19, 0x1.5b68cdfbc3e2ap-19, 0x1.70cf369f48188p-19, 0x1.85c43f9c5abecp-19, 0x1.9a6c1873f4275p-19, 0x1.aec2662dc61fp-19, 0x1.c2d41700299c3p-19, 0x1.d68f189ed574cp-19, 0x1.e9d41577bb78ep-19, 0x1.fcb7c20f1aaa5p-19, 0x1.07a429e03457ap-18, 0x1.10bb3dfbb4e73p-18, 0x1.19a2cd6f87eacp-18, 0x1.226a339457c4p-18, 0x1.2b14881c3ef4fp-18, 0x1.33a0a214edae9p-18, 0x1.3c013514a5fbp-18, 0x1.443394ed5e1d1p-18, 0x1.4c4158bf25aaep-18, 0x1.542eaf605ca69p-18, 0x1.5bfcc0d5ce145p-18, 0x1.63aa757a53dfep-18, 0x1.6b36e7caa117fp-18, 0x1.72a1892e81dd3p-18, 0x1.79ea4e2e03afcp-18, 0x1.8113de739f0dep-18, 0x1.881f1d1a6581ep-18, 0x1.8f0c53c5cf205p-18, 0x1.95dc04b3a6a01p-18, 0x1.9c8eba7c0998ep-18, 0x1.a324f8762953ep-18, 0x1.a99f6ba074ee5p-18, 0x1.affe773a4c116p-18, 0x1.b6403743fdfa3p-18, 0x1.bc62413e08674p-18, 0x1.c2698e2cf7d7cp-18, 0x1.c85aa7ed66f2bp-18, 0x1.ce34b5821ead6p-18, 0x1.d3f27c3aaa56dp-18, 0x1.d9946c9f41029p-18, 0x1.df1def881fee9p-18, 0x1.e48f933893cffp-18, 0x1.e9e91faa03485p-18, 0x1.ef2ab6a79b72ap-18, 0x1.f45465f99a6eap-18, 0x1.f96530a768c25p-18, 0x1.fe5cfefef37d6p-18, 0x1.019f634aef792p-17, 0x1.04058db6c0ecp-17, 0x1.065fe18ffe1ep-17, 0x1.08ae6d3cefa5fp-17, 0x1.0af1dff0f7b7p-17, 0x1.0d2a571c221d2p-17, 0x1.0f57d000513acp-17, 0x1.117a55e5c1ccap-17, 0x1.1391fc0ae1f5p-17, 0x1.159ed775acbacp-17, 0x1.17a0fcd44ae2cp-17, 0x1.19987ffff93a6p-17, 0x1.1b8573f9ee5f4p-17, 0x1.1d67eaf424f6ap-17, 0x1.1f3ff64ffd9eap-17, 0x1.210da753b89fdp-17, 0x1.22d10e7fe5c34p-17, 0x1.248a3b7873ea8p-17, 0x1.26393d627c17dp-17, 0x1.27de23d85df48p-17, 0x1.29790085a4936p-17, 0x1.2b09df1717aa1p-17, 0x1.2c90c906ab72ap-17, 0x1.2e0dd1f4e9e1p-17, 0x1.2f8108ac4bba2p-17, 0x1.30ea77b87f115p-17, 0x1.324a2bd810fcep-17, 0x1.33a031763146fp-17, 0x1.34ec94378732ep-17, 0x1.362f5fc925d59p-17, 0x1.3768a1169a1e6p-17, 0x1.389866dd5e35ep-17, 0x1.39bebf6534575p-17, 0x1.3adbb4229e477p-17, 0x1.3bef51917ed8cp-17, 0x1.3cf9b9c455d2dp-17, 0x1.3dfad68587146p-17, 0x1.3ef2965c83e9p-17, 0x1.3fe1280522c6fp-17, 0x1.40c6f5251e59ap-17, 0x1.41a49b623cefbp-17, 0x1.42793052b807p-17, 0x1.43444710700eep-17, 0x1.44054c5f1b875p-17, 0x1.44bd693e4bdfp-17, 0x1.456d2962dd7p-17, 0x1.46145000833f9p-17, 0x1.46b2c13f95debp-17, 0x1.47487fda3ef0ep-17, 0x1.47d5967ff513p-17, 0x1.485a122f5259ep-17, 0x1.48d601d750421p-17, 0x1.494972cfca7bbp-17, 0x1.49b469b42e738p-17, 0x1.4a16f0eb35a6ep-17, 0x1.4a713bb3d6601p-17, 0x1.4ac3280ea633fp-17, 0x1.4b0cdb58a1381p-17, 0x1.4b4e6f634ace8p-17, 0x1.4b87cf1d36389p-17, 0x1.4bb9110cf91eep-17, 0x1.4be249789bdd6p-17, 0x1.4c03874867b51p-17, 0x1.4c1cd7cddd21bp-17, 0x1.4c2e47f5f239dp-17, }}, 
      {{0x1.527dfaa09336ep-1, 0x1.573f69c479c6cp-1, 0x1.5e4012f7b501dp-1, 0x1.66941c2868f89p-1, 0x1.6f5e2072574ccp-1, 0x1.77e34475655b1p-1, 0x1.7f91d9ff442d7p-1, 0x1.8600c5af0c8d8p-1, 0x1.8aeb4db4c95fdp-1, 0x1.8e2b77074eb11p-1, 0x1.8fb41f7ba0855p-1, 0x1.8f8b6f2877f9ap-1, 0x1.8dc5e79f536c1p-1, 0x1.8a822a9aa61bfp-1, 0x1.85e579844237cp-1, 0x1.8018e1f9cd623p-1, 0x1.7947050c022acp-1, 0x1.719a64af11854p-1, 0x1.693c22c533ff3p-1, 0x1.60531e499397p-1, 0x1.57035cd893db2p-1, 0x1.4d6db0d122a33p-1, 0x1.43af8e677e2abp-1, 0x1.39e30426dd13ep-1, 0x1.301ecd6d17894p-1, 0x1.26767754394f4p-1, 0x1.1cfa9207bd244p-1, 0x1.13b8e9d2c9af9p-1, 0x1.0abcc45102d99p-1, 0x1.020f1ee08e8eap-1, 0x1.f36dd8e368a12p-2, 0x1.e372a2882a801p-2, 0x1.d433b6fd343dp-2, 0x1.c5b570393327ep-2, 0x1.b7f9c7c0d0135p-2, 0x1.ab00b01ebd1dcp-2, 0x1.9ec865df87d69p-2, 0x1.934db8587d66dp-2, 0x1.888c4a9840bcep-2, 0x1.7e7ecce6fbf1fp-2, 0x1.751f2f5077863p-2, 0x1.6c66cdc69c53bp-2, 0x1.644e96710e3bfp-2, 0x1.5ccf2ab9203adp-2, 0x1.55e0fb992700cp-2, 0x1.4f7c61aee2083p-2, 0x1.4999b189eba41p-2, 0x1.44314ca74a90dp-2, 0x1.3f3baf8213039p-2, 0x1.3ab17d1729294p-2, 0x1.368b88307e9c7p-2, 0x1.32c2dac330f87p-2, 0x1.2f50bba3b503dp-2, 0x1.2c2eb2cbcb566p-2, 0x1.29568c6715fd9p-2, 0x1.26c25ad4f9886p-2, 0x1.246c77c8bcab2p-2, 0x1.224f84abadd8ap-2, 0x1.20666a6095064p-2, 0x1.1eac58839684ap-2, 0x1.1d1cc43e2013dp-2, 0x1.1bb366c3420c3p-2, 0x1.1a6c3b861ceb6p-2, 0x1.19437e39826dcp-2, 0x1.1835a8a5c47e2p-2, 0x1.173f705fcdc24p-2, 0x1.165dc46ae4a87p-2, 0x1.158dcacd1841ap-2, 0x1.14ccde1d046bep-2, 0x1.14188b0e8e8c7p-2, 0x1.136e8e03528bcp-2, 0x1.12ccd0a289d93p-2, 0x1.1231677bb47dfp-2, 0x1.119a8fb680a33p-2, 0x1.1106acd20fb5ep-2, 0x1.1074467534cf6p-2, 0x1.0fe20650e191fp-2, 0x1.0f4eb615cd508p-2, 0x1.0eb93d7dc5c68p-2, 0x1.0e20a0695f04ap-2, 0x1.0d83fd11da1a5p-2, 0x1.0ce28a4fb77b3p-2, 0x1.0c3b95f5662e6p-2, 0x1.0b8e833e4c0abp-2, 0x1.0adac95161144p-2, 0x1.0a1ff1d76e434p-2, 0x1.095d97a3f1ed6p-2, 0x1.08936570bc4cep-2, 0x1.07c114ab070ap-2, 0x1.06e66c52156a2p-2, 0x1.06033fe647a05p-2, 0x1.05176e6815d36p-2, 0x1.0422e166967eep-2, 0x1.03258c1c8223ap-2, 0x1.021f6a9b66e0ap-2, 0x1.01108103daba6p-2, 0x1.fff1b59620ce4p-3, 0x1.fdb11419b6d28p-3, 0x1.fb5f4dcb698bfp-3, 0x1.f8fc9dbf6c988p-3, 0x1.f68948bd02717p-3, 0x1.f4059c4193e56p-3, 0x1.f171ed83c792fp-3, 0x1.eece9890c0f8bp-3, 0x1.ec1bff7c214f4p-3, 0x1.e95a899a3a302p-3, 0x1.e68aa2c419321p-3, 0x1.e3acbabb3d1f9p-3, 0x1.e0c14480dcbfdp-3, 0x1.ddc8b5dc975a3p-3, 0x1.dac386b4475adp-3, 0x1.d7b230b8d4bdep-3, 0x1.d4952ee0658e1p-3, 0x1.d16cfd104acd3p-3, 0x1.ce3a17a22c2dfp-3, 0x1.cafcfb372076dp-3, 0x1.c7b624432f3c2p-3, 0x1.c4660eef19972p-3, 0x1.c10d36b6ad7eap-3, 0x1.bdac1630b8b62p-3, 0x1.ba4326f6ebb49p-3, 0x1.b6d2e14d0ec75p-3, 0x1.b35bbc2809c06p-3, 0x1.afde2cd6efb0cp-3, 0x1.ac5aa703f28efp-3, 0x1.a8d19c743c07fp-3, 0x1.a5437d1e51e8dp-3, 0x1.a1b0b6d86d539p-3, 0x1.9e19b585dbbeep-3, 0x1.9a7ee2c8c86a7p-3, 0x1.96e0a61708a51p-3, 0x1.933f64ae18affp-3, 0x1.8f9b81664a1e7p-3, 0x1.8bf55ce882afdp-3, 0x1.884d555fcf39bp-3, 0x1.84a3c6c1adc24p-3, 0x1.80f90a84d6c8bp-3, 0x1.7d4d77c5994bfp-3, 0x1.79a1634250cb7p-3, 0x1.75f51f5dba882p-3, 0x1.7248fbffe173bp-3, 0x1.6e9d46dc9a7e8p-3, 0x1.6af24b243f208p-3, 0x1.674851e2ecff5p-3, 0x1.639fa1b6f118ep-3, 0x1.5ff87efd5cb1ep-3, 0x1.5c532bd66513dp-3, 0x1.58afe829ceba7p-3, 0x1.550ef1b703a85p-3, 0x1.517083fe66dc4p-3, 0x1.4dd4d878c14bbp-3, 0x1.4a3c26734cc5ep-3, 0x1.46a6a33fe2b71p-3, 0x1.4314822e0c39ep-3, 0x1.3f85f4812ca68p-3, 0x1.3bfb29958bc28p-3, 0x1.38744ee0f4159p-3, 0x1.34f18ffb80786p-3, 0x1.317316ac06fd4p-3, 0x1.2df90af8bb204p-3, 0x1.2a83931026a31p-3, 0x1.2712d3899f058p-3, 0x1.23a6ef3a64e05p-3, 0x1.2040076713b6fp-3, 0x1.1cde3bc8c258p-3, 0x1.1981aa749da36p-3, 0x1.162a7008b948cp-3, 0x1.12d8a7ad28601p-3, 0x1.0f8c6b1bf2965p-3, 0x1.0c45d2aaf0a7ep-3, 0x1.0904f5558cb5ep-3, 0x1.05c9e8c977f23p-3, 0x1.0294c1728c507p-3, 0x1.fecb24c8767f1p-4, 0x1.f878db45a162dp-4, 0x1.f232c7c722d16p-4, 0x1.ebf9099d5012p-4, 0x1.e5cbbdf75ce34p-4, 0x1.dfaaffabf2e6bp-4, 0x1.d996e792f48a4p-4, 0x1.d38f8c8595a9fp-4, 0x1.cd950369106cp-4, 0x1.c7a75f3ea83c3p-4, 0x1.c1c6b1334dc6bp-4, 0x1.bbf308aec0c4dp-4, 0x1.b62c736249feap-4, 0x1.b072fd5bd2669p-4, 0x1.aac6b11acaa4bp-4, 0x1.a527976757922p-4, 0x1.9f95b7b9a5d55p-4, 0x1.9a1118087d957p-4, 0x1.9499bcc6e54e4p-4, 0x1.8f2fa966e1f04p-4, 0x1.89d2dfc5ffce1p-4, 0x1.8483608c45e95p-4, 0x1.7f412b39869bbp-4, 0x1.7a0c3e2576a33p-4, 0x1.74e49689ec7a6p-4, 0x1.6fca308e24fp-4, 0x1.6abd07517d77ap-4, 0x1.65bd14f598c55p-4, 0x1.60ca52a80b41p-4, 0x1.5be4b8abae1bfp-4, 0x1.570c3e6257e83p-4, 0x1.5240da5b41fb7p-4, 0x1.4d82825c639c4p-4, 0x1.48d12b3c91e5fp-4, 0x1.442cc947c5f33p-4, 0x1.3f954ffa5d4afp-4, 0x1.3b0ab2024e9e8p-4, 0x1.368ce1c13d821p-4, 0x1.321bd0b37aa7bp-4, 0x1.2db76fbdb1e6ep-4, 0x1.295faf406734dp-4, 0x1.25147f1223b41p-4, 0x1.20d5ce844f899p-4, 0x1.1ca38c69ea33fp-4, 0x1.187da71df1f5cp-4, 0x1.14640c897836fp-4, 0x1.1056aa297d40cp-4, 0x1.0c556d148fa24p-4, 0x1.0860420034debp-4, 0x1.04771546118b9p-4, 0x1.0099d2e8dd891p-4, 0x1.f990cd3356879p-5, 0x1.f2057780a3625p-5, 0x1.ea917b0467356p-5, 0x1.e334ad472e6e3p-5, 0x1.dbeee380f89ecp-5, 0x1.d4bff2992e49ap-5, 0x1.cda7ae6eee27bp-5, 0x1.c6a5eb419472fp-5, 0x1.bfba7cab2fbe7p-5, 0x1.b8e535af81b08p-5, 0x1.b225e922d016p-5, 0x1.ab7c6997b002ep-5, 0x1.a4e8895b3fa8ap-5, 0x1.9e6a1a7b52d13p-5, 0x1.9800eecd2dd9fp-5, 0x1.91acd7f3b60dcp-5, 0x1.8b6da765332a7p-5, 0x1.85432e70d1374p-5, 0x1.7f2d3e43ea0ffp-5, 0x1.792ba7ef218c2p-5, 0x1.733e3c6b50655p-5, 0x1.6d64cc9e372acp-5, 0x1.679f295f02c41p-5, 0x1.61ed237a96e62p-5, 0x1.5c4e8bb7b71bp-5, 0x1.56c332dc2451bp-5, 0x1.514ae9b66ba04p-5, 0x1.4be58121552b2p-5, 0x1.4692c9d2c8113p-5, 0x1.415294b57e343p-5, 0x1.3c24b2ee8e811p-5, 0x1.3708f520c7926p-5, 0x1.31ff2cacb8f63p-5, 0x1.2d072afe212e8p-5, 0x1.2820c1449c854p-5, 0x1.234bc0eb9c14ap-5, 0x1.1e87fb90033ebp-5, 0x1.19d542f3eadccp-5, 0x1.153368ffa97b1p-5, 0x1.10a23fc4e3418p-5, 0x1.0c21998127286p-5, 0x1.07b148a0278cep-5, 0x1.03511fbde4b23p-5, 0x1.fe01e351d973bp-6, 0x1.f58122c8c97p-6, 0x1.ed1fa45351dd8p-6, 0x1.e4dd0ed35ab44p-6, 0x1.dcb9099d21cd8p-6, 0x1.d4b33c7b12a4fp-6, 0x1.cccb4fb1c148ep-6, 0x1.c500ec02faf72p-6, 0x1.bd53baaf84404p-6, 0x1.b5c36578376ep-6, 0x1.ae4f969fecdf4p-6, 0x1.a6f7f8efcbd24p-6, 0x1.9fbc37c0fdb4ap-6, 0x1.989bff066f864p-6, 0x1.9196fb17fcfa3p-6, 0x1.8aacd8ba5bc93p-6, 0x1.83dd45ecea2e4p-6, 0x1.7d27f068922dfp-6, 0x1.768c86843fdd8p-6, 0x1.700ab8411a80dp-6, 0x1.69a2356a214efp-6, 0x1.6352ae35f027cp-6, 0x1.5d1bd3ac59fa4p-6, 0x1.56fd577a6552fp-6, 0x1.50f6ebe29d1ep-6, 0x1.4b0843bebc7f7p-6, 0x1.453112842ca5cp-6, 0x1.3f710c47be495p-6, 0x1.39c7e5bfc079ep-6, 0x1.3435544492fc5p-6, 0x1.2eb90dcfc3b46p-6, 0x1.2952c8fa1781ap-6, 0x1.24023cf9d6aabp-6, 0x1.1ec721a2cc287p-6, 0x1.19a12f6845ef8p-6, 0x1.14901f5fcce24p-6, 0x1.0f93ab4322fd5p-6, 0x1.0aab8d7102bebp-6, 0x1.05d780ecd6abp-6, 0x1.0117415df2dcdp-6, 0x1.f8d5161cf87e9p-7, 0x1.efa235d3cb0dbp-7, 0x1.e6955cf6fa1b1p-7, 0x1.ddae07dbc194bp-7, 0x1.d4ebb41806c53p-7, 0x1.cc4de0875200bp-7, 0x1.c3d40d5432705p-7, 0x1.bb7dbc021f202p-7, 0x1.b34a6f368718ep-7, 0x1.ab39aa72b958ep-7, 0x1.a34af3707ba76p-7, 0x1.9b7dd0cb90c13p-7, 0x1.93d1c8eeb19a7p-7, 0x1.8c4665c751fc1p-7, 0x1.84db322e2d1b4p-7, 0x1.7d8fb8f81b29ap-7, 0x1.766386868af6ap-7, 0x1.6f5628b6b7d02p-7, 0x1.68672ea7f8848p-7, 0x1.619628b18cb46p-7, 0x1.5ae2a8612d7f8p-7, 0x1.544c4078347fap-7, 0x1.4dd284e89f93fp-7, 0x1.47750ad42fd75p-7, 0x1.4133688de72a3p-7, 0x1.3b0d359b02019p-7, 0x1.35020ab0b6616p-7, 0x1.2f1181aefd86fp-7, 0x1.293b359bdf9edp-7, 0x1.237ec2a2150d3p-7, 0x1.1ddbc612e69fcp-7, 0x1.1851de6887a13p-7, 0x1.12e0ab4674245p-7, 0x1.0d87cd76f9f3p-7, 0x1.0846e6e5c7f56p-7, 0x1.031d9a9a59914p-7, 0x1.fc171967c0901p-8, 0x1.f220c4d1ee96dp-8, 0x1.e85784131aca6p-8, 0x1.debaa60271fb2p-8, 0x1.d5497baccad77p-8, 0x1.cc03584a30d09p-8, 0x1.c2e7912f82208p-8, 0x1.b9f57dc455096p-8, 0x1.b12c7782350d3p-8, 0x1.a88bd9fec0c7dp-8, 0x1.a01302fd6d297p-8, 0x1.97c1525b10e73p-8, 0x1.8f962966e8983p-8, 0x1.8790eb9bff8d9p-8, 0x1.7fb100557526dp-8, 0x1.77f5ce11eae6p-8, 0x1.705ebd542be25p-8, 0x1.68eb3c565cc7ap-8, 0x1.619ab8d9f6f0ap-8, 0x1.5a6ca171ececfp-8, 0x1.53606773aad2p-8, 0x1.4c757e6f29bbcp-8, 0x1.45ab5bd2138c4p-8, 0x1.3f0176d242ad7p-8, 0x1.3877486a0284bp-8, 0x1.320c4b5afac4p-8, 0x1.2bbffc3445a87p-8, 0x1.2591d95733543p-8, 0x1.1f8162f724a64p-8, 0x1.198e1b13707b7p-8, 0x1.13b7856ce19f3p-8, 0x1.0dfd2779f3dc3p-8, 0x1.085e885d36341p-8, 0x1.02db30e052537p-8, 0x1.fae556e8bf358p-9, 0x1.f049086070cd8p-9, 0x1.e5e091a59915p-9, 0x1.dbab1182a520fp-9, 0x1.d1a7aa106735ap-9, 0x1.c7d580a8efc5ep-9, 0x1.be33bdd4e9e2ap-9, 0x1.b4c18d32995d4p-9, 0x1.ab7e1d5f10ed7p-9, 0x1.a2689feb46055p-9, 0x1.9980495e8cf3ap-9, 0x1.90c4513f52acep-9, 0x1.8833f2190e724p-9, 0x1.7fce6978b387ep-9, 0x1.7792f7ded96f8p-9, 0x1.6f80e0aa770e6p-9, 0x1.67976a031b385p-9, 0x1.5fd5dcc892977p-9, 0x1.583b848c62867p-9, 0x1.50c7af94e7e41p-9, 0x1.4979aeead7968p-9, 0x1.4250d66b19b27p-9, 0x1.3b4c7c881e88ap-9, 0x1.346bf924b2b94p-9, 0x1.2daea71b778d6p-9, 0x1.2713e75e80843p-9, 0x1.209b18684fa26p-9, 0x1.1a439b3cdff11p-9, 0x1.140cda2db114bp-9, 0x1.0df63d726ea58p-9, 0x1.07ff2d46f266bp-9, 0x1.022715bed9166p-9, 0x1.f8dacbbf56ec8p-10, 0x1.eda31e12e8c03p-10, 0x1.e2a609cfa14f7p-10, 0x1.d7e27ae155b06p-10, 0x1.cd5761af9891ap-10, 0x1.c303b2f8863d8p-10, 0x1.b8e667af0b334p-10, 0x1.aefe7ce67d1a7p-10, 0x1.a54af3cccb72dp-10, 0x1.9bcad1abe23c9p-10, 0x1.927d1fe8cc2b2p-10, 0x1.8960ebfc11358p-10, 0x1.80754762fad27p-10, 0x1.77b9478e51f06p-10, 0x1.6f2c05d3828b1p-10, 0x1.66cc9f634c23ep-10, 0x1.5e9a3543f6f26p-10, 0x1.5693ec48a31d2p-10, 0x1.4eb8ecfd4280cp-10, 0x1.470863865cf79p-10, 0x1.3f817f7ecfd73p-10, 0x1.382373e3e07d1p-10, 0x1.30ed7717b8707p-10, 0x1.29dec2f47508ap-10, 0x1.22f694e051adbp-10, 0x1.1c342dda09409p-10, 0x1.1596d26bec76fp-10, 0x1.0f1dca749a6b8p-10, 0x1.08c860f85d933p-10, 0x1.0295e3e2cc1cfp-10, 0x1.f90b47b9f6555p-11, 0x1.ed2de88b10c09p-11, 0x1.e19256556c649p-11, 0x1.d63742b75e558p-11, 0x1.cb1b650ed0a34p-11, 0x1.c03d7ab90484fp-11, 0x1.b59c474c029ap-11, 0x1.ab3694c8f0299p-11, 0x1.a10b33ce27cf8p-11, 0x1.9718fbc6c60a7p-11, 0x1.8d5eca483a98bp-11, 0x1.83db7f162e4acp-11, 0x1.7a8dfcbd41935p-11, 0x1.717538543339p-11, 0x1.6890218d18c18p-11, 0x1.5fdda0ec62e96p-11, 0x1.575cbdbd3a283p-11, 0x1.4f0c785ea8bb4p-11, 0x1.46ebc764218f2p-11, 0x1.3ef9aae9fa5bp-11, 0x1.37352ae986598p-11, 0x1.2f9d54c831789p-11, 0x1.28313b768f3aep-11, 0x1.20eff7d63bf6ap-11, 0x1.19d8a8c5d5157p-11, 0x1.12ea72d4e5b69p-11, 0x1.0c247fbafab7bp-11, 0x1.0585fdadba7d7p-11, 0x1.fe1c3d5b1a76p-12, 0x1.f1782fb5ff5fp-12, 0x1.e51e41cc5dfabp-12, 0x1.d90ce75268dccp-12, 0x1.cd4297fa8a1b9p-12, 0x1.c1bdcfa1cee74p-12, 0x1.b67d0ef486defp-12, 0x1.ab7edc683735fp-12, 0x1.a0c1c55d5648bp-12, 0x1.96445f3834312p-12, 0x1.8c05484f2f50cp-12, 0x1.820328959ff06p-12, 0x1.783cb1f6070d4p-12, 0x1.6eb0a04bb3331p-12, 0x1.655db8e503742p-12, 0x1.5c42c97ec7093p-12, 0x1.535ea6c6a9ca4p-12, 0x1.4ab02aa5b25cep-12, 0x1.423632b626c31p-12, 0x1.39ef9f412bfd8p-12, 0x1.31db52f2b647fp-12, 0x1.29f83338241b1p-12, 0x1.2245290f1f27ep-12, 0x1.1ac121f77be1dp-12, 0x1.136b10c0581dcp-12, 0x1.0c41ee04ae692p-12, 0x1.0544b857742a5p-12, 0x1.fce4e866f5f5ap-13, 0x1.ef9457ee46252p-13, 0x1.e295dfc085afbp-13, 0x1.d5e7ac5f99eedp-13, 0x1.c987f6812f4e8p-13, 0x1.bd7502e6bad16p-13, 0x1.b1ad21a918db9p-13, 0x1.a62ead0ddb7adp-13, 0x1.9af8085a175fp-13, 0x1.90079f252d68ep-13, 0x1.855be2c3a0c7dp-13, 0x1.7af33c7ef0299p-13, 0x1.70cc0ec189e75p-13, 0x1.66e4f486d47a1p-13, 0x1.5d3c742d055ccp-13, 0x1.53d0fa36402c8p-13, 0x1.4aa15a0c2de86p-13, 0x1.41ac3e224921p-13, 0x1.38f0313873075p-13, 0x1.306bdd4b1883p-13, 0x1.281dfcdb9f31ep-13, 0x1.200550163872fp-13, 0x1.18209c3c35ad1p-13, 0x1.106eaca05f0ap-13, 0x1.08ee5349d9e54p-13, 0x1.019e692696d0ep-13, 0x1.f4fb9bb7971e5p-14, 0x1.e716ceaeaaadap-14, 0x1.d98c42b3ff45fp-14, 0x1.cc59da5f3a2cap-14, 0x1.bf7d8351478c1p-14, 0x1.b2f5367d415e4p-14, 0x1.a6bef86d85f63p-14, 0x1.9ad8d93da86b6p-14, 0x1.8f40f42d20ac9p-14, 0x1.83f56ee5d6bb6p-14, 0x1.78f478a96526cp-14, 0x1.6e3c49a4cfacp-14, 0x1.63cb22a14d202p-14, 0x1.599f4d28fcd3dp-14, 0x1.4fb71c0249ecap-14, 0x1.4610ebaee154cp-14, 0x1.3cab229d6b6d3p-14, 0x1.338430f439d28p-14, 0x1.2a9a903e48a41p-14, 0x1.21ecc36cbaccdp-14, 0x1.1979577880261p-14, 0x1.113ee4653c0a7p-14, 0x1.093c0de0f2595p-14, 0x1.016f828c19f7fp-14, 0x1.f3aff2f74899ep-15, 0x1.e4e85d0f8f6ap-15, 0x1.d685bde72a266p-15, 0x1.c8859032b79d7p-15, 0x1.bae5518c1200ep-15, 0x1.ada288cf4d0d8p-15, 0x1.a0bacc80649e7p-15, 0x1.942bc6550df0bp-15, 0x1.87f333679f40bp-15, 0x1.7c0ee29cdaa83p-15, 0x1.707cb2d350f8p-15, 0x1.653a913f28c71p-15, 0x1.5a46775667d93p-15, 0x1.4f9e68504c133p-15, 0x1.45406fa42f5c5p-15, 0x1.3b2aa2db639ecp-15, 0x1.315b28111646ep-15, 0x1.27d040325de72p-15, 0x1.1e88512d7b1a5p-15, 0x1.1581e31370863p-15, 0x1.0cbb6a53d923bp-15, 0x1.04331d27abd9cp-15, 0x1.f7cf8c5b56f8bp-16, 0x1.e7afed1bd520dp-16, 0x1.d8034ee412ad8p-16, 0x1.c8c7f4dab4927p-16, 0x1.b9fa956f47e05p-16, 0x1.ab97285414356p-16, 0x1.9d9a991096784p-16, 0x1.900236777ecb4p-16, 0x1.82cb663a757d9p-16, 0x1.75f399693dc2bp-16, 0x1.69784ec645481p-16, 0x1.5d570f578e41p-16, 0x1.518d6b4b6ac1cp-16, 0x1.4618f7689542ap-16, 0x1.3af74e686d3bp-16, 0x1.30261a6e53b4bp-16, 0x1.25a326d4d6154p-16, 0x1.1b6c731e2c82fp-16, 0x1.11803b13ef5a9p-16, 0x1.07dceb543cedap-16, 0x1.fd0208a8f3f0cp-17, 0x1.ead5f1e872666p-17, 0x1.d93231ec44f08p-17, 0x1.c813201513d1p-17, 0x1.b774e9a9556d6p-17, 0x1.a753b6bb6fed9p-17, 0x1.97abc38b8b964p-17, 0x1.88796e4b5eafbp-17, 0x1.79b941963542p-17, 0x1.6b67fc45af717p-17, 0x1.5d828eaed92b8p-17, 0x1.500608660256p-17, 0x1.42ef7dac6edbcp-17, 0x1.363bf499a7d0bp-17, 0x1.29e86743348b2p-17, 0x1.1df1d9bc04a84p-17, 0x1.125574487829cp-17, 0x1.071091287c9fap-17, 0x1.f84177db72fdap-18, 0x1.e3075c002c1cep-18, 0x1.ce6ea147b6039p-18, 0x1.ba7379e662261p-18, 0x1.a712580296cd9p-18, 0x1.9447adae6b299p-18, 0x1.820fb249ee9c8p-18, 0x1.7066596e65c9cp-18, 0x1.5f477f836d5f6p-18, 0x1.4eaf1d10d4981p-18, 0x1.3e99510fc210ap-18, 0x1.2f024a10789f9p-18, 0x1.1fe63ce8fa632p-18, 0x1.11417b816a1a6p-18, 0x1.0310917335252p-18, 0x1.eaa0965b88e47p-19, 0x1.cffb483f44ff5p-19, 0x1.b62b49d3cd12fp-19, 0x1.9d2a7a33314d3p-19, 0x1.84f25ca1612fdp-19, 0x1.6d7c52454fbc5p-19, 0x1.56c228a2d7ep-19, 0x1.40bd5387ea519p-19, 0x1.2b63b51e2daffp-19, 0x1.16afe5df8eaedp-19, 0x1.02a3b28330144p-19, 0x1.de6c9e821566cp-20, 0x1.b8d88dcc13e9cp-20, 0x1.948471e71b37ap-20, 0x1.7158d9939958fp-20, 0x1.4f4ad88e09dc1p-20, 0x1.2e539b741e7eap-20, 0x1.0e6c09ad014e7p-20, 0x1.df1a722811254p-21, 0x1.a3609248fa262p-21, 0x1.699b87d845b8p-21, 0x1.31bb7b3f53cbdp-21, 0x1.f7624b648ef7p-22, 0x1.8edd41f3974a9p-22, 0x1.29ce30a92843ep-22, 0x1.903916f54f2d1p-23, 0x1.a6c15153fc8b7p-24, 0x1.ce37105d53c71p-27, -0x1.26dd04a2e0f16p-24, -0x1.3dc5baf5c03f8p-23, -0x1.e2537ebbbd688p-23, -0x1.40a4ddf46a654p-22, -0x1.8d6cd67938ddap-22, -0x1.d7984a54096f9p-22, -0x1.0f9d2b285497cp-21, -0x1.3231842e8fcbbp-21, -0x1.539103e054388p-21, -0x1.73c470c535762p-21, -0x1.92d54c85741a2p-21, -0x1.b0ccfc30bfd07p-21, -0x1.cdb4e7dbeac3ep-21, -0x1.e996ce7abc8d1p-21, -0x1.023dab25e69b9p-20, -0x1.0f343884a468cp-20, -0x1.1bb1620699f67p-20, -0x1.27b85225de309p-20, -0x1.334d4693e76d5p-20, -0x1.3e7472d1cf014p-20, -0x1.49314a6427a46p-20, -0x1.5386db706b517p-20, -0x1.5d783b62c331bp-20, -0x1.67087d99ae47bp-20, -0x1.703a8da78bce3p-20, -0x1.7911288bb87e1p-20, -0x1.818ee14fde79fp-20, -0x1.89b619f8eb9fdp-20, -0x1.9188f3a3427a7p-20, -0x1.990950567afd8p-20, -0x1.a039054b30de8p-20, -0x1.a71a363a603b3p-20, -0x1.adaf9116f6e87p-20, -0x1.b3fc2013d6c09p-20, -0x1.ba02d2235089ap-20, -0x1.bfc6149a286c5p-20, -0x1.c54799afbdd35p-20, -0x1.ca88800f9f389p-20, -0x1.cf8a14e5a4e64p-20, -0x1.d44e7fc80edep-20, -0x1.d8d86d78c146ep-20, -0x1.dd29eb4f05034p-20, -0x1.e1435e6b42259p-20, -0x1.e5241247e0dedp-20, -0x1.e8cff3465817dp-20, -0x1.ec537712eecffp-20, -0x1.efab0e233e1d9p-20, -0x1.f2d4086f4328bp-20, -0x1.f5cc33d31becbp-20, -0x1.f888fa1d104a1p-20, -0x1.fb19460d57da6p-20, -0x1.fd83c2ca6ae06p-20, -0x1.ffc74238b697dp-20, -0x1.00f19d7590f6p-19, -0x1.01ec21129f699p-19, -0x1.02d3acd087427p-19, -0x1.03a8cb2edf928p-19, -0x1.046bfadb3d15fp-19, -0x1.051da5fc064d1p-19, -0x1.05be2aad187d8p-19, -0x1.064df274fc52dp-19, -0x1.06cd82e2b08c3p-19, -0x1.073d71f49d39bp-19, -0x1.079e4d4f7af81p-19, -0x1.07f0868ea08a9p-19, -0x1.08345da9e91b3p-19, -0x1.0869fe72c0a76p-19, -0x1.0891d60f25a08p-19, -0x1.08ac8ee38e959p-19, -0x1.08bab5886adfcp-19, -0x1.08bcada09df9cp-19, -0x1.08b2e29579beap-19, -0x1.089dbbe40bc3cp-19, -0x1.087d7ab420247p-19, -0x1.08525385d322ap-19, -0x1.081c6d1457c07p-19, -0x1.07dbbe5f69209p-19, -0x1.07904a0267d12p-19, -0x1.073a43eb766f3p-19, -0x1.06d9fb683af8dp-19, -0x1.066fcb8989c34p-19, -0x1.05fc1213d54bdp-19, -0x1.057f249096f57p-19, -0x1.04f948d81a399p-19, -0x1.046ab55c1bfdap-19, -0x1.03d3978ddc5f1p-19, -0x1.03341b4a52dfp-19, -0x1.028c7109df3b3p-19, -0x1.01dccea8a8a2dp-19, -0x1.01256c74909bap-19, -0x1.006685619b8dcp-19, -0x1.ff40ae173c753p-20, -0x1.fda634cc6ecacp-20, -0x1.fbfdf84cd18fap-20, -0x1.fa484f71de2aap-20, -0x1.f885953506f92p-20, -0x1.f6b6187db1779p-20, -0x1.f4da31c92a646p-20, -0x1.f2f21f28c888p-20, -0x1.f0fe1214bd9a3p-20, -0x1.eefe59cbb6b5dp-20, -0x1.ecf340bd4af2ep-20, -0x1.eadcfb7c0b3f9p-20, -0x1.e8bbcb160dafdp-20, -0x1.e690063de1453p-20, -0x1.e459f0bb64951p-20, -0x1.e219b32d0e9a1p-20, -0x1.dfcf2a1c12053p-20, -0x1.dd79b29d97946p-20, -0x1.db18462647972p-20, -0x1.d8ad407a2d37cp-20, -0x1.d6425f0d2a081p-20, -0x1.d3d3b9d642f21p-20, -0x1.d15b2f3606263p-20, -0x1.ced2d3db0af12p-20, -0x1.cc37507077467p-20, -0x1.c996706c45157p-20, -0x1.c6f20279b39d8p-20, -0x1.c44798c1766f2p-20, -0x1.c196545aabf46p-20, -0x1.bede499a8c79bp-20, -0x1.bc1fcf9ead078p-20, -0x1.b95b3e9ba4716p-20, -0x1.b690d2a1ef68dp-20, -0x1.b3c098881d62bp-20, -0x1.b0ea6ed144bc3p-20, -0x1.ae0e20818caeap-20, -0x1.ab2b79a1e585ep-20, -0x1.a8425dc7a775p-20, -0x1.a552d920ece95p-20, -0x1.a25d28b1a04b1p-20, -0x1.9f61a540a88aep-20, -0x1.9c60a5d91392bp-20, -0x1.995a7097df863p-20, -0x1.964f35dbf17bep-20, -0x1.933f1465aa25bp-20, -0x1.902a22e4187a8p-20, -0x1.8d107cd54252ep-20, -0x1.89f24aa713523p-20, -0x1.86cfbac5d2da8p-20, -0x1.83a8fd3d66d19p-20, -0x1.807e45134b0ebp-20, -0x1.7d4fc2f0c64f1p-20, -0x1.7a1da04bad697p-20, -0x1.76e8008d6fcdap-20, -0x1.73af02b0938c5p-20, -0x1.7072c2b9d3871p-20, -0x1.6d335b09974e5p-20, -0x1.69f0e55a1b1a3p-20, -0x1.66ab7b5b82494p-20, -0x1.636336fbc2615p-20, -0x1.601832a00c811p-20, -0x1.5cca898619174p-20, -0x1.597a55b14eb8ep-20, -0x1.5627b2391029dp-20, -0x1.52d2bae749722p-20, -0x1.4f7b8a5396a56p-20, -0x1.4c223ae868098p-20, -0x1.48c6e6f0d9046p-20, -0x1.4569a81de3663p-20, -0x1.420a978201138p-20, -0x1.3ea9cd9e54dbep-20, -0x1.3b47622bdb6b9p-20, -0x1.37e36bf5b4bb2p-20, -0x1.347e00d2ed074p-20, -0x1.311735e8b9fcp-20, -0x1.2daf20679708fp-20, -0x1.2a45d6c295137p-20, -0x1.26db728d4c42bp-20, -0x1.2370130e51314p-20, -0x1.2003e00fb7127p-20, -0x1.1c970b84192d6p-20, -0x1.1929ce36a9a59p-20, -0x1.15bc55c63383cp-20, -0x1.124e8fac645dcp-20, -0x1.0edfd90464a25p-20, -0x1.0b6fcd6e68f86p-20, -0x1.08037c44ab34dp-20, -0x1.04a117a769528p-20, -0x1.013e5dc9f7329p-20, -0x1.fbac8ba14c025p-21, -0x1.f4c4e1cdde29ap-21, -0x1.eddca0a2782p-21, -0x1.e6fe25d2fe9c6p-21, -0x1.e023f2262ap-21, -0x1.d94b36b32aa3ep-21, -0x1.d2738e6e82dbap-21, -0x1.cb9d1f6bc3bb6p-21, -0x1.c4c813a331b49p-21, -0x1.bdf48dea4fd11p-21, -0x1.b722b525498bdp-21, -0x1.b052ba1af7413p-21, -0x1.a984d796c1eadp-21, -0x1.a2b94f5fcad9bp-21, -0x1.9bf05ab47ab15p-21, -0x1.952a325a4cfccp-21, -0x1.8e6704ad9d4f4p-21, -0x1.87a6f85038c42p-21, -0x1.80ea2f3b7dbf8p-21, -0x1.7a30c7faa1542p-21, -0x1.737adf48cb16cp-21, -0x1.6cc891462b45bp-21, -0x1.6619fa31c2df5p-21, }}, 
      {{-0x1.a291c4f759924p-8, -0x1.8af5b1a84c471p-6, -0x1.98be98fdca026p-5, -0x1.4861c902e251dp-4, -0x1.c9d5fb4b2e90ap-4, -0x1.233f74f60d8eap-3, -0x1.5b727b8c9219bp-3, -0x1.8b0cb401732f4p-3, -0x1.b0ace171da0c1p-3, -0x1.cbd311f5ac1f2p-3, -0x1.dcab597af95b7p-3, -0x1.e3dc8eb99a2d3p-3, -0x1.e25dca00ab3dcp-3, -0x1.d953e01839725p-3, -0x1.c9f6dff068fcdp-3, -0x1.b57ec2615250fp-3, -0x1.9d161468c7636p-3, -0x1.81d1568343cf4p-3, -0x1.64a9eaef9b82cp-3, -0x1.467b9f028c391p-3, -0x1.280410acd6cdcp-3, -0x1.09e35d9f69f77p-3, -0x1.d93b5afa89aedp-4, -0x1.a13a8b0c4cf2ap-4, -0x1.6c69d28a108bp-4, -0x1.3b44b8ba19bddp-4, -0x1.0e21ced830434p-4, -0x1.ca6f30c8fb986p-5, -0x1.8142712a44229p-5, -0x1.40c5a9a698847p-5, -0x1.08db4309e2c28p-5, -0x1.b28e4467e6dbap-6, -0x1.636a80457c361p-6, -0x1.237ef198bbe16p-6, -0x1.e3ca5050a25bp-7, -0x1.9b4a4639af525p-7, -0x1.6b7912b0b7875p-7, -0x1.5249471219464p-7, -0x1.4dae73aa8c4ep-7, -0x1.5ba4ebebc9c48p-7, -0x1.7a37d3073f5abp-7, -0x1.a785ae03d6743p-7, -0x1.e1c3b4853d431p-7, -0x1.13a00a2f5f358p-6, -0x1.3b31ab458ada8p-6, -0x1.66d88772de25cp-6, -0x1.95e3fd8e6fdb4p-6, -0x1.c7b0d83ac9337p-6, -0x1.fba8f9a0fb71fp-6, -0x1.18a173a7369d2p-5, -0x1.34009fc393c21p-5, -0x1.4fb90fce3892dp-5, -0x1.6b9740adf10d5p-5, -0x1.876cca340ab35p-5, -0x1.a3100b9d02596p-5, -0x1.be5bd952a8cdp-5, -0x1.d92f2cfdc5c1fp-5, -0x1.f36cd8a77838cp-5, -0x1.067d9eb5399f2p-4, -0x1.12e20300b944cp-4, -0x1.1ed9f2ab687fep-4, -0x1.2a5d2c8d7fe9ep-4, -0x1.3564b82703ddcp-4, -0x1.3feacacbeec23p-4, -0x1.49eaaea0e8431p-4, -0x1.5360ab4be1899p-4, -0x1.5c49f03d3d771p-4, -0x1.64a4807597c4fp-4, -0x1.6c6f1fa8f93e8p-4, -0x1.73a940abbf6a8p-4, -0x1.7a52f509ea3a6p-4, -0x1.806cddb8121dap-4, -0x1.85f81cc9ec0dp-4, -0x1.8af64815cfa11p-4, -0x1.8f695cc3c9b82p-4, -0x1.9353b3a4744c3p-4, -0x1.96b7f65e58ea2p-4, -0x1.99991546ea7ecp-4, -0x1.9bfa3dff653p-4, -0x1.9dded2a7e3625p-4, -0x1.9f4a61c68a0f4p-4, -0x1.a0409eb22770cp-4, -0x1.a0c55aa63fbd6p-4, -0x1.a0dc7e45c755bp-4, -0x1.a08a03c3633f6p-4, -0x1.9fd1f15f621d9p-4, -0x1.9eb8548dd9b92p-4, -0x1.9d413d562eceap-4, -0x1.9b70ba5ec30b3p-4, -0x1.994ad51dc932ep-4, -0x1.96d38e9fe56d2p-4, -0x1.940edc957e79ap-4, -0x1.9100a69e1b94fp-4, -0x1.8dacc424f9ff3p-4, -0x1.8a16fa33fb82fp-4, -0x1.8642f9e8d1ac5p-4, -0x1.82345ecd10a55p-4, -0x1.7deeada8901d2p-4, -0x1.797553bc120b1p-4, -0x1.74cba565b6ba3p-4, -0x1.6ff4de1db7666p-4, -0x1.6af41f8542b9bp-4, -0x1.65cc714d84daep-4, -0x1.6080c10ffbfc1p-4, -0x1.5b13e2167e77p-4, -0x1.55888d7e2f6acp-4, -0x1.4fe1627d327d1p-4, -0x1.4a20e6539a96ep-4, -0x1.444984e135841p-4, -0x1.3e5d90cade442p-4, -0x1.385f441710221p-4, -0x1.3250c076377d4p-4, -0x1.2c340ff18502fp-4, -0x1.260b25304e939p-4, -0x1.1fd7dc5ee1d49p-4, -0x1.199bfb83b7821p-4, -0x1.13593326b1028p-4, -0x1.0d111edf1830ap-4, -0x1.06c546077aaeap-4, -0x1.00771c62644dcp-4, -0x1.f45004def48d2p-5, -0x1.e7b28cdac6184p-5, -0x1.db1849328b4ebp-5, -0x1.ce838fdc40aeap-5, -0x1.c1f6958114a09p-5, -0x1.b5736eb93130bp-5, -0x1.a8fc10bbcca51p-5, -0x1.9c9252f66a108p-5, -0x1.9037eff321cb1p-5, -0x1.83ee867c7b1b7p-5, -0x1.77b79a77e496dp-5, -0x1.6b94962723942p-5, -0x1.5f86cb399b04ep-5, -0x1.538f736bc9292p-5, -0x1.47afb1bedfcfap-5, -0x1.3be8935f1f1a1p-5, -0x1.303b10a1d77c3p-5, -0x1.24a80dabb56acp-5, -0x1.19305b6bf2c78p-5, -0x1.0dd4b89225c6cp-5, -0x1.0295d24d5c73ep-5, -0x1.eee889da6025bp-6, -0x1.d8e139a5c38c1p-6, -0x1.c316ae6e2beb1p-6, -0x1.ad89c5c50806cp-6, -0x1.983b41850adedp-6, -0x1.832bc95569c28p-6, -0x1.6e5bec336a0fdp-6, -0x1.59cc21abc6b7ap-6, -0x1.457ccae4c3c71p-6, -0x1.316e33ec1ddf9p-6, -0x1.1da09507aed0dp-6, -0x1.0a1413e5a0932p-6, -0x1.ed9189163ec52p-7, -0x1.c77d54a1445c1p-7, -0x1.a1eb72206bd39p-7, -0x1.7cdbac6cf455dp-7, -0x1.584db34559366p-7, -0x1.34411cec015bep-7, -0x1.10b567ff9b6eep-7, -0x1.db53fa5649184p-8, -0x1.963c6254cdb6dp-8, -0x1.52228bac50ce5p-8, -0x1.0f04d77b86df7p-8, -0x1.99c30e7728ee8p-9, -0x1.176d7eb282461p-9, -0x1.2e0a2907b4d15p-10, -0x1.885b504721ba3p-13, 0x1.905398b888911p-11, 0x1.bd9e544ffeb09p-10, 0x1.57ada5dc68847p-9, 0x1.ceb505d213938p-9, 0x1.21f50844975c4p-8, 0x1.5ba8d23401c9p-8, 0x1.947858ac7d51bp-8, 0x1.cc661bf5c7608p-8, 0x1.01ba50f53bb23p-7, 0x1.1cd33a72b4e4ep-7, 0x1.377f1192ab3ccp-7, 0x1.51bf1e520a9p-7, 0x1.6b94a8ebb756fp-7, 0x1.8500f95079c8p-7, 0x1.9e0556ac79c9ep-7, 0x1.b6a306e3930eap-7, 0x1.cedb4e0aae3e6p-7, 0x1.e6af6df614accp-7, 0x1.fe20a5df33b29p-7, 0x1.0a981904070e8p-6, 0x1.15efa5d6faaf6p-6, 0x1.211794077d859p-6, 0x1.2c107c4e0e44ep-6, 0x1.36daf579d5313p-6, 0x1.417793f95328p-6, 0x1.4be6ea2f7a624p-6, 0x1.562988071acc9p-6, 0x1.603ffae66c36fp-6, 0x1.6a2acdc00902p-6, 0x1.73ea890bec6bdp-6, 0x1.7d7fb2a24043bp-6, 0x1.86eacd93d0f6cp-6, 0x1.902c5a21d63d2p-6, 0x1.9944d5d2e533ap-6, 0x1.a234bb7fd55aep-6, 0x1.aafc833d1a35p-6, 0x1.b39ca22f45876p-6, 0x1.bc158a7d201a8p-6, 0x1.c467ab94802bcp-6, 0x1.cc9371edb20b5p-6, 0x1.d499475a06cbbp-6, 0x1.dc7992ee8fd2fp-6, 0x1.e434b87be6ecp-6, 0x1.ebcb1935135c8p-6, 0x1.f33d139189255p-6, 0x1.fa8b035d69eap-6, 0x1.00daa0e1707f7p-5, 0x1.045e129dba821p-5, 0x1.07d000c8450a3p-5, 0x1.0b3093fc2a269p-5, 0x1.0e7ff39e87a88p-5, 0x1.11be45e9dd3d2p-5, 0x1.14ebafee09f73p-5, 0x1.1808558e552bdp-5, 0x1.1b14598804d5cp-5, 0x1.1e0fdd8281fcfp-5, 0x1.20fb022058aadp-5, 0x1.23d5e707206cbp-5, 0x1.26a0aae0edc34p-5, 0x1.295b6b71e7235p-5, 0x1.2c06458339872p-5, 0x1.2ea154f4537fp-5, 0x1.312cb4fcc61e8p-5, 0x1.33a87fd72be05p-5, 0x1.3614cf0eb78b5p-5, 0x1.3871bb80b9b01p-5, 0x1.3abf5d4bad04fp-5, 0x1.3cfdcbe1dead4p-5, 0x1.3f2d1e1885d2p-5, 0x1.414d6a319eb41p-5, 0x1.435ec5e2e4fbap-5, 0x1.4561465c6dfa4p-5, 0x1.4755005038dccp-5, 0x1.493a07f9d9f52p-5, 0x1.4b107129bb45fp-5, 0x1.4cd84f539896ep-5, 0x1.4e91b59404d04p-5, 0x1.503cb6b250944p-5, 0x1.51d9652d964c9p-5, 0x1.5367d3483ef7bp-5, 0x1.54e8130c691d7p-5, 0x1.565a3653eedf8p-5, 0x1.57be4ed1370cep-5, 0x1.59146e18dde44p-5, 0x1.5a5ca5b8c4a9ap-5, 0x1.5b9707239b66bp-5, 0x1.5cc3a3b61f336p-5, 0x1.5de28cf5966f1p-5, 0x1.5ef3d43c2751fp-5, 0x1.5ff78af74d1d2p-5, 0x1.60edc2c4508b7p-5, 0x1.61d68d5544aeep-5, 0x1.62b1fc7918f74p-5, 0x1.638022231d6dbp-5, 0x1.6441107199723p-5, 0x1.64f4d9b591685p-5, 0x1.659b9077bf55dp-5, 0x1.6635477aa62b5p-5, 0x1.66c211beb9bep-5, 0x1.6742028a80fdbp-5, 0x1.67b52d71e569bp-5, 0x1.681ba65832a5ap-5, 0x1.6875816f0fff8p-5, 0x1.68c2d33816d1p-5, 0x1.6903b08b45596p-5, 0x1.69382e9f5072fp-5, 0x1.6960630ec17d7p-5, 0x1.697c63d6e1d13p-5, 0x1.698c4753558cep-5, 0x1.6990243ced59ep-5, 0x1.698811af1fd0dp-5, 0x1.697427312ac6p-5, 0x1.69547cbcc08bp-5, 0x1.69292ac5f17f3p-5, 0x1.68f24a31caba6p-5, 0x1.68aff42f41b9cp-5, 0x1.686242737ad53p-5, 0x1.68094f1da8c41p-5, 0x1.67a53498faf9ep-5, 0x1.67360deb698e1p-5, 0x1.66bbf69b2e4c6p-5, 0x1.66370a9827d22p-5, 0x1.65a76639aeb33p-5, 0x1.650d263ce34cap-5, 0x1.646867c7617e6p-5, 0x1.63b9486d11ac5p-5, 0x1.62ffe634c0f44p-5, 0x1.623c5f993c106p-5, 0x1.616ed386f60ap-5, 0x1.60976156d5332p-5, 0x1.5fb628c75556fp-5, 0x1.5ecb49f68b182p-5, 0x1.5dd6e55fb90c5p-5, 0x1.5cd91bdc91abcp-5, 0x1.5bd20ea7974dfp-5, 0x1.5ac1df5d159e9p-5, 0x1.59a8aff9bcd87p-5, 0x1.5886a2d73fe29p-5, 0x1.575bdaa7cbee5p-5, 0x1.56287a70e21cp-5, 0x1.54eca585f7c56p-5, 0x1.53a87f83a10e4p-5, 0x1.525c2c4c5e811p-5, 0x1.5107d0075036fp-5, 0x1.4fab8f1fc3d84p-5, 0x1.4e478e43cd611p-5, 0x1.4cdbf2610a89cp-5, 0x1.4b68e0a4a4e35p-5, 0x1.49ee7e7b0b78fp-5, 0x1.486cf16e2b8ccp-5, 0x1.46e45f3cd5ad3p-5, 0x1.4554edec4b1a8p-5, 0x1.43bec379d9aa7p-5, 0x1.4222060be9c9dp-5, 0x1.407edbfffbe75p-5, 0x1.3ed56bc856eap-5, 0x1.3d25dbeb0d53ap-5, 0x1.3b70530397dbp-5, 0x1.39b4f7bfaf58fp-5, 0x1.37f3f0da69a03p-5, 0x1.362d6516fadadp-5, 0x1.34617b3be3f9ap-5, 0x1.32905a0f1b4d3p-5, 0x1.30ba285310514p-5, 0x1.2edf0cc3b681fp-5, 0x1.2cff2e12c41f1p-5, 0x1.2b1ab2e31f967p-5, 0x1.2931c1c45aa78p-5, 0x1.2744812efaa64p-5, 0x1.2553178187e36p-5, 0x1.235daafdddd19p-5, 0x1.216461c611f72p-5, 0x1.1f6761d8be4dcp-5, 0x1.1d66d10cc2102p-5, 0x1.1b62d50ce9e63p-5, 0x1.195b935405245p-5, 0x1.17513129a3ec5p-5, 0x1.1543d39f7bbb2p-5, 0x1.13339f8ef9596p-5, 0x1.1120b99684565p-5, 0x1.0f0b461657322p-5, 0x1.0cf3692d11848p-5, 0x1.0ad946b46b35ep-5, 0x1.08bd023e357a6p-5, 0x1.069ebf1179b5p-5, 0x1.047ea0277c8f2p-5, 0x1.025cc82a219c2p-5, 0x1.00395977f7e16p-5, 0x1.fc28ec3284401p-6, 0x1.f7dc7f56a7174p-6, 0x1.f38daf1e429f4p-6, 0x1.ef3cbd90d51ap-6, 0x1.eae9ebad96de5p-6, 0x1.e69579e6f2938p-6, 0x1.e23fa8036c608p-6, 0x1.dde8b4f2f9657p-6, 0x1.d990ded5a75c1p-6, 0x1.d53862fe07226p-6, 0x1.d0df7dededac8p-6, 0x1.cc866b52341e4p-6, 0x1.c82d65fedb1cdp-6, 0x1.c3d4a7ebeeefbp-6, 0x1.bf7c6a3360842p-6, 0x1.bb24e50fcf19cp-6, 0x1.b6ce4fdbd5859p-6, 0x1.b278e1111a3d5p-6, 0x1.ae24ce468f178p-6, 0x1.a9d24c2d6433bp-6, 0x1.a5818e8cca304p-6, 0x1.a132c83ce6e62p-6, 0x1.9ce62b234a5b6p-6, 0x1.989be8304e095p-6, 0x1.94542f5fc1f84p-6, 0x1.900f2fbb89f4p-6, 0x1.8bcd176174e24p-6, 0x1.878e138985637p-6, 0x1.8352508ad933cp-6, 0x1.7f19f9dc8ddddp-6, 0x1.7ae53a10ee766p-6, 0x1.76b43acb13e49p-6, 0x1.728724b12ee3fp-6, 0x1.6e5e1f5f4080fp-6, 0x1.6a39515e5338ep-6, 0x1.6618e023920e8p-6, 0x1.61fcf018efbf3p-6, 0x1.5de5a4ae79665p-6, 0x1.59d320713ce8ep-6, 0x1.55c58522750b2p-6, 0x1.51bcf3c94169p-6, 0x1.4db98cb972addp-6, 0x1.49bb6f8c7311p-6, 0x1.45c2bb0fa42e8p-6, 0x1.41cf8d31a094cp-6, 0x1.3de202cf3e5dep-6, 0x1.39fa3775fb2e2p-6, 0x1.361845ad6e06fp-6, 0x1.323c46c5ebddbp-6, 0x1.2e6652ad9e57dp-6, 0x1.2a96808f242fdp-6, 0x1.26cce6ecaadd2p-6, 0x1.23099ba85f9ap-6, 0x1.1f4cb42e01f54p-6, 0x1.1b9645818eb28p-6, 0x1.17e6642d57f86p-6, 0x1.143d241746455p-6, 0x1.109a98472f2f1p-6, 0x1.0cfed2ac1b1acp-6, 0x1.0969e3efc9769p-6, 0x1.05dbdb65dedcap-6, 0x1.0254c71ec1132p-6, 0x1.fda9683b9e905p-7, 0x1.f6b75d531ba2ep-7, 0x1.efd38548e5971p-7, 0x1.e8fdf7b0d93c5p-7, 0x1.e236cc404ce37p-7, 0x1.db7e1abe0876fp-7, 0x1.d4d3fa87193f3p-7, 0x1.ce3881ba0da92p-7, 0x1.c7abc4332a5e4p-7, 0x1.c12dd295af486p-7, 0x1.babeb9a2640d7p-7, 0x1.b45e82110b8c6p-7, 0x1.ae0d310a30412p-7, 0x1.a7cac93e7e9d5p-7, 0x1.a1974c75dd69dp-7, 0x1.9b72bd50ce017p-7, 0x1.955d20e0ecb6ep-7, 0x1.8f567fbc530dfp-7, 0x1.895ee640f44bap-7, 0x1.837663d5ab1c9p-7, 0x1.7d9d0933e1f39p-7, 0x1.77d2e5ef608e7p-7, 0x1.721805a26ee8ep-7, 0x1.6c6c6d4a45619p-7, 0x1.66d0195aac02bp-7, 0x1.6142fcffa45fdp-7, 0x1.5bc502d59e7eep-7, 0x1.56560f1f423dp-7, 0x1.50f6033876acep-7, 0x1.4ba4c1c5fa6a6p-7, 0x1.466232f2f5c25p-7, 0x1.412e48013d5c2p-7, 0x1.3c08fd8912a0ap-7, 0x1.36f25bbfa37abp-7, 0x1.31ea745cb8313p-7, 0x1.2cf15f5f8fb08p-7, 0x1.280735eec28fap-7, 0x1.232c0bc8c4263p-7, 0x1.1e5fea744aaf9p-7, 0x1.19a2cced04091p-7, 0x1.14f49cdc5c9f5p-7, 0x1.105532b0e9b87p-7, 0x1.0bc4584bb1687p-7, 0x1.0741cde9954a4p-7, 0x1.02cd50ac529a5p-7, 0x1.fccd43ae317ecp-8, 0x1.f41b1b55d619ap-8, 0x1.eb83e1a508dc1p-8, 0x1.e30776f818545p-8, 0x1.daa5e326e91abp-8, 0x1.d25f500027ed1p-8, 0x1.ca33fe8168c04p-8, 0x1.c224385ab251dp-8, 0x1.ba303fe2edaf8p-8, 0x1.b25840db24a83p-8, 0x1.aa9c443292849p-8, 0x1.a2fc287bcdc2ap-8, 0x1.9b77a00b57c3bp-8, 0x1.940e34eace942p-8, 0x1.8cbf520a13c09p-8, 0x1.858a506ed53dep-8, 0x1.7e6e86a42c008p-8, 0x1.776b585dad5b2p-8, 0x1.70804430f2b2ap-8, 0x1.69aced80d7af3p-8, 0x1.62f12138a1e69p-8, 0x1.5c4cd4ba9439ap-8, 0x1.55c01f4eeeffp-8, 0x1.4f4b2f40d33a6p-8, 0x1.48ee3c7ac2129p-8, 0x1.42a97ab4d49f6p-8, 0x1.3c7d0d1b5eacbp-8, 0x1.3668fcdbc5d37p-8, 0x1.306d336ac7a08p-8, 0x1.2a8978caec53dp-8, 0x1.24bd75ab9f783p-8, 0x1.1f08b8e770c17p-8, 0x1.196abf9f41c8dp-8, 0x1.13e2feed9bcep-8, 0x1.0e70edfad35e9p-8, 0x1.09140f2c97982p-8, 0x1.03cbf7503c1afp-8, 0x1.fd30a3e638bdbp-9, 0x1.f2f1c51f86d34p-9, 0x1.e8db056020813p-9, 0x1.deec3b24b825cp-9, 0x1.d5255463c4af9p-9, 0x1.cb864986f781cp-9, 0x1.c20f109cec69p-9, 0x1.b8bf915d6c86cp-9, 0x1.af979f0a9b69p-9, 0x1.a696f4b2761a2p-9, 0x1.9dbd3308a7ce6p-9, 0x1.9509e72952e8ep-9, 0x1.8c7c90d2df49bp-9, 0x1.8414a7f6dd9b5p-9, 0x1.7bd1a1b77213dp-9, 0x1.73b2f1c428a5p-9, 0x1.6bb8084047c8p-9, 0x1.63e04e8c381cap-9, 0x1.5c2b262e30d1ep-9, 0x1.5497ec6d799f7p-9, 0x1.4d26030415fd8p-9, 0x1.45d4db8e18be9p-9, 0x1.3ea40161c0062p-9, 0x1.37931d50e0b1dp-9, 0x1.30a1f0b6dbbbcp-9, 0x1.29d04884657e3p-9, 0x1.231dec7417491p-9, 0x1.1c8a90bb47283p-9, 0x1.1615d039d1e0fp-9, 0x1.0fbf3220fb2f4p-9, 0x1.09863941cc481p-9, 0x1.036a76af3ac48p-9, 0x1.fad72e6f4de77p-10, 0x1.ef12c92b39ac5p-10, 0x1.e3876f9637c7cp-10, 0x1.d834c09450c01p-10, 0x1.cd1a11fad07ebp-10, 0x1.c2364d1974062p-10, 0x1.b787eff428e4ap-10, 0x1.ad0d387e22121p-10, 0x1.a2c46e9675192p-10, 0x1.98ac33dce444bp-10, 0x1.8ec3bbcabb52cp-10, 0x1.850ad59be4d49p-10, 0x1.7b81c2b75987cp-10, 0x1.7228e8e18b259p-10, 0x1.69007e59796b9p-10, 0x1.60084f92f0953p-10, 0x1.573fb18eb00e5p-10, 0x1.4ea59fa85ba6ap-10, 0x1.4638f2a4e15f4p-10, 0x1.3df89857958e4p-10, 0x1.35e3b78aa4c89p-10, 0x1.2df9b60aca319p-10, 0x1.263a216aa74b5p-10, 0x1.1ea48376f4143p-10, 0x1.17383086e0062p-10, 0x1.0ff4201321dd2p-10, 0x1.08d6df6a171b7p-10, 0x1.01deaa028a6a8p-10, 0x1.f61351cadb0b6p-11, 0x1.e8ac96492d159p-11, 0x1.db87337a7e64fp-11, 0x1.cea2c6f100d27p-11, 0x1.c20053631fa36p-11, 0x1.b5a1a4afb6f06p-11, 0x1.a9887ec202136p-11, 0x1.9db5fdacce622p-11, 0x1.922a56d7f8db7p-11, 0x1.86e4f1a6ef86dp-11, 0x1.7be4c3c9fd092p-11, 0x1.71289ee47fp-11, 0x1.66af52f31af0fp-11, 0x1.5c779e604788bp-11, 0x1.527ff49cdf59cp-11, 0x1.48c64711b03fdp-11, 0x1.3f4802f1e9d6bp-11, 0x1.3602525bbf795p-11, 0x1.2cf279e8ed7b3p-11, 0x1.2416155bd44a5p-11, 0x1.1b6b149fc8947p-11, 0x1.12ef926941a14p-11, 0x1.0aa1beb06af5fp-11, 0x1.02800602bb60ap-11, 0x1.f512d1438c153p-12, 0x1.e57b85869afd2p-12, 0x1.d63b89d8edbdp-12, 0x1.c75526382cee8p-12, 0x1.b8ca8c4d087ddp-12, 0x1.aa9d2ec15af77p-12, 0x1.9ccd957693087p-12, 0x1.8f5b7b6956fbbp-12, 0x1.8246172440c52p-12, 0x1.758c916b6adfp-12, 0x1.692e6bde4febdp-12, 0x1.5d2b561e03ee2p-12, 0x1.51825000e7d32p-12, 0x1.4630ad2f4ea35p-12, 0x1.3b31bc407889dp-12, 0x1.307f56be9b162p-12, 0x1.26131249f9b74p-12, 0x1.1be78df626fe6p-12, 0x1.11f956f6bdfd3p-12, 0x1.08470641d77a4p-12, 0x1.fda1180197212p-13, 0x1.eb2c0d6402849p-13, 0x1.d92d8bb6e8cf2p-13, 0x1.c7a20c24d055bp-13, 0x1.b68518365d07ep-13, 0x1.a5d3656ac98c8p-13, 0x1.958c65581b229p-13, 0x1.85b26f6462acep-13, 0x1.76498a34664d3p-13, 0x1.675521366a76ep-13, 0x1.58d59f706633bp-13, 0x1.4ac803644c5ecp-13, 0x1.3d2851b61b38ep-13, 0x1.2ff4633b2488cp-13, 0x1.232be418cf50cp-13, 0x1.16ce0832430b1p-13, 0x1.0ad80798d3f48p-13, 0x1.fe8b4672814dp-14, 0x1.e824a243dccefp-14, 0x1.d2733f74e430bp-14, 0x1.bd6dbe8d5ee52p-14, 0x1.a909ffa063a71p-14, 0x1.953e6cbb73a73p-14, 0x1.82043f5c04c5dp-14, 0x1.6f59158192d3ep-14, 0x1.5d3ea56224c73p-14, 0x1.4bb8247107ecdp-14, 0x1.3ac57a7076e4dp-14, 0x1.2a5f5241ce979p-14, 0x1.1a77731357eep-14, 0x1.0affe9a2ff637p-14, 0x1.f7eaa50303928p-15, 0x1.dac5180fee41ep-15, 0x1.beaf7ba81f239p-15, 0x1.a3b662ad3451ep-15, 0x1.89c7970e976c1p-15, 0x1.70c746f119a73p-15, 0x1.58a98961aa787p-15, 0x1.41713be517fcap-15, 0x1.2b1dc101ba0f1p-15, 0x1.15a3321c9dd11p-15, 0x1.00f15cde61f4dp-15, 0x1.d9f8e11acfee5p-16, 0x1.b37fcc7e6599p-16, 0x1.8e79c09979613p-16, 0x1.6aed98fb655f5p-16, 0x1.48df8e2788725p-16, 0x1.284b650ea9df9p-16, 0x1.0921365a36f6dp-16, 0x1.d68a7c3a87985p-17, 0x1.9d2c0b16e6b0ep-17, 0x1.65fa8c566207fp-17, 0x1.310484144fdd3p-17, 0x1.fd1313d20b354p-18, 0x1.9d53b99e1dac9p-18, 0x1.421d255982c4bp-18, 0x1.d43606ce47d0fp-19, 0x1.2971d6f75088dp-19, 0x1.0b9aea5de579ep-20, -0x1.4304ef9588332p-23, -0x1.490bc7669d81bp-20, -0x1.2d5ccf935be14p-19, -0x1.b01fde7c446ebp-19, -0x1.162ec7fdf6f32p-18, -0x1.50b113dd6c27dp-18, -0x1.87b912d3b20f7p-18, -0x1.bbaedf322655bp-18, -0x1.ece52ee545b4bp-18, -0x1.0dc1d8ae72a41p-17, -0x1.23cc7fa42ff95p-17, -0x1.3894ce20d7291p-17, -0x1.4c1891b05cc1bp-17, -0x1.5e4f09d944b3ep-17, -0x1.6f2a449555532p-17, -0x1.7e9e06995a13ap-17, -0x1.8ca903c7b8032p-17, -0x1.996009c6a614cp-17, -0x1.a4fb7b55a21e2p-17, -0x1.afc9b5dc60235p-17, -0x1.b9e9315014751p-17, -0x1.c31a8dadf5d17p-17, -0x1.cb0d369770044p-17, -0x1.d1cc945028b6ap-17, -0x1.d7b6ce3cc95fcp-17, -0x1.dd137976f72a9p-17, -0x1.e1ccc7616a212p-17, -0x1.e5949f5fd1a4dp-17, -0x1.e85b092981f0fp-17, -0x1.ea78a99becb3ep-17, -0x1.ec2f0ac7607cfp-17, -0x1.ed4fb5138ec27p-17, -0x1.eda438b6a28fdp-17, -0x1.ed3cbcc0c778dp-17, -0x1.ec41add7a2611p-17, -0x1.eac9eea636614p-17, -0x1.e8db5633e7c4ap-17, -0x1.e6763f98f2db4p-17, -0x1.e39c17f79cef4p-17, -0x1.e050bdaac9c72p-17, -0x1.dc990edc5ffe8p-17, -0x1.d87848eef308cp-17, -0x1.d3ee25ec255ddp-17, -0x1.cef7c747ec416p-17, -0x1.c992a66520505p-17, -0x1.c3bcd4614831cp-17, -0x1.bd75ec04a032cp-17, -0x1.b6d16c0c8b6c7p-17, -0x1.affe3b976160bp-17, -0x1.a909bdf4a61dcp-17, -0x1.a1cbc03f719c7p-17, -0x1.9a462451cf2a7p-17, -0x1.92a1689e07b4ep-17, -0x1.8ac090367b499p-17, -0x1.826e71deadea4p-17, -0x1.79c8a2338e72fp-17, -0x1.710bfafd80e3p-17, -0x1.683a8cb031d5bp-17, -0x1.5f574fe6cc3dcp-17, -0x1.5673b61fa630fp-17, -0x1.4d6aee29ab97cp-17, -0x1.442391745b275p-17, -0x1.3ab46d83cea3p-17, -0x1.3133c9e328d13p-17, -0x1.27a7717469748p-17, -0x1.1e0e853ddc3ap-17, -0x1.146807ee7c0a9p-17, -0x1.0ab4447085a6p-17, -0x1.00f4a04bed8c6p-17, -0x1.ee5699f512ebbp-18, -0x1.dab5e828a97d4p-18, -0x1.c70c6c712b4e3p-18, -0x1.b35e356841bb1p-18, -0x1.9fae1a846255ap-18, -0x1.8bff73cfe14a5p-18, -0x1.785404fb9756fp-18, -0x1.649f58dcb07bep-18, -0x1.50cdaea21f459p-18, -0x1.3cfb6ca05974fp-18, -0x1.2955740a71b27p-18, -0x1.15d648946a43cp-18, -0x1.028e570b884b6p-18, -0x1.decdae072081fp-19, -0x1.b86ef884a79a4p-19, -0x1.9234451d3428ap-19, -0x1.6c414f3b9ad5bp-19, -0x1.466bb1eaf201p-19, -0x1.20b8d157c9cacp-19, -0x1.f6f52bb1db5bcp-20, -0x1.ad87d13cb5ebcp-20, -0x1.6520f62bf1eb4p-20, -0x1.1d279d38d7d08p-20, -0x1.aaeb35d7601e2p-21, -0x1.1cf1f659455f3p-21, -0x1.21790be2ae134p-22, -0x1.8f42f77ee9b4p-27, 0x1.0536d1c2e9b67p-22, 0x1.09cf1e6072743p-21, 0x1.8f5958d781f5ap-21, 0x1.0999c9c125e07p-20, 0x1.4aae1708d8912p-20, 0x1.8ae530b0f8bf6p-20, 0x1.ca38c2f4a44e3p-20, 0x1.04515bf547e57p-19, 0x1.230f5ba8307a4p-19, 0x1.4154c23ee573dp-19, 0x1.5f1e9e73623cdp-19, 0x1.7c6c0523fe657p-19, 0x1.994ea5b1057c2p-19, 0x1.b5dd9f956e05dp-19, 0x1.d1f26df0f2c98p-19, 0x1.ed67802661ef7p-19, 0x1.04221cbd0ef6ep-18, 0x1.115c482b2d9c9p-18, 0x1.1e623156b2972p-18, 0x1.2b25c2f2047a9p-18, 0x1.37a586a79a97cp-18, 0x1.43e3c1a00e1b5p-18, 0x1.4fe102795d8cbp-18, 0x1.5b9e2f9bc4e67p-18, 0x1.672270c4db58ep-18, 0x1.7270e8ace837dp-18, 0x1.7d78f07bb51dep-18, 0x1.8836560ff80f1p-18, 0x1.92b9da66a767ep-18, 0x1.9d062a620074dp-18, 0x1.a7128bc37c081p-18, 0x1.b0de2dc70cb7ap-18, 0x1.ba6acba5c7bbp-18, 0x1.c3b97a7d0aaadp-18, 0x1.cccacaf6e12c6p-18, 0x1.d59f2570cab18p-18, 0x1.de36ec6c1c31cp-18, 0x1.e6927cd776e96p-18, 0x1.eeb223e9401ddp-18, 0x1.f6961caeae85fp-18, 0x1.fe3ea0be7acfep-18, 0x1.02d6051bef699p-17, 0x1.066f71fb3c5bdp-17, 0x1.09ebd0f7e8a4cp-17, 0x1.0d4b22539fe16p-17, 0x1.108dffda87536p-17, 0x1.13b6fae6a5153p-17, 0x1.16c47a8eb5079p-17, 0x1.19b2cb5b211b3p-17, 0x1.1c8696155b4f9p-17, 0x1.1f412b07adacbp-17, 0x1.21e0539421463p-17, 0x1.24644eee30905p-17, 0x1.26cdcdb23c0a2p-17, 0x1.291d3ff95de61p-17, 0x1.2b52fcd66bba2p-17, 0x1.2d6f602725841p-17, 0x1.2f72c7bc9ffcep-17, 0x1.315d71c2afb2ap-17, 0x1.332f6c86e2415p-17, 0x1.34e93e5b034e6p-17, 0x1.368c59f34f83bp-17, 0x1.381795aaf3b68p-17, 0x1.398b2c2734e66p-17, 0x1.3ae8ee28d424ap-17, 0x1.3c302ef398947p-17, 0x1.3d612e5797a2ep-17, 0x1.3e7c34c27c35bp-17, 0x1.3f8183e998d24p-17, 0x1.40714b357f3a9p-17, 0x1.414c14cd49c1ap-17, 0x1.42124f5866c4ep-17, 0x1.42c44513c930cp-17, 0x1.436245b5fab3p-17, 0x1.43eca397247cbp-17, 0x1.4463b043b9123p-17, 0x1.44c7bf9ad1b6ep-17, 0x1.45192b20eb078p-17, 0x1.4558489e4ec65p-17, 0x1.4585540d3c5fbp-17, 0x1.45a0971c68037p-17, 0x1.45aad32398c01p-17, 0x1.45a3d34edeb5dp-17, 0x1.458c303476dfcp-17, 0x1.456460a86e593p-17, 0x1.452c4e74d9e26p-17, 0x1.44e463dd3a981p-17, 0x1.448d033c2a521p-17, 0x1.44267e133d6fdp-17, 0x1.43b1212447236p-17, 0x1.432d386f8a32cp-17, }}, 
      {{0x1.8ba994b12fecap-3, 0x1.5e40604ae3324p-2, 0x1.bb8356860cd0cp-2, 0x1.e148e88790e37p-2, 0x1.da59718bf2aebp-2, 0x1.b34911269ce9dp-2, 0x1.77d9450f8db6dp-2, 0x1.31de996bfdfb7p-2, 0x1.d1ec1b33fb6f3p-3, 0x1.454362d59e378p-3, 0x1.8a480134e0fbep-4, 0x1.57e641f744818p-5, -0x1.8701f01f1cf79p-9, -0x1.3ac4a33201ef4p-5, -0x1.091c83f79ce53p-4, -0x1.528eb8bfaf08fp-4, -0x1.7dd392d987f8cp-4, -0x1.8f7ab609846a1p-4, -0x1.8c2c6bb5e23a3p-4, -0x1.7868a527a6f25p-4, -0x1.585bed996265dp-4, -0x1.2fc5774bf2934p-4, -0x1.01ea19566ba48p-4, -0x1.a3218520bf2f6p-5, -0x1.420b16734f367p-5, -0x1.c8849501e6992p-6, -0x1.194bcc74710e5p-6, -0x1.eac804d9bd6e9p-8, 0x1.04a30779a00f5p-10, 0x1.0b850178ed86ep-7, 0x1.c977f28c478d8p-7, 0x1.2cfd3bc43ebcep-6, 0x1.5ee8aed09b936p-6, 0x1.7b5ae3cb0836bp-6, 0x1.838d442e048b6p-6, 0x1.78fcdffafddc2p-6, 0x1.5d5519e97b5a2p-6, 0x1.325dddccde257p-6, 0x1.f3da071239ffdp-7, 0x1.6bb4fc56d448cp-7, 0x1.9fdbe9a5ea369p-8, 0x1.2049636bcfa7ep-10, -0x1.293a78435163p-8, -0x1.56d93ac10c5d9p-7, -0x1.0fda2b8399661p-6, -0x1.76388b9e72d3bp-6, -0x1.dd466145c5eb9p-6, -0x1.21eff35ab1665p-5, -0x1.547f4e2d41bdbp-5, -0x1.85dc482990f87p-5, -0x1.b59fabbe99849p-5, -0x1.e36f66a17dc94p-5, -0x1.077eeae137cdap-4, -0x1.1c04822e835e8p-4, -0x1.2f2cf1e8f706fp-4, -0x1.40e1c0685cbf7p-4, -0x1.51111cb29e89bp-4, -0x1.5fad7b58ae46cp-4, -0x1.6cad3638c0c8p-4, -0x1.780a2fee6d00bp-4, -0x1.81c17b7e14db5p-4, -0x1.89d30898f8a96p-4, -0x1.904154ae26f8bp-4, -0x1.951120dfb0872p-4, -0x1.98492cdaa42a3p-4, -0x1.99f1f67d33c75p-4, -0x1.9a157e2d179a6p-4, -0x1.98bf0fb5d9012p-4, -0x1.95fb0f7c77faep-4, -0x1.91d6cbe050ea2p-4, -0x1.8c60528835212p-4, -0x1.85a6497429363p-4, -0x1.7db7cb9680f27p-4, -0x1.74a448bf39902p-4, -0x1.6a7b68b1c48a3p-4, -0x1.5f4cf11a590a8p-4, -0x1.5328ae551463cp-4, -0x1.461e5ea98fa8cp-4, -0x1.383da001eb8d3p-4, -0x1.2995dfb64a98dp-4, -0x1.1a364c8149156p-4, -0x1.0a2dca311a859p-4, -0x1.f315ce73ea64cp-5, -0x1.d0b7a75fe2b0dp-5, -0x1.ad5cb3d142cbdp-5, -0x1.891fb05f6a60fp-5, -0x1.641a77f2623e1p-5, -0x1.3e65fbb094d8dp-5, -0x1.181a3d86673ddp-5, -0x1.e29c97d18ae52p-6, -0x1.94307f25dae99p-6, -0x1.451a74fb5c535p-6, -0x1.eb05a011a8aafp-7, -0x1.4b1ffa647fcfep-7, -0x1.559a0d4e9e823p-8, -0x1.4a42a3dc4f48cp-12, 0x1.2c1e70e5a5e41p-8, 0x1.3618dc716aedap-7, 0x1.d590586ccb716p-7, 0x1.3a1f4f9fc354ep-6, 0x1.88f7fe867b0fap-6, 0x1.d739fec1381bcp-6, 0x1.126754f7049c1p-5, 0x1.38d06f66ad9e2p-5, 0x1.5ece7a56f3d04p-5, 0x1.845856b913763p-5, 0x1.a96593ab5d714p-5, 0x1.cdee67f2feee1p-5, 0x1.f1ebaafa77e3fp-5, 0x1.0aab66cb27dap-4, 0x1.1c14ea27dc8f3p-4, 0x1.2d2fa7f4eeeecp-4, 0x1.3df92b90b3b9cp-4, 0x1.4e6f40540c78bp-4, 0x1.5e8fee7aa17b8p-4, 0x1.6e5977dea6683p-4, 0x1.7dca557c0a9cp-4, 0x1.8ce1345a35ab2p-4, 0x1.9b9cf2bfa15dbp-4, 0x1.a9fc9defa346p-4, 0x1.b7ff6f4e1ceb7p-4, 0x1.c5a4ca043256bp-4, 0x1.d2ec38907b117p-4, 0x1.dfd56acd47f93p-4, 0x1.ec60337483e64p-4, 0x1.f88c862aa948cp-4, 0x1.022d3ac1055c9p-3, 0x1.07e51897a0bbap-3, 0x1.0d6e01eec96a9p-3, 0x1.12c828e122c2ap-3, 0x1.17f3cb7327cd2p-3, 0x1.1cf132b4b4f5fp-3, 0x1.21c0b2069f7aep-3, 0x1.2662a65b24901p-3, 0x1.2ad7759c7362fp-3, 0x1.2f1f8dd7cc06bp-3, 0x1.333b64b70d396p-3, 0x1.372b76e724026p-3, 0x1.3af047818322fp-3, 0x1.3e8a5f73a2814p-3, 0x1.41fa4d08e296fp-3, 0x1.4540a3638ad54p-3, 0x1.485dfa18f65acp-3, 0x1.4b52ec9b50e0dp-3, 0x1.4e2019e890aap-3, 0x1.50c624232bb2p-3, 0x1.5345b02fe0ec7p-3, 0x1.559f65523cf17p-3, 0x1.57d3ecd4f5cb7p-3, 0x1.59e3f1c888e1ap-3, 0x1.5bd020ab64a2ap-3, 0x1.5d99272508bfdp-3, 0x1.5f3fb3b54f46bp-3, 0x1.60c4757daa4b1p-3, 0x1.62281c0d5fb5dp-3, 0x1.636b571dd4912p-3, 0x1.648ed65a65942p-3, 0x1.659349300fe9dp-3, 0x1.66795ea30588ep-3, 0x1.6741c52214c0dp-3, 0x1.67ed2a60534ep-3, 0x1.687c3b2153ffep-3, 0x1.68efa3231eaadp-3, 0x1.69480cf88ead1p-3, 0x1.698621eb4c06fp-3, 0x1.69aa89e311af7p-3, 0x1.69b5eb43693c9p-3, 0x1.69a8ead7563d4p-3, 0x1.69842bbe33aep-3, 0x1.69484f56b58f4p-3, 0x1.68f5f529ace91p-3, 0x1.688dbad7aeae3p-3, 0x1.68103c0ad7831p-3, 0x1.677e12709b911p-3, 0x1.66d7d5a17202ap-3, 0x1.661e1b20405c4p-3, 0x1.6551764615ab9p-3, 0x1.6472783d04dfbp-3, 0x1.6381affff70bfp-3, 0x1.627faa4d8deffp-3, 0x1.616cf1a2c523p-3, 0x1.604a0e372d262p-3, 0x1.5f1785fa872e6p-3, 0x1.5dd5dc92484eap-3, 0x1.5c8593574de39p-3, 0x1.5b272954b525cp-3, 0x1.59bb1b4849fe8p-3, 0x1.5841e3a353fabp-3, 0x1.56bbfa8eb24ep-3, 0x1.5529d5e4f2047p-3, 0x1.538be93a11eccp-3, 0x1.51e2a5e13f8b1p-3, 0x1.502e7ae86e8f3p-3, 0x1.4e6fd5257f182p-3, 0x1.4ca71f32897c4p-3, 0x1.4ad4c1733998ep-3, 0x1.48f9221d56e4p-3, 0x1.4714a53f07f38p-3, 0x1.4527acc1fd7d3p-3, 0x1.4332986e53738p-3, 0x1.4135c5f07c969p-3, 0x1.3f3190e25e4c8p-3, 0x1.3d2652d3e8888p-3, 0x1.3b1463502c7e2p-3, 0x1.38fc17e04f562p-3, 0x1.36ddc410fb7b5p-3, 0x1.34b9b97e1108ep-3, 0x1.329047d71d486p-3, 0x1.3061bceb6153cp-3, 0x1.2e2e64aecca2ep-3, 0x1.2bf68937cd9d5p-3, 0x1.29ba72d026cf2p-3, 0x1.277a67fac0f78p-3, 0x1.2536ad7c25e9p-3, 0x1.22ef8661c4084p-3, 0x1.20a53407282e7p-3, 0x1.1e57f61c44b55p-3, 0x1.1c080aade006cp-3, 0x1.19b5ae2efcfbcp-3, 0x1.17611b80f87f1p-3, 0x1.150a8bf9b5552p-3, 0x1.12b2376943108p-3, 0x1.10585420ae563p-3, 0x1.0dfd16fa3f0c3p-3, 0x1.0ba0b361d2ae3p-3, 0x1.09435b5bf755ap-3, 0x1.06e53f8be2ba3p-3, 0x1.04868f3add456p-3, 0x1.0227785c5e15ep-3, 0x1.ff904f2b5afabp-4, 0x1.fad1909356d86p-4, 0x1.f613092ef44fbp-4, 0x1.f1550accf4bd1p-4, 0x1.ec97e4d777262p-4, 0x1.e7dbe45bdbcf2p-4, 0x1.e3215418e36c9p-4, 0x1.de687c8c30009p-4, 0x1.d9b1a3fe8ad1dp-4, 0x1.d4fd0e8f3ce3bp-4, 0x1.d04afe3ef89a2p-4, 0x1.cb9bb2fada3bap-4, 0x1.c6ef6aa72ca39p-4, 0x1.c246612b1b72cp-4, 0x1.bda0d07d3151fp-4, 0x1.b8fef0ad32a9bp-4, 0x1.b460f7ecc47ep-4, 0x1.afc71a9b1b19fp-4, 0x1.ab318b502a11ep-4, 0x1.a6a07ae581a78p-4, 0x1.a214187ff8407p-4, 0x1.9d8c9199478b5p-4, 0x1.990a12092e267p-4, 0x1.948cc4104b5d5p-4, 0x1.9014d05e51ccbp-4, 0x1.8ba25e1b91009p-4, 0x1.873592f8d405p-4, 0x1.82ce932d0f224p-4, 0x1.7e6d8183d2f8ap-4, 0x1.7a127f67679cp-4, 0x1.75bdace475898p-4, 0x1.716f28b2b223bp-4, 0x1.6d27103de5066p-4, 0x1.68e57fadca062p-4, 0x1.64aa91ed3e2aap-4, 0x1.607660b1c254ap-4, 0x1.5c4904834713bp-4, 0x1.582294c307ff1p-4, 0x1.540327b13e747p-4, 0x1.4fead27326d8p-4, 0x1.4bd9a91a86ecdp-4, 0x1.47cfbeadd87cbp-4, 0x1.43cd252f4b64ep-4, 0x1.3fd1eda1fb9a8p-4, 0x1.3bde280e55213p-4, 0x1.37f1e3875ea47p-4, 0x1.340d2e31ddff9p-4, 0x1.3030154c5663bp-4, 0x1.2c5aa535d029bp-4, 0x1.288ce972431e6p-4, 0x1.24c6ecad6d3e7p-4, 0x1.2108b8be4d94ap-4, 0x1.1d5256add71cap-4, 0x1.19a3cebee8937p-4, 0x1.15fd287365ce7p-4, 0x1.125e6a95f3507p-4, 0x1.0ec79b39aafdcp-4, 0x1.0b38bfb8d3508p-4, 0x1.07b1dcbdbdcaep-4, 0x1.0432f64624a16p-4, 0x1.00bc0fa939d58p-4, 0x1.fa9a573f1865ap-5, 0x1.f3cc98913959fp-5, 0x1.ed0ee65b21bb2p-5, 0x1.e661428528e32p-5, 0x1.dfc3add17a3eep-5, 0x1.d93627e2aedbep-5, 0x1.d2b8af450c9c8p-5, 0x1.cc4b41799f5b6p-5, 0x1.c5eddb021554cp-5, 0x1.bfa0776b2f0d2p-5, 0x1.b963115395095p-5, 0x1.b335a26f63363p-5, 0x1.ad18238aec772p-5, 0x1.a70a8c8f143c6p-5, 0x1.a10cd487d61eap-5, 0x1.9b1ef1ac356bp-5, 0x1.9540d9666391dp-5, 0x1.8f72805ba9b72p-5, 0x1.89b3da7405e97p-5, 0x1.8404dae135facp-5, 0x1.7e6574245fb0ep-5, 0x1.78d598121c3f2p-5, 0x1.735537d5c1889p-5, 0x1.6de443f524111p-5, 0x1.6882ac558f411p-5, 0x1.633060427686cp-5, 0x1.5ded4e748cd91p-5, 0x1.58b9651528b78p-5, 0x1.539491c59fef9p-5, 0x1.4e7ec1a592b46p-5, 0x1.4977e15131003p-5, 0x1.447fdcebb2929p-5, 0x1.3f96a02636dcap-5, 0x1.3abc1640c254fp-5, 0x1.35f02a0d23731p-5, 0x1.3132c5f216a5fp-5, 0x1.2c83d3ef0b6fap-5, 0x1.27e33da112755p-5, 0x1.2350ec486442cp-5, 0x1.1eccc8cd75009p-5, 0x1.1a56bbc4abd69p-5, 0x1.15eead70e4af1p-5, 0x1.119485c60ed46p-5, 0x1.0d482c6d35f3ep-5, 0x1.090988c9d14a6p-5, 0x1.04d881feba25ep-5, 0x1.00b4fef169314p-5, 0x1.f93dcc97665f1p-6, 0x1.f12c3cfa4b51cp-6, 0x1.e9351b7a7b79ap-6, 0x1.e158341d81beep-6, 0x1.d9955288b3461p-6, 0x1.d1ec420a62adfp-6, 0x1.ca5ccda1c2f0dp-6, 0x1.c2e6c00393a9p-6, 0x1.bb89e39ce2297p-6, 0x1.b44602954ebc5p-6, 0x1.ad1ae6d3af0dep-6, 0x1.a6085a05c133fp-6, 0x1.9f0e25a92483ap-6, 0x1.982c13128c86bp-6, 0x1.9161eb71bd53ep-6, 0x1.8aaf77d32683ap-6, 0x1.841481214523fp-6, 0x1.7d90d027bc12cp-6, 0x1.77242d98e38d5p-6, 0x1.70ce621427a18p-6, 0x1.6a8f362c31d91p-6, 0x1.6466726fef6dcp-6, 0x1.5e53df6cd688ep-6, 0x1.585745aedc68cp-6, 0x1.52706dc542048p-6, 0x1.4c9f204317a2cp-6, 0x1.46e325c0dcbacp-6, 0x1.413c46e199ffap-6, 0x1.3baa4c597985fp-6, 0x1.362cfef3f1d6ap-6, 0x1.30c42797f70e7p-6, 0x1.2b6f8f49c9311p-6, 0x1.262eff2b8301ap-6, 0x1.2102407e00d2ap-6, 0x1.1be91ca34bc42p-6, 0x1.16e35d229568ap-6, 0x1.11f0cbad1a38fp-6, 0x1.0d113222b04adp-6, 0x1.08445a9518aabp-6, 0x1.038a0f4975b88p-6, 0x1.fdc4357067dd8p-7, 0x1.f4988f1b96cc4p-7, 0x1.eb90c15690b2fp-7, 0x1.e2ac6251cc7cbp-7, 0x1.d9eb08b1c7ba1p-7, 0x1.d14c4b997faddp-7, 0x1.c8cfc2b5ca1f7p-7, 0x1.c07506483253dp-7, 0x1.b83baf2dcfd3dp-7, 0x1.b02356df314fbp-7, 0x1.a82b97699283ap-7, 0x1.a0540b64c5af4p-7, 0x1.989c4deaa0147p-7, 0x1.9103fa93d7c3p-7, 0x1.898aad7cbb1ffp-7, 0x1.823003517e9ap-7, 0x1.7af3995fe68ebp-7, 0x1.73d50daa5ae1ap-7, 0x1.6cd3fef846261p-7, 0x1.65f00ce084d1cp-7, 0x1.5f28d7cbbe2f7p-7, 0x1.587e00ee827b2p-7, 0x1.51ef2a3b7cf6cp-7, 0x1.4b7bf64ff3f4dp-7, 0x1.45240860d2f34p-7, 0x1.3ee7042d12734p-7, 0x1.38c48df31273dp-7, 0x1.32bc4a7c0eb54p-7, 0x1.2ccddf35ac102p-7, 0x1.26f8f248d81f5p-7, 0x1.213d2ab983c5ap-7, 0x1.1b9a308091c4ap-7, 0x1.160fac96da8d8p-7, 0x1.109d48f1bdc51p-7, 0x1.0b42b071888ep-7, 0x1.05ff8ec501f2bp-7, 0x1.00d3904813725p-7, 0x1.f77cc3caf17aep-8, 0x1.ed7f6206c506dp-8, 0x1.e3ae570293f11p-8, 0x1.da08ff93efcd1p-8, 0x1.d08eb9f004877p-8, 0x1.c73ee60c23078p-8, 0x1.be18e5ffa3c66p-8, 0x1.b51c1e4cf7622p-8, 0x1.ac47f5fac8027p-8, 0x1.a39bd66eda77ep-8, 0x1.9b172b0adb47ep-8, 0x1.92b9609b1be3bp-8, 0x1.8a81e4b581f39p-8, 0x1.8270252e9a69bp-8, 0x1.7a838fc9f6468p-8, 0x1.72bb923fd74a2p-8, 0x1.6b179aa1ea287p-8, 0x1.63971815080b6p-8, 0x1.5c397bc41e4e9p-8, 0x1.54fe39e09d7fcp-8, 0x1.4de4ca7aeda91p-8, 0x1.46ecaa0156705p-8, 0x1.4015593ffd66fp-8, 0x1.395e5cca00b1dp-8, 0x1.32c73bdb4d836p-8, 0x1.2c4f7ed7c3fc7p-8, 0x1.25f6ada60c76dp-8, 0x1.1fbc4e3a10d72p-8, 0x1.199fe397b5aa4p-8, 0x1.13a0ed8bdabep-8, 0x1.0dbee93c069efp-8, 0x1.07f9528696689p-8, 0x1.024fa60600d31p-8, 0x1.f982c6d186c9cp-9, 0x1.ee9c1f73f3cffp-9, 0x1.e3ea6e633a102p-9, 0x1.d96cdc5de8421p-9, 0x1.cf22a250ee358p-9, 0x1.c50b071539b95p-9, 0x1.bb255ae4c5e6fp-9, 0x1.b170f19741d1ap-9, 0x1.a7ed1ca06da6ap-9, 0x1.9e9924fbabb4dp-9, 0x1.957446c564c7bp-9, 0x1.8c7daf2c1233fp-9, 0x1.83b47cde75752p-9, 0x1.7b17c326d8d5fp-9, 0x1.72a68f56c612dp-9, 0x1.6a5fefbf53524p-9, 0x1.6242fb3113fep-9, 0x1.5a4ed7e2fa9b2p-9, 0x1.5282c0ad60d65p-9, 0x1.4ade07c064077p-9, 0x1.4360165a05746p-9, 0x1.3c08697712ac9p-9, 0x1.34d68bf36648cp-9, 0x1.2dca0ef56c8d9p-9, 0x1.26e281c474773p-9, 0x1.201f6a3ae71a6p-9, 0x1.19803ee592f22p-9, 0x1.130463987fecep-9, 0x1.0cab28e2c10d6p-9, 0x1.0673ce61d0ecdp-9, 0x1.005d8799b8bbdp-9, 0x1.f4cf0549ee748p-10, 0x1.e921dfb0c055bp-10, 0x1.ddb212aca13bp-10, 0x1.d27e33173070ep-10, 0x1.c784ff65d367p-10, 0x1.bcc56380b7945p-10, 0x1.b23e76f3449cfp-10, 0x1.a7ef75e17979ap-10, 0x1.9dd7b600e5958p-10, 0x1.93f699687d7d2p-10, 0x1.8a4b813a4bc04p-10, 0x1.80d5c1f0d673dp-10, 0x1.77949a9e8cddbp-10, 0x1.6e872fd1fe5cep-10, 0x1.65ac8a4ecadd8p-10, 0x1.5d039962ca28cp-10, 0x1.548b385bff0f9p-10, 0x1.4c423655a02ap-10, 0x1.44275f6fdc4f9p-10, 0x1.3c3986409015cp-10, 0x1.34778c56bbc3ap-10, 0x1.2ce068c600667p-10, 0x1.25732c0314b21p-10, 0x1.1e2f00c4d26dep-10, 0x1.17132a0e774aap-10, 0x1.101efeed3ec54p-10, 0x1.0951e4b14a226p-10, 0x1.02ab487dcf9fap-10, 0x1.f85532689a43ep-11, 0x1.eb9e8569821bdp-11, 0x1.df31536c88cffp-11, 0x1.d30c53bc45af3p-11, 0x1.c72e2d16f4ef6p-11, 0x1.bb95777631a6cp-11, 0x1.b040c1f6b88cdp-11, 0x1.a52e99aae3c8ep-11, 0x1.9a5d8dbdcc5c5p-11, 0x1.8fcc309a235d6p-11, 0x1.8579167c4c45cp-11, 0x1.7b62d3513d7b9p-11, 0x1.7187faa31b193p-11, 0x1.67e723ab34427p-11, 0x1.5e7ef19b61881p-11, 0x1.554e1dd13eb3ap-11, 0x1.4c538008f16bap-11, 0x1.438e10b4ddfc3p-11, 0x1.3afce3716acap-11, 0x1.329f1a81313f5p-11, 0x1.2a73d735b9b97p-11, 0x1.227a2ce1dacfbp-11, 0x1.1ab11b7b5c229p-11, 0x1.1317944e97a9fp-11, 0x1.0bac86ff63012p-11, 0x1.046ef147292b5p-11, 0x1.fabbd45db382p-12, 0x1.ecf145b063fe9p-12, 0x1.df7cb5d51e23dp-12, 0x1.d25c97f41145dp-12, 0x1.c58f277a7755cp-12, 0x1.b9124d30b2dcp-12, 0x1.ace3a3b22537p-12, 0x1.a1009eaae4cfep-12, 0x1.9566ca4c58f1dp-12, 0x1.8a140d5fb2ff7p-12, 0x1.7f06d54d6f5e2p-12, 0x1.743e1a4b4bbdep-12, 0x1.69b938b872549p-12, 0x1.5f77adbdef5c3p-12, 0x1.5578d0e09fb29p-12, 0x1.4bbba474dc286p-12, 0x1.423ecb991b3d6p-12, 0x1.3900a3932f317p-12, 0x1.2fff70dfdef9bp-12, 0x1.27398bc6f92f7p-12, 0x1.1ead7c6d65973p-12, 0x1.1659fee828cb6p-12, 0x1.0e3df0583220cp-12, 0x1.06582c92d6c54p-12, 0x1.fd4ecf82b9bcdp-13, 0x1.ee5422110e59p-13, 0x1.dfbc9549019b6p-13, 0x1.d184004d34085p-13, 0x1.c3a636402095ep-13, 0x1.b61f94087b707p-13, 0x1.a8ed820cbaf63p-13, 0x1.9c0eb1e4e00fbp-13, 0x1.8f82f4fa86d19p-13, 0x1.834ab8d428ee1p-13, 0x1.7766665315debp-13, 0x1.6bd5df14ea29ap-13, 0x1.60984d71e6d4ep-13, 0x1.55ac4939b70e8p-13, 0x1.4b10115fc2e17p-13, 0x1.40c1ca9db2cf9p-13, 0x1.36bf9e75ee8e7p-13, 0x1.2d07ab060c008p-13, 0x1.2397d5107f571p-13, 0x1.1a6d9f6c8ebd6p-13, 0x1.11862c12cf621p-13, 0x1.08de7122ab1c9p-13, 0x1.0073825b4d381p-13, 0x1.f0858053c8313p-14, 0x1.e093abb9a77cap-14, 0x1.d10d367b42e1fp-14, 0x1.c1ee0b37e28cep-14, 0x1.b3328be8b0d93p-14, 0x1.a4d811c4e7a84p-14, 0x1.96dd5191ff0dap-14, 0x1.8942454e482edp-14, 0x1.7c07924a29291p-14, 0x1.6f2dc8cb40be2p-14, 0x1.62b4e8e7216c9p-14, 0x1.569c4655fed71p-14, 0x1.4ae2a0f130078p-14, 0x1.3f865a1d1fcebp-14, 0x1.3485cb67dfb8ap-14, 0x1.29df914eb03c1p-14, 0x1.1f926b45713ecp-14, 0x1.159c9a319d3f6p-14, 0x1.0bfb2bb92bbaep-14, 0x1.02a9bf239061bp-14, 0x1.f345e6105993dp-15, 0x1.e1c289e815f1dp-15, 0x1.d0c00439e67ep-15, 0x1.c037d3af5193p-15, 0x1.b0267e4e00f59p-15, 0x1.a08a8619941b3p-15, 0x1.9162b900c5d4ap-15, 0x1.82acc367c6d5fp-15, 0x1.7464d1d0f4128p-15, 0x1.668676d4ca27p-15, 0x1.590e3432180f7p-15, 0x1.4bfa978e03056p-15, 0x1.3f4c4df7492a8p-15, 0x1.330539baf99cbp-15, 0x1.2726c7fb1a3d1p-15, 0x1.1bb03b035572ap-15, 0x1.109e6302c4654p-15, 0x1.05ed60b73b05ep-15, 0x1.f735441a8b66dp-16, 0x1.e349bf2a611a8p-16, 0x1.d01506ae5c59ep-16, 0x1.bd9147156209bp-16, 0x1.abb6cea5396bcp-16, 0x1.9a7daf590383ep-16, 0x1.89de3d9f4c874p-16, 0x1.79d090233168ep-16, 0x1.6a4c5053d9946p-16, 0x1.5b499a48d920ep-16, 0x1.4cc278f0a79a8p-16, 0x1.3eb41423ad978p-16, 0x1.311e76a721053p-16, 0x1.24026fad3ae3fp-16, 0x1.175eb67929aefp-16, 0x1.0b2cf134f6207p-16, 0x1.fec42c373d23fp-17, 0x1.e7e7547de6563p-17, 0x1.d1bd4e8f869a3p-17, 0x1.bc53847cf5709p-17, 0x1.a7be478cda76ap-17, 0x1.94043aaa0df24p-17, 0x1.81171f7d6267p-17, 0x1.6ee25f8f0cp-17, 0x1.5d5c2b6e0474ap-17, 0x1.4c848eb3d350fp-17, 0x1.3c59478ab4822p-17, 0x1.2cd0c8839a8f9p-17, 0x1.1ddef6d4dbf62p-17, 0x1.0f7ad309a02ccp-17, 0x1.01a03d342f903p-17, 0x1.e89d92381d7e2p-18, 0x1.cf0f08ab83fc8p-18, 0x1.b695486b9a764p-18, 0x1.9f2b637761f3fp-18, 0x1.88c516caf2132p-18, 0x1.734ea9aabe759p-18, 0x1.5eb0c03091a4ap-18, 0x1.4adb0ef1df061p-18, 0x1.37d026a2e7f84p-18, 0x1.25a25c68c600ap-18, 0x1.1459f89f6f81fp-18, 0x1.03d90e81468c4p-18, 0x1.e7cedf5fd92a5p-19, 0x1.c8d8fe9e28783p-19, 0x1.ab1c1315eb2a5p-19, 0x1.8efd18ea03555p-19, 0x1.7478fbc605882p-19, 0x1.5b34e875de73bp-19, 0x1.42f53f3f2b5e2p-19, 0x1.2bc96eeeff22dp-19, 0x1.15cac50670913p-19, 0x1.00ebf45035f8ep-19, 0x1.da1577fb8ce8p-20, 0x1.b418430825b49p-20, 0x1.8fc55e43e011p-20, 0x1.6d11434454a67p-20, 0x1.4bf669e9fbfap-20, 0x1.2c74906303b18p-20, 0x1.0e935701b0a8ep-20, 0x1.e4c1495efa2bep-21, 0x1.afd0a49614c9cp-21, 0x1.7e523cddb15bap-21, 0x1.500eee0e7ac54p-21, 0x1.247b09b7dc8dap-21, 0x1.f5ad97d1c758p-22, 0x1.a5aa5c7a34097p-22, 0x1.5a13ce3978d6cp-22, 0x1.1464c387f93bcp-22, 0x1.a8bfd069095dcp-23, 0x1.3074d380c7af3p-23, 0x1.7a5efd7629e42p-24, 0x1.3efdb7219ac7fp-25, -0x1.4f844dd455cd7p-27, -0x1.c1dafe59a0a4cp-25, -0x1.8c30aff94bfe2p-24, -0x1.183a6ea0003d3p-23, -0x1.652b7249d173bp-23, -0x1.aafed0015910bp-23, -0x1.ea47f445b9d08p-23, -0x1.12466b036ff24p-22, -0x1.2d52387088b86p-22, -0x1.466129a8b5018p-22, -0x1.5d757533b69cfp-22, -0x1.7297358ee036ep-22, -0x1.85d9b34dbc192p-22, -0x1.97548e2096b39p-22, -0x1.a71804b182ecbp-22, -0x1.b524b6b58fe74p-22, -0x1.c16fcfc183d2ep-22, -0x1.cbf0231e8d51dp-22, -0x1.d49f851197165p-22, -0x1.db7e831dc5abdp-22, -0x1.e0e2901d962e3p-22, -0x1.e595e46ca4703p-22, -0x1.e9d1ccaab1827p-22, -0x1.ece94166d4507p-22, -0x1.eee4b14cdf3a1p-22, -0x1.f0721b4948f85p-22, -0x1.f1142f3ef5d05p-22, -0x1.efe7eef3d55f9p-22, -0x1.ed6f3828073fbp-22, -0x1.eaae141149c6cp-22, -0x1.e7ac23078246ap-22, -0x1.e472e5fbacce3p-22, -0x1.e1452b311f345p-22, -0x1.dd89201df184bp-22, -0x1.d8d996dc0248p-22, -0x1.d393e26ce3a0fp-22, -0x1.ce0fefaf4e76cp-22, -0x1.c8631a9afaep-22, -0x1.c288f7ef878a1p-22, -0x1.bc7d25e0fd44ap-22, -0x1.b6405ab6e6a48p-22, -0x1.afd76867f77c9p-22, -0x1.a949f3aca6e5cp-22, -0x1.a2a13d6764153p-22, -0x1.9be64cce5aa0bp-22, -0x1.951fe492d93f9p-22, -0x1.8e528338b6772p-22, -0x1.87838e8c31c06p-22, -0x1.80b5a6a22881ap-22, -0x1.79d1b5eeec3bdp-22, -0x1.72b34ad2b54c7p-22, -0x1.6b8cee020794dp-22, -0x1.64aed4fcc3bf5p-22, -0x1.5e0dd95a6faa4p-22, -0x1.57c66def6bb7dp-22, -0x1.51adfe91ffaebp-22, -0x1.4b7a3214139cap-22, -0x1.4558232652947p-22, -0x1.3f669e605c579p-22, -0x1.3980281a42b9fp-22, -0x1.33aabd91d5e91p-22, -0x1.2e2bfe5209433p-22, -0x1.2910354ca80f2p-22, -0x1.244fc96b711edp-22, -0x1.1faa775b38622p-22, -0x1.1b11a7c9a4bafp-22, -0x1.16b011e6fc0bfp-22, -0x1.1296cba411cc1p-22, -0x1.0ec7add3b61eap-22, -0x1.0b3bc644f94b3p-22, -0x1.07ed830767c67p-22, -0x1.04d90d9168b97p-22, -0x1.01fcaff716293p-22, -0x1.fec09e2055832p-23, -0x1.fa0adf0cd0457p-23, -0x1.f5d75cc3ed18ep-23, -0x1.f22723f763d2cp-23, -0x1.eefb501b221adp-23, -0x1.ec5489a7f069p-23, -0x1.ea34fc184d6f3p-23, -0x1.e89bf5f36f4a6p-23, -0x1.e77127536e398p-23, -0x1.e695082f16de8p-23, -0x1.e6347ddc5fff3p-23, -0x1.e67b4a4fff5fap-23, -0x1.e75d87619ecccp-23, -0x1.e89d2f6175f75p-23, -0x1.ea385d286313ap-23, -0x1.ec504fe4dd24p-23, -0x1.eee7283bedd1dp-23, -0x1.f1f5cfebc1561p-23, -0x1.f578f92d5edadp-23, -0x1.f96c279a5dec4p-23, -0x1.fdbe0fa7a15e2p-23, -0x1.01343e2a30d98p-22, -0x1.03c569f346bd4p-22, -0x1.0693a90a413ap-22, -0x1.098ee4eb25559p-22, -0x1.0cb56f9b22e4cp-22, -0x1.100d57ef60b7bp-22, -0x1.1395b16353008p-22, -0x1.174c07ee45a97p-22, -0x1.1b2e987723bd3p-22, -0x1.1f3c073dbddbbp-22, -0x1.237314ab18586p-22, -0x1.27d283cca008fp-22, -0x1.2c5914649e41p-22, -0x1.3105826512ed9p-22, -0x1.35d685e163ac9p-22, -0x1.3acad2e88f19bp-22, -0x1.3fe1205ca4973p-22, -0x1.45182286e5de4p-22, -0x1.4a6e893721377p-22, -0x1.4fe300f4a7549p-22, -0x1.5574442d919f4p-22, -0x1.5b213c16b1db8p-22, -0x1.60e8749724c7dp-22, -0x1.66c84e811472dp-22, -0x1.6cbff3dac376dp-22, -0x1.72ce4324c16f9p-22, -0x1.78f1c3d176d8fp-22, -0x1.7f292bb00bd4fp-22, -0x1.85732f331d9efp-22, -0x1.8bce778e6436ep-22, -0x1.9239b715a111cp-22, -0x1.98b3c9e873e4ep-22, -0x1.9f3bc5ae490b2p-22, -0x1.a5d0b9ce91adbp-22, -0x1.ac71370dde5f9p-22, -0x1.b31c320cfcb6ep-22, -0x1.b9d325c3b0878p-22, -0x1.c091f5f7ab73cp-22, -0x1.c756193b94228p-22, -0x1.ce235c97acdc3p-22, -0x1.d4f8bc4043515p-22, -0x1.dbd8002a50006p-22, -0x1.e2b95db963f66p-22, -0x1.e99896fbb5749p-22, -0x1.f0708d8928fa8p-22, -0x1.f7480a1423341p-22, -0x1.fe217c968ae1p-22, -0x1.027d101ecc1d2p-21, -0x1.05e807ce71607p-21, -0x1.09510e5808a75p-21, -0x1.0cb7a414c9cbfp-21, -0x1.101b6550d0963p-21, -0x1.137c19d98e295p-21, -0x1.16d9721b1b117p-21, -0x1.1a326e65e7e6bp-21, -0x1.1d866bf9d679fp-21, -0x1.20d7f58788899p-21, -0x1.24231668a8699p-21, -0x1.2769534eb6858p-21, -0x1.2aab4f1e4b058p-21, -0x1.2de60349ab786p-21, -0x1.3119d26c48aaep-21, -0x1.3446f36145373p-21, -0x1.376d317f55d9dp-21, -0x1.3a8c38afb94ddp-21, -0x1.3da3ad7eae2aep-21, }}, 
      {{0x1.422647cfe5b0ep+0, 0x1.5cda898fbb339p+0, 0x1.735fb34e8fe12p+0, 0x1.8028ceec37af2p+0, 0x1.829537714c43bp+0, 0x1.7c3546f8a009bp+0, 0x1.6f5901a3239f3p+0, 0x1.5e55c3bab06c8p+0, 0x1.4b31812cd8d69p+0, 0x1.378512bafd87p+0, 0x1.247aec42bfbd3p+0, 0x1.12db2dfa26156p+0, 0x1.031cc8d284e3p+0, 0x1.eaeeb4daa0129p-1, 0x1.d3e738f0a774dp-1, 0x1.c0f2f9292e418p-1, 0x1.b1b73a051d7bp-1, 0x1.a5c0b0f27a28fp-1, 0x1.9c911d8050648p-1, 0x1.95a920d6ce8a3p-1, 0x1.908f03f846f33p-1, 0x1.8cd3113b3310ap-1, 0x1.8a121217b804ep-1, 0x1.87f66c3b50e75p-1, 0x1.863842c462e38p-1, 0x1.849cec2956e4p-1, 0x1.82f5fae2ae914p-1, 0x1.812007451f6a6p-1, 0x1.7f015c30a9445p-1, 0x1.7c889dd4c99f2p-1, 0x1.79ab7abf481fep-1, 0x1.766571a89e329p-1, 0x1.72b6b235f5aa3p-1, 0x1.6ea31c4f9f242p-1, 0x1.6a315f4bab821p-1, 0x1.656a3840be552p-1, 0x1.6057cdd363868p-1, 0x1.5b05274420639p-1, 0x1.557dbc1933761p-1, 0x1.4fcd198b127b3p-1, 0x1.49fe9ae8dd225p-1, 0x1.441d3259186ecp-1, 0x1.3e333f8e031f7p-1, 0x1.384a723718649p-1, 0x1.326bb62ff2b01p-1, 0x1.2c9f27a7ed7e4p-1, 0x1.26ec0db994df6p-1, 0x1.2158da217753dp-1, 0x1.1beb2cf61e922p-1, 0x1.16a7db6f1000fp-1, 0x1.1192f8f03abb5p-1, 0x1.0cafe1b229edap-1, 0x1.0801467dba01ep-1, 0x1.0389390c561c7p-1, 0x1.fe9271680daa5p-2, 0x1.f6847e328969ap-2, 0x1.eee9995fb7ebfp-2, 0x1.e7c1e9c22f747p-2, 0x1.e10cd37005e7ap-2, 0x1.dac90dfb09323p-2, 0x1.d4f4b96aae671p-2, 0x1.cf8d71e5f15abp-2, 0x1.ca90620512f9fp-2, 0x1.c5fa53ca75b92p-2, 0x1.c1c7c0479cc78p-2, 0x1.bdf4ddf7eb9c1p-2, 0x1.ba7daddccd0fp-2, 0x1.b75e07699fa48p-2, 0x1.b491a34f4744cp-2, 0x1.b2142535dbfa8p-2, 0x1.afe124771d1d3p-2, 0x1.adf433e77b926p-2, 0x1.ac48e8bf9609dp-2, 0x1.aadae0b5bbcb9p-2, 0x1.a9a5c754d97cap-2, 0x1.a8a55aa3d5d07p-2, 0x1.a7d56f2513fe4p-2, 0x1.a731f3441514dp-2, 0x1.a6b6f234267a7p-2, 0x1.a6609657551f2p-2, 0x1.a62b2b2d3bd29p-2, 0x1.a6131ee1701f4p-2, 0x1.a61503750d60fp-2, 0x1.a62d8f9d9ddc6p-2, 0x1.a6599f4ea34efp-2, 0x1.a696340cb58fbp-2, 0x1.a6e074f73a185p-2, 0x1.a735aead5204bp-2, 0x1.a79352f5eff33p-2, 0x1.a7f6f84ca0851p-2, 0x1.a85e5943ae09dp-2, 0x1.a8c753ca1d16cp-2, 0x1.a92fe85fc25a8p-2, 0x1.a996392480d45p-2, 0x1.a9f888ebfce5ep-2, 0x1.aa553a2d40c62p-2, 0x1.aaaacdf7f5004p-2, 0x1.aaf7e2dc72ae5p-2, 0x1.ab3b33c396e97p-2, 0x1.ab7396dbee5bap-2, 0x1.ab9ffc673c0efp-2, 0x1.abbf6d9d24083p-2, 0x1.abd10b8e21873p-2, 0x1.abd40df825c9dp-2, 0x1.abc7c23680aa9p-2, 0x1.abab8a29f1fa3p-2, 0x1.ab7edb1f76b6ap-2, 0x1.ab413cd4017d4p-2, 0x1.aaf2486980e65p-2, 0x1.aa91a769648acp-2, 0x1.aa1f12da06219p-2, 0x1.a99a524efa274p-2, 0x1.a9033b0128d6p-2, 0x1.a859af01d5eefp-2, 0x1.a79d9c5fe30a3p-2, 0x1.a6cefc5daed03p-2, 0x1.a5edd2b951456p-2, 0x1.a4fa2cf2640b3p-2, 0x1.a3f421937f49cp-2, 0x1.a2dbcf907148cp-2, 0x1.a1b15dace426dp-2, 0x1.a074f9d62a44dp-2, 0x1.9f26d89c328c4p-2, 0x1.9dc734ab41be9p-2, 0x1.9c564e43ad268p-2, 0x1.9ad46abbd8af4p-2, 0x1.9941d416f0fb2p-2, 0x1.979ed890adc49p-2, 0x1.95ebca3225885p-2, 0x1.9428fe7120657p-2, 0x1.9256cdd990083p-2, 0x1.907593af9659bp-2, 0x1.8e85ad989a06p-2, 0x1.8c877b568c8a1p-2, 0x1.8a7b5e7b78a78p-2, 0x1.8861ba2201489p-2, 0x1.863af2a930c66p-2, 0x1.84076d7e8b70ep-2, 0x1.81c790e38bdp-2, 0x1.7f7bc3b3184b8p-2, 0x1.7d246d2ee4531p-2, 0x1.7ac1f4d8050cep-2, 0x1.7854c23e534d9p-2, 0x1.75dd3cd79eac6p-2, 0x1.735bcbd7066a5p-2, 0x1.70d0d60f3c6d7p-2, 0x1.6e3cc1d1551b4p-2, 0x1.6b9ff4caeb3cdp-2, 0x1.68fad3ea34baap-2, 0x1.664dc345e3c14p-2, 0x1.6399260814fdap-2, 0x1.60dd5e53d0819p-2, 0x1.5e1acd3126964p-2, 0x1.5b51d27be0433p-2, 0x1.5882ccd3ce218p-2, 0x1.55ae198d44ec4p-2, 0x1.52d414a0ee19dp-2, 0x1.4ff5189f8175p-2, 0x1.4d117ea88c3d8p-2, 0x1.4a299e613bcd9p-2, 0x1.473dcde8b90cp-2, 0x1.444e61d193879p-2, 0x1.415bad19b4faep-2, 0x1.3e6601278abdfp-2, 0x1.3b6dadc4edc0dp-2, 0x1.38730118b7dfbp-2, 0x1.357647a455908p-2, 0x1.3277cc419ad9fp-2, 0x1.2f77d821fd6a5p-2, 0x1.2c76b2cd5c545p-2, 0x1.2974a220976b9p-2, 0x1.2671ea4d51412p-2, 0x1.236ecddb139c2p-2, 0x1.206b8da809127p-2, 0x1.1d6868ecb6f8bp-2, 0x1.1a659d3a99949p-2, 0x1.1763668040208p-2, 0x1.1461ff0bdddccp-2, 0x1.11619f8d9928cp-2, 0x1.0e627f1c1c123p-2, 0x1.0b64d33774209p-2, 0x1.0868cfccd580ep-2, 0x1.056ea73b07f5cp-2, 0x1.02768a56e1d9fp-2, 0x1.ff0150dfa18aep-3, 0x1.f91a5ea91e1cep-3, 0x1.f33896b0a63c5p-3, 0x1.ed5c4eb06b7e3p-3, 0x1.e785d97e98bbcp-3, 0x1.e1b5871aa4515p-3, 0x1.dbeba4b6ad0dfp-3, 0x1.d6287cc30934ap-3, 0x1.d06c56fda87f1p-3, 0x1.cab778777c9f3p-3, 0x1.c50a23a1d990ap-3, 0x1.bf64985aa04b3p-3, 0x1.b9c713f924d03p-3, 0x1.b431d15a7421dp-3, 0x1.aea508ec22a1cp-3, 0x1.a920f0b6d6b58p-3, 0x1.a3a5bc6a2b583p-3, 0x1.9e339d69efe01p-3, 0x1.98cac2db34c08p-3, 0x1.936b59af87dc7p-3, 0x1.8e158caf4ec97p-3, 0x1.88c98484dd4fep-3, 0x1.838767c785c22p-3, 0x1.7e4f5b0b7fd1bp-3, 0x1.792180eb3af07p-3, 0x1.73fdfa1198e98p-3, 0x1.6ee4e547d76adp-3, 0x1.69d65f7be2807p-3, 0x1.64d283cec20f7p-3, 0x1.5fd96ba0c8edcp-3, 0x1.5aeb2e9bc7909p-3, 0x1.5607e2bcd44bdp-3, 0x1.512f9c5e74533p-3, 0x1.4c626e437588bp-3, 0x1.47a069a222034p-3, 0x1.42e99e2ed7e49p-3, 0x1.3e3e1a25b1ee4p-3, 0x1.399dea53cf54dp-3, 0x1.35091a20fc547p-3, 0x1.307fb399bd4a8p-3, 0x1.2c01bf79580bdp-3, 0x1.278f45336ae24p-3, 0x1.23284afcd803dp-3, 0x1.1eccd5d356793p-3, 0x1.1a7ce987e33f6p-3, 0x1.163888c7a3f37p-3, 0x1.11ffb521f8362p-3, 0x1.0dd26f164efa9p-3, 0x1.09b0b6182ac9cp-3, 0x1.059a889736999p-3, 0x1.018fe4089bb34p-3, 0x1.fb2189dd4a242p-4, 0x1.f33a4dc0f889ap-4, 0x1.eb6a0923ab318p-4, 0x1.e3b0afb4a3004p-4, 0x1.dc0e3379428ebp-4, 0x1.d48284db39ac6p-4, 0x1.cd0d92b67ddd5p-4, 0x1.c5af4a674f283p-4, 0x1.be6797d819b59p-4, 0x1.b736658e7b881p-4, 0x1.b01b9cb7bf3a1p-4, 0x1.a9172535b77dp-4, 0x1.a228e5ab52787p-4, 0x1.9b50c388979fcp-4, 0x1.948ea316afbcdp-4, 0x1.8de26783ef708p-4, 0x1.874bf2ef3ecbep-4, 0x1.80cb26718be39p-4, 0x1.7a5fe22b1b78dp-4, 0x1.740a054e1b886p-4, 0x1.6dc96e238a517p-4, 0x1.679dfa1ee0b0ap-4, 0x1.618785e2d732dp-4, 0x1.5b85ed4921614p-4, 0x1.55990b6f35e6ep-4, 0x1.4fc0babefb942p-4, 0x1.49fcd4f746012p-4, 0x1.444d3334c45ccp-4, 0x1.3eb1adfaf1a3ep-4, 0x1.392a1d3c9e1b8p-4, 0x1.33b658640ad77p-4, 0x1.2e56365ad0203p-4, 0x1.29098d91c8988p-4, 0x1.23d03408c823fp-4, 0x1.1ea9ff55f6ca8p-4, 0x1.1996c4acebc16p-4, 0x1.149658e5cdba1p-4, 0x1.0fa890847bd03p-4, 0x1.0acd3fbf8562cp-4, 0x1.06043a86aaa6dp-4, 0x1.014d5488cdac6p-4, 0x1.f950c2734bfcap-5, 0x1.f02a67af5379cp-5, 0x1.e7273ee4b110ap-5, 0x1.de46ede16743bp-5, 0x1.d5891a2e8c52ep-5, 0x1.cced6918ebd02p-5, 0x1.c4737fba26dd2p-5, 0x1.bc1b030758025p-5, 0x1.b3e397cf8a868p-5, 0x1.abcce2ccffb3bp-5, 0x1.a3d688b75cacep-5, 0x1.9c002e4008285p-5, 0x1.9449781f6926bp-5, 0x1.8cb20b1ee6436p-5, 0x1.85398c1e36485p-5, 0x1.7ddfa019e6622p-5, 0x1.76a3ec334ef2bp-5, 0x1.6f8615b91d386p-5, 0x1.6885c22fa1d96p-5, 0x1.61a2975873072p-5, 0x1.5adc3b39266b3p-5, 0x1.543254211c2c2p-5, 0x1.4da488ae80583p-5, 0x1.47327fd31f45fp-5, 0x1.40dbe0d9b6ddp-5, 0x1.3aa0536bf8d8cp-5, 0x1.347f7f98c8db5p-5, 0x1.2e790dda2dccep-5, 0x1.288ca71ab67ep-5, 0x1.22b9f4ba2c9c3p-5, 0x1.1d00a091ccda5p-5, 0x1.176054f807d3ep-5, 0x1.11d8bcc3d149dp-5, 0x1.0c69834fe0f34p-5, 0x1.0712547e30e05p-5, 0x1.01d2dcbbfdb1ep-5, 0x1.f955920c14bd5p-6, 0x1.ef338dd99547bp-6, 0x1.e53f0930195d4p-6, 0x1.db776192110c6p-6, 0x1.d1dbf5b797005p-6, 0x1.c86c259cc09adp-6, 0x1.bf27527c1406p-6, 0x1.b60cdecb61c76p-6, 0x1.ad1c2e5a67588p-6, 0x1.a454a643d089bp-6, 0x1.9bb5aceb0b982p-6, 0x1.933eaa0be29aep-6, 0x1.8aef06beb0279p-6, 0x1.82c62d7ab8f9p-6, 0x1.7ac38a18fa669p-6, 0x1.72e689d5f044fp-6, 0x1.6b2e9b52c91d3p-6, 0x1.639b2e96b304bp-6, 0x1.5c2bb510c8326p-6, 0x1.54dfa19ac14f6p-6, 0x1.4db6687b77ef1p-6, 0x1.46af7f687a794p-6, 0x1.3fca5d86b5c12p-6, 0x1.39067b6ae9d52p-6, 0x1.3263531a92ea8p-6, 0x1.2be0600d5acd2p-6, 0x1.257d1f2e48293p-6, 0x1.1f390edc5fb08p-6, 0x1.1913aeea738c8p-6, 0x1.130c809e49396p-6, 0x1.0d2306afbbdd2p-6, 0x1.0756c5483b80dp-6, 0x1.01a7420312bb1p-6, 0x1.f82807dc127a3p-7, 0x1.ed39271395203p-7, 0x1.e280f592d747bp-7, 0x1.d7fe8a212c4dfp-7, 0x1.cdb0fe6266316p-7, 0x1.c3976ed2ee551p-7, 0x1.b9b0fac593f5ep-7, 0x1.affcc462f15adp-7, 0x1.a679f0a8fb3dfp-7, 0x1.9d27a768a3a09p-7, 0x1.9405133deaf3bp-7, 0x1.8b11619110164p-7, 0x1.824bc29dfdb22p-7, 0x1.79b3694d86d5bp-7, 0x1.71478b46d2ec6p-7, 0x1.69076106247fbp-7, 0x1.60f225ae3ee62p-7, 0x1.5907170f1168ap-7, 0x1.514575af302a5p-7, 0x1.49ac84c2ace1ap-7, 0x1.423b8a222ec15p-7, 0x1.3af1ce4409aebp-7, 0x1.33ce9c36d4fa1p-7, 0x1.2cd1419dc20f4p-7, 0x1.25f90eadc24fcp-7, 0x1.1f45562a5c494p-7, 0x1.18b56d616ee77p-7, 0x1.1248ac258fbcep-7, 0x1.0bfe6cc72c379p-7, 0x1.05d60c0d2c2abp-7, 0x1.ff9dd25b9bd19p-8, 0x1.f3d0cb906ddd8p-8, 0x1.e843cbbe9502dp-8, 0x1.dcf59fa8ab04ap-8, 0x1.d1e518c5adaddp-8, 0x1.c7110d383a9ddp-8, 0x1.bc7857c72f6e6p-8, 0x1.b219d7d3ba031p-8, 0x1.a7f4714d7e3c6p-8, 0x1.9e070ca440a8ep-8, 0x1.945096b84dcc6p-8, 0x1.8ad000caf51afp-8, 0x1.8184407089839p-8, 0x1.786c4f829144cp-8, 0x1.6f872c128ee03p-8, 0x1.66d3d85cafe14p-8, 0x1.5e515abbc80f5p-8, 0x1.55febd9ec4654p-8, 0x1.4ddb0f80bfe29p-8, 0x1.45e562e2dc691p-8, 0x1.3e1cce47400e5p-8, 0x1.36806c2a4bd88p-8, 0x1.2f0f5af8a2338p-8, 0x1.27c8bd001fbep-8, 0x1.20abb85a21577p-8, 0x1.19b776cd25c8ep-8, 0x1.12eb25c2856bp-8, 0x1.0c45f64a3c1cp-8, 0x1.05c71ccedfd9p-8, 0x1.fedba2629b7f4p-9, 0x1.f2729de6dd2ccp-9, 0x1.e651a9ce060dcp-9, 0x1.da774a7f30c58p-9, 0x1.cee20b5c6909bp-9, 0x1.c3907ead3b6fbp-9, 0x1.b8813d7ea59d3p-9, 0x1.adb2e77840043p-9, 0x1.a32422a463857p-9, 0x1.98d39b31e8535p-9, 0x1.8ec0033ad7783p-9, 0x1.84e8129a88545p-9, 0x1.7b4a86da8f474p-9, 0x1.71e623378cdb5p-9, 0x1.68b9b0b85f351p-9, 0x1.5fc3fe4cf4f18p-9, 0x1.5703e0e85a6abp-9, 0x1.4e783388c7cdep-9, 0x1.461fd7253c07fp-9, 0x1.3df9b27c5255ep-9, 0x1.3604b1c75a385p-9, 0x1.2e3fc65afb20ap-9, 0x1.26a9e6438d3cap-9, 0x1.1f420bee323eap-9, 0x1.180735f015e11p-9, 0x1.10f866f990a43p-9, 0x1.0a14a5fc3c695p-9, 0x1.035afe7ea261ap-9, 0x1.f9950218be811p-10, 0x1.ecc487519ec4cp-10, 0x1.e042c44f04ab3p-10, 0x1.d40dfc9f9fe52p-10, 0x1.c8247f6cd59d8p-10, 0x1.bc84a6a2835a7p-10, 0x1.b12cd5913eecbp-10, 0x1.a61b7744b418ap-10, 0x1.9b4efcd1102ap-10, 0x1.90c5dbd7f9a5dp-10, 0x1.867e8d91a0637p-10, 0x1.7c778e8d53329p-10, 0x1.72af5f3cb717dp-10, 0x1.6924853df2db8p-10, 0x1.5fd58d347826bp-10, 0x1.56c10ce41ab18p-10, 0x1.4de5a52ff42cap-10, 0x1.454203968cca5p-10, 0x1.3cd4e2c9d396ep-10, 0x1.349d0a6a00f43p-10, 0x1.2c994e250aa7dp-10, 0x1.24c88aca70a32p-10, 0x1.1d29a36b5ed15p-10, 0x1.15bb7f6405fdfp-10, 0x1.0e7d0691a0dbap-10, 0x1.076d1f4565953p-10, 0x1.008aaddf5bbd6p-10, 0x1.f3a92a1784a4fp-11, 0x1.e6936e59479a8p-11, 0x1.d9d1f19ca274p-11, 0x1.cd628775f7d98p-11, 0x1.c1431466cfe6ep-11, 0x1.b57193a00c6a9p-11, 0x1.a9ec1b2d904d9p-11, 0x1.9eb0dddd3e3fep-11, 0x1.93be2a826a767p-11, 0x1.8912689ed9df7p-11, 0x1.7eac12e1545e8p-11, 0x1.7489b042aeeb5p-11, 0x1.6aa9ccc198457p-11, 0x1.610af2c6d884fp-11, 0x1.57aba619de477p-11, 0x1.4e8a6107ed895p-11, 0x1.45a5940d53c95p-11, 0x1.3cfba7f142388p-11, 0x1.348b01fe8aea1p-11, 0x1.2c5209b9d0356p-11, 0x1.244f2f4f3f81p-11, 0x1.1c80f1d619b77p-11, 0x1.14e5e48acfad1p-11, 0x1.0d7cb241c06c7p-11, 0x1.06441e9671edfp-11, 0x1.fe760970e0b3ep-12, 0x1.f0c0a830a42b4p-12, 0x1.e36617141c02ap-12, 0x1.d6646749ef0bp-12, 0x1.c9b9b261ee448p-12, 0x1.bd6410a34f0bap-12, 0x1.b16191de28f6dp-12, 0x1.a5b03939830a1p-12, 0x1.9a4dfc1f3577fp-12, 0x1.8f38c41b4fdf7p-12, 0x1.846e7337c547ap-12, 0x1.79ecea6076552p-12, 0x1.6fb210bda0039p-12, 0x1.65bbdb4b4f8e5p-12, 0x1.5c0853910226ap-12, 0x1.52959cb1020dap-12, 0x1.4961f6417199fp-12, 0x1.406bbcba6d8dbp-12, 0x1.37b1679e10364p-12, 0x1.2f3185cd0a9b9p-12, 0x1.26eab8926b19ep-12, 0x1.1edbaddcb0d2dp-12, 0x1.17031b18726dp-12, 0x1.0f5fba94b41ddp-12, 0x1.07f04600156f4p-12, 0x1.00b3748bedabdp-12, 0x1.f34ffcd45b3ebp-13, 0x1.e5993405fad41p-13, 0x1.d83ffd0ad4d7p-13, 0x1.cb41d004b332dp-13, 0x1.be9c31382f9ffp-13, 0x1.b24cb1409b0f4p-13, 0x1.a650ebd767e8p-13, 0x1.9aa68667b6c1ap-13, 0x1.8f4b308507471p-13, 0x1.843ca7bc56beep-13, 0x1.7978be7e3ca32p-13, 0x1.6efd640f6ee99p-13, 0x1.64c8aa546fe63p-13, 0x1.5ad8c6987316cp-13, 0x1.512c0c048ba25p-13, 0x1.47c0e0d3a8ca6p-13, 0x1.3e95b17f586a4p-13, 0x1.35a8e641cd6p-13, 0x1.2cf8deb80e205p-13, 0x1.2483f535d19ep-13, 0x1.1c48883d02c66p-13, 0x1.144505d713ae3p-13, 0x1.0c77f37985ffep-13, 0x1.04dfee46b4d6cp-13, 0x1.faf74501fe8eep-14, 0x1.ec9379bb175ebp-14, 0x1.de91b70db906fp-14, 0x1.d0ef0b3fd9d0bp-14, 0x1.c3a85c8b4f476p-14, 0x1.b6ba878c50ad9p-14, 0x1.aa228d8801f89p-14, 0x1.9dddc2805eb23p-14, 0x1.91e9e9ad48be8p-14, 0x1.864534a539e21p-14, 0x1.7aee247f9909ap-14, 0x1.6fe358182da2dp-14, 0x1.65235a010c60fp-14, 0x1.5aac7fe7483aep-14, 0x1.507ce48cb15a1p-14, 0x1.469279ba00c25p-14, 0x1.3ceb26b5243fdp-14, 0x1.3384e58183096p-14, 0x1.2a5dd49b387c3p-14, 0x1.217438d32a251p-14, 0x1.18c6707aa809ap-14, 0x1.1052dd19c7f03p-14, 0x1.0817cb4a1d302p-14, 0x1.0013614323808p-14, 0x1.f0873828c079bp-15, 0x1.e14cc195e0a63p-15, 0x1.d27341e166cbcp-15, 0x1.c3f712fe4cea6p-15, 0x1.b5d557a4ea537p-15, 0x1.a80c1ca410211p-15, 0x1.9a9a336d55241p-15, 0x1.8d7ed4804e364p-15, 0x1.80b93f3eb41dp-15, 0x1.74485d01e2bd1p-15, 0x1.682aa0fe5f6ep-15, 0x1.5c5e36eea3a1cp-15, 0x1.50e11055d4434p-15, 0x1.45b10f4f4f012p-15, 0x1.3acc22063d4ebp-15, 0x1.3030320787f4fp-15, 0x1.25db070cb7046p-15, 0x1.1bca2c7fe803ep-15, 0x1.11faf74bd269p-15, 0x1.086aa99bf9fe2p-15, 0x1.fe2d46620188cp-16, 0x1.ebf8ff7fde2fbp-16, 0x1.da342c29c2516p-16, 0x1.c8dacadf81bbfp-16, 0x1.b7e918d808ep-16, 0x1.a75bb5ed39262p-16, 0x1.972fef51ce239p-16, 0x1.8763f6b11ba3bp-16, 0x1.77f6cda300f88p-16, 0x1.68e7e30155693p-16, 0x1.5a369cc325d28p-16, 0x1.4be20eb9a3b86p-16, 0x1.3de8ea9cc3fdcp-16, 0x1.30498ddc2c48ap-16, 0x1.23021fd1ff29ep-16, 0x1.1610c46c732bdp-16, 0x1.0973c85731592p-16, 0x1.fa531c2a794e2p-17, 0x1.e26060aa749b8p-17, 0x1.cb0a38d68b71p-17, 0x1.b449ec55fd1d6p-17, 0x1.9e17b99957dabp-17, 0x1.886bdbd9c8212p-17, 0x1.733f9c73ff657p-17, 0x1.5e8e055d0719fp-17, 0x1.4a53ec9a7e8ep-17, 0x1.368f54bd80729p-17, 0x1.233e71faa3efap-17, 0x1.105ed81f6108p-17, 0x1.fbda8f65ee824p-18, 0x1.d7cc72e763c86p-18, 0x1.b48d8e7368aedp-18, 0x1.921a9dcfed5cap-18, 0x1.7072e7014e07bp-18, 0x1.4f971384f0e1p-18, 0x1.2f87397ac3026p-18, 0x1.1040ed3168f5cp-18, 0x1.e37dfeb775f09p-19, 0x1.a7f700ec64822p-19, 0x1.6de3e55fb2047p-19, 0x1.353e7e86eb07cp-19, 0x1.fbfff5017b427p-20, 0x1.903db098d2c26p-20, 0x1.271fd53fac829p-20, 0x1.812087e5591d5p-21, 0x1.71e828613c49cp-22, -0x1.4df4726d39614p-26, -0x1.926b349dcfa1ap-22, -0x1.83869fbb9c73p-21, -0x1.1cc20fe624dc4p-20, -0x1.75a0f23e77f27p-20, -0x1.cc6364544c69fp-20, -0x1.108642fb202fdp-19, -0x1.39d15efbf2d51p-19, -0x1.621bdc81e4c13p-19, -0x1.89738b01d2569p-19, -0x1.afe4d5ee2eb5ap-19, -0x1.d573f3cd46871p-19, -0x1.fa1b1c76454e9p-19, -0x1.0ee8ad50aaf1dp-18, -0x1.204a8228d88ebp-18, -0x1.3137847df4a3bp-18, -0x1.41b5af6468338p-18, -0x1.51c8462481afep-18, -0x1.61702a1d126cfp-18, -0x1.70aed4571aebep-18, -0x1.7f876f290d78dp-18, -0x1.8dfd9dfa1e791p-18, -0x1.9c14290bb9931p-18, -0x1.a9cca4f1e552ep-18, -0x1.b727c7cbe7ea9p-18, -0x1.c425f2be3d05p-18, -0x1.d0c7b7f623921p-18, -0x1.dd0e40330cd75p-18, -0x1.e8fb81f29de11p-18, -0x1.f492495edb43cp-18, -0x1.ffd5d338e9fap-18, -0x1.05644e871c24dp-17, -0x1.0ab585857ad24p-17, -0x1.0fdddca71acf5p-17, -0x1.14dd33445e222p-17, -0x1.19b58dbe9c2c4p-17, -0x1.1e6a59a14dcb5p-17, -0x1.22fd26355c133p-17, -0x1.276c04a3544eep-17, -0x1.2bb46d31dbb4fp-17, -0x1.2fd6cb4bb379dp-17, -0x1.33d5e5f26ec7dp-17, -0x1.37b39aaf7e481p-17, -0x1.3b6fc8c73911cp-17, -0x1.3f0a1977cfc5p-17, -0x1.428336e56f461p-17, -0x1.45dc488769967p-17, -0x1.49163acd1be49p-17, -0x1.4c319dbff8142p-17, -0x1.4f2ecf4c3ad6dp-17, -0x1.520e1b67e69c3p-17, -0x1.54cfbff44f4fap-17, -0x1.5773e5fc9dd35p-17, -0x1.59faa6e20489dp-17, -0x1.5c64245d443ddp-17, -0x1.5eb0a76a31877p-17, -0x1.60e0c5445f59cp-17, -0x1.62f58d8bae1e2p-17, -0x1.64f05bd6ef9f3p-17, -0x1.66d1e47811ee8p-17, -0x1.689991c98b4bep-17, -0x1.6a468d57dc0c6p-17, -0x1.6bd9418c8f04dp-17, -0x1.6d533f9cdea12p-17, -0x1.6eb5c50774c3cp-17, -0x1.7000bae403194p-17, -0x1.713352b7312b6p-17, -0x1.724db08d1ffep-17, -0x1.7351548fde047p-17, -0x1.743f354f0e7a5p-17, -0x1.7516f56fe9e1bp-17, -0x1.75d8378914276p-17, -0x1.76835d3c16b5cp-17, -0x1.771933de66ad9p-17, -0x1.779a3eb77b0dap-17, -0x1.7806c34c6d645p-17, -0x1.785efc8bd3ad6p-17, -0x1.78a32be84c14p-17, -0x1.78d39a16faa4ep-17, -0x1.78f0925a3fcebp-17, -0x1.78fa5c4392a84p-17, -0x1.78f137aeb38cfp-17, -0x1.78d55ee8e9b48p-17, -0x1.78a70d1409e9p-17, -0x1.78667ec0efbbfp-17, -0x1.7813f350ab12p-17, -0x1.77afd1458033fp-17, -0x1.773ab52c37edcp-17, -0x1.76b4f7128ac8ep-17, -0x1.761e831d8a538p-17, -0x1.75779a94faac5p-17, -0x1.74c0ca0f89d2cp-17, -0x1.73fa107a6e455p-17, -0x1.7323445a63501p-17, -0x1.723ce7ca0d1cap-17, -0x1.7147aed8d7f81p-17, -0x1.7043d65900fd8p-17, -0x1.6f3195116df3fp-17, -0x1.6e112f3588eadp-17, -0x1.6ce2a1a4d268bp-17, -0x1.6ba60b61f8b8ep-17, -0x1.6a5bc76ad40cep-17, -0x1.6904276dfceffp-17, -0x1.679f698a85b64p-17, -0x1.662dc728121ffp-17, -0x1.64af7aaa1a6ap-17, -0x1.6324bf1024fd5p-17, -0x1.618dceeaba829p-17, -0x1.5feae4068b671p-17, -0x1.5e3c3794b8be4p-17, -0x1.5c820287bd078p-17, -0x1.5abc7dbfd56d1p-17, -0x1.58ebe1fc3dap-17, -0x1.571067d240bc8p-17, -0x1.552a479069793p-17, -0x1.5339b8ff48937p-17, -0x1.513ef34a7fcaep-17, -0x1.4f3a2d597a942p-17, -0x1.4d2b9d341582ap-17, -0x1.4b1377387db9fp-17, -0x1.48f1ef495ae6p-17, -0x1.46c738c8cde79p-17, -0x1.4493869f19b5fp-17, -0x1.42570ae1537efp-17, -0x1.4011f7c5d2304p-17, -0x1.3dc4861a69aabp-17, -0x1.3b6eeefff1527p-17, -0x1.39115b0c40004p-17, -0x1.36abf16cb7e21p-17, -0x1.343edc3a815eap-17, -0x1.31ca5dd2bb1b9p-17, -0x1.2f4eb185a24f6p-17, -0x1.2ccbf66f37929p-17, -0x1.2a425784b17dap-17, -0x1.27b217e2cb32dp-17, -0x1.251b5e97add08p-17, -0x1.227e4d96c7b07p-17, -0x1.1fdb06fe9ec2p-17, -0x1.1d31b2225b0a9p-17, -0x1.1a8298583444bp-17, -0x1.17cde91bccf21p-17, -0x1.1513cac97c3d4p-17, -0x1.125466c784794p-17, -0x1.0f8fe8cac160dp-17, -0x1.0cc67d082c8fcp-17, -0x1.09f84dd0ad24ap-17, -0x1.0725858d4c075p-17, -0x1.044e5b7748d32p-17, -0x1.01730939303cap-17, -0x1.fd272cb2fc541p-18, -0x1.f76015730ec46p-18, -0x1.f19124996e4a7p-18, -0x1.ebbaf41a564f7p-18, -0x1.e5ddd34fdfc7fp-18, -0x1.dff9e5f9a8725p-18, -0x1.da0f77bc0fbbep-18, -0x1.d41edeb78461ep-18, -0x1.ce2868802f336p-18, -0x1.c82c6138b9d76p-18, -0x1.c22b2f177b328p-18, -0x1.bc252da380f1bp-18, -0x1.b61a599541822p-18, -0x1.b00adbafb325p-18, -0x1.a9f74e3e69e36p-18, -0x1.a3e00d05a8c57p-18, -0x1.9dc52bd4f34b4p-18, -0x1.97a6e5e4962bfp-18, -0x1.9185862857083p-18, -0x1.8b6153ca2dacdp-18, -0x1.853a91fdbedddp-18, -0x1.7f118206a3b2ap-18, -0x1.78e6640b627b5p-18, -0x1.72b976fa4dd79p-18, -0x1.6c8af8215677ep-18, -0x1.665b231a01311p-18, -0x1.602a327c08c06p-18, -0x1.59f8611eb9f38p-18, -0x1.53c5eae550a41p-18, -0x1.4d9309eed2f54p-18, -0x1.475ff2d6c86f5p-18, -0x1.412ce53f5f583p-18, -0x1.3afa472d8c383p-18, -0x1.34c82a957e093p-18, -0x1.2e96769fc7b84p-18, -0x1.2865b8bf736dcp-18, -0x1.22363aae814f3p-18, -0x1.1c07fea44e69ap-18, -0x1.15db36d8127c8p-18, -0x1.0fb01d35e8294p-18, -0x1.0986e5a78426ep-18, -0x1.035fc18d302e4p-18, -0x1.fa75c57b59fc7p-19, -0x1.ee30f763efc86p-19, -0x1.e1f1777addefp-19, -0x1.d5b796f7b8b9fp-19, -0x1.c983bc758b883p-19, -0x1.bd568b578f334p-19, -0x1.b13005edde5b6p-19, -0x1.a510720bc1467p-19, -0x1.98f8910183001p-19, -0x1.8ce8942f787edp-19, -0x1.80e0eaca5f0e2p-19, -0x1.74e18d664439cp-19, -0x1.68ea9d136c907p-19, -0x1.5cfc2e1b5f62ap-19, -0x1.5116f1067d347p-19, -0x1.453b5eceee793p-19, -0x1.3969ac76b6513p-19, -0x1.2da218c70f089p-19, -0x1.21e4e95048f3ep-19, -0x1.1632632f364f3p-19, -0x1.0a8acbe2e8525p-19, -0x1.fddcd708c1f5ap-20, -0x1.e6bb0d01817dap-20, -0x1.cfb09cdb238b9p-20, -0x1.b8bdfa23817f1p-20, -0x1.a1e439bed2f18p-20, -0x1.8b231e046f9c5p-20, -0x1.747b80371960ap-20, -0x1.5dee08c7dd9b6p-20, -0x1.477a9ecc33aacp-20, -0x1.3121d677f2d8cp-20, -0x1.1ae437ce90a15p-20, -0x1.04c232091d58ep-20, -0x1.dd7856a448c77p-21, -0x1.b1a50bbae996fp-21, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      {{-0x1.370eef8adcd44p-7, -0x1.367bb47b7752cp-6, -0x1.d050485e7d028p-6, -0x1.3442a29901286p-5, -0x1.7f559bbd71f2ep-5, -0x1.c932bda9c5069p-5, -0x1.08daccfc9e811p-4, -0x1.2c61ca28ad501p-4, -0x1.4f25b0ecc0415p-4, -0x1.71221c4a12af5p-4, -0x1.925666a1cc9a1p-4, -0x1.b2c51d7f57303p-4, -0x1.d27374ba5eb05p-4, -0x1.f168bffb99558p-4, -0x1.07d6fb50f6a8bp-3, -0x1.16a6a1e188791p-3, -0x1.2528d14bde264p-3, -0x1.3363437335c0ep-3, -0x1.415bc85c49612p-3, -0x1.4f18254f94e61p-3, -0x1.5c9df8ef24759p-3, -0x1.69f2a3f5dae0fp-3, -0x1.771b365bd8802p-3, -0x1.841c609b2ff0dp-3, -0x1.90fa68cab670bp-3, -0x1.9db9233d05f04p-3, -0x1.aa5bee492f147p-3, -0x1.b6e5b0db9c3c8p-3, -0x1.c358db695f859p-3, -0x1.cfb76adeac6b1p-3, -0x1.dc02ed239586p-3, -0x1.e83c86d705587p-3, -0x1.f464f9e7acfa4p-3, -0x1.003e565ded4d3p-2, -0x1.0641d8d1ed1f5p-2, -0x1.0c3ce72eb3c46p-2, -0x1.122f41bcef3e7p-2, -0x1.181889c192bb4p-2, -0x1.1df844e290d6ap-2, -0x1.23cde054fc6e1p-2, -0x1.2998b3cf740b7p-2, -0x1.2f58043ec6d09p-2, -0x1.350b063d453dcp-2, -0x1.3ab0e04f0c0ap-2, -0x1.4048ace705309p-2, -0x1.45d17c393f279p-2, -0x1.4b4a55dfbcd34p-2, -0x1.50b23a5722516p-2, -0x1.56082458830d7p-2, -0x1.5b4b0a1561a8fp-2, -0x1.6079de5a7f7a1p-2, -0x1.6593919daa8b5p-2, -0x1.6a9712fa1883bp-2, -0x1.6f83511e5f82bp-2, -0x1.74573b2e7c25bp-2, -0x1.7911c19bd8532p-2, -0x1.7db1d6f4be15p-2, -0x1.823670ac34453p-2, -0x1.869e87dadda96p-2, -0x1.8ae919f9229f1p-2, -0x1.8f152992a2b4p-2, -0x1.9321bef2bf8dp-2, -0x1.970de8c9db81cp-2, -0x1.9ad8bccade6c3p-2, -0x1.9e8158406c739p-2, -0x1.a206e0994ca4cp-2, -0x1.a56883eb66bb2p-2, -0x1.a8a5796cdb32ep-2, -0x1.abbd01e2bc416p-2, -0x1.aeae6805052f3p-2, -0x1.b17900d77cf56p-2, -0x1.b41c2bf75188fp-2, -0x1.b69753dd4ad92p-2, -0x1.b8e9ee14899fbp-2, -0x1.bb137b65e9c47p-2, -0x1.bd1387f8286d5p-2, -0x1.bee9ab6511e81p-2, -0x1.c09588c403827p-2, -0x1.c216ceaa25279p-2, -0x1.c36d3720d02fbp-2, -0x1.c49887929fd93p-2, -0x1.c59890afb8283p-2, -0x1.c66d2e49dbc84p-2, -0x1.c7164728e2f62p-2, -0x1.c793ccd840b77p-2, -0x1.c7e5bb6e2f6fep-2, -0x1.c80c194d2b824p-2, -0x1.c806f6e06550dp-2, -0x1.c7d66e53c4fcp-2, -0x1.c77aa348230abp-2, -0x1.c6f3c2844f08cp-2, -0x1.c64201a377e2bp-2, -0x1.c5659ec182bbp-2, -0x1.c45ee025d81f2p-2, -0x1.c32e13ed29cb6p-2, -0x1.c1d38fb2a0426p-2, -0x1.c04fb038e6172p-2, -0x1.bea2d91374bep-2, -0x1.bccd74507b4d3p-2, -0x1.bacff223bc67fp-2, -0x1.b8aac892a862cp-2, -0x1.b65e7321f98cep-2, -0x1.b3eb72850d8f5p-2, -0x1.b1524c4f3037p-2, -0x1.ae938aa704f72p-2, -0x1.abafbbfc2d0b4p-2, -0x1.a8a772bf50eep-2, -0x1.a57b451c9f2bbp-2, -0x1.a22bccb8d299bp-2, -0x1.9eb9a670cc426p-2, -0x1.9b25721bc79f6p-2, -0x1.976fd2502d16cp-2, -0x1.93996c2afad09p-2, -0x1.8fa2e719c3e53p-2, -0x1.8b8ceca73923p-2, -0x1.8758284a2e399p-2, -0x1.830547370f6b2p-2, -0x1.7e94f833af92cp-2, -0x1.7a07eb6d6462bp-2, -0x1.755ed25151a0bp-2, -0x1.709a5f66d3fb3p-2, -0x1.6bbb462bf1146p-2, -0x1.66c23af3b6557p-2, -0x1.61aff2c667bfdp-2, -0x1.5c852343711a9p-2, -0x1.57428284f257bp-2, -0x1.51e8c704db51p-2, -0x1.4c78a783725bbp-2, -0x1.46f2daef379fep-2, -0x1.4158184e0518bp-2, -0x1.3ba916a757732p-2, -0x1.35e68cefac707p-2, -0x1.301131f4d9c6cp-2, -0x1.2a29bc4b4e6b3p-2, -0x1.2430e23c2768bp-2, -0x1.1e2759b40406bp-2, -0x1.180dd8328d612p-2, -0x1.11e512ba97eecp-2, -0x1.0badbdc2d77b8p-2, -0x1.05688d27123e2p-2, -0x1.fe2c683390f3p-3, -0x1.f16eca2c7aa18p-3, -0x1.e499a3a5c43e8p-3, -0x1.d7ae56681aec9p-3, -0x1.caae427df395dp-3, -0x1.bd9ac61a07d21p-3, -0x1.b0753d7e40c18p-3, -0x1.a33f02e301c72p-3, -0x1.95f96e5ecddd1p-3, -0x1.88a5d5ce2d1f2p-3, -0x1.7b458cbbe504p-3, -0x1.6dd9e4495f356p-3, -0x1.60642b17517eep-3, -0x1.52e5ad2e91b86p-3, -0x1.455fb3e91e771p-3, -0x1.37d385db5115cp-3, -0x1.2a4266bd3d7bp-3, -0x1.1cad975444e31p-3, -0x1.0f16555cccbaap-3, -0x1.017ddb742ce3dp-3, -0x1.e7cac20599337p-4, -0x1.cc9c344ce6732p-4, -0x1.b1726f39ab7a5p-4, -0x1.964fcd5cbb1eap-4, -0x1.7b36a23265548p-4, -0x1.602939f90ea98p-4, -0x1.4529d9886c0d9p-4, -0x1.2a3abe2953718p-4, -0x1.0f5e1d6e405c5p-4, -0x1.e92c4a1918f2dp-5, -0x1.b3c9f56cd2f8ep-5, -0x1.7e9977eb5d503p-5, -0x1.499efc0ef5b05p-5, -0x1.14de9b7187b9ep-5, -0x1.c0b8bd0f464cep-6, -0x1.583878bad01ap-6, -0x1.e08869562d6f7p-7, -0x1.11c72fa9ee154p-7, -0x1.10f1271b7c51cp-9, 0x1.101318f3d9303p-8, 0x1.52fbe19c5b963p-7, 0x1.0e4647aba5c4dp-6, 0x1.7256ddb066511p-6, 0x1.d5a8ec17ed213p-6, 0x1.1c1ae96cebdcp-5, 0x1.4cfb8c801a4d5p-5, 0x1.7d73367c2e16p-5, 0x1.ad7ed26f22f72p-5, 0x1.dd1b5f6119624p-5, 0x1.0622f83a32ca4p-4, 0x1.1d7dd6815030bp-4, 0x1.349ce85b77ed8p-4, 0x1.4b7ed5d2a9024p-4, 0x1.6222512f819e8p-4, 0x1.78861701f8cd7p-4, 0x1.8ea8ee289d61bp-4, 0x1.a489a7d659102p-4, 0x1.ba271f96bbc5bp-4, 0x1.cf803b50cc682p-4, 0x1.e493eb4866912p-4, 0x1.f9612a1e1ef01p-4, 0x1.06f37e66d6745p-3, 0x1.111239557b0e2p-3, 0x1.1b0c52aece198p-3, 0x1.24e15c6d91e19p-3, 0x1.2e90edafddb09p-3, 0x1.381aa2b2cd05cp-3, 0x1.417e1ccd84265p-3, 0x1.4abb026b89285p-3, 0x1.53d0ff066fb57p-3, 0x1.5cbfc31ee6788p-3, 0x1.658704351825p-3, 0x1.6e267cc078b6fp-3, 0x1.769dec26eb93bp-3, 0x1.7eed16b35dcebp-3, 0x1.8713c58bbbf13p-3, 0x1.8f11c6a66837ap-3, 0x1.96e6ecbf15fefp-3, 0x1.9e930f4b205f6p-3, 0x1.a6160a6d5f7a7p-3, 0x1.ad6fbee978f68p-3, 0x1.b4a01216b3927p-3, 0x1.bba6edd25075dp-3, 0x1.c28440717930ap-3, 0x1.c937fcb2b1b54p-3, 0x1.cfc219aee2868p-3, 0x1.d62292ca04c7dp-3, 0x1.dc5967a35b12cp-3, 0x1.e2669c05587fp-3, 0x1.e84a37d527c94p-3, 0x1.ee044701e0acbp-3, 0x1.f394d97368cb5p-3, 0x1.f8fc02f9056bcp-3, 0x1.fe39db37ad011p-3, 0x1.01a73ecc0767cp-2, 0x1.041d049a2a8a1p-2, 0x1.067e5062dd987p-2, 0x1.08cb3548eebd8p-2, 0x1.0b03c82bf0ba1p-2, 0x1.0d281f9eb1fa7p-2, 0x1.0f3853dda4b83p-2, 0x1.11347ec5303ccp-2, 0x1.131cbbc7ef3bp-2, 0x1.14f127e4e4ec6p-2, 0x1.16b1e19d9d81ep-2, 0x1.185f08ec4b11p-2, 0x1.19f8bf39d23a6p-2, 0x1.1b7f2753d34bep-2, 0x1.1cf26562af6d4p-2, 0x1.1e529edf833edp-2, 0x1.1f9ffa8a264e9p-2, 0x1.20daa05f28cabp-2, 0x1.2202b98dce205p-2, 0x1.2318706e11473p-2, 0x1.241bf076a6d9fp-2, 0x1.250d66330e231p-2, 0x1.25ecff39a0672p-2, 0x1.26baea21b0045p-2, 0x1.27775679af7c8p-2, 0x1.282274bd6855p-2, 0x1.28bc764c381ddp-2, 0x1.29458d5f64c8ep-2, 0x1.29bded007ce0cp-2, 0x1.2a25c8ffc8761p-2, 0x1.2a7d55eace47dp-2, 0x1.2ac4c902ee78dp-2, 0x1.2afc58340dfb5p-2, 0x1.2b243a0b5befdp-2, 0x1.2b3ca5ae2bafp-2, 0x1.2b45d2d0e8c75p-2, 0x1.2b3ff9ae20f7p-2, 0x1.2b2b52fdad614p-2, 0x1.2b0817ebf06ddp-2, 0x1.2ad6821135168p-2, 0x1.2a96cb6925f3fp-2, 0x1.2a492e4a64d62p-2, 0x1.29ede55e3da1ap-2, 0x1.29852b987cccap-2, 0x1.290f3c2f5cba6p-2, 0x1.288c52939d4fbp-2, 0x1.27fcaa68b2d64p-2, 0x1.27607f7d1b23bp-2, 0x1.26b80dc2d2db5p-2, 0x1.26039147ed6efp-2, 0x1.2543462f4daadp-2, 0x1.247768a982c3p-2, 0x1.23a034edc73ddp-2, 0x1.22bde73325b16p-2, 0x1.21d0bba9bd9bep-2, 0x1.20d8ee742f607p-2, 0x1.1fd6bba12b737p-2, 0x1.1eca5f2524b5cp-2, 0x1.1db414d42a652p-2, 0x1.1c94185be3ea1p-2, 0x1.1b6aa53db1973p-2, 0x1.1a37f6c8f4fep-2, 0x1.18fc48157ce2bp-2, 0x1.17b7d3fe122d3p-2, 0x1.166ad51b3296dp-2, 0x1.151585bde70d6p-2, 0x1.13b81feac6115p-2, 0x1.1252dd5515be2p-2, 0x1.10e5f75a16498p-2, 0x1.0f71a6fc6e5f3p-2, 0x1.0df624dfbf12ap-2, 0x1.0c73a94459ad9p-2, 0x1.0aea6c0318ae6p-2, 0x1.095aa489605abp-2, 0x1.07c489d53fde8p-2, 0x1.06285271b67b3p-2, 0x1.048634731e18bp-2, 0x1.02de6573b510fp-2, 0x1.01311a904dcd6p-2, 0x1.fefd10ca3d009p-3, 0x1.fb8dc61569dcp-3, 0x1.f814bc2613c18p-3, 0x1.f492590d6dd5p-3, 0x1.f10701c49b276p-3, 0x1.ed731a279aa66p-3, 0x1.e9d704f077a8ap-3, 0x1.e63323b2b568cp-3, 0x1.e287d6d700dfp-3, 0x1.ded57d97121ap-3, 0x1.db1c75f9de853p-3, 0x1.d75d1ccff3a43p-3, 0x1.d397cdb01d74dp-3, 0x1.cfcce2f437ea1p-3, 0x1.cbfcb5b646c62p-3, 0x1.c8279dcdbf974p-3, 0x1.c44df1cd0a3dep-3, 0x1.c07006ff3c61dp-3, 0x1.bc8e316605489p-3, 0x1.b8a8c3b7cf533p-3, 0x1.b4c00f5e1c6b8p-3, 0x1.b0d464740a067p-3, 0x1.ace611c50baf4p-3, 0x1.a8f564cbd8979p-3, 0x1.a502a9b18440fp-3, 0x1.a10e2b4cc6a65p-3, 0x1.9d18332175a75p-3, 0x1.992109602446ap-3, 0x1.9528f4e5f40b7p-3, 0x1.91303b3c8a734p-3, 0x1.8d37209a36c47p-3, 0x1.893de7e2386dp-3, 0x1.8544d2a5307a8p-3, 0x1.814c2121be2c4p-3, 0x1.7d54124536c9dp-3, 0x1.795ce3ac86d12p-3, 0x1.7566d1a53c7c2p-3, 0x1.7172172ea4befp-3, 0x1.6d7eedfb1b4abp-3, 0x1.698d8e716dea2p-3, 0x1.659e2fae65b13p-3, 0x1.61b107866a8ffp-3, 0x1.5dc64a874770cp-3, 0x1.59de2bfa06f83p-3, 0x1.55f8dde4f1b14p-3, 0x1.5216910d9cf02p-3, 0x1.4e3774fb1c032p-3, 0x1.4a5bb7f847611p-3, 0x1.4683871618128p-3, 0x1.42af0e2e1adb5p-3, 0x1.3ede77e4ff899p-3, 0x1.3b11edad34956p-3, 0x1.374997c997dc8p-3, 0x1.33859d5044658p-3, 0x1.2fc6242d60228p-3, 0x1.2c0b51260f86cp-3, 0x1.285547db6759fp-3, 0x1.24a42acd7e35dp-3, 0x1.20f81b5e7ee53p-3, 0x1.1d5139d5d5264p-3, 0x1.19afa5635df17p-3, 0x1.16137c22a8773p-3, 0x1.127cdb1e452fcp-3, 0x1.0eebde531bf5ap-3, 0x1.0b60a0b3cf505p-3, 0x1.07db3c2c27aafp-3, 0x1.045bc9a48674cp-3, 0x1.00e2610566737p-3, 0x1.fade3275bf34cp-4, 0x1.f404107059483p-4, 0x1.ed3685f68d527p-4, 0x1.e675bb20ea902p-4, 0x1.dfc1d62bdb811p-4, 0x1.d91afb7ee5e17p-4, 0x1.d2814db3f5323p-4, 0x1.cbf4ed9ea7031p-4, 0x1.c575fa53a8d49p-4, 0x1.bf04913006248p-4, 0x1.b8a0cde08d599p-4, 0x1.b24aca692be27p-4, 0x1.ac029f2c4dda8p-4, 0x1.a5c862f23f701p-4, 0x1.9f9c2af08ac66p-4, 0x1.997e0ad155d78p-4, 0x1.936e14bac0b07p-4, 0x1.8d6c59563978ap-4, 0x1.8778e7d7d1012p-4, 0x1.8193ce05892b9p-4, 0x1.7bbd183e9ccep-4, 0x1.75f4d182c1426p-4, 0x1.703b037961192p-4, 0x1.6a8fb678cbe3ap-4, 0x1.64f2f18d6279ep-4, 0x1.5f64ba80b1217p-4, 0x1.59e515e08ac3p-4, 0x1.547407060fb71p-4, 0x1.4f11901caa05p-4, 0x1.49bdb229072b8p-4, 0x1.44786d0ff6d17p-4, 0x1.3f41bf9d491c8p-4, 0x1.3a19a78a97ebcp-4, 0x1.3500218603eeap-4, 0x1.2ff52938e4e44p-4, 0x1.2af8b94e67621p-4, 0x1.260acb7a1f58p-4, 0x1.212b587e86b3dp-4, 0x1.1c5a58336cb6p-4, 0x1.1797c18c59aa8p-4, 0x1.12e38a9ed8984p-4, 0x1.0e3da8a8b79d8p-4, 0x1.09a610163302ep-4, 0x1.051cb4880ff23p-4, 0x1.00a188d9a189ep-4, 0x1.f868fe4d83f32p-5, 0x1.efab11a365487p-5, 0x1.e7092d11d98d2p-5, 0x1.de833099bd2d2p-5, 0x1.d618faeb2ce33p-5, 0x1.cdca6970aad26p-5, 0x1.c597585a2afeep-5, 0x1.bd7fa2a7eededp-5, 0x1.b58322353aeb2p-5, 0x1.ada1afc2e630cp-5, 0x1.a5db2301c05d6p-5, 0x1.9e2f529cd2daap-5, 0x1.969e144370a6ep-5, 0x1.8f273cb32cd99p-5, 0x1.87ca9fc19394p-5, 0x1.80881065d2c39p-5, 0x1.795f60c2276d7p-5, 0x1.7250622d28d9ap-5, 0x1.6b5ae53aec556p-5, 0x1.647eb9c5fadebp-5, 0x1.5dbbaef827251p-5, 0x1.571193533843bp-5, 0x1.508034b9611cap-5, 0x1.4a0760759c42ep-5, 0x1.43a6e343e2f2ap-5, 0x1.3d5e895921e41p-5, 0x1.372e1e6b2c5b8p-5, 0x1.31156db86cbaap-5, 0x1.2b14420f6da8fp-5, 0x1.252a65d64d6c1p-5, 0x1.1f57a311f623ep-5, 0x1.199bc36d3f825p-5, 0x1.13f6903fe2113p-5, 0x1.0e67d2953dc92p-5, 0x1.08ef533309ca1p-5, 0x1.038cda9fd32b2p-5, 0x1.fc806252a75dep-6, 0x1.f2123dd561155p-6, 0x1.e7ced7a511f24p-6, 0x1.ddb5bf51bce92p-6, 0x1.d3c68429c9519p-6, 0x1.ca00b5454cf1fp-6, 0x1.c063e190fbf85p-6, 0x1.b6ef97d8f948bp-6, 0x1.ada366d342df3p-6, 0x1.a47edd29e0f98p-6, 0x1.9b818984e0797p-6, 0x1.92aafa93f064bp-6, 0x1.89fabf17b6e9ap-6, 0x1.817065eb303e2p-6, 0x1.790b7e0c4a928p-6, 0x1.70cb96a4c0a57p-6, 0x1.68b03f1266e69p-6, 0x1.60b906ef453b1p-6, 0x1.58e57e199f2a4p-6, 0x1.513534bb7e146p-6, 0x1.49a7bb523ab5dp-6, 0x1.423ca2b59d1bfp-6, 0x1.3af37c1ed47e2p-6, 0x1.33cbd92f50d4fp-6, 0x1.2cc54bf734ff3p-6, 0x1.25df66fb92b92p-6, 0x1.1f19bd3cb60dap-6, 0x1.1873e23bd327fp-6, 0x1.11ed6a00dcf59p-6, 0x1.0b85e91fd77cdp-6, 0x1.053cf4be47c1cp-6, 0x1.fe2445302f448p-7, 0x1.f20a120940cc4p-7, 0x1.e62a7df67cc5bp-7, 0x1.da84b82fbdfc6p-7, 0x1.cf17f13e97adfp-7, 0x1.c3e35b069fdcdp-7, 0x1.b8e628cd6530bp-7, 0x1.ae1f8f41d81b5p-7, 0x1.a38ec483c4df7p-7, 0x1.9933002a79159p-7, 0x1.8f0b7b4b9097ep-7, 0x1.85177080dfd83p-7, 0x1.7b561beeb848p-7, 0x1.71c6bb497192fp-7, 0x1.68688dda867a3p-7, 0x1.5f3ad485d7b02p-7, 0x1.563cd1ce4b72ap-7, 0x1.4d6dc9da47258p-7, 0x1.44cd0277d3eb5p-7, 0x1.3c59c32090b83p-7, 0x1.341354fd3cf37p-7, 0x1.2bf902e9563cap-7, 0x1.240a1975dfb59p-7, 0x1.1c45e6ec7fd92p-7, 0x1.14abbb5230f89p-7, 0x1.0d3ae86947d92p-7, 0x1.05f2c1b429f6ap-7, 0x1.fda538eda1a4ap-8, 0x1.efb39f71792a2p-8, 0x1.e20f688ce6036p-8, 0x1.d4b749655b85bp-8, 0x1.c7a9faaf3e7adp-8, 0x1.bae638af972ap-8, 0x1.ae6ac33d6d3efp-8, 0x1.a2365dc31a1f2p-8, 0x1.9647cf3ec86bep-8, 0x1.8a9de242ccf49p-8, 0x1.7f3764f5b6c2p-8, 0x1.7413291236092p-8, 0x1.693003e6343bap-8, 0x1.5e8cce51daed1p-8, 0x1.542864c6979f2p-8, 0x1.4a01a7453ab73p-8, 0x1.4017795cb534ap-8, 0x1.3668c22701be9p-8, 0x1.2cf46c481d2e5p-8, 0x1.23b965ea20731p-8, 0x1.1ab6a0bb10b72p-8, 0x1.11eb11e9c044dp-8, 0x1.0955b2223150ap-8, 0x1.00f57d8a1da3fp-8, 0x1.f192e77a98e9bp-9, 0x1.e1a12f92d3287p-9, 0x1.d213e053ea32p-9, 0x1.c2e90d878f0a6p-9, 0x1.b41ed1c0c3b0cp-9, 0x1.a5b34e53455dep-9, 0x1.97a4ab4819cc4p-9, 0x1.89f1175506694p-9, 0x1.7c96c7d10718bp-9, 0x1.6f93f8aa1c5edp-9, 0x1.62e6ec594fdcep-9, 0x1.568debd8b7f5ap-9, 0x1.4a87469661b06p-9, 0x1.3ed15269636c3p-9, 0x1.336a6b8559208p-9, 0x1.2850f46e52e4fp-9, 0x1.1d8355ebe51bep-9, 0x1.12fffefca8133p-9, 0x1.08c564c933eaep-9, 0x1.fda4052d8a71fp-10, 0x1.ea48b375043e7p-10, 0x1.d775e31609caap-10, 0x1.c528aea7e0dcep-10, 0x1.b35e3c8dceabap-10, 0x1.a213bedd8ee3ap-10, 0x1.91467341844e7p-10, 0x1.80f3a2ddb8ec5p-10, 0x1.7118a232654c6p-10, 0x1.61b2d0fffb33fp-10, 0x1.52bf9a299d33dp-10, 0x1.443c7398dde04p-10, 0x1.3626de1face99p-10, 0x1.287c655c16545p-10, 0x1.1b3a9f99ec041p-10, 0x1.0e5f2db5ef34ep-10, 0x1.01e7baffa7f5fp-10, 0x1.eba3fa38fbf26p-11, 0x1.d43767d192e45p-11, 0x1.bd8552b7e763ep-11, 0x1.a78962d0933dp-11, 0x1.923f53bf6f5cdp-11, 0x1.7da2f4a754ac6p-11, 0x1.69b027f1bcbbp-11, 0x1.5662e31287e54p-11, 0x1.43b72e4b1c2c7p-11, 0x1.31a9247033c2p-11, 0x1.2034f2ae89506p-11, 0x1.0f56d84eee126p-11, 0x1.fe164cf73d8a2p-12, 0x1.de9c800b1dd6dp-12, 0x1.c039325290dccp-12, 0x1.a2e56ea87ad07p-12, 0x1.869a61d77ae3fp-12, 0x1.6b515a215d02bp-12, 0x1.5103c6cddc98cp-12, 0x1.37ab37b88f2e7p-12, 0x1.1f415cdb5600cp-12, 0x1.07c005dd66976p-12, 0x1.e2424347ee2d6p-13, 0x1.b6bd7bb7f4b36p-13, 0x1.8ce60d1fec253p-13, 0x1.64b08b6761fbep-13, 0x1.3e11c56ecf729p-13, 0x1.18fec433179b2p-13, 0x1.ead993e67466dp-14, 0x1.a6a2a2a012e79p-14, 0x1.654418faa3a14p-14, 0x1.26a9c8ce9e0aep-14, 0x1.d57fdf6b4236ap-15, 0x1.62e66ae256156p-15, 0x1.eac2a8ec521a9p-16, 0x1.199714c080deep-16, 0x1.48062a7ffdc68p-18, -0x1.b113d53c677c1p-18, -0x1.2181e2c45bf73p-16, -0x1.cdf93356e03d3p-16, -0x1.38f6b06762856p-15, -0x1.86cfb7b499a83p-15, -0x1.d0a779d95d028p-15, -0x1.0b4e863528d85p-14, -0x1.2c67699d27093p-14, -0x1.4bad41aa4f61cp-14, -0x1.692e92f2d6bfbp-14, -0x1.84f98d960fefp-14, -0x1.9f1c0ea87cc1fp-14, -0x1.b7a3a1a0f916p-14, -0x1.ce9d81c62de74p-14, -0x1.e4169b88b6242p-14, -0x1.f81b8decc698fp-14, -0x1.055c55f0f1d28p-13, -0x1.0dfcfece6e4fcp-13, -0x1.15f5a0f2c1a99p-13, -0x1.1d4bf7b985f02p-13, -0x1.24059b19e0e54p-13, -0x1.2a280048a528fp-13, -0x1.2fb87a5e0a222p-13, -0x1.34bc3af311b32p-13, -0x1.393852c1aab14p-13, -0x1.3d31b24103e0fp-13, -0x1.40ad2a3ed93aap-13, -0x1.43af6c7861b53p-13, -0x1.463d0c327feap-13, -0x1.485a7ecaeeafcp-13, -0x1.4a0c1c4f85c13p-13, -0x1.4b562007c3c82p-13, -0x1.4c3ca90aa1b8dp-13, -0x1.4cc3bac7db1c1p-13, -0x1.4cef3d9406064p-13, -0x1.4cc2ff30181f2p-13, -0x1.4c42b3506574p-13, -0x1.4b71f42263236p-13, -0x1.4a5442cf8b0b3p-13, -0x1.48ed08009e0b2p-13, -0x1.473f9459ec258p-13, -0x1.454f20fa5061ap-13, -0x1.431ecff79959cp-13, -0x1.40b1acd864c4p-13, -0x1.3e0aad0908919p-13, -0x1.3b2cb0575226cp-13, -0x1.381a816360f3p-13, -0x1.34d6d611bd2efp-13, -0x1.31644fff2e43ap-13, -0x1.2dc57cee0a5b7p-13, -0x1.29fcd73284582p-13, -0x1.260cc621a9ef1p-13, -0x1.21f79e7869a47p-13, -0x1.1dbfa2c5a04adp-13, -0x1.196703cf0d5ecp-13, -0x1.14efe0f8d29acp-13, -0x1.105c48a5a93fep-13, -0x1.0bae389b07475p-13, -0x1.06e79e5f28ec8p-13, -0x1.020a57993ec1ep-13, -0x1.fa3064da45e9p-14, -0x1.f025dbaddfe04p-14, -0x1.e5f8740b934b9p-14, -0x1.dbab71635fd06p-14, -0x1.d141fae783c2ep-14, -0x1.c6bf1c36b32d5p-14, -0x1.bc25c601f58d1p-14, -0x1.b178ceb281c2dp-14, -0x1.a6baf30a6fc08p-14, -0x1.9beed6c3d73c2p-14, -0x1.9117052a00ac4p-14, -0x1.8635f1b52c795p-14, -0x1.7b4df89f894ffp-14, -0x1.70615f78c3f63p-14, -0x1.657255b69307fp-14, -0x1.5a82f5415805p-14, -0x1.4f954302ee753p-14, -0x1.44ab2f6be1582p-14, -0x1.39c696fa18005p-14, -0x1.2ee942bd23aacp-14, -0x1.2414e8d712464p-14, -0x1.194b2cfb1f36dp-14, -0x1.0e8da0e8e2cccp-14, -0x1.03ddc4e7b59d7p-14, -0x1.f27a10783de29p-15, -0x1.dd59933c474dp-15, -0x1.c85caf54a3916p-15, -0x1.b385e2a7f0e98p-15, -0x1.9ed78ca37d2c4p-15, -0x1.8a53ef1495259p-15, -0x1.75fd2efaa7e8p-15, -0x1.61d555592662p-15, -0x1.4dde4ffd9369ap-15, -0x1.3a19f24803153p-15, -0x1.2689f5ee5cb9p-15, -0x1.132ffbbb7c887p-15, -0x1.000d8c47976f5p-15, -0x1.da48315e7dd57p-16, -0x1.b4e9f68ca976cp-16, -0x1.9002f08bf173ap-16, -0x1.6b957cf041e51p-16, -0x1.47a3cfbc28f25p-16, -0x1.242ff4a7a6b9ep-16, -0x1.013bd0649ae6ep-16, -0x1.bd9243a2b516p-17, -0x1.79b3065fe8943p-17, -0x1.36dcd69ea2235p-17, -0x1.ea24bab27ae4cp-18, -0x1.68ac024ac2513p-18, -0x1.d2a7a1ab0f9e5p-19, -0x1.b07fdbd64fc0cp-20, 0x1.dd8655abcbe09p-23, 0x1.0f9b8e933bd3p-19, 0x1.fd04a417e089p-19, 0x1.7307ca36a249dp-18, 0x1.e55c8f390d929p-18, 0x1.2abfb29aa358ap-17, 0x1.61b7b89b35848p-17, 0x1.97961ad597275p-17, 0x1.cc5ac77dcdd7p-17, 0x1.0002ec125f6bbp-16, 0x1.194bc802321c1p-16, 0x1.32082d32cda68p-16, 0x1.4a38648fd8c45p-16, 0x1.61dcc98b27b43p-16, 0x1.78f5c955f18d5p-16, 0x1.8f83e22b22ac8p-16, 0x1.a587a2a28cf15p-16, 0x1.bb01a8f88a051p-16, 0x1.cff2a268936dfp-16, 0x1.e45b4a861f7aep-16, 0x1.f83c6a9bf04dcp-16, 0x1.05cb6c86cdb76p-15, 0x1.0f35bc5cd84f3p-15, 0x1.185d9c3565224p-15, 0x1.214389221eb05p-15, 0x1.29e8059984697p-15, 0x1.324b9931716ccp-15, 0x1.3a6ed05fb5332p-15, 0x1.42523c3726c8dp-15, 0x1.49f672277ee1p-15, 0x1.515c0bc077939p-15, 0x1.5883a6765409bp-15, 0x1.5f6de368c9686p-15, 0x1.661b672a715d4p-15, 0x1.6c8cd987b7b89p-15, 0x1.72c2e555b4734p-15, 0x1.78be383c93327p-15, 0x1.7e7f82863b953p-15, 0x1.840776ed6d292p-15, 0x1.8956ca6fd6d2dp-15, 0x1.8e6e341e78758p-15, 0x1.934e6cf3f6d2cp-15, 0x1.97f82fa86b385p-15, 0x1.9c6c3888bb8p-15, 0x1.a0ab454dfbcabp-15, 0x1.a4b614f8fd906p-15, 0x1.a88d67a9259p-15, 0x1.ac31fe79ea457p-15, 0x1.afa49b60a6514p-15, 0x1.b2e60108fc774p-15, 0x1.b5f6f2b5a51dap-15, 0x1.b8d8341f1c7b8p-15, 0x1.bb8a8957a2ab4p-15, 0x1.be0eb6ad29084p-15, 0x1.c0658089e2121p-15, 0x1.c28fab5c6caabp-15, 0x1.c48dfb7c091f6p-15, 0x1.c661350ea90cep-15, 0x1.c80a1bf1daa6ap-15, 0x1.c98973a21719cp-15, 0x1.cadfff254c28cp-15, 0x1.cc0e80f2d49d6p-15, 0x1.cd15bae1c20eap-15, 0x1.cdf66e12eff43p-15, 0x1.ceb15add95273p-15, 0x1.cf4740bd500cdp-15, 0x1.cfb8de40b80fap-15, 0x1.d006f0f6f9bd6p-15, 0x1.d03235625a237p-15, 0x1.d03b66e6a49c9p-15, 0x1.d0233fbb1c42cp-15, 0x1.cfea78dc12397p-15, 0x1.cf91c9fdc31c8p-15, 0x1.cf19e97f9a64dp-15, 0x1.ce838c6005eabp-15, 0x1.cdcf662fdb28dp-15, 0x1.ccfe29092bf52p-15, 0x1.cc10858360a18p-15, 0x1.cb072aaa25349p-15, 0x1.c9e2c5f588e1ap-15, 0x1.c8a4033f064f7p-15, 0x1.c74b8cb95b014p-15, 0x1.c5da0ae995ad9p-15, 0x1.c450249f77a4cp-15, 0x1.c2ae7eeff07d2p-15, 0x1.c0f5bd2d900cp-15, 0x1.bf2680e1ba913p-15, 0x1.bd4169c932682p-15, 0x1.bb4715cea7e0cp-15, 0x1.b93821050fcf1p-15, 0x1.b71525a40bbabp-15, 0x1.b4debc03e2b9dp-15, 0x1.b2957a9acc9bep-15, 0x1.b039f5f82abbep-15, 0x1.adccc0c38b70cp-15, 0x1.ab4e6bb9679ffp-15, 0x1.a8bf85a8b652fp-15, 0x1.a6209b71955cap-15, 0x1.a372380402915p-15, 0x1.a0b4e45d832cfp-15, 0x1.9de92789bc966p-15, 0x1.9b0f86a0631cp-15, 0x1.982884c541e0cp-15, 0x1.9534a328aa30ap-15, 0x1.92346106eaf3bp-15, 0x1.8f283ba93d07dp-15, 0x1.8c10ae6582c29p-15, 0x1.88ee32a034d11p-15, 0x1.85c13fcc3c07p-15, 0x1.828a4b6c6dd5ep-15, 0x1.7f49c9157086bp-15, 0x1.7c002a6f215a7p-15, 0x1.78addf354a7c2p-15, 0x1.7553553ade397p-15, 0x1.71f0f86c0a132p-15, 0x1.6e8732cfe600ep-15, 0x1.6b166c8addf9fp-15, 0x1.679f0be12afb9p-15, 0x1.6421753a31edp-15, 0x1.609e0b229c73ap-15, 0x1.5d152e4fc4cf3p-15, 0x1.59873da22d6f6p-15, }}, 
      {{-0x1.0d77d9ba3a6afp-7, -0x1.0d37d836e6471p-6, -0x1.9335be63c0b52p-6, -0x1.0c3dac2f9a3efp-5, -0x1.4e69b88b81967p-5, -0x1.9007668bf6f7cp-5, -0x1.d102594dd5ccfp-5, -0x1.08a4c85c33c84p-4, -0x1.2867b2224585dp-4, -0x1.47c4b19f6c23cp-4, -0x1.66b8109bb9f15p-4, -0x1.853f7a88c0734p-4, -0x1.a359d83355fc4p-4, -0x1.c10729edfcf55p-4, -0x1.de4861e8ea3f8p-4, -0x1.fb1f3fdf80df2p-4, -0x1.0bc717685e474p-3, -0x1.19cc12927251p-3, -0x1.27a043b5c90cbp-3, -0x1.354586ddccdb2p-3, -0x1.42bdd5d616179p-3, -0x1.500b3d6a8dc36p-3, -0x1.5d2fd3dff1df4p-3, -0x1.6a2db0985dbb8p-3, -0x1.7706e4d67b35ap-3, -0x1.83bd7590ee861p-3, -0x1.9053564649af9p-3, -0x1.9cca64c083bcap-3, -0x1.a92465b59d51cp-3, -0x1.b56302322a361p-3, -0x1.c187c5b99564cp-3, -0x1.cd941d07c9405p-3, -0x1.d989555fe9e38p-3, -0x1.e5689c54537f8p-3, -0x1.f132fff4f7ceep-3, -0x1.fce96f5251c1p-3, -0x1.04465da255356p-2, -0x1.0a0ecbb46ac8cp-2, -0x1.0fce4da2ac168p-2, -0x1.158521c63fedap-2, -0x1.1b3379b8d184dp-2, -0x1.20d97b04a47edp-2, -0x1.26773fd6c5746p-2, -0x1.2c0cd7b096724p-2, -0x1.319a4816a735ep-2, -0x1.371f8d3b3a6dfp-2, -0x1.3c9c9aa35d31cp-2, -0x1.42115bc5cddb8p-2, -0x1.477db4a33e994p-2, -0x1.4ce18257c5f7cp-2, -0x1.523c9ba5800acp-2, -0x1.578ed178820f9p-2, -0x1.5cd7ef6463647p-2, -0x1.6217bc1bb0455p-2, -0x1.674df9e1a2aa7p-2, -0x1.6c7a66f67c524p-2, -0x1.719cbdfeedb8p-2, -0x1.76b4b666d9205p-2, -0x1.7bc204bfd20ddp-2, -0x1.80c45b1b9f0adp-2, -0x1.85bb6963096e5p-2, -0x1.8aa6dda92cce6p-2, -0x1.8f86647b7d19cp-2, -0x1.9459a92eae731p-2, -0x1.992056289459ap-2, -0x1.9dda15271ca18p-2, -0x1.a2868f846b114p-2, -0x1.a7256e782eb67p-2, -0x1.abb65b562fa02p-2, -0x1.b038ffca18f35p-2, -0x1.b4ad061088974p-2, -0x1.b912192d5908ep-2, -0x1.bd67e51f2db1dp-2, -0x1.c1ae17103814ap-2, -0x1.c5e45d843cd91p-2, -0x1.ca0a6883ce29bp-2, -0x1.ce1fe9c4c34cap-2, -0x1.d22494cfed78fp-2, -0x1.d6181f240ebe4p-2, -0x1.d9fa405612fe3p-2, -0x1.ddcab22e9c202p-2, -0x1.e18930c4e572dp-2, -0x1.e5357a9707796p-2, -0x1.e8cf509fb3e3ap-2, -0x1.ec5676696f682p-2, -0x1.efcab21f5ff02p-2, -0x1.f32bcc9bc18bap-2, -0x1.f6799174190efp-2, -0x1.f9b3cf0335eefp-2, -0x1.fcda56711d509p-2, -0x1.ffecfbb8f7ccep-2, -0x1.0175cad68c2bep-1, -0x1.02eafefc9aadep-1, -0x1.0456089177df6p-1, -0x1.05b6d744611a5p-1, -0x1.070d5c2fb816cp-1, -0x1.085989d7087b9p-1, -0x1.099b542467d8dp-1, -0x1.0ad2b0653d3ep-1, -0x1.0bff95467ac18p-1, -0x1.0d21fad059afep-1, -0x1.0e39da619f1a9p-1, -0x1.0f472eaa7a26p-1, -0x1.1049f3a702766p-1, -0x1.1142269963edep-1, -0x1.122fc603c04f6p-1, -0x1.1312d1a1d2de3p-1, -0x1.13eb4a625ad0cp-1, -0x1.14b9326059c86p-1, -0x1.157c8cdc2b251p-1, -0x1.16355e347c56ap-1, -0x1.16e3abdf30836p-1, -0x1.17877c62302aap-1, -0x1.1820d74c2f1bap-1, -0x1.18afc52d6eae1p-1, -0x1.19344f907e395p-1, -0x1.19ae80f3009a1p-1, -0x1.1a1e64be7b2c4p-1, -0x1.1a84074130a5dp-1, -0x1.1adf75a70c6e7p-1, -0x1.1b30bdf2a18acp-1, -0x1.1b77eef63e326p-1, -0x1.1bb5184d17969p-1, -0x1.1be84a5491cf2p-1, -0x1.1c119625a02f6p-1, -0x1.1c310d8e45b6ap-1, -0x1.1c46c30b32171p-1, -0x1.1c52c9c17fb86p-1, -0x1.1c5535788e89ap-1, -0x1.1c4e1a94038bfp-1, -0x1.1c3d8e0de5d5p-1, -0x1.1c23a570dddf8p-1, -0x1.1c0076d294be5p-1, -0x1.1bd418ce360e2p-1, -0x1.1b9ea27f0fcf8p-1, -0x1.1b602b7b53e61p-1, -0x1.1b18cbcef97a2p-1, -0x1.1ac89bf6bbd2p-1, -0x1.1a6fb4db389dbp-1, -0x1.1a0e2fcc2c9b4p-1, -0x1.19a4267bcc606p-1, -0x1.1931b2fa38314p-1, -0x1.18b6efb10f102p-1, -0x1.1833f75f1722cp-1, -0x1.17a8e5140588dp-1, -0x1.1715d42c5a362p-1, -0x1.167ae04d56d88p-1, -0x1.15d825610c9ccp-1, -0x1.152dbf927f47fp-1, -0x1.147bcb49def73p-1, -0x1.13c26528d68b6p-1, -0x1.1301aa06eda68p-1, -0x1.1239b6edfeacep-1, -0x1.116aa916be5cdp-1, -0x1.10949de556f98p-1, -0x1.0fb7b2e612692p-1, -0x1.0ed405ca1623dp-1, -0x1.0de9b46430104p-1, -0x1.0cf8dca5b05abp-1, -0x1.0c019c9b54017p-1, -0x1.0b04126a3d04bp-1, -0x1.0a005c4cf8e06p-1, -0x1.08f6989092ae9p-1, -0x1.07e6e591b58f7p-1, -0x1.06d161b9d7a45p-1, -0x1.05b62b7c75191p-1, -0x1.0495615453cp-1, -0x1.036f21c0d4c1dp-1, -0x1.02438b4350319p-1, -0x1.0112bc5c7c81bp-1, -0x1.ffb9a713c09c3p-2, -0x1.fd43de869ebb7p-2, -0x1.fac45bf0e3128p-2, -0x1.f83b5c1ca9b18p-2, -0x1.f5a91bba114b4p-2, -0x1.f30dd75a88c85p-2, -0x1.f069cb6c2f525p-2, -0x1.edbd343547497p-2, -0x1.eb084dcfc0184p-2, -0x1.e84b5424d0bd8p-2, -0x1.e58682e8a7e3dp-2, -0x1.e2ba15962fc2cp-2, -0x1.dfe6476ae479ep-2, -0x1.dd0b5362c0683p-2, -0x1.da29743437e9p-2, -0x1.d740e44c4e92ep-2, -0x1.d451ddcabd9cfp-2, -0x1.d15c9a7e2afbdp-2, -0x1.ce6153e07b516p-2, -0x1.cb60431332d13p-2, -0x1.c859a0dbead08p-2, -0x1.c54da5a0dea5cp-2, -0x1.c23c89658a8fbp-2, -0x1.bf2683c75d161p-2, -0x1.bc0bcbfa83ae1p-2, -0x1.b8ec98c6c4209p-2, -0x1.b5c9208470c4p-2, -0x1.b2a199196ddd3p-2, -0x1.af7637f64ddf3p-2, -0x1.ac47321382567p-2, -0x1.a914bbeea1f0bp-2, -0x1.a5df0987c3a0cp-2, -0x1.a2a64e5eeedfp-2, -0x1.9f6abd71a024cp-2, -0x1.9c2c893866796p-2, -0x1.98ebe3a491b5ep-2, -0x1.95a8fe1df8f8cp-2, -0x1.92640980d6a6ep-2, -0x1.8f1d361bb755cp-2, -0x1.8bd4b3ad8157p-2, -0x1.888ab1638f2c9p-2, -0x1.853f5dd7e06bep-2, -0x1.81f2e70f5f4c1p-2, -0x1.7ea57a783df47p-2, -0x1.7b5744e862bedp-2, -0x1.7808729bf1f16p-2, -0x1.74b92f33e5fc3p-2, -0x1.7169a5b4be952p-2, -0x1.6e1a008544f05p-2, -0x1.6aca696d65859p-2, -0x1.677b09951b6dp-2, -0x1.642c0983745d4p-2, -0x1.60dd911da2bc2p-2, -0x1.5d8fc7a62b648p-2, -0x1.5a42d3bc1fbd3p-2, -0x1.56f6db5a707p-2, -0x1.53ac03d7529a7p-2, -0x1.506271e3b624fp-2, -0x1.4d1a498ad0c5dp-2, -0x1.49d3ae31bbedbp-2, -0x1.468ec297260e4p-2, -0x1.434ba8d311825p-2, -0x1.400a8256ad69fp-2, -0x1.3ccb6fec36e09p-2, -0x1.398e91b6f5084p-2, -0x1.365407333ec0dp-2, -0x1.331bef36965d8p-2, -0x1.2fe667efd21aep-2, -0x1.2cb38ee758d05p-2, -0x1.298380ff6af24p-2, -0x1.26565a747eedap-2, -0x1.232c36dda882dp-2, -0x1.2005312d145b6p-2, -0x1.1ce163b08f0f2p-2, -0x1.19c0e81219cb9p-2, -0x1.16a3d75891038p-2, -0x1.138a49e85dacdp-2, -0x1.107457843501dp-2, -0x1.0d62174de573cp-2, -0x1.0a539fc72feefp-2, -0x1.074906d2aebfep-2, -0x1.044261b4c7e8ap-2, -0x1.013fc514aa74cp-2, -0x1.fc8289fab11bfp-3, -0x1.f68de9bd79203p-3, -0x1.f0a1cf1d8cef9p-3, -0x1.eabe5e95324d9p-3, -0x1.e4e3bb6f781bcp-3, -0x1.df1207cab24f4p-3, -0x1.d949649b085e1p-3, -0x1.d389f1ad16266p-3, -0x1.cdd3cda8a02edp-3, -0x1.c827161351942p-3, -0x1.c283e7539297fp-3, -0x1.bcea5cb369bd9p-3, -0x1.b75a90636d9d4p-3, -0x1.b1d49b7dc307ep-3, -0x1.ac5896092be11p-3, -0x1.a6e696fc1de45p-3, -0x1.a17eb43fee85cp-3, -0x1.9c2102b3fc2fep-3, -0x1.96cd9630f1e49p-3, -0x1.9184818c0bbf4p-3, -0x1.8c45d69a66e64p-3, -0x1.8711a6345cebdp-3, -0x1.81e80038e5573p-3, -0x1.7cc8f39100da8p-3, -0x1.77b48e3328ef1p-3, -0x1.72aadd26ce652p-3, -0x1.6dabec87d0098p-3, -0x1.68b7c78a07485p-3, -0x1.63ce787cca41fp-3, -0x1.5ef008ce81398p-3, -0x1.5a1c811036bcep-3, -0x1.5553e8f92c31bp-3, -0x1.5096476a73aa8p-3, -0x1.4be3a2728e21p-3, -0x1.473bff51054aap-3, -0x1.429f627a0f1a5p-3, -0x1.3e0dcf9a2dbd5p-3, -0x1.39874999ccf47p-3, -0x1.350bd2a0eadcfp-3, -0x1.309b6c1ab2a61p-3, -0x1.2c3616b920f41p-3, -0x1.27dbd278a2fbcp-3, -0x1.238c9ea3b59e3p-3, -0x1.1f4879d6801ebp-3, -0x1.1b0f6202709acp-3, -0x1.16e15471d25ap-3, -0x1.12be4dcb625bdp-3, -0x1.0ea64a15e2227p-3, -0x1.0a9944bba2939p-3, -0x1.0697388e142p-3, -0x1.02a01fc942b03p-3, -0x1.fd67e82ebf46dp-4, -0x1.f5a55d286d662p-4, -0x1.edf88fa151fbcp-4, -0x1.e6616fac37859p-4, -0x1.dedfec53c72dcp-4, -0x1.d773f3a1582dep-4, -0x1.d01d72a3a4cdcp-4, -0x1.c8dc557584aa7p-4, -0x1.c1b08744858f3p-4, -0x1.ba99f25787d44p-4, -0x1.b398801543de2p-4, -0x1.acac190aba80fp-4, -0x1.a5d4a4f1a3a19p-4, -0x1.9f120ab6c5f7ap-4, -0x1.986430803dec3p-4, -0x1.91cafbb3b06bp-4, -0x1.8b4650fc7b96p-4, -0x1.84d61451c22e9p-4, -0x1.7e7a28fc79473p-4, -0x1.7832719d526c9p-4, -0x1.71fed032a384dp-4, -0x1.6bdf261e2fe59p-4, -0x1.65d3542ae762dp-4, -0x1.5fdb3a929014fp-4, -0x1.59f6b90359995p-4, -0x1.5425aea5664c9p-4, -0x1.4e67fa203507p-4, -0x1.48bd79a002eeap-4, -0x1.43260adb15891p-4, -0x1.3da18b16ebd2ap-4, -0x1.382fd72d63b8ep-4, -0x1.32d0cb91cb871p-4, -0x1.2d844455d4023p-4, -0x1.284a1d2e7d6bp-4, -0x1.23223178e7793p-4, -0x1.1e0c5c3f1072ep-4, -0x1.1908783c7d65cp-4, -0x1.14165fe2d25d7p-4, -0x1.0f35ed5e4faffp-4, -0x1.0a66fa9a43da6p-4, -0x1.05a961455ffccp-4, -0x1.00fcfad6019a8p-4, -0x1.f8c3411cbb7e4p-5, -0x1.efae570141bfep-5, -0x1.e6bae925ed48bp-5, -0x1.dde8a906f5446p-5, -0x1.d53747d83d18p-5, -0x1.cca6768ce0b57p-5, -0x1.c435e5dea84dbp-5, -0x1.bbe54655527eap-5, -0x1.b3b4484db7732p-5, -0x1.aba29c00c007ap-5, -0x1.a3aff18a37a37p-5, -0x1.9bdbf8ef78125p-5, -0x1.94266225f4a51p-5, -0x1.8c8edd19924e1p-5, -0x1.851519b2e4a5cp-5, -0x1.7db8c7dd42794p-5, -0x1.7679978cae5e1p-5, -0x1.6f5738c3a596p-5, -0x1.68515b98c0821p-5, -0x1.6167b03c30401p-5, -0x1.5a99e6fd1f6e5p-5, -0x1.53e7b04ee3c9bp-5, -0x1.4d50bcce123d9p-5, -0x1.46d4bd457457cp-5, -0x1.407362b2d058bp-5, -0x1.3a2c5e4b97efp-5, -0x1.33ff618169355p-5, -0x1.2dec1e06873e4p-5, -0x1.27f245d209cc1p-5, -0x1.22118b2416e1ap-5, -0x1.1c49a089d9205p-5, -0x1.169a38e16b972p-5, -0x1.1103075d993cfp-5, -0x1.0b83bf898a799p-5, -0x1.061c154c43887p-5, -0x1.00cbbcec0f278p-5, -0x1.f724d62396bcfp-6, -0x1.ecdfa99827947p-6, -0x1.e2c75f24a473p-6, -0x1.d8db628f5f3e1p-6, -0x1.cf1b207bd5403p-6, -0x1.c5860670277fcp-6, -0x1.bc1b82da57451p-6, -0x1.b2db051554e35p-6, -0x1.a9c3fd6dc065bp-6, -0x1.a0d5dd269e45bp-6, -0x1.9810167db42bcp-6, -0x1.8f721cafcd0ebp-6, -0x1.86fb63fcb58c7p-6, -0x1.7eab61ab1fa1dp-6, -0x1.76818c0c3e9b8p-6, -0x1.6e7d5a7f462d7p-6, -0x1.669e4574b7935p-6, -0x1.5ee3c6716df4bp-6, -0x1.574d5811ad991p-6, -0x1.4fda760bc6bdep-6, -0x1.488a9d32c733bp-6, -0x1.415d4b78ebf25p-6, -0x1.3a51fff1e0023p-6, -0x1.33683ad4dbbbdp-6, -0x1.2c9f7d7ea45c2p-6, -0x1.25f74a736160ep-6, -0x1.1f6f25604372dp-6, -0x1.1906931d11473p-6, -0x1.12bd19ad88dffp-6, -0x1.0c924042a3f1ep-6, -0x1.06858f3bbb38ap-6, -0x1.009690277cc0dp-6, -0x1.f5899b89a4063p-7, -0x1.ea1fa80736257p-7, -0x1.deee600a9712bp-7, -0x1.d3f4e03ad2624p-7, -0x1.c93247a3f4fe9p-7, -0x1.bea5b7b77dbf2p-7, -0x1.b44e544cc2bd7p-7, -0x1.aa2b43a10d7a9p-7, -0x1.a03bae578ccc7p-7, -0x1.967ebf78e9e7cp-7, -0x1.8cf3a472ff313p-7, -0x1.83998d17f70f4p-7, -0x1.7a6fab9d9ecedp-7, -0x1.7175349c3103dp-7, -0x1.68a95f0d45e9cp-7, -0x1.600b644a4952dp-7, -0x1.579a800b1967fp-7, -0x1.4f55f0642826ap-7, -0x1.473cf5c4beca1p-7, -0x1.3f4ed2f4ed2fp-7, -0x1.378acd135a652p-7, -0x1.2ff02b9313007p-7, -0x1.287e3838f552p-7, -0x1.21343f195754cp-7, -0x1.1a118e9515076p-7, -0x1.1315775706c76p-7, -0x1.0c3f4c50e30dcp-7, -0x1.058e62b84b606p-7, -0x1.fe042407516bbp-8, -0x1.f13367cdc441dp-8, -0x1.e4a948a035545p-8, -0x1.d86482c83be92p-8, -0x1.cc63d6f5d9f1ap-8, -0x1.c0a60a386b006p-8, -0x1.b529e5f6d7807p-8, -0x1.a9ee37e840f5dp-8, -0x1.9ef1d20c56b3bp-8, -0x1.94338aa347c65p-8, -0x1.89b23c25efb13p-8, -0x1.7f6cc53d96871p-8, -0x1.756208bba76fbp-8, -0x1.6b90ed91714ffp-8, -0x1.61f85ec77ebc4p-8, -0x1.58974b7519d42p-8, -0x1.4f6ca6b793519p-8, -0x1.467767a9619f9p-8, -0x1.3db6895962485p-8, -0x1.35290ac1ca52ap-8, -0x1.2ccdeebf21093p-8, -0x1.24a43c0722d56p-8, -0x1.1caafd1f97273p-8, -0x1.14e1405518da4p-8, -0x1.0d4617b1ba03cp-8, -0x1.05d898f3c39dbp-8, -0x1.fd2fbb086d6b6p-9, -0x1.ef0604db0aad6p-9, -0x1.e13250a3dd209p-9, -0x1.d3b2e6c43f777p-9, -0x1.c68616a74aae8p-9, -0x1.b9aa36aec785ep-9, -0x1.ad1da41fe7affp-9, -0x1.a0dec3107c88dp-9, -0x1.94ebfe53307adp-9, -0x1.8943c764fb12cp-9, -0x1.7de4965995804p-9, -0x1.72cce9c839f54p-9, -0x1.67fb46b8bda82p-9, -0x1.5d6e389003134p-9, -0x1.532450fd4bb2cp-9, -0x1.491c27e6b1056p-9, -0x1.3f545b562febdp-9, -0x1.35cb8f66b6481p-9, -0x1.2c806e31228ap-9, -0x1.2371a7b90af0fp-9, -0x1.1a9df1da310f8p-9, -0x1.120408357fa85p-9, -0x1.09a2ac1e3c54ap-9, -0x1.0178a48771771p-9, -0x1.f3097be2d8e3fp-10, -0x1.e38b94adc3972p-10, -0x1.d47542358d2e9p-10, -0x1.c5c43deb8eb5ap-10, -0x1.b7764bc806222p-10, -0x1.a9893a263e3eep-10, -0x1.9bfae19fc9059p-10, -0x1.8ec924e9139f2p-10, -0x1.81f1f0ad0f143p-10, -0x1.75733b6aa57bdp-10, -0x1.694b05506a8d8p-10, -0x1.5d77581a9a2bcp-10, -0x1.51f646ef62158p-10, -0x1.46c5ee3ce2b18p-10, -0x1.3be473970ab18p-10, -0x1.31500594fc7e3p-10, -0x1.2706dbafbb45p-10, -0x1.1d073620a0dbdp-10, -0x1.134f5dbfdca5bp-10, -0x1.09dda3e3c2c28p-10, -0x1.00b0624013d05p-10, -0x1.ef8bf58aa8328p-11, -0x1.de39af025feb6p-11, -0x1.cd66d4fbfb4bfp-11, -0x1.bd105b474e3fdp-11, -0x1.ad334530dda1fp-11, -0x1.9dcca542fce56p-11, -0x1.8ed99d09bba41p-11, -0x1.80575cd569fd8p-11, -0x1.7243237e6712bp-11, -0x1.649a3e2a19de8p-11, -0x1.575a080f58248p-11, -0x1.4a7fea3cb842fp-11, -0x1.3e095b5ec25f3p-11, -0x1.31f3df8632ae6p-11, -0x1.263d07f084899p-11, -0x1.1ae272cf7ed3ep-11, -0x1.0fe1cb11d92d2p-11, -0x1.0538c82ca86dep-11, -0x1.f5ca5bcbc6111p-12, -0x1.e1c9983dabc4p-12, -0x1.ce6afd3d453d4p-12, -0x1.bbaa59be60528p-12, -0x1.a98393b0cc4e4p-12, -0x1.97f2a79e14d47p-12, -0x1.86f3a840e6948p-12, -0x1.7682be257b3aep-12, -0x1.669c27443b3fep-12, -0x1.573c36a31f4b9p-12, -0x1.485f53f572d13p-12, -0x1.3a01fb3d2aa41p-12, -0x1.2c20bc6d5a6d1p-12, -0x1.1eb83b0f5552fp-12, -0x1.11c52de693618p-12, -0x1.05445e9836afp-12, -0x1.f26552a4c609fp-13, -0x1.db19f8e8d99d1p-13, -0x1.c4a0b073730e8p-13, -0x1.aef39cc882466p-13, -0x1.9a0d03d2ab8f3p-13, -0x1.85e74d3d73c17p-13, -0x1.727d01d4caee5p-13, -0x1.5fc8cae0415b2p-13, -0x1.4dc5718b4773fp-13, -0x1.3c6dde43081e9p-13, -0x1.2bbd18219c61ap-13, -0x1.1bae4453f9c49p-13, -0x1.0c3ca586ffbe6p-13, -0x1.fac736a66a58cp-14, -0x1.de3d43572ad2ap-14, -0x1.c2d2a0a1cea42p-14, -0x1.a87eb48833c8p-14, -0x1.8f391a7a4a393p-14, -0x1.76f9a24408daap-14, -0x1.5fb84f027643p-14, -0x1.496d561bf02cbp-14, -0x1.34111e3c118f7p-14, -0x1.1f9c3e54ab624p-14, -0x1.0c077ca1e9a22p-14, -0x1.f2979b679a989p-15, -0x1.cec4a6f300f83p-15, -0x1.ac88b8a4a175fp-15, -0x1.8bd6c445ed6dcp-15, -0x1.6ca212d9231ebp-15, -0x1.4ede40d10cfdfp-15, -0x1.327f3c5346e93p-15, -0x1.1779437c6f23fp-15, -0x1.fb81c561f3469p-16, -0x1.ca95e5e1733f7p-16, -0x1.9c1930696e09fp-16, -0x1.6ff67faee8ff4p-16, -0x1.46193df0ff50ep-16, -0x1.1e6d61e95dcb3p-16, -0x1.f1bed76a3ffe7p-17, -0x1.aab8c3b658ab9p-17, -0x1.67a39cba9763fp-17, -0x1.285b7785cf0dbp-17, -0x1.d97ac9439d0e5p-18, -0x1.694ed4ddbf21bp-18, -0x1.ffe1fe996a7d1p-19, -0x1.3a4217db01b62p-19, -0x1.028225cf4d99ap-20, 0x1.5cd38720672e4p-22, 0x1.998ccd9ff80c4p-20, 0x1.62b568949c342p-19, 0x1.edd6ca48c9dbdp-19, 0x1.374b56b0bf7e8p-18, 0x1.72af09eb96502p-18, 0x1.a94979543726fp-18, 0x1.db4c220f996cbp-18, 0x1.047386667eec4p-17, 0x1.19246b5934f8p-17, 0x1.2bcf5cda2eac1p-17, 0x1.3c8a4aaaab494p-17, 0x1.4b6a7b5ef3567p-17, 0x1.5884906b8da86p-17, 0x1.63ec8a25773dp-17, 0x1.6db5cbb75e656p-17, 0x1.75f31eda9fe12p-17, 0x1.7cb6b7aa10eb7p-17, 0x1.8212384af71c2p-17, 0x1.8616b48567c3fp-17, 0x1.88d4b54cd153bp-17, 0x1.8a5c3c2f74c11p-17, 0x1.8abcc6ca687ccp-17, 0x1.8a0552039b38dp-17, 0x1.88445d64cca0bp-17, 0x1.8587ee33f471ep-17, 0x1.81dd929ee03c2p-17, 0x1.7d5264cc8e278p-17, 0x1.77f30dc869b11p-17, 0x1.71cbc88916d78p-17, 0x1.6ae864bdb0629p-17, 0x1.635449a05c607p-17, 0x1.5b1a78b8b2c4fp-17, 0x1.5245908aed614p-17, 0x1.48dfcf360342dp-17, 0x1.3ef31509aa8a8p-17, 0x1.3488e70ea5ec9p-17, 0x1.29aa717a10d28p-17, 0x1.1e608a18e4f73p-17, 0x1.12b3b2aa7bb34p-17, 0x1.06ac1b31f6f6p-17, 0x1.f4a34858eea38p-18, 0x1.db57c1b5b7184p-18, 0x1.c18432af2f387p-18, 0x1.a736996fc03d7p-18, 0x1.8c7c6642499c4p-18, 0x1.71627f8a67d8ep-18, 0x1.55f545bbaaf8fp-18, 0x1.3a409731b77fbp-18, 0x1.1e4fd3f533a4dp-18, 0x1.022de168edfb9p-18, 0x1.cbca5bbb73bf1p-19, 0x1.92ff681924c75p-19, 0x1.5a0dfd3aadb01p-19, 0x1.210856b14bd1cp-19, 0x1.cfffba0d3a1f1p-20, 0x1.5e0a585f03667p-20, 0x1.d8a06666d78e2p-21, 0x1.ebbdd30e2c8afp-22, 0x1.409a462fb21b2p-25, -0x1.9951a2657ab15p-22, -0x1.ac049b7ef178ep-21, -0x1.44ec4250da2b7p-20, -0x1.b2faf3b49eabep-20, -0x1.100c2691162d1p-19, -0x1.4617b69fd51acp-19, -0x1.7b964e2640ecdp-19, -0x1.b07ea13b454d8p-19, -0x1.e4c7ef21f4507p-19, -0x1.0c34fed15ead3p-18, -0x1.25ae8a517a37fp-18, -0x1.3eccfcd0ecdc5p-18, -0x1.578cf5c6e5e16p-18, -0x1.6feb4f4d7bfb4p-18, -0x1.87e51c032a101p-18, -0x1.9f77a5316cc2p-18, -0x1.b6a068cae2eb6p-18, -0x1.cd5d178ce076ap-18, -0x1.e3ab932bbf815p-18, -0x1.f989ec9b63f01p-18, -0x1.077b31203d13cp-17, -0x1.11f7af25acb22p-17, -0x1.1c39ba882feedp-17, -0x1.2640b1ba0108cp-17, -0x1.300c06af4377bp-17, -0x1.399b3e19c4123p-17, -0x1.42edeeb0b5fd8p-17, -0x1.4c03c0794c416p-17, -0x1.54dc6c14fc4b1p-17, -0x1.5d77ba1477faep-17, -0x1.65d58250e9641p-17, -0x1.6df5ab48d9754p-17, -0x1.75d82980b141dp-17, -0x1.7d7cfeef785b1p-17, -0x1.84e43a5f6a464p-17, -0x1.8c0df6e66bdf5p-17, -0x1.92fa5b541247cp-17, -0x1.99a999aa4d9bcp-17, -0x1.a01bee9ad28bep-17, -0x1.a651a10353e14p-17, -0x1.ac4b0173879ccp-17, -0x1.b20869b4f37d3p-17, -0x1.b78a3c54c1c77p-17, -0x1.bcd0e43049cefp-17, -0x1.c1dcd409fbcf4p-17, -0x1.c6ae861cf4566p-17, -0x1.cb467bb6508a6p-17, -0x1.cfa53cd0ba3f5p-17, -0x1.d3cb57b5c4c2fp-17, -0x1.d7b9609c9bab5p-17, -0x1.db6ff1522c8c4p-17, -0x1.deefa8e0d34a6p-17, -0x1.e2392b391b22ep-17, -0x1.e54d20e392d5ap-17, -0x1.e82c36aeccd36p-17, -0x1.ead71d6379a23p-17, -0x1.ed4e8979f1bf6p-17, -0x1.ef9332d47a134p-17, -0x1.f1a5d4787c56ep-17, -0x1.f3872c4c06c04p-17, -0x1.f537fad482f8ap-17, -0x1.f6b902fae18c8p-17, -0x1.f80b09d0275b1p-17, -0x1.f92ed65148527p-17, -0x1.fa253131ac7dbp-17, -0x1.faeee4a49eef8p-17, -0x1.fb8cbc298eb09p-17, -0x1.fbff845c1de6p-17, -0x1.fc480ac50a955p-17, -0x1.fc671da7dabe6p-17, -0x1.fc5d8bdc15b42p-17, -0x1.fc2c24a1cfdbfp-17, -0x1.fbd3b77725a8ep-17, -0x1.fb5513f2bc182p-17, -0x1.fab1099e2a1ebp-17, -0x1.f9e867d23c3b5p-17, -0x1.f8fbfd953ed7cp-17, -0x1.f7ec997a8b7c8p-17, -0x1.f6bb0980adba8p-17, -0x1.f5681af78db88p-17, -0x1.f3f49a601d1b8p-17, -0x1.f26153539647dp-17, -0x1.f0af106735791p-17, -0x1.eede9b15d26a8p-17, -0x1.ecf0bba69b025p-17, -0x1.eae6391769c3fp-17, -0x1.e8bfd90689439p-17, -0x1.e67e5fa0417e7p-17, -0x1.e4228f8b817f9p-17, -0x1.e1ad29d541e01p-17, -0x1.df1eede124fe2p-17, -0x1.dc789959d7caap-17, -0x1.d9bae82155c44p-17, -0x1.d6e69441cb794p-17, -0x1.d3fc55e13b336p-17, -0x1.d0fce334cb2bcp-17, -0x1.cde8f07416a08p-17, -0x1.cac12fceb99cep-17, -0x1.c786516240318p-17, -0x1.c43903307ee12p-17, -0x1.c0d9f11576518p-17, -0x1.bd69c4c1f2feap-17, -0x1.b9e925b249181p-17, -0x1.b658b92864166p-17, -0x1.b2b92224c19d8p-17, -0x1.af0b0160c07b9p-17, -0x1.ab4ef54b01ffcp-17, -0x1.a7859a01ce971p-17, -0x1.a3af894ee2b32p-17, -0x1.9fcd5aa6b1ff7p-17, -0x1.9bdfa321b5da1p-17, -0x1.97e6f57c4d9ecp-17, -0x1.93e3e215398aep-17, -0x1.8fd6f6eaa6226p-17, -0x1.8bc0bf997aecdp-17, -0x1.87a1c55d9b4f9p-17, -0x1.837a8f117624cp-17, -0x1.7f4ba12d2aad1p-17, -0x1.7b157dc7329e7p-17, -0x1.76d8a496a128bp-17, -0x1.729592f324669p-17, -0x1.6e4cc3d6d1182p-17, -0x1.69feafdfac11cp-17, -0x1.65abcd51a5856p-17, -0x1.61549019ee2bdp-17, -0x1.5cf969d00eda3p-17, -0x1.589ac9ba89228p-17, -0x1.54391cd144767p-17, -0x1.4fd4cdc036608p-17, -0x1.4b6e44ec711a9p-17, -0x1.4705e8767ca85p-17, -0x1.429c1c3ea0477p-17, -0x1.3e3141ea6226dp-17, -0x1.39c5b8e743f22p-17, -0x1.3559de7060a81p-17, -0x1.30ee0d925915ep-17, -0x1.2c829f3104fd9p-17, -0x1.2817ea0c1c5bep-17, -0x1.23ae42c4384d8p-17, -0x1.1f45fbdf30ac6p-17, -0x1.1adf65cefbfecp-17, -0x1.167acef68c0b5p-17, -0x1.121883afc69f8p-17, -0x1.0db8ce5072917p-17, -0x1.095bf73089baep-17, -0x1.050244afeee14p-17, -0x1.00abfb3c560d8p-17, -0x1.f8b2baaf44fb5p-18, -0x1.f015573a84a9cp-18, -0x1.e780499066662p-18, -0x1.def40b74a88f3p-18, -0x1.d671130371dabp-18, -0x1.cdf7d2bd8e1bep-18, -0x1.c588b996db129p-18, -0x1.bd243300f56abp-18, -0x1.b4caa6f88fb1p-18, -0x1.ac7c7a123d324p-18, -0x1.a43a0d8750749p-18, -0x1.9c03bf430e6dep-18, -0x1.93d9e9eef4cd8p-18, -0x1.8bbce4feba3b9p-18, -0x1.83ad04be96d6ap-18, -0x1.7baa9a600e7fap-18, -0x1.73b5f405a5954p-18, -0x1.6bcf5cd1158ep-18, -0x1.63f71cede65edp-18, -0x1.5c2d799ffb486p-18, -0x1.5472b54fb5accp-18, -0x1.4cc70f965eccdp-18, -0x1.452ac54b3d04ep-18, -0x1.3d9e108f77cd2p-18, -0x1.362128dbd1d43p-18, -0x1.2eb4430bf923p-18, -0x1.2757916b180ccp-18, -0x1.200b43c087d8fp-18, -0x1.18cf875b06f5cp-18, -0x1.11a4871db84dp-18, -0x1.0a8a6b8c85832p-18, -0x1.03815ad73dd11p-18, -0x1.f912f1cb8144cp-19, -0x1.eb45cec7a2e2dp-19, -0x1.dd9b8b9a6e4f9p-19, -0x1.d01462f0992abp-19, -0x1.c2b08b42f148bp-19, -0x1.b57036efdf6bfp-19, -0x1.a8539450cf1abp-19, -0x1.9b5acdcf09ccfp-19, -0x1.8e8609fb082dp-19, -0x1.81d56ba25f16ep-19, -0x1.754911e54e0d9p-19, -0x1.68e1184c78ecdp-19, -0x1.5c9d96dce9c3ap-19, -0x1.507ea22e7c127p-19, -0x1.44844b7f9fd04p-19, -0x1.38aea0caa90a5p-19, -0x1.2cfdacd907688p-19, }}, 
      {{-0x1.c93d8ef615a69p-1, -0x1.c8f7275dfdbafp-1, -0x1.c87f9ade73d96p-1, -0x1.c7d44763981a7p-1, -0x1.c6f272656c7ebp-1, -0x1.c5d7c2620e98p-1, -0x1.c482944ba2e48p-1, -0x1.c2f22d76dcd4ap-1, -0x1.c126cf69c0914p-1, -0x1.bf21b47f721d3p-1, -0x1.bce4fc314a823p-1, -0x1.ba738ce829998p-1, -0x1.b7d0f00dedfedp-1, -0x1.b5012bf4a1c6ep-1, -0x1.b2089e2c67e0fp-1, -0x1.aeebd8124e623p-1, -0x1.abaf7ebe81bdap-1, -0x1.a8582efa4f5cbp-1, -0x1.a4ea658782878p-1, -0x1.a16a6bbd392a9p-1, -0x1.9ddc484d412a1p-1, -0x1.9a43b3e44b704p-1, -0x1.96a411432d3abp-1, -0x1.93006865314fbp-1, -0x1.8f5b64449114fp-1, -0x1.8bb752d0968acp-1, -0x1.881626af0cb62p-1, -0x1.84797a6b0d4ccp-1, -0x1.80e294bd06383p-1, -0x1.7d526da217901p-1, -0x1.79c9b40337f32p-1, -0x1.7648d3b652c42p-1, -0x1.72cffbacba34bp-1, -0x1.6f5f242a87333p-1, -0x1.6bf614e9d3f97p-1, -0x1.68946b1324ebp-1, -0x1.65399ef9d2cffp-1, -0x1.61e5098fe3b63p-1, -0x1.5e95e988ac0f4p-1, -0x1.5b4b6824aefd8p-1, -0x1.58049da3d500dp-1, -0x1.54c0955d10944p-1, -0x1.517e517c3206ap-1, -0x1.4e3cce67d7cd1p-1, -0x1.4afb05d26222ap-1, -0x1.47b7f1797384dp-1, -0x1.44728d98060d3p-1, -0x1.4129db0f5f2fep-1, -0x1.3ddce14b61f1p-1, -0x1.3a8aafe6c86e7p-1, -0x1.37326013ca862p-1, -0x1.33d315cda6749p-1, -0x1.306c00d7610b7p-1, -0x1.2cfc5d8be9c9p-1, -0x1.29837583a51a2p-1, -0x1.2600a0132d943p-1, -0x1.227342a6e948bp-1, -0x1.1edad0fedd168p-1, -0x1.1b36cd4df662cp-1, -0x1.1786c83fc72a3p-1, -0x1.13ca60e78c83ep-1, -0x1.1001449b157cep-1, -0x1.0c2b2ebbfe578p-1, -0x1.0847e8717f3ap-1, -0x1.04574854e0b38p-1, -0x1.0059321284df7p-1, -0x1.f89b2c02878c9p-2, -0x1.f068e16376142p-2, -0x1.e81b94ee0d67ep-2, -0x1.dfb36dd47d29ep-2, -0x1.d730a8d3d2e64p-2, -0x1.ce93972d0b4b7p-2, -0x1.c5dc9d9a416c1p-2, -0x1.bd0c3341c25dap-2, -0x1.b422e0a89ea81p-2, -0x1.ab213ea61ff7cp-2, -0x1.a207f5595d87cp-2, -0x1.98d7bb220c41cp-2, -0x1.8f91539d76c22p-2, -0x1.86358ea87681cp-2, -0x1.7cc5476717eabp-2, -0x1.734163528b307p-2, -0x1.69aad14dd677cp-2, -0x1.600288c1b5f01p-2, -0x1.564988bff908bp-2, -0x1.4c80d72e9c174p-2, -0x1.42a97ffacbba8p-2, -0x1.38c49453f287bp-2, -0x1.2ed329eedcdfbp-2, -0x1.24d65a50fc2a8p-2, -0x1.1acf4223c26e9p-2, -0x1.10bf009002e9ep-2, -0x1.06a6b6a146867p-2, -0x1.f90f0d61dbcd2p-3, -0x1.e4c527b2055f8p-3, -0x1.d07202dd1590ap-3, -0x1.bc17e506596bp-3, -0x1.a7b912dbf4011p-3, -0x1.9357ceb64967cp-3, -0x1.7ef657c4d570ep-3, -0x1.6a96e947ff533p-3, -0x1.563bb9d779a69p-3, -0x1.41e6fab4a9e43p-3, -0x1.2d9ad728ba2c1p-3, -0x1.195973edc7b32p-3, -0x1.0524eea2ced9bp-3, -0x1.e1feba939ae9ap-4, -0x1.b9d59b9f6c464p-4, -0x1.91d28b3b871c9p-4, -0x1.69f982676efc3p-4, -0x1.424e679543fadp-4, -0x1.1ad50dff88655p-4, -0x1.e7226a1cb741ap-5, -0x1.990d0f96b8741p-5, -0x1.4b7138c70322cp-5, -0x1.fcabced8b36ddp-6, -0x1.6383e3c3121ccp-6, -0x1.96f009b1c2ef9p-7, -0x1.a4a96a38be00fp-9, 0x1.846008b9c620ep-8, 0x1.eb06881e060b1p-7, 0x1.88a0aee8d85c9p-6, 0x1.0d325af481935p-5, 0x1.556214a8a1ed3p-5, 0x1.9cda1b66eadb3p-5, 0x1.e39534d66ce5bp-5, 0x1.14c72abe4c26ep-4, 0x1.3760505ea535bp-4, 0x1.5993b4670486cp-4, 0x1.7b5f174eb4962p-4, 0x1.9cc050d78c1c4p-4, 0x1.bdb54ff6ae9d9p-4, 0x1.de3c1ab859fep-4, 0x1.fe52ce1ee9e6cp-4, 0x1.0efbcefec8726p-3, 0x1.1e946a676b5d5p-3, 0x1.2df269c39de34p-3, 0x1.3d1508b21ea61p-3, 0x1.4bfb8ddbea835p-3, 0x1.5aa54ad86c248p-3, 0x1.69119c102421ep-3, 0x1.773fe89de7a08p-3, 0x1.852fa22ed190fp-3, 0x1.92e044e0ee797p-3, 0x1.a0515720cc231p-3, 0x1.ad826985eb674p-3, 0x1.ba7316ae39f07p-3, 0x1.c723031895b0cp-3, 0x1.d391dcfe76338p-3, 0x1.dfbf5c2ccb9fbp-3, 0x1.ebab41dc16efbp-3, 0x1.f7555887dbe9fp-3, 0x1.015eb9e2b6dddp-2, 0x1.06f1b80d12951p-2, 0x1.0c6399688b9c4p-2, 0x1.11b454e825b0dp-2, 0x1.16e3e5b6c422p-2, 0x1.1bf24b215c415p-2, 0x1.20df8880fe7b9p-2, 0x1.25aba524b68aep-2, 0x1.2a56ac3b4cdf8p-2, 0x1.2ee0acbce8cedp-2, 0x1.3349b9549e871p-2, 0x1.3791e849e5431p-2, 0x1.3bb9536a0360fp-2, 0x1.3fc017f16cd5dp-2, 0x1.43a656751efe8p-2, 0x1.476c32cbf7998p-2, 0x1.4b11d3f80df4p-2, 0x1.4e97641012af9p-2, 0x1.51fd1028b9a5cp-2, 0x1.5543083e2fab3p-2, 0x1.58697f1da0285p-2, 0x1.5b70aa4ed12p-2, 0x1.5e58c1fdd29p-2, 0x1.612200e4cd7c6p-2, 0x1.63cca435eaba1p-2, 0x1.6658eb855dca7p-2, 0x1.68c718b393566p-2, 0x1.6b176fd781f78p-2, 0x1.6d4a372928be5p-2, 0x1.6f5fb6ec354e5p-2, 0x1.7158395ada5a1p-2, 0x1.73340a90d52f1p-2, 0x1.74f37876a726dp-2, 0x1.7696d2ad02fddp-2, 0x1.781e6a7872056p-2, 0x1.798a92ad32116p-2, 0x1.7adb9f9b50f8dp-2, 0x1.7c11e6fb0143p-2, 0x1.7d2dbfd931aeap-2, 0x1.7e2f8284647dep-2, 0x1.7f178879c618p-2, 0x1.7fe62c528d8dbp-2, 0x1.809bc9b19e351p-2, 0x1.8138bd317085p-2, 0x1.81bd645247068p-2, 0x1.822a1d68a6908p-2, 0x1.827f478c1fe0ep-2, 0x1.82bd42865f938p-2, 0x1.82e46ec28e95ap-2, 0x1.82f52d3cfd5d6p-2, 0x1.82efdf73207e9p-2, 0x1.82d4e753daa71p-2, 0x1.82a4a7301788p-2, 0x1.825f81abb5e9p-2, 0x1.8205d9aec62cdp-2, 0x1.8198125715cd2p-2, 0x1.81168eea117a6p-2, 0x1.8081b2c6f514dp-2, 0x1.7fd9e15954ebfp-2, 0x1.7f1f7e0bf0e29p-2, 0x1.7e52ec3be22b7p-2, 0x1.7d748f2c18302p-2, 0x1.7c84c9f92908ap-2, 0x1.7b83ff8d74a13p-2, 0x1.7a7292959cc27p-2, 0x1.7950e5754d24ap-2, 0x1.781f5a3c57132p-2, 0x1.76de529c1d8c1p-2, 0x1.758e2fdd57227p-2, 0x1.742f52d61bf6dp-2, 0x1.72c21be047b0bp-2, 0x1.7146ead02aa1dp-2, 0x1.6fbe1eeb8c46bp-2, 0x1.6e2816e0fb2f3p-2, 0x1.6c8530bf6c10ep-2, 0x1.6ad5c9ee2641cp-2, 0x1.691a3f24feec4p-2, 0x1.6752ec64de264p-2, 0x1.65802cf090ffap-2, 0x1.63a25b45e7a6ep-2, 0x1.61b9d11719ebbp-2, 0x1.5fc6e74478b97p-2, 0x1.5dc9f5d6649dbp-2, 0x1.5bc353f78d513p-2, 0x1.59b357ef756bap-2, 0x1.579a571d3c769p-2, 0x1.5578a5f2ae0c7p-2, 0x1.534e97ef912ep-2, 0x1.511c7f9d3ca41p-2, 0x1.4ee2ae8a6964ep-2, 0x1.4ca1754748b4p-2, 0x1.4a592361d36f1p-2, 0x1.480a07625b52ep-2, 0x1.45b46ec8572fdp-2, 0x1.4358a60768bb4p-2, 0x1.40f6f8849f833p-2, 0x1.3e8fb093f34c1p-2, 0x1.3c231775f2c4fp-2, 0x1.39b17555b03ecp-2, 0x1.373b1146dbb07p-2, 0x1.34c0314416c8dp-2, 0x1.32411a2d780f8p-2, 0x1.2fbe0fc7410acp-2, 0x1.2d3754b8c6f89p-2, 0x1.2aad2a8b84df9p-2, 0x1.281fd1aa62d73p-2, 0x1.258f89612636ep-2, 0x1.22fc8fdc0ea13p-2, 0x1.206722279aa41p-2, 0x1.1dcf7c307b68ap-2, 0x1.1b35d8c3ab20fp-2, 0x1.189a718eae1f8p-2, 0x1.15fd7f1ff63cap-2, 0x1.135f38e76dd0bp-2, 0x1.10bfd53724fcdp-2, 0x1.0e1f89442292dp-2, 0x1.0b7e892752756p-2, 0x1.08dd07de9a3adp-2, 0x1.063b374e06716p-2, 0x1.039948411b127p-2, 0x1.00f76a6c3d07cp-2, 0x1.fcab98dc7411fp-3, 0x1.f76937a3d3159p-3, 0x1.f2280a1fcf42bp-3, 0x1.ece86720d3aa1p-3, 0x1.e7aaa35a568d5p-3, 0x1.e26f1166dbe02p-3, 0x1.dd3601cc2748dp-3, 0x1.d7ffc2ff9312ap-3, 0x1.d2cca16a96a01p-3, 0x1.cd9ce76f69026p-3, 0x1.c870dd6dcdca2p-3, 0x1.c348c9c80182p-3, 0x1.be24f0e7ca3a6p-3, 0x1.b90595439ef2dp-3, 0x1.b3eaf763f4d75p-3, 0x1.aed555e8a199p-3, 0x1.a9c4ed8e5baf5p-3, 0x1.a4b9f9344ed45p-3, 0x1.9fb4b1e1ca036p-3, 0x1.9ab54ecc0293bp-3, 0x1.95bc055be728ap-3, 0x1.90c9093407bdep-3, 0x1.8bdc8c36910e1p-3, 0x1.86f6be8b4f025p-3, 0x1.8217cea5c6e1fp-3, 0x1.7d3fe94b5506ep-3, 0x1.786f39995dec2p-3, 0x1.73a5e90b8563fp-3, 0x1.6ee41f81eb15ep-3, 0x1.6a2a034775f06p-3, 0x1.6577b91824008p-3, 0x1.60cd642759682p-3, 0x1.5c2b26263c864p-3, 0x1.57911f4a113e1p-3, 0x1.52ff6e52943dbp-3, 0x1.4e7630905d4edp-3, 0x1.49f581eb3b7ebp-3, 0x1.457d7ce894caep-3, 0x1.410e3ab1c6afbp-3, 0x1.3ca7d31a7a654p-3, 0x1.384a5ca702ca7p-3, 0x1.33f5ec92ab5aep-3, 0x1.2faa96d608e83p-3, 0x1.2b686e2d442a4p-3, 0x1.272f841e58e07p-3, 0x1.22ffe8ff5411bp-3, 0x1.1ed9abfc86dd6p-3, 0x1.1abcdb1eb3234p-3, 0x1.16a983512e7f8p-3, 0x1.129fb067fb98bp-3, 0x1.0e9f6d25d7ff4p-3, 0x1.0aa8c34241408p-3, 0x1.06bbbb6f712e8p-3, 0x1.02d85d6047ae8p-3, 0x1.fdfd5f9c5e81cp-4, 0x1.f65d70fddc5d3p-4, 0x1.eed0f894ea271p-4, 0x1.e757fe41298f2p-4, 0x1.dff2881d53731p-4, 0x1.d8a09a8a8081ap-4, 0x1.d162383b45e27p-4, 0x1.ca37623eb0719p-4, 0x1.c320180b31e7bp-4, 0x1.bc1c5789674e6p-4, 0x1.b52c1d1eb8c0ep-4, 0x1.ae4f63b7e5d27p-4, 0x1.a78624d36d038p-4, 0x1.a0d0588bc8fdbp-4, 0x1.9a2df5a1a3428p-4, 0x1.939ef185ccf82p-4, 0x1.8d23406320d89p-4, 0x1.86bad5284845fp-4, 0x1.8065a19154ebdp-4, 0x1.7a2396313c4a9p-4, 0x1.73f4a27b2e51cp-4, 0x1.6dd8b4cbcae75p-4, 0x1.67cfba7235d54p-4, 0x1.61d99fb9018cap-4, 0x1.5bf64feefea41p-4, 0x1.5625b56fdf2e4p-4, 0x1.5067b9acbd098p-4, 0x1.4abc45347c4bfp-4, 0x1.45233fbc06747p-4, 0x1.3f9c9026645c7p-4, 0x1.3a281c8cb4188p-4, 0x1.34c5ca45fdc6dp-4, 0x1.2f757deee0f51p-4, 0x1.2a371b712099fp-4, 0x1.250a860b0f371p-4, 0x1.1fefa056cf597p-4, 0x1.1ae64c517a987p-4, 0x1.15ee6b62212c6p-4, 0x1.1107de60a655bp-4, 0x1.0c32859c7dce3p-4, 0x1.076e40e34069cp-4, 0x1.02baef87259f3p-4, 0x1.fc30e0cab52d8p-5, 0x1.f30d43d863ap-5, 0x1.ea0ac4426e524p-5, 0x1.e1291d4e3ef7cp-5, 0x1.d868098739921p-5, 0x1.cfc742ca0d856p-5, 0x1.c746824fe5408p-5, 0x1.bee580b935d71p-5, 0x1.b6a3f61865718p-5, 0x1.ae8199fc30a5cp-5, 0x1.a67e2379c429fp-5, 0x1.9e994936a708p-5, 0x1.96d2c17261434p-5, 0x1.8f2a420fe6ad8p-5, 0x1.879f809ecda9cp-5, 0x1.803232643e285p-5, 0x1.78e20c63b2e52p-5, 0x1.71aec36774481p-5, 0x1.6a980c08ed45ap-5, 0x1.639d9ab8b2d6fp-5, 0x1.5cbf23c667358p-5, 0x1.55fc5b6857c5cp-5, 0x1.4f54f5c2eead4p-5, 0x1.48c8a6efeb0ebp-5, 0x1.425723056a7aap-5, 0x1.3c001e1cb5277p-5, 0x1.35c34c58dd7a5p-5, 0x1.2fa061ed34495p-5, 0x1.299713237c604p-5, 0x1.23a71461fcf2ap-5, 0x1.1dd01a3156212p-5, 0x1.1811d94238ff5p-5, 0x1.126c0672d8865p-5, 0x1.0cde56d4456bcp-5, 0x1.07687faf93153p-5, 0x1.020a368acb497p-5, 0x1.f986625b7cb1ap-6, 0x1.ef264b4d49a74p-6, 0x1.e4f3949d405c1p-6, 0x1.daedab9c0dee7p-6, 0x1.d113fe4116217p-6, 0x1.c765fb328563ap-6, 0x1.bde311ccf948p-6, 0x1.b48ab22af7094p-6, 0x1.ab5c4d2c030cdp-6, 0x1.a257547b7d4abp-6, 0x1.997b3a9731b5p-6, 0x1.90c772d59bec4p-6, 0x1.883b716bf849p-6, 0x1.7fd6ab73fc3bap-6, 0x1.779896f156604p-6, 0x1.6f80aad6fe055p-6, 0x1.678e5f0c21954p-6, 0x1.5fc12c70f8279p-6, 0x1.58188ce341701p-6, 0x1.5093fb429ac2p-6, 0x1.4932f37485f6ep-6, 0x1.41f4f26854e3fp-6, 0x1.3ad9761abcd96p-6, 0x1.33dffd9950185p-6, 0x1.2d080905b46f2p-6, 0x1.26511998ab646p-6, 0x1.1fbab1a4e37e6p-6, 0x1.194454999e9dbp-6, 0x1.12ed870529e6ep-6, 0x1.0cb5ce971b43ap-6, 0x1.069cb222758ecp-6, 0x1.00a1b99f887edp-6, 0x1.f588dc5b8a9bp-7, 0x1.ea08b42a7ddd6p-7, 0x1.dec211906841cp-7, 0x1.d3b40dc87c062p-7, 0x1.c8ddc46711098p-7, 0x1.be3e535b807d3p-7, 0x1.b3d4daf1e3081p-7, 0x1.a9a07dd474d76p-7, 0x1.9fa0610caf18ap-7, 0x1.95d3ac043e438p-7, 0x1.8c398885a122ep-7, 0x1.82d122bc80163p-7, 0x1.7999a935c937bp-7, 0x1.70924cdfc8491p-7, 0x1.67ba410994557p-7, 0x1.5f10bb62cc23cp-7, 0x1.5694f3fab3a03p-7, 0x1.4e46253f4603bp-7, 0x1.46238bfc2a6d2p-7, 0x1.3e2c675944222p-7, 0x1.365ff8d94798bp-7, 0x1.2ebd84580bab2p-7, 0x1.27445008985e8p-7, 0x1.1ff3a473410ebp-7, 0x1.18cacc7367e9ep-7, 0x1.11c915352370dp-7, 0x1.0aedce32cedb7p-7, 0x1.0438493272cd2p-7, 0x1.fb4fb485dc47ap-8, 0x1.ee77af724ba16p-8, 0x1.e1e7345a0ace7p-8, 0x1.d59cf8ec8de8dp-8, 0x1.c997b7529c848p-8, 0x1.bdd62e2779c8dp-8, 0x1.b2572071f76dbp-8, 0x1.a719559d72346p-8, 0x1.9c1b99726c23cp-8, 0x1.915cbc0ed95d2p-8, 0x1.86db91df021f6p-8, 0x1.7c96f394ef8dep-8, 0x1.728dbe210003ap-8, 0x1.68bed2a97cf2ap-8, 0x1.5f2916823b754p-8, 0x1.55cb73246b512p-8, 0x1.4ca4d625cfab6p-8, 0x1.43b43130420bfp-8, 0x1.3af879f8b78f4p-8, 0x1.3270aa366aaf6p-8, 0x1.2a1bbf9a02846p-8, 0x1.21f8bbc458114p-8, 0x1.1a06a43d24337p-8, 0x1.1244826a2412ep-8, 0x1.0ab1638563fdap-8, 0x1.034c5894243acp-8, 0x1.f828ecba410a3p-9, 0x1.ea11aabebb036p-9, 0x1.dc51239088a2dp-9, 0x1.cee596d4a8533p-9, 0x1.c1cd4b6697616p-9, 0x1.b5068f4526302p-9, 0x1.a88fb77ef91adp-9, 0x1.9c67201f2baf8p-9, 0x1.908b2c19c1cep-9, 0x1.84fa4537f670bp-9, 0x1.79b2dc0519724p-9, 0x1.6eb367ba7bd1bp-9, 0x1.63fa662c6a2e8p-9, 0x1.59865bb5dfa0ap-9, 0x1.4f55d325a4cc1p-9, 0x1.45675daa9ab85p-9, 0x1.3bb992bfcd5c9p-9, 0x1.324b10196c6b2p-9, 0x1.291a79912afd1p-9, 0x1.20267912d8aa3p-9, 0x1.176dbe88f3df5p-9, 0x1.0eeeffc97ab13p-9, 0x1.06a8f88274c14p-9, 0x1.fd34d44e72516p-10, 0x1.ed8437b9699ep-10, 0x1.de3db4cda679p-10, 0x1.cf5ef02b37f9bp-10, 0x1.c0e5996383298p-10, 0x1.b2cf6ad55589fp-10, 0x1.a51a2986468dfp-10, 0x1.97c3a4fe3c428p-10, 0x1.8ac9b72256d88p-10, 0x1.7e2a440fed122p-10, 0x1.71e339f87880cp-10, 0x1.65f290fd37741p-10, 0x1.5a564b0ae0ecep-10, 0x1.4f0c73b65282fp-10, 0x1.44132018ae2d1p-10, 0x1.39686eac04c6cp-10, 0x1.2f0a872860486p-10, 0x1.24f79a61671fcp-10, 0x1.1b2de223786c3p-10, 0x1.11aba11156184p-10, 0x1.086f2282a5ffp-10, 0x1.feed74c385811p-11, 0x1.ed818a167d05ap-11, 0x1.dc974e56b4faap-11, 0x1.cc2b9b3e4aef3p-11, 0x1.bc3b5aa485a46p-11, 0x1.acc3863f6519ep-11, 0x1.9dc12763cbaadp-11, 0x1.8f3156c581c97p-11, 0x1.81113c3925856p-11, 0x1.735e0e767378p-11, 0x1.661512da94de4p-11, 0x1.59339d2bce545p-11, 0x1.4cb70f5d46362p-11, 0x1.409cd9535869bp-11, 0x1.34e278a9f420ep-11, 0x1.29857878564acp-11, 0x1.1e837119ce4cbp-11, 0x1.13da07f36f0e1p-11, 0x1.0986ef3ca059fp-11, 0x1.ff0fcb8cdd64dp-12, 0x1.ebb56d8ca2733p-12, 0x1.d8fa733c66222p-12, 0x1.c6daa34f72538p-12, 0x1.b551dbfdc26f8p-12, 0x1.a45c129be8e47p-12, 0x1.93f553328a5d7p-12, 0x1.8419c018d3e22p-12, 0x1.74c5918f74046p-12, 0x1.65f5155c474c3p-12, 0x1.57a4ae69b98c2p-12, 0x1.49d0d462e6f21p-12, 0x1.3c761356bad2dp-12, 0x1.2f910b562f69ap-12, 0x1.231e7019bcdd5p-12, 0x1.171b08a2cca73p-12, 0x1.0b83aee2ce21ap-12, 0x1.00554f5fcdd3ep-12, 0x1.eb19d1bacec3ep-13, 0x1.d64f180900935p-13, 0x1.c244b61c264d6p-13, 0x1.aef512da9ec06p-13, 0x1.9c5ab6fa5d645p-13, 0x1.8a704c59b3a3ep-13, 0x1.79309d5e64a27p-13, 0x1.689694542c7e9p-13, 0x1.589d3ad061ap-13, 0x1.493fb91400b2cp-13, 0x1.3a795576a95c8p-13, 0x1.2c4573c9ce0d4p-13, 0x1.1e9f94c9e67ap-13, 0x1.11835586bfc68p-13, 0x1.04ec6ed6aa1b4p-13, 0x1.f1ad698f9ab52p-14, 0x1.da7c2c258263p-14, 0x1.c43d37242f25p-14, 0x1.aee8cf768787ap-14, 0x1.9a776c2f88e34p-14, 0x1.86e1b585b5d82p-14, 0x1.742083cfa843p-14, 0x1.622cde8651dbep-14, 0x1.50fffb492c683p-14, 0x1.40933ceb2f6b1p-14, 0x1.30e0327c83977p-14, 0x1.21e0965e62988p-14, 0x1.138e4d5a4b7a4p-14, 0x1.05e365b96a688p-14, 0x1.f1b42cc31a742p-15, 0x1.d8d97bf39d15cp-15, 0x1.c12bc413d09p-15, 0x1.aaa05c51ba063p-15, 0x1.952ce64990399p-15, 0x1.80c74c6983e8cp-15, 0x1.6d65c05a2bb25p-15, 0x1.5afeb96d06ed8p-15, 0x1.4988f30ac84ffp-15, 0x1.38fb6b3965795p-15, 0x1.294d611948537p-15, 0x1.1a76536e3f67fp-15, 0x1.0c6dff3538832p-15, 0x1.fe58bc69b70d9p-16, 0x1.e5534b4233ebap-16, 0x1.cdbc897184627p-16, 0x1.b785c6ef2048bp-16, 0x1.a2a0c27d5685ep-16, 0x1.8effa721ffa9fp-16, 0x1.7c95099d37656p-16, 0x1.6b53e5e96cdfep-16, 0x1.5b2f9cd9e1ed8p-16, 0x1.4c1bf1a9e8bd8p-16, 0x1.3e0d07a9b1bfap-16, 0x1.30f75ff5494c8p-16, 0x1.24cfd73327a76p-16, 0x1.198ba35ba494ap-16, 0x1.0f205192b81ebp-16, 0x1.0583c40797992p-16, 0x1.f9585fa6d6a9ep-17, 0x1.e92036031318dp-17, 0x1.da4cb4fc9fc02p-17, 0x1.cccc204d1321ep-17, 0x1.c08d51b980c31p-17, 0x1.b57fb54cfddbdp-17, 0x1.ab93459af7c9dp-17, 0x1.a2b88823a502dp-17, 0x1.9ae089cf079a3p-17, 0x1.93fcdb68463f9p-17, 0x1.8dff8e40bb1f9p-17, 0x1.88db30cad7a7fp-17, 0x1.8482cb63a95bcp-17, 0x1.80e9dd15d126fp-17, 0x1.7e04587b4d00bp-17, 0x1.7bc6a0a803fc3p-17, 0x1.7a25862dfc8fdp-17, 0x1.791644217d3dep-17, 0x1.788e7d509e7cep-17, 0x1.78843955f8c0fp-17, 0x1.78ede1e2c46d4p-17, 0x1.79c2400b204a6p-17, 0x1.7af879a1baa7dp-17, 0x1.7c880ea72ff6ap-17, 0x1.7e68d6c0c0a6bp-17, 0x1.8092febbd8854p-17, 0x1.82ff061f9c03fp-17, 0x1.85a5bce049617p-17, 0x1.888040ff2c685p-17, 0x1.8b87fc51f75b9p-17, 0x1.8eb6a24928556p-17, 0x1.92062dcaede25p-17, 0x1.9570df1458418p-17, 0x1.98f139a4a4133p-17, 0x1.9c820247d6277p-17, 0x1.a01e3d0cdf457p-17, 0x1.a3c12b6724596p-17, 0x1.a7664a4c48444p-17, 0x1.ab0950559454ep-17, 0x1.aea62c0009447p-17, 0x1.b23901e4ab68bp-17, 0x1.b5be2b0c505e1p-17, 0x1.b93233389f1fbp-17, 0x1.bc91d74f21f97p-17, 0x1.bfda03be76791p-17, 0x1.c307d2f10a394p-17, 0x1.c6188bca19746p-17, 0x1.c909a02ecc63fp-17, 0x1.cbd8ab915ce18p-17, 0x1.ce83718d57b0bp-17, 0x1.d107dc88e4bc1p-17, 0x1.d363fc6319076p-17, 0x1.d59605205d327p-17, 0x1.d79c4da885874p-17, 0x1.d9754e8f444e6p-17, 0x1.db1fa0d5889cfp-17, 0x1.dc99fcc6d9199p-17, 0x1.dde338d3d5885p-17, 0x1.defa487045b49p-17, 0x1.dfde3b02f546ep-17, 0x1.e08e3ad4c8ba2p-17, 0x1.e1098c06290dp-17, 0x1.e14f8b9ada1e5p-17, 0x1.e15fae72ef69cp-17, 0x1.e139805f81a5ap-17, 0x1.e0dca3362e877p-17, 0x1.e048cdef6d4f8p-17, 0x1.df7dcbbd0bcddp-17, 0x1.de7b7b3a3196p-17, 0x1.dd41cd96e2478p-17, 0x1.dbd0c5c538d33p-17, 0x1.da2877b89f3ccp-17, 0x1.d84907a46c276p-17, 0x1.d632a93856fbfp-17, 0x1.d3e59ef303232p-17, 0x1.d16239699554p-17, 0x1.cea8d69dc6684p-17, 0x1.cbb9e156a7101p-17, 0x1.c895d07e3ae94p-17, 0x1.c53d2682f76cep-17, 0x1.c1b070c237bc2p-17, 0x1.bdf046f062fedp-17, 0x1.b9fd4a8ba3ccap-17, 0x1.b5d8264c53991p-17, 0x1.b1818da2c1f9ap-17, 0x1.acfa3c340e21fp-17, 0x1.a842f55829407p-17, 0x1.a35c83a06bbadp-17, 0x1.9e47b86652a53p-17, 0x1.99056b4f8997fp-17, 0x1.939679e2eab67p-17, 0x1.8dfbc71d07182p-17, 0x1.88363b0a1b06p-17, 0x1.8246c259f94ddp-17, 0x1.7c2e4e094104fp-17, 0x1.75edd2fe3c4a1p-17, 0x1.6f8649aaefc4fp-17, 0x1.68f8adba315d3p-17, 0x1.6245fdbc3327p-17, 0x1.5b6f3acf14db3p-17, 0x1.54756855cbedp-17, 0x1.4d598bab7fb24p-17, 0x1.461cabd5d9a34p-17, 0x1.3ebfd147e3056p-17, 0x1.37440596abd22p-17, 0x1.2faa533a1c86p-17, 0x1.27f3c54ca8b6fp-17, 0x1.2021675622f78p-17, 0x1.1834450b17a9p-17, 0x1.102d6a15087fdp-17, 0x1.080de1e04ef28p-17, 0x1.ffad6ed6221bcp-18, 0x1.ef11ea23622a9p-18, 0x1.de4b48b57c0ccp-18, 0x1.cd5b9ba5e1199p-18, 0x1.bc44f1b952a55p-18, 0x1.ab095713402e9p-18, 0x1.99aad4e28f653p-18, 0x1.882b711db4fddp-18, 0x1.768d2e377ee8p-18, 0x1.64d20ad53e71dp-18, 0x1.52fc0198ba0dcp-18, 0x1.410d08e100b6fp-18, 0x1.2f071288af57cp-18, 0x1.1cec0bb0f4f44p-18, 0x1.0abddc92ad014p-18, 0x1.f0fcd09c9e404p-19, 0x1.cc5f196c26aap-19, 0x1.a7a644470c2a6p-19, 0x1.82d5f69b57be6p-19, 0x1.5df1ca4c29394p-19, 0x1.38fd4d683b9f8p-19, 0x1.13fc01d8d3fd5p-19, 0x1.dde2ba6b862bfp-20, 0x1.93c190e4a0969p-20, 0x1.499b3f7e24761p-20, 0x1.feecc920e37bep-21, 0x1.6ab3082bb3acp-21, 0x1.ad2c1d26dc262p-22, 0x1.0a89e37aef7c9p-23, -0x1.446d4be79b1a2p-23, -0x1.c92e4c3aa5ff6p-22, -0x1.77c50943be0aep-21, -0x1.054c9e746456dp-20, -0x1.4e841cec3a044p-20, -0x1.978358b6070a8p-20, -0x1.e044c6df6300ap-20, -0x1.14617c7fca0eap-19, -0x1.387c4e9ca27cfp-19, -0x1.5c703f2fe9b03p-19, -0x1.803ac1f5b2414p-19, -0x1.a3d958fdee601p-19, -0x1.c74994bceefaap-19, -0x1.ea8913f712e87p-19, -0x1.06cac1e4b51c5p-18, -0x1.18364fd0d3cefp-18, -0x1.29861896741e6p-18, -0x1.3ab9082b4a023p-18, -0x1.4bce119a8fe94p-18, -0x1.5cc42f05c00f1p-18, -0x1.6d9a6191d606p-18, -0x1.7e4fb163e7af1p-18, -0x1.8ee32d9a87022p-18, -0x1.9f53ec43de86fp-18, -0x1.afa10a4c1eebbp-18, -0x1.bfc9ab79b31b5p-18, -0x1.cfccfa597aa08p-18, -0x1.dfaa2838cf24cp-18, -0x1.ef606d147f42dp-18, -0x1.feef078d58571p-18, -0x1.072a9e6bede7p-17, -0x1.0ec92c5683473p-17, -0x1.1652d69d5524p-17, -0x1.1dc7498c62d2p-17, -0x1.2526349897ce4p-17, -0x1.2c6f4a5acc24fp-17, -0x1.33a2408611318p-17, -0x1.3abecfdccfdfcp-17, -0x1.41c4b42b2cb53p-17, -0x1.48b3ac3d5ff39p-17, -0x1.4f8b79d620e7p-17, -0x1.564be1a4cec38p-17, -0x1.5cf4ab3bceb0dp-17, -0x1.6385a1079126dp-17, -0x1.69fe9046755fbp-17, -0x1.705f48fd82b73p-17, -0x1.76a79ded2c20ap-17, -0x1.7cd76489ea7a4p-17, -0x1.82ee74f0f19a4p-17, -0x1.88eca9df25d11p-17, -0x1.8ed1e0a6105f3p-17, -0x1.949df922e643p-17, -0x1.9a50d5b343092p-17, -0x1.9fea5b2b1f39ap-17, -0x1.a56a70cac1012p-17, -0x1.aad1003447f91p-17, -0x1.b01df561dd39dp-17, -0x1.b5513e9c118b9p-17, -0x1.ba6acc6d5e0a8p-17, -0x1.bf6a9199f4b79p-17, -0x1.c4508315b292ep-17, -0x1.c91c97f7db569p-17, -0x1.cdcec9726f881p-17, -0x1.d26712c6d8dedp-17, -0x1.d6e5713d7b6c4p-17, -0x1.db49e419bc47p-17, -0x1.df946c91408d6p-17, -0x1.e3c50dc1eb06ep-17, -0x1.e7dbcca6a3ed3p-17, -0x1.ebd8b00d36d94p-17, -0x1.efbbc08ddb456p-17, -0x1.f385088157a74p-17, -0x1.f73493f560045p-17, -0x1.faca70a484c65p-17, -0x1.fe46adebbba14p-17, -0x1.00d4ae609fbbfp-16, -0x1.027947d51a51ep-16, -0x1.04112d5922d1fp-16, -0x1.059c69b0cfa6ep-16, -0x1.071b0859b982cp-16, }}, 
      {{-0x1.c94d0c68c82e4p-1, -0x1.c935b3a062ec4p-1, -0x1.c90e53ce6033fp-1, -0x1.c8d656b96891cp-1, -0x1.c88d12c791e31p-1, -0x1.c831e1a82469p-1, -0x1.c7c43262249f7p-1, -0x1.c7439643c54ccp-1, -0x1.c6afc90271e93p-1, -0x1.c608b4be353c8p-1, -0x1.c54e72bbbec13p-1, -0x1.c48149a3b8ccap-1, -0x1.c3a1a9ff70c31p-1, -0x1.c2b0298d7032bp-1, -0x1.c1ad7deaad866p-1, -0x1.c09a76f183d6ap-1, -0x1.bf77f917d79fbp-1, -0x1.be46f801df851p-1, -0x1.bd08716ec6a5fp-1, -0x1.bbbd68975293dp-1, -0x1.ba66e20c76adep-1, -0x1.b905e01bd9f4fp-1, -0x1.b79b5fba607ep-1, -0x1.b62855f072b9p-1, -0x1.b4adadc0b2bbfp-1, -0x1.b32c467fdb0c9p-1, -0x1.b1a4f2934c896p-1, -0x1.b018768b5741p-1, -0x1.ae87888e34b0cp-1, -0x1.acf2d008ffa7ap-1, -0x1.ab5ae59c7c2e1p-1, -0x1.a9c0533c3cbe1p-1, -0x1.a82394777bbcfp-1, -0x1.a68516e3d9346p-1, -0x1.a4e53aa30d4cap-1, -0x1.a34452fd6745bp-1, -0x1.a1a2a70bc90eap-1, -0x1.a000726c81114p-1, -0x1.9e5de5ff15aeap-1, -0x1.9cbb28a3addcbp-1, -0x1.9b1857fb5539fp-1, -0x1.99758926cc0eap-1, -0x1.97d2c9820a375p-1, -0x1.96301f5af22cp-1, -0x1.948d8aa20c24bp-1, -0x1.92eb05945d2ffp-1, -0x1.9148855db4dd4p-1, -0x1.8fa5fab2f7369p-1, -0x1.8e03526414186p-1, -0x1.8c6075e5864c7p-1, -0x1.8abd4bd14a93p-1, -0x1.8919b85f5b22dp-1, -0x1.87759dd5cf4abp-1, -0x1.85d0dcf0ccb93p-1, -0x1.842b5542871cdp-1, -0x1.8284e58b90843p-1, -0x1.80dd6c0bc7072p-1, -0x1.7f34c6cc30a28p-1, -0x1.7d8ad3e21831p-1, -0x1.7bdf71abc222p-1, -0x1.7a327f0711905p-1, -0x1.7883db8270654p-1, -0x1.76d3678856754p-1, -0x1.75210485bf67fp-1, -0x1.736c950be4862p-1, -0x1.71b5fced8cac6p-1, -0x1.6ffd21583bd4p-1, -0x1.6e41e8e9915dbp-1, -0x1.6c843bc11c5c6p-1, -0x1.6ac4038eea0bfp-1, -0x1.69012b9f0ffcap-1, -0x1.673ba0e273411p-1, -0x1.657351f5047bep-1, -0x1.63a82f21abf24p-1, -0x1.61da2a6419526p-1, -0x1.60093768a9c05p-1, -0x1.5e354b8a93016p-1, -0x1.5c5e5dd08068ap-1, -0x1.5a8466e7c9fc2p-1, -0x1.58a7611e6c4d4p-1, -0x1.56c7485be7b8ep-1, -0x1.54e41a1924868p-1, -0x1.52fdd5577caaep-1, -0x1.51147a970a66dp-1, -0x1.4f280bcc51c16p-1, -0x1.4d388c5561e2dp-1, -0x1.4b4600ee813a4p-1, -0x1.49506fa67c66fp-1, -0x1.4757dfd2a8d26p-1, -0x1.455c5a02ad753p-1, -0x1.435de7f420827p-1, -0x1.415c94860a3e8p-1, -0x1.3f586bac57c88p-1, -0x1.3d517a634d02dp-1, -0x1.3b47cea2fb52p-1, -0x1.393b7752cc25ep-1, -0x1.372c843d24243p-1, -0x1.351b060327879p-1, -0x1.33070e10a72cfp-1, -0x1.30f0ae903c078p-1, -0x1.2ed7fa5f940ebp-1, -0x1.2cbd0503f9e35p-1, -0x1.2a9fe29f14876p-1, -0x1.2880a7e3e89eap-1, -0x1.265f6a0c1a1cap-1, -0x1.243c3ecd728f7p-1, -0x1.22173c4fab95ap-1, -0x1.1ff0792282562p-1, -0x1.1dc80c3411c74p-1, -0x1.1b9e0cc776d88p-1, -0x1.1972926bbd2e4p-1, -0x1.1745b4f3154f7p-1, -0x1.15178c6a555f5p-1, -0x1.12e83110c1c05p-1, -0x1.10b7bb501ef02p-1, -0x1.0e8643b50bbdcp-1, -0x1.0c53e2e7a1dd4p-1, -0x1.0a20b1a45dbb8p-1, -0x1.07ecc8b54b96fp-1, -0x1.05b840eb77a9dp-1, -0x1.03833318a2b88p-1, -0x1.014db8093827dp-1, -0x1.fe2fd0fd05eefp-2, -0x1.f9c3ba524818cp-2, -0x1.f5575d4787b46p-2, -0x1.f0eaeadc05026p-2, -0x1.ec7e93cf3ffddp-2, -0x1.e8128897c05e6p-2, -0x1.e3a6f95a48eaep-2, -0x1.df3c15e17a0ffp-2, -0x1.dad20d95dc431p-2, -0x1.d6690f7653117p-2, -0x1.d2014a10ef9efp-2, -0x1.cd9aeb7c2a7fep-2, -0x1.c936215075888p-2, -0x1.c4d318a229885p-2, -0x1.c071fdfbd141bp-2, -0x1.bc12fd58c3fcfp-2, -0x1.b7b6422015de5p-2, -0x1.b35bf71fd7d66p-2, -0x1.af044688a64c9p-2, -0x1.aaaf59e9805abp-2, -0x1.a65d5a2bece1p-2, -0x1.a20e6f905e0ep-2, -0x1.9dc2c1aae1ddbp-2, -0x1.997a77600c35cp-2, -0x1.9535b6e2267f4p-2, -0x1.90f4a5ae99bebp-2, -0x1.8cb7688b932a7p-2, -0x1.887e2385e4211p-2, -0x1.8448f9ef18a8bp-2, -0x1.80180e5bc0f28p-2, -0x1.7beb82a1f1682p-2, -0x1.77c377d7f318fp-2, -0x1.73a00e5322566p-2, -0x1.6f8165a6fc5e8p-2, -0x1.6b679ca45ba58p-2, -0x1.6752d158d9f21p-2, -0x1.6343210e6036cp-2, -0x1.5f38a84adaec8p-2, -0x1.5b3382d016732p-2, -0x1.5733cb9bbe2fbp-2, -0x1.53399ce7810ddp-2, -0x1.4f451029553a7p-2, -0x1.4b563e13df7e8p-2, -0x1.476d3e96f56d6p-2, -0x1.438a28e04333bp-2, -0x1.3fad135c0995cp-2, -0x1.3bd613b5f7336p-2, -0x1.38053eda21e63p-2, -0x1.343aa8f611473p-2, -0x1.30766579e78d3p-2, -0x1.2cb887199ea5dp-2, -0x1.29011fce5d0f3p-2, -0x1.255040d7dcb9p-2, -0x1.21a5fabdea873p-2, -0x1.1e025d51f3e74p-2, -0x1.1a6577b0ab443p-2, -0x1.16cf5843ba1dp-2, -0x1.13400cc38523p-2, -0x1.0fb7a239009e4p-2, -0x1.0c3624ff92039p-2, -0x1.08bba0c7000e3p-2, -0x1.0548209570ebdp-2, -0x1.01dbaec973684p-2, -0x1.fcecaa38262d7p-3, -0x1.f6303945f51e3p-3, -0x1.ef821ba53a48fp-3, -0x1.e8e26100d3b0ep-3, -0x1.e25117ca137b1p-3, -0x1.dbce4d3d4823p-3, -0x1.d55a0d6653a31p-3, -0x1.cef4632556d7ep-3, -0x1.c89d5833622b5p-3, -0x1.c254f52735332p-3, -0x1.bc1b417a08ddbp-3, -0x1.b5f0438c60a87p-3, -0x1.afd400aae9e92p-3, -0x1.a9c67d1358738p-3, -0x1.a3c7bbf954d66p-3, -0x1.9dd7bf8b65523p-3, -0x1.97f688f7e31f5p-3, -0x1.92241871efb52p-3, -0x1.8c606d366af19p-3, -0x1.86ab8590eda75p-3, -0x1.81055ee0c50c6p-3, -0x1.7b6df59deb85cp-3, -0x1.75e5455e0172dp-3, -0x1.706b48d947bb2p-3, -0x1.6afff9ef9433ep-3, -0x1.65a351ad4362p-3, -0x1.605548502879bp-3, -0x1.5b15d54c78172p-3, -0x1.55e4ef51acce7p-3, -0x1.50c28c4f6837cp-3, -0x1.4baea17a4cf0fp-3, -0x1.46a92350d1967p-3, -0x1.41b205a00af02p-3, -0x1.3cc93b88737adp-3, -0x1.37eeb782a3fd4p-3, -0x1.33226b64097a4p-3, -0x1.2e6448638b4ccp-3, -0x1.29b43f1e2ea15p-3, -0x1.25123f9baa197p-3, -0x1.207e3952f5098p-3, -0x1.1bf81b2ec27bbp-3, -0x1.177fd391fa7p-3, -0x1.1315505c2428bp-3, -0x1.0eb87eedc2639p-3, -0x1.0a694c2ca5e6bp-3, -0x1.0627a48831186p-3, -0x1.01f373fd956f6p-3, -0x1.fb994c37f246cp-4, -0x1.f3664c1130edfp-4, -0x1.eb4dbd05ae5ap-4, -0x1.e34f73d084509p-4, -0x1.db6b44710b387p-4, -0x1.d3a10232a6d03p-4, -0x1.cbf07fb47a436p-4, -0x1.c4598ef0fc95dp-4, -0x1.bcdc014572ab4p-4, -0x1.b577a779445d5p-4, -0x1.ae2c51c547037p-4, -0x1.a6f9cfdacc2abp-4, -0x1.9fdff0eab5947p-4, -0x1.98de83ac4a941p-4, -0x1.91f556640907ap-4, -0x1.8b2436ea480abp-4, -0x1.846af2b1c2638p-4, -0x1.7dc956ce046f9p-4, -0x1.773f2ff9b8767p-4, -0x1.70cc4a9cd29e4p-4, -0x1.6a7072d2a6885p-4, -0x1.642b746fd6edfp-4, -0x1.5dfd1b0828eaap-4, -0x1.57e531f43ba7dp-4, -0x1.51e384571fa96p-4, -0x1.4bf7dd23d0329p-4, -0x1.462207228f76cp-4, -0x1.4061ccf623d3ep-4, -0x1.3ab6f920f9411p-4, -0x1.3521560a244e7p-4, -0x1.2fa0ae024579dp-4, -0x1.2a34cb48546ap-4, -0x1.24dd780e49ea4p-4, -0x1.1f9a7e7daf27cp-4, -0x1.1a6ba8bc0dcc5p-4, -0x1.1550c0ef490dp-4, -0x1.10499141d4f23p-4, -0x1.0b55e3e6d476fp-4, -0x1.0675831e1ceb8p-4, -0x1.01a839381b6f5p-4, -0x1.f9dba1334447dp-5, -0x1.f08c277f2fa4ep-5, -0x1.e7619a851f47p-5, -0x1.de5b8fb489636p-5, -0x1.d5799cc1f9f61p-5, -0x1.ccbb57ada383cp-5, -0x1.c42056c9bfa7ep-5, -0x1.bba830c0b9cdbp-5, -0x1.b3527c9b2d94p-5, -0x1.ab1ed1c5af027p-5, -0x1.a30cc81669ed8p-5, -0x1.9b1bf7d2874dbp-5, -0x1.934bf9b373455p-5, -0x1.8b9c66ebe1b5ap-5, -0x1.840cd92cb8702p-5, -0x1.7c9ceaa9c0686p-5, -0x1.754c361e2f7dbp-5, -0x1.6e1a56d104e1bp-5, -0x1.6706e899419b4p-5, -0x1.601187e1eb8eap-5, -0x1.5939d1adf351ep-5, -0x1.527f639be5ee1p-5, -0x1.4be1dbe985a5cp-5, -0x1.4560d9772a702p-5, -0x1.3efbfbcb091e5p-5, -0x1.38b2e31453196p-5, -0x1.3285302e28082p-5, -0x1.2c7284a26fe3p-5, -0x1.267a82ac87fddp-5, -0x1.209ccd3bd1cffp-5, -0x1.1ad907f620a97p-5, -0x1.152ed73a00b47p-5, -0x1.0f9de020e0684p-5, -0x1.0a25c8811e312p-5, -0x1.04c636efeb84ep-5, -0x1.fefda58642619p-6, -0x1.f49e8825c6333p-6, -0x1.ea6e67766ea14p-6, -0x1.e06c96baeb824p-6, -0x1.d6986ac341498p-6, -0x1.ccf139ef403c3p-6, -0x1.c3765c30c62b9p-6, -0x1.ba272b0dccd0dp-6, -0x1.b10301a244ca1p-6, -0x1.a8093ca1bf558p-6, -0x1.9f393a58e6cabp-6, -0x1.96925aaec7ed8p-6, -0x1.8e13ff25ee38ap-6, -0x1.85bd8add553aep-6, -0x1.7d8e629123c57p-6, -0x1.7585ec9b541a4p-6, -0x1.6da390f4101bp-6, -0x1.65e6b9320c0fap-6, -0x1.5e4ed08a9789bp-6, -0x1.56db43d1a251ap-6, -0x1.4f8b817990114p-6, -0x1.485ef992e3e31p-6, -0x1.41551dcbdd195p-6, -0x1.3a6d616fd781ep-6, -0x1.33a73966a066ep-6, -0x1.2d021c33a860ap-6, -0x1.267d81f50601fp-6, -0x1.2018e46272e2dp-6, -0x1.19d3becc24145p-6, -0x1.13ad8e197205ep-6, -0x1.0da5d0c78af96p-6, -0x1.07bc06e7ed2aep-6, -0x1.01efb21ed887cp-6, -0x1.f880ab4342dc9p-7, -0x1.ed5aec69de0cp-7, -0x1.e26d3455c1edp-7, -0x1.d7b692c242d4ep-7, -0x1.cd361a7dc825p-7, -0x1.c2eae165a4513p-7, -0x1.b8d40061b3322p-7, -0x1.aef0935ff2b6cp-7, -0x1.a53fb94fe34ap-7, -0x1.9bc0941dc509ap-7, -0x1.927248add3943p-7, -0x1.8953fed733079p-7, -0x1.8064e15eeb11fp-7, -0x1.77a41df2a6e6bp-7, -0x1.6f10e5237da54p-7, -0x1.66aa6a607e3b5p-7, -0x1.5e6fe3f135a62p-7, -0x1.56608af0190ddp-7, -0x1.4e7b9b44ea3fdp-7, -0x1.46c0539eeed7bp-7, -0x1.3f2df56f229f2p-7, -0x1.37c3c4e26254ap-7, -0x1.308108db6aacdp-7, -0x1.29650aece2965p-7, -0x1.226f17534ac02p-7, -0x1.1b9e7ceedc187p-7, -0x1.14f28d3d67b3bp-7, -0x1.0e6a9c541ab23p-7, -0x1.080600d941052p-7, -0x1.01c413fe041eep-7, -0x1.f74862f0275e6p-8, -0x1.eb4b6ef6a2ee5p-8, -0x1.df900d66ce9b8p-8, -0x1.d415047af48adp-8, -0x1.c8d91f4341339p-8, -0x1.bddb2d9920f15p-8, -0x1.b31a0412305fep-8, -0x1.a8947bf3666aep-8, -0x1.9e49732421efcp-8, -0x1.9437cc213957dp-8, -0x1.8a5e6df00298ep-8, -0x1.80bc44115a5dfp-8, -0x1.77503e74be9bcp-8, -0x1.6e19516b57b14p-8, -0x1.6516759b069a2p-8, -0x1.5c46a7f18012ep-8, -0x1.53a8e9976415p-8, -0x1.4b3c3fe36a6f1p-8, -0x1.42ffb44d83d27p-8, -0x1.3af254621dc84p-8, -0x1.331331b5429f2p-8, -0x1.2b6161d6011f4p-8, -0x1.23dbfe41a975fp-8, -0x1.1c8224573f542p-8, -0x1.1552f54ad2b76p-8, -0x1.0e4d9619106ebp-8, -0x1.07712f7aba21fp-8, -0x1.00bcedd849b28p-8, -0x1.f460027b3ceb3p-9, -0x1.e7933a9b448a8p-9, -0x1.db11f26c77f1ap-9, -0x1.ceda9f4804815p-9, -0x1.c2ebbd6c8b875p-9, -0x1.b743cfe63a6a3p-9, -0x1.abe16076d3a21p-9, -0x1.a0c2ff7e0dd2cp-9, -0x1.95e743e224706p-9, -0x1.8b4ccaf88e1b7p-9, -0x1.80f2386ebf5f8p-9, -0x1.76d636333b21dp-9, -0x1.6cf7745ec7174p-9, -0x1.6354a91dc050ep-9, -0x1.59ec9099c1692p-9, -0x1.50bdece34a615p-9, -0x1.47c785dbb9901p-9, -0x1.3f08291f7468fp-9, -0x1.367ea9f02007dp-9, -0x1.2e29e11f2fdd8p-9, -0x1.2608acf8a3a67p-9, -0x1.1e19f12dd764ep-9, -0x1.165c96c0acdcfp-9, -0x1.0ecf8beed1378p-9, -0x1.0771c41d45a18p-9, -0x1.004237c3f83fbp-9, -0x1.f27fc8b3a6b3ap-10, -0x1.e4d398815e80bp-10, -0x1.d77ded639d5c2p-10, -0x1.ca7cdf546ae4cp-10, -0x1.bdce8faf19f07p-10, -0x1.b1712909db8fbp-10, -0x1.a562df104ae3cp-10, -0x1.99a1ee5de9313p-10, -0x1.8e2c9c595a7a8p-10, -0x1.8301370fec696p-10, -0x1.781e151166676p-10, -0x1.6d81954c9a3dap-10, -0x1.632a1eebedf34p-10, -0x1.59162132e1dfcp-10, -0x1.4f44135b34c8bp-10, -0x1.45b274736868p-10, -0x1.3c5fcb3cd0da5p-10, -0x1.334aa60a985ecp-10, -0x1.2a719aa102247p-10, -0x1.21d34614fac73p-10, -0x1.196e4cac58709p-10, -0x1.114159be1677bp-10, -0x1.094b1f935ccb5p-10, -0x1.018a5748eef04p-10, -0x1.f3fb81611e227p-11, -0x1.e548446675d67p-11, -0x1.d6f8916782aa8p-11, -0x1.c90a0ee2da596p-11, -0x1.bb7a6fd707a07p-11, -0x1.ae47738992b1p-11, -0x1.a16ee54f226ecp-11, -0x1.94ee9c5493ccep-11, -0x1.88c47b6855a05p-11, -0x1.7cee70c507599p-11, -0x1.716a75dca1c85p-11, -0x1.66368f241edf1p-11, -0x1.5b50cbe08506p-11, -0x1.50b745f40b6c6p-11, -0x1.466821ac4c91dp-11, -0x1.3c618d91166fp-11, -0x1.32a1c23419195p-11, -0x1.29270201237cep-11, -0x1.1fef990f19dcdp-11, -0x1.16f9dcf1ccd46p-11, -0x1.0e442c8c2d91cp-11, -0x1.05ccefe3b7b01p-11, -0x1.fb252fe7a7b9ep-12, -0x1.eb273d0532a4ep-12, -0x1.db9d0beba1affp-12, -0x1.cc83b251a7877p-12, -0x1.bdd856859b395p-12, -0x1.af982f1c7ff0ep-12, -0x1.a1c082a052b26p-12, -0x1.944ea741f6ee4p-12, -0x1.8740028aaee2cp-12, -0x1.7a92090f3492ep-12, -0x1.6e423e24d2cc9p-12, -0x1.624e33967c616p-12, -0x1.56b3895c84365p-12, -0x1.4b6fed5407695p-12, -0x1.40811af87c748p-12, -0x1.35e4db1e72c29p-12, -0x1.2b9903af11372p-12, -0x1.219b77648d508p-12, -0x1.17ea258899c9bp-12, -0x1.0e8309b322b33p-12, -0x1.05642b8a50819p-12, -0x1.f9173d07f2808p-13, -0x1.e7ef035027a71p-13, -0x1.d74bfea6d0f3p-13, -0x1.c72a99f935f39p-13, -0x1.b78755f27c944p-13, -0x1.a85ec88879584p-13, -0x1.99ad9c8b42a61p-13, -0x1.8b709135487b6p-13, -0x1.7da479be7ca77p-13, -0x1.70463cf09b413p-13, -0x1.6352d4bef6edfp-13, -0x1.56c74ddd949eep-13, -0x1.4aa0c75ceef47p-13, -0x1.3edc7244d30cap-13, -0x1.3377913328b88p-13, -0x1.286f77fc277bbp-13, -0x1.1dc18b4aa9459p-13, -0x1.136b40446df8ep-13, -0x1.096a1c2ed5d85p-13, -0x1.ff77682ac93acp-14, -0x1.ecbb58e41e0d8p-14, -0x1.da9b71aeebfd5p-14, -0x1.c91337379f30cp-14, -0x1.b81e4b0dc68fdp-14, -0x1.a7b86aff7c16cp-14, -0x1.97dd707b3d4b5p-14, -0x1.88894ff38c2eep-14, -0x1.79b8184372725p-14, -0x1.6b65f21a2f12ep-14, -0x1.5d8f1f6607777p-14, -0x1.502ffac359866p-14, -0x1.4344f6ef57bdep-14, -0x1.36ca9e3b4e06dp-14, -0x1.2abd92056ed2dp-14, -0x1.1f1a8a3244563p-14, -0x1.13de54a87f955p-14, -0x1.0905d4d166452p-14, -0x1.fd1c0634273dp-15, -0x1.e8e7d8ee24ab7p-15, -0x1.d56963d6d3fd3p-15, -0x1.c29b1024feb85p-15, -0x1.b0776d566c7cep-15, -0x1.9ef93049cfddp-15, -0x1.8e1b32614332cp-15, -0x1.7dd870a442507p-15, -0x1.6e2c0aed4cd22p-15, -0x1.5f114311feb25p-15, -0x1.50837c1a44ecap-15, -0x1.427e3971ffbeep-15, -0x1.34fd1e266ab93p-15, -0x1.27fbec238a91fp-15, -0x1.1b768375b9e61p-15, -0x1.0f68e190475efp-15, -0x1.03cf20983320cp-15, -0x1.f14aed62e246bp-16, -0x1.dbd06aa1ba355p-16, -0x1.c72791242521ep-16, -0x1.b3496d1fdc9efp-16, -0x1.a02f3d826a5ecp-16, -0x1.8dd272b093a56p-16, -0x1.7c2cad4daefcbp-16, -0x1.6b37bd0846c0cp-16, -0x1.5aed9f70e159bp-16, -0x1.4b487ecf44583p-16, -0x1.3c42b10a3509ep-16, -0x1.2dd6b689a08b5p-16, -0x1.1fff3925c884ap-16, -0x1.12b70b1a39128p-16, -0x1.05f925ff51f32p-16, -0x1.f38153910be3bp-17, -0x1.dc11b790573e7p-17, -0x1.c59a4b7730437p-17, -0x1.b01229b1d79fdp-17, -0x1.9b70b1ce17588p-17, -0x1.87ad86a95d0ffp-17, -0x1.74c08cb3468e1p-17, -0x1.62a1e8342d819p-17, -0x1.5149fba261c5cp-17, -0x1.40b165fa98416p-17, -0x1.30d1012afb1d5p-17, -0x1.21a1e08009e48p-17, -0x1.131d4f1cf322ep-17, -0x1.053cce7f6a41dp-17, -0x1.eff42a12b017bp-18, -0x1.d69e1924080f7p-18, -0x1.be6ba20610ec3p-18, -0x1.a7515df7f6998p-18, -0x1.914444fbd10adp-18, -0x1.7c39ab402c124p-18, -0x1.68273e9468085p-18, -0x1.550303f35996fp-18, -0x1.42c3551dd237fp-18, -0x1.315ede322d766p-18, -0x1.20cc9b6999a7dp-18, -0x1.1103d6d2d339dp-18, -0x1.01fc2623bf1c4p-18, -0x1.e75ad12f6953bp-19, -0x1.cc1f89a6cb16dp-19, -0x1.b2374dbdec1a5p-19, -0x1.99937c58c1479p-19, -0x1.8225f7446d403p-19, -0x1.6be11f72a2fdfp-19, -0x1.56b7d1458f183p-19, -0x1.429d60fdaa88ap-19, -0x1.2f85972d8c8e1p-19, -0x1.1d64ad5333b63p-19, -0x1.0c2f4a7ee5448p-19, -0x1.f7b5003228758p-20, -0x1.d8b78d5db9984p-20, -0x1.bb51f5c6f3c0bp-20, -0x1.9f70b4c7a8da9p-20, -0x1.850101f4fc3ddp-20, -0x1.6bf0cb5dad549p-20, -0x1.542eb00de7e78p-20, -0x1.3da9fa79b3b3cp-20, -0x1.28529b498d149p-20, -0x1.1419243853454p-20, -0x1.00eec3094be27p-20, -0x1.dd8a7926a79b3p-21, -0x1.bb1dd02e80a3p-21, -0x1.9a7d550abe065p-21, -0x1.7b8fe40cdadfap-21, -0x1.5e3d631b77972p-21, -0x1.426eb927a0636p-21, -0x1.280dc5e8953c3p-21, -0x1.0f05599e22febp-21, -0x1.ee825aa805b0cp-22, -0x1.c15bb62eae7a2p-22, -0x1.9671ad3a36e34p-22, -0x1.6da0cbb6da7f3p-22, -0x1.46c734145e6c1p-22, -0x1.21c491a74f825p-22, -0x1.fcf415f4da4d3p-23, -0x1.b9946a020f3aap-23, -0x1.79320d1519a97p-23, -0x1.3b97978c91de7p-23, -0x1.009234eba8f4ap-23, -0x1.8fe3199cc98fep-24, -0x1.230f58a5aded6p-24, -0x1.74a3be92dc8a5p-25, -0x1.555f6c36f8005p-26, 0x1.85a77cd226892p-29, 0x1.aa1f2a195e07bp-26, 0x1.8bfc7338ba6a1p-25, 0x1.1ed31bc2297ccp-24, 0x1.7545529cd1543p-24, 0x1.c990318fb56p-24, 0x1.0df5d0605e4c3p-23, 0x1.36461f7cb7aaap-23, 0x1.5dd1c0ca7e2a9p-23, 0x1.84afea72f4c84p-23, 0x1.aaf65cee75f03p-23, 0x1.d0b972560e57p-23, 0x1.f60c2caee4b9bp-23, 0x1.0d8021da2cb24p-22, 0x1.1fd3192ecf6f9p-22, 0x1.3206a226ffa44p-22, 0x1.4421d100c837fp-22, 0x1.562b2eb466bc6p-22, 0x1.6828beff54e05p-22, 0x1.7a2005fda711bp-22, 0x1.8c160de80013p-22, 0x1.9e0f6c58399f7p-22, 0x1.b010478c9d0bbp-22, 0x1.c21c5b9d324bep-22, 0x1.d436ff433d36bp-22, 0x1.e663287cac08dp-22, 0x1.f8a371512e61p-22, 0x1.057d0e1362abap-21, 0x1.0eb48bfe51a82p-21, 0x1.17f9025aab912p-21, 0x1.214b1b6cdae2ap-21, 0x1.2aab5dde24053p-21, 0x1.341a2e7d97349p-21, 0x1.3d97d222f347ep-21, 0x1.47246f52eba2dp-21, 0x1.50c00ff72b686p-21, 0x1.5a6aa30a2ab76p-21, 0x1.6423fe075ab13p-21, 0x1.6debde7a95148p-21, 0x1.77c1eb791e86fp-21, 0x1.81a5b70886492p-21, 0x1.8b96bf5e022eep-21, 0x1.9594703e4327fp-21, 0x1.9f9e2438aa74bp-21, 0x1.a9b325da26f43p-21, 0x1.b3d2b0ce024efp-21, 0x1.bdfbf2fdd0c5p-21, 0x1.c82e0d9f0b365p-21, 0x1.d2681639fa761p-21, 0x1.dca9179c0e75fp-21, 0x1.e6f012d29b688p-21, 0x1.f13c00156fd26p-21, 0x1.fb8bcf93d49aep-21, 0x1.02ef352eb294fp-20, 0x1.0819599044e14p-20, 0x1.0d43c37480a85p-20, 0x1.126ddef644b2p-20, 0x1.17971612e99c4p-20, 0x1.1cbed1076be1cp-20, 0x1.21e476a10ecb6p-20, 0x1.27076c866b21fp-20, 0x1.2c271784abc86p-20, 0x1.3142dbd816b03p-20, 0x1.365a1d6aad5ffp-20, 0x1.3b6c40147b847p-20, 0x1.4078a7de61eb5p-20, 0x1.457eb9356b82bp-20, 0x1.4a7dd924130dp-20, 0x1.4f756d87316acp-20, 0x1.5464dd3e7430ap-20, 0x1.594b9056a2fa2p-20, 0x1.5e28f03fbbc36p-20, 0x1.62fc67ea4da75p-20, 0x1.67c563f617eabp-20, 0x1.6c8352d7c777bp-20, 0x1.7135a4f761b2cp-20, 0x1.75dbccd215c42p-20, 0x1.7a753f198966p-20, 0x1.7f0172d01ca0bp-20, 0x1.837fe162067b4p-20, 0x1.87f006bda59b1p-20, 0x1.8c51616d60f3dp-20, 0x1.90a372ab9c5fdp-20, 0x1.94e5be731af3ep-20, 0x1.9917cb917f332p-20, 0x1.9d3923bc5b45ep-20, 0x1.a1495398a2c0cp-20, 0x1.a547eace7a589p-20, 0x1.a9347c12f10a8p-20, 0x1.ad0e9d31e2c62p-20, 0x1.b0d5e7142bff7p-20, 0x1.b489f5d225468p-20, 0x1.b82a68b0249c4p-20, 0x1.bbb6e2270514cp-20, 0x1.bf2f07ed0867p-20, 0x1.c29282f653709p-20, 0x1.c5e0ff77c3661p-20, 0x1.c91a2cea6592ap-20, 0x1.cc3dbe0b6aa99p-20, 0x1.cf4b68db0b27fp-20, 0x1.d242e6a118645p-20, 0x1.d523f3e49f955p-20, 0x1.d7ee506f09f25p-20, 0x1.daa1bf4561151p-20, 0x1.dd3e06a94b777p-20, 0x1.dfc2f010be766p-20, 0x1.e23048242351p-20, 0x1.e485deb677da4p-20, 0x1.e6c386c2d0e81p-20, 0x1.e8e91662d881ep-20, 0x1.eaf666c70eda9p-20, 0x1.eceb5433e05f9p-20, 0x1.eec7bdf7e1092p-20, 0x1.f08b866216a76p-20, 0x1.f23692ba015dbp-20, 0x1.f3c8cb38f961fp-20, 0x1.f5421afd7970fp-20, 0x1.f6a27003fa45fp-20, 0x1.f7e9bb1d07df1p-20, 0x1.f917efe1ba025p-20, 0x1.fa2d04a9d87f4p-20, 0x1.fb28f28281b7bp-20, 0x1.fc0bb52286524p-20, 0x1.fcd54ade396c9p-20, 0x1.fd85b49ce4766p-20, 0x1.fe1cf5ce50f55p-20, 0x1.fe9b145ec1109p-20, 0x1.ff0018ab6cb31p-20, 0x1.ff4c0d75643ccp-20, 0x1.ff7effd75bfd5p-20, 0x1.ff98ff3998117p-20, 0x1.ff9a1d431b469p-20, 0x1.ff826dd28043ap-20, 0x1.ff5206ee65948p-20, 0x1.ff0900b875405p-20, 0x1.fea775640b523p-20, 0x1.fe2d81285eeb9p-20, 0x1.fd9b4233a6ad5p-20, 0x1.fcf0d89f2aa0ap-20, 0x1.fc2e6664ca854p-20, 0x1.fb540f50b70e4p-20, 0x1.fa61f8f4ddc65p-20, 0x1.f9584a9dd97c4p-20, 0x1.f8372d46f8a4dp-20, 0x1.f6fecb8d200bfp-20, 0x1.f5af51a35257p-20, 0x1.f448ed474fbd8p-20, 0x1.f2cbcdb60b187p-20, 0x1.f138239db622ap-20, 0x1.ef8e21129f72bp-20, 0x1.edcdf9849f6c3p-20, 0x1.ebf7e1b21574cp-20, 0x1.ea0c0f9e503bbp-20, 0x1.e80aba85a3182p-20, 0x1.e5f41ad08cc04p-20, 0x1.e3c86a09a0bdfp-20, 0x1.e187e2d1efd03p-20, 0x1.df32c0d7963dcp-20, 0x1.dcc940c92ea41p-20, 0x1.da4ba04b763fp-20, 0x1.d7ba1def92997p-20, 0x1.d514f92945f29p-20, 0x1.d25c724309391p-20, 0x1.cf90ca53f6a7p-20, 0x1.ccb243358518ap-20, 0x1.c9c11f7a92e3p-20, 0x1.c6bda265e2dcp-20, 0x1.c3a80fdff6d1ap-20, 0x1.c080ac6c9f11ap-20, 0x1.bd47bd227d273p-20, 0x1.b9fd87a257549p-20, 0x1.b6a2520dfb0f5p-20, 0x1.b33662fdb6a01p-20, 0x1.afba01794f1dep-20, 0x1.ac2d74ef50723p-20, 0x1.a891052c2e178p-20, 0x1.a4e4fa526d03ep-20, 0x1.a1299cd124261p-20, 0x1.9d5f355d67fa7p-20, 0x1.99860ce9115bfp-20, 0x1.959e6c9c5f494p-20, 0x1.91a89dce7e32p-20, 0x1.8da4e9fd3d6ffp-20, 0x1.89939ac58b0cap-20, 0x1.8574f9dd35cedp-20, 0x1.8149510c14c95p-20, 0x1.7d10ea23327a4p-20, 0x1.78cc0ef887d2ap-20, 0x1.747b096076c83p-20, 0x1.701e2326c73c6p-20, 0x1.6bb5a60866ba9p-20, 0x1.6741dbac43fp-20, 0x1.62c30d9f1e73ep-20, 0x1.5e39854bcc5dbp-20, 0x1.59a58bf6f79b5p-20, 0x1.55076aba83a7dp-20, 0x1.505f6a7eae2fbp-20, 0x1.4badd3f44341bp-20, 0x1.46f2ef909b34fp-20, 0x1.422f0588e4b47p-20, 0x1.3d625dccbaef4p-20, 0x1.388d4000eb0d9p-20, 0x1.33aff37b1a783p-20, 0x1.2ecabf3f45d1fp-20, 0x1.29dde9fa2b589p-20, 0x1.24e9b9fc66d1ep-20, 0x1.1fee7536de206p-20, 0x1.1aec613648698p-20, 0x1.15e3c31fb091ep-20, 0x1.10d4dfaddf767p-20, 0x1.0bbffb2c9b5c7p-20, 0x1.06a55975d52dp-20, 0x1.01853deda0b5bp-20, 0x1.f8bfd6fe00036p-21, 0x1.ee6b49331da97p-21, 0x1.e40d565c03638p-21, 0x1.d9a68156014f8p-21, 0x1.cf374bf670476p-21, }}, 
      {{0x1.1368bd6c6b9bbp-14, 0x1.0ebb39292ff8dp-12, 0x1.283d34ed28cf6p-11, 0x1.fb6325333e669p-11, 0x1.7ab13b35d2236p-10, 0x1.0288c8a78f53dp-9, 0x1.4b6f6e6981abfp-9, 0x1.95490656b8c92p-9, 0x1.dda69a2c098a7p-9, 0x1.11400f0127545p-8, 0x1.311de2b4b881ep-8, 0x1.4dd63349f5575p-8, 0x1.6704cfac6902cp-8, 0x1.7c7230e3dc3adp-8, 0x1.8e0d050c9cff4p-8, 0x1.9be3b910350e8p-8, 0x1.a61e6b0d18546p-8, 0x1.acf9732e03b3ap-8, 0x1.b0c08ad41029dp-8, 0x1.b1ca86c4ad93p-8, 0x1.b07592c11a691p-8, 0x1.ad23de0885483p-8, 0x1.a838ac8a606fp-8, 0x1.a215c5464d348p-8, 0x1.9b193a07e21d5p-8, 0x1.939b86d5ee52bp-8, 0x1.8bee0813d2f09p-8, 0x1.8459c5cf85ec1p-8, 0x1.7d1e91748939cp-8, 0x1.767271830485cp-8, 0x1.7081555227e27p-8, 0x1.6b6d0983f155p-8, 0x1.674d64cf7dd3ap-8, 0x1.6430a4304bd9dp-8, 0x1.621bed5dac2p-8, 0x1.610beea3a5d46p-8, 0x1.60f593ba5e67fp-8, 0x1.61c6c7f9a71cfp-8, 0x1.63673f2e9a573p-8, 0x1.65b93f55fce46p-8, 0x1.689a668309536p-8, 0x1.6be469369e963p-8, 0x1.6f6dc658321aap-8, 0x1.730a6ed90102fp-8, 0x1.768c5fc5d6b89p-8, 0x1.79c42e2b1f6ccp-8, 0x1.7c8184b323506p-8, 0x1.7e93934cf8c4cp-8, 0x1.7fc9717ab8861p-8, 0x1.7ff2741c8bb51p-8, 0x1.7ede77b3754bap-8, 0x1.7c5e202a9b4dp-8, 0x1.78430f3cc613dp-8, 0x1.72601287ad294p-8, 0x1.6a894a53419b4p-8, 0x1.60944a017dda3p-8, 0x1.54583305f9849p-8, 0x1.45adcb2d10babp-8, 0x1.346f8ee2fcf85p-8, 0x1.2079c012898dfp-8, 0x1.09aa721ca3aa4p-8, 0x1.dfc326a9ff152p-9, 0x1.a601e8b93a171p-9, 0x1.65d89b439b675p-9, 0x1.1f12867e06be9p-9, 0x1.a2fd9d92aef32p-10, 0x1.f3c1db82a499bp-11, 0x1.09f2fcae697d8p-12, -0x1.06f2eaf60be4p-11, -0x1.584489e93ac7ap-10, -0x1.1e0fdbf5e25d4p-9, -0x1.979f558f4a85fp-9, -0x1.0c7365a5bbcc8p-8, -0x1.50fc539867dc1p-8, -0x1.9971d92e1fef1p-8, -0x1.e5d992b453f11p-8, -0x1.1b1baea407dd2p-7, -0x1.4546b05d0b617p-7, -0x1.716e0d1d98fadp-7, -0x1.9f9133e1e441fp-7, -0x1.cfaeca149b48p-7, -0x1.00e258f493bffp-6, -0x1.1ae8087e9dcd8p-6, -0x1.35e6ab9cdaf73p-6, -0x1.51dc22f4f198bp-6, -0x1.6ec5fb804e129p-6, -0x1.8ca1724102fep-6, -0x1.ab6b780490a05p-6, -0x1.cb20b5303576ap-6, -0x1.ebbd8d925763bp-6, -0x1.069f121a76db6p-5, -0x1.17cf2f966a206p-5, -0x1.296cf5b11835p-5, -0x1.3b7620272de99p-5, -0x1.4de851d5f9225p-5, -0x1.60c1168aed30dp-5, -0x1.73fde4c94c759p-5, -0x1.879c1f84a259cp-5, -0x1.9b9917cef481p-5, -0x1.aff20e79ba8b2p-5, -0x1.c4a435a8b2108p-5, -0x1.d9acb255efd2p-5, -0x1.ef089dc6972ap-5, -0x1.025a8377e529dp-4, -0x1.0d5779e5c2e2bp-4, -0x1.1879b14ea18aep-4, -0x1.23bfa5931dd46p-4, -0x1.2f27cfe4b42c8p-4, -0x1.3ab0a74fa8078p-4, -0x1.4658a13cf4c3ep-4, -0x1.521e31ec671c8p-4, -0x1.5dffcce70e4dep-4, -0x1.69fbe56a4282ap-4, -0x1.7610eecb72d61p-4, -0x1.823d5cd506938p-4, -0x1.8e7fa41c953fdp-4, -0x1.9ad63a52bfa96p-4, -0x1.a73f968d038bep-4, -0x1.b3ba3189c3797p-4, -0x1.c04485eefa24p-4, -0x1.ccdd1083be7f7p-4, -0x1.d98250651c253p-4, -0x1.e632c73669ac9p-4, -0x1.f2ecf94d8f4fdp-4, -0x1.ffaf6ddb6f20fp-4, -0x1.063c578871749p-3, -0x1.0ca3a52039716p-3, -0x1.130ce7fe968c8p-3, -0x1.19776a1b70235p-3, -0x1.1fe27729f073ep-3, -0x1.264d5ca4672e6p-3, -0x1.2cb769d72c0f7p-3, -0x1.331fefeab649ep-3, -0x1.398641ecf50fep-3, -0x1.3fe9b4da0643cp-3, -0x1.46499fa469371p-3, -0x1.4ca55b3cb6455p-3, -0x1.52fc4298f4cacp-3, -0x1.594db2bba1f1ap-3, -0x1.5f990aba7baf2p-3, -0x1.65ddabc510d0fp-3, -0x1.6c1af92b31609p-3, -0x1.7250586343c23p-3, -0x1.787d311083d5cp-3, -0x1.7ea0ed093e937p-3, -0x1.84baf85d0238dp-3, -0x1.8acac15add6a2p-3, -0x1.90cfb8979587ap-3, -0x1.96c950f3f3e1bp-3, -0x1.9cb6ffa3120bbp-3, -0x1.a2983c30bd0d9p-3, -0x1.a86c8087dddc9p-3, -0x1.ae3348f8f0c7fp-3, -0x1.b3ec1440822ccp-3, -0x1.b996638dbcc14p-3, -0x1.bf31ba88eff59p-3, -0x1.c4bd9f5a2548ep-3, -0x1.ca399aafaa2e9p-3, -0x1.cfa537c499f3cp-3, -0x1.d50004675b54ap-3, -0x1.da49910010df4p-3, -0x1.df817096f43afp-3, -0x1.e4a738da9c52ap-3, -0x1.e9ba82261f6f5p-3, -0x1.eebae7871bcffp-3, -0x1.f3a806c38eff7p-3, -0x1.f881805f8adcfp-3, -0x1.fd46f7a2adf1bp-3, -0x1.00fc094eb6244p-2, -0x1.034a3d170b967p-2, -0x1.058ded02d56e6p-2, -0x1.07c6f05627691p-2, -0x1.09f51fc2ca0a5p-2, -0x1.0c18556a306ddp-2, -0x1.0e306cdf43dfap-2, -0x1.103d43280af4p-2, -0x1.123eb6bf1af6ap-2, -0x1.1434a794e3f84p-2, -0x1.161ef710c5e28p-2, -0x1.17fd8811fa00fp-2, -0x1.19d03ef045203p-2, -0x1.1b97017c7d411p-2, -0x1.1d51b700d29acp-2, -0x1.1f004840e98d8p-2, -0x1.20a29f79bcba9p-2, -0x1.2238a86148224p-2, -0x1.23c25025fcd7cp-2, -0x1.253f856e005ecp-2, -0x1.26b03856318a8p-2, -0x1.28145a70f7446p-2, -0x1.296bdec4d858cp-2, -0x1.2ab6b9cadaf83p-2, -0x1.2bf4e16cae201p-2, -0x1.2d264d029c09dp-2, -0x1.2e4af55147d2cp-2, -0x1.2f62d48733ba3p-2, -0x1.306de63a153bdp-2, -0x1.316c2763f1bffp-2, -0x1.325d96600cad4p-2, -0x1.334232e79e80cp-2, -0x1.3419fe0e5f097p-2, -0x1.34e4fa3eddf18p-2, -0x1.35a32b36ac382p-2, -0x1.36549602577dap-2, -0x1.36f940f93b16fp-2, -0x1.379133b924447p-2, -0x1.381c7721cd121p-2, -0x1.389b15502fa1bp-2, -0x1.390d1999b1e0fp-2, -0x1.397290872d9e8p-2, -0x1.39cb87cfd2cdbp-2, -0x1.3a180e53e77aep-2, -0x1.3a5834176a495p-2, -0x1.3a8c0a3c90e03p-2, -0x1.3ab3a2fe2db67p-2, -0x1.3acf11a9f715cp-2, -0x1.3ade6a9ab42a6p-2, -0x1.3ae1c33252533p-2, -0x1.3ad931d3e3227p-2, -0x1.3ac4cddd83f0bp-2, -0x1.3aa4afa232f66p-2, -0x1.3a78f06391ed7p-2, -0x1.3a41aa4b971a6p-2, -0x1.39fef86630436p-2, -0x1.39b0f69ad8e58p-2, -0x1.3957c1a62338cp-2, -0x1.38f3771336a5ep-2, -0x1.3884353545e08p-2, -0x1.380a1b21009c3p-2, -0x1.378548a5f80eep-2, -0x1.36f5de48084aap-2, -0x1.365bfd38b708ap-2, -0x1.35b7c7509588dp-2, -0x1.35095f089f5cap-2, -0x1.3450e7739c46ep-2, -0x1.338e8437836c8p-2, -0x1.32c25986e35c7p-2, -0x1.31ec8c1a4e7dp-2, -0x1.310d4129ca8d8p-2, -0x1.30249e664f1c1p-2, -0x1.2f32c9f3454dp-2, -0x1.2e37ea6013f2ep-2, -0x1.2d3426a1b6a53p-2, -0x1.2c27a60c60468p-2, -0x1.2b12904d29db2p-2, -0x1.29f50d63cf726p-2, -0x1.28cf459c7ce58p-2, -0x1.27a16189a8a93p-2, -0x1.266b89fdfcb22p-2, -0x1.252de8065789dp-2, -0x1.23e8a4e3d8d31p-2, -0x1.229bea0603cb7p-2, -0x1.2147e104f3d57p-2, -0x1.1fecb39ba6fffp-2, -0x1.1e8a8ba25be7ap-2, -0x1.1d21930904b4ap-2, -0x1.1bb1f3d1d39a9p-2, -0x1.1a3bd80bd8f02p-2, -0x1.18bf69cdbc8b1p-2, -0x1.173cd3308c38fp-2, -0x1.15b43e4aa49a9p-2, -0x1.1425d52aaf1cap-2, -0x1.1291c1d2bdd7bp-2, -0x1.10f82e337aca7p-2, -0x1.0f59442776beap-2, -0x1.0db52d6e8b87bp-2, -0x1.0c0c13a95fae1p-2, -0x1.0a5e2054fd751p-2, -0x1.08ab7cc68adc5p-2, -0x1.06f45227172e7p-2, -0x1.0538c96f86077p-2, -0x1.03790b6496807p-2, -0x1.01b54093028c4p-2, -0x1.ffdb22977a399p-3, -0x1.fc444b409011ep-3, -0x1.f8a64abe50952p-3, -0x1.f5017020e77e5p-3, -0x1.f15609e4f6fd3p-3, -0x1.eda465ed22ed1p-3, -0x1.e9ecd17bcd4ddp-3, -0x1.e62f992d14b5p-3, -0x1.e26d08f0fcf85p-3, -0x1.dea56c05d1e53p-3, -0x1.dad90cf2c5c8fp-3, -0x1.d7083582bcd57p-3, -0x1.d3332ebf4f0ep-3, -0x1.cf5a40ec0605cp-3, -0x1.cb7db381c7792p-3, -0x1.c79dcd2a758fcp-3, -0x1.c3bad3bcc223p-3, -0x1.bfd50c383cf35p-3, -0x1.bbecbac1842b7p-3, -0x1.b802229eb97ffp-3, -0x1.b415863417da6p-3, -0x1.b0272700c5b5cp-3, -0x1.ac37459bd295p-3, -0x1.a84621b163f8bp-3, -0x1.a453fa001478bp-3, -0x1.a0610c567c34cp-3, -0x1.9c6d9590eb68bp-3, -0x1.9879d1974bb43p-3, -0x1.9485fb5b38cd1p-3, -0x1.90924cd639bd8p-3, -0x1.8c9eff0826fdbp-3, -0x1.88ac49f5bf2d2p-3, -0x1.84ba64a7619d5p-3, -0x1.80c98527f1543p-3, -0x1.7cd9e083dddfdp-3, -0x1.78ebaac85ac9fp-3, -0x1.74ff1702afabap-3, -0x1.7114573fbde98p-3, -0x1.6d2b9c8b9c6cep-3, -0x1.694516f15d966p-3, -0x1.6560f57afa213p-3, -0x1.617f6631590dcp-3, -0x1.5da0961c7abbdp-3, -0x1.59c4b143c6522p-3, -0x1.55ebe2ae734bdp-3, -0x1.5216546410ee9p-3, -0x1.4e442f6d3473ep-3, -0x1.4a759bd438ca7p-3, -0x1.46aac0a61e01dp-3, -0x1.42e3c3f38be57p-3, -0x1.3f20cad1e1c92p-3, -0x1.3b61f95c6deadp-3, -0x1.37a772b5b124ep-3, -0x1.33f15908c40d1p-3, -0x1.303fcd8acf6d9p-3, -0x1.2c92f07c9b9cep-3, -0x1.28eae12c38766p-3, -0x1.2547bdf6b284cp-3, -0x1.21a9a449e614bp-3, -0x1.1e10b0a6605a7p-3, -0x1.1a7cfea1530f9p-3, -0x1.16eea8e69d2e3p-3, -0x1.1365c93adf1a3p-3, -0x1.0fe2787da92fp-3, -0x1.0c64ceabadd15p-3, -0x1.08ece2e10b413p-3, -0x1.057acb5b9ff9cp-3, -0x1.020e9d7d70a94p-3, -0x1.fd50db9e2a639p-4, -0x1.f690a00465b83p-4, -0x1.efdcade813c9p-4, -0x1.e935296007d14p-4, -0x1.e29a34e4a292ep-4, -0x1.dc0bf1551eb1fp-4, -0x1.d58a7dfcf935fp-4, -0x1.cf15f899513f8p-4, -0x1.c8ae7d5e73b89p-4, -0x1.c25426fd6705p-4, -0x1.bc070ea97f7efp-4, -0x1.b5c74c1e139d9p-4, -0x1.af94f5a41e843p-4, -0x1.a970201809455p-4, -0x1.a358deef6b5a2p-4, -0x1.9d4f443ed3e54p-4, -0x1.975360bfa406cp-4, -0x1.916543d5e3342p-4, -0x1.8b84fb96203b6p-4, -0x1.85b294cb52cd3p-4, -0x1.7fee1afcc112ap-4, -0x1.7a379873e7057p-4, -0x1.748f16425ea99p-4, -0x1.6ef49c47cb441p-4, -0x1.69683137bd5bdp-4, -0x1.63e9da9fa066cp-4, -0x1.5e799cec9a64ep-4, -0x1.59177b7171a32p-4, -0x1.53c3786c6b478p-4, -0x1.4e7d950d26593p-4, -0x1.4945d17a70f9dp-4, -0x1.441c2cd818582p-4, -0x1.3f00a54cb5d19p-4, -0x1.39f338076d7aap-4, -0x1.34f3e145afd0ep-4, -0x1.30029c58e86dfp-4, -0x1.2b1f63ac2c33p-4, -0x1.264a30c9dbaaep-4, -0x1.2182fc613a56dp-4, -0x1.1cc9be4bfef22p-4, -0x1.181e6d93d4c16p-4, -0x1.13810077d7c7cp-4, -0x1.0ef16c7200ap-4, -0x1.0a6fa63c85134p-4, -0x1.05fba1d73010cp-4, -0x1.0195528ca7873p-4, -0x1.fa7955ef55003p-5, -0x1.f1e33a1078d1fp-5, -0x1.e968341197919p-5, -0x1.e10825467675ap-5, -0x1.d8c2edcbddf8ep-5, -0x1.d0986c9179d95p-5, -0x1.c8887f63aff19p-5, -0x1.c09302f5451c3p-5, -0x1.b8b7d2e8f9ff1p-5, -0x1.b0f6c9daf586cp-5, -0x1.a94fc16a1936fp-5, -0x1.a1c292413a64p-5, -0x1.9a4f14202a83ap-5, -0x1.92f51de4b874ep-5, -0x1.8bb485937381p-5, -0x1.848d206064286p-5, -0x1.7d7ec2b7a2742p-5, -0x1.76894045bb063p-5, -0x1.6fac6bffff0c5p-5, -0x1.68e8182cb1b8dp-5, -0x1.623c166b144dcp-5, -0x1.5ba837bb4e456p-5, -0x1.552c4c862b9b8p-5, -0x1.4ec824a4cd5eap-5, -0x1.487b8f682302fp-5, -0x1.42465ba04f4e1p-5, -0x1.3c2857a3e5262p-5, -0x1.3621515703a7dp-5, -0x1.3031163255bd8p-5, -0x1.2a577349deb0fp-5, -0x1.24943553bd97bp-5, -0x1.1ee728aebbf8dp-5, -0x1.19501968be89dp-5, -0x1.13ced3451dff8p-5, -0x1.0e6321c2d27acp-5, -0x1.090cd02284ecep-5, -0x1.03cba96c79c7p-5, -0x1.fd3ef0ecc4aa9p-6, -0x1.f3100fd20cae5p-6, -0x1.e90a448ba885ep-6, -0x1.df2d23d88d39p-6, -0x1.d578423e66429p-6, -0x1.cbeb3413f05bp-6, -0x1.c2858d8b11691p-6, -0x1.b946e2baaa144p-6, -0x1.b02ec7a840a2fp-6, -0x1.a73cd05153e3p-6, -0x1.9e7090b47b67cp-6, -0x1.95c99cda5cdb3p-6, -0x1.8d4788de40336p-6, -0x1.84e9e8f6946cbp-6, -0x1.7cb0517d0e3b1p-6, -0x1.749a56f6b46fcp-6, -0x1.6ca78e1b93006p-6, -0x1.64d78bde4fcc4p-6, -0x1.5d29e57374162p-6, -0x1.559e305884074p-6, -0x1.4e34025aee175p-6, -0x1.46eaf19ea601cp-6, -0x1.3fc294a4a7cf7p-6, -0x1.38ba82514618ap-6, -0x1.31d251f226a68p-6, -0x1.2b099b442457cp-6, -0x1.245ff6790e891p-6, -0x1.1dd4fc3d00595p-6, -0x1.176845bbcd098p-6, -0x1.11196ca603835p-6, -0x1.0ae80b35dd77ap-6, -0x1.04d3bc340173ep-6, -0x1.fdb835f80873cp-7, -0x1.f2018701b268cp-7, -0x1.e682a4a20023ep-7, -0x1.db3ac935104e9p-7, -0x1.d029305dfd69fp-7, -0x1.c54d170e31d6ep-7, -0x1.baa5bb8c7f59bp-7, -0x1.b0325d7bf03ecp-7, -0x1.a5f23de23fd5fp-7, -0x1.9be49f2df8dacp-7, -0x1.9208c53c5fca4p-7, -0x1.885df55f075fbp-7, -0x1.7ee3766106c4fp-7, -0x1.7598908c17d7p-7, -0x1.6c7c8dad3dc99p-7, -0x1.638eb9193a887p-7, -0x1.5ace5fb0d5a7bp-7, -0x1.523acfe4c7d8dp-7, -0x1.49d359b93e3b1p-7, -0x1.41974ec9afb7dp-7, -0x1.3986024b980e1p-7, -0x1.319ec911ce60fp-7, -0x1.29e0f98f17967p-7, -0x1.224bebd89b4c7p-7, -0x1.1adef9a85397fp-7, -0x1.13997e5efe87p-7, -0x1.0c7ad7061958bp-7, -0x1.058262516bf5bp-7, -0x1.fd5f014110e64p-8, -0x1.f00328004538fp-8, -0x1.e2f000562ff3ep-8, -0x1.d624551668d8ep-8, -0x1.c99ef47448368p-8, -0x1.bd5eb0038cb1bp-8, -0x1.b1625cb9703edp-8, -0x1.a5a8d2ecc3b6ep-8, -0x1.9a30ee56539c8p-8, -0x1.8ef98e1054e59p-8, -0x1.8401949639125p-8, -0x1.7947e7c38e3a7p-8, -0x1.6ecb70d30369ap-8, -0x1.648b1c5d1962fp-8, -0x1.5a85da5659cb4p-8, -0x1.50ba9e0d82817p-8, -0x1.47285e29348dp-8, -0x1.3dce14a5db586p-8, -0x1.34aabed29da06p-8, -0x1.2bbd5d4ef1a5cp-8, -0x1.2304f406fdff4p-8, -0x1.1a808a30c0dc7p-8, -0x1.122f2a486dbf9p-8, -0x1.0a0fe20c7f7fbp-8, -0x1.0221c27a1b133p-8, -0x1.f4c7bf919fe2bp-9, -0x1.e5aaa2ccc64c1p-9, -0x1.d6ea63e4b34ffp-9, -0x1.c8853e72cd131p-9, -0x1.ba79746136792p-9, -0x1.acc54de172aacp-9, -0x1.9f671961950eap-9, -0x1.925d2b826f279p-9, -0x1.85a5df0d002aep-9, -0x1.793f94e6d0be8p-9, -0x1.6d28b407ed9c7p-9, -0x1.615fa96eb3c31p-9, -0x1.55e2e814b19f4p-9, -0x1.4ab0e8e2c17c7p-9, -0x1.3fc82aa4ea8a8p-9, -0x1.352731fe75acep-9, -0x1.2acc895d91234p-9, -0x1.20b6c0ee9a1fcp-9, -0x1.16e46e8fed789p-9, -0x1.0d542dc4af33ap-9, -0x1.04049fa7f495ep-9, -0x1.f5e8d5bf81342p-10, -0x1.e44477201631ap-10, -0x1.d319869a808b6p-10, -0x1.c265721d80579p-10, -0x1.b225b2436e396p-10, -0x1.a257ca3675524p-10, -0x1.92f947965aa43p-10, -0x1.8407c25b3293bp-10, -0x1.7580dcbc758e5p-10, -0x1.67624312bef9dp-10, -0x1.59a9abbd9d98cp-10, -0x1.4c54d707868cep-10, -0x1.3f618f0995afbp-10, -0x1.32cda78f97197p-10, -0x1.2696fdfc96a3fp-10, -0x1.1abb792e4bd1bp-10, -0x1.0f3909615cc0bp-10, -0x1.040da81530301p-10, -0x1.f26eafdf2c67p-11, -0x1.dd68494388f2p-11, -0x1.c904459553001p-11, -0x1.b53edfb92022ep-11, -0x1.a214640079205p-11, -0x1.8f812ff355bd8p-11, -0x1.7d81b2165318ep-11, -0x1.6c1269b696a6fp-11, -0x1.5b2fe6aed5e75p-11, -0x1.4ad6c932b653dp-11, -0x1.3b03c196b68c8p-11, -0x1.2bb3901a1ec8p-11, -0x1.1ce304af8f81cp-11, -0x1.0e8efec7597f8p-11, -0x1.00b46d1951e1dp-11, -0x1.e6a09add44c2ap-12, -0x1.ccbf58da8f465p-12, -0x1.b3bf4ac296fb9p-12, -0x1.9b9ac4130a2bcp-12, -0x1.844c34c2ab084p-12, -0x1.6dce28db96f35p-12, -0x1.581b4811347f9p-12, -0x1.432e555a87c87p-12, -0x1.2f022e8a3692p-12, -0x1.1b91cbe9d7ee5p-12, -0x1.08d83fd3bde0ep-12, -0x1.eda16c9fbcc85p-13, -0x1.caece95db6029p-13, -0x1.a989b25101ec3p-13, -0x1.896eb4f1b755p-13, -0x1.6a930efe959e6p-13, -0x1.4cee0dbb3f61fp-13, -0x1.30772d33c9afcp-13, -0x1.1526177a707fdp-13, -0x1.f5e547e610e76p-14, -0x1.c3a9ad1fb29dbp-14, -0x1.9389be459685cp-14, -0x1.6576313c0945cp-14, -0x1.396010cad4779p-14, -0x1.0f38bb34fcaeep-14, -0x1.cde3c19fec766p-15, -0x1.80fb0555e3f82p-15, -0x1.379be265028e9p-15, -0x1.e3572b5c6c9p-16, -0x1.5e1feae8b9344p-16, -0x1.bebdbafb29c29p-17, -0x1.9b8815e1a77a2p-18, 0x1.70eef3af834a1p-21, 0x1.e035584cdfdf4p-18, 0x1.bdbc7267c3e7cp-17, 0x1.4027b027b9208p-16, 0x1.9c163ad82ca9bp-16, 0x1.f2d54edbf79ap-16, 0x1.2247ae1ae7ed4p-15, 0x1.48b6e9000ae81p-15, 0x1.6ccc91a1c5594p-15, 0x1.8e9c65afd31c7p-15, 0x1.ae39a961cc59cp-15, 0x1.cbb729ad73a37p-15, 0x1.e7273e7e10d97p-15, 0x1.004de67269c5bp-14, 0x1.0c1324a72a66dp-14, 0x1.16ebdcca282fap-14, 0x1.20e05b904e644p-14, 0x1.29f8b882469c5p-14, 0x1.323cd6fef426dp-14, 0x1.39b46740b221dp-14, 0x1.4066e7597cff3p-14, 0x1.465ba4334ddecp-14, 0x1.4b99ba803c27p-14, 0x1.502817b98a586p-14, 0x1.540d7b06840d4p-14, 0x1.5750762e55dc9p-14, 0x1.59f76e8416535p-14, 0x1.5c089dc5f7d8ap-14, 0x1.5d8a1308378c8p-14, 0x1.5e81b390167c3p-14, 0x1.5ef53bb237daep-14, 0x1.5eea3fa973e6bp-14, 0x1.5e662c6e7f8e8p-14, 0x1.5d6e4887e5473p-14, 0x1.5c07b4da8dfeep-14, 0x1.5a376d766d6e9p-14, 0x1.58024a5be33acp-14, 0x1.556d004475057p-14, 0x1.527c216260d49p-14, 0x1.4f341e2169d1bp-14, 0x1.4b9945dec8203p-14, 0x1.47afc7a8479c2p-14, 0x1.437bb2ee32047p-14, 0x1.3f00f835d358cp-14, 0x1.3a4369caf257dp-14, 0x1.3546bc6ac7611p-14, 0x1.300e87ef15068p-14, 0x1.2a9e47f541c2ap-14, 0x1.24f95c81a6866p-14, 0x1.1f230aa0d5625p-14, 0x1.191e7d07f379cp-14, 0x1.12eec4acf4757p-14, 0x1.0c96d964478f1p-14, 0x1.06199a70a5ca6p-14, 0x1.fef39e398721cp-15, 0x1.f1744e933a77p-15, 0x1.e3ba77fa8a433p-15, 0x1.d5cb1fdd3ea9p-15, 0x1.c7ab201a6d457p-15, 0x1.b95f281233113p-15, 0x1.aaebbdadde11dp-15, 0x1.9c553e6637231p-15, 0x1.8d9fe03cab594p-15, 0x1.7ecfb2b7e30c1p-15, 0x1.6fe89fda11a36p-15, 0x1.60ee6d10507c6p-15, 0x1.51e4bc1a2dd04p-15, 0x1.42cf0bf9246bcp-15, 0x1.33b0b9ce48a52p-15, 0x1.248d01b76cc43p-15, 0x1.1566ffae2c879p-15, 0x1.0641b05a45c81p-15, 0x1.ee3fe3c0fe418p-16, 0x1.d009096ebc6f1p-16, 0x1.b1e418d39668cp-16, 0x1.93d620bf317ebp-16, 0x1.75e3f9384d9e2p-16, 0x1.581245012f089p-16, 0x1.3a6572fd3504p-16, 0x1.1ce1bfa5de052p-16, 0x1.ff166ccff33abp-17, 0x1.c4cb660b3b403p-17, 0x1.8ae9c5cffd68dp-17, 0x1.51788cd80db9fp-17, 0x1.187e645e81329p-17, 0x1.c0034116ccd7p-18, 0x1.501085e4c36fep-18, 0x1.c25ff3d7be504p-19, 0x1.cdb190e575b87p-20, 0x1.b3fd2ed10093cp-24, -0x1.926edd2979f8ap-20, -0x1.9d9b21a49f54p-19, -0x1.37bd12e6fa0d1p-18, -0x1.9f623e54eadc7p-18, -0x1.02dacad2b63cap-17, -0x1.35580c89a39c7p-17, -0x1.6725a1513e2b7p-17, -0x1.9840812dc54dap-17, -0x1.c8a5dd39e413fp-17, -0x1.f8531ddf32525p-17, -0x1.13a2f087207d4p-16, -0x1.2abdfc3dbdb38p-16, -0x1.4179b3f6ab601p-16, -0x1.57d531c93b95bp-16, -0x1.6dcfa7331db8ep-16, -0x1.83685c4acb3c2p-16, -0x1.989eaefd5153dp-16, -0x1.ad72124a631c5p-16, -0x1.c1e20d8b91f41p-16, -0x1.d5ee3bb8fb275p-16, -0x1.e9964ab8a14ffp-16, -0x1.fcd9faad6c5b9p-16, -0x1.07dc8ea7c5436p-15, -0x1.1119caa12f392p-15, -0x1.1a24aabba8b9ep-15, -0x1.22fd3046903bep-15, -0x1.2ba3641b38ddcp-15, -0x1.34175651805eap-15, -0x1.3c591df74079p-15, -0x1.4468d8c909e6ap-15, -0x1.4c46aaeca6708p-15, -0x1.53f2beae89792p-15, -0x1.5b6d443ed4cd3p-15, -0x1.62b671725295p-15, -0x1.69ce8183ff07fp-15, -0x1.70b5b4d779c99p-15, -0x1.776c50bfbe312p-15, -0x1.7df29f4482696p-15, -0x1.8448eeeadc3b7p-15, -0x1.8a6f927fb6438p-15, -0x1.9066e0e2b1f37p-15, -0x1.962f34d244d66p-15, -0x1.9bc8ecbad1ffap-15, -0x1.a1346a85e8967p-15, -0x1.a672136b42934p-15, -0x1.ab824fc3455cbp-15, -0x1.b0658adb39943p-15, -0x1.b51c32c8c4a83p-15, -0x1.b9a6b842de707p-15, -0x1.be058e771e674p-15, -0x1.c2392ae2a16c1p-15, -0x1.c642052c5f5ffp-15, -0x1.ca2097013e13bp-15, -0x1.cdd55beefc69bp-15, -0x1.d160d14130e4ap-15, -0x1.d4c375e13d898p-15, -0x1.d7fdca35fc6bp-15, -0x1.db10500292987p-15, -0x1.ddfb8a4842199p-15, -0x1.e0bffd2a33998p-15, -0x1.e35e2dcfbd1e7p-15, -0x1.e5d6a24978409p-15, -0x1.e829e1765072fp-15, -0x1.ea5872ea6a001p-15, -0x1.ec62ded5d2424p-15, -0x1.ee49adebbaee2p-15, -0x1.f00d694c7449dp-15, -0x1.f1ae9a6ece43fp-15, -0x1.f32dcb0a6ee6ap-15, -0x1.f48b850219a7bp-15, -0x1.f5c852515d8bp-15, -0x1.f6e4bcf8bf3bdp-15, -0x1.f7e14eeab027fp-15, -0x1.f8be91f9aae12p-15, -0x1.f97d0fc7182cp-15, -0x1.fa1d51b352d9ep-15, -0x1.fa9fe0cd97189p-15, -0x1.fb0545c3e2a0cp-15, -0x1.fb4e08d5cba87p-15, -0x1.fb7ab1c59fec3p-15, -0x1.fb8bc7cb19c36p-15, -0x1.fb81d18675675p-15, -0x1.fb5d54f4907acp-15, -0x1.fb1ed76249e57p-15, -0x1.fac6dd620f0c8p-15, -0x1.fa55eac0e475dp-15, -0x1.f9cc827c089e9p-15, -0x1.f92b26b717cddp-15, -0x1.f87258b397788p-15, -0x1.f7a298c7195b6p-15, -0x1.f6bc66533a85cp-15, -0x1.f5c03fbdeacfap-15, -0x1.f4aea26949a9fp-15, -0x1.f3880aad5076ep-15, -0x1.f24cf3d0609d6p-15, -0x1.f0fdd801d2a98p-15, -0x1.ef9b30537453ep-15, -0x1.ee2574b34afd4p-15, -0x1.ec9d1be75569dp-15, -0x1.eb029b880aab4p-15, -0x1.e95667fbcacb5p-15, -0x1.e798f472eeb62p-15, -0x1.e5cab2e376808p-15, -0x1.e3ec1405b891bp-15, -0x1.e1fd8750688b6p-15, -0x1.dfff7af64d75cp-15, -0x1.ddf25be2ec95ep-15, -0x1.dbd695b819c56p-15, -0x1.d9ac92cb8fb6dp-15, -0x1.d774bc24fa143p-15, -0x1.d52f797be2cabp-15, -0x1.d2dd3136c387fp-15, -0x1.d07e48691992cp-15, -0x1.ce1322d274c2ap-15, -0x1.cb9c22dd47c72p-15, -0x1.c919a99e7876dp-15, -0x1.c68c16d4d06afp-15, -0x1.c3f3c8e85ed42p-15, -0x1.c1511cea179p-15, -0x1.bea46e949da47p-15, -0x1.bbee184bb0401p-15, -0x1.b92e731cb628dp-15, -0x1.b665d6bfc858dp-15, -0x1.b394999796409p-15, -0x1.b0bb10b216513p-15, -0x1.add98fc9b3e88p-15, -0x1.aaf06946461d1p-15, -0x1.a7ffee3e9536cp-15, -0x1.a5086e79528fap-15, -0x1.a20a386e20ab5p-15, -0x1.9f0599479443ap-15, -0x1.9bfadce4f41f5p-15, -0x1.98ea4ddb66454p-15, -0x1.95d435781be93p-15, -0x1.92b8dbc1f35aep-15, -0x1.8f98877beee33p-15, -0x1.8c737e2699178p-15, -0x1.894a0402dfdf8p-15, -0x1.861c5c13e0e87p-15, -0x1.82eac8214352fp-15, -0x1.7fb588b9ad1f9p-15, -0x1.7c7cdd355db73p-15, -0x1.794103b84a599p-15, -0x1.76023934f3036p-15, -0x1.72c0b96eb9f39p-15, -0x1.6f7cbefcb7d8ap-15, -0x1.6c36834c9f7ccp-15, -0x1.68ee3ea549e4ep-15, -0x1.65a428299042p-15, -0x1.625875dae95b9p-15, -0x1.5f0b5c9cd5c7dp-15, -0x1.5bbd103740166p-15, -0x1.586dc3598a472p-15, -0x1.551da79dba3d5p-15, -0x1.51cced8b56ef1p-15, -0x1.4e7bc49a21318p-15, -0x1.4b2a5b359027bp-15, -0x1.47d8debfcd6e4p-15, -0x1.44877b94a8a18p-15, -0x1.41365d0ca4d46p-15, -0x1.3de5ad8002c98p-15, -0x1.3a95964a2b01cp-15, -0x1.37463fcc8246ap-15, -0x1.33f7d171c9468p-15, -0x1.30aa71b104ef1p-15, }}, 
      {{-0x1.8324113f00fa9p-9, -0x1.7d072ca603d63p-8, -0x1.16eb9d188e62dp-7, -0x1.68c5a5a2c0c88p-7, -0x1.b3c84df10857ap-7, -0x1.f8657b1f54363p-7, -0x1.1bc66ac088baep-6, -0x1.3939f63896a99p-6, -0x1.5534925c28964p-6, -0x1.705940bb73a05p-6, -0x1.8b3ba289fd86bp-6, -0x1.a65947dd88151p-6, -0x1.c2167bcfedf34p-6, -0x1.debda0ff88beep-6, -0x1.fc805720a5c44p-6, -0x1.0dbce4fb0d509p-5, -0x1.1dd8d71a306b3p-5, -0x1.2e8fc7cb2ee55p-5, -0x1.3fd716509784fp-5, -0x1.519f586551a86p-5, -0x1.63d5d6d36abd8p-5, -0x1.7665e01012646p-5, -0x1.8939ec13d7783p-5, -0x1.9c3c9024ccd69p-5, -0x1.af5943c9b359bp-5, -0x1.c27cf9d3397a2p-5, -0x1.d596917ce261bp-5, -0x1.e897243f0bfc1p-5, -0x1.fb72352523f0ep-5, -0x1.070ee3382184cp-4, -0x1.10492d09e1e9cp-4, -0x1.1965709ff4cbbp-4, -0x1.22624f6180d32p-4, -0x1.2b3f7fcae56e4p-4, -0x1.33fdb6399386p-4, -0x1.3c9e8b7553c74p-4, -0x1.452461fa287d9p-4, -0x1.4d924ad628dcbp-4, -0x1.55ebeac417e9cp-4, -0x1.5e3560062e18ep-4, -0x1.667329647fe3p-4, -0x1.6eaa0e9743dcep-4, -0x1.76df0a4e96ec9p-4, -0x1.7f1735f6baedep-4, -0x1.8757b748bda57p-4, -0x1.8fa5afab7b33cp-4, -0x1.98062d5f98fc2p-4, -0x1.a07e1e69eb419p-4, -0x1.a912452a8596cp-4, -0x1.b1c72e8aca9c8p-4, -0x1.baa129aa96133p-4, -0x1.c3a440f2a4c84p-4, -0x1.ccd4347223535p-4, -0x1.d634756caa34dp-4, -0x1.dfc822fea9fa6p-4, -0x1.e99207beac8e8p-4, -0x1.f3949843067a3p-4, -0x1.fdd1f27457e72p-4, -0x1.0425eecb71b37p-3, -0x1.0981e57acf168p-3, -0x1.0efd6b8dcfe42p-3, -0x1.1498e5c4c3515p-3, -0x1.1a54906b02e27p-3, -0x1.20308094fdb1bp-3, -0x1.262ca584d8d7bp-3, -0x1.2c48ca2f0a5a2p-3, -0x1.328496d8f1781p-3, -0x1.38df92cbf23a4p-3, -0x1.3f5926181e209p-3, -0x1.45f09b61eb644p-3, -0x1.4ca521b6fbd3p-3, -0x1.5375ce665508cp-3, -0x1.5a619ed8d4795p-3, -0x1.61677a6706186p-3, -0x1.68863429ea75dp-3, -0x1.6fbc8cc46b49p-3, -0x1.77093423a44ebp-3, -0x1.7e6acb346936fp-3, -0x1.85dfe58c94909p-3, -0x1.8d670b0711a73p-3, -0x1.94feb9519a53bp-3, -0x1.9ca5656b7b75dp-3, -0x1.a4597d14bb9b7p-3, -0x1.ac19682d43f3bp-3, -0x1.b3e38a03b71d5p-3, -0x1.bbb64293d0de7p-3, -0x1.c38fefb445196p-3, -0x1.cb6eee3423445p-3, -0x1.d3519ae7e5fa4p-3, -0x1.db3653a65d433p-3, -0x1.e31b7835c5611p-3, -0x1.eaff6b2956a88p-3, -0x1.f2e092afaba25p-3, -0x1.fabd59527c1fap-3, -0x1.014a1754022adp-2, -0x1.0531c3fb59681p-2, -0x1.0914f065bfdfep-2, -0x1.0cf2ddc1c4aa2p-2, -0x1.10cad0e4b5f11p-2, -0x1.149c128371485p-2, -0x1.1865ef65a22b1p-2, -0x1.1c27b893a60c2p-2, -0x1.1fe0c37f6a685p-2, -0x1.23906a2876ff8p-2, -0x1.27360b3b743edp-2, -0x1.2ad10a2d63f52p-2, -0x1.2e60cf52d0ed8p-2, -0x1.31e4c7f32e9cap-2, -0x1.355c6658a9879p-2, -0x1.38c721dc9a877p-2, -0x1.3c2476f0d8498p-2, -0x1.3f73e7261cb3ep-2, -0x1.42b4f92fac5c3p-2, -0x1.45e738e47629ap-2, -0x1.490a373dd5caep-2, -0x1.4c1d8a542338ep-2, -0x1.4f20cd5940f97p-2, -0x1.5213a09147e9ep-2, -0x1.54f5a9497acc2p-2, -0x1.57c691cda5a46p-2, -0x1.5a86095c08945p-2, -0x1.5d33c417ed6b6p-2, -0x1.5fcf7afb09cb8p-2, -0x1.6258ebc5c36dap-2, -0x1.64cfd8ee77f45p-2, -0x1.6734098fd9e28p-2, -0x1.69854956809ffp-2, -0x1.6bc3686dba0ep-2, -0x1.6dee3b6bb8102p-2, -0x1.70059b3d2abf3p-2, -0x1.7209651053268p-2, -0x1.73f97a3fac73cp-2, -0x1.75d5c03c2884fp-2, -0x1.779e20771f7fp-2, -0x1.7952884bf2de4p-2, -0x1.7af2e8e976e8bp-2, -0x1.7c7f373b2b4fdp-2, -0x1.7df76bd24c3c7p-2, -0x1.7f5b82cec9d8fp-2, -0x1.80ab7bc82b2f5p-2, -0x1.81e759b66446ap-2, -0x1.830f22daab5eap-2, -0x1.8422e0a851b0dp-2, -0x1.85229fada1e87p-2, -0x1.860e6f7cd5ea6p-2, -0x1.86e662951d534p-2, -0x1.87aa8e4bc0fc2p-2, -0x1.885b0ab564d86p-2, -0x1.88f7f28f6ec52p-2, -0x1.898163299790ep-2, -0x1.89f77c4fa479bp-2, -0x1.8a5a603352cefp-2, -0x1.8aaa335675b5ap-2, -0x1.8ae71c7549955p-2, -0x1.8b114470fe7e6p-2, -0x1.8b28d63a81048p-2, -0x1.8b2dfebd7e781p-2, -0x1.8b20eccba7944p-2, -0x1.8b01d1083757ep-2, -0x1.8ad0ddd3bbd6ep-2, -0x1.8a8e47382418dp-2, -0x1.8a3a42d51617ap-2, -0x1.89d507cc8a3bdp-2, -0x1.895eceafb5926p-2, -0x1.88d7d16c389e9p-2, -0x1.88404b399e36ep-2, -0x1.8798788726e97p-2, -0x1.86e096e9e0756p-2, -0x1.8618e50b0e31bp-2, -0x1.8541a296e02d3p-2, -0x1.845b102b7978fp-2, -0x1.83656f484ae39p-2, -0x1.8261023dba3bep-2, -0x1.814e0c1d1d936p-2, -0x1.802cd0a90cb54p-2, -0x1.7efd9445fdd17p-2, -0x1.7dc09beb3aff9p-2, -0x1.7c762d1428addp-2, -0x1.7b1e8db1df3p-2, -0x1.79ba041d1a11p-2, -0x1.7848d70874cc9p-2, -0x1.76cb4d7304554p-2, -0x1.7541ae9b3aee3p-2, -0x1.73ac41f2246b8p-2, -0x1.720b4f0ef521dp-2, -0x1.705f1da2e950fp-2, -0x1.6ea7f56d7a52cp-2, -0x1.6ce61e30e2f38p-2, -0x1.6b19dfa6f7cadp-2, -0x1.6943817651d38p-2, -0x1.67634b27c74bfp-2, -0x1.6579841c36645p-2, -0x1.63867382a29bfp-2, -0x1.618a604e9c721p-2, -0x1.5f85912efd881p-2, -0x1.5d784c84ed54fp-2, -0x1.5b62d85b39693p-2, -0x1.59457a5df4f1ap-2, -0x1.572077d268b6bp-2, -0x1.54f4158f497a5p-2, -0x1.52c097f53fb23p-2, -0x1.508642e7afe98p-2, -0x1.4e4559c5d5d14p-2, -0x1.4bfe1f641d53bp-2, -0x1.49b0d605cad24p-2, -0x1.475dbf56e3995p-2, -0x1.45051c665d234p-2, -0x1.42a72da091679p-2, -0x1.404432c9f4423p-2, -0x1.3ddc6afa0b432p-2, -0x1.3b701496a776ep-2, -0x1.38ff6d4f5be06p-2, -0x1.368ab219373dp-2, -0x1.34121f2ab4c27p-2, -0x1.3195eff7f1082p-2, -0x1.2f165f2f11f4dp-2, -0x1.2c93a6b4ef52fp-2, -0x1.2a0dffa1f1eebp-2, -0x1.2785a23f285b1p-2, -0x1.24fac60395c5dp-2, -0x1.226da191b43fbp-2, -0x1.1fde6ab52c3c6p-2, -0x1.1d4d5660bc737p-2, -0x1.1aba98ac5768dp-2, -0x1.182664d37075cp-2, -0x1.1590ed3375adp-2, -0x1.12fa634a7be31p-2, -0x1.1062f7b6155f6p-2, -0x1.0dcada325417bp-2, -0x1.0b323998fa19bp-2, -0x1.089943e0cf56bp-2, -0x1.0600261d21375p-2, -0x1.03670c7d6c67fp-2, -0x1.00ce224d2811dp-2, -0x1.fc6b23e77233ep-3, -0x1.f73b09e9111e7p-3, -0x1.f20c47de77ebfp-3, -0x1.ecdf2d4023478p-3, -0x1.e7b407c0b0bffp-3, -0x1.e28b234e1c517p-3, -0x1.dd64ca1329eabp-3, -0x1.d84144791712cp-3, -0x1.d320d9297eb1ap-3, -0x1.ce03cd1070bf6p-3, -0x1.c8ea635ec4e16p-3, -0x1.c3d4dd8c99035p-3, -0x1.bec37b5c05979p-3, -0x1.b9b67adbf96dp-3, -0x1.b4ae186b4a4bbp-3, -0x1.afaa8ebbe7df5p-3, -0x1.aaac16d63c5fp-3, -0x1.a5b2e81cb2272p-3, -0x1.a0bf384f5e441p-3, -0x1.9bd13b8fce2c7p-3, -0x1.96e92464f6073p-3, -0x1.920723bf405e4p-3, -0x1.8d2b68fcbad81p-3, -0x1.885621ed5d54fp-3, -0x1.83877ad76fd54p-3, -0x1.7ebf9e7c073e7p-3, -0x1.79feb61b973c7p-3, -0x1.7544e97aa12a4p-3, -0x1.70925ee66f4a6p-3, -0x1.6be73b39e8a0dp-3, -0x1.6743a1e275839p-3, -0x1.62a7b4e4f3ffep-3, -0x1.5e1394e2ba52dp-3, -0x1.5987611eaaf96p-3, -0x1.55033782518bfp-3, -0x1.508734a308664p-3, -0x1.4c1373c7344c7p-3, -0x1.47a80eeb78255p-3, -0x1.43451ec7ff93cp-3, -0x1.3eeabad5c52ap-3, -0x1.3a98f953e871fp-3, -0x1.364fef4cfdcd8p-3, -0x1.320fb09c6804p-3, -0x1.2dd84ff3b7f76p-3, -0x1.29a9dee005507p-3, -0x1.25846dcf4f157p-3, -0x1.21680c15d8bc2p-3, -0x1.1d54c7f385793p-3, -0x1.194aae9938d7p-3, -0x1.1549cc2e29399p-3, -0x1.11522bd5396b6p-3, -0x1.0d63d7b2487ep-3, -0x1.097ed8ef7d446p-3, -0x1.05a337c292ae3p-3, -0x1.01d0fb72144e4p-3, -0x1.fc1054b533ffap-4, -0x1.f49193e7f7413p-4, -0x1.ed25bdacff095p-4, -0x1.e5ccd97ff228ap-4, -0x1.de86ed31cb5p-4, -0x1.d753fcf2fdac1p-4, -0x1.d0340b5d7b97fp-4, -0x1.c927197eb6478p-4, -0x1.c22d26e1814bp-4, -0x1.bb463197dbafcp-4, -0x1.b4723644ab0ep-4, -0x1.adb130255a709p-4, -0x1.a703191b5b54fp-4, -0x1.a067e9b59c1ccp-4, -0x1.99df9939d447p-4, -0x1.936a1dadbb329p-4, -0x1.8d076be02e577p-4, -0x1.86b777722e55ap-4, -0x1.807a32dfc7c8cp-4, -0x1.7a4f8f88dc177p-4, -0x1.74377db9d146fp-4, -0x1.6e31ecb421f81p-4, -0x1.683ecab6d0897p-4, -0x1.625e0506bd8d8p-4, -0x1.5c8f87f6dec2bp-4, -0x1.56d33ef05a13p-4, -0x1.5129147a7eccbp-4, -0x1.4b90f242a3695p-4, -0x1.460ac123e2f65p-4, -0x1.4096692ebc94ep-4, -0x1.3b33d1b0918ep-4, -0x1.35e2e13b07f3dp-4, -0x1.30a37dab48d94p-4, -0x1.2b758c31288c1p-4, -0x1.2658f15621f23p-4, -0x1.214d91043ff62p-4, -0x1.1c534e8cdf039p-4, -0x1.176a0caf52e5dp-4, -0x1.1291ad9f6d82ap-4, -0x1.0dca130be346ep-4, -0x1.09131e24963e7p-4, -0x1.046cafa0bc0d1p-4, -0x1.ffad4f89d19fdp-5, -0x1.f6a1ccd1f9f09p-5, -0x1.edb695fbda4c9p-5, -0x1.e4eb6926e9cebp-5, -0x1.dc4003bb4c8afp-5, -0x1.d3b42274b24ap-5, -0x1.cb47816d072dp-5, -0x1.c2f9dc26dc30ep-5, -0x1.bacaed979dbb5p-5, -0x1.b2ba7031885c2p-5, -0x1.aac81ded6b98ep-5, -0x1.a2f3b0542e16ep-5, -0x1.9b3ce088175e2p-5, -0x1.93a3674de7a57p-5, -0x1.8c26fd15b6451p-5, -0x1.84c75a03912e3p-5, -0x1.7d8435f7f22a4p-5, -0x1.765d4897f24e7p-5, -0x1.6f52495552826p-5, -0x1.6862ef7647dc9p-5, -0x1.618ef21d17173p-5, -0x1.5ad6084f7ae35p-5, -0x1.5437e8fdd5761p-5, -0x1.4db44b0a3a52fp-5, -0x1.474ae54f391cp-5, -0x1.40fb6ea67c0c2p-5, -0x1.3ac59def385abp-5, -0x1.34a92a1472a3cp-5, -0x1.2ea5ca13088e1p-5, -0x1.28bb34ff96e87p-5, -0x1.22e9220c30a0fp-5, -0x1.1d2f488de14f4p-5, -0x1.178d60020df8fp-5, -0x1.12032013a546ap-5, -0x1.0c9040a021fcdp-5, -0x1.073479bc6d6f9p-5, -0x1.01ef83b9889cbp-5, -0x1.f9822e5237e14p-6, -0x1.ef51d9c3b4b8dp-6, -0x1.e54d7c076f783p-6, -0x1.db7487f7fc558p-6, -0x1.d1c67112750c1p-6, -0x1.c842ab7e16134p-6, -0x1.bee8ac1372478p-6, -0x1.b5b7e8638c8a6p-6, -0x1.acafd6be79c21p-6, -0x1.a3cfee39e54a9p-6, -0x1.9b17a6b7447adp-6, -0x1.928678e9bb591p-6, -0x1.8a1bde5bd3928p-6, -0x1.81d75174e5565p-6, -0x1.79b84d7e4cd3p-6, -0x1.71be4ea85d8d2p-6, -0x1.69e8d20f187e9p-6, -0x1.623755beab51dp-6, -0x1.5aa958b7acc4p-6, -0x1.533e5af338a81p-6, -0x1.4bf5dd66b55c5p-6, -0x1.44cf620781531p-6, -0x1.3dca6bce53e7cp-6, -0x1.36e67eba7dd5p-6, -0x1.30231fd4eddafp-6, -0x1.297fd5330a786p-6, -0x1.22fc25f9513c4p-6, -0x1.1c979a5dd888ep-6, -0x1.1651bbaa97a3ap-6, -0x1.102a143f83234p-6, -0x1.0a202f948a682p-6, -0x1.04339a3b56742p-6, -0x1.fcc7c3c1f996p-7, -0x1.f1612a9ec86f9p-7, -0x1.e63288dd55f3dp-7, -0x1.db3b008ca0dc7p-7, -0x1.d079b5fc78798p-7, -0x1.c5edcfbf477f3p-7, -0x1.bb9676ab9cae9p-7, -0x1.b172d5dd7c9a5p-7, -0x1.a7821ab757f14p-7, -0x1.9dc374e2c814ep-7, -0x1.943616512cb9dp-7, -0x1.8ad9333bdd299p-7, -0x1.81ac02244e42ap-7, -0x1.78adbbd3dcfd5p-7, -0x1.6fdd9b5b7b62cp-7, -0x1.673ade131b5eap-7, -0x1.5ec4c398e144ep-7, -0x1.567a8dd03e6abp-7, -0x1.4e5b80e0bfc07p-7, -0x1.4666e334b71efp-7, -0x1.3e9bfd77cbd0fp-7, -0x1.36fa1a953ef7cp-7, -0x1.2f8087b622021p-7, -0x1.282e943f5199ep-7, -0x1.210391cf5e47p-7, -0x1.19fed43c3574cp-7, -0x1.131fb190ca76fp-7, -0x1.0c65820a73fc5p-7, -0x1.05cfa0164914p-7, -0x1.febad09ca495dp-8, -0x1.f21c72ed3eacfp-8, -0x1.e5c2e8f463ef4p-8, -0x1.d9acf8cfcc193p-8, -0x1.cdd96cde56aabp-8, -0x1.c24713b94ede6p-8, -0x1.b6f4c02d9964ap-8, -0x1.abe149348b6cp-8, -0x1.a10b89ecce9d3p-8, -0x1.96726192c39c1p-8, -0x1.8c14b3792b2fp-8, -0x1.81f1670139a84p-8, -0x1.78076792e299fp-8, -0x1.6e55a494cb506p-8, -0x1.64db116428c05p-8, -0x1.5b96a54c92321p-8, -0x1.52875b7f8f3fcp-8, -0x1.49ac330c37d61p-8, -0x1.41042ed6b4677p-8, -0x1.388e558f7ad8fp-8, -0x1.3049b1aa9861ep-8, -0x1.283551570db75p-8, -0x1.20504675a92dp-8, -0x1.1899a69053f57p-8, -0x1.11108ad0f3048p-8, -0x1.09b40ff84eb28p-8, -0x1.028356551175p-8, -0x1.f6fb0374ffe0bp-9, -0x1.e94372eebdd61p-9, -0x1.dbde509968326p-9, -0x1.cec9f8c8d6159p-9, -0x1.c204ce905aa78p-9, -0x1.b58d3bafff30fp-9, -0x1.a961b081d2088p-9, -0x1.9d80a3e746f2bp-9, -0x1.91e893369662dp-9, -0x1.86980227decdep-9, -0x1.7b8d7ac2886c5p-9, -0x1.70c78d4a9ff8dp-9, -0x1.6644d02df533bp-9, -0x1.5c03dff1a57bdp-9, -0x1.52035f1f51666p-9, -0x1.4841f6327f5ffp-9, -0x1.3ebe53862b563p-9, -0x1.35772b4229595p-9, -0x1.2c6b374873f8bp-9, -0x1.239937235d7dfp-9, -0x1.1affeff268117p-9, -0x1.129e2c58a24edp-9, -0x1.0a72bc6a24eb1p-9, -0x1.027c7599d7d9bp-9, -0x1.f574654f4cb12p-10, -0x1.e655a71c990d5p-10, -0x1.d79a7ae34ceafp-10, -0x1.c940b51966756p-10, -0x1.bb46343fef6b3p-10, -0x1.ada8e0c00f386p-10, -0x1.a066acc7dce3ap-10, -0x1.937d94274d216p-10, -0x1.86eb9c2e64a9p-10, -0x1.7aaed38a44ae3p-10, -0x1.6ec552239b22dp-10, -0x1.632d38fc56f27p-10, -0x1.57e4b20eaaa26p-10, -0x1.4ce9f02b161eap-10, -0x1.423b2ed7f195dp-10, -0x1.37d6b23036ad3p-10, -0x1.2dbac6c328a2cp-10, -0x1.23e5c1740e726p-10, -0x1.1a55ff5a2f693p-10, -0x1.1109e5a12aeb3p-10, -0x1.07ffe16950392p-10, -0x1.fe6ccf51e0c5ap-11, -0x1.ed57ea19edce7p-11, -0x1.dcbe1bb5dbc37p-11, -0x1.cc9c7ba3f295ap-11, -0x1.bcf0301b0b717p-11, -0x1.adb66dcee1616p-11, -0x1.9eec77b480cb2p-11, -0x1.908f9ec9063ecp-11, -0x1.829d41d7971d4p-11, -0x1.7512cd4081af5p-11, -0x1.67edbac0b8a7fp-11, -0x1.5b2b913a3b8acp-11, -0x1.4ec9e47c91c31p-11, -0x1.42c6550f08fdap-11, -0x1.371e8ff9979b5p-11, -0x1.2bd04e906a55bp-11, -0x1.20d9563f334a5p-11, -0x1.16377853f8385p-11, -0x1.0be891cd1da13p-11, -0x1.01ea8b254e0cap-11, -0x1.f076b043821e8p-12, -0x1.ddb1ef410348bp-12, -0x1.cb82e6ce0d70cp-12, -0x1.b9e5bfe45a047p-12, -0x1.a8d6b88c895a6p-12, -0x1.9852237efc87p-12, -0x1.885467c7b8f6ep-12, -0x1.78da006963a5fp-12, -0x1.69df7c025ffa9p-12, -0x1.5b617c733d3e8p-12, -0x1.4d5cb686ec4e7p-12, -0x1.3fcdf19aa7d3ap-12, -0x1.32b2074797a52p-12, -0x1.2605e30e934aep-12, -0x1.19c6820367c16p-12, -0x1.0df0f27baf04fp-12, -0x1.028253bab3752p-12, -0x1.eeefab4904fbbp-13, -0x1.d99d70d6c9b51p-13, -0x1.c508988764e7p-13, -0x1.b12be22d141b2p-13, -0x1.9e022c6abeb25p-13, -0x1.8b86741edfafap-13, -0x1.79b3d3d0dde9fp-13, -0x1.6885831edebc2p-13, -0x1.57f6d62f62c96p-13, -0x1.48033d241899fp-13, -0x1.38a6438ea237bp-13, -0x1.29db8fe9e59f4p-13, -0x1.1b9ee30fa186ep-13, -0x1.0dec17b7e9ac5p-13, -0x1.00bf21f42884ep-13, -0x1.e8281d6068f1p-14, -0x1.cfce06631ddfap-14, -0x1.b868793cbe55p-14, -0x1.a1f01eff7177p-14, -0x1.8c5dce95d7478p-14, -0x1.77aa8bd492b5dp-14, -0x1.63cf8691ed5acp-14, -0x1.50c619be725d9p-14, -0x1.3e87ca84586bp-14, -0x1.2d0e4769469dfp-14, -0x1.1c536772a52abp-14, -0x1.0c512951dccdcp-14, -0x1.fa03651945ccap-15, -0x1.dcbe9d63a36d2p-15, -0x1.c0c8dd1110dc9p-15, -0x1.a6174e97664b4p-15, -0x1.8c9f63c207051p-15, -0x1.7456d4345ef0dp-15, -0x1.5d339be6e96c7p-15, -0x1.472bf9b4c18afp-15, -0x1.32366de8bc263p-15, -0x1.1e49b8d644814p-15, -0x1.0b5cd97294cacp-15, -0x1.f2ce17f6a9d83p-16, -0x1.d0bf9138ad73ep-16, -0x1.b07d8441b6d88p-16, -0x1.91f7c94e9689ap-16, -0x1.751ea8bd87f72p-16, -0x1.59e2d887fdd33p-16, -0x1.403579df8011p-16, -0x1.280816b18849ep-16, -0x1.114c9f61418fep-16, -0x1.f7ead0caa2a94p-17, -0x1.cfea501bf7dbbp-17, -0x1.aa7de890e2a43p-17, -0x1.878c80d2d3c77p-17, -0x1.66fdb618c8abep-17, -0x1.48b9d7f2c0fe4p-17, -0x1.2ca9e41face11p-17, -0x1.12b7828776155p-17, -0x1.f59a02793e2cap-18, -0x1.c9aaa13066e78p-18, -0x1.a177fec5cf453p-18, -0x1.7cda6e3b4bc8cp-18, -0x1.5bab709113104p-18, -0x1.3dc5ad9d39c89p-18, -0x1.2304ed018dee3p-18, -0x1.0b460f30616ecp-18, -0x1.ecce0d3fd1c31p-19, -0x1.c88da26dfebcfp-19, -0x1.a98ae34749b2ep-19, -0x1.8f87d23bab867p-19, -0x1.7a4862048a9cdp-19, -0x1.6992697c59ceep-19, -0x1.5d2d979fb1c08p-19, -0x1.54e367c738991p-19, -0x1.507f15ee8aca9p-19, -0x1.4fcd93abbd5c2p-19, -0x1.529d7cf1b0c75p-19, -0x1.58bf0d36801fbp-19, -0x1.620414f4ce26ep-19, -0x1.6e3fef26a36d2p-19, -0x1.7d47773d0b383p-19, -0x1.8ef0fefe9cf27p-19, -0x1.a31444fdfe5c7p-19, -0x1.b98a6ad6f71dp-19, -0x1.d22dec029d68ep-19, -0x1.ecda94a7b34bap-19, -0x1.04b6bc4e169d3p-18, -0x1.13e275664664ap-18, -0x1.23e03a42c0c21p-18, -0x1.34a06690e7cap-18, -0x1.4613e8f197352p-18, -0x1.582c3ef735664p-18, -0x1.6adb713895d13p-18, -0x1.7e140f8544e7ep-18, -0x1.91c92d24a50f3p-18, -0x1.a5ee5d1e84bf8p-18, -0x1.ba77aec3a78d7p-18, -0x1.cf59aa15d4544p-18, -0x1.e4894c69862d7p-18, -0x1.f9fc05104f1f2p-18, -0x1.07d3d90baf53fp-17, -0x1.12c14e875fe2dp-17, -0x1.1dc1bbf85caf2p-17, -0x1.28d0ad0e0d0a5p-17, -0x1.33e9deaa49afcp-17, -0x1.3f093d7311ea5p-17, -0x1.4a2ae4619812p-17, -0x1.554b1b661d1ccp-17, -0x1.6066560a2dfeep-17, -0x1.6b7932216a63ap-17, -0x1.7680767e30f63p-17, -0x1.817911b34b6e5p-17, -0x1.8c6018d53930ep-17, -0x1.9732c651c657dp-17, -0x1.a1ee78ba3593cp-17, -0x1.ac90b1a56109fp-17, -0x1.b7171492c61aap-17, -0x1.c17f65d43fcc9p-17, -0x1.cbc78982903c2p-17, -0x1.d5ed82751115bp-17, -0x1.dfef713e49dd2p-17, -0x1.e9cb93303561fp-17, -0x1.f380416e4ad09p-17, -0x1.fd0beff91335p-17, -0x1.03369664d03dp-16, -0x1.07d14f7746ecp-16, -0x1.0c5582d84b783p-16, -0x1.10c29bddbb172p-16, -0x1.1518112528437p-16, -0x1.1955643103b62p-16, -0x1.1d7a21020fa8cp-16, -0x1.2185ddb991eb1p-16, -0x1.25783a3b4a2acp-16, -0x1.2950dfcff62e5p-16, -0x1.2d0f80ce856f2p-16, -0x1.30b3d84409e0fp-16, -0x1.343da9a1084eep-16, -0x1.37acc0653531ep-16, -0x1.3b00efd233c36p-16, -0x1.3e3a129d0827cp-16, -0x1.41580aa2b5b04p-16, -0x1.445ac09edcb8p-16, -0x1.474223e4c7cdbp-16, -0x1.4a0e2a19e7a35p-16, -0x1.4cbecef2a964ap-16, -0x1.4f5413f159a1ap-16, -0x1.51ce00274a914p-16, -0x1.542c9ff5e626ap-16, -0x1.567004d32a35cp-16, -0x1.589845107fb6fp-16, -0x1.5aa57ba07c9ebp-16, -0x1.5c97c7e1cdcdbp-16, -0x1.5e6f4d69e308bp-16, -0x1.602c33d0afa3dp-16, -0x1.61cea67f72851p-16, -0x1.6356d47fc3534p-16, -0x1.64c4f04be6114p-16, -0x1.66192fa365ff5p-16, -0x1.6753cb5c5cc3ep-16, -0x1.6874ff3a4b99fp-16, -0x1.697d09c4668abp-16, -0x1.6a6c2c1e13dd9p-16, -0x1.6b42a9de3fc59p-16, -0x1.6c00c8eb76e06p-16, -0x1.6ca6d1570afd5p-16, -0x1.6d350d393e2eep-16, -0x1.6dabc8900cb79p-16, -0x1.6e0b511e8b66dp-16, -0x1.6e53f64bb7492p-16, -0x1.6e8609054490ap-16, -0x1.6ea1dba0c0beep-16, -0x1.6ea7c1bf6b719p-16, -0x1.6e98103268894p-16, -0x1.6e731cdfffceap-16, -0x1.6e393ea9e67c8p-16, -0x1.6deacd54ab2e3p-16, -0x1.6d88216f376bcp-16, -0x1.6d11943c1ac74p-16, -0x1.6c877f9a90ccep-16, -0x1.6bea3df1cde5ap-16, -0x1.6b3a2a1c352a6p-16, -0x1.6a779f53596bdp-16, -0x1.69a2f91cc0c73p-16, -0x1.68bc93387f7e3p-16, -0x1.67c4c98e25574p-16, -0x1.66bbf81c62594p-16, -0x1.65a27ae8e5e51p-16, -0x1.6478adf123ac7p-16, -0x1.633eed19e94bbp-16, -0x1.61f5942310a68p-16, -0x1.609cfe98a4b4fp-16, -0x1.5f3587c54c038p-16, -0x1.5dbf8aa68287bp-16, -0x1.5c3b61e07b8bdp-16, -0x1.5aa967b21d8b9p-16, -0x1.5909f5eaacf7dp-16, -0x1.575d65df4b065p-16, -0x1.55a41060488c9p-16, -0x1.53de4db11c08fp-16, -0x1.520c757e2093ap-16, -0x1.502eded45019p-16, -0x1.4e45e01919adfp-16, -0x1.4c51cf038584cp-16, -0x1.4a530093f5a35p-16, -0x1.4849c90d3f096p-16, -0x1.46367beebb6f3p-16, -0x1.44196bee5035fp-16, -0x1.41f2eaf28bae1p-16, -0x1.3fc34a0c30cfap-16, -0x1.3d8ad9729949ap-16, -0x1.3b49e87e25a63p-16, -0x1.3900c5a437969p-16, -0x1.36afbe72c0297p-16, -0x1.34571f8d054a5p-16, -0x1.31f734a7c0cd8p-16, -0x1.2f9048856383ap-16, -0x1.2d22a4f3ff46dp-16, -0x1.2aae92ca4b2bap-16, -0x1.283459e4c0312p-16, -0x1.25b44123742cep-16, -0x1.232e8e689a725p-16, -0x1.20a38696e6363p-16, -0x1.1e136d8f5efe8p-16, -0x1.1b7e863039eafp-16, -0x1.18e5125394ba8p-16, -0x1.164752cef869ap-16, -0x1.13a5877279197p-16, -0x1.10ffef07ab724p-16, -0x1.0e56c7522939dp-16, -0x1.0baa4d0e3b0d7p-16, -0x1.08fabbf1bb5cep-16, -0x1.06484eab8fab2p-16, -0x1.03933ee442c29p-16, -0x1.00dbc53dfa9e2p-16, -0x1.fc4432ab032b2p-17, -0x1.f6cce3858bd02p-17, -0x1.f15208327d3b7p-17, -0x1.ebd409d1ff05p-17, -0x1.e6534f803ffe7p-17, -0x1.e0d03e56d183fp-17, -0x1.db4b396f16104p-17, -0x1.d5c4a1e568488p-17, -0x1.d03cd6db27901p-17, -0x1.cab4357a6c4ffp-17, -0x1.c52b18f8768abp-17, -0x1.bfa1da99e82a4p-17, -0x1.ba18d1b636fc9p-17, -0x1.b49053ba05a8dp-17, -0x1.af08b42c96b8ep-17, -0x1.a98244b2861d9p-17, -0x1.a3fd5511d9b1cp-17, -0x1.9e7a333734da1p-17, -0x1.98f92b38f85bdp-17, -0x1.937a875c44fd1p-17, -0x1.8dfe9018dde9ap-17, -0x1.88858c1ea00eep-17, -0x1.830fc05978adfp-17, -0x1.7d9d6ff617474p-17, -0x1.782edc6682b3dp-17, -0x1.72c4456793629p-17, -0x1.6d5de905392e1p-17, -0x1.67fc03a092bp-17, -0x1.629ecff3e2627p-17, -0x1.5d468717dabfap-17, -0x1.57f36088d6349p-17, -0x1.52a5922c16482p-17, -0x1.4d5d505510bd5p-17, -0x1.481acdca8334bp-17, -0x1.42de3bcb32355p-17, -0x1.3da7ca143f9f7p-17, -0x1.3877a6e5a6d76p-17, -0x1.334dff079a79dp-17, -0x1.2e2afdd0b0019p-17, -0x1.290ecd2a46c29p-17, -0x1.23f99595f1b9bp-17, -0x1.1eeb7e331e08ap-17, -0x1.19e4acc486dc5p-17, -0x1.14e545b559574p-17, -0x1.0fed6c1ec0d2fp-17, -0x1.0afd41ccc271dp-17, -0x1.0614e743b49f9p-17, -0x1.01347bc667b08p-17, -0x1.f8b83ab4af132p-18, -0x1.ef17d19ad6f31p-18, -0x1.e587f375ff88ap-18, -0x1.dc08d52357a63p-18, -0x1.d29aa92ef9e27p-18, -0x1.c93d9fdff04d7p-18, -0x1.bff1e742a814dp-18, -0x1.b6b7ab31f4ccbp-18, -0x1.ad8f15623197dp-18, -0x1.a4784d6bb02fap-18, -0x1.9b7378d353d61p-18, -0x1.9280bb15dc928p-18, -0x1.89a035b182aa6p-18, -0x1.80d2082f23216p-18, -0x1.7816502d465cfp-18, -0x1.6f6d296908559p-18, -0x1.66d6adc80a3dp-18, -0x1.5e52f56128d22p-18, -0x1.55e2168758efap-18, -0x1.4d8425d1aa04ep-18, -0x1.453936249f42cp-18, -0x1.3d0158bcab9c9p-18, -0x1.34dc9d3679b6cp-18, -0x1.2ccb11971e384p-18, -0x1.24ccc2563fa1p-18, -0x1.1ce1ba66aeedap-18, -0x1.150a033e19ef1p-18, -0x1.0d45a4df6d105p-18, -0x1.0594a5e17221ep-18, -0x1.fbee16f04007fp-19, -0x1.ecd9b2fa95461p-19, -0x1.ddec24f11de93p-19, -0x1.cf256f4ddc80dp-19, }}, 
      {{-0x1.aa50ab21618fep-1, -0x1.aa223849371e8p-1, -0x1.a9ce1a2b03c93p-1, -0x1.a95036c88efecp-1, -0x1.a8a738a9cbb6ap-1, -0x1.a7d477e0eb78p-1, -0x1.a6db5de568286p-1, -0x1.a5c0a778c8293p-1, -0x1.a489b47075ceep-1, -0x1.a33bf996367fdp-1, -0x1.a1dc99b229803p-1, -0x1.a070230a902cdp-1, -0x1.9efa6b3eae415p-1, -0x1.9d7e827b1bdb3p-1, -0x1.9bfeb76d3534dp-1, -0x1.9a7ca6568f22fp-1, -0x1.98f94ec5f0085p-1, -0x1.97752c925282dp-1, -0x1.95f051a5a49d9p-1, -0x1.946a7ee95a271p-1, -0x1.92e33b40333f7p-1, -0x1.9159e7ec49138p-1, -0x1.8fcdd2151f99fp-1, -0x1.8e3e415d7920ap-1, -0x1.8caa83a17fbc9p-1, -0x1.8b11f61035408p-1, -0x1.89740be2a2369p-1, -0x1.87d052fae882dp-1, -0x1.862676b770846p-1, -0x1.847641449c2a2p-1, -0x1.82bf9bb31018p-1, -0x1.81028d12c14e2p-1, -0x1.7f3f38cc32b11p-1, -0x1.7d75dc6a46938p-1, -0x1.7ba6cd000787p-1, -0x1.79d2744f202cp-1, -0x1.77f94dcd839ecp-1, -0x1.761be3a322b19p-1, -0x1.743acbb382671p-1, -0x1.7256a4c29a85ap-1, -0x1.707013c090fcep-1, -0x1.6e87c144a44edp-1, -0x1.6c9e573cda92bp-1, -0x1.6ab47ed5c76e4p-1, -0x1.68cade9bdf131p-1, -0x1.66e218d6539c2p-1, -0x1.64faca1a553fcp-1, -0x1.63158814a1d4fp-1, -0x1.6132e086b164fp-1, -0x1.5f535874545a1p-1, -0x1.5d776b7e48079p-1, -0x1.5b9f8b661f217p-1, -0x1.59cc1fb7c7bb2p-1, -0x1.57fd8594fe506p-1, -0x1.56340f9f1128bp-1, -0x1.547005fb78613p-1, -0x1.52b1a66ff158bp-1, -0x1.50f92492fdb6dp-1, -0x1.4f46aa0dd5c2ep-1, -0x1.4d9a56ed1edabp-1, -0x1.4bf441fdddfa1p-1, -0x1.4a54793465f7ap-1, -0x1.48bb021b2d83dp-1, -0x1.4727da47aa73ep-1, -0x1.459af7d38c5a3p-1, -0x1.441449d8d2f47p-1, -0x1.4293b8ef706cdp-1, -0x1.411927ab50521p-1, -0x1.3fa47319be40fp-1, -0x1.3e35733d4bb8fp-1, -0x1.3ccbfb877aa2ep-1, -0x1.3b67db4f82fdcp-1, -0x1.3a08de45b45ebp-1, -0x1.38aecce2fb334p-1, -0x1.37596cd439bafp-1, -0x1.3608816125548p-1, -0x1.34bbcbce7b7cap-1, -0x1.33730bbb61a01p-1, -0x1.322dff79de9bfp-1, -0x1.30ec64625da51p-1, -0x1.2fadf7223b3f9p-1, -0x1.2e72740562379p-1, -0x1.2d39973b0a692p-1, -0x1.2c031d15acb37p-1, -0x1.2acec24648736p-1, -0x1.299c44131bf3fp-1, -0x1.286b6089f1e8fp-1, -0x1.273bd6ae2bc25p-1, -0x1.260d66a2b0a4bp-1, -0x1.24dfd1cff087dp-1, -0x1.23b2db0620a3bp-1, -0x1.2286469be469ep-1, -0x1.2159da898e953p-1, -0x1.202d5e8124f8cp-1, -0x1.1f009c035818ap-1, -0x1.1dd35e719935p-1, -0x1.1ca5731d7a8a5p-1, -0x1.1b76a95583c7bp-1, -0x1.1a46d26fa75e5p-1, -0x1.1915c1d17c82ap-1, -0x1.17e34cf669d9fp-1, -0x1.16af4b73e209bp-1, -0x1.157996fbd9bc6p-1, -0x1.14420b5d97705p-1, -0x1.13088684ff965p-1, -0x1.11cce8787bc9dp-1, -0x1.108f13559a996p-1, -0x1.0f4eeb4c85c82p-1, -0x1.0e0c569a69339p-1, -0x1.0cc73d82e36e6p-1, -0x1.0b7f8a4896b7dp-1, -0x1.0a352924f603ap-1, -0x1.08e8083f5bb63p-1, -0x1.079817a3843e8p-1, -0x1.064549377bf3bp-1, -0x1.04ef90b111cd5p-1, -0x1.0396e38ae01dap-1, -0x1.023b38f8fa414p-1, -0x1.00dc89dd4ab46p-1, -0x1.fef5a17766badp-2, -0x1.fc2c135bec682p-2, -0x1.f95c64aeee6b3p-2, -0x1.f68693b1b7332p-2, -0x1.f3aaa1872dfdep-2, -0x1.f0c8921ace02ep-2, -0x1.ede06c079a18ap-2, -0x1.eaf2387f0e284p-2, -0x1.e7fe033023893p-2, -0x1.e503da2e74279p-2, -0x1.e203cdd980d85p-2, -0x1.defdf0c42d56bp-2, -0x1.dbf2579c733a5p-2, -0x1.d8e119135a6b6p-2, -0x1.d5ca4dc53a97fp-2, -0x1.d2ae10224c45p-2, -0x1.cf8c7c578e4fdp-2, -0x1.cc65b0380b50ap-2, -0x1.c939cb267a77bp-2, -0x1.c608edff45921p-2, -0x1.c2d33b02f74a6p-2, -0x1.bf98d5c10f01cp-2, -0x1.bc59e3034a164p-2, -0x1.b91688b950ff4p-2, -0x1.b5ceede4deae2p-2, -0x1.b2833a8653aeep-2, -0x1.af339789c0e9bp-2, -0x1.abe02eb461a9ep-2, -0x1.a8892a928f77bp-2, -0x1.a52eb66627db9p-2, -0x1.a1d0fe15678e5p-2, -0x1.9e702e1a3e2bap-2, -0x1.9b0c737211292p-2, -0x1.97a5fb8dfad46p-2, -0x1.943cf4437662ep-2, -0x1.90d18bbd84136p-2, -0x1.8d63f06e416a8p-2, -0x1.89f45100eda14p-2, -0x1.8682dc4c6623cp-2, -0x1.830fc1460d0ecp-2, -0x1.7f9b2ef522e77p-2, -0x1.7c2554668dd68p-2, -0x1.78ae60a1098edp-2, -0x1.75368299c67abp-2, -0x1.71bde92972752p-2, -0x1.6e44c301a6ac4p-2, -0x1.6acb3ea2bff1bp-2, -0x1.67518a521bc21p-2, -0x1.63d7d410b8418p-2, -0x1.605e499236bc8p-2, -0x1.5ce5183440ac3p-2, -0x1.596c6cf649f88p-2, -0x1.55f47471b2393p-2, -0x1.527d5ad24090fp-2, -0x1.4f074bcefb73p-2, -0x1.4b9272a358d05p-2, -0x1.481efa08c2b54p-2, -0x1.44ad0c3074bedp-2, -0x1.413cd2bdaaecdp-2, -0x1.3dce76c024049p-2, -0x1.3a6220aeef984p-2, -0x1.36f7f86391d28p-2, -0x1.339025156d9fp-2, -0x1.302acd557c3c4p-2, -0x1.2cc8170a4dce4p-2, -0x1.2968276c52831p-2, -0x1.260b230267725p-2, -0x1.22b12d9ea8f95p-2, -0x1.1f5a6a5b87f1ap-2, -0x1.1c06fb991cea3p-2, -0x1.18b702fabeab2p-2, -0x1.156aa164d256bp-2, -0x1.1221f6fad83b6p-2, -0x1.0edd231db476fp-2, -0x1.0b9c446a2beefp-2, -0x1.085f78b79ca9p-2, -0x1.0526dd16e7d69p-2, -0x1.01f28dd190a61p-2, -0x1.fd854cd218aefp-3, -0x1.f72e832c85621p-3, -0x1.f0e0f2927be78p-3, -0x1.ea9ccd520e77cp-3, -0x1.e46244275b14p-3, -0x1.de31863cf0ae9p-3, -0x1.d80ac12c829bp-3, -0x1.d1ee20ffef8f4p-3, -0x1.cbdbd0328c5f1p-3, -0x1.c5d3f7b2ba5d9p-3, -0x1.bfd6bee3c4fd8p-3, -0x1.b9e44ba00089ap-3, -0x1.b3fcc23b258dfp-3, -0x1.ae204584f0dd7p-3, -0x1.a84ef6cbf3f86p-3, -0x1.a288f5e0a92d6p-3, -0x1.9cce6118b1128p-3, -0x1.971f555248494p-3, -0x1.917bedf7f1286p-3, -0x1.8be4450441767p-3, -0x1.86587305e6accp-3, -0x1.80d88f23c9049p-3, -0x1.7b64af215b5f7p-3, -0x1.75fce7630e5fcp-3, -0x1.70a14af2e249ep-3, -0x1.6b51eb851eb85p-3, -0x1.660ed97d22f0dp-3, -0x1.60d823f255e4p-3, -0x1.5badd8b52b499p-3, -0x1.5690045449477p-3, -0x1.517eb221b6e5ap-3, -0x1.4c79ec382bee3p-3, -0x1.4781bb806a7aap-3, -0x1.429627b6acbc3p-3, -0x1.3db737701e338p-3, -0x1.38e4f02069239p-3, -0x1.341f561f45c6fp-3, -0x1.2f666cae1bfd9p-3, -0x1.2aba35fda79eap-3, -0x1.261ab333a91a2p-3, -0x1.2187e470953a4p-3, -0x1.1d01c8d54e90ep-3, -0x1.18885e88dfc6dp-3, -0x1.141ba2be37acfp-3, -0x1.0fbb91b9e2aa6p-3, -0x1.0b6826d7cc14ap-3, -0x1.07215c90f256ap-3, -0x1.02e72c811e9c1p-3, -0x1.fd731ed931f08p-4, -0x1.f530fa8bab068p-4, -0x1.ed07da662c105p-4, -0x1.e4f7ab282578bp-4, -0x1.dd00580f166e2p-4, -0x1.d521cae1b256bp-4, -0x1.cd5bebfaea1e5p-4, -0x1.c5aea254e3edp-4, -0x1.be19d393ddc16p-4, -0x1.b69d6410f05ffp-4, -0x1.af3936e4c26ep-4, -0x1.a7ed2df221286p-4, -0x1.a0b929f077adcp-4, -0x1.999d0a762da7fp-4, -0x1.9298ae02e6a46p-4, -0x1.8babf209a5cecp-4, -0x1.84d6b2fad178fp-4, -0x1.7e18cc4e11b28p-4, -0x1.7772188c147bfp-4, -0x1.70e271582bfaap-4, -0x1.6a69af79cb99dp-4, -0x1.6407aae5dfb3p-4, -0x1.5dbc3ac8069a1p-4, -0x1.5787358b9f70bp-4, -0x1.516870e4b8141p-4, -0x1.4b5fc1d8d4b11p-4, -0x1.456cfcc790fdbp-4, -0x1.3f8ff5731d637p-4, -0x1.39c87f0893df2p-4, -0x1.34166c2827c32p-4, -0x1.2e798eed2d89dp-4, -0x1.28f1b8f5fdb6bp-4, -0x1.237ebb6baf142p-4, -0x1.1e206709aaf19p-4, -0x1.18d68c2518eafp-4, -0x1.13a0fab424b0ep-4, -0x1.0e7f82551be16p-4, -0x1.0971f2556776p-4, -0x1.047819b85693fp-4, -0x1.ff238e7b9d967p-5, -0x1.f57d92d18d02p-5, -0x1.ebfddd0b4cbd9p-5, -0x1.e2a40960f7926p-5, -0x1.d96fb3b60ff46p-5, -0x1.d06077a54fc0fp-5, -0x1.c775f08c2fddp-5, -0x1.beafb9962210dp-5, -0x1.b60d6dc77e309p-5, -0x1.ad8ea8082b02ap-5, -0x1.a533032df909ep-5, -0x1.9cfa1a06b36d1p-5, -0x1.94e38761efc6cp-5, -0x1.8ceee61a90e79p-5, -0x1.851bd120011d6p-5, -0x1.7d69e37f2ff67p-5, -0x1.75d8b86b408p-5, -0x1.6e67eb45fb5adp-5, -0x1.671717a7f9bcep-5, -0x1.5fe5d9688d999p-5, -0x1.58d3cca56ceb8p-5, -0x1.51e08dca14dd7p-5, -0x1.4b0bb996f3f39p-5, -0x1.4454ed2856481p-5, -0x1.3dbbc5fd0a012p-5, -0x1.373fe1fcd4a14p-5, -0x1.30e0df7ea2ad6p-5, -0x1.2a9e5d4e80153p-5, -0x1.2477fab357f6fp-5, -0x1.1e6d577477839p-5, -0x1.187e13dedffbap-5, -0x1.12a9d0ca57eecp-5, -0x1.0cf02f9e4f71ap-5, -0x1.0750d2568c093p-5, -0x1.01cb5b87a082p-5, -0x1.f8bedcc663891p-6, -0x1.ee195d7819055p-6, -0x1.e3a5821405e8ap-6, -0x1.d96294db5032p-6, -0x1.cf4fe167952c3p-6, -0x1.c56cb4b1a4c21p-6, -0x1.bbb85d17cb882p-6, -0x1.b2322a63d44b6p-6, -0x1.a8d96dd0a937ep-6, -0x1.9fad7a0fa6e3cp-6, -0x1.96ada34d9f21cp-6, -0x1.8dd93f3783298p-6, -0x1.852fa4feca321p-6, -0x1.7cb02d5d8c0cfp-6, -0x1.745a329a3f921p-6, -0x1.6c2d108b49e66p-6, -0x1.6428249a3b6d7p-6, -0x1.5c4acdc6bbce6p-6, -0x1.54946ca94f451p-6, -0x1.4d046375bda83p-6, -0x1.459a15fd51527p-6, -0x1.3e54e9b0c6884p-6, -0x1.373445a20d1fcp-6, -0x1.30379285c5e69p-6, -0x1.295e3ab489d92p-6, -0x1.22a7aa2bff631p-6, -0x1.1c134e8fb8bcep-6, -0x1.15a09729d023fp-6, -0x1.0f4ef4eb71c6ap-6, -0x1.091dda6d108b3p-6, -0x1.030cbbee85ba1p-6, -0x1.fa361eadf65b6p-7, -0x1.ee90986949e7cp-7, -0x1.e327d778ae185p-7, -0x1.d7fad191d3c7fp-7, -0x1.cd087fb50c636p-7, -0x1.c24fde2b7108fp-7, -0x1.b7cfec84d594bp-7, -0x1.ad87ad9568a42p-7, -0x1.a37627732257dp-7, -0x1.999a6372d3614p-7, -0x1.8ff36e2510e1ap-7, -0x1.86805752d01p-7, -0x1.7d4031f9c82c2p-7, -0x1.74321448aba05p-7, -0x1.6b55179b1d95ep-7, -0x1.62a858756f3e1p-7, -0x1.5a2af6803f8cap-7, -0x1.51dc1483cc22bp-7, -0x1.49bad86336f6ep-7, -0x1.41c66b1788941p-7, -0x1.39fdf8aa972e3p-7, -0x1.3260b031b8609p-7, -0x1.2aedc3c854f18p-7, -0x1.23a4688a67565p-7, -0x1.1c83d68eb1dfbp-7, -0x1.158b48e108e2dp-7, -0x1.0eb9fd7c4774fp-7, -0x1.080f3544552dcp-7, -0x1.018a34000092p-7, -0x1.f65480a560c94p-8, -0x1.e9dd476c2f929p-8, -0x1.ddad54e77aba2p-8, -0x1.d1c3473d04575p-8, -0x1.c61dc2180e929p-8, -0x1.babb6e9c06333p-8, -0x1.af9afb571bb93p-8, -0x1.a4bb1c349db2ap-8, -0x1.9a1a8a6f70567p-8, -0x1.8fb804842404p-8, -0x1.85924e233be3fp-8, -0x1.7ba830231a773p-8, -0x1.71f878721cdeep-8, -0x1.6881fa0876cfcp-8, -0x1.5f438cda2702ap-8, -0x1.563c0dc8ad6fap-8, -0x1.4d6a5e94f08bap-8, -0x1.44cd65d0f4ec1p-8, -0x1.3c640ed1984b4p-8, -0x1.342d49a05bc08p-8, -0x1.2c280aecfabccp-8, -0x1.24534bff4e07cp-8, -0x1.1cae0aa8d1015p-8, -0x1.153749367efdp-8, -0x1.0dee0e62939fbp-8, -0x1.06d1654636692p-8, -0x1.ffc0ba96addep-9, -0x1.f234143cf0fa4p-9, -0x1.e4fb074135f69p-9, -0x1.d813cbb243b56p-9, -0x1.cb7ca1cf67643p-9, -0x1.bf33d1ecb91efp-9, -0x1.b337ac570d426p-9, -0x1.a78689384f93bp-9, -0x1.9c1ec87bd5672p-9, -0x1.90fed1b2f2c38p-9, -0x1.862513f9a72b1p-9, -0x1.7b9005db4f74dp-9, -0x1.713e2537cc2ecp-9, -0x1.672df72887e81p-9, -0x1.5d5e07e5c97c5p-9, -0x1.53cceaac4e6c7p-9, -0x1.4a7939a2d3344p-9, -0x1.416195c008d6ap-9, -0x1.3884a6b0924adp-9, -0x1.2fe11abd55cb6p-9, -0x1.2775a6b1df085p-9, -0x1.1f4105c31e3cp-9, -0x1.1741f9762fb28p-9, -0x1.0f7749877c425p-9, -0x1.07dfc3d205aebp-9, -0x1.007a3c36f336cp-9, -0x1.f28b190a8217cp-10, -0x1.e48128c385121p-10, -0x1.d6d4725eabe86p-10, -0x1.c982cbee83d07p-10, -0x1.bc8a16a3ef074p-10, -0x1.afe83e9fc1f2fp-10, -0x1.a39b3ac53e129p-10, -0x1.97a10c8c81ab8p-10, -0x1.8bf7bfd619f1ep-10, -0x1.809d6abe5f269p-10, -0x1.75902d71f570ap-10, -0x1.6ace32024936p-10, -0x1.6055ac3ac9bbp-10, -0x1.5624d9769338ep-10, -0x1.4c3a00767f691p-10, -0x1.42937137d831bp-10, -0x1.392f84cb898c6p-10, -0x1.300c9d2da8fdfp-10, -0x1.2729251d878b2p-10, -0x1.1e838ff68d363p-10, -0x1.161a5988e1d2p-10, -0x1.0dec05f37cff2p-10, -0x1.05f7217df244p-10, -0x1.fc7480e611a5p-11, -0x1.ed67fdf7e6223p-11, -0x1.dec601f73918p-11, -0x1.d08be3d5d37bcp-11, -0x1.c2b7096a57471p-11, -0x1.b544e729ee213p-11, -0x1.a832ffe3c44d1p-11, -0x1.9b7ee47c9f101p-11, -0x1.8f2633abbec9bp-11, -0x1.832699b8ab748p-11, -0x1.777dd03a21d59p-11, -0x1.6c299dd5705c4p-11, -0x1.6127d5ff5630fp-11, -0x1.567658bd891fep-11, -0x1.4c131268f8aa1p-11, -0x1.41fbfb7166e99p-11, -0x1.382f182178945p-11, -0x1.2eaa7863eee85p-11, -0x1.256c3789c9fb5p-11, -0x1.1c727c113914p-11, -0x1.13bb776d091d9p-11, -0x1.0b4565ce42736p-11, -0x1.030e8dec81f7ep-11, -0x1.f62a81a2b278ep-12, -0x1.e6afb3462707cp-12, -0x1.d7a97ae17bcccp-12, -0x1.c914b5fed1d26p-12, -0x1.baee552f485dbp-12, -0x1.ad335ba888fc7p-12, -0x1.9fe0dee2f70e5p-12, -0x1.92f4063a181bcp-12, -0x1.866a0a8f2c6cdp-12, -0x1.7a4035ebee5adp-12, -0x1.6e73e3276bdp-12, -0x1.63027d8da34b7p-12, -0x1.57e9808668b24p-12, -0x1.4d26773fc5d77p-12, -0x1.42b6fc585528ap-12, -0x1.3898b98c8e426p-12, -0x1.2ec96763c74e3p-12, -0x1.2546cce0754abp-12, -0x1.1c0ebf307c176p-12, -0x1.131f215f6cfe9p-12, -0x1.0a75e40a1e398p-12, -0x1.02110513aa4aep-12, -0x1.f3dd1eb6df353p-13, -0x1.e41934e980d35p-13, -0x1.d4d294c036faap-13, -0x1.c6059e89a38d3p-13, -0x1.b7aeca5a42622p-13, -0x1.a9caa783e9d7ap-13, -0x1.9c55dc136e402p-13, -0x1.8f4d244ea3e29p-13, -0x1.82ad523404b73p-13, -0x1.76734cff20058p-13, -0x1.6a9c10ad76185p-13, -0x1.5f24ad86c0582p-13, -0x1.540a47a61f151p-13, -0x1.494a16872d4f9p-13, -0x1.3ee16493ef617p-13, -0x1.34cd8eb677e94p-13, -0x1.2b0c03ea66e16p-13, -0x1.219a44d2dfb9dp-13, -0x1.1875e35205764p-13, -0x1.0f9c82202c084p-13, -0x1.070bd4694b256p-13, -0x1.fd833ad0b7c5fp-14, -0x1.ed77600e7b17ap-14, -0x1.ddefdcff5fc41p-14, -0x1.cee893fb60862p-14, -0x1.c05d8489fd7bap-14, -0x1.b24acaaedf3ebp-14, -0x1.a4ac9e3a432cp-14, -0x1.977f521dffd24p-14, -0x1.8abf53c539873p-14, -0x1.7e692a6f1dca8p-14, -0x1.7279768e218eap-14, -0x1.66ecf12affad8p-14, -0x1.5bc06b48d5f87p-14, -0x1.50f0cd4e5cafep-14, -0x1.467b16714f213p-14, -0x1.3c5c5c2516dfbp-14, -0x1.3291c98e15ff1p-14, -0x1.29189ef3d36a8p-14, -0x1.1fee313cbad05p-14, -0x1.170fe965515c7p-14, -0x1.0e7b44002356p-14, -0x1.062dd0b5d7911p-14, -0x1.fc4a638f27764p-15, -0x1.ecbe372b1637p-15, -0x1.ddb2a84ee3d37p-15, -0x1.cf23657013a1bp-15, -0x1.c10c3e84adbcp-15, -0x1.b3692424c67afp-15, -0x1.a63626afa8903p-15, -0x1.996f7577bce86p-15, -0x1.8d115dedfa92bp-15, -0x1.81184ad9a3381p-15, -0x1.7580c38e48bc6p-15, -0x1.6a476b2a4f0ep-15, -0x1.5f68ffd64f226p-15, -0x1.54e25a0d1cad6p-15, -0x1.4ab06be4dfd36p-15, -0x1.40d0405c1ddccp-15, -0x1.373efaadf696p-15, -0x1.2df9d5a6dc2fp-15, -0x1.24fe22fecf12cp-15, -0x1.1c494ab7ef128p-15, -0x1.13d8ca8071946p-15, -0x1.0baa3517070eap-15, -0x1.03bb31b6bd3e4p-15, -0x1.f812f700936e6p-16, -0x1.e925c1dbd514p-16, -0x1.daaa86866aa57p-16, -0x1.cc9d2c0fdafdp-16, -0x1.bef9bcfd1d37bp-16, -0x1.b1bc664b872aep-16, -0x1.a4e1766c0d65dp-16, -0x1.98655c4e6e0ebp-16, -0x1.8c44a66df0b68p-16, -0x1.807c01e5b4336p-16, -0x1.75083988c66p-16, -0x1.69e6350316c9fp-16, -0x1.5f12f7fc3d073p-16, -0x1.548ba142ea6b3p-16, -0x1.4a4d69fc87a0bp-16, -0x1.4055a4da0ffa9p-16, -0x1.36a1bd50fdffp-16, -0x1.2d2f36de1b55fp-16, -0x1.23fbac431247bp-16, -0x1.1b04ced5ade4cp-16, -0x1.124865c810044p-16, -0x1.09c44d7d84e14p-16, -0x1.017676e050c2cp-16, -0x1.f2b9cd79ca494p-17, -0x1.e2eb6a40068e9p-17, -0x1.d37e19796c8a3p-17, -0x1.c46e54a1c287fp-17, -0x1.b5b8b82760a19p-17, -0x1.a75a02459f8e1p-17, -0x1.994f11eea5ca2p-17, -0x1.8b94e5b7b49fp-17, -0x1.7e289acfec439p-17, -0x1.71076bfd3cef2p-17, -0x1.642eb09feca0cp-17, -0x1.579bdbbe7ec6dp-17, -0x1.4b4c7b177ec4fp-17, -0x1.3f3e3636cf321p-17, -0x1.336ecd983e072p-17, -0x1.27dc19c8ad0e5p-17, -0x1.1c840a93e7822p-17, -0x1.1164a63238432p-17, -0x1.067c0881cf03ap-17, -0x1.f790c485472f6p-18, -0x1.e28ff0b30f35p-18, -0x1.cdf24629a5526p-18, -0x1.b9b49af943d33p-18, -0x1.a5d3e94431411p-18, -0x1.924d4deea21c3p-18, -0x1.7f1e0757c30b2p-18, -0x1.6c43741714b19p-18, -0x1.59bb11cd2c958p-18, -0x1.47827bf280c8ap-18, -0x1.35976ab8d7839p-18, -0x1.23f7b1eedbd47p-18, -0x1.12a13fee5ebaap-18, -0x1.01921c93120e7p-18, -0x1.e190d074222b6p-19, -0x1.c084b590ab6afp-19, -0x1.9ffc856f7897cp-19, -0x1.7ff50856c5179p-19, -0x1.606b302172044p-19, -0x1.415c1680bbaf9p-19, -0x1.22c4fb55c0f3dp-19, -0x1.04a34316b9c64p-19, -0x1.cde8ea8536568p-20, -0x1.936c75978518cp-20, -0x1.59ccb983599bp-20, -0x1.2105859681167p-20, -0x1.d225c7551f4e6p-21, -0x1.63e22b157ee49p-21, -0x1.ee72492bd563bp-22, -0x1.18480fa3fdb8ap-22, -0x1.14e44dca191cdp-24, 0x1.158d11982ad4ap-23, 0x1.57c1f29fde52p-22, 0x1.10e1d81c30b73p-21, 0x1.746ad4852db0cp-21, 0x1.d68096a5a0595p-21, 0x1.1b93bf8bd706dp-20, 0x1.4b31d54744a2dp-20, 0x1.7a1c7ab7754bep-20, 0x1.a8557fa8171d3p-20, 0x1.d5de9720579c2p-20, 0x1.015cac7f14419p-19, 0x1.1773a1c7809cp-19, 0x1.2d34de819b78p-19, 0x1.42a10a6d3c776p-19, 0x1.57b8c2a84ebc1p-19, 0x1.6c7c9a52dc12ep-19, 0x1.80ed1b3055f3dp-19, 0x1.950ac64d2a653p-19, 0x1.a8d61490b2ad5p-19, 0x1.bc4f7746abac4p-19, 0x1.cf7758b84ed98p-19, 0x1.e24e1ca3698bap-19, 0x1.f4d420bf37006p-19, 0x1.0384de9e09261p-18, 0x1.0c77a29603711p-18, 0x1.1542838071bb9p-18, 0x1.1de5a675817bbp-18, 0x1.26612ea5655cep-18, 0x1.2eb53d8448e5fp-18, 0x1.36e1f2fc00a81p-18, 0x1.3ee76d98471aap-18, 0x1.46c5caaffd148p-18, 0x1.4e7d268edf945p-18, 0x1.560d9c9ad51cbp-18, 0x1.5d77477b59cd5p-18, 0x1.64ba4139cd017p-18, 0x1.6bd6a361f9705p-18, 0x1.72cc872463452p-18, 0x1.799c05721a4a8p-18, 0x1.80453718c0d66p-18, 0x1.86c834df94624p-18, 0x1.8d25179d50be5p-18, 0x1.935bf85257f28p-18, 0x1.996cf03cfc28p-18, 0x1.9f5818f0aa49dp-18, 0x1.a51d8c69b15cdp-18, 0x1.aabd651c76794p-18, 0x1.b037be0c78821p-18, 0x1.b58cb2d723c4fp-18, 0x1.babc5fc5d7f7bp-18, 0x1.bfc6e1daf15a5p-18, 0x1.c4ac56deebc92p-18, 0x1.c96cdd6be59afp-18, 0x1.ce0894fb184e3p-18, 0x1.d27f9deaf7a4dp-18, 0x1.d6d2198bb42b4p-18, 0x1.db002a26527efp-18, 0x1.df09f304b7935p-18, 0x1.e2ef9876b7b71p-18, 0x1.e6b13fdbcbfd2p-18, 0x1.ea4f0fa4d5512p-18, 0x1.edc92f5a1f9e1p-18, 0x1.f11fc7a0c794dp-18, 0x1.f453023bf31d9p-18, 0x1.f7630a0f084a8p-18, 0x1.fa500b2460069p-18, 0x1.fd1a32a8f90b6p-18, 0x1.ffc1aef17c85ap-18, 0x1.012357bcc4649p-17, 0x1.0254b2726ffa9p-17, 0x1.0375007e8b885p-17, 0x1.04845b59acb43p-17, 0x1.0582dd0e2b72bp-17, 0x1.0670a038aacap-17, 0x1.074dc0060f69bp-17, 0x1.081a583376963p-17, 0x1.08d6850c30ee3p-17, 0x1.09826367f768dp-17, 0x1.0a1e10aa29c9bp-17, 0x1.0aa9aabfcdb9p-17, 0x1.0b25501c92607p-17, 0x1.0b911fba73c0bp-17, 0x1.0bed3916a4a77p-17, 0x1.0c39bc2fa7b8p-17, 0x1.0c76c981fc46bp-17, 0x1.0ca48207bc7dfp-17, 0x1.0cc30733bf595p-17, 0x1.0cd27aefecc49p-17, 0x1.0cd2ff9b5cb26p-17, 0x1.0cc4b80682d6ap-17, 0x1.0ca7c77067023p-17, 0x1.0c7c51847059ep-17, 0x1.0c427a56a2a55p-17, 0x1.0bfa6660c867p-17, 0x1.0ba43a8050f36p-17, 0x1.0b401bf1c4ffcp-17, 0x1.0ace304e6a127p-17, 0x1.0a4e9d893567ap-17, 0x1.09c189eb950bdp-17, 0x1.09271c1194f52p-17, 0x1.087f7ae768826p-17, 0x1.07cacda5f7eb3p-17, 0x1.07093bcfa8c6dp-17, 0x1.063aed2cce849p-17, 0x1.056009c826476p-17, 0x1.0478b9ec899c1p-17, 0x1.03852620e5bedp-17, 0x1.028577255fa51p-17, 0x1.0179d5ef8f922p-17, 0x1.00626ba7c801ap-17, 0x1.fe7ec34a8f729p-18, 0x1.fc21c2d6da7cap-18, 0x1.f9ae294d1e6cep-18, 0x1.f7244a50e74d2p-18, 0x1.f48479caa564dp-18, 0x1.f1cf0be1ffacfp-18, 0x1.ef0454f66f4b3p-18, 0x1.ec24a99984303p-18, 0x1.e9305e881e858p-18, 0x1.e627c8a5edc1dp-18, 0x1.e30b3cf650732p-18, 0x1.dfdb109690cb2p-18, 0x1.dc9798b7b2c76p-18, 0x1.d9412a98c9878p-18, 0x1.d5d81b81b9e04p-18, 0x1.d25cc0bc578afp-18, 0x1.cecf6f905ddb2p-18, 0x1.cb307d3d0c538p-18, 0x1.c7803ef37d235p-18, 0x1.c3bf09d19a73fp-18, 0x1.bfed32dd04ba5p-18, 0x1.bc0b0efd41239p-18, 0x1.b818f2f709641p-18, 0x1.b4173367ff8aap-18, 0x1.b00624c03540dp-18, 0x1.abe61b3e04395p-18, 0x1.a7b76ae97b64dp-18, 0x1.a37a678fca232p-18, 0x1.9f2f64bdf7053p-18, 0x1.9ad6b5bcc29b9p-18, 0x1.9670ad8d0a87cp-18, 0x1.91fd9ee2ba2dfp-18, 0x1.8d7ddc209f19bp-18, 0x1.88f1b7536ab0ep-18, 0x1.8459822f1b459p-18, 0x1.7fb58e0a2da17p-18, 0x1.7b062bda7e9ffp-18, 0x1.764bac313cf97p-18, 0x1.71865f36b0f9dp-18, 0x1.6cb694a70acaap-18, 0x1.67dc9bced5a8dp-18, 0x1.62f8c38835baep-18, 0x1.5e0b5a368c094p-18, 0x1.5914adc3a67ecp-18, 0x1.54150b9d3f75ep-18, 0x1.4f0cc0b1f788ep-18, 0x1.49fc196d3f94fp-18, 0x1.44e361b5763abp-18, 0x1.3fc2e4e8734a1p-18, 0x1.3a9aedd990823p-18, 0x1.356bc6cf18b0dp-18, 0x1.3035b97f6a704p-18, 0x1.2af90f0e73621p-18, 0x1.25b6100ba39abp-18, 0x1.206d046f8a94dp-18, 0x1.1b1e339a01611p-18, 0x1.15c9e44f63952p-18, 0x1.10705cb71ef02p-18, 0x1.0b11e25a621ffp-18, 0x1.05aeba21331a5p-18, 0x1.004728510a485p-18, 0x1.f5b6e11638d4dp-19, 0x1.ead7ab961e42dp-19, 0x1.dff134c954b1bp-19, 0x1.d504000727eefp-19, 0x1.ca108f52cd7dap-19, 0x1.bf17635886c0cp-19, 0x1.b418fb6ac16acp-19, 0x1.a915d5803da3dp-19, 0x1.9e0e6e32e6506p-19, 0x1.930340bbd709ap-19, 0x1.87f4c6f264d02p-19, 0x1.7ce3794b169aap-19, 0x1.71cfced611d05p-19, 0x1.66ba3d3ca30f4p-19, 0x1.5ba338bf77ec3p-19, 0x1.508b34367f3ddp-19, 0x1.4572a10e66efbp-19, 0x1.3a59ef493276cp-19, 0x1.2f418d7dc9416p-19, 0x1.2429e8d5221afp-19, 0x1.19136d0a1ad18p-19, 0x1.0dfe846a22d8p-19, 0x1.02eb97d3af3e9p-19, 0x1.efb61d6cf0c26p-20, 0x1.d99a9e25c80cdp-20, 0x1.c3857af376048p-20, 0x1.ad777a1a03ec4p-20, 0x1.97715f0050046p-20, 0x1.8173ea2e4e359p-20, 0x1.6b7fd94e2160bp-20, 0x1.5595e72c7e85ep-20, 0x1.3fb6cbba2128ep-20, 0x1.29e33c0ebc2cep-20, 0x1.141bea675e3cdp-20, 0x1.fcc30c5416e0ap-21, 0x1.d16977cc1f75ep-21, 0x1.a62c6aaa8b8d5p-21, 0x1.7b0d32be976f1p-21, 0x1.500d183685024p-21, 0x1.252d5da2fc082p-21, 0x1.f4de7ffb0f658p-22, }}, 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
      std::vector<double>(850, 0.0), 
    }}, 
    {
      38, 0x1.9p+2, 0x1.9882b26fa254dp+0, -0x1.015508c8418ffp-3, -0x1.b100cdb9020d1p-13, 
      {{
        {0x1.17ae147ae147bp+2, 0x1.199999999999ap+2, 0x1.44c06f5455131p-11, -0x1.597b09c4041d8p-10, 0x1.13a63c6cc8277p-10, -0x1.850b7474c81bep-12}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.308386fbb0049p-11, -0x1.49344a798c7d9p-10, 0x1.0ae5569acb54cp-10, -0x1.7bc2a05ff781p-12}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.10e772dee485cp-11, -0x1.2f3a0ac14a0fep-10, 0x1.f94f4794ca8p-11, -0x1.711968a9d586cp-12}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.e7a4ac9b6f27bp-12, -0x1.16a73ee4687f3p-10, 0x1.dda092ee74161p-11, -0x1.66c553b320f4p-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.b24181df7768bp-12, -0x1.fee3a767b907cp-11, 0x1.c2b82ca76b371p-11, -0x1.5c5a6ed9d8f13p-12}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.816083f73f7eep-12, -0x1.d31fa7d5e0b91p-11, 0x1.a897cabd7af1ep-11, -0x1.51f5a6cb7547cp-12}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.54bed06e5dbfap-12, -0x1.a9ee8481c5d36p-11, 0x1.8f3ef7d49ef28p-11, -0x1.478f3b741e8p-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.2c1b83eea1286p-12, -0x1.833c4725960bcp-11, 0x1.76add35f1ca9p-11, -0x1.3d294075a2998p-12}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0737ba4011594p-12, -0x1.5ef4f854d607cp-11, 0x1.5ee454efe3aa6p-11, -0x1.32c3275cb3412p-12}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.cbad1c91dd323p-13, -0x1.3d04a0f1fea8p-11, 0x1.47e27ec8efd26p-11, -0x1.285d1654b5b4fp-12}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.8f7a341b63a8bp-13, -0x1.1d5749ca60f4cp-11, 0x1.31a8504f6231bp-11, -0x1.1df703236b323p-12}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.5964ed6219382p-13, -0x1.ffb1f761f2461p-12, 0x1.1c35c9acba273p-11, -0x1.1390f0865debfp-12}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.28ff78e7d2518p-13, -0x1.c8eb7eee7d1bdp-12, 0x1.078aead5d9826p-11, -0x1.092addc19eb03p-12}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.fbc00ad5a95bfp-14, -0x1.96333bde21848p-12, 0x1.e74f679b74d0dp-12, -0x1.fd89960ef75efp-13}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.af417fcbaea4bp-14, -0x1.67613fd466c3bp-12, 0x1.c118492722438p-12, -0x1.e8bd7095148adp-13}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.6bbfa720051ep-14, -0x1.3c4d9c74e3187p-12, 0x1.9c707a4f271fbp-12, -0x1.d3f14b1c9c302p-13}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.307ed3b9dffbap-14, -0x1.14d0636328ba1p-12, 0x1.7957fb1368351p-12, -0x1.bf2525a3cbc2dp-13}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.f996a9f2aa1b6p-15, -0x1.e1834c8595d23p-13, 0x1.57cecb73ec203p-12, -0x1.aa59002b28dc3p-13}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.9ff2ed6eb96c1p-15, -0x1.9ff2ed6eb9769p-13, 0x1.37d4eb70af764p-12, -0x1.958cdab24744bp-13}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.52cb028ba3d61p-15, -0x1.649fccc8e26dp-13, 0x1.196a5b09b6eacp-12, -0x1.80c0b539a73b5p-13}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.10e772dee47ebp-15, -0x1.2f3a0ddb36c73p-13, 0x1.f91e347dfb266p-13, -0x1.6bf48fc0e17c1p-13}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.b24181df775b8p-16, -0x1.fee3a7d9b994fp-14, 0x1.c28652210c862p-13, -0x1.57286a4839898p-13}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.54bed06e5db3p-16, -0x1.a9ee8489f561cp-14, 0x1.8f0d0efc9d7e7p-13, -0x1.425c44cf0df1ap-13}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.0737ba40114bcp-16, -0x1.5ef4f8556bda6p-14, 0x1.5eb26b10c1cdap-13, -0x1.2d901f5805ca1p-13}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.8f7a341b638b9p-17, -0x1.1d5749ca6e23ep-14, 0x1.3176665d2755dp-13, -0x1.18c3f9d8e457ap-13}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.28ff78e7d235p-17, -0x1.c8eb7eee6cff7p-15, 0x1.075900e30515bp-13, -0x1.03f7d4780dad8p-13}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.af417fcbae68p-18, -0x1.67613fd4a8cfp-15, 0x1.c0b4753b9fa9ap-14, -0x1.de575d4c3c67cp-14}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.307ed3b9dfbep-18, -0x1.14d0636232be5p-15, 0x1.78f4273cfd009p-14, -0x1.b4bf14f480cf6p-14}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.9ff2ed6eb8f4p-19, -0x1.9ff2ed75e56ebp-16, 0x1.3771174b83482p-14, -0x1.8b26c04ea4e16p-14}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.10e772dee3f3fp-19, -0x1.2f3a0dc0734eap-16, 0x1.f8568e7f6eb38p-15, -0x1.618e9994aea8ep-14}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.54bed06e5c97ep-20, -0x1.a9ee8551ba937p-17, 0x1.8e45606c6d814p-15, -0x1.37f5c779ae351p-14}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.8f7a341b61cp-21, -0x1.1d5746e0dbc78p-17, 0x1.30aed7c7ec6fep-15, -0x1.0e5f74f7343a2p-14}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.af417fcba9cp-22, -0x1.676155915cd6dp-18, 0x1.bf246961ecbd7p-16, -0x1.c97f9ee53239ep-15}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.9ff2ed6eafp-23, -0x1.9ff24b2d543c9p-19, 0x1.35e4868390dfdp-16, -0x1.7685ecbda9a86p-15}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.54bed06e50001p-24, -0x1.a9f33fa131138p-20, 0x1.8b124bc888c23p-17, -0x1.22887d15477cep-15}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.af417fcb4c001p-26, -0x1.673df02039056p-21, 0x1.b980ce445555dp-18, -0x1.a4a8d51201155p-16}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.54bed06d2p-28, -0x1.abfda713ab0ep-23, 0x1.7a37033fdc8a2p-19, -0x1.cffa844f369d8p-17}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.54bed05ffffffp-32, -0x1.6c7429cf4c39dp-26, 0x1.8f4f9c41558p-21, -0x1.3677f059d5a9dp-16}, 
      }}, 
      0x1.24244ff618a52p-12, -0x1.c24726435eb7fp-10
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_n_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.7b7b382a2da65p-4, 0x1.95354ff3da2b6p-4, 0x1.bd70391cd7b68p-4, 0x1.f125b68f9462dp-4, 0x1.168d069394e3bp-3, 0x1.3713dae67d20dp-3, 0x1.58b558a220165p-3, 0x1.7a2b6112877abp-3, 0x1.9a605740456d4p-3, 0x1.b86f88abc8eacp-3, 0x1.d3a2ebe399b54p-3, 0x1.eb6f63f3247c4p-3, 0x1.ff704aa900ff9p-3, 0x1.07b15d6f760e8p-2, 0x1.0d9073c2add6ep-2, 0x1.114ed745e35c8p-2, 0x1.12f041a68d9ecp-2, 0x1.1280de66d8177p-2, 0x1.1013a5e85a111p-2, 0x1.0bc0eb4cd7abp-2, 0x1.05a51aa4fe509p-2, 0x1.fbbf4819995a1p-3, 0x1.e9241ed786617p-3, 0x1.d3be68be1052dp-3, 0x1.bbd5235f2d171p-3, 0x1.a1af8028374fcp-3, 0x1.8593f95e95f46p-3, 0x1.67c7904003affp-3, 0x1.488d2f1defe84p-3, 0x1.28252ad9f7c87p-3, 0x1.06ccdfd617de1p-3, 0x1.c97ccdcf99315p-4, 0x1.8460be6fa3b52p-4, 0x1.3eab9495ec59dp-4, 0x1.f177dfcb78e62p-5, 0x1.65d1ffe8541a2p-5, 0x1.b60a36e9b4e91p-6, 0x1.4688d1371436dp-7, -0x1.ae9f1f7455647p-8, -0x1.75d03bee9f74fp-6, -0x1.3d32916c2fd7dp-5, -0x1.bc57ea78528f5p-5, -0x1.1c046123f7516p-4, -0x1.5800693528f09p-4, -0x1.92033c5c4324cp-4, -0x1.c9f4d1f3c8b6p-4, -0x1.ffc1c2a0b1d81p-4, -0x1.19ad5db82ed2ap-3, -0x1.325a256892997p-3, -0x1.49e3381cded01p-3, -0x1.60462df19b475p-3, -0x1.7582093af0e5bp-3, -0x1.8997174b287ffp-3, -0x1.9c86c82c129bp-3, -0x1.ae5393496f437p-3, -0x1.bf00d7a3adb2fp-3, -0x1.ce92c21db5bfdp-3, -0x1.dd0e32888a026p-3, -0x1.ea78a53bcd488p-3, -0x1.f6d81e374f06p-3, -0x1.01198b5b803b1p-2, -0x1.06483588c962cp-2, -0x1.0afba46ffca1fp-2, -0x1.0f378fd734bebp-2, -0x1.12ffc8f85029cp-2, -0x1.165834544f9a2p-2, -0x1.1944c3f75b182p-2, -0x1.1bc971cb34f31p-2, -0x1.1dea3aa6ab9fcp-2, -0x1.1fab193ebbadep-2, -0x1.21100238481f3p-2, -0x1.221ce0434fc9ep-2, -0x1.22d5916e046ccp-2, -0x1.233de4493678cp-2, -0x1.235995e979a27p-2, -0x1.232c4fcd13d33p-2, -0x1.22b9a68ce939p-2, -0x1.22051817475ep-2, -0x1.21120ab0d43e4p-2, -0x1.1fe3cc23d273fp-2, -0x1.1e7d90fadfba4p-2, -0x1.1ce2744247f8fp-2, -0x1.1b1577508bf9fp-2, -0x1.191981bc9b5c9p-2, -0x1.16f1617804164p-2, -0x1.149fcaeb33ea5p-2, -0x1.122759558a49ep-2, -0x1.0f8a8efa6f009p-2, -0x1.0ccbd58fa0bdcp-2, -0x1.09ed7ea7aca79p-2, -0x1.06f1c428ca3d5p-2, -0x1.03dac8e57811cp-2, -0x1.00aa990cee539p-2, -0x1.fac655c5ff113p-3, -0x1.f40cbea1c3103p-3, -0x1.ed2c05109110ap-3, -0x1.e627994bb536ep-3, -0x1.df02c4aa32043p-3, -0x1.d7c0aadc9443fp-3, -0x1.d0644b39175cp-3, -0x1.c8f081dd7857fp-3, -0x1.c16808e2f616bp-3, -0x1.b9cd79b9c98a9p-3, -0x1.b2234e2a2a41fp-3, -0x1.aa6be153fbe46p-3, -0x1.a2a9711654ff1p-3, -0x1.9ade1ef87b90cp-3, -0x1.930bf10921417p-3, -0x1.8b34d3802a33p-3, -0x1.835a98f4daaf2p-3, -0x1.7b7efc15b9602p-3, -0x1.73a39fe019522p-3, -0x1.6bca11362404ep-3, -0x1.63f3c7146d2b7p-3, -0x1.5c22243d0a1bdp-3, -0x1.5456774c053ep-3, -0x1.4c91fbec4f3d1p-3, -0x1.44d5db349c3a4p-3, -0x1.3d232d1b7df8ap-3, -0x1.357af873f27e6p-3, -0x1.2dde33f9675ddp-3, -0x1.264dc6de525fep-3, -0x1.1eca898afe386p-3, -0x1.175546136d0a2p-3, -0x1.0feeb8ea6f65dp-3, -0x1.0897916d7b821p-3, -0x1.015072797a78ep-3, -0x1.f433e58dbd60cp-4, -0x1.e5e93b7f4e665p-4, -0x1.d7c1e76987dfcp-4, -0x1.c9bed4df406e3p-4, -0x1.bbe0db648172p-4, -0x1.ae28bf34afdf3p-4, -0x1.a097324abd65dp-4, -0x1.932cd4dd00613p-4, -0x1.85ea369e796cdp-4, -0x1.78cfd7223670fp-4, -0x1.6bde26cfd88f6p-4, -0x1.5f1587aac39e3p-4, -0x1.52764db13eaa3p-4, -0x1.4600c01678843p-4, -0x1.39b518cf01872p-4, -0x1.2d9387493e6b9p-4, -0x1.219c2e19d85ddp-4, -0x1.15cf26a7f32cp-4, -0x1.0a2c7f889f618p-4, -0x1.fd687b7663f12p-5, -0x1.e6ccbae52736ap-5, -0x1.d085a4b9196a6p-5, -0x1.ba93102a980cfp-5, -0x1.a4f4c55475fe9p-5, -0x1.8faa7e51a41a7p-5, -0x1.7ab3e80ddc3d3p-5, -0x1.6610a28f09f1cp-5, -0x1.51c0429e8efbep-5, -0x1.3dc25227148c5p-5, -0x1.2a1650d419d88p-5, -0x1.16bbb4e150e0cp-5, -0x1.03b1ebfd25acp-5, -0x1.e1f0b7f3ff216p-6, -0x1.bd1cc5b6b1bdp-6, -0x1.98e6af7eea618p-6, -0x1.754d1864995e8p-6, -0x1.524e9742508d4p-6, -0x1.2fe9b8af39a78p-6, -0x1.0e1cff73f711cp-6, -0x1.d9cdcd25eb1d2p-7, -0x1.988bc46194ec2p-7, -0x1.5870be8272ff3p-7, -0x1.1979885a92f69p-7, -0x1.b745caaaab628p-8, -0x1.3dd325d83a53ep-8, -0x1.8d291689d353p-9, -0x1.460d5be59da4ap-10, 0x1.0b3910017863cp-11, 0x1.2463306cde9f5p-9, 0x1.00e2bebc51c22p-8, 0x1.6d814c3d7bf4cp-8, 0x1.d814006a9f0c7p-8, 0x1.2050cc149cdb8p-7, 0x1.539864937107p-7, 0x1.85e4235f75fd9p-7, 0x1.b7375ac6782ebp-7, 0x1.e79562919f5bfp-7, 0x1.0b80c4dc3d934p-6, 0x1.22bf8d3657cdp-6, 0x1.3988abf58df13p-6, 0x1.4fddc02463022p-6, 0x1.65c066581f82p-6, 0x1.7b32384e07a0bp-6, 0x1.9034cc0dd3a73p-6, 0x1.a4c9b1a74a0ebp-6, 0x1.b8f2778c5ddf6p-6, 0x1.ccb0a6ed73635p-6, 0x1.e005c62312ae2p-6, 0x1.f2f35713da55dp-6, 0x1.02bd6b5f14262p-5, 0x1.0bcede982937bp-5, 0x1.14aebf0fe12c3p-5, 0x1.1d5dc49a752d7p-5, 0x1.25dca4d0b542p-5, 0x1.2e2c133ea8993p-5, 0x1.364cc03093d7cp-5, 0x1.3e3f5a2a5e474p-5, 0x1.46048cde70b87p-5, 0x1.4d9d01f826af3p-5, 0x1.550960e8232c5p-5, 0x1.5c4a4ec1b2702p-5, 0x1.63606dffeb749p-5, 0x1.6a4c5e94bf6e7p-5, 0x1.710ebe132e92p-5, 0x1.77a827da31b0dp-5, 0x1.7e193523b660dp-5, 0x1.84627cdee42bbp-5, 0x1.8a8493bd5dbd9p-5, 0x1.90800bbe4dceap-5, 0x1.965574a95139ep-5, 0x1.9c055c1527c37p-5, 0x1.a1904d8bf3f94p-5, 0x1.a6f6d287d4092p-5, 0x1.ac397264a2e43p-5, 0x1.b158b23c62a92p-5, 0x1.b65514def9016p-5, 0x1.bb2f1b0402defp-5, 0x1.bfe74362198d5p-5, 0x1.c47e0add9a662p-5, 0x1.c8f3ec60546cbp-5, 0x1.cd49611a994a9p-5, 0x1.d17edfdc5a559p-5, 0x1.d594ddd0486fdp-5, 0x1.d98bcdf44e20ap-5, 0x1.dd642190db9dcp-5, 0x1.e11e4845fe74dp-5, 0x1.e4bab00850952p-5, 0x1.e839c51db99b4p-5, 0x1.eb9bf20192f21p-5, 0x1.eee19f65d33dep-5, 0x1.f20b34412faaap-5, 0x1.f51915f0cdb8cp-5, 0x1.f80ba85705809p-5, 0x1.fae34de917b05p-5, 0x1.fda067a863168p-5, 0x1.0021aa8944b4bp-4, 0x1.01663a15a5e09p-4, 0x1.029e10a26aa85p-4, 0x1.03c95bb8d86edp-4, 0x1.04e8482784c74p-4, 0x1.05fb0222e2dfep-4, 0x1.0701b543f1901p-4, 0x1.07fc8c85408c4p-4, 0x1.08ebb23c22985p-4, 0x1.09cf501d92cc4p-4, 0x1.0aa78f2693ae6p-4, 0x1.0b7497d37c561p-4, 0x1.0c36920252ccep-4, 0x1.0ceda50eb3e44p-4, 0x1.0d99f7d3ab8f2p-4, 0x1.0e3bb0a80b0b2p-4, 0x1.0ed2f55a58d39p-4, 0x1.0f5feb32426b6p-4, 0x1.0fe2b6ec56211p-4, 0x1.105b7ccab67c8p-4, 0x1.10ca60848db22p-4, 0x1.112f857abac03p-4, 0x1.118b0e91d04p-4, 0x1.11dd1e48d0f2fp-4, 0x1.1225d6b35b96fp-4, 0x1.12655976ca7e4p-4, 0x1.129bc7c825605p-4, 0x1.12c9427274022p-4, 0x1.12ede9da883edp-4, 0x1.1309de066b0a9p-4, 0x1.131d3ea3de406p-4, 0x1.13282b09720fep-4, 0x1.132ac23be7839p-4, 0x1.132522e942432p-4, 0x1.13176b6833657p-4, 0x1.1301b9b80ee1fp-4, 0x1.12e42b8381c0fp-4, 0x1.12bede24fb86bp-4, 0x1.1291eeabff4ecp-4, 0x1.125d79e137b7bp-4, 0x1.12219c4aa423fp-4, 0x1.11de722d919fp-4, 0x1.11941783e6009p-4, 0x1.1142a8149c054p-4, 0x1.10ea3f559c62p-4, 0x1.108af87ef4b7cp-4, 0x1.1024ee8a45355p-4, 0x1.0fb83c2db363fp-4, 0x1.0f44fbefce63p-4, 0x1.0ecb481c9c4bep-4, 0x1.0e4b3acff03c2p-4, 0x1.0dc4edebcf4c7p-4, 0x1.0d387b2623eb4p-4, 0x1.0ca5fbfc9c235p-4, 0x1.0c0d89b81098dp-4, 0x1.0b6f3d6fd1235p-4, 0x1.0acb300bbb6ep-4, 0x1.0a217a40dad7p-4, 0x1.0972349a75268p-4, 0x1.08bd7778e8a31p-4, 0x1.08035b1342462p-4, 0x1.0743f777a55ap-4, 0x1.067f648c58a31p-4, 0x1.05b5ba0eb03dbp-4, 0x1.04e70f922a80fp-4, 0x1.04137c83ff9fp-4, 0x1.033b182061b32p-4, 0x1.025df989f77a7p-4, 0x1.017c37b4f0364p-4, 0x1.0095e975165fep-4, 0x1.ff564af62917ap-5, 0x1.fd7804ab4b83fp-5, 0x1.fb912cdf7edaep-5, 0x1.f9a1f029d4226p-5, 0x1.f7aa7ad896f4ap-5, 0x1.f5aaf8eeab03fp-5, 0x1.f3a3963b4926p-5, 0x1.f1947e375b75ep-5, 0x1.ef7ddc19158ffp-5, 0x1.ed5fdadb48f4p-5, 0x1.eb3aa53316e58p-5, 0x1.e90e65a0d819p-5, 0x1.e6db465620651p-5, 0x1.e4a1714d6c527p-5, 0x1.e2611043b984bp-5, 0x1.e01a4cafdb4cp-5, 0x1.ddcd4fc8568e2p-5, 0x1.db7a428110ebp-5, 0x1.d9214d8befc55p-5, 0x1.d6c299599c3ccp-5, 0x1.d45e4e15d5ff3p-5, 0x1.d1f493ae16567p-5, 0x1.cf8591cd5e54ap-5, 0x1.cd116fe156806p-5, 0x1.ca98550ab2975p-5, 0x1.c81a6836f5379p-5, 0x1.c597d00771988p-5, 0x1.c310b2dbf2aeep-5, 0x1.c08536cf1ee1ap-5, 0x1.bdf581b56160dp-5, 0x1.bb61b91daa9b3p-5, 0x1.b8ca024d99e4ep-5, 0x1.b62e824616bcbp-5, 0x1.b38f5dc0c311dp-5, 0x1.b0ecb92fbd57cp-5, 0x1.ae46b8bceed78p-5, 0x1.ab9d804a28e3bp-5, 0x1.a8f133704621p-5, 0x1.a641f57c89729p-5, 0x1.a38fe971d2e4ep-5, 0x1.a0db320644f8ep-5, 0x1.9e23f1a28c45dp-5, 0x1.9b6a4a60fb7afp-5, 0x1.98ae5e0de192cp-5, 0x1.95f04e278a87bp-5, 0x1.93303bdd80fabp-5, 0x1.906e480e85d2fp-5, 0x1.8daa934909469p-5, 0x1.8ae53dc8e3d96p-5, 0x1.881e67765b258p-5, 0x1.85562fe5ca3f6p-5, 0x1.828cb6579c6edp-5, 0x1.7fc219b87875ap-5, 0x1.7cf678a1a09d6p-5, 0x1.7a29f1587faa1p-5, 0x1.775ca1cfbd0c4p-5, 0x1.748ea79c2b7b8p-5, 0x1.71c020051cdddp-5, 0x1.6ef127f05a281p-5, 0x1.6c21dbe8e5bc1p-5, 0x1.6952581d0a9b2p-5, 0x1.6682b85ea7575p-5, 0x1.63b3182511dc5p-5, 0x1.60e3928fad40fp-5, 0x1.5e144268079ep-5, 0x1.5b45422215849p-5, 0x1.5876abdb1cbd1p-5, 0x1.55a8995627d15p-5, 0x1.52db23f70af82p-5, 0x1.500e64bd9a9bdp-5, 0x1.4d4274426a8a8p-5, 0x1.4a776ab63a898p-5, 0x1.47ad5fe4da9cep-5, 0x1.44e46b3a602a4p-5, 0x1.421ca3c93f749p-5, 0x1.3f562050e7f9dp-5, 0x1.3c90f740a1577p-5, 0x1.39cd3eb6327bcp-5, 0x1.370b0c78ab74ap-5, 0x1.344a75eea5754p-5, 0x1.318b901aab1d7p-5, 0x1.2ece6f7fdb9ebp-5, 0x1.2c13283cce34ap-5, 0x1.2959cdf09ed7p-5, 0x1.26a273d2defe2p-5, 0x1.23ed2cbcf5e9bp-5, 0x1.213a0b37f5ef8p-5, 0x1.1e8921886c3a4p-5, 0x1.1bda81b3b7b31p-5, 0x1.192e3d7cdcf38p-5, 0x1.168466590d6e6p-5, 0x1.13dd0d5f73335p-5, 0x1.11384332a4ef7p-5, 0x1.0e9617f5b75cep-5, 0x1.0bf69b4110c55p-5, 0x1.0959dc25b515p-5, 0x1.06bfe93c6f649p-5, 0x1.0428d0bc666a3p-5, 0x1.0194a095a0f25p-5, 0x1.fe06cd116a64fp-6, 0x1.f8ea606ade2d3p-6, 0x1.f3d416380a586p-6, 0x1.eec4091f22df9p-6, 0x1.e9ba5337ee2b3p-6, 0x1.e4b70dc9c58a1p-6, 0x1.dfba510b130e4p-6, 0x1.dac433f22e03fp-6, 0x1.d5d4cc24b5695p-6, 0x1.d0ec2e0bcb128p-6, 0x1.cc0a6d0b6a4c4p-6, 0x1.c72f9bd2fe912p-6, 0x1.c25bccb64fd37p-6, 0x1.bd8f11fb0e376p-6, 0x1.b8c97e085116fp-6, 0x1.b40b236be3b75p-6, 0x1.af5414b1b1736p-6, 0x1.aaa46413fb188p-6, 0x1.a5fc23143fcep-6, 0x1.a15b62128784ap-6, 0x1.9cc22ff9e1a46p-6, 0x1.98309a15c2db5p-6, 0x1.93a6ac1bd32bp-6, 0x1.8f24706b947efp-6, 0x1.8aa9f079f9b3fp-6, 0x1.863735554e71cp-6, 0x1.81cc48277e6f2p-6, 0x1.7d69329b1670ap-6, 0x1.790dff0cb149ap-6, 0x1.74bab87cdbd52p-6, 0x1.706f6a41da042p-6, 0x1.6c2c1f891be8ep-6, 0x1.67f0e2be9cc44p-6, 0x1.63bdbcf909c9p-6, 0x1.5f92b585242b2p-6, 0x1.5b6fd1afb9721p-6, 0x1.575514cb08cfp-6, 0x1.5342808245d75p-6, 0x1.4f3815657be05p-6, 0x1.4b35d39b4f5a1p-6, 0x1.473bbb97be789p-6, 0x1.4349ceb83492dp-6, 0x1.3f600fa455c97p-6, 0x1.3b7e825d86dc2p-6, 0x1.37a52bf907cc3p-6, 0x1.33d41210120c1p-6, 0x1.300b3a0124c5ep-6, 0x1.2c4aa82618aeap-6, 0x1.28925f229c978p-6, 0x1.24e25f68a058cp-6, 0x1.213aa704e1324p-6, 0x1.1d9b31ba5d85fp-6, 0x1.1a03f96b084bap-6, 0x1.1674f6bc130f3p-6, 0x1.12ee21e6e0093p-6, 0x1.0f6f7397a1103p-6, 0x1.0bf8e5b37a175p-6, 0x1.088a73e54e29ap-6, 0x1.05241bd22d8c6p-6, 0x1.01c5dce78f5fdp-6, 0x1.fcdf6f947cd04p-7, 0x1.f6435b04ddf14p-7, 0x1.efb77d1e2df77p-7, 0x1.e93bd41af2c1p-7, 0x1.e2d05a304739cp-7, 0x1.dc7504df877f8p-7, 0x1.d629c4de0719fp-7, 0x1.cfee867e620f1p-7, 0x1.c9c3328210d56p-7, 0x1.c3a7af3e41c7cp-7, 0x1.bd9be20272cd6p-7, 0x1.b79fb0a9e84efp-7, 0x1.b1b3032d4fcd4p-7, 0x1.abd5c4f4595ccp-7, 0x1.a607e59dd2afap-7, 0x1.a0495902de665p-7, 0x1.9a9a1662c0cbcp-7, 0x1.94fa16dc1a38bp-7, 0x1.8f69538ad0f7p-7, 0x1.89e7c3bec22fp-7, 0x1.84755bc16f3f4p-7, 0x1.7f120bf75b464p-7, 0x1.79bdc1537f6ap-7, 0x1.7478657b9655ap-7, 0x1.6f41df85be365p-7, 0x1.6a1a146be328ep-7, 0x1.6500e76f74c9p-7, 0x1.5ff63a806f35fp-7, 0x1.5af9eee7f3531p-7, 0x1.560be64f19264p-7, 0x1.512c0408200bdp-7, 0x1.4c5a2e489f97dp-7, 0x1.47964ee970cbp-7, 0x1.42e05354c760ep-7, 0x1.3e382b884f45p-7, 0x1.399dc8648b35p-7, 0x1.351119c97dc2cp-7, 0x1.30920d1bed4d8p-7, 0x1.2c208cac40985p-7, 0x1.27bc8021359ffp-7, 0x1.2365cd9e6d3bap-7, 0x1.1f1c5b12121a3p-7, 0x1.1ae00f0981654p-7, 0x1.16b0d0ad2ebe7p-7, 0x1.128e86f2db3fap-7, 0x1.0e79177e51379p-7, 0x1.0a7065d72c8dcp-7, 0x1.0674537711ce8p-7, 0x1.0284c0d143525p-7, 0x1.fd431e031dc47p-8, 0x1.f59543018a956p-8, 0x1.edffbe56adef1p-8, 0x1.e6826446ebefp-8, 0x1.df1d0d01e2e95p-8, 0x1.d7cf906d3f28bp-8, 0x1.d099c1e94ec71p-8, 0x1.c97b6db581093p-8, 0x1.c274590b45e5ep-8, 0x1.bb8444f90d912p-8, 0x1.b4aaf2e90ef62p-8, 0x1.ade829060a343p-8, 0x1.a73bb4acefc31p-8, 0x1.a0a569d839507p-8, 0x1.9a251fb33d4e9p-8, 0x1.93baabc415767p-8, 0x1.8d65ddbb733e7p-8, 0x1.87267db95e077p-8, 0x1.80fc4db9a877fp-8, 0x1.7ae70d9a54895p-8, 0x1.74e67fdebe4d9p-8, 0x1.6efa6dcb618dp-8, 0x1.6922a8f5c1e15p-8, 0x1.635f09eb1795bp-8, 0x1.5daf6c47db991p-8, 0x1.5813a999ed3a3p-8, 0x1.528b94e5f2421p-8, 0x1.4d16f86bf8826p-8, 0x1.47b5966c10f05p-8, 0x1.42672c9d12564p-8, 0x1.3d2b792dcd331p-8, 0x1.38023fb068193p-8, 0x1.32eb4c4285c2ep-8, 0x1.2de673b224557p-8, 0x1.28f3905ac4dbp-8, 0x1.24127ccf7b3ccp-8, 0x1.1f430e832754cp-8, 0x1.1a8512c7d0cf5p-8, 0x1.15d84f670d02p-8, 0x1.113c865323a75p-8, 0x1.0cb17a9ca3458p-8, 0x1.0836f4b1e85cap-8, 0x1.03ccc4c14d093p-8, 0x1.fee585cdf427ep-9, 0x1.f6519aab4758fp-9, 0x1.eddd89e007a4p-9, 0x1.e589128a6a3bcp-9, 0x1.dd53ea54f6487p-9, 0x1.d53db9d357bf7p-9, 0x1.cd461ca0357e7p-9, 0x1.c56ca4aee8884p-9, 0x1.bdb0e00c92ap-9, 0x1.b612600e2b706p-9, 0x1.ae90c006bdf01p-9, 0x1.a72ba8fc95487p-9, 0x1.9fe2d048f6816p-9, 0x1.98b5f110432a4p-9, 0x1.91a4c32a249adp-9, 0x1.8aaef3c06df85p-9, 0x1.83d423538dbb1p-9, 0x1.7d13e9d5398a6p-9, 0x1.766dddd0a8b2cp-9, 0x1.6fe19a05d6e3bp-9, 0x1.696ebf4d3227p-9, 0x1.6314f3fa55d3p-9, 0x1.5cd3e4ce85e8p-9, 0x1.56ab46da02ad1p-9, 0x1.509ad877f82c9p-9, 0x1.4aa25e7db1579p-9, 0x1.44c19fd0fa433p-9, 0x1.3ef85d40cc1eep-9, 0x1.3946509bdb90ap-9, 0x1.33ab2a6522e0ap-9, 0x1.2e269522078bfp-9, 0x1.28b83a3245991p-9, 0x1.235fc62dfa8cdp-9, 0x1.1e1ceb5c7b6e9p-9, 0x1.18ef62178b64cp-9, 0x1.13d6e7f60a2f7p-9, 0x1.0ed33e496f019p-9, 0x1.09e427b09dc74p-9, 0x1.05096516549eap-9, 0x1.0042b3b6ece1dp-9, 0x1.f71f9bb48ca39p-10, 0x1.ede0db04526fcp-10, 0x1.e4c89a877488ep-10, 0x1.dbd648c61f9a1p-10, 0x1.d309427c2902ap-10, 0x1.ca60d355b64fdp-10, 0x1.c1dc4937be32bp-10, 0x1.b97b0cbab5611p-10, 0x1.b13caa0dfcccbp-10, 0x1.a920c3834cf25p-10, 0x1.a126f9a1dcfdcp-10, 0x1.994eda7b30a78p-10, 0x1.9197e254f9377p-10, 0x1.8a018a95dfaf7p-10, 0x1.828b5992999a8p-10, 0x1.7b34e5fa4bbf4p-10, 0x1.73fdcc37f1bbfp-10, 0x1.6ce5a0b41100ap-10, 0x1.65ebeb4594de9p-10, 0x1.5f102e99b2f5fp-10, 0x1.5851f4baa4fafp-10, 0x1.51b0d7b4a8c5bp-10, 0x1.4b2c817e593bap-10, 0x1.44c4a43713c67p-10, 0x1.3e78f0d758fa8p-10, 0x1.38491382bbb4p-10, 0x1.3234b67ae8d4bp-10, 0x1.2c3b8254c7025p-10, 0x1.265d116f49c19p-10, 0x1.2098de6e589e1p-10, 0x1.1aee46ad8d87ep-10, 0x1.155cab3f8d481p-10, 0x1.0fe3957eaa14cp-10, 0x1.0a82b9cced9f5p-10, 0x1.0539d62cac6e1p-10, 0x1.00088e7217fb7p-10, 0x1.f5dccbc04783ap-11, 0x1.ebd5b0b9acb22p-11, 0x1.e1faf543d892p-11, 0x1.d84c0b41b23d6p-11, 0x1.cec88dcb327bp-11, 0x1.c5700faea3bd9p-11, 0x1.bc41ffdb80f3ap-11, 0x1.b33dac4b73bd6p-11, 0x1.aa62540df03e2p-11, 0x1.a1af3a30409b5p-11, 0x1.9923b21e23bbbp-11, 0x1.90bf2728defccp-11, 0x1.88811d1f7a8bfp-11, 0x1.8069279bf1c9bp-11, 0x1.7876db2b9a27ep-11, 0x1.70a9c1879c8acp-11, 0x1.69015c5be1263p-11, 0x1.617d31f12cb3cp-11, 0x1.5a1cc969564acp-11, 0x1.52df87659578cp-11, 0x1.4bc4904b83a7dp-11, 0x1.44caec64de7a4p-11, 0x1.3df1deb1dc8ebp-11, 0x1.373907c6c369bp-11, 0x1.30a02384b81d8p-11, 0x1.2a26b173ff298p-11, 0x1.23cbe83862158p-11, 0x1.1d8ef59cca5c1p-11, 0x1.176f3f4cbd018p-11, 0x1.116c657e8996fp-11, 0x1.0b8616fa28124p-11, 0x1.05bbf12b31da1p-11, 0x1.000d827629f5ap-11, 0x1.f4f4b16672826p-12, 0x1.ea040d8d8df84p-12, 0x1.df48415305827p-12, 0x1.d4c06c54ddee3p-12, 0x1.ca6ba4a8b7cbp-12, 0x1.c04900fc3b50dp-12, 0x1.b657a84f7521p-12, 0x1.ac96de5c6f26bp-12, 0x1.a30603169b53cp-12, 0x1.99a480928a4b7p-12, 0x1.9071b0c0c7c46p-12, 0x1.876cd2e659cbp-12, 0x1.7e951f0a977bp-12, 0x1.75e9db877f96fp-12, 0x1.6d6a4d9240444p-12, 0x1.651579e6382b5p-12, 0x1.5cea25323d06bp-12, 0x1.54e753ce815a4p-12, 0x1.4d0c90a352b7cp-12, 0x1.45598b486cd1cp-12, 0x1.3dcd91bf491b5p-12, 0x1.3667a5ac75b9ap-12, 0x1.2f26f72ab2b39p-12, 0x1.280b0ab8162edp-12, 0x1.211369ee6870ap-12, 0x1.1a3f638bf5688p-12, 0x1.138e27e61627bp-12, 0x1.0cfef4d2cf15ap-12, 0x1.06912bc3b4e1fp-12, 0x1.00444bc729886p-12, 0x1.f42fc0edce6a1p-13, 0x1.e816e0c6590fep-13, 0x1.dc3ce50ba9924p-13, 0x1.d0a09ccfd3977p-13, 0x1.c540cad39a282p-13, 0x1.ba1c429ccfa03p-13, 0x1.af31fd0f8f905p-13, 0x1.a4811f309b006p-13, 0x1.9a08ea26aa667p-13, 0x1.8fc890d8ad213p-13, 0x1.85bf1057c417ep-13, 0x1.7beb2c8639aaap-13, 0x1.724ba25f2ad58p-13, 0x1.68df6d63704bbp-13, 0x1.5fa5d3a44fd4ep-13, 0x1.569e04f1c52bbp-13, 0x1.4dc6bb8cdf5d6p-13, 0x1.451eb3b5e477fp-13, 0x1.3ca54a8cecc4dp-13, 0x1.3459f535e4b11p-13, 0x1.2c3bac6f2c7b6p-13, 0x1.24497b199d4e1p-13, 0x1.1c82f2a03b6a2p-13, 0x1.14e7a2be7527cp-13, 0x1.0d76ae46f4254p-13, 0x1.062eff81076d2p-13, 0x1.fe1f10acd3e33p-14, 0x1.f02ea8eb7ff15p-14, 0x1.e28b1b995d6fbp-14, 0x1.d533023544f9ap-14, 0x1.c82532c2050dep-14, 0x1.bb609b16cd32ep-14, 0x1.aee413c3614f6p-14, 0x1.a2ae467c7f066p-14, 0x1.96bdb6ff8559dp-14, 0x1.8b10eba9ce5a3p-14, 0x1.7fa69c96453cp-14, 0x1.747dbd26e287p-14, 0x1.69954f510f8dp-14, 0x1.5eec2f3579521p-14, 0x1.54810b7ed095bp-14, 0x1.4a527efc0d2a5p-14, 0x1.405f1fe8e553cp-14, 0x1.36a5832a9651fp-14, 0x1.2d24587d419a4p-14, 0x1.23daa7ac5708ap-14, 0x1.1ac7eff6e201p-14, 0x1.11eba5dbdc77ep-14, 0x1.0944476e5d8b6p-14, 0x1.00d0033dc5d2ep-14, 0x1.f11bf4c7d152ep-15, 0x1.e0fa68ef6d462p-15, 0x1.d1391bbda2822p-15, 0x1.c1d7a3234b21bp-15, 0x1.b2d55cf349dfcp-15, 0x1.a43012ecc34fcp-15, 0x1.95e5586ef41dep-15, 0x1.87f324a251d23p-15, 0x1.7a5773c0b0bcdp-15, 0x1.6d0ff5f414123p-15, 0x1.601a32b3ec1bcp-15, 0x1.53740e17bea0bp-15, 0x1.471c3232c6d2p-15, 0x1.3b11d8396ef02p-15, 0x1.2f540d1c1b35bp-15, 0x1.23e12a5bf2192p-15, 0x1.18b72d70cee9p-15, 0x1.0dd490234ad0ap-15, 0x1.03387c56d636cp-15, 0x1.f1c428141fe01p-16, 0x1.dd9f9369856c3p-16, 0x1.c9ff3cf3077p-16, 0x1.b6df529d8edabp-16, 0x1.a43caec2bc399p-16, 0x1.9214cc3bc1e14p-16, 0x1.806578abb0bc7p-16, 0x1.6f2c6aa814a69p-16, 0x1.5e6702413567ap-16, 0x1.4e1293b891129p-16, 0x1.3e2c88627ecb7p-16, 0x1.2eb43d60ad719p-16, 0x1.1fa976abb837dp-16, 0x1.1108c66c58472p-16, 0x1.02cbeab7c9cf2p-16, 0x1.e9dfd44b8afd6p-17, 0x1.cee5be6ad6243p-17, 0x1.b4acf7d59d386p-17, 0x1.9b359e2309945p-17, 0x1.8277bcaf1c813p-17, 0x1.6a6d55f842d8ap-17, 0x1.5314019754ab9p-17, 0x1.3c6a273e68502p-17, 0x1.266c633bc4a46p-17, 0x1.111391b3c2a89p-17, 0x1.f8ac7850c2f0fp-18, 0x1.d05d3ac86ea5p-18, 0x1.a93b26d15b56cp-18, 0x1.83483e5ec3dd1p-18, }}, 
      {{0x1.759218dbe6999p-4, 0x1.7e4f441c73679p-4, 0x1.8c4e255ac5ae8p-4, 0x1.9edf7ff07297cp-4, 0x1.b53dfb42c3699p-4, 0x1.ce9e9e77cd2c5p-4, 0x1.ea3b93ff3a66fp-4, 0x1.03ad65a6d7eb9p-3, 0x1.12a8e509cb285p-3, 0x1.21c3d50f35742p-3, 0x1.30baea731ec1ep-3, 0x1.3f53efb1f93edp-3, 0x1.4d5d697087f58p-3, 0x1.5aae0d85e1795p-3, 0x1.6724208c5b825p-3, 0x1.72a4c6a00af99p-3, 0x1.7d1b527c0c946p-3, 0x1.8678978745458p-3, 0x1.8eb2442049808p-3, 0x1.95c2463aa1968p-3, 0x1.9ba63b2a01349p-3, 0x1.a05eec374fe78p-3, 0x1.a3efd68b72271p-3, 0x1.a65ebf0ec5a17p-3, 0x1.a7b35195dfa99p-3, 0x1.a7f6c9d010fd2p-3, 0x1.a733a69c28058p-3, 0x1.a575658ea4484p-3, 0x1.a2c846e9563aep-3, 0x1.9f3918c694fa9p-3, 0x1.9ad508d5b13e6p-3, 0x1.95a97c56ef875p-3, 0x1.8fc3ed226402ap-3, 0x1.8931cba39e636p-3, 0x1.8200659f6bc21p-3, 0x1.7a3cd04a65e4p-3, 0x1.71f3d6526b008p-3, 0x1.6931e8f3e7e4p-3, 0x1.600313e533d5fp-3, 0x1.5672f3caca50bp-3, 0x1.4c8caee7d85ccp-3, 0x1.425aefc2cc6e5p-3, 0x1.37e7e19359ecp-3, 0x1.2d3d2e1a2be7ap-3, 0x1.2263fcd0a9469p-3, 0x1.1764f35ca3716p-3, 0x1.0c48366973f5ap-3, 0x1.01156c09ac283p-3, 0x1.eba77c090a7bcp-4, 0x1.d513b9f9eaf6ep-4, 0x1.be7c07fb08d88p-4, 0x1.a7ebf90f7e569p-4, 0x1.916e448a847b5p-4, 0x1.7b0cce35bb89p-4, 0x1.64d0afb930ec5p-4, 0x1.4ec2425a320d4p-4, 0x1.38e927b69b49ep-4, 0x1.234c51f29bc97p-4, 0x1.0df20c780d7bp-4, 0x1.f1c00b4f6a2d1p-5, 0x1.c836b0bb18dd5p-5, 0x1.9f5128f6294e8p-5, 0x1.77178d35d2bcfp-5, 0x1.4f90fe4ec48b9p-5, 0x1.28c3b46ca7d55p-5, 0x1.02b50ec9ab32p-5, 0x1.bad3462638063p-6, 0x1.71ca982e9e8c9p-6, 0x1.2a566bf8e86e4p-6, 0x1.c8f7a9d2e0909p-7, 0x1.407d6c7c0e46ap-7, 0x1.76876a5064eap-8, 0x1.ca707ad6b2638p-10, -0x1.1587408610b3cp-9, -0x1.8197d6013076dp-8, -0x1.38f1c9a7f708bp-7, -0x1.add6651dd1c22p-7, -0x1.0fbefe457ae1p-6, -0x1.46f6ff43ad19cp-6, -0x1.7c96770fb8fa8p-6, -0x1.b0a122ed7cfcp-6, -0x1.e31b30884dccp-6, -0x1.0a0498d77fd8bp-5, -0x1.21b8087a58678p-5, -0x1.38aa83b402c38p-5, -0x1.4edec91f773f7p-5, -0x1.6457b5d037c5ap-5, -0x1.791840976d903p-5, -0x1.8d2376c603b7dp-5, -0x1.a07c78cceff11p-5, -0x1.b3267712594eep-5, -0x1.c524af9c7fdddp-5, -0x1.d67a6a78610e4p-5, -0x1.e72af82f9a67bp-5, -0x1.f739af19dd64ap-5, -0x1.0354f4a95daf6p-4, -0x1.0abf81694054dp-4, -0x1.11de2bd7a64d7p-4, -0x1.18b2a15b94146p-4, -0x1.1f3e8d8385dfap-4, -0x1.25839a637d592p-4, -0x1.2b836efcd8202p-4, -0x1.313faf404b7fap-4, -0x1.36b9fb7b626acp-4, -0x1.3bf3efece7562p-4, -0x1.40ef246d354b3p-4, -0x1.45ad2c170a488p-4, -0x1.4a2f94e17487p-4, -0x1.4e77e7c4a2c94p-4, -0x1.5287a7db43d55p-4, -0x1.566052b530455p-4, -0x1.5a035ff1dc17ep-4, -0x1.5d724133d0566p-4, -0x1.60ae61d7f1721p-4, -0x1.63b9271c9120dp-4, -0x1.6693efce8c6d9p-4, -0x1.6940145e4a223p-4, -0x1.6bbee6a90ef64p-4, -0x1.6e11b234627cdp-4, -0x1.7039bbf8742ep-4, -0x1.723842580d3f4p-4, -0x1.740e7d3e3dffep-4, -0x1.75bd9e204f2dbp-4, -0x1.7746cfea60f62p-4, -0x1.78ab37233119fp-4, -0x1.79ebf2069cc2cp-4, -0x1.7b0a183513a7cp-4, -0x1.7c06bb47a968ap-4, -0x1.7ce2e66124606p-4, -0x1.7d9f9ed17b912p-4, -0x1.7e3de3815755bp-4, -0x1.7ebead6de571dp-4, -0x1.7f22ef9e55a4ap-4, -0x1.7f6b975d83cap-4, -0x1.7f998bec0f97dp-4, -0x1.7fadaf1b8bd1ap-4, -0x1.7fa8dd010a7b9p-4, -0x1.7f8bec3328229p-4, -0x1.7f57addacf4c3p-4, -0x1.7f0cedca33775p-4, -0x1.7eac729a7b4e7p-4, -0x1.7e36fdb63f81ep-4, -0x1.7dad4b839283fp-4, -0x1.7d1013691222p-4, -0x1.7c6007fa4e017p-4, -0x1.7b9dd6ff7d778p-4, -0x1.7aca2998abebdp-4, -0x1.79e5a44c8df12p-4, -0x1.78f0e72877bfcp-4, -0x1.77ec8dd9e6a43p-4, -0x1.76d92fb3f9dc9p-4, -0x1.75b75fef3ac91p-4, -0x1.7487ad9b63b06p-4, -0x1.734aa3b23a2aap-4, -0x1.7200c95828a9fp-4, -0x1.70aaa1d1b511cp-4, -0x1.6f48aca4114c7p-4, -0x1.6ddb65ac20804p-4, -0x1.6c63452f1181ep-4, -0x1.6ae0c001e8d8ap-4, -0x1.69544780de1c6p-4, -0x1.67be49bf13447p-4, -0x1.661f3198786e2p-4, -0x1.647766b37c473p-4, -0x1.62c74daaac2aep-4, -0x1.610f4816ceb69p-4, -0x1.5f4fb4a38820ep-4, -0x1.5d88ef240f1a3p-4, -0x1.5bbb50a4ad87cp-4, -0x1.59e72f7c903b6p-4, -0x1.580cdf664f02ap-4, -0x1.562cb1893df9cp-4, -0x1.5446f48ae8788p-4, -0x1.525bf4a37d77dp-4, -0x1.506bfbd370afdp-4, -0x1.4e77518c20a3cp-4, -0x1.4c7e3b361a3e6p-4, -0x1.4a80fc0044deap-4, -0x1.487fd4fc2decap-4, -0x1.467b052fddd8cp-4, -0x1.4472c9a3c11e5p-4, -0x1.42675d5f4d96fp-4, -0x1.4058f9c1e436p-4, -0x1.3e47d5fe077a9p-4, -0x1.3c3427c766cf8p-4, -0x1.3a1e22f4fb931p-4, -0x1.3805f9bc5e5b7p-4, -0x1.35ebdcaf7f6ecp-4, -0x1.33cffacd1e8d4p-4, -0x1.31b2818ad33a3p-4, -0x1.2f939cd51f617p-4, -0x1.2d7377535d64bp-4, -0x1.2b5239ff362bep-4, -0x1.29300ca9b5fedp-4, -0x1.270d15c13d3c3p-4, -0x1.24e97a6dac711p-4, -0x1.22c55e97be893p-4, -0x1.20a0e4f342869p-4, -0x1.1e7c2f07d5e3ap-4, -0x1.1c575d34ab16ep-4, -0x1.1a328ed55c861p-4, -0x1.180de21236f8dp-4, -0x1.15e9742ea545ap-4, -0x1.13c56149b8e14p-4, -0x1.11a1c4a3c396ap-4, -0x1.0f7eb882ddfe9p-4, -0x1.0d5c562375a7cp-4, -0x1.0b3ab627576c5p-4, -0x1.0919f0100a833p-4, -0x1.06fa1aa4f25c3p-4, -0x1.04db4bdb74e76p-4, -0x1.02bd98dfbfb2ap-4, -0x1.00a1161bc99cbp-4, -0x1.fd0bae7bcddd4p-5, -0x1.f8d7de634d2c6p-5, -0x1.f4a6e08a2e89ep-5, -0x1.f078d81bfd10ap-5, -0x1.ec4de6fa16ae5p-5, -0x1.e8262dc023fbbp-5, -0x1.e401cbe02124cp-5, -0x1.dfe0df8964e8ep-5, -0x1.dbc385cc9ceddp-5, -0x1.d7a9daa10b54p-5, -0x1.d393f8e3f7296p-5, -0x1.cf81fa69e9964p-5, -0x1.cb73f8039adf8p-5, -0x1.c76a09881d57p-5, -0x1.c36445c36d2a4p-5, -0x1.bf62c2daf2b72p-5, -0x1.bb6595af2c0ap-5, -0x1.b76cd2829031ap-5, -0x1.b3788cadb2872p-5, -0x1.af88d6b94c5c2p-5, -0x1.ab9dc2613e763p-5, -0x1.a7b760a7914bfp-5, -0x1.a3d5c1cd99ac1p-5, -0x1.9ff8f54d05771p-5, -0x1.9c2109fc098ebp-5, -0x1.984e0e016ccb4p-5, -0x1.94800edb1c9c9p-5, -0x1.90b71962d407ap-5, -0x1.8cf339d9379a6p-5, -0x1.89347be98c1a5p-5, -0x1.857aea9029be3p-5, -0x1.81c6906ca078bp-5, -0x1.7e17775c368d6p-5, -0x1.7a6da8d8d2e4ap-5, -0x1.76c92dce006dcp-5, -0x1.732a0ea9a48a9p-5, -0x1.6f90535ee78f8p-5, -0x1.6bfc03698d274p-5, -0x1.686d25d16a438p-5, -0x1.64e3c12e22215p-5, -0x1.615fdbaa6069cp-5, -0x1.5de17b079c312p-5, -0x1.5a68a4a13e09cp-5, -0x1.56f55d6f8012cp-5, -0x1.5387aa0a188bbp-5, -0x1.501f8eadc476dp-5, -0x1.4cbd0f38c33aap-5, -0x1.49602f350fffep-5, -0x1.4608f1c63bf28p-5, -0x1.42b759f384becp-5, -0x1.3f6b6a279a407p-5, -0x1.3c2524b2877bap-5, -0x1.38e48b8b300e6p-5, -0x1.35a9a05ffcc22p-5, -0x1.32746495d403ep-5, -0x1.2f44d9553789p-5, -0x1.2c1aff779a45fp-5, -0x1.28f6d79b3b83dp-5, -0x1.25d8622017528p-5, -0x1.22bf9f277d54dp-5, -0x1.1fac8e9a0c542p-5, -0x1.1c9f30228805bp-5, -0x1.19978333683fdp-5, -0x1.169587121f269p-5, -0x1.13993ac8a4d47p-5, -0x1.10a29d267183bp-5, -0x1.0db1acd2cb692p-5, -0x1.0ac66842af1d6p-5, -0x1.07e0cdbbf8da7p-5, -0x1.0500db540d159p-5, -0x1.02268eefbe75fp-5, -0x1.fea3ccd52d288p-6, -0x1.f905be791ef43p-6, -0x1.f372edc0f0aecp-6, -0x1.edeb5536dd0f1p-6, -0x1.e86eef1a03f1ap-6, -0x1.e2fdb55e5a29bp-6, -0x1.dd97a1b1c2d82p-6, -0x1.d83cad7a20ba3p-6, -0x1.d2ecd1d815259p-6, -0x1.cda807a9562a9p-6, -0x1.c86e4779a8392p-6, -0x1.c33f8a083aee9p-6, -0x1.be1bc6f860cf2p-6, -0x1.b902f61ccff13p-6, -0x1.b3f50fbde4f1fp-6, -0x1.aef20ae5f046bp-6, -0x1.a9f9dee1ace3dp-6, -0x1.a50c82b9cee26p-6, -0x1.a029ed43ea794p-6, -0x1.9b521521c2a95p-6, -0x1.9684f0c3e7261p-6, -0x1.91c2766bb1ce1p-6, -0x1.8d0a9c2dbde03p-6, -0x1.885d57d6018e1p-6, -0x1.83ba9f582f8abp-6, -0x1.7f226806dbe57p-6, -0x1.7a94a761b6307p-6, -0x1.761152a2cce28p-6, -0x1.71985ede5830ap-6, -0x1.6d29c103c13b8p-6, -0x1.68c56ddd425c6p-6, -0x1.646b5a10f1d72p-6, -0x1.601b7a21cea9bp-6, -0x1.5bd5c270b405ap-6, -0x1.579a273d4187cp-6, -0x1.53689ca6bfeafp-6, -0x1.4f4116ad64ba4p-6, -0x1.4b238933023cfp-6, -0x1.470fe7fc0df05p-6, -0x1.430626b01fe5bp-6, -0x1.3f0638daa4cabp-6, -0x1.3b1011e97d5d7p-6, -0x1.3723a5396b171p-6, -0x1.3340e60c13acbp-6, -0x1.2f67c77cf2d47p-6, -0x1.2b983c9b73143p-6, -0x1.27d2385f1eb77p-6, -0x1.2415ada7699f9p-6, -0x1.20628f3f55a75p-6, -0x1.1cb8cfdcafb68p-6, -0x1.19186220cba46p-6, -0x1.15813884e8d0fp-6, -0x1.11f345bdbaaa6p-6, -0x1.0e6e7bf9a4575p-6, -0x1.0af2cda5c0539p-6, -0x1.07802d0aadc3fp-6, -0x1.04168c5de0492p-6, -0x1.00b5ddc75e007p-6, -0x1.fabc26bce4c5dp-7, -0x1.f41e3e5d4d132p-7, -0x1.ed91e668a1bacp-7, -0x1.e71702be8ed1p-7, -0x1.e0ad77262501p-7, -0x1.da55274f21783p-7, -0x1.d40df6d2b7277p-7, -0x1.cdd7c934b7b77p-7, -0x1.c7b281e59f144p-7, -0x1.c19e044259b95p-7, -0x1.bb9a33962604p-7, -0x1.b5a6f31b26916p-7, -0x1.afc425fcd5eeep-7, -0x1.a9f1af5798d3dp-7, -0x1.a42f723a43f9p-7, -0x1.9e7d51a7e6e6ap-7, -0x1.98db309a35cafp-7, -0x1.9348f1fdaee8p-7, -0x1.8dc678b6b49f4p-7, -0x1.8853a7a1d0ff2p-7, -0x1.82f061941c804p-7, -0x1.7d9c895c96d3cp-7, -0x1.785801c573077p-7, -0x1.7322ad95a5cf4p-7, -0x1.6dfc6f92f1104p-7, -0x1.68e52a5487a0cp-7, -0x1.63dcc103e7fe3p-7, -0x1.5ee315fe39ee9p-7, -0x1.59f80c25965b6p-7, -0x1.551b8640247e9p-7, -0x1.504d6710a7383p-7, -0x1.4b8d915e5128fp-7, -0x1.46dbe7f4bdcc5p-7, -0x1.42384da47bd12p-7, -0x1.3da2a546473a8p-7, -0x1.391ad1bef12c9p-7, -0x1.34a0b5f5d3bc3p-7, -0x1.303434dd2dfcdp-7, -0x1.2bd53173d9222p-7, -0x1.27838ec2094dbp-7, -0x1.233f2fd919a0cp-7, -0x1.1f07f7d2a0376p-7, -0x1.1addc9d97d176p-7, -0x1.16c0892bda9d2p-7, -0x1.12b01903ac401p-7, -0x1.0eac5cb4d5e27p-7, -0x1.0ab537a8181b4p-7, -0x1.06ca8d58ddaf4p-7, -0x1.02ec4154fb3fbp-7, -0x1.fe346e3a11c8fp-8, -0x1.f6a8a61c8a36ep-8, -0x1.ef34ef600596bp-8, -0x1.e7d9140a7dfp-8, -0x1.e094db091d81cp-8, -0x1.d9680c5af9d73p-8, -0x1.d252703a6c43fp-8, -0x1.cb53cefd049d1p-8, -0x1.c46bf12cb8684p-8, -0x1.bd9a9f8d7c693p-8, -0x1.b6dfa31ec5684p-8, -0x1.b03ac51a273a5p-8, -0x1.a9abcec5681b3p-8, -0x1.a3328a4bdfffbp-8, -0x1.9ccec14427853p-8, -0x1.96803db6177d5p-8, -0x1.9046ca0ad399dp-8, -0x1.8a2230b37f8fcp-8, -0x1.84123c52774e3p-8, -0x1.7e16b7c279a5ep-8, -0x1.782f6e1da0463p-8, -0x1.725c2ac4f1699p-8, -0x1.6c9cb966ad87cp-8, -0x1.66f0e6026ce56p-8, -0x1.61587ce9abc0ap-8, -0x1.5bd34abccf851p-8, -0x1.56611c6555831p-8, -0x1.5101bf0fb9985p-8, -0x1.4bb500227fe24p-8, -0x1.467aad38d9ad8p-8, -0x1.41529422f295fp-8, -0x1.3c3c82e6eac18p-8, -0x1.373847c7b14f7p-8, -0x1.3245b15190d1bp-8, -0x1.2d648e5c7b04cp-8, -0x1.2894ae14d76d7p-8, -0x1.23d5e009e0892p-8, -0x1.1f27f42cbe66cp-8, -0x1.1a8abace2391cp-8, -0x1.15fe04998ad91p-8, -0x1.1181a28d97d77p-8, -0x1.0d1565f33e7c7p-8, -0x1.08b9205580538p-8, -0x1.046ca37be34a1p-8, -0x1.002fc168cb793p-8, -0x1.f80498b6d9968p-9, -0x1.efc82da53c303p-9, -0x1.e7a9e72e10e4dp-9, -0x1.dfa96b91b2fa4p-9, -0x1.d7c661c2c801bp-9, -0x1.d0007184d9da3p-9, -0x1.c857436469d1cp-9, -0x1.c0ca80ac7ea25p-9, -0x1.b959d31aff872p-9, -0x1.b204e6b4bc40fp-9, -0x1.aacb65cb3b6fdp-9, -0x1.a3acfcf848b09p-9, -0x1.9ca958f718862p-9, -0x1.95c02708475f4p-9, -0x1.8ef1151258dd4p-9, -0x1.883bd16866891p-9, -0x1.81a00ae7d6f83p-9, -0x1.7b1d712052995p-9, -0x1.74b3b445493e5p-9, -0x1.6e6285347981fp-9, -0x1.68299581637f8p-9, -0x1.6208977bfa71cp-9, -0x1.5bff3e3337e97p-9, -0x1.560d3d76a4bep-9, -0x1.503249d644c94p-9, -0x1.4a6e18a145224p-9, -0x1.44c05fe50dfcap-9, -0x1.3f28d6511fb6ep-9, -0x1.39a7334f14037p-9, -0x1.343b2ef355689p-9, -0x1.2ee481e5c4b89p-9, -0x1.29a2e56d343b9p-9, -0x1.2476136a89505p-9, -0x1.1f5dc654b99a1p-9, -0x1.1a59b935dae6dp-9, -0x1.1569a7a8f6fd6p-9, -0x1.108d4dd96f1d5p-9, -0x1.0bc468878b8e1p-9, -0x1.070eb5118b896p-9, -0x1.026bf1815bc9bp-9, -0x1.fbb7b93cc4fd3p-10, -0x1.f2bc6bfa0031p-10, -0x1.e9e57bf84ff62p-10, -0x1.e1326b8fdd45bp-10, -0x1.d8a2beaedcae3p-10, -0x1.d035fab85426cp-10, -0x1.c7eba6663d12ep-10, -0x1.bfc349b0d5b55p-10, -0x1.b7bc6db995c22p-10, -0x1.afd69cb881ccp-10, -0x1.a81161e9acdbep-10, -0x1.a06c497bfd2a4p-10, -0x1.98e6e05d6a87fp-10, -0x1.9180b3da5d38dp-10, -0x1.8a3953b31558p-10, -0x1.831051479fd4cp-10, -0x1.7c0538b8a65dep-10, -0x1.7517a0bad19aep-10, -0x1.6e471bcfc31bdp-10, -0x1.67934014a5e8ep-10, -0x1.60fba5223b35ap-10, -0x1.5a7fe41c07dbep-10, -0x1.541f978ca5eeep-10, -0x1.4dda5b2b9e15p-10, -0x1.47afcbb7effd6p-10, -0x1.419f86e589d4fp-10, -0x1.3ba92b5976fe9p-10, -0x1.35cc58ab10116p-10, -0x1.3008af5edb2c1p-10, -0x1.2a5dd0d81de12p-10, -0x1.24cb5f44900fbp-10, -0x1.1f50fd8e66481p-10, -0x1.19ee4f62680a8p-10, -0x1.14a2f952839aap-10, -0x1.0f6ea112a0115p-10, -0x1.0a50edc0ac1aep-10, -0x1.054988202ff18p-10, -0x1.00581ab2c8e8dp-10, -0x1.f6f8a342f20dp-11, -0x1.ed6bb4f842fcfp-11, -0x1.e408c7c9bffcbp-11, -0x1.dacf3a8823353p-11, -0x1.d1be6d38cbfd3p-11, -0x1.c8d5c10c37b2cp-11, -0x1.c01498a3dc669p-11, -0x1.b77a58a4f0dddp-11, -0x1.af06679b7ea0cp-11, -0x1.a6b82e03c7937p-11, -0x1.9e8f1687794efp-11, -0x1.968a8d7bed48p-11, -0x1.8eaa00901ef28p-11, -0x1.86ecdeb5f6f59p-11, -0x1.7f52984b802d9p-11, -0x1.77da9f8951637p-11, -0x1.7084691218dfp-11, -0x1.694f6c6f9aedcp-11, -0x1.623b2442e585fp-11, -0x1.5b470e0dfe493p-11, -0x1.5472a9a695d4dp-11, -0x1.4dbd786f17b35p-11, -0x1.4726fca21afddp-11, -0x1.40aeb8e782fdbp-11, -0x1.3a542fe1ad4e6p-11, -0x1.3416e8cd8c2cbp-11, -0x1.2df66766d70bep-11, -0x1.27f234ca8ccf4p-11, -0x1.2209dbde0c0ecp-11, -0x1.1c3ce9791caadp-11, -0x1.168aec517201p-11, -0x1.10f37492bb34cp-11, -0x1.0b76138b48012p-11, -0x1.06125b8459802p-11, -0x1.00c7dfd0c850dp-11, -0x1.f72c6a18f5c04p-12, -0x1.ecf9e2f65bcebp-12, -0x1.e2f75acf9c50fp-12, -0x1.d92406be53942p-12, -0x1.cf7f204993781p-12, -0x1.c607e4b0ff9f4p-12, -0x1.bcbd93cf73b1ep-12, -0x1.b39f6f073ebdfp-12, -0x1.aaacb8b9a1887p-12, -0x1.a1e4b4856f5e3p-12, -0x1.9946a828be4e3p-12, -0x1.90d1dc99cd7dbp-12, -0x1.88859e6a4676bp-12, -0x1.80613e757bf63p-12, -0x1.786410ddd876bp-12, -0x1.708d6cc42cdd8p-12, -0x1.68dcabcee41p-12, -0x1.61512a10694ffp-12, -0x1.59ea459931957p-12, -0x1.52a75e473dd5dp-12, -0x1.4b87d6c7bbfa9p-12, -0x1.448b13e98e3c9p-12, -0x1.3db07b7076af7p-12, -0x1.36f774d14b376p-12, -0x1.305f69b60f83bp-12, -0x1.29e7c67520e4cp-12, -0x1.238ffa5e2bbep-12, -0x1.1d57778e0b98bp-12, -0x1.173db25681471p-12, -0x1.1142209962053p-12, -0x1.0b64398cd1972p-12, -0x1.05a3761a4ba1cp-12, -0x1.fffea34911512p-13, -0x1.f4ee95b8550a9p-13, -0x1.ea15c416d6f4cp-13, -0x1.df733896e9d0dp-13, -0x1.d505fcc6cd1a5p-13, -0x1.cacd1f0b98afap-13, -0x1.c0c7b04423e8bp-13, -0x1.b6f4ba261ad22p-13, -0x1.ad537f19345cfp-13, -0x1.a3e2eca19c79bp-13, -0x1.9aa242d806c5p-13, -0x1.9190ab135cb65p-13, -0x1.88ad48414c8cbp-13, -0x1.7ff746211bdd8p-13, -0x1.776dcfcf37526p-13, -0x1.6f1011e1502d2p-13, -0x1.66dd3cbd421fdp-13, -0x1.5ed484edff136p-13, -0x1.56f524d203eebp-13, -0x1.4f3e5bd0d1593p-13, -0x1.47af6cbf7fd8ep-13, -0x1.40479cd18e211p-13, -0x1.3906336192a89p-13, -0x1.31ea7a934d858p-13, -0x1.2af3c01627539p-13, -0x1.2421552d0e4f6p-13, -0x1.1d728dcd8750bp-13, -0x1.16e6bf9c6e0adp-13, -0x1.107d41caf7641p-13, -0x1.0a356e18b8a7fp-13, -0x1.040ea252277e3p-13, -0x1.fc10829de7b97p-14, -0x1.f04365b8c1ff2p-14, -0x1.e4b4c56da06a2p-14, -0x1.d9637e5f6fecfp-14, -0x1.ce4e7026d885p-14, -0x1.c3747c06511d1p-14, -0x1.b8d48456fd3fp-14, -0x1.ae6d6c9eff3e3p-14, -0x1.a43e1a8d1f4f8p-14, -0x1.9a4577ee92445p-14, -0x1.908275189597ap-14, -0x1.86f40ab1b57f3p-14, -0x1.7d993a155677p-14, -0x1.74710bdec4ba4p-14, -0x1.6b7a8d4ce6a34p-14, -0x1.62b4cd9b5589p-14, -0x1.5a1edcc9fd7d9p-14, -0x1.51b7cc82acc6ep-14, -0x1.497eb1fc10655p-14, -0x1.4172a6dad89acp-14, -0x1.3992c858f0dc5p-14, -0x1.31de3657f894p-14, -0x1.2a541448cf82p-14, -0x1.22f38b6cfc8a6p-14, -0x1.1bbbcc29c23ffp-14, -0x1.14ac0d25bbde3p-14, -0x1.0dc3891f5410ep-14, -0x1.07017d634d434p-14, -0x1.006529d41f5f7p-14, -0x1.f3dba3aa5d1c4p-15, -0x1.e7357984b4124p-15, -0x1.dad66ab696494p-15, -0x1.cebd1142ebfb9p-15, -0x1.c2e80a2de9a38p-15, -0x1.b755f5305f2b7p-15, -0x1.ac0570e344f47p-15, -0x1.a0f53775987d1p-15, -0x1.9623fa941a67ep-15, -0x1.8b90745b4e573p-15, -0x1.813975b7c9bcp-15, -0x1.771dd0afb366bp-15, -0x1.6d3c598064b12p-15, -0x1.6393e3bac81dap-15, -0x1.5a2342b1c86a5p-15, -0x1.50e94d65dc96ap-15, -0x1.47e4e232b9f93p-15, -0x1.3f14e6daa60b4p-15, -0x1.3678466e679bp-15, -0x1.2e0df166756dp-15, -0x1.25d4e0673c0a3p-15, -0x1.1dcc1517f5827p-15, -0x1.15f29661d5956p-15, -0x1.0e476c4b37097p-15, -0x1.06c99fc4d0e0dp-15, -0x1.fef07af1942afp-16, -0x1.f0a4b176412ebp-16, -0x1.e2ae185b8731p-16, -0x1.d50af0b94e2b1p-16, -0x1.c7b9846c40ad9p-16, -0x1.bab82478c79bdp-16, -0x1.ae052811664a4p-16, -0x1.a19eebd3f07a4p-16, -0x1.9583d3da273bfp-16, -0x1.89b24b7018d37p-16, -0x1.7e28c281019d9p-16, -0x1.72e5b4f9437f3p-16, -0x1.67e7aa8309cb7p-16, -0x1.5d2d346f783b1p-16, -0x1.52b4eb8a051b5p-16, -0x1.487d6c934cfd4p-16, -0x1.3e85552240b36p-16, -0x1.34cb440b78f0bp-16, -0x1.2b4ddd7ee41f7p-16, -0x1.220b8f23451ep-16, -0x1.19037f3970967p-16, -0x1.103497b248d5p-16, -0x1.079cfd1ff70e5p-16, -0x1.fe779c8b47b7fp-17, -0x1.ee1fc4a40b535p-17, -0x1.de302974e01f9p-17, -0x1.cea682c7d9bd3p-17, -0x1.bf808d6ff1497p-17, -0x1.b0bc156698accp-17, -0x1.a257043fca6a1p-17, -0x1.944f22545570cp-17, -0x1.86a297af39b56p-17, -0x1.794f28fb69ea6p-17, -0x1.6c5309acaf7e9p-17, -0x1.5fac464ff060ep-17, -0x1.5358fb028f116p-17, -0x1.47574fbde65f4p-17, -0x1.3ba5787f14c4ap-17, -0x1.3041b2fdc301fp-17, -0x1.252a3ea27b124p-17, -0x1.1a5d4dfade31fp-17, -0x1.0fd956c03fc3p-17, -0x1.059cb9e1200a2p-17, -0x1.f74b7cb0cef04p-18, -0x1.e3e5ca6c09224p-18, -0x1.d1054a00e9431p-18, -0x1.bea6ef94e3d69p-18, -0x1.acc7b6eb06cabp-18, -0x1.9b64aa1f289d5p-18, -0x1.8a7aec767b1c1p-18, -0x1.7a07bdf405c3ap-18, -0x1.6a0872b7ff237p-18, -0x1.5a7a66c476942p-18, -0x1.4b5afe9c3e7e5p-18, -0x1.3ca7aeb8d7aap-18, -0x1.2e5df63f60754p-18, -0x1.207b59b520504p-18, -0x1.12fd6c84519bcp-18, -0x1.05e1d71ca08c8p-18, -0x1.f24c9c28c23fdp-19, -0x1.d99117405f979p-19, -0x1.c18ca599cc4a1p-19, -0x1.aa3ae800b02bbp-19, -0x1.93979e75994ccp-19, -0x1.7d9ea81cc73cep-19, -0x1.684bfd3ec9958p-19, -0x1.539baccff13bep-19, -0x1.3f89db359d1b6p-19, -0x1.2c12bf007e9bp-19, -0x1.1932a06bc490cp-19, -0x1.06e5da690d798p-19, -0x1.ea51b504db40fp-20, -0x1.c7f03f88ac704p-20, -0x1.a6a073baa98edp-20, -0x1.865b937de8cd7p-20, -0x1.671b08b00feabp-20, -0x1.48d86a0bd6c2bp-20, -0x1.2b8d78151677dp-20, -0x1.0f340f5585975p-20, -0x1.e78c3ce986601p-21, -0x1.b27b64378478cp-21, -0x1.7f2a1d2148f3fp-21, -0x1.4d8d6fdba48bcp-21, -0x1.1d9aa61b650dfp-21, -0x1.de8de58a6088fp-22, -0x1.850f2a8260099p-22, -0x1.2ea461a16d929p-22, -0x1.b672cd76e16acp-23, -0x1.1575a91926144p-23, -0x1.e8ac0dba45bc1p-25, 0x1.b92bc5f853082p-27, 0x1.57d141e138763p-24, 0x1.36fb2d62175dap-23, 0x1.bcee03ebbdcb4p-23, 0x1.1ef1f476e77fp-22, 0x1.5cff686cbfe4ep-22, 0x1.98afebdc64391p-22, 0x1.d21399ad2e5afp-22, 0x1.049d0a0643c88p-21, 0x1.1f194144705ddp-21, 0x1.3885da023315cp-21, 0x1.50eac2960763bp-21, 0x1.684e1847e2c15p-21, 0x1.7eb60bab3a0d1p-21, 0x1.942b95e54f061p-21, 0x1.a8b488adda166p-21, 0x1.bc577eba0b086p-21, 0x1.cf1b01df7599bp-21, 0x1.e105690076a1ep-21, 0x1.f21cd3d3ae11dp-21, 0x1.0133950393572p-20, 0x1.08f511215399dp-20, 0x1.1055a6594b74bp-20, 0x1.17581633f1954p-20, 0x1.1dfcc0430887p-20, 0x1.244f1e707e443p-20, 0x1.2a464601cc10ep-20, 0x1.2feb0376d2d0fp-20, 0x1.353e7c67c81edp-20, 0x1.3a434b76a3b14p-20, 0x1.3efbd263e95e4p-20, 0x1.436a582e14633p-20, 0x1.4790fb81fddap-20, 0x1.4b71dc10f73afp-20, 0x1.4f0f2c78d7a7bp-20, 0x1.526b0cb3c3561p-20, 0x1.558784fcb2d9ap-20, 0x1.586690e64d83bp-20, 0x1.5b0a26c03d0c7p-20, 0x1.5d7439458ac0ap-20, 0x1.5fa6b20bdaf3fp-20, 0x1.61a364951e317p-20, 0x1.636c017804224p-20, 0x1.650253df76aaep-20, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.5201571eda7f8p-4, 0x1.445e87f4d9446p-3, 0x1.ca2ba459f9321p-3, 0x1.1b73c6b2b5856p-2, 0x1.44f6a58c1c16dp-2, 0x1.622bfb94c0209p-2, 0x1.7422e5f472ba5p-2, 0x1.7c2d67e31a68ep-2, 0x1.7bb6ba01e3abfp-2, 0x1.7428a70ffb4ecp-2, 0x1.66db3019cabf3p-2, 0x1.550b06c19c45fp-2, 0x1.3fd49d0d22381p-2, 0x1.2832483cdbb24p-2, 0x1.0efc6d03eeadep-2, 0x1.e9d5f8328c224p-3, 0x1.b52f73e336b57p-3, 0x1.8101ed1e2aab1p-3, 0x1.4e18e6d320415p-3, 0x1.1d1496d928aa1p-3, 0x1.dcdefe82f5d0ep-4, 0x1.85075444557edp-4, 0x1.331ee9aff43bfp-4, 0x1.cee782de0e2ebp-5, 0x1.4459a5802483p-5, 0x1.8d4336488b18fp-6, 0x1.566019d3dabb3p-7, -0x1.e29d98890ae15p-10, -0x1.9f62ae04544ffp-7, -0x1.6a8139219bed2p-6, -0x1.efdb385792f5bp-6, -0x1.308e70c40b491p-5, -0x1.5fdb17dc776e2p-5, -0x1.8690d0a59d168p-5, -0x1.a56eccc201754p-5, -0x1.bd336e219f563p-5, -0x1.ce9a035b8c00dp-5, -0x1.da58efc8aada6p-5, -0x1.e120313f097ebp-5, -0x1.e398393f3c50fp-5, -0x1.e2610c5832f49p-5, -0x1.de119d7406049p-5, -0x1.d737627997c31p-5, -0x1.ce56136c42f73p-5, -0x1.c3e78be60a85fp-5, -0x1.b85bdfade6f86p-5, -0x1.ac196b650777ap-5, -0x1.9f7d228dd370ep-5, -0x1.92dacab801f2cp-5, -0x1.867d67555a591p-5, -0x1.7aa7925157cf8p-5, -0x1.6f93f67dabcbbp-5, -0x1.6575bb25fb1b7p-5, -0x1.5c7905281a81cp-5, -0x1.54c3669f71927p-5, -0x1.4e7457d7e509p-5, -0x1.49a5aa2b338bp-5, -0x1.466bfd2a746f7p-5, -0x1.44d72bd7a03bp-5, -0x1.44f2b4276a748p-5, -0x1.46c6194137efbp-5, -0x1.4a5543e0380e9p-5, -0x1.4fa0e07d17331p-5, -0x1.56a6b79d00b9dp-5, -0x1.5f62011f01a0bp-5, -0x1.69cbb05a2c69fp-5, -0x1.75dabb998db2bp-5, -0x1.8384607d01b1dp-5, -0x1.92bc640a8b726p-5, -0x1.a3754f9e8cd01p-5, -0x1.b5a0a7ac564d8p-5, -0x1.c92f1e285da63p-5, -0x1.de10be3f22a8bp-5, -0x1.f435155332c1fp-5, -0x1.05c5aad94bd9dp-4, -0x1.12013c33e09ep-4, -0x1.1ec4ac772643ep-4, -0x1.2c076884690c6p-4, -0x1.39c0e78bf38fap-4, -0x1.47e8b51121331p-4, -0x1.567679b02b77dp-4, -0x1.65620230f7b12p-4, -0x1.74a345a37618bp-4, -0x1.84326a709bedep-4, -0x1.9407ca86670f2p-4, -0x1.a41bf6e07eebbp-4, -0x1.b467ba2499db2p-4, -0x1.c4e41afe667a2p-4, -0x1.d58a5daa6f0d6p-4, -0x1.e65405170a239p-4, -0x1.f73ad38c4c209p-4, -0x1.041c6567de11ep-3, -0x1.0ca41615130b9p-3, -0x1.1531bbe3b1402p-3, -0x1.1dc2b60805962p-3, -0x1.2654825b02cb2p-3, -0x1.2ee4bccc06e7fp-3, -0x1.37711ebe81b62p-3, -0x1.3ff77e57c193p-3, -0x1.4875cddfac442p-3, -0x1.50ea1ac54e097p-3, -0x1.59528d0e37576p-3, -0x1.61ad666ffb5e8p-3, -0x1.69f90182f257ap-3, -0x1.7233d0e97f475p-3, -0x1.7a5c5e8657e3bp-3, -0x1.82714aa2c275ap-3, -0x1.8a714b1db03ddp-3, -0x1.925b2a9ca685dp-3, -0x1.9a2dc7c533482p-3, -0x1.a1e8147638809p-3, -0x1.a98914f3606c2p-3, -0x1.b10fdf3f383cap-3, -0x1.b87b9a49ee21ep-3, -0x1.bfcb7d5b968d8p-3, -0x1.c6fecf49c34b7p-3, -0x1.ce14e5e228a66p-3, -0x1.d50d25352be0cp-3, -0x1.dbe6ff175ab66p-3, -0x1.e2a1f26ba2c0cp-3, -0x1.e93d8aa144408p-3, -0x1.efb95f24eb2a1p-3, -0x1.f61512db9da34p-3, -0x1.fc5053976a7ebp-3, -0x1.01356cd3ec997p-2, -0x1.043233a80f004p-2, -0x1.071e643664b51p-2, -0x1.09f9e8f072039p-2, -0x1.0cc4b0aa625cdp-2, -0x1.0f7eae4c368aap-2, -0x1.1227d8bbf9c41p-2, -0x1.14c02a9b5ddd7p-2, -0x1.1747a21e2088cp-2, -0x1.19be40e0764d6p-2, -0x1.1c240bb6f77a8p-2, -0x1.1e790a86564b2p-2, -0x1.20bd481f776c1p-2, -0x1.22f0d21224c62p-2, -0x1.2513b88bf5896p-2, -0x1.27260e338c8e7p-2, -0x1.2927e808a7ed8p-2, -0x1.2b195d2dc20ecp-2, -0x1.2cfa86f5bbdeep-2, -0x1.2ecb80898a851p-2, -0x1.308c66ff31c6p-2, -0x1.323d591914ee4p-2, -0x1.33de773743da3p-2, -0x1.356fe33d1329ep-2, -0x1.36f1c0710838dp-2, -0x1.3864336a03194p-2, -0x1.39c761f413116p-2, -0x1.3b1b72f4c7987p-2, -0x1.3c608e5c78177p-2, -0x1.3d96dd0bfb571p-2, -0x1.3ebe88bf7a777p-2, -0x1.3fd7bbf944c8ep-2, -0x1.40e2a1f3ce12p-2, -0x1.41df668d219ep-2, -0x1.42ce362fd47fdp-2, -0x1.43af3dc609f74p-2, -0x1.4482aaad3cdfp-2, -0x1.4548aaa3a2d49p-2, -0x1.46016bb8109c9p-2, -0x1.46ad1c34937d2p-2, -0x1.474beaa2508fep-2, -0x1.47de05b66a91bp-2, -0x1.48639c3df871ap-2, -0x1.48dcdd130d9a8p-2, -0x1.4949f71a2e994p-2, -0x1.49ab193b29534p-2, -0x1.4a00724ea1863p-2, -0x1.4a4a311298a5p-2, -0x1.4a88841ecfe29p-2, -0x1.4abb99efe93f9p-2, -0x1.4ae3a0dd81d38p-2, -0x1.4b00c6f726aa3p-2, -0x1.4b133a12e7301p-2, -0x1.4b1b27c845f86p-2, -0x1.4b18bd667bed9p-2, -0x1.4b0c27f6b6b37p-2, -0x1.4af5942bfb492p-2, -0x1.4ad52e5437b1cp-2, -0x1.4aab2276255aep-2, -0x1.4a779c2a00198p-2, -0x1.4a3ac6b84326p-2, -0x1.49f4ccfb1d623p-2, -0x1.49a5d95f0915p-2, -0x1.494e15e5ca7e8p-2, -0x1.48edac2ba392ap-2, -0x1.4884c5614305dp-2, -0x1.48138a426d86p-2, -0x1.479a231dee815p-2, -0x1.4718b7bcaf6bfp-2, -0x1.468f6f83be857p-2, -0x1.45fe71634f6b6p-2, -0x1.4565e3d870b47p-2, -0x1.44c5ece67fd7dp-2, -0x1.441eb21693a4bp-2, -0x1.4370587abf72cp-2, -0x1.42bb04b2a09d9p-2, -0x1.41fedaecd7de9p-2, -0x1.413bfedd884dbp-2, -0x1.407293cb82ebep-2, -0x1.3fa2bc77a91dep-2, -0x1.3ecc9b37264a3p-2, -0x1.3df051ec3ca0ep-2, -0x1.3d0e020ea7caep-2, -0x1.3c25cc9a07f44p-2, -0x1.3b37d22270f08p-2, -0x1.3a4432c4a694ep-2, -0x1.394b0e2e08385p-2, -0x1.384c83a0a76f7p-2, -0x1.3748b1f58fab8p-2, -0x1.363fb79db970ep-2, -0x1.3531b29d10aa2p-2, -0x1.341ec090a0e02p-2, -0x1.3306feaa066c9p-2, -0x1.31ea89b5b97b3p-2, -0x1.30c97e1eb1fc3p-2, -0x1.2fa3f7f050b3dp-2, -0x1.2e7a12d54e1c8p-2, -0x1.2d4bea17545dap-2, -0x1.2c19989f9696ap-2, -0x1.2ae338f7d61d5p-2, -0x1.29a8e54f82decp-2, -0x1.286ab77e9ab93p-2, -0x1.2728c904bf121p-2, -0x1.25e3330dfd405p-2, -0x1.249a0e6fbdefep-2, -0x1.234d73a42ae52p-2, -0x1.21fd7ad481c61p-2, -0x1.20aa3bd7c64a9p-2, -0x1.1f53ce3638e1dp-2, -0x1.1dfa492bd77dfp-2, -0x1.1c9dc3a733d46p-2, -0x1.1b3e5449de3dbp-2, -0x1.19dc1168758a3p-2, -0x1.1877110b8d073p-2, -0x1.170f68f2acd51p-2, -0x1.15a52e96e7cfcp-2, -0x1.1438772ce4b96p-2, -0x1.12c957a58246dp-2, -0x1.1157e4ada1e7ep-2, -0x1.0fe432ac365c4p-2, -0x1.0e6e55c788952p-2, -0x1.0cf661dfba87cp-2, -0x1.0b7c6a9793dbdp-2, -0x1.0a0083533c769p-2, -0x1.0882bf3a4d204p-2, -0x1.0703313818f63p-2, -0x1.0581ebfb4d8abp-2, -0x1.03ff01f5d0261p-2, -0x1.027a855d10052p-2, -0x1.00f4882bf5917p-2, -0x1.feda38486af0ap-3, -0x1.fbc8a59fbabdap-3, -0x1.f8b47b070b06bp-3, -0x1.f59ddab8c7703p-3, -0x1.f284e6840824dp-3, -0x1.ef69bfcacb132p-3, -0x1.ec4c8781e95fbp-3, -0x1.e92d5e326848ep-3, -0x1.e60c64034409dp-3, -0x1.e2e9b8ac79165p-3, -0x1.dfc57b88de8e1p-3, -0x1.dc9fcb8ef8bbcp-3, -0x1.d978c75230769p-3, -0x1.d6508d02e75d8p-3, -0x1.d3273a6e39638p-3, -0x1.cffcecfe351b2p-3, -0x1.ccd1c1bc25882p-3, -0x1.c9a5d5522f8a5p-3, -0x1.c679440ce1352p-3, -0x1.c34c29dd3e0fp-3, -0x1.c01ea257cb6a6p-3, -0x1.bcf0c8b6055a3p-3, -0x1.b9c2b7d4d11c4p-3, -0x1.b6948a34f2f7ap-3, -0x1.b36659fbb63e1p-3, -0x1.b03840f36951fp-3, -0x1.ad0a588d2b723p-3, -0x1.a9dcb9e216091p-3, -0x1.a6af7db3c5e3fp-3, -0x1.a382bc6cb951fp-3, -0x1.a0568e24dd9f2p-3, -0x1.9d2b0a968241dp-3, -0x1.9a004929f50dcp-3, -0x1.96d660eedb478p-3, -0x1.93ad689f2ee75p-3, -0x1.9085769d94ddcp-3, -0x1.8d5ea0fac2105p-3, -0x1.8a38fd7244ea7p-3, -0x1.8714a16d34568p-3, -0x1.83f1a200c0112p-3, -0x1.80d013f290672p-3, -0x1.7db00ba82f744p-3, -0x1.7a919d4b59bbp-3, -0x1.7774dca7dcfb6p-3, -0x1.7459dd245f42bp-3, -0x1.7140b1f21d179p-3, -0x1.6e296de30a8e6p-3, -0x1.6b14237a55cf8p-3, -0x1.6800e4ebbe345p-3, -0x1.64efc41ac5923p-3, -0x1.61e0d29b4f6fdp-3, -0x1.5ed421b1e764p-3, -0x1.5bc9c252d8ddap-3, -0x1.58c1c521b864ep-3, -0x1.55bc3a7703868p-3, -0x1.52b932563d5p-3, -0x1.4fb8bc795e87ap-3, -0x1.4cbae84b0fee4p-3, -0x1.49bfc4e8b840dp-3, -0x1.46c76122d9756p-3, -0x1.43d1cb7d99125p-3, -0x1.40df12308d296p-3, -0x1.3def4327209eap-3, -0x1.3b026c00672d6p-3, -0x1.38189a0fb837bp-3, -0x1.3531da5cc3e2dp-3, -0x1.324e39a4289fcp-3, -0x1.2f6dc45822361p-3, -0x1.2c9086a0d3a72p-3, -0x1.29b68c5ce2decp-3, -0x1.26dfe121a9f58p-3, -0x1.240c903be71c7p-3, -0x1.213ca4afd53e7p-3, -0x1.1e702939877aap-3, -0x1.1ba7284d62878p-3, -0x1.18e1ac17fd083p-3, -0x1.161fbe7ec4ea8p-3, -0x1.136169208a613p-3, -0x1.10a6b556156cap-3, -0x1.0defac32a484dp-3, -0x1.0b3c568448f51p-3, -0x1.088cbcd362eb5p-3, -0x1.05e0e7685219cp-3, -0x1.0338de420026bp-3, -0x1.0094a9203223fp-3, -0x1.fbe89efde10a4p-4, -0x1.f6afb12fb0075p-4, -0x1.f17e96c520bc1p-4, -0x1.ec555d2af8879p-4, -0x1.e734114c0f3d3p-4, -0x1.e21abf931a4c6p-4, -0x1.dd0973eb91738p-4, -0x1.d80039c2d9d1p-4, -0x1.d2ff1c096666ap-4, -0x1.ce062533e8716p-4, -0x1.c9155f3c6fecdp-4, -0x1.c42cd3a36e2dep-4, -0x1.bf4c8b70e0f42p-4, -0x1.ba748f3556c6ep-4, -0x1.b5a4e70b0bf39p-4, -0x1.b0dd9a970b11p-4, -0x1.ac1eb10aa73a7p-4, -0x1.a7683124bc3d5p-4, -0x1.a2ba213310337p-4, -0x1.9e1487138ae4dp-4, -0x1.997768350504p-4, -0x1.94e2c998bd4fap-4, -0x1.9056afd383a33p-4, -0x1.8bd31f0f04c15p-4, -0x1.87581b0b48c7fp-4, -0x1.82e5a7203880dp-4, -0x1.7e7bc63f1ed39p-4, -0x1.7a1a7af40b13fp-4, -0x1.75c1c764cb3cap-4, -0x1.7171ad5b3d666p-4, -0x1.6d2a2e35794f8p-4, -0x1.68eb4af6f29e8p-4, -0x1.64b50441dbcf8p-4, -0x1.60875a59a5db3p-4, -0x1.5c624d25037d4p-4, -0x1.5845dc2fc4317p-4, -0x1.543206acd7a74p-4, -0x1.5026cb783e356p-4, -0x1.4c2429189cc46p-4, -0x1.482a1dc02b2e6p-4, -0x1.4438a74d715cep-4, -0x1.404fc34ba0d43p-4, -0x1.3c6f6ef2f3858p-4, -0x1.3897a7297ddc1p-4, -0x1.34c86884a8177p-4, -0x1.3101af4b259b7p-4, -0x1.2d437777a2815p-4, -0x1.298dbcbc43634p-4, -0x1.25e07a84943a5p-4, -0x1.223babf799b82p-4, -0x1.1e9f4bf91ba84p-4, -0x1.1b0b5529ccdf5p-4, -0x1.177fc1eaeb921p-4, -0x1.13fc8c3e1d4afp-4, -0x1.1081ae2171444p-4, -0x1.0d0f20fbb3ae2p-4, -0x1.09a4de290dfa8p-4, -0x1.0642deb6b56acp-4, -0x1.02e91b75e0eb7p-4, -0x1.ff2f1a055b81dp-5, -0x1.f89c578d02313p-5, -0x1.f219dff47436ap-5, -0x1.eba7a34d10f5ap-5, -0x1.e5459144ed389p-5, -0x1.def3991f9ba8fp-5, -0x1.d8b1a9bab58a9p-5, -0x1.d27fb1787e06bp-5, -0x1.cc5d9e4bd40bcp-5, -0x1.c64b5dbbfd0a2p-5, -0x1.c048dce96e6c6p-5, -0x1.ba56089c175c5p-5, -0x1.b472cd50f9e6fp-5, -0x1.ae9f1746276a3p-5, -0x1.a8dad2828d4bfp-5, -0x1.a325ead7e83dap-5, -0x1.9d804bde8a514p-5, -0x1.97e9e0ec05f47p-5, -0x1.926295074cf42p-5, -0x1.8cea52dd8c712p-5, -0x1.878104bb20f8ep-5, -0x1.8226948ae09e6p-5, -0x1.7cdaebdd3f822p-5, -0x1.779df3f6cc9b5p-5, -0x1.726f95e33d371p-5, -0x1.6d4fba89b0341p-5, -0x1.683e4abe26a5ap-5, -0x1.633b2f4c25b0cp-5, -0x1.5e4650f8820ddp-5, -0x1.595f9879d40fcp-5, -0x1.5486ee6908151p-5, -0x1.4fbc3b2dae5efp-5, -0x1.4aff66ea876bdp-5, -0x1.4650596efb92ap-5, -0x1.41aefa3143acbp-5, -0x1.3d1b305357d9dp-5, -0x1.3894e2b2a94c7p-5, -0x1.341bf80052085p-5, -0x1.2fb056dd86a4ap-5, -0x1.2b51e5f7078f2p-5, -0x1.27008c19dbe88p-5, -0x1.22bc303d31293p-5, -0x1.1e84b97f789c5p-5, -0x1.1a5a0f1696017p-5, -0x1.163c183732e58p-5, -0x1.122abbf6f08e2p-5, -0x1.0e25e12eead0cp-5, -0x1.0a2d6e726ce7cp-5, -0x1.064149ef052c6p-5, -0x1.02615989324ebp-5, -0x1.fd1b05c5e55fp-6, -0x1.f58b56f811388p-6, -0x1.ee1371ad0f2fap-6, -0x1.e6b321388b435p-6, -0x1.df6a317a585cp-6, -0x1.d8386f025ee5cp-6, -0x1.d11da71566a2bp-6, -0x1.ca19a78f9fd84p-6, -0x1.c32c3eabb80d3p-6, -0x1.bc553ab91fbbcp-6, -0x1.b59469cfa1376p-6, -0x1.aee9998e213e8p-6, -0x1.a85496ef88ae2p-6, -0x1.a1d52e3c1e8dfp-6, -0x1.9b6b2b1954dc9p-6, -0x1.951658b749667p-6, -0x1.8ed6821316f02p-6, -0x1.88ab7249cd502p-6, -0x1.8294f4ef2d964p-6, -0x1.7c92d658ab906p-6, -0x1.76a4e3d13ac81p-6, -0x1.70caebaa62852p-6, -0x1.6b04bd261c6a2p-6, -0x1.6552283d3189cp-6, -0x1.5fb2fd4dc8d84p-6, -0x1.5a270cc2a0e18p-6, -0x1.54ae26c3da53fp-6, -0x1.4f481afe24abep-6, -0x1.49f4b88657b3ep-6, -0x1.44b3cdd939d11p-6, -0x1.3f8528f2cbc32p-6, -0x1.3a68977881485p-6, -0x1.355de6f25b842p-6, -0x1.3064e50f8b5eep-6, -0x1.2b7d5ff24e975p-6, -0x1.26a7267ab5775p-6, -0x1.21e208843a5a6p-6, -0x1.1d2dd70838829p-6, -0x1.188a641b174c8p-6, -0x1.13f782c154f4ep-6, -0x1.0f7506a3ba6a6p-6, -0x1.0b02c3b76fdc2p-6, -0x1.06a08e02e9c76p-6, -0x1.024e38dd5553fp-6, -0x1.fc17302910e29p-7, -0x1.f3b0fc95b42d8p-7, -0x1.eb697cc767409p-7, -0x1.e34055f7cc9ffp-7, -0x1.db352d5c630f1p-7, -0x1.d347a83e9b46p-7, -0x1.cb776c2252293p-7, -0x1.c3c41f0732b22p-7, -0x1.bc2d67cb96facp-7, -0x1.b4b2eea616b4fp-7, -0x1.ad545d95fc6dp-7, -0x1.a61160a39502ap-7, -0x1.9ee9a5d161992p-7, -0x1.97dcdcb79a2fbp-7, -0x1.90eab5e1b9b3fp-7, -0x1.8a12e21e557e8p-7, -0x1.835511fa1712ep-7, -0x1.7cb0f58f6eed7p-7, -0x1.76263cb44f0edp-7, -0x1.6fb49768dde23p-7, -0x1.695bb64fb01f6p-7, -0x1.631b4af698103p-7, -0x1.5cf307d02a456p-7, -0x1.56e29fe6b5733p-7, -0x1.50e9c676490c1p-7, -0x1.4b082ea974d5fp-7, -0x1.453d8ba61644bp-7, -0x1.3f8990f1ea26p-7, -0x1.39ebf30ea69e7p-7, -0x1.3464681145222p-7, -0x1.2ef2a7f87428bp-7, -0x1.29966c974eaa7p-7, -0x1.244f7112712edp-7, -0x1.1f1d711c03138p-7, -0x1.1a0028337f83dp-7, -0x1.14f751341404ap-7, -0x1.1002a65fb648fp-7, -0x1.0b21e1e5b84f9p-7, -0x1.0654beb07f166p-7, -0x1.019af9288a7eap-7, -0x1.f9e89f37e32adp-8, -0x1.f0c1043a00de2p-8, -0x1.e7bea3c8a2384p-8, -0x1.dee100f17e788p-8, -0x1.d6279df3c573fp-8, -0x1.cd91fbb57dcfap-8, -0x1.c51f9a4cb3ca4p-8, -0x1.bccffa9afc503p-8, -0x1.b4a29f9746bf6p-8, -0x1.ac971006859a1p-8, -0x1.a4acd6cb3704dp-8, -0x1.9ce3825c7a629p-8, -0x1.953aa35f5064cp-8, -0x1.8db1cada2cdd7p-8, -0x1.864888aa51373p-8, -0x1.7efe6ac547991p-8, -0x1.77d2fd853023ep-8, -0x1.70c5cce060951p-8, -0x1.69d666237c048p-8, -0x1.6304599df1e99p-8, -0x1.5c4f3bae0e44ap-8, -0x1.55b6a4c280073p-8, -0x1.4f3a303e7ab64p-8, -0x1.48d97aa402d69p-8, -0x1.42941fc546525p-8, -0x1.3c69b9c88ffe5p-8, -0x1.3659e165f0b7ep-8, -0x1.30642f2e78995p-8, -0x1.2a883d3959407p-8, -0x1.24c5a8939b341p-8, -0x1.1f1c11f95b1aap-8, -0x1.198b1de48baf8p-8, -0x1.141273dc5827ap-8, -0x1.0eb1bd47ba0ccp-8, -0x1.0968a40eb908dp-8, -0x1.0436d16fdb76dp-8, -0x1.fe37dac76a906p-9, -0x1.f42f3d686c53p-9, -0x1.ea5317126477dp-9, -0x1.e0a2b4a945c8dp-9, -0x1.d71d661a43f9dp-9, -0x1.cdc28096c5bb2p-9, -0x1.c4915fc6c5ba5p-9, -0x1.bb896548cf10cp-9, -0x1.b2a9f679685c3p-9, -0x1.a9f27961cb80cp-9, -0x1.a162523cb620ep-9, -0x1.98f8e2ccd9ab7p-9, -0x1.90b58bbed3292p-9, -0x1.8897af1023013p-9, -0x1.809eb1ef55a92p-9, -0x1.78c9fd62a40cbp-9, -0x1.7118fdfa184fbp-9, -0x1.698b2422097e7p-9, -0x1.621fe49f6f9eap-9, -0x1.5ad6b8dc75098p-9, -0x1.53af1f3d1c9e9p-9, -0x1.4ca892c7292f2p-9, -0x1.45c2980b3253bp-9, -0x1.3efcaa1bfb96cp-9, -0x1.385646c59ac19p-9, -0x1.31ceea3cb6cf7p-9, -0x1.2b66120d88e85p-9, -0x1.251b3e34a1d45p-9, -0x1.1eedf1eef58d1p-9, -0x1.18ddb3e4e54c7p-9, -0x1.12ea0deb14cfbp-9, -0x1.0d128c7b1a576p-9, -0x1.0756bde0450f8p-9, -0x1.01b631325c5a7p-9, -0x1.f860eb514c586p-10, -0x1.ed8a35ad9e21ep-10, -0x1.e2e7632c11p-10, -0x1.d87798aa7869dp-10, -0x1.ce39fb9d4b08fp-10, -0x1.c42dae3859e7dp-10, -0x1.ba51cf66b8c9ap-10, -0x1.b0a580f5f54c2p-10, -0x1.a727efbb70d92p-10, -0x1.9dd856d9eec74p-10, -0x1.94b5fbb28b9f7p-10, -0x1.8bc02622c6418p-10, -0x1.82f61acd79e88p-10, -0x1.7a571ae96ccd3p-10, -0x1.71e268debf43p-10, -0x1.69974d717bd6p-10, -0x1.617518f9cdcdp-10, -0x1.597b1fdb6b32p-10, -0x1.51a8b5c1415fcp-10, -0x1.49fd2bdc08ac7p-10, -0x1.4277d34ce7be8p-10, -0x1.3b180186c4bd2p-10, -0x1.33dd1387e8408p-10, -0x1.2cc66e1972ed6p-10, -0x1.25d37b470a4d4p-10, -0x1.1f03a70ed9cb2p-10, -0x1.18565dd39924bp-10, -0x1.11cb0d221e179p-10, -0x1.0b6123bfae4f3p-10, -0x1.05180d687715bp-10, -0x1.fdde591664a77p-11, -0x1.f1cbb52ed087p-11, -0x1.e5f6e656315cbp-11, -0x1.da5ec2c4b26c1p-11, -0x1.cf0243d9db67p-11, -0x1.c3e06fec2f3c8p-11, -0x1.b8f84000b95aap-11, -0x1.ae4898e2b626fp-11, -0x1.a3d05b926a673p-11, -0x1.998e7cef634a2p-11, -0x1.8f820fc3ccbd1p-11, -0x1.85aa3a84361d2p-11, -0x1.7c0624962508bp-11, -0x1.7294ea9c66cf5p-11, -0x1.69559e606d369p-11, -0x1.60474d3f3ed4bp-11, -0x1.576908445142bp-11, -0x1.4eb9e9033f95ap-11, -0x1.4639159f41df8p-11, -0x1.3de5c1fd2356ep-11, -0x1.35bf2c574dfaep-11, -0x1.2dc4971e88c42p-11, -0x1.25f5432c8b00cp-11, -0x1.1e506f89ab59p-11, -0x1.16d55e2dcaafp-11, -0x1.0f8353c6c985ap-11, -0x1.08598aed43c1dp-11, -0x1.015727721cf9dp-11, -0x1.f4f68548c9c5p-12, -0x1.e78a1c80ce31fp-12, -0x1.da67cb5e4f5e3p-12, -0x1.cd8e6a10a88fdp-12, -0x1.c0fca4f47fe25p-12, -0x1.b4b0e91020e39p-12, -0x1.a8a99752658e8p-12, -0x1.9ce5428480fcbp-12, -0x1.9162b9eeab1b9p-12, -0x1.8620e428ece7p-12, -0x1.7b1e9e0c0447ap-12, -0x1.705ab8a6113e6p-12, -0x1.65d405c11149ep-12, -0x1.5b895e190c45cp-12, -0x1.51799e5f1a577p-12, -0x1.47a3a28015166p-12, -0x1.3e06454f7fa2dp-12, -0x1.34a065a9d5acap-12, -0x1.2b70eeaec6b7dp-12, -0x1.2276de5bca611p-12, -0x1.19b14582a1529p-12, -0x1.111f3e41ad46bp-12, -0x1.08bfdcfec4333p-12, -0x1.0092286b90e11p-12, -0x1.f12a455e5f24ep-13, -0x1.e18fc1dcc5cf3p-13, -0x1.d252cef2f5c2p-13, -0x1.c3715624f5d12p-13, -0x1.b4e93c63cc1bdp-13, -0x1.a6b863181ccdfp-13, -0x1.98dd57e55537cp-13, -0x1.8b56dced89036p-13, -0x1.7e234570e0f78p-13, -0x1.71407c8c465ebp-13, -0x1.64ac9dfa392b3p-13, -0x1.58663c96cf13cp-13, -0x1.4c6c05dad130dp-13, -0x1.40bc60900464p-13, -0x1.355586ce1708cp-13, -0x1.2a35c51ddf32ap-13, -0x1.1f5b9b8156669p-13, -0x1.14c5ba3e692cdp-13, -0x1.0a72e9a9b938p-13, -0x1.0061ef6270d5fp-13, -0x1.ed22fb65979b4p-14, -0x1.da0065e42baf4p-14, -0x1.c7594d3afb4fap-14, -0x1.b52afe0fa9661p-14, -0x1.a372ff2aa74ecp-14, -0x1.922f1c7ad0ae2p-14, -0x1.815d54631e87dp-14, -0x1.70fb9ab7d5b83p-14, -0x1.610799d44ae4dp-14, -0x1.517ea24d5956ep-14, -0x1.425df0ec67151p-14, -0x1.33a32541cb804p-14, -0x1.254c6e6d87ffcp-14, -0x1.1757fcef82c39p-14, -0x1.09c346377d104p-14, -0x1.f9174029b66a5p-15, -0x1.df5ec70d319c8p-15, -0x1.c65a43c3072dbp-15, -0x1.ae051050c419bp-15, -0x1.965abb657e0bep-15, -0x1.7f59091655fa4p-15, -0x1.68fdebf73042cp-15, -0x1.53459807c367dp-15, -0x1.3e2b3a1515e76p-15, -0x1.29aa13445fc31p-15, -0x1.15bdd8420c5c3p-15, -0x1.0262ca25a2ebap-15, -0x1.df2b91e782946p-16, -0x1.baa87a5bea66p-16, -0x1.97378c2ef1891p-16, -0x1.74d3ace8f8453p-16, -0x1.5376f862594fbp-16, -0x1.331ae644624bfp-16, -0x1.13b8f9651d935p-16, -0x1.ea9717658f021p-17, -0x1.af9bf09284462p-17, -0x1.7677b97a7bcf3p-17, -0x1.3f20778eb352dp-17, -0x1.098ac3b7b086ep-17, -0x1.ab55471bfc624p-18, -0x1.46e7dc19639c7p-18, -0x1.cb6918750aa4ap-19, -0x1.0f4882e1667bfp-19, -0x1.65326040a344cp-21, 0x1.5a677851a3ecp-21, 0x1.007acec57ce17p-19, 0x1.a48add5e338f2p-19, 0x1.2185d59c81144p-18, 0x1.6e0d5c7446eafp-18, 0x1.b7ec65768eae9p-18, 0x1.ff3660368123cp-18, 0x1.21f6747c2be8ap-17, 0x1.430a1072db9c3p-17, 0x1.62dfa1dbd4413p-17, 0x1.81819ff3d0b27p-17, 0x1.9ef89145b0c41p-17, 0x1.bb4ce054031b5p-17, 0x1.d6885d906ce94p-17, 0x1.f0b599aa9caafp-17, 0x1.04eebc718d1b2p-16, 0x1.1102a4f21b9dcp-16, 0x1.1c97e2459abe1p-16, 0x1.27b037bbb5a16p-16, 0x1.324f08ff90fecp-16, 0x1.3c789321be0b3p-16, 0x1.462ff3b438ebbp-16, 0x1.4f76ab22965d2p-16, 0x1.584e4d7d5e59cp-16, 0x1.60ba005aea17p-16, 0x1.68bdebcccbf19p-16, 0x1.705e024c8b96p-16, 0x1.779d6e3286e3fp-16, 0x1.7e7ea463ffd9fp-16, 0x1.8503c26f4e736p-16, 0x1.8b2f059081524p-16, 0x1.9103078367b0cp-16, 0x1.9682d820eca2dp-16, 0x1.9baf514669823p-16, 0x1.a08b06c222394p-16, 0x1.a514e822f0fd3p-16, 0x1.a950c878291f3p-16, 0x1.ad44e27888f61p-16, 0x1.b0f3e20da9028p-16, 0x1.b45f5eb73cd11p-16, 0x1.b785b912b5811p-16, 0x1.ba67279dd5678p-16, 0x1.bd077f7bf49cfp-16, 0x1.bf6981872c3bbp-16, 0x1.c18e4e50bc91dp-16, 0x1.c376b1c7a6d84p-16, 0x1.c5244341a27f4p-16, 0x1.c69a39e802557p-16, 0x1.c7dccc0c3853ap-16, 0x1.c8ee93a513b23p-16, 0x1.c9cf4820602e2p-16, 0x1.ca7e900c79db1p-16, }}, 
      {{0x1.83fce9a1da748p-3, 0x1.e0161e2178cddp-3, 0x1.27ec04027689bp-2, 0x1.5f93e6031db61p-2, 0x1.9119106e1cc0ap-2, 0x1.b95ab1ed3d56bp-2, 0x1.d70c73cb19283p-2, 0x1.ea0e22ad02f86p-2, 0x1.f2f789d508bp-2, 0x1.f2c971d1dd314p-2, 0x1.eab8dbfdb5229p-2, 0x1.dc0c4aabe6581p-2, 0x1.c8056e5ac541dp-2, 0x1.afd3568353815p-2, 0x1.948a77f51ba4p-2, 0x1.7720ac77a0ce5p-2, 0x1.586bdfa647f3fp-2, 0x1.39228042670c3p-2, 0x1.19dd129b66f3p-2, 0x1.f630e1fe98542p-3, 0x1.ba70d2af0e54ep-3, 0x1.8114ff6074516p-3, 0x1.4a915e5ec97bcp-3, 0x1.173820b081624p-3, 0x1.ce7d53bb3759bp-4, 0x1.758441e6bd31dp-4, 0x1.2397248fb1d29p-4, 0x1.b14e7e32a0ea3p-5, 0x1.291701ec7bdbp-5, 0x1.5c18c9b6c52afp-6, 0x1.fc9db0695353bp-8, -0x1.1828de05d5d06p-8, -0x1.ea00a7fb7d121p-7, -0x1.8f534813b1dd3p-6, -0x1.0b52e084b4688p-5, -0x1.464e52431c1a9p-5, -0x1.796c430798f59p-5, -0x1.a5783902963e9p-5, -0x1.cb36ed8ad5604p-5, -0x1.eb64c0f92d4d9p-5, -0x1.035a4b9e26acfp-4, -0x1.0ee7857726655p-4, -0x1.18a8f6342a69p-4, -0x1.20e7fdedc6fbp-4, -0x1.27e868673d7e1p-4, -0x1.2de87bac5655fp-4, -0x1.33210b6506e4dp-4, -0x1.37c5a699350c2p-4, -0x1.3c04c1e640255p-4, -0x1.4007f593ed26cp-4, -0x1.43f43520cf3b6p-4, -0x1.47ea142f8e0e6p-4, -0x1.4c060687bb60dp-4, -0x1.5060a7d7393bfp-4, -0x1.550efb171dee3p-4, -0x1.5a22ace570473p-4, -0x1.5faa53ee1956bp-4, -0x1.65b1b1a735034p-4, -0x1.6c41eea73e25fp-4, -0x1.7361d2acb95c3p-4, -0x1.7b15fa0eeb475p-4, -0x1.83610a78a1c62p-4, -0x1.8c43e6a7dc1e6p-4, -0x1.95bddf8bfd16dp-4, -0x1.9fcce165cdb28p-4, -0x1.aa6d9d181327fp-4, -0x1.b59baec7745abp-4, -0x1.c151c2d6439cdp-4, -0x1.cd89b981f3a72p-4, -0x1.da3cc88941db7p-4, -0x1.e7639a24e132p-4, -0x1.f4f668cad11a7p-4, -0x1.01768bf076cc7p-3, -0x1.089fa4d5f5d7ap-3, -0x1.0ff239abf3be2p-3, -0x1.1769f78ebe066p-3, -0x1.1f028693e2afdp-3, -0x1.26b7915c12168p-3, -0x1.2e84cbe7fd871p-3, -0x1.3665f982d88ddp-3, -0x1.3e56f1cf46076p-3, -0x1.4653a505f5edep-3, -0x1.4e581f7c0e6acp-3, -0x1.56608c8eff48ep-3, -0x1.5e69390e63753p-3, -0x1.666e95392ac75p-3, -0x1.6e6d365b5c8eep-3, -0x1.7661d812852abp-3, -0x1.7e495d3f17778p-3, -0x1.8620d0a487f78p-3, -0x1.8de5653c30848p-3, -0x1.959476424d3bfp-3, -0x1.9d2b8700217ffp-3, -0x1.a4a842616eccep-3, -0x1.ac087a584a7b5p-3, -0x1.b34a2719e41b9p-3, -0x1.ba6b663ccf0bap-3, -0x1.c16a79bb97c32p-3, -0x1.c845c6e6884f9p-3, -0x1.cefbd54210389p-3, -0x1.d58b4d5f266e9p-3, -0x1.dbf2f7a45f34ep-3, -0x1.e231bb15246acp-3, -0x1.e8469c1214c4ap-3, -0x1.ee30bb17d10aap-3, -0x1.f3ef537ca46d9p-3, -0x1.f981ba2d555bp-3, -0x1.fee75c70b4fdep-3, -0x1.020fdf5498494p-2, -0x1.04953d90daf5fp-2, -0x1.0703a06e4246ap-2, -0x1.095ae936a1109p-2, -0x1.0b9b026c7b7d7p-2, -0x1.0dc3df4047fb2p-2, -0x1.0fd57b0a68509p-2, -0x1.11cfd8c955231p-2, -0x1.13b302a74d311p-2, -0x1.157f098190d01p-2, -0x1.17340477c2173p-2, -0x1.18d210809b82cp-2, -0x1.1a594fff4aa44p-2, -0x1.1bc9ea650082ep-2, -0x1.1d240bd198e3fp-2, -0x1.1e67e4b919d25p-2, -0x1.1f95a993e7931p-2, -0x1.20ad928c59e57p-2, -0x1.21afdb3069c1ep-2, -0x1.229cc23274249p-2, -0x1.2374891cd3f08p-2, -0x1.243774193cb22p-2, -0x1.24e5c9b1ac08ap-2, -0x1.257fd2974e19ep-2, -0x1.2605d96ea7c93p-2, -0x1.26782a9f17e94p-2, -0x1.26d7141ffec69p-2, -0x1.2722e54ee5648p-2, -0x1.275beec7ba36p-2, -0x1.27828239dd8f5p-2, -0x1.2796f244f5166p-2, -0x1.27999259e2b09p-2, -0x1.278ab69690821p-2, -0x1.276ab3a7d3273p-2, -0x1.2739deb02b372p-2, -0x1.26f88d2cf9a1ap-2, -0x1.26a714d94b721p-2, -0x1.2645cb9b1805cp-2, -0x1.25d5076e018bp-2, -0x1.25551e4bba872p-2, -0x1.24c66619bc1e1p-2, -0x1.2429349a663e6p-2, -0x1.237ddf5a07beep-2, -0x1.22c4bb9df4ef1p-2, -0x1.21fe1e58f42f6p-2, -0x1.212a5c1dec942p-2, -0x1.2049c90f8c46p-2, -0x1.1f5cb8d596493p-2, -0x1.1e637e95d3c57p-2, -0x1.1d5e6ce78f9bap-2, -0x1.1c4dd5c57fff8p-2, -0x1.1b320a879ce3cp-2, -0x1.1a0b5bdff95fcp-2, -0x1.18da19cfcb888p-2, -0x1.179e9399ee36dp-2, -0x1.165917bf3e671p-2, -0x1.1509f3ff1e48ap-2, -0x1.13b175500dafap-2, -0x1.124fe7d2389b8p-2, -0x1.10e596ca4934fp-2, -0x1.0f72cca52cbbbp-2, -0x1.0df7d2f68905dp-2, -0x1.0c74f26d14dccp-2, -0x1.0aea72c96151bp-2, -0x1.09589ae08edfp-2, -0x1.07bfb0a0e8f6ap-2, -0x1.061ff90cb71e7p-2, -0x1.0479b82f9f623p-2, -0x1.02cd3119e1debp-2, -0x1.011aa5e65f269p-2, -0x1.fec4af7da8c1ep-3, -0x1.fb490dab5556cp-3, -0x1.f7c2e4b9dc56cp-3, -0x1.f432b10a6a0a6p-3, -0x1.f098ed062e83ap-3, -0x1.ecf6112919845p-3, -0x1.e94a93f69aa6cp-3, -0x1.e596e9ecf2ba9p-3, -0x1.e1db858266e2ap-3, -0x1.de18d73057f6bp-3, -0x1.da4f4d7cfcaf3p-3, -0x1.d67f54f8e30d1p-3, -0x1.d2a9583502479p-3, -0x1.cecdbfbd8c588p-3, -0x1.caecf222e5c48p-3, -0x1.c7075402981b4p-3, -0x1.c31d480cd8612p-3, -0x1.bf2f2effe1d3cp-3, -0x1.bb3d67a30184ap-3, -0x1.b7484ec84479fp-3, -0x1.b3503f552918p-3, -0x1.af55924b80eb8p-3, -0x1.ab589ecca9bc8p-3, -0x1.a759ba1816d75p-3, -0x1.a3593788a2f4ap-3, -0x1.9f57689aafaffp-3, -0x1.9b549cf049758p-3, -0x1.9751225bd3934p-3, -0x1.934d44e3c53cep-3, -0x1.8f494ec73c4e1p-3, -0x1.8b458876dc1a4p-3, -0x1.8742389df838dp-3, -0x1.833fa4277e5c5p-3, -0x1.7f3e0e467132bp-3, -0x1.7b3db87c84c3dp-3, -0x1.773ee29d4cf5cp-3, -0x1.7341cacfe03ebp-3, -0x1.6f46ad90dbf9ap-3, -0x1.6b4dc5b85fcc7p-3, -0x1.67574c81cfd0ap-3, -0x1.63637993bacbdp-3, -0x1.5f7283057e817p-3, -0x1.5b849d6267435p-3, -0x1.5799fbac188cdp-3, -0x1.53b2cf5e44bf8p-3, -0x1.4fcf4875202a1p-3, -0x1.4bef9575151dfp-3, -0x1.4813e3723a71dp-3, -0x1.443c5e15daccep-3, -0x1.40692fa1fce31p-3, -0x1.3c9a80f448176p-3, -0x1.38d0798af399cp-3, -0x1.350b3f8a11e19p-3, -0x1.314af7c34cae1p-3, -0x1.2d8fc5bcf2dc6p-3, -0x1.29d9cbb7a90a1p-3, -0x1.26292ab2c32a8p-3, -0x1.227e026fadfafp-3, -0x1.1ed87175f7abbp-3, -0x1.1b389518d3a5fp-3, -0x1.179e897da552bp-3, -0x1.140a69a2d929fp-3, -0x1.107c4f65f3739p-3, -0x1.0cf4538857d05p-3, -0x1.09728db325071p-3, -0x1.05f7147b17db6p-3, -0x1.0281fd64bb4bep-3, -0x1.fe26b9d5567p-4, -0x1.f7568d0696557p-4, -0x1.f093994e336d1p-4, -0x1.e9de01abc4db5p-4, -0x1.e335e73645cecp-4, -0x1.dc9b6923ad6f7p-4, -0x1.d60ea4d0b9d38p-4, -0x1.cf8fb5ca1acbp-4, -0x1.c91eb5d6f73d5p-4, -0x1.c2bbbd04145fp-4, -0x1.bc66e1ae78f77p-4, -0x1.b620388d0fcd5p-4, -0x1.afe7d4b9590fcp-4, -0x1.a9bdc7b6d4892p-4, -0x1.a3a2217ab06d3p-4, -0x1.9d94f074167bfp-4, -0x1.9796419587891p-4, -0x1.91a6205ddeb2ap-4, -0x1.8bc496e339158p-4, -0x1.85f1adda9f81ep-4, -0x1.802d6ca118d33p-4, -0x1.7a77d942f4d24p-4, -0x1.74d0f8830af3ep-4, -0x1.6f38cde1e0761p-4, -0x1.69af5ba5ab72ep-4, -0x1.6434a2e296295p-4, -0x1.5ec8a38339833p-4, -0x1.596b5c50de41dp-4, -0x1.541ccafb4fdcap-4, -0x1.4edcec205a3a8p-4, -0x1.49abbb528533cp-4, -0x1.4489331fbb7e4p-4, -0x1.3f754d17d98p-4, -0x1.3a7001d3af2f4p-4, -0x1.357948fc64d0ep-4, -0x1.30911952b6e61p-4, -0x1.2bb768b61b68dp-4, -0x1.26ec2c2bb024fp-4, -0x1.222f57e4d553ep-4, -0x1.1d80df45070f4p-4, -0x1.18e0b4e8c094ap-4, -0x1.144ecaaa4a7e3p-4, -0x1.0fcb11a85f65bp-4, -0x1.0b557a4c377a2p-4, -0x1.06edf44fee27ep-4, -0x1.02946ec46a7f4p-4, -0x1.fc91b02f20852p-5, -0x1.f4163c33e7c01p-5, -0x1.ebb65c0909d73p-5, -0x1.e371e8faa1d05p-5, -0x1.db48bb414a363p-5, -0x1.d33aa9f8669d9p-5, -0x1.cb478b3bf9d22p-5, -0x1.c36f34375dbb6p-5, -0x1.bbb1791525a4ap-5, -0x1.b40e2d216a254p-5, -0x1.ac8522cab5eb8p-5, -0x1.a5162bacb8d67p-5, -0x1.9dc11899eef63p-5, -0x1.9685b9a4bb825p-5, -0x1.8f63de2835b52p-5, -0x1.885b54d0bf1d4p-5, -0x1.816beba4ed52ep-5, -0x1.7a95700d1b91dp-5, -0x1.73d7aede0b885p-5, -0x1.6d32745f491p-5, -0x1.66a58c5493408p-5, -0x1.6030c2058fd1p-5, -0x1.59d3e0459ed84p-5, -0x1.538eb17b7c3cp-5, -0x1.4d60ffa89efbap-5, -0x1.474a94704fa4fp-5, -0x1.414b391ea51a9p-5, -0x1.3b62b6af67505p-5, -0x1.3590d5d4fc964p-5, -0x1.2fd55eff39556p-5, -0x1.2a301a61f7db1p-5, -0x1.24a0cffb950ccp-5, -0x1.1f27479b2a422p-5, -0x1.19c348e6b7fe3p-5, -0x1.14749b610c665p-5, -0x1.0f3b066f9e76ep-5, -0x1.0a1651600dbd7p-5, -0x1.0506436d7b5eep-5, -0x1.000aa3c5ff9d4p-5, -0x1.f646731fa5544p-6, -0x1.ec9f97dcf2af2p-6, -0x1.e320440f99af5p-6, -0x1.d9c80611adb66p-6, -0x1.d0966c5531db6p-6, -0x1.c78b056d9dca1p-6, -0x1.bea56016d7b7fp-6, -0x1.b5e50b41b793fp-6, -0x1.ad499618901bcp-6, -0x1.a4d2900924519p-6, -0x1.9c7f88cc1be2bp-6, -0x1.9450106c6812cp-6, -0x1.8c43b74ed7188p-6, -0x1.845a0e392d09ap-6, -0x1.7c92a65958ec5p-6, -0x1.74ed114c3f86ep-6, -0x1.6d68e1244b13cp-6, -0x1.6605a86fcc837p-6, -0x1.5ec2fa3ef0607p-6, -0x1.57a06a2994bd3p-6, -0x1.509d8c54ccccep-6, -0x1.49b9f578333ap-6, -0x1.42f53ae3210b9p-6, -0x1.3c4ef281b6cdp-6, -0x1.35c6b2e1ddf83p-6, -0x1.2f5c133823abfp-6, -0x1.290eab644e6bfp-6, -0x1.22de13f5a8959p-6, -0x1.1cc9e62eea6d2p-6, -0x1.16d1bc09e2052p-6, -0x1.10f5303ad9b45p-6, -0x1.0b33de33ee5cdp-6, -0x1.058d622887799p-6, -0x1.00015910da6e7p-6, -0x1.f51ec15ac52bap-7, -0x1.ea6e2f147780ep-7, -0x1.dff03a0456288p-7, -0x1.d5a4228327068p-7, -0x1.cb892a8d5253cp-7, -0x1.c19e95cccc1dap-7, -0x1.b7e3a9956c5e1p-7, -0x1.ae57aceacca71p-7, -0x1.a4f9e88367866p-7, -0x1.9bc9a6ccc61ffp-7, -0x1.92c633f08d8f1p-7, -0x1.89eeddd9c8cafp-7, -0x1.8142f4398c7a2p-7, -0x1.78c1c88a55aacp-7, -0x1.706aae119dbd5p-7, -0x1.683cf9df6e067p-7, -0x1.603802ccc372cp-7, -0x1.585b2179abcbap-7, -0x1.50a5b04c42c2ap-7, -0x1.49170b715c3c3p-7, -0x1.41ae90df8083ep-7, -0x1.3a6ba05b84b96p-7, -0x1.334d9b7d850cfp-7, -0x1.2c53e5b5fab61p-7, -0x1.257de4500d288p-7, -0x1.1ecafe70d6c24p-7, -0x1.183a9d1335805p-7, -0x1.11cc2afd96ap-7, -0x1.0b7f14d6e3ef4p-7, -0x1.0552c8cc95d1fp-7, -0x1.fe8d6e2b14b72p-8, -0x1.f2b4a2e992563p-8, -0x1.e71a16fdd1b45p-8, -0x1.dbbcb526d893p-8, -0x1.d09b6bc435c1bp-8, -0x1.c5b52ce33c62fp-8, -0x1.bb08ee41fcc04p-8, -0x1.b095a94751c97p-8, -0x1.a65a5af0ba7e5p-8, -0x1.9c5603b85292dp-8, -0x1.9287a774af34p-8, -0x1.88ee4d4a1458ep-8, -0x1.7f88ff95717dfp-8, -0x1.7656cbeb234cp-8, -0x1.6d56c325817a8p-8, -0x1.6487f978a68bap-8, -0x1.5be9868ac6875p-8, -0x1.537a858858f37p-8, -0x1.4b3a152d8eeb3p-8, -0x1.432757c0068d7p-8, -0x1.3b4172f842283p-8, -0x1.33878fdd82bb3p-8, -0x1.2bf8da9ace84dp-8, -0x1.249482559a64ep-8, -0x1.1d59b90e55b4bp-8, -0x1.1647b391988f5p-8, -0x1.0f5da97cc6ccp-8, -0x1.089ad554220a6p-8, -0x1.01fe74a51f994p-8, -0x1.f70f9056feea2p-9, -0x1.ea6c27dee8977p-9, -0x1.de113ea79d258p-9, -0x1.d1fd6a1d4a3d6p-9, -0x1.c62f4616b601bp-9, -0x1.baa57474d3641p-9, -0x1.af5e9cae5af3ap-9, -0x1.a4596b5c6c41dp-9, -0x1.999491de2509fp-9, -0x1.8f0ec624b0505p-9, -0x1.84c6c2b03cf31p-9, -0x1.7abb46bdcf4aap-9, -0x1.70eb169afc9b4p-9, -0x1.6754fc0bc92d5p-9, -0x1.5df7c6ac2ce15p-9, -0x1.54d24c33b5d6bp-9, -0x1.4be3688a27c42p-9, -0x1.4329fda459b73p-9, -0x1.3aa4f32aeedfbp-9, -0x1.325335fa5db0ap-9, -0x1.2a33b7914190bp-9, -0x1.22456d873f7cfp-9, -0x1.1a8751195ece6p-9, -0x1.12f85f024dd8cp-9, -0x1.0b979765de282p-9, -0x1.0463fe113fb56p-9, -0x1.fab935b7170e2p-10, -0x1.ed00f44333506p-10, -0x1.df9d5a81abb47p-10, -0x1.d28c95f3b2442p-10, -0x1.c5ccdf4441e8p-10, -0x1.b95c7a2ecdb9ap-10, -0x1.ad39b4e7d2072p-10, -0x1.a162e71c00465p-10, -0x1.95d670b2d1411p-10, -0x1.8a92b88a4dfe9p-10, -0x1.7f962b5eae84ap-10, -0x1.74df3b088acf9p-10, -0x1.6a6c5e261952p-10, -0x1.603c1035402a3p-10, -0x1.564cd21584b83p-10, -0x1.4c9d2ad61da84p-10, -0x1.432ba8b5ddf03p-10, -0x1.39f6e2299fe12p-10, -0x1.30fd76b8daa9fp-10, -0x1.283e0f86c2c68p-10, -0x1.1fb75f6587cf3p-10, -0x1.17682266efae3p-10, -0x1.0f4f1cf860fa7p-10, -0x1.076b1ab1ef51fp-10, -0x1.ff75da1e1166cp-11, -0x1.f07ad491432a1p-11, -0x1.e1e2d8f971ac9p-11, -0x1.d3aba26a62f75p-11, -0x1.c5d2f2a0107b1p-11, -0x1.b856926df7241p-11, -0x1.ab3452a7aa836p-11, -0x1.9e6a0d6059704p-11, -0x1.91f5a7634a36fp-11, -0x1.85d511c708fe8p-11, -0x1.7a064b693a13ap-11, -0x1.6e876212a74abp-11, -0x1.635672fa976c7p-11, -0x1.5871aa754406ep-11, -0x1.4dd742c17648fp-11, -0x1.4385822811a6cp-11, -0x1.397ab8c0a626bp-11, -0x1.2fb53e2de3258p-11, -0x1.263371773be9ap-11, -0x1.1cf3b4c21cfa6p-11, -0x1.13f472085f215p-11, -0x1.0b341795a8659p-11, -0x1.02b11a6d45b89p-11, -0x1.f4d3ec75b201fp-12, -0x1.e4ba5b777a15fp-12, -0x1.d51296240f889p-12, -0x1.c5d9c08c8b9cap-12, -0x1.b70d1017e9708p-12, -0x1.a8a9cd646d32p-12, -0x1.9aad55f7bd151p-12, -0x1.8d151d120587bp-12, -0x1.7fdeab17155eap-12, -0x1.73079b6ff50cfp-12, -0x1.668d994cb69e8p-12, -0x1.5a6e5c20c9d5ap-12, -0x1.4ea7a4db68c4ap-12, -0x1.43373c99dc445p-12, -0x1.381af508647bap-12, -0x1.2d50a9f76bd54p-12, -0x1.22d643374156fp-12, -0x1.18a9b5be0d142p-12, -0x1.0ec9038495453p-12, -0x1.05323a2d52011p-12, -0x1.f7c6e25aaeca9p-13, -0x1.e5b590d0cb377p-13, -0x1.d42cd001a56cdp-13, -0x1.c329031459c2p-13, -0x1.b2a6a44b7c3fep-13, -0x1.a2a2494951508p-13, -0x1.9318a56919e14p-13, -0x1.840688f461d04p-13, -0x1.7568dd1d98b0cp-13, -0x1.673c9de4ca05fp-13, -0x1.597ed40e39a6ep-13, -0x1.4c2c915c3e8e2p-13, -0x1.3f42f069c046dp-13, -0x1.32bf181c53512p-13, -0x1.269e412b3ac41p-13, -0x1.1addbb64de6c5p-13, -0x1.0f7af05fe37fp-13, -0x1.04736252d82b4p-13, -0x1.f3894ec016d2bp-14, -0x1.ded8c6523fcffp-14, -0x1.cad082727bf9ap-14, -0x1.b76be4dfee8a1p-14, -0x1.a4a65c935de2ap-14, -0x1.927b6d9c4eeb3p-14, -0x1.80e6bd240b95fp-14, -0x1.6fe418c020f1bp-14, -0x1.5f6f7a26c0415p-14, -0x1.4f85038ea96c8p-14, -0x1.4020f66b38a49p-14, -0x1.313fa7b44241fp-14, -0x1.22dd75dbc6af6p-14, -0x1.14f6c3eadc102p-14, -0x1.0787fb32f7befp-14, -0x1.f51b254ee977ap-15, -0x1.dc0832434c979p-15, -0x1.c3d07e2c29effp-15, -0x1.ac6db892a485fp-15, -0x1.95d9de64e67e7p-15, -0x1.800f2b6d09e36p-15, -0x1.6b08033d9cad6p-15, -0x1.56beda6ef76c3p-15, -0x1.432e2975af7eap-15, -0x1.30506dc825045p-15, -0x1.1e2037321b881p-15, -0x1.0c983a1bbe281p-15, -0x1.f766bd9551a16p-16, -0x1.d6d993bfebeb7p-16, -0x1.b77fb76ec632ap-16, -0x1.9950516914b0ep-16, -0x1.7c42d799549eap-16, -0x1.604eee7cc64d1p-16, -0x1.456c50f598379p-16, -0x1.2b92c40f07628p-16, -0x1.12ba167e4507cp-16, -0x1.f5b45ae1ecea6p-17, -0x1.c7d6332e143a5p-17, -0x1.9bca59f73ff6p-17, -0x1.71821da34ce5fp-17, -0x1.48ef89642d0aep-17, -0x1.220555e6c455p-17, -0x1.f96d7360fbc97p-18, -0x1.b1ee5641adc44p-18, -0x1.6d745ef3f1c43p-18, -0x1.2be69ad812b48p-18, -0x1.da58987a5f846p-19, -0x1.625a84411c862p-19, -0x1.df487017d48e3p-20, -0x1.04118484dddf1p-20, -0x1.95cdfcad86f02p-23, 0x1.2a23c302665e2p-21, 0x1.53a0b256e5fbep-20, 0x1.049f1ef575227p-19, 0x1.5b19cb25b8d85p-19, 0x1.ad6220bfe0dc7p-19, 0x1.fb9c3d48c50f6p-19, 0x1.22f4b1eae6014p-18, 0x1.4635efe4437c7p-18, 0x1.67a29bcf7914bp-18, 0x1.874b1771ea259p-18, 0x1.a53f2c585076fp-18, 0x1.c18dfa5c4467bp-18, 0x1.dc45fff0344bp-18, 0x1.f5752d87387bdp-18, 0x1.06947cf15f1b4p-17, 0x1.11b73cde30819p-17, 0x1.1c293cfca0c84p-17, 0x1.25f0c83d3d5fap-17, 0x1.2f140ac1d6806p-17, 0x1.379905e5f9dcbp-17, 0x1.3f858d3aae3dcp-17, 0x1.46df59fa41c94p-17, 0x1.4dac26f3a67abp-17, 0x1.53f1b1074e997p-17, 0x1.59b58b75b9c0bp-17, 0x1.5efce62f06bddp-17, 0x1.63cc770e766c1p-17, 0x1.682897a3a73d8p-17, 0x1.6c157de1db417p-17, 0x1.6f9766988f3d5p-17, 0x1.72b2989f73372p-17, 0x1.756b4524e36dfp-17, 0x1.77c5632d26fdcp-17, 0x1.79c4a67fc1942p-17, 0x1.7b6c988c9e5d6p-17, 0x1.7cc0bb586958ep-17, 0x1.7dc498ab9b049p-17, 0x1.7e7bb4b08f359p-17, 0x1.7ee972380ff54p-17, 0x1.7f10fd3234b97p-17, 0x1.7ef54754d0855p-17, 0x1.7e99163ff35cep-17, 0x1.7dff177060ba3p-17, 0x1.7d29eb398db87p-17, 0x1.7c1c22c8d8a71p-17, 0x1.7ad8414f7e533p-17, 0x1.7960d38ed823ep-17, 0x1.77b8918ac798cp-17, 0x1.75e25bcc9d3c2p-17, 0x1.73e0fd64aa1b2p-17, 0x1.71b6e29103962p-17, 0x1.6f660d237d95dp-17, 0x1.6cf0516968d9fp-17, 0x1.6a579eeecb583p-17, 0x1.679e14ef653aep-17, 0x1.64c5d75c1f06ep-17, 0x1.61d0cfe08fd33p-17, 0x1.5ec0937a1594fp-17, 0x1.5b967e930c40bp-17, 0x1.5853e779f13dap-17, 0x1.54fa3d73602f7p-17, 0x1.518b087b049ep-17, 0x1.4e07d760e553ep-17, 0x1.4a722efe31371p-17, 0x1.46cb79834716p-17, 0x1.4314ffc5e26b7p-17, 0x1.3f4fe90c55947p-17, 0x1.3b7d406075269p-17, 0x1.379e02d9149a8p-17, 0x1.33b32ce8b274fp-17, 0x1.2fbdbc4e975aap-17, 0x1.2bbea7618e5a6p-17, 0x1.27b6dd764804bp-17, 0x1.23a75fc87875fp-17, 0x1.1f9159f568e64p-17, 0x1.1b7608ae39c12p-17, 0x1.1756738e70641p-17, 0x1.13334accc827bp-17, 0x1.0f0d19b74e5cbp-17, 0x1.0ae4946de664ep-17, 0x1.06baabd82ed42p-17, 0x1.02905aac7923cp-17, 0x1.fccccf6dd98cep-18, 0x1.f47ab72cdd26bp-18, 0x1.ec2b4cffedbebp-18, 0x1.e3df83cfeb9e2p-18, 0x1.db986607c138cp-18, 0x1.d356fc9b23a8ep-18, 0x1.cb1c41938b472p-18, 0x1.c2e9246be2a37p-18, 0x1.babe929685daap-18, 0x1.b29d78d81a42dp-18, 0x1.aa86bab74f9ccp-18, 0x1.a27b2597d8491p-18, 0x1.9a7b67004f6adp-18, 0x1.92880d5654b4fp-18, 0x1.8aa19702f7303p-18, 0x1.82c8894c86082p-18, 0x1.7afd7c7a2ca9cp-18, 0x1.73410f48a987p-18, 0x1.6b93f412cdccp-18, 0x1.63f674db628fp-18, 0x1.5c691d92a74ebp-18, 0x1.54ed0e128558ap-18, 0x1.4d82b78871981p-18, 0x1.462a4cc05f51fp-18, 0x1.3ee3dbb59997p-18, 0x1.37afbdc95d194p-18, 0x1.308e9369b0902p-18, 0x1.2980db6f8c8a3p-18, 0x1.2286c33616077p-18, 0x1.1ba062d71041fp-18, 0x1.14ce00e543734p-18, 0x1.0e0ffd14fe365p-18, 0x1.0766b37c9261cp-18, 0x1.00d257889c8cep-18, 0x1.f4a5fe576ff04p-19, 0x1.e7d1666357d43p-19, 0x1.db26fe790bac6p-19, 0x1.cea6f4f0a657dp-19, 0x1.c2518c2751015p-19, 0x1.b62709039f882p-19, 0x1.aa27a5e9c0e63p-19, 0x1.9e537bd6e64b2p-19, 0x1.92aa7e5ee2922p-19, 0x1.872c90d9c747dp-19, 0x1.7bd99c7443499p-19, 0x1.70b1abdf39ac1p-19, 0x1.65b4ef32f935p-19, 0x1.5ae39c2b02656p-19, 0x1.503dbc81e13e1p-19, 0x1.45c31c4b19addp-19, 0x1.3b73850178759p-19, 0x1.314f0b42d0b4dp-19, 0x1.2755d0d1c220ap-19, 0x1.1d878f3ae205p-19, 0x1.13e3ea2fc4066p-19, 0x1.0a6ae2f5a0a3fp-19, 0x1.011c715a2b4a4p-19, 0x1.eff037f3a106cp-20, 0x1.ddfac1d10079dp-20, 0x1.cc58314ddf0cap-20, 0x1.bb089ef779753p-20, 0x1.aa0c15586af2cp-20, 0x1.99626a8f181e5p-20, 0x1.890b3b4b60ba3p-20, 0x1.7905eb5af8307p-20, 0x1.6951b4a16a454p-20, 0x1.59edc6709d794p-20, 0x1.4ad9651cfd04dp-20, 0x1.3c13f76902f1dp-20, 0x1.2d9cfb7d07a48p-20, 0x1.1f73ea776e811p-20, 0x1.11981e46f873ap-20, 0x1.0408d26805f7ap-20, 0x1.ed8a82755af48p-21, 0x1.d3997c0b04fa1p-21, 0x1.ba3d64f6f701ep-21, 0x1.a175191192759p-21, 0x1.893f6b184616ap-21, 0x1.719b279138709p-21, 0x1.5a8705d13edeep-21, 0x1.44017bd1c2ec7p-21, 0x1.2e08a4bd81fe6p-21, 0x1.189aa29a8c297p-21, 0x1.03b65678f1aefp-21, 0x1.deb5cd1801139p-22, 0x1.b70d832dcde17p-22, 0x1.9070d153ce636p-22, 0x1.6adcfb51fe1a6p-22, 0x1.464ddec80a49dp-22, 0x1.22bf94d6621a2p-22, 0x1.002f76dd5e768p-22, 0x1.bd361c91a9285p-23, 0x1.7bff3b523af32p-23, 0x1.3cb4ba7ba5f2p-23, 0x1.fea28e1fe650fp-24, 0x1.879f0d05a1318p-24, 0x1.14531afcac999p-24, 0x1.4962dd94203c8p-25, 0x1.c562949e3b8d9p-27, -0x1.7e47e5d9b4d7dp-27, -0x1.2974479e56358p-25, -0x1.ec6499dc8af41p-25, -0x1.543d6ecafb663p-24, -0x1.aee867b3a22e2p-24, -0x1.031f8a26ec1a8p-23, -0x1.2d2675d26f456p-23, -0x1.558eb61a97922p-23, -0x1.7c5e2c388ff9ap-23, -0x1.a19ac7b62bf98p-23, -0x1.c54a6b36d9b3ep-23, -0x1.e772e7c91c01ap-23, -0x1.040d096899b69p-22, -0x1.13a2e59c6b918p-22, -0x1.227f4ed22bd0ep-22, -0x1.309ff83f37c75p-22, -0x1.3e0e30fe24861p-22, -0x1.4ac8d7e250324p-22, -0x1.56d3ae9eb2999p-22, -0x1.6231e964ebb34p-22, -0x1.6ce65a275df72p-22, -0x1.76f3b30fc758dp-22, -0x1.805c47e5fd05ap-22, -0x1.89229e9073686p-22, -0x1.91499fde836fp-22, -0x1.98d40b81c07fp-22, -0x1.9fc463bd18ba6p-22, -0x1.a61d12c0c2c81p-22, -0x1.abe0997ddc9bcp-22, -0x1.b111c91990596p-22, -0x1.b5b3c0c0864afp-22, -0x1.b9c96438260eep-22, -0x1.bd54e56edc41p-22, -0x1.c0584d6617046p-22, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{-0x1.d7bbc17ac4bacp-9, -0x1.c2f658fdbd8f6p-9, -0x1.9fcd72c9fa701p-9, -0x1.6d7f2baa54cb4p-9, -0x1.2b1399e30750ep-9, -0x1.aedb390f1b9b7p-10, -0x1.c56ca9b0d842cp-11, 0x1.0b78f5f0a40a7p-14, 0x1.2dd06a6e3f7e5p-10, 0x1.3b68f36f998e4p-9, 0x1.f6e19ad0e4b4p-9, 0x1.6519b06d6c0fap-8, 0x1.db0be36a58c8ap-8, 0x1.2ec73e1ff29e6p-7, 0x1.7668eb9852ba3p-7, 0x1.c4779880b3bdfp-7, 0x1.0c7a33f86f26dp-6, 0x1.39eaa8340e455p-6, 0x1.6a82cc113b87p-6, 0x1.9e3339be3d704p-6, 0x1.d4e7dd9615ef9p-6, 0x1.07442c677c455p-5, 0x1.257c3415edd82p-5, 0x1.450c25f1b833p-5, 0x1.65e2974e9821fp-5, 0x1.87ecc4fe12b41p-5, 0x1.ab16c3d561b02p-5, 0x1.cf4baf1e4d943p-5, 0x1.f475d4c1ea48fp-5, 0x1.0d3f6f8b0eb9dp-4, 0x1.20a7fe2410cecp-4, 0x1.346901b44acebp-4, 0x1.4876cb919a358p-4, 0x1.5cc5a3171da5cp-4, 0x1.7149d4bebd8f1p-4, 0x1.85f7c021ef071p-4, 0x1.9ac3e4e64ead2p-4, 0x1.afa2ee9a10d26p-4, 0x1.c489bf83e84b8p-4, 0x1.d96d7a69d767p-4, 0x1.ee438b52dbc41p-4, 0x1.0180d7a3f16ddp-3, 0x1.0bcefd8cb38ecp-3, 0x1.160770981d90dp-3, 0x1.20259b3897fcap-3, 0x1.2a251b1e56283p-3, 0x1.3401c2ca22cfdp-3, 0x1.3db79ab8f6fb6p-3, 0x1.4742e22e8614dp-3, 0x1.50a00fa566fe6p-3, 0x1.59cbd0ebce7c7p-3, 0x1.62c30af418492p-3, 0x1.6b82d9606ea12p-3, 0x1.74088dd0e47e2p-3, 0x1.7c51aefb524ddp-3, 0x1.845bf79409254p-3, 0x1.8c25550e3f2b7p-3, 0x1.93abe63ac0e51p-3, 0x1.9aedf9cb1db4dp-3, 0x1.a1ea0cbf11cbap-3, 0x1.a89ec8c190c1dp-3, 0x1.af0b027a44b3dp-3, 0x1.b52db7d7fa413p-3, 0x1.bb060e57dc448p-3, 0x1.c093514d04ddep-3, 0x1.c5d4f02b5aea2p-3, 0x1.caca7cd85401cp-3, 0x1.cf73aa03cd119p-3, 0x1.d3d0498aa7adbp-3, 0x1.d7e04ae4b54f3p-3, 0x1.dba3b99eec0d2p-3, 0x1.df1abbe2b3864p-3, 0x1.e245910ae2283p-3, 0x1.e52490469349ap-3, 0x1.e7b8274a03d54p-3, 0x1.ea00d90d5ce48p-3, 0x1.ebff3c9916f75p-3, 0x1.edb3fbdfb9f8cp-3, 0x1.ef1fd2a46c731p-3, 0x1.f0438d6dd1859p-3, 0x1.f1200884a55cfp-3, 0x1.f1b62efd69208p-3, 0x1.f206f9cc8a90cp-3, 0x1.f2136ee453e4bp-3, 0x1.f1dca05bfe88bp-3, 0x1.f163ab9f4deffp-3, 0x1.f0a9b8a6126p-3, 0x1.efaff932f6452p-3, 0x1.ee77a8191ae8ep-3, 0x1.ed020887f0c56p-3, 0x1.eb50655ce72e8p-3, 0x1.e964107a71226p-3, 0x1.e73e622410f84p-3, 0x1.e4e0b85f0f72cp-3, 0x1.e24c76578d49bp-3, 0x1.df8303c9b5fd6p-3, 0x1.dc85cc6ee0f0ep-3, 0x1.d9563f6e6ea5cp-3, 0x1.d5f5ced240aecp-3, 0x1.d265eefeb73b1p-3, 0x1.cea8162e1b9a8p-3, 0x1.cabdbbef6fcf6p-3, 0x1.c6a858a89c24cp-3, 0x1.c269651bfac9p-3, 0x1.be0259f147956p-3, 0x1.b974af41fa29ep-3, 0x1.b4c1dc29140b7p-3, 0x1.afeb565676ff1p-3, 0x1.aaf291a5cb8c7p-3, 0x1.a5d8ffb9112acp-3, 0x1.a0a00f96dd5dep-3, 0x1.9b492d4c67ad5p-3, 0x1.95d5c1936de2fp-3, 0x1.9047317bff86ap-3, 0x1.8a9ede1a414c4p-3, 0x1.84de24383bcf6p-3, 0x1.7f065c0bb4b9ap-3, 0x1.7918d8f02cb8cp-3, 0x1.7316e924f8967p-3, 0x1.6d01d58f8e13bp-3, 0x1.66dae181f20ep-3, 0x1.60a34a8562528p-3, 0x1.5a5c48291a933p-3, 0x1.54070bd54fc3p-3, 0x1.4da4c0a23dc7cp-3, 0x1.47368b3355959p-3, 0x1.40bd89966ceap-3, 0x1.3a3ad326ec226p-3, 0x1.33af7874e895cp-3, 0x1.2d1c8330110ebp-3, 0x1.2682f6165acdfp-3, 0x1.1fe3cce65bbb9p-3, 0x1.193ffc553681fp-3, 0x1.12987207f482bp-3, 0x1.0bee149040733p-3, 0x1.0541c36c57686p-3, 0x1.fd28ae14382e5p-4, 0x1.efcd419a37cf2p-4, 0x1.e272d62eef90cp-4, 0x1.d51af2ab060bfp-4, 0x1.c7c71017ebabbp-4, 0x1.ba7899d1299c6p-4, 0x1.ad30edaa597a2p-4, 0x1.9ff15c195fb7p-4, 0x1.92bb2864d0713p-4, 0x1.858f88d60b24dp-4, 0x1.786fa6eee5fep-4, 0x1.6b5c9fa28dd81p-4, 0x1.5e578391648dep-4, 0x1.516157478e16p-4, 0x1.447b137df0417p-4, 0x1.37a5a55d61bc4p-4, 0x1.2ae1eec3c4399p-4, 0x1.1e30c68ace573p-4, 0x1.1192f8d0490c5p-4, 0x1.0509473f84204p-4, 0x1.f128d2b78e81dp-5, 0x1.d86a1997163ddp-5, 0x1.bfd7ab4889cffp-5, 0x1.a772bd6d1da26p-5, 0x1.8f3c73b5009cp-5, 0x1.7735e078117bap-5, 0x1.5f60054e3804p-5, 0x1.47bbd3a715f9fp-5, 0x1.304a2d60bfbb2p-5, 0x1.190be55d2f608p-5, 0x1.0201c0163154dp-5, 0x1.d658e85f128f9p-6, 0x1.a919560e23235p-6, 0x1.7c460285326c6p-6, 0x1.4fe00eb6b23fap-6, 0x1.23e8844d854b4p-6, 0x1.f0c0ad721a909p-7, 0x1.9a90c866a8edap-7, 0x1.4542ed8238b54p-7, 0x1.e1b114ade7e1p-8, 0x1.3aa5cfcb303eap-8, 0x1.2accb1d8252a5p-9, -0x1.c168a78ebce76p-13, -0x1.5f5a7cbec549cp-9, -0x1.4f7e0135bd224p-8, -0x1.ed7c344168e9cp-8, -0x1.44d35955bddfp-7, -0x1.91fe44a01b32fp-7, -0x1.de3e79c42605bp-7, -0x1.14c9d63fdc0a3p-6, -0x1.39fed29a2fc42p-6, -0x1.5ebe1fd005046p-6, -0x1.8307b4d21ec5ep-6, -0x1.a6db910dd69acp-6, -0x1.ca39bbdf04f5cp-6, -0x1.ed224408f3977p-6, -0x1.07ca9f9b146f8p-5, -0x1.18c964bf7b706p-5, -0x1.298d827b5bdf6p-5, -0x1.3a170c9fc5d0fp-5, -0x1.4a661992327bp-5, -0x1.5a7ac21cace07p-5, -0x1.6a552140f70c4p-5, -0x1.79f5540ea8551p-5, -0x1.895b797c1d437p-5, -0x1.9887b2422bba4p-5, -0x1.a77a20ba7ff12p-5, -0x1.b632e8c092c44p-5, -0x1.c4b22f95162bep-5, -0x1.d2f81bc3cb2f5p-5, -0x1.e104d50b9e263p-5, -0x1.eed88448fb32bp-5, -0x1.fc73536238d65p-5, -0x1.04eab69b05fa2p-4, -0x1.0b7f7ec5ef1abp-4, -0x1.11f81882ff5a4p-4, -0x1.18549a8ac677ep-4, -0x1.1e951bf7fd947p-4, -0x1.24b9b4431934cp-4, -0x1.2ac27b3e8e59fp-4, -0x1.30af8913c9fcap-4, -0x1.3680f640cbf6cp-4, -0x1.3c36db965cbc5p-4, -0x1.41d15236d383bp-4, -0x1.475073955e6e7p-4, -0x1.4cb45975c79aep-4, -0x1.51fd1decab52ap-4, -0x1.572adb60146fep-4, -0x1.5c3dac887a656p-4, -0x1.6135ac72124f5p-4, -0x1.6612f67e6df34p-4, -0x1.6ad5a6665ea7fp-4, -0x1.6f7dd83c16b0fp-4, -0x1.740ba86d7d447p-4, -0x1.787f33c6b1b74p-4, -0x1.7cd89774b44d7p-4, -0x1.8117f1082e2fcp-4, -0x1.853d5e7854775p-4, -0x1.8948fe25dcfe9p-4, -0x1.8d3aeede00641p-4, -0x1.91134fdd8532cp-4, -0x1.94d240d3c91acp-4, -0x1.9877e1e5cd28ap-4, -0x1.9c0453b135aabp-4, -0x1.9f77b74f433b9p-4, -0x1.a2d22e57b4ec8p-4, -0x1.a613dae399607p-4, -0x1.a93cdf901368bp-4, -0x1.ac4d5f80ebf7cp-4, -0x1.af457e63208f1p-4, -0x1.b225606f3ea89p-4, -0x1.b4ed2a6ba4bcep-4, -0x1.b79d01ae974ep-4, -0x1.ba350c2032c39p-4, -0x1.bcb5703c330ep-4, -0x1.bf1e551392d35p-4, -0x1.c16fe24deecbcp-4, -0x1.c3aa402ad07dfp-4, -0x1.c5cd9782bb676p-4, -0x1.c7da11c808e3cp-4, -0x1.c9cfd907a0e4cp-4, -0x1.cbaf17e968c68p-4, -0x1.cd77f9b0a08dp-4, -0x1.cf2aaa3be9ed4p-4, -0x1.d0c7560538783p-4, -0x1.d24e2a2185f5p-4, -0x1.d3bf544049296p-4, -0x1.d51b02aad07b7p-4, -0x1.d661644359ba5p-4, -0x1.d792a883f8a45p-4, -0x1.d8aeff7d5a3e9p-4, -0x1.d9b699d54a995p-4, -0x1.daa9a8c5121e4p-4, -0x1.db885e179fdaap-4, -0x1.dc52ec278b528p-4, -0x1.dd0985dce512bp-4, -0x1.ddac5eaae412dp-4, -0x1.de3baa8d5c8e9p-4, -0x1.deb79e0617345p-4, -0x1.df206e19fc58fp-4, -0x1.df76504e2305cp-4, -0x1.dfb97aa4a4362p-4, -0x1.dfea239961c49p-4, -0x1.e008821ea15d4p-4, -0x1.e014cd998602ep-4, -0x1.e00f3dde6bac6p-4, -0x1.dff80b2d23374p-4, -0x1.dfcf6e2d15b97p-4, -0x1.df959fe950f48p-4, -0x1.df4ad9cc660bp-4, -0x1.deef559c5102p-4, -0x1.de834d7630c31p-4, -0x1.de06fbc9ed863p-4, -0x1.dd7a9b55d9f4dp-4, -0x1.dcde672238274p-4, -0x1.dc329a7cab482p-4, -0x1.db7770f3aaf9bp-4, -0x1.daad2651d54f4p-4, -0x1.d9d3f699444a3p-4, -0x1.d8ec1dfed382dp-4, -0x1.d7f5d8e560892p-4, -0x1.d6f163d8fef6p-4, -0x1.d5defb8a30008p-4, -0x1.d4bedcc9087b9p-4, -0x1.d39144805fap-4, -0x1.d2566fb0f88ebp-4, -0x1.d10e9b6caf585p-4, -0x1.cfba04d1962f1p-4, -0x1.ce58e9053081p-4, -0x1.cceb852f9ab86p-4, -0x1.cb721676c1d0bp-4, -0x1.c9ecd9f99e718p-4, -0x1.c85c0ccb70081p-4, -0x1.c6bfebef12452p-4, -0x1.c518b4524487bp-4, -0x1.c366a2c90babp-4, -0x1.c1a9f409191bfp-4, -0x1.bfe2e4a53c7bfp-4, -0x1.be11b108e51a2p-4, -0x1.bc369573b340bp-4, -0x1.ba51cdf50eca1p-4, -0x1.b8639667d8191p-4, -0x1.b66c2a6e21dd1p-4, -0x1.b46bc56cfff26p-4, -0x1.b262a2885f0eap-4, -0x1.b050fc9f015e4p-4, -0x1.ae370e4675db7p-4, -0x1.ac1511c732d41p-4, -0x1.a9eb4118c0449p-4, -0x1.a7b9d5ddf912p-4, -0x1.a5810961550f8p-4, -0x1.a34114915b7a5p-4, -0x1.a0fa2ffd1c7f3p-4, -0x1.9eac93d0c19e1p-4, -0x1.9c5877d23f7b6p-4, -0x1.99fe135e0ebap-4, -0x1.979d9d6409132p-4, -0x1.95374c64539fap-4, -0x1.92cb566c6a345p-4, -0x1.9059f114381ccp-4, -0x1.8de3517b4ff98p-4, -0x1.8b67ac4635bd6p-4, -0x1.88e7359bc6bf5p-4, -0x1.86622122b49f7p-4, -0x1.83d8a1ff1a358p-4, -0x1.814aead029203p-4, -0x1.7eb92daded7efp-4, -0x1.7c239c272b5b4p-4, -0x1.798a673f53a48p-4, -0x1.76edbf6c91733p-4, -0x1.744dd495eddp-4, -0x1.71aad6118d854p-4, -0x1.6f04f2a302fd7p-4, -0x1.6c5c5879bca26p-4, -0x1.69b1352f841f3p-4, -0x1.6703b5c71b03ep-4, -0x1.645406aaeaef5p-4, -0x1.61a253abccf29p-4, -0x1.5eeec7ffe7784p-4, -0x1.5c398e41a2571p-4, -0x1.5982d06eb2a38p-4, -0x1.56cab7e73954dp-4, -0x1.54116d6cf97ccp-4, -0x1.51571922a3c8ep-4, -0x1.4e9be28b36113p-4, -0x1.4bdff0896ec8fp-4, -0x1.4923695f57201p-4, -0x1.466672adde35ep-4, -0x1.43a9317489eebp-4, -0x1.40ebca113a9c9p-4, -0x1.3e2e604001d4cp-4, -0x1.3b71171b09fbep-4, -0x1.38b4111a9267p-4, -0x1.35f77014fc064p-4, -0x1.333b553ee7d41p-4, -0x1.307fe12b67904p-4, -0x1.2dc533cc3b7f6p-4, -0x1.2b0b6c7226282p-4, -0x1.2852a9cd4af8ap-4, -0x1.259b09ed9eb07p-4, -0x1.22e4aa4367459p-4, -0x1.202fa79fc8fb9p-4, -0x1.1d7c1e3563d6bp-4, -0x1.1aca2998fd8c8p-4, -0x1.1819e4c2395adp-4, -0x1.156b6a0c5d0fap-4, -0x1.12bed33723ca9p-4, -0x1.101439679c001p-4, -0x1.0d6bb52911738p-4, -0x1.0ac55e6e01ebfp-4, -0x1.08214c912164cp-4, -0x1.057f96566465bp-4, -0x1.02e051ec17338p-4, -0x1.004394ebfc901p-4, -0x1.fb52e8b8f6df3p-5, -0x1.f62409639faf9p-5, -0x1.f0fab39e8da8dp-5, -0x1.ebd70e110b02ep-5, -0x1.e6b93e45ade27p-5, -0x1.e1a168acff0ddp-5, -0x1.dc8fb0a033fbep-5, -0x1.d7843863f85e1p-5, -0x1.d27f212b3e59bp-5, -0x1.cd808b1a24ebdp-5, -0x1.c8889548e4487p-5, -0x1.c3975dc6c7f28p-5, -0x1.bead019d33bbep-5, -0x1.b9c99cd2af751p-5, -0x1.b4ed4a6e048e4p-5, -0x1.b0182479588e1p-5, -0x1.ab4a44055c4a3p-5, -0x1.a683c12c76334p-5, -0x1.a1c4b31603255p-5, -0x1.9d0d2ff98fd48p-5, -0x1.985d4d221e8adp-5, -0x1.93b51ef171d21p-5, -0x1.8f14b8e35aa37p-5, -0x1.8a7c2d910b298p-5, -0x1.85eb8eb46dbadp-5, -0x1.8162ed2b7d97ap-5, -0x1.7ce258fba9811p-5, -0x1.7869e1552ab4p-5, -0x1.73f994966ee3fp-5, -0x1.6f91804f73c8dp-5, -0x1.6b31b1452a10ap-5, -0x1.66da3374da6cfp-5, -0x1.628b121788847p-5, -0x1.5e4457a558b4fp-5, -0x1.5a060dd8f0342p-5, -0x1.55d03db2d3c81p-5, -0x1.51a2ef7cc9505p-5, -0x1.4d7e2acd35ca7p-5, -0x1.4961f68a771d5p-5, -0x1.454e58ee38438p-5, -0x1.41435788cc255p-5, -0x1.3d40f74479ab2p-5, -0x1.39473c68d0f61p-5, -0x1.35562a9def5b4p-5, -0x1.316dc4efc4c6fp-5, -0x1.2d8e0dd1575d9p-5, -0x1.29b7071ffce8ap-5, -0x1.25e8b2269119p-5, -0x1.22230fa0a8f88p-5, -0x1.1e661fbdc0606p-5, -0x1.1ab1e22458a8cp-5, -0x1.170655f520d81p-5, -0x1.136379ce0ad25p-5, -0x1.0fc94bcd5f208p-5, -0x1.0c37c994c6ddap-5, -0x1.08aef04c521f6p-5, -0x1.052ebca576fabp-5, -0x1.01b72ade07634p-5, -0x1.fc906d8647bf2p-6, -0x1.f5c3b7683eed4p-6, -0x1.ef08294ac030ep-6, -0x1.e85db8467216ep-6, -0x1.e1c458a97598p-6, -0x1.db3bfdfcf2d73p-6, -0x1.d4c49b0a9f8bp-6, -0x1.ce5e21e227251p-6, -0x1.c80883de891f3p-6, -0x1.c1c3b1ab6c062p-6, -0x1.bb8f9b4a65426p-6, -0x1.b56c30180f9e7p-6, -0x1.af595ed12dc42p-6, -0x1.a9571597b2affp-6, -0x1.a36541f7b7d8ep-6, -0x1.9d83d0ec6545ep-6, -0x1.97b2aee4c3d1fp-6, -0x1.91f1c7c8761bap-6, -0x1.8c4106fc787dep-6, -0x1.86a05767b07b1p-6, -0x1.810fa37781c8ap-6, -0x1.7b8ed52441948p-6, -0x1.761dd5f5a1586p-6, -0x1.70bc8f070058p-6, -0x1.6b6ae90bada4p-6, -0x1.6628cc531edaep-6, -0x1.60f620cd1064ep-6, -0x1.5bd2ce0d86b9fp-6, -0x1.56bebb50dd064p-6, -0x1.51b9cf7f9ceb5p-6, -0x1.4cc3f1325be2bp-6, -0x1.47dd06b57fff3p-6, -0x1.4304f60cf96bep-6, -0x1.3e3ba4f7df11cp-6, -0x1.3980f8f3f9a4bp-6, -0x1.34d4d7414f65bp-6, -0x1.303724e5800abp-6, -0x1.2ba7c6af39fb6p-6, -0x1.2726a1397472ep-6, -0x1.22b398eeaf414p-6, -0x1.1e4e920c17d0cp-6, -0x1.19f770a4a0cb8p-6, -0x1.15ae18a40fe78p-6, -0x1.11726dd1f25d8p-6, -0x1.0d4453d481e4bp-6, -0x1.0923ae338358ap-6, -0x1.0510605afc8fdp-6, -0x1.010a4d9df8f82p-6, -0x1.fa22b27253395p-7, -0x1.f24accab034cap-7, -0x1.ea8cb0157b80fp-7, -0x1.e2e822c3a4503p-7, -0x1.db5ceaaeb87fbp-7, -0x1.d3eacdbbea5b3p-7, -0x1.cc9191c10bc13p-7, -0x1.c550fc88f4092p-7, -0x1.be28d3d7f2942p-7, -0x1.b718dd7002097p-7, -0x1.b020df14dc9bcp-7, -0x1.a9409e90131fap-7, -0x1.a277e1b4f5b03p-7, -0x1.9bc66e645ec5dp-7, -0x1.952c0a9078abcp-7, -0x1.8ea87c4042385p-7, -0x1.883b899314ed8p-7, -0x1.81e4f8c411c48p-7, -0x1.7ba4902d6528ap-7, -0x1.757a164b8dc31p-7, -0x1.6f6551c05e502p-7, -0x1.6966095628458p-7, -0x1.637c040277492p-7, -0x1.5da708e9065c2p-7, -0x1.57e6df5e6a6ebp-7, -0x1.523b4eeac12c3p-7, -0x1.4ca41f4c4c142p-7, -0x1.47211879d5875p-7, -0x1.41b202a52b81cp-7, -0x1.3c56a63d516dcp-7, -0x1.370ecbf0d1c54p-7, -0x1.31da3cafd4732p-7, -0x1.2cb8c1ae48109p-7, -0x1.27aa2465c674p-7, -0x1.22ae2e9793dap-7, -0x1.1dc4aa4e61d12p-7, -0x1.18ed61e015635p-7, -0x1.14281fef9056fp-7, -0x1.0f74af6e32ce4p-7, -0x1.0ad2db9d8916ep-7, -0x1.06427010b6585p-7, -0x1.01c338ade0ce5p-7, -0x1.faaa035f2b234p-8, -0x1.f1ef2f4c0841ap-8, -0x1.e9558ef09e51dp-8, -0x1.e0dcbccb50c74p-8, -0x1.d884540cfdca6p-8, -0x1.d04bf09af4ef7p-8, -0x1.c8332f110862dp-8, -0x1.c039acc37cdecp-8, -0x1.b85f07c09d957p-8, -0x1.b0a2ded28d78cp-8, -0x1.a904d180e6f71p-8, -0x1.a18480121872ap-8, -0x1.9a218b8ccc8b4p-8, -0x1.92db95b91ee57p-8, -0x1.8bb24121c837ep-8, -0x1.84a53115458fdp-8, -0x1.7db409a6c2c9p-8, -0x1.76de6faf10483p-8, -0x1.702408cd6babbp-8, -0x1.69847b684834fp-8, -0x1.62ff6eade6373p-8, -0x1.5c948a94da7b4p-8, -0x1.564377dc9cf4cp-8, -0x1.500be00de8759p-8, -0x1.49ed6d7b2994cp-8, -0x1.43e7cb40c2844p-8, -0x1.3dfaa54529bf4p-8, -0x1.3825a839256e2p-8, -0x1.32688197b259bp-8, -0x1.2cc2dfa63b164p-8, -0x1.273471746318bp-8, -0x1.21bce6dc0d781p-8, -0x1.1c5bf0811d989p-8, -0x1.17113fd143f0fp-8, -0x1.11dc8703a6c8cp-8, -0x1.0cbd7918a1c34p-8, -0x1.07b3c9d9453ccp-8, -0x1.02bf2dd70221dp-8, -0x1.fbbeb4d65efcp-9, -0x1.f2280b6d050fbp-9, -0x1.e8b9cd40cdbep-9, -0x1.df7369aced2fep-9, -0x1.d654519799b1bp-9, -0x1.cd5bf7708983cp-9, -0x1.c489cf2f7c7dfp-9, -0x1.bbdd4e52c8839p-9, -0x1.b355ebdde4d72p-9, -0x1.aaf320576ca23p-9, -0x1.a2b465c77d3fdp-9, -0x1.9a9937b5ec8eep-9, -0x1.92a1132822617p-9, -0x1.8acb769f7e18ep-9, -0x1.8317e21728c39p-9, -0x1.7b85d7022f499p-9, -0x1.7414d8491e7f7p-9, -0x1.6cc46a483fa9dp-9, -0x1.659412cd09c77p-9, -0x1.5e83591402e23p-9, -0x1.5791c5c67b181p-9, -0x1.50bee2f818eadp-9, -0x1.4a0a3c2485162p-9, -0x1.43735e2d41be2p-9, -0x1.3cf9d756e7ef5p-9, -0x1.369d3746cd42dp-9, -0x1.305d0f008e7ep-9, -0x1.2a38f0e33d4e7p-9, -0x1.243070a7079f1p-9, -0x1.1e43235abc065p-9, -0x1.18709f60c2972p-9, -0x1.12b87c6d0df58p-9, -0x1.0d1a5381eddfep-9, -0x1.0795beedac622p-9, -0x1.022a5a47ab3e7p-9, -0x1.f9af84db4e1c5p-10, -0x1.ef3b2b027abf4p-10, -0x1.e4f6e5c988a26p-10, -0x1.dae1f671eccddp-10, -0x1.d0fba0b3bcd33p-10, -0x1.c7432ab86337ap-10, -0x1.bdb7dd1512917p-10, -0x1.b45902c4bdec4p-10, -0x1.ab25e922fb5cdp-10, -0x1.a21ddfe6206cep-10, -0x1.994039196ae8ep-10, -0x1.908c4917e133ep-10, -0x1.880166865b8fp-10, -0x1.7f9eea4e06fa1p-10, -0x1.77642f9695e2fp-10, -0x1.6f5093c0b8e46p-10, -0x1.676376600406p-10, -0x1.5f9c3935f1f7p-10, -0x1.57fa402be5746p-10, -0x1.507cf14dab09p-10, -0x1.4923b4c3ad1e1p-10, -0x1.41edf4cdace6ap-10, -0x1.3adb1dbcdecbp-10, -0x1.33ea9dee3bbf6p-10, -0x1.2d1be5c5793c1p-10, -0x1.266e67a6b2d18p-10, -0x1.1fe197f1a6cefp-10, -0x1.1974ecfb9ee34p-10, -0x1.1327df0a5f137p-10, -0x1.0cf9e84e8373ep-10, -0x1.06ea84de3fd4bp-10, -0x1.00f932af69439p-10, -0x1.f64ae32591cp-11, -0x1.eadd865c055eap-11, -0x1.dfa955ed85ac7p-11, -0x1.d4ad5c5a9dff4p-11, -0x1.c9e8a7ae05ddcp-11, -0x1.bf5a4972fd7a3p-11, -0x1.b50156aa2836fp-11, -0x1.aadce7bfd5c39p-11, -0x1.a0ec18809e07ep-11, -0x1.972e081002bfdp-11, -0x1.8da1d8ddba23fp-11, -0x1.8446b09beaf6ep-11, -0x1.7b1bb834eebfdp-11, -0x1.72201bc1c8641p-11, -0x1.69530a7f46f43p-11, -0x1.60b3b6c586355p-11, -0x1.584155fca38b3p-11, -0x1.4ffb2094237bep-11, -0x1.47e051f92f8a4p-11, -0x1.3ff0288c2759dp-11, -0x1.3829e5987b4a8p-11, -0x1.308ccd49f63acp-11, -0x1.291826a4e5997p-11, -0x1.21cb3b7b5364ap-11, -0x1.1aa55864f21c4p-11, -0x1.13a5ccb63916bp-11, -0x1.0ccbea75df936p-11, -0x1.0617065540792p-11, -0x1.ff0cef4e77c9fp-12, -0x1.f23330ae5d228p-12, -0x1.e59f89c192211p-12, -0x1.d950b88d3de44p-12, -0x1.cd4580158be63p-12, -0x1.c17ca84b0e467p-12, -0x1.b5f4fdfa11ba9p-12, -0x1.aaad52bb2c4bap-12, -0x1.9fa47ce0849bp-12, -0x1.94d9576934cdfp-12, -0x1.8a4ac1eddfed9p-12, -0x1.7ff7a091f70a4p-12, -0x1.75dedbf55a3dcp-12, -0x1.6bff6121e9cc3p-12, -0x1.6258217f496fbp-12, -0x1.58e812c0ffc9bp-12, -0x1.4fae2ed8c36efp-12, -0x1.46a973e6fd08bp-12, -0x1.3dd8e42c389a8p-12, -0x1.353b85f9e87d1p-12, -0x1.2cd063a574f91p-12, -0x1.24968b7804686p-12, -0x1.1c8d0fa1ecfe3p-12, -0x1.14b3062bdf57ap-12, -0x1.0d0788e9874bfp-12, -0x1.0589b56a7f8b9p-12, -0x1.fc7159de9e8cp-13, -0x1.ee2728b36717fp-13, -0x1.e033283fe4ef8p-13, -0x1.d293b081b03c9p-13, -0x1.c547206bf1984p-13, -0x1.b84bddcd19aa8p-13, -0x1.aba055393f898p-13, -0x1.9f42f9ec68582p-13, -0x1.933245b4e124ep-13, -0x1.876cb8d97f71ep-13, -0x1.7bf0da0387c9p-13, -0x1.70bd3624264dfp-13, -0x1.65d06060364e9p-13, -0x1.5b28f1f5c3d6fp-13, -0x1.50c58a2843d87p-13, -0x1.46a4ce26a7a8bp-13, -0x1.3cc568f81ef7fp-13, -0x1.33260b653755dp-13, -0x1.29c56be05d2fbp-13, -0x1.20a24672e23b3p-13, -0x1.17bb5ca5f6405p-13, -0x1.0f0f756d1ce3fp-13, -0x1.069d5d144a658p-13, -0x1.fcc7ca52a3019p-14, -0x1.ecc3c8d038f65p-14, -0x1.dd2c6d4c98578p-14, -0x1.cdff798452953p-14, -0x1.bf3ab916fd34bp-14, -0x1.b0dc0165af5c4p-14, -0x1.a2e1316ae3d08p-14, -0x1.95483198905b5p-14, -0x1.880ef3ae47f34p-14, -0x1.7b33729a4f34ap-14, -0x1.6eb3b25206336p-14, -0x1.628dbfaf55d3cp-14, -0x1.56bfb05050fc8p-14, -0x1.4b47a270ad2a7p-14, -0x1.4023bccaa6febp-14, -0x1.35522e761325p-14, -0x1.2ad12ec4a3b2dp-14, -0x1.209efd2311577p-14, -0x1.16b9e0f889937p-14, -0x1.0d202987ce2f2p-14, -0x1.03d02dcf6689fp-14, -0x1.f59098d68243p-15, -0x1.e40dd6e57e854p-15, -0x1.d314f0c1932a7p-15, -0x1.c2a2cfe763f4bp-15, -0x1.b2b46c1be038fp-15, -0x1.a346cb34ce157p-15, -0x1.945700e4d77e8p-15, -0x1.85e22e7f9b058p-15, -0x1.77e582c0c7ecfp-15, -0x1.6a5e399a7acd6p-15, -0x1.5d499bfb3d653p-15, -0x1.50a4ff9ac206cp-15, -0x1.446dc6ca94dffp-15, -0x1.38a1603c0120ep-15, -0x1.2d3d46d1048edp-15, -0x1.223f01675af59p-15, -0x1.17a422a9d190dp-15, -0x1.0d6a48deccc32p-15, -0x1.038f1dbc2e1a4p-15, -0x1.f420ac693e444p-16, -0x1.e1d7648fb3a93p-16, -0x1.d03df9ad7f3aap-16, -0x1.bf5016f225522p-16, -0x1.af097c98b122dp-16, -0x1.9f65ff93ec0f5p-16, -0x1.90618938f763ap-16, -0x1.81f816e863d4dp-16, -0x1.7425b9c57460dp-16, -0x1.66e69651957f5p-16, -0x1.5a36e42355115p-16, -0x1.4e12ed96d6e76p-16, -0x1.42770f8226a16p-16, -0x1.375fb8e3c236ep-16, -0x1.2cc96a8dafa18p-16, -0x1.22b0b6edbe937p-16, -0x1.191241b4866a5p-16, -0x1.0feabf8b77893p-16, -0x1.0736f5d33b1e6p-16, -0x1.fde774b5ac9e1p-17, -0x1.ee3be6300f1dfp-17, -0x1.df652bc3e891p-17, -0x1.d15d505eb95afp-17, -0x1.c41e7da775aap-17, -0x1.b7a2fb7836761p-17, -0x1.abe52f5a47c9ap-17, -0x1.a0df9c062666dp-17, -0x1.968ce0e578b6ap-17, -0x1.8ce7b9a4c24bcp-17, -0x1.83eafdaeb5603p-17, -0x1.7b919fa7eaa58p-17, -0x1.73d6ad0567d9p-17, -0x1.6cb54d96cb036p-17, -0x1.6628c31ee6472p-17, -0x1.602c68c9a9dc7p-17, -0x1.5abbb2c3c3abep-17, -0x1.55d22dd8bc8e8p-17, -0x1.516b7f009cbeap-17, -0x1.4d8362f0dbca7p-17, -0x1.4a15adbd23503p-17, }}, 
      {{-0x1.dc5059870ee3cp-9, -0x1.d56b016bde5a6p-9, -0x1.c9d0aa1973cebp-9, -0x1.b959433343dfap-9, -0x1.a3d0547a673eap-9, -0x1.88f7b947d136ep-9, -0x1.688a65db12c27p-9, -0x1.423f0da310eep-9, -0x1.15ca93b92123ap-9, -0x1.c5c4740f60635p-10, -0x1.527b145494f4dp-10, -0x1.a25fdba58e781p-11, -0x1.0591bc8625e0ep-12, 0x1.75650032a66c1p-12, 0x1.0b6c8d5461843p-10, 0x1.c9293e943e16fp-10, 0x1.4b694f1045554p-9, 0x1.ba4d82094edc3p-9, 0x1.18a8ec10059b3p-8, 0x1.583f3a20bdb5fp-8, 0x1.9be993e24c1d6p-8, 0x1.e3a3da4e1cc4ep-8, 0x1.17b3085862cddp-7, 0x1.3f9246b6ee0b3p-7, 0x1.696817d199df3p-7, 0x1.952b4c0b9eb2p-7, 0x1.c2d132133c566p-7, 0x1.f24db4d145897p-7, 0x1.11c9bcb3a979p-6, 0x1.2b49fe74cbcb6p-6, 0x1.459fd8caa44fep-6, 0x1.60c30daa1414p-6, 0x1.7caaf5b5192d6p-6, 0x1.994e8d99ffe1cp-6, 0x1.b6a482f1c7d47p-6, 0x1.d4a340976b71ap-6, 0x1.f340fa734e8d3p-6, 0x1.0939dc5bf5253p-5, 0x1.1918b146bf915p-5, 0x1.2937e415c88a4p-5, 0x1.3992562faf8d7p-5, 0x1.4a22e6bfa7701p-5, 0x1.5ae476e5b7efbp-5, 0x1.6bd1ed9e09fcfp-5, 0x1.7ce63b5fc79e6p-5, 0x1.8e1c5d748d742p-5, 0x1.9f6f610984de7p-5, 0x1.b0da65fb95672p-5, 0x1.c258a16056ce4p-5, 0x1.d3e55fcdaee6cp-5, 0x1.e57c07623dacfp-5, 0x1.f71819910004ep-5, 0x1.045a9a595355ap-4, 0x1.0d278aafb5cb5p-4, 0x1.15f0cbca18039p-4, 0x1.1eb45bd2f8019p-4, 0x1.277049833dbedp-4, 0x1.3022b46ecfe69p-4, 0x1.38c9cd3ce880bp-4, 0x1.4163d5cdb55e4p-4, 0x1.49ef214ec85e8p-4, 0x1.526a143fd6e06p-4, 0x1.5ad324693e09bp-4, 0x1.6328d8c5ab34fp-4, 0x1.6b69c96043167p-4, 0x1.73949f2894ca9p-4, 0x1.7ba813bd7fd3ap-4, 0x1.83a2f1303d03fp-4, 0x1.8b8411c090a2bp-4, 0x1.934a5f932972bp-4, 0x1.9af4d4630acd3p-4, 0x1.a282792ee3dfp-4, 0x1.a9f265e30afddp-4, 0x1.b143c100d6272p-4, 0x1.b875bf43e5ab2p-4, 0x1.bf87a34602547p-4, 0x1.c678bd21eca4dp-4, 0x1.cd486a15a9e2cp-4, 0x1.d3f61424afbb2p-4, 0x1.da8131ba21793p-4, 0x1.e0e9454b9130bp-4, 0x1.e72ddcfc69ca1p-4, 0x1.ed4e92423a3c7p-4, 0x1.f34b098a0fb3bp-4, 0x1.f922f1defc898p-4, 0x1.fed60491f80d8p-4, 0x1.0232027183a2fp-3, 0x1.04e65fd5fb65ap-3, 0x1.078805863a3dbp-3, 0x1.0a16e30be26a7p-3, 0x1.0c92ec41f6a36p-3, 0x1.0efc192d3ed6cp-3, 0x1.115265d5659f8p-3, 0x1.1395d21ee1cd3p-3, 0x1.15c661a59fad6p-3, 0x1.17e41b985ea64p-3, 0x1.19ef0a94d8406p-3, 0x1.1be73c84963a3p-3, 0x1.1dccc27a7b2c4p-3, 0x1.1f9fb090ff7e2p-3, 0x1.21601dc91c861p-3, 0x1.230e23e9dde6bp-3, 0x1.24a9df609aeeep-3, 0x1.26336f21d3949p-3, 0x1.27aaf48ab1ec9p-3, 0x1.2910934322edp-3, 0x1.2a64712092cbbp-3, 0x1.2ba6b6093e033p-3, 0x1.2cd78bd8226fbp-3, 0x1.2df71e4180ac5p-3, 0x1.2f059ab7f921dp-3, 0x1.300330523b197p-3, 0x1.30f00fb14dbd9p-3, 0x1.31cc6ae7687b3p-3, 0x1.3298755f62ae7p-3, 0x1.335463c4b714bp-3, 0x1.34006bec1cc83p-3, 0x1.349cc4bcb07c6p-3, 0x1.3529a619b5e6ep-3, 0x1.35a748ccedcf8p-3, 0x1.3615e6717fe7p-3, 0x1.3675b95f78638p-3, 0x1.36c6fc97dce86p-3, 0x1.3709ebb157d77p-3, 0x1.373ec2c574c52p-3, 0x1.3765be5e77bc9p-3, 0x1.377f1b65c92a4p-3, 0x1.378b1712f2096p-3, 0x1.3789eedb32dfep-3, 0x1.377be061af623p-3, 0x1.3761296828969p-3, 0x1.373a07c050e66p-3, 0x1.3706b93db1522p-3, 0x1.36c77ba81c43ep-3, 0x1.367c8caeb7ac4p-3, 0x1.362629db90579p-3, 0x1.35c49087c0282p-3, 0x1.3557fdd01ae5p-3, 0x1.34e0ae8a7172bp-3, 0x1.345edf3b4bcabp-3, 0x1.33d2cc0c3b1fcp-3, 0x1.333cb0c2aaabep-3, 0x1.329cc8b72ac1cp-3, 0x1.31f34ecd4d01fp-3, 0x1.31407d6beda19p-3, 0x1.30848e760345ap-3, 0x1.2fbfbb43e2198p-3, 0x1.2ef23c9cf4c2ap-3, 0x1.2e1c4ab1ea51ep-3, 0x1.2d3e1d1754cbdp-3, 0x1.2c57eac0acd85p-3, 0x1.2b69e9fbca6f4p-3, 0x1.2a74506cbf28dp-3, 0x1.2977530a114e5p-3, 0x1.2873261957ae3p-3, 0x1.2767fd2c3a96bp-3, 0x1.26560b1dc5bd8p-3, 0x1.253d8210121dbp-3, 0x1.241e936a46e9bp-3, 0x1.22f96fd6e704ap-3, 0x1.21ce47426e86dp-3, 0x1.209d48da36a0ap-3, 0x1.1f66a30b9efa5p-3, 0x1.1e2a838380167p-3, 0x1.1ce9172dd7c18p-3, 0x1.1ba28a35b5b7ep-3, 0x1.1a5708055c32p-3, 0x1.1906bb46a349p-3, 0x1.17b1cde3806cfp-3, 0x1.16586906ce109p-3, 0x1.14fab51d32ff6p-3, 0x1.1398d9d6411eap-3, 0x1.1232fe25b3d86p-3, 0x1.10c94844d6fccp-3, 0x1.0f5bddb413767p-3, 0x1.0deae33c99e6cp-3, 0x1.0c767cf228866p-3, 0x1.0afece34f435dp-3, 0x1.0983f9b3a1626p-3, 0x1.0806216d5e58ap-3, 0x1.068566b408243p-3, 0x1.0501ea2e6d58dp-3, 0x1.037bcbda96216p-3, 0x1.01f32b1024f0bp-3, 0x1.00682682bf1c9p-3, 0x1.fdb5b8890717bp-4, 0x1.fa96d3910f19dp-4, 0x1.f773d7cabc73ap-4, 0x1.f44cfdaf4f8f5p-4, 0x1.f1227c8948b47p-4, 0x1.edf48a7991347p-4, 0x1.eac35c7cb46c3p-4, 0x1.e78f2670056b6p-4, 0x1.e4581b16e446fp-4, 0x1.e11e6c1fe3c08p-4, 0x1.dde24a29fd00ep-4, 0x1.daa3e4c9b1badp-4, 0x1.d7636a8e33956p-4, 0x1.d421090671321p-4, 0x1.d0dcecc623339p-4, 0x1.cd97416accf4p-4, 0x1.ca5031a0a81e6p-4, 0x1.c707e72782358p-4, 0x1.c3be8ad793117p-4, 0x1.c07444a63abbfp-4, 0x1.bd293baaa4e96p-4, 0x1.b9dd96226c71bp-4, 0x1.b691797618156p-4, 0x1.b3450a3d8cb48p-4, 0x1.aff86c4468a6fp-4, 0x1.acabc28e4f3f3p-4, 0x1.a95f2f5b0852ap-4, 0x1.a612d42aadd3fp-4, 0x1.a2c6d1c19a198p-4, 0x1.9f7b482c6435cp-4, 0x1.9c3056c3a94bcp-4, 0x1.98e61c2fcc09ap-4, 0x1.959cb66c9ce9bp-4, 0x1.925442cce8f24p-4, 0x1.8f0cddfdef4ccp-4, 0x1.8bc6a40ac3559p-4, 0x1.8881b05f9692dp-4, 0x1.853e1dcced612p-4, 0x1.81fc068ab996ep-4, 0x1.7ebb843b62558p-4, 0x1.7b7cafeeb5282p-4, 0x1.783fa224c1529p-4, 0x1.750472d09d7c2p-4, 0x1.71cb395b18991p-4, 0x1.6e940ca557a63p-4, 0x1.6b5f030b5d94ap-4, 0x1.682c326680e9bp-4, 0x1.64fbb00fcd508p-4, 0x1.61cd90e253672p-4, 0x1.5ea1e93d6612ep-4, 0x1.5b78cd06c36c9p-4, 0x1.58524facb020ap-4, 0x1.552e84280056fp-4, 0x1.520d7cfe0f5ccp-4, 0x1.4eef4c42a968ep-4, 0x1.4bd40399e4227p-4, 0x1.48bbb439e99bfp-4, 0x1.45a66eecb53aep-4, 0x1.42944411c2065p-4, 0x1.3f85439faae18p-4, 0x1.3c797d25bf2b2p-4, 0x1.3970ffcd8b387p-4, 0x1.366bda5c51826p-4, 0x1.336a1b347f12dp-4, 0x1.306bd0570f686p-4, 0x1.2d710764e7077p-4, 0x1.2a79cda025f34p-4, 0x1.27862fed6f992p-4, 0x1.24963ad528b47p-4, 0x1.21a9fa84adfc4p-4, 0x1.1ec17acf80c9ap-4, 0x1.1bdcc7306d0f3p-4, 0x1.18fbeacaa8a07p-4, 0x1.161ef06aea8f4p-4, 0x1.1345e2887b527p-4, 0x1.1070cb4640e09p-4, 0x1.0d9fb473c1d22p-4, 0x1.0ad2a78e252b9p-4, 0x1.0809adc12bd2dp-4, 0x1.0544cfe82625p-4, 0x1.0284168ee3befp-4, 0x1.ff8f13e53ecc4p-5, 0x1.fa1e6405d0f78p-5, 0x1.f4b62cc50bd9cp-5, 0x1.ef567cd0af758p-5, 0x1.e9ff62406b64ap-5, 0x1.e4b0ea97942fep-5, 0x1.df6b22c6d0e9p-5, 0x1.da2e172dc9786p-5, 0x1.d4f9d39ccb117p-5, 0x1.cfce63566f1dp-5, 0x1.caabd111362d4p-5, 0x1.c59226f92676fp-5, 0x1.c0816eb162e63p-5, 0x1.bb79b155c28e5p-5, 0x1.b67af77c65484p-5, 0x1.b185493743bebp-5, 0x1.ac98ae15c02dcp-5, 0x1.a7b52d263452ep-5, 0x1.a2daccf77d3f5p-5, 0x1.9e09939a88edep-5, 0x1.994186a3e0ad6p-5, 0x1.9482ab2d33e57p-5, 0x1.8fcd05d6df56ep-5, 0x1.8b209ac97839fp-5, 0x1.867d6db7564f9p-5, 0x1.81e381de18aa8p-5, 0x1.7d52da083236ap-5, 0x1.78cb788e71531p-5, 0x1.744d5f5986b83p-5, 0x1.6fd88fe38ed3ep-5, 0x1.6b6d0b399f054p-5, 0x1.670ad1fd47ef4p-5, 0x1.62b1e46625deep-5, 0x1.5e62424365949p-5, 0x1.5a1beafd52e7dp-5, 0x1.55dedd96e223dp-5, 0x1.51ab18af3963bp-5, 0x1.4d809a833edcp-5, 0x1.495f60ef22ebbp-5, 0x1.4547696fee0b4p-5, 0x1.4138b1250a833p-5, 0x1.3d3334d1d25bbp-5, 0x1.3936f0df1f0e6p-5, 0x1.3543e15cd012p-5, 0x1.315a02035ca8ep-5, 0x1.2d794e3560c21p-5, 0x1.29a1c10129805p-5, 0x1.25d355223fff3p-5, 0x1.220e0502f79c2p-5, 0x1.1e51cabdfb322p-5, 0x1.1a9ea01fd8ec8p-5, 0x1.16f47ea88c578p-5, 0x1.13535f8d0a339p-5, 0x1.0fbb3bb8ca858p-5, 0x1.0c2c0bcf535bdp-5, 0x1.08a5c82dbdf1cp-5, 0x1.052868ec449f4p-5, 0x1.01b3e5dfc3c35p-5, 0x1.fc906d368912p-6, 0x1.f5caa4e2f987cp-6, 0x1.ef1660ecaa43bp-6, 0x1.e8738f00d6fcbp-6, 0x1.e1e21c5522accp-6, 0x1.db61f5aa9acf2p-6, 0x1.d4f30750a8525p-6, 0x1.ce953d280c808p-6, 0x1.c84882a5d0896p-6, 0x1.c20cc2d635c02p-6, 0x1.bbe1e85fa3bcdp-6, 0x1.b5c7dd8584323p-6, 0x1.afbe8c2b2fa6cp-6, 0x1.a9c5ddd6bebcbp-6, 0x1.a3ddbbb3eba85p-6, 0x1.9e060e96e15b9p-6, 0x1.983ebeff06781p-6, 0x1.9287b519c841ap-6, 0x1.8ce0d8c55bb65p-6, 0x1.874a119379b9ep-6, 0x1.81c346cc13835p-6, 0x1.7c4c5f700385fp-6, 0x1.76e5423bb96d3p-6, 0x1.718dd5a9de5b2p-6, 0x1.6c45fff5ede48p-6, 0x1.670da71eccf05p-6, 0x1.61e4b0e95af65p-6, 0x1.5ccb02e2f8af5p-6, 0x1.57c082640d5d5p-6, 0x1.52c514927be41p-6, 0x1.4dd89e641679bp-6, 0x1.48fb04a10d69fp-6, 0x1.442c2be64cf65p-6, 0x1.3f6bf8a7deba9p-6, 0x1.3aba4f333ae26p-6, 0x1.361713b19741ep-6, 0x1.31822a2a2be0fp-6, 0x1.2cfb76846c433p-6, 0x1.2882dc8a3de03p-6, 0x1.24183fea29ae5p-6, 0x1.1fbb843978914p-6, 0x1.1b6c8cf6534d7p-6, 0x1.172b3d89d7ecep-6, 0x1.12f7794a232e6p-6, 0x1.0ed1237c54528p-6, 0x1.0ab81f56892bep-6, 0x1.06ac5001ce38bp-6, 0x1.02ad989c0866dp-6, 0x1.fd77b873b3d6p-7, 0x1.f5adfbd0ef39fp-7, 0x1.edfdc15efe0f2p-7, 0x1.e666cf256d51p-7, 0x1.dee8eb27a3699p-7, 0x1.d783db68475bap-7, 0x1.d03765ecad8e5p-7, 0x1.c90350c011eep-7, 0x1.c1e761f6dbe74p-7, 0x1.bae35fb1c203ap-7, 0x1.b3f71020e7e4ap-7, 0x1.ad223986e722bp-7, 0x1.a664a23bc1a7cp-7, 0x1.9fbe10afc8c7p-7, 0x1.992e4b6e7371cp-7, 0x1.92b5192123886p-7, 0x1.8c524091de81p-7, 0x1.860588adeb506p-7, 0x1.7fceb88867e17p-7, 0x1.79ad975ccad88p-7, 0x1.73a1ec9154735p-7, 0x1.6dab7fb9785fp-7, 0x1.67ca18983272dp-7, 0x1.61fd7f223c734p-7, 0x1.5c457b804f18bp-7, 0x1.56a1d611414e2p-7, 0x1.5112576c195dap-7, 0x1.4b96c86212da7p-7, 0x1.462ef2009c60ep-7, 0x1.40da9d933684dp-7, 0x1.3b9994a54fa6cp-7, 0x1.366ba10409449p-7, 0x1.31508cbffc062p-7, 0x1.2c48222ed996cp-7, 0x1.27522bed114f5p-7, 0x1.226e74df596e8p-7, 0x1.1d9cc8343c8a7p-7, 0x1.18dcf1658583p-7, 0x1.142ebc39a9e7fp-7, 0x1.0f91f4c523579p-7, 0x1.0b06676bbd774p-7, 0x1.068be0e1cdd3p-7, 0x1.02222e2d6f42p-7, 0x1.fb92394f43237p-8, 0x1.f300f3fad4a18p-8, 0x1.ea902861b6916p-8, 0x1.e23f73342e8ecp-8, 0x1.da0e71d08a595p-8, 0x1.d1fcc244f4c4cp-8, 0x1.ca0a03512daafp-8, 0x1.c235d4683893ap-8, 0x1.ba7fd5b1d59ap-8, 0x1.b2e7a80c162f3p-8, 0x1.ab6ced0cb480cp-8, 0x1.a40f47025d5c1p-8, 0x1.9cce58f5f1581p-8, 0x1.95a9c6ab9f26fp-8, 0x1.8ea134a3fde7fp-8, 0x1.87b4481d00a17p-8, 0x1.80e2a712e268cp-8, 0x1.7a2bf8410e9a1p-8, 0x1.738fe322d394fp-8, 0x1.6d0e0ff41650ep-8, 0x1.66a627b1fd388p-8, 0x1.6057d41b6f635p-8, 0x1.5a22bfb19e3a3p-8, 0x1.540695b86963bp-8, 0x1.4e030236c6e92p-8, 0x1.4817b1f709055p-8, 0x1.4244528724828p-8, 0x1.3c889238d98b3p-8, 0x1.36e42021d17fbp-8, 0x1.3156ac1bac315p-8, 0x1.2bdfe6c409742p-8, 0x1.267f817c7913ap-8, 0x1.21352e6a668ecp-8, 0x1.1c00a076f1f7ap-8, 0x1.16e18b4ec332bp-8, 0x1.11d7a361c668ap-8, 0x1.0ce29de2ddc69p-8, 0x1.080230c78e74fp-8, 0x1.033612c79b8aep-8, 0x1.fcfbf6b93750ap-9, 0x1.f3b34582f7695p-9, 0x1.ea9183e403c9cp-9, 0x1.e1962554774b9p-9, 0x1.d8c09ecbef413p-9, 0x1.d01066c01b4a9p-9, 0x1.c784f5237eb3fp-9, 0x1.bf1dc3640dcd1p-9, 0x1.b6da4c69b66ccp-9, 0x1.aeba0c94c4fcap-9, 0x1.a6bc81bc5c18ap-9, 0x1.9ee12b2cd369fp-9, 0x1.972789a5f039dp-9, 0x1.8f8f1f5932483p-9, 0x1.88176fe7fa5b3p-9, 0x1.80c0006194a87p-9, 0x1.798857415c934p-9, 0x1.726ffc6cb7e37p-9, 0x1.6b7679310f2a9p-9, 0x1.649b5841c088ap-9, 0x1.5dde25b5f91b8p-9, 0x1.573e6f068f8e4p-9, 0x1.50bbc30bd0962p-9, 0x1.4a55b1fb4e3fap-9, 0x1.440bcd657ff24p-9, 0x1.3ddda83377483p-9, 0x1.37cad6a49c37dp-9, 0x1.31d2ee4c38d31p-9, 0x1.2bf5860f0f28fp-9, 0x1.26323620e9861p-9, 0x1.2088980231762p-9, 0x1.1af8467d6c507p-9, 0x1.1580dda4bf15dp-9, 0x1.1021facf5e0a2p-9, 0x1.0adb3c96f2bbfp-9, 0x1.05ac42d515c0ap-9, 0x1.0094aea0b6fc4p-9, 0x1.f72844970cf3dp-10, 0x1.ed5482be6977ep-10, 0x1.e3ad6135e4316p-10, 0x1.da322be172591p-10, 0x1.d0e2310535f9p-10, 0x1.c7bcc140457acp-10, 0x1.bec12f8755f02p-10, 0x1.b5eed11f19ec5p-10, 0x1.ad44fd9717b55p-10, 0x1.a4c30ec3f4f94p-10, 0x1.9c6860ba50605p-10, 0x1.943451c91403fp-10, 0x1.8c2642742af8fp-10, 0x1.843d956f1874bp-10, 0x1.7c79af975585ep-10, 0x1.74d9f7eefb5ccp-10, 0x1.6d5dd7973c0a2p-10, 0x1.6604b9cb09669p-10, 0x1.5ece0bd97aad8p-10, 0x1.57b93d2075a52p-10, 0x1.50c5bf07275d1p-10, 0x1.49f304f89eb38p-10, 0x1.4340845e6c7bcp-10, 0x1.3cadb49b2c002p-10, 0x1.363a0f051484fp-10, 0x1.2fe50ee0b474fp-10, 0x1.29ae315b73216p-10, 0x1.2394f5865f11fp-10, 0x1.1d98dc50927f2p-10, 0x1.17b968820f24dp-10, 0x1.11f61eb68b71fp-10, 0x1.0c4e8557e485cp-10, 0x1.06c224991627ep-10, 0x1.01508670f74ebp-10, 0x1.f7f26d29e88fp-11, 0x1.ed7784e78a506p-11, 0x1.e32f726133d16p-11, 0x1.d919573b2642dp-11, 0x1.cf34586e15b52p-11, 0x1.c57f9e3c62ddfp-11, 0x1.bbfa54283bacp-11, 0x1.b2a3a8e9a8f1dp-11, 0x1.a97ace6448f83p-11, 0x1.a07ef99ddb423p-11, 0x1.97af62b41e40fp-11, 0x1.8f0b44d2f635ep-11, 0x1.8691de2ae60cap-11, 0x1.7e426fe75430ap-11, 0x1.761c3e24e0b8ep-11, 0x1.6e1e8fe80c31ep-11, 0x1.6648af139692p-11, 0x1.5e99e85f5e87ep-11, 0x1.57118b4eb9742p-11, 0x1.4faeea279dedap-11, 0x1.487159e918c74p-11, 0x1.415832428af2p-11, 0x1.3a62cd8a6d8c6p-11, 0x1.339088b58b43ap-11, 0x1.2ce0c34e1620bp-11, 0x1.2652df6ad7742p-11, 0x1.1fe641a694001p-11, 0x1.199a51172b00ap-11, 0x1.136e77454a801p-11, 0x1.0d622023ca44ap-11, 0x1.0774ba0793ef7p-11, 0x1.01a5b59ec88ccp-11, 0x1.f7e90bd25b1aap-12, 0x1.ecc1405ed05cfp-12, 0x1.e1d2f7f68fffep-12, 0x1.d71d261f4c00fp-12, 0x1.cc9ec2c0bc994p-12, 0x1.c256ca153ebe5p-12, 0x1.b8443c9a7f3f1p-12, 0x1.ae661f0166062p-12, 0x1.a4bb7a1f98efdp-12, 0x1.9b435adf9e715p-12, 0x1.91fcd232f2598p-12, 0x1.88e6f5023c49p-12, 0x1.8000dc1ff7b71p-12, 0x1.7749a438bdc7bp-12, 0x1.6ec06dc5d9f2fp-12, 0x1.66645cfeccdadp-12, 0x1.5e3499cb8a7aap-12, 0x1.56304fb64ef3fp-12, 0x1.4e56adde79048p-12, 0x1.46a6e6eab7fefp-12, 0x1.3f2030fbf09c7p-12, 0x1.37c1c59faa024p-12, 0x1.308ae1c335adep-12, 0x1.297ac5a71a087p-12, 0x1.2290b4d20360ap-12, 0x1.1bcbf6041d614p-12, 0x1.152bd32ad503p-12, 0x1.0eaf9954a466ep-12, 0x1.085698a4b21a7p-12, 0x1.0220244718cbbp-12, 0x1.f81724ca236d8p-13, 0x1.ec30783194d1p-13, 0x1.e08afac4c0481p-13, 0x1.d5256a37f7cdbp-13, 0x1.c9fe89de7afd5p-13, 0x1.bf152292ab812p-13, 0x1.b46802a191faep-13, 0x1.a9f5fdb46d392p-13, 0x1.9fbdecbaf8454p-13, 0x1.95beadd6ed7f2p-13, 0x1.8bf72446d92e1p-13, 0x1.82663851ab05dp-13, 0x1.790ad732664b9p-13, 0x1.6fe3f30447128p-13, 0x1.66f082ae742ep-13, 0x1.5e2f81d14af75p-13, 0x1.559ff0b1e2694p-13, 0x1.4d40d42811591p-13, 0x1.4511358b98e8ap-13, 0x1.3d1022a111b8fp-13, 0x1.353cad88c79b5p-13, 0x1.2d95ecab7707p-13, 0x1.261afaa9a34a3p-13, 0x1.1ecaf6497439fp-13, 0x1.17a50265af9d5p-13, 0x1.10a845dcb464dp-13, 0x1.09d3eb7f75e23p-13, 0x1.03272201956ep-13, 0x1.f94237d111b6ap-14, 0x1.ec821ef77a3e8p-14, 0x1.e00c6d69cc02ep-14, 0x1.d3df9e5f5589ep-14, 0x1.c7fa3435be444p-14, 0x1.bc5ab85323d69p-14, 0x1.b0ffbb06cf17fp-14, 0x1.a5e7d36cec16p-14, 0x1.9b119f50f4d3dp-14, 0x1.907bc3118452ap-14, 0x1.8624e98380a18p-14, 0x1.7c0bc3d636db7p-14, 0x1.722f09793361cp-14, 0x1.688d7800156f5p-14, 0x1.5f25d3080a5ecp-14, 0x1.55f6e41e4c87p-14, 0x1.4cff7aa60c086p-14, 0x1.443e6bbf15d54p-14, 0x1.3bb2922c4acf8p-14, 0x1.335ace3b85d9ep-14, 0x1.2b3605ade473ep-14, 0x1.2343239eb2648p-14, 0x1.1b81186bec859p-14, 0x1.13eed9a02b7c5p-14, 0x1.0c8b61db2d011p-14, 0x1.0555b0baeeb4cp-14, 0x1.fc99958e14a71p-15, 0x1.eedf72b23c65bp-15, 0x1.e17b151103ce4p-15, 0x1.d46aa2293b962p-15, 0x1.c7ac48a0a62bcp-15, 0x1.bb3e401b7d781p-15, 0x1.af1ec912a81e8p-15, 0x1.a34c2cada136bp-15, 0x1.97c4bc9b62617p-15, 0x1.8c86d2eb6a542p-15, 0x1.8190d1e7aab2ep-15, 0x1.76e123f0051cap-15, 0x1.6c763b55fb04ep-15, 0x1.624e92369a1c7p-15, 0x1.5868aa58fa94ep-15, 0x1.4ec30d0c15233p-15, 0x1.455c4b02a7732p-15, 0x1.3c32fc3292e0bp-15, 0x1.3345bfb2242a3p-15, 0x1.2a933b98d9ba8p-15, 0x1.221a1cdf2b3a9p-15, 0x1.19d9173e28c81p-15, 0x1.11cee51048d12p-15, 0x1.09fa4732f1491p-15, 0x1.025a04e99d64dp-15, 0x1.f5d9d77d1bd64p-16, 0x1.e7639eccec19ep-16, 0x1.d94f13492735cp-16, 0x1.cb99f45807f8bp-16, 0x1.be420d0cd6142p-16, 0x1.b14533f0a75dbp-16, 0x1.a4a14accfe15ep-16, 0x1.98543e748f352p-16, 0x1.8c5c06902299bp-16, 0x1.80b6a56d8927cp-16, 0x1.756227ccb97ebp-16, 0x1.6a5ca4aebc02ap-16, 0x1.5fa43d257870bp-16, 0x1.55371c1fd436cp-16, 0x1.4b13764103f81p-16, 0x1.413789af95dap-16, 0x1.37a19de6e04f3p-16, 0x1.2e50038db7f65p-16, 0x1.25411447b2706p-16, 0x1.1c73328dee97fp-16, 0x1.13e4c97eb9025p-16, 0x1.0b944cbba8fc2p-16, 0x1.0380383c3c878p-16, 0x1.f74e204913d01p-17, 0x1.e80ec13f326d5p-17, 0x1.d93f7b72fd17bp-17, 0x1.cadd866f9a5f1p-17, 0x1.bce628ebee89ep-17, 0x1.af56b87dec35cp-17, 0x1.a22c9953523e1p-17, 0x1.95653de814fefp-17, 0x1.88fe26c4d3009p-17, 0x1.7cf4e23820192p-17, 0x1.71470c102fac4p-17, 0x1.65f24d5ecac8ap-17, 0x1.5af45c32407edp-17, 0x1.504afb59ae244p-17, 0x1.45f3fa250510fp-17, 0x1.3bed342839b6ep-17, 0x1.323490fca38a1p-17, 0x1.28c804053f111p-17, 0x1.1fa58c3645b2p-17, 0x1.16cb33db2ac5bp-17, 0x1.0e37105c22c7ep-17, 0x1.05e742079804fp-17, 0x1.fbb3e7c140104p-18, 0x1.ec1ab6c3fceaap-18, 0x1.dcff7098d6ad7p-18, 0x1.ce5ea8e9cff32p-18, 0x1.c035072086b7fp-18, 0x1.b27f460371ef5p-18, 0x1.a53a3351bc939p-18, 0x1.9862af62cc0d6p-18, 0x1.8bf5acd0e7c34p-18, 0x1.7ff03012b9c27p-18, 0x1.744f4f2277101p-18, 0x1.6910312888a9ep-18, 0x1.5e300e24e2b87p-18, 0x1.53ac2e90fa679p-18, 0x1.4981eb129f7d8p-18, 0x1.3faeac24b9a2ep-18, 0x1.362fe9c5a88c3p-18, 0x1.2d032b2a81016p-18, 0x1.24260671047cp-18, 0x1.1b96204d16b21p-18, 0x1.13512bc0c6302p-18, 0x1.0b54e9d3ea052p-18, 0x1.039f29481e2bcp-18, 0x1.f85b8ca1f51a1p-19, 0x1.e9fd549f84aaep-19, 0x1.dc1f971703c6dp-19, 0x1.cebe59e22705cp-19, 0x1.c1d5bb99609f7p-19, 0x1.b561f31aba40ep-19, 0x1.a95f4f029d285p-19, 0x1.9dca3533df3cp-19, 0x1.929f225297265p-19, 0x1.87daa950c570ap-19, 0x1.7d797307332fbp-19, 0x1.73783d9f45d9p-19, 0x1.69d3dc342d12cp-19, 0x1.60893666e5603p-19, 0x1.579547f1f3e5fp-19, 0x1.4ef5202d28c47p-19, 0x1.46a5e1b035c61p-19, 0x1.3ea4c1e25752p-19, 0x1.36ef089316d99p-19, 0x1.2f820fa69aae8p-19, 0x1.285b42a75af6ap-19, 0x1.21781e66e1f54p-19, 0x1.1ad6309832226p-19, 0x1.14731779a23ccp-19, 0x1.0e4c81806518p-19, 0x1.08602cf6f4aeep-19, 0x1.02abe7a5b5c4bp-19, 0x1.fa5b1cf5f1ecp-20, 0x1.efc61a72c0b91p-20, 0x1.e594bc6859af2p-20, 0x1.dbc313c0d5e8dp-20, 0x1.d24d4d3170ab9p-20, 0x1.c92fb090530b5p-20, 0x1.c066a0483a44bp-20, 0x1.b7ee98d1b041fp-20, 0x1.afc42ffb27839p-20, 0x1.a7e41458187dp-20, 0x1.a04b0cbe1ac3ep-20, 0x1.98f5f7d78f95ep-20, 0x1.91e1cb8a80362p-20, 0x1.8b0b944ed1537p-20, 0x1.847074d4d32a3p-20, 0x1.7e0da57081abfp-20, 0x1.77e073afa477dp-20, 0x1.71e641c9046cbp-20, 0x1.6c1c862a603b8p-20, 0x1.6680cb0612921p-20, 0x1.6110addacb08ap-20, 0x1.5bc9df0b23a54p-20, 0x1.56aa215feb5c7p-20, 0x1.51af49a46f3b8p-20, 0x1.4cd73e308c016p-20, 0x1.481ff67e6aefdp-20, 0x1.43877ad865badp-20, 0x1.3f0be3f3f820dp-20, 0x1.3aab5a789b7b2p-20, 0x1.3664169b67947p-20, 0x1.32345fd0651f5p-20, 0x1.2e1a8c70abb3dp-20, 0x1.2a150161c98a5p-20, 0x1.262231a101fddp-20, 0x1.22409dfc1d51p-20, 0x1.1e6ed4beee13bp-20, 0x1.1aab71660c762p-20, 0x1.16f51c342593p-20, 0x1.134a89fae9831p-20, }}, 
      std::vector<double>(800, 0.0), 
      {{0x1.05365ee1c6637p-15, 0x1.b2900148efe56p-14, 0x1.0b8006e922c4cp-12, 0x1.0f42fa288be64p-11, 0x1.dfe084a8fb0f1p-11, 0x1.807c57fdda56ap-10, 0x1.1e213fefa0e62p-9, 0x1.925defaab6aa3p-9, 0x1.0e84e5eed9296p-8, 0x1.5ed74c5272399p-8, 0x1.b9b2591ead34fp-8, 0x1.0f3aff76d875dp-7, 0x1.4630bf4191273p-7, 0x1.814eec53e56b1p-7, 0x1.c023842295344p-7, 0x1.011cfc1163f95p-6, 0x1.238f3d9cde22ap-6, 0x1.473054aee27c2p-6, 0x1.6bcac9b5e8345p-6, 0x1.912c9f0b94a5ap-6, 0x1.b727d2fe97228p-6, 0x1.dd92ae2a1a9aep-6, 0x1.0223f3e7522b9p-5, 0x1.159354a3c34a9p-5, 0x1.29093c5ec43bp-5, 0x1.3c7989039fe1ap-5, 0x1.4fda19b3934d5p-5, 0x1.6322b150b8d37p-5, 0x1.764cd6e55ce6p-5, 0x1.8953b51fd060ap-5, 0x1.9c33f9b81539ep-5, 0x1.aeebb547fc871p-5, 0x1.c17a3be56a4bdp-5, 0x1.d3e006a6d92e3p-5, 0x1.e61e9620e8f39p-5, 0x1.f83855dd60467p-5, 0x1.05184062fe058p-4, 0x1.0e05833e5d3dap-4, 0x1.16e638cf24a6dp-4, 0x1.1fbce777eb029p-4, 0x1.288c4abf5bbf5p-4, 0x1.315747de8bcaep-4, 0x1.3a20e2d551f9p-4, 0x1.42ec340d624cdp-4, 0x1.4bbc5e9586175p-4, 0x1.549486fe26182p-4, 0x1.5d77cadfaeb1fp-4, 0x1.66693912199cap-4, 0x1.6f6bca9b49503p-4, 0x1.78825c5800e69p-4, 0x1.81afa961352dp-4, 0x1.8af6462d52ce6p-4, 0x1.94589c6b052f8p-4, 0x1.9dd8e7910bc7ap-4, 0x1.a779321ce745ap-4, 0x1.b13b53786ef62p-4, 0x1.bb20ee7d2f674p-4, 0x1.c52b708b2d1f4p-4, 0x1.cf5c1127d5688p-4, 0x1.d9b3d219563fep-4, 0x1.e4337ff231d1bp-4, 0x1.eedbb300ab695p-4, 0x1.f9acd095d5eedp-4, 0x1.0253864c1ce63p-3, 0x1.07e535ab30e67p-3, 0x1.0d8b61c717635p-3, 0x1.1345e04f3e45ep-3, 0x1.1914726c90a02p-3, 0x1.1ef6c5f63154ap-3, 0x1.24ec76adb891dp-3, 0x1.2af50f7f40c9bp-3, 0x1.31100bc1f4f6cp-3, 0x1.373cd87623cd9p-3, 0x1.3d7ad57e5cc5fp-3, 0x1.43c956d16165bp-3, 0x1.4a27a5a325cdp-3, 0x1.509501835d7d6p-3, 0x1.5710a17070534p-3, 0x1.5d99b4dde8717p-3, 0x1.642f64adc9be1p-3, 0x1.6ad0d41c58acdp-3, 0x1.717d219e261e4p-3, 0x1.783367b05a2bp-3, 0x1.7ef2bd9b583ffp-3, 0x1.85ba3828082ebp-3, 0x1.8c88ea481520ep-3, 0x1.935de5b1a035cp-3, 0x1.9a383b6ee9da3p-3, 0x1.a116fc627b13ep-3, 0x1.a7f939c0814dfp-3, 0x1.aede057de17a4p-3, 0x1.b5c472b5c4ebfp-3, 0x1.bcab96062ca76p-3, 0x1.c39285e447651p-3, 0x1.ca785ae9129d7p-3, 0x1.d15c3016fe74dp-3, 0x1.d83d23190983fp-3, 0x1.df1a547bfe41ap-3, 0x1.e5f2e7e247ea4p-3, 0x1.ecc60432e3b95p-3, 0x1.f392d3c3dd476p-3, 0x1.fa588480c23f7p-3, 0x1.008b2406bc5d6p-2, 0x1.03e5a9f2e0321p-2, 0x1.073b70bcde407p-2, 0x1.0a8c1723e77fep-2, 0x1.0dd73df9fdfdp-2, 0x1.111c882e8aecap-2, 0x1.145b9ad7eea02p-2, 0x1.17941d3c260ebp-2, 0x1.1ac5b8d89011ap-2, 0x1.1df01968ea144p-2, 0x1.2112eced8d01ep-2, 0x1.242de3b0f2ce3p-2, 0x1.2740b04c98d26p-2, 0x1.2a4b07ad3a296p-2, 0x1.2d4ca1166c987p-2, 0x1.30453625a85fep-2, 0x1.333482d4b931ap-2, 0x1.361a457b9d236p-2, 0x1.38f63ed1d592fp-2, 0x1.3bc831ef27c86p-2, 0x1.3e8fe44bcf89fp-2, 0x1.414d1dc029c99p-2, 0x1.43ffa883cea07p-2, 0x1.46a7512c2282cp-2, 0x1.4943e6aa5f8d8p-2, 0x1.4bd53a491054ep-2, 0x1.4e5b1fa90813ap-2, 0x1.50d56cbdcf6f2p-2, 0x1.5343f9c98fee3p-2, 0x1.55a6a1587789dp-2, 0x1.57fd403b9e03ep-2, 0x1.5a47b5836c75cp-2, 0x1.5c85e27984729p-2, 0x1.5eb7aa9a337dfp-2, 0x1.60dcf38d6f53p-2, 0x1.62f5a51f5fd27p-2, 0x1.6501a9387f622p-2, 0x1.6700ebd5506e1p-2, 0x1.68f35afdb065p-2, 0x1.6ad8e6bbcc967p-2, 0x1.6cb18112bd58cp-2, 0x1.6e7d1df4ce806p-2, 0x1.703bb3397a6e8p-2, 0x1.71ed38931b3dbp-2, 0x1.7391a7845bb74p-2, 0x1.7528fb556d5a9p-2, 0x1.76b3310903e53p-2, 0x1.7830475128651p-2, 0x1.79a03e83db088p-2, 0x1.7b03188f98c8ap-2, 0x1.7c58d8efbc21bp-2, 0x1.7da184a0cf48dp-2, 0x1.7edd2214c4decp-2, 0x1.800bb9272928cp-2, 0x1.812d53114cb0fp-2, 0x1.8241fa5e6e75ep-2, 0x1.8349badfeaf06p-2, 0x1.8444a1a173e59p-2, 0x1.8532bcdd59d04p-2, 0x1.86141bf0e5903p-2, 0x1.86e8cf50ceafbp-2, 0x1.87b0e87dca4a4p-2, 0x1.886c79f93c416p-2, 0x1.891b973a0cf22p-2, 0x1.89be54a1a993fp-2, 0x1.8a54c77129894p-2, 0x1.8adf05beaaa98p-2, 0x1.8b5d266ad7537p-2, 0x1.8bcf4116a68d4p-2, 0x1.8c356e1950eb7p-2, 0x1.8c8fc6767aaf4p-2, 0x1.8cde63d49f6cbp-2, 0x1.8d216073b43ap-2, 0x1.8d58d7240934p-2, 0x1.8d84e33d6c8a5p-2, 0x1.8da5a0968a3dp-2, 0x1.8dbb2b7c8f951p-2, 0x1.8dc5a0ab0df21p-2, 0x1.8dc51d4422336p-2, 0x1.8db9bec8db76dp-2, 0x1.8da3a311e6e3dp-2, 0x1.8d82e8487c1d2p-2, 0x1.8d57acdf8cfcep-2, 0x1.8d220f8d3586fp-2, 0x1.8ce22f4470069p-2, 0x1.8c982b2f04fc5p-2, 0x1.8c4422a7bf376p-2, 0x1.8be63534dd10fp-2, 0x1.8b7e8282bde88p-2, 0x1.8b0d2a5ed128p-2, 0x1.8a924cb2ba0e8p-2, 0x1.8a0e097fb5035p-2, 0x1.898080da305dap-2, 0x1.88e9d2e59f3a7p-2, 0x1.884a1fd082db3p-2, 0x1.87a187d0a698dp-2, 0x1.86f02b1f917e1p-2, 0x1.863629f72843bp-2, 0x1.8573a48e7ecb2p-2, 0x1.84a8bb16d6e71p-2, 0x1.83d58db8d0659p-2, 0x1.82fa3c91bd2a6p-2, 0x1.8216e7b123e86p-2, 0x1.812baf1668ad3p-2, 0x1.8038b2ae9b3fbp-2, 0x1.7f3e125269fffp-2, 0x1.7e3bedc437146p-2, 0x1.7d3264ae4e93cp-2, 0x1.7c2196a13dab4p-2, 0x1.7b09a31245092p-2, 0x1.79eaa959e8bedp-2, 0x1.78c4c8b29af73p-2, 0x1.77982037809f7p-2, 0x1.7664cee34b9d1p-2, 0x1.752af38f2cc39p-2, 0x1.73eaacf1db57p-2, 0x1.72a4199eaf785p-2, 0x1.71575804cbf58p-2, 0x1.7004866e5f6a3p-2, 0x1.6eabc2ffee9b7p-2, 0x1.6d4d2bb7b14d1p-2, 0x1.6be8de6cfaf6cp-2, 0x1.6a7ef8cfb0aabp-2, 0x1.690f9867c8a94p-2, 0x1.679ada94d5d4ep-2, 0x1.6620dc8d9a9f7p-2, 0x1.64a1bb5fa848bp-2, 0x1.631d93eeffdebp-2, 0x1.619482f5bdccap-2, 0x1.6006a503ca3ffp-2, 0x1.5e74167e90267p-2, 0x1.5cdcf3a0b42c6p-2, 0x1.5b415879d4f6bp-2, 0x1.59a160ee4b5dfp-2, 0x1.57fd28b6ee2cfp-2, 0x1.5654cb60d731fp-2, 0x1.54a8644d2bd47p-2, 0x1.52f80eb0e3e82p-2, 0x1.5143e5949394ap-2, 0x1.4f8c03d4353cdp-2, 0x1.4dd0841ef1a3ep-2, 0x1.4c1180f6e9d4bp-2, 0x1.4a4f14b100284p-2, 0x1.488959749f18dp-2, 0x1.46c0693b7fa4ap-2, 0x1.44f45dd170213p-2, 0x1.432550d416385p-2, 0x1.41535bb2b2a7p-2, 0x1.3f7e97ade1e89p-2, 0x1.3da71dd7595d1p-2, 0x1.3bcd0711a713p-2, 0x1.39f06c0feaf88p-2, 0x1.3811655590ed6p-2, 0x1.36300b360831cp-2, 0x1.344c75d479833p-2, 0x1.3266bd2379b47p-2, 0x1.307ef8e4bc461p-2, 0x1.2e9540a8c2ea2p-2, 0x1.2ca9abce8d78fp-2, 0x1.2abc5183457fbp-2, 0x1.28cd48c1e95efp-2, 0x1.26dca852f6f78p-2, 0x1.24ea86cc14964p-2, 0x1.22f6fa8fb88d5p-2, 0x1.210219cccf0afp-2, 0x1.1f0bfa7e5ff0dp-2, 0x1.1d14b26b34aafp-2, 0x1.1b1c57257bd3fp-2, 0x1.1922fe0a6cd8dp-2, 0x1.1728bc41ec7e9p-2, 0x1.152da6be2fa5p-2, 0x1.1331d23b603c9p-2, 0x1.1135533f3f281p-2, 0x1.0f383e18ca13ep-2, 0x1.0d3aa6dfdffafp-2, 0x1.0b3ca174e6fe1p-2, 0x1.093e418071ca7p-2, 0x1.073f9a72e8849p-2, 0x1.0540bf842ff12p-2, 0x1.0341c3b35503fp-2, 0x1.0142b9c6378d4p-2, 0x1.fe87689270d85p-3, 0x1.fa898b1dcf816p-3, 0x1.f68bff5f6f086p-3, 0x1.f28ee9135b617p-3, 0x1.ee926b8034bcp-3, 0x1.ea96a976a103cp-3, 0x1.e69bc550bf23bp-3, 0x1.e2a1e0f1a3152p-3, 0x1.dea91dc4d4926p-3, 0x1.dab19cbdda19ap-3, 0x1.d6bb7e57bce6cp-3, 0x1.d2c6e294a3cb7p-3, 0x1.ced3e8fd68c0ap-3, 0x1.cae2b0a138246p-3, 0x1.c6f3581538c43p-3, 0x1.c305fd743bd19p-3, 0x1.bf1abe5e6bf54p-3, 0x1.bb31b7f9117f3p-3, 0x1.b74b06ee514f4p-3, 0x1.b366c76cf9d09p-3, 0x1.af851528561d9p-3, 0x1.aba60b580ad09p-3, 0x1.a7c9c4b7f73abp-3, 0x1.a3f05b882209ep-3, 0x1.a019e98caeba8p-3, 0x1.9c46880dd4cbep-3, 0x1.98764fd7e88bcp-3, 0x1.94a9593b62202p-3, 0x1.90dfbc0cf708fp-3, 0x1.8d198fa5b4842p-3, 0x1.8956eae3255fcp-3, 0x1.8597e4277d143p-3, 0x1.81dc9159d1d1fp-3, 0x1.7e2507e6568f7p-3, 0x1.7a715cbea4ec1p-3, 0x1.76c1a45a0713bp-3, 0x1.7315f2b5d41ap-3, 0x1.6f6e5b55cb75cp-3, 0x1.6bcaf1447b092p-3, 0x1.682bc713b25cep-3, 0x1.6490eedcf4f92p-3, 0x1.60fa7a41fc949p-3, 0x1.5d687a6d3a619p-3, 0x1.59db00126c96cp-3, 0x1.56521b6f2cee6p-3, 0x1.52cddc4b927f5p-3, 0x1.4f4e51fad2b52p-3, 0x1.4bd38b5bedb6fp-3, 0x1.485d96da61d8bp-3, 0x1.44ec826ee615p-3, 0x1.41805ba024875p-3, 0x1.3e192f838a026p-3, 0x1.3ab70abe0bf9fp-3, 0x1.3759f984ff227p-3, 0x1.3402079ef195ap-3, 0x1.30af4064895d6p-3, 0x1.2d61aec16bc9ap-3, 0x1.2a195d35276abp-3, 0x1.26d655d425141p-3, 0x1.2398a2489f089p-3, 0x1.20604bd39d6c8p-3, 0x1.1d2d5b4df2b89p-3, 0x1.19ffd929455e3p-3, 0x1.16d7cd711a4d2p-3, 0x1.13b53fcbde978p-3, 0x1.1098377c00ebcp-3, 0x1.0d80bb610404bp-3, 0x1.0a6ed1f89ac68p-3, 0x1.0762815fc7e0cp-3, 0x1.045bcf5401d61p-3, 0x1.015ac13455419p-3, 0x1.fcbeb80521925p-4, 0x1.f6d348c8e3e28p-4, 0x1.f0f33d49a21dep-4, 0x1.eb1e9d69af914p-4, 0x1.e555705a649f2p-4, 0x1.df97bc9e8f451p-4, 0x1.d9e5880ce8e8fp-4, 0x1.d43ed7d286deap-4, 0x1.cea3b075573e2p-4, 0x1.c91415d6a13eep-4, 0x1.c3900b3585928p-4, 0x1.be1793317ec02p-4, 0x1.b8aaafccec0d5p-4, 0x1.b349626f939b8p-4, 0x1.adf3abe9361d1p-4, 0x1.a8a98c7410f2cp-4, 0x1.a36b03b773a2dp-4, 0x1.9e3810ca43b91p-4, 0x1.9910b23595688p-4, 0x1.93f4e5f735edap-4, 0x1.8ee4a9843a839p-4, 0x1.89dff9cb8efeap-4, 0x1.84e6d33885cfep-4, 0x1.7ff931b563fc8p-4, 0x1.7b1710aded6f1p-4, 0x1.76406b11f1763p-4, 0x1.71753b57d30a4p-4, 0x1.6cb57b7f1199fp-4, 0x1.68012512cf06bp-4, 0x1.6358312c51c1dp-4, 0x1.5eba987586bdp-4, 0x1.5a28532b7f21dp-4, 0x1.55a15920edafp-4, 0x1.5125a1c09c2b5p-4, 0x1.4cb5240fe29aep-4, 0x1.484fd6b1176a8p-4, 0x1.43f5afe5fe337p-4, 0x1.3fa6a59230839p-4, 0x1.3b62ad3d837abp-4, 0x1.3729bc166a10ap-4, 0x1.32fbc6f452141p-4, 0x1.2ed8c259fc3c2p-4, 0x1.2ac0a277cfa75p-4, 0x1.26b35b2e294e9p-4, 0x1.22b0e00fa441cp-4, 0x1.1eb924635ff4ep-4, 0x1.1acc1b273e757p-4, 0x1.16e9b7121e676p-4, 0x1.1311ea960ed8ep-4, 0x1.0f44a7e27f65bp-4, 0x1.0b81e0e667ba5p-4, 0x1.07c987526a855p-4, 0x1.041b8c9af26cfp-4, 0x1.0077e1fa49099p-4, 0x1.f9bcf0e5507ddp-5, 0x1.f29e81a08b347p-5, 0x1.eb945756a69e8p-5, 0x1.e49e52d4031e9p-5, 0x1.ddbc5484e995ap-5, 0x1.d6ee3c7968c5fp-5, 0x1.d033ea6931a6bp-5, 0x1.c98d3db755d0bp-5, 0x1.c2fa15760914ap-5, 0x1.bc7a506a4c339p-5, 0x1.b60dcd0f881b8p-5, 0x1.afb4699b24377p-5, 0x1.a96e0400063adp-5, 0x1.a33a79f20a88fp-5, 0x1.9d19a8e96c6dcp-5, 0x1.970b6e261f8f2p-5, 0x1.910fa6b31d0dep-5, 0x1.8b262f69a4b03p-5, 0x1.854ee4f46ddccp-5, 0x1.7f89a3d2c80cbp-5, 0x1.79d6485bb1631p-5, 0x1.7434aec0e09a7p-5, 0x1.6ea4b311ba2f6p-5, 0x1.6926313e40f8bp-5, 0x1.63b90519f4cdbp-5, 0x1.5e5d0a5ea1577p-5, 0x1.59121caf1f82bp-5, 0x1.53d8179a0c648p-5, 0x1.4eaed69c6f94dp-5, 0x1.4996352458637p-5, 0x1.448e0e9366fecp-5, 0x1.3f963e414bc0dp-5, 0x1.3aae9f7e3a2b5p-5, 0x1.35d70d954edf8p-5, 0x1.310f63cee6746p-5, 0x1.2c577d72e52c7p-5, 0x1.27af35caf5853p-5, 0x1.23166824b9c1dp-5, 0x1.1e8cefd3ed472p-5, 0x1.1a12a8347b689p-5, 0x1.15a76cac8d6a3p-5, 0x1.114b18ae82b1cp-5, 0x1.0cfd87bae5cd2p-5, 0x1.08be95624f873p-5, 0x1.048e1d473f147p-5, 0x1.006bfb1fe80b9p-5, 0x1.f8b0156fe32dep-6, 0x1.f0a44fe452abp-6, 0x1.e8b45d94629dbp-6, 0x1.e0dff6ac302d6p-6, 0x1.d926d38fe078ap-6, 0x1.d188acdea3d29p-6, 0x1.ca053b75b35ffp-6, 0x1.c29c38732ad04p-6, 0x1.bb4d5d38db0d8p-6, 0x1.b418636ef7a0dp-6, 0x1.acfd0506bc58ap-6, 0x1.a5fafc3cfbb6ep-6, 0x1.9f12039c85f7p-6, 0x1.9841d6009b559p-6, 0x1.918a2e97336c1p-6, 0x1.8aeac8e3372d8p-6, 0x1.846360bea7e2fp-6, 0x1.7df3b25caa029p-6, 0x1.779b7a4b8c822p-6, 0x1.715a7576b787ep-6, 0x1.6b306128805e8p-6, 0x1.651cfb0bfcb4ap-6, 0x1.5f20012ea81f2p-6, 0x1.593932021645fp-6, 0x1.53684c5d83fe5p-6, 0x1.4dad0f7f55648p-6, 0x1.48073b0e8da15p-6, 0x1.42768f1c29d47p-6, 0x1.3cfacc247d686p-6, 0x1.3793b3105e8b5p-6, 0x1.32410536746fep-6, 0x1.2d02845c3d12ap-6, 0x1.27d7f2b73d384p-6, 0x1.22c112edf3333p-6, 0x1.1dbda818cde22p-6, 0x1.18cd75c319d4cp-6, 0x1.13f03febda07ep-6, 0x1.0f25cb069b00cp-6, 0x1.0a6ddbfc285ap-6, 0x1.05c8382b4521bp-6, 0x1.0134a56958f49p-6, 0x1.f965d405e2f1p-7, 0x1.f0859978d515cp-7, 0x1.e7c829a4cd2aep-7, 0x1.df2d13f47740bp-7, 0x1.d6b3e8c4d3152p-7, 0x1.ce5c3965d8bd2p-7, 0x1.c625981b36a3bp-7, 0x1.be0f981cd5d4ep-7, 0x1.b619cd9765525p-7, 0x1.ae43cdacb9c6dp-7, 0x1.a68d2e7426308p-7, 0x1.9ef586fabf6ebp-7, 0x1.977c6f437f70ep-7, 0x1.902180477510dp-7, 0x1.88e453f5c9b37p-7, 0x1.81c48533b3363p-7, 0x1.7ac1afdc65dbep-7, 0x1.73db70c0e4733p-7, 0x1.6d1165a7cdac1p-7, 0x1.66632d4d11809p-7, 0x1.5fd067619451cp-7, 0x1.5958b48ae7215p-7, 0x1.52fbb662a5b8p-7, 0x1.4cb90f7620cc6p-7, 0x1.46906345a2445p-7, 0x1.40815643eeaf1p-7, 0x1.3a8b8dd59e132p-7, 0x1.34aeb0504ee03p-7, 0x1.2eea64f9fb144p-7, 0x1.293e54081df3p-7, 0x1.23aa269ee397p-7, 0x1.1e2d86d02a11bp-7, 0x1.18c81f9ac4d4cp-7, 0x1.13799ce951e8fp-7, 0x1.0e41ab9164fe8p-7, 0x1.091ff95251cdfp-7, 0x1.041434d43369p-7, 0x1.fe3c1b4d96072p-8, 0x1.f47a6880864dap-8, 0x1.eae2b3f8553f8p-8, 0x1.e17462343b525p-8, 0x1.d82ed97926c99p-8, 0x1.cf1181cf421d3p-8, 0x1.c61bc4ff3762p-8, 0x1.bd4d0e8faa05cp-8, 0x1.b4a4cbc27b9fdp-8, 0x1.ac226b920e81dp-8, 0x1.a3c55eae8d58fp-8, 0x1.9b8d177af91bep-8, 0x1.93790a0a73c4ep-8, 0x1.8b88ac1d2376bp-8, 0x1.83bb751d6fb3fp-8, 0x1.7c10de1ce363dp-8, 0x1.748861d14d0b9p-8, 0x1.6d217c919ffb3p-8, 0x1.65dbac52db62dp-8, 0x1.5eb670a502043p-8, 0x1.57b14aafd9985p-8, 0x1.50cbbd2fec125p-8, 0x1.4a054c7339ca8p-8, 0x1.435d7e562bd69p-8, 0x1.3cd3da402f1f8p-8, 0x1.3667e920a7da5p-8, 0x1.3019356b8dbdfp-8, 0x1.29e74b16319a8p-8, 0x1.23d1b793ffd79p-8, 0x1.1dd809d3209b3p-8, 0x1.17f9d2393cd0fp-8, 0x1.1236a2a03dd76p-8, 0x1.0c8e0e52ccb8cp-8, 0x1.06ffaa093477bp-8, 0x1.018b0be5c569ep-8, 0x1.f85f96e3a4852p-9, 0x1.eddb03340d853p-9, 0x1.e3879156d6782p-9, 0x1.d964789f54bep-9, 0x1.cf70f313fbe0bp-9, 0x1.c5ac3d67767a3p-9, 0x1.bc1596f20609bp-9, 0x1.b2ac41aa99999p-9, 0x1.a96f82206f718p-9, 0x1.a05e9f743f70dp-9, 0x1.9778e351ace7p-9, 0x1.8ebd99e891945p-9, 0x1.862c11e640c8cp-9, 0x1.7dc39c6f2886ap-9, 0x1.75838d17ee59bp-9, 0x1.6d6b39def3c36p-9, 0x1.6579fb25ec1b2p-9, 0x1.5daf2bab3b42bp-9, 0x1.560a2883692f8p-9, 0x1.4e8a51129332fp-9, 0x1.472f070641776p-9, 0x1.3ff7ae4e52dd7p-9, 0x1.38e3ad175c655p-9, 0x1.31f26bc39bcd2p-9, 0x1.2b2354e53653bp-9, 0x1.2475d5373deabp-9, 0x1.1de95b9811305p-9, 0x1.177d590294fc3p-9, 0x1.113140882b133p-9, 0x1.0b04874a99a81p-9, 0x1.04f6a475ad9e3p-9, 0x1.fe0e227264badp-10, 0x1.f26a9185f2d2ep-10, 0x1.e701907169df9p-10, 0x1.dbd21d63e2984p-10, 0x1.d0db3a6465289p-10, 0x1.c61bed45bdd28p-10, 0x1.bb933f9ac6a91p-10, 0x1.b1403eab512b9p-10, 0x1.a721fb675d47fp-10, 0x1.9d378a5d070bp-10, 0x1.938003abbc82cp-10, 0x1.89fa82f9d15c3p-10, 0x1.80a62768a3764p-10, 0x1.77821389a6442p-10, 0x1.6e8d6d5372affp-10, 0x1.65c75e166c087p-10, 0x1.5d2f127220f42p-10, 0x1.54c3ba4a33ec9p-10, 0x1.4c8488bbfe9f7p-10, 0x1.4470b41397afcp-10, 0x1.3c8775c15d51dp-10, 0x1.34c80a4f7024p-10, 0x1.2d31b15781596p-10, 0x1.25c3ad78298a7p-10, 0x1.1e7d444b493dcp-10, 0x1.175dbe5b7cff1p-10, 0x1.1064671a555f4p-10, 0x1.09908cd64da64p-10, 0x1.02e180b129c47p-10, 0x1.f8ad2d2bd42e8p-11, 0x1.ebde4a5f0ae74p-11, 0x1.df550bbe2d937p-11, 0x1.d31029656da54p-11, 0x1.c70e60b78ffb2p-11, 0x1.bb4e744c7252dp-11, 0x1.afcf2bddcb726p-11, 0x1.a48f543512c17p-11, 0x1.998dbf1a87365p-11, 0x1.8ec94341fa4e6p-11, 0x1.8440bc3a4de09p-11, 0x1.79f30a5bd755fp-11, 0x1.6fdf12b6f7202p-11, 0x1.6603bf0330173p-11, 0x1.5c5ffd8ea8ac3p-11, 0x1.52f2c12ca433cp-11, 0x1.49bb0126153d7p-11, 0x1.40b7b928903d2p-11, 0x1.37e7e9366bb87p-11, 0x1.2f4a9596f8186p-11, 0x1.26dec6c677fbfp-11, 0x1.1ea38967103cp-11, 0x1.1697ee30eb7ap-11, 0x1.0ebb09e33c279p-11, 0x1.070bf534a128ap-11, 0x1.ff13998afa764p-12, 0x1.f06762204b8e2p-12, 0x1.e2118cb5512afp-12, 0x1.d4106951997fdp-12, 0x1.c6624f5b8e212p-12, 0x1.b9059d7b424b1p-12, 0x1.abf8b9811db2dp-12, 0x1.9f3a104841de4p-12, 0x1.92c8159c72d9cp-12, 0x1.86a1442023f65p-12, 0x1.7ac41d30456a4p-12, 0x1.6f2f28cc5d474p-12, 0x1.63e0f57b259fep-12, 0x1.58d81832d3e02p-12, 0x1.4e132c3e0ddebp-12, 0x1.4390d3244746bp-12, 0x1.394fb4927eef1p-12, 0x1.2f4e7e40ae6b1p-12, 0x1.258be3db7c603p-12, 0x1.1c069eec6d5a7p-12, 0x1.12bd6ec2ce9fdp-12, 0x1.09af185d00f18p-12, 0x1.00da6650c718fp-12, 0x1.f07c516da3241p-13, 0x1.dfb26a26688e2p-13, 0x1.cf54cc80389dbp-13, 0x1.bf6138b17a206p-13, 0x1.afd57946b0531p-13, 0x1.a0af62fc01828p-13, 0x1.91ecd4900d672p-13, 0x1.838bb69c426dcp-13, 0x1.7589fb70b6d1fp-13, 0x1.67e59ee6b51dfp-13, 0x1.5a9ca63e82dd1p-13, 0x1.4dad1ff5ddea6p-13, 0x1.411523a404611p-13, 0x1.34d2d1d37de4ap-13, 0x1.28e453dd0a8b3p-13, 0x1.1d47dbc2c26b4p-13, 0x1.11fba40e74874p-13, 0x1.06fdefab4c0dep-13, 0x1.f89a138a8b2fep-14, 0x1.e3ce8b4b66cb6p-14, 0x1.cf95fd2390d96p-14, 0x1.bbed2f4ff451fp-14, 0x1.a8d0f783f0228p-14, 0x1.963e3aa1a8d05p-14, 0x1.8431ec7c49ea6p-14, 0x1.72a90f9af29ecp-14, 0x1.61a0b4f824702p-14, 0x1.5115fbc549fecp-14, 0x1.4106112ffc93cp-14, 0x1.316e302290e82p-14, 0x1.224ba10cd555fp-14, 0x1.139bb9a836427p-14, 0x1.055bdcc0843c2p-14, 0x1.ef12f3f33bbadp-15, 0x1.d4441b35fa9cep-15, 0x1.ba4640aad4e1dp-15, 0x1.a1148e226ee7bp-15, 0x1.88aa456bf0611p-15, 0x1.7102bff2ef815p-15, 0x1.5a196e5508b16p-15, 0x1.43e9d7fa80219p-15, 0x1.2e6f9ab941f53p-15, 0x1.19a66a6e63357p-15, 0x1.058a1099faa5p-15, 0x1.e42cd80ef631p-16, 0x1.be8ee0d7257dcp-16, 0x1.9a324c1070defp-16, 0x1.770f52a189b88p-16, 0x1.551e552bc0d09p-16, 0x1.3457db4c3cf3ap-16, 0x1.14b492f3d1966p-16, 0x1.ec5a9f775fb9bp-17, 0x1.b1761486aee2ep-17, 0x1.78adbefd12182p-17, 0x1.41f420375aac9p-17, 0x1.0d3bffc04105bp-17, 0x1.b4f0d42876b5dp-18, 0x1.53395ee3b201ap-18, 0x1.ea718a43d30f6p-19, 0x1.35ad5e1ee29b5p-19, 0x1.0fed15336bf1fp-20, -0x1.ee1a2fb6a6cbcp-23, -0x1.7e11cb4cb0aedp-20, -0x1.58ac0520d354ep-19, -0x1.ebf6da2bea615p-19, -0x1.3c8a297d8c1aep-18, -0x1.80173ba525871p-18, -0x1.c0b7365967af9p-18, -0x1.fe7e3d3f66f17p-18, -0x1.1cc003776d9p-17, -0x1.38e7ef762b888p-17, -0x1.53c053cf4463p-17, -0x1.6d526e0e4fcffp-17, -0x1.85a749179fc44p-17, -0x1.9cc7be0c9aa38p-17, -0x1.b2bc7538f7fbep-17, -0x1.c78de6fcfd69dp-17, -0x1.db445ca629a57p-17, -0x1.ede7f1510e155p-17, -0x1.ff8092c4f43a9p-17, -0x1.080b0123a1e9ep-16, -0x1.0fd7eabd1b6a4p-16, -0x1.172abb918774ep-16, -0x1.1e0713fac2e99p-16, -0x1.24707fae558fap-16, -0x1.2a6a762408eb6p-16, -0x1.2ff85af6711cep-16, -0x1.351d7e3ffd476p-16, -0x1.39dd1cfac7403p-16, -0x1.3e3a615c944dcp-16, -0x1.42386333fb2c6p-16, -0x1.45da28400c3b7p-16, -0x1.4922a48777f67p-16, -0x1.4c14baaca852cp-16, -0x1.4eb33c4963198p-16, -0x1.5100ea3ebe95cp-16, -0x1.530075077219fp-16, -0x1.54b47d08ac38dp-16, -0x1.561f92e2d2a6fp-16, -0x1.574437bf7ae79p-16, -0x1.5824dd9ad5cd2p-16, -0x1.58c3e79333062p-16, -0x1.5923aa31c4009p-16, -0x1.59466bb3389c4p-16, -0x1.592e6450153fbp-16, -0x1.58ddbe82d4b6ep-16, -0x1.5856974c07945p-16, -0x1.579afe77ae763p-16, -0x1.56acf6e1ec66cp-16, -0x1.558e76b445df6p-16, -0x1.544167a966cfbp-16, -0x1.52c7a74cc61dbp-16, -0x1.512307391d641p-16, -0x1.4f554d5192669p-16, -0x1.4d603400f216cp-16, -0x1.4b456a77122d9p-16, -0x1.490694de724d6p-16, -0x1.46a54c9942d09p-16, -0x1.442320773b3e5p-16, -0x1.418194ed48b98p-16, -0x1.3ec2244d59fabp-16, -0x1.3be63ef999cbcp-16, -0x1.38ef4b9784c34p-16, -0x1.35dea746559a7p-16, -0x1.32b5a5ce8c1a2p-16, }}, 
      {{0x1.c64229b682ff8p-5, 0x1.c78fe4c6f06d1p-5, 0x1.c9ec5542bf83cp-5, 0x1.cd892789f85f4p-5, 0x1.d294ddd0c22cbp-5, 0x1.d93520e019e4ep-5, 0x1.e18450a26609fp-5, 0x1.eb9108f4138d4p-5, 0x1.f75ebda8f567ap-5, 0x1.02737357dbc47p-4, 0x1.0a0d37362104cp-4, 0x1.12719b5375e2p-4, 0x1.1b92cdb085a34p-4, 0x1.2560f26394018p-4, 0x1.2fcacf507f625p-4, 0x1.3abe674d15b82p-4, 0x1.4629827116612p-4, 0x1.51fa224150fdbp-4, 0x1.5e1ee147d65afp-4, 0x1.6a873e7c1166dp-4, 0x1.7723d59203ea7p-4, 0x1.83e685d600d3bp-4, 0x1.90c2899d5db06p-4, 0x1.9dac808c8f686p-4, 0x1.aa9a6f044fea4p-4, 0x1.b783b4f813bd6p-4, 0x1.c460fe48571aap-4, 0x1.d12c2e82ba0b7p-4, 0x1.dde049a78189bp-4, 0x1.ea795b4e83082p-4, 0x1.f6f45d40aa3b4p-4, 0x1.01a78f2d8b2d5p-3, 0x1.07c4152bb1c84p-3, 0x1.0dcf5971a480dp-3, 0x1.13c93d2448923p-3, 0x1.19b1dfe2cc8ap-3, 0x1.1f8996cec0dd2p-3, 0x1.2550e46a529eep-3, 0x1.2b087140d67dfp-3, 0x1.30b10549da3a3p-3, 0x1.364b81f524f9bp-3, 0x1.3bd8dccd9660ap-3, 0x1.415a1aa1754afp-3, 0x1.46d04b2023407p-3, 0x1.4c3c84def4e6dp-3, 0x1.519fe1b8f9505p-3, 0x1.56fb7b7f83a05p-3, 0x1.5c5068f3541cp-3, 0x1.619fbafff82e9p-3, 0x1.66ea7a349e3d9p-3, 0x1.6c31a476ea2c1p-3, 0x1.71762aed5bca1p-3, 0x1.76b8f01fa7215p-3, 0x1.7bfac64c03efdp-3, 0x1.813c6df0b2cc1p-3, 0x1.867e94893a2a1p-3, 0x1.8bc1d37ed3cc3p-3, 0x1.9106af4b7273p-3, 0x1.964d96ce93ba9p-3, 0x1.9b96e2d2c3ca7p-3, 0x1.a0e2d5c28c828p-3, 0x1.a6319b8b0eaa4p-3, 0x1.ab8349aa60771p-3, 0x1.b0d7df6763331p-3, 0x1.b62f4630851aap-3, 0x1.bb89521eb3459p-3, 0x1.c0e5c29973caep-3, 0x1.c64443191dab5p-3, 0x1.cba46c03e75cap-3, 0x1.d105c3a2830d9p-3, 0x1.d667bf29009bfp-3, 0x1.dbc9c3d0aa91ep-3, 0x1.e12b27ff9e0eap-3, 0x1.e68b347afeeacp-3, 0x1.ebe925a0cad5ep-3, 0x1.f1442ca665eacp-3, 0x1.f69b70d929d59p-3, 0x1.fbee10de85446p-3, 0x1.009d91f8a1836p-2, 0x1.0340dd8cf6bf1p-2, 0x1.05e071302dd0fp-2, 0x1.087bd0fa5eee1p-2, 0x1.0b127fa7528aap-2, 0x1.0da3ff2063a1ap-2, 0x1.102fd100315f8p-2, 0x1.12b5770fb54f2p-2, 0x1.153473bc5b155p-2, 0x1.17ac4a86e2502p-2, 0x1.1a1c806acde7fp-2, 0x1.1c849c3e516f8p-2, 0x1.1ee4270aa9364p-2, 0x1.213aac5ce80e9p-2, 0x1.2387ba8f4ccdap-2, 0x1.25cae30b4245ap-2, 0x1.2803ba84330f8p-2, 0x1.2a31d92b68914p-2, 0x1.2c54dadd35746p-2, 0x1.2e6c5f47adf72p-2, 0x1.30780a0b38dc8p-2, 0x1.327782d548957p-2, 0x1.346a75759266bp-2, 0x1.365091ee11d3fp-2, 0x1.38298c7e351d7p-2, 0x1.39f51da983bb9p-2, 0x1.3bb3023a1972fp-2, 0x1.3d62fb3f4a00ep-2, 0x1.3f04ce08bf2f3p-2, 0x1.4098441e67f18p-2, 0x1.421d2b3582e24p-2, 0x1.4393552313b8p-2, 0x1.44fa97cc0d273p-2, 0x1.4652cd13743bdp-2, 0x1.479bd2c6be431p-2, 0x1.48d58a88ade0cp-2, 0x1.49ffd9bae2c54p-2, 0x1.4b1aa96658b61p-2, 0x1.4c25e623079aep-2, 0x1.4d217ffed2bdap-2, 0x1.4e0d6a63f80eep-2, 0x1.4ee99bff1d56ap-2, 0x1.4fb60ea52fa7bp-2, 0x1.5072bf39247a4p-2, 0x1.511fad91c7f8bp-2, 0x1.51bcdc5fae0a3p-2, 0x1.524a511359768p-2, 0x1.52c813c3b77adp-2, 0x1.53362f14f668bp-2, 0x1.5394b01fd1b2dp-2, 0x1.53e3a65958adbp-2, 0x1.5423237b3b752p-2, 0x1.54533b6cad59bp-2, 0x1.5474042bd9527p-2, 0x1.548595b7f8b7fp-2, 0x1.548809fc045edp-2, 0x1.547b7cba0f052p-2, 0x1.54600b773a1fp-2, 0x1.5435d56858ccep-2, 0x1.53fcfb5f28cadp-2, 0x1.53b59fb833d1ep-2, 0x1.535fe6494925cp-2, 0x1.52fbf4509110ap-2, 0x1.5289f06435e7ep-2, 0x1.520a02629c70fp-2, 0x1.517c53632740ap-2, 0x1.50e10da781907p-2, 0x1.50385c8d684cbp-2, 0x1.4f826c80eeb8fp-2, 0x1.4ebf6aef3b254p-2, 0x1.4def8639ad30dp-2, 0x1.4d12eda9711f6p-2, 0x1.4c29d16377047p-2, 0x1.4b34625cc80c6p-2, 0x1.4a32d24f334b3p-2, 0x1.492553ae4d3a9p-2, 0x1.480c199cc1759p-2, 0x1.46e757e1e9817p-2, 0x1.45b742dfaa654p-2, 0x1.447c0f889358bp-2, 0x1.4335f35635ap-2, 0x1.41e5243fb7569p-2, 0x1.4089d8b099ae8p-2, 0x1.3f24477faf91bp-2, 0x1.3db4a7e642e09p-2, 0x1.3c3b3177645acp-2, 0x1.3ab81c1764defp-2, 0x1.392b9ff3724a7p-2, 0x1.3795f5795a2bbp-2, 0x1.35f7554f6e52p-2, 0x1.344ff84c88977p-2, 0x1.32a017702de44p-2, 0x1.30e7ebdacf1aap-2, 0x1.2f27aec626286p-2, 0x1.2d5f997dafae7p-2, 0x1.2b8fe5573cd9ap-2, 0x1.29b8cbaba4e4fp-2, 0x1.27da85cf8c9a1p-2, 0x1.25f54d0c47c47p-2, 0x1.24095a98d88c7p-2, 0x1.2216e793037e5p-2, 0x1.201e2cf882cafp-2, 0x1.1e1f63a04ff6cp-2, 0x1.1c1ac4340b70ep-2, 0x1.1a1087297ccb2p-2, 0x1.1800e4bc31bb3p-2, 0x1.15ec14e7354ccp-2, 0x1.13d24f5ee79ecp-2, 0x1.11b3cb8af1562p-2, 0x1.0f90c08056bafp-2, 0x1.0d6964fba68a9p-2, 0x1.0b3def5b4dbbap-2, 0x1.090e959a0615cp-2, 0x1.06db8d4968698p-2, 0x1.04a50b8ca1861p-2, 0x1.026b4513482c4p-2, 0x1.002e6e1454de3p-2, 0x1.fbdd749282889p-3, 0x1.f758b9d292dfdp-3, 0x1.f2cf1149a17aap-3, 0x1.ee40df41e2bebp-3, 0x1.e9ae86e6580bbp-3, 0x1.e5186a3a853c2p-3, 0x1.e07eea1270093p-3, 0x1.dbe2660af13cp-3, 0x1.d7433c8252666p-3, 0x1.d2a1ca9140ecfp-3, 0x1.cdfe6c040cb7cp-3, 0x1.c9597b543b534p-3, 0x1.c4b351a26b1dbp-3, 0x1.c00c46b08d882p-3, 0x1.bb64b0dc6a5a8p-3, 0x1.b6bce51a7f52bp-3, 0x1.b21536f128c66p-3, 0x1.ad6df87424dd7p-3, 0x1.a8c77a4060b09p-3, 0x1.a4220b781ab95p-3, 0x1.9f7df9bf5a957p-3, 0x1.9adb9138aba36p-3, 0x1.963b1c823860bp-3, 0x1.919ce4b329836p-3, 0x1.8d013159543d9p-3, 0x1.886848773c10ep-3, 0x1.83d26e825a1f6p-3, 0x1.7f3fe661b3a6bp-3, 0x1.7ab0f16cbd017p-3, 0x1.7625cf6a7b1dp-3, 0x1.719ebe90fce4ap-3, 0x1.6d1bfb850dda2p-3, 0x1.689dc15a3452dp-3, 0x1.64244992f0cd2p-3, 0x1.5fafcc2141p-3, 0x1.5b407f6766a5cp-3, 0x1.56d69838e4cfdp-3, 0x1.527249dbc71ddp-3, 0x1.4e13c60a19555p-3, 0x1.49bb3cf3a0f23p-3, 0x1.4568dd3fce214p-3, 0x1.411cd40fe0a0cp-3, 0x1.3cd74d01478f9p-3, 0x1.389872302e18cp-3, 0x1.34606c3a406acp-3, 0x1.302f62419ae6fp-3, 0x1.2c0579efee184p-3, 0x1.27e2d779c87c4p-3, 0x1.23c79da2118ecp-3, 0x1.1fb3edbda803fp-3, 0x1.1ba7e7b72a3bep-3, 0x1.17a3aa12e5698p-3, 0x1.13a751f2e2a1ap-3, 0x1.0fb2fb1b1e22fp-3, 0x1.0bc6bff5d9e29p-3, 0x1.07e2b9980b5cbp-3, 0x1.0406ffc5ee577p-3, 0x1.0033a8f7abe08p-3, 0x1.f8d194bc375c3p-4, 0x1.f14cefcf434bdp-4, 0x1.e9d9888a36727p-4, 0x1.e27781ddcac4p-4, 0x1.db26fc53e86f5p-4, 0x1.d3e81619f2ef9p-4, 0x1.ccbaeb0b42191p-4, 0x1.c59f94bbacbd4p-4, 0x1.be962a82286b4p-4, 0x1.b79ec183952b7p-4, 0x1.b0b96cbd806f2p-4, 0x1.a9e63d1113fb3p-4, 0x1.a325414dff8bcp-4, 0x1.9c76863d79566p-4, 0x1.95da16ad4400dp-4, 0x1.8f4ffb7abaec4p-4, 0x1.88d83b9de4a99p-4, 0x1.8272dc3486d59p-4, 0x1.7c1fe08d38b9ep-4, 0x1.75df4a327485ep-4, 0x1.6fb118f5a3f43p-4, 0x1.69954afa26f59p-4, 0x1.638bdcc050812p-4, 0x1.5d94c930584fep-4, 0x1.57b009a544da3p-4, 0x1.51dd95f7c11aap-4, 0x1.4c1d6488e686cp-4, 0x1.466f6a4cf3ae9p-4, 0x1.40d39ad5f3067p-4, 0x1.3b49e85e490fcp-4, 0x1.35d243d32e742p-4, 0x1.306c9cdf147c5p-4, 0x1.2b18e1f3ee9d7p-4, 0x1.25d70055649ffp-4, 0x1.20a6e422e7bfbp-4, 0x1.1b887861ac878p-4, 0x1.167ba70687d2fp-4, 0x1.118058ffaf7dp-4, 0x1.0c96763e583ap-4, 0x1.07bde5c037d29p-4, 0x1.02f68d98e42f9p-4, 0x1.fc80a5f624c2cp-5, 0x1.f3363483616b6p-5, 0x1.ea0d8df1cb6b7p-5, 0x1.e10677cdc653p-5, 0x1.d820b62933ef5p-5, 0x1.cf5c0bac8fb11p-5, 0x1.c6b839a7c7389p-5, 0x1.be350022c4123p-5, 0x1.b5d21deda865p-5, 0x1.ad8f50b0c2cc2p-5, 0x1.a56c54fc395bap-5, 0x1.9d68e65763047p-5, 0x1.9584bf4fd76f6p-5, 0x1.8dbf998832d8ap-5, 0x1.86192dc688a46p-5, 0x1.7e9134028c6a9p-5, 0x1.7727637369bc4p-5, 0x1.6fdb729d55e4p-5, 0x1.68ad175ece9ep-5, 0x1.619c06fd8ab3ap-5, 0x1.5aa7f63320b47p-5, 0x1.53d099395ede7p-5, 0x1.4d15a3d65a8bep-5, 0x1.4676c96831df3p-5, 0x1.3ff3bcf07d367p-5, 0x1.398c311f7c5c8p-5, 0x1.333fd85ef544cp-5, 0x1.2d0e64dcc66cap-5, 0x1.26f7889539345p-5, 0x1.20faf55d00d49p-5, 0x1.1b185ceaf7e29p-5, 0x1.154f70e18f044p-5, 0x1.0f9fe2d7fe11dp-5, 0x1.0a09646328294p-5, 0x1.048ba71e40c75p-5, 0x1.fe4cb9664c923p-6, 0x1.f3b26dc4f49p-6, 0x1.e947cf16f541cp-6, 0x1.df0c416728395p-6, 0x1.d4ff291b6f0cdp-6, 0x1.cb1feb02e311fp-6, 0x1.c16dec6377a8p-6, 0x1.b7e8930724e1bp-6, 0x1.ae8f4548a3b3ep-6, 0x1.a5616a1fa2556p-6, 0x1.9c5e692c8da7ep-6, 0x1.9385aac3e469bp-6, 0x1.8ad697f91211bp-6, 0x1.82509aa8deb69p-6, 0x1.79f31d836c41fp-6, 0x1.71bd8c15cce66p-6, 0x1.69af52d331709p-6, 0x1.61c7df1da15fcp-6, 0x1.5a069f4e6bec5p-6, 0x1.526b02be06af9p-6, 0x1.4af479cbb400bp-6, 0x1.43a275e4bb8b1p-6, 0x1.3c74698b38a28p-6, 0x1.3569c85ca6729p-6, 0x1.2e820717fb963p-6, 0x1.27bc9ba37d34fp-6, 0x1.2118fd1231b86p-6, 0x1.1a96a3a90a527p-6, 0x1.143508e3b1093p-6, 0x1.0df3a77913349p-6, 0x1.07d1fb5f94ba8p-6, 0x1.01cf81d101d97p-6, 0x1.f7d7729c5091dp-7, 0x1.ec4c43446d4c6p-7, 0x1.e0fc77cba3fb8p-7, 0x1.d5e71503c884bp-7, 0x1.cb0b22646388cp-7, 0x1.c067aa0f50959p-7, 0x1.b5fbb8d4d80d1p-7, 0x1.abc65e375e16p-7, 0x1.a1c6ac6ea52edp-7, 0x1.97fbb86a829b3p-7, 0x1.8e6499d535efp-7, 0x1.85006b155f7cdp-7, 0x1.7bce494f8bcf2p-7, 0x1.72cd546741df3p-7, 0x1.69fcaeffcf274p-7, 0x1.615b7e7ca4856p-7, 0x1.58e8eb0162e5ep-7, 0x1.50a41f7197b5bp-7, 0x1.488c497007554p-7, 0x1.40a0995dcbea3p-7, 0x1.38e0425903768p-7, 0x1.314a7a3b573b4p-7, 0x1.29de799816994p-7, 0x1.229b7bba208c1p-7, 0x1.1b80bea189726p-7, 0x1.148d8300f8802p-7, 0x1.0dc10c3adb641p-7, 0x1.071aa05e3aa57p-7, 0x1.009988237f5f1p-7, 0x1.f47a1dd1b636p-8, 0x1.e809055d437f2p-8, 0x1.dbde68269633bp-8, 0x1.cff8ec9ee570ep-8, 0x1.c4573e62f9261p-8, 0x1.b8f80e326c13p-8, 0x1.adda11e65a8fep-8, 0x1.a2fc0467f8d82p-8, 0x1.985ca5a6c7194p-8, 0x1.8dfaba8e74291p-8, 0x1.83d50cfcb541bp-8, 0x1.79ea6bb68d57ep-8, 0x1.7039aa5da6bd1p-8, 0x1.66c1a1655b212p-8, 0x1.5d812e0775351p-8, 0x1.54773238d30fep-8, 0x1.4ba2949dee65cp-8, 0x1.4302407f0d7dap-8, 0x1.3a9525bc99de2p-8, 0x1.325a38c2f4f06p-8, 0x1.2a50727e7c7c3p-8, 0x1.2276d04f44d52p-8, 0x1.1acc53fcd1e7bp-8, 0x1.135003a997fa5p-8, 0x1.0c00e9c6996dp-8, 0x1.04de1506c0a2bp-8, 0x1.fbcd30a47735cp-9, 0x1.ee331573be4a6p-9, 0x1.e0ec0ed4b8666p-9, 0x1.d3f65b3ee4236p-9, 0x1.c750412e6ffdfp-9, 0x1.baf80f0a5b39fp-9, 0x1.aeec1b0b03fe5p-9, 0x1.a32ac3204f8adp-9, 0x1.97b26cd7fb87p-9, 0x1.8c818543fc43bp-9, 0x1.819680e0d3aaap-9, 0x1.76efdb7bfbe26p-9, 0x1.6c8c181a3dae6p-9, 0x1.6269c0de4aec3p-9, 0x1.588766ef48be4p-9, 0x1.4ee3a25f6a998p-9, 0x1.457d1212e1344p-9, 0x1.3c525ba6936a6p-9, 0x1.33622b57042a2p-9, 0x1.2aab33e7a507dp-9, 0x1.222c2e89c7fcfp-9, 0x1.19e3dac4493ep-9, 0x1.11d0fe5ad68adp-9, 0x1.09f26535c4ed7p-9, 0x1.0246e149b0fcep-9, 0x1.f59a94ff89451p-10, 0x1.e708fd3b61bf1p-10, 0x1.d8d6c25c3834dp-10, 0x1.cb01b6d220d89p-10, 0x1.bd87b8399a055p-10, 0x1.b066af2d4c484p-10, 0x1.a39c8f185f086p-10, 0x1.972756093b84dp-10, 0x1.8b050c844fd37p-10, 0x1.7f33c557e0164p-10, 0x1.73b19d6f7c7e6p-10, 0x1.687cbba903a06p-10, 0x1.5d9350a8f7648p-10, 0x1.52f396afd06bbp-10, 0x1.489bd16fdbf05p-10, 0x1.3e8a4de32a8aap-10, 0x1.34bd622268052p-10, 0x1.2b336d3c1e267p-10, 0x1.21ead70bc7116p-10, 0x1.18e2101257b23p-10, 0x1.1017914e6055bp-10, 0x1.0789dc154c5bbp-10, 0x1.fe6ef3d9802b5p-11, 0x1.ee3df8c95881dp-11, 0x1.de7df9e340a85p-11, 0x1.cf2c398f6cf94p-11, 0x1.c046096c3715dp-11, 0x1.b1c8ca059928cp-11, 0x1.a3b1ea8e61d6cp-11, 0x1.95fee899a0b42p-11, 0x1.88ad4fd50d209p-11, 0x1.7bbab9c506f71p-11, 0x1.6f24cd8159cbdp-11, 0x1.62e93f721a82fp-11, 0x1.5705d10f9414p-11, 0x1.4b7850a010372p-11, 0x1.403e98f996bb9p-11, 0x1.3556914277049p-11, 0x1.2abe2cb3fb3eep-11, 0x1.20736a5dc1173p-11, 0x1.167454e9bf619p-11, 0x1.0cbf0261761d5p-11, 0x1.035193f392375p-11, 0x1.f4546b76b3eccp-12, 0x1.e28e3d10557d1p-12, 0x1.d14d1f4daeb9cp-12, 0x1.c08da954f1601p-12, 0x1.b04c866f09435p-12, 0x1.a086759d447d3p-12, 0x1.913849332dba9p-12, 0x1.825ee66fe5baap-12, 0x1.73f7451a85ac7p-12, 0x1.65fe6f1fb18bcp-12, 0x1.58718031052a7p-12, 0x1.4b4da56520a8ap-12, 0x1.3e901cdb3356p-12, 0x1.3236355fa9827p-12, 0x1.263d4e1160839p-12, 0x1.1aa2d608d72f2p-12, 0x1.0f644c0181f88p-12, 0x1.047f3e0498e89p-12, 0x1.f3e29228f1b3ep-13, 0x1.df7031b669851p-13, 0x1.cba2ceb26f4e4p-13, 0x1.b875f92c137d7p-13, 0x1.a5e55ca3e820bp-13, 0x1.93ecbf72d40e5p-13, 0x1.8288023595cffp-13, 0x1.71b31f381a6a8p-13, 0x1.616a29e61d07dp-13, 0x1.51a94e3bb3b66p-13, 0x1.426cd03b56944p-13, 0x1.33b10b64a507cp-13, 0x1.2572722f8528ep-13, 0x1.17ad8d874edfdp-13, 0x1.0a5efc4c4434ap-13, 0x1.fb06e5a83975fp-14, 0x1.e22f74db3a06ep-14, 0x1.ca3161d0775dbp-14, 0x1.b3069039c9dd1p-14, 0x1.9ca90af3fc92p-14, 0x1.87130320e0f4ep-14, 0x1.723ecf4922698p-14, 0x1.5e26ea8038b33p-14, 0x1.4ac5f38d1a33ap-14, 0x1.3816ac16cbep-14, 0x1.2613f7d92243fp-14, 0x1.14b8dbd7cfa6dp-14, 0x1.04007d9aabe13p-14, 0x1.e7cc44d4d6af7p-15, 0x1.c8ca5d295cf94p-15, 0x1.aaf2496022459p-15, 0x1.8e3b49cf63ba2p-15, 0x1.729cd891b49aep-15, 0x1.580ea82a56df6p-15, 0x1.3e88a2309ab38p-15, 0x1.2602e6000d13p-15, 0x1.0e75c772d6844p-15, 0x1.efb39b3ebe46p-16, 0x1.c44f63419d4bbp-16, 0x1.9ab0baca0a61ap-16, 0x1.72c9d5079198ep-16, 0x1.4c8d422bcdf2ep-16, 0x1.27eded3231fe4p-16, 0x1.04df19abcef3dp-16, 0x1.c6a8c330ef5aap-17, 0x1.868366a38518cp-17, 0x1.49369f009d0e6p-17, 0x1.0eab8e3c3be5dp-17, 0x1.ad97e5db463bdp-18, 0x1.4304490d3e3c9p-18, 0x1.bae43e20ddc98p-19, 0x1.f2e18f27fd951p-20, 0x1.057976a95dab1p-21, -0x1.b6829b6f67708p-21, -0x1.13d7d18953d7cp-19, -0x1.b1909f7e267e3p-19, -0x1.2389464016559p-18, -0x1.6a518fef738f3p-18, -0x1.ad42fc6490684p-18, -0x1.ec7e6d48f769cp-18, -0x1.1411ee1bda519p-17, -0x1.3029304d4d4dcp-17, -0x1.4a941ab453fdcp-17, -0x1.63615f4e20aedp-17, -0x1.7a9f475cefccdp-17, -0x1.905bb5fbf4ee3p-17, -0x1.a4a42abe7f154p-17, -0x1.b785c433ee569p-17, -0x1.c90d425eeec4dp-17, -0x1.d947091990e2p-17, -0x1.e83f2277b048p-17, -0x1.f601410b4c016p-17, -0x1.014c6113f4f1bp-16, -0x1.070858045fb92p-16, -0x1.0c39e1ff1c9e3p-16, -0x1.10e6343b9b8e2p-16, -0x1.15125d8b4f04p-16, -0x1.18c347536a93dp-16, -0x1.1bfdb68309482p-16, -0x1.1ec64c8a01a82p-16, -0x1.212188431d904p-16, -0x1.2313c6da09528p-16, -0x1.24a144a6e71f7p-16, -0x1.25ce1e1264033p-16, -0x1.269e506504df6p-16, -0x1.2715ba9a310adp-16, -0x1.27381e2e3d323p-16, -0x1.27091fe0933b8p-16, -0x1.268c487a032cp-16, -0x1.25c505858ace1p-16, -0x1.24b6aa0b9bc5dp-16, -0x1.23646f40af206p-16, -0x1.21d175392c381p-16, -0x1.2000c39329eb4p-16, -0x1.1df54a1db5b7ep-16, -0x1.1bb1e17b0ed8bp-16, -0x1.19394bbdbf0e9p-16, -0x1.168e350354afp-16, -0x1.13b3340aaa318p-16, -0x1.10aacac7c714ep-16, -0x1.0d7766efe9f7ep-16, -0x1.0a1b628c02a5fp-16, -0x1.0699047d447f7p-16, -0x1.02f280fe81fbcp-16, -0x1.fe53f45408182p-17, -0x1.f68300e27c148p-17, -0x1.ee76263a86bcp-17, -0x1.e63141866674dp-17, -0x1.ddb80f7648766p-17, -0x1.d50e2d244ea44p-17, -0x1.cc3718e8bc91ep-17, -0x1.c336333e8a99fp-17, -0x1.ba0ebf88a6633p-17, -0x1.b0c3e4e901c32p-17, -0x1.a758aeff07caap-17, -0x1.9dd00eae97baap-17, -0x1.942cdae5a617bp-17, -0x1.8a71d148b53c6p-17, -0x1.80a196ea7647ap-17, -0x1.76beb8fd5b5e3p-17, -0x1.6ccbad7761fadp-17, -0x1.62cad3c09c675p-17, -0x1.58be754d4a632p-17, -0x1.4ea8c6416915ap-17, -0x1.448be6078b276p-17, -0x1.3a69dfe716f03p-17, -0x1.3044ab96f2f58p-17, -0x1.261e2dc877b43p-17, -0x1.1bf838b4daa94p-17, -0x1.11d48c9f4f68ap-17, -0x1.07b4d85a9ddc5p-17, -0x1.fb357396cb504p-18, -0x1.e70f7cc1aa6e3p-18, -0x1.d2fac71b40f73p-18, -0x1.befa2e802969p-18, -0x1.ab1070a132befp-18, -0x1.97402deecb664p-18, -0x1.838bea6661a21p-18, -0x1.6ff60e6d11171p-18, -0x1.5c80e7983f651p-18, -0x1.492ea97861006p-18, -0x1.36016e61d8aa4p-18, -0x1.22fb382684abcp-18, -0x1.101df0d29d7b3p-18, -0x1.fad6d6ae8e63dp-19, -0x1.d5cac8818d787p-19, -0x1.b11b04c41b903p-19, -0x1.8ccaaeefd9cc4p-19, -0x1.68dcc19418d22p-19, -0x1.45540f9fc584cp-19, -0x1.2233457e8ff91p-19, -0x1.fef9d4ab97301p-20, -0x1.ba66c23d11f0bp-20, -0x1.76b1d37e26feep-20, -0x1.33df442bb3b39p-20, -0x1.e3e61c6254b51p-21, -0x1.61e1d6fde879dp-21, -0x1.c371613cf2c4p-22, -0x1.8dc4a6473f23p-23, 0x1.8eeb1dbf0c57bp-25, 0x1.26c28be7c8928p-22, 0x1.0be1640a6b2b4p-21, 0x1.826a46dcc42eap-21, 0x1.f6f78f5fa639dp-21, 0x1.34c2a0a715dc3p-20, 0x1.6d07e01473642p-20, 0x1.a449e60b1fb39p-20, 0x1.da873f4b9b0e5p-20, 0x1.07df51f862b1p-19, 0x1.21f77b08bde9dp-19, 0x1.3b8ba01277403p-19, 0x1.549b59f3fbd69p-19, 0x1.6d26546ec9567p-19, 0x1.852c4d8dedc31p-19, 0x1.9cad1503277ep-19, 0x1.b3a88b9198c6cp-19, 0x1.ca1ea26b37e02p-19, 0x1.e00f5aac8ca4p-19, 0x1.f57ac4ceecd9bp-19, 0x1.05308008d0f9ep-18, 0x1.0f611cfd43ea2p-18, 0x1.194f56e6b11f9p-18, 0x1.22fb5209d2f54p-18, 0x1.2c65390b982e1p-18, 0x1.358d3cb50678ep-18, 0x1.3e7393c31bc2cp-18, 0x1.47187aa14a4b9p-18, 0x1.4f7c333419f3cp-18, 0x1.579f04a93e4dap-18, 0x1.5f813b3c383a5p-18, 0x1.67232807e2aep-18, 0x1.6e8520d055c2bp-18, 0x1.75a77fd69c05cp-18, 0x1.7c8aa3aaf51cbp-18, 0x1.832eeef8cb78cp-18, 0x1.8994c863db08ap-18, 0x1.8fbc9a56b4a1ap-18, 0x1.95a6d2d90f6bep-18, 0x1.9b53e36702e8bp-18, 0x1.a0c440c9d7aabp-18, 0x1.a5f862f165dcap-18, 0x1.aaf0c4ce8c3b3p-18, 0x1.afade42e53ff2p-18, 0x1.b430419e4c851p-18, 0x1.b878603da5a49p-18, 0x1.bc86c5a2ec6d4p-18, 0x1.c05bf9ba93ca8p-18, 0x1.c3f886a7f6f94p-18, 0x1.c75cf8a4ab5aep-18, 0x1.ca89dde33188ap-18, 0x1.cd7fc673106b3p-18, 0x1.d03f442809885p-18, 0x1.d2c8ea7788563p-18, 0x1.d51d4e64dc9efp-18, 0x1.d73d0669543bfp-18, 0x1.d928aa52c6e5cp-18, 0x1.dae0d32ce2536p-18, 0x1.dc661b2ddac9fp-18, 0x1.ddb91d9bb5ff9p-18, 0x1.deda76b9c899ep-18, 0x1.dfcac3aefb3fdp-18, 0x1.e08aa27ac51d4p-18, 0x1.e11ab1d5901b5p-18, 0x1.e17b9120e73d4p-18, 0x1.e1ade053d0248p-18, 0x1.e1b23feba6a78p-18, 0x1.e18950d58204dp-18, 0x1.e133b46003742p-18, 0x1.e0b20c272677fp-18, 0x1.e004fa0c9e15ep-18, 0x1.df2d201bbc0d3p-18, 0x1.de2b20821e2fep-18, 0x1.dcff9d818bf12p-18, 0x1.dbab39612907dp-18, 0x1.da2e9657b0c97p-18, 0x1.d88a568373faep-18, 0x1.d6bf1bdd9bc7p-18, 0x1.d4cd882d7714ep-18, 0x1.d2b63cf9d661ep-18, 0x1.d079db83c2cdep-18, 0x1.ce1904b5980e6p-18, 0x1.cb94591897fe9p-18, 0x1.c8ec78c9c2d62p-18, 0x1.c622036f68fecp-18, 0x1.c335983257d34p-18, 0x1.c027d5b070393p-18, 0x1.bcf959f43cafp-18, 0x1.b9aac26e85ce4p-18, 0x1.b63cabeb69585p-18, 0x1.b2afb2878321p-18, 0x1.af0471add5d04p-18, 0x1.ab3b840de1e14p-18, 0x1.a7558393df1d7p-18, 0x1.a353095e673bdp-18, 0x1.9f34adb86047fp-18, 0x1.9afb0813da971p-18, 0x1.96a6af03d8e31p-18, 0x1.923838354fc8cp-18, 0x1.8db0386a3b145p-18, 0x1.890f4378569d5p-18, 0x1.8455ec3ab4a33p-18, 0x1.7f84c48fbf58ep-18, 0x1.7a9c5d5667bdcp-18, 0x1.759d4667c7ac1p-18, 0x1.70880e930b925p-18, 0x1.6b5d439855054p-18, 0x1.661d7227204ecp-18, 0x1.60c925d861464p-18, 0x1.5b60e928729ddp-18, 0x1.55e5457558db6p-18, 0x1.5056c2fed6cf9p-18, 0x1.4ab5e8e267292p-18, 0x1.45033d12ea257p-18, 0x1.3f3f4456e9b0ap-18, 0x1.396a8249a80b9p-18, 0x1.33857955446bep-18, 0x1.2d90aab19b0adp-18, 0x1.278c965fd45d8p-18, 0x1.2179bb2cbce38p-18, 0x1.1b5896b14a50ap-18, 0x1.1529a54995abbp-18, 0x1.0eed620fdd4b8p-18, 0x1.08a446e4899d9p-18, 0x1.024ecc693cae6p-18, 0x1.f7dad3fc57566p-19, 0x1.eb012b8476d5cp-19, 0x1.de1189232d664p-19, 0x1.d10cd40e8f97bp-19, 0x1.c3f3f0ea2ca4p-19, 0x1.b6c7c1cf9174dp-19, 0x1.a9892651c0f71p-19, 0x1.9c38fb7a4ec69p-19, 0x1.8ed81bc3486e5p-19, 0x1.81675f1208b36p-19, 0x1.73e79abd28dcbp-19, 0x1.6659a191dd40ap-19, 0x1.58be43c8ab788p-19, 0x1.4b164f0ccc982p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      79, 0x1.fa3d70a3d70a4p+2, 0x1.bb0c08575090bp+2, 0x1.6bd6e9e64793ap+4, 0x1.7cae7b6411484p-8, 
      {{
        {0x1.00a3d70a3d70ap+2, 0x1.0333333333333p+2, 0x1.96d2f34b88a82p-7, -0x1.76a8401ad7912p-5, 0x1.443361833fb09p-3, -0x1.f6f152e8fdc42p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.62a9d422a117fp-7, -0x1.1891cad6988b4p-5, 0x1.07d8fb674a327p-3, -0x1.d52b872d5bc17p-3}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.342a412120817p-7, -0x1.7a360cfc005bbp-6, 0x1.82f1b4a75f453p-4, -0x1.b06dd61e87002p-3}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.1537ccbe69c8ap-7, -0x1.f2c22842917cfp-7, 0x1.0137279e36c33p-4, -0x1.9684d1350403bp-3}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.009c7f5428b78p-7, -0x1.55c4b107cc8fcp-7, 0x1.0e8504e96b1ebp-5, -0x1.42d1090198b7fp-3}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.e32a38caeb90cp-8, -0x1.104c68776c5c2p-7, 0x1.335197a1d7913p-7, -0x1.7204262b0c42ap-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c91a065cac091p-8, -0x1.f9558befc7f13p-8, 0x1.553c695340dbep-9, 0x1.2a0cf57e437c3p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.b04c7b0c29ae2p-8, -0x1.e609780778ac6p-8, 0x1.aea6b2f921e73p-9, -0x1.008590ef0e029p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.9884e946d6746p-8, -0x1.d177651064265p-8, 0x1.882c43a212ffcp-9, -0x1.ab272998d1a71p-13}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.81bc027a15495p-8, -0x1.bdf535f3be49fp-8, 0x1.842b18d7d76fp-9, -0x1.5ba74734644a6p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.6bea92888145ap-8, -0x1.aae017bc99b11p-8, 0x1.77219fc5e0792p-9, -0x1.15a754765b7c1p-11}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.57097fc9edaedp-8, -0x1.98610c632331bp-8, 0x1.6cb82634a3715p-9, -0x1.22f329c4ca398p-11}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.4311cb0b65f6fp-8, -0x1.866a78094002fp-8, 0x1.61cf07d6dbdbfp-9, -0x1.19ed4e6e03a84p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.2ffc8f8f2dbbdp-8, -0x1.74fd613cd9a94p-8, 0x1.573c8819221f2p-9, -0x1.16e26d9ec8497p-11}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.1dc3030cc0c95p-8, -0x1.6416e2b20ffbbp-8, 0x1.4cc73d966102cp-9, -0x1.123d5357656c6p-11}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0c5e75b0d3165p-8, -0x1.53b52418253a6p-8, 0x1.427e8a764d351p-9, -0x1.0e062468a8f3cp-11}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.f790a43aa18d5p-9, -0x1.43d6050b9bc43p-8, 0x1.385e4f7f2d459p-9, -0x1.09b1818fa7e96p-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.d7f43ad2bc54dp-9, -0x1.34777878d3053p-8, 0x1.2e67a77030934p-9, -0x1.0564c30701e2fp-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b9daee42af7c4p-9, -0x1.25976c1f761cdp-8, 0x1.249a468653b43p-9, -0x1.0115e7270e41bp-11}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.9d38328da456ep-9, -0x1.1733cf222442cp-8, 0x1.1af6410e765e9p-9, -0x1.f98f38a891fa1p-12}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.81ffb0a1348f2p-9, -0x1.094a904460a6ap-8, 0x1.117b91981a086p-9, -0x1.f0f2554784c73p-12}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.682546556a295p-9, -0x1.f7b33cc654fbbp-9, 0x1.082a39985c57dp-9, -0x1.e85586ba89cd4p-12}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.4f9d066cbf826p-9, -0x1.ddbdd0a959cc7p-9, 0x1.fe04715686b8p-10, -0x1.dfb8b298d4f0dp-12}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.385b38941f4fap-9, -0x1.c4b0b9e1cec7fp-9, 0x1.ec071dd731eedp-10, -0x1.d71bdff5d3124p-12}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.22545962e4a09p-9, -0x1.ac87d61eb7ec2p-9, 0x1.da5c78a4606b1p-10, -0x1.ce7f0cec75fcep-12}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.0d7d1a5adadcdp-9, -0x1.953f030f5c7e1p-9, 0x1.c90481c1e8cb3p-10, -0x1.c5e239fe60a92p-12}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.f394c3d07b88ep-10, -0x1.7ed21e62f1be8p-9, 0x1.b7ff392ec52b6p-10, -0x1.bd4567091fa9bp-12}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.ce6296c372e28p-10, -0x1.693d05c8b1c17p-9, 0x1.a74c9eeb3a61cp-10, -0x1.b4a8941599613p-12}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.ab4e4e10d4aa1p-10, -0x1.547b96efd54c7p-9, 0x1.96ecb2f737d45p-10, -0x1.ac0bc121defb6p-12}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.8a42f40fba77ep-10, -0x1.4089af8795844p-9, 0x1.86df7552bf77dp-10, -0x1.a36eee2dd6e69p-12}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.6b2bfcec1e92ap-10, -0x1.2d632d3f2b6cep-9, 0x1.7724e5fdd4358p-10, -0x1.9ad21b3a567f5p-12}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.4df546a6dbf55p-10, -0x1.1b03edc5d0189p-9, 0x1.67bd04f870f73p-10, -0x1.9235484638bc9p-12}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.328b1915ae4b4p-10, -0x1.0967cecabc94cp-9, 0x1.58a7d2429ba39p-10, -0x1.89987552abfa7p-12}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.18da25e331f23p-10, -0x1.f1155bfa53d6ep-10, 0x1.49e54ddc4ec9cp-10, -0x1.80fba25ecc1c4p-12}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.00cf888ee3fa2p-10, -0x1.d0d0d218a26c5p-10, 0x1.3b7577c58d88ep-10, -0x1.785ecf6adcbfdp-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.d4b18cda44472p-11, -0x1.b1f9bb4ed6ec7p-10, 0x1.2d584ffe5875p-10, -0x1.6fc1fc77401ddp-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.aac79d4e55c4bp-11, -0x1.9487d2fb637aap-10, 0x1.1f8dd686ac73dp-10, -0x1.672529835c0d1p-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.83bdf4763ab5ap-11, -0x1.7872d47cba3f1p-10, 0x1.12160b5e8c334p-10, -0x1.5e88568f7c434p-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.5f7217f7f2c6ap-11, -0x1.5db27b314d42p-10, 0x1.04f0ee85f78a4p-10, -0x1.55eb839be41b3p-12}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.3dc261233f0acp-11, -0x1.443e82778eb14p-10, 0x1.f03cfff9d792ap-11, -0x1.4d4eb0a7c98e3p-12}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.1e8dfcf1a1f4ap-11, -0x1.2c0ea5adf09ccp-10, 0x1.d73d7f86dba8p-11, -0x1.44b1ddb457aaap-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.01b4ec065f5ddp-11, -0x1.151aa032e5274p-10, 0x1.bee35bb2eeae8p-11, -0x1.3c150ac033237p-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.ce30055cf9008p-12, -0x1.feb45ac9bcdf4p-11, 0x1.a72e947e1e0bfp-11, -0x1.337837cc9d66fp-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.9d31d1c17ff87p-12, -0x1.d58a11449d03ep-11, 0x1.901f29e85f0a4p-11, -0x1.2adb64d8c9cd8p-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.7034347b63a9ep-12, -0x1.aea5da934f26p-11, 0x1.79b51bf1b64e2p-11, -0x1.223e91e4caf77p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.46fdcc1f36e01p-12, -0x1.89f72d72b7479p-11, 0x1.63f06a9a27154p-11, -0x1.19a1bef1617efp-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.2156de950f32p-12, -0x1.676d809fb9d14p-11, 0x1.4ed115e1a62bdp-11, -0x1.1104ebfd14128p-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.fe12b23109ecdp-13, -0x1.46f84ad73ae04p-11, 0x1.3a571dc844aa8p-11, -0x1.08681909cd36bp-12}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.bfc1a07166a74p-13, -0x1.288702d61eb28p-11, 0x1.2682824deedfbp-11, -0x1.ff968c2adc897p-13}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.8754ffb070613p-13, -0x1.0c091f594976cp-11, 0x1.13534372b9cddp-11, -0x1.ee5ce6446bfe6p-13}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.546a965a68864p-13, -0x1.e2dc2e3b3edp-12, 0x1.00c961368f5acp-11, -0x1.dd23405bb932cp-13}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.26a3798295fd8p-13, -0x1.b14ac1c0098e7p-12, 0x1.ddc9b7330a6b7p-12, -0x1.cbe99a75a1eddp-13}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.fb4819c68a953p-14, -0x1.833ce6babc00bp-12, 0x1.bb4b653704acfp-12, -0x1.baaff48bbea09p-13}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.b22805bb90d0dp-14, -0x1.58918aa51dd9p-12, 0x1.9a17cc7956606p-12, -0x1.a9764ea62b1fdp-13}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.713cb8f4ee22p-14, -0x1.31279af8f74adp-12, 0x1.7a2eecf9acbe2p-12, -0x1.983ca8bdd2902p-13}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.37e2d2d15ccp-14, -0x1.0cde053012021p-12, 0x1.5b90c6b83cf37p-12, -0x1.870302d65fb65p-13}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.057d8ffda20ep-14, -0x1.d7276d886bbebp-13, 0x1.3e3d59b4f5c5fp-12, -0x1.75c95cee429d5p-13}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.b2ed94e91d2cp-15, -0x1.9a4f3a5e55f85p-13, 0x1.2234a5efe3fa2p-12, -0x1.648fb7071228dp-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.667df2fdfc2cp-15, -0x1.62f14bd573634p-13, 0x1.0776ab68f5d05p-12, -0x1.5356111f39776p-13}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.249a6367aeb81p-15, -0x1.30cb7ce15537bp-13, 0x1.dc06d4406fceep-13, -0x1.421c6b38edf8p-13}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.d87c93e0311p-16, -0x1.039ba8758e61bp-13, 0x1.abb5c42b18ea1p-13, -0x1.30e2c54e7ef5fp-13}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.78e489fa669p-16, -0x1.b63f530b59af9p-14, 0x1.7dfa269285deep-13, -0x1.1fa91f6a980c6p-13}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.28985b221f58p-16, -0x1.6e2ab60a86505p-14, 0x1.52d3fb75bbdd1p-13, -0x1.0e6f797eb9584p-13}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.cbbc5d274e901p-17, -0x1.2e752fcfc23cdp-14, 0x1.2a4342d5ecdc2p-13, -0x1.fa6ba7369a57fp-14}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.5e2d4186f2203p-17, -0x1.ed34ec845dcedp-15, 0x1.0447fcb1d47bep-13, -0x1.d7f85b62357d9p-14}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.057986bc729p-17, -0x1.8c2c7e91e8568p-15, 0x1.c1c45214edbeep-14, -0x1.b5850f8ee7467p-14}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.7d987522ec6p-18, -0x1.38c8819643f05p-15, 0x1.80238fbf7e41ap-14, -0x1.9311c3e3060b1p-14}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.0f0aaa7ff16p-18, -0x1.e400c2c0581e8p-16, 0x1.43adb25d708cfp-14, -0x1.709e77806a629p-14}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.74e6e5c945p-19, -0x1.6d9713786bb93p-16, 0x1.0c62ba0a2d63bp-14, -0x1.4e2b2ddbd6d6ep-14}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.ed99a2197efffp-20, -0x1.0c42ccfd814b7p-16, 0x1.b4854cb8cd875p-15, -0x1.2bb7d9ff8e215p-14}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.3783e9ecd6ffep-20, -0x1.7be58d7ddcbf3p-17, 0x1.5a9af1b8efb0ep-15, -0x1.0944ac3097be9p-14}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.725365cf3ep-21, -0x1.012bb2039a751p-17, 0x1.0b0657aa5bc4ep-15, -0x1.cda1e0de0be7fp-15}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.973d819eap-22, -0x1.486b63b533e57p-18, 0x1.8b8f52454d916p-16, -0x1.88be8cd424485p-15}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.93054a6c40001p-23, -0x1.83853a56a8f55p-19, 0x1.15bc8e6c0f79dp-16, -0x1.43cbc6c798e04p-15}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.57097fc9d0001p-24, -0x1.985f978c7c92p-20, 0x1.69320bf9f66dcp-17, -0x1.fe254a9aaa1d1p-16}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.ce6296c300001p-26, -0x1.6944dbeb97af6p-21, 0x1.a04db7fd86cb8p-18, -0x1.7304c71741ee8p-16}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.9d31d1c2p-28, -0x1.d515153d409efp-23, 0x1.8362811258144p-19, -0x1.dc53f9691c852p-17}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.249a6378p-31, -0x1.379ddb0bfb4ebp-25, 0x1.965a1419e8afap-21, -0x1.479a395864629p-18}, 
        {0x1.f99999999999ap+2, 0x1.fa3d70a3d70a4p+2, 0x1.ce62800000001p-42, 0x1.80c4b80efa99p-29, 0x1.a75382c7a0001p-26, -0x1.78619b74083b5p-13}, 
      }}, 
      0x1.8525ea7586815p-6, -0x1.c73e9327971c8p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.fcb29fd589787p-3, 0x1.f5f3b36f4a1a6p-2, 0x1.706b2493a5247p-1, 0x1.dd18b61fe3615p-1, 0x1.1f9da8de4047bp+0, 0x1.4ad20401a7a32p+0, 0x1.6fd51d26cbe06p+0, 0x1.8e8b0ae352cd8p+0, 0x1.a7058e679ef5bp+0, 0x1.b97a2cc329d05p+0, 0x1.c6396826e7cb9p+0, 0x1.cda72917b10bap+0, 0x1.d0344c2d37616p+0, 0x1.ce59400e65c08p+0, 0x1.c8919d3e4f64bp+0, 0x1.bf589fbf0b5bp+0, 0x1.b32668f7624bbp+0, 0x1.a46defb68ed62p+0, 0x1.939b84f52a8b8p+0, 0x1.8113d5969bff5p+0, 0x1.6d33538054a23p+0, 0x1.584df28b36a33p+0, 0x1.42af27d4a16e2p+0, 0x1.2c9a1bf8a949bp+0, 0x1.164a03d92132p+0, 0x1.ffe52958ad742p-1, 0x1.d3810cd29a8d9p-1, 0x1.a7b44246b508dp-1, 0x1.7cbfa0513d5eep-1, 0x1.52d95962423ebp-1, 0x1.2a2e0f88098cep-1, 0x1.02e1d72b6bbeap-1, 0x1.ba2244046e4a2p-2, 0x1.71a33789e1208p-2, 0x1.2c65e2bcd6316p-2, 0x1.d4fe1ebdd350bp-3, 0x1.57f48a57bc926p-3, 0x1.c36bf5008d1d3p-4, 0x1.c8edec7ba21fep-5, 0x1.2e473b328b1d8p-8, -0x1.630a7ec7a2adbp-5, -0x1.69107a8d7edbap-4, -0x1.0a0a9c05df3ddp-3, -0x1.597b318732ff4p-3, -0x1.a30fbcfe633e4p-3, -0x1.e7013e730f36ep-3, -0x1.12c5876e9b8cdp-2, -0x1.2f750a7a3910ep-2, -0x1.49ae0a0da8c07p-2, -0x1.618f89d332a57p-2, -0x1.77386e4021e14p-2, -0x1.8ac745643d5ccp-2, -0x1.9c5a18caa06e2p-2, -0x1.ac0e47342911dp-2, -0x1.ba0064e75f7c6p-2, -0x1.c64c23103107bp-2, -0x1.d10c3c5cd9dcap-2, -0x1.da5a65f7c7c37p-2, -0x1.e24f46e410356p-2, -0x1.e90270842ce07p-2, -0x1.ee8a5c70afba5p-2, -0x1.f2fc6c825c9cdp-2, -0x1.f66ceb8c8e517p-2, -0x1.f8ef1366fda46p-2, -0x1.fa950fe30914fp-2, -0x1.fb70080bd7664p-2, -0x1.fb9023a644c52p-2, -0x1.fb049593b2f8cp-2, -0x1.f9dba388fe422p-2, -0x1.f822b0abf2484p-2, -0x1.f5e646a3b829ep-2, -0x1.f3322021a3a43p-2, -0x1.f0113273afac9p-2, -0x1.ec8db7c6ae4d2p-2, -0x1.e8b138ad6e885p-2, -0x1.e48495e756dc7p-2, -0x1.e010118db4e3bp-2, -0x1.db5b58343f875p-2, -0x1.d66d898ebc20ep-2, -0x1.d14d40d5be6ep-2, -0x1.cc009cc892fd6p-2, -0x1.c68d47516a5a1p-2, -0x1.c0f87cd6b6f2ap-2, -0x1.bb4713224c9a5p-2, -0x1.b57d800331e0fp-2, -0x1.af9fdf7dc3fc2p-2, -0x1.a9b1f9c8e5343p-2, -0x1.a3b748cd7e495p-2, -0x1.9db2fd8ec068dp-2, -0x1.97a80500777dap-2, -0x1.91990ce83ab43p-2, -0x1.8b888817e7ac6p-2, -0x1.8578b2cba6961p-2, -0x1.7f6b966308186p-2, -0x1.79630d2f2597bp-2, -0x1.7360c5d3a1887p-2, -0x1.6d66467006007p-2, -0x1.6774efca72da8p-2, -0x1.618dffdca4bcep-2, -0x1.5bb294b6a5aa2p-2, -0x1.55e3aeb69cd6dp-2, -0x1.502232dd75f02p-2, -0x1.4a6eed0756cp-2, -0x1.44ca919af24adp-2, -0x1.3f35bfa79e212p-2, -0x1.39b10265215f9p-2, -0x1.343cd2b90f5e8p-2, -0x1.2ed998eb446c5p-2, -0x1.2987adad9061ep-2, -0x1.24475b85ca1a9p-2, -0x1.1f18e010f330ap-2, -0x1.19fc6cc9167d9p-2, -0x1.14f2284712974p-2, -0x1.0ffa2f2e0d7b2p-2, -0x1.0b1494c599964p-2, -0x1.0641640c7435cp-2, -0x1.0180a06b63594p-2, -0x1.f9a48c4fe0964p-3, -0x1.f06c969168c5ep-3, -0x1.e759405359c06p-3, -0x1.de6a5f91f9e51p-3, -0x1.d59fc0f8aa46ep-3, -0x1.ccf928f50178dp-3, -0x1.c4765413dae48p-3, -0x1.bc16f802fb69ep-3, -0x1.b3dac4a1e7a11p-3, -0x1.abc16448924b4p-3, -0x1.a3ca7c55120d5p-3, -0x1.9bf5ae29b424fp-3, -0x1.94429790ba96ap-3, -0x1.8cb0d2e8b62dp-3, -0x1.853ff7dd7229cp-3, -0x1.7def9c01400b1p-3, -0x1.76bf52dc82e56p-3, -0x1.6faeae375cda3p-3, -0x1.68bd3ebbb26e1p-3, -0x1.61ea9437e2c9dp-3, -0x1.5b363d9c161d6p-3, -0x1.549fc94f7d9c3p-3, -0x1.4e26c5a55857fp-3, -0x1.47cac0f27f483p-3, -0x1.418b498969d2cp-3, -0x1.3b67ee057446cp-3, -0x1.35603d9c2b6afp-3, -0x1.2f73c8209b8e3p-3, -0x1.29a21dfc23e76p-3, -0x1.23ead0668b915p-3, -0x1.1e4d71a16596bp-3, -0x1.18c994f7299b8p-3, -0x1.135eceadc81c7p-3, -0x1.0e0cb4293524dp-3, -0x1.08d2dc1997231p-3, -0x1.03b0de7da5d6bp-3, -0x1.fd4ca92132a81p-4, -0x1.f365b1ae7f23p-4, -0x1.e9ac0e859cbb9p-4, -0x1.e01efa7477d22p-4, -0x1.d6bdb312cc17bp-4, -0x1.cd8778b7d3f73p-4, -0x1.c47b8ea2f01f6p-4, -0x1.bb993b19b4929p-4, -0x1.b2dfc755fe5e8p-4, -0x1.aa4e7f686c3fbp-4, -0x1.a1e4b23de88fp-4, -0x1.99a1b1bac722ap-4, -0x1.9184d2bd44c7dp-4, -0x1.898d6d03b991fp-4, -0x1.81badb17a6c1cp-4, -0x1.7a0c7a53881fcp-4, -0x1.7281aaef00171p-4, -0x1.6b19cff64271bp-4, -0x1.63d44f319eef9p-4, -0x1.5cb091144d3efp-4, -0x1.55ae00bd46406p-4, -0x1.4ecc0bfa387d3p-4, -0x1.480a233c3604ap-4, -0x1.4167b982b16f2p-4, -0x1.3ae4444ad9ebbp-4, -0x1.347f3b8afe765p-4, -0x1.2e3819b0f6c2bp-4, -0x1.280e5b978ebep-4, -0x1.22018074d437fp-4, -0x1.1c1109c9b4bb8p-4, -0x1.163c7b59026f9p-4, -0x1.10835b230b05ep-4, -0x1.0ae5315d235d4p-4, -0x1.056188630f46ep-4, -0x1.ffefd94ee6037p-5, -0x1.f54fd9508a8ep-5, -0x1.eae231d23f131p-5, -0x1.e0a607d41731cp-5, -0x1.d69a843b3b4ddp-5, -0x1.ccbed3b7462e7p-5, -0x1.c31226a9a28bdp-5, -0x1.b993b112cfc7fp-5, -0x1.b042aa8440a0ap-5, -0x1.a71e4e0ff4fc4p-5, -0x1.9e25da34df371p-5, -0x1.955890c595a38p-5, -0x1.8cb5b6d697675p-5, -0x1.843c94ad4090cp-5, -0x1.7bec75b15ff39p-5, -0x1.73c4a85e54b14p-5, -0x1.6bc47e30b467bp-5, -0x1.63eb4b936a9e9p-5, -0x1.5c3867ce9e6f5p-5, -0x1.54ab2cf8ef5dep-5, -0x1.4d42f7ea6b67ep-5, -0x1.45ff282f4ee43p-5, -0x1.3edf1ff8e36adp-5, -0x1.37e2440da7c6dp-5, -0x1.3107fbbaa1912p-5, -0x1.2a4fb0c641a83p-5, -0x1.23b8cf649bd4ap-5, -0x1.1d42c62c0747bp-5, -0x1.16ed060909e62p-5, -0x1.10b702316860dp-5, -0x1.0aa0301777644p-5, -0x1.04a8075e9941bp-5, -0x1.fd9c03a1901abp-6, -0x1.f22336a97ab91p-6, -0x1.e6e4a3c8784a3p-6, -0x1.dbdf4b03bc1e4p-6, -0x1.d112305d28265p-6, -0x1.c67c5bbf1284cp-6, -0x1.bc1cd8e9c2375p-6, -0x1.b1f2b7625b14dp-6, -0x1.a7fd0a627631ap-6, -0x1.9e3ae8c7f8311p-6, -0x1.94ab6d04872f3p-6, -0x1.8b4db50cc425ep-6, -0x1.8220e247f4e93p-6, -0x1.79241980db515p-6, -0x1.705682d794469p-6, -0x1.67b749b3f576fp-6, -0x1.5f459cb8473b2p-6, -0x1.5700adb3fdc6ep-6, -0x1.4ee7b19659047p-6, -0x1.46f9e0612582ap-6, -0x1.3f36751c18e6fp-6, -0x1.379cadc8e4a09p-6, -0x1.302bcb57e6f03p-6, -0x1.28e3119d27ef4p-6, -0x1.21c1c7458ee27p-6, -0x1.1ac735cc324a2p-6, -0x1.13f2a96f86df9p-6, -0x1.0d437126bd03fp-6, -0x1.06b8de978ec64p-6, -0x1.0052460c9451p-6, -0x1.f41dfcd867b62p-7, -0x1.e7dcc25eacfa8p-7, -0x1.dbdf94b0f53cep-7, -0x1.d02530d794123p-7, -0x1.c4ac58ca369fap-7, -0x1.b973d35e51a1fp-7, -0x1.ae7a6c36c7e57p-7, -0x1.a3bef3b432965p-7, -0x1.99403ee5c0286p-7, -0x1.8efd277a3c0efp-7, -0x1.84f48bb086e7p-7, -0x1.7b254e47bd016p-7, -0x1.718e566f682e9p-7, -0x1.682e8fb8f3d4fp-7, -0x1.5f04ea0a607ffp-7, -0x1.56105991ec51ep-7, -0x1.4d4fd6b8e6f1ap-7, -0x1.44c25e14b575ep-7, -0x1.3c66f057bd1f1p-7, -0x1.343c9243b31e7p-7, -0x1.2c424c9cd29bep-7, -0x1.24772c1d51a52p-7, -0x1.1cda416a0a9bcp-7, -0x1.156aa10881428p-7, -0x1.0e276354b34b7p-7, -0x1.070fa47443ac7p-7, -0x1.002284466dedcp-7, -0x1.f2be4ca6e625p-8, -0x1.e589637c6a74bp-8, -0x1.d8a4a27858b89p-8, -0x1.cc0e661f10eebp-8, -0x1.bfc51208fb222p-8, -0x1.b3c710d1583e8p-8, -0x1.a812d3f77099fp-8, -0x1.9ca6d3b39c326p-8, -0x1.91818ec9f6308p-8, -0x1.86a18a68cfb28p-8, -0x1.7c05521d0fc3p-8, -0x1.71ab77dac0f13p-8, -0x1.6792940d6fa22p-8, -0x1.5db9459bfd511p-8, -0x1.541e31cf6d6fbp-8, -0x1.4ac0041a13e5ap-8, -0x1.419d6dcc336bfp-8, -0x1.38b525d147e6ep-8, -0x1.3005e88fcb3d6p-8, -0x1.278e77f7f62e3p-8, -0x1.1f4d9bb820efp-8, -0x1.17422176c2b2ep-8, -0x1.0f6adcec8dd9dp-8, -0x1.07c6a7c23ca92p-8, -0x1.005461302318ap-8, -0x1.f225dafabafd3p-9, -0x1.e4026b1d17b59p-9, -0x1.d63c4d696703p-9, -0x1.c8d165a67af3cp-9, -0x1.bbbfa19be8ce6p-9, -0x1.af04fa185c7fp-9, -0x1.a29f739cc91e9p-9, -0x1.968d1e4012361p-9, -0x1.8acc14b049fe8p-9, -0x1.7f5a7a9892158p-9, -0x1.74367b0092a31p-9, -0x1.695e4755167adp-9, -0x1.5ed01798b4a0dp-9, -0x1.548a2b8198235p-9, -0x1.4a8acc53979c7p-9, -0x1.40d04eb7bc4d5p-9, -0x1.37591360deddp-9, -0x1.2e23865e6ab5cp-9, -0x1.252e1d0df43eep-9, -0x1.1c7753584c372p-9, -0x1.13fda9402fd1bp-9, -0x1.0bbfa1c10a375p-9, -0x1.03bbc387ed0f4p-9, -0x1.f7e136bfb6565p-10, -0x1.e8b97ef071eb7p-10, -0x1.d9fda490f5986p-10, -0x1.cbab07b638aep-10, -0x1.bdbf219755228p-10, -0x1.b0377e24fe03fp-10, -0x1.a311b32807685p-10, -0x1.964b57eea4b19p-10, -0x1.89e200a15064bp-10, -0x1.7dd33f2c4b50ep-10, -0x1.721ca9bf79e2ap-10, -0x1.66bbe4e377e51p-10, -0x1.5baeadd007216p-10, -0x1.50f2e16b1156cp-10, -0x1.46867d44f91b1p-10, -0x1.3c6799b466a0ep-10, -0x1.32945e6efae28p-10, -0x1.290af4f9da91bp-10, -0x1.1fc97d52b7fa9p-10, -0x1.16ce08af173c3p-10, -0x1.0e169c46457f3p-10, -0x1.05a13b69a007dp-10, -0x1.fad7eb99c82b4p-11, -0x1.eae9eb5269a3fp-11, -0x1.db75131dffa2fp-11, -0x1.cc764dfbc2f12p-11, -0x1.bdeac973ab3f6p-11, -0x1.afcfdc080d2eap-11, -0x1.a222e3ebd934ep-11, -0x1.94e12780a55ecp-11, -0x1.8807c15c75e43p-11, -0x1.7b939e401c3fap-11, -0x1.6f818d41366d5p-11, -0x1.63ce5c5248392p-11, -0x1.5876f812bdb4ep-11, -0x1.4d78867612ddfp-11, -0x1.42d076dd40eb4p-11, -0x1.387c8514c89f3p-11, -0x1.2e7aae8a1bbc6p-11, -0x1.24c91acfb45f2p-11, -0x1.1b65fba4ee362p-11, -0x1.124f6cd244369p-11, -0x1.09835e3de0cc5p-11, -0x1.00ff8faee3066p-11, -0x1.f1833cbd333afp-12, -0x1.e18e3953904c1p-12, -0x1.d21b5342c45acp-12, -0x1.c32606fcb8ad9p-12, -0x1.b4aa27c2520d7p-12, -0x1.a6a3f2ff1ee09p-12, -0x1.99101cc72ed84p-12, -0x1.8bebcaeb3e357p-12, -0x1.7f3474564d65dp-12, -0x1.72e7a878a6845p-12, -0x1.6702d4b03671ep-12, -0x1.5b8322574c47ap-12, -0x1.50657a8d0d667p-12, -0x1.45a6a3534c484p-12, -0x1.3b435bf3695fcp-12, -0x1.31386610ebae9p-12, -0x1.27828091d7c5ep-12, -0x1.1e1e6bf37164cp-12, -0x1.15090a2acd64fp-12, -0x1.0c3f914edbe5dp-12, -0x1.03bfb01cb2b2ep-12, -0x1.f70f0c234dcefp-13, -0x1.e72ade699a638p-13, -0x1.d7cf8953134bdp-13, -0x1.c8f972ed42aefp-13, -0x1.baa4c3ba06f47p-13, -0x1.accda32b52603p-13, -0x1.9f705b6532ec9p-13, -0x1.928936fa8a5b2p-13, -0x1.86142aa709784p-13, -0x1.7a0c96e2dab0cp-13, -0x1.6e6d6da721304p-13, -0x1.6331c081c9e78p-13, -0x1.585561724f0e3p-13, -0x1.4dd5273db25c3p-13, -0x1.43aea8df54b44p-13, -0x1.39dfad70774c2p-13, -0x1.3065c34c25c46p-13, -0x1.273e3dd0abffep-13, -0x1.1e667f717f21ep-13, -0x1.15dc46516897bp-13, -0x1.0d9db48ef94a7p-13, -0x1.05a9059212132p-13, -0x1.fbf8232d16a27p-14, -0x1.ed27e86b8a42ap-14, -0x1.deda4bfc90dabp-14, -0x1.d10817b56c12ap-14, -0x1.c3ab41f9ea61ap-14, -0x1.b6bf8cc5d2a31p-14, -0x1.aa420b74e9e4ep-14, -0x1.9e2ffc812d277p-14, -0x1.9285df6b4e0c8p-14, -0x1.873f66941b9fep-14, -0x1.7c5822789f92bp-14, -0x1.71cc5247ef64cp-14, -0x1.679953b70862bp-14, -0x1.5dbd6813ae62p-14, -0x1.5436ec5795197p-14, -0x1.4b0387731e4b9p-14, -0x1.421fce4f3b1fap-14, -0x1.39878eef763a5p-14, -0x1.31369b64d4feep-14, -0x1.292993f4daf03p-14, -0x1.215e2e2e3977fp-14, -0x1.19d2e5ba0e284p-14, -0x1.128652ba86115p-14, -0x1.0b7677b4c6fe1p-14, -0x1.04a068b9986c7p-14, -0x1.fc012232c8d9dp-15, -0x1.ef271e61fac01p-15, -0x1.e2ae1c0c2030cp-15, -0x1.d69393b92759bp-15, -0x1.cad5b81e9d89dp-15, -0x1.bf726440f8f57p-15, -0x1.b466ee012d0dfp-15, -0x1.a9b02a4759c43p-15, -0x1.9f4a84bff4e45p-15, -0x1.953275170751ep-15, -0x1.8b64d47536d6bp-15, -0x1.81deb233d5844p-15, -0x1.789d87a804f5bp-15, -0x1.6f9fcf9d01e64p-15, -0x1.66e45914afc5fp-15, -0x1.5e6863840d4d4p-15, -0x1.56271c7125839p-15, -0x1.4e1bae4600ec5p-15, -0x1.464318a0d611ep-15, -0x1.3e9b7f8df60dbp-15, -0x1.3723008ce813bp-15, -0x1.2fd7e9a89b9e7p-15, -0x1.28b92b54e619bp-15, -0x1.21c615be55b2dp-15, -0x1.1afde1bb8fc25p-15, -0x1.145f94aac6b9fp-15, -0x1.0dea2ace5e483p-15, -0x1.079c35f66aae7p-15, -0x1.01730407ef58fp-15, -0x1.f6d76d132a19ep-16, -0x1.eb0b54d7f5543p-16, -0x1.df82f67f6cec6p-16, -0x1.d43bb9ca7fcd8p-16, -0x1.c9301587177dfp-16, -0x1.be5d109441824p-16, -0x1.b3c147e6de133p-16, -0x1.a9590780146e2p-16, -0x1.9f1fb0d851daap-16, -0x1.9512d664f8d97p-16, -0x1.8b3233d70c981p-16, -0x1.817df6db40a1bp-16, -0x1.77f5f68ba5b1fp-16, -0x1.6e99e4f327624p-16, -0x1.6569ad08535acp-16, -0x1.5c6561c4633a7p-16, -0x1.538b47ae5f057p-16, -0x1.4ad5eb7846c78p-16, -0x1.4240d6f87924ap-16, -0x1.39cd81abcc25ep-16, -0x1.317d765f4e4abp-16, -0x1.294e0f1f164a3p-16, -0x1.213e69c393317p-16, -0x1.19506d1d518cdp-16, -0x1.1183350811ed9p-16, -0x1.09d3036b5123fp-16, -0x1.023c9064b66b2p-16, -0x1.f57d65b610d8cp-17, -0x1.e6b4240296709p-17, -0x1.d81f091d0ff31p-17, -0x1.c9bda0df69d08p-17, -0x1.bb8ed72ac3266p-17, -0x1.ad93c75e0b7f7p-17, -0x1.9fcda1e724077p-17, -0x1.923ae8a5dbf44p-17, -0x1.84d836c363e1cp-17, -0x1.779ff66606c83p-17, -0x1.6a900c6c8584bp-17, -0x1.5dac126f06142p-17, -0x1.50f28c37d73cbp-17, -0x1.4461c9f91d211p-17, -0x1.37fdf6fec055ap-17, -0x1.2bc80d3a35ad3p-17, -0x1.1fbd7a08251bcp-17, -0x1.13db4434f1001p-17, -0x1.081e21dd2ep-17, -0x1.f909a79a931f9p-18, -0x1.e22340f57cf3fp-18, -0x1.cb8bfde3e62bcp-18, -0x1.b5406ef98341ap-18, -0x1.9f401b6a512b4p-18, -0x1.898eb0056017cp-18, -0x1.742b30cdb7b78p-18, -0x1.5f1130da504f1p-18, -0x1.4a3f96f54c94ep-18, -0x1.35b8f2a17386dp-18, -0x1.217a785660e64p-18, -0x1.0d819b36823a1p-18, -0x1.f39e4748399d3p-19, -0x1.ccc238f3b3c3dp-19, -0x1.a678af14538fp-19, -0x1.80c3736e40959p-19, -0x1.5b9e48831205fp-19, -0x1.3709108371d83p-19, -0x1.13010e2daf195p-19, -0x1.defd1f51a6fa7p-20, -0x1.99039f61603afp-20, -0x1.5422a1edae4b8p-20, -0x1.10535bbfb396fp-20, -0x1.9b29385fe79e3p-21, -0x1.17e049bd3e379p-21, -0x1.2d80ddf75bb63p-22, -0x1.7b9b34916f039p-25, 0x1.94dc537d81d32p-23, 0x1.c0259f87ec922p-22, 0x1.58d2f912312abp-21, 0x1.cf66620690f35p-21, 0x1.21ef62030203p-20, 0x1.5b27ae10b0a4dp-20, 0x1.935c8524539d8p-20, 0x1.ca84f47c8e763p-20, 0x1.00500187bc8c8p-19, 0x1.1ada3fafdff81p-19, 0x1.34e10eca70612p-19, 0x1.4e6330b07f941p-19, 0x1.6761fcaea3609p-19, 0x1.7fe113f752b29p-19, 0x1.97df468d7e349p-19, 0x1.af5e211fd625cp-19, 0x1.c65cbcf8603dp-19, 0x1.dcd90d2844fedp-19, 0x1.f2d624c62239ap-19, 0x1.042af17ed13ffp-18, 0x1.0eac4a774e0dap-18, 0x1.18ef2c7dd88d5p-18, 0x1.22f3c3fbd12c2p-18, 0x1.2cba797e18f52p-18, 0x1.36438e3aacdebp-18, 0x1.3f8e72929215ep-18, 0x1.489c38a1d3d35p-18, 0x1.516e8117be1f9p-18, 0x1.5a04a0a140ed5p-18, 0x1.625e490f2b41fp-18, 0x1.6a7cba3f6a5bdp-18, 0x1.726065939bb5bp-18, 0x1.7a096fda9cf0ap-18, 0x1.8177ba95eb1e7p-18, 0x1.88abfc3eee6fbp-18, 0x1.8fa75a8db2c94p-18, 0x1.966a616e51d2ap-18, 0x1.9cf4aca5e09b9p-18, 0x1.a3468b168733dp-18, 0x1.a961132bd3be7p-18, 0x1.af44bd7b6dcc7p-18, 0x1.b4f1e9d5799a5p-18, 0x1.ba690c665dff4p-18, 0x1.bfaaa39898a4fp-18, 0x1.c4b72cb396c17p-18, 0x1.c98f22ade4536p-18, 0x1.ce330e410a972p-18, 0x1.d2a38b5778f78p-18, 0x1.d6e0eeac1cb0dp-18, 0x1.daebb680f1791p-18, 0x1.dec4f3b3602f8p-18, 0x1.e26c9fd7e28ep-18, 0x1.e5e37c1708d72p-18, 0x1.e92a394bfad5p-18, 0x1.ec415b3babf44p-18, 0x1.ef2954f24170dp-18, 0x1.f1e2711a80ed7p-18, 0x1.f46db112538a5p-18, 0x1.f6cbdfddf547dp-18, 0x1.f8fd044ad45cp-18, 0x1.fb01e05af1872p-18, 0x1.fcdb353fbf2f1p-18, 0x1.fe89899fbf487p-18, 0x1.0006b64c02755p-17, 0x1.00b3bab5bffacp-17, 0x1.014c1f2a0a515p-17, 0x1.01d0314fb82aep-17, 0x1.02403f044f242p-17, 0x1.029c95bee863bp-17, 0x1.02e5818fb74eap-17, 0x1.031b4ecabb5e9p-17, 0x1.033e4f1525f6ep-17, 0x1.034ed4e73b513p-17, 0x1.034d1dc71e20bp-17, 0x1.033989386c0bfp-17, 0x1.0314544d96ce4p-17, 0x1.02dddcbfa37fep-17, 0x1.029670f9af041p-17, 0x1.023e5ae6b642bp-17, 0x1.01d5df80fcab5p-17, 0x1.015d420232a91p-17, 0x1.00d4fadbada2p-17, 0x1.003d2b0bc866p-17, 0x1.ff2c6845d26fcp-18, 0x1.fdc0cee3352ecp-18, 0x1.fc38182683373p-18, 0x1.fa92da6537c25p-18, 0x1.f8d1adc2a7005p-18, 0x1.f6f529f8d09a4p-18, 0x1.f4fde6310eb0fp-18, 0x1.f2ec79f80cc5bp-18, 0x1.f0c178d92cd16p-18, 0x1.ee7d7b046c74ap-18, 0x1.ec21147db7069p-18, 0x1.e9acd7fe958bbp-18, 0x1.e721549b3bda3p-18, 0x1.e47f1ac0d2ab5p-18, 0x1.e1c6c2fcfeea3p-18, 0x1.def8e604b683p-18, 0x1.dc15f8372f45dp-18, 0x1.d91e85a60a6f5p-18, 0x1.d61334e25de7cp-18, 0x1.d2f48ceece656p-18, 0x1.cfc31be4e13ffp-18, 0x1.cc7f54206713cp-18, 0x1.c929c7f5e930dp-18, 0x1.c5c2ed221a6acp-18, 0x1.c24b67926da66p-18, 0x1.bec3bcd022385p-18, 0x1.bb2c642f8cc3p-18, 0x1.b785deb122424p-18, 0x1.b3d0adb713d2p-18, 0x1.b00d511e1953fp-18, 0x1.ac3c475e063ecp-18, 0x1.a85e0d0d7c1ebp-18, 0x1.a4731d966351ep-18, 0x1.a07bf325fe4d1p-18, 0x1.9c7906bdcb9fbp-18, 0x1.986ad0139f3b6p-18, 0x1.9451c5a357bd9p-18, 0x1.902e5c6a6f819p-18, 0x1.8c010fc945df8p-18, 0x1.87ca259b6ecbbp-18, 0x1.838a5627366edp-18, 0x1.7f41dbb0c5e9bp-18, 0x1.7af1454fb4efp-18, 0x1.7698e13364083p-18, 0x1.72391138be785p-18, 0x1.6dd26127b5187p-18, 0x1.69653c7a6cca5p-18, 0x1.64f1fa2d7bff1p-18, 0x1.6078d2c995f7ap-18, 0x1.5bfa5b228167cp-18, 0x1.5776fe02d6063p-18, 0x1.52ef096d5255p-18, 0x1.4e62db052479bp-18, 0x1.49d2d0e635d4cp-18, 0x1.453f46bb2b538p-18, 0x1.40a89888e588ap-18, 0x1.3c0f1db23073p-18, 0x1.37732e3685eb5p-18, 0x1.32d51ff783281p-18, 0x1.2e3546f23683cp-18, 0x1.2993f63dedc4ap-18, 0x1.24f17f21255ffp-18, 0x1.204e319232dddp-18, 0x1.1baa5cd21f30ep-18, 0x1.17064e7f12a48p-18, 0x1.1262518f0e1f6p-18, 0x1.0dbeaff80b3b9p-18, 0x1.091bb1979bb4bp-18, 0x1.04799d48cc1f2p-18, 0x1.ffb1748399772p-19, 0x1.f672a15e6ea13p-19, 0x1.ed375581a702dp-19, 0x1.e3ffccbd4fe11p-19, 0x1.daccdf8ea0844p-19, 0x1.d19effbc835bp-19, 0x1.c876405cf6bc6p-19, 0x1.bf53941b6301ap-19, 0x1.b6374dfa68973p-19, 0x1.ad21d6948c27bp-19, 0x1.a4139fca8007ap-19, 0x1.9b0d1861dad4ap-19, 0x1.920eac001d7acp-19, 0x1.8918c37e7f0ap-19, 0x1.802bc5139a6ccp-19, 0x1.7748145edf66cp-19, 0x1.6e6e1284ae8afp-19, 0x1.659e1e21ffecp-19, 0x1.5cd89357a5fd8p-19, 0x1.541dcbdc77e2ep-19, 0x1.4b6e1ef5cb7b4p-19, 0x1.42c9e18b965cap-19, 0x1.3a31663645e8cp-19, 0x1.31a4fd2f47977p-19, 0x1.2924f41be886ap-19, 0x1.20b19681b33d1p-19, 0x1.184b2e2db54f8p-19, 0x1.0ff201a07b5d1p-19, 0x1.07a655ecbfef9p-19, 0x1.fed0daee362ecp-20, 0x1.ee710fd10e4cfp-20, 0x1.de2dc401f0b72p-20, 0x1.ce0787c19800fp-20, 0x1.bdfecfc69dd7dp-20, 0x1.ae13ad7cb884bp-20, 0x1.9e4705972244fp-20, 0x1.8e991566ce39dp-20, 0x1.7f0a3c861c789p-20, 0x1.6f9adcdd681c7p-20, 0x1.604b5376469ddp-20, 0x1.511bf9d29fafbp-20, 0x1.420d1e541958p-20, 0x1.331f20f396e22p-20, 0x1.24524198ab14cp-20, 0x1.15a6cfed654d4p-20, 0x1.071d117b67dcfp-20, 0x1.f16a944709c2p-21, 0x1.d4df71b6474eap-21, 0x1.b89933f6ece7ep-21, 0x1.9c984d3973f77p-21, 0x1.80dd28e712193p-21, 0x1.65682c1a1478fp-21, 0x1.4a39b58dd3456p-21, 0x1.2f521e294bfffp-21, 0x1.14b1b886b371dp-21, 0x1.f4b1a29b71822p-22, 0x1.c08f5f51fc07bp-22, 0x1.8cfd29edd83e2p-22, 0x1.59fb79d22e32bp-22, 0x1.278aba1939a4ap-22, }}, 
      {{0x1.b98abb4039a8cp-3, 0x1.b695c228e5c55p-2, 0x1.455ca3ca51c2fp-1, 0x1.ab6bdefd097a3p-1, 0x1.064175078a31p+0, 0x1.33f15e20ffe8cp+0, 0x1.5e7fc9f689936p+0, 0x1.85bde4728f786p+0, 0x1.a990ef3ddf74p+0, 0x1.c9ef42dc3b1dbp+0, 0x1.e6dd75f58d00ap+0, 0x1.0035e03f84694p+1, 0x1.0b59d1ab5b69ap+1, 0x1.14eaeaec9ed77p+1, 0x1.1cfc3bb6e894bp+1, 0x1.23a2c09ff1e62p+1, 0x1.28f4b9bc68ca2p+1, 0x1.2d091c6aeef68p+1, 0x1.2ff71da463a87p+1, 0x1.31d5d22a3c5c5p+1, 0x1.32bbe1ff129bap+1, 0x1.32bf4cb58892ep+1, 0x1.31f53c48fc009p+1, 0x1.3071e45f4be2bp+1, 0x1.2e486bfe8a911p+1, 0x1.2b8adfeb46cbep+1, 0x1.284a2c171c7a4p+1, 0x1.24961ab3c474bp+1, 0x1.207d5796db59p+1, 0x1.1c0d76f2b72a7p+1, 0x1.1752fe70d188bp+1, 0x1.12596ff8020dcp+1, 0x1.0d2b55b11aeb4p+1, 0x1.07d24ea381662p+1, 0x1.02571bd98ca1cp+1, 0x1.f9835b81d0e4p+0, 0x1.ee32629e1f46ap+0, 0x1.e2c839fca0ff2p+0, 0x1.d7507b3f34134p+0, 0x1.cbd5855080127p+0, 0x1.c06093c259241p+0, 0x1.b4f9d53dd1619p+0, 0x1.a9a88110504d2p+0, 0x1.9e72eb8fa35afp+0, 0x1.935e992e560d9p+0, 0x1.8870505ab73eap+0, 0x1.7dac2a4fbfeb1p+0, 0x1.7315a2e335859p+0, 0x1.68afa74704d92p+0, 0x1.5e7ca3b733d5dp+0, 0x1.547e901d06cdfp+0, 0x1.4ab6fbba7b75ep+0, 0x1.412717f1da4e3p+0, 0x1.37cfc2380833dp+0, 0x1.2eb18d3b59141p+0, 0x1.25ccc9487d2c3p+0, 0x1.1d218bf6488a7p+0, 0x1.14afb72258debp+0, 0x1.0c76ff4e3f217p+0, 0x1.0476f16513108p+0, 0x1.f95deff09504dp-1, 0x1.ea3cbffee6cdap-1, 0x1.db88ba3d9e714p-1, 0x1.cd401b0f021fap-1, 0x1.bf60fadc5e68cp-1, 0x1.b1e95455b9ad2p-1, 0x1.a4d70a025ed63p-1, 0x1.9827eb3a6e75dp-1, 0x1.8bd9b893fa21fp-1, 0x1.7fea27cdc6f4p-1, 0x1.7456e749f5ae2p-1, 0x1.691da11b2e589p-1, 0x1.5e3bfdb721664p-1, 0x1.53afa64f5f729p-1, 0x1.497646e0171e7p-1, 0x1.3f8d8ff68d022p-1, 0x1.35f3383ae50f1p-1, 0x1.2ca4fdc00d90fp-1, 0x1.23a0a7228a684p-1, 0x1.1ae40478ef5b5p-1, 0x1.126cf01d1e955p-1, 0x1.0a394f509db94p-1, 0x1.024712c1ef853p-1, 0x1.f5286de965aebp-2, 0x1.e63d892352e1dp-2, 0x1.d7c9a13f50cfep-2, 0x1.c9c8f954328d5p-2, 0x1.bc37edaad61edp-2, 0x1.af12f3cb50e53p-2, 0x1.a2569a6ded7bap-2, 0x1.95ff8957ea0b6p-2, 0x1.8a0a812293ba3p-2, 0x1.7e745af3a967fp-2, 0x1.733a0826152b1p-2, 0x1.685891e75eeb7p-2, 0x1.5dcd18cb59d25p-2, 0x1.5394d4563261dp-2, 0x1.49ad12820b367p-2, 0x1.4013373cc3d5ep-2, 0x1.36c4bbe3c708ep-2, 0x1.2dbf2ebb12fdcp-2, 0x1.2500326367464p-2, 0x1.1c857d4f80f08p-2, 0x1.144cd9368c627p-2, 0x1.0c542289dde9fp-2, 0x1.049947e905d9p-2, 0x1.fa34932e607ddp-3, 0x1.ebaa71e83eadcp-3, 0x1.dd906fe77c694p-3, 0x1.cfe2f134ab2fp-3, 0x1.c29e78f5e21bbp-3, 0x1.b5bfa86c1db88p-3, 0x1.a9433dfc20b87p-3, 0x1.9d261439f217fp-3, 0x1.916520f7daad6p-3, 0x1.85fd7460f7e3p-3, 0x1.7aec3816078d5p-3, 0x1.702eae4efc2a9p-3, 0x1.65c23107c74ep-3, 0x1.5ba4312fa6275p-3, 0x1.51d235dd3918ep-3, 0x1.4849db8d2cfb6p-3, 0x1.3f08d3647f172p-3, 0x1.360ce2765d95bp-3, 0x1.2d53e113e711ap-3, 0x1.24dbba20d4de9p-3, 0x1.1ca26a6aaaf3ep-3, 0x1.14a600088c0e4p-3, 0x1.0ce499c0a16dp-3, 0x1.055c66704b0aep-3, 0x1.fc1748f53a16ap-4, 0x1.ede1427a56784p-4, 0x1.e0137111a7293p-4, 0x1.d2aaa83b0867dp-4, 0x1.c5a3d6590bfdp-4, 0x1.b8fc03c003fe5p-4, 0x1.acb051c9f220bp-4, 0x1.a0bdf9f253968p-4, 0x1.95224cfd84075p-4, 0x1.89dab227acdaap-4, 0x1.7ee4a6586fbbbp-4, 0x1.743dbb5e428edp-4, 0x1.69e39733cab72p-4, 0x1.5fd3f34b13bd9p-4, 0x1.560c9bdd3ede1p-4, 0x1.4c8b6f41536bbp-4, 0x1.434e5d4b321e6p-4, 0x1.3a5366afd516ap-4, 0x1.31989c6d9640fp-4, 0x1.291c1f3a6069p-4, 0x1.20dc1ef8cb7bcp-4, 0x1.18d6da32310d2p-4, 0x1.110a9d944cfa1p-4, 0x1.0975c3738c98ep-4, 0x1.0216b353237a5p-4, 0x1.f5d7c2e3fddafp-5, 0x1.e7e79cb5a6e56p-5, 0x1.da5a0cefd3abdp-5, 0x1.cd2c4356e0e36p-5, 0x1.c05b85d8b2cdp-5, 0x1.b3e52fcce8028p-5, 0x1.a7c6b13ab30c1p-5, 0x1.9bfd8e259765ep-5, 0x1.90875de203122p-5, 0x1.8561ca7091e7fp-5, 0x1.7a8a8fde52a64p-5, 0x1.6fff7baa2cc1ap-5, 0x1.65be6c305c28cp-5, 0x1.5bc5501c0de7fp-5, 0x1.521225de4278bp-5, 0x1.48a2fb292951dp-5, 0x1.3f75ec6f41edp-5, 0x1.36892467f4c89p-5, 0x1.2ddadb996eeb6p-5, 0x1.256957e5fd8d7p-5, 0x1.1d32ec1d90524p-5, 0x1.1535f792b3eaep-5, 0x1.0d70e5b3a5eafp-5, 0x1.05e22da775251p-5, 0x1.fd10a3dd5105bp-6, 0x1.eec3c00dd5043p-6, 0x1.e0dae023925bfp-6, 0x1.d35348fd58001p-6, 0x1.c62a53702a402p-6, 0x1.b95d6ba7c350fp-6, 0x1.acea108c402d4p-6, 0x1.a0cdd32cd318dp-6, 0x1.9506562f9abd2p-6, 0x1.89914d46c1c2ep-6, 0x1.7e6c7caaa089cp-6, 0x1.7395b89874a05p-6, 0x1.690ae4d5371p-6, 0x1.5ec9f4348c8f7p-6, 0x1.54d0e823ef467p-6, 0x1.4b1dd039fa369p-6, 0x1.41aec9c9ad772p-6, 0x1.3881ff78dc639p-6, 0x1.2f95a8dbfb7fp-6, 0x1.26e80a10909c2p-6, 0x1.1e77736052ac9p-6, 0x1.164240e560387p-6, 0x1.0e46da303e886p-6, 0x1.0683b1f2a3558p-6, 0x1.fdee8b583186fp-7, 0x1.ef403ab2e2715p-7, 0x1.e0f9964ddb119p-7, 0x1.d317d649e8bap-7, 0x1.c59845fe8a15ap-7, 0x1.b878436d1094ap-7, 0x1.abb53eb7e161cp-7, 0x1.9f4cb99e39cbbp-7, 0x1.933c46fc1ba81p-7, 0x1.87818a4e6a225p-7, 0x1.7c1a373af096fp-7, 0x1.7104111c3e605p-7, 0x1.663cea90fd80dp-7, 0x1.5bc2a50ec9cd6p-7, 0x1.519330784508bp-7, 0x1.47ac8ab6ceadfp-7, 0x1.3e0cbf5709e9cp-7, 0x1.34b1e728b9265p-7, 0x1.2b9a27e16dd36p-7, 0x1.22c3b3c1fe33cp-7, 0x1.1a2cc93eaaab3p-7, 0x1.11d3b2a9f2694p-7, 0x1.09b6c5e1fc472p-7, 0x1.01d46400821ccp-7, 0x1.f455f21a2d72dp-8, 0x1.e571f763794b4p-8, 0x1.d6f9d9e353961p-8, 0x1.c8eaafc44e85p-8, 0x1.bb41a2cb1b229p-8, 0x1.adfbefd086de1p-8, 0x1.a116e63f71802p-8, 0x1.948fe79679f18p-8, 0x1.886466ed4cb85p-8, 0x1.7c91e87d6c332p-8, 0x1.7116012e554c7p-8, 0x1.65ee5624e7e09p-8, 0x1.5b189c5609d57p-8, 0x1.5092981c616b9p-8, 0x1.465a1cd10e4c8p-8, 0x1.3c6d0c674ba96p-8, 0x1.32c9570ac67f2p-8, 0x1.296cfac0b2fabp-8, 0x1.2056030b7cf58p-8, 0x1.17828890f7654p-8, 0x1.0ef0b0c30bddbp-8, 0x1.069ead8ade9cp-8, 0x1.fd1579eca99cdp-9, 0x1.ed6651ce36b58p-9, 0x1.de2c8d886c534p-9, 0x1.cf64ee6014e87p-9, 0x1.c10c4b7881128p-9, 0x1.b31f9143c4bf6p-9, 0x1.a59bc0f718ec1p-9, 0x1.987df002370f3p-9, 0x1.8bc3478a12f3bp-9, 0x1.7f6903e76dbd9p-9, 0x1.736c7428d4e19p-9, 0x1.67caf9980acf8p-9, 0x1.5c820742763b5p-9, 0x1.518f21849a453p-9, 0x1.46efdd986054fp-9, 0x1.3ca1e12668946p-9, 0x1.32a2e1da46022p-9, 0x1.28f0a4f9e2ea6p-9, 0x1.1f88feffb7a31p-9, 0x1.1669d337a201dp-9, 0x1.0d91135dfe67fp-9, 0x1.04fcbf40df7dfp-9, 0x1.f955c8c6b9778p-10, 0x1.e9333b4675794p-10, 0x1.d98e25c2773c2p-10, 0x1.ca62f1588c467p-10, 0x1.bbae1fde6ae7dp-10, 0x1.ad6c4b41aa1a7p-10, 0x1.9f9a24ea37c6dp-10, 0x1.923475213df01p-10, 0x1.85381a75ad84dp-10, 0x1.78a20929bd853p-10, 0x1.6c6f4aa141347p-10, 0x1.609cfcd773d21p-10, 0x1.552851da9943ap-10, 0x1.4a0e8f4c45f2ap-10, 0x1.3f4d0de3d1bc5p-10, 0x1.34e138f1164ffp-10, 0x1.2ac88ddec7197p-10, 0x1.21009bb537814p-10, 0x1.178702a04ab2dp-10, 0x1.0e59737b5d7bep-10, 0x1.0575af64a0677p-10, 0x1.f9b30eaeed1e7p-11, 0x1.e905b7966e58bp-11, 0x1.d8df38a4a357ep-11, 0x1.c93b8e6df0ab7p-11, 0x1.ba16d22837c8dp-11, 0x1.ab6d38d9720cdp-11, 0x1.9d3b128ad5e46p-11, 0x1.8f7cc9891feb9p-11, 0x1.822ee1b7716dcp-11, 0x1.754df7f3e2de7p-11, 0x1.68d6c18782485p-11, 0x1.5cc60b977fedap-11, 0x1.5118ba8e0cfb9p-11, 0x1.45cbc976db15cp-11, 0x1.3adc495196a21p-11, 0x1.3047606260913p-11, 0x1.260a498bc9acfp-11, 0x1.1c2253ba81a5ap-11, 0x1.128ce1669341fp-11, 0x1.0947682c31cdep-11, 0x1.004f70657a2f8p-11, 0x1.ef4529159b446p-12, 0x1.de7d0227a2f1dp-12, 0x1.ce41e7fc372efp-12, 0x1.be8f77a32e216p-12, 0x1.af616ec5b4b71p-12, 0x1.a0b3aa7d19094p-12, 0x1.928226579cdddp-12, 0x1.84c8fb8c06ac4p-12, 0x1.7784604f7c9a3p-12, 0x1.6ab0a74118833p-12, 0x1.5e4a3ed9c5facp-12, 0x1.524db0d0db4d1p-12, 0x1.46b7a16aa0484p-12, 0x1.3b84ceadad531p-12, 0x1.30b20f8547ecep-12, 0x1.263c52db3e968p-12, 0x1.1c209eb6fa3f2p-12, 0x1.125c0f700592fp-12, 0x1.08ebd701e1271p-12, 0x1.ff9a7910aec4p-13, 0x1.edfb37c4b3f37p-13, 0x1.dcf4cada8f7acp-13, 0x1.cc823b80e83eep-13, 0x1.bc9ebaa1b0be8p-13, 0x1.ad459fd88ca01p-13, 0x1.9e72680b63a62p-13, 0x1.9020b3b31acd7p-13, 0x1.824c44fc72106p-13, 0x1.74f0fdfabe379p-13, 0x1.680adf388d959p-13, 0x1.5b9606e3eb9a8p-13, 0x1.4f8eb0a63d6a5p-13, 0x1.43f135f8dd793p-13, 0x1.38ba0e91b6115p-13, 0x1.2de5d079bdd36p-13, 0x1.23712f81b8d1fp-13, 0x1.1958fc05f1f41p-13, 0x1.0f9a211ce471cp-13, 0x1.0631a26c35f5ep-13, 0x1.fa3933e720f5fp-14, 0x1.e8b06c6f8e1e4p-14, 0x1.d7c3727b0e51ep-14, 0x1.c76cf1361126p-14, 0x1.b7a7bd0926ee1p-14, 0x1.a86ed6862f07p-14, 0x1.99bd6c9e8fcc5p-14, 0x1.8b8edcfb1330fp-14, 0x1.7ddeb23a83603p-14, 0x1.70a8a0a0886f9p-14, 0x1.63e881fa85644p-14, 0x1.579a514a038afp-14, 0x1.4bba26851fa21p-14, 0x1.40443309e6ee9p-14, 0x1.3534bfcd7b935p-14, 0x1.2a882e40764c3p-14, 0x1.203afb455a1f2p-14, 0x1.1649c355f49c8p-14, 0x1.0cb146ccaf85cp-14, 0x1.036e68616ef25p-14, 0x1.f4fc582430189p-15, 0x1.e3bb674c885f1p-15, 0x1.d31477239e871p-15, 0x1.c302309248081p-15, 0x1.b37f66f6ee12p-15, 0x1.a48711cbd39f8p-15, 0x1.961446a43a4e6p-15, 0x1.882237603d24bp-15, 0x1.7aac354507057p-15, 0x1.6dadb8c1c419ap-15, 0x1.612268c3c5c74p-15, 0x1.55061d49a1cccp-15, 0x1.4954dc67464dcp-15, 0x1.3e0ad4cfbfb9ep-15, 0x1.332459d03e03fp-15, 0x1.289de202d7492p-15, 0x1.1e7406b459e92p-15, 0x1.14a3813be12d9p-15, 0x1.0b2925b33db1cp-15, 0x1.0201dd680e5b8p-15, 0x1.f255488d5bc84p-16, 0x1.e1411541a04a7p-16, 0x1.d0c1737503449p-16, 0x1.c0d0ef56ddc92p-16, 0x1.b16a4f42e38efp-16, 0x1.a2888ce3fe0acp-16, 0x1.9426cd5c0acbbp-16, 0x1.86405fe6e3328p-16, 0x1.78d0c3bcc97bp-16, 0x1.6bd3ad85c3202p-16, 0x1.5f4504392fb91p-16, 0x1.5320d60804e21p-16, 0x1.4763510036619p-16, 0x1.3c08b9c08c423p-16, 0x1.310d7681c2ce8p-16, 0x1.266e1e8655a4cp-16, 0x1.1c2762576ef27p-16, 0x1.1236152f3d345p-16, 0x1.08972231b7e9dp-16, 0x1.fe8f0f96fc408p-17, 0x1.ec88ad9e85ef5p-17, 0x1.db15708b4689fp-17, 0x1.ca2ff1be5683dp-17, 0x1.b9d31f9da6735p-17, 0x1.a9fa2f9049c52p-17, 0x1.9aa07979a64e4p-17, 0x1.8bc160e82684fp-17, 0x1.7d58628070e0fp-17, 0x1.6f6137f953cbfp-17, 0x1.61d7ed02fa2b1p-17, 0x1.54b8d11090072p-17, 0x1.480055c3878b6p-17, 0x1.3baaf6ffefadp-17, 0x1.2fb537df546b2p-17, 0x1.241bac221e248p-17, 0x1.18db01de68b87p-17, 0x1.0df00b9dc3f0ep-17, 0x1.0357cf6255f21p-17, 0x1.f21f198a6bcf6p-18, 0x1.de294fae6cf0cp-18, 0x1.cac908c83d20bp-18, 0x1.b7f8ee7d1eebfp-18, 0x1.a5b3bf36e771ap-18, 0x1.93f49ddd3024ep-18, 0x1.82b73179179f3p-18, 0x1.71f782f38a2f5p-18, 0x1.61b1c2af73d22p-18, 0x1.51e22084909d3p-18, 0x1.4284c6245081ep-18, 0x1.3395eecf2f433p-18, 0x1.25120359f436ep-18, 0x1.16f59fd56a66bp-18, 0x1.093d8be1be1f4p-18, 0x1.f7cd77322e6cdp-19, 0x1.dddc9ba7b91b2p-19, 0x1.c4a2e02ed7fddp-19, 0x1.ac1a7f8710e2dp-19, 0x1.943daed6fd199p-19, 0x1.7d06fc14443f7p-19, 0x1.66717a9a3c5dbp-19, 0x1.50789c0805fcfp-19, 0x1.3b1804266881fp-19, 0x1.264b7e27aab1cp-19, 0x1.120ef55199eb9p-19, 0x1.fcbccea8b80c2p-20, 0x1.d66bd704edc4dp-20, 0x1.b12397dca27d6p-20, 0x1.8cdd2fa017f81p-20, 0x1.6992330bf9182p-20, 0x1.473c603a49287p-20, 0x1.25d562576a2bap-20, 0x1.0556d2eaa4fc7p-20, 0x1.cb74968c85fd4p-21, 0x1.8df33bfc8b3e2p-21, 0x1.521e9b3b92f5ap-21, 0x1.17ed1fddc21b5p-21, 0x1.beaaa9f197865p-22, 0x1.509a817b4a9abp-22, 0x1.cb2b0109c0786p-23, 0x1.f62399ca38fd4p-24, 0x1.86301ce139ee8p-26, -0x1.27b2d70c28bd4p-24, -0x1.52ebd7442ef2p-23, -0x1.064812a8373a7p-22, -0x1.607213805a477p-22, -0x1.b8016e9c47219p-22, -0x1.06815680a601bp-21, -0x1.2fc19a5d993cdp-21, -0x1.57c8fbdc79aedp-21, -0x1.7e9ec1fc36ddp-21, -0x1.a44a6790cc37ep-21, -0x1.c8d1df98c14a5p-21, -0x1.ec396d489a8dcp-21, -0x1.074319db4bd5ap-20, -0x1.17deeddef9539p-20, -0x1.27f3217fc1688p-20, -0x1.37827a3fb5de6p-20, -0x1.468fac1d5a6a1p-20, -0x1.551d490ae4189p-20, -0x1.632da98af8cd4p-20, -0x1.70c305a73745ap-20, -0x1.7ddf9b538081p-20, -0x1.8a859f9e8a55dp-20, -0x1.96b71f9dca8cdp-20, -0x1.a2760acba48e4p-20, -0x1.adc46085a7198p-20, -0x1.b8a4551ddb86dp-20, -0x1.c318370b6ad6cp-20, -0x1.cd2228380b939p-20, -0x1.d6c407e17b8fbp-20, -0x1.dfff75a57126cp-20, -0x1.e8d6038b47c79p-20, -0x1.f1498666f35c1p-20, -0x1.f95be0fd1b7cfp-20, -0x1.0087663210adcp-19, -0x1.04320175f5f8cp-19, -0x1.07aea29801521p-19, -0x1.0afe236f995afp-19, -0x1.0e21573efc896p-19, -0x1.111908c653045p-19, -0x1.13e5f7125cb6ap-19, -0x1.1688dcb2c514ep-19, -0x1.19027b045bb63p-19, -0x1.1b5395dfd0a3fp-19, -0x1.1d7ce9ea77e8dp-19, -0x1.1f7f344b0d9b5p-19, -0x1.215b383386e2ap-19, -0x1.2311b39ae66afp-19, -0x1.24a35455317c3p-19, -0x1.2610c42e2714p-19, -0x1.275aafcbbfc31p-19, -0x1.2881c6632694cp-19, -0x1.2986b9c5df973p-19, -0x1.2a6a2e8151ff4p-19, -0x1.2b2cca60f98c1p-19, -0x1.2bcf35a3c42a2p-19, -0x1.2c521793fac55p-19, -0x1.2cb61955ebe35p-19, -0x1.2cfbe1e292bedp-19, -0x1.2d240d0cb79dfp-19, -0x1.2d2f2f231300fp-19, -0x1.2d1de2dd75644p-19, -0x1.2cf0c5d7260f7p-19, -0x1.2ca8731eb6cc9p-19, -0x1.2c4585442e085p-19, -0x1.2bc892ea4df6dp-19, -0x1.2b322ee94057ep-19, -0x1.2a82ecc208408p-19, -0x1.29bb5dee7355bp-19, -0x1.28dc0e65fe686p-19, -0x1.27e58f4647638p-19, -0x1.26d8735fa3ac4p-19, -0x1.25b5456d21817p-19, -0x1.247c8ee087da7p-19, -0x1.232ed6fd6918cp-19, -0x1.21cca6e752884p-19, -0x1.20568224cbcdcp-19, -0x1.1eccf9fab726ap-19, -0x1.1d308d7146aa9p-19, -0x1.1b819f02d0d47p-19, -0x1.19c10b50ca482p-19, -0x1.17eef3afd332ep-19, -0x1.160bf971e648ap-19, -0x1.1418979c3ea1dp-19, -0x1.12154dd16e2dep-19, -0x1.10029673f0e56p-19, -0x1.0de0eabea468ep-19, -0x1.0bb0c125c8979p-19, -0x1.09728f39736ep-19, -0x1.0726cad66dbd3p-19, -0x1.04cde782f9a4ep-19, -0x1.026856ee2fc66p-19, -0x1.ffed178f4748p-20, -0x1.faf1ef2ca0723p-20, -0x1.f5e00e2900d8ap-20, -0x1.f0b84c2437d69p-20, -0x1.eb7b8237cb26dp-20, -0x1.e62a84f3c85dbp-20, -0x1.e0c6263f90813p-20, -0x1.db4f353be769ap-20, -0x1.d5c67e880be0ep-20, -0x1.d02ccc76f8ee3p-20, -0x1.ca82e66e0d458p-20, -0x1.c4c98f65b3c0cp-20, -0x1.bf01880f2c93p-20, -0x1.b92b8f7c171d2p-20, -0x1.b34860fa2e6b9p-20, -0x1.ad58b6dd0e964p-20, -0x1.a75d467f2d691p-20, -0x1.a156c3f5d0d6p-20, -0x1.9b45dfc07bda8p-20, -0x1.952b474c5671p-20, -0x1.8f07a596e6ecap-20, -0x1.88dba3a5ad43cp-20, -0x1.82a7e742e0a97p-20, -0x1.7c6d138954c0cp-20, -0x1.762bc9ec6d307p-20, -0x1.6fe4a650796a3p-20, -0x1.6998440ae4fafp-20, -0x1.63473bab256e5p-20, -0x1.5cf2232889d36p-20, -0x1.56998d2f835a1p-20, -0x1.503e062fefd73p-20, -0x1.49e01fa253c71p-20, -0x1.43806448db99cp-20, -0x1.3d1f5b04276ddp-20, -0x1.36bd89c9ff23p-20, -0x1.305b735fb44e4p-20, -0x1.29f997cd400d5p-20, -0x1.239874956d1cp-20, -0x1.1d3884c01b56ap-20, -0x1.16da40d72d6edp-20, -0x1.107e1edab6809p-20, -0x1.0a24923c27859p-20, -0x1.03ce0bd513099p-20, -0x1.faf5f3a415eebp-21, -0x1.ee578fb915ac1p-21, -0x1.e1c1bef653753p-21, -0x1.d5354fbaf658fp-21, -0x1.c8b30a5f513d2p-21, -0x1.bc3bb3ca645cbp-21, -0x1.afd00bc047c2fp-21, -0x1.a370d39fced84p-21, -0x1.971e6b29e6efp-21, -0x1.8ada6270bee5fp-21, -0x1.7ea46787b102cp-21, -0x1.727dc0073ebbbp-21, -0x1.6666d01bd4275p-21, -0x1.5a604644b0be8p-21, -0x1.4e6abcb01a31p-21, -0x1.4286c964b57b8p-21, -0x1.36b4fdd5b5809p-21, -0x1.2af5e73cc46b5p-21, -0x1.1f4a0e8b0aea4p-21, -0x1.13b1f86f73346p-21, -0x1.082e257780d5p-21, -0x1.f97e29d1e8809p-22, -0x1.e2ca6d9225e25p-22, -0x1.cc420fa4816a2p-22, -0x1.b5e5eb9ceb42fp-22, -0x1.9fb6d9ec5baf2p-22, -0x1.89b5aad594c1dp-22, -0x1.73e32769b7be3p-22, -0x1.5e4011f311efp-22, -0x1.48cd2501ec46p-22, -0x1.338b10cca7ebcp-22, -0x1.1e7a84a5f851bp-22, -0x1.099c275a884bbp-22, -0x1.e9e13d18c75d2p-23, -0x1.c0f0b3ad617e3p-23, -0x1.98680bc1bd824p-23, -0x1.70486375a2339p-23, -0x1.4892ab5d4e5f5p-23, -0x1.2147da10e5475p-23, -0x1.f4d1b39312a7ep-24, -0x1.a7ed0f7e69444p-24, -0x1.5be369641e9dep-24, -0x1.10b64a865a5edp-24, -0x1.8cce52d1f73e5p-25, -0x1.f3dd339a1db47p-26, -0x1.a340274e28d87p-27, 0x1.34589cdeca595p-28, 0x1.684126956a48p-26, 0x1.3fee7c864015p-25, 0x1.c9f30010007b8p-25, 0x1.29163d1d13f31p-24, 0x1.6c4cba63cfecp-24, 0x1.ae9bd84551e3ep-24, 0x1.f0052545cae22p-24, 0x1.18422ef98039ap-23, 0x1.380df67585cd9p-23, 0x1.5765710698c2fp-23, 0x1.76485d3d40b5bp-23, 0x1.94b6a4c14464cp-23, 0x1.b2b0395eb5168p-23, 0x1.d03512d20f4a4p-23, 0x1.ed452e25b7c6ep-23, 0x1.04f04d940082p-22, 0x1.1303b2f93ce72p-22, 0x1.20dcd1b83664cp-22, 0x1.2e7bbad14b617p-22, 0x1.3be07fc225009p-22, 0x1.490b29fefed03p-22, 0x1.55fcb6e58daf3p-22, 0x1.62b2fb5a163bdp-22, 0x1.6f3068bee50fdp-22, 0x1.7b743c4d8436fp-22, 0x1.877e6c73c86fbp-22, 0x1.934feee6df464p-22, 0x1.9ee82ca7757ddp-22, 0x1.aa479a481004fp-22, 0x1.b56e6be5327cbp-22, 0x1.c05cdd949bbd7p-22, 0x1.cb132c7e36a3cp-22, 0x1.d59191c49dafep-22, 0x1.dfd84da2bcc6dp-22, 0x1.e9e7a4acd49b1p-22, 0x1.f3bfdd2cd9d9fp-22, 0x1.fd613ea82ba99p-22, 0x1.036609c22a408p-21, 0x1.0800542745c99p-21, 0x1.0c7fa6d14731bp-21, 0x1.10e42972dd664p-21, 0x1.152e05a4c2fffp-21, 0x1.195d66b86cdfbp-21, 0x1.1d72778c41c0cp-21, 0x1.216d64d2bf925p-21, 0x1.254e5bf5cc11cp-21, 0x1.29158b2edf23ap-21, 0x1.2cc32192d8eeep-21, 0x1.30574f05ebe27p-21, 0x1.33d24431c009fp-21, 0x1.3734327dc88d4p-21, 0x1.3a7d4c0625b6ep-21, 0x1.3dadc39618c8ep-21, 0x1.40c5cc9ff1077p-21, 0x1.43c59b36271p-21, 0x1.46ad6405e9cfdp-21, 0x1.497d5c518321p-21, 0x1.4c35b9f0c9782p-21, 0x1.4ed6b35719d16p-21, 0x1.51607f3e2c19bp-21, 0x1.53d350b63842ep-21, 0x1.562f621536c5ap-21, 0x1.5874f7b8c4ap-21, 0x1.5aa437fe63558p-21, 0x1.5cbd61e7b7098p-21, 0x1.5ec0afc107946p-21, 0x1.60ae5adb10d68p-21, 0x1.62869cdd03c87p-21, 0x1.6449afa7efbc8p-21, 0x1.65f7cd8dc54dfp-21, 0x1.679131140bcf5p-21, 0x1.691612620782ap-21, 0x1.6a86b00727d6ap-21, 0x1.6be34601347b7p-21, 0x1.6d2c0c63a2759p-21, 0x1.6e613bfcbd949p-21, 0x1.6f830bb9bf0aap-21, 0x1.7091ea272d5dep-21, 0x1.718dad6668d92p-21, 0x1.7276ead96d965p-21, 0x1.734db89181054p-21, 0x1.74125a3154d35p-21, 0x1.74c505e196a0ep-21, 0x1.7565fb7c339f8p-21, 0x1.75f5767c88816p-21, 0x1.7673b1ed10396p-21, 0x1.76e0e93a6e582p-21, 0x1.773d57c3f1525p-21, 0x1.778938ddd1cfap-21, 0x1.77c4c7c49fb5dp-21, 0x1.77f03f9660f48p-21, 0x1.780bdb4c51f57p-21, 0x1.7817d5ba47e3ap-21, 0x1.7814698b147d8p-21, 0x1.7801d13e76f6bp-21, 0x1.77e04726d66fcp-21, }}, 
      {{0x1.58f10ea85b37ep-2, 0x1.6a0e89c2b0da2p-2, 0x1.82a1eb5bf4c7ep-2, 0x1.9eb6de615ab93p-2, 0x1.ba9b57881e2e6p-2, 0x1.d33bbd6e371p-2, 0x1.e64239c57f6bp-2, 0x1.f21463bac9029p-2, 0x1.f5bf9d8efda31p-2, 0x1.f0de532ea0871p-2, 0x1.e37be205350a6p-2, 0x1.cdfa1f7a21423p-2, 0x1.b0f9da5ec111ep-2, 0x1.8d46cff2a31a3p-2, 0x1.63c7120a85f9cp-2, 0x1.356d9f7102dd6p-2, 0x1.032fd6f50eb42p-2, 0x1.9bfacd2330bbfp-3, 0x1.2d74b285b9eeap-3, 0x1.78ebad1658daap-4, 0x1.2a069f8a600ccp-5, -0x1.3864304e20a52p-6, -0x1.2e0560fc6058cp-4, -0x1.0457ec7c1e578p-3, -0x1.6e2b1bbf2e748p-3, -0x1.d3c0dc2ac89eap-3, -0x1.1a407add73d9ap-2, -0x1.47f9bbed0628dp-2, -0x1.72ded4f806da7p-2, -0x1.9acf7e4936bcep-2, -0x1.bfb7031a322c2p-2, -0x1.e18ad01cc81d8p-2, -0x1.00248d8b4f946p-1, -0x1.0dfbd0f3cc3ccp-1, -0x1.1a51432bae9fdp-1, -0x1.252da29003364p-1, -0x1.2e9be344eee29p-1, -0x1.36a8c3f14069dp-1, -0x1.3d626e4221201p-1, -0x1.42d821d9f0fbap-1, -0x1.4719e8cd29f74p-1, -0x1.4a38556914c14p-1, -0x1.4c4448c394614p-1, -0x1.4d4ec13126768p-1, -0x1.4d68afd21870fp-1, -0x1.4ca2d4a8c3f89p-1, -0x1.4b0da0b81fde9p-1, -0x1.48b91d8ce4c09p-1, -0x1.45b4d97fe4a27p-1, -0x1.420fd80fe7ebep-1, -0x1.3dd885cdf3f0ep-1, -0x1.391caf700775p-1, -0x1.33e97bb16dd92p-1, -0x1.2e4b679f49423p-1, -0x1.284e44f205594p-1, -0x1.21fd3a38901e3p-1, -0x1.1b62c46b7cb4fp-1, -0x1.1488b9b35a15ap-1, -0x1.0d784d47b5105p-1, -0x1.063a13f07ea17p-1, -0x1.fdac12b226e94p-2, -0x1.eea72b7dca19p-2, -0x1.df732817b1cf3p-2, -0x1.d01cb0645e3bep-2, -0x1.c0af6b3cb3096p-2, -0x1.b1360b9d80c6cp-2, -0x1.a1ba5da126916p-2, -0x1.92455387097e5p-2, -0x1.82df1251a8a31p-2, -0x1.738efe40597d8p-2, -0x1.645bc6c3f8917p-2, -0x1.554b722b7c582p-2, -0x1.466368c0d9902p-2, -0x1.37a87f82628c9p-2, -0x1.291f0250ba9c5p-2, -0x1.1acabda5b29f6p-2, -0x1.0caf07ca8883bp-2, -0x1.fd9d931a16p-3, -0x1.e2590d036d405p-3, -0x1.c794c9869a332p-3, -0x1.ad5468967b082p-3, -0x1.939aeb9b5e3b4p-3, -0x1.7a6ac27012181p-3, -0x1.61c5d777e283dp-3, -0x1.49ad9b0dfa85cp-3, -0x1.32230e1c02c77p-3, -0x1.1b26cc2034ad8p-3, -0x1.04b91465e4f85p-3, -0x1.ddb3a58a49e1fp-4, -0x1.b3114f34e2ba1p-4, -0x1.8989debe3179p-4, -0x1.611b92fe08be4p-4, -0x1.39c43dc3c3522p-4, -0x1.13814f8a0c975p-4, -0x1.dc9fc50c2874ap-5, -0x1.9459897fd1f9bp-5, -0x1.4e290268d1d4fp-5, -0x1.0a06d135adc52p-5, -0x1.8fd6638261d27p-6, -0x1.0f9c126e71b9ep-6, -0x1.269bcaf78a83ep-7, -0x1.ada96e09ab31cp-10, 0x1.673e12492483dp-8, 0x1.9584d63a78ac1p-7, 0x1.38105a715a257p-6, 0x1.a1cbbfd7cb06fp-6, 0x1.040394eaebb54p-5, 0x1.356a9c770f6b4p-5, 0x1.65244a7884f3cp-5, 0x1.9339f0a006cdep-5, 0x1.bfb4d8e39b794p-5, 0x1.ea9e41d9cf761p-5, 0x1.09ffad0324c02p-4, 0x1.1df09e06883b3p-4, 0x1.3126761efcb13p-4, 0x1.43a5aa7c6e8ffp-4, 0x1.5572a20f99a03p-4, 0x1.6691b4c745f36p-4, 0x1.77072a40fcfap-4, 0x1.86d738ec8c1a7p-4, 0x1.960605ab8eb7cp-4, 0x1.a497a2f4f6c3fp-4, 0x1.b290103b8f051p-4, 0x1.bff339d7d32f7p-4, 0x1.ccc4f89608d9ap-4, 0x1.d909114b58607p-4, 0x1.e4c334e8c7dd1p-4, 0x1.eff7006716e07p-4, 0x1.faa7fc8de46ecp-4, 0x1.026ccf0827129p-3, 0x1.0747a2ddd1efep-3, 0x1.0be6203d4b1f3p-3, 0x1.1049e3b92a39ep-3, 0x1.14748026da6c3p-3, 0x1.18677ebc15819p-3, 0x1.1c245f2823431p-3, 0x1.1fac97b8e8eeap-3, 0x1.2301958480e2cp-3, 0x1.2624bc93718p-3, 0x1.2917680c39539p-3, 0x1.2bdaea5b94fe6p-3, 0x1.2e708d61ce9d2p-3, 0x1.30d992a9b07edp-3, 0x1.3317339b4f86ep-3, 0x1.352aa1a1e797dp-3, 0x1.3715065b1db86p-3, 0x1.38d783d69e0bp-3, 0x1.3a7334cb05c99p-3, 0x1.3be92cb7ae3a7p-3, 0x1.3d3a7811fa568p-3, 0x1.3e681c87ff35p-3, 0x1.3f731938037e4p-3, 0x1.405c66cee8d81p-3, 0x1.4124f7adbe6c6p-3, 0x1.41cdb829a45e6p-3, 0x1.42578ec75f55ap-3, 0x1.42c35c5ac100cp-3, 0x1.4311fc20c0b72p-3, 0x1.434443f450584p-3, 0x1.435b048d36fd5p-3, 0x1.435709a68670bp-3, 0x1.43391a1140d1ap-3, 0x1.4301f7d615767p-3, 0x1.42b2606e83117p-3, 0x1.424b0cf64f6cep-3, 0x1.41ccb2421df85p-3, 0x1.413800ef87dfap-3, 0x1.408da58aa6a76p-3, 0x1.3fce48c208bf8p-3, 0x1.3efa8f8bb4a9ep-3, 0x1.3e131b3344a78p-3, 0x1.3d188968eb7ep-3, 0x1.3c0b74645c6b2p-3, 0x1.3aec7310a2f59p-3, 0x1.39bc1929f6cfep-3, 0x1.387af7480e31ap-3, 0x1.37299ae96051dp-3, 0x1.35c88e8f3992p-3, 0x1.345859e2bf86p-3, 0x1.32d981ceda164p-3, 0x1.314c8889b560cp-3, 0x1.2fb1ed9b66022p-3, 0x1.2e0a2df0f5a32p-3, 0x1.2c55c3fa067b6p-3, 0x1.2a9527c1a4bc9p-3, 0x1.28c8cef89ff41p-3, 0x1.26f12cf9ad36cp-3, 0x1.250eb2d3bec0ep-3, 0x1.2321cf5e6329dp-3, 0x1.212aef4d66999p-3, 0x1.1f2a7d440d13fp-3, 0x1.1d20e1d6c41e1p-3, 0x1.1b0e838e351d8p-3, 0x1.18f3c6f1d4624p-3, 0x1.16d10e9957536p-3, 0x1.14a6bb3cd1cd3p-3, 0x1.12752bbd9d32ap-3, 0x1.103cbd270f628p-3, 0x1.0dfdcab3a302dp-3, 0x1.0bb8add3404efp-3, 0x1.096dbe38c5df6p-3, 0x1.071d51e6b66c4p-3, 0x1.04c7bd350675ep-3, 0x1.026d52d2c984fp-3, 0x1.000e63c7c0a0cp-3, 0x1.fb567ef3f2b3fp-4, 0x1.f688676ec0c37p-4, 0x1.f1b3197e53d16p-4, 0x1.ecd72a8ef8318p-4, 0x1.e7f52cfeff743p-4, 0x1.e30db02041ab8p-4, 0x1.de21403e4cb71p-4, 0x1.d93066aad7f85p-4, 0x1.d43ba9ccc2efep-4, 0x1.cf438d2bbce03p-4, 0x1.ca4891764114fp-4, 0x1.c54b3483c2ccep-4, 0x1.c04bf157a372dp-4, 0x1.bb4b4027e2562p-4, 0x1.b64996683086bp-4, 0x1.b14766d4f860ep-4, 0x1.ac45217bbe0a6p-4, 0x1.a74333bfcbb69p-4, 0x1.a242085cedd26p-4, 0x1.9d42076afd032p-4, 0x1.984396646f7p-4, 0x1.9347182f4c7d9p-4, 0x1.8e4ced264faf9p-4, 0x1.895573205633p-4, 0x1.846105758dd8ap-4, 0x1.7f6ffd0331beap-4, 0x1.7a82b02fa680fp-4, 0x1.759972f06245ep-4, 0x1.70b496d1a6744p-4, 0x1.6bd46afeb354bp-4, 0x1.66f93c494bf2ap-4, 0x1.6223552ff3219p-4, 0x1.5d52fde30993ep-4, 0x1.58887c499bb99p-4, 0x1.53c41406f6f0ap-4, 0x1.4f06068193a56p-4, 0x1.4a4e92ead09e4p-4, 0x1.459df646b307fp-4, 0x1.40f46b732b89p-4, 0x1.3c522b2e9d571p-4, 0x1.37b76c1dc3f99p-4, 0x1.332462d18179dp-4, 0x1.2e9941cd50b5bp-4, 0x1.2a16398e97a57p-4, 0x1.259b78947ac11p-4, 0x1.21292b67e9936p-4, 0x1.1cbf7ca333d91p-4, 0x1.185e94f893933p-4, 0x1.14069b39315dbp-4, 0x1.0fb7b45b9b283p-4, 0x1.0b720382c66fcp-4, 0x1.0735aa05ca231p-4, 0x1.0302c7781bef9p-4, 0x1.fdb2f3633d2d8p-5, 0x1.f573b9ac5c28cp-5, 0x1.ed4816b9884d5p-5, 0x1.e5303c2cc049dp-5, 0x1.dd2c586a6a699p-5, 0x1.d53c96a8e481bp-5, 0x1.cd611f01502cdp-5, 0x1.c59a168085611p-5, 0x1.bde79f36b611p-5, 0x1.b649d84520ff8p-5, 0x1.aec0ddeb041dbp-5, 0x1.a74cc993c04f8p-5, 0x1.9fedb1e748c5p-5, 0x1.98a3aadc50761p-5, 0x1.916ec5ca860bdp-5, 0x1.8a4f117ae0643p-5, 0x1.83449a34a9375p-5, 0x1.7c4f69c7d72d8p-5, 0x1.756f87976362bp-5, 0x1.6ea4f8a74021fp-5, 0x1.67efbfaf39d22p-5, 0x1.614fdd32fd8abp-5, 0x1.5ac54f9820c77p-5, 0x1.54501337280c7p-5, 0x1.4df022636e59fp-5, 0x1.47a5756c31fbap-5, 0x1.4170029d82612p-5, 0x1.3b4fbe494652ap-5, 0x1.35449addafa92p-5, 0x1.2f4e890776535p-5, 0x1.296d77d6d418fp-5, 0x1.23a154da83dfp-5, 0x1.1dea0c2714fb4p-5, 0x1.18478849d27c7p-5, 0x1.12b9b231bc5ffp-5, 0x1.0d407120726fep-5, 0x1.07dbaab3e0e3ap-5, 0x1.028b430f64d14p-5, 0x1.fa9e3a37258ffp-6, 0x1.f04e358cb1cbp-6, 0x1.e6263a5228da4p-6, 0x1.dc260905d496ep-6, 0x1.d24d601182a18p-6, 0x1.c89bfb434eb43p-6, 0x1.bf1193676716ep-6, 0x1.b5adde458f153p-6, 0x1.ac708f1e912d5p-6, 0x1.a359578c4f712p-6, 0x1.9a67e873d72ap-6, 0x1.919bf2a45e217p-6, 0x1.88f526d69855ep-6, 0x1.807334fe7cc06p-6, 0x1.7815cb2fdc57p-6, 0x1.6fdc9490479cap-6, 0x1.67c738dc5680ap-6, 0x1.5fd55cd83a7b7p-6, 0x1.5806a3948069dp-6, 0x1.505ab02d9fa4fp-6, 0x1.48d1275edc117p-6, 0x1.4169b02679991p-6, 0x1.3a23f3318556ap-6, 0x1.32ff992271919p-6, 0x1.2bfc484cca49p-6, 0x1.2519a2cdfd4ecp-6, 0x1.1e5745ded30d2p-6, 0x1.17b4cad13894fp-6, 0x1.1131c98d9dbb8p-6, 0x1.0acddbc6db969p-6, 0x1.04889fbf9ef43p-6, 0x1.fcc3730ea9681p-7, 0x1.f0b1a41517df1p-7, 0x1.e4db2828d4229p-7, 0x1.d93f50577761p-7, 0x1.cddd617f81299p-7, 0x1.c2b4903f923f8p-7, 0x1.b7c4025a8fc0cp-7, 0x1.ad0ad5940a894p-7, 0x1.a2882a14432a5p-7, 0x1.983b2d0d54afp-7, 0x1.8e23200f87106p-7, 0x1.843f5a53d12e7p-7, 0x1.7a8f4303c3c4dp-7, 0x1.711245caf4a89p-7, 0x1.67c7c50e8a9e5p-7, 0x1.5eaf0e487981ap-7, 0x1.55c7549eeeae8p-7, 0x1.4d0fb3e088308p-7, 0x1.44873b46ebcbfp-7, 0x1.3c2cfcdb6eff6p-7, 0x1.34001cf929bdfp-7, 0x1.2bffdd7533d54p-7, 0x1.242ba1291846cp-7, 0x1.1c82e6840ebcdp-7, 0x1.15053a19bcd92p-7, 0x1.0db2248b51c8p-7, 0x1.068918fbf84dep-7, 0x1.ff12d333777cap-8, 0x1.f1648c111add2p-8, 0x1.e405883ce0971p-8, 0x1.d6f3dfc4f890ep-8, 0x1.ca2dbba87b76fp-8, 0x1.bdb175800466p-8, 0x1.b17dabe6b531ap-8, 0x1.a591484284988p-8, 0x1.99eb74559b88dp-8, 0x1.8e8b800e25b1p-8, 0x1.8370bc1bdbea1p-8, 0x1.789a5328e0292p-8, 0x1.6e072e7bec30bp-8, 0x1.63b5ef92e44d8p-8, 0x1.59a4ff5d75b64p-8, 0x1.4fd2aa4ec417ap-8, 0x1.463d3d4a43c9ap-8, 0x1.3ce31cc5d6106p-8, 0x1.33c2d5c9f3e8ep-8, 0x1.2adb2c46fecd6p-8, 0x1.222b2538e2a07p-8, 0x1.19b20532487cdp-8, 0x1.116f3c4329488p-8, 0x1.096241937ab5cp-8, 0x1.018a6ce63390fp-8, 0x1.f3cdbf9da18cap-9, 0x1.e4ed0e6a2c216p-9, 0x1.d6705b66a4b2ap-9, 0x1.c8551ba6e9ca8p-9, 0x1.ba98b03349142p-9, 0x1.ad3860cf64743p-9, 0x1.a03164cbace2fp-9, 0x1.938111786a71ep-9, 0x1.87252170e4528p-9, 0x1.7b1be763349bfp-9, 0x1.6f6442f39a9aep-9, 0x1.63fd581fe7c09p-9, 0x1.58e636d7c7b7ep-9, 0x1.4e1da985ba99fp-9, 0x1.43a23ec7efaf8p-9, 0x1.39727390c6adcp-9, 0x1.2f8ccc9839d3ep-9, 0x1.25efbed2492fp-9, 0x1.1c99734397355p-9, 0x1.13879c48d42c9p-9, 0x1.0ab7931a99044p-9, 0x1.0226c068c88d6p-9, 0x1.f3a62358e11a2p-10, 0x1.e37653ea7cecap-10, 0x1.d3bc5c0271dcdp-10, 0x1.c476b24932556p-10, 0x1.b5a35dfe99025p-10, 0x1.a73ff4007d24cp-10, 0x1.994a06321c939p-10, 0x1.8bbf9545c83bp-10, 0x1.7e9f21ee9322ep-10, 0x1.71e73fa69eabep-10, 0x1.6595da574d03cp-10, 0x1.59a7ae4dea726p-10, 0x1.4e186fd74a314p-10, 0x1.42e3aab691abfp-10, 0x1.3805cc8b6c621p-10, 0x1.2d7ca10a33727p-10, 0x1.2346ef48270f8p-10, 0x1.19638e3120adbp-10, 0x1.0fd0a99059d91p-10, 0x1.068bb6b1b882cp-10, 0x1.fb23f90178ebbp-11, 0x1.e9c2737545dadp-11, 0x1.d8f0008c525f8p-11, 0x1.c8ab175966e68p-11, 0x1.b8f24e429a1b9p-11, 0x1.a9c30c7112ef9p-11, 0x1.9b18ea60b7afap-11, 0x1.8cee206fad8bp-11, 0x1.7f3cd58cb4b67p-11, 0x1.720079d3f4b24p-11, 0x1.6536463bca8bap-11, 0x1.58dcb701a8056p-11, 0x1.4cf2663ec9fedp-11, 0x1.4174d6d8a1d6p-11, 0x1.365fd9e60bcap-11, 0x1.2bae04c65d68cp-11, 0x1.215a2934b7125p-11, 0x1.1760cc110284bp-11, 0x1.0dc033e5d9462p-11, 0x1.047740f0481dap-11, 0x1.f7091f394575bp-12, 0x1.e5cca305cf17p-12, 0x1.d5347d10df9b2p-12, 0x1.c53b2f6497c7ap-12, 0x1.b5db1ec6af6c6p-12, 0x1.a70f41ff2eeacp-12, 0x1.98d2e3a210957p-12, 0x1.8b220993bcfd2p-12, 0x1.7dfa8cd1e043cp-12, 0x1.715acdfffffa6p-12, 0x1.653e266110feep-12, 0x1.599bf27704a39p-12, 0x1.4e6b6da579d61p-12, 0x1.43a724c920b55p-12, 0x1.394ba8c9477cfp-12, 0x1.2f556d4312522p-12, 0x1.25c14c2ba577cp-12, 0x1.1c8d6b4f4aae2p-12, 0x1.13b8b1f6c7011p-12, 0x1.0b41cad544091p-12, 0x1.0326dc4e02b6fp-12, 0x1.f6cbbdb502df5p-13, 0x1.e7f7cb56c6a84p-13, 0x1.d9c6dd246f53fp-13, 0x1.cc2d333f1a7dbp-13, 0x1.bf28156f5ce7p-13, 0x1.b2b9c489769ebp-13, 0x1.a6dc9ec18a53fp-13, 0x1.9b84f048aa79ep-13, 0x1.90ac371770b7cp-13, 0x1.864f1aa625be2p-13, 0x1.7c65637162ed9p-13, 0x1.72e4e2a1f7b9cp-13, 0x1.69c7e643649a4p-13, 0x1.610d3765982e4p-13, 0x1.58b497f1e5f82p-13, 0x1.50bd257721994p-13, 0x1.4925adcaf5e06p-13, 0x1.41ed5d937fb84p-13, 0x1.3b13a355b489fp-13, 0x1.3493f5a74b4bfp-13, 0x1.2e61a38b1c927p-13, 0x1.28720d9a2f78dp-13, 0x1.22c7b7a1f49e8p-13, 0x1.1d653fcad85f1p-13, 0x1.1843faa19b2c8p-13, 0x1.136121fbe31d9p-13, 0x1.0ec01bb52c4e4p-13, 0x1.0a5e20bbb0e18p-13, 0x1.0632133e98efp-13, 0x1.0233cb6d1a4f5p-13, 0x1.fcbf8edf0462ep-14, 0x1.f56d230a3bc26p-14, 0x1.ee725eec168f9p-14, 0x1.e7cc9fbe46b3ep-14, 0x1.e177e0217b8bep-14, 0x1.db751b307db8ep-14, 0x1.d5c579ec16e37p-14, 0x1.d063e6f263b87p-14, 0x1.cb46d16c8768dp-14, 0x1.c65f80422ecf3p-14, 0x1.c1a775458a239p-14, 0x1.bd25a6b8c3b87p-14, 0x1.b8d517616072ap-14, 0x1.b4b052bda70adp-14, 0x1.b0bfafaf72fabp-14, 0x1.ad040d407ab6fp-14, 0x1.a975f9a20071p-14, 0x1.a60d0d6f18297p-14, 0x1.a2c012abd95cbp-14, 0x1.9f8aa5a815f07p-14, 0x1.9c70db10e5cecp-14, 0x1.9974f5592695p-14, 0x1.9691a00f18663p-14, 0x1.93c5143ce33a2p-14, 0x1.911292320c483p-14, 0x1.8e77cc29d5f5ep-14, 0x1.8bee55b7d0982p-14, 0x1.8973cb7b81902p-14, 0x1.870a4062e81fdp-14, 0x1.84ad64a45ed5bp-14, 0x1.82593a0b17e29p-14, 0x1.800dc9903ca62p-14, 0x1.7dc7da2c6b295p-14, 0x1.7b8c66b40cc7ep-14, 0x1.795bbcd0a4109p-14, 0x1.773292500e37p-14, 0x1.75101e00ecdfap-14, 0x1.72f20db3e8b33p-14, 0x1.70d3295c5de16p-14, 0x1.6eb307e1dbbd5p-14, 0x1.6c95017c41baep-14, 0x1.6a76916c75a43p-14, 0x1.6856ec5a54f0ep-14, 0x1.6638818214ce3p-14, 0x1.64193880663edp-14, 0x1.61f666e7ed617p-14, 0x1.5fcf4ed0b034ep-14, 0x1.5da38eda0e826p-14, 0x1.5b73d9acfeb41p-14, 0x1.59426f22435e3p-14, 0x1.570ca0a8a9cd8p-14, 0x1.54cf91c77c696p-14, 0x1.528b09f037c57p-14, 0x1.50418a713da9fp-14, 0x1.4df3568af5f24p-14, 0x1.4b9e830bc8821p-14, 0x1.4943300aad374p-14, 0x1.46e22247efe7bp-14, 0x1.447ab3bc7ce72p-14, 0x1.420b0d87264d8p-14, 0x1.3f93fd178f7d3p-14, 0x1.3d14e96bf46f6p-14, 0x1.3a8e89d151f18p-14, 0x1.380224b4a39dp-14, 0x1.356e63217b915p-14, 0x1.32d2a285df6b1p-14, 0x1.302f114fd916ap-14, 0x1.2d83f6e96afe8p-14, 0x1.2ad181ffadc2dp-14, 0x1.2817ad8af5883p-14, 0x1.25569edbfc51dp-14, 0x1.228f4374f6ef5p-14, 0x1.1fc1096a6bbe1p-14, 0x1.1ceadf5b57cf8p-14, 0x1.1a0ddc472a2c9p-14, 0x1.172ac56cd724fp-14, 0x1.1440f2852bedp-14, 0x1.115080747d851p-14, 0x1.0e59d77806de4p-14, 0x1.0b5d99557a331p-14, 0x1.085baaaf1fb7ep-14, 0x1.05539fef49383p-14, 0x1.02459d3952739p-14, 0x1.fe650530ea0a9p-15, 0x1.f835316e81065p-15, 0x1.f1fb33a1f0d1ep-15, 0x1.ebb77dc864d0ap-15, 0x1.e56aa80075b1dp-15, 0x1.df152d79431a1p-15, 0x1.d8b77f11f6b45p-15, 0x1.d25211de05d5ep-15, 0x1.cbe56153d0702p-15, 0x1.c571db85e23a8p-15, 0x1.bef7da5a40104p-15, 0x1.b87810734e5a4p-15, 0x1.b1f30095de8f3p-15, 0x1.ab687e4d3ca8fp-15, 0x1.a4d9b0761b0b7p-15, 0x1.9e46cf459ab52p-15, 0x1.97b028ebc08c7p-15, 0x1.911643e6e8a9p-15, 0x1.8a79b940a568p-15, 0x1.83db46270325ap-15, 0x1.7d3ae89ea2777p-15, 0x1.7698e74b9e16p-15, 0x1.6ff63ee2a02eep-15, 0x1.695334b517c84p-15, 0x1.62b016f63ff5fp-15, 0x1.5c0d66acacf46p-15, 0x1.556b9b73cd00bp-15, 0x1.4ecb2563e246p-15, 0x1.482c71a0ff7d1p-15, 0x1.418febb9b145fp-15, 0x1.3af5fdf434fedp-15, 0x1.345f11ea6cff4p-15, 0x1.2dcb9199e173p-15, 0x1.273be57191fa1p-15, 0x1.20b06e73e6986p-15, 0x1.1a298b1d24972p-15, 0x1.13a7afdac7746p-15, 0x1.0d2b2914c4c5ap-15, 0x1.06b4689cef6bfp-15, 0x1.0043ba54190e2p-15, 0x1.f3b2e5aefc427p-16, 0x1.e6ebffd3636fcp-16, 0x1.da335b0193918p-16, 0x1.cd89d4e0ef35bp-16, 0x1.c0efb5a94a5ecp-16, 0x1.b465f204f017ep-16, 0x1.a7ed0729f5b08p-16, 0x1.9b858c41b74dcp-16, 0x1.8f3021dab9b18p-16, 0x1.82ed5dbaccbbbp-16, 0x1.76bdd024ddc4ep-16, 0x1.6aa20569157d4p-16, 0x1.5e9a85f8cb5d7p-16, 0x1.52a7d814508dfp-16, 0x1.46ca770aeda4p-16, 0x1.3b02e4b64968ap-16, 0x1.2f51981cb36cep-16, 0x1.23b7068e066bfp-16, 0x1.1833a28b131f9p-16, 0x1.0cc7d9f13ef8dp-16, 0x1.01741386b3fc3p-16, 0x1.ec7163a91f0b9p-17, 0x1.d62c3f1939c29p-17, 0x1.c0197a602e152p-17, 0x1.aa39b6aa6d674p-17, 0x1.948da68956cf4p-17, 0x1.7f15e86608b9p-17, 0x1.69d32f3497633p-17, 0x1.54c60d4629fbdp-17, 0x1.3fef19e04347ep-17, 0x1.2b4ecf46f48fdp-17, 0x1.16e5b0f13b50ap-17, 0x1.02b440afc92a1p-17, 0x1.dd75e81dc2d1cp-18, 0x1.b5f4728cef25bp-18, 0x1.8ee4f1336c39ap-18, 0x1.6848232450219p-18, 0x1.421ec151a3ab1p-18, 0x1.1c6973f803decp-18, 0x1.ee51b02afb04cp-19, 0x1.a4bafb08dbaa4p-19, 0x1.5c0fd0278a4fap-19, 0x1.14511ec5cc40bp-19, 0x1.9aff7c0790441p-20, 0x1.0f39225bf2b1dp-20, 0x1.0a9eda927f14ap-21, -0x1.5d38e69a2997ep-27, -0x1.11ca2cb20d5f1p-21, -0x1.0d2f971ce169dp-20, -0x1.8f98bbc4ed676p-20, -0x1.080ff95210eb6p-19, -0x1.4762af6a67d0bp-19, -0x1.85c47079b82cbp-19, -0x1.c3351f8ce0103p-19, -0x1.ffb4719da7c66p-19, -0x1.1da173c2f426p-18, -0x1.3af066627e056p-18, -0x1.57c71f94130f7p-18, -0x1.7425c7daaba8fp-18, -0x1.900c8e17f2f77p-18, -0x1.ab7c085ff5fbdp-18, -0x1.c67393782df2cp-18, -0x1.e0f464869b01ap-18, -0x1.fafe73c82a48fp-18, -0x1.0a48f40166afep-17, -0x1.16d7e9506be2cp-17, -0x1.232bf71de01cap-17, -0x1.2f4572c9dbda6p-17, -0x1.3b2497b0f9f4cp-17, -0x1.46c9a59d967bfp-17, -0x1.5234df0a55324p-17, -0x1.5d668839a6964p-17, -0x1.685ee8c673da8p-17, -0x1.731e49f7bd4acp-17, -0x1.7da4f88427d36p-17, -0x1.87f34697abe47p-17, -0x1.92098cf71fd15p-17, -0x1.9be82bddce6f4p-17, -0x1.a58f443e26322p-17, -0x1.aeff727806635p-17, -0x1.b8390dd72f38p-17, -0x1.c13c1bdc604cap-17, -0x1.ca0963ddcd94cp-17, -0x1.d2a12ce94d23dp-17, -0x1.db03d1add44eap-17, -0x1.e331b9cea9392p-17, -0x1.eb2b4e82b1bc3p-17, -0x1.f2f0fa47e97f5p-17, -0x1.fa83290f29cefp-17, -0x1.00f1242107f84p-16, -0x1.048763616c8d5p-16, -0x1.08048a6bea683p-16, -0x1.0b68d20c235dp-16, -0x1.0eb473adf3507p-16, -0x1.11e7a9547142p-16, -0x1.1502ad96fd92bp-16, -0x1.1805bba5f1c7ap-16, -0x1.1af10f4c24356p-16, -0x1.1dc4e4c2f9f8cp-16, -0x1.208177bc13ebfp-16, -0x1.2327059d9dc0fp-16, -0x1.25b5ce7c91dabp-16, -0x1.282e0c6729197p-16, -0x1.2a8ffed0f301bp-16, -0x1.2cdbe4144c1ep-16, -0x1.2f11fa1b389fbp-16, -0x1.31327dc8de21fp-16, -0x1.333dbba34761fp-16, -0x1.3533f4807e57ep-16, -0x1.37152eac00453p-16, -0x1.38e1f15d51762p-16, -0x1.3a9a63d3993c9p-16, -0x1.3c3ec38044277p-16, -0x1.3dcf505b43237p-16, -0x1.3f4c49a205c1p-16, -0x1.40b5eead7180ap-16, -0x1.420c8be539507p-16, -0x1.4350494b692fep-16, -0x1.44817c3a0f40bp-16, -0x1.45a05b4075971p-16, -0x1.46ad295d2c58p-16, -0x1.47a82351bcb8ep-16, -0x1.48918b0b18675p-16, -0x1.4969a009fb339p-16, -0x1.4a30a18496a34p-16, -0x1.4ae6cecd76985p-16, -0x1.4b8c670c26b7bp-16, -0x1.4c21a9371eb02p-16, -0x1.4ca6d40c87112p-16, -0x1.4d1c2608524e9p-16, -0x1.4d81dd70b6586p-16, -0x1.4dd8386c968cfp-16, -0x1.4e1f74fe59772p-16, -0x1.4e57d0f3ef89ap-16, -0x1.4e818951ac85cp-16, }}, 
      {{0x1.54d2872321d19p-2, 0x1.5ac6acd27da95p-2, 0x1.63d2a355868cap-2, 0x1.6f03c49faa9adp-2, 0x1.7b634c3bd710fp-2, 0x1.880db6017b276p-2, 0x1.943e69336bd1ap-2, 0x1.9f54341732b4cp-2, 0x1.a8d177e94671ep-2, 0x1.b059da1c8be0dp-2, 0x1.b5aeb1d22a66fp-2, 0x1.b8aaf514adb6dp-2, 0x1.b93f19dab901cp-2, 0x1.b76d2c5deccc9p-2, 0x1.b3453cbeb1701p-2, 0x1.ace2332923c5dp-2, 0x1.a4670e2216888p-2, 0x1.99fc87f97b1e3p-2, 0x1.8dcf1c95cef9bp-2, 0x1.800d66e2754ffp-2, 0x1.70e6cc69370e6p-2, 0x1.608a6d8cfdc5ap-2, 0x1.4f2651360b272p-2, 0x1.3ce6c358f4874p-2, 0x1.29f5de77606d9p-2, 0x1.167b38fbd302ep-2, 0x1.029bb0190bba3p-2, 0x1.dcf2953e0c6dbp-3, 0x1.b4665db6121fcp-3, 0x1.8bcb4ee34a9ep-3, 0x1.63546740e0466p-3, 0x1.3b2f4009953a1p-3, 0x1.13844b6e8315cp-3, 0x1.d8ee35a9b796cp-4, 0x1.8c4d55cee33c2p-4, 0x1.415b65fd9b074p-4, 0x1.f08bd31ff0428p-5, 0x1.62662de681e06p-5, 0x1.b109d06a01e3p-6, 0x1.4c6b69eca915p-7, -0x1.6d81c18b0c859p-8, -0x1.537d232e2b49ep-6, -0x1.20fb7508422d9p-5, -0x1.935a33ae5595ep-5, -0x1.006aa52692b32p-4, -0x1.34b6c7f109bafp-4, -0x1.6694b9b4c8efcp-4, -0x1.960a23fbd0ba3p-4, -0x1.c31ecf80c1007p-4, -0x1.eddc587f24157p-4, -0x1.0b26f4fa889a2p-3, -0x1.1e3fffafa1f04p-3, -0x1.304016324bf51p-3, -0x1.412e74fb32d74p-3, -0x1.5112b4426839dp-3, -0x1.5ff4b37ac0a18p-3, -0x1.6ddc8707050c3p-3, -0x1.7ad26801fd88bp-3, -0x1.86dea5ed75f31p-3, -0x1.92099a1d4472cp-3, -0x1.9c5b9cb50a184p-3, -0x1.a5dcfb117781ap-3, -0x1.ae95ef7c3ffap-3, -0x1.b68e9a08c09e1p-3, -0x1.bdcefa7f27a03p-3, -0x1.c45eeb38de326p-3, -0x1.ca461cd871a31p-3, -0x1.cf8c12c301d5ap-3, -0x1.d4382049644fp-3, -0x1.d8516669e6a03p-3, -0x1.dbded21c80461p-3, -0x1.dee71b151146p-3, -0x1.e170c2f2d80d3p-3, -0x1.e38214c61f597p-3, -0x1.e52124edba8bep-3, -0x1.e653d13486dep-3, -0x1.e71fc12df17fbp-3, -0x1.e78a66c4f2c63p-3, -0x1.e798fef76ec8ep-3, -0x1.e75092b65ff8cp-3, -0x1.e6b5f7e4fa83ap-3, -0x1.e5cdd2714ca9p-3, -0x1.e49c958172284p-3, -0x1.e32684b0b4ac6p-3, -0x1.e16fb55b69bd5p-3, -0x1.df7c0ff15efd9p-3, -0x1.dd4f5150ea9e5p-3, -0x1.daed0c25be1fap-3, -0x1.d858aa494f70ep-3, -0x1.d5956e23e931fp-3, -0x1.d2a6740ba88c7p-3, -0x1.cf8eb3a117b94p-3, -0x1.cc5101274679ep-3, -0x1.c8f00ed6ee2bdp-3, -0x1.c56e6e2b9b576p-3, -0x1.c1ce9129ceae9p-3, -0x1.be12cb9e56947p-3, -0x1.ba3d5452fd73dp-3, -0x1.b6504645efdc2p-3, -0x1.b24da1c682864p-3, -0x1.ae374d91d1a54p-3, -0x1.aa0f17f352e36p-3, -0x1.a5d6b7c77d7d9p-3, -0x1.a18fcd81e661ap-3, -0x1.9d3be426fb0fdp-3, -0x1.98dc723d8d42ep-3, -0x1.9472dab7de702p-3, -0x1.90006dd337797p-3, -0x1.8b8669f0002fap-3, -0x1.8705fc6128efdp-3, -0x1.828042331961p-3, -0x1.7df648ebdc1f4p-3, -0x1.79690f426ec4cp-3, -0x1.74d985cf033b5p-3, -0x1.70488fb4b7287p-3, -0x1.6bb7034315f68p-3, -0x1.6725aa9170d87p-3, -0x1.6295441407827p-3, -0x1.5e06832a027fap-3, -0x1.597a10a5865cfp-3, -0x1.54f08b4e9a22ep-3, -0x1.506a885f2a317p-3, -0x1.4be893fa3c893p-3, -0x1.476b319e0d7fap-3, -0x1.42f2dc908ba6ap-3, -0x1.3e80084681306p-3, -0x1.3a1320c5e4322p-3, -0x1.35ac8b0c1df89p-3, -0x1.314ca55da08acp-3, -0x1.2cf3c79b5d2fbp-3, -0x1.28a243a0aecabp-3, -0x1.24586588b768ep-3, -0x1.201673fa7c7b3p-3, -0x1.1bdcb07076756p-3, -0x1.17ab577c1faf5p-3, -0x1.1382a1064f79bp-3, -0x1.0f62c08cc2292p-3, -0x1.0b4be55c8b3dfp-3, -0x1.073e3ac99e83ep-3, -0x1.0339e8638709ap-3, -0x1.fe7e2450efc2ep-4, -0x1.f69bb168adb92p-4, -0x1.eeccb2dda900ep-4, -0x1.e7115d6d423a2p-4, -0x1.df69e015243eap-4, -0x1.d7d6646174855p-4, -0x1.d0570eb780904p-4, -0x1.c8ebfe9c7ed6bp-4, -0x1.c1954ef884989p-4, -0x1.ba5316563d581p-4, -0x1.b325671fe9acbp-4, -0x1.ac0c4fd908dd9p-4, -0x1.a507db54ab813p-4, -0x1.9e1810e9423d1p-4, -0x1.973cf4a229bcfp-4, -0x1.9076876f28a8ap-4, -0x1.89c4c74f8d818p-4, -0x1.8327af7cfd28cp-4, -0x1.7c9f38935723p-4, -0x1.762b58b712c8ep-4, -0x1.6fcc03b91a5ap-4, -0x1.69812b3898f01p-4, -0x1.634abec36fcfdp-4, -0x1.5d28abf56d22p-4, -0x1.571ade959d7b6p-4, -0x1.512140b19e56ap-4, -0x1.4b3bbab7ad099p-4, -0x1.456a339000b3dp-4, -0x1.3fac90b4365dfp-4, -0x1.3a02b645bbe5bp-4, -0x1.346c87248dc6p-4, -0x1.2ee9e500c503dp-4, -0x1.297ab06eeed17p-4, -0x1.241ec8fb6f23p-4, -0x1.1ed60d3a734d1p-4, -0x1.19a05ad8b6285p-4, -0x1.147d8eaabdd77p-4, -0x1.0f6d84bbdb45ap-4, -0x1.0a70185c70c03p-4, -0x1.0585242f4570ap-4, -0x1.00ac8235e0f73p-4, -0x1.f7cc17b8d549p-5, -0x1.ee63340a62892p-5, -0x1.e51e0a2785b3fp-5, -0x1.dbfc49ee99b88p-5, -0x1.d2fda2687da35p-5, -0x1.ca21c1dad5ce6p-5, -0x1.c16855d9c109p-5, -0x1.b8d10b5915c49p-5, -0x1.b05b8ebcc1984p-5, -0x1.a8078be7f920ap-5, -0x1.9fd4ae4b66525p-5, -0x1.97c2a0f2d00b5p-5, -0x1.8fd10e926b16cp-5, -0x1.87ffa193abd1dp-5, -0x1.804e04218e99dp-5, -0x1.78bbe02e40b01p-5, -0x1.7148df995b1cep-5, -0x1.69f4ac0527ddp-5, -0x1.62beef10468f3p-5, -0x1.5ba7524f27a8dp-5, -0x1.54ad7f51d66cfp-5, -0x1.4dd11fb02804ap-5, -0x1.4711dd113e525p-5, -0x1.406f61333828cp-5, -0x1.39e955f2dad2p-5, -0x1.337f6552f1b3fp-5, -0x1.2d31398328f54p-5, -0x1.26fe7ce7428eep-5, -0x1.20e6da1c8522bp-5, -0x1.1ae9fc000dc27p-5, -0x1.15078db484709p-5, -0x1.0f3f3aa7c7d58p-5, -0x1.0990ae985ff4bp-5, -0x1.03fb959a9e8d3p-5, -0x1.fcff383ad8e32p-6, -0x1.f238ddddc8692p-6, -0x1.e7a37680ddc1cp-6, -0x1.dd3e5d57532efp-6, -0x1.d308ee6c05d22p-6, -0x1.c90286aa07c4dp-6, -0x1.bf2a83e41c3dp-6, -0x1.b58044dbbaa86p-6, -0x1.ac032947c67c2p-6, -0x1.a2b291db0d512p-6, -0x1.998de04aa3ed2p-6, -0x1.909477540d1d5p-6, -0x1.87c5bac31544dp-6, -0x1.7f210f7750546p-6, -0x1.76a5db69456d8p-6, -0x1.6e5385af4613cp-6, -0x1.662976821df65p-6, -0x1.5e2717419cb9bp-6, -0x1.564bd278f6f12p-6, -0x1.4e9713e2f0e8fp-6, -0x1.4708486dc74b1p-6, -0x1.3f9ede3ecb103p-6, -0x1.385a44b5c95e6p-6, -0x1.3139ec7039b36p-6, -0x1.2a3d474c4d18ep-6, -0x1.2363c86bda29ep-6, -0x1.1cace43721af3p-6, -0x1.1618105f6633dp-6, -0x1.0fa4c3e1438efp-6, -0x1.09527706db828p-6, -0x1.0320a369ce45dp-6, -0x1.fa1d87ea15ea7p-7, -0x1.ee38a9cd0a86p-7, -0x1.e291a7a1f819dp-7, -0x1.d7277f3c1ab18p-7, -0x1.cbf9311a10e56p-7, -0x1.c105c066077b7p-7, -0x1.b64c3309541a3p-7, -0x1.abcb919d515fbp-7, -0x1.a182e76e5f4e9p-7, -0x1.9771428039b97p-7, -0x1.8d95b38f11bc6p-7, -0x1.83ef4e0f54094p-7, -0x1.7a7d282e1ae6dp-7, -0x1.713e5ad17a308p-7, -0x1.683201987deep-7, -0x1.5f573adad5e2p-7, -0x1.56ad27a8259e2p-7, -0x1.4e32ebc7045ecp-7, -0x1.45e7adb3d4ca3p-7, -0x1.3dca969f7f45fp-7, -0x1.35dad26e494a6p-7, -0x1.2e178fb69949bp-7, -0x1.267fffbf6e07bp-7, -0x1.1f13567e72293p-7, -0x1.17d0ca958276p-7, -0x1.10b7954fb8f65p-7, -0x1.09c6f29e5b11fp-7, -0x1.02fe2116143eep-7, -0x1.f8b8c3d92d2acp-8, -0x1.ebc1f1ed0894ap-8, -0x1.df16594a97066p-8, -0x1.d2b48c020b11fp-8, -0x1.c69b21603148p-8, -0x1.bac8b5bb9407ep-8, -0x1.af3bea904e80ep-8, -0x1.a3f36665bb97bp-8, -0x1.98edd4c8b6119p-8, -0x1.8e29e64834826p-8, -0x1.83a6507118513p-8, -0x1.7961cdc88978cp-8, -0x1.6f5b1dc2f26f5p-8, -0x1.659104b72be65p-8, -0x1.5c024bcf14c3dp-8, -0x1.52adc0f8761aap-8, -0x1.499236d9233c9p-8, -0x1.40ae84c7f70b1p-8, -0x1.380186c9e46dap-8, -0x1.2f8a1d9069b85p-8, -0x1.27472e750d7fdp-8, -0x1.1f37a36ef42f7p-8, -0x1.175a6b01e6103p-8, -0x1.0fae7828da04ap-8, -0x1.0832c240cc8c5p-8, -0x1.00e644f887ba9p-8, -0x1.f39000909ea42p-9, -0x1.e5adf0e19167p-9, -0x1.d8246bfac847dp-9, -0x1.caf18b8929106p-9, -0x1.be1371c10caebp-9, -0x1.b188493cd1ce2p-9, -0x1.a54e44cb804dcp-9, -0x1.99639f39f5c88p-9, -0x1.8dc69b2358ea6p-9, -0x1.827582d30d4acp-9, -0x1.776ea839d3123p-9, -0x1.6cb064d8e805dp-9, -0x1.623919d09490fp-9, -0x1.580730c5ffec4p-9, -0x1.4e191a6db4b1fp-9, -0x1.446d4e4e0f64ep-9, -0x1.3b024c465d481p-9, -0x1.31d69b068e18fp-9, -0x1.28e8c80e18559p-9, -0x1.2037679ae8be8p-9, -0x1.17c114977d9dap-9, -0x1.0f8470998c8f6p-9, -0x1.078023eb28f2p-9, -0x1.ff65bb26fc7d6p-10, -0x1.f036a6ac14e23p-10, -0x1.e1708343bc146p-10, -0x1.d310d6de9af5cp-10, -0x1.c515341e6c576p-10, -0x1.b77b39e3be993p-10, -0x1.aa4092da379b7p-10, -0x1.9d62f514bff1bp-10, -0x1.90e021cbc60f2p-10, -0x1.84b5e54776d1fp-10, -0x1.78e216f85a0c5p-10, -0x1.6d6299ae0e57bp-10, -0x1.62355bd076e79p-10, -0x1.5758577d47559p-10, -0x1.4cc99270b8ddp-10, -0x1.42871dace9389p-10, -0x1.388f14e2ba761p-10, -0x1.2edf9db22fp-10, -0x1.2576e6e703022p-10, -0x1.1c5327e7a93dap-10, -0x1.1372a085172c3p-10, -0x1.0ad3993d83a8p-10, -0x1.027463dab2fc9p-10, -0x1.f4a6b856c2145p-11, -0x1.e4ddd11bb2631p-11, -0x1.d58af4264619ap-11, -0x1.c6ab184c6680cp-11, -0x1.b83b477df1166p-11, -0x1.aa389c841bc5cp-11, -0x1.9ca04084979d5p-11, -0x1.8f6f68e656b9bp-11, -0x1.82a3564917024p-11, -0x1.7639550a24cd3p-11, -0x1.6a2ebf3f98493p-11, -0x1.5e80ff6795c34p-11, -0x1.532d92b451cb1p-11, -0x1.48320a2b8abecp-11, -0x1.3d8c0a6c7101cp-11, -0x1.333949f393125p-11, -0x1.29378e73245b4p-11, -0x1.1f84aa6441a7fp-11, -0x1.161e7a5e2697ep-11, -0x1.0d02e29414f5fp-11, -0x1.042fcda51a9f5p-11, -0x1.f7465a1e4d6bap-12, -0x1.e6b5fac0b8a2cp-12, -0x1.d6aa944adebc4p-12, -0x1.c72056f6d5898p-12, -0x1.b8139d0abd653p-12, -0x1.a980e002f2efap-12, -0x1.9b64b678f1dbap-12, -0x1.8dbbd0475b39cp-12, -0x1.8082f30696253p-12, -0x1.73b6f620b59c4p-12, -0x1.6754bdd4ece69p-12, -0x1.5b5938868c0cbp-12, -0x1.4fc15acfe5e2bp-12, -0x1.448a2548ad60cp-12, -0x1.39b0aa78082dp-12, -0x1.2f321580b7528p-12, -0x1.250bad28f8a9ep-12, -0x1.1b3ad234a6062p-12, -0x1.11bcfb8ed3326p-12, -0x1.088fb368c1c88p-12, -0x1.ff612cd5ae74fp-13, -0x1.ee3aa6f179a44p-13, -0x1.dda753dc31cecp-13, -0x1.cda2cbc6b4f3fp-13, -0x1.be28b7f6a3823p-13, -0x1.af34ce7089bf9p-13, -0x1.a0c2d6695ef03p-13, -0x1.92ceb21e2fb2cp-13, -0x1.85546667507dap-13, -0x1.78501c133eb2ap-13, -0x1.6bbe1af5c44fcp-13, -0x1.5f9ac3a9633d9p-13, -0x1.53e28e676059fp-13, -0x1.48920fed49a9p-13, -0x1.3da5fe3532749p-13, -0x1.331b2e4a423eap-13, -0x1.28ee8bb34a6ecp-13, -0x1.1f1d0d916e987p-13, -0x1.15a3c0a9602fep-13, -0x1.0c7fc6594c4b7p-13, -0x1.03ae4c57784f4p-13, -0x1.f6594e08d54f4p-14, -0x1.e5f0729bff3a5p-14, -0x1.d61ce9c26a704p-14, -0x1.c6d9acb6c1fddp-14, -0x1.b821c8db56ad9p-14, -0x1.a9f06a2bb27c3p-14, -0x1.9c40f003e2e25p-14, -0x1.8f0ef9a81af04p-14, -0x1.8256595a265b2p-14, -0x1.7612f37af2cdp-14, -0x1.6a40ab0eb7c3dp-14, -0x1.5edb708046038p-14, -0x1.53df653ad12ecp-14, -0x1.4948f06fad63bp-14, -0x1.3f14b204df588p-14, -0x1.353f6258bda85p-14, -0x1.2bc5bb0f40333p-14, -0x1.22a4760505e16p-14, -0x1.19d856cf9ff63p-14, -0x1.115e33597d193p-14, -0x1.0932fecb7614p-14, -0x1.0153d90628841p-14, -0x1.f37c2971b95fcp-15, -0x1.e4de44101da96p-15, -0x1.d6c8d37091e3cp-15, -0x1.c9367e2c00879p-15, -0x1.bc21f5e25629ep-15, -0x1.af864b6567c9p-15, -0x1.a35f11b7d7a52p-15, -0x1.97a83c023f062p-15, -0x1.8c5ddf9011621p-15, -0x1.817c06cddf29dp-15, -0x1.76fead4f4b28ap-15, -0x1.6ce1dd9b2475bp-15, -0x1.6321cca03edcfp-15, -0x1.59badf629f551p-15, -0x1.50a9a4eabe9a8p-15, -0x1.47ead808f21c7p-15, -0x1.3f7b5d7ee430bp-15, -0x1.375824f3f6ac8p-15, -0x1.2f7e073914146p-15, -0x1.27e9d5242c9f1p-15, -0x1.20988ca66185bp-15, -0x1.198773709891cp-15, -0x1.12b40366bc62ap-15, -0x1.0c1bd2a9aa1acp-15, -0x1.05bc8bbf767b4p-15, -0x1.ff27d044a8a49p-16, -0x1.f33f4f921003cp-16, -0x1.e7bb2d3b30fc3p-16, -0x1.dc9739d70b97dp-16, -0x1.d1cf96137406ap-16, -0x1.c760a6bac1ecep-16, -0x1.bd46e70c4b6cbp-16, -0x1.b37ec59359515p-16, -0x1.aa04a55733ac1p-16, -0x1.a0d4e80c1705dp-16, -0x1.97ec1010d436bp-16, -0x1.8f470788a4d97p-16, -0x1.86e3239616d08p-16, -0x1.7ebdc49a5dba8p-16, -0x1.76d41b3445fcp-16, -0x1.6f2374ca4fff5p-16, -0x1.67a92969e23a8p-16, -0x1.6062cab31e2fap-16, -0x1.594e1f774e4b5p-16, -0x1.52690ccc3431p-16, -0x1.4bb18210ab167p-16, -0x1.45258681ce487p-16, -0x1.3ec35c6135dcbp-16, -0x1.38896f24cbc69p-16, -0x1.327609536391p-16, -0x1.2c873a363dfdbp-16, -0x1.26bb024327adfp-16, -0x1.210f91ff63b22p-16, -0x1.1b8398fc73d11p-16, -0x1.1615e0adc7062p-16, -0x1.10c56f5f36595p-16, -0x1.0b90ee3500d7dp-16, -0x1.0676fa96dcc8fp-16, -0x1.01764ed5509c6p-16, -0x1.f91b65d5df1a9p-17, -0x1.ef780f8d8df48p-17, -0x1.e600ad5edf7fap-17, -0x1.dcb3804bf2732p-17, -0x1.d38ec51f3e362p-17, -0x1.ca90c859a0e8cp-17, -0x1.c1b811246e398p-17, -0x1.b9035384961e8p-17, -0x1.b07131adc3e3ap-17, -0x1.a80008fa3986dp-17, -0x1.9fae168cd4d75p-17, -0x1.9779d7fd4aaf4p-17, -0x1.8f6229de01247p-17, -0x1.876643648cbdep-17, -0x1.7f8571b6624dbp-17, -0x1.77beaa15da309p-17, -0x1.7010d13db082dp-17, -0x1.687b06ecba00cp-17, -0x1.60fc6c394d0c4p-17, -0x1.59941ddeafde8p-17, -0x1.5241495bdd3cfp-17, -0x1.4b0333fa5cd93p-17, -0x1.43d93e6d8db61p-17, -0x1.3cc2e8a6a3067p-17, -0x1.35bfc211ba7eap-17, -0x1.2ecf4a550abe3p-17, -0x1.27f0fc8505b2ap-17, -0x1.212460d4a594cp-17, -0x1.1a6905dcfa72cp-17, -0x1.13be70e119605p-17, -0x1.0d242ee44ce9cp-17, -0x1.0699fb324de1p-17, -0x1.001f9e073adc5p-17, -0x1.f369b0865a051p-18, -0x1.e6b2c7d079524p-18, -0x1.da19e805dd95ep-18, -0x1.cd9ec1770ecap-18, -0x1.c140fdc6f57e5p-18, -0x1.b500387ae727dp-18, -0x1.a8dc1155d21d7p-18, -0x1.9cd41cbac08a9p-18, -0x1.90e7f9f4e85f9p-18, -0x1.8517843fe15a9p-18, -0x1.7962bdb957fb4p-18, -0x1.6dc9830b41967p-18, -0x1.624b9f49d5009p-18, -0x1.56e8e94cd6396p-18, -0x1.4ba137c45ee57p-18, -0x1.40747330eac7p-18, -0x1.356294e154de3p-18, -0x1.2a6b8f05bdfebp-18, -0x1.1f8f5a83a0d04p-18, -0x1.14ce0928830bcp-18, -0x1.0a278d72d0c57p-18, -0x1.ff379c44eeaf6p-19, -0x1.ea55a427368dep-19, -0x1.d5a9550521f1cp-19, -0x1.c132d3279a907p-19, -0x1.acf226d41d966p-19, -0x1.98e7389de6f62p-19, -0x1.85129cbfab072p-19, -0x1.7173e4552fd89p-19, -0x1.5e0a663701943p-19, -0x1.4ad8b8e063ef3p-19, -0x1.37dca0d0461b8p-19, -0x1.25171456be748p-19, -0x1.128834393ee5ap-19, -0x1.00302da858b67p-19, -0x1.dc1e1f78215dcp-20, -0x1.b849f84fe0752p-20, -0x1.94e414ee29e18p-20, -0x1.71ecc608f5ff1p-20, -0x1.4f646d2bfa025p-20, -0x1.2d4b396ad7dd8p-20, -0x1.0ba1701cf98ap-20, -0x1.d4ce59ed3e689p-21, -0x1.933909adb0558p-21, -0x1.52838765f1502p-21, -0x1.12ae5328c6efdp-21, -0x1.a77339b9af7fcp-22, -0x1.2b4b561e05fecp-22, -0x1.61caebc37500dp-23, -0x1.c210093b84095p-25, 0x1.f4f5fd289270dp-25, 0x1.67794faa9bb8fp-23, 0x1.2717a087222d4p-22, 0x1.98af761c8a3c5p-22, 0x1.04420edff6845p-21, 0x1.3b4ae13e9f522p-21, 0x1.717244f97a5c4p-21, 0x1.a6b86caf4c55cp-21, 0x1.db1d7e34f56cdp-21, 0x1.0750de2a11bd6p-20, 0x1.20a2b62a14998p-20, 0x1.39846e2c19a3ep-20, 0x1.51f634c7c5b9cp-20, 0x1.69f842d96818ep-20, 0x1.818ad46fefb0ep-20, 0x1.98ae2bfa51719p-20, 0x1.af62981c7e61fp-20, 0x1.c5a85dde8c1dap-20, 0x1.db7fd4238727cp-20, 0x1.f0e9561556263p-20, 0x1.02f29eadb5c67p-19, 0x1.0d39f68d12e83p-19, 0x1.174af157f72ffp-19, 0x1.2125bdc0858a8p-19, 0x1.2aca9caa6f051p-19, 0x1.3439c9cb774a5p-19, 0x1.3d73837342132p-19, 0x1.46780e72258aep-19, 0x1.4f47b00591f66p-19, 0x1.57e2b01a23d34p-19, 0x1.6049594b4df36p-19, 0x1.687bf8b89dfe3p-19, 0x1.707addd620545p-19, 0x1.78465a62cf418p-19, 0x1.7fdec2502b4e6p-19, 0x1.87446b93b74cep-19, 0x1.8e77ae423afadp-19, 0x1.9578e4f657ad5p-19, 0x1.9c486c78dc645p-19, 0x1.a2e6a2bc10e53p-19, 0x1.a953e82debd44p-19, 0x1.af909cfc2a99p-19, 0x1.b59d1d0ae3eddp-19, 0x1.bb7a46eab54d1p-19, 0x1.c12748e46d5fap-19, 0x1.c6a60c64af1f9p-19, 0x1.cbf5c75bc5dd1p-19, 0x1.d1179942e83bp-19, 0x1.d60bb9ff7bf7cp-19, 0x1.dad29a3251b27p-19, 0x1.df6ca9cab8375p-19, 0x1.e3da5a2703a8fp-19, 0x1.e81c1dfbf15cep-19, 0x1.ec32691bbb817p-19, 0x1.f01db0683178bp-19, 0x1.f3de69ca796c1p-19, 0x1.f77519ba27655p-19, 0x1.fae20f478037ap-19, 0x1.fe25ec531945fp-19, 0x1.00a08dbf94976p-18, 0x1.021a0be165739p-18, 0x1.037fae11e488bp-18, 0x1.04d1b1e543871p-18, 0x1.06105573a4af8p-18, 0x1.073bd72871cc3p-18, 0x1.0854721e493fdp-18, 0x1.095a6f606a15cp-18, 0x1.0a4e017983b95p-18, 0x1.0b2f67c2e956ep-18, 0x1.0bfef13dc9c22p-18, 0x1.0cbcd0f58ae55p-18, 0x1.0d69442b0bf38p-18, 0x1.0e048e16c39aep-18, 0x1.0e8eee9242c24p-18, 0x1.0f08a4e8f73f5p-18, 0x1.0f71f0aa9c1cfp-18, 0x1.0fcb114c028ap-18, 0x1.1014463919486p-18, 0x1.104dcda661b71p-18, 0x1.1077ea8c6a8f4p-18, 0x1.1092d8fed78e2p-18, 0x1.109ed91dc4f76p-18, 0x1.109c2976a73a7p-18, 0x1.108b091cb8de5p-18, 0x1.106bb6b4f0dc2p-18, 0x1.103e70885b0c6p-18, 0x1.10037436a6cd5p-18, 0x1.0fbb21d952474p-18, 0x1.0f651c55f5d86p-18, 0x1.0f02b3b2d5851p-18, 0x1.0e934aa45d8ffp-18, 0x1.0e1762311031ep-18, 0x1.0d8f37ede6d97p-18, 0x1.0cfb039700be6p-18, 0x1.0c5b02d55ea3dp-18, 0x1.0baf719367436p-18, 0x1.0af88a60b85d6p-18, 0x1.0a368a3cfa43cp-18, 0x1.0969ab1bd7a2fp-18, 0x1.0892263c9ef41p-18, 0x1.07b035f553d02p-18, 0x1.06c412ff1238cp-18, 0x1.05cdf1fb3da9bp-18, 0x1.04ce526d8f6c8p-18, 0x1.03c4b57ac0a6ep-18, 0x1.02b20b1aa39c5p-18, 0x1.019642756f73dp-18, 0x1.00716e0564793p-18, 0x1.fe88812c3b39dp-19, 0x1.fc1ce8e13b13dp-19, 0x1.f9a0cfe20482p-19, 0x1.f7149e1eb483dp-19, 0x1.f478c2bd1793bp-19, 0x1.f1cda9f5639c2p-19, 0x1.ef13b242065bp-19, 0x1.ec4b40cf4386fp-19, 0x1.e974bcabf954cp-19, 0x1.e6908abb2fd31p-19, 0x1.e39f0d81d246dp-19, 0x1.e0a0a77d3421cp-19, 0x1.dd95b979d7e39p-19, 0x1.da7ea2cedec8cp-19, 0x1.d75bc296c8456p-19, 0x1.d42d768d13683p-19, 0x1.d0f41b08add7bp-19, 0x1.cdb00bf79a312p-19, 0x1.ca61a3aabc6d6p-19, 0x1.c7093b66d54dbp-19, 0x1.c3a72b6c7261fp-19, 0x1.c03bcaedd0928p-19, 0x1.bcc77006a8a7cp-19, 0x1.b94a6fb907179p-19, 0x1.b5c51deac1323p-19, 0x1.b237cd69463c2p-19, 0x1.aea2cfe7a1d7p-19, 0x1.ab0675fed02acp-19, 0x1.a7630f2eae48bp-19, 0x1.a3b8e9e0c2ac7p-19, 0x1.a008536b7e386p-19, 0x1.9c5198202da7bp-19, 0x1.9895035ba88dbp-19, 0x1.94d2df1e9bdbcp-19, 0x1.910b6eb8db07cp-19, 0x1.8d3efd467c5cdp-19, 0x1.896de2e0a278cp-19, 0x1.85984c513b8e8p-19, 0x1.81be868b23adap-19, 0x1.7de0d6dcafb6bp-19, 0x1.79ff7f63c778ap-19, 0x1.761ac1544694ep-19, 0x1.7232dd23cd455p-19, 0x1.6e48122929a75p-19, 0x1.6a5a9ddd3ef79p-19, 0x1.666abb4f6d9ddp-19, 0x1.6278a8cff901p-19, 0x1.5e84a72fd3b8dp-19, 0x1.5a8eebac1739ep-19, 0x1.5697a9236d2c9p-19, 0x1.529f13592ed93p-19, 0x1.4ea59e3f27d56p-19, 0x1.4aab0c35e74ebp-19, 0x1.46aff6c0cb50bp-19, 0x1.42b46597f76fep-19, 0x1.3eb89a0c735a2p-19, 0x1.3abcb92876773p-19, 0x1.36c0fd7da1e29p-19, 0x1.32c596e01a56cp-19, 0x1.2ecab369af7d2p-19, 0x1.2ad08147e7e8dp-19, 0x1.26d72dc8b8452p-19, 0x1.22dee565a715dp-19, 0x1.1ee7d3b2e2eb3p-19, 0x1.1af2235975ff1p-19, 0x1.16fdfe1a869dbp-19, 0x1.130b8cd3f16ecp-19, 0x1.0f1af782f899bp-19, 0x1.0b2c654531461p-19, 0x1.073ffc57b1c6ap-19, }}, 
      {{-0x1.06a4cfed0e508p-5, -0x1.f9f79697e9565p-4, -0x1.0db84a5d7e278p-2, -0x1.c0fdd1cbedb96p-2, -0x1.4573c79b1ddacp-1, -0x1.afb4a7270a336p-1, -0x1.0d16e4c6e4dcbp+0, -0x1.406672f6190cap+0, -0x1.703a5592c2f02p+0, -0x1.9b71ab070f3f1p+0, -0x1.c14a3a4d850fbp+0, -0x1.e15126a2aeae7p+0, -0x1.fb548a25d9be8p+0, -0x1.07ab35698b009p+1, -0x1.0ec098a478b12p+1, -0x1.130ed341e8a41p+1, -0x1.14c535932ac82p+1, -0x1.141a67b0d859dp+1, -0x1.114976149a326p+1, -0x1.0c8f6ddb82b33p+1, -0x1.0629778ba5339p+1, -0x1.fca6bf831c364p+0, -0x1.ea8cfc48c92acp+0, -0x1.d671d839844aep+0, -0x1.c0b9fb5b97be7p+0, -0x1.a9c1e0e0fc46ap+0, -0x1.91dd8d7fd743ep+0, -0x1.7958895782bb5p+0, -0x1.60760cd3e0fbfp+0, -0x1.47715567c9d7ep+0, -0x1.2e7e13be7c4d5p+0, -0x1.15c8ea94db8fp+0, -0x1.faefee4132274p-1, -0x1.cb56b8d496128p-1, -0x1.9cfb9b58d9207p-1, -0x1.700a2974fae44p-1, -0x1.44a525289b7ap-1, -0x1.1ae772b560001p-1, -0x1.e5c9fca4cc35fp-2, -0x1.9957259ab5d83p-2, -0x1.5087415f879d6p-2, -0x1.0b61ebd9f7928p-2, -0x1.93cd9800c3791p-3, -0x1.181d88e8e9f6bp-3, -0x1.4734132121bdfp-4, -0x1.b0ffd1c1c467fp-6, 0x1.83dc96289bad7p-6, 0x1.20d3b258c5532p-4, 0x1.d3c220487cb96p-4, 0x1.3d1b40d4a9453p-3, 0x1.8a5542c6b0369p-3, 0x1.d1cdda5ef3271p-3, 0x1.09e27b0557897p-2, 0x1.283d83615c86p-2, 0x1.44183886804c5p-2, 0x1.5d928a4db0bb5p-2, 0x1.74cbf3ae53e49p-2, 0x1.89e35120d8d45p-2, 0x1.9cf6bf57756f8p-2, 0x1.ae238000d1a8p-2, 0x1.bd85e56d00fb9p-2, 0x1.cb3942dc8f87fp-2, 0x1.d757e12609cfcp-2, 0x1.e1faf80a86c2cp-2, 0x1.eb3aa964b9892p-2, 0x1.f32e00df665afp-2, 0x1.f9eaf432c5297p-2, 0x1.ff8667070037fp-2, 0x1.020a177f8c939p-1, 0x1.03d38d20b51c3p-1, 0x1.05287b0e4ee7bp-1, 0x1.06114b9a684ccp-1, 0x1.0695f0de8a789p-1, 0x1.06bde948a6a12p-1, 0x1.0690442184c27p-1, 0x1.0613a649c102ep-1, 0x1.054e4ee6e4059p-1, 0x1.04461c1d3e1a7p-1, 0x1.03008fb440855p-1, 0x1.0182d3aaf4c56p-1, 0x1.ffa37d653e5d7p-2, 0x1.fbe3b1104b6c5p-2, 0x1.f7cebc5fe0138p-2, 0x1.f36c8c0e0b29ap-2, 0x1.eec4876980bd4p-2, 0x1.e9dd97d7beeacp-2, 0x1.e4be301c2b734p-2, 0x1.df6c5331ca202p-2, 0x1.d9ed9af6ef6c4p-2, 0x1.d4473e5d1a89dp-2, 0x1.ce7e177d8ec9bp-2, 0x1.c896a9257671ap-2, 0x1.c29524551aafap-2, 0x1.bc7d6d3955b7ep-2, 0x1.b653200f9eae8p-2, 0x1.b01995a84154ap-2, 0x1.a9d3e7a698d02p-2, 0x1.a384f4a3faf1p-2, 0x1.9d2f63d4d02c9p-2, 0x1.96d5a8c685ceep-2, 0x1.907a069bf7c84p-2, 0x1.8a1e933cf2aacp-2, 0x1.83c53a5ffff19p-2, 0x1.7d6fc02997154p-2, 0x1.771fc3f4035bbp-2, 0x1.70d6c2a67a529p-2, 0x1.6a9618f92b73fp-2, 0x1.645f05c01ba88p-2, 0x1.5e32abc0e8253p-2, 0x1.581213acc6855p-2, 0x1.51fe2df3b7076p-2, 0x1.4bf7d44125783p-2, 0x1.45ffcb2cc42e2p-2, 0x1.4016c3ad78f02p-2, 0x1.3a3d5c514541p-2, 0x1.347422a8dd4f2p-2, 0x1.2ebb94733c361p-2, 0x1.2914209a53c7ep-2, 0x1.237e2860969fep-2, 0x1.1dfa0059d47a6p-2, 0x1.1887f133cf98fp-2, 0x1.132838ab97055p-2, 0x1.0ddb0a638fa16p-2, 0x1.08a09081830fap-2, 0x1.0378ec6e57428p-2, 0x1.fcc86f2567599p-3, 0x1.f2c507b28a02ap-3, 0x1.e8e7b872e8b0bp-3, 0x1.df308ab835a31p-3, 0x1.d59f7c2460534p-3, 0x1.cc347f691bc22p-3, 0x1.c2ef7d4a2a381p-3, 0x1.b9d05583c7de7p-3, 0x1.b0d6df63f928p-3, 0x1.a802ea757c422p-3, 0x1.9f543f4e7757p-3, 0x1.96caa02a90646p-3, 0x1.8e65c95a4ea5dp-3, 0x1.862571d4b162cp-3, 0x1.7e094bd347b4p-3, 0x1.7611053b5ab74p-3, 0x1.6e3c47f28e566p-3, 0x1.668aba53d8effp-3, 0x1.5efbffa3e577dp-3, 0x1.578fb85bdecccp-3, 0x1.50458268de306p-3, 0x1.491cf984e05cap-3, 0x1.4215b78ee69d3p-3, 0x1.3b2f54c312d48p-3, 0x1.346967e7d1f2dp-3, 0x1.2dc3868dfb3acp-3, 0x1.273d455499303p-3, 0x1.20d638158c996p-3, 0x1.1a8df204c1fc7p-3, 0x1.146405dae5689p-3, 0x1.0e580608a478cp-3, 0x1.086984dc6f798p-3, 0x1.0298149919a2ep-3, 0x1.f9c68f1ea88eep-4, 0x1.ee9560830182fp-4, 0x1.e39bc307cf54dp-4, 0x1.d8d8dd1fe2c79p-4, 0x1.ce4bd6251044fp-4, 0x1.c3f3d68225a7ap-4, 0x1.b9d007e502ef5p-4, 0x1.afdf9563375e5p-4, 0x1.a621ab8e41e4bp-4, 0x1.9c9578875bacbp-4, 0x1.933a2c1d68d86p-4, 0x1.8a0ef7ecc1c55p-4, 0x1.81130f743b7d9p-4, 0x1.7845a81e97a6bp-4, 0x1.6fa5f94f20accp-4, 0x1.67333c74c86e7p-4, 0x1.5eecad1d10339p-4, 0x1.56d188ff068bep-4, 0x1.4ee10ffff1a44p-4, 0x1.471a8438bfdfdp-4, 0x1.3f7d2a0027592p-4, 0x1.380847f55abf1p-4, 0x1.30bb270583f4bp-4, 0x1.2995126ca160ap-4, 0x1.229557b60ba09p-4, 0x1.1bbb46bfd522ap-4, 0x1.150631bfc04d7p-4, 0x1.0e756d44ee286p-4, 0x1.08085036df183p-4, 0x1.01be33d3891abp-4, 0x1.f72ce75b6b38fp-5, 0x1.eb20db544767p-5, 0x1.df57040907769p-5, 0x1.d3ce26947164p-5, 0x1.c8850cac591a9p-5, 0x1.bd7a84999f50ap-5, 0x1.b2ad6132034a3p-5, 0x1.a81c79d36a439p-5, 0x1.9dc6aa5ebfc4dp-5, 0x1.93aad328ee38dp-5, 0x1.89c7d8fabff6cp-5, 0x1.801ca4fb828dp-5, 0x1.76a824ad8fc1fp-5, 0x1.6d6949e4960abp-5, 0x1.645f0abcab51bp-5, 0x1.5b88618ee44fp-5, 0x1.52e44ce51432ap-5, 0x1.4a71cf6dfb236p-5, 0x1.422feff274e25p-5, 0x1.3a1db94b3a802p-5, 0x1.323a3a566734p-5, 0x1.2a8485eb77b53p-5, 0x1.22fbb2cec001fp-5, 0x1.1b9edba4fa7bdp-5, 0x1.146d1ee782033p-5, 0x1.0d659ed91e161p-5, 0x1.0687817ade10fp-5, 0x1.ffa3e100c4d52p-6, 0x1.f288328706c72p-6, 0x1.e5ba596fa7a41p-6, 0x1.d938bebd18258p-6, 0x1.cd01d275d7ccfp-6, 0x1.c1140b8dd422ep-6, 0x1.b56de7cfaf545p-6, 0x1.aa0debc5508f4p-6, 0x1.9ef2a29febdafp-6, 0x1.941a9e201e58bp-6, 0x1.8984767eb0966p-6, 0x1.7f2eca5616e01p-6, 0x1.75183e8c49875p-6, 0x1.6b3f7e3caca5dp-6, 0x1.61a33aa1a58b7p-6, 0x1.58422afdff9dcp-6, 0x1.4f1b0c86621bbp-6, 0x1.462ca24b46a71p-6, 0x1.3d75b5237852p-6, 0x1.34f51396e669fp-6, 0x1.2ca991c9aed9cp-6, 0x1.249209671dfd7p-6, 0x1.1cad598ca8d52p-6, 0x1.14fa66b4eabcbp-6, 0x1.0d781aa2f40f7p-6, 0x1.0625644df3934p-6, 0x1.fe026f9a9f8bap-7, 0x1.f0151c89f0eb9p-7, 0x1.e280cba3d60c5p-7, 0x1.d54382ed8c5a1p-7, 0x1.c85b5210d1e89p-7, 0x1.bbc6523558f05p-7, 0x1.af82a5dacf114p-7, 0x1.a38e78b3b20ffp-7, 0x1.97e7ff8104585p-7, 0x1.8c8d77ed42195p-7, 0x1.817d286831edap-7, 0x1.76b56006b615cp-7, 0x1.6c34765be74a8p-7, 0x1.61f8cb56345a8p-7, 0x1.5800c71da24ap-7, 0x1.4e4ad9f1f5ee8p-7, 0x1.44d57c0956272p-7, 0x1.3b9f2d6f6aa21p-7, 0x1.32a675e46bdb7p-7, 0x1.29e9e4bc696f2p-7, 0x1.216810bedf82ap-7, 0x1.191f980766a4ep-7, 0x1.110f1fe758d84p-7, 0x1.093554c7d7b85p-7, 0x1.0190ea0a83cf4p-7, 0x1.f44133d183464p-8, 0x1.e5c64aa9d7893p-8, 0x1.d7aea7be7c709p-8, 0x1.c9f7e73674b1bp-8, 0x1.bc9fb204f45ddp-8, 0x1.afa3bdadac827p-8, 0x1.a301cc0cf4bcdp-8, 0x1.96b7ab23d2bf4p-8, 0x1.8ac334e39bf23p-8, 0x1.7f224ef62d623p-8, 0x1.73d2ea84c105bp-8, 0x1.68d303fec0798p-8, 0x1.5e20a2ee74949p-8, 0x1.53b9d9c0a706cp-8, 0x1.499cc5a37ef96p-8, 0x1.3fc78e52feccep-8, 0x1.363865e47087p-8, 0x1.2ced888d465a4p-8, 0x1.23e53c698b6f6p-8, 0x1.1b1dd1486e054p-8, 0x1.1295a0835da3ep-8, 0x1.0a4b0cde1922ap-8, 0x1.023c826a2ae2fp-8, 0x1.f4d0ecc9500bdp-9, 0x1.e59ace0eb17d7p-9, 0x1.d6d3b699fca3ep-9, 0x1.c878c55d840d9p-9, 0x1.ba8729ce61f5cp-9, 0x1.acfc238ae6311p-9, 0x1.9fd5022ae069ep-9, 0x1.930f252fcdb3ep-9, 0x1.86a7fbf7cc90bp-9, 0x1.7a9d05935cfa6p-9, 0x1.6eebd06713685p-9, 0x1.6391f99a17891p-9, 0x1.588d2c6d9f275p-9, 0x1.4ddb21a6f108fp-9, 0x1.43799f345d0f2p-9, 0x1.3966781dd5df3p-9, 0x1.2f9f8cb06af85p-9, 0x1.2622cab74dfe5p-9, 0x1.1cee2d8989d7fp-9, 0x1.13ffbdc0afae3p-9, 0x1.0b559091fc883p-9, 0x1.02edc6ec9d5bp-9, 0x1.f58d1950e6f37p-10, 0x1.e5bc2fef806bap-10, 0x1.d66551fbd64f3p-10, 0x1.c785156bcf24ep-10, 0x1.b918273583e3fp-10, 0x1.ab1b4b0a214f9p-10, 0x1.9d8b5c7cc28b7p-10, 0x1.90654dd0ed58ep-10, 0x1.83a625c528654p-10, 0x1.774afceda0117p-10, 0x1.6b50fb6d0b418p-10, 0x1.5fb557d9d15cep-10, 0x1.547557b47408bp-10, 0x1.498e513ebf917p-10, 0x1.3efdadf0f006dp-10, 0x1.34c0ec8298d0ep-10, 0x1.2ad5a18c7dce8p-10, 0x1.2139763de1cadp-10, 0x1.17ea254e4f8f9p-10, 0x1.0ee5770681715p-10, 0x1.06293da506005p-10, 0x1.fb66a6bd9c4b1p-11, 0x1.eb03356945ab7p-11, 0x1.db240213a8ccep-11, 0x1.cbc505334ba1ep-11, 0x1.bce25cd04c4b1p-11, 0x1.ae78516af9c66p-11, 0x1.a08355ff88d7dp-11, 0x1.9300025d79346p-11, 0x1.85eb094c310f2p-11, 0x1.79412d2fa79d3p-11, 0x1.6cff36bb75e26p-11, 0x1.6121f0bb1d23dp-11, 0x1.55a62a57da74dp-11, 0x1.4a88bf193814ep-11, 0x1.3fc6a205078d2p-11, 0x1.355ce863ea178p-11, 0x1.2b48d0e83ccdfp-11, 0x1.2187c50474fe4p-11, 0x1.181753bf6d90cp-11, 0x1.0ef5270f16b78p-11, 0x1.061ef65edc976p-11, 0x1.fb24f4112cbbbp-12, 0x1.ea9ac709763bdp-12, 0x1.da9ab9633e69fp-12, 0x1.cb201c4069b92p-12, 0x1.bc265403a0a95p-12, 0x1.ada8f0535a9b2p-12, 0x1.9fa3bfdcb0862p-12, 0x1.9212dbdb09c78p-12, 0x1.84f2a9751b717p-12, 0x1.783fd07d6a11ap-12, 0x1.6bf728a49d177p-12, 0x1.6015a05f1ef1bp-12, 0x1.549823fa8f4f3p-12, 0x1.497b8cdca5808p-12, 0x1.3ebc9e8e0a0b2p-12, 0x1.3458105a6f0dep-12, 0x1.2a4a9ec22420bp-12, 0x1.20911f0c45f0cp-12, 0x1.172889511aa3p-12, 0x1.0e0e0358dba11p-12, 0x1.053ee747b554dp-12, 0x1.f9718fcb3f2acp-13, 0x1.e8f2dc1251059p-13, 0x1.d8fd96ebf8d49p-13, 0x1.c98dc9da28affp-13, 0x1.ba9f78d8054c1p-13, 0x1.ac2e87cc36dd7p-13, 0x1.9e36be9499ea7p-13, 0x1.90b3dd8c6e7a9p-13, 0x1.83a1b182246ep-13, 0x1.76fc19c795333p-13, 0x1.6abf04bcf9155p-13, 0x1.5ee6740eb89c7p-13, 0x1.536e94d6a801cp-13, 0x1.4853e408ecb38p-13, 0x1.3d9346ee172cp-13, 0x1.332a02a9e848fp-13, 0x1.29159458622f5p-13, 0x1.1f53826a1b414p-13, 0x1.15e14344625e2p-13, 0x1.0cbc42a6318bfp-13, 0x1.03e1f6f21bcdep-13, 0x1.f69fda47b25cfp-14, 0x1.e60778707b526p-14, 0x1.d5f5ce90aaf09p-14, 0x1.c6659275c7932p-14, 0x1.b75147dbab188p-14, 0x1.a8b3a5778a778p-14, 0x1.9a88030161b7ap-14, 0x1.8cca838ab7b28p-14, 0x1.7f77e064d10a5p-14, 0x1.728d044f48635p-14, 0x1.6606bafdcd56ap-14, 0x1.59e1b46ae5712p-14, 0x1.4e1ac0ccdb774p-14, 0x1.42aef13c23ab1p-14, 0x1.379baa4d7f1a7p-14, 0x1.2cde6d59455dap-14, 0x1.2274850c4a93dp-14, 0x1.185acb32e570ep-14, 0x1.0e8dbca112fcbp-14, 0x1.0509db0fc2e63p-14, 0x1.f7983c5792a1ep-15, 0x1.e5a44b80d506ap-15, 0x1.d4341aeb3ed9cp-15, 0x1.c3441069d042dp-15, 0x1.b2d02271c7864p-15, 0x1.a2d3ce2e23d6ap-15, 0x1.934a88992b0fp-15, 0x1.843047c52a7ccp-15, 0x1.7581cbd74fa08p-15, 0x1.673c783600b47p-15, 0x1.595dd2a9aabc7p-15, 0x1.4be2fbd46028ep-15, 0x1.3ec87316e126cp-15, 0x1.320a474b51e63p-15, 0x1.25a499f7cc0afp-15, 0x1.1994216447303p-15, 0x1.0dd655af7275bp-15, 0x1.02693c91d37cbp-15, 0x1.ee95f39cfe20ep-16, 0x1.d8f2b3add4978p-16, 0x1.c3e32f583b0f3p-16, 0x1.af6115a8d7ff9p-16, 0x1.9b6669aa09da9p-16, 0x1.87ee948efd06ap-16, 0x1.74f667ee49e8cp-16, 0x1.627b3ce0df8bcp-16, 0x1.507a4c6e817f6p-16, 0x1.3ef090bb870f7p-16, 0x1.2ddac099e1c0ap-16, 0x1.1d3559a808559p-16, 0x1.0cfce9b1b29cp-16, 0x1.fa5c8e088f2a8p-17, 0x1.db8cf31496ae2p-17, 0x1.bd85ba2eff816p-17, 0x1.a042f43e5c4bcp-17, 0x1.83c122b336fb4p-17, 0x1.67fae0c6d8f35p-17, 0x1.4ce8545ea5eb2p-17, 0x1.3281bdffbe1fbp-17, 0x1.18c1b0e36a7eap-17, 0x1.ff486177e1c77p-18, 0x1.ce4a93d73683cp-18, 0x1.9e82b4f621642p-18, 0x1.6feb3286e8c3cp-18, 0x1.427f790ec88e5p-18, 0x1.163ac538e6633p-18, 0x1.d62fbb4fcd022p-19, 0x1.82230136177f6p-19, 0x1.3043015429a25p-19, 0x1.c0fb094e762acp-20, 0x1.257f8bf2fe61ap-20, 0x1.1c0768810be0bp-21, -0x1.5f1d84b9c106dp-26, -0x1.2a2df9cc78744p-21, -0x1.20ef638795c3cp-20, -0x1.a91ce9f5b833ap-20, -0x1.16d764b4db23fp-19, -0x1.575f910b89f07p-19, -0x1.963618c74c536p-19, -0x1.d364ce7d605fp-19, -0x1.07782d81bf1bbp-18, -0x1.246e26273cecfp-18, -0x1.40967660e15ep-18, -0x1.5bf368dcde0cfp-18, -0x1.7687020b58dfdp-18, -0x1.905315a94ce51p-18, -0x1.a95b88f06f3d5p-18, -0x1.c1a8a169b6951p-18, -0x1.d9418b7f61762p-18, -0x1.f02628e789aap-18, -0x1.032b4328cf52p-17, -0x1.0debbebb0b217p-17, -0x1.1855ec2bcb2fp-17, -0x1.22698e7ac8c6fp-17, -0x1.2c2808a1a70a3p-17, -0x1.359466dc8b237p-17, -0x1.3eb16e53ed66fp-17, -0x1.4780a4a586f1ap-17, -0x1.50027e18c446fp-17, -0x1.5837521a2a691p-17, -0x1.602016b543cdbp-17, -0x1.67bdefb0e611cp-17, -0x1.6f115bfbeaf23p-17, -0x1.761ad4269c4b3p-17, -0x1.7cdb9a5c592e5p-17, -0x1.83557e9643491p-17, -0x1.898af43f325f5p-17, -0x1.8f7d68b9f0c5dp-17, -0x1.952c99ad50808p-17, -0x1.9a99c6dba287ap-17, -0x1.9fc6417f40cadp-17, -0x1.a4b1957d5b78dp-17, -0x1.a95c3e443e757p-17, -0x1.adc7cd271fbfcp-17, -0x1.b1f5f7f5957b4p-17, -0x1.b5e88ccc4ee2cp-17, -0x1.b9a0b7fffa736p-17, -0x1.bd1e925eec598p-17, -0x1.c06271c84b25dp-17, -0x1.c36da3eb6610fp-17, -0x1.c64103ab63396p-17, -0x1.c8dccb9997ec9p-17, -0x1.cb41ea2753bdfp-17, -0x1.cd71d454ce9c8p-17, -0x1.cf6d7ff2a97b6p-17, -0x1.d1354d4824318p-17, -0x1.d2ca6bdb6739p-17, -0x1.d42e06e7aeabap-17, -0x1.d560c7758d146p-17, -0x1.d663c94d62c44p-17, -0x1.d73705330d8ebp-17, -0x1.d7db0fd8ccf11p-17, -0x1.d8510413d25b8p-17, -0x1.d899a7fd49d8bp-17, -0x1.d8b5fa9143662p-17, -0x1.d8a765d8675bfp-17, -0x1.d86ea2d00c131p-17, -0x1.d80bde1e27a5fp-17, -0x1.d7801e5dedc85p-17, -0x1.d6cc2c1d3e5c9p-17, -0x1.d5f05748c34e9p-17, -0x1.d4ed9b0b06ac1p-17, -0x1.d3c509d411aa3p-17, -0x1.d2776d30e0d96p-17, -0x1.d10582dc9fbdbp-17, -0x1.cf6fddc12d16bp-17, -0x1.cdb6c824287cbp-17, -0x1.cbdb58173ea46p-17, -0x1.c9deba7fb6076p-17, -0x1.c7c1ae6c5dbd1p-17, -0x1.c5846e3dbc497p-17, -0x1.c327906a27bfap-17, -0x1.c0ac1bee152a6p-17, -0x1.be12b60e1f704p-17, -0x1.bb5be7b3421eap-17, -0x1.b8887a320304ep-17, -0x1.b59970ed37e1bp-17, -0x1.b28f6a7a9ad1p-17, -0x1.af6b137de2c66p-17, -0x1.ac2cfd209eef3p-17, -0x1.a8d58650ea1cep-17, -0x1.a565a38aa4563p-17, -0x1.a1de2685ede37p-17, -0x1.9e3fb1728db3dp-17, -0x1.9a8ade7437453p-17, -0x1.96c04a8153b8bp-17, -0x1.92e09f7b75ae1p-17, -0x1.8eec7cedc0d48p-17, -0x1.8ae44358cf77bp-17, -0x1.86c8c2729080bp-17, -0x1.829b00e380c1dp-17, -0x1.7e5b500dd8aacp-17, -0x1.7a0a0b745fc94p-17, -0x1.75a817ee89039p-17, -0x1.7136164cc38e2p-17, -0x1.6cb4862e103b2p-17, -0x1.6823c950afc5ep-17, -0x1.63849130c36bap-17, -0x1.5ed7b805fc214p-17, -0x1.5a1dda4e293bcp-17, -0x1.555735362d43dp-17, -0x1.50844869bad7fp-17, -0x1.4ba5de1aad8c6p-17, -0x1.46bc81566dcd9p-17, -0x1.41c8b1e6ed3f7p-17, -0x1.3ccaf5b329fecp-17, -0x1.37c3d46a76a62p-17, -0x1.32b3d217520c3p-17, -0x1.2d9b6d90dcea3p-17, -0x1.287b290e8ba93p-17, -0x1.235390b1d4799p-17, -0x1.1e2509eda0a97p-17, -0x1.18f007c5342efp-17, -0x1.13b557c5af493p-17, -0x1.0e7517f0401a5p-17, -0x1.092fdedaae433p-17, -0x1.03e63c8d43355p-17, -0x1.fd313b33815ep-18, -0x1.f28ebb0b628aap-18, -0x1.e7e56d6c7104fp-18, -0x1.dd36d8244eb17p-18, -0x1.d2842a224a5b9p-18, -0x1.c7cd61112b614p-18, -0x1.bd13940b34e49p-18, -0x1.b257d440d0666p-18, -0x1.a79ad4657d406p-18, -0x1.9cdd4f9618b87p-18, -0x1.922009465e61p-18, -0x1.8763c58a90886p-18, -0x1.7ca94619d3352p-18, -0x1.71f14947aefbap-18, -0x1.673c87a6432e5p-18, -0x1.5c8baf98435d9p-18, -0x1.51df6bd4267d7p-18, -0x1.4738795b4e05fp-18, -0x1.3c9796ec03658p-18, -0x1.31fd287719653p-18, -0x1.276a18ff74d9bp-18, -0x1.1cdec211ef0f7p-18, -0x1.125c03d3f9e79p-18, -0x1.07e270790facep-18, -0x1.fae54c6bde5dp-19, -0x1.e619eca79c38bp-19, -0x1.d163b2689e6afp-19, -0x1.bcc50b5e50d84p-19, -0x1.a83d9b2ce2ee9p-19, -0x1.93cf19380a8p-19, -0x1.7f7aafe6c67e9p-19, -0x1.6b412f7d94674p-19, -0x1.572386356abc9p-19, -0x1.4322a63a32a2bp-19, -0x1.2f3f7c6c77356p-19, -0x1.1b7aefe6c7839p-19, -0x1.07d5e4a4e3319p-19, -0x1.e8a25e2e23ee8p-20, -0x1.c1db59aedcd72p-20, -0x1.9b5857d28606bp-20, -0x1.751ae34a1d44cp-20, -0x1.4f2469d963964p-20, -0x1.2976603f9dc51p-20, -0x1.04126bf16898fp-20, -0x1.bdf44c3285cfcp-21, -0x1.745c29c11bdf9p-21, -0x1.2b5fa8f722d38p-21, -0x1.c603f2fd7850ap-22, -0x1.368aed31c2a7bp-22, -0x1.50b26c78f1249p-23, -0x1.b7134d31aaae9p-26, 0x1.c09f44d938b67p-24, 0x1.f4de921252895p-23, 0x1.835e6c72df7ebp-22, 0x1.0578a6fa36988p-21, 0x1.4892ad3be8435p-21, 0x1.8afb9295c02dp-21, 0x1.ccb1a11653908p-21, 0x1.06d99c6b3ed7ep-20, 0x1.26ff670b2b0ap-20, 0x1.46c976b8e1d6p-20, 0x1.66371a389fe5p-20, 0x1.8547a9306c92fp-20, 0x1.a3fa83b3e168cp-20, 0x1.c24f128de2486p-20, 0x1.e044c6eb93f6p-20, 0x1.fddb1b646eccdp-20, 0x1.0d88b15eb8e0cp-19, 0x1.1bf4133e25da9p-19, 0x1.2a2ea85f42917p-19, 0x1.3838e01c9c3eap-19, 0x1.461237f105359p-19, 0x1.53bac52621b18p-19, 0x1.61326e4a63532p-19, 0x1.6e78d135ca7cbp-19, 0x1.7b8dcb31759f2p-19, 0x1.88715ce9a6d2cp-19, 0x1.9523be08f3d55p-19, 0x1.a1a4835c3468p-19, 0x1.adf38d6b62973p-19, 0x1.ba10f096994bbp-19, 0x1.c5fca65505a0fp-19, 0x1.d1b6a82c5238cp-19, 0x1.dd3ef00b901adp-19, 0x1.e8958772720e7p-19, 0x1.f3ba69b6317ecp-19, 0x1.feada1ca28513p-19, 0x1.04b79d3b3a797p-18, 0x1.09ff9fe000e2fp-18, 0x1.0f2ee1c8e9a44p-18, 0x1.14456c40a50e3p-18, 0x1.19434a2bf7937p-18, 0x1.1e2887d623eeap-18, 0x1.22f532d61e195p-18, 0x1.27a95a08c78e4p-18, 0x1.2c450dca8c9d2p-18, 0x1.30c86045adefep-18, 0x1.353364765b0c9p-18, 0x1.39862d7b9ac31p-18, 0x1.3dc0ce27c7666p-18, 0x1.41e3589a7e6d2p-18, 0x1.45edf91809abcp-18, 0x1.49e0ae56b8f03p-18, 0x1.4dbb957c1ad91p-18, 0x1.517ee63e7de85p-18, 0x1.552a999356791p-18, 0x1.58bed5a4dbd6ap-18, 0x1.5c3bbab7fd4edp-18, 0x1.5fa1669fc49d1p-18, 0x1.62eff83523599p-18, 0x1.66278f53580f2p-18, 0x1.69484cbb1eb46p-18, 0x1.6c5252023cc2bp-18, 0x1.6f45c18bcad56p-18, 0x1.7222be7a8a691p-18, 0x1.74e96cb263c3bp-18, 0x1.7799f0cfd07c4p-18, 0x1.7a34701cd2d2cp-18, 0x1.7cb9109158d6bp-18, 0x1.7f27f8c95f379p-18, 0x1.81814ffd8993ap-18, 0x1.83c53e0422febp-18, 0x1.85f3eb686aa58p-18, 0x1.880d8119400f4p-18, 0x1.8a122849a676dp-18, 0x1.8c020b7663bbap-18, 0x1.8ddd5501b5e09p-18, 0x1.8fa42ff48d253p-18, 0x1.9156c7ee6108cp-18, 0x1.92f5492287c6cp-18, 0x1.947fddbbcf356p-18, 0x1.95f6b27e91ecap-18, 0x1.9759fcf319677p-18, 0x1.98a9dfb8eebfcp-18, 0x1.99e68ca332e45p-18, 0x1.9b10321e20889p-18, 0x1.9c26fe6d06a45p-18, 0x1.9d2b2085aab7ap-18, 0x1.9e1cc7e75e366p-18, 0x1.9efc1ee5161f8p-18, 0x1.9fc95ee9ced2p-18, 0x1.a084aeeb4d0e5p-18, 0x1.a12e423baabf9p-18, 0x1.a1c6488454e0ap-18, 0x1.a24cf28abdb4ep-18, 0x1.a2c2705506876p-18, 0x1.a326f28450bc9p-18, 0x1.a37aa9e681795p-18, 0x1.a3bdc759babe2p-18, 0x1.a3f07bd59e197p-18, 0x1.a412f869ff754p-18, 0x1.a4256e35efa4dp-18, 0x1.a4280e6c41ec9p-18, 0x1.a41b0a4cae61ap-18, 0x1.a3fe931c4271cp-18, 0x1.a3d2da2848d02p-18, 0x1.a39810c19131bp-18, 0x1.a34e683d98071p-18, }}, 
      {{0x1.9cd4181a99237p-3, 0x1.783c75702f419p-2, 0x1.ee0910c34c3f1p-2, 0x1.16ff8c4f8d5e2p-1, 0x1.1ead37985992fp-1, 0x1.1241959e45841p-1, 0x1.ecc868fcb74fdp-2, 0x1.9f1b695e40933p-2, 0x1.436cf0b3f373dp-2, 0x1.c0d78d41af534p-3, 0x1.edeb6432b2039p-4, 0x1.8c5466721fe57p-6, -0x1.127cf0359c162p-4, -0x1.351562c44d118p-3, -0x1.cf35da1ef7d68p-3, -0x1.2b0e23e524703p-2, -0x1.64a141859cbcbp-2, -0x1.947281ea96fe8p-2, -0x1.bae85a4ac2658p-2, -0x1.d89c7bc7ed1a9p-2, -0x1.ee4a97d04517ep-2, -0x1.fcc27e1faf224p-2, -0x1.026e93d951777p-1, -0x1.03ba222653a8fp-1, -0x1.02adf30ef546ep-1, -0x1.ff5def843d65ep-2, -0x1.f636f1cb8037cp-2, -0x1.ea9434157d8a5p-2, -0x1.dd12a32bcc92fp-2, -0x1.ce3e76fb3285cp-2, -0x1.be935fb65200ep-2, -0x1.ae7d15aabf5b5p-2, -0x1.9e582e30177efp-2, -0x1.8e731d81cdc92p-2, -0x1.7f0f52711fce9p-2, -0x1.70625dc7e088dp-2, -0x1.62971b929f4cp-2, -0x1.55ced669181b8p-2, -0x1.4a225f323588cp-2, -0x1.3fa31692c3712p-2, -0x1.365be5ea606a1p-2, -0x1.2e5225d62f203p-2, -0x1.278671323621fp-2, -0x1.21f564b22bb62p-2, -0x1.1d984b960bd09p-2, -0x1.1a65ba0b37709p-2, -0x1.185216008f416p-2, -0x1.17500f93403cdp-2, -0x1.17510a75fb06p-2, -0x1.184579b6cbf38p-2, -0x1.1a1d2f2538e62p-2, -0x1.1cc79f7908b9ap-2, -0x1.20341c4578b4ep-2, -0x1.245204c2d935bp-2, -0x1.2910ee6d6fef1p-2, -0x1.2e60c661185e1p-2, -0x1.3431ec6344fadp-2, -0x1.3a7548568d6dap-2, -0x1.411c5ac85b23ep-2, -0x1.4819495d20044p-2, -0x1.4f5ee77ad673dp-2, -0x1.56e0bbef8cd9dp-2, -0x1.5e9303e0a4b8ep-2, -0x1.666ab387eb19fp-2, -0x1.6e5d75187af0ap-2, -0x1.7661a616bee8bp-2, -0x1.7e6e537f31d39p-2, -0x1.867b34e5d7072p-2, -0x1.8e80a6dc82decp-2, -0x1.9677a4b9bf0a6p-2, -0x1.9e59c1fd28826p-2, -0x1.a6212361a524fp-2, -0x1.adc877ccffa8bp-2, -0x1.b54af121ef01p-2, -0x1.bca43d1d9b9d3p-2, -0x1.c3d07e41aa633p-2, -0x1.cacc44de64f01p-2, -0x1.d194884b651d1p-2, -0x1.d826a04d2b366p-2, -0x1.de803ebaf23fcp-2, -0x1.e49f695a639e8p-2, -0x1.ea827403b9ce3p-2, -0x1.f027fb00860e8p-2, -0x1.f58eddb515dcap-2, -0x1.fab6398745a38p-2, -0x1.ff9d650e6cabfp-2, -0x1.0221f5bf18f99p-1, -0x1.0454c42e55f15p-1, -0x1.066711b61b4b6p-1, -0x1.0858e6708e06p-1, -0x1.0a2a5ce234429p-1, -0x1.0bdba05086e82p-1, -0x1.0d6ceb2c94695p-1, -0x1.0ede859f89fc7p-1, -0x1.1030c42c21119p-1, -0x1.11640669d75acp-1, -0x1.1278b5da84821p-1, -0x1.136f44cd86f31p-1, -0x1.14482d65f21ap-1, -0x1.1503f0a2cdb89p-1, -0x1.15a3158525d1dp-1, -0x1.16262848834fep-1, -0x1.168db99fb7df9p-1, -0x1.16da5e0fa3109p-1, -0x1.170cad49cbec5p-1, -0x1.1725419c9121cp-1, -0x1.1724b770072c6p-1, -0x1.170bacc3f4218p-1, -0x1.16dac0c58edf4p-1, -0x1.16929366d0df1p-1, -0x1.1633c4fbb40a2p-1, -0x1.15bef5ebeb065p-1, -0x1.1534c65fd7ea3p-1, -0x1.1495d5f7dbe1cp-1, -0x1.13e2c392b26aep-1, -0x1.131c2d0d8200bp-1, -0x1.1242af0eec2fcp-1, -0x1.1156e4ddce511p-1, -0x1.10596831a9313p-1, -0x1.0f4ad10c32dap-1, -0x1.0e2bb59d5c936p-1, -0x1.0cfcaa21a2fa3p-1, -0x1.0bbe40c614a97p-1, -0x1.0a710996be965p-1, -0x1.09159268c2cb1p-1, -0x1.07ac66c672257p-1, -0x1.06360fe47a3aap-1, -0x1.04b314978e987p-1, -0x1.0323f94579548p-1, -0x1.01893fded2ae8p-1, -0x1.ffc6cfb9a2625p-2, -0x1.fc65dc7290da8p-2, -0x1.f8f09ad7d0601p-2, -0x1.f567fad4c74f9p-2, -0x1.f1cce74f6abf5p-2, -0x1.ee204628838bbp-2, -0x1.ea62f8413612ap-2, -0x1.e695d9806a444p-2, -0x1.e2b9c0d92ca15p-2, -0x1.decf80553fe93p-2, -0x1.dad7e51e76841p-2, -0x1.d6d3b788d2b9p-2, -0x1.d2c3bb1f5c048p-2, -0x1.cea8aeb411cep-2, -0x1.ca834c6bdeaf5p-2, -0x1.c65449caae7bap-2, -0x1.c21c57c586b5bp-2, -0x1.bddc22d53f1cdp-2, -0x1.b994530386842p-2, -0x1.b5458bf84475dp-2, -0x1.b0f06d0dee499p-2, -0x1.ac9591665d88fp-2, -0x1.a8358ff8d7d15p-2, -0x1.a3d0fb9f1881dp-2, -0x1.9f6863299c951p-2, -0x1.9afc5176158efp-2, -0x1.968d4d7f1f7fbp-2, -0x1.921bda687f108p-2, -0x1.8da87790b5279p-2, -0x1.8933a0a7f7f95p-2, -0x1.84bdcdc2d608fp-2, -0x1.804773665175dp-2, -0x1.7bd10295a260dp-2, -0x1.775ae8e6c924cp-2, -0x1.72e59097bcb0bp-2, -0x1.6e71609d2f87ap-2, -0x1.69febcad9c93bp-2, -0x1.658e05508c21ep-2, -0x1.611f97f33ba77p-2, -0x1.5cb3cefb3dadfp-2, -0x1.584b01d26d1b8p-2, -0x1.53e584f295b6p-2, -0x1.4f83a9f45e85fp-2, -0x1.4b25bfa218d13p-2, -0x1.46cc1208e78e5p-2, -0x1.4276ea842c887p-2, -0x1.3e268fc7d8f5cp-2, -0x1.39db45ee5852dp-2, -0x1.35954e89d7f0dp-2, -0x1.3154e8b405542p-2, -0x1.2d1a5119896b5p-2, -0x1.28e5c20392cb8p-2, -0x1.24b77363c5029p-2, -0x1.208f9ae35b458p-2, -0x1.1c6e6bf222a7ap-2, -0x1.185417d2f467bp-2, -0x1.1440cda46bbf4p-2, -0x1.1034ba69e838bp-2, -0x1.0c30091885c4bp-2, -0x1.0832e2a8f5dbfp-2, -0x1.043d6e1dc68afp-2, -0x1.004fd0905e0c6p-2, -0x1.f8d45a72f25cap-3, -0x1.f1194af5b9655p-3, -0x1.e96eb1d69c9dep-3, -0x1.e1d4cac5ca62bp-3, -0x1.da4bce0a4e441p-3, -0x1.d2d3f098eb4e1p-3, -0x1.cb6d6419ed368p-3, -0x1.c4185706b6c2fp-3, -0x1.bcd4f4b9a437ep-3, -0x1.b5a36585aff02p-3, -0x1.ae83cec937aafp-3, -0x1.a77652fe88bfp-3, -0x1.a07b11cb67fp-3, -0x1.9992281219a78p-3, -0x1.92bbb004839f3p-3, -0x1.8bf7c137da66fp-3, -0x1.854670b64fdc6p-3, -0x1.7ea7d10f3bf9p-3, -0x1.781bf26585056p-3, -0x1.71a2e27ec4098p-3, -0x1.6b3cacd3ee068p-3, -0x1.64e95aa2c0766p-3, -0x1.5ea8f2fe9ae67p-3, -0x1.587b7adfd58b1p-3, -0x1.5260f531b2b3bp-3, -0x1.4c5962e00e471p-3, -0x1.4664c2e57cf49p-3, -0x1.4083125aaf188p-3, -0x1.3ab44c85c045fp-3, -0x1.34f86ae8eb1fep-3, -0x1.2f4f655023b8cp-3, -0x1.29b931ddcf01ap-3, -0x1.2435c5174653bp-3, -0x1.1ec511f1d9a38p-3, -0x1.196709e04cd9dp-3, -0x1.141b9ce0625dbp-3, -0x1.0ee2b987d9c37p-3, -0x1.09bc4d10b866cp-3, -0x1.04a84364d94d8p-3, -0x1.ff4d0e5290875p-4, -0x1.f56e0393804c3p-4, -0x1.ebb33708f97cp-4, -0x1.e21c76ec22035p-4, -0x1.d8a98f49da949p-4, -0x1.cf5a4a18d84d8p-4, -0x1.c62e6f4eabeccp-4, -0x1.bd25c4f3fcf59p-4, -0x1.b4400f38b6c0ap-4, -0x1.ab7d10885fc58p-4, -0x1.a2dc899e995a7p-4, -0x1.9a5e399b55914p-4, -0x1.9201de166fcd4p-4, -0x1.89c7333291628p-4, -0x1.81adf3af396bep-4, -0x1.79b5d8fa45f7bp-4, -0x1.71de9b4150583p-4, -0x1.6a27f1831b65ap-4, -0x1.629191a0e6215p-4, -0x1.5b1b306fba7abp-4, -0x1.53c481c908fcfp-4, -0x1.4c8d3899c03acp-4, -0x1.457506f252994p-4, -0x1.3e7b9e156cfa4p-4, -0x1.37a0ae86862a6p-4, -0x1.30e3e818782a3p-4, -0x1.2a44f9fc12c74p-4, -0x1.23c392ce3ed9ep-4, -0x1.1d5f60a58abecp-4, -0x1.1718111f2d6b7p-4, -0x1.10ed516b923cbp-4, -0x1.0adece5aa163dp-4, -0x1.04ec3467f851dp-4, -0x1.fe2a5f8e42285p-5, -0x1.f2b2d8df2fd15p-5, -0x1.e7712c505bd3ap-5, -0x1.dc64b122f8404p-5, -0x1.d18cbe5f9190ep-5, -0x1.c6e8aaea3dd57p-5, -0x1.bc77cd9781c84p-5, -0x1.b2397d412fe78p-5, -0x1.a82d10da4f27ap-5, -0x1.9e51df81854dep-5, -0x1.94a74091bf493p-5, -0x1.8b2c8bb155cefp-5, -0x1.81e118e0c1617p-5, -0x1.78c4408ac23c2p-5, -0x1.6fd55b943157fp-5, -0x1.6713c371aa886p-5, -0x1.5e7ed2367e6e1p-5, -0x1.5615e2a4707bap-5, -0x1.4dd85035c8ebp-5, -0x1.45c5772416676p-5, -0x1.3ddcb46eef02fp-5, -0x1.361d65e5f906ap-5, -0x1.2e86ea389055ap-5, -0x1.2718a109d53bfp-5, -0x1.1fd1eb052037dp-5, -0x1.18b229ed41545p-5, -0x1.11b8c0a2a0ae7p-5, -0x1.0ae513205702ep-5, -0x1.043686753ea0cp-5, -0x1.fb590181a974dp-6, -0x1.ee8cd275e6ebep-6, -0x1.e20750915c6cp-6, -0x1.d5c74f33c4ecep-6, -0x1.c9cba48b0b56p-6, -0x1.be1329b30c32p-6, -0x1.b29cbaaeb0217p-6, -0x1.a767363d781bp-6, -0x1.9c717da2922a4p-6, -0x1.91ba747caaee7p-6, -0x1.874100c9d63fbp-6, -0x1.7d040b214681fp-6, -0x1.73027f13831cep-6, -0x1.693b4b8d703b3p-6, -0x1.5fad6313545e4p-6, -0x1.5657bbb5c319cp-6, -0x1.4d394ebe2b3c6p-6, -0x1.44511831c2ec4p-6, -0x1.3b9e1662af74ep-6, -0x1.331f49c162841p-6, -0x1.2ad3b4fbe4f12p-6, -0x1.22ba5dada1a92p-6, -0x1.1ad24d1b60c1cp-6, -0x1.131a90a2fca09p-6, -0x1.0b923a0f53e41p-6, -0x1.04385f405c8a6p-6, -0x1.fa1832bf464a3p-7, -0x1.ec1907cb59b3bp-7, -0x1.de7177a181848p-7, -0x1.d11fbecbfa70dp-7, -0x1.c4221d4cf85dbp-7, -0x1.b776d8bd3b3e6p-7, -0x1.ab1c3eeb904abp-7, -0x1.9f10a8066ca5ap-7, -0x1.9352776bcd061p-7, -0x1.87e01aa60f781p-7, -0x1.7cb806c02b7bbp-7, -0x1.71d8b4c1af44ep-7, -0x1.67409e8af7ac2p-7, -0x1.5cee3d430d865p-7, -0x1.52e00a0bdf9dp-7, -0x1.491480ea3647ep-7, -0x1.3f8a2504a398p-7, -0x1.363f84dbce234p-7, -0x1.2d333d1251b57p-7, -0x1.2463f8a205c2fp-7, -0x1.1bd06e4e135fcp-7, -0x1.13775bce6e687p-7, -0x1.0b57802cf8cacp-7, -0x1.036f97234484ap-7, -0x1.f77cae2347c9bp-8, -0x1.e884e4b1cc29cp-8, -0x1.d9f537808755cp-8, -0x1.cbcb192bd0c77p-8, -0x1.be041571f0cbep-8, -0x1.b09dd99a5e68ap-8, -0x1.a39636b67f56cp-8, -0x1.96eb1ccb5a72cp-8, -0x1.8a9a8fcad0772p-8, -0x1.7ea2991eff992p-8, -0x1.730139e99fd03p-8, -0x1.67b46241e3e8cp-8, -0x1.5cb9f0441974ap-8, -0x1.520fb71879cbep-8, -0x1.47b38b6a6426p-8, -0x1.3da3516920f1p-8, -0x1.33dd08b78a556p-8, -0x1.2a5ed3ee7107bp-8, -0x1.2126fa748c19bp-8, -0x1.1833e4181af93p-8, -0x1.0f840ea4fcc43p-8, -0x1.0715ff4fa7328p-8, -0x1.fdd067a9f2708p-9, -0x1.edf2305d062dep-9, -0x1.de8e08cbeb674p-9, -0x1.cfa084ae9863cp-9, -0x1.c126306e324e5p-9, -0x1.b31ba7bda0e26p-9, -0x1.a57da50df7667p-9, -0x1.98490f2920c7cp-9, -0x1.8b7b03b73dd49p-9, -0x1.7f10de8535083p-9, -0x1.730837a72fa5fp-9, -0x1.675ed370a23dbp-9, -0x1.5c1286855b7a9p-9, -0x1.5121191b1ecfbp-9, -0x1.4688361f822b5p-9, -0x1.3c456cbffc0f4p-9, -0x1.32563dced90eep-9, -0x1.28b828c9dabf5p-9, -0x1.1f68b00e3682p-9, -0x1.166557484dfcfp-9, -0x1.0daba7894b9ddp-9, -0x1.053940ee37d61p-9, -0x1.fa17e8c676301p-10, -0x1.ea43a9a723a69p-10, -0x1.daf262d0f8161p-10, -0x1.cc20f3ee4b2a5p-10, -0x1.bdcc3d55b46d8p-10, -0x1.aff0fcc68d5f4p-10, -0x1.a28bd4c0b775fp-10, -0x1.95996a4c566cap-10, -0x1.891676487f78ep-10, -0x1.7cffb45d61397p-10, -0x1.7151b982e45ccp-10, -0x1.6608d87e34c22p-10, -0x1.5b21398457846p-10, -0x1.509724c841875p-10, -0x1.466752f2c4a62p-10, -0x1.3c8f0b8cce427p-10, -0x1.330bfd32e5cb3p-10, -0x1.29dbf1bb7834ep-10, -0x1.20fc95cde1428p-10, -0x1.186b793028ed9p-10, -0x1.1026374edcd4ap-10, -0x1.082a9908b19c2p-10, -0x1.00769d916cbd3p-10, -0x1.f210a8c2a858cp-11, -0x1.e3bb3dc0c546p-11, -0x1.d5e808788379dp-11, -0x1.c89181d5c7c8p-11, -0x1.bbb2261ccec36p-11, -0x1.af4526584f8bep-11, -0x1.a346b72bb0796p-11, -0x1.97b3c99650ep-11, -0x1.8c896a56134f2p-11, -0x1.81c443fcf5d25p-11, -0x1.776096ffda309p-11, -0x1.6d5a938b046dcp-11, -0x1.63aec6e000b6p-11, -0x1.5a5a57366baa4p-11, -0x1.515ae8c7bddddp-11, -0x1.48ae3a5ba44e5p-11, -0x1.4051b954e9551p-11, -0x1.38424e147fa7fp-11, -0x1.307c7fc231ea6p-11, -0x1.28fce0910263ep-11, -0x1.21c07d75afaa5p-11, -0x1.1ac506caa40f4p-11, -0x1.1408a45d48844p-11, -0x1.0d8995133b9b8p-11, -0x1.0745c9289595fp-11, -0x1.013aaf9e2329dp-11, -0x1.f6caba45ba335p-12, -0x1.eb860a3f7310cp-12, -0x1.e0a2dfbffc05cp-12, -0x1.d61dfbbcb8bf3p-12, -0x1.cbf496d4fe14fp-12, -0x1.c223d9bcbf494p-12, -0x1.b8a8c344205d5p-12, -0x1.af8018d6ea64fp-12, -0x1.a6a663bacbb7ap-12, -0x1.9e18325b0be02p-12, -0x1.95d251d8421cap-12, -0x1.8dd1be7def3a9p-12, -0x1.8613c5ecec30dp-12, -0x1.7e9658e7988d5p-12, -0x1.77579c1eaabd7p-12, -0x1.7054ce48d3842p-12, -0x1.698a04b76af54p-12, -0x1.62f35f2b95488p-12, -0x1.5c8e10cf3a269p-12, -0x1.5657f5df94fe1p-12, -0x1.504eef77fbcffp-12, -0x1.4a710e6d2eae9p-12, -0x1.44bcd78f2ec0bp-12, -0x1.3f311574ab402p-12, -0x1.39cc87e6d349bp-12, -0x1.348dcd8e98b15p-12, -0x1.2f737fdcdca9bp-12, -0x1.2a7bfda558509p-12, -0x1.25a4eb584b4e9p-12, -0x1.20ebdf4079899p-12, -0x1.1c4fd3bd42c69p-12, -0x1.17d0858b83934p-12, -0x1.136c8aea301ffp-12, -0x1.0f219faf8bc7bp-12, -0x1.0aee4d4011cc9p-12, -0x1.06d19f4591c45p-12, -0x1.02c9ef42e6ffp-12, -0x1.fdaaa9499dcbp-13, -0x1.f5e530eeafe4ep-13, -0x1.ee426663ef6bep-13, -0x1.e6c18fba7c535p-13, -0x1.df61ce8f9268ep-13, -0x1.d82237dfff464p-13, -0x1.d10205a784b85p-13, -0x1.ca008da792feap-13, -0x1.c31c07eef0deep-13, -0x1.bc50497c23d09p-13, -0x1.b599d502ab049p-13, -0x1.aef91cc1ecd74p-13, -0x1.a86e95daa9b7bp-13, -0x1.a1f809dd03582p-13, -0x1.9b946c30da8f7p-13, -0x1.9544857c9fb74p-13, -0x1.8f07582b3e31cp-13, -0x1.88da133a8e369p-13, -0x1.82ba34378954dp-13, -0x1.7ca69ae377405p-13, -0x1.769f5b9352971p-13, -0x1.70a4b4804598bp-13, -0x1.6ab63b77cae59p-13, -0x1.64d35935c3a66p-13, -0x1.5efc3680d8437p-13, -0x1.5931040fe710ep-13, -0x1.537108cbe4de9p-13, -0x1.4dbae7eb0d6ffp-13, -0x1.480c8ab2fa1f6p-13, -0x1.4265171fa256fp-13, -0x1.3cc5b48219695p-13, -0x1.372dc56e0613cp-13, -0x1.319c976108a89p-13, -0x1.2c138d7c512b3p-13, -0x1.2692f4761c96ap-13, -0x1.2119d6bbc6da2p-13, -0x1.1ba7171c99ac2p-13, -0x1.16397bd6fa55ap-13, -0x1.10d08aa3afd36p-13, -0x1.0b6d15ebce27cp-13, -0x1.060faac235793p-13, -0x1.00b7af32d9476p-13, -0x1.f6ca2752561aap-14, -0x1.ec3119b09738cp-14, -0x1.e1a3f181f145fp-14, -0x1.d7212740e7307p-14, -0x1.cca869fa2e121p-14, -0x1.c23ad4e48c482p-14, -0x1.b7d794b2e7f4cp-14, -0x1.ad7de1af69c5ep-14, -0x1.a32e2ddc3127ap-14, -0x1.98e7d90be22f5p-14, -0x1.8ead01ea581bp-14, -0x1.847e520d00e19p-14, -0x1.7a5b30e9828f1p-14, -0x1.7043d13e7eaddp-14, -0x1.6637ddb9e55d5p-14, -0x1.5c3603a87acdep-14, -0x1.523e9ab9e52aap-14, -0x1.485346d13186dp-14, -0x1.3e73a46148b08p-14, -0x1.349fe4f10c722p-14, -0x1.2ad952dd23851p-14, -0x1.211fa40d5a11ep-14, -0x1.17725aefd7d48p-14, -0x1.0dd1a4ad58525p-14, -0x1.043dc81b7736dp-14, -0x1.f56ed59eed392p-15, -0x1.e27fabf75827bp-15, -0x1.cfad022a72d58p-15, -0x1.bcf55cf44ab31p-15, -0x1.aa5929d431be4p-15, -0x1.97db3a2d86d1ep-15, -0x1.857cb0940dc03p-15, -0x1.733cab1bf87efp-15, -0x1.611bfd094bfbdp-15, -0x1.4f1bf20636247p-15, -0x1.3d3cb0795dc09p-15, -0x1.2b7d508e07ecep-15, -0x1.19dece3d99d76p-15, -0x1.08619fdf974cfp-15, -0x1.ee0db868ebc92p-16, -0x1.cba0874cff177p-16, -0x1.a97a4bd27b45p-16, -0x1.879ad7baf265dp-16, -0x1.66036c8028a4fp-16, -0x1.44b5741edce04p-16, -0x1.23b22da3f1e64p-16, -0x1.02fa65258dfcbp-16, -0x1.c51e4b2d8d7f9p-17, -0x1.84e680564619dp-17, -0x1.454c742d827bfp-17, -0x1.064bddea43fcfp-17, -0x1.8fd5bed46734p-18, -0x1.145dc5de2c826p-18, -0x1.3454d713f6e48p-19, -0x1.09efb94887408p-21, 0x1.5986ee6db7e07p-20, 0x1.99581d566607fp-19, 0x1.41a1b3cc36573p-18, 0x1.b5477133fe04p-18, 0x1.13cda71f92138p-17, 0x1.4c4934fd619aap-17, 0x1.8414ac8f55a5dp-17, 0x1.bb31dc1a6bf0ap-17, 0x1.f19f993a4566ap-17, 0x1.13ae2f01b572ep-16, 0x1.2e338c0dbb815p-16, 0x1.485f74d402742p-16, 0x1.623178f84591ep-16, 0x1.7ba91d970f5f5p-16, 0x1.94c606a221ee8p-16, 0x1.ad8816873f764p-16, 0x1.c5ee83b1c08cep-16, 0x1.ddf8d5a54c9ep-16, 0x1.f5a8596e1863fp-16, 0x1.067d8d8020d4cp-15, 0x1.11f8bcedeb46fp-15, 0x1.1d45e14fefe65p-15, 0x1.2864d1e57b35dp-15, 0x1.3355488960dc1p-15, 0x1.3e16cb747c05ap-15, 0x1.48aa059a7f7dep-15, 0x1.530f3719cffb6p-15, 0x1.5d458b255e954p-15, 0x1.674d4713927edp-15, 0x1.7126a4bc81c2p-15, 0x1.7ad1917bdee27p-15, 0x1.844e0a730bd7ap-15, 0x1.8d9c19aaadbcp-15, 0x1.96bbcf0182945p-15, 0x1.9fad3dd8301eep-15, 0x1.a8707c6318076p-15, 0x1.b105a23e547fbp-15, 0x1.b96cc5cddce5bp-15, 0x1.c1a5ffd9490f3p-15, 0x1.c9b178074152cp-15, 0x1.d18f5ba530a7fp-15, 0x1.d93fa989490aep-15, 0x1.e0c2b1343105cp-15, 0x1.e8187437cc6dep-15, 0x1.ef4144c5f839dp-15, 0x1.f63d394c471aep-15, 0x1.fd0cb75d59514p-15, 0x1.01d7c93cd0827p-14, 0x1.051315ccb0a27p-14, 0x1.08387258fbd68p-14, 0x1.0b47d91b12c05p-14, 0x1.0e4179b7c21fcp-14, 0x1.11257530aa9e4p-14, 0x1.13f3e68aca08dp-14, 0x1.16aced5bb2d2dp-14, 0x1.1950aaffecd3cp-14, 0x1.1bdf41bff3f76p-14, 0x1.1e58d4bb486b2p-14, 0x1.20bd874a0bcedp-14, 0x1.230d800e80bb5p-14, 0x1.2548e2bee2edcp-14, 0x1.276fd64b7d29ap-14, 0x1.2982818376ad1p-14, 0x1.2b810b87755ddp-14, 0x1.2d6b9c90c3416p-14, 0x1.2f425ed9787dcp-14, 0x1.31057d38aa72p-14, 0x1.32b51f4eaeae9p-14, 0x1.34516bd6af46p-14, 0x1.35da95a188ee2p-14, 0x1.3750c65a26fc2p-14, 0x1.38b42bc2c1f6fp-14, 0x1.3a04ef2cdd5e5p-14, 0x1.3b433f0136d0cp-14, 0x1.3c6f47d6ed886p-14, 0x1.3d893ac17be0bp-14, 0x1.3e91463ea65a2p-14, 0x1.3f879839ce48cp-14, 0x1.406c5ff8efa4cp-14, 0x1.413fcd35dc70cp-14, 0x1.42020fdedd523p-14, 0x1.42b35888432fp-14, 0x1.4353d781c7361p-14, 0x1.43e3bdaf6f363p-14, 0x1.44633c17432bcp-14, 0x1.44d28406b01fbp-14, 0x1.4531c6fb83489p-14, 0x1.458136a636643p-14, 0x1.45c104e7211fbp-14, 0x1.45f1622daf11cp-14, 0x1.46128722e0a19p-14, 0x1.462499fa0d63ep-14, 0x1.4627d63b72d9bp-14, 0x1.461c6d8d7f32bp-14, 0x1.46028fde402bep-14, 0x1.45da6f3aea58cp-14, 0x1.45a4401e1361fp-14, 0x1.4560353cd973ep-14, 0x1.450e80477d314p-14, 0x1.44af51a41d3a7p-14, 0x1.4442de5558d5ap-14, 0x1.43c9594a1aabbp-14, 0x1.4342f3f62bf5fp-14, 0x1.42afe0c3b0893p-14, 0x1.42105300c464cp-14, 0x1.41646cb8460c5p-14, 0x1.40ac89b69f7fep-14, 0x1.3fe8b1eca0831p-14, 0x1.3f1927a21c8ap-14, 0x1.3e3e25363b2d2p-14, 0x1.3d57be951943ap-14, 0x1.3c664278a424p-14, 0x1.3b69d82add7c8p-14, 0x1.3a62b0b86db4p-14, 0x1.3950fcf354922p-14, 0x1.3834ed76bc825p-14, 0x1.370eb2aed415bp-14, 0x1.35de7cc37247ap-14, 0x1.34a47b8391226p-14, 0x1.3360de93a8309p-14, 0x1.3213d58eb2a5ap-14, 0x1.30bd901bc6b94p-14, 0x1.2f5e3df3cf7c6p-14, 0x1.2df609c0475a8p-14, 0x1.2c8526bda5ef1p-14, 0x1.2b0bc29f0952ep-14, 0x1.298a04f4e98f9p-14, 0x1.28002284f0c44p-14, 0x1.266e46999260fp-14, 0x1.24d49d6d75716p-14, 0x1.233353b359d19p-14, 0x1.218a95c8b1f3ap-14, 0x1.1fda8fb064fbp-14, 0x1.1e236d1600c57p-14, 0x1.1c65594e5f1bdp-14, 0x1.1aa07f5782edfp-14, 0x1.18d509d7a6916p-14, 0x1.1703231becde9p-14, 0x1.152af51781fdbp-14, 0x1.134ca962a3b42p-14, 0x1.1168693a915c3p-14, 0x1.0f7e5d825ab32p-14, 0x1.0d8eaec36bd1dp-14, 0x1.0b9985251524ap-14, 0x1.099f082386c74p-14, 0x1.079f5f549c204p-14, 0x1.059ab299e2acbp-14, 0x1.0391275e70a16p-14, 0x1.0182e456a522ep-14, 0x1.fee01eebc3882p-15, 0x1.fab19c57df742p-15, 0x1.f67a8ad215ef8p-15, 0x1.f23b364662cb3p-15, 0x1.edf3e79cbbb76p-15, 0x1.e9a4dc7adc71fp-15, 0x1.e54e68179bf17p-15, 0x1.e0f0cdd959ea9p-15, 0x1.dc8c52ce73252p-15, 0x1.d8213afed0d3fp-15, 0x1.d3afcb00cbd42p-15, 0x1.cf38482ba5528p-15, 0x1.cabae4bc26801p-15, 0x1.c638029aefa4ep-15, 0x1.c1afc7128e00bp-15, 0x1.bd227b4f3262cp-15, 0x1.b8905e101ebd1p-15, 0x1.b3f9b07bab6c4p-15, 0x1.af5ead7f74be3p-15, 0x1.aabf922c7f87ep-15, 0x1.a61c9affc5ed4p-15, 0x1.a1760350db099p-15, 0x1.9ccc05ad821d4p-15, 0x1.981edbdbb5bb2p-15, 0x1.936ebed929524p-15, 0x1.8ebbe6dbe58b2p-15, 0x1.8a068b5351d04p-15, 0x1.854ee2ec6c167p-15, 0x1.80952391f418ep-15, 0x1.7bd9826bf97f5p-15, 0x1.771c33d144c2fp-15, }}, 
      {{0x1.4ee42fce5fcdcp-2, 0x1.b01cc8f63bfc5p-2, 0x1.076e4a4d7695ap-1, 0x1.29d478c029397p-1, 0x1.3b17962632729p-1, 0x1.3b3f2b17f6fc6p-1, 0x1.2c74385efaddfp-1, 0x1.11c436415e7e1p-1, 0x1.dcd477534b12ap-2, 0x1.8ad7fa13e7fb6p-2, 0x1.32d3ee490c72p-2, 0x1.b237fd6cd3e73p-3, 0x1.022ca0364c1eep-3, 0x1.6a6e5d566e5a6p-5, -0x1.0396dcc66757p-5, -0x1.9c0cc66729dp-4, -0x1.4b7ed34f0befep-3, -0x1.b8d9e97a11016p-3, -0x1.0b22266b23ba7p-2, -0x1.32313967a8eacp-2, -0x1.5216af60f3b44p-2, -0x1.6b6ad72b0de33p-2, -0x1.7ed62b14f85d8p-2, -0x1.8d082e96f2617p-2, -0x1.96b070b81dd92p-2, -0x1.9c795c062630dp-2, -0x1.9f0484843e3ap-2, -0x1.9ee82bc324487p-2, -0x1.9cadbbaaa0183p-2, -0x1.98d102f1f4292p-2, -0x1.93c0052ccef57p-2, -0x1.8ddb3840ed1a6p-2, -0x1.8776106e82c6p-2, -0x1.80d7c20dd4124p-2, -0x1.7a3c24cd5a1cap-2, -0x1.73d4a945d0fb9p-2, -0x1.6dc9564bb7b74p-2, -0x1.6839c51ae98efp-2, -0x1.633e15effcf46p-2, -0x1.5ee7d9c1ac542p-2, -0x1.5b42eea6b1d36p-2, -0x1.58564c6fc1c1bp-2, -0x1.5624c01324408p-2, -0x1.54ad95eb34768p-2, -0x1.53ed334714979p-2, -0x1.53dd9fb46e56bp-2, -0x1.5476fe8030856p-2, -0x1.55aff95009f6bp-2, -0x1.577e1d11aac2ap-2, -0x1.59d62a9038385p-2, -0x1.5cac5be089c8p-2, -0x1.5ff49fab55178p-2, -0x1.63a2cb446d9f9p-2, -0x1.67aac47cda95p-2, -0x1.6c00a41934377p-2, -0x1.7098d1c8f56cfp-2, -0x1.75681a7cb397p-2, -0x1.7a63c1ce377acp-2, -0x1.7f818f24b61d2p-2, -0x1.84b7d7378550fp-2, -0x1.89fd825a6806p-2, -0x1.8f4a102e516afp-2, -0x1.949598fe125c2p-2, -0x1.99d8cd4b0da8bp-2, -0x1.9f0cf3bf7cd02p-2, -0x1.a42be5ef8487ap-2, -0x1.a9300c0ff5dabp-2, -0x1.ae1457f2539bp-2, -0x1.b2d43f644db26p-2, -0x1.b76bb6294990ap-2, -0x1.bbd727a8209edp-2, -0x1.c013706fc9a57p-2, -0x1.c41dd7a79d472p-2, -0x1.c7f40884d690fp-2, -0x1.cb940bce12a19p-2, -0x1.cefc4183d6fb8p-2, -0x1.d22b5aaf4ae62p-2, -0x1.d5205368c604bp-2, -0x1.d7da6d11fcdbdp-2, -0x1.da5928d3861e8p-2, -0x1.dc9c425495e2ep-2, -0x1.dea3aabac1d85p-2, -0x1.e06f83e66a282p-2, -0x1.e2001bf8333a5p-2, -0x1.e355e91121928p-2, -0x1.e471855bcc485p-2, -0x1.e553ab4cc50ffp-2, -0x1.e5fd3228c216dp-2, -0x1.e66f0abe17f6p-2, -0x1.e6aa3c610c009p-2, -0x1.e6afe21580f8fp-2, -0x1.e68127f8131f5p-2, -0x1.e61f48cfb748ap-2, -0x1.e58b8bd7d72ccp-2, -0x1.e4c742b2d3b6dp-2, -0x1.e3d3c787c4c64p-2, -0x1.e2b27b4e619cap-2, -0x1.e164c43687975p-2, -0x1.dfec0c3d5b86fp-2, -0x1.de49bfdcf43ffp-2, -0x1.dc7f4ce199e49p-2, -0x1.da8e215328939p-2, -0x1.d877aa7ae088ap-2, -0x1.d63d540c77e94p-2, -0x1.d3e087555a1b1p-2, -0x1.d162aa8b70981p-2, -0x1.cec52031d8fep-2, -0x1.cc0946807ca9ep-2, -0x1.c93076ef014fbp-2, -0x1.c63c05c3d4b38p-2, -0x1.c32d41acdbb08p-2, -0x1.c0057375600bbp-2, -0x1.bcc5ddb7b4153p-2, -0x1.b96fbc9c8fe3p-2, -0x1.b60445b0a294fp-2, -0x1.b284a7b29a9c7p-2, -0x1.aef20a6f73eacp-2, -0x1.ab4d8eafe7d9bp-2, -0x1.a7984e1db0eeap-2, -0x1.a3d35b3460b23p-2, -0x1.9fffc14101924p-2, -0x1.9c1e845a2c434p-2, -0x1.9830a15f1f182p-2, -0x1.94370e045a9d3p-2, -0x1.9032b8db39885p-2, -0x1.8c24895b0ec37p-2, -0x1.880d5ff6b093ap-2, -0x1.83ee162c67585p-2, -0x1.7fc77e9bce74ep-2, -0x1.7b9a651f5b5f5p-2, -0x1.77678ee299239p-2, -0x1.732fba7e6f923p-2, -0x1.6ef3a013e221ep-2, -0x1.6ab3f16b674a9p-2, -0x1.66715a12ce70ap-2, -0x1.622c7f7b2f0d9p-2, -0x1.5de601196564p-2, -0x1.599e78869e999p-2, -0x1.555679a0839dcp-2, -0x1.510e92aa60837p-2, -0x1.4cc74c6eb5683p-2, -0x1.48812a5ef7cddp-2, -0x1.443caab596bbep-2, -0x1.3ffa4697f3726p-2, -0x1.3bba723635ac7p-2, -0x1.377d9ceabdcf9p-2, -0x1.3344315bed3d2p-2, -0x1.2f0e959d803ffp-2, -0x1.2add2b4e7fd7ap-2, -0x1.26b04fb6fa57dp-2, -0x1.22885be89e048p-2, -0x1.1e65a4ded4243p-2, -0x1.1a487b9adca49p-2, -0x1.16312d3f00361p-2, -0x1.1220032ccaa8cp-2, -0x1.0e154323bdcadp-2, -0x1.0a112f5c28099p-2, -0x1.0614069f660b7p-2, -0x1.021e0462cb58cp-2, -0x1.fc5ec1c8b1a19p-3, -0x1.f490a28999dffp-3, -0x1.ecd20f3bee263p-3, -0x1.e5236632ecf59p-3, -0x1.dd8500149edap-3, -0x1.d5f7300c8122p-3, -0x1.ce7a43f6ed185p-3, -0x1.c70e848815d27p-3, -0x1.bfb435767a00cp-3, -0x1.b86b95a8d6113p-3, -0x1.b134df61bcab1p-3, -0x1.aa104865b7b53p-3, -0x1.a2fe021c1de1cp-3, -0x1.9bfe39b5dc975p-3, -0x1.95111856776ffp-3, -0x1.8e36c3395fd1cp-3, -0x1.876f5bd26b7afp-3, -0x1.80baffebfa335p-3, -0x1.7a19c9c7fad79p-3, -0x1.738bd0434849ep-3, -0x1.6d1126f6ea4dbp-3, -0x1.66a9de54b9f4p-3, -0x1.605603c1a1d28p-3, -0x1.5a15a1b17f29fp-3, -0x1.53e8bfc54a3abp-3, -0x1.4dcf62e8825d2p-3, -0x1.47c98d6b583b1p-3, -0x1.41d73f199a908p-3, -0x1.3bf8755193f8bp-3, -0x1.362d2b1d2c642p-3, -0x1.3075594cde832p-3, -0x1.2ad0f68d959acp-3, -0x1.253ff77ea3fbbp-3, -0x1.1fc24ec5456dfp-3, -0x1.1a57ed20c5383p-3, -0x1.1500c18009468p-3, -0x1.0fbcb916fbe3cp-3, -0x1.0a8bbf73241aap-3, -0x1.056dbe8777908p-3, -0x1.00629ec829336p-3, -0x1.f6d48e61d43a2p-4, -0x1.ed093ab91c56p-4, -0x1.e3630b2aac709p-4, -0x1.d9e1c5cb29e32p-4, -0x1.d0852e4cc1d7cp-4, -0x1.c74d061b49c49p-4, -0x1.be390c78f56fbp-4, -0x1.b548fe9c2bb3bp-4, -0x1.ac7c97cceff47p-4, -0x1.a3d39180e4b22p-4, -0x1.9b4da3741c135p-4, -0x1.92ea83c10442cp-4, -0x1.8aa9e6f7f4ce7p-4, -0x1.828b803769a89p-4, -0x1.7a8f014468bbap-4, -0x1.72b41aa1e37bp-4, -0x1.6afa7ba660fffp-4, -0x1.6361d290224e9p-4, -0x1.5be9cc9863aa7p-4, -0x1.54921606fb825p-4, -0x1.4d5a5a45ef27ep-4, -0x1.464243f4f3d35p-4, -0x1.3f497cfbe92d7p-4, -0x1.386fae9c10814p-4, -0x1.31b4818031239p-4, -0x1.2b179dcc39169p-4, -0x1.2498ab2cdc726p-4, -0x1.1e3750e73bd66p-4, -0x1.17f335e8393adp-4, -0x1.11cc00d30a5cbp-4, -0x1.0bc1580ef0d8ap-4, -0x1.05d2e1d4168b6p-4, -0x1.00004437f035dp-4, -0x1.f4924a72ecddbp-5, -0x1.e95a559a9a56ap-5, -0x1.de57f5d35510dp-5, -0x1.d38a77237349dp-5, -0x1.c8f125c0c7ccep-5, -0x1.be8b4e24eacefp-5, -0x1.b4583d2074944p-5, -0x1.aa573feda8884p-5, -0x1.a087a442d4559p-5, -0x1.96e8b86456aeap-5, -0x1.8d79cb360983bp-5, -0x1.843a2c4bd1605p-5, -0x1.7b292bf93a032p-5, -0x1.72461b602a0ap-5, -0x1.69904c7ec5452p-5, -0x1.6107123cda3a9p-5, -0x1.58a9c07918c66p-5, -0x1.5077ac160bdc4p-5, -0x1.48702b05bcf11p-5, -0x1.4092945501e52p-5, -0x1.38de4038847ebp-5, -0x1.31528814b6e28p-5, -0x1.29eec687862ffp-5, -0x1.22b25771e44c9p-5, -0x1.1b9c9800bb73p-5, -0x1.14ace6b56c3dep-5, -0x1.0de2a36de6039p-5, -0x1.073d2f6c0eecap-5, -0x1.00bbed5c8ae46p-5, -0x1.f4bc82b9f40c4p-6, -0x1.e8472203c8b6cp-6, -0x1.dc1686b8ece88p-6, -0x1.d02982002d2fbp-6, -0x1.c47ee80f9b3f9p-6, -0x1.b91590366b78dp-6, -0x1.adec54e4b603fp-6, -0x1.a30213b145b5ap-6, -0x1.9855ad5f4fb9dp-6, -0x1.8de605e58e9c6p-6, -0x1.83b2047604cb3p-6, -0x1.79b89384bef4ap-6, -0x1.6ff8a0cc80fffp-6, -0x1.66711d5123399p-6, -0x1.5d20fd607a8a6p-6, -0x1.54073893383d9p-6, -0x1.4b22c9cd50097p-6, -0x1.4272af4802a19p-6, -0x1.39f5ea8bdcdc1p-6, -0x1.31ab807ede47p-6, -0x1.29927960e879cp-6, -0x1.21a9e0c8e06e7p-6, -0x1.19f0c59ece061p-6, -0x1.12663a1558ffep-6, -0x1.0b0953a671fdcp-6, -0x1.03d92b15348b5p-6, -0x1.f9a9b8e825ca2p-7, -0x1.ebf70e570ee5ep-7, -0x1.de989bf866a69p-7, -0x1.d18cadf14bd23p-7, -0x1.c4d196edceed3p-7, -0x1.b865affc4b42ep-7, -0x1.ac47586fcac5ep-7, -0x1.a074f5d601d3ep-7, -0x1.94ecf405c6034p-7, -0x1.89adc53dd76f8p-7, -0x1.7eb5e2420da99p-7, -0x1.7403ca62ad28p-7, -0x1.699603610efedp-7, -0x1.5f6b19343a2f9p-7, -0x1.55819dbffc76dp-7, -0x1.4bd8289a80f09p-7, -0x1.426d56f9323a8p-7, -0x1.393fcbcdec99dp-7, -0x1.304e300777881p-7, -0x1.279732d5cd28p-7, -0x1.1f1989cc22c44p-7, -0x1.16d3f0c5cb7ebp-7, -0x1.0ec5298b407cp-7, -0x1.06ebfb5211131p-7, -0x1.fe8e64985128bp-8, -0x1.efab3ed2852b8p-8, -0x1.e12c30728e2bbp-8, -0x1.d30eef5038146p-8, -0x1.c5513d22bd0aap-8, -0x1.b7f0e796cb5edp-8, -0x1.aaebc92b8c368p-8, -0x1.9e3fc871a8bfep-8, -0x1.91ead68e3026dp-8, -0x1.85eaed715ba6cp-8, -0x1.7a3e0e5ddaf62p-8, -0x1.6ee24158222b2p-8, -0x1.63d595c4d5c6p-8, -0x1.5916240bf5adep-8, -0x1.4ea20fab6c201p-8, -0x1.447788ea640b8p-8, -0x1.3a94cd6f261b4p-8, -0x1.30f827522a834p-8, -0x1.279fead07ce3fp-8, -0x1.1e8a734a24fa1p-8, -0x1.15b6208f25ba9p-8, -0x1.0d2155771bf5ap-8, -0x1.04ca785844d93p-8, -0x1.f95fea9b5de26p-9, -0x1.e9a0832c2cda8p-9, -0x1.da53bdd842777p-9, -0x1.cb76bb5856716p-9, -0x1.bd06b9d6b0bd6p-9, -0x1.af01108a4621bp-9, -0x1.a16327b9fc83ep-9, -0x1.942a6f78cad67p-9, -0x1.8754580aefc12p-9, -0x1.7ade4e860e2d7p-9, -0x1.6ec5bee6e6dbap-9, -0x1.63081b0708929p-9, -0x1.57a2e449e0e78p-9, -0x1.4c93b5119fe86p-9, -0x1.41d84730ac6c6p-9, -0x1.376e756975ecfp-9, -0x1.2d54374decf77p-9, -0x1.238798475e898p-9, -0x1.1a06ac02a4907p-9, -0x1.10cf83871f5a9p-9, -0x1.07e0265504deep-9, -0x1.fe6d236f80ed7p-10, -0x1.eda17cb33a596p-10, -0x1.dd595415c432ap-10, -0x1.cd90c53c1a477p-10, -0x1.be441e04650bap-10, -0x1.af6fe998149f6p-10, -0x1.a110f27a9c364p-10, -0x1.93243aef2a3a2p-10, -0x1.85a6ec6eb055ap-10, -0x1.789640f55005bp-10, -0x1.6bef6c15cd8e2p-10, -0x1.5faf8b519f63ep-10, -0x1.53d3a326e183p-10, -0x1.4858a7d58cb5ep-10, -0x1.3d3b8da1620d4p-10, -0x1.32795b75ce867p-10, -0x1.280f3463cffd1p-10, -0x1.1dfa62855fa3ap-10, -0x1.14385df197029p-10, -0x1.0ac6d17d89f44p-10, -0x1.01a398cf4c4cep-10, -0x1.f199681ce4b0ep-11, -0x1.e08065a2ca195p-11, -0x1.cff83df591562p-11, -0x1.bffcdf699084p-11, -0x1.b08a16a418595p-11, -0x1.a19ba2b509093p-11, -0x1.932d48debaf79p-11, -0x1.853adae8e25fap-11, -0x1.77c034474aa7fp-11, -0x1.6ab93f1a183f1p-11, -0x1.5e220d042d74ap-11, -0x1.51f6fc21b91b1p-11, -0x1.4634cfc5dc643p-11, -0x1.3ad8a7ec63703p-11, -0x1.2fdfd8f20dbf6p-11, -0x1.2547bc63db666p-11, -0x1.1b0d9745ba067p-11, -0x1.112e9f979455bp-11, -0x1.07a81237152dap-11, -0x1.fcee7ef97ed37p-12, -0x1.eb32fd9cb2b64p-12, -0x1.da1820c440bf9p-12, -0x1.c99811d42009cp-12, -0x1.b9acc3f7b3c21p-12, -0x1.aa505e349c255p-12, -0x1.9b7dae2d36221p-12, -0x1.8d3053658ef59p-12, -0x1.7f6486621c366p-12, -0x1.7216ad9364731p-12, -0x1.65430ab1b7739p-12, -0x1.58e5bd73a0eafp-12, -0x1.4cfb00a85a98fp-12, -0x1.417f522a09153p-12, -0x1.366f83a72879cp-12, -0x1.2bc8828286b95p-12, -0x1.2186ff89aa17dp-12, -0x1.17a730e51063cp-12, -0x1.0e24e8143824fp-12, -0x1.04fbfcf6f3d6p-12, -0x1.f85193090a8fep-13, -0x1.e750bfc67d884p-13, -0x1.d6f0b0623a149p-13, -0x1.c72cc187f2d95p-13, -0x1.b7ffcf617913dp-13, -0x1.a9642d2e09867p-13, -0x1.9b542300d0a3fp-13, -0x1.8dca83eeb6d99p-13, -0x1.80c2fda357ad7p-13, -0x1.7439ef9c3dec6p-13, -0x1.682be039db02bp-13, -0x1.5c94e83384e15p-13, -0x1.51706d7c840e3p-13, -0x1.46b956dd03ca9p-13, -0x1.3c6aa0e9c002bp-13, -0x1.327ff517a2d1ep-13, -0x1.28f5de3b4956bp-13, -0x1.1fc98a471cf6ap-13, -0x1.16f8478895545p-13, -0x1.0e7efd9b9bee5p-13, -0x1.0659ec4c2567cp-13, -0x1.fd09c2e215766p-14, -0x1.edf7b66ac477ep-14, -0x1.df774a6f043f1p-14, -0x1.d183b5087427ap-14, -0x1.c418ce195bd36p-14, -0x1.b732569bf738p-14, -0x1.aacbd70d3b7f7p-14, -0x1.9ee08fed6bad5p-14, -0x1.936b7aa04aac8p-14, -0x1.8867a099e7b47p-14, -0x1.7dd064d4ade38p-14, -0x1.73a16afa005c3p-14, -0x1.69d6c12d27739p-14, -0x1.606d4cd640936p-14, -0x1.57623cf8768f2p-14, -0x1.4eb19a66379f9p-14, -0x1.4655ee4f506ddp-14, -0x1.3e49d3dde662ep-14, -0x1.3689548e45c11p-14, -0x1.2f115c34981a5p-14, -0x1.27dedf54d968dp-14, -0x1.20ef0fed1f62ap-14, -0x1.1a3fb5c73538ep-14, -0x1.13cef439a6aacp-14, -0x1.0d9ae435213f4p-14, -0x1.07a178216d8b4p-14, -0x1.01e09e715019bp-14, -0x1.f8abf72714faap-15, -0x1.edfc8b381a05cp-15, -0x1.e3ac43666c297p-15, -0x1.d9b8002ba96cap-15, -0x1.d01e9c2ead5bbp-15, -0x1.c6dc05749479bp-15, -0x1.bde9fc6fd1f55p-15, -0x1.b5444a0ce6f81p-15, -0x1.ace80eca6eb09p-15, -0x1.a4d0a8c5a6325p-15, -0x1.9cf8d1eea7d97p-15, -0x1.955d0bb83e66p-15, -0x1.8dfb95aa171fcp-15, -0x1.86d31ad8d3016p-15, -0x1.7fe2192d142c4p-15, -0x1.79270108727cap-15, -0x1.72a0729f13b2dp-15, -0x1.6c4d2f8b40ba5p-15, -0x1.662a96044a9efp-15, -0x1.60330f7486167p-15, -0x1.5a61d8542d884p-15, -0x1.54b72e218018bp-15, -0x1.4f3342b8c1579p-15, -0x1.49d2f8710bff2p-15, -0x1.4494a2eeda57ep-15, -0x1.3f78de80cf38dp-15, -0x1.3a7e138249d91p-15, -0x1.35a067ed6fdap-15, -0x1.30dc6844cf15dp-15, -0x1.2c305d6f79574p-15, -0x1.279c0f956259fp-15, -0x1.231f795589e18p-15, -0x1.1eb9c4924524fp-15, -0x1.1a69e40ce3756p-15, -0x1.162fb62af4fe8p-15, -0x1.120b228b126d2p-15, -0x1.0dfaf48cce08ep-15, -0x1.09fd345da1c87p-15, -0x1.060f0c26ffaebp-15, -0x1.022f27538e3bbp-15, -0x1.fcbd3e7272946p-16, -0x1.f538cda7ac0c1p-16, -0x1.edceb1c0f123cp-16, -0x1.e681b427b9aaep-16, -0x1.df51fc7437a65p-16, -0x1.d83ca477d2945p-16, -0x1.d13e680615babp-16, -0x1.ca53c50126d43p-16, -0x1.c37b0f3628855p-16, -0x1.bcb5b97de64fp-16, -0x1.b6048ec73db9dp-16, -0x1.af6597f84e281p-16, -0x1.a8d82bdaf5186p-16, -0x1.a25d73a22d268p-16, -0x1.9bf49a5ecac08p-16, -0x1.959b4f477c654p-16, -0x1.8f50b3b1b5f01p-16, -0x1.89159b4abf533p-16, -0x1.82e892b00b588p-16, -0x1.7cc834f87c2d6p-16, -0x1.76b4912a50bd3p-16, -0x1.70ac73898fc6fp-16, -0x1.6ab1ea5946a02p-16, -0x1.64c54bd413af8p-16, -0x1.5ee57197c0c9ep-16, -0x1.591226798c53fp-16, -0x1.534a974f921f2p-16, -0x1.4d8ccb22cd1f8p-16, -0x1.47d8c14035d22p-16, -0x1.422ffdce22265p-16, -0x1.3c91a5fd87c9p-16, -0x1.36fd8fa246cc1p-16, -0x1.3174d7ab70334p-16, -0x1.2bf6c59c36bf4p-16, -0x1.26826883cfef5p-16, -0x1.211797d4b681fp-16, -0x1.1bb64a08f2d2p-16, -0x1.165ee4068b0bep-16, -0x1.11128910625c5p-16, -0x1.0bd044f454395p-16, -0x1.0696e6606e144p-16, -0x1.01665c1668755p-16, -0x1.f87fe167931e4p-17, -0x1.ee47f924bf9d1p-17, -0x1.e4235d34fd425p-17, -0x1.da1269b411cbp-17, -0x1.d015f84caf14dp-17, -0x1.c62da9a34bc12p-17, -0x1.bc57fdc42263ap-17, -0x1.b295407f8d44bp-17, -0x1.a8e5bbfd5ff84p-17, -0x1.9f4a0812889fdp-17, -0x1.95c39fc3564acp-17, -0x1.8c513e93ffba3p-17, -0x1.82f24f1bdbcbap-17, -0x1.79a70f449a61dp-17, -0x1.706fd5500d1f2p-17, -0x1.674ce3162126cp-17, -0x1.5e3e3ddc37b1fp-17, -0x1.55440f9623b91p-17, -0x1.4c5f83985d27ap-17, -0x1.438ff0016a963p-17, -0x1.3ad3bfe1d41edp-17, -0x1.322c4b26962ap-17, -0x1.299ab95656425p-17, -0x1.211deffd00474p-17, -0x1.18b5ea54405bp-17, -0x1.10632661e8c14p-17, -0x1.0826860263e99p-17, -0x1.ffff43bd0c604p-18, -0x1.efdb0ddc2d0efp-18, -0x1.dfe06ace68573p-18, -0x1.d011d09af0269p-18, -0x1.c06fa9b40d23fp-18, -0x1.b0f87c0c51ad8p-18, -0x1.a1ac75150cddap-18, -0x1.928bf550a18e9p-18, -0x1.839727d74be5ap-18, -0x1.74ce1cf0717ebp-18, -0x1.6630ec2b7c67ap-18, -0x1.57bfbd1670c15p-18, -0x1.497a9b58d7f76p-18, -0x1.3b615491a4cd7p-18, -0x1.2d74727136afbp-18, -0x1.1fb42cd339ea3p-18, -0x1.121edc6bcfb69p-18, -0x1.04b65702c8f71p-18, -0x1.eef3f7cda1a94p-19, -0x1.d4d286b776437p-19, -0x1.bb08a7561197cp-19, -0x1.a19728c564b73p-19, -0x1.887facf8d2c74p-19, -0x1.6fbf22e36d84fp-19, -0x1.5754445c7a8c9p-19, -0x1.3f4248369020ap-19, -0x1.2787dc3072d94p-19, -0x1.1023eb0c924ep-19, -0x1.f22d3ebf20839p-20, -0x1.c4bfd254b97e2p-20, -0x1.97ff168c1d2d9p-20, -0x1.6bea708bbbaabp-20, -0x1.40813757b7188p-20, -0x1.15c2b8c44f79ap-20, -0x1.d75c87d922215p-21, -0x1.8486795a6d288p-21, -0x1.33020177461b9p-21, -0x1.c59a2ac06ca34p-22, -0x1.27cad69cb6679p-22, -0x1.192df5c5bd36fp-23, 0x1.8134075daff1ep-27, 0x1.442c0f8dde30cp-23, 0x1.35968dca22fbfp-22, 0x1.c68a1e700a9fcp-22, 0x1.2a80400167d71p-21, 0x1.7076206bd0c8fp-21, 0x1.b52dbde5889b7p-21, 0x1.f8aa389d5836ep-21, 0x1.1d7545fb2d95bp-20, 0x1.3df96c470be1dp-20, 0x1.5de2cc04de004p-20, 0x1.7d32573a5ce27p-20, 0x1.9be934828628cp-20, 0x1.ba089a04e1318p-20, 0x1.d791c2ff0b2c9p-20, 0x1.f485eecca957ep-20, 0x1.08733cd37f1bdp-19, 0x1.165a30c870ffp-19, 0x1.23f89e3b039dbp-19, 0x1.314f208ca435p-19, 0x1.3e5e60f04c5b6p-19, 0x1.4b270990901fap-19, 0x1.57a9c6fedd99p-19, 0x1.63e749fcace19p-19, 0x1.6fe0457ffb0e9p-19, 0x1.7b9529b8a3bf1p-19, 0x1.8707548eb0b6cp-19, 0x1.9236d0c30cdd3p-19, 0x1.9d248907cebbap-19, 0x1.a7d144fdeec95p-19, 0x1.b23da98acbabap-19, 0x1.bc6a6c38af353p-19, 0x1.c6584ef78ef83p-19, 0x1.d00805901366ap-19, 0x1.d97a45fa42fc7p-19, 0x1.e2afcd3e5e43bp-19, 0x1.eba95607649e2p-19, 0x1.f4679a951e673p-19, 0x1.fceb5428d7d78p-19, 0x1.029aa0aa19245p-18, 0x1.06a30ce0b21c8p-18, 0x1.0a8f4cbc2aaap-18, 0x1.0e5fbd6af12fap-18, 0x1.1214bc5e8a44fp-18, 0x1.15aea6c88671dp-18, 0x1.192dd987c4027p-18, 0x1.1c92b0e24fc0cp-18, 0x1.1fddab0305b5cp-18, 0x1.230e8ef45ad2p-18, 0x1.2626c3209097bp-18, 0x1.2925ccc701c5fp-18, 0x1.2c0c4b1480b3p-18, 0x1.2eda9dac220d2p-18, 0x1.31911c77be31ap-18, 0x1.34301cec1c434p-18, 0x1.36b7f90c7a223p-18, 0x1.39290cd18fc7ap-18, 0x1.3b83bdb5a9962p-18, 0x1.3dc8595758301p-18, 0x1.3ff7353c736d5p-18, 0x1.4210ae40a7e47p-18, 0x1.44151d504e338p-18, 0x1.4604df86c82b7p-18, 0x1.47dfe8885f723p-18, 0x1.49a78dd704072p-18, 0x1.4b5b236268ad9p-18, 0x1.4cfb62fb2999p-18, 0x1.4e88cbc07a4a5p-18, 0x1.50031b0bfe009p-18, 0x1.516b38a465e4bp-18, 0x1.52c1449266f5bp-18, 0x1.5405908d87b39p-18, 0x1.55386d510e54bp-18, 0x1.565a2b1476412p-18, 0x1.576b1953a1eeep-18, 0x1.586b86c219cf1p-18, 0x1.595bc156d29e4p-18, 0x1.5a3c1659c6598p-18, 0x1.5b0cd24aec4ebp-18, 0x1.5bce411dfbcd2p-18, 0x1.5c80adf9d0ap-18, 0x1.5d246289512ddp-18, 0x1.5db9a8e1d932cp-18, 0x1.5e40ca5b3c4afp-18, 0x1.5eba0c7e3da1dp-18, 0x1.5f25b908433dcp-18, 0x1.5f8415e92f4f5p-18, 0x1.5fd56852fd5cdp-18, 0x1.6019f51b8d15dp-18, 0x1.60520054e151cp-18, 0x1.607dcd437acaep-18, 0x1.609d9e5ccf8c4p-18, 0x1.60b1b5473835dp-18, 0x1.60ba52d9e3e13p-18, 0x1.60b7b7230076cp-18, 0x1.60aa2163a1cebp-18, 0x1.6091d00e77f4dp-18, 0x1.606f00c685ffdp-18, 0x1.6041f06464f7bp-18, 0x1.600adafd1bfdp-18, 0x1.5fc9fbe7c5c25p-18, 0x1.5f7f8d96d6939p-18, 0x1.5f2bc7bbe1842p-18, 0x1.5ecee46f4015dp-18, 0x1.5e692172ff05p-18, 0x1.5dfaadb54fbd9p-18, 0x1.5d83c2826be08p-18, 0x1.5d0496227bfa1p-18, 0x1.5c7d5d4c5ef59p-18, 0x1.5bee4bc802ea7p-18, 0x1.5b5797064e349p-18, 0x1.5ab971edd70d2p-18, 0x1.5a1405299336ap-18, 0x1.59678a8da1705p-18, 0x1.58b43338eba4p-18, 0x1.57fa2e34459e7p-18, 0x1.5739a7b2ae8f8p-18, 0x1.5672cf72b4f43p-18, 0x1.55a5d8af57a73p-18, 0x1.54d2c2db448eep-18, 0x1.53fa13e37ece1p-18, 0x1.531ba9a63e9b8p-18, 0x1.5237c8c71f9b5p-18, 0x1.514e998bcae61p-18, 0x1.50604ad7f2284p-18, 0x1.4f6cfeaf393dbp-18, 0x1.4e74dd0fb3456p-18, 0x1.4d780dbfbf2bap-18, 0x1.4c76b702bb02fp-18, 0x1.4b70fe6ba5ddcp-18, 0x1.4a6708e3213a4p-18, 0x1.4958faab23d89p-18, 0x1.4846f75cc4388p-18, 0x1.473121ec7d92p-18, 0x1.46179ca9fe41ep-18, 0x1.44fa89470ea39p-18, 0x1.43da08d72d0d7p-18, 0x1.42b63bc055845p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.9dbb55c5d9409p-6, -0x1.9c41b99734f02p-5, -0x1.335e19254b1c1p-4, -0x1.9677a9a07f619p-4, -0x1.f6cb43360e5b7p-4, -0x1.29e2e1c9a1ac7p-3, -0x1.567272c9fd57p-3, -0x1.80dc17b7c8c8dp-3, -0x1.a8f09cb980cdbp-3, -0x1.ce89b6db9e4e1p-3, -0x1.f189afe78ea1dp-3, -0x1.08ed7611ceb08p-2, -0x1.17b7aafaa62p-2, -0x1.251fdcaa1ecap-2, -0x1.31258b8427621p-2, -0x1.3bcafaf5fcbfap-2, -0x1.4514db743cae8p-2, -0x1.4d09f78e9f3d1p-2, -0x1.53b2e54e345fp-2, -0x1.5919bca9abc9fp-2, -0x1.5d49d388b41fep-2, -0x1.604f7f8feb824p-2, -0x1.6237ddbec433cp-2, -0x1.63109fc51f464p-2, -0x1.62e7dedc9e32dp-2, -0x1.61cbf3dfcc116p-2, -0x1.5fcb544d7532fp-2, -0x1.5cf473df8a486p-2, -0x1.5955aa599c4b3p-2, -0x1.54fd1d327447ep-2, -0x1.4ff8acbde8e26p-2, -0x1.4a55e47f25cf1p-2, -0x1.4421ee4fcfdfbp-2, -0x1.3d69880d4ffd3p-2, -0x1.3638fb82eb294p-2, -0x1.2e9c184cd7fecp-2, -0x1.269e2f760ba8fp-2, -0x1.1e4a109802333p-2, -0x1.15aa084906933p-2, -0x1.0cc7dfaa8e05ap-2, -0x1.03acdcedefd81p-2, -0x1.f4c389546c86cp-3, -0x1.e1ddb7c390b73p-3, -0x1.ceb7d534f3e82p-3, -0x1.bb607ddbbd6ffp-3, -0x1.a7e560f5d798p-3, -0x1.94534849456fap-3, -0x1.80b6201828f6dp-3, -0x1.6d18ff6c76471p-3, -0x1.598630a06d42fp-3, -0x1.46073a0c6bbffp-3, -0x1.32a4e6c5f3022p-3, -0x1.1f674f5e84c2ap-3, -0x1.0c55e29386decp-3, -0x1.f2eedbc52d9c4p-4, -0x1.cda44bef6a115p-4, -0x1.a8d75dd8ee924p-4, -0x1.849248a1fb7a4p-4, -0x1.60de41f1919b9p-4, -0x1.3dc38d0d8a847p-4, -0x1.1b49896a00531p-4, -0x1.f2ed81558311cp-5, -0x1.b0a1e8267a61ap-5, -0x1.6fba52c59ac0ap-5, -0x1.303f6e391e831p-5, -0x1.e47140ec2be48p-6, -0x1.6b583d43cb2f5p-6, -0x1.ea7c08c81bcc9p-7, -0x1.045573be748d8p-7, -0x1.22497cb1856cdp-10, 0x1.6b3fb5f9dc1acp-8, 0x1.89600b532cbb9p-7, 0x1.2b7a64ab01f45p-6, 0x1.8f2f24e8090a1p-6, 0x1.efcfab300c27bp-6, 0x1.26af46399dc81p-5, 0x1.53efba9104d99p-5, 0x1.7fab891056c84p-5, 0x1.a9e57d9d201afp-5, 0x1.d2a0cf7f85864p-5, 0x1.f9e117fd1569bp-5, 0x1.0fd524cabf036p-4, 0x1.220053ebd3b98p-4, 0x1.33745fe302006p-4, 0x1.4433b0609b1bcp-4, 0x1.5440caf845929p-4, 0x1.639e5010106b3p-4, 0x1.724ef80677891p-4, 0x1.8055908ba92bep-4, 0x1.8db4fa2a89c76p-4, 0x1.9a7025fe27518p-4, 0x1.a68a13907868cp-4, 0x1.b205cedf82e01p-4, 0x1.bce66e861785cp-4, 0x1.c72f1205a623dp-4, 0x1.d0e2e02ea87cp-4, 0x1.da0505a583f31p-4, 0x1.e298b381b985ep-4, 0x1.eaa11e0579361p-4, 0x1.f2217b6bd8549p-4, 0x1.f91d02cc00ee5p-4, 0x1.ff96eb0fd3d04p-4, 0x1.02c934fe4ce25p-3, 0x1.058959a63bc69p-3, 0x1.080d7bebbcc35p-3, 0x1.0a57326592444p-3, 0x1.0c681177c20e2p-3, 0x1.0e41aafc725a6p-3, 0x1.0fe58df2a38fcp-3, 0x1.1155463275abcp-3, 0x1.12925c2690afap-3, 0x1.139e548a7441cp-3, 0x1.147ab02d4f83p-3, 0x1.1528ebb92c51ep-3, 0x1.15aa7f7e2dc51p-3, 0x1.1600df41a44aep-3, 0x1.162d7a10cfd88p-3, 0x1.1631ba170f117p-3, 0x1.160f0477656a6p-3, 0x1.15c6b929229e5p-3, 0x1.155a32d785a4bp-3, 0x1.14cac6c447cd4p-3, 0x1.1419c4acdb3b8p-3, 0x1.134876b2577abp-3, 0x1.12582143dcbf8p-3, 0x1.114a030b6f9acp-3, 0x1.101f54dd23c42p-3, 0x1.0ed949a87e3f3p-3, 0x1.0d790e6c052b4p-3, 0x1.0bffca2ad93p-3, 0x1.0a6e9de4509a8p-3, 0x1.08c6a48d7724fp-3, 0x1.0708f30c66178p-3, 0x1.053698355de49p-3, 0x1.03509cc990898p-3, 0x1.0158037791443p-3, 0x1.fe9b91ba9225cp-4, 0x1.fa65c716e37ep-4, 0x1.f6108814f69e3p-4, 0x1.f19da9c19b967p-4, 0x1.ed0ef534b4471p-4, 0x1.e86627a2cbf9bp-4, 0x1.e3a4f2711a39ap-4, 0x1.deccfb4bae113p-4, 0x1.d9dfdc3dcfbeap-4, 0x1.d4df23cc54456p-4, 0x1.cfcc5511ed68fp-4, 0x1.caa8e7dd28aa4p-4, 0x1.c57648d037aa5p-4, 0x1.c035d9823b947p-4, 0x1.bae8f0a20c85ep-4, 0x1.b590da1a6b5bep-4, 0x1.b02ed737675e4p-4, 0x1.aac41eccfed16p-4, 0x1.a551dd5ecaed8p-4, 0x1.9fd93548b57bbp-4, 0x1.9a5b3ee87a83fp-4, 0x1.94d908c81e831p-4, 0x1.8f5397c8f83a9p-4, 0x1.89cbe74f7ba91p-4, 0x1.8442e96f85701p-4, 0x1.7eb9871928c16p-4, 0x1.7930a045e5f9cp-4, 0x1.73a90c2637f5ep-4, 0x1.6e23994f6711cp-4, 0x1.68a10de990eecp-4, 0x1.632227ddd5857p-4, 0x1.5da79d0497375p-4, 0x1.58321b53c4332p-4, 0x1.52c2490d13894p-4, 0x1.4d58c4ec31891p-4, 0x1.47f62654c597bp-4, 0x1.429afd804c0c1p-4, 0x1.3d47d3abb5482p-4, 0x1.37fd2b44c009fp-4, 0x1.32bb80170437ep-4, 0x1.2d834778a5e3ep-4, 0x1.2854f076a4e9ep-4, 0x1.2330e400c4683p-4, 0x1.1e178514fdeffp-4, 0x1.190930ea7c05cp-4, 0x1.14063f1c15728p-4, 0x1.0f0f01d2400f7p-4, 0x1.0a23c5ec775cep-4, 0x1.0544d32a13b86p-4, 0x1.00726c5287feap-4, 0x1.f7599eba0be68p-5, 0x1.ede86b2f06e48p-5, 0x1.e491a79a3a846p-5, 0x1.db55b4d7a85b5p-5, 0x1.d234eb534437fp-5, 0x1.c92f9b51c8aeep-5, 0x1.c0460d3831cb2p-5, 0x1.b77881d1dde18p-5, 0x1.aec7329549f9p-5, 0x1.a63251e771e04p-5, 0x1.9dba0b5dc906dp-5, 0x1.955e83fed37f6p-5, 0x1.8d1fda8153e6fp-5, 0x1.84fe278a1e071p-5, 0x1.7cf97de87b33ap-5, 0x1.7511ead134712p-5, 0x1.6d4776183505cp-5, 0x1.659a2268cd8c9p-5, 0x1.5e09ed7c9cd1ap-5, 0x1.5696d05117141p-5, 0x1.4f40bf5bba1a4p-5, 0x1.4807aabce5a79p-5, 0x1.40eb7e7166bf5p-5, 0x1.39ec2282aeac4p-5, 0x1.33097b35c1c33p-5, 0x1.2c436938dc77fp-5, 0x1.2599c9cfd7907p-5, 0x1.1f0c76ff48ffdp-5, 0x1.189b47b66ec86p-5, 0x1.12460ff7e0b91p-5, 0x1.0c0ca10110c4ap-5, 0x1.05eec970a1afcp-5, 0x1.ffd8aad721d7cp-6, 0x1.f40a1d82879b2p-6, 0x1.e8717a1ce6636p-6, 0x1.dd0e4bbe003f3p-6, 0x1.d1e0199d6a8dap-6, 0x1.c6e66751f53f4p-6, 0x1.bc20b50f019f7p-6, 0x1.b18e7fdfcfae6p-6, 0x1.a72f41e0d50cdp-6, 0x1.9d027277188bap-6, 0x1.93078685b7ab9p-6, 0x1.893df0a17c02fp-6, 0x1.7fa52142afb03p-6, 0x1.763c86f5215cap-6, 0x1.6d038e866fbdcp-6, 0x1.63f9a332a39d7p-6, 0x1.5b1e2ecf1e0a8p-6, 0x1.527099f3eae18p-6, 0x1.49f04c2385bfep-6, 0x1.419cabf10d28cp-6, 0x1.39751f24f844p-6, 0x1.31790ae060ceap-6, 0x1.29a7d3bed0597p-6, 0x1.2200ddf6b83dcp-6, 0x1.1a838d788f5b4p-6, 0x1.132f460c99d82p-6, 0x1.0c036b6f7383dp-6, 0x1.04ff616d53b74p-6, 0x1.fc4517f84db08p-7, 0x1.eed89ea8e479cp-7, 0x1.e1b820123ffcap-7, 0x1.d4e2663c467d3p-7, 0x1.c8563c3c2ebaap-7, 0x1.bc126e5d96a7bp-7, 0x1.b015ca49a7ec8p-7, 0x1.a45f1f2c2ca5ap-7, 0x1.98ed3dd6dd8ccp-7, 0x1.8dbef8e2c92efp-7, 0x1.82d324cff5f53p-7, 0x1.7828982348dbp-7, 0x1.6dbe2b82c7565p-7, 0x1.6392b9d035dap-7, 0x1.59a520423621ap-7, 0x1.4ff43e7bbf46cp-7, 0x1.467ef6a250979p-7, 0x1.3d442d728dd6cp-7, 0x1.3442ca53a2e71p-7, 0x1.2b79b7693f991p-7, 0x1.22e7e1a45760fp-7, 0x1.1a8c38d2a2b24p-7, 0x1.1265afacfc309p-7, 0x1.0a733be4908e1p-7, 0x1.02b3d62ef6a16p-7, 0x1.f64cf4a271666p-8, 0x1.e7944e53bd912p-8, 0x1.d93bbd73f389p-8, 0x1.cb414c5a7b78bp-8, 0x1.bda30bc25c9f3p-8, 0x1.b05f12d6f2997p-8, 0x1.a3737f3ed675cp-8, 0x1.96de75254f726p-8, 0x1.8a9e1f421bd56p-8, 0x1.7eb0aedfc1ff5p-8, 0x1.73145be0866f3p-8, 0x1.67c764c1f9c4ap-8, 0x1.5cc80e9f45507p-8, 0x1.5214a532279p-8, 0x1.47ab7ad2c2a38p-8, 0x1.3d8ae8765a039p-8, 0x1.33b14dace81b2p-8, 0x1.2a1d109db5247p-8, 0x1.20cc9e02ee2a6p-8, 0x1.17be69243403p-8, 0x1.0ef0ebd076262p-8, 0x1.0662a656c024p-8, 0x1.fc243efccf077p-9, 0x1.ebfbc8fc90403p-9, 0x1.dc4911e6b725fp-9, 0x1.cd094dad4eeb4p-9, 0x1.be39bce4ecb8bp-9, 0x1.afd7acadf475fp-9, 0x1.a1e0769cc5cap-9, 0x1.945180a088b3p-9, 0x1.87283ce949ea5p-9, 0x1.7a6229ccf79d4p-9, 0x1.6dfcd1ab77e76p-9, 0x1.61f5cad1f4a29p-9, 0x1.564ab75d35b66p-9, 0x1.4af9451b63f7ep-9, 0x1.3fff2d6d2a78bp-9, 0x1.355a3525fdf96p-9, 0x1.2b082c6c173c4p-9, 0x1.2106ee97ac404p-9, 0x1.17546211aec31p-9, 0x1.0dee78323b62fp-9, 0x1.04d32d1e96791p-9, 0x1.f8010f4d6b185p-10, 0x1.e6e932453f563p-10, 0x1.d65afa9e9ad9bp-10, 0x1.c652b456d093dp-10, 0x1.b6ccbfa7e5c24p-10, 0x1.a7c590c0fcc97p-10, 0x1.9939af7ef73a7p-10, 0x1.8b25b72487bb1p-10, 0x1.7d865612354b5p-10, 0x1.70584d7dfff6cp-10, 0x1.6398712b99051p-10, 0x1.5743a723dce2cp-10, 0x1.4b56e76ccfa53p-10, 0x1.3fcf3bc1854a4p-10, 0x1.34a9bf4a08d79p-10, 0x1.29e39e538b89p-10, 0x1.1f7a16090c776p-10, 0x1.156a742bc2529p-10, 0x1.0bb216cc42427p-10, 0x1.024e6c03abbbdp-10, 0x1.f279e35a7235p-11, 0x1.e0f66a409286bp-11, 0x1.d00da5d5d3b5dp-11, 0x1.bfbaed193e5d6p-11, 0x1.aff9b46393b77p-11, 0x1.a0c58cdf1cc59p-11, 0x1.921a24001aedap-11, 0x1.83f342fe9b055p-11, 0x1.764cce51ce278p-11, 0x1.6922c52be9de2p-11, 0x1.5c7140f781ed8p-11, 0x1.503474d64bfbfp-11, 0x1.4468ad20dd66dp-11, 0x1.390a4ee7bc701p-11, 0x1.2e15d775de6f9p-11, 0x1.2387dbd4f9452p-11, 0x1.195d085244067p-11, 0x1.0f92200580b26p-11, 0x1.0623fc58eb595p-11, 0x1.fa1f19257cbd9p-12, 0x1.e8a3aac01d9dp-12, 0x1.d7cfe0c340631p-12, 0x1.c79e1773809aap-12, 0x1.b808d3372b0f3p-12, 0x1.a90abfb8e7c3p-12, 0x1.9a9eaf0c15247p-12, 0x1.8cbf98d51bb93p-12, 0x1.7f68997457d1ap-12, 0x1.7294f134bdfebp-12, 0x1.6640037d175d4p-12, 0x1.5a65560405728p-12, 0x1.4f0090081d922p-12, 0x1.440d7989feebfp-12, 0x1.3987fa89e944ap-12, 0x1.2f6c1a4871445p-12, 0x1.25b5fe8af7a41p-12, 0x1.1c61eae21db71p-12, 0x1.136c3ff386d34p-12, 0x1.0ad17ac72e35dp-12, 0x1.028e34177202bp-12, 0x1.f53e3f47ad099p-13, 0x1.e602170de82a2p-13, 0x1.d761bf202f524p-13, 0x1.c957393dfced4p-13, 0x1.bbdcb805b9535p-13, 0x1.aeec9db852d8ap-13, 0x1.a2817b031109p-13, 0x1.96960dcecd98p-13, 0x1.8b254014d0451p-13, 0x1.802a26ba14c3p-13, 0x1.75a00070140ccp-13, 0x1.6b823499b82e2p-13, 0x1.61cc5237c67a2p-13, 0x1.587a0ed9bfdd6p-13, 0x1.4f87459395e1ep-13, 0x1.46eff5fa09a86p-13, 0x1.3eb0432305996p-13, 0x1.36c472ad02537p-13, 0x1.2f28ebc9e3b5fp-13, 0x1.27da364efe5ffp-13, 0x1.20d4f9cb88198p-13, 0x1.1a15fca2eaa16p-13, 0x1.139a232bb5205p-13, 0x1.0d5e6ed49ad96p-13, 0x1.075ffd4ce90f7p-13, 0x1.019c07b35fb98p-13, 0x1.f81fc3910a0ddp-14, 0x1.ed71f2496018bp-14, 0x1.e329a8e9c4ab5p-14, 0x1.d942257577cddp-14, 0x1.cfb6d52079d62p-14, 0x1.c68352e2cf2d6p-14, 0x1.bda366115504ep-14, 0x1.b5130101ad1d8p-14, 0x1.acce3fb58edeep-14, 0x1.a4d1668bb42ep-14, 0x1.9d18e0fc6da18p-14, 0x1.95a1405c7185fp-14, 0x1.8e673aa64e00cp-14, 0x1.8767a94de0cf5p-14, 0x1.809f8819362b6p-14, 0x1.7a0bf4021b586p-14, 0x1.73aa2a1e4f15fp-14, 0x1.6d77868e73a21p-14, 0x1.67718374d3366p-14, 0x1.6195b7f205156p-14, 0x1.5be1d728de81cp-14, 0x1.5653af4903c36p-14, 0x1.50e9289e9c67ep-14, 0x1.4ba044abe43adp-14, 0x1.46771d44b4491p-14, 0x1.416be3b26776p-14, 0x1.3c7cdfdd1e1a6p-14, 0x1.37a86f7c00a1dp-14, 0x1.32ed0548f33dp-14, 0x1.2e49283c1f1f4p-14, 0x1.29bb72cc12feep-14, 0x1.25429231a86e9p-14, 0x1.20dd45b6189efp-14, 0x1.1c8a5e00a1132p-14, 0x1.1848bc6be7e64p-14, 0x1.1417526019e94p-14, 0x1.0ff520b234463p-14, 0x1.0be13706eafe9p-14, 0x1.07dab33b56effp-14, 0x1.03e0c0d1e021ep-14, 0x1.ffe530c44035bp-15, 0x1.f81efe200b57ep-15, 0x1.f06d8c0aae90fp-15, 0x1.e8cf93dd84bd8p-15, 0x1.e143e4fbcb246p-15, 0x1.d9c963e00595p-15, 0x1.d25f092d127a2p-15, 0x1.cb03e0ca52077p-15, 0x1.c3b7090716417p-15, 0x1.bc77b1c16b6c6p-15, 0x1.b5451b98391fbp-15, 0x1.ae1e9722bb00bp-15, 0x1.a703842daf2d1p-15, 0x1.9ff350fff5217p-15, 0x1.98ed79a51bf51p-15, 0x1.91f1873eb47d3p-15, 0x1.8aff0f5a273e1p-15, 0x1.8415b34dc4141p-15, 0x1.7d351f9ce1111p-15, 0x1.765d0b5d83253p-15, 0x1.6f8d37a6e5accp-15, 0x1.68c56f040ba8ep-15, 0x1.620584eb52272p-15, 0x1.5b4d553b204e9p-15, 0x1.549cc3bbf75d7p-15, 0x1.4df3bba68126ap-15, 0x1.47522f2e34bcp-15, 0x1.40b817104b057p-15, 0x1.3a257228e554ap-15, 0x1.339a450a4a475p-15, 0x1.2d16999872398p-15, 0x1.269a7ea93e6ecp-15, 0x1.202607a910bap-15, 0x1.19b94c41137ebp-15, 0x1.1354680360738p-15, 0x1.0cf77a19de651p-15, 0x1.06a2a4f872547p-15, 0x1.00560e117c92fp-15, 0x1.f423bb1f313f6p-16, 0x1.e7ac7c238ffe2p-16, 0x1.db46b8d307a2dp-16, 0x1.cef2ceb9f6c69p-16, 0x1.c2b11ed7d5818p-16, 0x1.b6820d2de025ap-16, 0x1.aa66005250967p-16, 0x1.9e5d610a103b6p-16, 0x1.926899e9f00bdp-16, 0x1.868816f6497aap-16, 0x1.7abc454b748dp-16, 0x1.6f0592cc6fedcp-16, 0x1.63646dd14ea2cp-16, 0x1.57d944dc95428p-16, 0x1.4c6486553efeap-16, 0x1.4106a044235fp-16, 0x1.35c0001334b02p-16, 0x1.2a91125244364p-16, 0x1.1f7a427ee12bdp-16, 0x1.147bfad17859p-16, 0x1.0996a40a9a938p-16, 0x1.fd954a89167c2p-17, 0x1.e830c7930a0bfp-17, 0x1.d30085d374592p-17, 0x1.be0547ada9a3bp-17, 0x1.a93fcb02917a3p-17, 0x1.94b0c8f3c1c95p-17, 0x1.8058f5a422b1cp-17, 0x1.6c390002cfd28p-17, 0x1.58519198da014p-17, 0x1.44a34e5e08a63p-17, 0x1.312ed4901fb8fp-17, 0x1.1df4bc8bd6f28p-17, 0x1.0af598ae816b3p-17, 0x1.f063ea6e9d80ep-18, 0x1.cb54b05765f96p-18, 0x1.a6be828a6d537p-18, 0x1.82a253b9fe6fbp-18, 0x1.5f0109b92e40dp-18, 0x1.3bdb7d611b26ep-18, 0x1.19327a7c33c4bp-18, 0x1.ee0d7f6cf7af8p-19, 0x1.aab1fd379e63p-19, 0x1.6853b712f2763p-19, 0x1.26f3db733a9e8p-19, 0x1.cd26fcf5e0b3ep-20, 0x1.4e6734305c8dap-20, 0x1.a354385c676f5p-21, 0x1.5bc5029c3f19ep-22, -0x1.0e10335a90683p-23, -0x1.30dd2883b172ap-21, -0x1.0d1376f4b8945p-20, -0x1.7fafef05519e2p-20, -0x1.f0436eda95a3bp-20, -0x1.2f66cd115bcc4p-19, -0x1.65a722a7acac1p-19, -0x1.9ae2ba7452ebap-19, -0x1.cf19ae7c0a63dp-19, -0x1.0126181135aaep-18, -0x1.1a3d43e8e1dadp-18, -0x1.32d28a48f9d18p-18, -0x1.4ae625dbe44f7p-18, -0x1.62785c392c637p-18, -0x1.79897db123d21p-18, -0x1.9019e51bc304dp-18, -0x1.a629f79fb3764p-18, -0x1.bbba247805b93p-18, -0x1.d0cae4c05ecd4p-18, -0x1.e55cbb38e8c29p-18, -0x1.f970340fcc4e2p-18, -0x1.0682f253318bcp-17, -0x1.100f35a96034fp-17, -0x1.195d379146db8p-17, -0x1.226d4fd349629p-17, -0x1.2b3fda59b1a89p-17, -0x1.33d53711c605p-17, -0x1.3c2dc9cee3febp-17, -0x1.4449fa2cdded6p-17, -0x1.4c2a336ed8804p-17, -0x1.53cee464a351bp-17, -0x1.5b387f496a9e1p-17, -0x1.626779a8ccaf1p-17, -0x1.695c4c40c0e29p-17, -0x1.701772e39af04p-17, -0x1.76996c580714cp-17, -0x1.7ce2ba3cd0224p-17, -0x1.82f3e0ee139eap-17, -0x1.88cd676697cecp-17, -0x1.8e6fd722f340ap-17, -0x1.93dbbc06be072p-17, -0x1.9911a43f1d9edp-17, -0x1.9e1220265fc28p-17, -0x1.a2ddc22a9c968p-17, -0x1.a7751eaf6eb4p-17, -0x1.abd8cbf656f83p-17, -0x1.b0096203fd9a6p-17, -0x1.b4077a859e7fp-17, -0x1.b7d3b0b61218ep-17, -0x1.bb6ea1437ee8ep-17, -0x1.bed8ea3a6e2bfp-17, -0x1.c2132aea6fdb4p-17, -0x1.c51e03ce6ea17p-17, -0x1.c7fa167602e49p-17, -0x1.caa8056d4dac9p-17, -0x1.cd287424e4d4cp-17, -0x1.cf7c06de4d21ap-17, -0x1.d1a36292b4ec4p-17, -0x1.d39f2cdea3041p-17, -0x1.d5700beebbb59p-17, -0x1.d716a6693d9fap-17, -0x1.d893a35a679c5p-17, -0x1.d9e7aa1e4efp-17, -0x1.db13624f92a0dp-17, -0x1.dc1773b57046bp-17, -0x1.dcf4862edfee1p-17, -0x1.ddab41a26bfcdp-17, -0x1.de3c4debeca8ap-17, -0x1.dea852cadc302p-17, -0x1.deeff7d14dee5p-17, -0x1.df13e455f3f9p-17, -0x1.df14bf6112452p-17, -0x1.def32f9e3c36fp-17, -0x1.deafdb4f95dd4p-17, -0x1.de4b683c7bc12p-17, -0x1.ddc67ba4c7031p-17, -0x1.dd21ba30e4a93p-17, -0x1.dc5dc7e6aeb34p-17, -0x1.db7b481cb8dd7p-17, -0x1.da7add6c5c02bp-17, -0x1.d95d29a67f56cp-17, -0x1.d822cdc865f26p-17, -0x1.d6cc69eed1cb4p-17, -0x1.d55a9d4b8112ap-17, -0x1.d3ce061cc6917p-17, -0x1.d22741a04c119p-17, -0x1.d066ec0ac4aabp-17, -0x1.ce8da07f656a4p-17, -0x1.cc9bf905c05e6p-17, -0x1.ca928e81e74c7p-17, -0x1.c871f8aa4c7f8p-17, -0x1.c63ace00c9326p-17, -0x1.c3eda3cc863c2p-17, -0x1.c18b0e10c0928p-17, -0x1.bf139f866e3afp-17, -0x1.bc87e99636d0ep-17, -0x1.b9e87c51a80dbp-17, -0x1.b735e66c3ac1p-17, -0x1.b470b5372cb05p-17, -0x1.b199749beaf7p-17, -0x1.aeb0af160a8d5p-17, -0x1.abb6edaf0554cp-17, -0x1.a8acb7fa971cp-17, -0x1.a59294111b072p-17, -0x1.a269068d1a19dp-17, -0x1.9f3092858bcdp-17, -0x1.9be9b98b5bf36p-17, -0x1.9894fba7e2bb2p-17, -0x1.9532d757cafefp-17, -0x1.91c3c9895f0bbp-17, -0x1.8e484d9a21416p-17, -0x1.8ac0dd54c824p-17, -0x1.872df0ee60d05p-17, -0x1.838fff050c29ep-17, -0x1.7fe77c9f85ccep-17, -0x1.7c34dd2a18642p-17, -0x1.7878927659ed5p-17, -0x1.74b30cbb178bcp-17, -0x1.70e4ba9236381p-17, -0x1.6d0e08f930217p-17, -0x1.692f63504808ep-17, -0x1.65493359e214cp-17, -0x1.615be13bdf223p-17, -0x1.5d67d37ee44d5p-17, -0x1.596d6f0f31ac7p-17, -0x1.556d173c92763p-17, -0x1.51672dbbe4ff4p-17, -0x1.4d5c12a714f71p-17, -0x1.494c247ec184ap-17, -0x1.4537c02aadd46p-17, -0x1.411f40fc3d131p-17, -0x1.3d0300ade22bap-17, -0x1.38e35766c4ec2p-17, -0x1.34c09bbb62db5p-17, -0x1.309b22aea7862p-17, -0x1.2c733fb589246p-17, -0x1.284944b743d44p-17, -0x1.241d82106a2a1p-17, -0x1.1ff046950f74dp-17, -0x1.1bc1df92be6abp-17, -0x1.179298d32ac06p-17, -0x1.1362bc9e691e3p-17, -0x1.0f3293bdec60cp-17, -0x1.0b02657e59aebp-17, -0x1.06d277b3761bcp-17, -0x1.02a30eba47203p-17, -0x1.fce8daf6d6d38p-18, -0x1.f48daade4aa25p-18, -0x1.ec350d3f0dfcp-18, -0x1.e3df7f5974384p-18, -0x1.db8d7b9c3d94bp-18, -0x1.d33f79ae4928dp-18, -0x1.caf5ee74c90cp-18, -0x1.c2b14c1816d8p-18, -0x1.ba72020c8f747p-18, -0x1.b2387d18d5f07p-18, -0x1.aa052759dfb2cp-18, -0x1.a1d8684e5b629p-18, -0x1.99b2a4db4163bp-18, -0x1.91943f52ae4bfp-18, -0x1.897d977b61ed2p-18, -0x1.816f0a99a8ac8p-18, -0x1.7968f375536bdp-18, -0x1.716baa5ee360ep-18, -0x1.6977853a21778p-18, -0x1.618cd7852ca8bp-18, -0x1.59abf25ed8c93p-18, -0x1.51d5248d3c9d4p-18, -0x1.4a08ba869a536p-18, -0x1.4246fe796cf09p-18, -0x1.3a903853007abp-18, -0x1.32e4adc74d87fp-18, -0x1.2b44a258f55fcp-18, -0x1.23b0575f521a2p-18, -0x1.1c280c0e96342p-18, -0x1.14abfd81a92c9p-18, -0x1.0d3c66be7f81bp-18, -0x1.05d980bf0e69bp-18, -0x1.fd0704f2c17afp-19, -0x1.ee7541d04b0bbp-19, -0x1.dffe1e1ec2a7p-19, -0x1.d1a1fc06dfcedp-19, -0x1.c36139ebca88p-19, -0x1.b53c3271f619cp-19, -0x1.a7333c8c54439p-19, -0x1.9946ab8f9fc7ep-19, -0x1.8b76cf3dbf01ap-19, -0x1.7dc3f3d9093e2p-19, -0x1.702e62321b5c8p-19, -0x1.62b65fb2ebfd5p-19, -0x1.555c2e6ef0bbep-19, -0x1.48200d3368dffp-19, -0x1.3b023790fee34p-19, -0x1.2e02e5f12d65dp-19, -0x1.21224d9ed09cdp-19, -0x1.1460a0d5eb46dp-19, -0x1.07be0ed2ce40cp-19, -0x1.f67587c339d37p-20, -0x1.ddadd2d09f031p-20, -0x1.c5254be14d137p-20, -0x1.acdc3a832f2e5p-20, -0x1.94d2e0cec9169p-20, -0x1.7d097b77da0cap-20, -0x1.658041efe4412p-20, -0x1.4e3766838b08fp-20, -0x1.372f166c52867p-20, -0x1.206779fcac63dp-20, -0x1.09e0b4a7ba4e5p-20, -0x1.e735ca3e7bc9cp-21, -0x1.bb2c4ad8792a2p-21, -0x1.8fa51618a7c8fp-21, -0x1.64a04e0a7155dp-21, -0x1.3a1e0c0415904p-21, -0x1.101e60cd9e5bbp-21, -0x1.cd42a9b2ed56ap-22, -0x1.7b4dd0e452628p-22, -0x1.2a5e27dd7ac64p-22, -0x1.b4e71f37bfddp-23, -0x1.171bb379b3261p-23, -0x1.ed664a23a44c6p-25, 0x1.e5fdad8f7db5p-27, 0x1.6c2290cbc6209p-24, 0x1.4bbb8596fe917p-23, }}, 
      {{-0x1.668422bd2582dp-6, -0x1.65e0452862d45p-5, -0x1.0b9cc682b37c3p-4, -0x1.63591deccfecfp-4, -0x1.b9db1acac810bp-4, -0x1.076eab9b4a048p-3, -0x1.310fde3ffdfa7p-3, -0x1.59b3fabae1c02p-3, -0x1.8140d8d93efa9p-3, -0x1.a79f605020e3ap-3, -0x1.ccbb8586334b2p-3, -0x1.f08438eb3fd13p-3, -0x1.0975a5ecd40f7p-2, -0x1.19f2a6d2317c6p-2, -0x1.29b4b18a4035p-2, -0x1.38b88d1e03dp-2, -0x1.46fc1e16ad89fp-2, -0x1.547e4eec6f7dcp-2, -0x1.613ef8877fa2bp-2, -0x1.6d3ecb358bdeep-2, -0x1.787f385db38e5p-2, -0x1.83025d290a653p-2, -0x1.8ccaee455c955p-2, -0x1.95dc24da9f9a4p-2, -0x1.9e39acc0eb222p-2, -0x1.a5e793fc81ce7p-2, -0x1.acea3b7ed83e5p-2, -0x1.b3464926a27fcp-2, -0x1.b9009af51a628p-2, -0x1.be1e3b6c05b04p-2, -0x1.c2a457060fb0dp-2, -0x1.c69832b9d5844p-2, -0x1.c9ff237749f0ep-2, -0x1.ccde868ecbd21p-2, -0x1.cf3bbaf1531f4p-2, -0x1.d11c1b396dd5cp-2, -0x1.d284f86d2c18bp-2, -0x1.d37b9569d554cp-2, -0x1.d40522eada93bp-2, -0x1.d426bc1e5edfep-2, -0x1.d3e563ba6206fp-2, -0x1.d346018686a96p-2, -0x1.d24d604f35125p-2, -0x1.d1002c37a5bedp-2, -0x1.cf62f16135ffbp-2, -0x1.cd7a1adf21667p-2, -0x1.cb49f1ee70c24p-2, -0x1.c8d69d6aa0b0cp-2, -0x1.c624217829562p-2, -0x1.c3365f5e9cabap-2, -0x1.c011158cac14dp-2, -0x1.bcb7dfc0e5059p-2, -0x1.b92e375269fp-2, -0x1.b577739564c47p-2, -0x1.b196ca575735p-2, -0x1.ad8f506fc3948p-2, -0x1.a963fa621244ep-2, -0x1.a5179d0dd53bbp-2, -0x1.a0acee6adf94ap-2, -0x1.9c26864eed17dp-2, -0x1.9786df3ac90f5p-2, -0x1.92d0572d246cp-2, -0x1.8e0530798074dp-2, -0x1.892792a1b4a4p-2, -0x1.84398b30d37bbp-2, -0x1.7f3d0e964ced2p-2, -0x1.7a33f90052c0cp-2, -0x1.75200f34a46a5p-2, -0x1.7002ff6709912p-2, -0x1.6ade620cd036bp-2, -0x1.65b3baaccc4dep-2, -0x1.608478ab5e0c8p-2, -0x1.5b51f8121ff9cp-2, -0x1.561d8252ea091p-2, -0x1.50e84f05ed814p-2, -0x1.4bb384a2b4082p-2, -0x1.46803933dce02p-2, -0x1.414f73057e666p-2, -0x1.3c22294e1aa98p-2, -0x1.36f944d221d18p-2, -0x1.31d5a081fc32p-2, -0x1.2cb80a12aaf99p-2, -0x1.27a142910221cp-2, -0x1.2291feef95237p-2, -0x1.1d8ae88f6956cp-2, -0x1.188c9dc3846e3p-2, -0x1.1397b24f75659p-2, -0x1.0eacafe0f9508p-2, -0x1.09cc1684d74e7p-2, -0x1.04f65d171894bp-2, -0x1.002bf1aebf4dcp-2, -0x1.f6da740a4521ap-3, -0x1.ed7527b221bd9p-3, -0x1.e428aa9bba68dp-3, -0x1.daf59a8d02b7ap-3, -0x1.d1dc8779e5e7bp-3, -0x1.c8ddf42ba90b4p-3, -0x1.bffa56e14accap-3, -0x1.b73219e91f3e5p-3, -0x1.ae859c33f985ep-3, -0x1.a5f531e21c8d6p-3, -0x1.9d8124ca3677p-3, -0x1.9529b4faa8cb3p-3, -0x1.8cef193553e9ep-3, -0x1.84d17f662b3d2p-3, -0x1.7cd10d14c44f4p-3, -0x1.74eddfd112e8dp-3, -0x1.6d280d9b950f1p-3, -0x1.657fa54915978p-3, -0x1.5df4aee23a175p-3, -0x1.56872bff0d708p-3, -0x1.4f37181eaa2b8p-3, -0x1.480468fb3dcb6p-3, -0x1.40ef0eda83034p-3, -0x1.39f6f4dad6ddbp-3, -0x1.331c013d1a191p-3, -0x1.2c5e15ab79fc2p-3, -0x1.25bd0f7d412f6p-3, -0x1.1f38c7f7d0453p-3, -0x1.18d1148ce90b2p-3, -0x1.1285c71651099p-3, -0x1.0c56ae0f029c5p-3, -0x1.064394c9f0299p-3, -0x1.004c43a67e674p-3, -0x1.f4e100859e65dp-4, -0x1.e9601b57cd4e7p-4, -0x1.de155917a086bp-4, -0x1.d30036ab99de3p-4, -0x1.c8202ce14338p-4, -0x1.bd74b0be33baap-4, -0x1.b2fd33cda01cfp-4, -0x1.a8b9246a9235dp-4, -0x1.9ea7ee06eafd7p-4, -0x1.94c8f96f5ceb5p-4, -0x1.8b1bad0c5a776p-4, -0x1.819f6d203a301p-4, -0x1.78539c0291cd5p-4, -0x1.6f379a58edb9dp-4, -0x1.664ac74cfae1cp-4, -0x1.5d8c80c03ab56p-4, -0x1.54fc237d581p-4, -0x1.4c990b6734f0ap-4, -0x1.446293a5c2151p-4, -0x1.3c5816d0b944dp-4, -0x1.3478ef184b303p-4, -0x1.2cc4766bd3b55p-4, -0x1.253a069ea7e69p-4, -0x1.1dd8f98b0ee0cp-4, -0x1.16a0a9337576p-4, -0x1.0f906fe1eef66p-4, -0x1.08a7a8460f68fp-4, -0x1.01e5ad9132339p-4, -0x1.f693b722757d8p-5, -0x1.e9a71d93b5bap-5, -0x1.dd044918dfb69p-5, -0x1.d0a9f61d0512cp-5, -0x1.c496e2fded174p-5, -0x1.b8c9d033ec4fp-5, -0x1.ad4180774ca85p-5, -0x1.a1fcb8e35c49bp-5, -0x1.96fa41173e8a4p-5, -0x1.8c38e3548f993p-5, -0x1.81b76c9bf1b1p-5, -0x1.7774acc79c1edp-5, -0x1.6d6f76a3fae42p-5, -0x1.63a6a00677ee7p-5, -0x1.5a1901e27a8f4p-5, -0x1.50c5785cb4c6cp-5, -0x1.47aae2dccfa01p-5, -0x1.3ec8241d8347fp-5, -0x1.361c223b31bddp-5, -0x1.2da5c6c110c98p-5, -0x1.2563feb4f1fc1p-5, -0x1.1d55baa1bc16bp-5, -0x1.1579eea09f56dp-5, -0x1.0dcf9261174d4p-5, -0x1.0655a12fc7fa4p-5, -0x1.fe1633f87a6bfp-6, -0x1.efddfebb44703p-6, -0x1.e200af2cf35c9p-6, -0x1.d47c592ebf117p-6, -0x1.c74f1801ce43fp-6, -0x1.ba770e4931259p-6, -0x1.adf2660a449c7p-6, -0x1.a1bf50ab7e0c6p-6, -0x1.95dc06f1c447ep-6, -0x1.8a46c8fc64702p-6, -0x1.7efdde3fac9ebp-6, -0x1.73ff957e5257ap-6, -0x1.694a44c1a35c7p-6, -0x1.5edc49509b9d2p-6, -0x1.54b407a5f12adp-6, -0x1.4acfeb651f51ep-6, -0x1.412e674e8b98ep-6, -0x1.37cdf532c4a48p-6, -0x1.2ead15e4f7da4p-6, -0x1.25ca512c9f2a5p-6, -0x1.1d2435b67d852p-6, -0x1.14b95904ef9ddp-6, -0x1.0c88575fa291p-6, -0x1.048fd3c2b82dep-6, -0x1.f99cef9ac40dbp-7, -0x1.ea85e76010cdbp-7, -0x1.dbd7fc33f4b4p-7, -0x1.cd90a84d6f5b4p-7, -0x1.bfad7295beea8p-7, -0x1.b22bee818bcb9p-7, -0x1.a509bbe9809a9p-7, -0x1.984486e25829fp-7, -0x1.8bda079473e54p-7, -0x1.7fc802130a0fp-7, -0x1.740c4632f0124p-7, -0x1.68a4af6124169p-7, -0x1.5d8f24790bfcdp-7, -0x1.52c9979a831a5p-7, -0x1.485205ffbc523p-7, -0x1.3e2677d30bfaap-7, -0x1.344500049b853p-7, -0x1.2aabbc2012bcfp-7, -0x1.2158d42242b5p-7, -0x1.184a7a4edc65bp-7, -0x1.0f7eeb0632afbp-7, -0x1.06f46c9b20d2cp-7, -0x1.fd529e5210829p-8, -0x1.ed37d8d3fb7b5p-8, -0x1.dd954f1a4670dp-8, -0x1.ce67da1a72d45p-8, -0x1.bfac650ed68a2p-8, -0x1.b15fed24b958bp-8, -0x1.a37f812b03049p-8, -0x1.9608414172c96p-8, -0x1.88f75e888d7f1p-8, -0x1.7c4a1ad220a69p-8, -0x1.6ffdc852820ccp-8, -0x1.640fc95287cabp-8, -0x1.587d8fe234fb8p-8, -0x1.4d449d8c3a653p-8, -0x1.4262830a39a18p-8, -0x1.37d4dff9da89ap-8, -0x1.2d996292b9164p-8, -0x1.23adc75d277bp-8, -0x1.1a0fd8e9d3209p-8, -0x1.10bd6f8a4a845p-8, -0x1.07b4710a675f2p-8, -0x1.fde5a0d532d42p-9, -0x1.eced1b36559b9p-9, -0x1.dc7b6a70c03edp-9, -0x1.cc8cc08f1b9e6p-9, -0x1.bd1d67ea41925p-9, -0x1.ae29c2a71d7a4p-9, -0x1.9fae4a3681d3bp-9, -0x1.91a78ed6cbff6p-9, -0x1.841237179150cp-9, -0x1.76eaff5f0848bp-9, -0x1.6a2eb9717b1acp-9, -0x1.5dda4bfa87d0ep-9, -0x1.51eab21858466p-9, -0x1.465cfae8a730cp-9, -0x1.3b2e4917c7b28p-9, -0x1.305bd27169a85p-9, -0x1.25e2df735daf6p-9, -0x1.1bc0cae21a675p-9, -0x1.11f3015f29382p-9, -0x1.0877010169b82p-9, -0x1.fe94b1de50a3ep-10, -0x1.ecd551f3f30d4p-10, -0x1.dbab4278e8842p-10, -0x1.cb1203734d53cp-10, -0x1.bb0533fca9342p-10, -0x1.ab809187efdadp-10, -0x1.9c7ff72aefc03p-10, -0x1.8dff5ceb46bc6p-10, -0x1.7ffad70ea672ap-10, -0x1.726e956e802ep-10, -0x1.6556e2cf01ac9p-10, -0x1.58b024395f773p-10, -0x1.4c76d85964e4cp-10, -0x1.40a796de2c831p-10, -0x1.353f0fde11c8p-10, -0x1.2a3a0b3db4a47p-10, -0x1.1f95681a28dc3p-10, -0x1.154e1c36277c8p-10, -0x1.0b61336a426f3p-10, -0x1.01cbcf1805e84p-10, -0x1.f1164b40472fdp-11, -0x1.df3903b6b012ap-11, -0x1.cdfa852c9e615p-11, -0x1.bd55b42075a12p-11, -0x1.ad459af86201bp-11, -0x1.9dc5690a7d996p-11, -0x1.8ed071aa66d1bp-11, -0x1.80622b3c055cep-11, -0x1.72762e4b6df13p-11, -0x1.650834a9fd557p-11, -0x1.581418904a97dp-11, -0x1.4b95d3c53e1f1p-11, -0x1.3f897ec9df3f8p-11, -0x1.33eb5009cc2a2p-11, -0x1.28b79b1083d96p-11, -0x1.1deacfc336fcdp-11, -0x1.1381799f31ea5p-11, -0x1.09783efc9dd16p-11, -0x1.ff97c0ab3f74bp-12, -0x1.ecf26f236b941p-12, -0x1.dafa6eaacf02dp-12, -0x1.c9a9d4abc5efap-12, -0x1.b8fae561e3979p-12, -0x1.a8e8129110d47p-12, -0x1.996bfa44e48d5p-12, -0x1.8a8165977fa3ap-12, -0x1.7c23477fe9364p-12, -0x1.6e4cbba7e8863p-12, -0x1.60f90548cbed1p-12, -0x1.54238e0f5bf11p-12, -0x1.47c7e506c9d3ap-12, -0x1.3be1bd8a36139p-12, -0x1.306cee3d12e27p-12, -0x1.2565700a1e8ddp-12, -0x1.1ac75d285179p-12, -0x1.108ef02657e1cp-12, -0x1.06b882fc16a09p-12, -0x1.fa811c4446101p-13, -0x1.e8474f5ec8bf4p-13, -0x1.d6bd04f7e5fd3p-13, -0x1.c5dbda93d5ef8p-13, -0x1.b59da3e73c572p-13, -0x1.a5fc693e4b813p-13, -0x1.96f265ee9d024p-13, -0x1.887a06d35b5aep-13, -0x1.7a8de8d354098p-13, -0x1.6d28d770bce55p-13, -0x1.6045cb62dc7ebp-13, -0x1.53dfe9392df12p-13, -0x1.47f280074ce68p-13, -0x1.3c79081aafe99p-13, -0x1.316f21b87d13fp-13, -0x1.26d093e3ddf8fp-13, -0x1.1c994b2d69394p-13, -0x1.12c5588a1e702p-13, -0x1.0950f032ce732p-13, -0x1.0038688b3f5a5p-13, -0x1.eef0722228d84p-14, -0x1.de19f2a39bc5cp-14, -0x1.cde6bfd09cdf7p-14, -0x1.be508303767ddp-14, -0x1.af511fd1f4797p-14, -0x1.a0e2b2326c342p-14, -0x1.92ff8cae623c8p-14, -0x1.85a236a0a7eedp-14, -0x1.78c56a81c11abp-14, -0x1.6c64143fc0eddp-14, -0x1.60794fa24edacp-14, -0x1.550066ba84f1cp-14, -0x1.49f4d05e77924p-14, -0x1.3f522eafa3005p-14, -0x1.35144dabd6bdfp-14, -0x1.2b3721c978d07p-14, -0x1.21b6c69d92a51p-14, -0x1.188f7d8c80a86p-14, -0x1.0fbdac83fff05p-14, -0x1.073ddcbf3c1bep-14, -0x1.fe197327bc477p-15, -0x1.ee4e1e8fe8f4ep-15, -0x1.df1393e303b25p-15, -0x1.d063e8bc1b74dp-15, -0x1.c2396e05baa48p-15, -0x1.b48eadeb198f6p-15, -0x1.a75e69d898259p-15, -0x1.9aa3988bfa929p-15, -0x1.8e596434093a1p-15, -0x1.827b289e90b05p-15, -0x1.77047174f4d69p-15, -0x1.6bf0f886a5209p-15, -0x1.613ca421ce9b2p-15, -0x1.56e385783a705p-15, -0x1.4ce1d711a34bap-15, -0x1.4333fb4a56f07p-15, -0x1.39d67addea013p-15, -0x1.30c6037ea40ebp-15, -0x1.27ff66770347bp-15, -0x1.1f7f9757c48eep-15, -0x1.1743aab05103ap-15, -0x1.0f48d4d17bbb7p-15, -0x1.078c689aec43dp-15, -0x1.000bd65201855p-15, -0x1.f18955066d1ecp-16, -0x1.e36919d8d0e4ap-16, -0x1.d5b27ee154315p-16, -0x1.c8613a291c5a9p-16, -0x1.bb7132078ab5ap-16, -0x1.aede7b3ccc9fdp-16, -0x1.a2a5571d88a08p-16, -0x1.96c231cde41fep-16, -0x1.8b31a08d44f0fp-16, -0x1.7ff0600f8c408p-16, -0x1.74fb52e55b8e4p-16, -0x1.6a4f7ff32898bp-16, -0x1.5fea10f4a1ce8p-16, -0x1.55c8510e6cf6fp-16, -0x1.4be7ab6bacbe4p-16, -0x1.4245a9e93fc95p-16, -0x1.38dff3cc44f91p-16, -0x1.2fb44c849be3cp-16, -0x1.26c0927abf642p-16, -0x1.1e02bde94c628p-16, -0x1.1578dfbf86231p-16, -0x1.0d21209011288p-16, -0x1.04f9bf8812d85p-16, -0x1.fa0222e3a88e1p-17, -0x1.ea6aff7e49873p-17, -0x1.db2b0f3bc8716p-17, -0x1.cc3f722975a8ep-17, -0x1.bda56c534fa46p-17, -0x1.af5a641d496bcp-17, -0x1.a15be0b197c28p-17, -0x1.93a78879290bp-17, -0x1.863b1fa7d6f53p-17, -0x1.791486d525f23p-17, -0x1.6c31b9a29745dp-17, -0x1.5f90cd6fd2e33p-17, -0x1.532ff01dcac01p-17, -0x1.470d66db7e619p-17, -0x1.3b278d0127c2bp-17, -0x1.2f7cd2f72c867p-17, -0x1.240bbd268c145p-17, -0x1.18d2e2f6f30f9p-17, -0x1.0dd0edd65c70cp-17, -0x1.0304984aacc65p-17, -0x1.f0d95a1bc4c8dp-18, -0x1.dc100c687adaep-18, -0x1.c7ab18b4f9d5ap-18, -0x1.b3a86bbb0bdddp-18, -0x1.a0060c38415ebp-18, -0x1.8cc2197c50725p-18, -0x1.79daca0dc0b17p-18, -0x1.674e6a597f634p-18, -0x1.551b5b73fe04ap-18, -0x1.434011e8c5fap-18, -0x1.31bb149607505p-18, -0x1.208afb97fa482p-18, -0x1.0fae6f3da5df4p-18, -0x1.fe484e1cad95ep-19, -0x1.ddd5d1af2519p-19, -0x1.be030f923d1cap-19, -0x1.9ecdc7333bbfdp-19, -0x1.8033cf6f6e79fp-19, -0x1.6233150b4e748p-19, -0x1.44c9993964a95p-19, -0x1.27f5703979702p-19, -0x1.0bb4c004256d7p-19, -0x1.e00b7e15710d1p-20, -0x1.a9cd6610ae976p-20, -0x1.74abdfc74abfep-20, -0x1.40a3ad3c68b6bp-20, -0x1.0db1a8a541402p-20, -0x1.b7a5850d282e2p-21, -0x1.5607ffd2d46d1p-21, -0x1.ed09e299dfd24p-22, -0x1.322d576a8fe51p-22, -0x1.edbd0598b15ddp-24, 0x1.b9da166c747dap-25, 0x1.cbb9c913b8cecp-23, 0x1.9080240cf5ca5p-22, 0x1.1b97ab9619399p-21, 0x1.6cfa56d5b1251p-21, 0x1.bc6d1a9eef706p-21, 0x1.04fa775862f7cp-20, 0x1.2acb5eb8e3997p-20, 0x1.4fabb2c491299p-20, 0x1.739dddb95b07cp-20, 0x1.96a4456dea541p-20, 0x1.b8c14bfbb1a23p-20, 0x1.d9f75054372b8p-20, 0x1.fa48aed1132adp-20, 0x1.0cdbe0d9b9d71p-19, 0x1.1c2370cb7fcfp-19, 0x1.2afc32eefb0a2p-19, 0x1.3967528a68cc1p-19, 0x1.4765faa2d413dp-19, 0x1.54f956238c154p-19, 0x1.62229000b16fep-19, 0x1.6ee2d3558712dp-19, 0x1.7b3b4b7f242e3p-19, 0x1.872d2433b6768p-19, 0x1.92b989959309p-19, 0x1.9de1a8449a6dap-19, 0x1.a8a6ad68777c7p-19, 0x1.b309c6bdd69dp-19, 0x1.bd0c229e317b7p-19, 0x1.c6aef00321504p-19, 0x1.cff35e8ab2d51p-19, 0x1.d8da9e76bf188p-19, 0x1.e165e0acbba58p-19, 0x1.e99656b10b794p-19, 0x1.f16d32a28bed7p-19, 0x1.f8eba73445799p-19, 0x1.000973d254ec3p-18, 0x1.037213d928931p-18, 0x1.06b04dc9a25a3p-18, 0x1.09c4bbf3ea861p-18, 0x1.0caff8d6568ccp-18, 0x1.0f729f16bd07ap-18, 0x1.120d497a643e9p-18, 0x1.148092de90a9ap-18, 0x1.16cd162f87b64p-18, 0x1.18f36e5fef118p-18, 0x1.1af436608bed9p-18, 0x1.1cd00916678ccp-18, 0x1.1e878151317aep-18, 0x1.201b39c21ede7p-18, 0x1.218bccf226a5ep-18, 0x1.22d9d5377e093p-18, 0x1.2405ecac2e10fp-18, 0x1.2510ad23b5da1p-18, 0x1.25fab0214a387p-18, 0x1.26c48ecdbcddbp-18, 0x1.276ee1ec9e58fp-18, 0x1.27fa41d303c1p-18, 0x1.2867465d127c2p-18, 0x1.28b686e43d014p-18, 0x1.28e89a34e1124p-18, 0x1.28fe16852303ep-18, 0x1.28f7916a9a617p-18, 0x1.28d59fd0fe398p-18, 0x1.2898d5f05a16ap-18, 0x1.2841c7441d73p-18, 0x1.27d1068221a8dp-18, 0x1.27472591343bep-18, 0x1.26a4b5806b7a4p-18, 0x1.25ea467e77f08p-18, 0x1.251867d152f7dp-18, 0x1.242fa7cdcc68p-18, 0x1.233093cf90c47p-18, 0x1.221bb83179c66p-18, 0x1.20f1a045a4f7dp-18, 0x1.1fb2d64e2ee28p-18, 0x1.1e5fe375c833bp-18, 0x1.1cf94fc8ec484p-18, 0x1.1b7fa22f7a01bp-18, 0x1.19f36065c490cp-18, 0x1.18550ef6822efp-18, 0x1.16a53134a258ep-18, 0x1.14e449357069ep-18, 0x1.1312d7cb1dfacp-18, 0x1.11315c7f6d3f7p-18, 0x1.0f40558ea1247p-18, 0x1.0d403fe28f25cp-18, 0x1.0b31970dedad1p-18, 0x1.0914d548111dfp-18, 0x1.06ea73686d383p-18, 0x1.04b2e8e344d4fp-18, 0x1.026eabc5829e5p-18, 0x1.001e30b1952fcp-18, 0x1.fb83d5b7d1455p-19, 0x1.f6b4980fb37bdp-19, 0x1.f1cf8909c18aep-19, 0x1.ecd58658d39c8p-19, 0x1.e7c76abdddad1p-19, 0x1.e2a60e0434598p-19, 0x1.dd7244fd6e868p-19, 0x1.d82ce17dce7fbp-19, 0x1.d2d6b25976008p-19, 0x1.cd7083617e924p-19, 0x1.c7fb1d61c6eb7p-19, 0x1.c277461f51012p-19, 0x1.bce5c05669e76p-19, 0x1.b7474bb9a41b2p-19, 0x1.b19ca4f02f3b8p-19, 0x1.abe68596ae7b7p-19, 0x1.a625a43e4f2a1p-19, 0x1.a05ab46d7e48bp-19, 0x1.9a86669fc439ap-19, 0x1.94a9684715673p-19, 0x1.8ec463cccd9a4p-19, 0x1.88d80093865e3p-19, 0x1.82e4e2f898a84p-19, 0x1.7cebac5655cedp-19, 0x1.76ecfb064ae14p-19, 0x1.70e96a6427b6dp-19, 0x1.6ae192d01facap-19, 0x1.64d609b2080bcp-19, 0x1.5ec7617cfde6dp-19, 0x1.58b629b34bf4bp-19, 0x1.52a2eeea19a76p-19, 0x1.4c8e3acce8afbp-19, 0x1.46789422a1fd8p-19, 0x1.40627ed180ca9p-19, 0x1.3a4c7be3fab64p-19, 0x1.3437098e32ce3p-19, 0x1.2e22a3325c809p-19, 0x1.280fc1666971bp-19, 0x1.21fed9f93630ap-19, 0x1.1bf05ff8a46cfp-19, 0x1.15e4c3b63418ap-19, 0x1.0fdc72ce01e49p-19, 0x1.09d7d82c2d07bp-19, 0x1.03d75c13e3911p-19, 0x1.fbb6c84992ac4p-20, 0x1.efc8a6c3807e5p-20, 0x1.e3e5146ee2563p-20, 0x1.d80ccd057812bp-20, 0x1.cc40872fb54f6p-20, 0x1.c080f49200229p-20, 0x1.b4cec1db95d37p-20, 0x1.a92a96d347503p-20, 0x1.9d95166683f03p-20, 0x1.920edeb7d666cp-20, 0x1.8698892c00eabp-20, 0x1.7b32aa7a85964p-20, 0x1.6fddd2bac4dcep-20, 0x1.649a8d74cd669p-20, 0x1.596961aecd882p-20, 0x1.4e4ad1fc1bb72p-20, 0x1.433f5c8db4894p-20, 0x1.38477b3fa5422p-20, 0x1.2d63a3a96178bp-20, 0x1.2294472d2202fp-20, 0x1.17d9d30722729p-20, 0x1.0d34b05d0b882p-20, 0x1.02a5444d30eabp-20, 0x1.f057dffc94781p-21, 0x1.db92215c78bcdp-21, 0x1.c6f9ff846a381p-21, 0x1.b29025ab45c62p-21, 0x1.9e55379359a75p-21, 0x1.8a49d1ac29a51p-21, 0x1.766e892bb1ce4p-21, 0x1.62c3ec3193efap-21, 0x1.4f4a81e4430cdp-21, 0x1.3c02ca8f2e56p-21, 0x1.28ed3fc093cd6p-21, 0x1.160a546ab662p-21, 0x1.035a74ff64976p-21, 0x1.e1bc0f1cefc15p-22, 0x1.bd2ad7cb8bac4p-22, 0x1.9901f75743bp-22, 0x1.754214fd344f5p-22, 0x1.51ebcc25e5dbep-22, 0x1.2effac9dcd79bp-22, 0x1.0c7e3acf50227p-22, 0x1.d4cfe00648b4p-23, 0x1.917a751ea4234p-23, 0x1.4efcfc2df2d1cp-23, 0x1.0d5827855cac4p-23, 0x1.991929d7d2409p-24, 0x1.19359c206f26fp-24, 0x1.360d23d94a219p-25, 0x1.e8cd0da5cb0ccp-28, -0x1.70dc1ca3c8c3fp-26, -0x1.aa88f5de06177p-25, -0x1.4c9b3339a0d62p-24, -0x1.c23afbf247e6ep-24, -0x1.1b11e1a88da58p-23, -0x1.542acc85c2205p-23, -0x1.8c6856c76d55ep-23, -0x1.c3caa89895e0bp-23, -0x1.fa51f9b2134c2p-23, -0x1.17ff487ee8198p-22, -0x1.32686219724d3p-22, -0x1.4c647bb80f14cp-22, -0x1.65f3ce7055eb2p-22, -0x1.7f169a2feeb9ep-22, -0x1.97cd258aecf68p-22, -0x1.b017bd8e46ad3p-22, -0x1.c7f6b596481c7p-22, -0x1.df6a671d88da1p-22, -0x1.f673318fdb3bap-22, -0x1.0688bd11c34d6p-21, -0x1.11a2d5d55fac8p-21, -0x1.1c881b3432e0dp-21, -0x1.2738c7f49078fp-21, -0x1.31b5196ba2426p-21, -0x1.3bfd4f69c003fp-21, -0x1.4611ac25e02c6p-21, -0x1.4ff2742b59918p-21, -0x1.599fee43f617ep-21, -0x1.631a6366ebbbcp-21, -0x1.6c621ea45e8adp-21, -0x1.75776d1496c83p-21, -0x1.7e5a9dc38cd06p-21, -0x1.870c01a0ebff7p-21, -0x1.8f8beb6e174e4p-21, -0x1.97daafaab4b39p-21, -0x1.9ff8a48658157p-21, -0x1.a7e621cdfbb49p-21, -0x1.afa380dc33f49p-21, -0x1.b7311c88238dp-21, -0x1.be8f5117101d1p-21, -0x1.c5be7c2ae7e95p-21, -0x1.ccbefcb40878cp-21, -0x1.d39132e18032ap-21, -0x1.da35801357b92p-21, -0x1.e0ac46ca5e644p-21, -0x1.e6f5ea9ae7d39p-21, -0x1.ed12d01ed61a5p-21, -0x1.f3035ce6f7374p-21, -0x1.f8c7f76ec6fa2p-21, -0x1.fe61070ea3632p-21, -0x1.01e779f786eeep-20, -0x1.0489137dd494p-20, -0x1.071584eb36037p-20, -0x1.098d03666005fp-20, -0x1.0befc4650faa5p-20, -0x1.0e3dfda6b997fp-20, -0x1.1077e52eb419ep-20, -0x1.129db13eb4a33p-20, -0x1.14af9850e4a37p-20, -0x1.16add11352a77p-20, -0x1.18989261d2603p-20, -0x1.1a701341db684p-20, -0x1.1c348adc82a7cp-20, -0x1.1de6307a8610bp-20, -0x1.1f853b7ece0e4p-20, -0x1.2111e362071dap-20, -0x1.228c5faeaeb0fp-20, -0x1.23f4e7fbc759bp-20, -0x1.254bb3e90cdeap-20, -0x1.2690fb1aa9804p-20, -0x1.27c4f5349baf5p-20, -0x1.28e7d9d7722edp-20, -0x1.29f9e09bb78e6p-20, -0x1.2afb410eb09a8p-20, -0x1.2bec32ae68189p-20, -0x1.2cccece66d36fp-20, -0x1.2d9da70b78ad1p-20, -0x1.2e5e9858e966cp-20, -0x1.2f0ff7ecf7736p-20, -0x1.2fb1fcc59197p-20, -0x1.3044ddbd555fep-20, -0x1.30c8d1884b482p-20, -0x1.313e0eb13d556p-20, -0x1.31a4cb9655409p-20, -0x1.31fd3e66d63c8p-20, -0x1.32479d20be85bp-20, -0x1.32841d8d23d35p-20, -0x1.32b2f53e6e3dap-20, -0x1.32d4598daa414p-20, -0x1.32e87f97ee5bap-20, -0x1.32ef9c3c48b2ep-20, -0x1.32e9e41982156p-20, -0x1.32d78b8bfef32p-20, -0x1.32b8c6abe0e76p-20, -0x1.328dc94aa848ap-20, -0x1.3256c6f14ec7ap-20, -0x1.3213f2de8ddd9p-20, -0x1.31c580051c016p-20, -0x1.316ba109d07f7p-20, -0x1.310688420ff3fp-20, -0x1.309667b229c86p-20, -0x1.301b710bd3aa5p-20, }}, 
      {{0x1.73334bca27a73p-2, 0x1.7382ddb98dbd2p-2, 0x1.740a4683e0fd3p-2, 0x1.74cd12e29446ap-2, 0x1.75cf403e5107ep-2, 0x1.7714a79e679bap-2, 0x1.78a081a9e0ca3p-2, 0x1.7a750984e7293p-2, 0x1.7c933e9ab6de3p-2, 0x1.7efac256c8d45p-2, 0x1.81a9cd6b2d0ecp-2, 0x1.849d37dc7edd8p-2, 0x1.87d08f37e1f66p-2, 0x1.8b3e36cf78afdp-2, 0x1.8edf8e72bfc45p-2, 0x1.92ad1cb857a04p-2, 0x1.969eba87a1796p-2, 0x1.9aabbe1a493cap-2, 0x1.9ecb242570fe4p-2, 0x1.a2f3b63eb0fb3p-2, 0x1.a71c2de39aadap-2, 0x1.ab3b53cc33658p-2, 0x1.af481b6450bbcp-2, 0x1.b339ba6e8569cp-2, 0x1.b707bcefd9495p-2, 0x1.baaa159760c3fp-2, 0x1.be192ae1e810bp-2, 0x1.c14de14187d02p-2, 0x1.c441a29481af9p-2, 0x1.c6ee633728783p-2, 0x1.c94ea4fac1351p-2, 0x1.cb5d7847db815p-2, 0x1.cd167bae2cd82p-2, 0x1.ce75da1ee55dbp-2, 0x1.cf7848091c5e3p-2, 0x1.d01aff8a87295p-2, 0x1.d05bbbe15a6ddp-2, 0x1.d038b4472c458p-2, 0x1.cfb09657e0c27p-2, 0x1.cec280233c1c9p-2, 0x1.cd6dfa03b2ac3p-2, 0x1.cbb2f0515873cp-2, 0x1.c991ad0480475p-2, 0x1.c70ad158acc17p-2, 0x1.c41f4f7dc55b5p-2, 0x1.c0d0646333c65p-2, 0x1.bd1f91a67acc1p-2, 0x1.b90e97ad0db3ep-2, 0x1.b49f6fef90e19p-2, 0x1.afd4477b58671p-2, 0x1.aaaf79adb8374p-2, 0x1.a5338b2bc66e1p-2, 0x1.9f63251831f0bp-2, 0x1.99411088241f7p-2, 0x1.92d0323771c5ep-2, 0x1.8c13867bd4e9cp-2, 0x1.850e1d7674fffp-2, 0x1.7dc317829e542p-2, 0x1.7635a1e03a4a4p-2, 0x1.6e68f39857b2fp-2, 0x1.66604a99dd384p-2, 0x1.5e1ee90c59a32p-2, 0x1.55a812d6c1396p-2, 0x1.4cff0b57e06a3p-2, 0x1.4427134e270e7p-2, 0x1.3b2366ec83bc8p-2, 0x1.31f73c19ee7ebp-2, 0x1.28a5c0d952822p-2, 0x1.1f3219d789d7cp-2, 0x1.159f611d2ff8fp-2, 0x1.0bf0a4e20dff9p-2, 0x1.0228e6800b151p-2, 0x1.f096330716598p-3, 0x1.dcb445ae7d7c5p-3, 0x1.c8b1b0130f417p-3, 0x1.b493fd532bb21p-3, 0x1.a06097751aaadp-3, 0x1.8c1cc67611567p-3, 0x1.77cdaf7ee8f9fp-3, 0x1.6378543b89cd8p-3, 0x1.4f21925256849p-3, 0x1.3ace22f8f6bbdp-3, 0x1.26829aa423224p-3, 0x1.124368d01e1b5p-3, 0x1.fc29afbfa203p-4, 0x1.d3f61a211367fp-4, 0x1.abf411010ababp-4, 0x1.842b4a8d444ccp-4, 0x1.5ca333334a1d2p-4, 0x1.3562ee0b2d90bp-4, 0x1.0e71555be6ec4p-4, 0x1.cfa9f66da32bap-5, 0x1.832854501a7cp-5, 0x1.3769cbf35d162p-5, 0x1.d8f3b21f744c5p-6, 0x1.44c6da907289ap-6, 0x1.64c3c83193b9dp-7, 0x1.0ec4a925349e9p-9, -0x1.b30950cd839f4p-8, -0x1.f2ba3bc924b1fp-7, -0x1.83e70d8a739d9p-6, -0x1.062831f09d43dp-5, -0x1.49452c13083dbp-5, -0x1.8b4389b043c78p-5, -0x1.cc1cd5cc231ecp-5, -0x1.05e587be749d6p-4, -0x1.252453bb40da5p-4, -0x1.43c83ec7dd785p-4, -0x1.61ceef214ddbfp-4, -0x1.7f36401468705p-4, -0x1.9bfc40ba90c9fp-4, -0x1.b81f32b55ea49p-4, -0x1.d39d88e9965ep-4, -0x1.ee75e639dcd42p-4, -0x1.04538e20b000cp-3, -0x1.1118150774ed8p-3, -0x1.1d881d70445b2p-3, -0x1.29a3527017de8p-3, -0x1.356973f0bbf1ap-3, -0x1.40da56106ae8fp-3, -0x1.4bf5e0823a22cp-3, -0x1.56bc0def7839ap-3, -0x1.612ceb5a13193p-3, -0x1.6b48978026804p-3, -0x1.750f4240c1e5p-3, -0x1.7e812c0209cadp-3, -0x1.879ea518b64dp-3, -0x1.90680d311bb9cp-3, -0x1.98ddd2b9c0c2fp-3, -0x1.a100724f99226p-3, -0x1.a8d0762bfc725p-3, -0x1.b04e75946124ap-3, -0x1.b77b144bfa612p-3, -0x1.be5702073629p-3, -0x1.c4e2f9e13e0bfp-3, -0x1.cb1fc1d37c32p-3, -0x1.d10e2a2f2f48ap-3, -0x1.d6af0d192ebecp-3, -0x1.dc034e07d3e1cp-3, -0x1.e10bd9431c15cp-3, -0x1.e5c9a36715c06p-3, -0x1.ea3da8e89543ep-3, -0x1.ee68ed9c48e8p-3, -0x1.f24c7c402203ep-3, -0x1.f5e966073070ap-3, -0x1.f940c227e5b55p-3, -0x1.fc53ad6ccee17p-3, -0x1.ff2349c7c7b8cp-3, -0x1.00d85ef3d5cb5p-2, -0x1.01fe9a6847bc3p-2, -0x1.0304eebb3aac6p-2, -0x1.03ebf52d4af25p-2, -0x1.04b4489595452p-2, -0x1.055e8532e4bd6p-2, -0x1.05eb487e24f95p-2, -0x1.065b30fe1be7cp-2, -0x1.06aede1c6897dp-2, -0x1.06e6effbc62adp-2, -0x1.0704074f95fdap-2, -0x1.0706c534a91dep-2, -0x1.06efcb0b4d72p-2, -0x1.06bfba52994bbp-2, -0x1.06773484f5d6cp-2, -0x1.0616daf5e23b4p-2, -0x1.059f4eb0f2164p-2, -0x1.0511305a0040dp-2, -0x1.046d200e9340cp-2, -0x1.03b3bd4875256p-2, -0x1.02e5a6c172106p-2, -0x1.02037a5841cf3p-2, -0x1.010dd4f698909p-2, -0x1.0005527851f4cp-2, -0x1.fdd51b277cc6cp-3, -0x1.fb7c3f860ae91p-3, -0x1.f901425d37575p-3, -0x1.f665513190deep-3, -0x1.f3a996946c2d3p-3, -0x1.f0cf39ff0ae18p-3, -0x1.edd75fafcb59cp-3, -0x1.eac3288946d59p-3, -0x1.e793b1f361763p-3, -0x1.e44a15be3d258p-3, -0x1.e0e76a06fdcd9p-3, -0x1.dd6cc11e65e9ap-3, -0x1.d9db297129232p-3, -0x1.d633ad720069p-3, -0x1.d277538568a42p-3, -0x1.cea71deefdf48p-3, -0x1.cac40ac074595p-3, -0x1.c6cf13ca1d0d1p-3, -0x1.c2c92e8ce61d4p-3, -0x1.beb34c2dda659p-3, -0x1.ba8e596b0163p-3, -0x1.b65b3e91ab2fbp-3, -0x1.b21adf7609dep-3, -0x1.adce1b6c19f4ap-3, -0x1.a975cd41cb192p-3, -0x1.a512cb3a5911dp-3, -0x1.a0a5e70ad9867p-3, -0x1.9c2fedd7e33a4p-3, -0x1.97b1a8344cfd6p-3, -0x1.932bda20f9c6fp-3, -0x1.8e9f430da76a9p-3, -0x1.8a0c9ddab4795p-3, -0x1.8574a0dbd1de8p-3, -0x1.80d7fddba11abp-3, -0x1.7c37622022f53p-3, -0x1.7793767000539p-3, -0x1.72ecdf189574dp-3, -0x1.6e443bf4c3167p-3, -0x1.699a28746f85dp-3, -0x1.64ef3ba4b79cfp-3, -0x1.60440838c7c13p-3, -0x1.5b991c934a6ap-3, -0x1.56ef02d076bf1p-3, -0x1.524640d09ec0ep-3, -0x1.4d9f5843494dbp-3, -0x1.48fac6b2c90d1p-3, -0x1.445905904696fp-3, -0x1.3fba8a4036cb4p-3, -0x1.3b1fc6273e3cp-3, -0x1.368926b76e4fep-3, -0x1.31f7157ddec08p-3, -0x1.2d69f83098056p-3, -0x1.28e230bccc07dp-3, -0x1.24601d5550cf8p-3, -0x1.1fe41881618d2p-3, -0x1.1b6e792b90e77p-3, -0x1.16ff92b0f8dadp-3, -0x1.1297b4f093fp-3, -0x1.0e372c5abd276p-3, -0x1.09de4200df634p-3, -0x1.058d3ba534a7bp-3, -0x1.01445bcaadd11p-3, -0x1.fa07c389d6006p-4, -0x1.f198139080aeep-4, -0x1.e93a19f39fa8cp-4, -0x1.e0ee42ff5464dp-4, -0x1.d8b4f521df9b4p-4, -0x1.d08e910bf4a2fp-4, -0x1.c87b71d0f7b26p-4, -0x1.c07bed07432a4p-4, -0x1.b89052e847eddp-4, -0x1.b0b8ee709fa96p-4, -0x1.a8f6057ffa263p-4, -0x1.a147d8f8eaf4cp-4, -0x1.99aea4e084122p-4, -0x1.922aa07dcfd49p-4, -0x1.8abbfe78fed8fp-4, -0x1.8362ecfa701d3p-4, -0x1.7c1f95c971271p-4, -0x1.74f21e6abd6d8p-4, -0x1.6ddaa83eb5479p-4, -0x1.66d9509f4cba3p-4, -0x1.5fee30fdaa0dcp-4, -0x1.59195eff7349fp-4, -0x1.525aec9bc551p-4, -0x1.4bb2e837d54eap-4, -0x1.45215cc3375fdp-4, -0x1.3ea651d3c4a68p-4, -0x1.3841cbc12669p-4, -0x1.31f3cbbffc0a9p-4, -0x1.2bbc4ffc9e7ecp-4, -0x1.259b53b57d00dp-4, -0x1.1f90cf551637bp-4, -0x1.199cb88b82867p-4, -0x1.13bf026798acbp-4, -0x1.0df79d6fa691p-4, -0x1.084677b9bb361p-4, -0x1.02ab7d03874f5p-4, -0x1.fa4d2d9394283p-5, -0x1.ef6f58beab807p-5, -0x1.e4bd4607420eap-5, -0x1.da36bbf1d3c06p-5, -0x1.cfdb7d33cdb05p-5, -0x1.c5ab48de164dfp-5, -0x1.bba5da86b4b1bp-5, -0x1.b1caea7191214p-5, -0x1.a81a2db85d325p-5, -0x1.9e9356719793ep-5, -0x1.953613d6b60dap-5, -0x1.8c0212696c8e7p-5, -0x1.82f6fc181a165p-5, -0x1.7a1478615a6dcp-5, -0x1.715a2c76bae7ap-5, -0x1.68c7bb5e9774ep-5, -0x1.605cc615200a7p-5, -0x1.5818ebac8b9fbp-5, -0x1.4ffbc96c70546p-5, -0x1.4804faf04c5a2p-5, -0x1.40341a454271fp-5, -0x1.3888c00705c56p-5, -0x1.3102837bf5749p-5, -0x1.29a0fab078bd9p-5, -0x1.2263ba9187543p-5, -0x1.1b4a570677f3bp-5, -0x1.1454630a0c5edp-5, -0x1.0d8170c2b2023p-5, -0x1.06d1119a11426p-5, -0x1.0042d653df7f5p-5, -0x1.f3ac9e47f00b9p-6, -0x1.e716178786a4fp-6, -0x1.dac1370dcca32p-6, -0x1.cead1ade91774p-6, -0x1.c2d8e080d70d2p-6, -0x1.b743a5242d9cp-6, -0x1.abec85c4cc799p-6, -0x1.a0d29f4e5001bp-6, -0x1.95f50ebd4563ap-6, -0x1.8b52f13f79c66p-6, -0x1.80eb64530b5c1p-6, -0x1.76bd85e45edf4p-6, -0x1.6cc8746ad37a5p-6, -0x1.630b4f04665b4p-6, -0x1.598535902f6f5p-6, -0x1.503548c7c8294p-6, -0x1.471aaa57a35ccp-6, -0x1.3e347cf662d87p-6, -0x1.3581e47b14ef2p-6, -0x1.2d0205f27bb64p-6, -0x1.24b407b35dfa1p-6, -0x1.1c971171ddae9p-6, -0x1.14aa4c51f21f9p-6, -0x1.0cece2f8d98a2p-6, -0x1.055e019dca9b3p-6, -0x1.fbf9ac335f46cp-7, -0x1.ed911fec2a0afp-7, -0x1.df80c0f694545p-7, -0x1.d1c6f57b6182ep-7, -0x1.c462275488556p-7, -0x1.b750c424c725p-7, -0x1.aa913d6dae0f3p-7, -0x1.9e2208a458c3dp-7, -0x1.92019f44a54b6p-7, -0x1.862e7ee32e24bp-7, -0x1.7aa7293decfc6p-7, -0x1.6f6a244b77ebp-7, -0x1.6475fa4934b5p-7, -0x1.59c939c83a453p-7, -0x1.4f6275b9130d3p-7, -0x1.4540457661fa6p-7, -0x1.3b6144ce73dbap-7, -0x1.31c4140bb86ccp-7, -0x1.286757fc350cdp-7, -0x1.1f49b9f812557p-7, -0x1.1669e7e71edb4p-7, -0x1.0dc6944574f98p-7, -0x1.055e762749018p-7, -0x1.fa60927751d49p-8, -0x1.ea759b9d6669cp-8, -0x1.daf991958ef52p-8, -0x1.cbea077226e34p-8, -0x1.bd449982afa2cp-8, -0x1.af06ed52019d5p-8, -0x1.a12eb1a319b0ap-8, -0x1.93b99e6c863e4p-8, -0x1.86a574d2b010bp-8, -0x1.79efff20e4e6ap-8, -0x1.6d9710c14ac56p-8, -0x1.61988633a0346p-8, -0x1.55f245031321p-8, -0x1.4aa23bbaf8ef8p-8, -0x1.3fa661da8bc1p-8, -0x1.34fcb7c7f0c3bp-8, -0x1.2aa346c21f206p-8, -0x1.209820d233f9ep-8, -0x1.16d960bbd773dp-8, -0x1.0d6529ecdf811p-8, -0x1.0439a86c48f85p-8, -0x1.f6aa21915af9dp-9, -0x1.e56b400b95ff5p-9, -0x1.d4b3371354d68p-9, -0x1.c47ea21254323p-9, -0x1.b4ca2ce8397fep-9, -0x1.a59293c1690bcp-9, -0x1.96d4a2ed4a568p-9, -0x1.888d36b38fa76p-9, -0x1.7ab93b289fd18p-9, -0x1.6d55ac01c3bc1p-9, -0x1.605f9467c4c92p-9, -0x1.53d40ec9b9f66p-9, -0x1.47b044aeeb5d7p-9, -0x1.3bf16e88463dfp-9, -0x1.3094d3813907fp-9, -0x1.2597c95046c8p-9, -0x1.1af7b40731dd9p-9, -0x1.10b205e2d630fp-9, -0x1.06c43f1ad6fp-9, -0x1.fa57db6173da8p-10, -0x1.e7cd5a7e77b4fp-10, -0x1.d5e44d9267d7bp-10, -0x1.c4982110cc10bp-10, -0x1.b3e45b788a6c1p-10, -0x1.a3c49cf15b2acp-10, -0x1.94349ee93716ep-10, -0x1.853033b1a892cp-10, -0x1.76b3461d6275fp-10, -0x1.68b9d91dc065cp-10, -0x1.5b400760ba055p-10, -0x1.4e4202eedaa63p-10, -0x1.41bc14c9e9bdfp-10, -0x1.35aa9c8b3b88ep-10, -0x1.2a0a10033e0e1p-10, -0x1.1ed6fad8fe417p-10, -0x1.140dfe2a5608bp-10, -0x1.09abd02c594d1p-10, -0x1.ff5a77993a462p-11, -0x1.ec1e40a60a88bp-11, -0x1.d99ce209147f5p-11, -0x1.c7d0698bc85fcp-11, -0x1.b6b30b7f62a8p-11, -0x1.a63f2205aed9ap-11, -0x1.966f2c5c3b4e7p-11, -0x1.873dce282ae71p-11, -0x1.78a5cec4b37f9p-11, -0x1.6aa21891e5cc5p-11, -0x1.5d2db8465600fp-11, -0x1.5043dc42c1259p-11, -0x1.43dfd3e62aabap-11, -0x1.37fd0ee4a8ceap-11, -0x1.2c971ca0ac30ap-11, -0x1.21a9ab847edbep-11, -0x1.1730885f3ab37p-11, -0x1.0d279dc3aa8e8p-11, -0x1.038af36777aa2p-11, -0x1.f4ad5b0c330b9p-12, -0x1.e30e188a2ff17p-12, -0x1.d230d6353e9b1p-12, -0x1.c20e806b06d18p-12, -0x1.b2a037d038966p-12, -0x1.a3df5028f0cddp-12, -0x1.95c54f3591c53p-12, -0x1.884beb95d2656p-12, -0x1.7b6d0baca09d1p-12, -0x1.6f22c489fc50ep-12, -0x1.636758d941a6fp-12, -0x1.583537d2ebe17p-12, -0x1.4d86fc33964c6p-12, -0x1.43576b358a30cp-12, -0x1.39a1739020d24p-12, -0x1.30602c790bd13p-12, -0x1.278ed4acdc94p-12, -0x1.1f28d1799bf74p-12, -0x1.1729adcdc5a2cp-12, -0x1.0f8d194b0ecc8p-12, -0x1.084ee75e97a3dp-12, -0x1.016b0e5be2811p-12, -0x1.f5bb4d3888b1ep-13, -0x1.e945d346e12b1p-13, -0x1.dd6e628a942f7p-13, -0x1.d22deda4b7de3p-13, -0x1.c77da48c42facp-13, -0x1.bd56f2f7b5ae6p-13, -0x1.b3b37ec9e3077p-13, -0x1.aa8d2686ab656p-13, -0x1.a1ddffd28c355p-13, -0x1.99a055f5a8b1fp-13, -0x1.91cea8689f246p-13, -0x1.8a63a96c577dcp-13, -0x1.835a3c9f6c8c2p-13, -0x1.7cad75a3f7d7bp-13, -0x1.765896c79df4bp-13, -0x1.70570fb51c952p-13, -0x1.6aa47c2bcd84ep-13, -0x1.653ca2be5f39ep-13, -0x1.601b7397de2e4p-13, -0x1.5b3d07474ef95p-13, -0x1.569d9d927b481p-13, -0x1.52399c50577cbp-13, -0x1.4e0d8e4819de4p-13, -0x1.4a16221728c7ap-13, -0x1.4650291cde3b7p-13, -0x1.42b8966e88f49p-13, -0x1.3f4c7dcf433f5p-13, -0x1.3c0912add1a84p-13, -0x1.38eba72d711bp-13, -0x1.35f1ab2b4703bp-13, -0x1.3318ab51a2914p-13, -0x1.305e502c90a31p-13, -0x1.2dc05d466f0d5p-13, -0x1.2b3cb048c8f02p-13, -0x1.28d14022ac94ap-13, -0x1.267c1c349b3c2p-13, -0x1.243b6b80b0e54p-13, -0x1.220d6be1696c8p-13, -0x1.1ff0714412ecbp-13, -0x1.1de2e4ebe196dp-13, -0x1.1be344b2f7523p-13, -0x1.19f02256452e2p-13, -0x1.180822c3142aap-13, -0x1.1629fd6b1dd86p-13, -0x1.14547b9b31183p-13, -0x1.128677d823243p-13, -0x1.10bedd3ee409fp-13, -0x1.0efca6e93f4dp-13, -0x1.0d3edf557c6c7p-13, -0x1.0b849fd478bbbp-13, -0x1.09cd0ffba4872p-13, -0x1.08176518b42afp-13, -0x1.0662e1aa3c5fap-13, -0x1.04aed4dd04967p-13, -0x1.02fa9a0c08954p-13, -0x1.01459844450d6p-13, -0x1.ff1e839917088p-14, -0x1.fbae2761c453bp-14, -0x1.f8392aa20e402p-14, -0x1.f4beafe208f5ep-14, -0x1.f13dec9d0a412p-14, -0x1.edb62874722ep-14, -0x1.ea26bc64a3e42p-14, -0x1.e68f1202a6479p-14, -0x1.e2eea2be2518ap-14, -0x1.df44f72b5015cp-14, -0x1.db91a64f37d3fp-14, -0x1.d7d454f59a517p-14, -0x1.d40cb50814386p-14, -0x1.d03a84f0e9199p-14, -0x1.cc5d8efbbbd57p-14, -0x1.c875a8be697bcp-14, -0x1.c482b28799228p-14, -0x1.c08496d22321cp-14, -0x1.bc7b49bb741ep-14, -0x1.b866c880e3e6p-14, -0x1.b44718ff5b2f2p-14, -0x1.b01c49394034ap-14, -0x1.abe66ede49ba6p-14, -0x1.a7a5a6d8c2927p-14, -0x1.a35a14df7a8e2p-14, -0x1.9f03e30c0478ep-14, -0x1.9aa34173624acp-14, -0x1.963865c1ec65bp-14, -0x1.91c38adcd7179p-14, -0x1.8d44f085edc32p-14, -0x1.88bcdb032ecf5p-14, -0x1.842b92c972b5ap-14, -0x1.7f91642b11056p-14, -0x1.7aee9f0a5a1bcp-14, -0x1.7643968bf37dfp-14, -0x1.7190a0cf13251p-14, -0x1.6cd616a755e02p-14, -0x1.6814535a6025ep-14, -0x1.634bb460c03f2p-14, -0x1.5e7c992792ff5p-14, -0x1.59a762d5d5617p-14, -0x1.54cc741483a86p-14, -0x1.4fec30d857e8dp-14, -0x1.4b06fe2e2b92cp-14, -0x1.461d420a7c3eap-14, -0x1.412f6319d9c33p-14, -0x1.3c3dc896244cfp-14, -0x1.3748da1959b83p-14, -0x1.3250ff7637c5ap-14, -0x1.2d56a090e6981p-14, -0x1.285a253ae42ebp-14, -0x1.235bf5105c7bep-14, -0x1.1e5c7756bcea8p-14, -0x1.195c12dd8c21dp-14, -0x1.145b2de08c87ap-14, -0x1.0f5a2dec6632cp-14, -0x1.0a5977c2d09a2p-14, -0x1.05596f4257dd1p-14, -0x1.005a774e9c2edp-14, -0x1.f6b9e377220ffp-15, -0x1.ecc27e6e82a49p-15, -0x1.e2cf7e6d57b48p-15, -0x1.d8e19fc6a8279p-15, -0x1.cef99c16529dfp-15, -0x1.c5182a20987a1p-15, -0x1.bb3dfdb4fdb8p-15, -0x1.b16bc792c3db1p-15, -0x1.a7a235517ebcdp-15, -0x1.9de1f149f27f5p-15, -0x1.942ba27fcce9ep-15, -0x1.8a7fec8edd01ep-15, -0x1.80df6f99d1e93p-15, -0x1.774ac83b82419p-15, -0x1.6dc28f78ced8dp-15, -0x1.64475ab453f07p-15, -0x1.5ad9bba200f1cp-15, -0x1.517a4041349f6p-15, -0x1.482972d1f7ccap-15, -0x1.3ee7d9cf54a5cp-15, -0x1.35b5f7eaa691ap-15, -0x1.2c944c05c528dp-15, -0x1.23835133aefcap-15, -0x1.1a837eb41f01bp-15, -0x1.119547f4106d5p-15, -0x1.08b91c8cb07e7p-15, -0x1.ffded08b6135dp-16, -0x1.ee71262ea5c77p-16, -0x1.dd2a025ce2b43p-16, -0x1.cc0a25dd7e1b6p-16, -0x1.bb1249f2d3942p-16, -0x1.aa4320638c7d2p-16, -0x1.999d53876484ep-16, -0x1.892186563ae81p-16, -0x1.78d054725e4f5p-16, -0x1.68aa523e12555p-16, -0x1.58b00cec4aa13p-16, -0x1.48e20a92215acp-16, -0x1.3940ca3ad3f97p-16, -0x1.29ccc3fb9d7d8p-16, -0x1.1a866909150c9p-16, -0x1.0b6e23cc3ebc3p-16, -0x1.f908aff7f11p-17, -0x1.db92c562fa504p-17, -0x1.be7b3507f7befp-17, -0x1.a1c29f3d9e897p-17, -0x1.856997b93c573p-17, -0x1.6970a5c23f975p-17, -0x1.4dd84462fc58fp-17, -0x1.32a0e29f6a574p-17, -0x1.17cae3aec14a8p-17, -0x1.faad3e5b5f197p-18, -0x1.c688c2b60c3a6p-18, -0x1.9328d69aaf7c1p-18, -0x1.608de6507c49p-18, -0x1.2eb848affdaa1p-18, -0x1.fb507f29a0d9ep-19, -0x1.9abbf098e86fp-19, -0x1.3bb3181ac101dp-19, -0x1.bc6c01ad81415p-20, -0x1.04891f0680f86p-20, -0x1.3ef41b651c556p-22, 0x1.87e445e044fbp-22, 0x1.109a3c0306d4ep-20, 0x1.bc27d060dbbedp-20, 0x1.3251b4fe9cb81p-19, 0x1.8507732f0d33ep-19, 0x1.d636319b69a49p-19, 0x1.12ef8f2bf7ecdp-18, 0x1.3a01c2eefe0d8p-18, 0x1.605269164f83ep-18, 0x1.85e244ecccde6p-18, 0x1.aab227a9386ffp-18, 0x1.cec2eff4409f6p-18, 0x1.f215897f18107p-18, 0x1.0a55765229161p-17, 0x1.1b420ef6d7284p-17, 0x1.2bd116d726be3p-17, 0x1.3c031bd601947p-17, 0x1.4bd8b1523e86dp-17, 0x1.5b526ff56743dp-17, 0x1.6a70f58a3cbd7p-17, 0x1.7934e4c44e197p-17, 0x1.879ee50e2cb1bp-17, 0x1.95afa25d933c7p-17, 0x1.a367cd03faf99p-17, 0x1.b0c8197b9dbebp-17, 0x1.bdd1403f22fe7p-17, 0x1.ca83fd9ac231ap-17, 0x1.d6e11179cf3cdp-17, 0x1.e2e93f44f7d9ep-17, 0x1.ee9d4db26e203p-17, 0x1.f9fe0698778a7p-17, 0x1.02861b6408bd5p-16, 0x1.07e456f338983p-16, 0x1.0d1a1f1e8ae8dp-16, 0x1.1227de4bccdedp-16, 0x1.170e000f870c1p-16, 0x1.1bccf118e0e0cp-16, 0x1.20651f1e6722bp-16, 0x1.24d6f8ccc7ea4p-16, 0x1.2922edb6604eep-16, 0x1.2d496e3db9c2fp-16, 0x1.314aeb898e961p-16, 0x1.3527d7723d5c7p-16, 0x1.38e0a46e86c09p-16, 0x1.3c75c587c0dc1p-16, 0x1.3fe7ae4990d89p-16, 0x1.4336d2b0e7c6bp-16, 0x1.4663a71e429aap-16, 0x1.496ea04870e8p-16, 0x1.4c58332d35d14p-16, 0x1.4f20d50127d98p-16, 0x1.51c8fb27b60fbp-16, 0x1.54511b225ffb4p-16, 0x1.56b9aa850e6d6p-16, 0x1.59031ee97ff83p-16, 0x1.5b2dede3b5ec9p-16, 0x1.5d3a8cf5c2191p-16, 0x1.5f297183c1351p-16, 0x1.60fb10cbef2ddp-16, 0x1.62afdfd8b84c3p-16, 0x1.644853766f807p-16, 0x1.65c4e02b9dc53p-16, 0x1.6725fa2df5dc9p-16, 0x1.686c1557ba9fcp-16, 0x1.6997a521225d6p-16, 0x1.6aa91c95c9688p-16, 0x1.6ba0ee4cb4622p-16, 0x1.6c7f8c5e8d43bp-16, 0x1.6d4568600a257p-16, 0x1.6df2f35a311a1p-16, 0x1.6e889dc045f5fp-16, 0x1.6f06d76c4ccbdp-16, 0x1.6f6e0f949b78p-16, 0x1.6fbeb4c7a9698p-16, 0x1.6ff934e46b442p-16, 0x1.701dfd1522dbap-16, 0x1.702d79ca3ab57p-16, 0x1.702816b1cba8bp-16, 0x1.700e3eb59dfadp-16, 0x1.6fe05bf3c74dap-16, 0x1.6f9ed7ba43a4p-16, 0x1.6f4a1a83082ep-16, 0x1.6ee28befdf511p-16, 0x1.6e6892c3fdbe7p-16, 0x1.6ddc94e2876d2p-16, 0x1.6d3ef7483d304p-16, 0x1.6c901e0b22a45p-16, 0x1.6bd06c542bc5ap-16, 0x1.6b00445d99901p-16, 0x1.6a20076fe15cfp-16, 0x1.693015dd31badp-16, 0x1.6830cf00fcf96p-16, 0x1.6722913c5e1aap-16, 0x1.6605b9f3cc1cep-16, 0x1.64daa58dcf3c5p-16, 0x1.63a1af701a091p-16, 0x1.625b31fed76b9p-16, 0x1.610786992c68cp-16, 0x1.5fa70598fae22p-16, 0x1.5e3a06517440dp-16, 0x1.5cc0df0f1b9fp-16, 0x1.5b3be513f3f57p-16, 0x1.59ab6c9880a24p-16, 0x1.580fc8ca9bcf6p-16, 0x1.56694bccc811ep-16, 0x1.54b846b63574fp-16, 0x1.52fd09912eacbp-16, 0x1.5137e35c26951p-16, 0x1.4f6922086b49ap-16, 0x1.4d91127a1875p-16, 0x1.4bb0008935624p-16, 0x1.49c637011b814p-16, 0x1.47d3ffa07a014p-16, 0x1.45d9a31a9dad6p-16, 0x1.43d7691804a49p-16, 0x1.41cd9835edf08p-16, 0x1.3fbc7606bdaebp-16, 0x1.3da44712f7d34p-16, 0x1.3b854edbfc8fp-16, 0x1.395fcfdad04d4p-16, 0x1.37340b814a581p-16, 0x1.3502423b7c698p-16, 0x1.32cab37152716p-16, 0x1.308d9d8746bap-16, 0x1.2e4b3ddf5d639p-16, 0x1.2c03d0db1aa1bp-16, }}, 
      {{0x1.7321cdf252d72p-2, 0x1.733c2dad464bcp-2, 0x1.7368b66fdfce1p-2, 0x1.73a82cc078ff4p-2, 0x1.73fb7b91eb40ep-2, 0x1.74639a54ecc5bp-2, 0x1.74e175a4a7a56p-2, 0x1.7575dbd9978c4p-2, 0x1.76216df2d63afp-2, 0x1.76e494c2554c6p-2, 0x1.77bf79fe77b1bp-2, 0x1.78b204b6c795p-2, 0x1.79bbd89c8f716p-2, 0x1.7adc5791c0512p-2, 0x1.7c12a4fa567fep-2, 0x1.7d5daa5ac9e3dp-2, 0x1.7ebc1cddecdc8p-2, 0x1.802c836cbddbbp-2, 0x1.81ad3d11ea584p-2, 0x1.833c87709b007p-2, 0x1.84d88522766bbp-2, 0x1.867f43db5a8bfp-2, 0x1.882ec23a58b02p-2, 0x1.89e4f536f7bf7p-2, 0x1.8b9fcd1fe743ap-2, 0x1.8d5d3a2547174p-2, 0x1.8f1b306c79aa4p-2, 0x1.90d7abae903a3p-2, 0x1.9290b26496602p-2, 0x1.94445886add63p-2, 0x1.95f0c1e40cb92p-2, 0x1.9794241ab7558p-2, 0x1.992cc836292a8p-2, 0x1.9ab90bfc5f3e2p-2, 0x1.9c3762f09a2c7p-2, 0x1.9da657131626fp-2, 0x1.9f048964a0091p-2, 0x1.a050b234a611p-2, 0x1.a189a13fed61fp-2, 0x1.a2ae3da5bd0c2p-2, 0x1.a3bd85b8cd9a2p-2, 0x1.a4b68eb0ee03ep-2, 0x1.a5988441dbae1p-2, 0x1.a662a81b618dfp-2, 0x1.a7145156738bap-2, 0x1.a7acebd29ae9cp-2, 0x1.a82bf786b2b8dp-2, 0x1.a89107c7a18cp-2, 0x1.a8dbc2876bd9ap-2, 0x1.a90bdf8ec3779p-2, 0x1.a92127b2e9777p-2, 0x1.a91b740985872p-2, 0x1.a8faad1be3617p-2, 0x1.a8beca1ace23fp-2, 0x1.a867d01420ce3p-2, 0x1.a7f5d12af2d1ap-2, 0x1.a768ebd328ce1p-2, 0x1.a6c14a11117c6p-2, 0x1.a5ff20bd9db63p-2, 0x1.a522aecf9e0b7p-2, 0x1.a42c3caa69b8fp-2, 0x1.a31c1b72324cdp-2, 0x1.a1f2a466399fp-2, 0x1.a0b0384113765p-2, 0x1.9f553e9f08d6dp-2, 0x1.9de2256aac5eep-2, 0x1.9c57604f9c2dap-2, 0x1.9ab5683371c3bp-2, 0x1.98fcbab4ceb6fp-2, 0x1.972dd9b06bd68p-2, 0x1.95494acc1763cp-2, 0x1.934f97077fa39p-2, 0x1.91414a52a3f32p-2, 0x1.8f1ef329c932ap-2, 0x1.8ce92236c6dbbp-2, 0x1.8aa069f782fcp-2, 0x1.88455e696c425p-2, 0x1.85d894b9cb6a1p-2, 0x1.835aa2fab9e25p-2, 0x1.80cc1fdc8d4f4p-2, 0x1.7e2da26b8fe07p-2, 0x1.7b7fc1d1d276ep-2, 0x1.78c3151ceed46p-2, 0x1.75f833078970fp-2, 0x1.731fb1c66b63ap-2, 0x1.703a26d90780cp-2, 0x1.6d4826dd42383p-2, 0x1.6a4a456651199p-2, 0x1.674114d692c48p-2, 0x1.642d263c2e03p-2, 0x1.610f09305e1b1p-2, 0x1.5de74bb944518p-2, 0x1.5ab67a2e1e132p-2, 0x1.577d1f1dc16a8p-2, 0x1.543bc3373a613p-2, 0x1.50f2ed3478955p-2, 0x1.4da321c6e1e9fp-2, 0x1.4a4ce385bc3f7p-2, 0x1.46f0b2de4b043p-2, 0x1.438f0e0590c95p-2, 0x1.402870eb95a03p-2, 0x1.3cbd5530234e6p-2, 0x1.394e3218ddd3dp-2, 0x1.35db7c88a63dp-2, 0x1.3265a6f83698bp-2, 0x1.2eed216fe0332p-2, 0x1.2b72598260a77p-2, 0x1.27f5ba48bd107p-2, 0x1.2477ac5f0fff7p-2, 0x1.20f895e23f39ap-2, 0x1.1d78da6e8d5ccp-2, 0x1.19f8db1ef4f19p-2, 0x1.1678f68d47a63p-2, 0x1.12f988d2fe54dp-2, 0x1.0f7aeb8ab815ap-2, 0x1.0bfd75d25420bp-2, 0x1.08817c4da59d6p-2, 0x1.05075129b11bdp-2, 0x1.018f44206fc05p-2, 0x1.fc3344fa17a5ap-3, 0x1.f54d6e4128fabp-3, 0x1.ee6d950e2e467p-3, 0x1.e794459a48104p-3, 0x1.e0c2076b5a404p-3, 0x1.d9f75d607a8c4p-3, 0x1.d334c5befd39ap-3, 0x1.cc7aba4023b7ep-3, 0x1.c5c9b01f47419p-3, 0x1.bf22182892ddfp-3, 0x1.b8845ec82eda5p-3, 0x1.b1f0ec19d16bbp-3, 0x1.ab6823f8c28a4p-3, 0x1.a4ea6610327cbp-3, 0x1.9e780debdeab6p-3, 0x1.981173090ca88p-3, 0x1.91b6e8e7c1075p-3, 0x1.8b68bf1c33c6ap-3, 0x1.8527416077bf8p-3, 0x1.7ef2b7a6589d4p-3, 0x1.78cb66295419cp-3, 0x1.72b18d80c0163p-3, 0x1.6ca56ab20954dp-3, 0x1.66a73743074eep-3, 0x1.60b7294c5fep-3, 0x1.5ad5738bff2c6p-3, 0x1.550245778dc51p-3, 0x1.4f3dcb4eef97ap-3, 0x1.49882e2ebe782p-3, 0x1.43e19422bf64p-3, 0x1.3e4a20384fda7p-3, 0x1.38c1f290c35f1p-3, 0x1.33492873b046cp-3, 0x1.2ddfdc612a0b7p-3, 0x1.28862623ddb7bp-3, 0x1.233c1ae31d9c1p-3, 0x1.1e01cd34c48dep-3, 0x1.18d74d2efb3e8p-3, 0x1.13bca879dfa9ap-3, 0x1.0eb1ea61016a7p-3, 0x1.09b71be4b2f6dp-3, 0x1.04cc43cb36c9cp-3, 0x1.ffe2cd637313dp-4, 0x1.f64d0e3a4e7cap-4, 0x1.ecd74b1580999p-4, 0x1.e38181011692fp-4, 0x1.da4ba93b15ebep-4, 0x1.d135b9537ef34p-4, 0x1.c83fa34be221dp-4, 0x1.bf6955b68a289p-4, 0x1.b6b2bbd52ada7p-4, 0x1.ae1bbdb721407p-4, 0x1.a5a440573dd01p-4, 0x1.9d4c25b908eecp-4, 0x1.95134d05a4696p-4, 0x1.8cf992a81790ap-4, 0x1.84fed06931407p-4, 0x1.7d22dd8ae244fp-4, 0x1.75658ee31ad7cp-4, 0x1.6dc6b6f627dd9p-4, 0x1.6646261090129p-4, 0x1.5ee3aa606f341p-4, 0x1.579f100e500a9p-4, 0x1.507821558417cp-4, 0x1.496ea69bf9ca3p-4, 0x1.4282668990823p-4, 0x1.3bb3261eea953p-4, 0x1.3500a8cbbd228p-4, 0x1.2e6ab0849f4edp-4, 0x1.27f0fdd859131p-4, 0x1.21935004afb05p-4, 0x1.1b51650ab4b41p-4, 0x1.152af9c293bp-4, 0x1.0f1fc9eee336ap-4, 0x1.092f904f775b4p-4, 0x1.035a06b3b8857p-4, 0x1.fb3dcc18fbc93p-5, 0x1.effbccfadd59dp-5, 0x1.e4ed7edbd27c2p-5, 0x1.da124f32e49ddp-5, 0x1.cf69aa3f5a5a4p-5, 0x1.c4f2fb27bc96fp-5, 0x1.baadac17f639ep-5, 0x1.b099265e8a998p-5, 0x1.a6b4d288ec271p-5, 0x1.9d00187ef353ap-5, 0x1.937a5f9d7770bp-5, 0x1.8a230ed00f89cp-5, 0x1.80f98ca9fcf7p-5, 0x1.77fd3f7e427b9p-5, 0x1.6f2d8d76eb729p-5, 0x1.6689dcab89bb8p-5, 0x1.5e119336e6e05p-5, 0x1.55c4174bf2aa1p-5, 0x1.4da0cf49edbbp-5, 0x1.45a721cfd6de5p-5, 0x1.3dd675cf1ccf8p-5, 0x1.362e329d98b1ep-5, 0x1.2eadc006d463ap-5, 0x1.2754865ca24ccp-5, 0x1.2021ee8704e88p-5, 0x1.191562136f2ep-5, 0x1.122e4b435dd8fp-5, 0x1.0b6c151a514ffp-5, 0x1.04ce2b6b25b13p-5, 0x1.fca7f5c9a23c8p-6, 0x1.eff9e23d1410ap-6, 0x1.e390f946b2b8ap-6, 0x1.d76c19fa3d13ep-6, 0x1.cb8a257dfed4ep-6, 0x1.bfe9ff1eaec1cp-6, 0x1.b48a8c622ff6ep-6, 0x1.a96ab5195ac24p-6, 0x1.9e896370bce8fp-6, 0x1.93e5840063a27p-6, 0x1.897e05dab7babp-6, 0x1.7f51da9a690b6p-6, 0x1.755ff66f7325dp-6, 0x1.6ba7502b4e2dbp-6, 0x1.6226e14c38e4p-6, 0x1.58dda607bad9fp-6, 0x1.4fca9d5459292p-6, 0x1.46ecc8f27c49bp-6, 0x1.3e432d74a494p-6, 0x1.35ccd246da6e7p-6, 0x1.2d88c1b566d14p-6, 0x1.257608f2eb5ap-6, 0x1.1d93b81dc14ccp-6, 0x1.15e0e244bf2ep-6, 0x1.0e5c9d6b5bcf9p-6, 0x1.0706028d3b7a5p-6, 0x1.ffb85b424e6bap-7, 0x1.f1bc7b36e3634p-7, 0x1.e416a8dfbc71cp-7, 0x1.d6c52e25ed60cp-7, 0x1.c9c65af5ce46dp-7, 0x1.bd18853fbf27ap-7, 0x1.b0ba08f7fc531p-7, 0x1.a4a948158a8cbp-7, 0x1.98e4aa9052e8cp-7, 0x1.8d6a9e5e5c12bp-7, 0x1.8239977055102p-7, 0x1.77500fad403dcp-7, 0x1.6cac86ed76d25p-7, 0x1.624d82f4fb0d1p-7, 0x1.58318f6d20198p-7, 0x1.4e573ddd89106p-7, 0x1.44bd25a48eb59p-7, 0x1.3b61e3ef28cc5p-7, 0x1.32441bb025cf5p-7, 0x1.29627596fa172p-7, 0x1.20bba00606e8fp-7, 0x1.184e4f086a752p-7, 0x1.10193c4759e53p-7, 0x1.081b26ff1855ep-7, 0x1.0052d3f3826f1p-7, 0x1.f17e1ac872e09p-8, 0x1.e2bd4600edad2p-8, 0x1.d460d3b523ce8p-8, 0x1.c66678b64eb5ep-8, 0x1.b8cbf46801b73p-8, 0x1.ab8f10a5677f3p-8, 0x1.9eada1a61403fp-8, 0x1.922585e242ae9p-8, 0x1.85f4a5f6a7df8p-8, 0x1.7a18f487fcebbp-8, 0x1.6e906e260c5p-8, 0x1.6359192e83e94p-8, 0x1.587105af6b687p-8, 0x1.4dd64d4958a26p-8, 0x1.438713116abbp-8, 0x1.3981837312a6fp-8, 0x1.2fc3d411a949fp-8, 0x1.264c43a9d6947p-8, 0x1.1d1919f2e9b5ep-8, 0x1.1428a77ffcf3dp-8, 0x1.0b7945a113989p-8, 0x1.030956443c1a4p-8, 0x1.f5ae87acf35dp-9, 0x1.e5c3024996477p-9, 0x1.d64d127a462ffp-9, 0x1.c749be9ef3998p-9, 0x1.b8b61d1dafe26p-9, 0x1.aa8f5424db9e7p-9, 0x1.9cd2996d80497p-9, 0x1.8f7d31fdecf7bp-9, 0x1.828c71ec6fbc3p-9, 0x1.75fdbc2266e1p-9, 0x1.69ce821f78f76p-9, 0x1.5dfc43bd2aeb3p-9, 0x1.52848ef2b6d3bp-9, 0x1.4764ff994eda3p-9, 0x1.3c9b3f30c2151p-9, 0x1.322504a479c47p-9, 0x1.28001410cd414p-9, 0x1.1e2a3e88df478p-9, 0x1.14a161dcd9d4ep-9, 0x1.0b636860b6c36p-9, 0x1.026e48b38afefp-9, 0x1.f3800b0e4116ep-10, 0x1.e2ad5ad06d389p-10, 0x1.d260b50e94f03p-10, 0x1.c29665038ec38p-10, 0x1.b34acc5822fb7p-10, 0x1.a47a62b786c4cp-10, 0x1.9621b56565e0fp-10, 0x1.883d66d4e52b4p-10, 0x1.7aca2e40eb9f9p-10, 0x1.6dc4d745991f9p-10, 0x1.612a417b0a7cp-10, 0x1.54f7601131562p-10, 0x1.4929396cc21a7p-10, 0x1.3dbce6c5aaeb8p-10, 0x1.32af93c6a9a7ep-10, 0x1.27fe7e2e010a3p-10, 0x1.1da6f56fe062cp-10, 0x1.13a65a5987575p-10, 0x1.09fa1eb5d8ae1p-10, 0x1.009fc4f36d7a6p-10, 0x1.ef29bf9737a3bp-11, 0x1.ddae23d6089c2p-11, 0x1.ccc81b36aa21cp-11, 0x1.bc7328dcac386p-11, 0x1.acaaedd432511p-11, 0x1.9d6b286d0d05bp-11, 0x1.8eafb398858f3p-11, 0x1.807486498d0b8p-11, 0x1.72b5b2d770016p-11, 0x1.656f666381dfap-11, 0x1.589de8402d2b7p-11, 0x1.4c3d995baf5c3p-11, 0x1.404af3acb04b7p-11, 0x1.34c289a166e47p-11, 0x1.29a10591764ebp-11, 0x1.1ee32931f5b72p-11, 0x1.1485cd0c1434dp-11, 0x1.0a85dff5c5f8cp-11, 0x1.00e0668d3ca8ep-11, 0x1.ef24f56cf93c5p-12, 0x1.dd32963711381p-12, 0x1.cbe4355d53084p-12, 0x1.bb34805e932e3p-12, 0x1.ab1e4b61353fcp-12, 0x1.9b9c9045abf55p-12, 0x1.8caa6dbda5d31p-12, 0x1.7e432666f2c7ep-12, 0x1.70621feb619ddp-12, 0x1.6302e22527583p-12, 0x1.562116469eb3bp-12, 0x1.49b88606ede7dp-12, 0x1.3dc51ad2ed6p-12, 0x1.3242dd01a20a4p-12, 0x1.272df30d3002cp-12, 0x1.1c82a0cfffcecp-12, 0x1.123d46c5ca7d7p-12, 0x1.085a61501b311p-12, 0x1.fdad0ffe2427bp-13, 0x1.eb5cd9bbc339ep-13, 0x1.d9bdb785df41bp-13, 0x1.c8c973485ae3fp-13, 0x1.b87a07dc9fc86p-13, 0x1.a8c99fc0ab97fp-13, 0x1.99b293d477adfp-13, 0x1.8b2f6a1e7a703p-13, 0x1.7d3ad497008e2p-13, 0x1.6fcfaffa29015p-13, 0x1.62e902a0fe4fap-13, 0x1.5681fb609df16p-13, 0x1.4a95f070bcebep-13, 0x1.3f205e5720a2bp-13, 0x1.341ce6dae48f1p-13, 0x1.29874ffc1859ap-13, 0x1.1f5b82f32e754p-13, 0x1.15958b34b84d8p-13, 0x1.0c31957caae66p-13, 0x1.032beede07959p-13, 0x1.f50207b15bc8ap-14, 0x1.e45abee9c1385p-14, 0x1.d45b54c737d2fp-14, 0x1.c4fd5449fa783p-14, 0x1.b63a8065dbda6p-14, 0x1.a80cd26449fcep-14, 0x1.9a6e784e63f25p-14, 0x1.8d59d36221452p-14, 0x1.80c9769089cf4p-14, 0x1.74b82506aa077p-14, 0x1.6920d0bcf2938p-14, 0x1.5dfe99139ae63p-14, 0x1.534cc9740c40bp-14, 0x1.4906d7ff2d84bp-14, 0x1.3f2864402b714p-14, 0x1.35ad35eb3cba5p-14, 0x1.2c913ba1e02f7p-14, 0x1.23d089c224fb6p-14, 0x1.1b67593a39cefp-14, 0x1.135206675425p-14, 0x1.0b8d0ff95a8f6p-14, 0x1.041515dfa2553p-14, 0x1.f9cdb0799f736p-15, 0x1.ebfe6cc2e085cp-15, 0x1.deb65b9a13ff2p-15, 0x1.d1efb26ff74c5p-15, 0x1.c5a4df42d9575p-15, 0x1.b9d086cbfb9cap-15, 0x1.ae6d82b669d3ap-15, 0x1.a376dfe3f7ed3p-15, 0x1.98e7dcbe10b02p-15, 0x1.8ebbe793758bp-15, 0x1.84ee9cffc8339p-15, 0x1.7b7bc65f5a582p-15, 0x1.725f584f96f9ep-15, 0x1.6995713793a58p-15, 0x1.611a57dcbeaafp-15, 0x1.58ea7a02afef2p-15, 0x1.51026b129bf0ep-15, 0x1.495ee2cf48afp-15, 0x1.41fcbc11cf13bp-15, 0x1.3ad8f38df6a64p-15, 0x1.33f0a6a3b0eccp-15, 0x1.2d411235bb185p-15, 0x1.26c7918b7d505p-15, 0x1.20819d393985ep-15, 0x1.1a6cca13060bdp-15, 0x1.1486c82577068p-15, 0x1.0ecd61b8fa0cp-15, 0x1.093e7a59af725p-15, 0x1.03d80de8a7745p-15, 0x1.fd305f6b6244dp-16, 0x1.f2fa133b9f6e9p-16, 0x1.e909b6650f39bp-16, 0x1.df5bf1cc5fbdap-16, 0x1.d5ed96803d7bp-16, 0x1.ccbb9c2d00d32p-16, 0x1.c3c31fa0d2de3p-16, 0x1.bb01615612a6fp-16, 0x1.b273c40ceb5a1p-16, 0x1.aa17cb71dc627p-16, 0x1.a1eb1acce6699p-16, 0x1.99eb73bc5799bp-16, 0x1.9216b4fca24dcp-16, 0x1.8a6ad9349f0f2p-16, 0x1.82e5f5d233ee2p-16, 0x1.7b8639ed660c2p-16, 0x1.7449ed3685d16p-16, 0x1.6d2f6eec49b84p-16, 0x1.663534db4e60cp-16, 0x1.5f59ca6902049p-16, 0x1.589bcfa1881fep-16, 0x1.51f9f853a5e56p-16, 0x1.4b730b30a038fp-16, 0x1.4505e0f55aeadp-16, 0x1.3eb1639c09627p-16, 0x1.38748d9313a13p-16, 0x1.324e68fd26e7dp-16, 0x1.2c3e0ef71883p-16, 0x1.2642a6e41c729p-16, 0x1.205b65c3bcdcp-16, 0x1.1a878d893403cp-16, 0x1.14c66c7c99cd6p-16, 0x1.0f175c9f7869bp-16, 0x1.0979c31900565p-16, 0x1.03ed0fa881163p-16, 0x1.fce1783598ddp-17, 0x1.f208978cbeb0ap-17, 0x1.e74e9617f9783p-17, 0x1.dcb29dbb9a0fdp-17, 0x1.d233e892cf234p-17, 0x1.c7d1c0111c719p-17, 0x1.bd8b7c2701c2bp-17, 0x1.b3608272f1a92p-17, 0x1.a950457b42e74p-17, 0x1.9f5a43ef240fcp-17, 0x1.957e07efa7876p-17, 0x1.8bbb265fb09c4p-17, 0x1.82113e3c65149p-17, 0x1.787ff7fc772d1p-17, 0x1.6f0704f59b18ep-17, 0x1.65a61ec88e545p-17, 0x1.5c5d06d766826p-17, 0x1.532b85bad15adp-17, 0x1.4a116ac36deb1p-17, 0x1.410e8b7e7f9cfp-17, 0x1.3822c3410de1fp-17, 0x1.2f4df2b66be96p-17, 0x1.268fff778c6c8p-17, 0x1.1de8d3a44f534p-17, 0x1.15585d837a1ap-17, 0x1.0cde8f24de60ap-17, 0x1.047b5e0a4bf13p-17, 0x1.f85d85ac6c768p-18, 0x1.e7f171f388702p-18, 0x1.d7b27cd877dd4p-18, 0x1.c7a0a6c40a1b9p-18, 0x1.b7bbf414bf4b4p-18, 0x1.a8046c9cf4c0dp-18, 0x1.987a1b2ceb606p-18, 0x1.891d0d1ca0b7fp-18, 0x1.79ed51e407139p-18, 0x1.6aeafab48951ap-18, 0x1.5c161a14bb003p-18, 0x1.4d6ec38d59bfdp-18, 0x1.3ef50b50c7269p-18, 0x1.30a905ec3ca8ap-18, 0x1.228ac7fcc358ep-18, 0x1.149a65ec8858ap-18, 0x1.06d7f3b0f3d6ap-18, 0x1.f287091817fa3p-19, 0x1.d7ba55aa4e24p-19, 0x1.bd49ef8bd25f9p-19, 0x1.a335f69059cd9p-19, 0x1.897e8793556bap-19, 0x1.7023bc27530dbp-19, 0x1.5725aa4e6cde5p-19, 0x1.3e84642e67385p-19, 0x1.263ff7d39f9c4p-19, 0x1.0e586efab2a87p-19, 0x1.ed9b9dbb8d8d7p-20, 0x1.bf403010b9b96p-20, 0x1.919e8c50e4d57p-20, 0x1.64b69fdcda935p-20, 0x1.38884dda9a513p-20, 0x1.0d136ef702abp-20, 0x1.c4afa279e2337p-21, 0x1.70aa6ff89961dp-21, 0x1.1e16b74c0008p-21, 0x1.99e7a6a661c15p-22, 0x1.f5042372a9d9fp-23, 0x1.77ec3482d3571p-24, -0x1.dd79b1088081p-25, -0x1.a4fd66db35695p-23, -0x1.66759245d989dp-22, -0x1.f796264618dc5p-22, -0x1.42f1776a2fcb4p-21, -0x1.88af4b728aa84p-21, -0x1.cd05fa496016fp-21, -0x1.07fb821d1ef51p-20, -0x1.28c1ff4ab9b8ep-20, -0x1.48d749be40f51p-20, -0x1.683c40c3b596fp-20, -0x1.86f1cdb632891p-20, -0x1.a4f8e3d6236f2p-20, -0x1.c252801858761p-20, -0x1.deffa8f55d03p-20, -0x1.fb016e3528844p-20, -0x1.0b2c745e03464p-19, -0x1.18839d2b4fa18p-19, -0x1.2586c6c310a1bp-19, -0x1.32368a9d012c1p-19, -0x1.3e9386497003fp-19, -0x1.4a9e5b55dbb8ep-19, -0x1.5657af32d7bep-19, -0x1.61c02b0ee8453p-19, -0x1.6cd87bb767981p-19, -0x1.77a1517bd038p-19, -0x1.821b600bd9226p-19, -0x1.8c475e57572d7p-19, -0x1.9626066eb601ap-19, -0x1.9fb81565ffee6p-19, -0x1.a8fe4b306a2b8p-19, -0x1.b1f96a870c582p-19, -0x1.baaa38bf1cdd5p-19, -0x1.c3117dac9192dp-19, -0x1.cb300381d0b08p-19, -0x1.d30696b5f3482p-19, -0x1.da9605e163ebbp-19, -0x1.e1df2199990bep-19, -0x1.e8e2bc59293a5p-19, -0x1.efa1aa5bb27edp-19, -0x1.f61cc1829a974p-19, -0x1.fc54d934615ep-19, -0x1.01256521c4115p-18, -0x1.03ffb767687ebp-18, -0x1.06b9d112b5742p-18, -0x1.09542054844f1p-18, -0x1.0bcf13d73f864p-18, -0x1.0e2b1ab172a1fp-18, -0x1.1068a459ec934p-18, -0x1.1288209ae902ep-18, -0x1.1489ff82a1d52p-18, -0x1.166eb156b063ap-18, -0x1.1836a6887fab4p-18, -0x1.19e24fa72a245p-18, -0x1.1b721d5536408p-18, -0x1.1ce6803a69e2ap-18, -0x1.1e3fe8fc11f92p-18, -0x1.1f7ec82f2cb82p-18, -0x1.20a38e4dd1a36p-18, -0x1.21aeababbf1e3p-18, -0x1.22a0906ae0332p-18, -0x1.2379ac72066c7p-18, -0x1.243a6f629ed3ep-18, -0x1.24e34890725eep-18, -0x1.2574a6f6daab3p-18, -0x1.25eef92e7fa3cp-18, -0x1.2652ad6650a82p-18, -0x1.26a03158c1114p-18, -0x1.26d7f24578158p-18, -0x1.26fa5ce6f9ad9p-18, -0x1.2707dd6cd3d9dp-18, -0x1.2700df74f5768p-18, -0x1.26e5ce01405b9p-18, -0x1.26b713726b5a1p-18, -0x1.2675197f90cc3p-18, -0x1.262049300e9cp-18, -0x1.25b90ad5803aep-18, -0x1.253fc60581426p-18, -0x1.24b4e194f24f3p-18, -0x1.2418c3906cb55p-18, -0x1.236bd13703ec4p-18, -0x1.22ae6ef6bb133p-18, -0x1.21e1006574019p-18, -0x1.2103e83e35792p-18, -0x1.2017885a43b81p-18, -0x1.1f1c41b0648bdp-18, -0x1.1e12744e9c78p-18, -0x1.1cfa7f5633d0fp-18, -0x1.1bd4c0f8980c8p-18, -0x1.1aa19673204c7p-18, -0x1.19615c0c6851p-18, -0x1.18146d112e9dap-18, -0x1.16bb23d12e00ap-18, -0x1.1555d99e32ab4p-18, -0x1.13e4e6c6dcc4cp-18, -0x1.1268a295a9b1p-18, -0x1.10e1634fa64aep-18, -0x1.0f4f7e30cac19p-18, -0x1.0db3476bce34ep-18, -0x1.0c0d1226fff3fp-18, -0x1.0a5d307c6a5d5p-18, -0x1.08a3f37895d1p-18, -0x1.06e1ab1779dbap-18, -0x1.0516a6457f2d2p-18, -0x1.034332dd6f8f6p-18, -0x1.01679da7a2ea3p-18, -0x1.ff0864b4c68e6p-19, -0x1.fb327731a13fcp-19, -0x1.f74e05e62293dp-19, -0x1.f35ba1cbc4d74p-19, -0x1.ef5bd9b4c7a0bp-19, -0x1.eb4f3a4c6c58ap-19, -0x1.e7364e18dcc14p-19, -0x1.e3119d79201d5p-19, -0x1.dee1aea858b6dp-19, -0x1.daa705bd859cfp-19, -0x1.d66224ae26d4ap-19, -0x1.d2138b4e8ea04p-19, -0x1.cdbbb7530b874p-19, -0x1.c95b245359bf2p-19, -0x1.c4f24bcb46e1ep-19, -0x1.c081a51c86983p-19, -0x1.bc09a5938687ap-19, -0x1.b78ac0674e0a7p-19, -0x1.b30566bc92358p-19, -0x1.ae7a07aaed80ep-19, -0x1.a9e9103c5bc58p-19, -0x1.a552eb7321246p-19, -0x1.a0b8024bf2da5p-19, -0x1.9c18bbc168147p-19, -0x1.97757cceb77e3p-19, -0x1.92cea87549fe8p-19, -0x1.8e249fbf43d03p-19, -0x1.8977c1c2ab8dap-19, -0x1.84c86ba656552p-19, -0x1.8016f8a5c3435p-19, -0x1.7b63c2151171cp-19, -0x1.76af1f64ea6ddp-19, -0x1.71f966275da6p-19, -0x1.6d42ea158ac9ap-19, -0x1.688bfd0fd765ap-19, -0x1.63d4ef261768bp-19, -0x1.5f1e0e9c415d5p-19, -0x1.5a67a7ec48d74p-19, -0x1.55b205ce13a9cp-19, -0x1.50fd713a172dp-19, -0x1.4c4a316ecf4ffp-19, -0x1.47988bf55b3p-19, -0x1.42e8c4a6c6a08p-19, -0x1.3e3b1db1ccc1p-19, -0x1.398fd79cae617p-19, -0x1.34e7314cb6cfbp-19, -0x1.3041680b52a4dp-19, -0x1.2b9eb789f229ep-19, -0x1.26ff59e84342p-19, -0x1.226387b883a4ep-19, -0x1.1dcb7805b0fc1p-19, -0x1.19376057168a6p-19, -0x1.14a774b4a80c1p-19, -0x1.101be7aef40b9p-19, -0x1.0b94ea62aea6cp-19, -0x1.0712ac7da780fp-19, -0x1.02955c455ab83p-19, -0x1.fc3a4d33fd273p-20, -0x1.f3546dfa9b15dp-20, -0x1.ea796f2d967d6p-20, -0x1.e1a9a27339ec5p-20, -0x1.d8e556d2d5a06p-20, -0x1.d02cd8bb1924dp-20, -0x1.c780721061001p-20, -0x1.bee06a36efd5fp-20, -0x1.b64d061c1087p-20, -0x1.adc68840e8a99p-20, -0x1.a54d30c3fca8bp-20, -0x1.9ce13d6ba1647p-20, -0x1.9482e9af5c93fp-20, -0x1.8c326ebd430d7p-20, -0x1.83f0038b6c586p-20, -0x1.7bbbdcddaae3bp-20, -0x1.73962d5143ec1p-20, -0x1.6b7f2564989b1p-20, -0x1.6376f381f2bb4p-20, -0x1.5b7dc407b5e2dp-20, -0x1.5393c1554691ep-20, -0x1.4bb913ce3decep-20, -0x1.43ede1ebf584ap-20, -0x1.3c32503d7cf63p-20, -0x1.3486817524c09p-20, -0x1.2cea967212883p-20, -0x1.255eae4b06e0bp-20, -0x1.1de2e654aa3d3p-20, -0x1.16775a2ba6f07p-20, -0x1.0f1c23bc8bf16p-20, -0x1.07d15b4dff6a3p-20, -0x1.009717852d4f7p-20, -0x1.f2dadae0013ebp-21, -0x1.e4a8e121925dbp-21, -0x1.d69865c5c87d3p-21, -0x1.c8a989cef045p-21, -0x1.badc6b50b7c89p-21, -0x1.ad312585e1c37p-21, -0x1.9fa7d0de28bf7p-21, -0x1.92408312692bdp-21, }}, 
      {{0x1.0f6788d78592p-11, 0x1.0c7a7a4786c1cp-9, 0x1.28bfa76b033bp-8, 0x1.01812096c5a4ep-7, 0x1.8673cbe5d1f27p-7, 0x1.0f4ee4cd8eaa9p-6, 0x1.628e815f1001bp-6, 0x1.ba802e0f4842cp-6, 0x1.0a5d65a4beb2fp-5, 0x1.377b18445a816p-5, 0x1.638be850b7425p-5, 0x1.8d9d922d531d1p-5, 0x1.b4db491372db6p-5, 0x1.d88ec1c4f55d3p-5, 0x1.f820241fca927p-5, 0x1.098a9481eac33p-4, 0x1.1487cf6c1e058p-4, 0x1.1ce5c2325f296p-4, 0x1.228e701cb7042p-4, 0x1.2576b95d4e4c5p-4, 0x1.259d2d0c4b9bap-4, 0x1.2308dcf2d481bp-4, 0x1.1dc839bbb5434p-4, 0x1.15effc4f73f98p-4, 0x1.0b9a1fae8c39ep-4, 0x1.fdc9daeba5514p-5, 0x1.dfe43c9ffc0adp-5, 0x1.bdcc1dc0db514p-5, 0x1.97ce124a30c97p-5, 0x1.6e3943c1480b3p-5, 0x1.415e529801184p-5, 0x1.118e5c27421d4p-5, 0x1.be3445ee37997p-6, 0x1.54a2adaea2ae2p-6, 0x1.ce07e8bed6d61p-7, 0x1.d7bf0f3ef186cp-8, 0x1.f89a9ab7c9be5p-14, -0x1.d15364675a4dcp-8, -0x1.d8e4717d41337p-7, -0x1.65dfd2e8a0579p-6, -0x1.e024e38a94415p-6, -0x1.2d67dd634537dp-5, -0x1.6abae6f7946bap-5, -0x1.a7d9dafde9faep-5, -0x1.e4968f301a4a7p-5, -0x1.106329ba15975p-4, -0x1.2e20eebbdd3c7p-4, -0x1.4b7298004c6d1p-4, -0x1.6847bf6d0246cp-4, -0x1.84918813fea1ap-4, -0x1.a0428de791e2fp-4, -0x1.bb4ed4c3815d8p-4, -0x1.d5abb70b64415p-4, -0x1.ef4fd414682fdp-4, -0x1.04197f44027e3p-3, -0x1.10271572da10ap-3, -0x1.1bcdaf215cbbcp-3, -0x1.270aceb0dcbc6p-3, -0x1.31dc6e1b2cf79p-3, -0x1.3c40f6f2950f7p-3, -0x1.46373aa60d0f9p-3, -0x1.4fbe6b0e6f9b2p-3, -0x1.58d61347c4cfap-3, -0x1.617e10d8e5207p-3, -0x1.69b68d2a7dcfbp-3, -0x1.717ff74de4162p-3, -0x1.78dafe13571a6p-3, -0x1.7fc88a6ee8298p-3, -0x1.8649ba2aa16edp-3, -0x1.8c5fdae45af22p-3, -0x1.920c65552d371p-3, -0x1.9750f8e070d83p-3, -0x1.9c2f5767dd3bdp-3, -0x1.a0a9616253393p-3, -0x1.a4c11232cb68bp-3, -0x1.a8787cbcc2d1bp-3, -0x1.abd1c833826c7p-3, -0x1.aecf2d21a3352p-3, -0x1.b172f2a61fd57p-3, -0x1.b3bf6be4673a3p-3, -0x1.b5b6f5a4d637ap-3, -0x1.b75bf423161ddp-3, -0x1.b8b0d107f25cdp-3, -0x1.b9b7f98c42c42p-3, -0x1.ba73dcc28c51p-3, -0x1.bae6ea053b966p-3, -0x1.bb138f872c47cp-3, -0x1.bafc39048a4a9p-3, -0x1.baa34e92000cfp-3, -0x1.ba0b33884bb6cp-3, -0x1.b936458a6ba64p-3, -0x1.b826dba4a8a87p-3, -0x1.b6df4582ceea9p-3, -0x1.b561cabc080fcp-3, -0x1.b3b0aa32d606dp-3, -0x1.b1ce1987c7bf3p-3, -0x1.afbc449d86225p-3, -0x1.ad7d4d2d06558p-3, -0x1.ab134a68a1f8bp-3, -0x1.a88048acf1595p-3, -0x1.a5c6493e6dcb2p-3, -0x1.a2e74212c2accp-3, -0x1.9fe51da4f2128p-3, -0x1.9cc1bad35f987p-3, -0x1.997eecc6fa918p-3, -0x1.961e7ae2b63adp-3, -0x1.92a220baa38b5p-3, -0x1.8f0b8e1200391p-3, -0x1.8b5c66df92f2fp-3, -0x1.87964357cab47p-3, -0x1.83baaffc10126p-3, -0x1.7fcb2daecd59ep-3, -0x1.7bc931cbb33eep-3, -0x1.77b62643cde7fp-3, -0x1.739369bd05306p-3, -0x1.6f624fb4a3d9fp-3, -0x1.6b2420a49a085p-3, -0x1.66da1a2b1ce8ep-3, -0x1.62856f3466d4ap-3, -0x1.5e27482647e13p-3, -0x1.59c0c30d5219ep-3, -0x1.5552f3cb620c4p-3, -0x1.50dee4474a7b4p-3, -0x1.4c65949d846f9p-3, -0x1.47e7fb519c658p-3, -0x1.436705804be25p-3, -0x1.3ee397120f103p-3, -0x1.3a5e8aee1411bp-3, -0x1.35d8b32d63834p-3, -0x1.3152d94e34151p-3, -0x1.2ccdbe6737fddp-3, -0x1.284a1b5ae2822p-3, -0x1.23c8a10a85063p-3, -0x1.1f49f8892cc9ep-3, -0x1.1acec34e4231dp-3, -0x1.16579b67c206cp-3, -0x1.11e513ac14319p-3, -0x1.0d77b7eb6ad63p-3, -0x1.09100d20a1e3ap-3, -0x1.04ae91a191e77p-3, -0x1.0053bd4ed29f4p-3, -0x1.f8000385b21c2p-4, -0x1.ef679500f7453p-4, -0x1.e6defa418b21ap-4, -0x1.de66f3003d4abp-4, -0x1.d60033d572ff5p-4, -0x1.cdab6690a3c0dp-4, -0x1.c5692a8e4da1bp-4, -0x1.bd3a150c6a111p-4, -0x1.b51eb17d7840cp-4, -0x1.ad1781d9d6c67p-4, -0x1.a524feefbf275p-4, -0x1.9d4798b18b581p-4, -0x1.957fb6828ee74p-4, -0x1.8dcdb78242e7cp-4, -0x1.8631f2d5f7193p-4, -0x1.7eacb7f0e6b39p-4, -0x1.773e4edac0d88p-4, -0x1.6fe6f874a207ep-4, -0x1.68a6eebc80defp-4, -0x1.617e650f0df79p-4, -0x1.5a6d88680d0d7p-4, -0x1.53747fa1262fap-4, -0x1.4c936baf34721p-4, -0x1.45ca67de14684p-4, -0x1.3f198a0af6483p-4, -0x1.3880e2dd373a1p-4, -0x1.32007dfdc6684p-4, -0x1.2b98624d18cbfp-4, -0x1.25489217b20d8p-4, -0x1.1f110b494466p-4, -0x1.18f1c79e707c7p-4, -0x1.12eabcd523a84p-4, -0x1.0cfbdcdb9fdbfp-4, -0x1.072515fe3007ep-4, -0x1.016653138bf3fp-4, -0x1.f77ef74fe90ecp-5, -0x1.ec60e84e16fb6p-5, -0x1.e1723c08d9609p-5, -0x1.d6b2afc61c77fp-5, -0x1.cc21fb76db557p-5, -0x1.c1bfd2011e1d5p-5, -0x1.b78be187a7b88p-5, -0x1.ad85d3af5ea49p-5, -0x1.a3ad4de27bc6ep-5, -0x1.9a01f1918adf3p-5, -0x1.90835c7248eb6p-5, -0x1.873128bc6837cp-5, -0x1.7e0aed644aa7dp-5, -0x1.75103e53b9992p-5, -0x1.6c40aca0a919ap-5, -0x1.639bc6c20e2fap-5, -0x1.5b2118c2d807ap-5, -0x1.52d02c7312b86p-5, -0x1.4aa8899743173p-5, -0x1.42a9b61601995p-5, -0x1.3ad33623e2536p-5, -0x1.33248c6db3f29p-5, -0x1.2b9d3a41214abp-5, -0x1.243cbfb3bdebfp-5, -0x1.1d029bc887f34p-5, -0x1.15ee4c93ef45ep-5, -0x1.0eff4f5e61829p-5, -0x1.083520c56e5dep-5, -0x1.018f3cdb8b721p-5, -0x1.f61a3e8cfbb02p-6, -0x1.e95c86b8ee84dp-6, -0x1.dce4487fda93bp-6, -0x1.d0b079f46fdebp-6, -0x1.c4c01129f4fefp-6, -0x1.b9120464cb397p-6, -0x1.ada54a48aca1cp-6, -0x1.a278da04c28b3p-6, -0x1.978bab7d922cdp-6, -0x1.8cdcb774e6e08p-6, -0x1.826af7afb23ebp-6, -0x1.7835671a0ae7fp-6, -0x1.6e3b01e94021dp-6, -0x1.647ac5bc2a63cp-6, -0x1.5af3b1b9b3e67p-6, -0x1.51a4c6adb1d6ap-6, -0x1.488d07241cf38p-6, -0x1.3fab7782b370ep-6, -0x1.36ff1e2112e6p-6, -0x1.2e87035f59c2cp-6, -0x1.264231bb5e5f3p-6, -0x1.1e2fb5e47e74dp-6, -0x1.164e9ece23dd2p-6, -0x1.0e9dfdc0fe938p-6, -0x1.071ce66b020f2p-6, -0x1.ff94dddc653c4p-7, -0x1.f14b5fdca74c7p-7, -0x1.e35b893ae523ap-7, -0x1.d5c3958ed7eecp-7, -0x1.c881c5b8d1bdbp-7, -0x1.bb945ff4b92ddp-7, -0x1.aef9afeb38de1p-7, -0x1.a2b006c10c285p-7, -0x1.96b5bb2498fap-7, -0x1.8b092959ea7f7p-7, -0x1.7fa8b344fe8f8p-7, -0x1.7492c0729b528p-7, -0x1.69c5be1fabbbap-7, -0x1.5f401f3f35214p-7, -0x1.55005c7ef56ecp-7, -0x1.4b04f44abad37p-7, -0x1.414c6ace7f7d6p-7, -0x1.37d549f763201p-7, -0x1.2e9e21737f0bbp-7, -0x1.25a586b0ac30cp-7, -0x1.1cea14da4b63fp-7, -0x1.146a6cd60fbep-7, -0x1.0c25353fed6edp-7, -0x1.04191a65143e1p-7, -0x1.f8899c7c5592dp-8, -0x1.e94e10d174577p-8, -0x1.da7d0c3fbc5bfp-8, -0x1.cc14146873bbfp-8, -0x1.be10ba06a45aep-8, -0x1.b07098dc7462dp-8, -0x1.a331579f6dbbbp-8, -0x1.9650a7e38d11fp-8, -0x1.89cc4605589b1p-8, -0x1.7da1f912fe4f2p-8, -0x1.71cf92b484d95p-8, -0x1.6652ef131fdbep-8, -0x1.5b29f4bfba1a4p-8, -0x1.50529498c2351p-8, -0x1.45cac9af5032fp-8, -0x1.3b90992ba227dp-8, -0x1.31a21230fc5bap-8, -0x1.27fd4dc10be72p-8, -0x1.1ea06e9ecb7fbp-8, -0x1.1589a130ee616p-8, -0x1.0cb71b63f04f2p-8, -0x1.04271c8bb272ap-8, -0x1.f7afda89c4f3ep-9, -0x1.e78fbeabfbp-9, -0x1.d7ea9b205b9cp-9, -0x1.c8bd375fb4b8dp-9, -0x1.ba046c7a17a7p-9, -0x1.abbd24d76a3bep-9, -0x1.9de45bf7aec7fp-9, -0x1.90771e331b132p-9, -0x1.8372887a1573ep-9, -0x1.76d3c814f5a99p-9, -0x1.6a981a640a658p-9, -0x1.5ebccc9f63b76p-9, -0x1.533f3b96cd53dp-9, -0x1.481cd371e07f7p-9, -0x1.3d530f701ddbfp-9, -0x1.32df79a96fea3p-9, -0x1.28bfaaceb83edp-9, -0x1.1ef149eac68c4p-9, -0x1.15720c236ea37p-9, -0x1.0c3fb47b11dbap-9, -0x1.035813927d7cp-9, -0x1.f5720ed65ab3p-10, -0x1.e4c0f653e312cp-10, -0x1.d498cdb42459ep-10, -0x1.c4f59e61907e8p-10, -0x1.b5d38aa2b106fp-10, -0x1.a72ecd2341765p-10, -0x1.9903b87e428b1p-10, -0x1.8b4eb6c962a3dp-10, -0x1.7e0c492112676p-10, -0x1.71390736201c9p-10, -0x1.64d19edc81e03p-10, -0x1.58d2d39afec89p-10, -0x1.4d397e3c87412p-10, -0x1.42028c6277963p-10, -0x1.372b001822239p-10, -0x1.2cafef67d851ap-10, -0x1.228e83f12ff33p-10, -0x1.18c3fa8088648p-10, -0x1.0f4da2a80456ap-10, -0x1.0628de59b038cp-10, -0x1.faa6430649b02p-11, -0x1.e993e35558257p-11, -0x1.d915cb1ae70f9p-11, -0x1.c927497ee7ce6p-11, -0x1.b9c3ce9918616p-11, -0x1.aae6eab61e83cp-11, -0x1.9c8c4d9f2210ep-11, -0x1.8eafc5e511102p-11, -0x1.814d402da4888p-11, -0x1.7460c683f5c27p-11, -0x1.67e67fab7c4e4p-11, -0x1.5bdaae75e3d2ap-11, -0x1.5039b11b9b038p-11, -0x1.450000979726fp-11, -0x1.3a2a30053b03fp-11, -0x1.2fb4ec0193795p-11, -0x1.259cfa0edd194p-11, -0x1.1bdf37fae8145p-11, -0x1.12789b4852202p-11, -0x1.0966309a5e465p-11, -0x1.00a51b237d141p-11, -0x1.f065282cda22ap-12, -0x1.e017d4345ba5p-12, -0x1.d05d01805b49fp-12, -0x1.c12f9ffabc34ap-12, -0x1.b28ac74c05b7ap-12, -0x1.a469b5d73d73cp-12, -0x1.96c7cfbb6310dp-12, -0x1.89a09dd9ded33p-12, -0x1.7cefcce1a6b57p-12, -0x1.70b12c5f50f69p-12, -0x1.64e0add2070ebp-12, -0x1.597a63c5bf44ep-12, -0x1.4e7a80f15a76bp-12, -0x1.43dd575a13507p-12, -0x1.399f577b26d59p-12, -0x1.2fbd0f7234c6dp-12, -0x1.26332a2ffb92fp-12, -0x1.1cfe6eaded053p-12, -0x1.141bbf27bd378p-12, -0x1.0b88185950a9ap-12, -0x1.034090c14649ap-12, -0x1.f684afce22ee6p-13, -0x1.e7156b4b775b9p-13, -0x1.d82e12f509f2dp-13, -0x1.c9c993af503c8p-13, -0x1.bbe306f63b088p-13, -0x1.ae75b191b0ff5p-13, -0x1.a17d02531df5p-13, -0x1.94f490d93466dp-13, -0x1.88d81c5b6ba84p-13, -0x1.7d238a7d4a0e5p-13, -0x1.71d2e628f5cb9p-13, -0x1.66e25e703536ap-13, -0x1.5c4e45744f129p-13, -0x1.52130f555a0fcp-13, -0x1.482d512829a75p-13, -0x1.3e99bff20672dp-13, -0x1.35552fab8e948p-13, -0x1.2c5c924a0f72bp-13, -0x1.23acf6ceb78bbp-13, -0x1.1b43885c2eb25p-13, -0x1.131d8d5194e59p-13, -0x1.0b38666c11002p-13, -0x1.03918dedc8b6p-13, -0x1.f84d2d95224a1p-14, -0x1.e9ea57b47d7c5p-14, -0x1.dbf61e210e0d1p-14, -0x1.ce6c31734a093p-14, -0x1.c1486d79f1cd7p-14, -0x1.b486d7c890384p-14, -0x1.a8239e4fad3e3p-14, -0x1.9c1b15ffebc92p-14, -0x1.9069b975c1daap-14, -0x1.850c27afbea8fp-14, -0x1.79ff22ccd1b0ep-14, -0x1.6f3f8ed3c6c93p-14, -0x1.64ca70847b9e5p-14, -0x1.5a9cec30e3e13p-14, -0x1.50b4449e19c41p-14, -0x1.470dd9eee50b5p-14, -0x1.3da728950fedfp-14, -0x1.347dc84be0648p-14, -0x1.2b8f6b1982685p-14, -0x1.22d9dc573b26p-14, -0x1.1a5affc27d3e2p-14, -0x1.1210d09484947p-14, -0x1.09f960a048dbcp-14, -0x1.0212d7785c5f6p-14, -0x1.f4b6e335411bbp-15, -0x1.e5a2ff45c3736p-15, -0x1.d6e6cb08ea2d2p-15, -0x1.c87f3390f1325p-15, -0x1.ba6949a69ba4cp-15, -0x1.aca2405fc1fddp-15, -0x1.9f276bc02e357p-15, -0x1.91f63f676ff65p-15, -0x1.850c4d48781aap-15, -0x1.7867446b822f9p-15, -0x1.6c04efbb7484bp-15, -0x1.5fe334dd5102bp-15, -0x1.5400131085fc8p-15, -0x1.4859a2193d677p-15, -0x1.3cee1134ab8fep-15, -0x1.31bba6158ab7ep-15, -0x1.26c0bbe9a2a41p-15, -0x1.1bfbc269bde3dp-15, -0x1.116b3cee7c9e7p-15, -0x1.070dc18ffdf34p-15, -0x1.f9c3f099b0a84p-16, -0x1.e5cd3471b6b14p-16, -0x1.d234e164a65cp-16, -0x1.bef8a9406441dp-16, -0x1.ac165b6be4014p-16, -0x1.998be37c9be67p-16, -0x1.875747de1b3fp-16, -0x1.7576a87f51af5p-16, -0x1.63e83d9179a86p-16, -0x1.52aa5651519dbp-16, -0x1.41bb57dd190b5p-16, -0x1.3119bc153e3a7p-16, -0x1.20c41089147d2p-16, -0x1.10b8f56db974ap-16, -0x1.00f71c9ea132ep-16, -0x1.e2fa91543bb3fp-17, -0x1.c49497cf57426p-17, -0x1.a6ba0f2c7dc8dp-17, -0x1.8968d60863b2dp-17, -0x1.6c9ee58380dc6p-17, -0x1.505a4fb3891aep-17, -0x1.34993e2a18707p-17, -0x1.1959f08b7026cp-17, -0x1.fd3576613e011p-18, -0x1.c8b40bb7134d1p-18, -0x1.952c94f508e2cp-18, -0x1.629c27f4cccd8p-18, -0x1.30fffa4b885f4p-18, -0x1.00555f1ca5362p-18, -0x1.a1338a21d383fp-19, -0x1.439568bb84706p-19, -0x1.cf97339be1407p-20, -0x1.1ba312087f00fp-20, -0x1.ad1653cc340dfp-22, 0x1.062743d2d6b8dp-22, 0x1.d5a6d12d43386p-21, 0x1.909f3c2b3aa77p-20, 0x1.197a8e622bcd4p-19, 0x1.68ee53bc34b2cp-19, 0x1.b6aea52183461p-19, 0x1.015f922ddf96cp-18, 0x1.2691b01866159p-18, 0x1.4aef6b331d915p-18, 0x1.6e7a7ade3287p-18, 0x1.91348fe46c2ddp-18, 0x1.b31f5554d5295p-18, 0x1.d43c714c8838p-18, 0x1.f48d85bff5fe5p-18, 0x1.0a0a189671d3ap-17, 0x1.1969079f53875p-17, 0x1.28645cb90c225p-17, 0x1.36fce3d38ed5fp-17, 0x1.45336852e18dep-17, 0x1.5308b54e71e6p-17, 0x1.607d95cc2877fp-17, 0x1.6d92d4f5e6645p-17, 0x1.7a493e47f7fb3p-17, 0x1.86a19dc0d3dccp-17, 0x1.929cc009389f8p-17, 0x1.9e3b72992d814p-17, 0x1.a97e83d6bda6bp-17, 0x1.b466c33795394p-17, 0x1.bef5015951bd5p-17, 0x1.c92a101888618p-17, 0x1.d306c2a6f1407p-17, 0x1.dc8bed9c4c464p-17, 0x1.e5ba6703a48b3p-17, 0x1.ee930667a473p-17, 0x1.f716a4ddeab6ep-17, 0x1.ff461d0e3219ap-17, 0x1.0391259b7be5fp-16, 0x1.0756069840a91p-16, 0x1.0af221373a2ecp-16, 0x1.0e65e5ff8d008p-16, 0x1.11b1c644c2ff9p-16, 0x1.14d6342537267p-16, 0x1.17d3a28756f98p-16, 0x1.1aaa8515867c5p-16, 0x1.1d5b503a3979cp-16, 0x1.1fe6791be80c6p-16, 0x1.224c75978d2cp-16, 0x1.248dbc3b317b7p-16, 0x1.26aac43f666dep-16, 0x1.28a405806759dp-16, 0x1.2a79f8772153cp-16, 0x1.2c2d1631deccfp-16, 0x1.2dbdd84c9b491p-16, 0x1.2f2cb8e91cb64p-16, 0x1.307a32a5bc429p-16, 0x1.31a6c0952b655p-16, 0x1.32b2de354f70dp-16, 0x1.339f07668d8cep-16, 0x1.346bb862421fcp-16, 0x1.35196db1bef66p-16, 0x1.35a8a42436e23p-16, 0x1.3619d8c55929bp-16, 0x1.366d88d3398bbp-16, 0x1.36a431b54e681p-16, 0x1.36be50f2080ebp-16, 0x1.36bc642549997p-16, 0x1.369ee8f5d728cp-16, 0x1.36665d0c660fap-16, 0x1.36133e09146e9p-16, 0x1.35a60979a4cd4p-16, 0x1.351f3cd041e51p-16, 0x1.347f5559630aap-16, 0x1.33c6d0322eb0cp-16, 0x1.32f62a3f1467cp-16, 0x1.320de02217997p-16, 0x1.310e6e3227c36p-16, 0x1.2ff850711d60ap-16, 0x1.2ecc0283362b4p-16, 0x1.2d89ffa56d898p-16, 0x1.2c32c2a58d3fap-16, 0x1.2ac6c5d8e94d7p-16, 0x1.29468313f9bb4p-16, 0x1.27b273a222851p-16, 0x1.260b103d5a5ffp-16, 0x1.2450d10627f7fp-16, 0x1.22842d7bec47bp-16, 0x1.20a59c74f068cp-16, 0x1.1eb594178253cp-16, 0x1.1cb489d1ffcf2p-16, 0x1.1aa2f2540f494p-16, 0x1.18814187541d2p-16, 0x1.164fea893e064p-16, 0x1.140f5fa40bfp-16, 0x1.11c01248c30bap-16, 0x1.0f62730901de6p-16, 0x1.0cf6f190d7a31p-16, 0x1.0a7dfca12493cp-16, 0x1.07f8020a11fbbp-16, 0x1.05656ea59b938p-16, 0x1.02c6ae52a61ap-16, 0x1.001c2bf00611dp-16, 0x1.facca2af1886cp-17, 0x1.f54b0eb343477p-17, 0x1.efb46b70ff953p-17, 0x1.ea098649994edp-17, 0x1.e44b2a718bfdfp-17, 0x1.de7a20eaa3b7fp-17, 0x1.d897307bbf457p-17, 0x1.d2a31daa5c92cp-17, 0x1.cc9eaab3de82ap-17, 0x1.c68a9787f01a9p-17, 0x1.c067a1c272f28p-17, 0x1.ba3684a67b243p-17, 0x1.b3f7f91976764p-17, 0x1.adacb59e25691p-17, 0x1.a7556e50cfe0fp-17, 0x1.a0f2d4e27aba7p-17, 0x1.9a859896a1908p-17, 0x1.940e663e7f0d6p-17, 0x1.8d8de83759bp-17, 0x1.8704c6679d9a9p-17, 0x1.8073a63c0a8e4p-17, 0x1.79db2aa66b562p-17, 0x1.733bf41b59a3bp-17, 0x1.6c96a091169fap-17, 0x1.65ebcb7e6c1f7p-17, 0x1.5f3c0dda590f5p-17, 0x1.5887fe1a4ceccp-17, 0x1.51d030337a721p-17, 0x1.4b153599a1bd5p-17, 0x1.44579d3feaeffp-17, 0x1.3d97f3995244ep-17, 0x1.36d6c2990b123p-17, 0x1.301491b42b165p-17, 0x1.2951e5e2a1ea4p-17, 0x1.228f41a07308ap-17, 0x1.1bcd24efe94acp-17, 0x1.150c0d5adf7e6p-17, 0x1.0e4c75f5882e2p-17, 0x1.078ed76045e5cp-17, 0x1.00d3a7ca8cebdp-17, 0x1.f436b5e9f063ap-18, 0x1.e6ccc469db82p-18, 0x1.d96a58eef1a1bp-18, 0x1.cc104c88da708p-18, 0x1.bebf7383ee7d2p-18, 0x1.b1789d6f9528cp-18, 0x1.a43c952655d27p-18, 0x1.970c20d6a81cp-18, 0x1.89e80208c250ep-18, 0x1.7cd0f5a95563ap-18, 0x1.6fc7b4106e4dfp-18, 0x1.62ccf10ace16ep-18, 0x1.55e15be3cded5p-18, 0x1.49059f6dec8dcp-18, 0x1.3c3a620c1f141p-18, 0x1.2f8045bbcebcfp-18, 0x1.22d7e82041d2ep-18, 0x1.1641e28ab8181p-18, 0x1.09beca06b8d7cp-18, 0x1.fa9e5ec5e8ec9p-19, 0x1.e1e73e7910f2bp-19, 0x1.c9594414ec962p-19, 0x1.b0f5785062323p-19, 0x1.98bcdbc217e42p-19, 0x1.80b066f7a9b33p-19, 0x1.68d10a8957d53p-19, 0x1.511faf35c78f7p-19, 0x1.399d35f6acd13p-19, 0x1.224a78187f2e6p-19, 0x1.0b284750c6906p-19, 0x1.e86edbb169e26p-20, 0x1.baf15d0a4db44p-20, 0x1.8dd989b8ee0c2p-20, 0x1.6128ca62b2815p-20, 0x1.34e0797124b99p-20, 0x1.0901e3454587p-20, 0x1.bb1c8cd4af566p-21, 0x1.650da7885a499p-21, 0x1.0fd95d8a314b6p-21, 0x1.7703b67243ffbp-22, 0x1.a024cb2876c31p-23, 0x1.5715cb8513f9ep-25, -0x1.e21e3ec99562cp-24, -0x1.1a28e98d7f6c4p-22, -0x1.b9fdf9021dab3p-22, -0x1.2c01c9af62b0dp-21, -0x1.7a1b5ec0ce7b1p-21, -0x1.c74a558fc0f08p-21, -0x1.09c6af821392bp-20, -0x1.2f71a155d8c1cp-20, -0x1.54a56f2c5c048p-20, -0x1.796192e2b33f6p-20, -0x1.9da591151811fp-20, -0x1.c170f8f03c75dp-20, -0x1.e4c363fdcd649p-20, -0x1.03ce3afc4cffdp-19, -0x1.14fdee4ee333ep-19, -0x1.25f0a7bb6ecp-19, -0x1.36a647d65aa28p-19, -0x1.471eb3edfa3f8p-19, -0x1.5759d5f25063dp-19, -0x1.67579c5d02178p-19, -0x1.7717fa18e0865p-19, -0x1.869ae66c3f71ep-19, -0x1.95e05ce2f1b72p-19, -0x1.a4e85d36a4778p-19, -0x1.b3b2eb38a28c5p-19, -0x1.c2400ebc16388p-19, -0x1.d08fd37ecc15cp-19, -0x1.dea2491423711p-19, -0x1.ec7782cd1e83ap-19, -0x1.fa0f97a408f91p-19, -0x1.03b5511581e4fp-18, -0x1.0a4460384fb78p-18, -0x1.10b509f659f72p-18, -0x1.170760b6ac974p-18, -0x1.1d3b788142b65p-18, -0x1.235166f429c49p-18, -0x1.29494339637abp-18, -0x1.2f2325fc2180bp-18, -0x1.34df29606796dp-18, -0x1.3a7d68f846a98p-18, -0x1.3ffe01bba26dbp-18, -0x1.456111fce546bp-18, -0x1.4aa6b960b69bfp-18, -0x1.4fcf18d427765p-18, -0x1.54da5283b2acbp-18, -0x1.59c889d15ed6dp-18, -0x1.5e99e34c4c498p-18, -0x1.634e84a9b1696p-18, -0x1.67e694b90e4d6p-18, -0x1.6c623b5c51793p-18, -0x1.70c1a180d7a5ep-18, -0x1.7504f115feb14p-18, -0x1.792c55054323bp-18, -0x1.7d37f9298be0fp-18, -0x1.81280a462ea7ep-18, -0x1.84fcb600f1886p-18, -0x1.88b62ad9246d6p-18, -0x1.8c5498203fc33p-18, -0x1.8fd82df2738d8p-18, -0x1.93411d2eaa1edp-18, -0x1.968f976fa46a4p-18, -0x1.99c3cf04512e4p-18, -0x1.9cddf6e893f59p-18, -0x1.9fde42bddf6abp-18, -0x1.a2c4e6c5e6561p-18, -0x1.a59217db75a5p-18, -0x1.a8460b69067b4p-18, -0x1.aae0f7653853fp-18, -0x1.ad63124bac78ep-18, -0x1.afcc9316240e9p-18, -0x1.b21db1373a95fp-18, -0x1.b456a4925ed7p-18, -0x1.b677a5768b13ep-18, -0x1.b880ec996874cp-18, -0x1.ba72b310b7275p-18, -0x1.bc4d324c990adp-18, -0x1.be10a41222affp-18, -0x1.bfbd4275c166fp-18, -0x1.c15347d5d8109p-18, -0x1.c2d2eed54d3c8p-18, -0x1.c43c72563cbb7p-18, -0x1.c5900d74b501ep-18, -0x1.c6cdfb82ad46bp-18, -0x1.c7f6780379edp-18, -0x1.c909bea43b9b8p-18, -0x1.ca080b39a037bp-18, -0x1.caf199baf6c0fp-18, -0x1.cbc6a63d5f219p-18, -0x1.cc876cefc7cafp-18, -0x1.cd342a160ba7bp-18, -0x1.cdcd1a03b6fd6p-18, -0x1.ce52791a1512ap-18, -0x1.cec483c2d6cd8p-18, -0x1.cf23766cadf94p-18, -0x1.cf6f8d870f82fp-18, -0x1.cfa9057e988f8p-18, -0x1.cfd01ab968e7ep-18, -0x1.cfe50993677cdp-18, -0x1.cfe80e5a8caf3p-18, -0x1.cfd9654b9e27cp-18, -0x1.cfb94a8ead946p-18, -0x1.cf87fa34832aep-18, -0x1.cf45b033adf49p-18, -0x1.cef2a862e00f6p-18, -0x1.ce8f1e78bf68bp-18, -0x1.ce1b4e07ab25ap-18, -0x1.cd97727b6cc39p-18, }}, 
      {{0x1.255434a542391p-7, 0x1.26ee0f3993cdcp-6, 0x1.be14bfb3f40a2p-6, 0x1.2c791876d1ba8p-5, 0x1.7bf16cac4c139p-5, 0x1.cd6ce1981088cp-5, 0x1.105d74021c12bp-4, 0x1.3ac6243e1e789p-4, 0x1.65beecaec8892p-4, 0x1.9110e2b6db398p-4, 0x1.bc838ff6521a2p-4, 0x1.e7dfe349de9bep-4, 0x1.09792d66e934p-3, 0x1.1ec6408b234b5p-3, 0x1.33c2ed1e8b22fp-3, 0x1.485e2e50b374ap-3, 0x1.5c8a4762b6bb2p-3, 0x1.703cb046381a2p-3, 0x1.836de95f706b1p-3, 0x1.96193e3d7b939p-3, 0x1.a83c7d9efdc7ap-3, 0x1.b9d7abc7d945bp-3, 0x1.caecb309e203dp-3, 0x1.db7f156ca052ap-3, 0x1.eb93a1947ef57p-3, 0x1.fb302c635e1d3p-3, 0x1.052da823aa324p-2, 0x1.0c8e19619ad9p-2, 0x1.13bd2835b958ep-2, 0x1.1abea7aa3fd04p-2, 0x1.21966be18cabbp-2, 0x1.2848396774fa9p-2, 0x1.2ed7b7497a691p-2, 0x1.354863bd172c4p-2, 0x1.3b9d8b1821e56p-2, 0x1.41da40de657dfp-2, 0x1.48015aa88f1cbp-2, 0x1.4e156caacd6f7p-2, 0x1.5418c7a49c87fp-2, 0x1.5a0d7806f6fbep-2, 0x1.5ff5462217a6ep-2, 0x1.65d1b7302f23ap-2, 0x1.6ba40f168a52cp-2, 0x1.716d52bab1425p-2, 0x1.772e4acce90d8p-2, 0x1.7ce786ed1e74ep-2, 0x1.82996112ae198p-2, 0x1.884401228868cp-2, 0x1.8de760a226dp-2, 0x1.93834e7842e5cp-2, 0x1.991772ae9eb03p-2, 0x1.9ea3522a47167p-2, 0x1.a4265251820a7p-2, 0x1.a99fbc985007bp-2, 0x1.af0ec1edc7797p-2, 0x1.b4727e05d75f5p-2, 0x1.b9c9fa7c1e2ccp-2, 0x1.bf1431cd61474p-2, 0x1.c45012260f34bp-2, 0x1.c97c8004e0bc7p-2, 0x1.ce9858b142c7ap-2, 0x1.d3a27485ad11bp-2, 0x1.d899a90e78fdfp-2, 0x1.dd7ccafe1479ap-2, 0x1.e24aaff7c061cp-2, 0x1.e702303230976p-2, 0x1.eba227f39a764p-2, 0x1.f02978e8d622bp-2, 0x1.f4970b594f526p-2, 0x1.f8e9cf398fd73p-2, 0x1.fd20bd1e376f7p-2, 0x1.009d6b889a2efp-1, 0x1.029b94a5877e1p-1, 0x1.048a656908651p-1, 0x1.06696f0086a78p-1, 0x1.0838487bbd742p-1, 0x1.09f68efa442d2p-1, 0x1.0ba3e5cf6218p-1, 0x1.0d3ff69ced20fp-1, 0x1.0eca7165efef9p-1, 0x1.10430c99c6ff4p-1, 0x1.11a985185e47ap-1, 0x1.12fd9e302b25bp-1, 0x1.143f21967edefp-1, 0x1.156ddf5ab6917p-1, 0x1.1689add4d2a93p-1, 0x1.1792698fee95bp-1, 0x1.1887f5310cdacp-1, 0x1.196a395aa2cc9p-1, 0x1.1a39248d46b43p-1, 0x1.1af4ab05de092p-1, 0x1.1b9cc699a06a1p-1, 0x1.1c3176903fd13p-1, 0x1.1cb2bf7c7a66bp-1, 0x1.1d20ab135e4bap-1, 0x1.1d7b480279a2dp-1, 0x1.1dc2a9c52d991p-1, 0x1.1df6e8795af63p-1, 0x1.1e1820b394daap-1, 0x1.1e2673530371bp-1, 0x1.1e2205551f46fp-1, 0x1.1e0affa96602dp-1, 0x1.1de18f0528e1ap-1, 0x1.1da5e3b7910afp-1, 0x1.1d58317df2a2ap-1, 0x1.1cf8af5885e29p-1, 0x1.1c87975f9a07ep-1, 0x1.1c05269954547p-1, 0x1.1b719cd009366p-1, 0x1.1acd3c694085fp-1, 0x1.1a184a3d6da3fp-1, 0x1.19530d7068e44p-1, 0x1.187dcf4ab0a35p-1, 0x1.1798db137b0c7p-1, 0x1.16a47deba079dp-1, 0x1.15a106a960324p-1, 0x1.148ec5b506c54p-1, 0x1.136e0ce679199p-1, 0x1.123f2f63a5489p-1, 0x1.1102817fdc59ap-1, 0x1.0fb8589c16684p-1, 0x1.0e610b08216cdp-1, 0x1.0cfcefe4b91dbp-1, 0x1.0b8c5f068a8d6p-1, 0x1.0a0fb0da1fc72p-1, 0x1.08873e48b4849p-1, 0x1.06f3609df0e8p-1, 0x1.0554716e87cfbp-1, 0x1.03aaca7fb8fafp-1, 0x1.01f6c5afb262fp-1, 0x1.0038bcdece935p-1, 0x1.fce213b35c127p-2, 0x1.f9400c884fb59p-2, 0x1.f58c170a1e082p-2, 0x1.f1c6e5659057p-2, 0x1.edf129015bc7p-2, 0x1.ea0b925a7e05fp-2, 0x1.e616d0e227914p-2, 0x1.e21392dd2c18p-2, 0x1.de028544f1eebp-2, 0x1.d9e453a9db4d9p-2, 0x1.d5b9a8171b478p-2, 0x1.d1832af7f8ab3p-2, 0x1.cd4182fe6efa3p-2, 0x1.c8f5550b290f9p-2, 0x1.c49f4416ceddcp-2, 0x1.c03ff11c9bb4bp-2, 0x1.bbd7fb06398c6p-2, 0x1.b767fe98d502ap-2, 0x1.b2f0966366f82p-2, 0x1.ae725aae277cbp-2, 0x1.a9ede16b26854p-2, 0x1.a563be28012fdp-2, 0x1.a0d48200ac8bap-2, 0x1.9c40bb934c388p-2, 0x1.97a8f6f5138bfp-2, 0x1.930dbda81f336p-2, 0x1.8e6f96924d0b9p-2, 0x1.89cf05f50176ap-2, 0x1.852c8d65d559ep-2, 0x1.8088abc828ceep-2, 0x1.7be3dd478ce4ap-2, 0x1.773e9b530785bp-2, 0x1.72995c991e996p-2, 0x1.6df49504ae558p-2, 0x1.6950b5ba7c3d8p-2, 0x1.64ae2d17857c9p-2, 0x1.600d66afffcf5p-2, 0x1.5b6ecb4f03509p-2, 0x1.56d2c0f6df5acp-2, 0x1.5239aae209c93p-2, 0x1.4da3e984ac1cap-2, 0x1.4911da8ebeaedp-2, 0x1.4483d8eeb73b3p-2, 0x1.3ffa3cd4b8b59p-2, 0x1.3b755bb648632p-2, 0x1.36f588527da87p-2, 0x1.327b12b6a7b53p-2, 0x1.2e06484363c75p-2, 0x1.299773b2200f7p-2, 0x1.252edd1b018abp-2, 0x1.20ccc9fb2e92ep-2, 0x1.1c717d3b70f4bp-2, 0x1.181d3737322e6p-2, 0x1.13d035c3c7ba5p-2, 0x1.0f8ab4380cc0fp-2, 0x1.0b4ceb74430a7p-2, 0x1.071711ea3ba09p-2, 0x1.02e95ba5b90e2p-2, 0x1.fd87f4aa2488dp-3, 0x1.f54e3aa411eccp-3, 0x1.ed25e355a50ebp-3, 0x1.e50f4456a558ep-3, 0x1.dd0aaeccfecbp-3, 0x1.d5186f7fd2edap-3, 0x1.cd38ceead9d1dp-3, 0x1.c56c1151fb5b1p-3, 0x1.bdb276d526fe5p-3, 0x1.b60c3b8455b8bp-3, 0x1.ae799773c370ep-3, 0x1.a6fabed03f371p-3, 0x1.9f8fe1f3a942bp-3, 0x1.98392d797c5efp-3, 0x1.90f6ca537702p-3, 0x1.89c8ddde49ab5p-3, 0x1.82af89f655f88p-3, 0x1.7baaed0c65cf5p-3, 0x1.74bb223a709aap-3, 0x1.6de041584d2d9p-3, 0x1.671a5f1063a66p-3, 0x1.60698cf446b09p-3, 0x1.59cdd99144dc3p-3, 0x1.53475084d8887p-3, 0x1.4cd5fa9106367p-3, 0x1.4679ddb096ccp-3, 0x1.4032fd2b330cap-3, 0x1.3a0159a959406p-3, 0x1.33e4f1482b44dp-3, 0x1.2dddbfad10a3ep-3, 0x1.27ebbe192aec8p-3, 0x1.220ee37c9e113p-3, 0x1.1c4724899dd67p-3, 0x1.169473c74d84cp-3, 0x1.10f6c1a463ca1p-3, 0x1.0b6dfc89956e2p-3, 0x1.05fa10ebc7bcp-3, 0x1.009ae95e00116p-3, 0x1.f6a0dd463b8c9p-4, 0x1.ec350f7e8b969p-4, 0x1.e1f234123687cp-4, 0x1.d7d8127553aebp-4, 0x1.cde66f0424de8p-4, 0x1.c41d0b23d6de8p-4, 0x1.ba7ba562cbfbap-4, 0x1.b101f9983bf5p-4, 0x1.a7afc10358c33p-4, 0x1.9e84b269da526p-4, 0x1.95808235f3a58p-4, 0x1.8ca2e293bd2c1p-4, 0x1.83eb838e041b7p-4, 0x1.7b5a132a873cap-4, 0x1.72ee3d859cc9dp-4, 0x1.6aa7aced431cdp-4, 0x1.628609fb9d97fp-4, 0x1.5a88fbb0d6374p-4, 0x1.52b0278c6f681p-4, 0x1.4afb31a5fbc4dp-4, 0x1.4369bcc542645p-4, 0x1.3bfb6a79ce282p-4, 0x1.34afdb31e8633p-4, 0x1.2d86ae510203ap-4, 0x1.267f82458544dp-4, 0x1.1f99f49e1cedcp-4, 0x1.18d5a21e6417fp-4, 0x1.123226d30ace4p-4, 0x1.0baf1e2569898p-4, 0x1.054c22ee8b47bp-4, 0x1.fe119f134ca75p-5, 0x1.f1c97bcc21dd2p-5, 0x1.e5bf0f314f4eap-5, 0x1.d9f18bd96252ap-5, 0x1.ce6023e8714c3p-5, 0x1.c30a092fcc205p-5, 0x1.b7ee6d4ca84efp-5, 0x1.ad0c81c5cb248p-5, 0x1.a263782837a68p-5, 0x1.97f28222de1d7p-5, 0x1.8db8d1a15d6c7p-5, 0x1.83b598e5cc021p-5, 0x1.79e80aa1961a9p-5, 0x1.704f5a0d6c67dp-5, 0x1.66eabb0053a73p-5, 0x1.5db96205ce1c4p-5, 0x1.54ba847324ec2p-5, 0x1.4bed587bda242p-5, 0x1.43511545425eap-5, 0x1.3ae4f2f95147cp-5, 0x1.32a82ad890907p-5, 0x1.2a99f74b54a98p-5, 0x1.22b993f226218p-5, 0x1.1b063db56d037p-5, 0x1.137f32d45e90ep-5, 0x1.0c23b2f3329ep-5, 0x1.04f2ff289f27fp-5, 0x1.fbd8b4155995bp-6, 0x1.ee1e0f759f5f4p-6, 0x1.e0b49be2d74ap-6, 0x1.d39ae81145579p-6, 0x1.c6cf860d1436bp-6, 0x1.ba510b4d85b4ep-6, 0x1.ae1e10c6f3e52p-6, 0x1.a23532fba681cp-6, 0x1.9695120b8933bp-6, 0x1.8b3c51c2c6432p-6, 0x1.802999a74f8c9p-6, 0x1.755b950562649p-6, 0x1.6ad0f2fb05b5ap-6, 0x1.608866828d9afp-6, 0x1.5680a67c26944p-6, 0x1.4cb86db679367p-6, 0x1.432e7af66d624p-6, 0x1.39e190fe0813dp-6, 0x1.30d0769274aedp-6, 0x1.27f9f681358e9p-6, 0x1.1f5cdfa4a124dp-6, 0x1.16f804e77d37p-6, 0x1.0eca3d47fd2ebp-6, 0x1.06d263d9f7ddap-6, 0x1.fe1eaf90d3a16p-7, 0x1.eefff8acb9a66p-7, 0x1.e04671be48e6bp-7, 0x1.d1eff1abf9cccp-7, 0x1.c3fa578a2db52p-7, 0x1.b6638a9810f32p-7, 0x1.a9297a3b7f81dp-7, 0x1.9c4a1dfbb57dap-7, 0x1.8fc3757b2b1b2p-7, 0x1.8393887062657p-7, 0x1.77b8669dc5bdp-7, 0x1.6c3027c899e4ap-7, 0x1.60f8ebaf3649ep-7, 0x1.5610d9fe4701cp-7, 0x1.4b7622457997dp-7, 0x1.4126fbeb30e61p-7, 0x1.3721a61fc02bep-7, 0x1.2d6467cfc90bfp-7, 0x1.23ed8f961cfcdp-7, 0x1.1abb73aced1cdp-7, 0x1.11cc71de7b5c4p-7, 0x1.091eef7534c89p-7, 0x1.00b1592b45708p-7, 0x1.f104463381cabp-8, 0x1.e11f914ea2008p-8, 0x1.d1b198ecd6f45p-8, 0x1.c2b770a6824bp-8, 0x1.b42e3a4274e92p-8, 0x1.a613259010aafp-8, 0x1.986370412e70ep-8, 0x1.8b1c65c300a6bp-8, 0x1.7e3b5f16bd7ebp-8, 0x1.71bdc2a998b1ap-8, 0x1.65a1042c6e6dbp-8, 0x1.59e2a46ae2a96p-8, 0x1.4e803122246bap-8, 0x1.437744d779e81p-8, 0x1.38c586ae74822p-8, 0x1.2e68aa3ec9e48p-8, 0x1.245e6f6a3f1d7p-8, 0x1.1aa4a231ead76p-8, 0x1.11391a8bc812dp-8, 0x1.0819bc37f5d71p-8, 0x1.fe88ed2b9dd4cp-9, 0x1.ed6e88f242222p-9, 0x1.dce057fe6e863p-9, 0x1.ccda7cc805b06p-9, 0x1.bd592fae3fa89p-9, 0x1.ae58bea2265f9p-9, 0x1.9fd58cd0f85acp-9, 0x1.91cc124f0347bp-9, 0x1.8438dbc261da8p-9, 0x1.77188a0e5e9d8p-9, 0x1.6a67d1fee563dp-9, 0x1.5e237bf45b319p-9, 0x1.5248639018445p-9, 0x1.46d37760f8a0fp-9, 0x1.3bc1b890c4cd4p-9, 0x1.31103a91da26dp-9, 0x1.26bc22cd4a02p-9, 0x1.1cc2a851d2a5bp-9, 0x1.132113835c01fp-9, 0x1.09d4bdcad5ca6p-9, 0x1.00db1146eaec9p-9, 0x1.f06310fad255fp-10, 0x1.dfab5c1ab418ap-10, 0x1.cf8a38c3414c4p-10, 0x1.bffafac907af7p-10, 0x1.b0f914679a46dp-10, 0x1.a28015abb2127p-10, 0x1.948babdef1996p-10, 0x1.8717a0f46b3c1p-10, 0x1.7a1fdaf7bc6f5p-10, 0x1.6da05b7d426f9p-10, 0x1.61953f1455ff4p-10, 0x1.55fabcbaad00dp-10, 0x1.4acd2551e0616p-10, 0x1.4008e31693b82p-10, 0x1.35aa79192ff91p-10, 0x1.2bae82b8b614cp-10, 0x1.2211b31ebe35ep-10, 0x1.18d0d4bdd93b9p-10, 0x1.0fe8c8d1505b7p-10, 0x1.075686deebcdcp-10, 0x1.fe2e387458049p-11, 0x1.ee4f5713b7acfp-11, 0x1.df0ad89d9523ap-11, 0x1.d05b54d9e1949p-11, 0x1.c23b8b6b97644p-11, 0x1.b4a662e9dba59p-11, 0x1.a796e7fc7c6c8p-11, 0x1.9b084c7bb5402p-11, 0x1.8ef5e6946119fp-11, 0x1.835b2fee3d928p-11, 0x1.7833c4d74d0cep-11, 0x1.6d7b637226bbdp-11, 0x1.632deae764b03p-11, 0x1.59475a9b0d125p-11, 0x1.4fc3d16567878p-11, 0x1.469f8ccef14e7p-11, 0x1.3dd6e850c691fp-11, 0x1.35665c96ed2afp-11, 0x1.2d4a7ec74a6a4p-11, 0x1.257fffcb5c665p-11, 0x1.1e03ab9d83f05p-11, 0x1.16d2689986ecp-11, 0x1.0fe936d099d92p-11, 0x1.09452f6019bep-11, 0x1.02e383cbee5d8p-11, 0x1.f982fab90f54bp-12, 0x1.edb8f8fe37613p-12, 0x1.e263f052d6082p-12, 0x1.d77efa823a16fp-12, 0x1.cd055c0a5cbc1p-12, 0x1.c2f282f6be0c2p-12, 0x1.b94205c0c0003p-12, 0x1.afefa2347f38fp-12, 0x1.a6f73c5d53466p-12, 0x1.9e54dd7727394p-12, 0x1.9604b2e657b15p-12, 0x1.8e030d33f7b83p-12, 0x1.864c5f108987fp-12, 0x1.7edd3c5c0a8eap-12, 0x1.77b25932c62cep-12, 0x1.70c88901308a1p-12, 0x1.6a1cbd9b12ca9p-12, 0x1.63ac065850c4p-12, 0x1.5d738f37f92f1p-12, 0x1.5770a006c2b28p-12, 0x1.51a09b8c10aacp-12, 0x1.4c00feba6698dp-12, 0x1.468f5fe5bcab2p-12, 0x1.41496dfd22f4p-12, 0x1.3c2cefcb33846p-12, 0x1.3737c33963103p-12, 0x1.3267dc98558cfp-12, 0x1.2dbb45ec2003ep-12, 0x1.29301e3dee4b9p-12, 0x1.24c498f0dbf62p-12, 0x1.2076fd1bbddbp-12, 0x1.1c45a4e72f4e3p-12, 0x1.182efcee3ed2bp-12, 0x1.143183a4d7e1p-12, 0x1.104bc8c0848e4p-12, 0x1.0c7c6ca6eaec7p-12, 0x1.08c21fde39d07p-12, 0x1.051ba281ddc47p-12, 0x1.0187c3bb51925p-12, 0x1.fc0ac27ade6dap-13, 0x1.f526cd88d7462p-13, 0x1.ee619b327b15cp-13, 0x1.e7b9382d2af02p-13, 0x1.e12bca666d3c2p-13, 0x1.dab7901c40e6p-13, 0x1.d45adefd475f4p-13, 0x1.ce14234ede224p-13, 0x1.c7e1df18d5c2bp-13, 0x1.c1c2a956a3693p-13, 0x1.bbb52d2f75ebcp-13, 0x1.b5b82932fb8e2p-13, 0x1.afca6e9c5bbb4p-13, 0x1.a9eae09b12bf2p-13, 0x1.a418739f85904p-13, 0x1.9e522cad8d385p-13, 0x1.989720b497adep-13, 0x1.92e673ec5803bp-13, 0x1.8d3f5935a10b7p-13, 0x1.87a11182783fap-13, 0x1.820aeb3ec39ap-13, 0x1.7c7c41c10b776p-13, 0x1.76f47cbd5ab7ap-13, 0x1.71730fbe4abap-13, 0x1.6bf779a13ae6p-13, 0x1.66814416a525dp-13, 0x1.6110032666c8ep-13, 0x1.5ba354b847ab4p-13, 0x1.563ae01fe2f5p-13, 0x1.50d655ad15459p-13, 0x1.4b756e4027707p-13, 0x1.4617eadf68b7cp-13, 0x1.40bd94533fa66p-13, 0x1.3b663ac2d23c4p-13, 0x1.3611b55693b5ep-13, 0x1.30bfe1dbc49fp-13, 0x1.2b70a46cd9998p-13, 0x1.2623e71bbcd1bp-13, 0x1.20d9999f3e99ep-13, 0x1.1b91b1036fd17p-13, 0x1.164c275d13211p-13, 0x1.1108fb80001e2p-13, 0x1.0bc830b7ef6bep-13, 0x1.0689ce82e6ff5p-13, 0x1.014de04fb6b72p-13, 0x1.f828ea7bf9889p-14, 0x1.edbb3fc11083fp-14, 0x1.e352ec056f39p-14, 0x1.d8f020df85877p-14, 0x1.ce931577d7819p-14, 0x1.c43c061f39c7ep-14, 0x1.b9eb33ea348cfp-14, 0x1.afa0e450e21c7p-14, 0x1.a55d60d1d4023p-14, 0x1.9b20f69944af7p-14, 0x1.90ebf62a9042p-14, 0x1.86beb30f3f4f5p-14, 0x1.7c998387720c7p-14, 0x1.727cc03ff093ep-14, 0x1.6868c4096014fp-14, 0x1.5e5deb9474b13p-14, 0x1.545c953019f4bp-14, 0x1.4a6520893f37cp-14, 0x1.4077ee7137733p-14, 0x1.369560a2f176fp-14, 0x1.2cbdd98d6fa3ep-14, 0x1.22f1bc2031ed2p-14, 0x1.19316b99d5dc5p-14, 0x1.0f7d4b5901db2p-14, 0x1.05d5beafe7c6cp-14, 0x1.f8765174af8e8p-15, 0x1.e55bd86a9cb63p-15, 0x1.d25cd6b404d71p-15, 0x1.bf7a0f7309271p-15, 0x1.acb444362e08dp-15, 0x1.9a0c34b9675d6p-15, 0x1.87829ea7f17abp-15, 0x1.75183d666c4d7p-15, 0x1.62cdc9db5711ap-15, 0x1.50a3fa404295cp-15, 0x1.3e9b81f2724c1p-15, 0x1.2cb51145cdac5p-15, 0x1.1af1555e93af1p-15, 0x1.0950f80a45f7cp-15, 0x1.efa93f3a1c241p-16, 0x1.ccf9dda57f15ap-16, 0x1.aa950961eb2b4p-16, 0x1.887bf8d8cc4d3p-16, 0x1.66afda9d636aep-16, 0x1.4531d541eddf5p-16, 0x1.2403072db423ep-16, 0x1.0324867bb6ea8p-16, 0x1.c52ec1ac66047p-17, 0x1.84b936bca374bp-17, 0x1.44ea65201619ep-17, 0x1.05c4345cd29bp-17, 0x1.8e90f4c1f8695p-18, 0x1.12f1f6c5d4388p-18, 0x1.315da73d1e371p-19, 0x1.fcacc6edb6596p-22, -0x1.5edc05e02f462p-20, -0x1.9ba7395378fc7p-19, -0x1.42882f961eee6p-18, -0x1.b5d2088b695c4p-18, -0x1.13d74cd145dc3p-17, -0x1.4c0dbc543845ap-17, -0x1.838b2f7b8be06p-17, -0x1.ba4e94a758de4p-17, -0x1.f056ebd27822fp-17, -0x1.12d1a33d203cdp-16, -0x1.2d1963bcb0927p-16, -0x1.47025175c1f38p-16, -0x1.608c0effb17dp-16, -0x1.79b6476c0405dp-16, -0x1.9280ae2c703fbp-16, -0x1.aaeafeff93e33p-16, -0x1.c2f4fdd6e045ap-16, -0x1.da9e76bf3e499p-16, -0x1.f1e73dc63b482p-16, -0x1.0467976fd66fbp-15, -0x1.0fab16e482f0ep-15, -0x1.1abe12f61ae84p-15, -0x1.25a0852248a86p-15, -0x1.30526a9eb3bf2p-15, -0x1.3ad3c44b9efb2p-15, -0x1.452496a2c8cc3p-15, -0x1.4f44e9a7a412ep-15, -0x1.5934c8d81cbb3p-15, -0x1.62f4431ab8cc8p-15, -0x1.6c836aafca8b8p-15, -0x1.75e2551ed859ap-15, -0x1.7f111b279bae1p-15, -0x1.880fd8afb9a9bp-15, -0x1.90deacb2ca8b1p-15, -0x1.997db92fae19cp-15, -0x1.a1ed231904f4p-15, -0x1.aa2d124207f53p-15, -0x1.b23db14f0e7b9p-15, -0x1.ba1f2da33eb3bp-15, -0x1.c1d1b74f149e7p-15, -0x1.c955810001657p-15, -0x1.d0aabfee1d732p-15, -0x1.d7d1abcb45b6dp-15, -0x1.deca7eb2aac2p-15, -0x1.e595751653523p-15, -0x1.ec32cdaf12d54p-15, -0x1.f2a2c96b6a265p-15, -0x1.f8e5ab5ece402p-15, -0x1.fefbb8b093c8fp-15, -0x1.02729c45f017cp-14, -0x1.05513a070fb34p-14, -0x1.0819db1bf52e6p-14, -0x1.0acca5ee21cc9p-14, -0x1.0d69c1c825ba8p-14, -0x1.0ff156cde66eep-14, -0x1.12638df4ae483p-14, -0x1.14c090fb3cb49p-14, -0x1.17088a6280681p-14, -0x1.193ba56598bf1p-14, -0x1.1b5a0df24e8ffp-14, -0x1.1d63f0a1fd66p-14, -0x1.1f597ab1f968fp-14, -0x1.213ad9fc643c6p-14, -0x1.23083cf15432fp-14, -0x1.24c1d28f73509p-14, -0x1.2667ca5d178a2p-14, -0x1.27fa5461cf07cp-14, -0x1.2979a11f6408dp-14, -0x1.2ae5e18b35fd6p-14, -0x1.2c3f4707f8395p-14, -0x1.2d86035f1ab9ep-14, -0x1.2eba48ba78745p-14, -0x1.2fdc499ea56ep-14, -0x1.30ec38e45fcb7p-14, -0x1.31ea49b2bebe3p-14, -0x1.32d6af7970f1p-14, -0x1.33b19deae3b6cp-14, -0x1.347b48f6cfa57p-14, -0x1.3533e4c4a7495p-14, -0x1.35dba5ae2b22bp-14, -0x1.3672c03a06774p-14, -0x1.36f96916fb882p-14, -0x1.376fd51676a95p-14, -0x1.37d63927b7f2p-14, -0x1.382cca530a703p-14, -0x1.3873bdb50c798p-14, -0x1.38ab4879ac24p-14, -0x1.38d39fd855183p-14, -0x1.38ecf90efce45p-14, -0x1.38f7895defb5p-14, -0x1.38f38603b2d9ep-14, -0x1.38e12438bfd65p-14, -0x1.38c0992b7eaddp-14, -0x1.389219fcb4612p-14, -0x1.3855dbbb7299bp-14, -0x1.380c136148005p-14, -0x1.37b4f5cef2d31p-14, -0x1.3750b7c89a3e2p-14, -0x1.36df8df28b07cp-14, -0x1.3661accdd5128p-14, -0x1.35d748b539c14p-14, -0x1.354095d9bfbf2p-14, -0x1.349dc83fd2bf7p-14, -0x1.33ef13bc75ccbp-14, -0x1.3334abf233d5fp-14, -0x1.326ec44e89794p-14, -0x1.319d9006f5a27p-14, -0x1.30c1421699045p-14, -0x1.2fda0d3b5eac9p-14, -0x1.2ee823f420f9ep-14, -0x1.2debb87de7156p-14, -0x1.2ce4fcd1a1c91p-14, -0x1.2bd422a2370f4p-14, -0x1.2ab95b5a2b741p-14, -0x1.2994d819b730fp-14, -0x1.2866c9b4cd0d3p-14, -0x1.272f60b13cce2p-14, -0x1.25eecd44ea8ccp-14, -0x1.24a53f53daa15p-14, -0x1.2352e66ee5fe5p-14, -0x1.21f7f1d1e5a26p-14, -0x1.209490623172cp-14, -0x1.1f28f0ad4a7f1p-14, -0x1.1db540e72d2fp-14, -0x1.1c39aee93aef8p-14, -0x1.1ab66830d63cp-14, -0x1.192b99de60d4fp-14, -0x1.179970b3e6045p-14, -0x1.16001913f780fp-14, -0x1.145fbf00ec229p-14, -0x1.12b88e1ba55a6p-14, -0x1.110ab1a2acfp-14, -0x1.0f56547169152p-14, -0x1.0d9ba0ff57dc2p-14, -0x1.0bdac15f3739fp-14, -0x1.0a13df3e5505dp-14, -0x1.084723e3e0f49p-14, -0x1.0674b83077245p-14, -0x1.049cc49d6184bp-14, -0x1.02bf713c3dc4bp-14, -0x1.00dce5b64508fp-14, -0x1.fdea92985139bp-15, -0x1.fa1185aadffefp-15, -0x1.f62ef18095e7bp-15, -0x1.f2432222cd9e7p-15, -0x1.ee4e62c6cc915p-15, -0x1.ea50fdcd8e584p-15, -0x1.e64b3cc376e23p-15, -0x1.e23d68601253ap-15, -0x1.de27c8857b8b1p-15, -0x1.da0aa440bb9adp-15, -0x1.d5e641c977a3fp-15, -0x1.d1bae68201c4fp-15, -0x1.cd88d6f731d4ap-15, -0x1.c95056e0c7052p-15, -0x1.c511a921856f5p-15, -0x1.c0cd0fc768835p-15, -0x1.bc82cc0bd464ap-15, -0x1.b8331e54243a9p-15, -0x1.b3de4631ef5cep-15, -0x1.af8482636c0bep-15, -0x1.ab2610d417559p-15, -0x1.a6c32e9d66b49p-15, -0x1.a25c180724a85p-15, -0x1.9df10888264aep-15, -0x1.99823ac6f89d5p-15, -0x1.950fe89ae3379p-15, -0x1.909a4b0c1c2a1p-15, -0x1.8c219a550ec59p-15, -0x1.87a60de328f8cp-15, -0x1.8327dc57ddffap-15, -0x1.7ea73b892f4c9p-15, -0x1.7a246082df234p-15, -0x1.759f7f87b19cap-15, -0x1.7118cc1229159p-15, -0x1.6c9078d568714p-15, -0x1.6806b7bed226ap-15, -0x1.637bb9f6d2bbbp-15, -0x1.5eefafe1ea4dcp-15, -0x1.5a62c9220a0c4p-15, -0x1.55d53497e6e44p-15, -0x1.51472064259f4p-15, -0x1.4cb8b9e85f601p-15, -0x1.482a2dc889346p-15, -0x1.439ba7ec9df09p-15, -0x1.3f0d53814fcf4p-15, -0x1.3a7f5af9957aap-15, -0x1.35f1e810083fep-15, -0x1.316523c8923e1p-15, -0x1.2cd936718a4e5p-15, -0x1.284e47a5059bp-15, -0x1.23c47e4a38b46p-15, -0x1.1f3c009758e95p-15, -0x1.1ab4f41276f8dp-15, }}, 
      {{0x1.b3ee0cb6d89d9p-2, 0x1.b439d3285c8a2p-2, 0x1.b4c446e97be36p-2, 0x1.b596b006bfee7p-2, 0x1.b6b65d49e053ap-2, 0x1.b823e466222bbp-2, 0x1.b9db799b47d8fp-2, 0x1.bbd5c78f42ap-2, 0x1.be08f0676a6e2p-2, 0x1.c0698878ad241p-2, 0x1.c2eb72adc47d8p-2, 0x1.c58294e054dd6p-2, 0x1.c823627edcf63p-2, 0x1.cac340409ec0fp-2, 0x1.cd58c5cbbd9ecp-2, 0x1.cfdbe2f957eb9p-2, 0x1.d245ee6206d9p-2, 0x1.d491a26ec3d66p-2, 0x1.d6bb0d87837e9p-2, 0x1.d8bf794459e5ap-2, 0x1.da9d4bd3ff7c8p-2, 0x1.dc53e62603e72p-2, 0x1.dde380d563202p-2, 0x1.df4d09533f98dp-2, 0x1.e09200690d41ep-2, 0x1.e1b45ad400af9p-2, 0x1.e2b6647705638p-2, 0x1.e39aa66ab7f11p-2, 0x1.e463d00978f8dp-2, 0x1.e514a2f6b98d3p-2, 0x1.e5afe20a1df28p-2, 0x1.e63842f7569d7p-2, 0x1.e6b0628154ba3p-2, 0x1.e71abb015cfccp-2, 0x1.e7799d079b3e6p-2, 0x1.e7cf29da64e05p-2, 0x1.e81d4f9a9f92cp-2, 0x1.e865c6d641296p-2, 0x1.e8aa11552fba9p-2, 0x1.e8eb79f0afa2ep-2, 0x1.e92b15499229fp-2, 0x1.e969c335979a6p-2, 0x1.e9a830c094821p-2, 0x1.e9e6daa1e8ccdp-2, 0x1.ea26100aa677fp-2, 0x1.ea65f5b443bb5p-2, 0x1.eaa6891b1138ep-2, 0x1.eae7a3d28c8cap-2, 0x1.eb28fee478e17p-2, 0x1.eb6a362e099e3p-2, 0x1.ebaacbb0979d4p-2, 0x1.ebea2acd4f2dbp-2, 0x1.ec27ab64f5e58p-2, 0x1.ec6294d65f513p-2, 0x1.ec9a20d77874ap-2, 0x1.eccd7e25f5345p-2, 0x1.ecfbd30d94ba2p-2, 0x1.ed243fc2c818p-2, 0x1.ed45e0914549p-2, 0x1.ed5fcfde8702ap-2, 0x1.ed712800d506dp-2, 0x1.ed7904ebba8a4p-2, 0x1.ed7685b331057p-2, 0x1.ed68cde6fb6dcp-2, 0x1.ed4f06c7e5aefp-2, 0x1.ed286058b631dp-2, 0x1.ecf4124cc2691p-2, 0x1.ecb15cd61f4aep-2, 0x1.ec5f895570494p-2, 0x1.ebfdeaed583bbp-2, 0x1.eb8bdefb8c9b4p-2, 0x1.eb08cd797b998p-2, 0x1.ea742946744b6p-2, 0x1.e9cd705d262dap-2, 0x1.e9142bf63d72ap-2, 0x1.e847f099d2965p-2, 0x1.e7685e214f79p-2, 0x1.e6751fab47505p-2, 0x1.e56deb82c2b41p-2, 0x1.e45282fb56617p-2, 0x1.e322b24348d84p-2, 0x1.e1de502d00d71p-2, 0x1.e0853df0d2ab1p-2, 0x1.df1766e837baep-2, 0x1.dd94c043622fbp-2, 0x1.dbfd48ba0dec9p-2, 0x1.da510838633eep-2, 0x1.d8900f889eb9fp-2, 0x1.d6ba77fa33e1ap-2, 0x1.d4d063070490ep-2, 0x1.d2d1f9f73abc4p-2, 0x1.d0bf6d8449d16p-2, 0x1.ce98f57b876abp-2, 0x1.cc5ed060c6a61p-2, 0x1.ca11431150b8fp-2, 0x1.c7b098679246dp-2, 0x1.c53d20dfbe21p-2, 0x1.c2b7323db1f6p-2, 0x1.c01f273448ec3p-2, 0x1.bd755f0e54021p-2, 0x1.baba3d59618b7p-2, 0x1.b7ee2992784dap-2, 0x1.b5118ed4dd17dp-2, 0x1.b224db8b06e9p-2, 0x1.af288121ced5p-2, 0x1.ac1cf3bdea9c9p-2, 0x1.a902a9f3c4003p-2, 0x1.a5da1c81b0c44p-2, 0x1.a2a3c60c8fcb1p-2, 0x1.9f6022ded6b4fp-2, 0x1.9c0fb0aa05071p-2, 0x1.98b2ee4a8302p-2, 0x1.954a5b8de6ep-2, 0x1.91d678fb9a53fp-2, 0x1.8e57c79fd69a4p-2, 0x1.8acec8d8f8e02p-2, 0x1.873bfe271820dp-2, 0x1.839fe8fdde3c4p-2, 0x1.7ffb0a9894008p-2, 0x1.7c4de3d052f53p-2, 0x1.7898f4f455de9p-2, 0x1.74dcbda458239p-2, 0x1.7119bcacf5933p-2, 0x1.6d506fe6037fap-2, 0x1.69815412cef49p-2, 0x1.65ace4c4365acp-2, 0x1.61d39c3c8eb45p-2, 0x1.5df5f3554b359p-2, 0x1.5a14616654c07p-2, 0x1.562f5c2f04124p-2, 0x1.524757c0b4859p-2, 0x1.4e5cc66ae002ap-2, 0x1.4a7018a8b8b16p-2, 0x1.4681bd102c2fp-2, 0x1.4292204250b9dp-2, 0x1.3ea1acdd217edp-2, 0x1.3ab0cb6e89272p-2, 0x1.36bfe268a4a8bp-2, 0x1.32cf56173c974p-2, 0x1.2edf88965ef8dp-2, 0x1.2af0d9ca1617ep-2, 0x1.2703a7572cefap-2, 0x1.23184c9cf7142p-2, 0x1.1f2f22b01188ap-2, 0x1.1b48805612d6ap-2, 0x1.1764ba0220484p-2, 0x1.138421d259524p-2, 0x1.0fa7078e192d2p-2, 0x1.0bcdb8a4fd05fp-2, 0x1.07f8802ea58aap-2, 0x1.0427a6eb320f2p-2, 0x1.005b734466c83p-2, 0x1.f928529ee71a5p-3, 0x1.f1a4159eb5626p-3, 0x1.ea2aae6fcf595p-3, 0x1.e2bc9762688c5p-3, 0x1.db5a463761966p-3, 0x1.d4042c29517ffp-3, 0x1.ccbab5f67bbbp-3, 0x1.c57e4beba207cp-3, 0x1.be4f51efac163p-3, 0x1.b72e27900a84ap-3, 0x1.b01b280dd5388p-3, 0x1.a916aa6b97e16p-3, 0x1.a221017bb322ep-3, 0x1.9b3a7bef5c13dp-3, 0x1.946364661c286p-3, 0x1.8d9c017dd5effp-3, 0x1.86e495e335219p-3, 0x1.803d606290217p-3, 0x1.79a69bf927a47p-3, 0x1.73207fe6b57ddp-3, 0x1.6cab3fbf56e77p-3, 0x1.66470b7daff72p-3, 0x1.5ff40f9556535p-3, 0x1.59b2750567017p-3, 0x1.5382616b51dcap-3, 0x1.4d63f715c91c7p-3, 0x1.47575517cde2bp-3, 0x1.415c975bd72ccp-3, 0x1.3b73d6b70fa36p-3, 0x1.359d28fc91a83p-3, 0x1.2fd8a110bce5ap-3, 0x1.2a264efc78849p-3, 0x1.248640008293dp-3, 0x1.1ef87ea8a5ed7p-3, 0x1.197d12deebb64p-3, 0x1.141401feb51d1p-3, 0x1.0ebd4ee7be3bcp-3, 0x1.0978fa11030ffp-3, 0x1.0447019b868b8p-3, 0x1.fe4ec2c9ececp-4, 0x1.f434263446a63p-4, 0x1.ea3e1c92a8713p-4, 0x1.e06c90e8cd7dbp-4, 0x1.d6bf6a4585ec3p-4, 0x1.cd368be631a58p-4, 0x1.c3d1d559d1a5bp-4, 0x1.ba9122a3aa725p-4, 0x1.b1744c5d66244p-4, 0x1.a87b27d8d3ed8p-4, 0x1.9fa587410ccf7p-4, 0x1.96f339bb2fd15p-4, 0x1.8e640b8692016p-4, 0x1.85f7c61c61051p-4, 0x1.7dae304ec64acp-4, 0x1.75870e6779739p-4, 0x1.6d822245c46a3p-4, 0x1.659f2b7bfa90cp-4, 0x1.5ddde76c5bfacp-4, 0x1.563e116566d06p-4, 0x1.4ebf62bd9545ep-4, 0x1.476192ee8609dp-4, 0x1.402457af900c9p-4, 0x1.3907650fbdee2p-4, 0x1.320a6d8f362cfp-4, 0x1.2b2d22380a749p-4, 0x1.246f32b66f1a1p-4, 0x1.1dd04d70611bfp-4, 0x1.17501f9caf628p-4, 0x1.10ee555972842p-4, 0x1.0aaa99c1ee792p-4, 0x1.04849703def4ap-4, 0x1.fcf7ece861bp-5, 0x1.f120c1465236dp-5, 0x1.e582fadff3657p-5, 0x1.da1de8378bacfp-5, 0x1.cef0d6b832c67p-5, 0x1.c3fb12d99aa76p-5, 0x1.b93be842ced21p-5, 0x1.aeb2a1ebd051ap-5, 0x1.a45e8a3e27047p-5, 0x1.9a3eeb3465bcbp-5, 0x1.90530e78997aap-5, 0x1.869a3d81bed7dp-5, 0x1.7d13c1b0266a1p-5, 0x1.73bee468e2286p-5, 0x1.6a9aef30335f5p-5, 0x1.61a72bc2ff8a4p-5, 0x1.58e2e42f5429cp-5, 0x1.504d62ebf8e23p-5, 0x1.47e5f2ef16381p-5, 0x1.3fabdfc3f5d79p-5, 0x1.379e759fe1adep-5, 0x1.2fbd01761df55p-5, 0x1.2806d10b12434p-5, 0x1.207b330697bdp-5, 0x1.1919770574312p-5, 0x1.11e0edaa0e0cfp-5, 0x1.0ad0e8ac554d4p-5, 0x1.03e8bae8e767fp-5, 0x1.fa4f70dee6e71p-6, 0x1.ed1a6d20d454cp-6, 0x1.e03117d3dd0c4p-6, 0x1.d39220e833352p-6, 0x1.c73c3b191fd82p-6, 0x1.bb2e1c02e000ep-6, 0x1.af667c3729106p-6, 0x1.a3e417508366bp-6, 0x1.98a5ac0456ccap-6, 0x1.8da9fc33d9deap-6, 0x1.82efccfbca704p-6, 0x1.7875e6c30f46bp-6, 0x1.6e3b154846aeep-6, 0x1.643e27ae4086ep-6, 0x1.5a7df0877119dp-6, 0x1.50f945e06b949p-6, 0x1.47af01496798cp-6, 0x1.3e9dffdecb97ep-6, 0x1.35c52250df266p-6, 0x1.2d234cea9517bp-6, 0x1.24b7679783e6bp-6, 0x1.1c805de906164p-6, 0x1.147d1f1a97a5dp-6, 0x1.0cac9e156f322p-6, 0x1.050dd17356fa3p-6, 0x1.fb3f6701ba03fp-7, 0x1.ecc2847d94461p-7, 0x1.dea2fec5ed206p-7, 0x1.d0dee0b0f62edp-7, 0x1.c3743c7e91f95p-7, 0x1.b6612bd66a2f5p-7, 0x1.a9a3cfc4cedc1p-7, 0x1.9d3a50b68a344p-7, 0x1.9122de73c2515p-7, 0x1.855bb019cf874p-7, 0x1.79e304142919bp-7, 0x1.6eb720146df2ap-7, 0x1.63d651098ac2dp-7, 0x1.593eeb161f52dp-7, 0x1.4eef498614f17p-7, 0x1.44e5cec381298p-7, 0x1.3b20e44ac3b79p-7, 0x1.319efa9e16ea6p-7, 0x1.285e89385eebfp-7, 0x1.1f5e0e7f81d66p-7, 0x1.169c0fb628e97p-7, 0x1.0e1718ece48c8p-7, 0x1.05cdbcf2e96edp-7, 0x1.fb7d2a8c96f36p-8, 0x1.ebd08407b0253p-8, 0x1.dc92d3acfeb47p-8, 0x1.cdc173cca2aadp-8, 0x1.bf59cb8e5ba49p-8, 0x1.b1594ece4ea33p-8, 0x1.a3bd7df908404p-8, 0x1.9683e5e735f92p-8, 0x1.89aa1fb895a96p-8, 0x1.7d2dd0ae91fcap-8, 0x1.710caa067822ap-8, 0x1.654468d3428e2p-8, 0x1.59d2d5d72c882p-8, 0x1.4eb5c55cd76cbp-8, 0x1.43eb17103b44cp-8, 0x1.3970b5d764b5cp-8, 0x1.2f4497aafe96dp-8, 0x1.2564bd6ebb6ebp-8, 0x1.1bcf32c9c32b1p-8, 0x1.12820dfec82dcp-8, 0x1.097b6fc4348e9p-8, 0x1.00b9831c5b964p-8, 0x1.f074fa5b1f475p-9, 0x1.dff93a34e5c9cp-9, 0x1.cffc57b444221p-9, 0x1.c07af82114f4cp-9, 0x1.b171d3cdacba9p-9, 0x1.a2ddb5c7f82c9p-9, 0x1.94bb7b8ae6afdp-9, 0x1.870814b05bdc7p-9, 0x1.79c082a335498p-9, 0x1.6ce1d851c6902p-9, 0x1.606939e0f01f1p-9, 0x1.5453dc5f98022p-9, 0x1.489f057a92201p-9, 0x1.3d480b316916dp-9, 0x1.324c538b64743p-9, 0x1.27a9544d09a79p-9, 0x1.1d5c92aeb4bd1p-9, 0x1.1363a3135d016p-9, 0x1.09bc28c055495p-9, 0x1.0063d595a167dp-9, 0x1.eeb0d38e1857p-10, 0x1.dd2f672b8fb09p-10, 0x1.cc3f1e15dc3dap-10, 0x1.bbdbcb65933aap-10, 0x1.ac015cb1a70a5p-10, 0x1.9cabd988fa14p-10, 0x1.8dd762ede8e96p-10, 0x1.7f8032d26128dp-10, 0x1.71a29b96c4721p-10, 0x1.643b0789c9cf5p-10, 0x1.5745f86a1637cp-10, 0x1.4ac006e9af13ap-10, 0x1.3ea5e2331f58bp-10, 0x1.32f44f70331ap-10, 0x1.27a829521ec26p-10, 0x1.1cbe5f9bdee2dp-10, 0x1.1233f6ade6658p-10, 0x1.08060713c9a92p-10, 0x1.fc637a26dc505p-11, 0x1.e968b07c82c86p-11, 0x1.d71656076adadp-11, 0x1.c567348b3a527p-11, 0x1.b45639dcfa914p-11, 0x1.a3de77125132p-11, 0x1.93fb1fb50183ep-11, 0x1.84a788f96387p-11, 0x1.75df28f809d6dp-11, 0x1.679d95eb078b7p-11, 0x1.59de856eb8931p-11, 0x1.4c9dcbc55dc5bp-11, 0x1.3fd75b1e55c98p-11, 0x1.338742e0ba428p-11, 0x1.27a9aef962e09p-11, 0x1.1c3ae72bb072dp-11, 0x1.11374e65b8388p-11, 0x1.069b6217b790fp-11, 0x1.f8c7731d26093p-12, 0x1.e51a0aa3e3c9dp-12, 0x1.d2281d08ebcfp-12, 0x1.bfeb6c9013af2p-12, 0x1.ae5dea497e33cp-12, 0x1.9d79b4e59b048p-12, 0x1.8d39178e92c68p-12, 0x1.7d9688c810305p-12, 0x1.6e8ca954cc0b8p-12, 0x1.60164321f4022p-12, 0x1.522e48383cef7p-12, 0x1.44cfd1b1e4e5dp-12, 0x1.37f61eb77aa48p-12, 0x1.2b9c9380fb303p-12, 0x1.1fbeb85cd33a4p-12, 0x1.145838bbcee33p-12, 0x1.0964e24310dfep-12, 0x1.fdc147c4c4eabp-13, 0x1.e98f19e0459cep-13, 0x1.d62b9893d0a87p-13, 0x1.c38f5ef48bf3ap-13, 0x1.b1b343c6610f9p-13, 0x1.a09057da8ee7bp-13, 0x1.901fe47892a95p-13, 0x1.805b69ce02affp-13, 0x1.713c9d6a43123p-13, 0x1.62bd68c19e97bp-13, 0x1.54d7e7b9eef0cp-13, 0x1.4786673ed3ad7p-13, 0x1.3ac363df8c468p-13, 0x1.2e89887457e3fp-13, 0x1.22d3accdb2c1ap-13, 0x1.179cd46934bb5p-13, 0x1.0ce02d305dacfp-13, 0x1.02990e3dee10bp-13, 0x1.f185ed58db2ecp-14, 0x1.deb318d4224e7p-14, 0x1.ccb1362cdab71p-14, 0x1.bb7825c977e8cp-14, 0x1.ab000f0e13cb1p-14, 0x1.9b415e4137903p-14, 0x1.8c34c27bc8a2dp-14, 0x1.7dd32ba66fdfap-14, 0x1.7015c8875b2dp-14, 0x1.62f604d8338cep-14, 0x1.566d876c62057p-14, 0x1.4a7630634a433p-14, 0x1.3f0a1762b75ecp-14, 0x1.342389e1ac8c4p-14, 0x1.29bd097d03048p-14, 0x1.1fd14a57b0323p-14, 0x1.165b3184aafaap-14, 0x1.0d55d37e45616p-14, 0x1.04bc72a5737d9p-14, 0x1.f914fb9941e23p-15, 0x1.e9771d9d67e41p-15, 0x1.da96d2579450fp-15, 0x1.cc6bf165133fep-15, 0x1.beeea0657becap-15, 0x1.b217506f945f2p-15, 0x1.a5debb9cdd592p-15, 0x1.9a3de2a2d03a5p-15, 0x1.8f2e0a7fa7218p-15, 0x1.84a8ba3455ac3p-15, 0x1.7aa7b89553c7bp-15, 0x1.71250a2797861p-15, 0x1.681aef0ce10acp-15, 0x1.5f83e0ff853cfp-15, 0x1.575a915f209d3p-15, 0x1.4f99e749e816fp-15, 0x1.483cfdc5b4657p-15, 0x1.413f21f7faafdp-15, 0x1.3a9bd165f7769p-15, 0x1.344eb84849144p-15, 0x1.2e53afe79d616p-15, 0x1.28a6bd096e979p-15, 0x1.23440e6559909p-15, 0x1.1e27fb27a1651p-15, 0x1.194f0180d4e56p-15, 0x1.14b5c53daa591p-15, 0x1.10590e6cb198dp-15, 0x1.0c35c8114081p-15, 0x1.0848fed86690fp-15, 0x1.048fdfe0ac8c2p-15, 0x1.0107b786980a3p-15, 0x1.fb5be07a6e42fp-16, 0x1.f50022e0574d9p-16, 0x1.eef77cdb40a6ap-16, 0x1.e93d6ab32b04p-16, 0x1.e3cd9c52f7401p-16, 0x1.dea3f352ac689p-16, 0x1.d9bc81109ec4dp-16, 0x1.d51384dd9df39p-16, 0x1.d0a56a3340109p-16, 0x1.cc6ec6facd4b1p-16, 0x1.c86c59e629688p-16, 0x1.c49b08d3ca41fp-16, 0x1.c0f7df409c636p-16, 0x1.bd800ccc1dcb1p-16, 0x1.ba30e3c0490a3p-16, 0x1.b707d7af834dp-16, 0x1.b4027c1671d39p-16, 0x1.b11e8313b0738p-16, 0x1.ae59bc231a83p-16, 0x1.abb212e73db46p-16, 0x1.a9258dfcae29bp-16, 0x1.a6b24dd8230fcp-16, 0x1.a4568bb0665c9p-16, 0x1.a210986e084aep-16, 0x1.9fdedbaf13f88p-16, 0x1.9dbfd2c6643d5p-16, 0x1.9bb20fcc0fd95p-16, 0x1.99b438b5a53b9p-16, 0x1.97c50677935cdp-16, 0x1.95e3442c6d66bp-16, 0x1.940dce46aa8p-16, 0x1.924391c81e874p-16, 0x1.90838b82710abp-16, 0x1.8eccc75b75347p-16, 0x1.8d1e5f9c9a39ap-16, 0x1.8b777c4bf9fe2p-16, 0x1.89d752843d677p-16, 0x1.883d23d6135cap-16, 0x1.86a83db1e93a2p-16, 0x1.8517f8d608cefp-16, 0x1.838bb8c1896b5p-16, 0x1.8202eb2e6c3e1p-16, 0x1.807d07910360ap-16, 0x1.7ef98e9bf3074p-16, 0x1.7d7809c69dabp-16, 0x1.7bf80adc98877p-16, 0x1.7a792b92de122p-16, 0x1.78fb0d1c1b4d7p-16, 0x1.777d57c6338d3p-16, 0x1.75ffba9845371p-16, 0x1.7481eaf8ec5bcp-16, 0x1.7303a453e83ap-16, 0x1.7184a7c7099b8p-16, 0x1.7004bbcfa39e8p-16, 0x1.6e83ac00fce6p-16, 0x1.6d0148b7289d4p-16, 0x1.6b7d66d08e213p-16, 0x1.69f7df6dc53c5p-16, 0x1.68708fae44dbep-16, 0x1.66e7587409e9bp-16, 0x1.655c1e29a5859p-16, 0x1.63cec88aa2c35p-16, 0x1.623f426e0a487p-16, 0x1.60ad7993b8a6dp-16, 0x1.5f195e729d762p-16, 0x1.5d82e40cae508p-16, 0x1.5be9ffc293311p-16, 0x1.5a4ea929b7503p-16, 0x1.58b0d9e61ed95p-16, 0x1.57108d84ccbe9p-16, 0x1.556dc155d43d7p-16, 0x1.53c8744daa97bp-16, 0x1.5220a6e2d2ee6p-16, 0x1.50765af19812bp-16, 0x1.4ec9939f237c7p-16, 0x1.4d1a553d773c8p-16, 0x1.4b68a53159218p-16, 0x1.49b489da7d99dp-16, 0x1.47fe0a7c76954p-16, 0x1.46452f295376cp-16, 0x1.448a00aebd4cp-16, 0x1.42cc8881923a7p-16, 0x1.410cd0aaf4055p-16, 0x1.3f4ae3b9402ep-16, 0x1.3d86ccae81b81p-16, 0x1.3bc096f2a8808p-16, 0x1.39f84e459b1c5p-16, 0x1.382dfeb30d3cbp-16, 0x1.3661b48400b7bp-16, 0x1.34937c3490b92p-16, 0x1.32c362699a5dap-16, 0x1.30f173e604be2p-16, 0x1.2f1dbd82f2c8p-16, 0x1.2d484c27bfc2p-16, 0x1.2b712cc0a6fcbp-16, 0x1.29986c37f577dp-16, 0x1.27be1770b182cp-16, 0x1.25e23b3eacdffp-16, 0x1.2404e4622e5c3p-16, 0x1.22261f8320e74p-16, 0x1.2045f92c5e0d7p-16, 0x1.1e647dc690ae9p-16, 0x1.1c81b9950c816p-16, 0x1.1a9db8b30062p-16, 0x1.18b8870f99b08p-16, 0x1.16d2306c366d6p-16, 0x1.14eac05ab146ep-16, 0x1.130242397dc2ap-16, 0x1.1118c133e1e36p-16, 0x1.0f2e4840107dbp-16, 0x1.0d42e21d466f2p-16, 0x1.0b5699537e3c3p-16, 0x1.0969783346459p-16, 0x1.077b88d4aaa3bp-16, 0x1.058cd5164d201p-16, 0x1.039d669e48e8fp-16, 0x1.01ad46da287b1p-16, 0x1.ff78fdfe1d683p-17, 0x1.fb96301353b44p-17, 0x1.f7b2357f1987ap-17, 0x1.f3cd1f5ea5bf1p-17, 0x1.efe6fe6181414p-17, 0x1.ebffe2ced1ad3p-17, 0x1.e817dc833a0ap-17, 0x1.e42efaf558d0dp-17, 0x1.e0454d3711f3p-17, 0x1.dc5ae1f8ee1ap-17, 0x1.d86fc78ad8e2fp-17, 0x1.d4840bdeac45p-17, 0x1.d097bc8c49ba2p-17, 0x1.ccaae6d4bb86bp-17, 0x1.c8bd97a302cf6p-17, 0x1.c4cfdb8fee769p-17, 0x1.c0e1bee5d97a5p-17, 0x1.bcf34da1c84dp-17, 0x1.b904937773952p-17, 0x1.b5159bd5263f2p-17, 0x1.b12671e4a4132p-17, 0x1.ad37208f416cap-17, 0x1.a947b2812e4d8p-17, 0x1.a558322ca04b1p-17, 0x1.a168a9cb8a1b9p-17, 0x1.9d7923624b04p-17, 0x1.9989a8c41a25ep-17, 0x1.959a4395d712dp-17, 0x1.91aafd4fce521p-17, 0x1.8dbbdf403c216p-17, 0x1.89ccf28f659dcp-17, 0x1.85de404204755p-17, 0x1.81efd13a03b1cp-17, 0x1.7e01ae3c47c8ap-17, 0x1.7a13dfeff3419p-17, 0x1.76266ee2929b4p-17, 0x1.723963898d3abp-17, 0x1.6e4cc6462613dp-17, 0x1.6a609f668a995p-17, 0x1.6674f72743acp-17, 0x1.6289d5b61326ap-17, 0x1.5e9f433493717p-17, 0x1.5ab547b978e2fp-17, 0x1.56cbeb5254d42p-17, 0x1.52e336048a9fbp-17, 0x1.4efb2fd1caefp-17, 0x1.4b13e0b76eb71p-17, 0x1.472d50affd573p-17, 0x1.434787b6d4c51p-17, 0x1.3f628dc69a7edp-17, 0x1.3b7e6adc33761p-17, 0x1.379b26f76bab8p-17, 0x1.33b8ca1d9bf48p-17, 0x1.2fd75c5a112b3p-17, 0x1.2bf6e5be3a961p-17, 0x1.28176e63d77ccp-17, 0x1.2438fe6cd063ep-17, 0x1.205b9e052a68dp-17, 0x1.1c7f55630b94bp-17, 0x1.18a42cc6c235cp-17, 0x1.14ca2c7da6be2p-17, 0x1.10f15ce1be60dp-17, 0x1.0d19c658d8f3dp-17, 0x1.094371579d2dap-17, 0x1.056e665f7ecd8p-17, 0x1.019aae003d61p-17, 0x1.fb90a1af0c9aap-18, 0x1.f3eeaf2357ab9p-18, 0x1.ec4f95d793cd1p-18, 0x1.e4b3676206ad8p-18, 0x1.dd1a3577f33bep-18, 0x1.d58411ed583a7p-18, 0x1.cdf10eb3a22f5p-18, 0x1.c6613ddb7c4fp-18, 0x1.bed4b192a8865p-18, 0x1.b74b7c24d9f5p-18, 0x1.afc5affdade87p-18, 0x1.a8435fa531838p-18, 0x1.a0c49dbf24171p-18, 0x1.99497d0d9fee9p-18, 0x1.91d2106c40e7cp-18, 0x1.8a5e6ad1c9d6ep-18, 0x1.82ee9f4e2d90cp-18, 0x1.7b82c109669dcp-18, 0x1.741ae348aad94p-18, 0x1.6cb719661bba9p-18, 0x1.655776d2141a4p-18, 0x1.5dfc0f13034d1p-18, 0x1.56a4f5c26539bp-18, 0x1.4f523e8cd155ap-18, 0x1.4803fd302a047p-18, 0x1.40ba457a64ba8p-18, 0x1.39752b4c57ae5p-18, 0x1.3234c2921915dp-18, 0x1.2af91f4541573p-18, 0x1.23c2556a9b023p-18, 0x1.1c907911f2aep-18, 0x1.15639e5136ef6p-18, 0x1.0e3bd946ed43dp-18, 0x1.07193e146fc56p-18, 0x1.fff7c1c33635p-19, 0x1.f1c7abb6f1d07p-19, 0x1.e3a2625ae2f02p-19, 0x1.d5880e0788c4dp-19, 0x1.c778d70eea538p-19, 0x1.b974e5bd12f8fp-19, 0x1.ab7c62516098ap-19, 0x1.9d8f74fe7e6cap-19, 0x1.8fae45e703c0dp-19, 0x1.81d8fd1fc929dp-19, 0x1.740fc2a14d048p-19, 0x1.6652be4b6c59fp-19, 0x1.58a217e146413p-19, 0x1.4afdf7087ac23p-19, 0x1.3d66833f58e39p-19, 0x1.2fdbe3ddf35e6p-19, 0x1.225e4013bcfddp-19, 0x1.14edbee21e3c2p-19, 0x1.078a8722e1e71p-19, 0x1.f4697ef3e71a2p-20, 0x1.d9d91cab8b0bep-20, 0x1.bf6433d708eb3p-20, 0x1.a50b1068c964ep-20, 0x1.8acdfdd6fd442p-20, 0x1.70ad4716d75ap-20, 0x1.56a9368f30ec7p-20, 0x1.3cc2162b80aa4p-20, 0x1.22f82f3c15f5cp-20, 0x1.094bca7704348p-20, 0x1.df7a5fe7f0b7p-21, 0x1.ac994e5ea9213p-21, 0x1.79f4edf774bb9p-21, 0x1.478dcaf26c162p-21, 0x1.1564702f50048p-21, 0x1.c6f2ce40047bp-22, 0x1.639a6f88a10dep-22, 0x1.00c0d158d5552p-22, 0x1.3ccdfb6feb1efp-23, 0x1.e46fdbed91b5bp-25, -0x1.26498ddb2fc0ap-25, -0x1.0b3b133dcbf86p-23, -0x1.cbdc1e5dbce12p-23, -0x1.45b9c8c8d572cp-22, -0x1.a4ffc05ae8584p-22, -0x1.01df818d58211p-21, -0x1.30fb50f6515e7p-21, -0x1.5fd2d8ac4a704p-21, -0x1.8e65a4d51a2bap-21, -0x1.bcb34360a3d0ap-21, -0x1.eabb4427886e7p-21, -0x1.0c3e9c79cf6bbp-20, -0x1.22fc5ac344239p-20, -0x1.3996a7c514182p-20, -0x1.500d4f5b26d45p-20, -0x1.66601e53a6883p-20, -0x1.7c8ee2814a82dp-20, -0x1.92996abe02e0cp-20, -0x1.a87f86ef2d607p-20, -0x1.be41080473ffcp-20, -0x1.d3ddbff88d863p-20, -0x1.e95581d28740ap-20, -0x1.fea821aeaea36p-20, -0x1.09eaba592c216p-19, -0x1.146ea889c2bep-19, -0x1.1edfc7101f037p-19, -0x1.293e021ffbd5dp-19, -0x1.33894678664d7p-19, -0x1.3dc181612d1fbp-19, -0x1.47e6a0b00f0f1p-19, -0x1.51f892ca1e048p-19, -0x1.5bf746a10ec42p-19, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      42, 0x1.399999999999ap+2, 0x1.118f72f79c965p+1, 0x1.065890352b791p+2, -0x1.4e6b413c15fe6p-5, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c6b251ffb2f9fp-4, -0x1.4c486acac777cp-2, 0x1.63136b8f8aa8cp-2, -0x1.1356d3312e94dp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.87b8cf32ff97bp-4, -0x1.29ceccfcedef9p-2, 0x1.4e6ce88573f71p-2, -0x1.11a72b3a86d67p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.4f6faa1db34edp-4, -0x1.0964377f7bce3p-2, 0x1.39e6c54776a7p-2, -0x1.10382d0165c23p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.1d6dc96d0bc55p-4, -0x1.d60b573cd8528p-3, 0x1.257c284dc2386p-2, -0x1.0eb7db987cfep-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.e2954bf4e7e88p-5, -0x1.9d60b02f13b28p-3, 0x1.112e5e3bec0bcp-2, -0x1.0d3c2d31251bp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.953c95970849dp-5, -0x1.68c2bef4bdba1p-3, 0x1.f9fa1c16df53dp-3, -0x1.0bbf45f359e7p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.5202aa2403e3dp-5, -0x1.382bcf3b51aadp-3, 0x1.d1d09e6591d75p-3, -0x1.0a429f0dc604ep-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.1819e857c0909p-5, -0x1.0b962ad32f72fp-3, 0x1.a9e039bd1a89fp-3, -0x1.08c62f9dc94eep-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.cd6ba68cfd94cp-6, -0x1.c5f838e57a0c6p-4, 0x1.8228e5cbd5f1p-3, -0x1.0748a1ff3996ap-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.7a1624b9b360ep-6, -0x1.7cafda2ac72a1p-4, 0x1.5aaacd7f26e76p-3, -0x1.05cf55a55bf6ep-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.349ee2bf8e064p-6, -0x1.3b47d778f2af1p-4, 0x1.33654d7325e8fp-3, -0x1.044622674d3a9p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f6e781b25c971p-7, -0x1.01b4a2193a56dp-4, 0x1.0c5ac84a0d864p-3, -0x1.02f849754cd81p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.9a09cfe3d47dfp-7, -0x1.9fd6a45d79417p-5, 0x1.cb04adbdb7328p-4, -0x1.00ccee374667ap-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.4f89934b9a63p-7, -0x1.4bbd225d075ddp-5, 0x1.7dfa6646bbac7p-4, -0x1.01dc41dd429b9p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.145040832f7a6p-7, -0x1.071438d814789p-5, 0x1.309eb8eac14aep-4, -0x1.dab868a677bffp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.caa1779e5f48fp-8, -0x1.a28d3519cfdbcp-6, 0x1.d2d2ec09f8431p-5, -0x1.868e8b0002944p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.7f79cc93c6f5cp-8, -0x1.50e74c9f7f8ffp-6, 0x1.5da828bd2aaf8p-5, -0x1.38fb0bb93f0dp-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.4276561ba472bp-8, -0x1.145c8f11247p-6, 0x1.ff867da4c924bp-6, -0x1.d2670b5bbb087p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.0fd6bafee3d91p-8, -0x1.d068fdaa7abc1p-7, 0x1.739ac709443bp-6, -0x1.374b78aa8309p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.c99ae5349dd2p-9, -0x1.8f6d945bd24dp-7, 0x1.16375609501fp-6, -0x1.1d941bd8b6762p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.7eff89bd1a0bap-9, -0x1.5c1188b068dadp-7, 0x1.d6c23d519cb4bp-7, -0x1.f1045e946487cp-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3df7c3b9f5769p-9, -0x1.2edb3f1267a3dp-7, 0x1.b17b83067b909p-7, -0x1.14e54d9f7b4e5p-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.0597c9a9d8d27p-9, -0x1.0595bc26caedbp-7, 0x1.87f2b761c2ab7p-7, -0x1.f968fe7f439cbp-8}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.aa235d03c3b09p-10, -0x1.c0921d3725d42p-8, 0x1.620ad77e9d98fp-7, -0x1.e53488a0cd1cfp-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5743218ea48d3p-10, -0x1.7d66bd6197355p-8, 0x1.3da6e6d8f49d7p-7, -0x1.c97350a79edf2p-8}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.111b351f1fbb2p-10, -0x1.414d43a818c2p-8, 0x1.1b57da65fbe67p-7, -0x1.afb7fa381d5aap-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.ac98060091871p-11, -0x1.0bdefe5566994p-8, 0x1.f5edb5a9f365fp-8, -0x1.9571dfbc9c868p-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4b141b3af669p-11, -0x1.b9702735e16b8p-9, 0x1.b91ca0e74250dp-8, -0x1.7b50f3e768d68p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f677ba096a9ap-12, -0x1.66e7cd3f94737p-9, 0x1.8036e2b7bf641p-8, -0x1.6126118504fffp-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.7591596b4ad62p-12, -0x1.1f5c1d9b8bb04p-9, 0x1.4b3df9b0983dep-8, -0x1.46fddab11210cp-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.0f3833cc5c167p-12, -0x1.c408563853583p-10, 0x1.1a317f493beecp-8, -0x1.2cd4ec308d99cp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7eff89bd1a0b7p-13, -0x1.5c2e2026ba804p-10, 0x1.da231e1d80963p-9, -0x1.12ac30d3dd159p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.0597c9a9d8d14p-13, -0x1.0597c9ac4dcfbp-10, 0x1.87bc42aabe41ap-9, -0x1.f106c128dcacap-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5743218ea48a8p-14, -0x1.7d6708b6d1059p-11, 0x1.3d2e727e36c19p-9, -0x1.bcb5617842e6cp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.ac98060091848p-15, -0x1.0bdf043db2e35p-11, 0x1.f4f347bebfd82p-10, -0x1.8863285425046p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.f677ba096a9ap-16, -0x1.66e7ca5d1b43p-12, 0x1.7f3beed8b4bd9p-10, -0x1.5414142fcb9eap-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.0f3833cc5c06p-16, -0x1.c40871ac2f024p-13, 0x1.1935e8ca5e0e6p-10, -0x1.1fb9457fd30e8p-9}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.0597c9a9d8ep-17, -0x1.0597639ebfa45p-13, 0x1.85c974ae70aafp-11, -0x1.d71477fd93b9bp-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.ac98060090dffp-19, -0x1.0be1fd69f9705p-14, 0x1.f0ed07c4bbe78p-12, -0x1.6d6fb09aa054ap-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0f3833cc5affep-20, -0x1.c3dbec1380f45p-16, 0x1.15aa0434c21cp-12, -0x1.088e305ddb009p-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.ac98060094p-23, -0x1.0d2a887c1f53cp-17, 0x1.dbb936582e0a5p-14, -0x1.23cc8fd2582f2p-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.ac9805ffc0001p-27, -0x1.ca6a20b2f109p-21, 0x1.f6422708aa8p-16, -0x1.8682dfdf8c9d2p-11}, 
      }}, 
      0x1.6f75affc5f86fp-7, -0x1.1b2ec1b8acc1ep-4
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_o_ca() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.651dc0889d092p-5, 0x1.b630d6d1ba18ap-5, 0x1.1a74daf42d4a8p-4, 0x1.6be100df1deeep-4, 0x1.ca4e2d5a5eb9bp-4, 0x1.186c7cebcc9d9p-3, 0x1.4d85f5110821fp-3, 0x1.8280769109f9ep-3, 0x1.b5b6fe252b3b2p-3, 0x1.e5d225fd451f1p-3, 0x1.08e1e2f80ef95p-2, 0x1.1c6038a5ce4efp-2, 0x1.2d1bfc477bdd2p-2, 0x1.3ae6d45cfc22p-2, 0x1.45a85e58dd6f8p-2, 0x1.4d5aa36eb275p-2, 0x1.5206dc75f760dp-2, 0x1.53c28c82df722p-2, 0x1.52acf2a7a3b6cp-2, 0x1.4eeccf16b6db6p-2, 0x1.48ae7663d7835p-2, 0x1.40222c1f3c6c7p-2, 0x1.357abefa776a1p-2, 0x1.28ec5e2f54e22p-2, 0x1.1aaba146f2497p-2, 0x1.0aecbb3a2dd97p-2, 0x1.f3c5a62cf6301p-3, 0x1.cf7efa5601a5p-3, 0x1.a964a0fd6f4e9p-3, 0x1.81d129a296907p-3, 0x1.591a0bbcbf3a9p-3, 0x1.2f8f51ee9b686p-3, 0x1.057b649cd2496p-3, 0x1.b645de7b9ef72p-4, 0x1.6189b91022112p-4, 0x1.0d34cbb0b39a3p-4, 0x1.735cc476ab1a9p-5, 0x1.9d4be1be2de39p-6, 0x1.674aa079c7a4dp-8, -0x1.c522d4d7b79cbp-7, -0x1.0b72995e723e5p-5, -0x1.a1285a4da17c7p-5, -0x1.19074ea1d51a7p-4, -0x1.5eeca77a49f7fp-4, -0x1.a2254286fcea9p-4, -0x1.e298bd8c5e8p-4, -0x1.101a4bfce88a7p-3, -0x1.2d75e5c176706p-3, -0x1.495b156eb28ffp-3, -0x1.63c7fb35c63dep-3, -0x1.7cbcae4e1c392p-3, -0x1.943b07bd16a88p-3, -0x1.aa466dca8ee2fp-3, -0x1.bee3a556b9ce4p-3, -0x1.d218a64717691p-3, -0x1.e3ec732b5c8f7p-3, -0x1.f466f28956697p-3, -0x1.01c8668d73e6ep-2, -0x1.08b9a6722cfb9p-2, -0x1.0f0c206a810c7p-2, -0x1.14c4f108ea8a9p-2, -0x1.19e95d2d083d8p-2, -0x1.1e7ec6809933ep-2, -0x1.228aa10358b3cp-2, -0x1.26126a50136fcp-2, -0x1.291ba13d50f64p-2, -0x1.2babbf0d34bc2p-2, -0x1.2dc831017cc48p-2, -0x1.2f7652ce882a1p-2, -0x1.30bb69b4572fap-2, -0x1.319ca06b616cbp-2, -0x1.321f03d5b79eap-2, -0x1.32478059840e4p-2, -0x1.321adff96a9bcp-2, -0x1.319dc87b8e90fp-2, -0x1.30d4ba6f3c7eep-2, -0x1.2fc410269796bp-2, -0x1.2e6ffd0222d33p-2, -0x1.2cdc8d5675c25p-2, -0x1.2b0da6279901fp-2, -0x1.2907057bf641dp-2, -0x1.26cc42c3925dcp-2, -0x1.2460cf889822p-2, -0x1.21c7f80d29a0ap-2, -0x1.1f04e4402cd69p-2, -0x1.1c1a989d2d41p-2, -0x1.190bf720adcd7p-2, -0x1.15dbc046c5385p-2, -0x1.128c940f6b7ep-2, -0x1.0f20f318c298ap-2, -0x1.0b9b3f94906d9p-2, -0x1.07fdbe7b43698p-2, -0x1.044a98931923dp-2, -0x1.0083db895d073p-2, -0x1.f956f60ad2574p-3, -0x1.f186a3796df8cp-3, -0x1.e99a44d72551dp-3, -0x1.e19531d366814p-3, -0x1.d97a9603ad3f2p-3, -0x1.d14d731ffe15ap-3, -0x1.c910a29f894cfp-3, -0x1.c0c6d7510c00ap-3, -0x1.b8729efe0a226p-3, -0x1.b016649ea0348p-3, -0x1.a7b47103f5308p-3, -0x1.9f4eed3cb6294p-3, -0x1.96e7e2f58487cp-3, -0x1.8e813ec8e921ep-3, -0x1.861cd0bf1095bp-3, -0x1.7dbc4e7e6694ap-3, -0x1.756153950cd0bp-3, -0x1.6d0d62fe3af39p-3, -0x1.64c1e86e837a7p-3, -0x1.5c8038d1ba5aap-3, -0x1.544993cef19c2p-3, -0x1.4c1f246ba7c12p-3, -0x1.4402024bb5135p-3, -0x1.3bf3320350cb5p-3, -0x1.33f3a66552563p-3, -0x1.2c044123cce9bp-3, -0x1.2425d39103bc1p-3, -0x1.1c591f6799d07p-3, -0x1.149ed7624d82ap-3, -0x1.0cf7a00cc743fp-3, -0x1.0564104c9881ep-3, -0x1.fbc9641f04a1p-4, -0x1.ecf405be63f32p-4, -0x1.de48e8ec004eep-4, -0x1.cfc8da90bd414p-4, -0x1.c174922084db4p-4, -0x1.b34cb2b9b687fp-4, -0x1.a551cbee8730cp-4, -0x1.97845aed6537fp-4, -0x1.89e4cb422af78p-4, -0x1.7c7377c243d6dp-4, -0x1.6f30ab955ca46p-4, -0x1.621ca2b64533dp-4, -0x1.55378b09a41dcp-4, -0x1.48818503dbb1ap-4, -0x1.3bfaa44d9fc5cp-4, -0x1.2fa2f0948fad6p-4, -0x1.237a664783fa1p-4, -0x1.1780f72469549p-4, -0x1.0bb68ad796f5dp-4, -0x1.001affa4d2489p-4, -0x1.e95c5623a79dfp-5, -0x1.d2dfb47de5052p-5, -0x1.bcbfa569594c9p-5, -0x1.a6fba53d85471p-5, -0x1.91932339c9683p-5, -0x1.7c8581fd3e2fdp-5, -0x1.67d218959f996p-5, -0x1.53783392689c4p-5, -0x1.3f771570fb837p-5, -0x1.2bcdf7e36958ap-5, -0x1.187c0c58d5ce8p-5, -0x1.05807c9615bd2p-5, -0x1.e5b4d729d9835p-6, -0x1.c111ecb4ff8afp-6, -0x1.9d1668d1fcef9p-6, -0x1.79c0705a1421p-6, -0x1.570e1f412d53dp-6, -0x1.34fd8a910dba4p-6, -0x1.138cc0fa88fd9p-6, -0x1.e573968012b4fp-7, -0x1.a50559c7c4286p-7, -0x1.65cacc4295287p-7, -0x1.27bfeb3347785p-7, -0x1.d5c1598eac12p-8, -0x1.5e5207a5d05f4p-8, -0x1.d2538c55adce4p-9, -0x1.d901ec4df28e3p-10, -0x1.6383a61909ae1p-14, 0x1.a3d64b2780ea5p-10, 0x1.aaa4f165ce885p-9, 0x1.3f90a92a498bdp-8, 0x1.a7b81dbcbc59fp-8, 0x1.06e86137153dfp-7, 0x1.38f13c6e73da8p-7, 0x1.69fa89dc6191ep-7, 0x1.9a082ac2dc561p-7, 0x1.c91df64360fap-7, 0x1.f73fba11d7799p-7, 0x1.12389d3468ef1p-6, 0x1.285b1909f32a4p-6, 0x1.3e092866ca0c1p-6, 0x1.53449d3f9dec3p-6, 0x1.680f43c218249p-6, 0x1.7c6ae2398ca33p-6, 0x1.905939443eac8p-6, 0x1.a3dc03650ad78p-6, 0x1.b6f4f4dfcfb5dp-6, 0x1.c9a5bb8807279p-6, 0x1.dbeffebabd0f9p-6, 0x1.edd55f8caafa7p-6, 0x1.ff5778cc21e29p-6, 0x1.083bef742463dp-5, 0x1.109c0fcf82875p-5, 0x1.18cce13ed4d11p-5, 0x1.20cf241e77e73p-5, 0x1.28a395937a7p-5, 0x1.304aef968d0adp-5, 0x1.37c5e9391b9b5p-5, 0x1.3f1535e792518p-5, 0x1.463986760cff8p-5, 0x1.4d33881ecdebbp-5, 0x1.5403e503ad669p-5, 0x1.5aab445b4a6ap-5, 0x1.612a4a5fee7eep-5, 0x1.678198582ef73p-5, 0x1.6db1cca227244p-5, 0x1.73bb8281a0058p-5, 0x1.799f523cf5184p-5, 0x1.7f5dd16139cf2p-5, 0x1.84f792b5bd122p-5, 0x1.8a6d2660e0c45p-5, 0x1.8fbf19ca2cb87p-5, 0x1.94edf7b464553p-5, 0x1.99fa48166e634p-5, 0x1.9ee490570ec6p-5, 0x1.a3ad5362086e6p-5, 0x1.a85511b516687p-5, 0x1.acdc49802bde9p-5, 0x1.b14376847238cp-5, 0x1.b58b121d9e212p-5, 0x1.b9b3935000fd1p-5, 0x1.bdbd6edb0e053p-5, 0x1.c1a917581c2e8p-5, 0x1.c576fd4ee0a33p-5, 0x1.c9278f68c52dbp-5, 0x1.ccbb3981f88aap-5, 0x1.d032667f71935p-5, 0x1.d38d7e99e1498p-5, 0x1.d6cce8307613fp-5, 0x1.d9f107da307e2p-5, 0x1.dcfa40610827bp-5, 0x1.dfe8f2d5650acp-5, 0x1.e2bd7e901f6aap-5, 0x1.e578413064733p-5, 0x1.e81996c1d989p-5, 0x1.eaa1d947bc8cep-5, 0x1.ed1161c8b420dp-5, 0x1.ef6887692bd89p-5, 0x1.f1a79fbaa3047p-5, 0x1.f3ceff57a3eaap-5, 0x1.f5def94116da3p-5, 0x1.f7d7debde5a7ep-5, 0x1.f9ba00530e108p-5, 0x1.fb85acc7637e2p-5, 0x1.fd3b31a15a3b3p-5, 0x1.fedadba6d89p-5, 0x1.00327ae58bf0cp-4, 0x1.00ece528ab0d4p-4, 0x1.019cd12806e3cp-4, 0x1.024262d5eeb9dp-4, 0x1.02ddbda8d95ebp-4, 0x1.036f048b6c64fp-4, 0x1.03f659e807cbep-4, 0x1.0473dfb1c6ed8p-4, 0x1.04e7b76e92fafp-4, 0x1.0552021c392edp-4, 0x1.05b2e06eeb11dp-4, 0x1.060a7297b34fep-4, 0x1.0658d86011072p-4, 0x1.069e3130f6aa2p-4, 0x1.06da9c0cdc259p-4, 0x1.070e379608357p-4, 0x1.0739221b1dc88p-4, 0x1.075b798fe0f3bp-4, 0x1.07755b9842e39p-4, 0x1.0786e587399bcp-4, 0x1.0790345f54176p-4, 0x1.079164dce5397p-4, 0x1.078a935f8a19dp-4, 0x1.077bdc123af7ap-4, 0x1.07655ad6f2e1dp-4, 0x1.07472b46e7a89p-4, 0x1.072168bdeb4e4p-4, 0x1.06f42e661241dp-4, 0x1.06bf972b13286p-4, 0x1.0683bdbb4c48ap-4, 0x1.0640bc8f53632p-4, 0x1.05f6adecd7831p-4, 0x1.05a5abeb86f6fp-4, 0x1.054dd0613197p-4, 0x1.04ef34fffe4b9p-4, 0x1.0489f34b2eba6p-4, 0x1.041e249d03746p-4, 0x1.03abe22101a6dp-4, 0x1.033344def0455p-4, 0x1.02b465b5b8e53p-4, 0x1.022f5d58fe6ddp-4, 0x1.01a4445d7aa27p-4, 0x1.0113332fe70ap-4, 0x1.007c4219744p-4, 0x1.ffbf12862180ap-5, 0x1.fe7a416a58c54p-5, 0x1.fd2a40ad0cd9ep-5, 0x1.fbcf3fe6ca912p-5, 0x1.fa696e701e6f4p-5, 0x1.f8f8fb6d47e8dp-5, 0x1.f77e15b8fd0c7p-5, 0x1.f5f8ebfe5378p-5, 0x1.f469acbfd4576p-5, 0x1.f2d086240161dp-5, 0x1.f12da63c5d30cp-5, 0x1.ef813ae9c643cp-5, 0x1.edcb71b974227p-5, 0x1.ec0c781f17e3ap-5, 0x1.ea447b5077b48p-5, 0x1.e873a86b9f879p-5, 0x1.e69a2c34eff85p-5, 0x1.e4b8335b12dabp-5, 0x1.e2cdea465dd0ep-5, 0x1.e0db7d4db4891p-5, 0x1.dee11871859cep-5, 0x1.dcdee794bd902p-5, 0x1.dad51664ce4f7p-5, 0x1.d8c3d057de66ep-5, 0x1.d6ab40c6f909fp-5, 0x1.d48b92b842e9bp-5, 0x1.d264f1174b5abp-5, 0x1.d037869374917p-5, 0x1.ce037daeb7d7ap-5, 0x1.cbc900a551ea4p-5, 0x1.c98839a2aa247p-5, 0x1.c741526a16a02p-5, 0x1.c4f474a1a0dc8p-5, 0x1.c2a1c9bab3a87p-5, 0x1.c0497ae7620cep-5, 0x1.bdebb42602139p-5, 0x1.bb88952a7b638p-5, 0x1.b9204f96ac4cep-5, 0x1.b6b308a4b4f7ap-5, 0x1.b440e863ff757p-5, 0x1.b1ca169dfb5e8p-5, 0x1.af4ebadb46a39p-5, 0x1.accefc6517f46p-5, 0x1.aa4b024458a45p-5, 0x1.a7c2f34c3e15bp-5, 0x1.a536f6095507bp-5, 0x1.a2a730c35c939p-5, 0x1.a013c97548e7ep-5, 0x1.9d7ce5d3cd5b4p-5, 0x1.9ae2ab3a27686p-5, 0x1.98453eb8946d2p-5, 0x1.95a4c517fa469p-5, 0x1.930162dda2922p-5, 0x1.905b3c57c540ap-5, 0x1.8db2758abdd3fp-5, 0x1.8b07323147e37p-5, 0x1.885995af6a9ccp-5, 0x1.85a9c3031201p-5, 0x1.82f7dcc04644ap-5, 0x1.80440512e018bp-5, 0x1.7d8e5dd1f32ap-5, 0x1.7ad7088c69f15p-5, 0x1.781e269a8d77dp-5, 0x1.7563d9209f075p-5, 0x1.72a8410bdca9fp-5, 0x1.6feb7eeb7ae9fp-5, 0x1.6d2db2e272464p-5, 0x1.6a6efc8690ab3p-5, 0x1.67af7ad8fd4e7p-5, 0x1.64ef4c51bbba5p-5, 0x1.622e8efeb0ea5p-5, 0x1.5f6d60ac8ca03p-5, 0x1.5cabdf0a5796ap-5, 0x1.59ea27b855448p-5, 0x1.5728583f3d574p-5, 0x1.54668dde8e4efp-5, 0x1.51a4e5605a8ccp-5, 0x1.4ee37ad60b131p-5, 0x1.4c22697ac1fe1p-5, 0x1.4961cbb63caeep-5, 0x1.46a1bb47640b1p-5, 0x1.43e2518cefc78p-5, 0x1.4123a7d229955p-5, 0x1.3e65d78f45666p-5, 0x1.3ba8fa78fa261p-5, 0x1.38ed2a65fe4eep-5, 0x1.363280e8394cep-5, 0x1.33791702ba05cp-5, 0x1.30c104b1ac1c9p-5, 0x1.2e0a60ada62ccp-5, 0x1.2b55407bdbea9p-5, 0x1.28a1b8a70e513p-5, 0x1.25efdd3d8980bp-5, 0x1.233fc2584dc1cp-5, 0x1.20917c95f7d9fp-5, 0x1.1de5213b78af4p-5, 0x1.1b3ac64753182p-5, 0x1.189281cb605cp-5, 0x1.15ec6986b4acap-5, 0x1.1348921eae1f6p-5, 0x1.10a70e977a629p-5, 0x1.0e07f03313745p-5, 0x1.0b6b46723eb8bp-5, 0x1.08d11fb5ceccap-5, 0x1.06398a1cfddb1p-5, 0x1.03a49415ad04dp-5, 0x1.01124d39c8c58p-5, 0x1.fd058cce552cdp-6, 0x1.f7ec236576a56p-6, 0x1.f2d883bd0c94ep-6, 0x1.edcad27f273b2p-6, 0x1.e8c3320dc6a1fp-6, 0x1.e3c1c08a203a9p-6, 0x1.dec69750e3594p-6, 0x1.d9d1cb06ead6ap-6, 0x1.d4e36cbea3f4p-6, 0x1.cffb8c171da9fp-6, 0x1.cb1a38d0d313dp-6, 0x1.c63f85a625fa5p-6, 0x1.c16b88d147aa2p-6, 0x1.bc9e5cc911afep-6, 0x1.b7d81f1a0dd94p-6, 0x1.b318ee89601a6p-6, 0x1.ae60e8c3b9493p-6, 0x1.a9b0287bc497bp-6, 0x1.a506c2f5c9552p-6, 0x1.a064c7e64959bp-6, 0x1.9bca410830937p-6, 0x1.973733f6b2685p-6, 0x1.92aba420412abp-6, 0x1.8e27956eb0e3cp-6, 0x1.89ab0ec285adfp-6, 0x1.85361b8aefcfcp-6, 0x1.80c8cca9e0e6ep-6, 0x1.7c63371362378p-6, 0x1.7805727462e64p-6, 0x1.73af9652c6367p-6, 0x1.6f61b7fa36fa8p-6, 0x1.6b1be852928e5p-6, 0x1.66de326b73e59p-6, 0x1.62a89b01d4c9ap-6, 0x1.5e7b20fa24d51p-6, 0x1.5a55bed12db68p-6, 0x1.56386d0e65e47p-6, 0x1.522325830f8c8p-6, 0x1.4e15e561f6aa8p-6, 0x1.4a10afbe7feb6p-6, 0x1.46138d73ca6a3p-6, 0x1.421e8c8d51078p-6, 0x1.3e31bdf998bfdp-6, 0x1.3a4d33017c8bap-6, 0x1.3670fb4bb97dbp-6, 0x1.329d226130864p-6, 0x1.2ed1af6c1f598p-6, 0x1.2b0ea38e568c6p-6, 0x1.2753f9af4d356p-6, 0x1.23a1a72f8715fp-6, 0x1.1ff79cac5938dp-6, 0x1.1c55c92206dep-6, 0x1.18bc1ccffe65cp-6, 0x1.152a8caa953e9p-6, 0x1.11a1142af356ap-6, 0x1.0e1fb56dda4b8p-6, 0x1.0aa677b6addabp-6, 0x1.073564f2dc343p-6, 0x1.03cc87426b99fp-6, 0x1.006be74aef525p-6, 0x1.fa2716ebd2a3ep-7, 0x1.f386ef1149d8ap-7, 0x1.ecf7580856a91p-7, 0x1.e6784a41f84edp-7, 0x1.e009b1cfc0292p-7, 0x1.d9ab6e628ca1dp-7, 0x1.d35d552054665p-7, 0x1.cd1f376899dbap-7, 0x1.c6f0ea574e0a2p-7, 0x1.c0d24d6fc6129p-7, 0x1.bac34ddcf22e9p-7, 0x1.b4c3e50ded467p-7, 0x1.aed413cbf2e71p-7, 0x1.a8f3dc1b250c3p-7, 0x1.a3233ccfa50a3p-7, 0x1.9d6230ab1d8fbp-7, 0x1.97b0b0a623ec9p-7, 0x1.920eb6cf5ba5bp-7, 0x1.8c7c3f70a1898p-7, 0x1.86f94523b8242p-7, 0x1.8185badc054c1p-7, 0x1.7c2186bc5a65fp-7, 0x1.76cc8163f00bbp-7, 0x1.71867ae02c43bp-7, 0x1.6c4f42e4819c7p-7, 0x1.6726b1377ea2bp-7, 0x1.620caacffcba7p-7, 0x1.5d01220c3ba55p-7, 0x1.58041230134ccp-7, 0x1.531577e922b8cp-7, 0x1.4e354a000c764p-7, 0x1.496375809d5fep-7, 0x1.449fdf7d6d4eep-7, 0x1.3fea6b229fb33p-7, 0x1.3b43004fdb8a9p-7, 0x1.36a98ea26a83fp-7, 0x1.321e0a43dc045p-7, 0x1.2da0630e5dac1p-7, 0x1.29307d0e1d62bp-7, 0x1.24ce2d5ff1bbbp-7, 0x1.20793f12584e2p-7, 0x1.1c317c1caba7bp-7, 0x1.17f6b66d91031p-7, 0x1.13c8cd7d3c461p-7, 0x1.0fa7afc15f87dp-7, 0x1.0b93588efda52p-7, 0x1.078bca9c90afbp-7, 0x1.039107f7c7f3bp-7, 0x1.ff461434aef8dp-8, 0x1.f7837b8703167p-8, 0x1.efda09af7dd8ep-8, 0x1.e8497ae781a55p-8, 0x1.e0d194b2bf042p-8, 0x1.d9722f080f2bap-8, 0x1.d22b2ee03ed5fp-8, 0x1.cafc751539f51p-8, 0x1.c3e5c74b6271dp-8, 0x1.bce6cae8d35ap-8, 0x1.b5ff0942d3332p-8, 0x1.af2e072f8ac9dp-8, 0x1.a873548a12ff8p-8, 0x1.a1ce92efacfbep-8, 0x1.9b3f77876e6a1p-8, 0x1.94c5cf6d748e4p-8, 0x1.8e61847349725p-8, 0x1.881298fe1ff66p-8, 0x1.81d917c08032ep-8, 0x1.7bb4fec63f785p-8, 0x1.75a6317007d61p-8, 0x1.6fac79142db3p-8, 0x1.69c793f43cc35p-8, 0x1.63f749cbb44dcp-8, 0x1.5e3b78f9b4a8fp-8, 0x1.5894139246971p-8, 0x1.53010d733cee1p-8, 0x1.4d8245966e147p-8, 0x1.48177995eb316p-8, 0x1.42c04b7d175dcp-8, 0x1.3d7c53e88b17dp-8, 0x1.384b319868bd8p-8, 0x1.332c8715b78cdp-8, 0x1.2e1ff192041d3p-8, 0x1.29250e54e217ep-8, 0x1.243b9328290d6p-8, 0x1.1f636234e953p-8, 0x1.1a9c82c541d6dp-8, 0x1.15e7039d67cddp-8, 0x1.1142dd536d7f9p-8, 0x1.0cafe6eb08baap-8, 0x1.082ddf9c28ed2p-8, 0x1.03bc8347bf339p-8, 0x1.feb7367ea8e39p-9, 0x1.f616074fc83a8p-9, 0x1.ed954e5d6d6cbp-9, 0x1.e534ebcea3d27p-9, 0x1.dcf4b3193c4c6p-9, 0x1.d4d452d3ca824p-9, 0x1.ccd34b75a039fp-9, 0x1.c4f10534c2455p-9, 0x1.bd2cf5be3e66cp-9, 0x1.b586a724bcac1p-9, 0x1.adfd8d171ba39p-9, 0x1.a690e434dfbc2p-9, 0x1.9f3fe3e63e6b7p-9, 0x1.980a1b85e0131p-9, 0x1.90ef8f31b3697p-9, 0x1.89f0700c51741p-9, 0x1.830cbe8b90ff9p-9, 0x1.7c4428ad67491p-9, 0x1.75963497c2395p-9, 0x1.6f02716486313p-9, 0x1.6888925c2964ep-9, 0x1.6228592377742p-9, 0x1.5be184577171dp-9, 0x1.55b3d04e6b071p-9, 0x1.4f9f04ae0b6abp-9, 0x1.49a2f8a8a0c3cp-9, 0x1.43bf808ac074fp-9, 0x1.3df44c43e0f77p-9, 0x1.3840d68a71416p-9, 0x1.32a482a270987p-9, 0x1.2d1ed2bcbc9b7p-9, 0x1.27af6ddf1da5dp-9, 0x1.2255dffe10dc7p-9, 0x1.1d117374caeb4p-9, 0x1.17e181f4280dbp-9, 0x1.12c5e5ee0290ap-9, 0x1.0dbee865a7b9fp-9, 0x1.08ccb9a217402p-9, 0x1.03ef1d48be879p-9, 0x1.fe4b283275c25p-10, 0x1.f4df6f0001067p-10, 0x1.eb9aac80a1dd7p-10, 0x1.e27ca40df5f85p-10, 0x1.d984d80d7e4b6p-10, 0x1.d0b296d939b9cp-10, 0x1.c80536466fabep-10, 0x1.bf7c46472f0ep-10, 0x1.b7179bf6b3eb7p-10, 0x1.aed73a711d4a2p-10, 0x1.a6bb2053c7199p-10, 0x1.9ec303951527ap-10, 0x1.96ee24588afa9p-10, 0x1.8f3b762910c0cp-10, 0x1.87aa14b9c8c6p-10, 0x1.80397a4b1c7a6p-10, 0x1.78e912cf6ddf5p-10, 0x1.71b7b83e0925ep-10, 0x1.6aa41a535e4e4p-10, 0x1.63adbc2616ac6p-10, 0x1.5cd4e87561396p-10, 0x1.56199e35399e2p-10, 0x1.4f7b240924bbcp-10, 0x1.48f8b8c320087p-10, 0x1.4292358833575p-10, 0x1.3c47cb231291bp-10, 0x1.36196ac28a524p-10, 0x1.30069c986422p-10, 0x1.2a0eb546539a2p-10, 0x1.24310b765bea8p-10, 0x1.1e6d1163faf4p-10, 0x1.18c25db812356p-10, 0x1.1330adccd1b3ap-10, 0x1.0db7e3dabe2dap-10, 0x1.0857fbc142921p-10, 0x1.0310eb18662a3p-10, 0x1.fbc4dc31c1e7p-11, 0x1.f197daf4e1759p-11, 0x1.e79966e20f33dp-11, 0x1.ddc89939c761ap-11, 0x1.d4253ddc6cfdbp-11, 0x1.caaeea1fab916p-11, 0x1.c16404212158p-11, 0x1.b842cd2c9c22fp-11, 0x1.af4af58a22e41p-11, 0x1.a67c6c1656b5ap-11, 0x1.9dd5e514c1d69p-11, 0x1.9555fb9911446p-11, 0x1.8cfc6c6b67e85p-11, 0x1.84c946685be2ap-11, 0x1.7cbc047a8abd1p-11, 0x1.74d3d843f7b4p-11, 0x1.6d101eb95c1dep-11, 0x1.6570680bcc98dp-11, 0x1.5df44e2dd9159p-11, 0x1.569b5443a9647p-11, 0x1.4f64dc2a36e1cp-11, 0x1.48503140272c3p-11, 0x1.415ca5eb2169bp-11, 0x1.3a89b55f19bf6p-11, 0x1.33d71972b7e38p-11, 0x1.2d44b5bda9626p-11, 0x1.26d24cb6fa11p-11, 0x1.207f39fd1c1cfp-11, 0x1.1a4a937b852e7p-11, 0x1.1433a92b6683cp-11, 0x1.0e3a62569d4a2p-11, 0x1.085eca8ddd8f9p-11, 0x1.029fdf947f0c1p-11, 0x1.f9f820c4f3c52p-12, 0x1.eee617ff77181p-12, 0x1.e4097e3a1b414p-12, 0x1.d960d9b0f3d91p-12, 0x1.ceebe571f14dfp-12, 0x1.c4ab1a711807bp-12, 0x1.ba9dad9637897p-12, 0x1.b0c22222e1a67p-12, 0x1.a7172bfadf4c4p-12, 0x1.9d9bb4428c4ap-12, 0x1.944eac206050bp-12, 0x1.8b2f290ed2306p-12, 0x1.823c5feee8d56p-12, 0x1.7975a6591a435p-12, 0x1.70da84678758cp-12, 0x1.686a6c6accc2bp-12, 0x1.6024a4e6e09ap-12, 0x1.58084f4a70cc6p-12, 0x1.5014935ad0726p-12, 0x1.4848d21dd16f1p-12, 0x1.40a4aabb71b07p-12, 0x1.3927b5d171d1ap-12, 0x1.31d1403d1e96bp-12, 0x1.2aa065a24c29dp-12, 0x1.2394713b7f921p-12, 0x1.1cad2d201289ep-12, 0x1.15ea58cd42991p-12, 0x1.0f4a392eabd58p-12, 0x1.08cb2e6ddf827p-12, 0x1.026d0d1d61b82p-12, 0x1.f85e6bddefe7ap-13, 0x1.ec2348dfa7156p-13, 0x1.e028c3c399afdp-13, 0x1.d46d273edb94cp-13, 0x1.c8eec43f91e5fp-13, 0x1.bdac8a491692bp-13, 0x1.b2a5a2daeb942p-13, 0x1.a7d9390a1af78p-13, 0x1.9d468b2b29a01p-13, 0x1.92ec78781f954p-13, 0x1.88ca079158154p-13, 0x1.7eddde3ea68acp-13, 0x1.752688c6c7536p-13, 0x1.6ba2a45441035p-13, 0x1.62511b93033c3p-13, 0x1.59313672ab594p-13, 0x1.504262da31bcbp-13, 0x1.4783f1422a6eep-13, 0x1.3ef4f23f9d7a6p-13, 0x1.36946ac9bc05p-13, 0x1.2e618fc59b83p-13, 0x1.265bcf67a8c94p-13, 0x1.1e828a1b4179ep-13, 0x1.16d4cf5ed3041p-13, 0x1.0f519f1bf35cbp-13, 0x1.07f88f15eadadp-13, 0x1.00c8c6b879297p-13, 0x1.f3806fb0771a4p-14, 0x1.e5bc147c6bf2dp-14, 0x1.d843d37c1ad2bp-14, 0x1.cb17fcd5aea75p-14, 0x1.be36f4c76bd05p-14, 0x1.b19e78e4acfb9p-14, 0x1.a54d0f678aa69p-14, 0x1.994180048ab6fp-14, 0x1.8d7a8b734e41cp-14, 0x1.81f6eb8383e4p-14, 0x1.76b55b7da8a65p-14, 0x1.6bb49d5471a05p-14, 0x1.60f37d008ecf6p-14, 0x1.5670d3b1ce9bfp-14, 0x1.4c2b8b1cc724ap-14, 0x1.42229c79f4529p-14, 0x1.38550085a3de4p-14, 0x1.2ec187d6a5788p-14, 0x1.2566b0d0d1645p-14, 0x1.1c42c2b4b0e31p-14, 0x1.13544febff5f4p-14, 0x1.0a9a94659afe2p-14, 0x1.02150e863a0b6p-14, 0x1.f385956b70477p-15, 0x1.e344eea91c1e8p-15, 0x1.d366559ce37a8p-15, 0x1.c3e8d3d1dbe99p-15, 0x1.b4caa757dc84fp-15, 0x1.a60909a28c2d3p-15, 0x1.97a210f07b678p-15, 0x1.8994dc5da8e64p-15, 0x1.7bddc69c659cfp-15, }}, 
      {{0x1.527bdcb3255b9p-5, 0x1.6e084345c7c99p-5, 0x1.9a22b781eee92p-5, 0x1.d4a159ebf2746p-5, 0x1.0d8bf686a5888p-4, 0x1.358603fb089e8p-4, 0x1.610b4ea894619p-4, 0x1.8efc24a2d24edp-4, 0x1.be526ecba6d3fp-4, 0x1.ee248b01234a2p-4, 0x1.0ed3110e337b5p-3, 0x1.2613d2722fa07p-3, 0x1.3c8a76cfa517p-3, 0x1.51f9af2206fe3p-3, 0x1.662fdc691d3dap-3, 0x1.7905edac3b996p-3, 0x1.8a5e3e401a27ap-3, 0x1.9a237d6f594bcp-3, 0x1.a847a5757edf3p-3, 0x1.b4c304e45640cp-3, 0x1.bf935c1d5401fp-3, 0x1.c8bb0f3c17f8dp-3, 0x1.d0406bbf38afcp-3, 0x1.d62d017078a0dp-3, 0x1.da8d0d389bcap-3, 0x1.dd6ef4b8d88fbp-3, 0x1.dee2d19472fd2p-3, 0x1.defa0ac23edf7p-3, 0x1.ddc6faf909ad4p-3, 0x1.db5ca2bd8e808p-3, 0x1.d7ce650622fc3p-3, 0x1.d32fcd5db17f9p-3, 0x1.cd945e8fb7223p-3, 0x1.c70f68dd23006p-3, 0x1.bfb3e723b6bc4p-3, 0x1.b79461f8f1ae3p-3, 0x1.aec2d8268829ap-3, 0x1.a550abfda04c6p-3, 0x1.9b4e94c95693p-3, 0x1.90cc93f396a82p-3, 0x1.85d9ed64a00bep-3, 0x1.7a85228ff2505p-3, 0x1.6edbeff6b628cp-3, 0x1.62eb4cac2a439p-3, 0x1.56bf6b5bbcc47p-3, 0x1.4a63bcf2c1456p-3, 0x1.3de2f4490ae63p-3, 0x1.31470aac5d498p-3, 0x1.2499453570b9fp-3, 0x1.17e23ade69323p-3, 0x1.0b29db1550406p-3, 0x1.fceee88fdc4afp-4, 0x1.e3a375924d135p-4, 0x1.ca7da0672260fp-4, 0x1.b18896077fbacp-4, 0x1.98ce7bb866686p-4, 0x1.80587cf307fbfp-4, 0x1.682ed9152877cp-4, 0x1.5058f1d522f1ep-4, 0x1.38dd5974a6deep-4, 0x1.21c1e02b0e80bp-4, 0x1.0b0ba0ab864dbp-4, 0x1.e97e178d0f68bp-5, 0x1.bdbfe7eefa038p-5, 0x1.92e3310742487p-5, 0x1.68ed624218354p-5, 0x1.3fe2f0e86d5b6p-5, 0x1.17c76c16e786fp-5, 0x1.e13b1d30f3da6p-6, 0x1.94ce9f5493751p-6, 0x1.4a4be5ab4533bp-6, 0x1.01b42eae43e77p-6, 0x1.760f1c8863a94p-7, 0x1.d91424e91ed64p-8, 0x1.9b558d59150e8p-9, -0x1.b148504043231p-11, -0x1.32758c76078aap-8, -0x1.13a5e0ade18bap-7, -0x1.8a5f952be49a6p-7, -0x1.fd72be7c37dd2p-7, -0x1.367599802c538p-6, -0x1.6c6ad2a502adbp-6, -0x1.a09fc4b2adab8p-6, -0x1.d31b7ba342a44p-6, -0x1.01f2a5419d8ep-5, -0x1.19826005be544p-5, -0x1.3040ce4a8ef7dp-5, -0x1.4631e497f01cfp-5, -0x1.5b59a7b598c25p-5, -0x1.6fbc29657e229p-5, -0x1.835d8440a31e8p-5, -0x1.9641d98229b0ep-5, -0x1.a86d4dd140e35p-5, -0x1.b9e406d05b1d2p-5, -0x1.caaa28ceea0ep-5, -0x1.dac3d4a1cf92bp-5, -0x1.ea35260860d2fp-5, -0x1.f902318616f96p-5, -0x1.039781a30e48dp-4, -0x1.0a5fced7048aap-4, -0x1.10dbfc1d924d3p-4, -0x1.170dff38d3de7p-4, -0x1.1cf7c778ad417p-4, -0x1.229b3d77e9fep-4, -0x1.27fa42847ec4ap-4, -0x1.2d16b0f889f34p-4, -0x1.31f25b07e6cb4p-4, -0x1.368f0b3ecd558p-4, -0x1.3aee84200da0ap-4, -0x1.3f12802738dabp-4, -0x1.42fcb16f1847ep-4, -0x1.46aec1bb1709cp-4, -0x1.4a2a527eab704p-4, -0x1.4d70fc99cfa9ap-4, -0x1.5084508e1542cp-4, -0x1.5365d649971abp-4, -0x1.56170d86c1062p-4, -0x1.58996d6cd100ep-4, -0x1.5aee649b3655ep-4, -0x1.5d17599d1d1f4p-4, -0x1.5f15aaa4c01e3p-4, -0x1.60eaadbf53f9fp-4, -0x1.6297b0d5149f1p-4, -0x1.641df9d5deed7p-4, -0x1.657ec6c6139b4p-4, -0x1.66bb4ddb8cbb1p-4, -0x1.67d4bd9726761p-4, -0x1.68cc3ce8641d7p-4, -0x1.69a2eb37ff347p-4, -0x1.6a59e08583621p-4, -0x1.6af22de8b568cp-4, -0x1.6b6cdd1255fc3p-4, -0x1.6bcaf0884d4c1p-4, -0x1.6c0d644a4b359p-4, -0x1.6c352d7b61227p-4, -0x1.6c433aa08497dp-4, -0x1.6c3873c34c964p-4, -0x1.6c15ba941e8c8p-4, -0x1.6bdbea88237a8p-4, -0x1.6b8bd8fc71b03p-4, -0x1.6b2655583c364p-4, -0x1.6aac291fd7446p-4, -0x1.6a1e1831a0bc8p-4, -0x1.697ce0cc4d5f2p-4, -0x1.68c93bb63d274p-4, -0x1.6803dc63fd3fap-4, -0x1.672d70fce4452p-4, -0x1.6646a2efaa908p-4, -0x1.655015f8f855fp-4, -0x1.644a69b0f2e79p-4, -0x1.6336389cb099bp-4, -0x1.621418ad51affp-4, -0x1.60e49b63585fep-4, -0x1.5fa84dc45eeaap-4, -0x1.5e5fb89e807dcp-4, -0x1.5d0b60903dd69p-4, -0x1.5babc627ba507p-4, -0x1.5a4165feddf5dp-4, -0x1.58ccb8d57e511p-4, -0x1.574e33ab0298bp-4, -0x1.55c647da7cc76p-4, -0x1.543563301057dp-4, -0x1.529bf004bd409p-4, -0x1.50fa5552fc33bp-4, -0x1.4f50f6db3c123p-4, -0x1.4da035222bb34p-4, -0x1.4be86da0ab6e9p-4, -0x1.4a29face98ab2p-4, -0x1.4865345626392p-4, -0x1.469a6e78dc179p-4, -0x1.44c9fbd3ba2fp-4, -0x1.42f42b5042294p-4, -0x1.411949ba9d7b7p-4, -0x1.3f39a14429cf1p-4, -0x1.3d5579ae0ff0cp-4, -0x1.3b6d185b6d6dap-4, -0x1.3980c05cda6efp-4, -0x1.3790b296e5b3ep-4, -0x1.359d2db146668p-4, -0x1.33a66e49358cap-4, -0x1.31acaeed8e897p-4, -0x1.2fb02835202d5p-4, -0x1.2db110cc9d48fp-4, -0x1.2baf9d88655bdp-4, -0x1.29ac016f8f1dep-4, -0x1.27a66dcc54ad5p-4, -0x1.259f1239a6b8p-4, -0x1.23961caf1b037p-4, -0x1.218bb99091762p-4, -0x1.1f8013b8999d2p-4, -0x1.1d735487a93b1p-4, -0x1.1b65a3eaeb50ep-4, -0x1.1957286c2da1cp-4, -0x1.1748074357c18p-4, -0x1.1538644fd348bp-4, -0x1.1328622ad7936p-4, -0x1.1118221df9febp-4, -0x1.0f07c4d3c053dp-4, -0x1.0cf768f0a84dcp-4, -0x1.0ae72c8bb6f91p-4, -0x1.08d72c82d20f7p-4, -0x1.06c784bc637fp-4, -0x1.04b8500f66e3fp-4, -0x1.02a9a85c755b8p-4, -0x1.009ba693adbd5p-4, -0x1.fd1cc578f59f4p-5, -0x1.f903e7f28470bp-5, -0x1.f4ece13948bp-5, -0x1.f0d7dc3a68c71p-5, -0x1.ecc5024ab600ap-5, -0x1.e8b47b39b7ae1p-5, -0x1.e4a66d663a07fp-5, -0x1.e09afda5617e9p-5, -0x1.dc924f742086ep-5, -0x1.d88c84f55adadp-5, -0x1.d489befdc5c15p-5, -0x1.d08a1d1f0f44cp-5, -0x1.cc8dbdae69ad6p-5, -0x1.c894bddc00129p-5, -0x1.c49f39a732ebep-5, -0x1.c0ad4bfcf6689p-5, -0x1.bcbf0eb75857fp-5, -0x1.b8d49aa6ebb32p-5, -0x1.b4ee079d53f59p-5, -0x1.b10b6c7463a98p-5, -0x1.ad2cdf15eb3b3p-5, -0x1.a9527484c0f02p-5, -0x1.a57c40e45fdffp-5, -0x1.a1aa577d4e8f2p-5, -0x1.9ddccaf660641p-5, -0x1.9a13ac3921bcep-5, -0x1.964f0d7118b14p-5, -0x1.928efddaeeadap-5, -0x1.8ed38d36439a5p-5, -0x1.8b1cca3f695f2p-5, -0x1.876ac30c25d1ap-5, -0x1.83bd850ee78f9p-5, -0x1.80151d17ac73cp-5, -0x1.7c71975aa2873p-5, -0x1.78d2ff752c3c5p-5, -0x1.75396072fdfe5p-5, -0x1.71a4c4d213db2p-5, -0x1.6e153687e5f1ap-5, -0x1.6a8abf0779d5dp-5, -0x1.6705674162908p-5, -0x1.638537aae2b14p-5, -0x1.600a38441490ap-5, -0x1.5c947093b2dbbp-5, -0x1.5923e7b30965p-5, -0x1.55b8a44f5d149p-5, -0x1.5252aca636a19p-5, -0x1.4ef2069772809p-5, -0x1.4b96b79ae672ep-5, -0x1.4840c4c91188p-5, -0x1.44f032de325b1p-5, -0x1.41a5063ac5bcep-5, -0x1.3e5f42e8d3697p-5, -0x1.3b1eec9db5ab4p-5, -0x1.37e406b9b56edp-5, -0x1.34ae945316616p-5, -0x1.317e983468a2cp-5, -0x1.2e5414d227a5dp-5, -0x1.2b2f0c59c301dp-5, -0x1.280f80cd1881ep-5, -0x1.24f573b9300f1p-5, -0x1.21e0e692aba47p-5, -0x1.1ed1da7b893a2p-5, -0x1.1bc850592207dp-5, -0x1.18c448d5c08bap-5, -0x1.15c5c460710a6p-5, -0x1.12ccc3260d3b6p-5, -0x1.0fd94570f0ebap-5, -0x1.0ceb4a275b709p-5, -0x1.0a02d1fec8588p-5, -0x1.071fdba8285c9p-5, -0x1.0442667c0e96ap-5, -0x1.016a7177c451p-5, -0x1.fd2ff6d4e4835p-6, -0x1.f79605eb348e7p-6, -0x1.f2070d1cb2b2p-6, -0x1.ec8308fc0074p-6, -0x1.e709f5cd467c2p-6, -0x1.e19bcf7a77d4bp-6, -0x1.dc3891a256dd7p-6, -0x1.d6e03796c9741p-6, -0x1.d192bc5ca4e17p-6, -0x1.cc501aaf7c751p-6, -0x1.c7184d0313a8ep-6, -0x1.c1eb4d85fc0a4p-6, -0x1.bcc9161d6df49p-6, -0x1.b7b1a078efee6p-6, -0x1.b2a4e601d234bp-6, -0x1.ada2dfd4b1528p-6, -0x1.a8ab86e3d4557p-6, -0x1.a3bed3db633a2p-6, -0x1.9edcbf308a20ep-6, -0x1.9a05411fd96cep-6, -0x1.9538519fb5119p-6, -0x1.9075e898a233bp-6, -0x1.8bbdfd88c8c8ap-6, -0x1.871087dd1e81p-6, -0x1.826d7ecd82bc7p-6, -0x1.7dd4d9545f1b8p-6, -0x1.79468e439fedap-6, -0x1.74c2943dd228dp-6, -0x1.7048e1b6cd009p-6, -0x1.6bd96cf529aa4p-6, -0x1.67742c15447eep-6, -0x1.6319150809781p-6, -0x1.5ec81d9570524p-6, -0x1.5a813b5b5397cp-6, -0x1.564463d21e4e1p-6, -0x1.52118c48552bdp-6, -0x1.4de8a9ef29438p-6, -0x1.49c9b1c5c53f5p-6, -0x1.45b498b158887p-6, -0x1.41a953713c46p-6, -0x1.3da7d6a2cb1eap-6, -0x1.39b016c1e79fcp-6, -0x1.35c2082963aeap-6, -0x1.31dd9f148714bp-6, -0x1.2e02cfc93ce07p-6, -0x1.2a318d615658bp-6, -0x1.2669cd7d61c16p-6, -0x1.22ab827202c4ep-6, -0x1.1ef6a052bfbdep-6, -0x1.1b4b1ab581ebap-6, -0x1.17a8e51244cd4p-6, -0x1.140ff2b84c295p-6, -0x1.108036ee083bfp-6, -0x1.0cf9f090bf2e8p-6, -0x1.097c2f9ed5331p-6, -0x1.0607ca26f5ccbp-6, -0x1.029c6760902fap-6, -0x1.fe73f4373b8d4p-7, -0x1.f7c0ea28a4b9bp-7, -0x1.f11f95e5fa4edp-7, -0x1.ea8fdc9a160c6p-7, -0x1.e411a34daf4e4p-7, -0x1.dda4cee193e5ap-7, -0x1.d749441ab9491p-7, -0x1.d0fee7922da37p-7, -0x1.cac59dd7e31a8p-7, -0x1.c49d4b3c2976ap-7, -0x1.be85d40577e49p-7, -0x1.b87f1c58de5b5p-7, -0x1.b28908420827ap-7, -0x1.aca37bb785adp-7, -0x1.a6ce5a9545fbbp-7, -0x1.a10988a78074ep-7, -0x1.9b54e9a2f193cp-7, -0x1.95b06123c9e5ap-7, -0x1.901bd2af54409p-7, -0x1.8a9721b3db05cp-7, -0x1.8522319020c0bp-7, -0x1.7fbce58f5e2d9p-7, -0x1.7a6720f5f812fp-7, -0x1.7520c6ffc6bf8p-7, -0x1.6fe9bae635dbp-7, -0x1.6ac1dfd77a01ap-7, -0x1.65a918f62fa87p-7, -0x1.609f4957ed32p-7, -0x1.5ba453fff0983p-7, -0x1.56b81be1211cfp-7, -0x1.51da83e354f68p-7, -0x1.4d0b6eeb2f438p-7, -0x1.484abfe13a5efp-7, -0x1.439859b7e0d97p-7, -0x1.3ef41f7acbc99p-7, -0x1.3a5df431f7ddbp-7, -0x1.35d5baec2ef87p-7, -0x1.315b56b0b8a71p-7, -0x1.2ceeaa7b04d68p-7, -0x1.288f993547e5p-7, -0x1.243e05bd687c7p-7, -0x1.1ff9d2efc88efp-7, -0x1.1bc2e3b396d8ap-7, -0x1.17991b127cb77p-7, -0x1.137c5c35dd7f5p-7, -0x1.0f6c8a0205551p-7, -0x1.0b6989493ae8fp-7, -0x1.07733b663b5c9p-7, -0x1.03898577ad30cp-7, -0x1.ff5894549b382p-8, -0x1.f7b6d9fa42fffp-8, -0x1.f02da254d7203p-8, -0x1.e8bcb3e18b3f4p-8, -0x1.e163d545dbf94p-8, -0x1.da22cd7c671dfp-8, -0x1.d2f963f612286p-8, -0x1.cbe760a694307p-8, -0x1.c4ec8bf2bc89cp-8, -0x1.be08ae938ebafp-8, -0x1.b73b914f08d25p-8, -0x1.b084fce3d0557p-8, -0x1.a9e4b9cacbfc8p-8, -0x1.a35a906355955p-8, -0x1.9ce648e3937fap-8, -0x1.9687aba62218dp-8, -0x1.903e8119621ap-8, -0x1.8a0a922fe4d86p-8, -0x1.83eba87c5a048p-8, -0x1.7de18e4211bacp-8, -0x1.77ec0e6df23aep-8, -0x1.720af463e7ff4p-8, -0x1.6c3e0bd5a5a4p-8, -0x1.668520754b8cp-8, -0x1.60dffdfdc827p-8, -0x1.5b4e6f086b225p-8, -0x1.55d03ce23f8e6p-8, -0x1.506535f9d0aeep-8, -0x1.4b0d24da3b393p-8, -0x1.45c7d2266685ap-8, -0x1.40950b3c9d8afp-8, -0x1.3b749db314889p-8, -0x1.3666571c4271fp-8, -0x1.316a05eae57ecp-8, -0x1.2c7f791b24641p-8, -0x1.27a67ff8160e1p-8, -0x1.22dee9ba0820dp-8, -0x1.1e28858debc54p-8, -0x1.19832247d0449p-8, -0x1.14ee8e9c5781ap-8, -0x1.106a990f58138p-8, -0x1.0bf71053f556dp-8, -0x1.0793c38149ccbp-8, -0x1.03408251326bap-8, -0x1.fdfa3aa99009p-9, -0x1.f592cbae74f7cp-9, -0x1.ed4a5c1e57d69p-9, -0x1.e520916be9765p-9, -0x1.dd15124f92cdap-9, -0x1.d52785caeaac2p-9, -0x1.cd579312293ddp-9, -0x1.c5a4e14ffffb8p-9, -0x1.be0f176a93875p-9, -0x1.b695dbd832012p-9, -0x1.af38d56f5f286p-9, -0x1.a7f7aad5d2e09p-9, -0x1.a0d2032ec9abep-9, -0x1.99c787392d58fp-9, -0x1.92d7e0a7e8135p-9, -0x1.8c02bb00ce106p-9, -0x1.8547c312a2236p-9, -0x1.7ea6a70ad1fp-9, -0x1.781f134ac5597p-9, -0x1.71b0c3b52f902p-9, -0x1.6b5b5674adb9fp-9, -0x1.651e8a3957e19p-9, -0x1.5efa0ceb76d4dp-9, -0x1.58ed9069faaebp-9, -0x1.52f8c5a585374p-9, -0x1.4d1b5de0de55bp-9, -0x1.47550a1c0eb8ep-9, -0x1.41a57c2109b06p-9, -0x1.3c0c667fc31f7p-9, -0x1.36897d11aec4fp-9, -0x1.311c7529191b7p-9, -0x1.2bc50572baefep-9, -0x1.2682e5cf19bap-9, -0x1.2155cf31ceeaap-9, -0x1.1c3d7ba0076cdp-9, -0x1.1739a634ab0fbp-9, -0x1.124a0b1f5fc26p-9, -0x1.0d6e6756d0ad1p-9, -0x1.08a677af7718dp-9, -0x1.03f1f9209e9ebp-9, -0x1.fea14f3eaf421p-10, -0x1.f5847db37a7b2p-10, -0x1.ec8cf44260313p-10, -0x1.e3ba2acfdee22p-10, -0x1.db0b9c18e6b8cp-10, -0x1.d280c5eecb90ep-10, -0x1.ca1929324170bp-10, -0x1.c1d44928f7cb6p-10, -0x1.b9b1ab0de9467p-10, -0x1.b1b0d5b3e9bb5p-10, -0x1.a9d151db8448cp-10, -0x1.a212aabd54c23p-10, -0x1.9a746e795dd79p-10, -0x1.92f62c60dbaccp-10, -0x1.8b9774eee4d7cp-10, -0x1.8457d80c6da7ep-10, -0x1.7d36e3f8541d3p-10, -0x1.7634251ca4aaap-10, -0x1.6f4f26d26866p-10, -0x1.6887758b280a4p-10, -0x1.61dca05056cb3p-10, -0x1.5b4e3997be2c6p-10, -0x1.54dbd72bb5236p-10, -0x1.4e85115fcb7cep-10, -0x1.4849822795055p-10, -0x1.4228c3ee7aedfp-10, -0x1.3c22722d175cbp-10, -0x1.3636297188c05p-10, -0x1.3063881bf0c1fp-10, -0x1.2aaa2f8bccaep-10, -0x1.2509c34a74a4cp-10, -0x1.1f81e75a30c54p-10, -0x1.1a12407fb8174p-10, -0x1.14ba719cacca1p-10, -0x1.0f7a1b722a41dp-10, -0x1.0a50ded03a50ep-10, -0x1.053e5ce040ae9p-10, -0x1.004239d8e94f2p-10, -0x1.f6b83afb5ffd8p-11, -0x1.ed1765c3e3a78p-11, -0x1.e3a14ebf629ecp-11, -0x1.da5553486b89ap-11, -0x1.d132d19141b7ap-11, -0x1.c839278628329p-11, -0x1.bf67b2b73f89ep-11, -0x1.b6bdd147c7744p-11, -0x1.ae3ae3a0bfd8p-11, -0x1.a5de4e22cd927p-11, -0x1.9da77a3726a3cp-11, -0x1.9595d589f41f2p-11, -0x1.8da8d46d3b4b7p-11, -0x1.85dfbfa38532ap-11, -0x1.7e3a36d45eafbp-11, -0x1.76b77edc3e40ep-11, -0x1.6f570c6d149a4p-11, -0x1.68184f071513ap-11, -0x1.60fabc54b6817p-11, -0x1.59fdcf0922a1dp-11, -0x1.5321054bae831p-11, -0x1.4c63df971220ap-11, -0x1.45c5e02ef053cp-11, -0x1.3f468a69d3025p-11, -0x1.38e56196f8e1p-11, -0x1.32a1e835abd11p-11, -0x1.2c7b9fc1aabecp-11, -0x1.267209deb7932p-11, -0x1.2084aa930ab9dp-11, -0x1.1ab30a3638d13p-11, -0x1.14fcb5b489c4ep-11, -0x1.0f613d1f682bbp-11, -0x1.09e031fb25cd9p-11, -0x1.0479243d0c731p-11, -0x1.fe57426570d78p-12, -0x1.f3ee719ab453p-12, -0x1.e9b6fa7543b8p-12, -0x1.dfb009bd78d93p-12, -0x1.d5d8cff64535bp-12, -0x1.cc3080649fe9ap-12, -0x1.c2b6539a967f2p-12, -0x1.b969861229cebp-12, -0x1.b0495aa94badap-12, -0x1.a75518b869147p-12, -0x1.9e8c084167f5dp-12, -0x1.95ed6e0b7ee9fp-12, -0x1.8d788a4006dbep-12, -0x1.852c9abbebdccp-12, -0x1.7d08e00694e2ep-12, -0x1.750ca24b19f53p-12, -0x1.6d3733e025624p-12, -0x1.6587f0667583p-12, -0x1.5dfe390f3f74dp-12, -0x1.56996fa53abep-12, -0x1.4f58f2e42ea4ap-12, -0x1.483c1edd8375ap-12, -0x1.414252041c402p-12, -0x1.3a6aed3a83625p-12, -0x1.33b5528a9e299p-12, -0x1.2d20e94545033p-12, -0x1.26ad1a2b706f7p-12, -0x1.20595324d08fap-12, -0x1.1a2507381ee0dp-12, -0x1.140fafa0e11e1p-12, -0x1.0e18d3b006bb1p-12, -0x1.083fc643b7d94p-12, -0x1.02843ec6cb55cp-12, -0x1.f9cadb24b13edp-13, -0x1.eec5ec8453b93p-13, -0x1.e3f881e14fd82p-13, -0x1.d9618b87ac1a8p-13, -0x1.cf00097492104p-13, -0x1.c4d30b47b62aep-13, -0x1.bad9ae6bc60c9p-13, -0x1.b11316ded5b0fp-13, -0x1.a77e658cf8bfbp-13, -0x1.9e1ab1f19e7efp-13, -0x1.94e70d666fb4ap-13, -0x1.8be28a3e0b317p-13, -0x1.830c4a04bd99p-13, -0x1.7a636f631204dp-13, -0x1.71e723689aed1p-13, -0x1.699694803ee25p-13, -0x1.6170fd606efddp-13, -0x1.59759a01009bdp-13, -0x1.51a3ac70fdd54p-13, -0x1.49fa76995d2bfp-13, -0x1.42793ac87111fp-13, -0x1.3b1f5fc3a1f97p-13, -0x1.33ebb66af3f45p-13, -0x1.2cde070082dfcp-13, -0x1.25f55c44791c7p-13, -0x1.1f31054d44bc2p-13, -0x1.18904dcb6135bp-13, -0x1.12128aa7547ffp-13, -0x1.0bb71a5787bc5p-13, -0x1.057d62be8324p-13, -0x1.fec999a8925aep-14, -0x1.f2d97afa5f83fp-14, -0x1.e72924b4971f1p-14, -0x1.dbb7497e8a659p-14, -0x1.d082a0ce6e6cap-14, -0x1.c589f63969a5bp-14, -0x1.bacc2333eb8e5p-14, -0x1.b04805f8db2cfp-14, -0x1.a5fc83ff5aed1p-14, -0x1.9be890620fc36p-14, -0x1.920b266910556p-14, -0x1.88633de8ddd92p-14, -0x1.7eefca38de2c8p-14, -0x1.75afc3b01f31ep-14, -0x1.6ca232a6bca26p-14, -0x1.63c62d92888e2p-14, -0x1.5b1abe400e684p-14, -0x1.529eef1d01225p-14, -0x1.4a51cfaec56a4p-14, -0x1.423274801a366p-14, -0x1.3a3ff59e41db8p-14, -0x1.3279712a53cefp-14, -0x1.2ade0e6587d4ap-14, -0x1.236cfc1cb3aacp-14, -0x1.1c256ee64923fp-14, -0x1.15069dcaa2907p-14, -0x1.0e0fbbe1ada71p-14, -0x1.073ff47b4316fp-14, -0x1.009671b3a7e28p-14, -0x1.f424d07ba0cap-15, -0x1.e76635d612e3dp-15, -0x1.daefa880dd2afp-15, -0x1.cebfbe32dfed8p-15, -0x1.c2d50e1226a48p-15, -0x1.b72e32f505ccfp-15, -0x1.abc9cd136014p-15, -0x1.a0a67991f0919p-15, -0x1.95c2dcb36a208p-15, -0x1.8b1db0f7415a4p-15, -0x1.80b5bd8cbd289p-15, -0x1.7689cd6aba664p-15, -0x1.6c98aef183873p-15, -0x1.62e13502b1429p-15, -0x1.5962357f39e2bp-15, -0x1.501a882c44167p-15, -0x1.4709086a98569p-15, -0x1.3e2c9e0a061fep-15, -0x1.35843be0b2d3ap-15, -0x1.2d0ec0b5ddbf2p-15, -0x1.24cb19348da1fp-15, -0x1.1cb8486e11fe8p-15, -0x1.14d55dbcf96dp-15, -0x1.0d216152a0be1p-15, -0x1.059b4f65cc5e3p-15, -0x1.fc8446c722986p-16, -0x1.ee29cd64fc585p-16, -0x1.e0256d0bb257p-16, -0x1.d27575451d0c2p-16, -0x1.c518254500a8bp-16, -0x1.b80bae094b544p-16, -0x1.ab4e576ca7403p-16, -0x1.9ede76ec811e7p-16, -0x1.92ba6289e30ap-16, -0x1.86e0842de2012p-16, -0x1.7b4f54336b008p-16, -0x1.700548aef6f6p-16, -0x1.6500dac65c77dp-16, -0x1.5a408f231d165p-16, -0x1.4fc2fa9aa244fp-16, -0x1.45858df5b8c6ap-16, -0x1.3b88efa61d9a8p-16, -0x1.31cc228ce479p-16, -0x1.284b44591fa3fp-16, -0x1.1f06430c5bc1dp-16, -0x1.15fbcc3af6a97p-16, -0x1.0d2a977a59058p-16, -0x1.049164f92c272p-16, -0x1.f85dff2d806cbp-17, -0x1.e8047a8b601eep-17, -0x1.d813f23b450cep-17, -0x1.c88a194b155ecp-17, -0x1.b964b7b8b6da9p-17, -0x1.aaa1aaaa39438p-17, -0x1.9c3e983d29f5ep-17, -0x1.8e39592d7dca4p-17, -0x1.808fefdbe5d38p-17, -0x1.73405b2d5f911p-17, -0x1.66488c4639909p-17, -0x1.59a68ee54f987p-17, -0x1.4d58783851a7ep-17, -0x1.415c73805117fp-17, -0x1.35b0b61d0f7a5p-17, -0x1.2a536f551ba73p-17, -0x1.1f42dc6d90a8dp-17, -0x1.147d289e9cb2bp-17, -0x1.0a00e6d61758p-17, -0x1.ff96692a42fdp-18, -0x1.ebbe55f3ef145p-18, -0x1.d86695a596a4fp-18, -0x1.c5980a189308dp-18, -0x1.b34c19cef1051p-18, -0x1.a17faa017370bp-18, -0x1.902fc804ad92bp-18, -0x1.7f59a6ddf48fep-18, -0x1.6efadccb8b17bp-18, -0x1.5f0fead61eb4ep-18, -0x1.4f96c26ad5058p-18, -0x1.408c0c401899p-18, -0x1.31ee17b9006ffp-18, -0x1.23ba0d6399e9p-18, -0x1.15ed630d7d87ap-18, -0x1.0885a65f509adp-18, -0x1.f700ea58fb96cp-19, -0x1.ddb6f61fb4a44p-19, -0x1.c528ef6682cfcp-19, -0x1.ad525c998fd4ap-19, -0x1.962ead8f9ea94p-19, -0x1.7fb9857385bd7p-19, -0x1.69eebcca22c04p-19, -0x1.54cacfab14bcfp-19, -0x1.404a28268d0c1p-19, -0x1.2c680e05b2ce1p-19, -0x1.19203dd3525b1p-19, -0x1.066f32bb37299p-19, -0x1.e8a331377aa73p-20, -0x1.c587ba1001803p-20, -0x1.a384d5070335bp-20, -0x1.8293947c65019p-20, -0x1.62ad3d9db6a5cp-20, -0x1.43cb3b8b36cc8p-20, -0x1.25e718c8643a1p-20, -0x1.08fa80aec735ep-20, -0x1.d9fe7c95f92ccp-21, -0x1.a3de78cd88aecp-21, -0x1.6f8908dd9b9fep-21, -0x1.3cf27fedef59dp-21, -0x1.0c0f7ccabbf6cp-21, -0x1.b9a9ebf4f4674p-22, -0x1.5e70722908457p-22, -0x1.065daeaca4642p-22, -0x1.62ba3024c8f2dp-23, -0x1.7d69f42ee52dp-24, -0x1.0422de5689604p-26, 0x1.dff9dbdc8fa07p-25, 0x1.0afcf3a2348aep-23, 0x1.989892fb5a048p-23, 0x1.107ab6e5f47a9p-22, 0x1.521bd1bffd3bfp-22, }}, 
      std::vector<double>(750, 0.0), 
      {{0x1.b3e8460bcc19dp-4, 0x1.a1acbef61de95p-3, 0x1.2664e762cd9cep-2, 0x1.6b78463294789p-2, 0x1.9fcc8f1af0d93p-2, 0x1.c4440b3e09307p-2, 0x1.da65e58bd698cp-2, 0x1.e408c1e707745p-2, 0x1.e31b81ae75df6p-2, 0x1.d982f30ef5d02p-2, 0x1.c9055cdb559aep-2, 0x1.b33f2bba5f7a9p-2, 0x1.999da82376f59p-2, 0x1.7d5da2a4758cp-2, 0x1.5f8cb0246d5d5p-2, 0x1.410bfc28dc90dp-2, 0x1.229405ccd1de8p-2, 0x1.04b8ce21ef1afp-2, 0x1.cfdc4d4b2070ap-3, 0x1.9917cffbdcc8ep-3, 0x1.65a3dcfbed21dp-3, 0x1.35d78df895cedp-3, 0x1.09e7ff4a12563p-3, 0x1.c3dc6c614f36p-4, 0x1.7bd89c3fb5b5dp-4, 0x1.3ba3f1d73bd9ap-4, 0x1.0300c2b99dc35p-4, 0x1.a335f4ca9f391p-5, 0x1.4e1b8106f3127p-5, 0x1.05d07786a4c1cp-5, 0x1.92c63afffa169p-6, 0x1.2fb0a17c83e35p-6, 0x1.c0c3fabd0ace1p-7, 0x1.45ba63a803c8ep-7, 0x1.d4b58572247e7p-8, 0x1.55aea2a183129p-8, 0x1.070e636abd019p-8, 0x1.c3b51b66a237fp-9, 0x1.bef4da332a033p-9, 0x1.f37bc25e17934p-9, 0x1.2ae1bfac242c3p-8, 0x1.6d91f55a7af66p-8, 0x1.bcea48204c636p-8, 0x1.0a3a79ea35069p-7, 0x1.38144448e742ep-7, 0x1.66326f646b0c9p-7, 0x1.92f74ab912ab7p-7, 0x1.bcf582c50e539p-7, 0x1.e2ed5a0c671f9p-7, 0x1.01e518c3a9743p-6, 0x1.0f4fd9681e6fp-6, 0x1.19538b3f4e64ap-6, 0x1.1f9e2d6d0fee9p-6, 0x1.21edcb88411a5p-6, 0x1.200f2ee71f194p-6, 0x1.19dc991385d9fp-6, 0x1.0f3c8210b4f4dp-6, 0x1.00206e5123d6p-6, 0x1.d9079263db95dp-7, 0x1.a8d5b0e5791c6p-7, 0x1.6fc37481d39e4p-7, 0x1.2df6d5dc33e1cp-7, 0x1.c7436fa338252p-8, 0x1.22006567bc994p-8, 0x1.b2b87ddab7877p-10, -0x1.606d615455fd2p-10, -0x1.2bb8109ce6a0dp-8, -0x1.06bd4e8210decp-7, -0x1.7e57238a34906p-7, -0x1.fc4c870a9db0dp-7, -0x1.401f5b44b59f3p-6, -0x1.84e6fa7fadc9cp-6, -0x1.cc4d1cdcd06a3p-6, -0x1.0b10f107e6abfp-5, -0x1.311ae9af0c1dcp-5, -0x1.582d0cd5eb631p-5, -0x1.803058d45bd5cp-5, -0x1.a90e4b381f267p-5, -0x1.d2b0f12b07016p-5, -0x1.fd02f7bbb7ee9p-5, -0x1.13f7db3640e53p-4, -0x1.29b19c04bd533p-4, -0x1.3fa520406c8fp-4, -0x1.55c92924793bp-4, -0x1.6c14d81300e5cp-4, -0x1.827faf5735f7p-4, -0x1.9901922dd088fp-4, -0x1.af92c43da28a6p-4, -0x1.c62be8a25f9d3p-4, -0x1.dcc6004919b72p-4, -0x1.f35a68a6664a1p-4, -0x1.04f16c917545bp-3, -0x1.102cb085622ep-3, -0x1.1b5c327c3572ep-3, -0x1.267d4e1550523p-3, -0x1.318d86e3709fep-3, -0x1.3c8a86f2e6da5p-3, -0x1.47721d77adddap-3, -0x1.52423d4879c1dp-3, -0x1.5cf8fb788f239p-3, -0x1.67948df00db97p-3, -0x1.72134a0b3e30dp-3, -0x1.7c73a3402f01ep-3, -0x1.86b429c4a22fdp-3, -0x1.90d389579ad32p-3, -0x1.9ad087c461241p-3, -0x1.a4aa0408c4c23p-3, -0x1.ae5ef4ea62fcfp-3, -0x1.b7ee67d792979p-3, -0x1.c1577fdc7e5f3p-3, -0x1.ca99749732987p-3, -0x1.d3b39134f868bp-3, -0x1.dca5337909c8p-3, -0x1.e56dcad5c382bp-3, -0x1.ee0cd7887ac45p-3, -0x1.f681e9c817104p-3, -0x1.fecca0e40a013p-3, -0x1.0376554849e6bp-2, -0x1.0770e12037932p-2, -0x1.0b55d821011adp-2, -0x1.0f2524994d643p-2, -0x1.12deb6aaf55fcp-2, -0x1.168283fcb9b18p-2, -0x1.1a10876dd0b44p-2, -0x1.1d88c0d17b40fp-2, -0x1.20eb34a7fa528p-2, -0x1.2437ebde015c5p-2, -0x1.276ef38ef3c11p-2, -0x1.2a905cc2ac8d8p-2, -0x1.2d9c3c49c0c6p-2, -0x1.3092aa5cadc57p-2, -0x1.3373c28b7905p-2, -0x1.363fa3892590ep-2, -0x1.38f66ee6e093cp-2, -0x1.3b9848ed702a5p-2, -0x1.3e255875352cbp-2, -0x1.409dc6b94c5d4p-2, -0x1.4301bf2a8b86bp-2, -0x1.45516f488dcb5p-2, -0x1.478d0680392bbp-2, -0x1.49b4b602290e3p-2, -0x1.4bc8b09febad6p-2, -0x1.4dc92aaa4fc45p-2, -0x1.4fb659d6b896ap-2, -0x1.5190751621f5fp-2, -0x1.5357b47d46023p-2, -0x1.550c512bc04f8p-2, -0x1.56ae851e0d3ffp-2, -0x1.583e8b3c6dccdp-2, -0x1.59bc9f0b9078p-2, -0x1.5b28fcbe31b11p-2, -0x1.5c83e10d3cd8cp-2, -0x1.5dcd89261ce7ap-2, -0x1.5f063295958e5p-2, -0x1.602e1b3154adbp-2, -0x1.61458107d417bp-2, -0x1.624ca250f1646p-2, -0x1.6343bd5aa7564p-2, -0x1.642b10753296ep-2, -0x1.6502d9e7063edp-2, -0x1.65cb57e3db879p-2, -0x1.6684c87b6b8f8p-2, -0x1.672f6987fe038p-2, -0x1.67cb78a3fb81ep-2, -0x1.6859332553ce1p-2, -0x1.68d8d61332f26p-2, -0x1.694a9e143fde3p-2, -0x1.69aec769defa5p-2, -0x1.6a058ddbdc311p-2, -0x1.6a4f2cdcae541p-2, -0x1.6a8bdf396fb08p-2, -0x1.6abbdf6273ce3p-2, -0x1.6adf671e9d983p-2, -0x1.6af6afb576227p-2, -0x1.6b01f1dcf1755p-2, -0x1.6b0165b24a48ap-2, -0x1.6af542b2419ddp-2, -0x1.6addbfb8989bep-2, -0x1.6abb1300f30f6p-2, -0x1.6a8d7225dd2a8p-2, -0x1.6a5512185ac2bp-2, -0x1.6a12271e0b72p-2, -0x1.69c4e4cf5f6f7p-2, -0x1.696d7e1aca08cp-2, -0x1.690c2542eccd8p-2, -0x1.68a10bdd7ef6bp-2, -0x1.682c62d187155p-2, -0x1.67ae5a549f57bp-2, -0x1.672721efc6bfcp-2, -0x1.6696e87ec9d81p-2, -0x1.65fddc31dbb8bp-2, -0x1.655c2a8daab2ap-2, -0x1.64b2006a7b9d5p-2, -0x1.63ff89f57735bp-2, -0x1.6344f2b36d52dp-2, -0x1.628265837e989p-2, -0x1.61b80ca2fd1b2p-2, -0x1.60e6119cbc8c5p-2, -0x1.600c9d72b0f0ep-2, -0x1.5f2bd874133ap-2, -0x1.5e43ea574f3dap-2, -0x1.5d54fa356de06p-2, -0x1.5c5f2e9023d55p-2, -0x1.5b62ad5a635d2p-2, -0x1.5a5f9be794432p-2, -0x1.59561efc76b3fp-2, -0x1.58465ac987478p-2, -0x1.573072faca20ep-2, -0x1.56148aabcc36ap-2, -0x1.54f2c47050c72p-2, -0x1.53cb425be4e25p-2, -0x1.529e25f969d0ap-2, -0x1.516b90538797ep-2, -0x1.5033a1f48e323p-2, -0x1.4ef67aedcf7a5p-2, -0x1.4db43ad96187cp-2, -0x1.4c6d00dbe2cdbp-2, -0x1.4b20eba3536f2p-2, -0x1.49d0196af09bdp-2, -0x1.487aa7fe9d935p-2, -0x1.4720b4bca2ecdp-2, -0x1.45c25c9b61dcfp-2, -0x1.445fbc28b1ecp-2, -0x1.42f8ef8d8b80fp-2, -0x1.418e128dfb206p-2, -0x1.401f408ae276ep-2, -0x1.3eac9485a0405p-2, -0x1.3d36292270f8dp-2, -0x1.3bbc18ab20ea1p-2, -0x1.3a3e7d1b3e57dp-2, -0x1.38bd6ff218693p-2, -0x1.37390a86c0495p-2, -0x1.35b165c9d98b7p-2, -0x1.34269a5473d6fp-2, -0x1.3298c072ed815p-2, -0x1.3107f024408e5p-2, -0x1.2f74411b0da5cp-2, -0x1.2dddcabf3589p-2, -0x1.2c44a42eca165p-2, -0x1.2aa8e43b6658ap-2, -0x1.290aa179eb946p-2, -0x1.2769f22859b1ap-2, -0x1.25c6ec4be436ep-2, -0x1.2421a5ab64655p-2, -0x1.227a33bf64516p-2, -0x1.20d0abc5fa96p-2, -0x1.1f2522c773152p-2, -0x1.1d77ad7a51ab6p-2, -0x1.1bc86063ebeb8p-2, -0x1.1a174fcc62ed7p-2, -0x1.18648fb2f03c3p-2, -0x1.16b033f14ea64p-2, -0x1.14fa501a698c9p-2, -0x1.1342f78a54de2p-2, -0x1.118a3d67905a2p-2, -0x1.0fd0349cf62bdp-2, -0x1.0e14efdf6726ap-2, -0x1.0c5881ad927adp-2, -0x1.0a9afc50381e8p-2, -0x1.08dc71d94ab3ap-2, -0x1.071cf42ccb9a9p-2, -0x1.055c94f1decd9p-2, -0x1.039b65a29fad7p-2, -0x1.01d977821f24fp-2, -0x1.0016dba346654p-2, -0x1.fca745c610b8p-3, -0x1.f91fbbdd8644fp-3, -0x1.f5973a809d471p-3, -0x1.f20de24349063p-3, -0x1.ee83d35630f5fp-3, -0x1.eaf92d89afba9p-3, -0x1.e76e1043fb146p-3, -0x1.e3e29aa8c4685p-3, -0x1.e056eb48016cfp-3, -0x1.dccb207e66b7p-3, -0x1.d93f582d347e9p-3, -0x1.d5b3afe643363p-3, -0x1.d22844db45354p-3, -0x1.ce9d33d3e7996p-3, -0x1.cb12993f86061p-3, -0x1.c78891349ec8fp-3, -0x1.c3ff376569ab2p-3, -0x1.c076a7285655fp-3, -0x1.bceefb6a256cep-3, -0x1.b9684ece5f1a3p-3, -0x1.b5e2bb8d123b3p-3, -0x1.b25e5b83bc0e6p-3, -0x1.aedb482f6b95ep-3, -0x1.ab599ab6ab43fp-3, -0x1.a7d96bddff2b2p-3, -0x1.a45ad40d8084p-3, -0x1.a0ddeb5202963p-3, -0x1.9d62c95a46b7bp-3, -0x1.99e9857439f98p-3, -0x1.96723695b9eafp-3, -0x1.92fcf355a1265p-3, -0x1.8f89d1eec1f05p-3, -0x1.8c18e83849e2p-3, -0x1.88aa4bc363a94p-3, -0x1.853e11a488ee6p-3, -0x1.81d44eab1ece3p-3, -0x1.7e6d174657186p-3, -0x1.7b087f7e4a0ep-3, -0x1.77a69b0d12912p-3, -0x1.74477d46c6279p-3, -0x1.70eb392598a43p-3, -0x1.6d91e1525706dp-3, -0x1.6a3b88083d541p-3, -0x1.66e83f335e3fp-3, -0x1.6398185edb2eap-3, -0x1.604b24c797f49p-3, -0x1.5d01753b51e75p-3, -0x1.59bb1a3c78d8dp-3, -0x1.567823ec45d1fp-3, -0x1.5338a21949189p-3, -0x1.4ffca42c6207ep-3, -0x1.4cc4393e04b9cp-3, -0x1.498f700a739aap-3, -0x1.465e56f2e0cdfp-3, -0x1.4330fc08e1eb1p-3, -0x1.40076cf8ee839p-3, -0x1.3ce1b71da6bf1p-3, -0x1.39bfe786d9472p-3, -0x1.36a20ac7f4ac6p-3, -0x1.33882d46d45c1p-3, -0x1.30725b080a819p-3, -0x1.2d609fa78061fp-3, -0x1.2a53067e86abdp-3, -0x1.27499a88f1a51p-3, -0x1.24446670aacf6p-3, -0x1.214372e0c2009p-3, -0x1.1e46cedd4cff7p-3, -0x1.1b4e7f175abf3p-3, -0x1.185a8e91926dp-3, -0x1.156b0658e46bap-3, -0x1.127fef26298edp-3, -0x1.0f99516152816p-3, -0x1.0cb73522689dap-3, -0x1.09d9a230dee2ap-3, -0x1.0700a00a3b842p-3, -0x1.042c35d8d63fap-3, -0x1.015c6a7b19378p-3, -0x1.fd22890893p-4, -0x1.f795946b9b737p-4, -0x1.f2120310bc4abp-4, -0x1.ec97e0506a4d6p-4, -0x1.e72736efdb7c4p-4, -0x1.e1c01120eaeb7p-4, -0x1.dc62788ffde63p-4, -0x1.d70e765202c7cp-4, -0x1.d1c412f01de53p-4, -0x1.cc835667194b8p-4, -0x1.c74c4822115aep-4, -0x1.c21eeefce54c9p-4, -0x1.bcfb514b7ab11p-4, -0x1.b7e174d555c7bp-4, -0x1.b2d15ee4fe24ap-4, -0x1.adcb14461e6cfp-4, -0x1.a8ce994b0c821p-4, -0x1.a3dbf1d5267a1p-4, -0x1.9ef3213230296p-4, -0x1.9a142a3e3ce12p-4, -0x1.953f0f4aa0f8ep-4, -0x1.9073d223f8fep-4, -0x1.8bb27417357f8p-4, -0x1.86faf5fa813dcp-4, -0x1.824d58374aae5p-4, -0x1.7da99ad36cabfp-4, -0x1.790fbd77b39bep-4, -0x1.747fbf68a044cp-4, -0x1.6ff99f7eb27ddp-4, -0x1.6b7d5c28b2a6cp-4, -0x1.670af3540c01ep-4, -0x1.62a2626eb23fbp-4, -0x1.5e43a66b242cdp-4, -0x1.59eebbcc02711p-4, -0x1.55a39eb4a5f67p-4, -0x1.51624afdc223bp-4, -0x1.4d2abc3e71399p-4, -0x1.48fcedd727a32p-4, -0x1.44d8dacccc40fp-4, -0x1.40be7e048d65ep-4, -0x1.3cadd1c2835ffp-4, -0x1.38a6d0017c6cp-4, -0x1.34a9721d7bfc6p-4, -0x1.30b5b1055e6fap-4, -0x1.2ccb853abceb1p-4, -0x1.28eae6f0c94d1p-4, -0x1.2513ce290b3a8p-4, -0x1.214632cd147a4p-4, -0x1.1d820cb1bbf73p-4, -0x1.19c7539ef58c4p-4, -0x1.1615ff280f2d8p-4, -0x1.126e06988861cp-4, -0x1.0ecf60d7d1959p-4, -0x1.0b3a04404c6eap-4, -0x1.07ade6b03ff71p-4, -0x1.042afd86565b3p-4, -0x1.00b13dbe90ad9p-4, -0x1.fa8138617014ep-5, -0x1.f3b21b4031f1fp-5, -0x1.ecf50ddff8378p-5, -0x1.e649fa3b2cc47p-5, -0x1.dfb0ca8454148p-5, -0x1.d92968ee4ed25p-5, -0x1.d2b3bf2f67605p-5, -0x1.cc4fb64df1eep-5, -0x1.c5fd36382f9a1p-5, -0x1.bfbc25b671c05p-5, -0x1.b98c6a724b2c9p-5, -0x1.b36de96d8102cp-5, -0x1.ad60872c0e41ep-5, -0x1.a7642802f70ecp-5, -0x1.a178b0ed9bc68p-5, -0x1.9b9e076500375p-5, -0x1.95d41196bb2c2p-5, -0x1.901ab61dde9aap-5, -0x1.8a71dba6912f5p-5, -0x1.84d9687abb728p-5, -0x1.7f51423b0c1c4p-5, -0x1.79d94d502eaefp-5, -0x1.74716d0c5fb63p-5, -0x1.6f19838897a64p-5, -0x1.69d1721961183p-5, -0x1.649919b0583afp-5, -0x1.5f705b5cc260ep-5, -0x1.5a5718c3bbeb9p-5, -0x1.554d34644a0ebp-5, -0x1.505291ccf5125p-5, -0x1.4b671539cf24ap-5, -0x1.468aa36ea73ep-5, -0x1.41bd2101d1d48p-5, -0x1.3cfe72263f15fp-5, -0x1.384e7a33d5dacp-5, -0x1.33ad1b6a1d90fp-5, -0x1.2f1a36e3252a2p-5, -0x1.2a95acb359eb5p-5, -0x1.261f5c321433p-5, -0x1.21b724758cf69p-5, -0x1.1d5ce4fdd122ep-5, -0x1.19107df858eebp-5, -0x1.14d1d0cf0a3fap-5, -0x1.10a0c002ae0ep-5, -0x1.0c7d2f20fd657p-5, -0x1.08670249bad31p-5, -0x1.045e1dd148a2dp-5, -0x1.0062654efe6ep-5, -0x1.f8e7796d055eep-6, -0x1.f1240c516b52fp-6, -0x1.e97a46c18cb36p-6, -0x1.e1e9e9c21754ep-6, -0x1.da72b4d50b396p-6, -0x1.d31465e8de24cp-6, -0x1.cbcebaca11e85p-6, -0x1.c4a172069ddb2p-6, -0x1.bd8c4c4b386a2p-6, -0x1.b68f0cf1af8c5p-6, -0x1.afa979f907fe3p-6, -0x1.a8db5b75dc2e2p-6, -0x1.a2247aabb3b65p-6, -0x1.9b84a12f7f4d7p-6, -0x1.94fb9855499a8p-6, -0x1.8e8928f00a377p-6, -0x1.882d1b27757f6p-6, -0x1.81e7363efd98bp-6, -0x1.7bb74055ad356p-6, -0x1.759cfd86a33a8p-6, -0x1.6f983030974afp-6, -0x1.69a8992d27439p-6, -0x1.63cdf93f4936dp-6, -0x1.5e08124e1886p-6, -0x1.5856a87a6d2ap-6, -0x1.52b982bd3d77ep-6, -0x1.4d306a84baf88p-6, -0x1.47bb2ad540101p-6, -0x1.42598f3c39ebp-6, -0x1.3d0b630e81b5dp-6, -0x1.37d0714ee92c7p-6, -0x1.32a885161af32p-6, -0x1.2d9369fe4ba7ap-6, -0x1.2890ec6eb522dp-6, -0x1.23a0d8c21d897p-6, -0x1.1ec2fa4a1e46p-6, -0x1.19f71a7d3d0dbp-6, -0x1.153d00f41d699p-6, -0x1.1094746063cebp-6, -0x1.0bfd3bef8597cp-6, -0x1.077720b7d36a9p-6, -0x1.0301ee8937f24p-6, -0x1.fd3ae7c65661fp-7, -0x1.f493024479576p-7, -0x1.ec0bce68930dp-7, -0x1.e3a4ecd1f7258p-7, -0x1.db5dfb7f5ffbfp-7, -0x1.d33696e86c748p-7, -0x1.cb2e5b9e3dab9p-7, -0x1.c344e88a9e853p-7, -0x1.bb79dfecf3963p-7, -0x1.b3cce64cd2bc4p-7, -0x1.ac3d9f15dab2bp-7, -0x1.a4cbaa9052bc7p-7, -0x1.9d76a4ca21ecp-7, -0x1.963e27a1fec8dp-7, -0x1.8f21cda978928p-7, -0x1.8821351f8c721p-7, -0x1.813c01b456364p-7, -0x1.7a71dce915894p-7, -0x1.73c2753a3850ep-7, -0x1.6d2d7c436e3d5p-7, -0x1.66b2a4138f46ep-7, -0x1.60519c9cc4141p-7, -0x1.5a0a1271ebceep-7, -0x1.53dbaf7cbd119p-7, -0x1.4dc61d572adc1p-7, -0x1.47c907fc7221ap-7, -0x1.41e41f1acd728p-7, -0x1.3c17150195c9cp-7, -0x1.36619bfcdc5abp-7, -0x1.30c363dea6b46p-7, -0x1.2b3c14e206fb1p-7, -0x1.25cb57033dd0dp-7, -0x1.2070d0c9f48eap-7, -0x1.1b2c2bd949249p-7, -0x1.15fd158690f71p-7, -0x1.10e33f2009518p-7, -0x1.0bde5e97fafaep-7, -0x1.06ee2f2d6a61bp-7, -0x1.021270a4c1beep-7, -0x1.fa95c941fa36ap-8, -0x1.f12e96b445074p-8, -0x1.e7eec3039a3cbp-8, -0x1.ded5c0f3e5225p-8, -0x1.d5e3017ec13c4p-8, -0x1.cd15fa42898b3p-8, -0x1.c46e295c759ap-8, -0x1.bbeb144e8cf82p-8, -0x1.b38c42672353fp-8, -0x1.ab51356f5f0b8p-8, -0x1.a339663f4ef3p-8, -0x1.9b4446fd8c0cdp-8, -0x1.937148151eb9p-8, -0x1.8bbfdd7324625p-8, -0x1.842f7d8c1558fp-8, -0x1.7cbf9ee497449p-8, -0x1.756fb9e08e042p-8, -0x1.6e3f4f83a9966p-8, -0x1.672df00b9d41cp-8, -0x1.603b37f445d8ap-8, -0x1.5966c6f7c810cp-8, -0x1.52b0372b3bea1p-8, -0x1.4c1719b69381p-8, -0x1.459af9e4925ffp-8, -0x1.3f3b63531fcc6p-8, -0x1.38f7e6fd55157p-8, -0x1.32d01cd817996p-8, -0x1.2cc3a281569cep-8, -0x1.26d2186cc87e1p-8, -0x1.20fb1e3fb9beep-8, -0x1.1b3e4f1f89257p-8, -0x1.159b405b87fb4p-8, -0x1.101184c8b4f6fp-8, -0x1.0aa0b24eac337p-8, -0x1.05486330d8cb1p-8, -0x1.00082fc49f7aap-8, -0x1.f5bf523c8acp-9, -0x1.eb9cc1e264115p-9, -0x1.e1a7ee61bd1acp-9, -0x1.d7e03ca291d19p-9, -0x1.ce4520c34755ep-9, -0x1.c4d6034f871f9p-9, -0x1.bb9232a906e5dp-9, -0x1.b278fb4e37adbp-9, -0x1.a989a43aa02a3p-9, -0x1.a0c389efc68c5p-9, -0x1.982609e1bc25cp-9, -0x1.8fb0844f611bp-9, -0x1.87625af5c644p-9, -0x1.7f3af51c0e118p-9, -0x1.7739c0b488b49p-9, -0x1.6f5e2cb783a9dp-9, -0x1.67a79f2d02a5ep-9, -0x1.6015702ed6babp-9, -0x1.58a6f2b248784p-9, -0x1.515b84975e173p-9, -0x1.4a329052de13fp-9, -0x1.432b7a527cfe6p-9, -0x1.3c4595a23cedp-9, -0x1.35803b8b9823fp-9, -0x1.2edaecd0bbca4p-9, -0x1.28554d519d795p-9, -0x1.21eefac91c99bp-9, -0x1.1ba774bdade89p-9, -0x1.157e2905a7bddp-9, -0x1.0f728bf232ecap-9, -0x1.098429eaa4a99p-9, -0x1.03b28bf2ae50ep-9, -0x1.fbfa76760d0a3p-10, -0x1.f0c76faebc13p-10, -0x1.e5cb097d20802p-10, -0x1.db045df3b1fbep-10, -0x1.d0729ee2a7c9fp-10, -0x1.c6150f27d3529p-10, -0x1.bbeaf3925e21dp-10, -0x1.b1f37efaa988ap-10, -0x1.a82dc3b04e66p-10, -0x1.9e98bee1741e8p-10, -0x1.95337c516ab2fp-10, -0x1.8bfd262ce7669p-10, -0x1.82f4e5be8a9a3p-10, -0x1.7a19bc5ed5635p-10, -0x1.716aa18f0a1dap-10, -0x1.68e6ce2841a99p-10, -0x1.608db9978dd56p-10, -0x1.585ec794af964p-10, -0x1.50592632e5a05p-10, -0x1.487c0220fe18dp-10, -0x1.40c6b8ce44b79p-10, -0x1.3938c5e970ep-10, -0x1.31d1968b314b9p-10, -0x1.2a90798cc5a71p-10, -0x1.2374aecfc55b9p-10, -0x1.1c7d784155329p-10, -0x1.15aa22b1a15a1p-10, -0x1.0efa08d48d0dfp-10, -0x1.086c93b0ea594p-10, -0x1.020139f6c265dp-10, -0x1.f76ef92b4ea99p-11, -0x1.eb1dba28a4694p-11, -0x1.df0d9b4a94681p-11, -0x1.d33d504fef7c9p-11, -0x1.c7ab7b5880777p-11, -0x1.bc56e9f763028p-11, -0x1.b13ea6eda646fp-11, -0x1.a661b483cd495p-11, -0x1.9bbebc8f79612p-11, -0x1.91545d3a5ef95p-11, -0x1.8721a9bf6870cp-11, -0x1.7d25cb7500b1ep-11, -0x1.735f872731aaap-11, -0x1.69cd99d079969p-11, -0x1.606f2597ce45p-11, -0x1.574371f95b52p-11, -0x1.4e499993cddebp-11, -0x1.45809ed54a22ap-11, -0x1.3ce7945d1abebp-11, -0x1.347da18e06147p-11, -0x1.2c41f4decfeebp-11, -0x1.2433b865b1106p-11, -0x1.1c520d59721dcp-11, -0x1.149c0f7d2e34p-11, -0x1.0d10e160d0bc8p-11, -0x1.05afb588bd0bcp-11, -0x1.fcefac9c9511bp-12, -0x1.eed1411824f05p-12, -0x1.e102d4ba5cbd9p-12, -0x1.d382cf7b7ef3p-12, -0x1.c64f65c2098f5p-12, -0x1.b966f5c3a4d86p-12, -0x1.acc8559ba7924p-12, -0x1.a0728bd877418p-12, -0x1.9463e7f01e1fep-12, -0x1.889a417db9dcbp-12, -0x1.7d1453f933acfp-12, -0x1.71d112416ad2p-12, -0x1.66ceebce4bea2p-12, -0x1.5c0cd1fe94506p-12, -0x1.518a1a56f0626p-12, -0x1.47459a7da0bbap-12, -0x1.3d3dd4e7e82e3p-12, -0x1.33715eca602a5p-12, -0x1.29dee94dadcf9p-12, -0x1.20854268325e3p-12, -0x1.17631fe3b975cp-12, -0x1.0e776261cead5p-12, -0x1.05c1258645489p-12, -0x1.fa7ed4ac674a1p-13, -0x1.e9e276fe61934p-13, -0x1.d9ab2292e65bcp-13, -0x1.c9d6aa30bfda7p-13, -0x1.ba62ecf2ac6dep-13, -0x1.ab4e09c01c45cp-13, -0x1.9c9667e923723p-13, -0x1.8e3a71605b07ap-13, -0x1.8038434cbc8c3p-13, -0x1.728dc72156a78p-13, -0x1.6539257f565fap-13, -0x1.583913ce680d2p-13, -0x1.4b8c55008e193p-13, -0x1.3f3035f5cedfep-13, -0x1.3321ed893a6e9p-13, -0x1.27603665e8d1cp-13, -0x1.1be954ce403fcp-13, -0x1.10bc589bd34e1p-13, -0x1.05d89309bd06p-13, -0x1.f67866076222p-14, -0x1.e1caa778e168fp-14, -0x1.cda4f5b762274p-14, -0x1.ba04c5c23eb12p-14, -0x1.a6e786c62ebfap-14, -0x1.944b54072e6b7p-14, -0x1.822ca893c482ep-14, -0x1.708979f95cd99p-14, -0x1.5f5e7fe654b7p-14, -0x1.4ea873a0bf309p-14, -0x1.3e642bd3de86p-14, -0x1.2e8efabe3970ap-14, -0x1.1f26c71ef1892p-14, -0x1.1029b3e116489p-14, -0x1.0195c616bbad2p-14, -0x1.e6d1267bb1317p-15, -0x1.cb3f82d1ce3cdp-15, -0x1.b0729001653c9p-15, -0x1.9666ecc663edbp-15, -0x1.7d1907038afb9p-15, -0x1.6484565e04fc5p-15, -0x1.4ca410033a339p-15, -0x1.3575775d7e746p-15, -0x1.1ef4da3a7b2c1p-15, -0x1.0919d7b009d8cp-15, -0x1.e7bfa50c088a5p-16, -0x1.be889acef903ap-16, -0x1.968f312f7e2bcp-16, -0x1.6fcc2fe4cfff7p-16, -0x1.4a3488e644466p-16, -0x1.25c09cfe7dd4bp-16, -0x1.026a4111e527ap-16, -0x1.c05695ab5cad9p-17, -0x1.7dfb0b4c79db2p-17, -0x1.3db59f07ec704p-17, -0x1.fef4c60f5ae81p-18, -0x1.867bcb449ab99p-18, -0x1.11eaa047273a6p-18, -0x1.425a14351ba28p-19, -0x1.a18108082d363p-21, 0x1.a8f96d022b0cdp-21, 0x1.35afb3ff284cap-19, 0x1.fa317db923b55p-19, 0x1.5c0607de51ea1p-18, 0x1.b7bccb90e383p-18, 0x1.0825076b140fbp-17, 0x1.32da3ff740f49p-17, 0x1.5c06b6ac9d0fbp-17, 0x1.83b7683517f3p-17, 0x1.a9f45d935747ep-17, 0x1.cec089ebc2ff5p-17, 0x1.f22410f87e832p-17, 0x1.0a16be0ee122ap-16, 0x1.1a73285c5dd03p-16, 0x1.2a27daa775aa2p-16, 0x1.393f01d911f0bp-16, }}, 
      {{0x1.0622e1407a4f1p-3, 0x1.85414d8290dp-3, 0x1.0fcab4b773c97p-2, 0x1.5ce105d5538c5p-2, 0x1.a1f2e9b51f8d3p-2, 0x1.dae1d5e61be01p-2, 0x1.0305656b04b68p-1, 0x1.11ad952edb5c1p-1, 0x1.19d8400547567p-1, 0x1.1c36a4a614017p-1, 0x1.199927851faeep-1, 0x1.12d87844e79adp-1, 0x1.08c733098c856p-1, 0x1.f852862fb02e2p-2, 0x1.db5e50193ce33p-2, 0x1.bbe7aa0e3b81ep-2, 0x1.9af88e3aaf00dp-2, 0x1.79706cca1585bp-2, 0x1.5806ea062c99bp-2, 0x1.374f625d6842cp-2, 0x1.17bccc77aa802p-2, 0x1.f34b646130728p-3, 0x1.ba90221769156p-3, 0x1.859a07becacb1p-3, 0x1.5498489b413aep-3, 0x1.279d3657b079cp-3, 0x1.fd47728b515ccp-4, 0x1.b32843321c1cbp-4, 0x1.7090af91c0105p-4, 0x1.351eec3fb821ep-4, 0x1.0061aec61949bp-4, 0x1.a3ba9ea7caddp-5, 0x1.52201352087cp-5, 0x1.0aeaefb755217p-5, 0x1.9a257f9a1e15bp-6, 0x1.2f27b05a78995p-6, 0x1.a5cb1e5109c58p-7, 0x1.06fbbe59be6eep-7, 0x1.f94676b88d5ebp-9, 0x1.0ea4c7d0be10fp-12, -0x1.76d7c107e0816p-9, -0x1.6e1e018d0ba3p-8, -0x1.0637f4da0e7bep-7, -0x1.4d95fbf29b499p-7, -0x1.8f52e7d67d5c2p-7, -0x1.cd5f126810d54p-7, -0x1.04ba0046c386bp-6, -0x1.228b74d9fe5efp-6, -0x1.40cdf2e5caf11p-6, -0x1.60146bff19e35p-6, -0x1.80dc51e419543p-6, -0x1.a38f22fa1640dp-6, -0x1.c883f8af690dbp-6, -0x1.f00100c0c38d7p-6, -0x1.0d1e74f77d153p-5, -0x1.23b0237e614c3p-5, -0x1.3bc3738345f06p-5, -0x1.55608de2d862ap-5, -0x1.708a74989afdap-5, -0x1.8d3f914cb4fb2p-5, -0x1.ab7a3d7718d88p-5, -0x1.cb3145030a6p-5, -0x1.ec5861cb7ea33p-5, -0x1.077056bf75e2cp-4, -0x1.195c848bdac25p-4, -0x1.2be73d639a802p-4, -0x1.3f064248f4f4p-4, -0x1.52aeba6b19c53p-4, -0x1.66d55888bd9f2p-4, -0x1.7b6e7d0a795dbp-4, -0x1.906e547766406p-4, -0x1.a5c8f21dc7dd5p-4, -0x1.bb726739f5c25p-4, -0x1.d15ed71d8f2acp-4, -0x1.e78288dbaaf23p-4, -0x1.fdd1f6f53abbp-4, -0x1.0a20ee8c00475p-3, -0x1.1563a2152b3a5p-3, -0x1.20abc63968c8ap-3, -0x1.2bf43aede3eb1p-3, -0x1.373813430189p-3, -0x1.427297df08399p-3, -0x1.4d9f48c536c2p-3, -0x1.58b9de85a2179p-3, -0x1.63be4af58c697p-3, -0x1.6ea8b98088392p-3, -0x1.79758f20b0094p-3, -0x1.84216a0b2376cp-3, -0x1.8ea92113e403ap-3, -0x1.9909c2d1a5168p-3, -0x1.a3409481c85a7p-3, -0x1.ad4b10bc147d5p-3, -0x1.b726e5f539af4p-3, -0x1.c0d1f4dda21cbp-3, -0x1.ca4a4ea3c753fp-3, -0x1.d38e33201fbbap-3, -0x1.dc9c0ef626cbdp-3, -0x1.e57279a7f985dp-3, -0x1.ee1033ad046a2p-3, -0x1.f67424843c935p-3, -0x1.fe9d58cd46fd8p-3, -0x1.03458032dc261p-2, -0x1.071e364782fc8p-2, -0x1.0ad8870f03bbdp-2, -0x1.0e7439d95d66cp-2, -0x1.11f124009968fp-2, -0x1.154f280eb9dd4p-2, -0x1.188e34ef7c533p-2, -0x1.1bae452609181p-2, -0x1.1eaf5e0c2775p-2, -0x1.21918f1675464p-2, -0x1.2454f123b18e7p-2, -0x1.26f9a5d1b030fp-2, -0x1.297fd6da52afp-2, -0x1.2be7b57ac0c41p-2, -0x1.2e3179de4d507p-2, -0x1.305d62958898ap-2, -0x1.326bb4119a844p-2, -0x1.345cb82677adbp-2, -0x1.3630bd98661f5p-2, -0x1.37e817aa5b538p-2, -0x1.39831db7cc2fap-2, -0x1.3b022ad1dfd97p-2, -0x1.3c659d628f6fcp-2, -0x1.3dadd6d889345p-2, -0x1.3edb3b53e9044p-2, -0x1.3fee315b1ba4fp-2, -0x1.40e72195c2be9p-2, -0x1.41c67688437b4p-2, -0x1.428c9c5453a9bp-2, -0x1.433a00861b904p-2, -0x1.43cf11d6cc3a3p-2, -0x1.444c3ffe66f6fp-2, -0x1.44b1fb8653feap-2, -0x1.4500b59a60125p-2, -0x1.4538dfe3258eep-2, -0x1.455aec633fbe5p-2, -0x1.45674d4fc6748p-2, -0x1.455e74f185a42p-2, -0x1.4540d58be2103p-2, -0x1.450ee13de0f08p-2, -0x1.44c909e6c3b2cp-2, -0x1.446fc1127ef5bp-2, -0x1.440377e581989p-2, -0x1.43849f03e896ep-2, -0x1.42f3a6810711p-2, -0x1.4250fdd08596ap-2, -0x1.419d13b6ab427p-2, -0x1.40d856363ffc5p-2, -0x1.40033287c4318p-2, -0x1.3f1e150abe4d3p-2, -0x1.3e29693bb7198p-2, -0x1.3d2599aac580ap-2, -0x1.3c130ff10cb4ap-2, -0x1.3af234a68c955p-2, -0x1.39c36f5c5396ap-2, -0x1.38872697c3173p-2, -0x1.373dbfc93c1dfp-2, -0x1.35e79f42cf2bcp-2, -0x1.34852835c912p-2, -0x1.3316bcb21660cp-2, -0x1.319cbd9f1a4b8p-2, -0x1.30178ab23361p-2, -0x1.2e87826cd129ap-2, -0x1.2ced021f4b264p-2, -0x1.2b4865e5c5357p-2, -0x1.299a089f48f25p-2, -0x1.27e243e96bae4p-2, -0x1.262170248a8f5p-2, -0x1.2457e473d7513p-2, -0x1.2285f6bc1c7d8p-2, -0x1.20abfb97eb208p-2, -0x1.1eca465bf22b8p-2, -0x1.1ce1291a10636p-2, -0x1.1af0f4a243311p-2, -0x1.18f9f87dbc597p-2, -0x1.16fc82eb4fa2ap-2, -0x1.14f8e0e195112p-2, -0x1.12ef5e1311abbp-2, -0x1.10e044eec7bd5p-2, -0x1.0ecbde9d78063p-2, -0x1.0cb272ffe668ep-2, -0x1.0a9448b0ddcecp-2, -0x1.0871a5088f7dcp-2, -0x1.064acc1e3407dp-2, -0x1.042000c784b69p-2, -0x1.01f184985e4dfp-2, -0x1.ff7f2fc8373a5p-3, -0x1.fb14f38045361p-3, -0x1.f6a4d00ccd066p-3, -0x1.f22f3eadc5e55p-3, -0x1.edb4b63154c59p-3, -0x1.e935aaf5df9bp-3, -0x1.e4b28eeda3aacp-3, -0x1.e02bd1a3aad1dp-3, -0x1.dba1e041a57e8p-3, -0x1.d7152595cbb37p-3, -0x1.d2860a14e07b3p-3, -0x1.cdf4f3dce9ad5p-3, -0x1.c96246baf8509p-3, -0x1.c4ce642f392ecp-3, -0x1.c039ab7449ea8p-3, -0x1.bba479870778bp-3, -0x1.b70f2929a869ap-3, -0x1.b27a12e751769p-3, -0x1.ade58d1761eedp-3, -0x1.a951ebe53a459p-3, -0x1.a4bf8154080a4p-3, -0x1.a02e9d4dada6fp-3, -0x1.9b9f8da48e69ap-3, -0x1.97129e148bd82p-3, -0x1.9288184a825b1p-3, -0x1.8e0043e8ea137p-3, -0x1.897b669094948p-3, -0x1.84f9c3e8f3de5p-3, -0x1.807b9da6e63bbp-3, -0x1.7c01339167ce4p-3, -0x1.778ac38603029p-3, -0x1.7318897e17a5p-3, -0x1.6eaabf96a16ffp-3, -0x1.6a419e180e6f1p-3, -0x1.65dd5b7df3153p-3, -0x1.617e2c7d71d39p-3, -0x1.5d24440a7a43bp-3, -0x1.58cfd35d417e1p-3, -0x1.548109f896577p-3, -0x1.503815b11b328p-3, -0x1.4bf522b4d523cp-3, -0x1.47b85b9255edbp-3, -0x1.4381e93f55bbdp-3, -0x1.3f51f31df8747p-3, -0x1.3b289f059d0a6p-3, -0x1.3706114349addp-3, -0x1.32ea6ca647161p-3, -0x1.2ed5d2846ea79p-3, -0x1.2ac862c1d0771p-3, -0x1.26c23bd77ac14p-3, -0x1.22c37ad9acbbdp-3, -0x1.1ecc3b7d9b725p-3, -0x1.1adc981f8a33cp-3, -0x1.16f4a9c85642ep-3, -0x1.13148835c5bb7p-3, -0x1.0f3c49dfe747bp-3, -0x1.0b6c040037b69p-3, -0x1.07a3ca98da0b5p-3, -0x1.03e3b079652e8p-3, -0x1.002bc74444851p-3, -0x1.f8f83eec1f53dp-4, -0x1.f1a990d40214fp-4, -0x1.ea6ba0c24188fp-4, -0x1.e33e8912dd43dp-4, -0x1.dc22620459761p-4, -0x1.d51741c761257p-4, -0x1.ce1d3c88304e3p-4, -0x1.c73464795894fp-4, -0x1.c05cc9df8893ep-4, -0x1.b9967b1c7903p-4, -0x1.b2e184bad02afp-4, -0x1.ac3df179d95c7p-4, -0x1.a5abca593017ep-4, -0x1.9f2b16a2c882bp-4, -0x1.98bbdbf74da52p-4, -0x1.925e1e5719e66p-4, -0x1.8c11e02c3f27cp-4, -0x1.85d72256a905bp-4, -0x1.7fade4347d54p-4, -0x1.799623adf1d84p-4, -0x1.738fdd3f76b31p-4, -0x1.6d9b0c0390643p-4, -0x1.67b7a9bd05b8cp-4, -0x1.61e5aee03bd96p-4, -0x1.5c25129e49457p-4, -0x1.5675cae7868a7p-4, -0x1.50d7cc82c514ep-4, -0x1.4b4b0b063b8b9p-4, -0x1.45cf78ec6b987p-4, -0x1.406507980e98fp-4, -0x1.3b0ba75e6b7b7p-4, -0x1.35c34790a5c9p-4, -0x1.308bd6835459bp-4, -0x1.2b654197006dcp-4, -0x1.264f7540d5277p-4, -0x1.214a5d1265386p-4, -0x1.1c55e3c279abap-4, -0x1.1771f33361ea9p-4, -0x1.129e747cc65d4p-4, -0x1.0ddb4ff277194p-4, -0x1.09286d2c6a34p-4, -0x1.0485b30d9a74p-4, -0x1.ffe60f97f0e34p-5, -0x1.f6e0a1ee89c44p-5, -0x1.edfae6ffac409p-5, -0x1.e534a77b893eap-5, -0x1.dc8daaef949f8p-5, -0x1.d405b7d3546ddp-5, -0x1.cb9c9395dff91p-5, -0x1.c35202aa7ed03p-5, -0x1.bb25c89b212fbp-5, -0x1.b317a80098919p-5, -0x1.ab2762b0aca59p-5, -0x1.a354b9a9444f7p-5, -0x1.9b9f6d2ce35f4p-5, -0x1.94073ccbdfebep-5, -0x1.8c8be76c15b44p-5, -0x1.852d2b56ef80dp-5, -0x1.7deac642b24dfp-5, -0x1.76c4755c1f05p-5, -0x1.6fb9f553cfcffp-5, -0x1.68cb0264d1a74p-5, -0x1.61f75860605cap-5, -0x1.5b3eb2b548b58p-5, -0x1.54a0cc7cdc8bfp-5, -0x1.4e1d607fee3d4p-5, -0x1.47b429421ab58p-5, -0x1.4164e108e3c3ap-5, -0x1.3b2f41e63abd9p-5, -0x1.351305be593e5p-5, -0x1.2f0fe6510bf7p-5, -0x1.29259d415c363p-5, -0x1.2353e41bc8b37p-5, -0x1.1d9a7460350a2p-5, -0x1.17f907877ee9ep-5, -0x1.126f570621465p-5, -0x1.0cfd1c635963fp-5, -0x1.07a2112597672p-5, -0x1.025deeed64434p-5, -0x1.fa60deeb4874dp-6, -0x1.f032992cfc9e9p-6, -0x1.e630809d51b0fp-6, -0x1.dc5a098fd4fc8p-6, -0x1.d2aeaa358d24bp-6, -0x1.c92dd33dd9792p-6, -0x1.bfd6feb2a3d31p-6, -0x1.b6a9a13075d24p-6, -0x1.ada5315527ae1p-6, -0x1.a4c9264f9d17dp-6, -0x1.9c14f7e8b219ap-6, -0x1.93881e8d1737ap-6, -0x1.8b2213573dbf2p-6, -0x1.82e250168b705p-6, -0x1.7ac84f587fa8fp-6, -0x1.72d38c6cd7d9ap-6, -0x1.6b03836926898p-6, -0x1.6357b1304caa4p-6, -0x1.5bcf937605594p-6, -0x1.546aa8c84356ap-6, -0x1.4d287097fcd1dp-6, -0x1.46086b42acc33p-6, -0x1.3f0a1a181742bp-6, -0x1.382cff60e3c95p-6, -0x1.31709e5e431eap-6, -0x1.2ad47b4907219p-6, -0x1.24581b51a2c81p-6, -0x1.1dfb04a1e0852p-6, -0x1.17bcbe622e4ap-6, -0x1.119cd0c47375ep-6, -0x1.0b9ac50e1ab3bp-6, -0x1.05b625a2d7ba8p-6, -0x1.ffdcfc13776f1p-7, -0x1.f486b5d6cf5fp-7, -0x1.e968941f8fe86p-7, -0x1.de81b4a09ebdfp-7, -0x1.d3d13726e3802p-7, -0x1.c9563d9465fd3p-7, -0x1.bf0febec78b6bp-7, -0x1.b4fd686e3163ep-7, -0x1.ab1ddbb61d8f5p-7, -0x1.a17070dbd7ac8p-7, -0x1.97f45580c00aep-7, -0x1.8ea8b9cbb74e6p-7, -0x1.858cd04ef083bp-7, -0x1.7c9fcdde5d26cp-7, -0x1.73e0e96dac857p-7, -0x1.6b4f5bf806304p-7, -0x1.62ea6081cf26ep-7, -0x1.5ab134352b15ap-7, -0x1.52a31691dbc0cp-7, -0x1.4abf49a0d39a2p-7, -0x1.4305121cd7a98p-7, -0x1.3b73b77a7aa2ap-7, -0x1.340a83e5c0b59p-7, -0x1.2cc8c3dec5e6ap-7, -0x1.25adc639f2211p-7, -0x1.1eb8dba5963c3p-7, -0x1.17e956a8bbb51p-7, -0x1.113e8b915c1b2p-7, -0x1.0ab7d0a07db2ep-7, -0x1.04547e4daa7b7p-7, -0x1.fc27df29a6e6p-8, -0x1.efeb046ba4e19p-8, -0x1.e3f12da3787adp-8, -0x1.d83921af18c45p-8, -0x1.ccc1ac8de126p-8, -0x1.c1899eb0f596cp-8, -0x1.b68fcc25b7aa5p-8, -0x1.abd30c1e0600dp-8, -0x1.a152388d92aebp-8, -0x1.970c2e61e1115p-8, -0x1.8cffce0e04b77p-8, -0x1.832bfc42a6703p-8, -0x1.798fa2c39ac71p-8, -0x1.7029b0fbb4a36p-8, -0x1.66f91c3b5deefp-8, -0x1.5dfcdf7966fp-8, -0x1.5533faadc841fp-8, -0x1.4c9d71ee2cb22p-8, -0x1.44384c76a03d6p-8, -0x1.3c0393e7b33cep-8, -0x1.33fe53f0f8178p-8, -0x1.2c279a67420ebp-8, -0x1.247e77593b4cfp-8, -0x1.1d01fe8a4df5ap-8, -0x1.15b148510c9f3p-8, -0x1.0e8b71f376941p-8, -0x1.078f9e7f0cf98p-8, -0x1.00bcf6c5c8401p-8, -0x1.f42551ab5332dp-9, -0x1.e71fce3a3f61cp-9, -0x1.da67cec8355e4p-9, -0x1.cdfbc398b701bp-9, -0x1.c1da203b92d71p-9, -0x1.b6015acc18081p-9, -0x1.aa6fec341e342p-9, -0x1.9f245135a8ab2p-9, -0x1.941d0c2698d6ap-9, -0x1.8958a6f21e08ap-9, -0x1.7ed5b4e36cd7cp-9, -0x1.7492d3c943b54p-9, -0x1.6a8eac19a64cfp-9, -0x1.60c7f02d2d966p-9, -0x1.573d5a9b6808p-9, -0x1.4dedac62ab4a3p-9, -0x1.44d7aaee1c2f3p-9, -0x1.3bfa1e9ef1465p-9, -0x1.3353d1d70fd5dp-9, -0x1.2ae390ab08148p-9, -0x1.22a829472b68cp-9, -0x1.1aa06cfed4baep-9, -0x1.12cb31f804e3bp-9, -0x1.0b27550154753p-9, -0x1.03b3bb5119f8dp-9, -0x1.f8dea6fd9f8e6p-10, -0x1.eab22b381d293p-10, -0x1.dce0048394096p-10, -0x1.cf66420d14b01p-10, -0x1.c242fd438ea95p-10, -0x1.b57458054cf76p-10, -0x1.a8f87711569cp-10, -0x1.9ccd8529550cap-10, -0x1.90f1ae94f0eb8p-10, -0x1.8563227e2e4eep-10, -0x1.7a2013087878bp-10, -0x1.6f26b74450f44p-10, -0x1.64754e0054bebp-10, -0x1.5a0a2172d65fcp-10, -0x1.4fe38a5b3200ap-10, -0x1.45fff1c759d97p-10, -0x1.3c5dd0cfc2636p-10, -0x1.32fbae759aabcp-10, -0x1.29d81c8186e05p-10, -0x1.20f1b483ecda2p-10, -0x1.184715cdc4c17p-10, -0x1.0fd6e488ed26fp-10, -0x1.079fc966a9d6p-10, -0x1.ff40e22f33aacp-11, -0x1.efaf165da8e56p-11, -0x1.e08792241950dp-11, -0x1.d1c7bb12cecedp-11, -0x1.c36cfc31421f8p-11, -0x1.b574cb83b2a6p-11, -0x1.a7dcb12c26014p-11, -0x1.9aa24d3789ed7p-11, -0x1.8dc359c213188p-11, -0x1.813da92e8f83dp-11, -0x1.750f20fc71c63p-11, -0x1.6935b3b084371p-11, -0x1.5daf5c6caaad1p-11, -0x1.527a1dcdacdc3p-11, -0x1.479403c254f5dp-11, -0x1.3cfb262d249b9p-11, -0x1.32ada963d18f3p-11, -0x1.28a9bb9c6a028p-11, -0x1.1eed90033cd0fp-11, -0x1.15775a89bf536p-11, -0x1.0c454f362801fp-11, -0x1.0355a5bfcc7dep-11, -0x1.f54d3fe295967p-12, -0x1.e46d1f9387812p-12, -0x1.d407b5f40a845p-12, -0x1.c419f53e5e152p-12, -0x1.b4a0eee8a23c6p-12, -0x1.a599c7dae137bp-12, -0x1.9701ad4807a4ap-12, -0x1.88d5ced86c5dbp-12, -0x1.7b136059d1926p-12, -0x1.6db7a393aee63p-12, -0x1.60bff14934091p-12, -0x1.5429bd2ed30cfp-12, -0x1.47f2910cde799p-12, -0x1.3c1801d6b4645p-12, -0x1.3097a450fced9p-12, -0x1.256f097f7d98fp-12, -0x1.1a9bc3b06f87bp-12, -0x1.101b7269e73e8p-12, -0x1.05ebcd399a9fdp-12, -0x1.f8155402dcbffp-13, -0x1.e4ebfc072f43ep-13, -0x1.d257b53916793p-13, -0x1.c054cbdbab449p-13, -0x1.aedfa151b1d53p-13, -0x1.9df4989a85463p-13, -0x1.8d900c69231f1p-13, -0x1.7dae53d0aaa5bp-13, -0x1.6e4bd2f6260cep-13, -0x1.5f650e753e01ep-13, -0x1.50f6b5c336be3p-13, -0x1.42fd9cfb1039dp-13, -0x1.3576a88c5cd57p-13, -0x1.285eb03b24442p-13, -0x1.1bb2882610242p-13, -0x1.0f6ef0267329p-13, -0x1.0390bd1e4333ep-13, -0x1.f029c3ce82d38p-14, -0x1.d9f0edc0b5cc6p-14, -0x1.c471750d4f467p-14, -0x1.afa629d80dc68p-14, -0x1.9b8a3724370cp-14, -0x1.881918763a8b7p-14, -0x1.754e777d9a9aep-14, -0x1.632601b3da1eep-14, -0x1.519b4cff2c825p-14, -0x1.40a9d979f0f34p-14, -0x1.304d2e30f1a2ap-14, -0x1.2080ff34deffep-14, -0x1.114144bf14eb9p-14, -0x1.028a341dc44e6p-14, -0x1.e8b03c3bbb489p-15, -0x1.cd4e8ea400e18p-15, -0x1.b2e7a49e42c44p-15, -0x1.997394e2de005p-15, -0x1.80ea8d8eb7262p-15, -0x1.6945059fc592dp-15, -0x1.527bb4604f06cp-15, -0x1.3c876e13446bdp-15, -0x1.276134485e119p-15, -0x1.1302885ea061cp-15, -0x1.fecb4b161e07p-16, -0x1.d90acea345609p-16, -0x1.b4b9ca70d54afp-16, -0x1.91ce24ff6f495p-16, -0x1.703d3741cbce6p-16, -0x1.4ffc0f6e20bdp-16, -0x1.30fff1f06f562p-16, -0x1.133ebb486dfd8p-16, -0x1.ed5dec530d878p-17, -0x1.b68f705f597efp-17, -0x1.8200d2635a4d5p-17, -0x1.4fa108528b7bfp-17, -0x1.1f5eb5de85e18p-17, -0x1.e2500b330dc8bp-18, -0x1.89d64aa4b274ep-18, -0x1.352e231b55c6cp-18, -0x1.c86eaaa9dcc98p-19, -0x1.2da30fc59176dp-19, -0x1.336bec9b4f8afp-20, -0x1.8ca1623e900c2p-24, 0x1.ea24c378d887ep-21, 0x1.f6867ef265657p-20, 0x1.75f2a008f760fp-19, 0x1.eac3f1fcb8675p-19, 0x1.2cf39784c6a51p-18, 0x1.61c917d0f602fp-18, 0x1.93f9b435ed797p-18, 0x1.c39ccc3ba690bp-18, 0x1.f0c74ec72f70cp-18, 0x1.0dc70dd98513ap-17, 0x1.2202e71fcc70bp-17, 0x1.35211cdd4096bp-17, 0x1.472b15a252903p-17, 0x1.5829f8b2d455dp-17, 0x1.682736f1f37b3p-17, 0x1.772cd130033acp-17, 0x1.8544dc8ede497p-17, 0x1.9278a0421466ap-17, 0x1.9ed083c04998p-17, 0x1.aa5519d13d209p-17, 0x1.b50fca23f274bp-17, 0x1.bf09829a22786p-17, 0x1.c848e6dad5b58p-17, 0x1.d0d2a937d7474p-17, 0x1.d8abaa2229bd3p-17, 0x1.dfda63a6f5629p-17, 0x1.e66648c1676aap-17, 0x1.ec56197f41ac5p-17, 0x1.f1afdd009048bp-17, 0x1.f6788b134baf4p-17, 0x1.fab5d3f469b16p-17, 0x1.fe6d870e02255p-17, 0x1.00d2a7b346058p-16, 0x1.023127a92b1adp-16, 0x1.0354863eecf85p-16, 0x1.043ecce12aab6p-16, 0x1.04f1f68b60204p-16, 0x1.057029c4d3117p-16, 0x1.05bbdc484dd27p-16, 0x1.05d7b1386a295p-16, 0x1.05c61c5f980d1p-16, 0x1.0589317a69ff6p-16, 0x1.0522fafd15633p-16, 0x1.0495e52fc84d9p-16, 0x1.03e46d37261e5p-16, 0x1.031055ba286c1p-16, 0x1.021aafe91eebep-16, 0x1.0104bcfffc7ecp-16, 0x1.ffa098abae873p-17, 0x1.fcfe5c4ced681p-17, 0x1.fa25547d96d0ep-17, 0x1.f71762ca11b17p-17, 0x1.f3d6b9d5969f6p-17, 0x1.f066208f63cd8p-17, 0x1.ecc89a4cf1283p-17, 0x1.e9010f75949adp-17, 0x1.e5122775c3328p-17, 0x1.e0fe3e8eb4b06p-17, 0x1.dcc7667697d6p-17, 0x1.d86f6e30d85c1p-17, 0x1.d3f7f48cbe716p-17, 0x1.cf6291fb743dcp-17, 0x1.cab11925c4756p-17, 0x1.c5e5b97e38e4dp-17, 0x1.c102be72f386bp-17, 0x1.bc0a12c13347bp-17, 0x1.b6fd1c2830964p-17, 0x1.b1dd476792a38p-17, 0x1.acaca9b84dda7p-17, 0x1.a76d679a2ca02p-17, 0x1.a220bad7bfcep-17, 0x1.9cc7a6d30d9bep-17, 0x1.9763f1fca07e9p-17, 0x1.91f7707e5d7b9p-17, 0x1.8c8324fdef4a8p-17, 0x1.8707c2e60cffcp-17, 0x1.818653cb32b81p-17, 0x1.7c000f74012bcp-17, 0x1.76760b773af35p-17, 0x1.70e931dc1d5d1p-17, 0x1.6b5a5bc70b466p-17, 0x1.65ca6709a5a4ap-17, 0x1.603a3b9bb50c6p-17, 0x1.5aaac501555e5p-17, 0x1.551ce64fa1acfp-17, 0x1.4f91646cea43cp-17, 0x1.4a08da5466d23p-17, 0x1.4483c4c1b4f8ep-17, 0x1.3f02aa36f81cap-17, 0x1.3986410cb6847p-17, 0x1.340f616238fcfp-17, 0x1.2e9ec32ac875p-17, 0x1.2934c77a07398p-17, 0x1.23d1a914e0e08p-17, 0x1.1e761ba3efcbfp-17, 0x1.192321e68a7f7p-17, 0x1.13d9211e25e93p-17, 0x1.0e98578449c75p-17, 0x1.09615c3843322p-17, 0x1.04346ce2146afp-17, 0x1.fe23041bb19bep-18, 0x1.f3f1d598d541ep-18, 0x1.e9d65b89dc86dp-18, 0x1.dfd1852f5826ep-18, 0x1.d5e412faea738p-18, 0x1.cc0ee0bc7492fp-18, 0x1.c252290733389p-18, 0x1.b8ae4c13d1a6p-18, 0x1.af2402f7cd08bp-18, 0x1.a5b35869792ffp-18, 0x1.9c5c9133a7a9p-18, 0x1.932005284a433p-18, 0x1.89fe1a66a0483p-18, 0x1.80f72f25ef62p-18, 0x1.780b80d1124c8p-18, 0x1.6f3b28e16d327p-18, 0x1.66863ca1b4f99p-18, 0x1.5decefcfef95ap-18, 0x1.556f8c3b972acp-18, 0x1.4d0e4c2bf66b3p-18, 0x1.44c92712af036p-18, 0x1.3c9fffb6ddb42p-18, 0x1.349359ccfc3d3p-18, 0x1.2ca3b9c1e747ep-18, 0x1.24d106021bb76p-18, 0x1.1d1b568688436p-18, 0x1.15826fea79d78p-18, 0x1.0e05fba87630bp-18, 0x1.06a618497d648p-18, 0x1.fec5d880caa0ep-19, 0x1.f078e1e93b33dp-19, 0x1.e265268a9da0bp-19, 0x1.d48a10a626db8p-19, 0x1.c6e8e065411dfp-19, 0x1.b97ee9b199f3bp-19, 0x1.ac4df57803bd3p-19, 0x1.9f556e0d79556p-19, 0x1.92955105997dfp-19, 0x1.860d8cf5a6629p-19, 0x1.79bde75387be2p-19, 0x1.6da6019194d95p-19, 0x1.61c554c3af544p-19, 0x1.561b988de7a03p-19, 0x1.4aa86497e0e9dp-19, 0x1.3f6b8b028e464p-19, 0x1.3464a1a8e96cbp-19, 0x1.2993303f7a026p-19, 0x1.1ef6c8ec8b67fp-19, 0x1.148f18e075f4ep-19, 0x1.0a5bd1f8680bdp-19, 0x1.005c75c94b3fbp-19, 0x1.ed21293ff9e75p-20, 0x1.d9f03a97a91b8p-20, 0x1.c72563d7ad4f5p-20, 0x1.b4bf927c4fe69p-20, 0x1.a2bd398391508p-20, 0x1.911d6d749adc3p-20, 0x1.7fdfa54b7541ap-20, 0x1.6f030aa0fbe01p-20, 0x1.5e86a008490aep-20, 0x1.4e69648b291bdp-20, 0x1.3eaa5eb5c2a98p-20, 0x1.2f48971802a0bp-20, 0x1.2043144cacd2fp-20, 0x1.1198da255a2f9p-20, 0x1.0348e8ea0ec47p-20, 0x1.eaa47b11b3c6fp-21, 0x1.cf67a814527e3p-21, 0x1.b4d959dd0320ep-21, 0x1.9af7a72d16a82p-21, 0x1.81c0bb5f9ff87p-21, 0x1.6932b71f85461p-21, 0x1.514b8b1a435c5p-21, 0x1.3a0906732e2fep-21, 0x1.23690f24c8f8fp-21, 0x1.0d69ae7594578p-21, 0x1.f011cbfeb7d55p-22, 0x1.c68950a798ee7p-22, 0x1.9e35f08038869p-22, 0x1.7713b280b1fbfp-22, 0x1.511eae7b7dcd5p-22, 0x1.2c52a52b8aa95p-22, 0x1.08abfe7857001p-22, 0x1.cc4bfb6bff1fep-23, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.524950bf222cfp-5, -0x1.5151aa274b37ep-5, -0x1.4fa74b1229c06p-5, -0x1.4d3729dac22e4p-5, -0x1.49e8f533e51a2p-5, -0x1.45a0b931cdeeep-5, -0x1.404072b270daep-5, -0x1.39a97b08e2543p-5, -0x1.31bdc2a3519cdp-5, -0x1.2860d82b25707p-5, -0x1.1d78bcf058efep-5, -0x1.10ee89197e6d5p-5, -0x1.02aee30aec3c3p-5, -0x1.e5549c578b4eap-6, -0x1.c1aaab7401e53p-6, -0x1.9a51317746dfp-6, -0x1.6f41788293edep-6, -0x1.407c923308586p-6, -0x1.0e0af3939b8c4p-6, -0x1.aff7f4b11536ap-7, -0x1.3ccac5fb8e42p-7, -0x1.858ad887f242bp-8, -0x1.08a591b3d9a17p-9, 0x1.12fa548a46092p-9, 0x1.a33f54c848852p-8, 0x1.642007632121ap-7, 0x1.fbdfe9313e97ep-7, 0x1.4c3d4f568d1b1p-6, 0x1.9cc3bd3aecd94p-6, 0x1.ef4d5af879a5ep-6, 0x1.21d19167630dcp-5, 0x1.4cc6a7c77c902p-5, 0x1.7869dc5c6215cp-5, 0x1.a49f13f5e5573p-5, 0x1.d14a53f1f80afp-5, 0x1.fe4fe6975c773p-5, 0x1.15ca3e2ffafecp-4, 0x1.2c7ea5213fb0bp-4, 0x1.43381284a3a95p-4, 0x1.59e9cce15fcc8p-4, 0x1.708781ac8d377p-4, 0x1.87054eafee30ap-4, 0x1.9d57ca14599dap-4, 0x1.b374091a1afe5p-4, 0x1.c94fa58b4468p-4, 0x1.dee0c1f5e9979p-4, 0x1.f41e0cbdf843fp-4, 0x1.047f610bfd169p-3, 0x1.0ebd567fd12d4p-3, 0x1.18c5139f0e08ep-3, 0x1.22930c4a74563p-3, 0x1.2c23fa916834ep-3, 0x1.3574dd8c352d6p-3, 0x1.3e82f7e8f781cp-3, 0x1.474bce35b3bb3p-3, 0x1.4fcd24f1f95bdp-3, 0x1.5804fe71e2ap-3, 0x1.5ff1989bd0e32p-3, 0x1.67916a89aa6abp-3, 0x1.6ee32215af504p-3, 0x1.75e5a15a5503ep-3, 0x1.7c97fc2bd1f6ep-3, 0x1.82f975916044bp-3, 0x1.89097d4363298p-3, 0x1.8ec7ad330750dp-3, 0x1.9433c71f35624p-3, 0x1.994db23a0a997p-3, 0x1.9e1578e166b75p-3, 0x1.a28b466ca6fb4p-3, 0x1.a6af651105bd1p-3, 0x1.aa823bdd9e9dep-3, 0x1.ae044ccfce45dp-3, 0x1.b136330006501p-3, 0x1.b418a0e726fc5p-3, 0x1.b6ac5ebbdf1a5p-3, 0x1.b8f248e791c3dp-3, 0x1.baeb4e91eec9dp-3, 0x1.bc98704247898p-3, 0x1.bdfabe95a2d6fp-3, 0x1.bf1359085b3d7p-3, 0x1.bfe36cd21ba4cp-3, 0x1.c06c33d302f83p-3, 0x1.c0aef390b227fp-3, 0x1.c0acfc42099d4p-3, 0x1.c067a7e8678c2p-3, 0x1.bfe0597543fb8p-3, 0x1.bf187bfb0ae2ep-3, 0x1.be1181e835461p-3, 0x1.bccce44ba3fcp-3, 0x1.bb4c22215e775p-3, 0x1.b990bfa6e3561p-3, 0x1.b79c45b647733p-3, 0x1.b570412790947p-3, 0x1.b30e42379ae77p-3, 0x1.b077dbf42345ap-3, 0x1.adaea3ac724dp-3, 0x1.aab430665bc83p-3, 0x1.a78a1a5737cb6p-3, 0x1.a431fa609d3b7p-3, 0x1.a0ad6990b547cp-3, 0x1.9cfe00a5f06ddp-3, 0x1.99255796224ccp-3, 0x1.95250518d3e83p-3, 0x1.90fe9e34e6bd8p-3, 0x1.8cb3b5d178d72p-3, 0x1.8845dc4a162d2p-3, 0x1.83b69f064aae5p-3, 0x1.7f0788149b18fp-3, 0x1.7a3a1dc90dfb9p-3, 0x1.754fe25f43fc3p-3, 0x1.704a53a04d231p-3, 0x1.6b2aea8c43f54p-3, 0x1.65f31b07d512cp-3, 0x1.60a4538dc40eap-3, 0x1.5b3ffce47ff99p-3, 0x1.55c779d7ec912p-3, 0x1.503c26f75c8e7p-3, 0x1.4a9f5a57e205ep-3, 0x1.44f2635af315bp-3, 0x1.3f368a797aa33p-3, 0x1.396d11134713bp-3, 0x1.33973142f4084p-3, 0x1.2db61db63bc2p-3, 0x1.27cb018ab4952p-3, 0x1.21d7002ef4428p-3, 0x1.1bdb35480a43p-3, 0x1.15d8b49b4677fp-3, 0x1.0fd089fc3c694p-3, 0x1.09c3b93ef09afp-3, 0x1.03b33e2e104d6p-3, 0x1.fb40190a47a8ep-4, 0x1.ef161fdd4080ap-4, 0x1.e2ea580b66cd4p-4, 0x1.d6be78b753806p-4, 0x1.ca942901b03bdp-4, 0x1.be6d0021a1d27p-4, 0x1.b24a8583b301bp-4, 0x1.a62e30eeb7edep-4, 0x1.9a196aae97073p-4, 0x1.8e0d8bc46824ap-4, 0x1.820bde1bd8f07p-4, 0x1.76159cc54a447p-4, 0x1.6a2bf4347722ep-4, 0x1.5e500283415f7p-4, 0x1.5282d7b856637p-4, 0x1.46c57611568e9p-4, 0x1.3b18d25030628p-4, 0x1.2f7dd40b553b6p-4, 0x1.23f5560083d99p-4, 0x1.18802669d1a7fp-4, 0x1.0d1f0754a9359p-4, 0x1.01d2aefa7487ap-4, 0x1.ed3790354ede6p-5, 0x1.d6f5e4abc92a4p-5, 0x1.c0e18513fb15bp-5, 0x1.aafb865d0d9d7p-5, 0x1.9544e9638b12p-5, 0x1.7fbe9bab72822p-5, 0x1.6a69781a10642p-5, 0x1.554647af30d27p-5, 0x1.4055c23d46bbdp-5, 0x1.2b988f2026913p-5, 0x1.170f45f1f6253p-5, 0x1.02ba6f3e0185ep-5, 0x1.dd350a6241707p-6, 0x1.b55fe88ec99c2p-6, 0x1.8df637ed98971p-6, 0x1.66f89ead81e1p-6, 0x1.4067ab883980bp-6, 0x1.1a43d70319862p-6, 0x1.e91b095072e59p-7, 0x1.9e8a086f12d73p-7, 0x1.54d5259f4bd21p-7, 0x1.0bfcb81c4a8a2p-7, 0x1.8801ec9cbfb9fp-8, 0x1.f387dfa138c1cp-9, 0x1.b4fdbf933f61p-10, -0x1.d8bd2790f32b6p-12, -0x1.4d3c9063e1d4ep-9, -0x1.2df8901de8d3fp-8, -0x1.b39b7382477d6p-8, -0x1.1bc3f15a68308p-7, -0x1.5cdf78f235847p-7, -0x1.9d20eb038b508p-7, -0x1.dc88f0f64c1a7p-7, -0x1.0d8c20dd5d989p-6, -0x1.2c67d03b99d85p-6, -0x1.4ad7eda3c263ap-6, -0x1.68dce506f4318p-6, -0x1.867726aa91da2p-6, -0x1.a3a726a1c8621p-6, -0x1.c06d5c4f62918p-6, -0x1.dcca41ef9f8a4p-6, -0x1.f8be5429ead78p-6, -0x1.0a2508d523682p-5, -0x1.17b6fd6113ed9p-5, -0x1.251548884045fp-5, -0x1.32402b9870854p-5, -0x1.3f37e838a5bd2p-5, -0x1.4bfcc0474dcc7p-5, -0x1.588ef5bb9b7f8p-5, -0x1.64eeca89e194p-5, -0x1.711c808ad859dp-5, -0x1.7d185965acdd8p-5, -0x1.88e2967cb66ep-5, -0x1.947b78dcbb443p-5, -0x1.9fe3412e995fap-5, -0x1.ab1a2fab43696p-5, -0x1.b6208411e5a1bp-5, -0x1.c0f67da01e70bp-5, -0x1.cb9c5b0c281e6p-5, -0x1.d6125a80d6d9p-5, -0x1.e058b99b542ap-5, -0x1.ea6fb56a69c31p-5, -0x1.f4578a6f5e193p-5, -0x1.fe1074a02c9f2p-5, -0x1.03cd57b584e4ap-4, -0x1.087b3add8d4a7p-4, -0x1.0d1200ff23a5bp-4, -0x1.1191c71605722p-4, -0x1.15faa9e6973fbp-4, -0x1.1a4cc6022b1abp-4, -0x1.1e8837cba540cp-4, -0x1.22ad1b7c7491ap-4, -0x1.26bb8d29d61f4p-4, -0x1.2ab3a8ca564fep-4, -0x1.2e958a3b8a1f1p-4, -0x1.32614d47f61bbp-4, -0x1.36170dad191cap-4, -0x1.39b6e72193a1dp-4, -0x1.3d40f55b65e78p-4, -0x1.40b5541638e15p-4, -0x1.44141f19afd45p-4, -0x1.475d723fb85bap-4, -0x1.4a91697ad5802p-4, -0x1.4db020dc5d715p-4, -0x1.50b9b49aa62ddp-4, -0x1.53ae411718d67p-4, -0x1.568de2e42ce7ep-4, -0x1.5958b6cb3f09p-4, -0x1.5c0ed9d245e66p-4, -0x1.5eb069415c79fp-4, -0x1.613d82a82193dp-4, -0x1.63b643e2e8c42p-4, -0x1.661acb1fb6d81p-4, -0x1.686b36e30ce82p-4, -0x1.6aa7a60c7849fp-4, -0x1.6cd037daea911p-4, -0x1.6ee50bf0d6a01p-4, -0x1.70e642581054dp-4, -0x1.72d3fb856dc06p-4, -0x1.74ae585c29374p-4, -0x1.76757a310385bp-4, -0x1.782982cd2376ep-4, -0x1.79ca9470b4729p-4, -0x1.7b58d1d544029p-4, -0x1.7cd45e2fdbcb1p-4, -0x1.7e3d5d32d8a9p-4, -0x1.7f93f30f827b5p-4, -0x1.80d844775e6f8p-4, -0x1.820a769d44421p-4, -0x1.832aaf362e5c4p-4, -0x1.84391479ce7b5p-4, -0x1.8535cd22df247p-4, -0x1.8621006f3add1p-4, -0x1.86fad61fb3e23p-4, -0x1.87c37677af2d4p-4, -0x1.887b0a3c87e26p-4, -0x1.8921bab4b666ep-4, -0x1.89b7b1a6c148ap-4, -0x1.8a3d1957f6bb9p-4, -0x1.8ab21c8af2b85p-4, -0x1.8b16e67df0addp-4, -0x1.8b6ba2e8eb107p-4, -0x1.8bb07dfb8c1cdp-4, -0x1.8be5a45af0299p-4, -0x1.8c0b431f3b49ep-4, -0x1.8c2187d1034ecp-4, -0x1.8c28a0669260ep-4, -0x1.8c20bb4102049p-4, -0x1.8c0a07293078ep-4, -0x1.8be4b34c93c8p-4, -0x1.8bb0ef39e94ecp-4, -0x1.8b6eeaddc869fp-4, -0x1.8b1ed67f170eep-4, -0x1.8ac0e2bb5d7dfp-4, -0x1.8a55408309118p-4, -0x1.89dc21158dcd8p-4, -0x1.8955b5fd76b15p-4, -0x1.88c2310c5def5p-4, -0x1.8821c456d76c5p-4, -0x1.8774a23043517p-4, -0x1.86bafd2697ffcp-4, -0x1.85f507fe19b7ep-4, -0x1.8522f5ad07595p-4, -0x1.8444f9573d75p-4, -0x1.835b4649d2298p-4, -0x1.82660ff6a5621p-4, -0x1.816589efef277p-4, -0x1.8059e7e3c76d7p-4, -0x1.7f435d97ad86bp-4, -0x1.7e221ee40c6e1p-4, -0x1.7cf65fafc04adp-4, -0x1.7bc053eb9ae6ep-4, -0x1.7a802f8df069ep-4, -0x1.7936268e21163p-4, -0x1.77e26ce02e48bp-4, -0x1.7685367053572p-4, -0x1.751eb71ea43c7p-4, -0x1.73af22bab8962p-4, -0x1.7236acff5c156p-4, -0x1.70b5898e4ef27p-4, -0x1.6f2bebec0c5b5p-4, -0x1.6d9a077ba16cp-4, -0x1.6c000f7a8ee1ap-4, -0x1.6a5e36fcbb571p-4, -0x1.68b4b0e873c1cp-4, -0x1.6703aff27c774p-4, -0x1.654b669a30739p-4, -0x1.638c0725b425ap-4, -0x1.61c5c39e38c5ep-4, -0x1.5ff8cdcc53603p-4, -0x1.5e25573465d03p-4, -0x1.5c4b91131a62dp-4, -0x1.5a6bac59f683cp-4, -0x1.5885d9abfce66p-4, -0x1.569a495a68d63p-4, -0x1.54a92b617dc3p-4, -0x1.52b2af656aadfp-4, -0x1.50b704af44cefp-4, -0x1.4eb65a2a18657p-4, -0x1.4cb0de600ed1cp-4, -0x1.4aa6bf77ab337p-4, -0x1.48982b311ef46p-4, -0x1.46854ee3b613fp-4, -0x1.446e577b55908p-4, -0x1.4253717616241p-4, -0x1.4034c8e1f1d3ap-4, -0x1.3e12895a8cc34p-4, -0x1.3becde071190bp-4, -0x1.39c3f19826d6cp-4, -0x1.3797ee45fb35p-4, -0x1.3568fdce6727cp-4, -0x1.3337497327816p-4, -0x1.3102f9f82ec21p-4, -0x1.2ecc37a20b5f5p-4, -0x1.2c932a3465ca8p-4, -0x1.2a57f8f095de1p-4, -0x1.281aca944ac2fp-4, -0x1.25dbc5584ded9p-4, -0x1.239b0eef561dap-4, -0x1.2158cc84f51aap-4, -0x1.1f1522bc9843dp-4, -0x1.1cd035b09e3c1p-4, -0x1.1a8a28f180d15p-4, -0x1.18431f8513a5ap-4, -0x1.15fb3be5d9b7dp-4, -0x1.13b2a0026ac05p-4, -0x1.11696d3ceeb96p-4, -0x1.0f1fc46aaafe8p-4, -0x1.0cd5c5d3a4b53p-4, -0x1.0a8b913253925p-4, -0x1.084145b36690cp-4, -0x1.05f701f59d3dcp-4, -0x1.03ace409af71bp-4, -0x1.0163097248bd5p-4, -0x1.fe331e4824877p-5, -0x1.f9a1230b9d661p-5, -0x1.f51058e10b70cp-5, -0x1.f080f65f7d838p-5, -0x1.ebf3310396d0fp-5, -0x1.e7673d3043bafp-5, -0x1.e2dd4e2f847c4p-5, -0x1.de5596335e85fp-5, -0x1.d9d04656e0828p-5, -0x1.d54d8e9f44f54p-5, -0x1.d0cd9dfd2d7b3p-5, -0x1.cc50a24df8c87p-5, -0x1.c7d6c85d2f2b5p-5, -0x1.c3603be606475p-5, -0x1.beed2794fe25dp-5, -0x1.ba7db50991469p-5, -0x1.b6120cd7fc42ap-5, -0x1.b1aa568b18c9dp-5, -0x1.ad46b8a64b45ap-5, -0x1.a8e758a783d63p-5, -0x1.a48c5b09562dfp-5, -0x1.a035e3451c556p-5, -0x1.9be413d52d7d4p-5, -0x1.97970e37233d5p-5, -0x1.934ef2ee33efdp-5, -0x1.8f0be18591453p-5, -0x1.8acdf892db9acp-5, -0x1.869555b8a3641p-5, -0x1.826215a8f6302p-5, -0x1.7e345427f47bp-5, -0x1.7a0c2c0e7375fp-5, -0x1.75e9b74caf582p-5, -0x1.71cd0eecfcfc4p-5, -0x1.6db64b168ed73p-5, -0x1.69a583103d742p-5, -0x1.659acd435a242p-5, -0x1.61963f3e86f57p-5, -0x1.5d97edb897cfep-5, -0x1.599fec937a9b8p-5, -0x1.55ae4edf1f0c9p-5, -0x1.51c326dc6deaep-5, -0x1.4dde8600394ffp-5, -0x1.4a007cf63ed63p-5, -0x1.46291ba42048fp-5, -0x1.4258712c673c4p-5, -0x1.3e8e8bf18a0cep-5, -0x1.3acb7998f0e0ap-5, -0x1.370f470dfe854p-5, -0x1.335a008518f55p-5, -0x1.2fabb17eb39f8p-5, -0x1.2c0464ca5d328p-5, -0x1.28642489c76dep-5, -0x1.24cafa33d5fc3p-5, -0x1.2138ee97a373p-5, -0x1.1dae09df8a8c4p-5, -0x1.1a2a539430131p-5, -0x1.16add29f856dap-5, -0x1.13388d4fcf05cp-5, -0x1.0fca895aa45bbp-5, -0x1.0c63cbdfeb2c9p-5, -0x1.0904596cd45adp-5, -0x1.05ac35fed49dcp-5, -0x1.025b65069628p-5, -0x1.fe23d2d5cb74ep-6, -0x1.f79f8b1742f42p-6, -0x1.f129f68939069p-6, -0x1.eac317e10f88ap-6, -0x1.e46af0d78c2a9p-6, -0x1.de21822e8f67fp-6, -0x1.d7e6cbb6b9333p-6, -0x1.d1bacc54feda3p-6, -0x1.cb9d820837c4ep-6, -0x1.c58ee9eea10e3p-6, -0x1.bf8f004b50edcp-6, -0x1.b99dc08b9c0e1p-6, -0x1.b3bb254c71bdbp-6, -0x1.ade7285fae45ep-6, -0x1.a821c2d14fb32p-6, -0x1.a26aececad6ecp-6, -0x1.9cc29e419682cp-6, -0x1.9728cda968205p-6, -0x1.919d714c1613cp-6, -0x1.8c207ea520ebfp-6, -0x1.86b1ea887922dp-6, -0x1.8151a9275702ap-6, -0x1.7bffae1507fdcp-6, -0x1.76bbec4ba581ap-6, -0x1.71865630bb9a4p-6, -0x1.6c5edd99e5bbbp-6, -0x1.674573d15182dp-6, -0x1.623a099a39035p-6, -0x1.5d3c8f354fb7dp-6, -0x1.584cf4652212ep-6, -0x1.536b28724e5c3p-6, -0x1.4e971a2fc1c6ap-6, -0x1.49d0b7fedf018p-6, -0x1.4517efd396032p-6, -0x1.406caf386d0c3p-6, -0x1.3bcee35273da8p-6, -0x1.373e78e52273ep-6, -0x1.32bb5c5637f0dp-6, -0x1.2e4579b178347p-6, -0x1.29dcbcac634f4p-6, -0x1.258110a9d5a8ep-6, -0x1.213260bd9e502p-6, -0x1.1cf097aff708cp-6, -0x1.18bba000ffddap-6, -0x1.149363ec1bbdp-6, -0x1.1077cd6b4af84p-6, -0x1.0c68c63a5ad6bp-6, -0x1.086637da2d151p-6, -0x1.04700b93c7ce7p-6, -0x1.00862a7b6a515p-6, -0x1.f950fae7292c8p-7, -0x1.f1adda5feac34p-7, -0x1.ea22c470a2b6ap-7, -0x1.e2af89d69228ap-7, -0x1.db53fb025a3d6p-7, -0x1.d40fe81d432fdp-7, -0x1.cce3210eb1d77p-7, -0x1.c5cd758136717p-7, -0x1.beceb4e7a6abep-7, -0x1.b7e6ae820aa7ap-7, -0x1.b11531626dd4ap-7, -0x1.aa5a0c71a75cbp-7, -0x1.a3b50e73e8d9dp-7, -0x1.9d26060d48d45p-7, -0x1.96acc1c623081p-7, -0x1.9049100f557a4p-7, -0x1.89fabf467d8fdp-7, -0x1.83c19dba03e11p-7, -0x1.7d9d79ad172a3p-7, -0x1.778e215b90b77p-7, -0x1.719362fda6262p-7, -0x1.6bad0ccba500dp-7, -0x1.65daed0171d5dp-7, -0x1.601cd1e216cap-7, -0x1.5a7289bb0e9cfp-7, -0x1.54dbe2e7a6324p-7, -0x1.4f58abd41a8ccp-7, -0x1.49e8b300ab879p-7, -0x1.448bc704a7a97p-7, -0x1.3f41b69153852p-7, -0x1.3a0a5074c1561p-7, -0x1.34e5639c94354p-7, -0x1.2fd2bf189a595p-7, -0x1.2ad2321d638a6p-7, -0x1.25e38c06c4b98p-7, -0x1.21069c5a3aa9ep-7, -0x1.1c3b32c948848p-7, -0x1.17811f33aa5fep-7, -0x1.12d831a99b7aap-7, -0x1.0e403a6dcc3e8p-7, -0x1.09b909f784981p-7, -0x1.054270f4868d8p-7, -0x1.00dc404afad37p-7, -0x1.f90c923684b7cp-8, -0x1.f080b9835f19fp-8, -0x1.e81499b06fbafp-8, -0x1.dfc7d67004847p-8, -0x1.d79a13f601bc2p-8, -0x1.cf8af6fac0621p-8, -0x1.c79a24be0ca53p-8, -0x1.bfc74309afd0ap-8, -0x1.b811f8342d73p-8, -0x1.b079eb231d719p-8, -0x1.a8fec34d8c04cp-8, -0x1.a1a028be5badp-8, -0x1.9a5dc4163a391p-8, -0x1.93373e8dda32ap-8, -0x1.8c2c41f7becc8p-8, -0x1.853c78c215e3ap-8, -0x1.7e678df877d27p-8, -0x1.77ad2d457139dp-8, -0x1.710d02f4273ebp-8, -0x1.6a86bbf1b1792p-8, -0x1.641a05ce8ca82p-8, -0x1.5dc68ebfc2ce1p-8, -0x1.578c05a01bbf1p-8, -0x1.516a19f142252p-8, -0x1.4b607bdc98937p-8, -0x1.456edc3449264p-8, -0x1.3f94ec74219fap-8, -0x1.39d25ec247447p-8, -0x1.3426e5efe5f03p-8, -0x1.2e923579cdb53p-8, -0x1.29140188f457p-8, -0x1.23abfef303b7bp-8, -0x1.1e59e33ab161dp-8, -0x1.191d6490219c8p-8, -0x1.13f639d125e83p-8, -0x1.0ee41a89811cfp-8, -0x1.09e6bef3002f1p-8, -0x1.04fddff5921c5p-8, -0x1.0029372755feap-8, -0x1.f6d0fd9926e54p-9, -0x1.ed76e3af6cbd7p-9, -0x1.e44397d262ca1p-9, -0x1.db36929e810dep-9, -0x1.d24f4e0b87fadp-9, -0x1.c98d456baf975p-9, -0x1.c0eff56b623ffp-9, -0x1.b876dc1040742p-9, -0x1.b02178b895c95p-9, -0x1.a7ef4c1a4b445p-9, -0x1.9fdfd8420239ep-9, -0x1.97f2a091f774ap-9, -0x1.902729c10701bp-9, -0x1.887cf9d94596ep-9, -0x1.80f39836eddaep-9, -0x1.798a8d871831dp-9, -0x1.724163c646a13p-9, -0x1.6b17a63ee601bp-9, -0x1.640ce187e5b56p-9, -0x1.5d20a3831ef3ep-9, -0x1.56527b5ba4724p-9, -0x1.4fa1f98417ab7p-9, -0x1.490eafb5084b2p-9, -0x1.429830eb4e876p-9, -0x1.3c3e11660146p-9, -0x1.35ffe6a4acfeep-9, -0x1.2fdd47657fec5p-9, -0x1.29d5cba31b98dp-9, -0x1.23e90c92e8773p-9, -0x1.1e16a4a2e1cf8p-9, -0x1.185e2f77b8ed4p-9, -0x1.12bf49ea76434p-9, -0x1.0d399206bb004p-9, -0x1.07cca70849fdfp-9, -0x1.02782958fd55fp-9, -0x1.fa77751d40c2ap-10, -0x1.f02dfad12aba7p-10, -0x1.e6132b9b3d0e2p-10, -0x1.dc265193ad044p-10, -0x1.d266b91836e07p-10, -0x1.c8d3b0c7d783ep-10, -0x1.bf6c897e1d57ap-10, -0x1.b630964e30086p-10, -0x1.ad1f2c7e49f97p-10, -0x1.a437a383549edp-10, -0x1.9b7954fb66dccp-10, -0x1.92e39caa0142ap-10, -0x1.8a75d8724d5d5p-10, -0x1.822f6852f01cdp-10, -0x1.7a0fae60d2829p-10, -0x1.72160ec255467p-10, -0x1.6a41efaad10adp-10, -0x1.6292b955103b6p-10, -0x1.5b07d5ff31358p-10, -0x1.53a0b1e5358b1p-10, -0x1.4c5cbb3c69722p-10, -0x1.453b622e7ea4p-10, -0x1.3e3c18d4598d4p-10, -0x1.375e53319a84p-10, -0x1.30a1872f7879fp-10, -0x1.2a052c97cf79dp-10, -0x1.2388bd108ff82p-10, -0x1.1d2bb416a948bp-10, -0x1.16ed8ef95ccap-10, -0x1.10cdccd5381ep-10, -0x1.0acbee8f69756p-10, -0x1.04e776d0790b5p-10, -0x1.fe3fd4003bcffp-11, -0x1.f2e99c801c345p-11, -0x1.e7cb56ced30f2p-11, -0x1.dce415fb838a4p-11, -0x1.d232f06d60b94p-11, -0x1.c7b6ffd9b76fbp-11, -0x1.bd6f613a4ec94p-11, -0x1.b35b34c4fa43p-11, -0x1.a9799de1169b6p-11, -0x1.9fc9c31f69289p-11, -0x1.964ace2ff4fd5p-11, -0x1.8cfbebd96db5cp-11, -0x1.83dc4beff572bp-11, -0x1.7aeb214c4af83p-11, -0x1.7227a1c1e9955p-11, -0x1.699106173f657p-11, -0x1.612689fb98c09p-11, -0x1.58e76bff04f8ep-11, -0x1.50d2ed8980a5cp-11, -0x1.48e852d1d2b1dp-11, -0x1.4126e2d578fa3p-11, -0x1.398de74f92331p-11, -0x1.321cacb0c9d97p-11, -0x1.2ad282160dd9fp-11, -0x1.23aeb94108d31p-11, -0x1.1cb0a68f02bep-11, -0x1.15d7a0f1106efp-11, -0x1.0f2301e3a7efp-11, -0x1.08922566e2e6fp-11, -0x1.022469f582dbap-11, -0x1.f7b260fc3dd1ap-12, -0x1.eb5fb8b3b3423p-12, -0x1.df4fa68af0875p-12, -0x1.d380fab2b36f4p-12, -0x1.c7f28a0231451p-12, -0x1.bca32de9b72dcp-12, -0x1.b191c461585ccp-12, -0x1.a6bd2fdc175a4p-12, -0x1.9c24573687283p-12, -0x1.91c625a9b4217p-12, -0x1.87a18abcd27f2p-12, -0x1.7db57a346b8d8p-12, -0x1.7400ec05be571p-12, -0x1.6a82dc4837ab5p-12, -0x1.613a4b26ea257p-12, -0x1.58263cd36c3c9p-12, -0x1.4f45b9767df93p-12, -0x1.4697cd2467a09p-12, -0x1.3e1b87cdd48edp-12, -0x1.35cffd329fb69p-12, -0x1.2db444d51dc6fp-12, -0x1.25c779ebbc615p-12, -0x1.1e08bb5658ea4p-12, -0x1.16772b8eede76p-12, -0x1.0f11f09d9557dp-12, -0x1.07d8340d4c417p-12, -0x1.00c922dd36ecdp-12, -0x1.f3c7daed125ccp-13, -0x1.e64f8f3d4e9f8p-13, -0x1.d927d0d8197afp-13, -0x1.cc4f1474056dbp-13, -0x1.bfc3d539fd0bfp-13, -0x1.b38494acceff1p-13, -0x1.a78fda94fe972p-13, -0x1.9be434e6b25cp-13, -0x1.908037adb9c39p-13, -0x1.85627cf62200bp-13, -0x1.7a89a4b6a74d5p-13, -0x1.6ff454b94e3a2p-13, -0x1.65a13889f66a5p-13, -0x1.5b8f015cfc636p-13, -0x1.51bc65fb56adfp-13, -0x1.482822af8789bp-13, -0x1.3ed0f92facf01p-13, -0x1.35b5b0896b44fp-13, -0x1.2cd5150fa6198p-13, -0x1.242df8441047fp-13, -0x1.1bbf30c5833ccp-13, -0x1.13879a3bf3905p-13, -0x1.0b861546a615bp-13, -0x1.03b98767953d5p-13, -0x1.f841b5e6ab2b7p-14, -0x1.e975fdf833ce2p-14, -0x1.db0dce842d68dp-14, -0x1.cd07183ecd3dp-14, -0x1.bf5fd4f164b35p-14, -0x1.b21607556fcc4p-14, -0x1.a527baf0d5cfdp-14, -0x1.989303f8431d7p-14, -0x1.8c55ff29b6cfcp-14, -0x1.806ed1ab11646p-14, -0x1.74dba8ee166d5p-14, -0x1.699aba8cfae4bp-14, -0x1.5eaa442b0e769p-14, -0x1.54088b552619bp-14, -0x1.49b3dd65d4283p-14, -0x1.3faa8f62afb54p-14, -0x1.35eafde038b36p-14, -0x1.2c738ce37d714p-14, -0x1.2342a7c776b63p-14, -0x1.1a56c11bde1c4p-14, -0x1.11ae528cb13c1p-14, -0x1.0947dcc389297p-14, -0x1.0121e74cbfcb6p-14, -0x1.f27600faed7e8p-15, -0x1.e3237aaacd419p-15, -0x1.d44972cdceacp-15, -0x1.c5e52d7af48ap-15, -0x1.b7f3fb81a1142p-15, -0x1.aa733a3a09f74p-15, -0x1.9d60535307614p-15, -0x1.90b8bca129d64p-15, -0x1.8479f7ec59adfp-15, -0x1.78a192c0f754p-15, -0x1.6d2d263b84e3fp-15, -0x1.621a56e1bf14ep-15, -0x1.5766d47055376p-15, -0x1.4d1059aacfa59p-15, -0x1.4314ac305d719p-15, -0x1.39719c5320de3p-15, -0x1.302504e84e601p-15, -0x1.272ccb1e10cc6p-15, }}, 
      {{-0x1.527f755f2f239p-5, -0x1.522d9beb5daf6p-5, -0x1.51a26e20b4493p-5, -0x1.50d9fc698975p-5, -0x1.4fcf2062a2513p-5, -0x1.4e7bc1adbb694p-5, -0x1.4cd91b08a8a59p-5, -0x1.4adffbaa8eb04p-5, -0x1.488902c8c3c73p-5, -0x1.45ccd449eff54p-5, -0x1.42a4465472d5bp-5, -0x1.3f0887c150e74p-5, -0x1.3af33fb240cd5p-5, -0x1.365ea6ab5555ep-5, -0x1.314599a90ae21p-5, -0x1.2ba3a7bd59f74p-5, -0x1.25751acaa9b0fp-5, -0x1.1eb6fbfa4091cp-5, -0x1.1767148c9de89p-5, -0x1.0f83eb9deff4ep-5, -0x1.070cc16fea8e3p-5, -0x1.fc03117c3085fp-6, -0x1.e8c5bd267d0f2p-6, -0x1.d464020dd981fp-6, -0x1.bee18a75209aap-6, -0x1.a84319bcecd92p-6, -0x1.908e76f2896c6p-6, -0x1.77ca5740862ecp-6, -0x1.5dfe4888733e7p-6, -0x1.43329c5bd88a2p-6, -0x1.2770537c23b76p-6, -0x1.0ac109fdfd707p-6, -0x1.da5dc847e0a07p-7, -0x1.9d88f7fb5a52ep-7, -0x1.5f199fa94c53dp-7, -0x1.1f2662d680f0fp-7, -0x1.bb8cd84715557p-8, -0x1.36229e49df713p-8, -0x1.5c7bafaa73efbp-9, -0x1.2075435ec4b5ap-11, 0x1.a0ea6d1ad6eabp-10, 0x1.ecdb38a828d2ep-9, 0x1.865a2d2402a85p-8, 0x1.0be838e52b48ep-7, 0x1.55508292a099bp-7, 0x1.9f4e8d69486dfp-7, 0x1.e9cb4f065a268p-7, 0x1.1a581360bb799p-6, 0x1.3ff37510cf8c3p-6, 0x1.65acf7f3b36c4p-6, 0x1.8b7a0cdd157d9p-6, 0x1.b1506e439bcd7p-6, 0x1.d72623d148ef3p-6, 0x1.fcf1855d31676p-6, 0x1.11549eab865afp-5, 0x1.24222556e1d23p-5, 0x1.36dd011cf8953p-5, 0x1.498107dacfd57p-5, 0x1.5c0a3b2533802p-5, 0x1.6e74c85f7ae2bp-5, 0x1.80bd08a67b7a5p-5, 0x1.92df8093f8415p-5, 0x1.a4d8dfdec5a3cp-5, 0x1.b6a600db9a95bp-5, 0x1.c843e7e262acbp-5, 0x1.d9afc29bb8706p-5, 0x1.eae6e739d66bep-5, 0x1.fbe6d3a03bf07p-5, 0x1.0656963e73269p-4, 0x1.0e9bde2aec9efp-4, 0x1.16c23946b0349p-4, 0x1.1ec8b12faaec9p-4, 0x1.26ae60ecb0e23p-4, 0x1.2e727468039f3p-4, 0x1.361427e90b815p-4, 0x1.3d92c78df635p-4, 0x1.44edaec5d48ebp-4, 0x1.4c2447cbc28f1p-4, 0x1.53360b238976p-4, 0x1.5a227f1819a7bp-4, 0x1.60e9373c2f6dcp-4, 0x1.6789d3ed5f451p-4, 0x1.6e0401d9bce9cp-4, 0x1.7457798843d63p-4, 0x1.7a83fee4178b3p-4, 0x1.808960cab524cp-4, 0x1.8667789d15e0ep-4, 0x1.8c1e29d3ce34cp-4, 0x1.91ad61961da6cp-4, 0x1.97151653ebe9p-4, 0x1.9c554762a57b8p-4, 0x1.a16dfc9ce2321p-4, 0x1.a65f4604d6d9dp-4, 0x1.ab293b6958d11p-4, 0x1.afcbfc0d8bacp-4, 0x1.b447ae52f936cp-4, 0x1.b89c7f662106fp-4, 0x1.bccaa2ed4c974p-4, 0x1.c0d252b9a0e57p-4, 0x1.c4b3ce7a5a371p-4, 0x1.c86f5b720d14p-4, 0x1.cc05442df8c7ap-4, 0x1.cf75d83f331c8p-4, 0x1.d2c16bf5b61f3p-4, 0x1.d5e8581d3583bp-4, 0x1.d8eaf9bbb9ec3p-4, 0x1.dbc9b1d1e0a38p-4, 0x1.de84e51cbe09bp-4, 0x1.e11cfbd967f8cp-4, 0x1.e3926189fc27bp-4, 0x1.e5e584bc37a73p-4, 0x1.e816d6d19165dp-4, 0x1.ea26cbc8c7e61p-4, 0x1.ec15da08e5aaep-4, 0x1.ede47a2dac85dp-4, 0x1.ef9326d5822a2p-4, 0x1.f1225c70a5b8fp-4, 0x1.f2929911ebd96p-4, 0x1.f3e45c40c0456p-4, 0x1.f51826cc9c4aep-4, 0x1.f62e7aa1cf11dp-4, 0x1.f727da9fb048ap-4, 0x1.f804ca701f4e8p-4, 0x1.f8c5ce606cc41p-4, 0x1.f96b6b3b9099cp-4, 0x1.f9f62625c1b9p-4, 0x1.fa6684795bed3p-4, 0x1.fabd0ba51cd99p-4, 0x1.fafa410bbb7f4p-4, 0x1.fb1ea9e4c3762p-4, 0x1.fb2acb1ec731cp-4, 0x1.fb1f2942dd01bp-4, 0x1.fafc4859650b4p-4, 0x1.fac2abd00f713p-4, 0x1.fa72d661343fep-4, 0x1.fa0d49fc5123fp-4, 0x1.f99287afdc6aap-4, 0x1.f9030f9443139p-4, 0x1.f85f60b809277p-4, 0x1.f7a7f90d384fcp-4, 0x1.f6dd5557d64fep-4, 0x1.f5fff11d8a147p-4, 0x1.f51046966145ep-4, 0x1.f40ece9ea6881p-4, 0x1.f2fc00a9bf9dp-4, 0x1.f1d852b625p-4, 0x1.f0a4394248c2bp-4, 0x1.ef6027428e176p-4, 0x1.ee0c8e181cc26p-4, 0x1.eca9dd88b3a1ep-4, 0x1.eb3883b75e25cp-4, 0x1.e9b8ed1dfb20cp-4, 0x1.e82b8487a304fp-4, 0x1.e690b30be8451p-4, 0x1.e4e8e00ac0984p-4, 0x1.e33471294be75p-4, 0x1.e173ca4f4097dp-4, 0x1.dfa74da50d09ep-4, 0x1.ddcf5b929e748p-4, 0x1.dbec52becee14p-4, 0x1.d9fe900f5fe5ap-4, 0x1.d8066ea991edap-4, 0x1.d60447f33a30fp-4, 0x1.d3f8739468e92p-4, 0x1.d1e3477979159p-4, 0x1.cfc517d5a26e7p-4, 0x1.cd9e3725eddb1p-4, 0x1.cb6ef6349538ep-4, 0x1.c937a41cc2219p-4, 0x1.c6f88e4ea122ap-4, 0x1.c4b20093cceaap-4, 0x1.c2644513fa8ep-4, 0x1.c00fa459fa3d7p-4, 0x1.bdb46558e77b4p-4, 0x1.bb52cd71a6b9p-4, 0x1.b8eb2078829ffp-4, 0x1.b67da0bb06eb5p-4, 0x1.b40a8f05faedfp-4, 0x1.b1922aab90dd9p-4, 0x1.af14b189a6b71p-4, 0x1.ac92601021852p-4, 0x1.aa0b7147711d6p-4, 0x1.a7801ed717628p-4, 0x1.a4f0a10c3f5b9p-4, 0x1.a25d2ee07070bp-4, 0x1.9fc5fe002e4e3p-4, 0x1.9d2b42d1b8723p-4, 0x1.9a8d307bb8226p-4, 0x1.97ebf8ebfb396p-4, 0x1.9547ccde1761bp-4, 0x1.92a0dbe21c716p-4, 0x1.8ff754632cbc9p-4, 0x1.8d4b63ae0eb85p-4, 0x1.8a9d35f7b0e54p-4, 0x1.87ecf6639c4efp-4, 0x1.853acf0a54ed2p-4, 0x1.8286e8ffa623bp-4, 0x1.7fd16c58db345p-4, 0x1.7d1a8032dd4cfp-4, 0x1.7a624ab83b98dp-4, 0x1.77a8f12718671p-4, 0x1.74ee97d6fddcbp-4, 0x1.7233623e95465p-4, 0x1.6f7772f94108ap-4, 0x1.6cbaebcc9d957p-4, 0x1.69fdedade09a2p-4, 0x1.674098c71aa03p-4, 0x1.64830c7c5a984p-4, 0x1.61c56770b214bp-4, 0x1.5f07c78b1a616p-4, 0x1.5c4a49fb3ad17p-4, 0x1.598d0b3e0d19dp-4, 0x1.56d0272265852p-4, 0x1.5413b8cd58807p-4, 0x1.5157dabe826c5p-4, 0x1.4e9ca6d42d1ffp-4, 0x1.4be2364f5c175p-4, 0x1.4928a1d7b3556p-4, 0x1.4670017f45d2ap-4, 0x1.43b86cc63f812p-4, 0x1.4101fa9e7627ep-4, 0x1.3e4cc16edba2cp-4, 0x1.3b98d716d3cf2p-4, 0x1.38e650f16b27fp-4, 0x1.363543d875a29p-4, 0x1.3385c42790841p-4, 0x1.30d7e5bf086bp-4, 0x1.2e2bbc06a76c7p-4, 0x1.2b8159f067656p-4, 0x1.28d8d1fb0d99fp-4, 0x1.26323634ad2d5p-4, 0x1.238d983d117efp-4, 0x1.20eb094812e4ap-4, 0x1.1e4a9a1fd4e04p-4, 0x1.1bac5b26ee84ap-4, 0x1.19105c5a7d0a2p-4, 0x1.1676ad5424176p-4, 0x1.13df5d4bf9481p-4, 0x1.114a7b1a5d949p-4, 0x1.0eb81539c3ba3p-4, 0x1.0c2839c866a0ap-4, 0x1.099af689ec92cp-4, 0x1.071058e8fdfap-4, 0x1.04886df8c973dp-4, 0x1.0203427679d3dp-4, 0x1.ff01c5953c27cp-5, 0x1.fa02b61509e5fp-5, 0x1.f5096df30eadep-5, 0x1.f01604149a199p-5, 0x1.eb288ec000f19p-5, 0x1.e641239eeebc5p-5, 0x1.e15fd7c0a9ee9p-5, 0x1.dc84bf9c3a8eap-5, 0x1.d7afef12842cp-5, 0x1.d2e17970489ecp-5, 0x1.ce1971701e768p-5, 0x1.c957e93c5198ap-5, 0x1.c49cf270bc7b1p-5, 0x1.bfe89e1c8adacp-5, 0x1.bb3afcc3f61c4p-5, 0x1.b6941e61f1d7ap-5, 0x1.b1f41269cb056p-5, 0x1.ad5ae7c8c021dp-5, 0x1.a8c8ace78b3ep-5, 0x1.a43d6fabe722fp-5, 0x1.9fb93d7a0770fp-5, 0x1.9b3c23360b1d3p-5, 0x1.96c62d4568404p-5, 0x1.925767904ebebp-5, 0x1.8defdd8307c6dp-5, 0x1.898f9a0f4e9f9p-5, 0x1.8536a7ada2c75p-5, 0x1.80e5105e9742bp-5, 0x1.7c9addac1d584p-5, 0x1.785818aacbc77p-5, 0x1.741cc9fb24971p-5, 0x1.6fe8f9cad48fp-5, 0x1.6bbcafd5f3bf6p-5, 0x1.6797f36841cfcp-5, 0x1.637acb5e62a76p-5, 0x1.5f653e271845fp-5, 0x1.5b5751c47c416p-5, 0x1.57510bcd37dbcp-5, 0x1.5352716dbb654p-5, 0x1.4f5b876976abbp-5, 0x1.4b6c521c10026p-5, 0x1.4784d57a9c582p-5, 0x1.43a51514d801p-5, 0x1.3fcd14165bfb9p-5, 0x1.3bfcd547d9e5fp-5, 0x1.38345b10557b5p-5, 0x1.3473a7765c506p-5, 0x1.30babc2143e3fp-5, 0x1.2d099a5a6648p-5, 0x1.2960430e5c53cp-5, 0x1.25beb6ce3cc34p-5, 0x1.2224f5d0e09d7p-5, 0x1.1e92fff41c588p-5, 0x1.1b08d4be07c4bp-5, 0x1.1786735e3c1dcp-5, 0x1.140bdaaf1c4fap-5, 0x1.1099093719035p-5, 0x1.0d2dfd29f5b8ep-5, 0x1.09cab46a11c11p-5, 0x1.066f2c89b0dc7p-5, 0x1.031b62cc4380ap-5, 0x1.ff9ea84f65f88p-6, 0x1.f915fa8b5864fp-6, 0x1.f29cb509d8326p-6, 0x1.ec32cff5186e1p-6, 0x1.e5d842e6a1133p-6, 0x1.df8d04e9ecf44p-6, 0x1.d9510c7f090c2p-6, 0x1.d3244f9d2f96bp-6, 0x1.cd06c3b566ae3p-6, 0x1.c6f85db5253d6p-6, 0x1.c0f91208f034dp-6, 0x1.bb08d49efb445p-6, 0x1.b52798e9c7784p-6, 0x1.af5551e2c4a74p-6, 0x1.a991f20cf00fap-6, 0x1.a3dd6b7770d7cp-6, 0x1.9e37afc038c84p-6, 0x1.98a0b016a0cc7p-6, 0x1.93185d3e03569p-6, 0x1.8d9ea790506f4p-6, 0x1.88337f00adbacp-6, 0x1.82d6d31e07034p-6, 0x1.7d889315a2fc5p-6, 0x1.7848adb5b69d7p-6, 0x1.7317116fed3bp-6, 0x1.6df3ac5bf63fep-6, 0x1.68de6c3a0eae4p-6, 0x1.63d73e7583974p-6, 0x1.5ede1027397f5p-6, 0x1.59f2ce181f5a8p-6, 0x1.551564c3b26c3p-6, 0x1.5045c05a6a3a1p-6, 0x1.4b83ccc43291ap-6, 0x1.46cf75a2d3f6ap-6, 0x1.4228a6545cc4fp-6, 0x1.3d8f49f58349ep-6, 0x1.39034b6407286p-6, 0x1.34849541055f7p-6, 0x1.301311f35088ap-6, 0x1.2baeaba9bbb82p-6, 0x1.27574c5d66c56p-6, 0x1.230cddd400b94p-6, 0x1.1ecf49a201169p-6, 0x1.1a9e792ce33efp-6, 0x1.167a55ad53c4fp-6, 0x1.1262c8315c55dp-6, 0x1.0e57b99e8ab62p-6, 0x1.0a5912b40b141p-6, 0x1.0666bc0cbe208p-6, 0x1.02809e214aefbp-6, 0x1.fd4d42945237ep-7, 0x1.f5b15b8344ed4p-7, 0x1.ee2d574b97277p-7, 0x1.e6c105f4fb7ap-7, 0x1.df6c3756843d9p-7, 0x1.d82ebb1a6a6d7p-7, 0x1.d10860c1c9434p-7, 0x1.c9f8f7a85f738p-7, 0x1.c3004f08181eep-7, 0x1.bc1e35fca4a6dp-7, 0x1.b5527b87086f2p-7, 0x1.ae9cee90f8ff1p-7, 0x1.a7fd5df051d5ep-7, 0x1.a173986a63a87p-7, 0x1.9aff6cb736f3dp-7, 0x1.94a0a984c07d4p-7, 0x1.8e571d7a11992p-7, 0x1.8822973a697bcp-7, 0x1.8202e5683e183p-7, 0x1.7bf7d6a8341bdp-7, 0x1.760139a408d7p-7, 0x1.701edd0d6caa8p-7, 0x1.6a508fa0d0ca7p-7, 0x1.649620281fe49p-7, 0x1.5eef5d7d6b84ep-7, 0x1.595c168d845d2p-7, 0x1.53dc1a5a928d3p-7, 0x1.4e6f37fe91c4fp-7, 0x1.49153eadb6e1cp-7, 0x1.43cdfdb8e03e8p-7, 0x1.3e99448fdc7eap-7, 0x1.3976e2c3b4721p-7, 0x1.3466a808e000cp-7, 0x1.2f6864396a571p-7, 0x1.2a7be75709f72p-7, 0x1.25a1018d2a27cp-7, 0x1.20d78332e3c7bp-7, 0x1.1c1f3cccedf74p-7, 0x1.1777ff0f7fd6ep-7, 0x1.12e19ae01a7cbp-7, 0x1.0e5be15751825p-7, 0x1.09e6a3c27ebd9p-7, 0x1.0581b3a5694f4p-7, 0x1.012ce2bbe1b79p-7, 0x1.f9d005f69f668p-8, 0x1.f165cd28664d4p-8, 0x1.e91abfe72f0abp-8, 0x1.e0ee8388f1774p-8, 0x1.d8e0bde24413dp-8, 0x1.d0f11548ec701p-8, 0x1.c91f309667af5p-8, 0x1.c16ab72a4ebd9p-8, 0x1.b9d350ecb5bc1p-8, 0x1.b258a6505dd3ep-8, 0x1.aafa6054da5ecp-8, 0x1.a3b828889f8a7p-8, 0x1.9c91a90afac01p-8, 0x1.95868c8de5e3dp-8, 0x1.8e967e57e035ap-8, 0x1.87c12a4597581p-8, 0x1.81063ccb94905p-8, 0x1.7a6562f7b99bfp-8, 0x1.73de4a72bf376p-8, 0x1.6d70a1819195p-8, 0x1.671c1706a02ap-8, 0x1.60e05a8316ae4p-8, 0x1.5abd1c180899dp-8, 0x1.54b20c877a4bp-8, 0x1.4ebedd3571364p-8, 0x1.48e34028e0e65p-8, 0x1.431ee80c85697p-8, 0x1.3d71882fb54bdp-8, 0x1.37dad48713343p-8, 0x1.325a81ad45697p-8, 0x1.2cf044e386801p-8, 0x1.279bd412325f1p-8, 0x1.225ce5c951048p-8, 0x1.1d333140f1ffep-8, 0x1.181e6e598f3ebp-8, 0x1.131e559c5f3dp-8, 0x1.0e32a03b8d993p-8, 0x1.095b081272cf4p-8, 0x1.049747a5b4978p-8, 0x1.ffce3446c8093p-9, 0x1.f69476c60a3a9p-9, 0x1.ed80cfcb26ba6p-9, 0x1.e492b9aaded21p-9, 0x1.dbc9b00c81513p-9, 0x1.d3252fe9a42ebp-9, 0x1.caa4b78dc3252p-9, 0x1.c247c695c7cap-9, 0x1.ba0dddef7cd12p-9, 0x1.b1f67fd8ebeb6p-9, 0x1.aa012fdfaf43p-9, 0x1.a22d72e01caffp-9, 0x1.9a7acf04687aep-9, 0x1.92e8cbc3b7cc4p-9, 0x1.8b76f1e119c6bp-9, 0x1.8424cb6a7b002p-9, 0x1.7cf1e3b777c3ep-9, 0x1.75ddc76832d5dp-9, 0x1.6ee8046403ad6p-9, 0x1.681029d83c557p-9, 0x1.6155c836aa9d8p-9, 0x1.5ab871343210fp-9, 0x1.5437b7c74c984p-9, 0x1.4dd330268579ap-9, 0x1.478a6fc6cea17p-9, 0x1.415d0d59e90f3p-9, 0x1.3b4aa0ccb50cbp-9, 0x1.3552c3456c71bp-9, 0x1.2f750f21ec19ep-9, 0x1.29b11ff5db041p-9, 0x1.24069288c50f2p-9, 0x1.1e7504d43fd8bp-9, 0x1.18fc1601f255cp-9, 0x1.139b6669a56d9p-9, 0x1.0e52978f45f12p-9, 0x1.09214c20d51f7p-9, 0x1.040727f4622bp-9, 0x1.fe07a00bdb977p-10, 0x1.f42dd4eaafe44p-10, 0x1.ea803d0855279p-10, 0x1.e0fe2926ef371p-10, 0x1.d7a6ec4364b1cp-10, 0x1.ce79db90e0548p-10, 0x1.c5764e745a304p-10, 0x1.bc9b9e80123dp-10, 0x1.b3e9276f2cb43p-10, 0x1.ab5e4721065bbp-10, 0x1.a2fa5d94b5dacp-10, 0x1.9abccce45ca44p-10, 0x1.92a4f9407901fp-10, 0x1.8ab248eb4b42fp-10, 0x1.82e424342b278p-10, 0x1.7b39f572db0c1p-10, 0x1.73b329029c076p-10, 0x1.6c4f2d3dacfedp-10, 0x1.650d727876692p-10, 0x1.5ded6afcb611cp-10, 0x1.56ee8b04da256p-10, 0x1.501048b74019p-10, 0x1.49521c2142069p-10, 0x1.42b37f32999bbp-10, 0x1.3c33edb86b359p-10, 0x1.35d2e558a44ebp-10, 0x1.2f8fe58d11dd7p-10, 0x1.296a6f9eb6dfdp-10, 0x1.236206a10240bp-10, 0x1.1d762f6cf2b9p-10, 0x1.17a6709c6219bp-10, 0x1.11f2528537cfap-10, 0x1.0c595f34c510ep-10, 0x1.06db226ae8be1p-10, 0x1.017729956a8bdp-10, 0x1.f85a079663d72p-11, 0x1.edf8838f3d753p-11, 0x1.e3c8ebcbc2168p-11, 0x1.d9ca68388c76cp-11, 0x1.cffc23ef1925ap-11, 0x1.c65d4d2cb2ab5p-11, 0x1.bced154903d43p-11, 0x1.b3aab0ad2b3d4p-11, 0x1.aa9556ca32611p-11, 0x1.a1ac421042777p-11, 0x1.98eeafe5b29acp-11, 0x1.905be09d9de7dp-11, 0x1.87f3176f4f15ap-11, 0x1.7fb39a6d48f9ap-11, 0x1.779cb27c53ffdp-11, 0x1.6fadab4a8d6fdp-11, 0x1.67e5d347297d5p-11, 0x1.60447b99263a8p-11, 0x1.58c8f81739576p-11, 0x1.51729f3ed1719p-11, 0x1.4a40ca2bbeeb9p-11, 0x1.4332d48fcba81p-11, 0x1.3c481caa19cc2p-11, 0x1.3580033f2ddep-11, 0x1.2ed9eb906df4ep-11, 0x1.28553b53dc946p-11, 0x1.21f15aac2832dp-11, 0x1.1badb420723dfp-11, 0x1.1589b49446898p-11, 0x1.0f84cb3fc206cp-11, 0x1.099e69a791db8p-11, 0x1.03d6039553f89p-11, 0x1.fc561e1f26f9ep-12, 0x1.f13a08a4c4fd5p-12, 0x1.e656bb8eebe7ep-12, 0x1.dbab2ffd9f66p-12, 0x1.d136634e4b94fp-12, 0x1.c6f7570d28523p-12, 0x1.bced10e67402cp-12, 0x1.b3169a97d17aap-12, 0x1.a97301e2193p-12, 0x1.a001587a9882fp-12, 0x1.96c0b3fd7a425p-12, 0x1.8db02ddf7f198p-12, 0x1.84cee3609a52fp-12, 0x1.7c1bf57d7cc96p-12, 0x1.739688e2d4b27p-12, 0x1.6b3dc5df33fbdp-12, 0x1.6310d8563e122p-12, 0x1.5b0eefb356a7ap-12, 0x1.53373edc7c9cdp-12, 0x1.4b88fc25ac057p-12, 0x1.440361443b38ep-12, 0x1.3ca5ab41c8a59p-12, 0x1.356f1a7069bf5p-12, 0x1.2e5ef25daa638p-12, 0x1.277479c728c3ep-12, 0x1.20aefa8dc73b8p-12, 0x1.1a0dc1aab128cp-12, 0x1.13901f22a42d1p-12, 0x1.0d3565fb00bd3p-12, 0x1.06fcec2dfd1cep-12, 0x1.00e60a9f6d6d9p-12, 0x1.f5e03a22a42c6p-13, 0x1.ea35043242252p-13, 0x1.dec936291c023p-13, 0x1.d39b983ddc079p-13, 0x1.c8aaf80c831dfp-13, 0x1.bdf62881870cap-13, 0x1.b37c01c58c86ep-13, 0x1.a93b61282251fp-13, 0x1.9f33290b6a35p-13, 0x1.956240d06df32p-13, 0x1.8bc794c332842p-13, 0x1.82621606fcd82p-13, 0x1.7930ba8335215p-13, 0x1.70327cd07ba85p-13, 0x1.67665c250079cp-13, 0x1.5ecb5c42ebcccp-13, 0x1.56608565118fdp-13, 0x1.4e24e42e19a9fp-13, 0x1.4617899541f15p-13, 0x1.3e378ad601d1bp-13, 0x1.3684015dfbce9p-13, 0x1.2efc0abbadf7ap-13, 0x1.279ec88e01bf7p-13, 0x1.206b60733b7d8p-13, 0x1.1960fbf8bcb4dp-13, 0x1.127ec88ab28a3p-13, 0x1.0bc3f76439524p-13, 0x1.052fbd7f3ac42p-13, 0x1.fd82a70ab12d8p-14, 0x1.f0efeb7fa76b9p-14, 0x1.e4a5c811b3e57p-14, 0x1.d8a2c37991cefp-14, 0x1.cce56b55c8aafp-14, 0x1.c16c540f70b8fp-14, 0x1.b63618bb6273cp-14, 0x1.ab415affddfa3p-14, 0x1.a08cc2f79c9eap-14, 0x1.9616ff16d6e7p-14, 0x1.8bdec41006465p-14, 0x1.81e2ccb9056a2p-14, 0x1.7821d9f1f311cp-14, 0x1.6e9ab28a2c86dp-14, 0x1.654c23276bb92p-14, 0x1.5c34fe2ca98b8p-14, 0x1.53541ba074569p-14, 0x1.4aa8591590c9p-14, 0x1.423099932f6aep-14, 0x1.39ebc57c31feep-14, 0x1.31d8ca78faab2p-14, 0x1.29f69b5fb71a4p-14, 0x1.2244301e5a27dp-14, 0x1.1ac085a3d2462p-14, 0x1.136a9dc9e881p-14, 0x1.0c417f40b9835p-14, 0x1.0544357891e6p-14, 0x1.fce3a119c2b8cp-15, 0x1.ef92ca6062352p-15, 0x1.e294192ef3177p-15, 0x1.d5e5c8ccf2ea2p-15, 0x1.c9861d36cbd96p-15, 0x1.bd7362f7fbd6p-15, 0x1.b1abef05aaafdp-15, 0x1.a62e1e9776a02p-15, 0x1.9af857029b3ap-15, 0x1.90090596fc957p-15, 0x1.855e9f7a4d877p-15, 0x1.7af7a1843f62ap-15, 0x1.70d2901e31088p-15, 0x1.66edf71e264b6p-15, 0x1.5d4869a7026e1p-15, 0x1.53e082067a40cp-15, 0x1.4ab4e194a1b03p-15, 0x1.41c43094b4962p-15, 0x1.390d1e144a92bp-15, 0x1.308e5fcd3a535p-15, 0x1.2846b20743352p-15, 0x1.2034d77958817p-15, 0x1.1857992bffecfp-15, 0x1.10adc65d4e6bcp-15, 0x1.09363463a62acp-15, 0x1.01efbe9037a51p-15, 0x1.f5b28c2a8e6f7p-16, 0x1.e7e363d6dbb6ap-16, 0x1.da6fdd69fd4cbp-16, 0x1.cd55dd4a13c68p-16, 0x1.c09352c80956bp-16, 0x1.b42637ef1f3fep-16, 0x1.a80c9152aed47p-16, 0x1.9c446ddc1c2e7p-16, 0x1.90cbe699e7b1fp-16, 0x1.85a11e908ee3p-16, 0x1.7ac2428d5cfe6p-16, 0x1.702d88f575ff3p-16, 0x1.65e1319a1b08p-16, 0x1.5bdb858d98dafp-16, 0x1.521ad6f2fac42p-16, 0x1.489d80d6abe7cp-16, 0x1.3f61e7049f2cep-16, 0x1.366675dd9fb5p-16, 0x1.2da9a22d28128p-16, 0x1.2529e901575eep-16, 0x1.1ce5cf84fdb45p-16, 0x1.14dbe2d884d1bp-16, 0x1.0d0ab7eb56206p-16, 0x1.0570eb5666b83p-16, 0x1.fc1a426ad759ep-17, 0x1.edbc0a0bcc8b7p-17, 0x1.dfc4930344a14p-17, 0x1.d23150f52f68cp-17, 0x1.c4ffc57629734p-17, 0x1.b82d7fc32266ap-17, 0x1.abb81c83fd8d8p-17, 0x1.9f9d4581bbb11p-17, 0x1.93dab1720c36p-17, 0x1.886e23b05bb6ap-17, 0x1.7d556bfef98d5p-17, 0x1.728e664c310e8p-17, 0x1.6816fa77ed1d3p-17, 0x1.5ded1c16cd763p-17, 0x1.540eca3b42045p-17, 0x1.4a7a0f3983273p-17, 0x1.412d0071ad8dbp-17, 0x1.3825be16d5dcp-17, 0x1.2f6272fc6d4a6p-17, 0x1.26e1545f59f2dp-17, 0x1.1ea0a1b01bbf4p-17, 0x1.169ea4643e166p-17, 0x1.0ed9afbf8eb62p-17, 0x1.075020a762056p-17, 0x1.00005d6f0493bp-17, 0x1.f1d1ab54413aep-18, 0x1.e41003f9dd43cp-18, 0x1.d6b8c7dc2cec5p-18, 0x1.c9c90b75fa637p-18, 0x1.bd3df45670193p-18, 0x1.b114b8c81a708p-18, 0x1.a54a9f7b0a254p-18, 0x1.99dcff3a586aep-18, 0x1.8ec93e8e12ae5p-18, 0x1.840cd37060be5p-18, 0x1.79a542fdb799bp-18, 0x1.6f902126df2d6p-18, 0x1.65cb10666dccfp-18, 0x1.5c53c170c1efep-18, 0x1.5327f2eb202d1p-18, 0x1.4a45712a8018dp-18, 0x1.41aa15e4fa1c9p-18, 0x1.3953c7ecf2ca2p-18, 0x1.31407af0bde14p-18, 0x1.296e2f3857eb1p-18, 0x1.21daf15d2d66bp-18, 0x1.1a84da0d68933p-18, 0x1.136a0dcb3bf8ap-18, 0x1.0c88bcae00bd8p-18, 0x1.05df222681cb4p-18, 0x1.fed70986b3f22p-19, 0x1.f2586be783b84p-19, 0x1.e63f23a08be11p-19, 0x1.da87fdc180238p-19, 0x1.cf2fdbc828a3bp-19, 0x1.c433b3342005p-19, 0x1.b9908d1db91c6p-19, 0x1.af4385c410545p-19, 0x1.a549cc2f80eb4p-19, 0x1.9ba0a1c62c35dp-19, 0x1.924559ec34be6p-19, 0x1.8935599f982dap-19, 0x1.806e171dc4a99p-19, 0x1.77ed197d2c845p-19, 0x1.6faff852d4b06p-19, 0x1.67b45b63e2033p-19, 0x1.5ff7fa36dc98fp-19, 0x1.58789bc9e535fp-19, 0x1.5134163f42cb6p-19, 0x1.4a284e8ab0854p-19, 0x1.43533818bf2dap-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.8194bdff3f98ep-10, -0x1.7aab0d1877648p-9, -0x1.13ad42cd36747p-8, -0x1.60ccadeb68c4dp-8, -0x1.a2abffe563139p-8, -0x1.d7da87a4e075ap-8, -0x1.ff72a1c426fd2p-8, -0x1.0c845e73f6ecdp-7, -0x1.124c6d3d47238p-7, -0x1.113a1aaa69537p-7, -0x1.0997e680702edp-7, -0x1.f7942e944ad97p-8, -0x1.d08eaf7cd0d46p-8, -0x1.9f244181f4952p-8, -0x1.6465fd8bdaba5p-8, -0x1.216775b341854p-8, -0x1.ae6d9d7d9afa4p-9, -0x1.0dad1fff43a03p-9, -0x1.89c8494801698p-11, 0x1.4616ef3243f0cp-11, 0x1.0ca73d263bcc8p-9, 0x1.cd8c181587238p-9, 0x1.497d7f9e665d2p-8, 0x1.adf369bf895cbp-8, 0x1.09db394907b58p-7, 0x1.3d34a71f56cb4p-7, 0x1.70e0b119a1926p-7, 0x1.a4c2a8ec653e7p-7, 0x1.d8c5c1aaaa8d6p-7, 0x1.066e29f9b6b73p-6, 0x1.207f93d43d82ep-6, 0x1.3a9662ada1ff5p-6, 0x1.54b4683c4824fp-6, 0x1.6eddb53aa4a5bp-6, 0x1.89184f6219119p-6, 0x1.a36beb8db3de6p-6, 0x1.bde1abbd67033p-6, 0x1.d883e0b54d2e8p-6, 0x1.f35dcf0076f75p-6, 0x1.073dbb9752eeep-5, 0x1.14f4b09a9558ep-5, 0x1.22da35754bb57p-5, 0x1.30f4ccd0d478cp-5, 0x1.3f4af7785dcefp-5, 0x1.4de3205c5cb62p-5, 0x1.5cc38a3ff672ap-5, 0x1.6bf23f19eabb9p-5, 0x1.7b7501306ecccp-5, 0x1.8b513df452f51p-5, 0x1.9b8c029bfbd81p-5, 0x1.ac29f27a79c38p-5, 0x1.bd2f3f0aa4aep-5, 0x1.ce9fa1a1d5d54p-5, 0x1.e07e56b9be65bp-5, 0x1.f2ce1abd3efd8p-5, 0x1.02c8942070fffp-4, 0x1.0c649bc68ca15p-4, 0x1.163bbfaf25781p-4, 0x1.204e5b5ea9a4cp-4, 0x1.2a9c8be929377p-4, 0x1.352631c9a5233p-4, 0x1.3feaf3182c8d2p-4, 0x1.4aea3e0ff601p-4, 0x1.56234bd73744ap-4, 0x1.6195237b20e34p-4, 0x1.6d3e9d13362d2p-4, 0x1.791e65002ae24p-4, 0x1.8532ff3b598dfp-4, 0x1.917acaad001ebp-4, 0x1.9df404806b255p-4, 0x1.aa9ccb6e481dep-4, 0x1.b77322f6739dap-4, 0x1.c474f6835969dp-4, 0x1.d1a01c72516c1p-4, 0x1.def258fcda283p-4, 0x1.ec6960ffc482ap-4, 0x1.fa02dc9df72f5p-4, 0x1.03de34de90e8ap-3, 0x1.0ac9cf2db8446p-3, 0x1.11c3055eecf42p-3, 0x1.18c89dbb81044p-3, 0x1.1fd95da3a09d7p-3, 0x1.26f40a6b4b73cp-3, 0x1.2e176a24de39dp-3, 0x1.35424459d3383p-3, 0x1.3c7362b28296cp-3, 0x1.43a9918dca8e9p-3, 0x1.4ae3a0896f1b2p-3, 0x1.522062fc3d739p-3, 0x1.595eb062c8282p-3, 0x1.609d64bfcad01p-3, 0x1.67db60f1112f2p-3, 0x1.6f178af9de451p-3, 0x1.7650ce43a0397p-3, 0x1.7d861bd5ea12fp-3, 0x1.84b66a865dde4p-3, 0x1.8be0b721713e8p-3, 0x1.9304048c99241p-3, 0x1.9a1f5be2b268dp-3, 0x1.a131cc8b20b42p-3, 0x1.a83a6c4c45802p-3, 0x1.af385759cde9ep-3, 0x1.b62ab05f5190cp-3, 0x1.bd10a087a346cp-3, 0x1.c3e957813e002p-3, 0x1.cab40b801c4bdp-3, 0x1.d16ff93d45fa4p-3, 0x1.d81c63f457acep-3, 0x1.deb8955f33ce6p-3, 0x1.e543ddb017e2cp-3, 0x1.ebbd938a3f86bp-3, 0x1.f22513f928782p-3, 0x1.f879c266ac6e7p-3, 0x1.febb088ff7ccap-3, 0x1.02742b3cba05ap-2, 0x1.05809130dfae5p-2, 0x1.08827459d8554p-2, 0x1.0b7995fbc046cp-2, 0x1.0e65ba6189dd4p-2, 0x1.1146a8d4ba7bfp-2, 0x1.141c2b94c02edp-2, 0x1.16e60fcde3049p-2, 0x1.19a4258fd291ap-2, 0x1.1c563fc3d393ep-2, 0x1.1efc34228d43ep-2, 0x1.2195db2978f96p-2, 0x1.2423100ff421bp-2, 0x1.26a3b0bbf8ee6p-2, 0x1.29179db67e9d7p-2, 0x1.2b7eba1f83fe3p-2, 0x1.2dd8eba1c4a42p-2, 0x1.30261a6621225p-2, 0x1.32663106b6ca7p-2, 0x1.34991c81b17ecp-2, 0x1.36becc2bd5d35p-2, 0x1.38d731a2cb6a1p-2, 0x1.3ae240bf2c5f5p-2, 0x1.3cdfef8658e6ap-2, 0x1.3ed0361c1eec4p-2, 0x1.40b30eb430749p-2, 0x1.42887583750a2p-2, 0x1.445068b1371b6p-2, 0x1.460ae8483a791p-2, 0x1.47b7f627b9536p-2, 0x1.495795f45394p-2, 0x1.4ae9cd08f2c97p-2, 0x1.4c6ea267aef2fp-2, 0x1.4de61eaab26bap-2, 0x1.4f504bf52630dp-2, 0x1.50ad35e431823p-2, 0x1.51fce98008e68p-2, 0x1.533f752d18e5fp-2, 0x1.5474e89d51bffp-2, 0x1.559d54c197324p-2, 0x1.56b8cbbb59261p-2, 0x1.57c760ce5d2f7p-2, 0x1.58c92852bb81p-2, 0x1.59be37a70fc5cp-2, 0x1.5aa6a522edb59p-2, 0x1.5b8288098df53p-2, 0x1.5c51f87cc387ap-2, 0x1.5d150f70372d8p-2, 0x1.5dcbe69cea73fp-2, 0x1.5e7698750a5f6p-2, 0x1.5f1540180fed9p-2, 0x1.5fa7f94733476p-2, 0x1.602ee05a304f4p-2, 0x1.60aa12346163dp-2, 0x1.6119ac3a31a71p-2, 0x1.617dcc46e499p-2, 0x1.61d690a2b617fp-2, 0x1.622417f9564cfp-2, 0x1.62668150bd1dp-2, 0x1.629dec0053ce3p-2, 0x1.62ca77a87efdfp-2, 0x1.62ec442a7ad5ep-2, 0x1.630371a0932b6p-2, 0x1.63102056b477p-2, 0x1.631270c3505b8p-2, 0x1.630a83809a232p-2, 0x1.62f87946181ecp-2, 0x1.62dc72e287431p-2, 0x1.62b6913610237p-2, 0x1.6286f52ccdb9ep-2, 0x1.624dbfb9a126cp-2, 0x1.620b11d151f71p-2, 0x1.61bf0c65f99f5p-2, 0x1.6169d062b6a6fp-2, 0x1.610b7ea7a6a27p-2, 0x1.60a4380624c9dp-2, 0x1.60341d3d49354p-2, 0x1.5fbb4ef6a9a27p-2, 0x1.5f39edc354b7bp-2, 0x1.5eb01a190d7dap-2, 0x1.5e1df44fb88b3p-2, 0x1.5d839c9f05e36p-2, 0x1.5ce1331c4b33cp-2, 0x1.5c36d7b88fc5ap-2, 0x1.5b84aa3eca21ep-2, 0x1.5acaca52477cdp-2, 0x1.5a09576d3f8ddp-2, 0x1.594070df91bdfp-2, 0x1.587035cda3c44p-2, 0x1.5798c52f6a093p-2, 0x1.56ba3dcf8d116p-2, 0x1.55d4be4ab136cp-2, 0x1.54e8650ed935p-2, 0x1.53f5505ae70f4p-2, 0x1.52fb9e3e32827p-2, 0x1.51fb6c983c0dep-2, 0x1.50f4d9186ef06p-2, 0x1.4fe8013dfca7p-2, 0x1.4ed50257c8419p-2, 0x1.4dbbf984603a4p-2, 0x1.4c9d03b209745p-2, 0x1.4b783d9ed7dd2p-2, 0x1.4a4dc3d8ce878p-2, 0x1.491db2be0f2bp-2, 0x1.47e8267d0e09ep-2, 0x1.46ad3b14d145fp-2, 0x1.456d0c5532d8fp-2, 0x1.4427b5df2996bp-2, 0x1.42dd532518572p-2, 0x1.418dff6b1a7dp-2, 0x1.4039d5c757f6ap-2, 0x1.3ee0f122577c3p-2, 0x1.3d836c37521fcp-2, 0x1.3c216194866cep-2, 0x1.3abaeb9b88e48p-2, 0x1.39502481955a3p-2, 0x1.37e1264fda28fp-2, 0x1.366e0ae3c3681p-2, 0x1.34f6ebef41ba4p-2, 0x1.337be2f90a83cp-2, 0x1.31fd095cd8203p-2, 0x1.307a784ba1bep-2, 0x1.2ef448cbced3p-2, 0x1.2d6a93b9662bcp-2, 0x1.2bdd71c637431p-2, 0x1.2a4cfb79fb3ep-2, 0x1.28b9493272d45p-2, 0x1.272273237d2eep-2, 0x1.25889157274c6p-2, 0x1.23ebbbadb770cp-2, 0x1.224c09ddae77p-2, 0x1.20a99373c7d0ep-2, 0x1.1f046fd2f04aep-2, 0x1.1d5cb63434e51p-2, 0x1.1bb27da6b0cabp-2, 0x1.1a05dd0f6e18dp-2, 0x1.1856eb2948d6bp-2, 0x1.16a5be84c4bddp-2, 0x1.14f26d87e300ap-2, 0x1.133d0e6dedf4fp-2, 0x1.1185b747444cap-2, 0x1.0fcc7df91bf3ep-2, 0x1.0e11783d40894p-2, 0x1.0c54bba1cde05p-2, 0x1.0a965d88e7p-2, 0x1.08d6732867d95p-2, 0x1.0715118992989p-2, 0x1.05524d88bac34p-2, 0x1.038e3bd4edb33p-2, 0x1.01c8f0ef94e83p-2, 0x1.0002812c193c1p-2, 0x1.fc76015f035fep-3, 0x1.f8e506e01f2d2p-3, 0x1.f5523a69b57c6p-3, 0x1.f1bdc32ad50d3p-3, 0x1.ee27c7f299883p-3, 0x1.ea906f2f5be86p-3, 0x1.e6f7deede0419p-3, 0x1.e35e3cd87b9b4p-3, 0x1.dfc3ae3642981p-3, 0x1.dc2857ea34981p-3, 0x1.d88c5e726519p-3, 0x1.d4efe5e7289afp-3, 0x1.d15311fa40a4p-3, 0x1.cdb605f6108fdp-3, 0x1.ca18e4bcc7d08p-3, 0x1.c67bd0c79c05ap-3, 0x1.c2deec2603125p-3, 0x1.bf42587ce62a9p-3, 0x1.bba63705ee626p-3, 0x1.b80aa88ebde32p-3, 0x1.b46fcd7841c2p-3, 0x1.b0d5c5b5fcccdp-3, 0x1.ad3cb0cd5f88bp-3, 0x1.a9a4add51e6e5p-3, 0x1.a60ddb7496391p-3, 0x1.a27857e333bafp-3, 0x1.9ee440e7e0163p-3, 0x1.9b51b3d877856p-3, 0x1.97c0cd99464b7p-3, 0x1.9431aa9c8d8e9p-3, 0x1.90a466e20f3c8p-3, 0x1.8d191df6a63f3p-3, 0x1.898feaf3ddd06p-3, 0x1.8608e87f9a64dp-3, 0x1.828430cbc6fd6p-3, 0x1.7f01dd960a62bp-3, 0x1.7b8208278a73dp-3, 0x1.7804c954af74bp-3, 0x1.748a397cf7321p-3, 0x1.7112708ad0f11p-3, 0x1.6d9d85f381498p-3, 0x1.6a2b90b70b472p-3, 0x1.66bca7602ce4dp-3, 0x1.6350e00458037p-3, 0x1.5fe85043bf9b3p-3, 0x1.5c830d4969537p-3, 0x1.59212bcb45428p-3, 0x1.55c2c00a57452p-3, 0x1.5267ddd2e2184p-3, 0x1.4f10987c9fa49p-3, 0x1.4bbd02eaff725p-3, 0x1.486d2f8d6fab4p-3, 0x1.4521305fb18bcp-3, 0x1.41d916ea323a5p-3, 0x1.3e94f44271b13p-3, 0x1.3b54d90b68c7ap-3, 0x1.3818d57606195p-3, 0x1.34e0f941a5a6cp-3, 0x1.31ad53bc992c5p-3, 0x1.2e7df3c4b5c01p-3, 0x1.2b52e7c7eb1cep-3, 0x1.282c3dc4dbce6p-3, 0x1.250a034b8c3cp-3, 0x1.21ec457e07257p-3, 0x1.1ed31111165a8p-3, 0x1.1bbe724cffd8ep-3, 0x1.18ae750e458d5p-3, 0x1.15a324c66fa31p-3, 0x1.129c8c7ce1613p-3, 0x1.0f9ab6cfab651p-3, 0x1.0c9dadf46a2c7p-3, 0x1.09a57bb92d6cp-3, 0x1.06b229855cc24p-3, 0x1.03c3c05aa99bbp-3, 0x1.00da48d6049c6p-3, 0x1.fbeb96612d1b3p-4, 0x1.f62c9e81826d4p-4, 0x1.f077b8f649362p-4, 0x1.eaccf3e74bf76p-4, 0x1.e52c5cbcfd839p-4, 0x1.df960022a163cp-4, 0x1.da09ea0879833p-4, 0x1.d48825a5f3db8p-4, 0x1.cf10bd7bed3d6p-4, 0x1.c9a3bb56f5dbp-4, 0x1.c44128519cdc7p-4, 0x1.bee90cd6b86f5p-4, 0x1.b99b70a3cd807p-4, 0x1.b4585acb5d12cp-4, 0x1.af1fd1b74f7dbp-4, 0x1.a9f1db2b551e2p-4, 0x1.a4ce7c475a607p-4, 0x1.9fb5b989f13d4p-4, 0x1.9aa796d2c543bp-4, 0x1.95a4176512fbbp-4, 0x1.90ab3dea25ca7p-4, 0x1.8bbd0c73cf54bp-4, 0x1.86d9847ee860ap-4, 0x1.8200a6f5d299ap-4, 0x1.7d327432fada3p-4, 0x1.786eec035c2afp-4, 0x1.73b60da905be7p-4, 0x1.6f07d7dda093ap-4, 0x1.6a6448d4f4095p-4, 0x1.65cb5e3f6d701p-4, 0x1.613d154ca4f8p-4, 0x1.5cb96aade38p-4, 0x1.58405a98a5c1p-4, 0x1.53d1e0c921f0bp-4, 0x1.4f6df884c7eefp-4, 0x1.4b149c9cc1a11p-4, 0x1.46c5c77072c5dp-4, 0x1.428172eff4363p-4, 0x1.3e47989e8d374p-4, 0x1.3a1831952bea2p-4, 0x1.35f33684d8a2fp-4, 0x1.31d89fb927d65p-4, 0x1.2dc8651aa7fcp-4, 0x1.29c27e314ade2p-4, 0x1.25c6e226cccbep-4, 0x1.21d587c91739cp-4, 0x1.1dee658ca0367p-4, 0x1.1a11718ec3044p-4, 0x1.163ea19816ef2p-4, 0x1.1275eb1ec0555p-4, 0x1.0eb74348bd49bp-4, 0x1.0b029eee2c3bp-4, 0x1.0757f29b8e352p-4, 0x1.03b732940435ap-4, 0x1.002052d387388p-4, 0x1.f9268e22321f1p-5, 0x1.f2200581e2595p-5, 0x1.eb2cf22d48a69p-5, 0x1.e44d3a0e8537fp-5, 0x1.dd80c296e9887p-5, 0x1.d6c770c31e947p-5, 0x1.d021291f4136cp-5, 0x1.c98dcfcaf4524p-5, 0x1.c30d487d637f9p-5, 0x1.bc9f76893a1fp-5, 0x1.b6443ce08aefp-5, 0x1.affb7e18aed6dp-5, 0x1.a9c51c6e11bfep-5, 0x1.a3a0f9c7f756ap-5, 0x1.9d8ef7bc2e8efp-5, 0x1.978ef792b5ac9p-5, 0x1.91a0da49579c8p-5, 0x1.8bc48097348c2p-5, 0x1.85f9caf03ee3fp-5, 0x1.80409988ae0ep-5, 0x1.7a98cc585ab84p-5, 0x1.7502431e189fdp-5, 0x1.6f7cdd62fae63p-5, 0x1.6a087a7d88eb4p-5, 0x1.64a4f994eb696p-5, 0x1.5f5239a407469p-5, 0x1.5a10197c8a51cp-5, 0x1.54de77c9ed729p-5, 0x1.4fbd331465f58p-5, 0x1.4aac29c3c702ap-5, 0x1.45ab3a225cbf7p-5, 0x1.40ba425fb1fap-5, 0x1.3bd920934a91ap-5, 0x1.3707b2bf4f193p-5, 0x1.3245d6d32d904p-5, 0x1.2d936aae2993dp-5, 0x1.28f04c21ded56p-5, 0x1.245c58f4bc894p-5, 0x1.1fd76ee4699bdp-5, 0x1.1b616ba81f668p-5, 0x1.16fa2cf2f9233p-5, 0x1.12a1907634f22p-5, 0x1.0e5773e367db6p-5, 0x1.0a1bb4eea4174p-5, 0x1.05ee315090903p-5, 0x1.01cec6c8795aap-5, 0x1.fb7aa63c9d2b1p-6, 0x1.f373684936671p-6, 0x1.eb878f74cc9a4p-6, 0x1.e3b6d79a24adcp-6, 0x1.dc00fcb456e8p-6, 0x1.d465bae251887p-6, 0x1.cce4ce6a4863cp-6, 0x1.c57df3bd0a766p-6, 0x1.be30e77941a69p-6, 0x1.b6fd666e95ad1p-6, 0x1.afe32da0c19e4p-6, 0x1.a8e1fa4a89153p-6, 0x1.a1f989e09f4bdp-6, 0x1.9b299a1470a4ep-6, 0x1.9471e8d6d9ea1p-6, 0x1.8dd2345ad00f3p-6, 0x1.874a3b17e4c61p-6, 0x1.80d9bbccc9aa4p-6, 0x1.7a807581a87f9p-6, 0x1.743e278a78a0ap-6, 0x1.6e12918936dedp-6, 0x1.67fd737010b83p-6, 0x1.61fe8d8372b2cp-6, 0x1.5c15a05c0efaep-6, 0x1.56426ce8ccc8bp-6, 0x1.5084b470954a3p-6, 0x1.4adc389432255p-6, 0x1.4548bb4ff5168p-6, 0x1.3fc9fefd68013p-6, 0x1.3a5fc654db395p-6, 0x1.3509d46ee66dfp-6, 0x1.2fc7ecc5dfba3p-6, 0x1.2a99d3373fb5fp-6, 0x1.257f4c04ee4e1p-6, 0x1.20781bd68ee84p-6, 0x1.1b8407baa3b6cp-6, 0x1.16a2d527bae5ep-6, 0x1.11d449fd8491p-6, 0x1.0d182c85d44f3p-6, 0x1.086e43759a4e2p-6, 0x1.03d655edcc3ddp-6, 0x1.fea056f88a2cep-7, 0x1.f5b718390e9ffp-7, 0x1.ecf080711e92bp-7, 0x1.e44c2152e7726p-7, 0x1.dbc98d704320ap-7, 0x1.d368583bd5a5fp-7, 0x1.cb28160a2109ep-7, 0x1.c3085c129ecd3p-7, 0x1.bb08c070a820ap-7, 0x1.b328da244ea1fp-7, 0x1.ab68411318f1fp-7, 0x1.a3c68e08b138ap-7, 0x1.9c435ab78e078p-7, 0x1.94de41b946cafp-7, 0x1.8d96de8f2e99bp-7, 0x1.866ccda2a73e4p-7, 0x1.7f5fac4555491p-7, 0x1.786f18b165071p-7, 0x1.719ab209a53eap-7, 0x1.6ae21859a0856p-7, 0x1.6444ec9590952p-7, 0x1.5dc2d09a611cap-7, 0x1.575b672d7baccp-7, 0x1.510e53fca3217p-7, 0x1.4adb3b9daeabp-7, 0x1.44c1c38e2fbc3p-7, 0x1.3ec192332922fp-7, 0x1.38da4ed8981c4p-7, 0x1.330ba1b0fc6b7p-7, 0x1.2d5533d4cdde2p-7, 0x1.27b6af41f0af5p-7, 0x1.222fbedb0a649p-7, 0x1.1cc00e66dfd0ep-7, 0x1.17674a8f9204cp-7, 0x1.122520e1f0a27p-7, 0x1.0cf93fcc8d01ep-7, 0x1.07e3569f03cafp-7, 0x1.02e31588f092fp-7, 0x1.fbf05b3246658p-8, 0x1.f244a17945beep-8, 0x1.e8c2637b40758p-8, 0x1.df690884fa20dp-8, 0x1.d637f99967f9bp-8, 0x1.cd2ea16f8850fp-8, 0x1.c44c6c6ff5108p-8, 0x1.bb90c8b2e492dp-8, 0x1.b2fb25fd784d9p-8, 0x1.aa8af5bf92507p-8, 0x1.a23fab111c0e6p-8, 0x1.9a18baafaf1aep-8, 0x1.92159afbf4288p-8, 0x1.8a35c3f6e3e8bp-8, 0x1.8278af3f5e9ep-8, 0x1.7addd80f3b71cp-8, 0x1.7364bb389eb8ep-8, 0x1.6c0cd7234074dp-8, 0x1.64d5abc979b18p-8, 0x1.5dbebab58324cp-8, 0x1.56c786fe89053p-8, 0x1.4fef9545c0d9cp-8, 0x1.49366bb38339bp-8, 0x1.429b91f4440dep-8, 0x1.3c1e9135a818p-8, 0x1.35bef423619e4p-8, 0x1.2f7c46e443fa3p-8, 0x1.295617171c9b8p-8, 0x1.234bf3cfbf8dbp-8, 0x1.1d5d6d93d6a09p-8, 0x1.178a1657c48d9p-8, 0x1.11d1817b962f5p-8, 0x1.0c3343c7c427dp-8, 0x1.06aef36a2f5abp-8, 0x1.014427f2dd81fp-8, 0x1.f7e4f4a1ca1a4p-9, 0x1.ed73099e575cdp-9, 0x1.e331c622941fcp-9, 0x1.d9206420a6357p-9, 0x1.cf3e202f3e5e6p-9, 0x1.c58a39835621cp-9, 0x1.bc03f1e9a115bp-9, 0x1.b2aa8dc045a65p-9, 0x1.a97d53f0942cep-9, 0x1.a07b8de862436p-9, 0x1.97a48793f486p-9, 0x1.8ef78f5738201p-9, 0x1.8673f607e057fp-9, 0x1.7e190ee694499p-9, 0x1.75e62f991b155p-9, 0x1.6ddab02373a62p-9, 0x1.65f5eae1f50ddp-9, 0x1.5e373c82c5ffp-9, 0x1.569e03ffbc6bfp-9, 0x1.4f29a297d590cp-9, 0x1.47d97bc93b49ep-9, 0x1.40acf54aec882p-9, 0x1.39a37706974e7p-9, 0x1.32bc6b12688dep-9, 0x1.2bf73daac8dd8p-9, 0x1.25535d2c72b4ap-9, 0x1.1ed03a0e1d1f2p-9, 0x1.186d46da7ff41p-9, 0x1.1229f82a673f2p-9, 0x1.0c05c49e94003p-9, 0x1.060024d9d2658p-9, 0x1.0018937adc3b5p-9, 0x1.f49d1a2d96f22p-10, 0x1.e9432065453d4p-10, 0x1.de223a7c480cp-10, 0x1.d3396d1add099p-10, 0x1.c887c0a771303p-10, 0x1.be0c413a1b598p-10, 0x1.b3c5fe9247811p-10, 0x1.a9b40c0a8ec7ep-10, 0x1.9fd5808dd0592p-10, 0x1.9629768c33ca9p-10, 0x1.8caf0befb1e3ep-10, 0x1.836562113d46cp-10, 0x1.7a4b9dae007b8p-10, 0x1.7160e6dc5bd05p-10, 0x1.68a4690130e89p-10, 0x1.601552c5362dbp-10, 0x1.57b2d60a54624p-10, 0x1.4f7c27e103146p-10, 0x1.4770807e755b7p-10, 0x1.3f8f1b3147c6bp-10, 0x1.37d736587c457p-10, 0x1.3048135825d53p-10, 0x1.28e0f69032df7p-10, 0x1.21a12751e5d23p-10, 0x1.1a87efd635a7dp-10, 0x1.13949d340ca8p-10, 0x1.0cc67f565c603p-10, 0x1.061ce8f2a6ed5p-10, 0x1.ff2e5efe96b9p-11, 0x1.f2695654df57ep-11, 0x1.e5e96da084f28p-11, 0x1.d9ad5fe3cebf4p-11, 0x1.cdb3ed587935dp-11, 0x1.c1fbdb5dafabdp-11, 0x1.b683f465a4e3ep-11, 0x1.ab4b07e481e2dp-11, 0x1.a04fea3e170a7p-11, 0x1.959174b4bc4b8p-11, 0x1.8b0e8557e77c2p-11, 0x1.80c5fef358331p-11, 0x1.76b6c8fdabdd9p-11, 0x1.6cdfcf883904ep-11, 0x1.6340032dec598p-11, 0x1.59d6590381324p-11, 0x1.50a1ca86a632bp-11, 0x1.47a1558ec2c0fp-11, 0x1.3ed3fc3c754b2p-11, 0x1.3638c4e9e36b6p-11, 0x1.2dceba1bef0ep-11, 0x1.2594ea71d96b2p-11, 0x1.1d8a6896e7a3ep-11, 0x1.15ae4b333172fp-11, 0x1.0dffacdc93387p-11, 0x1.067dac084fe2bp-11, 0x1.fe4ed5f951dd4p-12, 0x1.eff81f83ff076p-12, 0x1.e1f5882aff3eep-12, 0x1.d4456ab5281e6p-12, 0x1.c6e6291a4e323p-12, 0x1.b9d62c686cee1p-12, 0x1.ad13e4a84c071p-12, 0x1.a09dc8c367b6cp-12, 0x1.947256690c872p-12, 0x1.889011f49f0f5p-12, 0x1.7cf586531ad48p-12, 0x1.71a144ebd16dap-12, 0x1.6691e58525091p-12, 0x1.5bc6062c98d34p-12, 0x1.513c4b1ed44e4p-12, 0x1.46f35eaf4a56bp-12, 0x1.3ce9f12f739e9p-12, 0x1.331eb8d93e2a5p-12, 0x1.299071b60a191p-12, 0x1.203ddd885f21ap-12, 0x1.1725c3b5f1531p-12, 0x1.0e46f12fe7871p-12, 0x1.05a0385e5e7d1p-12, 0x1.fa60e212ca7dbp-13, 0x1.e9ecf0897bdd7p-13, 0x1.d9e260b25afap-13, 0x1.ca3f0160b0c54p-13, 0x1.bb00ab8260bffp-13, 0x1.ac2541f366de3p-13, 0x1.9daab157b4a0ap-13, 0x1.8f8eeff32c4a3p-13, 0x1.81cffd82eddb7p-13, 0x1.746be316e14ddp-13, 0x1.6760b2e9cf82cp-13, 0x1.5aac883f04089p-13, 0x1.4e4d873aa42fdp-13, 0x1.4241dcbe1cc47p-13, 0x1.3687be445c6eep-13, 0x1.2b1d69bda6805p-13, 0x1.2001256e60a8p-13, 0x1.15313fc9c2d09p-13, 0x1.0aac0f506c164p-13, 0x1.006ff27217946p-13, 0x1.ecf69ecf66466p-14, 0x1.d999282c6ff51p-14, 0x1.c6c46bd918d3ap-14, 0x1.b475638a08ce9p-14, 0x1.a2a9178b8257dp-14, 0x1.915c9e8348557p-14, 0x1.808d1d328e555p-14, 0x1.7037c63e21399p-14, 0x1.6059d9eea03b6p-14, 0x1.50f0a5f9c4ebbp-14, 0x1.41f985475e864p-14, 0x1.3371dfb98681ep-14, 0x1.255729f383e61p-14, 0x1.17a6e5271b857p-14, 0x1.0a5e9ed92783ep-14, 0x1.faf7e15cd7fa1p-15, 0x1.e1f90070fbb93p-15, 0x1.c9bbfd8014454p-15, 0x1.b23c522681e39p-15, 0x1.9b758ea7b88c4p-15, 0x1.856359876bd5cp-15, 0x1.70016f2c3173fp-15, 0x1.5b4ba17d8e9e2p-15, 0x1.473dd7872261ep-15, 0x1.33d40d18f54c8p-15, 0x1.210a526fc4fddp-15, 0x1.0edccbd529aap-15, 0x1.fa8f629862791p-16, 0x1.d88e9c6bda8bdp-16, 0x1.b7b001fe1c916p-16, 0x1.97ec758ecdf57p-16, 0x1.793cfe1bdeba9p-16, 0x1.5b9ac6c67eb69p-16, 0x1.3eff1e2a54f5p-16, 0x1.236375b818831p-16, 0x1.08c16123c0706p-16, 0x1.de252b881be02p-17, 0x1.aca1d3f488eeep-17, 0x1.7ceca936e501dp-17, 0x1.4ef9d8c5b48b1p-17, 0x1.22bdceb3c0ab5p-17, 0x1.f05a69258a034p-18, 0x1.9e79e0bd2024cp-18, 0x1.4fc446df97e06p-18, 0x1.042452b2eff98p-18, 0x1.770a5b9c3c70dp-19, 0x1.d749c8ad04eeep-20, 0x1.97c140ee223edp-21, -0x1.a3a774f858a04p-23, -0x1.2a0368a22023dp-20, -0x1.0a8ad7e036448p-19, -0x1.7afa85e1800b3p-19, -0x1.e6749900b98b3p-19, -0x1.268e1327c2597p-18, -0x1.5789c06981537p-18, -0x1.863e1e8aa972fp-18, -0x1.b2bb9a60acfb7p-18, -0x1.dd1244fe3147ep-18, -0x1.02a8eab83d868p-17, -0x1.15c4d52eec5f7p-17, -0x1.27e465dc6c6e9p-17, -0x1.390ef62befd38p-17, -0x1.494bb5c965be5p-17, -0x1.58a1ab5f82d3p-17, -0x1.6717b5687827ap-17, -0x1.74b48ae502a54p-17, }}, 
      {{-0x1.2888b8a5b4fc4p-6, -0x1.2695045440457p-6, -0x1.22cef4993b8a4p-6, -0x1.1cad2e207d5fdp-6, -0x1.13ae7ef99dfep-6, -0x1.07690d9ede616p-6, -0x1.ef213b30302fap-7, -0x1.c7ef1b06daa8ep-7, -0x1.9919eb6857173p-7, -0x1.62b2b5a364293p-7, -0x1.24f58de0c8423p-7, -0x1.c082efa21e766p-8, -0x1.2a20f5313e8efp-8, -0x1.0fc0ab819cb5ap-9, 0x1.285294c7f6f0fp-11, 0x1.b6ba41154d8f9p-9, 0x1.99d3741df9a2ap-8, 0x1.2f97641ef82dep-7, 0x1.951eeb10a0bd8p-7, 0x1.fcf109a763486p-7, 0x1.3344e99d171e6p-6, 0x1.68b8fe704365p-6, 0x1.9e9fc61eb7ec8p-6, 0x1.d4cb02482def1p-6, 0x1.05898abda0131p-5, 0x1.20ab5e7135d54p-5, 0x1.3bbd563c0a88p-5, 0x1.56b48bb98f0b1p-5, 0x1.7188969534938p-5, 0x1.8c3348976344p-5, 0x1.a6b069f43f664p-5, 0x1.c0fd77d8598b6p-5, 0x1.db196698ac8c9p-5, 0x1.f504686b66e2ep-5, 0x1.075fdc931cecep-4, 0x1.1426b79643fcep-4, 0x1.20d828bcfa966p-4, 0x1.2d75d94508dbdp-4, 0x1.3a01a7e099d6dp-4, 0x1.467d9a754221dp-4, 0x1.52ebd1ac66424p-4, 0x1.5f4e7e1c55214p-4, 0x1.6ba7d6d464fbdp-4, 0x1.77fa111b4557ap-4, 0x1.8447593467f3cp-4, 0x1.9091cc078fd91p-4, 0x1.9cdb718bb87dap-4, 0x1.a92637dc47ee5p-4, 0x1.b573eee4afab1p-4, 0x1.c1c64493362dep-4, 0x1.ce1ec18771d9cp-4, 0x1.da7ec633f827fp-4, 0x1.e6e7886d45dafp-4, 0x1.f35a116188629p-4, 0x1.ffd73bf60d9d5p-4, 0x1.062fd9c40108ap-3, 0x1.0c79f9870f57p-3, 0x1.12ca224c8c36cp-3, 0x1.192060982d20dp-3, 0x1.1f7ca883f7f46p-3, 0x1.25ded60621d1fp-3, 0x1.2c46ad5fc883fp-3, 0x1.32b3dbb2215f6p-3, 0x1.3925f7b79393ap-3, 0x1.3f9c829dcf9b9p-3, 0x1.4616e8fdc8a4cp-3, 0x1.4c9483ee5fa5ep-3, 0x1.53149a2e45195p-3, 0x1.59966161b3573p-3, 0x1.6018ff6075cd6p-3, 0x1.669b8b90d0fdap-3, 0x1.6d1d104be7166p-3, 0x1.739c8c484d992p-3, 0x1.7a18f407b1db8p-3, 0x1.8091334491c33p-3, 0x1.87042e5d49ee8p-3, 0x1.8d70c3b9d69fdp-3, 0x1.93d5cd2a0badbp-3, 0x1.9a32213a097a5p-3, 0x1.a084947b3643fp-3, 0x1.a6cbfabfff995p-3, 0x1.ad07284914d19p-3, 0x1.b334f2e2f59e6p-3, 0x1.b95432f2df4e5p-3, 0x1.bf63c47276e79p-3, 0x1.c56287d99fd9p-3, 0x1.cb4f62f640cd1p-3, 0x1.d12941b1c8e26p-3, 0x1.d6ef16c48dea5p-3, 0x1.dc9fdc5719ab5p-3, 0x1.e23a9491d6bd7p-3, 0x1.e7be4a1b64421p-3, 0x1.ed2a108639579p-3, 0x1.f27d04ae1ededp-3, 0x1.f7b64d062f7dep-3, 0x1.fcd519d829f2p-3, 0x1.00ec52bae7343p-2, 0x1.03601a2e8ebedp-2, 0x1.05c58aa82b46fp-2, 0x1.081c50b14519p-2, 0x1.0a641dfccca6cp-2, 0x1.0c9ca96342af4p-2, 0x1.0ec5aeda73e81p-2, 0x1.10deef692ea04p-2, 0x1.12e831175e8f3p-2, 0x1.14e13edaeeaeep-2, 0x1.16c9e881d79c4p-2, 0x1.18a20299aaf88p-2, 0x1.1a69665500f3bp-2, 0x1.1c1ff16f0d7dcp-2, 0x1.1dc5860db665bp-2, 0x1.1f5a0aa26636cp-2, 0x1.20dd69c9eb6f5p-2, 0x1.224f922b99b86p-2, 0x1.23b07657e80d7p-2, 0x1.25000ca6c490fp-2, 0x1.263e4f15c3df2p-2, 0x1.276b3b266269dp-2, 0x1.2886d1bc715dcp-2, 0x1.299116fcdbef8p-2, 0x1.2a8a122cdbecdp-2, 0x1.2b71cd91b6a54p-2, 0x1.2c4856511ddeep-2, 0x1.2d0dbc5242088p-2, 0x1.2dc2121fa822ep-2, 0x1.2e656cc9cc2bcp-2, 0x1.2ef7e3ca9fe0ep-2, 0x1.2f7990e9e4f92p-2, 0x1.2fea90226f25p-2, 0x1.304aff884b32p-2, 0x1.309aff2fcfb77p-2, 0x1.30dab11592e6dp-2, 0x1.310a390749e57p-2, 0x1.3129bc8d84ee1p-2, 0x1.313962d6498c6p-2, 0x1.313954a089a13p-2, 0x1.3129bc2862827p-2, 0x1.310ac5142de52p-2, 0x1.30dc9c6252178p-2, 0x1.309f7057cb63bp-2, 0x1.3053706f6bf7cp-2, 0x1.2ff8cd49c12abp-2, 0x1.2f8fb89d9ccdfp-2, 0x1.2f186529363abp-2, 0x1.2e9306a3dba05p-2, 0x1.2dffd1b02976cp-2, 0x1.2d5efbcec5718p-2, 0x1.2cb0bb518a7a5p-2, 0x1.2bf5474f2937dp-2, 0x1.2b2cd7972d4bbp-2, 0x1.2a57a4a664a42p-2, 0x1.2975e79ba085dp-2, 0x1.2887da2cc7f32p-2, 0x1.278db69c38cc7p-2, 0x1.2687b7ae6fc03p-2, 0x1.2576189ff0706p-2, 0x1.2459151b6dceep-2, 0x1.2330e93025edep-2, 0x1.21fdd148761cfp-2, 0x1.20c00a209b709p-2, 0x1.1f77d0bda2ca8p-2, 0x1.1e25626481576p-2, 0x1.1cc8fc9151fe8p-2, 0x1.1b62dceeb9f63p-2, 0x1.19f3414d6f351p-2, 0x1.187a679bdb7a3p-2, 0x1.16f88ddde2135p-2, 0x1.156df224c38bfp-2, 0x1.13dad2871bbf2p-2, 0x1.123f6d18fb2ep-2, 0x1.109bffe420013p-2, 0x1.0ef0c8e045073p-2, 0x1.0d3e05eb8e2abp-2, 0x1.0b83f4c3110e3p-2, 0x1.09c2d2fb76494p-2, 0x1.07faddf9b73bap-2, 0x1.062c52ebf876fp-2, 0x1.04576ec27fdd6p-2, 0x1.027c6e28c8385p-2, 0x1.009b8d7eb2b66p-2, 0x1.fd6a11a3af487p-3, 0x1.f99237adeafa5p-3, 0x1.f5b003c703b3ep-3, 0x1.f1c3ebceb7981p-3, 0x1.edce64cd3d88ep-3, 0x1.e9cfe2e7377c8p-3, 0x1.e5c8d951e4268p-3, 0x1.e1b9ba47aa59fp-3, 0x1.dda2f6fcde792p-3, 0x1.d984ff94e4416p-3, 0x1.d56043179a79ep-3, 0x1.d1352f6715cccp-3, 0x1.cd043135b8dcfp-3, 0x1.c8cdb3fc939c3p-3, 0x1.c49221f222812p-3, 0x1.c051e401622f3p-3, 0x1.bc0d61c13b13bp-3, 0x1.b7c5016c487e9p-3, 0x1.b37927d8f7b08p-3, 0x1.af2a387206c9ep-3, 0x1.aad8952f582bp-3, 0x1.a6849e8f2f61cp-3, 0x1.a22eb38fb9bd1p-3, 0x1.9dd731a907772p-3, 0x1.997e74c751667p-3, 0x1.9524d745ad834p-3, 0x1.90cab1e90b8e4p-3, 0x1.8c705bdba794ep-3, 0x1.88162aa8c577ep-3, 0x1.83bc7238d27aap-3, 0x1.7f6384cde24d4p-3, 0x1.7b0bb30087913p-3, 0x1.76b54bbd0292p-3, 0x1.72609c40cfddfp-3, 0x1.6e0df01888adp-3, 0x1.69bd911e22473p-3, 0x1.656fc7777c94bp-3, 0x1.6124d9954b48p-3, 0x1.5cdd0c324c6f9p-3, 0x1.5898a252d8c03p-3, 0x1.5457dd44bce0cp-3, 0x1.501afc9f6727cp-3, 0x1.4be23e445f3cp-3, 0x1.47adde600878fp-3, 0x1.437e176ab29ccp-3, 0x1.3f532229ef123p-3, 0x1.3b2d35b227518p-3, 0x1.370c8768834d5p-3, 0x1.32f14b0502e33p-3, 0x1.2edbb294e596p-3, 0x1.2acbee7d4389cp-3, 0x1.26c22d7deb1bbp-3, 0x1.22be9cb47503cp-3, 0x1.1ec1679f8d3c6p-3, 0x1.1acab82276d9ep-3, 0x1.16dab688bf611p-3, 0x1.12f1898a227f2p-3, 0x1.0f0f564ea2881p-3, 0x1.0b344072c424ap-3, 0x1.07606a0c0088dp-3, 0x1.0393f3ad56749p-3, 0x1.ff9df8d80c9aep-4, 0x1.f82343c8e4921p-4, 0x1.f0b8007e41cb2p-4, 0x1.e95c646bbc56ep-4, 0x1.e210a23201feap-4, 0x1.dad4e9a98255ap-4, 0x1.d3a967ed6bb63p-4, 0x1.cc8e4766c4652p-4, 0x1.c583afd7bdc35p-4, 0x1.be89c667201f8p-4, 0x1.b7a0adabf41b5p-4, 0x1.b0c885b93a233p-4, 0x1.aa016c29c6d77p-4, 0x1.a34b7c2c3d5dbp-4, 0x1.9ca6ce8f1987ap-4, 0x1.961379cce0538p-4, 0x1.8f919218460b5p-4, 0x1.892129687a0a4p-4, 0x1.82c24f8571fa5p-4, 0x1.7c75121441ea1p-4, 0x1.76397ca374624p-4, 0x1.700f98b76984dp-4, 0x1.69f76dd6b40f9p-4, 0x1.63f101967333ep-4, 0x1.5dfc57a6a7dc2p-4, 0x1.581971de7fbc6p-4, 0x1.524850489a0dfp-4, 0x1.4c88f12f3c1bfp-4, 0x1.46db512878f7ep-4, 0x1.413f6b22481dep-4, 0x1.3bb5386e89ap-4, 0x1.363cb0cef4278p-4, 0x1.30d5ca80ef411p-4, 0x1.2b807a4953741p-4, 0x1.263cb38010d63p-4, 0x1.210a681bb97a5p-4, 0x1.1be988bcf33dep-4, 0x1.16da04b9c4a4ep-4, 0x1.11dbca28c6cb4p-4, 0x1.0ceec5ec34541p-4, 0x1.0812e3bcd9356p-4, 0x1.03480e34db494p-4, 0x1.fd1c5db4c17b3p-5, 0x1.f3ca5c54248cbp-5, 0x1.ea99e742e9b41p-5, 0x1.e18acb92423f5p-5, 0x1.d89cd47d9a3f5p-5, 0x1.cfcfcb7e63c87p-5, 0x1.c723785f8d0dfp-5, 0x1.be97a150a6454p-5, 0x1.b62c0af8b046dp-5, 0x1.ade0788899349p-5, 0x1.a5b4abcd5f68p-5, 0x1.9da86541e3739p-5, 0x1.95bb64205acaap-5, 0x1.8ded667379ee9p-5, 0x1.863e2927350e5p-5, 0x1.7ead6819344c5p-5, 0x1.773ade28e7f68p-5, 0x1.6fe645474deeep-5, 0x1.68af5686575f9p-5, 0x1.6195ca27f679ap-5, 0x1.5a9957acd43d8p-5, 0x1.53b9b5e2b1784p-5, 0x1.4cf69af26b91cp-5, 0x1.464fbc6dacea1p-5, 0x1.3fc4cf5c46a84p-5, 0x1.395588492f0f7p-5, 0x1.33019b4f2ee6cp-5, 0x1.2cc8bc2536371p-5, 0x1.26aa9e2a5fc2ap-5, 0x1.20a6f4719e485p-5, 0x1.1abd71cd1339ep-5, 0x1.14edc8d916fbap-5, 0x1.0f37ac06ed675p-5, 0x1.099acda72acaap-5, 0x1.0416dff3ca155p-5, 0x1.fd572a33db10dp-6, 0x1.f2b13e86b0a47p-6, 0x1.e83b613f2dc84p-6, 0x1.ddf4f6d9b4754p-6, 0x1.d3dd64011f2e7p-6, 0x1.c9f40d9f48fb1p-6, 0x1.c03858ed10613p-6, 0x1.b6a9ab81bedcap-6, 0x1.ad476b61f2601p-6, 0x1.a410ff0decbabp-6, 0x1.9b05cd8f688c8p-6, 0x1.92253e86dbdd3p-6, 0x1.896eba383b54ap-6, 0x1.80e1a9973928p-6, 0x1.787d76530a4acp-6, 0x1.70418ae1a753ep-6, 0x1.682d528aa1053p-6, 0x1.604039716b9a9p-6, 0x1.5879ac9f3765cp-6, 0x1.50d91a0c64157p-6, 0x1.495df0a971194p-6, 0x1.4207a0678e52cp-6, 0x1.3ad59a40bb7a9p-6, 0x1.33c7503f7eacbp-6, 0x1.2cdc35862de22p-6, 0x1.2613be55d8b6ep-6, 0x1.1f6d6014d6b56p-6, 0x1.18e89154ec148p-6, 0x1.1284c9d911922p-6, 0x1.0c41829af04e8p-6, 0x1.061e35cfe6bb2p-6, 0x1.001a5eedd48a2p-6, 0x1.f46af55f0dd34p-7, 0x1.e8de0e3199938p-7, 0x1.dd8d06f48dc04p-7, 0x1.d276e0e9c9458p-7, 0x1.c79a9ffa2a86p-7, 0x1.bcf74abb5abafp-7, 0x1.b28bea751ee29p-7, 0x1.a8578b2604049p-7, 0x1.9e593b879c489p-7, 0x1.94900d123387bp-7, 0x1.8afb140005356p-7, 0x1.8199674ff5054p-7, 0x1.786a20c7d42a9p-7, 0x1.6f6c5cf63ba11p-7, 0x1.669f3b33eed57p-7, 0x1.5e01dda4e002cp-7, 0x1.55936938c999ep-7, 0x1.4d5305ab51707p-7, 0x1.453fdd83ea5afp-7, 0x1.3d591e155221dp-7, 0x1.359df77ca4813p-7, 0x1.2e0d9ca029323p-7, 0x1.26a7432dd4205p-7, 0x1.1f6a23997199dp-7, 0x1.1855791a7cca9p-7, 0x1.116881a9b96ap-7, 0x1.0aa27dfe82d2ap-7, 0x1.0402b18bdffc8p-7, 0x1.fb10c4faa7452p-8, 0x1.ee65b366c9421p-8, 0x1.e202c580017fep-8, 0x1.d5e697c5230c1p-8, 0x1.ca0fcc07efb45p-8, 0x1.be7d09646b789p-8, 0x1.b32cfc37fb117p-8, 0x1.a81e56181c4aap-8, 0x1.9d4fcdc8c569fp-8, 0x1.92c01f32873b2p-8, 0x1.886e0b582da01p-8, 0x1.7e58584c5d51p-8, 0x1.747dd126af4a2p-8, 0x1.6add45f8bb0d3p-8, 0x1.61758bc2b3ad3p-8, 0x1.58457c6812a4dp-8, 0x1.4f4bf6a3ba70dp-8, 0x1.4687ddfc3700cp-8, 0x1.3df81ab7875f3p-8, 0x1.359b99cefc2e5p-8, 0x1.2d714ce2ca6dp-8, 0x1.25782a2d7c74ep-8, 0x1.1daf2c7766a16p-8, 0x1.16155309bdf37p-8, 0x1.0ea9a1a1d4b4cp-8, 0x1.076b206427419p-8, 0x1.0058dbcf3e99cp-8, 0x1.f2e3c95d35a68p-9, 0x1.e56aa01b1b032p-9, 0x1.d8446e53e2fc1p-9, 0x1.cb6f6ece08edcp-9, 0x1.bee9e47ff710dp-9, 0x1.b2b21a7581dcep-9, 0x1.a6c663b53932dp-9, 0x1.9b251b25b6268p-9, 0x1.8fcca372d7e4dp-9, 0x1.84bb66f33fa6ep-9, 0x1.79efd78d8be7cp-9, 0x1.6f686e9dba723p-9, 0x1.6523acdac2bap-9, 0x1.5b201a3bfeab3p-9, 0x1.515c45deb9c0dp-9, 0x1.47d6c5ec09db4p-9, 0x1.3e8e377e6c69dp-9, 0x1.35813e87e08e6p-9, 0x1.2cae85b7db89p-9, 0x1.2414be61651bfp-9, 0x1.1bb2a0617eceap-9, 0x1.1386ea0590d25p-9, 0x1.0b905ff217a35p-9, 0x1.03cdcd09547bap-9, 0x1.f87c04a4a6acap-10, 0x1.e9bfadc01d92cp-10, 0x1.db644f717f915p-10, 0x1.cd67af7afab18p-10, 0x1.bfc79f23d029ap-10, 0x1.b281fb07f3769p-10, 0x1.a594aae8cad12p-10, 0x1.98fda17d6f48bp-10, 0x1.8cbadc444203fp-10, 0x1.80ca635438525p-10, 0x1.752a492f2090cp-10, 0x1.69d8aa93dcec1p-10, 0x1.5ed3ae51d3c2dp-10, 0x1.5419851c233a9p-10, 0x1.49a8695da5202p-10, 0x1.3f7e9f0d39b5ep-10, 0x1.359a7382ef2f9p-10, 0x1.2bfa3d4d3d72p-10, 0x1.229c5c0718dfp-10, 0x1.197f382e6b963p-10, 0x1.10a142fac9419p-10, 0x1.0800f63524b75p-10, 0x1.ff39a81ec6fb8p-11, 0x1.eee6cdfa941f4p-11, 0x1.df06831a5093bp-11, 0x1.cf95fc82b3ef3p-11, 0x1.c0927ed4b4995p-11, 0x1.b1f95e0235a18p-11, 0x1.a3c7fd04696eep-11, 0x1.95fbcd9316852p-11, 0x1.88924fdbf91b5p-11, 0x1.7b89123c9a149p-11, 0x1.6eddb0fbc5241p-11, 0x1.628dd60520542p-11, 0x1.569738a52c42cp-11, 0x1.4af79d46941c6p-11, 0x1.3facd5300405ap-11, 0x1.34b4be437ab87p-11, 0x1.2a0d42be8a45fp-11, 0x1.1fb458fb3d738p-11, 0x1.15a80332b05dp-11, 0x1.0be64f3fd0bap-11, 0x1.026d56633233bp-11, 0x1.f2767a10c63b8p-12, 0x1.e09c651821255p-12, 0x1.cf48e204c21cep-12, 0x1.be7879ff9ee62p-12, 0x1.ae27cac169022p-12, 0x1.9e53862808d6fp-12, 0x1.8ef871ca9b62bp-12, 0x1.801366914aabbp-12, 0x1.71a1504deb729p-12, 0x1.639f2d56c4d63p-12, 0x1.560a0e22f64b8p-12, 0x1.48df14e80ae0ap-12, 0x1.3c1b753a9d79ap-12, 0x1.2fbc73af3c8ep-12, 0x1.23bf657eb63e5p-12, 0x1.1821b029da9b4p-12, 0x1.0ce0c920f347fp-12, 0x1.01fa356af5c18p-12, 0x1.eed712a0c79bep-13, 0x1.da64d00c07ab3p-13, 0x1.c69906b46309fp-13, 0x1.b36f36c67864bp-13, 0x1.a0e2fc5f00d5ap-13, 0x1.8ef00eec47411p-13, 0x1.7d924095e9488p-13, 0x1.6cc57da6016d6p-13, 0x1.5c85cbf4898edp-13, 0x1.4ccf4a554eedfp-13, 0x1.3d9e300a1359bp-13, 0x1.2eeecc36ffed8p-13, 0x1.20bd8558d6925p-13, 0x1.1306d8bfcfa71p-13, 0x1.05c75a0b553cfp-13, 0x1.f1f7655218354p-14, 0x1.d94142ab6d0cep-14, 0x1.c165f3426c028p-14, 0x1.aa5f46ec6d4e5p-14, 0x1.94273544b8b79p-14, 0x1.7eb7dcc4d4738p-14, 0x1.6a0b81dd5fcfbp-14, 0x1.561c8e185d3acp-14, 0x1.42e58f3cb3f33p-14, 0x1.30613678db667p-14, 0x1.1e8a578e85762p-14, 0x1.0d5be80783dfap-14, 0x1.f9a1fcd492968p-15, 0x1.d9c9a2e7fe86bp-15, 0x1.bb256eb0ce39dp-15, 0x1.9dac4a0875daep-15, 0x1.81555ac9804bp-15, 0x1.6618016324af6p-15, 0x1.4bebd778c914p-15, 0x1.32c8ae856ab18p-15, 0x1.1aa68e8817888p-15, 0x1.037db4b5c7ee5p-15, 0x1.da8d247137c0fp-16, 0x1.aff395da1d4c8p-16, 0x1.8720685afff53p-16, 0x1.6005a741bcfb4p-16, 0x1.3a95bc2538d2bp-16, 0x1.16c36c986b446p-16, 0x1.e903afece74a1p-17, 0x1.a788ea685e6cap-17, 0x1.68fe217fd9005p-17, 0x1.2d4b94dbdf2dbp-17, 0x1.e8b44dbf17dffp-18, 0x1.7c26b1588a9dfp-18, 0x1.14c28c768660ep-18, 0x1.64ba8a4d638c9p-19, 0x1.5335a092e653fp-20, -0x1.0557948d862aep-24, -0x1.61c926bb99172p-20, -0x1.50df07e371591p-19, -0x1.e86458ee59aabp-19, -0x1.3bde5e9db73ap-18, -0x1.7f9738350f06cp-18, -0x1.bf7edfc3540b3p-18, -0x1.fbb68aaf667b2p-18, -0x1.1a2f41b026413p-17, -0x1.34cb17887c232p-17, -0x1.4dbe09cf34efbp-17, -0x1.6516ee8c8dae7p-17, -0x1.7ae431a150d8cp-17, -0x1.8f33d7700656fp-17, -0x1.a2137f7f6ea59p-17, -0x1.b39067095452bp-17, -0x1.c3b76b74be65bp-17, -0x1.d2950ccce05a8p-17, -0x1.e035701abce9bp-17, -0x1.eca461bab28aap-17, -0x1.f7ed579b36f89p-17, -0x1.010db9bb3325fp-16, -0x1.059cc27fcf41bp-16, -0x1.09a905fab72c9p-16, -0x1.0d379d1eb6fb2p-16, -0x1.104d7aebfe70cp-16, -0x1.12ef6d6d2c0e8p-16, -0x1.15221eac4f9b3p-16, -0x1.16ea15a1e532bp-16, -0x1.184bb71bef708p-16, -0x1.194b46a4817d5p-16, -0x1.19ece75c87fbdp-16, -0x1.1a349cd6a05fdp-16, -0x1.1a264be6c3948p-16, -0x1.19c5bb752bdc6p-16, -0x1.191695418dcd4p-16, -0x1.181c66ab0056ap-16, -0x1.16daa16e1cc72p-16, -0x1.15549c5d9f898p-16, -0x1.138d941b2c308p-16, -0x1.1188abc6fac4fp-16, -0x1.0f48edace40fcp-16, -0x1.0cd14bea82b6cp-16, -0x1.0a24a1189b198p-16, -0x1.0745b0e7a56dap-16, -0x1.043728bcc10f2p-16, -0x1.00fba04cc397p-16, -0x1.fb2b345a23637p-17, -0x1.f40f08d2639cap-17, -0x1.eca7721649a3p-17, -0x1.e4f8fd50fe3aap-17, -0x1.dd0811cb9738fp-17, -0x1.d4d8f1f971c99p-17, -0x1.cc6fbc72ec73ep-17, -0x1.c3d06cef0c6d6p-17, -0x1.bafedd391b0e9p-17, -0x1.b1fec6194c4edp-17, -0x1.a8d3c03c508cap-17, -0x1.9f814513584f9p-17, -0x1.960aafaef2d34p-17, -0x1.8c733d9206a33p-17, -0x1.82be0f8878b9ap-17, -0x1.78ee2a7154435p-17, -0x1.6f0677fa9a55p-17, -0x1.6509c76b7afa1p-17, -0x1.5aface5749fbbp-17, -0x1.50dc295c81293p-17, -0x1.46b05cd076124p-17, -0x1.3c79d56fc4fccp-17, -0x1.323ae908d8d83p-17, -0x1.27f5d71a54887p-17, -0x1.1dacc97c118eap-17, -0x1.1361d4f37a226p-17, -0x1.0916f9d177fd8p-17, -0x1.fd9c4900c9f92p-18, -0x1.e9125c30dfc47p-18, -0x1.d493b9e24237ap-18, -0x1.c023ca44627d8p-18, -0x1.abc5d2172617p-18, -0x1.977cf3b51803p-18, -0x1.834c300558431p-18, -0x1.6f3667827669p-18, -0x1.5b3e5b1874957p-18, -0x1.4766ad1be7badp-18, -0x1.33b1e22828267p-18, -0x1.2022620016a96p-18, -0x1.0cba7866337fap-18, -0x1.f2f8abde02149p-19, -0x1.ccd4219a3d951p-19, -0x1.a70b4b301a91p-19, -0x1.81a1f0188863bp-19, -0x1.5c9ba7a48f118p-19, -0x1.37fbda5b8838ep-19, -0x1.13c5c36858649p-19, -0x1.dff8e3f5aabfp-20, -0x1.9945952142389p-20, -0x1.537710af3ba36p-20, -0x1.0e927cb71b7c6p-20, -0x1.9539630c14dfcp-21, -0x1.0f3478194b5d3p-21, -0x1.163d80b1d39dep-22, -0x1.2006c1b4897c4p-26, 0x1.dc7ed68a1c16bp-23, 0x1.ea742c91a5e02p-22, 0x1.714880512c999p-21, 0x1.eb4504c1ab81dp-21, 0x1.3195169c2a8fcp-20, 0x1.6c797c0c8fd5cp-20, 0x1.a64d6a72e56f9p-20, 0x1.df0ed024bbb73p-20, 0x1.0b5de83e3ed28p-19, 0x1.26a960f53ff23p-19, 0x1.4169162dbbf47p-19, 0x1.5b9c63ce6688fp-19, 0x1.7542bce56e4ddp-19, 0x1.8e5baacff58p-19, 0x1.a6e6cc8fa8951p-19, 0x1.bee3d5f258ee5p-19, 0x1.d6528ef4368c3p-19, 0x1.ed32d2fc7e6dp-19, 0x1.01c2481da813bp-18, 0x1.0ca3e383ddb78p-18, 0x1.173e449371c49p-18, 0x1.21917c9d2039fp-18, 0x1.2b9da50f5bf2fp-18, 0x1.3562df2b92c8ap-18, 0x1.3ee153bd629cep-18, 0x1.481932cef52bap-18, 0x1.510ab36649873p-18, 0x1.59b61347451e9p-18, 0x1.621b96a65364fp-18, 0x1.6a3b87f2e925ap-18, 0x1.72163791df29ap-18, 0x1.79abfba440b04p-18, 0x1.80fd2fc9dc256p-18, 0x1.880a34eb259f9p-18, 0x1.8ed370fc48b6fp-18, 0x1.95594ed0bbcffp-18, 0x1.9b9c3de0ef80ep-18, 0x1.a19cb214b7617p-18, 0x1.a75b2394f1539p-18, 0x1.acd80e976958ep-18, 0x1.b213f333abf01p-18, 0x1.b70f55309b202p-18, 0x1.bbcabbda89fe9p-18, 0x1.c046b1dc634bcp-18, 0x1.c483c511265dp-18, 0x1.c8828659ad524p-18, 0x1.cc438978a56c9p-18, 0x1.cfc764e949f8ap-18, 0x1.d30eb1bbf2873p-18, 0x1.d61a0b6e6720ap-18, 0x1.d8ea0fca81691p-18, 0x1.db7f5ec80f0ap-18, 0x1.ddda9a6553baap-18, 0x1.dffc668d2e09cp-18, 0x1.e1e568f1ff9ddp-18, 0x1.e39648f293ca7p-18, 0x1.e50faf7868caep-18, 0x1.e65246dcd3287p-18, 0x1.e75ebacec648fp-18, 0x1.e835b835b885ep-18, 0x1.e8d7ed15bd67p-18, 0x1.e946087fc74fp-18, 0x1.e980ba6e49e0ap-18, 0x1.e988b3b07fac9p-18, 0x1.e95ea5d381dbap-18, 0x1.e903430de9ceap-18, 0x1.e8773e25ad8fcp-18, 0x1.e7bb4a5b77a8fp-18, 0x1.e6d01b5943fffp-18, 0x1.e5b66520b0063p-18, 0x1.e46edbf04f691p-18, 0x1.e2fa34366d9d9p-18, 0x1.e159228229bdcp-18, 0x1.df8c5b6aa760dp-18, 0x1.dd94937dc0374p-18, 0x1.db727f3486f0cp-18, 0x1.d926d2e01f927p-18, 0x1.d6b2429d8fa86p-18, 0x1.d415824242bbfp-18, 0x1.d1514556a4432p-18, 0x1.ce663f00c8389p-18, 0x1.cb5521f6e9c8ap-18, 0x1.c81ea07497681p-18, 0x1.c4c36c3031102p-18, 0x1.c144364b1c152p-18, 0x1.bda1af4710acep-18, 0x1.b9dc86fb2f899p-18, 0x1.b5f56c8ec7054p-18, 0x1.b1ed0e65342b3p-18, 0x1.adc41a19ea6a8p-18, 0x1.a97b3c77630b8p-18, 0x1.a513216eb86dbp-18, 0x1.a08c740715dfap-18, 0x1.9be7de59ead7cp-18, 0x1.9726098be4af9p-18, 0x1.92479dc3c26dp-18, 0x1.8d4d4220c7fd7p-18, 0x1.88379cb8cbdcp-18, 0x1.8307528f19445p-18, 0x1.7dbd078b50aabp-18, 0x1.78595e721c941p-18, 0x1.72dcf8e38da27p-18, 0x1.6d4877541b3abp-18, 0x1.679c790489fd6p-18, 0x1.61d99bfc82405p-18, 0x1.5c007d0b2a8cap-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      69, 0x1.ccccccccccccdp+2, 0x1.321d6d2d08572p+3, 0x1.f2be3bb0467c5p+4, 0x1.676b052372e4ep-8, 
      {{
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.dd535a24dc732p-7, -0x1.63e0e17bdabcbp-4, 0x1.a98bb5c4f09eep-2, -0x1.1f4a83d62d053p+0}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.6c6bd5162cfd7p-7, -0x1.b845283ba3a03p-5, 0x1.fa579a2278058p-3, -0x1.8e1c4f4f928b4p-1}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.256f9d52ab8a2p-7, -0x1.1d81ac6a99ae2p-5, 0x1.0b79d0f2b9b08p-3, -0x1.f6d0523900f32p-2}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.ea0b809e0bc8bp-8, -0x1.a15ebb8a80342p-6, 0x1.d286e12018d46p-5, -0x1.52616a9e28968p-3}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9e8c4595cfa8fp-8, -0x1.585e14e9bb1cap-6, 0x1.077fa1279a128p-5, -0x1.bac194e06b322p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5ed56e822b3ecp-8, -0x1.25540070bb6b7p-6, 0x1.edca5724c5b4ap-6, -0x1.ff81b3ed122e5p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.28d9a9711ea45p-8, -0x1.ef921ef36d034p-7, 0x1.a1107c279c946p-6, -0x1.83b9058cfc313p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.f68a3656d04p-9, -0x1.a1f9477bb2c2bp-7, 0x1.66e7ee85a9f3ap-6, -0x1.76d8ab04f8ab1p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.a9bf982972341p-9, -0x1.5fd0b3f1ae18dp-7, 0x1.2eadd4de84a5dp-6, -0x1.4c4098f99c49p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.691b50576c4p-9, -0x1.284362b470caep-7, 0x1.f9aeaf0bc0cf8p-7, -0x1.299f1123933c8p-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.329cfe13edbebp-9, -0x1.f45190fea348p-8, 0x1.a0655d1aae3dbp-7, -0x1.04db17fb9452cp-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.047c07c80c52dp-9, -0x1.a8dd7769cf1fbp-8, 0x1.5223a2b59b588p-7, -0x1.c154b3cc3219dp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.ba4f362587c8dp-10, -0x1.6bfa2b7d07d8dp-8, 0x1.0ebd548a2d6e9p-7, -0x1.789e41b10dd2ap-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.768d5991ed4p-10, -0x1.3b7a84869c67cp-8, 0x1.ac7e622c09e8fp-8, -0x1.3015313197e9p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.3b6ff1ead9f3p-10, -0x1.1530c1d8b6037p-8, 0x1.5144d369f5f03p-8, -0x1.ce57206724081p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.072405b1ab50fp-10, -0x1.eddcbc74d123fp-9, 0x1.0beaf4f416ef4p-8, -0x1.3f2d9f2840e6bp-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.b08c53a716abep-11, -0x1.bd10fd3685d8fp-9, 0x1.b81506f5b4001p-9, -0x1.4c3c77e3d6a08p-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.5bc50352e10d4p-11, -0x1.938cc7a7fb37cp-9, 0x1.863f282d209b5p-9, -0x1.02b7ee3730485p-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.0ee5bb07dd43p-11, -0x1.6d7ed57dea604p-9, 0x1.72d7c31c302f5p-9, -0x1.16ff19996e2abp-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.92dfbb35c9136p-12, -0x1.4975182826ee6p-9, 0x1.5deb079714b9p-9, -0x1.0884acb0aa7bp-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.15f5040b79528p-12, -0x1.2775210162f04p-9, 0x1.4a1447703b23p-9, -0x1.036a19a7701f3p-10}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.4c7dedf50a5bap-13, -0x1.076c238eca90ep-9, 0x1.369f8583ac53ep-9, -0x1.f798f9b3561bep-11}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.0bdaad7410bfap-14, -0x1.d29bd3bfc2ab9p-10, 0x1.23bcfc268c4cap-9, -0x1.e9b65a7d1e7cbp-11}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, -0x1.4a55682947f6p-16, -0x1.9a18f437e147fp-10, 0x1.115fbf28418e1p-9, -0x1.db77653aa4083p-11}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, -0x1.854455a5c84c7p-14, -0x1.6534a701a611p-10, 0x1.ff1689ec1d353p-10, -0x1.cd512dc3e973fp-11}, 
        {0x1.4p+2, 0x1.4333333333333p+2, -0x1.47864e58c8486p-13, -0x1.33d3a9b4b1243p-10, 0x1.dc7d4017054c7p-10, -0x1.bf24552a77db7p-11}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, -0x1.b959615fb954ep-13, -0x1.05dacb4bd4431p-10, 0x1.baf4201a3c4f7p-10, -0x1.b0f943500f5f6p-11}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, -0x1.0cb965e7effd8p-12, -0x1.b65dac325f237p-11, 0x1.9a7b07daa18ecp-10, -0x1.a2cdb79c51a65p-11}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, -0x1.348f89d854d6dp-12, -0x1.67692b5cf0132p-11, 0x1.7b12007bb5083p-10, -0x1.94a24c8ed189cp-11}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, -0x1.54cfee94644dfp-12, -0x1.1ea1aa8f81ebbp-11, 0x1.5cb9078a98847p-10, -0x1.8676d8c1b40b3p-11}, 
        {0x1.5p+2, 0x1.5333333333333p+2, -0x1.6e15f53f19dd1p-12, -0x1.b7a180e03e045p-12, 0x1.3f701daf449d7p-10, -0x1.784b674cc0e22p-11}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, -0x1.80f78e0b135dcp-12, -0x1.3d8007310bdddp-12, 0x1.233742bcb625fp-10, -0x1.6a1ff536eb25cp-11}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, -0x1.8e05383a910b7p-12, -0x1.9ce42a9702d4cp-13, 0x1.080e76befe1dp-10, -0x1.5bf4834c3a3bdp-11}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, -0x1.95ca021f75807p-12, -0x1.a82b619fba3bdp-14, 0x1.dbeb7365c049cp-11, -0x1.4dc91155fca3cp-11}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, -0x1.98cb891b45b71p-12, -0x1.fbafb7e391028p-17, 0x1.a9da173273fe2p-11, -0x1.3f9d9f62d6717p-11}, 
        {0x1.6p+2, 0x1.6333333333333p+2, -0x1.9789f99f290c1p-12, 0x1.020b35d92fb78p-14, 0x1.79e8d8e3a0a08p-11, -0x1.31722d6ed0d77p-11}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, -0x1.92800f2be93c7p-12, 0x1.0f05b7ff331f3p-13, 0x1.4c17b87967b39p-11, -0x1.2346bb7b15e95p-11}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, -0x1.8a231451f263bp-12, 0x1.8b1f01483aa9ep-13, 0x1.2066b5f3be03fp-11, -0x1.151b49873f7f2p-11}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, -0x1.7ee2e2b152fefp-12, 0x1.f62b1c564f02ap-13, 0x1.edaba2a54f607p-12, -0x1.06efd79374de4p-11}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, -0x1.7129e2f9bbec7p-12, 0x1.2881d75c0891cp-12, 0x1.9eca152c45eadp-12, -0x1.f188cb3f3d6a8p-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, -0x1.615d0cea806a7p-12, 0x1.4e412efe11052p-12, 0x1.5428c37c631b2p-12, -0x1.d531e757ae324p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, -0x1.4fdbe75296176p-12, 0x1.6cc067d8914dcp-12, 0x1.0dc7ad95a293ep-12, -0x1.b8db036ffa437p-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, -0x1.3d00881094f27p-12, 0x1.846c54b2d9ec9p-12, 0x1.974da6f013adep-13, -0x1.9c841f886adfep-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, -0x1.291f9412b759cp-12, 0x1.95b1c8543b632p-12, 0x1.1b8c6a4726cfp-13, -0x1.802d3ba0dce99p-12}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, -0x1.14883f56da0e7p-12, 0x1.a0fd958405e94p-12, 0x1.50974a60fc461p-14, -0x1.63d657b917e13p-12}, 
        {0x1.8p+2, 0x1.8333333333333p+2, -0x1.ff0899d4f865ep-13, 0x1.a6bc8f098a1e7p-12, 0x1.ec5abd6151658p-16, -0x1.477f73d17c91dp-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, -0x1.d4b01dd57e8b5p-13, 0x1.a75b87ac18bbbp-12, -0x1.25a3f22f0cc24p-16, -0x1.2b288fea1d86bp-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, -0x1.aa84cd08ce4eap-13, 0x1.a347523301b65p-12, -0x1.f9cf7296dd016p-15, -0x1.0ed1ac0202489p-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, -0x1.80f987e7b4392p-13, 0x1.9aecc16595f8cp-12, -0x1.9f6586e63caeep-14, -0x1.e4f59035fb8bp-13}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, -0x1.58764d0a4186bp-13, 0x1.8eb8a80b25c06p-12, -0x1.187132ae6a78dp-13, -0x1.ac47c865ba395p-13}, 
        {0x1.9p+2, 0x1.9333333333333p+2, -0x1.31583927cc48p-13, 0x1.7f17d8eb01547p-12, -0x1.58af2a5746679p-13, -0x1.739a0096ec657p-13}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, -0x1.0bf18716ef3cp-13, 0x1.6c7726cc79b93p-12, -0x1.906caa6de9dcfp-13, -0x1.3aec38c7e6715p-13}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, -0x1.d1131f9b13d53p-14, 0x1.57436476dec42p-12, -0x1.bfa9b2f24c6dcp-13, -0x1.023e70f841dd8p-13}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, -0x1.8eb994c181461p-14, 0x1.3fe964b18118dp-12, -0x1.e66643e4564f8p-13, -0x1.9321525091b94p-14}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, -0x1.51399809f8cdp-14, 0x1.26d5fa43b244ap-12, -0x1.02512ea1fd6b6p-12, -0x1.21c5c2bb4f552p-14}, 
        {0x1.ap+2, 0x1.a333333333333p+2, -0x1.18e0901bd5ffp-14, 0x1.0c75f7f4bf048p-12, -0x1.0d2eff8903984p-12, -0x1.60d465f3f74abp-15}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, -0x1.cbcc3fb9fbf1fp-15, 0x1.e26c61180836bp-13, -0x1.13cc94a596a19p-12, -0x1.f8751ee96ef4bp-17}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, -0x1.70d84ce3beacp-15, 0x1.ab06eda148f4cp-13, -0x1.1629edfde1f39p-12, 0x1.92676d315c99ep-17}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, -0x1.20fd7e7ae454p-15, 0x1.73953b15362aap-13, -0x1.14470b7ad9eacp-12, 0x1.4750ec612146p-15}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, -0x1.b8510784e08p-16, 0x1.3cf0eefd76a58p-13, -0x1.0e23ed72a14bp-12, 0x1.1504203f79207p-14}, 
        {0x1.bp+2, 0x1.b333333333333p+2, -0x1.443508f4f0e81p-16, 0x1.07f3aefb41672p-13, -0x1.03c092a37326ap-12, 0x1.865f4d2b4d98dp-14}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, -0x1.c9a4838099301p-17, 0x1.aaee40afb220ap-14, -0x1.ea39ff7d407bcp-13, 0x1.f7bc4d252d11p-14}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, -0x1.31f9c6b6d8501p-17, 0x1.4ca9d3497bf8ap-14, -0x1.c4724680dd1aap-13, 0x1.34893f04b81a5p-13}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, -0x1.7cc840d3b88p-18, 0x1.ed9ab2a9cdf96p-15, -0x1.962a7d0cf4af8p-13, 0x1.6d410c1a42575p-13}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, -0x1.acbeddacb9801p-19, 0x1.56187434c521dp-15, -0x1.5f60bb3c3789p-13, 0x1.a5c96e300a4f9p-13}, 
        {0x1.cp+2, 0x1.c333333333333p+2, -0x1.9fd4a40515fffp-20, 0x1.ac655e5af80fp-16, -0x1.201c1de835fd5p-13, 0x1.df02c79a71087p-13}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, -0x1.3b4a2645bcp-21, 0x1.c54c29ee88958p-17, -0x1.b084332216df3p-14, 0x1.0ad3d75c4918ap-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, -0x1.27eb7131affffp-23, 0x1.56a55f2efb2fap-18, -0x1.106b7eb7849dap-14, 0x1.2af6b3d7919f8p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, -0x1.3d951278c09bep-27, 0x1.9236b23eec3f4p-21, -0x1.742ab1a581b93p-16, 0x1.1d98a8be814a8p-12}, 
      }}, 
      -0x1.c01cb0d5e8bap-11, -0x1.32c87d2eb738p-8
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.e4817beaf5bd8p-9, 0x1.cd5fc8f7bb705p-8, 0x1.3ea496b58f572p-7, 0x1.792f210ccb78fp-7, 0x1.90eb84534bee5p-7, 0x1.82cae76cee336p-7, 0x1.4dd1b8811f4c7p-7, 0x1.e57d2793f5f08p-8, 0x1.cea8cd5c78444p-9, -0x1.62a3477c0341ap-10, -0x1.d2f2a7d557f59p-8, -0x1.bf97b1dd1be94p-7, -0x1.55288858b24a4p-6, -0x1.d29fe667756fcp-6, -0x1.2b05f7d7187f2p-5, -0x1.6eafa95b4b043p-5, -0x1.b356f88ac6fb1p-5, -0x1.f81943779374ep-5, -0x1.1e148139a3816p-4, -0x1.3f6743e7c30ecp-4, -0x1.5fb404e3e2c79p-4, -0x1.7eb49453255c7p-4, -0x1.9c2d0d09b3cd8p-4, -0x1.b7eb4bf7d3f84p-4, -0x1.d1c6542097626p-4, -0x1.e99da700293e2p-4, -0x1.ff5896af927a6p-4, -0x1.0972cb80071b4p-3, -0x1.121cc7dc232ebp-3, -0x1.19a799b09062ep-3, -0x1.20132dfe95544p-3, -0x1.2561b7a3aa25ep-3, -0x1.299765d5ee475p-3, -0x1.2cba1f3e22d72p-3, -0x1.2ed14206830f6p-3, -0x1.2fe568dfa40b5p-3, -0x1.300034f676744p-3, -0x1.2f2c1cbbe1085p-3, -0x1.2d743f4a6e3d2p-3, -0x1.2ae43c4224543p-3, -0x1.27880fd5c6e73p-3, -0x1.236bf2d52f395p-3, -0x1.1e9c3e704d03p-3, -0x1.1925536e1402fp-3, -0x1.131384922d8dp-3, -0x1.0c7303e692ed9p-3, -0x1.054fd2a70a0d5p-3, -0x1.fb6b6713751e4p-4, -0x1.eb603e44da13dp-4, -0x1.da94749981608p-4, -0x1.c91d9c0e18d1ep-4, -0x1.b710826eac316p-4, -0x1.a481272115f7ep-4, -0x1.9182b33f1dc91p-4, -0x1.7e27747c2cd36p-4, -0x1.6a80d94b68b39p-4, -0x1.569f6f7afaf22p-4, -0x1.4292e4b8abf34p-4, -0x1.2e6a0590b651cp-4, -0x1.1a32c34d9b3bdp-4, -0x1.05fa326713761p-4, -0x1.e399286ad62edp-5, -0x1.bb6ab1baf165dp-5, -0x1.937e4b98da4e9p-5, -0x1.6be7b9ad9c483p-5, -0x1.44b940e8330adp-5, -0x1.1e03b598691ffp-5, -0x1.efad1f9790504p-6, -0x1.a47fe5a9be6cbp-6, -0x1.5a9983314d59ep-6, -0x1.121158728f7d9p-6, -0x1.95f8e046e1028p-7, -0x1.0adb49aa58218p-7, -0x1.05d6ddcd62354p-8, 0x1.b92d68f6ea506p-15, 0x1.05f18cf5044fcp-8, 0x1.00bd2b727286ap-7, 0x1.7af38b3bafe69p-7, 0x1.f18c4da6bc197p-7, 0x1.323d73f131ab2p-6, 0x1.69dadb72803e1p-6, 0x1.9f9aea66aa7p-6, 0x1.d37b786fb272dp-6, 0x1.02bdc8f522d67p-5, 0x1.1acdb1bd83457p-5, 0x1.31ee12d3821bdp-5, 0x1.4820048193037p-5, 0x1.5d6511e4b3a34p-5, 0x1.71bf2fc8c9f25p-5, 0x1.8530b418e4ec8p-5, 0x1.97bc4d5d0da03p-5, 0x1.a964fab255eaep-5, 0x1.ba2e03b511337p-5, 0x1.ca1af0f7aaf95p-5, 0x1.d92f84c6b4ad5p-5, 0x1.e76fb41cbaae3p-5, 0x1.f4dfa0393ff04p-5, 0x1.00c1c8485a2d8p-4, 0x1.06aff69727de7p-4, 0x1.0c3c9cceea956p-4, 0x1.116a08017e40bp-4, 0x1.163a8e6dbdf2bp-4, 0x1.1ab08d704050cp-4, 0x1.1ece67a8baf77p-4, 0x1.2296833a1f4b6p-4, 0x1.260b483965d6cp-4, 0x1.292f1f2d82c56p-4, 0x1.2c046faf6434ep-4, 0x1.2e8d9f2c320cbp-4, 0x1.30cd0fb59ae8dp-4, 0x1.32c51ef5b39ccp-4, 0x1.34782534aee09p-4, 0x1.35e874750e56ap-4, 0x1.371857b666109p-4, 0x1.380a122a5cb69p-4, 0x1.38bfdeb66c654p-4, 0x1.393bef53298c5p-4, 0x1.39806c9d5f1f5p-4, 0x1.398f75825d101p-4, 0x1.396b1ed6a16bcp-4, 0x1.3915732c870d9p-4, 0x1.3890729a74152p-4, 0x1.37de128abd9c7p-4, 0x1.37003dc14c906p-4, 0x1.35f8d42bc7c53p-4, 0x1.34c9aaf1c69ddp-4, 0x1.33748c74e1ef6p-4, 0x1.31fb3855eb9a9p-4, 0x1.305f638a3ae41p-4, 0x1.2ea2b86cb075p-4, 0x1.2cc6d6e014083p-4, 0x1.2acd54593c89cp-4, 0x1.28b7bc1e60201p-4, 0x1.26878f3c7d09ap-4, 0x1.243e44f7b77a1p-4, 0x1.21dd4ab70efb8p-4, 0x1.1f66042d5a68dp-4, 0x1.1cd9cbcd2bbedp-4, 0x1.1a39f2b68e375p-4, 0x1.1787c0e96f63p-4, 0x1.14c475a4304cp-4, 0x1.11f14783274d1p-4, 0x1.0f0f648428a8fp-4, 0x1.0c1ff27ac2239p-4, 0x1.09240f2d2fa6fp-4, 0x1.061cd06438c53p-4, 0x1.030b44213866bp-4, 0x1.ffe0e20864509p-5, 0x1.f99aac6106cbep-5, 0x1.f345d6d7e02a5p-5, 0x1.ece4431b4bc8p-5, 0x1.e677c503df79cp-5, 0x1.e0022265b2f9dp-5, 0x1.d98513b571bebp-5, 0x1.d3024494d1c26p-5, 0x1.cc7b5380be627p-5, 0x1.c5f1d1cf63b31p-5, 0x1.bf6744870bfc5p-5, 0x1.b8dd248071f7dp-5, 0x1.b254ddfe79064p-5, 0x1.abcfd0cb7b8cfp-5, 0x1.a54f5110b420cp-5, 0x1.9ed4a75cec8aap-5, 0x1.9861100c87798p-5, 0x1.91f5bb6d2a263p-5, 0x1.8b93ceaa04f27p-5, 0x1.853c63d74a239p-5, 0x1.7ef08922c0389p-5, 0x1.78b140e1ffb8ap-5, 0x1.727f82a2602ebp-5, 0x1.6c5c3b47b4cbap-5, 0x1.66484c4308c1ap-5, 0x1.60448b4d7e954p-5, 0x1.5a51c34b96666p-5, 0x1.5470b50a9f058p-5, 0x1.4ea21686a0c65p-5, 0x1.48e6923894673p-5, 0x1.433ec7a1e604ep-5, 0x1.3dab4c55b420ap-5, 0x1.382cac0639449p-5, 0x1.32c3679ae9b6cp-5, 0x1.2d6ff4dbecbb6p-5, 0x1.2832bf7f25a33p-5, 0x1.230c29fc865fap-5, 0x1.1dfc8d3fcd2cfp-5, 0x1.190437cab4ddep-5, 0x1.14236db0ba3bep-5, 0x1.0f5a69cdc018fp-5, 0x1.0aa95e7815a1p-5, 0x1.061075290baeap-5, 0x1.018fcdad88e44p-5, 0x1.fa4efc8325048p-6, 0x1.f1af2951a4569p-6, 0x1.e9402e24229c1p-6, 0x1.e10207b66bc77p-6, 0x1.d8f4a19ae9573p-6, 0x1.d117d61ac5e4fp-6, 0x1.c96b702a4472p-6, 0x1.c1ef2d8b57f2bp-6, 0x1.baa2bf0691606p-6, 0x1.b385c718c1e97p-6, 0x1.ac97d932bd275p-6, 0x1.a5d87b1f34c79p-6, 0x1.9f472735fca8cp-6, 0x1.98e34d9f164fdp-6, 0x1.92ac5390ac895p-6, 0x1.8ca1922e126aep-6, 0x1.86c256d8b366fp-6, 0x1.810de5184500fp-6, 0x1.7b8378790690ep-6, 0x1.762244e1fe0c5p-6, 0x1.70e975c27587fp-6, 0x1.6bd82d810c978p-6, 0x1.66ed86514e39bp-6, 0x1.622893f8b6de7p-6, 0x1.5d88651a9f5d4p-6, 0x1.590c034c0bba7p-6, 0x1.54b27289c10b4p-6, 0x1.507ab11a3adc3p-6, 0x1.4c63b868b31e3p-6, 0x1.486c7e56077dbp-6, 0x1.4493f6191b64p-6, 0x1.40d9105fe2fe8p-6, 0x1.3d3abb2cc6693p-6, 0x1.39b7e2074081dp-6, 0x1.364f6ea15071bp-6, 0x1.330049a43e2c4p-6, 0x1.2fc95b32e753cp-6, 0x1.2ca98b2466821p-6, 0x1.299fc12a9cfb4p-6, 0x1.26aae55c65448p-6, 0x1.23c9e0bc480c2p-6, 0x1.20fb9d9c2f9c8p-6, 0x1.1e3f07b91278cp-6, 0x1.1b930c449245p-6, 0x1.18f69a367896cp-6, 0x1.1668a30458178p-6, 0x1.13e81b67d93c6p-6, 0x1.1173fbb7afb57p-6, 0x1.0f0b3fb29c0a2p-6, 0x1.0cace61ff7591p-6, 0x1.0a57f0ce3dafdp-6, 0x1.080b65225186ep-6, 0x1.05c64d32e9ac8p-6, 0x1.0387b899754a7p-6, 0x1.014ebc6c6cac5p-6, 0x1.fe34e55346b68p-7, 0x1.f9d3f30d2603ap-7, 0x1.f578e6bc330fep-7, 0x1.f1220edccf877p-7, 0x1.eccdc60ccd61fp-7, 0x1.e87a74c682436p-7, 0x1.e4269157a034cp-7, 0x1.dfd09e3bd0f2dp-7, 0x1.db77283a3eb5bp-7, 0x1.d718c5be98964p-7, 0x1.d2b417fd02621p-7, 0x1.ce47cd3f5a4e6p-7, 0x1.c9d2a2eff96ecp-7, 0x1.c5536625a73fap-7, 0x1.c0c8f22c796dp-7, 0x1.bc322e6013bd8p-7, 0x1.b78e0c94f983dp-7, 0x1.b2db893d12cfcp-7, 0x1.ae19ad0afd229p-7, 0x1.a9478f7f62adcp-7, 0x1.a46457b2f9805p-7, 0x1.9f6f3ca5756d7p-7, 0x1.9a6783214d8b3p-7, 0x1.954c7b6a731cep-7, 0x1.901d80315dfbp-7, 0x1.8ad9f6a5bad61p-7, 0x1.8581503ab3f1bp-7, 0x1.80130c945909dp-7, 0x1.7a8ebaa4b9c93p-7, 0x1.74f3f844ae525p-7, 0x1.6f427071b905ep-7, 0x1.6979d91fd34b7p-7, 0x1.6399f1c1d5b6fp-7, 0x1.5da2833837b1bp-7, 0x1.57936108973p-7, 0x1.516c6b15b2506p-7, 0x1.4b2d8edb26867p-7, 0x1.44d6c77447195p-7, 0x1.3e681c594ca5ep-7, 0x1.37e19f5879ecap-7, 0x1.31436ac003792p-7, 0x1.2a8da07ba3e9dp-7, 0x1.23c06a78369d9p-7, 0x1.1cdbfbfcf527dp-7, 0x1.15e092dbf91afp-7, 0x1.0ece78cc213eep-7, 0x1.07a60287363e7p-7, 0x1.00678ea66df2dp-7, 0x1.f2270743f1414p-8, 0x1.e3549c635a593p-8, 0x1.d458c06302077p-8, 0x1.c5346291c7f39p-8, 0x1.b5e87f78be23p-8, 0x1.a67623d1328c6p-8, 0x1.96de6e5b7833cp-8, 0x1.87228f6302d92p-8, 0x1.7743c689ef10cp-8, 0x1.67435f22328c4p-8, 0x1.5722ac72650fp-8, 0x1.46e3075c256d6p-8, 0x1.3685cde47c72fp-8, 0x1.260c64cc53b6bp-8, 0x1.15783a4077c1ap-8, 0x1.04cac854f13f8p-8, 0x1.e80b2bf5e3512p-9, 0x1.c6546baf637adp-9, 0x1.a47486c990803p-9, 0x1.826ebdc477173p-9, 0x1.60465427b2d6bp-9, 0x1.3dfe8c4f3083bp-9, 0x1.1b9aa79aac192p-9, 0x1.f23bd4ae03948p-10, 0x1.ad17430d59423p-10, 0x1.67ce510cd7ce6p-10, 0x1.2267d450a300dp-10, 0x1.b9d57d3d194e9p-11, 0x1.2ebc22cf62d64p-11, 0x1.4723399a7c8cbp-12, 0x1.863d2bb3e48e4p-15, -0x1.cafe0735490cdp-13, -0x1.fb95aecd7c57fp-12, -0x1.88b0c7bc2b957p-11, -0x1.09b1fc479a3aap-10, -0x1.4eeb822502326p-10, -0x1.93fe35d1a65d4p-10, -0x1.d8e34b2d1a95ep-10, -0x1.0ec9f8c4b0ec7p-9, -0x1.3104b055d1ffbp-9, -0x1.531e736ee9d98p-9, -0x1.7513fa30ddd53p-9, -0x1.96e21078195c5p-9, -0x1.b8859537fa29fp-9, -0x1.d9fb76e8ddd89p-9, -0x1.fb40ae3b3a2dbp-9, -0x1.0e291c945e012p-8, -0x1.1e968c1e83a82p-8, -0x1.2ee7274f0ff5cp-8, -0x1.3f197285ac3f3p-8, -0x1.4f2bf76d40cf8p-8, -0x1.5f1d47893559dp-8, -0x1.6eebfe676fd77p-8, -0x1.7e96c2dfeed53p-8, -0x1.8e1c472ab4175p-8, -0x1.9d7b47f2fdcf1p-8, -0x1.acb28aae9d15cp-8, -0x1.bbc0dbdbbd3e2p-8, -0x1.caa50daa842ddp-8, -0x1.d95df788e2e79p-8, -0x1.e7ea76101cc3cp-8, -0x1.f6496cfe0ac29p-8, -0x1.023ce3d75525ep-7, -0x1.093d3d7b539f9p-7, -0x1.10254310900cfp-7, -0x1.16f479c643d3dp-7, -0x1.1daa6c5db2382p-7, -0x1.2446aae92aef6p-7, -0x1.2ac8ca7980c99p-7, -0x1.31306481a6f15p-7, -0x1.377d168ec70cdp-7, -0x1.3dae82051adcbp-7, -0x1.43c44c1cc51aap-7, -0x1.49be1e0f6a85ep-7, -0x1.4f9ba55d15fcp-7, -0x1.555c940ff7d58p-7, -0x1.5b00a1012a0bcp-7, -0x1.6087880294d7cp-7, -0x1.65f109ecbf6d8p-7, -0x1.6b3cec8fefa0fp-7, -0x1.706afa86dbb88p-7, -0x1.757b02f6b5075p-7, -0x1.7a6cd94e4345ap-7, -0x1.7f405514334dfp-7, -0x1.83f551d03e106p-7, -0x1.888baf0ed61bp-7, -0x1.8d03507538854p-7, -0x1.915c1dd8bc34cp-7, -0x1.9596034edc95ap-7, -0x1.99b0f1311c9e2p-7, -0x1.9dacdc1507139p-7, -0x1.a189bcb99834cp-7, -0x1.a5478fec1c54fp-7, -0x1.a8e656673ede3p-7, -0x1.ac6614af94bfep-7, -0x1.afc6d2f4195c4p-7, -0x1.b3089cf4f1465p-7, -0x1.b62b81f4f644ap-7, -0x1.b92f94a0af8a4p-7, -0x1.bc14eb721f32bp-7, -0x1.bedb9fccf20c7p-7, -0x1.c183cece30d07p-7, -0x1.c40d98c125536p-7, -0x1.c67921234492ep-7, -0x1.c8c68e89a9884p-7, -0x1.caf60a95ca692p-7, -0x1.cd07c1e8ac48cp-7, -0x1.cefbe414fea8ap-7, -0x1.d0d2a38b9fbbep-7, -0x1.d28c35803bacfp-7, -0x1.d428d1c7e9a0ep-7, -0x1.d5a8b2b6cccf2p-7, -0x1.d70c150180af9p-7, -0x1.d85337a6090a9p-7, -0x1.d97e5bdcd848ap-7, -0x1.da8dc51078756p-7, -0x1.db81b8d9282a1p-7, -0x1.dc5a7ef7bdb14p-7, -0x1.dd18614b89759p-7, -0x1.ddbbabbf23739p-7, -0x1.de44ac2a51d97p-7, -0x1.deb3b22b59546p-7, -0x1.df090efcac803p-7, -0x1.df45154f246c4p-7, -0x1.df6819302e2b1p-7, -0x1.df726fffbcbb6p-7, -0x1.df64707519e4bp-7, -0x1.df3e72aa2cbd9p-7, -0x1.df00d02172149p-7, -0x1.deabe3bafadfdp-7, -0x1.de4009931e5c3p-7, -0x1.ddbd9eccbb8e8p-7, -0x1.dd250153e8cf5p-7, -0x1.dc768fa89d718p-7, -0x1.dbb2a8c0e5c93p-7, -0x1.dad9ac0a9fe6dp-7, -0x1.d9ebf98a21b48p-7, -0x1.d8e9f207f3818p-7, -0x1.d7d3f737e0d08p-7, -0x1.d6aa6bc41e7f8p-7, -0x1.d56db32e8e25fp-7, -0x1.d41e31873c122p-7, -0x1.d2bc4b076e79ep-7, -0x1.d14863b86d30fp-7, -0x1.cfc2dee1890b1p-7, -0x1.ce2c1f8100082p-7, -0x1.cc8487e3102c4p-7, -0x1.cacc7a4676f84p-7, -0x1.c9045940431e5p-7, -0x1.c72c881f47eb7p-7, -0x1.c5456b18c6cbp-7, -0x1.c34f672482149p-7, -0x1.c14ae18691867p-7, -0x1.bf383f1eef2a6p-7, -0x1.bd17e3ac45fp-7, -0x1.baea313949222p-7, -0x1.b8af87e3837b4p-7, -0x1.b66846143ee26p-7, -0x1.b414c9231fc05p-7, -0x1.b1b56e386b24bp-7, -0x1.af4a932d52425p-7, -0x1.acd49722d26ebp-7, -0x1.aa53da96bdbf8p-7, -0x1.a7c8bede8929fp-7, -0x1.a533a527a3f29p-7, -0x1.a294ed269f013p-7, -0x1.9fecf3e378b28p-7, -0x1.9d3c12ed96595p-7, -0x1.9a82a03fd55f2p-7, -0x1.97c0eee94edc6p-7, -0x1.94f7505a66965p-7, -0x1.92261605af0cbp-7, -0x1.8f4d92e4bce0cp-7, -0x1.8c6e1c7194d6ep-7, -0x1.89880ac2de437p-7, -0x1.869bb7affedccp-7, -0x1.83a97d233bddcp-7, -0x1.80b1b2fbd0dbdp-7, -0x1.7db4ad0628b43p-7, -0x1.7ab2b99554c75p-7, -0x1.77ac212855e11p-7, -0x1.74a12747cf6ddp-7, -0x1.71920c7a8b1cp-7, -0x1.6e7f10e3c4732p-7, -0x1.6b6876ead6ceap-7, -0x1.684e853eb3a63p-7, -0x1.653187a6cf05dp-7, -0x1.6211ce57c515cp-7, -0x1.5eefabdc0c9afp-7, -0x1.5bcb71fab606cp-7, -0x1.58a56e440b6eep-7, -0x1.557de71d8e948p-7, -0x1.525519f9ca547p-7, -0x1.4f2b3b3e5fd87p-7, -0x1.4c0078446a268p-7, -0x1.48d4fa45cdeb2p-7, -0x1.45a8eb055f6bbp-7, -0x1.427c78bf98984p-7, -0x1.3f4fd94afa80ap-7, -0x1.3c234b569188ep-7, -0x1.38f7156f6d82p-7, -0x1.35cb82ebce5e3p-7, -0x1.32a0df529e6cbp-7, -0x1.2f77712a1f4e2p-7, -0x1.2c4f753d78f77p-7, -0x1.29291b5aaca17p-7, -0x1.2604854e3e679p-7, -0x1.22e1c87ffdbe7p-7, -0x1.1fc0f213ad18ap-7, -0x1.1ca20ce532115p-7, -0x1.1985283c3ec0ep-7, -0x1.166a5dce04cbep-7, -0x1.1351d5af5b7c5p-7, -0x1.103bc742e880ap-7, -0x1.0d2876dbaaa0ep-7, -0x1.0a1830898decfp-7, -0x1.070b411e4af46p-7, -0x1.0401eec4b1118p-7, -0x1.00fc727e0d57p-7, -0x1.fbf5e734e68fep-8, -0x1.f5fb0bd226d17p-8, -0x1.f00856061b6fcp-8, -0x1.ea1dad65c0ddap-8, -0x1.e43aec09a5b25p-8, -0x1.de5fefff55f33p-8, -0x1.d88cacf5d7c2bp-8, -0x1.d2c13a72041dap-8, -0x1.ccfddb218399ep-8, -0x1.c742fb3e132adp-8, -0x1.c19126160785dp-8, -0x1.bbe8f50007034p-8, -0x1.b64afba664788p-8, -0x1.b0b7b59d5153ep-8, -0x1.ab2f789be6012p-8, -0x1.a5b26cd21ddbcp-8, -0x1.a0408b7eba7f9p-8, -0x1.9ad9a31d359d7p-8, -0x1.957d6088a55e4p-8, -0x1.902b5ca6605aep-8, -0x1.8ae32e3794629p-8, -0x1.85a47e0f83659p-8, -0x1.806f1af112d9fp-8, -0x1.7b4308b6354d2p-8, -0x1.762086926df9cp-8, -0x1.710809d4d540dp-8, -0x1.6bfa2d89074b5p-8, -0x1.66f79aa356557p-8, -0x1.6200eea870396p-8, -0x1.5d16a70c55929p-8, -0x1.58391517349c2p-8, -0x1.53685c189956dp-8, -0x1.4ea475c60029ap-8, -0x1.49ed3a365bac3p-8, -0x1.4542674d8717p-8, -0x1.40a3a6f12e989p-8, -0x1.3c1095bf0297p-8, -0x1.3788ccfc0d885p-8, -0x1.330bf129f8b3cp-8, -0x1.2e99c3b1cb969p-8, -0x1.2a323308e7377p-8, -0x1.25d5634d084fbp-8, -0x1.2183aa8db923ep-8, -0x1.1d3d7f9cb679cp-8, -0x1.19035f111c0a2p-8, -0x1.14d5ae311e01cp-8, -0x1.10b4a4de497a6p-8, -0x1.0ca0456856b74p-8, -0x1.089863e9c0927p-8, -0x1.049cb89dd5574p-8, -0x1.00acf452e7f09p-8, -0x1.f9919bdc293a2p-9, -0x1.f1e0086f47b4cp-9, -0x1.ea44ab9adcaefp-9, -0x1.e2beed4b581cp-9, -0x1.db4e18201fbbep-9, -0x1.d3f169be5c56cp-9, -0x1.cca83a6891827p-9, -0x1.c5722eba9aaa7p-9, -0x1.be4f5fe04c801p-9, -0x1.b74068019dcp-9, -0x1.b046497e0bef8p-9, -0x1.a962351984dd6p-9, -0x1.a29540998a5e5p-9, -0x1.9be026e46c86ap-9, -0x1.9543287f46eccp-9, -0x1.8ebe17ad0916ap-9, -0x1.885089bbea44p-9, -0x1.81fa176d29a33p-9, -0x1.7bba8ee32ceb1p-9, -0x1.7591fee57e77p-9, -0x1.6f8094df324a9p-9, -0x1.69865cdb6fc1ep-9, -0x1.63a3022f2430bp-9, -0x1.5dd5afe6f7adp-9, -0x1.581d2144a2defp-9, -0x1.5277dd4f7534cp-9, -0x1.4ce4878790d4p-9, -0x1.47622985ae533p-9, -0x1.41f05d1f4f276p-9, -0x1.3c8f498c23262p-9, -0x1.373f75406e87bp-9, -0x1.32017dcc6591ep-9, -0x1.2cd5d0b0c1ap-9, -0x1.27bc7ee89b0d5p-9, -0x1.22b53a0bc4b7bp-9, -0x1.1dbf7a9b96a4fp-9, -0x1.18dac19fe83d7p-9, -0x1.1406dd66931c4p-9, -0x1.0f4415112cb62p-9, -0x1.0a9323c2f5076p-9, -0x1.05f4fcc72046p-9, -0x1.016a6d7877d92p-9, -0x1.f9e7848eb118dp-10, -0x1.f121343d8c87ep-10, -0x1.e87ff31294adcp-10, -0x1.e001213aa5defp-10, -0x1.d7a2234789fd2p-10, -0x1.cf60f165ea2e4p-10, -0x1.c73c682ec2dc1p-10, -0x1.bf34545f586a7p-10, -0x1.b7493f0d4027p-10, -0x1.af7c0cfe5ae8bp-10, -0x1.a7cd9392e822p-10, -0x1.a03e47ab88697p-10, -0x1.98ce18e91d6e1p-10, -0x1.917c76edb2c7dp-10, -0x1.8a48789421faap-10, -0x1.83312153e3354p-10, -0x1.7c35bc20fc387p-10, -0x1.75562ef6dc89fp-10, -0x1.6e9318e31457dp-10, -0x1.67ed96758c8abp-10, -0x1.6166b37be18f3p-10, -0x1.5afec697d74d6p-10, -0x1.54b50e7ea7d8bp-10, -0x1.4e87cced97a6ap-10, -0x1.4874ce557ec7ap-10, -0x1.427a048e0973bp-10, -0x1.3c95db03a41b3p-10, -0x1.36c739959dfddp-10, -0x1.310d73cea9de2p-10, -0x1.2b68547d5425fp-10, -0x1.25d83227bd95ap-10, -0x1.205dde2a9e404p-10, -0x1.1afa647fcedf7p-10, -0x1.15aeb8c5b52fp-10, -0x1.107b70356c752p-10, -0x1.0b609ae828948p-10, -0x1.065dc4ed374e7p-10, -0x1.01721be76966p-10, -0x1.f9394f0f0e155p-11, -0x1.efb900c51d375p-11, -0x1.e661f6ad5deb1p-11, -0x1.dd338b3ad3461p-11, -0x1.d42dcb99a5c6cp-11, -0x1.cb512427efa7ep-11, -0x1.c29dc204acb7bp-11, -0x1.ba1302655ece2p-11, -0x1.b1af6b2b8153dp-11, -0x1.a9714aa8f821bp-11, -0x1.a15761aa13e7p-11, -0x1.9960b91e1d988p-11, -0x1.918ba76d3e4afp-11, -0x1.89d540361fc29p-11, -0x1.823a3e4cc39a8p-11, -0x1.7ab8d2a4df631p-11, -0x1.7351add2a4d8dp-11, -0x1.6c0760f523843p-11, -0x1.64dcb4ba7466dp-11, -0x1.5dd3421d22cfp-11, -0x1.56eb3504e6c76p-11, -0x1.502431089c54p-11, -0x1.497e6f281a9e4p-11, -0x1.42fb08a971c76p-11, -0x1.3c9b30a68c9fep-11, -0x1.365f2d3d9614ep-11, -0x1.3045f6eadaa64p-11, -0x1.2a4dc6c8a7ca5p-11, -0x1.24750a135f99ep-11, -0x1.1ebb0c0e69a7p-11, -0x1.191fedc780c44p-11, -0x1.13a3f0e888b3cp-11, -0x1.0e468e3773d4dp-11, -0x1.0906207ace1f9p-11, -0x1.03e08f6d7c5e7p-11, -0x1.fda866fbde24bp-12, -0x1.f3befe5cfe0d6p-12, -0x1.e9fee2c2b31b3p-12, -0x1.e05e423fb5838p-12, -0x1.d6d448e8d7cedp-12, -0x1.cd5fc2874606dp-12, -0x1.c408268a1b18fp-12, -0x1.bad7979dbb222p-12, -0x1.b1d3b54f15c2cp-12, -0x1.a8fb6c2c7c36bp-12, -0x1.a04aa5a307503p-12, -0x1.97bf97e107926p-12, -0x1.8f5cb1ea69ccdp-12, -0x1.87261673fd0aap-12, -0x1.7f1ddc0088e98p-12, -0x1.77425f45415eep-12, -0x1.6f8f1bb223f7cp-12, -0x1.67feaa340eddp-12, -0x1.608cafcfba47ep-12, -0x1.59373bf1dec65p-12, -0x1.51ff6d0672afdp-12, -0x1.4ae92f1509c3fp-12, -0x1.43f9da9b4892dp-12, -0x1.3d35d79dac147p-12, -0x1.369e77c6da689p-12, -0x1.303200d78fda7p-12, -0x1.29ee481b5b286p-12, -0x1.23d2a5491e45fp-12, -0x1.1ddd98c98e63ap-12, -0x1.18089dcd389cep-12, -0x1.1249e5d96d652p-12, -0x1.0c9d0503a6741p-12, -0x1.07079c18ae82fp-12, -0x1.0192af0398536p-12, -0x1.f88176063cc2p-13, -0x1.ee17c45bad715p-13, -0x1.e3d9858c2895p-13, -0x1.d9c29cfd5014cp-13, -0x1.cfd90ec8c8275p-13, -0x1.c622cf986202ep-13, -0x1.bc9f89b3a795bp-13, -0x1.b34a4db735f06p-13, -0x1.aa1da83c2ade3p-13, -0x1.a115c17d4cd46p-13, -0x1.9830822d3432bp-13, -0x1.8f6d30a1093e6p-13, -0x1.86cc47cca24c9p-13, -0x1.7e4f751186456p-13, -0x1.75f9771c1dd4cp-13, -0x1.6dcdbfb057bf3p-13, -0x1.65cfae03b513bp-13, -0x1.5e00ffca37354p-13, -0x1.565fc1dad9fe4p-13, -0x1.4ee613b77214fp-13, -0x1.478e549da8cap-13, -0x1.40591d3e4391ap-13, -0x1.394d1aa9e2a8cp-13, -0x1.326dbd16f8b26p-13, -0x1.2bb4170d8e48cp-13, -0x1.25184c59c0aeap-13, -0x1.1e9f89826826dp-13, -0x1.18542d0ab30fep-13, -0x1.123350c07cccep-13, -0x1.0c2dfe6be84c2p-13, -0x1.063bab11ac89bp-13, -0x1.0061c82ccf95bp-13, -0x1.f550c9aa5eccap-14, -0x1.ea20f05776b0ap-14, -0x1.df2c470363cf9p-14, -0x1.d46c1d59aa65p-14, -0x1.c9de99507e04cp-14, -0x1.bf854cb4704fap-14, -0x1.b562d08ff7e46p-14, -0x1.ab7918a502326p-14, -0x1.a1c8b0b886e47p-14, -0x1.9850a4f31150cp-14, -0x1.8f0eac9711425p-14, -0x1.85ff4cc353eefp-14, -0x1.7d1e245f88833p-14, -0x1.7466dcdfe0188p-14, -0x1.6bd6ada5fe30fp-14, -0x1.636d0c476415ep-14, -0x1.5b29cfa246621p-14, -0x1.530a175bffb17p-14, -0x1.4b092f90f2bb1p-14, -0x1.432775a7e83e8p-14, -0x1.3b7048c2cd056p-14, -0x1.33f30836f989cp-14, -0x1.2cacece3ab67bp-14, -0x1.2586b14b70103p-14, -0x1.1e78d00df99cdp-14, -0x1.178fd51b308ccp-14, -0x1.10c9b69f929c3p-14, -0x1.0a1d07648ac5bp-14, -0x1.03951b3654bbdp-14, -0x1.fa84940921d95p-15, -0x1.ee45044302d4dp-15, -0x1.e2520fdcf0a42p-15, -0x1.d697cecbf72c9p-15, -0x1.cb0d8a460e5e5p-15, -0x1.bfb17a0c2cdaap-15, -0x1.b484d1b3dd808p-15, -0x1.a989b9af9c452p-15, -0x1.9ec25b7978ed9p-15, -0x1.943059cbf7b21p-15, -0x1.89d4858ed504p-15, -0x1.7faed2f0c0769p-15, -0x1.75be7e03a837ep-15, -0x1.6c02378bf6c6bp-15, -0x1.627856d63c659p-15, -0x1.591f3f2a069dp-15, -0x1.4ff63e8e94537p-15, -0x1.46fea9b84c6dbp-15, -0x1.3e3c34a75c271p-15, -0x1.35b2ae43635dcp-15, -0x1.2d61649174af8p-15, -0x1.25419fae037abp-15, -0x1.1d4cd92f80211p-15, -0x1.158693082f25ep-15, -0x1.0dff085e522e4p-15, -0x1.06bc7ed4ba201p-15, }}, 
      {{0x1.a7073fb225d94p-9, 0x1.9cde915addce2p-8, 0x1.296e70e410fafp-7, 0x1.76de8f602ed15p-7, 0x1.b3b035d2c8fb5p-7, 0x1.dda7defc939eep-7, 0x1.f352b7a0d5a21p-7, 0x1.f3f29bd961993p-7, 0x1.df655e74a2c6bp-7, 0x1.b60a8976a17acp-7, 0x1.78a9cffc8647ap-7, 0x1.285b8d4670bf1p-7, 0x1.8ce7f6ae819c3p-8, 0x1.51c54ed2f2d0ep-9, -0x1.609a06cb3c0a2p-10, -0x1.72e4551e87032p-8, -0x1.51ff985d19084p-7, -0x1.f413ad9ba66b1p-7, -0x1.4f0874be3b4a3p-6, -0x1.a73484e9885c7p-6, -0x1.00e829c4810fp-5, -0x1.2f14704668ed3p-5, -0x1.5dcb5b9aaaf36p-5, -0x1.8cbf362a09524p-5, -0x1.bba86aad706d8p-5, -0x1.ea4583b3efb64p-5, -0x1.0c2d8aa7dee7bp-4, -0x1.22d9cb06f28e9p-4, -0x1.390f958d2f22ep-4, -0x1.4eb9b588c564p-4, -0x1.63c58d07b26dbp-4, -0x1.7822f09414011p-4, -0x1.8bc401a5e39bep-4, -0x1.9e9d08556ea35p-4, -0x1.b0a44d14995edp-4, -0x1.c1d1f2cea0845p-4, -0x1.d21fd1d8878dcp-4, -0x1.e1895409ef412p-4, -0x1.f00b520acf841p-4, -0x1.fda3f2508b56p-4, -0x1.052944c827a72p-3, -0x1.0b0bbe7cc0335p-3, -0x1.107a130e4adf2p-3, -0x1.15755c54cb673p-3, -0x1.19ff14d9fb7a3p-3, -0x1.1e190c758f101p-3, -0x1.21c55da1c7001p-3, -0x1.250663a6358d6p-3, -0x1.27deb188decbep-3, -0x1.2a5109b92888bp-3, -0x1.2c60565ea5e1dp-3, -0x1.2e0fa2552fb93p-3, -0x1.2f6212b72e06ep-3, -0x1.305ae130155cfp-3, -0x1.30fd56ae61a45p-3, -0x1.314cc6a06576fp-3, -0x1.314c8a8490f1cp-3, -0x1.30fffdf966cf1p-3, -0x1.306a7b6f2bd55p-3, -0x1.2f8f59371d3dp-3, -0x1.2e71e6e25c43ap-3, -0x1.2d156a9a1bf3bp-3, -0x1.2b7d1ec26c856p-3, -0x1.29ac302767402p-3, -0x1.27a5bca6473acp-3, -0x1.256cd22ca0a33p-3, -0x1.23046d8331fa8p-3, -0x1.206f79166fe5ep-3, -0x1.1db0cbb7a347dp-3, -0x1.1acb27ddd0e69p-3, -0x1.17c13b460af0ep-3, -0x1.14959eeae101bp-3, -0x1.114ad6f45459ap-3, -0x1.0de3528f2bef7p-3, -0x1.0a616b943f907p-3, -0x1.06c76637eb325p-3, -0x1.031770de872dep-3, -0x1.fea748699cb42p-4, -0x1.f6fc06ef74644p-4, -0x1.ef30f9e7a0b7dp-4, -0x1.e749d4e3f5d6bp-4, -0x1.df4a234f9270dp-4, -0x1.d735491153abbp-4, -0x1.cf0e831aaa7e4p-4, -0x1.c6d8e7e8225b6p-4, -0x1.be976818bdbe4p-4, -0x1.b64ccf29e708fp-4, -0x1.adfbc4594aff3p-4, -0x1.a5a6cbae5125ep-4, -0x1.9d5047167678p-4, -0x1.94fa77905707ep-4, -0x1.8ca77e48512e9p-4, -0x1.84595dc23def1p-4, -0x1.7c11fac87d7e2p-4, -0x1.73d31d8350e6dp-4, -0x1.6b9e72564deadp-4, -0x1.63758ad25247bp-4, -0x1.5b59dea1ca0cep-4, -0x1.534ccc7680886p-4, -0x1.4b4f9aef8aa15p-4, -0x1.436379a37112dp-4, -0x1.3b8981ff6b689p-4, -0x1.33c2b847821dfp-4, -0x1.2c100c852000fp-4, -0x1.24725b7b7e6f3p-4, -0x1.1cea6f7ecba7ep-4, -0x1.1579016175517p-4, -0x1.0e1eb94109fe8p-4, -0x1.06dc2f54813a3p-4, -0x1.ff63d95e7c37dp-5, -0x1.f140d7ff751e8p-5, -0x1.e350347f5deb9p-5, -0x1.d592aecf9929bp-5, -0x1.c808ee33143b5p-5, -0x1.bab382745dfbap-5, -0x1.ad92e5403b2d1p-5, -0x1.a0a77b3df71c5p-5, -0x1.93f1954336c51p-5, -0x1.87717170283fap-5, -0x1.7b273c3b4113fp-5, -0x1.6f13117b9e76cp-5, -0x1.6334fd5fb5b79p-5, -0x1.578cfd5c9eb4dp-5, -0x1.4c1b011440e33p-5, -0x1.40deeb2b434bbp-5, -0x1.35d89222126dcp-5, -0x1.2b07c0fb8aed8p-5, -0x1.206c38366facdp-5, -0x1.1605ae46cdaffp-5, -0x1.0bd3d06030116p-5, -0x1.01d6430a5d3cbp-5, -0x1.f019459b7074cp-6, -0x1.dced096c38dc8p-6, -0x1.ca26edcd9c196p-6, -0x1.b7c602337f12dp-6, -0x1.a5c94a41d98a7p-6, -0x1.942fbeaddd262p-6, -0x1.82f84e22e8f88p-6, -0x1.7221de1662b22p-6, -0x1.61ab4b7d0f007p-6, -0x1.51936b9d2b335p-6, -0x1.41d90cac32c93p-6, -0x1.327af675d6d13p-6, -0x1.2377eb081d6aep-6, -0x1.14cea7323ad74p-6, -0x1.067de32061fdep-6, -0x1.f108a5bc9a461p-7, -0x1.d5c14d9a36a2bp-7, -0x1.bb23187cc9fa7p-7, -0x1.a12b5b30580e8p-7, -0x1.87d7662747bb8p-7, -0x1.6f2486001654dp-7, -0x1.5710043eb2b19p-7, -0x1.3f97280ac344p-7, -0x1.28b736f62f307p-7, -0x1.126d7593f8878p-7, -0x1.f96e501877dd2p-8, -0x1.cf2325276b503p-8, -0x1.a5f3f4cee32f2p-8, -0x1.7ddb4bbad9f97p-8, -0x1.56d3ba0f346cep-8, -0x1.30d7d473ea741p-8, -0x1.0be234dcf7afap-8, -0x1.cfdaf7dd8215ap-9, -0x1.89e8a0ef5e678p-9, -0x1.45e2c2f756c04p-9, -0x1.03becd2f662b3p-9, -0x1.86e48221b50c4p-10, -0x1.09e56715806c5p-10, -0x1.20d73a31db30ap-11, -0x1.a62a5172b77e7p-14, 0x1.612744f5f80f9p-12, 0x1.8f5bcd1cac13ap-11, 0x1.33dd858364b0fp-10, 0x1.9cec67ad70a04p-10, 0x1.0177060804e67p-9, 0x1.32fadcf51e372p-9, 0x1.630b3f1e053adp-9, 0x1.91b19494449e2p-9, 0x1.bef726467d15bp-9, 0x1.eae51cbb97f83p-9, 0x1.0ac24087606eap-8, 0x1.1f6f1d7885d05p-8, 0x1.337d8787968f8p-8, 0x1.46f1d079a0d52p-8, 0x1.59d037fd166cp-8, 0x1.6c1cec5890eb1p-8, 0x1.7ddc09b5f1f34p-8, 0x1.8f1199e890227p-8, 0x1.9fc19425c053ep-8, 0x1.afefdd04da698p-8, 0x1.bfa0467198f9ep-8, 0x1.ced68f67d7a12p-8, 0x1.dd9663ac12af4p-8, 0x1.ebe35b8df33d6p-8, 0x1.f9c0fc5fa9d99p-8, 0x1.03995be584278p-7, 0x1.0a1df6365efcap-7, 0x1.106ff29cae5f4p-7, 0x1.1690ecb84874dp-7, 0x1.1c8276685b6c4p-7, 0x1.224617e591b35p-7, 0x1.27dd4fab6cd86p-7, 0x1.2d49929a403e6p-7, 0x1.328c4bb4945f6p-7, 0x1.37a6dc51c9492p-7, 0x1.3c9a9c3f8404p-7, 0x1.4168d9d54af6p-7, 0x1.4612da01216b8p-7, 0x1.4a99d819dafa9p-7, 0x1.4eff0626b379p-7, 0x1.53438cd96b8c4p-7, 0x1.57688bcf4ade8p-7, 0x1.5b6f19a12289p-7, 0x1.5f5843e5f36f5p-7, 0x1.63250f3e0d5dap-7, 0x1.66d6777173009p-7, 0x1.6a6d6fa8c1a26p-7, 0x1.6deae28ff12e9p-7, 0x1.714fb2713642cp-7, 0x1.749cb941c34a2p-7, 0x1.77d2c8ba20591p-7, 0x1.7af2aa8121cf6p-7, 0x1.7dfd205fb4a1bp-7, 0x1.80f2e468655fdp-7, 0x1.83d4a91a1ed0bp-7, 0x1.86a319716779bp-7, 0x1.895ed90fa246ap-7, 0x1.8c088459b4a7p-7, 0x1.8ea0b0c9bf2efp-7, 0x1.9127ecfae42fdp-7, 0x1.939ec0db58afp-7, 0x1.9605adc6b6e87p-7, 0x1.985d2eab52625p-7, 0x1.9aa5b839ce293p-7, 0x1.9cdfb91811c5ap-7, 0x1.9f0b9a0ddc3b1p-7, 0x1.a129be282cee5p-7, 0x1.a33a82d9374f7p-7, 0x1.a53e401de55ebp-7, 0x1.a73548ac0e10ep-7, 0x1.a91fea28d5a8p-7, 0x1.aafe6d417354ap-7, 0x1.acd11627227a5p-7, 0x1.ae98240d23e61p-7, 0x1.b053d1e282697p-7, 0x1.b2045632eb426p-7, 0x1.b3a9e36627a83p-7, 0x1.b544a7f330b71p-7, 0x1.b6d4ce8ac0bdep-7, 0x1.b85a7e36a50eap-7, 0x1.b9d5da745de95p-7, 0x1.bb470351d2632p-7, 0x1.bcae159a43193p-7, 0x1.be0b2b03bcf4fp-7, 0x1.bf5e5a622fe87p-7, 0x1.c0a7b7cea724bp-7, 0x1.c1e754c2e3877p-7, 0x1.c31d40310d647p-7, 0x1.c4498693c7af8p-7, 0x1.c56c32205d18bp-7, 0x1.c6854ae55db8p-7, 0x1.c794d6fee2f76p-7, 0x1.c89adabc93919p-7, 0x1.c99758d1de79p-7, 0x1.ca8a5207bd14fp-7, 0x1.cb73c606271a2p-7, 0x1.cc53b2b7c5777p-7, 0x1.cd2a14c4a2b87p-7, 0x1.cdf6e7ac69d45p-7, 0x1.ceba25eacb001p-7, 0x1.cf73c9161c2afp-7, 0x1.d023c9f1edebbp-7, 0x1.d0ca207b42b05p-7, 0x1.d166c3f5d4258p-7, 0x1.d1f9ab010116cp-7, 0x1.d282cbb616a8cp-7, 0x1.d3021bcaf9d94p-7, 0x1.d37790b27dacbp-7, 0x1.d3e31fb38c736p-7, 0x1.d444bdf69e732p-7, 0x1.d49c608dbc724p-7, 0x1.d4e9fc7cc739bp-7, 0x1.d52d86c81e3c4p-7, 0x1.d566f48b827d9p-7, 0x1.d5963b1559bdfp-7, 0x1.d5bb4fff0bf6cp-7, 0x1.d5d629434faa9p-7, 0x1.d5e6bd46299ffp-7, 0x1.d5ed02cd094c2p-7, 0x1.d5e8f140f99ebp-7, 0x1.d5da8035bb6c2p-7, 0x1.d5c1a7f61ce5ap-7, 0x1.d59e615873691p-7, 0x1.d570a5de5de89p-7, 0x1.d5386fc5d12f8p-7, 0x1.d4f5ba1343876p-7, 0x1.d4a8809317d1fp-7, 0x1.d450bfd9886cfp-7, 0x1.d3ee7542829abp-7, 0x1.d3819ef28647cp-7, 0x1.d30a3be1bb4fap-7, 0x1.d2884be8b298bp-7, 0x1.d1fbcfceda115p-7, 0x1.d164c95400da7p-7, 0x1.d0c33b3615fc6p-7, 0x1.d017292f3a69cp-7, 0x1.cf6097f0d3fdap-7, 0x1.ce9f8d1f928acp-7, 0x1.cdd40f5108d6p-7, 0x1.ccfe260f8e317p-7, 0x1.cc1dd9df8e02bp-7, 0x1.cb33345134789p-7, 0x1.ca3e3ff52804bp-7, 0x1.c93f087082598p-7, 0x1.c8359a7093993p-7, 0x1.c72203a6ba5c4p-7, 0x1.c60452bfaa304p-7, 0x1.c4dc9761b8b6dp-7, 0x1.c3aae21412631p-7, 0x1.c26f44675c61fp-7, 0x1.c129d0d4b85a4p-7, 0x1.bfda9acf836e8p-7, 0x1.be81b6c6ac3a8p-7, 0x1.bd1f3a2155838p-7, 0x1.bbb33b38ca1b4p-7, 0x1.ba3dd14fe3bd8p-7, 0x1.b8bf148946289p-7, 0x1.b7371ddebc20bp-7, 0x1.b5a6071b33c5p-7, 0x1.b40bead72ffd7p-7, 0x1.b268e478fb24dp-7, 0x1.b0bd1034025f5p-7, 0x1.af088b08460d1p-7, 0x1.ad4b72bf0bf51p-7, 0x1.ab85e5e4d3288p-7, 0x1.a9b803c0c0814p-7, 0x1.a7e1ec4ae7cd6p-7, 0x1.a603c0224a62dp-7, 0x1.a41da084206f1p-7, 0x1.a22faf452c697p-7, 0x1.a03a0eccd0e1cp-7, 0x1.9e3ce2129fa05p-7, 0x1.9c384c9aee431p-7, 0x1.9a2c727551cddp-7, 0x1.98197836468e3p-7, 0x1.95ff82f1b65c8p-7, 0x1.93deb832b11a5p-7, 0x1.91b73df295a37p-7, 0x1.8f893a8f94acap-7, 0x1.8d54d4c42b555p-7, 0x1.8b1a339f38893p-7, 0x1.88d97e7de2d03p-7, 0x1.8692dd0b4f1fbp-7, 0x1.84467721c2719p-7, 0x1.81f474fd3b3ecp-7, 0x1.7f9cfeff55426p-7, 0x1.7d403dc5ed0bcp-7, 0x1.7ade5a1f8d781p-7, 0x1.78777d041fe3ap-7, 0x1.760bcf8db7182p-7, 0x1.739b7af227b54p-7, 0x1.7126a874dd627p-7, 0x1.6ead816d77e19p-7, 0x1.6c302f33c566p-7, 0x1.69aedb202ab9cp-7, 0x1.6729ae8d20a3dp-7, 0x1.64a0d2c6f6857p-7, 0x1.62147105e69bcp-7, 0x1.5f84b28419212p-7, 0x1.5cf1c058fa846p-7, 0x1.5a5bc37f840a3p-7, 0x1.57c2e4d60922ap-7, 0x1.55274d131411ap-7, 0x1.528924c0b5719p-7, 0x1.4fe8943761b61p-7, 0x1.4d45c398ec3d4p-7, 0x1.4aa0dacc11ee3p-7, 0x1.47fa01786ecd1p-7, 0x1.45515f02e6d35p-7, 0x1.42a71a89e2de7p-7, 0x1.3ffb5ae1ba183p-7, 0x1.3d4e4690ec14ap-7, 0x1.3aa003cc64a6ep-7, 0x1.37f0b873caaf7p-7, 0x1.35408a0dfcf06p-7, 0x1.328f9dc586db7p-7, 0x1.2fde18652e49fp-7, 0x1.2d2c1e544e415p-7, 0x1.2a79d393ecc2fp-7, 0x1.27c75bbb458e9p-7, 0x1.2514d9f4434ddp-7, 0x1.226270f4d85fcp-7, 0x1.1fb04317bc2c9p-7, 0x1.1cfe7224ddc3ap-7, 0x1.1a4d1f81add16p-7, 0x1.179c6c16a3038p-7, 0x1.14ec78541964ap-7, 0x1.123d642dadd4fp-7, 0x1.0f8f4f18966b7p-7, 0x1.0ce2580a166d1p-7, 0x1.0a369d75d5f9dp-7, 0x1.078c3d4ca9c0ep-7, 0x1.04e354fb5753dp-7, 0x1.023c0169678d3p-7, 0x1.ff2cbdef9a1b7p-8, 0x1.f9e512fef16b8p-8, 0x1.f4a1389fcb12bp-8, 0x1.ef61645b75a12p-8, 0x1.ea25caa402041p-8, 0x1.e4ee9ed375333p-8, 0x1.dfbc132c5f1p-8, 0x1.da8e58db0c144p-8, 0x1.d5659ff646f93p-8, 0x1.d042177f20b49p-8, 0x1.cb23ed5efc022p-8, 0x1.c60b4e64553abp-8, 0x1.c0f8663efdff4p-8, 0x1.bbeb5f7d8cd25p-8, 0x1.b6e4638d0395cp-8, 0x1.b1e39abb85a8ep-8, 0x1.ace92c3dda60ep-8, 0x1.a7f53e35bcb3bp-8, 0x1.a307f5b742aaap-8, 0x1.9e2176cb26026p-8, 0x1.9941e46c3d0eap-8, 0x1.94696081b73bdp-8, 0x1.8f980bd765f34p-8, 0x1.8ace061797291p-8, 0x1.860b6dc9a2185p-8, 0x1.8150605715927p-8, 0x1.7c9cfa1793b41p-8, 0x1.77f1566074305p-8, 0x1.734d8f941933dp-8, 0x1.6eb1bf2bd7335p-8, 0x1.6a1dfdb8f8b94p-8, 0x1.659262dbaf0adp-8, 0x1.610f053501876p-8, 0x1.5c93fa46138e3p-8, 0x1.5821567d0c726p-8, 0x1.53b72d167746dp-8, 0x1.4f559036ace13p-8, 0x1.4afc9100725afp-8, 0x1.46ac3fb7328a2p-8, 0x1.4264abe0e981cp-8, 0x1.3e25e45d96766p-8, 0x1.39eff76ce23ddp-8, 0x1.35c2f29e50d32p-8, 0x1.319ee2af2fd63p-8, 0x1.2d83d35fa2b9bp-8, 0x1.2971cf4b60b2dp-8, 0x1.2568dfd36087ap-8, 0x1.21690d22457ecp-8, 0x1.1d725e4d4e64cp-8, 0x1.1984d98da1c52p-8, 0x1.15a084855652ap-8, 0x1.11c5647ae911cp-8, 0x1.0df37e8268558p-8, 0x1.0a2ad77b953cfp-8, 0x1.066b73f308f37p-8, 0x1.02b557dc61e73p-8, 0x1.fe110c811ad18p-9, 0x1.f6ca01e428cbbp-9, 0x1.ef9590ba61772p-9, 0x1.e873b7071f2p-9, 0x1.e1647052b1b26p-9, 0x1.da67b658ab43ep-9, 0x1.d37d81e67b804p-9, 0x1.cca5cbb75f1ap-9, 0x1.c5e08d18b6babp-9, 0x1.bf2dc02beaae5p-9, 0x1.b88d5fb2060acp-9, 0x1.b1ff66676951bp-9, 0x1.ab83ce1310de9p-9, 0x1.a51a8e7f71bf8p-9, 0x1.9ec39c9ba17c3p-9, 0x1.987ee9fc211eap-9, 0x1.924c64de9d97bp-9, 0x1.8c2bf8b6adab4p-9, 0x1.861d8f2ae6b92p-9, 0x1.8021114f6e2a8p-9, 0x1.7a3668dbdfbafp-9, 0x1.745d811a15f42p-9, 0x1.6e9647531ea96p-9, 0x1.68e0aabe9a804p-9, 0x1.633c9bb0dabf1p-9, 0x1.5daa0a82ef846p-9, 0x1.5828e64c5b039p-9, 0x1.52b91b870e2efp-9, 0x1.4d5a935a5fddp-9, 0x1.480d3319596e9p-9, 0x1.42d0dc9c9b138p-9, 0x1.3da56f14ae93ap-9, 0x1.388ac847682f8p-9, 0x1.3380c5f8e23d5p-9, 0x1.2e87473be1dd9p-9, 0x1.299e2d6b240dfp-9, 0x1.24c55c9dfae58p-9, 0x1.1ffcbb83bb297p-9, 0x1.1b4432af52c24p-9, 0x1.169bab778e1c7p-9, 0x1.12030ea62e087p-9, 0x1.0d7a43365f702p-9, 0x1.09012d5e30347p-9, 0x1.0497ae0ca9297p-9, 0x1.003da2e880d1cp-9, 0x1.f7e5cd9bb0925p-10, 0x1.ef6ea54efd71fp-10, 0x1.e7157d04bec75p-10, 0x1.deda055d18b25p-10, 0x1.d6bbf18955092p-10, 0x1.cebaf8d63ae89p-10, 0x1.c6d6d77b541d2p-10, 0x1.bf0f4e8fc4baap-10, 0x1.b764232b2ad46p-10, 0x1.afd51ce008062p-10, 0x1.a86203e0582d5p-10, 0x1.a10a9f285f07ep-10, 0x1.99ceb2ff09959p-10, 0x1.92adfff7cc384p-10, 0x1.8ba8427a5295bp-10, 0x1.84bd32b9204c8p-10, 0x1.7dec84fc31398p-10, 0x1.7735ea3098da7p-10, 0x1.709910d975dbbp-10, 0x1.6a15a62f4e249p-10, 0x1.63ab57cd5b0e6p-10, 0x1.5d59d55b5c25dp-10, 0x1.5720d221b11a4p-10, 0x1.5100061afabb3p-10, 0x1.4af72e442778bp-10, 0x1.45060c09cc422p-10, 0x1.3f2c64c3fc5b4p-10, 0x1.3969ff4c1b1f2p-10, 0x1.33bea3c3fbdcbp-10, 0x1.2e2a19ec9ab25p-10, 0x1.28ac28475bf9cp-10, 0x1.23449305f55b6p-10, 0x1.1df31ae529accp-10, 0x1.18b77c036ff8fp-10, 0x1.13916d10c6283p-10, 0x1.0e809f4cdb7f6p-10, 0x1.0984bf9d3a6bp-10, 0x1.049d792a0cd62p-10, 0x1.ff94efd9685cp-11, 0x1.f616d896aeb6ap-11, 0x1.ecc01a55fccddp-11, 0x1.e39031adfee1bp-11, 0x1.da86a8cf3b361p-11, 0x1.d1a31422938dfp-11, 0x1.c8e50e2785832p-11, 0x1.c04c33ddebf6fp-11, 0x1.b7d82258deed7p-11, 0x1.af88753e9494ep-11, 0x1.a75cc56003bc7p-11, 0x1.9f54a69aabe83p-11, 0x1.976fa4c90e326p-11, 0x1.8fad406b0cd8p-11, 0x1.880cec6dd655cp-11, 0x1.808e0ea59a6efp-11, 0x1.793003eec4877p-11, 0x1.71f227acb4298p-11, 0x1.6ad3dcec7b04p-11, 0x1.63d4967dcd1eap-11, 0x1.5cf3db6b6482dp-11, 0x1.5631466e94265p-11, 0x1.4f8c80d951f7bp-11, 0x1.49053b1a6536ep-11, 0x1.429b25b14747ap-11, 0x1.3c4decd5467ccp-11, 0x1.361d379c409c1p-11, 0x1.3008a9cca7397p-11, 0x1.2a0fe670c6964p-11, 0x1.24329124eb739p-11, 0x1.1e704cdd99441p-11, 0x1.18c8b83ce7fp-11, 0x1.133b68ea4915ep-11, 0x1.0dc7e81ea862fp-11, 0x1.086db30d24608p-11, 0x1.032c3f207ec6ep-11, 0x1.fc06054eec4f7p-12, 0x1.f1e2fd5d2ff75p-12, 0x1.e7ee8c9d55731p-12, 0x1.de2801e50f624p-12, 0x1.d48ecc928d2d6p-12, 0x1.cb226b15b2888p-12, 0x1.c1e25779e7c49p-12, 0x1.b8cdf8d9e261ap-12, 0x1.afe49fc94a58fp-12, 0x1.a7258c4ef4855p-12, 0x1.9e8ffa3739d07p-12, 0x1.96232d9e54896p-12, 0x1.8dde7b768ccc9p-12, 0x1.85c149c348735p-12, 0x1.7dcb0a9d30eafp-12, 0x1.75fb31b681bb8p-12, 0x1.6e5129f8b28b6p-12, 0x1.66cc4e8840c71p-12, 0x1.5f6be9638483cp-12, 0x1.582f39daceaa6p-12, 0x1.5115805416a6cp-12, 0x1.4a1e0c6667e87p-12, 0x1.4348478142b28p-12, 0x1.3c93b67a3e856p-12, 0x1.35fff23967962p-12, 0x1.2f8c94a5ff5eep-12, 0x1.29392a50b09fap-12, 0x1.230527e417661p-12, 0x1.1cefec92e50d1p-12, 0x1.16f8cd64029dp-12, 0x1.111f230ef6597p-12, 0x1.0b6253d63b91p-12, 0x1.05c1d68fc4cc3p-12, 0x1.003d304655396p-12, 0x1.f5a7dfc72abc7p-13, 0x1.eb0b558d408b5p-13, 0x1.e0a3f5fa79e3ep-13, 0x1.d670fc071188ap-13, 0x1.cc71a42f2b82p-13, 0x1.c2a522d74ddc4p-13, 0x1.b90a99df9e498p-13, 0x1.afa114a0fb4fbp-13, 0x1.a6678ff599992p-13, 0x1.9d5d0c6fe50d1p-13, 0x1.9480a07c484ap-13, 0x1.8bd17e027ddcdp-13, 0x1.834ee675b67aep-13, 0x1.7af814a8fd314p-13, 0x1.72cc2c0d788cp-13, 0x1.6aca3a3d0e08fp-13, 0x1.62f14a971667dp-13, 0x1.5b407da63f95ap-13, 0x1.53b712c210f52p-13, 0x1.4c545d7a595afp-13, 0x1.4517b073c1cb1p-13, 0x1.3e004e8887a5bp-13, 0x1.370d6ce371d4bp-13, 0x1.303e449b65ea8p-13, 0x1.2992291f54355p-13, 0x1.230895f2bafap-13, 0x1.1ca12ae808604p-13, 0x1.165b96b500b7cp-13, 0x1.103778b31098cp-13, 0x1.0a3447696d55dp-13, 0x1.045147e64d9b3p-13, 0x1.fd1b34e46fffep-14, 0x1.f1d0ad7870e68p-14, 0x1.e6c152d8d8c49p-14, 0x1.dbebc8e0af491p-14, 0x1.d14ef70932446p-14, 0x1.c6e9e4f75947fp-14, 0x1.bcbb95e6c49d6p-14, 0x1.b2c2fd1c568c2p-14, 0x1.a8ff11b002e3cp-14, 0x1.9f6eebd37557dp-14, 0x1.9611c912f3671p-14, 0x1.8ce6e9f577f1bp-14, 0x1.83ed626f7dcdap-14, 0x1.7b24071f6eda1p-14, 0x1.72898a1d11486p-14, 0x1.6a1cb46feb5bap-14, 0x1.61dc972c853ap-14, 0x1.59c8998113a33p-14, 0x1.51e0620b6d4b7p-14, 0x1.4a23adea4aecfp-14, 0x1.4292296ae01f8p-14, 0x1.3b2b57d2ee374p-14, 0x1.33ee6fa36dfap-14, 0x1.2cda702541e13p-14, 0x1.25ee041d54319p-14, 0x1.1f27bc77878aep-14, 0x1.188637535e5f3p-14, 0x1.12084e7a5bf0cp-14, 0x1.0bad2bfd43b92p-14, 0x1.0574407aa6cafp-14, 0x1.feba3c0121f6bp-15, 0x1.f2ce91b7f8eaap-15, 0x1.e7243c610aa82p-15, 0x1.dbb9b8dcc5e54p-15, 0x1.d08d8eddae76ep-15, 0x1.c59e74c3c2477p-15, 0x1.baeb247928ca1p-15, 0x1.b0722132b242cp-15, 0x1.a631caef02b91p-15, 0x1.9c28b8e255b64p-15, 0x1.9255ff93a04b4p-15, 0x1.88b919e8a1527p-15, 0x1.7f5194efc2ea6p-15, 0x1.761ecdf8aeea4p-15, 0x1.6d1ff0a53a386p-15, 0x1.64541ead98a75p-15, 0x1.5bba8c81e76a2p-15, 0x1.5352761051c42p-15, 0x1.4b1af83167865p-15, 0x1.4312eda60e496p-15, 0x1.3b38e85a87fe7p-15, 0x1.338b5037a9d33p-15, 0x1.2c089e19f13d2p-15, 0x1.24af9a07392c7p-15, 0x1.1d7f816011d73p-15, 0x1.167802727dae7p-15, 0x1.0f99057091bf7p-15, 0x1.08e24d71a7b55p-15, 0x1.0253204091affp-15, 0x1.f7d4788fe0efep-16, 0x1.eb4c653176b9fp-16, 0x1.df0b9f303a5b4p-16, 0x1.d3104dd03ba33p-16, 0x1.c758ad2c5e9b1p-16, 0x1.bbe2f5424e315p-16, 0x1.b0addf9d9d6a8p-16, 0x1.a5b8e81412f64p-16, 0x1.9b03b4cfd4f64p-16, 0x1.908d4a39bbc73p-16, 0x1.8653e2ec3118dp-16, 0x1.7c5575e6655d9p-16, 0x1.729047e56d196p-16, 0x1.69030f57beb19p-16, 0x1.5facc854ea44ap-16, 0x1.568c883e2038fp-16, 0x1.4da16d374d747p-16, 0x1.44ea8c2c1946dp-16, 0x1.3c66d26c5d336p-16, 0x1.3414f3be07d12p-16, 0x1.2bf37f33d14ffp-16, 0x1.2401164da166bp-16, 0x1.1c3ca4f0966acp-16, 0x1.14a57a3aeac8dp-16, 0x1.0d3b395bf382ep-16, 0x1.05fda96c14f6fp-16, 0x1.fdd8d0216a9a6p-17, 0x1.f00d1d3ded906p-17, 0x1.e2951dbac8c44p-17, 0x1.d56d27ba80a71p-17, 0x1.c8924f64fd537p-17, 0x1.bc02c85712378p-17, 0x1.afbdaee90ca87p-17, 0x1.a3c1a8485687cp-17, 0x1.980df73f3c968p-17, 0x1.8ca229fb831b8p-17, 0x1.817d6544a375dp-17, 0x1.769d9b3301a9bp-17, 0x1.6c0005c95cdf3p-17, 0x1.61a2573ae9602p-17, 0x1.578329a5b7288p-17, 0x1.4da16b93c5572p-17, 0x1.43fbdefa7ff01p-17, 0x1.3a912ee640111p-17, 0x1.31602dfbeb391p-17, 0x1.2867e776e7b74p-17, 0x1.1fa7854237a5ap-17, 0x1.171e241cbe759p-17, 0x1.0ecaad4581fa4p-17, 0x1.06abce924f8ecp-17, 0x1.fd8027772f923p-18, 0x1.ee0c10504a233p-18, 0x1.def8a0b23f40ap-18, 0x1.d0435285afa38p-18, 0x1.c1e9e85505ad5p-18, 0x1.b3eaa5fb81c95p-18, 0x1.a644539e56288p-18, 0x1.98f597b91b7c2p-18, 0x1.8bfc04bc43f26p-18, 0x1.7f54280f8a0a4p-18, 0x1.72faf91675473p-18, 0x1.66ef266bf161dp-18, 0x1.5b30d75f0a9edp-18, 0x1.4fbfe75162e32p-18, 0x1.449ac582ac327p-18, 0x1.39bfad64a18eep-18, 0x1.2f2d159efbd23p-18, 0x1.24e0ae275086cp-18, 0x1.1ad7c7afaeef7p-18, 0x1.1110fdbb7f9b3p-18, 0x1.078b593569ee7p-18, 0x1.fc8a6b30edeedp-19, 0x1.ea792c8eb0b42p-19, 0x1.d8df78f5ae816p-19, 0x1.c7ba822ff961dp-19, 0x1.b707f4cbf5fe1p-19, 0x1.a6c5cfbc09377p-19, 0x1.96f24c2b268fbp-19, 0x1.878bbdcf277dp-19, 0x1.789064f2fc351p-19, 0x1.69fe4564d89cfp-19, 0x1.5bd31b20a9d17p-19, 0x1.4e0c6a55c2065p-19, 0x1.40a792a32acdap-19, 0x1.33a19ed06f383p-19, 0x1.26f866f0a753dp-19, 0x1.1aa9263f9005bp-19, 0x1.0eb1f073d3cc8p-19, 0x1.0311c1e72dee2p-19, 0x1.ef8f27f67980fp-20, 0x1.d9a2a59f8d05p-20, 0x1.c45718f34a4fdp-20, 0x1.afa5dadf97014p-20, 0x1.9b8be7bed57f1p-20, 0x1.8809849ab4ae5p-20, 0x1.751d93cf804b6p-20, }}, 
      {{-0x1.919bd053466e2p-1, -0x1.8039f755c062ap-1, -0x1.656eacedbe648p-1, -0x1.4385b963eb0bp-1, -0x1.1ccfeeeaaff5fp-1, -0x1.e6dd3b078020ap-2, -0x1.926ffc8a5f29cp-2, -0x1.3f57c2a003edcp-2, -0x1.dfccbccb74c7ep-3, -0x1.4b98e35d41a02p-3, -0x1.88b6323fee58fp-4, -0x1.2dbb47402f1ddp-5, 0x1.e8e9c2d2eeda8p-7, 0x1.e64c228c0eafdp-5, 0x1.8c0666775c104p-4, 0x1.0493f61fd0bd6p-3, 0x1.36318ad45f818p-3, 0x1.5bebd6ac96425p-3, 0x1.76e6f84a72301p-3, 0x1.884f5089164cfp-3, 0x1.915065e4c3d02p-3, 0x1.930e1b4ad837ap-3, 0x1.8e9fc5db74b13p-3, 0x1.850cbdc02p-3, 0x1.774a175e0082dp-3, 0x1.663942cc1800ep-3, 0x1.52a75dd0aca68p-3, 0x1.3d4d1017876c4p-3, 0x1.26ced2169cd7ep-3, 0x1.0fbd85ae832c1p-3, 0x1.f12e993482b6p-4, 0x1.c391190665315p-4, 0x1.975a26c801911p-4, 0x1.6d22a2242cc53p-4, 0x1.456738ebc0848p-4, 0x1.208af8d3b4fc3p-4, 0x1.fdb3b60f4416p-5, 0x1.c1167d36b4a47p-5, 0x1.8b8892b2f38dp-5, 0x1.5d345158ac1ffp-5, 0x1.36285cb7f6919p-5, 0x1.165b8ce4f184p-5, 0x1.fb611386c38f5p-6, 0x1.d7f22a189e2cbp-6, 0x1.c1f207d254b6ap-6, 0x1.b8d1d48cc4acdp-6, 0x1.bbf0f6384d16p-6, 0x1.caa14381db0cbp-6, 0x1.e42ab1d922865p-6, 0x1.03e744a75e4b6p-5, 0x1.1a65138fb2ccp-5, 0x1.352cadd4eb373p-5, 0x1.53dc36037253dp-5, 0x1.7612e1585a68p-5, 0x1.9b71ac1e172cap-5, 0x1.c39bed161dcddp-5, 0x1.ee37cd6163c29p-5, 0x1.0d7753372c771p-4, 0x1.24b6a6ceb998ep-4, 0x1.3cb22590f0b61p-4, 0x1.55440193f9266p-4, 0x1.6e4866f0a22d2p-4, 0x1.879d81c218e0dp-4, 0x1.a1238189fcb5cp-4, 0x1.babc95c00a709p-4, 0x1.d44ceaf62ce5dp-4, 0x1.edbaa166dc2abp-4, 0x1.0376e070e2758p-3, 0x1.0fe815dce6eadp-3, 0x1.1c26c81bca93bp-3, 0x1.2829abce609ccp-3, 0x1.33e84cec202d7p-3, 0x1.3f5b051ce136bp-3, 0x1.4a7af3c07cb26p-3, 0x1.5541f4d847e69p-3, 0x1.5faa9785acc68p-3, 0x1.69b0157176be7p-3, 0x1.734e4a0a432f9p-3, 0x1.7c81aa6307cc3p-3, 0x1.85473d2d50c2fp-3, 0x1.8d9c92d92f593p-3, 0x1.957fbdb177d2p-3, 0x1.9cef49fc69a1cp-3, 0x1.a3ea362af9e2ep-3, 0x1.aa6feb2d97b0bp-3, 0x1.b08034f8a09bap-3, 0x1.b61b3b4e6f5bfp-3, 0x1.bb417ac747e1fp-3, 0x1.bff3be19ad6fap-3, 0x1.c43317a1516afp-3, 0x1.c800db1945149p-3, 0x1.cb5e978cd24edp-3, 0x1.ce4e1184be90fp-3, 0x1.d0d13d64530f2p-3, 0x1.d2ea3a10ba5a9p-3, 0x1.d49b4bd7b4b8ep-3, 0x1.d5e6d79f386fp-3, 0x1.d6cf5e63da9adp-3, 0x1.d75778feb99aap-3, 0x1.d781d43448d83p-3, 0x1.d7512d11f79cap-3, 0x1.d6c84d825841ap-3, 0x1.d5ea0929c9c71p-3, 0x1.d4b93a7a82f44p-3, 0x1.d338c0014fe78p-3, 0x1.d16b79e25f9fbp-3, 0x1.cf544790fdf1p-3, 0x1.ccf605acdf1fdp-3, 0x1.ca538c16cd069p-3, 0x1.c76fac2c3dce8p-3, 0x1.c44d2f3417a0cp-3, 0x1.c0eed4f12141fp-3, 0x1.bd57525ff368ep-3, 0x1.b98950a01f2c8p-3, 0x1.b5876bf46e0e1p-3, 0x1.b15432f9121fp-3, 0x1.acf225e97a21cp-3, 0x1.a863b607e0cb4p-3, 0x1.a3ab452acd89dp-3, 0x1.9ecb254e435ccp-3, 0x1.99c598521237cp-3, 0x1.949ccfc03e1ecp-3, 0x1.8f52eca3f274fp-3, 0x1.89e9ff83ae2b3p-3, 0x1.84640856701a3p-3, 0x1.7ec2f693b0502p-3, 0x1.7908a956731dcp-3, 0x1.7336ef79d07c2p-3, 0x1.6d4f87d54bbfp-3, 0x1.675421794e775p-3, 0x1.61465be8051a6p-3, 0x1.5b27c7791c4e6p-3, 0x1.54f9e597e82b5p-3, 0x1.4ebe2920fa26p-3, 0x1.4875f6c475b89p-3, 0x1.4222a55dc8cfdp-3, 0x1.3bc57e51b5d1cp-3, 0x1.355fbdfcda024p-3, 0x1.2ef2940fafb08p-3, 0x1.287f23e91385bp-3, 0x1.220685107610bp-3, 0x1.1b89c38c28eb7p-3, 0x1.1509e03aa9237p-3, 0x1.0e87d147c6623p-3, 0x1.0804828ce44d3p-3, 0x1.0180d5d933e95p-3, 0x1.f5fb46c64b541p-4, 0x1.e8f77457a81e4p-4, 0x1.dbf7c08c99cb7p-4, 0x1.cefda657a0d8ap-4, 0x1.c20a905399796p-4, 0x1.b51fd95755d9ap-4, 0x1.a83ecceeddc4dp-4, 0x1.9b68a817c3cb1p-4, 0x1.8e9e99f53398bp-4, 0x1.81e1c434feeb7p-4, 0x1.75333b8904cecp-4, 0x1.68940858c8eb6p-4, 0x1.5c052754b8494p-4, 0x1.4f8789af4b746p-4, 0x1.431c1594f45f1p-4, 0x1.36c3a6d2f99dcp-4, 0x1.2a7f0f3e12p-4, 0x1.1e4f16dc3e07ap-4, 0x1.12347c445af1fp-4, 0x1.062ff53dd3438p-4, 0x1.f4845e1d61797p-5, 0x1.dcd79d1e94cdp-5, 0x1.c55ae0e9f2c73p-5, 0x1.ae0f53af848ap-5, 0x1.96f61120a6e8dp-5, 0x1.80102664420d6p-5, 0x1.695e9258f934ap-5, 0x1.52e2469e9e7b8p-5, 0x1.3c9c283aaf872p-5, 0x1.268d0fc5fed26p-5, 0x1.10b5c94a60622p-5, 0x1.f62e29cc97dccp-6, 0x1.cb634f7c158bap-6, 0x1.a10c588214e5cp-6, 0x1.772a83f6d7de5p-6, 0x1.4dbefb72a0c8fp-6, 0x1.24cad48a3abaap-6, 0x1.f89e24845f6cbp-7, 0x1.a89949ecea153p-7, 0x1.5988d44aa4608p-7, 0x1.0b6e599e570c7p-7, 0x1.7c969b79e7642p-8, 0x1.c88411d76eb78p-9, 0x1.37858c995ebc9p-10, -0x1.1a24bf66596bep-10, -0x1.b1f7948ea2d33p-9, -0x1.6974c1986636ap-8, -0x1.f7f2a25f2088fp-8, -0x1.423a17dec20c8p-7, -0x1.877c32b78fbb6p-7, -0x1.cbbf3b88768acp-7, -0x1.0781731796544p-6, -0x1.28a37f1643209p-6, -0x1.4945b2fe6a0d6p-6, -0x1.69680c0779815p-6, -0x1.890a9394fe01bp-6, -0x1.a82d5e82553a8p-6, -0x1.c6d08bdde89dfp-6, -0x1.e4f4445326d63p-6, -0x1.014c5d3953acp-5, -0x1.0fdf1593eb9f7p-5, -0x1.1e326eb01818fp-5, -0x1.2c46907e9332dp-5, -0x1.3a1ba6f241837p-5, -0x1.47b1e2038b8e9p-5, -0x1.550975e7fdf18p-5, -0x1.62229b1bb2758p-5, -0x1.6efd8e014d51p-5, -0x1.7b9a8e645252cp-5, -0x1.87f9df485f5b4p-5, -0x1.941bc70f3d069p-5, -0x1.a0008fa1f01d8p-5, -0x1.aba886404dc74p-5, -0x1.b713fb118c0c5p-5, -0x1.c24340cd38a16p-5, -0x1.cd36acbf5f1eap-5, -0x1.d7ee97000b9d8p-5, -0x1.e26b5a7bd2437p-5, -0x1.ecad54a15fabfp-5, -0x1.f6b4e4ed1f939p-5, -0x1.0041365921b98p-4, -0x1.050b27a1b90fdp-4, -0x1.09b8791ca8e96p-4, -0x1.0e495eb956609p-4, -0x1.12be0d5661e31p-4, -0x1.1716ba8098d91p-4, -0x1.1b539c584fbfap-4, -0x1.1f74e9aeac4cap-4, -0x1.237ada37a7176p-4, -0x1.2765a697d1f3p-4, -0x1.2b35883515c92p-4, -0x1.2eeab8e90951ep-4, -0x1.328572d1b3543p-4, -0x1.3605f062f4dcp-4, -0x1.396c6ca4f86eep-4, -0x1.3cb9236340ffep-4, -0x1.3fec511cca23dp-4, -0x1.430632bc80e3fp-4, -0x1.460705429f564p-4, -0x1.48ef05b05445cp-4, -0x1.4bbe713103153p-4, -0x1.4e7585665023dp-4, -0x1.51148093452ccp-4, -0x1.539ba180e0e54p-4, -0x1.560b272ac8819p-4, -0x1.5863506d91e5p-4, -0x1.5aa45bef54b28p-4, -0x1.5cce885169cf5p-4, -0x1.5ee21481db892p-4, -0x1.60df3feff1a05p-4, -0x1.62c64a7b1b833p-4, -0x1.64977425846b6p-4, -0x1.6652fcbc4b75dp-4, -0x1.67f923ae9f94dp-4, -0x1.698a282d57ec2p-4, -0x1.6b06497a101ddp-4, -0x1.6c6dc72e7948dp-4, -0x1.6dc0e14b62daap-4, -0x1.6effd805fb421p-4, -0x1.702aeb6d5c0bp-4, -0x1.71425b2d0666ap-4, -0x1.7246667bc65c9p-4, -0x1.73374c53ff8b5p-4, -0x1.74154bc25884p-4, -0x1.74e0a41fcba8cp-4, -0x1.7599950e8b7b1p-4, -0x1.76405e415d8bbp-4, -0x1.76d53f2ada13ap-4, -0x1.775876c355fbap-4, -0x1.77ca438504f28p-4, -0x1.782ae39e2ea12p-4, -0x1.787a953a7c9a8p-4, -0x1.78b996b8e82d1p-4, -0x1.78e826b0ae6ebp-4, -0x1.790683c3a33cep-4, -0x1.7914ec56bf2b6p-4, -0x1.79139e5677364p-4, -0x1.7902d724e2a8bp-4, -0x1.78e2d3b92c3e1p-4, -0x1.78b3d0dd5abd4p-4, -0x1.78760b692929p-4, -0x1.7829c05c60d31p-4, -0x1.77cf2ccbac703p-4, -0x1.77668daa6035bp-4, -0x1.76f01f8e44fbep-4, -0x1.766c1e81a296cp-4, -0x1.75dac606474c7p-4, -0x1.753c5137de4cp-4, -0x1.7490fb03827a8p-4, -0x1.73d8fe589861cp-4, -0x1.73149636de14p-4, -0x1.7243fda13d57bp-4, -0x1.71676f6a044afp-4, -0x1.707f25fe97cd1p-4, -0x1.6f8b5b419e4aep-4, -0x1.6e8c488554bd7p-4, -0x1.6d8226a6d36bep-4, -0x1.6c6d2e3ba7eadp-4, -0x1.6b4d97bdaeaf4p-4, -0x1.6a239ba31fcb8p-4, -0x1.68ef725916f2ap-4, -0x1.67b15422d335dp-4, -0x1.666978eaee14ep-4, -0x1.651818195e50cp-4, -0x1.63bd687f53d36p-4, -0x1.6259a05f82b66p-4, -0x1.60ecf58d52983p-4, -0x1.5f779d9510a1dp-4, -0x1.5df9cddd5a9b5p-4, -0x1.5c73bbb596c78p-4, -0x1.5ae59c4bf7ec3p-4, -0x1.594fa48e4b85fp-4, -0x1.57b209011a7a5p-4, -0x1.560cfd9b839a5p-4, -0x1.5460b5b7fca1ep-4, -0x1.52ad641a0af19p-4, -0x1.50f33b08a261dp-4, -0x1.4f326c6fb70b5p-4, -0x1.4d6b29fdb5bp-4, -0x1.4b9da53327e3p-4, -0x1.49ca0f5f51f89p-4, -0x1.47f0998a61274p-4, -0x1.461174543e05ep-4, -0x1.442ccfd381deap-4, -0x1.4242db800c148p-4, -0x1.4053c6300e8dap-4, -0x1.3e5fbe263e226p-4, -0x1.3c66f12a9ec16p-4, -0x1.3a698ca4bdd87p-4, -0x1.3867bdaf5ba16p-4, -0x1.3661b120761f5p-4, -0x1.3457938304b67p-4, -0x1.32499103ed067p-4, -0x1.3037d5583f40ep-4, -0x1.2e228ba4ca6d2p-4, -0x1.2c09de6eb0046p-4, -0x1.29edf799cf52cp-4, -0x1.27cf0072b9b21p-4, -0x1.25ad21bfd0edp-4, -0x1.238883d31832ep-4, -0x1.21614e9880522p-4, -0x1.1f37a99d383bep-4, -0x1.1d0bbc0eb9e3cp-4, -0x1.1addacb153749p-4, -0x1.18ada1d0f5811p-4, -0x1.167bc13063f7bp-4, -0x1.14482ffc2825ap-4, -0x1.121312c50aa77p-4, -0x1.0fdc8d818c0f5p-4, -0x1.0da4c397a8646p-4, -0x1.0b6bd7e549911p-4, -0x1.0931eccaa52b5p-4, -0x1.06f7243137d23p-4, -0x1.04bb9f8f71215p-4, -0x1.027f7fe87975ap-4, -0x1.0042e5c7da746p-4, -0x1.fc0be271e5da8p-5, -0x1.f791837cfea36p-5, -0x1.f316ec95c48fep-5, -0x1.ee9c5a791281ep-5, -0x1.ea2208bdeb2b5p-5, -0x1.e5a831de0accfp-5, -0x1.e12f0f40c9d0ap-5, -0x1.dcb6d944e156ep-5, -0x1.d83fc749267a4p-5, -0x1.d3ca0fb1bf724p-5, -0x1.cf55e7ea81cd3p-5, -0x1.cae384659dda9p-5, -0x1.c673189607043p-5, -0x1.c204d6e714058p-5, -0x1.bd98f0b3d6a8p-5, -0x1.b92f9641a36cep-5, -0x1.b4c8f6bfb2335p-5, -0x1.b065404ba8b69p-5, -0x1.ac049ff8d1078p-5, -0x1.a7a741d739282p-5, -0x1.a34d50f92187ap-5, -0x1.9ef6f77692f8ap-5, -0x1.9aa45e6f9474bp-5, -0x1.9655ae0d75d8p-5, -0x1.920b0d831b871p-5, -0x1.8dc4a30bef28ep-5, -0x1.898293e992aadp-5, -0x1.854504615a9e1p-5, -0x1.810c17babee03p-5, -0x1.7cd7f0404b9e8p-5, -0x1.78a8af42a000cp-5, -0x1.747e751f2e10cp-5, -0x1.7059614165178p-5, -0x1.6c39922a2af08p-5, -0x1.681f257098fabp-5, -0x1.640a37c46a817p-5, -0x1.5ffae4f05e219p-5, -0x1.5bf147dcffad5p-5, -0x1.57ed7a937ebaep-5, -0x1.53ef963fc5cc2p-5, -0x1.4ff7b3315ac85p-5, -0x1.4c05e8db243a4p-5, -0x1.481a4dd2f372p-5, -0x1.4434f7d1e8718p-5, -0x1.4055fbb686f79p-5, -0x1.3c7d6d885e0d3p-5, -0x1.38ab607ca5299p-5, -0x1.34dfe6fafd38ap-5, -0x1.311b12a1c6527p-5, -0x1.2d5cf449de276p-5, -0x1.29a59c09c4507p-5, -0x1.25f519381b5e8p-5, -0x1.224b7a6d8d579p-5, -0x1.1ea8cd861e89fp-5, -0x1.1b0d1fa219489p-5, -0x1.17787d26fe3a4p-5, -0x1.13eaf1c11248ep-5, -0x1.106488661585dp-5, -0x1.0ce54b59511a3p-5, -0x1.096d44309c35bp-5, -0x1.05fc7bd944d8p-5, -0x1.0292fa9bd383cp-5, -0x1.fe61903bff22p-6, -0x1.f7abd6c60cde2p-6, -0x1.f104d5971c2dp-6, -0x1.ea6c982c9635fp-6, -0x1.e3e328c53f456p-6, -0x1.dd68906b13a15p-6, -0x1.d6fcd700e9d36p-6, -0x1.d0a00350e80e8p-6, -0x1.ca521b189e847p-6, -0x1.c413230fc1529p-6, -0x1.bde31ee833c3dp-6, -0x1.b7c21148c5756p-6, -0x1.b1affbc5a1161p-6, -0x1.abacdedad9b12p-6, -0x1.a5b8b9ebbcde7p-6, -0x1.9fd38b4cbc421p-6, -0x1.99fd5051f320bp-6, -0x1.94360565df0dcp-6, -0x1.8e7da6202d01fp-6, -0x1.88d42d5875b0ap-6, -0x1.833995300978fp-6, -0x1.7dadd710578ep-6, -0x1.7830eb9ed7da1p-6, -0x1.72c2caaac4e13p-6, -0x1.6d636b1b27f8dp-6, -0x1.6812c2e487a34p-6, -0x1.62d0c70bb6bb1p-6, -0x1.5d9d6bb7df73dp-6, -0x1.5878a4518221ep-6, -0x1.536263a7e3572p-6, -0x1.4e5a9c13917efp-6, -0x1.49613f8cb07a9p-6, -0x1.44763faeb53c2p-6, -0x1.3f998da7cacd2p-6, -0x1.3acb1a1870de4p-6, -0x1.360ad4ed0d863p-6, -0x1.3158ad3d397cdp-6, -0x1.2cb4913c1ef07p-6, -0x1.281e6e412e19ap-6, -0x1.239630e9eeb31p-6, -0x1.1f1bc54ebd9fap-6, -0x1.1aaf173e6c9a1p-6, -0x1.16501272060c5p-6, -0x1.11fea2aaf69f6p-6, -0x1.0dbab3b30090fp-6, -0x1.0984313cf8a9ap-6, -0x1.055b06ad9a873p-6, -0x1.013f1eda8c086p-6, -0x1.fa60c7a246767p-7, -0x1.f25d7d6ac7906p-7, -0x1.ea742f8917efp-7, -0x1.e2a4acfc2b322p-7, -0x1.daeec3d83d1afp-7, -0x1.d35241f7f762ap-7, -0x1.cbcef5a48837dp-7, -0x1.c464ae0ba92c5p-7, -0x1.bd133b64f781dp-7, -0x1.b5da6eba3561ap-7, -0x1.aeba195cb7921p-7, -0x1.a7b20c25fe4cap-7, -0x1.a0c216afd27fap-7, -0x1.99ea06b461b6dp-7, -0x1.9329a7bfc6a54p-7, -0x1.8c80c34c6fa4fp-7, -0x1.85ef214ac00f5p-7, -0x1.7f74890082fdcp-7, -0x1.7910c209d0825p-7, -0x1.72c3954a1ad22p-7, -0x1.6c8ccd9000a2dp-7, -0x1.666c37c4fe247p-7, -0x1.6061a29abb463p-7, -0x1.5a6cddc4c2835p-7, -0x1.548db8e7438b1p-7, -0x1.4ec402735ff08p-7, -0x1.490f86ae0d61cp-7, -0x1.43700f17ec0d3p-7, -0x1.3de5625c11205p-7, -0x1.386f44d3dce57p-7, -0x1.330d79908a92p-7, -0x1.2dbfc3bd9ffccp-7, -0x1.2885e8169bfb9p-7, -0x1.235fae20e12efp-7, -0x1.1e4ce0e1ccfp-7, -0x1.194d4ee631c46p-7, -0x1.1460c9975eda9p-7, -0x1.0f8724020540bp-7, -0x1.0ac0315035c3bp-7, -0x1.060bc34223d58p-7, -0x1.0169a8eb1ebc6p-7, -0x1.f9b35bce64d4cp-8, -0x1.f0b7345464ca4p-8, -0x1.e7de64ea531a2p-8, -0x1.df2872d6c128fp-8, -0x1.d694e24dd3047p-8, -0x1.ce233a1fe49ccp-8, -0x1.c5d307415c639p-8, -0x1.bda3df679a245p-8, -0x1.b5956216581a7p-8, -0x1.ada737cc95603p-8, -0x1.a5d90f75db77bp-8, -0x1.9e2a9ab643599p-8, -0x1.969b89e50c7b9p-8, -0x1.8f2b888a7260cp-8, -0x1.87da3aefbd678p-8, -0x1.80a73cfab62ccp-8, -0x1.79922243f855dp-8, -0x1.729a773b8caefp-8, -0x1.6bbfc33991ff9p-8, -0x1.65018b6058994p-8, -0x1.5e5f5648e0282p-8, -0x1.57d8affac2fa6p-8, -0x1.516d2db25546ap-8, -0x1.4b1c7083666d5p-8, -0x1.44e626165f827p-8, -0x1.3eca0719885fcp-8, -0x1.38c7d3a086c07p-8, -0x1.32df4e4ece679p-8, -0x1.2d103785daf57p-8, -0x1.275a49bec4f53p-8, -0x1.21bd37c16d3b9p-8, -0x1.1c38ac9edae7bp-8, -0x1.16cc4cecb7d8ap-8, -0x1.1177b85204498p-8, -0x1.0c3a8ae02b74fp-8, -0x1.07145e29c5ef5p-8, -0x1.0204ca86053b9p-8, -0x1.fa16d2172393dp-9, -0x1.f04faceab8298p-9, -0x1.e6b36d083340fp-9, -0x1.dd416dc40fc1cp-9, -0x1.d3f920c3b6c7ap-9, -0x1.cada0b975165fp-9, -0x1.c1e3c05dbcd74p-9, -0x1.b915d33888267p-9, -0x1.b06fcfabfad2ap-9, -0x1.a7f131449af04p-9, -0x1.9f9961ba4fc65p-9, -0x1.9767bcab0ea57p-9, -0x1.8f5b96ca6d9fbp-9, -0x1.8774451405b31p-9, -0x1.7fb120e039f0cp-9, -0x1.78118795152bcp-9, -0x1.7094d72ad5616p-9, -0x1.693a6a87d2b03p-9, -0x1.620198e263cebp-9, -0x1.5ae9b9ce54426p-9, -0x1.53f22d3af4184p-9, -0x1.4d1a6496fe1b6p-9, -0x1.4661e971a9b49p-9, -0x1.3fc85e8afa21fp-9, -0x1.394d7a20676ccp-9, -0x1.32f0fabe360bp-9, -0x1.2cb29a14e323ep-9, -0x1.2692025181e1ep-9, -0x1.208ec9b5a5806p-9, -0x1.1aa875d31f89bp-9, -0x1.14de84bd3fbap-9, -0x1.0f3077f5bdd9cp-9, -0x1.099ddbfd3759bp-9, -0x1.042648d2d601cp-9, -0x1.fd92b5eb21ed9p-10, -0x1.f30d504efdfc8p-10, -0x1.e8bb6adb3822dp-10, -0x1.de9be69fe7afdp-10, -0x1.d4ad84d0b8a59p-10, -0x1.caeefd6eba1c2p-10, -0x1.c15f1b25e962fp-10, -0x1.b7fcd2d17f19p-10, -0x1.aec74f128c70bp-10, -0x1.a5bdec82cb6ecp-10, -0x1.9ce0281128dbap-10, -0x1.942d86167f383p-10, -0x1.8ba57b30a0e76p-10, -0x1.83475f01f48cp-10, -0x1.7b126cef47fffp-10, -0x1.7305d1ff9c346p-10, -0x1.6b20c29b34acep-10, -0x1.63629005d064p-10, -0x1.5bcab482d305cp-10, -0x1.5458cf5100691p-10, -0x1.4d0c8fe4eb221p-10, -0x1.45e5974c9bb26p-10, -0x1.3ee35d6ce98a2p-10, -0x1.380525cdefc97p-10, -0x1.314a08bac42d1p-10, -0x1.2ab10aeec72a9p-10, -0x1.243938afed9dfp-10, -0x1.1de1bae41b2b6p-10, -0x1.17a9e1f5a5111p-10, -0x1.1191261716053p-10, -0x1.0b971e098a1b6p-10, -0x1.05bb6f681dd6ap-10, -0x1.fffb7bab8c7cfp-11, -0x1.f4bb3d1f2385fp-11, -0x1.e9b5261a5a968p-11, -0x1.dee8148db5031p-11, -0x1.d452cec1b1255p-11, -0x1.c9f419f216a85p-11, -0x1.bfcad6ac8b911p-11, -0x1.b5d6196b603f8p-11, -0x1.ac15319ac1fdap-11, -0x1.a287956d9ef29p-11, -0x1.992cb665d0c33p-11, -0x1.9003d1cf7ae08p-11, -0x1.870bd6d891da5p-11, -0x1.7e4371e9920b2p-11, -0x1.75a935c029242p-11, -0x1.6d3bc72d91ce1p-11, -0x1.64f9f31ac06ecp-11, -0x1.5ce2ae6186086p-11, -0x1.54f5121a98e45p-11, -0x1.4d306056f8221p-11, -0x1.45940966fcca3p-11, -0x1.3e1fa44c6cd1fp-11, -0x1.36d2d934507e6p-11, -0x1.2fad47d6a62e3p-11, -0x1.28ae7369b42d6p-11, -0x1.21d5b8eb90dccp-11, -0x1.1b225116cd574p-11, -0x1.14935c348545ap-11, -0x1.0e27f2c796db4p-11, -0x1.07df35d119865p-11, -0x1.01b85bfe9185ep-11, -0x1.f76573d094c01p-12, -0x1.eb9b82dcc97b3p-12, -0x1.e011e88f69504p-12, -0x1.d4c7995f4d215p-12, -0x1.c9bb5329870cfp-12, -0x1.beeb9d9dd22aap-12, -0x1.b456f7277de31p-12, -0x1.a9fc011d1d146p-12, -0x1.9fd971fac7598p-12, -0x1.95edd50b2ee44p-12, -0x1.8c376cbbcd91dp-12, -0x1.82b4778d1d68bp-12, -0x1.7963a6a03b179p-12, -0x1.7044567f5e09ep-12, -0x1.6756596a92817p-12, -0x1.5e99864ef7571p-12, -0x1.560d62de2c5d9p-12, -0x1.4db11cc56ac9p-12, -0x1.4583c746e455bp-12, -0x1.3d849f4c42a8p-12, -0x1.35b318e83d46p-12, -0x1.2e0eaca1b18d2p-12, -0x1.26969b427d80bp-12, -0x1.1f49deef0aa1cp-12, -0x1.1827513f850a9p-12, -0x1.112de4f47e895p-12, -0x1.0a5cc8e102171p-12, -0x1.03b35e7416776p-12, -0x1.fa6211e8df2e6p-13, -0x1.eda9eb6481f73p-13, -0x1.e13c1a683d226p-13, -0x1.d5164452d08cp-13, -0x1.c936509f6e5c4p-13, -0x1.bd9a37c1395e3p-13, -0x1.b23f47473e3dep-13, -0x1.a721fc8dad9a2p-13, -0x1.9c3f33d53be27p-13, -0x1.9195a6e1c7a02p-13, -0x1.872608bc2d9f4p-13, -0x1.7cf18eb6a4122p-13, -0x1.72f857152e885p-13, -0x1.69390633e6b33p-13, -0x1.5fb1ac307f57p-13, -0x1.5660ee1253c94p-13, -0x1.4d465fe7ad29dp-13, -0x1.4461eb4379c2fp-13, -0x1.3bb300bf8fb9dp-13, -0x1.333845521fc75p-13, -0x1.2aefc9bb65717p-13, -0x1.22d77c33e299dp-13, -0x1.1aed92c007d8bp-13, -0x1.1330d3edfbfbdp-13, -0x1.0ba0b571be1e3p-13, -0x1.043d47784373bp-13, -0x1.fa0dc4407a787p-14, -0x1.ebfb41f847e02p-14, -0x1.de41e5ae84b8fp-14, -0x1.d0df4fa211242p-14, -0x1.c3d10d37b02a8p-14, -0x1.b7155e35ccb71p-14, -0x1.aaaa1cd01c8f3p-14, -0x1.9e8b009439327p-14, -0x1.92b27f872c405p-14, -0x1.871d7af53c314p-14, -0x1.7bcd03c6574c3p-14, -0x1.70c36e92ffa65p-14, -0x1.6600535d7adc6p-14, -0x1.5b8002d1c79d1p-14, -0x1.513e60171cdc9p-14, -0x1.473983f5e8cc2p-14, -0x1.3d717e0f4c647p-14, -0x1.33e64c5611667p-14, -0x1.2a96b48499319p-14, -0x1.2180a59666132p-14, -0x1.18a201201db3p-14, -0x1.0ff8fd8805e64p-14, -0x1.07842a02b7e51p-14, -0x1.fe84ba53210dap-15, -0x1.ee6560315f04dp-15, -0x1.dea8feb9358cbp-15, -0x1.cf4ec727ae921p-15, -0x1.c05638f70084ap-15, -0x1.b1becd6c6cc8cp-15, -0x1.a387567547c8bp-15, -0x1.95ad373deb4ebp-15, -0x1.882c629f4688bp-15, -0x1.7b010bf28942ap-15, -0x1.6e29e77112b25p-15, -0x1.61a7f029a9db3p-15, -0x1.557acda9503d6p-15, -0x1.499e2cc17897ap-15, -0x1.3e0d93cd000f1p-15, -0x1.32c97c798aafdp-15, -0x1.27d43549d6377p-15, -0x1.1d2b230e0abcap-15, -0x1.12c76fa321437p-15, -0x1.08a4befd8a8c6p-15, -0x1.fd875e58b5bd1p-16, -0x1.ea4b663ca7542p-16, -0x1.d7938177f1b68p-16, -0x1.c55a6d1b0b0e6p-16, -0x1.b39b725d9305ep-16, -0x1.a2539d68e83ebp-16, -0x1.91812e16d27b7p-16, -0x1.8122bee1b3e3ap-16, -0x1.7136b2f370358p-16, -0x1.61baf891352d1p-16, -0x1.52ad06c6924dp-16, -0x1.4409efd01e6fap-16, -0x1.35ce6f7c386fap-16, -0x1.27f705dada7dap-16, -0x1.1a8049493e075p-16, -0x1.0d6765b10152fp-16, -0x1.00aa4cc1b6251p-16, -0x1.e88e111d2201p-17, -0x1.d0756a4c1a6afp-17, -0x1.b903d2b5a9915p-17, -0x1.a2363cb379e3bp-17, -0x1.8c11328d648e1p-17, -0x1.769bab107ed4cp-17, -0x1.61d00509ace0fp-17, -0x1.4d9b22f845e03p-17, -0x1.39f50b02629a5p-17, -0x1.26e32c54b819ap-17, -0x1.14613e7092969p-17, -0x1.02665750df8ccp-17, -0x1.e1ee377072a4p-18, -0x1.c03653473e067p-18, -0x1.9f9c52663231p-18, -0x1.800a29a578d5fp-18, -0x1.616db7dde4e79p-18, -0x1.43bc397ba3b93p-18, -0x1.26ef7e724e1e1p-18, -0x1.0b0361d126f2bp-18, -0x1.dfe8f73deecp-19, -0x1.ab7f01178a234p-19, -0x1.78c1cd4adcdffp-19, -0x1.47a965e19305p-19, -0x1.182ce530f50f6p-19, -0x1.d4854ea46288dp-20, -0x1.7bc10b9698d54p-20, -0x1.25f8560fdee5ep-20, -0x1.a62d246f203ep-21, -0x1.0614cf96940ddp-21, -0x1.ae3f06c219da3p-23, 0x1.4b6cf1719dbd4p-24, 0x1.71dc001ca44p-22, 0x1.43129f5d8b356p-21, 0x1.c81a561d0995ep-21, 0x1.2420c9e6f5fdbp-20, 0x1.61c8768641909p-20, 0x1.9ce869b478b65p-20, 0x1.d57e481b06066p-20, }}, 
      {{-0x1.95a3f0454aef1p-1, -0x1.8fb4c5740e44p-1, -0x1.864bcc8d144b5p-1, -0x1.79f292db8cfcap-1, -0x1.6b3c1fe6fc769p-1, -0x1.5ab8f0a83dcc8p-1, -0x1.48efb1e08080ep-1, -0x1.36591a0e613eep-1, -0x1.235df083dbeeap-1, -0x1.10569a0138676p-1, -0x1.fb1755e50178fp-2, -0x1.d66e38e2d0919p-2, -0x1.b30bb0ad6acbep-2, -0x1.9132cc1787b82p-2, -0x1.711326235362ap-2, -0x1.52cc01da69e91p-2, -0x1.366f1b2b3aa4bp-2, -0x1.1c032539e4b56p-2, -0x1.0385f636b7dbbp-2, -0x1.d9dcc9679f17bp-3, -0x1.b05bb9c0b5ccap-3, -0x1.8a636aa73b899p-3, -0x1.67c896a28a57p-3, -0x1.485bdc3ee4378p-3, -0x1.2beb40d12454ap-3, -0x1.12436bca02ac7p-3, -0x1.f6614b1abbff5p-4, -0x1.ccff46937fca1p-4, -0x1.a7fc4fd9f938p-4, -0x1.86f70233fdd83p-4, -0x1.6991cbebeb371p-4, -0x1.4f73797be2ca9p-4, -0x1.384796a9ba6b6p-4, -0x1.23beacae7dc0cp-4, -0x1.118e6379a694bp-4, -0x1.01718b3ff6022p-4, -0x1.e6502596f6a0cp-5, -0x1.cceddcc63f73cp-5, -0x1.b64fe529908e4p-5, -0x1.a2134b6df6979p-5, -0x1.8fde1510bcc7bp-5, -0x1.7f5ecbf08797dp-5, -0x1.704c039bfb7cap-5, -0x1.6263db3a5b4abp-5, -0x1.556b7e61df43ep-5, -0x1.492ea6c6dea81p-5, -0x1.3d7f2041bab1ep-5, -0x1.32345065990b5p-5, -0x1.272ac295f3c96p-5, -0x1.1c43b938532e7p-5, -0x1.1164c46e825c9p-5, -0x1.06775e8d03dcdp-5, -0x1.f6d11d4e1f041p-6, -0x1.e05122a1d326ep-6, -0x1.c9550ebe3c1e9p-6, -0x1.b1c854751ef48p-6, -0x1.999b0b184870ep-6, -0x1.80c16ce4ffdf7p-6, -0x1.673360d3e18a8p-6, -0x1.4cec0eba7d646p-6, -0x1.31e97bccecca2p-6, -0x1.162c2e408182bp-6, -0x1.f36db133a9f64p-7, -0x1.b91c1c0415e53p-7, -0x1.7d6ffe60e1decp-7, -0x1.40787c8fdba99p-7, -0x1.02470d9b3e51ap-7, -0x1.85de25e69fcfep-8, -0x1.050af1972fd47p-8, -0x1.04818a2a671ffp-9, 0x1.291caa98377a1p-15, 0x1.10fcfd50ebed5p-9, 0x1.10138a0cdbf98p-8, 0x1.98e04b749f7fap-8, 0x1.1159c22511d28p-7, 0x1.56ae0f5db8c41p-7, 0x1.9c54bcb55cb1fp-7, 0x1.e235d2f812df8p-7, 0x1.141ce6d987ec8p-6, 0x1.3724d7e21364ap-6, 0x1.5a278a6b4f3c6p-6, 0x1.7d1a206e8fc8ep-6, 0x1.9ff217085b156p-6, 0x1.c2a54cbbcd83bp-6, 0x1.e52a06c505a98p-6, 0x1.03bb7aab2ec31p-5, 0x1.14c19b5014d4cp-5, 0x1.25a32c5a4e775p-5, 0x1.365c2d3104a2p-5, 0x1.46e8d59bb6d75p-5, 0x1.574595758177ep-5, 0x1.676f14251c021p-5, 0x1.77622ff21801fp-5, 0x1.871bfd3524f1ap-5, 0x1.9699c56f4819dp-5, 0x1.a5d90648eb62ep-5, 0x1.b4d7706e03513p-5, 0x1.c392e64e1c9ddp-5, 0x1.d2097abc6a2f2p-5, 0x1.e0396f6f56e3dp-5, 0x1.ee213370cedd4p-5, 0x1.fbbf616e73b33p-5, 0x1.04895f02f04fep-4, 0x1.0b0d1b02b2784p-4, 0x1.116a6e570fdbfp-4, 0x1.17a0f4f8c636fp-4, 0x1.1db05c5ec6b43p-4, 0x1.239862a4a0d8p-4, 0x1.2958d5b627d4ap-4, 0x1.2ef1927f6226ep-4, 0x1.34628420a5bebp-4, 0x1.39aba325e0eaap-4, 0x1.3eccf4c2f5bdap-4, 0x1.43c68a14628d8p-4, 0x1.48987f619ff55p-4, 0x1.4d42fb68f1c56p-4, 0x1.51c62eace8306p-4, 0x1.562252c991b63p-4, 0x1.5a57a9cfe3377p-4, 0x1.5e667da8134ebp-4, 0x1.624f1f7a3a998p-4, 0x1.6611e71ed54ccp-4, 0x1.69af32959d12ep-4, 0x1.6d276582533abp-4, 0x1.707ae8b1863b6p-4, 0x1.73aa29a216508p-4, 0x1.76b59a117532cp-4, 0x1.799daf97a91c2p-4, 0x1.7c62e33a0aca5p-4, 0x1.7f05b10e22468p-4, 0x1.818697dd71e0dp-4, 0x1.83e618ce8bc48p-4, 0x1.8624b712a8b6dp-4, 0x1.8842f79a76048p-4, 0x1.8a4160cb096eap-4, 0x1.8c207a3c6c6ecp-4, 0x1.8de0cc7b1542dp-4, 0x1.8f82e0cb3a14dp-4, 0x1.910740f40fcf9p-4, 0x1.926e770dfe1e1p-4, 0x1.93b90d5345b34p-4, 0x1.94e78df48c0c1p-4, 0x1.95fa82f3b356cp-4, 0x1.96f275fd6ea8ap-4, 0x1.97cff048a219ep-4, 0x1.98937a7679d76p-4, 0x1.993d9c78ef7acp-4, 0x1.99cedd7463422p-4, 0x1.9a47c3abceb2dp-4, 0x1.9aa8d4671b53p-4, 0x1.9af293e1c6599p-4, 0x1.9b2585362d62ap-4, 0x1.9b422a4e8a8b1p-4, 0x1.9b4903d553f9fp-4, 0x1.9b3a912679138p-4, 0x1.9b1750439eb09p-4, 0x1.9adfbdca83bb8p-4, 0x1.9a9454e8cb0ebp-4, 0x1.9a358f56306ecp-4, 0x1.99c3e54aaf952p-4, 0x1.993fcd7a94276p-4, 0x1.98a9bd101e438p-4, 0x1.980227a4c26b5p-4, 0x1.97497f4437d75p-4, 0x1.9680346213a59p-4, 0x1.95a6b5dc4ce61p-4, 0x1.94bd70f8e0509p-4, 0x1.93c4d164a1272p-4, 0x1.92bd4133fb6e1p-4, 0x1.91a728e26db1ap-4, 0x1.9082ef5270ebcp-4, 0x1.8f50f9cf4bc3dp-4, 0x1.8e11ac0e3df9fp-4, 0x1.8cc568349143cp-4, 0x1.8b6c8ecea5634p-4, 0x1.8a077edc72fc7p-4, 0x1.889695cfd47b2p-4, 0x1.871a2f8ff11c4p-4, 0x1.8592a67b62af4p-4, 0x1.8400536a111a7p-4, 0x1.82638db2ef7a9p-4, 0x1.80bcab2bf97f2p-4, 0x1.7f0c002fdb40ep-4, 0x1.7d51dfa294baap-4, 0x1.7b8e9aede0a8fp-4, 0x1.79c2820c5ab1ep-4, 0x1.77ede38abc0ep-4, 0x1.76110c8a78ea3p-4, 0x1.742c48c6254p-4, 0x1.723fe29475c9ep-4, 0x1.704c22ecce5fap-4, 0x1.6e51516b8fc36p-4, 0x1.6c4fb4560a1fbp-4, 0x1.6a47909d530fbp-4, 0x1.683929e28d15dp-4, 0x1.6624c2793600dp-4, 0x1.640a9b708705ep-4, 0x1.61eaf492d2e76p-4, 0x1.5fc60c6abde83p-4, 0x1.5d9c20467b17cp-4, 0x1.5b6d6c3c2452p-4, 0x1.593a2b2eebdep-4, 0x1.570296d45ae36p-4, 0x1.54c6e7b4aac86p-4, 0x1.52875530ad11cp-4, 0x1.50441584e118ep-4, 0x1.4dfd5dcee71b7p-4, 0x1.4bb3621231401p-4, 0x1.4966553a32d7ep-4, 0x1.4716691f505ep-4, 0x1.44c3ce87e37aep-4, 0x1.426eb52fc6fd7p-4, 0x1.40174bcbe702fp-4, 0x1.3dbdc00df74b3p-4, 0x1.3b623ea728b4ap-4, 0x1.3904f34b643e7p-4, 0x1.36a608b6093f2p-4, 0x1.3445a8ae46a01p-4, 0x1.31e3fc0ba55b9p-4, 0x1.2f812ab8a8dc8p-4, 0x1.2d1d5bb593c81p-4, 0x1.2ab8b51c003d4p-4, 0x1.28535c236b8e1p-4, 0x1.25ed7525a92a5p-4, 0x1.238723a27bed6p-4, 0x1.21208a4237e5cp-4, 0x1.1eb9cad7fdba7p-4, 0x1.1c530665c59d3p-4, 0x1.19ec5d215a05bp-4, 0x1.1785ee76b9ca4p-4, 0x1.151fd90d514e8p-4, 0x1.12ba3ac949d1ep-4, 0x1.105530ce326e1p-4, 0x1.0df0d78252d91p-4, 0x1.0b8d4a92cef8ep-4, 0x1.092aa4f7d88a8p-4, 0x1.06c900f7e9428p-4, 0x1.0468782a0021cp-4, 0x1.020923779e395p-4, 0x1.ff56363efc2b8p-5, 0x1.fa9ced72a2ee5p-5, 0x1.f5e69a7370c5ap-5, 0x1.f13369ee759fap-5, 0x1.ec83874e09b1fp-5, 0x1.e7d71cd270a08p-5, 0x1.e32e53812203ap-5, 0x1.de89533430defp-5, 0x1.d9e8429fff6e2p-5, 0x1.d54b475af33aap-5, 0x1.d0b285e3a2fefp-5, 0x1.cc1e21a4bc20ep-5, 0x1.c78e3cf78366fp-5, 0x1.c302f927692b5p-5, 0x1.be7c76769f768p-5, 0x1.b9fad425ca8fdp-5, 0x1.b57e307af1191p-5, 0x1.b106a8c766644p-5, 0x1.ac94596b4af31p-5, 0x1.a8275dd746bb5p-5, 0x1.a3bfd0905ecbdp-5, 0x1.9f5dcb31844a2p-5, 0x1.9b016674154ddp-5, 0x1.96aaba35ba8bdp-5, 0x1.9259dd7e7643cp-5, 0x1.8e0ee6811c3a8p-5, 0x1.89c9eaac92c5fp-5, 0x1.858afe9008df5p-5, 0x1.815235fa4a6a8p-5, 0x1.7d1fa3f06c993p-5, 0x1.78f35ab5fc719p-5, 0x1.74cd6bd3b3cddp-5, 0x1.70ade81bc647p-5, 0x1.6c94dfaca51e5p-5, 0x1.688261f25bea3p-5, 0x1.64767da7ea731p-5, 0x1.607140d9d53dep-5, 0x1.5c72b8ea6b6dbp-5, 0x1.587af297256b3p-5, 0x1.5489f9fdf0e5fp-5, 0x1.509fdaa13057ep-5, 0x1.4cbc9f6a085bfp-5, 0x1.48e052a99cb0ep-5, 0x1.450afe1a1496bp-5, 0x1.413caae0a7c1cp-5, 0x1.3d75619119936p-5, 0x1.39b52a322284dp-5, 0x1.35fc0c424bebfp-5, 0x1.324a0ebb94b7bp-5, 0x1.2e9f381622b3ap-5, 0x1.2afb8e4bc7f3fp-5, 0x1.275f16cca4bc5p-5, 0x1.23c9d6991aa8fp-5, 0x1.203bd22ba0094p-5, 0x1.1cb50d882f6e4p-5, 0x1.19358c3e1e14ep-5, 0x1.15bd516bd835cp-5, 0x1.124c5fc1a70a4p-5, 0x1.0ee2b983f5579p-5, 0x1.0b80608bcf809p-5, 0x1.0825564790fbap-5, 0x1.04d19bbcdf543p-5, 0x1.0185318a42a85p-5, 0x1.fc802fd453e9fp-6, 0x1.f6049d6e3ca33p-6, 0x1.ef97aadac927fp-6, 0x1.e939565e36df6p-6, 0x1.e2e99d8a33a76p-6, 0x1.dca87d4074002p-6, 0x1.d675f1b3bd0a6p-6, 0x1.d051f66a83d8fp-6, 0x1.ca3c8641f59b6p-6, 0x1.c4359b72e6088p-6, 0x1.be3d2f96aa146p-6, 0x1.b8533bae14028p-6, 0x1.b277b824eb734p-6, 0x1.acaa9cd64c40fp-6, 0x1.a6ebe10ee1e4cp-6, 0x1.a13b7b8eb461p-6, 0x1.9b9962887584ap-6, 0x1.96058bae458bcp-6, 0x1.907fec21425fp-6, 0x1.8b087887b8717p-6, 0x1.859f250a42b22p-6, 0x1.8043e55902d98p-6, 0x1.7af6acafebde5p-6, 0x1.75b76dd9d6cadp-6, 0x1.70861b32d3f23p-6, 0x1.6b62a6a9e7abcp-6, 0x1.664d01c2adb87p-6, 0x1.61451d974a10bp-6, 0x1.5c4aeadb52ccfp-6, 0x1.575e59deb0e88p-6, 0x1.527f5a91d7b66p-6, 0x1.4daddc897756fp-6, 0x1.48e9cf0200bbfp-6, 0x1.443320e2b428ep-6, 0x1.3f89c0c003ffcp-6, 0x1.3aed9cdd83727p-6, 0x1.365ea32f9acbdp-6, 0x1.31dcc15d3564p-6, 0x1.2d67e4c1ba2b3p-6, 0x1.28fffa6f83935p-6, 0x1.24a4ef325610ep-6, 0x1.2056af941585ap-6, 0x1.1c1527dd11401p-6, 0x1.17e04419ba3edp-6, 0x1.13b7f01bade3p-6, 0x1.0f9c177c467aap-6, 0x1.0b8ca59e7f63dp-6, 0x1.078985b09e136p-6, 0x1.0392a2add4c71p-6, 0x1.ff4fcebff7766p-7, 0x1.f7927cc29d34cp-7, 0x1.efed2436d3103p-7, 0x1.e85f99b82a74bp-7, 0x1.e0e9b16419089p-7, 0x1.d98b3f2b8e1dcp-7, 0x1.d24416b0c3a35p-7, 0x1.cb140b52cddb1p-7, 0x1.c3faf031e249ap-7, 0x1.bcf8983280f3fp-7, 0x1.b60cd603b055ep-7, 0x1.af377c1263ae3p-7, 0x1.a8785cabc632ep-7, 0x1.a1cf49e185e5cp-7, 0x1.9b3c159e6d03bp-7, 0x1.94be919e099f2p-7, 0x1.8e568f7f6b5e2p-7, 0x1.8803e0cadc8dep-7, 0x1.81c656d52b6abp-7, 0x1.7b9dc2e9cda76p-7, 0x1.7589f63fea1f1p-7, 0x1.6f8ac1f6b5267p-7, 0x1.699ff71f1eeecp-7, 0x1.63c966bd335e3p-7, 0x1.5e06e1caa00bap-7, 0x1.585839395d6a7p-7, 0x1.52bd3df675837p-7, 0x1.4d35c0ecfec16p-7, 0x1.47c193091c5ep-7, 0x1.4260853b019fbp-7, 0x1.3d126879d2309p-7, 0x1.37d70dc6613dfp-7, 0x1.32ae462dc63bap-7, 0x1.2d97e2cbe22c2p-7, 0x1.2893b4cdc6a66p-7, 0x1.23a18d7401b1ep-7, 0x1.1ec13e14d26a9p-7, 0x1.19f2981e967fbp-7, 0x1.15356d19290fap-7, 0x1.10898ea8e2193p-7, 0x1.0beece9006ca9p-7, 0x1.0764febe2d4fdp-7, 0x1.02ebf10f8dee8p-7, 0x1.fd06efae9b132p-8, 0x1.f456cab05f342p-8, 0x1.ebc71819a62d8p-8, 0x1.e3577d2f36fb4p-8, 0x1.db079f92239bap-8, 0x1.d2d7253e9be1dp-8, 0x1.cac5b490051c1p-8, 0x1.c2d2f444517bp-8, 0x1.bafe8b7f3298cp-8, 0x1.b34821cd1f87bp-8, 0x1.abaf5f2642abap-8, 0x1.a433ebf147c4cp-8, 0x1.9cd571062e339p-8, 0x1.959397b10397bp-8, 0x1.8e6e09b48cb34p-8, 0x1.8764714d0562ep-8, 0x1.80767932c788bp-8, 0x1.79a3cc9d0cb48p-8, 0x1.72ec17448aa5p-8, 0x1.6c4f0565d77c8p-8, 0x1.65cc43c38ca94p-8, 0x1.5f637fa7ffaf7p-8, 0x1.591466e6b1c49p-8, 0x1.52dea7dd9deb8p-8, 0x1.4cc1f176b1d9ep-8, 0x1.46bdf329912c7p-8, 0x1.40d25cfdc0c08p-8, 0x1.3afedf8d0d71bp-8, 0x1.35432c063d274p-8, 0x1.2f9ef42ee1cb3p-8, 0x1.2a11ea647bc62p-8, 0x1.249bc19d85f5cp-8, 0x1.1f3c2d692e2e6p-8, 0x1.19f2e1ef24d12p-8, 0x1.14bf93efd877ep-8, 0x1.0fa1f8c5684f1p-8, 0x1.0a99c6657905bp-8, 0x1.05a6b363f50dp-8, 0x1.00c876f5f1b8dp-8, 0x1.f7fd91e841edcp-9, 0x1.ee92c3b844786p-9, 0x1.e54ff5a0f4268p-9, 0x1.dc349b2c96e97p-9, 0x1.d340290280c61p-9, 0x1.ca721599978bcp-9, 0x1.c1c9d7c3bad76p-9, 0x1.b946e822984c9p-9, 0x1.b0e8c06fdf1ap-9, 0x1.a8aedbad1392cp-9, 0x1.a098b62cd5b43p-9, 0x1.98a5cd9b479ddp-9, 0x1.90d5a10228987p-9, 0x1.8927b0c728ae9p-9, 0x1.819b7ea436592p-9, 0x1.7a308d9b1f577p-9, 0x1.72e661e83553bp-9, 0x1.6bbc80f766c7ap-9, 0x1.64b2715f6fd0fp-9, 0x1.5dc7bae54f25fp-9, 0x1.56fbe686fa86ap-9, 0x1.504e7e8be1ed7p-9, 0x1.49bf0e974960ap-9, 0x1.434d23b3d07e3p-9, 0x1.3cf84c5dab131p-9, 0x1.36c01872b5596p-9, 0x1.30a4192da04b9p-9, 0x1.2aa3e10849b2fp-9, 0x1.24bf03a4ba027p-9, 0x1.1ef515b80413fp-9, 0x1.1945acff643eap-9, 0x1.13b0604334f1bp-9, 0x1.0e34c765fc18cp-9, 0x1.08d27b7d9a933p-9, 0x1.038916f036fedp-9, 0x1.fcb06b1aefc28p-10, 0x1.f27ee93a90db8p-10, 0x1.e87ce5bf11292p-10, 0x1.dea9a0f705016p-10, 0x1.d5045dc3c285p-10, 0x1.cb8c614e6aa86p-10, 0x1.c240f2be1037cp-10, 0x1.b9215affbfa35p-10, 0x1.b02ce4acd9df9p-10, 0x1.a762dc16a102bp-10, 0x1.9ec28f740f85bp-10, 0x1.964b4f2891dcep-10, 0x1.8dfc6e13a9237p-10, 0x1.85d541d72f9c1p-10, 0x1.7dd523040fb75p-10, 0x1.75fb6d2295274p-10, 0x1.6e477e8f1f45fp-10, 0x1.66b8b83a636afp-10, 0x1.5f4e7d508b9bap-10, 0x1.580833044736p-10, 0x1.50e53f377d726p-10, 0x1.49e50a77f9d87p-10, 0x1.4306fdbb69b13p-10, 0x1.3c4a83939f7a8p-10, 0x1.35af083a7e174p-10, 0x1.2f33f9e3354edp-10, 0x1.28d8c910690dcp-10, 0x1.229ce8dc96d6p-10, 0x1.1c7fcf26568dp-10, 0x1.1680f4979b17ap-10, 0x1.109fd485a70b8p-10, 0x1.0adbecafefbc8p-10, 0x1.0534bce9324d3p-10, 0x1.ff538d76dc0f9p-11, 0x1.f4751a2c76703p-11, 0x1.e9cd282ba7aeap-11, 0x1.df5ac1d5fc3c2p-11, 0x1.d51cf3c51bf52p-11, 0x1.cb12cd15f7964p-11, 0x1.c13b5fdc6e461p-11, 0x1.b795c1a7023b3p-11, 0x1.ae210c004ae5bp-11, 0x1.a4dc5cd8de67cp-11, 0x1.9bc6d6ca1411cp-11, 0x1.92dfa125b6b8ap-11, 0x1.8a25e7cf2c893p-11, 0x1.8198dae3ac7edp-11, 0x1.7937ae402e293p-11, 0x1.710198fb9416ep-11, 0x1.68f5d4eb79cccp-11, 0x1.61139e45739cap-11, 0x1.595a33652b536p-11, 0x1.51c8d4b51ee9dp-11, 0x1.4a5ec4b2ae5fbp-11, 0x1.431b48052b0d1p-11, 0x1.3bfda5a10c767p-11, 0x1.35052714385bdp-11, 0x1.2e3118a6623edp-11, 0x1.2780c9d7447cbp-11, 0x1.20f38da1c2449p-11, 0x1.1a88bac45355dp-11, 0x1.143fabe151bbfp-11, 0x1.0e17bf71354a7p-11, 0x1.081057bb88255p-11, 0x1.0228d9642323cp-11, 0x1.f8c15a70bc4f9p-12, 0x1.ed6e7b631eb2cp-12, 0x1.e257ef87b4af7p-12, 0x1.d77c94c23d905p-12, 0x1.ccdb4c983203p-12, 0x1.c272fbac70eaap-12, 0x1.b842894bbaf06p-12, 0x1.ae48df28b9818p-12, 0x1.a484e978a8f92p-12, 0x1.9af596f9057d3p-12, 0x1.9199dc912380ap-12, 0x1.8870b1b6f180fp-12, 0x1.7f79162248df8p-12, 0x1.76b2108bddd5fp-12, 0x1.6e1aaee6d2d7ap-12, 0x1.65b205e4bde72p-12, 0x1.5d772ffece13p-12, 0x1.55694c7284f5ep-12, 0x1.4d877e7593d7bp-12, 0x1.45d0ecb9a4a97p-12, 0x1.3e44c1228142ep-12, 0x1.36e2288002727p-12, 0x1.2fa8522040856p-12, 0x1.28966f2cd5d4ap-12, 0x1.21abb20407fb8p-12, 0x1.1ae74dd878e27p-12, 0x1.144876e83282cp-12, 0x1.0dce636f7b6fdp-12, 0x1.07784d389f249p-12, 0x1.01457360670b5p-12, 0x1.f66a377f9c9b7p-13, 0x1.ea8d26fcb3d8fp-13, 0x1.def25d36ef3fap-13, 0x1.d3988d3fb1234p-13, 0x1.c87e71f0c86bep-13, 0x1.bda2cb1c08616p-13, 0x1.b3045c098a3dap-13, 0x1.a8a1eb67937a8p-13, 0x1.9e7a443556c13p-13, 0x1.948c36cb5fb83p-13, 0x1.8ad699399559p-13, 0x1.8158469170717p-13, 0x1.78101d44bc29ap-13, 0x1.6efcfd41ff779p-13, 0x1.661dc6c077986p-13, 0x1.5d715a6b3cb1p-13, 0x1.54f69b7450de5p-13, 0x1.4cac72d705f01p-13, 0x1.4491d2dca57f7p-13, 0x1.3ca5b991427fdp-13, 0x1.34e73104767dep-13, 0x1.2d554d35eafa8p-13, 0x1.25ef286e372cap-13, 0x1.1eb3dfa5600d4p-13, 0x1.17a28fd6841e4p-13, 0x1.10ba55e758196p-13, 0x1.09fa4ffedbc2fp-13, 0x1.03619ff498bd4p-13, 0x1.f9dedaed64c4dp-14, 0x1.ed45cf6b2b5afp-14, 0x1.e0f688e261b44p-14, 0x1.d4ef7ed0f7aa4p-14, 0x1.c92f2faf60d62p-14, 0x1.bdb41d2afe972p-14, 0x1.b27cc9f2ffd97p-14, 0x1.a787b8deadf12p-14, 0x1.9cd37019dd7afp-14, 0x1.925e7d2ed6df6p-14, 0x1.88277a11985ffp-14, 0x1.7e2d10ad91ad1p-14, 0x1.746df8ce3bb9cp-14, 0x1.6ae8fc6fd8574p-14, 0x1.619ce33ae43c6p-14, 0x1.58887a4c0666ep-14, 0x1.4faa8a5f945aep-14, 0x1.4701daad38dd7p-14, 0x1.3e8d3517e22ffp-14, 0x1.364b6af480c16p-14, 0x1.2e3b581ef095cp-14, 0x1.265be399c48c7p-14, 0x1.1eabfe6580fe3p-14, 0x1.172aa1cb29975p-14, 0x1.0fd6ce0b1a08cp-14, 0x1.08af898970e16p-14, 0x1.01b3e01957e05p-14, 0x1.f5c5c38854ecfp-15, 0x1.e87741fb73dafp-15, 0x1.db7a61eda6c66p-15, 0x1.cecd4a9130927p-15, 0x1.c26e2779e925bp-15, 0x1.b65b2f3726465p-15, 0x1.aa92a9342ad51p-15, 0x1.9f12eec7a7c17p-15, 0x1.93da66499113ep-15, 0x1.88e77b2272bbdp-15, 0x1.7e38983bc9804p-15, 0x1.73cc28ccb28f9p-15, 0x1.69a09eed9c9b2p-15, 0x1.5fb47af5bdffp-15, 0x1.56064e2a6b46fp-15, 0x1.4c94b6841f076p-15, 0x1.435e57d1808fdp-15, 0x1.3a61d818dbef5p-15, 0x1.319de0adbbad4p-15, 0x1.29112278104fcp-15, 0x1.20ba5d26994d6p-15, 0x1.18986248a9fd5p-15, 0x1.10aa12fc30933p-15, 0x1.08ee58b1bbf06p-15, 0x1.01641bf33ee54p-15, 0x1.f4147ab88988ep-16, 0x1.e5bf283c0cbccp-16, 0x1.d7c5e5e3de8cap-16, 0x1.ca26626adc0d1p-16, 0x1.bcde6748c6926p-16, 0x1.afebe0c8e54a7p-16, 0x1.a34cd9b13137ap-16, 0x1.96ff6ec94b723p-16, 0x1.8b01c31246b6ep-16, 0x1.7f51fc7525fafp-16, 0x1.73ee4a2e3dcdbp-16, 0x1.68d4edb64434bp-16, 0x1.5e043bc8e3988p-16, 0x1.537a9211c2dbfp-16, 0x1.493649b9af61dp-16, 0x1.3f35b2d55246ap-16, 0x1.35771d688b231p-16, 0x1.2bf8e967c2574p-16, 0x1.22b9932f597fcp-16, 0x1.19b7b5d0f8adcp-16, 0x1.10f2037fc918ap-16, 0x1.086739b027fc7p-16, 0x1.0016186075e7ap-16, 0x1.effa988df22d3p-17, 0x1.e037270dbad66p-17, 0x1.d0df1124f90dcp-17, 0x1.c1ef65458b5ffp-17, 0x1.b365552530b5ap-17, 0x1.a53e1e795050bp-17, 0x1.97772f17cded4p-17, 0x1.8a0e2dca366afp-17, 0x1.7d00f27091275p-17, 0x1.704d6bc4c0639p-17, 0x1.63f18a8f710c1p-17, 0x1.57eb30c7fcae4p-17, 0x1.4c383af899a08p-17, 0x1.40d694c7468edp-17, 0x1.35c4421f98051p-17, 0x1.2aff527f144cp-17, 0x1.2085d1b768ca6p-17, 0x1.1655cbe819b5bp-17, 0x1.0c6d68608bc24p-17, 0x1.02caf645cd05cp-17, 0x1.f2d9cc8c3da54p-18, 0x1.e0a3682de5febp-18, 0x1.ceefad7226961p-18, 0x1.bdbb828ddf17dp-18, 0x1.ad03da85f9371p-18, 0x1.9cc5c1e8b0b3cp-18, 0x1.8cfe571139cb1p-18, 0x1.7daab5e62d18dp-18, 0x1.6ec7e719a3916p-18, 0x1.6052dea9b6a0ep-18, 0x1.52488d1b19d85p-18, 0x1.44a5fd6c14e42p-18, 0x1.37687298a6185p-18, 0x1.2a8d778deaa36p-18, 0x1.1e12d9629c3ddp-18, 0x1.11f6895e724dbp-18, 0x1.06366d919fb4dp-18, 0x1.f5a07009cfca1p-19, 0x1.df82cc61922b3p-19, 0x1.ca0edfd50a30fp-19, 0x1.b53ff236913fcp-19, 0x1.a111a7e3773d9p-19, 0x1.8d7fc31eaabfep-19, 0x1.7a8618b6cfab6p-19, 0x1.6820cf3cd26f3p-19, 0x1.564c7993243cap-19, 0x1.4505ccd3afadbp-19, 0x1.344944c6c0d22p-19, 0x1.241313e86446ap-19, 0x1.145f6718ebe46p-19, 0x1.052aa62d6b00fp-19, 0x1.ece2f91285c57p-20, 0x1.d0618bfbcb086p-20, 0x1.b4caf26438172p-20, 0x1.9a193e65bb456p-20, 0x1.804696270a753p-20, 0x1.674d18d41f388p-20, 0x1.4f26d147dd36ap-20, 0x1.37cdcb7e87e83p-20, 0x1.213c4670b0f5ep-20, 0x1.0b6ce2f753bb4p-20, 0x1.ecb56b7e08b8fp-21, 0x1.c4026cab33c25p-21, 0x1.9cb824c7b04dp-21, 0x1.76cdd0bc6821dp-21, 0x1.5239f21559e05p-21, 0x1.2ef21c21e929ep-21, 0x1.0ceba90b63ea5p-21, 0x1.d839b99d01p-22, 0x1.98f8580bffe53p-22, 0x1.5c096ba760ff4p-22, 0x1.215730031d48bp-22, 0x1.d1aaa08e33ec4p-23, 0x1.64ebbfa0db765p-23, 0x1.f8aac4a7b809ap-24, 0x1.2f8fd50299326p-24, 0x1.b9110d0dd143ep-26, -0x1.2dd70f4ad54acp-26, -0x1.fba9d26255d3ep-25, -0x1.a90c9e3edb845p-24, -0x1.26a82c601432ep-23, -0x1.75697cecf8693p-23, -0x1.c0e2a494c9402p-23, -0x1.04956830f79ddp-22, -0x1.272c29e98708p-22, -0x1.48409ca1a80abp-22, -0x1.67dde1802e4a6p-22, -0x1.860f34954141bp-22, -0x1.a2dfc2580e13cp-22, -0x1.be5a905d73f2cp-22, -0x1.d88a2ad0a42abp-22, -0x1.f178c325919c2p-22, -0x1.04980b9b8c818p-21, -0x1.0fdca3fc56157p-21, -0x1.1a8e6f8489593p-21, -0x1.24b1abb4504bep-21, -0x1.2e4aebe2bff32p-21, -0x1.375f0d378b378p-21, -0x1.3ff2a4e6f6c33p-21, -0x1.4809846795d35p-21, -0x1.4fa6dacd0ab73p-21, -0x1.56cde7411c4f1p-21, -0x1.5d8260e4f5f21p-21, -0x1.63c7f81a4b197p-21, -0x1.69a22917a98adp-21, -0x1.6f14b8e87d501p-21, -0x1.742363501e5e1p-21, -0x1.78d165986b584p-21, -0x1.7d21bfda3747ep-21, -0x1.8117a0a6d0c7ep-21, -0x1.84b644465c03bp-21, -0x1.8800bda67765bp-21, -0x1.8af9edf59f45p-21, -0x1.8da48f18477b4p-21, -0x1.90033b449ea55p-21, -0x1.921872b6e0507p-21, -0x1.93e6a26760ee7p-21, -0x1.95702c2717f4bp-21, -0x1.96b76eb306029p-21, -0x1.97bec7f773ccdp-21, -0x1.9888929fdf04p-21, -0x1.991725f37dc51p-21, -0x1.996c1afc98bep-21, -0x1.998b548ef00e8p-21, -0x1.9975f0d433295p-21, -0x1.992d9ed5cad26p-21, -0x1.98b4818d505efp-21, -0x1.980c53687ae51p-21, -0x1.9736f799ffb3bp-21, -0x1.9636855e8a278p-21, -0x1.950d026fdb7a8p-21, -0x1.93bc154b8879ep-21, -0x1.92450eb8c2041p-21, -0x1.90a9561e71c54p-21, }}, 
      {{-0x1.018887e1790c1p-13, -0x1.ae37d99c2b523p-12, -0x1.648427841e2fdp-11, -0x1.7da00a71b5bf9p-11, -0x1.875d49c6f6c16p-12, 0x1.112c8478b36d9p-11, 0x1.0bb2d578dd3e9p-9, 0x1.15412ec253768p-8, 0x1.d03bdd86c8e49p-8, 0x1.5a35d52eb3985p-7, 0x1.dedda8420b37dp-7, 0x1.39b710c7f2738p-6, 0x1.8a6db1e0ec15cp-6, 0x1.dff23aca9a8e6p-6, 0x1.1c4e867948ce8p-5, 0x1.4967552c83c65p-5, 0x1.767da99455f19p-5, 0x1.a2d9ba95b06e7p-5, 0x1.cdd4b481bff33p-5, 0x1.f6da76557b6abp-5, 0x1.0eb53116c1945p-4, 0x1.208bb941f5ef9p-4, 0x1.30c3e086b3be9p-4, 0x1.3f39d2de8a65cp-4, 0x1.4bd246eca3498p-4, 0x1.5679d26cfc038p-4, 0x1.5f243229ece52p-4, 0x1.65cb8d28c782ap-4, 0x1.6a6fb9f160173p-4, 0x1.6d1589fbf797p-4, 0x1.6dc61ec33847ap-4, 0x1.6c8e4a69245d8p-4, 0x1.697dfcf265842p-4, 0x1.64a7bea1139dfp-4, 0x1.5e2037138e01fp-4, 0x1.55fdc0aa913f3p-4, 0x1.4c58075ac0aa8p-4, 0x1.4147b1f9e4cb4p-4, 0x1.34e61524533c1p-4, 0x1.274ceec8e3463p-4, 0x1.189629a75517dp-4, 0x1.08dba80042178p-4, 0x1.f06e29b33a691p-5, 0x1.cd837688269ddp-5, 0x1.a928c62df1ddap-5, 0x1.838e655f9f5aap-5, 0x1.5ce32a7c2782p-5, 0x1.35544a7070aedp-5, 0x1.0d0d3538b7e71p-5, 0x1.c86ef2be573e3p-6, 0x1.75f55bb158eaap-6, 0x1.22f8c3973315cp-6, 0x1.9f8045e0b9c7dp-7, 0x1.f238fe028b13bp-8, 0x1.4d0d45f03e00dp-9, -0x1.465a26aae54e3p-9, -0x1.ea094e3609094p-8, -0x1.96a2c4b79cfa8p-7, -0x1.1b0a53941e91fp-6, -0x1.6982eb38ce875p-6, -0x1.b694bb781d23p-6, -0x1.010e7a98e2fdp-5, -0x1.25fe255189b01p-5, -0x1.4a0b635b47b35p-5, -0x1.6d29d2578efd7p-5, -0x1.8f4e96d665144p-5, -0x1.b0704775f698p-5, -0x1.d086d38937e05p-5, -0x1.ef8b72565907dp-5, -0x1.06bc45468c671p-4, -0x1.1524cffcc05ebp-4, -0x1.22fda248a2139p-4, -0x1.304581e3b872fp-4, -0x1.3cfba9019eda1p-4, -0x1.491fbd9da10b5p-4, -0x1.54b1c7de0520ep-4, -0x1.5fb22acc713b3p-4, -0x1.6a219cc74f885p-4, -0x1.74012165af394p-4, -0x1.7d5203b033a9cp-4, -0x1.8615d0af194d3p-4, -0x1.8e4e520d9e85bp-4, -0x1.95fd889dc60d4p-4, -0x1.9d25a71085647p-4, -0x1.a3c90cb7aaf74p-4, -0x1.a9ea409dc5949p-4, -0x1.af8bed027d2afp-4, -0x1.b4b0db283ea33p-4, -0x1.b95bef854a419p-4, -0x1.bd9026338336p-4, -0x1.c1508f99b3ffep-4, -0x1.c4a04d27ac5b4p-4, -0x1.c7828e46e4e33p-4, -0x1.c9fa8d4e1c723p-4, -0x1.cc0b8c81b4dc1p-4, -0x1.cdb8d364f6effp-4, -0x1.cf05ac08e26f4p-4, -0x1.cff560a67ccc1p-4, -0x1.d08b3966c2df2p-4, -0x1.d0ca7a5a31354p-4, -0x1.d0b661c044634p-4, -0x1.d052265fa6f97p-4, -0x1.cfa0f6262bc89p-4, -0x1.cea5f4e8d3626p-4, -0x1.cd643b4e0a3edp-4, -0x1.cbded5cc1775bp-4, -0x1.ca18c3d5ec70ep-4, -0x1.c814f70ed597cp-4, -0x1.c5d652a073b96p-4, -0x1.c35faa9c65e46p-4, -0x1.c0b3c378cac12p-4, -0x1.bdd55199570dp-4, -0x1.bac6f8ee5b827p-4, -0x1.b78b4ca7f7d24p-4, -0x1.b424cefaf88fcp-4, -0x1.b095f0ef7ab99p-4, -0x1.ace11252edf47p-4, -0x1.a90881a5967cep-4, -0x1.a50e7c2c2d8cp-4, -0x1.a0f52df7d8472p-4, -0x1.9cbeb21236198p-4, -0x1.986d12a31015p-4, -0x1.940249228a74ap-4, -0x1.8f803e9c7c99cp-4, -0x1.8ae8cbe8a5589p-4, -0x1.863db9f5848dap-4, -0x1.8180c21874376p-4, -0x1.7cb38e41426f7p-4, -0x1.77d7b965258abp-4, -0x1.72eecfbc7cf73p-4, -0x1.6dfa4eff12f16p-4, -0x1.68fba6e5db9e8p-4, -0x1.63f43943e2704p-4, -0x1.5ee55a6db6356p-4, -0x1.59d0518d5a4e4p-4, -0x1.54b658e3fcad6p-4, -0x1.4f989e1905a6ap-4, -0x1.4a78429958767p-4, -0x1.45565bd7e7dep-4, -0x1.4033f38ae9e9ep-4, -0x1.3b120824339aap-4, -0x1.35f18cff104ap-4, -0x1.30d36a9c3c20bp-4, -0x1.2bb87f070abafp-4, -0x1.26a19e33f6e27p-4, -0x1.218f91f339444p-4, -0x1.1c831a7d13c45p-4, -0x1.177ceeb2014bdp-4, -0x1.127dbc35b1017p-4, -0x1.0d8627afdfdb3p-4, -0x1.0896cd2f59aecp-4, -0x1.03b04056e8b8bp-4, -0x1.fda618dad3aacp-5, -0x1.f3ff696d702c5p-5, -0x1.ea6d69911df42p-5, -0x1.e0f1012509c33p-5, -0x1.d78b08fd758fbp-5, -0x1.ce3c4ba93389ap-5, -0x1.c50585faa1a9bp-5, -0x1.bbe766e4d8ca1p-5, -0x1.b2e28fde9ab62p-5, -0x1.a9f795bb093c9p-5, -0x1.a127010351e04p-5, -0x1.98714dc8db603p-5, -0x1.8fd6ec12a67ecp-5, -0x1.875840b722c61p-5, -0x1.7ef5a5b7eb0b6p-5, -0x1.76af6a047a9c5p-5, -0x1.6e85d1c562d68p-5, -0x1.66791742f732bp-5, -0x1.5e896b6ca6d63p-5, -0x1.56b6f589ce27bp-5, -0x1.4f01d342e9b2cp-5, -0x1.476a198cbde9fp-5, -0x1.3fefd5597978dp-5, -0x1.38930b844baf5p-5, -0x1.3153b881c2542p-5, -0x1.2a31d0f240388p-5, -0x1.232d42a524858p-5, -0x1.1c45f4e0adeb3p-5, -0x1.157bc7f65b817p-5, -0x1.0ece9555b0daep-5, -0x1.083e3050e65fep-5, -0x1.01ca670157239p-5, -0x1.f6e6048ceafbap-6, -0x1.ea6f8a9b0a65p-6, -0x1.de30dbdc2a7fcp-6, -0x1.d2296a954c5b2p-6, -0x1.c658a18a72f21p-6, -0x1.babde3a97498fp-6, -0x1.af588b4598bfp-6, -0x1.a427ea662da6bp-6, -0x1.992b4c7d5a778p-6, -0x1.8e61f7e4e153p-6, -0x1.83cb2de0aa3dcp-6, -0x1.796629c133199p-6, -0x1.6f3220de80288p-6, -0x1.652e440e47648p-6, -0x1.5b59c146f8b8bp-6, -0x1.51b3c3fe5fda6p-6, -0x1.483b745a2e2e2p-6, -0x1.3eeff6bbd8b06p-6, -0x1.35d06c9aa342ep-6, -0x1.2cdbf64cb6bfap-6, -0x1.2411b3c9e4bfp-6, -0x1.1b70c44e5bbc9p-6, -0x1.12f8458b856d4p-6, -0x1.0aa753cf3faa4p-6, -0x1.027d0b4769606p-6, -0x1.f4f1128d7fbb3p-7, -0x1.e531d90fb3226p-7, -0x1.d5baa90b19a17p-7, -0x1.c689c205ffb33p-7, -0x1.b79d64ff87bdcp-7, -0x1.a8f3d6ac5df13p-7, -0x1.9a8b6117a797bp-7, -0x1.8c625398e14a7p-7, -0x1.7e7701d37159dp-7, -0x1.70c7c346cec25p-7, -0x1.6352f42446f2ap-7, -0x1.5616f6d625eccp-7, -0x1.491234f7f5b1cp-7, -0x1.3c431f4550119p-7, -0x1.2fa82d198738ap-7, -0x1.233fdc4c0ccafp-7, -0x1.1708b1b16e24bp-7, -0x1.0b0139dcbca52p-7, -0x1.fe50132f4cb2ep-8, -0x1.e6f77b9a7400cp-8, -0x1.cff5f74b8d24ep-8, -0x1.b948e10e2c2b9p-8, -0x1.a2eda4f97bfcdp-8, -0x1.8ce1c0b79a162p-8, -0x1.7722c356d4413p-8, -0x1.61ae4cf08d004p-8, -0x1.4c820ed8bb464p-8, -0x1.379bcc9766433p-8, -0x1.22f95cf329847p-8, -0x1.0e98aa0bbd3abp-8, -0x1.f4ef60a45d61dp-9, -0x1.cd28fa84c5abfp-9, -0x1.a5da5d54b19ffp-9, -0x1.7effe8757564ep-9, -0x1.58962019c9759p-9, -0x1.3299b17c69948p-9, -0x1.0d0770e8a0c83p-9, -0x1.cfb8abf45aeeap-10, -0x1.862aef8baa3f1p-10, -0x1.3d601769f8a19p-10, -0x1.eaa59f16a38c1p-11, -0x1.5bfc19f754476p-11, -0x1.9d744b64623cep-12, -0x1.0b5b7e71ae7f4p-13, 0x1.1ed857ec6281ep-13, 0x1.a1e94e55b2acbp-12, 0x1.58ec56ed69717p-11, 0x1.dfa438e688ff2p-11, 0x1.329170ffe06dbp-10, 0x1.74b72d8bbb496p-10, 0x1.b64610fe6b2d6p-10, 0x1.f7409b26671b7p-10, 0x1.1bd48c3082ad7p-9, 0x1.3bc0d476aacc4p-9, 0x1.5b6620e6a02b1p-9, 0x1.7ac55376a872ep-9, 0x1.99df331d25458p-9, 0x1.b8b467790d4e8p-9, 0x1.d7457c643e684p-9, 0x1.f592e51f8bc4fp-9, 0x1.09ce80d081555p-8, 0x1.18b210da580e5p-8, 0x1.2774428417dc8p-8, 0x1.36152c495d878p-8, 0x1.4494d9b60ad8ap-8, 0x1.52f34a9707ab9p-8, 0x1.61307398e1c3p-8, 0x1.6f4c403236c96p-8, 0x1.7d4694fd039a8p-8, 0x1.8b1f51655683cp-8, 0x1.98d64ffebd4f5p-8, 0x1.a66b659883aebp-8, 0x1.b3de5fcab9929p-8, 0x1.c12f03ebc396bp-8, 0x1.ce5d0f224994ep-8, 0x1.db6837b87416fp-8, 0x1.e8502f35a8765p-8, 0x1.f514a4614bd7bp-8, 0x1.00daa22ce128cp-7, 0x1.0718dd3638fa9p-7, 0x1.0d44d7828594ep-7, 0x1.135e62e055e99p-7, 0x1.19654ed515d85p-7, 0x1.1f596838c9362p-7, 0x1.253a7a2ea27afp-7, 0x1.2b084f208f29cp-7, 0x1.30c2b1b367541p-7, 0x1.36696d4e0210dp-7, 0x1.3bfc4e04cc2fep-7, 0x1.417b1ffc66e1bp-7, 0x1.46e5ae9d4064cp-7, 0x1.4c3bc41457e08p-7, 0x1.517d2945b8197p-7, 0x1.56a9a66de5bcbp-7, 0x1.5bc10423767d6p-7, 0x1.60c30c646cd1dp-7, 0x1.65af8b4abf53cp-7, 0x1.6a864f2483929p-7, 0x1.6f4727ede20d8p-7, 0x1.73f1e66a009b1p-7, 0x1.78865b4b3280cp-7, 0x1.7d0456cf8ee36p-7, 0x1.816ba9035e16dp-7, 0x1.85bc22c093bc2p-7, 0x1.89f5969da0876p-7, 0x1.8e17da31ca8d5p-7, 0x1.9222c67cb92b2p-7, 0x1.961637c3ccef4p-7, 0x1.99f20cc445da9p-7, 0x1.9db625935c8fap-7, 0x1.a16262ca05356p-7, 0x1.a4f6a4e474c8ep-7, 0x1.a872cccb6e4dap-7, 0x1.abd6bcb299439p-7, 0x1.af225955b025cp-7, 0x1.b2558b124499dp-7, 0x1.b5703e7c39d12p-7, 0x1.b872643d799d7p-7, 0x1.bb5bf04d74127p-7, 0x1.be2cd8c8ea29bp-7, 0x1.c0e514d52d5f1p-7, 0x1.c3849bf622406p-7, 0x1.c60b6610b856bp-7, 0x1.c8796c16d593dp-7, 0x1.cacea91bb8af8p-7, 0x1.cd0b1b75115edp-7, 0x1.cf2ec58a8b8b8p-7, 0x1.d139ae19d1f6ap-7, 0x1.d32bdfdbcbde2p-7, 0x1.d50568ab79e76p-7, 0x1.d6c6587b8e23ep-7, 0x1.d86ec06b63fa5p-7, 0x1.d9feb24067643p-7, 0x1.db76406c9e4bfp-7, 0x1.dcd57e9736562p-7, 0x1.de1c8255370bep-7, 0x1.df4b6409fa614p-7, 0x1.e0623f7876cf5p-7, 0x1.e161340138aadp-7, 0x1.e248647831f21p-7, 0x1.e317f6a32d831p-7, 0x1.e3d0128d7fc18p-7, 0x1.e470e1ddaf143p-7, 0x1.e4fa8f5ae1105p-7, 0x1.e56d46b19e029p-7, 0x1.e5c934c8d5fcdp-7, 0x1.e60e87986a69ep-7, 0x1.e63d6f0cab3ap-7, 0x1.e6561d2606fecp-7, 0x1.e658c644ba3f4p-7, 0x1.e645a13b6465bp-7, 0x1.e61ce733b950fp-7, 0x1.e5ded36f6d1c7p-7, 0x1.e58ba2f2e0428p-7, 0x1.e523942d05057p-7, 0x1.e4a6e6b5a20bdp-7, 0x1.e415db1fa5e84p-7, 0x1.e370b2f663305p-7, 0x1.e2b7b0c115351p-7, 0x1.e1eb181d6968dp-7, 0x1.e10b2df609f05p-7, 0x1.e018387e6a66cp-7, 0x1.df127f475bab6p-7, 0x1.ddfa4b3e3054cp-7, 0x1.dccfe69131be3p-7, 0x1.db939c8c4f0d5p-7, 0x1.da45b96e566a1p-7, 0x1.d8e68a3ed717ep-7, 0x1.d7765cad23ce1p-7, 0x1.d5f57efc4d0ecp-7, 0x1.d4643ffc48f8ap-7, 0x1.d2c2ef0b87313p-7, 0x1.d111dc1b620ddp-7, 0x1.cf5157b1c091p-7, 0x1.cd81b2e518a98p-7, 0x1.cba33f51d5c71p-7, 0x1.c9b64f0a0bfc7p-7, 0x1.c7bb34816714ap-7, 0x1.c5b2427776419p-7, 0x1.c39bcbe37699ep-7, 0x1.c17823e27520dp-7, 0x1.bf479daafa086p-7, 0x1.bd0a8c84d91c7p-7, 0x1.bac143d74fe69p-7, 0x1.b86c16b13c62ep-7, 0x1.b60b58b04ebefp-7, 0x1.b39f5cfb8e60ap-7, 0x1.b12876b728407p-7, 0x1.aea6f8d7e2f3ep-7, 0x1.ac1b361e12b56p-7, 0x1.a98581082b2c8p-7, 0x1.a6e62bce2845ap-7, 0x1.a43d885c417c5p-7, 0x1.a18be84bd3c04p-7, 0x1.9ed19cd924eccp-7, 0x1.9c0ef6d6023c2p-7, 0x1.9944469adfec4p-7, 0x1.9671dbf8ae709p-7, 0x1.9398062d765d7p-7, 0x1.90b713dd1273p-7, 0x1.8dcf530e0c00ep-7, 0x1.8ae1112985c9ep-7, 0x1.87ec9afbcb912p-7, 0x1.84f23cb301bdap-7, 0x1.81f241d96dae8p-7, 0x1.7eecf54a64af5p-7, 0x1.7be2a1233080ep-7, 0x1.78d38eb25a55fp-7, 0x1.75c00669b5802p-7, 0x1.72a84fd685b4cp-7, 0x1.6f8cb1a160167p-7, 0x1.6c6d71951b506p-7, 0x1.694ad4a885035p-7, 0x1.66251f05ba05bp-7, 0x1.62fc9409848b1p-7, 0x1.5fd17638619ccp-7, 0x1.5ca4072adf5d8p-7, 0x1.59748775c6a8ep-7, 0x1.56433695faad2p-7, 0x1.531052e6dfa42p-7, 0x1.4fdc19a72777p-7, 0x1.4ca6c70b13a28p-7, 0x1.4970965625e06p-7, 0x1.4639c1f2ce903p-7, 0x1.4302837e51923p-7, 0x1.3fcb13c248072p-7, 0x1.3c93aa9b35991p-7, 0x1.395c7ed15ec3bp-7, 0x1.3625c5e196155p-7, 0x1.32efb42e0bd75p-7, 0x1.2fba7c5c295dp-7, 0x1.2c86500680402p-7, 0x1.29535f991bcfcp-7, 0x1.2621da991eef9p-7, 0x1.22f1efd56c10dp-7, 0x1.1fc3cd8094a07p-7, 0x1.1c97a1287a951p-7, 0x1.196d978af6dc1p-7, 0x1.1645dc517b849p-7, 0x1.132099c6e0b08p-7, 0x1.0ffdf89ece9cfp-7, 0x1.0cde1fe25d9eep-7, 0x1.09c1350c3fb2ap-7, 0x1.06a75c50d3dfp-7, 0x1.0390b900ac569p-7, 0x1.007d6dea44dd7p-7, 0x1.fadb3b3a44438p-8, 0x1.f4c2d4f144168p-8, 0x1.eeb1ecff6b70bp-8, 0x1.e8a8c5d96d186p-8, 0x1.e2a79f74ba468p-8, 0x1.dcaeb64cab839p-8, 0x1.d6be42cc1de9fp-8, 0x1.d0d67940a8302p-8, 0x1.caf78a6b17d8dp-8, 0x1.c521a492e9a8fp-8, 0x1.bf54f4dabc707p-8, 0x1.b991a87d972dep-8, 0x1.b3d7ed9cd8c18p-8, 0x1.ae27f35ef0566p-8, 0x1.a881e94b3ba51p-8, 0x1.a2e5fe01eb28bp-8, 0x1.9d545d9e2c49ep-8, 0x1.97cd302b72629p-8, 0x1.9250989a1638ep-8, 0x1.8cdeb484b0aefp-8, 0x1.87779ce72dc07p-8, 0x1.821b67ab20b34p-8, 0x1.7cca29b444f17p-8, 0x1.7783f8f08864ep-8, 0x1.7248ede719fe8p-8, 0x1.6d19245b2c2bbp-8, 0x1.67f4bacc444dfp-8, 0x1.62dbd0e375a8fp-8, 0x1.5dce851bf51c4p-8, 0x1.58ccf2405f88p-8, 0x1.53d72d26527aep-8, 0x1.4eed436ec2f9ap-8, 0x1.4a0f3ba10f20ep-8, 0x1.453d161668c0cp-8, 0x1.4076d07158061p-8, 0x1.3bbc67db73b63p-8, 0x1.370ddc930e19bp-8, 0x1.326b3421efe24p-8, 0x1.2dd47a497342p-8, 0x1.2949c04c7c552p-8, 0x1.24cb1aafe5c3cp-8, 0x1.20589de2e8791p-8, 0x1.1bf25a7d1efccp-8, 0x1.179859d863385p-8, 0x1.134a9bbfe3f51p-8, 0x1.0f0915bfa67f4p-8, 0x1.0ad3b45777c43p-8, 0x1.06aa5df7a46b3p-8, 0x1.028cf74c5c493p-8, 0x1.fcf6d00c0698ep-9, 0x1.f4eb3e3ea5d8bp-9, 0x1.ecf72b53e6748p-9, 0x1.e51a9ef2e639bp-9, 0x1.dd55b2f60c31ep-9, 0x1.d5a88c1fb0fcep-9, 0x1.ce13505491059p-9, 0x1.c6961c458c0b2p-9, 0x1.bf30fa671973p-9, 0x1.b7e3dcb6c5455p-9, 0x1.b0ae9a4fe365cp-9, 0x1.a990f14a9a47ep-9, 0x1.a28a8cda39febp-9, 0x1.9b9b0effa2bc7p-9, 0x1.94c21c6b4eb4bp-9, 0x1.8dff687957d04p-9, 0x1.8752becd40cc6p-9, 0x1.80bc084b187b3p-9, 0x1.7a3b4a12ca4dp-9, 0x1.73d09e8c00a31p-9, 0x1.6d7c2a2411984p-9, 0x1.673e0e0926452p-9, 0x1.61165c1060a22p-9, 0x1.5b050d7d9fb6cp-9, 0x1.5509fdff1dfc3p-9, 0x1.4f24eada604ccp-9, 0x1.495575d4fb78dp-9, 0x1.439b2b51c2188p-9, 0x1.3df58b89f53eep-9, 0x1.386415b8693fbp-9, 0x1.32e65573fde83p-9, 0x1.2d7bef1936ddfp-9, 0x1.2824a961280f7p-9, 0x1.22e0713f3e0a7p-9, 0x1.1daf567f970bfp-9, 0x1.189181622b5cfp-9, 0x1.138723856cca3p-9, 0x1.0e9067d9c149cp-9, 0x1.09ad6560f09efp-9, 0x1.04de181f43939p-9, 0x1.00225e9e698b7p-9, 0x1.f6f3fbd136388p-10, 0x1.edc94c762ff35p-10, 0x1.e4c3f0166f4e6p-10, 0x1.dbe3108d9b371p-10, 0x1.d325c97657d66p-10, 0x1.ca8b3478b4d0dp-10, 0x1.c2127acd03682p-10, 0x1.b9baea2a6c0ddp-10, 0x1.b18407c380afp-10, 0x1.a96d9a4a76024p-10, 0x1.a177a564ea0fep-10, 0x1.99a2553730afap-10, 0x1.91edde5f1ea31p-10, 0x1.8a5a5b6d2a247p-10, 0x1.82e7b29590d92p-10, 0x1.7b958bbcc1cb5p-10, 0x1.746358dfdb58cp-10, 0x1.6d506b9896b3ep-10, 0x1.665c0d6cdc139p-10, 0x1.5f85905218cddp-10, 0x1.58cc51a75ce8p-10, 0x1.522fb1945a785p-10, 0x1.4baf0729112cdp-10, 0x1.45499b71e37fp-10, 0x1.3efeb20e69fdap-10, 0x1.38cd9edcf7479p-10, 0x1.32b5e1703e0b5p-10, 0x1.2cb73b4e2aa7bp-10, 0x1.26d1b6b939c7ep-10, 0x1.210598bdfff13p-10, 0x1.1b5340d35b137p-10, 0x1.15baffd37b383p-10, 0x1.103cf43c2b8e6p-10, 0x1.0ad8f8b4fbe04p-10, 0x1.058eaa7be4415p-10, 0x1.005d84e51214fp-10, 0x1.f68a0aae95d2fp-11, 0x1.ec898ea610f5ap-11, 0x1.e2b916ee35285p-11, 0x1.d9184b4583ec2p-11, 0x1.cfa6b4f4cac7cp-11, 0x1.c66379ebb55abp-11, 0x1.bd4d39e08a74bp-11, 0x1.b4621f1972b2dp-11, 0x1.aba01dccca907p-11, 0x1.a3054a5887be7p-11, 0x1.9a9027f4dc51fp-11, 0x1.923fd5a551dc4p-11, 0x1.8a140b146660ap-11, 0x1.820ce7421cecbp-11, 0x1.7a2aa3c0a5a87p-11, 0x1.726d493c95eaep-11, 0x1.6ad480bc5b6e2p-11, 0x1.635f90830ed8cp-11, 0x1.5c0d84c349f0ep-11, 0x1.54dd74177263fp-11, 0x1.4dcec71156ffp-11, 0x1.46e16555a68afp-11, 0x1.4015aff82887bp-11, 0x1.396c4597b3ee8p-11, 0x1.32e59dbed9855p-11, 0x1.2c81ae87ade4cp-11, 0x1.263fbce67523ap-11, 0x1.201e70b32bfe7p-11, 0x1.1a1c1c7d8b483p-11, 0x1.1437168228abp-11, 0x1.0e6e01f0a0fc4p-11, 0x1.08bff7defb456p-11, 0x1.032c8caaa12a3p-11, 0x1.fb676a173e7eep-12, 0x1.f0ab2983ca70cp-12, 0x1.e6249128b0debp-12, 0x1.dbd37c1c2275ep-12, 0x1.d1b7440a01d38p-12, 0x1.c7cec887fe4ccp-12, 0x1.be189770ca9a8p-12, 0x1.b49331914852fp-12, 0x1.ab3d62d85402ep-12, 0x1.a216922ef24cp-12, 0x1.991edcb0f8239p-12, 0x1.9056da15e2fc1p-12, 0x1.87bf11d7d86cep-12, 0x1.7f575c33bf83ap-12, 0x1.771e83bbddf96p-12, 0x1.6f1260da22b54p-12, 0x1.67305e35a9c63p-12, 0x1.5f760f13e47ccp-12, 0x1.57e1810271452p-12, 0x1.50713df0d92eep-12, 0x1.492439f39908ap-12, 0x1.41f9db9723101p-12, 0x1.3af20d4b64adfp-12, 0x1.340d2c86696a4p-12, 0x1.2d4bcd230bad2p-12, 0x1.26ae6bdf54cp-12, 0x1.20352dd09402ep-12, 0x1.19dfbe035ace7p-12, 0x1.13ad50fb5f9dap-12, 0x1.0d9cca27e2eedp-12, 0x1.07acf167d238dp-12, 0x1.01dca4687c62bp-12, 0x1.f855f64272b3bp-13, 0x1.ed2ebb9fa1d9fp-13, 0x1.e24307d3e3fbep-13, 0x1.d7929d1e6379p-13, 0x1.cd1d053414d96p-13, 0x1.c2e11234f48d9p-13, 0x1.b8dcda1277498p-13, 0x1.af0e471ef9b29p-13, 0x1.a573b14dccf1fp-13, 0x1.9c0bb86f74bc3p-13, 0x1.92d4629c730ebp-13, 0x1.89ca98adfd3acp-13, 0x1.80eaf513f576dp-13, 0x1.7833609dacb64p-13, 0x1.6fa4002160f17p-13, 0x1.673ea6fbbc5dap-13, 0x1.5f055b3f19a35p-13, 0x1.56f913c081caep-13, 0x1.4f198060025fep-13, 0x1.4765d6b129bcdp-13, 0x1.3fddd4b9d901dp-13, 0x1.388202102bcbfp-13, 0x1.31530ef11403ep-13, 0x1.2a50d59a873ebp-13, 0x1.237a10e2c2297p-13, 0x1.1cccccd5f4ec7p-13, 0x1.16473bd44cde9p-13, 0x1.0fe84cbb08f23p-13, 0x1.09afa9485c621p-13, 0x1.039d1f8378141p-13, 0x1.fb5fba8c47014p-14, 0x1.efcc50e07488fp-14, 0x1.e47bd80f4d1e2p-14, 0x1.d96aedbe92221p-14, 0x1.ce9667972f5efp-14, 0x1.c3f8ba96b438fp-14, 0x1.b989361224b5p-14, 0x1.af400279407e7p-14, 0x1.a51ba7e7a332ep-14, 0x1.9b21ece080b92p-14, 0x1.915ad31aa3e2fp-14, 0x1.87ca9709b0589p-14, 0x1.7e6fd9ae78e4dp-14, 0x1.7546b238e4c1ep-14, 0x1.6c4d1d22645d8p-14, 0x1.63849a30c002dp-14, 0x1.5af0187d23e93p-14, 0x1.5290dd6eb4ceep-14, 0x1.4a6524eb4d1b6p-14, 0x1.4268d7a83f39ep-14, 0x1.3a972f2335a85p-14, 0x1.32ec44b7ac2b6p-14, 0x1.2b66252e5359ap-14, 0x1.24054caa543c6p-14, 0x1.1ccc6d2ecd19ep-14, 0x1.15bf55eac41f9p-14, 0x1.0ee118e0b07bdp-14, 0x1.08325db0e097p-14, 0x1.01b169901270ep-14, 0x1.f6b84e684c35ep-15, 0x1.ea635ca7149dep-15, 0x1.de60ee9a3953ep-15, 0x1.d2a64473af6f1p-15, 0x1.c72399aaa8852p-15, 0x1.bbd186eefdd0dp-15, 0x1.b0b8327a955c1p-15, 0x1.a5e5022afec14p-15, 0x1.9b5b496235e22p-15, 0x1.911174678fd9cp-15, 0x1.86fb982a5f409p-15, 0x1.7d160336bd859p-15, 0x1.7364d8151c416p-15, 0x1.69ec3127c7a1dp-15, 0x1.60ab5317349aap-15, 0x1.579dfd3faf97fp-15, 0x1.4ebf949a989bep-15, 0x1.460cca6cf9bffp-15, 0x1.3d83b719b7552p-15, 0x1.35238517fea09p-15, 0x1.2cec43b9f7c43p-15, 0x1.24ded979c0d61p-15, 0x1.1cfce54b35e73p-15, 0x1.154879c15cabbp-15, 0x1.0dc393850db72p-15, 0x1.066f041d619b7p-15, 0x1.fe9203e60e582p-16, 0x1.f09a019bf64f4p-16, 0x1.e2ed4e440f748p-16, 0x1.d58c0dde035d6p-16, 0x1.c87ef359bec4ap-16, 0x1.bbca51c6c5212p-16, 0x1.af6383885b81dp-16, 0x1.a33ec93ee316ap-16, 0x1.9762bded8a12ep-16, 0x1.8bdd5e6d0d5ccp-16, 0x1.80a9fd85f6954p-16, 0x1.75b2f9361c384p-16, 0x1.6aebce02579e3p-16, 0x1.605bbeb30feb2p-16, 0x1.560dbfe914cb6p-16, 0x1.4c02bdc477131p-16, 0x1.4234c89dfa9a6p-16, 0x1.389ea4d82ac56p-16, 0x1.2f3e77e6649fdp-16, 0x1.2614cc932227ep-16, 0x1.1d22e9c23ff3p-16, 0x1.1469ab468713cp-16, 0x1.0be8fcdbbf3b2p-16, 0x1.039fc88ea7b0ap-16, 0x1.f718226430f85p-17, 0x1.e7561be61ef1cp-17, 0x1.d7f2be34e4973p-17, 0x1.c8e7613930117p-17, 0x1.ba2f7650984f1p-17, 0x1.abc978e32ceeap-17, 0x1.9db4916b6a33dp-17, 0x1.8fec94b3a8fdap-17, 0x1.826b0943eca56p-17, 0x1.752fd1a592ca9p-17, 0x1.6848ae4eb49d2p-17, 0x1.5bc86302d74acp-17, 0x1.4faab0cb89f6p-17, 0x1.43d167b160e2ep-17, 0x1.383258bb09621p-17, 0x1.2cdcc863f119fp-17, 0x1.21cd828118c57p-17, 0x1.16f7d9e785251p-17, 0x1.0c6967f5b3512p-17, 0x1.02362a1c949d8p-17, 0x1.f0b5d397671e6p-18, 0x1.dd8e23feab353p-18, 0x1.cadb54621d8b5p-18, 0x1.b891a98f8b30dp-18, 0x1.a6ae1b86d9623p-18, 0x1.953148bdf08d9p-18, 0x1.841ce6c984ad8p-18, 0x1.73729a1fbfa03p-18, 0x1.63335c7450078p-18, 0x1.535f2dea6dbc3p-18, 0x1.43f50f58104e8p-18, 0x1.34f330dd465b3p-18, 0x1.2657284dadad3p-18, 0x1.181e20acc4454p-18, 0x1.0a4579db1382cp-18, 0x1.f996ea63b3e99p-19, 0x1.df6142f2c42c2p-19, 0x1.c5f076af8bbfep-19, 0x1.ad4b339464971p-19, 0x1.956e2cb5653a5p-19, 0x1.7e48ae384ea9p-19, 0x1.67ca48290385fp-19, 0x1.51f87e8c67648p-19, 0x1.3cf4c904ac4c2p-19, 0x1.28cada3d646e9p-19, }}, 
      {{0x1.3d56405b2348cp-5, 0x1.0f8866f44094bp-4, 0x1.3fabacab5ccfap-4, 0x1.2de2bee7f62b2p-4, 0x1.c474142e6c6adp-5, 0x1.a341d95393989p-6, -0x1.898cb295734f7p-7, -0x1.be968103f1fa3p-5, -0x1.967f86da48fcfp-4, -0x1.26d83c102898fp-3, -0x1.7ed6f40db863cp-3, -0x1.d08c8555f896cp-3, -0x1.0d0c70449d9ddp-2, -0x1.2d26a0976a4p-2, -0x1.4846c93f6937ap-2, -0x1.5e59a6c58c433p-2, -0x1.6f7999ac408f2p-2, -0x1.7be326cb0b183p-2, -0x1.83eb26c280b73p-2, -0x1.87f6914c7ffcbp-2, -0x1.8873c513c0dd6p-2, -0x1.85d52738e4495p-2, -0x1.808cf2b0b2cdcp-2, -0x1.790a0e950dd59p-2, -0x1.6fb5c338a3df2p-2, -0x1.64f2280783236p-2, -0x1.59192785d1959p-2, -0x1.4c7bfa9c3bf72p-2, -0x1.3f63006a651dap-2, -0x1.320ddbd9ab72fp-2, -0x1.24b3c3f46d4bdp-2, -0x1.1783f77eb4dc6p-2, -0x1.0aa64760ced2ap-2, -0x1.fc775c3741b45p-3, -0x1.e4bdd97eaf45fp-3, -0x1.ce4a4f7b7b70dp-3, -0x1.b93cff03631c4p-3, -0x1.a5ad43fd88d14p-3, -0x1.93aaa6eb97aafp-3, -0x1.833ddaf5f8d71p-3, -0x1.7469a7c163e2dp-3, -0x1.672bbf273fbbcp-3, -0x1.5b7d7f6eef9dep-3, -0x1.5154a2f787d1ep-3, -0x1.48a3de6b88c5ap-3, -0x1.415b6eae23067p-3, -0x1.3b6997b460b6bp-3, -0x1.36bb157ccf8ebp-3, -0x1.333b804a79f37p-3, -0x1.30d5a534e22d2p-3, -0x1.2f73d40412b06p-3, -0x1.2f00234cab6b1p-3, -0x1.2f64abaf27495p-3, -0x1.308bbb1516c16p-3, -0x1.32600099f2748p-3, -0x1.34ccb19249b92p-3, -0x1.37bda881d2ca3p-3, -0x1.3b1f7e671647fp-3, -0x1.3edf9f9e606ddp-3, -0x1.42ec5bfd6ae5cp-3, -0x1.4734f3222cabbp-3, -0x1.4ba99c6efc191p-3, -0x1.503b8bd07127fp-3, -0x1.54dcf48802978p-3, -0x1.598108ff73a16p-3, -0x1.5e1bf9a91b404p-3, -0x1.62a2f0bd2274ap-3, -0x1.670c0c092961ep-3, -0x1.6b4e55c2612b2p-3, -0x1.6f61bc62ab6eap-3, -0x1.733f09b6921b1p-3, -0x1.76dfdafc7c712p-3, -0x1.7a3e9698d8547p-3, -0x1.7d56625520243p-3, -0x1.802318a341e87p-3, -0x1.82a13d7439abdp-3, -0x1.84cdf3bfedfe7p-3, -0x1.86a6f326eb0dcp-3, -0x1.882a7e48fb7cfp-3, -0x1.895759564c05cp-3, -0x1.8a2cc0eea0b46p-3, -0x1.8aaa61079392dp-3, -0x1.8ad04bf7471bdp-3, -0x1.8a9ef19e2776dp-3, -0x1.8a1716de8340fp-3, -0x1.8939cd70fee56p-3, -0x1.88086c28b3434p-3, -0x1.868487b12a4f9p-3, -0x1.84afebb6f0501p-3, -0x1.828c947b2dcc9p-3, -0x1.801ca8bd8ce32p-3, -0x1.7d6273f98c672p-3, -0x1.7a6060edfabb4p-3, -0x1.7718f47177cp-3, -0x1.738ec894a0912p-3, -0x1.6fc4881718ccep-3, -0x1.6bbcea31ffd31p-3, -0x1.677aaebcf883dp-3, -0x1.63009aaa99606p-3, -0x1.5e5174dbd9bd4p-3, -0x1.59700343c6255p-3, -0x1.545f085b1b2cep-3, -0x1.4f2140d69965cp-3, -0x1.49b961a12db25p-3, -0x1.442a160dead8bp-3, -0x1.3e75fe41f15e2p-3, -0x1.389fadcfd5469p-3, -0x1.32a9aa7e8e3cep-3, -0x1.2c966b3e9770bp-3, -0x1.26685745564dp-3, -0x1.2021c54ff69dbp-3, -0x1.19c4fb09279f2p-3, -0x1.13542c9019086p-3, -0x1.0cd17c22ad70dp-3, -0x1.063ef9da338ffp-3, -0x1.ff3d471cad023p-4, -0x1.f1e4c98a277efp-4, -0x1.e4782d71aaab3p-4, -0x1.d6fb00eaf19bdp-4, -0x1.c970adf7762e5p-4, -0x1.bbdc7af677ae5p-4, -0x1.ae418b22ddf5ep-4, -0x1.a0a2df28ce56dp-4, -0x1.930355d934c5fp-4, -0x1.8565acd368a14p-4, -0x1.77cc81553f303p-4, -0x1.6a3a510d18442p-4, -0x1.5cb17ae6be825p-4, -0x1.4f343ffcd306ap-4, -0x1.41c4c4719369bp-4, -0x1.3465105b155afp-4, -0x1.271710b28659ep-4, -0x1.19dc98376e4d3p-4, -0x1.0cb760506054cp-4, -0x1.ff52141ee9787p-5, -0x1.e5663dea246b5p-5, -0x1.cbae239fe8662p-5, -0x1.b22c7f6d1441bp-5, -0x1.98e3e1798b468p-5, -0x1.7fd6b183d9e2ap-5, -0x1.670730a9ef342p-5, -0x1.4e777ad4d49bp-5, -0x1.3629880e65547p-5, -0x1.1e1f2e33121ebp-5, -0x1.065a224dba675p-5, -0x1.ddb7f3839e948p-6, -0x1.af4c577359d77p-6, -0x1.81742534908aap-6, -0x1.5431d9f1598a4p-6, -0x1.2787bd99ba0cdp-6, -0x1.f6efcb3f275d8p-7, -0x1.a0086e0725de1p-7, -0x1.4a5cd00cbbfb8p-7, -0x1.ebe00a1be327ep-8, -0x1.4589992d6ccc8p-8, -0x1.4376538b9c72dp-9, -0x1.e3efdfbe2034fp-18, 0x1.3c7286db62855p-9, 0x1.3a58742acb08ep-8, 0x1.d3e1fe0cb258ap-8, 0x1.3569e5b8a1c0cp-7, 0x1.7f96208706b3bp-7, 0x1.c8751c2364306p-7, 0x1.08033f22610dcp-6, 0x1.2b251191be2ccp-6, 0x1.4da00ce6ce054p-6, 0x1.6f7450caf6c01p-6, 0x1.90a214b4625dcp-6, 0x1.b129a6fad1545p-6, 0x1.d10b6b036995fp-6, 0x1.f047d81dc140bp-6, 0x1.076fbca36c60fp-5, 0x1.1669764ee4921p-5, 0x1.251170fb8dbd4p-5, 0x1.33680ca49e9ccp-5, 0x1.416db14eec6e2p-5, 0x1.4f22ceee20cebp-5, 0x1.5c87dcde2b875p-5, 0x1.699d592a8d376p-5, 0x1.7663c834e0c44p-5, 0x1.82dbb4c167aecp-5, 0x1.8f05afc4135b9p-5, 0x1.9ae24fc5d6d2ep-5, 0x1.a672305cfb33ap-5, 0x1.b1b5f1f5b1d84p-5, 0x1.bcae39ee1ea77p-5, 0x1.c75bb2515d649p-5, 0x1.d1bf094d2ebabp-5, 0x1.dbd8f0bc780f1p-5, 0x1.e5aa1e0bad4c9p-5, 0x1.ef334a4648f5p-5, 0x1.f87531e9f04d6p-5, 0x1.00b84a36ea9adp-4, 0x1.051319e73d5e6p-4, 0x1.094b6a37ff21bp-4, 0x1.0d619e97f9d93p-4, 0x1.11561baef66d5p-4, 0x1.15294726815cap-4, 0x1.18db87700ea41p-4, 0x1.1c6d43ad93c8p-4, 0x1.1fdee3bedba8bp-4, 0x1.2330d04941472p-4, 0x1.26637292f572dp-4, 0x1.29773447d1ceap-4, 0x1.2c6c7f570a444p-4, 0x1.2f43bdfc2ce4p-4, 0x1.31fd5ad100907p-4, 0x1.3499c0bdc8087p-4, 0x1.37195ac539a06p-4, 0x1.397c93db64d81p-4, 0x1.3bc3d6df5ce23p-4, 0x1.3def8eb1286b2p-4, 0x1.4000263357735p-4, 0x1.41f60829f9563p-4, 0x1.43d19f0e18bfcp-4, 0x1.459354fb41a9ap-4, 0x1.473b93bd15924p-4, 0x1.48cac4dc913e2p-4, 0x1.4a4151934abacp-4, 0x1.4b9fa2a5eafacp-4, 0x1.4ce62046f0b68p-4, 0x1.4e153217b0906p-4, 0x1.4f2d3f3ba36e1p-4, 0x1.502eae5df472bp-4, 0x1.5119e59a00febp-4, 0x1.51ef4a571e702p-4, 0x1.52af4137fd93ap-4, 0x1.535a2e276bc0ap-4, 0x1.53f07470edbadp-4, 0x1.547276c34cb83p-4, 0x1.54e097151e9afp-4, 0x1.553b367f02829p-4, 0x1.5582b52cc93c3p-4, 0x1.55b772703dbbbp-4, 0x1.55d9cce0fd539p-4, 0x1.55ea226830c23p-4, 0x1.55e8d028794c9p-4, 0x1.55d63253cc291p-4, 0x1.55b2a41202ecdp-4, 0x1.557e7f8d036d9p-4, 0x1.553a1e16621e2p-4, 0x1.54e5d845483d6p-4, 0x1.548205f1deca2p-4, 0x1.540efe0c6afccp-4, 0x1.538d1678d7afap-4, 0x1.52fca3fd08a9bp-4, 0x1.525dfa5e29288p-4, 0x1.51b16c8c06421p-4, 0x1.50f74cbba799p-4, 0x1.502fec5bfdeddp-4, 0x1.4f5b9bec9bd86p-4, 0x1.4e7aaad4ed2c1p-4, 0x1.4d8d675aaa5b1p-4, 0x1.4c941ebdeca1bp-4, 0x1.4b8f1d67056bp-4, 0x1.4a7eaf04823bdp-4, 0x1.49631e85c1ba2p-4, 0x1.483cb5f66bac1p-4, 0x1.470bbe5473706p-4, 0x1.45d07f7dfb384p-4, 0x1.448b40433f5e7p-4, 0x1.433c46910b34ep-4, 0x1.41e3d796efae8p-4, 0x1.408237d1d12ep-4, 0x1.3f17aaf4d877p-4, 0x1.3da473c5854f3p-4, 0x1.3c28d3f5a8626p-4, 0x1.3aa50c276f9dfp-4, 0x1.39195c05bd2a6p-4, 0x1.3786026d3fe6p-4, 0x1.35eb3d8a7316ap-4, 0x1.34494adbc3d0cp-4, 0x1.32a067195b977p-4, 0x1.30f0ce11da77cp-4, 0x1.2f3aba915488cp-4, 0x1.2d7e66615cd3bp-4, 0x1.2bbc0a623915fp-4, 0x1.29f3deaf0dee3p-4, 0x1.28261ab963a69p-4, 0x1.2652f54e4e25dp-4, 0x1.247aa4844cd1cp-4, 0x1.229d5d9d08b8cp-4, 0x1.20bb54ec0c66ep-4, 0x1.1ed4bdd02d293p-4, 0x1.1ce9cac3599b7p-4, 0x1.1afaad7897105p-4, 0x1.190796f972f04p-4, 0x1.1710b7b48036ep-4, 0x1.15163f780927dp-4, 0x1.13185d5c6f662p-4, 0x1.11173fa78cceep-4, 0x1.0f1313bfb1fap-4, 0x1.0d0c062771962p-4, 0x1.0b024291d69efp-4, 0x1.08f5f3fd4b2dap-4, 0x1.06e744cc221d3p-4, 0x1.04d65ecfe38c1p-4, 0x1.02c36b43ee622p-4, 0x1.00ae92b9ec91dp-4, 0x1.fd2ffa04c7f6cp-5, 0x1.f8ffa2386c07bp-5, 0x1.f4cc6a65bc8ddp-5, 0x1.f0969d58b2a01p-5, 0x1.ec5e8481590a5p-5, 0x1.e8246822f577bp-5, 0x1.e3e88f7133467p-5, 0x1.dfab4090cf94dp-5, 0x1.db6cc07ce9dbep-5, 0x1.d72d52dcdbd48p-5, 0x1.d2ed39dde7b6ep-5, 0x1.ceacb62159e82p-5, 0x1.ca6c06c747b11p-5, 0x1.c62b69916fa18p-5, 0x1.c1eb1b1087bdp-5, 0x1.bdab56cbc156ep-5, 0x1.b96c5754b12dp-5, 0x1.b52e56416d83ap-5, 0x1.b0f18c0fefb43p-5, 0x1.acb62ffe4bb59p-5, 0x1.a87c77ea48b0ap-5, 0x1.a44498407b152p-5, 0x1.a00ec409d876ep-5, 0x1.9bdb2d0b00928p-5, 0x1.97aa03ed79ab8p-5, 0x1.937b7864bb166p-5, 0x1.8f4fb943395b6p-5, 0x1.8b26f479ba832p-5, 0x1.870157022aa3dp-5, 0x1.82df0cbe48b99p-5, 0x1.7ec04057117ddp-5, 0x1.7aa51b297d045p-5, 0x1.768dc547858f1p-5, 0x1.727a658cec9e2p-5, 0x1.6e6b21bfe1561p-5, 0x1.6a601eb33b2aap-5, 0x1.66598060c44a3p-5, 0x1.625769f4d2d32p-5, 0x1.5e59fdc953604p-5, 0x1.5a615d5313626p-5, 0x1.566da90819f72p-5, 0x1.527f0048a7198p-5, 0x1.4e95815323da6p-5, 0x1.4ab149465ba8dp-5, 0x1.46d274314fcd5p-5, 0x1.42f91d2a7083ep-5, 0x1.3f255e6802ea6p-5, 0x1.3b5751536f59ap-5, 0x1.378f0e94364b5p-5, 0x1.33ccae10ee083p-5, 0x1.301046e77d548p-5, 0x1.2c59ef5faded2p-5, 0x1.28a9bcdd36da1p-5, 0x1.24ffc3d606a7fp-5, 0x1.215c17cfd7cf1p-5, 0x1.1dbecb67e57d4p-5, 0x1.1a27f05ae8da5p-5, 0x1.16979796e892fp-5, 0x1.130dd146b0a16p-5, 0x1.0f8aacdcb3255p-5, 0x1.0c0e3919bfd9ap-5, 0x1.0898840f51112p-5, 0x1.05299b1dac263p-5, 0x1.01c18aefa1ee2p-5, 0x1.fcc0beea30ff2p-6, 0x1.f60c47be80ea9p-6, 0x1.ef65c540874fep-6, 0x1.e8cd4ade684fep-6, 0x1.e242ea9a6cf02p-6, 0x1.dbc6b519db045p-6, 0x1.d558b9b8f806ap-6, 0x1.cef906925dd3ap-6, 0x1.c8a7a88bdabcep-6, 0x1.c264ab5eee853p-6, 0x1.bc30199bbed7ep-6, 0x1.b609fca9e40e4p-6, 0x1.aff25cc70032p-6, 0x1.a9e941054c254p-6, 0x1.a3eeaf4c602f9p-6, 0x1.9e02ac5dab7bep-6, 0x1.98253bdc6aadep-6, 0x1.92566057a027dp-6, 0x1.8c961b5425a64p-6, 0x1.86e46d559d587p-6, 0x1.814155e5ce599p-6, 0x1.7bacd39abaa82p-6, 0x1.7626e41bad3a1p-6, 0x1.70af8425765f2p-6, 0x1.6b46af8dead7dp-6, 0x1.65ec6146e2da6p-6, 0x1.60a0936135931p-6, 0x1.5b633f108d607p-6, 0x1.56345cb0e02a6p-6, 0x1.5113e3cd27e5cp-6, 0x1.4c01cb22af015p-6, 0x1.46fe08afe4ca8p-6, 0x1.420891b1f22ebp-6, 0x1.3d215aadc6456p-6, 0x1.384857743c2d1p-6, 0x1.337d7b2705f16p-6, 0x1.2ec0b83e215c6p-6, 0x1.2a12008d6b0adp-6, 0x1.25714549bf80dp-6, 0x1.20de770d5cd75p-6, 0x1.1c5985db5f02ap-6, 0x1.17e26122ca19ep-6, 0x1.1378f7c1c30f7p-6, 0x1.0f1d380988852p-6, 0x1.0acf0fc35323dp-6, 0x1.068e6c35e30ep-6, 0x1.025b3a2b605bep-6, 0x1.fc6acbee5b08p-7, 0x1.f439b6f6b1518p-7, 0x1.ec230c5b01b8fp-7, 0x1.e426a235e011p-7, 0x1.dc444dd7ec41ap-7, 0x1.d47be3cd503fep-7, 0x1.cccd37e2aba7bp-7, 0x1.c5381d2a758dcp-7, 0x1.bdbc6603cf0cdp-7, 0x1.b659e4235bbd3p-7, 0x1.af10689e0f327p-7, 0x1.a7dfc3f4c522ep-7, 0x1.a0c7c61f07dbbp-7, 0x1.99c83e9349b04p-7, 0x1.92e0fc4bd9051p-7, 0x1.8c11cdc91bb4fp-7, 0x1.855a8112f48a2p-7, 0x1.7ebae3bb6dd1ep-7, 0x1.7832c2e4d38c5p-7, 0x1.71c1eb4baafe2p-7, 0x1.6b6829541b477p-7, 0x1.652549182914ep-7, 0x1.5ef916742e8dp-7, 0x1.58e35d0ed83abp-7, 0x1.52e3e85b4b559p-7, 0x1.4cfa839650f5dp-7, 0x1.4726f9c0daed2p-7, 0x1.4169159b273cp-7, 0x1.3bc0a1a66c795p-7, 0x1.362d6828116aep-7, 0x1.30af333afa07ep-7, 0x1.2b45cce0a23c8p-7, 0x1.25f0ff15a5c1bp-7, 0x1.20b093e263405p-7, 0x1.1b8455640b1bfp-7, 0x1.166c0dcbd0903p-7, 0x1.116787550d488p-7, 0x1.0c768c35ec58dp-7, 0x1.0798e69033c0cp-7, 0x1.02ce606867735p-7, 0x1.fc2d874fd0e45p-8, 0x1.f2e3b4574a55bp-8, 0x1.e9bedbbaf610dp-8, 0x1.e0be91a57fb6p-8, 0x1.d7e26ad027b9fp-8, 0x1.cf29fca5e5167p-8, 0x1.c694dd49224e8p-8, 0x1.be22a37731c78p-8, 0x1.b5d2e653f3a2bp-8, 0x1.ada53d2a0656cp-8, 0x1.a5993f359d5f2p-8, 0x1.9dae8389fc0edp-8, 0x1.95e4a11db1d16p-8, 0x1.8e3b2efea5812p-8, 0x1.86b1c4a3e87cfp-8, 0x1.7f47fa49efef6p-8, 0x1.77fd6942389a4p-8, 0x1.70d1ac20b9e32p-8, 0x1.69c45eb9d146dp-8, 0x1.62d51def85672p-8, 0x1.5c0387598a6a8p-8, 0x1.554f38de629f4p-8, 0x1.4eb7d058cbb35p-8, 0x1.483ceb6304da7p-8, 0x1.41de27592a496p-8, 0x1.3b9b2196c1e63p-8, 0x1.357377e3ddecfp-8, 0x1.2f66c8fa61643p-8, 0x1.2974b50335a3fp-8, 0x1.239cddec6c3d3p-8, 0x1.1ddee78181b8bp-8, 0x1.183a773cd2c12p-8, 0x1.12af33dafa69p-8, 0x1.0d3cc4c7330d7p-8, 0x1.07e2d182f6211p-8, 0x1.02a1012c739dcp-8, 0x1.faedf4866e4ebp-9, 0x1.f0c8c578d2c1bp-9, 0x1.e6d1c0d49701dp-9, 0x1.dd0833329a2c8p-9, 0x1.d36b6ba620cdbp-9, 0x1.c9fabd12918ccp-9, 0x1.c0b57f15a0967p-9, 0x1.b79b0e43c04acp-9, 0x1.aeaacba597f7ap-9, 0x1.a5e41b8d552b2p-9, 0x1.9d46640123d97p-9, 0x1.94d10b0e03ec5p-9, 0x1.8c83755ba1502p-9, 0x1.845d054ee6d54p-9, 0x1.7c5d1aeffdde3p-9, 0x1.748314a5e5619p-9, 0x1.6cce50af1e2cep-9, 0x1.653e2f1651258p-9, 0x1.5dd213bebd46dp-9, 0x1.5689681a80a02p-9, 0x1.4f639c235f6c6p-9, 0x1.4860265d20adap-9, 0x1.417e82dc81477p-9, 0x1.3abe318725d11p-9, 0x1.341eb3e974527p-9, 0x1.2d9f8b0d74e68p-9, 0x1.274035b4560d1p-9, 0x1.21002f3b055d8p-9, 0x1.1adeef55c2365p-9, 0x1.14dbeab13022cp-9, 0x1.0ef6946c9fc16p-9, 0x1.092e603eb6c8p-9, 0x1.0382c4f0ab5dbp-9, 0x1.fbe67d78241fdp-10, 0x1.f0fea21035b93p-10, 0x1.e64d0e33871f9p-10, 0x1.dbd0e7041a9d8p-10, 0x1.d1895cc775d4p-10, 0x1.c775a5e7d7b1cp-10, 0x1.bd94f9900d4bbp-10, 0x1.b3e68aee0854bp-10, 0x1.aa6985ee12a5p-10, 0x1.a11d0db21f20dp-10, 0x1.98003cb214137p-10, 0x1.8f12264462a43p-10, 0x1.8651d94e4feb9p-10, 0x1.7dbe64432bd0ep-10, 0x1.7556d962bc364p-10, 0x1.6d1a543a63ce3p-10, 0x1.6507fe261dc6ap-10, 0x1.5d1f11a3aad2ap-10, 0x1.555edb2aa4a0cp-10, 0x1.4dc6b7238b031p-10, 0x1.46560d4228e5ep-10, 0x1.3f0c4a5b6b656p-10, 0x1.37e8da3e6febap-10, 0x1.30eb230a40d37p-10, 0x1.2a1282c0106f2p-10, 0x1.235e4f5acabaep-10, 0x1.1ccdd82e188fbp-10, 0x1.166067f89ea24p-10, 0x1.101546ac02b1cp-10, 0x1.09ebbae12f141p-10, 0x1.03e30b74ed02p-10, 0x1.fbf503dbe913fp-11, 0x1.f062dbd5afb82p-11, 0x1.e50e5232e7cd9p-11, 0x1.d9f6352963afcp-11, 0x1.cf19709cf4643p-11, 0x1.c4770b2c72fa3p-11, 0x1.ba0e1d62fbce9p-11, 0x1.afddc525c32f4p-11, 0x1.a5e5190629578p-11, 0x1.9c231f6af5774p-11, 0x1.9296cc30aacf7p-11, 0x1.893f04e821ce8p-11, 0x1.801aa93bab287p-11, 0x1.77289b76ed0adp-11, 0x1.6e67c585d4c73p-11, 0x1.65d718dc9d51ap-11, 0x1.5d758a9d3e496p-11, 0x1.55420f629a6ap-11, 0x1.4d3b9a57aaa0ap-11, 0x1.45612184b9ed6p-11, 0x1.3db1a68e499f8p-11, 0x1.362c40c7a09f3p-11, 0x1.2ed0247fa79fcp-11, 0x1.279ca419c8ebap-11, 0x1.2091299aa796bp-11, 0x1.19ad2a1737f12p-11, 0x1.12f016ef5f73ap-11, 0x1.0c5951d6c0b1cp-11, 0x1.05e827d83a56p-11, 0x1.ff37a9b216779p-12, 0x1.f2e71b8ccap-12, 0x1.e6dd197bce2e2p-12, 0x1.db183323294e7p-12, 0x1.cf9715240e363p-12, 0x1.c4587a3b9d225p-12, 0x1.b95b12f611b15p-12, 0x1.ae9d6fcb954aep-12, 0x1.a41df8cf35d78p-12, 0x1.99daf70623d5fp-12, 0x1.8fd2ac910f606p-12, 0x1.86037263f0305p-12, 0x1.7c6bd1618f316p-12, 0x1.730a8e78eb322p-12, 0x1.69dea6c6a6746p-12, 0x1.60e73c61a410ep-12, 0x1.58237bf43cf69p-12, 0x1.4f92841a9e0a1p-12, 0x1.47335752f691ep-12, 0x1.3f04dcd293043p-12, 0x1.3705eeff028eap-12, 0x1.2f35722078fa3p-12, 0x1.27926aa42a8a6p-12, 0x1.201c099b13b55p-12, 0x1.18d1a8a0f30aap-12, 0x1.11b2b3e009876p-12, 0x1.0abe8b589ef11p-12, 0x1.03f466721c29dp-12, 0x1.faa691aad916ep-13, 0x1.edb4174e3c298p-13, 0x1.e10eeb9da55f2p-13, 0x1.d4b4af734553cp-13, 0x1.c8a341b3afd0cp-13, 0x1.bcd8d536ac592p-13, 0x1.b153f0da064f9p-13, 0x1.a6135c575b7bap-13, 0x1.9b160036033eap-13, 0x1.905ac3e1687b6p-13, 0x1.85e074f7744b2p-13, 0x1.7ba5bd08e2595p-13, 0x1.71a924aa2ae4cp-13, 0x1.67e920f9ef36ap-13, 0x1.5e6429d7ec785p-13, 0x1.5518d54f0b672p-13, 0x1.4c05ef0288097p-13, 0x1.432a7e61d8b15p-13, 0x1.3a85b292a8d9ap-13, 0x1.3216b81080e9fp-13, 0x1.29dc8abe36a22p-13, 0x1.21d5dd229dfc1p-13, 0x1.1a0123ba6b524p-13, 0x1.125cbcf57eadep-13, 0x1.0ae71b9e520fep-13, 0x1.039edc116016ap-13, 0x1.f90587a532951p-14, 0x1.eb237a9b5c4fcp-14, 0x1.dd95b6d0ce04bp-14, 0x1.d05abbdeaef9p-14, 0x1.c37154b9a493ap-14, 0x1.b6d86ec3e5057p-14, 0x1.aa8ee9e01da46p-14, 0x1.9e93737995217p-14, 0x1.92e4755f37fccp-14, 0x1.87801ac02c0c7p-14, 0x1.7c64676393c57p-14, 0x1.718f56fb6d31ap-14, 0x1.66fefa492d1c4p-14, 0x1.5cb18d6a83cf5p-14, 0x1.52a58500cca01p-14, 0x1.48d98c189815ep-14, 0x1.3f4c6c019c85ep-14, 0x1.35fce2f95e975p-14, 0x1.2ce9812bb9f65p-14, 0x1.2410a9741d0bbp-14, 0x1.1b70b9d605051p-14, 0x1.13083334145a3p-14, 0x1.0ad5aceab5575p-14, 0x1.02d79ace8aee3p-14, 0x1.f61863d18af8p-15, 0x1.e6e34ae23a54cp-15, 0x1.d80d20f9415a8p-15, 0x1.c994519c0751p-15, 0x1.bb781df62b906p-15, 0x1.adb7d2baa8bbcp-15, 0x1.a0522e22c845bp-15, 0x1.9345536d91279p-15, 0x1.868f38b9a1093p-15, 0x1.7a2e25a3525c1p-15, 0x1.6e20c127b21d4p-15, 0x1.6265c8f112f98p-15, 0x1.56fb9b9f91206p-15, 0x1.4be01ac04a814p-15, 0x1.4110ef0a304cap-15, 0x1.368beb9b0f2abp-15, 0x1.2c4f4bf9d726ap-15, 0x1.2259a6238cf2cp-15, 0x1.18a999c7af022p-15, 0x1.0f3d71de09305p-15, 0x1.06130b6d90e34p-15, 0x1.fa5046de17ab4p-16, 0x1.e8f5654243071p-16, 0x1.d811896913c65p-16, 0x1.c79fb665b8ef8p-16, 0x1.b7999b0d6e475p-16, 0x1.a7f98a054c342p-16, 0x1.98bcf72deff83p-16, 0x1.89e4a56ec0b08p-16, 0x1.7b72343fe5802p-16, 0x1.6d65735275771p-16, 0x1.5fbbbc35d7f25p-16, 0x1.527170c1ad47bp-16, 0x1.4583eb3a14afbp-16, 0x1.38f216480a74p-16, 0x1.2cbb6fa276c0bp-16, 0x1.20deb2e1f65aap-16, 0x1.1559523c7fc67p-16, 0x1.0a27d34d9b1bdp-16, 0x1.fe8d132777a55p-17, 0x1.e964832332461p-17, 0x1.d4d165bbd4a7ep-17, 0x1.c0d15b7c105b2p-17, 0x1.ad63f00ce633dp-17, 0x1.9a8994312bfc7p-17, 0x1.8841fe43ee074p-17, 0x1.768acbb810ff8p-17, 0x1.655faccf352d9p-17, 0x1.54bc35a6d32bfp-17, 0x1.449d142e9e042p-17, 0x1.34fe634ab0c7bp-17, 0x1.25d8fc47ae823p-17, 0x1.1723d1c3efd42p-17, 0x1.08d99b23849a5p-17, 0x1.f5f71a80996cbp-18, 0x1.db19ab2d808ccp-18, 0x1.c118d5bf17363p-18, 0x1.a7e86e28b9a4dp-18, 0x1.8f7af9d0460d9p-18, 0x1.77c9d4e79db1dp-18, 0x1.60d474351079dp-18, 0x1.4a9a1cc6948aep-18, 0x1.35165853dafa3p-18, 0x1.2042245e9931bp-18, 0x1.0c1662e5537eap-18, 0x1.f11a17b41e5adp-19, 0x1.cb426f37ee08fp-19, 0x1.a69dc31b3b2fep-19, 0x1.83259b9842f81p-19, 0x1.60d505489d536p-19, 0x1.3fa85c475e0eap-19, 0x1.1f9cd2106e415p-19, 0x1.00af81d92be55p-19, 0x1.c5b75ffdd08bdp-20, 0x1.8c313aa1bd8f4p-20, 0x1.54b30f04290e5p-20, 0x1.1f24e6a080d24p-20, 0x1.d6fa22c0c6136p-21, 0x1.737e1cca338e4p-21, 0x1.13cc1779ce8d7p-21, 0x1.6f605cfea91f1p-22, 0x1.7bcbef4287091p-23, 0x1.32b71b91796edp-26, -0x1.2145f52963f54p-23, -0x1.2dc7741d5c81fp-22, -0x1.c4e30f9db1313p-22, -0x1.2b2f3579a6e4fp-21, -0x1.7118b14096e4fp-21, -0x1.b42070360b459p-21, -0x1.f454fd85dc284p-21, -0x1.18eb7192c42cbp-20, -0x1.3661cedcaebbap-20, -0x1.52975f3053898p-20, -0x1.6d928392a47ecp-20, -0x1.8758901a2b9a6p-20, -0x1.9fef5d2965644p-20, -0x1.b75df25a2da8bp-20, -0x1.cdac8fe4484d3p-20, -0x1.e2e479cfe2678p-20, -0x1.f70fd617d4cb5p-20, -0x1.051cae589ac46p-19, -0x1.0e35bdfdf6fd9p-19, -0x1.16d7837fda6cdp-19, -0x1.1f05580e0214ap-19, -0x1.26c260bc46185p-19, -0x1.2e12e21a14d51p-19, -0x1.34fbc485afafp-19, -0x1.3b7f8e25aba17p-19, -0x1.419bf834067e3p-19, -0x1.474d33a43f0e7p-19, -0x1.4c97693d4c9f8p-19, -0x1.5187470c14715p-19, -0x1.562264d831da4p-19, -0x1.5a65d562dccffp-19, -0x1.5e54d0a60398dp-19, -0x1.61f581dfa045dp-19, -0x1.65457d5be14eap-19, -0x1.68406eb15cf48p-19, -0x1.6ae9876661fa3p-19, -0x1.6d4825172a956p-19, -0x1.6f625d954ef8ep-19, -0x1.713bed7ce6e7fp-19, -0x1.72d71f3fc4cd3p-19, -0x1.74359aa3ffb4bp-19, -0x1.7558ce2dab931p-19, -0x1.76421fc067e7ap-19, -0x1.76f306a7a096dp-19, -0x1.776d18e7bdb1dp-19, -0x1.77b20c29cf451p-19, -0x1.77c3adf5964b6p-19, -0x1.77a3da447262bp-19, -0x1.77548c816ae1ap-19, -0x1.76d75d6e38d24p-19, -0x1.762e127381355p-19, -0x1.7559f2767c3b4p-19, -0x1.745bb99e61d34p-19, -0x1.7334274d9deecp-19, -0x1.71e4bfb118504p-19, -0x1.70700bf461f01p-19, -0x1.6ed8809780da8p-19, -0x1.6d1ec997e21d9p-19, -0x1.6b415ce4db5fap-19, -0x1.69406ab9913f7p-19, }}, 
      {{-0x1.ed5268cdd61d7p-1, -0x1.ba520f47decaap-1, -0x1.7d8f678aabc48p-1, -0x1.416b2e53576bfp-1, -0x1.0b366783e2473p-1, -0x1.ba54b84bfaec4p-2, -0x1.6f63654f8b7e9p-2, -0x1.3473a28edbb0dp-2, -0x1.0769f6367e68ap-2, -0x1.cba3ae9d18dc5p-3, -0x1.9a71e4a580486p-3, -0x1.76c17dbb65d37p-3, -0x1.5cac52f3ceda7p-3, -0x1.48f2f3af06314p-3, -0x1.38f9f27477757p-3, -0x1.2abd04b6e4835p-3, -0x1.1cbd2a8e97e75p-3, -0x1.0ded1737711bfp-3, -0x1.fb3b821cec6eap-4, -0x1.d6d8563c03172p-4, -0x1.ae61f238bedc1p-4, -0x1.81e41f4386f6cp-4, -0x1.51ac9ec20c7afp-4, -0x1.1e36b1d7cbb54p-4, -0x1.d034c8ce3f8dfp-5, -0x1.5ffe708eb0c19p-5, -0x1.da471342e5fbfp-6, -0x1.e3def44727bdbp-7, -0x1.2f6fc4244aaa7p-11, 0x1.b9827775f4aa3p-7, 0x1.beaefdc79663dp-6, 0x1.4d3bd6bb2a38bp-5, 0x1.b7447d09e15a6p-5, 0x1.0e64fa6e894a8p-4, 0x1.3ea29eaca468ep-4, 0x1.6c26fb8267502p-4, 0x1.96cc0ca393063p-4, 0x1.be78b36a24531p-4, 0x1.e31f62587aae6p-4, 0x1.025e6396606c2p-3, 0x1.11ab3e854e21dp-3, 0x1.1f7ce6ac4328cp-3, 0x1.2bdd41d368afap-3, 0x1.36d8eba1765b2p-3, 0x1.407eb5e64737ep-3, 0x1.48df349d2076p-3, 0x1.500c557ff3612p-3, 0x1.561902c88fd65p-3, 0x1.5b18d091e5841p-3, 0x1.5f1fb435ffb92p-3, 0x1.6241c4fdf2c82p-3, 0x1.6493056b57a45p-3, 0x1.66273458d5ad2p-3, 0x1.6711a536b5861p-3, 0x1.67651eb8192f7p-3, 0x1.6733bf8e8ae0dp-3, 0x1.668ee86937c44p-3, 0x1.65872ace8144dp-3, 0x1.642c3bc8abd4cp-3, 0x1.628cea5b3a096p-3, 0x1.60b7195c64859p-3, 0x1.5eb7bc7e99957p-3, 0x1.5c9ad830fc0b4p-3, 0x1.5a6b82de928d7p-3, 0x1.5833e86eb0dc5p-3, 0x1.55fd4e7a8b5ecp-3, 0x1.53d01ad118719p-3, 0x1.51b3db49ae212p-3, 0x1.4faf4e72dc34ep-3, 0x1.4dc86ca2e4cefp-3, 0x1.4c04719e516aep-3, 0x1.4a67e54afa83ap-3, 0x1.48f6a5fb8c753p-3, 0x1.47b3f23f2769dp-3, 0x1.46a2734a2e061p-3, 0x1.45c4477f6bd6dp-3, 0x1.451b0c5f7be02p-3, 0x1.44a7e8365c7dap-3, 0x1.446b932715eb5p-3, 0x1.44665fe506539p-3, 0x1.44984417c2c77p-3, 0x1.4500e094f7de5p-3, 0x1.459f89638aa47p-3, 0x1.46734d83e239ap-3, 0x1.477afe64246f7p-3, 0x1.48b536f21dbfp-3, 0x1.4a20623fc8a3fp-3, 0x1.4bbac1b769081p-3, 0x1.4d8272e7f5128p-3, 0x1.4f7574ee8bdbcp-3, 0x1.5191ad89ad0e4p-3, 0x1.53d4eddc6fb4fp-3, 0x1.563cf6e47e0ebp-3, 0x1.58c77da698b2ep-3, 0x1.5b722f0ef9f6fp-3, 0x1.5e3ab381e1d9p-3, 0x1.611eb21ec8268p-3, 0x1.641bd3b17eedcp-3, 0x1.672fc555838adp-3, 0x1.6a583acef87aap-3, 0x1.6d92f09b429b8p-3, 0x1.70ddadc1f51c7p-3, 0x1.74364569fd047p-3, 0x1.779a9837f9ae6p-3, 0x1.7b08957bdf0bdp-3, 0x1.7e7e3c32a7767p-3, 0x1.81f99bdbe2ecap-3, 0x1.8578d52baf4fdp-3, 0x1.88fa1a95f4cdp-3, 0x1.8c7bb0b8fdfafp-3, 0x1.8ffbeea6861b4p-3, 0x1.93793e106f757p-3, 0x1.96f21b5991821p-3, 0x1.9a65158b6a16ep-3, 0x1.9dd0ce3b79ca8p-3, 0x1.a133f9571a9bp-3, 0x1.a48d5ce34645ap-3, 0x1.a7dbd0aee3ac4p-3, 0x1.ab1e3df5e53b9p-3, 0x1.ae539f00cbbb6p-3, 0x1.b17afeb6a1374p-3, 0x1.b493782c6d644p-3, 0x1.b79c362ea4126p-3, 0x1.ba9472c21d235p-3, 0x1.bd7b76a7808bbp-3, 0x1.c05098d5cde7p-3, 0x1.c3133df3deccap-3, 0x1.c5c2d7d34c81cp-3, 0x1.c85ee4e3ad04fp-3, 0x1.cae6efac4320ep-3, 0x1.cd5a8e442711bp-3, 0x1.cfb961c62569bp-3, 0x1.d20315d1b464fp-3, 0x1.d4376007a5a41p-3, 0x1.d655ff863c369p-3, 0x1.d85ebc74a9eebp-3, 0x1.da51678bb9abap-3, 0x1.dc2dd99d11e0dp-3, 0x1.ddf3f32b4a901p-3, 0x1.dfa39c0178488p-3, 0x1.e13cc2c652211p-3, 0x1.e2bf5ca01fb5dp-3, 0x1.e42b64db3c9cp-3, 0x1.e580dc899347fp-3, 0x1.e6bfca2dc940ep-3, 0x1.e7e839715c034p-3, 0x1.e8fa3acf93272p-3, 0x1.e9f5e347207cfp-3, 0x1.eadb4c193f451p-3, 0x1.ebaa9285577acp-3, 0x1.ec63d77fdc39cp-3, 0x1.ed073f7639886p-3, 0x1.ed94f219ab06fp-3, 0x1.ee0d1a21ec304p-3, 0x1.ee6fe5125bc32p-3, 0x1.eebd830d83db8p-3, 0x1.eef626a8e868ep-3, 0x1.ef1a04b88ce92p-3, 0x1.ef295421595a2p-3, 0x1.ef244db9a7299p-3, 0x1.ef0b2c25683e4p-3, 0x1.eede2ba9aaaadp-3, 0x1.ee9d8a0a31268p-3, 0x1.ee4986740f7cp-3, 0x1.ede2616234b2cp-3, 0x1.ed685c773e998p-3, 0x1.ecdbba6228006p-3, 0x1.ec3cbed1a7471p-3, 0x1.eb8bae6013c4ep-3, 0x1.eac8ce72c8884p-3, 0x1.e9f4652201158p-3, 0x1.e90eb931836f8p-3, 0x1.e8181204d5462p-3, 0x1.e710b783dddf5p-3, 0x1.e5f8f203b920ap-3, 0x1.e4d10a3f57095p-3, 0x1.e39949539719dp-3, 0x1.e251f8aca00c3p-3, 0x1.e0fb61edf9444p-3, 0x1.df95cee7b8ebep-3, 0x1.de21899599f9p-3, 0x1.dc9edc1708c34p-3, 0x1.db0e109c44336p-3, 0x1.d96f7155b023cp-3, 0x1.d7c3486f3f191p-3, 0x1.d609e00f4f1bap-3, 0x1.d443824e08235p-3, 0x1.d2707926d3588p-3, 0x1.d0910e6ae4c46p-3, 0x1.cea58bbd68502p-3, 0x1.ccae3a932d536p-3, 0x1.caab642d684b9p-3, 0x1.c89d518d15d07p-3, 0x1.c6844b6677eb6p-3, 0x1.c4609a1c46a3dp-3, 0x1.c23285c18bdd3p-3, 0x1.bffa5617c5b6bp-3, 0x1.bdb852847103p-3, 0x1.bb6cc2035aadbp-3, 0x1.b917eb20d9fd2p-3, 0x1.b6ba13fd037cbp-3, 0x1.b453824d7424dp-3, 0x1.b1e47b54f2a0bp-3, 0x1.af6d43d54ad55p-3, 0x1.acee2007da023p-3, 0x1.aa6753a0a90aep-3, 0x1.a7d921d2f58c5p-3, 0x1.a543cd4c3c969p-3, 0x1.a2a79826fd89fp-3, 0x1.a004c3e0e82acp-3, 0x1.9d5b915c6e9cap-3, 0x1.9aac40e6ef675p-3, 0x1.97f712380f37cp-3, 0x1.953c4466cc98cp-3, 0x1.927c15ddc090dp-3, 0x1.8fb6c4592238p-3, 0x1.8cec8ced8b8c8p-3, 0x1.8a1dac0c43335p-3, 0x1.874a5d7cb455p-3, 0x1.8472dc4f8f99ap-3, 0x1.819762d7647afp-3, 0x1.7eb82aaccdfep-3, 0x1.7bd56cb7796f3p-3, 0x1.78ef612fcbb77p-3, 0x1.76063f94df0e8p-3, 0x1.731a3e9f3ecfbp-3, 0x1.702b943c8de39p-3, 0x1.6d3a759757dc7p-3, 0x1.6a47172216bffp-3, 0x1.6751ac98d77bp-3, 0x1.645a68f6298a2p-3, 0x1.61617e64b5e4dp-3, 0x1.5e671e3a56e85p-3, 0x1.5b6b7900da779p-3, 0x1.586ebe83d3c5p-3, 0x1.55711dd63ec2fp-3, 0x1.5272c549e598dp-3, 0x1.4f73e25f7c71fp-3, 0x1.4c74a1bd0fc7p-3, 0x1.49752f330a5b9p-3, 0x1.4675b5cb83054p-3, 0x1.43765fd6f8813p-3, 0x1.407756eb4d166p-3, 0x1.3d78c3d7073c4p-3, 0x1.3a7ace90ce337p-3, 0x1.377d9e33be99cp-3, 0x1.348159094b4a8p-3, 0x1.3186249a98469p-3, 0x1.2e8c25bbbd2f7p-3, 0x1.2b938088f07a7p-3, 0x1.289c585828096p-3, 0x1.25a6cfaa97746p-3, 0x1.22b3082947775p-3, 0x1.1fc122affdd33p-3, 0x1.1cd13f5ee7608p-3, 0x1.19e37da70f47fp-3, 0x1.16f7fc49c97a1p-3, 0x1.140ed94c6e7a9p-3, 0x1.112831e9c731bp-3, 0x1.0e44228bfc69bp-3, 0x1.0b62c6d3e4db4p-3, 0x1.088439a962c1dp-3, 0x1.05a8954aafe1p-3, 0x1.02cff351a498dp-3, 0x1.fff4d959f4357p-4, 0x1.fa503325503edp-4, 0x1.f4b222ec5736dp-4, 0x1.ef1ad60fd297ep-4, 0x1.e98a78813da06p-4, 0x1.e40134e2d5d65p-4, 0x1.de7f349ff5b2fp-4, 0x1.d9049ff1a8468p-4, 0x1.d3919dcfac5d5p-4, 0x1.ce2653d95f485p-4, 0x1.c8c2e64623706p-4, 0x1.c36777e8270f6p-4, 0x1.be142a41726f4p-4, 0x1.b8c91da0eb55dp-4, 0x1.b38671390cfebp-4, 0x1.ae4c4326630cdp-4, 0x1.a91ab0654c4e4p-4, 0x1.a3f1d4bf24b71p-4, 0x1.9ed1cabb352cdp-4, 0x1.99baab9d5c7a2p-4, 0x1.94ac8f74ac1cp-4, 0x1.8fa78d33f3a8ap-4, 0x1.8aabbac9604cfp-4, 0x1.85b92d2b9ce7ep-4, 0x1.80cff85884512p-4, 0x1.7bf02f48a641ap-4, 0x1.7719e3e0accf4p-4, 0x1.724d26e7e871ep-4, 0x1.6d8a080d7af21p-4, 0x1.68d095f7ecca5p-4, 0x1.6420de5b3be45p-4, 0x1.5f7aee0c39f4cp-4, 0x1.5aded10ac605dp-4, 0x1.564c928086d56p-4, 0x1.51c43cb70913cp-4, 0x1.4d45d90bbf70cp-4, 0x1.48d16fe9298c4p-4, 0x1.446708c9e4656p-4, 0x1.4006aa45900e8p-4, 0x1.3bb05a2348fbbp-4, 0x1.37641d6b6fa2ep-4, 0x1.3321f87345eacp-4, 0x1.2ee9eedf971a6p-4, 0x1.2abc039f3d397p-4, 0x1.269838e192b1cp-4, 0x1.227e900e899fcp-4, 0x1.1e6f09c555a7bp-4, 0x1.1a69a5e3804e5p-4, 0x1.166e6392e4fb8p-4, 0x1.127d415983c12p-4, 0x1.0e963d27e03bap-4, 0x1.0ab95460f33a6p-4, 0x1.06e683db28c78p-4, 0x1.031dc7db3890dp-4, 0x1.febe3818e2f11p-5, 0x1.f754f6f550bcp-5, 0x1.efffc1249d458p-5, 0x1.e8be8a4d20715p-5, 0x1.e19144fa6aa4dp-5, 0x1.da77e2b89172ep-5, 0x1.d372542c7b26cp-5, 0x1.cc808923a9cd1p-5, 0x1.c5a27098ff0b9p-5, 0x1.bed7f8af469b1p-5, 0x1.b8210ea5e3164p-5, 0x1.b17d9ece2ffbbp-5, 0x1.aaed9487c17f1p-5, 0x1.a470da46f43d2p-5, 0x1.9e0759a4c32d3p-5, 0x1.97b0fb73df5fbp-5, 0x1.916da7d5f2aa6p-5, 0x1.8b3d464cadafp-5, 0x1.851fbdc3e3516p-5, 0x1.7f14f493ddcb3p-5, 0x1.791cd07d1653bp-5, 0x1.733736a0bd34bp-5, 0x1.6d640b7a7d1f9p-5, 0x1.67a332df73a59p-5, 0x1.61f490042bbdp-5, 0x1.5c5805889f1bep-5, 0x1.56cd758764552p-5, 0x1.5154c1a4d31cp-5, 0x1.4bedcb1baafc6p-5, 0x1.469872c5d9e0cp-5, 0x1.41549920ba364p-5, 0x1.3c221e4d28bd4p-5, 0x1.3700e20cea7fp-5, 0x1.31f0c3bf9960ap-5, 0x1.2cf1a261aa53bp-5, 0x1.28035c8f3d902p-5, 0x1.2325d089e0733p-5, 0x1.1e58dc431a409p-5, 0x1.199c5d64a0fep-5, 0x1.14f0315a3b34ep-5, 0x1.105435593e8dp-5, 0x1.0bc846664fe9ap-5, 0x1.074c41591f051p-5, 0x1.02e002de221d8p-5, 0x1.fd06ceed810f3p-6, 0x1.f46c96f25a11ep-6, 0x1.ebf11621e7f9fp-6, 0x1.e394048290a34p-6, 0x1.db5519d37d262p-6, 0x1.d3340d966ab59p-6, 0x1.cb30971b6f1b8p-6, 0x1.c34a6d8f3e44ap-6, 0x1.bb8148018b826p-6, 0x1.b3d4dd6ed2abbp-6, 0x1.ac44e4c7db4a4p-6, 0x1.a4d114f6290f5p-6, 0x1.9d7924df43535p-6, 0x1.963ccb66b8e37p-6, 0x1.8f1bbf6fe9673p-6, 0x1.8815b7e124101p-6, 0x1.812a6ba8b9e6ap-6, 0x1.7a5991c3e7915p-6, 0x1.73a2e146a96ep-6, 0x1.6d0611633a86fp-6, 0x1.6682d970b30d4p-6, 0x1.6018f0f0a32acp-6, 0x1.59c80f93f13cbp-6, 0x1.538fed3f2cba7p-6, 0x1.4d70420e4ca1ap-6, 0x1.4768c657d041cp-6, 0x1.417932af39f64p-6, 0x1.3ba13fe76aea1p-6, 0x1.35e0a715301d1p-6, 0x1.30372192c884ep-6, 0x1.2aa46903961ap-6, 0x1.2528375b6a227p-6, 0x1.1fc246ddeb15cp-6, 0x1.1a7252277201bp-6, 0x1.1538142dd5e7bp-6, 0x1.1013484419f9dp-6, 0x1.0b03aa1d258cfp-6, 0x1.0608f5cec5ee6p-6, 0x1.0122e7d4935fap-6, 0x1.f8a27a24b5d8fp-7, 0x1.ef2765ac1e71ep-7, 0x1.e5d40db262fe2p-7, 0x1.dca7ee8412953p-7, 0x1.d3a2854a3b4c9p-7, 0x1.cac3500e66906p-7, 0x1.c209cdbf72718p-7, 0x1.b9757e36eb059p-7, 0x1.b105e23e1d69p-7, 0x1.a8ba7b92c6d42p-7, 0x1.a092cceafea88p-7, 0x1.988e59f88e1f9p-7, 0x1.90aca76baffb2p-7, 0x1.88ed3af53294ap-7, 0x1.814f9b48224cep-7, 0x1.79d3501ae034ap-7, 0x1.7277e2283b866p-7, 0x1.6b3cdb30afb77p-7, 0x1.6421c5fc3bf08p-7, 0x1.5d262e5d1a4bap-7, 0x1.5649a132ccec5p-7, 0x1.4f8bac6d11c22p-7, 0x1.48ebdf0de4399p-7, 0x1.4269c92a4220ap-7, 0x1.3c04fbe9b66adp-7, 0x1.35bd098593e06p-7, 0x1.2f91854874a0ap-7, 0x1.2982038ef116dp-7, 0x1.238e19c9968d5p-7, 0x1.1db55e7fdf04fp-7, 0x1.17f769533f491p-7, 0x1.1253d30152011p-7, 0x1.0cca356439a48p-7, 0x1.075a2b70ef927p-7, 0x1.02035133fd8e1p-7, 0x1.f98a879b04c38p-8, 0x1.ef3f42dd42f23p-8, 0x1.e52412a838d3cp-8, 0x1.db38379cc64cdp-8, 0x1.d17af479ce99bp-8, 0x1.c7eb8e2c3c44dp-8, 0x1.be894bd613516p-8, 0x1.b55376d44ca65p-8, 0x1.ac495abf6b848p-8, 0x1.a36a4565782bbp-8, 0x1.9ab586be39896p-8, 0x1.922a70dc2e4e3p-8, 0x1.89c857dddb03ap-8, 0x1.818e91e37ca0cp-8, 0x1.797c770c0e961p-8, 0x1.7191617a3e48fp-8, 0x1.69ccad6057f45p-8, 0x1.622db90efccb5p-8, 0x1.5ab3e501ebaedp-8, 0x1.535e93e5c89c2p-8, 0x1.4c2d2a93d2146p-8, 0x1.451f1002cc667p-8, 0x1.3e33ad3007233p-8, 0x1.376a6d057bc21p-8, 0x1.30c2bc43b5638p-8, 0x1.2a3c0974c6ce2p-8, 0x1.23d5c4ec13435p-8, 0x1.1d8f60d2c4bcp-8, 0x1.1768513d6d5dcp-8, 0x1.11600c446977ep-8, 0x1.0b760a177d073p-8, 0x1.05a9c505f8082p-8, 0x1.fff572eeaaf8cp-9, 0x1.f4d0cba90ccb3p-9, 0x1.e9e494cb94a04p-9, 0x1.df2fd259275e1p-9, 0x1.d4b18b845b31cp-9, 0x1.ca68ca85e61e6p-9, 0x1.c0549c9656c3ep-9, 0x1.b674120d60467p-9, 0x1.acc63e9d86843p-9, 0x1.a34a399e5003dp-9, 0x1.99ff1e4f617fap-9, 0x1.90e40c0202645p-9, 0x1.87f8261b5ef75p-9, 0x1.7f3a93ea7ddc9p-9, 0x1.76aa805881455p-9, 0x1.6e4719817562ep-9, 0x1.660f904df7051p-9, 0x1.5e03181dcd716p-9, 0x1.5620e69d018adp-9, 0x1.4e6833c8f98dcp-9, 0x1.46d83a3155d58p-9, 0x1.3f70373de3bc4p-9, 0x1.382f6bb00736p-9, 0x1.31151bf6d3b58p-9, 0x1.2a20906bd80d2p-9, 0x1.235115586cd49p-9, 0x1.1ca5fac0dcb9p-9, 0x1.161e93fd63599p-9, 0x1.0fba3734bce99p-9, 0x1.09783cd1be1ebp-9, 0x1.0357ff0e92ecep-9, 0x1.fab1b359e6ac3p-10, 0x1.eef453d46ad23p-10, 0x1.e3769d67937dep-10, 0x1.d8375226894bfp-10, 0x1.cd35397bf3284p-10, 0x1.c26f21516340fp-10, 0x1.b7e3defde2b5cp-10, 0x1.ad924fbf68b24p-10, 0x1.a379589eb80c9p-10, 0x1.9997e5bf499d5p-10, 0x1.8fece93ccb2f1p-10, 0x1.867759cf93811p-10, 0x1.7d363177fa932p-10, 0x1.74286c695fd98p-10, 0x1.6b4d085e2069p-10, 0x1.62a3046c31b6p-10, 0x1.5a29616101a12p-10, 0x1.51df229bf76c7p-10, 0x1.49c34f497bf1ap-10, 0x1.41d4f3cbb631dp-10, 0x1.3a13230b69a31p-10, 0x1.327cf763d9d4fp-10, 0x1.2b1192ec0a4cfp-10, 0x1.23d01f01a7b1dp-10, 0x1.1cb7cb298b17fp-10, 0x1.15c7cb841ace6p-10, 0x1.0eff572b96071p-10, 0x1.085da6cceeb9bp-10, 0x1.01e1f3b2ffa0bp-10, 0x1.f716eeaa76266p-11, 0x1.eab2d6c31a0e8p-11, 0x1.de9614588b777p-11, 0x1.d2bf1ee34008ap-11, 0x1.c72c730743dd1p-11, 0x1.bbdc94cce50bcp-11, 0x1.b0ce12e62cd6fp-11, 0x1.a5ff8912a7f41p-11, 0x1.9b6fa1e3a16d7p-11, 0x1.911d170028075p-11, 0x1.8706afbd7dap-11, 0x1.7d2b3e3b421bcp-11, 0x1.73899bb044a26p-11, 0x1.6a20a4cdf8524p-11, 0x1.60ef371618a81p-11, 0x1.57f42f7216972p-11, 0x1.4f2e6a692a203p-11, 0x1.469cc4d0fe649p-11, 0x1.3e3e1cfe2ea05p-11, 0x1.361153b2fb489p-11, 0x1.2e154cdbb35f6p-11, 0x1.2648f066fa20fp-11, 0x1.1eab2b96ee804p-11, 0x1.173af2ec6971cp-11, 0x1.0ff7445b1b784p-11, 0x1.08df291aadcafp-11, 0x1.01f1b64c6298fp-11, 0x1.f65c17e5f08a8p-12, 0x1.e926a48070cd6p-12, 0x1.dc416bbd8c76ep-12, 0x1.cfaac89167b39p-12, 0x1.c3611297d3382p-12, 0x1.b7629ce30ab28p-12, 0x1.abadb88b34833p-12, 0x1.a040b97c24043p-12, 0x1.9519fb2c7d891p-12, 0x1.8a37e3306f277p-12, 0x1.7f98e0dedd14dp-12, 0x1.753b6ae577ce7p-12, 0x1.6b1dfccdf59d6p-12, 0x1.613f1682119d4p-12, 0x1.579d3ed317623p-12, 0x1.4e370877ee474p-12, 0x1.450b17abaec9dp-12, 0x1.3c182613cc469p-12, 0x1.335d0308df11ap-12, 0x1.2ad88f982f40fp-12, 0x1.2289b727db682p-12, 0x1.1a6f6704a186bp-12, 0x1.128887acb3923p-12, 0x1.0ad3fa2f82ab3p-12, 0x1.03509a4194c8fp-12, 0x1.f7fa88113d643p-13, 0x1.e9b1b5af74782p-13, 0x1.dbc49b6056f02p-13, 0x1.ce312ec2acc6dp-13, 0x1.c0f5742f7481bp-13, 0x1.b40f70e02a2f1p-13, 0x1.a77d1ed879a81p-13, 0x1.9b3c6898537f5p-13, 0x1.8f4b2eca11575p-13, 0x1.83a755f1afffep-13, 0x1.784ed6e60c457p-13, 0x1.6d3fcc636814bp-13, 0x1.6278793c0bd1ap-13, 0x1.57f7457f60b2ap-13, 0x1.4dbab36839ee8p-13, 0x1.43c1506a3edbdp-13, 0x1.3a09a788709acp-13, 0x1.309239b087ap-13, 0x1.27597e569626dp-13, 0x1.1e5deb948d312p-13, 0x1.159e02a0e7307p-13, 0x1.0d185bd970ce6p-13, 0x1.04cbad3ed2978p-13, 0x1.f96d8f87eaf67p-14, 0x1.e9b115859f12ep-14, 0x1.da5fa66bf74adp-14, 0x1.cb76d8479c754p-14, 0x1.bcf411fa6eba8p-14, 0x1.aed495fb1663ap-14, 0x1.a1159d257fabdp-14, 0x1.93b474c8caf7bp-14, 0x1.86ae957a4e335p-14, 0x1.7a01ae457fc85p-14, 0x1.6daba4026c2a4p-14, 0x1.61aa865d21f13p-14, 0x1.55fc7e1090ab2p-14, 0x1.4a9fba4f5408fp-14, 0x1.3f92634e67ed7p-14, 0x1.34d294a91c7dep-14, 0x1.2a5e5efff3a3bp-14, 0x1.2033cf43adea8p-14, 0x1.1650fab7c734fp-14, 0x1.0cb40db63411bp-14, 0x1.035b582298c8cp-14, 0x1.f48aa0d99a836p-15, 0x1.e2e110b8a5bc8p-15, 0x1.d1b72c0d7cd7dp-15, 0x1.c109f65010118p-15, 0x1.b0d6304247a9fp-15, 0x1.a11864b2e7081p-15, 0x1.91cd1378ac2b9p-15, 0x1.82f0de44898e3p-15, 0x1.74809e771bd3dp-15, 0x1.66796414b8b9dp-15, 0x1.58d871076551dp-15, 0x1.4b9b3cc35fb2cp-15, 0x1.3ebf7880dc979p-15, 0x1.324306dfe4969p-15, 0x1.2623e58bdc60ep-15, 0x1.1a601374e4c78p-15, 0x1.0ef57d14f6f74p-15, 0x1.03e1f34a08e3bp-15, 0x1.f2465b9ee3ec7p-16, 0x1.dd6dae962b9cbp-16, 0x1.c9353b7702577p-16, 0x1.b598841155e72p-16, 0x1.a293485715417p-16, 0x1.902194a8d61cep-16, 0x1.7e3fbf1fd80f3p-16, 0x1.6cea4cc8271bcp-16, 0x1.5c1dc4d2c1988p-16, 0x1.4bd68b411ffb6p-16, 0x1.3c10e1eadc268p-16, 0x1.2cc9132972699p-16, 0x1.1dfb9b04be02ap-16, 0x1.0fa519917010dp-16, 0x1.01c21678e42eep-16, 0x1.e89dcb3ba45fdp-17, 0x1.ce8fce9134f6p-17, 0x1.b553e9cf490cfp-17, 0x1.9ce526a47d47dp-17, 0x1.853f7e44a3468p-17, 0x1.6e5f0788ffa7fp-17, 0x1.583f5a0b6b8a5p-17, 0x1.42db8372f5315p-17, 0x1.2e2e78036951cp-17, 0x1.1a3394295f6e6p-17, 0x1.06e6a00de6fedp-17, 0x1.e88721aab5b3ap-18, 0x1.c48c0f693d22dp-18, 0x1.a1d275b679671p-18, 0x1.80507993cd5acp-18, 0x1.5ffcc1e515a27p-18, 0x1.40cef060a823p-18, 0x1.22bf7e8e77677p-18, 0x1.05c71385a0607p-18, 0x1.d3bb80df45c68p-19, 0x1.9df5a4c83787fp-19, 0x1.6a2ae6dac5e16p-19, 0x1.384acce735e0fp-19, 0x1.084563396c214p-19, 0x1.b4117b1bbac5bp-20, 0x1.5b00fd8666576p-20, 0x1.0533ba22fe4c8p-20, 0x1.652282daa5476p-21, 0x1.8c3b4a6592158p-22, 0x1.6a560827a3df7p-24, -0x1.95c92afb1ef05p-23, -0x1.e4913bbf66051p-22, -0x1.796e359334524p-21, -0x1.fb107cfdf1cdfp-21, -0x1.3ba7e106564b6p-20, -0x1.77239ec9b371fp-20, -0x1.b00bd845614b6p-20, -0x1.e675c250a5fa8p-20, -0x1.0d3cf62e43f77p-19, -0x1.2618ab4bb7991p-19, -0x1.3dd963d79d54p-19, -0x1.5488845bbbf9bp-19, -0x1.6a2d1abdab6d8p-19, -0x1.7ecc298796c3ap-19, -0x1.9269b3441a502p-19, -0x1.a50a5cccb6df2p-19, -0x1.b6b4c91b8cdd4p-19, -0x1.c77167524c59bp-19, -0x1.d7489ebdc3dd7p-19, -0x1.e6419d8772012p-19, -0x1.f464091bc7259p-19, -0x1.00dd52dd238a7p-18, -0x1.0728fa6aff4d2p-18, -0x1.0d194bc380766p-18, -0x1.12af569035a42p-18, -0x1.17eb2b499d989p-18, -0x1.1ccee4e21fed3p-18, -0x1.215f0af1d92e1p-18, -0x1.25a065a3245e7p-18, -0x1.2996028a68b36p-18, -0x1.2d4168d0dc3e5p-18, -0x1.30a4229f7a424p-18, -0x1.33c0984808087p-18, -0x1.3699c50f627f1p-18, -0x1.39329ffb23fafp-18, -0x1.3b8dd31fccf8ep-18, -0x1.3dadb9d9030d5p-18, -0x1.3f946f8091706p-18, -0x1.4143d5190d13cp-18, -0x1.42bd928216f17p-18, -0x1.44031d1604a46p-18, -0x1.4515c7486f90bp-18, -0x1.45f6de759f626p-18, -0x1.46a7e2b1574cfp-18, -0x1.472acaff50da5p-18, -0x1.4782042fa28e4p-18, -0x1.47afd9f1e0ee9p-18, -0x1.47b5b0eeccaeep-18, -0x1.47941a72f456dp-18, -0x1.474c2395e9cdap-18, -0x1.46e01b5f738a5p-18, -0x1.4652627970fadp-18, -0x1.45a39cec33ecp-18, -0x1.44d3ca47d1fa9p-18, -0x1.43e48f334743cp-18, -0x1.42d8f5624e0bdp-18, -0x1.41b325819ae3fp-18, -0x1.4073935ff56acp-18, -0x1.3f1a671b88c0fp-18, -0x1.3da89a72bd372p-18, -0x1.3c1fa9e9b100bp-18, -0x1.3a80f489b002dp-18, -0x1.38cd88aac77a6p-18, -0x1.37063c7bd1f45p-18, -0x1.352bd2413bc41p-18, -0x1.333f1054ac7c2p-18, -0x1.3140cb217b131p-18, -0x1.2f31e5812fc31p-18, -0x1.2d134dabb0aep-18, -0x1.2ae5fadc77a51p-18, -0x1.28aae8da8538cp-18, -0x1.26630afc73303p-18, -0x1.240f38584136dp-18, -0x1.21b0246b6442dp-18, -0x1.1f4679f241645p-18, -0x1.1cd30347a6d62p-18, -0x1.1a569ac90103ep-18, -0x1.17d1ce30e3179p-18, -0x1.1544960513468p-18, -0x1.12aebab7d3b5bp-18, -0x1.1010f500748afp-18, -0x1.0d6cfbc50e051p-18, -0x1.0ac3ab050d8c5p-18, -0x1.0814dbd2dd3bep-18, -0x1.05611d29c98bbp-18, -0x1.02a954cdda5e2p-18, -0x1.ffdac76529dfap-19, -0x1.fa59e38052099p-19, -0x1.f4d10cbcd372dp-19, -0x1.ef4244e8ce509p-19, -0x1.e9af3b8dac8b3p-19, -0x1.e4190f9927559p-19, -0x1.de8085ce81375p-19, -0x1.d8e639405d111p-19, -0x1.d34ab3fc904fdp-19, -0x1.cdae7a8f7691bp-19, -0x1.c812124f7b025p-19, -0x1.c276049f49b2fp-19, -0x1.bcdadf3844dafp-19, -0x1.b74132627b6fp-19, -0x1.b1a98ebcf3e1ap-19, -0x1.ac148cd81420cp-19, -0x1.a6829f94d177bp-19, -0x1.a0f44eb405accp-19, -0x1.9b69fe5fb3554p-19, -0x1.95e3ecd6debb5p-19, -0x1.90625905d5b28p-19, -0x1.8ae5ad9c2539ep-19, -0x1.856e8f30b4096p-19, -0x1.7ffd9a42087ccp-19, -0x1.7a92fedbb858fp-19, -0x1.752e691809659p-19, -0x1.6fcfeb1dac56ap-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      {{0x1.b5df662ab9414p-9, 0x1.b5e1dfa8a7067p-8, 0x1.486a7711d8f64p-7, 0x1.b5dfd33849344p-7, 0x1.11a399cc92b56p-6, 0x1.48484e09532e1p-6, 0x1.7ed2ac87af207p-6, 0x1.b533e9f591be2p-6, 0x1.eb59dc4e2c6abp-6, 0x1.109796cec5cb9p-5, 0x1.2b4dd2fbf8cfep-5, 0x1.45c2425ffed51p-5, 0x1.5fe671580202cp-5, 0x1.79ab0bd061ddp-5, 0x1.930010395026ap-5, 0x1.abd50154f57c9p-5, 0x1.c41916156e014p-5, 0x1.dbbb670a21a38p-5, 0x1.f2ab1907f24f1p-5, 0x1.046bc267cbe1dp-4, 0x1.0f182dc0c05f5p-4, 0x1.1952e3daf6fbfp-4, 0x1.2314458b3564bp-4, 0x1.2c550c2f5500dp-4, 0x1.350e54dad22fcp-4, 0x1.3d39a9aee18d6p-4, 0x1.44d10964f17c6p-4, 0x1.4bceed1a3e18cp-4, 0x1.522e4c7292715p-4, 0x1.57eaa02eb8a1ap-4, 0x1.5cffe358882a6p-4, 0x1.616a932a63b03p-4, 0x1.6527adda671bap-4, 0x1.6834b07287bddp-4, 0x1.6a8f93de80af3p-4, 0x1.6c36c956fe5f3p-4, 0x1.6d29364eddb1ap-4, 0x1.6d66300438602p-4, 0x1.6ced76d3428a6p-4, 0x1.6bbf3164e378bp-4, 0x1.69dbe7cef9b21p-4, 0x1.67447eb811d85p-4, 0x1.63fa328c7bf19p-4, 0x1.5ffe92cf1ed5dp-4, 0x1.5b537d8d3c017p-4, 0x1.55fb1af962a56p-4, 0x1.4ff7d92fa2c74p-4, 0x1.494c6822feae7p-4, 0x1.41fbb5b2a8d58p-4, 0x1.3a08e9e470757p-4, 0x1.317763411ed9ap-4, 0x1.284ab34ee40ccp-4, 0x1.1e869b260254dp-4, 0x1.142f081bd70fap-4, 0x1.094810809bd8ap-4, 0x1.fbabe0d98f3cap-5, 0x1.e3ba0d3680f88p-5, 0x1.cac3a29c7dd93p-5, 0x1.b0d1d67aae0cap-5, 0x1.95ee1117434fap-5, 0x1.7a21e78b3a1d5p-5, 0x1.5d7715cdd82fbp-5, 0x1.3ff778d10b495p-5, 0x1.21ad08b0d65p-5, 0x1.02a1d2f87b838p-5, 0x1.c5bfea01c739bp-6, 0x1.84e32cd8186f5p-6, 0x1.42c1c783482fap-6, 0x1.fee024c4b1a94p-7, 0x1.7604b5f8545c7p-7, 0x1.d63368d06340cp-8, 0x1.791d571d14bc7p-9, -0x1.8253f1f332309p-10, -0x1.80e87e1cd63f3p-8, -0x1.520ed335de1dbp-7, -0x1.e4f39f7e875dp-7, -0x1.3c7e4a7ce2d2p-6, -0x1.87021efd1f61p-6, -0x1.d1f2e4fb41488p-6, -0x1.0e9f461447a3ap-5, -0x1.3469b0813652p-5, -0x1.5a50088d68f04p-5, -0x1.8049d76a22ec6p-5, -0x1.a64eda49d3e7dp-5, -0x1.cc5703b537ae6p-5, -0x1.f25a7c9ec9ac7p-5, -0x1.0c28d29b4a503p-4, -0x1.1f1a8ac082701p-4, -0x1.31feced9cd0cbp-4, -0x1.44d2232d34be1p-4, -0x1.57912824ebea3p-4, -0x1.6a389a2fed965p-4, -0x1.7cc5518c350d5p-4, -0x1.8f3441fc52c4bp-4, -0x1.a1827a6a3e69bp-4, -0x1.b3ad247938cf3p-4, -0x1.c5b1840893185p-4, -0x1.d78cf6a94a2b5p-4, -0x1.e93cf3080b926p-4, -0x1.fabf084d9ba15p-4, -0x1.06086ebb919fcp-3, -0x1.0e9818540e91fp-3, -0x1.170d6b3bb487p-3, -0x1.1f675c9c7b36ep-3, -0x1.27a4ec22bdb6p-3, -0x1.2fc523a0be03cp-3, -0x1.37c716b26a916p-3, -0x1.3fa9e261f6e41p-3, -0x1.476caccdcd05bp-3, -0x1.4f0ea4d04e839p-3, -0x1.568f01a9ca221p-3, -0x1.5ded02ad09acp-3, -0x1.6527eeeed5faap-3, -0x1.6c3f14f8a6debp-3, -0x1.7331ca7ec5499p-3, -0x1.79ff6c1a1feb4p-3, -0x1.80a75d05ddb61p-3, -0x1.872906e0ecbaep-3, -0x1.8d83d97393862p-3, -0x1.93b74a790eab4p-3, -0x1.99c2d56d515c8p-3, -0x1.9fa5fb5ed93a9p-3, -0x1.a56042c492b7ap-3, -0x1.aaf13757bf1adp-3, -0x1.b05869f1ca8b8p-3, -0x1.b595706df27a6p-3, -0x1.baa7e58ea9f01p-3, -0x1.bf8f68e6899cdp-3, -0x1.c44b9ec4b8503p-3, -0x1.c8dc302492ac1p-3, -0x1.cd40caa079719p-3, -0x1.d179206782acep-3, -0x1.d584e835f27bfp-3, -0x1.d963dd504405ap-3, -0x1.dd15bf8085ef5p-3, -0x1.e09a5315f0cf4p-3, -0x1.e3f160e66e99ep-3, -0x1.e71ab651e62dp-3, -0x1.ea16254721a31p-3, -0x1.ece3844a18e31p-3, -0x1.ef82ae7b5f581p-3, -0x1.f1f383a0a87e5p-3, -0x1.f435e82e098ep-3, -0x1.f649c54fee96fp-3, -0x1.f82f08f57e70bp-3, -0x1.f9e5a5db523b2p-3, -0x1.fb6d939648235p-3, -0x1.fcc6ce9e5c508p-3, -0x1.fdf158594c29cp-3, -0x1.feed3724fce96p-3, -0x1.ffba76615d5e9p-3, -0x1.002c933ce8e8bp-2, -0x1.0064ae76ebac4p-2, -0x1.00859a2c7dd51p-2, -0x1.008f663cec3cdp-2, -0x1.0082251c13bf6p-2, -0x1.005debd4de81cp-2, -0x1.0022d20b31682p-2, -0x1.ffa1e3fa801b6p-3, -0x1.fed0d10876be6p-3, -0x1.fdd2aa28b3ebep-3, -0x1.fca7b37862d05p-3, -0x1.fb503646b4ccfp-3, -0x1.f9cc8110b923dp-3, -0x1.f81ce77bbfafbp-3, -0x1.f641c24e407f9p-3, -0x1.f43b6f674692dp-3, -0x1.f20a51b452477p-3, -0x1.efaed125c34f4p-3, -0x1.ed295aa1c3228p-3, -0x1.ea7a5ff5af0ebp-3, -0x1.e7a257c6080a3p-3, -0x1.e4a1bd7cf9031p-3, -0x1.e1791137612fdp-3, -0x1.de28d7b084b06p-3, -0x1.dab19a2c58106p-3, -0x1.d713e6607ae52p-3, -0x1.d3504e5be50c9p-3, -0x1.cf67686d52dd9p-3, -0x1.cb59cf088646dp-3, -0x1.c72820aa508c4p-3, -0x1.c2d2ffbb8edb3p-3, -0x1.be5b127310e9dp-3, -0x1.b9c102b68404fp-3, -0x1.b5057dfa636dbp-3, -0x1.b029352112172p-3, -0x1.ab2cdc5915d98p-3, -0x1.a6112afa90406p-3, -0x1.a0d6db640063ep-3, -0x1.9b7eaad65e825p-3, -0x1.960959509dabdp-3, -0x1.9077a96aa6d91p-3, -0x1.8aca602fda9f7p-3, -0x1.850244f92b19dp-3, -0x1.7f202146d6d1dp-3, -0x1.7924c099de2c2p-3, -0x1.7310f04d37bd3p-3, -0x1.6ce57f6edc27dp-3, -0x1.66a33e98aecc8p-3, -0x1.604affc95a286p-3, -0x1.59dd963d2286ep-3, -0x1.535bd646d0739p-3, -0x1.4cc69528a5ba1p-3, -0x1.461ea8ed82c6bp-3, -0x1.3f64e842363fep-3, -0x1.389a2a4f14c07p-3, -0x1.31bf4691cfe6bp-3, -0x1.2ad514b7ab81ap-3, -0x1.23dc6c7810ddp-3, -0x1.1cd6256f8f1ebp-3, -0x1.15c316fb4a79fp-3, -0x1.0ea41814f73d3p-3, -0x1.0779ff2f52a92p-3, -0x1.0045a2132f8e4p-3, -0x1.f20fab7a443e7p-4, -0x1.e382dc778d272p-4, -0x1.d4e67d1d6a257p-4, -0x1.c63c310c440cp-4, -0x1.b7859946738cbp-4, -0x1.a8c453f26840ep-4, -0x1.99f9fc1e57ffdp-4, -0x1.8b28298580b7ep-4, -0x1.7c507056fada7p-4, -0x1.6d7460fe300ecp-4, -0x1.5e9587ecf9b07p-4, -0x1.4fb56d676f5edp-4, -0x1.40d595516ca5ap-4, -0x1.31f77efdc7f1ap-4, -0x1.231ca4ff59131p-4, -0x1.14467cfbb1929p-4, -0x1.0576777fa7652p-4, -0x1.ed5bffab40ccap-5, -0x1.cfdcf7bb59b2cp-5, -0x1.b27297ced2677p-5, -0x1.951f951b5b653p-5, -0x1.77e699280b289p-5, -0x1.5aca418bf104cp-5, -0x1.3dcd1fb023e51p-5, -0x1.20f1b895686c8p-5, -0x1.043a849d681dep-5, -0x1.cf53deaebceb2p-6, -0x1.9684aea0805a5p-6, -0x1.5e0c1bcccb9e5p-6, -0x1.25eeae4119d75p-6, -0x1.dc61a62123a3ap-7, -0x1.6dadb81f107ddp-7, -0x1.ff93fe56819d7p-8, -0x1.257d611990554p-8, -0x1.349e4e040e70ep-10, 0x1.12bbbf7095a5fp-9, 0x1.5e03dea8f7531p-8, 0x1.185de058fec8dp-7, 0x1.80bba77088d39p-7, 0x1.e814621d578edp-7, 0x1.2730b37b6293fp-6, 0x1.59ce22dbef444p-6, 0x1.8bdf63a1715bp-6, 0x1.bd6176ccfe6e1p-6, 0x1.ee5179e6ed92cp-6, 0x1.0f5653786b641p-5, 0x1.27382a296609cp-5, 0x1.3eccfa61d10b1p-5, 0x1.56138b964520fp-5, 0x1.6d0ab3441ea68p-5, 0x1.83b154decd3a5p-5, 0x1.9a0661bb090cfp-5, 0x1.b008d8f7f8124p-5, 0x1.c5b7c7664f0a4p-5, 0x1.db12476d8a2e9p-5, 0x1.f01780ef475ddp-5, 0x1.026354946a356p-4, 0x1.0c8f814982fcp-4, 0x1.168fee603a367p-4, 0x1.20644a1d035f9p-4, 0x1.2a0c492d0c67cp-4, 0x1.3387a6930c35dp-4, 0x1.3cd623936574ap-4, 0x1.45f7879fa212fp-4, 0x1.4eeba04148df3p-4, 0x1.57b241042178bp-4, 0x1.604b435fe55c1p-4, 0x1.68b686a168f33p-4, 0x1.70f3efd348f83p-4, 0x1.790369a617f3bp-4, 0x1.80e4e458271a9p-4, 0x1.8898559cd94cfp-4, 0x1.901db883a2b32p-4, 0x1.97750d5ea38cp-4, 0x1.9e9e59a8f7295p-4, 0x1.a599a7ecb2b3ap-4, 0x1.ac6707a8a2d6bp-4, 0x1.b3068d35ce251p-4, 0x1.b97851acb6bddp-4, 0x1.bfbc72ca71337p-4, 0x1.c5d312d598428p-4, 0x1.cbbc588311099p-4, 0x1.d1786edab31abp-4, 0x1.d707851bdef58p-4, 0x1.dc69cea1fda2bp-4, 0x1.e19f82c8f23c9p-4, 0x1.e6a8dcd189b55p-4, 0x1.eb861bc5e00ecp-4, 0x1.f037825dd1e34p-4, 0x1.f4bd56e36fb07p-4, 0x1.f917e3177bb03p-4, 0x1.fd4774160ae1p-4, 0x1.00a62d1d9063bp-3, 0x1.02937483bf199p-3, 0x1.046bbb82c0ce4p-3, 0x1.062f2ed717fc4p-3, 0x1.07ddfca72f7bfp-3, 0x1.097854760ae91p-3, 0x1.0afe671605fafp-3, 0x1.0c70669bb62bbp-3, 0x1.0dce8650dc34p-3, 0x1.0f18faa77dfddp-3, 0x1.104ff92d15b2cp-3, 0x1.1173b87de318dp-3, 0x1.128470385e5bfp-3, 0x1.138258f0cd25bp-3, 0x1.146dac24f9217p-3, 0x1.1546a4300e15fp-3, 0x1.160d7c3e9c0f4p-3, 0x1.16c27042c2ep-3, 0x1.1765bce880d1cp-3, 0x1.17f79f8a30d59p-3, 0x1.187856252cc46p-3, 0x1.18e81f4ea1c31p-3, 0x1.19473a288450ap-3, 0x1.1995e656c1e73p-3, 0x1.19d463f48fa3fp-3, 0x1.1a02f389ee971p-3, 0x1.1a21d6015f933p-3, 0x1.1a314c9dc2f82p-3, 0x1.1a3198f0671bfp-3, 0x1.1a22fccf49b87p-3, 0x1.1a05ba4b8b7c3p-3, 0x1.19da13a8096dfp-3, 0x1.19a04b503767ap-3, 0x1.1958a3cf1ea17p-3, 0x1.19035fc69488ep-3, 0x1.18a0c1e69e737p-3, 0x1.18310ce51041p-3, 0x1.17b4837550d03p-3, 0x1.172b684058814p-3, 0x1.1695fddce0199p-3, 0x1.15f486c7c1ca8p-3, 0x1.1547455c89b7dp-3, 0x1.148e7bce3c262p-3, 0x1.13ca6c204885bp-3, 0x1.12fb581fb68b2p-3, 0x1.1221815c79fb8p-3, 0x1.113d2922ffa5bp-3, 0x1.104e9075e8fa5p-3, 0x1.0f55f807f47f4p-3, 0x1.0e53a0362213fp-3, 0x1.0d47c901f5fefp-3, 0x1.0c32b20bfed4ep-3, 0x1.0b149a8e77854p-3, 0x1.09edc1582d225p-3, 0x1.08be64c77f0c4p-3, 0x1.0786c2c59bcd8p-3, 0x1.064718c1e4ab6p-3, 0x1.04ffa3ad8359cp-3, 0x1.03b09ff722de1p-3, 0x1.025a4986e5237p-3, 0x1.00fcdbba72118p-3, 0x1.ff3122c27ddc8p-4, 0x1.fc5b4971f3a19p-4, 0x1.f9789ed449264p-4, 0x1.f68995099ede6p-4, 0x1.f38e9cfb160b2p-4, 0x1.f0882654eb529p-4, 0x1.ed769f80f055cp-4, 0x1.ea5a75a14ba64p-4, 0x1.e734148b87e4fp-4, 0x1.e403e6c3f20b8p-4, 0x1.e0ca55793fd6cp-4, 0x1.dd87c880790a3p-4, 0x1.da3ca65136e78p-4, 0x1.d6e9540216aaap-4, 0x1.d38e35458942ap-4, 0x1.d02bac66cd435p-4, 0x1.ccc21a473d481p-4, 0x1.c951de5bdbe98p-4, 0x1.c5db56ab163bfp-4, 0x1.c25edfcad5786p-4, 0x1.bedcd4deb7595p-4, 0x1.bb558f969ae87p-4, 0x1.b7c9682d54014p-4, 0x1.b438b567a1abep-4, 0x1.b0a3cc9355bbap-4, 0x1.ad0b0186bd837p-4, 0x1.a96ea6a02bf8p-4, 0x1.a5cf0cc5d1397p-4, 0x1.a22c8365ac807p-4, 0x1.9e875875b9dbbp-4, 0x1.9adfd87454b3dp-4, 0x1.97364e68b80aep-4, 0x1.938b03e3b9d78p-4, 0x1.8fde4100ac331p-4, 0x1.8c304c666c454p-4, 0x1.88816b48926eep-4, 0x1.84d1e168d1c85p-4, 0x1.8121f1187aa14p-4, 0x1.7d71db3a21c55p-4, 0x1.79c1df436b1d2p-4, 0x1.76123b3ef9c7ap-4, 0x1.72632bce7d678p-4, 0x1.6eb4ec2ce3db6p-4, 0x1.6b07b630a585fp-4, 0x1.675bc24e30e6ep-4, 0x1.63b1479a7638p-4, 0x1.60087bcd898f8p-4, 0x1.5c61934561548p-4, 0x1.58bcc108aade2p-4, 0x1.551a36c9c1bb4p-4, 0x1.517a24e9afc57p-4, 0x1.4ddcba7b492cep-4, 0x1.4a42254660f83p-4, 0x1.46aa91cb0e94ep-4, 0x1.43162b450201cp-4, 0x1.3f851baef22f8p-4, 0x1.3bf78bc6126b1p-4, 0x1.386da30da3c04p-4, 0x1.34e787d286b71p-4, 0x1.31655f2eeaf86p-4, 0x1.2de74d0dfaba9p-4, 0x1.2a6d742fa4f6ap-4, 0x1.26f7f62c6284p-4, 0x1.2386f37911045p-4, 0x1.201a8b6ad2e96p-4, 0x1.1cb2dc3af40e3p-4, 0x1.1950030ae25dep-4, 0x1.15f21be823501p-4, 0x1.129941d04fbabp-4, 0x1.0f458eb51c4ep-4, 0x1.0bf71b8067853p-4, 0x1.08ae00183e9dep-4, 0x1.056a5362f88dp-4, 0x1.022c2b4b44a37p-4, 0x1.fde739888c6ecp-5, 0x1.f781779b5c616p-5, 0x1.f12736efa81dcp-5, 0x1.ead89bcf9b66bp-5, 0x1.e495c8b71fef5p-5, 0x1.de5ede5c0e58p-5, 0x1.d833fbb65af2bp-5, 0x1.d2153e084d153p-5, 0x1.cc02c0e69fe6fp-5, 0x1.c5fc9e40b688ep-5, 0x1.c002ee68a5aa4p-5, 0x1.ba15c81b5ff2fp-5, 0x1.b4354088bc138p-5, 0x1.ae616b5b78054p-5, 0x1.a89a5ac13bef8p-5, 0x1.a2e01f728b1bdp-5, 0x1.9d32c8baa514bp-5, 0x1.9792647f6bb14p-5, 0x1.91feff492104cp-5, 0x1.8c78a44a37f41p-5, 0x1.86ff5d66f875bp-5, 0x1.8193333d2b8ffp-5, 0x1.7c342d2ba9c8ap-5, 0x1.76e25159e7786p-5, 0x1.719da4bf595bep-5, 0x1.6c662b2ae2ff4p-5, 0x1.673be74a27f55p-5, 0x1.621edab0c034dp-5, 0x1.5d0f05df6f46bp-5, 0x1.580c684b37365p-5, 0x1.5317006461a81p-5, 0x1.4e2ecb9d74e21p-5, 0x1.4953c6720d629p-5, 0x1.4485ec6da4d13p-5, 0x1.3fc5383259fe2p-5, 0x1.3b11a37f7a407p-5, 0x1.366b2738204bp-5, 0x1.31d1bb699ffc9p-5, 0x1.2d455751e8b08p-5, 0x1.28c5f165d705bp-5, 0x1.24537f575ee35p-5, 0x1.1fedf61bb7f44p-5, 0x1.1b9549f1593acp-5, 0x1.17496e65f11ebp-5, 0x1.130a565c47acp-5, 0x1.0ed7f411f9c2dp-5, 0x1.0ab239252472ap-5, 0x1.0699169a0dde5p-5, 0x1.028c7ce0957b9p-5, 0x1.fd18b7b34d8f8p-6, 0x1.f53145b904f25p-6, 0x1.ed6281781aa1dp-6, 0x1.e5ac4797ba42fp-6, 0x1.de0e73cab312ap-6, 0x1.d688e0d958f38p-6, 0x1.cf1b68ab4c25cp-6, 0x1.c7c5e450f5b47p-6, 0x1.c0882c0d12a91p-6, 0x1.b962175dd22d7p-6, 0x1.b2537d05e64e7p-6, 0x1.ab5c33156a862p-6, 0x1.a47c0ef28f2a2p-6, 0x1.9db2e56226975p-6, 0x1.97008a8fed67dp-6, 0x1.9064d216ca36fp-6, 0x1.89df8f08d5ce1p-6, 0x1.837093f71264dp-6, 0x1.7d17b2f92ed77p-6, 0x1.76d4bdb5064ffp-6, 0x1.70a78565f66ap-6, 0x1.6a8fdae3fdc05p-6, 0x1.648d8eaad09f1p-6, 0x1.5ea070e09ccaap-6, 0x1.58c8515cdd75p-6, 0x1.5304ffaeb40e7p-6, 0x1.4d564b23687ddp-6, 0x1.47bc02cca3aefp-6, 0x1.4235f58658804p-6, 0x1.3cc3f1fce3938p-6, 0x1.3765c6b2a787ap-6, 0x1.321b4205b0f02p-6, 0x1.2ce4323541abbp-6, 0x1.27c0656702281p-6, 0x1.22afa9ac49dedp-6, 0x1.1db1cd071bd27p-6, 0x1.18c69d6f17154p-6, 0x1.13ede8d627fafp-6, 0x1.0f277d2d41085p-6, 0x1.0a732868b91b9p-6, 0x1.05d0b884b9c5p-6, 0x1.013ffb8984ce2p-6, 0x1.f9817f1ee6c74p-7, 0x1.f0a5a58603d1ap-7, 0x1.e7ec06d150dacp-7, 0x1.df543fc103c13p-7, 0x1.d6dded54230dep-7, 0x1.ce88accf013f9p-7, 0x1.c6541bc28c99fp-7, 0x1.be3fd81266849p-7, 0x1.b64b7ffb4c8acp-7, 0x1.ae76b21955ba5p-7, 0x1.a6c10d6d80168p-7, 0x1.9f2a31639f26cp-7, 0x1.97b1bdd78f56fp-7, 0x1.9057531a9c025p-7, 0x1.891a91f86403dp-7, 0x1.81fb1bbbc116cp-7, 0x1.7af892336baap-7, 0x1.741297b664ff6p-7, 0x1.6d48cf28235dep-7, 0x1.669adbfcd1f87p-7, 0x1.6008623d122acp-7, 0x1.59910689c256ep-7, 0x1.53346e1f7e64ep-7, 0x1.4cf23eda09bd8p-7, 0x1.46ca1f379712p-7, 0x1.40bbb65ba5764p-7, 0x1.3ac6ac121eec3p-7, 0x1.34eaa8d1eb9a8p-7, 0x1.2f2755bfa5f26p-7, 0x1.297c5caff5bedp-7, 0x1.23e96829f1ad7p-7, 0x1.1e6e2369282d3p-7, 0x1.190a3a5feb6e4p-7, 0x1.13bd59b8d2052p-7, 0x1.0e872ed8eafdep-7, 0x1.096767e0e58cdp-7, 0x1.045db3af158fcp-7, 0x1.fed383c0b7d43p-8, 0x1.f51685a3ac519p-8, 0x1.eb83cf4377c79p-8, 0x1.e21ac4612eebdp-8, 0x1.d8daca443d2aap-8, 0x1.cfc347bc47f1ap-8, 0x1.c6d3a5224e12ap-8, 0x1.be0b4c5a59cc8p-8, 0x1.b569a8d425bdp-8, 0x1.acee278c6092bp-8, 0x1.a498370d1219fp-8, 0x1.9c67476e578b4p-8, 0x1.945aca56a4d8bp-8, 0x1.8c7232fb1d102p-8, 0x1.84acf61f44f32p-8, 0x1.7d0a8a154cfe2p-8, 0x1.758a66bd69ee8p-8, 0x1.6e2c0585afe29p-8, 0x1.66eee1695e351p-8, 0x1.5fd276f032618p-8, 0x1.58d6442d763adp-8, 0x1.51f9c8bf5a218p-8, 0x1.4b3c85cd7eeeep-8, 0x1.449dfe0805dc1p-8, 0x1.3e1db5a616c4ep-8, 0x1.37bb326489e16p-8, 0x1.3175fb844eca8p-8, 0x1.2b4d99c8e3419p-8, 0x1.2541977670756p-8, 0x1.1f5180500ae6cp-8, 0x1.197ce195d27ep-8, 0x1.13c34a02e9d0cp-8, 0x1.0e2449cb54a1ep-8, 0x1.089f7299d271ap-8, 0x1.0334578d930cfp-8, 0x1.fbc51a702b3c8p-9, 0x1.f153533502f4ap-9, 0x1.e7128846a2cc7p-9, 0x1.dd01eb57c4dfp-9, 0x1.d320b0ebcd3ccp-9, 0x1.c96e1050eb682p-9, 0x1.bfe9439b7f844p-9, 0x1.b69187a0254d4p-9, 0x1.ad661bee567ecp-9, 0x1.a46642caac674p-9, 0x1.9b914129229b5p-9, 0x1.92e65ea7633b5p-9, 0x1.8a64e586ab12cp-9, 0x1.820c22a61aef4p-9, 0x1.79db657c46becp-9, 0x1.71d200118c875p-9, 0x1.69ef46f9a7765p-9, 0x1.6232914d84cd6p-9, 0x1.5a9b38a5523b3p-9, 0x1.53289911c0fa6p-9, 0x1.4bda1115e3302p-9, 0x1.44af01a0d21fcp-9, 0x1.3da6ce075fa02p-9, 0x1.36c0dbfd7d42p-9, 0x1.2ffc938ffea99p-9, 0x1.29595f1e215bp-9, 0x1.22d6ab52aab25p-9, 0x1.1c73e71df51bcp-9, 0x1.163083af194d4p-9, 0x1.100bf46d7cd55p-9, 0x1.0a05aef27d5f2p-9, 0x1.041d2b02e04aep-9, 0x1.fca3c50ff6aeap-10, 0x1.f146a31334e43p-10, 0x1.e621ec4ea5344p-10, 0x1.db34a123d0ebdp-10, 0x1.d07dc60a9950cp-10, 0x1.c5fc638331236p-10, 0x1.bbaf8609c8b8ap-10, 0x1.b1963e09c73cbp-10, 0x1.a7af9fd0b525fp-10, 0x1.9dfac3818adbbp-10, 0x1.9476c5086271ep-10, 0x1.8b22c40cef442p-10, 0x1.81fde3e73a87bp-10, 0x1.79074b91bc535p-10, 0x1.703e259de4669p-10, 0x1.67a1a026e0954p-10, 0x1.5f30ecc5f9a58p-10, 0x1.56eb40861ec3ep-10, 0x1.4ecfd3d7ce697p-10, 0x1.46dde284ad123p-10, 0x1.3f14aba38267ap-10, 0x1.3773718ccc2a3p-10, 0x1.2ff979ce8e53p-10, 0x1.28a60d204cdep-10, 0x1.21787757e2415p-10, 0x1.1a70075dff329p-10, 0x1.138c0f21f0a6cp-10, 0x1.0ccbe38eeda1dp-10, 0x1.062edc809b7d1p-10, 0x1.ff68a96f7c2dap-11, 0x1.f2b7539e86a26p-11, 0x1.e6487862f687dp-11, 0x1.da1ade19ac89fp-11, 0x1.ce2d50929159cp-11, 0x1.c27ea0fb00e2bp-11, 0x1.b70da5c970faap-11, 0x1.abd93aa708b21p-11, 0x1.a0e0405cd8498p-11, 0x1.96219cbda68ccp-11, 0x1.8b9c3a933cd2ap-11, 0x1.814f0988c0689p-11, 0x1.7738fe17dfb84p-11, 0x1.6d59117548221p-11, 0x1.63ae417bffe35p-11, 0x1.5a37909c2bb62p-11, 0x1.50f405c6ebffap-11, 0x1.47e2ac5bb5defp-11, 0x1.3f02941631173p-11, 0x1.3652d0fb548bdp-11, 0x1.2dd27b482e20dp-11, 0x1.2580af5f3254ep-11, 0x1.1d5c8db787696p-11, 0x1.15653acade58p-11, 0x1.0d99df04fe623p-11, 0x1.05f9a6b2006ddp-11, 0x1.fd0783dce60e1p-12, 0x1.ee6ec92c4d0eep-12, 0x1.e0278c6876803p-12, 0x1.d23043e5d7437p-12, 0x1.c4876d18ea19bp-12, 0x1.b72b8c7428c66p-12, 0x1.aa1b2d4c5da5cp-12, 0x1.9d54e1b73b56dp-12, 0x1.90d7426fd0181p-12, 0x1.84a0eeb7a8aa3p-12, 0x1.78b08c3a40b8p-12, 0x1.6d04c6ef9f1fbp-12, 0x1.619c510262b06p-12, 0x1.5675e2b027e5ep-12, 0x1.4b903a31874cp-12, 0x1.40ea1b9c7247ep-12, 0x1.368250cc222afp-12, 0x1.2c57a9439d84cp-12, 0x1.2268fa180732cp-12, 0x1.18b51dd39bf06p-12, 0x1.0f3af45ed3362p-12, 0x1.05f962e620c13p-12, 0x1.f9dea78591c5p-13, 0x1.e8376cc6ef1c1p-13, 0x1.d6fafe6485795p-13, 0x1.c6274f01fde52p-13, 0x1.b5ba5ae09fb0dp-13, 0x1.a5b227b2df781p-13, 0x1.960cc472a4973p-13, 0x1.86c84931dd442p-13, 0x1.77e2d6f526505p-13, 0x1.695a97838c7d3p-13, 0x1.5b2dbd44485f4p-13, 0x1.4d5a83107f4e4p-13, 0x1.3fdf2c0fa7359p-13, 0x1.32ba038d376bbp-13, 0x1.25e95cd494b7p-13, 0x1.196b93085f93cp-13, 0x1.0d3f090021ae4p-13, 0x1.01622921fa57dp-13, 0x1.eba6ca7e625b7p-14, 0x1.d5226ce300fep-14, 0x1.bf3439f05c504p-14, 0x1.a9d9402a84501p-14, 0x1.950e9bd8e5bc2p-14, 0x1.80d176c51c3dfp-14, 0x1.6d1f07f9c23bdp-14, 0x1.59f4938239449p-14, 0x1.474f6a2d620acp-14, 0x1.352ce9516e1e7p-14, 0x1.238a7a90ee2a5p-14, 0x1.126593979503ep-14, 0x1.01bbb5ec1fb28p-14, 0x1.e314dd5d3120cp-15, 0x1.c39eacca51665p-15, 0x1.a5102183649fbp-15, 0x1.876498e061974p-15, 0x1.6a9785c0584e7p-15, 0x1.4ea47020b9527p-15, 0x1.3386f4b84689bp-15, 0x1.193ac495293f6p-15, 0x1.ff77496838931p-16, 0x1.ce0adb57b8444p-16, 0x1.9e2816899660cp-16, 0x1.6fc6f8471ef23p-16, 0x1.42dfa2d62d2dfp-16, 0x1.176a5cc8badffp-16, 0x1.dabf209754caep-17, 0x1.896f9503c6ad6p-17, 0x1.3ad775adfe3b9p-17, 0x1.ddd0c96d2831fp-18, 0x1.4b288c93750cbp-18, 0x1.7b34fd5499bb5p-19, 0x1.a85b47bea5f77p-21, -0x1.3a7dba654654p-20, -0x1.9b008f343c74ap-19, -0x1.47b0e9871cfd9p-18, -0x1.bd4aa5c2110b6p-18, -0x1.17332cfd7c198p-17, -0x1.4d8e3933a546dp-17, -0x1.81c275cfbf3c3p-17, -0x1.b3dbaa655ae68p-17, -0x1.e3e568d85a649p-17, -0x1.08f5872d79678p-16, -0x1.1efbe2325f52cp-16, -0x1.340b40d216f72p-16, -0x1.48290579b933ep-16, -0x1.5b5a7a1d26c9cp-16, -0x1.6da4d0b62a9c1p-16, -0x1.7f0d239fd795fp-16, -0x1.8f9876194e9f4p-16, -0x1.9f4bb4a4e2ccep-16, -0x1.ae2bb579f6d61p-16, -0x1.bc3d38eade532p-16, -0x1.c984e9c4d2e59p-16, -0x1.d6075dbdbd8f7p-16, -0x1.e1c915cfe3dc8p-16, -0x1.ecce7e9f1abfcp-16, -0x1.f71bf0c7d111ap-16, -0x1.005ad8a53ba67p-15, -0x1.04cff8f0e0714p-15, -0x1.08ef68ae547bap-15, -0x1.0cbb2df50fe58p-15, -0x1.103545be01725p-15, -0x1.135fa409452bep-15, -0x1.163c34097f0e6p-15, -0x1.18ccd8461650ep-15, -0x1.1b136ac7f5d54p-15, -0x1.1d11bd3c30a56p-15, }}, 
      {{0x1.7b34fec6c5cddp-9, 0x1.7b3637a5f11cbp-8, 0x1.1c6998c95ab92p-7, 0x1.7b3799c07e36p-7, 0x1.da026edfadc34p-7, 0x1.1c62bf1570806p-6, 0x1.4bbd03addaf84p-6, 0x1.7b0b809a4eecep-6, 0x1.aa4886d1f6709p-6, 0x1.d96d40aa67eaep-6, 0x1.0438debf0d5b1p-5, 0x1.1ba681aefe4abp-5, 0x1.32fa92919d0c5p-5, 0x1.4a2fadb9a5c53p-5, 0x1.61400fc6101ebp-5, 0x1.7825a37850a6bp-5, 0x1.8eda0fa38a0acp-5, 0x1.a556c4f48ccb7p-5, 0x1.bb950b64192b2p-5, 0x1.d18e0f31360bp-5, 0x1.e73aed4a0bb75p-5, 0x1.fc94bf0f689b1p-5, 0x1.08ca52b196a1fp-4, 0x1.1319e97a732b7p-4, 0x1.1d35cae135a4ap-4, 0x1.271aafe285acp-4, 0x1.30c567631ebe9p-4, 0x1.3a32d9acea12ap-4, 0x1.43600b7f10dcap-4, 0x1.4c4a20b2d252bp-4, 0x1.54ee5e7807df1p-4, 0x1.5d4a2d2d9d8fbp-4, 0x1.655b19db362fbp-4, 0x1.6d1ed752102p-4, 0x1.74933efbea22ap-4, 0x1.7bb6515f0cfb6p-4, 0x1.8286365ef87f3p-4, 0x1.89013d410cdbbp-4, 0x1.8f25dc7c9a74dp-4, 0x1.94f2b15d75245p-4, 0x1.9a667f7fb2d5p-4, 0x1.9f80302adba48p-4, 0x1.a43ed1925339bp-4, 0x1.a8a196000e512p-4, 0x1.aca7d2ee48dc6p-4, 0x1.b051001413edap-4, 0x1.b39cb6685653bp-4, 0x1.b68aaf1e0a233p-4, 0x1.b91ac29c226c7p-4, 0x1.bb4ce77309379p-4, 0x1.bd21315154f32p-4, 0x1.be97cff8b2aa2p-4, 0x1.bfb10e3423c0cp-4, 0x1.c06d50d00192fp-4, 0x1.c0cd159434052p-4, 0x1.c0d0f240f845fp-4, 0x1.c079938e44107p-4, 0x1.bfc7bc2db75c6p-4, 0x1.bebc43cf5142fp-4, 0x1.bd58162895697p-4, 0x1.bb9c31fe4a682p-4, 0x1.b989a8308e535p-4, 0x1.b7219ac9681adp-4, 0x1.b4653c0d9bb19p-4, 0x1.b155cd8ff2406p-4, 0x1.adf49f46ed96bp-4, 0x1.aa430ea4f8722p-4, 0x1.a64285b359fa7p-4, 0x1.a1f47a2fe3a69p-4, 0x1.9d5a6cadc3185p-4, 0x1.9875e7b993058p-4, 0x1.93487f00edaf7p-4, 0x1.8dd3ce7decebcp-4, 0x1.881979a6b6b58p-4, 0x1.821b2aa17d5d5p-4, 0x1.7bda917d3c2dcp-4, 0x1.7559636f82515p-4, 0x1.6e995a179177fp-4, 0x1.679c32c71ad21p-4, 0x1.6063add0e3378p-4, 0x1.58f18ddd893b7p-4, 0x1.51479746a8a3ap-4, 0x1.49678f7891f95p-4, 0x1.41533c5ab6ec7p-4, 0x1.390c63bf015e4p-4, 0x1.3094cad81e92dp-4, 0x1.27ee35b6e45cep-4, 0x1.1f1a66ced2602p-4, 0x1.161b1e81b8354p-4, 0x1.0cf21ab27cec2p-4, 0x1.03a1165f0168ap-4, 0x1.f453928210a33p-5, 0x1.e11bceec0d6ecp-5, 0x1.cd9e425b9a2ccp-5, 0x1.b9de44bfabbadp-5, 0x1.a5df250e2f62bp-5, 0x1.91a428c853a3ep-5, 0x1.7d308b8b0610dp-5, 0x1.68877eab5228p-5, 0x1.53ac28ddfa636p-5, 0x1.3ea1a5ea1e749p-5, 0x1.296b066604001p-5, 0x1.140b4f7deb52ap-5, 0x1.fd0af58835b29p-6, 0x1.d1b8ec1375f21p-6, 0x1.a626467fee97dp-6, 0x1.7a58b0c1a3adep-6, 0x1.4e55bebe4cc9ap-6, 0x1.2222ec3aae86bp-6, 0x1.eb8b39a8349d3p-7, 0x1.9286380a9d5fdp-7, 0x1.39413a6b06b57p-7, 0x1.bf8cef427f134p-8, 0x1.0c3fed9fb0c05p-8, 0x1.62bc7d9ff261bp-10, -0x1.6c48a7e9e6ed3p-10, -0x1.0ef0fa5cfb36p-8, -0x1.c2dab9ef8a1b7p-8, -0x1.3b5e9623d7421p-7, -0x1.954337aea77f5p-7, -0x1.ef127d3e2ae6ap-7, -0x1.2461e74b97931p-6, -0x1.51275f874a1ecp-6, -0x1.7dd5867c6abfdp-6, -0x1.aa68508c1ce1cp-6, -0x1.d6dbc7058c5ap-6, -0x1.019603eeb131dp-5, -0x1.17aaa2b2e56e8p-5, -0x1.2da9e303e6b38p-5, -0x1.4391f1fed6d92p-5, -0x1.5961068798ab6p-5, -0x1.6f156127d621p-5, -0x1.84ad4beef6874p-5, -0x1.9a271a5356432p-5, -0x1.af8129148f9b2p-5, -0x1.c4b9de1f03542p-5, -0x1.d9cfa870b9c2bp-5, -0x1.eec0ffff76ab1p-5, -0x1.01c632d0194d6p-4, -0x1.0c183177f498cp-4, -0x1.1655c51ed317bp-4, -0x1.207e3b3b00be1p-4, -0x1.2a90e587e4887p-4, -0x1.348d19fd05023p-4, -0x1.3e7232c59b1e5p-4, -0x1.483f8e38d1775p-4, -0x1.51f48ed28157dp-4, -0x1.5b909b2c8abfcp-4, -0x1.65131df8a89d7p-4, -0x1.6e7b85fac8f7p-4, -0x1.77c94603d1729p-4, -0x1.80fbd4ecdfb73p-4, -0x1.8a12ad92d8f8dp-4, -0x1.930d4ed26d44fp-4, -0x1.9beb3b8457546p-4, -0x1.a4abfa79f3719p-4, -0x1.ad4f167a1bdc4p-4, -0x1.b5d41e3e2699bp-4, -0x1.be3aa46f2b92fp-4, -0x1.c6823fa3610acp-4, -0x1.ceaa8a5b9438fp-4, -0x1.d6b32300c6d77p-4, -0x1.de9babe1c3e3ep-4, -0x1.e663cb30c435dp-4, -0x1.ee0b2b010a49ap-4, -0x1.f5917944753f5p-4, -0x1.fcf667c902421p-4, -0x1.021cd61b15601p-3, -0x1.05ad8005141fep-3, -0x1.092d104b8a823p-3, -0x1.0c9b677fe8725p-3, -0x1.0ff8681a6259p-3, -0x1.1343f6782c1cfp-3, -0x1.167df8d99f06cp-3, -0x1.19a65760380fcp-3, -0x1.1cbcfc0c73e32p-3, -0x1.1fc1d2bb86ce1p-3, -0x1.22b4c924edfc7p-3, -0x1.2595ced7d2f82p-3, -0x1.2864d5384b17dp-3, -0x1.2b21cf7c684f5p-3, -0x1.2dccb2a91e04ap-3, -0x1.3065758ef4a37p-3, -0x1.32ec10c6967c6p-3, -0x1.35607ead27dd7p-3, -0x1.37c2bb60708bdp-3, -0x1.3a12c4bad9434p-3, -0x1.3c509a4f3007ep-3, -0x1.3e7c3d6451342p-3, -0x1.4095b0f0815c4p-3, -0x1.429cf994b9ffep-3, -0x1.44921d97afddcp-3, -0x1.467524e0b0d06p-3, -0x1.484618f25d9b4p-3, -0x1.4a0504e527e7p-3, -0x1.4bb1f561ac2dap-3, -0x1.4d4cf89ae6b4fp-3, -0x1.4ed61e4832003p-3, -0x1.504d779f2130ep-3, -0x1.51b3174d3abd4p-3, -0x1.530711717f418p-3, -0x1.54497b95d8908p-3, -0x1.557a6ca859454p-3, -0x1.5699fcf46575bp-3, -0x1.57a8461bb12c7p-3, -0x1.58a5630f28045p-3, -0x1.59917007b356ep-3, -0x1.5a6c8a7ee445p-3, -0x1.5b36d127835c5p-3, -0x1.5bf063e60f863p-3, -0x1.5c9963c91aa87p-3, -0x1.5d31f3019ad72p-3, -0x1.5dba34db24a73p-3, -0x1.5e324db413e9fp-3, -0x1.5e9a62f5a3b1dp-3, -0x1.5ef29b0c02d29p-3, -0x1.5f3b1d5e4a795p-3, -0x1.5f7412467aecap-3, -0x1.5f9da3096796bp-3, -0x1.5fb7f9ce9ea91p-3, -0x1.5fc3419848d62p-3, -0x1.5fbfa63b0c8efp-3, -0x1.5fad5455e794cp-3, -0x1.5f8c794a0f92fp-3, -0x1.5f5d4332cbb0cp-3, -0x1.5f1fe0dd5ed83p-3, -0x1.5ed481c0e5ad7p-3, -0x1.5e7b55f64a831p-3, -0x1.5e148e30378c6p-3, -0x1.5da05bb3147ecp-3, -0x1.5d1ef04d10839p-3, -0x1.5c907e4e387adp-3, -0x1.5bf5388096eaap-3, -0x1.5b4d522066674p-3, -0x1.5a98fed4504c5p-3, -0x1.59d872a5c4161p-3, -0x1.590be1f954e41p-3, -0x1.5833818735c4p-3, -0x1.574f8653c7952p-3, -0x1.566025a8333b6p-3, -0x1.5565950b2c498p-3, -0x1.54600a39b72f5p-3, -0x1.534fbb2019a0ep-3, -0x1.5234ddd2d82f7p-3, -0x1.510fa887d1ca6p-3, -0x1.4fe0518f76848p-3, -0x1.4ea70f4e1b60fp-3, -0x1.4d64183568829p-3, -0x1.4c17a2bddffd5p-3, -0x1.4ac1e5608edf7p-3, -0x1.49631690cd2f6p-3, -0x1.47fb6cb623bbdp-3, -0x1.468b1e2655fcbp-3, -0x1.4512611f81101p-3, -0x1.43916bc2608ap-3, -0x1.4208740cb2eecp-3, -0x1.4077afd3c07b5p-3, -0x1.3edf54befb6f7p-3, -0x1.3d3f9842cc53bp-3, -0x1.3b98af9b76df9p-3, -0x1.39eacfc8220f7p-3, -0x1.38362d8606ee6p-3, -0x1.367afd4bb9c2dp-3, -0x1.34b97344990eap-3, -0x1.32f1c34c5fbe2p-3, -0x1.312420ead53f2p-3, -0x1.2f50bf4fa0c74p-3, -0x1.2d77d14e426d2p-3, -0x1.2b99895a2785bp-3, -0x1.29b61982e312cp-3, -0x1.27cdb3708c033p-3, -0x1.25e0886034152p-3, -0x1.23eec9208ab29p-3, -0x1.21f8a60e95cbbp-3, -0x1.1ffe4f1292466p-3, -0x1.1dfff39cf417fp-3, -0x1.1bfdc2a386eabp-3, -0x1.19f7ea9eaa084p-3, -0x1.17ee9986b2f72p-3, -0x1.15e1fcd16c3f1p-3, -0x1.13d2416fae8fep-3, -0x1.11bf93cb25027p-3, -0x1.0faa1fc4204dfp-3, -0x1.0d9210af9516ep-3, -0x1.0b7791552f59dp-3, -0x1.095acbed88251p-3, -0x1.073bea2074d4p-3, -0x1.051b150375139p-3, -0x1.02f8751838a74p-3, -0x1.00d4324b493dep-3, -0x1.fd5ce7e589fa2p-4, -0x1.f90ec19a76b54p-4, -0x1.f4be3e0141a93p-4, -0x1.f06ba832b6953p-4, -0x1.ec174a12da401p-4, -0x1.e7c16c4f5ea5ap-4, -0x1.e36a565e5f441p-4, -0x1.df124e7d37cd7p-4, -0x1.dab999af96a8ep-4, -0x1.d6607bbeb7ea7p-4, -0x1.d2073738ce07ep-4, -0x1.cdae0d709689p-4, -0x1.c9553e7d13a91p-4, -0x1.c4fd09397c81ap-4, -0x1.c0a5ab454413fp-4, -0x1.bc4f6104589dfp-4, -0x1.b7fa659f7b904p-4, -0x1.b3a6f304cc889p-4, -0x1.af5541e869686p-4, -0x1.ab0589c53fae1p-4, -0x1.a6b800ddf830bp-4, -0x1.a26cdc3e07ce5p-4, -0x1.9e244fbadc3f2p-4, -0x1.99de8df52ddaap-4, -0x1.959bc85a6d82cp-4, -0x1.915c2f264e5a3p-4, -0x1.8d1ff1646e716p-4, -0x1.88e73cf218f59p-4, -0x1.84b23e8025c0ep-4, -0x1.80812194ed7fep-4, -0x1.7c54108e5f43ap-4, -0x1.782b34a423185p-4, -0x1.7406b5e9dc73fp-4, -0x1.6fe6bb517bf2ap-4, -0x1.6bcb6aadac2acp-4, -0x1.67b4e8b44da1ep-4, -0x1.63a359010892ap-4, -0x1.5f96de17f3473p-4, -0x1.5b8f996841f44p-4, -0x1.578dab4f139abp-4, -0x1.5391331a4213ep-4, -0x1.4f9a4f0b4abeep-4, -0x1.4ba91c5a41352p-4, -0x1.47bdb738d179fp-4, -0x1.43d83ad54a14ap-4, -0x1.3ff8c15dbd63ap-4, -0x1.3c1f64031ee38p-4, -0x1.384c3afc75926p-4, -0x1.347f5d8a182d8p-4, -0x1.30b8e1f8ed7aap-4, -0x1.2cf8dda5b66b1p-4, -0x1.293f650063ae9p-4, -0x1.258c8b8f6c541p-4, -0x1.21e063f33304bp-4, -0x1.1e3affe966515p-4, -0x1.1a9c7050718a2p-4, -0x1.1704c52ae8d5cp-4, -0x1.13740da2fec87p-4, -0x1.0fea580dfc9ebp-4, -0x1.0c67b1efba785p-4, -0x1.08ec27fe1ec96p-4, -0x1.0577c6249aa0ep-4, -0x1.020a9787a9471p-4, -0x1.fd494d10a395bp-5, -0x1.f68bf98f50116p-5, -0x1.efdd465497dd1p-5, -0x1.e93d43b7d1da4p-5, -0x1.e2ac00a56eb12p-5, -0x1.dc298aa5ed253p-5, -0x1.d5b5ede4d356p-5, -0x1.cf5135379fe97p-5, -0x1.c8fb6a24b756p-5, -0x1.c2b494ea4591bp-5, -0x1.bc7cbc8522369p-5, -0x1.b653e6b79fe5ep-5, -0x1.b03a181061ffep-5, -0x1.aa2f53f11c315p-5, -0x1.a4339c95525afp-5, -0x1.9e46f319008c5p-5, -0x1.9869577f4cd86p-5, -0x1.929ac8b918717p-5, -0x1.8cdb44ab9011p-5, -0x1.872ac836a9b9fp-5, -0x1.81894f3ba3e28p-5, -0x1.7bf6d4a35cdccp-5, -0x1.76735264b4cccp-5, -0x1.70fec18ad5efep-5, -0x1.6b991a3b6a97bp-5, -0x1.664253bccc767p-5, -0x1.60fa647c20369p-5, -0x1.5bc142135e6d2p-5, -0x1.5696e14f4e78dp-5, -0x1.517b363572f46p-5, -0x1.4c6e3409e0586p-5, -0x1.476fcd55063e7p-5, -0x1.427ff3e96495fp-5, -0x1.3d9e98e92c71p-5, -0x1.38cbaccbd8b9bp-5, -0x1.34071f63a7f0bp-5, -0x1.2f50dfe30cc67p-5, -0x1.2aa8dce20612ep-5, -0x1.260f046368064p-5, -0x1.218343da0fe3fp-5, -0x1.1d05882e067f1p-5, -0x1.1895bdc18e4f8p-5, -0x1.1433d0761c103p-5, -0x1.0fdfabb1414a9p-5, -0x1.0b993a617de73p-5, -0x1.0760670303ab1p-5, -0x1.03351ba45b732p-5, -0x1.fe2e83d612c27p-6, -0x1.f60d86300f09ap-6, -0x1.ee0710187cce7p-6, -0x1.e61af299c22f9p-6, -0x1.de48fe0f6dd97p-6, -0x1.d691022e9d7ep-6, -0x1.cef2ce0e4f307p-6, -0x1.c76e302f7d46p-6, -0x1.c002f68508f48p-6, -0x1.b8b0ee7b9f502p-6, -0x1.b177e5015194fp-6, -0x1.aa57a68d1df5fp-6, -0x1.a34fff264ee6cp-6, -0x1.9c60ba6baca8dp-6, -0x1.9589a39a8a40bp-6, -0x1.8eca8595b428dp-6, -0x1.88232aec35809p-6, -0x1.81935ddfecacep-6, -0x1.7b1ae86c0dacep-6, -0x1.74b9944b74958p-6, -0x1.6e6f2afed1586p-6, -0x1.683b75d2b3e0fp-6, -0x1.621e3de57669dp-6, -0x1.5c174c2cf7f96p-6, -0x1.5626697c48cabp-6, -0x1.504b5e891815dp-6, -0x1.4a85f3f11a1acp-6, -0x1.44d5f23f34786p-6, -0x1.3f3b21f0a2119p-6, -0x1.39b54b79d1fc8p-6, -0x1.3444374b4b5eep-6, -0x1.2ee7add655798p-6, -0x1.299f779187c7ap-6, -0x1.246b5cfd42e5p-6, -0x1.1f4b26a7f128ep-6, -0x1.1a3e9d32495cep-6, -0x1.154589534f4ecp-6, -0x1.105fb3dc5ab76p-6, -0x1.0b8ce5bcd43eap-6, -0x1.06cce806084f7p-6, -0x1.021f83eea84bap-6, -0x1.fb0905acaf6b5p-7, -0x1.f1f75c920bf91p-7, -0x1.e909a0046a8ep-7, -0x1.e03f63e04a338p-7, -0x1.d7983c6db39bep-7, -0x1.cf13be6627b12p-7, -0x1.c6b17efa5a11p-7, -0x1.be7113d79b50bp-7, -0x1.b652132d2b53ap-7, -0x1.ae5413b15bc84p-7, -0x1.a676aca663d5p-7, -0x1.9eb975df2cbbep-7, -0x1.971c07c3cb747p-7, -0x1.8f9dfb55d446cp-7, -0x1.883eea349679p-7, -0x1.80fe6ea107c4fp-7, -0x1.79dc2381a48abp-7, -0x1.72d7a4661bf15p-7, -0x1.6bf08d8aa8fe2p-7, -0x1.65267bdb91abbp-7, -0x1.5e790cf8383adp-7, -0x1.57e7df361e7p-7, -0x1.517291a3c5a27p-7, -0x1.4b18c40b6491ap-7, -0x1.44da16f5748f4p-7, -0x1.3eb62bab1ae94p-7, -0x1.38aca43873ee6p-7, -0x1.32bd236eaecc3p-7, -0x1.2ce74ce61fb7ep-7, -0x1.272ac5000cb44p-7, -0x1.218730e87cbccp-7, -0x1.1bfc3697cc1c2p-7, -0x1.16897cd43afdfp-7, -0x1.112eab33402fdp-7, -0x1.0beb6a1adcdf2p-7, -0x1.06bf62c2b31dep-7, -0x1.01aa3f3527f2p-7, -0x1.f95754a088bf2p-8, -0x1.ef869f8d13904p-8, -0x1.e5e1b83f70268p-8, -0x1.dc67f972bd909p-8, -0x1.d318bf8f0a314p-8, -0x1.c9f368a9f4c0ap-8, -0x1.c0f754877c4e9p-8, -0x1.b823e49a9841bp-8, -0x1.af787c0580f66p-8, -0x1.a6f47f99d9af4p-8, -0x1.9e9755d8c4d97p-8, -0x1.966066f2c94fp-8, -0x1.8e4f1cc7701adp-8, -0x1.8662e2e4e74dap-8, -0x1.7e9b268788ad1p-8, -0x1.76f75698ed8b9p-8, -0x1.6f76e3af408c6p-8, -0x1.6819400c2c9c1p-8, -0x1.60dddf9bd0f96p-8, -0x1.59c437f384449p-8, -0x1.52cbc05081e22p-8, -0x1.4bf3f1966ed5p-8, -0x1.453c464dc2737p-8, -0x1.3ea43aa235dd2p-8, -0x1.382b4c60e2f06p-8, -0x1.31d0faf685df3p-8, -0x1.2b94c76d63912p-8, -0x1.2576346b537c5p-8, -0x1.1f74c62fab18fp-8, -0x1.19900290e3cdap-8, -0x1.13c770fa63337p-8, -0x1.0e1a9a6a1ec26p-8, -0x1.0889096e203fp-8, -0x1.03124a22055fcp-8, -0x1.fb6bd458e46dfp-9, -0x1.f0e6f178b3e97p-9, -0x1.e6950d0ccdcddp-9, -0x1.dc754b8429934p-9, -0x1.d286d44defb0bp-9, -0x1.c8c8d1d3c5519p-9, -0x1.bf3a7173bf183p-9, -0x1.b5dae37ab6f59p-9, -0x1.aca95b1e27475p-9, -0x1.a3a50e75ff347p-9, -0x1.9acd3676ab64dp-9, -0x1.92210eea982d4p-9, -0x1.899fd66c12dfp-9, -0x1.8148ce5eea598p-9, -0x1.791b3ae9d1b08p-9, -0x1.711662f01e94p-9, -0x1.6939900b2bf59p-9, -0x1.61840e83a509ap-9, -0x1.59f52d4afba06p-9, -0x1.528c3df4da8efp-9, -0x1.4b4894b06b0eap-9, -0x1.4429884172b4ap-9, -0x1.3d2e71f9cdbc4p-9, -0x1.3656adb26aa72p-9, -0x1.2fa199c4d9ec9p-9, -0x1.290e9704165ebp-9, -0x1.229d08b612096p-9, -0x1.1c4c548c990cfp-9, -0x1.161be29eac62ap-9, -0x1.100b1d61ad567p-9, -0x1.0a1971a26a0bp-9, -0x1.04464e7e4f258p-9, -0x1.fd224ab955d89p-10, -0x1.f1f2d3cf7937p-10, -0x1.e6fd240beba79p-10, -0x1.dc402ba65e2cdp-10, -0x1.d1badf33cba69p-10, -0x1.c76c3798b4c0bp-10, -0x1.bd5331fbeadf4p-10, -0x1.b36ecfb8e8339p-10, -0x1.a9be16526b5e6p-10, -0x1.a0400f654fdecp-10, -0x1.96f3c89ad0c2ap-10, -0x1.8dd8539bdbcecp-10, -0x1.84ecc60368732p-10, -0x1.7c303951a5cb8p-10, -0x1.73a1cadeba493p-10, -0x1.6b409bcdee52dp-10, -0x1.630bd100b2dcdp-10, -0x1.5b029309a0202p-10, -0x1.53240e1ff26adp-10, -0x1.4b6f7212bca17p-10, -0x1.43e3f23c7051ep-10, -0x1.3c80c5763d3dfp-10, -0x1.3545260baed2dp-10, -0x1.2e3051ae54e23p-10, -0x1.2741896982e1p-10, -0x1.207811962fcbdp-10, -0x1.19d331cedccd3p-10, -0x1.135234e3b7907p-10, -0x1.0cf468cebdb3bp-10, -0x1.06b91ea7ea5d3p-10, -0x1.009faa999eebep-10, -0x1.f54ec7aa20ff9p-11, -0x1.e99f490d914bcp-11, -0x1.de2f9396b6523p-11, -0x1.d2fe67484bcfbp-11, -0x1.c80a89d85ac01p-11, -0x1.bd52c69a1e24bp-11, -0x1.b2d5ee6862f7bp-11, -0x1.a892d78ff81c4p-11, -0x1.9e885db9d3c5cp-11, -0x1.94b561d675798p-11, -0x1.8b18ca086995ep-11, -0x1.81b1818ff2091p-11, -0x1.787e78b6a4abap-11, -0x1.6f7ea4ba73699p-11, -0x1.66b0ffba633p-11, -0x1.5e1488a26bcf1p-11, -0x1.55a84317d8e2ap-11, -0x1.4d6b3765d0905p-11, -0x1.455c726a58981p-11, -0x1.3d7b058353f7p-11, -0x1.35c6067bac395p-11, -0x1.2e3c8f7920fb6p-11, -0x1.26ddbee9b36f3p-11, -0x1.1fa8b771f0239p-11, -0x1.189c9fdafcaacp-11, -0x1.11b8a300fa602p-11, -0x1.0afbefc193495p-11, -0x1.0465b8eb2b58cp-11, -0x1.fbea6a56c07f4p-12, -0x1.ef533dfe29c73p-12, -0x1.e304694273651p-12, -0x1.d6fc6ff5f1f16p-12, -0x1.cb39dd277c1eap-12, -0x1.bfbb43025fddfp-12, -0x1.b47f3aaeb1964p-12, -0x1.a9846433bbd7ep-12, -0x1.9ec966587f372p-12, -0x1.944cee864e95dp-12, -0x1.8a0db0aab1dfep-12, -0x1.800a671b1f692p-12, -0x1.7641d277d7b64p-12, -0x1.6cb2b98f4287bp-12, -0x1.635be9430dcc8p-12, -0x1.5a3c346b46abcp-12, -0x1.515273bca71c2p-12, -0x1.489d85ad08cd9p-12, -0x1.401c4e59109f6p-12, -0x1.37cdb76b5056fp-12, -0x1.2fb0b00145253p-12, -0x1.27c42c937af8ap-12, -0x1.200726dbf75a5p-12, -0x1.18789dbe81ad6p-12, -0x1.1117953029533p-12, -0x1.09e3161feb243p-12, -0x1.02da2e5f6b2cbp-12, -0x1.f7f7e1180628ep-13, -0x1.ea8ee7f018d96p-13, -0x1.dd77a929c82d1p-13, -0x1.d0b065ba7f41dp-13, -0x1.c437677e5eaacp-13, -0x1.b80b01100f1e6p-13, -0x1.ac298d9c6b7d6p-13, -0x1.a09170bbad615p-13, -0x1.954116483e2fp-13, -0x1.8a36f237a1e46p-13, -0x1.7f718072bd10ep-13, -0x1.74ef44b0d4dd4p-13, -0x1.6aaeca5094de6p-13, -0x1.60aea433b4d88p-13, -0x1.56ed6c9acb8b4p-13, -0x1.4d69c500bc9cap-13, -0x1.442255f88b00fp-13, -0x1.3b15cf0986cp-13, -0x1.3242e68ec967dp-13, -0x1.29a85994a814p-13, -0x1.2144ebb7f2a08p-13, -0x1.19176705e199ep-13, -0x1.111e9bdc87ae7p-13, -0x1.095960cc0694cp-13, -0x1.01c69276a66a3p-13, -0x1.f4ca26e81f3a3p-14, -0x1.e66798661a785p-14, -0x1.d86355b8d2672p-14, -0x1.cabb466e2f362p-14, -0x1.bd6d5d168c946p-14, -0x1.b077970f18ea4p-14, -0x1.a3d7fc4c20c3p-14, -0x1.978c9f21b95b5p-14, -0x1.8b939c11ef285p-14, -0x1.7feb19988c185p-14, -0x1.749147f93a925p-14, -0x1.6984610d88eedp-14, -0x1.5ec2a815eba1bp-14, -0x1.544a6988775e1p-14, -0x1.4a19fae364c21p-14, -0x1.402fba7e53b7bp-14, -0x1.368a0f5dfe218p-14, -0x1.2d2769079499ap-14, -0x1.24063f569b9a6p-14, -0x1.1b2512512bf13p-14, -0x1.128269fec73d5p-14, -0x1.0a1cd63edd59cp-14, -0x1.01f2eea125ca6p-14, -0x1.f406a47e217d2p-15, -0x1.e4994f2597531p-15, -0x1.d59b38a6f4c1ap-15, -0x1.c709ca9f2838p-15, -0x1.b8e27c8e2112dp-15, -0x1.ab22d3947a848p-15, -0x1.9dc86225d22bfp-15, -0x1.90d0c7cc0d4b7p-15, -0x1.8439b0dcc40b1p-15, -0x1.7800d63ca0fc5p-15, -0x1.6c23fd1b1c412p-15, -0x1.60a0f6b2c88d3p-15, -0x1.5575a00d0c5ffp-15, -0x1.4a9fe1c2699edp-15, -0x1.401dafbffb54bp-15, -0x1.35ed090ad02a6p-15, -0x1.2c0bf788f35acp-15, -0x1.22788fc7adb8ep-15, -0x1.1930f0c25562dp-15, -0x1.103343ae5849p-15, -0x1.077dbbc3d90c1p-15, -0x1.fe1d2c1725de4p-16, -0x1.edc8325367dbcp-16, -0x1.ddf92a592d63p-16, -0x1.ceacc6b44603dp-16, -0x1.bfdfcc07e43c9p-16, -0x1.b18f10a36775dp-16, -0x1.a3b77c2fb169ep-16, -0x1.9656074e237ecp-16, -0x1.8967bb43bc5d7p-16, -0x1.7ce9b19f4cd9ep-16, -0x1.70d913e5b22b5p-16, -0x1.65331b3de2bebp-16, -0x1.59f5101e6352fp-16, -0x1.4f1c49fba13ap-16, -0x1.44a62efc28d7p-16, -0x1.3a9033aa26321p-16, -0x1.30d7daa40349ep-16, -0x1.277ab45871c5p-16, -0x1.1e765ebc343dap-16, -0x1.15c884fea9c6ap-16, -0x1.0d6edf4ac8f24p-16, -0x1.0567327d05379p-16, -0x1.fb5e9fcd00b12p-17, -0x1.ec8a2a04f3366p-17, -0x1.de4cd6830c883p-17, -0x1.d0a28f8283fccp-17, -0x1.c3875628e60e2p-17, -0x1.b6f7420993d67p-17, -0x1.aaee80af80c9p-17, -0x1.9f69552893cafp-17, -0x1.946417958c1a6p-17, -0x1.89db34baa18e9p-17, -0x1.7fcb2d93fe976p-17, -0x1.763096ed022b8p-17, -0x1.6d0818f314f6ap-17, -0x1.644e6ed49a738p-17, -0x1.5c00665651813p-17, -0x1.541adf7991386p-17, -0x1.4c9acc1680e4bp-17, -0x1.457d2f7f2d5fcp-17, -0x1.3ebf1e25dcd0dp-17, -0x1.385dbd419b045p-17, -0x1.32564277b1306p-17, -0x1.2ca5f37dbd17ap-17, -0x1.274a25cdd6aaep-17, -0x1.22403e528e4d6p-17, -0x1.1d85b110dfac1p-17, -0x1.191800db2647cp-17, -0x1.14f4bf0592a3dp-17, -0x1.11198b1740ed7p-17, -0x1.0d84128193104p-17, -0x1.0a321055f0346p-17, -0x1.07214cfef27acp-17, -0x1.044f9df437722p-17, -0x1.01bae57ffa289p-17, -0x1.fec224e60a202p-18, -0x1.fa803fd0c064ap-18, -0x1.f6ac2a06fd54fp-18, -0x1.f34209614a2cbp-18, -0x1.f03e1ac806d37p-18, -0x1.ed9cb1c8b0ca8p-18, -0x1.eb5a38115415fp-18, -0x1.e9732d01e890dp-18, -0x1.e7e42538754acp-18, -0x1.e6a9ca1ffe217p-18, -0x1.e5c0d992428cp-18, -0x1.e52625593a05ap-18, -0x1.e4d692cd16362p-18, -0x1.e4cf1a6d40758p-18, -0x1.e50cc77f77dc8p-18, -0x1.e58cb7aa183adp-18, -0x1.e64c1a90e213bp-18, -0x1.e748317dd46ebp-18, -0x1.e87e4f00e7b46p-18, -0x1.e9ebd694a3646p-18, -0x1.eb8e3c44ac328p-18, -0x1.ed63045a2e614p-18, -0x1.ef67c302cc6dcp-18, -0x1.f19a1bfe1d405p-18, -0x1.f3f7c24f853cfp-18, -0x1.f67e77e76f321p-18, -0x1.f92c0d59d5505p-18, -0x1.fbfe618d9cf42p-18, -0x1.fef361772dd22p-18, -0x1.010483e37fd59p-17, -0x1.029eae532c6d9p-17, -0x1.04473aba55241p-17, -0x1.05fd3a3b6c814p-17, -0x1.07bfc44c11561p-17, -0x1.098df69418807p-17, -0x1.0b66f4cf15b15p-17, -0x1.0d49e8a95f3e5p-17, -0x1.0f3601a20d83p-17, -0x1.112a74e9ae775p-17, -0x1.13267d4760263p-17, -0x1.15295af970216p-17, -0x1.17325398bd691p-17, -0x1.1940b1fbf1f8ep-17, -0x1.1b53c61cb3bacp-17, -0x1.1d6ae4fcf499bp-17, -0x1.1f85688ab9013p-17, }}, 
      {{-0x1.a8f7c98a274a3p-4, -0x1.abcff6c2a06cp-4, -0x1.b0761fb83c082p-4, -0x1.b6ca16d28cb01p-4, -0x1.bea35cd596988p-4, -0x1.c7d3f8eafb7ffp-4, -0x1.d22b200e7034bp-4, -0x1.dd778845afa81p-4, -0x1.e9894eed8cd4p-4, -0x1.f63367ccfe975p-4, -0x1.01a64c5ecbc9p-3, -0x1.08580811368fp-3, -0x1.0f1ed4f3cb2cbp-3, -0x1.15ecfbeee777ap-3, -0x1.1cb71026113ep-3, -0x1.2373d0fb25d4ep-3, -0x1.2a1c046448cb8p-3, -0x1.30aa4d514042ep-3, -0x1.371b006164a64p-3, -0x1.3d6bf81f4fe38p-3, -0x1.439c6952ac716p-3, -0x1.49acb7a6380a9p-3, -0x1.4f9e4ac75b626p-3, -0x1.5573642e2a23ap-3, -0x1.5b2ef5d59f75cp-3, -0x1.60d47a463364dp-3, -0x1.6667ce68ac92p-3, -0x1.6bed0d9f76743p-3, -0x1.716870a15230bp-3, -0x1.76de2f81e41cfp-3, -0x1.7c52673e0eb17p-3, -0x1.81c90305f78e1p-3, -0x1.8745a96047aa3p-3, -0x1.8ccbad23e0d7ep-3, -0x1.925e0229876fdp-3, -0x1.97ff357eb8877p-3, -0x1.9db168cf8417cp-3, -0x1.a37650aef74adp-3, -0x1.a94f355c69691p-3, -0x1.af3cf59f8ac45p-3, -0x1.b5400b54fc5ffp-3, -0x1.bb58914895f99p-3, -0x1.c1864a00b82e5p-3, -0x1.c7c8a726916b5p-3, -0x1.ce1ed140d3552p-3, -0x1.d487af8130214p-3, -0x1.db01ef6f9397cp-3, -0x1.e18c0c48efcf8p-3, -0x1.e82455f176433p-3, -0x1.eec8f7637d5a1p-3, -0x1.f577fc8ca408fp-3, -0x1.fc2f579216c09p-3, -0x1.017672bd7e5dap-2, -0x1.04d7392283afdp-2, -0x1.0838de359cb84p-2, -0x1.0b9a3bf4e05cbp-2, -0x1.0efa2865eeb12p-2, -0x1.125776a903d94p-2, -0x1.15b0f7df824ccp-2, -0x1.19057bed517e4p-2, -0x1.1c53d21c18937p-2, -0x1.1f9ac9a70162p-2, -0x1.22d93235111fep-2, -0x1.260ddc4774492p-2, -0x1.293799a0717abp-2, -0x1.2c553da6e769ep-2, -0x1.2f659dc98802p-2, -0x1.326791e442f12p-2, -0x1.3559f4a9a9e95p-2, -0x1.383ba4117542ep-2, -0x1.3b0b81ccc35dfp-2, -0x1.3dc873c02f5a6p-2, -0x1.407164836e38ap-2, -0x1.430543e5c7bfap-2, -0x1.458307767be58p-2, -0x1.47e9ab0fecbf9p-2, -0x1.4a38316439e15p-2, -0x1.4c6da489e79bap-2, -0x1.4e8916871e794p-2, -0x1.5089a1da0af03p-2, -0x1.526e69fcf2e23p-2, -0x1.54369be4a73bdp-2, -0x1.55e16e780aec7p-2, -0x1.576e22ff8f24dp-2, -0x1.58dc058b9d69dp-2, -0x1.5a2a6d510dde1p-2, -0x1.5b58bcfaf4feap-2, -0x1.5c6662f1299e6p-2, -0x1.5d52d99325716p-2, -0x1.5e1da766e3cd3p-2, -0x1.5ec65f3bae57ap-2, -0x1.5f4ca040c1362p-2, -0x1.5fb0160ff47b7p-2, -0x1.5ff078ac99719p-2, -0x1.600d8c76e73bp-2, -0x1.600722145d44cp-2, -0x1.5fdd164d9e283p-2, -0x1.5f8f51e258f63p-2, -0x1.5f1dc953d5225p-2, -0x1.5e887ca6dc68cp-2, -0x1.5dcf771da64bdp-2, -0x1.5cf2ceea921a9p-2, -0x1.5bf2a4dc5b77fp-2, -0x1.5acf24049a4adp-2, -0x1.5988815943b9fp-2, -0x1.581efb51edb81p-2, -0x1.5692d9818e488p-2, -0x1.54e46c2d6d70bp-2, -0x1.53140be1f40cfp-2, -0x1.5122190601ba7p-2, -0x1.4f0efb6d666a5p-2, -0x1.4cdb21eb13d4p-2, -0x1.4a8701e395b61p-2, -0x1.481316e04e3ebp-2, -0x1.457fe223ed5a3p-2, -0x1.42cdea4095b28p-2, -0x1.3ffdbab007545p-2, -0x1.3d0fe36e32f01p-2, -0x1.3a04f89676cd2p-2, -0x1.36dd9203d5eb5p-2, -0x1.339a4af454dd8p-2, -0x1.303bc1afbad0fp-2, -0x1.2cc29731d194ap-2, -0x1.292f6ed84df9bp-2, -0x1.2582ee146d4c3p-2, -0x1.21bdbc20632ap-2, -0x1.1de081b890ae1p-2, -0x1.19ebe8d89a7cdp-2, -0x1.15e09c7c4510fp-2, -0x1.11bf48641c8f2p-2, -0x1.0d8898ddd689fp-2, -0x1.093d3a9053c22p-2, -0x1.04ddda4b38a7ep-2, -0x1.006b24d9f2637p-2, -0x1.f7cb8db4382abp-3, -0x1.ee9cd92a3268bp-3, -0x1.e54b83b98b9d1p-3, -0x1.dbd8e3d63bca2p-3, -0x1.d2464e8965f66p-3, -0x1.c895173b96b01p-3, -0x1.bec68f840cf3p-3, -0x1.b4dc06fcbba44p-3, -0x1.aad6cb1ab9c01p-3, -0x1.a0b8270acf6b8p-3, -0x1.96816391dfb55p-3, -0x1.8c33c6f0d62d3p-3, -0x1.81d094cbd497fp-3, -0x1.77590e145c23p-3, -0x1.6cce70f62ad99p-3, -0x1.6231f8c687dcbp-3, -0x1.5784ddf5c4508p-3, -0x1.4cc85602a7fep-3, -0x1.41fd936fa2f3cp-3, -0x1.3725c5b97258cp-3, -0x1.2c42194f1fd07p-3, -0x1.2153b78b134e7p-3, -0x1.165bc6ad15ee3p-3, -0x1.0b5b69d51b948p-3, -0x1.0053c0fe9f76fp-3, -0x1.ea8bd1f903dffp-4, -0x1.d465f6ea6afc2p-4, -0x1.be381dbe42d3dp-4, -0x1.a8046cfa5805p-4, -0x1.91cd04b6751c4p-4, -0x1.7b93fe954f4a3p-4, -0x1.655b6dbd28dbbp-4, -0x1.4f255ed00aabap-4, -0x1.38f3d7e36ee85p-4, -0x1.22c8d8775d86dp-4, -0x1.0ca6596ccfd1cp-4, -0x1.ed1c99f6b6d99p-5, -0x1.c1053d4c2feccp-5, -0x1.950a665f64297p-5, -0x1.692fd11b66a5bp-5, -0x1.3d792bb5efe03p-5, -0x1.11ea1692a437fp-5, -0x1.cd0c4849bc17bp-6, -0x1.76a1b19fce33dp-6, -0x1.209b558ba0896p-6, -0x1.96000793f098ep-7, -0x1.d759bca31e132p-8, -0x1.092969edcbc12p-9, 0x1.986a4f2a6dd3ap-9, 0x1.0d7537fea1352p-7, 0x1.b3b919dcf60b8p-7, 0x1.2c6cfeffa97b6p-6, 0x1.7e65f33e6bb1bp-6, 0x1.cfc189c58219fp-6, 0x1.103d0107a9557p-5, 0x1.3844dda312c1ep-5, 0x1.5ff59a49cabeap-5, 0x1.874c86b797dep-5, 0x1.ae4702f5da69bp-5, 0x1.d4e27f815a8dp-5, 0x1.fb1c7d6f257bfp-5, 0x1.10794748212cbp-4, 0x1.23312aca10206p-4, 0x1.35b4c314ce2fep-4, 0x1.4802f28f3b7b1p-4, 0x1.5a1aa43e8951fp-4, 0x1.6bfacbd43393cp-4, 0x1.7da265bafd13fp-4, 0x1.8f107722eb541p-4, 0x1.a0440e0c24e5p-4, 0x1.b13c4150b5139p-4, 0x1.c1f830ad23757p-4, 0x1.d27704c7c9864p-4, 0x1.e2b7ef36f4c22p-4, 0x1.f2ba2a85bb60ap-4, 0x1.013e7d1bba5e3p-3, 0x1.08ffd564f6234p-3, 0x1.10a0c8db12663p-3, 0x1.182106b7e1779p-3, 0x1.1f8042b18a1f2p-3, 0x1.26be34f8d515p-3, 0x1.2dda9a36bf1f5p-3, 0x1.34d5338965d23p-3, 0x1.3badc680283dep-3, 0x1.42641d1728674p-3, 0x1.48f805b20514ep-3, 0x1.4f695315ef1e8p-3, 0x1.55b7dc6301a01p-3, 0x1.5be37d0cf3ecap-3, 0x1.61ec14d3148c6p-3, 0x1.67d187b79fbe2p-3, 0x1.6d93bdf66ed7fp-3, 0x1.7332a3faf97f1p-3, 0x1.78ae2a55bf942p-3, 0x1.7e0645b10ea2ep-3, 0x1.833aeec5338cp-3, 0x1.884c224c0ebb6p-3, 0x1.8d39e0f420079p-3, 0x1.92042f53008d5p-3, 0x1.96ab15d752721p-3, 0x1.9b2ea0ba349fcp-3, 0x1.9f8edff035335p-3, 0x1.a3cbe719c7e51p-3, 0x1.a7e5cd734d9bcp-3, 0x1.abdcadc4b1919p-3, 0x1.afb0a650909a6p-3, 0x1.b361d8c30cda9p-3, 0x1.b6f06a203d36ap-3, 0x1.ba5c82b23f862p-3, 0x1.bda64df705497p-3, 0x1.c0cdfa8dc7881p-3, 0x1.c3d3ba243c3b8p-3, 0x1.c6b7c163871dap-3, 0x1.c97a47dcef889p-3, 0x1.cc1b87f660adfp-3, 0x1.ce9bbed6bcf2cp-3, 0x1.d0fb2c51fba27p-3, 0x1.d33a12d52fc3dp-3, 0x1.d558b75265967p-3, 0x1.d757612c668d7p-3, 0x1.d9365a226ad24p-3, 0x1.daf5ee3bb92eep-3, 0x1.dc966bb33b899p-3, 0x1.de1822e30c569p-3, 0x1.df7b663005ccap-3, 0x1.e0c089f55037ep-3, 0x1.e1e7e46ffc9d8p-3, 0x1.e2f1cdaaa90c8p-3, 0x1.e3de9f6935a4ap-3, 0x1.e4aeb514915d3p-3, 0x1.e5626ba69cc99p-3, 0x1.e5fa21962d693p-3, 0x1.e67636c32fc0fp-3, 0x1.e6d70c62f1099p-3, 0x1.e71d04ec8cee8p-3, 0x1.e74884058e512p-3, 0x1.e759ee6eb5dedp-3, 0x1.e751a9f0fb96p-3, 0x1.e7301d4ac26e5p-3, 0x1.e6f5b01d428a6p-3, 0x1.e6a2cada339f4p-3, 0x1.e637d6b1afa78p-3, 0x1.e5b53d805a327p-3, 0x1.e51b69bdc8cadp-3, 0x1.e46ac66b2e369p-3, 0x1.e3a3bf02531f4p-3, 0x1.e2c6bf64d0b26p-3, 0x1.e1d433cb96061p-3, 0x1.e0cc88b6c3b1ep-3, 0x1.dfb02addc79dp-3, 0x1.de7f871fd447cp-3, 0x1.dd3b0a749f549p-3, 0x1.dbe321dd7b8b4p-3, 0x1.da783a56bf63bp-3, 0x1.d8fac0c97f1fdp-3, 0x1.d76b21fda4233p-3, 0x1.d5c9ca8c4d4c7p-3, 0x1.d41726d292b41p-3, 0x1.d253a2e496d28p-3, 0x1.d07faa80f240ep-3, 0x1.ce9ba9047931p-3, 0x1.cca8095e57197p-3, 0x1.caa536047ed35p-3, 0x1.c89398e87a97bp-3, 0x1.c6739b6c906f5p-3, 0x1.c445a659378e4p-3, 0x1.c20a21d2f73d2p-3, 0x1.bfc1755086da2p-3, 0x1.bd6c079157676p-3, 0x1.bb0a3e946c431p-3, 0x1.b89c7f8f868f5p-3, 0x1.b6232ee6b15b4p-3, 0x1.b39eb024150bdp-3, 0x1.b10f65f029c4p-3, 0x1.ae75b20a3b9b1p-3, 0x1.abd1f5413dfc6p-3, 0x1.a9248f6cf297fp-3, 0x1.a66ddf6764c42p-3, 0x1.a3ae4306b246bp-3, 0x1.a0e617171fc3fp-3, 0x1.9e15b75585238p-3, 0x1.9b3d7e69fe916p-3, 0x1.985dc5e2ea058p-3, 0x1.9576e63035b7bp-3, 0x1.9289369ef3301p-3, 0x1.8f950d5533591p-3, 0x1.8c9abf4e2ab27p-3, 0x1.899aa0569e85dp-3, 0x1.869503099251fp-3, 0x1.838a38cd39d19p-3, 0x1.807a91d02f9e5p-3, 0x1.7d665d06ea47ep-3, 0x1.7a4de8297281bp-3, 0x1.77317fb15521dp-3, 0x1.74116ed7d554ep-3, 0x1.70edff9458e0ep-3, 0x1.6dc77a9b0af0bp-3, 0x1.6a9e275bbd534p-3, 0x1.67724c00fda07p-3, 0x1.64442d6f62a9cp-3, 0x1.61140f45096a9p-3, 0x1.5de233d949622p-3, 0x1.5aaedc3c9db59p-3, 0x1.577a4838b504bp-3, 0x1.5444b650b7c86p-3, 0x1.510e63c1baac4p-3, 0x1.4dd78c835ce2ep-3, 0x1.4aa06b488ef08p-3, 0x1.476939808733p-3, 0x1.44322f57d6f5ap-3, 0x1.40fb83b9b36a8p-3, 0x1.3dc56c5154a1p-3, 0x1.3a901d8b84dep-3, 0x1.375bca9848943p-3, 0x1.3428a56cb257fp-3, 0x1.30f6dec4d136bp-3, 0x1.2dc6a625b88ffp-3, 0x1.2a9829dfb308cp-3, 0x1.276b971087165p-3, 0x1.244119a5d971p-3, 0x1.2118dc5fabadp-3, 0x1.1df308d2f373fp-3, 0x1.1acfc76c45f9dp-3, 0x1.17af3f729cf41p-3, 0x1.1491970a326f4p-3, 0x1.1176f3376e3c7p-3, 0x1.0e5f77e1e6b89p-3, 0x1.0b4b47d774ed8p-3, 0x1.083a84cf5b2c5p-3, 0x1.052d4f6d78d8fp-3, 0x1.0223c74590aebp-3, 0x1.fe3c15bd2dde9p-4, 0x1.f8386f6c3066ap-4, 0x1.f23cd48740744p-4, 0x1.ec497bf864a39p-4, 0x1.e65e9aab9899cp-4, 0x1.e07c6395e9dp-4, 0x1.daa307bc929b5p-4, 0x1.d4d2b63c412fep-4, 0x1.cf0b9c50579adp-4, 0x1.c94de55a3d539p-4, 0x1.c399bae8c4272p-4, 0x1.bdef44bf8b612p-4, 0x1.b84ea8de7811p-4, 0x1.b2b80b891f3c8p-4, 0x1.ad2b8f4e53412p-4, 0x1.a7a9550f95102p-4, 0x1.a2317c08a514bp-4, 0x1.9cc421d6fd3bdp-4, 0x1.9761628160cc1p-4, 0x1.9209587f585cep-4, 0x1.8cbc1cc0b969ep-4, 0x1.8779c6b524666p-4, 0x1.82426c5381c28p-4, 0x1.7d1622217651fp-4, 0x1.77f4fb3ad2f22p-4, 0x1.72df095900d96p-4, 0x1.6dd45cda602cbp-4, 0x1.68d504c99f8c9p-4, 0x1.63e10ee50d79p-4, 0x1.5ef887a5da0dep-4, 0x1.5a1b7a47512e8p-4, 0x1.5549f0ce05bcfp-4, 0x1.5083f40ef351fp-4, 0x1.4bc98bb68ee38p-4, 0x1.471abe4fccde5p-4, 0x1.4277914b162dep-4, 0x1.3de009052f5fp-4, 0x1.395428ce0dfe3p-4, 0x1.34d3f2efa0694p-4, 0x1.305f68b483292p-4, 0x1.2bf68a6ea2c43p-4, 0x1.2799577dd3b67p-4, 0x1.2347ce564d362p-4, 0x1.1f01ec87190fdp-4, 0x1.1ac7aec06e936p-4, 0x1.169910d9fb62p-4, 0x1.12760dd9155ep-4, 0x1.0e5e9ff6dc108p-4, 0x1.0a52c0a644999p-4, 0x1.0652689a10297p-4, 0x1.025d8fcab0e23p-4, 0x1.fce85af82d3eep-5, 0x1.f52c7086cf60bp-5, 0x1.ed874c194d7c8p-5, 0x1.e5f8d84080252p-5, 0x1.de80fe5103808p-5, 0x1.d71fa66e02a8ep-5, 0x1.cfd4b793ce47fp-5, 0x1.c8a017a253e09p-5, 0x1.c181ab675d81fp-5, 0x1.ba7956a8a7f5cp-5, 0x1.b386fc2dd781dp-5, 0x1.acaa7dca334fep-5, 0x1.a5e3bc6643473p-5, 0x1.9f3298092a589p-5, 0x1.9896efe1f7a45p-5, 0x1.9210a250aaecbp-5, 0x1.8b9f8cef211b4p-5, 0x1.85438c99d146bp-5, 0x1.7efc7d7858d06p-5, 0x1.78ca3b05e6157p-5, 0x1.72aca0196da4ap-5, 0x1.6ca386edbd533p-5, 0x1.66aec9295e69fp-5, 0x1.60ce3fe657cd8p-5, 0x1.5b01c3b9b456cp-5, 0x1.55492cbaf4687p-5, 0x1.4fa4528b45d16p-5, 0x1.4a130c5c9e20ap-5, 0x1.449530f8a140cp-5, 0x1.3f2a96c76b39ap-5, 0x1.39d313d627a18p-5, 0x1.348e7ddd8b265p-5, 0x1.2f5caa481ea54p-5, 0x1.2a3d6e3862804p-5, 0x1.25309e8ed5cdfp-5, 0x1.20360fefc7b43p-5, 0x1.1b4d96c915c2ep-5, 0x1.16770757b203bp-5, 0x1.11b235ad13927p-5, 0x1.0cfef5b47befap-5, 0x1.085d1b381328p-5, 0x1.03cc79e5f0fc3p-5, 0x1.fe99caa9e6bcbp-6, 0x1.f5bc6212e9214p-6, 0x1.ed0060f3d57f7p-6, 0x1.e4656e26b30acp-6, 0x1.dbeb307b48e9cp-6, 0x1.d3914ebf90a4ap-6, 0x1.cb576fc7e018ap-6, 0x1.c33d3a76c1cb4p-6, 0x1.bb4255c4bc598p-6, 0x1.b36668c7a89c4p-6, 0x1.aba91ab9ec5b1p-6, 0x1.a40a130174416p-6, 0x1.9c88f9366e7f3p-6, 0x1.95257529c9992p-6, 0x1.8ddf2eeb862fap-6, 0x1.86b5ced0cc419p-6, 0x1.7fa8fd79b68b9p-6, 0x1.78b863d719aefp-6, 0x1.71e3ab2fdac11p-6, 0x1.6b2a7d264527p-6, 0x1.648c83bd0bffbp-6, 0x1.5e09695c27aacp-6, 0x1.57a0d8d58916bp-6, 0x1.51527d69940f9p-6, 0x1.4b1e02cb6a67bp-6, 0x1.4503152511d51p-6, 0x1.3f01611b5a79bp-6, 0x1.391893d1c4038p-6, 0x1.33485aedfee01p-6, 0x1.2d90649b644a1p-6, 0x1.27f05f8e55b66p-6, 0x1.2267fb0745b28p-6, 0x1.1cf6e6d5c7cd8p-6, 0x1.179cd35b55349p-6, 0x1.1259718e0dcb8p-6, 0x1.0d2c72fb366b5p-6, 0x1.081589c9a5892p-6, 0x1.031468bc0bf9fp-6, 0x1.fc5186661a504p-7, 0x1.f2a49a5e9c473p-7, 0x1.e92176a6ade82p-7, 0x1.dfc785ca86bb3p-7, 0x1.d69633a0efbc6p-7, 0x1.cd8ced4e4f0abp-7, 0x1.c4ab21475dbe5p-7, 0x1.bbf03f53e1f79p-7, 0x1.b35bb890ea436p-7, 0x1.aaecff731cb4dp-7, 0x1.a2a387c89b07bp-7, 0x1.9a7ec6bacc067p-7, 0x1.927e32cfeb3bap-7, 0x1.8aa143ec6d03p-7, 0x1.82e773543f6b4p-7, 0x1.7b503babbc474p-7, 0x1.73db18f88ffd8p-7, 0x1.6c8788a26973fp-7, 0x1.65550973920f4p-7, 0x1.5e431b992b9f9p-7, 0x1.575140a37c5f9p-7, 0x1.507efb861a962p-7, 0x1.49cbd0979dc57p-7, 0x1.43374591b0673p-7, 0x1.3cc0e1908d09ap-7, 0x1.36682d1298227p-7, 0x1.302cb1f7ccfdp-7, 0x1.2a0dfb80faaa4p-7, 0x1.240b964efd48p-7, 0x1.1e251061cbcb9p-7, 0x1.1859f91774347p-7, 0x1.12a9e12af303ap-7, 0x1.0d145ab2facbcp-7, 0x1.0798f920844ep-7, 0x1.0237513d820d9p-7, 0x1.f9ddf256a37d3p-8, 0x1.ef7f10c230584p-8, 0x1.e5512f544415cp-8, 0x1.db53824823245p-8, 0x1.d185407a2d44bp-8, 0x1.c7e5a3640a91cp-8, 0x1.be73e71894fa2p-8, 0x1.b52f4a40150b7p-8, 0x1.ac170e13b45b5p-8, 0x1.a32a765969424p-8, 0x1.9a68c95f77e7bp-8, 0x1.91d14ff7e4abdp-8, 0x1.89635573cb8b6p-8, 0x1.811e279ebf1d2p-8, 0x1.790116b9ecbbap-8, 0x1.710b757727a14p-8, 0x1.693c98f3f2e49p-8, 0x1.6193d8b47d197p-8, 0x1.5a108e9e844d6p-8, 0x1.52b216f3fbcf4p-8, 0x1.4b77d04dfa4dbp-8, 0x1.44611b974d0acp-8, 0x1.3d6d5c0733986p-8, 0x1.369bf71bcb13cp-8, 0x1.2fec5494cdd25p-8, 0x1.295dde6ddbb66p-8, 0x1.22f000d91b2d9p-8, 0x1.1ca22a3999baap-8, 0x1.1673cb1dae76ep-8, 0x1.1064563958ebap-8, 0x1.0a73406093409p-8, 0x1.04a00081b8667p-8, 0x1.fdd41f3f78307p-9, 0x1.f2a1d19925fc2p-9, 0x1.e7a81246d28c8p-9, 0x1.dce5df85d0e25p-9, 0x1.d25a3b8efd9b5p-9, 0x1.c8042c8b52fbap-9, 0x1.bde2bc886ee4fp-9, 0x1.b3f4f96d19ed6p-9, 0x1.aa39f4edc063ep-9, 0x1.a0b0c4812ca16p-9, 0x1.97588154fc1c8p-9, 0x1.8e3048423a34ap-9, 0x1.853739c20fd12p-9, 0x1.7c6c79e264edfp-9, 0x1.73cf303a993c9p-9, 0x1.6b5e87e027616p-9, 0x1.6319af5b64558p-9, 0x1.5affd89c996cap-9, 0x1.531038f080295p-9, 0x1.4b4a08f56f664p-9, 0x1.43ac8490232a6p-9, 0x1.3c36eae109e8ep-9, 0x1.34e87e38f26fap-9, 0x1.2dc0840e7f6f2p-9, 0x1.26be44f368576p-9, 0x1.1fe10c895b117p-9, 0x1.19282977bca6dp-9, 0x1.1292ed60f0dfbp-9, 0x1.0c20acd7ccaa6p-9, 0x1.05d0bf550b52fp-9, 0x1.ff44fe5a924cdp-10, 0x1.f32a930cb127ap-10, 0x1.e750fc9a8721bp-10, 0x1.dbb7005875f53p-10, 0x1.d05b69009a353p-10, 0x1.c53d069f420eap-10, 0x1.ba5aae7f4c63ep-10, 0x1.afb33b162173cp-10, 0x1.a5458bf0b4169p-10, 0x1.9b1085a061341p-10, 0x1.911311a732b98p-10, 0x1.874c1e660111ep-10, 0x1.7dba9f090dedbp-10, 0x1.745d8b75947d5p-10, 0x1.6b33e037fe0cep-10, 0x1.623c9e7153d86p-10, 0x1.5976cbc548debp-10, 0x1.50e17248c8901p-10, 0x1.487ba0702147dp-10, 0x1.404468fe08129p-10, 0x1.383ae2f1c4488p-10, 0x1.305e2976e2f79p-10, 0x1.28ad5bd416a2p-10, 0x1.21279d5a9096cp-10, 0x1.19cc1556152fp-10, 0x1.1299eefbbf679p-10, 0x1.0b90595b2596ap-10, 0x1.04ae874dd2106p-10, 0x1.fbe75ecf3aap-11, 0x1.eebe17cfa5ceep-11, 0x1.e1dfb55233e1cp-11, 0x1.d54aba262a8f5p-11, 0x1.c8fdb015ce06ep-11, 0x1.bcf727ca64d66p-11, 0x1.b135b8adba0d4p-11, 0x1.a5b800ced0199p-11, 0x1.9a7ca4c4b5969p-11, 0x1.8f824f933eb16p-11, 0x1.84c7b28e9f732p-11, 0x1.7a4b854149a85p-11, 0x1.700c8550bba9cp-11, 0x1.66097662b72e5p-11, 0x1.5c41220471a45p-11, 0x1.52b2578edb6b7p-11, 0x1.495bec0f48ae7p-11, 0x1.403cba2d22077p-11, 0x1.3753a211ee986p-11, 0x1.2e9f8950ee3a6p-11, 0x1.261f5acf5ac19p-11, 0x1.1dd206abf4361p-11, 0x1.15b68228f8be7p-11, 0x1.0dcbc79488cb7p-11, 0x1.0610d6320943ep-11, 0x1.fd096449067c7p-12, 0x1.ee4cc8af85b0fp-12, 0x1.dfe9f4d7f08ep-12, 0x1.d1df0d3f223e2p-12, 0x1.c42a3f756cfcfp-12, 0x1.b6c9c1f48caf6p-12, 0x1.a9bbd3f828c25p-12, 0x1.9cfebd55c5eb5p-12, 0x1.9090ce547a372p-12, 0x1.84705f873d6ccp-12, 0x1.789bd1a6605e6p-12, 0x1.6d118d697290ep-12, 0x1.61d0036405125p-12, 0x1.56d5abdf3201ap-12, 0x1.4c2106b76a025p-12, 0x1.41b09b39a5dd2p-12, 0x1.3782f7fe539dap-12, 0x1.2d96b2ca4dc4ep-12, 0x1.23ea686b1043ep-12, 0x1.1a7cbc9792686p-12, 0x1.114c59ce0ca8ep-12, 0x1.0857f135c8eadp-12, 0x1.ff3c74fe0dfa4p-13, 0x1.ee3be787c55d9p-13, 0x1.ddabc2d489e98p-13, 0x1.cd899c0d5c46bp-13, 0x1.bdd3147b837f4p-13, 0x1.ae85d95183ef8p-13, 0x1.9f9fa36f92969p-13, 0x1.911e372fcc4a7p-13, 0x1.82ff642b383fdp-13, 0x1.7541050688273p-13, 0x1.67e0ff3def006p-13, 0x1.5add42ed48e0bp-13, 0x1.4e33caa2a8595p-13, 0x1.41e29b27a861p-13, 0x1.35e7c351af5cp-13, 0x1.2a415bd31fee9p-13, 0x1.1eed870789e35p-13, 0x1.13ea70ca59ea1p-13, 0x1.09364e43e8f89p-13, 0x1.fd9ebb808c50fp-14, 0x1.e967cd00a93f3p-14, 0x1.d5c471206a1adp-14, 0x1.c2b15934380ep-14, 0x1.b02b477ea3181p-14, 0x1.9e2f0ed90b4d8p-14, 0x1.8cb99264dafcp-14, 0x1.7bc7c53afecf3p-14, 0x1.6b56aa21706b1p-14, 0x1.5b635336e225ep-14, 0x1.4beae1b1e3853p-14, 0x1.3cea858cbc583p-14, 0x1.2e5f7d43952fbp-14, 0x1.2047158b31b19p-14, 0x1.129ea90b14cdbp-14, 0x1.0563a016920c6p-14, 0x1.f126e0e19dadep-15, 0x1.d8573a003a025p-15, 0x1.c0536b2cd25a7p-15, 0x1.a916ad565584ep-15, 0x1.929c5243f900ap-15, 0x1.7cdfc40e3cb01p-15, 0x1.67dc84b5e0c15p-15, 0x1.538e2d9f75dcep-15, 0x1.3ff06f29e1ec2p-15, 0x1.2cff1033c373ep-15, 0x1.1ab5edb3d7b2fp-15, 0x1.0910fa4978a8bp-15, 0x1.f0187b92eb32fp-16, 0x1.cf47a9c0f37d3p-16, 0x1.afa7e14a94468p-16, 0x1.9131ac6150843p-16, 0x1.73ddbc843eb8bp-16, 0x1.57a4e9a9acc4fp-16, 0x1.3c8031919079bp-16, 0x1.2268b6f1c3c7cp-16, 0x1.0957c0e022153p-16, 0x1.e28d73f7464b9p-17, 0x1.b45e5f9d10d37p-17, 0x1.8815a4345ef7cp-17, 0x1.5da6e462314dp-17, 0x1.3506048a7a24bp-17, 0x1.0e27299f1b13fp-17, 0x1.d1fd6f9cb0601p-18, 0x1.8b02a298ce077p-18, 0x1.4747aa4a526a1p-18, 0x1.06b6bbfc5a0a9p-18, 0x1.927503c994939p-19, 0x1.1d7c31ccd3761p-19, 0x1.5cb4392c2d525p-20, 0x1.139aec620bbd6p-21, -0x1.f05239bcf99cap-23, -0x1.f63f722aecb46p-21, -0x1.adbdf9fb1abb2p-20, -0x1.2b17466504f81p-19, -0x1.7a5cb2d7b8be5p-19, -0x1.c4d2783bceca9p-19, -0x1.054d8657c66a7p-18, -0x1.25ec1502854fcp-18, -0x1.445568d3138c6p-18, -0x1.6099a7ef0e3edp-18, -0x1.7ac89fd54225ap-18, -0x1.92f1c70ecbd51p-18, -0x1.a9243ed5f38c9p-18, -0x1.bd6ed4d4f91d9p-18, -0x1.cfe004cbe1afp-18, -0x1.e085fa083f82ap-18, -0x1.ef6e911f6596ep-18, -0x1.fca7595d99aa6p-18, -0x1.041ecb301e20bp-17, -0x1.091f20be65e6ap-17, -0x1.0d5b05a0eb76dp-17, -0x1.10d8ae6b80b2bp-17, -0x1.139e2cb8032dp-17, -0x1.15b16fd5834ccp-17, -0x1.1718456c2e76ep-17, -0x1.17d85a344d921p-17, -0x1.17f73a863f7edp-17, -0x1.177a53125ec44p-17, -0x1.1666f172f9c49p-17, -0x1.14c244d0a921bp-17, -0x1.12915e6ccaa25p-17, -0x1.0fd93245bdf02p-17, -0x1.0c9e97aa50e65p-17, -0x1.08e649bb6c374p-17, -0x1.04b4e803864cdp-17, -0x1.000ef701ae6fcp-17, -0x1.f5f1c165b4f35p-18, -0x1.eaedea19a47ap-18, -0x1.df1ad5176664dp-18, -0x1.d280bd56906c2p-18, -0x1.c527acd0860e4p-18, -0x1.b7177d77453c2p-18, -0x1.a857da1d6bb65p-18, -0x1.98f03f713e07bp-18, -0x1.88e7fcd4a5edp-18, -0x1.78463551d429bp-18, -0x1.6711e06ffb10cp-18, -0x1.5551cb0a2fddp-18, -0x1.430c9835665b6p-18, -0x1.3048c208795e3p-18, -0x1.1d0c9a6e305e5p-18, -0x1.095e4be90a2aep-18, -0x1.ea87b4c504357p-19, -0x1.c18647dbfda22p-19, -0x1.97c3c30fa99eep-19, -0x1.6d4b4f7eeab16p-19, -0x1.4227cf1b8e53bp-19, -0x1.1663dde3c7c9p-19, -0x1.d413a6c2a9d39p-20, -0x1.7a4787d97d9e7p-20, -0x1.1f770426cac7fp-20, -0x1.876a7f5cb5ccap-21, }}, 
      {{-0x1.a8546a722905fp-4, -0x1.a9485ce2f96e1p-4, -0x1.aada2777f6b5fp-4, -0x1.ad031565387d6p-4, -0x1.afba7e817020ep-4, -0x1.b2f64187e2b1ep-4, -0x1.b6ab3a918475fp-4, -0x1.bacdb0b01c45cp-4, -0x1.bf51b6b74a869p-4, -0x1.c42b7ca4953dfp-4, -0x1.c94f90acb2f06p-4, -0x1.ceb31063c1249p-4, -0x1.d44bcb83d74b4p-4, -0x1.da105a708926bp-4, -0x1.dff82aca96721p-4, -0x1.e5fb844f5acc9p-4, -0x1.ec1387f99f949p-4, -0x1.f23a2afe8df58p-4, -0x1.f86a2ee43ed04p-4, -0x1.fe9f179be5e3ap-4, -0x1.026a902292c4dp-3, -0x1.058497867860ap-3, -0x1.089c643b2e949p-3, -0x1.0bb101229b86ep-3, -0x1.0ec1bb1a6c281p-3, -0x1.11ce1a4f9c109p-3, -0x1.14d5db9ae5512p-3, -0x1.17d8e9f651b9cp-3, -0x1.1ad7581c2d42bp-3, -0x1.1dd15a5efbd17p-3, -0x1.20c740c95d9c1p-3, -0x1.23b9719330e62p-3, -0x1.26a863f763106p-3, -0x1.29949b739059bp-3, -0x1.2c7ea377f8bp-3, -0x1.2f670b8ba9c6bp-3, -0x1.324e63e62f53ep-3, -0x1.35353a7da9d4ap-3, -0x1.381c1885fb04bp-3, -0x1.3b03805be7a8bp-3, -0x1.3debebd586deap-3, -0x1.40d5caf045962p-3, -0x1.43c182d3dc9e3p-3, -0x1.46af6d213edc2p-3, -0x1.499fd78459453p-3, -0x1.4c93037f80d91p-3, -0x1.4f892667cf203p-3, -0x1.5282698a2552ap-3, -0x1.557eea711079ep-3, -0x1.587ebb4495d42p-3, -0x1.5b81e33d9eaap-3, -0x1.5e885f277543ap-3, -0x1.619221ea98a44p-3, -0x1.649f151cd91d4p-3, -0x1.67af1993714acp-3, -0x1.6ac207f461f31p-3, -0x1.6dd7b14500229p-3, -0x1.70efdf7420056p-3, -0x1.740a55debb198p-3, -0x1.7726d1ce67158p-3, -0x1.7a450af12500fp-3, -0x1.7d64b3ca81765p-3, -0x1.80857a1e09927p-3, -0x1.83a707536e498p-3, -0x1.86c900d4a2a9bp-3, -0x1.89eb08668b731p-3, -0x1.8d0cbc7ca0c8cp-3, -0x1.902db8882adc4p-3, -0x1.934d95439bc29p-3, -0x1.966be8fa7e12fp-3, -0x1.998847ce8cf77p-3, -0x1.9ca243fa5128dp-3, -0x1.9fb96e11b36e4p-3, -0x1.a2cd5540d66d6p-3, -0x1.a5dd878981ae7p-3, -0x1.a8e991ff50d92p-3, -0x1.abf10102d94c5p-3, -0x1.aef3607bd6c8bp-3, -0x1.b1f03c1286c22p-3, -0x1.b4e71f681b796p-3, -0x1.b7d7964e58766p-3, -0x1.bac12cfe4345cp-3, -0x1.bda3704ddc2ap-3, -0x1.c07dede4b8edp-3, -0x1.c350346f703a3p-3, -0x1.c619d3d1bce15p-3, -0x1.c8da5d571a8c3p-3, -0x1.cb9163e1e130ep-3, -0x1.ce3e7c18963cp-3, -0x1.d0e13c917293ep-3, -0x1.d3793dfbeb4fcp-3, -0x1.d6061b481d7a4p-3, -0x1.d88771cc19587p-3, -0x1.dafce166d5cccp-3, -0x1.dd660ca0d825bp-3, -0x1.dfc298ca653ep-3, -0x1.e2122e174217ap-3, -0x1.e45477b7f4fc9p-3, -0x1.e68923f07c979p-3, -0x1.e8afe42c8bf95p-3, -0x1.eac86d11374dcp-3, -0x1.ecd2768c2e4a8p-3, -0x1.eecdbbe07f0c8p-3, -0x1.f0b9fbb0f21e6p-3, -0x1.f296f8080cd66p-3, -0x1.f464765dcba5ep-3, -0x1.f6223f9b307e4p-3, -0x1.f7d0201ba8d1ap-3, -0x1.f96de7ac71003p-3, -0x1.fafb698a10792p-3, -0x1.fc787c5bf3d3bp-3, -0x1.fde4fa2e59a95p-3, -0x1.ff40c06a9cbdap-3, -0x1.0045d7e6fb5ccp-2, -0x1.00e2d62f73497p-2, -0x1.01774eb0a0d54p-2, -0x1.020336a490712p-2, -0x1.028684d6585a7p-2, -0x1.0301319a89774p-2, -0x1.037336c72ba59p-2, -0x1.03dc8fab60533p-2, -0x1.043d3906a767p-2, -0x1.049530ffe06fdp-2, -0x1.04e4771c0b9d7p-2, -0x1.052b0c34d976ap-2, -0x1.0568f26f10c82p-2, -0x1.059e2d30d5c9cp-2, -0x1.05cac117e0fddp-2, -0x1.05eeb3efa012fp-2, -0x1.060a0ca75eb0bp-2, -0x1.061cd34867599p-2, -0x1.062710ec36c57p-2, -0x1.0628cfb2bb1c9p-2, -0x1.06221ab8ab623p-2, -0x1.0612fe0dfcc82p-2, -0x1.05fb86ac74279p-2, -0x1.05dbc26e5e9e6p-2, -0x1.05b3c0057465ap-2, -0x1.05838ef1e56f3p-2, -0x1.054b3f7993511p-2, -0x1.050ae29f8067ap-2, -0x1.04c28a1b6d25ap-2, -0x1.04724851ad3fcp-2, -0x1.041a304b3360ap-2, -0x1.03ba55adce901p-2, -0x1.0352ccb4a59d3p-2, -0x1.02e3aa28e4abcp-2, -0x1.026d035aa702bp-2, -0x1.01eeee1a136e2p-2, -0x1.016980b0b5c37p-2, -0x1.00dcd1db09371p-2, -0x1.0048f8c23cbfcp-2, -0x1.ff5c19ec533b5p-3, -0x1.fe184ccefd4f7p-3, -0x1.fcc6bac43fdf1p-3, -0x1.fb67950f67637p-3, -0x1.f9fb0d94c739ep-3, -0x1.f88156cf9426fp-3, -0x1.f6faa3c818926p-3, -0x1.f567280a443dcp-3, -0x1.f3c7179c8962fp-3, -0x1.f21aa6f711c86p-3, -0x1.f0620afb3a341p-3, -0x1.ee9d78eb5c275p-3, -0x1.eccd2662e17dcp-3, -0x1.eaf1494e9138ep-3, -0x1.e90a17e529b3bp-3, -0x1.e717c8a03240ap-3, -0x1.e51a92350512ap-3, -0x1.e312ab8e195cdp-3, -0x1.e1004bc475e83p-3, -0x1.dee3aa1966833p-3, -0x1.dcbcfdf04e782p-3, -0x1.da8c7ec8b895ep-3, -0x1.d852643887c4fp-3, -0x1.d60ee5e651d45p-3, -0x1.d3c23b83e561p-3, -0x1.d16c9cc8ef675p-3, -0x1.cf0e416dc322ap-3, -0x1.cca761264359bp-3, -0x1.ca38339cec37p-3, -0x1.c7c0f06df8651p-3, -0x1.c541cf229faddp-3, -0x1.c2bb072c7624bp-3, -0x1.c02ccfe0e06dfp-3, -0x1.bd9760749a7dep-3, -0x1.bafaeff7642bbp-3, -0x1.b857b54fb1484p-3, -0x1.b5ade736814a9p-3, -0x1.b2fdbc3338be1p-3, -0x1.b0476a97a0845p-3, -0x1.ad8b287bea5d1p-3, -0x1.aac92bbacd2ecp-3, -0x1.a801a9edb74c2p-3, -0x1.a534d8690985dp-3, -0x1.a262ec386f43p-3, -0x1.9f8c1a1b3a1e5p-3, -0x1.9cb09680dd2dep-3, -0x1.99d095856d91dp-3, -0x1.96ec4aee3c856p-3, -0x1.9403ea26795a9p-3, -0x1.9117a63bedd93p-3, -0x1.8e27b1dbc6ee4p-3, -0x1.8b343f4f6a8d4p-3, -0x1.883d80796713dp-3, -0x1.8543a6d26fde9p-3, -0x1.8246e36667102p-3, -0x1.7f4766d17f17fp-3, -0x1.7c45613d6f92bp-3, -0x1.7941025eb215dp-3, -0x1.763a7971dc019p-3, -0x1.7331f53903c2ep-3, -0x1.7027a3f93f96cp-3, -0x1.6d1bb3782d1a4p-3, -0x1.6a0e50f994ff7p-3, -0x1.66ffa93d205acp-3, -0x1.63efe87c1ce3bp-3, -0x1.60df3a675814cp-3, -0x1.5dcdca2511299p-3, -0x1.5abbc24ef9305p-3, -0x1.57a94cf04adadp-3, -0x1.54969383f76bfp-3, -0x1.5183bef2e7e01p-3, -0x1.4e70f7924deb2p-3, -0x1.4b5e652213bf8p-3, -0x1.484c2ecb57449p-3, -0x1.453a7b1efdee3p-3, -0x1.4229701461352p-3, -0x1.3f1933080922cp-3, -0x1.3c09e8ba83e2ep-3, -0x1.38fbb54f49a74p-3, -0x1.35eebc4bbe72p-3, -0x1.32e320964659ap-3, -0x1.2fd9047569a23p-3, -0x1.2cd0898f14fb9p-3, -0x1.29c9d0e7eb587p-3, -0x1.26c4fae2aea2ep-3, -0x1.23c2273fb927ep-3, -0x1.20c1751c91667p-3, -0x1.1dc302f38e94bp-3, -0x1.1ac6ee9b8f9dep-3, -0x1.17cd5547cd653p-3, -0x1.14d65387b8779p-3, -0x1.11e20546f1213p-3, -0x1.0ef085cd50394p-3, -0x1.0c01efbf01856p-3, -0x1.09165d1cb2581p-3, -0x1.062de743d7ef4p-3, -0x1.0348a6eefbfacp-3, -0x1.0066b4362b714p-3, -0x1.fb104d1ece4ep-4, -0x1.f55a299e5d90dp-4, -0x1.efab2a523c9abp-4, -0x1.ea037a612bf4bp-4, -0x1.e46343b2eb782p-4, -0x1.decaaef1d4346p-4, -0x1.d939e38c8af5cp-4, -0x1.d3b107b7d4394p-4, -0x1.ce30407086087p-4, -0x1.c8b7b17d9d049p-4, -0x1.c3477d72587afp-4, -0x1.bddfc5b08ec51p-4, -0x1.b880aa6b036b3p-4, -0x1.b32a4aa7e3fa3p-4, -0x1.addcc44359f69p-4, -0x1.a89833f231eb3p-4, -0x1.a35cb544a0608p-4, -0x1.9e2a62a91324p-4, -0x1.9901556f22c17p-4, -0x1.93e1a5ca8be6cp-4, -0x1.8ecb6ad6489fp-4, -0x1.89beba97b3682p-4, -0x1.84bbaa01bfeb7p-4, -0x1.7fc24cf84331ap-4, -0x1.7ad2b6534c8dp-4, -0x1.75ecf7e28dff1p-4, -0x1.71112270d22ap-4, -0x1.6c3f45c77e91fp-4, -0x1.677770b227a41p-4, -0x1.62b9b102294f5p-4, -0x1.5e0613925081bp-4, -0x1.595ca44a8c087p-4, -0x1.54bd6e23a7a46p-4, -0x1.50287b2b10cb8p-4, -0x1.4b9dd486a1656p-4, -0x1.471d827872ccap-4, -0x1.42a78c62b7d9bp-4, -0x1.3e3bf8cb9bad6p-4, -0x1.39dacd6124b4ap-4, -0x1.35840efd1e2e9p-4, -0x1.3137c1a904dcbp-4, -0x1.2cf5e8a1f359cp-4, -0x1.28be865c95a66p-4, -0x1.24919c8919b8fp-4, -0x1.206f2c1725ad7p-4, -0x1.1c573539c8dcap-4, -0x1.1849b76b7266p-4, -0x1.1446b171e2a0dp-4, -0x1.104e21621cb96p-4, -0x1.0c6004a457138p-4, -0x1.087c57f7e7a11p-4, -0x1.04a317772ea31p-4, -0x1.00d43e9b7c50cp-4, -0x1.fa1f9081ea2d1p-5, -0x1.f2ab5d54db206p-5, -0x1.eb4bd70a8b9d8p-5, -0x1.e400efda76977p-5, -0x1.dcca98e07016fp-5, -0x1.d5a8c22433aaap-5, -0x1.ce9b5aa0e7ee4p-5, -0x1.c7a2504c8f12bp-5, -0x1.c0bd901f71101p-5, -0x1.b9ed061b6e459p-5, -0x1.b3309d5346226p-5, -0x1.ac883ff1cc919p-5, -0x1.a5f3d7410e27bp-5, -0x1.9f734bb160434p-5, -0x1.990684e061b13p-5, -0x1.92ad699fe5274p-5, -0x1.8c67dffccc9d3p-5, -0x1.8635cd45cb50bp-5, -0x1.80171612179a2p-5, -0x1.7a0b9e48047a1p-5, -0x1.741349238a43ep-5, -0x1.6e2df93cb4e43p-5, -0x1.685b908dfe1ap-5, -0x1.629bf07a9292dp-5, -0x1.5ceef9d48136dp-5, -0x1.57548ce2cd40ap-5, -0x1.51cc896773abp-5, -0x1.4c56cea54dc8fp-5, -0x1.46f33b65e6d95p-5, -0x1.41a1adff3249ep-5, -0x1.3c6204592e46ep-5, -0x1.37341bf36c9aap-5, -0x1.3217d1ea85bcep-5, -0x1.2d0d02fd6e54ap-5, -0x1.28138b92bb219p-5, -0x1.232b47bdc7b2p-5, -0x1.1e541343c7fc6p-5, -0x1.198dc9a0bdd32p-5, -0x1.14d8460c5b586p-5, -0x1.1033637ec6217p-5, -0x1.0b9efcb54976cp-5, -0x1.071aec36e943dp-5, -0x1.02a70c58e2ba9p-5, -0x1.fc866e861d6a7p-6, -0x1.f3de8de86500fp-6, -0x1.eb562a8c684b2p-6, -0x1.e2ecf7e46cdb1p-6, -0x1.daa2a92943c96p-6, -0x1.d276f1621dcf1p-6, -0x1.ca69836c3e4d1p-6, -0x1.c27a120273eb4p-6, -0x1.baa84fc470258p-6, -0x1.b2f3ef3de036fp-6, -0x1.ab5ca2ed64f35p-6, -0x1.a3e21d4b5a11fp-6, -0x1.9c8410d06b829p-6, -0x1.95422ffc06decp-6, -0x1.8e1c2d5a9760bp-6, -0x1.8711bb8b9bd9bp-6, -0x1.80228d479324bp-6, -0x1.794e5565b80a7p-6, -0x1.7294c6e193a19p-6, -0x1.6bf594e06b16bp-6, -0x1.657072b6806bep-6, -0x1.5f0513ec28fecp-6, -0x1.58b32c42be0fcp-6, -0x1.527a6fb96478p-6, -0x1.4c5a9291afc8bp-6, -0x1.4653495419146p-6, -0x1.406448d4528a4p-6, -0x1.3a8d46357b65bp-6, -0x1.34cdf6ee21347p-6, -0x1.2f2610cc2b4bcp-6, -0x1.299549f897cc4p-6, -0x1.241b58fb1a63ap-6, -0x1.1eb7f4bd950e5p-6, -0x1.196ad48f734bap-6, -0x1.1433b028e0b9ap-6, -0x1.0f123fadd9b2p-6, -0x1.0a063bb1299adp-6, -0x1.050f5d37368cdp-6, -0x1.002d5db8be32fp-6, -0x1.f6bfee4ad6835p-7, -0x1.ed4dc7cc99583p-7, -0x1.e403bdc068705p-7, -0x1.dae146ebe52f3p-7, -0x1.d1e5db14f9f9p-7, -0x1.c910f305dac41p-7, -0x1.c0620890ec556p-7, -0x1.b7d89694543b6p-7, -0x1.af7418fd7243ap-7, -0x1.a7340ccc1392ap-7, -0x1.9f17f0157e538p-7, -0x1.971f420743b33p-7, -0x1.8f4982e9ea74dp-7, -0x1.8796342365721p-7, -0x1.8004d8395d136p-7, -0x1.7894f2d35869p-7, -0x1.714608bc9fe5cp-7, -0x1.6a179fe60dcdfp-7, -0x1.63093f67b0354p-7, -0x1.5c1a6f823f5afp-7, -0x1.554ab9a066fd6p-7, -0x1.4e99a857f4effp-7, -0x1.4806c76ae1b16p-7, -0x1.4191a3c82897ap-7, -0x1.3b39cb8c88c39p-7, -0x1.34fece031fccap-7, -0x1.2ee03ba5e49ep-7, -0x1.28dda61dff6c6p-7, -0x1.22f6a04400e18p-7, -0x1.1d2abe2001a29p-7, -0x1.177994e9a0c3dp-7, -0x1.11e2bb07dea0fp-7, -0x1.0c65c810e7aa4p-7, -0x1.070254c9bdfb1p-7, -0x1.01b7fb25c7a25p-7, -0x1.f90cac8c8e359p-8, -0x1.eeda04f3732c6p-8, -0x1.e4d73a764327dp-8, -0x1.db038a625bb95p-8, -0x1.d15e345ab9f2bp-8, -0x1.c7e67a55f824ep-8, -0x1.be9ba09c3f3c3p-8, -0x1.b57cedc4e8bc6p-8, -0x1.ac89aab4280e1p-8, -0x1.a3c1229869c52p-8, -0x1.9b22a2e7a9e52p-8, -0x1.92ad7b5c96eb8p-8, -0x1.8a60fdf3a1b58p-8, -0x1.823c7ee7e2558p-8, -0x1.7a3f54afe19afp-8, -0x1.7268d7fa5a27fp-8, -0x1.6ab863aab1c0ep-8, -0x1.632d54d59101dp-8, -0x1.5bc70abd2bfbep-8, -0x1.5484e6cd9ece8p-8, -0x1.4d664c9917debp-8, -0x1.466aa1d3f48b8p-8, -0x1.3f914e50d17f9p-8, -0x1.38d9bbfc766b8p-8, -0x1.324356d9c9a21p-8, -0x1.2bcd8cfd93d9fp-8, -0x1.2577ce8a43182p-8, -0x1.1f418dabae29bp-8, -0x1.192a3e92a40b3p-8, -0x1.133157708e2c6p-8, -0x1.0d565072fd06ap-8, -0x1.0798a3bf1f4f8p-8, -0x1.01f7cd6d3ecc9p-8, -0x1.f8e6970840e21p-9, -0x1.ee153be8d679cp-9, -0x1.e37a8d2803328p-9, -0x1.d91592329943fp-9, -0x1.cee5562d19002p-9, -0x1.c4e8e7ea2fc1bp-9, -0x1.bb1f59e12dd8p-9, -0x1.b187c2248575bp-9, -0x1.a8213a583289bp-9, -0x1.9eeadfa817e6bp-9, -0x1.95e3d2be5909bp-9, -0x1.8d0b37b9b7411p-9, -0x1.84603623f2c5p-9, -0x1.7be1f8e80857dp-9, -0x1.738fae4889ec9p-9, -0x1.6b6887d5f35cap-9, -0x1.636bba64fe8cdp-9, -0x1.5b987e04f0d1bp-9, -0x1.53ee0df5ebb42p-9, -0x1.4c6ba89f5049dp-9, -0x1.45108f8620dd9p-9, -0x1.3ddc07435634ap-9, -0x1.36cd577a626e1p-9, -0x1.2fe3cacf79558p-9, -0x1.291eaede37d99p-9, -0x1.227d54300ac53p-9, -0x1.1bff0e32b61f6p-9, -0x1.15a3332ef820dp-9, -0x1.0f691c3f1d868p-9, -0x1.09502545b9eb7p-9, -0x1.0357ace447edap-9, -0x1.fafe28e4033d9p-10, -0x1.ef8b7fe5363ccp-10, -0x1.e4562c1a74015p-10, -0x1.d95d00068a9aap-10, -0x1.ce9ed34ed5f25p-10, -0x1.c41a82a9487f3p-10, -0x1.b9ceefcaa221ap-10, -0x1.afbb0154c5664p-10, -0x1.a5dda2c50185ep-10, -0x1.9c35c462ccfd3p-10, -0x1.92c25b2e6abf8p-10, -0x1.898260cf9bcc4p-10, -0x1.8074d384aad6ep-10, -0x1.7798b611b5db6p-10, -0x1.6eed0faf95bfp-10, -0x1.6670ebfb80d6cp-10, -0x1.5e235ae65fbe7p-10, -0x1.560370a4bd8f7p-10, -0x1.4e10459e40beap-10, -0x1.4648f65e0aca1p-10, -0x1.3eaca3827805dp-10, -0x1.373a71ad9ecfbp-10, -0x1.2ff18975af3cfp-10, -0x1.28d117558c332p-10, -0x1.21d84b9d7e672p-10, -0x1.1b065a6421e74p-10, -0x1.145a7b776b4aap-10, -0x1.0dd3ea4dee2e2p-10, -0x1.0771e5f81f2fdp-10, -0x1.0133b111fcb6ap-10, -0x1.f631236957205p-11, -0x1.ea3fa2d085b1fp-11, -0x1.de917a2bda3f5p-11, -0x1.d32549f3ef41cp-11, -0x1.c7f9b92c6f10dp-11, -0x1.bd0d7548e0de6p-11, -0x1.b25f32122028ap-11, -0x1.a7eda98bf98dap-11, -0x1.9db79bdadb35ep-11, -0x1.93bbcf2a5c848p-11, -0x1.89f90f9385d3fp-11, -0x1.806e2f0413b99p-11, -0x1.771a05251f5c8p-11, -0x1.6dfb6f435aff4p-11, -0x1.6511503624d93p-11, -0x1.5c5a90482c55dp-11, -0x1.53d61d1f976c7p-11, -0x1.4b82e9a6e9a05p-11, -0x1.435fedf64fe1ap-11, -0x1.3b6c273c6552dp-11, -0x1.33a697a87836ap-11, -0x1.2c0e465439589p-11, -0x1.24a23f2e1b8dp-11, -0x1.1d6192e3dbb95p-11, -0x1.164b56cd7732cp-11, -0x1.0f5ea4d82c79p-11, -0x1.089a9b7236638p-11, -0x1.01fe5d76583f4p-11, -0x1.f71224303a543p-12, -0x1.ea73c99f9d667p-12, -0x1.de200a8f6314ep-12, -0x1.d2154e907f5c4p-12, -0x1.c652054bc6693p-12, -0x1.bad4a65c5e4f8p-12, -0x1.af9bb12b142fap-12, -0x1.a4a5accaefc44p-12, -0x1.99f127d528686p-12, -0x1.8f7cb846b37e7p-12, -0x1.8546fb5db029dp-12, -0x1.7b4e9577d1094p-12, -0x1.719231f062dc7p-12, -0x1.68108300b4f41p-12, -0x1.5ec8419e42f81p-12, -0x1.55b82d5c87e1ep-12, -0x1.4cdf0c4c5d9bfp-12, -0x1.443baade2af48p-12, -0x1.3bccdbc30766ap-12, -0x1.339177cf05dfep-12, -0x1.2b885ddc0306dp-12, -0x1.23b072acd1a21p-12, -0x1.1c08a0d080aa9p-12, -0x1.148fd8870a8e9p-12, -0x1.0d450fa505198p-12, -0x1.062741799893cp-12, -0x1.fe6add6584f7cp-13, -0x1.f0dd3a892c9f8p-13, -0x1.e3a3b09c53383p-13, -0x1.d6bc6002567b7p-13, -0x1.ca257311de0cdp-13, -0x1.bddd1de39ecd2p-13, -0x1.b1e19e224b04dp-13, -0x1.a6313adbf20cdp-13, -0x1.9aca4452d1a73p-13, -0x1.8fab13d07e521p-13, -0x1.84d20b7864f8cp-13, -0x1.7a3d961c0f00cp-13, -0x1.6fec2710254afp-13, -0x1.65dc3a0143775p-13, -0x1.5c0c52cac1c37p-13, -0x1.527afd4d398d5p-13, -0x1.4926cd46b2fa5p-13, -0x1.400e5e2a3c328p-13, -0x1.373052f9a7d97p-13, -0x1.2e8b561f8ffbbp-13, -0x1.261e1948799afp-13, -0x1.1de7553f97f88p-13, -0x1.15e5c9c96420cp-13, -0x1.0e183d80e49dap-13, -0x1.067d7db3bd821p-13, -0x1.fe28bc825d865p-14, -0x1.efb772eeab37cp-14, -0x1.e1a4dfe50bbddp-14, -0x1.d3eed0fa6898bp-14, -0x1.c6931fdece9d3p-14, -0x1.b98fb21ff2c6ap-14, -0x1.ace278ebdcdd5p-14, -0x1.a08970d3c2083p-14, -0x1.9482a19158c12p-14, -0x1.88cc1dce2dd64p-14, -0x1.7d6402e7e9caep-14, -0x1.724878bb031d4p-14, -0x1.6777b16aaa6c4p-14, -0x1.5cefe92b21c3ep-14, -0x1.52af660d86a72p-14, -0x1.48b477cb24d7ap-14, -0x1.3efd77933f711p-14, -0x1.3588c7d963a51p-14, -0x1.2c54d4241dd37p-14, -0x1.236010dd606bbp-14, -0x1.1aa8fb22c97aap-14, -0x1.122e1898a1048p-14, -0x1.09edf73bdd82ap-14, -0x1.01e72d359dd15p-14, -0x1.f430b161ca665p-15, -0x1.e5003f5b7d8d7p-15, -0x1.d63a5fb32fb4fp-15, -0x1.c7dc7cca82f2p-15, -0x1.b9e40fb87d5ddp-15, -0x1.ac4e9ffd83c5p-15, -0x1.9f19c332d141ap-15, -0x1.92431cc19b7bdp-15, -0x1.85c85d95a22d9p-15, -0x1.79a743d7ad97ap-15, -0x1.6ddd9aa3b68f1p-15, -0x1.626939c3f7f15p-15, -0x1.5748056badf3ap-15, -0x1.4c77edf574781p-15, -0x1.41f6ef9ed07b7p-15, -0x1.37c31249ceae7p-15, -0x1.2dda693d53b4dp-15, -0x1.243b12e548ba3p-15, -0x1.1ae3389982ec5p-15, -0x1.11d10e5e2f1c5p-15, -0x1.0902d2abbf26ep-15, -0x1.0076ce3528d13p-15, -0x1.f056a76191184p-16, -0x1.e03d7f3eb1913p-16, -0x1.d09ef0325928bp-16, -0x1.c177d92d220a3p-16, -0x1.b2c52b7bc39d5p-16, -0x1.a483ea624541ap-16, -0x1.96b12ab6886d6p-16, -0x1.894a1281d3971p-16, -0x1.7c4bd89f76354p-16, -0x1.6fb3c46209602p-16, -0x1.637f2d376725bp-16, -0x1.57ab7a4dcfc9bp-16, -0x1.4c36223e2fe92p-16, -0x1.411caab6549a8p-16, -0x1.365ca826044dep-16, -0x1.2bf3bd69591dep-16, -0x1.21df9b7ce6bafp-16, -0x1.181e012c18ff4p-16, -0x1.0eacbac37710dp-16, -0x1.0589a1c7e7b2cp-16, -0x1.f9653955452d7p-17, -0x1.e84b3d0205447p-17, -0x1.d7c14d7face07p-17, -0x1.c7c381e329f43p-17, -0x1.b84e08ee2853dp-17, -0x1.a95d2883d440fp-17, -0x1.9aed3d2a9561dp-17, -0x1.8cfab9881a276p-17, -0x1.7f8225e97c3cbp-17, -0x1.72801fc58e7dp-17, -0x1.65f1594697cbp-17, -0x1.59d298d468b24p-17, -0x1.4e20b8a3af9d8p-17, -0x1.42d8a643e983ep-17, -0x1.37f76232522f8p-17, -0x1.2d79ff6de42ccp-17, -0x1.235da30f40297p-17, -0x1.199f83e018ad8p-17, -0x1.103ce9f793569p-17, -0x1.07332e59124fbp-17, -0x1.fcff751f179b1p-18, -0x1.ec4010a7a8019p-18, -0x1.dc23425a3b594p-18, -0x1.cca43c2c7fa7bp-18, -0x1.bdbe4e5395845p-18, -0x1.af6ce685f3886p-18, -0x1.a1ab8f65a7f4dp-18, -0x1.9475efc8d9c63p-18, -0x1.87c7ca254b716p-18, -0x1.7b9cfbe9e091ap-18, -0x1.6ff17ce287f45p-18, -0x1.64c15ea47683fp-18, -0x1.5a08cbf6e2f3ap-18, -0x1.4fc40842bb95cp-18, -0x1.45ef6f009f2a9p-18, -0x1.3c877332dbfc2p-18, -0x1.33889edb67b07p-18, -0x1.2aef9272b2bd3p-18, -0x1.22b9046b52428p-18, -0x1.1ae1c0abc98a8p-18, -0x1.1366a8170e73ep-18, -0x1.0c44b00ed1edcp-18, -0x1.0578e1fe9260ep-18, -0x1.fe00b5c28a4cfp-19, -0x1.f1b095b4c7cc4p-19, -0x1.e5fbe96f838e2p-19, -0x1.dadd5b1d598d4p-19, -0x1.d04fb8971b77fp-19, -0x1.c64df29687a4bp-19, -0x1.bcd31be5d8679p-19, -0x1.b3da689a97708p-19, -0x1.ab5f2d509eb35p-19, -0x1.a35cde6a22db3p-19, -0x1.9bcf0f5009d5ap-19, -0x1.94b171c31f0e4p-19, -0x1.8dffd5234fad2p-19, -0x1.87b625bce8d3cp-19, -0x1.81d06c1fbedbbp-19, -0x1.7c4acc7c6eca3p-19, -0x1.772185f4fa5c9p-19, -0x1.7250f20745eb8p-19, -0x1.6dd583e740a95p-19, -0x1.69abc7ed265cap-19, -0x1.65d062f15481dp-19, -0x1.624011ce97adp-19, -0x1.5ef7a8bff5096p-19, -0x1.5bf412d8ee729p-19, -0x1.59325180b4878p-19, -0x1.56af7be77390fp-19, -0x1.5468be82a944bp-19, -0x1.525b5a8d25974p-19, -0x1.5084a58885b58p-19, -0x1.4ee208c43352ep-19, -0x1.4d7100e5b8141p-19, -0x1.4c2f1d6eb162dp-19, -0x1.4b1a004c3a8b5p-19, -0x1.4a2f5d6482c3dp-19, -0x1.496cfa2d7e694p-19, -0x1.48d0ad3c1401ap-19, -0x1.48585ddd09e5ap-19, -0x1.480203adc09c1p-19, -0x1.47cba6382216ap-19, -0x1.47b35c935ccacp-19, -0x1.47b74cf8d87b3p-19, -0x1.47d5ac71fde7bp-19, -0x1.480cbe776e84fp-19, -0x1.485ad4951e8bdp-19, -0x1.48be4e12f1af6p-19, -0x1.493597a3e8354p-19, -0x1.49bf2b0af7d39p-19, -0x1.4a598ecc5333bp-19, -0x1.4b0355def4e62p-19, -0x1.4bbb1f59476bap-19, -0x1.4c7f962530089p-19, -0x1.4d4f70b97a2fp-19, -0x1.4e2970c9c23e7p-19, -0x1.4f0c63042baa1p-19, -0x1.4ff71ec70f75fp-19, -0x1.50e885df15839p-19, -0x1.51df8441d7d9ap-19, -0x1.52db0fcdfaaf2p-19, -0x1.53da280a1665cp-19, -0x1.54dbd5e651cfdp-19, -0x1.55df2b7e6c4b5p-19, -0x1.56e343dbeb071p-19, -0x1.57e742c2a16c7p-19, -0x1.58ea546f2580ap-19, -0x1.59ebad61a10b6p-19, -0x1.5aea8a27bc276p-19, -0x1.5be62f27ae65bp-19, -0x1.5cdde86a78eb7p-19, -0x1.5dd1096729289p-19, -0x1.5ebeecd5413dfp-19, -0x1.5fa6f478d9374p-19, -0x1.608888f2cb97dp-19, -0x1.616319912150dp-19, -0x1.62361c2522e6cp-19, -0x1.63010cd242c0bp-19, -0x1.63c36de54fb03p-19, -0x1.647cc7a899cbp-19, -0x1.652ca83c0dd6ep-19, -0x1.65d2a369b12eep-19, -0x1.666e527fdf18p-19, -0x1.66ff542a3e13dp-19, -0x1.67854c490e13ep-19, -0x1.67ffe3cf47ap-19, -0x1.686ec89e7e8eap-19, -0x1.68d1ad60c03c3p-19, -0x1.69284966ddec6p-19, -0x1.69725886b853cp-19, -0x1.69af9afafa553p-19, -0x1.69dfd5421865ep-19, -0x1.6a02cffeaf96p-19, -0x1.6a1857d892afep-19, -0x1.6a203d5f43aaap-19, -0x1.6a1a54eb35d27p-19, -0x1.6a067681d74b2p-19, -0x1.69e47db938937p-19, -0x1.69b4499cb5b5ap-19, -0x1.6975bc923f25dp-19, -0x1.6928bc4019615p-19, }}, 
      {{0x1.7843981826157p-16, 0x1.77ed3801867f8p-14, 0x1.a6627f8c1cd36p-13, 0x1.76f2cde4b6e81p-12, 0x1.24991143e1989p-11, 0x1.a513e05e5e6p-11, 0x1.1e9ac429d205dp-10, 0x1.76c0545a34c95p-10, 0x1.db58e7fc6fb8ep-10, 0x1.266fb188ad4fbp-9, 0x1.65f4bb712692cp-9, 0x1.ac925df771a4bp-9, 0x1.faa9827a86868p-9, 0x1.28518b5077f35p-8, 0x1.5776e671a92f2p-8, 0x1.8afde70acdd03p-8, 0x1.c320381203ddfp-8, 0x1.000b80c6fe599p-7, 0x1.210cf09f2357ap-7, 0x1.44aefd693373bp-7, 0x1.6b0a91c259ea6p-7, 0x1.943695b4e8d47p-7, 0x1.c047a2af84527p-7, 0x1.ef4fc6a71018ap-7, 0x1.10af2adf9d9dp-6, 0x1.2b3fe4bb1874fp-6, 0x1.475ed606d163ep-6, 0x1.650f476297349p-6, 0x1.845304b5dfc7cp-6, 0x1.a52a60e904541p-6, 0x1.c7943cde7e777p-6, 0x1.eb8e110a4a2b9p-6, 0x1.0889fc8c1e10ap-5, 0x1.1c106092ed4e1p-5, 0x1.3056fa141cc88p-5, 0x1.4559f594c2197p-5, 0x1.5b14ee8d9dfdep-5, 0x1.7182f784b1844p-5, 0x1.889ea243f703bp-5, 0x1.a062081f11998p-5, 0x1.b8c6d23dfdb73p-5, 0x1.d1c641e5c274ep-5, 0x1.eb5938ba4461p-5, 0x1.02bc207adca6p-4, 0x1.100dcac9744f7p-4, 0x1.1d9d9533bb91bp-4, 0x1.2b675a15c840dp-4, 0x1.3966d835cbba5p-4, 0x1.4797b6b01bd16p-4, 0x1.55f588d440748p-4, 0x1.647bd1f0a070dp-4, 0x1.7326090a21af2p-4, 0x1.81ef9c7cf416dp-4, 0x1.90d3f583929e3p-4, 0x1.9fce7ba10f0bbp-4, 0x1.aeda97ebb179ap-4, 0x1.bdf3b8353599dp-4, 0x1.cd15520de6098p-4, 0x1.dc3ae5a04e868p-4, 0x1.eb6000634ee87p-4, 0x1.fa803fa0cde99p-4, 0x1.04cba967ce096p-3, 0x1.0c507edfa26cdp-3, 0x1.13cc8d4aa7a44p-3, 0x1.1b3dcdcda62a6p-3, 0x1.22a2466eee8fap-3, 0x1.29f80ace79facp-3, 0x1.313d3cc6f9d89p-3, 0x1.38700cf856456p-3, 0x1.3f8ebb3c3a661p-3, 0x1.4697970565a5ep-3, 0x1.4d88ffaaa5aaap-3, 0x1.5461649e675fdp-3, 0x1.5b1f4593e617dp-3, 0x1.61c13293115dap-3, 0x1.6845cbfc49f88p-3, 0x1.6eabc27d283ccp-3, 0x1.74f1d6f77dc4fp-3, 0x1.7b16da5bbe84bp-3, 0x1.8119ad780ebfcp-3, 0x1.86f940bd263dcp-3, 0x1.8cb493fa277afp-3, 0x1.924ab610a0753p-3, 0x1.97bac4a1b891fp-3, 0x1.9d03ebb5b409cp-3, 0x1.a225655eaa847p-3, 0x1.a71e79578a5d2p-3, 0x1.abee7ca02f5b1p-3, 0x1.b094d11774345p-3, 0x1.b510e513fb16dp-3, 0x1.b96232fc634d2p-3, 0x1.bd8840dfa211ap-3, 0x1.c182a00df712fp-3, 0x1.c550ecb323c96p-3, 0x1.c8f2cd7241f94p-3, 0x1.cc67f303bb90ep-3, 0x1.cfb017d5a4f96p-3, 0x1.d2caffaedb7d8p-3, 0x1.d5b8775520f2fp-3, 0x1.d878543665071p-3, 0x1.db0a7415690b7p-3, 0x1.dd6ebcb9e1712p-3, 0x1.dfa51ba41b1b3p-3, 0x1.e1ad85c442707p-3, 0x1.e387f7353efa9p-3, 0x1.e53472fb2a9c5p-3, 0x1.e6b302c551e6p-3, 0x1.e803b6b3b218dp-3, 0x1.e926a51fdd19p-3, 0x1.ea1bea6926484p-3, 0x1.eae3a8c3f5fa2p-3, 0x1.eb7e080c3812fp-3, 0x1.ebeb359a9a2c8p-3, 0x1.ec2b641c969b9p-3, 0x1.ec3ecb6f0fa69p-3, 0x1.ec25a87b597efp-3, 0x1.ebe03d1680db5p-3, 0x1.eb6ecfe2acc47p-3, 0x1.ead1ac3265eddp-3, 0x1.ea0921eda4d06p-3, 0x1.e91585786c78fp-3, 0x1.e7f72f9ad6c7p-3, 0x1.e6ae7d6a645dp-3, 0x1.e53bd03460c37p-3, 0x1.e39f8d6943dfep-3, 0x1.e1da1e88e05efp-3, 0x1.dfebf10f3b008p-3, 0x1.ddd57661f3e81p-3, 0x1.db9723be18997p-3, 0x1.d931722647c38p-3, 0x1.d6a4de50fbbe1p-3, 0x1.d3f1e896fd7efp-3, 0x1.d11914e1c7b92p-3, 0x1.ce1aea99ddabfp-3, 0x1.caf7f494f190ap-3, 0x1.c7b0c103cf389p-3, 0x1.c445e15ff3fbdp-3, 0x1.c0b7ea58cf933p-3, 0x1.bd0773c096feep-3, 0x1.b93518789fcc6p-3, 0x1.b541765d3d93cp-3, 0x1.b12d2e31147adp-3, 0x1.acf8e387e27f9p-3, 0x1.a8a53cb0ad125p-3, 0x1.a432e29f5f4f3p-3, 0x1.9fa280d5c2da1p-3, 0x1.9af4c54becde7p-3, 0x1.962a6057ff89cp-3, 0x1.914404955a62ap-3, 0x1.8c4266cb3517ap-3, 0x1.87263dd29dbcp-3, 0x1.81f0427becebp-3, 0x1.7ca12f73aa8b5p-3, 0x1.7739c126f3e8p-3, 0x1.71bab5a75972ep-3, 0x1.6c24cc8e4e937p-3, 0x1.6678c6e020f3ep-3, 0x1.60b766ee91b01p-3, 0x1.5ae1703b079a5p-3, 0x1.54f7a75874188p-3, 0x1.4efad1cce9b7fp-3, 0x1.48ebb5f2ec63p-3, 0x1.42cb1ada93d96p-3, 0x1.3c99c82a7ce64p-3, 0x1.3658860097672p-3, 0x1.30081cd2df369p-3, 0x1.29a9555009a76p-3, 0x1.233cf8402e9a3p-3, 0x1.1cc3ce657ec45p-3, 0x1.163ea05d0809ep-3, 0x1.0fae367fa16cep-3, 0x1.091358c2f94a1p-3, 0x1.026ece9ad69aep-3, 0x1.f782bdb53f678p-4, 0x1.ea179f2e45f74p-4, 0x1.dc9dcc1162e1bp-4, 0x1.cf16ccdb2cd68p-4, 0x1.c18427d9e90bcp-4, 0x1.b3e760f41f364p-4, 0x1.a641f9701071dp-4, 0x1.98956fbc3dc9ep-4, 0x1.8ae33f38e5bfcp-4, 0x1.7d2ce002b0c1ap-4, 0x1.6f73c6be7acc7p-4, 0x1.61b964665b1f1p-4, 0x1.53ff2617ee645p-4, 0x1.464674e3f356ap-4, 0x1.3890b59f41f3dp-4, 0x1.2adf48b527d0dp-4, 0x1.1d3389fb3e214p-4, 0x1.0f8ed086a7ae8p-4, 0x1.01f26e82e313fp-4, 0x1.e8bf62142c4fep-5, 0x1.cdafbffde479dp-5, 0x1.b2b87bd054ba2p-5, 0x1.97dc0f9b04bccp-5, 0x1.7d1cea2cf60dbp-5, 0x1.627d6ed54386dp-5, 0x1.47fff5270ab4dp-5, 0x1.2da6c8c099368p-5, 0x1.13742915f009p-5, 0x1.f2d4927d24658p-6, 0x1.bf169f8d4af86p-6, 0x1.8bb2ad06cea5dp-6, 0x1.58acd4d5bb206p-6, 0x1.260916ddbddd2p-6, 0x1.e796b16d56825p-7, 0x1.83eecadf0daf8p-7, 0x1.2121daafdea73p-7, 0x1.7e6e173fa95fbp-8, 0x1.78d548efb6306p-9, -0x1.dc93693f92cd8p-15, -0x1.83e077cb8f367p-9, -0x1.7e2df9d1d33b4p-8, -0x1.1c3316db4eccep-7, -0x1.78468979c1d8ep-7, -0x1.d34ba99fc549fp-7, -0x1.169e81aacdb7dp-6, -0x1.430aace325a5p-6, -0x1.6ee7d395666b2p-6, -0x1.9a338e5561406p-6, -0x1.c4eb91198649bp-6, -0x1.ef0dab2119e77p-6, -0x1.0c4be36ad7d5ap-5, -0x1.20c3f4d3ea925p-5, -0x1.34ee19f39c9d1p-5, -0x1.48c9704b28bb1p-5, -0x1.5c55229cf3103p-5, -0x1.6f9068d219686p-5, -0x1.827a87de1f5dcp-5, -0x1.9512d1a0a6e09p-5, -0x1.a758a4c542259p-5, -0x1.b94b6ca1903ccp-5, -0x1.caeaa1119a771p-5, -0x1.dc35c65286a8p-5, -0x1.ed2c6cdbd3bf6p-5, -0x1.fdce3136fe3f3p-5, -0x1.070d5deae678cp-4, -0x1.0f08e0739cc68p-4, -0x1.16d980158f39bp-4, -0x1.1e7f226252d58p-4, -0x1.25f9b285ce20ap-4, -0x1.2d49212e5daafp-4, -0x1.346d6474703bap-4, -0x1.3b6677c1b755dp-4, -0x1.42345bb7e0d08p-4, -0x1.48d71616ef52cp-4, -0x1.4f4eb1a3342a9p-4, -0x1.559b3e0af01f5p-4, -0x1.5bbccfcbac51p-4, -0x1.61b380174a9bep-4, -0x1.677f6cb8d29c1p-4, -0x1.6d20b7f912016p-4, -0x1.72978883035cfp-4, -0x1.77e4094813548p-4, -0x1.7d0669643e13ep-4, -0x1.81fedc0219372p-4, -0x1.86cd983ec2caap-4, -0x1.8b72d90dc3fa3p-4, -0x1.8feedd1cee799p-4, -0x1.9441e6b8360d8p-4, -0x1.986c3bad8fe3cp-4, -0x1.9c6e2530d7b8bp-4, -0x1.a047efbfc775ep-4, -0x1.a3f9eb0608803p-4, -0x1.a78469c15507bp-4, -0x1.aae7c1a5b9025p-4, -0x1.ae244b4203b46p-4, -0x1.b13a61e44c935p-4, -0x1.b42a637ebb019p-4, -0x1.b6f4b08c66acp-4, -0x1.b999abf6854ecp-4, -0x1.bc19baf9c0f0fp-4, -0x1.be75450bcbb25p-4, -0x1.c0acb3c13d7c6p-4, -0x1.c2c072b3a9fefp-4, -0x1.c4b0ef6802526p-4, -0x1.c67e9935407c9p-4, -0x1.c829e12b605ep-4, -0x1.c9b339faa4443p-4, -0x1.cb1b17db31727p-4, -0x1.cc61f074f68d1p-4, -0x1.cd883ac7f9d08p-4, -0x1.ce8e6f14ebe44p-4, -0x1.cf7506c62b447p-4, -0x1.d03c7c590c484p-4, -0x1.d0e54b4798c8p-4, -0x1.d16feff29d2b9p-4, -0x1.d1dce78c20c8bp-4, -0x1.d22cb0023f02dp-4, -0x1.d25fc7ea5f6aep-4, -0x1.d276ae6ce1fap-4, -0x1.d271e33123437p-4, -0x1.d251e649e6ae1p-4, -0x1.d21738223d965p-4, -0x1.d1c2596abd9a1p-4, -0x1.d153cb0732098p-4, -0x1.d0cc0dfcaa95ap-4, -0x1.d02ba3600360dp-4, -0x1.cf730c44ca4dp-4, -0x1.cea2c9ac94e0fp-4, -0x1.cdbb5c76ba73cp-4, -0x1.ccbd45508b3fdp-4, -0x1.cba904a5da254p-4, -0x1.ca7f1a920190fp-4, -0x1.c94006d14e6cbp-4, -0x1.c7ec48b2d1189p-4, -0x1.c6845f0aa4418p-4, -0x1.c508c8248668p-4, -0x1.c37a01b6f919p-4, -0x1.c1d888d6ad8fap-4, -0x1.c024d9ea6ab8dp-4, -0x1.be5f709f52376p-4, -0x1.bc88c7dd90b7p-4, -0x1.baa159bd69baep-4, -0x1.b8a99f7cb07dfp-4, -0x1.b6a21174a1955p-4, -0x1.b48b2710229bbp-4, -0x1.b26556c259d24p-4, -0x1.b03115fdb111fp-4, -0x1.adeed92b32753p-4, -0x1.ab9f13a2407bdp-4, -0x1.a94237a0aef15p-4, -0x1.a6d8b64340196p-4, -0x1.a462ff7e66786p-4, -0x1.a1e182177570ep-4, -0x1.9f54ab9e1f487p-4, -0x1.9cbce8664ce56p-4, -0x1.9a1aa38246789p-4, -0x1.976e46bd3bdb4p-4, -0x1.94b83a960dd6cp-4, -0x1.91f8e63a77a75p-4, -0x1.8f30af8282077p-4, -0x1.8c5ffaec4538cp-4, -0x1.89872b97f7eddp-4, -0x1.86a6a34449d8bp-4, -0x1.83bec24b08777p-4, -0x1.80cfe79e0a98cp-4, -0x1.7dda70c466d1ep-4, -0x1.7adeb9d7ea2aap-4, -0x1.77dd1d82d717ap-4, -0x1.74d5f4fde5044p-4, -0x1.71c9980e81213p-4, -0x1.6eb85d054f0edp-4, -0x1.6ba298bce6398p-4, -0x1.68889e98cd7c3p-4, -0x1.656ac084b0fdfp-4, -0x1.62494ef3ce98cp-4, -0x1.5f2498e0a0b46p-4, -0x1.5bfcebccb8fa6p-4, -0x1.58d293c0d3833p-4, -0x1.55a5db4d1e6fdp-4, -0x1.52770b89ae5fap-4, -0x1.4f466c17299c4p-4, -0x1.4c14431f9e5fbp-4, -0x1.48e0d557897acp-4, -0x1.45ac65ff05184p-4, -0x1.427736e327e0bp-4, -0x1.3f41885f88019p-4, -0x1.3c0b995feb6adp-4, -0x1.38d5a762186abp-4, -0x1.359fee77d4bbap-4, -0x1.326aa948fc7e6p-4, -0x1.2f361115c6c52p-4, -0x1.2c025db924818p-4, -0x1.28cfc5ab42fbfp-4, -0x1.259e7e042bd97p-4, -0x1.226eba7e81a0bp-4, -0x1.1f40ad7a572ap-4, -0x1.1c14880029b75p-4, -0x1.18ea79c3e9d2fp-4, -0x1.15c2b12823ac3p-4, -0x1.129d5b413c62fp-4, -0x1.0f7aa3d8c92fap-4, -0x1.0c5ab570f4cb3p-4, -0x1.093db947ff0d5p-4, -0x1.0623d75bcc05bp-4, -0x1.030d366d8642cp-4, -0x1.fff3f80aa1d9ap-5, -0x1.f9d498ec1698fp-5, -0x1.f3bc95c2419cap-5, -0x1.edac3274cff53p-5, -0x1.e7a3b09819b8ep-5, -0x1.e1a34f75156dfp-5, -0x1.dbab4c1157c5cp-5, -0x1.d5bbe1372d072p-5, -0x1.cfd5477dc1999p-5, -0x1.c9f7b5516006ep-5, -0x1.c4235efbb5acbp-5, -0x1.be5876ac2d3d8p-5, -0x1.b8972c804dd5ap-5, -0x1.b2dfae8c24437p-5, -0x1.ad3228e2bc259p-5, -0x1.a78ec59e94758p-5, -0x1.a1f5acea27126p-5, -0x1.9c670508601cbp-5, -0x1.96e2f25d3339cp-5, -0x1.9169977618ea6p-5, -0x1.8bfb15129b5c9p-5, -0x1.86978a2cda18p-5, -0x1.813f14020eb7cp-5, -0x1.7bf1ce1b0ed41p-5, -0x1.76afd254c62eap-5, -0x1.717938e8ad599p-5, -0x1.6c4e187538475p-5, -0x1.672e86063e2afp-5, -0x1.621a951d5129p-5, -0x1.5d1257ba1f2e9p-5, -0x1.5815de62aff2dp-5, -0x1.5325382ba731cp-5, -0x1.4e4072c076b77p-5, -0x1.49679a6b7dc57p-5, -0x1.449aba1e254dcp-5, -0x1.3fd9db78e2d86p-5, -0x1.3b2506d33080bp-5, -0x1.367c4343735b8p-5, -0x1.31df96a6d423ap-5, -0x1.2d4f05a904333p-5, -0x1.28ca93cbebf8p-5, -0x1.2452436f4cbd2p-5, -0x1.1fe615d852f9bp-5, -0x1.1b860b390840bp-5, -0x1.173222b7bafdp-5, -0x1.12ea5a764ef48p-5, -0x1.0eaeaf997bd99p-5, -0x1.0a7f1e4feb7dep-5, -0x1.065ba1d952be2p-5, -0x1.0244348d64c84p-5, -0x1.fc719fc5758a1p-6, -0x1.f472d8eb3f6c2p-6, -0x1.ec8c041d8b9e5p-6, -0x1.e4bd0f53cb4aap-6, -0x1.dd05e6f8875c4p-6, -0x1.d56675f644cb5p-6, -0x1.cddea5c432049p-6, -0x1.c66e5e729d6e6p-6, -0x1.bf1586b74e5f8p-6, -0x1.b7d403f9a67e7p-6, -0x1.b0a9ba5e7889cp-6, -0x1.a9968cd3e1f08p-6, -0x1.a29a5d1cbb91ap-6, -0x1.9bb50bdc0209bp-6, -0x1.94e6789ffd42dp-6, -0x1.8e2e81ed31d64p-6, -0x1.878d05492564p-6, -0x1.8101df44f52dcp-6, -0x1.7a8ceb87ba07p-6, -0x1.742e04d8b832ap-6, -0x1.6de505295c964p-6, -0x1.67b1c59f0b7bdp-6, -0x1.61941e9cc89fbp-6, -0x1.5b8be7cc91223p-6, -0x1.5598f828a8cedp-6, -0x1.4fbb2604a80fp-6, -0x1.49f24716437d7p-6, -0x1.443e307e10a9bp-6, -0x1.3e9eb6cff2314p-6, -0x1.3913ae1b6d544p-6, -0x1.339ce9f3cd93ap-6, -0x1.2e3a3d7803598p-6, -0x1.28eb7b5a7b97dp-6, -0x1.23b075e8a72edp-6, -0x1.1e88ff12635d1p-6, -0x1.1974e87135265p-6, -0x1.1474034f6022bp-6, -0x1.0f8620aeb14ebp-6, -0x1.0aab114f48728p-6, -0x1.05e2a5b620184p-6, -0x1.012cae3362236p-6, -0x1.f911f5d152d19p-7, -0x1.efeeb79e03a92p-7, -0x1.e6ef4179a580dp-7, -0x1.de1332d731764p-7, -0x1.d55a2afadeee1p-7, -0x1.ccc3c904ecd89p-7, -0x1.c44fabfc5742ep-7, -0x1.bbfd72d8c50f1p-7, -0x1.b3ccbc8cb2307p-7, -0x1.abbd280ee5c32p-7, -0x1.a3ce5463ca95dp-7, -0x1.9bffe0a68b2edp-7, -0x1.94516c11bd3a1p-7, -0x1.8cc29607f9439p-7, -0x1.8552fe1bef8e4p-7, -0x1.7e024418622e4p-7, -0x1.76d00807eb0fcp-7, -0x1.6fbbea3c478d6p-7, -0x1.68c58b557c9e2p-7, -0x1.61ec8c48e045ep-7, -0x1.5b308e67a9fdap-7, -0x1.5491336566f5p-7, -0x1.4e0e1d5e14427p-7, -0x1.47a6eedc3dff8p-7, -0x1.415b4ade7a7p-7, -0x1.3b2ad4dd19cc1p-7, -0x1.351530cf55679p-7, -0x1.2f1a033064d06p-7, -0x1.2938f10443684p-7, -0x1.23719fdc6e1d5p-7, -0x1.1dc3b5dc4192cp-7, -0x1.182ed9bd2ec52p-7, -0x1.12b2b2d2d6c59p-7, -0x1.0d4ee90ed4684p-7, -0x1.08032504760b8p-7, -0x1.02cf0fec129a4p-7, -0x1.fb64a74cf448ep-8, -0x1.f159358033ce9p-8, -0x1.e77b20e77f4c5p-8, -0x1.ddc9c15b19724p-8, -0x1.d444701b1990dp-8, -0x1.caea87d4589aep-8, -0x1.c1bb64a4f2ea2p-8, -0x1.b8b66420c3893p-8, -0x1.afdae55531437p-8, -0x1.a72848cd3d48fp-8, -0x1.9e9df0948ffe9p-8, -0x1.963b403aee3b1p-8, -0x1.8dff9cd72f01fp-8, -0x1.85ea6d097fea7p-8, -0x1.7dfb18fe5388ep-8, -0x1.76310a70221abp-8, -0x1.6e8baca975115p-8, -0x1.670a6c86b931bp-8, -0x1.5facb8776aa1ap-8, -0x1.5872007fa018dp-8, -0x1.5159b638ee971p-8, -0x1.4a634cd33e783p-8, -0x1.438e39157456bp-8, -0x1.3cd9f15defb52p-8, -0x1.3645eda29d4a9p-8, -0x1.2fd1a7712332fp-8, -0x1.297c99eee720ep-8, -0x1.234641d89ee6ap-8, -0x1.1d2e1d81e18f5p-8, -0x1.1733acd4a8b52p-8, -0x1.1156715066e19p-8, -0x1.0b95ee096f8e3p-8, -0x1.05f1a7a7672afp-8, -0x1.00692464bf1afp-8, -0x1.f5f7d819b887ap-9, -0x1.eb530ff5c90dcp-9, -0x1.e0e3063088573p-9, -0x1.d6a6d3b58716dp-9, -0x1.cc9d9485eb5f2p-9, -0x1.c2c667b460dd3p-9, -0x1.b9206f6137cddp-9, -0x1.afaad0b62b001p-9, -0x1.a664b3e1f83e6p-9, -0x1.9d4d4413ebc56p-9, -0x1.9463af7717d94p-9, -0x1.8ba7272d13527p-9, -0x1.8316df4984844p-9, -0x1.7ab20ecc6d82p-9, -0x1.7277ef9d0f438p-9, -0x1.6a67be842aa7ap-9, -0x1.6280bb26aeae1p-9, -0x1.5ac227ffdc345p-9, -0x1.532b4a5b436a8p-9, -0x1.4bbb6a4efc653p-9, -0x1.4471d2b57dba2p-9, -0x1.3d4dd127731dfp-9, -0x1.364eb5f56db94p-9, -0x1.2f73d421a4d16p-9, -0x1.28bc8159550d7p-9, -0x1.222815eec53cdp-9, -0x1.1bb5ecd1f4d8p-9, -0x1.1565638ace604p-9, -0x1.0f35da3198843p-9, -0x1.0926b3691eed8p-9, -0x1.0337545720948p-9, -0x1.face493c36365p-10, -0x1.ef6b1cabfcbdcp-10, -0x1.e443fc0b2cde7p-10, -0x1.d957c536e4b4cp-10, -0x1.cea55ace36f35p-10, -0x1.c42ba423abebap-10, -0x1.b9e98d30241f6p-10, -0x1.afde0683e551p-10, -0x1.a608053975336p-10, -0x1.9c6682e6ec49p-10, -0x1.92f87d905dbbep-10, -0x1.89bcf79990b19p-10, -0x1.80b2f7b884492p-10, -0x1.77d988e6782afp-10, -0x1.6f2fba530be66p-10, -0x1.66b49f5564c77p-10, -0x1.5e674f5eddbddp-10, -0x1.5646e5eceffaap-10, -0x1.4e52827b4f58ap-10, -0x1.468948761327cp-10, -0x1.3eea5f2c6f152p-10, -0x1.3774f1c27c42bp-10, -0x1.30282f23edaecp-10, -0x1.290349f65be62p-10, -0x1.2205788be4076p-10, -0x1.1b2df4d59e3dap-10, -0x1.147bfc569916dp-10, -0x1.0deed01638597p-10, -0x1.0785b493371c7p-10, -0x1.013ff1b6b9be6p-10, -0x1.f639a58e715d6p-11, -0x1.ea374cb6e25ccp-11, -0x1.de777c9bb11d4p-11, -0x1.d2f8df5f7021bp-11, -0x1.c7ba2579a6858p-11, -0x1.bcba059d35e66p-11, -0x1.b1f73c9fe375ep-11, -0x1.a7708d61f71c7p-11, -0x1.9d24c0b5f1ce1p-11, -0x1.9312a5479c8fap-11, -0x1.89390f85516aep-11, -0x1.7f96d98780e5ap-11, -0x1.762ae2f966573p-11, -0x1.6cf411022a5acp-11, -0x1.63f14e2d672dcp-11, -0x1.5b218a54fa199p-11, -0x1.5283ba8a165bfp-11, -0x1.4a16d8ff72e34p-11, -0x1.41d9e4f2c94d6p-11, -0x1.39cbe29788b89p-11, -0x1.31ebdb011463p-11, -0x1.2a38dc0d79699p-11, -0x1.22b1f850ec082p-11, -0x1.1b5647006aa7ep-11, -0x1.1424e3dd3d99ap-11, -0x1.0d1cef210d3cfp-11, -0x1.063d8d69de7a8p-11, -0x1.ff0bcf4c133c3p-12, -0x1.f1ea560205a97p-12, -0x1.e51511a06faaep-12, -0x1.d88a6cfe7c403p-12, -0x1.cc48dafc47f14p-12, -0x1.c04ed65c7bb2dp-12, -0x1.b49ae1a0067a7p-12, -0x1.a92b86e2e8a41p-12, -0x1.9dff57b84eccbp-12, -0x1.9314ed06ead41p-12, -0x1.886ae6e70c86p-12, -0x1.7dffec80c9942p-12, -0x1.73d2abe9a2f4ep-12, -0x1.69e1da04e36a5p-12, -0x1.602c3261bb535p-12, -0x1.56b0771bdf991p-12, -0x1.4d6d70bbf051ap-12, -0x1.4461ee18197bp-12, -0x1.3b8cc4356d429p-12, -0x1.32ecce2a495cfp-12, -0x1.2a80ecffc5912p-12, -0x1.22480795daf9ap-12, -0x1.1a410a84ce81fp-12, -0x1.126ae80281644p-12, -0x1.0ac497c52310ap-12, -0x1.034d16e9260bfp-12, -0x1.f806cfab2225dp-13, -0x1.e9cd2443c3ea2p-13, -0x1.dbeb44f70099p-13, -0x1.ce5f55181d5f9p-13, -0x1.c12781c1b589ap-13, -0x1.b44201a316723p-13, -0x1.a7ad14cf3d626p-13, -0x1.9b67048e0f98ep-13, -0x1.8f6e232d67fb5p-13, -0x1.83c0cbd0e987bp-13, -0x1.785d6245f5047p-13, -0x1.6d4252d72e19ep-13, -0x1.626e121ff59c7p-13, -0x1.57df1ce1a0cb7p-13, -0x1.4d93f7d959e62p-13, -0x1.438b2f968c5c8p-13, -0x1.39c358517ef1p-13, -0x1.303b0dc350bb6p-13, -0x1.26f0f2ff91cd5p-13, -0x1.1de3b24c2b7e4p-13, -0x1.1511fcfd341e1p-13, -0x1.0c7a8b4e59a9dp-13, -0x1.041c1c3fc836ap-13, -0x1.f7eaeae12c82ep-14, -0x1.e80ac5f9afe25p-14, -0x1.d8956eb63b74bp-14, -0x1.c9889672fda35p-14, -0x1.bae1fabc25711p-14, -0x1.ac9f650b787d2p-14, -0x1.9ebeaa8755fe5p-14, -0x1.913dabc62f232p-14, -0x1.841a548f44d8ap-14, -0x1.77529b9ffd014p-14, -0x1.6ae4826fc4f02p-14, -0x1.5ece14f7e36eep-14, -0x1.530d6979d0a54p-14, -0x1.47a0a047c1ab3p-14, -0x1.3c85e38df67c3p-14, -0x1.31bb671e82ebcp-14, -0x1.273f683bbb344p-14, -0x1.1d102d6526569p-14, -0x1.132c0626b70f9p-14, -0x1.09914ae7c3c5ap-14, -0x1.003e5cb8cfa3cp-14, -0x1.ee634a4dfde38p-15, -0x1.dcd32c17a2c39p-15, -0x1.cbc952c32fabbp-15, -0x1.bb42c22d5cb47p-15, -0x1.ab3c8dc2f2715p-15, -0x1.9bb3d82e790e8p-15, -0x1.8ca5d306b97b3p-15, -0x1.7e0fbe774750ep-15, -0x1.6feee8f6847dp-15, -0x1.6240aef50d53p-15, -0x1.55027a9448b96p-15, -0x1.4831c35750b28p-15, -0x1.3bcc0de14cbb4p-15, -0x1.2fceeba7e028fp-15, -0x1.2437fab09775ap-15, -0x1.1904e54a2a609p-15, -0x1.0e3361cb8e0aep-15, -0x1.03c1325428652p-15, -0x1.f3584909cbfcap-16, -0x1.dfe422958277ep-16, -0x1.cd21b93a2037fp-16, -0x1.bb0cea82f1c2fp-16, -0x1.a9a1a928b6d9dp-16, -0x1.98dbfc960f06bp-16, -0x1.88b8008227c2ap-16, -0x1.7931e47812171p-16, -0x1.6a45eb781552cp-16, -0x1.5bf06b85c3e3cp-16, -0x1.4e2dcd49a0ea4p-16, -0x1.40fa8ba5c4036p-16, -0x1.3453335a91022p-16, -0x1.2834629f81db5p-16, -0x1.1c9ac8cdb0852p-16, -0x1.11832600da68cp-16, -0x1.06ea4abdfe7edp-16, -0x1.f99a2f429cb8dp-17, -0x1.e650fa086fbd4p-17, -0x1.d3f2f5566460ep-17, -0x1.c27a3ee7142e8p-17, -0x1.b1e1120d9346p-17, -0x1.a221c716afe09p-17, -0x1.9336d2af9674ep-17, -0x1.851ac553ca3bfp-17, -0x1.77c84abedd853p-17, -0x1.6b3a295f47635p-17, -0x1.5f6b41c08553cp-17, -0x1.54568e131a35ep-17, -0x1.49f721a0b4556p-17, -0x1.4048284e59139p-17, -0x1.3744e618faa75p-17, -0x1.2ee8b6a285f46p-17, -0x1.272f0cb75c4e7p-17, -0x1.201371d6369f9p-17, -0x1.199185c01b507p-17, -0x1.13a4fe0567f1ep-17, -0x1.0e49a59359931p-17, -0x1.097b5c568ef89p-17, -0x1.053616c362832p-17, -0x1.0175dd7a1de66p-17, -0x1.fc6d99cbba45ap-18, -0x1.f6ea29a5430a5p-18, -0x1.f259f01b53324p-18, -0x1.eeb5981c33f4ap-18, -0x1.ebf5f1324183bp-18, -0x1.ea13eec676cfcp-18, -0x1.e908a77bde5a8p-18, -0x1.e8cd548290bc3p-18, -0x1.e95b51027c508p-18, -0x1.eaac19606507ap-18, -0x1.ecb94aa678df6p-18, -0x1.ef7ca1e7a005p-18, -0x1.f2effbb6c2b61p-18, -0x1.f70d53836a292p-18, -0x1.fbcec3071c46cp-18, -0x1.009740e26bcd7p-17, -0x1.0393724010ef9p-17, -0x1.06d92e509a03ep-17, -0x1.0a65bbe3b0624p-17, -0x1.0e366f9e25f16p-17, -0x1.1248abba013c4p-17, -0x1.1699dfc844ae3p-17, -0x1.1b27887c2df95p-17, -0x1.1fef2f6356c18p-17, -0x1.24ee6ab484faep-17, -0x1.2a22dd155d9f9p-17, -0x1.2f8a356529bb1p-17, -0x1.35222e8163467p-17, -0x1.3ae88f11e4f04p-17, -0x1.40db295c66ecdp-17, -0x1.46f7db064eb33p-17, -0x1.4d3c8ce94d543p-17, -0x1.53a732e05ce9cp-17, -0x1.5a35cb9e73ddcp-17, -0x1.60e66078a337bp-17, -0x1.67b7053ae63d2p-17, -0x1.6ea5d7f71e7abp-17, -0x1.75b100df51f59p-17, -0x1.7cd6b2188ae5cp-17, -0x1.84152790da28cp-17, -0x1.8b6aa6d18b7c2p-17, -0x1.92d57ede9ff4bp-17, -0x1.9a54080c9c9p-17, -0x1.a1e4a3d7e3a4ep-17, }}, 
      {{0x1.a82272978e056p-8, 0x1.a8b3462cc71c4p-7, 0x1.3f21d34a4e879p-6, 0x1.aa6b0986047d5p-6, 0x1.0b0d31a55622p-5, 0x1.40fb16abf911dp-5, 0x1.76d6f87922b6fp-5, 0x1.ac714b9bc7439p-5, 0x1.e196d6b4982e3p-5, 0x1.0b09dce4f4e22p-4, 0x1.24daeb82d7eeap-4, 0x1.3e2754ba4031p-4, 0x1.56da4d8348d2fp-4, 0x1.6ee1f57311551p-4, 0x1.862f99dad68cap-4, 0x1.9cb7cff4efeeap-4, 0x1.b2726cc8aa8bcp-4, 0x1.c75a612ac4c08p-4, 0x1.db6d800957b83p-4, 0x1.eeac34ea7f45p-4, 0x1.008c980e6df7cp-3, 0x1.095c86c6422bfp-3, 0x1.11c8fd41a2b4bp-3, 0x1.19d5aeed89ea9p-3, 0x1.2186c2b0fe25ap-3, 0x1.28e0ad3601c22p-3, 0x1.2fe80f6d2f27fp-3, 0x1.36a199a06db6bp-3, 0x1.3d11f32659d27p-3, 0x1.433da69342773p-3, 0x1.4929121d3ca15p-3, 0x1.4ed85bcdec8d8p-3, 0x1.544f690cd2382p-3, 0x1.5991d90628b92p-3, 0x1.5ea30173147fcp-3, 0x1.6385ed4deeb8cp-3, 0x1.683d5d077e742p-3, 0x1.6ccbc7de2c6b6p-3, 0x1.71335e05f5afbp-3, 0x1.75760b5d7941dp-3, 0x1.79957a79f2057p-3, 0x1.7d9317e00b202p-3, 0x1.8170154ab05a6p-3, 0x1.852d6cea23623p-3, 0x1.88cbe48dcee8dp-3, 0x1.8c4c10b15224ep-3, 0x1.8fae576a686eep-3, 0x1.92f2f338aa4a7p-3, 0x1.9619f5baa4abep-3, 0x1.99234a4d3596fp-3, 0x1.9c0eb89ab8e6ep-3, 0x1.9edbe71f92b24p-3, 0x1.a18a5da93dd3fp-3, 0x1.a41987d42da03p-3, 0x1.a688b78be611bp-3, 0x1.a8d7278f72d3ap-3, 0x1.ab03fdfb772dep-3, 0x1.ad0e4ed9c61cfp-3, 0x1.aef51eb596d9cp-3, 0x1.b0b765327ad3p-3, 0x1.b2540fa374334p-3, 0x1.b3ca039f154bbp-3, 0x1.b518218cf58e7p-3, 0x1.b63d4728b80a1p-3, 0x1.b73851f68ae82p-3, 0x1.b80821a52c621p-3, 0x1.b8ab9a599b214p-3, 0x1.b921a6e0a8b5bp-3, 0x1.b9693ac3318cbp-3, 0x1.b9815439d67p-3, 0x1.b968fdfdb651ep-3, 0x1.b91f50f3e4bc6p-3, 0x1.b8a375b1fb12cp-3, 0x1.b7f4a5da79094p-3, 0x1.b7122d502bc52p-3, 0x1.b5fb6b4048f6cp-3, 0x1.b4afd3034c006p-3, 0x1.b32eecd51210ep-3, 0x1.b178566503e87p-3, 0x1.af8bc33f84a83p-3, 0x1.ad68fd1204a3ep-3, 0x1.ab0fe3cb7a923p-3, 0x1.a8806d9b235fp-3, 0x1.a5baa6cf9783p-3, 0x1.a2beb1987b4d2p-3, 0x1.9f8cc5ad04195p-3, 0x1.9c252fd9b94dfp-3, 0x1.98885177e449bp-3, 0x1.94b69fd0f9f44p-3, 0x1.90b0a3708394p-3, 0x1.8c76f766bd613p-3, 0x1.880a487e4f0b4p-3, 0x1.836b546734fdbp-3, 0x1.7e9ae8d90d586p-3, 0x1.7999e2aeb6f19p-3, 0x1.74692cfd2e15ep-3, 0x1.6f09c0275ed3fp-3, 0x1.697ca0f099325p-3, 0x1.63c2df8f251p-3, 0x1.5ddd96c04d9cap-3, 0x1.57cdeadf2b9ffp-3, 0x1.519508ff40ff7p-3, 0x1.4b34260bf0093p-3, 0x1.44ac7ded946c7p-3, 0x1.3dff52b5147ffp-3, 0x1.372debce7cda4p-3, 0x1.3039953b2f73ep-3, 0x1.29239ed416093p-3, 0x1.21ed5b942604cp-3, 0x1.1a9820eb7a8eep-3, 0x1.1325461b2a946p-3, 0x1.0b962399e9b8fp-3, 0x1.03ec12818a32ep-3, 0x1.f850d80a7fc9ap-4, 0x1.e89911e14263ep-4, 0x1.d8b3825e53772p-4, 0x1.c8a2d6b853d7cp-4, 0x1.b869b8b59dba4p-4, 0x1.a80acdec344c2p-4, 0x1.9788b710dec74p-4, 0x1.86e60f54eebf4p-4, 0x1.76256bd1fa59ap-4, 0x1.65495b02f97b2p-4, 0x1.54546449fe6c1p-4, 0x1.43490781ef7c6p-4, 0x1.3229bc9b81342p-4, 0x1.20f8f344c4205p-4, 0x1.0fb9129aa437p-4, 0x1.fcd8f1c71097cp-5, 0x1.da2af6a52fb38p-5, 0x1.b76ccba5acf54p-5, 0x1.94a2f5b32020ap-5, 0x1.71d1e67ee2f58p-5, 0x1.4efdfc3f699cbp-5, 0x1.2c2b8179bc4fdp-5, 0x1.095eacd4f8c2fp-5, 0x1.cd3741eda6d9bp-6, 0x1.87ccd8d082b71p-6, 0x1.428613029eb7cp-6, 0x1.fad5796d6828p-7, 0x1.7104f32405ae3p-7, 0x1.cf5312971ab32p-8, 0x1.7b47838c2f405p-9, -0x1.4b9d913865415p-10, -0x1.623259aa0c9f8p-8, -0x1.3810dcf0083c8p-7, -0x1.be4d60d4ce376p-7, -0x1.21e0d39cc5f82p-6, -0x1.64307776e3a9p-6, -0x1.a60f634acf755p-6, -0x1.e7778630b7966p-6, -0x1.14317b70bcd99p-5, -0x1.3465f9c80fc17p-5, -0x1.545670e1707f3p-5, -0x1.74002715d0c96p-5, -0x1.9360764027e29p-5, -0x1.b274cba99e8d3p-5, -0x1.d13aa7f5bbb29p-5, -0x1.efaf9f0eaab9dp-5, -0x1.06e8ac08c1a39p-4, -0x1.15cec69d5473ap-4, -0x1.248905e91ad23p-4, -0x1.33165a0c28ccdp-4, -0x1.4175bc98c7e78p-4, -0x1.4fa6308990c7fp-4, -0x1.5da6c2376c9a3p-4, -0x1.6b76874f75e94p-4, -0x1.79149ec8aff38p-4, -0x1.868030d982e31p-4, -0x1.93b86eecfc629p-4, -0x1.a0bc9397bc48p-4, -0x1.ad8be28c8f451p-4, -0x1.ba25a890a2acfp-4, -0x1.c6893b6f47764p-4, -0x1.d2b5f9ed455a5p-4, -0x1.deab4bbb94055p-4, -0x1.ea68a169a3b03p-4, -0x1.f5ed7456f5ce1p-4, -0x1.009ca3520d74fp-3, -0x1.0625d1918755bp-3, -0x1.0b920ea36aee6p-3, -0x1.10e1288936425p-3, -0x1.1612f1837b009p-3, -0x1.1b27400890886p-3, -0x1.201deebae44bp-3, -0x1.24f6dc5edfbe7p-3, -0x1.29b1ebd06d8e9p-3, -0x1.2e4f03f809d13p-3, -0x1.32ce0fbf733abp-3, -0x1.372efe05e674dp-3, -0x1.3b71c193f7d2p-3, -0x1.3f96510ef8041p-3, -0x1.439ca6ebf9d3ap-3, -0x1.4784c162649c7p-3, -0x1.4b4ea25e21a29p-3, -0x1.4efa4f71643f8p-3, -0x1.5287d1c60ce7bp-3, -0x1.55f7360ea9acp-3, -0x1.59488c7710b22p-3, -0x1.5c7be894aaa1fp-3, -0x1.5f9161565465cp-3, -0x1.628910f3f1c14p-3, -0x1.656314ddad38ep-3, -0x1.681f8daae1c6p-3, -0x1.6abe9f08bc69bp-3, -0x1.6d406fa8959fap-3, -0x1.6fa5292e07155p-3, -0x1.71ecf81cbbe4ap-3, -0x1.74180bc60dc9bp-3, -0x1.7626963664c65p-3, -0x1.7818cc2267454p-3, -0x1.79eee4d3fabe8p-3, -0x1.7ba91a171b037p-3, -0x1.7d47a8268f3d6p-3, -0x1.7ecacd987e604p-3, -0x1.8032cb4ae2307p-3, -0x1.817fe44ff25e5p-3, -0x1.82b25dda6b90ep-3, -0x1.83ca7f29dad69p-3, -0x1.84c89176d1568p-3, -0x1.85acdfdf2613fp-3, -0x1.8677b7522296p-3, -0x1.8729667ccc963p-3, -0x1.87c23db625207p-3, -0x1.88428eeb859bap-3, -0x1.88aaad8d059ddp-3, -0x1.88faee79fa42bp-3, -0x1.8933a7ed9288ep-3, -0x1.8955316b91977p-3, -0x1.895fe3ad27cc9p-3, -0x1.8954188df6e68p-3, -0x1.89322af940646p-3, -0x1.88fa76d73fe29p-3, -0x1.88ad58fab2536p-3, -0x1.884b2f0e99e8ap-3, -0x1.87d457843420ap-3, -0x1.874931812ac2bp-3, -0x1.86aa1cce00ab5p-3, -0x1.85f779c4c2538p-3, -0x1.8531a93ff5accp-3, -0x1.84590c89d2ffap-3, -0x1.836e054bba7afp-3, -0x1.8270f57e045d2p-3, -0x1.81623f580968cp-3, -0x1.8042454089773p-3, -0x1.7f1169be54e5cp-3, -0x1.7dd00f694ed8dp-3, -0x1.7c7e98dbb881dp-3, -0x1.7b1d68a3dee92p-3, -0x1.79ace13609cfp-3, -0x1.782d64ded41a8p-3, -0x1.769f55b5caa6bp-3, -0x1.750315906e74ep-3, -0x1.735905f586097p-3, -0x1.71a18810d14cfp-3, -0x1.6fdcfca7101b6p-3, -0x1.6e0bc40a628cap-3, -0x1.6c2e3e0f075aep-3, -0x1.6a44ca00731ffp-3, -0x1.684fc696c22cap-3, -0x1.664f91ec81746p-3, -0x1.64448974d678dp-3, -0x1.622f09f2000c5p-3, -0x1.600f6f6c2e292p-3, -0x1.5de61528b624ep-3, -0x1.5bb355a19df86p-3, -0x1.59778a7d81404p-3, -0x1.57330c87cf148p-3, -0x1.54e633a958ccbp-3, -0x1.529156e140a48p-3, -0x1.5034cc3e33251p-3, -0x1.4dd0e8d8006eap-3, -0x1.4b6600c97da2fp-3, -0x1.48f4672ac1ca4p-3, -0x1.467c6e0baf3fap-3, -0x1.43fe666ed0ac5p-3, -0x1.417aa0447fe73p-3, -0x1.3ef16a6665aacp-3, -0x1.3c63129337bf5p-3, -0x1.39cfe56acf1adp-3, -0x1.37382e6a7ff97p-3, -0x1.349c37e9bf5ep-3, -0x1.31fc4b170e0f4p-3, -0x1.2f58aff52d78ep-3, -0x1.2cb1ad588e99dp-3, -0x1.2a0788e514832p-3, -0x1.275a870c08186p-3, -0x1.24aaeb0a5a19ep-3, -0x1.21f8f6e717512p-3, -0x1.1f44eb7224df2p-3, -0x1.1c8f08433312dp-3, -0x1.19d78bb8e96d3p-3, -0x1.171eb2f84d939p-3, -0x1.1464b9ec5fea6p-3, -0x1.11a9db45f31fp-3, -0x1.0eee507bab467p-3, -0x1.0c3251ca40b72p-3, -0x1.09761634e5307p-3, -0x1.06b9d385df8bep-3, -0x1.03fdbe4f5449bp-3, -0x1.014209ec3bdb9p-3, -0x1.fd0dd102fbc0dp-4, -0x1.f79915fe824eap-4, -0x1.f2264244afafcp-4, -0x1.ecb5b2ebaf2b8p-4, -0x1.e747c2a9b0b04p-4, -0x1.e1dcc9d8a95bep-4, -0x1.dc751e7a551bcp-4, -0x1.d711143c7eaaep-4, -0x1.d1b0fc7d8c2c3p-4, -0x1.cc55265135fd8p-4, -0x1.c6fdde85876dcp-4, -0x1.c1ab6fa812773p-4, -0x1.bc5e220b51375p-4, -0x1.b7163bcc43372p-4, -0x1.b1d400d82c1fep-4, -0x1.ac97b2f28e405p-4, -0x1.a76191bb4137ap-4, -0x1.a231dab4b65dap-4, -0x1.9d08c94a6ae88p-4, -0x1.97e696d767714p-4, -0x1.92cb7aacf7965p-4, -0x1.8db7aa1972551p-4, -0x1.88ab586f1f97p-4, -0x1.83a6b70b3d969p-4, -0x1.7ea9f55d199dbp-4, -0x1.79b540ed402abp-4, -0x1.74c8c564c311ep-4, -0x1.6fe4ac948cd17p-4, -0x1.6b091e7ccb1e2p-4, -0x1.6636415461b4p-4, -0x1.616c39906dde7p-4, -0x1.5cab29ebd3253p-4, -0x1.57f3336ed22e4p-4, -0x1.53447576a702cp-4, -0x1.4e9f0dbd2dd66p-4, -0x1.4a0318608bda8p-4, -0x1.4570afeadae24p-4, -0x1.40e7ed59d911cp-4, -0x1.3c68e8269725bp-4, -0x1.37f3b64d22dbdp-4, -0x1.33886c5435945p-4, -0x1.2f271d54dbbccp-4, -0x1.2acfdb0214506p-4, -0x1.2682b5b071edbp-4, -0x1.223fbc5daee7ap-4, -0x1.1e06fcb83bb5p-4, -0x1.19d88326c2788p-4, -0x1.15b45acfa4b9cp-4, -0x1.119a8da06a2aep-4, -0x1.0d8b245523774p-4, -0x1.0986267fc3ec8p-4, -0x1.058b9a8f695f3p-4, -0x1.019b85d797911p-4, -0x1.fb6bd92ecc194p-5, -0x1.f3b5a4013876cp-5, -0x1.ec14707d776f2p-5, -0x1.e48840fbfad88p-5, -0x1.dd1115e4738c5p-5, -0x1.d5aeedbb80022p-5, -0x1.ce61c5303327ep-5, -0x1.c729972979cddp-5, -0x1.c0065cd350386p-5, -0x1.b8f80dabd6454p-5, -0x1.b1fe9f9037ef8p-5, -0x1.ab1a06c96ca95p-5, -0x1.a44a3618c9529p-5, -0x1.9d8f1ec469049p-5, -0x1.96e8b0a3692f3p-5, -0x1.9056da29fbd73p-5, -0x1.89d988754675bp-5, -0x1.8370a7571cf51p-5, -0x1.7d1c21618136fp-5, -0x1.76dbdff208372p-5, -0x1.70afcb3cf70dep-5, -0x1.6a97ca584be3cp-5, -0x1.6493c34682fdep-5, -0x1.5ea39b01378c9p-5, -0x1.58c7358395aeap-5, -0x1.52fe75d49536fp-5, -0x1.4d493e110c565p-5, -0x1.47a76f758f9aap-5, -0x1.4218ea68237ccp-5, -0x1.3c9d8e81bfd6cp-5, -0x1.37353a97a0afbp-5, -0x1.31dfccc4694aap-5, -0x1.2c9d227118c38p-5, -0x1.276d185dd257p-5, -0x1.224f8aaa6f7bep-5, -0x1.1d4454deeaedap-5, -0x1.184b51f39a756p-5, -0x1.13645c5939e77p-5, -0x1.0e8f4e00c916fp-5, -0x1.09cc00633eddbp-5, -0x1.051a4c890978ap-5, -0x1.007a0b11677cep-5, -0x1.f7d6287326d2ep-6, -0x1.eeda7fc77d557p-6, -0x1.e600cb3bd175cp-6, -0x1.dd48b9510512dp-6, -0x1.d4b1f7f9e0389p-6, -0x1.cc3c34a7ae57ep-6, -0x1.c3e71c56919cbp-6, -0x1.bbb25b9987737p-6, -0x1.b39d9ea60e0fp-6, -0x1.aba8915f80bfbp-6, -0x1.a3d2df622a67ap-6, -0x1.9c1c340dfd27cp-6, -0x1.94843a910463p-6, -0x1.8d0a9df180e83p-6, -0x1.85af0917cb676p-6, -0x1.7e7126d7d5cc2p-6, -0x1.7750a1fa744bbp-6, -0x1.704d2546541e7p-6, -0x1.69665b88aeabfp-6, -0x1.629bef9db8744p-6, -0x1.5bed8c78c3fa9p-6, -0x1.555add2c28dedp-6, -0x1.4ee38cf0e27cep-6, -0x1.4887472deafe2p-6, -0x1.4245b77f60ef6p-6, -0x1.3c1e89bd5beb1p-6, -0x1.36116a029439ap-6, -0x1.301e04b2c1434p-6, -0x1.2a440680c33a6p-6, -0x1.24831c748668bp-6, -0x1.1edaf3f0bfc6ep-6, -0x1.194b3ab85ce23p-6, -0x1.13d39ef3cd0cbp-6, -0x1.0e73cf36015fap-6, -0x1.092b7a814dc6bp-6, -0x1.03fa504c00dcbp-6, -0x1.fdc00109aa28fp-7, -0x1.f3b8772e5d056p-7, -0x1.e9dd64de3f515p-7, -0x1.e02e2cfa97873p-7, -0x1.d6aa3375138e6p-7, -0x1.cd50dd56d9353p-7, -0x1.c42190c70f8f6p-7, -0x1.bb1bb511495e1p-7, -0x1.b23eb2ab5bb19p-7, -0x1.a989f33b115c4p-7, -0x1.a0fce19b80197p-7, -0x1.9896e9e1f9c8dp-7, -0x1.90577962d207dp-7, -0x1.883dfeb5b76dfp-7, -0x1.8049e9b9e1274p-7, -0x1.787aab99e27dp-7, -0x1.70cfb6cf3ad02p-7, -0x1.69487f25a2061p-7, -0x1.61e479be26841p-7, -0x1.5aa31d11d92bp-7, -0x1.5383e0f481c55p-7, -0x1.4c863e96d9036p-7, -0x1.45a9b088a2a9dp-7, -0x1.3eedb2ba9364cp-7, -0x1.3851c27fe99fap-7, -0x1.31d55e8feddf9p-7, -0x1.2b7807072ac7ap-7, -0x1.25393d68684fep-7, -0x1.1f18849d9b969p-7, -0x1.191560f8821bep-7, -0x1.132f58331bc7p-7, -0x1.0d65f170002f7p-7, -0x1.07b8b53a87d97p-7, -0x1.02272d86b1e4dp-7, -0x1.f961cb621f00cp-8, -0x1.eeaad4fcc2847p-8, -0x1.e42894363653dp-8, -0x1.d9da2835a16dp-8, -0x1.cfbeb2eedf2c1p-8, -0x1.c5d55920ae94p-8, -0x1.bc1d4252c451dp-8, -0x1.b29598d381446p-8, -0x1.a93d89b54f3acp-8, -0x1.a01444cc3c765p-8, -0x1.9718fcaaabddbp-8, -0x1.8e4ae69e8270cp-8, -0x1.85a93aada2906p-8, -0x1.7d33339267462p-8, -0x1.74e80eb80b479p-8, -0x1.6cc70c36b2cf4p-8, -0x1.64cf6ecf6b9adp-8, -0x1.5d007be7f2157p-8, -0x1.55597b864d6a1p-8, -0x1.4dd9b84c7d08cp-8, -0x1.46807f73acdbbp-8, -0x1.3f4d20c76d6c9p-8, -0x1.383eeea10a288p-8, -0x1.31553de24d45bp-8, -0x1.2a8f65f09bc36p-8, -0x1.23ecc0af8dae7p-8, -0x1.1d6caa7bd1d62p-8, -0x1.170e8225a4d9ap-8, -0x1.10d1a8eb6f56bp-8, -0x1.0ab582742d34p-8, -0x1.04b974c9cb124p-8, -0x1.fdb9d0a6f7b67p-9, -0x1.f23e8f9ff2f9fp-9, -0x1.e700009f445aap-9, -0x1.dbfd025d46f0dp-9, -0x1.d134781e392afp-9, -0x1.c6a549a611703p-9, -0x1.bc4e632ccc5c1p-9, -0x1.b22eb551f440bp-9, -0x1.a8453510d8de2p-9, -0x1.9e90dbb434bb1p-9, -0x1.9510a6c9e0907p-9, -0x1.8bc39816a24afp-9, -0x1.82a8b589d0b3cp-9, -0x1.79bf09310e2d5p-9, -0x1.7105a12bca056p-9, -0x1.687b8f9ef4706p-9, -0x1.601feaa89b70fp-9, -0x1.57f1cc53a7455p-9, -0x1.4ff0528b3330ap-9, -0x1.481a9f0e64edfp-9, -0x1.406fd764321fcp-9, -0x1.38ef24cea3b4dp-9, -0x1.3197b43f06ddap-9, -0x1.2a68b6494ff7ap-9, -0x1.23615f180a355p-9, -0x1.1c80e660260f8p-9, -0x1.15c68754bbe43p-9, -0x1.0f31809b09b1ap-9, -0x1.08c1143e6b2fep-9, -0x1.027487a459cc9p-9, -0x1.f89647011979p-10, -0x1.ec88679227f9fp-10, -0x1.e0be0f54f30b5p-10, -0x1.d535e2f84f727p-10, -0x1.c9ee8d6995893p-10, -0x1.bee6bfbd54395p-10, -0x1.b41d31186a6d2p-10, -0x1.a9909e9932834p-10, -0x1.9f3fcb40dd0cdp-10, -0x1.95297fdd1ffc5p-10, -0x1.8b4c8af17adedp-10, -0x1.81a7c0a1d6fc4p-10, -0x1.7839fa9bd6d32p-10, -0x1.6f0218018cbd5p-10, -0x1.65fefd53e2c4fp-10, -0x1.5d2f945d1c5e9p-10, -0x1.5492cc1bba178p-10, -0x1.4c2798ada792dp-10, -0x1.43ecf33b55432p-10, -0x1.3be1d9e33e399p-10, -0x1.34054fa588facp-10, -0x1.2c565c4feac16p-10, -0x1.24d40c69e3b2fp-10, -0x1.1d7d71209c80fp-10, -0x1.1651a033e685ap-10, -0x1.0f4fb3e2a9831p-10, -0x1.0876cad80225dp-10, -0x1.01c60818220b7p-10, -0x1.f67925dc29ce9p-11, -0x1.e9b32db1e694p-11, -0x1.dd3886f3fb22fp-11, -0x1.d10799050282cp-11, -0x1.c51ed344592afp-11, -0x1.b97caceade46ap-11, -0x1.ae1fa4e855f8cp-11, -0x1.a30641c17736cp-11, -0x1.982f116ddf846p-11, -0x1.8d98a9372a84ap-11, -0x1.8341a597b10cp-11, -0x1.7928aa1a60ff2p-11, -0x1.6f4c613a77ebap-11, -0x1.65ab7c443ba1dp-11, -0x1.5c44b335c1aa8p-11, -0x1.5316c4a03d2c8p-11, -0x1.4a2075898abdap-11, -0x1.4160914eb9153p-11, -0x1.38d5e9865397bp-11, -0x1.307f55e37c46bp-11, -0x1.285bb4195cd5ap-11, -0x1.2069e7bf0b433p-11, -0x1.18a8da33b4edcp-11, -0x1.11177a83450e3p-11, -0x1.09b4bd4b7781fp-11, -0x1.027f9ca1a354cp-11, -0x1.f6ee2ff051ee5p-12, -0x1.e934680a3a1f6p-12, -0x1.dbcff55141c2bp-12, -0x1.cebef5a8f6b46p-12, -0x1.c1ff90e5c9162p-12, -0x1.b58ff89dda674p-12, -0x1.a96e67f962c73p-12, -0x1.9d99238308419p-12, -0x1.920e78fadb725p-12, -0x1.86ccbf28cedacp-12, -0x1.7bd255affb93fp-12, -0x1.711da4e2d272p-12, -0x1.66ad1d98a6203p-12, -0x1.5c7f39027e655p-12, -0x1.52927881d8196p-12, -0x1.48e56580193fep-12, -0x1.3f7691457b535p-12, -0x1.364494d2047b9p-12, -0x1.2d4e10b6cb87dp-12, -0x1.2491acef27a3ap-12, -0x1.1c0e18bb86ef8p-12, -0x1.13c20a7cd3dd6p-12, -0x1.0bac3f8f2cb5ap-12, -0x1.03cb7c2788f67p-12, -0x1.f83d165f91d83p-13, -0x1.e9487c4908fdfp-13, -0x1.dab6d9e769c23p-13, -0x1.cc85ebb6355c9p-13, -0x1.beb37a8f4165ap-13, -0x1.b13d5b6b8a834p-13, -0x1.a4216f23aecf8p-13, -0x1.975da232e342p-13, -0x1.8aefec795479fp-13, -0x1.7ed6510202591p-13, -0x1.730eddc7cd59bp-13, -0x1.6797ab7c01cdcp-13, -0x1.5c6edd4f56e9dp-13, -0x1.5192a0b84a46dp-13, -0x1.47012d3fd9b0fp-13, -0x1.3cb8c44ac874dp-13, -0x1.32b7b0e58e853p-13, -0x1.28fc4792afb7dp-13, -0x1.1f84e616971a5p-13, -0x1.164ff347ffcedp-13, -0x1.0d5bdede61e76p-13, -0x1.04a72144470d7p-13, -0x1.f86076cea42f6p-14, -0x1.e7eb6d17e98d9p-14, -0x1.d7ec48403964dp-14, -0x1.c8603b1fee7aep-14, -0x1.b944883459425p-14, -0x1.aa96814daa0eep-14, -0x1.9c53873c04bc8p-14, -0x1.8e79097db4635p-14, -0x1.810485f2c010dp-14, -0x1.73f3888ac8bc3p-14, -0x1.6743aafd0a33fp-14, -0x1.5af2947b49bf9p-14, -0x1.4efdf96a25c6p-14, -0x1.43639b19196f5p-14, -0x1.3821477cebc9ep-14, -0x1.2d34d8e8edc5ep-14, -0x1.229c35ce194aep-14, -0x1.185550780a80ep-14, -0x1.0e5e26cbbcb87p-14, -0x1.04b4c209ad3d3p-14, -0x1.f6ae6d1be4f42p-15, -0x1.e487472bc2b5ep-15, -0x1.d2f0660516e81p-15, -0x1.c1e6323eaa1eap-15, -0x1.b16528d0314f2p-15, -0x1.a169daa4c047cp-15, -0x1.91f0ec2d974c9p-15, -0x1.82f714f41ab34p-15, -0x1.74791f3409c74p-15, -0x1.6673e7726b545p-15, -0x1.58e45c18d65c5p-15, -0x1.4bc77d1626a27p-15, -0x1.3f1a5b794fecap-15, -0x1.32da1916937a9p-15, -0x1.2703e82c0ab5p-15, -0x1.1b950b0146a8cp-15, -0x1.108ad3956b3abp-15, -0x1.05e2a3444545dp-15, -0x1.f733d4e87ba34p-16, -0x1.e35c50803fe46p-16, -0x1.d039d453422ecp-16, -0x1.bdc7978f09cd4p-16, -0x1.ac00ecef4bfe6p-16, -0x1.9ae1422587f9p-16, -0x1.8a641f482628dp-16, -0x1.7a85263a72983p-16, -0x1.6b401223728dap-16, -0x1.5c90b6dd2b697p-16, -0x1.4e73007289a0ep-16, -0x1.40e2f291e21c4p-16, -0x1.33dca80ed9dacp-16, -0x1.275c5263f71d7p-16, -0x1.1b5e392d5e755p-16, -0x1.0fdeb9b952964p-16, -0x1.04da4687c0db5p-16, -0x1.f49acdaff53a9p-17, -0x1.e0696c712e6f3p-17, -0x1.cd19c81e9c7edp-17, -0x1.baa5666c86282p-17, -0x1.a905f30b42e4cp-17, -0x1.98353ee78a3ffp-17, -0x1.882d3f500724ep-17, -0x1.78e80d33d4466p-17, -0x1.6a5fe455f4308p-17, -0x1.5c8f2296cdb2fp-17, -0x1.4f70473046882p-17, -0x1.42fdf1fe13fcep-17, -0x1.3732e2ccbe471p-17, -0x1.2c09f8ad6b8a5p-17, -0x1.217e313b7f57ap-17, -0x1.178aa8070a95ap-17, -0x1.0e2a95dd37af5p-17, -0x1.05595033f45ebp-17, -0x1.fa24910eac017p-18, -0x1.eaa21780e2a24p-18, -0x1.dc2283314057ap-18, -0x1.ce9d582e1163p-18, -0x1.c20a4dcf597d4p-18, -0x1.b6614dc4a6a34p-18, -0x1.ab9a72e7dfb6ap-18, -0x1.a1ae08441db3ap-18, -0x1.989487f2e191cp-18, -0x1.90469a3864969p-18, -0x1.88bd146bcf5fdp-18, -0x1.81f0f812f8a7fp-18, -0x1.7bdb71dedb45dp-18, -0x1.7675d8cef23e5p-18, -0x1.71b9ad45fac72p-18, -0x1.6da09817227edp-18, -0x1.6a2469bfcd02p-18, -0x1.673f1984ce938p-18, -0x1.64eac4960d5adp-18, -0x1.6321ad5102c6ep-18, -0x1.61de3a6220aa1p-18, -0x1.611af612010ddp-18, -0x1.60d28d66ade82p-18, -0x1.60ffcf8ead61bp-18, -0x1.619dad007575p-18, -0x1.62a736d81bc6bp-18, -0x1.64179e21f52c7p-18, -0x1.65ea332dc32d8p-18, -0x1.681a64db71696p-18, -0x1.6aa3c000d496fp-18, -0x1.6d81eebcdf839p-18, -0x1.70b0b7dbdd899p-18, -0x1.742bfe3f0a8bep-18, -0x1.77efc03c490b1p-18, -0x1.7bf8170b6a455p-18, -0x1.80413633769f2p-18, -0x1.84c76afde0b3cp-18, -0x1.89871be690c5bp-18, -0x1.8e7cc814e9f55p-18, -0x1.93a506d266f12p-18, -0x1.98fc870a9d157p-18, -0x1.9e800ecf22849p-18, -0x1.a42c7ac5845dep-18, -0x1.a9febdc680c39p-18, -0x1.aff3e05239dd5p-18, -0x1.b6090021e2ba2p-18, -0x1.bc3b4fadf0d27p-18, -0x1.c28815c6e63dep-18, -0x1.c8ecad1c62965p-18, -0x1.cf6683d544d9ep-18, -0x1.d5f31b26fb783p-18, -0x1.dc9006e71947cp-18, -0x1.e33aed25dd0cbp-18, -0x1.e9f185d513bf6p-18, -0x1.f0b19a56c7e48p-18, -0x1.f7790528e599ap-18, -0x1.fe45b18064f5cp-18, -0x1.028acd7998d14p-17, -0x1.05f3668bf1ff1p-17, -0x1.095bb19953b35p-17, -0x1.0cc2c3edb1ba7p-17, -0x1.1027ba54d29bap-17, -0x1.1389b8f21ec7cp-17, -0x1.16e7eb1493962p-17, -0x1.1a418315be55ap-17, -0x1.1d95ba2a91e5ep-17, -0x1.20e3d041f902bp-17, -0x1.242b0bdd9d2f5p-17, -0x1.276ab9efb572p-17, -0x1.2aa22db41ff77p-17, -0x1.2dd0c08cacb47p-17, -0x1.30f5d1e2a89f1p-17, -0x1.3410c701453ccp-17, -0x1.37210af5323aap-17, -0x1.3a260e6bfac86p-17, -0x1.3d1f47961f58cp-17, -0x1.400c32049f55ap-17, -0x1.42ec4e8c1f5dp-17, -0x1.45bf23276b346p-17, -0x1.48843ad9287efp-17, -0x1.4b3b258f14e77p-17, -0x1.4de3780476597p-17, -0x1.507ccba9427afp-17, -0x1.5306be838d5d5p-17, -0x1.5580f316a5259p-17, -0x1.57eb104a34563p-17, -0x1.5a44c14d79c6cp-17, -0x1.5c8db57ffbb65p-17, -0x1.5ec5a057d09d1p-17, -0x1.60ec394b8c6a7p-17, -0x1.63013bb820226p-17, -0x1.650466ca6f32dp-17, -0x1.66f57d683aba6p-17, -0x1.68d4461b6cfa2p-17, -0x1.6aa08af94b9e7p-17, -0x1.6c5a198f341fbp-17, -0x1.6e00c2cb5498bp-17, -0x1.6f945ae9cd08cp-17, -0x1.7114b95f8327fp-17, -0x1.7281b8c6f012cp-17, }}, 
      {{-0x1.7530361dd649ap-3, -0x1.762709435cb22p-3, -0x1.77a7834798f72p-3, -0x1.79968800f2ebdp-3, -0x1.7bdae3d8dec09p-3, -0x1.7e5fbbe3254f6p-3, -0x1.811527a8ac9dap-3, -0x1.83efda005c403p-3, -0x1.86e8664734bacp-3, -0x1.89fa6e9481de4p-3, -0x1.8d23debb29b7cp-3, -0x1.9064413b2024p-3, -0x1.93bc304e5a481p-3, -0x1.972ce0eebc28p-3, -0x1.9ab7c4adf5b98p-3, -0x1.9e5e3f815bdd9p-3, -0x1.a2216f363d41cp-3, -0x1.a60202b2ccdf8p-3, -0x1.aa001f5b6ae5fp-3, -0x1.ae1b52f733894p-3, -0x1.b252905913e6bp-3, -0x1.b6a434f94eef8p-3, -0x1.bb0e159d75662p-3, -0x1.bf8d903210804p-3, -0x1.c41fa1129f8aap-3, -0x1.c8c0fa280703fp-3, -0x1.cd6e1a7dd33fep-3, -0x1.d223652e681a3p-3, -0x1.d6dd36c820cf7p-3, -0x1.db97f88ccd224p-3, -0x1.e05031271bf09p-3, -0x1.e50292a3755d7p-3, -0x1.e9ac05a36aafep-3, -0x1.ee49b1e308873p-3, -0x1.f2d9043f2272p-3, -0x1.f757b27b818c5p-3, -0x1.fbc3bd1115248p-3, -0x1.000db7a7ef1e1p-2, -0x1.022eaf0fdc984p-2, -0x1.044432d3a6138p-2, -0x1.064dd30d2fa79p-2, -0x1.084b3ff4cf625p-2, -0x1.0a3c47c2e4d65p-2, -0x1.0c20d47027721p-2, -0x1.0df8e965d3f49p-2, -0x1.0fc4a12b4d362p-2, -0x1.11842b1b990c9p-2, -0x1.1337c92a67a84p-2, -0x1.14dfcdbdfb027p-2, -0x1.167c99a16c0b6p-2, -0x1.180e9a114054cp-2, -0x1.199646e32fa5ap-2, -0x1.1b1420c91ebd7p-2, -0x1.1c88afaeba9f6p-2, -0x1.1df48130d9d11p-2, -0x1.1f58272d83795p-2, -0x1.20b4366b7c4dbp-2, -0x1.2209455837e96p-2, -0x1.2357eadb278ddp-2, -0x1.24a0bd3d851dbp-2, -0x1.25e45125cdd12p-2, -0x1.272338a657fb2p-2, -0x1.285e025e7f0ddp-2, -0x1.299538ae0b449p-2, -0x1.2ac960fa85c96p-2, -0x1.2bfafb06425bcp-2, -0x1.2d2a8058e9422p-2, -0x1.2e5863b957bd3p-2, -0x1.2f8510b8a003dp-2, -0x1.30b0eb4df6a3fp-2, -0x1.31dc4f833fe14p-2, -0x1.33079131f16b1p-2, -0x1.3432fbcfde6c7p-2, -0x1.355ed24b75e4dp-2, -0x1.368b4ef6ed959p-2, -0x1.37b8a381b8fdcp-2, -0x1.38e6f8ff9b969p-2, -0x1.3a166ffc9b65ap-2, -0x1.3b47209d036ddp-2, -0x1.3c791ac89bd99p-2, -0x1.3dac66602ec64p-2, -0x1.3ee1037c76c04p-2, -0x1.4016eab576f7ep-2, -0x1.414e0d7156badp-2, -0x1.42865639be774p-2, -0x1.43bfa916cb6eep-2, -0x1.44f9e3eea7c39p-2, -0x1.4634dee8da40fp-2, -0x1.47706cd4749f7p-2, -0x1.48ac5b9041b5cp-2, -0x1.49e8747425547p-2, -0x1.4b247cbaf7473p-2, -0x1.4c6035ec14e2ap-2, -0x1.4d9b5e4410132p-2, -0x1.4ed5b11bda125p-2, -0x1.500ee74de4f16p-2, -0x1.5146b798b7263p-2, -0x1.527cd6fe8aa1ap-2, -0x1.53b0f9219409bp-2, -0x1.54e2d09c9a218p-2, -0x1.56120f57a0aep-2, -0x1.573e66d86781cp-2, -0x1.5867888e90d46p-2, -0x1.598d261b533p-2, -0x1.5aaef194982bdp-2, -0x1.5bcc9dc382abdp-2, -0x1.5ce5de5e536aap-2, -0x1.5dfa683db3b6dp-2, -0x1.5f09f18d74e81p-2, -0x1.601431f8d1bd2p-2, -0x1.6118e2d251be7p-2, -0x1.6217bf3768975p-2, -0x1.6310842ff8fbdp-2, -0x1.6402f0c9ddd91p-2, -0x1.64eec630ab125p-2, -0x1.65d3c7c1ca4cp-2, -0x1.66b1bb1d2c106p-2, -0x1.67886832b947bp-2, -0x1.6857994cb6b85p-2, -0x1.691f1b174fc4bp-2, -0x1.69debca57a1a1p-2, -0x1.6a964f736404p-2, -0x1.6b45a7669e33ep-2, -0x1.6bec9acc3949cp-2, -0x1.6c8b0254f96c5p-2, -0x1.6d20b90fde624p-2, -0x1.6dad9c63212bcp-2, -0x1.6e318c03d7eb3p-2, -0x1.6eac69ec6894fp-2, -0x1.6f1e1a51f1197p-2, -0x1.6f868398cc9efp-2, -0x1.6fe58e4856c6ep-2, -0x1.703b24fe0edccp-2, -0x1.7087346039b75p-2, -0x1.70c9ab1021f6fp-2, -0x1.7102799c0d0fp-2, -0x1.71319270ff7ddp-2, -0x1.7156e9cc67f2fp-2, -0x1.717275adc3dc8p-2, -0x1.71842dc85207dp-2, -0x1.718c0b74df343p-2, -0x1.718a09a3c459p-2, -0x1.717e24cf18604p-2, -0x1.71685aed2991fp-2, -0x1.7148ab6342a42p-2, -0x1.711f16f8c9842p-2, -0x1.70eb9fcab7d78p-2, -0x1.70ae493f77c3ep-2, -0x1.706717fb264eep-2, -0x1.701611d443411p-2, -0x1.6fbb3dc8c7825p-2, -0x1.6f56a3f3b0029p-2, -0x1.6ee84d82ee3adp-2, -0x1.6e7044adcc594p-2, -0x1.6dee94abba19fp-2, -0x1.6d6349ab84ef6p-2, -0x1.6cce70caf785bp-2, -0x1.6c30180edbc9dp-2, -0x1.6b884e5b62fa1p-2, -0x1.6ad7236ce84fbp-2, -0x1.6a1ca7d10c7fdp-2, -0x1.6958ece02a845p-2, -0x1.688c04b7195bbp-2, -0x1.67b602313d63ep-2, -0x1.66d6f8e2e0134p-2, -0x1.65eefd13cbdd9p-2, -0x1.64fe23ba23e87p-2, -0x1.640482757a344p-2, -0x1.63022f8a15443p-2, -0x1.61f741dc693c2p-2, -0x1.60e3d0ecbcf86p-2, -0x1.5fc7f4d2f488ap-2, -0x1.5ea3c63a802b7p-2, -0x1.5d775e5e69319p-2, -0x1.5c42d7057b07bp-2, -0x1.5b064a7e831e1p-2, -0x1.59c1d39ca1875p-2, -0x1.58758db3af23ep-2, -0x1.57219494ac98bp-2, -0x1.55c6048a3a834p-2, -0x1.5462fa551e6e4p-2, -0x1.52f89328c4412p-2, -0x1.5186eca7caaf4p-2, -0x1.500e24e087bbcp-2, -0x1.4e8e5a4991a3bp-2, -0x1.4d07abbe40be4p-2, -0x1.4b7a387b2c16bp-2, -0x1.49e6201aa2f15p-2, -0x1.484b82911b523p-2, -0x1.46aa80299a5b8p-2, -0x1.45033982113c9p-2, -0x1.4355cf87b154ep-2, -0x1.41a26373386cdp-2, -0x1.3fe916c52d18ep-2, -0x1.3e2a0b4215d61p-2, -0x1.3c6562eea1a2ap-2, -0x1.3a9b400bc83b6p-2, -0x1.38cbc512de79bp-2, -0x1.36f714b1a255dp-2, -0x1.351d51c63b79ep-2, -0x1.333e9f5b353c3p-2, -0x1.315b20a36e7bfp-2, -0x1.2f72f8f602e4fp-2, -0x1.2d864bca2d2a2p-2, -0x1.2b953cb323f8bp-2, -0x1.299fef5bf0c35p-2, -0x1.27a6878344cacp-2, -0x1.25a928f7486eep-2, -0x1.23a7f7916cb28p-2, -0x1.21a3173236976p-2, -0x1.1f9aabbd1183p-2, -0x1.1d8ed9141d3e1p-2, -0x1.1b7fc31400ca4p-2, -0x1.196d8d8fc35fep-2, -0x1.17585c4ca72ecp-2, -0x1.154052fe0b982p-2, -0x1.1325954156e35p-2, -0x1.11084699e7dcbp-2, -0x1.0ee88a6d11923p-2, -0x1.0cc683fe220efp-2, -0x1.0aa2566a7252bp-2, -0x1.087c24a58770ap-2, -0x1.065411753b98fp-2, -0x1.042a3f6dfd1f8p-2, -0x1.01fed0ef16bf2p-2, -0x1.ffa3d03e18304p-3, -0x1.fb474dd00b267p-3, -0x1.f6e85de8a1e09p-3, -0x1.f2874355e97d7p-3, -0x1.ee244058a673ep-3, -0x1.e9bf969dd1b73p-3, -0x1.e559873836668p-3, -0x1.e0f2529a3efc2p-3, -0x1.dc8a388fef59p-3, -0x1.d821783909092p-3, -0x1.d3b8500368b3cp-3, -0x1.cf4efda584f9cp-3, -0x1.cae5be192d89p-3, -0x1.c67ccd966d5f9p-3, -0x1.c214678eaaa13p-3, -0x1.bdacc6a7f267fp-3, -0x1.b94624b87b1e1p-3, -0x1.b4e0bac258faep-3, -0x1.b07cc0ef63c2p-3, -0x1.ac1a6e8d58529p-3, -0x1.a7b9fa0a246f5p-3, -0x1.a35b98f06e56ap-3, -0x1.9eff7fe44e7e5p-3, -0x1.9aa5e2a03b72p-3, -0x1.964ef3f22dfdcp-3, -0x1.91fae5b8f3155p-3, -0x1.8da9e8e1b6e8bp-3, -0x1.895c2d65c21bap-3, -0x1.8511e248659bap-3, -0x1.80cb35951ec1dp-3, -0x1.7c88545de76f6p-3, -0x1.78496ab9bf56ep-3, -0x1.740ea3c35b188p-3, -0x1.6fd829980d6bdp-3, -0x1.6ba62556d9a13p-3, -0x1.6778bf1fb846ap-3, -0x1.63501e130523cp-3, -0x1.5f2c68511e78p-3, -0x1.5b0dc2fa2caf3p-3, -0x1.56f4522e1a76cp-3, -0x1.52e0390cb1c4ep-3, -0x1.4ed199b5e317fp-3, -0x1.4ac8954a360d9p-3, -0x1.46c54beb65f4ap-3, -0x1.42c7dcbd1b667p-3, -0x1.3ed065e5d1da6p-3, -0x1.3adf048fdea71p-3, -0x1.36f3d4ea9f97fp-3, -0x1.330ef22bc4c81p-3, -0x1.2f307690c04f1p-3, -0x1.2b587b60567a4p-3, -0x1.278718ec4868dp-3, -0x1.23bc66932399bp-3, -0x1.1ff87ac22695bp-3, -0x1.1c3b6af746256p-3, -0x1.18854bc34dcb7p-3, -0x1.14d630cc12b7fp-3, -0x1.112e2ccecacbep-3, -0x1.0d8d51a26e2adp-3, -0x1.09f3b03a39584p-3, -0x1.066158a83e495p-3, -0x1.02d65a200b737p-3, -0x1.fea585f2d3745p-4, -0x1.f7ad41664650cp-4, -0x1.f0c3ffebc81aap-4, -0x1.e9e9d92e52961p-4, -0x1.e31ee33874287p-4, -0x1.dc63327a6845cp-4, -0x1.d5b6d9d044fa5p-4, -0x1.cf19ea8842d79p-4, -0x1.c88c74691bcp-4, -0x1.c20e85b87b4a3p-4, -0x1.bba02b418440ap-4, -0x1.b541705b67b8bp-4, -0x1.aef25ef00bff6p-4, -0x1.a8b2ff82b8cc8p-4, -0x1.a2835936dddap-4, -0x1.9c6371d6d5f5bp-4, -0x1.96534ddabdf4ep-4, -0x1.9052f06f4822ep-4, -0x1.8a625b7c9efd7p-4, -0x1.84818fad462f7p-4, -0x1.7eb08c7501592p-4, -0x1.78ef5017baabap-4, -0x1.733dd7b06aeccp-4, -0x1.6d9c1f37feaa4p-4, -0x1.680a218c3b9ap-4, -0x1.6287d876a0ep-4, -0x1.5d153cb34186bp-4, -0x1.57b245f79c803p-4, -0x1.525eeaf9690b6p-4, -0x1.4d1b21755fee9p-4, -0x1.47e6de35f9159p-4, -0x1.42c2151a1d661p-4, -0x1.3dacb91bd488ep-4, -0x1.38a6bc56de776p-4, -0x1.33b0100f4659ep-4, -0x1.2ec8a4b7e7534p-4, -0x1.29f069f8e00ebp-4, -0x1.25274eb5fbbf8p-4, -0x1.206d411506e5ep-4, -0x1.1bc22e8419b23p-4, -0x1.172603bfcbb71p-4, -0x1.1298acd959e25p-4, -0x1.0e1a153cb9762p-4, -0x1.09aa27b698026p-4, -0x1.0548ce7a49995p-4, -0x1.00f5f327a323p-4, -0x1.f962fda17d0d1p-5, -0x1.f0f6b3ff5fbdcp-5, -0x1.e8a6d97843c3cp-5, -0x1.e0733d21b8392p-5, -0x1.d85bad227368ep-5, -0x1.d05ff6bd08b9dp-5, -0x1.c87fe65a7bc49p-5, -0x1.c0bb4794a2db9p-5, -0x1.b911e5405f5a5p-5, -0x1.b1838977a7833p-5, -0x1.aa0ffda362461p-5, -0x1.a2b70a851982p-5, -0x1.9b7878407ee3dp-5, -0x1.94540e64b7114p-5, -0x1.8d4993f58d408p-5, -0x1.8658cf74628e8p-5, -0x1.7f8186e8f971cp-5, -0x1.78c37fea1a78ap-5, -0x1.721e7fa5f73d2p-5, -0x1.6b924aea745ccp-5, -0x1.651ea62d330ddp-5, -0x1.5ec355937f9c9p-5, -0x1.58801cfa00edfp-5, -0x1.5254bffc45874p-5, -0x1.4c4101fc1bceap-5, -0x1.4644a628c6c2bp-5, -0x1.405f6f85fcdccp-5, -0x1.3a9120f2bc60dp-5, -0x1.34d97d2ff7eb1p-5, -0x1.2f3846e7126f8p-5, -0x1.29ad40b031b51p-5, -0x1.24382d1865301p-5, -0x1.1ed8cea7a0e11p-5, -0x1.198ee7e691dacp-5, -0x1.145a3b644238fp-5, -0x1.0f3a8bbb9a9d4p-5, -0x1.0a2f9b98b4dfep-5, -0x1.05392dbe0a28fp-5, -0x1.0057050976d1p-5, -0x1.f711c8f22ae36p-6, -0x1.ed9d1e5ff1124p-6, -0x1.e44f90f567d2ep-6, -0x1.db28a7a796d62p-6, -0x1.d227e9cfe16dep-6, -0x1.c94cdf344ca61p-6, -0x1.c097100f6f85p-6, -0x1.b80605181cec6p-6, -0x1.af994788cd71ep-6, -0x1.a7506126b7969p-6, -0x1.9f2adc48b6087p-6, -0x1.972843ddd6a22p-6, -0x1.8f482373b33afp-6, -0x1.878a073c89064p-6, -0x1.7fed7c150afc7p-6, -0x1.78720f89fa9p-6, -0x1.71174fdd7cd4bp-6, -0x1.69dccc0c4135cp-6, -0x1.62c213d255226p-6, -0x1.5bc6b7afdae0dp-6, -0x1.54ea48ed6ca42p-6, -0x1.4e2c59a05ff7bp-6, -0x1.478c7caeb9a5ep-6, -0x1.410a45d309b28p-6, -0x1.3aa5499ff6686p-6, -0x1.345d1d83a59fep-6, -0x1.2e3157caf62cp-6, -0x1.28218fa477219p-6, -0x1.222d5d234a025p-6, -0x1.1c545941b7804p-6, -0x1.16961de3b08c9p-6, -0x1.10f245d91f8d3p-6, -0x1.0b686cdff988fp-6, -0x1.05f82fa63e70ap-6, -0x1.00a12bcbc7713p-6, -0x1.f6c5ffc7cf12bp-7, -0x1.ec7a96ede42aap-7, -0x1.e25f5e070f4dep-7, -0x1.d87397ffaafe4p-7, -0x1.ceb689b54a5a9p-7, -0x1.c52779f88825ap-7, -0x1.bbc5b18ea5f34p-7, -0x1.b2907b32ebfffp-7, -0x1.a9872397b6001p-7, -0x1.a0a8f9674bdc4p-7, -0x1.97f54d448bfc4p-7, -0x1.8f6b71cb3e4fdp-7, -0x1.870abb904b31ep-7, -0x1.7ed28121b0267p-7, -0x1.76c21b0640859p-7, -0x1.6ed8e3bd30ab5p-7, -0x1.671637bd714e3p-7, -0x1.5f797574e36d7p-7, -0x1.5801fd474fbacp-7, -0x1.50af318d4346dp-7, -0x1.49807692acd89p-7, -0x1.4275329565047p-7, -0x1.3b8ccdc380c88p-7, -0x1.34c6b23988269p-7, -0x1.2e224c007d517p-7, -0x1.279f090bc9abbp-7, -0x1.213c5937084c7p-7, -0x1.1af9ae43a259ep-7, -0x1.14d67bd668278p-7, -0x1.0ed23774e8e32p-7, -0x1.08ec5882d637dp-7, -0x1.0324583f2096bp-7, -0x1.faf3638242dd1p-8, -0x1.efd7c3eb1e67fp-8, -0x1.e4f4cf36e16bap-8, -0x1.da498681ccb9bp-8, -0x1.cfd4ee7fd36a8p-8, -0x1.c5960f75edbffp-8, -0x1.bb8bf53342a6fp-8, -0x1.b1b5af0a26b8dp-8, -0x1.a8124fc90d296p-8, -0x1.9ea0edb344126p-8, -0x1.9560a2798eb04p-8, -0x1.8c508b32cff1bp-8, -0x1.836fc85446b1p-8, -0x1.7abd7daa18757p-8, -0x1.7238d24f668cbp-8, -0x1.69e0f0a6896bap-8, -0x1.61b5065127c01p-8, -0x1.59b444282a538p-8, -0x1.51ddde33c2c92p-8, -0x1.4a310ba341aa4p-8, -0x1.42ad06c4e250cp-8, -0x1.3b510cfdb1469p-8, -0x1.341c5ec130802p-8, -0x1.2d0e3f89169bbp-8, -0x1.2625f5ccf31bep-8, -0x1.1f62caf9e264ep-8, -0x1.18c40b6a1ed2bp-8, -0x1.1249065ca2fafp-8, -0x1.0bf10decc334fp-8, -0x1.05bb7709b36d7p-8, -0x1.ff4f32dc65f53p-9, -0x1.f3699f30190cfp-9, -0x1.e7c4ed7f523bap-9, -0x1.dc5fdd9f61832p-9, -0x1.d13934b9486d6p-9, -0x1.c64fbd38ad7fap-9, -0x1.bba246bba088p-9, -0x1.b12fa601387f1p-9, -0x1.a6f6b4d97b4c9p-9, -0x1.9cf652147030cp-9, -0x1.932d61719301ap-9, -0x1.899acb8f6ed01p-9, -0x1.803d7ddb18762p-9, -0x1.77146a7fedd43p-9, -0x1.6e1e88571d51bp-9, -0x1.655ad2d79c457p-9, -0x1.5cc84a05f444ep-9, -0x1.5465f2644ef0ap-9, -0x1.4c32d4e25b78dp-9, -0x1.442dfecdb11b1p-9, -0x1.3c5681c1dc0f3p-9, -0x1.34ab7398f21f7p-9, -0x1.2d2bee5bdfc24p-9, -0x1.25d7103314571p-9, -0x1.1eabfb5730a47p-9, -0x1.17a9d601ec806p-9, -0x1.10cfca5edab2ep-9, -0x1.0a1d067c958cdp-9, -0x1.0390bc3e03b4bp-9, -0x1.fa5442970199cp-10, -0x1.edd0de08af769p-10, -0x1.e195c4e0a80a3p-10, -0x1.d5a178632e91dp-10, -0x1.c9f280ec5895dp-10, -0x1.be876dd49d6cep-10, -0x1.b35ed5546bcb3p-10, -0x1.a87754691d79cp-10, -0x1.9dcf8eb9969c4p-10, -0x1.93662e7b2f466p-10, -0x1.8939e45741722p-10, -0x1.7f4967509890fp-10, -0x1.759374a96b97fp-10, -0x1.6c16cfc980b5cp-10, -0x1.62d2422497f64p-10, -0x1.59c49b214e5f2p-10, -0x1.50ecb0002994bp-10, -0x1.48495bc2a25e9p-10, -0x1.3fd97f1327ff3p-10, -0x1.379c002ccdf9cp-10, -0x1.2f8fcac38454cp-10, -0x1.27b3cfec9eac4p-10, -0x1.2007060796f0bp-10, -0x1.188868a737badp-10, -0x1.1136f87ac33ebp-10, -0x1.0a11bb37c321bp-10, -0x1.0317bb83d378ap-10, -0x1.f89011be20ef5p-11, -0x1.eb436f1c9d13ep-11, -0x1.de47c10c91be6p-11, -0x1.d19b42ac8daddp-11, -0x1.c53c38276b7a6p-11, -0x1.b928ee8b59d3dp-11, -0x1.ad5fbba1fc18cp-11, -0x1.a1defdc8a7fa7p-11, -0x1.96a51bc91d9fdp-11, -0x1.8bb084b362f18p-11, -0x1.80ffafb7919bdp-11, -0x1.76911c007c573p-11, -0x1.6c63508eb9f83p-11, -0x1.6274dc14991c3p-11, -0x1.58c454d1d9103p-11, -0x1.4f505870c84dbp-11, -0x1.46178be34dcccp-11, -0x1.3d189b40be204p-11, -0x1.345239a3ecea6p-11, -0x1.2bc3210a6f707p-11, -0x1.236a1233667bbp-11, -0x1.1b45d47fa8a2ep-11, -0x1.135535d1c611ep-11, -0x1.0b970a6eeff99p-11, -0x1.040a2ce07838bp-11, -0x1.f95afbaa0ab66p-12, -0x1.eaffc806d606ep-12, -0x1.dd009819d6e7cp-12, -0x1.cf5b50c1962fcp-12, -0x1.c20de23eee1f8p-12, -0x1.b51647fe88e0cp-12, -0x1.a87288606a38ep-12, -0x1.9c20b4837b26fp-12, -0x1.901ee80f68c32p-12, -0x1.846b4901022e9p-12, -0x1.790407767a966p-12, -0x1.6de75d7d02d6ep-12, -0x1.63138edf4619fp-12, -0x1.5886e8f48ad75p-12, -0x1.4e3fc2709cb0bp-12, -0x1.443c7b34f35bcp-12, -0x1.3a7b7c21b8ac3p-12, -0x1.30fb36e8f88e6p-12, -0x1.27ba25e115a92p-12, -0x1.1eb6cbd9b4802p-12, -0x1.15efb3ef89829p-12, -0x1.0d6371625fe7ap-12, -0x1.05109f6b77036p-12, -0x1.f9ebc2287ff74p-13, -0x1.ea23c21c2d951p-13, -0x1.dac6a315ea675p-13, -0x1.cbd1d82cc8a61p-13, -0x1.bd42e2ded7736p-13, -0x1.af1752c61031ep-13, -0x1.a14cc54e5f959p-13, -0x1.93e0e56ea51cep-13, -0x1.86d16b6060c41p-13, -0x1.7a1c1c5ac41dbp-13, -0x1.6dbeca4e2be6ep-13, -0x1.61b753a17b7e1p-13, -0x1.5603a2ef13781p-13, -0x1.4aa1aec531e89p-13, -0x1.3f8f7966c8a84p-13, -0x1.34cb108b91f45p-13, -0x1.2a528d24e986dp-13, -0x1.202413208dc21p-13, -0x1.163dd12e94832p-13, -0x1.0c9e008690ca5p-13, -0x1.0342e4b0b4e7bp-13, -0x1.f4559699428e5p-14, -0x1.e2a817b76e1cfp-14, -0x1.d17a0f17c6da8p-14, -0x1.c0c85204be6f9p-14, -0x1.b08fc8519ec8fp-14, -0x1.a0cd6bf62fc29p-14, -0x1.917e48aa696dcp-14, -0x1.829f7b86911c2p-14, -0x1.742e32a4cdd4bp-14, -0x1.6627acc169c28p-14, -0x1.588938e24429cp-14, -0x1.4b5035fbef45ap-14, -0x1.3e7a1298dc2a2p-14, -0x1.32044c85b9bc5p-14, -0x1.25ec707ae0dc5p-14, -0x1.1a3019ca8a42bp-14, -0x1.0eccf20fb1d89p-14, -0x1.03c0b0de633f6p-14, -0x1.f21236ed5a9fcp-15, -0x1.dd4808ed55042p-15, -0x1.c91e9722d1a95p-15, -0x1.b591ba899f1dcp-15, -0x1.a29d6523e10cfp-15, -0x1.903da16f47876p-15, -0x1.7e6e91d6a912fp-15, -0x1.6d2c703026e58p-15, -0x1.5c738d3646ee9p-15, -0x1.4c405005a46afp-15, -0x1.3c8f35a19fd23p-15, -0x1.2d5cd073e08c3p-15, -0x1.1ea5c7d5c251dp-15, -0x1.1066d7964733ap-15, -0x1.029ccf891c0bp-15, -0x1.ea89262058cfcp-16, -0x1.d0b6315e5cd47p-16, -0x1.b7bad336e6f71p-16, -0x1.9f9142a5c45b8p-16, -0x1.8833da5f8524dp-16, -0x1.719d180aa2a66p-16, -0x1.5bc79b72560d1p-16, -0x1.46ae25bff6c4dp-16, -0x1.324b98c0eaf5ep-16, -0x1.1e9af61ec6b3ap-16, -0x1.0b975eafb2dadp-16, -0x1.f278237986525p-17, -0x1.cf08d8a541af8p-17, -0x1.acd7d12563bd2p-17, -0x1.8bdc3a184238fp-17, -0x1.6c0d7820705b5p-17, -0x1.4d63262c24afap-17, -0x1.2fd5143030928p-17, -0x1.135b45f07792p-17, -0x1.efdbe3a94a9e2p-18, -0x1.bb0aff69f96dep-18, -0x1.88350f83917fbp-18, -0x1.574ba2bd47a78p-18, -0x1.2840a41a4741ap-18, -0x1.f60cb163a2efap-19, -0x1.9f1ebb4c2d3cfp-19, -0x1.4b9d4c27b65e7p-19, -0x1.f6dde4314d345p-20, -0x1.5cf5beb1fe982p-20, -0x1.92a3996768ec7p-21, -0x1.de175fd3efbfcp-23, 0x1.2f934f710bebcp-22, 0x1.9ba471a8bddbep-21, 0x1.4a30e5634a19bp-20, 0x1.c12b5f240ad17p-20, 0x1.19758af656b56p-19, 0x1.4fcc34f56b2ddp-19, 0x1.83ad592adfc24p-19, 0x1.b52c21b824f82p-19, 0x1.e45b3a75a9105p-19, 0x1.08a669e949d02p-18, 0x1.1e0952e3eda28p-18, 0x1.325ef95f47a8ap-18, 0x1.45afc528682ecp-18, 0x1.5803e60035b39p-18, 0x1.696354f78c4c4p-18, 0x1.79d5d5b5802d3p-18, 0x1.8962f7c81188bp-18, 0x1.981217d3bcf1cp-18, 0x1.a5ea60dc4464fp-18, 0x1.b2f2cd6b9a59p-18, 0x1.bf3228b7e760fp-18, 0x1.caaf0fd6a14b7p-18, 0x1.d56ff2c4312e1p-18, 0x1.df7b158ae7aebp-18, 0x1.e8d6914d025bep-18, 0x1.f188554652503p-18, 0x1.f99627e234d15p-18, 0x1.0082d3d185005p-17, 0x1.03ee2616cb30ep-17, 0x1.070fb395a48b3p-17, 0x1.09ea12a0d31abp-17, 0x1.0c7fc7798ec3ep-17, 0x1.0ed344c3f9147p-17, 0x1.10e6ebeffeee4p-17, 0x1.12bd0daa2f68dp-17, 0x1.1457ea42d940ap-17, 0x1.15b9b21585ce4p-17, 0x1.16e485ea6dabbp-17, 0x1.17da775f25c51p-17, 0x1.189d893dd8441p-17, 0x1.192fafe37965p-17, 0x1.1992d195ca648p-17, 0x1.19c8c6de25b1p-17, 0x1.19d35ae0ea46ep-17, 0x1.19b44bb4b8ee8p-17, 0x1.196d4aaf59a65p-17, 0x1.18fffcbfbbc33p-17, 0x1.186dfab5dc306p-17, 0x1.17b8d1958e00ep-17, 0x1.16e202de00d98p-17, 0x1.15eb04d875d3bp-17, 0x1.14d542dac1d6p-17, 0x1.13a21d937cf9dp-17, 0x1.1252eb4a390aep-17, 0x1.10e8f8268865bp-17, 0x1.0f65866e53d7ep-17, 0x1.0dc9cec71034dp-17, 0x1.0c17007723e8ep-17, 0x1.0a4e419e7512bp-17, 0x1.0870af743f451p-17, 0x1.067f5e82eaf87p-17, 0x1.047b5add332b9p-17, 0x1.0265a8596f2afp-17, 0x1.003f42c48da31p-17, 0x1.fc123c35c241ep-18, 0x1.f7884d6b5c9b9p-18, 0x1.f2e2830859361p-18, 0x1.ee229871c2a99p-18, 0x1.e94a3af53daf4p-18, 0x1.e45b0a255e9cdp-18, 0x1.df569838f1777p-18, 0x1.da3e6a60338cep-18, 0x1.d513f91e275cp-18, 0x1.cfd8b09d2be87p-18, 0x1.ca8df1006c6e2p-18, 0x1.c5350eb80be85p-18, 0x1.bfcf52cec23acp-18, 0x1.ba5dfb3604628p-18, 0x1.b4e23b123da83p-18, 0x1.af5d3b04b915cp-18, 0x1.a9d01972a067ep-18, 0x1.a43beacb8035bp-18, 0x1.9ea1b9ccedb04p-18, 0x1.990287c3716b9p-18, 0x1.935f4cd19c81bp-18, 0x1.8db8f82760d39p-18, 0x1.88107045f2279p-18, 0x1.826693393763bp-18, 0x1.7cbc36d4e96d2p-18, 0x1.771228eaef353p-18, 0x1.71692f86255e4p-18, 0x1.6bc2091feb0bbp-18, 0x1.661d6cd479b67p-18, 0x1.607c0a98d0877p-18, 0x1.5ade8b6d675b1p-18, 0x1.5545918cef852p-18, 0x1.4fb1b8a007117p-18, 0x1.4a2395e9bacc9p-18, 0x1.449bb877cfe38p-18, 0x1.3f1aa94d3f662p-18, 0x1.39a0eb8f8d50bp-18, 0x1.342efcb018dfp-18, 0x1.2ec554966f6abp-18, 0x1.296465c91a76fp-18, 0x1.240c9d93e989fp-18, 0x1.1ebe643081f6cp-18, 0x1.197a1ce8b1dbp-18, 0x1.1440263ea6447p-18, 0x1.0f10da0e5d5d7p-18, 0x1.09ec8db1ab7d7p-18, 0x1.04d392203c659p-18, 0x1.ff8c68259a3c8p-19, 0x1.f589784660bdap-19, 0x1.eb9eddd39d888p-19, 0x1.e1cd1a3cf177p-19, 0x1.d814a76b10eecp-19, 0x1.ce75f7fab0b47p-19, 0x1.c4f177728eac4p-19, 0x1.bb878a7e14506p-19, 0x1.b2388f21b448cp-19, 0x1.a904dcefb33cap-19, 0x1.9fecc53b35ea4p-19, 0x1.96f093496d53cp-19, 0x1.8e108c846d7ffp-19, 0x1.854cf0a84adebp-19, 0x1.7ca5f9f3430cep-19, 0x1.741bdd5137b5dp-19, 0x1.6baeca873ac01p-19, 0x1.635eec6029fd8p-19, 0x1.5b2c68d4fb828p-19, 0x1.53176135c0ba7p-19, 0x1.4b1ff2502ecd5p-19, 0x1.43463496d643ap-19, 0x1.3b8a3c46dec7p-19, 0x1.33ec198c5d7b1p-19, 0x1.2c6bd8a403b0ep-19, 0x1.2509820116078p-19, 0x1.1dc51a6c4682dp-19, 0x1.169ea3263bfe8p-19, 0x1.0f961a067175p-19, 0x1.08ab799b61e47p-19, 0x1.01deb9476fc2p-19, }}, 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
      std::vector<double>(800, 0.0), 
    }}, 
    {
      65, 0x1.0e147ae147ae1p+3, 0x1.6cf7c1885a70fp+3, 0x1.b0e47067b01e3p+5, 0x1.47c4320e1202fp-7, 
      {{
        {0x1.4eb851eb851ecp+2, 0x1.5p+2, 0x1.c8b42260e0052p-7, -0x1.6fa3e5605c05fp-5, 0x1.06106b9ad9d96p-2, -0x1.aacd36c6b7acep-1}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.ae6da71405a44p-7, -0x1.23f96ab3a5849p-5, 0x1.a5b2263935b4bp-3, -0x1.50fc847b74a28p-1}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.8234964d8db0bp-7, -0x1.4777f55727962p-6, 0x1.b70213de45db1p-4, -0x1.c3ad6b5e9082bp-2}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.686e985c5c78ap-7, -0x1.9c221d83d3927p-7, 0x1.5000da17de4e8p-5, -0x1.da6fea5c28234p-3}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.563c8bcc18a44p-7, -0x1.4eaa1599d162cp-7, 0x1.9aba6bd164da6p-8, -0x1.9545e3390b7a9p-6}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.45ea5661119fcp-7, -0x1.403502fa71a28p-7, 0x1.4f20fa2b2256ep-9, 0x1.22a3bfe386c6ap-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.3621f52aa6de5p-7, -0x1.36bd2c531282dp-7, 0x1.a6521a2297921p-9, -0x1.9808b84e71e94p-10}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.26da702e09e25p-7, -0x1.2c903faf14bfbp-7, 0x1.87b7d91cb56d8p-9, 0x1.834f33bba0e6fp-15}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.1811f2f719d9p-7, -0x1.22c25905a7c42p-7, 0x1.88a03bd559346p-9, -0x1.94b1cc8f15a64p-12}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.09c6a5ab73738p-7, -0x1.1909d2d58e1edp-7, 0x1.8109b332aa65fp-9, -0x1.1e173bdbecdf2p-12}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.f7ed5a14e1cedp-8, -0x1.0f7abf1bb8561p-7, 0x1.7bac76e0245b7p-9, -0x1.40ad3f55195cp-12}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.dd4054da53dbap-8, -0x1.06101354cbe4bp-7, 0x1.75a93749bf14fp-9, -0x1.3a3735d868954p-12}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.c382778ce787fp-8, -0x1.f996ff00d8d78p-8, 0x1.6fc4fb1416b88p-9, -0x1.3ec0cc05c7ad4p-12}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.aaaff745c2569p-8, -0x1.e759cc2520146p-8, 0x1.69caf740c7c7p-9, -0x1.4057f0824941p-12}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.92c5025184d16p-8, -0x1.d5694a55c9906p-8, 0x1.63c95124bccd9p-9, -0x1.42b93c161680ap-12}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.7bbdc0304a8c4p-8, -0x1.c3c5f38bcd03cp-8, 0x1.5dbc3e6ab92e6p-9, -0x1.44e45cffa5f75p-12}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.65965195aa213p-8, -0x1.b270538243b6bp-8, 0x1.57a4c312badebp-9, -0x1.471e017934554p-12}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.504ad068b5331p-8, -0x1.a168f13225133p-8, 0x1.518299720eb04p-9, -0x1.4953c25dea6dep-12}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.3bd74fc3f86cbp-8, -0x1.90b054dace54ap-8, 0x1.4b55d4337f17dp-9, -0x1.4b8a8e0640c39p-12}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.2837dbf57b805p-8, -0x1.804706642772p-8, 0x1.451e6e5694474p-9, -0x1.4dc112341e58ap-12}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.15687a7ec1299p-8, -0x1.702d8dcd8790fp-8, 0x1.3edc693266e8dp-9, -0x1.4ff7a988bf035p-12}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.03652a14c72aep-8, -0x1.6064730ffe59ap-8, 0x1.388fc46b09ba7p-9, -0x1.522e3bbc4a621p-12}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.e453c5400c9eap-9, -0x1.50ec3e264a38p-8, 0x1.323880191b889p-9, -0x1.5464cf4ec6aap-12}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.c3652a78e4d2fp-9, -0x1.41c5770ab622bp-8, 0x1.2bd69c3607cf1p-9, -0x1.569b628447f35p-12}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.a3f65872f4a8ap-9, -0x1.32f0a5b7ac049p-8, 0x1.256a18c38cdbfp-9, -0x1.58d1f5d1950f6p-12}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.85ff16340fe65p-9, -0x1.246e52278d7c3p-8, 0x1.1ef2f5c13876dp-9, -0x1.5b088919aa4f5p-12}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.69771d290061bp-9, -0x1.163f0454be61cp-8, 0x1.1871332f23abdp-9, -0x1.5d3f1c61f0e8bp-12}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.4e56192586006p-9, -0x1.08634439a1f39p-8, 0x1.11e4d10d4d8dep-9, -0x1.5f75afab4c836p-12}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.3493a86456b93p-9, -0x1.f5b733a1372e1p-9, 0x1.0b4dcf5bb0eb7p-9, -0x1.61ac42f3a6c29p-12}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.1c275b871e911p-9, -0x1.db511a281d67p-9, 0x1.04ac2e1a5297cp-9, -0x1.63e2d63c32ee2p-12}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.0508b5967f9f6p-9, -0x1.c1954bfcbd30fp-9, 0x1.fbffda9263467p-10, -0x1.661969858979bp-12}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.de5e58042415p-10, -0x1.a884d913dd658p-9, 0x1.ee9219d094855p-10, -0x1.684ffccd8069bp-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.b5244d40c80ffp-10, -0x1.9020d16244bb4p-9, 0x1.e10f19ef461afp-10, -0x1.6a869016e779cp-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.8e51ff5df3bep-10, -0x1.786a44dcb9ec8p-9, 0x1.d376daee6a39bp-10, -0x1.6cbd235f1ce5fp-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.69d607a49bc9bp-10, -0x1.6162437803c2p-9, 0x1.c5c95cce0c572p-10, -0x1.6ef3b6a82bbf3p-12}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.479ee42ba102ap-10, -0x1.4b09dd28e8f14p-9, 0x1.b8069f8e244ccp-10, -0x1.712a49f095497p-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.279af7d7d054ap-10, -0x1.356221e4303a5p-9, 0x1.aa2ea32eb84d5p-10, -0x1.7360dd39b8c8dp-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.09b88a5be2cd9p-10, -0x1.206c219ea062ep-9, 0x1.9c4167afc15f7p-10, -0x1.75977081d81ccp-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.dbcb9070fb343p-11, -0x1.0c28ec4d001edp-9, 0x1.8e3eed114944cp-10, -0x1.77ce03cb523f7p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.a82185786410ep-11, -0x1.f13323c82c6cfp-10, 0x1.8027335342fbcp-10, -0x1.7a0497135f012p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.784ee006fb0a8p-11, -0x1.cb7e44b152ddap-10, 0x1.71fa3a75bc38ap-10, -0x1.7c3b2a5c63742p-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.4c2f55f1933dfp-11, -0x1.a7355b3f00defp-10, 0x1.63b80278abb13p-10, -0x1.7e71bda4ea0b3p-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.239e66a8d808p-11, -0x1.845a875ac3fb5p-10, 0x1.55608b5c161d9p-10, -0x1.80a850ee58f6ep-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.fceeb6729a099p-12, -0x1.62efe8ee29effp-10, 0x1.46f3d51ff2c79p-10, -0x1.82dee435c9beap-12}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.b92a8c969c14ap-12, -0x1.42f79fe2bff4ap-10, 0x1.3871dfc454d02p-10, -0x1.8515777fa52f3p-12}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.7ba608461e7c6p-12, -0x1.2473cc221377p-10, 0x1.29daab492504fp-10, -0x1.874c0ac807ea2p-12}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.4416754139f05p-12, -0x1.07668d95b2569p-10, 0x1.1b2e37ae7185cp-10, -0x1.89829e106006dp-12}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.1230b27fb7a6cp-12, -0x1.d7a4084e5373ap-11, 0x1.0c6c84f43ab8bp-10, -0x1.8bb931598a879p-12}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.cb52646222c31p-13, -0x1.a3709f800e4ecp-11, 0x1.fb2b2634f1743p-11, -0x1.8defc4a242c88p-12}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.7c67f378e2ad6p-13, -0x1.72372093b0a66p-11, 0x1.dd52c4425fa4bp-11, -0x1.902657e98a7bep-12}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.37094381648eep-13, -0x1.43fbcb5c5415ep-11, 0x1.bf4fe410dba86p-11, -0x1.925ceb3986b3dp-12}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.f53958517d99dp-14, -0x1.18c2dfad192f8p-11, 0x1.a122859fbe5bp-11, -0x1.94937e6484c3p-12}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.8d0f5716d1e4cp-14, -0x1.e1213ab20abc9p-12, 0x1.82caa8f1cdffbp-11, -0x1.96ca121f13621p-12}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.345dcc6a76cd4p-14, -0x1.96d2886708b93p-12, 0x1.64484dfc46254p-11, -0x1.9900a3bc3279fp-12}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.d3d89c85bec8p-15, -0x1.52a2281d07de8p-12, 0x1.459b74e7c25bap-11, -0x1.9b373d42fe45bp-12}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.59017eea811b8p-15, -0x1.1498998305771p-12, 0x1.26c41d1c55b02p-11, -0x1.9d6db93e952d6p-12}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.eb7d3ed644e9fp-16, -0x1.b97cb83ced746p-13, 0x1.07c248d13db34p-11, -0x1.9fa4a37c541a6p-12}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.4f29ee5a2a2dfp-16, -0x1.5637e01f93786p-13, 0x1.d12bdf8308619p-12, -0x1.a1d9f24061284p-12}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.b018644d3ad82p-17, -0x1.fee74cd459b7ap-14, 0x1.927e6192f9d03p-12, -0x1.a41540a561bdbp-12}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.0240c6f9256cp-17, -0x1.6a822f6b5251p-14, 0x1.537b317a2b25fp-12, -0x1.a63a2c018ffdap-12}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.15703c6019p-18, -0x1.dec406b2712c7p-15, 0x1.1425aae0558e4p-12, -0x1.a8b2a3e14857fp-12}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.fadf52ffba601p-20, -0x1.1b5473594aa8dp-15, 0x1.a8e28afd15666p-13, -0x1.a9f34cb9a91abp-12}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.5fc12ecfe0cp-21, -0x1.15dda9ac79c1dp-16, 0x1.29198d922f76p-13, -0x1.afbfa52bc2ce7p-12}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.16b98c5282p-23, -0x1.6ffbc04f464fp-18, 0x1.4f2684d6ea0fdp-14, -0x1.a4689ce78a1d5p-12}, 
        {0x1.0cccccccccccdp+3, 0x1.0e147ae147ae1p+3, 0x1.6a37fbd5e7f81p-28, -0x1.0c4f7b3467cf8p-21, 0x1.4b9f012ff64f7p-16, -0x1.c4e7eff23a357p-12}, 
      }}, 
      0x1.66d3c8bd208ep-8, -0x1.065f177eb163p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_ca_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{0x1.de66ffc1bbe62p-4, 0x1.cc9e935cc7cebp-3, 0x1.44fbcb0603577p-2, 0x1.8eea0bb63e592p-2, 0x1.c1c377ec87f51p-2, 0x1.dd2a0f9add6cap-2, 0x1.e23a5f826272ap-2, 0x1.d313bf4537937p-2, 0x1.b2731afb87314p-2, 0x1.83636032088e6p-2, 0x1.4901a6c146cc5p-2, 0x1.06524ea0668fep-2, 0x1.7c478e3950fcdp-3, 0x1.cbf0e5cf042e8p-4, 0x1.387d41d7d36c7p-5, -0x1.1e1c21e26cdcp-5, -0x1.afcd1acb0466ap-4, -0x1.608b2270e008dp-3, -0x1.df93b7ef242b1p-3, -0x1.29d18a2c7ab78p-2, -0x1.5de7d7fff82fp-2, -0x1.8bc9c4565ad93p-2, -0x1.b35e49de4b0bap-2, -0x1.d4af190aff912p-2, -0x1.efe1efc4a87a7p-2, -0x1.02994f589bb1ep-1, -0x1.0a76e17821493p-1, -0x1.0fb61979bb226p-1, -0x1.12878b0ffddabp-1, -0x1.131e4d75222fap-1, -0x1.11ae9ea38400ap-1, -0x1.0e6cc77141654p-1, -0x1.098c391ee9f3dp-1, -0x1.033edd2b4d4f1p-1, -0x1.f769205fb8d22p-2, -0x1.e635827c53a2fp-2, -0x1.d3385ed22af14p-2, -0x1.bec18080a4944p-2, -0x1.a91ad47fa9f97p-2, -0x1.92885e252831fp-2, -0x1.7b48441acbb1ap-2, -0x1.6392f0571c6fcp-2, -0x1.4b9b3e58897b9p-2, -0x1.338eb3cc04aecp-2, -0x1.1b95c09b9e43cp-2, -0x1.03d40443d6c11p-2, -0x1.d8d12dcd59fc2p-3, -0x1.aadca9a5228dep-3, -0x1.7df856921be68p-3, -0x1.524acac6a141fp-3, -0x1.27f3f0207666ep-3, -0x1.fe1b316e1c87ap-4, -0x1.af581d477a4b5p-4, -0x1.63bd3a71c0bb2p-4, -0x1.1b6029fd98512p-4, -0x1.ac9d1c1c1634ap-5, -0x1.291de820e43c5p-5, -0x1.5886bc24f6eedp-6, -0x1.b01a4b9a001b8p-8, 0x1.cdaf5d116da51p-8, 0x1.4607af18cd124p-6, 0x1.0608d085d1619p-5, 0x1.62ecc5bc0d016p-5, 0x1.b9dc33cce5a92p-5, 0x1.05839a92a6567p-4, 0x1.2b5054daf4441p-4, 0x1.4e6ebb8ed25bfp-4, 0x1.6ef9f00fe6b66p-4, 0x1.8d0d7711692d7p-4, 0x1.a8c4f95324c97p-4, 0x1.c23c0b31210cp-4, 0x1.d98dfe76d006bp-4, 0x1.eed5ba46c65e1p-4, 0x1.0116cd6e74694p-3, 0x1.09d7ab41d8826p-3, 0x1.11b9f4421ee29p-3, 0x1.18c9c022a55d8p-3, 0x1.1f12ba6399657p-3, 0x1.24a01e09a71adp-3, 0x1.297cb2abef848p-3, 0x1.2db2cb4bad611p-3, 0x1.314c460dd179ep-3, 0x1.34528d23cd0cp-3, 0x1.36ce98a0d58bp-3, 0x1.38c8f08f7c6f1p-3, 0x1.3a49b03f59878p-3, 0x1.3b588902fde1dp-3, 0x1.3bfcc6652f60ap-3, 0x1.3c3d5152dd464p-3, 0x1.3c20b4b304e61p-3, 0x1.3bad20e82109p-3, 0x1.3ae8706c31abdp-3, 0x1.39d82b8346c3dp-3, 0x1.38818ca83a683p-3, 0x1.36e984501edeap-3, 0x1.3514bcfe47697p-3, 0x1.33079eb164c92p-3, 0x1.30c6530b526eap-3, 0x1.2e54c842a43cap-3, 0x1.2bb6b4da9c71bp-3, 0x1.28ef9a7967a3ap-3, 0x1.2602c9177808cp-3, 0x1.22f361b9ec9d8p-3, 0x1.1fc45938b96e7p-3, 0x1.1c787a8a7dcb2p-3, 0x1.1912696c342ffp-3, 0x1.1594a4644177bp-3, 0x1.1201870342a1ap-3, 0x1.0e5b4bc52c1c1p-3, 0x1.0aa40de6634edp-3, 0x1.06ddcb2d145cbp-3, 0x1.030a657625a4dp-3, 0x1.fe57486d99453p-4, 0x1.f6866bd613ep-4, 0x1.eea562c7f2fe6p-4, 0x1.e6b72ddaa062p-4, 0x1.debea2e9cb559p-4, 0x1.d6be6f7a3c457p-4, 0x1.ceb91a45b9552p-4, 0x1.c6b10526658ap-4, 0x1.bea86f3e18a98p-4, 0x1.b6a17611be5cap-4, 0x1.ae9e1710ebbdap-4, 0x1.a6a031828e857p-4, 0x1.9ea98779c43f1p-4, 0x1.96bbbee23e7efp-4, 0x1.8ed8634069fa4p-4, 0x1.8700e6a10148cp-4, 0x1.7f36a27b50391p-4, 0x1.777ad8be928b5p-4, 0x1.6fceb54581e73p-4, 0x1.68334e63ffcc2p-4, 0x1.60a9a5831488ap-4, 0x1.5932a898719e3p-4, 0x1.51cf330e279d8p-4, 0x1.4a800dea5278bp-4, 0x1.4345f0a83e015p-4, 0x1.3c2182b2546c4p-4, 0x1.35135bc309756p-4, 0x1.2e1c040247dffp-4, 0x1.273bf523add8p-4, 0x1.20739b888ec9bp-4, 0x1.19c3565a0fb49p-4, 0x1.132b77e0e3779p-4, 0x1.0cac46693c18ep-4, 0x1.0645fd58b0dedp-4, 0x1.fff19a57385b5p-5, 0x1.f389b7a99134fp-5, 0x1.e7548aea14a09p-5, 0x1.db523a7b71805p-5, 0x1.cf82db770accdp-5, 0x1.c3e671f34c211p-5, 0x1.b87cf1fdfb609p-5, 0x1.ad4641419989fp-5, 0x1.a242382b09a48p-5, 0x1.9770a1d63616bp-5, 0x1.8cd13c7491db7p-5, 0x1.8263bacf599c8p-5, 0x1.7827c5c0477dp-5, 0x1.6e1cfc5025dcap-5, 0x1.6442f38ced9cp-5, 0x1.5a99377fc373ep-5, 0x1.511f4cce57dbdp-5, 0x1.47d4b16637a8p-5, 0x1.3eb8dc22b454p-5, 0x1.35cb3d0de03cdp-5, 0x1.2d0b3e81e5d2ep-5, 0x1.24784699402a2p-5, 0x1.1c11b6fdf40afp-5, 0x1.13d6ecd1fc112p-5, 0x1.0bc741376d9b5p-5, 0x1.03e20a46a8ccap-5, 0x1.f84d37a28dcb3p-6, 0x1.e9288ed058b7bp-6, 0x1.da54b89eeea07p-6, 0x1.cbd04fe2fe0cdp-6, 0x1.bd99ed1b1fcbdp-6, 0x1.afb02776dd653p-6, 0x1.a211950e28cf8p-6, 0x1.94bccb26faba7p-6, 0x1.87b05e923eb68p-6, 0x1.7aeae4711fc7ap-6, 0x1.6e6af2eac4b0bp-6, 0x1.622f21dffbc75p-6, 0x1.56360b1a3ed24p-6, 0x1.4a7e4a7c26ef9p-6, 0x1.3f067e2db0c32p-6, 0x1.33cd47038c8ecp-6, 0x1.28d1494f3a5efp-6, 0x1.1e112d54e60cap-6, 0x1.138b9f5adaaa7p-6, 0x1.093f4f7b1f17p-6, 0x1.fe55e3591488ep-7, 0x1.ea9a7c916a69p-7, 0x1.d749e5736c42p-7, 0x1.c461a399de229p-7, 0x1.b1df46afba0b2p-7, 0x1.9fc0683ee12f1p-7, 0x1.8e02ab5cd3a21p-7, 0x1.7ca3bde8415b1p-7, 0x1.6ba1599b74ba2p-7, 0x1.5af943f3a203bp-7, 0x1.4aa94e372a5ffp-7, 0x1.3aaf53d1bd02p-7, 0x1.2b093b357e316p-7, 0x1.1bb4f626eee9fp-7, 0x1.0cb082ad11874p-7, 0x1.fbf3d63307e97p-8, 0x1.df1e8a9c56c31p-8, 0x1.c2dd649f3ef13p-8, 0x1.a72cbbf0a15ep-8, 0x1.8c08febbc85a9p-8, 0x1.716eb2afd9e13p-8, 0x1.575a753c41c9bp-8, 0x1.3dc8fabb8c74bp-8, 0x1.24b70d2a17e9fp-8, 0x1.0c218bb2f371bp-8, 0x1.e80ad54588ccfp-9, 0x1.b8bf676f533aep-9, 0x1.8a5b0d08baee8p-9, 0x1.5cd830401711dp-9, 0x1.303164b51ac4ap-9, 0x1.0461656a0691dp-9, 0x1.b2c62868ae97bp-10, 0x1.5e62f2d4f46cbp-10, 0x1.0b8f88130bbb9p-10, 0x1.748524fe68b8dp-11, 0x1.a9cc2087185bcp-12, 0x1.c18278213224p-14, -0x1.86b455ded1e5p-13, -0x1.f18517727bd76p-12, -0x1.8d1ffbe11787ep-11, -0x1.0f6a64e5ab9a6p-10, -0x1.56f7eb8065957p-10, -0x1.9d3fc23b7c4c3p-10, -0x1.e248db5340381p-10, -0x1.130cf688b7671p-9, -0x1.345cba103ec6fp-9, -0x1.5516da0a81cf6p-9, -0x1.753e5caa1efe5p-9, -0x1.94d62d3a575f6p-9, -0x1.b3e11c83f1006p-9, -0x1.d261e18c10ce5p-9, -0x1.f05b1a516b6bap-9, -0x1.06e7a66db54d7p-8, -0x1.156073f909d01p-8, -0x1.239921e23d4fcp-8, -0x1.3192d14dbba73p-8, -0x1.3f4e98ce47928p-8, -0x1.4ccd84a6dd82ap-8, -0x1.5a10970a2f226p-8, -0x1.6718c86d8bf5cp-8, -0x1.73e707fb4e732p-8, -0x1.807c3be813739p-8, -0x1.8cd941b51e805p-8, -0x1.98feee8f3d1d1p-8, -0x1.a4ee0f99972f1p-8, -0x1.b0a76a38f433bp-8, -0x1.bc2bbc4d2ca16p-8, -0x1.c77bbc656cf97p-8, -0x1.d2981a278212bp-8, -0x1.dd817e5a9c755p-8, -0x1.e8388baf7adfdp-8, -0x1.f2bdde86d7678p-8, -0x1.fd120d7881b4fp-8, -0x1.039ad4ba5846cp-7, -0x1.08949f0bcce7p-7, -0x1.0d76a8df0123fp-7, -0x1.124132e49f59ap-7, -0x1.16f47b78e3ca2p-7, -0x1.1b90beb356218p-7, -0x1.20163689ad5dp-7, -0x1.24851ae8dd7bcp-7, -0x1.28dda1d2c9fe3p-7, -0x1.2d1fff7607967p-7, -0x1.314c6649a8f88p-7, -0x1.356307130017ep-7, -0x1.396411102c388p-7, -0x1.3d4fb2004aebdp-7, -0x1.4126163ad46c9p-7, -0x1.44e768d145aep-7, -0x1.4893d399d1902p-7, -0x1.4c2b7f466eb33p-7, -0x1.4fae937780a93p-7, -0x1.531d36d024694p-7, -0x1.56778f06f70e4p-7, -0x1.59bdc0f540c95p-7, -0x1.5ceff0a449c46p-7, -0x1.600e41613f6c1p-7, -0x1.6318d5cb21515p-7, -0x1.660fcfeafcde9p-7, -0x1.68f35133f89a5p-7, -0x1.6bc37a9d9b676p-7, -0x1.6e806caadb96cp-7, -0x1.712a4777c131dp-7, -0x1.73c12ac743607p-7, -0x1.7645360d61c25p-7, -0x1.78b688791d68dp-7, -0x1.7b1540ffd0419p-7, -0x1.7d617e682634fp-7, -0x1.7f9b5f54c4a45p-7, -0x1.81c3024d693fcp-7, -0x1.83d885c72eb6fp-7, -0x1.85dc082c9a878p-7, -0x1.87cda7e4f6a56p-7, -0x1.89ad835946ef4p-7, -0x1.8b7bb9259d8ep-7, -0x1.8d3867a7e7b36p-7, -0x1.8ee3adada53d7p-7, -0x1.907da9e5b6f65p-7, -0x1.92067b500ece6p-7, -0x1.937e40f8ad15cp-7, -0x1.94e51a2a34553p-7, -0x1.963b26628539cp-7, -0x1.97808550deaa7p-7, -0x1.98b556e29c13cp-7, -0x1.99d9bb49b924ep-7, -0x1.9aedd2f50356dp-7, -0x1.9bf1be947a31bp-7, -0x1.9ce59f2b15579p-7, -0x1.9dc996037b2d7p-7, -0x1.9e9dc4b11e8d8p-7, -0x1.9f624d16caf66p-7, -0x1.a01751668f6e7p-7, -0x1.a0bcf424052b6p-7, -0x1.a1535825430bfp-7, -0x1.a1daa091a69p-7, -0x1.a252f0e336818p-7, -0x1.a2bc6ce79d77ap-7, -0x1.a31738c062221p-7, -0x1.a36378e2eb824p-7, -0x1.a3a152183d5d4p-7, -0x1.a3d0e97bf546fp-7, -0x1.a3f2647bc9276p-7, -0x1.a405e8d6b2b77p-7, -0x1.a40b9c9bdfe15p-7, -0x1.a403a6294204bp-7, -0x1.a3ee2c2a3ac9ep-7, -0x1.a3cb55960b073p-7, -0x1.a39b49ae4478p-7, -0x1.a35e2ffd49859p-7, -0x1.a3143054bd95dp-7, -0x1.a2bd72cbb6041p-7, -0x1.a25a1fbc7ebc8p-7, -0x1.a1ea5fc26748cp-7, -0x1.a16e5bb77687cp-7, -0x1.a0e63cb1f9cd9p-7, -0x1.a0522c01f7de2p-7, -0x1.9fb2532e80b8p-7, -0x1.9f06dbf2f0b57p-7, -0x1.9e4ff03c286a6p-7, -0x1.9d8dba25d5663p-7, -0x1.9cc063f7b283dp-7, -0x1.9be81822f2724p-7, -0x1.9b05013f5cd59p-7, -0x1.9a174a088e96dp-7, -0x1.991f1d5afc475p-7, -0x1.981ca630d6f63p-7, -0x1.97100f9ef80eap-7, -0x1.95f984d1b1118p-7, -0x1.94d93109a69p-7, -0x1.93af3f98a14d7p-7, -0x1.927bdbde4d147p-7, -0x1.913f3145059f8p-7, -0x1.8ff96b3e81ba5p-7, -0x1.8eaab540bdb86p-7, -0x1.8d533ac36765fp-7, -0x1.8bf3273ca987fp-7, -0x1.8a8aa61dcbbb8p-7, -0x1.8919e2d0569fdp-7, -0x1.87a108b30f305p-7, -0x1.86204316d4906p-7, -0x1.8497bd3b7f3fap-7, -0x1.8307a24cd6d29p-7, -0x1.81701d5fc598p-7, -0x1.7fd1596fb3a68p-7, -0x1.7e2b8157b8881p-7, -0x1.7c7ebfd2cf4cap-7, -0x1.7acb3f7e324dap-7, -0x1.79112acd786f6p-7, -0x1.7750ac0b0888bp-7, -0x1.7589ed56965bdp-7, -0x1.73bd18a1f7f06p-7, -0x1.71ea57ae755ecp-7, -0x1.7011d40a2f1fap-7, -0x1.6e33b70da4baap-7, -0x1.6c5029d95bd34p-7, -0x1.6a6755524a8d1p-7, -0x1.6879621f6543cp-7, -0x1.668678a8ff824p-7, -0x1.648ec11669362p-7, -0x1.6292634985f86p-7, -0x1.609186dd148b7p-7, -0x1.5e8c53235774dp-7, -0x1.5c82ef23d9984p-7, -0x1.5a7581995601dp-7, -0x1.586430efd693dp-7, -0x1.564f2342bd979p-7, -0x1.54367e5b1f873p-7, -0x1.521a67ade5f43p-7, -0x1.4ffb045a186d2p-7, -0x1.4dd8792726cc7p-7, -0x1.4bb2ea833bf89p-7, -0x1.498a7c81a1877p-7, -0x1.475f52d92e5c7p-7, -0x1.453190e2d538ep-7, -0x1.4301599842c75p-7, -0x1.40cecf928876p-7, -0x1.3e9a150901b91p-7, -0x1.3c634bd01c727p-7, -0x1.3a2a95584df7ap-7, -0x1.37f012acfe84cp-7, -0x1.35b3e4736b666p-7, -0x1.33762ae9bced7p-7, -0x1.313705e62e1efp-7, -0x1.2ef694d5e5dbdp-7, -0x1.2cb4f6bc00ba6p-7, -0x1.2a724a30d5483p-7, -0x1.282ead615428cp-7, -0x1.25ea3e0e8ec58p-7, -0x1.23a5198d60534p-7, -0x1.215f5cc62ee9ep-7, -0x1.1f192434c0bb3p-7, -0x1.1cd28be7fc522p-7, -0x1.1a8baf819ae2cp-7, -0x1.1844aa359e39fp-7, -0x1.15fd96c9af98ap-7, -0x1.13b68f9447cf6p-7, -0x1.116fae7be278ap-7, -0x1.0f290cf648d7bp-7, -0x1.0ce2c4081f25p-7, -0x1.0a9cec44e3926p-7, -0x1.08579dcf660efp-7, -0x1.0612f05acb84cp-7, -0x1.03cefb2be3223p-7, -0x1.018bd51aa6d8ep-7, -0x1.fe9329273e94ep-8, -0x1.fa109f31b1553p-8, -0x1.f59037842f9cp-8, -0x1.f1121c78a6655p-8, -0x1.ec967790cfb06p-8, -0x1.e81d71729dbcp-8, -0x1.e3a731e089d39p-8, -0x1.df33dfb63747p-8, -0x1.dac3a0ef9dca1p-8, -0x1.d6569a9efa3d7p-8, -0x1.d1ecf0f258309p-8, -0x1.cd86c73cc0c31p-8, -0x1.c9243fff4b1f4p-8, -0x1.c4c57cf38c3cbp-8, -0x1.c06a9f15ed063p-8, -0x1.bc13c6ad87751p-8, -0x1.b7c11350249abp-8, -0x1.b372a3e103583p-8, -0x1.af28968a348adp-8, -0x1.aae308b152d4cp-8, -0x1.a6a216e961f14p-8, -0x1.a265dce44e0cdp-8, -0x1.9e2e756751eddp-8, -0x1.99fbfa44d13a2p-8, -0x1.95ce845e498dp-8, -0x1.91a62baef9f55p-8, -0x1.8d83075f261e2p-8, -0x1.89652ddd8abcap-8, -0x1.854cb4fbe1e54p-8, -0x1.8139b209869fbp-8, -0x1.7d2c39e7d3396p-8, -0x1.79246114aa5d6p-8, -0x1.75223ba7463dbp-8, -0x1.7125dd3f12b06p-8, -0x1.6d2f58e6719cep-8, -0x1.693ec0ed6bb14p-8, -0x1.655426c2244adp-8, -0x1.616f9ace16a17p-8, -0x1.5d912c5f294e8p-8, -0x1.59b8e9a2399f4p-8, -0x1.55e6dfb21a565p-8, -0x1.521b1abb41407p-8, -0x1.4e55a6308787bp-8, -0x1.4a968d0a704e3p-8, -0x1.46ddda0801829p-8, -0x1.432b97e6f4ef7p-8, -0x1.3f7fd189a0a54p-8, -0x1.3bda920281e6cp-8, -0x1.383be4815652dp-8, -0x1.34a3d421d9405p-8, -0x1.31126ba14588p-8, -0x1.2d87b50222ffp-8, -0x1.2a03b9326d2c7p-8, -0x1.26867fc1c6afcp-8, -0x1.23100ea934c53p-8, -0x1.1fa06a3e6262fp-8, -0x1.1c37955384671p-8, -0x1.18d5917f5d5c7p-8, -0x1.157a5f8826fa4p-8, -0x1.1225ffe464987p-8, -0x1.0ed87342a216p-8, -0x1.0b91bb01fcd2ep-8, -0x1.0851d98ce84a7p-8, -0x1.0518d283e909cp-8, -0x1.01e6aaaf28dc5p-8, -0x1.fd76cf674baa1p-9, -0x1.f72e1f24a80f6p-9, -0x1.f0f35000736dfp-9, -0x1.eac66b5c8b5afp-9, -0x1.e4a77736e8d62p-9, -0x1.de967517d2d39p-9, -0x1.d8936174e2ecbp-9, -0x1.d29e33a39f527p-9, -0x1.ccb6de61a0b9p-9, -0x1.c6dd50e38e1a3p-9, -0x1.c111784b78bf1p-9, -0x1.bb53415bceafp-9, -0x1.b5a29a3459cd4p-9, -0x1.afff73e24b23fp-9, -0x1.aa69c398dd7c7p-9, -0x1.a4e1836e42173p-9, -0x1.9f66b25ef6aadp-9, -0x1.99f953a932c73p-9, -0x1.94996d8285abep-9, -0x1.8f470744531ecp-9, -0x1.8a02274e64b35p-9, -0x1.84cad0eaf4cebp-9, -0x1.7fa10281e3dedp-9, -0x1.7a84b45e821f7p-9, -0x1.7575d83150151p-9, -0x1.70745957f2463p-9, -0x1.6b801dd4b01efp-9, -0x1.669907c9cb102p-9, -0x1.61bef74097dd6p-9, -0x1.5cf1cc07a042ep-9, -0x1.5831677ae610bp-9, -0x1.537dae145069ep-9, -0x1.4ed688a8416bap-9, -0x1.4a3be533ddb26p-9, -0x1.45adb7214e519p-9, -0x1.412bf6ec89191p-9, -0x1.3cb6a11e87c94p-9, -0x1.384db4aef4fcp-9, -0x1.33f130f9e1e63p-9, -0x1.2fa113954cc3bp-9, -0x1.2b5d5663be032p-9, -0x1.2725ee3ce291fp-9, -0x1.22faca69c005p-9, -0x1.1edbd5014e6bp-9, -0x1.1ac8f3fcf12e8p-9, -0x1.16c20ab11ff8p-9, -0x1.12c6fb489ae51p-9, -0x1.0ed7a7f2b6b36p-9, -0x1.0af3f3a2901fbp-9, -0x1.071bc27011d07p-9, -0x1.034ef9cde21e7p-9, -0x1.ff1b0197257f9p-10, -0x1.f7ae80fdaf5e6p-10, -0x1.f0584904b7bf3p-10, -0x1.e91836a035318p-10, -0x1.e1ee2c5b29d51p-10, -0x1.dada10e2f3b81p-10, -0x1.d3dbcc39a4ff3p-10, -0x1.ccf344022a73ep-10, -0x1.c62057cdbad61p-10, -0x1.bf62de81b3cebp-10, -0x1.b8baa5c2a4d51p-10, -0x1.b22773c4f6827p-10, -0x1.aba90b21ef8cep-10, -0x1.a53f2f939e613p-10, -0x1.9ee9aa174053bp-10, -0x1.98a84b15f0f67p-10, -0x1.927ae9e74fb37p-10, -0x1.8c616200c2b2ep-10, -0x1.865b8f13d94c5p-10, -0x1.806949c6223d9p-10, -0x1.7a8a66670fdf4p-10, -0x1.74beb629c51a3p-10, -0x1.6f060a55b8bfdp-10, -0x1.696038096b66bp-10, -0x1.63cd1ae38c099p-10, -0x1.5e4c95449f768p-10, -0x1.58de8dbd90496p-10, -0x1.5382ea5133cb9p-10, -0x1.4e398b0b53916p-10, -0x1.490245c1c9d5ap-10, -0x1.43dce480efc58p-10, -0x1.3ec9274e583bp-10, -0x1.39c6c8e6c0608p-10, -0x1.34d5852488129p-10, -0x1.2ff51f2d96ad8p-10, -0x1.2b256577d8ff8p-10, -0x1.26663227f8aa2p-10, -0x1.21b767403711dp-10, -0x1.1d18e7f4fb7f7p-10, -0x1.188a917a7606bp-10, -0x1.140c3639daa2p-10, -0x1.0f9d9d68d56e7p-10, -0x1.0b3e8757fc9f4p-10, -0x1.06eeb4ef49014p-10, -0x1.02adef6851821p-10, -0x1.fcf81aed3d90bp-11, -0x1.f4b1e81c6b2ddp-11, -0x1.ec89253bef305p-11, -0x1.e47db87b8076cp-11, -0x1.dc8f80c0714ebp-11, -0x1.d4be4b24fef54p-11, -0x1.cd09cf74a1e05p-11, -0x1.c571b36f1f833p-11, -0x1.bdf5925eb00cbp-11, -0x1.b695061a44c6cp-11, -0x1.af4faf591d0aap-11, -0x1.a8253c050b26cp-11, -0x1.a1156a3529418p-11, -0x1.9a200628851ecp-11, -0x1.9344e23094e3cp-11, -0x1.8c83c9af96f2dp-11, -0x1.85dc7351a48e8p-11, -0x1.7f4e788c2cad3p-11, -0x1.78d9574d1b513p-11, -0x1.727c7e7c0fe0ap-11, -0x1.6c3760afb290ap-11, -0x1.66098593b847bp-11, -0x1.5ff293ad1718bp-11, -0x1.59f2500a7d7c7p-11, -0x1.54089540804e2p-11, -0x1.4e354570641dep-11, -0x1.48783c591ea77p-11, -0x1.42d1466b0df2cp-11, -0x1.3d401fa77fa69p-11, -0x1.37c479466a66ap-11, -0x1.325e022de8603p-11, -0x1.2d0c6e483b625p-11, -0x1.27cf7ad2580a4p-11, -0x1.22a6ef9ba0354p-11, -0x1.1d929dd0d5577p-11, -0x1.18925d13c902cp-11, -0x1.13a607e193c43p-11, -0x1.0ecd77f2ef2dbp-11, -0x1.0a088215d341ap-11, -0x1.0556f07bc9563p-11, -0x1.00b87c3db8a15p-11, -0x1.f85993c56d6ap-12, -0x1.ef66daf759b4fp-12, -0x1.e697eda6636e5p-12, -0x1.ddebff934a5fdp-12, -0x1.d562699a7f9aep-12, -0x1.ccfaa9b9b91d1p-12, -0x1.c4b45be79aa31p-12, -0x1.bc8f36a8e79ccp-12, -0x1.b48b09de439c8p-12, -0x1.aca7b66bbd711p-12, -0x1.a4e51b6a1e3c5p-12, -0x1.9d42ff7f0a761p-12, -0x1.95c100911fd7p-12, -0x1.8e5e923df5d47p-12, -0x1.871b0e2d08b2p-12, -0x1.7ff5cee8cd3dfp-12, -0x1.78ee43d6b1e93p-12, -0x1.7203efec18cbap-12, -0x1.6b3656db7105ap-12, -0x1.6484ecb9f4c73p-12, -0x1.5def19929decfp-12, -0x1.5774502815f9ep-12, -0x1.51142716a59f2p-12, -0x1.4ace61e3c473cp-12, -0x1.44a2e2eff9862p-12, -0x1.3e918ea311185p-12, -0x1.389a3211199d1p-12, -0x1.32bc7c1672172p-12, -0x1.2cf8061cbae58p-12, -0x1.274c58393480fp-12, -0x1.21b8dc5fd914dp-12, -0x1.1c3cd5dbfe4bap-12, -0x1.16d7807c16568p-12, -0x1.1188540567299p-12, -0x1.0c4f358f2c45dp-12, -0x1.072c66ac39351p-12, -0x1.02203af1f2b26p-12, -0x1.fa55943ee3887p-13, -0x1.f097a8cb3f51fp-13, -0x1.e705cc514cbe4p-13, -0x1.dd9f2c0ea0b67p-13, -0x1.d46348e5d9783p-13, -0x1.cb51cbafbeccep-13, -0x1.c26a290250caap-13, -0x1.b9ab6ae63ffaap-13, -0x1.b1143dfa2c51cp-13, -0x1.a8a326fea28d2p-13, -0x1.a056be861c041p-13, -0x1.982ddfa9828ap-13, -0x1.9027c3dbfac4ap-13, -0x1.8844061e51568p-13, -0x1.808287f0fa81ap-13, -0x1.78e33d278d4f1p-13, -0x1.7165f95892149p-13, -0x1.6a0a669f783a6p-13, -0x1.62d0298c7af7ep-13, -0x1.5bb6eeca7f866p-13, -0x1.54be216c4217bp-13, -0x1.4de493a99663ap-13, -0x1.4728c58393da5p-13, -0x1.4089cd6450d38p-13, -0x1.3a07e15661ac6p-13, -0x1.33a3c880d84d5p-13, -0x1.2d5dc63528bcap-13, -0x1.2735220faa186p-13, -0x1.2128b46ec97b8p-13, -0x1.1b37d1297eca2p-13, -0x1.156298fae9831p-13, -0x1.0fa97674da1f1p-13, -0x1.0a0c72ef39d6cp-13, -0x1.048b05201aad1p-13, -0x1.fe4898f172245p-14, -0x1.f3aeb48af42acp-14, -0x1.e946ac216fafbp-14, -0x1.df0f0800631cfp-14, -0x1.d50688e649f3ap-14, -0x1.cb2c3445623a9p-14, -0x1.c17f6b3cdaab9p-14, -0x1.b7fff8479e06fp-14, -0x1.aeadfa1e7a5bap-14, -0x1.a589989d3c1d3p-14, -0x1.9c928fc50d3bcp-14, -0x1.93c7dc0d97bdp-14, -0x1.8b27f0c224cfp-14, -0x1.82b165906e616p-14, -0x1.7a6338c3ac71bp-14, -0x1.723c0b521afc4p-14, -0x1.6a398d647c02fp-14, -0x1.6259e6302f8c4p-14, -0x1.5a9dc44715943p-14, -0x1.5307a0561a37bp-14, -0x1.4b9897731f388p-14, -0x1.444ef0fb1923ap-14, -0x1.3d27ff3e13ecp-14, -0x1.3622aa5c64644p-14, -0x1.2f3f7df786ffp-14, -0x1.287eecc196491p-14, -0x1.21e0851cf38acp-14, -0x1.1b637a131d01ap-14, -0x1.15072bf7d92a2p-14, -0x1.0ecb23d5581b3p-14, -0x1.08aed667acc9bp-14, -0x1.02b184f7cac67p-14, -0x1.f9a490cc07695p-15, -0x1.ee205d0806912p-15, -0x1.e2d4acf243dbp-15, -0x1.d7c00b30455afp-15, -0x1.cce166d67b10ep-15, -0x1.c2381ba805e42p-15, -0x1.b7c3ed8c12247p-15, -0x1.ad84e929d97e8p-15, -0x1.a37b04adc4fa9p-15, -0x1.99a58d6294b01p-15, -0x1.900303ceb8718p-15, -0x1.869210ed0d63dp-15, -0x1.7d52d52a0feeap-15, -0x1.744666f0801f5p-15, -0x1.6b6be57986e79p-15, -0x1.62bf7b2e53ff1p-15, -0x1.5a3ecae020d5dp-15, -0x1.51ead6fe1fea1p-15, -0x1.49c2a8c902afdp-15, -0x1.41c19cec3c90ap-15, -0x1.39e57db1fd7edp-15, -0x1.323102d90bc1cp-15, -0x1.2aa6c832fe137p-15, -0x1.234651ff1688cp-15, -0x1.1c0da86cfbbd5p-15, -0x1.14faeb8ed24c2p-15, -0x1.0e0ca57d5ece1p-15, -0x1.0741f2d85ecfep-15, -0x1.009ac17ef5edap-15, -0x1.f42f3ce3feb66p-16, -0x1.e771ed096462dp-16, -0x1.dafcdce545c5p-16, -0x1.cecdbdc590a36p-16, -0x1.c2e194e6b5bc5p-16, -0x1.b735a2283bc7ep-16, -0x1.abc7bf30c4329p-16, -0x1.a096513d8133cp-16, -0x1.95a022aa3846cp-16, -0x1.8ae45fb4d5234p-16, -0x1.8062ab027e47cp-16, -0x1.761ae05f73243p-16, -0x1.6c0c32f002b58p-16, -0x1.623464014c4bep-16, -0x1.5890b9ccc46ecp-16, -0x1.4f20f01bc746ep-16, -0x1.45e8ee380899dp-16, -0x1.3cebb267948b9p-16, -0x1.342359c1d995ep-16, -0x1.2b890b48df6a8p-16, -0x1.231e7b66cc66p-16, -0x1.1ae28923ea8b3p-16, -0x1.12d29c2700751p-16, -0x1.0af478bc64e48p-16, -0x1.034be48e0f4eep-16, -0x1.f7a9d68ebd798p-17, -0x1.e913a51839301p-17, -0x1.dacc3869dc958p-17, -0x1.cccde1d2dee8fp-17, -0x1.bf17c6cbbfffdp-17, -0x1.b1ada1a85969cp-17, -0x1.a4938c82f6ffap-17, -0x1.97c932b5c8b42p-17, -0x1.8b49ab2273d8ep-17, -0x1.7f11056fa711ap-17, -0x1.7320b3f41703ep-17, -0x1.677ca875795dap-17, -0x1.5c258c9095de8p-17, -0x1.5117af768b866p-17, -0x1.464e056dd147ep-17, -0x1.3bc495d25e596p-17, -0x1.3178e441d55cdp-17, -0x1.276971f3f10f7p-17, -0x1.1d955f991b566p-17, -0x1.13fc652e37b51p-17, -0x1.0a9ea698f9047p-17, -0x1.017bc0261c579p-17, -0x1.f12345d6ba2f2p-18, -0x1.dfba85b7a67a2p-18, -0x1.cebae9a6eecb3p-18, -0x1.be2c930c47492p-18, -0x1.ae1decbe2f79bp-18, -0x1.9e829e1241d41p-18, -0x1.8f3d0811929a1p-18, -0x1.804a54df9b2d5p-18, -0x1.71a8a441c0efbp-18, -0x1.636bba147cd82p-18, -0x1.559e11c09be61p-18, -0x1.482f80878426cp-18, -0x1.3b1533f2783e8p-18, -0x1.2e4dcb78191e3p-18, -0x1.21dabb501d7d2p-18, -0x1.15bdecc6a0c8p-18, -0x1.09f97f8ba667ep-18, -0x1.fd1e1d079f30bp-19, -0x1.e6f9ab498c62bp-19, -0x1.d173adfa95b02p-19, -0x1.bc71574c795f6p-19, -0x1.a7e8ce27931e2p-19, -0x1.93ea7f685e0d2p-19, -0x1.8080a8a814368p-19, -0x1.6d9a31c7861f4p-19, -0x1.5b2b7251e202bp-19, -0x1.4946a5a3d8efap-19, -0x1.37fbdbde924bep-19, -0x1.27415d8390395p-19, -0x1.17041f43e2d33p-19, -0x1.07381aaedbb84p-19, -0x1.efb1ddc7fabedp-20, -0x1.d1cb476e3c307p-20, -0x1.b4bced852696ap-20, -0x1.9888f00c19d9p-20, -0x1.7d31050417b0bp-20, -0x1.62b26b54dc847p-20, -0x1.490472f793fap-20, -0x1.3019535e8db4dp-20, -0x1.17e9b2ec1eef9p-20, -0x1.0099197294ac5p-20, -0x1.d47f6bef840f2p-21, -0x1.a8faf24f89da7p-21, -0x1.7e4d7e87bba83p-21, -0x1.5507e96bf3de2p-21, -0x1.2d93b4c360bb3p-21, -0x1.078332d25be08p-21, -0x1.c53a597be2992p-22, -0x1.7dc8a9d3ab05cp-22, -0x1.38bb8a087614ap-22, -0x1.ec1d5ec752a03p-23, -0x1.6b6b60c507b73p-23, -0x1.de83e69cb5762p-24, -0x1.ddffb10cb7507p-25, -0x1.011417ac7465dp-29, 0x1.ad3f5a8671544p-25, 0x1.ad2d28f759d32p-24, 0x1.3ddf6ba7ef52ep-23, 0x1.a117b92d833d9p-23, 0x1.ffe2508e4fe83p-23, 0x1.2ce71a9762489p-22, 0x1.57ab8f7eaf022p-22, 0x1.80e99983c8f05p-22, 0x1.a8ca43078fb3fp-22, 0x1.cf56677055f5p-22, 0x1.f4b4365cc7b4p-22, 0x1.0c1cf3d7ed8c2p-21, 0x1.1cc1207b645d2p-21, 0x1.2c82a934eb005p-21, 0x1.3b98ec47f3ebap-21, 0x1.4a1184fc95d44p-21, 0x1.57e8a848528d4p-21, 0x1.6517d50623b19p-21, 0x1.7198b8b2c4089p-21, 0x1.7d682f436749p-21, 0x1.888aa98bd93ep-21, 0x1.930e5a5ebb309p-21, 0x1.9d099177553cbp-21, 0x1.a6816e5cd5caap-21, 0x1.af3480ccc723dp-21, 0x1.b7462d8ba7281p-21, 0x1.bf1cba92d1f55p-21, 0x1.c640b791e860fp-21, 0x1.ccc06987b07aap-21, 0x1.d2d3fc669b40ap-21, 0x1.d8789afffc23p-21, 0x1.dda7c3105f64p-21, 0x1.e26173b6c2cp-21, 0x1.e6a87400853a3p-21, 0x1.ea804329d7c19p-21, 0x1.edec7795b6094p-21, 0x1.f0f095d742bbdp-21, 0x1.f390050dce148p-21, 0x1.f5ce073ff7a46p-21, 0x1.f7ada98441926p-21, 0x1.f931d82ca5aedp-21, 0x1.fa5d89f717187p-21, 0x1.fb33f32789036p-21, 0x1.fbb8ac8ef76e5p-21, 0x1.fbefb0adc174p-21, 0x1.fbdd5ab2f8eb7p-21, 0x1.fb86a73e60f3fp-21, 0x1.faefa02ee7123p-21, 0x1.fa10309593306p-21, 0x1.f8c516921d9b5p-21, 0x1.f6ff84f9bc7d9p-21, 0x1.f50a1970e9d8ep-21, 0x1.f320cdf10ebc4p-21, 0x1.f11bf898f30acp-21, 0x1.eeaa32e7dafdfp-21, 0x1.ebe17b4a2346ap-21, 0x1.e8f047ef9650ep-21, 0x1.e5dd13e714919p-21, 0x1.e2a03387d3418p-21, 0x1.df339f7f738f8p-21, 0x1.db961d773d6dcp-21, 0x1.d7ca9ca074048p-21, 0x1.d3d5f31191d8fp-21, 0x1.cfbfb78402bd6p-21, 0x1.cb8f1684204ebp-21, 0x1.c72eca516309ap-21, 0x1.c2a71f4a97a0bp-21, 0x1.bdf6283480a96p-21, 0x1.b91f74769e241p-21, 0x1.b434dfff2c72p-21, 0x1.af3122e5b63ddp-21, 0x1.aa11d76346a42p-21, 0x1.a4d7c02175243p-21, 0x1.9f845bbcd2d28p-21, 0x1.9a1927c8a8623p-21, 0x1.94978e9600d8cp-21, 0x1.8f00e324ee6f4p-21, 0x1.895667235ac35p-21, 0x1.83994fb99736cp-21, 0x1.7dcac98931c82p-21, 0x1.77ebfbc5f342bp-21, 0x1.71fe09c7c0e2fp-21, 0x1.6c0212556c764p-21, 0x1.65f92c4fd13b6p-21, 0x1.5fe4616b26f78p-21, 0x1.59c4a92e58214p-21, 0x1.539ae8326b439p-21, 0x1.4d67f8902d261p-21, 0x1.472cbd40f9d29p-21, 0x1.40ea3cddbbe16p-21, 0x1.3aa1a2e091346p-21, 0x1.34541a8a86514p-21, 0x1.2e02b5fa28acep-21, 0x1.27aec93d9d5cp-21, 0x1.215acebed20e1p-21, 0x1.1b079511f365p-21, 0x1.14a8bba9a4bbp-21, 0x1.0e3a5f4ddd24dp-21, 0x1.07def93dc475cp-21, 0x1.018489d69cd05p-21, 0x1.f6380eba6393fp-22, 0x1.e972b4a77e69ep-22, 0x1.dcbd98b8fb71dp-22, 0x1.d0114c9f21823p-22, 0x1.c36ba7255f827p-22, 0x1.b6cd4ea021bb9p-22, 0x1.aa380d2f792a6p-22, 0x1.9db169fbec27dp-22, 0x1.913e253f061ep-22, 0x1.84cce19f70d19p-22, 0x1.785b263bf4689p-22, 0x1.6bfd4738b0107p-22, 0x1.5fb4375d09e36p-22, 0x1.537b87975ae5ap-22, 0x1.475304273153dp-22, 0x1.3b3b90225d605p-22, 0x1.2f361f9207da5p-22, 0x1.23438340ef10fp-22, 0x1.1764827b5ca37p-22, 0x1.0b99d5a8a0bcep-22, 0x1.ffc85827bcb88p-23, 0x1.e888591189128p-23, 0x1.d174ecada8f66p-23, 0x1.ba8f4395e36f2p-23, 0x1.a3d880ed03db5p-23, 0x1.8d51baf90d097p-23, 0x1.76fbfbf0b7a49p-23, 0x1.60d84313147c2p-23, 0x1.4ae785ca69b83p-23, 0x1.352ab0f9cf95bp-23, 0x1.1fa2b2af50539p-23, 0x1.0a5046e6adf49p-23, 0x1.ea68b3add463fp-24, 0x1.c09f421bb46f9p-24, 0x1.9745986a0e2bp-24, 0x1.6e5cfc8b17432p-24, 0x1.45e6a428915b2p-24, 0x1.1de3c379cfcd8p-24, 0x1.ecab432aeca92p-25, 0x1.9e7b3ce334c85p-25, 0x1.513a169c5ef35p-25, 0x1.04e98af327ac6p-25, 0x1.7313ba203eda2p-26, 0x1.bc70a87e151a7p-27, 0x1.2d53de6cfbb17p-28, -0x1.15c081899cep-28, -0x1.a881fb6374836p-27, -0x1.616821e778ff3p-26, -0x1.ece68f3836883p-26, -0x1.3b31b1e69487dp-25, -0x1.7ed5fbb482665p-25, -0x1.c173fea06f91cp-25, -0x1.018a9bfbb0a4ep-24, -0x1.21dc01414f2b3p-24, -0x1.41a89be5af2d6p-24, -0x1.60f95b8940776p-24, -0x1.7fd53b495b955p-24, -0x1.9e2b6fda1406dp-24, -0x1.bbff846cb45a7p-24, -0x1.d953c8ec43dcdp-24, -0x1.f6284dd6a215ep-24, -0x1.093e7baf5abe9p-23, -0x1.1728e06f2ffabp-23, -0x1.24d35c8ae87b2p-23, -0x1.323dfe59ea765p-23, -0x1.3f68d99d0a265p-23, -0x1.4c5406e83e7d1p-23, -0x1.58ffa32c28d97p-23, -0x1.656bcf61743ffp-23, -0x1.7198b05cc52bdp-23, -0x1.7d866e7775a1p-23, -0x1.893535ca35717p-23, -0x1.94a5398c015e3p-23, -0x1.9fd6c0f86652fp-23, -0x1.aaca011b2cd0dp-23, -0x1.b57eeae86364p-23, -0x1.bff5e63d51fdap-23, -0x1.ca2f565981f49p-23, -0x1.d42b6d677cb18p-23, -0x1.ddea6ccc78b3ep-23, -0x1.e76c9c6924626p-23, -0x1.f0b24781d09e8p-23, -0x1.f9bbbc53908dep-23, -0x1.0144a5c7fd9bep-22, -0x1.058da414bb877p-22, -0x1.09b903bfbf595p-22, -0x1.0dc6f0b149e9p-22, -0x1.11b7980698273p-22, -0x1.158b27ef22b72p-22, -0x1.1941cf44d33d5p-22, -0x1.1cdbbd010ec06p-22, -0x1.20592315b5864p-22, -0x1.23ba353aa3646p-22, -0x1.26ff220371aa4p-22, -0x1.2a281cff5eab6p-22, -0x1.2d355e691b71bp-22, -0x1.30271f35463d5p-22, -0x1.32fd8d5c2754dp-22, -0x1.35b8b88fe05bdp-22, -0x1.3858d3a89a9f4p-22, -0x1.3adeb3640468fp-22, -0x1.3d4a486e5bc8ap-22, -0x1.3f9b637d7ae9ap-22, -0x1.41d2627777affp-22, -0x1.43ef993488c19p-22, -0x1.45f35c67d3827p-22, -0x1.47ddc41873a89p-22, -0x1.49af1363e9eb2p-22, -0x1.4b6788d683fadp-22, -0x1.4d0760773257cp-22, -0x1.4e8ed54a21dddp-22, -0x1.4ffe25e05c315p-22, -0x1.51558e22d35d3p-22, -0x1.52954bdc970dfp-22, -0x1.53bd9cc7d4dd8p-22, -0x1.54cebee8f727fp-22, -0x1.55c8f0927da3cp-22, -0x1.56ac70815ea1bp-22, -0x1.57797d86c04dap-22, -0x1.5830555fff9a1p-22, -0x1.58d136e470f7fp-22, -0x1.595c620a9d6a3p-22, -0x1.59d216826bfe3p-22, -0x1.5a32933d261f6p-22, -0x1.5a7e17b220c71p-22, -0x1.5ab4e3829e2bdp-22, -0x1.5ad7358be423ap-22, -0x1.5ae54d58f8b0ap-22, -0x1.5adf6c3dcef15p-22, -0x1.5ac5d17e3c71dp-22, -0x1.5a98b8ffe0d82p-22, -0x1.5a5866223e892p-22, -0x1.5a0517dd5bb56p-22, -0x1.599f0d1baa436p-22, -0x1.5926854531161p-22, -0x1.589bbfae18d5dp-22, -0x1.57fefb94ccc9p-22, -0x1.575078175e8b9p-22, -0x1.569074352856dp-22, -0x1.55bf2ecb75ff7p-22, -0x1.54dce69313278p-22, -0x1.53e9d9f924aa6p-22, -0x1.52e646ed4eb1fp-22, -0x1.51d26c4453228p-22, -0x1.50ae89312eafp-22, -0x1.4f7ad9ebe1c4cp-22, -0x1.4e379c1efd0b1p-22, -0x1.4ce50d8d1b74bp-22, -0x1.4b836b7e5acb8p-22, -0x1.4a12f2ec6af3ep-22, -0x1.4893e07b09017p-22, -0x1.4706709c6946ep-22, -0x1.456adfb887e18p-22, -0x1.43c16a3db5f06p-22, -0x1.420a4c891155cp-22, -0x1.4045baa643015p-22, -0x1.3e73ef5f454b9p-22, -0x1.3c9535754f144p-22, -0x1.3aa9cb8ed0ae7p-22, -0x1.38b1d068f7fe5p-22, -0x1.36ad8cf2a2ddep-22, -0x1.349d40fbf6597p-22, -0x1.328114ab806cap-22, -0x1.30593f3c5b878p-22, -0x1.2e260c596a19dp-22, -0x1.2be7b5ecf1a55p-22, -0x1.299e67f199d7bp-22, -0x1.274a59f03903cp-22, -0x1.24ebc5259e489p-22, -0x1.2282e0beb79c8p-22, -0x1.200fe31a36892p-22, -0x1.1d9302464396ep-22, -0x1.1b0c73f115015p-22, -0x1.187c6d66fe093p-22, -0x1.15e3237fdcc49p-22, -0x1.1340ca848e571p-22, -0x1.109595ede1af8p-22, -0x1.0de1b7b780253p-22, -0x1.0b25622a5d09cp-22, -0x1.0860ff5721b68p-22, -0x1.0594310073e3bp-22, -0x1.02c02ebff12ecp-22, -0x1.ffc7571127cbdp-23, -0x1.fa0031c198587p-23, -0x1.f42a865f42bd2p-23, -0x1.ee46a5e7d79c8p-23, -0x1.e854f55af0ec6p-23, -0x1.e255d69e312fcp-23, -0x1.dc49a94697aa3p-23, -0x1.d630cb8fcf727p-23, -0x1.d00b9ab67dd3ap-23, -0x1.c9da73156d8bbp-23, -0x1.c39db002320dbp-23, -0x1.bd55ac1ff2d13p-23, -0x1.b702c109d70b6p-23, -0x1.b0a547d5d3233p-23, -0x1.aa3d9a5a0bbb3p-23, -0x1.a3cc0fa72370ap-23, -0x1.9d50f49e6f44ep-23, -0x1.96ccaa66c8492p-23, -0x1.903f8976140f9p-23, -0x1.89a9df827be75p-23, -0x1.830bf557b9a66p-23, -0x1.7c6623c3bc2e6p-23, -0x1.75b8c1f771051p-23, -0x1.6f041e16367p-23, -0x1.6848865737dfp-23, -0x1.6186495b2ca06p-23, -0x1.5abdb515d2997p-23, -0x1.53ef16b3354d6p-23, -0x1.4d1aba33daaa6p-23, -0x1.4640eb6dfc61cp-23, -0x1.3f61f345f29ep-23, -0x1.387e1e9054121p-23, -0x1.3195b412b00aap-23, -0x1.2aa8fc59e9e21p-23, -0x1.23b83eb9b0549p-23, -0x1.1cc3bd5d908b4p-23, -0x1.15cbc5112d36fp-23, -0x1.0ed09e245d9d3p-23, -0x1.07d27a9f70067p-23, -0x1.00d1ad22051fp-23, -0x1.f39ce3b78c3c8p-24, -0x1.e5921233692a2p-24, -0x1.d7836f1b29feap-24, -0x1.c97178d75c849p-24, -0x1.bb5cab78f9036p-24, -0x1.ad4582d923f5cp-24, -0x1.9f2c79f1186cep-24, -0x1.91120aa0c2dcep-24, -0x1.82f6ac35a7953p-24, -0x1.74dad3030d5cfp-24, -0x1.66bef5562c65ap-24, -0x1.58a36b07381c1p-24, -0x1.4a889e8bf19e4p-24, -0x1.3c6f7dfce21eep-24, -0x1.2e5828e255017p-24, -0x1.2042bf3fbcfddp-24, -0x1.122fe8472eab8p-24, -0x1.04201272cb574p-24, -0x1.ec274757cb111p-25, -0x1.d016021b72b3p-25, -0x1.b40d1ee683dc9p-25, -0x1.980d646d32c11p-25, -0x1.7c1795bc30d1dp-25, -0x1.602c73a6df188p-25, -0x1.444cbc4e6a1d2p-25, -0x1.28792b018a9c5p-25, -0x1.0cb277d8200cbp-25, -0x1.e1f2b091e6745p-26, -0x1.aa9cfd56c2e15p-26, -0x1.73653523c9f35p-26, -0x1.3c4cb04ac7336p-26, -0x1.0554c1041d251p-26, -0x1.9cfd6d688d3b9p-27, -0x1.2f98115c5a4cp-27, -0x1.84f7d2109fbd7p-28, -0x1.56a5b6051943ap-29, 0x1.6da0a87322fcdp-31, 0x1.061a0f2e17d85p-28, 0x1.dddb6505dcf1cp-28, 0x1.5a79dac493e8ep-27, 0x1.c5af400d52464p-27, 0x1.184356f5b00b1p-26, 0x1.4d80ee8da4bebp-26, 0x1.82958815daee7p-26, 0x1.b7764dce8f3abp-26, 0x1.ec25d6e410be5p-26, 0x1.1051c9f5cc52dp-25, 0x1.2a770a97e14aep-25, 0x1.4482905699c6ep-25, 0x1.5e73a860c66a2p-25, 0x1.7849b8dc71bb3p-25, 0x1.9204625eff058p-25, 0x1.aba332ee6fa03p-25, 0x1.c525b96da3d82p-25, 0x1.de8b857ae910bp-25, 0x1.f7d42c3b68577p-25, 0x1.087fa1839b853p-24, 0x1.150630e2b558ep-24, 0x1.217d9171f9566p-24, 0x1.2de591b01f746p-24, 0x1.3a3e00c3fb2dap-24, 0x1.4686af22438fp-24, 0x1.52bf6ebd3dbd3p-24, 0x1.5ee814a520f0fp-24, 0x1.6b006f89e80fap-24, 0x1.770858e086f73p-24, 0x1.82ffa594bf9p-24, 0x1.8ee62c7146788p-24, 0x1.9abbc406eab81p-24, 0x1.a68045b34d847p-24, 0x1.b2339399af92cp-24, 0x1.bdd5a48c42b7bp-24, 0x1.c965d25f5ed19p-24, 0x1.d4e4973d1ee25p-24, 0x1.e051806cf6357p-24, 0x1.ebac4dd1f2484p-24, 0x1.f6f5568f0b7e4p-24, 0x1.0116472d065c8p-23, 0x1.06a8875f2e269p-23, 0x1.0c31893b93ce6p-23, 0x1.11b15de3639bfp-23, 0x1.1727deb38940ep-23, 0x1.1c94ed0fe9e75p-23, 0x1.21f8de57eaf86p-23, 0x1.27531e504b397p-23, 0x1.2ca400dc08f28p-23, 0x1.31eb53bfa0ad5p-23, 0x1.3728c9b1cbfacp-23, 0x1.3c5cdd45fc3c5p-23, 0x1.41870df1dc531p-23, 0x1.46a7f01f86a04p-23, 0x1.4bbef97ecf10ap-23, 0x1.50c951b8e43b8p-23, 0x1.55d32c753852fp-23, 0x1.5ac7c62e1fc24p-23, 0x1.5fb86d0ac3796p-23, 0x1.649e03124531fp-23, 0x1.6979b359d64b6p-23, 0x1.6e4b74b149b48p-23, 0x1.73133b96c83f7p-23, 0x1.77d10086cbeccp-23, 0x1.7c84bd644d225p-23, 0x1.812e6c9fd3d34p-23, 0x1.85ce08a4cb26cp-23, 0x1.8a638e253344fp-23, 0x1.8eeef73ba1c62p-23, 0x1.93704075c2e58p-23, 0x1.97e76a5dbae3bp-23, 0x1.9c546756d2715p-23, 0x1.a0b73c2d0dbc5p-23, 0x1.a50fe79a4ca64p-23, 0x1.a95e6359dace1p-23, 0x1.ada2adf2ccf93p-23, 0x1.b1dcc619bf806p-23, 0x1.b60ca9082ff54p-23, 0x1.ba325dc141c7p-23, 0x1.be4dd51131d63p-23, 0x1.c25f1796bc4b6p-23, 0x1.c665f7677cf21p-23, 0x1.ca634bddfd5e8p-23, 0x1.ce554a3057e86p-23, 0x1.d23e38d388a56p-23, 0x1.d61c5377dc3eep-23, 0x1.d9f04b1985405p-23, 0x1.ddba192639ac9p-23, 0x1.e179b7c908f54p-23, 0x1.e52f27c7d58d3p-23, 0x1.e8da6bc3efad1p-23, 0x1.ec7b8630d630dp-23, 0x1.f01279724df3dp-23, 0x1.f39f4823dcfc9p-23, 0x1.f721f52ac142bp-23, 0x1.fa9a84afa51b6p-23, 0x1.fe08f83d4d037p-23, 0x1.00b6aad3c97ecp-22, 0x1.0263cf5ed10c7p-22, 0x1.040be9eec55b6p-22, 0x1.05aefb4afba5ep-22, 0x1.074cff85199ddp-22, 0x1.08e63fcb415b2p-22, 0x1.0a7a50d4e004bp-22, 0x1.0c09651e78f39p-22, 0x1.0d93891d76dd1p-22, 0x1.0f18b7d781b3dp-22, 0x1.1098f34bb174ep-22, 0x1.12143dd50aa05p-22, 0x1.138aa00692da1p-22, 0x1.14fc1c6a727e4p-22, 0x1.1668b38f4246p-22, 0x1.17d024737ffe8p-22, 0x1.19331ed76e731p-22, 0x1.1a910fc9e82c7p-22, 0x1.1bea20092f148p-22, 0x1.1d3e66d57b8f5p-22, 0x1.1e8dfcbe2c1ddp-22, 0x1.1fd87f7183f8fp-22, }}, 
      {{0x1.a0fcc0548c2a3p-4, 0x1.9921c4e3c1f5bp-3, 0x1.29938cfb92bb8p-2, 0x1.7cb453d87b61ap-2, 0x1.c43943a632f69p-2, 0x1.ff2e17162b905p-2, 0x1.16a22da7da851p-1, 0x1.275843958102ap-1, 0x1.32048000fe02p-1, 0x1.3714a0761cfe8p-1, 0x1.370ce469f7db2p-1, 0x1.327e55b751ed1p-1, 0x1.29ff28ca3c57cp-1, 0x1.1e24ec41fdc1fp-1, 0x1.0f803f16b5f98p-1, 0x1.fd339344048f3p-2, 0x1.d7e079e5542f1p-2, 0x1.afee449b2f33ep-2, 0x1.862c973952666p-2, 0x1.5b537ac4eec08p-2, 0x1.3003e379b6742p-2, 0x1.04c8b49fe866dp-2, 0x1.b430316deb5e3p-3, 0x1.60aa1c765b986p-3, 0x1.0fa220f7e99dep-3, 0x1.833727d80281p-4, 0x1.dbf615cce7764p-5, 0x1.80b00fb3fd6b4p-6, -0x1.2e2d6b21a21adp-7, -0x1.471fb4bf26083p-5, -0x1.19090f1e836bcp-4, -0x1.8623b3aafd725p-4, -0x1.eae9a507e879bp-4, -0x1.23bc21cf02737p-3, -0x1.4dfe7948a774ep-3, -0x1.7459006b7f473p-3, -0x1.96edf9e815b14p-3, -0x1.b5e3964ba1a04p-3, -0x1.d162efaccaddp-3, -0x1.e99729ee68ee2p-3, -0x1.feacb385baa71p-3, -0x1.086851c7b52c1p-2, -0x1.101818f403763p-2, -0x1.167c22efc37f5p-2, -0x1.1baa8c342549ap-2, -0x1.1fb8f3b920457p-2, -0x1.22bc5c304d406p-2, -0x1.24c913db9565ap-2, -0x1.25f2a20e55c0ep-2, -0x1.264bb983be3b5p-2, -0x1.25e62ed9f9efbp-2, -0x1.24d2f29df02a2p-2, -0x1.23220e686a0f7p-2, -0x1.20e2a48ee5563p-2, -0x1.1e22f20d8c901p-2, -0x1.1af0522fb3514p-2, -0x1.175743b66adb4p-2, -0x1.13636f1cebb7ep-2, -0x1.0f1fadd8f9ea8p-2, -0x1.0a961227f3755p-2, -0x1.05cfef8c8b7f1p-2, -0x1.00d5e37ce973dp-2, -0x1.f75fbcff8b73ap-3, -0x1.ecca5a8fb08a8p-3, -0x1.e1f903d4ba43cp-3, -0x1.d6f7f9e69893p-3, -0x1.cbd26ca1e1138p-3, -0x1.c0928bd4f8p-3, -0x1.b541984c639e6p-3, -0x1.a9e7f3adea9d5p-3, -0x1.9e8d30398d7f7p-3, -0x1.93381fb9f96aap-3, -0x1.87eee1bddd111p-3, -0x1.7cb6f15084cd5p-3, -0x1.719531c203ae9p-3, -0x1.668dfa9258884p-3, -0x1.5ba522fb2bd77p-3, -0x1.50de0c2726b1dp-3, -0x1.463bab210bec8p-3, -0x1.3bc092024cbf6p-3, -0x1.316ef85626778p-3, -0x1.2748c36c233fep-3, -0x1.1d4f8d7376c66p-3, -0x1.1384ac8b81f35p-3, -0x1.09e9391531159p-3, -0x1.007e1396af915p-3, -0x1.ee87d3ddf9161p-4, -0x1.dc76791c06c2dp-4, -0x1.cac8c541cd0b9p-4, -0x1.b97f1caf50f99p-4, -0x1.a899a13d526b3p-4, -0x1.9818392865609p-4, -0x1.87fa955268177p-4, -0x1.7840373ed73cdp-4, -0x1.68e8761dfb71ep-4, -0x1.59f283a301612p-4, -0x1.4b5d70a4c11aap-4, -0x1.3d2830e23b93dp-4, -0x1.2f519eb9e944p-4, -0x1.21d87e6178619p-4, -0x1.14bb80eb780b7p-4, -0x1.07f946d911ea4p-4, -0x1.f720c58c49265p-5, -0x1.defeb67675624p-5, -0x1.c78959bd58613p-5, -0x1.b0bd987f7acdfp-5, -0x1.9a984ed64fbf5p-5, -0x1.85164e8f96cc7p-5, -0x1.7034620dc78b2p-5, -0x1.5bef4e848cc98p-5, -0x1.4843d60622396p-5, -0x1.352eb9aa58917p-5, -0x1.22acbaf1cfc83p-5, -0x1.10ba9dbb9ebdfp-5, -0x1.feaa528bec9e8p-6, -0x1.dcf252d4075fdp-6, -0x1.bc46e01cf3abcp-6, -0x1.9ca1abb01abfap-6, -0x1.7dfc7638b75dbp-6, -0x1.6051115b176dap-6, -0x1.4399610492127p-6, -0x1.27cf5c9bdd206p-6, -0x1.0ced10199af88p-6, -0x1.e5d939eeeafaap-7, -0x1.b39075d8405e3p-7, -0x1.82f4715b5c56cp-7, -0x1.53f9f9491ef99p-7, -0x1.2696096d9b3a1p-7, -0x1.f57ba07ce4805p-8, -0x1.a0cd594b30092p-8, -0x1.4f0c603929b77p-8, -0x1.00243d379d3c7p-8, -0x1.6801bc8acce64p-9, -0x1.aa3a5ce8264acp-10, -0x1.1dd114cbb43dcp-11, 0x1.047af6c287872p-11, 0x1.89819863166c6p-10, 0x1.43960c21795b1p-9, 0x1.bdc1d8443b713p-9, 0x1.19b360e55e788p-8, 0x1.525348725dfc5p-8, 0x1.88d1234aee12ep-8, 0x1.bd3d0f7a14521p-8, 0x1.efa6c8c9fa67dp-8, 0x1.100ed5cdf7502p-7, 0x1.2758596fb8f2cp-7, 0x1.3db73e25a339bp-7, 0x1.5332a40ce968bp-7, 0x1.67d17d2eac53ep-7, 0x1.7b9a8e676619fp-7, 0x1.8e946fa5a4b6p-7, 0x1.a0c58d390a7f6p-7, 0x1.b2342803ce2a9p-7, 0x1.c2e6565a440e5p-7, 0x1.d2e204d7bbb1ep-7, 0x1.e22cf700cf233p-7, 0x1.f0ccc819518cbp-7, 0x1.fec6ebd9ca0f9p-7, 0x1.06105795ae9f8p-6, 0x1.0c6f9c76ef038p-6, 0x1.1283c57184371p-6, 0x1.184f411672912p-6, 0x1.1dd46c329f471p-6, 0x1.23159208919a6p-6, 0x1.2814eccbf2d1ap-6, 0x1.2cd4a600b7e12p-6, 0x1.3156d6cdc67c3p-6, 0x1.359d887d7eeap-6, 0x1.39aab4ac4356ep-6, 0x1.3d8045d057198p-6, 0x1.41201790553p-6, 0x1.448bf716f0e6dp-6, 0x1.47c5a36d18768p-6, 0x1.4acecddb9a1a2p-6, 0x1.4da91a44002a2p-6, 0x1.50561f82f7024p-6, 0x1.52d767ba73ae4p-6, 0x1.552e70a4eaa41p-6, 0x1.575cabf0ee5f8p-6, 0x1.59637f9adf4bep-6, 0x1.5b444638cfdf9p-6, 0x1.5d004f4aa3b0ap-6, 0x1.5e98df864b863p-6, 0x1.600f312d1cbadp-6, 0x1.61647451aedc1p-6, 0x1.6299cf27ae0bcp-6, 0x1.63b05e4c9a168p-6, 0x1.64a9350cbdf85p-6, 0x1.65855dad232a2p-6, 0x1.6645d9ad176e3p-6, 0x1.66eba2044c25fp-6, 0x1.6777a7772301bp-6, 0x1.67ead2c724037p-6, 0x1.684604f2640b7p-6, 0x1.688a178278dc2p-6, 0x1.68b7dcadf403ep-6, 0x1.68d01f96b9163p-6, 0x1.68d3a49ee30ecp-6, 0x1.68c3298d52a82p-6, 0x1.689f65bbe4c0dp-6, 0x1.68690a55ea5bp-6, 0x1.6820c2896e35cp-6, 0x1.67c733ba77de3p-6, 0x1.675cfdb3cae0dp-6, 0x1.66e2bad92c86fp-6, 0x1.66590051fe4a4p-6, 0x1.65c05e339622fp-6, 0x1.65195fae4f7c6p-6, 0x1.64648b357086cp-6, 0x1.63a262b076259p-6, 0x1.62d363a12330fp-6, 0x1.61f80744d8306p-6, 0x1.6110c2bbb0d3bp-6, 0x1.601e072b46138p-6, 0x1.5f2041e43bf87p-6, 0x1.5e17dc854695ap-6, 0x1.5d053d1ca70edp-6, 0x1.5be8c647a3687p-6, 0x1.5ac2d75156de4p-6, 0x1.5993cc4ec1d4bp-6, 0x1.585bfe3b4b166p-6, 0x1.571bc318a1e6p-6, 0x1.55d36e087e236p-6, 0x1.54834f6816d5cp-6, 0x1.532bb4e9fdc27p-6, 0x1.51cce9aa3c4e5p-6, 0x1.50673648a8d13p-6, 0x1.4efae102e4a75p-6, 0x1.4d882dc6c79a5p-6, 0x1.4c0f5e48fd1d9p-6, 0x1.4a90b2191f139p-6, 0x1.490c66b915f62p-6, 0x1.4782b7ae01383p-6, 0x1.45f3de9171482p-6, 0x1.44601325067b7p-6, 0x1.42c78b62deff8p-6, 0x1.412a7b8f6fe47p-6, 0x1.3f8916497463bp-6, 0x1.3de38c998043ap-6, 0x1.3c3a0e012d9aep-6, 0x1.3a8cc888991aap-6, 0x1.38dbe8cd5ddb7p-6, 0x1.37279a0e6954cp-6, 0x1.35700639e78a5p-6, 0x1.33b555f9b33bap-6, 0x1.31f7b0bf687c5p-6, 0x1.30373ccfce6a1p-6, 0x1.2e741f4e00d94p-6, 0x1.2cae7c45a3031p-6, 0x1.2ae676b56c464p-6, 0x1.291c30987351fp-6, 0x1.274fcaefad62fp-6, 0x1.258165cbc08a6p-6, 0x1.23b120557e8dcp-6, 0x1.21df18d6401cep-6, 0x1.200b6cc02b9fp-6, 0x1.1e3638b500b74p-6, 0x1.1c5f988ee1407p-6, 0x1.1a87a76718984p-6, 0x1.18ae7f9bd9ap-6, 0x1.16d43ad7b8103p-6, 0x1.14f8f217fe787p-6, 0x1.131cbdb2d7ea1p-6, 0x1.113fb55cf6c05p-6, 0x1.0f61f02f367b7p-6, 0x1.0d8384ac16e78p-6, 0x1.0ba488c4be3b4p-6, 0x1.09c511dc9ee27p-6, 0x1.07e534cfbc9b1p-6, 0x1.060505f7975a5p-6, 0x1.0424992da065bp-6, 0x1.024401d074087p-6, 0x1.006352c7db8dcp-6, 0x1.fd053d10ebb84p-7, 0x1.f943ee2e7152ap-7, 0x1.f582dc19d6b05p-7, 0x1.f1c229329c345p-7, 0x1.ee01f70ccf888p-7, 0x1.ea426676ae2dp-7, 0x1.e683977ef522fp-7, 0x1.e2c5a97a712f9p-7, 0x1.df08bb090c3d3p-7, 0x1.db4cea1ad7eaep-7, 0x1.d79253f52ea1ap-7, 0x1.d3d91537072e9p-7, 0x1.d02149dd799fdp-7, 0x1.cc6b0d47499e1p-7, 0x1.c8b67a3824c65p-7, 0x1.c503aadfe7369p-7, 0x1.c152b8df99737p-7, 0x1.bda3bd3f6c2b5p-7, 0x1.b9f6d087918c3p-7, 0x1.b64c0aafd16f4p-7, 0x1.b2a3832cacf94p-7, 0x1.aefd50f215d8dp-7, 0x1.ab598a73ad9b6p-7, 0x1.a7b845a8202cap-7, 0x1.a419980b7f9a7p-7, 0x1.a07d96a1d3eadp-7, 0x1.9ce455f95ef27p-7, 0x1.994dea2cfdb9ap-7, 0x1.95ba66e61d82cp-7, 0x1.9229df5eb671cp-7, 0x1.8e9c666349048p-7, 0x1.8b120e54aa493p-7, 0x1.878ae929d2e49p-7, 0x1.84070871475c3p-7, 0x1.80867d530d1c8p-7, 0x1.7d09589196e99p-7, 0x1.798faa8c3b5fdp-7, 0x1.7619833f6365cp-7, 0x1.72a6f247297d1p-7, 0x1.6f3806dfa8932p-7, 0x1.6bcccfe69dfe2p-7, 0x1.68655bdceb1c3p-7, 0x1.6501b8e7426ecp-7, 0x1.61a1f4cf01bf5p-7, 0x1.5e461d044bbd2p-7, 0x1.5aee3e9f2447bp-7, 0x1.579a665e217a3p-7, 0x1.544aa0a997b95p-7, 0x1.50fef99479799p-7, 0x1.4db77cdc93c31p-7, 0x1.4a7435eb70c88p-7, 0x1.47352fd796abdp-7, 0x1.43fa7565512bfp-7, 0x1.40c41107483b5p-7, 0x1.3d920cdf70851p-7, 0x1.3a6472bfd99b7p-7, 0x1.373b4c2b7c49ep-7, 0x1.3416a256e54bfp-7, 0x1.30f67e28f3702p-7, 0x1.2ddae83bc2e84p-7, 0x1.2ac3e8dd2c5f5p-7, 0x1.27b1880fb5eabp-7, 0x1.24a3cd8b1971fp-7, 0x1.219ac0bd13d8cp-7, 0x1.1e9668ca0f264p-7, 0x1.1b96cc8dd1e08p-7, 0x1.189bf29c2ae3ep-7, 0x1.15a5e141b8f3dp-7, 0x1.12b49e84b1977p-7, 0x1.0fc83024e726fp-7, 0x1.0ce09b9d4318fp-7, 0x1.09fde6248f1fap-7, 0x1.072014ad324efp-7, 0x1.04472be68275ep-7, 0x1.0173303d6326ep-7, 0x1.fd484bb9cd714p-8, 0x1.f7b4215df1faap-8, 0x1.f229e8ba1993ap-8, 0x1.eca9a8a1a155dp-8, 0x1.e7336769dae84p-8, 0x1.e1c72aeb086b3p-8, 0x1.dc64f88252e6bp-8, 0x1.d70cd512b3eabp-8, 0x1.d1bec50674152p-8, 0x1.cc7acc50b7ab1p-8, 0x1.c740ee6ecb94fp-8, 0x1.c2112e698b1fbp-8, 0x1.bceb8ed6d0b8p-8, 0x1.b7d011dadfe4ep-8, 0x1.b2beb929d3321p-8, 0x1.adb786090d7bbp-8, 0x1.a8ba79509c06ep-8, 0x1.a3c7936cb03f1p-8, 0x1.9eded45f315fcp-8, 0x1.9a003bc128f7cp-8, 0x1.952bc8c41bb73p-8, 0x1.90617a339651p-8, 0x1.8ba14e76a978ap-8, 0x1.86eb4391630fp-8, 0x1.823f5726450fap-8, 0x1.7d9d8677c7774p-8, 0x1.7905ce6978c6fp-8, 0x1.74782b813af52p-8, 0x1.6ff499ec1569ep-8, 0x1.6b7b157cdcc07p-8, 0x1.670b99a920e6ap-8, 0x1.62a62192ae2e9p-8, 0x1.5e4aa8063e121p-8, 0x1.59f9277bfd2e2p-8, 0x1.55b19a197e08fp-8, 0x1.5173f9b35c779p-8, 0x1.4d403fceaf31dp-8, 0x1.491665a223d44p-8, 0x1.44f66416d70c6p-8, 0x1.40e033cdbb7b9p-8, 0x1.3cd3cd20b378ep-8, 0x1.38d1281de754ap-8, 0x1.34d83c8954c22p-8, 0x1.30e901e58a516p-8, 0x1.2d036f73762c8p-8, 0x1.29277c3105bp-8, 0x1.25551edb7d859p-8, 0x1.218c4df0f7e1fp-8, 0x1.1dccffb1ef6e1p-8, 0x1.1a172a23a52cbp-8, 0x1.166ac31038afp-8, 0x1.12c7c008e2e9dp-8, 0x1.0f2e166730559p-8, 0x1.0b9dbb4e6817ep-8, 0x1.0816a3ad01883p-8, 0x1.0498c43e214d6p-8, 0x1.0124118b0e9a6p-8, 0x1.fb70ffd93ed16p-9, 0x1.f4ac071949f5dp-9, 0x1.edf920cedca79p-9, 0x1.e7583499f579ep-9, 0x1.e0c929c51f541p-9, 0x1.da4be747dd4p-9, 0x1.d3e053c95c078p-9, 0x1.cd8655a2ff39ep-9, 0x1.c73dd2e2d95d2p-9, 0x1.c106b14e28a06p-9, 0x1.bae0d66406388p-9, 0x1.b4cc2760258p-9, 0x1.aec8893d91f68p-9, 0x1.a8d5e0b974021p-9, 0x1.a2f41255ed54cp-9, 0x1.9d23025cbfd7bp-9, 0x1.976294e1e8c38p-9, 0x1.91b2adc5f0499p-9, 0x1.8c1330b80ba36p-9, 0x1.868401380fd8fp-9, 0x1.810502983a4e1p-9, 0x1.7b9617ff1c36fp-9, 0x1.7637246989fd6p-9, 0x1.70e80aace037fp-9, 0x1.6ba8ad797fcbdp-9, 0x1.6678ef5da2716p-9, 0x1.6158b2c8506edp-9, 0x1.5c47da0c62b63p-9, 0x1.5746476364ec1p-9, 0x1.5253dcf01189fp-9, 0x1.4d707cc057c7fp-9, 0x1.489c08ced3a9fp-9, 0x1.43d66303d0f4bp-9, 0x1.3f1f6d35e56d2p-9, 0x1.3a77092a616f5p-9, 0x1.35dd189555p-9, 0x1.31517d1a4901ep-9, 0x1.2cd418535bcaap-9, 0x1.2864cbd3ee3edp-9, 0x1.2403791d16149p-9, 0x1.1fb001b16aa14p-9, 0x1.1b6a4715bd7eap-9, 0x1.17322ad188e1fp-9, 0x1.13078e72486adp-9, 0x1.0eea538d4f33cp-9, 0x1.0ada5bc040dacp-9, 0x1.06d788b07621ap-9, 0x1.02e1bc09b9cbap-9, 0x1.fdf1aef9aea47p-10, 0x1.f639797cff75ep-10, 0x1.ee9a9b0e4b2p-10, 0x1.e714d728186ffp-10, 0x1.dfa7f153ab16bp-10, 0x1.d853ad30b71cbp-10, 0x1.d117ce7f05fafp-10, 0x1.c9f4192879277p-10, 0x1.c2e8514b26869p-10, 0x1.bbf43b40bace5p-10, 0x1.b5179ba43913p-10, 0x1.ae52374ee7c66p-10, 0x1.a7a3d357d4de6p-10, 0x1.a10c35141f03ep-10, 0x1.9a8b2207d6badp-10, 0x1.94205fdfe8238p-10, 0x1.8dcbb46f10fafp-10, 0x1.878ce5aa1f16bp-10, 0x1.8163b9a8c9b0ep-10, 0x1.7b4ff6aacdb42p-10, 0x1.75516320c169cp-10, 0x1.6f67c5b783d0ep-10, 0x1.6992e564b5abep-10, 0x1.63d289728beb3p-10, 0x1.5e267989469dcp-10, 0x1.588e7db4fe003p-10, 0x1.530a5e6711886p-10, 0x1.4d99e4734aef4p-10, 0x1.483cd9094797fp-10, 0x1.42f305ab81f9ep-10, 0x1.3dbc34256fbb7p-10, 0x1.38982e822146cp-10, 0x1.3386bf03af689p-10, 0x1.2e87b01e9addfp-10, 0x1.299acc8d57d44p-10, 0x1.24bfdf488f331p-10, 0x1.1ff6b36e1cbebp-10, 0x1.1b3f1475e4876p-10, 0x1.1698ce3b73819p-10, 0x1.1203acfb71607p-10, 0x1.0d7f7d5ef1864p-10, 0x1.090c0c828f98fp-10, 0x1.04a927fe72e61p-10, 0x1.00569ddaed01cp-10, 0x1.f828792f17187p-11, 0x1.efc3a63d77eep-11, 0x1.e77e617f07b2p-11, 0x1.df584a49a7bcbp-11, 0x1.d751009a921dcp-11, 0x1.cf6825079a049p-11, 0x1.c79d58b381a3ap-11, 0x1.bff03d46c01c5p-11, 0x1.b86074ee2be61p-11, 0x1.b0eda260213bcp-11, 0x1.a99768e87edccp-11, 0x1.a25d6c7a5d2c9p-11, 0x1.9b3f51c5cad8ep-11, 0x1.943cbe4ea9472p-11, 0x1.8d55588185cb6p-11, 0x1.8688c7c366914p-11, 0x1.7fd6b47bc5465p-11, 0x1.793ec8281619p-11, 0x1.72c0ad5a0d04ap-11, 0x1.6c5c0f898662dp-11, 0x1.66109b317d6bfp-11, 0x1.5fddfdbbf7218p-11, 0x1.59c3e55d236fbp-11, 0x1.53c200f6af2fp-11, 0x1.4dd7fff8617edp-11, 0x1.480592421f9cp-11, 0x1.424a680d8faddp-11, 0x1.3ca631e526eaap-11, 0x1.3718a0ab7eb2p-11, 0x1.31a165b31bd6ap-11, 0x1.2c4032e3a228p-11, 0x1.26f4bae522822p-11, 0x1.21beb149c065fp-11, 0x1.1c9dcaafb3e21p-11, 0x1.1791bcd7fc1ep-11, 0x1.129a3eb135cbcp-11, 0x1.0db708595fc3ep-11, 0x1.08e7d31624deep-11, 0x1.042c5949becebp-11, 0x1.ff08acbf20e79p-12, 0x1.f5df0d61d33a8p-12, 0x1.ecdb4ebf7334fp-12, 0x1.e3fcec4f0f83bp-12, 0x1.db4362531ecbep-12, 0x1.d2ae2d792c354p-12, 0x1.ca3cca97c1a4ap-12, 0x1.c1eeb69ed9333p-12, 0x1.b9c36ec560e52p-12, 0x1.b1ba70edd1586p-12, 0x1.a9d33c2c713d4p-12, 0x1.a20d514facaf8p-12, 0x1.9a68334ab1ed7p-12, 0x1.92e3676da330ap-12, 0x1.8b7e7567dd728p-12, 0x1.8438e720d302fp-12, 0x1.7d12487eaa248p-12, 0x1.760a2731c5831p-12, 0x1.6f2012932c214p-12, 0x1.68539b975c25fp-12, 0x1.61a454c8309p-12, 0x1.5b11d2335ab9bp-12, 0x1.549ba93b516aap-12, 0x1.4e41704530b04p-12, 0x1.4802be4f51a6p-12, 0x1.41df2a8d67ebcp-12, 0x1.3bd64c2d62667p-12, 0x1.35e7ba65b1051p-12, 0x1.30130cd42fedp-12, 0x1.2a57dc1e074ap-12, 0x1.24b5c2a0d781bp-12, 0x1.1f2c5cfd25536p-12, 0x1.19bb4a5a4e592p-12, 0x1.14622c51a3347p-12, 0x1.0f20a68d7e937p-12, 0x1.09f65e3fc100cp-12, 0x1.04e2f9aa1bb1fp-12, 0x1.ffcc3fa700f1cp-13, 0x1.f5fef0f224778p-13, 0x1.ec5d586007799p-13, 0x1.e2e6c93dff7f5p-13, 0x1.d99a996102e0cp-13, 0x1.d078214712e97p-13, 0x1.c77ebbdaad8e3p-13, 0x1.beadc5dfa3036p-13, 0x1.b6049d363e4c9p-13, 0x1.ad82a03bc79ap-13, 0x1.a5272d8e8e36fp-13, 0x1.9cf1a3f7501d5p-13, 0x1.94e163c925c4bp-13, 0x1.8cf5d036c4c2dp-13, 0x1.852e502e9a219p-13, 0x1.7d8a4e22cf045p-13, 0x1.76093969deb33p-13, 0x1.6eaa853790635p-13, 0x1.676da763cea2bp-13, 0x1.605217040d12p-13, 0x1.59574bde2c1e9p-13, 0x1.527cbee9ae257p-13, 0x1.4bc1ea55c3ca3p-13, 0x1.45264a2547945p-13, 0x1.3ea95c84bb87dp-13, 0x1.384aa1ceb2a5dp-13, 0x1.32099c517a165p-13, 0x1.2be5d007ee4b7p-13, 0x1.25dec26fe9p-13, 0x1.1ff3fa89faf6p-13, 0x1.1a2500eca832dp-13, 0x1.14715fc9541abp-13, 0x1.0ed8a2cc519b4p-13, 0x1.095a56e73b30ap-13, 0x1.03f60a30e80a4p-13, 0x1.fd56980d69b54p-14, 0x1.f2f35ae59b239p-14, 0x1.e8c18342a0443p-14, 0x1.dec03c1d60fc2p-14, 0x1.d4eeb4730dfdep-14, 0x1.cb4c1de80cc2ap-14, 0x1.c1d7ab88ea41bp-14, 0x1.b890919e29e5ep-14, 0x1.af7606e99d15ap-14, 0x1.a68746a2b402ap-14, 0x1.9dc391de68721p-14, 0x1.952a2f517d34p-14, 0x1.8cba6959c3abfp-14, 0x1.84738b59b31cbp-14, 0x1.7c54dfe6d59d5p-14, 0x1.745db0d7b63a7p-14, 0x1.6c8d494a94e06p-14, 0x1.64e2f8abfd1bcp-14, 0x1.5d5e15412c524p-14, 0x1.55fdfd0b559a3p-14, 0x1.4ec2148c61c34p-14, 0x1.47a9c4002780cp-14, 0x1.40b47440f481ep-14, 0x1.39e18ca09eef9p-14, 0x1.33307281dcc1fp-14, 0x1.2ca08aa146f91p-14, 0x1.26313b2a725f6p-14, 0x1.1fe1ed58768b9p-14, 0x1.19b20dc4873dap-14, 0x1.13a10b8cfe321p-14, 0x1.0dae576e05e11p-14, 0x1.07d96405e195fp-14, 0x1.0221a786d097ep-14, 0x1.f90d3b63bc02dp-15, 0x1.ee0f90948d20cp-15, 0x1.e3495a292915ep-15, 0x1.d8b9a46019ccfp-15, 0x1.ce5f75bbb536cp-15, 0x1.c439cd219fbbep-15, 0x1.ba47a57c81075p-15, 0x1.b087fcd98efb3p-15, 0x1.a6f9db6bb5f76p-15, 0x1.9d9c576f531c6p-15, 0x1.946e94e75c6abp-15, 0x1.8b6fc24aef06fp-15, 0x1.829f13f58e3f2p-15, 0x1.79fbbfacd83b6p-15, 0x1.7184f8f117acp-15, 0x1.6939eedb64553p-15, 0x1.6119cc7de15a3p-15, 0x1.5923bc1a1a81dp-15, 0x1.5156ec0859316p-15, 0x1.49b292f5beeffp-15, 0x1.4235f14a81d22p-15, 0x1.3ae04f3379b54p-15, 0x1.33b0f8e124c6dp-15, 0x1.2ca73b9ff93a7p-15, 0x1.25c265c9f6891p-15, 0x1.1f01c936611bap-15, 0x1.1864bd4f14561p-15, 0x1.11ea9de3f5a82p-15, 0x1.0b92c773d937fp-15, 0x1.055c93fec86cdp-15, 0x1.fe8eb43a0aae3p-16, 0x1.f2a4e46f863e8p-16, 0x1.e6fa76d42a448p-16, 0x1.db8e38a5ee7a6p-16, 0x1.d05f022221dd5p-16, 0x1.c56bb0d3ab47ap-16, 0x1.bab325523b94p-16, 0x1.b034450eb40f6p-16, 0x1.a5edfc6e49965p-16, 0x1.9bdf3dc5cd3cbp-16, 0x1.9206fd1e3c88ep-16, 0x1.88642b0e11639p-16, 0x1.7ef5b3151b2ap-16, 0x1.75ba80b405p-16, 0x1.6cb17c6abd8a7p-16, 0x1.63d999409982dp-16, 0x1.5b31de0f01de1p-16, 0x1.52b964fd056c6p-16, 0x1.4a6f5816a529p-16, 0x1.4252e70bfcd3p-16, 0x1.3a633cc0f24acp-16, 0x1.329f7a3ceebb5p-16, 0x1.2b06bb87791b8p-16, 0x1.239820d6820bep-16, 0x1.1c52d2772e0e2p-16, 0x1.1535fa2ad870fp-16, 0x1.0e40ca4e8993ap-16, 0x1.07727043f2a3ep-16, 0x1.00ca373f265c5p-16, 0x1.f48edc2124e2dp-17, 0x1.e7d2ca45c630ep-17, 0x1.db5ec93710b1cp-17, 0x1.cf315c1714e7dp-17, 0x1.c34909433021cp-17, 0x1.b7a4664df1162p-17, 0x1.ac42182f43d36p-17, 0x1.a120ce03edae3p-17, 0x1.963f3e37fcf46p-17, 0x1.8b9c25e88fe92p-17, 0x1.8136469286e3fp-17, 0x1.770c6191cc4aap-17, 0x1.6d1d34fee5565p-17, 0x1.63677ddcbe9c4p-17, 0x1.59ea00211c82fp-17, 0x1.50a390cb505c8p-17, 0x1.47931c3393013p-17, 0x1.3eb7a3d1d3f68p-17, 0x1.361031f5d9d85p-17, 0x1.2d9bc6f66ad45p-17, 0x1.25594af0e5273p-17, 0x1.1d47919a07894p-17, 0x1.156570549588dp-17, 0x1.0db1d1cd07389p-17, 0x1.062bb5dbac981p-17, 0x1.fda454d432c73p-18, 0x1.ef48a30bad1bp-18, 0x1.e142d144517abp-18, 0x1.d3916f6ab9907p-18, 0x1.c632e6b17b861p-18, 0x1.b92567ae9d988p-18, 0x1.ac6710e6633adp-18, 0x1.9ff61c8c93c09p-18, 0x1.93d0e7e50f226p-18, 0x1.87f5dddb6ba19p-18, 0x1.7c63698902e8bp-18, 0x1.7117f9f70328p-18, 0x1.661209b6a9eccp-18, 0x1.5b50220b313f2p-18, 0x1.50d0d96a2adc5p-18, 0x1.4692ceb0b9d68p-18, 0x1.3c94a306ab6fp-18, 0x1.32d4f6182b628p-18, 0x1.295268208ac01p-18, 0x1.200ba11ee2c24p-18, 0x1.16ff583283bcep-18, 0x1.0e2c567a8a6p-18, 0x1.059174fe8276ep-18, 0x1.fa5b2d22c4b79p-19, 0x1.e9ff3aff028fep-19, 0x1.da0cba9588eb3p-19, 0x1.ca81149fb87cp-19, 0x1.bb59a1a90e7ecp-19, 0x1.ac93f89d6fa93p-19, 0x1.9e2dfe7339094p-19, 0x1.9025bf41c7e5ap-19, 0x1.827948172c414p-19, 0x1.7526b02def942p-19, 0x1.682c179a44c88p-19, 0x1.5b8779bf5fe7cp-19, 0x1.4f36b5291b6bfp-19, 0x1.4337d92997a1ep-19, 0x1.3789385228dd7p-19, 0x1.2c2925731e7a5p-19, 0x1.2115d2e2b93d5p-19, 0x1.164d6dbb142f1p-19, 0x1.0bce36fdd4f84p-19, 0x1.019685a57f5b7p-19, 0x1.ef4980dc1f6c2p-20, 0x1.dbeeb3d063228p-20, 0x1.c9199f4e4fb01p-20, 0x1.b6c751870e2a9p-20, 0x1.a4f4e4825c34ap-20, 0x1.939f7721b543bp-20, 0x1.82c42b4803227p-20, 0x1.7260297771c76p-20, 0x1.6270a42a86212p-20, 0x1.52f2d4312475dp-20, 0x1.43e3f721c77ep-20, 0x1.35418f5500d95p-20, 0x1.27092fcee9d17p-20, 0x1.193867ee439fep-20, 0x1.0bcce8f378715p-20, 0x1.fd883c42b1b9cp-21, 0x1.e436982585429p-21, 0x1.cba01aaf7289fp-21, 0x1.b3c12755a8ddp-21, 0x1.9c967912e9109p-21, 0x1.861bc329126ccp-21, 0x1.704c37223400ep-21, 0x1.5b23aa9cb0946p-21, 0x1.469dda37ac3e6p-21, 0x1.32b697d7d00c8p-21, 0x1.1f6a97879d6fbp-21, 0x1.0cb67004a96dp-21, 0x1.f52c2eef6bb03p-22, 0x1.d20ae9e34e90bp-22, 0x1.b001502d72f4dp-22, 0x1.8f08103ef1a7ap-22, 0x1.6f188c5520eedp-22, 0x1.502b42150211fp-22, 0x1.323bca0e23adcp-22, 0x1.154336b58e562p-22, 0x1.f277d0a3dfe5p-23, 0x1.bc3fd007e4613p-23, 0x1.87d3127cb179dp-23, 0x1.5526a37ceaf85p-23, 0x1.242f7d438c795p-23, 0x1.e9c4aede71a7bp-24, 0x1.8e6790473b1d4p-24, 0x1.3630d7a12a40cp-24, 0x1.c2141a781be91p-25, 0x1.1dbb069346718p-25, 0x1.fcb6a17ea1bdcp-27, -0x1.9b97b1355ae7bp-29, -0x1.5a38453fd3b84p-26, -0x1.3b1bea5298121p-25, -0x1.c3deb68c09107p-25, -0x1.23c6267ce452bp-24, -0x1.632387fd3eda6p-24, -0x1.a015216021764p-24, -0x1.daa845177a64dp-24, -0x1.09781ffc3badfp-23, -0x1.24817d888c3d3p-23, -0x1.3e781611a11a4p-23, -0x1.57632fef3a58ep-23, -0x1.6f47e640dde76p-23, -0x1.862c22c14e1dep-23, -0x1.9c183e11dc4dcp-23, -0x1.b1140d3206dbbp-23, -0x1.c5260f24ddce7p-23, -0x1.d85471ad6e282p-23, -0x1.eaa5bae612009p-23, -0x1.fc2015961cffep-23, -0x1.0664e51f52d37p-22, -0x1.0e54c19af519dp-22, -0x1.15e313ad18231p-22, -0x1.1d1328821a5bdp-22, -0x1.23e7bf4021a26p-22, -0x1.2a63001bd2386p-22, -0x1.3087089919555p-22, -0x1.36565ea930b7cp-22, -0x1.3bd39e2bed0e7p-22, -0x1.4101244a22431p-22, -0x1.45e155ce8cc6ap-22, -0x1.4a76d49338ccap-22, -0x1.4ec449a5058fdp-22, -0x1.52cc337fa7ef1p-22, -0x1.5690e3278e2d8p-22, -0x1.5a14832c378b6p-22, -0x1.5d590e7180649p-22, -0x1.606046c753923p-22, -0x1.632bd7e315b2dp-22, -0x1.65bd8dc6a94ccp-22, -0x1.6817536889b8ap-22, -0x1.6a3b2a7ce708cp-22, -0x1.6c2b1a3ddda0fp-22, -0x1.6de8ab0aa9e1cp-22, -0x1.6f755ee902fd4p-22, -0x1.70d3eb54d081dp-22, -0x1.72064f77fbb5cp-22, -0x1.730d2c4528fd9p-22, -0x1.73e959cd9f54dp-22, -0x1.749ce6a89d9ep-22, -0x1.752990fad8252p-22, -0x1.7590bc563efebp-22, -0x1.75d3c3b0e445p-22, -0x1.75f403f5ce9a7p-22, -0x1.75f2d476383d2p-22, -0x1.75d18529f4012p-22, -0x1.759171c6d6044p-22, -0x1.7533e515e6209p-22, -0x1.74b9795adc773p-22, -0x1.7423b5b6fa3bep-22, -0x1.7373d9b078dabp-22, -0x1.72aadd1378a85p-22, -0x1.71c9d19931719p-22, -0x1.70d1c0f820fa5p-22, -0x1.6fc3b83bdfb7bp-22, -0x1.6ea0c686b592ap-22, -0x1.6d69d0b52aeb4p-22, -0x1.6c1fcad9cf679p-22, -0x1.6ac3c7b2c6076p-22, -0x1.69568a5523fd2p-22, -0x1.67d8d897f73a7p-22, -0x1.664bb21412487p-22, -0x1.64b009961b19ap-22, -0x1.6306b073cd73cp-22, -0x1.61506213eedc8p-22, -0x1.5f8dbfa7d128ep-22, -0x1.5dbf4e6f4c448p-22, -0x1.5be594a3d0dc6p-22, -0x1.5a013efe4ac47p-22, -0x1.5813256337658p-22, -0x1.561c19d34c7e7p-22, -0x1.541d069011836p-22, -0x1.5215c71f023cfp-22, -0x1.50075a7c39617p-22, -0x1.4df2ba2c02974p-22, -0x1.4bd7beb8d8c4cp-22, -0x1.49b6fa89b97p-22, -0x1.47913f4d8d998p-22, -0x1.45670e039523dp-22, -0x1.4338d5d44a2dbp-22, -0x1.4106fd56638d5p-22, -0x1.3ed1f27ec0ff3p-22, -0x1.3c9a28cd027ffp-22, -0x1.3a60138164e85p-22, -0x1.382428a1c5106p-22, -0x1.35e6cda64f67dp-22, -0x1.33a83db85ed98p-22, -0x1.3168ece4e6855p-22, -0x1.2f294d5876a29p-22, -0x1.2ce9ac1653b11p-22, -0x1.2aaa577c9e5c2p-22, -0x1.286ba0c737469p-22, -0x1.262dd7b51996p-22, -0x1.23f14772e1a71p-22, -0x1.21b6366760892p-22, -0x1.1f7ce77ba2a48p-22, -0x1.1d458ee3d2492p-22, -0x1.1b10539db19d5p-22, -0x1.18dd754095579p-22, -0x1.16ad6a172a07bp-22, -0x1.14809bd77d2b6p-22, -0x1.12572b18709fep-22, -0x1.103115147eaf3p-22, -0x1.0e0e995fc043cp-22, -0x1.0bf005e9c3815p-22, -0x1.09d5883ac7392p-22, -0x1.07bf39516f626p-22, -0x1.05ad2c4c20a49p-22, -0x1.039f828fba1bdp-22, -0x1.019670d0076d9p-22, -0x1.ff245a9921afdp-23, -0x1.fb25ce1ff1872p-23, -0x1.f73189881dc3ep-23, -0x1.f34780976a005p-23, -0x1.ef67ff3bd75a9p-23, -0x1.eb93311c2d07ap-23, -0x1.e7c950287c93ap-23, -0x1.e40abdc4ef655p-23, -0x1.e05794560a973p-23, -0x1.dcaff459da5aep-23, -0x1.d9140a57e2861p-23, -0x1.d583f1a250546p-23, -0x1.d1ffdac77ff6p-23, -0x1.ce87e35fcf1e8p-23, -0x1.cb1c29f1f5a57p-23, -0x1.c7bcca6cf1805p-23, -0x1.c469de07c0772p-23, -0x1.c1237bbe6ac68p-23, -0x1.bde9b8b25b583p-23, -0x1.babca86aef1efp-23, -0x1.b79c5ccf782a2p-23, -0x1.b488e5c603747p-23, -0x1.b18250819962bp-23, -0x1.ae88a69175f7bp-23, -0x1.ab9bee2af1a81p-23, -0x1.a8bc384776bdfp-23, -0x1.a5e9ce8516076p-23, -0x1.a3243e5de37e5p-23, -0x1.a06b266b19f67p-23, -0x1.9dbf4f5aab378p-23, -0x1.9b2072c8c9bb6p-23, -0x1.988ec3756eb27p-23, -0x1.960a6255976c9p-23, -0x1.9392e9bd073e3p-23, -0x1.91282a8ad6511p-23, -0x1.8eca369c5ae8cp-23, -0x1.8c794687b3bfdp-23, -0x1.8a353c3b49417p-23, -0x1.87fdf5308b557p-23, -0x1.85d377525c7f2p-23, -0x1.83b5add324edbp-23, -0x1.81a481cc43134p-23, -0x1.7f9fe4caa618dp-23, -0x1.7da7c8b40bd7ep-23, -0x1.7bbc2670b7e0ep-23, -0x1.79dcf745d43b4p-23, -0x1.780a208268b9ap-23, -0x1.76436d8164b06p-23, -0x1.7488c63e57673p-23, -0x1.72da339d9d315p-23, -0x1.71379fb211968p-23, -0x1.6fa0effce9cd4p-23, -0x1.6e161b0b535fcp-23, -0x1.6c9707fca1e0fp-23, -0x1.6b234bf734755p-23, -0x1.69bb08deaa81dp-23, -0x1.685e3e1f496ebp-23, -0x1.670cc32f8d6a5p-23, -0x1.65c674f922572p-23, -0x1.648b36c9692edp-23, -0x1.635aecc2a15ddp-23, -0x1.62357a9f9bdbdp-23, -0x1.611ac39028036p-23, -0x1.600aaa485d0bdp-23, -0x1.5f0511147d569p-23, -0x1.5e09d9df2265cp-23, -0x1.5d18e69ea3a11p-23, -0x1.5c3218b437faap-23, -0x1.5b5553e23da23p-23, -0x1.5a8272049ed4p-23, -0x1.59b95a424fb99p-23, -0x1.58f9ea102dc8ap-23, -0x1.584400dd3779p-23, -0x1.57977f754fa0bp-23, -0x1.56f4459b2fd55p-23, -0x1.565a32eeeb8ebp-23, -0x1.55c92843f1028p-23, -0x1.5541055632dbep-23, -0x1.54c1a8bcb6fdep-23, -0x1.544af1c5308eep-23, -0x1.53dcbf4be4c4p-23, -0x1.5376ef64274f4p-23, -0x1.5319612270036p-23, -0x1.52c3f5aceb7b9p-23, -0x1.52768bb304bffp-23, -0x1.523101a5b5d22p-23, -0x1.51f337a7c6b66p-23, -0x1.51bd0360b882p-23, -0x1.518e4963c6342p-23, -0x1.5166f134050bcp-23, -0x1.5146d5e87bce1p-23, -0x1.512dd4e32f31cp-23, -0x1.511bcf0994ccdp-23, -0x1.5110a025f9f7ep-23, -0x1.510c24ed356e6p-23, -0x1.510e433c0ad5cp-23, -0x1.5116d94b3c092p-23, -0x1.5125c5d54cdd3p-23, -0x1.513ae8cf89c08p-23, -0x1.5156221a9a23ap-23, -0x1.517751ea6238dp-23, -0x1.519e587c8d6b8p-23, -0x1.51cb1642ba552p-23, -0x1.51fd6bef01b4bp-23, -0x1.52353a71a55eap-23, -0x1.5272631501e2ap-23, -0x1.52b4c7d3e8336p-23, -0x1.52fc4bba0a295p-23, -0x1.5348d36c36d8bp-23, -0x1.539a4324c3813p-23, -0x1.53f067d3c8e53p-23, -0x1.544aa63e7ad91p-23, -0x1.54a904f224fdfp-23, -0x1.550d1c9461fc5p-23, -0x1.5575a494a391cp-23, -0x1.55e1d94aef037p-23, -0x1.5651fa6beeb36p-23, -0x1.56c6062be1f26p-23, -0x1.573de78de47e7p-23, -0x1.57b98501bfcd9p-23, -0x1.5838c2154c3a6p-23, -0x1.58bb81e7ed1c3p-23, -0x1.5941a8253e3b2p-23, -0x1.59cb18d53a412p-23, -0x1.5a57b84a104dp-23, -0x1.5ae76b185279dp-23, -0x1.5b7a16e77fabap-23, -0x1.5c0fa7309a306p-23, -0x1.5ca812d391a82p-23, -0x1.5d4326e84747fp-23, -0x1.5de09b45807a5p-23, -0x1.5e8091cdaa6cep-23, -0x1.5f22f8e17134ap-23, -0x1.5fc7a97438556p-23, -0x1.606e87365877p-23, -0x1.611779db3a27ap-23, -0x1.61c269f731a03p-23, -0x1.626f400b9dc2ep-23, -0x1.631de3e15d7abp-23, -0x1.63ce3dd2df0b2p-23, -0x1.64803718bacbdp-23, -0x1.6533b98492464p-23, -0x1.65e8af2175123p-23, -0x1.669f01be1d51dp-23, -0x1.67569b90d11ffp-23, -0x1.680f66ce0ef4fp-23, -0x1.68c94e24ab3fp-23, -0x1.69843d00b56acp-23, -0x1.6a401c0c78426p-23, -0x1.6afcdab0e371cp-23, -0x1.6bba6221d35d1p-23, -0x1.6c789f21caab9p-23, -0x1.6d377e079f0c6p-23, -0x1.6df6eb5698223p-23, -0x1.6eb6d3414584cp-23, -0x1.6f772067acd3ep-23, -0x1.7037beaad701ep-23, -0x1.70f8a5d7804bap-23, -0x1.71b9c5e5b2accp-23, -0x1.727b03616eeefp-23, -0x1.733c4a7ce4bdbp-23, -0x1.73fd8d1f9234p-23, -0x1.74bebab65ca3cp-23, -0x1.757fc20fb9979p-23, -0x1.764094c0f7bb6p-23, -0x1.770122c3b41a7p-23, -0x1.77c159765c6cbp-23, -0x1.788129babbea8p-23, -0x1.79408313b13b8p-23, -0x1.79ff589872955p-23, -0x1.7abd9ae650536p-23, -0x1.7b7b3add4ef7dp-23, -0x1.7c3829f7feac4p-23, -0x1.7cf459fa5488ap-23, -0x1.7dafbce7b278p-23, -0x1.7e6a44fe27946p-23, -0x1.7f23e4b5e0444p-23, -0x1.7fdc8ebd65279p-23, -0x1.8094361405abp-23, -0x1.814acee6ffdb1p-23, -0x1.8200502d51611p-23, -0x1.82b4a8ef76052p-23, -0x1.8367c4426b146p-23, -0x1.8419a2b7cf956p-23, -0x1.84ca389c8c00ap-23, -0x1.857977fbeca1p-23, -0x1.862755454e3eap-23, -0x1.86d3c59a9ad17p-23, -0x1.877ebe5519dfdp-23, -0x1.882834e8d9bf6p-23, -0x1.88d01ec2396d6p-23, -0x1.897670ee341a6p-23, -0x1.8a1b1f422718ep-23, -0x1.8abe2c14052e7p-23, -0x1.8b5fb32107264p-23, -0x1.8bff6f5dcee9cp-23, -0x1.8c9d08f32bdbp-23, -0x1.8d39168563e85p-23, -0x1.8dd341bb32ce8p-23, -0x1.8e6b57e37ced4p-23, -0x1.8f01d109220a2p-23, -0x1.8f96ac36e392dp-23, -0x1.902957fd79ea9p-23, -0x1.90b9c9dcfec68p-23, -0x1.9148457f77dcbp-23, -0x1.91d4c4203a25bp-23, -0x1.925f32858a482p-23, -0x1.92e787bc0c403p-23, -0x1.936dbd88eda59p-23, -0x1.93f1cde09b977p-23, -0x1.9473b2dafc8a3p-23, -0x1.94f366f86d30dp-23, -0x1.9570e59702dfep-23, -0x1.95ec2bdf5a02ep-23, -0x1.96653b5d7bc04p-23, -0x1.96dc201b9af82p-23, -0x1.9750df6b60197p-23, -0x1.97c1693d6b051p-23, -0x1.983318d05ace6p-23, -0x1.989c41912f861p-23, -0x1.990af82197156p-23, -0x1.9973731c2aa7ap-23, -0x1.99d961ae5ac54p-23, -0x1.9a3d0b8dd0343p-23, -0x1.9a9e575595ffp-23, -0x1.9afd370f61b08p-23, -0x1.9b59a3470faa5p-23, -0x1.9bb39712fa717p-23, -0x1.9c0b0e9c3dfa4p-23, -0x1.9c6006847c3f4p-23, -0x1.9cb27bf39bf89p-23, -0x1.9d026c10a3bd8p-23, -0x1.9d4fd46a3ff17p-23, -0x1.9d9ab284c13f8p-23, -0x1.9de3032e2be7cp-23, -0x1.9e28c487eb18fp-23, -0x1.9e6bf9cffbcd2p-23, -0x1.9eac9878ce38dp-23, -0x1.9eea968681451p-23, -0x1.9f25f9e977dd9p-23, -0x1.9f5ede0c5239p-23, -0x1.9f952e8e60ef5p-23, -0x1.9fc8da03f6b5cp-23, -0x1.9ff9e63ade301p-23, -0x1.a02856109aecp-23, -0x1.a0542948fb6cbp-23, -0x1.a07d5f0d6de76p-23, -0x1.a0a3f6982f452p-23, -0x1.a0c7ef333ebcdp-23, -0x1.a0e948ba08bd2p-23, -0x1.a10802b3eaa85p-23, -0x1.a1241cd673297p-23, -0x1.a13d972a27947p-23, -0x1.a15471bd45e9p-23, -0x1.a168acb348684p-23, -0x1.a17a4843041fp-23, -0x1.a18943fce7f54p-23, -0x1.a195a1fae08d3p-23, -0x1.a19f606d4bdc7p-23, -0x1.a1a67bf123488p-23, -0x1.a1ab00e941a53p-23, -0x1.a1acf031b4896p-23, -0x1.a1ac40921445bp-23, -0x1.a1a8f464e34d8p-23, -0x1.a1a30eee936efp-23, -0x1.a19a91d698ccep-23, -0x1.a18f7e28cda4p-23, -0x1.a181d49b2c48bp-23, -0x1.a171973534884p-23, -0x1.a15ec919169bap-23, -0x1.a14967b1f31edp-23, -0x1.a1318d78e82cep-23, -0x1.a11745866b82dp-23, -0x1.a0fa1f9e10477p-23, -0x1.a0da603a10366p-23, -0x1.a0b85053447fbp-23, -0x1.a093bbcf04f93p-23, -0x1.a06ca05b76a3bp-23, -0x1.a04301ec956a7p-23, -0x1.a016e3be42b64p-23, -0x1.9fe8489f8298bp-23, -0x1.9fb733075cbddp-23, -0x1.9f83a58de56bp-23, -0x1.9f4da2beb7c3fp-23, -0x1.9f152d2d5cfcep-23, -0x1.9eda477867686p-23, -0x1.9e9cf4509b26ap-23, -0x1.9e5d366fc768cp-23, -0x1.9e1b10a4836a5p-23, -0x1.9dd685c218354p-23, -0x1.9d8f98c7e74f7p-23, -0x1.9d464cb626622p-23, -0x1.9cfaa4853150bp-23, -0x1.9caca18e5897bp-23, -0x1.9c5c4739d798bp-23, -0x1.9c09a27efb4a9p-23, -0x1.9bb4a91493135p-23, -0x1.9b5d63cb25cedp-23, -0x1.9b03db521b4d2p-23, -0x1.9aa81b394bdc2p-23, -0x1.9a4a29a82c543p-23, -0x1.99e93286cada9p-23, -0x1.9985e4a2ec52ep-23, -0x1.99225d347056fp-23, -0x1.98bb505aae382p-23, -0x1.9851fc6fb0181p-23, -0x1.97e68ca255cap-23, -0x1.9778f88256d6dp-23, -0x1.970943b5b1544p-23, -0x1.96976d9707d39p-23, -0x1.9623779b8af0dp-23, -0x1.95ad66514c2f9p-23, -0x1.95353d610963cp-23, -0x1.94bb00a21f6c9p-23, -0x1.943eb37e229fdp-23, -0x1.93c05a1de4fbbp-23, -0x1.933ff83c92158p-23, -0x1.92bd91b17195cp-23, -0x1.92392a61f215ap-23, -0x1.91b2c63c8141cp-23, -0x1.912a69381e183p-23, -0x1.90a0174523b8ep-23, -0x1.9013d46e7ae3fp-23, -0x1.8f85a4c437e71p-23, -0x1.8ef58c6338701p-23, -0x1.8e638f6c8f76ep-23, -0x1.8dcfb217dbefep-23, -0x1.8d39f8383e0f3p-23, -0x1.8ca265406f0ebp-23, -0x1.8c08fd1b3f807p-23, -0x1.8b6dc3fb2ddc8p-23, -0x1.8ad0bbb8892a2p-23, -0x1.8a31f883df50cp-23, -0x1.89916cec15e52p-23, -0x1.88ef18ad30668p-23, -0x1.884ad280b5319p-23, -0x1.87a512fbe7f0ap-23, -0x1.86fdf0146ce71p-23, -0x1.8654c0594f2eap-23, -0x1.85a9d8ba904a1p-23, -0x1.84fd5d9992374p-23, -0x1.844f42be0603bp-23, -0x1.839f8546de658p-23, -0x1.82ee385a06c74p-23, -0x1.823b4a07e8561p-23, -0x1.8186f2614490cp-23, -0x1.80d1048fa29c6p-23, -0x1.80194436eeaeep-23, -0x1.7f602cda7d38p-23, -0x1.7ea5ce215698ep-23, -0x1.7de9c7c1ef644p-23, -0x1.7d2ca08c65cdap-23, -0x1.7c64336c1ca87p-23, -0x1.7bb9eb1f906dbp-23, -0x1.7ae7c171ccb77p-23, -0x1.7a2814eae7549p-23, -0x1.7963224f03c99p-23, -0x1.789cff2fdce32p-23, -0x1.77d597707d518p-23, -0x1.770ce13b41ad8p-23, -0x1.7642dc12a0f87p-23, -0x1.75778a8307b4ep-23, -0x1.74aaf00929107p-23, -0x1.73dd1045b39a8p-23, -0x1.730df01c2be8ep-23, -0x1.723d92cc81058p-23, -0x1.716bfccbf9d9cp-23, -0x1.70993248262f9p-23, -0x1.6fc5373a64d71p-23, -0x1.6ef00fef65ac8p-23, -0x1.6e19c078fa7acp-23, -0x1.6d424cfbb7a9p-23, -0x1.6c69b9928f49fp-23, -0x1.6b900a655a53ep-23, -0x1.6ab5438be109ap-23, -0x1.69d9692fab1cep-23, -0x1.68fc7f4fc1479p-23, -0x1.681e89fafd535p-23, -0x1.673f8b5b3f121p-23, -0x1.665f8e7f80a99p-23, -0x1.657e8650b930ap-23, -0x1.649c98029863ep-23, -0x1.63b9a410b4f82p-23, -0x1.62d5beabf0c38p-23, -0x1.61f0ea987e105p-23, -0x1.610b2aa4b1b1ap-23, -0x1.602482f36469ap-23, -0x1.5f3cf8095b2e7p-23, -0x1.5e548df63616ep-23, -0x1.5d6b48827e974p-23, -0x1.5c812b70776dcp-23, -0x1.5b963a8b3ac2cp-23, -0x1.5aaa79a9b316dp-23, -0x1.59bdec83dd92bp-23, -0x1.58d096e066d18p-23, -0x1.57e27c3f49548p-23, -0x1.56f3a06de9df8p-23, -0x1.560407132a598p-23, -0x1.5513bf05dc598p-23, -0x1.5422cf6aaf307p-23, -0x1.533104f47f95bp-23, -0x1.523e951e85ee2p-23, -0x1.514b86f34ee84p-23, -0x1.5057d2ac1167ap-23, -0x1.4f637aa98072dp-23, -0x1.4e6e82e3bf696p-23, -0x1.4d78ef4d918a6p-23, -0x1.4c82c3f508799p-23, -0x1.4b8c040e0d6a2p-23, -0x1.4a94ace7faabcp-23, -0x1.499cd35f13d1p-23, -0x1.48a4661f865aap-23, -0x1.47ab70a84884p-23, -0x1.46b204d7cca52p-23, -0x1.45b84a47a95cp-23, -0x1.44bda62cf1fb2p-23, }}, 
      {{-0x1.ec0cf8d72d40cp-2, -0x1.c2b0f9db01e9cp-2, -0x1.8745d34cd5a5bp-2, -0x1.42a78f3c5e405p-2, -0x1.f8e2f58050771p-3, -0x1.74aeba4e84d4p-3, -0x1.0041cae33f7b7p-3, -0x1.3fb841b6d735dp-4, -0x1.549533eda46c3p-5, -0x1.fe0516c43021fp-7, 0x1.798a89d28e8cp-11, 0x1.13ba5292ea8b8p-7, 0x1.22593ca265654p-7, 0x1.c6d8c4c5ed419p-9, -0x1.a1b0fe0777ee5p-8, -0x1.3d86ce07394acp-6, -0x1.19c262c65dbe7p-5, -0x1.9d018fe699f06p-5, -0x1.10d2862e8de8bp-4, -0x1.5110596d3dc97p-4, -0x1.8d11fa5591335p-4, -0x1.c33e6dc1bad72p-4, -0x1.f27b255d23693p-4, -0x1.0d0d1e9ee0be3p-3, -0x1.1ce4728f9ff06p-3, -0x1.28bf57956d834p-3, -0x1.30b71e2d0a998p-3, -0x1.34fbc54f0c2c3p-3, -0x1.35ce00207ed29p-3, -0x1.337a18483ad14p-3, -0x1.2e53a2d2394f8p-3, -0x1.26b1f7af0f148p-3, -0x1.1ced592939febp-3, -0x1.115cb70cf8ce8p-3, -0x1.0453f8ab1567dp-3, -0x1.ec4573bb52409p-4, -0x1.ce26d0552d6aep-4, -0x1.aed55df90a37cp-4, -0x1.8ece46b86fa87p-4, -0x1.6e8244e15fce7p-4, -0x1.4e55aef4de4c8p-4, -0x1.2ea0bf51d5f8ap-4, -0x1.0fb007b0d3de5p-4, -0x1.e38a085bec9a2p-5, -0x1.aa2d88f9c764ep-5, -0x1.73a54553bcd3p-5, -0x1.403a033b8161fp-5, -0x1.10241c80fa169p-5, -0x1.c719ff63e19acp-6, -0x1.752153d5b4996p-6, -0x1.2a7e2aa0b9aa4p-6, -0x1.ce765f9a75b48p-7, -0x1.56a0bdc2cf892p-7, -0x1.da960060dfd43p-8, -0x1.24517ca2d83d7p-8, -0x1.1357bb745c1fep-9, -0x1.36afffa7b6d5bp-13, 0x1.72864a3167157p-10, 0x1.550696c5759cdp-9, 0x1.c25af0bc45bb2p-9, 0x1.01ecb13fccbfcp-8, 0x1.0e1771fdc443ep-8, 0x1.0709e7201b4e1p-8, 0x1.dc44f4415aef6p-9, 0x1.897ca1d9aca63p-9, 0x1.186d73f529734p-9, 0x1.177afbca1a936p-10, -0x1.9fdb2faf18734p-13, -0x1.ac840cf041a39p-10, -0x1.a6a3cfe6722a2p-9, -0x1.4467d472b120bp-8, -0x1.bd45ff744518cp-8, -0x1.1e6e93cdb64ep-7, -0x1.6115ee6973fdcp-7, -0x1.a61f5e6ada262p-7, -0x1.ed1844e626185p-7, -0x1.1aca7d3125342p-6, -0x1.3f98632d2deccp-6, -0x1.64c6d98716a9cp-6, -0x1.8a2a2fa9e1c3cp-6, -0x1.af99e98e82814p-6, -0x1.d4f09af755bc3p-6, -0x1.fa0bd14c3b7d6p-6, -0x1.0f65f7de604dp-5, -0x1.218a07f7a236cp-5, -0x1.3364f00ff3fc8p-5, -0x1.44eac27215318p-5, -0x1.5610b8fc227adp-5, -0x1.66cd27849fc6ep-5, -0x1.77176a92f9a86p-5, -0x1.86e7d78092e8dp-5, -0x1.9637adcb2b3a6p-5, -0x1.a501083f2faf3p-5, -0x1.b33ece5491abdp-5, -0x1.c0eca913d7b3fp-5, -0x1.ce06f5a97f738p-5, -0x1.da8ab3c7027ccp-5, -0x1.e67584aa6a2d6p-5, -0x1.f1c595c08c7ccp-5, -0x1.fc799e843c134p-5, -0x1.034867aecc814p-4, -0x1.080566f85c676p-4, -0x1.0c73d38bae3c1p-4, -0x1.1093e60cce4c2p-4, -0x1.146601e0521b7p-4, -0x1.17eab45cde35p-4, -0x1.1b22aeac92e8dp-4, -0x1.1e0ec56a3ec72p-4, -0x1.20afea99edc6dp-4, -0x1.23072c03cfb2cp-4, -0x1.2515b143c088dp-4, -0x1.26dcb6d1ec8b8p-4, -0x1.285d8e1446f57p-4, -0x1.299999d8863cbp-4, -0x1.2a924c285daf7p-4, -0x1.2b49257fc202p-4, -0x1.2bbfb18192213p-4, -0x1.2bf7861e14692p-4, -0x1.2bf241dfa56c3p-4, -0x1.2bb18a46b1b22p-4, -0x1.2b370a9b3c207p-4, -0x1.2a84728db8321p-4, -0x1.299b7501246b5p-4, -0x1.287dc6fad4897p-4, -0x1.272d1e8875074p-4, -0x1.25ab31d617931p-4, -0x1.23f9b66748898p-4, -0x1.221a601f32efdp-4, -0x1.200ee066c6ef3p-4, -0x1.1dd8e5f98c674p-4, -0x1.1b7a1b65ca6eap-4, -0x1.18f4272d0ca65p-4, -0x1.1648aae7a1c54p-4, -0x1.1379433c64cd5p-4, -0x1.108786e3df138p-4, -0x1.0d7506897816ep-4, -0x1.0a434bf91901ep-4, -0x1.06f3da7a117f2p-4, -0x1.03882e3a1d72cp-4, -0x1.0001bbf0aea85p-4, -0x1.f8c3e181597bdp-5, -0x1.f15464b1f8748p-5, -0x1.e9b7bbffaca3ep-5, -0x1.e1f09262e2c8fp-5, -0x1.da0182d6bd33fp-5, -0x1.d1ed17805442fp-5, -0x1.c9b5c988df11bp-5, -0x1.c15e02488a434p-5, -0x1.b8e819de96c8dp-5, -0x1.b056582d17b0ap-5, -0x1.a7aaf34fc8ad1p-5, -0x1.9ee8122abaf8p-5, -0x1.960fcad2a4dd2p-5, -0x1.8d2422008e7bbp-5, -0x1.84270d086fba2p-5, -0x1.7b1a713c1017ep-5, -0x1.720023eafb6abp-5, -0x1.68d9ea415a585p-5, -0x1.5fa97a48b6d61p-5, -0x1.56707b163e2a3p-5, -0x1.4d3084b394219p-5, -0x1.43eb1fa3aeebcp-5, -0x1.3aa1c6c3951cap-5, -0x1.3155e6ff1ffd8p-5, -0x1.2808df01f4895p-5, -0x1.1ebbffc202b73p-5, -0x1.15708b7120cd6p-5, -0x1.0c27bb28b8538p-5, -0x1.02e2b8782ab44p-5, -0x1.f34540b51e793p-6, -0x1.e0d1091d15564p-6, -0x1.ce6ad6ba72031p-6, -0x1.bc149f8371881p-6, -0x1.a9d041d906338p-6, -0x1.979f853c28eefp-6, -0x1.85841dd98e52ap-6, -0x1.737facf0f5549p-6, -0x1.6193bf5c78c59p-6, -0x1.4fc1cbbc62917p-6, -0x1.3e0b3797a7b8fp-6, -0x1.2c7157189e0d1p-6, -0x1.1af56e7fb6823p-6, -0x1.0998af3972153p-6, -0x1.f0b87338dd20cp-7, -0x1.ce823b2d3f0a3p-7, -0x1.ac90bb784b53dp-7, -0x1.8ae5ddc1d0c5ep-7, -0x1.69836bc3d2253p-7, -0x1.486b11cc98539p-7, -0x1.279e60c9b0fb2p-7, -0x1.071ed2e41338p-7, -0x1.cddb97be6338ap-8, -0x1.8e192b41f7a3p-8, -0x1.4ef8bf87e294fp-8, -0x1.107c8766d45f6p-8, -0x1.a54d1c4000983p-9, -0x1.2af1765417d1ep-9, -0x1.63d32bf28e48fp-10, -0x1.d1c521bf57601p-12, 0x1.e0f45ec7ff5eap-12, 0x1.6232c7806bc13p-10, 0x1.24b598dcdd843p-9, 0x1.96f0f9de4f9adp-9, 0x1.03e4e41354097p-8, 0x1.3b9f36c7c9d2p-8, 0x1.72a6cc7001919p-8, 0x1.a8fb14a08bb5ep-8, 0x1.de9b9605b0fd5p-8, 0x1.09c3faa4ce649p-7, 0x1.23dff67250bdfp-7, 0x1.3da1ab1cd254cp-7, 0x1.57091133f1e2bp-7, 0x1.701629e2f43fep-7, 0x1.88c900824c3bcp-7, 0x1.a121aa33e188fp-7, 0x1.b92047b1a9d97p-7, 0x1.d0c503d8c8423p-7, 0x1.e81012fa86a38p-7, 0x1.ff01b13accf18p-7, 0x1.0acd10c520739p-6, 0x1.15ecd7d83efc1p-6, 0x1.20e05724151cbp-6, 0x1.2ba7bcaab7a2ap-6, 0x1.36433a1f60a74p-6, 0x1.40b3044bf0cf4p-6, 0x1.4af752a926decp-6, 0x1.55105fdb3f80bp-6, 0x1.5efe68e5750b5p-6, 0x1.68c1ae6814194p-6, 0x1.725a73f84bb82p-6, 0x1.7bc8ffcd9e277p-6, 0x1.850d9a355d0cbp-6, 0x1.8e288daaa7efbp-6, 0x1.971a267a5a387p-6, 0x1.9fe2b2ed1bb5ep-6, 0x1.a88283b4cae59p-6, 0x1.b0f9ed6e89a1ap-6, 0x1.b9494283f86ebp-6, 0x1.c170daaefe1adp-6, 0x1.c9710d0e878e1p-6, 0x1.d14a31d322417p-6, 0x1.d8fca438b9966p-6, 0x1.e088bf8ab6e9fp-6, 0x1.e7eee13e50e9fp-6, 0x1.ef2f67559abadp-6, 0x1.f64ab121f1e41p-6, 0x1.fd411eae85328p-6, 0x1.0209886920619p-5, 0x1.056074628ee55p-5, 0x1.08a584729d8adp-5, 0x1.0bd8e9eb2c45ep-5, 0x1.0efad6e986bap-5, 0x1.120b7d28d2535p-5, 0x1.150b0ef7cf73cp-5, 0x1.17f9be9d1489bp-5, 0x1.1ad7be60d7e49p-5, 0x1.1da540ee1d854p-5, 0x1.2062789d2348dp-5, 0x1.230f981bcdf2ep-5, 0x1.25acd20ed4aa6p-5, 0x1.283a58fc9ceap-5, 0x1.2ab85f8e165bcp-5, 0x1.2d271813a08e9p-5, 0x1.2f86b4cc8c55dp-5, 0x1.31d767b92fa1fp-5, 0x1.341962d598652p-5, 0x1.364cd7dd066efp-5, 0x1.3871f85385675p-5, 0x1.3a88f57db73e8p-5, 0x1.3c92006d9819dp-5, 0x1.3e8d49d02add5p-5, 0x1.407b01eebcde4p-5, 0x1.425b58d303a2bp-5, 0x1.442e7e1e4a6b6p-5, 0x1.45f4a11160b1p-5, 0x1.47adf08e8605p-5, 0x1.495a9b0a6bce3p-5, 0x1.4aface941f8d3p-5, 0x1.4c8eb8c81e79dp-5, 0x1.4e1686aed2814p-5, 0x1.4f9264eabe1cfp-5, 0x1.51027f965d191p-5, 0x1.5267024bf14bp-5, 0x1.53c018206cbf4p-5, 0x1.550deba01fab2p-5, 0x1.5650a6cffa5dp-5, 0x1.578873258f9d7p-5, 0x1.58b5799755f0dp-5, 0x1.59d7e26a9a7f7p-5, 0x1.5aefd562f0f8bp-5, 0x1.5bfd79a75cc4bp-5, 0x1.5d00f5c831da7p-5, 0x1.5dfa6fbcd901p-5, 0x1.5eea0ce525191p-5, 0x1.5fcff2079dc58p-5, 0x1.60ac434f2d27fp-5, 0x1.617f244a68eb3p-5, 0x1.6248b7f03832ap-5, 0x1.63092093dff88p-5, 0x1.63c07fe5e5fdep-5, 0x1.646ef701b96a8p-5, 0x1.6514a66332028p-5, 0x1.65b1ade9a3396p-5, 0x1.66462cd9712aep-5, 0x1.66d241db6fd03p-5, 0x1.67560afaf8879p-5, 0x1.67d1a5cad16f4p-5, 0x1.68452efaee1e3p-5, 0x1.68b0c2f0e989p-5, 0x1.69147d49ccae4p-5, 0x1.6970792feaf7cp-5, 0x1.69c4d11bc0a3bp-5, 0x1.6a119f07fa2a4p-5, 0x1.6a56fc5e5d214p-5, 0x1.6a9501f52674ap-5, 0x1.6acbc81a151c8p-5, 0x1.6afb6694d6106p-5, 0x1.6b23f4a276445p-5, 0x1.6b4588fa9825bp-5, 0x1.6b6039d29bcafp-5, 0x1.6b741ce156afep-5, 0x1.6b81475dbe6c4p-5, 0x1.6b87ce059e0ccp-5, 0x1.6b87c51f808bcp-5, 0x1.6b814077494cap-5, 0x1.6b74536aa82a5p-5, 0x1.6b6110e75bae1p-5, 0x1.6b478b6d1b87cp-5, 0x1.6b27d5114dd41p-5, 0x1.6b01ff81f91cep-5, 0x1.6ad61c091fe72p-5, 0x1.6aa43b8f9525p-5, 0x1.6a6c6e9f43374p-5, 0x1.6a2ec566b5926p-5, 0x1.69eb4fbc4e4dp-5, 0x1.69a21d211e70bp-5, 0x1.69533cc3c4464p-5, 0x1.68febd8552025p-5, 0x1.68a4adfb65fb7p-5, 0x1.68451c6f77931p-5, 0x1.67e016e6af88ap-5, 0x1.6775ab23ddb43p-5, 0x1.6705e6a8c0977p-5, 0x1.6690d6ba7a655p-5, 0x1.66168864d1d23p-5, 0x1.6597087b7d83dp-5, 0x1.6512639e3856fp-5, 0x1.6488a63b6a8acp-5, 0x1.63f9dc92f3a4ep-5, 0x1.636612b8fff1fp-5, 0x1.62cd5498db354p-5, 0x1.622fadf7856c4p-5, 0x1.618d2a7624bc6p-5, 0x1.60e5d594526fap-5, 0x1.6039bab4ae3e5p-5, 0x1.5f88e51d4836ap-5, 0x1.5ed35ff94d488p-5, 0x1.5e19365db2d5dp-5, 0x1.5d5a734abbd6bp-5, 0x1.5c9721adec77p-5, 0x1.5bcf4c6465266p-5, 0x1.5b02fe3d071dfp-5, 0x1.5a3241fa901b2p-5, 0x1.595d22559fef8p-5, 0x1.5883a9feb0b19p-5, 0x1.57a5e39ffb94ap-5, 0x1.56c3d9df4848fp-5, 0x1.55dd975f91ca4p-5, 0x1.54f326c2e42d7p-5, 0x1.540492abcd5bep-5, 0x1.5311e5bef04ap-5, 0x1.521b2aa470c5ep-5, 0x1.51206c099abb9p-5, 0x1.5021b4a296d89p-5, 0x1.4f1f0f2a951ebp-5, 0x1.4e1886653fbbcp-5, 0x1.4d0e252051c4ap-5, 0x1.4bfff634a9a6p-5, 0x1.4aee0487b7689p-5, 0x1.49d85b0b6a0bdp-5, 0x1.48bf04bf684fbp-5, 0x1.47a20cb20addep-5, 0x1.46817e00fd14cp-5, 0x1.455d63d9f8e9cp-5, 0x1.4435c97b50217p-5, 0x1.430aba34714efp-5, 0x1.41dc416644b68p-5, 0x1.40aa6a84261dp-5, 0x1.3f754114306d6p-5, 0x1.3e3cd0aeb2bdep-5, 0x1.3d0124fe5f764p-5, 0x1.3bc249c17e69dp-5, 0x1.3a804ac9d7bb7p-5, 0x1.393b33fc91bcap-5, 0x1.37f3115287d5p-5, 0x1.36a7eed790089p-5, 0x1.3559d8aa960ecp-5, 0x1.3408dafeeeda6p-5, 0x1.32b5021a817adp-5, 0x1.315e5a564ddep-5, 0x1.3004f01de17b9p-5, 0x1.2ea8cfeee8804p-5, 0x1.2d4a0658db1f1p-5, 0x1.2be89ffc9f461p-5, 0x1.2a84a98c2674p-5, 0x1.291e2fca0f133p-5, 0x1.27b53f893cae3p-5, 0x1.2649e5acc1c54p-5, 0x1.24dc2f270ba4fp-5, 0x1.236c28f9ead7ep-5, 0x1.21f9e035c281fp-5, 0x1.208561f8d16b1p-5, 0x1.1f0ebb6e4ad58p-5, 0x1.1d95f9cd48473p-5, 0x1.1c1b2a57afb56p-5, 0x1.1a9e5a591c821p-5, 0x1.191f9725fc8b5p-5, 0x1.179eee1ae4d24p-5, 0x1.161c6c9be29d4p-5, 0x1.1498201455784p-5, 0x1.131215f71e004p-5, 0x1.118a5bbe99506p-5, 0x1.1000feec5e824p-5, 0x1.0e760d08ac502p-5, 0x1.0ce993a1515dbp-5, 0x1.0b5ba047f4c3fp-5, 0x1.09cc408fdc6ecp-5, 0x1.083b820b60176p-5, 0x1.06a972494e2bcp-5, 0x1.05161ed2d7d1cp-5, 0x1.0381952a17b9fp-5, 0x1.01ebe2c9c8f0ap-5, 0x1.0055152610794p-5, 0x1.fd7a735c865e2p-6, 0x1.fa48bb9e7d703p-6, 0x1.f7151deb7a626p-6, 0x1.f3dfb51fd014ap-6, 0x1.f0a89c1afe294p-6, 0x1.ed6fedbc12f76p-6, 0x1.ea35c4d9e2b31p-6, 0x1.e6fa3c37764f9p-6, 0x1.e3bd6e7665b09p-6, 0x1.e07f76081b31fp-6, 0x1.dd406d239e295p-6, 0x1.da006dbce3f2fp-6, 0x1.d6bf91855220ap-6, 0x1.d37df1f1e607dp-6, 0x1.d03ba849f40a5p-6, 0x1.ccf8cdba2124p-6, 0x1.c9b57b693121p-6, 0x1.c671ca8a9fc37p-6, 0x1.c32dd46a7c78fp-6, 0x1.bfe9b26f38acfp-6, 0x1.bca57e0ef4547p-6, 0x1.b96150b83a9f7p-6, 0x1.b61d43b071f27p-6, 0x1.b2d96fec4d23p-6, 0x1.af95ede8a2bc2p-6, 0x1.ac52d58a935ddp-6, 0x1.a9103e0d93d8bp-6, 0x1.a5ce3e047e358p-6, 0x1.a28ceb6f9a776p-6, 0x1.9f4c5be6951a1p-6, 0x1.9c0ca4d155eb2p-6, 0x1.98cddba5cf277p-6, 0x1.95901623a38p-6, 0x1.92536a81fccadp-6, 0x1.8f17ef8056227p-6, 0x1.8bddbc5a4e8fep-6, 0x1.88a4e89a2bb85p-6, 0x1.856d8bcc02475p-6, 0x1.8237bd1c04e25p-6, 0x1.7f0392edb1091p-6, 0x1.7bd1227cf8766p-6, 0x1.78a07f9a6f0b6p-6, 0x1.7571bc910713bp-6, 0x1.7244ea3e43d4fp-6, 0x1.6f1a185eab1b2p-6, 0x1.6bf1560783898p-6, 0x1.68cab23f04429p-6, 0x1.65a63c9dad3f5p-6, 0x1.628405df86278p-6, 0x1.5f64204c0397fp-6, 0x1.5c469fde79e52p-6, 0x1.592b9a21101a7p-6, 0x1.561325b6c2e5ep-6, 0x1.52fd599e5a99cp-6, 0x1.4fea4c46ce9b2p-6, 0x1.4cda1291e210ep-6, 0x1.49ccbeecdf259p-6, 0x1.46c260aedc2bdp-6, 0x1.43bb03d19343p-6, 0x1.40b6b11b2b17bp-6, 0x1.3db56ebda5775p-6, 0x1.3ab7415da0176p-6, 0x1.37bc2d646b53p-6, 0x1.34c4386a50a77p-6, 0x1.31cf6a97dfa69p-6, 0x1.2eddcfb8587d4p-6, 0x1.2bef77d8f31e6p-6, 0x1.2904774c926cdp-6, 0x1.261ce6042bb46p-6, 0x1.2338de4318ec2p-6, 0x1.20587ad1e970cp-6, 0x1.1d7bd4ea3dc25p-6, 0x1.1aa30226c9d32p-6, 0x1.17ce12c6a4967p-6, 0x1.14fd1089f2fcp-6, 0x1.122ffe58c62b1p-6, 0x1.0f66d8c7a5e95p-6, 0x1.0ca1976eb1341p-6, 0x1.09e02eed00d55p-6, 0x1.0722935d3ea1bp-6, 0x1.0468baf3b3237p-6, 0x1.01b2a0779d855p-6, 0x1.fe008a9668b35p-7, 0x1.f8a3657884ec5p-7, 0x1.f34df4bf570c3p-7, 0x1.ee006ab6e50bfp-7, 0x1.e8bb053d74b39p-7, 0x1.e37e085fdb2cp-7, 0x1.de49b7c74e93cp-7, 0x1.d91e4fdc5721dp-7, 0x1.d3fbff9cec097p-7, 0x1.cee2e41001ff2p-7, 0x1.c9d305fcdf7e7p-7, 0x1.c4cc5a28d833bp-7, 0x1.bfcec3f35bc6p-7, 0x1.bada19d064c2ep-7, 0x1.b5ee2af19b022p-7, 0x1.b10ac5679acf2p-7, 0x1.ac2fbc1eb2a79p-7, 0x1.a75cec3c6e385p-7, 0x1.a292417deac88p-7, 0x1.9dcfb93c6b06ep-7, 0x1.991563c05d07fp-7, 0x1.9463638be6754p-7, 0x1.8fb9ea6b0ec76p-7, 0x1.8b19345dc2adcp-7, 0x1.868180d4d9c7bp-7, 0x1.81f30b2a8bac9p-7, 0x1.7d6e038e92f02p-7, 0x1.78f289aeb81cap-7, 0x1.7480aa1d22e5ep-7, 0x1.70185edc984afp-7, 0x1.6bb992b891d1cp-7, 0x1.67642660c358cp-7, 0x1.6317f5e7754ap-7, 0x1.5ed4dd6302edp-7, 0x1.5a9abbffac90ep-7, 0x1.5669758af9f3bp-7, 0x1.5240f31a3fa49p-7, 0x1.4e2123a043c29p-7, 0x1.4a09fd0228ddep-7, 0x1.45fb7da47f4eep-7, 0x1.41f5adca2df33p-7, 0x1.3df89fbf10b66p-7, 0x1.3a046de07d3c6p-7, 0x1.361936270bd71p-7, 0x1.323713bbe5934p-7, 0x1.2e5e180bab7b3p-7, 0x1.2a8e4557011c2p-7, 0x1.26c78ca716828p-7, 0x1.2309d0363d575p-7, 0x1.1f54e9fa64f88p-7, 0x1.1ba8b485379d4p-7, 0x1.1805136e124a1p-7, 0x1.1469f8746e5bdp-7, 0x1.10d763a8d4148p-7, 0x1.0d4d5ec24ca6bp-7, 0x1.09cbf5a797177p-7, 0x1.06532f52ac36bp-7, 0x1.02e309fc78c2cp-7, 0x1.fef6f819d3be1p-8, 0x1.f838f285d2d48p-8, 0x1.f18bf381ecdc3p-8, 0x1.eaefffabca5e4p-8, 0x1.e4653380006ecp-8, 0x1.ddebbc46689cp-8, 0x1.d783c7dfed6dep-8, 0x1.d12d708f9f888p-8, 0x1.cae8abac7c664p-8, 0x1.c4b541836796p-8, 0x1.be92d1e4f30c2p-8, 0x1.b880e4dd5deb5p-8, 0x1.b27f036cce163p-8, 0x1.ac8cd0e7280dp-8, 0x1.a6aa1cedb80fbp-8, 0x1.a0d6e744f0069p-8, 0x1.9b13531dd242ep-8, 0x1.955f8d034328dp-8, 0x1.8fbbacbc6a9ebp-8, 0x1.8a279efe0a879p-8, 0x1.84a32017ae217p-8, 0x1.7f2dca619091p-8, 0x1.79c732b08b50bp-8, 0x1.746f07f1d7f2dp-8, 0x1.6f252a01214b2p-8, 0x1.69e9afa0e401bp-8, 0x1.64bcd9f9f935dp-8, 0x1.5f9efaf410fdfp-8, 0x1.5a905868c3223p-8, 0x1.55911691b9d2bp-8, 0x1.50a12ff111a51p-8, 0x1.4bc07ac2deaebp-8, 0x1.46eeb755f556cp-8, 0x1.422ba19346bcbp-8, 0x1.3d770193c5469p-8, 0x1.38d0b8c11fc0cp-8, 0x1.3438c8d2a06dfp-8, 0x1.2faf50f05062ap-8, 0x1.2b347e14d5f92p-8, 0x1.26c87030bc9cep-8, 0x1.226b1c3d15a08p-8, 0x1.1e1c38270bceep-8, 0x1.19db3bef87865p-8, 0x1.15a77a8fb96b5p-8, 0x1.1180498e78c1dp-8, 0x1.0d6527064f688p-8, 0x1.0955cfa867a6ep-8, 0x1.05523eb4da6a3p-8, 0x1.015a9acd4502fp-8, 0x1.fade3083c514p-9, 0x1.f31fb83f287e8p-9, 0x1.eb79d578c5a7fp-9, 0x1.e3ec4e99eedd1p-9, 0x1.dc76c330b35e6p-9, 0x1.d518d1543765dp-9, 0x1.cdd2335314346p-9, 0x1.c6a2ce13ffb0cp-9, 0x1.bf8ab1856c4dep-9, 0x1.b88a0f53531d4p-9, 0x1.b1a12c3116d3fp-9, 0x1.aad0505286732p-9, 0x1.a417b9909d059p-9, 0x1.9d778bfe9415fp-9, 0x1.96efbb119eb9ep-9, 0x1.907fed9c4800cp-9, 0x1.8a276d9ea1209p-9, 0x1.83e539ac717aap-9, 0x1.7db83bcb0de9bp-9, 0x1.779f8b72796ap-9, 0x1.719a945306f8dp-9, 0x1.6ba913896e776p-9, 0x1.65cb0147b6c5p-9, 0x1.6000837753d3ap-9, 0x1.5a49ea9d6e16bp-9, 0x1.54a7a4ff21b8ap-9, 0x1.4f1a1d28ae7b8p-9, 0x1.49a18dc92ce33p-9, 0x1.443ddecb1cd1bp-9, 0x1.3eee9f1076d6cp-9, 0x1.39b324e99589ep-9, 0x1.348ac7bb28ed2p-9, 0x1.2f750bdf12f75p-9, 0x1.2a719e45a1b8ap-9, 0x1.258026e3347e5p-9, 0x1.20a02093ebc4dp-9, 0x1.1bd0e0d660985p-9, 0x1.1711cefb61d4p-9, 0x1.1262a2f98ce51p-9, 0x1.0dc37eb7a4d9dp-9, 0x1.0934cf408a009p-9, 0x1.04b708a5a5999p-9, 0x1.004a6842f91d3p-9, 0x1.f7ddc5505e3a3p-10, 0x1.ef487086ae08bp-10, 0x1.e6d400830c9dp-10, 0x1.de7f1335cf78p-10, 0x1.d64784f9159e5p-10, 0x1.ce2af995ca821p-10, 0x1.c6281aada7623p-10, 0x1.be3f8efef380dp-10, 0x1.b673badf2ef2ap-10, 0x1.aec7648480a49p-10, 0x1.a73c3b2014507p-10, 0x1.9fd2480ff6438p-10, 0x1.9888947b58c9bp-10, 0x1.915e54b1b032fp-10, 0x1.8a5384842f651p-10, 0x1.83687faa6a66fp-10, 0x1.7c9d20b278ecap-10, 0x1.75f0396b96875p-10, 0x1.6f5fafabcfe61p-10, 0x1.68e8ff4874a1cp-10, 0x1.6289cc33aedcdp-10, 0x1.5c4059212516ap-10, 0x1.560bcf9f1d278p-10, 0x1.4fec4966b3993p-10, 0x1.49e28d2492482p-10, 0x1.43ef8a8114b33p-10, 0x1.3e13d9643a4cep-10, 0x1.384fa0c0f2498p-10, 0x1.32a2f16322fc1p-10, 0x1.2d0dee4001494p-10, 0x1.27901dc721fbbp-10, 0x1.2227940f82585p-10, 0x1.1cd19bf0faebap-10, 0x1.178ce86a75b5p-10, 0x1.125ae4a960396p-10, 0x1.0d3e546e7f7dep-10, 0x1.0838b338ea178p-10, 0x1.034914c6238aep-10, 0x1.fcdafe746b6fcp-11, 0x1.f34a480527c61p-11, 0x1.e9e23e4e4c623p-11, 0x1.e0a66d808eb59p-11, 0x1.d798826452462p-11, 0x1.ceb767999e38ep-11, 0x1.c600673f41574p-11, 0x1.bd7085a7d382ap-11, 0x1.b505295d165b4p-11, 0x1.acbc3742d6a55p-11, 0x1.a49413c475555p-11, 0x1.9c8bc592f778ap-11, 0x1.94a33001883d6p-11, 0x1.8cdb32376937p-11, 0x1.85356e9774f42p-11, 0x1.7db38fe62a782p-11, 0x1.76562f100c508p-11, 0x1.6f1c12f1784cp-11, 0x1.6802c13c9f77ap-11, 0x1.6108244157c16p-11, 0x1.5a2b1ef9a1d6dp-11, 0x1.5369aef54a557p-11, 0x1.4cbf94597999bp-11, 0x1.4629abdffa59ep-11, 0x1.3faab1ccad015p-11, 0x1.394961dab3879p-11, 0x1.33092d984ea23p-11, 0x1.2ce70dbf01c0ep-11, 0x1.26ddf809cdf8ep-11, 0x1.20ec894966f08p-11, 0x1.1b14eb895c07fp-11, 0x1.1558ec2762b47p-11, 0x1.0fb85eaf95c99p-11, 0x1.0a3265327437ap-11, 0x1.04c69484446ep-11, 0x1.fee9ab19a1251p-12, 0x1.f479a52f19415p-12, 0x1.ea3b632a65c4ap-12, 0x1.e02c6466b677ep-12, 0x1.d649ed3caf032p-12, 0x1.cc9191421cb5p-12, 0x1.c30193fcef273p-12, 0x1.b9991a35b7aa6p-12, 0x1.b058343334d2cp-12, 0x1.a73fcaf4598b5p-12, 0x1.9e51517cda836p-12, 0x1.958deebc5d37cp-12, 0x1.8cf54d831e5c4p-12, 0x1.84857607ad4aep-12, 0x1.7c3cf8bd79c0ap-12, 0x1.741d93cedffe9p-12, 0x1.6c2ac9c9d660dp-12, 0x1.6463a2d99b18cp-12, 0x1.5cc10e79a2d3ep-12, 0x1.553f5b6fdb98ep-12, 0x1.4de1b920ca794p-12, 0x1.46a749c031dc5p-12, 0x1.3f8840c817acfp-12, 0x1.3881bd797684fp-12, 0x1.3199cb76ef34ap-12, 0x1.2ad5babfa2c23p-12, 0x1.24353101bc19fp-12, 0x1.1db56b8f7d77p-12, 0x1.1753f3f8c3fap-12, 0x1.110f07005ff9p-12, 0x1.0ae5d771e0523p-12, 0x1.04d909beadf04p-12, 0x1.fdd4b9a0da564p-13, 0x1.f23691e59d438p-13, 0x1.e6d793042f33bp-13, 0x1.dbb4b211b54fep-13, 0x1.d0c9a2bdda22ep-13, 0x1.c6128b4f9c786p-13, 0x1.bb8cb9883c754p-13, 0x1.b1368c4b49ce9p-13, 0x1.a70f2dcf21ce4p-13, 0x1.9d1683437b9e1p-13, 0x1.934d2c4cef468p-13, 0x1.89b3f5068e702p-13, 0x1.804a64f885692p-13, 0x1.770dc02e9791cp-13, 0x1.6dfaec8713217p-13, 0x1.6512f7442ec24p-13, 0x1.5c5cea36be50bp-13, 0x1.53dd29d3d3d42p-13, 0x1.4b8a5229da7d9p-13, 0x1.435af7bcd7b3cp-13, 0x1.3b52d003cda1fp-13, 0x1.33713dbba95dbp-13, 0x1.2bb3cc2bf3cb1p-13, 0x1.24229a490e048p-13, 0x1.1cc229cc4e198p-13, 0x1.158d710ba452ep-13, 0x1.0e7de6649c8bfp-13, 0x1.078eb599c4b22p-13, 0x1.00bceeb02087ap-13, 0x1.f410e2267e232p-14, 0x1.e6e7a104405dfp-14, 0x1.da03c41f880f5p-14, 0x1.cd658a6b719c8p-14, 0x1.c107addc37064p-14, 0x1.b4e6039317df1p-14, 0x1.a902ce4d1eec9p-14, 0x1.9d63434e1c4dp-14, 0x1.9208989917285p-14, 0x1.86eec704a5d7bp-14, 0x1.7c1036203f0a7p-14, 0x1.7168b43cf1e08p-14, 0x1.66f5f769721ddp-14, 0x1.5cb6fd4e891d4p-14, 0x1.52ab81b8df8b9p-14, 0x1.48d3c9106765ep-14, 0x1.3f304b173d9b3p-14, 0x1.35c0ba5910842p-14, 0x1.2c832baf39136p-14, 0x1.2375089d6c474p-14, 0x1.1a95b3354a37bp-14, 0x1.11e944fb8a12dp-14, 0x1.0975d283146fdp-14, 0x1.0134cf2599309p-14, 0x1.f23395c4b725ap-15, 0x1.e249929a0dbc5p-15, 0x1.d2ac1ba746ee7p-15, 0x1.c369deab7e44fp-15, 0x1.b488078bf1393p-15, 0x1.a5fa544eab87dp-15, 0x1.97b9ce701fe3ap-15, 0x1.89c5b7acf384bp-15, 0x1.7c1eb8e7cfe22p-15, 0x1.6ec5866cedb9cp-15, 0x1.61bade9c82171p-15, 0x1.54ff3118a83ffp-15, 0x1.489108d1a4d11p-15, 0x1.3c6ae2a0714edp-15, 0x1.3084c5cac05c1p-15, 0x1.24db871d1342ep-15, 0x1.197364897383cp-15, 0x1.0e4ed64a0c6ecp-15, 0x1.036894ebe2476p-15, 0x1.f179b3aa389f7p-16, 0x1.dca09edd2bba4p-16, 0x1.c84e2588864dfp-16, 0x1.b47c1ebb85e3dp-16, 0x1.a11f3d0654b8cp-16, 0x1.8e303a108c027p-16, 0x1.7bac2b9984aaap-16, 0x1.6992189bad726p-16, 0x1.57e19a09d0fefp-16, 0x1.469a6748e97cep-16, 0x1.35bbc0c58a9ddp-16, 0x1.2543bb20ec533p-16, 0x1.152f3a6c2f81bp-16, 0x1.057a7606aed33p-16, 0x1.ec47759f5584bp-17, 0x1.ce63132c6f9f3p-17, 0x1.b14ba5541a85dp-17, 0x1.94db5cc450871p-17, 0x1.7905bcd9c6a37p-17, 0x1.5de135a53bc77p-17, 0x1.4377e89fb48e9p-17, 0x1.29b6efd8c08b9p-17, 0x1.1095672318cadp-17, 0x1.f023ffa94a22p-18, 0x1.c056609fc7e1dp-18, 0x1.91bcd8c4124cep-18, 0x1.64516dd2d0b9p-18, 0x1.380deafc2f745p-18, 0x1.0cec1a4495c07p-18, 0x1.c5cbc80c62194p-19, 0x1.73eb07be95f1fp-19, 0x1.242aa38e02cabp-19, 0x1.ad01004411f5ap-20, 0x1.15cb89252db8bp-20, 0x1.0568b97b7fe03p-21, -0x1.882c850a307a1p-25, -0x1.2e77989fc67edp-21, -0x1.1e86e23aabd56p-20, -0x1.a240d8df82256p-20, -0x1.113e171555829p-19, -0x1.4faa9b602ef5ap-19, -0x1.8c4f8e60a812ep-19, -0x1.c7225f4d976c3p-19, -0x1.001f89e4cb0c8p-18, -0x1.1bdff0abdde0cp-18, -0x1.36d8153a23dap-18, -0x1.510a8d02ec3cap-18, -0x1.6a798eb01161ap-18, -0x1.8327995fd348cp-18, -0x1.9b17cd6c33d7fp-18, -0x1.b24e3d7121de3p-18, -0x1.c8cffcb649695p-18, -0x1.dea2c55c50cf1p-18, -0x1.f3c9dd6475f8dp-18, -0x1.04203ea4c20c6p-17, -0x1.0e076dabdd891p-17, -0x1.17a16d5f7be64p-17, -0x1.20e94a9cecb36p-17, -0x1.29e172274b972p-17, -0x1.328e1e23411c4p-17, -0x1.3af089ec0474dp-17, -0x1.4309cb83ef162p-17, -0x1.4adb4876db10fp-17, -0x1.52667fe9701c9p-17, -0x1.59acf15564bc3p-17, -0x1.60b016b7951d4p-17, -0x1.677162cbaa128p-17, -0x1.6df241958980bp-17, -0x1.7434198e2aa4cp-17, -0x1.7a384452f1c9cp-17, -0x1.800013d004c59p-17, -0x1.858cd709132e9p-17, -0x1.8adfdad96622ep-17, -0x1.8ffa6c40ba363p-17, -0x1.94ddd84d9ffa7p-17, -0x1.998b6bd9723d4p-17, -0x1.9e047784c74ecp-17, -0x1.a24a38b0d666fp-17, -0x1.a65d329cb051cp-17, -0x1.aa3c675d8dc9dp-17, -0x1.ade8046eebcd6p-17, -0x1.b16520a63cf3fp-17, -0x1.b4b7fc9d4af32p-17, -0x1.b7df4d9cea6d6p-17, -0x1.bad77397a7445p-17, -0x1.bda287d87555cp-17, -0x1.c043fd6067c5bp-17, -0x1.c2bd0c0785e62p-17, -0x1.c50e173354554p-17, -0x1.c7378744d73d1p-17, -0x1.c93a031941c2cp-17, -0x1.cb167c0145253p-17, -0x1.ccce0ae0c3792p-17, -0x1.ce61f7c4d1d2dp-17, -0x1.cfd394a9a2c1bp-17, -0x1.d1221a853fd72p-17, -0x1.d24eb44a0b3abp-17, -0x1.d359c10246f11p-17, -0x1.d4440961358d4p-17, -0x1.d50fe6a8cbe67p-17, -0x1.d5bd8e662d29dp-17, -0x1.d64d590943e42p-17, -0x1.d6bfe4f26ef46p-17, -0x1.d715e7f59be24p-17, -0x1.d7500f8426e8cp-17, -0x1.d76f0a0c7698ap-17, -0x1.d7737ffd276cep-17, -0x1.d75e155c066cap-17, -0x1.d72f6a7b6ec2cp-17, -0x1.d6e81c9484fa4p-17, -0x1.d688c64de68dcp-17, -0x1.d612000e07657p-17, -0x1.d5845fd9d2b16p-17, -0x1.d4e078bf49f1fp-17, -0x1.d426d9d63b9d8p-17, -0x1.d3580d4a917dep-17, -0x1.d2749828d83cep-17, -0x1.d17cfc92cec01p-17, -0x1.d071bfe5a9135p-17, -0x1.cf53613463b48p-17, -0x1.ce22672795886p-17, -0x1.ccdf6bd83a18dp-17, -0x1.cb8af21b430a5p-17, -0x1.ca2582725be55p-17, -0x1.c8afdfed3ebfap-17, -0x1.c72a872f2b582p-17, -0x1.c5937314ecc71p-17, -0x1.c3ea324a6e193p-17, -0x1.c2358bb7c6303p-17, -0x1.c072676746f3fp-17, -0x1.be9e3ba06055p-17, -0x1.bcbd0c408ac65p-17, -0x1.bacf828402462p-17, -0x1.b8d527f56c343p-17, -0x1.b6ce118efa1b8p-17, -0x1.b4ba998bbc528p-17, -0x1.b29b2c4933d1dp-17, -0x1.b070a46306a62p-17, -0x1.ae3bee4dd193fp-17, -0x1.abfb30b5a4987p-17, -0x1.a9adfff972bb1p-17, -0x1.a75734fd4a476p-17, -0x1.a4f74ceb4b8b4p-17, -0x1.a28ddd3b37a6ep-17, -0x1.a01b080594453p-17, -0x1.9d9f1afe0973fp-17, -0x1.9b1a680f0b832p-17, -0x1.988d3b6af2dc7p-17, -0x1.95f7dce16fa4p-17, -0x1.935a951529286p-17, -0x1.90b5aa33630ecp-17, -0x1.8e0960765a139p-17, -0x1.8b55fa7758096p-17, -0x1.889bb948e415bp-17, -0x1.85dadc82968d7p-17, -0x1.8313a24f42e4dp-17, -0x1.804647878fafep-17, -0x1.7d7307d6404cbp-17, -0x1.7a9a1deccc213p-17, -0x1.77bbc3a0d4271p-17, -0x1.74d8317d49333p-17, -0x1.71efa106e2927p-17, -0x1.6f024753ba49ep-17, -0x1.6c10597aa1657p-17, -0x1.691a09ebf4332p-17, -0x1.661f8976e6c44p-17, -0x1.6321082c64ca2p-17, -0x1.601eb6aba0316p-17, -0x1.5d18c7314eb67p-17, -0x1.5a0f6e4f77813p-17, -0x1.5702dfdd413f5p-17, -0x1.53f34706198cep-17, -0x1.50e0c0f50f537p-17, -0x1.4dcb7317f7bd3p-17, -0x1.4ab3d87953aacp-17, -0x1.479ac3b72d9fp-17, -0x1.447f89c743adcp-17, -0x1.4160e5062eaecp-17, -0x1.3e3eeb9aee40ap-17, -0x1.3b1b574618aa1p-17, -0x1.37f73a824e824p-17, -0x1.34d1fd7be8f0cp-17, -0x1.31ab5f8e3bbdp-17, -0x1.2e838d0679ee8p-17, -0x1.2b5b22b94a7e7p-17, -0x1.28318159f5cf3p-17, -0x1.25060218d6e1ep-17, -0x1.21da5728ed36p-17, -0x1.1eae5415b6a2ap-17, -0x1.1b81da17e2f5cp-17, -0x1.185503c1b34b3p-17, -0x1.1527f1c81c223p-17, -0x1.11fac346695acp-17, -0x1.0ecd958d45c5ep-17, -0x1.0ba08518984d6p-17, -0x1.0873ad6d54fdap-17, -0x1.05472953dfa39p-17, -0x1.021b13041e946p-17, -0x1.fddf08191ba9cp-18, -0x1.f7892ab12e8f3p-18, -0x1.f134be5176dfdp-18, -0x1.eae1f24b71112p-18, -0x1.e490f7bdc2bd6p-18, -0x1.de420eddc4c24p-18, -0x1.d7f57185774c6p-18, -0x1.d1aaf9c392961p-18, -0x1.cb62e43615435p-18, -0x1.c51d9bdca6c35p-18, -0x1.bedb2e5c572ap-18, -0x1.b89bc1a9272dep-18, -0x1.b25f7b4d80fd2p-18, -0x1.ac26805f493c2p-18, -0x1.a5f0f6377876p-18, -0x1.9fbf01e7d0ed4p-18, -0x1.9990c7bf0c796p-18, -0x1.93666b37afdc1p-18, -0x1.8d400eac2d374p-18, -0x1.871dd34beb3f2p-18, -0x1.80ffd91c9b115p-18, -0x1.7ae63ee208711p-18, -0x1.74d122212f87dp-18, -0x1.6ec0a4a4c3ce5p-18, -0x1.68b4ea841f135p-18, -0x1.62ae0cf48747bp-18, -0x1.5cac264eaf9f9p-18, -0x1.56af4b75b8189p-18, -0x1.50b78d7c2f2c1p-18, -0x1.4ac51a4f09fdcp-18, -0x1.44d8725d77758p-18, -0x1.3ef1bacb2a35fp-18, -0x1.390f6b600b1ecp-18, -0x1.33325a2acd745p-18, -0x1.2d5bb242f1bfp-18, -0x1.278b2c43bb6f6p-18, -0x1.21c09fb3661f6p-18, -0x1.1bfbbd8d7ed38p-18, -0x1.163d14ddbbd64p-18, -0x1.1084a38f6211fp-18, -0x1.0ad2706181eabp-18, -0x1.05268f7d530e6p-18, -0x1.ff0227731b23dp-19, -0x1.f3c42201d1354p-19, -0x1.e893311d8c4fp-19, -0x1.dd6f777765126p-19, -0x1.d259166ab341bp-19, -0x1.c7502e8fced99p-19, -0x1.bc54e05b7f37ap-19, -0x1.b1674e6d0e569p-19, -0x1.a68798ea54e63p-19, -0x1.9bb5cc1b12a3ap-19, -0x1.90f1ff5677f6ep-19, -0x1.863c609a8f9f1p-19, -0x1.7b950a4c68248p-19, -0x1.70fc11a54aecbp-19, -0x1.66718e06ba4bp-19, -0x1.5bf5976205efp-19, -0x1.5188427ea97e5p-19, -0x1.4729a567ce3d7p-19, -0x1.3cd9d7db504edp-19, -0x1.3298edba21de4p-19, -0x1.2866fb5510c7cp-19, -0x1.1e4411faf51ap-19, -0x1.1430444ad753dp-19, -0x1.0a2ba429f9f0ep-19, -0x1.00364281f3dd8p-19, -0x1.eca05ef3d66dep-20, -0x1.d8f2f50549a27p-20, -0x1.c56464b0edb58p-20, -0x1.b1f4c9f390644p-20, -0x1.9ea43f3a7bc13p-20, -0x1.8b72de2ee720ap-20, -0x1.7860c5dadb3cap-20, -0x1.656e264a0b405p-20, -0x1.529af419b5749p-20, -0x1.3fe704813da4cp-20, -0x1.2d52c3b1765d5p-20, -0x1.1ade43792c7b6p-20, -0x1.0889829381e34p-20, -0x1.eca91d077fd78p-21, -0x1.c87eedab3c85fp-21, -0x1.a49491c3772cp-21, -0x1.80ea228afa2c4p-21, -0x1.5d7fbb4d9d4a6p-21, -0x1.3a5578fbf9983p-21, -0x1.176b73b1a8207p-21, -0x1.e9829696feb31p-22, -0x1.a4af53ff5d082p-22, -0x1.605e183c2e212p-22, -0x1.1c8c9df1dd84p-22, -0x1.b2780a884e3fdp-23, -0x1.2cd9b941cb3d2p-23, -0x1.507e7a7ebd02fp-24, -0x1.2524e31361f09p-26, 0x1.77d81b3093cf6p-25, 0x1.bf195255cbb1fp-24, 0x1.601fd7b027af6p-23, 0x1.dfb0fab08f67fp-23, 0x1.2f201476d5657p-22, 0x1.6de6a3ea83daap-22, 0x1.ac2c3570dfbbap-22, 0x1.e9f0daa75b7d9p-22, 0x1.139a53c18eff8p-21, 0x1.31fbd93c9afbep-21, 0x1.501d0aaadebf6p-21, 0x1.6dfdf7423286p-21, 0x1.8b9eb110f9f7p-21, 0x1.a8ff4f3bd0abcp-21, 0x1.c61ff3d60ab3ep-21, 0x1.e300bc54c6c45p-21, 0x1.ff9fe4500e46dp-21, 0x1.0e012ffd038e1p-20, 0x1.1c0fbf7dfb1fp-20, 0x1.2a021b8bbd857p-20, 0x1.37d2f0e18a261p-20, 0x1.4583fd8c562cfp-20, 0x1.531572ae53216p-20, 0x1.6087553b56ddp-20, 0x1.6dd9afc3b3adfp-20, 0x1.7b0c9058b61b8p-20, 0x1.882006c3f60bcp-20, 0x1.951423c0cd5fap-20, 0x1.a1e8f8acf8dcp-20, 0x1.ae9e97c7b9d13p-20, 0x1.bb35139be958ep-20, 0x1.c7ac7f8f32b38p-20, 0x1.d404ef035f4fap-20, 0x1.e03e72beb7324p-20, 0x1.ec59223678c8dp-20, 0x1.f8551dd5104c5p-20, 0x1.021933aeb99dp-19, 0x1.07f882bffe1dap-19, 0x1.0dc88e91d72a3p-19, 0x1.13897dafc1245p-19, 0x1.193b49bec5eep-19, 0x1.1eddefa49fae2p-19, 0x1.247181d145212p-19, 0x1.29f610246a71cp-19, 0x1.2f6ba78d42236p-19, 0x1.34d2547ea4d5p-19, 0x1.3a2a23801baafp-19, 0x1.3f7321a70fb2bp-19, 0x1.44ad5bda7878ap-19, 0x1.49d8e11a7c48dp-19, 0x1.4ef5bb0b65673p-19, 0x1.5403f9eedc098p-19, 0x1.5903aaf969144p-19, 0x1.5df4dc29b362cp-19, 0x1.62d7a0778943bp-19, 0x1.67abfdd77765ap-19, 0x1.6c71ffb895ed5p-19, 0x1.7129c0f72c1ap-19, 0x1.75d33e470b655p-19, 0x1.7a6e9efbcf693p-19, 0x1.7efbf29bbd05bp-19, 0x1.837b339b6a802p-19, 0x1.87ec741820ac2p-19, 0x1.8c4fc81271861p-19, 0x1.90a5406684d03p-19, 0x1.94eced2409ef2p-19, 0x1.9926dcf9a3e14p-19, 0x1.9d531691d0357p-19, 0x1.a171a1db60b27p-19, 0x1.a582c54ca0c3bp-19, 0x1.a98675cb8a60dp-19, 0x1.ad7c88d363e5p-19, 0x1.b16552193b55ap-19, 0x1.b540e3c671b2p-19, 0x1.b90f27e4372f4p-19, 0x1.bcd040d3cc499p-19, 0x1.c0844093e4574p-19, 0x1.c42b376028708p-19, 0x1.c7c535dd045cbp-19, 0x1.cb524cd4e1eeep-19, 0x1.ced28d31e9581p-19, 0x1.d24608032f97p-19, 0x1.d5acce5987d8bp-19, 0x1.d906f164e6dcp-19, 0x1.dc54828061c01p-19, 0x1.df95931fe400dp-19, 0x1.e2ca34c365be6p-19, 0x1.e5f278f7798c5p-19, 0x1.e90e713709f6cp-19, 0x1.ec1e2f199036cp-19, 0x1.ef21c4cf2c5f3p-19, 0x1.f21943753da71p-19, 0x1.f504b9c60f633p-19, 0x1.f7e43a25edab6p-19, 0x1.fab7e7506e486p-19, 0x1.fd7fbac23b2b8p-19, 0x1.001de767af463p-18, 0x1.01761d3e76178p-18, 0x1.02c8898f3cb0bp-18, 0x1.041535df03b37p-18, 0x1.055bf988fb63fp-18, 0x1.069d04c9e3f8cp-18, 0x1.07d8dd0952f9bp-18, 0x1.090ec7980815bp-18, 0x1.0a3f1626e1c7fp-18, 0x1.0b69dae030de8p-18, 0x1.0c8f180082472p-18, 0x1.0daee0f617973p-18, 0x1.0ec93835e0e3ep-18, 0x1.0fde23a4c42bp-18, 0x1.10edae685b0a9p-18, 0x1.11f7e1e447483p-18, 0x1.12fcc7238c9ffp-18, 0x1.13fc6755526c7p-18, 0x1.14f6cb8253e1dp-18, 0x1.15ebfcc7fd4d4p-18, 0x1.16dc044064ab7p-18, 0x1.17c6eb08679dp-18, 0x1.18acba47fb67fp-18, 0x1.198d7afffb148p-18, 0x1.1a69366f7cbcbp-18, 0x1.1b3ff5971d26dp-18, 0x1.1c11c1df985afp-18, 0x1.1cdea371b4c87p-18, 0x1.1da6a45571849p-18, 0x1.1e69cd4fd507ap-18, 0x1.1f2827766d777p-18, 0x1.1fe1bb981012bp-18, 0x1.2096929d60e94p-18, 0x1.2146b5c28bdaap-18, 0x1.21f22ce2de7e1p-18, 0x1.229907cb597ccp-18, 0x1.233b483d5da7p-18, 0x1.23d8f5e044c3ap-18, 0x1.247208b8d5e68p-18, 0x1.2506b2cc5aa83p-18, 0x1.2597024f9516dp-18, 0x1.2622ca2368edfp-18, 0x1.26aa2c2a013c5p-18, 0x1.272d37e595d48p-18, 0x1.27abf18b79f77p-18, 0x1.28265e666762cp-18, 0x1.289c9df50d7fep-18, 0x1.290e9a4bf46fap-18, 0x1.297c600f8877p-18, 0x1.29e604f118572p-18, 0x1.2a4b9cb513aa2p-18, 0x1.2aad0ef3047bep-18, 0x1.2b0a92eeac758p-18, 0x1.2b63f2572f99p-18, 0x1.2bb96ee9d2e52p-18, 0x1.2c09d92e72eb2p-18, 0x1.2c5a0a12f64cdp-18, 0x1.2ca1df5f8859cp-18, 0x1.2ce8328759541p-18, 0x1.2d2a41c637207p-18, 0x1.2d688d618e79bp-18, 0x1.2da31e3eb6ebdp-18, 0x1.2dd9fba82cffdp-18, 0x1.2e0d2d6a7d0abp-18, 0x1.2e3cbba6bf76dp-18, 0x1.2e68ae7eaef4ap-18, 0x1.2e910e2b8a794p-18, 0x1.2eb5e329f9e78p-18, 0x1.2ed735a4f44a6p-18, 0x1.2ef50e3862818p-18, 0x1.2f0f7573297afp-18, 0x1.2f267266433acp-18, 0x1.2f3a0dfc5322ep-18, 0x1.2f4a510b75473p-18, 0x1.2f5742d3f3666p-18, 0x1.2f60eb35d9fbcp-18, 0x1.2f675349718f1p-18, 0x1.2f6a821a6975ap-18, 0x1.2f6a80f98f615p-18, 0x1.2f67563eb8283p-18, 0x1.2f610a23c6c02p-18, 0x1.2f5795bedb62dp-18, 0x1.2f4b3b9f1a109p-18, 0x1.2f3ba31c1312bp-18, 0x1.2f293d0d698bdp-18, 0x1.2f13beb8e3e3p-18, 0x1.2efb51fc457abp-18, 0x1.2edffcd4cbdb3p-18, 0x1.2ec1c56e869cp-18, 0x1.2ea0b350daac5p-18, 0x1.2e7cce59cf27fp-18, 0x1.2e561e2c66216p-18, 0x1.2e2caa48c6581p-18, 0x1.2e007a2811b77p-18, 0x1.2dd19539465dap-18, 0x1.2da002d5d1a4bp-18, 0x1.2d6bcac6bf7c3p-18, 0x1.2d34f42bd745ap-18, 0x1.2cfb863ff32c1p-18, 0x1.2cbf87c5a724ep-18, 0x1.2c80fe2d71e7bp-18, 0x1.2c3fe8b20237ap-18, 0x1.2bfc7b03a2331p-18, 0x1.2bb68532a0b39p-18, 0x1.2b6e221a68c3p-18, 0x1.2b235c1d507e1p-18, 0x1.2ad638a8c407dp-18, 0x1.2a86be9001b85p-18, 0x1.2a34f4f085d1p-18, 0x1.29e0e2dc16b1p-18, 0x1.298a91129f1d2p-18, 0x1.29320477b094cp-18, 0x1.28d72b8ee45edp-18, 0x1.287a44b0eebf2p-18, 0x1.281b3551081f5p-18, 0x1.27b9fe1fb215cp-18, 0x1.2756ab6aa36bp-18, 0x1.26f1387763084p-18, 0x1.2689d95fb95e2p-18, }}, 
      {{-0x1.f607c5b5fa3e6p-2, -0x1.e7a0d5beda301p-2, -0x1.d1c57d1290306p-2, -0x1.b6a8865330fd9p-2, -0x1.9864ff0c6241ep-2, -0x1.78cb4c143bb33p-2, -0x1.594f292e02701p-2, -0x1.3b07eabcae144p-2, -0x1.1eb9d39193ef8p-2, -0x1.04e3028c9ad8fp-2, -0x1.db91e8a1ecda3p-3, -0x1.b30a24d5a4f76p-3, -0x1.901f6b1242c32p-3, -0x1.7292dfb6b74d8p-3, -0x1.5a05500604f8cp-3, -0x1.46035fd1f8708p-3, -0x1.360f0d1db6828p-3, -0x1.29a6e6e6a4cb1p-3, -0x1.204b60e9c9831p-3, -0x1.19829b6014e21p-3, -0x1.14daec6dc7befp-3, -0x1.11ec6dfb5aaf8p-3, -0x1.1059cec926c34p-3, -0x1.0fd0914f75be4p-3, -0x1.1008dfaba8168p-3, -0x1.10c517792197p-3, -0x1.11d1226d6cef2p-3, -0x1.1301aee3fa755p-3, -0x1.14335b6eccb16p-3, -0x1.1549dbe782ca5p-3, -0x1.162f22534c85cp-3, -0x1.16d290dddc671p-3, -0x1.1728388acd595p-3, -0x1.172826e719dc4p-3, -0x1.16cdc41774e2bp-3, -0x1.16174198c7e29p-3, -0x1.15051754e0d5p-3, -0x1.13999409fd79dp-3, -0x1.11d878f4ff244p-3, -0x1.0fc6a3f2351e5p-3, -0x1.0d69c5e0fd7ecp-3, -0x1.0ac824736de96p-3, -0x1.07e865440ed63p-3, -0x1.04d161d3c6eedp-3, -0x1.018a034e2b605p-3, -0x1.fc324935b7995p-4, -0x1.f50af4f07be8fp-4, -0x1.edab011667209p-4, -0x1.e61ed5825bec8p-4, -0x1.de7234b9a969p-4, -0x1.d6b02c2370fbap-4, -0x1.cee30983d7b81p-4, -0x1.c71454d655cbdp-4, -0x1.bf4ccdfd18c25p-4, -0x1.b7946d3c3a4eep-4, -0x1.aff26669c9bffp-4, -0x1.a86d2df639a6fp-4, -0x1.a10a7f9594595p-4, -0x1.99cf65af4495bp-4, -0x1.92c042a82328ap-4, -0x1.8be0d9e7edcedp-4, -0x1.8534585de9ab1p-4, -0x1.7ebd608f55709p-4, -0x1.787e1285eaba4p-4, -0x1.727817d716365p-4, -0x1.6cacab2a7f4efp-4, -0x1.671ca22e5dd7p-4, -0x1.61c877c008e4ap-4, -0x1.5cb053512f5e6p-4, -0x1.57d41260a9cfap-4, -0x1.53334fd46a254p-4, -0x1.4ecd6b7112446p-4, -0x1.4aa191267e2e4p-4, -0x1.46aebef48018p-4, -0x1.42f3cb1197d2bp-4, -0x1.3f6f69f39727bp-4, -0x1.3c203233a26b1p-4, -0x1.3904a2a150e21p-4, -0x1.361b25e1989dp-4, -0x1.3362169080f2ap-4, -0x1.30d7c375cbe66p-4, -0x1.2e7a7164ec51bp-4, -0x1.2c485f754b0dcp-4, -0x1.2a3fc8e608e7cp-4, -0x1.285ee77789f08p-4, -0x1.26a3f54c99004p-4, -0x1.250d2f6a9ace4p-4, -0x1.2398d5da6d83ap-4, -0x1.22452e9024096p-4, -0x1.211085eab2e8p-4, -0x1.1ff92ff6124a4p-4, -0x1.1efd894c7cf41p-4, -0x1.1e1bf81239532p-4, -0x1.1d52ec0ab847ap-4, -0x1.1ca0dfc416926p-4, -0x1.1c0458fda86b8p-4, -0x1.1b7be84aa670dp-4, -0x1.1b0629f297384p-4, -0x1.1aa1c5c66d14fp-4, -0x1.1a4d6f723e5e6p-4, -0x1.1a07e64ebf874p-4, -0x1.19cff5bed03cap-4, -0x1.19a4745e2be34p-4, -0x1.198444ff307a9p-4, -0x1.196e55fb473c1p-4, -0x1.1961a0f4c5724p-4, -0x1.195d2ac5420c4p-4, -0x1.196003a58d3b5p-4, -0x1.196946826b179p-4, -0x1.197818f84cafbp-4, -0x1.198bab3f8603bp-4, -0x1.19a33770e035cp-4, -0x1.19be01e98629ap-4, -0x1.19db58749e4e1p-4, -0x1.19fa923a7b634p-4, -0x1.1a1b0f6f357acp-4, -0x1.1a3c390a8acbp-4, -0x1.1a5d810fcb501p-4, -0x1.1a7e616e35895p-4, -0x1.1a9e5bcdf6c8ap-4, -0x1.1abcf9afe3ed4p-4, -0x1.1ad9cc31e92fbp-4, -0x1.1af46b61b1508p-4, -0x1.1b0c7647c8efcp-4, -0x1.1b21928c2f17ap-4, -0x1.1b336c25d9174p-4, -0x1.1b41b510a477dp-4, -0x1.1b4c25b511b01p-4, -0x1.1b527b3931c3dp-4, -0x1.1b5478c107807p-4, -0x1.1b51e66aa885fp-4, -0x1.1b4a914c2a2b9p-4, -0x1.1b3e4b170b32p-4, -0x1.1b2cea1cf5d84p-4, -0x1.1b1648e47fbc3p-4, -0x1.1afa460d447afp-4, -0x1.1ad8c4183a15fp-4, -0x1.1ab1a93a21546p-4, -0x1.1a84df2aa3089p-4, -0x1.1a5252fbbc945p-4, -0x1.1a19f4dd5a506p-4, -0x1.19dbb806cd7cep-4, -0x1.1997928fe8d61p-4, -0x1.194d7d0e4a48ep-4, -0x1.18fd730cab07ap-4, -0x1.18a771ee1deaep-4, -0x1.184b79af6b752p-4, -0x1.17e98c708016fp-4, -0x1.1781adf7b44cfp-4, -0x1.1713e46bbcae7p-4, -0x1.16a037370ed5ap-4, -0x1.1626afbe3117p-4, -0x1.15a758c72fe64p-4, -0x1.15223e8502f8fp-4, -0x1.14976e8f01831p-4, -0x1.1406f7ac186cep-4, -0x1.1370e9ca9e15bp-4, -0x1.12d555e96b615p-4, -0x1.12344e014b53p-4, -0x1.118de4ea71a79p-4, -0x1.10e22e60ba61dp-4, -0x1.10313ebc3b6bp-4, -0x1.0f7b2b2ee3227p-4, -0x1.0ec00970b2151p-4, -0x1.0dffefcddbc5p-4, -0x1.0d3af50f0645fp-4, -0x1.0c71305fea262p-4, -0x1.0ba2b97b5fb9ep-4, -0x1.0acfa84bb533ap-4, -0x1.09f81513baa0ep-4, -0x1.091c1858ed67cp-4, -0x1.083bcad35cab5p-4, -0x1.07574565bafb1p-4, -0x1.066ea117a45e1p-4, -0x1.0581f6ffe514fp-4, -0x1.049160524189bp-4, -0x1.039cf6471ba42p-4, -0x1.02a4d2124e26p-4, -0x1.01a90ce17536cp-4, -0x1.00a9bfdded9e7p-4, -0x1.ff4e082fb096cp-5, -0x1.fd41e50c7c6aap-5, -0x1.fb2f47fc0eb0ep-5, -0x1.f9166279a8acdp-5, -0x1.f6f765a164c9dp-5, -0x1.f4d28238b8debp-5, -0x1.f2a7e8a5ea6ap-5, -0x1.f077c8e00d5ap-5, -0x1.ee4252820e23bp-5, -0x1.ec07b4b0377dfp-5, -0x1.e9c81df6b71dcp-5, -0x1.e783bc89ad7fcp-5, -0x1.e53abdff9ebeep-5, -0x1.e2ed4f548e18cp-5, -0x1.e09b9d5016fep-5, -0x1.de45d3fc61ad9p-5, -0x1.dbec1e4255b9p-5, -0x1.d98ea73befbcbp-5, -0x1.d72d994e1296dp-5, -0x1.d4c91de0f0eb5p-5, -0x1.d2615df3e49e4p-5, -0x1.cff681ee85582p-5, -0x1.cd88b1917b1d2p-5, -0x1.cb1813f566f02p-5, -0x1.c8a4cf988197bp-5, -0x1.c62f0a551c60ep-5, -0x1.c3b6e960717b3p-5, -0x1.c13c9156f6f3ep-5, -0x1.bec0261ec12efp-5, -0x1.bc41caf1c8eefp-5, -0x1.b9c1a27c0ccd8p-5, -0x1.b73fced10bde5p-5, -0x1.b4bc714d21addp-5, -0x1.b237aaa3396f1p-5, -0x1.afb19aeeab3f7p-5, -0x1.ad2a61a9f6f6fp-5, -0x1.aaa21db0d175ep-5, -0x1.a818ed3e3beecp-5, -0x1.a58eedf136803p-5, -0x1.a3043cca305f1p-5, -0x1.a078f625e22eap-5, -0x1.9ded35d100fa8p-5, -0x1.9b6116fa37fffp-5, -0x1.98d4b437f6842p-5, -0x1.964827941ed9cp-5, -0x1.93bb8a6d988f9p-5, -0x1.912ef5909389p-5, -0x1.8ea2814f49c0dp-5, -0x1.8c164560c6df7p-5, -0x1.898a58e791f78p-5, -0x1.86fed271a5c8ap-5, -0x1.8473c80e8fabep-5, -0x1.81e94f4178d87p-5, -0x1.7f5f7d0036c8ap-5, -0x1.7cd665bf8a815p-5, -0x1.7a4e1d6bf44c4p-5, -0x1.77c6b770528cep-5, -0x1.754046b85d2e4p-5, -0x1.72baddacfdbbbp-5, -0x1.70368e3d0b582p-5, -0x1.6db369d8e6404p-5, -0x1.6b318178eaa3fp-5, -0x1.68b0e59db3da6p-5, -0x1.6631a64fb9ddap-5, -0x1.63b3d3260974dp-5, -0x1.61377b4345891p-5, -0x1.5ebcad5901ff5p-5, -0x1.5c4377a936ea6p-5, -0x1.59cbe80b18708p-5, -0x1.57560be63aaccp-5, -0x1.54e1f03edced3p-5, -0x1.526fa1a6bae16p-5, -0x1.4fff2c56979e9p-5, -0x1.4d909c1ae8f0dp-5, -0x1.4b23fc5f8d10bp-5, -0x1.48b95832fe6ecp-5, -0x1.4650ba36f99bap-5, -0x1.43ea2cbf9e306p-5, -0x1.4185b9c26afb5p-5, -0x1.3f236ad87d43bp-5, -0x1.3cc3494462d8ap-5, -0x1.3a655df3695fbp-5, -0x1.3809b17a74092p-5, -0x1.35b04c20ace7cp-5, -0x1.335935db75f2dp-5, -0x1.3104764fa9e72p-5, -0x1.2eb214db45638p-5, -0x1.2c62188206438p-5, -0x1.2a148804f92b5p-5, -0x1.27c969e676948p-5, -0x1.2580c4560be8p-5, -0x1.233a9d42fa9a9p-5, -0x1.20f6fa55112e7p-5, -0x1.1eb5e0f4d094p-5, -0x1.1c775649af14ap-5, -0x1.1a3b5f3b97d52p-5, -0x1.18020075fe43p-5, -0x1.15cb3e6689d8cp-5, -0x1.13971d3ea4675p-5, -0x1.1165a0fc6262cp-5, -0x1.0f36cd6152ceep-5, -0x1.0d0aa5f9b889ep-5, -0x1.0ae12e1c184c9p-5, -0x1.08ba68ec9fd5p-5, -0x1.0696595de601dp-5, -0x1.04750231f03d4p-5, -0x1.025665fa2957fp-5, -0x1.003a871002f26p-5, -0x1.fc42cf6262d3fp-6, -0x1.f81613ed5c2c9p-6, -0x1.f3eedf56a9d5fp-6, -0x1.efcd3534c9742p-6, -0x1.ebb118939dee9p-6, -0x1.e79a8c3f162fp-6, -0x1.e38992c6bf382p-6, -0x1.df7e2e6d3e483p-6, -0x1.db78612b3033ap-6, -0x1.d7782cb4c4365p-6, -0x1.d37d927f1824dp-6, -0x1.cf8893c250a17p-6, -0x1.cb993173bcdap-6, -0x1.c7af6c4edcbbfp-6, -0x1.c3cb44d631f37p-6, -0x1.bfecbb54a780cp-6, -0x1.bc13cfe01ca19p-6, -0x1.b840825a979fcp-6, -0x1.b472d27454e13p-6, -0x1.b0aabfae2a68cp-6, -0x1.ace8495b1bc14p-6, -0x1.a92b6e9d90732p-6, -0x1.a5742e70d9976p-6, -0x1.a1c287a90bd7fp-6, -0x1.9e1678edf9cc2p-6, -0x1.9a7000c2c1b4ep-6, -0x1.96cf1d8727b34p-6, -0x1.9333cd7800be6p-6, -0x1.8f9e0eb50f9a9p-6, -0x1.8c0ddf3485e2fp-6, -0x1.88833cbff1503p-6, -0x1.84fe2526a6c19p-6, -0x1.817e960ce2ad2p-6, -0x1.7e048cf51179bp-6, -0x1.7a90074925ebfp-6, -0x1.77210257119dcp-6, -0x1.73b77b5dc78b9p-6, -0x1.70536f847b89dp-6, -0x1.6cf4dbd9d57f4p-6, -0x1.699bbd5831ffap-6, -0x1.664810e6a3d82p-6, -0x1.62f9d359b7affp-6, -0x1.5fb10173cd66p-6, -0x1.5c6d97e6b3055p-6, -0x1.592f9354853efp-6, -0x1.55f6f0505900bp-6, -0x1.52c3ab5e351f9p-6, -0x1.4f95c0f4d34c1p-6, -0x1.4c6d2d7e48f45p-6, -0x1.4949ed56d9628p-6, -0x1.462bfccea1949p-6, -0x1.4313582e0f05bp-6, -0x1.3ffffbb0d0317p-6, -0x1.3cf1e38792b71p-6, -0x1.39e90bdcf9814p-6, -0x1.36e570d0fe946p-6, -0x1.33e70e785b0f5p-6, -0x1.30ede0e36c049p-6, -0x1.2df9e41a34b95p-6, -0x1.2b0b141d4bc9ap-6, -0x1.28216ce6a5d25p-6, -0x1.253cea69bfa95p-6, -0x1.225d8893c5c5ep-6, -0x1.1f83434c4594cp-6, -0x1.1cae1675bdb9dp-6, -0x1.19ddfdee38dfap-6, -0x1.1712f58c9895bp-6, -0x1.144cf923bf422p-6, -0x1.118c04840ab74p-6, -0x1.0ed013785a1b7p-6, -0x1.0c1921c742207p-6, -0x1.09672b339bdc5p-6, -0x1.06ba2b7c89029p-6, -0x1.04121e5dbe7b4p-6, -0x1.016eff8f9f209p-6, -0x1.fda1958eca863p-7, -0x1.f86ef76c47dc1p-7, -0x1.f3461c11d42c5p-7, -0x1.ee26fad72bfbcp-7, -0x1.e9118b100e0e3p-7, -0x1.e405c406e4d6cp-7, -0x1.df039d008ebdep-7, -0x1.da0b0d3c8589ap-7, -0x1.d51c0bf518117p-7, -0x1.d036905e65e09p-7, -0x1.cb5a91a561e2bp-7, -0x1.c68806f5b447bp-7, -0x1.c1bee77b9d3e8p-7, -0x1.bcff2a48d3903p-7, -0x1.b848c669dede2p-7, -0x1.b39bb307fc198p-7, -0x1.aef7e72f21ee1p-7, -0x1.aa5d59e27f73cp-7, -0x1.a5cc0223ca953p-7, -0x1.a143d6ef98286p-7, -0x1.9cc4cf3c88d39p-7, -0x1.984ee1fb16629p-7, -0x1.93e206135e034p-7, -0x1.8f7e3261a6cfap-7, -0x1.8b235dca4cb8ep-7, -0x1.86d17f37bd6e1p-7, -0x1.82888d7a5eb2fp-7, -0x1.7e487f48aebep-7, -0x1.7a114b64c11cep-7, -0x1.75e2e8935f32dp-7, -0x1.71bd4d8c5e9cdp-7, -0x1.6da070fd75fdcp-7, -0x1.698c498f3c4bep-7, -0x1.6580cde66f543p-7, -0x1.617df49d4e35bp-7, -0x1.5d83b44b3da2p-7, -0x1.5992037e4c91dp-7, -0x1.55a8d8bb47f8dp-7, -0x1.51c82a7d74677p-7, -0x1.4defef374397ep-7, -0x1.4a201d54534eap-7, -0x1.4658ab3a39004p-7, -0x1.42998f47cdd07p-7, -0x1.3ee2bfd45c972p-7, -0x1.3b34332f1e499p-7, -0x1.378ddf9fbb50bp-7, -0x1.33efbb65f63fdp-7, -0x1.3059bcb9c138fp-7, -0x1.2ccbd9cb0dcabp-7, -0x1.294608c07a2f8p-7, -0x1.25c83fb8263ccp-7, -0x1.225274c99d4b3p-7, -0x1.1ee49e03b95c1p-7, -0x1.1b7eb16b5761ap-7, -0x1.1820a4fc323bap-7, -0x1.14ca6eab492d3p-7, -0x1.117c046690e88p-7, -0x1.0e355c14d6fd3p-7, -0x1.0af66b95fc641p-7, -0x1.07bf28c348f47p-7, -0x1.048f896f30d7fp-7, -0x1.01678364b906cp-7, -0x1.fc8e18cd3fe77p-8, -0x1.f65c345d339p-8, -0x1.f03944d8c3f4fp-8, -0x1.ea25358dd06aap-8, -0x1.e41ff1b4a452fp-8, -0x1.de29647684fcfp-8, -0x1.d84178eda4b22p-8, -0x1.d2681a290601dp-8, -0x1.cc9d332fb4c26p-8, -0x1.c6e0af0310a9p-8, -0x1.c132789f98cb5p-8, -0x1.bb927afbcad48p-8, -0x1.b600a10552b9ap-8, -0x1.b07cd59cdcd6fp-8, -0x1.ab070392f29b8p-8, -0x1.a59f15a744b3ep-8, -0x1.a044f68827072p-8, -0x1.9af890b93165ep-8, -0x1.95b9ce96a6245p-8, -0x1.90889a9b9a754p-8, -0x1.8b64df258e2dep-8, -0x1.864e8687777b6p-8, -0x1.81457b1df39c9p-8, -0x1.7c49a751723b8p-8, -0x1.775af5970ba16p-8, -0x1.7279506e68c8cp-8, -0x1.6da4a25be299bp-8, -0x1.68dcd5dfb61d1p-8, -0x1.6421d56bcd056p-8, -0x1.5f738b59c9353p-8, -0x1.5ad1e1e3d867ap-8, -0x1.563cc3218ca2cp-8, -0x1.51b4190a1d863p-8, -0x1.4d37cd7c29d1p-8, -0x1.48c7ca497107ep-8, -0x1.4463f945f2959p-8, -0x1.400c4456af2f6p-8, -0x1.3bc0957d54f8fp-8, -0x1.3780d6df000dbp-8, -0x1.334cf2cb79fc7p-8, -0x1.2f24d3b517fdcp-8, -0x1.2b086415c0ae8p-8, -0x1.26f78e739e861p-8, -0x1.22f23d4cb057cp-8, -0x1.1ef85afea46a5p-8, -0x1.1b09d1bd38ffap-8, -0x1.17268b8e3dbbap-8, -0x1.134e724d2ca0dp-8, -0x1.0f816fb54d8bp-8, -0x1.0bbf6d71bbd7p-8, -0x1.08085531f6cf7p-8, -0x1.045c10bf3379bp-8, -0x1.00ba8a0ebfb13p-8, -0x1.fa47569d6ee14p-9, -0x1.f32ebdd5fabdap-9, -0x1.ec2b1f13a988bp-9, -0x1.e53c500157d13p-9, -0x1.de622685f8315p-9, -0x1.d79c789bf47edp-9, -0x1.d0eb1c26be8c4p-9, -0x1.ca4de6c853f7dp-9, -0x1.c3c4adc470a62p-9, -0x1.bd4f46428e93fp-9, -0x1.b6ed85221d802p-9, -0x1.b09f3e88a8c07p-9, -0x1.aa6446ad299bbp-9, -0x1.a43c71f7ab02cp-9, -0x1.9e2794f165b0bp-9, -0x1.982584749964bp-9, -0x1.923615d1a4296p-9, -0x1.8c591ecffcd7bp-9, -0x1.868e75d70d931p-9, -0x1.80d5f1bff3429p-9, -0x1.7b2f69d7984f4p-9, -0x1.759ab5bf724eap-9, -0x1.7017ad4f17d9ap-9, -0x1.6aa6287407148p-9, -0x1.6545ff13045a8p-9, -0x1.5ff708e93c1cep-9, -0x1.5ab91d7745878p-9, -0x1.558c13f28fd55p-9, -0x1.506fc341f0bc4p-9, -0x1.4b64020909a1ep-9, -0x1.4668a6c03901dp-9, -0x1.417d87d72a4fdp-9, -0x1.3ca27bde3d30ep-9, -0x1.37d759b2470eep-9, -0x1.331bf8a755a8dp-9, -0x1.2e7030ad9cb0dp-9, -0x1.29d3da5585914p-9, -0x1.2546cee1292fap-9, -0x1.20c8e88664026p-9, -0x1.1c5a0224ac93dp-9, -0x1.17f9f72da7878p-9, -0x1.13a8a38d31b2fp-9, -0x1.0f65e36ba73c8p-9, -0x1.0b3192e540cefp-9, -0x1.070b8dc026e8cp-9, -0x1.02f3af2c2383cp-9, -0x1.fdd3a332af254p-10, -0x1.f5db9d633a2b7p-10, -0x1.edfefeee05707p-10, -0x1.e63d79019034ep-10, -0x1.de96bc9c323f1p-10, -0x1.d70a7b4472d2fp-10, -0x1.cf9867b486e91p-10, -0x1.c84036645e0dep-10, -0x1.c1019dea1e5fdp-10, -0x1.b9dc572f8fbd5p-10, -0x1.b2d01d8945e26p-10, -0x1.abdcaea561c11p-10, -0x1.a501ca5af3cf1p-10, -0x1.9e3f3247df728p-10, -0x1.9794a936914fdp-10, -0x1.9101f24c7bab7p-10, -0x1.8a86d014f9c26p-10, -0x1.8423038c4e286p-10, -0x1.7dd64b5de0226p-10, -0x1.77a0638e28aap-10, -0x1.718105a06b457p-10, -0x1.6b77e9529758cp-10, -0x1.6584c5afdd753p-10, -0x1.5fa752492ba96p-10, -0x1.59df48474db8ap-10, -0x1.542c6321bb228p-10, -0x1.4e8e60e4be5d6p-10, -0x1.490502155db76p-10, -0x1.43900960343bp-10, -0x1.3e2f3b3fe53ccp-10, -0x1.38e25dbe6bc78p-10, -0x1.33a93859bc224p-10, -0x1.2e8393f436a25p-10, -0x1.29713aaa347b2p-10, -0x1.2471f763df542p-10, -0x1.1f85951405828p-10, -0x1.1aabddb7b3321p-10, -0x1.15e499553c918p-10, -0x1.112f8d4c88fecp-10, -0x1.0c8c7c47be238p-10, -0x1.07fb26f44f937p-10, -0x1.037b4d7d3a86dp-10, -0x1.fe196265c883dp-11, -0x1.f55e2b4b4d056p-11, -0x1.ecc4831456874p-11, -0x1.e44bfe3bf5b82p-11, -0x1.dbf436d8f8d98p-11, -0x1.d3bcca40efe2fp-11, -0x1.cba556d8a4247p-11, -0x1.c3ad7aa15603bp-11, -0x1.bbd4d2c1cacb8p-11, -0x1.b41afbf967461p-11, -0x1.ac7f93996c42bp-11, -0x1.a502387a952bp-11, -0x1.9da28b698a735p-11, -0x1.96602ebd64abdp-11, -0x1.8f3ac517e19dcp-11, -0x1.8831efa8f76f2p-11, -0x1.81454c8bb30d1p-11, -0x1.7a7475e696a2cp-11, -0x1.73bf02fc7bdcdp-11, -0x1.6d2488edbc154p-11, -0x1.66a49f0bfdd96p-11, -0x1.603ee15471237p-11, -0x1.59f2f0e2fe38bp-11, -0x1.53c0767db9555p-11, -0x1.4da7207e9031bp-11, -0x1.47a69fbd55458p-11, -0x1.41bea58971271p-11, -0x1.3beee203af145p-11, -0x1.36370323b3294p-11, -0x1.3096b61520a3ap-11, -0x1.2b0da856e8e04p-11, -0x1.259b88a06788ap-11, -0x1.204007160e939p-11, -0x1.1afad4ee4853dp-11, -0x1.15cba3f025bb7p-11, -0x1.10b2262af22a5p-11, -0x1.0bae0e0e308ap-11, -0x1.06bf0eaf9b202p-11, -0x1.01e4dbecd7c77p-11, -0x1.fa3e545f19ccfp-12, -0x1.f0db5bddc8a9p-12, -0x1.e7a036ab6e232p-12, -0x1.de8c4d0140747p-12, -0x1.d59f08d779d9fp-12, -0x1.ccd7d8323d3a7p-12, -0x1.c4362e409f54fp-12, -0x1.bbb98220b8dbap-12, -0x1.b3614ba9260edp-12, -0x1.ab2d003ef7bc8p-12, -0x1.a31c12298204ep-12, -0x1.9b2df3697c08ap-12, -0x1.93621aa384abap-12, -0x1.8bb806dfb36cfp-12, -0x1.842f3f4b968fep-12, -0x1.7cc74e95ef06p-12, -0x1.757fbc5aeb824p-12, -0x1.6e580870f1ad6p-12, -0x1.674fab014b58bp-12, -0x1.606619ca47a1ep-12, -0x1.599ad039aee97p-12, -0x1.52ed56a03cc72p-12, -0x1.4c5d450812545p-12, -0x1.45ea406894cacp-12, -0x1.3f93f372af8f5p-12, -0x1.395a0614c0daep-12, -0x1.333c1738f5dc1p-12, -0x1.2d39bb10f37b9p-12, -0x1.27527e12e6f43p-12, -0x1.2185ea79836bap-12, -0x1.1bd38ce7dbbfbp-12, -0x1.163af5d7c44aep-12, -0x1.10bbb7d17a9dcp-12, -0x1.0b556542bf371p-12, -0x1.060791274707bp-12, -0x1.00d1d371c9c52p-12, -0x1.f7679ca77cb23p-13, -0x1.ed5a5f0e895f2p-13, -0x1.e37b564507f2dp-13, -0x1.d9c9e3ab1fd8dp-13, -0x1.d045503bbe9ecp-13, -0x1.c6ecc729439efp-13, -0x1.bdbf5fb73ce3bp-13, -0x1.b4bc3113cce1ep-13, -0x1.abe2666aa2af3p-13, -0x1.a3314a7e6117cp-13, -0x1.9aa847ac81e9fp-13, -0x1.9246def4d0285p-13, -0x1.8a0c9b1a7df36p-13, -0x1.81f903ab359f3p-13, -0x1.7a0b922811169p-13, -0x1.7243ab6bee6c7p-13, -0x1.6aa0a025c5e4p-13, -0x1.6321b5915493dp-13, -0x1.5bc6336c75dbep-13, -0x1.548d708a998c4p-13, -0x1.4d76d7b771672p-13, -0x1.4681e32aded72p-13, -0x1.3fae129d80b9fp-13, -0x1.38fae33ea4c47p-13, -0x1.3267cf2dda9a9p-13, -0x1.2bf453d7bfe32p-13, -0x1.259ff7b327fdep-13, -0x1.1f6a4755b0faep-13, -0x1.1952c9e7fd024p-13, -0x1.1358f75f968eap-13, -0x1.0d7c3b8fcfa02p-13, -0x1.07bc012b0a314p-13, -0x1.0217be26956d7p-13, -0x1.f91df13119a11p-14, -0x1.ee4282b92322ep-14, -0x1.e39c57cb4c7b4p-14, -0x1.d92a95c2544a2p-14, -0x1.ceec65267c3e4p-14, -0x1.c4e0f76e83dfep-14, -0x1.bb078403dae1ep-14, -0x1.b15f3c544f2b3p-14, -0x1.a7e73de5a7b67p-14, -0x1.9e9e8c596ff4dp-14, -0x1.95841b38d554fp-14, -0x1.8c96d2532348p-14, -0x1.83d5ad131eaabp-14, -0x1.7b3fd332437b6p-14, -0x1.72d49b6438418p-14, -0x1.6a93801e375b8p-14, -0x1.627c04d9f3157p-14, -0x1.5a8d9644a0dbap-14, -0x1.52c77c34b2494p-14, -0x1.4b28e7809e6cdp-14, -0x1.43b10c68ffb15p-14, -0x1.3c5f2d336dab6p-14, -0x1.353295528c67dp-14, -0x1.2e2a815a2a2d1p-14, -0x1.27464fa58d942p-14, -0x1.20856e2261c9ap-14, -0x1.19e76fe207754p-14, -0x1.136bdca88dde7p-14, -0x1.0d121c7c8f1b6p-14, -0x1.06d97ec278949p-14, -0x1.00c151efad53ap-14, -0x1.f591e6514001bp-15, -0x1.e9df9ae69763cp-15, -0x1.de6aa6db23087p-15, -0x1.d331f858d4d61p-15, -0x1.c83483ebd585ep-15, -0x1.bd713d055ccdbp-15, -0x1.b2e7095ee9657p-15, -0x1.a894b92795bb4p-15, -0x1.9e790e7a43524p-15, -0x1.9492d4d42d83dp-15, -0x1.8ae0fd3df9247p-15, -0x1.8162aed745e5p-15, -0x1.78173f60cb5f6p-15, -0x1.6efe106e80473p-15, -0x1.66165c660512ep-15, -0x1.5d5f118b1b572p-15, -0x1.54d6df6329a84p-15, -0x1.4c7c74a883eebp-15, -0x1.444eb3bf46de8p-15, -0x1.3c4cb036899dfp-15, -0x1.347599d3f788cp-15, -0x1.2cc8cb925cb19p-15, -0x1.2545dd83244e5p-15, -0x1.1dec77191f46p-15, -0x1.16bc020bf5031p-15, -0x1.0fb396d06ea2ep-15, -0x1.08d2319b7106cp-15, -0x1.0216edb3b522cp-15, -0x1.f70219cb927a5p-16, -0x1.ea1fb750cc7c4p-16, -0x1.dd8541270dc82p-16, -0x1.d131433336d43p-16, -0x1.c5225a48b0335p-16, -0x1.b9573a3714627p-16, -0x1.adcea866a8791p-16, -0x1.a2876f4f08716p-16, -0x1.97805053610ebp-16, -0x1.8cb7fcf777b9dp-16, -0x1.822d1ea700c2cp-16, -0x1.77de69b82a1b7p-16, -0x1.6dcaaedbb953ep-16, -0x1.63f0e10821da2p-16, -0x1.5a50108ab0be8p-16, -0x1.50e75d9177e6ap-16, -0x1.47b5da20a607p-16, -0x1.3eba5dfd432e9p-16, -0x1.35f37fc7423d5p-16, -0x1.2d5fc77f84964p-16, -0x1.24fdf988069bbp-16, -0x1.1ccd2d1dca76ap-16, -0x1.14cc97ed5603bp-16, -0x1.0cfb5f7d9df91p-16, -0x1.0558a9c3c3d57p-16, -0x1.fbc740776d3d2p-17, -0x1.ed367c367ae5fp-17, -0x1.defcb82194484p-17, -0x1.d1180b27d97a6p-17, -0x1.c3870e941e20bp-17, -0x1.b6484b0b0c7dap-17, -0x1.a959fb6e4e315p-17, -0x1.9cba4a94c1d3bp-17, -0x1.906785a30b82ap-17, -0x1.8460206eaaaeep-17, -0x1.78a2a349ed8d9p-17, -0x1.6d2da0f810c4fp-17, -0x1.61ffb497a948bp-17, -0x1.57177d81b6f7dp-17, -0x1.4c739869327a3p-17, -0x1.42129ac38d76dp-17, -0x1.37f314818a073p-17, -0x1.2e139675c1d2dp-17, -0x1.2472b7468e509p-17, -0x1.1b0f12993ead6p-17, -0x1.11e74a668ff1p-17, -0x1.08fa32b9129c9p-17, -0x1.0046b2aef3592p-17, -0x1.ef975e3b9e151p-18, -0x1.df102145f536cp-18, -0x1.cef4f2c048488p-18, -0x1.bf42de5d715ap-18, -0x1.aff78a84bb6d9p-18, -0x1.a1118b1f7c651p-18, -0x1.928f8d7db678dp-18, -0x1.846f44018fb6ap-18, -0x1.76ae090506122p-18, -0x1.6949cf0c02688p-18, -0x1.5c406c0bb0951p-18, -0x1.4f8fbf4470c67p-18, -0x1.433644d795c2fp-18, -0x1.37324fe8d2f89p-18, -0x1.2b81bf0dd3f5dp-18, -0x1.20226d7e57d3ep-18, -0x1.15125edd6800ep-18, -0x1.0a4fb60f34f69p-18, -0x1.ffb144e3e963bp-19, -0x1.eb57d1fbcc2d1p-19, -0x1.d78f2f77c57b3p-19, -0x1.c455292134107p-19, -0x1.b1a6958dfbc73p-19, -0x1.9f80794c99ebp-19, -0x1.8ddfe8c6ebfcep-19, -0x1.7cc20a731f88bp-19, -0x1.6c23f45f8481ap-19, -0x1.5c02a3d7c639ap-19, -0x1.4c5b105b7772p-19, -0x1.3d2a386291723p-19, -0x1.2e6d2e3ddc592p-19, -0x1.2021594509e34p-19, -0x1.12445b32a3c8bp-19, -0x1.04d3a95e06099p-19, -0x1.ef9a1d2904da1p-20, -0x1.d65cc6e5c6013p-20, -0x1.bdea528d5caa6p-20, -0x1.a63d8d3005b27p-20, -0x1.8f51f915399b4p-20, -0x1.7923ebe8c8b4dp-20, -0x1.63afbd3d0f2f5p-20, -0x1.4ef0450a31131p-20, -0x1.3adfeac5bfa73p-20, -0x1.277aac511f613p-20, -0x1.14bcbbc097d35p-20, -0x1.02a31a391fc91p-20, -0x1.e254a3ffe97f2p-21, -0x1.c09c27066dcc2p-21, -0x1.a014cbff89835p-21, -0x1.80b729c57ee7fp-21, -0x1.627c439b04d3fp-21, -0x1.455da68983e45p-21, -0x1.2954a3920945ap-21, -0x1.0e5a639e7775ep-21, -0x1.e8cfdd22f5601p-22, -0x1.b6ec6d5f8c4dbp-22, -0x1.86fcde7257e4p-22, -0x1.58f51ca4bf478p-22, -0x1.2cca9ddc5e72fp-22, -0x1.0272fcc10556cp-22, -0x1.b3c5684e999d1p-23, -0x1.661c1c99dfc4ap-23, -0x1.1bd43659c78b1p-23, -0x1.a9b04fe6c245ep-24, -0x1.2223585da3f34p-24, -0x1.41aaf66477373p-25, -0x1.2ce68b4fc5b07p-27, 0x1.3eba52c4e143cp-26, 0x1.7e6678182756fp-25, 0x1.2916450c0861fp-24, 0x1.8d7aa29a39c74p-24, 0x1.ec806b0618b29p-24, 0x1.2324774e2b9fep-23, 0x1.4d7d1f5df327dp-23, 0x1.755cec17bacbap-23, 0x1.9ad4ed5e3c92ap-23, 0x1.bdf3ed5b78652p-23, 0x1.dec91f2a61d1ep-23, 0x1.fd67937de410fp-23, 0x1.0cefa3e8ef1f1p-22, 0x1.1a1e241f6a19cp-22, 0x1.2645da3c3e165p-22, 0x1.316ebd2935f5ap-22, 0x1.3ba01b7422ac9p-22, 0x1.44e0b96a46fbcp-22, 0x1.4d373586645b6p-22, 0x1.54aa13644d5edp-22, 0x1.5b3fb69abf6a8p-22, 0x1.60fe6bdf6e42dp-22, 0x1.65ecc1e131077p-22, 0x1.6a110b9e87a42p-22, 0x1.6d6e9ead06703p-22, 0x1.700cf72d99948p-22, 0x1.71f24b0b2c05ep-22, 0x1.7323739c6ff5cp-22, 0x1.73a5b6b364bp-22, 0x1.737e53d7f7c35p-22, 0x1.72b2785824b9ap-22, 0x1.71473d13a6a53p-22, 0x1.6f4178ca2a26bp-22, 0x1.6ca5fdf2d19ecp-22, 0x1.697994c27769p-22, 0x1.65c0af69aa7a6p-22, 0x1.617fae39af9c3p-22, 0x1.5cbb0e571999ap-22, 0x1.5777272d7093cp-22, 0x1.51b82a7dfbbcep-22, 0x1.4b821d6e61093p-22, 0x1.44d8e453507c5p-22, 0x1.3dc045b78e92dp-22, 0x1.363bfafb1202dp-22, 0x1.2e4fbe5b6e029p-22, 0x1.25ff465ceb32bp-22, 0x1.1d4e8088a266fp-22, 0x1.143fef4e91e35p-22, 0x1.0ad81a6aae89p-22, 0x1.011950fe1a72dp-22, 0x1.ee0f45850b7a4p-23, 0x1.d94b9c3c2fb1dp-23, 0x1.c3ee2ff12fd57p-23, 0x1.adfd0ae745d5p-23, 0x1.977cb677febadp-23, 0x1.80728da45555dp-23, 0x1.68e56545f388cp-23, 0x1.50db3cca282bcp-23, 0x1.385928597ea14p-23, 0x1.1f640d909e536p-23, 0x1.0600b228aa71dp-23, 0x1.d86822f8bcc29p-24, 0x1.a407b34e8b05ap-24, 0x1.6ee89645735ap-24, 0x1.3912fd7fb3cd6p-24, 0x1.02903a82bd461p-24, 0x1.96d278d03684p-25, 0x1.274d19d5f14e1p-25, 0x1.6d41e54fd2029p-26, 0x1.137a314356fc6p-27, -0x1.6f428cc5b226cp-28, -0x1.43436b88b289bp-26, -0x1.16485823d97e1p-25, -0x1.8bd1a5d11e8dbp-25, -0x1.0111acee971p-24, -0x1.3c97883a0d6b6p-24, -0x1.787482641ca2bp-24, -0x1.b4a27bc4c9025p-24, -0x1.f11b71f366066p-24, -0x1.16ec7d7125edp-23, -0x1.356a58266a313p-23, -0x1.54044b0e37913p-23, -0x1.72b7822c980dfp-23, -0x1.91814d822b6bfp-23, -0x1.b05efc4a2c6cfp-23, -0x1.cf4dcfe6c0c0bp-23, -0x1.ee4b0bb434a1bp-23, -0x1.06aa041356bcfp-22, -0x1.16331e1b18deap-22, -0x1.25bfbe29d0403p-22, -0x1.354eb40c8f568p-22, -0x1.44dee56173bfep-22, -0x1.546f36ee5c6cdp-22, -0x1.63fe7e9def284p-22, -0x1.738bb6cdc9325p-22, -0x1.8315dd3611d4fp-22, -0x1.929c15e8a8f34p-22, -0x1.a21d18f88d54p-22, -0x1.b198449fcd574p-22, -0x1.c10c93d0683c4p-22, -0x1.d07923479533dp-22, -0x1.dfdd18bc5647ap-22, -0x1.ef379fa9acc57p-22, -0x1.fe87e98cad94p-22, -0x1.06e696d7a29a3p-21, -0x1.0e83547addc11p-21, -0x1.1619cef52a0aap-21, -0x1.1da9aa8ff33dp-21, -0x1.25328f0558eap-21, -0x1.2cb4282f46a36p-21, -0x1.342e25a5fad6cp-21, -0x1.3ba02ce0d0252p-21, -0x1.4309ab1426148p-21, -0x1.4a6ac7b18b674p-21, -0x1.51c384dcafd24p-21, -0x1.59128b45914d6p-21, -0x1.6057bd2358ca1p-21, -0x1.6793b4a475ef8p-21, -0x1.6ec693ea8df07p-21, -0x1.75ef3a24ab1fdp-21, -0x1.7d0d2f388e564p-21, -0x1.84207012fd5cp-21, -0x1.8b28cdc0c6823p-21, -0x1.922623c8106e5p-21, -0x1.9918485cd0247p-21, -0x1.9fff00d1758a4p-21, -0x1.a6da1f8cfe67p-21, -0x1.ada974360f464p-21, -0x1.b46cbe8c2f2b9p-21, -0x1.bb23c56cf1efbp-21, -0x1.c1ce9b501ce5fp-21, -0x1.c86d3ed4645c8p-21, -0x1.ceff3ceffd9bbp-21, -0x1.d584660ab5106p-21, -0x1.dbfcade16f139p-21, -0x1.e267ec7d3fe1dp-21, -0x1.e8c603b5f528p-21, -0x1.ef16dd4414351p-21, -0x1.f55a65c9ba436p-21, -0x1.fb90844d845b2p-21, -0x1.00dc73951b164p-20, -0x1.03e9cf29ef9a3p-20, -0x1.06f04f2a4cad7p-20, -0x1.09efe4675360bp-20, -0x1.0ce881afb69bap-20, -0x1.0fda1c89fa69ap-20, -0x1.12c4ab7e3ec0fp-20, -0x1.15a825af65e55p-20, -0x1.188482ce0b63dp-20, -0x1.1b59bb15cf2b2p-20, -0x1.1e27c749a4263p-20, -0x1.20eea0adce3cfp-20, -0x1.23ae411ca8c18p-20, -0x1.2666a2c87dd0cp-20, -0x1.2917bd0c3854bp-20, -0x1.2bc1953d8b22fp-20, -0x1.2e641c38909f2p-20, -0x1.30ff50de50a0bp-20, -0x1.33932ff6bf57bp-20, -0x1.361fb6dc63efep-20, -0x1.38a4e308fec97p-20, -0x1.3b22b26dbb228p-20, -0x1.3d9923b42f349p-20, -0x1.400834ee6c554p-20, -0x1.426fe3c338a64p-20, -0x1.44d02f501ea67p-20, -0x1.47291801ca54ap-20, -0x1.497a9eef5a4eap-20, -0x1.4bc4c4bce2f8p-20, -0x1.4e0788ca20738p-20, -0x1.5042e9f60f2b6p-20, -0x1.5276dc5e47004p-20, -0x1.54a356f453f4ap-20, -0x1.56c8a591fe888p-20, -0x1.58e6b548b6cc4p-20, -0x1.5afd4e70f8b97p-20, -0x1.5d0c86b342ccep-20, -0x1.5f146bef123dep-20, -0x1.61150125f35bap-20, -0x1.630e4c213b657p-20, -0x1.650052f15b14cp-20, -0x1.66eb13c9983cbp-20, -0x1.68ce93be789e5p-20, -0x1.6aaad7f1430dcp-20, -0x1.6c7fe51366b7fp-20, -0x1.6e4dbfc0a8153p-20, -0x1.70146cc421f9ap-20, -0x1.71d3f1eaed7c2p-20, -0x1.738c545e9f6d7p-20, -0x1.753d99fcca479p-20, -0x1.76e7c910392b7p-20, -0x1.788ae8005bceap-20, -0x1.7a26fe0d51912p-20, -0x1.7bbc13a3857a1p-20, -0x1.7d4a3318ead38p-20, -0x1.7ed1675851926p-20, -0x1.8051a67d4af6cp-20, -0x1.81ca77d1b4dabp-20, -0x1.833bab74036b8p-20, -0x1.84a76bac49f5bp-20, -0x1.860d04f37854bp-20, -0x1.876b0713378b5p-20, -0x1.88c21a64119c9p-20, -0x1.8a12671424bb9p-20, -0x1.8b5bfd3538fc3p-20, -0x1.8c9ee95d8293ap-20, -0x1.8ddb33be4bd42p-20, -0x1.8f10e34cb10e3p-20, -0x1.903fff9b6b5d6p-20, -0x1.9168906a938c8p-20, -0x1.928a9dd8e70bbp-20, -0x1.93a63041fd916p-20, -0x1.94bb506698e79p-20, -0x1.95ca08b3a68cfp-20, -0x1.96d266c34d57cp-20, -0x1.97d46c9417ebfp-20, -0x1.98d01638eb926p-20, -0x1.99c57d3491be3p-20, -0x1.9ab4accb4357bp-20, -0x1.9b9daa74d9cf2p-20, -0x1.9c807ec5a70ep-20, -0x1.9d5d333d7208bp-20, -0x1.9e33d11259ab7p-20, -0x1.9f0461ae36306p-20, -0x1.9fceefa2c9adcp-20, -0x1.a09383a347a24p-20, -0x1.a1522690b55f7p-20, -0x1.a20ae2cb98179p-20, -0x1.a2bdc2b1f644fp-20, -0x1.a36ad0e2ae255p-20, -0x1.a41216584aa57p-20, -0x1.a4b39d3336484p-20, -0x1.a54f6f17a160fp-20, -0x1.a5e59643435abp-20, -0x1.a6761c4f3aa71p-20, -0x1.a7010c38499f8p-20, -0x1.a7866f72007f2p-20, -0x1.a80650a0ad175p-20, -0x1.a880ba2319e19p-20, -0x1.a8f5b605c03ddp-20, -0x1.a9654c9dc85c5p-20, -0x1.a9cf80d6ea564p-20, -0x1.aa34587d4076fp-20, -0x1.aa93fbbbc30dp-20, -0x1.aaee7ccae5582p-20, -0x1.ab43c3bdae7fdp-20, -0x1.ab93da15f0e58p-20, -0x1.abded1b5ea8fdp-20, -0x1.ac24b76731625p-20, -0x1.ac65958616e23p-20, -0x1.aca17789d71c4p-20, -0x1.acd867adea2ccp-20, -0x1.ad0a6f27ef06bp-20, -0x1.ad379884d3d1cp-20, -0x1.ad5febd8658bcp-20, -0x1.ad83769f45a47p-20, -0x1.ada242a260d06p-20, -0x1.adbc59b0e1b72p-20, -0x1.add1c6141e4d9p-20, -0x1.ade292235272fp-20, -0x1.adeec83aeb581p-20, -0x1.adf672c660efbp-20, -0x1.adf99c5074851p-20, -0x1.adf84f8db159p-20, -0x1.adf296c660bedp-20, -0x1.ade87732d6318p-20, -0x1.add9e84bdd163p-20, -0x1.adc70d9b6c6a3p-20, -0x1.adb0213e6a22dp-20, -0x1.ad94ea99e5aa4p-20, -0x1.ad75747ceb328p-20, -0x1.ad51d72722109p-20, -0x1.ad2a1f1e7a1f7p-20, -0x1.acfe563c3243ap-20, -0x1.acce864304c65p-20, -0x1.ac9ab9225a12ep-20, -0x1.ac62f8f9dd49cp-20, -0x1.ac2750151a755p-20, -0x1.abe7c8574a32ep-20, -0x1.aba4716f75a16p-20, -0x1.ab5d2e282c5b3p-20, -0x1.ab1238f32b11dp-20, -0x1.aac3b6943aa2ep-20, -0x1.aa7169b71e4b5p-20, -0x1.aa1b5bb1bbfb1p-20, -0x1.a9c17b238659dp-20, -0x1.a96459f21357ap-20, -0x1.a903fa18a9ba7p-20, -0x1.a89fe32f957cfp-20, -0x1.a83838a8b8f0bp-20, -0x1.a7cd274f386b5p-20, -0x1.a75eba4aaf2b5p-20, -0x1.a6ecf75151fadp-20, -0x1.a677e6fa422fbp-20, -0x1.a5ff92ad0f7bfp-20, -0x1.a58403d1dad64p-20, -0x1.a50543d4890cfp-20, -0x1.a4835c50c51f5p-20, -0x1.a3fe5764aa1d8p-20, -0x1.a37640558c8e2p-20, -0x1.a2eb25802bdd5p-20, -0x1.a25d1ce2a1434p-20, -0x1.a1cc37536d977p-20, -0x1.a136f99691573p-20, -0x1.a0a16a08fbb4ep-20, -0x1.a00466cea16ep-20, -0x1.9f6a6fad0b669p-20, -0x1.9ecad1144441cp-20, -0x1.9e2852f16e257p-20, -0x1.9d83363bfb68fp-20, -0x1.9cdb73b184246p-20, -0x1.9c310c632ab9fp-20, -0x1.9b84060a72325p-20, -0x1.9ad4681afbe4p-20, -0x1.9a223aae23814p-20, -0x1.996d8612af89cp-20, -0x1.98b652ca10dafp-20, -0x1.97fca94029496p-20, -0x1.974092012adfcp-20, -0x1.96821577c14fdp-20, -0x1.95c13b7a586c8p-20, -0x1.94fe0d2bf6bf1p-20, -0x1.943894cc7bf29p-20, -0x1.9370d3da53344p-20, -0x1.92a6c6ed9125ep-20, -0x1.91da7e6fff18bp-20, -0x1.910c2e062201fp-20, -0x1.903bc0e17bb66p-20, -0x1.8f6927315feb5p-20, -0x1.8e94734a61df2p-20, -0x1.8dbdb2d55cb22p-20, -0x1.8ce4ee9ccff3p-20, -0x1.8c0a2e460e4e5p-20, -0x1.8b2d794dd8ec5p-20, -0x1.8a4ed7480b71dp-20, -0x1.896e4fdafbf3bp-20, -0x1.888bea7e2b4bbp-20, -0x1.87a7aebb9a872p-20, -0x1.86c1a423f190bp-20, -0x1.85d9d23ab0a43p-20, -0x1.84f04081f60bp-20, -0x1.8404f66b791dbp-20, -0x1.8317fa93382a1p-20, -0x1.8229557b6a5afp-20, -0x1.813906bc0bd07p-20, -0x1.80470f78e405p-20, -0x1.7f5394c9288dfp-20, -0x1.7e5e9dcf84bp-20, -0x1.7d6815b55000ap-20, -0x1.7c7007488573fp-20, -0x1.7b767f946c982p-20, -0x1.7a7b87349f9ccp-20, -0x1.797f25745338ep-20, -0x1.78815ff4353f9p-20, -0x1.778232ef23275p-20, -0x1.76819bcc2001ep-20, -0x1.757fdf3d82f1ep-20, -0x1.747ce3ae7225fp-20, -0x1.7378724a0f309p-20, -0x1.7272d80b748d8p-20, -0x1.716c1b724dd14p-20, -0x1.70641d1cb95ecp-20, -0x1.6f5af5273b73p-20, -0x1.6e50ab248765fp-20, -0x1.6d4544b663339p-20, -0x1.6c38c7bedb56ep-20, -0x1.6b2b3a472bdccp-20, -0x1.6a1ca24b4b295p-20, -0x1.690d05cb52023p-20, -0x1.67fc6ab74b031p-20, -0x1.66ead6fca78bp-20, -0x1.65d85087106a9p-20, -0x1.64c4dd3e3da41p-20, -0x1.63b082f82fa1cp-20, -0x1.629b477effa2p-20, -0x1.61853082a354ep-20, -0x1.606e43b100609p-20, -0x1.5f5686d378b2fp-20, -0x1.5e3dff51632p-20, -0x1.5d24b1f2f4008p-20, -0x1.5c0aa46e899ffp-20, -0x1.5aefe0c5e0cdcp-20, -0x1.59d466589fc4bp-20, -0x1.58b83d9d7e472p-20, -0x1.579b6fab298edp-20, -0x1.567e0906118a5p-20, -0x1.556011691eda2p-20, -0x1.5440d3b3d668ap-20, -0x1.5320e93ce53dp-20, -0x1.520227f520753p-20, -0x1.50e1b84d47607p-20, -0x1.4fc0af6caf956p-20, -0x1.4e9f3478457eap-20, -0x1.4d7d41f55a7cp-20, -0x1.4c5adca8bfe6fp-20, -0x1.4b380589be5cbp-20, -0x1.4a14bfb3efd3p-20, -0x1.48f11052621cp-20, -0x1.47ccfc0a899f5p-20, -0x1.46a887623c1afp-20, -0x1.4583b703378b3p-20, -0x1.445e8f4e99e96p-20, -0x1.433914c2d3dabp-20, -0x1.42134bcb513acp-20, -0x1.40ed38cceaa14p-20, -0x1.3fc6e0246eaedp-20, -0x1.3ea0462018027p-20, -0x1.3d796f0f7d69bp-20, -0x1.3c525f20cb049p-20, -0x1.3b2b1a81bacfbp-20, -0x1.3a03a55f58b01p-20, -0x1.38dc03d3db066p-20, -0x1.37b43a0d0e418p-20, -0x1.368c4bfaa2df6p-20, -0x1.35643d44418aap-20, -0x1.343c11b411278p-20, -0x1.3313ccbf51b9fp-20, -0x1.31eb6e5889b77p-20, -0x1.30c311c6d317ep-20, -0x1.2f9aa066ddb62p-20, -0x1.2e721d8e56745p-20, -0x1.2d495bf683ab1p-20, -0x1.2c20d255d48f3p-20, -0x1.2af88e36a25dp-20, -0x1.29d00c0aa5d5cp-20, -0x1.28a78910d0b92p-20, -0x1.277f1858b4b9ep-20, -0x1.2656b9310b64ep-20, -0x1.252e6ca1856f4p-20, -0x1.24063db3199d1p-20, -0x1.22de2548de18cp-20, -0x1.21b61bebb9cbep-20, -0x1.208e3890bb892p-20, -0x1.1f669583bcf1fp-20, -0x1.1e3efb76d5adap-20, -0x1.1d17b21aa428bp-20, -0x1.1bf06ba728962p-20, -0x1.1ac9930d87aedp-20, -0x1.199cdbf3567a4p-20, -0x1.1883f9114e0b9p-20, -0x1.1753714c02d33p-20, -0x1.162f7e162876cp-20, -0x1.15095e792e602p-20, -0x1.13e3982e7ab06p-20, -0x1.12be237db966cp-20, -0x1.1198fb6947e7dp-20, -0x1.10741fa0f9e48p-20, -0x1.0f4f91a0abae1p-20, -0x1.0e2b5375f05c3p-20, -0x1.0d0767765067cp-20, -0x1.0be3d0510c36bp-20, -0x1.0ac09064086cfp-20, -0x1.099daa608342dp-20, -0x1.087b20b3edeffp-20, -0x1.0758f5cff5a61p-20, -0x1.06372c2b66ce8p-20, -0x1.0515c6288d9bep-20, -0x1.03f4c62af8262p-20, -0x1.02d42e68903ccp-20, -0x1.01b401828bcfp-20, -0x1.0094417dc2abcp-20, -0x1.fee9e17b2bad7p-21, -0x1.fcac22e63f24bp-21, -0x1.fa6f4b770caebp-21, -0x1.f8335c848d7e3p-21, -0x1.f5f86515ee8b7p-21, -0x1.f3be56011a1cbp-21, -0x1.f185508260532p-21, -0x1.ef4d3baf9c29bp-21, -0x1.ed1628b50ec91p-21, -0x1.eae01a68bfd25p-21, -0x1.e8ab13a80865ap-21, -0x1.e67718886c9f7p-21, -0x1.e4442d749fe3ap-21, -0x1.e212564cbb0b4p-21, -0x1.dfe1969f021eep-21, -0x1.ddb1f1e8b8699p-21, -0x1.db836ba4ab06bp-21, -0x1.d9560747fa9e2p-21, -0x1.d729c85b1fdf2p-21, -0x1.d4feb22add1dfp-21, -0x1.d2d4c7fad93eap-21, -0x1.d0ac0d9e90761p-21, -0x1.ce84845e0d919p-21, -0x1.cc5e34eeee423p-21, -0x1.ca3925eff4096p-21, -0x1.c815406148e88p-21, -0x1.c5f29d9db2628p-21, -0x1.c3d142100f6ffp-21, -0x1.c1b12bb91909ap-21, -0x1.bf925ce830ff9p-21, -0x1.bd74d894b0f3fp-21, -0x1.bb58a1af68083p-21, -0x1.b93dbb4f8c53ep-21, -0x1.b72427d233c2fp-21, -0x1.b50be51f1ff86p-21, -0x1.b2f503ef256d3p-21, -0x1.b0df7837e9d33p-21, -0x1.aecb4d212576ap-21, -0x1.acb87928e0253p-21, -0x1.aaa6e4ab18e3ap-21, -0x1.a89702da3e258p-21, }}, 
      {{-0x1.6c1e024def12cp-7, -0x1.487b17dff6c8dp-5, -0x1.3ebcc820aef2bp-4, -0x1.d6e37d9e62448p-4, -0x1.272f6be2d81adp-3, -0x1.488a272982cfcp-3, -0x1.4a4c7622079d2p-3, -0x1.2b37429af7ed5p-3, -0x1.d9f41ae24beecp-4, -0x1.267aaf7dd7f9dp-4, -0x1.16b01e48e7f6ep-6, 0x1.7b6989c994541p-5, 0x1.d8b7b0d34581dp-4, 0x1.8072edb547d1p-3, 0x1.0b2bbf0c59b65p-2, 0x1.54eab996dedd9p-2, 0x1.9bae6fb59ad21p-2, 0x1.de02ead1946d3p-2, 0x1.0d62e5f73973cp-1, 0x1.28907be9e0e87p-1, 0x1.4041bb0229748p-1, 0x1.544cab3987f37p-1, 0x1.64a19e265d912p-1, 0x1.7146febd7f2b8p-1, 0x1.7a5551409ea8bp-1, 0x1.7ff37c0898307p-1, 0x1.8253685d650d4p-1, 0x1.81af03887a714p-1, 0x1.7e45a2d547ce4p-1, 0x1.7859c903c8b61p-1, 0x1.702f48bef4546p-1, 0x1.6609bdab0d57bp-1, 0x1.5a2b5438c5124p-1, 0x1.4cd3d7e5e1253p-1, 0x1.3e3ffee9aefcap-1, 0x1.2ea8eac196c09p-1, 0x1.1e43d4e4a2dfdp-1, 0x1.0d41e02cbcdap-1, 0x1.f7a00f0da62b5p-2, 0x1.d42e476a39b8dp-2, 0x1.b078051252291p-2, 0x1.8cbf164def622p-2, 0x1.693dd6fcaa138p-2, 0x1.462797c5a6351p-2, 0x1.23a90ca90cabp-2, 0x1.01e8bf6f94601p-2, 0x1.c20f06dbdd886p-3, 0x1.8241d15a55204p-3, 0x1.449759cc04512p-3, 0x1.093452107dfdbp-3, 0x1.a06ae943c94fp-4, 0x1.336098e05d12ep-4, 0x1.96cfc5e391d87p-5, 0x1.a24dccd83c8e1p-6, 0x1.5d775d24a8c2dp-9, -0x1.363f73934d3d4p-6, -0x1.41cfaf68d8c79p-5, -0x1.de573f1b422f3p-5, -0x1.3870937a93558p-4, -0x1.7cd12967e48cfp-4, -0x1.bc6c22a46890ep-4, -0x1.f763d216c9ccap-4, -0x1.16eeb9bfb762dp-3, -0x1.3000496858ffdp-3, -0x1.46fb416794ecap-3, -0x1.5bf4f0edcf156p-3, -0x1.6f0315f2f7033p-3, -0x1.803bac7bbf243p-3, -0x1.8fb4c3648bcedp-3, -0x1.9d8456fffc1a1p-3, -0x1.a9c030409ab0ap-3, -0x1.b47dc93457f46p-3, -0x1.bdd2351b4326fp-3, -0x1.c5d20ce6d9cd4p-3, -0x1.cc915e9b78437p-3, -0x1.d223a00d474dbp-3, -0x1.d69ba41710c89p-3, -0x1.da0b92467261fp-3, -0x1.dc84e0d74d54bp-3, -0x1.de18508c68ec9p-3, -0x1.ded5ea7cef0b9p-3, -0x1.deccff5e84c4ap-3, -0x1.de0c281fcca11p-3, -0x1.dca147e020de8p-3, -0x1.da998e5ff365ap-3, -0x1.d8017bdd377aap-3, -0x1.d4e4e4ace56f8p-3, -0x1.d14ef6585b464p-3, -0x1.cd4a3c0a50e78p-3, -0x1.c8e0a46e4757dp-3, -0x1.c41b86c2caef3p-3, -0x1.bf03a919bb396p-3, -0x1.b9a145df35ac1p-3, -0x1.b3fc12318f502p-3, -0x1.ae1b43a12e98ap-3, -0x1.a805966a5d98p-3, -0x1.a1c1533be8abdp-3, -0x1.9b545523b3f57p-3, -0x1.94c40f3b0836cp-3, -0x1.8e15922ede419p-3, -0x1.874d91adc37c8p-3, -0x1.8070699678661p-3, -0x1.798222f96f2f7p-3, -0x1.728679063505bp-3, -0x1.6b80dd94aad49p-3, -0x1.64747db18c384p-3, -0x1.5d6445e70c132p-3, -0x1.5652e62d25d21p-3, -0x1.4f42d602bcee6p-3, -0x1.483657f82acddp-3, -0x1.412f7d2dcecdbp-3, -0x1.3a3028d639e4p-3, -0x1.333a13250035ap-3, -0x1.2c4ecc51da0afp-3, -0x1.256fbf9308cd7p-3, -0x1.1e9e3580af83bp-3, -0x1.17db569c1b233p-3, -0x1.11282ddbf1345p-3, -0x1.0a85aa8eb8a28p-3, -0x1.03f4a2713e7d4p-3, -0x1.faeba7bfc4221p-4, -0x1.ee13cea0df134p-4, -0x1.e162e1f09b14fp-4, -0x1.d4d9e560bf5c8p-4, -0x1.c879ba5ea28a2p-4, -0x1.bc432277b45e2p-4, -0x1.b036c27f6ee1ep-4, -0x1.a45524e282913p-4, -0x1.989ebb3f9dd35p-4, -0x1.8d13e0bb7e319p-4, -0x1.81b4dc5cc08bfp-4, -0x1.7681e25269e39p-4, -0x1.6b7b153d9c8d4p-4, -0x1.60a08855db3a2p-4, -0x1.55f240ef10c34p-4, -0x1.4b7037063b8aep-4, -0x1.411a568e85a08p-4, -0x1.36f081410409ap-4, -0x1.2cf28f4b74df1p-4, -0x1.23204fa0542dbp-4, -0x1.19798944e3e26p-4, -0x1.0ffdfc97266f8p-4, -0x1.06ad6389bb876p-4, -0x1.fb0ee3d640c97p-5, -0x1.e917ace7a9ebdp-5, -0x1.d7747749e6221p-5, -0x1.c6248fdc13f92p-5, -0x1.b5273ba2dcff8p-5, -0x1.a47bb927a6489p-5, -0x1.942141ec57354p-5, -0x1.84170acdc6bd6p-5, -0x1.745c43e4f1152p-5, -0x1.64f0192d19d72p-5, -0x1.55d1b3d995ebfp-5, -0x1.47003afb8a222p-5, -0x1.387ad31df7b25p-5, -0x1.2a409e3d5b68cp-5, -0x1.1c50bcd90831bp-5, -0x1.0eaa4ef1280a9p-5, -0x1.014c73bd7abcdp-5, -0x1.e86c9234d65c3p-6, -0x1.cecdd8160a079p-6, -0x1.b5baf3b3da5f9p-6, -0x1.9d3220a486afcp-6, -0x1.85319a13834dbp-6, -0x1.6db79a64c2ecap-6, -0x1.56c25cc4c2785p-6, -0x1.40501e92f374fp-6, -0x1.2a5f1edf76d77p-6, -0x1.14ed9d48a38ddp-6, -0x1.fff3b46f486d3p-7, -0x1.d704304085a8p-7, -0x1.af09385d8304ap-7, -0x1.87ff5b6dd20f3p-7, -0x1.61e32b23789c5p-7, -0x1.3cb13cc483377p-7, -0x1.18662a866001ep-7, -0x1.e9fd28a39a839p-8, -0x1.a4ee3eb25b564p-8, -0x1.6198eaf0cb4fp-8, -0x1.1ff68a9c08603p-8, -0x1.c0010a85cfbap-9, -0x1.43609bb332ep-9, -0x1.93fd8dc3d2929p-10, -0x1.4f3a87ddd48b1p-11, 0x1.f3ca6765395e1p-13, 0x1.1e5fa04334f9dp-10, 0x1.f82f04dc39766p-10, 0x1.66004b5904fb4p-9, 0x1.ccf69d8191115p-9, 0x1.1883689a2f5f4p-8, 0x1.491e935a45454p-8, 0x1.7852e3c465fdep-8, 0x1.a6266240d504fp-8, 0x1.d29f08f01cf21p-8, 0x1.fdc2c32df1971p-8, 0x1.13cbb74a2896ap-7, 0x1.28116e2539c32p-7, 0x1.3bb56899028a5p-7, 0x1.4eba824ad777bp-7, 0x1.61238f42f82afp-7, 0x1.72f35bdaa7ce1p-7, 0x1.842cad5399895p-7, 0x1.94d2424de3996p-7, 0x1.a4e6d2cfc8276p-7, 0x1.b46d0fba56ec5p-7, 0x1.c367a22551a4fp-7, 0x1.d1d92b4cb61adp-7, 0x1.dfc4450773965p-7, 0x1.ed2b822ca645ap-7, 0x1.fa116e983405dp-7, 0x1.033c476de5808p-6, 0x1.0931afe7655b4p-6, 0x1.0eea2b2fe5044p-6, 0x1.1466efebbbf9ap-6, 0x1.19a93118c553cp-6, 0x1.1eb21e1a725dap-6, 0x1.2382e2a873047p-6, 0x1.281ca6b29edc4p-6, 0x1.2c808e4931bf5p-6, 0x1.30afb99ed5f0bp-6, 0x1.34ab452769302p-6, 0x1.387449afdcf4ep-6, 0x1.3c0bdc5da1f3p-6, 0x1.3f730ea33a2d1p-6, 0x1.42aaee3790561p-6, 0x1.45b4850eb8325p-6, 0x1.4890d95f2900fp-6, 0x1.4b40edb629e1bp-6, 0x1.4dc5c108591afp-6, 0x1.50204eb243647p-6, 0x1.52518e7558ec1p-6, 0x1.545a747965cebp-6, 0x1.563bf14f7ed19p-6, 0x1.57f6f1f5faea6p-6, 0x1.598c5fe3f91b1p-6, 0x1.5afd21174a823p-6, 0x1.5c4a181a7336p-6, 0x1.5d74240703eb1p-6, 0x1.5e7c208a9671cp-6, 0x1.5f62e5eed0f5dp-6, 0x1.60294920258bep-6, 0x1.60d01bb3edc97p-6, 0x1.61582bf23dbf5p-6, 0x1.61c244dfdad7ep-6, 0x1.620f2e44f7df7p-6, 0x1.623facb34f345p-6, 0x1.6254818e6fe94p-6, 0x1.624e6b1536adep-6, 0x1.622e2469db9c9p-6, 0x1.61f4659857011p-6, 0x1.61a1e39e654cdp-6, 0x1.61375074e75dap-6, 0x1.60b55b1850b39p-6, 0x1.601caf9046c43p-6, 0x1.5f6df6f7ea989p-6, 0x1.5ea9d7876bbedp-6, 0x1.5dd0f49ce4464p-6, 0x1.5ce3eec381da5p-6, 0x1.5be363ba4a3d3p-6, 0x1.5acfee7c431efp-6, 0x1.59aa2749c2357p-6, 0x1.5872a3afcb1ep-6, 0x1.5729f690bacbdp-6, 0x1.55d0b02c4fb47p-6, 0x1.54675e28cd92cp-6, 0x1.52ee8b9ad0189p-6, 0x1.5166c10c675f1p-6, 0x1.4fd084831975ap-6, 0x1.4e2c59878fc7fp-6, 0x1.4c7ac12ecc782p-6, 0x1.4abc3a21921aep-6, 0x1.48f140a3d6017p-6, 0x1.471a4e9c67fe8p-6, 0x1.4537db9cd4935p-6, 0x1.434a5ce8c6564p-6, 0x1.4152457cb3e89p-6, 0x1.3f500613fa262p-6, 0x1.3d440d3037ebp-6, 0x1.3b2ec720f0eb2p-6, 0x1.39109e0aa806cp-6, 0x1.36e9f9edc85cp-6, 0x1.34bb40ad6eaedp-6, 0x1.3284d61669b35p-6, 0x1.30471be634b77p-6, 0x1.2e0271d184867p-6, 0x1.2bb7358a705eep-6, 0x1.2965c2c6b43f3p-6, 0x1.270e734652308p-6, 0x1.24b19eda5d167p-6, 0x1.224f9b6ad43e4p-6, 0x1.1fe8bcfded8c8p-6, 0x1.1d7d55bd6cc0bp-6, 0x1.1b0db5fd79878p-6, 0x1.189a2c42d7389p-6, 0x1.16230548cc5b9p-6, 0x1.13a88c0701bbep-6, 0x1.112b09b758563p-6, 0x1.0eaac5dbe97efp-6, 0x1.0c28064515cfap-6, 0x1.09a30f177abecp-6, 0x1.071c22d1c4551p-6, 0x1.049382527aa91p-6, 0x1.02096cddbc5b5p-6, 0x1.fefc4045e9b38p-7, 0x1.f9e3b08517322p-7, 0x1.f4c99fa5f69f6p-7, 0x1.efae7fcf8c941p-7, 0x1.ea92c029eb02fp-7, 0x1.e576ccecdab11p-7, 0x1.e05b0f68599a8p-7, 0x1.db3fee11566d6p-7, 0x1.d625cc8b594bbp-7, 0x1.d10d0bb3a5baap-7, 0x1.cbf609abf3042p-7, 0x1.c6e121e4ca85cp-7, 0x1.c1cead27eba12p-7, 0x1.bcbf01a357268p-7, 0x1.b7b272f3b1dc9p-7, 0x1.b2a9522d64bebp-7, 0x1.ada3ede80279bp-7, 0x1.a8a292486ed7ep-7, 0x1.a3a5890ab1bb9p-7, 0x1.9ead198c2c9dbp-7, 0x1.99b988d57d04p-7, 0x1.94cb19a4605eap-7, 0x1.8fe20c75a1c07p-7, 0x1.8afe9f8ed3849p-7, 0x1.86210f08159ep-7, 0x1.814994d5bfc24p-7, 0x1.7c7868d2048ap-7, 0x1.77adc0c6634fbp-7, 0x1.72e9d0751fafdp-7, 0x1.6e2cc9a2a5544p-7, 0x1.6976dc1ecf9acp-7, 0x1.64c835ce2b99bp-7, 0x1.602102b3158dbp-7, 0x1.5b816cf6c99c3p-7, 0x1.56e99cf25ca9dp-7, 0x1.5259b937ae267p-7, 0x1.4dd1e69a478e6p-7, 0x1.4952483830a8bp-7, 0x1.44daff82ab009p-7, 0x1.406c2c46c9335p-7, 0x1.3c05ecb60301fp-7, 0x1.37a85d6ea8736p-7, 0x1.3353998445345p-7, 0x1.2f07ba87f0ae2p-7, 0x1.2ac4d89084159p-7, 0x1.268b0a42bee0bp-7, 0x1.225a64d94b936p-7, 0x1.1e32fc2cc1ba9p-7, 0x1.1a14e2bb85007p-7, 0x1.160029b1a02c4p-7, 0x1.11f4e0f081bb3p-7, 0x1.0df31716a5562p-7, 0x1.09fad98721d4fp-7, 0x1.060c34711ea1ap-7, 0x1.022732d7387f2p-7, 0x1.fc97bd2d9a3fdp-8, 0x1.f4f480de564c6p-8, 0x1.ed64c0116d7c3p-8, 0x1.e5e887f7c88edp-8, 0x1.de7fe3b05bdbep-8, 0x1.d72adc55d9189p-8, 0x1.cfe9790c3ad52p-8, 0x1.c8bbbf0e1375fp-8, 0x1.c1a1b1b9ccb16p-8, 0x1.ba9b529ea8d95p-8, 0x1.b3a8a189a184fp-8, 0x1.acc99c91fc33fp-8, 0x1.a5fe4025c3ebep-8, 0x1.9f4687160a8a4p-8, 0x1.98a26aa309ffbp-8, 0x1.9211e287f08a2p-8, 0x1.8b94e50699caap-8, 0x1.852b66f3a5df1p-8, 0x1.7ed55bc15cd4p-8, 0x1.7892b58a136dap-8, 0x1.7263651c96b1ep-8, 0x1.6c475a0687af6p-8, 0x1.663e829edd8bbp-8, 0x1.6048cc10767ccp-8, 0x1.5a66226476604p-8, 0x1.5496708c6645bp-8, 0x1.4ed9a06c26ef9p-8, 0x1.492f9ae3b13a2p-8, 0x1.439847d8f800fp-8, 0x1.3e138e414b5acp-8, 0x1.38a1542a3b33p-8, 0x1.33417ec2acd55p-8, 0x1.2df3f2643960ap-8, 0x1.28b8929bdf666p-8, 0x1.238f42325f408p-8, 0x1.1e77e334c158p-8, 0x1.197256fc9655p-8, 0x1.147e7e38281cp-8, 0x1.0f9c38f25d1afp-8, 0x1.0acb669a8d3b9p-8, 0x1.060be60c1d218p-8, 0x1.015d9595f2915p-8, 0x1.f980a603767a7p-9, 0x1.f067f7362306cp-9, 0x1.e770d86ce2a4bp-9, 0x1.de9b02700eabbp-9, 0x1.d5e62d34b6874p-9, 0x1.cd520fe9a611dp-9, 0x1.c4de61044a279p-9, 0x1.bc8ad64d3195dp-9, 0x1.b45724ec513d4p-9, 0x1.ac43017514fa2p-9, 0x1.a44e1ff201a57p-9, 0x1.9c7833f01f5b2p-9, 0x1.94c0f089e3657p-9, 0x1.8d280871c5279p-9, 0x1.85ad2dfc8166ep-9, 0x1.7e50132b1f18p-9, 0x1.771069b4a70b9p-9, 0x1.6fede30fa9814p-9, 0x1.68e8307bcddc7p-9, 0x1.61ff030b41225p-9, 0x1.5b320bac0f138p-9, 0x1.5480fb315cdf9p-9, 0x1.4deb825c65ebcp-9, 0x1.477151e50ec4p-9, 0x1.41121a81e00d4p-9, 0x1.3acd8cef87de3p-9, 0x1.34a359f7906f4p-9, 0x1.2e933276af35p-9, 0x1.289cc762ac653p-9, 0x1.22bfc9d035a83p-9, 0x1.1cfbeaf8db024p-9, 0x1.1750dc417e04ep-9, 0x1.11be4f414279fp-9, 0x1.0c43f5c8fed9ep-9, 0x1.06e181eaf16f1p-9, 0x1.0196a60270689p-9, 0x1.f8c62976181ffp-10, 0x1.ee8d022d35cbcp-10, 0x1.e4813ce43122ap-10, 0x1.daa241118ba6ap-10, 0x1.d0ef76ec08706p-10, 0x1.c768476d6abefp-10, 0x1.be0c1c5326bc1p-10, 0x1.b4da601de7e31p-10, 0x1.abd27e18b456fp-10, 0x1.a2f3e2608c118p-10, 0x1.9a3df9efc8774p-10, 0x1.91b032ae279f9p-10, 0x1.8949fb83451c9p-10, 0x1.810ac469cda8ap-10, 0x1.78f1fe805ab9bp-10, 0x1.70ff1c1666479p-10, 0x1.693190b294d56p-10, 0x1.6188d11197772p-10, 0x1.5a04531e2aae6p-10, 0x1.52a38de353795p-10, 0x1.4b65f97c1f1fap-10, 0x1.444b0f047b588p-10, 0x1.3d52488ebc662p-10, 0x1.367b2121a26dap-10, 0x1.2fc514c06a5ep-10, 0x1.292fa07d8a453p-10, 0x1.22ba4296655b5p-10, 0x1.1c647a94808e2p-10, 0x1.162dc96edd54p-10, 0x1.1015b1a69005bp-10, 0x1.0a1bb758cc8f5p-10, 0x1.043f6042a0872p-10, 0x1.fd0067692e59p-11, 0x1.f1bb74ee2a062p-11, 0x1.e6aefd4601bf6p-11, 0x1.dbda16ea11a93p-11, 0x1.d13bda458c5f3p-11, 0x1.c6d36173a2347p-11, 0x1.bc9fc81f61da9p-11, 0x1.b2a02b8c8922ap-11, 0x1.a8d3aacd8fd26p-11, 0x1.9f39671fe1165p-11, 0x1.95d08463374dfp-11, 0x1.8c98299a52a1bp-11, 0x1.838f81603539dp-11, 0x1.7ab5ba3df2001p-11, 0x1.720a06cf756d1p-11, 0x1.698b9dad531d7p-11, 0x1.6139b919bf14fp-11, 0x1.59139678ef44fp-11, 0x1.511875a908282p-11, 0x1.4947984de68fdp-11, 0x1.41a0412cf8c6ep-11, 0x1.3a21b3be3198ep-11, 0x1.32cb33fa5ca1bp-11, 0x1.2b9c067639732p-11, 0x1.249370cb79104p-11, 0x1.1db0ba4318c2bp-11, 0x1.16f32caa03891p-11, 0x1.105a1534273afp-11, 0x1.09e4c54b5a3e4p-11, 0x1.0392932bfdc76p-11, 0x1.fac5b46586455p-12, 0x1.eea9f594f510dp-12, 0x1.e2d0b3ea585e1p-12, 0x1.d738c0f4b9a87p-12, 0x1.cbe0f3a83b5c9p-12, 0x1.c0c825fe902fbp-12, 0x1.b5ed32b66f8d7p-12, 0x1.ab4ef385f0d5ap-12, 0x1.a0ec400536d08p-12, 0x1.96c3ed7c44511p-12, 0x1.8cd4cf9b2456dp-12, 0x1.831dba048324cp-12, 0x1.799d8276f6b78p-12, 0x1.7053034f83bd2p-12, 0x1.673d1e1605935p-12, 0x1.5e5abdc7017f4p-12, 0x1.55aad88b78b8dp-12, 0x1.4d2c70a0a9099p-12, 0x1.44de94566add4p-12, 0x1.3cc05d0597b67p-12, 0x1.34d0ed19015a4p-12, 0x1.2d0f6d6156c92p-12, 0x1.257b0a0b1dd9ap-12, 0x1.1e12ef9f949afp-12, 0x1.16d6487bcb5bdp-12, 0x1.0fc43b1875d8bp-12, 0x1.08dbe95787623p-12, 0x1.021c70e281c26p-12, 0x1.f709d8f18c969p-13, 0x1.ea28ebdc34194p-13, 0x1.dd945115318b6p-13, 0x1.d14a4700aedbcp-13, 0x1.c549186e1c19ap-13, 0x1.b98f207b45111p-13, 0x1.ae1acd7c95479p-13, 0x1.a2eaa2af8eafp-13, 0x1.97fd3883d3b0cp-13, 0x1.8d513b5a1ecabp-13, 0x1.82e568b46fdf4p-13, 0x1.78b88b10ede32p-13, 0x1.6ec974ded17d8p-13, 0x1.6516fb4491976p-13, 0x1.5b9ff186e6875p-13, 0x1.526325d48befp-13, 0x1.495f5ffba9168p-13, 0x1.4093621fcea8fp-13, 0x1.37fdeb1382caep-13, 0x1.2f9db99af0b0bp-13, 0x1.27718fbc8e446p-13, 0x1.1f78356be4f42p-13, 0x1.17b07a39e2f49p-13, 0x1.10193622dd4e7p-13, 0x1.08b149e4a962ap-13, 0x1.01779f4f47b8bp-13, 0x1.f4d653ab76108p-14, 0x1.e715ce917d738p-14, 0x1.d9abc0ad9acb9p-14, 0x1.cc96508dc1b96p-14, 0x1.bfd3b70bbba61p-14, 0x1.b36239efe52c9p-14, 0x1.a74024f41c6d9p-14, 0x1.9b6bc2d102488p-14, 0x1.8fe3585a7daf4p-14, 0x1.84a52356472a3p-14, 0x1.79af5db3e5865p-14, 0x1.6f004467656a2p-14, 0x1.64961fd3adfbfp-14, 0x1.5a6f4b09e9721p-14, 0x1.508a375e3561fp-14, 0x1.46e56b25db971p-14, 0x1.3d7f7c3328957p-14, 0x1.34570854789bp-14, 0x1.2b6aaed23d475p-14, 0x1.22b90d755af23p-14, 0x1.1a40c211b1a34p-14, 0x1.12006fb222442p-14, 0x1.09f6c501c80b5p-14, 0x1.022281113f65fp-14, 0x1.f504e85f925aap-15, 0x1.e62af83544f26p-15, 0x1.d7b4f9210037dp-15, 0x1.c9a0ad9e81525p-15, 0x1.bbebc5f97eeafp-15, 0x1.ae93dbca06a24p-15, 0x1.a1967803097dp-15, 0x1.94f1222400a7p-15, 0x1.88a1741033dd9p-15, 0x1.7ca52cc6a4f99p-15, 0x1.70fa3bac0381p-15, 0x1.659ec036836e1p-15, 0x1.5a90fd9a97c52p-15, 0x1.4fcf459009ea4p-15, 0x1.4557e1c033f87p-15, 0x1.3b290442d36f1p-15, 0x1.3140c58b783b8p-15, 0x1.279d3063bac1bp-15, 0x1.1e3c574312f6dp-15, 0x1.151c6ac931c44p-15, 0x1.0c3bc90a77cc8p-15, 0x1.0399005b6a212p-15, 0x1.f6658a1a464a2p-16, 0x1.e60fbcb91ef0cp-16, 0x1.d62e23d68920ep-16, 0x1.c6be2a1614fc9p-16, 0x1.b7bd0ff9488a6p-16, 0x1.a927f5a35dd5bp-16, 0x1.9afbf0a225163p-16, 0x1.8d362504cbc39p-16, 0x1.7fd3db555c87p-16, 0x1.72d28fb610b61p-16, 0x1.662ff724733fap-16, 0x1.59e9f7bc8fed1p-16, 0x1.4dfe927dc2a3dp-16, 0x1.426bc23c1cb32p-16, 0x1.372f5a09ee17cp-16, 0x1.2c46f1254907fp-16, 0x1.21afe75b71d3p-16, 0x1.176782b303cbfp-16, 0x1.0d6b1b4af7f6ep-16, 0x1.03b843f600a4cp-16, 0x1.f499c2264d211p-17, 0x1.e24e503521a2p-17, 0x1.d08b162f401f6p-17, 0x1.bf4d316717b7bp-17, 0x1.ae91b873b8d45p-17, 0x1.9e5591d32e5bep-17, 0x1.8e956ddeef9aap-17, 0x1.7f4ddfa9845d8p-17, 0x1.707b832ee7bdep-17, 0x1.621b1f0f6c8ffp-17, 0x1.5429b8de728efp-17, 0x1.46a49aea122fp-17, 0x1.39894cfe8c55ep-17, 0x1.2cd582dcd44dap-17, 0x1.208705db14ed6p-17, 0x1.149b9f904f39fp-17, 0x1.091106eb656acp-17, 0x1.fbc99a015aebp-18, 0x1.e628956a10202p-18, 0x1.d139347d67dcep-18, 0x1.bcf5553614b17p-18, 0x1.a956db7786e6dp-18, 0x1.9658189376c25p-18, 0x1.83f4056b36a64p-18, 0x1.72263dbccf8p-18, 0x1.60eae08426eafp-18, 0x1.503e7dae72bcep-18, 0x1.401e0d24f2715p-18, 0x1.3086cec78133dp-18, 0x1.217607b2f6a75p-18, 0x1.12e8b3b8b0ff7p-18, 0x1.04db4ea093616p-18, 0x1.ee93a50ab1304p-19, 0x1.d45fec9e34b95p-19, 0x1.bb1324648dcd5p-19, 0x1.a2a5d7e955136p-19, 0x1.8b116c4e358c5p-19, 0x1.744f994245dd3p-19, 0x1.5e59e4df3111p-19, 0x1.49299dbb2e311p-19, 0x1.34b856707a6ebp-19, 0x1.21007b498cec3p-19, 0x1.0dfd8eb7cd056p-19, 0x1.f757be4043463p-20, 0x1.d40fc9f08aee1p-20, 0x1.b21b631e09ddep-20, 0x1.917189429c61ap-20, 0x1.720876e474106p-20, 0x1.53d5d45e84546p-20, 0x1.36ce354c5fe48p-20, 0x1.1ae4c34817f62p-20, 0x1.000c935708053p-20, 0x1.cc76f819e1f3p-21, 0x1.9ad84b6697a2fp-21, 0x1.6b3a896ea0798p-21, 0x1.3d9cbd2b32cddp-21, 0x1.11f8e06023b08p-21, 0x1.d082fd40ccf0dp-22, 0x1.80c9a681b80cfp-22, 0x1.34a46526582c7p-22, 0x1.d7f3889975c71p-23, 0x1.4d698d4d2240ep-23, 0x1.92f53639c75cep-24, 0x1.2f9d19d0c1a43p-25, -0x1.5ce64d2bdd212p-26, -0x1.3ac46a3cd5fc8p-24, -0x1.09b51186339bp-23, -0x1.70d665907f886p-23, -0x1.d2f8b91bb71b4p-23, -0x1.18200ac73a717p-22, -0x1.4462e07ead882p-22, -0x1.6e4f8a807f444p-22, -0x1.95f2158aa112bp-22, -0x1.bb58b4c22c4ddp-22, -0x1.de91b7c6bb799p-22, -0x1.ffaadfc207eebp-22, -0x1.0f5b0d2acbbefp-21, -0x1.1de77afd6716ep-21, -0x1.2b8b10a1aaef1p-21, -0x1.3851494f1e88dp-21, -0x1.443c6ad029ebdp-21, -0x1.4f49e1c6343dep-21, -0x1.597af85c3e415p-21, -0x1.62d8b089dd814p-21, -0x1.6b6f801100013p-21, -0x1.73480ffef58b2p-21, -0x1.7a64b2960d80cp-21, -0x1.80c5687aa34adp-21, -0x1.866d19bc2066fp-21, -0x1.8b6301ad26f81p-21, -0x1.8fb0bdfc93eb1p-21, -0x1.935ffbdc396c5p-21, -0x1.9679574eadfcep-21, -0x1.99043a52512ep-21, -0x1.9b0706c659f07p-21, -0x1.9c871ed6fa969p-21, -0x1.9d88c5ad280d4p-21, -0x1.9e0f0e9474127p-21, -0x1.9e1c235f8948fp-21, -0x1.9db218bd78041p-21, -0x1.9cd42f884f771p-21, -0x1.9b87b416effa5p-21, -0x1.99d35bd1876ap-21, -0x1.97bd56e96c673p-21, -0x1.954a88f59e1a5p-21, -0x1.92809912054bp-21, -0x1.8f678cf1a33c4p-21, -0x1.8c06063334f25p-21, -0x1.885bb7057be8ap-21, -0x1.846377798c92ap-21, -0x1.801bde5a499f7p-21, -0x1.7b8b3a7436196p-21, -0x1.76ba5dd77c4ffp-21, -0x1.71ada196c0acdp-21, -0x1.6c64c5df17b57p-21, -0x1.66dfc2dc6eb91p-21, -0x1.61210c1af471ep-21, -0x1.5b2c2a17ee053p-21, -0x1.55043f39a7393p-21, -0x1.4eabf71449009p-21, -0x1.4826081cfecffp-21, -0x1.41757125caf17p-21, -0x1.3a9d5acb2fe85p-21, -0x1.33a0da23d493ap-21, -0x1.2c82c04be0c97p-21, -0x1.25457fb239609p-21, -0x1.1deb227ac38aap-21, -0x1.16754bffbcf0ep-21, -0x1.0ee541a7655b2p-21, -0x1.073c07136fdfbp-21, -0x1.fef558ac8af9cp-22, -0x1.ef4589aef7b49p-22, -0x1.df6d0f4305bdcp-22, -0x1.cf7010bc817p-22, -0x1.bf504dada40b7p-22, -0x1.af0df362524f2p-22, -0x1.9eac5c61e1c5dp-22, -0x1.8e33a87113f2dp-22, -0x1.7da9868a13fc1p-22, -0x1.6d0e0e14f17a3p-22, -0x1.5c6455a98a352p-22, -0x1.4bb52b9e93ef7p-22, -0x1.3b053e5f8d49ep-22, -0x1.2a512d1bfddf4p-22, -0x1.1995ceaf7414cp-22, -0x1.08d51161c46afp-22, -0x1.f026a0c5144cep-23, -0x1.cea94ba16c269p-23, -0x1.ad38a66fba0b8p-23, -0x1.8bd935b1e6763p-23, -0x1.6a8d3a4d1dd03p-23, -0x1.4955991e0facap-23, -0x1.2833d307e90bbp-23, -0x1.072b55631f37fp-23, -0x1.cc824202188ep-24, -0x1.8af51621e9393p-24, -0x1.49b8944ea1047p-24, -0x1.08d47021681adp-24, -0x1.909e151d4f7c5p-25, -0x1.105be8b4fcebap-25, -0x1.21d8426f7ec1ap-26, -0x1.2573df5eb439p-29, 0x1.ad6b8438e866cp-27, 0x1.d041ecfe8e76ap-26, 0x1.63ee3941d35eep-25, 0x1.deb4e2158e27bp-25, 0x1.2c36df01de612p-24, 0x1.688e4b2019752p-24, 0x1.a46191cce6696p-24, 0x1.dfa64bb9fc73ep-24, 0x1.0d287bfee4b1dp-23, 0x1.2a3097f5beb4fp-23, 0x1.46e97ffe57414p-23, 0x1.63504a8cd01d6p-23, 0x1.7f67630b572b5p-23, 0x1.9b2fe5499963ep-23, 0x1.b6a60857f7cf7p-23, 0x1.d1c526306ccb5p-23, 0x1.ec89e081c9276p-23, 0x1.037929442c6abp-22, 0x1.107f03ee3f82p-22, 0x1.1d56b9ee41f55p-22, 0x1.2a003f3745c2dp-22, 0x1.367b0c16d9565p-22, 0x1.42c641049a146p-22, 0x1.4ee13fa6113b2p-22, 0x1.5acbcb50f3fbdp-22, 0x1.6685a8f91ccedp-22, 0x1.720e5b80fab98p-22, 0x1.7d654944275b1p-22, 0x1.8889f525832bap-22, 0x1.937c0a7644ce3p-22, 0x1.9e3b4bef6067fp-22, 0x1.a8c782712b97ep-22, 0x1.b320732ba655cp-22, 0x1.bd45dae4b7534p-22, 0x1.c73770b49dddep-22, 0x1.d0f4f549a569ep-22, 0x1.da7e44c51afd1p-22, 0x1.e3d34dc6cd4p-22, 0x1.ecf3e86e1cc7cp-22, 0x1.f5dfa6225a65ep-22, 0x1.fe95efb7c586cp-22, 0x1.038b79b6572f6p-21, 0x1.07b1b0315e4c5p-21, 0x1.0bbd949a675b2p-21, 0x1.0faf1f26b9d33p-21, 0x1.1385fcb7df12cp-21, 0x1.1741fe926ea81p-21, 0x1.1ae358fdc4a35p-21, 0x1.1e6a2f90d969ep-21, 0x1.21d6857c3542ep-21, 0x1.252852a00d6bep-21, 0x1.285f89609977ep-21, 0x1.2b7c176994c9bp-21, 0x1.2e7dea00305b5p-21, 0x1.316502d8cde32p-21, 0x1.34319c398aa54p-21, 0x1.36e4230a83789p-21, 0x1.397cd1c2151bap-21, 0x1.3bfb6f6d7f13ap-21, 0x1.3e5fcd74bfd18p-21, 0x1.40aa40125dcbdp-21, 0x1.42db12c2f1b84p-21, 0x1.44f1f4ada9003p-21, 0x1.46ee8d15ca884p-21, 0x1.48d10f9775c3fp-21, 0x1.4a99f3c787161p-21, 0x1.4c4993b7fb61ap-21, 0x1.4de01e77fe0d3p-21, 0x1.4f5dacb26544ep-21, 0x1.50c24cc6a0c01p-21, 0x1.520e054f3da1fp-21, 0x1.5340de4160bdap-21, 0x1.545af21555e32p-21, 0x1.555c7428f662cp-21, 0x1.5645ad94c4ec5p-21, 0x1.5716ceee7ea28p-21, 0x1.57cf5dc2e125bp-21, 0x1.586f0e60ebaa3p-21, 0x1.58f779603955fp-21, 0x1.596965b997272p-21, 0x1.59c3c903c85bcp-21, 0x1.5a05e8f7f5da3p-21, 0x1.5a30bcdaf9333p-21, 0x1.5a44d3c5f022p-21, 0x1.5a4245b204749p-21, 0x1.5a2926f690b88p-21, 0x1.59f99b8dd32c6p-21, 0x1.59b3d096a7933p-21, 0x1.5957f74963e8ap-21, 0x1.58e642ba0aa5fp-21, 0x1.585ee6d544f0cp-21, 0x1.57c217f166eddp-21, 0x1.5710075399a7fp-21, 0x1.5648e1153fdffp-21, 0x1.556cbd2d21b9ap-21, 0x1.547b82a19410ep-21, 0x1.53750516d6767p-21, 0x1.5259aea4c553p-21, 0x1.512a84d7fea38p-21, 0x1.4fe7ea8990532p-21, 0x1.4e921a4be8d33p-21, 0x1.4d297b29f992fp-21, 0x1.4bad41709c145p-21, 0x1.4a1cf4952a1c9p-21, 0x1.487965f96dd05p-21, 0x1.46c3653e16d81p-21, 0x1.44fb47d66cfdep-21, 0x1.43212c86ba614p-21, 0x1.4135273d314e3p-21, 0x1.3f374ad974762p-21, 0x1.3d27b498838ap-21, 0x1.3b069c0f7a57cp-21, 0x1.38d45b015d0cdp-21, 0x1.369167561d6aap-21, 0x1.343dfd8e7d15ep-21, 0x1.31d96399f3939p-21, 0x1.2f643fac8dbe6p-21, 0x1.2ce01d82a27ap-21, 0x1.2a4b8b881f83ap-21, 0x1.27a6e6a1a538dp-21, 0x1.24f31ceef3d3p-21, 0x1.223050e13a094p-21, 0x1.1f5e9880b3267p-21, 0x1.1c7e2095f255ep-21, 0x1.198f1fd006526p-21, 0x1.1691cfa65a1e9p-21, 0x1.13866a284ed8ep-21, 0x1.106d2967f488dp-21, 0x1.0d46475d3380ep-21, 0x1.0a11fdd52a666p-21, 0x1.06d085c5caa9ep-21, 0x1.038217c2917c9p-21, 0x1.0026ecc49e0a6p-21, 0x1.f97e7dc3646c7p-22, 0x1.f2969406962bdp-22, 0x1.eb9697df7b893p-22, 0x1.e47f0881796ecp-22, 0x1.dd506af6cb67ap-22, 0x1.d60b3dbae3fafp-22, 0x1.ceaf9b061f2cfp-22, 0x1.c73cb25c17d39p-22, 0x1.bfb2532e31a47p-22, 0x1.b81350842cc24p-22, 0x1.b0621c0b49287p-22, 0x1.a89dc72e34ad4p-22, 0x1.a0c3d7cad46c2p-22, 0x1.98d5601fd4f2ep-22, 0x1.90d45d2360817p-22, 0x1.88c168b35baafp-22, 0x1.809c985ff4c29p-22, 0x1.78660dd52c989p-22, 0x1.701e172188cdfp-22, 0x1.67c52a32143f7p-22, 0x1.5f5bcf504c1bfp-22, 0x1.56e2a992a69d3p-22, 0x1.4e5a57e7d4db2p-22, 0x1.45c2629467ad2p-22, 0x1.3d1b73531e5d1p-22, 0x1.3465cf98ac74ap-22, 0x1.2ba1f2687545bp-22, 0x1.22d0e29be316dp-22, 0x1.19f2c43bdc37ep-22, 0x1.1107d756f9f66p-22, 0x1.08107aa4cbd1ap-22, 0x1.fe1a27cb02e0bp-23, 0x1.ebfc10bffd377p-23, 0x1.d9c778d391f43p-23, 0x1.c77d262d3f982p-23, 0x1.b51ddcecd3095p-23, 0x1.a2aa5f82cb44bp-23, 0x1.90236f09c4db8p-23, 0x1.7d89cb821b8d3p-23, 0x1.6ade33f328af7p-23, 0x1.5821665a28d84p-23, 0x1.45541f5a55324p-23, 0x1.327719afe0212p-23, 0x1.1f8b0da537e59p-23, 0x1.0c90b0e1964d7p-23, 0x1.f3116e247efc4p-24, 0x1.cce7a7480077bp-24, 0x1.a6a57973e7643p-24, 0x1.804c566bbdfebp-24, 0x1.59ddadd29af9fp-24, 0x1.335ae9f05d162p-24, 0x1.0cc57f71e9492p-24, 0x1.cc3e2cbc08311p-25, 0x1.7ed20fecf0a9dp-25, 0x1.3144739805066p-25, 0x1.c72c459d63843p-26, 0x1.2baccb50ab566p-26, 0x1.20036cb08d9a2p-27, -0x1.7b81a7f6b54fep-31, -0x1.4fb17c3e08805p-27, -0x1.43edf8dfc6df6p-26, -0x1.e01a18b3f44fdp-26, -0x1.3e2cc07568d9bp-25, -0x1.8c53c4684ce9ep-25, -0x1.da7f8e52d5f9cp-25, -0x1.14566aa607b03p-24, -0x1.3b6c3eb8a2dbap-24, -0x1.6281f9d4a0916p-24, -0x1.8996cf5e09f4dp-24, -0x1.b0a7a0aafb3d4p-24, -0x1.d7b34c488269ep-24, -0x1.feb93feaa87ffp-24, -0x1.12dc3ea0e5c3ap-23, -0x1.2657f589d50eap-23, -0x1.39cf397bbbae6p-23, -0x1.4d4180aa553fcp-23, -0x1.60ae44991c8cep-23, -0x1.7414fff3c5183p-23, -0x1.87752f56365c5p-23, -0x1.9ace510e0a2b1p-23, -0x1.ae1fe50ee3febp-23, -0x1.c1696cf311765p-23, -0x1.d4aa6bf77adcdp-23, -0x1.e7e266f69c7f8p-23, -0x1.fb10e467ee7eap-23, -0x1.071ab62cf37a7p-22, -0x1.10a7c4301dba3p-22, -0x1.1a2f61cb76336p-22, -0x1.23b15530faaa7p-22, -0x1.2d2d65d2fc0bep-22, -0x1.36a35b3f3041dp-22, -0x1.4012fe59625cfp-22, -0x1.497c18c8083b2p-22, -0x1.52de750658333p-22, -0x1.5c39de56a9b9ep-22, -0x1.658e20a5595b8p-22, -0x1.6edb08597cc0ep-22, -0x1.782062448481bp-22, -0x1.815dfbf2f008cp-22, -0x1.8a93a47943f5bp-22, -0x1.93c12d1ae7b28p-22, -0x1.9ce6670832937p-22, -0x1.a6031af2fa125p-22, -0x1.af170849d00d1p-22, -0x1.b82218266c6d6p-22, -0x1.c124468d1e67p-22, -0x1.ca1d6ace30ecp-22, -0x1.d30d2c5838ae2p-22, -0x1.dbf345f2977fp-22, -0x1.e4cfa3d193feap-22, -0x1.eda22839dfa6p-22, -0x1.f66aa9f6a246ap-22, -0x1.ff28f5c158c5bp-22, -0x1.03ee7cdbed29ap-21, -0x1.08435012ab9a8p-21, -0x1.0c92cf1ba45b6p-21, -0x1.10dcebd764e06p-21, -0x1.15219710ab09dp-21, -0x1.1960bf58b7b83p-21, -0x1.1d9a535c09d1cp-21, -0x1.21ce422f009a1p-21, -0x1.25fc7b4bb6acep-21, -0x1.2a24ee8a26d5cp-21, -0x1.2e478c1b91516p-21, -0x1.32644489b5446p-21, -0x1.367b08b57665bp-21, -0x1.3a8bc9d613ecp-21, -0x1.3e967975d877ap-21, -0x1.429b0973e8644p-21, -0x1.46996c02e29b4p-21, -0x1.4a9193c05dfcp-21, -0x1.4e83740b9c054p-21, -0x1.526f001be1305p-21, -0x1.5654296c6bbe2p-21, -0x1.5a32e4d38c4p-21, -0x1.5e0b279e3d252p-21, -0x1.61dce5b5bf0d4p-21, -0x1.65a813ad7a463p-21, -0x1.696ca6917fba8p-21, -0x1.6d2a93c1cb689p-21, -0x1.70e1d0ebc741dp-21, -0x1.74925409d2cd1p-21, -0x1.783c13610575p-21, -0x1.7bdf05838383ep-21, -0x1.7f7b214d2e478p-21, -0x1.83105de560675p-21, -0x1.869eb2be930bp-21, -0x1.8a261792d5bb1p-21, -0x1.8da6845e33ea2p-21, -0x1.911ff16fa1a2bp-21, -0x1.94925760df1dbp-21, -0x1.97fdaef1d283dp-21, -0x1.9b61f13f00f9cp-21, -0x1.9ebf17c659904p-21, -0x1.a2151c4cedf85p-21, -0x1.a563f88b7094bp-21, -0x1.a8aba5933a9ap-21, -0x1.abec1d9bd5fdap-21, -0x1.af255fecc3797p-21, -0x1.b257658d96a62p-21, -0x1.b582268325b22p-21, -0x1.b8a59f475c21bp-21, -0x1.bbc1cc5de4653p-21, -0x1.bed6aa97fdd7fp-21, -0x1.c1e435029116ap-21, -0x1.c4ea684e0f603p-21, -0x1.c7e9413c6597bp-21, -0x1.cae0bcaf72113p-21, -0x1.cdd0d7cffd7dep-21, -0x1.d0b98fed189f1p-21, -0x1.d39ae2a6025d4p-21, -0x1.d674cdc89afa8p-21, -0x1.d9474f5ded92ep-21, -0x1.dc1265a85ff22p-21, -0x1.ded60f1f3da54p-21, -0x1.e1924a73fe47ap-21, -0x1.e447168d5e362p-21, -0x1.e6f4727de0333p-21, -0x1.e99a5d9396296p-21, -0x1.ec38d7581ba28p-21, -0x1.eecfdf839a235p-21, -0x1.f15f75fdaf4afp-21, -0x1.f3e79ae14c563p-21, -0x1.f6684e7c2c76fp-21, -0x1.f8e1914a32b3cp-21, -0x1.fb5363f930843p-21, -0x1.fdbdc76ac70b3p-21, -0x1.00105e55921cap-20, -0x1.013e227b2ff6ap-20, -0x1.026830da05d19p-20, -0x1.038e8a3df1aabp-20, -0x1.04b12f8884f7p-20, -0x1.05d021b18ba52p-20, -0x1.06eb61c68adeep-20, -0x1.0802f0ea56f82p-20, -0x1.0916d054ad486p-20, -0x1.0a270152ae609p-20, -0x1.0b33854551c8ap-20, -0x1.0c3c5da22b60fp-20, -0x1.0d418bf1e30b7p-20, -0x1.0e4311d0e4f3bp-20, -0x1.0f40f0effc82ep-20, -0x1.103b2b1651bc1p-20, -0x1.1131c21513097p-20, -0x1.1224b7d43f889p-20, -0x1.13140e4f8b865p-20, -0x1.13ffc79325d9bp-20, -0x1.14e7e5bd0e4eap-20, -0x1.15cc6afc7b28bp-20, -0x1.16ad5991a2f27p-20, -0x1.178ab3cc95584p-20, -0x1.18647c0d59218p-20, -0x1.193ab4c825a1ep-20, -0x1.1a0d6081609f6p-20, -0x1.1adc81d239c2cp-20, -0x1.1ba81b1976293p-20, -0x1.1c702f67138d5p-20, -0x1.1d34c1475266fp-20, -0x1.1df5d3955dd2dp-20, -0x1.1eb369405586p-20, -0x1.1f6d84ee7f8d2p-20, -0x1.20242995a9658p-20, -0x1.20d75a80ece1fp-20, -0x1.21871ac06a536p-20, -0x1.22336d51b1b2fp-20, -0x1.22dc55607d933p-20, -0x1.2381d62abef0ap-20, -0x1.2423f2f5d7683p-20, -0x1.24c2af13517a1p-20, -0x1.255e0ddebf34ep-20, -0x1.25f612c0ca324p-20, -0x1.268ac12c1a60fp-20, -0x1.271c1c9e10cafp-20, -0x1.27aa289e1856ep-20, -0x1.2834e8ba57897p-20, -0x1.28bc6084f13d5p-20, -0x1.2940939d98e6bp-20, -0x1.29c1872252a27p-20, -0x1.2a3f3b0f88b6dp-20, -0x1.2ab9b9e664b63p-20, -0x1.2b30fd99eda6cp-20, -0x1.2ba5123b620a3p-20, -0x1.2c15f9137e3aap-20, -0x1.2c83b5d41d197p-20, -0x1.2cee4c7c8a043p-20, -0x1.2d55c10b118cbp-20, -0x1.2dba1782ed90cp-20, -0x1.2e1b53ebb76aap-20, -0x1.2e797a556a0aep-20, -0x1.2ed48ed5a99afp-20, -0x1.2f2c958a44838p-20, -0x1.2f819296ab7b3p-20, -0x1.2fd38a26152ap-20, -0x1.302280696982cp-20, -0x1.306e799a25f04p-20, -0x1.30b779f59863ap-20, -0x1.30fd85b651d41p-20, -0x1.3140a1316fb18p-20, -0x1.3180d0ba81aap-20, -0x1.31be189f7644cp-20, -0x1.31f87d2858037p-20, -0x1.323002bef729dp-20, -0x1.3264adcf22ba5p-20, -0x1.329682bd514cfp-20, -0x1.32c585f2eb625p-20, -0x1.32f1bbe0783fcp-20, -0x1.331b28fa1f44ap-20, -0x1.3341d1b8bb76ep-20, -0x1.3365ba9864cf8p-20, -0x1.3386e81873b0ap-20, -0x1.33a55ebc95986p-20, -0x1.33c1230b08084p-20, -0x1.33da398d8168ap-20, -0x1.33f0a6d00e7fbp-20, -0x1.34046f628239ap-20, -0x1.341597d641e12p-20, -0x1.342424c2640cp-20, -0x1.34301ab8de228p-20, -0x1.34397e522e707p-20, -0x1.34405430cf489p-20, -0x1.3444a0e9a815ep-20, -0x1.3446691a1b36ep-20, -0x1.3445b1692e4a9p-20, -0x1.34427e775a96ep-20, -0x1.343cd4e6d668ep-20, -0x1.3434b95b9e4dep-20, -0x1.342a307b5e048p-20, -0x1.341d3eed4949bp-20, -0x1.340de9586b802p-20, -0x1.33fc346424347p-20, -0x1.33e824bb16d15p-20, -0x1.33d1bef5e5604p-20, -0x1.33b907b9339bp-20, -0x1.339e03fc58545p-20, -0x1.3380b83a79684p-20, -0x1.336128ed39514p-20, -0x1.333f5ae376bb1p-20, -0x1.331b52c93a784p-20, -0x1.32f51546519c5p-20, -0x1.32cca701e335bp-20, -0x1.32a20ca31652ap-20, -0x1.32754ad096a49p-20, -0x1.3246662f74453p-20, -0x1.32156364b3c6bp-20, -0x1.31e247131cbabp-20, -0x1.31ad15dd758bdp-20, -0x1.3175d463c8d1cp-20, -0x1.313c87466529fp-20, -0x1.310133222735dp-20, -0x1.30c3dc945232cp-20, -0x1.308488367dbcdp-20, -0x1.30433aa22127cp-20, -0x1.2ffff86da6192p-20, -0x1.2fbac63402a9cp-20, -0x1.2f73a88701999p-20, -0x1.2f2aa3db38f6p-20, -0x1.2edfbce8672a7p-20, -0x1.2e92f82dddadcp-20, -0x1.2e445a2c9079ep-20, -0x1.2df3e767634ap-20, -0x1.2da1a461e47b8p-20, -0x1.2d4d963f5ac81p-20, -0x1.2cf7c101bc14dp-20, -0x1.2ca02793a3b56p-20, -0x1.2c46d0e933cb4p-20, -0x1.2bebc08f12eedp-20, -0x1.2b8efadca7183p-20, -0x1.2b3084542275ep-20, -0x1.2ad0615149557p-20, -0x1.2a6e964caf418p-20, -0x1.2a0b27b66a82fp-20, -0x1.29a619eec4efcp-20, -0x1.293f7156f141dp-20, -0x1.28d7324daddb6p-20, -0x1.286d612d608d1p-20, -0x1.2802024dc8154p-20, -0x1.27951a01d5079p-20, -0x1.2726ac9a4b1b3p-20, -0x1.26b6be62aedffp-20, -0x1.264553a41d3ccp-20, -0x1.25d270a2a3364p-20, -0x1.255e199fa6befp-20, -0x1.24e852d73544dp-20, -0x1.2471208227548p-20, -0x1.23f886d5c8fa2p-20, -0x1.237e8a02202f9p-20, -0x1.23032e3373b3bp-20, -0x1.2286779295fafp-20, -0x1.22086a44281aep-20, -0x1.21890a681f95p-20, -0x1.21085c168dff7p-20, -0x1.2086635c2cbacp-20, -0x1.2003247b7e7f2p-20, -0x1.1f7ea34975be4p-20, -0x1.1ef8e3f1afbc5p-20, -0x1.1e71ea998e18cp-20, -0x1.1de9bae3b64a5p-20, -0x1.1d6058be82644p-20, -0x1.1cd5c8b382c31p-20, -0x1.1c4a0e751a539p-20, -0x1.1bbd2dcdec7ep-20, -0x1.1b2f2ac12e838p-20, -0x1.1aa00944f97dap-20, -0x1.1a0fcce31dadap-20, -0x1.197e79efde9cbp-20, -0x1.18ec13e29c7c9p-20, -0x1.18589ebbe4551p-20, -0x1.17c41e92f3993p-20, -0x1.172e96a24385ap-20, -0x1.16980aeaf82a9p-20, -0x1.16007efa529e6p-20, -0x1.1567f699fe687p-20, -0x1.14ce7e985536ep-20, -0x1.1433f4c0abe63p-20, -0x1.13989ce69a19ap-20, -0x1.12fc452e99432p-20, -0x1.125f070ad5b56p-20, -0x1.11c0e25a5dd16p-20, -0x1.1121dac6fa6f7p-20, -0x1.1081f3ee2b3c5p-20, -0x1.0fe1315f22372p-20, -0x1.0f3f96a12688fp-20, -0x1.0e9d27352ca71p-20, -0x1.0df9e697461b8p-20, -0x1.0d55d83c8a8ffp-20, -0x1.0cb0ff9719e7ep-20, -0x1.0c0b601209163p-20, -0x1.0b64fd11e95a9p-20, -0x1.0abdd9fcb36fcp-20, -0x1.0a15fa2ab3e8dp-20, -0x1.096d60f1bad1ep-20, -0x1.08c411a4fa057p-20, -0x1.081a0f909c3bdp-20, -0x1.076f5dfab2505p-20, -0x1.06c40025d29a2p-20, -0x1.0617f949eb47ep-20, -0x1.056b4ca4ed913p-20, -0x1.04bdfd64c2648p-20, -0x1.04100edb3796dp-20, -0x1.03618390e46a6p-20, -0x1.02b25fe4928dcp-20, -0x1.0202a54a0b04ap-20, -0x1.01525845fd8e4p-20, -0x1.00a17b51e57d3p-20, -0x1.ffe0230258269p-21, -0x1.fe7c3bc2ac688p-21, -0x1.fd1746e9eb1a9p-21, -0x1.fbb14a6f726bp-21, -0x1.fa4a4c40b7a46p-21, -0x1.f8e25241d2aeep-21, -0x1.f779624b4be5fp-21, -0x1.f60f822bfd53p-21, -0x1.f4a4b7a602ec3p-21, -0x1.f339087428143p-21, -0x1.f1cc7a4287597p-21, -0x1.f05f12b74b825p-21, -0x1.eef0d7715ee5fp-21, -0x1.ed81ce00ba00bp-21, -0x1.ec11fbfe41041p-21, -0x1.eaa165f37514ap-21, -0x1.e93012de6649bp-21, -0x1.e7be075e3e2e5p-21, -0x1.e64b48acc28eep-21, -0x1.e4d7dc3aec58dp-21, -0x1.e363c74fdce95p-21, -0x1.e1ef0f2665113p-21, -0x1.e079b8e135a8ep-21, -0x1.df03c99f943cap-21, -0x1.dd8d46879f046p-21, -0x1.dc163592f4df5p-21, -0x1.da9e9979103ep-21, -0x1.d926793bacd97p-21, -0x1.d7add94a41ep-21, -0x1.d634be3faaab4p-21, -0x1.d4bb2c982b03fp-21, -0x1.d3412aec90f3p-21, }}, 
      {{0x1.4b4b1be3a6304p-3, 0x1.267dd1099cbd5p-2, 0x1.77f641f30e96bp-2, 0x1.9e0adccbd094ep-2, 0x1.a25a84b1a13bbp-2, 0x1.8f88ff62e6fc1p-2, 0x1.6f140707e2f6ap-2, 0x1.4884219cdea47p-2, 0x1.2152ae7c8d452p-2, 0x1.fa474b5b3d5ecp-3, 0x1.bc3b59ee14edbp-3, 0x1.8a89a12c88de2p-3, 0x1.65979afc5a51cp-3, 0x1.4caf50dc74b37p-3, 0x1.3e6a4751e9007p-3, 0x1.3902b8c6022a3p-3, 0x1.3a8f0b351707cp-3, 0x1.412b8be7b535ep-3, 0x1.4b1622c56886ap-3, 0x1.56bf36944054fp-3, 0x1.62d276d1787ep-3, 0x1.6e39c1efbf64fp-3, 0x1.781beb9d9a919p-3, 0x1.7fd8c38fe51fbp-3, 0x1.85036a5a4bc4p-3, 0x1.875bbf109fb9ep-3, 0x1.86c77b604c6e4p-3, 0x1.834b68e6ef0aep-3, 0x1.7d04f7c563747p-3, 0x1.742463841021ep-3, 0x1.68e77f4f7e812p-3, 0x1.5b95342301a27p-3, 0x1.4c79b103c1f9fp-3, 0x1.3be345f01237ap-3, 0x1.2a1fdcc31df26p-3, 0x1.177b00a4f072ep-3, 0x1.043c62b96d48ap-3, 0x1.e14d94ebb6797p-4, 0x1.b9eec086ed84cp-4, 0x1.92ca85a634ec4p-4, 0x1.6c42b130057f1p-4, 0x1.46aca0d8c7c9fp-4, 0x1.22518c4e03b16p-4, 0x1.fede07e498dcp-5, 0x1.bc6f2bfcf51eap-5, 0x1.7da71ad51e834p-5, 0x1.42c380b1f24ebp-5, 0x1.0bf0cc3f706e5p-5, 0x1.b297bbe5dd747p-6, 0x1.55c76330c89dap-6, 0x1.0175f5ba4934p-6, 0x1.6b26bd5c48058p-7, 0x1.c7f3d0c8db0f8p-8, 0x1.b4016294f916p-9, 0x1.6e8f48cedad67p-13, -0x1.49b97fde3cef6p-9, -0x1.3842cecde4c9bp-8, -0x1.b029cfd4fbaa6p-8, -0x1.0709a8d9ebe2fp-7, -0x1.29c81a58982e3p-7, -0x1.411d9acc4bb57p-7, -0x1.4dda0fa33f197p-7, -0x1.50cdc8fe0a099p-7, -0x1.4ac7ab96fc0a5p-7, -0x1.3c939c98bc003p-7, -0x1.26f928b4fc857p-7, -0x1.0aba63ab8153bp-7, -0x1.d125f70b8ed11p-8, -0x1.826ef203e2275p-8, -0x1.2aa957b3b5aaap-8, -0x1.963ce45ad2517p-9, -0x1.941a562bf4f18p-10, 0x1.9dd2f4ff59af8p-14, 0x1.d917683ab6f7dp-10, 0x1.d2c2cbf2c366p-9, 0x1.5ed7cbfbf54b4p-8, 0x1.d5c83803406d8p-8, 0x1.26b1629d9d7cfp-7, 0x1.6274056f41d81p-7, 0x1.9dd448d749dcep-7, 0x1.d882203023fd1p-7, 0x1.091a6ee8aa3a1p-6, 0x1.255570bcfd2fbp-6, 0x1.40d4a186d4fdep-6, 0x1.5b7dbeb3427e3p-6, 0x1.75398b64dbef4p-6, 0x1.8df3a458199c5p-6, 0x1.a59a5481be31cp-6, 0x1.bc1e689bb88a6p-6, 0x1.d17305301e148p-6, 0x1.e58d7c0576bfep-6, 0x1.f86524c650cd1p-6, 0x1.04f99acdf44a2p-5, 0x1.0d194fa326994p-5, 0x1.148ff4acdd83dp-5, 0x1.1b5c88e63b47p-5, 0x1.217eb6af59f46p-5, 0x1.26f6c4ec3c677p-5, 0x1.2bc588fab4ffap-5, 0x1.2fec5965868c1p-5, 0x1.336d014d6d7e3p-5, 0x1.3649b47cbe31p-5, 0x1.388504596ec42p-5, 0x1.3a21d522e0d39p-5, 0x1.3b23547e75274p-5, 0x1.3b8cf00bbc988p-5, 0x1.3b624d196afbep-5, 0x1.3aa740bb4fbe6p-5, 0x1.395fc8a3d9145p-5, 0x1.3790047683113p-5, 0x1.353c2fd4ff896p-5, 0x1.32689ca6a8b23p-5, 0x1.2f19ae270d403p-5, 0x1.2b53d45a5260cp-5, 0x1.271b878f6dd36p-5, 0x1.227544df9758dp-5, 0x1.1d658aa40022ap-5, 0x1.17f0d5244009p-5, 0x1.121b9bfd2a54ap-5, 0x1.0bea4f871571p-5, 0x1.0561565c5a8adp-5, 0x1.fd0a16b60d625p-6, 0x1.eeb37805b9e99p-6, 0x1.dfc74cfcd2936p-6, 0x1.d04df028fe2e3p-6, 0x1.c04f98d433f0fp-6, 0x1.afd457d00e8efp-6, 0x1.9ee414fe4f497p-6, 0x1.8d868f20b98e2p-6, 0x1.7bc3598421fa5p-6, 0x1.69a1da14d84ccp-6, 0x1.572949905b79ap-6, 0x1.4460b282da31bp-6, 0x1.314eefb6adfe7p-6, 0x1.1dfaac7c5063bp-6, 0x1.0a6a6461cd0aep-6, 0x1.ed48c559bbb32p-7, 0x1.c55d84f2dff8dp-7, 0x1.9d1edd0c6d3a4p-7, 0x1.749842b3117b5p-7, 0x1.4bd4cc5a12188p-7, 0x1.22df312a1553ep-7, 0x1.f3839129bea57p-8, 0x1.a10d1b3607b12p-8, 0x1.4e6e40c9e0ebap-8, 0x1.f7731112d6e6cp-9, 0x1.520185a71fcecp-9, 0x1.59544c1dd4d3p-10, 0x1.e377b6c1fd6e3p-15, -0x1.3a67883d1582bp-10, -0x1.417c88ab478e8p-9, -0x1.e52f766cee99ap-9, -0x1.44186d18ff1e1p-8, -0x1.95332396f2218p-8, -0x1.e5db42fb2c7bep-8, -0x1.1b0261ebbf9dfp-7, -0x1.42d21a9d16079p-7, -0x1.6a575d71b60d6p-7, -0x1.918d02387d96ap-7, -0x1.b86e2478fb1fbp-7, -0x1.def62480c6ef7p-7, -0x1.029052d79344cp-6, -0x1.1574c500884e4p-6, -0x1.2826781a4c8afp-6, -0x1.3aa39a9371ca9p-6, -0x1.4cea792e8e436p-6, -0x1.5ef97c5fff30bp-6, -0x1.70cf27640a648p-6, -0x1.826a18d8102fbp-6, -0x1.93c90acfbb687p-6, -0x1.a4ead05a0347ep-6, -0x1.b5ce535ae5a24p-6, -0x1.c6729525025d1p-6, -0x1.d6d6af79d4f48p-6, -0x1.e6f9d2f9b8cf9p-6, -0x1.f6db444925f1fp-6, -0x1.033d2d98c13e9p-5, -0x1.0aeb41fd6773cp-5, -0x1.12779fd8fe525p-5, -0x1.19e210f4bbe2ep-5, -0x1.212a67165e6fap-5, -0x1.28507bfd6d888p-5, -0x1.2f5432109956cp-5, -0x1.3635744e7b425p-5, -0x1.3cf4351492976p-5, -0x1.43906d18d7d6bp-5, -0x1.4a0a1b7d608dep-5, -0x1.50614668e58d5p-5, -0x1.5695faf15e1bp-5, -0x1.5ca84c0bc4272p-5, -0x1.629851993b9eep-5, -0x1.68662864d4917p-5, -0x1.6e11f2a3aefbep-5, -0x1.739bd7fdb11fap-5, -0x1.790404c4c0c58p-5, -0x1.7e4aa9071fb3ep-5, -0x1.836ff85593a2ap-5, -0x1.88742a1f036e1p-5, -0x1.8d5779eccb451p-5, -0x1.921a26eb14cb5p-5, -0x1.96bc731a503f3p-5, -0x1.9b3ea2caa8aaap-5, -0x1.9fa0fccf7890bp-5, -0x1.a3e3caadb78f4p-5, -0x1.a80758aca90d3p-5, -0x1.ac0bf5347bcbp-5, -0x1.aff1f033eb80cp-5, -0x1.b3b99ae778cbdp-5, -0x1.b7634802b6ca8p-5, -0x1.baef4bf08d35dp-5, -0x1.be5dfca54ad1cp-5, -0x1.c1afb12167ab2p-5, -0x1.c4e4c0fe36cf7p-5, -0x1.c7fd844802ac3p-5, -0x1.cafa53a5654a3p-5, -0x1.cddb887e791fdp-5, -0x1.d0a17ce68997p-5, -0x1.d34c8b3bffc43p-5, -0x1.d5dd0dc7e752cp-5, -0x1.d8535e9a33fd6p-5, -0x1.daafd79d244fap-5, -0x1.dcf2d2be6e88ap-5, -0x1.df1ca9ea73f7dp-5, -0x1.e12db6d6ee81cp-5, -0x1.e32652b658bap-5, -0x1.e506d60966ec2p-5, -0x1.e6cf989df0187p-5, -0x1.e880f1af31d64p-5, -0x1.ea1b37f696ee8p-5, -0x1.eb9ec19e7cdccp-5, -0x1.ed0be4124f76dp-5, -0x1.ee62f3cfc0ddep-5, -0x1.efa444510afap-5, -0x1.f0d0281707104p-5, -0x1.f1e6f0c0db535p-5, -0x1.f2e8ef1a2cbafp-5, -0x1.f3d6730ad2da5p-5, -0x1.f4afcb8b4e257p-5, -0x1.f575466e067d6p-5, -0x1.f62730681f6e5p-5, -0x1.f6c5d513159a7p-5, -0x1.f7517ef851f41p-5, -0x1.f7ca77ab75913p-5, -0x1.f83107c33ea34p-5, -0x1.f88576cea79f4p-5, -0x1.f8c80b406a4ecp-5, -0x1.f8f90a69cf3fdp-5, -0x1.f918b87eb4ac1p-5, -0x1.f92758a343c29p-5, -0x1.f9252cf935012p-5, -0x1.f91276ad41f02p-5, -0x1.f8ef75f144a6fp-5, -0x1.f8bc69fc10bdep-5, -0x1.f87990fd7030ep-5, -0x1.f8272824779d3p-5, -0x1.f7c56ba73ccd5p-5, -0x1.f75496cc3050bp-5, -0x1.f6d4e3fce0269p-5, -0x1.f6468ccb4ac8cp-5, -0x1.f5a9c9f6d8242p-5, -0x1.f4fed36b02e6bp-5, -0x1.f445e03e24a23p-5, -0x1.f37f26b94dc54p-5, -0x1.f2aadc5eac24dp-5, -0x1.f1c935f4fdd76p-5, -0x1.f0da6791c7684p-5, -0x1.efdea4a4c929ap-5, -0x1.eed61ffd16153p-5, -0x1.edc10bcb514d8p-5, -0x1.ec9f99a3a2ca5p-5, -0x1.eb71fa83ea83ap-5, -0x1.ea385edaa2d3ep-5, -0x1.e8f2f68d93b53p-5, -0x1.e7a1f103dbeb2p-5, -0x1.e6457d2ea15d9p-5, -0x1.e4ddc9901bf1bp-5, -0x1.e36b044036328p-5, -0x1.e1ed5aef5139ap-5, -0x1.e064faeab631fp-5, -0x1.ded21122a328ap-5, -0x1.dd34ca2e6fdc1p-5, -0x1.db8d525351dc8p-5, -0x1.d9dbd58aad44bp-5, -0x1.d8207f8905e36p-5, -0x1.d65b7bc3a87a5p-5, -0x1.d48cf57446aecp-5, -0x1.d2b5179be9642p-5, -0x1.d0d40d058a122p-5, -0x1.ceea004b3162fp-5, -0x1.ccf71bd81bb94p-5, -0x1.cafb89ed7c54p-5, -0x1.c8f774a5e4d27p-5, -0x1.c6eb05fa2c3b1p-5, -0x1.c4d667c5005ebp-5, -0x1.c2b9c3c581a49p-5, -0x1.c09543a0c66c4p-5, -0x1.be6910e357bf2p-5, -0x1.bc3555029cc4dp-5, -0x1.b9fa395f232cep-5, -0x1.b7b7e74647277p-5, -0x1.b56e87f344c76p-5, -0x1.b31e449144412p-5, -0x1.b0c7463cf04c4p-5, -0x1.ae69b605b2cc2p-5, -0x1.ac05bcee2f9aep-5, -0x1.a99b83ec29182p-5, -0x1.a72b33e769d9bp-5, -0x1.a4b4f5bc6294cp-5, -0x1.a238f2388290bp-5, -0x1.9fb7521d0298fp-5, -0x1.9d303e1c8c0a5p-5, -0x1.9aa3dedc524cap-5, -0x1.98125cf26e5e7p-5, -0x1.957be0e5e638cp-5, -0x1.92e0932de6b87p-5, -0x1.90409c3024173p-5, -0x1.8d9c243f53058p-5, -0x1.8af35399db1e8p-5, -0x1.884652685aea3p-5, -0x1.859548bc1d189p-5, -0x1.82e05e8d6e6cap-5, -0x1.8027bbb9eb8f5p-5, -0x1.7d6b8802a7d4dp-5, -0x1.7aabeb0a65996p-5, -0x1.77e90c5405db3p-5, -0x1.752313402242fp-5, -0x1.725a270aecd66p-5, -0x1.6f8e6ec9e0df6p-5, -0x1.6cc011696f4p-5, -0x1.69ef35aabbaa2p-5, -0x1.671c022147e57p-5, -0x1.64469d3099cdfp-5, -0x1.616f2d09d995ap-5, -0x1.5e95d7a95b9d1p-5, -0x1.5bbac2d43e5b1p-5, -0x1.58de141611694p-5, -0x1.55fff0be5ea95p-5, -0x1.53207dde1b22ep-5, -0x1.503fe0451f9ecp-5, -0x1.4d5e3c7fb9e41p-5, -0x1.4a7bb6d413077p-5, -0x1.4798733fc865bp-5, -0x1.44b49575670f9p-5, -0x1.41d040da28a74p-5, -0x1.3eeb988381cccp-5, -0x1.3c06bf34a7bdbp-5, -0x1.3921d75c5279ep-5, -0x1.363d0312750e4p-5, -0x1.33586415ff5f1p-5, -0x1.30741bca98e9p-5, -0x1.2d904b367531ap-5, -0x1.2aad1300223c4p-5, -0x1.27ca936c7a2e8p-5, -0x1.24e8ec5c9602bp-5, -0x1.22083d4bd33a4p-5, -0x1.1f28a54deacdbp-5, -0x1.1c4a430d1c2a7p-5, -0x1.196d34c84c94ep-5, -0x1.1691985155552p-5, -0x1.13b78b0b53a71p-5, -0x1.10df29e9114abp-5, -0x1.0e08916b79655p-5, -0x1.0b33dda015d47p-5, -0x1.08612a1fa68a3p-5, -0x1.0590920cc6a1ep-5, -0x1.02c23012a1feep-5, -0x1.ffec3cc79746ep-6, -0x1.fa58ed722f18fp-6, -0x1.f4caa4a118f5p-6, -0x1.ef4193d8cea37p-6, -0x1.e9bdeba4645cfp-6, -0x1.e43fdb93d264dp-6, -0x1.dec7923a6557p-6, -0x1.d9553d2d606c9p-6, -0x1.d3e90902c01f1p-6, -0x1.ce8321502b3c9p-6, -0x1.c923b0a9f6488p-6, -0x1.c3cae0a24c274p-6, -0x1.be78d9c86861dp-6, -0x1.b92dc3a83d137p-6, -0x1.b3e9c4c9f7101p-6, -0x1.aead02b1ba56bp-6, -0x1.a977a1df85379p-6, -0x1.a449c5cf38116p-6, -0x1.9f2390f8be222p-6, -0x1.9a0524d0608fap-6, -0x1.94eea1c7337a2p-6, -0x1.8fe0274b81a64p-6, -0x1.8ad9d3c978e45p-6, -0x1.85dbc4ac2ae8dp-6, -0x1.80e6165e5a124p-6, -0x1.7bf8e44b5bffdp-6, -0x1.771448e03ce4ap-6, -0x1.72385d8d22e4ap-6, -0x1.6d653ac6a84b7p-6, -0x1.689af80764e8bp-6, -0x1.63d9abd17e764p-6, -0x1.5f216bb07419ep-6, -0x1.5a724c3ac3e7cp-6, -0x1.55cc6113df34bp-6, -0x1.512fbcee26a64p-6, -0x1.4c9c718cd8e3dp-6, -0x1.48128fc6333e1p-6, -0x1.439227859a14p-6, -0x1.3f1b47cddf7a3p-6, -0x1.3aadfebbadc58p-6, -0x1.364a59881273dp-6, -0x1.31f0648b31321p-6, -0x1.2da02b3eeb9eap-6, -0x1.2959b841bc6b8p-6, -0x1.251d15598959dp-6, -0x1.20ea4b766cc3cp-6, -0x1.1cc162b587985p-6, -0x1.18a26263b94dep-6, -0x1.148d510052e77p-6, -0x1.1082343fd5f05p-6, -0x1.0c81110eb9199p-6, -0x1.0889eb9455a6fp-6, -0x1.049cc7361ca3p-6, -0x1.00b9a69ae5689p-6, -0x1.f9c1175d240a2p-7, -0x1.f222ef4baefe4p-7, -0x1.ea98d6042c976p-7, -0x1.e322cb2a39e61p-7, -0x1.dbc0cd0979f11p-7, -0x1.d472d89be9987p-7, -0x1.cd38e98f97413p-7, -0x1.c612fa4b62ce2p-7, -0x1.bf0103f38986p-7, -0x1.b802fe6dfb163p-7, -0x1.b118e06751d75p-7, -0x1.aa429f58c9cdap-7, -0x1.a3802f8fb7e01p-7, -0x1.9cd1843686e6dp-7, -0x1.96368f5f1a33dp-7, -0x1.8faf420e0d0f7p-7, -0x1.893b8c45cf06dp-7, -0x1.82db5d10d96a5p-7, -0x1.7c8ea289c154ap-7, -0x1.765549e0d1c7fp-7, -0x1.702f3f5e8d714p-7, -0x1.6a1c6e63d4a86p-7, -0x1.641cc168a1bd6p-7, -0x1.5e3021faa37fcp-7, -0x1.585678bcc4358p-7, -0x1.528fad6ad88cp-7, -0x1.4cdba6e130246p-7, -0x1.473a4b2927d2p-7, -0x1.41ab7f89f395fp-7, -0x1.3c2f289c96a0bp-7, -0x1.36c52a606d226p-7, -0x1.316d684d9bec5p-7, -0x1.2c27c562dc87ap-7, -0x1.26f4242c40fbbp-7, -0x1.21d266c1e4016p-7, -0x1.1cc26ebee1f65p-7, -0x1.17c41d3229454p-7, -0x1.12d7528c8c62fp-7, -0x1.0dfbee900fbfap-7, -0x1.0931d044c5736p-7, -0x1.0478d5f73f60cp-7, -0x1.ffa1ba85c993dp-8, -0x1.f6738651d730cp-8, -0x1.ed66c864a7415p-8, -0x1.e47b393159248p-8, -0x1.dbb090e19d5aep-8, -0x1.d30687a1b28abp-8, -0x1.ca7cd5d461a31p-8, -0x1.c2133427266c3p-8, -0x1.b9c95b808bd2cp-8, -0x1.b19f04c836cd7p-8, -0x1.a993e89103c9cp-8, -0x1.a1a7beb21a5cdp-8, -0x1.99da3de0e1da3p-8, -0x1.922b1b5f08862p-8, -0x1.8a9a0ace7d9b5p-8, -0x1.8326be375a38dp-8, -0x1.7bd0e645c1f2ep-8, -0x1.749832bb44865p-8, -0x1.6d7c53077ecb7p-8, -0x1.667cf6f3f14fp-8, -0x1.5f99cf497b265p-8, -0x1.58d28e55a20cfp-8, -0x1.5226e8371a755p-8, -0x1.4b9692e13a858p-8, -0x1.452145cfcb88ap-8, -0x1.3ec6b971323dfp-8, -0x1.3886a659980f2p-8, -0x1.3260c45f06deep-8, -0x1.2c54c9c21c4b4p-8, -0x1.26626a8567045p-8, -0x1.2089581688059p-8, -0x1.1ac9415c592b9p-8, -0x1.1521d32ddfba4p-8, -0x1.0f92b92958155p-8, -0x1.0a1b9ed227429p-8, -0x1.04bc30cf44f0fp-8, -0x1.fee83c45297a2p-9, -0x1.f486324e005fbp-9, -0x1.ea51b05dfa7c4p-9, -0x1.e04a2b45f5f4ap-9, -0x1.d66f1f23a7621p-9, -0x1.ccc00d70e18f7p-9, -0x1.c33c7a3aa0a77p-9, -0x1.b9e3e8ddaf97ap-9, -0x1.b0b5d8c33adf7p-9, -0x1.a7b1c29bedc3ap-9, -0x1.9ed71688c034ap-9, -0x1.96253b7fb8ca6p-9, -0x1.8d9b9009837f9p-9, -0x1.85396c4540ec6p-9, -0x1.7cfe24f41a39cp-9, -0x1.74e90f2dab412p-9, -0x1.6cf9844bc85f2p-9, -0x1.652ee596c5a9p-9, -0x1.5d889f3caa048p-9, -0x1.56062a2ebb0e7p-9, -0x1.4ea70c9b27ffep-9, -0x1.476ad8da28efap-9, -0x1.40512adbd3565p-9, -0x1.3959a458c3bcap-9, -0x1.3283e83f7873ap-9, -0x1.2bcf95fde2d96p-9, -0x1.253c45545c9bap-9, -0x1.1ec9834eda7e1p-9, -0x1.1876d0cef3655p-9, -0x1.1243a2cf1386ep-9, -0x1.0c2f643e8ce24p-9, -0x1.0639791b37e4p-9, -0x1.0061424caa35ep-9, -0x1.f54c43818c5ap-10, -0x1.ea0efcb4340b4p-10, -0x1.df098eb421846p-10, -0x1.d43aee10bf619p-10, -0x1.c9a228cba9a64p-10, -0x1.bf3e677e30eb6p-10, -0x1.b50eebfd65ad2p-10, -0x1.ab130d60ec69dp-10, -0x1.a14a31a871914p-10, -0x1.97b3c59c17016p-10, -0x1.8e4f33fde8b63p-10, -0x1.851bdd68a1cfap-10, -0x1.7c191242a59d3p-10, -0x1.73460fd7e3c58p-10, -0x1.6aa2010312a67p-10, -0x1.622c01fbaadffp-10, -0x1.59e32622c0064p-10, -0x1.51c67e481bfp-10, -0x1.49d51e01893acp-10, -0x1.420e1f433d5fep-10, -0x1.3a70a42fd183dp-10, -0x1.32fbd7c03d152p-10, -0x1.2baeee21c946p-10, -0x1.2489257144fa1p-10, -0x1.1d89c6e65504cp-10, -0x1.16b027e6758ebp-10, -0x1.0ffbaa0f65574p-10, -0x1.096bb95d60642p-10, -0x1.02ffc812dbc97p-10, -0x1.f96e91be887b9p-11, -0x1.ed23513078f1bp-11, -0x1.e11c92b155789p-11, -0x1.d559017957c2bp-11, -0x1.c9d7344ed5ad6p-11, -0x1.be95b978a63f2p-11, -0x1.b39326bc02c62p-11, -0x1.a8ce285a18c51p-11, -0x1.9e4589fef0f5ep-11, -0x1.93f836937c55ap-11, -0x1.89e52f3e0d01fp-11, -0x1.800b7d4deb2dbp-11, -0x1.766a24ab930ep-11, -0x1.6d001c109d63ep-11, -0x1.63cc4dc4d37fep-11, -0x1.5acda00aea8e9p-11, -0x1.52030144037cdp-11, -0x1.496b725921d02p-11, -0x1.41060aa265db7p-11, -0x1.38d1f3130a1d8p-11, -0x1.30ce59e00cffp-11, -0x1.28fa62e42e5aap-11, -0x1.21551a74749b6p-11, -0x1.19dd6fae566acp-11, -0x1.129238d0e4e8ep-11, -0x1.0b7240e98b74ap-11, -0x1.047c5b3890556p-11, -0x1.fb5eecc9d86b6p-12, -0x1.ee1552fbac7a8p-12, -0x1.e11a6be175406p-12, -0x1.d46cf98d4cafp-12, -0x1.c80bd44a59494p-12, -0x1.bbf5bc003de71p-12, -0x1.b029356f63b1ap-12, -0x1.a4a480f6e12a9p-12, -0x1.9965aeb9759ebp-12, -0x1.8e6ac7cfc3b6fp-12, -0x1.83b1fca103447p-12, -0x1.7939c6f49ffa1p-12, -0x1.6f00f3d720be9p-12, -0x1.650692d9a246fp-12, -0x1.5b49d2418f51dp-12, -0x1.51c9d68f59c7ap-12, -0x1.48859c54b1227p-12, -0x1.3f7bed66173a5p-12, -0x1.36ab697bac6ccp-12, -0x1.2e129b5ba5694p-12, -0x1.25b011dde8517p-12, -0x1.1d8276531131dp-12, -0x1.15889c99c3b91p-12, -0x1.0dc189d309c37p-12, -0x1.062c6e177966ap-12, -0x1.fd911dab1e83ap-13, -0x1.ef2a496a1ca0ep-13, -0x1.e1226e8153a1ap-13, -0x1.d3770ad91afa2p-13, -0x1.c6250f63c3df7p-13, -0x1.b9291c1348c2p-13, -0x1.ac7fdd9f6feb9p-13, -0x1.a026673af71ebp-13, -0x1.941a66f2e0862p-13, -0x1.885a26e7349a2p-13, -0x1.7ce4620ad3e3fp-13, -0x1.71b8003897f9bp-13, -0x1.66d3d369a80d2p-13, -0x1.5c366ea6a3251p-13, -0x1.51de2393241ep-13, -0x1.47c9206ee70b3p-13, -0x1.3df59a61a65b8p-13, -0x1.3461f03e96519p-13, -0x1.2b0cbcb5aedd9p-13, -0x1.21f4d844d7d85p-13, -0x1.19194e0a70692p-13, -0x1.10794738bc218p-13, -0x1.0813f31d3621ap-13, -0x1.ffd0e35aa99cfp-14, -0x1.efeb829ea2b49p-14, -0x1.e07557a92828fp-14, -0x1.d16b66345ba2dp-14, -0x1.c2ca132671c19p-14, -0x1.b48d4f4d060f6p-14, -0x1.a6b10046eb848p-14, -0x1.9931786739d3p-14, -0x1.8c0bba1534ae7p-14, -0x1.7f3d6e45ac704p-14, -0x1.72c4b680867ap-14, -0x1.66a00eae3bfd8p-14, -0x1.5ace427b78321p-14, -0x1.4f4e53c181b6fp-14, -0x1.441f3ed9ec275p-14, -0x1.393fadfe0593p-14, -0x1.2eadbe7a6b67p-14, -0x1.2466f9d4cccd6p-14, -0x1.1a6894ef15d3bp-14, -0x1.10afdd3cb0e52p-14, -0x1.073a8e4b02a45p-14, -0x1.fc0da05c49a6dp-15, -0x1.ea25cf04d4e0dp-15, -0x1.d8b9cc006546ep-15, -0x1.c7c54c3ea18b3p-15, -0x1.b7442c2134dcfp-15, -0x1.a7332a63a9801p-15, -0x1.97903b45cd04ep-15, -0x1.885a38bdb9ae6p-15, -0x1.799024368b7ccp-15, -0x1.6b3076be19089p-15, -0x1.5d38ea67dc72bp-15, -0x1.4fa6b21c76df9p-15, -0x1.42769b126cd6cp-15, -0x1.35a4be3a4f935p-15, -0x1.292c420663321p-15, -0x1.1d081676a0065p-15, -0x1.1134a3cfae658p-15, -0x1.05b11526a669fp-15, -0x1.f4fdf2c167ab2p-16, -0x1.df40c204707c3p-16, -0x1.ca2bae5a3852bp-16, -0x1.b5bb3d6a4887ep-16, -0x1.a1e9329a3ff85p-16, -0x1.8eafd32bd506ep-16, -0x1.7c0ba936f2d9dp-16, -0x1.69fa828e08ee6p-16, -0x1.587921e21995ap-16, -0x1.4781dd3a1ef1ap-16, -0x1.370cee7720fb7p-16, -0x1.2711c07ad7baap-16, -0x1.17885130a8785p-16, -0x1.086a353f4692fp-16, -0x1.f36649918f716p-17, -0x1.d6c203f9489dap-17, -0x1.bae68a671e29dp-17, -0x1.9fd3d0947093fp-17, -0x1.8588affba97ep-17, -0x1.6c02651c20667p-17, -0x1.533ddbc081a14p-17, -0x1.3b3834fc4058ep-17, -0x1.23ebfad61b8fep-17, -0x1.0d4dc673f4631p-17, -0x1.ee9dffd1ef9c4p-18, -0x1.c3cd7b8d2f0acp-18, -0x1.9a2e6ca266c7bp-18, -0x1.71d08c57b59f5p-18, -0x1.4ab9ccae7774cp-18, -0x1.24dd17a811e61p-18, -0x1.0024d404f7f02p-18, -0x1.b908f4d7ea3f4p-19, -0x1.73fd1d2602e52p-19, -0x1.3135960550a8cp-19, -0x1.e1667f6234fcdp-20, -0x1.64c3d52557ce4p-20, -0x1.d887560023e28p-21, -0x1.de95d976f3c0dp-22, -0x1.ac8605bd4ee09p-26, 0x1.9b0c48eba425p-22, 0x1.a1bb440ba65f1p-21, 0x1.37b83861bedb8p-20, 0x1.9b63250b4382dp-20, 0x1.fbe3ceac72277p-20, 0x1.2c9bc84ac35e9p-19, 0x1.59adf9e05c0dep-19, 0x1.852d63f7be4b7p-19, 0x1.af29118417af6p-19, 0x1.d7b6d64d65cfp-19, 0x1.fee9eed48d501p-19, 0x1.1267c042025cap-18, 0x1.24bc55593651fp-18, 0x1.36810126ece8p-18, 0x1.47c0ced10049cp-18, 0x1.5876be217a52dp-18, 0x1.68930775c4d9ap-18, 0x1.780f032431096p-18, 0x1.86f5b66a65adfp-18, 0x1.9557773b27011p-18, 0x1.a33a5c5540b87p-18, 0x1.b09a9113d055fp-18, 0x1.bd7531c743896p-18, 0x1.c9ccea161ae3fp-18, 0x1.d5a6969e99238p-18, 0x1.e1061766fc383p-18, 0x1.ebee5ea3dc71ep-18, 0x1.f662aada75f44p-18, 0x1.0033874c7d6dcp-17, 0x1.05000f5056b75p-17, 0x1.09992cc666323p-17, 0x1.0e00d85130814p-17, 0x1.1238a467846c9p-17, 0x1.1641b48d50c6p-17, 0x1.1a1cc271ad918p-17, 0x1.1dca2b434ae93p-17, 0x1.214a12630d6f2p-17, 0x1.249cb9579fd33p-17, 0x1.27c2fbabbc1f8p-17, 0x1.2abe5f8aa3273p-17, 0x1.2d9034c546575p-17, 0x1.303881fb0e0c9p-17, 0x1.32b697b1dafeep-17, 0x1.350b98629389ap-17, 0x1.373b1ec809aaap-17, 0x1.3947632340a01p-17, 0x1.3b2fc77d62ac3p-17, 0x1.3cf53c19f25c1p-17, 0x1.3e9b664daebb7p-17, 0x1.4023d907a5p-17, 0x1.418c83bc6e88ap-17, 0x1.42d3a9b0c2eb4p-17, 0x1.43f9e65da922dp-17, 0x1.4500d465871f2p-17, 0x1.45e9e6699758ap-17, 0x1.46b6345493f31p-17, 0x1.47666c779953fp-17, 0x1.47fabff1590bdp-17, 0x1.4873153e8f4cfp-17, 0x1.48cf7bc0e2d9bp-17, 0x1.4910792aaf536p-17, 0x1.4936f42114c7ep-17, 0x1.4943e966f2eecp-17, 0x1.493832e88c2abp-17, 0x1.49147908fb899p-17, 0x1.48d93e18b70d2p-17, 0x1.4886ed2cdace3p-17, 0x1.481de1cec20dp-17, 0x1.479e687003ad8p-17, 0x1.4708c97c82e43p-17, 0x1.465d6848ecabfp-17, 0x1.459cd5c1645d2p-17, 0x1.44c7a90f5947cp-17, 0x1.43de224879cedp-17, 0x1.42e004a493daep-17, 0x1.41cd47cd8af56p-17, 0x1.40a6fc916397cp-17, 0x1.3f6e3254e4f53p-17, 0x1.3e22e8e9fb39bp-17, 0x1.3cc577b49e704p-17, 0x1.3b565c502e68ep-17, 0x1.39d53d30f7fa9p-17, 0x1.38420d1865cc1p-17, 0x1.369d81476551p-17, 0x1.34e8643658ddep-17, 0x1.33234b70e4c19p-17, 0x1.314e9672bf41fp-17, 0x1.2f6a6eda3edfcp-17, 0x1.2d76e41e2de3dp-17, 0x1.2b740e12f7ffep-17, 0x1.296238171da12p-17, 0x1.2741c1d0970f5p-17, 0x1.2512f9bc9e3a9p-17, 0x1.22d6113198e5fp-17, 0x1.208b39a38ec43p-17, 0x1.1e32b9320fb6dp-17, 0x1.1bccdf87d2b66p-17, 0x1.1959f4d275609p-17, 0x1.16da363ed3c1dp-17, 0x1.144ddb29d5b7p-17, 0x1.11b51ab8448f1p-17, 0x1.0f102e1e4d075p-17, 0x1.0c5f5061f39d4p-17, 0x1.09a2be5a8ca7ep-17, 0x1.06dab2ab55e77p-17, 0x1.040761e332108p-17, 0x1.0128fda29a70cp-17, 0x1.fc7f7c0fc8046p-18, 0x1.f697d707ff1afp-18, 0x1.f09ba9ecd37adp-18, 0x1.ea8b3618464e2p-18, 0x1.e466911b11d05p-18, 0x1.de2e28dc3cae7p-18, 0x1.d7e26b9b6be89p-18, 0x1.d183f903bef09p-18, 0x1.cb134cdc0c19ep-18, 0x1.c490a285a1befp-18, 0x1.bdfc47261faa7p-18, 0x1.b7569d8195aaap-18, 0x1.b0a00e377c0d1p-18, 0x1.a9d904687159fp-18, 0x1.a301ed9a499a6p-18, 0x1.9c1b3783dd3d6p-18, 0x1.95254464ba85bp-18, 0x1.8e2056b693d1p-18, 0x1.870c949febd9bp-18, 0x1.7fea40e7a4e97p-18, 0x1.78b9df62d3533p-18, 0x1.717bed9cb13efp-18, 0x1.6a309ebf56538p-18, 0x1.62d82a761ee5ep-18, 0x1.5b7320d0a85a3p-18, 0x1.540217401fff8p-18, 0x1.4c85553e960e6p-18, 0x1.44fcfcddb401bp-18, 0x1.3d69415b151c1p-18, 0x1.35ca6e88ffa85p-18, 0x1.2e20dced5592ep-18, 0x1.266ce9d4072fap-18, 0x1.1eaef41c6f7e8p-18, 0x1.16e7574e93301p-18, 0x1.0f166519d7746p-18, 0x1.073c645d1436p-18, 0x1.feb32b98bba4ep-19, 0x1.eedc949ce74dcp-19, 0x1.def627c877a39p-19, 0x1.cf00bdff44b55p-19, 0x1.befbdf67d7361p-19, 0x1.aee7de0cc94d6p-19, 0x1.9ec6230e3c425p-19, 0x1.8e97b305aea3cp-19, 0x1.7e5ca79b1c72fp-19, 0x1.6e156946b353ap-19, 0x1.5dc29bd61433p-19, 0x1.4d64dfa834f8fp-19, 0x1.3cfccb7119d88p-19, 0x1.2c8af0d4a1539p-19, 0x1.1c0fdef63057ep-19, 0x1.0b8c230657eeep-19, 0x1.f6009280f7054p-20, 0x1.d4d9c13cf1d3fp-20, 0x1.b3a4e5cbcf1ccp-20, 0x1.92631896994a8p-20, 0x1.7115819974549p-20, 0x1.4fbd67b0db2cep-20, 0x1.2e5c1cd5ff196p-20, 0x1.0cf28789e126p-20, 0x1.d7023f079ad0dp-21, 0x1.941199d5065cap-21, 0x1.511524bffd58p-21, 0x1.0e0ea4b8ddce3p-21, 0x1.960311d378e0fp-22, 0x1.0fe1908b1b1ebp-22, 0x1.1376201d6d723p-23, 0x1.c8ecb541b3e91p-29, -0x1.052cf42828d2p-23, -0x1.08b9bff1978e9p-22, -0x1.8ed3c0ce122c6p-22, -0x1.0a702df584ca3p-21, -0x1.4d6dce9ec4dedp-21, -0x1.9060e88d88ca3p-21, -0x1.d347c40556a51p-21, -0x1.0b1062b473ae8p-20, -0x1.2c75023ff5a3fp-20, -0x1.4dd06ee1e6172p-20, -0x1.6f21fe697fd24p-20, -0x1.9069629fb64b6p-20, -0x1.b1a5037ea8d3ap-20, -0x1.d2d41941a848dp-20, -0x1.f3f6108926a39p-20, -0x1.0a850287b4e45p-19, -0x1.1b0789676dc28p-19, -0x1.2b8231b47530ep-19, -0x1.3bf492cc914b4p-19, -0x1.4c5e452e99057p-19, -0x1.5cbee29db664p-19, -0x1.6d16061099831p-19, -0x1.7d634bddb64fdp-19, -0x1.8da651fa90448p-19, -0x1.9ddeb6a01f51p-19, -0x1.ae0c191f975bbp-19, -0x1.be2e1a7a46801p-19, -0x1.ce445d1f4ea9fp-19, -0x1.de4e8513c992ap-19, -0x1.ee4c37fb0a0f4p-19, -0x1.fe3d1d201a6c9p-19, -0x1.07106eeda567ep-18, -0x1.0efb92055ae46p-18, -0x1.16dfc6cf280ecp-18, -0x1.1ebcd063c9f54p-18, -0x1.26927cc042696p-18, -0x1.2e60c44dfbf7dp-18, -0x1.36279a8005b0fp-18, -0x1.3de6c39691301p-18, -0x1.459dee86cdebep-18, -0x1.4d4cfd569304fp-18, -0x1.54f3dfca99ac4p-18, -0x1.5c92729b918dfp-18, -0x1.64288b8350d48p-18, -0x1.6bb600fb73a84p-18, -0x1.733aac82b072p-18, -0x1.7ab66b2cc12cfp-18, -0x1.82291c545aec5p-18, -0x1.8992a1e638fd5p-18, -0x1.90f2def2268d3p-18, -0x1.9849a2bd7bbefp-18, -0x1.9f96d05c5dc29p-18, -0x1.a6da43d63e76ep-18, -0x1.ae13ddfd25651p-18, -0x1.b5438fb38d305p-18, -0x1.bc6935a57932ap-18, -0x1.c384ae915a6d5p-18, -0x1.ca95dc9272252p-18, -0x1.d19ca3872d95cp-18, -0x1.d898e783a7a6ep-18, -0x1.df8a8d7b8686bp-18, -0x1.e6717ad426811p-18, -0x1.ed4d957992dd5p-18, -0x1.f41ec3e6e3fefp-18, -0x1.fae4ed29c1cfep-18, -0x1.00cffc742655fp-17, -0x1.0427e7b21d5p-17, -0x1.077a2cbc6c7a9p-17, -0x1.0ac6c049095a3p-17, -0x1.0e0d974f8a417p-17, -0x1.114ea702702cbp-17, -0x1.1489e4cba330dp-17, -0x1.17bf465cb282fp-17, -0x1.1aeec1e393329p-17, -0x1.1e184d7b5d4c4p-17, -0x1.213bdfd4e93b4p-17, -0x1.245970f69a19dp-17, -0x1.2770f8388e6c8p-17, -0x1.2a826cecb49a6p-17, -0x1.2d8dc850ccb31p-17, -0x1.3093032e06488p-17, -0x1.33920759868b7p-17, -0x1.368ac7a10b3fep-17, -0x1.397d62de0135cp-17, -0x1.3c69bd28cdc6dp-17, -0x1.3f4fbd7edcde8p-17, -0x1.422f737756f69p-17, -0x1.4508daa3f61cep-17, -0x1.47dbe7d7bfed4p-17, -0x1.4aa8938cb8c49p-17, -0x1.4d6ed83007b8bp-17, -0x1.502eb0cc399d7p-17, -0x1.52e81b8ec7744p-17, -0x1.559b1795307e1p-17, -0x1.58479210d5068p-17, -0x1.5aed81c0c07d3p-17, -0x1.5d8cf309dd3acp-17, -0x1.6025e32f5e92ap-17, -0x1.62b849cef583p-17, -0x1.654422628848p-17, -0x1.67c969bd7448cp-17, -0x1.6a481d3f916d4p-17, -0x1.6cc03a1afa41cp-17, -0x1.6f31bdd8b625ep-17, -0x1.719ca639a7954p-17, -0x1.7400f133d6f5ap-17, -0x1.765e9cedb805cp-17, -0x1.78b5a7c13868dp-17, -0x1.7b06103c66d32p-17, -0x1.7d4fd520ba925p-17, -0x1.7f92f5622733fp-17, -0x1.81cf70280ea2cp-17, -0x1.840544cd5100dp-17, -0x1.863472dfbdfaep-17, -0x1.885cfa22f0e3bp-17, -0x1.8a7eda8b77de8p-17, -0x1.8c9a144b7e771p-17, -0x1.8eaea7b1a991ap-17, -0x1.90bc95401ad8fp-17, -0x1.92c3dd9bff236p-17, -0x1.94c48193cb3ebp-17, -0x1.96be8225c3accp-17, -0x1.98b1e08a5126dp-17, -0x1.9a9e9e3b2e158p-17, -0x1.9c84bcfa19898p-17, -0x1.9e643eb9dde41p-17, -0x1.a03d255a6c8c8p-17, -0x1.a20f7277d8633p-17, -0x1.a3db2816c5ae1p-17, -0x1.a5a04b297428cp-17, -0x1.a75ee3cf36912p-17, -0x1.a916ee25c78a3p-17, -0x1.aac8610f5910fp-17, -0x1.ac733ea2be56fp-17, -0x1.ae179720f2eb7p-17, -0x1.afb576156803cp-17, -0x1.b14cd8ea2bc7ep-17, -0x1.b2ddbfccee9b5p-17, -0x1.b4682ece37ccep-17, -0x1.b5ec2e232ee3cp-17, -0x1.b769bb03a530fp-17, -0x1.b8e0d28e5ee55p-17, -0x1.ba5187435e05cp-17, -0x1.bbbbdae37def2p-17, -0x1.bd1fcfd26ddeep-17, -0x1.be7d6aa05cb33p-17, -0x1.bfd4b039c4f9ap-17, -0x1.c125a5a108c56p-17, -0x1.c2704fed740abp-17, -0x1.c3b4b450e4fa9p-17, -0x1.c4f2d817a96c1p-17, -0x1.c62ac0a9472e7p-17, -0x1.c75c73887c093p-17, -0x1.c887f653d67fp-17, -0x1.c9ad4ec14d61bp-17, -0x1.cacc82a050b9ap-17, -0x1.cbe597d92409dp-17, -0x1.ccf89492bb802p-17, -0x1.ce057fd38341bp-17, -0x1.cf0c60374244fp-17, -0x1.d00d3846c3da2p-17, -0x1.d1080fb8560ebp-17, -0x1.d1fcefb2177a7p-17, -0x1.d2ebddab65537p-17, -0x1.d3d4e018b2ad2p-17, -0x1.d4b7fdb0476fap-17, -0x1.d5953d459be23p-17, -0x1.d66ca5c8341ddp-17, -0x1.d73e3e3fe3203p-17, -0x1.d80a0dc975a29p-17, -0x1.d8d01b94a866fp-17, -0x1.d9906ee15915dp-17, -0x1.da4b0effa481cp-17, -0x1.db00034df1221p-17, -0x1.dbaf5339b8d5cp-17, -0x1.dc59063f17096p-17, -0x1.dcfd2406c168bp-17, -0x1.dd9bb45d4e157p-17, -0x1.de34beeb0c691p-17, -0x1.dec84b6c6d4bfp-17, -0x1.df56618513efap-17, -0x1.dfdf08c626c73p-17, -0x1.e06249a0586a3p-17, -0x1.e0e02f04f46efp-17, -0x1.e158c19fa57dcp-17, -0x1.e1cbfd60f8fb4p-17, -0x1.e239ef89b9c2dp-17, -0x1.e2a2a8bb329dbp-17, -0x1.e3062e97950a7p-17, -0x1.e3648773fa566p-17, -0x1.e3bdb856041ffp-17, -0x1.e411cd9a02ab8p-17, -0x1.e460ceec3a738p-17, -0x1.e4aac45105a6bp-17, -0x1.e4efb649bf3acp-17, -0x1.e52fad675a23p-17, -0x1.e56ab237b6747p-17, -0x1.e5a0cd5537f21p-17, -0x1.e5d2075dba1fp-17, -0x1.e5fe68f55b0ddp-17, -0x1.e625fac90f6cep-17, -0x1.e648c58de44afp-17, -0x1.e666d20932d94p-17, -0x1.e68029016a6d6p-17, -0x1.e694d303f20dcp-17, -0x1.e6a4d8caef071p-17, -0x1.e6b043601c36bp-17, -0x1.e6b71b9720c55p-17, -0x1.e6b96a385d3b1p-17, -0x1.e6b7381879473p-17, -0x1.e6b08e15ae8e1p-17, -0x1.e6a5750c04a79p-17, -0x1.e695f5df381b7p-17, -0x1.e682197b8b58dp-17, -0x1.e669e8c775dccp-17, -0x1.e64d6cad1f18bp-17, -0x1.e62cae18af8bp-17, -0x1.e607b5f8d836bp-17, -0x1.e5de8d3d74703p-17, -0x1.e5b13cd6e422p-17, -0x1.e57fcdb739001p-17, -0x1.e54a48d03f918p-17, -0x1.e510b7145d205p-17, -0x1.e4d32175ba6f8p-17, -0x1.e49190e534cadp-17, -0x1.e44c0e55345e4p-17, -0x1.e402a2bf62fbp-17, -0x1.e3b5573827eabp-17, -0x1.e364347d63f61p-17, -0x1.e30f43204f3d3p-17, -0x1.e2b68c8ae56e1p-17, -0x1.e25a19a57decfp-17, -0x1.e1f9f33c40457p-17, -0x1.e196222dcddf5p-17, -0x1.e12eaf5d02706p-17, -0x1.e0c3a3ab2d5d7p-17, -0x1.e05507f47482p-17, -0x1.dfe2e50aa2015p-17, -0x1.df6d43b8894a4p-17, -0x1.def42cd99aa29p-17, -0x1.de77a97066514p-17, -0x1.ddf7c2f3b6a31p-17, -0x1.dd747fd6d0073p-17, -0x1.dcedea2036d6cp-17, -0x1.dc640b6413dbbp-17, -0x1.dbd6ebe5f7f68p-17, -0x1.db46948246fadp-17, -0x1.dab30ce5cb6a3p-17, -0x1.da1c5dc75849ep-17, -0x1.d98290c345d31p-17, -0x1.d8e5ae483e5bcp-17, -0x1.d845bea687726p-17, -0x1.d7a2ca6b9233dp-17, -0x1.d6fcda2a7536cp-17, -0x1.d653f6689d64dp-17, -0x1.d5a827a43ea81p-17, -0x1.d4f976539e559p-17, -0x1.d447eae76f04bp-17, -0x1.d3938dc762e5fp-17, -0x1.d2dc6754116ep-17, -0x1.d2227fe3729d8p-17, -0x1.d165dfbdb5138p-17, -0x1.d0a68f14631fp-17, -0x1.cfe49619ef156p-17, -0x1.cf200019284eap-17, -0x1.ce58cd385810ep-17, -0x1.cd8f141ee1527p-17, -0x1.ccc2c7c03439ep-17, -0x1.cbf401e7fffdep-17, -0x1.cb22c518d8e67p-17, -0x1.ca4f18e82296dp-17, -0x1.c9790577846fdp-17, -0x1.c8a092cd21786p-17, -0x1.c7c5c8de773b2p-17, -0x1.c6e8af92c2438p-17, -0x1.c6094ec8b7c4bp-17, -0x1.c527ae537b609p-17, -0x1.c443d5fe6d5fep-17, -0x1.c35dcd8a27aep-17, -0x1.c2759caea74p-17, -0x1.c18b4b1a6e247p-17, -0x1.c09ee07509269p-17, -0x1.bfb06457be4eap-17, -0x1.bebfde492d1bbp-17, -0x1.bdcd55e751d47p-17, -0x1.bcd8d2c83014p-17, -0x1.bbe25c4d14831p-17, -0x1.bae9f98700a44p-17, -0x1.b9efb211a34ffp-17, -0x1.b8f38d72ef14fp-17, -0x1.b7f592e31df72p-17, -0x1.b6f5c99792326p-17, -0x1.b5f438c69497ep-17, -0x1.b4f0e79d98ce3p-17, -0x1.b3ebdd401ba52p-17, -0x1.b2e520c752615p-17, -0x1.b1dcb940b9cdp-17, -0x1.b0d2adb0d5805p-17, -0x1.afc7051034118p-17, -0x1.aeb9c64d43752p-17, -0x1.adaaf84b98863p-17, -0x1.ac9aa1e43cd8bp-17, -0x1.ab88c9e531582p-17, -0x1.aa7577173939cp-17, -0x1.a960b02a18fcp-17, -0x1.a84a7bd750dd8p-17, -0x1.a732e0da1a1b2p-17, -0x1.a619e587cbfa4p-17, -0x1.a4ff906b9d93p-17, -0x1.a3e3e844a4c39p-17, -0x1.a2c6f38220ff9p-17, -0x1.a1a8b883c3d3ap-17, -0x1.a0893da728218p-17, -0x1.9f6889426a9e9p-17, -0x1.9e46a1a3e4a72p-17, -0x1.9d238d24c73fep-17, -0x1.9bff5210e4b16p-17, -0x1.9ad9f6041ef23p-17, -0x1.99b37f685c5dep-17, -0x1.988bf4e231e11p-17, -0x1.97635bd766896p-17, -0x1.9639ba4283d46p-17, -0x1.950f16750e7cbp-17, -0x1.93e3762bf579ap-17, -0x1.92b6df4176658p-17, -0x1.918957893d078p-17, -0x1.905ae4ca9cb4cp-17, -0x1.8f2b8cc1f1654p-17, -0x1.8dfb551f8f531p-17, -0x1.8cca4388fe972p-17, -0x1.8b985d9880aap-17, -0x1.8a65a8dc71dc9p-17, -0x1.89322ad8f10b6p-17, -0x1.87fde90533124p-17, -0x1.86c8e8cf2fdeep-17, -0x1.85932f97ef9acp-17, -0x1.845cc2b725011p-17, -0x1.8325a77824973p-17, -0x1.81ede31b6e1bfp-17, -0x1.80b57ad7172c5p-17, -0x1.7f7c73dbd7faap-17, -0x1.7e42d347d7cddp-17, -0x1.7d089e11f2af5p-17, -0x1.7bcdd96ed02eep-17, -0x1.7a928a4dde03fp-17, -0x1.7956b59613d8cp-17, -0x1.781a60227737fp-17, -0x1.76dd8ecc0e101p-17, -0x1.75a047f826c1cp-17, -0x1.74628f332ba81p-17, -0x1.7324654aaddd3p-17, -0x1.71e5d52420c86p-17, -0x1.70a6e11bcc89dp-17, -0x1.6f678d85d8fefp-17, -0x1.6e27df181890ap-17, -0x1.6ce7da3ca065cp-17, -0x1.6ba7838a4109dp-17, -0x1.6a66df81c25d2p-17, -0x1.6925f28479f9ep-17, -0x1.67e4c0f09c324p-17, -0x1.66a34f1ac2bddp-17, -0x1.6561a14c0cd1ap-17, -0x1.641fbbc4c0254p-17, -0x1.62dda2b8fafdep-17, -0x1.619b5a5438e68p-17, -0x1.6058e6b600687p-17, -0x1.5f164bf4ed444p-17, -0x1.5dd38e1c78a12p-17, -0x1.5c90b12e41a27p-17, -0x1.5b4db921a4331p-17, -0x1.5a0aa9e3ac0d5p-17, -0x1.58c78758fa65cp-17, -0x1.5784555947e15p-17, -0x1.564117b3b02e9p-17, -0x1.54fdd22dd9d98p-17, -0x1.53ba8883a9e9ep-17, -0x1.52773e67524ccp-17, -0x1.5133f77ee6225p-17, -0x1.4ff0b76b3ad46p-17, -0x1.4ead81a957359p-17, -0x1.4d6a59db99d53p-17, -0x1.4c274392e4773p-17, -0x1.4ae442b548d0cp-17, -0x1.49a159a6758bep-17, -0x1.485e8bb75298dp-17, -0x1.471bdd7358726p-17, -0x1.45d951b2df9d6p-17, -0x1.4496eb8dd5b59p-17, -0x1.4354ae5682745p-17, -0x1.42129d501b777p-17, -0x1.40d0bb57a84d9p-17, -0x1.3f8f0bfc714c3p-17, -0x1.3e4d9255a2148p-17, -0x1.3d0c51390aa67p-17, -0x1.3bcb4b73bbe42p-17, -0x1.3a8a8494a8883p-17, -0x1.3949ff22c7ccep-17, -0x1.3809be44bd08bp-17, -0x1.36c9c470ae987p-17, -0x1.358a22d8a6e39p-17, -0x1.344aa10f25dfdp-17, -0x1.330ba644ef13cp-17, -0x1.31cce18da0f8fp-17, -0x1.308e77c8332cp-17, -0x1.2f5065d50da68p-17, -0x1.2e12ae701b65dp-17, -0x1.2cd5544959bf4p-17, -0x1.2b9859fd426c2p-17, -0x1.2a5bc21c84ccbp-17, -0x1.291f8f2d34b12p-17, -0x1.27e3c3ad04783p-17, -0x1.26a8620ff9e22p-17, -0x1.256d6cc2b1b24p-17, -0x1.2432e62876447p-17, -0x1.22f8d09cc4f3bp-17, -0x1.21bf2e75e551ap-17, -0x1.208601feb6bb3p-17, -0x1.1f4d4d79ed27p-17, -0x1.1e151325c3d6cp-17, -0x1.1cdd553759f9ap-17, -0x1.1ba615d93071dp-17, -0x1.1a6f573296ffap-17, -0x1.19391b5e4562fp-17, -0x1.180364755dac8p-17, -0x1.16ce348721db9p-17, -0x1.15998dcc90c77p-17, -0x1.14657187ce0c7p-17, -0x1.1331e2d9b8d53p-17, -0x1.11fee26b35d98p-17, -0x1.10cc7337baf25p-17, -0x1.0f9a96ab276cfp-17, -0x1.0e694ea6cec8p-17, -0x1.0d389d03f715ap-17, -0x1.0c08838fbaec9p-17, -0x1.0ad9040ec508ep-17, -0x1.09aa203f8335dp-17, -0x1.087bd9da12b47p-17, -0x1.074e328f89c86p-17, -0x1.06212c0a3745dp-17, -0x1.04f4c7ed91dap-17, -0x1.03c907d5683acp-17, -0x1.029ded5802c51p-17, -0x1.01737a053cc2dp-17, -0x1.0049af6859f1ep-17, -0x1.fe411e0a1f7eep-18, -0x1.fbf034edbb85ap-18, -0x1.f9a0a536df944p-18, -0x1.f7527344bf5c6p-18, -0x1.f505a15165547p-18, -0x1.f2ba320a8e80bp-18, -0x1.f070283852cafp-18, -0x1.ee278687d596ep-18, -0x1.ebe04f97c9ba4p-18, -0x1.e99a85f95939ap-18, -0x1.e7562c2796bb5p-18, -0x1.e51344aa6ec21p-18, -0x1.e2d1d2988bf37p-18, -0x1.e091d6d65143fp-18, -0x1.de5354a3d960ep-18, -0x1.dc164e70ea428p-18, -0x1.d9dac6624c4b6p-18, -0x1.d7a0bf10fb42bp-18, -0x1.d5683911c2d1cp-18, }}, 
      {{-0x1.b446e6cd9c2e1p-1, -0x1.7417a86720db9p-1, -0x1.3355ac3c5857dp-1, -0x1.fd08a9b2c5c74p-2, -0x1.b182b7ecf37c7p-2, -0x1.8180eb9eedf95p-2, -0x1.670d895fe0045p-2, -0x1.5ba5df1889672p-2, -0x1.5986579975791p-2, -0x1.5c228478382bdp-2, -0x1.6030d9884ca76p-2, -0x1.638532972a77p-2, -0x1.64d9f3b77d49ep-2, -0x1.6397cfd200f1cp-2, -0x1.5fa3819a2907ep-2, -0x1.59341e73e09c8p-2, -0x1.50b24b6310958p-2, -0x1.469f88939e67bp-2, -0x1.3b84614adabc6p-2, -0x1.2fe438867f793p-2, -0x1.24357f42aecc8p-2, -0x1.18dd46782fe99p-2, -0x1.0e2d4aa68425bp-2, -0x1.0463c1440d11fp-2, -0x1.f758adccef258p-3, -0x1.e843db8d315a4p-3, -0x1.dba18ecefef0bp-3, -0x1.d171b54518199p-3, -0x1.c9a053932e98ap-3, -0x1.c409f61da6d56p-3, -0x1.c07fc0bcd370fp-3, -0x1.becb07e14d853p-3, -0x1.beb06994d857fp-3, -0x1.bff26590cd8afp-3, -0x1.c25379fe52418p-3, -0x1.c597ce22da3fep-3, -0x1.c98676c22804cp-3, -0x1.cdea615bdc63cp-3, -0x1.d292f3a2eca5fp-3, -0x1.d7546b830d5a7p-3, -0x1.dc080b6f8dd7fp-3, -0x1.e08c1ddf735bdp-3, -0x1.e4c3d97aa31fp-3, -0x1.e8972dbbb2946p-3, -0x1.ebf27e7c9b116p-3, -0x1.eec653f9ce5acp-3, -0x1.f10703e84bff4p-3, -0x1.f2ac57331205ep-3, -0x1.f3b12f074b726p-3, -0x1.f4132b2ec7fap-3, -0x1.f3d25349933fap-3, -0x1.f2f0c41fcfab5p-3, -0x1.f17261ef34202p-3, -0x1.ef5c903cb3d72p-3, -0x1.ecb5ef74bbd4dp-3, -0x1.e9862053152a1p-3, -0x1.e5d58d03fda34p-3, -0x1.e1ad37c559284p-3, -0x1.dd168ed6ced4p-3, -0x1.d81b45694c179p-3, -0x1.d2c531520a507p-3, -0x1.cd1e2d1bd67efp-3, -0x1.c72ffe31473c3p-3, -0x1.c1043eb9f89aep-3, -0x1.baa44ae84a779p-3, -0x1.b419316870df4p-3, -0x1.ad6ba6b6ff331p-3, -0x1.a6a3fb1849451p-3, -0x1.9fca12f0ba7e4p-3, -0x1.98e5612c93c52p-3, -0x1.91fce371da2b3p-3, -0x1.8b171fe1aee8fp-3, -0x1.843a241f543cbp-3, -0x1.7d6b85915d5d3p-3, -0x1.76b0629df7642p-3, -0x1.700d64e311fb3p-3, -0x1.6986c4345b8a6p-3, -0x1.63204a4fac418p-3, -0x1.5cdd5705cdfb3p-3, -0x1.56c0e4d8bd15ep-3, -0x1.50cd8db5d17ccp-3, -0x1.4b058ff7a6d02p-3, -0x1.456ad3516e004p-3, -0x1.3ffeede096779p-3, -0x1.3ac3292adedc1p-3, -0x1.35b8871f46ecap-3, -0x1.30dfc712e9c1cp-3, -0x1.2c396a9c9f1c8p-3, -0x1.27c5ba713a291p-3, -0x1.2384caf44de06p-3, -0x1.1f7680cd7619cp-3, -0x1.1b9a95151ca74p-3, -0x1.17f0997cebe65p-3, -0x1.1477fc11f7581p-3, -0x1.11300aebb71ffp-3, -0x1.0e17f78219dc2p-3, -0x1.0b2ed9f0b428ep-3, -0x1.0873b3e47b609p-3, -0x1.05e5737b3a75dp-3, -0x1.0382f5d86cb9fp-3, -0x1.014b09a714e1dp-3, -0x1.fe78e2be3b1bbp-4, -0x1.faabcad96ea18p-4, -0x1.f72c2c560ec85p-4, -0x1.f3f75b6b4cf9dp-4, -0x1.f10aa3323c313p-4, -0x1.ee6348b80cb32p-4, -0x1.ebfe8dbd1164fp-4, -0x1.e9d9b34981f25p-4, -0x1.e7f1fbf3d0becp-4, -0x1.e644addc33beep-4, -0x1.e4cf14a206d1fp-4, -0x1.e38e82eca501ap-4, -0x1.e28053e2e4367p-4, -0x1.e1a1ec89ccb2ep-4, -0x1.e0f0bcc4edb02p-4, -0x1.e06a4064939aap-4, -0x1.e00c000a5b329p-4, -0x1.dfd391d23c91p-4, -0x1.dfbe99f616ccbp-4, -0x1.dfcacb62bd6d3p-4, -0x1.dff5e824422fdp-4, -0x1.e03dc1a97b1bfp-4, -0x1.e0a0392630786p-4, -0x1.e11b3fd055abep-4, -0x1.e1acd6d5ae19p-4, -0x1.e2530f95b991fp-4, -0x1.e30c0bbc99ed8p-4, -0x1.e3d5fd09d1381p-4, -0x1.e4af25551d77dp-4, -0x1.e595d69c31d5ep-4, -0x1.e68872ac81385p-4, -0x1.e7856afe492e6p-4, -0x1.e88b40a46d88fp-4, -0x1.e99883fda7e01p-4, -0x1.eaabd4708111dp-4, -0x1.ebc3e035c8f2p-4, -0x1.ecdf640a6261fp-4, -0x1.edfd2af06276cp-4, -0x1.ef1c0ddf60933p-4, -0x1.f03af35a9d291p-4, -0x1.f158cf38b2b01p-4, -0x1.f274a26a24564p-4, -0x1.f38d7a759577ap-4, -0x1.f4a271148cbd8p-4, -0x1.f5b2ac1f2ae83p-4, -0x1.f6bd5d2b0d87cp-4, -0x1.f7c1c0f6b766bp-4, -0x1.f8bf1f2c98c04p-4, -0x1.f9b4ca488364p-4, -0x1.faa21f1f2c922p-4, -0x1.fb8684573b351p-4, -0x1.fc616a43654e9p-4, -0x1.fd324ab71a566p-4, -0x1.fdf8a88823321p-4, -0x1.feb40f24612b7p-4, -0x1.ff641270f6a23p-4, -0x1.00042747a6b78p-3, -0x1.005033b397fcap-3, -0x1.0096042a2bef7p-3, -0x1.00d572050fddap-3, -0x1.010e5a286abaap-3, -0x1.01409cc9b14d7p-3, -0x1.016c1d4ee6a29p-3, -0x1.0190c2466b0edp-3, -0x1.01ae75484fe99p-3, -0x1.01c522bcb961dp-3, -0x1.01d4b9b803c4fp-3, -0x1.01dd2bfc0c77fp-3, -0x1.01de6de648906p-3, -0x1.01d8763866ce1p-3, -0x1.01cb3de9431d9p-3, -0x1.01b6c021d7be2p-3, -0x1.019afa40efb73p-3, -0x1.0177ebb5db90dp-3, -0x1.014d95c62c08bp-3, -0x1.011bfb74f866ap-3, -0x1.00e3218e69f99p-3, -0x1.00a30ea31b42p-3, -0x1.005bcad967d06p-3, -0x1.000d5fbccc0a2p-3, -0x1.ff6fb066f9a6bp-4, -0x1.feb6811813b23p-4, -0x1.fdef4ce6f79f7p-4, -0x1.fd1a3191c8ec1p-4, -0x1.fc374eea75fa2p-4, -0x1.fb46c6cb945dep-4, -0x1.fa48bd2fd352bp-4, -0x1.f93d5820c4e2dp-4, -0x1.f824bf6cb46acp-4, -0x1.f6ff1c60a7331p-4, -0x1.f5cc99b9c59d9p-4, -0x1.f48d63b8285ecp-4, -0x1.f341a81794fedp-4, -0x1.f1e995d8581f6p-4, -0x1.f0855d011b97p-4, -0x1.ef152e8557e89p-4, -0x1.ed993c51fe80bp-4, -0x1.ec11b950f05b2p-4, -0x1.ea7ed947f8f74p-4, -0x1.e8e0d0a42c7cdp-4, -0x1.e737d45738f59p-4, -0x1.e58419d455b08p-4, -0x1.e3c5d71c87768p-4, -0x1.e1fd42b383e22p-4, -0x1.e02a937b717efp-4, -0x1.de4e008d7ce8cp-4, -0x1.dc67c1284f44fp-4, -0x1.da780cb40fe27p-4, -0x1.d87f1ac7d201dp-4, -0x1.d67d231d91b86p-4, -0x1.d4725d72ebf97p-4, -0x1.d25f016c25b8ep-4, -0x1.d0434689a3092p-4, -0x1.ce1f642b87f94p-4, -0x1.cbf391961e7b8p-4, -0x1.c9c005e923396p-4, -0x1.c784f8091828p-4, -0x1.c5429e888746bp-4, -0x1.c2f92f9e11087p-4, -0x1.c0a8e126af1cp-4, -0x1.be51e8aa01b18p-4, -0x1.bbf47b57e5fep-4, -0x1.b990cdfae90d8p-4, -0x1.b72714e6e16bbp-4, -0x1.b4b783ee11d0fp-4, -0x1.b2424e5fa4587p-4, -0x1.afc7a70bb1676p-4, -0x1.ad47c0461d45p-4, -0x1.aac2cbe1f8265p-4, -0x1.a838fb26de6d8p-4, -0x1.a5aa7ec684e4bp-4, -0x1.a31786d7cd24p-4, -0x1.a08042d7adc8fp-4, -0x1.9de4e1ad2603cp-4, -0x1.9b4591ab9e47cp-4, -0x1.98a280904a08p-4, -0x1.95fbdb7ac2cc6p-4, -0x1.9351cee8434b8p-4, -0x1.90a486b075345p-4, -0x1.8df42e06d1e76p-4, -0x1.8b40ef7e2106dp-4, -0x1.888af50b14f72p-4, -0x1.85d268047fa61p-4, -0x1.831771200a568p-4, -0x1.805a386f26998p-4, -0x1.7d9ae55dda9e2p-4, -0x1.7ad99eb3bc68fp-4, -0x1.78168a964b4e1p-4, -0x1.7551ce8c387f3p-4, -0x1.728b8f7f853c9p-4, -0x1.6fc3f1bde25b4p-4, -0x1.6cfb18f72b7cp-4, -0x1.6a31283d3433ap-4, -0x1.676642047309fp-4, -0x1.649a8825e515dp-4, -0x1.61ce1be1d53dap-4, -0x1.5f011de28183fp-4, -0x1.5c33ae3eb64dp-4, -0x1.5965ec7ac5034p-4, -0x1.5697f788b9ec2p-4, -0x1.53c9edc90b8d4p-4, -0x1.50fbed0c03501p-4, -0x1.4e2e1293c63c6p-4, -0x1.4b607b16c49cfp-4, -0x1.489342c26b429p-4, -0x1.45c6853d6adf9p-4, -0x1.42fa5da988fd9p-4, -0x1.402ee6a4693f2p-4, -0x1.3d643a4892f7dp-4, -0x1.3a9a722f30042p-4, -0x1.37d1a771bef5dp-4, -0x1.3509f2ac27984p-4, -0x1.32436bfedde12p-4, -0x1.2f7e2b1113a87p-4, -0x1.2cba471299a0fp-4, -0x1.29f7d6bd444a2p-4, -0x1.2736f0563624dp-4, -0x1.2477a9af3f042p-4, -0x1.21ba182852f0fp-4, -0x1.1efe50b144f5dp-4, -0x1.1c4467cb5dacfp-4, -0x1.198c718b2a47p-4, -0x1.16d6819a4785ep-4, -0x1.1422ab3902ac7p-4, -0x1.1171013faae91p-4, -0x1.0ec1961fc09ffp-4, -0x1.0c147be537b5p-4, -0x1.0969c437ab0edp-4, -0x1.06c1805bc269cp-4, -0x1.041bc13459b7ap-4, -0x1.0178974418bbdp-4, -0x1.fdb0255d52bdfp-5, -0x1.f87486744e5e4p-5, -0x1.f33e70a08ee68p-5, -0x1.ee0e01fe815d7p-5, -0x1.e8e357f580c9p-5, -0x1.e3be8f39dd269p-5, -0x1.de9fc3ced66cep-5, -0x1.d9871108a21b9p-5, -0x1.d474918e67ffap-5, -0x1.cf685f5c40b9ap-5, -0x1.ca6293c53f2c8p-5, -0x1.c563477555aedp-5, -0x1.c06a9272f8bc8p-5, -0x1.bb788c209823fp-5, -0x1.b68d4b3e4dae1p-5, -0x1.b1a8e5eac98edp-5, -0x1.accb71a5caa89p-5, -0x1.a7f50350d256ap-5, -0x1.a325af312ab1cp-5, -0x1.9e5d88f0ed637p-5, -0x1.999ca3a0d631cp-5, -0x1.94e311b996869p-5, -0x1.9030e51d2ef26p-5, -0x1.8b862f1836092p-5, -0x1.86e30063069e2p-5, -0x1.824769230d504p-5, -0x1.7db378ec16162p-5, -0x1.79273ec131ff5p-5, -0x1.74a2c91652823p-5, -0x1.702625d164b83p-5, -0x1.6bb1624b7f3f7p-5, -0x1.67448b521d7b5p-5, -0x1.62dfad2857502p-5, -0x1.5e82d3881397dp-5, -0x1.5a2e09a32c2a1p-5, -0x1.55e15a2486fb2p-5, -0x1.519ccf3138bc2p-5, -0x1.4d607269b207ep-5, -0x1.492c4ceae5e1dp-5, -0x1.4500674f757adp-5, -0x1.40dcc9b0d6affp-5, -0x1.3cc17ba87cfeap-5, -0x1.38ae845109296p-5, -0x1.34a3ea4782b59p-5, -0x1.30a1b3ac7fd2p-5, -0x1.2ca7e6255cb8ep-5, -0x1.28b686dd660c8p-5, -0x1.24cd9a8703349p-5, -0x1.20ed255cf5d77p-5, -0x1.1d152b2393b27p-5, -0x1.1945af29fdfb7p-5, -0x1.157eb44b69a62p-5, -0x1.11c03cf05cc0fp-5, -0x1.0e0a4b0ff5acp-5, -0x1.0a5ce031357aap-5, -0x1.06b7fd6c4e8dfp-5, -0x1.031ba36bf8d07p-5, -0x1.ff0fa4dd7f38ap-6, -0x1.f7f91490b94cdp-6, -0x1.f0f394c619dbdp-6, -0x1.e9ff2381dcf04p-6, -0x1.e31bbdfac1b8dp-6, -0x1.dc49609cdf54dp-6, -0x1.d588070c6b8d9p-6, -0x1.ced7ac2888992p-6, -0x1.c8384a0e2aca5p-6, -0x1.c1a9da1affa88p-6, -0x1.bb2c54f050cedp-6, -0x1.b4bfb275f2c21p-6, -0x1.ae63e9dd44a97p-6, -0x1.a818f1a41c53dp-6, -0x1.a1debf97cdae5p-6, -0x1.9bb548d82d4e1p-6, -0x1.959c81da95164p-6, -0x1.8f945e6cfb29cp-6, -0x1.899cd1b8f7fa1p-6, -0x1.83b5ce46e9e3p-6, -0x1.7ddf46010c1d3p-6, -0x1.78192a368fcbfp-6, -0x1.72636b9ec04dfp-6, -0x1.6cbdfa5c1fd05p-6, -0x1.6728c5ff9b1a5p-6, -0x1.61a3bd8b9b92p-6, -0x1.5c2ecf773c70ap-6, -0x1.56c9e9b19eecap-6, -0x1.5174f9a4f3ccfp-6, -0x1.4c2fec3961ccep-6, -0x1.46faadd8ac1b4p-6, -0x1.41d52a7134e42p-6, -0x1.3cbf4d791a98p-6, -0x1.37b901f171589p-6, -0x1.32c2326971d79p-6, -0x1.2ddac901a3485p-6, -0x1.2902af6f08225p-6, -0x1.2439cefe41bd7p-6, -0x1.1f801096ca732p-6, -0x1.1ad55cbe12314p-6, -0x1.16399b9a8e628p-6, -0x1.11acb4f6c6524p-6, -0x1.0d2e90449aac1p-6, -0x1.08bf14a04ad65p-6, -0x1.045e28d386f69p-6, -0x1.000bb3587ba16p-6, -0x1.f78f34b9cd5f5p-7, -0x1.ef23878a34f93p-7, -0x1.e6d42a5e0d88ap-7, -0x1.dea0e7ea5d069p-7, -0x1.d6898a6323bd4p-7, -0x1.ce8ddb8154b1ap-7, -0x1.c6ada48868b6cp-7, -0x1.bee8ae4c33a7cp-7, -0x1.b73ec136885efp-7, -0x1.afafa54cdb455p-7, -0x1.a83b2235d836fp-7, -0x1.a0e0ff3f067a6p-7, -0x1.99a103626176p-7, -0x1.927af54bcccd7p-7, -0x1.8b6e9b5e90f14p-7, -0x1.847bbbbaac0d2p-7, -0x1.7da21c42012fbp-7, -0x1.76e1829d768e4p-7, -0x1.7039b441c7c9bp-7, -0x1.69aa767458331p-7, -0x1.63338e4fed22bp-7, -0x1.5cd4c0c953344p-7, -0x1.568dd2b41735ap-7, -0x1.505e88c757033p-7, -0x1.4a46a7a2888a8p-7, -0x1.4445f3d283818p-7, -0x1.3e5c31d6636fp-7, -0x1.3889262465e51p-7, -0x1.32cc952e862afp-7, -0x1.2d264366e2feep-7, -0x1.2795f5439a48bp-7, -0x1.221b6f426de84p-7, -0x1.1cb675ebe168fp-7, -0x1.1766cdd649c5fp-7, -0x1.122c3ba8bdf04p-7, -0x1.0d06841e4cfefp-7, -0x1.07f56c0981a3p-7, -0x1.02f8b8587e4efp-7, -0x1.fc205c330db83p-8, -0x1.f27724ffe77ccp-8, -0x1.e8f555d29b7eep-8, -0x1.df9a79c43c06p-8, -0x1.d6661c54880bdp-8, -0x1.cd57c97061becp-8, -0x1.c46f0d76717cep-8, -0x1.bbab753912f8ep-8, -0x1.b30c8dfea9634p-8, -0x1.aa91e58148b87p-8, -0x1.a23b09ee16286p-8, -0x1.9a0789e573b74p-8, -0x1.91f6f47f75e72p-8, -0x1.8a08d952c7b91p-8, -0x1.823cc87ef8f0bp-8, -0x1.7a9252b9b6d0fp-8, -0x1.7309095df2d5ap-8, -0x1.6ba07e7ac356cp-8, -0x1.645844dfdbbddp-8, -0x1.5d2ff0260d73p-8, -0x1.562714b20b361p-8, -0x1.4f3d47b0faeaap-8, -0x1.48721f0f8b1d2p-8, -0x1.41c5316cd3538p-8, -0x1.3b36160bed929p-8, -0x1.34c464c740cc9p-8, -0x1.2e6fb6089882ep-8, -0x1.2837a2c8ed9adp-8, -0x1.221bc4991d0dbp-8, -0x1.1c1bb5b3b545fp-8, -0x1.1637111637996p-8, -0x1.106d729e8d48dp-8, -0x1.0abe77286cbb5p-8, -0x1.0529bca5e8cd2p-8, -0x1.ff5dc45d28507p-9, -0x1.f49b1003d485cp-9, -0x1.ea0a9ef74ee9ep-9, -0x1.dfabb5f5149bp-9, -0x1.d57d9b79fcc03p-9, -0x1.cb7f9771ddc88p-9, -0x1.c1b0f2eacba63p-9, -0x1.b810f7da135b2p-9, -0x1.ae9ef0ff6b34p-9, -0x1.a55a29ed7956ap-9, -0x1.9c41ef3b785a5p-9, -0x1.93558eda8a4d6p-9, -0x1.8a945884d4e13p-9, -0x1.81fd9e36fbe57p-9, -0x1.7990b4a0ab5f2p-9, -0x1.714cf37a14366p-9, -0x1.6931b5ad0a407p-9, -0x1.613e59479fe1fp-9, -0x1.59723f3515349p-9, -0x1.51cccac35615cp-9, -0x1.4a4d6105210aap-9, -0x1.42f36826cae62p-9, -0x1.3bbe46cfdf214p-9, -0x1.34ad63af0659dp-9, -0x1.2dc025421de1ap-9, -0x1.26f5f1e858b41p-9, -0x1.204e304048542p-9, -0x1.19c847c8dd2d9p-9, -0x1.1363a1b0baa12p-9, -0x1.0d1fa9b8d8a3ep-9, -0x1.06fbcf0ae64d1p-9, -0x1.00f784e26930ep-9, -0x1.f62485d95162p-10, -0x1.ea970a94a083dp-10, -0x1.df4598565f5p-10, -0x1.d42f3613c374dp-10, -0x1.c952ef3d0c13dp-10, -0x1.beafd156806b7p-10, -0x1.b444e99f0c48fp-10, -0x1.aa11431d75791p-10, -0x1.a013e56100cfep-10, -0x1.964bd42965a4ap-10, -0x1.8cb81004f88e8p-10, -0x1.835797d2ddcaap-10, -0x1.7a296af888513p-10, -0x1.712c8c0423d46p-10, -0x1.6860036a23cd4p-10, -0x1.5fc2e20ae8f75p-10, -0x1.5754432d48557p-10, -0x1.4f134da97cdcep-10, -0x1.46ff34178932dp-10, -0x1.3f1733e4100ebp-10, -0x1.375a935b42736p-10, -0x1.2fc89edcd2cb4p-10, -0x1.2860a592410eep-10, -0x1.2121f61968c44p-10, -0x1.1a0bdb9ca0892p-10, -0x1.131d9bc46f435p-10, -0x1.0c5675c8a65fp-10, -0x1.05b5a2b79a4a8p-10, -0x1.fe74adaed1dfep-11, -0x1.f1c787b8f1dd9p-11, -0x1.e5623739085dp-11, -0x1.d94325c8a50e1p-11, -0x1.cd68c847f3322p-11, -0x1.c1d1a3704b869p-11, -0x1.b67c4f4eb9625p-11, -0x1.ab6779665cdb5p-11, -0x1.a091e54018cd1p-11, -0x1.95fa6b3eca949p-11, -0x1.8b9ff5a724e6fp-11, -0x1.81817c0b8bbadp-11, -0x1.779dfd8bca416p-11, -0x1.6df47ab02cc93p-11, -0x1.6483efd1e01c2p-11, -0x1.5b4b5106d3ae5p-11, -0x1.5249884772994p-11, -0x1.497d760b60341p-11, -0x1.40e5f406bf4b8p-11, -0x1.3881d9351e242p-11, -0x1.304ffe20eb26cp-11, -0x1.284f4074c1ed2p-11, -0x1.207e854fe40ep-11, -0x1.18dcba6065803p-11, -0x1.1168d639c1f85p-11, -0x1.0a21d880bbfc7p-11, -0x1.0306ca5c5414dp-11, -0x1.f82d7e6318541p-12, -0x1.eaa1aa8f71e26p-12, -0x1.dd686b5bc9c0cp-12, -0x1.d08025a134e2cp-12, -0x1.c3e74b1240e8fp-12, -0x1.b79c520cb18f9p-12, -0x1.ab9dacf9bb8a2p-12, -0x1.9fe9c3bc9042dp-12, -0x1.947ef17835fddp-12, -0x1.895b87d7dd183p-12, -0x1.7e7dd749ca7cap-12, -0x1.73e439d187f6p-12, -0x1.698d1cff6a1dap-12, -0x1.5f7707abbf36dp-12, -0x1.55a0998732186p-12, -0x1.4c0884d26ed48p-12, -0x1.42ad84d3b243p-12, -0x1.398e54d53a40cp-12, -0x1.30a9ab2561801p-12, -0x1.27fe39cd55783p-12, -0x1.1f8ab44e30259p-12, -0x1.174dd7a6b576cp-12, -0x1.0f4670ff95af2p-12, -0x1.07735fe117f25p-12, -0x1.ffa7252cea238p-13, -0x1.f0cbfb5779a74p-13, -0x1.e25322daed08bp-13, -0x1.d43a62652ab93p-13, -0x1.c67f5f71c62e1p-13, -0x1.b91fa45acf1a9p-13, -0x1.ac18b2ad7dd46p-13, -0x1.9f681cb34535fp-13, -0x1.930b9e9acc09cp-13, -0x1.87012f1a552d6p-13, -0x1.7b470159fc79ep-13, -0x1.6fdb766c5886ep-13, -0x1.64bd02263cbb8p-13, -0x1.59ea0cb99bc5cp-13, -0x1.4f60dc76166ddp-13, -0x1.451f9084f6c33p-13, -0x1.3b242ea2a8384p-13, -0x1.316cbe336cc58p-13, -0x1.27f7661eb7a88p-13, -0x1.1ec28236abfa2p-13, -0x1.15cca8b1e39b8p-13, -0x1.0d149e730e3p-13, -0x1.04993f4f9850dp-13, -0x1.f8b2c78784ffdp-14, -0x1.e8a79b55fb1a2p-14, -0x1.d90e4332685dep-14, -0x1.c9e3d9526982ap-14, -0x1.bb256455f7959p-14, -0x1.accff73d010d2p-14, -0x1.9ee0cdd2057b6p-14, -0x1.915560f205be3p-14, -0x1.842b6ed40d6d2p-14, -0x1.7760f2ad07f57p-14, -0x1.6af408b68c5f2p-14, -0x1.5ee2c269307d5p-14, -0x1.532af83d18529p-14, -0x1.47ca2c5461f3bp-14, -0x1.3cbd8e222a3bp-14, -0x1.320221850c948p-14, -0x1.2794fad49cc78p-14, -0x1.1d7377755cb32p-14, -0x1.139b5df286308p-14, -0x1.0a0add4a589b1p-14, -0x1.00c07037622fap-14, -0x1.ef7562d26e7ffp-15, -0x1.ddf062432cf99p-15, -0x1.cceeb744528f2p-15, -0x1.bc6cf059a8661p-15, -0x1.ac6778a4650a3p-15, -0x1.9cdacd286aa73p-15, -0x1.8dc3a7cb091aap-15, -0x1.7f1f1508ec783p-15, -0x1.70ea75505eafdp-15, -0x1.63236e7274261p-15, -0x1.55c7d2354681cp-15, -0x1.48d58162a3a7p-15, -0x1.3c4a52233b226p-15, -0x1.3023f9c49d239p-15, -0x1.245ff4850573dp-15, -0x1.18fb6c6ff26ffp-15, -0x1.0df32f6b2ff7bp-15, -0x1.0343ca0001635p-15, -0x1.f1d392938431p-16, -0x1.ddc40ba2cf9c6p-16, -0x1.ca5399e9c2fffp-16, -0x1.b77db436b9788p-16, -0x1.a53e731a10c57p-16, -0x1.93926af33ad22p-16, -0x1.82769e3f97ap-16, -0x1.71e85ccf0e547p-16, -0x1.61e4f8ce6a923p-16, -0x1.526967b72fce1p-16, -0x1.4371fa780d52p-16, -0x1.34fa564da5f14p-16, -0x1.26fdc32a64274p-16, -0x1.1977b1012a308p-16, -0x1.0c641e4e90a26p-16, -0x1.ff7f27a801975p-17, -0x1.e70d84af55dfbp-17, -0x1.cf6c47a1e8a8cp-17, -0x1.b893f34e0ee6fp-17, -0x1.a27d55a730cb3p-17, -0x1.8d226bf13e96fp-17, -0x1.787ec32617421p-17, -0x1.648f0f35ccf01p-17, -0x1.51503d3051b65p-17, -0x1.3ebe9b40e684ep-17, -0x1.2cd5985aa8e08p-17, -0x1.1b900b5398484p-17, -0x1.0ae85cdd239abp-17, -0x1.f5b04fba816afp-18, -0x1.d6afdf32b3564p-18, -0x1.b8c00f8748781p-18, -0x1.9bd53f840652fp-18, -0x1.7fea9c2c4266dp-18, -0x1.6501292e72e18p-18, -0x1.4b1b27ce455ep-18, -0x1.32373543dfd8cp-18, -0x1.1a4e8207fc63ep-18, -0x1.035708f7dbc77p-18, -0x1.da8ef6c0b2ba1p-19, -0x1.b032a87a7b9f1p-19, -0x1.878f36bc8694ep-19, -0x1.609843c20ca8p-19, -0x1.3b3bc3b37bc77p-19, -0x1.1762cbe6abbcbp-19, -0x1.e9e972d688c22p-20, -0x1.a7b4f7b7f7be4p-20, -0x1.680208d930ae5p-20, -0x1.2ab525c74f234p-20, -0x1.df7adeff125b1p-21, -0x1.6e238e2c28796p-21, -0x1.015714ad80cfdp-21, -0x1.3205f94af0a1ep-22, -0x1.a86a7e8cd5915p-24, 0x1.55282fddf9221p-24, 0x1.0c5b4abd50ef4p-22, 0x1.bb642c8f9aa35p-22, 0x1.3173949ef4e5ep-21, 0x1.81c1dc731c246p-21, 0x1.ced0c4248acdbp-21, 0x1.0c4f969441df6p-20, 0x1.2f889f02107aep-20, 0x1.51113598f61e2p-20, 0x1.70fd6de875de5p-20, 0x1.8f6b14cbaa6f7p-20, 0x1.ac6cfcf9ea047p-20, 0x1.c80426ebd30c4p-20, 0x1.e22b6ea6d7a9fp-20, 0x1.fae62ffa19428p-20, 0x1.0921fca49337p-19, 0x1.142d781f4a776p-19, 0x1.1ea0af7eac48dp-19, 0x1.2885575c499fp-19, 0x1.31e38da41d497p-19, 0x1.3ac20e219a48ap-19, 0x1.432631d1c69f4p-19, 0x1.4b13bac76b33cp-19, 0x1.528cbf6df2281p-19, 0x1.59921a523cd11p-19, 0x1.6024a38707f15p-19, 0x1.6646f87a03433p-19, 0x1.6bfea47dc8174p-19, 0x1.71531eec1cd4bp-19, 0x1.764b0ae7067cp-19, 0x1.7aeb374db54e8p-19, 0x1.7f3993c9391b4p-19, 0x1.833f58f71ba43p-19, 0x1.8703c72d499cp-19, 0x1.8a84c0eaaaa2bp-19, 0x1.8db9ed9c1f4b7p-19, 0x1.90a042d7c3f39p-19, 0x1.933ee1648c104p-19, 0x1.959fe3e781f7dp-19, 0x1.97c7704856f7ap-19, 0x1.99b3f888314b4p-19, 0x1.9b6478efbe1bcp-19, 0x1.9cdb139f9a103p-19, 0x1.9e1b1ccbc20efp-19, 0x1.9f274c2e80912p-19, 0x1.a001caddb2df9p-19, 0x1.a0ace9dad74dcp-19, 0x1.a12b6fd70c14bp-19, 0x1.a180693314a1ep-19, 0x1.a1aecf76f533ap-19, 0x1.a1b943fdde443p-19, 0x1.a1a1eb6b537b9p-19, 0x1.a16a63d8aa23ep-19, 0x1.a113cb823a789p-19, 0x1.a09ed12ef9399p-19, 0x1.a00bdd46f931ap-19, 0x1.9f5b7785e6deap-19, 0x1.9e8ed441a2262p-19, 0x1.9da7e5d1c0f13p-19, 0x1.9ca8596049842p-19, 0x1.9b905ebc049f8p-19, 0x1.9a5f54ddfe144p-19, 0x1.9916ab9a2ec2dp-19, 0x1.97ba995cdc04bp-19, 0x1.964db8d718768p-19, 0x1.94cf6be4dc5abp-19, 0x1.9340d50098343p-19, 0x1.91a61c20d6aefp-19, 0x1.90010e0c39315p-19, 0x1.8e4f6493f93b6p-19, 0x1.8c8f3acd4e627p-19, 0x1.8ac1471036bd2p-19, 0x1.88e7559adab6fp-19, 0x1.8703013fca4fdp-19, 0x1.85157d58a2d5cp-19, 0x1.831f858f5c516p-19, 0x1.812147b2e1562p-19, 0x1.7f1a9bff79765p-19, 0x1.7d0b86240c697p-19, 0x1.7af48bd03663cp-19, 0x1.78d69cd4d0da7p-19, 0x1.76b2bf7dfed0ap-19, 0x1.7489d0ed45f7cp-19, 0x1.725c74c143505p-19, 0x1.702b22228b6eap-19, 0x1.6df634946015ep-19, 0x1.6bbdf2a2bee4bp-19, 0x1.69829178b0f18p-19, 0x1.6744423f5d073p-19, 0x1.650350fc8c446p-19, 0x1.62c03aebee7e4p-19, 0x1.607b820e1910cp-19, 0x1.5e35466e926bcp-19, 0x1.5bed1e7b6cff8p-19, 0x1.59a2dbb2b3d37p-19, 0x1.57578311de03ap-19, 0x1.550c13ae0a686p-19, 0x1.52c061e08bf8ap-19, 0x1.5074a0d8f4053p-19, 0x1.4e292ba1c0ba8p-19, 0x1.4bdd7552e7b4cp-19, 0x1.499144be68de9p-19, 0x1.47452ff86a95fp-19, 0x1.44f9e133423eap-19, 0x1.42afc8cb179a7p-19, 0x1.40671d00bb5f1p-19, 0x1.3e1fdadd64255p-19, 0x1.3bd9df7d36242p-19, 0x1.399517096a7b9p-19, 0x1.37519d7596e12p-19, 0x1.350fa740620afp-19, 0x1.32cf55343f5d4p-19, 0x1.3090a8a3e7392p-19, 0x1.2e53a282642e7p-19, 0x1.2c18595b84222p-19, 0x1.29deed86e4201p-19, 0x1.27a77713c59e3p-19, 0x1.257202272bdddp-19, 0x1.233e948a7dfdp-19, 0x1.210d3329e5d4fp-19, 0x1.1edde4d9f4b36p-19, 0x1.1cb0b31092ebep-19, 0x1.1a85a8927064fp-19, 0x1.185ccd47d4da8p-19, 0x1.163622ba4728p-19, 0x1.1411a78619991p-19, 0x1.11ef610c1bd8bp-19, 0x1.0fcf6559f3954p-19, 0x1.0db1d082329dcp-19, 0x1.0b968ed7c86e3p-19, 0x1.097d7755defcep-19, 0x1.07668e7c80cc2p-19, 0x1.0551d8e3d2cdep-19, 0x1.033f72f168503p-19, 0x1.012f66602868ap-19, 0x1.fe433bfc309e6p-20, 0x1.fa2c1bff1b23cp-20, 0x1.f61969d6f5705p-20, 0x1.f20b2821b8bb1p-20, 0x1.ee015c67fbddp-20, 0x1.e9fc0e2558d87p-20, 0x1.e5fb451b2fe63p-20, 0x1.e1fefebc28655p-20, 0x1.de071b6843a0ep-20, 0x1.da1361a982e8ep-20, 0x1.d623b2f15977ap-20, 0x1.d2382d308365fp-20, 0x1.ce50e8d9411b7p-20, 0x1.ca6db9a67d462p-20, 0x1.c68e77bf45c02p-20, 0x1.c2b34d8d1ece3p-20, 0x1.bedc6b2ce315cp-20, 0x1.bb09b96fc7502p-20, 0x1.b73aff554ed45p-20, 0x1.b37014716feadp-20, 0x1.afa8e7bcf2952p-20, 0x1.abe5748d98dd8p-20, 0x1.a825bafc719efp-20, 0x1.a469bc4f754ebp-20, 0x1.a0b17628db4dp-20, 0x1.9cfcddcc5140ap-20, 0x1.994be0a0f467dp-20, 0x1.959e68a979e9ep-20, 0x1.91f4700d20ed1p-20, 0x1.8e4e251d4945ep-20, 0x1.8aab90a8b9c9cp-20, 0x1.870c3e44d8582p-20, 0x1.8370136ad7918p-20, 0x1.7fd753ae57004p-20, 0x1.7c421258e8d0ep-20, 0x1.78b01c4cf3471p-20, 0x1.75215e7f250bcp-20, 0x1.7195d6f05fe81p-20, 0x1.6e0d8192007d9p-20, 0x1.6a8857c9cc707p-20, 0x1.670652342d1f1p-20, 0x1.638769727a5acp-20, 0x1.600b96959f961p-20, 0x1.5c92d2efd7ee9p-20, 0x1.591d16b2c624dp-20, 0x1.55aa5cacbd9b6p-20, 0x1.523a9fa18c7b1p-20, 0x1.4ecddabc30a9ap-20, 0x1.4b640b7e8cb47p-20, 0x1.47fd30580f284p-20, 0x1.44994220d6d23p-20, 0x1.413833f7955ebp-20, 0x1.3dd9ff7437612p-20, 0x1.3a7ea037b4adcp-20, 0x1.372610ccf7b92p-20, 0x1.33d057c38d4b5p-20, 0x1.307d78d03472ap-20, 0x1.2d2d6b748fc38p-20, 0x1.29e027a2aabe3p-20, 0x1.2695aa6304175p-20, 0x1.234df317917cap-20, 0x1.200900ef0f479p-20, 0x1.1cc6d1a59b4bep-20, 0x1.198761ee26317p-20, 0x1.164aaf53ccdbap-20, 0x1.1310b9e0b96f5p-20, 0x1.0fd9849a4d5e7p-20, 0x1.0ca512e0880a2p-20, 0x1.0973591c66448p-20, 0x1.0644575d2f1bep-20, 0x1.031825bd75e47p-20, 0x1.ffdd4f39911b7p-21, 0x1.f98fb901f2bd6p-21, 0x1.f347aa609c1bcp-21, 0x1.ed05237dadbe7p-21, 0x1.e6c820217167p-21, 0x1.e0909fd999038p-21, 0x1.da5ea4a017b32p-21, 0x1.d432318ea9a66p-21, 0x1.ce0b4a5340511p-21, 0x1.c7e9f325ad9d3p-21, 0x1.c1ce302d201a4p-21, 0x1.bbb804b9cbdd9p-21, 0x1.b5a775fde5553p-21, 0x1.af9c8971ee09ep-21, 0x1.a99743f61319ap-21, 0x1.a397ab0d74dfp-21, 0x1.9d9dc50b7aa2dp-21, 0x1.97a998f9ea8bp-21, 0x1.91bb2e8b97f49p-21, 0x1.8bd28e5db31e5p-21, 0x1.85efc0895fb25p-21, 0x1.8012c1b92a741p-21, 0x1.7a3b731b7f397p-21, 0x1.7469c8bc37d68p-21, 0x1.6e9e11da7deap-21, 0x1.68d892727ce9dp-21, 0x1.631928d63e806p-21, 0x1.5d5f84e7a3249p-21, 0x1.57abc1b6159f6p-21, 0x1.51fe1612ce808p-21, 0x1.4c568f07bf264p-21, 0x1.46b52a2d5ba3p-21, 0x1.4119e6fbaee0dp-21, 0x1.3b84ca94069e8p-21, 0x1.35f5deb29619ep-21, 0x1.306d2ee9ac0bap-21, 0x1.2aeac9cf2d86bp-21, 0x1.256ebd155a6eap-21, 0x1.1ff8f7560f1acp-21, 0x1.1a8988f4a07e2p-21, 0x1.152077be183cdp-21, 0x1.0fbdcf8d52653p-21, 0x1.0a61a75f1747ap-21, 0x1.050c005f0e5e5p-21, 0x1.ff79bf1008c71p-22, 0x1.f4e89a6bc0c03p-22, 0x1.ea64a24096034p-22, 0x1.dfede93921c2ep-22, 0x1.d5847f8d921d1p-22, 0x1.cb2875d3f0884p-22, 0x1.c0d9dc86cc467p-22, 0x1.b698c3f839383p-22, 0x1.ac653c57f224p-22, 0x1.a23f55b1414b9p-22, 0x1.98271fe865927p-22, 0x1.8e1caab74d787p-22, 0x1.842005abd489ep-22, 0x1.7a3140239aff3p-22, 0x1.7050694735f4ap-22, 0x1.667d900f72074p-22, 0x1.5cb8c3869d011p-22, 0x1.530213961ade8p-22, 0x1.49598caf41c8fp-22, 0x1.3fbf3b420e7f6p-22, 0x1.363330b86547fp-22, 0x1.2cb5796876066p-22, 0x1.2346233523049p-22, 0x1.19e53b5e2c0adp-22, 0x1.1092cd6ea774bp-22, 0x1.074ee90592855p-22, 0x1.fc33383811ecap-23, 0x1.e9e5d448cdb3bp-23, 0x1.d7b5c6fbbd829p-23, 0x1.c5a32ef6ad456p-23, 0x1.b3ae18d2fc9e6p-23, 0x1.a1d69beccb722p-23, 0x1.901cd1c8d2f55p-23, 0x1.7e80cea861017p-23, 0x1.6d02a4b02a6dcp-23, 0x1.5ba266d158dc4p-23, 0x1.4a60212f7e467p-23, 0x1.393bd67b54a72p-23, 0x1.2835b9fe8bad8p-23, 0x1.174df898af926p-23, 0x1.068470cd7c075p-23, 0x1.ebb24e4f60556p-24, 0x1.ca9874de1bb7dp-24, 0x1.a9bb7ca661dbdp-24, 0x1.891b805ff4fc1p-24, 0x1.68b8906d79f8cp-24, 0x1.4892c8fbccc8fp-24, 0x1.28aa4365f2062p-24, 0x1.08ff1272cb535p-24, 0x1.d32290cf2afedp-25, 0x1.94c1ededc3d8fp-25, 0x1.56dc5d412e157p-25, 0x1.1971fd1126b9p-25, 0x1.b905d1d82bc9p-26, 0x1.401e73607c1b5p-26, 0x1.905c15aa0eb7cp-27, 0x1.44d2fa175fdeap-28, -0x1.266a891e4c7e9p-29, -0x1.33b01457b281cp-27, -0x1.0deb5e32f0dd1p-26, -0x1.81072f56401adp-26, -0x1.f32b854a6f2edp-26, -0x1.322c2b2ec0cbap-25, -0x1.6a46d0a561ac8p-25, -0x1.a1e5b4685ab9cp-25, -0x1.d908db9779d1ep-25, -0x1.07d8275e39415p-24, -0x1.22ee0db847aacp-24, -0x1.3dc62abd49579p-24, -0x1.58608a34f164fp-24, -0x1.72bd35a1edac9p-24, -0x1.8cdc31be6db6fp-24, -0x1.a6bd880a35615p-24, -0x1.c06169d66b346p-24, -0x1.d9c833ca60ecdp-24, -0x1.f2f19b090b892p-24, -0x1.05ee84f4f9a03p-23, -0x1.12454293adf2ep-23, -0x1.1e7d6e1b8b94ep-23, -0x1.2a974af68e9d2p-23, -0x1.3692b8873500dp-23, -0x1.426fabaef06acp-23, -0x1.4e2e33d2efad6p-23, -0x1.59ce7e97769e1p-23, -0x1.655068a89e612p-23, -0x1.70b3c8d498c5fp-23, -0x1.7bf919e444849p-23, -0x1.87205847948ffp-23, -0x1.9229837a8fb1cp-23, -0x1.9d14ab50cf9aep-23, -0x1.a7e1e2216b194p-23, -0x1.b2913a94d1827p-23, -0x1.bd22c7988bad5p-23, -0x1.c7969c8f1dce9p-23, -0x1.d1eccd4de65edp-23, -0x1.dc256e27d8d3p-23, -0x1.e64093f2e51dfp-23, -0x1.f03e5409e4376p-23, -0x1.fa1ec43b6e185p-23, -0x1.01f0fd6c7a8b9p-22, -0x1.06c4075aee46ep-22, -0x1.0b888bd6db1b1p-22, -0x1.103e9835908aap-22, -0x1.14e637e0ad5ap-22, -0x1.197f72f0ffa76p-22, -0x1.1e0a5962fa23p-22, -0x1.2286f94f3d97ep-22, -0x1.26f55ec24d0a2p-22, -0x1.2b55971ed38cdp-22, -0x1.2fa7afb9ec85bp-22, -0x1.33ebb6309298dp-22, -0x1.3821b8674e7e4p-22, -0x1.3c49c4849b64p-22, -0x1.4063e8ea6df31p-22, -0x1.4470342c5d68bp-22, -0x1.486eb505c289dp-22, -0x1.4c5f7a56be3f2p-22, -0x1.5042931b7a264p-22, -0x1.54180e57d70c1p-22, -0x1.57dffafe6eac1p-22, -0x1.5b9a69734dfbp-22, -0x1.5f476b07ffa15p-22, -0x1.62e70e585bef3p-22, -0x1.667963319f469p-22, -0x1.69fe7934e78e3p-22, -0x1.6d765f62b9089p-22, -0x1.70e1289284511p-22, -0x1.743ef31731936p-22, -0x1.778fd2ae7c4a1p-22, -0x1.7ad3a0336ed13p-22, -0x1.7e0a845c8170dp-22, -0x1.8134b75db46b3p-22, -0x1.84523e979c815p-22, -0x1.8763229a0c4e1p-22, -0x1.8a67656db9105p-22, -0x1.8d5f2b965aa59p-22, -0x1.904a838683febp-22, -0x1.93297d2c12a33p-22, -0x1.95fc2abaa7465p-22, -0x1.98c29e9015f18p-22, -0x1.9b7ceb0c4bf0ep-22, -0x1.9e2b229fa7a6cp-22, -0x1.a0cd57cc13b39p-22, -0x1.a3639d25c3946p-22, -0x1.a5ee055acf267p-22, -0x1.a86ca32e839dbp-22, -0x1.aadf89872f9bap-22, -0x1.ad46cb5980099p-22, -0x1.afa27b4ff61fp-22, -0x1.b1f2ac63740f8p-22, -0x1.b43771ffcfafep-22, -0x1.b670df58c9bbp-22, -0x1.b89f079612efcp-22, -0x1.bac1fe017c6d8p-22, -0x1.bcd9d5fdd3bc9p-22, -0x1.bee6a2c1cfc1p-22, -0x1.c0e877bc7b30fp-22, -0x1.c2df68a8041a1p-22, -0x1.c4cb88f984918p-22, -0x1.c6acec2c704aep-22, -0x1.c883a5de7c8edp-22, -0x1.ca4fc9b3072dfp-22, -0x1.cc116b54ae2cbp-22, -0x1.cdc89e748301bp-22, -0x1.cf7576cc8c879p-22, -0x1.d118081abd8fdp-22, -0x1.d2b066233644cp-22, -0x1.d43ea4ae375a6p-22, -0x1.d5c2d78645aaep-22, -0x1.d73d127c752e2p-22, -0x1.d8ad69647779ap-22, -0x1.da13f021146cap-22, -0x1.db70ba71d25e4p-22, -0x1.dcc3dc07c4273p-22, -0x1.de0d68e66c9f9p-22, -0x1.df4d74e14519bp-22, -0x1.e08413c19cfe3p-22, -0x1.e1b15951a44c9p-22, -0x1.e2d559618f51dp-22, -0x1.e3f027c89c9a3p-22, -0x1.e501d84fda88p-22, -0x1.e60a7e9b4ec93p-22, -0x1.e70a2e40b5fabp-22, -0x1.e800fb476f3d5p-22, -0x1.e8eef9f0bf315p-22, -0x1.e9d440670be2ap-22, -0x1.eab0d8420cf8fp-22, -0x1.eb84deab55d33p-22, -0x1.ec5065c10fdbdp-22, -0x1.ed13802452af4p-22, -0x1.edce41d8ef8b8p-22, -0x1.ee80bc74eeba6p-22, -0x1.ef2b0325bb08ap-22, -0x1.efcd2bc161362p-22, -0x1.f0674a2c5b8dep-22, -0x1.f0f96fe4d5b5cp-22, -0x1.f183b0383f4a4p-22, -0x1.f2061ebc16a63p-22, -0x1.f280cead67afdp-22, -0x1.f2f3d32dc9a18p-22, -0x1.f35f3f50dae2dp-22, -0x1.f3c326217a6c3p-22, -0x1.f41f9a98c664cp-22, -0x1.f474afa280771p-22, -0x1.f4c2781565634p-22, -0x1.f50906aeeef1dp-22, -0x1.f5486e03e3469p-22, -0x1.f580c0a705db5p-22, -0x1.f5b2165dd87b8p-22, -0x1.f5dc742e2929p-22, -0x1.f60004ef6448ep-22, -0x1.f61cb7726d0d9p-22, -0x1.f632bbcf7724cp-22, -0x1.f6421af82a4e5p-22, -0x1.f64ae66074e8p-22, -0x1.f64d306584f5cp-22, -0x1.f6490b31abd96p-22, -0x1.f63e88cfb1469p-22, -0x1.f62dbb2d60475p-22, -0x1.f616b4270a19ap-22, -0x1.f5f98580526fp-22, -0x1.f5d640eb6cdc4p-22, -0x1.f5acf803d68c4p-22, -0x1.f57dbc51663cap-22, -0x1.f5489f4ae2048p-22, -0x1.f50db26897833p-22, -0x1.f4cd06ed5a17dp-22, -0x1.f486ad97c0208p-22, -0x1.f43ab820727c3p-22, -0x1.f3e937c3f5fcdp-22, -0x1.f3923d297da66p-22, -0x1.f335d89800669p-22, -0x1.f2d41b3e5405ep-22, -0x1.f26d161fcbb1ep-22, -0x1.f200d9b85ed8dp-22, -0x1.f18f767828937p-22, -0x1.f118fccbadcaap-22, -0x1.f09d7d0ac1f5cp-22, -0x1.f01d0776cbeb9p-22, -0x1.ef97ac3a3dd72p-22, -0x1.ef0d7b668441ap-22, -0x1.ee7e84f5684p-22, -0x1.edead8ca4133fp-22, -0x1.ed5286b0374fp-22, -0x1.ecb59e5a13264p-22, -0x1.ec142f6394ce5p-22, -0x1.eb6e49529f9dep-22, -0x1.eac3fbb594685p-22, -0x1.ea15558bcc99ep-22, -0x1.e962661ab58a2p-22, -0x1.e8ab3cfa0cbe1p-22, -0x1.e7efe8ad51d46p-22, -0x1.e7307823f7f31p-22, -0x1.e66cfa86dfd82p-22, -0x1.e5a57e8a55bafp-22, -0x1.e4da12c395e4dp-22, -0x1.e40ac5bb133fp-22, -0x1.e337a5e69687cp-22, -0x1.e260c1a8f5752p-22, -0x1.e186275977cdap-22, -0x1.e0a7e52ba39b8p-22, -0x1.dfc608c2185a3p-22, -0x1.dee09fba32e87p-22, -0x1.ddf7b870d80dp-22, -0x1.dd0b62a24c6a9p-22, -0x1.dc1baa48d3d8p-22, -0x1.db289bc7337c4p-22, -0x1.da3245adbe7b4p-22, -0x1.d938b575b8ce5p-22, -0x1.d83bf85dc6293p-22, -0x1.d73c1b8dfdcd4p-22, -0x1.d6392c1a616a3p-22, -0x1.d53336fd27369p-22, -0x1.d42a4918a58afp-22, -0x1.d31e6f363a7dbp-22, -0x1.d20fb604b5232p-22, -0x1.d0fe2a1b4e04cp-22, -0x1.cfe9d7f41ee1cp-22, -0x1.ced2cbf418967p-22, -0x1.cdb91262f2eb6p-22, -0x1.cc9cb77336516p-22, -0x1.cb7dc73b791d7p-22, -0x1.ca5c4db70fb38p-22, -0x1.c93856ce771a9p-22, -0x1.c811ee7fd40efp-22, -0x1.c6e92075fe672p-22, -0x1.c5bdf74466439p-22, -0x1.c4907feb46288p-22, -0x1.c360c557e2d88p-22, -0x1.c22ed2961744cp-22, -0x1.c0fab2cd3c434p-22, -0x1.bfc47118626aap-22, -0x1.be8c1b2e624a8p-22, -0x1.bd51b9e198adp-22, -0x1.bc15514e68942p-22, -0x1.bad6f6c712bb6p-22, -0x1.b996b10411e5ep-22, -0x1.b8548a16503bap-22, -0x1.b7108cfeb3d9dp-22, -0x1.b5cac3168711dp-22, -0x1.b48337398ba14p-22, -0x1.b339f3e8d5e38p-22, -0x1.b1ef02fe97157p-22, -0x1.b0a26e748bf99p-22, -0x1.af5440305810ap-22, -0x1.ae0481ffeb42cp-22, -0x1.acb33d99dda5ap-22, -0x1.ab607c9b5e865p-22, -0x1.aa0c488d73cbcp-22, -0x1.a8b6aade7cd5cp-22, -0x1.a75face8458c4p-22, -0x1.a60757ec0f574p-22, -0x1.a4adb513e5768p-22, -0x1.a352cd731a718p-22, -0x1.a1f6aa0347c8fp-22, -0x1.a09953b2d6361p-22, -0x1.9f3ad3481210cp-22, -0x1.9ddb317c14b57p-22, -0x1.9c7a76f3989b9p-22, -0x1.9b18ac40e47a9p-22, -0x1.99b5d9e0061p-22, -0x1.985208421645bp-22, -0x1.96ed401eb3d98p-22, -0x1.9587877cf7351p-22, -0x1.9420e9028a936p-22, -0x1.92b96bdbd3889p-22, -0x1.915118d596f12p-22, -0x1.8fe7f5c680144p-22, -0x1.8e7e0a1c26ad3p-22, -0x1.8d1360e592b75p-22, -0x1.8ba8003fe7024p-22, -0x1.8a3beeb0e77fap-22, -0x1.88cf3469c94aep-22, -0x1.8761d93b206a4p-22, -0x1.85f3e203456f9p-22, -0x1.848559516bd02p-22, -0x1.831643f20a8ebp-22, -0x1.81a6a9d9922d1p-22, -0x1.803693afdccd3p-22, -0x1.7ec605df658fep-22, -0x1.7d55051313e59p-22, -0x1.7be39e0832383p-22, -0x1.7a71d255b0ac2p-22, -0x1.78ffc02f6d07ep-22, -0x1.778d12d9f725p-22, -0x1.761a6b2d75ec2p-22, -0x1.74a74e85641adp-22, -0x1.7333f7e2fe629p-22, -0x1.71c0648780e56p-22, -0x1.704c9ab11d5a8p-22, -0x1.6ed8a08b281d8p-22, -0x1.6d647c19b7e75p-22, -0x1.6bf0334bc59f4p-22, -0x1.6a7bcbf7217e9p-22, -0x1.69074be2af6c5p-22, -0x1.6792b8baebf64p-22, -0x1.661e18228073cp-22, -0x1.64a96fa291c8p-22, -0x1.6334c4af192eep-22, -0x1.61c01cc4fde7ap-22, -0x1.604b7d2f456f3p-22, -0x1.5ed6eb2bfd4ecp-22, -0x1.5d626bfc67f0ap-22, -0x1.5bee04c47c392p-22, -0x1.5a79ba8f770cap-22, -0x1.5905926696cbbp-22, -0x1.57919128c374dp-22, -0x1.561dbbd03c2e2p-22, -0x1.54aa172c0f998p-22, -0x1.5336a930c72b1p-22, -0x1.51c371dcbfafp-22, -0x1.50507dc1b1bc6p-22, -0x1.4eddc7d753d3bp-22, -0x1.4d6b5ce033e7cp-22, -0x1.4bf93dbe970d9p-22, -0x1.4a876efe35e19p-22, -0x1.4915f5165f7fdp-22, -0x1.47a4d44abf9e6p-22, -0x1.463410c5f6c9p-22, -0x1.44c3aea771136p-22, -0x1.4353b20266266p-22, -0x1.41e41edb3d045p-22, -0x1.4074f92669f5cp-22, -0x1.3f0644c917c94p-22, -0x1.3d980598fb8d8p-22, -0x1.3c2a3f5d7d19bp-22, -0x1.3abcf5d6085ebp-22, -0x1.39502cc005b73p-22, -0x1.37e3e7bc541edp-22, -0x1.36782ae985875p-22, -0x1.350cf62f4d3c9p-22, -0x1.33a252622323dp-22, -0x1.323840639a4f7p-22, -0x1.30cec33330dcfp-22, -0x1.2f65de7a2b49ap-22, -0x1.2dfd957fdea49p-22, -0x1.2c95eb71f71ap-22, -0x1.2b2ee360aff54p-22, -0x1.29c8804089bd2p-22, -0x1.2862c543665ep-22, -0x1.26fdb7d200ecbp-22, -0x1.2599550ee000bp-22, -0x1.2435a42e3de16p-22, -0x1.22d2a7bbbbb13p-22, -0x1.2170617aa2a12p-22, -0x1.200ed36bd33ccp-22, -0x1.1eae03d56488bp-22, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      {{0x1.5c53816c54a9cp-11, 0x1.71e276cc67f97p-10, 0x1.2f97ccc400e2fp-9, 0x1.c3a6765995f8bp-9, 0x1.3df63b563ff5fp-8, 0x1.ae9b407ba6d9cp-8, 0x1.1a91c9dd28eaap-7, 0x1.68fbf2a8d61p-7, 0x1.c24fd759f1e14p-7, 0x1.12f7cde49bddp-6, 0x1.49763f84904c9p-6, 0x1.840c05bafce51p-6, 0x1.c20a6f31cb86p-6, 0x1.0159987e106a9p-5, 0x1.229fc1a1304c7p-5, 0x1.44732ccac6525p-5, 0x1.6670d26d644b5p-5, 0x1.88394de7c505dp-5, 0x1.a972899baa80ap-5, 0x1.c9c8fbe645323p-5, 0x1.e8f08111f3ad5p-5, 0x1.035270053ea86p-4, 0x1.11550412d7803p-4, 0x1.1e660af745d9ap-4, 0x1.2a6f95e8b85e3p-4, 0x1.355f95047f87dp-4, 0x1.3f27a7ba48e74p-4, 0x1.47bce59ed7692p-4, 0x1.4f17a2c18ec13p-4, 0x1.553331de3e837p-4, 0x1.5a0da61e73665p-4, 0x1.5da79595cc9a5p-4, 0x1.6003dd3ac0e05p-4, 0x1.612766ceb0035p-4, 0x1.6118f0f1214d9p-4, 0x1.5fe0d976a89b9p-4, 0x1.5d88ea0795746p-4, 0x1.5a1c27016f219p-4, 0x1.55a6a094ad8dap-4, 0x1.5035461b22cb8p-4, 0x1.49d5bba8e314p-4, 0x1.429631df45173p-4, 0x1.3a85400ebfca8p-4, 0x1.31b1c0b80e89bp-4, 0x1.282ab07edcbb1p-4, 0x1.1dff0fa00e85bp-4, 0x1.133dc5fbb7d54p-4, 0x1.07f589bf3126p-4, 0x1.f869916d878dap-5, 0x1.e013289106222p-5, 0x1.c7032026f5bc5p-5, 0x1.ad53c64f421cp-5, 0x1.931e5788d7e16p-5, 0x1.787aeb0b57bc8p-5, 0x1.5d8063c13091ap-5, 0x1.4244659c250a2p-5, 0x1.26db4ef5f1cbdp-5, 0x1.0b5835a85dbe3p-5, 0x1.df99cf06ae474p-6, 0x1.a893db89cff2fp-6, 0x1.71bd266b566dfp-6, 0x1.3b31d919dbf68p-6, 0x1.050bc582eb6a1p-6, 0x1.9ec4fbbca1224p-7, 0x1.3496ddf792b83p-7, 0x1.9767f1d85cca6p-8, 0x1.90fcf1cdc435p-9, -0x1.a8024bbf5d654p-15, -0x1.97972e15bcb4dp-9, -0x1.90c28f344b198p-8, -0x1.290482cbad0cfp-7, -0x1.87bc3275375b2p-7, -0x1.e4777c4d39ef2p-7, -0x1.1f93e00f78badp-6, -0x1.4be032293ac9p-6, -0x1.771b52c25d41ap-6, -0x1.a140b4ae9b376p-6, -0x1.ca4c8a5e98e8ep-6, -0x1.f23bb2aa68bb6p-6, -0x1.0c85d3a6fdcdcp-5, -0x1.1f5d36883e962p-5, -0x1.31a342c543885p-5, -0x1.4357713d617f6p-5, -0x1.54796d4a939bdp-5, -0x1.65090fdb29aa7p-5, -0x1.75065b313ea35p-5, -0x1.8471773b08c0ep-5, -0x1.934aae76afb6p-5, -0x1.a1926b542445ep-5, -0x1.af4936078f4p-5, -0x1.bc6fb2bf27ef1p-5, -0x1.c906a02fac4b5p-5, -0x1.d50ed66b3af5ep-5, -0x1.e08945f6f72e5p-5, -0x1.eb76f714904abp-5, -0x1.f5d9093590e21p-5, -0x1.ffb0b28f26f9bp-5, -0x1.047f9fe2f9368p-4, -0x1.08e309d5193f6p-4, -0x1.0d03537ecb72cp-4, -0x1.10e1441e56647p-4, -0x1.147dadb36894dp-4, -0x1.17d96ce019d6p-4, -0x1.1af568c5230bcp-4, -0x1.1dd292d7cb5aap-4, -0x1.2071e6b0614a9p-4, -0x1.22d469d059681p-4, -0x1.24fb2b5f7a64bp-4, -0x1.26e743dfb5c8p-4, -0x1.2899d4d788f3ap-4, -0x1.2a140872f351fp-4, -0x1.2b57111b35ef7p-4, -0x1.2c642905c0977p-4, -0x1.2d3c91bac4f6dp-4, -0x1.2de193940d647p-4, -0x1.2e547d34c46a9p-4, -0x1.2e96a2faeffdbp-4, -0x1.2ea95e6b6dad1p-4, -0x1.2e8e0d9948031p-4, -0x1.2e46128943ccp-4, -0x1.2dd2d29282c08p-4, -0x1.2d35b5bd1f378p-4, -0x1.2c70261f9b04cp-4, -0x1.2b838f3bfc2f9p-4, -0x1.2a715d5d67181p-4, -0x1.293afcf700e1fp-4, -0x1.27e1da04d7147p-4, -0x1.26675f6f822b1p-4, -0x1.24ccf6732bcb8p-4, -0x1.2314060a9126ep-4, -0x1.213df25e95d5p-4, -0x1.1f4c1c3ae279fp-4, -0x1.1d3fe08807b97p-4, -0x1.1b1a97cb8a176p-4, -0x1.18dd95ae2f6ffp-4, -0x1.168a2888dcabp-4, -0x1.142198f83fd43p-4, -0x1.11a529777b31ep-4, -0x1.0f161601f67a1p-4, -0x1.0c7593bc76dcbp-4, -0x1.09c4d0a58656cp-4, -0x1.0704f34d38323p-4, -0x1.04371a9442c9bp-4, -0x1.015c5d726487fp-4, -0x1.fceb9587fdb4bp-5, -0x1.f708d23d9b807p-5, -0x1.f1126d5b2433dp-5, -0x1.eb0a52251a391p-5, -0x1.e4f25aa132be8p-5, -0x1.decc4f755d55bp-5, -0x1.d899e7d330d99p-5, -0x1.d25cc96f40b47p-5, -0x1.cc168883e0c91p-5, -0x1.c5c8a7ded13c9p-5, -0x1.bf7498f946cd4p-5, -0x1.b91bbc19c9a8fp-5, -0x1.b2bf607f4ff2bp-5, -0x1.ac60c4950f534p-5, -0x1.a601162e6ea2dp-5, -0x1.9fa172ca85a8fp-5, -0x1.9942e7de9ddb1p-5, -0x1.92e673271a586p-5, -0x1.8c8d02fe465cdp-5, -0x1.863776b872e0bp-5, -0x1.7fe69f04e4b95p-5, -0x1.799b3e5302fbap-5, -0x1.7356093b4dfe3p-5, -0x1.6d17a6eb945bp-5, -0x1.66e0b195f3f28p-5, -0x1.60b1b6e235fd4p-5, -0x1.5a8b386107292p-5, -0x1.546dac00ad1d2p-5, -0x1.4e597c82c5faep-5, -0x1.484f09f2b6be3p-5, -0x1.424eaa1c697b6p-5, -0x1.3c58a903032afp-5, -0x1.366d49573da18p-5, -0x1.308cc4ed184a3p-5, -0x1.2ab74d308f6cbp-5, -0x1.24ed0b991f95dp-5, -0x1.1f2e221bcfd31p-5, -0x1.197aab9b8c923p-5, -0x1.13d2bc579a7e6p-5, -0x1.0e366257ef0bcp-5, -0x1.08a5a5d743699p-5, -0x1.032089aab8b12p-5, -0x1.fb4e174dd2dc1p-6, -0x1.f0724a0498b3p-6, -0x1.e5ad9569913e6p-6, -0x1.daffdba8c28e9p-6, -0x1.d068f7ddcba92p-6, -0x1.c5e8bec123d7ap-6, -0x1.bb7eff4f304c3p-6, -0x1.b12b8368ff8c7p-6, -0x1.a6ee106eb96b5p-6, -0x1.9cc667d39cdd5p-6, -0x1.92b447ab9364p-6, -0x1.88b76b3255d96p-6, -0x1.7ecf8b4c234e2p-6, -0x1.74fc5f001a2a1p-6, -0x1.6b3d9bec43bf3p-6, -0x1.6192f6b353b62p-6, -0x1.57fc23643c67dp-6, -0x1.4e78d5dba4cedp-6, -0x1.4508c21f5a191p-6, -0x1.3bab9cb3d84c7p-6, -0x1.32611aec19d71p-6, -0x1.2928f333b029p-6, -0x1.2002dd536d1c8p-6, -0x1.16ee92b09f4a9p-6, -0x1.0debce8713f55p-6, -0x1.04fa4e1e0a29cp-6, -0x1.f833a1f062433p-7, -0x1.e69431fdd462ap-7, -0x1.d515d551e0114p-7, -0x1.c3b81a392be17p-7, -0x1.b27a949b7a926p-7, -0x1.a15cde2f63a5fp-7, -0x1.905e96a626f8p-7, -0x1.7f7f63d00215ap-7, -0x1.6ebef1b93f9f9p-7, -0x1.5e1cf2c07857ap-7, -0x1.4d991fa65a4b7p-7, -0x1.3d3337972324bp-7, -0x1.2ceb002e556f7p-7, -0x1.1cc04574ca55p-7, -0x1.0cb2d9d986ac8p-7, -0x1.f9852c4b39f84p-8, -0x1.d9deb2d6daaf8p-8, -0x1.ba7211e3285aap-8, -0x1.9b3f2033a49dp-8, -0x1.7c45c0885f095p-8, -0x1.5d85e15d5b11cp-8, -0x1.3eff7ca367d0bp-8, -0x1.20b297731995ep-8, -0x1.029f41ba4d5ddp-8, -0x1.c98b2bc9ab96fp-9, -0x1.8e4b7101432a4p-9, -0x1.537fafbc17304p-9, -0x1.1928575932835p-9, -0x1.be8bd2529e9b9p-10, -0x1.4bb1ef39845b4p-10, -0x1.b38895b2ed151p-11, -0x1.a31126051692p-12, 0x1.d324d7d3cd307p-16, 0x1.d9b2bbe0ea62ap-12, 0x1.c934a5b9b0ab7p-11, 0x1.51d3b0ca6f17bp-10, 0x1.be16e46f3937ap-10, 0x1.14b0fa98d9b3p-9, 0x1.49d96bfb795f3p-9, 0x1.7e83b87367e48p-9, 0x1.b2aeca96bd1c8p-9, 0x1.e659865c76d8cp-9, 0x1.0cc164fc7a4p-8, 0x1.2614b75bc9729p-8, 0x1.3f2624e8a0bf9p-8, 0x1.57f5169fb4e84p-8, 0x1.7080f445a4424p-8, 0x1.88c924cc805e5p-8, 0x1.a0cd0eb7532d4p-8, 0x1.b88c187b4dbaap-8, 0x1.d005a8de938a2p-8, 0x1.e7392754a6889p-8, 0x1.fe25fc581dffap-8, 0x1.0a65c8e0e2348p-7, 0x1.1594a98e74df9p-7, 0x1.209f56fc7916cp-7, 0x1.2b85891bfd6cp-7, 0x1.3646f92d5f314p-7, 0x1.40e361e4b2ab4p-7, 0x1.4b5a7f8cc2b32p-7, 0x1.55ac102899b2cp-7, 0x1.5fd7d3937a3bap-7, 0x1.69dd8b9f64c59p-7, 0x1.73bcfc321fbf7p-7, 0x1.7d75eb60ad659p-7, 0x1.8708218950dcep-7, 0x1.9073696c0c0d7p-7, 0x1.99b79041a9f1ap-7, 0x1.a2d465d14a16bp-7, 0x1.abc9bc8489748p-7, 0x1.b497697a36519p-7, 0x1.bd3d449794d33p-7, 0x1.c5bb289849577p-7, 0x1.ce10f31cd4e3ap-7, 0x1.d63e84b7c29fp-7, 0x1.de43c0f9740c6p-7, 0x1.e6208e7aa829cp-7, 0x1.edd4d6e5ac91bp-7, 0x1.f56086fe5e9edp-7, 0x1.fcc38ea8ed156p-7, 0x1.01fef077b7b85p-6, 0x1.0587ba0328b4ep-6, 0x1.08fc20a7cfb29p-6, 0x1.0c5c22aea0375p-6, 0x1.0fa7bff909421p-6, 0x1.12defa0102a95p-6, 0x1.1601d3d8957acp-6, 0x1.19105228eb52p-6, 0x1.1c0a7b30e82b5p-6, 0x1.1ef056c34207ap-6, 0x1.21c1ee44409abp-6, 0x1.247f4ca6fa164p-6, 0x1.27287e6a4341ep-6, 0x1.29bd9195246dp-6, 0x1.2c3e95b305e7p-6, 0x1.2eab9bcf739cdp-6, 0x1.3104b6718fcacp-6, 0x1.3349f9973575bp-6, 0x1.357b7aafc3a21p-6, 0x1.37995096a7ce7p-6, 0x1.39a3938d9c6d6p-6, 0x1.3b9a5d36a486dp-6, 0x1.3d7dc88dd1ddap-6, 0x1.3f4df1e2c4b7p-6, 0x1.410af6d200b59p-6, 0x1.42b4f63e0cecdp-6, 0x1.444c10486096dp-6, 0x1.45d0664a28614p-6, 0x1.47421accdf65fp-6, 0x1.48a15182c5a7fp-6, 0x1.49ee2f3f34158p-6, 0x1.4b28d9eecd5b4p-6, 0x1.4c51788f977e5p-6, 0x1.4d683328fab8fp-6, 0x1.4e6d32c3a9d2bp-6, 0x1.4f60a1617f365p-6, 0x1.5042a9f540b21p-6, 0x1.5113785a62849p-6, 0x1.51d3394cb498ap-6, 0x1.52821a6011ddbp-6, 0x1.532049f8072e8p-6, 0x1.53adf73f71c65p-6, 0x1.542b522025732p-6, 0x1.54988b3a8e8fcp-6, 0x1.54f5d3dd54b16p-6, 0x1.55435dfd07e3cp-6, 0x1.55815c2bd43a7p-6, 0x1.55b001913d1fcp-6, 0x1.55cf81e1e6b66p-6, 0x1.55e011576c9a1p-6, 0x1.55e1e4a84a37cp-6, 0x1.55d530ffc97aap-6, 0x1.55ba2bf6155d7p-6, 0x1.55910b8854384p-6, 0x1.555a0610d18a6p-6, 0x1.5515523f4d0f4p-6, 0x1.54c3271155ca3p-6, 0x1.5463bbcabb965p-6, 0x1.53f747ee21c9dp-6, 0x1.537e0335a7a92p-6, 0x1.52f8258ba8136p-6, 0x1.5265e7039f2ddp-6, 0x1.51c77fd3252ccp-6, 0x1.511d284b0e66dp-6, 0x1.506718d0a626dp-6, 0x1.4fa589d7070adp-6, 0x1.4ed8b3d89d9c6p-6, 0x1.4e00cf50c004dp-6, 0x1.4d1e14b56a592p-6, 0x1.4c30bc71246a5p-6, 0x1.4b38fedcf7c52p-6, 0x1.4a37143a99101p-6, 0x1.492b34aea9569p-6, 0x1.4815983b1bebbp-6, 0x1.46f676b9c0e3dp-6, 0x1.45ce07d6f20a3p-6, 0x1.449c830c60342p-6, 0x1.43621f9c0acdfp-6, 0x1.421f148b5879ap-6, 0x1.40d3989e4d3c3p-6, 0x1.3f7fe252f138fp-6, 0x1.3e2427dccea5p-6, 0x1.3cc09f209b5c7p-6, 0x1.3b557db002215p-6, 0x1.39e2f8c58cedcp-6, 0x1.38694540b8167p-6, 0x1.36e897a2202a7p-6, 0x1.35612407db73ep-6, 0x1.33d31e29e9496p-6, 0x1.323eb956cdb41p-6, 0x1.30a428704d751p-6, 0x1.2f039de844c74p-6, 0x1.2d5d4bbdaa774p-6, 0x1.2bb16379a817p-6, 0x1.2a00162cddd2ap-6, 0x1.2849946cbe31ep-6, 0x1.268e0e5111f63p-6, 0x1.24cdb37191c8cp-6, 0x1.2308b2e3a69dp-6, 0x1.213f3b3846ec7p-6, 0x1.1f717a79ed484p-6, 0x1.1d9f9e2ab1657p-6, 0x1.1bc9d3427b329p-6, 0x1.19f0462d54e3cp-6, 0x1.181322c9d1672p-6, 0x1.163294679dc56p-6, 0x1.144ec5c61af4ep-6, 0x1.1267e11321e4bp-6, 0x1.107e0fe9d91fdp-6, 0x1.0e917b51a695bp-6, 0x1.0ca24bbd3ab84p-6, 0x1.0ab0a909b657p-6, 0x1.08bcba7de7b39p-6, 0x1.06c6a6c99b498p-6, 0x1.04ce94050a24ap-6, 0x1.02d4a7b059cebp-6, 0x1.00d906b334de5p-6, 0x1.fdb7aab8efdc6p-7, 0x1.f9ba6ec3e48f6p-7, 0x1.f5ba9fc077551p-7, 0x1.f1b882b53cf89p-7, 0x1.edb45b762887p-7, 0x1.e9ae6ca4abae9p-7, 0x1.e5a6f7aff071cp-7, 0x1.e19e3cd556698p-7, 0x1.dd947b20e794dp-7, 0x1.d989f06e09ad2p-7, 0x1.d57ed96854121p-7, 0x1.d173718c75306p-7, 0x1.cd67f3293c806p-7, 0x1.c95c9760cbec6p-7, 0x1.c5519629d3115p-7, 0x1.c1472650fd298p-7, 0x1.bd3d7d7a605fep-7, 0x1.b934d0231fcd7p-7, 0x1.b52d51a310477p-7, 0x1.b127342e7ef46p-7, 0x1.ad22a8d8156fp-7, 0x1.a91fdf92c2224p-7, 0x1.a51f0733c6a5p-7, 0x1.a1204d74cd1f5p-7, 0x1.9d23def61e0dep-7, 0x1.9929e740dfep-7, 0x1.953290c95d9fp-7, 0x1.913e04f183101p-7, 0x1.8d4c6c0b43ba1p-7, 0x1.895ded5b19d8bp-7, 0x1.8572af1aa87dfp-7, 0x1.818ad67b52721p-7, 0x1.7da687a8e9p-7, 0x1.79c5e5cc6fdep-7, 0x1.75e9130ed8a53p-7, 0x1.7210309bd6354p-7, 0x1.6e3b5ea4bcc31p-7, 0x1.6a6abc6368f0fp-7, 0x1.669e681d1d0c8p-7, 0x1.62d67f2588854p-7, 0x1.5f131de1b8dfp-7, 0x1.5b545fcb2560fp-7, 0x1.579a5f72b253ep-7, 0x1.53e53683c3baep-7, 0x1.5034fdc7587e3p-7, 0x1.4c89cd2718eb3p-7, 0x1.48e3bbb078e8cp-7, 0x1.4542df97e6459p-7, 0x1.41a74e3bd7809p-7, 0x1.3e111c2808965p-7, 0x1.3a805d1897b85p-7, 0x1.36f523fd3b7cdp-7, 0x1.336f82fc64171p-7, 0x1.2fef8b7675c08p-7, 0x1.2c754e08ec78dp-7, 0x1.2900da918ff6p-7, 0x1.25924031a4e79p-7, 0x1.22298d5107fd3p-7, 0x1.1ec6cfa1700d6p-7, 0x1.1b6a14218453p-7, 0x1.181367200cfcdp-7, 0x1.14c2d43f1518fp-7, 0x1.117866770ad14p-7, 0x1.0e342819e547bp-7, 0x1.0af622d63803bp-7, 0x1.07be5fba45ab4p-7, 0x1.048ce73728b02p-7, 0x1.0161c123cd67dp-7, 0x1.fc79e9801904dp-8, 0x1.f63d116f52b5fp-8, 0x1.f00d064aaa6b4p-8, 0x1.e9e9d32b646aap-8, 0x1.e3d3821487c31p-8, 0x1.ddca1bf8d0ccdp-8, 0x1.d7cda8c06becfp-8, 0x1.d1de2f4eebbep-8, 0x1.cbfbb588ec2f4p-8, 0x1.c6264059cd008p-8, 0x1.c05dd3b94c6fdp-8, 0x1.baa272b1359b4p-8, 0x1.b4f41f62e1d8ep-8, 0x1.af52db0ca80bfp-8, 0x1.a9bea60f5079ep-8, 0x1.a4377ff38c014p-8, 0x1.9ebd676f1cc76p-8, 0x1.99505a6a30b94p-8, 0x1.93f0560491d32p-8, 0x1.8e9d569ad10fp-8, 0x1.895757cb304e7p-8, 0x1.841e547aeb1fp-8, 0x1.7ef246daf2c27p-8, 0x1.79d3286ceb83fp-8, 0x1.74c0f207fefcdp-8, 0x1.6fbb9bdd9c9d5p-8, 0x1.6ac31d7e2a725p-8, 0x1.65d76dddc36dep-8, 0x1.60f88358a2ee9p-8, 0x1.5c2653b7c412p-8, 0x1.5760d43554d55p-8, 0x1.52a7f980fc75cp-8, 0x1.4dfbb7c44ed94p-8, 0x1.495c02a705b4p-8, 0x1.44c8cd53155e1p-8, 0x1.40420a78f3c39p-8, 0x1.3bc7ac537da89p-8, 0x1.3759a4ac236bep-8, 0x1.32f7e4deb1dd5p-8, 0x1.2ea25ddd31e07p-8, 0x1.2a590033d2c1ep-8, 0x1.261bbc0c7568cp-8, 0x1.21ea8132907aap-8, 0x1.1dc53f169d26dp-8, 0x1.19abe4d1acc24p-8, 0x1.159e6129005b9p-8, 0x1.119ca29147a53p-8, 0x1.0da697321d83dp-8, 0x1.09bc2ce932fc9p-8, 0x1.05dd514dc080fp-8, 0x1.0209f1b364dddp-8, 0x1.fc83f65b15693p-9, 0x1.f50ab524706e6p-9, 0x1.eda7f8fa6c492p-9, 0x1.e65b9aa5ce3bfp-9, 0x1.df2572864ae9bp-9, 0x1.d805589847033p-9, 0x1.d0fb247a317f7p-9, 0x1.ca06ad71d7a2fp-9, 0x1.c327ca71f9338p-9, 0x1.bc5e521efedfap-9, 0x1.b5aa1ad45e988p-9, 0x1.af0afaa973c02p-9, 0x1.a880c7762bfdcp-9, 0x1.a20b56d7e47d2p-9, 0x1.9baa7e35eecb1p-9, 0x1.955e12c62334bp-9, 0x1.8f25e99130b9bp-9, 0x1.8901d776f9f09p-9, 0x1.82f1b1329e9a4p-9, 0x1.7cf54b5ec3b24p-9, 0x1.770c7a7972c9ep-9, 0x1.713712e7f0609p-9, 0x1.6b74e8faab92dp-9, 0x1.65c5d0f0b42efp-9, 0x1.60299efb97cfap-9, 0x1.5aa02742a8a7dp-9, 0x1.55293de68aac4p-9, 0x1.4fc4b7045ad9p-9, 0x1.4a7266b9359a2p-9, 0x1.45322124f0da5p-9, 0x1.4003ba6d89a67p-9, 0x1.3ae706c1d4aadp-9, 0x1.35dbda5c9a358p-9, 0x1.30e20987296dcp-9, 0x1.2bf9689c3a5a9p-9, 0x1.2721cc0a6854ep-9, 0x1.225b0857083bcp-9, 0x1.1da4f22029ddfp-9, 0x1.18ff5e1f93e5bp-9, 0x1.146a212c73a15p-9, 0x1.0fe5103e438b5p-9, 0x1.0b70006e5b8bfp-9, 0x1.070ac6fa92d33p-9, 0x1.02b53946debddp-9, 0x1.fcde59bf1913ap-10, 0x1.f470eef613c78p-10, 0x1.ec21ddf794547p-10, 0x1.e3f0d2e3e24a2p-10, 0x1.dbdd7a3a3a864p-10, 0x1.d3e780dc2c84dp-10, 0x1.cc0e941060d19p-10, 0x1.c4526186085bap-10, 0x1.bcb297579203ep-10, 0x1.b52ee40d80d1p-10, 0x1.adc6f6a125fedp-10, 0x1.a67a7e7f0d5cfp-10, 0x1.9f492b89d3835p-10, 0x1.9832ae1bf9123p-10, 0x1.9136b70a9cc06p-10, 0x1.8a54f7a74fbbbp-10, 0x1.838d21c26160dp-10, 0x1.7cdee7ac790f5p-10, 0x1.7649fc3927affp-10, 0x1.6fce12bf9638dp-10, 0x1.696adf1d455cfp-10, 0x1.632015b6e9197p-10, 0x1.5ced6b7a3bf4dp-10, 0x1.56d295df4d63ep-10, 0x1.50cf4ae9f5554p-10, 0x1.4ae3412adba7bp-10, 0x1.450e2fc0b6cafp-10, 0x1.3f4fce598a613p-10, 0x1.39a7d53370c83p-10, 0x1.3415fd1dc335dp-10, 0x1.2e99ff79bf3a2p-10, 0x1.2933963b5a6a5p-10, 0x1.23e27bea599a4p-10, 0x1.1ea66ba26e222p-10, 0x1.197f2114098a1p-10, 0x1.146c58851f318p-10, 0x1.0f6dced150383p-10, 0x1.0a83416a771bp-10, 0x1.05ac6e5906f4p-10, 0x1.00e9143c1378ep-10, 0x1.f871e49463a54p-11, 0x1.ef3790a1bf363p-11, 0x1.e622ad6a84c1bp-11, 0x1.dd32bce7c8a61p-11, 0x1.d4674241c4627p-11, 0x1.cbbfc1d027e0fp-11, 0x1.c33bc118f3274p-11, 0x1.badac6d19210cp-11, 0x1.b29c5add999fbp-11, 0x1.aa80064ee1356p-11, 0x1.a28553650117fp-11, 0x1.9aabcd8c978bep-11, 0x1.92f3015f1f2bap-11, 0x1.8b5a7ca16c455p-11, 0x1.83e1ce4434dccp-11, 0x1.7c888661e5609p-11, 0x1.754e363eabb27p-11, 0x1.6e32704753ff4p-11, 0x1.6734c80fdf8e3p-11, 0x1.6054d252f6374p-11, 0x1.599224f089ceep-11, 0x1.52ec56eca133bp-11, 0x1.4c63006e49306p-11, 0x1.45f5babe3ad53p-11, 0x1.3fa420452d6p-11, 0x1.396dcc8b49b8ep-11, 0x1.33525c35b1ea6p-11, 0x1.2d516d05f5f86p-11, 0x1.276a9dd818181p-11, 0x1.219d8ea111ef6p-11, 0x1.1be9e06d29dd6p-11, 0x1.164f355ec53cdp-11, 0x1.10cd30abff9f8p-11, 0x1.0b63769dbed11p-11, 0x1.0611ac8da1aacp-11, 0x1.00d778e3ff1dcp-11, 0x1.f769062d71d14p-12, 0x1.ed50e74d9e70bp-12, 0x1.e365e83e4c9d1p-12, 0x1.d9a75e244df09p-12, 0x1.d014a0304566ap-12, 0x1.c6ad079aa4fddp-12, 0x1.bd6fefa09a7c8p-12, 0x1.b45cb57e9745fp-12, 0x1.ab72b86e0fe41p-12, 0x1.a2b159a093137p-12, 0x1.9a17fc3cac9fbp-12, 0x1.91a60558396e2p-12, 0x1.895adbf67d7f7p-12, 0x1.8135e902e7aa9p-12, 0x1.7936974cd9a5dp-12, 0x1.715c53849866ep-12, 0x1.69a68c35ac559p-12, 0x1.6214b1c45e2ecp-12, 0x1.5aa6366867d48p-12, 0x1.535a8e29939d6p-12, 0x1.4c312edb24e3cp-12, 0x1.4529901798673p-12, 0x1.3e432b3cdc06bp-12, 0x1.377d7b6828cd5p-12, 0x1.30d7fd7123p-12, 0x1.2a522fe6afeaep-12, 0x1.23eb9309a3173p-12, 0x1.1da3a8ca17269p-12, 0x1.1779f4c1a33dbp-12, 0x1.116dfc301725cp-12, 0x1.0b7f45f75de8p-12, 0x1.05ad5a967312dp-12, 0x1.ffef884d4bedcp-13, 0x1.f4bc1cac8cd39p-13, 0x1.e9bf8cc9e8bd2p-13, 0x1.def8f63f26562p-13, 0x1.d46779b767c94p-13, 0x1.ca0a3ae888e4cp-13, 0x1.bfe06089b2f9ap-13, 0x1.b5e9144b6f897p-13, 0x1.ac2382cf9f075p-13, 0x1.a28edba2442bdp-13, 0x1.992a512f1d6d6p-13, 0x1.8ff518bcb1b06p-13, 0x1.86ee6a61cced1p-13, 0x1.7e1580ff257cap-13, 0x1.75699a36483d6p-13, 0x1.6ce9f66317249p-13, 0x1.6495d891b92f2p-13, 0x1.5c6c867a2c603p-13, 0x1.546d487508daep-13, 0x1.4c976976092ap-13, 0x1.44ea370439c0bp-13, 0x1.3d6501315f9e1p-13, 0x1.36071a928d95cp-13, 0x1.2ecfd83a4b50ap-13, 0x1.27be91aeb32d9p-13, 0x1.20d2a0e3cacc8p-13, 0x1.1a0b623370cep-13, 0x1.13683456e0cc7p-13, 0x1.0ce8785d86481p-13, 0x1.068b91a8b6472p-13, 0x1.0050e5e1bb32fp-13, 0x1.f46fb9e910b78p-14, 0x1.e87fc20f513e7p-14, 0x1.dcd0bcec8f5f7p-14, 0x1.d1618791821d8p-14, 0x1.c6310359e1c19p-14, 0x1.bb3e15e30dbd4p-14, 0x1.b087a8fa87156p-14, 0x1.a60caa9157cddp-14, 0x1.9bcc0cb12fb9bp-14, 0x1.91c4c56c7041bp-14, 0x1.87f5ced32192ap-14, 0x1.7e5e26e3a533dp-14, 0x1.74fccf81556e2p-14, 0x1.6bd0ce6534481p-14, 0x1.62d92d121e263p-14, 0x1.5a14f8c803473p-14, 0x1.51834279671dep-14, 0x1.49231ebc4443fp-14, 0x1.40f3a5c06dba9p-14, 0x1.38f3f3423f7d7p-14, 0x1.3123267ee9a37p-14, 0x1.29806229b4cf9p-14, 0x1.220acc5edf15ep-14, 0x1.1ac18e98d4b71p-14, 0x1.13a3d5a5ef401p-14, 0x1.0cb0d19b6e5a2p-14, 0x1.05e7b5cae8033p-14, 0x1.fe8f716f0e776p-15, 0x1.f1a0281626cdp-15, 0x1.e50009165f5edp-15, 0x1.d8ad941d6753ap-15, 0x1.cca74ee381dffp-15, 0x1.c0ebc51c43ab8p-15, 0x1.b579885cea0c8p-15, 0x1.aa4f300a63979p-15, 0x1.9f6b5942f8e9dp-15, 0x1.94cca6cd77416p-15, 0x1.8a71c10288efp-15, 0x1.805955ba56237p-15, 0x1.76821839de65bp-15, 0x1.6ceac11dc1f48p-15, 0x1.63920e4883fc1p-15, 0x1.5a76c2d1d70c3p-15, 0x1.5197a6f12e455p-15, 0x1.48f387ece67fcp-15, 0x1.4089380703091p-15, 0x1.38578e6d55e0cp-15, 0x1.305d672643aa3p-15, 0x1.2899a3009b918p-15, 0x1.210b27814005ap-15, 0x1.19b0ded1c9209p-15, 0x1.1289b7b1a1e34p-15, 0x1.0b94a563c0118p-15, 0x1.04d09f9f8efd4p-15, 0x1.fc7944fe0a1edp-16, 0x1.efaf5ce11c092p-16, 0x1.e34190499a77dp-16, 0x1.d72df10496116p-16, 0x1.cb7299263f2bcp-16, 0x1.c00daaede3588p-16, 0x1.b4fd50a8de2b6p-16, 0x1.aa3fbc92df9d4p-16, 0x1.9fd328b8d374ap-16, 0x1.95b5d6dc030b8p-16, 0x1.8be61057bb47p-16, 0x1.826226019ff35p-16, 0x1.79287010b8948p-16, 0x1.70374e0004381p-16, 0x1.678d26730384cp-16, 0x1.5f28671c9038ap-16, 0x1.570784a2bd2a3p-16, 0x1.4f28fa866c02p-16, 0x1.478b4b0810efap-16, 0x1.402cff0e4e58ep-16, 0x1.390ca60da8d6ep-16, 0x1.3228d5ef5bd21p-16, 0x1.2b802af7e2759p-16, 0x1.251147af8deecp-16, 0x1.1edad4cb434edp-16, 0x1.18db81147a789p-16, 0x1.13120150f7e1p-16, 0x1.0d7d102cbe20dp-16, 0x1.081b6e24fa47bp-16, 0x1.02ebe16e3c1b7p-16, 0x1.fbda6bc1dd799p-17, 0x1.f23c79c513a6fp-17, 0x1.e8fb9aa237618p-17, 0x1.e01586d9fb414p-17, 0x1.d788018b0f4a2p-17, 0x1.cf50d843ab189p-17, 0x1.c76de2dee3444p-17, 0x1.bfdd0355ba7e5p-17, 0x1.b89c259fa8166p-17, 0x1.b1a93f8403e3p-17, 0x1.ab02507793d98p-17, 0x1.a4a56178e81f2p-17, 0x1.9e9084e33da4fp-17, 0x1.98c1d64f04acap-17, 0x1.93377a6dc3cbap-17, 0x1.8def9ee5d6e66p-17, 0x1.88e87a2bf0975p-17, 0x1.84204b626235dp-17, 0x1.7f955a34d9603p-17, 0x1.7b45f6baa542dp-17, 0x1.773079519bf64p-17, 0x1.7353427b72c44p-17, 0x1.6facbac18b6cbp-17, 0x1.6c3b52911dc65p-17, 0x1.68fd821e41049p-17, 0x1.65f1c94152663p-17, 0x1.6316af5c4be93p-17, 0x1.606ac33839629p-17, 0x1.5dec9ae9b595cp-17, 0x1.5b9ad3b2a0ceap-17, 0x1.597411e3ea384p-17, 0x1.577700c28a553p-17, 0x1.55a2526b88797p-17, 0x1.53f4bfb3868cap-17, 0x1.526d0810c8395p-17, 0x1.5109f17ec51bbp-17, 0x1.4fca486073cc4p-17, 0x1.4eacdf671012cp-17, 0x1.4db08f7944ae3p-17, 0x1.4cd43799c4224p-17, 0x1.4c16bccb36449p-17, 0x1.4b7709fa7af11p-17, 0x1.4af40fe47db0cp-17, 0x1.4a8cc4fd6545ep-17, 0x1.4a4025588206cp-17, 0x1.4a0d3293079bep-17, 0x1.49f2f3bad357dp-17, 0x1.49f07537dc14p-17, 0x1.4a04c8b4f33dfp-17, 0x1.4a2f050b889f1p-17, 0x1.4a6e462b82aa8p-17, 0x1.4ac1ad0602e5bp-17, 0x1.4b285f79aaab9p-17, 0x1.4ba1883c14b15p-17, 0x1.4c2c56c5bd1f4p-17, 0x1.4cc7ff3d1b25p-17, 0x1.4d73ba625b3e5p-17, 0x1.4e2ec57c4009cp-17, 0x1.4ef86244cd14bp-17, 0x1.4fcfd6d4f9c62p-17, 0x1.50b46d9231e3ep-17, 0x1.51a5751cc95b4p-17, 0x1.52a2403ad74ap-17, 0x1.53aa25c7966a5p-17, 0x1.54bc80a29b8f2p-17, 0x1.55d8af9c4fb9dp-17, 0x1.56fe15660bbafp-17, 0x1.582c187f9892bp-17, 0x1.5962232743dc6p-17, 0x1.5a9fa348b72d9p-17, 0x1.5be40a6d43453p-17, 0x1.5d2ecdaa5c9f9p-17, 0x1.5e7f6592d47p-17, 0x1.5fd54e2777671p-17, 0x1.613006c6c7537p-17, 0x1.628f121d4ef79p-17, 0x1.63f1f6181810ep-17, 0x1.65583bd4e6adap-17, 0x1.66c16f93ca0f8p-17, 0x1.682d20a8b4c37p-17, 0x1.699ae16d8ae5fp-17, 0x1.6b0a473440417p-17, 0x1.6c7aea395e309p-17, 0x1.6dec6595a1792p-17, 0x1.6f5e5731895a5p-17, 0x1.70d05fb75e9c1p-17, 0x1.72422287aaa3ep-17, 0x1.73b345aa2f943p-17, 0x1.752371c42104ep-17, 0x1.7692520a49565p-17, 0x1.77ff9434974e9p-17, 0x1.796ae8732b0ebp-17, 0x1.7ad40161497bep-17, 0x1.7c3a93faa5bc9p-17, 0x1.7d9e578fd9bd7p-17, 0x1.7eff05baffdc9p-17, 0x1.805c5a546966bp-17, 0x1.81b613681a855p-17, 0x1.830bf12a66caep-17, 0x1.845db5ede62f8p-17, 0x1.85ab2618dcd0fp-17, 0x1.86f4081a84701p-17, 0x1.8838246195dcfp-17, 0x1.8977455225735p-17, 0x1.8ab1373b93c3ep-17, 0x1.8be5c84f113d1p-17, 0x1.8d14c895ad17ep-17, 0x1.8e3e09e74969dp-17, 0x1.8f615fe1b4aeap-17, 0x1.907e9fdfb93bcp-17, 0x1.9195a0eead5b1p-17, 0x1.92a63bc71d78bp-17, 0x1.93b04ac37b07fp-17, 0x1.94b3a9d7fe5efp-17, 0x1.95b03689d46dep-17, 0x1.96a5cfe78812bp-17, 0x1.9794567f7476ap-17, 0x1.987bac596fc28p-17, 0x1.995bb4edd35d5p-17, 0x1.9a34551db5b16p-17, 0x1.9b05732c0bf7ap-17, 0x1.9bcef6b576757p-17, 0x1.9c90c8a928a2dp-17, 0x1.9d4ad34114861p-17, 0x1.9dfd01fb9285cp-17, 0x1.9ea74193cf0fdp-17, 0x1.9f497ffad8379p-17, 0x1.9fe3ac50ef101p-17, 0x1.a075b6df30efap-17, 0x1.a0ff910fd1347p-17, 0x1.a1812d689ab46p-17, 0x1.a1fa7f840d358p-17, 0x1.a26b7c0bd3563p-17, 0x1.a2d418b1a37e7p-17, 0x1.a3344c2953c8ap-17, 0x1.a38c0e232d52bp-17, 0x1.a3db5745daaecp-17, 0x1.a4222128324bdp-17, 0x1.a460664cb589cp-17, 0x1.a496221a39763p-17, 0x1.a4c350d7f48d8p-17, 0x1.a4e7efa75d504p-17, 0x1.a503fc7e94a44p-17, 0x1.a517762378d2p-17, 0x1.a5225c263e03ep-17, 0x1.a524aedd213b3p-17, 0x1.a51e6f5e7daa3p-17, 0x1.a50f9f7ba60c3p-17, 0x1.a4f841bdaade6p-17, 0x1.a4d8595eb741p-17, 0x1.a4afea46b77bap-17, 0x1.a47ef9060cdd4p-17, 0x1.a4458ad14504ap-17, 0x1.a403a57cc2bfcp-17, 0x1.a3b94f7895091p-17, 0x1.a3668fcb492aep-17, 0x1.a30b6e0f0d342p-17, 0x1.a2a7f26bc8332p-17, 0x1.a23c259588214p-17, 0x1.a1c810c583f97p-17, 0x1.a14bbdb93ae67p-17, 0x1.a0c736ac0dabfp-17, 0x1.a03a86550f7bcp-17, 0x1.9fa5b7e213302p-17, 0x1.9f08d6f5b4556p-17, 0x1.9e63efa1cba11p-17, 0x1.9db70e658f0acp-17, 0x1.9d0240290dfe3p-17, 0x1.9c45923a7f0b5p-17, 0x1.9b811249e1913p-17, 0x1.9ab4ce6703e58p-17, 0x1.99e0d4fd96d9p-17, 0x1.990534d200e87p-17, 0x1.9821fcfe8ac71p-17, 0x1.97373cefd4e2ap-17, 0x1.96450462b0de5p-17, 0x1.954b63603f2d8p-17, 0x1.944a6a3bc43c2p-17, 0x1.9342298f5344fp-17, 0x1.9232b239fcd3cp-17, 0x1.911c155b877ebp-17, 0x1.8ffe645304bafp-17, 0x1.8ed9b0bc2a142p-17, 0x1.8dae0c6be3831p-17, 0x1.8c7b896e90594p-17, 0x1.8b423a059059fp-17, 0x1.8a0230a454e35p-17, 0x1.88bb7fee2a8fp-17, 0x1.876e3ab47be13p-17, 0x1.861a73f3904c2p-17, 0x1.84c03ed1777cep-17, 0x1.835fae9aa004ap-17, 0x1.81f8d6c0bce17p-17, 0x1.808bcad78763dp-17, 0x1.7f189e944ec5ep-17, 0x1.7d9f65ca695c3p-17, 0x1.7c20346a5f4bcp-17, 0x1.7a9b1e7eebd88p-17, 0x1.7910382bdbb96p-17, 0x1.777f95ac21a98p-17, 0x1.75e94b4fa8ae9p-17, 0x1.744d6d79fffbep-17, 0x1.72ac10a051405p-17, 0x1.710549479d915p-17, 0x1.6f592c031e5dfp-17, 0x1.6da7cd73367f1p-17, 0x1.6bf14242c71c1p-17, 0x1.6a359f26f8e77p-17, 0x1.6874f8dc1db8ep-17, 0x1.66af6425b08d3p-17, 0x1.64e4f5cbe9d48p-17, 0x1.6315c29b2b01ap-17, 0x1.6141df612b151p-17, 0x1.5f6960edb0856p-17, 0x1.5d8c5c0ed734ap-17, 0x1.5baae591f8765p-17, 0x1.59c51241211a7p-17, 0x1.57daf6e247aa2p-17, 0x1.55eca835992d6p-17, 0x1.53fa3af502fe9p-17, 0x1.5203c3d2b9357p-17, 0x1.50095777eca0fp-17, 0x1.4e0b0a83a7cf5p-17, 0x1.4c08f18a5b798p-17, 0x1.4a032114291f9p-17, 0x1.47f9ad9c4cdd6p-17, 0x1.45ecab90033d6p-17, 0x1.43dc2f4d04412p-17, 0x1.41c84d21d0e9bp-17, 0x1.3fb1194b96c96p-17, 0x1.3d96a7f5ed002p-17, 0x1.3b790d39bba3fp-17, 0x1.39585d1c88544p-17, 0x1.3734ab8f84423p-17, 0x1.350e0c6f50f5p-17, 0x1.32e493821f609p-17, 0x1.30b854780a8bap-17, 0x1.2e8962e982052p-17, 0x1.2c57d2572ca31p-17, 0x1.2a23b6291dbd7p-17, 0x1.27ed21adf55e6p-17, 0x1.25b4281a7e8cap-17, 0x1.2378dc8899021p-17, 0x1.213b51f785fc1p-17, 0x1.1efb9b4a211dap-17, 0x1.1cb9cb474b14ep-17, 0x1.1a75f4990daf5p-17, 0x1.183029cbfb04ep-17, 0x1.15e87d4e64dc2p-17, 0x1.139f0170ef15fp-17, 0x1.1153c8645d7c3p-17, 0x1.0f06e43b5385cp-17, 0x1.0cb866e77a1b2p-17, 0x1.0a68623aea537p-17, 0x1.0816e7e718522p-17, 0x1.05c4097c73027p-17, 0x1.036fd869f8de1p-17, 0x1.011a65fccafa5p-17, 0x1.fd8786c0a140cp-18, 0x1.f8d8033a5db4p-18, 0x1.f4266332d7ca2p-18, 0x1.ef72c82fc0c4cp-18, 0x1.eabd5370ffa6p-18, 0x1.e60625ee1d6dep-18, 0x1.e14d6058303fbp-18, 0x1.dc932316da623p-18, 0x1.d7d78e49dfc9cp-18, 0x1.d31ac1c789599p-18, 0x1.ce5cdd1d05725p-18, 0x1.c99dff8c60442p-18, 0x1.c4de480f2c07dp-18, 0x1.c01dd5525ce29p-18, 0x1.bb5cc5b980a9p-18, 0x1.b69b375bcbffp-18, 0x1.b1d948054c71bp-18, 0x1.ad17153615315p-18, 0x1.a854bc227a27ep-18, 0x1.a39259b1dafd3p-18, 0x1.9ed00a7fe477ap-18, 0x1.9a0deadac5554p-18, 0x1.954c16c49242ep-18, 0x1.908aa9f1c7f44p-18, 0x1.8bc9bfca9325ap-18, 0x1.87097368f06acp-18, 0x1.8249df9a4bcf8p-18, 0x1.7d8b1ede57642p-18, 0x1.78cd4b67ad82ap-18, 0x1.74107f1b3f8afp-18, 0x1.6f54d390c3693p-18, 0x1.6a9a62121073p-18, 0x1.65e1439cb2a2dp-18, 0x1.612990df3b2a8p-18, 0x1.5c73623baf9a8p-18, 0x1.57becfc6ba114p-18, 0x1.530bf14853ddbp-18, 0x1.4e5ade39ed5f7p-18, 0x1.49abadc9b5a4ep-18, 0x1.44fe76d7633b1p-18, 0x1.40534ff7487dap-18, 0x1.3baa4f6fd89d7p-18, 0x1.37038b3b910b7p-18, 0x1.325f1908b6501p-18, 0x1.2dbd0e398399fp-18, 0x1.291d7fe3f6dc9p-18, 0x1.248082d27486fp-18, 0x1.1fe62b83b638cp-18, 0x1.1b4e8e2b131a7p-18, 0x1.16b9beb181417p-18, 0x1.1227d0b4185bbp-18, 0x1.0d98d78620dc1p-18, 0x1.090ce63022711p-18, 0x1.04840f7116fbbp-18, 0x1.fffccb7b4105ep-19, 0x1.f6f7f682ae85cp-19, 0x1.edf9c3bce6fcbp-19, 0x1.e502565ce9ea5p-19, 0x1.dc11d1043355ep-19, 0x1.d32855c4a5386p-19, 0x1.ca46061ec8bb2p-19, 0x1.c16b03058c4b5p-19, 0x1.b8976cdcfa715p-19, 0x1.afcb637c13aacp-19, 0x1.a707062adf3c1p-19, 0x1.9e4a73a7990dp-19, 0x1.9595ca23a0849p-19, 0x1.8ce92745851d9p-19, 0x1.8444a82a306e1p-19, 0x1.7ba869657ae1ep-19, 0x1.73148703bd853p-19, 0x1.6a891c870cf8cp-19, 0x1.620644ed60e9ap-19, 0x1.598c1aae0ddabp-19, 0x1.511ab7b9b0f77p-19, 0x1.48b2357f21fc8p-19, 0x1.4052ace873f2cp-19, 0x1.37fc365d8af61p-19, 0x1.2faee9c3df1a9p-19, 0x1.276ade80ff2dbp-19, 0x1.1f302b79dbb3ap-19, 0x1.16fee7154c8aap-19, 0x1.0ed7273b10f7bp-19, 0x1.06b90156154d1p-19, 0x1.fd4914aa54751p-20, 0x1.ed33ad566a733p-20, 0x1.dd31f4a1eec34p-20, 0x1.cd44118ab79b1p-20, 0x1.bd6a2a1fad3edp-20, 0x1.ada4637cf8537p-20, 0x1.9df2e1d37157dp-20, 0x1.8e55c8678190ep-20, 0x1.7ecd3993aafafp-20, 0x1.6f5956cc58cfbp-20, 0x1.5ffa409dfd9aap-20, 0x1.50b016b2cc95ep-20, 0x1.417af7d22053bp-20, 0x1.325b01e2601f7p-20, 0x1.235051edf30d8p-20, 0x1.145b042138032p-20, 0x1.057b33d0fbcfcp-20, 0x1.ed61f6ea9f9e8p-21, 0x1.cff8e967b5d3cp-21, 0x1.b2bb70b93d67bp-21, 0x1.95a9bcd92d8cp-21, 0x1.78c3fc22bae93p-21, 0x1.5c0a5b52820b9p-21, 0x1.3f7d058c43c04p-21, 0x1.231c245f1cadp-21, 0x1.06e7dfcb32b03p-21, 0x1.d5c0bc79ab4afp-22, 0x1.9e0b89409d473p-22, 0x1.66b06ca942f26p-22, 0x1.2fafaa79d3c28p-22, 0x1.f21306e13cf7p-23, 0x1.857c6ad1d29c8p-23, 0x1.199bf68e65085p-23, 0x1.5ce4344f9eb0bp-24, 0x1.0ffcff78717bap-25, -0x1.2de19ce990662p-26, -0x1.1d7fc25f0bf65p-24, -0x1.ee16dea7a66dep-24, -0x1.5e9e89f91fc59p-23, -0x1.c578e2795be01p-23, -0x1.15cd17c35b6e1p-22, -0x1.4881169274912p-22, -0x1.7ad84e3c3a046p-22, -0x1.acd2a1fc7be69p-22, -0x1.de6ff78bb83bfp-22, -0x1.07d81b9b9c112p-21, -0x1.2049a5ded9899p-21, -0x1.388c913051abp-21, -0x1.50a0d563e7c41p-21, -0x1.68866b86d3cfp-21, -0x1.803d4dd1831c3p-21, -0x1.97c577aa35b59p-21, -0x1.af1ee5a3008cp-21, -0x1.c649956df36fep-21, -0x1.dd4585e49c5f5p-21, -0x1.f412b6f7e9373p-21, -0x1.055894dd05fd5p-20, -0x1.10907025daf41p-20, -0x1.1bb0eef393107p-20, -0x1.26ba1368014bbp-20, -0x1.31abe02d0cf38p-20, -0x1.3c86586f6f662p-20, -0x1.47497fde56aeep-20, -0x1.51f55aa8debcdp-20, -0x1.5c89ed7d2d1adp-20, -0x1.67073d87aaa28p-20, -0x1.716d506c1ae77p-20, -0x1.7bbc2c4b0854ep-20, -0x1.85f3d7bbba1c9p-20, -0x1.901459cb4ec88p-20, -0x1.9a1db9fb8e29fp-20, -0x1.a410003e4a73bp-20, -0x1.adeb34f9b5567p-20, -0x1.b7af6100bb7ecp-20, -0x1.c15c8d95d08bfp-20, -0x1.caf2c464259c2p-20, -0x1.d4720f83e9a7fp-20, -0x1.ddda7973f7f5dp-20, -0x1.e72c0d1bb0cdp-20, -0x1.f066d5c5c94abp-20, -0x1.f98adf2228b1ap-20, -0x1.014c1aa161d66p-19, -0x1.05c7724c2956ap-19, -0x1.0a377cfa864b1p-19, -0x1.0e9c4142e443cp-19, -0x1.12f5c5eaaa17fp-19, -0x1.174411e353fddp-19, -0x1.1b872c4c132cp-19, -0x1.1fbf1c6df949ap-19, -0x1.23ebe9becb509p-19, -0x1.280d9bdc4b985p-19, -0x1.2c243a8fa0deap-19, -0x1.302fcdc8f9ac8p-19, -0x1.34305da14fb49p-19, -0x1.3825f2588c3eep-19, -0x1.3c1094546bf69p-19, -0x1.3ff04c215a8bcp-19, -0x1.43c5226fcdefap-19, -0x1.478f201583625p-19, -0x1.4b4e4e0a93c71p-19, -0x1.4f02b56b2a548p-19, -0x1.52ac5f751ceb5p-19, -0x1.564b558781712p-19, -0x1.59dfa122ea57fp-19, -0x1.5d694be745dc9p-19, -0x1.60e85f953ac8cp-19, -0x1.645ce60ac16b7p-19, -0x1.67c6e945693e4p-19, -0x1.6b26735f701c7p-19, -0x1.6e7b8e90a1ed4p-19, -0x1.71c6452c2e15fp-19, -0x1.7506a1a1c15d9p-19, -0x1.783cae7ba2462p-19, -0x1.7b68765edfbe3p-19, -0x1.7e8a0409e031bp-19, -0x1.81a162541572p-19, -0x1.84ae9c2e0e014p-19, -0x1.87b1bca03d34dp-19, -0x1.8aaaceca25eadp-19, -0x1.8d99dde28af68p-19, -0x1.907ef5359e7f8p-19, -0x1.935a202698fd4p-19, -0x1.962b6a2c52c21p-19, -0x1.98f2ded31374dp-19, -0x1.9bb089baf26fdp-19, -0x1.9e6476970a1c7p-19, -0x1.a10eb12e4dd0ep-19, -0x1.a3af4558691bdp-19, -0x1.a6463f0093cd8p-19, -0x1.a8d3aa221b5eep-19, -0x1.ab5792c9cf446p-19, -0x1.add20513d2ea6p-19, -0x1.b0430d2d39e07p-19, -0x1.b2aab750f9042p-19, -0x1.b5090fca6e71cp-19, -0x1.b75e22f0a4a52p-19, -0x1.b9a9fd2ba81c2p-19, -0x1.bbecaaed85649p-19, -0x1.be2638b7e512dp-19, -0x1.c056b3162601bp-19, -0x1.c27e26a1df65cp-19, -0x1.c49c9ffe00c32p-19, -0x1.c6b22bda019f4p-19, -0x1.c8bed6ee5ff3cp-19, -0x1.cac2adfef5658p-19, -0x1.ccbdbdd832cbep-19, -0x1.ceb01350267bp-19, -0x1.d099bb4551a87p-19, -0x1.d27ac29e8e7a9p-19, -0x1.d453364b03ed4p-19, -0x1.d62323405dd6ep-19, -0x1.d7ea967c495f6p-19, -0x1.d9a99d0248238p-19, -0x1.db6043dc922e1p-19, -0x1.dd0e981b6da43p-19, -0x1.deb4a6d3904bbp-19, -0x1.e0527d200bd74p-19, -0x1.e1e8281f6113cp-19, -0x1.e375b4f5b31c4p-19, -0x1.e4fb30c973576p-19, -0x1.e678a8c64eddbp-19, -0x1.e7ee2a19f4683p-19, -0x1.e95bc1f59ce21p-19, -0x1.eac17d8c8d373p-19, -0x1.ec1f6a14908ap-19, -0x1.ed7594c4f3a3bp-19, -0x1.eec40ad6e660ap-19, -0x1.f00ad983f31e2p-19, -0x1.f14a0e0789075p-19, -0x1.f281b59c74b76p-19, -0x1.f3b1dd7f0f648p-19, -0x1.f4da92e97a746p-19, -0x1.f5fbe318287a6p-19, -0x1.f715db43dbcbcp-19, -0x1.f82888a6f5cafp-19, -0x1.f933f8782957p-19, -0x1.fa3837ee641b9p-19, -0x1.fb35543d653a4p-19, -0x1.fc2b5a9763d66p-19, -0x1.fd1a582b87aa3p-19, -0x1.fe025a2713a26p-19, -0x1.fee36db301aa5p-19, -0x1.ffbd9ff653463p-19, -0x1.00487f099d542p-18, -0x1.00aeca949fbd9p-18, -0x1.0111b92967937p-18, -0x1.0171515344241p-18, -0x1.01cd999b52fadp-18, -0x1.02269887e8d8p-18, -0x1.027c549d315eap-18, -0x1.02ced45c8fb07p-18, -0x1.031e1e447ddbap-18, -0x1.036a38d0f3776p-18, -0x1.03b32a7a52aaep-18, -0x1.03f8f9b6a3369p-18, -0x1.043bacf8066ccp-18, -0x1.047b4aada6b6ap-18, -0x1.04b7d94351d59p-18, -0x1.04f15f210752dp-18, -0x1.0527e2ab86053p-18, -0x1.055b6a437229fp-18, -0x1.058bfc45e4a4cp-18, -0x1.05b99f0bdce74p-18, -0x1.05e458ea796eap-18, -0x1.060c3032bb3ccp-18, -0x1.06312b3167011p-18, -0x1.0653502ef6aedp-18, -0x1.0672a56f9eadap-18, -0x1.068f3132ec6d5p-18, -0x1.06a8f9b439b08p-18, -0x1.06c00529d2a63p-18, -0x1.06d459c5c3b51p-18, -0x1.06e5fdb4ee938p-18, }}, 
      {{0x1.2a8150cb1d4a3p-11, 0x1.33e5daa11a736p-10, 0x1.e4e0890ad490dp-10, 0x1.5825a0ffd9113p-9, 0x1.ce90b715980b1p-9, 0x1.2c44870ddd81ap-8, 0x1.7c1ad36789a99p-8, 0x1.d7863da35c3d3p-8, 0x1.1f76588e45467p-7, 0x1.59328af25ab02p-7, 0x1.98df8c9dc4d67p-7, 0x1.de45fe3b0bc5ap-7, 0x1.1489f783dd18p-6, 0x1.3c70c416ce369p-6, 0x1.669acac2de64bp-6, 0x1.92c4e6824bc3ep-6, 0x1.c0a75f881d941p-6, 0x1.eff7b0d8855fcp-6, 0x1.10350bc4a0d3p-5, 0x1.28d9754cd2eb5p-5, 0x1.41c3de3e81c19p-5, 0x1.5ad0248ca03d9p-5, 0x1.73db9a1390299p-5, 0x1.8cc54e4f75ed6p-5, 0x1.a56e451d6c5a7p-5, 0x1.bdb99d1514b83p-5, 0x1.d58ca7f33a8b7p-5, 0x1.eccef76487328p-5, 0x1.01b53023e9c8dp-4, 0x1.0ca57b20aabb5p-4, 0x1.172f809baa893p-4, 0x1.214b77093c48dp-4, 0x1.2af29df0b59b7p-4, 0x1.341f3325b1f36p-4, 0x1.3ccc6707e1ddap-4, 0x1.44f65015473f7p-4, 0x1.4c99de0b08aa2p-4, 0x1.53b4ccc43cb42p-4, 0x1.5a4596fc154bep-4, 0x1.604b691121863p-4, 0x1.65c613e17e393p-4, 0x1.6ab5ffd375b23p-4, 0x1.6f1c201ade093p-4, 0x1.72f9e6491c158p-4, 0x1.76513633e7fe5p-4, 0x1.79245a3d86541p-4, 0x1.7b75f807f5fep-4, 0x1.7d49059b883bdp-4, 0x1.7ea0bf08482cdp-4, 0x1.7f809c889d268p-4, 0x1.7fec492a789c3p-4, 0x1.7fe79a034de7fp-4, 0x1.7f7685f1f40d8p-4, 0x1.7e9d1df06731bp-4, 0x1.7d5f85f63f849p-4, 0x1.7bc1ee6b8ba3fp-4, 0x1.79c88e2ab38b7p-4, 0x1.77779d0ef1425p-4, 0x1.74d34f0c073e4p-4, 0x1.71dfcfcaf683dp-4, 0x1.6ea13ec6b6183p-4, 0x1.6b1babe345dcep-4, 0x1.67531478e842bp-4, 0x1.634b60ccdfc69p-4, 0x1.5f0861f0bd1e6p-4, 0x1.5a8dd00109b94p-4, 0x1.55df48bc04654p-4, 0x1.51004e691b03dp-4, 0x1.4bf44709d74d1p-4, 0x1.46be7bcd1991ep-4, 0x1.416218bdb0adep-4, 0x1.3be22ca5964a7p-4, 0x1.3641a91f6cf65p-4, 0x1.308362d02c365p-4, 0x1.2aaa11c346c34p-4, 0x1.24b851e3f8714p-4, 0x1.1eb0a38ecff91p-4, 0x1.18956c36f15c9p-4, 0x1.1268f71aec446p-4, 0x1.0c2d760577389p-4, 0x1.05e50216b4da1p-4, 0x1.ff233926201f8p-5, 0x1.f26a5f6a3579p-5, 0x1.e5a31f004e396p-5, 0x1.d8d0f52368a07p-5, 0x1.cbf735e0079d4p-5, 0x1.bf190da908d62p-5, 0x1.b23982e1dcb23p-5, 0x1.a55b775c71091p-5, 0x1.9881a9c96d373p-5, 0x1.8baeb719cc1e7p-5, 0x1.7ee51bd133465p-5, 0x1.72273548a7c45p-5, 0x1.657742e18c826p-5, 0x1.58d767290772cp-5, 0x1.4c49a8ec162b8p-5, 0x1.3fcff43cc00a1p-5, 0x1.336c1b6902cbfp-5, 0x1.271fd7e411f43p-5, 0x1.1aeccb22b023fp-5, 0x1.0ed47f6b69e36p-5, 0x1.02d8689b795b6p-5, 0x1.edf3c9c26150cp-6, 0x1.d6747ad98433fp-6, 0x1.bf354e306214cp-6, 0x1.a838860e85f46p-6, 0x1.91803e806706ap-6, 0x1.7b0e6e7bdcd0cp-6, 0x1.64e4e8f8fea65p-6, 0x1.4f055e00ccf29p-6, 0x1.39715bb2de279p-6, 0x1.242a4f432f215p-6, 0x1.0f3185f12317fp-6, 0x1.f5105bf14bcdp-7, 0x1.cc5eaefc87845p-7, 0x1.a44feaee02148p-7, 0x1.7ce5bd190bf08p-7, 0x1.56219bfc74ce8p-7, 0x1.3004c8ffa2469p-7, 0x1.0a90522b32535p-7, 0x1.cb8a27bbbf16cp-8, 0x1.834774fc3e855p-8, 0x1.3c598851cc756p-8, 0x1.ed820976c7ff3p-9, 0x1.64fc6ea08e9bdp-9, 0x1.be446a38b8be8p-10, 0x1.6fcacd1352f5p-11, -0x1.249ac521e3c9bp-12, -0x1.44e383f315853p-10, -0x1.1daae741cbbe7p-9, -0x1.9641abcd03696p-9, -0x1.061cb8b0204f7p-8, -0x1.3fcb08f8c9e41p-8, -0x1.782decbae25c1p-8, -0x1.af47bfe092p-8, -0x1.e51b113ea5c66p-8, -0x1.0cd54fcd5b807p-7, -0x1.267cab5ea78edp-7, -0x1.3f85264886e8ep-7, -0x1.57f05f27abb0bp-7, -0x1.6fc006ddbabd7p-7, -0x1.86f5df3675e05p-7, -0x1.9d93b994c2901p-7, -0x1.b39b75a7f817p-7, -0x1.c90f0029a0e32p-7, -0x1.ddf051a42ad2dp-7, -0x1.f2416d426e8f9p-7, -0x1.03022fd45680dp-6, -0x1.0c9d9eeb6f213p-6, -0x1.15f4120a54a8ep-6, -0x1.1f069a7387e7ep-6, -0x1.27d64c08019a1p-6, -0x1.30643ccbeaba1p-6, -0x1.38b1847057a5dp-6, -0x1.40bf3be201291p-6, -0x1.488e7cdcfc216p-6, -0x1.5020618573f4bp-6, -0x1.577604055371ep-6, -0x1.5e907e2ee3259p-6, -0x1.6570e92444811p-6, -0x1.6c185d03c37f6p-6, -0x1.7287f098eb12fp-6, -0x1.78c0b91247f52p-6, -0x1.7ec3c9bbc78acp-6, -0x1.849233bd9fde7p-6, -0x1.8a2d05df98945p-6, -0x1.8f954c50b2baap-6, -0x1.94cc1072fc18ap-6, -0x1.99d258ab8151ap-6, -0x1.9ea928363d147p-6, -0x1.a3517efddda49p-6, -0x1.a7cc59774dbbdp-6, -0x1.ac1ab080d7f52p-6, -0x1.b03d7944c4612p-6, -0x1.b435a51f590c9p-6, -0x1.b804218805e07p-6, -0x1.bba9d7fdb4d2dp-6, -0x1.bf27adf60f425p-6, -0x1.c27e84cf8cdc3p-6, -0x1.c5af39c64231ap-6, -0x1.c8baa5eb3c536p-6, -0x1.cba19e1e46f77p-6, -0x1.ce64f30a0dae7p-6, -0x1.d105712264159p-6, -0x1.d383e0a4a421dp-6, -0x1.d5e10599f6e3dp-6, -0x1.d81d9fdb76e05p-6, -0x1.da3a6b1801c4cp-6, -0x1.dc381edba7e14p-6, -0x1.de176e988c5cfp-6, -0x1.dfd909b133564p-6, -0x1.e17d9b8408726p-6, -0x1.e305cb7819a44p-6, -0x1.e4723d0add59cp-6, -0x1.e5c38fdef5495p-6, -0x1.e6fa5fcbd4895p-6, -0x1.e81744ee2f9d3p-6, -0x1.e91ad3b924e03p-6, -0x1.ea059d0803f8ep-6, -0x1.ead82e30a4d96p-6, -0x1.eb93111639318p-6, -0x1.ec36cc3c86b9cp-6, -0x1.ecc3e2db78c04p-6, -0x1.ed3ad4f2f6acp-6, -0x1.ed9c1f5ef7049p-6, -0x1.ede83bebb7c4ep-6, -0x1.ee1fa16a116c1p-6, -0x1.ee42c3c3d9895p-6, -0x1.ee5214104763fp-6, -0x1.ee4e00a84b44ep-6, -0x1.ee36f53ad5911p-6, -0x1.ee0d5ae0f9fffp-6, -0x1.edd19831f3dc6p-6, -0x1.ed841156eaefcp-6, -0x1.ed25281e8b64ap-6, -0x1.ecb53c1057feap-6, -0x1.ec34aa7fb810cp-6, -0x1.eba3ce9eb3d27p-6, -0x1.eb03019061e52p-6, -0x1.ea529a7af95edp-6, -0x1.e992ee9987a59p-6, -0x1.e8c4514d48p-6, -0x1.e7e7142e93007p-6, -0x1.e6fb871d689b5p-6, -0x1.e601f8518ddfp-6, -0x1.e4fab46a3fb6bp-6, -0x1.e3e6067d77e5bp-6, -0x1.e2c43826bd33bp-6, -0x1.e195919588a2bp-6, -0x1.e05a599b319c3p-6, -0x1.df12d5b86d0c8p-6, -0x1.ddbf4a2a56452p-6, -0x1.dc5ff9f703c3ep-6, -0x1.daf526f9af9cp-6, -0x1.d97f11ee61e8dp-6, -0x1.d7fdfa7d3754cp-6, -0x1.d6721f452c7a6p-6, -0x1.d4dbbde67ce82p-6, -0x1.d33b130c97e14p-6, -0x1.d1905a77a488fp-6, -0x1.cfdbcf0596dd6p-6, -0x1.ce1daabae668cp-6, -0x1.cc5626cad3a62p-6, -0x1.ca857b9f4db33p-6, -0x1.c8abe0e071453p-6, -0x1.c6c98d7ba89dap-6, -0x1.c4deb7aa6d349p-6, -0x1.c2eb94f8a8fadp-6, -0x1.c0f05a4ac1c24p-6, -0x1.beed3be34d64fp-6, -0x1.bce26d686d418p-6, -0x1.bad021e8d6aeep-6, -0x1.b8b68be093a94p-6, -0x1.b695dd3d6b891p-6, -0x1.b46e476306c3bp-6, -0x1.b23ffb2ec8153p-6, -0x1.b00b28fb65a0bp-6, -0x1.add000a433f4fp-6, -0x1.ab8eb1883c49ep-6, -0x1.a9476a8d0bacp-6, -0x1.a6fa5a2150311p-6, -0x1.a4a7ae3f33539p-6, -0x1.a24f946e83bfcp-6, -0x1.9ff239c6ad2bp-6, -0x1.9d8fcaf078938p-6, -0x1.9b287427a2fb5p-6, -0x1.98bc613c422d7p-6, -0x1.964bbd940653dp-6, -0x1.93d6b42b4bb2fp-6, -0x1.915d6f960a9f5p-6, -0x1.8ee01a00a713cp-6, -0x1.8c5edd30955b3p-6, -0x1.89d9e284e8e9cp-6, -0x1.875152f6bd366p-6, -0x1.84c557198c484p-6, -0x1.8236171b64323p-6, -0x1.7fa3bac503ec2p-6, -0x1.7d0e6979e9665p-6, -0x1.7a764a3847aefp-6, -0x1.77db8398e52b9p-6, -0x1.753e3bcef2c8bp-6, -0x1.729e98a7cb3c5p-6, -0x1.6ffcbf8aab3f7p-6, -0x1.6d58d57854ab2p-6, -0x1.6ab2ff0ab2fd9p-6, -0x1.680b6074668a3p-6, -0x1.65621d8056b37p-6, -0x1.62b75991328c9p-6, -0x1.600b37a0edf6cp-6, -0x1.5d5dda403d563p-6, -0x1.5aaf639608d52p-6, -0x1.57fff55ee05b9p-6, -0x1.554fb0ec6b4d3p-6, -0x1.529eb724d8fc8p-6, -0x1.4fed288252858p-6, -0x1.4d3b251267076p-6, -0x1.4a88cc75826cbp-6, -0x1.47d63dde6216ap-6, -0x1.4523981189888p-6, -0x1.4270f964c0ed7p-6, -0x1.3fbe7fbe95ba3p-6, -0x1.3d0c4895dcb76p-6, -0x1.3a5a70f140b64p-6, -0x1.37a91566cf292p-6, -0x1.34f8521b90b26p-6, -0x1.324842c32970ap-6, -0x1.2f99029f794b1p-6, -0x1.2ceaac804c6dbp-6, -0x1.2a3d5ac30de0dp-6, -0x1.2791275286184p-6, -0x1.24e62ba69dba6p-6, -0x1.223c80c42dc69p-6, -0x1.1f943f3cd4a84p-6, -0x1.1ced7f2ed7f4ep-6, -0x1.1a4858450c7f1p-6, -0x1.17a4e1b6c8436p-6, -0x1.15033247e1008p-6, -0x1.12636048ae533p-6, -0x1.0fc581961c029p-6, -0x1.0d29ab99c0842p-6, -0x1.0a8ff34a00dfap-6, -0x1.07f86d2a3b9b7p-6, -0x1.05632d4affa02p-6, -0x1.02d0474a4970ap-6, -0x1.003fce53cf2a3p-6, -0x1.fb63aa429bd7cp-7, -0x1.f64cdbf5d74d7p-7, -0x1.f13b556f31db8p-7, -0x1.ec2f397af7d7cp-7, -0x1.e728aa04df83dp-7, -0x1.e227c818f6e5cp-7, -0x1.dd2cb3e4c5b39p-7, -0x1.d8378cb866ccap-7, -0x1.d3487107bf417p-7, -0x1.ce5f7e6bc4d63p-7, -0x1.c97cd1a3ce6p-7, -0x1.c4a08696fedeep-7, -0x1.bfcab855b6395p-7, -0x1.bafb811b12db1p-7, -0x1.b632fa4e8e11ap-7, -0x1.b1713c858d267p-7, -0x1.acb65f851f81ep-7, -0x1.a8027a43b2f4bp-7, -0x1.a355a2eade85dp-7, -0x1.9eafeed935b23p-7, -0x1.9a1172a43230ap-7, -0x1.957a421a18153p-7, -0x1.90ea7043f782p-7, -0x1.8c620f67ab881p-7, -0x1.87e13109e71a9p-7, -0x1.8367e5f052e5ap-7, -0x1.7ef63e23ab256p-7, -0x1.7a8c48f1eb8f8p-7, -0x1.762a14f080de4p-7, -0x1.71cfaffe87061p-7, -0x1.6d7d27470ba39p-7, -0x1.69328743560b7p-7, -0x1.64efdbbd3d6cap-7, -0x1.60b52fd179519p-7, -0x1.5c828df205d58p-7, -0x1.5857ffe880d05p-7, -0x1.54358ed8994e3p-7, -0x1.501b4342725c4p-7, -0x1.4c0925051c5a9p-7, -0x1.47ff3b61030b3p-7, -0x1.43fd8cfa6b40cp-7, -0x1.40041fdbe81b1p-7, -0x1.3c12f978df532p-7, -0x1.382a1eb00340cp-7, -0x1.344993cdd7da8p-7, -0x1.30715c8f36057p-7, -0x1.2ca17c23d0051p-7, -0x1.28d9f530b3f26p-7, -0x1.251ac9d2d77dbp-7, -0x1.2163fba197dd6p-7, -0x1.1db58bb142beap-7, -0x1.1a0f7a959b215p-7, -0x1.1671c8645bcfcp-7, -0x1.12dc74b7bd369p-7, -0x1.0f4f7eb0f4e7ap-7, -0x1.0bcae4fab7a57p-7, -0x1.084ea5cbb4893p-7, -0x1.04dabee913f54p-7, -0x1.016f2da8eea69p-7, -0x1.fc17dde98c13bp-8, -0x1.f561fe97e9a6fp-8, -0x1.eebcb58c43f78p-8, -0x1.e827fa2b59abbp-8, -0x1.e1a3c3142a236p-8, -0x1.db300624bf03p-8, -0x1.d4ccb87ef25d9p-8, -0x1.ce79ce8d22db1p-8, -0x1.c8373c06e59e2p-8, -0x1.c204f3f5aca02p-8, -0x1.bbe2e8b964e27p-8, -0x1.b5d10c0d05fep-8, -0x1.afcf4f0b1c588p-8, -0x1.a9dda23247401p-8, -0x1.a3fbf569aa13fp-8, -0x1.9e2a380554b34p-8, -0x1.986858ca9e692p-8, -0x1.92b645f476ff1p-8, -0x1.8d13ed37a92b9p-8, -0x1.87813bc7136fdp-8, -0x1.81fe1e57d4da2p-8, -0x1.7c8a8125689dp-8, -0x1.77264ff5b9c4ep-8, -0x1.71d1761d2922fp-8, -0x1.6c8bde82817bdp-8, -0x1.675573a2e65e1p-8, -0x1.622e1f95acbb7p-8, -0x1.5d15cc102f015p-8, -0x1.580c62698af4fp-8, -0x1.5311cb9e5885bp-8, -0x1.4e25f0544dc4p-8, -0x1.4948b8ddd946p-8, -0x1.447a0d3dad113p-8, -0x1.3fb9d52a38e86p-8, -0x1.3b07f811190fcp-8, -0x1.36645d1a7aee6p-8, -0x1.31ceeb2c68eb1p-8, -0x1.2d4788ee11c8p-8, -0x1.28ce1ccaff1b1p-8, -0x1.24628cf63ae2bp-8, -0x1.2004bf6d6ca9p-8, -0x1.1bb499fbdde1ap-8, -0x1.1772023d80407p-8, -0x1.133cdda1d4d17p-8, -0x1.0f15116ed359p-8, -0x1.0afa82c3b6f63p-8, -0x1.06ed169bc9157p-8, -0x1.02ecb1d114bddp-8, -0x1.fdf2723e2008bp-9, -0x1.f625224a747acp-9, -0x1.ee713cd34cf31p-9, -0x1.e6d68ab6f971ep-9, -0x1.df54d4aadbc78p-9, -0x1.d7ebe3402c9e1p-9, -0x1.d09b7ee8a9febp-9, -0x1.c9636ffb36a3ep-9, -0x1.c2437eb844f09p-9, -0x1.bb3b734e3df72p-9, -0x1.b44b15ddcb399p-9, -0x1.ad722e7dff33bp-9, -0x1.a6b0854061bf1p-9, -0x1.a005e234f5255p-9, -0x1.99720d6e0c79ap-9, -0x1.92f4cf0416af1p-9, -0x1.8c8def1950ea5p-9, -0x1.863d35dd54cbfp-9, -0x1.80026b909e48fp-9, -0x1.79dd5887ee0cp-9, -0x1.73cdc52f9b836p-9, -0x1.6dd37a0ecc799p-9, -0x1.67ee3fca92c86p-9, -0x1.621ddf28fc897p-9, -0x1.5c622114027fbp-9, -0x1.56bace9c6a1e8p-9, -0x1.5127b0fc8ecbbp-9, -0x1.4ba8919b101b9p-9, -0x1.463d3a0d728bp-9, -0x1.40e5741aa9b43p-9, -0x1.3ba109bd889eap-9, -0x1.366fc52723fbcp-9, -0x1.315170c11ddf4p-9, -0x1.2c45d72fdd335p-9, -0x1.274cc354b7a9dp-9, -0x1.2266004ff8c69p-9, -0x1.1d915982ecda7p-9, -0x1.18ce9a91c2e5cp-9, -0x1.141d8f6572fcp-9, -0x1.0f7e042d7c1eep-9, -0x1.0aefc561a0695p-9, -0x1.06729fc38b45fp-9, -0x1.020660606751ep-9, -0x1.fb55a924b816p-10, -0x1.f2bf94041b7d3p-10, -0x1.ea4a1d4ff1c06p-10, -0x1.e1f4e19b8f7f4p-10, -0x1.d9bf7e1f3337ep-10, -0x1.d1a990ba6f656p-10, -0x1.c9b2b7f67cf94p-10, -0x1.c1da930861ec2p-10, -0x1.ba20c1d3158e3p-10, -0x1.b284e4e964a9fp-10, -0x1.ab069d8fe9eb9p-10, -0x1.a3a58dbeb8984p-10, -0x1.9c61582310473p-10, -0x1.9539a020eb735p-10, -0x1.8e2e09d47547bp-10, -0x1.873e3a136586cp-10, -0x1.8069d66e45ecep-10, -0x1.79b08531a34ecp-10, -0x1.7311ed6725f2bp-10, -0x1.6c8db6d68a63cp-10, -0x1.66238a0698041p-10, -0x1.5fd3103dedf6cp-10, -0x1.599bf383c5e7cp-10, -0x1.537ddea0add1fp-10, -0x1.4d787d1f07391p-10, -0x1.478b7b4ba94afp-10, -0x1.41b686363e52bp-10, -0x1.3bf94bb1b32f4p-10, -0x1.36537a547d221p-10, -0x1.30c4c178de7ccp-10, -0x1.2b4cd13d0bc91p-10, -0x1.25eb5a834b4eep-10, -0x1.20a00ef20a792p-10, -0x1.1b6aa0f3cbd1cp-10, -0x1.164ac3b7197eep-10, -0x1.11402b2e6fdebp-10, -0x1.0c4a8c0ffb19dp-10, -0x1.07699bd56a19dp-10, -0x1.029d10bb9aa88p-10, -0x1.fbc943848d5cdp-11, -0x1.f2800d5741916p-11, -0x1.e95deff7b96cfp-11, -0x1.e0625df18cd48p-11, -0x1.d78ccb5235751p-11, -0x1.cedcada82eefcp-11, -0x1.c6517c018de33p-11, -0x1.bdeaaeeabc1c4p-11, -0x1.b5a7c06d2911ap-11, -0x1.ad882c0db53d8p-11, -0x1.a58b6ecb4098dp-11, -0x1.9db1071d0177p-11, -0x1.95f874f0dfa9cp-11, -0x1.8e6139a9bb605p-11, -0x1.86ead81da3d05p-11, -0x1.7f94d493d846ap-11, -0x1.785eb4c312db1p-11, -0x1.7147ffcf6746dp-11, -0x1.6a503e484cbe1p-11, -0x1.6376fa268de3ap-11, -0x1.5cbbbeca18169p-11, -0x1.561e18f7e4dep-11, -0x1.4f9d96d7af8b1p-11, -0x1.4939c7f1bc6adp-11, -0x1.42f23d2c93226p-11, -0x1.3cc688ca912fcp-11, -0x1.36b63e67adf4ep-11, -0x1.30c0f2f6eb719p-11, -0x1.2ae63cc0067d8p-11, -0x1.2525b35cdae61p-11, -0x1.1f7eefb707f2bp-11, -0x1.19f18c055df82p-11, -0x1.147d23c9388d5p-11, -0x1.0f2153cc075dcp-11, -0x1.09ddba1ca8d1dp-11, -0x1.04b1f60cc9724p-11, -0x1.ff3b505c8622dp-12, -0x1.f540e4a0dce4ap-12, -0x1.eb73eefaec1eap-12, -0x1.e1d3b7ef71491p-12, -0x1.d85f8a6dd8e6fp-12, -0x1.cf16b3cb24ee3p-12, -0x1.c5f883bc2e5a8p-12, -0x1.bd044c505a0b9p-12, -0x1.b43961ec0a885p-12, -0x1.ab971b430e27fp-12, -0x1.a31cd15331427p-12, -0x1.9ac9df5e9407dp-12, -0x1.929da2e6404abp-12, -0x1.8a977ba485a61p-12, -0x1.82b6cb875f8abp-12, -0x1.7afaf6ab22754p-12, -0x1.736363548bf75p-12, -0x1.6bef79eb8925bp-12, -0x1.649ea4f570f6bp-12, -0x1.5d70510f9c4d9p-12, -0x1.5663ece9ac81dp-12, -0x1.4f78e94037ae8p-12, -0x1.48aeb8d71587ap-12, -0x1.4204d073f60b9p-12, -0x1.3b7aa6d8ca44ap-12, -0x1.350fb4be5a87p-12, -0x1.2ec374ceb7c12p-12, -0x1.2895639fe3bcep-12, -0x1.2284ffae3b3bbp-12, -0x1.1c91c9571a2a2p-12, -0x1.16bb42d38dca3p-12, -0x1.1100f032c3c33p-12, -0x1.0b625754d9919p-12, -0x1.05deffe565b5ap-12, -0x1.00767356480a6p-12, -0x1.f65079b48ca2ep-13, -0x1.ebe7d2bfa375fp-13, -0x1.e1b20f17df1c4p-13, -0x1.d7ae4f696275p-13, -0x1.cddbb7b8e5245p-13, -0x1.c4396f58c98afp-13, -0x1.bac6a0df41db5p-13, -0x1.b1827a1bd140dp-13, -0x1.a86c2c0db6502p-13, -0x1.9f82ead9585d5p-13, -0x1.96c5edbeac84cp-13, -0x1.8e346f0f48bcbp-13, -0x1.85cdac2453c65p-13, -0x1.7d90e5550d575p-13, -0x1.757d5ded1ad11p-13, -0x1.6d925c22b2a3ep-13, -0x1.65cf290d414b7p-13, -0x1.5e33109c16669p-13, -0x1.56bd618c93b4dp-13, -0x1.4f6d6d615848p-13, -0x1.48428858bddebp-13, -0x1.413c0963b4d26p-13, -0x1.3a594a1ce9e14p-13, -0x1.3399a6bf742c6p-13, -0x1.2cfc7e1e1e228p-13, -0x1.2681319a84152p-13, -0x1.2027251c50873p-13, -0x1.19edbf089ab58p-13, -0x1.13d468390e2e3p-13, -0x1.0dda8bf3c5a5cp-13, -0x1.07ff97e299493p-13, -0x1.0242fc0abd3aap-13, -0x1.f948558991119p-14, -0x1.ee453167d65f6p-14, -0x1.e37b797cfa25bp-14, -0x1.d8ea200b1ded3p-14, -0x1.ce901bb9d653fp-14, -0x1.c46c67870d8f8p-14, -0x1.ba7e02b6a8e0fp-14, -0x1.b0c3f0c3dc945p-14, -0x1.a73d39512b872p-14, -0x1.9de8e819fb1bap-14, -0x1.94c60ce30046p-14, -0x1.8bd3bb6c1b607p-14, -0x1.83110b6110b35p-14, -0x1.7a7d184be1aa7p-14, -0x1.7217018580522p-14, -0x1.69ddea288f0cdp-14, -0x1.61d0f90313b01p-14, -0x1.59ef58882afe2p-14, -0x1.523836c377ff3p-14, -0x1.4aaac54a6b085p-14, -0x1.4346392fd4ee6p-14, -0x1.3c09caf620e24p-14, -0x1.34f4b682b10e4p-14, -0x1.2e063b1087c6fp-14, -0x1.273d9b243f148p-14, -0x1.209a1c7e8a425p-14, -0x1.1a1b081096f8dp-14, -0x1.13bfa9ef78ce5p-14, -0x1.0d875147c3526p-14, -0x1.077150521520ep-14, -0x1.017cfc46ca6d1p-14, -0x1.f7535aa535463p-15, -0x1.ebed7d1612b8bp-15, -0x1.e0c71bc59e716p-15, -0x1.d5def83d7a6e3p-15, -0x1.cb33d9956e3a9p-15, -0x1.c0c48c5d59f1ap-15, -0x1.b68fe286e63c8p-15, -0x1.ac94b35164909p-15, -0x1.a2d1db341456dp-15, -0x1.99463bc8b4186p-15, -0x1.8ff0bbb833109p-15, -0x1.86d046a5a11abp-15, -0x1.7de3cd1a08d08p-15, -0x1.752a4471c2846p-15, -0x1.6ca2a6c747b95p-15, -0x1.644bf2e1bf344p-15, -0x1.5c252c20a2dc8p-15, -0x1.542d5a6a2de5cp-15, -0x1.4c638a17d3a8p-15, -0x1.44c6cbe4f5d87p-15, -0x1.3d5634dc9dd67p-15, -0x1.3610de47a6bd6p-15, -0x1.2ef5e59b3b0d4p-15, -0x1.28046c680bdfp-15, -0x1.213b984913019p-15, -0x1.1a9a92d2cedd3p-15, -0x1.142089829dafdp-15, -0x1.0dccadaef9f6cp-15, -0x1.079e3476e4148p-15, -0x1.019456b245a3ep-15, -0x1.f75ca1c55dbb2p-16, -0x1.ebd6c6467b3ebp-16, -0x1.e095a234bde44p-16, -0x1.d597c3d4380e1p-16, -0x1.cadbc042e0c06p-16, -0x1.c060335dd799ep-16, -0x1.b623bfa0ecfb9p-16, -0x1.ac250e0e94b67p-16, -0x1.a262ce1079895p-16, -0x1.98dbb55ee62cdp-16, -0x1.8f8e7fe4b305fp-16, -0x1.8679efa46a69ap-16, -0x1.7d9ccc9e96795p-16, -0x1.74f5e4b819cf1p-16, -0x1.6c840ba0bc0a8p-16, -0x1.64461ab99bb56p-16, -0x1.5c3af0fd443fep-16, -0x1.546172e76b5bdp-16, -0x1.4cb88a5bfdcd5p-16, -0x1.453f26915bec9p-16, -0x1.3df43bf7597ddp-16, -0x1.36d6c421780a1p-16, -0x1.2fe5bdb06ba13p-16, -0x1.29202c3bca208p-16, -0x1.2285183b4fd36p-16, -0x1.1c138ef3c59f6p-16, -0x1.15caa25ee600fp-16, -0x1.0fa96918ef6f4p-16, -0x1.09aefe4aedd63p-16, -0x1.03da8197068e8p-16, -0x1.fc562e087f7e9p-17, -0x1.f13fcdd69ef6ep-17, -0x1.e6703bc637361p-17, -0x1.dbe5d95c0c732p-17, -0x1.d19f104d62971p-17, -0x1.c79a525d48897p-17, -0x1.bdd619372e4b1p-17, -0x1.b450e64aa8441p-17, -0x1.ab0942a92f4c4p-17, -0x1.a1fdbee512396p-17, -0x1.992cf2ec7f44cp-17, -0x1.90957deb2dad3p-17, -0x1.88360627584eep-17, -0x1.800d38e30999p-17, -0x1.7819ca39cbbb4p-17, -0x1.705a750590624p-17, -0x1.68cdfabc1d29bp-17, -0x1.61732351b2e2ep-17, -0x1.5a48bd1c507fcp-17, -0x1.534d9cb5d2e1dp-17, -0x1.4c809cdeb1beap-17, -0x1.45e09e61ad7a1p-17, -0x1.3f6c87f83f8edp-17, -0x1.3923462f09d02p-17, -0x1.3303cb4b57eb7p-17, -0x1.2d0d0f2f6a0eep-17, -0x1.273e0f40bb22ap-17, -0x1.2195ce4e98941p-17, -0x1.1c1354793cfc2p-17, -0x1.16b5af17bab06p-17, -0x1.117bf0a037f09p-17, -0x1.0c6530902c16p-17, -0x1.07708b540e85bp-17, -0x1.029d22311e2c3p-17, -0x1.fbd43658d1f31p-18, -0x1.f2ad41ed4bb4p-18, -0x1.e9c3c5aa16c37p-18, -0x1.e116291685532p-18, -0x1.d8a2dc8bcac72p-18, -0x1.d068590d8f09p-18, -0x1.c865201d8b0c5p-18, -0x1.c097bb93d17afp-18, -0x1.b8febd7895932p-18, -0x1.b198bfd9dbbe9p-18, -0x1.aa6464a5c6c12p-18, -0x1.a360558673d0fp-18, -0x1.9c8b43ba3c578p-18, -0x1.95e3e7f0c8c03p-18, -0x1.8f690224f0fd1p-18, -0x1.8919597b195b6p-18, -0x1.82f3bc1d74ed8p-18, -0x1.7cf6ff1a20f1ep-18, -0x1.7721fe4122898p-18, -0x1.71739c02f2d12p-18, -0x1.6beac1507d5b1p-18, -0x1.66865d7a48cbp-18, -0x1.614566134a7f3p-18, -0x1.5c26d6cf092c6p-18, -0x1.5729b16486b88p-18, -0x1.524cfd70335ccp-18, -0x1.4d8fc857890d4p-18, -0x1.48f1252b6580dp-18, -0x1.44702c8a863b5p-18, -0x1.400bfc882991fp-18, -0x1.3bc3b88f66eaep-18, -0x1.37968947cefe8p-18, -0x1.33839c7b1262fp-18, -0x1.2f8a24fca7fcdp-18, -0x1.2ba95a8e36339p-18, -0x1.27e079c7ffafcp-18, -0x1.242ec3ff5e9d1p-18, -0x1.20937f2f5e5ffp-18, -0x1.1d0df5dff5a69p-18, -0x1.199d770fbb28ep-18, -0x1.1641561cb013ep-18, -0x1.12f8eaac83471p-18, -0x1.0fc390986a94ap-18, -0x1.0ca0a7d6a19bdp-18, -0x1.098f94646a56dp-18, -0x1.068fbe3172c6dp-18, -0x1.03a0910b63d7dp-18, -0x1.00c17c8a1ca0dp-18, -0x1.fbe3e7f65ff85p-19, -0x1.f662dc9c7ef91p-19, -0x1.f0fecc0456311p-19, -0x1.ebb6b2254e516p-19, -0x1.e68991c9a296bp-19, -0x1.e176746b8936p-19, -0x1.dc7c6a1098fdbp-19, -0x1.d79a89277af48p-19, -0x1.d2cfee6597ef4p-19, -0x1.ce1bbca580ecbp-19, -0x1.c97d1cc4549c9p-19, -0x1.c4f33d8337b7ep-19, -0x1.c07d5365a64dfp-19, -0x1.bc1a9894338a6p-19, -0x1.b7ca4cbb7bd75p-19, -0x1.b38bb4ee69da9p-19, -0x1.af5e1b8b28dbdp-19, -0x1.ab40d0199b8a2p-19, -0x1.a73327323611dp-19, -0x1.a3347a6052aa1p-19, -0x1.9f44280809fd9p-19, -0x1.9b61934987aafp-19, -0x1.978c23e77c03dp-19, -0x1.93c3462c25827p-19, -0x1.90066ad179389p-19, -0x1.8c5506e615c9ep-19, -0x1.88ae93b626a06p-19, -0x1.85128eb2f5e73p-19, -0x1.818079593682ap-19, -0x1.7df7d91d0c02dp-19, -0x1.7a783750d931fp-19, -0x1.770121105e8f6p-19, -0x1.73922728e2be5p-19, -0x1.702ade056647cp-19, -0x1.6ccadd98a9ec6p-19, -0x1.6971c14819d0fp-19, -0x1.661f27d80ba0ap-19, -0x1.62d2b3585a122p-19, -0x1.5f8c090f6c538p-19, -0x1.5c4ad1676ca06p-19, -0x1.590eb7dbe0d88p-19, -0x1.55d76ae6fa73p-19, -0x1.52a49bef7f35bp-19, -0x1.4f75ff35f5feap-19, -0x1.4c4b4bc4a7031p-19, -0x1.49243b5ef0d96p-19, -0x1.46008a6e62d02p-19, -0x1.42dff7f31fc07p-19, -0x1.3fc24574fd60ep-19, -0x1.3ca736f1b06e6p-19, -0x1.398e92cf32d9cp-19, -0x1.367821cb5d6a8p-19, -0x1.3363aeed1735ap-19, -0x1.30510775d9d23p-19, -0x1.2d3ffad3bec03p-19, -0x1.2a305a92b5ca6p-19, -0x1.2721fa4f81a87p-19, -0x1.2414afaa27f8ep-19, -0x1.21085237a79cap-19, -0x1.1dfcbb75dda94p-19, -0x1.1af1c6bf6ef7fp-19, -0x1.17e7513dcf355p-19, -0x1.14dd39ddc4ee3p-19, -0x1.11d3614439207p-19, -0x1.0ec9a9c1afcdbp-19, -0x1.0bbff7463ac3bp-19, -0x1.08b62f57a7a9dp-19, -0x1.05ac3905d9f9ap-19, -0x1.02a1fcded569p-19, -0x1.ff2ec9cbc43d8p-20, -0x1.f918b9117dacap-20, -0x1.f301a129f2205p-20, -0x1.ece95e5bc2f49p-20, -0x1.e6cfcf87232d9p-20, -0x1.e0b4d61334adcp-20, -0x1.da9855d8813fp-20, -0x1.d47a35115d64ap-20, -0x1.ce5a5c45b6a83p-20, -0x1.c838b63d067c4p-20, -0x1.c2152fe90987p-20, -0x1.bbefb85932716p-20, -0x1.b5c840a5d22e7p-20, -0x1.af9ebbe37294p-20, -0x1.a9731f1198f8ap-20, -0x1.a345610be8681p-20, -0x1.9d157a7a1cb28p-20, -0x1.96e365c286818p-20, -0x1.90af1efb64e3fp-20, -0x1.8a78a3dc19f51p-20, -0x1.843ff3af68afdp-20, -0x1.7e050f46c526dp-20, -0x1.77c7f8ec488e9p-20, -0x1.7188b456a1b6ep-20, -0x1.6b47469b980b4p-20, -0x1.6503b623ca793p-20, -0x1.5ebe0a9fef6a5p-20, -0x1.58764cfb4678fp-20, -0x1.522c875017e0ap-20, -0x1.4be0c4ddb18c2p-20, -0x1.459311fd419aap-20, -0x1.3f437c15799a4p-20, -0x1.38f211926d82ap-20, -0x1.329ee1d93004cp-20, -0x1.2c49fd3e08174p-20, -0x1.25f374fc9e56fp-20, -0x1.1f9b5b2c6d79cp-20, -0x1.1941c2b787f8cp-20, -0x1.12e6bf5183c62p-20, -0x1.0c8a656fe5ef3p-20, -0x1.062cca40598aep-20, -0x1.ff9c073ff9f27p-21, -0x1.f2dc50265dc21p-21, -0x1.e61a9d79a7a6ap-21, -0x1.d9571eb1cf827p-21, -0x1.cc920464187d9p-21, -0x1.bfcb8037762c3p-21, -0x1.b303c4d31ad54p-21, -0x1.a63b05d244a45p-21, -0x1.997177b555f46p-21, -0x1.8ca74fd65185bp-21, -0x1.7fdcc455e04f7p-21, -0x1.73120c14ef1dfp-21, -0x1.66475ea6c4f81p-21, -0x1.597cf441fae65p-21, -0x1.4cb305b448392p-21, -0x1.3fe9cc59f1379p-21, -0x1.33218212558c7p-21, -0x1.265a6131a25d7p-21, -0x1.1994a47977cdep-21, -0x1.0cd0870c5eccap-21, -0x1.000e4464225e5p-21, -0x1.e69c309312efp-22, -0x1.cd207d8c4bcd4p-22, -0x1.b3a9e844a8dcbp-22, -0x1.9a38e9a9718e4p-22, -0x1.80cdfafbe3ee6p-22, -0x1.676995b919494p-22, -0x1.4e0c3395fa61fp-22, -0x1.34b64e5d99477p-22, -0x1.1b685fed2f3acp-22, -0x1.0222e226b7e55p-22, -0x1.d1cc9db13326dp-23, -0x1.9f663f69d4c2cp-23, -0x1.6d139c87adbe5p-23, -0x1.3ad5a7aa5fe7bp-23, -0x1.08ad52dfbe104p-23, -0x1.ad371f2f17788p-24, -0x1.49429d0a42acbp-24, -0x1.cafdfe02ab5aep-25, -0x1.03dc45dbeeabap-25, -0x1.e91e4b3d57c32p-28, 0x1.124f881af139cp-26, 0x1.4f02b3f67a98p-25, 0x1.0a34ae5cbd7bbp-24, 0x1.6cac0cfa72784p-24, 0x1.cee5a6881cb5fp-24, 0x1.186fd752e7828p-23, 0x1.494c2e056e336p-23, 0x1.7a06f44c5296bp-23, 0x1.aa9f48ca5ac9cp-23, 0x1.db144bde1ff19p-23, 0x1.05b28fd8c1fd6p-22, 0x1.1dc8742013acfp-22, 0x1.35cb65bc04675p-22, 0x1.4dbaf898cc1fap-22, 0x1.6596c1a685464p-22, 0x1.7d5e56d66ee26p-22, 0x1.95114f2f89b94p-22, 0x1.acaf42c287dbcp-22, 0x1.c437cabbf18a9p-22, 0x1.dbaa8162f6af1p-22, 0x1.f307022089b4dp-22, 0x1.052674c1cc7d3p-21, 0x1.10bdeaa32242p-21, 0x1.1c49b2294520fp-21, 0x1.27c99b6262d9bp-21, 0x1.333d76f666aefp-21, 0x1.3ea5162ae684ap-21, 0x1.4a004ae63b642p-21, 0x1.554ee7acab608p-21, 0x1.6090bfa5138d8p-21, 0x1.6bc5a698bacdbp-21, 0x1.76ed70f840459p-21, 0x1.8207f3d661bcep-21, 0x1.8d1504ef022d6p-21, 0x1.98147aa41b636p-21, 0x1.a3062c03766edp-21, 0x1.ade9f0c1c9a3ap-21, 0x1.b8bfa13fc1cc5p-21, 0x1.c3871688101a1p-21, 0x1.ce402a53a1f82p-21, 0x1.d8eab704dab82p-21, 0x1.e38697ad326acp-21, 0x1.ee13a80d2e7e7p-21, 0x1.f891c48f76874p-21, 0x1.0180652736162p-20, 0x1.06b04b895280fp-20, 0x1.0bd884aa8ae44p-20, 0x1.10f9001d35449p-20, 0x1.1611adccabf35p-20, 0x1.1b227df9dc43ep-20, 0x1.202b613db83c3p-20, 0x1.252c48896f133p-20, 0x1.2a2525250d8c8p-20, 0x1.2f15e8ae55abbp-20, 0x1.33fe851b70265p-20, 0x1.38deecb938969p-20, 0x1.3db7122af3b13p-20, 0x1.4286e8697fbf6p-20, 0x1.474e62c5d22f4p-20, 0x1.4c0d74e5dd37p-20, 0x1.50c412c47429ap-20, 0x1.557230b331fecp-20, 0x1.5a17c357e5dabp-20, 0x1.5eb4bfae65fcep-20, 0x1.63491b04aba05p-20, 0x1.67d4cafff301dp-20, 0x1.6c57c59639672p-20, 0x1.70d20112f43b3p-20, 0x1.75437413228dap-20, 0x1.79ac1587ed3a1p-20, 0x1.7e0bdcb1b6272p-20, 0x1.8262c12596d67p-20, 0x1.86b0bac7f0d17p-20, 0x1.8af5c1ce7a3dbp-20, 0x1.8f31cebeee5cbp-20, 0x1.9364da6dc86cp-20, 0x1.978ede00ca6fcp-20, 0x1.9bafd2ea65374p-20, 0x1.9fc7b2ec53e7ep-20, 0x1.a3d678138e5bep-20, 0x1.a7dc1cbdb78eep-20, 0x1.abd89b91e7c9dp-20, 0x1.afcbef83d287bp-20, 0x1.b3b613d26a468p-20, 0x1.b79704078d85p-20, 0x1.bb6ebbf6a5f72p-20, 0x1.bf3d37bcdfdd2p-20, 0x1.c30273bf840bcp-20, 0x1.c6be6cad0eed8p-20, 0x1.ca711f79e92f7p-20, 0x1.ce1a8962b85bp-20, 0x1.d1baa7e9d496ap-20, 0x1.d55178d71baeep-20, 0x1.d8defa374c387p-20, 0x1.dc632a5b23971p-20, 0x1.dfde07d78093fp-20, 0x1.e34f918334334p-20, 0x1.e6b7c6787866cp-20, 0x1.ea16a61162669p-20, 0x1.ed6c2feab7e0cp-20, 0x1.f0b863dfd382fp-20, 0x1.f3fb420beb40cp-20, 0x1.f734cac98ce51p-20, 0x1.fa64feb0c3113p-20, 0x1.fd8bde968d314p-20, 0x1.0054b5c6965dbp-19, 0x1.01ded37140c2ap-19, 0x1.036449101ed36p-19, 0x1.04e517848669cp-19, 0x1.06613fcd727aap-19, 0x1.07d8c3061c872p-19, 0x1.094ba265e7481p-19, 0x1.0ab9df4002726p-19, 0x1.0c237b031035fp-19, 0x1.0d8877392f9dbp-19, 0x1.0ee8d5869601p-19, 0x1.104497aa6044cp-19, 0x1.119bbf7d78642p-19, 0x1.12ee4ef2a3da1p-19, 0x1.143c4815bb057p-19, 0x1.1585ad0bfb04ap-19, 0x1.16ca80127e4abp-19, 0x1.180ac37f81bf4p-19, 0x1.194679c0994dep-19, 0x1.1a7da55b350fbp-19, 0x1.1bb048eb8485fp-19, 0x1.1cde672534d57p-19, 0x1.1e0802d1e9ef2p-19, 0x1.1f2d1ed1b550bp-19, 0x1.204dbe1a63e4p-19, 0x1.2169e3b72afc6p-19, 0x1.228192c8567b5p-19, 0x1.2394ce830f2bp-19, 0x1.24a39a30f1403p-19, 0x1.25adf92f9754dp-19, 0x1.26b3eef02c4d4p-19, 0x1.27b57ef79a09ep-19, 0x1.28b2acddb3892p-19, 0x1.29ab7c4cea8a9p-19, 0x1.2a9ff102285b9p-19, 0x1.2b900ecca207fp-19, 0x1.2c7bd98cbe763p-19, 0x1.2d635534c887fp-19, 0x1.2e4685c7dddbcp-19, 0x1.2f256f59f92d7p-19, 0x1.3000160f2d301p-19, 0x1.30d67e1c6d294p-19, 0x1.31a8abc561cfdp-19, 0x1.3276a35e354f9p-19, 0x1.334069493a9d7p-19, 0x1.340601f8a9eabp-19, 0x1.34c771ec13842p-19, 0x1.3584bdb271025p-19, 0x1.363de9e78a534p-19, 0x1.36f2fb35aeb7dp-19, 0x1.37a3f653c629bp-19, 0x1.3850e00619f7p-19, 0x1.38f9bd1d645ffp-19, 0x1.399e927706c6bp-19, 0x1.3a3f64fc70ec6p-19, 0x1.3adc39a294dcbp-19, 0x1.3b75156a6b83bp-19, 0x1.3c09fd5f87c7cp-19, 0x1.3c9af6993475fp-19, 0x1.3d280638a5effp-19, 0x1.3db13169ff4efp-19, 0x1.3e367d631a863p-19, 0x1.3eb7ef6402051p-19, 0x1.3f358cb606ac2p-19, 0x1.3faf5aabf31bp-19, 0x1.40255ea17662ep-19, 0x1.40979dfb1912ap-19, 0x1.41061e25dbcacp-19, 0x1.4170e496ee078p-19, 0x1.41d7f6cb8effdp-19, 0x1.423b5a4870d96p-19, 0x1.429b149a39c8fp-19, 0x1.42f72b544e836p-19, 0x1.434fa41135f7bp-19, 0x1.43a4847251409p-19, 0x1.43f5d21f424d8p-19, 0x1.444392c613a96p-19, 0x1.448dcc1a7a3f6p-19, 0x1.44d483d6979eep-19, 0x1.4517bfb937311p-19, 0x1.4557858747cdcp-19, 0x1.4593db0a00ba6p-19, 0x1.45ccc61039cf9p-19, 0x1.46024c6c9dbacp-19, 0x1.463473f6ddd23p-19, 0x1.4663428a89c86p-19, 0x1.468ebe0713212p-19, 0x1.46b6ec5016fb6p-19, 0x1.46dbd34c21035p-19, 0x1.46fd78e5b001bp-19, 0x1.471be309c4ecdp-19, 0x1.473717a8d753cp-19, 0x1.474f1cb5b1adbp-19, 0x1.4763f825ec239p-19, 0x1.4775aff116b1fp-19, 0x1.47844a115e07p-19, 0x1.478fcc824e754p-19, 0x1.47983d41c57cap-19, 0x1.479da24ebc3b9p-19, 0x1.47a001a9d0a17p-19, 0x1.479f6154b79f7p-19, 0x1.479bc75216891p-19, 0x1.479539a5c438p-19, 0x1.478bbe53863abp-19, 0x1.477f5b60afe1cp-19, 0x1.477016d1c61e2p-19, 0x1.475df6ac68ebbp-19, 0x1.474900f54bedp-19, 0x1.47313bb213ba8p-19, 0x1.4716ace6cc36ap-19, 0x1.46f95a9847916p-19, 0x1.46d94ac971725p-19, 0x1.46b6837d949e9p-19, 0x1.46910ab5ebd1cp-19, 0x1.4668e673be75fp-19, 0x1.463e1cb6063d1p-19, 0x1.4610b37b1a494p-19, 0x1.45e0b0bf4b7fbp-19, 0x1.45ae1a7d81549p-19, 0x1.4578f6aec0bccp-19, 0x1.45414b4a0d0cbp-19, 0x1.45071e44781cap-19, 0x1.44ca7590bbac2p-19, 0x1.448b571f21bffp-19, 0x1.4449c8ddc813cp-19, 0x1.4405d0b7ebabep-19, 0x1.43bf7496447d5p-19, 0x1.4376ba5e76778p-19, 0x1.432ba7f342841p-19, 0x1.42de4334b2e9fp-19, 0x1.428e91fed1916p-19, 0x1.423c9a2b74077p-19, 0x1.41e8618fcb2fdp-19, 0x1.4191edfeaeaebp-19, 0x1.413945463b032p-19, 0x1.40de6d31daa66p-19, 0x1.40816b883a0aep-19, 0x1.4022460caf527p-19, 0x1.3fc1027e401f2p-19, 0x1.3f5da697cd632p-19, 0x1.3ef838102f0bfp-19, 0x1.3e90bc9987126p-19, 0x1.3e2739e20bd11p-19, 0x1.3dbbb592d95ffp-19, 0x1.3d4e355124d56p-19, 0x1.3cdebebca6721p-19, 0x1.3c6d57710f2cbp-19, 0x1.3bfa0504adaafp-19, 0x1.3b84cd093dc77p-19, 0x1.3b0db50b25ba6p-19, 0x1.3a94c291f6129p-19, 0x1.3a19fb1fe928ap-19, 0x1.399d64322bc12p-19, 0x1.391f034043228p-19, 0x1.389eddbcc2174p-19, 0x1.381cf9144ab5ap-19, 0x1.37995aae9946bp-19, 0x1.371407ed0332cp-19, 0x1.368d062bf250fp-19, 0x1.36045ac1b3f4cp-19, 0x1.357a0afeced27p-19, 0x1.34ee1c2e454a3p-19, 0x1.34609394972fbp-19, 0x1.33d1767113055p-19, 0x1.3340c9fc40bb3p-19, 0x1.32ae93694d6eep-19, 0x1.321ad7e4b18a6p-19, 0x1.31859c9501727p-19, 0x1.30eee69aab3b4p-19, 0x1.3056bb0f94159p-19, 0x1.2fbd1f07ae2f8p-19, 0x1.2f221790264c7p-19, 0x1.2e85a9b03a366p-19, 0x1.2de7da681f6dep-19, 0x1.2d48aeb232f59p-19, 0x1.2ca82b81ad475p-19, 0x1.2c0655c3c7bfbp-19, 0x1.2b63325ea9118p-19, 0x1.2abec6322132ep-19, 0x1.2a1916173175cp-19, 0x1.297226e01dd35p-19, 0x1.28c9fd5885222p-19, 0x1.28209e452e5b5p-19, 0x1.27760e6410195p-19, 0x1.26ca526c69618p-19, 0x1.261d6f0e6ce6bp-19, 0x1.256f68f39d452p-19, 0x1.24c044be61361p-19, 0x1.2410070a54d7bp-19, 0x1.235eb46c1f04cp-19, 0x1.22ac51713b247p-19, 0x1.21f8e2a073f3cp-19, 0x1.21446c7944fecp-19, 0x1.208ef37440155p-19, 0x1.1fd87c02dc4b8p-19, 0x1.1f210a8f8b4dfp-19, 0x1.1e68a37da782cp-19, 0x1.1daf4b295206ep-19, 0x1.1cf505e7bd0afp-19, 0x1.1c39d806b5135p-19, 0x1.1b7dc5cd3b75ap-19, 0x1.1ac0d37ab9b43p-19, 0x1.1a030547d3e66p-19, 0x1.19445f65beaa8p-19, 0x1.1884e5fea0918p-19, 0x1.17c49d356f88ep-19, 0x1.17038925c50abp-19, 0x1.1641ade43aed6p-19, 0x1.157f0f7e1bd61p-19, 0x1.14bbb1f964603p-19, 0x1.13f799552113cp-19, 0x1.1332c988cc692p-19, 0x1.126d4684f43adp-19, 0x1.11a71432cbaabp-19, 0x1.10e036742b224p-19, 0x1.1018b1240a88p-19, 0x1.0f508815c270cp-19, 0x1.0e87bf15d8308p-19, 0x1.0dbe59e93a6f4p-19, 0x1.0cf45c4df47p-19, 0x1.0c29c9fa96755p-19, 0x1.0b5ea69ec4b75p-19, 0x1.0a92f5e295fb2p-19, 0x1.09c6bb6772165p-19, 0x1.08f9fac6dc5fep-19, 0x1.082cb7941f6bdp-19, 0x1.075ef55a2d713p-19, 0x1.0690b79e3738p-19, 0x1.05c201dca5e96p-19, 0x1.04f2d78c8c783p-19, 0x1.04233c1c0941bp-19, 0x1.035332f3e46dp-19, 0x1.0282bf74231ecp-19, 0x1.01b1e4f72e851p-19, 0x1.00e0a6cf20aa1p-19, 0x1.000f0847f0bcep-19, 0x1.fe7a194bed359p-20, 0x1.fcd56e4d815a8p-20, 0x1.fb301601b9255p-20, 0x1.f98a16c7377cbp-20, 0x1.f7e376ef78bf6p-20, 0x1.f63c3cbd1ca7fp-20, 0x1.f4946e659eb78p-20, 0x1.f2ec1210294bfp-20, 0x1.f1432dd62ca84p-20, 0x1.ef99c7c371671p-20, 0x1.edefe5d5b67b1p-20, 0x1.ec458dfd6acd8p-20, 0x1.ea9ac61ce93f7p-20, 0x1.e8ef940944bacp-20, 0x1.e743fd8989f6cp-20, 0x1.e5980857b8801p-20, 0x1.e3ebba1feb2p-20, 0x1.e23f188118666p-20, 0x1.e092290c590aap-20, 0x1.dee4f14615fc6p-20, 0x1.dd3776a4772c4p-20, 0x1.db89be9173959p-20, 0x1.d9dbce68943d9p-20, 0x1.d82dab796ad9ap-20, 0x1.d67f5b053ee6dp-20, 0x1.d4d0e24178c85p-20, 0x1.d3224654f054fp-20, 0x1.d1738c5b7830ap-20, 0x1.cfc4b9617c018p-20, 0x1.ce15d269712a7p-20, 0x1.cc66dc65bdbdp-20, 0x1.cab7dc3f5059bp-20, 0x1.c908d6cf5feefp-20, 0x1.c759d0e4ce9dep-20, 0x1.c5aacf4028c7ep-20, 0x1.c3fbd6969f233p-20, 0x1.c24ceb902bba3p-20, 0x1.c09e12c8b7eap-20, 0x1.beef50cf72e7dp-20, 0x1.bd40aa279dd1ep-20, 0x1.bb922347a6415p-20, 0x1.b9e3c09a883c8p-20, 0x1.b835867e0232dp-20, 0x1.b6877944fa578p-20, 0x1.b4d99d350922fp-20, 0x1.b32bf688dead5p-20, 0x1.b17e896e76aa9p-20, 0x1.afd15a0858ed6p-20, 0x1.ae246c6cfc9b5p-20, 0x1.ac77c4a75bbfbp-20, 0x1.aacb66b66d8e3p-20, 0x1.a91f568df39b8p-20, 0x1.a773981592207p-20, 0x1.a5c82f29fe0a8p-20, 0x1.a41d1f9c1666dp-20, 0x1.a2726d314d4c1p-20, 0x1.a0c81ba446f52p-20, 0x1.9f1e2ea385a48p-20, 0x1.9d74a9d36989dp-20, 0x1.9bcb90cc27a31p-20, 0x1.9a22e71bc2b77p-20, 0x1.987ab04477d17p-20, 0x1.96d2efbe43ef1p-20, 0x1.952ba8f587d2ep-20, 0x1.9384df4cb7357p-20, 0x1.91de961a8012ep-20, 0x1.9038d0abde29ap-20, 0x1.8e939242480cp-20, }}, 
      {{0x1.ff827397c40aap-2, 0x1.ff2ad6af1d0f8p-2, 0x1.fe9f9c06979dap-2, 0x1.fde96e85f61c6p-2, 0x1.fd122deb50c4dp-2, 0x1.fc23bf1ae99b3p-2, 0x1.fb2733b27227fp-2, 0x1.fa2445d61eadfp-2, 0x1.f921172f62cf7p-2, 0x1.f822202e4b766p-2, 0x1.f72a3fb7b0be1p-2, 0x1.f63adf8a3ca68p-2, 0x1.f554251d5c5d3p-2, 0x1.f475292cd1ae4p-2, 0x1.f39c31b5cf0c7p-2, 0x1.f2c6eb2f602a8p-2, 0x1.f1f29e83c2289p-2, 0x1.f11c61edc4a43p-2, 0x1.f041436f65f6ep-2, 0x1.ef5e6c2172a7ap-2, 0x1.ee713c1aadc85p-2, 0x1.ed775f1a044d3p-2, 0x1.ec6eda756cd4p-2, 0x1.eb56150c561c4p-2, 0x1.ea2bda2141e7bp-2, 0x1.e8ef580cfadbdp-2, 0x1.e7a01bbae45bfp-2, 0x1.e63e09cd8b765p-2, 0x1.e4c9563186e4dp-2, 0x1.e3427ac6b7569p-2, 0x1.e1aa2da88cc03p-2, 0x1.e001577f56ce9p-2, 0x1.de490a28c3ac7p-2, 0x1.dc8277ed6c812p-2, 0x1.daaeeb651bd38p-2, 0x1.d8cfc01b6ff8fp-2, 0x1.d6e65bfa572ep-2, 0x1.d4f429771b1f5p-2, 0x1.d2fa9278e46f6p-2, 0x1.d0fafbec0ff2ap-2, 0x1.cef6c1f401376p-2, 0x1.ccef34acac792p-2, 0x1.cae5956d8f051p-2, 0x1.c8db1480d72b2p-2, 0x1.c6d0cf42c088dp-2, 0x1.c4c7ce9ea5e9cp-2, 0x1.c2c105e088d56p-2, 0x1.c0bd51d31e02dp-2, 0x1.bebd782365176p-2, 0x1.bcc22703babcdp-2, 0x1.bacbf508df169p-2, 0x1.b8db613c0105fp-2, 0x1.b6f0d35d17dccp-2, 0x1.b50c9c5117123p-2, 0x1.b32ef6b7a3b85p-2, 0x1.b15807a405e5p-2, 0x1.af87df751a614p-2, 0x1.adbe7ac80ffaep-2, 0x1.abfbc381cc19bp-2, 0x1.aa3f91eadefbp-2, 0x1.a889adda0ebeep-2, 0x1.a6d9cfe99ecd2p-2, 0x1.a52fa2b3a5f14p-2, 0x1.a38ac411ff9ccp-2, 0x1.a1eac65e98a4ep-2, 0x1.a04f31b124554p-2, 0x1.9eb785178c30dp-2, 0x1.9d2337c6b4691p-2, 0x1.9b91ba4188cc6p-2, 0x1.9a0277748a17p-2, 0x1.9874d5c466b3ap-2, 0x1.96e8380e7990ep-2, 0x1.955bfe9a45f39p-2, 0x1.93cf87fb5abd1p-2, 0x1.924231e33c64p-2, 0x1.90b359e32f5b8p-2, 0x1.8f225e1df6b4ap-2, 0x1.8d8e9de9bca08p-2, 0x1.8bf77a6294fafp-2, 0x1.8a5c56ee0ed9ap-2, 0x1.88bc99b0873f2p-2, 0x1.8717abf4e4121p-2, 0x1.856cfa878b545p-2, 0x1.83bbf6055f98bp-2, 0x1.8204131fa2e45p-2, 0x1.8044cad5970c9p-2, 0x1.7e7d9aa4be823p-2, 0x1.7cae04b092d7cp-2, 0x1.7ad58fe288132p-2, 0x1.78f3c803271adp-2, 0x1.77083dcd0283bp-2, 0x1.751286fa3af31p-2, 0x1.73123e4d43718p-2, 0x1.710703957f2c1p-2, 0x1.6ef07bb04b189p-2, 0x1.6cce5086faf2fp-2, 0x1.6aa0310a3d3e1p-2, 0x1.6865d12b52096p-2, 0x1.661ee9d370d6dp-2, 0x1.63cb38d9b5268p-2, 0x1.616a80f7cc976p-2, 0x1.5efc89bdb1d15p-2, 0x1.5c811f8497686p-2, 0x1.59f813613a238p-2, 0x1.57613b15aee14p-2, 0x1.54bc7102d10c9p-2, 0x1.520994195d116p-2, 0x1.4f4887cac8d7bp-2, 0x1.4c7933f9e2321p-2, 0x1.499b84eb38138p-2, 0x1.46af6b354e1e1p-2, 0x1.43b4dbb09afa2p-2, 0x1.40abcf674d808p-2, 0x1.3d944384d1aebp-2, 0x1.3a6e39450f3cdp-2, 0x1.3739b5e35acb6p-2, 0x1.33f6c289114e8p-2, 0x1.30a56c3bd55a8p-2, 0x1.2d45c3cb66d7fp-2, 0x1.29d7ddbf10ba7p-2, 0x1.265bd2429dc41p-2, 0x1.22d1bd12daf04p-2, 0x1.1f39bd6996ce6p-2, 0x1.1b93f5e92546cp-2, 0x1.17e08c8759b6dp-2, 0x1.141faa7804262p-2, 0x1.10517c16e1bdfp-2, 0x1.0c7630d111abbp-2, 0x1.088dfb0e044f6p-2, 0x1.04991017ef459p-2, 0x1.0097a803cab17p-2, 0x1.f913fb31b4d6ep-3, 0x1.f0e09c6f95fdp-3, 0x1.e895b382dca8fp-3, 0x1.e033c4fa31e42p-3, 0x1.d7bb59fd5e4f7p-3, 0x1.cf2d0018d4435p-3, 0x1.c6894908ba64bp-3, 0x1.bdd0ca839578p-3, 0x1.b5041e049c00dp-3, 0x1.ac23e095d195ep-3, 0x1.a330b29a044cdp-3, 0x1.9a2b3796b96fbp-3, 0x1.911415fe27643p-3, 0x1.87ebf6f95727dp-3, 0x1.7eb3863278d09p-3, 0x1.756b719f8c7fp-3, 0x1.6c14694d75beep-3, 0x1.62af1f2b8303ap-3, 0x1.593c46d78b8eep-3, 0x1.4fbc956aaf2f8p-3, 0x1.4630c146d31efp-3, 0x1.3c9981e4de9f9p-3, 0x1.32f78fa3def13p-3, 0x1.294ba3990d551p-3, 0x1.1f967760d346dp-3, 0x1.15d8c4f0da1c1p-3, 0x1.0c13466b2529bp-3, 0x1.0246b5f25ee4bp-3, 0x1.f0e79afe827e7p-4, 0x1.dd368d6e771f4p-4, 0x1.c97bb588adc48p-4, 0x1.b5b8845cba399p-4, 0x1.a1ee696aa20a8p-4, 0x1.8e1ed25a5d498p-4, 0x1.7a4b2ab612cbcp-4, 0x1.6674dba70142cp-4, 0x1.529d4bb51a4dbp-4, 0x1.3ec5de895c85ep-4, 0x1.2aeff4b2e334cp-4, 0x1.171ceb6eb315dp-4, 0x1.034e1c723c94bp-4, 0x1.df09bb711d8e9p-5, 0x1.b78502a47f12cp-5, 0x1.9010aa6fec833p-5, 0x1.68af463f2f73dp-5, 0x1.416360a815e8ap-5, 0x1.1a2f7b1f0d988p-5, 0x1.e62c1b618e928p-6, 0x1.98330d819e8bfp-6, 0x1.4a789599cdb7fp-6, 0x1.fa02d0d48f2f2p-7, 0x1.5fa44c228aa77p-7, 0x1.8bbd66b5a889p-8, 0x1.65d7908e95b46p-10, -0x1.aef8dd9705478p-9, -0x1.038434832716dp-7, -0x1.9a8e9cffeb204p-7, -0x1.186a9aa06412ep-6, -0x1.6327f757e457ep-6, -0x1.ad7b7403dfa04p-6, -0x1.f76136c91b0c6p-6, -0x1.206abe55f56fbp-5, -0x1.44ea4cd107e18p-5, -0x1.692d7c4f3da1fp-5, -0x1.8d328dcb9dc7fp-5, -0x1.b0f7cdc2e3bacp-5, -0x1.d47b9430fed6dp-5, -0x1.f7bc448c0dd94p-5, -0x1.0d5c26de75c39p-4, -0x1.1eb7150ab976p-4, -0x1.2fee2fa24fe2fp-4, -0x1.4100bf2454dd9p-4, -0x1.51ee11af93b01p-4, -0x1.62b57af9b6078p-4, -0x1.7356544599c9cp-4, -0x1.83cffc58d89p-4, -0x1.9421d77095012p-4, -0x1.a44b4f3598c74p-4, -0x1.b44bd2afc8eebp-4, -0x1.c422d6390f1d4p-4, -0x1.d3cfd36fac32cp-4, -0x1.e35249280f978p-4, -0x1.f2a9bb5e35dbcp-4, -0x1.00ead993542c1p-3, -0x1.086adf4f86fc8p-3, -0x1.0fd4b86f39f48p-3, -0x1.172830f29e422p-3, -0x1.1e6517466aff1p-3, -0x1.258b3c3b98da1p-3, -0x1.2c9a72ff027b2p-3, -0x1.33929110efcb8p-3, -0x1.3a736e3c8fa65p-3, -0x1.413ce48f65386p-3, -0x1.47eed050a58afp-3, -0x1.4e890ff890a8ap-3, -0x1.550b8427c3b88p-3, -0x1.5b760f9e8b19ep-3, -0x1.61c897342d75bp-3, -0x1.680301ce3f9ccp-3, -0x1.6e253857ff6eap-3, -0x1.742f25b9a979ap-3, -0x1.7a20b6cfe65b3p-3, -0x1.7ff9da6339007p-3, -0x1.85ba811f7a198p-3, -0x1.8b629d8b63615p-3, -0x1.90f2240029d9dp-3, -0x1.96690aa12539ap-3, -0x1.9bc749538ab43p-3, -0x1.a10cd9b63cdd8p-3, -0x1.a639b719a7deep-3, -0x1.ab4dde77b8f05p-3, -0x1.b0494e6be92b5p-3, -0x1.b52c072b5833ap-3, -0x1.b9f60a7d05a8bp-3, -0x1.bea75bb218aa7p-3, -0x1.c33fff9e43837p-3, -0x1.c7bffc903aad5p-3, -0x1.cc275a4a49bd2p-3, -0x1.d07621faf5819p-3, -0x1.d4ac5e35bf8dcp-3, -0x1.d8ca1aebfd1e4p-3, -0x1.dccf6565c3fb9p-3, -0x1.e0bc4c3af1bfdp-3, -0x1.e490df4c4839p-3, -0x1.e84d2fbca26c1p-3, -0x1.ebf14fea4157fp-3, -0x1.ef7d53682eb64p-3, -0x1.f2f14ef7b2346p-3, -0x1.f64d5881e6576p-3, -0x1.f99187115b72dp-3, -0x1.fcbdf2cbd5028p-3, -0x1.ffd2b4ec1517bp-3, -0x1.0167f3dde3b84p-2, -0x1.02dad346bb8ebp-2, -0x1.044206db4df34p-2, -0x1.059d9d44e09ap-2, -0x1.06eda5a8591dfp-2, -0x1.08322fa365917p-2, -0x1.096b4b49a57eep-2, -0x1.0a990921e2bebp-2, -0x1.0bbb7a234f23dp-2, -0x1.0cd2afb2cbd53p-2, -0x1.0ddebba039023p-2, -0x1.0edfb023cd11cp-2, -0x1.0fd59fdb75ee4p-2, -0x1.10c09dc83cf56p-2, -0x1.11a0bd4bb8fb2p-2, -0x1.1276122584415p-2, -0x1.1340b070b6d5cp-2, -0x1.1400aca16d40cp-2, -0x1.14b61b825328ap-2, -0x1.1561123233ad2p-2, -0x1.1601a6218feb4p-2, -0x1.1697ed103f9e4p-2, -0x1.1723fd0b11c11p-2, -0x1.17a5ec69774cep-2, -0x1.181dd1cb32ceap-2, -0x1.188bc4160cd2bp-2, -0x1.18efda738d271p-2, -0x1.194a2c4ebce99p-2, -0x1.199ad151e7b49p-2, -0x1.19e1e164683b7p-2, -0x1.1a1f74a875572p-2, -0x1.1a53a378f4cabp-2, -0x1.1a7e866755116p-2, -0x1.1aa03639687e2p-2, -0x1.1ab8cbe746838p-2, -0x1.1ac8609932b3bp-2, -0x1.1acf0da58581ep-2, -0x1.1accec8e9c0e3p-2, -0x1.1ac21700ca946p-2, -0x1.1aaea6d052d04p-2, -0x1.1a92b5f760fa9p-2, -0x1.1a6e5e9409a79p-2, -0x1.1a41bae64eaebp-2, -0x1.1a0ce54e26b5bp-2, -0x1.19cff8498840cp-2, -0x1.198b0e727b5b5p-2, -0x1.193e427d2c224p-2, -0x1.18e9af360457p-2, -0x1.188d6f7fc796fp-2, -0x1.18299e51b3878p-2, -0x1.17be56b5a5498p-2, -0x1.174bb3c64201p-2, -0x1.16d1d0ad25142p-2, -0x1.1650c8a10fbc4p-2, -0x1.15c8b6e42011p-2, -0x1.1539b6c20b272p-2, -0x1.14a3e38e58f28p-2, -0x1.140758a2a9638p-2, -0x1.1364315cfb476p-2, -0x1.12ba891df5cc5p-2, -0x1.120a7b473ad0ap-2, -0x1.11542339b9329p-2, -0x1.10979c54093d6p-2, -0x1.0fd501f0c7542p-2, -0x1.0f0c6f64f8bap-2, -0x1.0e3dfffe713c1p-2, -0x1.0d69cf024135ap-2, -0x1.0c8ff7ab2638ep-2, -0x1.0bb09527fecb2p-2, -0x1.0acbc29a4990ap-2, -0x1.09e19b14a082fp-2, -0x1.08f2399942ab1p-2, -0x1.07fdb9189c893p-2, -0x1.0704346fd786dp-2, -0x1.0605c6676f901p-2, -0x1.050289b1ced63p-2, -0x1.03fa98e9ebc47p-2, -0x1.02ee0e91edfeap-2, -0x1.01dd0511dc9bep-2, -0x1.00c796b64a2eep-2, -0x1.ff5bbb5e1ea1ap-3, -0x1.fd1fe81c05f4ap-3, -0x1.fadbe78b7ad39p-3, -0x1.f88fed50c0a23p-3, -0x1.f63c2cccc42f3p-3, -0x1.f3e0d91ac6729p-3, -0x1.f17e250e0c93ep-3, -0x1.ef14432f9ee3ep-3, -0x1.eca365bc0fc15p-3, -0x1.ea2bbea15a3d1p-3, -0x1.e7ad7f7cba96ap-3, -0x1.e528d998a4a02p-3, -0x1.e29dfdeabb03bp-3, -0x1.e00d1d11d821p-3, -0x1.dd7667542177dp-3, -0x1.dada0c9d2a07dp-3, -0x1.d8383c7c19158p-3, -0x1.d5912621ea717p-3, -0x1.d2e4f85fb244dp-3, -0x1.d033e1a4ec4c8p-3, -0x1.cd7e0ffdde6e9p-3, -0x1.cac3b11205ddep-3, -0x1.c804f2228a65fp-3, -0x1.c5420008c8957p-3, -0x1.c27b0734df6d5p-3, -0x1.bfb033ac524b3p-3, -0x1.bce1b108b1dd6p-3, -0x1.ba0faa7653295p-3, -0x1.b73a4ab314a51p-3, -0x1.b461bc0d2ec0bp-3, -0x1.b18628620fddfp-3, -0x1.aea7b91d473cep-3, -0x1.abc6973778b3ep-3, -0x1.a8e2eb35611e5p-3, -0x1.a5fcdd26e3969p-3, -0x1.a31494a625a4bp-3, -0x1.a02a38d6b3575p-3, -0x1.9d3df064b797ep-3, -0x1.9a4fe184347e8p-3, -0x1.976031f054478p-3, -0x1.946f06eabc0acp-3, -0x1.917c853af470dp-3, -0x1.8e88d12dce02p-3, -0x1.8b940e94e43edp-3, -0x1.889e60c620b87p-3, -0x1.85a7ea9b47d64p-3, -0x1.82b0ce7198f5p-3, -0x1.7fb92e2973cd6p-3, -0x1.7cc12b260bed6p-3, -0x1.79c8e64d2178bp-3, -0x1.76d08006d0c7ep-3, -0x1.73d8183d5bdefp-3, -0x1.70dfce5d0f294p-3, -0x1.6de7c15421ce7p-3, -0x1.6af00f92ace73p-3, -0x1.67f8d70aa635bp-3, -0x1.6502352fe1e85p-3, -0x1.620c46f825124p-3, -0x1.5f1728db400eep-3, -0x1.5c22f6d32e2c6p-3, -0x1.592fcc5c40c57p-3, -0x1.563dc475578cdp-3, -0x1.534cf9a01d3eap-3, -0x1.505d85e14dff2p-3, -0x1.4d6f82c106847p-3, -0x1.4a83094b1c0ccp-3, -0x1.4798320f7fc3dp-3, -0x1.44af1522a3ea6p-3, -0x1.41c7ca1def10ep-3, -0x1.3ee2682031147p-3, -0x1.3bff05ce2a947p-3, -0x1.391db9530b9c9p-3, -0x1.363e98610aefcp-3, -0x1.3361b831f80cp-3, -0x1.30872d87d89d9p-3, -0x1.2daf0cad8ebe3p-3, -0x1.2ad96977847acp-3, -0x1.28065744575ap-3, -0x1.2535e8fd99df8p-3, -0x1.2268311884595p-3, -0x1.1f9d4196c7fadp-3, -0x1.1cd52c074a386p-3, -0x1.1a100186fe0a8p-3, -0x1.174dd2c1b2a36p-3, -0x1.148eaff2ee748p-3, -0x1.11d2a8e6d3e19p-3, -0x1.0f19ccfafb652p-3, -0x1.0c642b1f62d18p-3, -0x1.09b1d1d75acf5p-3, -0x1.0702cf3a745c4p-3, -0x1.045730f57c5c6p-3, -0x1.01af044b6f411p-3, -0x1.fe14ac2cf90a3p-4, -0x1.f8d265920b858p-4, -0x1.f3974cdd49a74p-4, -0x1.ee63795a65a2ap-4, -0x1.e937018bae01cp-4, -0x1.e411fb2c27f7cp-4, -0x1.def47b31b0bcap-4, -0x1.d9de95cf2cfb3p-4, -0x1.d4d05e76b8403p-4, -0x1.cfc9e7dbd2a5fp-4, -0x1.cacb43f59ad11p-4, -0x1.c5d4840110b8fp-4, -0x1.c0e5b8835166ep-4, -0x1.bbfef14bdd42ep-4, -0x1.b7203d76e0237p-4, -0x1.b249ab6f7ce1cp-4, -0x1.ad7b48f21ff75p-4, -0x1.a8b5230ec78d4p-4, -0x1.a3f7462b60a8ap-4, -0x1.9f41be0618053p-4, -0x1.9a9495b7b57f4p-4, -0x1.95efd7b5eceedp-4, -0x1.91538dd5c1d5dp-4, -0x1.8cbfc14de0dap-4, -0x1.88347ab8f93f4p-4, -0x1.83b1c2181cb6ep-4, -0x1.7f379ed51e20bp-4, -0x1.7ac617c4ec133p-4, -0x1.765d3329eff74p-4, -0x1.71fcf6b66eb8p-4, -0x1.6da5678ede5ebp-4, -0x1.69568a4c4d9f5p-4, -0x1.651062feb2107p-4, -0x1.60d2f52f4df5fp-4, -0x1.5c9e43e30149p-4, -0x1.5872519ca7118p-4, -0x1.544f205f66f4ep-4, -0x1.5034b1b10b861p-4, -0x1.4c23069c53d4ap-4, -0x1.481a1fb3430cdp-4, -0x1.4419fd116b2afp-4, -0x1.40229e5e3e304p-4, -0x1.3c3402cf4efc6p-4, -0x1.384e292a9ba63p-4, -0x1.34710fc8cc656p-4, -0x1.309cb49773e46p-4, -0x1.2cd1151b4aff6p-4, -0x1.290e2e7268778p-4, -0x1.2553fd567797cp-4, -0x1.21a27e1ee2b67p-4, -0x1.1df9acc30a615p-4, -0x1.1a5984dc657dbp-4, -0x1.16c201a8ac516p-4, -0x1.13331e0bf43cap-4, -0x1.0facd492d19d7p-4, -0x1.0c2f1f746c52ep-4, -0x1.08b9f894927f2p-4, -0x1.054d5985cea0bp-4, -0x1.01e93b8b6aabbp-4, -0x1.fd1b2f36ee03dp-5, -0x1.f674ccc19ef82p-5, -0x1.efdf407a240a5p-5, -0x1.e95a7a953284dp-5, -0x1.e2e66abcdcde1p-5, -0x1.dc83001466411p-5, -0x1.d630293c1832p-5, -0x1.cfedd45500faap-5, -0x1.c9bbef04b64fp-5, -0x1.c39a6678fbcccp-5, -0x1.bd89276b6a2ebp-5, -0x1.b7881e250bf1ap-5, -0x1.b1973681e69fdp-5, -0x1.abb65bf483c22p-5, -0x1.a5e5798966771p-5, -0x1.a02479ea72f77p-5, -0x1.9a7347625cc9cp-5, -0x1.94d1cbdff1c6dp-5, -0x1.8f3ff0f96a654p-5, -0x1.89bd9fefa6512p-5, -0x1.844ac1b1657edp-5, -0x1.7ee73ede6bc73p-5, -0x1.7992ffca9ee33p-5, -0x1.744dec811fd4p-5, -0x1.6f17ecc73df19p-5, -0x1.69f0e81f86d31p-5, -0x1.64d8c5ccab4a7p-5, -0x1.5fcf6cd45c484p-5, -0x1.5ad4c402324e4p-5, -0x1.55e8b1ea68e5ep-5, -0x1.510b1cecac098p-5, -0x1.4c3beb36c52e7p-5, -0x1.477b02c7468cdp-5, -0x1.42c849702e4f8p-5, -0x1.3e23a4d97610bp-5, -0x1.398cfa839009cp-5, -0x1.35042fc9f4734p-5, -0x1.308929e5877c9p-5, -0x1.2c1bcdeeff9d6p-5, -0x1.27bc00e140a56p-5, -0x1.2369a79ba9c6ap-5, -0x1.1f24a6e459c69p-5, -0x1.1aece36a6954bp-5, -0x1.16c241c811acfp-5, -0x1.12a4a684dbac9p-5, -0x1.0e93f617a9f47p-5, -0x1.0a9014e8cea8bp-5, -0x1.0698e7540a51p-5, -0x1.02ae51aa86267p-5, -0x1.fda07069706c2p-6, -0x1.f5fcfe68a4d99p-6, -0x1.ee7215cc2a44ep-6, -0x1.e6ff7f07304adp-6, -0x1.dfa5028a278c7p-6, -0x1.d86268c63637dp-6, -0x1.d1377a3088adep-6, -0x1.ca23ff45ac021p-6, -0x1.c327c08cb4672p-6, -0x1.bc42869a6cc26p-6, -0x1.b5741a146b80ap-6, -0x1.aebc43b3f2a54p-6, -0x1.a81acc48ffb24p-6, -0x1.a18f7cbcfeadep-6, -0x1.9b1a1e15a6ac5p-6, -0x1.94ba7977a4638p-6, -0x1.8e705829348f7p-6, -0x1.883b8394b9699p-6, -0x1.821bc54b2c3cbp-6, -0x1.7c10e70693e61p-6, -0x1.761ab2ac50697p-6, -0x1.7038f24f6d8f2p-6, -0x1.6a6b7032dc2c1p-6, -0x1.64b1f6cb88ef8p-6, -0x1.5f0c50c281431p-6, -0x1.597a48f6ed3eap-6, -0x1.53fbaa8011593p-6, -0x1.4e9040af27499p-6, -0x1.4937d711400d5p-6, -0x1.43f2397102bfbp-6, -0x1.3ebf33d8651c7p-6, -0x1.399e9292580acp-6, -0x1.3490222c6129cp-6, -0x1.2f93af781e8b4p-6, -0x1.2aa9078cd0c4cp-6, -0x1.25cff7c8c284fp-6, -0x1.21084dd2a432bp-6, -0x1.1c51d79af1665p-6, -0x1.17ac635d23044p-6, -0x1.1317bfa0fee5ap-6, -0x1.0e93bb3babb0cp-6, -0x1.0a202550eab16p-6, -0x1.05bccd54125bdp-6, -0x1.016983092441fp-6, -0x1.fa4c2d0ba4497p-7, -0x1.f1e4b06496dbdp-7, -0x1.e99c31948a24cp-7, -0x1.e17252bb7d347p-7, -0x1.d966b6a3ad48cp-7, -0x1.d17900c300e76p-7, -0x1.c9a8d53ca43a5p-7, -0x1.c1f5d8e237a5ap-7, -0x1.ba5fb1352e374p-7, -0x1.b2e60467f8043p-7, -0x1.ab88795f11c7cp-7, -0x1.a446b7b222964p-7, -0x1.9d2067acedee7p-7, -0x1.961532502f46ap-7, -0x1.8f24c1526a57p-7, -0x1.884ebf20cc47ep-7, -0x1.8192d6df91067p-7, -0x1.7af0b46af98fp-7, -0x1.746804578f7b1p-7, -0x1.6df873f2c139p-7, -0x1.67a1b1435c7d7p-7, -0x1.61636b09d338fp-7, -0x1.5b3d50c079852p-7, -0x1.552f129bf4d32p-7, -0x1.4f38618b3bebap-7, -0x1.4958ef37e456dp-7, -0x1.43906e05fdc4dp-7, -0x1.3dde911454c36p-7, -0x1.38430c3c49c96p-7, -0x1.32bd9411b2f4dp-7, -0x1.2d4ddde2f5effp-7, -0x1.27f39fb87ce4fp-7, -0x1.22ae9054dce9cp-7, -0x1.1d7e673463287p-7, -0x1.1862dc8cb7fc7p-7, -0x1.135ba94cbf47dp-7, -0x1.0e68871bec0c3p-7, -0x1.0989305a145d9p-7, -0x1.04bd601ebc1d8p-7, -0x1.0004d238ccc7ep-7, -0x1.f6be865bb1b9cp-8, -0x1.ed98e0735c7c1p-8, -0x1.e4982e9b41d2fp-8, -0x1.dbbbee1fe294bp-8, -0x1.d3039db6168abp-8, -0x1.ca6ebd79d9a2cp-8, -0x1.c1fcceecad522p-8, -0x1.b9ad54f3edde5p-8, -0x1.b17fd3d7b582ap-8, -0x1.a973d14080acdp-8, -0x1.a188d4361243p-8, -0x1.99be651d5addbp-8, -0x1.92140db6df842p-8, -0x1.8a89591cb40a9p-8, -0x1.831dd3c0c909p-8, -0x1.7bd10b6ab2271p-8, -0x1.74a28f35f4eb2p-8, -0x1.6d91ef8fe61a9p-8, -0x1.669ebe3580106p-8, -0x1.5fc88e318eedap-8, -0x1.590ef3da1fa2bp-8, -0x1.527184cedfea9p-8, -0x1.4befd7f684e26p-8, -0x1.4589857cbf7e6p-8, -0x1.3f3e26cfd854ep-8, -0x1.390d569e90168p-8, -0x1.32f6b0d5cccd1p-8, -0x1.2cf9d29e14272p-8, -0x1.27165a596d594p-8, -0x1.214be7a0e07aap-8, -0x1.1b9a1b4200dc9p-8, -0x1.1600973cbdbffp-8, -0x1.107efec0ad0f3p-8, -0x1.0b14f62aafe31p-8, -0x1.05c22302bd96ep-8, -0x1.00862bf8d5007p-8, -0x1.f6c171c6312ap-9, -0x1.eca2e575c9011p-9, -0x1.e2b007350d2ccp-9, -0x1.d8e82d74f5f1p-9, -0x1.cf4ab0de59835p-9, -0x1.c5d6ec4c60d8ap-9, -0x1.bc8c3cc7889f6p-9, -0x1.b36a018081032p-9, -0x1.aa6f9bcb45bbap-9, -0x1.a19c6f199d8c8p-9, -0x1.98efe0f6538b3p-9, -0x1.906958ff90e6cp-9, -0x1.880840e270d0bp-9, -0x1.7fcc04551e084p-9, -0x1.77b4111204cefp-9, -0x1.6fbfd6d2f3f97p-9, -0x1.67eec74b2005dp-9, -0x1.6040562301532p-9, -0x1.58b3f8f27b3f3p-9, -0x1.5149273bd14e8p-9, -0x1.49ff5a67251fdp-9, -0x1.42d60dbc38359p-9, -0x1.3bccbe5ea0deap-9, -0x1.34e2eb47853e9p-9, -0x1.2e1815416ae19p-9, -0x1.276bbee29fb82p-9, -0x1.20dd6c88708bdp-9, -0x1.1a6ca451f3ef2p-9, -0x1.1418ee1b4bf45p-9, -0x1.0de1d37859786p-9, -0x1.07c6dfb0013afp-9, -0x1.01c79fb7017fcp-9, -0x1.f7c74456efc8cp-10, -0x1.ec34ee9e44c5ap-10, -0x1.e0d762072cf73p-10, -0x1.d5adc588cd46p-10, -0x1.cab74345daa98p-10, -0x1.bff3088299dc2p-10, -0x1.b560459b716d3p-10, -0x1.aafe2dfa81e03p-10, -0x1.a0cbf8106cf23p-10, -0x1.96c8dd47fe53bp-10, -0x1.8cf419ff81eb4p-10, -0x1.834ced7db3121p-10, -0x1.79d299e9af0e5p-10, -0x1.70846440add86p-10, -0x1.6761944e5328bp-10, -0x1.5e6974a248d6fp-10, -0x1.559b52885e5dbp-10, -0x1.4cf67dfeb8f82p-10, -0x1.447a49add39f4p-10, -0x1.3c260adfa91acp-10, -0x1.33f91975ec012p-10, -0x1.2bf2cfe2e7e24p-10, -0x1.24128b2048446p-10, -0x1.1c57aaa61a2d5p-10, -0x1.14c190639a291p-10, -0x1.0d4fa0b58bd05p-10, -0x1.0601425f41ae7p-10, -0x1.fdabbd0166f4p-11, -0x1.ef99c1219ac99p-11, -0x1.e1cb6ca5f19bp-11, -0x1.d43f9fa11a2aap-11, -0x1.c6f53ea0ceeeap-11, -0x1.b9eb329eef114p-11, -0x1.ad2068f0ccf9bp-11, -0x1.a093d338ded84p-11, -0x1.944467571f39fp-11, -0x1.88311f59a2c17p-11, -0x1.7c58f96edcde1p-11, -0x1.70baf7d54b8dfp-11, -0x1.655620cdb5c73p-11, -0x1.5a297e8c97c91p-11, -0x1.4f341f2c2acd1p-11, -0x1.4475149d450e8p-11, -0x1.39eb749a218fdp-11, -0x1.2f9658984230bp-11, -0x1.2574ddbab0579p-11, -0x1.1b8624c4e476ap-11, -0x1.11c9520b8a27bp-11, -0x1.083d8d6a0ff63p-11, -0x1.fdc4046664916p-12, -0x1.eb6bbe49ff0d4p-12, -0x1.d970acb6f4855p-12, -0x1.c7d13a895c88p-12, -0x1.b68bd926df06cp-12, -0x1.a59f0065fafap-12, -0x1.95092e76c42bbp-12, -0x1.84c8e7c9b9b7dp-12, -0x1.74dcb6f6493b6p-12, -0x1.65432ca658b1ep-12, -0x1.55fadf7cb06bep-12, -0x1.47026bfec1361p-12, -0x1.3858747cdffc7p-12, -0x1.29fba0fcbb21ep-12, -0x1.1bea9f227bd2p-12, -0x1.0e24221bd9dfdp-12, -0x1.00a6e288d6dc7p-12, -0x1.e6e33ccdd90f7p-13, -0x1.cd0631f972b58p-13, -0x1.b3b435866c3cp-13, -0x1.9aeae2a7dc3f7p-13, -0x1.82a7dea381312p-13, -0x1.6ae8d8ad1188fp-13, -0x1.53ab89bb6cb5fp-13, -0x1.3cedb46727131p-13, -0x1.26ad24be19cf2p-13, -0x1.10e7b01e4c7p-13, -0x1.f7366a27fc584p-14, -0x1.cd8b3663b1f1fp-14, -0x1.a4c9a5d622964p-14, -0x1.7cedaae27edb9p-14, -0x1.55f3492181f7p-14, -0x1.2fd6951a5462ep-14, -0x1.0a93b3fd12f9p-14, -0x1.cc4db6bf9d70dp-15, -0x1.8518a1edc4bbdp-15, -0x1.3f80d4b3d9fc9p-15, -0x1.f6fe32e858b6fp-16, -0x1.7218b2a43f1cp-16, -0x1.e0866e9cd404dp-17, -0x1.c5c02c5868f9ap-18, 0x1.4dc9a91689c9cp-21, 0x1.06ca271bb888fp-17, 0x1.f302a1aab8c9fp-17, 0x1.6ccfd691a2426p-16, 0x1.dd5d3f59fa1f2p-16, 0x1.259af7f5a521bp-15, 0x1.5b330c02fa7dap-15, 0x1.8f7cd9a4a22ebp-15, 0x1.c27e4501a5dadp-15, 0x1.f43d190dc89b6p-15, 0x1.125f83f867004p-14, 0x1.2a04d5b98f3f9p-14, 0x1.411142ad85526p-14, 0x1.57877fef4f975p-14, 0x1.6d6a36ffa0a2p-14, 0x1.82bc05f9106f4p-14, 0x1.977f7fbf26a96p-14, 0x1.abb72c3093881p-14, 0x1.bf65885056187p-14, 0x1.d28d067dcbf2dp-14, 0x1.e5300e9a2592bp-14, 0x1.f750fe36fb26ap-14, 0x1.04791463ca05dp-13, 0x1.0d0aebe4044e2p-13, 0x1.155f25739c164p-13, 0x1.1d76dc19c6e64p-13, 0x1.25532621c1964p-13, 0x1.2cf5153046b28p-13, 0x1.345db657277ep-13, 0x1.3b8e12279b4b5p-13, 0x1.42872cc6f438dp-13, 0x1.494a06034cb92p-13, 0x1.4fd799635a1c4p-13, 0x1.5630de3ba781bp-13, 0x1.5c56c7bf4a763p-13, 0x1.624a4512b6b4ep-13, 0x1.680c415c19995p-13, 0x1.6d9da3d68f273p-13, 0x1.72ff4fe1d50dcp-13, 0x1.78322513b7eb9p-13, 0x1.7d36ff488c7a6p-13, 0x1.820eb6b3db2b8p-13, 0x1.86ba1feed8d0ep-13, 0x1.8b3a0c0a2972fp-13, 0x1.8f8f489c1bb9ep-13, 0x1.93ba9fcf5dfp-13, 0x1.97bcd87364436p-13, 0x1.9b96b60ae16eep-13, 0x1.9f48f8d97beeap-13, 0x1.a2d45df190b74p-13, 0x1.a6399f43a391ep-13, 0x1.a97973ab027ebp-13, 0x1.ac948efb7668bp-13, 0x1.af8ba20f2d7e9p-13, 0x1.b25f5ad372662p-13, 0x1.b5106454a9e41p-13, 0x1.b79f66cbb5321p-13, 0x1.ba0d07aaaa198p-13, 0x1.bc59e9a8497eep-13, 0x1.be86accbecd2bp-13, 0x1.c093ee799b23fp-13, 0x1.c282497de9f47p-13, 0x1.c452561894642p-13, 0x1.c604aa07f8f0cp-13, 0x1.c799d8947b4abp-13, 0x1.c912729a7ec58p-13, 0x1.ca6f069562646p-13, 0x1.cbb020aa29222p-13, 0x1.ccd64ab0dd0fcp-13, 0x1.cde20c3fa1e58p-13, 0x1.ced3eab3ac0b8p-13, 0x1.cfac693b07b3ap-13, 0x1.d06c08def912bp-13, 0x1.d113488c866c4p-13, 0x1.d1a2a51ddc189p-13, 0x1.d21a996316839p-13, 0x1.d27b9e2b917b8p-13, 0x1.d2c62a4e0b8e2p-13, 0x1.d2fab2b1affbdp-13, 0x1.d319aa5609718p-13, 0x1.d323825b95fd4p-13, 0x1.d318aa0bfc6f4p-13, 0x1.d2f98ee1a89cp-13, 0x1.d2c69c8f5f82ap-13, 0x1.d2803d086bac2p-13, 0x1.d226d88828509p-13, 0x1.d1bad598fff81p-13, 0x1.d13c991bcc63fp-13, 0x1.d0ac864f1b71cp-13, 0x1.d00afed65e605p-13, 0x1.cf5862c042b6p-13, 0x1.ce95108dac613p-13, 0x1.cdc16538801c2p-13, 0x1.ccddbc3a1cbfep-13, 0x1.cbea6f9183873p-13, 0x1.cae7d7c9b3a7cp-13, 0x1.c9d64c000fd52p-13, 0x1.c8b621ea116adp-13, 0x1.c787addb8c9afp-13, 0x1.c64b42cc44f96p-13, 0x1.c501325ddcfefp-13, 0x1.c3a9cce116cffp-13, 0x1.c245615bfb986p-13, 0x1.c0d43d8ea39f9p-13, 0x1.bf56adf8efc11p-13, 0x1.bdccfddf9e108p-13, 0x1.bc37775154947p-13, 0x1.ba96632bc7ee5p-13, 0x1.b8ea0920d5656p-13, 0x1.b732afbabf5e4p-13, 0x1.b5709c61f7f0bp-13, 0x1.b3a4136113831p-13, 0x1.b1cd57e971584p-13, 0x1.afecac17ee057p-13, 0x1.ae0250f8ec925p-13, 0x1.ac0e868d7eeddp-13, 0x1.aa118bcf05abcp-13, 0x1.a80b9eb37bcc8p-13, 0x1.a5fcfc3190fap-13, 0x1.a3e5e044fb9d9p-13, 0x1.a1c685f1f496p-13, 0x1.9f9f2749f730cp-13, 0x1.9d6ffd6ea674bp-13, 0x1.9b394095fa498p-13, 0x1.98fb280dd54d4p-13, 0x1.96b5ea40135cp-13, 0x1.9469bcb546529p-13, 0x1.9216d41943967p-13, 0x1.8fbd643dba1d2p-13, 0x1.8d5da01d8b023p-13, 0x1.8af7b9e0f147p-13, 0x1.888be2dfd0b22p-13, 0x1.861a4ba5c53dap-13, 0x1.83a323f45c586p-13, 0x1.81269ac6eaaeep-13, 0x1.7ea4de553e1ecp-13, 0x1.7c1e1c16a2886p-13, 0x1.799280c4e69ffp-13, 0x1.7702385f20cb5p-13, 0x1.746d6e2c8d384p-13, 0x1.71d44cbf35014p-13, 0x1.6f36fdf6e3ae8p-13, 0x1.6c95ab0381cb1p-13, 0x1.69f07c68007dbp-13, 0x1.674799fcfd134p-13, 0x1.649b2af2d551dp-13, 0x1.61eb55d4f1a52p-13, 0x1.5f38408b29ce1p-13, 0x1.5c82105d1baadp-13, 0x1.59c8e9f3fb162p-13, 0x1.570cf15d141dcp-13, 0x1.544e4a0c4d393p-13, 0x1.518d16ddfd767p-13, 0x1.4ec97a1999065p-13, 0x1.4c039573468f5p-13, 0x1.493b8a0e77e8bp-13, 0x1.4671787fff549p-13, 0x1.43a580cfa5b95p-13, 0x1.40d7c27af6b43p-13, 0x1.3e085c7681414p-13, 0x1.3b376d3079787p-13, 0x1.38651291f59b2p-13, 0x1.35916a015f2ep-13, 0x1.32bc90641d03p-13, 0x1.2fe6a22063187p-13, 0x1.2d0fbb1ed4882p-13, 0x1.2a37f6ccdd35cp-13, 0x1.275f701da3333p-13, 0x1.2486418caecbep-13, 0x1.21ac851e8ca62p-13, 0x1.1ed2546391ba1p-13, 0x1.1bf7c87854ea9p-13, 0x1.191cfa085b91ap-13, 0x1.1642014ed6a6bp-13, 0x1.1366f618e6cf2p-13, 0x1.108befc69b45ap-13, 0x1.0db1054cc8edap-13, 0x1.0ad64d365063p-13, 0x1.07fbdda5c46a1p-13, 0x1.0521cc568b10fp-13, 0x1.02482e9ec4fap-13, 0x1.fede32e05978cp-14, 0x1.f92d42b3a24a9p-14, 0x1.f37db512c32a9p-14, 0x1.edcfb198aae03p-14, 0x1.e8235f230111dp-14, 0x1.e278e3d3ea6ep-14, 0x1.dcd06515d572dp-14, 0x1.d72a079c8fd96p-14, 0x1.d185ef68e2b9cp-14, 0x1.cbe43fca68b7bp-14, 0x1.c6451b620bb86p-14, 0x1.c0a8a424695fep-14, 0x1.bb0efb5c18ee8p-14, 0x1.b57841ac6d6acp-14, 0x1.afe49712fe585p-14, 0x1.aa541aea6d7c6p-14, 0x1.a4c6ebec05328p-14, 0x1.9f3d2832ad074p-14, 0x1.99b6ed3c04b9fp-14, 0x1.943457ebc295fp-14, 0x1.8eb5848c99da4p-14, 0x1.893a8ed3331cbp-14, 0x1.83c391df1afacp-14, 0x1.7e50a83e3782p-14, 0x1.78e1ebed78e8ap-14, 0x1.7377765b43445p-14, 0x1.6e11606965804p-14, 0x1.68afc26ebc8f7p-14, 0x1.6352b4396c234p-14, 0x1.5dfa4d105a0ddp-14, 0x1.58a6a3b549115p-14, 0x1.5357ce6635464p-14, 0x1.4e0de2df825f5p-14, 0x1.48c8f65d77961p-14, 0x1.43891d9e3fd11p-14, 0x1.3e4e6ce2f63c2p-14, 0x1.3918f7f26f4aep-14, 0x1.33e8d219725e1p-14, 0x1.2ebe0e2dcb5f4p-14, 0x1.2998be8e68a86p-14, 0x1.2478f526add54p-14, 0x1.1f5ec36e11685p-14, 0x1.1a4a3a6b6fca2p-14, 0x1.153b6ab52ef4fp-14, 0x1.10326473d8445p-14, 0x1.0b2f376290cb8p-14, 0x1.0631f2d1bae4p-14, 0x1.013aa5a703828p-14, 0x1.f892bcc0491dfp-15, 0x1.eebc562712023p-15, 0x1.e4f232e3699bbp-15, 0x1.db346d8e3ad7fp-15, 0x1.d1831ff9ade47p-15, 0x1.c7de6335dd58dp-15, 0x1.be464f9178b3ep-15, 0x1.b4bafc9d92f02p-15, 0x1.ab3c812f343c1p-15, 0x1.a1caf3638e84cp-15, 0x1.986668a0d884p-15, 0x1.8f0ef599dac1bp-15, 0x1.85c4ae4fbc06fp-15, 0x1.7c87a61546508p-15, 0x1.7357ef905c6dap-15, 0x1.6a359cbd86a53p-15, 0x1.6120bef122cb1p-15, 0x1.581966da662fap-15, 0x1.4f1fa48564703p-15, 0x1.4633875dd145p-15, 0x1.3d551e3060ddap-15, 0x1.3484772dfc417p-15, 0x1.2bc19fed8125cp-15, 0x1.230ca56d7d71ep-15, 0x1.1a659417be6ap-15, 0x1.11cc77c181aefp-15, 0x1.09415baff00a5p-15, 0x1.00c44a9728cb8p-15, 0x1.f0aa9d3f5bf13p-16, 0x1.dfe8e2cac61ep-16, 0x1.cf4377f81b274p-16, 0x1.beba6ddee0301p-16, 0x1.ae4dd48da96d7p-16, 0x1.9dfdbb0af028bp-16, 0x1.8dca2f5b7da98p-16, 0x1.7db33e851aa3cp-16, 0x1.6db8f492a1e3fp-16, 0x1.5ddb5c9747c7ap-16, 0x1.4e1a80b2dea25p-16, 0x1.3e766a15641b2p-16, 0x1.2eef2101cd6d9p-16, 0x1.1f84acd37f7dap-16, 0x1.103713fee9c49p-16, 0x1.01065c195c65fp-16, 0x1.e3e513ae916bp-17, 0x1.c5f74227d991fp-17, 0x1.a84349a4cc042p-17, 0x1.8ac92e863854cp-17, 0x1.6d88f3871b236p-17, 0x1.508299cbd2a91p-17, 0x1.33b620e14abap-17, 0x1.172386c985c9p-17, 0x1.f5958ff64e52cp-18, 0x1.bd57bee1b6679p-18, 0x1.858d8d4913a85p-18, 0x1.4e36eb40290bdp-18, 0x1.1753c5f6ef714p-18, 0x1.c1c80fa17467p-19, 0x1.55cf30cdbd9ddp-19, 0x1.d579727cb0ea1p-20, 0x1.0120daa9752cp-20, 0x1.74a0c3a0d3767p-23, -0x1.445ac074af76fp-21, -0x1.7124259f07c6p-20, -0x1.1f286c015a856p-19, -0x1.84da10b9cc1cep-19, -0x1.e9a75adf136bp-19, -0x1.26c854841d58p-18, -0x1.584b2f4402e33p-18, -0x1.895c719790474p-18, -0x1.b9fc51afa3715p-18, -0x1.ea2b07ee188dp-18, -0x1.0cf467710111cp-17, -0x1.249af19ae89dfp-17, -0x1.3c0941dadd1b8p-17, -0x1.533f789698d7cp-17, -0x1.6a3db73a042bep-17, -0x1.8104202b709d8p-17, -0x1.9792d6ca14c48p-17, -0x1.ade9ff66849bfp-17, -0x1.c409bf424f826p-17, -0x1.d9f23c861aae1p-17, -0x1.efa39e40a7dbcp-17, -0x1.028f063093978p-16, -0x1.0d30d7d8ee54ap-16, -0x1.17b758eaec3f8p-16, -0x1.22229ea18d6d8p-16, -0x1.2c72be9e652e7p-16, -0x1.36a7cee907c5ap-16, -0x1.40c1e5ebf8441p-16, -0x1.4ac11a724f929p-16, -0x1.54a583a6b3459p-16, -0x1.5e6f390fab6ccp-16, -0x1.681e528f4656fp-16, -0x1.71b2e85f9bc74p-16, -0x1.7b2d1312e574ep-16, -0x1.848ceb8e8db61p-16, -0x1.8dd28b0b515e5p-16, -0x1.96fe0b13a5bc5p-16, -0x1.a00f8580790eap-16, -0x1.a90714768033bp-16, -0x1.b1e4d268d866fp-16, -0x1.baa8da10d88a2p-16, -0x1.c3534670bfda8p-16, -0x1.cbe432d13c8e2p-16, -0x1.d45bbabe70bdp-16, -0x1.dcb9fa05fb6a4p-16, -0x1.e4ff0cb760482p-16, -0x1.ed2b0f1ff95ddp-16, -0x1.f53e1dcad7535p-16, -0x1.fd38557e377bap-16, -0x1.028ce99cdc697p-15, -0x1.06715a1b6fee1p-15, -0x1.0a498af1a2f5bp-15, -0x1.0e158af17e754p-15, -0x1.11d56906c968dp-15, -0x1.15893435ab588p-15, -0x1.1930fb9aef5c5p-15, -0x1.1cccce6aae324p-15, -0x1.205cbbef6240fp-15, -0x1.23e0d389778b6p-15, -0x1.275924aef8d2fp-15, -0x1.2ac5bee9916c7p-15, -0x1.2e26b1d724361p-15, -0x1.317c0d2948ce8p-15, -0x1.34c5e0a220ef5p-15, -0x1.38043c1725097p-15, -0x1.3b372f6e1a68cp-15, -0x1.3e5eca9c6babap-15, -0x1.417b1da8c6027p-15, -0x1.448c38a740857p-15, -0x1.47922bbae93dep-15, -0x1.4a8d071501272p-15, -0x1.4d7cdaf291ed5p-15, -0x1.5061b79e62baap-15, -0x1.533bad6e734c7p-15, -0x1.560accc4060a5p-15, -0x1.58cf260b5f2bap-15, -0x1.5b88c9ba6231ep-15, -0x1.5e37c850a83ecp-15, -0x1.60dc3256de4f9p-15, -0x1.6376185d8b6dap-15, -0x1.66058afde9369p-15, -0x1.688a9ad77771dp-15, -0x1.6b055890faca3p-15, -0x1.6d75d4d7a8f42p-15, -0x1.6fdc205d75174p-15, -0x1.72384bda9b0abp-15, -0x1.748a680b36e16p-15, -0x1.76d285afce8b1p-15, -0x1.7910b58c5d8e1p-15, -0x1.7b450868aa6a9p-15, -0x1.7d6f8f0df420ep-15, -0x1.7f905a495f549p-15, -0x1.81a77ae821f49p-15, -0x1.83b501b992b0ep-15, -0x1.85b8ff8e493ep-15, -0x1.87b3853607a9dp-15, -0x1.89a4a381f1171p-15, -0x1.8b8c6b4186b99p-15, -0x1.8d6aed43aa85cp-15, -0x1.8f403a5698586p-15, -0x1.910c6345acb51p-15, -0x1.92cf78db82a5fp-15, -0x1.94898bdec8b9bp-15, -0x1.963aad1429902p-15, -0x1.97e2ed3cda8edp-15, -0x1.99825d15780bep-15, -0x1.9b190d587c875p-15, -0x1.9ca70eb9b3db4p-15, -0x1.9e2c71e9aab2fp-15, -0x1.9fa947935dddap-15, -0x1.a11da05bd6debp-15, -0x1.a2898ce2dc1b6p-15, -0x1.a3ed1dc1b3716p-15, -0x1.a548638b25747p-15, -0x1.a69b6ecb3393p-15, -0x1.a7e65006ab47p-15, -0x1.a92917bad5623p-15, -0x1.aa63d65d3b536p-15, -0x1.ab969c5b497a3p-15, -0x1.acc17a1a2da5p-15, -0x1.ade47ff5c1a52p-15, -0x1.aeffbe41f112ep-15, -0x1.b01345488d04ap-15, -0x1.b11f2549c68e8p-15, -0x1.b2236e7d46575p-15, -0x1.b320310ebb556p-15, -0x1.b4157d2122a31p-15, -0x1.b50362cbdf23cp-15, -0x1.b5e9f21bca9d7p-15, -0x1.b6c93b12f3111p-15, -0x1.b7a14da7670b4p-15, -0x1.b87239c490f56p-15, -0x1.b93c0f48c261cp-15, -0x1.b9fede07d5c8fp-15, -0x1.babab5c7a974ep-15, -0x1.bb6fa6437506bp-15, -0x1.bc1dbf282b29ep-15, -0x1.bcc5101696bb5p-15, -0x1.bd65a8a2df34fp-15, -0x1.bdff985263f62p-15, -0x1.be92ee9eff0cep-15, -0x1.bf1fbaf32c8b3p-15, -0x1.bfa60cac1cdf2p-15, -0x1.c025f319cd52cp-15, -0x1.c09f7d7c45e1fp-15, -0x1.c112bb069c3e9p-15, -0x1.c17fbadcf3d85p-15, -0x1.c1e68c13efe8dp-15, -0x1.c2473db2c6e02p-15, -0x1.c2a1deb008f97p-15, -0x1.c2f67df4355bfp-15, -0x1.c3452a58045adp-15, -0x1.c38df2a45ca61p-15, -0x1.c3d0e59319174p-15, -0x1.c40e11cdfdb7ep-15, -0x1.c44585eed99f9p-15, -0x1.c477507f427f9p-15, -0x1.c4a37ff972efp-15, -0x1.c4ca22c5e0864p-15, -0x1.c4eb473e35e0bp-15, -0x1.c506fbaa5fcfcp-15, -0x1.c51d4e4233f8ap-15, -0x1.c52e4d2ca42f8p-15, -0x1.c53a067fba814p-15, -0x1.c5408840a8552p-15, -0x1.c541e0631a35p-15, -0x1.c53e1cca8e135p-15, -0x1.c5354b47d81b6p-15, -0x1.c527799bf3a0ap-15, -0x1.c514b574fc806p-15, -0x1.c4fd0c70e0b91p-15, -0x1.c4e08c1ab4f2ep-15, -0x1.c4bf41ecce0c9p-15, -0x1.c4993b4f812bdp-15, -0x1.c46e8598a65bfp-15, -0x1.c43f2e0d9209cp-15, -0x1.c40b41e0061bap-15, -0x1.c3d2ce30eeb47p-15, -0x1.c395e00ed414bp-15, -0x1.c35484757615fp-15, -0x1.c30ec84fa480dp-15, -0x1.c2c4b8747df7ap-15, -0x1.c27661a9fc15bp-15, -0x1.c223d0a323be4p-15, -0x1.c1cd1200ab344p-15, -0x1.c172325111e1fp-15, -0x1.c1133e0fdf3b8p-15, -0x1.c0b041a6f2e4ep-15, -0x1.c049496c6e63bp-15, -0x1.bfde61a5240edp-15, -0x1.bf6f96823a224p-15, -0x1.befcf422e1effp-15, -0x1.be8686934e579p-15, -0x1.be0c59cd449c8p-15, -0x1.bd8e79b74d979p-15, -0x1.bd0cf2262420cp-15, -0x1.bc87ceda5937bp-15, -0x1.bbff1b83aafap-15, -0x1.bb72e3bcf029ep-15, -0x1.bae33310245e3p-15, -0x1.ba5014f30f3eep-15, -0x1.b9b994c979733p-15, -0x1.b91fbde3fda15p-15, -0x1.b8829b80b4a5fp-15, -0x1.b7e238ca6dfaep-15, -0x1.b73ea0d9f67f1p-15, -0x1.b697deb49d709p-15, -0x1.b5edfd4cf9246p-15, -0x1.b54107837103bp-15, -0x1.b4910824c2864p-15, -0x1.b3de09eba9416p-15, -0x1.b328177fd617fp-15, -0x1.b26f3b7621abap-15, -0x1.b1b38050bfe1cp-15, -0x1.b0f4f07f5a8dp-15, -0x1.b033965ef3298p-15, -0x1.af6f7c392bd65p-15, -0x1.aea8ac467623dp-15, -0x1.addf30aafb29fp-15, -0x1.ad13137985b07p-15, -0x1.ac445eb1d9c33p-15, -0x1.ab731c411cd22p-15, -0x1.aa9f56020d893p-15, -0x1.a9c915bd5146bp-15, -0x1.a8f0652849116p-15, -0x1.a8154de6bf0edp-15, -0x1.a737d989e0f2p-15, -0x1.a658119009f02p-15, -0x1.a575ff6603688p-15, -0x1.a491ac6607404p-15, -0x1.a3ab21d7bc47dp-15, -0x1.a2c268f1854c6p-15, -0x1.a1d78ad67ef65p-15, -0x1.a0ea9098d3579p-15, -0x1.9ffb833781067p-15, -0x1.9f0a6ba0b8c2dp-15, -0x1.9e1752af836b4p-15, -0x1.9d22412dfd0bap-15, -0x1.9c2b3fd3f7beap-15, -0x1.9b32574752de6p-15, -0x1.9a37901c9cc93p-15, -0x1.993af2d662574p-15, -0x1.983c87e5614b3p-15, -0x1.973c57a9a7d4ap-15, -0x1.963a6a7035d6bp-15, -0x1.9536c8760eb1ap-15, -0x1.943179e604b0ap-15, -0x1.932a86d95f7ddp-15, -0x1.9221f758f80a5p-15, -0x1.9117d35b533f9p-15, -0x1.900c22c686f1ep-15, -0x1.8efeed6f6a59cp-15, -0x1.8df03b1940b08p-15, -0x1.8ce0137752d61p-15, -0x1.8bce7e2ab3e65p-15, -0x1.8abb82c499d27p-15, -0x1.89a728c50b6e1p-15, -0x1.8891779b105a3p-15, -0x1.877a76a584de7p-15, -0x1.86622d325531dp-15, -0x1.8548a27eddaccp-15, -0x1.842dddb831673p-15, -0x1.8311e5fac927bp-15, -0x1.81f4c252cd9bfp-15, -0x1.80d679bc3992bp-15, -0x1.7fb71322dd3ap-15, -0x1.7e9695620468ep-15, -0x1.7d7507459792fp-15, -0x1.7c526f88cee06p-15, -0x1.7b2ed4d7537d8p-15, -0x1.7a0a3dcd12eddp-15, -0x1.78e4b0f5b2892p-15, -0x1.77be34cdcabbap-15, -0x1.7696cfc1cf14ap-15, }}, 
      {{0x1.ff966257f08a9p-2, 0x1.ff78d11fd70e4p-2, 0x1.ff48f139c179p-2, 0x1.ff08a18066a9p-2, 0x1.feba221591ce2p-2, 0x1.fe5fdc5f67af5p-2, 0x1.fdfc35c340c34p-2, 0x1.fd916ead42885p-2, 0x1.fd218ccc46d3fp-2, 0x1.fcae4e6ca6296p-2, 0x1.fc3924c709604p-2, 0x1.fbc33364ae3bdp-2, 0x1.fb4d531e4d22p-2, 0x1.fad817947084bp-2, 0x1.fa63d645aa1ccp-2, 0x1.f9f0ae99e06edp-2, 0x1.f97e925ebe556p-2, 0x1.f90d4e4d21cb4p-2, 0x1.f89c924618276p-2, 0x1.f82bf9096ba0fp-2, 0x1.f7bb0f3960337p-2, 0x1.f749598eeba06p-2, 0x1.f6d65a2f8e728p-2, 0x1.f6619521aa7cp-2, 0x1.f5ea93e5a94c5p-2, 0x1.f570e84165d65p-2, 0x1.f4f42e505443fp-2, 0x1.f4740dede0324p-2, 0x1.f3f03b90d3b4cp-2, 0x1.f36878aea4ebdp-2, 0x1.f2dc93bc89563p-2, 0x1.f24c67e27db02p-2, 0x1.f1b7dc7259854p-2, 0x1.f11ee432ab81ap-2, 0x1.f0817c8ac880dp-2, 0x1.efdfac9b2a742p-2, 0x1.ef39844b2174fp-2, 0x1.ee8f1b5302c29p-2, 0x1.ede0904853b93p-2, 0x1.ed2e07b014405p-2, 0x1.ec77ab1a2ac7fp-2, 0x1.ebbda848019aap-2, 0x1.eb00305fb1d5bp-2, 0x1.ea3f772c888b4p-2, 0x1.e97bb26d3d22bp-2, 0x1.e8b5192ff43b7p-2, 0x1.e7ebe33bde418p-2, 0x1.e720488822182p-2, 0x1.e65280bfb0762p-2, 0x1.e582c2d180d86p-2, 0x1.e4b1448cb2c89p-2, 0x1.e3de3a48129bp-2, 0x1.e309d6946d6c8p-2, 0x1.e23449f927a38p-2, 0x1.e15dc2ba9356p-2, 0x1.e0866ca96d154p-2, 0x1.dfae70fafc0ffp-2, 0x1.ded5f629493edp-2, 0x1.ddfd1fdadeac1p-2, 0x1.dd240ed18bc4bp-2, 0x1.dc4ae0dfa2d9cp-2, 0x1.db71b0e32708ap-2, 0x1.da9896c66cc27p-2, 0x1.d9bfa7859e733p-2, 0x1.d8e6f538b27e6p-2, 0x1.d80e8f214cde3p-2, 0x1.d73681bc1686ep-2, 0x1.d65ed6d519f75p-2, 0x1.d587959eb14bap-2, 0x1.d4b0c2caa1fbep-2, 0x1.d3da60a4fe0b1p-2, 0x1.d3046f307553fp-2, 0x1.d22eec43b7f42p-2, 0x1.d159d3a7a144ap-2, 0x1.d0851f35e09a6p-2, 0x1.cfb0c6f7e0ec1p-2, 0x1.cedcc145ac112p-2, 0x1.ce0902e49f62fp-2, 0x1.cd357f25bf2b4p-2, 0x1.cc6228037c74cp-2, 0x1.cb8eee3ed2da1p-2, 0x1.cabbc17b9f8a8p-2, 0x1.c9e8905c11d94p-2, 0x1.c915489b2ddd7p-2, 0x1.c841d7264b966p-2, 0x1.c76e28358957p-2, 0x1.c69a276328ad3p-2, 0x1.c5c5bfc1d6355p-2, 0x1.c4f0dbf1d3fefp-2, 0x1.c41b66351110ep-2, 0x1.c345488225406p-2, 0x1.c26e6c9641a2p-2, 0x1.c196bc0616041p-2, 0x1.c0be204db43efp-2, 0x1.bfe482df79b61p-2, 0x1.bf09cd320a08dp-2, 0x1.be2de8cd61fc6p-2, 0x1.bd50bf570fd02p-2, 0x1.bc723a9d99587p-2, 0x1.bb9244a31c2fbp-2, 0x1.bab0c7a72e262p-2, 0x1.b9cdae300f88p-2, 0x1.b8e8e313316d6p-2, 0x1.b802517d1db4dp-2, 0x1.b719e4f8cb38cp-2, 0x1.b62f897663f59p-2, 0x1.b5432b5183ba2p-2, 0x1.b454b75700fa9p-2, 0x1.b3641aca392b8p-2, 0x1.b2714369f4e22p-2, 0x1.b17c1f74dfc23p-2, 0x1.b0849dada0fd4p-2, 0x1.af8aad5e9774bp-2, 0x1.ae8e3e5d3fa92p-2, 0x1.ad8f410d43e62p-2, 0x1.ac8da663421a9p-2, 0x1.ab895fe7475d3p-2, 0x1.aa825fb701fe7p-2, 0x1.a9789887b4b67p-2, 0x1.a86bfda7e5363p-2, 0x1.a75c8300d2de8p-2, 0x1.a64a1d17accfep-2, 0x1.a534c10e9566ap-2, 0x1.a41c64a56ac7dp-2, 0x1.a300fe3a5dbbbp-2, 0x1.a1e284ca55f43p-2, 0x1.a0c0eff124a0fp-2, 0x1.9f9c37e989457p-2, 0x1.9e74558d0861cp-2, 0x1.9d4942539690ep-2, 0x1.9c1af85316ca3p-2, 0x1.9ae9723eb574bp-2, 0x1.99b4ab6613893p-2, 0x1.987c9fb45047ep-2, 0x1.97414baeee6d2p-2, 0x1.9602ac7491605p-2, 0x1.94c0bfbb9ab87p-2, 0x1.937b83d0a5726p-2, 0x1.9232f794e02b3p-2, 0x1.90e71a7c4a535p-2, 0x1.8f97ec8bd298ap-2, 0x1.8e456e5757683p-2, 0x1.8cefa0ff9172cp-2, 0x1.8b96862fdda51p-2, 0x1.8a3a201bf437cp-2, 0x1.88da717d87fe3p-2, 0x1.87777d91cc343p-2, 0x1.86114816ea05p-2, 0x1.84a7d54961d8p-2, 0x1.833b29e15a947p-2, 0x1.81cb4b0fdfbebp-2, 0x1.80583e7c12637p-2, 0x1.7ee20a404bf06p-2, 0x1.7d68b4e732891p-2, 0x1.7bec4568c4905p-2, 0x1.7a6cc32759a2ep-2, 0x1.78ea35ec9ba87p-2, 0x1.7764a5e676a72p-2, 0x1.75dc1ba403c16p-2, 0x1.7450a01270aecp-2, 0x1.72c23c79df4a2p-2, 0x1.7130fa7a48a46p-2, 0x1.6f9ce40857bcap-2, 0x1.6e06036a489d5p-2, 0x1.6c6c6334c6991p-2, 0x1.6ad00e47cc495p-2, 0x1.69310fcb838d2p-2, 0x1.678f732d2e53cp-2, 0x1.65eb441c0e15ap-2, 0x1.64448e8654fap-2, 0x1.629b5e96192fcp-2, 0x1.60efc0ae51f36p-2, 0x1.5f41c167db2d2p-2, 0x1.5d916d8e7f384p-2, 0x1.5bded21e0f2d3p-2, 0x1.5a29fc3f7b2bdp-2, 0x1.5872f945ff51cp-2, 0x1.56b9d6ac5434cp-2, 0x1.54fea211eacd2p-2, 0x1.534169383835p-2, 0x1.51823a0008009p-2, 0x1.4fc12266dedcp-2, 0x1.4dfe308467473p-2, 0x1.4c397287ed454p-2, 0x1.4a72f6b5e5ec5p-2, 0x1.48aacb6583b61p-2, 0x1.46e0fefe5b166p-2, 0x1.45159ff6112f7p-2, 0x1.4348bcce1d6fp-2, 0x1.417a641194688p-2, 0x1.3faaa45303d5ep-2, 0x1.3dd98c2a5b598p-2, 0x1.3c072a32e5f67p-2, 0x1.3a338d094e175p-2, 0x1.385ec349b47e1p-2, 0x1.3688db8dcf8fp-2, 0x1.34b1e46b210a4p-2, 0x1.32d9ec71317c9p-2, 0x1.31010227df0ap-2, 0x1.2f27340dba4bfp-2, 0x1.2d4c90966dbcdp-2, 0x1.2b71262935da9p-2, 0x1.2995031f667a6p-2, 0x1.27b835c2fb8c7p-2, 0x1.25dacc4d3a955p-2, 0x1.23fcd4e55e45cp-2, 0x1.221e5d9f51761p-2, 0x1.203f747a74406p-2, 0x1.1e6027606f2c8p-2, 0x1.1c808424138e7p-2, 0x1.1aa098804753cp-2, 0x1.18c07216f92c4p-2, 0x1.16e01e70279c1p-2, 0x1.14ffaaf8ece41p-2, 0x1.131f250298fdbp-2, 0x1.113e99c1d6242p-2, 0x1.0f5e164dd8cd5p-2, 0x1.0d7da79f963c1p-2, 0x1.0b9d5a910bc7dp-2, 0x1.09bd3bdc8b6c3p-2, 0x1.07dd581c1124p-2, 0x1.05fdbbc8a5056p-2, 0x1.041e7339c5b96p-2, 0x1.023f8aa4da6d4p-2, 0x1.00610e1cad8f9p-2, 0x1.fd061321e437dp-3, 0x1.f94b119b9c5a3p-3, 0x1.f5912ef6df5abp-3, 0x1.f1d8823b5100ap-3, 0x1.ee2122271f074p-3, 0x1.ea6b252e59fdbp-3, 0x1.e6b6a17a56113p-3, 0x1.e303ace91acbep-3, 0x1.df525d0ce004ap-3, 0x1.dba2c72b98e24p-3, 0x1.d7f5003e888bbp-3, 0x1.d4491cf1e4eabp-3, 0x1.d09f31a4823acp-3, 0x1.ccf752678d8b9p-3, 0x1.c95192fe4e4dcp-3, 0x1.c5ae06ddf18b9p-3, 0x1.c20cc12d62542p-3, 0x1.be6dd4c52bd32p-3, 0x1.bad1542f5e0c4p-3, 0x1.b73751a7826c1p-3, 0x1.b39fdf1a9842ep-3, 0x1.b00b0e271302ep-3, 0x1.ac78f01ce5aefp-3, 0x1.a8e995fd97f79p-3, 0x1.a55d107c5b568p-3, 0x1.a1d36ffe2ab9dp-3, 0x1.9e4cc499f2f9ep-3, 0x1.9ac91e18bdf34p-3, 0x1.97488bf5e58b2p-3, 0x1.93cb1d5f4cdbfp-3, 0x1.9050e1359a435p-3, 0x1.8cd9e60c81457p-3, 0x1.89663a2b03a3cp-3, 0x1.85f5eb8bc24a4p-3, 0x1.828907dd4f1cap-3, 0x1.7f1f9c828167ep-3, 0x1.7bb9b692d07bbp-3, 0x1.785762dab1c8ep-3, 0x1.74f8addbfc467p-3, 0x1.719da3ce4bd73p-3, 0x1.6e46509f6c997p-3, 0x1.6af2bff3c5562p-3, 0x1.67a2fd26c8f8bp-3, 0x1.6457134b67262p-3, 0x1.610f0d2c82fcbp-3, 0x1.5dcaf54d6c764p-3, 0x1.5a8ad5ea5727cp-3, 0x1.574eb8f8daadap-3, 0x1.5416a8287236cp-3, 0x1.50e2ace2fb2e7p-3, 0x1.4db2d04d3cb2p-3, 0x1.4a871b4769bfbp-3, 0x1.475f966daa6e5p-3, 0x1.443c4a18a7c97p-3, 0x1.411d3e5e10a3p-3, 0x1.3e027b112c78cp-3, 0x1.3aec07c3666e8p-3, 0x1.37d9ebc4daec4p-3, 0x1.34cc2e24ee07bp-3, 0x1.31c2d5b2d7604p-3, 0x1.2ebde8fe3b2bep-3, 0x1.2bbd6e57b7d59p-3, 0x1.28c16bd184514p-3, 0x1.25c9e73ffbf7ep-3, 0x1.22d6e63a3f7fp-3, 0x1.1fe86e1ac6fccp-3, 0x1.1cfe83fffd98ep-3, 0x1.1a192cccd9b89p-3, 0x1.17386d297990cp-3, 0x1.145c4983ba70ep-3, 0x1.1184c60fda9c3p-3, 0x1.0eb1e6c90fb36p-3, 0x1.0be3af722427ep-3, 0x1.091a23961914dp-3, 0x1.06554688bd8a4p-3, 0x1.03951b6752287p-3, 0x1.00d9a51924d0cp-3, 0x1.fc45cca05a6f7p-4, 0x1.f6e1c31364859p-4, 0x1.f187321dc2a6fp-4, 0x1.ec361deaeaceap-4, 0x1.e6ee8a409e887p-4, 0x1.e1b07a80376e9p-4, 0x1.dc7bf1a7de8bbp-4, 0x1.d750f253d391bp-4, 0x1.d22f7ebfa43b5p-4, 0x1.cd1798c771c1p-4, 0x1.c80941e931063p-4, 0x1.c3047b45eac6ep-4, 0x1.be0945a2fa02dp-4, 0x1.b917a16b4ded8p-4, 0x1.b42f8eb0a311ep-4, 0x1.af510d2cd1932p-4, 0x1.aa7c1c42fbc26p-4, 0x1.a5b0bb00d3936p-4, 0x1.a0eee81fe1d36p-4, 0x1.9c36a206b2fcap-4, 0x1.9787e6ca21c54p-4, 0x1.92e2b42e928cap-4, 0x1.8e4707a92a62fp-4, 0x1.89b4de610edcdp-4, 0x1.852c3530a180cp-4, 0x1.80ad08a6b9724p-4, 0x1.7c375507dc3cp-4, 0x1.77cb164f78892p-4, 0x1.736848311d86fp-4, 0x1.6f0ee619b1bf6p-4, 0x1.6abeeb30ab025p-4, 0x1.66785259426f1p-4, 0x1.623b1633a98ccp-4, 0x1.5e07311e3d737p-4, 0x1.59dc9d36ba4ebp-4, 0x1.55bb545b693f9p-4, 0x1.51a3502c5547dp-4, 0x1.4d948a0c77c33p-4, 0x1.498efb22e42cfp-4, 0x1.45929c5bf8a53p-4, 0x1.419f666a85aa2p-4, 0x1.3db551c8f983bp-4, 0x1.39d456ba8829cp-4, 0x1.35fc6d4c5276dp-4, 0x1.322d8d568ae39p-4, 0x1.2e67ae7d9aca6p-4, 0x1.2aaac833439dep-4, 0x1.26f6d1b7c04dcp-4, 0x1.234bc21ae4bb1p-4, 0x1.1fa9903d3b3e1p-4, 0x1.1c1032d12096p-4, 0x1.187fa05bdc27bp-4, 0x1.14f7cf36bcfbbp-4, 0x1.1178b5902c2e8p-4, 0x1.0e02496cc3998p-4, 0x1.0a9480a860f77p-4, 0x1.072f50f734fcbp-4, 0x1.03d2afe6d621ap-4, 0x1.007e92df49eccp-4, 0x1.fa65de4826548p-5, 0x1.f3df73aa73415p-5, 0x1.ed69cfe0a54e5p-5, 0x1.e704dca306ccdp-5, 0x1.e0b083690d3c1p-5, 0x1.da6cad6b58de3p-5, 0x1.d43943a5b4a6bp-5, 0x1.ce162ed908167p-5, 0x1.c803578d54b3dp-5, 0x1.c200a613a1375p-5, 0x1.bc0e0287e56c3p-5, 0x1.b62b54d2f0c9fp-5, 0x1.b05884ac4fa5cp-5, 0x1.aa95799c25d56p-5, 0x1.a4e21afd079p-5, 0x1.9f3e4ffdd19afp-5, 0x1.99a9ffa374178p-5, 0x1.942510cabdaacp-5, 0x1.8eaf6a2a22c6ep-5, 0x1.8948f2537f531p-5, 0x1.83f18fb5cdc58p-5, 0x1.7ea9289ee3de4p-5, 0x1.796fa33d1e7ebp-5, 0x1.7444e5a1137c8p-5, 0x1.6f28d5bf35078p-5, 0x1.6a1b597175694p-5, 0x1.651c5678e68c4p-5, 0x1.602bb27f4ef4fp-5, 0x1.5b495318be062p-5, 0x1.56751dc5193c8p-5, 0x1.51aef7f1a4d6dp-5, 0x1.4cf6c6fa889fbp-5, 0x1.484c702c491a6p-5, 0x1.43afd8c545f77p-5, 0x1.3f20e5f72acffp-5, 0x1.3a9f7ce85ba81p-5, 0x1.362b82b55faf7p-5, 0x1.31c4dc7244f7dp-5, 0x1.2d6b6f2bfb602p-5, 0x1.291f1fe9b2501p-5, 0x1.24dfd3ae26f85p-5, 0x1.20ad6f78f563ap-5, 0x1.1c87d847dfadfp-5, 0x1.186ef31813d2cp-5, 0x1.1462a4e765df9p-5, 0x1.1062d2b589cc1p-5, 0x1.0c6f618549cdap-5, 0x1.0888365daf4c3p-5, 0x1.04ad364b311dep-5, 0x1.00de4660cfd15p-5, 0x1.fa36977276ef5p-6, 0x1.f2c856efce464p-6, 0x1.eb719594397e8p-6, 0x1.e4321dd01ce5ep-6, 0x1.dd09ba2bb8cbfp-6, 0x1.d5f8354932f0bp-6, 0x1.cefd59e695654p-6, 0x1.c818f2dfbd3cep-6, 0x1.c14acb304aa6bp-6, 0x1.ba92adf574e12p-6, 0x1.b3f0666fe4836p-6, 0x1.ad63c0057fb33p-6, 0x1.a6ec86431fd6bp-6, 0x1.a08a84de54a47p-6, 0x1.9a3d87b6ffcbfp-6, 0x1.94055ad9093eap-6, 0x1.8de1ca7de453cp-6, 0x1.87d2a30e2d8cdp-6, 0x1.81d7b123225aap-6, 0x1.7bf0c18823703p-6, 0x1.761da13c21f99p-6, 0x1.705e1d730b6a7p-6, 0x1.6ab20397202fcp-6, 0x1.6519214a4d33p-6, 0x1.5f9344677a1a3p-6, 0x1.5a203b03c04fcp-6, 0x1.54bfd36fb2394p-6, 0x1.4f71dc387bbaap-6, 0x1.4a36242918899p-6, 0x1.450c7a4b65e9bp-6, 0x1.3ff4ade93c25cp-6, 0x1.3aee8e8d7cc78p-6, 0x1.35f9ec0512077p-6, 0x1.3116965ff059cp-6, 0x1.2c445df2022a9p-6, 0x1.27831354139a1p-6, 0x1.22d28764bab42p-6, 0x1.1e328b49286fp-6, 0x1.19a2f06e00b3ap-6, 0x1.1523888822364p-6, 0x1.10b4259567fa6p-6, 0x1.0c5499dd63ccbp-6, 0x1.0804b7f21268p-6, 0x1.03c452b0823b5p-6, 0x1.ff267a82f4604p-7, 0x1.f6e296342623p-7, 0x1.eebc9ff8a1e78p-7, 0x1.e6b43fef51cf4p-7, 0x1.dec91ed31fa74p-7, 0x1.d6fae5fbe428dp-7, 0x1.cf493f5f644dbp-7, 0x1.c7b3d5922cdc9p-7, 0x1.c03a53c86b25bp-7, 0x1.b8dc65d6af3aap-7, 0x1.b199b832b9683p-7, 0x1.aa71f7f4166e6p-7, 0x1.a364d2d4c5927p-7, 0x1.9c71f731d90fdp-7, 0x1.9599140bf1f12p-7, 0x1.8ed9d907cccd7p-7, 0x1.8833f66ea5b44p-7, 0x1.81a71d2ea75c9p-7, 0x1.7b32fedb40fe5p-7, 0x1.74d74dad7efc8p-7, 0x1.6e93bc844ba2ap-7, 0x1.6867fee49c2d8p-7, 0x1.6253c8f9bf9bdp-7, 0x1.5c56cf9565b77p-7, 0x1.5670c82fc94dcp-7, 0x1.50a168e7c113ap-7, 0x1.4ae86882c3ddep-7, 0x1.45457e6cec4a3p-7, 0x1.3fb862b8e456fp-7, 0x1.3a40ce1fdc854p-7, 0x1.34de7a01629cep-7, 0x1.2f9120634c6b6p-7, 0x1.2a587bf1774f4p-7, 0x1.253447fd9b76ep-7, 0x1.2024407f09babp-7, 0x1.1b28221264f6cp-7, 0x1.163fa9f95803dp-7, 0x1.116a961a327fp-7, 0x1.0ca8a4ff9c81fp-7, 0x1.07f995d8250fbp-7, 0x1.035d2875d5daap-7, 0x1.fda63a9b82d28p-8, 0x1.f4b66aef2665fp-8, 0x1.ebea6559faccdp-8, 0x1.e341ae92899b5p-8, 0x1.dabbcc913c81ep-8, 0x1.d258468f698b4p-8, 0x1.ca16a505eb634p-8, 0x1.c1f671ac19986p-8, 0x1.b9f7377652878p-8, 0x1.b2188294bfd34p-8, 0x1.aa59e071f2532p-8, 0x1.a2badfb187dcdp-8, 0x1.9b3b102e9ab9ep-8, 0x1.93da02fa69f9dp-8, 0x1.8c974a5ab7747p-8, 0x1.857279c8516d1p-8, 0x1.7e6b25ed6aabfp-8, 0x1.7780e4a40c34dp-8, 0x1.70b34cf464a66p-8, 0x1.6a01f71317e19p-8, 0x1.636c7c5f988b8p-8, 0x1.5cf277625a6eap-8, 0x1.569383cb1f0a2p-8, 0x1.504f3e6f1b905p-8, 0x1.4a25454733725p-8, 0x1.4415376e25205p-8, 0x1.3e1eb51e9d2cbp-8, 0x1.38415fb16d2e7p-8, 0x1.327cd99b85d76p-8, 0x1.2cd0c66c30a7p-8, 0x1.273ccacaeefafp-8, 0x1.21c08c75c21d5p-8, 0x1.1c5bb23ef1d7bp-8, 0x1.170de40b3e44fp-8, 0x1.11d6cacfbe516p-8, 0x1.0cb6108fe70bap-8, 0x1.07ab605b9a8edp-8, 0x1.02b6664ce1eb8p-8, 0x1.fbad9f0c2beecp-9, 0x1.f218945f5af43p-9, 0x1.e8ad0aec6a962p-9, 0x1.df6a631068e5dp-9, 0x1.d64fff282c6c7p-9, 0x1.cd5d438c0c1aep-9, 0x1.c491968bbea18p-9, 0x1.bbec6069feabdp-9, 0x1.b36d0b5873ca4p-9, 0x1.ab13037324939p-9, 0x1.a2ddb6bca16c5p-9, 0x1.9acc9519379aep-9, 0x1.92df104b1aeefp-9, 0x1.8b149bede4456p-9, 0x1.836cad7235c3bp-9, 0x1.7be6bc199d90dp-9, 0x1.748240f2202b5p-9, 0x1.6d3eb6d2025cdp-9, 0x1.661b9a537317p-9, 0x1.5f1869d04ab4cp-9, 0x1.5834a55d95506p-9, 0x1.516fcec7a7068p-9, 0x1.4ac9698d43c83p-9, 0x1.4440fadbf45acp-9, 0x1.3dd6098b321bp-9, 0x1.37881e1893747p-9, 0x1.3156c2a34674dp-9, 0x1.2b4182e7e3c15p-9, 0x1.2547ec3c32e89p-9, 0x1.1f698d8b00b8ep-9, 0x1.19a5f74fbddaap-9, 0x1.13fcbb9285903p-9, 0x1.0e6d6de3ad1d6p-9, 0x1.08f7a357df5b7p-9, 0x1.039af283962c2p-9, 0x1.fcade6eee6d4ep-10, 0x1.f2567f773fcfbp-10, 0x1.e82ee497ff8b9p-10, 0x1.de364f28239acp-10, 0x1.d46bfad584c91p-10, 0x1.cacf261cd4d8cp-10, 0x1.c15f1241b3e3cp-10, 0x1.b81b034659a6bp-10, 0x1.af023fe3f1d0dp-10, 0x1.a61411825f34bp-10, 0x1.9d4fc43088549p-10, 0x1.94b4a69c6a835p-10, 0x1.8c420a0b31864p-10, 0x1.83f74251b00acp-10, 0x1.7bd3a5cc5c426p-10, 0x1.73d68d57fd437p-10, 0x1.6bff5449a684fp-10, 0x1.644d58676ae03p-10, 0x1.5cbff9e0f36cbp-10, 0x1.55569b4782dd7p-10, 0x1.4e10a18728dd6p-10, 0x1.46ed73def395dp-10, 0x1.3fec7bd9e51ep-10, 0x1.390d25475e6dfp-10, 0x1.324ede3454fa7p-10, 0x1.2bb116e3d1ec7p-10, 0x1.253341c7f632cp-10, 0x1.1ed4d37b08b6cp-10, 0x1.189542b844632p-10, 0x1.127408551000ep-10, 0x1.0c709f3a20af8p-10, 0x1.068a845c8b7a1p-10, 0x1.00c136b6f20e6p-10, 0x1.f6286e8673e19p-11, 0x1.eb0611e66f37bp-11, 0x1.e01a615557b1fp-11, 0x1.d5646a70ce3e9p-11, 0x1.cae33e9ff9396p-11, 0x1.c095f306972d7p-11, 0x1.b67ba077fe387p-11, 0x1.ac93636ab6216p-11, 0x1.a2dc5bec2ac0fp-11, 0x1.9955ad93fbc8ep-11, 0x1.8ffe7f77e9b82p-11, 0x1.86d5fc1f7ece5p-11, 0x1.7ddb517856bf6p-11, 0x1.750db0c9fd04bp-11, 0x1.6c6c4ea9f8ab2p-11, 0x1.63f662f0d0f3cp-11, 0x1.5bab28ad79b43p-11, 0x1.5389de1ac6c13p-11, 0x1.4b91c493b9b6fp-11, 0x1.43c220880fb4bp-11, 0x1.3c1a3971d5a75p-11, 0x1.349959c9a000cp-11, 0x1.2d3ecefc7914ep-11, 0x1.2609e96057a3cp-11, 0x1.1ef9fc2a3e4dfp-11, 0x1.180e5d6339005p-11, 0x1.114665de1a3b1p-11, 0x1.0aa1712d43d39p-11, 0x1.041edd987c539p-11, 0x1.fb7c182554714p-12, 0x1.eefcc0605119ep-12, 0x1.e2be8039d1abp-12, 0x1.d6c029248a93dp-12, 0x1.cb00919ca1e75p-12, 0x1.bf7e9512f85fp-12, 0x1.b43913db0e409p-12, 0x1.a92ef3185b4cp-12, 0x1.9e5f1cac9c906p-12, 0x1.93c87f2436019p-12, 0x1.896a0da62bb0dp-12, 0x1.7f42bfe0ec51ap-12, 0x1.755191f974f9ep-12, 0x1.6b95847a58829p-12, 0x1.620d9c421f5f8p-12, 0x1.58b8e272d3681p-12, 0x1.4f966460ef591p-12, 0x1.46a53383995bp-12, 0x1.3de465640fb72p-12, 0x1.3553138d574d6p-12, 0x1.2cf05b7cc390fp-12, 0x1.24bb5e9285454p-12, 0x1.1cb342021b828p-12, 0x1.14d72ec27a6aap-12, 0x1.0d2651802d6c7p-12, 0x1.059fda8dca889p-12, 0x1.fc85fbaa0e876p-13, 0x1.ee1de5925f2ap-13, 0x1.e005e8b05e462p-13, 0x1.d23c81b94cef3p-13, 0x1.c4c03421084fep-13, 0x1.b78f89fc93ef9p-13, 0x1.aaa913e9566e5p-13, 0x1.9e0b68f128e68p-13, 0x1.91b52670b4481p-13, 0x1.85a4effc7dd48p-13, 0x1.79d96f48ba46p-13, 0x1.6e51540f1f8e1p-13, 0x1.630b53f616c1fp-13, 0x1.58062a787522cp-13, 0x1.4d4098cd4e5ebp-13, 0x1.42b965d02f4dp-13, 0x1.386f5de931ef8p-13, 0x1.2e6152f5f0d4ep-13, 0x1.248e1c32fd15bp-13, 0x1.1af49624ea082p-13, 0x1.1193a2824a58ep-13, 0x1.086a281e318bbp-13, 0x1.feee25a32fe8ap-14, 0x1.ed72a6cdfe4c1p-14, 0x1.dc5fbf0a994p-14, 0x1.cbb36334cca62p-14, 0x1.bb6b919132dacp-14, 0x1.ab86519fc69c2p-14, 0x1.9c01b3fa3444cp-14, 0x1.8cdbd2280868ap-14, 0x1.7e12ce7b46a0dp-14, 0x1.6fa4d3e9cf629p-14, 0x1.619015e71910dp-14, 0x1.53d2d04133681p-14, 0x1.466b46fb758ebp-14, 0x1.3957c62b76275p-14, 0x1.2c96a1d583d8ap-14, 0x1.202635cae427ep-14, 0x1.1404e5873c223p-14, 0x1.08311c0e7d11fp-14, 0x1.f952979afb7fap-15, 0x1.e2d7dcf062082p-15, 0x1.ccef09d52597dp-15, 0x1.b7952e10d0901p-15, 0x1.a2c7673e14af8p-15, 0x1.8e82e08a1fd69p-15, 0x1.7ac4d2803626p-15, 0x1.678a82c56f4edp-15, 0x1.54d143e530c9ep-15, 0x1.429675154b3b3p-15, 0x1.30d781fd71ad3p-15, 0x1.1f91e2801ed99p-15, 0x1.0ec31a8430c0ap-15, 0x1.fcd1737edab6fp-16, 0x1.dd00b701abe55p-16, 0x1.be0f4cf8f7344p-16, 0x1.9ff8993407a7fp-16, 0x1.82b81583053cbp-16, 0x1.6649514feb7fap-16, 0x1.4aa7f14164427p-16, 0x1.2fcfaedb4676dp-16, 0x1.15bc581b81e8ap-16, 0x1.f8d39e46b6fa3p-17, 0x1.c7a813ae86e28p-17, 0x1.97ee231294a76p-17, 0x1.699e05302b71bp-17, 0x1.3cb0184e88424p-17, 0x1.111cdf740e52ap-17, 0x1.cdba03a056af9p-18, 0x1.7bd294257286cp-18, 0x1.2c754b8e54675p-18, 0x1.bf2892d8f3622p-19, 0x1.2a43e11f0b70ap-19, 0x1.3443974f0e98p-20, 0x1.d503ba97e928ep-24, -0x1.e10b75fb0693cp-21, -0x1.f570bd031590ep-20, -0x1.78d1227a54a26p-19, -0x1.f2a56e2dd61a4p-19, -0x1.342687ee98a2cp-18, -0x1.6cefb0c995fe5p-18, -0x1.a3b9a5974d603p-18, -0x1.d88fa238f25d1p-18, -0x1.05be55c344745p-17, -0x1.1e45c8277ff9p-17, -0x1.35e37530a0011p-17, -0x1.4c9c8fb764b0ap-17, -0x1.62763101c488dp-17, -0x1.77755941a1da7p-17, -0x1.8b9ef003f1e28p-17, -0x1.9ef7c4a4a71d6p-17, -0x1.b1848ec202d7ap-17, -0x1.c349eeaa3bef1p-17, -0x1.d44c6dc946ba7p-17, -0x1.e4907f136a5d2p-17, -0x1.f41a7f74f8704p-17, -0x1.01775b190c8b8p-16, -0x1.0888aaa841ea2p-16, -0x1.0f433cfd9b55p-16, -0x1.15a91672bdfacp-16, -0x1.1bbc3155d5c1dp-16, -0x1.217e7e19d2836p-16, -0x1.26f1e3819a008p-16, -0x1.2c183ed2490c2p-16, -0x1.30f363fda3aa8p-16, -0x1.35851dcec09b7p-16, -0x1.39cf2e181b051p-16, -0x1.3dd34dd88a7eep-16, -0x1.41932d697aedbp-16, -0x1.451074a7fe6f6p-16, -0x1.484cc31bf3d9p-16, -0x1.4b49b01f01f84p-16, -0x1.4e08cb0590476p-16, -0x1.508b9b44a1f42p-16, -0x1.52d3a09595e84p-16, -0x1.54e2531c505b8p-16, -0x1.56b9238bffb59p-16, -0x1.58597b4a7d795p-16, -0x1.59c4bc925f668p-16, -0x1.5afc4295cd526p-16, -0x1.5c0161a088eb9p-16, -0x1.5cd5673830f75p-16, -0x1.5d799a3dcf4e5p-16, -0x1.5def3b0c2ae7bp-16, -0x1.5e378398dcc72p-16, -0x1.5e53a79186d7fp-16, -0x1.5e44d47b2737dp-16, -0x1.5e0c31cecf873p-16, -0x1.5daae11630fe3p-16, -0x1.5d21fe0a4c24dp-16, -0x1.5c729eae1512fp-16, -0x1.5b9dd3698a435p-16, -0x1.5aa4a724fe8f3p-16, -0x1.59881f63b5818p-16, -0x1.58493c5e15bd6p-16, -0x1.56e8f91bb3c31p-16, -0x1.55684b8a388abp-16, -0x1.53c82497b7f26p-16, -0x1.5209704adc542p-16, -0x1.502d15da76769p-16, -0x1.4e33f7c402e14p-16, -0x1.4c1ef3e2fb1c9p-16, -0x1.49eee3875d2f9p-16, -0x1.47a49b8b06a22p-16, -0x1.4540ec681db6bp-16, -0x1.42c4a24d63f96p-16, -0x1.40308532b9cebp-16, -0x1.3d8558ef3e2d6p-16, -0x1.3ac3dd4b862ffp-16, -0x1.37ecce162ab9cp-16, -0x1.3500e336a39a8p-16, -0x1.3200d0c081cf5p-16, -0x1.2eed470523366p-16, -0x1.2bc6f2a6ed889p-16, -0x1.288e7caa21f3cp-16, -0x1.25448a87cbb2fp-16, -0x1.21e9be3db89a7p-16, -0x1.1e7eb65fb7576p-16, -0x1.1b040e27a1ff9p-16, -0x1.177a5d8709d87p-16, -0x1.13e239353eb04p-16, -0x1.103c32c110fbbp-16, -0x1.0c88d89e23997p-16, -0x1.08c8b63538ad6p-16, -0x1.04fc53f2609bap-16, -0x1.012437538bbcap-16, -0x1.fa81c5ee57d49p-17, -0x1.f2a5ad52a6363p-17, -0x1.eab51ee49441ap-17, -0x1.e2b10f47b7e02p-17, -0x1.da9a6dcc5e1cap-17, -0x1.d2722488d91dfp-17, -0x1.ca3918736b371p-17, -0x1.c1f0297c93f6cp-17, -0x1.b99832a514802p-17, -0x1.b1320a17a829dp-17, -0x1.a8be813f96122p-17, -0x1.a03e64df9eeecp-17, -0x1.97b27d2a0553cp-17, -0x1.8f1b8dd4ded1bp-17, -0x1.867a5630b281bp-17, -0x1.7dcf913eae5dcp-17, -0x1.751bf5c43b944p-17, -0x1.6c603660b0bb1p-17, -0x1.639d01a07a0ccp-17, -0x1.5ad30211fd85fp-17, -0x1.5202de5817a3bp-17, -0x1.492d393ce9d81p-17, -0x1.4052b1c551e61p-17, -0x1.3773e34399c91p-17, -0x1.2e916568d3359p-17, -0x1.25abcc56ee054p-17, -0x1.1cc3a8b113311p-17, -0x1.13d987adbd421p-17, -0x1.0aedf326bcd34p-17, -0x1.020171aa5ab75p-17, -0x1.f2290d148cf6bp-18, -0x1.e04f63d92063dp-18, -0x1.ce76e1b505482p-18, -0x1.bca07a9d66a15p-18, -0x1.aacd1c8ceedebp-18, -0x1.98fdaf9bd3e79p-18, -0x1.87331620d9bb7p-18, -0x1.756e2cca8bf5bp-18, -0x1.63afcabb3d83bp-18, -0x1.51f8c1a49278fp-18, -0x1.4049dde309e26p-18, -0x1.2ea3e69657e8ep-18, -0x1.1d079dbc6628cp-18, -0x1.0b75c049fb132p-18, -0x1.f3de0c81c52e5p-19, -0x1.d0e8459bc6bc5p-19, -0x1.ae0b88b3410afp-19, -0x1.8b49294ce8183p-19, -0x1.68a271c4275cdp-19, -0x1.4618a37c43988p-19, -0x1.23acf70e2807cp-19, -0x1.01609c7197032p-19, -0x1.be69764c40c9p-20, -0x1.7a54e4c01e25ep-20, -0x1.3685b25bd9b12p-20, -0x1.e5fbfa9280b1ap-21, -0x1.5f7fa804a4c62p-21, -0x1.b334d6a0ef5e6p-22, -0x1.51409254bfde3p-23, 0x1.82db4cbf91bf6p-24, 0x1.68c9333a9a549p-22, 0x1.37c7e24b4a5aap-21, 0x1.ba81d64995837p-21, 0x1.1e4791cd4ab58p-20, 0x1.5ef64985d2929p-20, 0x1.9f4b83d7fe784p-20, 0x1.df45bf2d85b62p-20, 0x1.0f71c34a97a6fp-19, 0x1.2f11b8be2d17fp-19, 0x1.4e8211bd5799fp-19, 0x1.6dc2260796e1dp-19, 0x1.8cd1532fbe38ep-19, 0x1.abaefc86bac51p-19, 0x1.ca5a8af4e2353p-19, 0x1.e8d36ce606cebp-19, 0x1.038c8b1533dd1p-18, 0x1.12957fec55881p-18, 0x1.2184541c27fb8p-18, 0x1.3058c952e26a2p-18, 0x1.3f12a3bbbfdf8p-18, 0x1.4db1a9f2ab20cp-18, 0x1.5c35a4f8a0b64p-18, 0x1.6a9e60250954fp-18, 0x1.78eba91d4e7bap-18, 0x1.871d4fc60596ap-18, 0x1.95332639de045p-18, 0x1.a32d00bba1cd3p-18, 0x1.b10ab5ae80b41p-18, 0x1.becc1d87518c1p-18, 0x1.cc7112c3ece6p-18, 0x1.d9f971e14a671p-18, 0x1.e76519503668ep-18, 0x1.f4b3e96ad6d6ap-18, 0x1.00f2e235a4d1fp-17, 0x1.077d4730dcbebp-17, 0x1.0df9169502e8p-17, 0x1.146644323451fp-17, 0x1.1ac4c4b495db4p-17, 0x1.21148da0e8e1fp-17, 0x1.2755954fcef78p-17, 0x1.2d87d2e85080cp-17, 0x1.33ab3e5de3274p-17, 0x1.39bfd0698cf0cp-17, 0x1.3fc58287da8dp-17, 0x1.45bc4ef32487bp-17, 0x1.4ba430a0a6edap-17, 0x1.517d233c0162fp-17, 0x1.574723231cf88p-17, 0x1.5d022d635dc1ap-17, 0x1.62ae3fb46669dp-17, 0x1.684b587608065p-17, 0x1.6dd976ab498c5p-17, 0x1.735899f78bb63p-17, 0x1.78c8c29aeead3p-17, 0x1.7e29f16e7f7e9p-17, 0x1.837c27e161c49p-17, 0x1.88bf67f556756p-17, 0x1.8df3b43b1a584p-17, 0x1.93190fcfebea2p-17, 0x1.982f7e59d9f88p-17, 0x1.9d3704045d2c8p-17, 0x1.a22fa57e868d1p-17, 0x1.a71967f695a2p-17, 0x1.abf45117d07ddp-17, 0x1.b0c0670834deap-17, 0x1.b57db06376feep-17, 0x1.ba2c343ae7a48p-17, 0x1.becbfa11329e5p-17, 0x1.c35d09d7bc4e3p-17, 0x1.c7df6bec66f73p-17, 0x1.cc532917259a8p-17, 0x1.d0b84a85d1838p-17, 0x1.d50ed9cc937c3p-17, 0x1.d956e0e04b4bcp-17, 0x1.dd906a173ca6ep-17, 0x1.e1bb8023c30fep-17, 0x1.e5d82e13b4c12p-17, 0x1.e9e67f4deb73p-17, 0x1.ede67f8f3d05ap-17, 0x1.f1d83ae8c6d5p-17, 0x1.f5bbbdbe7e3adp-17, 0x1.f99114c373a1ep-17, 0x1.fd584cf9638dep-17, 0x1.0088b9d664577p-16, 0x1.025e4b3a5bed1p-16, 0x1.042ce197df60fp-16, 0x1.05f48400b9f8ap-16, 0x1.07b539a97fda2p-16, 0x1.096f09e6b925ep-16, 0x1.0b21fc2dc4f1fp-16, 0x1.0cce1812cd6e5p-16, 0x1.0e7365481e8ecp-16, 0x1.1011eb9d81c08p-16, 0x1.11a9b2ff40fe1p-16, 0x1.133ac374f5492p-16, 0x1.14c52521a4358p-16, 0x1.1648e04157195p-16, 0x1.17c5fd29d6665p-16, 0x1.193c84492c7aap-16, 0x1.1aac7e24d561ap-16, 0x1.1c15f359422b5p-16, 0x1.1d78ec9899b4fp-16, 0x1.1ed572aabf255p-16, 0x1.202b8e6b8e1fcp-16, 0x1.217b48cb5261cp-16, 0x1.22c4aacd3ab94p-16, 0x1.2407bd86c6056p-16, 0x1.25448a1f21153p-16, 0x1.267b19cf0bfe9p-16, 0x1.27ab75df1faefp-16, 0x1.28d5a7a81c769p-16, 0x1.29f9b891f3986p-16, 0x1.2b17b212c6c39p-16, 0x1.2c2f9daeed1f2p-16, 0x1.2d4184f7ffbbap-16, 0x1.2e4d718c331f6p-16, 0x1.2f536d163620cp-16, 0x1.3053814be164p-16, 0x1.314db7ee79a66p-16, 0x1.32421ac9713f4p-16, 0x1.3330b3b222f37p-16, 0x1.34198c87da9acp-16, 0x1.34fcaf31da8f7p-16, 0x1.35da25a0c84a9p-16, 0x1.36b1f9cc30d7fp-16, 0x1.378435b403235p-16, 0x1.3850e35e2951ep-16, 0x1.39180cd7a4aa2p-16, 0x1.39d9bc330706dp-16, 0x1.3a95fb88a1ad3p-16, 0x1.3b4cd4f58073cp-16, 0x1.3bfe529c0790cp-16, 0x1.3caa7ea1d2d8ap-16, 0x1.3d516330e5d37p-16, 0x1.3df30a76d72aep-16, 0x1.3e8f7ea317ac3p-16, 0x1.3f26c9e9342f2p-16, 0x1.3fb8f67d39ce9p-16, 0x1.40460e96339e6p-16, 0x1.40ce1c6c1347ep-16, 0x1.41512a37cddcep-16, 0x1.41cf4233027d4p-16, 0x1.42486e97c5bd3p-16, 0x1.42bcb99ff28b8p-16, 0x1.432c2d8510f95p-16, 0x1.4396d47fea23ap-16, 0x1.43fcb8c84dd6p-16, 0x1.445de4945cf44p-16, 0x1.44ba621923aeep-16, 0x1.45123b88e0849p-16, 0x1.45657b14339f8p-16, 0x1.45b42ae8e3f0ap-16, 0x1.45fe553180123p-16, 0x1.464404161df41p-16, 0x1.468541ba78126p-16, 0x1.46c2183f734adp-16, 0x1.46fa91c132b4dp-16, 0x1.472eb85811ac3p-16, 0x1.475e9617b324ep-16, 0x1.478a350ee8726p-16, 0x1.47b19f47c1daep-16, 0x1.47d4dec6a8016p-16, 0x1.47f3fd8aed744p-16, 0x1.480f058de75f3p-16, 0x1.482600c2f6e92p-16, 0x1.4838f91798565p-16, 0x1.4847f87283a72p-16, 0x1.485308b4220c9p-16, 0x1.485a33b5e82c8p-16, 0x1.485d834a4eed2p-16, 0x1.485d013cb5e99p-16, 0x1.4858b750fa3e2p-16, 0x1.4850af436c714p-16, 0x1.4844f2c8c37b3p-16, 0x1.48358b8d7599fp-16, 0x1.4822833613d41p-16, 0x1.480be35eff087p-16, 0x1.47f1b59bd8894p-16, 0x1.47d40377f61efp-16, 0x1.47b2d675a032cp-16, 0x1.478e380e8b95ap-16, 0x1.476631b2f7f6p-16, 0x1.473accca4f1edp-16, 0x1.470c12b23ac8p-16, 0x1.46da0cbf4c7bp-16, 0x1.46a4c43c2566ep-16, 0x1.466c4269cf018p-16, 0x1.4630907f5e13bp-16, 0x1.45f1b7a9e6789p-16, 0x1.45afc10c60751p-16, 0x1.456ab5bf85686p-16, 0x1.45229ed1ac7d6p-16, 0x1.44d78546ba17ep-16, 0x1.448972180a366p-16, 0x1.44386e342b459p-16, 0x1.43e4827f02dfap-16, 0x1.438db7d1908d1p-16, 0x1.433416f9dea29p-16, 0x1.42d7a8bac3906p-16, 0x1.427875cc270f3p-16, 0x1.421686da98ebfp-16, 0x1.41b1e4872db8ep-16, 0x1.414a976807b66p-16, 0x1.40e0a8073aeadp-16, 0x1.40741ee3dcca9p-16, 0x1.40050470ef84dp-16, 0x1.3f93611630d1ap-16, 0x1.3f1f3d2f2382p-16, 0x1.3ea8a10c1ad54p-16, 0x1.3e2f94f0d2e7ep-16, 0x1.3db42115c35f3p-16, 0x1.3d364da6e0eaep-16, 0x1.3cb622c492438p-16, 0x1.3c33a8829a06ap-16, 0x1.3baee6e913a27p-16, 0x1.3b27e5f3b3a9bp-16, 0x1.3a9ead91dcb9p-16, 0x1.3a1345a6ff4d5p-16, 0x1.3985b609c6a2cp-16, 0x1.38f6068512bedp-16, 0x1.38643ed6baaa5p-16, 0x1.37d066b0e933ap-16, 0x1.373a85b8a91d6p-16, 0x1.36a2a386fedd6p-16, 0x1.3608c7a840b78p-16, 0x1.356cf99c39545p-16, 0x1.34cf40d655defp-16, 0x1.342fa4bd4b3ap-16, 0x1.338e2cab21878p-16, 0x1.32eadfed9627dp-16, 0x1.3245c5c58c553p-16, 0x1.319ee56729f62p-16, 0x1.30f645fa5da49p-16, 0x1.304bee99e8f64p-16, 0x1.2f9fe6544aacbp-16, 0x1.2ef2342b219f8p-16, 0x1.2e42df137cb8p-16, 0x1.2d91edf5a42ddp-16, 0x1.2cdf67ad39f3dp-16, 0x1.2c2b53095adddp-16, 0x1.2b75b6cc18998p-16, 0x1.2abe99ab5856cp-16, 0x1.2a06024fbca38p-16, 0x1.294bf755f75eap-16, 0x1.28907f4d50236p-16, 0x1.27d3a0b9055ep-16, 0x1.2715620f45499p-16, 0x1.2655c9b9e5aedp-16, 0x1.2594de15fcd98p-16, 0x1.24d2a573ea3dfp-16, 0x1.240f2617e8bfep-16, 0x1.234a6638ea24cp-16, 0x1.22846c022364dp-16, 0x1.21bd3d9190345p-16, 0x1.20f4e0f8f4faap-16, 0x1.202b5c3dcb5ep-16, 0x1.1f60b55899a5ep-16, 0x1.1e94f235d38cfp-16, 0x1.1dc818b5755f8p-16, 0x1.1cfa2eaac03fbp-16, 0x1.1c2b39dd3aabcp-16, 0x1.1b5b40075af09p-16, 0x1.1a8a46d7c1557p-16, 0x1.19b853f0babacp-16, 0x1.18e56ce7eb92dp-16, 0x1.1811974766bebp-16, 0x1.173cd88c5a2a2p-16, 0x1.166736286b8dep-16, 0x1.1590b58089cb2p-16, 0x1.14b95bee3580dp-16, 0x1.13e12ebe0df2ep-16, 0x1.1308333196484p-16, 0x1.122e6e7d71057p-16, 0x1.1153e5cb30d1cp-16, 0x1.10789e379844dp-16, 0x1.0f9c9cd467c9fp-16, 0x1.0ebfe6a6ccfcap-16, 0x1.0de280a8c24c3p-16, 0x1.0d046fc827ae2p-16, 0x1.0c25b8e752bb5p-16, 0x1.0b4660dcdf215p-16, 0x1.0a666c73b51e8p-16, 0x1.0985e06b6f1c2p-16, 0x1.08a4c177c4854p-16, 0x1.07c314414b9cdp-16, 0x1.06e0dd64e96p-16, 0x1.05fe21741824p-16, 0x1.051ae4f5523b4p-16, 0x1.04372c634550bp-16, 0x1.0352fc2dde75bp-16, 0x1.026e58b972ae2p-16, 0x1.0189465f4720ep-16, 0x1.00a3c96ddfa2dp-16, 0x1.ff7bcc4fe6c24p-17, 0x1.fdaf418c8283p-17, 0x1.fbe1faeadb5f1p-17, 0x1.fa1400b07c0fp-17, 0x1.f8455b0bcf0afp-17, 0x1.f6761216422ddp-17, 0x1.f4a62dd3d64c4p-17, 0x1.f2d5b632d897p-17, 0x1.f104b30c7ccefp-17, 0x1.ef332c24bf013p-17, 0x1.ed61292aad074p-17, 0x1.eb8eb1b7ec07p-17, 0x1.e9bbcd520b1edp-17, 0x1.e7e88368f8853p-17, 0x1.e614db58c77f7p-17, 0x1.e440dc68665b3p-17, 0x1.e26c8dcad447ep-17, 0x1.e097f69e59048p-17, 0x1.dec31ded85662p-17, 0x1.dcee0aae59babp-17, 0x1.db18c3c333933p-17, 0x1.d9434ffa648fap-17, 0x1.d76db60ecf74cp-17, 0x1.d597fca708cb1p-17, 0x1.d3c22a5733e4bp-17, 0x1.d1ec459ecf5f3p-17, 0x1.d01654eb4d833p-17, 0x1.ce405e95dde48p-17, 0x1.cc6a68e56458bp-17, 0x1.ca947a0d86d9cp-17, 0x1.c8be982ee168p-17, 0x1.c6e8c9581d9f7p-17, 0x1.c51313841ce6bp-17, 0x1.c33d7c9ca94e4p-17, 0x1.c1680a77d76d8p-17, 0x1.bf92c2daae9c2p-17, 0x1.bdbdab7722218p-17, 0x1.bbe8c9edaed0ep-17, 0x1.ba1423ccf4b74p-17, 0x1.b83fbe913b2adp-17, 0x1.b66b9fa60a148p-17, 0x1.b497cc646c9f1p-17, 0x1.b2c44a14ba0f7p-17, 0x1.b0f11ded9de4p-17, 0x1.af1e4d14a7f21p-17, 0x1.ad4bdc9e43c03p-17, 0x1.ab79d18e3bab4p-17, 0x1.a9a830d6e7eefp-17, 0x1.a7d6ff5a9f953p-17, 0x1.a60641ea86efbp-17, 0x1.a435fd479ba62p-17, 0x1.a26636226b364p-17, 0x1.a096f11b243f2p-17, 0x1.9ec832c1f2bd2p-17, 0x1.9cf9ff9705cd9p-17, 0x1.9b2c5c0a7e634p-17, 0x1.995f4c7cce64cp-17, 0x1.9792d53ed12bbp-17, 0x1.95c6fa9182056p-17, 0x1.93fbc0a6f131dp-17, 0x1.92312ba151c65p-17, 0x1.90673f940fd24p-17, 0x1.8e9e008333491p-17, 0x1.8cd57263f1909p-17, 0x1.8b0d991c9f17ap-17, 0x1.89467884b2384p-17, 0x1.8780146557a7ap-17, 0x1.85ba7078ab952p-17, 0x1.83f5906b09747p-17, 0x1.823177d9c7babp-17, 0x1.806e2a54d40a5p-17, 0x1.7eabab5d4ae92p-17, 0x1.7ce9fe66f5a8p-17, 0x1.7b2926d766af4p-17, 0x1.7969280690d0ep-17, 0x1.77aa053ee1393p-17, 0x1.75ebc1bd257ep-17, 0x1.742e60b0c5446p-17, 0x1.7271e53c00386p-17, 0x1.70b65273c4421p-17, 0x1.6efbab600f855p-17, 0x1.6d41f2fbcc5a3p-17, 0x1.6b892c354eae6p-17, 0x1.69d159edc6c98p-17, 0x1.681a7efa1dcc5p-17, 0x1.66649e22b1f48p-17, 0x1.64afba231cf7ap-17, 0x1.62fbd5ab5ce35p-17, 0x1.6148f35e5917dp-17, 0x1.5f9715d3c39fdp-17, 0x1.5de63f96ac945p-17, 0x1.5c367326a98bep-17, 0x1.5a87b2f749d07p-17, 0x1.58da0170d0476p-17, 0x1.572d60ef38af3p-17, 0x1.5581d3c438ac4p-17, 0x1.53d75c349ec42p-17, 0x1.522dfc7bc5cacp-17, 0x1.5085b6c7fa8c1p-17, 0x1.4ede8d3e66681p-17, 0x1.4d3881f773667p-17, 0x1.4b93970264ad9p-17, 0x1.49efce62381c9p-17, 0x1.484d2a10aa9b2p-17, 0x1.46ababfbb6803p-17, 0x1.450b5607f4999p-17, 0x1.436c2a0edd454p-17, 0x1.41ce29e01d219p-17, 0x1.4031574116f3ap-17, 0x1.3e95b3ed17f75p-17, 0x1.3cfb4195acc1ep-17, 0x1.3b6201e2480c9p-17, 0x1.39c9f670df5c1p-17, 0x1.383320d5786e3p-17, 0x1.369d829ace867p-17, 0x1.35091d4200dc9p-17, 0x1.3375f242b85eap-17, 0x1.31e4030bbb1eep-17, 0x1.305351020a112p-17, 0x1.2ec3dd8222465p-17, 0x1.2d35a9df18803p-17, 0x1.2ba8b763551ebp-17, 0x1.2a1d07504b0e9p-17, 0x1.28929adee79f4p-17, 0x1.2709733f1a75fp-17, 0x1.25819198c4c96p-17, 0x1.23faf70adc98ap-17, 0x1.2275a4ac4f37dp-17, 0x1.20f19b8b7f088p-17, 0x1.1f6edcaef472ap-17, 0x1.1ded69149e822p-17, 0x1.1c6d41b31f167p-17, 0x1.1aee677837f03p-17, 0x1.1970db4af25dap-17, 0x1.17f49e094fa2cp-17, 0x1.1679b08b12a1ep-17, 0x1.1500139edc1d5p-17, 0x1.1387c80d4bff5p-17, 0x1.1210ce9652a46p-17, 0x1.109b27f377a8dp-17, 0x1.0f26d4d64bb7bp-17, 0x1.0db3d5e9ce868p-17, 0x1.0c422bd15336bp-17, 0x1.0ad1d729b755fp-17, 0x1.0962d8885cdd7p-17, 0x1.07f5307c49d9dp-17, 0x1.0688df8d50883p-17, 0x1.051de63cebfa7p-17, 0x1.03b44505a651bp-17, 0x1.024bfc5bc846ap-17, 0x1.00e50cacd6981p-17, 0x1.fefeecc07754dp-18, 0x1.fc3673ad8959p-18, 0x1.f970aed6bcc45p-18, 0x1.f6ad9ee4a2dd2p-18, 0x1.f3ed44748a9c4p-18, 0x1.f12fa01721088p-18, 0x1.ee74b2514d6c4p-18, 0x1.ebbc7b9c719b9p-18, 0x1.e906fc65f09c2p-18, 0x1.e65435100a46ep-18, 0x1.e3a425f186d44p-18, 0x1.e0f6cf55e4fa9p-18, 0x1.de4c317dde836p-18, 0x1.dba44c9f064c7p-18, 0x1.d8ff20e4288c3p-18, 0x1.d65cae6dc9a47p-18, 0x1.d3bcf55149a2ep-18, 0x1.d11ff59a6e8dep-18, 0x1.ce85af4a0e8d3p-18, 0x1.cbee22577d63cp-18, 0x1.c9594eaf95227p-18, 0x1.c6c73435e6d0fp-18, 0x1.c437d2c3a0406p-18, }}, 
      {{-0x1.0ceaefd9d9cf4p-14, -0x1.14bf59fb4d14ap-12, -0x1.449e7cc4e2d83p-11, -0x1.2f003e8a8cd43p-10, -0x1.f21d9863dc4fbp-10, -0x1.789f0a7083698p-9, -0x1.0bf64d6636dp-8, -0x1.6bb4f9a9c3ec1p-8, -0x1.db182b0808843p-8, -0x1.2c83a5fd4f64bp-7, -0x1.71eb3543ec722p-7, -0x1.bcaf4814a8577p-7, -0x1.05c65f2b4445dp-6, -0x1.2e8f99885196bp-6, -0x1.57f77eb118ffep-6, -0x1.813f181906016p-6, -0x1.a9aa151d35fe2p-6, -0x1.d083b97db73e4p-6, -0x1.f522e237a4a7p-6, -0x1.0b768f7de4079p-5, -0x1.1aac74dbfcdf1p-5, -0x1.27f78703fca7p-5, -0x1.3325ac0fcd2d1p-5, -0x1.3c0e531109ba7p-5, -0x1.42923c19e8b9bp-5, -0x1.469b0da16f9e7p-5, -0x1.481ac4731cefp-5, -0x1.470b0a16e65cp-5, -0x1.436c7c1143003p-5, -0x1.3d45ecaa452bep-5, -0x1.34a3a4359762fp-5, -0x1.2996a833a347p-5, -0x1.1c340c27443bbp-5, -0x1.0c944eadb1cf1p-5, -0x1.f5a5889ab148cp-6, -0x1.ce1a211a0f8c4p-6, -0x1.a2c55a6a2db4cp-6, -0x1.73e8fe371852bp-6, -0x1.41c8ef0a48cd1p-6, -0x1.0caa81e1bf13ep-6, -0x1.a9a7d82fdce1cp-7, -0x1.35178629d5655p-7, -0x1.78622d7a6fa8dp-8, -0x1.fc054d1cc65bbp-10, 0x1.01bcef83694bdp-9, 0x1.862c9a31ea9d7p-8, 0x1.47ef039dd6edfp-7, 0x1.ce771f049eb1dp-7, 0x1.2b180c113e474p-6, 0x1.6f4fc493d2a58p-6, 0x1.b3a7c5b7127cbp-6, 0x1.f7e785c4f390bp-6, 0x1.1dec84fa86ee4p-5, 0x1.3fa4838be795ap-5, 0x1.61037ecfbcb4ep-5, 0x1.81f2a8812d6e7p-5, 0x1.a25cad37b2ap-5, 0x1.c22dbb68578d3p-5, 0x1.e153880e8a1d3p-5, 0x1.ffbd5101529p-5, 0x1.0eadee7f5a8e1p-4, 0x1.1d10bcbe3bf2p-4, 0x1.2b00fb297f4e9p-4, 0x1.38794fae2b10ep-4, 0x1.45751a13356a6p-4, 0x1.51f06eedf2859p-4, 0x1.5de811c569c0dp-4, 0x1.69596e79abf7ep-4, 0x1.7442920561882p-4, 0x1.7ea222b080dcbp-4, 0x1.887757cb7b5f5p-4, 0x1.91c1f10a27465p-4, 0x1.9a822d955caebp-4, 0x1.a2b8c2e996b6dp-4, 0x1.aa66d39804f82p-4, 0x1.b18de5fe5a1bp-4, 0x1.b82fdb086bfc1p-4, 0x1.be4ee50d1b917p-4, 0x1.c3ed7ed6b762bp-4, 0x1.c90e62e51af5bp-4, 0x1.cdb482f67bcb8p-4, 0x1.d1e2ffe1d65d1p-4, 0x1.d59d21cc967a4p-4, 0x1.d8e650c33d35p-4, 0x1.dbc20dbb64e4ep-4, 0x1.de33ec03e121p-4, 0x1.e03f8b267f67bp-4, 0x1.e1e8913d6862cp-4, 0x1.e332a5bd397fep-4, 0x1.e4216cb37ee6ep-4, 0x1.e4b882787616fp-4, 0x1.e4fb77d217794p-4, 0x1.e4edce858409dp-4, 0x1.e492f6535968ap-4, 0x1.e3ee4a5af1bb5p-4, 0x1.e3030edfebe71p-4, 0x1.e1d46f6d2220fp-4, 0x1.e0657d4fd24dap-4, 0x1.deb92e658ded9p-4, 0x1.dcd25c37528a6p-4, 0x1.dab3c35c2b9bep-4, 0x1.d860031da9bd4p-4, 0x1.d5d99d58875cbp-4, 0x1.d322f693ebafcp-4, 0x1.d03e5649c745cp-4, 0x1.cd2de75b1a028p-4, 0x1.c9f3b8aadd2ecp-4, 0x1.c691bddac9347p-4, 0x1.c309d02527926p-4, 0x1.bf5daf4f603dcp-4, 0x1.bb8f02b0e7185p-4, 0x1.b79f5a4ac7317p-4, 0x1.b3902febf46a5p-4, 0x1.af62e85f2360cp-4, 0x1.ab18d49eee8e8p-4, 0x1.a6b3330d65bd1p-4, 0x1.a23330ac8936p-4, 0x1.9d99ea55294aep-4, 0x1.98e86dea333f4p-4, 0x1.941fbb8675d96p-4, 0x1.8f40c6a33467p-4, 0x1.8a4c77362206dp-4, 0x1.8543aac5804b9p-4, 0x1.80273571562a4p-4, 0x1.7af7e2f0e211cp-4, 0x1.75b677839036fp-4, 0x1.7063b0d4ec09dp-4, 0x1.6b0046d325e94p-4, 0x1.658cec77e1cabp-4, 0x1.600a50832dc2ap-4, 0x1.5a791e2891a69p-4, 0x1.54d9fdae4825ap-4, 0x1.4f2d94fec1e28p-4, 0x1.4974882caff51p-4, 0x1.43af79e9da6f2p-4, 0x1.3ddf0bf122f2ap-4, 0x1.3803df64130c1p-4, 0x1.321e951c6e795p-4, 0x1.2c2fcdf23f3bp-4, 0x1.26382af6e3c6bp-4, 0x1.20384da5a6493p-4, 0x1.1a30d80a684d5p-4, 0x1.14226cdef9307p-4, 0x1.0e0daf9fa55dbp-4, 0x1.07f344979701fp-4, 0x1.01d3d0e597f46p-4, 0x1.f75ff4f3972c4p-5, 0x1.eb10d019dc901p-5, 0x1.debb82235899p-5, 0x1.d2615b4135c74p-5, 0x1.c603acbeb4c5p-5, 0x1.b9a3c8c6cc30bp-5, 0x1.ad43022220486p-5, 0x1.a0e2abee4dacep-5, 0x1.9484194f69d3ep-5, 0x1.88289d1ca160bp-5, 0x1.7bd18988c1826p-5, 0x1.6f802fc77bef2p-5, 0x1.6335dfb022c6ep-5, 0x1.56f3e75e93528p-5, 0x1.4abb92d2f2e1ep-5, 0x1.3e8e2b90db678p-5, 0x1.326cf83e8fd29p-5, 0x1.26593c44b567cp-5, 0x1.1a54376f1c05ap-5, 0x1.0e5f258efd1fap-5, 0x1.027b3e1f1bb16p-5, 0x1.ed5367d44f5e1p-6, 0x1.d5d76967699fdp-6, 0x1.be84d1c827094p-6, 0x1.a75de66eacaa6p-6, 0x1.9064e0df5ddcap-6, 0x1.799bee16cabaep-6, 0x1.63052dfd1738bp-6, 0x1.4ca2b2e12d2dep-6, 0x1.367680fbf95f2p-6, 0x1.20828dfbddbd1p-6, 0x1.0ac8c09873962p-6, 0x1.ea95e05d9dfc9p-7, 0x1.c015c8cc5866ep-7, 0x1.9614a9ba6ae04p-7, 0x1.6c95d1bf88a4cp-7, 0x1.439c6e4a3367dp-7, 0x1.1b2b8b2ce4413p-7, 0x1.e68c2477a11e1p-8, 0x1.97dd95f5d3adap-8, 0x1.4a50b4b7ca8b4p-8, 0x1.fbd50a2fddfc8p-9, 0x1.655f8b432928ap-9, 0x1.a293bba36aaf2p-10, 0x1.fce337f293d98p-12, -0x1.3e83ffe1190cp-11, -0x1.b8ce12c07c53fp-10, -0x1.66aef28950efbp-9, -0x1.ee72830741d0dp-9, -0x1.39d605e244d56p-8, -0x1.7b2b32f398361p-8, -0x1.bb3678c4f0801p-8, -0x1.f9f5ca25dbe3fp-8, -0x1.1bb3adee1d964p-7, -0x1.39c4d1e2ea622p-7, -0x1.572dabf424d3bp-7, -0x1.73edb6b85d539p-7, -0x1.90048bd1fde6bp-7, -0x1.ab71e36040d17p-7, -0x1.c63593698a05p-7, -0x1.e04f8f3f9b866p-7, -0x1.f9bfe6de203d3p-7, -0x1.094363220ad6cp-6, -0x1.15523a644a579p-6, -0x1.210caa35b374bp-6, -0x1.2c72f090e7338p-6, -0x1.3785581019b41p-6, -0x1.424437905ad05p-6, -0x1.4caff1d3bcd08p-6, -0x1.56c8f52263c1bp-6, -0x1.608fbaeac8bb2p-6, -0x1.6a04c7614deb6p-6, -0x1.7328a91f66fbdp-6, -0x1.7bfbf8c268c98p-6, -0x1.847f588a4131ap-6, -0x1.8cb373f8293c6p-6, -0x1.9498ff6d893e5p-6, -0x1.9c30b7cb29ad7p-6, -0x1.a37b6210cfa02p-6, -0x1.aa79cafd75841p-6, -0x1.b12cc6b02b4fap-6, -0x1.b7953049d0d7cp-6, -0x1.bdb3e98fad1adp-6, -0x1.c389da8f13c36p-6, -0x1.c917f1421a49dp-6, -0x1.ce5f213586eedp-6, -0x1.d360632ffdc66p-6, -0x1.d81cb4da8c32ep-6, -0x1.dc95186aa0e2cp-6, -0x1.e0ca944d7b92ap-6, -0x1.e4be32d52dea2p-6, -0x1.e87101e72d728p-6, -0x1.ebe412ac8d2b8p-6, -0x1.ef187943e7e5ap-6, -0x1.f20f4c74fc145p-6, -0x1.f4c9a5661322cp-6, -0x1.f7489f532d40cp-6, -0x1.f98d5746ffbb7p-6, -0x1.fb98ebd5c6956p-6, -0x1.fd6c7cd9f7717p-6, -0x1.ff092b32c6547p-6, -0x1.00380c424acap-5, -0x1.00d1337d9f52bp-5, -0x1.01509c8721febp-5, -0x1.01b6d8a371128p-5, -0x1.02047904016bp-5, -0x1.023a0eac0c936p-5, -0x1.02582a566a975p-5, -0x1.025f5c5c5c7edp-5, -0x1.0250349d43399p-5, -0x1.022b42674355dp-5, -0x1.01f11460cba6ep-5, -0x1.01a238730b86ep-5, -0x1.013f3bb5460dfp-5, -0x1.00c8aa5909a2p-5, -0x1.003f0f9747a5fp-5, -0x1.ff45eb3c87afep-6, -0x1.fde9cb00c4ccbp-6, -0x1.fc6ace47891abp-6, -0x1.faca026572bc1p-6, -0x1.f9087219f5e22p-6, -0x1.f727257372274p-6, -0x1.f52721b4c54e7p-6, -0x1.f309693c6db4ep-6, -0x1.f0cefb6d26a4cp-6, -0x1.ee78d497f6ccp-6, -0x1.ec07ede7a7b05p-6, -0x1.e97d3d4da8f28p-6, -0x1.e6d9b57044a1fp-6, -0x1.e41e459a28da9p-6, -0x1.e14bd9ab3cd22p-6, -0x1.de635a0ab1263p-6, -0x1.db65ab9a4b6aep-6, -0x1.d853afaadee6bp-6, -0x1.d52e43f1ecdb5p-6, -0x1.d1f64280649d1p-6, -0x1.ceac81ba73fep-6, -0x1.cb51d45068c12p-6, -0x1.c7e7093895b6ap-6, -0x1.c46cebaa330f4p-6, -0x1.c0e443192df12p-6, -0x1.bd4dd332e969bp-6, -0x1.b9aa5bdbdba08p-6, -0x1.b5fa992e0967fp-6, -0x1.b23f43785434ep-6, -0x1.ae790f3e8d1e3p-6, -0x1.aaa8ad3a533abp-6, -0x1.a6ceca5ca6233p-6, -0x1.a2ec0fd034578p-6, -0x1.9f0122fc47434p-6, -0x1.9b0ea5886368p-6, -0x1.971535607b995p-6, -0x1.93156cb9c28cfp-6, -0x1.8f0fe21800b65p-6, -0x1.8b0528537de89p-6, -0x1.86f5ce9f64b4bp-6, -0x1.82e26090a7f73p-6, -0x1.7ecb662558fc4p-6, -0x1.7ab163cc6d86bp-6, -0x1.7694da6df181ap-6, -0x1.727647739a816p-6, -0x1.6e5624d1b3efp-6, -0x1.6a34e9106c4f4p-6, -0x1.661307556c6d8p-6, -0x1.61f0ef6dbca17p-6, -0x1.5dcf0dd7f831fp-6, -0x1.59adcbceb79a4p-6, -0x1.558d8f5344b2ep-6, -0x1.516ebb387f683p-6, -0x1.4d51af2dfcd8dp-6, -0x1.4936c7cb52c96p-6, -0x1.451e5e9b8eb94p-6, -0x1.4108ca28d7e38p-6, -0x1.3cf65e0832536p-6, -0x1.38e76ae56256dp-6, -0x1.34dc3e8eec17p-6, -0x1.30d5240226e5p-6, -0x1.2cd263777198cp-6, -0x1.28d4426e65889p-6, -0x1.24db03ba29de2p-6, -0x1.20e6e78dc5848p-6, -0x1.1cf82b887e73ap-6, -0x1.190f0ac23e9dfp-6, -0x1.152bbdd7f7753p-6, -0x1.114e7af80a5c4p-6, -0x1.0d7775eea95bcp-6, -0x1.09a6e03234517p-6, -0x1.05dce8ef929b6p-6, -0x1.0219bd167bdf3p-6, -0x1.fcbb0ecb69b67p-7, -0x1.f550e0ee92cdcp-7, -0x1.edf53d994ef9bp-7, -0x1.e6a86db566778p-7, -0x1.df6ab62b81bacp-7, -0x1.d83c57fafe65ep-7, -0x1.d11d905189269p-7, -0x1.ca0e98a29a039p-7, -0x1.c30fa6bea8e4bp-7, -0x1.bc20ecea3ab1dp-7, -0x1.b54299f4b4befp-7, -0x1.ae74d94ef24adp-7, -0x1.a7b7d3219941p-7, -0x1.a10bac6336afdp-7, -0x1.9a7086ee218afp-7, -0x1.93e68195ff225p-7, -0x1.8d6db83d3114fp-7, -0x1.870643e9cba2ap-7, -0x1.80b03ada68cefp-7, -0x1.7a6bb09aa4426p-7, -0x1.7438b61755056p-7, -0x1.6e1759b2786bfp-7, -0x1.6807a756ce30ep-7, -0x1.6209a88b2f9abp-7, -0x1.5c1d6485a0423p-7, -0x1.5642e03dfaed2p-7, -0x1.507a1e8068edp-7, -0x1.4ac31fff7b336p-7, -0x1.451de365feffdp-7, -0x1.3f8a656875aadp-7, -0x1.3a08a0d64fa47p-7, -0x1.34988eaac7e33p-7, -0x1.2f3a261d7d099p-7, -0x1.29ed5cb2a8077p-7, -0x1.24b2264b1f80ap-7, -0x1.1f887533ee8d8p-7, -0x1.1a703a35b21p-7, -0x1.156964a39af9ap-7, -0x1.1073e26a2c07bp-7, -0x1.0b8fa01d9be0ap-7, -0x1.06bc8907f4e81p-7, -0x1.01fa8736e6666p-7, -0x1.fa93071281162p-8, -0x1.f152cb7857822p-8, -0x1.e83428f02806fp-8, -0x1.df36eaba88cbfp-8, -0x1.d65ada207abep-8, -0x1.cd9fbe8b6e19bp-8, -0x1.c5055d9cd4f61p-8, -0x1.bc8b7b45074b8p-8, -0x1.b431d9d9a3403p-8, -0x1.abf83a2b661p-8, -0x1.a3de5b9b6a25dp-8, -0x1.9be3fc2fe3b91p-8, -0x1.9408d8a852a84p-8, -0x1.8c4cac9135184p-8, -0x1.84af325718832p-8, -0x1.7d30235954a58p-8, -0x1.75cf37fc0f2dfp-8, -0x1.6e8c27b9f75dep-8, -0x1.6766a93541fb4p-8, -0x1.605e724874906p-8, -0x1.5973381670b4p-8, -0x1.52a4af1a31122p-8, -0x1.4bf28b360661dp-8, -0x1.455c7fc24caffp-8, -0x1.3ee23f9bcd586p-8, -0x1.38837d319c6c5p-8, -0x1.323fea9280287p-8, -0x1.2c17397a0832ap-8, -0x1.26091b5d18aadp-8, -0x1.2015417619c19p-8, -0x1.1a3b5cd0d3fd5p-8, -0x1.147b1e55bfc28p-8, -0x1.0ed436d5114ebp-8, -0x1.094657115854cp-8, -0x1.03d12fc9b96c7p-8, -0x1.fce8e387b0d3bp-9, -0x1.f25f9baabc709p-9, -0x1.e805e9da4a655p-9, -0x1.dddb30381011dp-9, -0x1.d3ded13ae3c13p-9, -0x1.ca102fbefd6cfp-9, -0x1.c06eaf159e615p-9, -0x1.b6f9b3143eb7ep-9, -0x1.adb0a022fb6bcp-9, -0x1.a492db4a6b4e2p-9, -0x1.9b9fca40da4b2p-9, -0x1.92d6d377207a7p-9, -0x1.8a375e24ab25fp-9, -0x1.81c0d2531538fp-9, -0x1.797298e94b27bp-9, -0x1.714c1bb60323ep-9, -0x1.694cc579d86dfp-9, -0x1.617401f0d2082p-9, -0x1.59c13ddb74519p-9, -0x1.5233e7076059ep-9, -0x1.4acb6c576f79dp-9, -0x1.43873dcb75f9ep-9, -0x1.3c66cc87843e2p-9, -0x1.35698adab6cb4p-9, -0x1.2e8eec45bdac9p-9, -0x1.27d66580e52fep-9, -0x1.213f6c81a8f99p-9, -0x1.1ac9788026721p-9, -0x1.147401fbe890fp-9, -0x1.0e3e82c093918p-9, -0x1.082875ea194f3p-9, -0x1.023157e8a502dp-9, -0x1.f8b14d0845975p-10, -0x1.ed3bc1bf321d1p-10, -0x1.e2010ef83901ap-10, -0x1.d7003876ee268p-10, -0x1.cc3844c52c027p-10, -0x1.c1a83d373a7aep-10, -0x1.b74f2defc1f3p-10, -0x1.ad2c25e2a2a06p-10, -0x1.a33e36d8078c1p-10, -0x1.9984756e89c2bp-10, -0x1.8ffdf91cc006p-10, -0x1.86a9dc32e743fp-10, -0x1.7d873bdb9c5c8p-10, -0x1.7495381c57fb1p-10, -0x1.6bd2f3d5aec3cp-10, -0x1.633f94c2d4598p-10, -0x1.5ada437925264p-10, -0x1.52a22b670bc0dp-10, -0x1.4a967ad2a3e59p-10, -0x1.42b662d818c12p-10, -0x1.3b011767d0904p-10, -0x1.3375cf43c6d55p-10, -0x1.2c13c3fd5f065p-10, -0x1.24da31f252abep-10, -0x1.1dc85849abe33p-10, -0x1.16dd78f0560ap-10, -0x1.1018d895ab09ep-10, -0x1.0979bea77867fp-10, -0x1.02ff754e1210cp-10, -0x1.f95292d017f04p-11, -0x1.eced150b387c1p-11, -0x1.e0cd15c8cfe4ep-11, -0x1.d4f13ed4463ddp-11, -0x1.c9583f4038b45p-11, -0x1.be00cb5b7b09ep-11, -0x1.b2e99ca6dddc1p-11, -0x1.a81171ca3c813p-11, -0x1.9d770e896d64bp-11, -0x1.93193bb8dbb2p-11, -0x1.88f6c731e3bfbp-11, -0x1.7f0e83c702718p-11, -0x1.755f4938098e3p-11, -0x1.6be7f425a351fp-11, -0x1.62a76604dc879p-11, -0x1.599c851323474p-11, -0x1.50c63c48e8ad5p-11, -0x1.48237b4d7b914p-11, -0x1.3fb3366968ef6p-11, -0x1.37746679f4384p-11, -0x1.2f6608e3af92ep-11, -0x1.27871f854bbcdp-11, -0x1.1fd6b0aa548cfp-11, -0x1.1853c6fdbc262p-11, -0x1.10fd717c5498fp-11, -0x1.09d2c36792b48p-11, -0x1.02d2d437c53b2p-11, -0x1.f7f97f1d4843ep-12, -0x1.ea9f4a53a25c7p-12, -0x1.dd9551a9f6b13p-12, -0x1.d0d9e4b944961p-12, -0x1.c46b5b004b008p-12, -0x1.b84813c8f23cfp-12, -0x1.ac6e760ce5205p-12, -0x1.a0dcf05a6c6d9p-12, -0x1.9591f8b980b99p-12, -0x1.8a8c0c90e6aa1p-12, -0x1.7fc9b08b7bd95p-12, -0x1.7549707d00377p-12, -0x1.6b09df47c601dp-12, -0x1.610996c212ea6p-12, -0x1.5747379bfe71cp-12, -0x1.4dc16944a6ec1p-12, -0x1.4476d9d065ep-12, -0x1.3b663ddf1fdfp-12, -0x1.328e5081b6c93p-12, -0x1.29edd3215e67ep-12, -0x1.21838d655a5acp-12, -0x1.194e4d1a32453p-12, -0x1.114ce6189390bp-12, -0x1.097e322c4e355p-12, -0x1.01e110fbb9fd6p-12, -0x1.f4e8cfde85f09p-13, -0x1.e66e4432d187fp-13, -0x1.d850603cd33efp-13, -0x1.ca8d10393b28ap-13, -0x1.bd224b29a08c3p-13, -0x1.b00e12a60db0cp-13, -0x1.a34e72aeecef9p-13, -0x1.96e1817ee844p-13, -0x1.8ac55f5e256f9p-13, -0x1.7ef8367539287p-13, -0x1.73783aa0fa8f7p-13, -0x1.6843a947343a2p-13, -0x1.5d58c92a3e034p-13, -0x1.52b5ea3ff8735p-13, -0x1.48596586498cp-13, -0x1.3e419cd9b09bcp-13, -0x1.346cfacc7ee56p-13, -0x1.2ad9f27d9eca7p-13, -0x1.2186ff70d375fp-13, -0x1.1872a56707d6bp-13, -0x1.0f9b70370d4a5p-13, -0x1.06fff3a7240b2p-13, -0x1.fd3d968dc62fcp-14, -0x1.eced34934ad3ep-14, -0x1.dd0c16c3bb828p-14, -0x1.cd97a1376e638p-14, -0x1.be8d467419574p-14, -0x1.afea872517e2ep-14, -0x1.a1acf1d5790e9p-14, -0x1.93d222aaf8e48p-14, -0x1.8657c322c7778p-14, -0x1.793b89ce2daf2p-14, -0x1.6c7b3a110b22fp-14, -0x1.6014a3e0a2aeap-14, -0x1.5405a3848c489p-14, -0x1.484c21575484dp-14, -0x1.3ce61188e4383p-14, -0x1.31d173e1a8803p-14, -0x1.270c53868bc23p-14, -0x1.1c94c6bf02fep-14, -0x1.1268eeb9a5266p-14, -0x1.0886f75516e59p-14, -0x1.fdda2dcc4edd3p-15, -0x1.eb331c0499cbdp-15, -0x1.d9154e91514d2p-15, -0x1.c77d6e5b2873ep-15, -0x1.b668378a8787p-15, -0x1.a5d27923624fap-15, -0x1.95b9149ea1447p-15, -0x1.8618fd87a4f1ep-15, -0x1.76ef391a4c87dp-15, -0x1.6838dde460565p-15, -0x1.59f31366cd73ap-15, -0x1.4c1b11b98ea7p-15, -0x1.3eae21312b5ebp-15, -0x1.31a99a063ee8p-15, -0x1.250ae3fd71241p-15, -0x1.18cf7612a117ep-15, -0x1.0cf4d623cc1c7p-15, -0x1.017898a0ca495p-15, -0x1.ecb0c06f24ce1p-16, -0x1.d723bb0ddc65ap-16, -0x1.c2459da00dacp-16, -0x1.ae11ff5397036p-16, -0x1.9a84916c65134p-16, -0x1.87991eb363e7p-16, -0x1.754b8ae3860e7p-16, -0x1.6397d21eb771fp-16, -0x1.527a0863a5706p-16, -0x1.41ee590528ed1p-16, -0x1.31f10625702b5p-16, -0x1.227e6835fa4b3p-16, -0x1.1392ed74a55f6p-16, -0x1.052b19705c8ep-16, -0x1.ee87091facbecp-17, -0x1.d3b1b72fa7054p-17, -0x1.b9cfbe6c687b3p-17, -0x1.a0dac71fd9b2fp-17, -0x1.88cc9f9beebf5p-17, -0x1.719f3b63cac22p-17, -0x1.5b4cb24fb14b8p-17, -0x1.45cf3fba8a8c5p-17, -0x1.312141b4678fcp-17, -0x1.1d3d3836853b1p-17, -0x1.0a1dc45c1c9ap-17, -0x1.ef7b4f4482275p-18, -0x1.cc2f864e8ad89p-18, -0x1.aa4e2deabfd17p-18, -0x1.89cd8290bc3fp-18, -0x1.6aa3fbbb751f8p-18, -0x1.4cc84a8ccc555p-18, -0x1.30315876ee188p-18, -0x1.14d645f6c1b5ep-18, -0x1.f55cd28294829p-19, -0x1.c3629a26b51efp-19, -0x1.93ad5ee16cdf7p-19, -0x1.662d00e98dc4fp-19, -0x1.3ad1c25f9e385p-19, -0x1.118c44f25e229p-19, -0x1.d49b0f6ff007dp-20, -0x1.8a0dc9e03e171p-20, -0x1.43541ff748314p-20, -0x1.0052266571ae3p-20, -0x1.81d937a4a94ffp-21, -0x1.0a11c9d2cef04p-21, -0x1.323421a3c9dc5p-22, -0x1.75fab5df864eep-24, 0x1.a97f284466135p-24, 0x1.25c7ea213a7c8p-22, 0x1.d5180a0bb02b4p-22, 0x1.3c5620699429p-21, 0x1.886f398c2659p-21, 0x1.cf032fe12b08cp-21, 0x1.081e6b5215217p-20, 0x1.2622fd7d6304ep-20, 0x1.41a3b5115d4e4p-20, 0x1.5ab47bb4493cbp-20, 0x1.7168c10ebfc69p-20, 0x1.85d37d8bfd265p-20, 0x1.98073537bb1aep-20, 0x1.a815fa70ccceap-20, 0x1.b611708f6aa7bp-20, 0x1.c20ace883227fp-20, 0x1.cc12e15cdfbcep-20, 0x1.d43a0ea956ac4p-20, 0x1.da9057060ae7fp-20, 0x1.df2558681b6fp-20, 0x1.e208506318e8ep-20, 0x1.e3481e6b3e63dp-20, 0x1.e2f34611a250ap-20, 0x1.e117f114fd54ap-20, 0x1.ddc3f183b68fbp-20, 0x1.d904c3c6ae326p-20, 0x1.d2e7908b37e49p-20, 0x1.cb792ece924c3p-20, 0x1.c2c625ac0c658p-20, 0x1.b8daae37606ddp-20, 0x1.adc2b561d80d5p-20, 0x1.a189dd9b854b2p-20, 0x1.943b809fd8fcdp-20, 0x1.85e2b11469b17p-20, 0x1.768a3c3aa4e15p-20, 0x1.663cab760b948p-20, 0x1.550445e3e29a8p-20, 0x1.42eb11e0c48e6p-20, 0x1.2ffad6843b49cp-20, 0x1.1c3d1d046e2c8p-20, 0x1.07bb32312555ep-20, 0x1.e4fc4f8e9d8f4p-21, 0x1.b91daba48832bp-21, 0x1.8bebb7d588307p-21, 0x1.5d7745247fdeap-21, 0x1.2dd0b8c315c8ep-21, 0x1.fa101d0cb4031p-22, 0x1.9659b6bc6c0d3p-22, 0x1.309c9efc8d453p-22, 0x1.91ece3025e6ecp-23, 0x1.7e10267122bf2p-24, -0x1.73cf324d1ee03p-27, -0x1.e156c2b77a9f6p-24, -0x1.cd0dd098a7635p-23, -0x1.56181ca8317c9p-22, -0x1.c6eff6096a9c6p-22, -0x1.1c7ae258122dep-21, -0x1.5608beb0092ebp-21, -0x1.9015dac08eb06p-21, -0x1.ca96cfe434ef8p-21, -0x1.02c0422b7844fp-20, -0x1.206414c2d31ap-20, -0x1.3e319d346d581p-20, -0x1.5c23bcfccc625p-20, -0x1.7a3578be27d6cp-20, -0x1.9861f791d947fp-20, -0x1.b6a4823712d21p-20, -0x1.d4f88265097dcp-20, -0x1.f359820df37p-20, -0x1.08e19557c7e52p-19, -0x1.1818a24dfb36cp-19, -0x1.274fdb339ebeap-19, -0x1.36854210e4f12p-19, -0x1.45b6e768b738cp-19, -0x1.54e2e9e0c6045p-19, -0x1.640775faa9405p-19, -0x1.7322c5c15ff87p-19, -0x1.82332087997cdp-19, -0x1.9136da97a6798p-19, -0x1.a02c54f3c7316p-19, -0x1.af11fd0b1b2ccp-19, -0x1.bde64c7b246fep-19, -0x1.cca7c8ccd01d6p-19, -0x1.db550330eefaep-19, -0x1.e9ec98462566bp-19, -0x1.f86d2fd8ceeddp-19, -0x1.036abe53067b3p-18, -0x1.0a921e1230e86p-18, -0x1.11ac1b22702bbp-18, -0x1.18b81ea133799p-18, -0x1.1fb596af97908p-18, -0x1.26a3f65f14fa9p-18, -0x1.2d82b590837a7p-18, -0x1.345150dd7cf01p-18, -0x1.3b0f497ea5e04p-18, -0x1.41bc2533457c9p-18, -0x1.48576e283eda2p-18, -0x1.4ee0b2e1628b4p-18, -0x1.55578621742e1p-18, -0x1.5bbb7ed44612ap-18, -0x1.620c37f841043p-18, -0x1.68495088794ep-18, -0x1.6e726b673f1d6p-18, -0x1.74872f499125ep-18, -0x1.7a8746a30b36ap-18, -0x1.80725f91531acp-18, -0x1.86482bc8c2881p-18, -0x1.8c086080aec4p-18, -0x1.91b2b660ccc4cp-18, -0x1.9746e9708ee03p-18, -0x1.9cc4b900f0e4ep-18, -0x1.a22be79f13064p-18, -0x1.a77c3b0022645p-18, -0x1.acb57bf14a038p-18, -0x1.b1d776464dee6p-18, -0x1.b6e1f8ca57ceep-18, -0x1.bbd4d52e9d03fp-18, -0x1.c0afdffb2201dp-18, -0x1.c572f07f99151p-18, -0x1.ca1de0c368651p-18, -0x1.ceb08d76943e4p-18, -0x1.d32ad5e4e4a2p-18, -0x1.d78c9be4b1fb2p-18, -0x1.dbd5c3cb7f5bdp-18, -0x1.e006345e6d2adp-18, -0x1.e41dd6c59b3ap-18, -0x1.e81c967d9c437p-18, -0x1.ec02614be209bp-18, -0x1.efcf273091199p-18, -0x1.f382da5a65726p-18, -0x1.f71d6f1a7fd66p-18, -0x1.fa9edbd722b99p-18, -0x1.fe071901fad42p-18, -0x1.00ab1084b342fp-17, -0x1.0245f8276994bp-17, -0x1.03d4428d4556ap-17, -0x1.0555efc8b322cp-17, -0x1.06cb00d4765dp-17, -0x1.0833778e39e93p-17, -0x1.098f56b1f1b41p-17, -0x1.0adea1d3abbd5p-17, -0x1.0c215d5af9689p-17, -0x1.0d578e7dc3a62p-17, -0x1.0e813b3ba38cp-17, -0x1.0f9e6a5882c22p-17, -0x1.10af2357d7dc6p-17, -0x1.11b36e7878964p-17, -0x1.12ab54af75e8bp-17, -0x1.1396dfa3d7118p-17, -0x1.147619a993346p-17, -0x1.15490dbdf4db1p-17, -0x1.160fc782879fep-17, -0x1.16ca53392bd6fp-17, -0x1.1778bdc01bce7p-17, -0x1.181b148d3fa62p-17, -0x1.18b165aa71408p-17, -0x1.193bbfb152185p-17, -0x1.19ba31c7ad752p-17, -0x1.1a2ccb9b3f69p-17, -0x1.1a939d5e0e845p-17, -0x1.1aeeb7c288b7dp-17, -0x1.1b3e2bf81adbfp-17, -0x1.1b820ba724365p-17, -0x1.1bba68eddcfacp-17, -0x1.1be7565c6a62cp-17, -0x1.1c08e6f1af902p-17, -0x1.1c1f2e17c617ep-17, -0x1.1c2a3fa0c2a45p-17, -0x1.1c2a2fc307745p-17, -0x1.1c1f1316d2e52p-17, -0x1.1c08fe9205dd4p-17, -0x1.1be807861fb87p-17, -0x1.1bbc439c1c0bp-17, -0x1.1b85c8d1f8617p-17, -0x1.1b44ad77f5674p-17, -0x1.1af9082cf4593p-17, -0x1.1aa2efdc141e1p-17, -0x1.1a427bb9b70dp-17, -0x1.19d7c340d9b21p-17, -0x1.1962de3005b34p-17, -0x1.18e3e486e6689p-17, -0x1.185aee837566ap-17, -0x1.17c8149f9241fp-17, -0x1.172b6f8e0c837p-17, -0x1.1685183879f79p-17, -0x1.15d527bce152ap-17, -0x1.151bb76a79ed2p-17, -0x1.1458e0c01afaep-17, -0x1.138cbd6976354p-17, -0x1.12b7673d23eb9p-17, -0x1.11d8f839b912bp-17, -0x1.10f18a83ff24dp-17, -0x1.10013864c8477p-17, -0x1.0f081c468cf77p-17, -0x1.0e0650b32b495p-17, -0x1.0cfbf05271cbfp-17, -0x1.0be915e76d38cp-17, -0x1.0acddc4e66f84p-17, -0x1.09aa5e7b4c6c3p-17, -0x1.087eb7779e52p-17, -0x1.074b02606d8ccp-17, -0x1.060f5a64560f5p-17, -0x1.04cbdac1d3d9p-17, -0x1.03809ec5c85e1p-17, -0x1.022dc1c928338p-17, -0x1.00d35f2f5ebe3p-17, -0x1.fee324c9939ecp-18, -0x1.fc10edb98f291p-18, -0x1.f9305020f71cbp-18, -0x1.f64182f97deb2p-18, -0x1.f344bd41a75c4p-18, -0x1.f03a35f933b23p-18, -0x1.ed22241ebc52ep-18, -0x1.e9fcbeac0f119p-18, -0x1.e6ca3c93ccdd2p-18, -0x1.e38ad4be60ae6p-18, -0x1.e03ebe06bc3d3p-18, -0x1.dce62f385fe38p-18, -0x1.d9815f0c289d9p-18, -0x1.d61084258d4c5p-18, -0x1.d293d510480dep-18, -0x1.cf0b883e6f6b7p-18, -0x1.cb77d404cfe7bp-18, -0x1.c7d8ee98e9813p-18, -0x1.c42f0e0f21f3ap-18, -0x1.c07a6857f9e82p-18, -0x1.bcbb333dc6bb7p-18, -0x1.b8f1a46293777p-18, -0x1.b51df13e258ap-18, -0x1.b1404f1b65d6dp-18, -0x1.ad58f316ceec9p-18, -0x1.a968121be358fp-18, -0x1.a56de0e43dd9fp-18, -0x1.a16a93f49792cp-18, -0x1.9d5e5f9b20ecbp-18, -0x1.994977edb4b5ap-18, -0x1.952c10c8ddf12p-18, -0x1.91065dcd11eedp-18, -0x1.8cd8925d85af4p-18, -0x1.88a2e19e13c3cp-18, -0x1.84657e72418b7p-18, -0x1.80209b7b5ddb4p-18, -0x1.7bd46b170768ep-18, -0x1.77811f5d7b4b2p-18, -0x1.7326ea20959acp-18, -0x1.6ec5fcea431ccp-18, -0x1.6a5e88fb071ap-18, -0x1.65f0bf48bc96cp-18, -0x1.617cd07d720e7p-18, -0x1.5d02ecf5f2c12p-18, -0x1.588344c09f436p-18, -0x1.53fe079ce2476p-18, -0x1.4f7364f90dd6fp-18, -0x1.4ae38bf1cef55p-18, -0x1.464eab5158e86p-18, -0x1.41b4f18e328b5p-18, -0x1.3d168cc9fc6c9p-18, -0x1.3873aad096e6ep-18, -0x1.33cc79178880cp-18, -0x1.2f2124bd216dbp-18, -0x1.2a71da87448dcp-18, -0x1.25bec6e2e03f9p-18, -0x1.210815e30fdcdp-18, -0x1.1c4df34061d1ap-18, -0x1.17908a582095dp-18, -0x1.12d0062bb5e0dp-18, -0x1.0e0c915fcc6fcp-18, -0x1.0946563c3ebaap-18, -0x1.047d7eab03b14p-18, -0x1.ff64686f66bd6p-19, -0x1.f5c9401d2be6dp-19, -0x1.ec29d5faae195p-19, -0x1.e2867ae33db74p-19, -0x1.d8df7ef113a0cp-19, -0x1.cf35317db20bep-19, -0x1.c587e12066531p-19, -0x1.bbd7dbad6d53bp-19, -0x1.b2256e351bd53p-19, -0x1.a870e50440889p-19, -0x1.9eba8ba2cec4fp-19, -0x1.9502acd3514b9p-19, -0x1.8b499292961e6p-19, -0x1.818f8616fcf2ep-19, -0x1.77d4cfd02a86fp-19, -0x1.6e19b767c1ac4p-19, -0x1.645e83bf3e7d9p-19, -0x1.5aa37af160f6ep-19, -0x1.50e8e250b3f42p-19, -0x1.472efe6828d61p-19, -0x1.3d7612fa94136p-19, -0x1.33be6302590f1p-19, -0x1.2a0830b2dc2ebp-19, -0x1.2053bd766e341p-19, -0x1.16a149ef5d7bap-19, -0x1.0cf115f7d6dafp-19, -0x1.034360a2b9c45p-19, -0x1.f330d0752895ap-20, -0x1.dfe0d485992ccp-20, -0x1.cc9746ee3d385p-20, -0x1.b9549f97d2badp-20, -0x1.a61954def26ebp-20, -0x1.92e5db91b3a4ep-20, -0x1.7fbaa6f2e24d4p-20, -0x1.6c9828b814f8bp-20, -0x1.597ed10cd8815p-20, -0x1.466f0e93daa5bp-20, -0x1.33694e659961cp-20, -0x1.206dfc1379d62p-20, -0x1.0d7d81a73951fp-20, -0x1.f5308f49543d5p-21, -0x1.cf7d6a1658528p-21, -0x1.a9e25eacc6568p-21, -0x1.84603502f973cp-21, -0x1.5ef7b208b87a7p-21, -0x1.39a997b1739e9p-21, -0x1.1476a4f36b7d5p-21, -0x1.debf2b9b6f71ap-22, -0x1.94ca468f5bb95p-22, -0x1.4b1006e561ae6p-22, -0x1.0191d2e7b9846p-22, -0x1.70a2160d3e498p-23, -0x1.bd3c2775d5bep-24, -0x1.346921da15a2ap-25, 0x1.0f9ab6a37785dp-25, 0x1.a8c478024b59bp-24, 0x1.6455db6ad777dp-23, 0x1.f3bf101625d1fp-23, 0x1.414db4c1df224p-22, 0x1.88744135a2285p-22, 0x1.cf52005c43e97p-22, 0x1.0af2e55e7cb17p-21, 0x1.2e173f3360d47p-21, 0x1.51157f73bef0cp-21, 0x1.73ed1aa28244fp-21, 0x1.969d87f84918bp-21, 0x1.b9264160f3dabp-21, 0x1.db86c379ea67ep-21, 0x1.fdbe8d88f93a4p-21, 0x1.0fe690bcde0c1p-20, 0x1.20d901eca441p-20, 0x1.31b65de9986c7p-20, 0x1.427e6994ee8c5p-20, 0x1.5330eb196431p-20, 0x1.63cda9ea1df4p-20, 0x1.74546ebfe708fp-20, 0x1.84c5039615b92p-20, 0x1.951f33a78f008p-20, 0x1.a562cb6ecc51dp-20, 0x1.b58f98a0f0988p-20, 0x1.c5a56a2c4f37cp-20, 0x1.d5a41036dad3p-20, 0x1.e58b5c1c18b95p-20, 0x1.f55b206755167p-20, 0x1.0289986a05ee8p-19, 0x1.0a59b1251fb9cp-19, 0x1.121dc56f5241bp-19, 0x1.19d5c0e5e39d5p-19, 0x1.21818fb936a59p-19, 0x1.29211eaaf772ap-19, 0x1.30b45b0ce81b5p-19, 0x1.383b32c0c34eap-19, 0x1.3fb594350c0f2p-19, 0x1.47236e64b8f57p-19, 0x1.4e84b0d5b56b4p-19, 0x1.55d94b986ca5fp-19, 0x1.5d212f452b399p-19, 0x1.645c4cfbef41p-19, 0x1.6b8a9662f9287p-19, 0x1.72abfda47f1d4p-19, 0x1.79c0756e20654p-19, 0x1.80c7f0f03f59ep-19, 0x1.87c263db52d73p-19, 0x1.8eafc2605456fp-19, 0x1.9590012d74939p-19, 0x1.9c63156e8ffa3p-19, 0x1.a328f4c9f2de9p-19, 0x1.a9e19561b516p-19, 0x1.b08cedd089b2bp-19, 0x1.b72af52917d74p-19, 0x1.bdbba2f318d83p-19, 0x1.c43eef2d77d6p-19, 0x1.cab4d249c019bp-19, 0x1.d11d452c9b535p-19, 0x1.d778412b8d1b5p-19, 0x1.ddc5c00c87b97p-19, 0x1.e405bc04db7a9p-19, 0x1.ea382fb6233e6p-19, 0x1.f05d162f4c7c7p-19, 0x1.f6746ae8b44b8p-19, 0x1.fc7e29c689da6p-19, 0x1.013d2789db878p-18, 0x1.04346bc1a66ccp-18, 0x1.0724e016ca098p-18, 0x1.0a0e8347e1908p-18, 0x1.0cf154455817dp-18, 0x1.0fcd5230bed47p-18, 0x1.12a27c5bf4a42p-18, 0x1.1570d248af4d6p-18, 0x1.183853a7ced8dp-18, 0x1.1af90058f4f0bp-18, 0x1.1db2d869f3088p-18, 0x1.2065dc15e5cc3p-18, 0x1.23120bc44fb15p-18, 0x1.25b768094eddap-18, 0x1.2855f1a4da988p-18, 0x1.2aeda9814c4e7p-18, 0x1.2d7e90b3e7088p-18, 0x1.3008a87b2f267p-18, 0x1.328bf23fbcc6ap-18, 0x1.35086f91c1178p-18, 0x1.377e222a733dcp-18, 0x1.39ed0be9ef494p-18, 0x1.3c552ed781256p-18, 0x1.3eb68d20902fcp-18, 0x1.4111291856df4p-18, 0x1.436505376485bp-18, 0x1.45b2241ade36dp-18, 0x1.47f88883e5bb7p-18, 0x1.4a38355713d47p-18, 0x1.4c712d9c1684dp-18, 0x1.4ea3747ce6719p-18, 0x1.50cf0d45acf0cp-18, 0x1.52f3fb634e7dap-18, 0x1.55124263fd6e4p-18, 0x1.5729e5f5cabebp-18, 0x1.593ae9e6fa84ep-18, 0x1.5b4552245d1bp-18, 0x1.5d4922b9c7509p-18, 0x1.5f465fd10d47ap-18, 0x1.613d0db218a6p-18, 0x1.632d30c1081aep-18, 0x1.6516cd7f629f5p-18, 0x1.66f9e88a33864p-18, 0x1.68d6869aaf107p-18, 0x1.6aacac843c9dcp-18, 0x1.6c7c5f35f323cp-18, 0x1.6e45a3b7dac2ep-18, 0x1.70087f2ca0de3p-18, 0x1.71c4f6cf3558cp-18, 0x1.737b0ff3d2e42p-18, 0x1.752ad0064d81p-18, 0x1.76d43c8a930c2p-18, 0x1.78775b1b8d517p-18, 0x1.7a14316b220c6p-18, 0x1.7baac54100cddp-18, 0x1.7d3b1c7b5925ap-18, 0x1.7ec53d0d14624p-18, 0x1.80492cfeb1c64p-18, 0x1.81c6f26c88a36p-18, 0x1.833e93876d83p-18, 0x1.84b01693588f3p-18, 0x1.861b81e84382cp-18, 0x1.8780dbefc8eb5p-18, 0x1.88e02b26aa6cap-18, 0x1.8a39761afb39dp-18, 0x1.8b8cc36d11e88p-18, 0x1.8cda19cd38209p-18, 0x1.8e217ffd45ea4p-18, 0x1.8f62fccedc019p-18, 0x1.909e9723bb2b4p-18, 0x1.91d455eca5ffp-18, 0x1.93044029ddb4cp-18, 0x1.942e5ce9f2eccp-18, 0x1.9552b34a1d99p-18, 0x1.96714a74f870bp-18, 0x1.978a29a2f9b53p-18, 0x1.989d58199823ep-18, 0x1.99aadd2b05c93p-18, 0x1.9ab2c03607a6ap-18, 0x1.9bb508a4fbcd2p-18, 0x1.9cb1bdee8a0cfp-18, 0x1.9da8e793fb65p-18, 0x1.9e9a8d222f4bep-18, 0x1.9f86b6302a769p-18, 0x1.a06d6a5f65d2p-18, 0x1.a14eb15b44737p-18, 0x1.a22a92d8bf24ap-18, 0x1.a3011695fd33fp-18, 0x1.a3d2445a5192ep-18, 0x1.a49e23f540a6ap-18, 0x1.a564bd3ef4707p-18, 0x1.a626181755ae2p-18, 0x1.a6e23c663ad56p-18, 0x1.a799321a41819p-18, 0x1.a84b0129aaf29p-18, 0x1.a8f7b19112e44p-18, 0x1.a99f4b53ba7efp-18, 0x1.aa41d67aa9408p-18, 0x1.aadf5b1541b63p-18, 0x1.ab77e13810d3dp-18, 0x1.ac0b70fcfb7e6p-18, 0x1.ac9a1282d4c3dp-18, 0x1.ad23cded6d223p-18, 0x1.ada8ab6494055p-18, 0x1.ae28b3149bc9ap-18, 0x1.aea3ed2d8504fp-18, 0x1.af1a61e311433p-18, 0x1.af8c196c512bdp-18, 0x1.aff91c0336fb9p-18, 0x1.b06171e5334fcp-18, 0x1.b0c523516a007p-18, 0x1.b124388a4e94dp-18, 0x1.b17eb9d37159dp-18, 0x1.b1d4af732d224p-18, 0x1.b22621b0d5c8dp-18, 0x1.b27318d5815fap-18, 0x1.b2bb9d2b329bbp-18, 0x1.b2ffb6fd1c476p-18, 0x1.b33f6e96e5e8ep-18, 0x1.b37acc44e9ba2p-18, 0x1.b3b1d85398709p-18, 0x1.b3e49b0f96edp-18, 0x1.b4131cc55df6fp-18, 0x1.b43d65c0e3c44p-18, 0x1.b4637e4dc7c91p-18, 0x1.b4856eb6a533bp-18, 0x1.b4a33f454c48bp-18, 0x1.b4bcf8425f855p-18, 0x1.b4d2a1f4f5f36p-18, 0x1.b4e444a2e7d42p-18, 0x1.b4f1e88ffe3c8p-18, 0x1.b4fb95fe23cbp-18, 0x1.b501552d92323p-18, 0x1.b5032e5b59caap-18, 0x1.b50129c3437f2p-18, 0x1.b4fb4f9d1f59dp-18, 0x1.b4f1a81f4e304p-18, 0x1.b4e43b7bdc4f7p-18, 0x1.b4d311e3015a9p-18, 0x1.b4be338070dd5p-18, 0x1.b4a5a87d87bcp-18, 0x1.b48978fefbe2dp-18, 0x1.b469ad26aa98cp-18, 0x1.b4464d11b31dfp-18, 0x1.b41f60d9d9c56p-18, 0x1.b3f4f0941df05p-18, 0x1.b3c70451a4636p-18, 0x1.b395a41e6fd82p-18, 0x1.b360d80290c9p-18, 0x1.b328a800c1303p-18, 0x1.b2ed1c1731c05p-18, 0x1.b2ae3c3edfd5ep-18, 0x1.b26c106b760c9p-18, 0x1.b226a08befac6p-18, 0x1.b1ddf488de3aep-18, 0x1.b1921446859fbp-18, 0x1.b14307a23760cp-18, 0x1.b0f0d674b1ef9p-18, 0x1.b09b888fd8fe9p-18, 0x1.b04325c045db3p-18, 0x1.afe7b5cbf0257p-18, 0x1.af89407316b41p-18, 0x1.af27cd6f30111p-18, 0x1.aec36473ad518p-18, 0x1.ae5c0d2d2481dp-18, 0x1.adf1cf41ce9a3p-18, 0x1.ad84b251147ep-18, 0x1.ad14bdf367c89p-18, 0x1.aca1f9baccdd1p-18, 0x1.ac2c6d318a895p-18, 0x1.abb41fdbb374dp-18, 0x1.ab39193551c1p-18, 0x1.aabb60b3f7ad3p-18, 0x1.aa3afdc53eccdp-18, 0x1.a9b7f7cfe07a6p-18, 0x1.a93256329a38cp-18, 0x1.a8aa204515267p-18, 0x1.a81f5d56d59cbp-18, 0x1.a79214b0273f3p-18, 0x1.a7024d911b97fp-18, 0x1.a6700f3246e25p-18, 0x1.a5db60c423881p-18, 0x1.a544496f179bdp-18, 0x1.a4aad053dc9c2p-18, 0x1.a40efc8a7442ep-18, 0x1.a370d5237b314p-18, 0x1.a2d061267c0c8p-18, 0x1.a22da7936b175p-18, 0x1.a188af61900dcp-18, 0x1.a0e17f7fb569dp-18, 0x1.a0381ed4aa182p-18, 0x1.9f8c943de796fp-18, 0x1.9edee6919192bp-18, 0x1.9e2f1c9bd7c2bp-18, 0x1.9d7d3d21793e2p-18, 0x1.9cc94eddbb12fp-18, 0x1.9c135883814cbp-18, 0x1.9b5b60bcf4292p-18, 0x1.9aa16e2b144c3p-18, 0x1.99e587669d966p-18, 0x1.9927b2fed1defp-18, 0x1.9867f77a890b5p-18, 0x1.97a65b574ff31p-18, 0x1.96e2e509fa822p-18, 0x1.961d9afe18cb7p-18, 0x1.955683967ded3p-18, 0x1.948da52c8671ep-18, 0x1.93c306110212p-18, 0x1.92f6ac8af253p-18, 0x1.92289ed901ce6p-18, 0x1.9158e32fe0d16p-18, 0x1.90877fbbc6706p-18, 0x1.8fb47a9f2e932p-18, 0x1.8edfd9f3ae615p-18, 0x1.8e09a3c97ca55p-18, 0x1.8d31de277c764p-18, 0x1.8c588f0b9288bp-18, 0x1.8b7dbc69d5f24p-18, 0x1.8aa16c2dc89a2p-18, 0x1.89c3a438b7055p-18, 0x1.88e46a63b5101p-18, 0x1.8803c47d3d303p-18, 0x1.8721b84bc5f1ep-18, 0x1.863e4b8b2da2p-18, 0x1.855983eefd5bfp-18, 0x1.84736720a7f9ap-18, 0x1.838bfac09c2ecp-18, 0x1.82a34465f794p-18, 0x1.81b9499e163dap-18, 0x1.80ce0fed90f42p-18, 0x1.7fe19cceec8c8p-18, 0x1.7ef3f5b3f20e7p-18, 0x1.7e052004943cap-18, 0x1.7d15211fb2b6dp-18, 0x1.7c23fe5a9addbp-18, 0x1.7b31bd01629d9p-18, 0x1.7a3e6256b0842p-18, 0x1.7949f393dea05p-18, 0x1.785475e8c811cp-18, 0x1.775dee7c2fee9p-18, 0x1.7666626b385acp-18, 0x1.756dd6ca12edap-18, 0x1.747450a31e258p-18, 0x1.7379d4f8149f5p-18, 0x1.727e68c087b08p-18, 0x1.718210ebd1c0ep-18, 0x1.7084d25ecf334p-18, 0x1.6f86b1f6734f4p-18, 0x1.6e87b485102dbp-18, 0x1.6d87ded50e385p-18, 0x1.6c8735a666877p-18, 0x1.6b85bdb10a40ap-18, 0x1.6a837ba2a79b3p-18, 0x1.69807420bac6dp-18, 0x1.687cabc6ba1fap-18, 0x1.67782727bf9bbp-18, 0x1.6672eacd341acp-18, 0x1.656cfb37c2f44p-18, 0x1.64665cdee3caap-18, 0x1.635f1430f0734p-18, 0x1.625725937d72fp-18, 0x1.614e9562b4427p-18, 0x1.604567f24521ap-18, 0x1.5f3ba18c5fa67p-18, 0x1.5e314672ca52p-18, 0x1.5d265addf0bd8p-18, 0x1.5c1ae2fd9ca56p-18, 0x1.5b0ee2f8a5c89p-18, 0x1.5a025eecfc48ap-18, 0x1.58f55aefe7361p-18, 0x1.57e7db0dbc37p-18, 0x1.56d9e34a2c334p-18, 0x1.55cb77a018f54p-18, 0x1.54bc9c01b89dep-18, 0x1.53ad54588536ap-18, 0x1.529da4856f227p-18, 0x1.518d90609cd72p-18, 0x1.507d1bb9d4117p-18, 0x1.4f6c4a580ee69p-18, 0x1.4e5b1ff9f3f4bp-18, 0x1.4d49a0556fc76p-18, 0x1.4c37cf18396d3p-18, 0x1.4b25afe74de2p-18, 0x1.4a13465f929e7p-18, 0x1.490096152fdcep-18, 0x1.47eda2945b395p-18, 0x1.46da6f608c33ep-18, 0x1.45c6fff560c1ep-18, 0x1.44b357c5d05f5p-18, 0x1.439f7a3ceb716p-18, 0x1.428b6abd6110dp-18, 0x1.41772ca1cb21bp-18, 0x1.4062c33cc4cecp-18, 0x1.3f4e31d89052p-18, 0x1.3e397bb7b6a2fp-18, 0x1.3d24a4146aaa2p-18, 0x1.3c0fae2139139p-18, 0x1.3afa9d0878c49p-18, 0x1.39e573ecc7f34p-18, 0x1.38d035e8c8b4bp-18, 0x1.37bae60f59311p-18, 0x1.36a5876b90782p-18, 0x1.35901d009def6p-18, 0x1.347aa9ca4182fp-18, 0x1.336530bc275b4p-18, 0x1.324fb4c2d1549p-18, 0x1.313a38c29e407p-18, 0x1.3024bf98e17b7p-18, 0x1.2f0f4c1ae38dcp-18, 0x1.2df9e116ddcb4p-18, 0x1.2ce48153397fep-18, 0x1.2bcf2f8f445e8p-18, 0x1.2ab9ee829ae95p-18, 0x1.29a4c0ddcd064p-18, 0x1.288fa949e2587p-18, 0x1.277aaa68ae69dp-18, 0x1.2665c6d4e8e16p-18, 0x1.25510121db5ep-18, 0x1.243c5bdbf1dd6p-18, 0x1.2327d98836703p-18, 0x1.22137ca4d6ad2p-18, 0x1.20ff47a8cf876p-18, 0x1.1feb3d042f05cp-18, 0x1.1ed75f2016916p-18, 0x1.1dc3b05ea352dp-18, 0x1.1cb0331b37b1ep-18, 0x1.1b9ce9aa2bc87p-18, 0x1.1a89d65948757p-18, }}, 
      {{-0x1.f2ca6fc42494ep-9, -0x1.eda0eb3dec708p-8, -0x1.6c64193307a3ap-7, -0x1.dc49d048a0217p-7, -0x1.230c8b51813dbp-6, -0x1.54f98a589707fp-6, -0x1.842768d438b38p-6, -0x1.b0e6e37010c9dp-6, -0x1.db8ddf86cf1f4p-6, -0x1.02365249bdfdep-5, -0x1.15e3aeb310bbp-5, -0x1.28e9663c4c8fap-5, -0x1.3b59a348da338p-5, -0x1.4d3e9de5c0698p-5, -0x1.5e9b630392bfep-5, -0x1.6f6cebdb13537p-5, -0x1.7fab5fcb21bb2p-5, -0x1.8f4b642e4ce7ep-5, -0x1.9e3f6485bd25fp-5, -0x1.ac78c2dcdbc2fp-5, -0x1.b9e8e5011a732p-5, -0x1.c68217500f6e2p-5, -0x1.d2384180e9bep-5, -0x1.dd016ce451e2ep-5, -0x1.e6d61e13e81b4p-5, -0x1.efb185eab6ed8p-5, -0x1.f7918ee6183eep-5, -0x1.fe76ccc77e2cp-5, -0x1.02322a4783151p-4, -0x1.04afc1623c0d9p-4, -0x1.06b7dacc514f2p-4, -0x1.084effe6255c5p-4, -0x1.097a6c4820de2p-4, -0x1.0a3fe5e6f36edp-4, -0x1.0aa596c2e1d32p-4, -0x1.0ab1e91e77c97p-4, -0x1.0a6b66e8392bap-4, -0x1.09d89cbd7ba2p-4, -0x1.090000b3770cap-4, -0x1.07e7dce65c40dp-4, -0x1.06963dac249dfp-4, -0x1.0510e330af2ep-4, -0x1.035d36311a498p-4, -0x1.01803f83aa4c3p-4, -0x1.fefd442d27a17p-5, -0x1.fab92e223e07bp-5, -0x1.f63bd78dd6f02p-5, -0x1.f18c0266b391p-5, -0x1.ecaf99750e0f2p-5, -0x1.e7abb3ea8cca1p-5, -0x1.e2849aaafdbaap-5, -0x1.dd3dceef9aa2ap-5, -0x1.d7da11fcdcb4fp-5, -0x1.d25b6daf1bc8bp-5, -0x1.ccc33dad127e6p-5, -0x1.c71239187c682p-5, -0x1.c1487c9c899f8p-5, -0x1.bb6594bfd6ad6p-5, -0x1.b568886461234p-5, -0x1.af4fe36378181p-5, -0x1.a919c136638d1p-5, -0x1.a2c3d79e4ee23p-5, -0x1.9c4b813f587ecp-5, -0x1.95adc823ac23bp-5, -0x1.8ee7701bf3636p-5, -0x1.87f500f2fb83ep-5, -0x1.80d2d06abfec7p-5, -0x1.797d0bf93a90bp-5, -0x1.71efc23bc8de2p-5, -0x1.6a26ec1850933p-5, -0x1.621e7583ceeb5p-5, -0x1.59d245e67a272p-5, -0x1.513e48166b4c5p-5, -0x1.485e71e274216p-5, -0x1.3f2ecb2788571p-5, -0x1.35ab746c3c0b1p-5, -0x1.2bd0acfea6f1dp-5, -0x1.219ad891f1631p-5, -0x1.17068459f435bp-5, -0x1.0c106ba420bf5p-5, -0x1.00b57bee07874p-5, -0x1.e9e5b0f550c4fp-6, -0x1.d18bbad12f097p-6, -0x1.b8584497a49b1p-6, -0x1.9e46f89df9eep-6, -0x1.8353ffc04d21dp-6, -0x1.677c03dc437p-6, -0x1.4abc31775fee8p-6, -0x1.2d12389caceacp-6, -0x1.0e7c4cfe18913p-6, -0x1.ddf24acc61c2p-7, -0x1.9d0ff50eedea9p-7, -0x1.5a510a6d20e2dp-7, -0x1.15b5f839f3499p-7, -0x1.9e8043c5c5ecbp-8, -0x1.0de3b50dbac62p-8, -0x1.e672ee69c49a4p-10, 0x1.e4c6fd49a5fd7p-12, 0x1.739bc796b3965p-9, 0x1.58dc17cc916f8p-8, 0x1.fb69f6bde187ep-8, 0x1.50b478f66fe28p-7, 0x1.a5648a41bdb57p-7, 0x1.fbbc8ba456bafp-7, 0x1.29d99d2293bcap-6, 0x1.569f5f04537b5p-6, 0x1.842a59c0d9346p-6, 0x1.b2751ae62f5cap-6, 0x1.e179f4238515bp-6, 0x1.08998007e36f9p-5, 0x1.20cd136ad1aa1p-5, 0x1.395491609a30ep-5, 0x1.522cc255f8885p-5, 0x1.6b525c2201cbep-5, 0x1.84c204166f131p-5, 0x1.9e7850fb95d39p-5, 0x1.b871ccf768e32p-5, 0x1.d2aaf75f03c98p-5, 0x1.ed204672778d7p-5, 0x1.03e7148162a44p-4, 0x1.11588400fd18ap-4, 0x1.1ee2a3fee2b63p-4, 0x1.2c83a5424dd9p-4, 0x1.3a39b7bb02acep-4, 0x1.48030b1f3bc7dp-4, 0x1.55ddcf7fad44ep-4, 0x1.63c835d1f385cp-4, 0x1.71c07071b4529p-4, 0x1.7fc4b398fb09ap-4, 0x1.8dd335cffc06ap-4, 0x1.9bea3054db4cbp-4, 0x1.aa07df7bb8114p-4, 0x1.b82a83077d3a9p-4, 0x1.c6505e7bd51cp-4, 0x1.d477b968b5f5ep-4, 0x1.e29edfafd49efp-4, 0x1.f0c421c487f8fp-4, 0x1.fee5d4e6600ap-4, 0x1.068129ab726acp-3, 0x1.0d8bfe45644dap-3, 0x1.14929aab7b84cp-3, 0x1.1b94340ce846bp-3, 0x1.229002706a4c9p-3, 0x1.298540c58eb34p-3, 0x1.30732cf471df1p-3, 0x1.375907ec2cf62p-3, 0x1.3e3615b00a375p-3, 0x1.45099d639e14dp-3, 0x1.4bd2e955e4bd6p-3, 0x1.5291470b7064cp-3, 0x1.59440747d6083p-3, 0x1.5fea7e164fe3cp-3, 0x1.668402d1c355bp-3, 0x1.6d0ff02c278c2p-3, 0x1.738da4356bc64p-3, 0x1.79fc8061d8c3cp-3, 0x1.805be9900d0c5p-3, 0x1.86ab480e8fa97p-3, 0x1.8cea07a103e1p-3, 0x1.931797850f881p-3, 0x1.99336a76eb218p-3, 0x1.9f3cf6b5b1c75p-3, 0x1.a533b6076107ep-3, 0x1.ab1725bc9f96ap-3, 0x1.b0e6c6b43e801p-3, 0x1.b6a21d5e7e8cap-3, 0x1.bc48b1c0148d2p-3, 0x1.c1da0f74f63bfp-3, 0x1.c755c5b2dd3c3p-3, 0x1.ccbb674b99b6ep-3, 0x1.d20a8aaf1249ep-3, 0x1.d742c9ed1477p-3, 0x1.dc63c2b6cedf3p-3, 0x1.e16d16601413fp-3, 0x1.e65e69e04571dp-3, 0x1.eb3765d2ff883p-3, 0x1.eff7b6786be6ep-3, 0x1.f49f0bb54d6e7p-3, 0x1.f92d1912b0451p-3, 0x1.fda195bd42b65p-3, 0x1.00fe1e422f03bp-2, 0x1.031e65ec54a16p-2, 0x1.053182e531965p-2, 0x1.07375803a5badp-2, 0x1.092fc9ec1525p-2, 0x1.0b1abf0ef80b1p-2, 0x1.0cf81fa73a44ap-2, 0x1.0ec7d5b862808p-2, 0x1.1089cd0c8bbcep-2, 0x1.123df33223d1p-2, 0x1.13e4377977d3p-2, 0x1.157c8af207c1ep-2, 0x1.1706e067a87cfp-2, 0x1.18832c5f6c8e6p-2, 0x1.19f16514558b6p-2, 0x1.1b518273d3c2p-2, 0x1.1ca37e1a0e7c3p-2, 0x1.1de7534df4d8bp-2, 0x1.1f1cfefd1b9fdp-2, 0x1.20447fb768134p-2, 0x1.215dd5aa84a56p-2, 0x1.2269029d238ep-2, 0x1.236609ea108cap-2, 0x1.2454f07b10f88p-2, 0x1.2535bcc392ff9p-2, 0x1.260876bb2f97fp-2, 0x1.26cd27d7feb48p-2, 0x1.2783db08bbf96p-2, 0x1.282c9caec60efp-2, 0x1.28c77a97efc6p-2, 0x1.295483f82b6ap-2, 0x1.29d3c9630cbb3p-2, 0x1.2a455cc52c2p-2, 0x1.2aa9515d5e4b8p-2, 0x1.2affbbb5d02f5p-2, 0x1.2b48b19d002e1p-2, 0x1.2b844a1e9b999p-2, 0x1.2bb29d7c3b342p-2, 0x1.2bd3c52609441p-2, 0x1.2be7dbb34db44p-2, 0x1.2beefcdae0b29p-2, 0x1.2be9456b8c276p-2, 0x1.2bd6d344548bap-2, 0x1.2bb7c54cb4fe6p-2, 0x1.2b8c3b6cc8e12p-2, 0x1.2b54568568b31p-2, 0x1.2b10386837f8bp-2, 0x1.2ac003cfaebcbp-2, 0x1.2a63dc57133cbp-2, 0x1.29fbe67271d28p-2, 0x1.298847668f975p-2, 0x1.29092540d66d2p-2, 0x1.287ea6cf41ea3p-2, 0x1.27e8f3984ee72p-2, 0x1.274833d2e5c7p-2, 0x1.269c905e510eep-2, 0x1.25e632ba30e9dp-2, 0x1.252544fe7b6e3p-2, 0x1.2459f1d381481p-2, 0x1.23846469fc118p-2, 0x1.22a4c8732c7f9p-2, 0x1.21bb4a18fdd66p-2, 0x1.20c815f63c46ep-2, 0x1.1fcb590edb219p-2, 0x1.1ec540c84678ap-2, 0x1.1db5fae1cc117p-2, 0x1.1c9db56d13ba8p-2, 0x1.1b7c9ec6ae0fcp-2, 0x1.1a52e58eb628p-2, 0x1.1920b8a18b72dp-2, 0x1.17e64710a356bp-2, 0x1.16a3c01b713cap-2, 0x1.1559532868ff9p-2, 0x1.14072fbe1d81ap-2, 0x1.12ad857c74cddp-2, 0x1.114c8415fe886p-2, 0x1.0fe45b49621e6p-2, 0x1.0e753adaedf21p-2, 0x1.0cff528e41cb5p-2, 0x1.0b82d22018828p-2, 0x1.09ffe94032a73p-2, 0x1.0876c78b5e2ddp-2, 0x1.06e79c85a06bcp-2, 0x1.05529794809e9p-2, 0x1.03b7e7f9721e1p-2, 0x1.0217bccc60dc1p-2, 0x1.007244f660a36p-2, 0x1.fd8f5e58fb856p-3, 0x1.fa3053d55e4a5p-3, 0x1.f6c7c6ddd8f6p-3, 0x1.f3561368cd5ffp-3, 0x1.efdb94ddc641cp-3, 0x1.ec58a60c74e0bp-3, 0x1.e8cda123f272fp-3, 0x1.e53adfaa4b67cp-3, 0x1.e1a0ba744bc67p-3, 0x1.ddff899d9ab86p-3, 0x1.da57a48111e29p-3, 0x1.d6a961b162276p-3, 0x1.d2f516f1fb41fp-3, 0x1.cf3b193039bfbp-3, 0x1.cb7bbc7cdc3ap-3, 0x1.c7b75405b7e43p-3, 0x1.c3ee320fb61bcp-3, 0x1.c020a7f118572p-3, 0x1.bc4f060bf6221p-3, 0x1.b8799bc907a0ep-3, 0x1.b4a0b792af685p-3, 0x1.b0c4a6d042c9cp-3, 0x1.ace5b5e195d9cp-3, 0x1.a904301ac88e3p-3, 0x1.a5205fc0525p-3, 0x1.a13a8e034a3e9p-3, 0x1.9d5302fdefa92p-3, 0x1.996a05b070fbcp-3, 0x1.957fdbfde935fp-3, 0x1.9194caa99cb5bp-3, 0x1.8da9155473959p-3, 0x1.89bcfe7aa2a9p-3, 0x1.85d0c7719914fp-3, 0x1.81e4b0661c869p-3, 0x1.7df8f85a9e975p-3, 0x1.7a0ddd25cb5d2p-3, 0x1.76239b7142338p-3, 0x1.723a6eb88c171p-3, 0x1.6e52914840a01p-3, 0x1.6a6c3c3d5615ep-3, 0x1.6687a784af161p-3, 0x1.62a509dac29e4p-3, 0x1.5ec498cb87d0cp-3, 0x1.5ae688b27fa1ep-3, 0x1.570b0cbaed234p-3, 0x1.533256e03aab9p-3, 0x1.4f5c97ee8936ep-3, 0x1.4b89ff835f719p-3, 0x1.47babc0e8a051p-3, 0x1.43eefad31b8f4p-3, 0x1.4026e7e8934dfp-3, 0x1.3c62ae3c26f9p-3, 0x1.38a277922b669p-3, 0x1.34e66c87a7674p-3, 0x1.312eb493fc9ffp-3, 0x1.2d7b760ab7f92p-3, 0x1.29ccd61d7648fp-3, 0x1.2622f8ddf417p-3, 0x1.227e014027eeep-3, 0x1.1ede111c84471p-3, 0x1.1b43493252095p-3, 0x1.17adc92a1a0f2p-3, 0x1.141daf9830ebfp-3, 0x1.109319ff56119p-3, 0x1.0d0e24d361e89p-3, 0x1.098eeb7c15557p-3, 0x1.06158857ef662p-3, 0x1.02a214bf1d62ep-3, 0x1.fe69520cfaafdp-4, 0x1.f79ab90552d5ep-4, 0x1.f0d88b16341e8p-4, 0x1.ea22f2fab1e09p-4, 0x1.e37a19806ec1ep-4, 0x1.dcde258e33ce4p-4, 0x1.d64f3c2aa1f22p-4, 0x1.cfcd8082efc6p-4, 0x1.c95913f1be37ap-4, 0x1.c2f216060797ep-4, 0x1.bc98a48a17735p-4, 0x1.b64cdb8a9949fp-4, 0x1.b00ed55db1d53p-4, 0x1.a9deaaaa22dbdp-4, 0x1.a3bc726e84223p-4, 0x1.9da842087c5acp-4, 0x1.97a22d3c0a456p-4, 0x1.91aa463ac85b5p-4, 0x1.8bc09dab48ee5p-4, 0x1.85e542b06a8aap-4, 0x1.801842f0b362cp-4, 0x1.7a59aa9daa43bp-4, 0x1.74a9847b38834p-4, 0x1.6f07d9e7075a6p-4, 0x1.6974b2dfda6fap-4, 0x1.63f0160ce926p-4, 0x1.5e7a08c53a355p-4, 0x1.59128f16edab1p-4, 0x1.53b9abce8f3p-4, 0x1.4e6f607e5aeedp-4, 0x1.4933ad857a362p-4, 0x1.440692173d775p-4, 0x1.3ee80c4245071p-4, 0x1.39d818f7a6b44p-4, 0x1.34d6b412081b9p-4, 0x1.2fe3d85ca89f8p-4, 0x1.2aff7f9a64569p-4, 0x1.2629a28ca4267p-4, 0x1.216238fa4c77ap-4, 0x1.1ca939b68912fp-4, 0x1.17fe9aa7a1178p-4, 0x1.136250cda9835p-4, 0x1.0ed450493166fp-4, 0x1.0a548c61db735p-4, 0x1.05e2f78ce45a4p-4, 0x1.017f83739a3b5p-4, 0x1.fa5441f37ef6dp-5, 0x1.f1c58087b9cb7p-5, 0x1.e952a17b073b4p-5, 0x1.e0fb823ee8ffep-5, 0x1.d8bffeeb771bbp-5, 0x1.d09ff24b6243p-5, 0x1.c89b35e7dc95bp-5, 0x1.c0b1a21446e3p-5, 0x1.b8e30df9c984cp-5, 0x1.b12f4fa2ac7e1p-5, 0x1.a9963c0598ba6p-5, 0x1.a217a710a0a7ap-5, 0x1.9ab363b42b425p-5, 0x1.936943eda350ep-5, 0x1.8c3918d2047e9p-5, 0x1.8522b298432a8p-5, 0x1.7e25e0a3742d7p-5, 0x1.7742718cdf83bp-5, 0x1.7078332dcd4c5p-5, 0x1.69c6f2a9445b7p-5, 0x1.632e7c757948dp-5, 0x1.5cae9c652e025p-5, 0x1.56471db0da7c2p-5, 0x1.4ff7caff9f31p-5, 0x1.49c06e70179edp-5, 0x1.43a0d1a0f6935p-5, 0x1.3d98bdb984eb1p-5, 0x1.37a7fb71df396p-5, 0x1.31ce531b13112p-5, 0x1.2c0b8ca7137d9p-5, 0x1.265f6fb074212p-5, 0x1.20c9c3820889p-5, 0x1.1b4a4f1e4b347p-5, 0x1.15e0d9469ef75p-5, 0x1.108d28826623p-5, 0x1.0b4f0325ea309p-5, 0x1.06262f591e789p-5, 0x1.0112731e35e22p-5, 0x1.f82728b0165cbp-6, 0x1.ee52b1a0d49bfp-6, 0x1.e4a70c7c49dfp-6, 0x1.db23c49609dap-6, 0x1.d1c86533284d7p-6, 0x1.c8947995825d7p-6, 0x1.bf878d069c3f1p-6, 0x1.b6a12ae2620b9p-6, 0x1.ade0dea162ep-6, 0x1.a54633e2edbb6p-6, 0x1.9cd0b676c636ep-6, 0x1.947ff266a03e8p-6, 0x1.8c5373ff431fdp-6, 0x1.844ac7d96eabep-6, 0x1.7c657ae278926p-6, 0x1.74a31a6498d08p-6, 0x1.6d03340efd1fdp-6, 0x1.658555fd8ce11p-6, 0x1.5e290ec078f44p-6, 0x1.56eded636a75p-6, 0x1.4fd381749c5a4p-6, 0x1.48d95b0b83cb4p-6, 0x1.41ff0acf60872p-6, 0x1.3b4421fd7dc8ap-6, 0x1.34a8326f2ee7bp-6, 0x1.2e2ace9f9ef1cp-6, 0x1.27cb89b152da6p-6, 0x1.2189f77385acp-6, 0x1.1b65ac6748347p-6, 0x1.155e3dc44da7ep-6, 0x1.0f73417d9fa3dp-6, 0x1.09a44e461b4dbp-6, 0x1.03f0fb94994cfp-6, 0x1.fcb1c3501c0dcp-7, 0x1.f1b73316af0c3p-7, 0x1.e6f17a31bb489p-7, 0x1.dc5fcdfc22432p-7, 0x1.d201657d4a226p-7, 0x1.c7d5796f56d93p-7, 0x1.bddb44450501bp-7, 0x1.b412022ef6927p-7, 0x1.aa78f12100fccp-7, 0x1.a10f50d6dc41dp-7, 0x1.97d462d88fe2ap-7, 0x1.8ec76a7ea8ec7p-7, 0x1.85e7acf609487p-7, 0x1.7d3471435b907p-7, 0x1.74ad00465f7cp-7, 0x1.6c50a4bcdad2p-7, 0x1.641eab452aa79p-7, 0x1.5c166260b9e0dp-7, 0x1.54371a7610f5p-7, 0x1.4c8025d2ad66ep-7, 0x1.44f0d8acae2c6p-7, 0x1.3d88892417cdp-7, 0x1.36468f43e19cbp-7, 0x1.2f2a450317838p-7, 0x1.2833064529157p-7, 0x1.216030da9c2b2p-7, 0x1.1ab1248128779p-7, 0x1.142542e3abfd8p-7, 0x1.0dbbef9a1ef54p-7, 0x1.077490290a044p-7, 0x1.014e8c011b475p-7, 0x1.f69298fc7ebfp-8, 0x1.eac879cd7935ep-8, 0x1.df3d94d46c1abp-8, 0x1.d3f0c8409216fp-8, 0x1.c8e0f60e22ea9p-8, 0x1.be0d040387e9dp-8, 0x1.b373dbad96877p-8, 0x1.a9146a5c056b4p-8, 0x1.9eeda11d2b236p-8, 0x1.94fe74ba1807cp-8, 0x1.8b45ddb191db6p-8, 0x1.81c2d833b5c7ep-8, 0x1.7874641cb5c98p-8, 0x1.6f5984efae50ep-8, 0x1.667141d12bf3dp-8, 0x1.5dbaa5818b672p-8, 0x1.5534be5716c1ap-8, 0x1.4cde9e37df7abp-8, 0x1.44b75a93b90e8p-8, 0x1.3cbe0c5d9572ap-8, 0x1.34f1d005332a7p-8, 0x1.2d51c57007749p-8, 0x1.25dd0ff2b4a42p-8, 0x1.1e92d64a02a87p-8, 0x1.177242936ce75p-8, 0x1.107a824629f7bp-8, 0x1.09aac62ba8081p-8, 0x1.0302425812d72p-8, 0x1.f9005c4563f73p-9, 0x1.ec47883c8677fp-9, 0x1.dfd8842219ae1p-9, 0x1.d3b1d1da8cfccp-9, 0x1.c7d1f99186635p-9, 0x1.bc3789aa59cfbp-9, 0x1.b0e116afec624p-9, 0x1.a5cd3b43a871p-9, 0x1.9afa980e1730fp-9, 0x1.9067d3ad92db6p-9, 0x1.86139aa5f7d81p-9, 0x1.7bfc9f5012591p-9, 0x1.722199c870968p-9, 0x1.688147df00d51p-9, 0x1.5f1a6d05fa263p-9, 0x1.55ebd240f2325p-9, 0x1.4cf446140c581p-9, 0x1.44329c72fb31fp-9, 0x1.3ba5aeafc940ap-9, 0x1.334c5b6a0a4a6p-9, 0x1.2b25867e0cbb1p-9, 0x1.233018f3967b8p-9, 0x1.1b6b00ecedc91p-9, 0x1.13d531961c98ep-9, 0x1.0c6da313b5e14p-9, 0x1.053352727ca1ap-9, 0x1.fc4a832b5623dp-10, 0x1.ee84ee4e995e3p-10, 0x1.e113fd0ceb4f3p-10, 0x1.d3f5cf6e3018ep-10, 0x1.c7288ea2f17d6p-10, 0x1.baaa6ce2a458p-10, 0x1.ae79a54b1bd48p-10, 0x1.a2947bbfb4971p-10, 0x1.96f93cc8acedep-10, 0x1.8ba63d72c2d0fp-10, 0x1.8099db2ed6629p-10, 0x1.75d27bb1d8ffdp-10, 0x1.6b4e8cd550ef3p-10, 0x1.610c8476d238dp-10, 0x1.570ae0599aae8p-10, 0x1.4d4826069f624p-10, 0x1.43c2e2ae0a485p-10, 0x1.3a79ab07cfe95p-10, 0x1.316b1b361df5ep-10, 0x1.2895d6a635a68p-10, 0x1.1ff887f2db6f8p-10, 0x1.1791e0c68f89p-10, 0x1.0f6099bdf6e0ap-10, 0x1.0763724a9bdep-10, 0x1.ff32612bf5658p-11, 0x1.f00142c9cfb3ep-11, 0x1.e1312ff5b3fd6p-11, 0x1.d2bfdbfcc667ap-11, 0x1.c4ab06b8d5813p-11, 0x1.b6f07c5b5a097p-11, 0x1.a98e15349e751p-11, 0x1.9c81b57febc6cp-11, 0x1.8fc94d2c4b94cp-11, 0x1.8362d7a92371ap-11, 0x1.774c5bb0f97adp-11, 0x1.6b83eb1668073p-11, 0x1.6007a290982eep-11, 0x1.54d5a9897e76cp-11, 0x1.49ec31eb12f28p-11, 0x1.3f4977ef2c0abp-11, 0x1.34ebc1edbb61cp-11, 0x1.2ad1602dc9816p-11, 0x1.20f8acb528ff7p-11, 0x1.17600b1a51194p-11, 0x1.0e05e8557a7b9p-11, 0x1.04e8ba94086fep-11, 0x1.f80e02142ce9cp-12, 0x1.e6be878f46a96p-12, 0x1.d5e0271688bf8p-12, 0x1.c570132ff33e7p-12, 0x1.b56b8f14a9473p-12, 0x1.a5cfee5c5bbbp-12, 0x1.969a94aab3153p-12, 0x1.87c8f55e3dee7p-12, 0x1.7958933f36f79p-12, 0x1.6b470030763f8p-12, 0x1.5d91dce193d18p-12, 0x1.5036d881a5b31p-12, 0x1.4333b07383e4dp-12, 0x1.368630039b685p-12, 0x1.2a2c301d8ed5p-12, 0x1.1e2397043f785p-12, 0x1.126a580b0da8ap-12, 0x1.06fe734f0ebc2p-12, 0x1.f7bbeae477b5cp-13, 0x1.e20deeb0209cdp-13, 0x1.ccef3bc349884p-13, 0x1.b85c335a88f11p-13, 0x1.a4514da96cf04p-13, 0x1.90cb195c78dcfp-13, 0x1.7dc63b1c5c5d6p-13, 0x1.6b3f6d13417f5p-13, 0x1.59337e71acecdp-13, 0x1.479f52faf5e28p-13, 0x1.367fe28ed28bfp-13, 0x1.25d238b68c3a3p-13, 0x1.1593743598cb6p-13, 0x1.05c0c69948fcp-13, 0x1.ecaee79b011a7p-14, 0x1.cea9a36178265p-14, 0x1.b16c8f593dc7bp-14, 0x1.94f29c9ab0d59p-14, 0x1.7936ddbbabc6cp-14, 0x1.5e34860862d45p-14, 0x1.43e6e8bf38841p-14, 0x1.2a497854dca7ap-14, 0x1.1157c5b597e6ap-14, 0x1.f21aff1c1ea9bp-15, 0x1.c2cce32e5ba2bp-15, 0x1.94bd07cafc3d6p-15, 0x1.67e37474d54d1p-15, 0x1.3c3866b6364b3p-15, 0x1.11b450d2136e2p-15, 0x1.d09fb0f1247b2p-16, 0x1.8007ab1bdd02fp-16, 0x1.3192a1d3b7f34p-16, 0x1.ca660c8fd2b0dp-17, 0x1.35b74d9fe040ap-17, 0x1.49feb26f58819p-18, 0x1.82532d3df9b24p-21, -0x1.c3bdd57f18f1p-19, -0x1.ecac8da6eceb9p-18, -0x1.782644e6aace6p-17, -0x1.f675d30202cdap-17, -0x1.38ad5c5f44dc8p-16, -0x1.747512eb2adcdp-16, -0x1.ae9c5b072f35cp-16, -0x1.e72d3a885e4bp-16, -0x1.0f18b88aa8bf3p-15, -0x1.29d93cfb1dbfdp-15, -0x1.43dcc6f4af98ap-15, -0x1.5d27d26a568d5p-15, -0x1.75bebbc6ac1c7p-15, -0x1.8da5c0bbc19b6p-15, -0x1.a4e1011b49eb8p-15, -0x1.bb747f9d452bap-15, -0x1.d16422ad5a55bp-15, -0x1.e6b3b52aeddeep-15, -0x1.fb66e72c83c67p-15, -0x1.07c0a75d0aacfp-14, -0x1.11833440c24e5p-14, -0x1.1afccc45be3e7p-14, -0x1.242f1574a1191p-14, -0x1.2d1baa3028a7dp-14, -0x1.35c41986aba37p-14, -0x1.3e29e785dfd7cp-14, -0x1.464e8d887b43dp-14, -0x1.4e337a837ddaap-14, -0x1.55da1352be4bfp-14, -0x1.5d43b30228a9dp-14, -0x1.6471ab15ce3bbp-14, -0x1.6b6543cfde1c7p-14, -0x1.721fbc75c803dp-14, -0x1.78a24b9223d6dp-14, -0x1.7eee1f361ffbep-14, -0x1.85045d3975054p-14, -0x1.8ae62377bea4dp-14, -0x1.9094880d8e5e5p-14, -0x1.961099920a9eap-14, -0x1.9b5b5f5157f1dp-14, -0x1.a075d983df247p-14, -0x1.a5610184e10d2p-14, -0x1.aa1dca07ef268p-14, -0x1.aead1f4b930bp-14, -0x1.b30fe74bef46ep-14, -0x1.b74701f423d4bp-14, -0x1.bb53494d5a8a5p-14, -0x1.bf3591ad47038p-14, -0x1.c2eea9e3b18cap-14, -0x1.c67f5b65abfa5p-14, -0x1.c9e86a78c4b32p-14, -0x1.cd2a965c17e3cp-14, -0x1.d04699717bb86p-14, -0x1.d33d29641b0fbp-14, -0x1.d60ef74e8cacap-14, -0x1.d8bcafe0b7f6fp-14, -0x1.db46fb8309964p-14, -0x1.ddae7e7a00515p-14, -0x1.dff3d9081631bp-14, -0x1.e217a78f3829ep-14, -0x1.e41a82b0214c4p-14, -0x1.e5fcff69ffde4p-14, -0x1.e7bfaf38d9c3fp-14, -0x1.e96320329e3f1p-14, -0x1.eae7dd240aa5dp-14, -0x1.ec4e6dac1a329p-14, -0x1.ed9756570f265p-14, -0x1.eec318b81e6f5p-14, -0x1.efd233830b19ap-14, -0x1.f0c522a46f145p-14, -0x1.f19c5f59ba19ep-14, -0x1.f25860481b2dap-14, -0x1.f2f999926148bp-14, -0x1.f3807cef2ee5p-14, -0x1.f3ed79bd80ca1p-14, -0x1.f440fd18f2328p-14, -0x1.f47b71ed91415p-14, -0x1.f49d410a69ccfp-14, -0x1.f4a6d1347a73cp-14, -0x1.f4988737dab79p-14, -0x1.f472c5f95f33bp-14, -0x1.f435ee86f7c2ep-14, -0x1.f3e260279a5acp-14, -0x1.f378786afd43bp-14, -0x1.f2f89338dc38ap-14, -0x1.f2630adebdd1fp-14, -0x1.f1b8381e77e46p-14, -0x1.f0f8723bab104p-14, -0x1.f0240f0862897p-14, -0x1.ef3b62f24063ap-14, -0x1.ee3ec10dfd1f3p-14, -0x1.ed2e7b23a0c39p-14, -0x1.ec0ae1b97b50cp-14, -0x1.ead4441ee1becp-14, -0x1.e98af0775378ap-14, -0x1.e82f33c3a3d61p-14, -0x1.e6c159ec780dap-14, -0x1.e541adcafd638p-14, -0x1.e3b079325ab1fp-14, -0x1.e20e04f823f09p-14, -0x1.e05a98fcb650cp-14, -0x1.de967c3331459p-14, -0x1.dcc1f4a9324c4p-14, -0x1.dadd478deaf8bp-14, -0x1.d8e8b939be1e4p-14, -0x1.d6e48d3496e85p-14, -0x1.d4d1063c966b8p-14, -0x1.d2ae664c3f828p-14, -0x1.d07ceea0823dcp-14, -0x1.ce3cdfbe6f0e3p-14, -0x1.cbee7978db868p-14, -0x1.c991faf552f73p-14, -0x1.c727a2b162eaep-14, -0x1.c4afae874ae87p-14, -0x1.c22a5bb29bfeap-14, -0x1.bf97e6d48ca72p-14, -0x1.bcf88bf850433p-14, -0x1.ba4c86969bd43p-14, -0x1.b794119a28b4bp-14, -0x1.b4cf6762a1fe6p-14, -0x1.b1fec1c8bec79p-14, -0x1.af225a211650fp-14, -0x1.ac3a693f5ae1cp-14, -0x1.a94727792c28dp-14, -0x1.a648cca9457c4p-14, -0x1.a33f9031e5c37p-14, -0x1.a02ba8ff5b67ap-14, -0x1.9d0d4d8a8f306p-14, -0x1.99e4b3dad61dap-14, -0x1.96b21188a6f5ap-14, -0x1.93759bbf464a9p-14, -0x1.902f873eb35a8p-14, -0x1.8ce0085db4ffap-14, -0x1.8987530b44238p-14, -0x1.86259ad05e23ap-14, -0x1.82bb12d0f5216p-14, -0x1.7f47edce1a215p-14, -0x1.7bcc5e26a54c7p-14, -0x1.784895d8e92a8p-14, -0x1.74bcc6837167dp-14, -0x1.712921664f04ap-14, -0x1.6d8dd763f2d91p-14, -0x1.69eb190234f3ap-14, -0x1.6641166b2649bp-14, -0x1.628fff6dace67p-14, -0x1.5ed8037e617ecp-14, -0x1.5b1951b82949p-14, -0x1.575418dcd5c6bp-14, -0x1.538887558019bp-14, -0x1.4fb6cb337758fp-14, -0x1.4bdf12303a9e7p-14, -0x1.480189ae0924ep-14, -0x1.441e5eb850b51p-14, -0x1.4035be03f38b9p-14, -0x1.3c47d3ef7fa65p-14, -0x1.3854cc837bb0bp-14, -0x1.345cd3729c56p-14, -0x1.30601419a96a3p-14, -0x1.2c5eb97ffe89p-14, -0x1.2858ee57a5072p-14, -0x1.244edcfd3f97p-14, -0x1.2040af78008e1p-14, -0x1.1c2e8f7a0db2p-14, -0x1.1818a66020909p-14, -0x1.13ff1d31eb329p-14, -0x1.0fe21ca1ac908p-14, -0x1.0bc1cd0c71106p-14, -0x1.079e5679da22dp-14, -0x1.0377e09c265eap-14, -0x1.fe9d25a05e524p-15, -0x1.f645283a3ad29p-15, -0x1.ede81668fb69dp-15, -0x1.e5863ce40ad0fp-15, -0x1.dd1fe7b71e754p-15, -0x1.d4b56241b9d02p-15, -0x1.cc46f73778fb3p-15, -0x1.c3d4f09f26dc7p-15, -0x1.bb5f97d3128ap-15, -0x1.b2e7357ff52ecp-15, -0x1.aa6c11a577592p-15, -0x1.a1ee7395dd086p-15, -0x1.996ea1f524228p-15, -0x1.90ece2b96ebd1p-15, -0x1.88697b2a44858p-15, -0x1.7fe4afe097141p-15, -0x1.775ec4c649398p-15, -0x1.6ed7fd164d9edp-15, -0x1.66509b5bc08c1p-15, -0x1.5dc8e172355e6p-15, -0x1.55411085ab00ep-15, -0x1.4cb96911f3855p-15, -0x1.44322ae22cac9p-15, -0x1.3bab95113e5cap-15, -0x1.3325e60981a2bp-15, -0x1.2aa15b843826bp-15, -0x1.221e328a1becap-15, -0x1.199ca77297026p-15, -0x1.111cf5e3b854dp-15, -0x1.089f58d2cde39p-15, -0x1.00240a837752ep-15, -0x1.ef56890fcc1b8p-16, -0x1.de6a7f8271915p-16, -0x1.cd8468bdc29bep-16, -0x1.bca4b3bde32f6p-16, -0x1.abcbce1c9322cp-16, -0x1.9afa241103ac7p-16, -0x1.8a30206f03888p-16, -0x1.796e2ca928601p-16, -0x1.68b4b0cf47833p-16, -0x1.5804138fa76f4p-16, -0x1.475cba375eec6p-16, -0x1.36bf08b260957p-16, -0x1.262b618bac8fap-16, -0x1.15a225ee09bb3p-16, -0x1.0523b5a4917dcp-16, -0x1.e960de36e1bf7p-17, -0x1.c8915ebfc591p-17, -0x1.a7d9a442d2e3cp-17, -0x1.873a63645ded5p-17, -0x1.66b44e0ead7ecp-17, -0x1.464813760dfb4p-17, -0x1.25f66017e3684p-17, -0x1.05bfddbe44a1fp-17, -0x1.cb4a67005588fp-18, -0x1.8b4e0b862dff7p-18, -0x1.4b8bec7f12d8fp-18, -0x1.0c0548005a1bfp-18, -0x1.9976ad9817813p-19, -0x1.1b5e98a899836p-19, -0x1.3b895af53eeebp-20, -0x1.0559ee5da6579p-22, 0x1.6fadbca11cdf6p-21, 0x1.affa394c8d4cdp-20, 0x1.53879858ffefcp-19, 0x1.ce88ba576934p-19, 0x1.247f328860651p-18, 0x1.6173429fd8afap-18, 0x1.9e1f88f0e120fp-18, 0x1.da8306159de0ap-18, 0x1.0b4e5fdecd1e7p-17, 0x1.2935e0533b4bcp-17, 0x1.46f78c4a6a4aap-17, 0x1.6492ee28790ccp-17, 0x1.820792ceb1d9ap-17, 0x1.9f5509983524cp-17, 0x1.bc7ae456d4f5bp-17, 0x1.d978b74ec6db1p-17, 0x1.f64e19356ca12p-17, 0x1.097d5194b3968p-16, 0x1.17bef85932beap-16, 0x1.25ebcfdefe16ap-16, 0x1.3403a84b6b07p-16, 0x1.420652f333b05p-16, 0x1.4ff3a257b4c13p-16, 0x1.5dcb6a22d44d5p-16, 0x1.6b8d7f2862e32p-16, 0x1.7939b761b03d4p-16, 0x1.86cfe9ebc99f7p-16, 0x1.944fef06c15e5p-16, 0x1.a1b9a0117d377p-16, 0x1.af0cd788fa3edp-16, 0x1.bc4971069a5d8p-16, 0x1.c96f493be94aap-16, 0x1.d67e3df23bfcfp-16, 0x1.e3762e0829972p-16, 0x1.f056f96e88637p-16, 0x1.fd208126fb73cp-16, 0x1.04e953a0e102cp-15, 0x1.0b36a76d030e4p-15, 0x1.11782e0a7b533p-15, 0x1.17adda0ff7073p-15, 0x1.1dd79e960b658p-15, 0x1.23f56f36f41bfp-15, 0x1.2a07400d3518p-15, 0x1.300d05b1c28ccp-15, 0x1.3606b53bbbc59p-15, 0x1.3bf4443ee3848p-15, 0x1.41d5a8ca2da1ep-15, 0x1.47aad966dd81dp-15, 0x1.4d73cd170e4ccp-15, 0x1.53307b54df72p-15, 0x1.58e0dc107e0ddp-15, 0x1.5e84e7afea8b9p-15, 0x1.641c970d16f12p-15, 0x1.69a7e374adc8p-15, 0x1.6f26c6a546e93p-15, 0x1.74993acdaae5p-15, 0x1.79ff3a8beafc9p-15, 0x1.7f58c0ec25e12p-15, 0x1.84a5c96741487p-15, 0x1.89e64fe14f8eap-15, 0x1.8f1a50a918749p-15, 0x1.9441c876267ccp-15, 0x1.995cb467a42a5p-15, 0x1.9e6b1203dd2f2p-15, 0x1.a36cdf35ca13ep-15, 0x1.a8621a4ceb1c4p-15, 0x1.ad4ac1fb841d6p-15, 0x1.b226d5556dd9bp-15, 0x1.b6f653cf1914ep-15, 0x1.bbb93d3bbb487p-15, 0x1.c06f91cce3fedp-15, 0x1.c5195210703f2p-15, 0x1.c9b67ef006af6p-15, 0x1.ce4719afba19dp-15, 0x1.d2cb23ec4efe2p-15, 0x1.d7429f9aa43fp-15, 0x1.dbad8f060b134p-15, 0x1.e00bf4cf73887p-15, 0x1.e45dd3ebc35f6p-15, 0x1.e8a32fa330503p-15, 0x1.ecdc0b8f78a34p-15, 0x1.f1086b9b151b6p-15, 0x1.f528540021606p-15, 0x1.f93bc946bc398p-15, 0x1.fd42d0441d012p-15, 0x1.009eb70cbc68bp-14, 0x1.0295d41941c3ep-14, 0x1.0486c22261f4bp-14, 0x1.06718426e95c1p-14, 0x1.08561d4984a2cp-14, 0x1.0a3490cfb33abp-14, 0x1.0c0ce2217424cp-14, 0x1.0ddf14c8cbfbcp-14, 0x1.0fab2c70ecf67p-14, 0x1.11712ce5d8b05p-14, 0x1.13311a13e29a1p-14, 0x1.14eaf806e946cp-14, 0x1.169ecae9f2cd3p-14, 0x1.184c970672b15p-14, 0x1.19f460c4076aep-14, 0x1.1b962ca7a5d3bp-14, 0x1.1d31ff5321e63p-14, 0x1.1ec7dd84f65aep-14, 0x1.2057cc170efdap-14, 0x1.21e1cffef80dfp-14, 0x1.2365ee4ce37cep-14, 0x1.24e42c2b38557p-14, 0x1.265c8ede45751p-14, 0x1.27cf1bc3664ebp-14, 0x1.293bd850cf09bp-14, 0x1.2aa2ca14e2454p-14, 0x1.2c03f6b5a09e8p-14, 0x1.2d5f63f02ffe6p-14, 0x1.2eb51798a6d15p-14, 0x1.30051799167e2p-14, 0x1.314f69f1675e4p-14, 0x1.329414b6b191cp-14, 0x1.33d31e12e3a53p-14, 0x1.350c8c43f47bbp-14, 0x1.3640659c00da8p-14, 0x1.376eb08045d71p-14, 0x1.38977368e421cp-14, 0x1.39bab4e0529bfp-14, 0x1.3ad87b8322898p-14, 0x1.3bf0cdff5fc6fp-14, 0x1.3d03b313f5dcep-14, 0x1.3e113190bc6e6p-14, 0x1.3f195055524eap-14, 0x1.401c165153e83p-14, 0x1.41198a83a0121p-14, 0x1.4211b3f9eb409p-14, 0x1.430499d071b31p-14, 0x1.43f2433153297p-14, 0x1.44dab75469a35p-14, 0x1.45bdfd7eb57ap-14, 0x1.469c1d01e538bp-14, 0x1.47751d3c7e24bp-14, 0x1.4849059864478p-14, 0x1.4917dd8b8acb4p-14, 0x1.49e1ac96e5955p-14, 0x1.4aa67a4652939p-14, 0x1.4b664e3018eedp-14, 0x1.4c212ff4a8e94p-14, 0x1.4cd7273deb82p-14, 0x1.4d883bbf61cd6p-14, 0x1.4e34753539543p-14, 0x1.4edbdb64a2016p-14, 0x1.4f7e761a8fffcp-14, 0x1.501c4d2c3242bp-14, 0x1.50b56876573d8p-14, 0x1.5149cfdc7b7efp-14, 0x1.51d98b49c4fe3p-14, 0x1.5264a2af03dafp-14, 0x1.52eb1e03da85ep-14, 0x1.536d0545a31b3p-14, 0x1.53ea60771bfa6p-14, 0x1.546337a05594ap-14, 0x1.54d792ce66f19p-14, 0x1.55477a12dade5p-14, 0x1.55b2f58397114p-14, 0x1.561a0d3a9e5fep-14, 0x1.567cc955622fbp-14, 0x1.56db31f4e7ee4p-14, 0x1.57354f3d6c798p-14, 0x1.578b2955b0b2fp-14, 0x1.57dcc86753929p-14, 0x1.582a349e0ae9p-14, 0x1.587376278f612p-14, 0x1.58b8953365bc1p-14, 0x1.58f999f25ac5fp-14, 0x1.59368c96c4b9fp-14, 0x1.596f7553580a7p-14, 0x1.59a45c5c1e5b3p-14, 0x1.59d549e4f80f2p-14, 0x1.5a0246226ae87p-14, 0x1.5a2b5948a54abp-14, 0x1.5a508b8b887f7p-14, 0x1.5a71e51eac7e9p-14, 0x1.5a8f6e34898f7p-14, 0x1.5aa92efecdda6p-14, 0x1.5abf2fadfa823p-14, 0x1.5ad17870e24ccp-14, 0x1.5ae01174e76cbp-14, 0x1.5aeb02e56de9bp-14, 0x1.5af254ebab877p-14, 0x1.5af60faed2d33p-14, 0x1.5af63b533a3f7p-14, 0x1.5af2dffac1052p-14, 0x1.5aec05c4586ccp-14, 0x1.5ae1b4cbbca61p-14, 0x1.5ad3f52961259p-14, 0x1.5ac2cef27e552p-14, 0x1.5aae4a3844371p-14, 0x1.5a966f0855f9ep-14, 0x1.5a7b456c3a377p-14, 0x1.5a5cd5694c012p-14, 0x1.5a3b270069fd4p-14, 0x1.5a16422e31d9bp-14, 0x1.59ee2eea256bfp-14, 0x1.59c2f527707d8p-14, 0x1.59949cd3a6285p-14, 0x1.59632dd7cdf9bp-14, 0x1.592eb017044ddp-14, 0x1.58f72b6f5759ap-14, 0x1.58bca7b9183edp-14, 0x1.587f2cc6b593ep-14, 0x1.583ec264e982p-14, 0x1.57fb705a528bfp-14, 0x1.57b53e67336c7p-14, 0x1.576c3445e8e6ep-14, 0x1.572059a9e5781p-14, 0x1.56d1b6407e298p-14, 0x1.568051b00652ep-14, 0x1.562c3398280dfp-14, 0x1.55d563919edbp-14, 0x1.557be92e26563p-14, 0x1.551fcbf80d0c4p-14, 0x1.54c11372ed7ccp-14, 0x1.545fc71a5f08bp-14, 0x1.53fbee62f4d9fp-14, 0x1.539590b98766ap-14, 0x1.532cb58342acbp-14, 0x1.52c1641d79b2bp-14, 0x1.5253a3dde05b8p-14, 0x1.51e37c11e6636p-14, 0x1.5170f3ff25711p-14, 0x1.50fc12e2fd1b2p-14, 0x1.5084dff2b29c9p-14, 0x1.500b625af5cadp-14, 0x1.4f8fa14081f44p-14, 0x1.4f11a3bf2ed32p-14, 0x1.4e9170ea804eap-14, 0x1.4e0f0fcd8217ap-14, 0x1.4d8a876a1bcccp-14, 0x1.4d03deba11af4p-14, 0x1.4c7b1cadc6809p-14, 0x1.4bf0482d16be6p-14, 0x1.4b636816d469p-14, 0x1.4ad48340af6a2p-14, 0x1.4a43a0777c8e9p-14, 0x1.49b0c67ebc1bcp-14, 0x1.491bfc10f4105p-14, 0x1.488547df5ac07p-14, 0x1.47ecb091abf66p-14, 0x1.47523cc6c3825p-14, 0x1.46b5f313ad473p-14, 0x1.4617da042f37bp-14, 0x1.4577f81abb1b9p-14, 0x1.44d653d013c44p-14, 0x1.4432f39361c49p-14, 0x1.438dddca92eaap-14, 0x1.42e718d183b2ap-14, 0x1.423eaafab399cp-14, 0x1.41949a8ee48fap-14, 0x1.40e8edcd09d94p-14, 0x1.403baaea66b0dp-14, 0x1.3f8cd8128bee2p-14, 0x1.3edc7b66f6bf8p-14, 0x1.3e2a9affc6f83p-14, 0x1.3d773ceac75dap-14, 0x1.3cc2672c23993p-14, 0x1.3c0c1fbe3b5d9p-14, 0x1.3b546c9120e06p-14, 0x1.3a9b538b81f59p-14, 0x1.39e0da8992a34p-14, 0x1.3925075e0cc1ep-14, 0x1.3867dfd12d1dfp-14, 0x1.37a969a1cbf41p-14, 0x1.36e9aa842e4cfp-14, 0x1.3628a822f566p-14, 0x1.3566681ebeadfp-14, 0x1.34a2f00ddcf8p-14, 0x1.33de457ce27a2p-14, 0x1.33186dee4f5fcp-14, 0x1.32516eda5e167p-14, 0x1.31894dafa56efp-14, 0x1.30c00fd264787p-14, 0x1.2ff5ba9cd2d8ap-14, 0x1.2f2a535f7f30fp-14, 0x1.2e5ddf60570f9p-14, 0x1.2d9063dbd0e5p-14, 0x1.2cc1e604120a3p-14, 0x1.2bf26b01389cfp-14, 0x1.2b21f7f19ce3fp-14, 0x1.2a5091e953071p-14, 0x1.297e3df289d0ep-14, 0x1.28ab010dae597p-14, 0x1.27d6e030a4111p-14, 0x1.2701e048349abp-14, 0x1.262c0636477dbp-14, 0x1.255556d3ad281p-14, 0x1.247dd6eea7265p-14, 0x1.23a58b4c0c835p-14, 0x1.22cc78a66d493p-14, 0x1.21f2a3aeefb8bp-14, 0x1.2118110c5d74p-14, 0x1.203cc55c23d6bp-14, 0x1.1f60c53199b11p-14, 0x1.1e8415166624ep-14, 0x1.1da6b98a8049p-14, 0x1.1cc8b7040759cp-14, 0x1.1bea11ef5574ep-14, 0x1.1b0aceaf63c2bp-14, 0x1.1a2af19d0b53fp-14, 0x1.194a7f07ecfa5p-14, 0x1.18697b35d7faep-14, 0x1.1787ea62e9388p-14, 0x1.16a5d0c224dd4p-14, 0x1.15c3327c4fffbp-14, 0x1.14e013b1825b6p-14, 0x1.13fc787793b1ap-14, 0x1.131864db8bd25p-14, 0x1.1233dce0aa02ap-14, 0x1.114ee480d64cbp-14, 0x1.10697face172ap-14, 0x1.0f83b24bf1092p-14, 0x1.0e9d803c23c1cp-14, 0x1.0db6ed5251495p-14, 0x1.0ccffd59e5e47p-14, 0x1.0be8b41570072p-14, 0x1.0b01153e19399p-14, 0x1.0a192484016cdp-14, 0x1.0930e58e5ce2cp-14, 0x1.08485bfb033a7p-14, 0x1.075f8b5f261abp-14, 0x1.06767746b6a1ep-14, 0x1.058d2334ec818p-14, 0x1.04a392a40499fp-14, 0x1.03b9c9055ff64p-14, 0x1.02cfc9c1990e3p-14, 0x1.01e598388cc82p-14, 0x1.00fb37c125825p-14, 0x1.0010abaa08037p-14, 0x1.fe4bee7158591p-15, 0x1.fc763b54bb5a8p-15, 0x1.faa04467319c8p-15, 0x1.f8ca10009edfbp-15, 0x1.f6f3a4685bb53p-15, 0x1.f51d07d40fdc9p-15, 0x1.f346406996d98p-15, 0x1.f16f543cf52d4p-15, 0x1.ef9849529026cp-15, 0x1.edc1259d62286p-15, 0x1.ebe9ef007f0bfp-15, 0x1.ea12ab4e5ee93p-15, 0x1.e83b6048d73d3p-15, 0x1.e66413a2763bcp-15, 0x1.e48ccafc408c7p-15, 0x1.e2b58be8a9231p-15, 0x1.e0de5be9029bap-15, 0x1.df07406f4a97cp-15, 0x1.dd303edddd5d6p-15, 0x1.db595c86b853fp-15, 0x1.d9829eacfec44p-15, 0x1.d7ac0a83cb349p-15, 0x1.d5d5a52efc692p-15, 0x1.d3ff73c3286c1p-15, 0x1.d2297b45737abp-15, 0x1.d053c0ac02f41p-15, 0x1.ce7e48dde1f7p-15, 0x1.cca918b2ed91ap-15, 0x1.cad434f48f05ep-15, 0x1.c8ffa25cc1bf7p-15, 0x1.c72b659790df4p-15, 0x1.c55783418a8e2p-15, 0x1.c383ffe99c49cp-15, 0x1.c1b0e00f737b4p-15, 0x1.bfde282505193p-15, 0x1.be0bdc8dadea8p-15, 0x1.bc3a019eaca9ap-15, 0x1.ba689b9f62826p-15, 0x1.b897aec8cfecfp-15, 0x1.b6c73f46af25p-15, 0x1.b4f7513611a3cp-15, 0x1.b327e8a77dffap-15, 0x1.b159099c86bfbp-15, 0x1.af8ab80a9f41fp-15, 0x1.adbcf7d883003p-15, 0x1.abefcce0a81a7p-15, 0x1.aa233aef8b07dp-15, 0x1.a85745c4db118p-15, 0x1.a68bf11351403p-15, 0x1.a4c1408031e5fp-15, 0x1.a2f737a4aa18ep-15, 0x1.a12dda0c4476ep-15, 0x1.9f652b369301ep-15, 0x1.9d9d2e96253b1p-15, 0x1.9bd5e7911c93cp-15, 0x1.9a0f59816163p-15, 0x1.984987b43617dp-15, 0x1.9684756aff2e3p-15, 0x1.94c025dab9ea6p-15, 0x1.92fc9c2c641c5p-15, 0x1.9139db7d3621p-15, 0x1.8f77e6de212e7p-15, 0x1.8db6c154f71fap-15, 0x1.8bf66ddafe903p-15, 0x1.8a36ef5ed888p-15, 0x1.887848c2b0c9dp-15, 0x1.86ba7cde33b5p-15, 0x1.84fd8e7cd209bp-15, 0x1.8341805fb7261p-15, 0x1.8186553bd6636p-15, 0x1.7fcc0fbc2ec98p-15, 0x1.7e12b27fa824bp-15, 0x1.7c5a401b6a8a1p-15, 0x1.7aa2bb18b4949p-15, 0x1.78ec25f711c46p-15, 0x1.7736832a942c1p-15, 0x1.7581d51d679a4p-15, 0x1.73ce1e2ee316ep-15, 0x1.721b60b422bbp-15, 0x1.70699ef8001fcp-15, 0x1.6eb8db3b0ec43p-15, 0x1.6d0917b3f1709p-15, 0x1.6b5a568ef32b8p-15, 0x1.69ac99eee3b92p-15, 0x1.67ffe3ec338afp-15, 0x1.66543696128a1p-15, 0x1.64a993f19cf62p-15, 0x1.62fffdfa7de2bp-15, 0x1.615776a2e40c3p-15, 0x1.5fafffd368431p-15, 0x1.5e099b6b88a3dp-15, 0x1.5c644b412a7d3p-15, 0x1.5ac01121635acp-15, 0x1.591ceecfcbb82p-15, 0x1.577ae6074dcf9p-15, 0x1.55d9f879957cp-15, 0x1.543a27cfabde8p-15, 0x1.529b75a9a92f2p-15, 0x1.50fde39f14372p-15, 0x1.4f61733eb432fp-15, 0x1.4dc6260edc7b5p-15, 0x1.4c2bfd8d53a9p-15, 0x1.4a92fb2f95e02p-15, 0x1.48fb2062a993cp-15, 0x1.47646e8b98387p-15, 0x1.45cee706f1f76p-15, 0x1.443a8b298f848p-15, 0x1.42a75c3febaa1p-15, 0x1.41155b8ee6335p-15, 0x1.3f848a5340c7ap-15, 0x1.3df4e9c2335a4p-15, 0x1.3c667b091723cp-15, 0x1.3ad93f4db3bb8p-15, 0x1.394d37ae64343p-15, 0x1.37c26541badfcp-15, 0x1.3638c9174b123p-15, 0x1.34b06436fa083p-15, 0x1.332937a19e266p-15, 0x1.31a34450dd1b3p-15, 0x1.301e8b371ffb5p-15, 0x1.2e9b0d3fea16p-15, 0x1.2d18cb4fbab17p-15, 0x1.2b97c6442193fp-15, 0x1.2a17fef3f0602p-15, 0x1.2899762f24f6dp-15, 0x1.271c2cbf10605p-15, 0x1.25a023667e6e2p-15, 0x1.24255ae17ccdep-15, 0x1.22abd3e5ef1dbp-15, 0x1.21338f22dc942p-15, 0x1.1fbc8d4180bd6p-15, 0x1.1e46cee448cb6p-15, 0x1.1cd254a7d983ap-15, 0x1.1b5f1f22733e3p-15, 0x1.19ed2ee455b22p-15, 0x1.187c8477d3c6bp-15, 0x1.170d206121226p-15, 0x1.159f031ebde5p-15, 0x1.14322d2941b11p-15, 0x1.12c69ef385d34p-15, 0x1.115c58eabae0ap-15, 0x1.0ff35b7675aecp-15, 0x1.0e8ba6f8acce3p-15, 0x1.0d253bcde422cp-15, 0x1.0bc01a4d31366p-15, 0x1.0a5c42c838b37p-15, 0x1.08f9b58b6c00bp-15, 0x1.079872dddf19fp-15, 0x1.06387b0185738p-15, }}, 
      {{0x1.50e95ec055b39p-1, 0x1.50c45c3ae3a85p-1, 0x1.508ecc45c5c6bp-1, 0x1.504f51d694bd6p-1, 0x1.500aa7f49de99p-1, 0x1.4fc36e154de4cp-1, 0x1.4f7a8dc058d1p-1, 0x1.4f2fca4e43c2ap-1, 0x1.4ee2458ccadadp-1, 0x1.4e90e5f4bac6p-1, 0x1.4e3a9c3b3b225p-1, 0x1.4dde8d24dea91p-1, 0x1.4d7c265eb34b9p-1, 0x1.4d1324a86c3fep-1, 0x1.4ca3905abb959p-1, 0x1.4c2db4091f80ep-1, 0x1.4bb20febc81d1p-1, 0x1.4b314bf0b53a1p-1, 0x1.4aac29bff83a2p-1, 0x1.4a23779610cf2p-1, 0x1.4998048ab9eb3p-1, 0x1.490a96a04d5b6p-1, 0x1.487be2ca3eadp-1, 0x1.47ec86f4e1971p-1, 0x1.475d05fc32d7dp-1, 0x1.46cdc569e4dccp-1, 0x1.463f0cc4161fp-1, 0x1.45b1062d16bfbp-1, 0x1.4523c010f5543p-1, 0x1.44972f9e1a68p-1, 0x1.440b33ca35eb4p-1, 0x1.437f98ab20c8ap-1, 0x1.42f41af32b411p-1, 0x1.42686b68e312dp-1, 0x1.41dc323af7dep-1, 0x1.414f1219133b2p-1, 0x1.40c0ab01e3103p-1, 0x1.40309cbcfa4efp-1, 0x1.3f9e88fc8cdcbp-1, 0x1.3f0a15273eb74p-1, 0x1.3e72ebcd7f66cp-1, 0x1.3dd8bdd027df5p-1, 0x1.3d3b433f90ad1p-1, 0x1.3c9a3bfb19fe9p-1, 0x1.3bf5701964d52p-1, 0x1.3b4cb021542d4p-1, 0x1.3a9fd51b789d4p-1, 0x1.39eec082e4a33p-1, 0x1.39395c1bac489p-1, 0x1.387f99b47d733p-1, 0x1.37c172d7f851ap-1, 0x1.36fee871af581p-1, 0x1.36380269ff143p-1, 0x1.356ccf3b5a921p-1, 0x1.349d638319a9cp-1, 0x1.33c9d98f6d71dp-1, 0x1.32f250ebbcff3p-1, 0x1.3216edec6bf39p-1, 0x1.3137d93ac9b9fp-1, 0x1.30553f61ca31ap-1, 0x1.2f6f505c03256p-1, 0x1.2e863f235a865p-1, 0x1.2d9a4142c18f7p-1, 0x1.2cab8e6a51ebap-1, 0x1.2bba60061f8c4p-1, 0x1.2ac6f0d80fe61p-1, 0x1.29d17c9500058p-1, 0x1.28da3f858cd2ep-1, 0x1.27e1762ac4c6cp-1, 0x1.26e75ce70dd09p-1, 0x1.25ec2fab85607p-1, 0x1.24f029aa19758p-1, 0x1.23f3850c94501p-1, 0x1.22f67ab0cee4ep-1, 0x1.21f941ea30c54p-1, 0x1.20fc1048a03a9p-1, 0x1.1fff1964f5471p-1, 0x1.1f028eb2fd2d1p-1, 0x1.1e069f590f265p-1, 0x1.1d0b780d26dbap-1, 0x1.1c1142f772957p-1, 0x1.1b18279a3692fp-1, 0x1.1a204abede2c1p-1, 0x1.1929ce680e8bp-1, 0x1.1834d1c880eebp-1, 0x1.1741713e6bba6p-1, 0x1.164fc65333138p-1, 0x1.155fe7bf1fbd3p-1, 0x1.1471e970cd3fbp-1, 0x1.1385dc9806226p-1, 0x1.129bcfb3bbc05p-1, 0x1.11b3cea2cebc3p-1, 0x1.10cde2b75644bp-1, 0x1.0fea12cc17707p-1, 0x1.0f08635be3af7p-1, 0x1.0e28d69a8e0e4p-1, 0x1.0d4b6c8f35521p-1, 0x1.0c70232f99ec7p-1, 0x1.0b96f67c3fc88p-1, 0x1.0abfe09d2091dp-1, 0x1.09ead9feb11aap-1, 0x1.0917d96f0910bp-1, 0x1.0846d43af919ap-1, 0x1.0777be4ae4af5p-1, 0x1.06aa8a3f35822p-1, 0x1.05df298c49286p-1, 0x1.05158c95b30f1p-1, 0x1.044da2c8be70fp-1, 0x1.03875ab6126c4p-1, 0x1.02c2a22a69b37p-1, 0x1.01ff66464aeeap-1, 0x1.013d9394b57f2p-1, 0x1.007d1620bbd21p-1, 0x1.ff7bb313fd03cp-2, 0x1.fdff92301b1bap-2, 0x1.fc859f9947fefp-2, 0x1.fb0db0e990a8dp-2, 0x1.f9979b719afcap-2, 0x1.f823345679385p-2, 0x1.f6b050ad57a64p-2, 0x1.f53ec5951705ap-2, 0x1.f3ce684de37fap-2, 0x1.f25f0e4ed4ea6p-2, 0x1.f0f08d59bc696p-2, 0x1.ef82bb8d204e1p-2, 0x1.ee156f749312ep-2, 0x1.eca8801769675p-2, 0x1.eb3bc505f5903p-2, 0x1.e9cf166557807p-2, 0x1.e8624cf9fcefp-2, 0x1.e6f54230e8b96p-2, 0x1.e587d027d9c34p-2, 0x1.e419d1b4635b1p-2, 0x1.e2ab226a150bfp-2, 0x1.e13b9e9fc141ap-2, 0x1.dfcb2373f6182p-2, 0x1.de598ed0c2bacp-2, 0x1.dce6bf6ed4c2p-2, 0x1.db7294d8031c6p-2, 0x1.d9fcef6954963p-2, 0x1.d885b05492457p-2, 0x1.d70cb9a177717p-2, 0x1.d591ee2e84adfp-2, 0x1.d41531b189136p-2, 0x1.d29668b7eacffp-2, 0x1.d11578a6b6fd3p-2, 0x1.cf9247ba86cbcp-2, 0x1.ce0cbd073995bp-2, 0x1.cc84c07798827p-2, 0x1.cafa3accda80ap-2, 0x1.c96d159e1b0ddp-2, 0x1.c7dd3b57c2ebdp-2, 0x1.c64a973ae4f56p-2, 0x1.c4b5155c9a832p-2, 0x1.c31ca2a55541ap-2, 0x1.c1812cd03882p-2, 0x1.bfe2a26a6f057p-2, 0x1.be40f2d2828b5p-2, 0x1.bc9c0e37b8a64p-2, 0x1.baf3e59973162p-2, 0x1.b9486ac690219p-2, 0x1.b799905cd42c6p-2, 0x1.b5e749c84e778p-2, 0x1.b4318b42c6ac1p-2, 0x1.b27849d326016p-2, 0x1.b0bb7b4ce3768p-2, 0x1.aefb164f6ac51p-2, 0x1.ad37124583c49p-2, 0x1.ab6f6764b3a52p-2, 0x1.a9a40eac95cfap-2, 0x1.a7d501e62f7e4p-2, 0x1.a6023ba339a81p-2, 0x1.a42bb73d5d4afp-2, 0x1.a25170d56607ap-2, 0x1.a073655262458p-2, 0x1.9e919260b7e71p-2, 0x1.9cabf67123e1fp-2, 0x1.9ac290b7a83f3p-2, 0x1.98d5612a66c1ep-2, 0x1.96e4688063cdcp-2, 0x1.94efa83035f3dp-2, 0x1.92f7226e99592p-2, 0x1.90fada2ceee2dp-2, 0x1.8efad3179ecb6p-2, 0x1.8cf7119463e88p-2, 0x1.8aef9ac077b8p-2, 0x1.88e4746ea86ddp-2, 0x1.86d5a5254ee84p-2, 0x1.84c3341c2ab09p-2, 0x1.82ad293a20847p-2, 0x1.80938d12e0aecp-2, 0x1.7e7668e4686efp-2, 0x1.7c55c69472398p-2, 0x1.7a31b0adbfb4cp-2, 0x1.780a325d50cc9p-2, 0x1.75df576f7796dp-2, 0x1.73b12c4cd8ddbp-2, 0x1.717fbdf74f32fp-2, 0x1.6f4b1a06b08aep-2, 0x1.6d134ea584739p-2, 0x1.6ad86a8d98de5p-2, 0x1.689a7d0484e1dp-2, 0x1.665995d8157ep-2, 0x1.6415c55aa2301p-2, 0x1.61cf1c5f4f0d6p-2, 0x1.5f85ac363cd66p-2, 0x1.5d3986a8a3ecfp-2, 0x1.5aeabdf4dfe64p-2, 0x1.589964ca6c28bp-2, 0x1.56458e45d0b43p-2, 0x1.53ef4dec8148ap-2, 0x1.5196b7a8afcb1p-2, 0x1.4f3bdfc517308p-2, 0x1.4cdedae8b6944p-2, 0x1.4a7fbe1288c88p-2, 0x1.481e9e95338cdp-2, 0x1.45bb9212ad16dp-2, 0x1.4356ae77e35d8p-2, 0x1.40f009f858d67p-2, 0x1.3e87bb09c4472p-2, 0x1.3c1dd85fabbfcp-2, 0x1.39b278e701c8fp-2, 0x1.3745b3c1c3729p-2, 0x1.34d7a0429663p-2, 0x1.326855e86def3p-2, 0x1.2ff7ec5a34288p-2, 0x1.2d867b6273cb7p-2, 0x1.2b141aeb1203ep-2, 0x1.28a0e2f905fe3p-2, 0x1.262ceba820be4p-2, 0x1.23b84d26daadfp-2, 0x1.21431fb22e5dcp-2, 0x1.1ecd7b917abefp-2, 0x1.1c5779127a09cp-2, 0x1.19e130853984bp-2, 0x1.176aba382d01p-2, 0x1.14f42e7446bcep-2, 0x1.127da5792543bp-2, 0x1.100737794cbcbp-2, 0x1.0d90fc967557p-2, 0x1.0b1b0cdde9198p-2, 0x1.08a58044f50dp-2, 0x1.06306ea56a3bbp-2, 0x1.03bbefba3832ap-2, 0x1.01481b1c12f2bp-2, 0x1.fdaa107c676b3p-3, 0x1.f8c59cd65694bp-3, 0x1.f3e3098395bf9p-3, 0x1.ef0284643bec7p-3, 0x1.ea243af50472bp-3, 0x1.e5485a499916bp-3, 0x1.e06f0f070e448p-3, 0x1.db98855e96b43p-3, 0x1.d6c4e9084faf2p-3, 0x1.d1f4653e4d8bdp-3, 0x1.cd2724b7c7d41p-3, 0x1.c85d51a47f78dp-3, 0x1.c39715a84835ap-3, 0x1.bed499d6c3358p-3, 0x1.ba1606af4cbd3p-3, 0x1.b55b84190fa72p-3, 0x1.b0a5395f4f695p-3, 0x1.abf34d2dd62b5p-3, 0x1.a745e58d95e0cp-3, 0x1.a29d27e179c46p-3, 0x1.9df938e35cc53p-3, 0x1.995a3ca132f7cp-3, 0x1.94c0567a5c5efp-3, 0x1.902ba91d23afcp-3, 0x1.8b9c56846bb3bp-3, 0x1.87127ff5835eep-3, 0x1.828e45fe26c29p-3, 0x1.7e0fc872aa384p-3, 0x1.7997266c4c40bp-3, 0x1.75247e47b7c3ap-3, 0x1.70b7eda3a0b33p-3, 0x1.6c51915f99dbep-3, 0x1.67f1859b00b21p-3, 0x1.6397e5b41c23dp-3, 0x1.5f44cc475b157p-3, 0x1.5af8532eb8b08p-3, 0x1.56b29381421fep-3, 0x1.5273a592c928p-3, 0x1.4e3ba0f3aa18cp-3, 0x1.4a0a9c70c301dp-3, 0x1.45e0ae1380034p-3, 0x1.41bdeb2210f55p-3, 0x1.3da2681fb5ef3p-3, 0x1.398e38cd3362fp-3, 0x1.358170295a73ep-3, 0x1.317c2071b63fcp-3, 0x1.2d7e5b2352a8bp-3, 0x1.298830fb9ca2bp-3, 0x1.2599b1f95c026p-3, 0x1.21b2ed5dccf6bp-3, 0x1.1dd3f1adcbfb5p-3, 0x1.19fcccb3198adp-3, 0x1.162d8b7dbf3dep-3, 0x1.12663a65795p-3, 0x1.0ea6e50b45165p-3, 0x1.0aef965afd88dp-3, 0x1.0740588d0b25ep-3, 0x1.0399352829d2fp-3, 0x1.fff46a067459bp-4, 0x1.f8c6c08e5fbdfp-4, 0x1.f1a97ce206fe2p-4, 0x1.ea9caca778522p-4, 0x1.e3a05c350c98cp-4, 0x1.dcb49695ad93dp-4, 0x1.d5d9658d3d91p-4, 0x1.cf0ed19d0d255p-4, 0x1.c854e2087b212p-4, 0x1.c1ab9cd996476p-4, 0x1.bb1306e5dcebcp-4, 0x1.b48b23d31a79dp-4, 0x1.ae13f61c3fb49p-4, 0x1.a7ad7f16636cep-4, 0x1.a157bef5c3373p-4, 0x1.9b12b4d2d3f6dp-4, 0x1.94de5eaf6c45dp-4, 0x1.8ebab97be63d8p-4, 0x1.88a7c11c581e3p-4, 0x1.82a5706dd8ecep-4, 0x1.7cb3c14bbfca6p-4, 0x1.76d2ac94f8ed8p-4, 0x1.71022a3152b29p-4, 0x1.6b423116db61dp-4, 0x1.6592b74f39db5p-4, 0x1.5ff3b1fd0ad5cp-4, 0x1.5a65156144a03p-4, 0x1.54e6d4e090dbep-4, 0x1.4f78e308b097fp-4, 0x1.4a1b3195db529p-4, 0x1.44cdb17814d49p-4, 0x1.3f9052d88b518p-4, 0x1.3a63051eed164p-4, 0x1.3545b6f6b0d87p-4, 0x1.3038565468949p-4, 0x1.2b3ad07b008aap-4, 0x1.264d1200fe682p-4, 0x1.216f06d5b5b67p-4, 0x1.1ca09a4676219p-4, 0x1.17e1b703ad137p-4, 0x1.1332472601af1p-4, 0x1.0e9234336312p-4, 0x1.0a016724117c2p-4, 0x1.057fc86791d45p-4, 0x1.010d3fe9a1869p-4, 0x1.f9536a2e2b405p-5, 0x1.f0aa1dc55addp-5, 0x1.e81e6793c1156p-5, 0x1.dfb013b3239b5p-5, 0x1.d75eed657f417p-5, 0x1.cf2abf1e3c478p-5, 0x1.c713528b53df5p-5, 0x1.bf18709e4bd38p-5, 0x1.b739e19513917p-5, 0x1.af776d02c61c6p-5, 0x1.a7d0d9d852509p-5, 0x1.a045ee6cf2f32p-5, 0x1.98d6708691a54p-5, 0x1.918225620810bp-5, 0x1.8a48d1bb38438p-5, 0x1.832a39d50a4fp-5, 0x1.7c2621814710fp-5, 0x1.753c4c2847b63p-5, 0x1.6e6c7cd092f17p-5, 0x1.67b6762642f5p-5, 0x1.6119fa8259d48p-5, 0x1.5a96cbf1e937dp-5, 0x1.542cac3d18a0ep-5, 0x1.4ddb5cee0990dp-5, 0x1.47a29f5791ce5p-5, 0x1.4182349be2acp-5, 0x1.3b79ddb2f2628p-5, 0x1.35895b70de068p-5, 0x1.2fb06e8c11177p-5, 0x1.29eed7a3573d3p-5, 0x1.24445743c8ba8p-5, 0x1.1eb0adee8d009p-5, 0x1.19339c1e811d2p-5, 0x1.13cce24db60c2p-5, 0x1.0e7c40fad289dp-5, 0x1.094178ae4dd65p-5, 0x1.041c49ff852e5p-5, 0x1.fe18eb336e739p-6, 0x1.f4237881a9d0dp-6, 0x1.ea57bdac72a53p-6, 0x1.e0b53cba6d5bep-6, 0x1.d73b77ff1b964p-6, 0x1.cde9f2236a0c1p-6, 0x1.c4c02e2e1d58cp-6, 0x1.bbbdaf8bebbfbp-6, 0x1.b2e1fa1760c18p-6, 0x1.aa2c9220712cdp-6, 0x1.a19cfc73ea984p-6, 0x1.9932be628e69fp-6, 0x1.90ed5dc7faea1p-6, 0x1.88cc61115d716p-6, 0x1.80cf4f43d0dacp-6, 0x1.78f5b002ae963p-6, 0x1.713f0b956a37ap-6, 0x1.69aaeaed6980fp-6, 0x1.6238d7ab906cap-6, 0x1.5ae85c258a5ecp-6, 0x1.53b9036ae868cp-6, 0x1.4caa594a0d97bp-6, 0x1.45bbea54e45eap-6, 0x1.3eed43e55bb5ep-6, 0x1.383df421aa864p-6, 0x1.31ad8a007c8fep-6, 0x1.2b3b954cca2b6p-6, 0x1.24e7a6a99e73ap-6, 0x1.1eb14f95992d8p-6, 0x1.1898226e4d804p-6, 0x1.129bb273750d6p-6, 0x1.0cbb93c9e4672p-6, 0x1.06f75b7e6c878p-6, 0x1.014e9f8881df5p-6, 0x1.f781ed996e1fcp-7, 0x1.ec9bf23e3e07fp-7, 0x1.e1ea7e8ae7d91p-7, 0x1.d76cc5f24ca1p-7, 0x1.cd21fdd2690a8p-7, 0x1.c3095d77e11f2p-7, 0x1.b9221e211b71cp-7, 0x1.af6b7b0145c4ep-7, 0x1.a5e4b142ccf39p-7, 0x1.9c8d0009da7c6p-7, 0x1.9363a8765a6aep-7, 0x1.8a67eda5e24bap-7, 0x1.819914b53ca4ep-7, 0x1.78f664c1cb9f4p-7, 0x1.707f26eaaaf11p-7, 0x1.6832a651889a8p-7, 0x1.6010301b5eabfp-7, 0x1.58171370dcd36p-7, 0x1.5046a17eb894ap-7, 0x1.489e2d75982d8p-7, 0x1.411d0c8a0da85p-7, 0x1.39c295f42500ep-7, 0x1.328e22eee7bafp-7, 0x1.2b7f0eb7a3404p-7, 0x1.2494b68cfdfc6p-7, 0x1.1dce79adf6605p-7, 0x1.172bb95895561p-7, 0x1.10abd8c897d6ap-7, 0x1.0a4e3d35f1842p-7, 0x1.04124dd30758bp-7, 0x1.fbeee795bf47ap-8, 0x1.effa347e83681p-8, 0x1.e4455c8cf0aafp-8, 0x1.d8cf3dd275c0ep-8, 0x1.cd96ba407d7c1p-8, 0x1.c29ab7a385773p-8, 0x1.b7da1f9e0452p-8, 0x1.ad53dfa2f03abp-8, 0x1.a306e8f03c756p-8, 0x1.98f230890d241p-8, 0x1.8f14af2f9fap-8, 0x1.856d615f4a2eep-8, 0x1.7bfb474608092p-8, 0x1.72bd64bdf8b53p-8, 0x1.69b2c146b409fp-8, 0x1.60da67fe868c9p-8, 0x1.5833679b676fcp-8, 0x1.4fbcd263e470cp-8, 0x1.4775be27f21f6p-8, 0x1.3f5d443972f5fp-8, 0x1.37728164e5025p-8, 0x1.2fb495e9ad523p-8, 0x1.2822a57271bap-8, 0x1.20bbd70d6009p-8, 0x1.197f552446caep-8, 0x1.126c4d748028ap-8, 0x1.0b81f1074386p-8, 0x1.04bf742917116p-8, 0x1.fc481cc40ef8ap-9, 0x1.ef5df4da82762p-9, 0x1.e2beec6179418p-9, 0x1.d669856a1d24dp-9, 0x1.ca5c4839cb427p-9, 0x1.be95c33989028p-9, 0x1.b3148ae4cb0cap-9, 0x1.a7d739b8aa988p-9, 0x1.9cdc7022f7d71p-9, 0x1.9222d4711da24p-9, 0x1.87a912becd716p-9, 0x1.7d6ddce54cde5p-9, 0x1.736fea69fb524p-9, 0x1.69adf86d6e00cp-9, 0x1.6026c99a148a8p-9, 0x1.56d9261356a94p-9, 0x1.4dc3db6423fdep-9, 0x1.44e5bc6e31d3p-9, 0x1.3c3da1589b3e9p-9, 0x1.33ca677ef4ab8p-9, 0x1.2b8af1605ff35p-9, 0x1.237e268e72de5p-9, 0x1.1ba2f39c5ef17p-9, 0x1.13f84a0df9253p-9, 0x1.0c7d204735047p-9, 0x1.0530717b073bep-9, 0x1.fc227b36518efp-10, 0x1.ee3d128e0f299p-10, 0x1.e0aebb77514ddp-10, 0x1.d3759186586d9p-10, 0x1.c68fb9487b1fcp-10, 0x1.b9fb60242f159p-10, 0x1.adb6bc387fb24p-10, 0x1.a1c00c3d0dffp-10, 0x1.961597621be0ep-10, 0x1.8ab5ad30f281bp-10, 0x1.7f9ea56c509a4p-10, 0x1.74cedff195e38p-10, 0x1.6a44c49922bdfp-10, 0x1.5ffec3181ba19p-10, 0x1.55fb52e1dede7p-10, 0x1.4c38f30936ceep-10, 0x1.42b62a231f1c9p-10, 0x1.397186286c0adp-10, 0x1.30699c58979d2p-10, 0x1.279d091c6e172p-10, 0x1.1f0a6fe8f6288p-10, 0x1.16b07b22e6f64p-10, 0x1.0e8ddc02434b5p-10, 0x1.06a14a75f4c9p-10, 0x1.fdd30a10a8de5p-11, 0x1.eecaa1866e94p-11, 0x1.e026f2295cbe2p-11, 0x1.d1e59f680d19fp-11, 0x1.c404590e7cd4ap-11, 0x1.b680db10ca1ecp-11, 0x1.a958ed569bfc9p-11, 0x1.9c8a6387f78dep-11, 0x1.90131cd99281ap-11, 0x1.83f103dafc292p-11, 0x1.78220e4359c1cp-11, 0x1.6ca43cc1c8c98p-11, 0x1.61759acad3078p-11, 0x1.56943e69383c8p-11, 0x1.4bfe480e2a302p-11, 0x1.41b1e26201e37p-11, 0x1.37ad4215c13aap-11, 0x1.2deea5b5b099ep-11, 0x1.2474557b8fbf8p-11, 0x1.1b3ca32240782p-11, 0x1.1245e9b97152ep-11, 0x1.098e8d7a09fdp-11, 0x1.0114fb9bc1fafp-11, 0x1.f1af54538bf8cp-12, 0x1.e1aa2fb3e756bp-12, 0x1.d21797c6001e8p-12, 0x1.c2f4aba880a48p-12, 0x1.b43e9ad9be111p-12, 0x1.a5f2a4eb07d63p-12, 0x1.980e19303ffb4p-12, 0x1.8a8e5674f2565p-12, 0x1.7d70caafc4e1dp-12, 0x1.70b2f2b86f3c8p-12, 0x1.645259fdc6e1fp-12, 0x1.584c9a3dbbadep-12, 0x1.4c9f5b3e1afc1p-12, 0x1.414852860d3aep-12, 0x1.36454319a75dep-12, 0x1.2b93fd34fb0fbp-12, 0x1.21325e09f61d5p-12, 0x1.171e4f7d9a58fp-12, 0x1.0d55c7e7ca29dp-12, 0x1.03d6c9d2f5969p-12, 0x1.f53ec77aef4e5p-13, 0x1.e35b5fb6de5a6p-13, 0x1.d1ffa7b4a39abp-13, 0x1.c128014917492p-13, 0x1.b0d0e44e2126ep-13, 0x1.a0f6de2e081bcp-13, 0x1.9196917263611p-13, 0x1.82acb55351edep-13, 0x1.74361549dc891p-13, 0x1.662f90a2e1aaap-13, 0x1.58961a15e92a3p-13, 0x1.4b66b75aef1cdp-13, 0x1.3e9e80c58998fp-13, 0x1.323aa0dd88a8fp-13, 0x1.263853fe37329p-13, 0x1.1a94e7f21ac06p-13, 0x1.0f4dbb951e355p-13, 0x1.04603e762f15ep-13, 0x1.f393e0f3458f6p-14, 0x1.df10c2ff0ca1ap-14, 0x1.cb32621456aecp-14, 0x1.b7f41bcce0901p-14, 0x1.a5516baae35a9p-14, 0x1.9345ea7236d3ep-14, 0x1.81cd4d80da6b6p-14, 0x1.70e3662d0d851p-14, 0x1.608421266870fp-14, 0x1.50ab85d752284p-14, 0x1.4155b5ccb7866p-14, 0x1.327eec1fb0752p-14, 0x1.24237ce02038dp-14, 0x1.163fd48457192p-14, 0x1.08d0775c0f258p-14, 0x1.f7a40202ba96fp-15, 0x1.de8247a77af31p-15, 0x1.c63550ddea69cp-15, 0x1.aeb6da50e91a4p-15, 0x1.9800cb1dc9943p-15, 0x1.820d33d6a00dfp-15, 0x1.6cd64d874c337p-15, 0x1.585678c6ee806p-15, 0x1.44883cc6f6969p-15, 0x1.3166466a5dc67p-15, 0x1.1eeb6760854b4p-15, 0x1.0d129545649ep-15, 0x1.f7add18c82b2ep-16, 0x1.d66739920a82ap-16, 0x1.b6481b3abd9e6p-16, 0x1.97477050d6f0cp-16, 0x1.795c724067e66p-16, 0x1.5c7e98862975cp-16, 0x1.40a59729ec69ap-16, 0x1.25c95d4b0626p-16, 0x1.0be213a3c946ap-16, 0x1.e5d036483b89dp-17, 0x1.b5a81711bead5p-17, 0x1.873d64096d26cp-17, 0x1.5a821fcc7e22fp-17, 0x1.2f68b29d21695p-17, 0x1.05e3e7cff5fd1p-17, 0x1.bbcdd69bd2b45p-18, 0x1.6eca8e4c35413p-18, 0x1.24a5c2522aaf9p-18, 0x1.ba8fe24cbb7e7p-19, 0x1.31348f0490e1fp-19, 0x1.5a1a6ff500f19p-20, 0x1.6f76a8e0f03cp-22, -0x1.31417d1b9515bp-21, -0x1.83b1e1bfa3c74p-20, -0x1.32d2398e94b6ap-19, -0x1.9f62695ae029ep-19, -0x1.03d747209b2e9p-18, -0x1.35ed4ded1fc9dp-18, -0x1.6604b95e629ebp-18, -0x1.942e73e7529e1p-18, -0x1.c07ae5b596b28p-18, -0x1.eaf9f81d3aa87p-18, -0x1.09dd8c89f2661p-17, -0x1.1d669f312b68cp-17, -0x1.301f747e57ab4p-17, -0x1.420f140f235b4p-17, -0x1.533c4e347468ap-17, -0x1.63adbd6f58f1dp-17, -0x1.7369c7eb48ff9p-17, -0x1.8276a0eed1aeap-17, -0x1.90da4a427bf39p-17, -0x1.9e9a9590b5e44p-17, -0x1.abbd25b9454aep-17, -0x1.b847701ea0048p-17, -0x1.c43ebdef15986p-17, -0x1.cfa82d614fa89p-17, -0x1.da88b2e468a5ep-17, -0x1.e4e51a59b9f0bp-17, -0x1.eec208323c28ep-17, -0x1.f823fa9168f04p-17, -0x1.0087a5332e4ccp-16, -0x1.04c4163f3f42p-16, -0x1.08c959461d1d1p-16, -0x1.0c996617daa48p-16, -0x1.103623f912759p-16, -0x1.13a16a1e5c32cp-16, -0x1.16dd00242af62p-16, -0x1.19ea9e86289ecp-16, -0x1.1ccbef0f7fc03p-16, -0x1.1f828d4c2b24p-16, -0x1.221006f32e296p-16, -0x1.2475dc52df7dp-16, -0x1.26b580b671b6ap-16, -0x1.28d05ac9c803cp-16, -0x1.2ac7c4fdda378p-16, -0x1.2c9d0de45894dp-16, -0x1.2e51788e9d8e1p-16, -0x1.2fe63ce79891p-16, -0x1.315c880a8f9ebp-16, -0x1.32b57c9a5203fp-16, -0x1.33f2331285772p-16, -0x1.3513ba1a6d832p-16, -0x1.361b16d186009p-16, -0x1.3709451e2b949p-16, -0x1.37df37f70cf53p-16, -0x1.389dd9ac42d41p-16, -0x1.39460c2d29ae1p-16, -0x1.39d8a94d8d3aap-16, -0x1.3a5683082242ep-16, -0x1.3ac063bf93dcfp-16, -0x1.3b170e7c73b1fp-16, -0x1.3b5b3f2cbd114p-16, -0x1.3b8daadcc06d1p-16, -0x1.3baefff30653bp-16, -0x1.3bbfe6675de6dp-16, -0x1.3bc0fffa15d61p-16, -0x1.3bb2e868a5a06p-16, -0x1.3b9635a25c994p-16, -0x1.3b6b77f828f6bp-16, -0x1.3b333a4fc49c6p-16, -0x1.3aee0250a8b4p-16, -0x1.3a9c5093bc3c3p-16, -0x1.3a3ea0ce692b1p-16, -0x1.39d569ff21c79p-16, -0x1.39611e9590535p-16, -0x1.38e22c9cfc5b1p-16, -0x1.3858fde263b59p-16, -0x1.37c5f81b99ccap-16, -0x1.37297d0bd89d6p-16, -0x1.3683eaa7a9d43p-16, -0x1.35d59b38b820ap-16, -0x1.351ee57e3daf6p-16, -0x1.34601ccede882p-16, -0x1.33999138312a7p-16, -0x1.32cb8f9cd9d56p-16, -0x1.31f661d39733bp-16, -0x1.311a4ec2f86e4p-16, -0x1.30379a7e68cafp-16, -0x1.2f4e865fcf145p-16, -0x1.2e5f5123a2c8ep-16, -0x1.2d6a3700eb045p-16, -0x1.2c6f71c29a2a7p-16, -0x1.2b6f38deca41fp-16, -0x1.2a69c18e61cb1p-16, -0x1.295f3ee2cbb62p-16, -0x1.284fe1dbb23c8p-16, -0x1.273bd97c0e398p-16, -0x1.262352ddf5dc5p-16, -0x1.2506794655bb1p-16, -0x1.23e5763786c93p-16, -0x1.22c07183c8ecap-16, -0x1.2197915e9e0f8p-16, -0x1.206afa6dd0e45p-16, -0x1.1f3acfd9d252fp-16, -0x1.1e07335dd9a73p-16, -0x1.1cd04556ae785p-16, -0x1.1b9624d16d862p-16, -0x1.1a58ef9a7818bp-16, -0x1.1918c24a4639fp-16, -0x1.17d5b85339751p-16, -0x1.168fec0e19503p-16, -0x1.154776c68f0d8p-16, -0x1.13fc70c6f0e19p-16, -0x1.12aef16390816p-16, -0x1.115f0f05e37f1p-16, -0x1.100cdf370c67bp-16, -0x1.0eb876a9ffb7cp-16, -0x1.0d61e94591088p-16, -0x1.0c094a2d8d679p-16, -0x1.0aaeabcc196abp-16, -0x1.09521fda53e9dp-16, -0x1.07f3b768a693ep-16, -0x1.069382e71230dp-16, -0x1.0531922ce9554p-16, -0x1.03cdf47ffa4p-16, -0x1.0268b89be564ap-16, -0x1.0101ecb91085fp-16, -0x1.ff333d26515c8p-17, -0x1.fc5fb6df1e858p-17, -0x1.f9896046389ffp-17, -0x1.f6b052306a496p-17, -0x1.f3d4a4a8a9f21p-17, -0x1.f0f66efa999c7p-17, -0x1.ee15c7bc739d6p-17, -0x1.eb32c4d96aa6fp-17, -0x1.e84d7b9a9a555p-17, -0x1.e56600aff64a3p-17, -0x1.e27c6838b341cp-17, -0x1.df90c5cbc4542p-17, -0x1.dca32c7f2f56ep-17, -0x1.d9b3aeefe2f24p-17, -0x1.d6c25f483729p-17, -0x1.d3cf4f47449b7p-17, -0x1.d0da9046cadb2p-17, -0x1.cde43341ab2f3p-17, -0x1.caec48d9264a5p-17, -0x1.c7f2e15b1635p-17, -0x1.c4f80cc68a9b3p-17, -0x1.c1fbdad109646p-17, -0x1.befe5aeb396adp-17, -0x1.bbff9c44fa32fp-17, -0x1.b8ffadd26ade9p-17, -0x1.b5fe9e4f05b07p-17, -0x1.b2fc7c41da5aep-17, -0x1.aff95600e60acp-17, -0x1.acf539b4a3a76p-17, -0x1.a9f0355afc1a5p-17, -0x1.a6ea56ca5d812p-17, -0x1.a3e3abb4594f8p-17, -0x1.a0dc41a8552e9p-17, -0x1.9dd42615f0eadp-17, -0x1.9acb664f7daddp-17, -0x1.97c20f8bcf7c4p-17, -0x1.94b82ee85c86p-17, -0x1.91add16b4568p-17, -0x1.8ea304049dc14p-17, -0x1.8b97d39040929p-17, -0x1.888c4cd74cb5ap-17, -0x1.85807c9143a6bp-17, -0x1.82746f657be53p-17, -0x1.7f6831ec119f9p-17, -0x1.7c5bd0af0cb24p-17, -0x1.794f582b3d269p-17, -0x1.7642d4d100a2ap-17, -0x1.73365304f51dbp-17, -0x1.7029df20c4139p-17, -0x1.6d1d857381a2ap-17, -0x1.6a1152426da8dp-17, -0x1.670551c921e1bp-17, -0x1.63f9903a08134p-17, -0x1.60ee19be8c7e4p-17, -0x1.5de2fa777456cp-17, -0x1.5ad83e7cf4d2bp-17, -0x1.57cdf1ded44fap-17, -0x1.54c420a4958ecp-17, -0x1.51bad6cd3f805p-17, -0x1.4eb2204f85e7bp-17, -0x1.4baa09199e443p-17, -0x1.48a29d1138c15p-17, -0x1.459be81328bc7p-17, -0x1.4295f5f35fde3p-17, -0x1.3f90d27ccdadcp-17, -0x1.3c8c8970dedecp-17, -0x1.398926873d0bp-17, -0x1.3686b56dbefcap-17, -0x1.338541c7d137bp-17, -0x1.3084d72e25fdap-17, -0x1.2d85812e8b38fp-17, -0x1.2a874b4b44528p-17, -0x1.278a40fab26ddp-17, -0x1.248e6da7138eap-17, -0x1.2193dcadd8d4cp-17, -0x1.1e9a995f46809p-17, -0x1.1ba2aefe1dea1p-17, -0x1.18ac28bef6e79p-17, -0x1.15b711c7d79c2p-17, -0x1.12c3752fcaf91p-17, -0x1.0fd15dfe63382p-17, -0x1.0ce0d72afb0c4p-17, -0x1.09f1eb9c94328p-17, -0x1.0704a6291372bp-17, -0x1.04191194eb04cp-17, -0x1.012f38928abdp-17, -0x1.fc8e4b83c7a45p-18, -0x1.f6c1c75f9fea1p-18, -0x1.f0f8f9ab60f09p-18, -0x1.eb33f731de68cp-18, -0x1.e572d49511dcdp-18, -0x1.dfb5a64cb2fa2p-18, -0x1.d9fc80a5decb1p-18, -0x1.d44777c1dc639p-18, -0x1.ce969f94d7784p-18, -0x1.c8ea0be5bb2f7p-18, -0x1.c341d04c9f78dp-18, -0x1.bd9e003251b9ep-18, -0x1.b7feaecf1cf01p-18, -0x1.b263ef29f5442p-18, -0x1.accdd417f8106p-18, -0x1.a73c703b4ba5ep-18, -0x1.a1afd6025de58p-18, -0x1.9c2817a744db6p-18, -0x1.96a5472ebb0d3p-18, -0x1.91277667a3d37p-18, -0x1.8baeb6ea2fb79p-18, -0x1.863b1a16e8e65p-18, -0x1.80ccb116c1e29p-18, -0x1.7b638cd991469p-18, -0x1.75ffbe15dcbacp-18, -0x1.70a1554850eaap-18, -0x1.6b4862b315bb9p-18, -0x1.65f4f65d1fa2p-18, -0x1.60a72011b24p-18, -0x1.5b5eef5fe42bp-18, -0x1.561c739a446afp-18, -0x1.50dfbbd60af38p-18, -0x1.4ba8d6eada621p-18, -0x1.4677d3727a3d5p-18, -0x1.414cbfc82b76p-18, -0x1.3c27aa0877facp-18, -0x1.3708a01081751p-18, -0x1.31efaf7e569a4p-18, -0x1.2cdce5afffe71p-18, -0x1.27d04fc331cd8p-18, -0x1.22c9fa95db615p-18, -0x1.1dc9f2c506667p-18, -0x1.18d044acba7eep-18, -0x1.13dcfc68919a9p-18, -0x1.0ef025d27fd03p-18, -0x1.0a09cc83583d1p-18, -0x1.0529fbd2a2f03p-18, -0x1.0050bed60c82dp-18, -0x1.f6fc40c3f887cp-19, -0x1.ed6456120833fp-19, -0x1.e3d9d23783ec9p-19, -0x1.da5cc952c8d52p-19, -0x1.d0ed4efe6ab36p-19, -0x1.c78b765150c26p-19, -0x1.be3751df788a3p-19, -0x1.b4f0f3b90aadcp-19, -0x1.abb86d6af3ae4p-19, -0x1.a28dcfffd4e0ap-19, -0x1.99712bff450b6p-19, -0x1.9062916dc72d1p-19, -0x1.87620fce7a418p-19, -0x1.7e6fb62236b5p-19, -0x1.758b92e805b84p-19, -0x1.6cb5b41e8cff6p-19, -0x1.63ee2743564a6p-19, -0x1.5b34f95375fe1p-19, -0x1.528a36cc8df8bp-19, -0x1.49edebacdd224p-19, -0x1.41602373fe3bep-19, -0x1.38e0e9232f5a9p-19, -0x1.3070473eb99dcp-19, -0x1.280e47cd6ee73p-19, -0x1.1fbaf45a1d18fp-19, -0x1.177655f43cbffp-19, -0x1.0f4075300a717p-19, -0x1.07195a27e018p-19, -0x1.fe0218f983362p-20, -0x1.edef26ae26117p-20, -0x1.ddf9eacea9052p-20, -0x1.ce2271ced91bbp-20, -0x1.be68c7354377bp-20, -0x1.aeccf59ea0657p-20, -0x1.9f4f06bf6ef2bp-20, -0x1.8fef0363fe27ap-20, -0x1.80acf374ff3e6p-20, -0x1.7188ddf704821p-20, -0x1.6282c90d59f49p-20, -0x1.539ab9fc6bd02p-20, -0x1.44d0b52aae445p-20, -0x1.3624be2438f33p-20, -0x1.2796d79ae988p-20, -0x1.1927036a52375p-20, -0x1.0ad5429856327p-20, -0x1.f9432aaeaab95p-21, -0x1.dd17f61352772p-21, -0x1.c128e484c8b2bp-21, -0x1.a575f190978c3p-21, -0x1.89ff172f90ed4p-21, -0x1.6ec44dcb4806ap-21, -0x1.53c58c3fa0ea7p-21, -0x1.3902c7e310b36p-21, -0x1.1e7bf488ba3ccp-21, -0x1.0431048526a0cp-21, -0x1.d443d168d5ea9p-22, -0x1.a09d20fad9b66p-22, -0x1.6d6dd3ad905c6p-22, -0x1.3ab5c29999454p-22, -0x1.0874c40739222p-22, -0x1.ad5556fb0f75ep-23, -0x1.4aae93888809ap-23, -0x1.d1e9b3dbae62ep-24, -0x1.104f822567b07p-24, -0x1.4236d4dcbe181p-26, 0x1.b572679f0fdbcp-26, 0x1.29705c5d3051fp-24, 0x1.e3ae8d5c9356fp-24, 0x1.4e0c18f7ce8p-23, 0x1.a9572c6d8709cp-23, 0x1.01dc869a9c651p-22, 0x1.2e992618b4bfbp-22, 0x1.5ae1bf6fe3a28p-22, 0x1.86b69fa63fbep-22, 0x1.b2181605cd006p-22, 0x1.dd0674039f892p-22, 0x1.03c106a2c63ecp-21, 0x1.18c59bc826152p-21, 0x1.2d91255f6d6e1p-21, 0x1.4223d05e9c0dcp-21, 0x1.567dcabbcd5e4p-21, 0x1.6a9f436c593b3p-21, 0x1.7e886a5e5c59p-21, 0x1.923970723a37ep-21, 0x1.a5b28777aa34ep-21, 0x1.b8f3e22bb7a46p-21, 0x1.cbfdb42e91ae4p-21, 0x1.ded03202d738p-21, 0x1.f16b91080708fp-21, 0x1.01e803bb49e9bp-20, 0x1.0afee62be4ef7p-20, 0x1.13fa8bc39387dp-20, 0x1.1cdb10d492035p-20, 0x1.25a0921415fdep-20, 0x1.2e4b2c979d09ep-20, 0x1.36dafdd44018ap-20, 0x1.3f50239aeb062p-20, 0x1.47aabc1609b0ap-20, 0x1.4feae5c986d18p-20, 0x1.5810bf8d11794p-20, 0x1.601c688d3786bp-20, 0x1.680e0048107d4p-20, 0x1.6fe5a68aa5705p-20, 0x1.77a37b6fb9b8ap-20, 0x1.7f479f5ca2c22p-20, 0x1.86d2330064ebap-20, 0x1.8e4357509117ep-20, 0x1.959b2d875613p-20, 0x1.9cd9d723f753p-20, 0x1.a3ff75e39971fp-20, 0x1.ab0c2bc4ae66ap-20, 0x1.b2001b01d0e19p-20, 0x1.b8db6610b9f9bp-20, 0x1.bf9e2fa02ed4bp-20, 0x1.c6489a96a477dp-20, 0x1.ccdaca0f02d51p-20, 0x1.d354e15887f81p-20, 0x1.d9b703f2d29b7p-20, 0x1.e001558f4d53fp-20, 0x1.e633fa0ac5f57p-20, 0x1.ec4f156fe686ep-20, 0x1.f252cbf3ddca8p-20, 0x1.f83f41f1f312cp-20, 0x1.fe149bf029c49p-20, 0x1.01e97f4aaaba4p-19, 0x1.04bd47574ba8p-19, 0x1.0785b8951f0b9p-19, 0x1.0a42e58ab6b84p-19, 0x1.0cf4e0ce3beb7p-19, 0x1.0f9bbd046be45p-19, 0x1.12378cdf29d65p-19, 0x1.14c8631d3eec7p-19, 0x1.174e5289c3411p-19, 0x1.19c96dfa5830ep-19, 0x1.1c39c84f81b53p-19, 0x1.1e9f7473b28cp-19, 0x1.20fa85596c9a9p-19, 0x1.234b0dfc485e6p-19, 0x1.2591215efbf2ep-19, 0x1.27ccd28aefd85p-19, 0x1.29fe348fbdd34p-19, 0x1.2c255a820a5a7p-19, 0x1.2e42577bed813p-19, 0x1.30553e9a1eee6p-19, 0x1.325e22fe27558p-19, 0x1.345d17caff328p-19, 0x1.365230268e21fp-19, 0x1.383d7f379513cp-19, 0x1.3a1f18257f99fp-19, 0x1.3bf70e188f246p-19, 0x1.3dc574379fbafp-19, 0x1.3f8a5da8f7847p-19, 0x1.4145dd915a6d2p-19, 0x1.42f80712b201p-19, 0x1.44a0ed4cae41p-19, 0x1.4640a35b47718p-19, 0x1.47d73c5659cc6p-19, 0x1.4964cb51e2085p-19, 0x1.4ae9635c191ebp-19, 0x1.4c65177e27931p-19, 0x1.4dd7fabb229e8p-19, 0x1.4f42200f2190fp-19, 0x1.50a39a6f5eaccp-19, 0x1.51fc7cca0b579p-19, 0x1.534cda045034p-19, 0x1.5494c4fb7ea87p-19, 0x1.55d45083dc76ap-19, 0x1.570b8f6820e04p-19, 0x1.583a9468e080fp-19, 0x1.5961723cfb687p-19, 0x1.5a803b8fae804p-19, 0x1.5b97030217811p-19, 0x1.5ca5db288e741p-19, 0x1.5dacd68cb9c5cp-19, 0x1.5eac07aa8af8p-19, 0x1.5fa380f210fd4p-19, 0x1.609354c5fea3dp-19, 0x1.617b957b1f14cp-19, 0x1.625c5558d6611p-19, 0x1.6335a69813255p-19, 0x1.64079b62cfb77p-19, 0x1.64d245d4e5b67p-19, 0x1.6595b7f9e1c17p-19, 0x1.665203cea7b54p-19, 0x1.67073b3f8256ep-19, 0x1.67b57028bdd1bp-19, 0x1.685cb45636bacp-19, 0x1.68fd1982ca86ep-19, 0x1.6996b157d139fp-19, 0x1.6a298d6e6e0e4p-19, 0x1.6ab5bf4c8aff2p-19, 0x1.6b3b586717844p-19, 0x1.6bba6a20b1936p-19, 0x1.6c3305c93c21fp-19, 0x1.6ca53c9dc65bap-19, 0x1.6d111fc90c2f6p-19, 0x1.6d76c061cbba7p-19, 0x1.6dd62f6bde98bp-19, 0x1.6e2f7dd741703p-19, 0x1.6e82bc804d02ep-19, 0x1.6ecffc2eaf51p-19, 0x1.6f174d96cbd0ep-19, 0x1.6f58c15788ce6p-19, 0x1.6f9467fb9f7fp-19, 0x1.6fca51f94fe9ap-19, 0x1.6ffa8fb0baeecp-19, 0x1.7025316e377f1p-19, 0x1.704a47677a894p-19, 0x1.7069e1bd7d82bp-19, 0x1.7084107b5d057p-19, 0x1.7098e3960cb8p-19, 0x1.70a86aed0d772p-19, 0x1.70b2b6493732fp-19, 0x1.70b7d55dba9c5p-19, 0x1.70b7d7c708688p-19, 0x1.70b2cd0abf727p-19, 0x1.70a8c498e779dp-19, 0x1.7099cdc9c9773p-19, 0x1.7085f7df0d884p-19, 0x1.706d52040ba49p-19, 0x1.704feb4c557dfp-19, 0x1.702dd2b45dacap-19, 0x1.700717223cd6p-19, 0x1.6fdbc7639e2d2p-19, 0x1.6fabf22f79981p-19, 0x1.6f77a62535cp-19, 0x1.6f3ef1cc83bfbp-19, 0x1.6f01e395942cep-19, 0x1.6ec089d920e48p-19, 0x1.6e7af2d7879c9p-19, 0x1.6e312cba849cdp-19, 0x1.6de34592cd642p-19, 0x1.6d914b59d0916p-19, 0x1.6d3b4bf15f6b7p-19, 0x1.6ce1552263914p-19, 0x1.6c83749f004eep-19, 0x1.6c21b8003b185p-19, 0x1.6bbc2cc8078abp-19, 0x1.6b52e05f32c56p-19, 0x1.6ae5e017cf1c8p-19, 0x1.6a75392a7282p-19, 0x1.6a00f8b87a716p-19, 0x1.69892bcb32088p-19, 0x1.690ddf52fde48p-19, 0x1.688f2028e38c6p-19, 0x1.680cfb0dae631p-19, 0x1.67877ca95aed4p-19, 0x1.66feb18ced35bp-19, 0x1.6672a63058b17p-19, 0x1.65e366f3a2c95p-19, 0x1.6551001f9902fp-19, 0x1.64bb7de37854ep-19, 0x1.6422ec57e580dp-19, 0x1.6387577cb41bcp-19, 0x1.62e8cb39c91abp-19, 0x1.6247535f8f44bp-19, 0x1.61a2fba5f2a36p-19, 0x1.60fbcfad2d279p-19, 0x1.6051dafe20037p-19, 0x1.5fa52908960fbp-19, 0x1.5ef5c5267f97fp-19, 0x1.5e43ba97fc5bcp-19, 0x1.5d8f14874d84cp-19, 0x1.5cd7de05c5161p-19, 0x1.5c1e220e06625p-19, 0x1.5b61eb827bbf3p-19, 0x1.5aa3452ef8749p-19, 0x1.59e239c6cf521p-19, 0x1.591ed3e6f52b3p-19, 0x1.58591e148d99cp-19, 0x1.579122bd9351ap-19, 0x1.56c6ec39345c3p-19, 0x1.55fa84c71bef5p-19, 0x1.552bf68ff266ap-19, 0x1.545b4ba61e60dp-19, 0x1.53888e0404d6ap-19, 0x1.52b3c78e5adc1p-19, 0x1.51dd02127dedap-19, 0x1.510447470534bp-19, 0x1.5029a0ccf27a9p-19, 0x1.4f4d182d38a01p-19, 0x1.4e6eb6dc3c03dp-19, 0x1.4d8e8636546a5p-19, 0x1.4cac8f83042dfp-19, 0x1.4bc8dbf2e0233p-19, 0x1.4ae374a06d886p-19, 0x1.49fc6290fa322p-19, 0x1.4913aeb2f726dp-19, 0x1.482961dfc5c97p-19, 0x1.473d84daff624p-19, 0x1.4650205223d6dp-19, 0x1.45613cddfe7e1p-19, 0x1.4470e30153be9p-19, 0x1.437f1b29d2048p-19, 0x1.428bedb04072dp-19, 0x1.419762d7a5906p-19, 0x1.40a182ceb70f9p-19, 0x1.3faa55aec07ebp-19, 0x1.3eb1e37c943d8p-19, 0x1.3db8342841209p-19, 0x1.3cbd4f8d1397ep-19, 0x1.3bc13d721e4e8p-19, 0x1.3ac40589fec9ep-19, 0x1.39c5af72a57fap-19, 0x1.38c642b6d24bfp-19, 0x1.37c5c6cbf3b09p-19, 0x1.36c443149ce6fp-19, 0x1.35c1bedeec96bp-19, 0x1.34be416551fbep-19, 0x1.33b9d1cf10561p-19, 0x1.32b4772f0d61ep-19, 0x1.31ae3885ea089p-19, 0x1.30a71cbfbf08p-19, 0x1.2f9f2ab6a8ecfp-19, 0x1.2e966930a62a5p-19, 0x1.2d8cdee190a8p-19, 0x1.2c82926a00693p-19, 0x1.2b778a579e8f5p-19, 0x1.2a6bcd266d5bap-19, 0x1.295f613e648f5p-19, 0x1.28524cf6cb313p-19, 0x1.2744969346b29p-19, 0x1.26364445f83aep-19, 0x1.25275c2f2c87p-19, 0x1.2417e45c75e74p-19, 0x1.2307e2ca6f0a3p-19, 0x1.21f75d63856d9p-19, 0x1.20e65a00a527p-19, 0x1.1fd4de6980f33p-19, 0x1.1ec2f054123c1p-19, 0x1.1db095656ca8bp-19, 0x1.1c9dd3316274ep-19, 0x1.1b8aaf3aa01cfp-19, 0x1.1a772ef36286cp-19, 0x1.196357bc7e8d9p-19, 0x1.184f2ee6ec75cp-19, 0x1.173ab9b2333fep-19, 0x1.1625fd4e6ee58p-19, 0x1.1510feda7a88cp-19, 0x1.13fbc365cc9c1p-19, 0x1.12e64fef4f29p-19, 0x1.11d0a9661fc64p-19, 0x1.10bad4a9a73a2p-19, 0x1.0fa4d68943963p-19, 0x1.0e8eb3c547964p-19, 0x1.0d78710dafbd6p-19, 0x1.0c6213044d771p-19, 0x1.0b4b9e3a48f35p-19, 0x1.0a351733234d1p-19, 0x1.091e8261f0eb1p-19, 0x1.0807e42c0efafp-19, 0x1.06f140e737255p-19, 0x1.05da9cdae61cbp-19, 0x1.04c3fc401797bp-19, 0x1.03ad6340d0b81p-19, 0x1.0296d5f9a08a8p-19, 0x1.01805877ea7dfp-19, 0x1.0069eebbc1649p-19, 0x1.fea7396da0e3cp-20, 0x1.fc7acc99c1f04p-20, 0x1.fa4e9ea8a2507p-20, 0x1.f822b72ab171p-20, 0x1.f5f71d9655b45p-20, 0x1.f3cbd946634d7p-20, 0x1.f1a0f17b3c7afp-20, 0x1.ef766d5b3b985p-20, 0x1.ed4c53f1afb61p-20, 0x1.eb22ac3156b4ep-20, 0x1.e8f97cf159f79p-20, 0x1.e6d0ccf1678bep-20, 0x1.e4a8a2d5e6408p-20, 0x1.e281052bfd82dp-20, 0x1.e059fa663b98bp-20, 0x1.de3388e062b13p-20, 0x1.dc0db6dbae464p-20, 0x1.d9e88a835c1aap-20, 0x1.d7c409e85e086p-20, 0x1.d5a03b063cec9p-20, 0x1.d37d23be89e54p-20, 0x1.d15ac9ddaff2p-20, 0x1.cf39331710fb4p-20, 0x1.cd1865087eb93p-20, 0x1.caf865383d1c8p-20, 0x1.c8d9391650a72p-20, 0x1.c6bae5fc6d215p-20, 0x1.c49d712e13931p-20, 0x1.c280dfd90da16p-20, 0x1.c0653714de97ap-20, 0x1.be4a7be47298fp-20, 0x1.bc30b334483bep-20, 0x1.ba17e1dce0459p-20, 0x1.b8000ca10417dp-20, 0x1.b5e9382f09a9cp-20, 0x1.b3d36920e848bp-20, 0x1.b1bea3fbe46e1p-20, 0x1.afaaed31bef77p-20, 0x1.ad98491f75ca8p-20, 0x1.ab86bc0f47306p-20, 0x1.a9764a36e383p-20, 0x1.a766f7b982fabp-20, 0x1.a558c8a6816dbp-20, 0x1.a34bc0faba7e8p-20, 0x1.a13fe49ff293dp-20, 0x1.9f35376da1c22p-20, 0x1.9d2bbd28851ep-20, 0x1.9b2379836193ep-20, 0x1.991c701ec357ap-20, 0x1.9716a48976f34p-20, 0x1.95121a406b4d2p-20, 0x1.930ed4af7a439p-20, 0x1.910cd73086b3ep-20, 0x1.8f0c250d20243p-20, 0x1.8d0cc17cfe3aap-20, 0x1.8b0eafa7d721cp-20, 0x1.8911f2a41f054p-20, 0x1.87168d7867b63p-20, 0x1.851c831a95c0fp-20, 0x1.8323d6709ea8ap-20, 0x1.812c8a50c4dabp-20, 0x1.7f36a180e8708p-20, 0x1.7d421eb82ad95p-20, 0x1.7b4f049d8ce79p-20, 0x1.795d55c927424p-20, 0x1.776d14c417f26p-20, 0x1.757e4408218a9p-20, 0x1.7390e600b8efdp-20, 0x1.71a4fd0a8e99p-20, 0x1.6fba8b73c1499p-20, 0x1.6dd1937c7e532p-20, 0x1.6bea1756773b7p-20, 0x1.6a041925a11f7p-20, 0x1.681f9b0030161p-20, 0x1.663c9eee6100dp-20, 0x1.645b26eb92db7p-20, 0x1.627b34e4da699p-20, 0x1.609ccabb42ac7p-20, 0x1.5ebfea41b83c7p-20, 0x1.5ce4953f1a7a5p-20, 0x1.5b0acd6d15906p-20, 0x1.59329478dae9ep-20, 0x1.575bec0359b1bp-20, 0x1.5586d5a0d70e8p-20, 0x1.53b352d9d26acp-20, 0x1.51e1652a8b3e3p-20, 0x1.50110e0377cedp-20, 0x1.4e424ec957a2bp-20, 0x1.4c7528d5598c4p-20, 0x1.4aa99d752cf52p-20, 0x1.48dfadeb3935ap-20, 0x1.47175b6ec4c78p-20, 0x1.4550a72bf41eep-20, 0x1.438b924425e61p-20, 0x1.41c81dcdd62b1p-20, 0x1.40064ad4ecc52p-20, }}, 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
      std::vector<double>(1350, 0.0), 
    }}, 
    {
      32, 0x1.17ae147ae147bp+3, 0x1.ec4eced56d8d1p+0, 0x1.4a7516d11f764p+1, -0x1.bf0dd31d6c43p-19, 
      {{
        {0x1.cb851eb851eb8p+2, 0x1.ccccccccccccdp+2, 0x1.4f4a9455851dep-17, -0x1.addc4c7e237bfp-16, 0x1.9d53dbb7b036fp-16, -0x1.60cca2bf85721p-17}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.3e6cbc03b3796p-17, -0x1.9d8a03b303c8ep-16, 0x1.92be5bf480b0bp-16, -0x1.575e417c8bbdcp-17}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.170aa8312ebafp-17, -0x1.768d697826ccep-16, 0x1.78fdb0a4c302ap-16, -0x1.4bae5e6522121p-17}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.e6dc19d54d154p-18, -0x1.5218db5be507p-16, 0x1.601d699060748p-16, -0x1.4074b7b19fc5fp-17}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.a6ae6f3a25425p-18, -0x1.30165a7390243p-16, 0x1.4814a8964145cp-16, -0x1.351b629a133a4p-17}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.6d11447e7b1f9p-18, -0x1.10703aec27c3cp-16, 0x1.30e5cdfde63aap-16, -0x1.29ca8aaeb9bc8p-17}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.398de6a38985ep-18, -0x1.e621755de1991p-17, 0x1.1a9036ca65195p-16, -0x1.1e776c76a093ap-17}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.0bb1fbbe30fdap-18, -0x1.afc43b38da1a7p-17, 0x1.05140ea7e5db4p-16, -0x1.1324ea455d563p-17}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.c61f05edef854p-19, -0x1.7d9d4bf7cae95p-17, 0x1.e0e293c5641dp-17, -0x1.07d23e4575514p-17}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.7e79a9141387ap-19, -0x1.4f812d04930fcp-17, 0x1.b94fd73af8ea8p-17, -0x1.f8ff3af2a0c54p-18}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.3fa9438e71445p-19, -0x1.2544638e4e9c4p-17, 0x1.936fe602600e5p-17, -0x1.e259f35984e13p-18}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.08ebea23f7669p-19, -0x1.fd76e9a7b0c46p-18, 0x1.6f42c08edc7dap-17, -0x1.cbb4ad5c32195p-18}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.b310c785bff66p-20, -0x1.b775cc1fa6538p-18, 0x1.4cc866c18beeep-17, -0x1.b50f66f085073p-18}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.619c530160eb1p-20, -0x1.782e78fc0637dp-18, 0x1.2c00d8a2b5281p-17, -0x1.9e6a20a271ab5p-18}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.1c2acd34735e9p-20, -0x1.3f49fab3bdb86p-18, 0x1.0cec16301fd4fp-17, -0x1.87c4da4c63e41p-18}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.c2fbe1ce5f9a2p-21, -0x1.0c715bbde39ecp-18, 0x1.df143ed4ca46cp-18, -0x1.711f93f8a12c3p-18}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.60d1ba60cafffp-21, -0x1.be9b4d23079a8p-19, 0x1.a7b5e8a2b219fp-18, -0x1.5a7a4da3a4cc6p-18}, 
        {0x1p+3, 0x1.019999999999ap+3, 0x1.0fa02aeaf511cp-21, -0x1.6f0fcb4b58606p-19, 0x1.73bd29ca262eap-18, -0x1.43d507513753p-18}, 
        {0x1.019999999999ap+3, 0x1.0333333333333p+3, 0x1.9aa605a9af1bfp-22, -0x1.299246e2da86ap-19, 0x1.432a024ac447ep-18, -0x1.2d2fc0f5e2f0bp-18}, 
        {0x1.0333333333333p+3, 0x1.04ccccccccccdp+3, 0x1.2ff1b4473395dp-22, -0x1.dae9a9af2d5bbp-20, 0x1.15fc7225e23e7p-18, -0x1.168a7abb9455cp-18}, 
        {0x1.04ccccccccccdp+3, 0x1.0666666666666p+3, 0x1.b70c45e642afp-23, -0x1.7413142fe41adp-20, 0x1.d868f2ad17fb8p-19, -0x1.ffca680c29c4ap-19}, 
        {0x1.0666666666666p+3, 0x1.08p+3, 0x1.34174858fac29p-23, -0x1.1d44f721ef4d8p-20, 0x1.8ba42fde781fcp-19, -0x1.d27fde3872225p-19}, 
        {0x1.08p+3, 0x1.099999999999ap+3, 0x1.a1c06eb29f7a1p-24, -0x1.aa46f8d2f9a6cp-21, 0x1.45aa9b5600998p-19, -0x1.a53546fe8a3a4p-19}, 
        {0x1.099999999999ap+3, 0x1.0b33333333333p+3, 0x1.0f9bf99d705ap-24, -0x1.34a59b8a21645p-21, 0x1.067c371638a95p-19, -0x1.77eae1c54446dp-19}, 
        {0x1.0b33333333333p+3, 0x1.0cccccccccccdp+3, 0x1.4f4a945584ccp-25, -0x1.addc55fef5bap-22, 0x1.9c31f73e100cep-20, -0x1.4a9fc1f041389p-19}, 
        {0x1.0cccccccccccdp+3, 0x1.0e66666666666p+3, 0x1.835af7f17187fp-26, -0x1.1cd1ef6011ee8p-22, 0x1.390209dc62e0ep-20, -0x1.1d575a89f07dbp-19}, 
        {0x1.0e66666666666p+3, 0x1.1p+3, 0x1.9a07bceb8a5fep-27, -0x1.61798591061dep-23, 0x1.c6cfaa32cf13dp-21, -0x1.e009980668d8p-20}, 
        {0x1.1p+3, 0x1.119999999999ap+3, 0x1.80ade82a1acp-28, -0x1.90b4767f4a2d6p-24, 0x1.36ccc9641603fp-21, -0x1.85b043225fad1p-20}, 
        {0x1.119999999999ap+3, 0x1.1333333333333p+3, 0x1.2e33e13f3b8p-29, -0x1.8da7bae192501p-25, 0x1.83c96a805902ep-22, -0x1.2a3c1bd5ef956p-20}, 
        {0x1.1333333333333p+3, 0x1.14ccccccccccdp+3, 0x1.64553d79e5fffp-31, -0x1.3e01162946ad6p-26, 0x1.a1b119fff8f49p-23, -0x1.a5ceec0af79f7p-21}, 
        {0x1.14ccccccccccdp+3, 0x1.1666666666666p+3, 0x1.e6dc19d44p-34, -0x1.5456d39100377p-28, 0x1.4936b2592f22p-24, -0x1.b0be72a75b52ep-22}, 
        {0x1.1666666666666p+3, 0x1.17ae147ae147bp+3, 0x1.2ff1b43p-38, -0x1.5507c9a514a2p-32, 0x1.1644e96cae401p-26, -0x1.8613e5c78f41cp-21}, 
      }}, 
      0x1.1baad263688cfp-16, -0x1.2b4014846944ap-13
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{0x1.e1e967ce3f043p-4, 0x1.f45a16fc68bf8p-4, 0x1.08ad3990d8306p-3, 0x1.1b7913454f76ep-3, 0x1.317ea1baa60b6p-3, 0x1.49ace487d56b8p-3, 0x1.6302c1d7aa41p-3, 0x1.7c983017248dfp-3, 0x1.95a305c53ae18p-3, 0x1.ad78ac775230dp-3, 0x1.c38d84b17d672p-3, 0x1.d772d201cfda7p-3, 0x1.e8d3ea029840ep-3, 0x1.f773233666e77p-3, 0x1.019367b544026p-2, 0x1.05eb353249acep-2, 0x1.08bc0719fca2ap-2, 0x1.0a07180e50c4dp-2, 0x1.09d2d0b7b363cp-2, 0x1.0829e659c543fp-2, 0x1.051a93a7e76bap-2, 0x1.00b5e8822663fp-2, 0x1.f61e5bc0950ebp-3, 0x1.e876b765cea35p-3, 0x1.d8a13dd0bfca5p-3, 0x1.c6cbdc244fc78p-3, 0x1.b32556dbd17c4p-3, 0x1.9ddca6a2bc132p-3, 0x1.87206c3b45a93p-3, 0x1.6f1e79d1a50a2p-3, 0x1.56037023b0478p-3, 0x1.3bfa6dd3b1b67p-3, 0x1.212ccf3d1d5edp-3, 0x1.05c1fd15ed75p-3, 0x1.d3be905a8959bp-4, 0x1.9b4fa1594e345p-4, 0x1.6278eeb429ca3p-4, 0x1.2977ae87ad95cp-4, 0x1.e1091b3fb327p-5, 0x1.6fa77aca62d02p-5, 0x1.fe542d13647cdp-6, 0x1.1fd0083cc0a35p-6, 0x1.1180d1cc7f2c2p-8, -0x1.26dac00afc9b2p-7, -0x1.6719e4c71ecc5p-6, -0x1.1b1a61884751bp-5, -0x1.802d7f91c4c9cp-5, -0x1.e29b1cb2b1774p-5, -0x1.211f02996003ap-4, -0x1.4f7b49ae0593ap-4, -0x1.7c5526eed2e68p-4, -0x1.a7a1c06187347p-4, -0x1.d1587b8d6146ap-4, -0x1.f972ba19e718ap-4, -0x1.0ff5e6a437601p-3, -0x1.226055a630efbp-3, -0x1.33f7f57019af6p-3, -0x1.44bcbfdd537b3p-3, -0x1.54af57afb6be6p-3, -0x1.63d0f1f859bb1p-3, -0x1.72234bbca29c4p-3, -0x1.7fa89b288d1adp-3, -0x1.8c6382615b802p-3, -0x1.98570483da544p-3, -0x1.a3867b781b884p-3, -0x1.adf58f293658dp-3, -0x1.b7a82cb463d9ep-3, -0x1.c0a27d9363ce7p-3, -0x1.c8e8df1dcf9dfp-3, -0x1.d07fdad77fe34p-3, -0x1.d76c1fa4aa064p-3, -0x1.ddb27b9eaa1f8p-3, -0x1.e357d61ec31eep-3, -0x1.e86129c9b3d11p-3, -0x1.ecd37ea1bd283p-3, -0x1.f0b3e45eac51bp-3, -0x1.f4076d45c293fp-3, -0x1.f6d329a4cc74ap-3, -0x1.f91c23eb5dc4ap-3, -0x1.fae75d3df6367p-3, -0x1.fc39ca650f803p-3, -0x1.fd1850f013c04p-3, -0x1.fd87c48f7b5ecp-3, -0x1.fd8ce4981d72ep-3, -0x1.fd2c59d2d047cp-3, -0x1.fc6ab48e9e12p-3, -0x1.fb4c6b08de1dep-3, -0x1.f9d5d8250168fp-3, -0x1.f80b3a67b16a9p-3, -0x1.f5f0b3345c599p-3, -0x1.f38a462e6caa8p-3, -0x1.f0dbd8cdd348p-3, -0x1.ede9320328945p-3, -0x1.eab5fa051b33dp-3, -0x1.e745ba2812661p-3, -0x1.e39bdce23bf6ap-3, -0x1.dfbbadda86747p-3, -0x1.dba85a1d6b831p-3, -0x1.d764f06ee992ap-3, -0x1.d2f461a6021c7p-3, -0x1.ce59813830fa7p-3, -0x1.c99705bcc6fcbp-3, -0x1.c4af899238cb6p-3, -0x1.bfa58b8d92647p-3, -0x1.ba7b6fa7e643ep-3, -0x1.b5337fc4dd223p-3, -0x1.afcfec7019238p-3, -0x1.aa52cda357a1ep-3, -0x1.a4be2393f29c6p-3, -0x1.9f13d778a2a09p-3, -0x1.9955bc55c552fp-3, -0x1.93858fcd53c92p-3, -0x1.8da4fae3c5e98p-3, -0x1.87b592cf40382p-3, -0x1.81b8d9beb91d9p-3, -0x1.7bb03f9f97a15p-3, -0x1.759d22e33b461p-3, -0x1.6f80d13c3c098p-3, -0x1.695c885dfb401p-3, -0x1.633176af6c4aep-3, -0x1.5d00bc013ed6cp-3, -0x1.56cb6a39b33dfp-3, -0x1.509285f8b911fp-3, -0x1.4a57073f2ef83p-3, -0x1.4419da05a0012p-3, -0x1.3ddbded1db351p-3, -0x1.379deb4a5f371p-3, -0x1.3160cab838ddp-3, -0x1.2b253e9188a26p-3, -0x1.24ebfef355346p-3, -0x1.1eb5bb129cbfep-3, -0x1.188319ba1866ep-3, -0x1.1254b9ac8ac1p-3, -0x1.0c2b32061f1aep-3, -0x1.060712ab54218p-3, -0x1.ffd1c937a8486p-4, -0x1.f3a2547f8ddc8p-4, -0x1.e780bf8e9fc15p-4, -0x1.db6df6eee7347p-4, -0x1.cf6adbbdd466ap-4, -0x1.c3784458ede39p-4, -0x1.b796fcd3fa551p-4, -0x1.abc7c764db73p-4, -0x1.a00b5cd1eb102p-4, -0x1.94626cf0ff71ap-4, -0x1.88cd9eebe077ap-4, -0x1.7d4d91a69357fp-4, -0x1.71e2dc1bd70fbp-4, -0x1.668e0da62544ep-4, -0x1.5b4fae3d093d1p-4, -0x1.50283ed51c46ap-4, -0x1.4518399980012p-4, -0x1.3a201210f4dd9p-4, -0x1.2f40356d37dcdp-4, -0x1.24790ad3c774bp-4, -0x1.19caf37327d06p-4, -0x1.0f364aa64da72p-4, -0x1.04bb66477db4fp-4, -0x1.f4b52dc4dc759p-5, -0x1.e0284f7235b04p-5, -0x1.cbd0bdc4ac81p-5, -0x1.b7aefb3865eap-5, -0x1.a3c380e716585p-5, -0x1.900ebe818aeaep-5, -0x1.7c911a7b9f2b8p-5, -0x1.694af2a13aad2p-5, -0x1.563c9c6f82a5ep-5, -0x1.4366650a70b7cp-5, -0x1.30c89153004a6p-5, -0x1.1e635e5c64206p-5, -0x1.0c3701d4e9ffep-5, -0x1.f4875429b34abp-6, -0x1.d112fc42fcad8p-6, -0x1.ae113bf1ec79p-6, -0x1.8b8245ec92cccp-6, -0x1.696640026b064p-6, -0x1.47bd4343b942fp-6, -0x1.26875c52bbe56p-6, -0x1.05c48bee589cfp-6, -0x1.cae98ecb1a522p-7, -0x1.8b2ff1d5a90b4p-7, -0x1.4c5bfff322eep-7, -0x1.0e6d63868d6edp-7, -0x1.a2c765c19c8f3p-8, -0x1.2a7ce1885d612p-8, -0x1.67f4345fab176p-9, -0x1.f9ee675ce90bfp-11, 0x1.9dcb5176ddaf8p-11, 0x1.49da20746e796p-9, 0x1.145ecb95a2e6bp-8, 0x1.821061bdf0d8ep-8, 0x1.ee03b399fbdbp-8, 0x1.2c1d5da9f7da4p-7, 0x1.605bc698e6c0fp-7, 0x1.93be2c7470b8ep-7, 0x1.c645b403e5ba4p-7, 0x1.f7f38ce7ae258p-7, 0x1.146477d4f9f26p-6, 0x1.2c638f10b5c54p-6, 0x1.43f7b2516b7a4p-6, 0x1.5b218d1db69fcp-6, 0x1.71e1cf6f93522p-6, 0x1.88392c74aeaebp-6, 0x1.9e285a14e5068p-6, 0x1.b3b011841ceebp-6, 0x1.c8d10ffeccf3ap-6, 0x1.dd8c169b77cc2p-6, 0x1.f1e1e92506202p-6, 0x1.02e9a674b221dp-5, 0x1.0cb0844174158p-5, 0x1.1645f24cc752ap-5, 0x1.1faa56563ea35p-5, 0x1.28de176a3d2f4p-5, 0x1.31e19d51bf2adp-5, 0x1.3ab54ffe0a63p-5, 0x1.435997697e8d7p-5, 0x1.4bcedbf66eb8cp-5, 0x1.541586dbef5c2p-5, 0x1.5c2e022b18d8bp-5, 0x1.6418b85aacbcbp-5, 0x1.6bd613b28f117p-5, 0x1.73667e0a34f2fp-5, 0x1.7aca61036c36cp-5, 0x1.8202267da73d3p-5, 0x1.890e38d1ae389p-5, 0x1.8fef029c02746p-5, 0x1.96a4ee3b3b613p-5, 0x1.9d30656711547p-5, 0x1.a391d123ea2e8p-5, 0x1.a9c99a196e19cp-5, 0x1.afd828f3e0fc2p-5, 0x1.b5bde684c4a43p-5, 0x1.bb7b3b836645dp-5, 0x1.c110901edd9c2p-5, 0x1.c67e4baee4791p-5, 0x1.cbc4d4b779bfbp-5, 0x1.d0e491356cf9fp-5, 0x1.d5dde6f4e39ccp-5, 0x1.dab13bb2ef09p-5, 0x1.df5ef4f18102cp-5, 0x1.e3e777a15a2ecp-5, 0x1.e84b27db8335ep-5, 0x1.ec8a68d7861b8p-5, 0x1.f0a59d20acaa1p-5, 0x1.f49d26e1c75a9p-5, 0x1.f87168181c4ebp-5, 0x1.fc22c28903ba5p-5, 0x1.ffb1978ad14a1p-5, 0x1.018f23e188084p-4, 0x1.033499828806ep-4, 0x1.04c95c31b9f7cp-4, 0x1.064d9b33bd845p-4, 0x1.07c185a61e8a2p-4, 0x1.09254a8dea57bp-4, 0x1.0a7918d058a71p-4, 0x1.0bbd1f1bd4a8bp-4, 0x1.0cf18bd028ec7p-4, 0x1.0e168cf41a363p-4, 0x1.0f2c503e4ddabp-4, 0x1.1033032c1db2ap-4, 0x1.112ad319fab0bp-4, 0x1.1213ed5111757p-4, 0x1.12ee7f0431f51p-4, 0x1.13bab53e9d5fcp-4, 0x1.1478bcd01c174p-4, 0x1.1528c240ed064p-4, 0x1.15caf1d524dfdp-4, 0x1.165f779eaffadp-4, 0x1.16e67f926252cp-4, 0x1.176035996732dp-4, 0x1.17ccc5930e4c8p-4, 0x1.182c5b4be71d4p-4, 0x1.187f226ae13cbp-4, 0x1.18c54661c6d08p-4, 0x1.18fef268e9a62p-4, 0x1.192c518881301p-4, 0x1.194d8eaa7713cp-4, 0x1.1962d4abd3a8ap-4, 0x1.196c4e664c2a5p-4, 0x1.196a26ae9de9ep-4, 0x1.195c884945d85p-4, 0x1.19439ddbb5ce6p-4, 0x1.191f91e1d909dp-4, 0x1.18f08ead55d41p-4, 0x1.18b6be6decc42p-4, 0x1.18724b3db85fep-4, 0x1.18235f2a83e37p-4, 0x1.17ca2439039fep-4, 0x1.1766c46227c3dp-4, 0x1.16f9698d07fa3p-4, 0x1.16823d88bafa9p-4, 0x1.16016a08e7ce5p-4, 0x1.157718a7376d4p-4, 0x1.14e372e63a9aap-4, 0x1.1446a234141e6p-4, 0x1.13a0cfe8d3ca5p-4, 0x1.12f225418bee5p-4, 0x1.123acb5bf5a65p-4, 0x1.117aeb35cb7c3p-4, 0x1.10b2adb0e5114p-4, 0x1.0fe23b9a2387ap-4, 0x1.0f09bdafa6157p-4, 0x1.0e295ca2903fdp-4, 0x1.0d4141129c90cp-4, 0x1.0c5193837762ep-4, 0x1.0b5a7c4ec9e8p-4, 0x1.0a5c2398adcb6p-4, 0x1.0956b14c1aed9p-4, 0x1.084a4d216c03p-4, 0x1.07371eac18f7ep-4, 0x1.061d4d6933322p-4, 0x1.04fd00c81b065p-4, 0x1.03d6602969961p-4, 0x1.02a992d427b7fp-4, 0x1.0176bfe4a3162p-4, 0x1.003e0e3a8304dp-4, 0x1.fdff48d820642p-5, 0x1.fb77518671f12p-5, 0x1.f8e4828a7d8afp-5, 0x1.f6472782e8a6p-5, 0x1.f39f8bc0eec3cp-5, 0x1.f0edfa5a2d78ap-5, 0x1.ee32be27deafep-5, 0x1.eb6e21b2166c1p-5, 0x1.e8a06f111f204p-5, 0x1.e5c9efcde1dafp-5, 0x1.e2eaeccb39346p-5, 0x1.e003ae3db0222p-5, 0x1.dd147bb2a8419p-5, 0x1.da1d9c22ab919p-5, 0x1.d71f5606e2226p-5, 0x1.d419ef6885835p-5, 0x1.d10dade3d863cp-5, 0x1.cdfad69dd16a5p-5, 0x1.cae1ae2f63dd5p-5, 0x1.c7c278911dcb9p-5, 0x1.c49d790933356p-5, 0x1.c172f2249ed4dp-5, 0x1.be4325b71d30ap-5, 0x1.bb0e54e37965p-5, 0x1.b7d4c024bac08p-5, 0x1.b496a755ca124p-5, 0x1.b15449b4201cap-5, 0x1.ae0de5dc26797p-5, 0x1.aac3b9bfa66afp-5, 0x1.a776029aa1ff8p-5, 0x1.a424fce8fb09ap-5, 0x1.a0d0e460dac4fp-5, 0x1.9d79f3f27064cp-5, 0x1.9a2065cb42c7fp-5, 0x1.96c4735ab0c2cp-5, 0x1.936655541e169p-5, 0x1.900643ae7dee3p-5, 0x1.8ca475a06e71bp-5, 0x1.8941219afeb6bp-5, 0x1.85dc7d44a9779p-5, 0x1.8276bd75f54c4p-5, 0x1.7f101637af7e1p-5, 0x1.7ba8bac3a248ap-5, 0x1.7840dd864ec47p-5, 0x1.74d8b02099cc7p-5, 0x1.717063683be13p-5, 0x1.6e08276636641p-5, 0x1.6aa02b535912ap-5, 0x1.67389d9434cbp-5, 0x1.63d1abb62cb5dp-5, 0x1.606b826ef7426p-5, 0x1.5d064d9ed76efp-5, 0x1.59a2385455ee4p-5, 0x1.563f6ccfd776dp-5, 0x1.52de14850891dp-5, 0x1.4f7e581957c2fp-5, 0x1.4c205f600743p-5, 0x1.48c451559035dp-5, 0x1.456a541c6e84bp-5, 0x1.42128cfce6766p-5, 0x1.3ebd2068062a7p-5, 0x1.3b6a31fce5feap-5, 0x1.3819e48e4c2bdp-5, 0x1.34cc5a267e8c9p-5, 0x1.3181b407b0bd4p-5, 0x1.2e3a12a958205p-5, 0x1.2af595b32478cp-5, 0x1.27b45bf891922p-5, 0x1.2476837721058p-5, 0x1.213c2958f6062p-5, 0x1.1e0569fb6b108p-5, 0x1.1ad260f7c5c9ep-5, 0x1.17a3292ac3aep-5, 0x1.1477dcb812d1p-5, 0x1.1150950826a9ap-5, 0x1.0e2d6ac1587f2p-5, 0x1.0b0e75bf74a1p-5, 0x1.07f3cd0dfb57dp-5, 0x1.04dd86e882b54p-5, 0x1.01cbb8c3051f3p-5, 0x1.fd7ceeaf2359ap-6, 0x1.f76bad6b5ec94p-6, 0x1.f163d49ac60b9p-6, 0x1.eb6589e34408ep-6, 0x1.e570f1a178b8bp-6, 0x1.df862ecabeb75p-6, 0x1.d9a562cc4d486p-6, 0x1.d3cead75e5d5bp-6, 0x1.ce022cfbb6aa6p-6, 0x1.c83ffe130cbd9p-6, 0x1.c2883c23bbc69p-6, 0x1.bcdb017f3eb09p-6, 0x1.b738678ac8d6p-6, 0x1.b1a086cc58bd8p-6, 0x1.ac1376d3ebb78p-6, 0x1.a6914e069983ep-6, 0x1.a11a215d542fep-6, 0x1.9bae042f47d93p-6, 0x1.964d081e71f14p-6, 0x1.90f73d3304c7fp-6, 0x1.8bacb222cf3bep-6, 0x1.866d74b2231ep-6, 0x1.81399210dd7f2p-6, 0x1.7c11171465155p-6, 0x1.76f4103893dc1p-6, 0x1.71e28962b0835p-6, 0x1.6cdc8d76214b4p-6, 0x1.67e225db6c65ep-6, 0x1.62f35a21cae5p-6, 0x1.5e102fde35a05p-6, 0x1.5938aada658f4p-6, 0x1.546ccd8db5251p-6, 0x1.4fac99c21a3a7p-6, 0x1.4af81136b3501p-6, 0x1.464f360e8d755p-6, 0x1.41b20ae645992p-6, 0x1.3d209283c9cabp-6, 0x1.389acf317efa2p-6, 0x1.3420c1f0b3398p-6, 0x1.2fb269be8a2d5p-6, 0x1.2b4fc3252d4c1p-6, 0x1.26f8c840d1815p-6, 0x1.22ad71412aa28p-6, 0x1.1e6db54cab62bp-6, 0x1.1a398b8d55bb7p-6, 0x1.1610ec1f21086p-6, 0x1.11f3d09cd244fp-6, 0x1.0de2341f19761p-6, 0x1.09dc12a6d7cf2p-6, 0x1.05e168137b578p-6, 0x1.01f22ee6ed6a2p-6, 0x1.fc1cbe51dcefcp-7, 0x1.f46bdb6eaf8b2p-7, 0x1.ecd19870a6448p-7, 0x1.e54dd378d1978p-7, 0x1.dde067e2be325p-7, 0x1.d689314029419p-7, 0x1.cf480e30693f7p-7, 0x1.c81ce25bd7d62p-7, 0x1.c107970d48bf4p-7, 0x1.ba081a3971ad7p-7, 0x1.b31e5c270b2ecp-7, 0x1.ac4a4c3eeac25p-7, 0x1.a58bd5bf24111p-7, 0x1.9ee2dd15f773bp-7, 0x1.984f3e878e70fp-7, 0x1.91d0ce7d8f7e2p-7, 0x1.8b675b83322ccp-7, 0x1.8512b18d6aa4p-7, 0x1.7ed29dd9e59ep-7, 0x1.78a6f282bbcd8p-7, 0x1.728f88ef2e8aap-7, 0x1.6c8c428dd32a7p-7, 0x1.669d07aeb966ep-7, 0x1.60c1c4c47f02bp-7, 0x1.5afa66a92be17p-7, 0x1.5546d6ae30cfp-7, 0x1.4fa6f73d95a3bp-7, 0x1.4a1aa1b1d662ap-7, 0x1.44a1a5d5785afp-7, 0x1.3f3bcb36df74dp-7, 0x1.39e8d42892c07p-7, 0x1.34a881e705bffp-7, 0x1.2f7a990b114e3p-7, 0x1.2a5ee54ac0b34p-7, 0x1.25553ba9dcd2p-7, 0x1.205d7aa1346a4p-7, 0x1.1b77884b92405p-7, 0x1.16a34f21b618cp-7, 0x1.11e0ba0fa305cp-7, 0x1.0d2fb0a8626bfp-7, 0x1.0890140aa9085p-7, 0x1.0401bcd03be74p-7, 0x1.ff08f48383929p-8, 0x1.f63025fb9a30ep-8, 0x1.ed788e5c382a8p-8, 0x1.e4e1a84c68175p-8, 0x1.dc6af1bf81d0fp-8, 0x1.d413f4c6d29e3p-8, 0x1.cbdc4e0b3395dp-8, 0x1.c3c3af3957ab3p-8, 0x1.bbc9dcda442c3p-8, 0x1.b3eea8790c5ffp-8, 0x1.ac31e8fe515a6p-8, 0x1.a4937357674a2p-8, 0x1.9d1314cfdbf86p-8, 0x1.95b08f65f6943p-8, 0x1.8e6b978b7c27p-8, 0x1.8743d2b3df297p-8, 0x1.8038d6c229e6dp-8, 0x1.794a2b3bc63b1p-8, 0x1.72774d56a3b65p-8, 0x1.6bbfb72b892c8p-8, 0x1.6522e8e1a5ee1p-8, 0x1.5ea071662f7f6p-8, 0x1.5837f3f4bc5fbp-8, 0x1.51e9289ea0236p-8, 0x1.4bb3d7c4cb536p-8, 0x1.4597d2581bc93p-8, 0x1.3f94e9d739d16p-8, 0x1.39aaead089686p-8, 0x1.33d99b2468e55p-8, 0x1.2e20bb20991eep-8, 0x1.2880070725f01p-8, 0x1.22f736a5c5574p-8, 0x1.1d85fa5e16819p-8, 0x1.182bf74ebdbd4p-8, 0x1.12e8c5a57fb36p-8, 0x1.0dbbf38b3a13bp-8, 0x1.08a50cdf31436p-8, 0x1.03a3a57490d35p-8, 0x1.fd6ec435fbdf7p-9, 0x1.f3bffa0871054p-9, 0x1.ea3a8792d59d1p-9, 0x1.e0de1f6e16601p-9, 0x1.d7aa769e5fdcap-9, 0x1.ce9f3269618e3p-9, 0x1.c5bbe04ff9748p-9, 0x1.bcfffaa22cd1p-9, 0x1.b46af58e194b8p-9, 0x1.abfc4bc00bc74p-9, 0x1.a3b381bccbb1ep-9, 0x1.9b901c8efbccdp-9, 0x1.939190487867ap-9, 0x1.8bb730806f028p-9, 0x1.84002ca32d0c5p-9, 0x1.7c6b9bc9e31a6p-9, 0x1.74f893ed027d2p-9, 0x1.6da6436a8da4fp-9, 0x1.667403e2e7be9p-9, 0x1.5f6160af6d30dp-9, 0x1.586e0f52cc7cep-9, 0x1.5199dc81f8f2fp-9, 0x1.4ae494933f657p-9, 0x1.444df096cf0e8p-9, 0x1.3dd590025ad29p-9, 0x1.377b01658b79ep-9, 0x1.313dd55d44b4fp-9, 0x1.2b1db16bb0cf4p-9, 0x1.251a5783cba84p-9, 0x1.1f339c1ff220ap-9, 0x1.19694df0c6a9dp-9, 0x1.13bb1ad5aa1f5p-9, 0x1.0e288051bb0c2p-9, 0x1.08b0cf7ecbc7p-9, 0x1.0353415261e14p-9, 0x1.fc1e2030a2cddp-10, 0x1.f1c7179aea3fp-10, 0x1.e7a04aea16d01p-10, 0x1.dda8e3d0cfcaep-10, 0x1.d3e048e7d7f22p-10, 0x1.ca4602b5ada3fp-10, 0x1.c0d996ea03c7ep-10, 0x1.b79a677491a33p-10, 0x1.ae87a3770a00cp-10, 0x1.a5a0515742387p-10, 0x1.9ce36f9b94dc8p-10, 0x1.9450202ee0ca5p-10, 0x1.8be5c9de990c6p-10, 0x1.83a41c24a70e8p-10, 0x1.7b8aedff8f7f1p-10, 0x1.739a058ee2333p-10, 0x1.6bd0e69dfe98dp-10, 0x1.642ec4ac2a87p-10, 0x1.5cb29e0c4ee92p-10, 0x1.555b685ff0f18p-10, 0x1.4e282dc056b47p-10, 0x1.471810836c96dp-10, 0x1.402a48d3c6a3ap-10, 0x1.395e2fa0149b5p-10, 0x1.32b34fd7f2a15p-10, 0x1.2c2966eafabcap-10, 0x1.25c04ad9432c2p-10, 0x1.1f77c2286c876p-10, 0x1.194f621b74321p-10, 0x1.134682a288592p-10, 0x1.0d5c4e3e1a421p-10, 0x1.078fe842d030cp-10, 0x1.01e097d927084p-10, 0x1.f89bc3d8d3a04p-11, 0x1.edaf09d2e4416p-11, 0x1.e2fab184a6631p-11, 0x1.d87e45397b416p-11, 0x1.ce38e468be1ap-11, 0x1.c4293b1d0b9f1p-11, 0x1.ba4dbeaf2fcd6p-11, 0x1.b0a4fcef57506p-11, 0x1.a72dae1241f3ap-11, 0x1.9de67a307742p-11, 0x1.94cdcce1c552ap-11, 0x1.8be213f40df0bp-11, 0x1.832245006a352p-11, 0x1.7a8e250881e82p-11, 0x1.72260a00dee65p-11, 0x1.69ea4c8b3d863p-11, 0x1.61dad1a471d4dp-11, 0x1.59f6ea2e3858bp-11, 0x1.523d80e4bf532p-11, 0x1.4aad61bcf461cp-11, 0x1.434568206a1fbp-11, 0x1.3c048a088adb3p-11, 0x1.34e9d875493f3p-11, 0x1.2df489997a56cp-11, 0x1.272404ee6bf01p-11, 0x1.2077d865ca063p-11, 0x1.19ef8b693c0efp-11, 0x1.138a6b7ab99ffp-11, 0x1.0d478ad8b98ap-11, 0x1.0726034444facp-11, 0x1.01252eec2277bp-11, 0x1.f688e4a301e6fp-12, 0x1.eb057eba0119ap-12, 0x1.dfbd155c8286bp-12, 0x1.d4ad05ff214bbp-12, 0x1.c9d49ece95282p-12, 0x1.bf34e56ffb355p-12, 0x1.b4cee982c1a6bp-12, 0x1.aaa25fd704f9ep-12, 0x1.a0ada674cdd26p-12, 0x1.96eed5991b35cp-12, 0x1.8d64b082aa73bp-12, 0x1.840eab4f28d04p-12, 0x1.7aec47ba2be15p-12, 0x1.71fc98d0b3674p-12, 0x1.693e5770ee78cp-12, 0x1.60b04ea1f8909p-12, 0x1.5851b9af7067dp-12, 0x1.50225bc975455p-12, 0x1.482242d8da0fp-12, 0x1.40514164d824p-12, 0x1.38ae63319249cp-12, 0x1.3137e047533f2p-12, 0x1.29ebcfb5c1a0dp-12, 0x1.22c8ec1d63b81p-12, 0x1.1bce4b17464a1p-12, 0x1.14fa2966240edp-12, 0x1.0e49a32515c7ap-12, 0x1.07ba69059d4b4p-12, 0x1.014c6e4a4bc31p-12, 0x1.f60236a778a97p-13, 0x1.e9b215e30f0cbp-13, 0x1.dda635f86c151p-13, 0x1.d1db122b5f6ddp-13, 0x1.c64ef7b031725p-13, 0x1.bb0286166e0fbp-13, 0x1.aff6be4e30a8dp-13, 0x1.a52b44a0b6a1bp-13, 0x1.9a9e3e9ae7b5ap-13, 0x1.904d1ea03eaa6p-13, 0x1.8635664511172p-13, 0x1.7c55140824f26p-13, 0x1.72aad40044ff6p-13, 0x1.693610c10484cp-13, 0x1.5ff6e4c7e6024p-13, 0x1.56edc810591c7p-13, 0x1.4e1adc40c0dc1p-13, 0x1.457d328a46bdep-13, 0x1.3d12f252bfdb7p-13, 0x1.34daa16517bfap-13, 0x1.2cd415251b222p-13, 0x1.24ff5f5fbfd58p-13, 0x1.1d5a89959d2ebp-13, 0x1.15e1abccf2156p-13, 0x1.0e9288947378fp-13, 0x1.076e278cb9561p-13, 0x1.007555da7d4a9p-13, 0x1.f34bade12c1a6p-14, 0x1.e5f8d9666c9cfp-14, 0x1.d8f019e2a2b23p-14, 0x1.cc333181bf34bp-14, 0x1.bfc2cd98b81f1p-14, 0x1.b39cc45b86242p-14, 0x1.a7bdbafc74122p-14, 0x1.9c22ae6266bd1p-14, 0x1.90c94cd347796p-14, 0x1.85afd6733e895p-14, 0x1.7ad505a62579fp-14, 0x1.7037fff07aae9p-14, 0x1.65d83817869c5p-14, 0x1.5bb54dd6ab858p-14, 0x1.51cf026078d8ep-14, 0x1.482525dfbb5acp-14, 0x1.3eb72518218b8p-14, 0x1.358331e0b9e69p-14, 0x1.2c860f222bfbfp-14, 0x1.23bc9e51d1454p-14, 0x1.1b263ba5c0c94p-14, 0x1.12c55e77e6476p-14, 0x1.0a9c62ec13165p-14, 0x1.02a8c41e1bea7p-14, 0x1.f5cb63c47578p-15, 0x1.e6a5ab2865f0fp-15, 0x1.d7e1958086754p-15, 0x1.c977820edadf2p-15, 0x1.bb607bb1e49b1p-15, 0x1.ad9e6b8bb75fap-15, 0x1.a033e2f4d8a29p-15, 0x1.931e3d220a021p-15, 0x1.865923feb185ep-15, 0x1.79e1cf81e0fbfp-15, 0x1.6db70896a439fp-15, 0x1.61d83481faffep-15, 0x1.5644b1f7c4077p-15, 0x1.4afb9c12e3d22p-15, 0x1.3ffbbf5fa58c2p-15, 0x1.354393b698004p-15, 0x1.2ad12bc62e264p-15, 0x1.20a22ea50865bp-15, 0x1.16b3ff4258388p-15, 0x1.0d042519fd88ep-15, 0x1.0390cc43fcaf1p-15, 0x1.f4b1ab0b0275p-16, 0x1.e2b61e1341de3p-16, 0x1.d12adf8936bcap-16, 0x1.c00ba8b9168bap-16, 0x1.af57d01a3838bp-16, 0x1.9f14cd279a363p-16, 0x1.8f499c695832cp-16, 0x1.7fef90f8adcedp-16, 0x1.70f48baf660d8p-16, 0x1.6255fbc2ce697p-16, 0x1.541727798ec6dp-16, 0x1.463424960f96cp-16, 0x1.38b1c7292b8eap-16, 0x1.2b957056d3671p-16, 0x1.1ed96d768bfc3p-16, 0x1.12753deb72a3cp-16, 0x1.0663910a57b24p-16, 0x1.f5435ff5c09b9p-17, 0x1.de5c18daf812ap-17, 0x1.c80f0bc588f6bp-17, 0x1.b25a2e4ee1159p-17, 0x1.9d3b54a903358p-17, 0x1.88b004fb169d9p-17, }}, 
      {{0x1.ddaf6adfa8894p-4, 0x1.e3f0b78057d54p-4, 0x1.edfdae363c68cp-4, 0x1.fb644c4019eedp-4, 0x1.05d1a32dea432p-3, 0x1.0f19ce34213a4p-3, 0x1.1947abfde23a5p-3, 0x1.241b1b5f291dp-3, 0x1.2f58586a6465fp-3, 0x1.3ac8e390a7ebdp-3, 0x1.463bf70c6c492p-3, 0x1.5186a4a871d62p-3, 0x1.5c83b56d76b65p-3, 0x1.6713607e8d3c5p-3, 0x1.711aeae61a715p-3, 0x1.7a843c6cd427bp-3, 0x1.833d71b22425p-3, 0x1.8b3870a1e5beap-3, 0x1.926a82259f3b5p-3, 0x1.98cbf297a41a1p-3, 0x1.9e57b9453646fp-3, 0x1.a30b271d39eb7p-3, 0x1.a6e59c19a4a31p-3, 0x1.a9e8430274cf9p-3, 0x1.ac15d3156d499p-3, 0x1.ad7257295d277p-3, 0x1.ae02f9f045049p-3, 0x1.adcdd701f4e4fp-3, 0x1.acd9d05f75713p-3, 0x1.ab2e68256a241p-3, 0x1.a8d39e29c0811p-3, 0x1.a5d1d1429890ap-3, 0x1.a231a3f809b82p-3, 0x1.9dfbe461aac9ep-3, 0x1.993976f43c8edp-3, 0x1.93f34405601dp-3, 0x1.8e3227cba695cp-3, 0x1.87fee4a4e6ff4p-3, 0x1.8162176ef821bp-3, 0x1.7a642dbe8f0f8p-3, 0x1.730d5dc89927fp-3, 0x1.6b659fccab6ebp-3, 0x1.6374a8dcd2524p-3, 0x1.5b41e6d60e29dp-3, 0x1.52d47d690177fp-3, 0x1.4a334415a0aa5p-3, 0x1.4164c4e7424bap-3, 0x1.386f3bfdbac59p-3, 0x1.2f5897907244ap-3, 0x1.2626789141521p-3, 0x1.1cde338c75982p-3, 0x1.1384d236898a6p-3, 0x1.0a1f14e6a547p-3, 0x1.00b1745d49c53p-3, 0x1.ee8047667b07cp-4, 0x1.db9e258fc78bdp-4, 0x1.c8c3e0d4c477cp-4, 0x1.b5f858a271e79p-4, 0x1.a341f2aaeaf51p-4, 0x1.90a6a01e4772bp-4, 0x1.7e2be30012975p-4, 0x1.6bd6d289dcad2p-4, 0x1.59ac1f1a4004fp-4, 0x1.47b0168deba9bp-4, 0x1.35e6a95d405a3p-4, 0x1.24536fe428156p-4, 0x1.12f9af0cca4dcp-4, 0x1.01dc5c2ae843dp-4, 0x1.e1fc40f22f335p-5, 0x1.c0c2b992c5f41p-5, 0x1.a0105b47ff56ep-5, 0x1.7fe8df371ce24p-5, 0x1.604f86de2fd41p-5, 0x1.4147235f88906p-5, 0x1.22d21bcaaeafap-5, 0x1.04f272c7d876bp-5, 0x1.cf53984b427c5p-6, 0x1.95f2e53a0764bp-6, 0x1.5dc4bba0cca27p-6, 0x1.26ca70c0fb4cfp-6, 0x1.e20996f30523dp-7, 0x1.78e81e27714bap-7, 0x1.123009f424cfcp-7, 0x1.5bc015e5577d1p-8, 0x1.2fd7fe4d0ddap-9, -0x1.390fca49abaeap-11, -0x1.c2e2090e7d44cp-9, -0x1.97099e94eb7cp-8, -0x1.23fab8bf29713p-7, -0x1.7a1f9ca7d8fffp-7, -0x1.cdf954933aba1p-7, -0x1.0fc7148006c19p-6, -0x1.377262d27d93cp-6, -0x1.5e02175c3127ap-6, -0x1.8379db8a65992p-6, -0x1.a7dd7b9d3f46ap-6, -0x1.cb30e27b82e07p-6, -0x1.ed7815c83d143p-6, -0x1.075b991f34cfdp-5, -0x1.1779341c1a7d1p-5, -0x1.2716fc3408dfp-5, -0x1.36371863af0edp-5, -0x1.44dbb4d408928p-5, -0x1.530701838e09ep-5, -0x1.60bb310330686p-5, -0x1.6dfa774edc51p-5, -0x1.7ac708be04baep-5, -0x1.872319104653fp-5, -0x1.9310da8ba4f2cp-5, -0x1.9e927d35b70fep-5, -0x1.a9aa2e1dcf16ep-5, -0x1.b45a16baf80fap-5, -0x1.bea45c5acbe2bp-5, -0x1.c88b1f9bbf498p-5, -0x1.d2107bfadb0ecp-5, -0x1.db368767204eep-5, -0x1.e3ff51e91f6b6p-5, -0x1.ec6ce5480b77dp-5, -0x1.f48144c8afed2p-5, -0x1.fc3e6ce7bacbfp-5, -0x1.01d3299300145p-4, -0x1.055d72ebf6d2p-4, -0x1.08bf05ff8fd7dp-4, -0x1.0bf8d2948ec34p-4, -0x1.0f0bc4ab750cdp-4, -0x1.11f8c474641c2p-4, -0x1.14c0b647e4576p-4, -0x1.17647aa34634ep-4, -0x1.19e4ee25c475ep-4, -0x1.1c42e990b7b1fp-4, -0x1.1e7f41ca4b79p-4, -0x1.209ac7e091396p-4, -0x1.2296490cdef7fp-4, -0x1.24728ebf530fcp-4, -0x1.26305ea1407eap-4, -0x1.27d07aa04e30fp-4, -0x1.2953a0f8a8747p-4, -0x1.2aba8c3d92031p-4, -0x1.2c05f366384bfp-4, -0x1.2d3689d84d929p-4, -0x1.2e4cff74e1cbp-4, -0x1.2f4a00a2a62b8p-4, -0x1.302e365eb7ffep-4, -0x1.30fa464630439p-4, -0x1.31aed2a4beac7p-4, -0x1.324c7a811d326p-4, -0x1.32d3d9ad6f0b9p-4, -0x1.334588d042a83p-4, -0x1.33a21d7584cfbp-4, -0x1.33ea2a1b2b37fp-4, -0x1.341e3e3e4a3fcp-4, -0x1.343ee6683e8a3p-4, -0x1.344cac3ca4f5bp-4, -0x1.344816868437p-4, -0x1.3431a9447190ap-4, -0x1.3409e5b5f0f75p-4, -0x1.33d14a68ad47bp-4, -0x1.338853448948fp-4, -0x1.332f7997014b7p-4, -0x1.32c7342116749p-4, -0x1.324ff72272704p-4, -0x1.31ca346524b6fp-4, -0x1.31365b48c6993p-4, -0x1.3094d8ce77535p-4, -0x1.2fe617a449fc5p-4, -0x1.2f2a803025a95p-4, -0x1.2e627899482fdp-4, -0x1.2d8e64d45c15dp-4, -0x1.2caea6adaf4bdp-4, -0x1.2bc39dd346b7ap-4, -0x1.2acda7de6a496p-4, -0x1.29cd205db09bep-4, -0x1.28c260df0a3a9p-4, -0x1.27adc0f98959fp-4, -0x1.268f96566568bp-4, -0x1.256834b8fc32dp-4, -0x1.2437ee098bd8ep-4, -0x1.22ff125d9102dp-4, -0x1.21bdf00067935p-4, -0x1.2074d37b8ce25p-4, -0x1.1f24079f24a3fp-4, -0x1.1dcbd58a74d76p-4, -0x1.1c6c84b4106e5p-4, -0x1.1b065af18729cp-4, -0x1.19999c80c4a5dp-4, -0x1.18268c0c0d39dp-4, -0x1.16ad6ab633ec7p-4, -0x1.152e781ebe622p-4, -0x1.13a9f26b43079p-4, -0x1.1220164dae2dfp-4, -0x1.10911f0bd31ebp-4, -0x1.0efd46863b23bp-4, -0x1.0d64c53ef4bd5p-4, -0x1.0bc7d2609717bp-4, -0x1.0a26a3c54a3ffp-4, -0x1.08816dfde5de5p-4, -0x1.06d864556f12p-4, -0x1.052bb8dcbb268p-4, -0x1.037b9c6b611e5p-4, -0x1.01c83ea92d53ep-4, -0x1.0011ce1400e71p-4, -0x1.fcb0f00b06817p-5, -0x1.f938d17107c8ap-5, -0x1.f5bb969d464efp-5, -0x1.f23993ad9938bp-5, -0x1.eeb31aa656dcfp-5, -0x1.eb287b7e069c2p-5, -0x1.e79a042719d14p-5, -0x1.e408009986273p-5, -0x1.e072badcdc20cp-5, -0x1.dcda7b16b0e1ep-5, -0x1.d93f8791b22e5p-5, -0x1.d5a224cb85924p-5, -0x1.d202957bc744fp-5, -0x1.ce611a9cb1038p-5, -0x1.cabdf3750f86fp-5, -0x1.c7195da2ff787p-5, -0x1.c373952684664p-5, -0x1.bfccd46aab77ep-5, -0x1.bc25544d4a121p-5, -0x1.b87d4c2677de7p-5, -0x1.b4d4f1d0f326ep-5, -0x1.b12c79b3ab556p-5, -0x1.ad8416cb7cb62p-5, -0x1.a9dbfab3d2653p-5, -0x1.a63455ad971ebp-5, -0x1.a28d56a6fa374p-5, -0x1.9ee72b40293fdp-5, -0x1.9b41ffd533898p-5, -0x1.979dff858ebb7p-5, -0x1.93fb543cc18cdp-5, -0x1.905a26b96e439p-5, -0x1.8cba9e933cb04p-5, -0x1.891ce240cd4fbp-5, -0x1.8581171da454fp-5, -0x1.81e761713807p-5, -0x1.7e4fe47638d2p-5, -0x1.7abac261b02e7p-5, -0x1.77281c6916f2p-5, -0x1.739812c7922fcp-5, -0x1.700ac4c2cfb1p-5, -0x1.6c8050b042d56p-5, -0x1.68f8d3fa65525p-5, -0x1.65746b27b6156p-5, -0x1.61f331e0b206dp-5, -0x1.5e7542f36d2a8p-5, -0x1.5afab85ac4866p-5, -0x1.5783ab40d60c1p-5, -0x1.54103403a958bp-5, -0x1.50a06a39b5fa2p-5, -0x1.4d3464b6ae4fcp-5, -0x1.49cc39909afe2p-5, -0x1.4667fe2498718p-5, -0x1.4307c71b0d9ep-5, -0x1.3faba86b64171p-5, -0x1.3c53b55f6cc2bp-5, -0x1.39000096dfff1p-5, -0x1.35b09c0b10cc6p-5, -0x1.32659912f51bep-5, -0x1.2f1f0867303bcp-5, -0x1.2bdcfa25ef853p-5, -0x1.289f7dd655bfap-5, -0x1.2566a26baeec9p-5, -0x1.22327647f6439p-5, -0x1.1f03073ed6f9cp-5, -0x1.1bd86298307b7p-5, -0x1.18b295148ef86p-5, -0x1.1591aaee3345ep-5, -0x1.1275afde539dep-5, -0x1.0f5eaf1ec06cfp-5, -0x1.0c4cb36cc6d79p-5, -0x1.093fc70b60287p-5, -0x1.0637f3c55d605p-5, -0x1.033542efae916p-5, -0x1.0037bd6bd1484p-5, -0x1.fa7ed754ce242p-6, -0x1.f498ab5b7c91bp-6, -0x1.eebd06185fe73p-6, -0x1.e8ebf5e492734p-6, -0x1.e32588496c69cp-6, -0x1.dd69ca041d043p-6, -0x1.d7b8c7093f69cp-6, -0x1.d2128a88a7e2p-6, -0x1.cc771ef150b2ap-6, -0x1.c6e68df581652p-6, -0x1.c160e08ecea42p-6, -0x1.bbe61f01cd655p-6, -0x1.b67650e1941dp-6, -0x1.b1117d130189ap-6, -0x1.abb7a9cfe4893p-6, -0x1.a668dca956749p-6, -0x1.a1251a8dcac0bp-6, -0x1.9bec67c673e68p-6, -0x1.96bec8004f384p-6, -0x1.919c3e4bcacfap-6, -0x1.8c84cd20bf15bp-6, -0x1.877876614ed14p-6, -0x1.82773b5cd8cdbp-6, -0x1.7d811cd2e8183p-6, -0x1.78961af601c31p-6, -0x1.73b6356e61c51p-6, -0x1.6ee16b5c4308cp-6, -0x1.6a17bb5a21db1p-6, -0x1.6559237f4c756p-6, -0x1.60a5a16209466p-6, -0x1.5bfd321a4185ap-6, -0x1.575fd2441f1c9p-6, -0x1.52cd7e02e172ep-6, -0x1.4e463103a4dc2p-6, -0x1.49c9e67ff5f27p-6, -0x1.455899400f182p-6, -0x1.40f2439cdf15cp-6, -0x1.3c96df81889c7p-6, -0x1.3846666e2dec6p-6, -0x1.3400d17829d4ap-6, -0x1.2fc6194e80277p-6, -0x1.2b96363ac53dcp-6, -0x1.277120245db96p-6, -0x1.2356ce92fb5b4p-6, -0x1.1f4738b0f1bd9p-6, -0x1.1b42554cd2b05p-6, -0x1.17481add7a0ccp-6, -0x1.13587f7f5d812p-6, -0x1.0f7378fa79b6ep-6, -0x1.0b98fcc1c91a7p-6, -0x1.07c8fff5e9822p-6, -0x1.0403776752a5ep-6, -0x1.004857989e2eep-6, -0x1.f92f2981aad03p-7, -0x1.f1e2459b42c1fp-7, -0x1.eaa9eaca7a46dp-7, -0x1.e385ffd07cca4p-7, -0x1.dc766ae689c7ep-7, -0x1.d57b11c1061c3p-7, -0x1.ce93d992f9b3ap-7, -0x1.c7c0a7118ea16p-7, -0x1.c1015e781319ap-7, -0x1.ba55e38be91f7p-7, -0x1.b3be19a085ae7p-7, -0x1.ad39e39b36302p-7, -0x1.a6c923f6b77ffp-7, -0x1.a06bbcc6b0c9ap-7, -0x1.9a218fbb167a9p-7, -0x1.93ea7e23797f3p-7, -0x1.8dc668f25ab94p-7, -0x1.87b530c08416fp-7, -0x1.81b6b5d07125bp-7, -0x1.7bcad8116fdep-7, -0x1.75f177232f35ap-7, -0x1.702a725913fe2p-7, -0x1.6a75a8bd6d64fp-7, -0x1.64d2f914b8ee2p-7, -0x1.5f4241e0f049bp-7, -0x1.59c36164ab878p-7, -0x1.545635a50f14ap-7, -0x1.4efa9c71fcb84p-7, -0x1.49b0735f805b5p-7, -0x1.447797d249c9ep-7, -0x1.3f4fe6fd67746p-7, -0x1.3a393de687be6p-7, -0x1.35337968f1d27p-7, -0x1.303e76386a314p-7, -0x1.2b5a10e42650dp-7, -0x1.268625d97f352p-7, -0x1.21c29166a54e5p-7, -0x1.1d0f2fbd379ffp-7, -0x1.186bdcf4ea1bep-7, -0x1.13d8750e27e88p-7, -0x1.0f54d3f4da61dp-7, -0x1.0ae0d583234cap-7, -0x1.067c558404997p-7, -0x1.02272fb5ce07dp-7, -0x1.fbc27f98c7529p-8, -0x1.f354c2e6b9b1ap-8, -0x1.eb04e0a03bf92p-8, -0x1.e2d29008293e3p-8, -0x1.dabd885e3237fp-8, -0x1.d2c580e414912p-8, -0x1.caea30e2d98a8p-8, -0x1.c32b4fafad508p-8, -0x1.bb8894b01ca1ap-8, -0x1.b401b75d8f1c2p-8, -0x1.ac966f483908dp-8, -0x1.a5467419fbf95p-8, -0x1.9e117d99a5223p-8, -0x1.96f743af1e567p-8, -0x1.8ff77e6855686p-8, -0x1.8911e5feb5105p-8, -0x1.824632dc3685fp-8, -0x1.7b941d9f428bcp-8, -0x1.74fb5f1d248f1p-8, -0x1.6e7bb06359e4fp-8, -0x1.6814cab82547fp-8, -0x1.61c66799ec6f7p-8, -0x1.5b9040c9e40e2p-8, -0x1.5572104296a22p-8, -0x1.4f6b904b4bed2p-8, -0x1.497c7b793aeb5p-8, -0x1.43a48cb4dd021p-8, -0x1.3de37f3da99b7p-8, -0x1.38390ea98d125p-8, -0x1.32a4f6e2a29b4p-8, -0x1.2d26f42428dcfp-8, -0x1.27bec2f8e623dp-8, -0x1.226c203d08048p-8, -0x1.1d2ec923e2109p-8, -0x1.18067b41190ecp-8, -0x1.12f2f4928c7a5p-8, -0x1.0df3f3889c0c3p-8, -0x1.09093709b40cfp-8, -0x1.04327e704d0bep-8, -0x1.fedf13078a50dp-9, -0x1.f58030ddc3a1ep-9, -0x1.ec47d76f68e44p-9, -0x1.e33588791b4e3p-9, -0x1.da48c670b55c4p-9, -0x1.d181149c81e16p-9, -0x1.c8ddf73396b59p-9, -0x1.c05ef37e36b61p-9, -0x1.b8038fec1904ap-9, -0x1.afcb5418b357fp-9, -0x1.a7b5c8bb2761ep-9, -0x1.9fc27785af452p-9, -0x1.97f0eafdfa68cp-9, -0x1.9040ae5c0f719p-9, -0x1.88b14d7a73141p-9, -0x1.814254dfca5dp-9, -0x1.79f351e160719p-9, -0x1.72c3d2d69e678p-9, -0x1.6bb3674f55f12p-9, -0x1.64c1a03d5f31p-9, -0x1.5dee1003db998p-9, -0x1.57384a66659bfp-9, -0x1.509fe45a676cap-9, -0x1.4a2473c6e0ee5p-9, -0x1.43c58f442fde9p-9, -0x1.3d82cdedeff58p-9, -0x1.375bc756056f5p-9, -0x1.3150139bdd1dap-9, -0x1.2b5f4bb53badep-9, -0x1.258909a44948p-9, -0x1.1fcce8e063213p-9, -0x1.1a2a868015126p-9, -0x1.14a1814e77379p-9, -0x1.0f3179aff6de3p-9, -0x1.09da115fa04ebp-9, -0x1.049aeb143672ap-9, -0x1.fee75447584c1p-10, -0x1.f4c7e4786a478p-10, -0x1.ead6ce8bab563p-10, -0x1.e1135aea74d59p-10, -0x1.d77cd318be771p-10, -0x1.ce12827598224p-10, -0x1.c4d3b70b8c386p-10, -0x1.bbbfc23e62c22p-10, -0x1.b2d5f92c4e31fp-10, -0x1.aa15b4a95f35dp-10, -0x1.a17e50d6897cp-10, -0x1.990f2c695d9ebp-10, -0x1.90c7a7cf619dep-10, -0x1.88a7245c97627p-10, -0x1.80ad03b48e1c7p-10, -0x1.78d8a78f6490fp-10, -0x1.712971e7a4dc2p-10, -0x1.699ec587cac69p-10, -0x1.623806d6678a6p-10, -0x1.5af49cb21e368p-10, -0x1.53d3f12c0ab29p-10, -0x1.4cd571f86bec8p-10, -0x1.45f8907ff123p-10, -0x1.3f3cc192556f4p-10, -0x1.38a17ccd6477ep-10, -0x1.32263bd82b8bap-10, -0x1.2bca7998cf63ap-10, -0x1.258db189acad2p-10, -0x1.1f6f5f4d1842dp-10, -0x1.196efe9422c35p-10, -0x1.138c0b5dcdfffp-10, -0x1.0dc6027f968cap-10, -0x1.081c62587ce25p-10, -0x1.028eab85d2371p-10, -0x1.fa38c2e1fb4d2p-11, -0x1.ef8a153b3e51p-11, -0x1.e5106162185eap-11, -0x1.dacac0738e744p-11, -0x1.d0b850a465878p-11, -0x1.c6d83453bb1edp-11, -0x1.bd2991083f9e9p-11, -0x1.b3ab8e7503d61p-11, -0x1.aa5d55cf866cep-11, -0x1.a13e10f020502p-11, -0x1.984cea7dca8dfp-11, -0x1.8f890e199f0f4p-11, -0x1.86f1a925b715dp-11, -0x1.7e85ebb98a0fep-11, -0x1.76450984b7129p-11, -0x1.6e2e3a66e5544p-11, -0x1.6640baa8cc645p-11, -0x1.5e7bcaea5f523p-11, -0x1.56deaff5d5407p-11, -0x1.4f68b29c0e1b3p-11, -0x1.48191fa2aee2ep-11, -0x1.40ef47a2d4218p-11, -0x1.39ea7eae3a01ap-11, -0x1.330a1ba0b73e9p-11, -0x1.2c4d77374e8ebp-11, -0x1.25b3eb34befcbp-11, -0x1.1f3cd1e5c43c2p-11, -0x1.18e78638a68ecp-11, -0x1.12b3645709f6ep-11, -0x1.0c9fca79af982p-11, -0x1.06ac199b3d19p-11, -0x1.00d7b5cc4702p-11, -0x1.f6440c53e8bfbp-12, -0x1.eb14e95d7f57dp-12, -0x1.e020dc54dce8ep-12, -0x1.d566c5274018cp-12, -0x1.cae58b4b290ebp-12, -0x1.c09c1ef027034p-12, -0x1.b68979414564ap-12, -0x1.acac9b1d16d55p-12, -0x1.a3048a5af966bp-12, -0x1.99904e7ecfa55p-12, -0x1.904eee24848d7p-12, -0x1.873f6e299174ep-12, -0x1.7e60d2cb3baa2p-12, -0x1.75b22209bbf4p-12, -0x1.6d326621dc44ep-12, -0x1.64e0af10f1365p-12, -0x1.5cbc12baafedep-12, -0x1.54c3abf183895p-12, -0x1.4cf699383ba2fp-12, -0x1.4553fc347f74fp-12, -0x1.3ddafa64e0c0ap-12, -0x1.368abeff64793p-12, -0x1.2f627d1fba7b9p-12, -0x1.286170fb96d9bp-12, -0x1.2186df0d80148p-12, -0x1.1ad21111ba48ep-12, -0x1.144251d67806fp-12, -0x1.0dd6e9a5eb3f8p-12, -0x1.078f1ce25f317p-12, -0x1.016a2d63a18edp-12, -0x1.f6cebb930853dp-13, -0x1.eb0bea95f9918p-13, -0x1.df8a845562b57p-13, -0x1.d4493470de9fdp-13, -0x1.c946b36636076p-13, -0x1.be81c1cfcdbe4p-13, -0x1.b3f9240856c74p-13, -0x1.a9ab9fa40a331p-13, -0x1.9f97fbdc79e2bp-13, -0x1.95bd04e178d41p-13, -0x1.8c1990ab53f95p-13, -0x1.82ac82dd94106p-13, -0x1.7974cd38b401p-13, -0x1.70716b69f1c71p-13, -0x1.67a15b82dc8ecp-13, -0x1.5f03966c2da7ap-13, -0x1.56970c2a6955p-13, -0x1.4e5aa5ea5fd42p-13, -0x1.464d4cbe64c37p-13, -0x1.3e6df19042e9ep-13, -0x1.36bb92a155bb7p-13, -0x1.2f353cdd2dd7p-13, -0x1.27da09aabbae1p-13, -0x1.20a91b2474943p-13, -0x1.19a19863c35bbp-13, -0x1.12c2aaa04f7d2p-13, -0x1.0c0b7b417c826p-13, -0x1.057b32fdfae71p-13, -0x1.fe21f50a17dc5p-14, -0x1.f197fa2722cbp-14, -0x1.e556d8bcc914cp-14, -0x1.d95d07d2d0ccp-14, -0x1.cda912fe2cedcp-14, -0x1.c239939a32373p-14, -0x1.b70d2522882c6p-14, -0x1.ac225b16e64c2p-14, -0x1.a177beb7c0623p-14, -0x1.970bd63645944p-14, -0x1.8cdd30582190dp-14, -0x1.82ea6d99f2957p-14, -0x1.793241b977115p-14, -0x1.6fb36f3b75ad4p-14, -0x1.666cc21524215p-14, -0x1.5d5d0d7299b9fp-14, -0x1.54832c8d58bdap-14, -0x1.4bde03b82fa39p-14, -0x1.436c7e620d362p-14, -0x1.3b2d89737644ep-14, -0x1.33200c9d0d615p-14, -0x1.2b42e73efd1dbp-14, -0x1.2394f42b35cdp-14, -0x1.1c15132781239p-14, -0x1.14c232f07455ap-14, -0x1.0d9b55f24a32dp-14, -0x1.069f8f4f86062p-14, -0x1.ff9bf4be9c178p-15, -0x1.f24b63862d904p-15, -0x1.e54b9692f27a2p-15, -0x1.d89ab5bff3741p-15, -0x1.cc36f33747c9p-15, -0x1.c01e94a93acaep-15, -0x1.b44feff6c1d1p-15, -0x1.a8c961e41c1d2p-15, -0x1.9d89476c87ea1p-15, -0x1.928e06f90d586p-15, -0x1.87d61ae2f8f1dp-15, -0x1.7d60180664408p-15, -0x1.732aa8e903ec1p-15, -0x1.69347fb3cd157p-15, -0x1.5f7c45f15973ap-15, -0x1.56009176320a1p-15, -0x1.4cbfe325010f7p-15, -0x1.43b8b07bf3921p-15, -0x1.3ae974961e84dp-15, -0x1.3250c203b798p-15, -0x1.29ed4e52727b6p-15, -0x1.21bdf32bc6532p-15, -0x1.19c1a4ec565ccp-15, -0x1.11f761a9d8fa4p-15, -0x1.0a5e1f9cf5404p-15, -0x1.02f4c55ec2a6fp-15, -0x1.f774634d2f934p-16, -0x1.e95a93ca9b57cp-16, -0x1.db99ff163ca7bp-16, -0x1.ce3091007c1c7p-16, -0x1.c11c31d7dd779p-16, -0x1.b45ad44aa8d96p-16, -0x1.a7ea901a494b1p-16, -0x1.9bc9aaf6e27d1p-16, -0x1.8ff686d60220ap-16, -0x1.846f8890d7a4ap-16, -0x1.79330af7f321p-16, -0x1.6e3f6035792cdp-16, -0x1.6392d52dec4bep-16, -0x1.592bae807549p-16, -0x1.4f08246328db2p-16, -0x1.452668554524ap-16, -0x1.3b84b71001dbfp-16, -0x1.32216dac44805p-16, -0x1.28fb1708cd2d5p-16, -0x1.20106ba5bf8bp-16, -0x1.1760421c0215fp-16, -0x1.0ee97205a263cp-16, -0x1.06aab4fb31a6ap-16, -0x1.fd45393ee5b4ap-17, -0x1.ed9f560c96ed7p-17, -0x1.de60ef255e476p-17, -0x1.cf8772f7dfb58p-17, -0x1.c11069387468ap-17, -0x1.b2f95bd577f5cp-17, -0x1.a53ff8b61f03fp-17, -0x1.97e233b21e13fp-17, -0x1.8ade2b449dadbp-17, -0x1.7e31eddbaf534p-17, -0x1.71db6417a597fp-17, -0x1.65d86dd27daa2p-17, -0x1.5a27090c14b6cp-17, -0x1.4ec55b045bdfap-17, -0x1.43b199bc95a19p-17, -0x1.38e9f049dccd7p-17, -0x1.2e6c73b561d21p-17, -0x1.24372c63da4b6p-17, -0x1.1a482cf32c46ep-17, -0x1.109da8a5932c5p-17, -0x1.0735ff4748d97p-17, -0x1.fc1f76abdfea4p-18, -0x1.ea53123f00b37p-18, -0x1.d904390a9c8b3p-18, -0x1.c8302bea5b9b9p-18, -0x1.b7d3cc183b1b2p-18, -0x1.a7eba93ab4cdp-18, -0x1.9874653c6ec21p-18, -0x1.896b05499ab39p-18, -0x1.7acce179d5c5fp-18, -0x1.6c9763c7afdccp-18, -0x1.5ec801203c4f5p-18, -0x1.515c5cace6b86p-18, -0x1.44523a87527d5p-18, -0x1.37a7392025128p-18, -0x1.2b58b9f0a9976p-18, -0x1.1f641ea580bebp-18, -0x1.13c70b63ba33fp-18, -0x1.087f65d6e5f3cp-18, -0x1.fb1657fa700e7p-19, -0x1.e5d0bdf928954p-19, -0x1.d12a070799c52p-19, -0x1.bd1e404fb3029p-19, -0x1.a9a973259a3aep-19, -0x1.96c7ae830e2c3p-19, -0x1.84751fc7cbb7ep-19, -0x1.72ae23eff9a5fp-19, -0x1.616f45360c6f5p-19, -0x1.50b532a20586cp-19, -0x1.407cc3f6ec9a1p-19, -0x1.30c300da06b69p-19, -0x1.2185046c2e47ap-19, -0x1.12bfb1ce34727p-19, -0x1.046f8abdc6187p-19, -0x1.ed2200dd85572p-20, -0x1.d241e97b021a2p-20, -0x1.b839be3173427p-20, -0x1.9f04f1cd28b38p-20, -0x1.869e72ef1404p-20, -0x1.6f00967c67e5fp-20, -0x1.5825e7aa6f0a6p-20, -0x1.42090ae635e95p-20, -0x1.2ca45def446fbp-20, -0x1.17f29ce6b0b25p-20, -0x1.03ef4fb0a0311p-20, -0x1.e12c6de32a6a8p-21, -0x1.bbc5d2ce39398p-21, -0x1.97a20e80444a4p-21, -0x1.74b8e753daed7p-21, -0x1.530275efe2fedp-21, -0x1.32770a2ffc408p-21, -0x1.130ee9df127cbp-21, -0x1.e9849056ca412p-22, -0x1.af12ae2d96b46p-22, -0x1.76b8b2340d506p-22, -0x1.4067474f24348p-22, -0x1.0c0f495d3853ep-22, -0x1.b3440f3715727p-23, -0x1.52238d036a665p-23, -0x1.e948a00078ab5p-24, -0x1.355f67e3487abp-24, -0x1.10b99386715b8p-25, 0x1.df3ad78cdb7c8p-28, 0x1.7b8fddff0dda6p-25, 0x1.574e937b28812p-24, 0x1.eaac51de05f0ep-24, 0x1.3c01aa93f7779p-23, 0x1.7fbfac3e9bf18p-23, 0x1.c0aa0bd264263p-23, 0x1.fed6ba6760ac7p-23, 0x1.1d2c7e84d8562p-22, 0x1.39a2f6d74f15ep-22, 0x1.54d7b045d60b2p-22, 0x1.6ed32dbc1a31ap-22, 0x1.879eeee16e33ap-22, 0x1.9f4471f22b68ap-22, 0x1.b5cc889de1098p-22, 0x1.cb3f7246bd384p-22, 0x1.dfa508fd0a683p-22, 0x1.f304dc35ad7d4p-22, 0x1.02b32339b867bp-21, 0x1.0b6845cb94af1p-21, 0x1.13a5762fbaf87p-21, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.7a14e8a79e57fp-9, -0x1.b57b5f2a0718p-8, -0x1.8217685d02e05p-7, -0x1.2b118c644356dp-6, -0x1.a8b248dca3333p-6, -0x1.1aa73b0517cd4p-5, -0x1.65bcb595bc2b9p-5, -0x1.b2d422f5230d6p-5, -0x1.ff4e3ff616e05p-5, -0x1.24684795a2269p-4, -0x1.46aa6444e2c74p-4, -0x1.65972ac33105fp-4, -0x1.8084beb9b8f3fp-4, -0x1.96f3586a10f58p-4, -0x1.a889c88c764c9p-4, -0x1.b51164e63cb4cp-4, -0x1.bc71bab2f12eep-4, -0x1.beac45092ba24p-4, -0x1.bbd84fce07882p-4, -0x1.b41f20ba2b062p-4, -0x1.a7b87526c9513p-4, -0x1.96e75be43f717p-4, -0x1.81f76cd81f2b3p-4, -0x1.693a5c17d8db9p-4, -0x1.4d05e38f26a37p-4, -0x1.2db1fc7f3218bp-4, -0x1.0b976136a6405p-4, -0x1.ce1c9e6c283a1p-5, -0x1.80db04560ecc2p-5, -0x1.3012c1452f68ep-5, -0x1.b8cd4f60b47bbp-6, -0x1.0ce512c74ab46p-6, -0x1.765389a9212c8p-8, 0x1.502f664c277e3p-8, 0x1.06f729acb2508p-6, 0x1.ba38fbaec9a92p-6, 0x1.3677aa662d6a5p-5, 0x1.8f252669c9cabp-5, 0x1.e6c5ed36b3dbfp-5, 0x1.1e81de1c4d4b8p-4, 0x1.48c86b8677744p-4, 0x1.7213ddfed1cd4p-4, 0x1.9a4569c9ab8dap-4, 0x1.c1420839e715ap-4, 0x1.e6f24a0415d03p-4, 0x1.05a1109182d14p-3, 0x1.1710588e2c51dp-3, 0x1.27c00b65244c3p-3, 0x1.37aa9b5cd2062p-3, 0x1.46cbc486f3068p-3, 0x1.552072f96c438p-3, 0x1.62a6a9ccc81e5p-3, 0x1.6f5d6df7f20b5p-3, 0x1.7b44a9047383ep-3, 0x1.865d1bafa5625p-3, 0x1.90a83f3700df7p-3, 0x1.9a283b857b58ap-3, 0x1.a2dfcac2dd4d5p-3, 0x1.aad22ea881d0fp-3, 0x1.b2031c30579e2p-3, 0x1.b876af550623fp-3, 0x1.be315c0f76ebfp-3, 0x1.c337e0b25092p-3, 0x1.c78f3a4fd6e4dp-3, 0x1.cb3c9a84ea18cp-3, 0x1.ce455eaf634dbp-3, 0x1.d0af0744eb25cp-3, 0x1.d27f2f2e6f6f1p-3, 0x1.d3bb839baba17p-3, 0x1.d469bcdfe51f8p-3, 0x1.d48f9884f1773p-3, 0x1.d432d43d78d9ep-3, 0x1.d3592931ee43bp-3, 0x1.d208474cda5abp-3, 0x1.d045d0840095p-3, 0x1.ce17545b5750bp-3, 0x1.cb824bf04ee75p-3, 0x1.c88c16b8978abp-3, 0x1.c539f7f557d18p-3, 0x1.c19114af9d18fp-3, 0x1.bd96720db9128p-3, 0x1.b94ef3d2dc5a4p-3, 0x1.b4bf5afa3b1f7p-3, 0x1.afec446f7108bp-3, 0x1.aada27f3d2ddfp-3, 0x1.a58d57480df2bp-3, 0x1.a009fda28f50ep-3, 0x1.9a541f79035bap-3, 0x1.946f9a8fcf924p-3, 0x1.8e602646c4525p-3, 0x1.8829540f907e8p-3, 0x1.81ce8ffee7b5ap-3, 0x1.7b53216d57135p-3, 0x1.74ba2ba5ebba6p-3, 0x1.6e06ae972bfcfp-3, 0x1.673b879486b9ep-3, 0x1.605b721cb63e8p-3, 0x1.596908b267295p-3, 0x1.5266c5c358366p-3, 0x1.4b5704970af27p-3, 0x1.443c0253af803p-3, 0x1.3d17df01607a9p-3, 0x1.35ec9e99a229ep-3, 0x1.2ebc2a18191b3p-3, 0x1.2788508715bfep-3, 0x1.2052c80ca079ep-3, 0x1.191d2ef300f82p-3, 0x1.11e90ca3d64cfp-3, 0x1.0ab7d2a55bd02p-3, 0x1.038add898ece6p-3, 0x1.f8c6ebab8dafap-4, 0x1.ea85a1cfd8f9p-4, 0x1.dc54239aa6894p-4, 0x1.ce349432e63a5p-4, 0x1.c028f5610dceap-4, 0x1.b233291d8f792p-4, 0x1.a454f30fc50b2p-4, 0x1.968ff9fad04e2p-4, 0x1.88e5c92817af8p-4, 0x1.7b57d1b4adbb7p-4, 0x1.6de76bdc4352bp-4, 0x1.6095d833b1364p-4, 0x1.536440cf53ce5p-4, 0x1.4653ba65d047ap-4, 0x1.3965455a67713p-4, 0x1.2c99cec5a8333p-4, 0x1.1ff231693e58ap-4, 0x1.136f36935bad6p-4, 0x1.07119709e6f6dp-4, 0x1.f5b3f7a75af25p-5, 0x1.dd91fdf233ef1p-5, 0x1.c5be58accf027p-5, 0x1.ae3a0481ebea1p-5, 0x1.9705e44ca8421p-5, 0x1.8022c293ff4fap-5, 0x1.6991529ff708p-5, 0x1.53523178833dfp-5, 0x1.3d65e73a6d4cap-5, 0x1.27cce803d44e1p-5, 0x1.128794cba8ec7p-5, 0x1.fb2c78dd7065bp-6, 0x1.d1f2395744b75p-6, 0x1.a960c56227e87p-6, 0x1.81785821c4e35p-6, 0x1.5a390f21bf5a6p-6, 0x1.33a2eb8c11d64p-6, 0x1.0db5d371b8358p-6, 0x1.d0e326dc71592p-7, 0x1.87abbf389dfb9p-7, 0x1.3fc4a97d9f25fp-7, 0x1.f259e668e543p-8, 0x1.67c6ffd5e6a9p-8, 0x1.bf9c2b249b639p-9, 0x1.69b147b32d51ap-10, -0x1.430b413c02442p-11, -0x1.513cf582a9287p-9, -0x1.264e8a2155ac3p-8, -0x1.a17577beefdeep-8, -0x1.0d0baf4041119p-7, -0x1.481c48c4e51dcp-7, -0x1.81eeccbc61028p-7, -0x1.ba8597de95244p-7, -0x1.f1e31da08cecfp-7, -0x1.1404f3e7b0f7ap-6, -0x1.2e7e4ac1f2437p-6, -0x1.485eec864f5a9p-6, -0x1.61a83b214f377p-6, -0x1.7a5ba109fae53p-6, -0x1.927a90f0bac15p-6, -0x1.aa0684ef604eap-6, -0x1.c100fdb2c9d86p-6, -0x1.d76b821694308p-6, -0x1.ed479eecbb766p-6, -0x1.014b733f404aap-5, -0x1.0bad77eca029bp-5, -0x1.15caab206b604p-5, -0x1.1fa3dc705e0a8p-5, -0x1.2939dd3b5ebfep-5, -0x1.328d80733ef31p-5, -0x1.3b9f9a627d378p-5, -0x1.44710073c87a5p-5, -0x1.4d0288fb686cdp-5, -0x1.55550b0c47961p-5, -0x1.5d695e5d108ebp-5, -0x1.65405b2e910bp-5, -0x1.6cdada07c4979p-5, -0x1.7439b378755e3p-5, -0x1.7b5dbfebdf31cp-5, -0x1.8247d7adf101cp-5, -0x1.88f8d2e90ea47p-5, -0x1.8f71896e70516p-5, -0x1.95b2d25e28c2cp-5, -0x1.9bbd83f6f31b2p-5, -0x1.a19273ac0bcdbp-5, -0x1.a732764579133p-5, -0x1.ac9e5fc03ea8ap-5, -0x1.b1d702ea09eb9p-5, -0x1.b6dd31215731ap-5, -0x1.bbb1ba5567944p-5, -0x1.c0556d49a106p-5, -0x1.c4c917a5898fcp-5, -0x1.c90d85add4ca2p-5, -0x1.cd2381de2960fp-5, -0x1.d10bd4c30ea69p-5, -0x1.d4c745303fe7fp-5, -0x1.d85698871a4d8p-5, -0x1.dbba92b493c6dp-5, -0x1.def3f5db53665p-5, -0x1.e20381f713567p-5, -0x1.e4e9f4ce392cap-5, -0x1.e7a80a3a21987p-5, -0x1.ea3e7c6c15cbcp-5, -0x1.ecae03ee4c535p-5, -0x1.eef757522154bp-5, -0x1.f11b2adad935dp-5, -0x1.f31a306fc9e5ap-5, -0x1.f4f517ddd7289p-5, -0x1.f6ac8f25c62b3p-5, -0x1.f841428d6eb9p-5, -0x1.f9b3dc65e6b5p-5, -0x1.fb0504badfc84p-5, -0x1.fc3561316b187p-5, -0x1.fd4595319baf5p-5, -0x1.fe3642345f9c1p-5, -0x1.ff0807f2c9227p-5, -0x1.ffbb8452fb238p-5, -0x1.0028a9945064dp-4, -0x1.006506fe7bc18p-4, -0x1.00932608a3fcdp-4, -0x1.00b3514a61973p-4, -0x1.00c5d27390583p-4, -0x1.00caf25a4a163p-4, -0x1.00c2f8ee819b9p-4, -0x1.00ae2d1fa6776p-4, -0x1.008cd4ca36969p-4, -0x1.005f34bc0317dp-4, -0x1.002590cc61f9dp-4, -0x1.ffc057ef802e9p-5, -0x1.ff1e90d96af27p-5, -0x1.fe664f091d4dep-5, -0x1.fd98135fda1e8p-5, -0x1.fcb45cceb21e6p-5, -0x1.fbbba8573c9c1p-5, -0x1.faae712cb3bebp-5, -0x1.f98d30e2cbb5bp-5, -0x1.f8585f8bb4868p-5, -0x1.f71073bc474dap-5, -0x1.f5b5e2747587ep-5, -0x1.f4491f04096b6p-5, -0x1.f2ca9afec6536p-5, -0x1.f13ac64989901p-5, -0x1.ef9a0f3a68a2ep-5, -0x1.ede8e2bad456cp-5, -0x1.ec27ac5b1e56ap-5, -0x1.ea56d650636e4p-5, -0x1.e876c962a0e7ap-5, -0x1.e687ecd973369p-5, -0x1.e48aa6756be18p-5, -0x1.e27f5a7c21a32p-5, -0x1.e0666bd229356p-5, -0x1.de403c16de304p-5, -0x1.dc0d2bb5bc03p-5, -0x1.d9cd99e6a0cd6p-5, -0x1.d781e49fe34f2p-5, -0x1.d52a6884510c8p-5, -0x1.d2c780d9e978dp-5, -0x1.d0598791444a4p-5, -0x1.cde0d55971228p-5, -0x1.cb5dc1bb026fap-5, -0x1.c8d0a32ad8e24p-5, -0x1.c639cf0f22619p-5, -0x1.c39999b53f49dp-5, -0x1.c0f0563fa8fe6p-5, -0x1.be3e5697b3677p-5, -0x1.bb83eb6c6f3fep-5, -0x1.b8c16440a833bp-5, -0x1.b5f70f8152436p-5, -0x1.b3253a99f6dd5p-5, -0x1.b04c31fed2162p-5, -0x1.ad6c4129dc14fp-5, -0x1.aa85b28e80a65p-5, -0x1.a798cf8c0b04cp-5, -0x1.a4a5e0671a042p-5, -0x1.a1ad2c4e28cccp-5, -0x1.9eaef96683564p-5, -0x1.9bab8cda48655p-5, -0x1.98a32ae06aaeep-5, -0x1.959616bcd7e62p-5, -0x1.928492bb9dac3p-5, -0x1.8f6ee02c4833ap-5, -0x1.8c553f619f0c9p-5, -0x1.8937efb7e4fa2p-5, -0x1.86172f9c9c375p-5, -0x1.82f33c9679874p-5, -0x1.7fcc534482ad4p-5, -0x1.7ca2af55bfe18p-5, -0x1.79768b7cffb43p-5, -0x1.76482168eb60ep-5, -0x1.7317a9c6c0dcfp-5, -0x1.6fe55c50a07b2p-5, -0x1.6cb16fe24d0e5p-5, -0x1.697c1a8b996edp-5, -0x1.66459198136a1p-5, -0x1.630e0987fe8aep-5, -0x1.5fd5b5fc4496bp-5, -0x1.5c9cc99d7ce75p-5, -0x1.59637608ed3c2p-5, -0x1.5629ebcd32bfp-5, -0x1.52f05a7943725p-5, -0x1.4fb6f0b8863aap-5, -0x1.4c7ddc70d0195p-5, -0x1.49454ad686559p-5, -0x1.460d686f6048ap-5, -0x1.42d661034915ap-5, -0x1.3fa05f81e7818p-5, -0x1.3c6b8de6dab48p-5, -0x1.39381527c2ed3p-5, -0x1.36061d32e478ep-5, -0x1.32d5ccff3e089p-5, -0x1.2fa74aa7be23fp-5, -0x1.2c7abb875a7edp-5, -0x1.2950444c36eaap-5, -0x1.262808fabca22p-5, -0x1.23022ce303548p-5, -0x1.1fded28c07831p-5, -0x1.1cbe1b9e552f2p-5, -0x1.19a028d56b0cfp-5, -0x1.168519fca87eep-5, -0x1.136d0df84d74cp-5, -0x1.105822d700c7ap-5, -0x1.0d4675e58604bp-5, -0x1.0a3823be1297ep-5, -0x1.072d484ecbe88p-5, -0x1.0425fed685201p-5, -0x1.012261db06396p-5, -0x1.fc4516394cbdcp-6, -0x1.f64d271b3c0c7p-6, -0x1.f05d269e3fb04p-6, -0x1.ea75436a30557p-6, -0x1.e495aa9d1bb0dp-6, -0x1.debe87e05b307p-6, -0x1.d8f0057aebb05p-6, -0x1.d32a4c5c8b30cp-6, -0x1.cd6d841fd3288p-6, -0x1.c7b9d3057b5c9p-6, -0x1.c20f5debfdf65p-6, -0x1.bc6e484945bc5p-6, -0x1.b6d6b429a4144p-6, -0x1.b148c2352a62bp-6, -0x1.abc491b9e9644p-6, -0x1.a64a40b766258p-6, -0x1.a0d9ebe874bb1p-6, -0x1.9b73aec8f9c78p-6, -0x1.9617a397e7f32p-6, -0x1.90c5e356acda2p-6, -0x1.8b7e85c8eccacp-6, -0x1.8641a174b29ecp-6, -0x1.810f4ba76e552p-6, -0x1.7be7987c2cdp-6, -0x1.76ca9ae3ffb4dp-6, -0x1.71b864ae15c82p-6, -0x1.6cb1068df4c84p-6, -0x1.67b4901ee4cfdp-6, -0x1.62c30fe515121p-6, -0x1.5ddc934dc55f2p-6, -0x1.590126b0ad05bp-6, -0x1.5430d554178a1p-6, -0x1.4f6ba973e16c6p-6, -0x1.4ab1ac4a7c411p-6, -0x1.4602e619cb609p-6, -0x1.415f5e31e9167p-6, -0x1.3cc71af4b69bcp-6, -0x1.383a21d6a06b2p-6, -0x1.33b8775e1454dp-6, -0x1.2f421f2404615p-6, -0x1.2ad71bd73d183p-6, -0x1.26776f431eb83p-6, -0x1.22231a5906a46p-6, -0x1.1dda1d3a4c975p-6, -0x1.199c77408b8cfp-6, -0x1.156a270261bbap-6, -0x1.11432a548688bp-6, -0x1.0d277e483da79p-6, -0x1.09171f29f5252p-6, -0x1.051208826fc4dp-6, -0x1.0118351c6356fp-6, -0x1.fa533e1c678cep-7, -0x1.f28c7f8c2bc0ep-7, -0x1.eadc202a36e61p-7, -0x1.e342106c5d562p-7, -0x1.dbbe3f9ea1b26p-7, -0x1.d4509bdc013acp-7, -0x1.ccf91202e850fp-7, -0x1.c5b78dae0e4a6p-7, -0x1.be8bf9399c263p-7, -0x1.b7763dd530849p-7, -0x1.b07643a3f2471p-7, -0x1.a98bf1de01a04p-7, -0x1.a2b72eec0b781p-7, -0x1.9bf7e072536e3p-7, -0x1.954deb48c7d2fp-7, -0x1.8eb93364397e3p-7, -0x1.88399bbb45ac3p-7, -0x1.81cf0634aab05p-7, -0x1.7b7953aa1b58cp-7, -0x1.75386403b35d3p-7, -0x1.6f0c166761f9ep-7, -0x1.68f4496eb0e11p-7, -0x1.62f0db524090ap-7, -0x1.5d01a9fba4e1bp-7, -0x1.572692f70e99ap-7, -0x1.515f7348bfbd9p-7, -0x1.4bac2735ccdc5p-7, -0x1.460c8a154abap-7, -0x1.4080763e4f697p-7, -0x1.3b07c51ea5c5p-7, -0x1.35a24f78be537p-7, -0x1.304fedb948cfcp-7, -0x1.2b10784b4869p-7, -0x1.25e3c7cf82be7p-7, -0x1.20c9b5238ea9p-7, -0x1.1bc2193358745p-7, -0x1.16cccca1b9507p-7, -0x1.11e9a7632f403p-7, -0x1.0d18806ce9ed4p-7, -0x1.08592d95d0194p-7, -0x1.03ab83ba30034p-7, -0x1.fe1eae3bb20c6p-8, -0x1.f508f7e96e121p-8, -0x1.ec158dd7495a4p-8, -0x1.e3441b1107086p-8, -0x1.da944c84581bcp-8, -0x1.d205d08a10518p-8, -0x1.c99855e272509p-8, -0x1.c14b8a6b1c503p-8, -0x1.b91f19ee077f1p-8, -0x1.b112ad6728094p-8, -0x1.a925eb021e46bp-8, -0x1.a15876dec3c36p-8, -0x1.99a9f474d4851p-8, -0x1.921a083c3ad4ap-8, -0x1.8aa8592b34af8p-8, -0x1.8354919cc07d9p-8, -0x1.7c1e5f5ac2cccp-8, -0x1.750572be7acb6p-8, -0x1.6e097d1a007abp-8, -0x1.672a2ecfe4d14p-8, -0x1.6067359784f25p-8, -0x1.59c03b66690b3p-8, -0x1.5334e65095e74p-8, -0x1.4cc4d976244dbp-8, -0x1.466fb6cef4012p-8, -0x1.4035216b1c5a7p-8, -0x1.3a14bf9a60165p-8, -0x1.340e3c6fbd0aep-8, -0x1.2e21483c037c9p-8, -0x1.284d97daace5fp-8, -0x1.2292e2f7523aap-8, -0x1.1cf0e1b11541fp-8, -0x1.17674a2700c36p-8, -0x1.11f5ce7fdd453p-8, -0x1.0c9c1be50fde2p-8, -0x1.0759dab5a717cp-8, -0x1.022eaff2e6cd7p-8, -0x1.fa347f3e4a624p-9, -0x1.f0385f151f898p-9, -0x1.e66853d280a5dp-9, -0x1.dcc3be2db50e9p-9, -0x1.d34a0c3b272f2p-9, -0x1.c9fab7c73869ap-9, -0x1.c0d542674f7d8p-9, -0x1.b7d93024e7cep-9, -0x1.af0601e1e5ef9p-9, -0x1.a65b309149698p-9, -0x1.9dd82a2c4595cp-9, -0x1.957c50ff1116ap-9, -0x1.8d46fd851db81p-9, -0x1.8537829906548p-9, -0x1.7d4d3337fa29ep-9, -0x1.758768a99d6c3p-9, -0x1.6de587acf7af5p-9, -0x1.6667037679448p-9, -0x1.5f0b5ddb7b80dp-9, -0x1.57d224c272fd4p-9, -0x1.50baed9a082d1p-9, -0x1.49c54ff18dc5bp-9, -0x1.42f0e045da4f6p-9, -0x1.3c3d2bcd5ace8p-9, -0x1.35a9b5ba4e3bfp-9, -0x1.2f35f639a7b8cp-9, -0x1.28e15b65c0876p-9, -0x1.22ab4c4303c1ap-9, -0x1.1c932d93cb999p-9, -0x1.169867c5930ap-9, -0x1.10ba6cbac0994p-9, -0x1.0af8bc01535f9p-9, -0x1.0552e45918ceep-9, -0x1.ff9104680fc67p-10, -0x1.f4b2778e45001p-10, -0x1.ea0977e178c94p-10, -0x1.df955aae340fcp-10, -0x1.d5556d61885c2p-10, -0x1.cb48f0d595b1fp-10, -0x1.c16f16a0e4074p-10, -0x1.b7c6ff8b410aep-10, -0x1.ae4fbb24c0688p-10, -0x1.a5084986c509cp-10, -0x1.9befa08f7b6ap-10, -0x1.9304b4f0ad0dep-10, -0x1.8a46859f4246ap-10, -0x1.81b426a155ccep-10, -0x1.794cc7d7b3e5ap-10, -0x1.710fb58018c86p-10, -0x1.68fc5263c19c9p-10, -0x1.61120dfa8276bp-10, -0x1.59505a36fd8f6p-10, -0x1.51b6a4789e994p-10, -0x1.4a44533ab790ep-10, -0x1.42f8c771e8fb2p-10, -0x1.3bd35ea0149d4p-10, -0x1.34d372aee4d26p-10, -0x1.2df856b219463p-10, -0x1.274152805e934p-10, -0x1.20ada0ba0ca06p-10, -0x1.1a3c722dca9ddp-10, -0x1.13ecf6e578b84p-10, -0x1.0dbe6a2a54c5bp-10, -0x1.07b01d1d00918p-10, -0x1.01c17bd40addbp-10, -0x1.f7e415e045db5p-11, -0x1.ec82bcd711029p-11, -0x1.e15e1a38b7cbdp-11, -0x1.d6754bb65ba3cp-11, -0x1.cbc75543afcbp-11, -0x1.c153263ed5796p-11, -0x1.b717a8c403082p-11, -0x1.ad13d0d13db9ep-11, -0x1.a346a0e141e6ep-11, -0x1.99af1fe8747f6p-11, -0x1.904c45b260ff2p-11, -0x1.871ce93175e01p-11, -0x1.7e1fbc00729abp-11, -0x1.7553576618498p-11, -0x1.6cb656359016bp-11, -0x1.64477156428f7p-11, -0x1.5c0594d0ce079p-11, -0x1.53efe6e980efdp-11, -0x1.4c05bf7803aa4p-11, -0x1.4446927edfc7p-11, -0x1.3cb1d5a00f1dep-11, -0x1.3546eacd20416p-11, -0x1.2e0519014e91fp-11, -0x1.26eb95b97ee0ap-11, -0x1.1ff999d8800a8p-11, -0x1.192e768b10cf1p-11, -0x1.12899de38bd7bp-11, -0x1.0c0a986aa6bcfp-11, -0x1.05b0eaed6fap-11, -0x1.fef7f26a193ddp-12, -0x1.f2d5ea228cda2p-12, -0x1.e6f9c4d478f2cp-12, -0x1.db6159ec9d873p-12, -0x1.d00a87289939ap-12, -0x1.c4f35c354e1f3p-12, -0x1.ba1a32c8e4edap-12, -0x1.af7db4655d8cap-12, -0x1.a51cceafed3bdp-12, -0x1.9af696bb05e8fp-12, -0x1.910a2224f9a07p-12, -0x1.875664768e811p-12, -0x1.7dda1f5e19391p-12, -0x1.7493ed2a9ed5bp-12, -0x1.6b8262de77cb8p-12, -0x1.62a43ce448a0ap-12, -0x1.59f88192efb05p-12, -0x1.517e85043c4bep-12, -0x1.4935c6e197813p-12, -0x1.411db84d4a474p-12, -0x1.393588f73546cp-12, -0x1.317c18a3eca08p-12, -0x1.29f012dc11f44p-12, -0x1.22901c795d5adp-12, -0x1.1b5af182cc43p-12, -0x1.144f68ed66c89p-12, -0x1.0d6c71c21559cp-12, -0x1.06b11db2e5f97p-12, -0x1.001cb24dbd1a3p-12, -0x1.f35d534a6ccp-13, -0x1.e6cd312ad50e7p-13, -0x1.da880dfc1b0ddp-13, -0x1.ce8c9c9351d43p-13, -0x1.c2d91b29a0033p-13, -0x1.b76b72eeec38p-13, -0x1.ac41835643fc9p-13, -0x1.a15975f4cc427p-13, -0x1.96b1f0329af6ep-13, -0x1.8c4a09c906a41p-13, -0x1.82210dd5be042p-13, -0x1.7836251121eb3p-13, -0x1.6e8813b40507cp-13, -0x1.6515321bf95a3p-13, -0x1.5bdba7eaa51fdp-13, -0x1.52d9b87ba93d5p-13, -0x1.4a0dd4479c7bdp-13, -0x1.417660911698ep-13, -0x1.39118bdcafa52p-13, -0x1.30dd88b57c583p-13, -0x1.28d90c29847ffp-13, -0x1.21039202e2edap-13, -0x1.195d217cd9868p-13, -0x1.11e5c61d4b151p-13, -0x1.0a9d1f8e7220bp-13, -0x1.0382438d9aa6p-13, -0x1.f927d565f1badp-14, -0x1.eba16a0432d9ap-14, -0x1.de6eaaf7d22dp-14, -0x1.d18d360bccf64p-14, -0x1.c4fadd39df77p-14, -0x1.b8b5b68eee339p-14, -0x1.acbc329ff5aaep-14, -0x1.a10d0b679539p-14, -0x1.95a6f541aaea6p-14, -0x1.8a884326c0a5ep-14, -0x1.7faee3a44584ep-14, -0x1.7518d7c8913b3p-14, -0x1.6ac498b24e57ep-14, -0x1.60b0b639de3a1p-14, -0x1.56daf67048ba3p-14, -0x1.4d4041574496ep-14, -0x1.43dde8473ba6fp-14, -0x1.3ab2fa5cb38e9p-14, -0x1.31c011c5ea5a3p-14, -0x1.2905d3ef1e731p-14, -0x1.2083b25455acdp-14, -0x1.1837edf906d1cp-14, -0x1.10208beb74981p-14, -0x1.083c2d9c11d9dp-14, -0x1.008a173ca3324p-14, -0x1.f2133bf8d8f0bp-15, -0x1.e3736eca9ddcbp-15, -0x1.d532117dbaa06p-15, -0x1.c74c89763894ap-15, -0x1.b9c0fb12f7ad2p-15, -0x1.ac8e745ddd4d6p-15, -0x1.9fb486d926489p-15, -0x1.9332662f1e769p-15, -0x1.8705fe2305633p-15, -0x1.7b2bdcc7492b4p-15, -0x1.6fa05e4535867p-15, -0x1.6460f6d715437p-15, -0x1.596bba8ab485cp-15, -0x1.4ebd5b09d7eecp-15, -0x1.4450ae9081253p-15, -0x1.3a21886a44caap-15, -0x1.302f8554bce14p-15, -0x1.267cb3af3d4a3p-15, -0x1.1d09cce98bbe8p-15, -0x1.13d4a4fa4175ep-15, -0x1.0ada046b131f6p-15, -0x1.021837e0ae061p-15, -0x1.f31ef7dc5f44bp-16, -0x1.e280c11d57099p-16, -0x1.d254af450b99cp-16, -0x1.c297349a6653fp-16, -0x1.b343a52f471dbp-16, -0x1.a4557651e0271p-16, -0x1.95c8eeb2c671bp-16, -0x1.879b70def85fcp-16, -0x1.79cb924ba9c4dp-16, -0x1.6c5900bfd87bap-16, -0x1.5f440016ef362p-16, -0x1.528c4fe556b9bp-16, -0x1.4630090749edap-16, -0x1.3a2bd8c5c6e1fp-16, -0x1.2e7cfe14665a4p-16, -0x1.2322c1b408032p-16, -0x1.181ccf6cd6273p-16, -0x1.0d67b74cc0e44p-16, -0x1.02fd113ee14bdp-16, -0x1.f1b21c522d213p-17, -0x1.ddf9deda674b1p-17, -0x1.cad33e17d9572p-17, -0x1.b836b20da93c7p-17, -0x1.a6199bc51d935p-17, -0x1.94782c5dfeaf8p-17, -0x1.8354849cd639p-17, -0x1.72af1dd085af4p-17, -0x1.628414d40a17ep-17, -0x1.52cdb8e6edc3ep-17, -0x1.4386ecfe15353p-17, -0x1.34abb284938e6p-17, -0x1.2638f4a10bd8cp-17, -0x1.182c5cc0c2247p-17, -0x1.0a84356eafaebp-17, -0x1.fa7e7376a20f7p-18, -0x1.e0b8c52151055p-18, -0x1.c7b5a7a2b1a12p-18, -0x1.af73850973a14p-18, -0x1.97efab8d770cp-18, -0x1.8123f2c28db27p-18, -0x1.6b062ee937f7dp-18, -0x1.558c99c5f4df6p-18, -0x1.40b47f5f1bd77p-18, -0x1.2c83fe202a03bp-18, -0x1.1900ec4ced74fp-18, -0x1.0623579f75415p-18, -0x1.e7b9a1fdc8b2ep-19, -0x1.c4571e1db99b2p-19, -0x1.a22101057ccb6p-19, -0x1.810052ec3fbeap-19, -0x1.60e0211767135p-19, -0x1.41c49935139e3p-19, -0x1.23b3cec33faabp-19, -0x1.06a51fd6a5c0cp-19, -0x1.d51640ec901ecp-20, -0x1.9eb97e2304d25p-20, -0x1.6a2ab255e5415p-20, -0x1.37640c538c66fp-20, -0x1.065fac9f3ceddp-20, -0x1.ae2ca1748a419p-21, -0x1.52fe2c196fbe9p-21, -0x1.f63d6b08396e7p-22, -0x1.4ce9b08e8ef0fp-22, -0x1.538b5e425bb76p-23, -0x1.9213528f0f985p-27, 0x1.15e604a79e2e9p-23, 0x1.1cf4b09da3aeep-22, 0x1.a99488d55c7d7p-22, 0x1.18798d26af1a4p-21, 0x1.59a0b81ff8ap-21, 0x1.985948b301b28p-21, 0x1.d4aa848891c84p-21, 0x1.073e5c2e6d437p-20, 0x1.22d8421b6e876p-20, 0x1.3d35d7b984c61p-20, 0x1.5686e90a862e6p-20, 0x1.6ed3bb903bf4ep-20, 0x1.8615c956127b7p-20, 0x1.9c58c796e9868p-20, 0x1.b19252b7442f2p-20, 0x1.c5b68ec62a852p-20, 0x1.d8d586d1c2b5fp-20, 0x1.eb06334546c74p-20, 0x1.fc575be405fcep-20, 0x1.066894bded476p-19, 0x1.0e3c6de30fe91p-19, 0x1.15a952dc0e2d3p-19, 0x1.1cb13c834e4eap-19, 0x1.2356366ef7c8cp-19, 0x1.299a7797543c7p-19, }}, 
      {{0x1.6c135597a86c3p-3, 0x1.a5c33c825b323p-3, 0x1.ecc4301a99efap-3, 0x1.1a4d94b00819cp-2, 0x1.3ad787d65699p-2, 0x1.55e06482becedp-2, 0x1.6a6871ea6a4a2p-2, 0x1.782d6904068e9p-2, 0x1.7f66286c510f9p-2, 0x1.809315275dfbbp-2, 0x1.7c5d7fafad372p-2, 0x1.73819f43e89e4p-2, 0x1.66bfde48c133bp-2, 0x1.56d33d0f48977p-2, 0x1.446b4371183e8p-2, 0x1.302870d31c2b3p-2, 0x1.1a9a6ab610546p-2, 0x1.043f61351688ep-2, 0x1.db088e4fa0e1bp-3, 0x1.ad8b2d44c8205p-3, 0x1.80a0dbcd5e3dep-3, 0x1.54c7bdf17279cp-3, 0x1.2a64ad1683dd3p-3, 0x1.01c60ddce691bp-3, 0x1.b64d26d145943p-4, 0x1.6d5fbd15886c7p-4, 0x1.28f9dbe2d771fp-4, 0x1.d27165a218338p-5, 0x1.5c4956aa35acep-5, 0x1.ded406db98892p-6, 0x1.174bcb788ea83p-6, 0x1.85c850c3c138ep-8, -0x1.0d90d323d73fcp-8, -0x1.aff9fc31b0331p-7, -0x1.5d31ed99d56f2p-6, -0x1.d3ea51e9bcc5fp-6, -0x1.1e8b035503cc1p-5, -0x1.4cd4973431bcap-5, -0x1.754c53573095bp-5, -0x1.986b8e6347781p-5, -0x1.b6a95794dbb0ap-5, -0x1.d0798280fe391p-5, -0x1.e64be75531923p-5, -0x1.f88bcdec5eefp-5, -0x1.03cfbf6e87ebdp-4, -0x1.09f3fa53476b4p-4, -0x1.0ee053105c2dp-4, -0x1.12bfb530730f9p-4, -0x1.15ba35d74ba95p-4, -0x1.17f517b2b8f0fp-4, -0x1.1992d271ce476p-4, -0x1.1ab32358044c3p-4, -0x1.1b731d1caa7c6p-4, -0x1.1bed42f77dc41p-4, -0x1.1c399cfde32e4p-4, -0x1.1c6dd82868554p-4, -0x1.1c9d5e42922fdp-4, -0x1.1cd9795acc71fp-4, -0x1.1d316f2bf7886p-4, -0x1.1db2a12d83af8p-4, -0x1.1e68a940de8dep-4, -0x1.1f5d7876e138fp-4, -0x1.209975dd41d2fp-4, -0x1.22239b3717d2bp-4, -0x1.24018fd2ecf1bp-4, -0x1.2637c1bf388bbp-4, -0x1.28c97edb6f46ap-4, -0x1.2bb90df8f30dbp-4, -0x1.2f07c74cc3fbp-4, -0x1.32b62b3753d7bp-4, -0x1.36c3f70b199d3p-4, -0x1.3b303836eb99ep-4, -0x1.3ff95e8e618bbp-4, -0x1.451d4e31fd19bp-4, -0x1.4a997119b06b3p-4, -0x1.506ac7e546f2dp-4, -0x1.568df97b984aep-4, -0x1.5cff61347bfccp-4, -0x1.63bb1b81e60d3p-4, -0x1.6abd1165bf3d5p-4, -0x1.720102da8409bp-4, -0x1.798290939dac4p-4, -0x1.813d45170014ap-4, -0x1.892c9d3b44944p-4, -0x1.914c0ff13c774p-4, -0x1.99971541038d4p-4, -0x1.a2092c6ff6954p-4, -0x1.aa9de14c671dep-4, -0x1.b350d0b65fff7p-4, -0x1.bc1dac75ef95ap-4, -0x1.c5003e816ee8ap-4, -0x1.cdf46bc9698d8p-4, -0x1.d6f636a14ded2p-4, -0x1.e001c0c7b8fc1p-4, -0x1.e9134d2fb51ddp-4, -0x1.f227415f0b97p-4, -0x1.fb3a2699b680ap-4, -0x1.02245558c38bap-3, -0x1.06a7d0477235dp-3, -0x1.0b26003ddeb66p-3, -0x1.0f9d7413236abp-3, -0x1.140ccd3b6bd25p-3, -0x1.1872bf9918727p-3, -0x1.1cce113a620fcp-3, -0x1.211d9a08e7639p-3, -0x1.2560436b0bc9cp-3, -0x1.299507da4678dp-3, -0x1.2dbaf2750e769p-3, -0x1.31d11e8611b06p-3, -0x1.35d6b709126c3p-3, -0x1.39caf62c4ef54p-3, -0x1.3dad24cbda889p-3, -0x1.417c99ee89feep-3, -0x1.4538ba3d700bp-3, -0x1.48e0f77d34753p-3, -0x1.4c74d0069bbfcp-3, -0x1.4ff3ce3bec98p-3, -0x1.535d880696195p-3, -0x1.56b19e4e3c555p-3, -0x1.59efbc78cf1ccp-3, -0x1.5d1797e8b0aedp-3, -0x1.6028ef7fa310bp-3, -0x1.63238b25f73bp-3, -0x1.66073b52b5355p-3, -0x1.68d3d89af8bbdp-3, -0x1.6b894342069d1p-3, -0x1.6e2762cebf29cp-3, -0x1.70ae25a800927p-3, -0x1.731d80ae2e50fp-3, -0x1.75756edf5d999p-3, -0x1.77b5f10036dcap-3, -0x1.79df0d3f7bf84p-3, -0x1.7bf0cee7abd9ep-3, -0x1.7deb461457b3fp-3, -0x1.7fce875fd4d4ep-3, -0x1.819aab9f9b4d4p-3, -0x1.834fcfa5e03b6p-3, -0x1.84ee13fa07ee6p-3, -0x1.86759c9cae13bp-3, -0x1.87e690d463b46p-3, -0x1.89411af155bfcp-3, -0x1.8a856817fd06cp-3, -0x1.8bb3a815a9d0ep-3, -0x1.8ccc0d302ae0bp-3, -0x1.8dcecbf4ed025p-3, -0x1.8ebc1b17ab3bep-3, -0x1.8f943345e7109p-3, -0x1.90574f01cf5cbp-3, -0x1.9105aa80f247fp-3, -0x1.919f838d179dp-3, -0x1.9225195ffac05p-3, -0x1.9296ac86ed838p-3, -0x1.92f47ecc0a2dap-3, -0x1.933ed31814d3bp-3, -0x1.9375ed5505936p-3, -0x1.939a125bc735cp-3, -0x1.93ab87e163ce5p-3, -0x1.93aa945b4dcd1p-3, -0x1.93977ee875003p-3, -0x1.93728f450421bp-3, -0x1.933c0dbae7151p-3, -0x1.92f443098f04ap-3, -0x1.929b785334fep-3, -0x1.9231f713a659fp-3, -0x1.91b809147c8eap-3, -0x1.912df85968ap-3, -0x1.90940f0f616ffp-3, -0x1.8fea978469144p-3, -0x1.8f31dc1ee6dcap-3, -0x1.8e6a274f28403p-3, -0x1.8d93c380ce717p-3, -0x1.8caefb1199039p-3, -0x1.8bbc184a18bf6p-3, -0x1.8abb6553af18p-3, -0x1.89ad2c2dddb43p-3, -0x1.8891b6a56828cp-3, -0x1.87694e4bc69f9p-3, -0x1.86343c6ec013ap-3, -0x1.84f2ca1163842p-3, -0x1.83a53fe687b34p-3, -0x1.824be64987a79p-3, -0x1.80e705341fd35p-3, -0x1.7f76e4362fe57p-3, -0x1.7dfbca73522e8p-3, -0x1.7c75fea14fcdbp-3, -0x1.7ae5c701d29b9p-3, -0x1.794b6954578fdp-3, -0x1.77a72ad1c2b2ep-3, -0x1.75f95029a2f25p-3, -0x1.74421d87e100fp-3, -0x1.7281d68d9c639p-3, -0x1.70b8be43bfb04p-3, -0x1.6ee71711df6fp-3, -0x1.6d0d22c0e047bp-3, -0x1.6b2b2281de246p-3, -0x1.694156ec46a62p-3, -0x1.674ffff0f69c2p-3, -0x1.65575ccd6208ap-3, -0x1.6357ac0ba4d7ep-3, -0x1.61512b8bce376p-3, -0x1.5f441889071f3p-3, -0x1.5d30af91b07eap-3, -0x1.5b172c78941efp-3, -0x1.58f7ca4d74485p-3, -0x1.56d2c363394bbp-3, -0x1.54a8515afd744p-3, -0x1.5278ad266167bp-3, -0x1.50440efd4c46p-3, -0x1.4e0aae506747bp-3, -0x1.4bccc1c524e99p-3, -0x1.498a7f3e1a603p-3, -0x1.47441be640505p-3, -0x1.44f9cc32e66dp-3, -0x1.42abc3da700a9p-3, -0x1.405a35c847543p-3, -0x1.3e055419169b3p-3, -0x1.3bad50225affep-3, -0x1.39525a7d98d93p-3, -0x1.36f4a30cc8a4ap-3, -0x1.349458f46efa1p-3, -0x1.3231aa91091b4p-3, -0x1.2fccc5715467ep-3, -0x1.2d65d65a697eep-3, -0x1.2afd0951f7b9p-3, -0x1.289289a608321p-3, -0x1.262681ec85479p-3, -0x1.23b91bfbccp-3, -0x1.214a80e34c671p-3, -0x1.1edad8ea611f8p-3, -0x1.1c6a4b96db0b8p-3, -0x1.19f8ffb618beap-3, -0x1.17871b62573f3p-3, -0x1.1514c4013a6e9p-3, -0x1.12a21e3dda6e8p-3, -0x1.102f4e03c8327p-3, -0x1.0dbc767f69dafp-3, -0x1.0b49ba23ed50ap-3, -0x1.08d73ab30281ep-3, -0x1.06651941cee6fp-3, -0x1.03f37638a1dccp-3, -0x1.0182714f0f2adp-3, -0x1.fe245310347e9p-4, -0x1.f9457a658b1fp-4, -0x1.f46893d900f47p-4, -0x1.ef8dd9536cc5bp-4, -0x1.eab583734c31ap-4, -0x1.e5dfc991f5a6fp-4, -0x1.e10ce1c05685dp-4, -0x1.dc3d00c1952cap-4, -0x1.d7705a08925f6p-4, -0x1.d2a71fbb86a0fp-4, -0x1.cde182bd1d2a2p-4, -0x1.c91fb2b718f13p-4, -0x1.c461de223bc3bp-4, -0x1.bfa8324907b92p-4, -0x1.baf2db45db69bp-4, -0x1.b64203ffe698cp-4, -0x1.b195d62a92ea4p-4, -0x1.acee7a499c60ep-4, -0x1.a84c17b937cd3p-4, -0x1.a3aed4b775e52p-4, -0x1.9f16d66ba1262p-4, -0x1.9a8440e994d01p-4, -0x1.95f73731026acp-4, -0x1.916fdb2b4a6f9p-4, -0x1.8cee4daad528fp-4, -0x1.8872ae6e59ab3p-4, -0x1.83fd1c2852951p-4, -0x1.7f8db487e2d76p-4, -0x1.7b249440c1356p-4, -0x1.76c1d70f977b2p-4, -0x1.726597ba87d75p-4, -0x1.6e0ff00f5346p-4, -0x1.69c0f8e20a153p-4, -0x1.6578ca0edeca4p-4, -0x1.61377a7ff2089p-4, -0x1.5cfd2035900c3p-4, -0x1.58c9d04e3a98fp-4, -0x1.549d9f0c48e5fp-4, -0x1.50789fd8449c8p-4, -0x1.4c5ae540d2cc7p-4, -0x1.484480fa053b3p-4, -0x1.443583de334d6p-4, -0x1.402dfdf18ca4ap-4, -0x1.3c2dfe67f7528p-4, -0x1.383593ab684e4p-4, -0x1.3444cb60eb8eep-4, -0x1.305bb26bbf088p-4, -0x1.2c7a54ef26192p-4, -0x1.28a0be5036fa1p-4, -0x1.24cef938a395dp-4, -0x1.21050f9ab22efp-4, -0x1.1d430ab624c11p-4, -0x1.1988f31c6dff3p-4, -0x1.15d6d0b38c757p-4, -0x1.122caab6e2be1p-4, -0x1.0e8a87b735382p-4, -0x1.0af06d9baab2fp-4, -0x1.075e61a55eb23p-4, -0x1.03d46875b65fbp-4, -0x1.005286162bd98p-4, -0x1.f9b17bff00319p-5, -0x1.f2ce263bded28p-5, -0x1.ebfb0fa495111p-5, -0x1.e5383bdf56241p-5, -0x1.de85ad70774eap-5, -0x1.d7e365b6aefdap-5, -0x1.d15164ef209b7p-5, -0x1.cacfaa42104dcp-5, -0x1.c45e33d5dc28fp-5, -0x1.bdfcfee2a0092p-5, -0x1.b7ac07c0bce91p-5, -0x1.b16b49efbcad2p-5, -0x1.ab3ac011159dp-5, -0x1.a51a63e553d5p-5, -0x1.9f0a2e3ddc865p-5, -0x1.990a16fdad5e3p-5, -0x1.931a151c0c066p-5, -0x1.8d3a1eb179921p-5, -0x1.876a29098c966p-5, -0x1.81aa28b51526ep-5, -0x1.7bfa11976ccbp-5, -0x1.7659d6ecb7076p-5, -0x1.70c96b487cf2ep-5, -0x1.6b48c0904b0adp-5, -0x1.65d7c7f5cd8c3p-5, -0x1.607671f4577c8p-5, -0x1.5b24ae53dbb32p-5, -0x1.55e26c317d8a3p-5, -0x1.50af9a0bfe979p-5, -0x1.4b8c25d1008f3p-5, -0x1.4677fce8159afp-5, -0x1.41730c398acfdp-5, -0x1.3c7d40307ea1cp-5, -0x1.379684b9db78p-5, -0x1.32bec54234e91p-5, -0x1.2df5ecb54f667p-5, -0x1.293be58071cbbp-5, -0x1.24909997b9d1ep-5, -0x1.1ff3f27d84257p-5, -0x1.1b65d94a96b4p-5, -0x1.16e636b584893p-5, -0x1.1274f31850042p-5, -0x1.0e11f673eb569p-5, -0x1.09bd2872110bcp-5, -0x1.05767066572cap-5, -0x1.013db54f9eed1p-5, -0x1.fa25bbb56962dp-6, -0x1.f1eba0ccb92d3p-6, -0x1.e9cce610d13d1p-6, -0x1.e1c95725fd6cbp-6, -0x1.d9e0bf32a7845p-6, -0x1.d212e8e6d9b3dp-6, -0x1.ca5f9e81b79cep-6, -0x1.c2c6a9d603305p-6, -0x1.bb47d44e27194p-6, -0x1.b3e2e6f1b569p-6, -0x1.ac97aa6b52a16p-6, -0x1.a565e7104be1cp-6, -0x1.9e4d64e84aa2bp-6, -0x1.974debb4e325cp-6, -0x1.906742f8069bp-6, -0x1.899931f92f783p-6, -0x1.82e37fc95fedcp-6, -0x1.7c45f3469d797p-6, -0x1.75c0531ffe226p-6, -0x1.6f5265dadf5e5p-6, -0x1.68fbf1d9469fbp-6, -0x1.62bcbd610ea98p-6, -0x1.5c948ea2d2bdap-6, -0x1.56832bbfa9194p-6, -0x1.50885acd3b72ep-6, -0x1.4aa3e1d87fa15p-6, -0x1.44d586e7d1399p-6, -0x1.3f1d0ffd80b0bp-6, -0x1.397a431bb5ab7p-6, -0x1.33ece649cbe34p-6, -0x1.2e74bf9ac05e8p-6, -0x1.29119533b8b31p-6, -0x1.23c32d517452cp-6, -0x1.1e894e4c0dc8ap-6, -0x1.1963be98e0f7ep-6, -0x1.145244cb59feap-6, -0x1.0f54a795d176dp-6, -0x1.0a6aadcb9fbfp-6, -0x1.05941e652fd77p-6, -0x1.00d0c085d1176p-6, -0x1.f840b704d14e9p-7, -0x1.ef056dcec5c08p-7, -0x1.e5ef34f935111p-7, -0x1.dcfd9c8cfc871p-7, -0x1.d430350a1e0ap-7, -0x1.cb868f63dfef9p-7, -0x1.c3003cff17497p-7, -0x1.ba9ccfb77062ap-7, -0x1.b25bd9e668b46p-7, -0x1.aa3cee792d702p-7, -0x1.a23fa0f984da2p-7, -0x1.9a63859ffb117p-7, -0x1.92a8315617d3cp-7, -0x1.8b0d39b2acbbfp-7, -0x1.839234ef15d6ep-7, -0x1.7c36b9db25a31p-7, -0x1.74fa5fd5e0839p-7, -0x1.6ddcbed002bc9p-7, -0x1.66dd6f59adff7p-7, -0x1.5ffc0ab8b9f42p-7, -0x1.59382b00dad1ap-7, -0x1.52916b2642f67p-7, -0x1.4c0767039e216p-7, -0x1.4599bb5157f11p-7, -0x1.3f48059044bdbp-7, -0x1.3911e3ef8665bp-7, -0x1.32f6f53743cb1p-7, -0x1.2cf6d8c16e205p-7, -0x1.27112e854874bp-7, -0x1.214597344934ep-7, -0x1.1b93b460aeb3ep-7, -0x1.15fb28a1d72eep-7, -0x1.107b97aa3c548p-7, -0x1.0b14a646b46e2p-7, -0x1.05c5fa4564f71p-7, -0x1.008f3a4b26c14p-7, -0x1.f6e01b481bac6p-8, -0x1.ecd0383dd69fcp-8, -0x1.e2ee1c01391f6p-8, -0x1.d939182bddaf5p-8, -0x1.cfb07fc20c794p-8, -0x1.c653a7ad3bd53p-8, -0x1.bd21e732a9de4p-8, -0x1.b41a984136904p-8, -0x1.ab3d177bbd063p-8, -0x1.a288c3f81fe7ap-8, -0x1.99fcfec0ddb2cp-8, -0x1.91992a3afa8d4p-8, -0x1.895ca99bf2449p-8, -0x1.8146e098c6f5ep-8, -0x1.7957336a3131fp-8, -0x1.718d072984669p-8, -0x1.69e7c2715ebfap-8, -0x1.6266ce1a24704p-8, -0x1.5b0995dbbc628p-8, -0x1.53cf88a9081f1p-8, -0x1.4cb818a5d525fp-8, -0x1.45c2bab51a1ffp-8, -0x1.3eeee5b8dcf7cp-8, -0x1.383c11b2b296fp-8, -0x1.31a9b6fdd00dbp-8, -0x1.2b374dd740b85p-8, -0x1.24e44e566c376p-8, -0x1.1eb030dcf954cp-8, -0x1.189a6ee5eb744p-8, -0x1.12a284036dc23p-8, -0x1.0cc7eecb422b8p-8, -0x1.070a317586eb2p-8, -0x1.0168d203373a4p-8, -0x1.f7c6b3be46ddap-9, -0x1.ecf2aa1adb922p-9, -0x1.e254a230fa787p-9, -0x1.d7ebb7f327c47p-9, -0x1.cdb7067ab488ep-9, -0x1.c3b5a72e519a1p-9, -0x1.b9e6b1fdf6dfdp-9, -0x1.b0493eaef0c6fp-9, -0x1.a6dc66f4724b5p-9, -0x1.9d9f48dcdd87ep-9, -0x1.94910902e4375p-9, -0x1.8bb0d3fd20ab1p-9, -0x1.82fddeb436db3p-9, -0x1.7a77658c8b2dbp-9, -0x1.721caa96f1692p-9, -0x1.69ecf32eff65p-9, -0x1.61e7858537ba3p-9, -0x1.5a0ba68ecefd7p-9, -0x1.525898bd1343p-9, -0x1.4acd9bbc7a84dp-9, -0x1.4369ed4e2d95dp-9, -0x1.3c2ccb1eaceecp-9, -0x1.351575414f969p-9, -0x1.2e2330cc52343p-9, -0x1.275549fe522d4p-9, -0x1.20ab156c0141ap-9, -0x1.1a23eff5db806p-9, -0x1.13bf3d93c83efp-9, -0x1.0d7c67581e43cp-9, -0x1.075ad90f080e6p-9, -0x1.0159ff02b096bp-9, -0x1.f6f288718cfeep-10, -0x1.eb70228c1dfb2p-10, -0x1.e02b97cd34167p-10, -0x1.d523aed8fb803p-10, -0x1.ca572c10c836fp-10, -0x1.bfc4d5b12ef7cp-10, -0x1.b56b78cf3c348p-10, -0x1.ab49ee2564098p-10, -0x1.a15f1d7a159f5p-10, -0x1.97a9feb749dedp-10, -0x1.8e29987789c88p-10, -0x1.84dcfc92716e4p-10, -0x1.7bc343c171a16p-10, -0x1.72db898453cc2p-10, -0x1.6a24e907c4171p-10, -0x1.619e7b2ea92f2p-10, -0x1.5947556c277e5p-10, -0x1.511e89123d1f8p-10, -0x1.4923231b28f2bp-10, -0x1.41542ce1f31efp-10, -0x1.39b0ae567e3d3p-10, -0x1.3237b1caee449p-10, -0x1.2ae848b40c4e6p-10, -0x1.23c1901466886p-10, -0x1.1cc2b32986491p-10, -0x1.15eaeb74d140bp-10, -0x1.0f397e2a14f2ep-10, -0x1.08adb80396929p-10, -0x1.0246e9091004p-10, -0x1.f808c369ee9e2p-11, -0x1.ebcae4203aaf2p-11, -0x1.dfd2d48813927p-11, -0x1.d41f36c5b1a72p-11, -0x1.c8aeae686c8c2p-11, -0x1.bd7fdd78038cfp-11, -0x1.b29160ae613fep-11, -0x1.a7e1cde2444f5p-11, -0x1.9d6fb6fe53f1fp-11, -0x1.9339b19fb80fdp-11, -0x1.893e61027fca5p-11, -0x1.7f7c7e90ba1d8p-11, -0x1.75f2ddc7f647bp-11, -0x1.6ca069e14a528p-11, -0x1.63841e02b453ap-11, -0x1.5a9cfaef25597p-11, -0x1.51e9fe40d0c41p-11, -0x1.496a1ea365e22p-11, -0x1.411c4e1daf5eap-11, -0x1.38ff8053e4825p-11, -0x1.3112b07a59986p-11, -0x1.2954e2d2a14ap-11, -0x1.21c520362e00ep-11, -0x1.1a626de455b2cp-11, -0x1.132bc65fbd2f3p-11, -0x1.0c2017de93e02p-11, -0x1.053e49e470d41p-11, -0x1.fd0a8fe9e15c1p-12, -0x1.efe81a431dfc4p-12, -0x1.e31358af6b82ap-12, -0x1.d68aa5d0d6f61p-12, -0x1.ca4c895a73907p-12, -0x1.be57a649b86adp-12, -0x1.b2aaa5594a2efp-12, -0x1.a74424086ffbbp-12, -0x1.9c22af2519b26p-12, -0x1.9144cac00964cp-12, -0x1.86a903069be5dp-12, -0x1.7c4dfcb42ecb7p-12, -0x1.72327b54a507dp-12, -0x1.6855582f38becp-12, -0x1.5eb56cd8348cp-12, -0x1.55517bc8c2b84p-12, -0x1.4c28234ba45e5p-12, -0x1.4337e167d05e9p-12, -0x1.3a7f25b66c639p-12, -0x1.31fc675a74aa9p-12, -0x1.29ae3630fadf7p-12, -0x1.21934400ab844p-12, -0x1.19aa664377fd2p-12, -0x1.11f2910449c9bp-12, -0x1.0a6acb16e9879p-12, -0x1.03121e7cb640ap-12, -0x1.f7cf1569b7472p-13, -0x1.e9d3fd5c2339p-13, -0x1.dc30ba551bd02p-13, -0x1.cee314c810fe5p-13, -0x1.c1e8fb5d1111fp-13, -0x1.b5409d9e0d956p-13, -0x1.a8e86e0f071e2p-13, -0x1.9cdf065910b81p-13, -0x1.9122f924542d6p-13, -0x1.85b2aa831743dp-13, -0x1.7a8c455da99fcp-13, -0x1.6fadd18be3ad4p-13, -0x1.651558570c893p-13, -0x1.5ac0fb5aba02ep-13, -0x1.50aef73d459d8p-13, -0x1.46dda1403d929p-13, -0x1.3d4b6f326e374p-13, -0x1.33f704425c078p-13, -0x1.2adf30c24cadfp-13, -0x1.2202dd90365fp-13, -0x1.1960ecf94ab2ap-13, -0x1.10f820dd9d9eap-13, -0x1.08c711cf06591p-13, -0x1.00cc3ba3ec28fp-13, -0x1.f20c35c2fecb4p-14, -0x1.e2e69a8e34613p-14, -0x1.d42549d6e1c25p-14, -0x1.c5c6488ddc05cp-14, -0x1.b7c7cafe8e1fbp-14, -0x1.aa27f1da5071ap-14, -0x1.9ce496f325902p-14, -0x1.8ffb47db36dd5p-14, -0x1.836973ebb249fp-14, -0x1.772ca733cbdcap-14, -0x1.6b429779c276bp-14, -0x1.5fa8f8dc2a39ap-14, -0x1.545d5ce822109p-14, -0x1.495d600c2df44p-14, -0x1.3ea709c4526dp-14, -0x1.3438ff3a7ee8ep-14, -0x1.2a1254b78c6c8p-14, -0x1.20322649c660ap-14, -0x1.169742c707286p-14, -0x1.0d40154128c7ep-14, -0x1.042ac6d28820bp-14, -0x1.f6aae4700f434p-15, -0x1.e57c89c264a7bp-15, -0x1.d4c70cf53ef6bp-15, -0x1.c487313cc537fp-15, -0x1.b4b9faa819c08p-15, -0x1.a55cbe2c5a8d2p-15, -0x1.966d1248a146p-15, -0x1.87e890c1e2e4ap-15, -0x1.79cc900425ca2p-15, -0x1.6c1621609c7ddp-15, -0x1.5ec26c3bc5e89p-15, -0x1.51cefb3654f45p-15, -0x1.45397226e0ddfp-15, -0x1.38fee4d9bd176p-15, -0x1.2d1bc92f4c772p-15, -0x1.218cee7107eb5p-15, -0x1.16507bd9334c7p-15, -0x1.0b65c7e24da86p-15, -0x1.00cc37004cd08p-15, -0x1.ed049a1d23abdp-16, -0x1.d90b61e78dbecp-16, -0x1.c5a7c6d7b8b77p-16, -0x1.b2d5bee0194abp-16, -0x1.a0923ba0d34ep-16, -0x1.8eda50e3f84c9p-16, -0x1.7daa8ee8aa9ep-16, -0x1.6cff1c23bee9bp-16, -0x1.5cd442a71c87dp-16, -0x1.4d26ea80537acp-16, -0x1.3df4b80a9fc73p-16, -0x1.2f3bbd04976f3p-16, -0x1.20f9cd40cb369p-16, -0x1.132bcdc0090c6p-16, -0x1.05cda4d76084ep-16, -0x1.f1b63925111c2p-17, -0x1.d8a1b5c4504ep-17, -0x1.c0580e9810396p-17, -0x1.a8d194dc989b5p-17, -0x1.9203e9dc1e3a2p-17, -0x1.7be63f72e30d9p-17, -0x1.66758024eb223p-17, -0x1.51b24911b690dp-17, -0x1.3d9b48fd3ed0ap-17, -0x1.2a2aedcba9671p-17, -0x1.175a2694a3ec1p-17, -0x1.052431e357fdap-17, -0x1.e70e7bb95363cp-18, -0x1.c50406720c625p-18, -0x1.a4233e0e8276cp-18, -0x1.8462d28674afdp-18, -0x1.65b7e0b348a14p-18, -0x1.4817cf4eff6fep-18, -0x1.2b79596032aa3p-18, -0x1.0fd4ffdd2d878p-18, -0x1.ea4a566f21314p-19, -0x1.b6cc015976fd1p-19, -0x1.85293707ec77bp-19, -0x1.555ac65de8b81p-19, -0x1.2754ac6e984dap-19, -0x1.f60d877d9dfbbp-20, -0x1.a0c5763e31305p-20, -0x1.4ec12004c6605p-20, -0x1.ffe61a25fee84p-21, -0x1.68779cd7b0a18p-21, -0x1.adaaa8abd976fp-22, -0x1.2af55ac32e5a3p-23, 0x1.deac51c20bed4p-24, 0x1.79d848513cd41p-22, 0x1.38c6b2c20472p-21, 0x1.afb7947119b38p-21, 0x1.10f408e0253bfp-20, 0x1.47aea148a3382p-20, 0x1.7c12ac4c7583dp-20, 0x1.ae3407677c7ccp-20, 0x1.de2bc7dba404cp-20, 0x1.06088f4ecd899p-19, 0x1.1bfbd9e72a622p-19, 0x1.30f81fbb35bfp-19, 0x1.450483350bcb4p-19, 0x1.5827176f380b4p-19, 0x1.6a652a4c779aap-19, 0x1.7bc39350f26a7p-19, 0x1.8c46d1379c566p-19, 0x1.9bf32ed3da74ep-19, 0x1.aacdb0ba55c51p-19, 0x1.b8dddfe6d4db5p-19, 0x1.c62e3f208d32fp-19, 0x1.d2c8ff53cf05ap-19, 0x1.deb2f18c90896p-19, 0x1.e9ea23bc083b7p-19, 0x1.f46ca7c5abf31p-19, 0x1.fe42c6f693828p-19, 0x1.03bcd8994bab6p-18, 0x1.080a8c3876e76p-18, 0x1.0c0b46c9504fcp-18, 0x1.0fc47ba5ee49bp-18, 0x1.133b39938bdecp-18, 0x1.166fb836ae1a5p-18, 0x1.1961bd0f4b7a6p-18, 0x1.1c13d5cf98814p-18, 0x1.1e897c2b8eac7p-18, 0x1.20c55129fa277p-18, 0x1.22c91425262ep-18, 0x1.2496266853148p-18, 0x1.262de2bf24e16p-18, 0x1.2791bf85443dp-18, 0x1.28c35549752cap-18, 0x1.29c462423a00bp-18, 0x1.2a96d2de4b34fp-18, 0x1.2b3cc51299c31p-18, 0x1.2bb873bff2521p-18, 0x1.2c0bffd2636ccp-18, 0x1.2c392c458b63cp-18, 0x1.2c41527a48af3p-18, 0x1.2c25c66754641p-18, 0x1.2be8402cb121ap-18, 0x1.2b8a85d160f3ap-18, 0x1.2b0d77e2d344p-18, 0x1.2a706b06b4ef9p-18, 0x1.29b243e0874dbp-18, 0x1.28d53b94800d3p-18, 0x1.27de6ae6ad167p-18, 0x1.26cf15c27c7cep-18, 0x1.25a703143e666p-18, 0x1.2467c6590eecbp-18, 0x1.2310b5a747628p-18, 0x1.21a0eb1323ab6p-18, 0x1.201a4a592a721p-18, 0x1.1e7f7090b91b5p-18, 0x1.1cd2272576511p-18, 0x1.1b13880b9fa92p-18, 0x1.19445debf4b15p-18, 0x1.176554efc6437p-18, 0x1.15770fa9c37b3p-18, 0x1.137a3196c3974p-18, 0x1.116f647823cf5p-18, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      {{-0x1.eb9185af7870bp-7, -0x1.e4fe05e2175efp-7, -0x1.d9ef5f23715b1p-7, -0x1.ca42ac1209592p-7, -0x1.b5cae01c5f18p-7, -0x1.9c5384b111c42p-7, -0x1.7da384acf696dp-7, -0x1.597fdb9854f81p-7, -0x1.2fae0774665ebp-7, -0x1.ffec4f53cd151p-8, -0x1.94497f22f51e2p-8, -0x1.1c183996eff4ep-8, -0x1.2e15a0aeea17p-9, -0x1.38b5b950b4ac8p-14, 0x1.351ba3ce34d82p-9, 0x1.47645b1259a53p-8, 0x1.00d65f84f9479p-7, 0x1.64b0e14345f6fp-7, 0x1.cf3699733275p-7, 0x1.202a16279f071p-6, 0x1.5bf725888d8cap-6, 0x1.9af10b2d31e7p-6, 0x1.dd02c84977f02p-6, 0x1.110a075668217p-5, 0x1.3504c2ca86ecdp-5, 0x1.5a62891739205p-5, 0x1.8113112c5f27bp-5, 0x1.a904fc2b1919cp-5, 0x1.d225fb0fd66fep-5, 0x1.fc62f39bcde0cp-5, 0x1.13d411fefdaf7p-4, 0x1.29f0a26889d59p-4, 0x1.407cd48d7831fp-4, 0x1.576e2e0872489p-4, 0x1.6eba1e3d528ddp-4, 0x1.86560ad0f0f9p-4, 0x1.9e375ae755d24p-4, 0x1.b6538130286c9p-4, 0x1.cea004cf3ec1fp-4, 0x1.e71289341e823p-4, 0x1.ffa0d4f64cb65p-4, 0x1.0c206be74336bp-3, 0x1.187457e2d420bp-3, 0x1.24c756d8f745bp-3, 0x1.3114ac8d2b762p-3, 0x1.3d57b9cb1a034p-3, 0x1.498bfdde8e79fp-3, 0x1.55ad17dc850fp-3, 0x1.61b6c7c4ecf44p-3, 0x1.6da4ef839521bp-3, 0x1.797393d565b56p-3, 0x1.851edd15ef755p-3, 0x1.90a317f8496dcp-3, 0x1.9bfcb62d3592p-3, 0x1.a7284ef7d1d44p-3, 0x1.b2229fb14c737p-3, 0x1.bce88c3b9d418p-3, 0x1.c7771f62cc42p-3, 0x1.d1cb8b2c1776dp-3, 0x1.dbe32911fb68ep-3, 0x1.e5bb7a2c29e4ap-3, 0x1.ef5227426c4f1p-3, 0x1.f8a500c97ecep-3, 0x1.00d8ff6490ef7p-2, 0x1.053ba05558c75p-2, 0x1.09798677f6803p-2, 0x1.0d91e868d857cp-2, 0x1.11840fe35d273p-2, 0x1.154f59796080fp-2, 0x1.18f3343f3a00dp-2, 0x1.1c6f216c92c2p-2, 0x1.1fc2b3f290865p-2, 0x1.22ed9007f2401p-2, 0x1.25ef6aabcb461p-2, 0x1.28c8091fa1ca3p-2, 0x1.2b774059c48f3p-2, 0x1.2dfcf470b514ep-2, 0x1.30591800934b3p-2, 0x1.328bab8b73014p-2, 0x1.3494bcd59865ep-2, 0x1.3674663e827e5p-2, 0x1.382ace17babf8p-2, 0x1.39b825fa52011p-2, 0x1.3b1caa1befecep-2, 0x1.3c58a0a44bfcdp-2, 0x1.3d6c5903e7167p-2, 0x1.3e582b4cbf5d8p-2, 0x1.3f1c778dbf50fp-2, 0x1.3fb9a53188484p-2, 0x1.4030226138d9cp-2, 0x1.4080636bb2a87p-2, 0x1.40aae231e2ab4p-2, 0x1.40b01d9871848p-2, 0x1.409098ff39271p-2, 0x1.404cdbbed4ab7p-2, 0x1.3fe570ac7a449p-2, 0x1.3f5ae5a4630fcp-2, 0x1.3eadcb1ad1756p-2, 0x1.3ddeb3b3db0cep-2, 0x1.3cee33e1f754ep-2, 0x1.3bdce18b56545p-2, 0x1.3aab53b5f3444p-2, 0x1.395a223a4aa13p-2, 0x1.37e9e57c9b038p-2, 0x1.365b362c88b86p-2, 0x1.34aead0af49c7p-2, 0x1.32e4e2b5d4141p-2, 0x1.30fe6f79d55b6p-2, 0x1.2efbeb298b90bp-2, 0x1.2cddecf9e9bedp-2, 0x1.2aa50b63bdbbbp-2, 0x1.2851dc09ee9b3p-2, 0x1.25e4f3a42dc9cp-2, 0x1.235ee5edd550ap-2, 0x1.20c04598a5dd4p-2, 0x1.1e09a4431a36bp-2, 0x1.1b3b927205cecp-2, 0x1.18569f8d3419bp-2, 0x1.155b59dec0fddp-2, 0x1.124a4e94e005cp-2, 0x1.0f2409c5cfeddp-2, 0x1.0be91675b5eeep-2, 0x1.0899fe9e1fb0fp-2, 0x1.05374b36ecffdp-2, 0x1.01c1844068162p-2, 0x1.fc72619c9a516p-3, 0x1.f53dae27252a4p-3, 0x1.ede5f8dd7b98ep-3, 0x1.e66c4aed16bb4p-3, 0x1.ded1ac0d9b12ap-3, 0x1.d717229a968bdp-3, 0x1.cf3db3acf9ebdp-3, 0x1.c74663340d69ap-3, 0x1.bf32340d99371p-3, 0x1.b702281d09abbp-3, 0x1.aeb740615a4cp-3, 0x1.a6527d099f364p-3, 0x1.9dd4dd87fbb2ap-3, 0x1.953f60a2e55bap-3, 0x1.8c9304849b3dp-3, 0x1.83d0c6c8b2209p-3, 0x1.7af9a4879e487p-3, 0x1.720e9a603b786p-3, 0x1.6910a47f301ecp-3, 0x1.6000bea4370cap-3, 0x1.56dfe425444d3p-3, 0x1.4daf0fef851d5p-3, 0x1.446f3c86420c2p-3, 0x1.3b2163ffa506cp-3, 0x1.31c67fff6dde3p-3, 0x1.285f89afa43abp-3, 0x1.1eed79b74d24dp-3, 0x1.1571482f43cf8p-3, 0x1.0bebec952f7ap-3, 0x1.025e5dbcc345fp-3, 0x1.f193237e9c555p-4, 0x1.de5cfbd36ad01p-4, 0x1.cb1c2d51dd2b8p-4, 0x1.b7d29eea373a7p-4, 0x1.a4823576a6573p-4, 0x1.912cd38c74c28p-4, 0x1.7dd4594b0a0e9p-4, 0x1.6a7aa428f7659p-4, 0x1.57218ebf36e51p-4, 0x1.43caf092e007fp-4, 0x1.30789ddd7c0b7p-4, 0x1.1d2c67543d55dp-4, 0x1.09e819ee3a6a1p-4, 0x1.ed5afd53ea224p-5, 0x1.c6fcb4a49df07p-5, 0x1.a0b8da8650366p-5, 0x1.7a92e65ba04bbp-5, 0x1.548e45bafd639p-5, 0x1.2eae5bf7f6bb6p-5, 0x1.08f681ad54574p-5, 0x1.c6d40890569e6p-6, 0x1.7c184b28b8516p-6, 0x1.31c036958ba7ep-6, 0x1.cfa43a8577677p-7, 0x1.3ca86f76585bep-7, 0x1.55328f4966565p-8, 0x1.982c7a74dfb55p-11, -0x1.da3d1244822cep-9, -0x1.05914b43483d8p-7, -0x1.9377f658b70f1p-7, -0x1.101c1669aa583p-6, -0x1.55e38a160ac64p-6, -0x1.9b0d08d105e07p-6, -0x1.df9365bccfbadp-6, -0x1.11b8ca8ac87ep-5, -0x1.3351566021cdfp-5, -0x1.5490f2687d03p-5, -0x1.75754c04219a7p-5, -0x1.95fc2223c777dp-5, -0x1.b623457e4fc2cp-5, -0x1.d5e898c1e4da3p-5, -0x1.f54a10c076cedp-5, -0x1.0a22da4bd32aep-4, -0x1.196cceea0323dp-4, -0x1.2881fc47de3b4p-4, -0x1.376181c64472fp-4, -0x1.460a8824954b5p-4, -0x1.547c41891b82ep-4, -0x1.62b5e98735589p-4, -0x1.70b6c5233f7a1p-4, -0x1.7e7e22d44811ap-4, -0x1.8c0b5a8395909p-4, -0x1.995dcd8a0324fp-4, -0x1.a674e6ab4742dp-4, -0x1.b3501a0f227fap-4, -0x1.bfeee5388b263p-4, -0x1.cc50cefaddc9dp-4, -0x1.d875676d1e469p-4, -0x1.e45c47db51199p-4, -0x1.f00512b60d16dp-4, -0x1.fb6f738041f5fp-4, -0x1.034d8f5d9c7fbp-3, -0x1.08c3e8e883304p-3, -0x1.0e1aa97ea3fd2p-3, -0x1.1351b89a3174bp-3, -0x1.18690204a2892p-3, -0x1.1d6075c8dc60cp-3, -0x1.22380824aa778p-3, -0x1.26efb17996aa5p-3, -0x1.2b876e3d1be47p-3, -0x1.2fff3ee846c89p-3, -0x1.345727e6c618ep-3, -0x1.388f318571e6dp-3, -0x1.3ca767e0579dcp-3, -0x1.409fdad04bc96p-3, -0x1.44789dd80d07dp-3, -0x1.4831c81102b4ep-3, -0x1.4bcb7417958c7p-3, -0x1.4f45bff7367fbp-3, -0x1.52a0cd160f55bp-3, -0x1.55dcc0206dcfap-3, -0x1.58f9c0f3ea309p-3, -0x1.5bf7fa8a52d64p-3, -0x1.5ed79ae466901p-3, -0x1.6198d2f45b0fdp-3, -0x1.643bd68843b07p-3, -0x1.66c0dc3458928p-3, -0x1.69281d3d18c64p-3, -0x1.6b71d5816b959p-3, -0x1.6d9e4364a303bp-3, -0x1.6fada7b882b36p-3, -0x1.71a045a73ee26p-3, -0x1.7376629d8511cp-3, -0x1.75304634858f6p-3, -0x1.76ce3a1c15a0ap-3, -0x1.78508a04dd1c3p-3, -0x1.79b7838aa3aeap-3, -0x1.7b03761eb25ap-3, -0x1.7c34b2f261d13p-3, -0x1.7d4b8ce1c337ap-3, -0x1.7e48585e812b8p-3, -0x1.7f2b6b5adeb89p-3, -0x1.7ff51d34f6817p-3, -0x1.80a5c6a226c43p-3, -0x1.813dc19abaf24p-3, -0x1.81bd6945cf563p-3, -0x1.822519e574ef1p-3, -0x1.827530c319072p-3, -0x1.82ae0c1c2fa43p-3, -0x1.82d00b0f27daep-3, -0x1.82db8d88a923cp-3, -0x1.82d0f4311c568p-3, -0x1.82b0a05a88349p-3, -0x1.827af3eeb614ap-3, -0x1.8230515db3cbcp-3, -0x1.81d11b8c9f78bp-3, -0x1.815db5c4cc277p-3, -0x1.80d683a345734p-3, -0x1.803be9089ececp-3, -0x1.7f8e4a09246efp-3, -0x1.7ece0add66cf5p-3, -0x1.7dfb8fd319c6ep-3, -0x1.7d173d3e5d29cp-3, -0x1.7c21776b52d3ap-3, -0x1.7b1aa2901f203p-3, -0x1.7a0322bf3cf43p-3, -0x1.78db5bda36eddp-3, -0x1.77a3b184bdd28p-3, -0x1.765c8718144edp-3, -0x1.75063f96e7c91p-3, -0x1.73a13da17b015p-3, -0x1.722de36a3416fp-3, -0x1.70ac92aa88ac5p-3, -0x1.6f1dac9842e1ap-3, -0x1.6d8191db28d45p-3, -0x1.6bd8a282fc13bp-3, -0x1.6a233dfdd815dp-3, -0x1.6861c30ee7c09p-3, -0x1.66948fc57bb4dp-3, -0x1.64bc017470a54p-3, -0x1.62d874a9f911cp-3, -0x1.60ea4527b7f01p-3, -0x1.5ef1cddb334a2p-3, -0x1.5cef68d69b4ddp-3, -0x1.5ae36f49edb87p-3, -0x1.58ce397c64e7dp-3, -0x1.56b01ec637d7fp-3, -0x1.5489758ab67c6p-3, -0x1.525a9332aab61p-3, -0x1.5023cc270e9aep-3, -0x1.4de573cc1026p-3, -0x1.4b9fdc7c5a64ap-3, -0x1.49535784b6992p-3, -0x1.4700351fe84d3p-3, -0x1.44a6c472df978p-3, -0x1.42475389248e8p-3, -0x1.3fe22f5191e48p-3, -0x1.3d77a39b517d5p-3, -0x1.3b07fb131afbep-3, -0x1.38937f40ae1fcp-3, -0x1.361a788497069p-3, -0x1.339d2e162ab85p-3, -0x1.311be601bbff9p-3, -0x1.2e96e52715be9p-3, -0x1.2c0e6f382767cp-3, -0x1.2982c6b7eaa34p-3, -0x1.26f42cf9813f4p-3, -0x1.2462e21f8b6cbp-3, -0x1.21cf251ba833ap-3, -0x1.1f3933ae337b3p-3, -0x1.1ca14a662c875p-3, -0x1.1a07a4a1505bdp-3, -0x1.176c7c8c62beap-3, -0x1.14d00b239b4a2p-3, -0x1.123288334babep-3, -0x1.0f942a58a3cc2p-3, -0x1.0cf52702a10e7p-3, -0x1.0a55b27327cb9p-3, -0x1.07b5ffc03ff9fp-3, -0x1.051640d576c86p-3, -0x1.0276a6755d3f1p-3, -0x1.ffaec0766afefp-4, -0x1.fa7139395fb33p-4, -0x1.f53511d7a432ep-4, -0x1.effaa2b1f979fp-4, -0x1.eac241ea0383p-4, -0x1.e58c4366c287dp-4, -0x1.e058f8d93d837p-4, -0x1.db28b1c14a9d1p-4, -0x1.d5fbbb72a1758p-4, -0x1.d0d2611a099abp-4, -0x1.cbacebc2b6b85p-4, -0x1.c68ba25bc9ba5p-4, -0x1.c16ec9bdffac6p-4, -0x1.bc56a4b18206ap-4, -0x1.b74373f3d15dap-4, -0x1.b235763dd8883p-4, -0x1.ad2ce84a18673p-4, -0x1.a82a04daf1947p-4, -0x1.a32d04c106b36p-4, -0x1.9e361ee1b924bp-4, -0x1.9945883db752p-4, -0x1.945b73f7a0f66p-4, -0x1.8f78135ac138p-4, -0x1.8a9b95e1d67a4p-4, -0x1.85c6293de951p-4, -0x1.80f7f95d312c9p-4, -0x1.7c31307207ap-4, -0x1.7771f6f9e0ee1p-4, -0x1.72ba73c4524f2p-4, -0x1.6e0acbfa1f40dp-4, -0x1.696323244b3b2p-4, -0x1.64c39b333106dp-4, -0x1.602c54859c8a8p-4, -0x1.5b9d6defe9deap-4, -0x1.571704c32109cp-4, -0x1.529934d418996p-4, -0x1.4e2418828cf86p-4, -0x1.49b7c8c040eb6p-4, -0x1.45545d180fccfp-4, -0x1.40f9ebb50240bp-4, -0x1.3ca889695c63dp-4, -0x1.386049b5a223bp-4, -0x1.34213ecf9a86p-4, -0x1.2feb79a944b16p-4, -0x1.2bbf09f7c6739p-4, -0x1.279bfe3a51745p-4, -0x1.238263c0fcf96p-4, -0x1.1f7246b3962a9p-4, -0x1.1b6bb21860da5p-4, -0x1.176eafdaccdefp-4, -0x1.137b48d2210b5p-4, -0x1.0f9184c815f77p-4, -0x1.0bb16a7f617b7p-4, -0x1.07daffba32dc6p-4, -0x1.040e4940a199dp-4, -0x1.004b4ae70afeep-4, -0x1.f9240f28b9be5p-5, -0x1.f1c50290aa24fp-5, -0x1.ea7972435530bp-5, -0x1.e3415ec84c64ep-5, -0x1.dc1cc6fd50b1fp-5, -0x1.d50ba8223dfffp-5, -0x1.ce0dfde4ca09cp-5, -0x1.c723c26c2333ep-5, -0x1.c04cee6466ecap-5, -0x1.b9897909f2671p-5, -0x1.b2d95834864c7p-5, -0x1.ac3c8062468a3p-5, -0x1.a5b2e4c296973p-5, -0x1.9f3c7740bc046p-5, -0x1.98d9288e71ed1p-5, -0x1.9288e82e39331p-5, -0x1.8c4ba47d9452bp-5, -0x1.86214abf0aeb6p-5, -0x1.8009c7240d43cp-5, -0x1.7a0504d6a6e54p-5, -0x1.7412ee030adedp-5, -0x1.6e336be0f627ep-5, -0x1.686666bce5553p-5, -0x1.62abc6012669bp-5, -0x1.5d03703ebacdfp-5, -0x1.576d4b36112b2p-5, -0x1.51e93bdf9783ep-5, -0x1.4c7726741fea3p-5, -0x1.4716ee751d18bp-5, -0x1.41c876b4b5e1cp-5, -0x1.3c8ba15db1907p-5, -0x1.37604ffb3a11p-5, -0x1.3246638075fd1p-5, -0x1.2d3dbc4ff3dcp-5, -0x1.28463a42f55f8p-5, -0x1.235fbcb08f585p-5, -0x1.1e8a2274a45ffp-5, -0x1.19c549f6ac7dfp-5, -0x1.151111306a813p-5, -0x1.106d55b466f15p-5, -0x1.0bd9f4b4525f2p-5, -0x1.0756cb0739438p-5, -0x1.02e3b52f912a9p-5, -0x1.fd011ec257a9dp-6, -0x1.f45a6b0dea71bp-6, -0x1.ebd3069135fc9p-6, -0x1.e36aa8200c7b5p-6, -0x1.db21061d7d746p-6, -0x1.d2f5d68623e32p-6, -0x1.cae8cefa70d3ap-6, -0x1.c2f9a4c8769f2p-6, -0x1.bb280cf591aep-6, -0x1.b373bc47bd7d2p-6, -0x1.abdc674eb2bedp-6, -0x1.a461c26cbf1e7p-6, -0x1.9d0381df5dae8p-6, -0x1.95c159c79386cp-6, -0x1.8e9afe3200628p-6, -0x1.8790231ecb5bdp-6, -0x1.80a07c8927815p-6, -0x1.79cbbe6ed86bfp-6, -0x1.73119cd7485a4p-6, -0x1.6c71cbda79b3dp-6, -0x1.65ebffa7c5e32p-6, -0x1.5f7fec8c4ca9fp-6, -0x1.592d46f9512b5p-6, -0x1.52f3c38a4c5d2p-6, -0x1.4cd3170ab64b8p-6, -0x1.46caf67bc4196p-6, -0x1.40db1719d1903p-6, -0x1.3b032e61abb8ep-6, -0x1.3542f215a329bp-6, -0x1.2f9a184275837p-6, -0x1.2a085743efdc3p-6, -0x1.248d65c98f0d8p-6, -0x1.1f28fadac4888p-6, -0x1.19dacddb2badap-6, -0x1.14a2968e83557p-6, -0x1.0f800d1c8c9bp-6, -0x1.0a72ea14ad226p-6, -0x1.057ae67175ed5p-6, -0x1.0097bb9c037cp-6, -0x1.f79246de49dcep-7, -0x1.ee1db0750211bp-7, -0x1.e4d1298ad1c77p-7, -0x1.dbac28a35f118p-7, -0x1.d2ae253c6f58ep-7, -0x1.c9d697d2f354ep-7, -0x1.c124f9e7c86bep-7, -0x1.b898c60429dc5p-7, -0x1.b03177bdd5e57p-7, -0x1.a7ee8bbb16cb3p-7, -0x1.9fcf7fb65f7bp-7, -0x1.97d3d281fa7cbp-7, -0x1.8ffb040b29567p-7, -0x1.8844955d2ed3ap-7, -0x1.80b008a4334c9p-7, -0x1.793ce12fb6ee8p-7, -0x1.71eaa3752fa4bp-7, -0x1.6ab8d51211d31p-7, -0x1.63a6fccdf265ep-7, -0x1.5cb4a29c4bfe7p-7, -0x1.55e14f9e1e2p-7, -0x1.4f2c8e236a96p-7, -0x1.4895e9ac7a8e6p-7, -0x1.421ceeeb15112p-7, -0x1.3bc12bc3690c5p-7, -0x1.35822f4cbf806p-7, -0x1.2f5f89d23fb07p-7, -0x1.2958ccd36f106p-7, -0x1.236d8b047cfc2p-7, -0x1.1d9d584e8b571p-7, -0x1.17e7c9cfc11f4p-7, -0x1.124c75db44607p-7, -0x1.0ccaf3f905fd9p-7, -0x1.0762dce57a9ddp-7, -0x1.0213ca913c199p-7, -0x1.f9bab040ea47fp-8, -0x1.ef7e43d4b0b5bp-8, -0x1.e5718af09a573p-8, -0x1.db93c30a48a31p-8, -0x1.d1e42bf85201dp-8, -0x1.c86207f045be4p-8, -0x1.bf0c9b844e915p-8, -0x1.b5e32da0f10bfp-8, -0x1.ace5078a9dcfep-8, -0x1.a41174da9544dp-8, -0x1.9b67c37c5c43p-8, -0x1.92e743aa7a58ap-8, -0x1.8a8f47eb7a34ep-8, -0x1.825f250e9e5b6p-8, -0x1.7a56322860ecbp-8, -0x1.7273c88efe215p-8, -0x1.6ab743d6a61a1p-8, -0x1.632001cdddfacp-8, -0x1.5bad627989c27p-8, -0x1.545ec8110af84p-8, -0x1.4d3396fa2874fp-8, -0x1.462b35c4d8e66p-8, -0x1.3f450d270de32p-8, -0x1.388087f841a1cp-8, -0x1.31dd132d4f46ep-8, -0x1.2b5a1dd3bb5e6p-8, -0x1.24f7190d5f686p-8, -0x1.1eb3780bcb176p-8, -0x1.188eb00b6eaaep-8, -0x1.1288384f2545fp-8, -0x1.0c9f8a1b35112p-8, -0x1.06d420b0b198fp-8, -0x1.012579489b762p-8, -0x1.f726261def999p-9, -0x1.ec38de3bacaf5p-9, -0x1.e18220f0f8a5dp-9, -0x1.d700f80cd6bf7p-9, -0x1.ccb4711c63994p-9, -0x1.c29b9d610d2a8p-9, -0x1.b8b591c690386p-9, -0x1.af0166d8eb17bp-9, -0x1.a57e38b9fecd2p-9, -0x1.9c2b27177cbe5p-9, -0x1.93075520a367bp-9, -0x1.8a11e97c40e19p-9, -0x1.814a0e3e3f2c8p-9, -0x1.78aef0ddb8b9bp-9, -0x1.703fc22a8f69ap-9, -0x1.67fbb6438aa6ap-9, -0x1.5fe2048be200cp-9, -0x1.57f1e7a10646ep-9, -0x1.502a9d50b06ep-9, -0x1.488b668e9e477p-9, -0x1.4113876ac4dfbp-9, -0x1.39c2470721788p-9, -0x1.3296ef8da4693p-9, -0x1.2b90ce263c14ep-9, -0x1.24af32eccefd5p-9, -0x1.1df170e77d54cp-9, -0x1.1756ddfca2f27p-9, -0x1.10ded2e93599fp-9, -0x1.0a88ab37101fp-9, -0x1.0453c5331aa19p-9, -0x1.fc7f03c75bcd8p-10, -0x1.f09689fdf663bp-10, -0x1.e4ece9c314252p-10, -0x1.d980f5099f0ffp-10, -0x1.ce5182ebcdd51p-10, -0x1.c35d6f986d243p-10, -0x1.b8a39c3ff2ec4p-10, -0x1.ae22ef028dcfap-10, -0x1.a3da52ddfa0cdp-10, -0x1.99c8b79af8f34p-10, -0x1.8fed11bbabc76p-10, -0x1.86465a69d1601p-10, -0x1.7cd38f65bc6a5p-10, -0x1.7393b2f3edc59p-10, -0x1.6a85cbcc749cep-10, -0x1.61a8e50984f6fp-10, -0x1.58fc0e16312cfp-10, -0x1.507e5a9e1693bp-10, -0x1.482ee27cb5b2ep-10, -0x1.400cc1acc29b4p-10, -0x1.38171837cf4f2p-10, -0x1.304d0a26996bbp-10, -0x1.28adbf70a94f9p-10, -0x1.213863ec8dc0bp-10, -0x1.19ec274033b83p-10, -0x1.12c83cd1851ccp-10, -0x1.0bcbdbb717405p-10, -0x1.04f63ea992b05p-10, -0x1.fc8d47e85789ep-11, -0x1.ef789acc1b6b4p-11, -0x1.e2ad008816bcbp-11, -0x1.d6290a72aa1dfp-11, -0x1.c9eb50947d798p-11, -0x1.bdf2718bab84fp-11, -0x1.b23d126f23bf9p-11, -0x1.a6c9deb4f87d1p-11, -0x1.9b97881666d99p-11, -0x1.90a4c67514bf9p-11, -0x1.85f057c08dc21p-11, -0x1.7b78ffdbef3fap-11, -0x1.713d88856b261p-11, -0x1.673cc13b991ccp-11, -0x1.5d757f2599627p-11, -0x1.53e69cf99c7ddp-11, -0x1.4a8efae4ff938p-11, -0x1.416d7e7462a7fp-11, -0x1.3881127b1ccp-11, -0x1.2fc8a6fcf0779p-11, -0x1.2743311680636p-11, -0x1.1eefaae62d0efp-11, -0x1.16cd13770546dp-11, -0x1.0eda6eaa1d75dp-11, -0x1.0716c520cceacp-11, -0x1.ff02484ec0df4p-12, -0x1.f0313b3fc4fe8p-12, -0x1.e1b88fda22d47p-12, -0x1.d3967bbcdbab1p-12, -0x1.c5c93d3883958p-12, -0x1.b84f1b2647a78p-12, -0x1.ab2664c20118ep-12, -0x1.9e4d7183465b4p-12, -0x1.91c2a0f7ce67bp-12, -0x1.85845a9d87f05p-12, -0x1.79910dbf4c73cp-12, -0x1.6de7314dda5afp-12, -0x1.628543bf6a307p-12, -0x1.5769caeb0a147p-12, -0x1.4c9353e7ac4bcp-12, -0x1.420072e8b9001p-12, -0x1.37afc31e396f9p-12, -0x1.2d9fe6920ef59p-12, -0x1.23cf8609b4004p-12, -0x1.1a3d50e482aa6p-12, -0x1.10e7fcfec7e97p-12, -0x1.07ce469157df1p-12, -0x1.fddde02733228p-13, -0x1.ec91843e3d016p-13, -0x1.dbb516a32a526p-13, -0x1.cb46406170d3cp-13, -0x1.bb42b61a3e4b9p-13, -0x1.aba837cc87157p-13, -0x1.9c7490a1121aep-13, -0x1.8da596b46cdd7p-13, -0x1.7f392ae2180e8p-13, -0x1.712d3890b3f44p-13, -0x1.637fb57ee3a79p-13, -0x1.562ea1934726ep-13, -0x1.493806a8338a3p-13, -0x1.3c99f85dc6d09p-13, -0x1.305293eb20cep-13, -0x1.245fffeca2fd7p-13, -0x1.18c06c39a6bfdp-13, -0x1.0d7211b5885a5p-13, -0x1.027332270572ap-13, -0x1.ef843010c688fp-14, -0x1.daba2cc130f88p-14, -0x1.c6851133b577ap-14, -0x1.b2e1a4a678d34p-14, -0x1.9fccbe7bda2e9p-14, -0x1.8d4345e9dc8fbp-14, -0x1.7b4231a8a0a74p-14, -0x1.69c687ab20bb4p-14, -0x1.58cd5cd107e15p-14, -0x1.4853d4a017f82p-14, -0x1.385720fbb1865p-14, -0x1.28d481daa5d9dp-14, -0x1.19c94508db645p-14, -0x1.0b32c5d753774p-14, -0x1.fa1cd9cfddcb7p-15, -0x1.deb35fc31639p-15, -0x1.c424226b35718p-15, -0x1.aa6a3fbfed324p-15, -0x1.9180ee49657f1p-15, -0x1.79637cb8d58dfp-15, -0x1.620d515f54595p-15, -0x1.4b79e9c182041p-15, -0x1.35a4da21da5f5p-15, -0x1.2089cd144f2cfp-15, -0x1.0c24830c8eb1bp-15, -0x1.f0e1a3ebe977fp-16, -0x1.cad549890aa6cp-16, -0x1.a61bf624742b6p-16, -0x1.82add169b58c7p-16, -0x1.60832abc8acc1p-16, -0x1.3f947862fce23p-16, -0x1.1fda56d75fbb8p-16, -0x1.014d880217a9cp-16, -0x1.c7cde4ffac85cp-17, -0x1.8f3f41e8b0176p-17, -0x1.58e182b7a4b33p-17, -0x1.24a7488765a9ep-17, -0x1.e506f126e6d3ep-18, -0x1.84d2752d48fccp-18, -0x1.2897ef4d0092ep-18, -0x1.a07d63873845ep-19, -0x1.eeba32d3dd579p-20, -0x1.567e5acb73a3p-21, 0x1.13a670903391cp-21, 0x1.b0d8132f5565fp-20, 0x1.65145348b5a54p-19, 0x1.eb0e37311f73bp-19, 0x1.354249b17ecacp-18, 0x1.71d0b51b69887p-18, 0x1.ab46f3834dfefp-18, 0x1.e1b931128809dp-18, 0x1.0a9d99357fa1ap-17, 0x1.22f02b5480f58p-17, 0x1.39ddcc9d3ffd1p-17, 0x1.4f6fc9f3af1b1p-17, 0x1.63af404dd7f58p-17, 0x1.76a51dabf7ec6p-17, 0x1.885a21dc2f427p-17, 0x1.98d6df9767cb6p-17, 0x1.a823bd209d28bp-17, 0x1.b648f54253362p-17, 0x1.c34e9815b0b29p-17, 0x1.cf3c8bdd53b47p-17, 0x1.da1a8db9e12b9p-17, 0x1.e3f03287679dcp-17, 0x1.ecc4e79fe0647p-17, 0x1.f49ff38d43a17p-17, 0x1.fb8876cda2c5ap-17, 0x1.00c2b6445f2e4p-16, 0x1.034ed5a7def54p-16, 0x1.056bf2e23ec27p-16, 0x1.071d55a1b7022p-16, 0x1.0866344cc3865p-16, 0x1.0949b452a9c2ep-16, 0x1.09caea770e6e2p-16, 0x1.09ecdb2521148p-16, 0x1.09b27ad16b639p-16, 0x1.091eae2bc02edp-16, 0x1.08344a6f33b7bp-16, 0x1.06f615b93baa9p-16, 0x1.0566c74d511e6p-16, 0x1.038907d87cf6p-16, 0x1.015f71b4bbe82p-16, 0x1.fdd922773108ep-17, }}, 
      {{-0x1.ed0603109696fp-7, -0x1.ead61f18206ffp-7, -0x1.e72bf03655d73p-7, -0x1.e20045547b4bap-7, -0x1.db49a45140886p-7, -0x1.d2fcba3f898fbp-7, -0x1.c90cd12b8ed2p-7, -0x1.bd6c459d8d35bp-7, -0x1.b00cf6f9087e6p-7, -0x1.a0e0af001e4ebp-7, -0x1.8fd97e11010ccp-7, -0x1.7cea0af1597b1p-7, -0x1.6805d5fe68d02p-7, -0x1.5121704fd819ap-7, -0x1.3832a7c928c25p-7, -0x1.1d30a948a1acdp-7, -0x1.00141a2923757p-7, -0x1.c1ae54742579p-8, -0x1.7eeb3e5f460dbp-8, -0x1.37d9b4d5100c1p-8, -0x1.d8ef6750fbdddp-9, -0x1.398cd1c5bdb45p-9, -0x1.232899b2ba9a7p-10, 0x1.eeb6597f81ce9p-13, 0x1.afbb352e95ec3p-10, 0x1.9927fc9267411p-9, 0x1.315568e97143p-8, 0x1.9a20a4b092ce7p-8, 0x1.03707336d8fedp-7, 0x1.3bbf9575b6fddp-7, 0x1.75f1315e9e5aep-7, 0x1.b1f7cf4693ce6p-7, 0x1.efc51dae30222p-7, 0x1.17a5038e841e9p-6, 0x1.383b63c0ff2bap-6, 0x1.599d807606556p-6, 0x1.7bc2e7bb59e5dp-6, 0x1.9ea2ee275ae3bp-6, 0x1.c234b7dda90b1p-6, 0x1.e66f410faa7b6p-6, 0x1.05a4b2faf4d69p-5, 0x1.185cf5211c663p-5, 0x1.2b5bc0062b3efp-5, 0x1.3e9c671eb1b95p-5, 0x1.521a3b3f9c7c4p-5, 0x1.65d08d5b2a10bp-5, 0x1.79bab106af1d6p-5, 0x1.8dd3feccf1926p-5, 0x1.a217d650f717ap-5, 0x1.b681a04507a13p-5, 0x1.cb0cd0398561cp-5, 0x1.dfb4e6471dc53p-5, 0x1.f475709764c3ep-5, 0x1.04a506676c42cp-4, 0x1.0f1734ad67043p-4, 0x1.198f2352d4fa7p-4, 0x1.240abc199da9p-4, 0x1.2e87f2d383beap-4, 0x1.3904c5daf127ap-4, 0x1.437f3e820271ap-4, 0x1.4df57178486cfp-4, 0x1.58657f27a5e6ap-4, 0x1.62cd940895a92p-4, 0x1.6d2be8ee17365p-4, 0x1.777ec3496b0b8p-4, 0x1.81c47565d660fp-4, 0x1.8bfb5e9c75146p-4, 0x1.9621eb804b004p-4, 0x1.a03696029f7b3p-4, 0x1.aa37e58fc6b62p-4, 0x1.b4246f246b9dep-4, 0x1.bdfad55b7f60bp-4, 0x1.c7b9c874f2791p-4, 0x1.d16006555770cp-4, 0x1.daec5a7ea4a97p-4, 0x1.e45d9e024d766p-4, 0x1.edb2b76cde829p-4, 0x1.f6ea9aab621ebp-4, 0x1.000224756f937p-3, 0x1.047f683915654p-3, 0x1.08eca63b2f11cp-3, 0x1.0d497275266cfp-3, 0x1.11956724a8a28p-3, 0x1.15d024aede9a5p-3, 0x1.19f95181a811ap-3, 0x1.1e1099f30b8c5p-3, 0x1.2215b01f0475fp-3, 0x1.26084bc3def1ap-3, 0x1.29e82a1d545ddp-3, 0x1.2db50dbe92c43p-3, 0x1.316ebe6b5b313p-3, 0x1.351508f064bp-3, 0x1.38a7befb352d2p-3, 0x1.3c26b6f1871ebp-3, 0x1.3f91cbc87d092p-3, 0x1.42e8dcdbb2b68p-3, 0x1.462bcdc458fb1p-3, 0x1.495a863081db6p-3, 0x1.4c74f1bab310ep-3, 0x1.4f7affc1e21b6p-3, 0x1.526ca341f7c92p-3, 0x1.5549d2acebea6p-3, 0x1.581287c49394cp-3, 0x1.5ac6bf753efdp-3, 0x1.5d6679b12443fp-3, 0x1.5ff1b94cc330ep-3, 0x1.626883dc3123fp-3, 0x1.64cae19177785p-3, 0x1.6718dd1bf1de2p-3, 0x1.69528388cfda9p-3, 0x1.6b77e424a533cp-3, 0x1.6d89105e256d9p-3, 0x1.6f861ba9fd261p-3, 0x1.716f1b67d2fe4p-3, 0x1.734426c869067p-3, 0x1.750556b4e93acp-3, 0x1.76b2c5b74fe03p-3, 0x1.784c8fe3ef5a9p-3, 0x1.79d2d2c417299p-3, 0x1.7b45ad41c56abp-3, 0x1.7ca53f946c8e7p-3, 0x1.7df1ab2ebd6a1p-3, 0x1.7f2b12ad6e9dep-3, 0x1.805199c7014eap-3, 0x1.8165653c6b739p-3, 0x1.82669acab1651p-3, 0x1.8355611d560bp-3, 0x1.8431dfc19f081p-3, 0x1.84fc3f1aa0908p-3, 0x1.85b4a8560e49p-3, 0x1.865b4561bc127p-3, 0x1.86f040e1cc1cep-3, 0x1.8773c627833a9p-3, 0x1.87e60128a9ef3p-3, 0x1.88471e778e777p-3, 0x1.88974b3b7686p-3, 0x1.88d6b529a2238p-3, 0x1.89058a7eacacfp-3, 0x1.8923f9f86c7b6p-3, 0x1.893232d02297ep-3, 0x1.893064b50eb5p-3, 0x1.891ebfc75091p-3, 0x1.88fd749312598p-3, 0x1.88ccb40bfa4ecp-3, 0x1.888caf88d04c8p-3, 0x1.883d98bf60e6p-3, 0x1.87dfa1c08653dp-3, 0x1.8772fcf463859p-3, 0x1.86f7dd16bc3a9p-3, 0x1.866e75336cc48p-3, 0x1.85d6f8a2fa6bcp-3, 0x1.85319b0739d0cp-3, 0x1.847e904807c65p-3, 0x1.83be0c900773p-3, 0x1.82f0444974adap-3, 0x1.82156c1aee6f4p-3, 0x1.812db8e4549eep-3, 0x1.80395fbb96084p-3, 0x1.7f3895e987ff3p-3, 0x1.7e2b90e6b619p-3, 0x1.7d12865829192p-3, 0x1.7bedac0c2b3b2p-3, 0x1.7abd37f701ee4p-3, 0x1.7981602f9b3ffp-3, 0x1.783a5aec36003p-3, 0x1.76e85e7efa0fep-3, 0x1.758ba152837ddp-3, 0x1.742459e66a1f2p-3, 0x1.72b2becbb1672p-3, 0x1.713706a1359cdp-3, 0x1.6fb1681003f2ap-3, 0x1.6e2219c7b29fcp-3, 0x1.6c89527aa056cp-3, 0x1.6ae748da31fb6p-3, 0x1.693c339305c91p-3, 0x1.678849491786p-3, 0x1.65cbc093de8dap-3, 0x1.6406cffa67759p-3, 0x1.6239adef64e64p-3, 0x1.606490cd35e6p-3, 0x1.5e87aed1ede5fp-3, 0x1.5ca33e1b5a2b8p-3, 0x1.5ab774a2fa08ap-3, 0x1.58c4883a0363ep-3, 0x1.56caae855e751p-3, 0x1.54ca1cf9a3448p-3, 0x1.52c308d71e32fp-3, 0x1.50b5a725d1deep-3, 0x1.4ea22cb182b6p-3, 0x1.4c88ce05c52afp-3, 0x1.4a69bf6a15976p-3, 0x1.484534ddf2c2p-3, 0x1.461b621509fc1p-3, 0x1.43ec7a7369672p-3, 0x1.41b8b109b9444p-3, 0x1.3f8038918d02fp-3, 0x1.3d434369b6f4p-3, 0x1.3b020392b1184p-3, 0x1.38bcaaab14e38p-3, 0x1.367369ec1f503p-3, 0x1.342672264d93dp-3, 0x1.31d5f3be0542dp-3, 0x1.2f821ea855159p-3, 0x1.2d2b2267c4a14p-3, 0x1.2ad12e093e746p-3, 0x1.287470210ae95p-3, 0x1.261516c7e1d83p-3, 0x1.23b34f9815ca2p-3, 0x1.214f47aacfe3ap-3, 0x1.1ee92b956d3b8p-3, 0x1.1c812766e8824p-3, 0x1.1a1766a567ba2p-3, 0x1.17ac144bd9c3ep-3, 0x1.153f5ac7b2b57p-3, 0x1.12d163f6bff01p-3, 0x1.1062592513155p-3, 0x1.0df2630b0e68cp-3, 0x1.0b81a9cb7f44bp-3, 0x1.091054f1e1e61p-3, 0x1.069e8b70b1898p-3, 0x1.042c739fdad59p-3, 0x1.01ba333b47c7bp-3, 0x1.fe8fdec306c23p-4, 0x1.f9ab9924f6771p-4, 0x1.f4c7dd5cac74cp-4, 0x1.efe4f1e8d2481p-4, 0x1.eb031c04897a9p-4, 0x1.e6229fa5bace7p-4, 0x1.e143bf7b9174bp-4, 0x1.dc66bced391d2p-4, 0x1.d78bd818b82cap-4, 0x1.d2b34fd210512p-4, 0x1.cddd61a282453p-4, 0x1.c90a49c8065a4p-4, 0x1.c43a4334f6453p-4, 0x1.bf6d878fda19ap-4, 0x1.baa44f3379e18p-4, 0x1.b5ded12f00cc9p-4, 0x1.b11d434664fb6p-4, 0x1.ac5fd9f2e7ebap-4, 0x1.a7a6c863cf301p-4, 0x1.a2f2407f378b7p-4, 0x1.9e4272e32760ep-4, 0x1.99978ee6ae28ap-4, 0x1.94f1c29b3c5d6p-4, 0x1.90513ace19abep-4, 0x1.8bb6230a0398dp-4, 0x1.8720a598e9e1cp-4, 0x1.8290eb85d3271p-4, 0x1.7e071c9ee0b9ep-4, 0x1.79835f7770515p-4, 0x1.7505d96a600e8p-4, 0x1.708eae9c70684p-4, 0x1.6c1e01fec1885p-4, 0x1.67b3f5516d83p-4, 0x1.6350a9263c109p-4, 0x1.5ef43ce371b83p-4, 0x1.5a9ecec6b7428p-4, 0x1.56507be819454p-4, 0x1.5209603d1c71bp-4, 0x1.4dc9969beab14p-4, 0x1.499138be8fe9ap-4, 0x1.45605f4650441p-4, 0x1.413721bf0a973p-4, 0x1.3d1596a2b1293p-4, 0x1.38fbd35cd0b19p-4, 0x1.34e9ec4e25407p-4, 0x1.30dff4d0419f6p-4, 0x1.2cddff3940045p-4, 0x1.28e41cdf81321p-4, 0x1.24f25e1d78701p-4, 0x1.2108d2557ff3fp-4, 0x1.1d2787f5b6172p-4, 0x1.194e8c7be7099p-4, 0x1.157dec797a36bp-4, 0x1.11b5b3976cdb9p-4, 0x1.0df5ec9a4b625p-4, 0x1.0a3ea166346a1p-4, 0x1.068fdb02e1705p-4, 0x1.02e9a19fb0e2bp-4, 0x1.fe97f92f68d1ep-5, 0x1.f76de4eb834dp-5, 0x1.f05511f107b85p-5, 0x1.e94d8a2d1de53p-5, 0x1.e2575604e6181p-5, 0x1.db727c5d9ec3p-5, 0x1.d49f02a4c77p-5, 0x1.cddcecd844053p-5, 0x1.c72c3d8e74c6bp-5, 0x1.c08cf5fe4da4dp-5, 0x1.b9ff160768425p-5, 0x1.b3829c3a06da6p-5, 0x1.ad1785df1672p-5, 0x1.a6bdcf0021344p-5, 0x1.a075726f37a8cp-5, 0x1.9a3e69cecb22cp-5, 0x1.9418ad9983f82p-5, 0x1.8e043529fe082p-5, 0x1.8800f6c281641p-5, 0x1.820ee794a2b0ep-5, 0x1.7c2dfbc8dbcaep-5, 0x1.765e26860c7cdp-5, 0x1.709f59f8ec6fcp-5, 0x1.6af1875b6d463p-5, 0x1.65549efc04c95p-5, 0x1.5fc89044ea6cep-5, 0x1.5a4d49c336e9dp-5, 0x1.54e2b92df94b9p-5, 0x1.4f88cb6d33b5ep-5, 0x1.4a3f6ca0be21bp-5, 0x1.4506882718363p-5, 0x1.3fde08a42605cp-5, 0x1.3ac5d807d1b35p-5, 0x1.35bddf9496393p-5, 0x1.30c607e5f72f9p-5, 0x1.2bde38f6dd221p-5, 0x1.27065a27dc141p-5, 0x1.223e52455e943p-5, 0x1.1d86078dbb58cp-5, 0x1.18dd5fb7323b8p-5, 0x1.14443ff5d03a2p-5, 0x1.0fba8d0135e9p-5, 0x1.0b402b1a4ec45p-5, 0x1.06d4fe10e3ea1p-5, 0x1.0278e9491fb3p-5, 0x1.fc579f81dfbd6p-6, 0x1.f3db282aa6ae1p-6, 0x1.eb7c310f1bd5fp-6, 0x1.e33a7e04812ebp-6, 0x1.db15d23cd5e23p-6, 0x1.d30df050a0d35p-6, 0x1.cb229a4887c84p-6, 0x1.c35391a6bfe12p-6, 0x1.bba0977040219p-6, 0x1.b4096c35c63d4p-6, 0x1.ac8dd01ca0486p-6, 0x1.a52d82e758d97p-6, 0x1.9de843fe1ab14p-6, 0x1.96bdd276f4b78p-6, 0x1.8faded1de173ap-6, 0x1.88b8527ca668ep-6, 0x1.81dcc0e27c8fap-6, 0x1.7b1af66b8d2dcp-6, 0x1.7472b1083cb86p-6, 0x1.6de3ae844473bp-6, 0x1.676dac8da6c7ap-6, 0x1.611068bb643efp-6, 0x1.5acba0941cd26p-6, 0x1.549f11946a21bp-6, 0x1.4e8a793513ac7p-6, 0x1.488d94f12414cp-6, 0x1.42a8224bbfc11p-6, 0x1.3cd9ded5e228bp-6, 0x1.37228833de9c3p-6, 0x1.3181dc22c433dp-6, 0x1.2bf7987d94b47p-6, 0x1.26837b4248ca6p-6, 0x1.21254296bdbfcp-6, 0x1.1bdcaccd6ae6ep-6, 0x1.16a97869f977p-6, 0x1.118b6425b2303p-6, 0x1.0c822ef3bf5e7p-6, 0x1.078d9805541f3p-6, 0x1.02ad5ecdab8adp-6, 0x1.fbc2860bb16fep-7, 0x1.f252096100762p-7, 0x1.e908c83ad74afp-7, 0x1.dfe643d9e43p-7, 0x1.d6e9fe2698dabp-7, 0x1.ce1379b773152p-7, 0x1.c56239d71f5fcp-7, 0x1.bcd5c28a390e6p-7, 0x1.b46d9894f819dp-7, 0x1.ac2941807c6d1p-7, 0x1.a408439ff0624p-7, 0x1.9c0a26155dd7ep-7, 0x1.942e70d6563ccp-7, 0x1.8c74acb062503p-7, 0x1.84dc634d3dcfep-7, 0x1.7d651f36ce2f8p-7, 0x1.760e6bdae976ap-7, 0x1.6ed7d58ee63b2p-7, 0x1.67c0e9930e0ep-7, 0x1.60c93615bfaf4p-7, 0x1.59f04a366b427p-7, 0x1.5335b6086cbcp-7, 0x1.4c990a959ff07p-7, 0x1.4619d9e0db723p-7, 0x1.3fb7b6e839e56p-7, 0x1.397235a7303dp-7, 0x1.3348eb1877c77p-7, 0x1.2d3b6d37e6c6fp-7, 0x1.27495303febb5p-7, 0x1.2172347f750a2p-7, 0x1.1bb5aab2850bfp-7, 0x1.16134fac1924fp-7, 0x1.108abe82d4339p-7, 0x1.0b1b9355fac3fp-7, 0x1.05c56b4e3e91bp-7, 0x1.0087e49e5c703p-7, 0x1.f6c53d07571f7p-8, 0x1.ecaa728cf3a16p-8, 0x1.e2beac74b05ep-8, 0x1.d9012f7c89f59p-8, 0x1.cf71427981116p-8, 0x1.c60e2e5766e0ep-8, 0x1.bcd73e18b2996p-8, 0x1.b3cbbed5d2aa1p-8, 0x1.aaeaffbcae5a2p-8, 0x1.a234520f97498p-8, 0x1.99a70924563fp-8, 0x1.91427a62df048p-8, 0x1.8905fd43ec0dfp-8, 0x1.80f0eb4f633d1p-8, 0x1.7902a01aa2289p-8, 0x1.713a7946a14a3p-8, 0x1.6997d67de8bbdp-8, 0x1.621a1972695efp-8, 0x1.5ac0a5db30dbfp-8, 0x1.538ae171f7123p-8, 0x1.4c7833f094bb2p-8, 0x1.4588070e540d8p-8, 0x1.3eb9c67d385f1p-8, 0x1.380cdfe6f6adcp-8, 0x1.3180c2ea23ec1p-8, 0x1.2b14e11704bap-8, 0x1.24c8adec5e3e5p-8, 0x1.1e9b9ed4346c1p-8, 0x1.188d2b206758dp-8, 0x1.129ccc0742c93p-8, 0x1.0cc9fc9ffae01p-8, 0x1.071439df0ab12p-8, 0x1.017b0292a48ddp-8, 0x1.f7fbaebdc0ebp-9, 0x1.ed387573dd7cbp-9, 0x1.e2ab61d0b231fp-9, 0x1.d8537ff1ee095p-9, 0x1.ce2fdf822b8c1p-9, 0x1.c43f93b0cf03ep-9, 0x1.ba81b32a0a68fp-9, 0x1.b0f5580e9dc19p-9, 0x1.a7999febb167bp-9, 0x1.9e6dabb26bap-9, 0x1.95709fafa767bp-9, 0x1.8ca1a38360f39p-9, 0x1.83ffe2185568fp-9, 0x1.7b8a899b692b6p-9, 0x1.7340cb73238e8p-9, 0x1.6b21dc370710ap-9, 0x1.632cf3a6fa78cp-9, 0x1.5b614ca2a5924p-9, 0x1.53be2520911bep-9, 0x1.4c42be25a4bap-9, 0x1.44ee5bbc4c871p-9, 0x1.3dc044ebc4ebap-9, 0x1.36b7c3af60d52p-9, 0x1.2fd424edc26a4p-9, 0x1.2914b8703a97p-9, 0x1.2278d0da12a44p-9, 0x1.1bffc39fa836p-9, 0x1.15a8e8fdd158ap-9, 0x1.0f739bf1354b7p-9, 0x1.095f3a2d9b296p-9, 0x1.036b241525fddp-9, 0x1.fb2d795fb1d0ep-10, 0x1.efc2d3460616ep-10, 0x1.e49526513acf8p-10, 0x1.d9a3480db7e5ep-10, 0x1.ceec130f3e4e8p-10, 0x1.c46e66dff28eap-10, 0x1.ba2927ef9c2edp-10, 0x1.b01b3f82fbb22p-10, 0x1.a6439ba2fec64p-10, 0x1.9ca12f0c51e6ep-10, 0x1.9332f11ed39aap-10, 0x1.89f7ddcd68844p-10, 0x1.80eef58d8e25cp-10, 0x1.78173d4789042p-10, 0x1.6f6fbe460bafp-10, 0x1.66f786263fbcp-10, 0x1.5eada6c865a1ep-10, 0x1.5691363fc84f7p-10, 0x1.4ea14ec34e635p-10, 0x1.46dd0e9e0a439p-10, 0x1.3f43981ff3dd1p-10, 0x1.37d4118ed98f5p-10, 0x1.308da5175b391p-10, 0x1.296f80bdf5096p-10, 0x1.2278d65011113p-10, 0x1.1ba8db558f0d7p-10, 0x1.14fec9024e718p-10, 0x1.0e79dc27cdd65p-10, 0x1.08195526d5ab6p-10, 0x1.01dc77e18da43p-10, 0x1.f785175b132edp-11, 0x1.eb95b68bdbcacp-11, 0x1.dfe9697bd55bdp-11, 0x1.d47ed2e6bbf4ap-11, 0x1.c9549c0238914p-11, 0x1.be69746405064p-11, 0x1.b3bc11e758304p-11, 0x1.a94b3093c4c99p-11, 0x1.9f159282f58a2p-11, 0x1.9519ffc7eb03ap-11, 0x1.8b574656053f3p-11, 0x1.81cc39e83824bp-11, 0x1.7877b3e8f1c57p-11, 0x1.6f589359e327fp-11, 0x1.666dbcbc64735p-11, 0x1.5db619f9a95d9p-11, 0x1.55309a4bdbf5dp-11, 0x1.4cdc3227376eep-11, 0x1.44b7db234db1fp-11, 0x1.3cc293e4ec992p-11, 0x1.34fb600810389p-11, 0x1.2d61480a09a02p-11, 0x1.25f359344aaacp-11, 0x1.1eb0a5873d4a1p-11, 0x1.179843a57af94p-11, 0x1.10a94ebee3c23p-11, 0x1.09e2e67c7149ap-11, 0x1.03442eec8e7cbp-11, 0x1.f998a0ddc335ep-12, 0x1.ecf4ef425d33dp-12, 0x1.e09baa983237p-12, 0x1.d48b3ca061678p-12, 0x1.c8c2172629a68p-12, 0x1.bd3eb3db6d586p-12, 0x1.b1ff94332e045p-12, 0x1.a703413f5cef4p-12, 0x1.9c484b8c4ca0fp-12, 0x1.91cd4afebc0adp-12, 0x1.8790deb1b1f22p-12, 0x1.7d91acd4adeb3p-12, 0x1.73ce628b10fb1p-12, 0x1.6a45b3cb472c7p-12, 0x1.60f65b3ebd9abp-12, 0x1.57df1a2220ff8p-12, 0x1.4efeb826c663ap-12, 0x1.465403539c03dp-12, 0x1.3dddcfe78a27cp-12, 0x1.359af83b66fc3p-12, 0x1.2d8a5ca513364p-12, 0x1.25aae35a54101p-12, 0x1.1dfb7855229e4p-12, 0x1.167b0d378680dp-12, 0x1.0f2899308926cp-12, 0x1.080318e10497ep-12, 0x1.01098e41720b6p-12, 0x1.f476010fa7f07p-13, 0x1.e72cf81c736f3p-13, 0x1.da3624732055p-13, 0x1.cd8fb2c1795d3p-13, 0x1.c137d96924ffp-13, 0x1.b52cd84ed9588p-13, 0x1.a96cf8acea7b1p-13, 0x1.9df68ce2dc031p-13, 0x1.92c7f04afb6acp-13, 0x1.87df870b028c5p-13, 0x1.7d3bbde9806b4p-13, 0x1.72db0a2292592p-13, 0x1.68bbe93d2603ap-13, 0x1.5edce0e1c352cp-13, 0x1.553c7eb247ab4p-13, 0x1.4bd9582081dd1p-13, 0x1.42b20a47719bep-13, 0x1.39c539c3ac178p-13, 0x1.3111928ea4f8cp-13, 0x1.2895c7d7b601dp-13, 0x1.205093e13d515p-13, 0x1.1840b7dadd8f8p-13, 0x1.1064fbbf0afb6p-13, 0x1.08bc2e2fb663p-13, 0x1.01452454b08fbp-13, 0x1.f3fd737305f8cp-14, 0x1.e5cfa05a2f07dp-14, 0x1.d7fe9f426d41dp-14, 0x1.ca884c16122bp-14, 0x1.bd6a8e86318b9p-14, 0x1.b0a359cee3362p-14, 0x1.a430ac7bbca6cp-14, 0x1.9810902c7357dp-14, 0x1.8c41195a5bc49p-14, 0x1.80c067204b49dp-14, 0x1.758ca303d35c7p-14, 0x1.6aa400bd261dep-14, 0x1.6004be0318f61p-14, 0x1.55ad22562ec2ep-14, 0x1.4b9b7ecbfe425p-14, 0x1.41ce2ddd9338bp-14, 0x1.3843933552befp-14, 0x1.2efa1b7f440e9p-14, 0x1.25f03c37e6ed6p-14, 0x1.1d24737f82317p-14, 0x1.149547eb5dc35p-14, 0x1.0c41485797e95p-14, 0x1.04270bbbfdc5p-14, 0x1.f88a62026b331p-15, 0x1.e934bdab99effp-15, 0x1.da4a8709b9359p-15, 0x1.cbc9299b7d3a4p-15, 0x1.bdae1f75d5ce2p-15, 0x1.aff6f0f8bb72dp-15, 0x1.a2a1347d0b268p-15, 0x1.95aa8e0f3e7e8p-15, 0x1.8910af21ef476p-15, 0x1.7cd15645cffbp-15, 0x1.70ea4ee5a259ep-15, 0x1.655970fdad74ep-15, 0x1.5a1ca0d96da09p-15, 0x1.4f31cecf76e18p-15, 0x1.4496f700fbc54p-15, 0x1.3a4a211a29e21p-15, 0x1.30496011a5847p-15, 0x1.2692d1ed1eb01p-15, 0x1.1d249f842cc5dp-15, 0x1.13fcfc44f1352p-15, 0x1.0b1a25fb7919bp-15, 0x1.027a64960e239p-15, 0x1.f43813e00f56dp-16, 0x1.e3fae337a911bp-16, 0x1.d43a01588beb2p-16, 0x1.c4f24b02ce2acp-16, 0x1.b620af2b5029bp-16, 0x1.a7c22e96966d1p-16, 0x1.99d3db76af6a2p-16, 0x1.8c52d909a6863p-16, 0x1.7f3c5b3fde775p-16, 0x1.728da65b100e9p-16, 0x1.66440e9642edap-16, 0x1.5a5cf7cded251p-16, 0x1.4ed5d52a3e634p-16, 0x1.43ac28c6f7844p-16, 0x1.38dd83622055fp-16, 0x1.2e67840ba1c8ap-16, 0x1.2447d7d7dca77p-16, 0x1.1a7c398d18f11p-16, 0x1.11027158c4c91p-16, 0x1.07d85487d1179p-16, 0x1.fdf78a77c874ep-17, 0x1.ecd564440e0ap-17, 0x1.dc462c62a4af9p-17, 0x1.cc45f0c2221b2p-17, 0x1.bcd0d6d176681p-17, 0x1.ade31afa823b5p-17, 0x1.9f791023b7c9ap-17, 0x1.918f1f30f7ddfp-17, 0x1.8421c6833be8fp-17, 0x1.772d9985b74cep-17, 0x1.6aaf403977df8p-17, 0x1.5ea376bf9e22dp-17, 0x1.53070ce901517p-17, 0x1.47d6e5c19077cp-17, 0x1.3d0ff72faec64p-17, 0x1.32af4981cce9ep-17, 0x1.28b1f707c96c5p-17, 0x1.1f152bb0629a1p-17, 0x1.15d624a5f691fp-17, 0x1.0cf22feadd957p-17, 0x1.0466abf95f8dp-17, 0x1.f8620ed4ff14p-18, 0x1.e89d813426c5cp-18, 0x1.d97aca968be93p-18, 0x1.caf5249d04828p-18, 0x1.bd07e661b8f81p-18, 0x1.afae83d472d56p-18, 0x1.a2e48d1152795p-18, 0x1.96a5adc485404p-18, 0x1.8aedac8d947efp-18, 0x1.7fb86a5ea1f5p-18, 0x1.7501e1f2917cap-18, 0x1.6ac627332240ep-18, 0x1.610166b0222cbp-18, 0x1.57afe50b10a5dp-18, 0x1.4ecdfe6f28233p-18, 0x1.465826108dbd5p-18, 0x1.3e4ae5a5faf8cp-18, 0x1.36a2dcec8ccffp-18, 0x1.2f5cc12af1e7p-18, 0x1.28755c9c19b9p-18, 0x1.21e98e187830cp-18, 0x1.1bb648945e7d2p-18, 0x1.15d892a89ee6dp-18, 0x1.104d862943868p-18, 0x1.0b124fb186b02p-18, 0x1.06242e443015ap-18, 0x1.018072cb16324p-18, 0x1.fa48ff94f57a5p-19, 0x1.f21b91dadadf8p-19, 0x1.ea73a54050a0ap-19, 0x1.e34c6369aa812p-19, 0x1.dca1160beffcep-19, 0x1.d66d262eecf8bp-19, 0x1.d0ac1b81356a1p-19, 0x1.cb599ba5d2d6cp-19, 0x1.c671697ca1f4ap-19, 0x1.c1ef6474bd08ap-19, 0x1.bdcf87f5c3a73p-19, 0x1.ba0deabd0a492p-19, 0x1.b6a6be2e687f7p-19, 0x1.b3964dd42ed02p-19, 0x1.b0d8feb3c72b1p-19, 0x1.ae6b4ebab9039p-19, 0x1.ac49d437f1f92p-19, 0x1.aa713d5134c0bp-19, 0x1.a8de4f66f9f76p-19, 0x1.a78de68f7d50ep-19, 0x1.a67cf51d6264p-19, 0x1.a5a88317a1256p-19, 0x1.a50dadb02c1ap-19, 0x1.a4a9a6d86f879p-19, 0x1.a479b4cbfaa94p-19, 0x1.a47b3181d0d3cp-19, 0x1.a4ab8a3a13165p-19, 0x1.a5083f225234cp-19, 0x1.a58ee2dac7b57p-19, 0x1.a63d19ff31eacp-19, 0x1.a7109ac7e0e82p-19, 0x1.a8072c9db2d67p-19, 0x1.a91ea7bb719d4p-19, 0x1.aa54f4beafaa3p-19, 0x1.aba80c4ce1f35p-19, 0x1.ad15f6b41392p-19, 0x1.ae9ccb8c582c7p-19, 0x1.b03ab154e9d6bp-19, 0x1.b1eddd2b434f5p-19, 0x1.b3b492644d11dp-19, 0x1.b58d2232ff571p-19, 0x1.b775eb667ed7dp-19, 0x1.b96d5a16c568cp-19, 0x1.bb71e73f889efp-19, 0x1.bd82187c4f2ddp-19, 0x1.bf9c7fc3926d8p-19, 0x1.c1bfbb188387fp-19, 0x1.c3ea743ad4c9bp-19, 0x1.c61b606244128p-19, 0x1.c8513ffd4036ap-19, 0x1.ca8ade686afe8p-19, 0x1.ccc711a575b4ep-19, 0x1.cf04ba26c82acp-19, 0x1.d142c28556684p-19, 0x1.d3801f457c81dp-19, 0x1.d5bbce8d2872bp-19, 0x1.d7f4d7f6105bep-19, 0x1.da2a4c6030d25p-19, 0x1.dc5b458f32ce7p-19, 0x1.de86e60adf759p-19, 0x1.e0ac58ebb376dp-19, 0x1.e2cad1a95bd3bp-19, 0x1.e4e18bc7c7fa5p-19, }}, 
      std::vector<double>(750, 0.0), 
      {{-0x1.ebb7c6b95d112p-9, -0x1.ebcbe22f4ab29p-8, -0x1.70f5fa4f7a2b8p-7, -0x1.ec31df6a30243p-7, -0x1.33d9b843de213p-6, -0x1.71cccb89040c8p-6, -0x1.b00374011204dp-6, -0x1.ee90011883427p-6, -0x1.16c27acc8fbabp-5, -0x1.367a21b9a0b12p-5, -0x1.56774e2de8b68p-5, -0x1.76c16d7f8dc14p-5, -0x1.975ec33942549p-5, -0x1.b8543826c431ep-5, -0x1.d9a53678dd6efp-5, -0x1.fb53926b10886p-5, -0x1.0eafbf444f31bp-4, -0x1.1fe3c537ce089p-4, -0x1.31445560af4fp-4, -0x1.42cf2468f65c5p-4, -0x1.54812c4e63102p-4, -0x1.6656b9c5a16f8p-4, -0x1.784b7b56b178dp-4, -0x1.8a5a9192e5c37p-4, -0x1.9c7e9fd8b101cp-4, -0x1.aeb1dd2f64471p-4, -0x1.c0ee24db6ca25p-4, -0x1.d32d06617ca03p-4, -0x1.e567d4c2e8228p-4, -0x1.f797b4cf7b8a7p-4, -0x1.04dad53bfeaep-3, -0x1.0ddd528c7f926p-3, -0x1.16cfc55f98c18p-3, -0x1.1faea136ba8b7p-3, -0x1.28765eb8f33p-3, -0x1.31237fecf664ep-3, -0x1.39b2940b66d11p-3, -0x1.42203af238b88p-3, -0x1.4a6928419e2b8p-3, -0x1.528a262a4dd4ap-3, -0x1.5a8017f40fef7p-3, -0x1.6247fc428b0a6p-3, -0x1.69deef1d4ce4fp-3, -0x1.71422bbf34392p-3, -0x1.786f0e30701c8p-3, -0x1.7f6314ada98fdp-3, -0x1.861be0de51031p-3, -0x1.8c9738db9031dp-3, -0x1.92d3080910b06p-3, -0x1.98cd5fc09d491p-3, -0x1.9e8477d17e767p-3, -0x1.a3f6aed485a1dp-3, -0x1.a9228a55a7723p-3, -0x1.ae06b6d46397dp-3, -0x1.b2a2079c1d39fp-3, -0x1.b6f37675f19c6p-3, -0x1.bafa2335b252bp-3, -0x1.beb55323ecf17p-3, -0x1.c22470470c7d6p-3, -0x1.c547088de02c2p-3, -0x1.c81cccddf2b5dp-3, -0x1.caa5900847aebp-3, -0x1.cce145a71fcf3p-3, -0x1.ced000e7875f9p-3, -0x1.d071f3416e767p-3, -0x1.d1c76b21162aap-3, -0x1.d2d0d2848fc38p-3, -0x1.d38ead9003ebdp-3, -0x1.d401991b62cd3p-3, -0x1.d42a493bf584fp-3, -0x1.d40987cc4880ep-3, -0x1.d3a032f4aa845p-3, -0x1.d2ef3bb657211p-3, -0x1.d1f7a47b466c8p-3, -0x1.d0ba7fac6b55p-3, -0x1.cf38ee4ff5375p-3, -0x1.cd741eb104611p-3, -0x1.cb6d4b121fc06p-3, -0x1.c925b86b69f5cp-3, -0x1.c69eb5359078dp-3, -0x1.c3d9984235724p-3, -0x1.c0d7bfa25bcp-3, -0x1.bd9a8f9b5ad82p-3, -0x1.ba2371aa94978p-3, -0x1.b673d3982a8f1p-3, -0x1.b28d2698b2cfcp-3, -0x1.ae70de7ddf036p-3, -0x1.aa2070f5f3846p-3, -0x1.a59d54d9c815ep-3, -0x1.a0e90188fb28p-3, -0x1.9c04ee53f6e53p-3, -0x1.96f291f3530d9p-3, -0x1.91b3620c00b8ep-3, -0x1.8c48d2bfcda84p-3, -0x1.86b45649874efp-3, -0x1.80f75ca43c45dp-3, -0x1.7b13533ceb5bdp-3, -0x1.7509a4adf3dd3p-3, -0x1.6edbb883b50b9p-3, -0x1.688af309a08cap-3, -0x1.6218b51f24fe7p-3, -0x1.5b865c13c2878p-3, -0x1.54d54189b7601p-3, -0x1.4e06bb5e970aap-3, -0x1.471c1b993f7ffp-3, -0x1.4016b05c9503p-3, -0x1.38f7c3de79a32p-3, -0x1.31c09c627b992p-3, -0x1.2a727c37b5ae3p-3, -0x1.230ea1b9757acp-3, -0x1.1b9647522e1b2p-3, -0x1.140aa3804eaccp-3, -0x1.0c6ce8dc9cb3fp-3, -0x1.04be4621bfbb7p-3, -0x1.f9ffcc693ad5fp-4, -0x1.ea65e05a8bbf7p-4, -0x1.dab10ec04b043p-4, -0x1.cae396ce92a82p-4, -0x1.baffb056d96ccp-4, -0x1.ab078bd96ac02p-4, -0x1.9afd5295cdfe5p-4, -0x1.8ae32699d510fp-4, -0x1.7abb22cf1d798p-4, -0x1.6a875b06d7cb7p-4, -0x1.5a49dc03996bap-4, -0x1.4a04ab812a54ep-4, -0x1.39b9c83a2fec2p-4, -0x1.296b29ebadd99p-4, -0x1.191ac15649e83p-4, -0x1.08ca783d61deep-4, -0x1.f0f862c7d5689p-5, -0x1.d063910e5ffa4p-5, -0x1.afda24aef7b03p-5, -0x1.8f5fb8dd815cp-5, -0x1.6ef7da8ab856p-5, -0x1.4ea6084a23674p-5, -0x1.2e6db234ad71p-5, -0x1.0e5239c82e866p-5, -0x1.dcade38850a24p-6, -0x1.9cfe3c07fbc54p-6, -0x1.5d9be6ae036edp-6, -0x1.1e8d2ead187b7p-6, -0x1.bfb080ea3ebc7p-7, -0x1.430652b3583f4p-7, -0x1.8e4f5cdaed79cp-8, -0x1.3080c09f6ad2ap-9, 0x1.7026638ba4ad5p-10, 0x1.4e7859a0f6278p-8, 0x1.1f7b183f17eddp-7, 0x1.96b6f89684deap-7, 0x1.0672bd79ccccdp-6, 0x1.40fe483362eeap-6, 0x1.7af9374f43adfp-6, 0x1.b45ec845cd67ep-6, 0x1.ed2a5b7eed029p-6, 0x1.12abba4e408e9p-5, 0x1.2e70dd6023955p-5, 0x1.49e27c6671a47p-5, 0x1.64fe8ed0e48f1p-5, 0x1.7fc31e28c3e49p-5, 0x1.9a2e46292a262p-5, 0x1.b43e34d44934bp-5, 0x1.cdf12a8577142p-5, 0x1.e7457a0008ffep-5, 0x1.001cc43d69d28p-4, 0x1.0c65e6d41cd24p-4, 0x1.187d69dd634d1p-4, 0x1.24629bb323f15p-4, 0x1.3014d3eea5c5cp-4, 0x1.3b93736589948p-4, 0x1.46dde424f2e63p-4, 0x1.51f3996ae8794p-4, 0x1.5cd40f9de41cep-4, 0x1.677ecc429f4e7p-4, 0x1.71f35df01b32p-4, 0x1.7c315c41e43e6p-4, 0x1.863867c89cb3ap-4, 0x1.900829f8d9d18p-4, 0x1.99a05518501bep-4, 0x1.a300a42960191p-4, 0x1.ac28dad50fd89p-4, 0x1.b518c55370bd4p-4, 0x1.bdd038528c468p-4, 0x1.c64f10dbcbe36p-4, 0x1.ce95343807f6cp-4, 0x1.d6a28fd237042p-4, 0x1.de771918c24adp-4, 0x1.e612cd5da846bp-4, 0x1.ed75b1b56b546p-4, 0x1.f49fd2d4d3817p-4, 0x1.fb9144eda4f5cp-4, 0x1.012511c5249a3p-3, 0x1.046548b4448d6p-3, 0x1.07895c29abcfcp-3, 0x1.0a91647de75eap-3, 0x1.0d7d7d68aade4p-3, 0x1.104dc5ec91106p-3, 0x1.130260427f0d9p-3, 0x1.159b71c4baf7ep-3, 0x1.181922d9c2773p-3, 0x1.1a7b9ededd7afp-3, 0x1.1cc314127c34fp-3, 0x1.1eefb37e64b35p-3, 0x1.2101b0e1b9c6ap-3, 0x1.22f9429ae31e6p-3, 0x1.24d6a19150745p-3, 0x1.269a091f35ae3p-3, 0x1.2843b6fb34869p-3, 0x1.29d3eb21f9e56p-3, 0x1.2b4ae7bfe788bp-3, 0x1.2ca8f11ab866dp-3, 0x1.2dee4d7b35c67p-3, 0x1.2f1b4516fdee5p-3, 0x1.303021fa62957p-3, 0x1.312d2ff25f126p-3, 0x1.3212bc76b53ebp-3, 0x1.32e116942e6b1p-3, 0x1.33988ed70a108p-3, 0x1.3439773596bap-3, 0x1.34c422fb07a05p-3, 0x1.3538e6b27b86ep-3, 0x1.359818124592p-3, 0x1.35e20de771ecdp-3, 0x1.361720018f0bap-3, 0x1.3637a71ec1b24p-3, 0x1.3643fcd8203a1p-3, 0x1.363c7b8e597dap-3, 0x1.36217e56b1f7bp-3, 0x1.35f360e84ba6dp-3, 0x1.35b27f89ccf03p-3, 0x1.355f36ff54094p-3, 0x1.34f9e478cce54p-3, 0x1.3482e580a0db8p-3, 0x1.33fa97eabc81p-3, 0x1.336159c3fe2e9p-3, 0x1.32b78941fe3f4p-3, 0x1.31fd84b33ab48p-3, 0x1.3133aa6fa47c7p-3, 0x1.305a58c992c2p-3, 0x1.2f71edff145a9p-3, 0x1.2e7ac82bae467p-3, 0x1.2d75453a79306p-3, 0x1.2c61c2d8a799dp-3, 0x1.2b409e686f6c4p-3, 0x1.2a1234f45d186p-3, 0x1.28d6e3230a1a5p-3, 0x1.278f052b39871p-3, 0x1.263af6c85d45fp-3, 0x1.24db132f7a4a1p-3, 0x1.236fb5047abeap-3, 0x1.21f9364fdc8f9p-3, 0x1.2077f074c89e7p-3, 0x1.1eec3c278b9a7p-3, 0x1.1d5671646eb8dp-3, 0x1.1bb6e766f9fb1p-3, 0x1.1a0df4a18ae66p-3, 0x1.185beeb555a99p-3, 0x1.16a12a6abc774p-3, 0x1.14ddfbaa0b26p-3, 0x1.1312b5748ba7dp-3, 0x1.113fa9ddf358fp-3, 0x1.0f652a062caa6p-3, 0x1.0d83861378c28p-3, 0x1.0b9b0d2ce913bp-3, 0x1.09ac0d75273bcp-3, 0x1.07b6d4059b023p-3, 0x1.05bbace9dcdc3p-3, 0x1.03bae31b795e4p-3, 0x1.01b4c07e02f5cp-3, 0x1.ff531bb6e9202p-4, 0x1.fb3325c1bfccfp-4, 0x1.f70a2c36c613cp-4, 0x1.f2d8b9eacfa36p-4, 0x1.ee9f576856d6fp-4, 0x1.ea5e8aeb18918p-4, 0x1.e616d85c3086bp-4, 0x1.e1c8c14ebb364p-4, 0x1.dd74c4fcfd9abp-4, 0x1.d91b604609c06p-4, 0x1.d4bd0dabceab9p-4, 0x1.d05a4551b177p-4, 0x1.cbf37cfb90007p-4, 0x1.c789280d30a6cp-4, 0x1.c31bb78a2461fp-4, 0x1.beab9a16099cfp-4, 0x1.ba393bf541686p-4, 0x1.b5c5070df215fp-4, 0x1.b14f62e97deeap-4, 0x1.acd8b4b647516p-4, 0x1.a8615f49ce8a3p-4, 0x1.a3e9c3232b235p-4, 0x1.9f723e6dd0dcap-4, 0x1.9afb2d04a20a6p-4, 0x1.9684e87557a0ap-4, 0x1.920fc8041eb9cp-4, 0x1.8d9c20af8d8b9p-4, 0x1.892a4534d2106p-4, 0x1.84ba86141fd82p-4, 0x1.804d31955ec3ap-4, 0x1.7be293cd0b5bfp-4, 0x1.777af6a1589b2p-4, 0x1.7316a1cf7ab2ap-4, 0x1.6eb5daf12bdf4p-4, 0x1.6a58e5825a94bp-4, 0x1.660002e704585p-4, 0x1.61ab727140fcbp-4, 0x1.5d5b716766d83p-4, 0x1.59103b0a61d35p-4, 0x1.54ca089c26154p-4, 0x1.5089116642012p-4, 0x1.4c4d8ac08d671p-4, 0x1.4817a817f9c83p-4, 0x1.43e79af5764e9p-4, 0x1.3fbd9304eb84cp-4, 0x1.3b99be1c4cde8p-4, 0x1.377c4842bf8ap-4, 0x1.33655bb7cf817p-4, 0x1.2f5520fab363bp-4, 0x1.2b4bbed1a26bbp-4, 0x1.27495a512e731p-4, 0x1.234e16e3af8d6p-4, 0x1.1f5a1650b218ep-4, 0x1.1b6d78c470996p-4, 0x1.17885cd74d65bp-4, 0x1.13aadf9553319p-4, 0x1.0fd51c85b6d32p-4, 0x1.0c072db25853cp-4, 0x1.08412baf46a4ap-4, 0x1.04832da23ddf9p-4, 0x1.00cd494a24a5fp-4, 0x1.fa3f260d03858p-5, 0x1.f2f43bbddd431p-5, 0x1.ebb9f7150848cp-5, 0x1.e49078ee79233p-5, 0x1.dd77dfa29f666p-5, 0x1.d6704714fc262p-5, 0x1.cf79c8c2b8c8p-5, 0x1.c8947bd114512p-5, 0x1.c1c0751bbbf1ap-5, 0x1.bafdc7430e19ap-5, 0x1.b44c82ba36268p-5, 0x1.adacb5d537861p-5, 0x1.a71e6cd6d226cp-5, 0x1.a0a1b1fe3f7edp-5, 0x1.9a368d94d8019p-5, 0x1.93dd05fb912bcp-5, 0x1.8d951fb858073p-5, 0x1.875edd8348d93p-5, 0x1.813a4053b7ab4p-5, 0x1.7b27476d19291p-5, 0x1.7525f06bbe1bcp-5, 0x1.6f3637516c698p-5, 0x1.69581691cb0c7p-5, 0x1.638b871ea04bdp-5, 0x1.5dd08073e8e76p-5, 0x1.5826f8a3c3fbcp-5, 0x1.528ee462285ddp-5, 0x1.4d0837108046ep-5, 0x1.4792e2c909302p-5, 0x1.422ed86a0ade7p-5, 0x1.3cdc07a0e1649p-5, 0x1.379a5ef4d36c9p-5, 0x1.3269cbd1c3361p-5, 0x1.2d4a3a92ad9e1p-5, 0x1.283b968bf3ab9p-5, 0x1.233dca157f2b3p-5, 0x1.1e50be94b7168p-5, 0x1.19745c863e263p-5, 0x1.14a88b8786783p-5, 0x1.0fed32603cbeap-5, 0x1.0b42370b78535p-5, 0x1.06a77ec0c27a8p-5, 0x1.021cedfcf63ep-5, 0x1.fb44d115d2c92p-6, 0x1.f26fa317cdf01p-6, 0x1.e9ba16ffffda1p-6, 0x1.e123f09c53a85p-6, 0x1.d8acf29861046p-6, 0x1.d054de8d0dfefp-6, 0x1.c81b750faf742p-6, 0x1.c00075c0e8b2bp-6, 0x1.b8039f5b2b6f9p-6, 0x1.b024afc0e1dfap-6, 0x1.a863640a48996p-6, 0x1.a0bf7892df9d2p-6, 0x1.9938a9069b53bp-6, 0x1.91ceb06ead687p-6, 0x1.8a81493e111e4p-6, 0x1.83502d5db520ep-6, 0x1.7c3b1638524cdp-6, 0x1.7541bcc5f022fp-6, 0x1.6e63d9972f87ep-6, 0x1.67a124e02708cp-6, 0x1.60f956830788dp-6, 0x1.5a6c261a74ef6p-6, 0x1.53f94b037d05dp-6, 0x1.4da07c675e7b9p-6, 0x1.47617144f19f5p-6, 0x1.413be079d97ffp-6, 0x1.3b2f80cb5c648p-6, 0x1.353c08ef0614p-6, 0x1.2f612f92fd6a2p-6, 0x1.299eab6610bcdp-6, 0x1.23f4331f89f68p-6, 0x1.1e617d86bfd63p-6, 0x1.18e6417a5427p-6, 0x1.138235f7573a4p-6, 0x1.0e35121ffa15fp-6, 0x1.08fe8d423c6adp-6, 0x1.03de5ede27d6cp-6, 0x1.fda87d5804026p-7, 0x1.f3bfc94436ff1p-7, 0x1.ea0211f502567p-7, 0x1.e06ec870cb62ap-7, 0x1.d7055e5ac06a5p-7, 0x1.cdc545fcd46bdp-7, 0x1.c4adf251650e5p-7, 0x1.bbbed70c7b3ebp-7, 0x1.b2f768a492c36p-7, 0x1.aa571c5b0d5edp-7, 0x1.a1dd684455b9dp-7, 0x1.9989c34f7b32p-7, 0x1.915ba54da4d82p-7, 0x1.895286f8f6492p-7, 0x1.816de1fb52c04p-7, 0x1.79ad30f49a75fp-7, 0x1.720fef80b3ec4p-7, 0x1.6a959a3d3b282p-7, 0x1.633daeced6d95p-7, 0x1.5c07abe6596e9p-7, 0x1.54f311457fa66p-7, 0x1.4dff5fc35aae3p-7, 0x1.472c1950ab329p-7, 0x1.4078c0fbb3eb5p-7, 0x1.39e4daf3e6944p-7, 0x1.336fec8d622cp-7, 0x1.2d197c43fa228p-7, 0x1.26e111be45d5ap-7, 0x1.20c635d0325f8p-7, 0x1.1ac8727d90989p-7, 0x1.14e752fc3089ap-7, 0x1.0f2263b6037cp-7, 0x1.0979324acfd66p-7, 0x1.03eb4d91e24d9p-7, 0x1.fcf08b36a8cebp-8, 0x1.f23f5762a7aabp-8, 0x1.e7c224b255866p-8, 0x1.dd781aa820426p-8, 0x1.d360633fc04bfp-8, 0x1.c97a2aef10c93p-8, 0x1.bfc4a0a6e77d8p-8, 0x1.b63ef5d325f4ep-8, 0x1.ace85e5b298adp-8, 0x1.a3c010a1495ffp-8, 0x1.9ac5458250ee5p-8, 0x1.91f73854e269ap-8, 0x1.895526e8378d7p-8, 0x1.80de5182fe01fp-8, 0x1.7891fae1d2ec2p-8, 0x1.706f68353179cp-8, 0x1.6875e11facdc2p-8, 0x1.60a4afb3a760bp-8, 0x1.58fb2070da3f9p-8, 0x1.51788241ad905p-8, 0x1.4a1c26787bb2ep-8, 0x1.42e560cc89d87p-8, 0x1.3bd38756dfe69p-8, 0x1.34e5f28ee89e2p-8, 0x1.2e1bfd46edbb3p-8, 0x1.277504a86b8cdp-8, 0x1.20f0683050d87p-8, 0x1.1a8d89ab03a13p-8, 0x1.144bcd304e02dp-8, 0x1.0e2a991f35a79p-8, 0x1.082956198f687p-8, 0x1.02476effe7ef3p-8, 0x1.f908a1d942cc9p-9, 0x1.edbed65f29c8p-9, 0x1.e2b05e9251926p-9, 0x1.d7dc21cb0a7c1p-9, 0x1.cd410bafd21b2p-9, 0x1.c2de0c2afdfe1p-9, 0x1.b8b21760c100dp-9, 0x1.aebc25a4f8e72p-9, 0x1.a4fb3370c94b9p-9, 0x1.9b6e415892e24p-9, 0x1.9214540134e5dp-9, 0x1.88ec74152efe6p-9, 0x1.7ff5ae3a368fbp-9, 0x1.772f130615123p-9, 0x1.6e97b6f44031cp-9, 0x1.662eb25a872cdp-9, 0x1.5df3215e50e0ep-9, 0x1.55e423e984452p-9, 0x1.4e00dd9f77173p-9, 0x1.464875d1ecda7p-9, 0x1.3eba1775dd8c1p-9, 0x1.3754f11890c89p-9, 0x1.301834d431d56p-9, 0x1.29031844a5881p-9, 0x1.2214d47c78f2cp-9, 0x1.1b4ca5f9d7618p-9, 0x1.14a9cc9b18332p-9, 0x1.0e2b8b93e660fp-9, 0x1.07d1296200715p-9, 0x1.0199efc24a9b9p-9, 0x1.f70a574b5a40fp-10, 0x1.eb245a4beae8p-10, 0x1.df808ef60eae2p-10, 0x1.d41da1df7540dp-10, 0x1.c8fa45ae4a36ep-10, 0x1.be1533034f357p-10, 0x1.b36d286444e54p-10, 0x1.a900ea26694bcp-10, 0x1.9ecf42595eda5p-10, 0x1.94d700b174bc6p-10, 0x1.8b16fa731e04p-10, 0x1.818e0a5e2ae9ap-10, 0x1.783b109820dd6p-10, 0x1.6f1cf29825ab8p-10, 0x1.66329b1226b83p-10, 0x1.5d7af9e2c9c51p-10, 0x1.54f503fb1366dp-10, 0x1.4c9fb34c5b2b9p-10, 0x1.447a06b49e54p-10, 0x1.3c8301ea69d71p-10, 0x1.34b9ad69884e6p-10, 0x1.2d1d165fb8e38p-10, 0x1.25ac4e9997c84p-10, 0x1.1e666c6fc13a6p-10, 0x1.174a8ab37f6fcp-10, 0x1.1057c89ca51fap-10, 0x1.098d49b6da2f4p-10, 0x1.02ea35cf8701dp-10, 0x1.f8db71c75ce3dp-11, 0x1.ec2e061c92c43p-11, 0x1.dfca90ed8167dp-11, 0x1.d3af827db9be6p-11, 0x1.c7db52e48d9d7p-11, 0x1.bc4c81e9ce505p-11, 0x1.b10196e4c54f4p-11, 0x1.a5f9209b0fb16p-11, 0x1.9b31b51f35d66p-11, 0x1.90a9f1b0605e7p-11, 0x1.86607a9a6ffc5p-11, 0x1.7c53fb1640bd6p-11, 0x1.72832529f85a4p-11, 0x1.68ecb18ab5d61p-11, 0x1.5f8f5f7def26ap-11, 0x1.5669f4bbd1d16p-11, 0x1.4d7b3d50eeb73p-11, 0x1.44c20b817fec9p-11, 0x1.3c3d37abfc74ep-11, 0x1.33eba02d5e96p-11, 0x1.2bcc294489377p-11, 0x1.23ddbcf6ff406p-11, 0x1.1c1f4af5560e3p-11, 0x1.148fc88108ffdp-11, 0x1.0d2e3051417d5p-11, 0x1.05f98278ec0abp-11, 0x1.fde1889a7cc85p-12, 0x1.f026009831cdep-12, 0x1.e2be8c074f02bp-12, 0x1.d5a953f38bacap-12, 0x1.c8e48b2709ddap-12, 0x1.bc6e6dfa75007p-12, 0x1.b0454226ed91fp-12, 0x1.a4675697d6acfp-12, 0x1.98d3033d04dd8p-12, 0x1.8d86a8debb05fp-12, 0x1.8280b0f1ef528p-12, 0x1.77bf8d6ca63e8p-12, 0x1.6d41b89b65b8dp-12, 0x1.6305b4f794461p-12, 0x1.590a0cfdf0e77p-12, 0x1.4f4d530693b81p-12, 0x1.45ce211df4a73p-12, 0x1.3c8b18dd0cf5dp-12, 0x1.3382e34214fb2p-12, 0x1.2ab4308c23999p-12, 0x1.221db8163420fp-12, 0x1.19be3831a922cp-12, 0x1.119476029b17ep-12, 0x1.099f3d5cf295fp-12, 0x1.01dd60a2fe9fcp-12, 0x1.f49b7143ab835p-13, 0x1.e5de48e209032p-13, 0x1.d78112a282d09p-13, 0x1.c981a517e4ecp-13, 0x1.bbdde2a8330c9p-13, 0x1.ae93b94fbbc2cp-13, 0x1.a1a12261acfep-13, 0x1.9504224cfe42dp-13, 0x1.88bac8648cbb2p-13, 0x1.7cc32ea3c7458p-13, 0x1.711b7974ddd46p-13, 0x1.65c1d7796499cp-13, 0x1.5ab48155b30f6p-13, 0x1.4ff1b97a6a1ddp-13, 0x1.4577cbf187179p-13, 0x1.3b450e2a00e74p-13, 0x1.3157dec4edf4ap-13, 0x1.27aea5656ee7cp-13, 0x1.1e47d27d1767p-13, 0x1.1521df20cdf7fp-13, 0x1.0c3b4cd68e9d5p-13, 0x1.0392a5689d132p-13, 0x1.f64cf576b35b2p-14, 0x1.e5eacd3f80acap-14, 0x1.d5fc154f92d8bp-14, 0x1.c67e1ff754094p-14, 0x1.b76e4e625f65ep-14, 0x1.a8ca1048b65adp-14, 0x1.9a8ee39bd77e5p-14, 0x1.8cba543d17f96p-14, 0x1.7f49fbae2b54ap-14, 0x1.723b80c75963fp-14, 0x1.658c976f3610fp-14, 0x1.593b004ff3931p-14, 0x1.4d448893fa156p-14, 0x1.41a7099f71e55p-14, 0x1.366068cdb1a5ap-14, 0x1.2b6e973133c3p-14, 0x1.20cf915310df7p-14, 0x1.16815ef00ffbap-14, 0x1.0c8212bdac6b4p-14, 0x1.02cfca2be4e2ap-14, 0x1.f2d15a5487289p-15, 0x1.e095dbdc0f977p-15, 0x1.cee99176d1c65p-15, 0x1.bdc90753ad328p-15, 0x1.ad30dce2147d7p-15, 0x1.9d1dc460d15fcp-15, 0x1.8d8c827b59f45p-15, 0x1.7e79edde6b249p-15, 0x1.6fe2eed9a2b45p-15, 0x1.61c47ef6c12fp-15, 0x1.541ba8a069e28p-15, 0x1.46e586c3e0f18p-15, 0x1.3a1f447409561p-15, 0x1.2dc61c8be864bp-15, 0x1.21d7595e7ead1p-15, 0x1.1650545ac6834p-15, 0x1.0b2e75b9f1116p-15, 0x1.006f342bebdcap-15, 0x1.ec2029172a345p-16, 0x1.d81d531421846p-16, 0x1.c4d126c60a5cbp-16, 0x1.b236ff2800687p-16, 0x1.a04a51258449bp-16, 0x1.8f06ab07ef89p-16, 0x1.7e67b3ede1845p-16, 0x1.6e692b352266p-16, 0x1.5f06e8064f2eap-16, 0x1.503cd8c8b2ca1p-16, 0x1.4207029e07f5fp-16, 0x1.346180ea612a4p-16, 0x1.274884d8a5b9ap-16, 0x1.1ab854e2df53dp-16, 0x1.0ead4c56a3b18p-16, 0x1.0323dae9cb1b4p-16, 0x1.f0310891f8519p-17, 0x1.db0fbf475df56p-17, 0x1.c6dd2e7c237abp-17, 0x1.b392d026109c7p-17, 0x1.a12a42d88123dp-17, 0x1.8f9d48ea2c189p-17, 0x1.7ee5c7c76f926p-17, 0x1.6efdc72ccb069p-17, 0x1.5fdf7054a7c9dp-17, 0x1.51850d5c62799p-17, 0x1.43e9088469e66p-17, 0x1.3705eb808ada8p-17, 0x1.2ad65ed58a9dcp-17, 0x1.1f5529248b7e1p-17, 0x1.147d2e952c4dbp-17, 0x1.0a4970303f28bp-17, 0x1.00b50b425a7dfp-17, 0x1.ef76719711af3p-18, 0x1.deae998565fa2p-18, 0x1.cf096b6c73cd9p-18, 0x1.c07df847211d5p-18, 0x1.b30383e42c347p-18, 0x1.a69183e07803fp-18, 0x1.9b1f9e81f1fc9p-18, 0x1.90a5a9d999706p-18, 0x1.871baa928e64ep-18, 0x1.7e79d32fbd4c7p-18, 0x1.76b882e3c8c74p-18, 0x1.6fd044bddb6aep-18, 0x1.69b9cec38407bp-18, 0x1.646e01032b1a4p-18, 0x1.5fe5e4bb13ddap-18, 0x1.5c1aab85a16b4p-18, 0x1.5905ae8ababa5p-18, 0x1.56a06d96cdf54p-18, 0x1.54e48e4b4b01cp-18, 0x1.53cbdb6d31d16p-18, 0x1.53504423b9bbcp-18, 0x1.536bdb1fe58fbp-18, 0x1.5418d612c578cp-18, 0x1.55518cd81908fp-18, 0x1.571078b5f2329p-18, 0x1.595033d20f26ap-18, 0x1.5c0b788187269p-18, 0x1.5f3d20893ab5fp-18, 0x1.62e0247c1d132p-18, 0x1.66ef9b3ac3c28p-18, 0x1.6b66b9426be97p-18, 0x1.7040d00aa4f61p-18, 0x1.75794d89705d4p-18, 0x1.7b0bbba7a7eb4p-18, 0x1.80f3bf8c047a9p-18, 0x1.872d19186d9cap-18, 0x1.8db3a27b867d3p-18, 0x1.94834f9bdaba9p-18, 0x1.9b982d87dbb6bp-18, 0x1.a2ee62032fb72p-18, 0x1.aa822b13ce009p-18, 0x1.b24fde77e7f5cp-18, 0x1.ba53e930fcf1bp-18, 0x1.c28acf0e1688cp-18, 0x1.caf12a3d46b98p-18, 0x1.d383aae2bce3p-18, 0x1.dc3f1685b48a8p-18, 0x1.e52047d20745cp-18, 0x1.ee242e0e6d78ap-18, 0x1.f747ccba15453p-18, 0x1.00441d9684739p-17, 0x1.04f152248e6e2p-17, 0x1.09aa22f91e2ccp-17, 0x1.0e6d385f0e101p-17, 0x1.133943cc4bffcp-17, 0x1.180cffb62c184p-17, 0x1.1ce72f627e1b9p-17, 0x1.21c69eb629c8cp-17, 0x1.26aa22130e055p-17, 0x1.2b90962acfdf4p-17, 0x1.3078dfcece76fp-17, 0x1.3561ebd074319p-17, 0x1.3a4aaed70dcaep-17, 0x1.3f3225395d766p-17, 0x1.441752cb28475p-17, 0x1.48f942c839932p-17, 0x1.4dd707b38861cp-17, 0x1.52afbb1760556p-17, 0x1.57827d74cabcp-17, 0x1.5c4e762361f22p-17, 0x1.6112d3320eab7p-17, 0x1.65cec92d56e0dp-17, }}, 
      {{0x1.5ed5eec0ff8e8p-4, 0x1.5f73a31c157afp-4, 0x1.6089bd0498516p-4, 0x1.62283415f88aep-4, 0x1.645e3ba6b4893p-4, 0x1.673865e0f708p-4, 0x1.6abfc881d96efp-4, 0x1.6ef9bf4808f89p-4, 0x1.73e807e5b59bp-4, 0x1.79890d7921b82p-4, 0x1.7fd84b8392f27p-4, 0x1.86cebb39ed699p-4, 0x1.8e6343fb2670ap-4, 0x1.968b2aa6700bcp-4, 0x1.9f3a7cde90b7cp-4, 0x1.a86475e574363p-4, 0x1.b1fbdb1ff2b98p-4, 0x1.bbf34eb6433a3p-4, 0x1.c63d973a37782p-4, 0x1.d0cddbbcddaf3p-4, 0x1.db97d43e7c365p-4, 0x1.e68feed9e668ep-4, 0x1.f1ab6a6e51239p-4, 0x1.fce067d403d6dp-4, 0x1.0412f96baf506p-3, 0x1.09ba022615061p-3, 0x1.0f61bf463623fp-3, 0x1.150712d342f33p-3, 0x1.1aa74a3139c6dp-3, 0x1.204017914568ap-3, 0x1.25cf8abe38cd5p-3, 0x1.2b54099f2cf13p-3, 0x1.30cc48b6e8455p-3, 0x1.363743d496441p-3, 0x1.3b94371abfdacp-3, 0x1.40e29873d3ecfp-3, 0x1.46221180b80c8p-3, 0x1.4b527a052ab9ep-3, 0x1.5073d2cf5484p-3, 0x1.5586411367b83p-3, 0x1.5a8a0a313d619p-3, 0x1.5f7f8fd8706a3p-3, 0x1.64674c7eda406p-3, 0x1.6941d01dcea32p-3, 0x1.6e0fbd2b42f0dp-3, 0x1.72d1c5c552c57p-3, 0x1.7788a9082a191p-3, 0x1.7c353087c692cp-3, 0x1.80d82de8a475dp-3, 0x1.85727893e165ap-3, 0x1.8a04eb8484247p-3, 0x1.8e90632cf140fp-3, 0x1.9315bb7434bb8p-3, 0x1.9795cdcbcd0bbp-3, 0x1.9c116f5ee5039p-3, 0x1.a0896f5c750a8p-3, 0x1.a4fe955dd6a0fp-3, 0x1.a9719feb6b1c7p-3, 0x1.ade34320e95ap-3, 0x1.b2542772add82p-3, 0x1.b6c4e89534c5cp-3, 0x1.bb361487a014bp-3, 0x1.bfa82ac1c83a1p-3, 0x1.c41b9b86136c9p-3, 0x1.c890c756d7906p-3, 0x1.cd07fe8edb812p-3, 0x1.d181811c0ea09p-3, 0x1.d5fd7e5b63595p-3, 0x1.da7c15145c069p-3, 0x1.defd5392ab14bp-3, 0x1.e38137dc07d7dp-3, 0x1.e807b000390b8p-3, 0x1.ec909a8131dd5p-3, 0x1.f11bc6d0fa544p-3, 0x1.f5a8f5e329f9p-3, 0x1.fa37dacf8ec7dp-3, 0x1.fec81b83bcc2bp-3, 0x1.01aca8c09870ep-2, 0x1.03f58552ed4bdp-2, 0x1.063e64fe65e29p-2, 0x1.0887044a87965p-2, 0x1.0acf1b2e555edp-2, 0x1.0d165d7ef488p-2, 0x1.0f5c7b5ea17ap-2, 0x1.11a121ab21727p-2, 0x1.13e3fa6afc6a5p-2, 0x1.1624ad38d3a48p-2, 0x1.1862dfac434fcp-2, 0x1.1a9e35bfc6056p-2, 0x1.1cd6523328abfp-2, 0x1.1f0ad6ea2d1adp-2, 0x1.213b65470a21ap-2, 0x1.23679e808062ap-2, 0x1.258f23f357933p-2, 0x1.27b1976f1352fp-2, 0x1.29ce9b7dcf515p-2, 0x1.2be5d3a72c55cp-2, 0x1.2df6e4ae4b145p-2, 0x1.300174cadc4a8p-2, 0x1.32052bdd52e46p-2, 0x1.3401b39e4cd5cp-2, 0x1.35f6b7c9501f9p-2, 0x1.37e3e642fbab4p-2, 0x1.39c8ef3ad6355p-2, 0x1.3ba58548e57f2p-2, 0x1.3d795d8739c3bp-2, 0x1.3f442fa7a0732p-2, 0x1.4105b605b4be5p-2, 0x1.42bdadb57d024p-2, 0x1.446bd68ecced1p-2, 0x1.460ff335a6dc1p-2, 0x1.47a9c91fc86d7p-2, 0x1.49392097a35cep-2, 0x1.4abdc4bcef16ep-2, 0x1.4c37838309fc8p-2, 0x1.4da62dad5c7a8p-2, 0x1.4f0996c9ec92bp-2, 0x1.5061952a55bd2p-2, 0x1.51ae01db49319p-2, 0x1.52eeb89acd929p-2, 0x1.542397cd593f3p-2, 0x1.554c8071f7abfp-2, 0x1.566956159a4f2p-2, 0x1.5779fec5b76ddp-2, 0x1.587e63025441bp-2, 0x1.59766daf9a21bp-2, 0x1.5a620c0712d3cp-2, 0x1.5b412d88a0b3p-2, 0x1.5c13c3eb4c9d3p-2, 0x1.5cd9c30dfd723p-2, 0x1.5d9320e829dbep-2, 0x1.5e3fd57a9a5b6p-2, 0x1.5edfdac041c54p-2, 0x1.5f732c9f41b7cp-2, 0x1.5ff9c8da21a5cp-2, 0x1.6073af014302dp-2, 0x1.60e0e0649bcebp-2, 0x1.61416005bcc54p-2, 0x1.6195328a2ce1dp-2, 0x1.61dc5e2e1a34p-2, 0x1.6216eab7638cbp-2, 0x1.6244e169035ccp-2, 0x1.62664cf6d44c4p-2, 0x1.627b3979ba88fp-2, 0x1.6283b46426ccep-2, 0x1.627fcc76fb78dp-2, 0x1.626f91b6ceebap-2, 0x1.6253156187213p-2, 0x1.622a69e4513d5p-2, 0x1.61f5a2d1eed8ap-2, 0x1.61b4d4d9558dp-2, 0x1.616815bca1a07p-2, 0x1.610f7c4854c6ep-2, 0x1.60ab204adec64p-2, 0x1.603b1a8c6965bp-2, 0x1.5fbf84c6eb2b3p-2, 0x1.5f38799e7578fp-2, 0x1.5ea61499bb66ep-2, 0x1.5e08721ad3fc1p-2, 0x1.5d5faf5829b46p-2, 0x1.5cabea559c9a9p-2, 0x1.5bed41ddcf0b2p-2, 0x1.5b23d57b97d97p-2, 0x1.5a4fc5739dccap-2, 0x1.597132be0e60bp-2, 0x1.58883f0077b6cp-2, 0x1.57950c87b7a21p-2, 0x1.5697be42097dep-2, 0x1.559077b9259b3p-2, 0x1.547f5d0c74084p-2, 0x1.536492eb507f3p-2, 0x1.52403e8f5cd84p-2, 0x1.511285b6e26fcp-2, 0x1.4fdb8e9f39b46p-2, 0x1.4e9b7fff411abp-2, 0x1.4d528101d8758p-2, 0x1.4c00b9406358cp-2, 0x1.4aa650bd51a3ep-2, 0x1.49436fdeaf15fp-2, 0x1.47d83f68b3c2fp-2, 0x1.4664e878595fbp-2, 0x1.44e9947df644ep-2, 0x1.43666d37d791cp-2, 0x1.41db9cacded2dp-2, 0x1.40494d2724f01p-2, 0x1.3eafa92e9bc9p-2, 0x1.3d0edb83b5185p-2, 0x1.3b670f1a0d4c3p-2, 0x1.39b86f1317409p-2, 0x1.380326b8cd3fbp-2, 0x1.3647617866d9cp-2, 0x1.34854add1241p-2, 0x1.32bd0e8ab3ce2p-2, 0x1.30eed838ac1d6p-2, 0x1.2f1ad3aca6874p-2, 0x1.2d412cb56bfecp-2, 0x1.2b620f25c15eep-2, 0x1.297da6cf4e849p-2, 0x1.27941f7d8f14cp-2, 0x1.25a5a4f0d074dp-2, 0x1.23b262d9373c9p-2, 0x1.21ba84d1d802ap-2, 0x1.1fbe365bda46p-2, 0x1.1dbda2d9a9db7p-2, 0x1.1bb8f58a3ad34p-2, 0x1.19b059845b01bp-2, 0x1.17a3f9b21832fp-2, 0x1.159400cc36346p-2, 0x1.13809955b918dp-2, 0x1.1169ed978428ep-2, 0x1.0f50279c0c9d7p-2, 0x1.0d33712b23a9bp-2, 0x1.0b13f3c5d44f8p-2, 0x1.08f1d8a25ce92p-2, 0x1.06cd48a83abb2p-2, 0x1.04a66c6c51abep-2, 0x1.027d6c2d2d7d6p-2, 0x1.00526fcf5904bp-2, 0x1.fc4b3db3a935ep-3, 0x1.f7ee40e545187p-3, 0x1.f38e36b6e1fb9p-3, 0x1.ef2b6bdcc1b64p-3, 0x1.eac62c35c662cp-3, 0x1.e65ec2c57535cp-3, 0x1.e1f579ae22ad1p-3, 0x1.dd8a9a2b61984p-3, 0x1.d91e6c8cadf12p-3, 0x1.d4b1383048154p-3, 0x1.d043437e52d99p-3, 0x1.cbd4d3e429e8ap-3, 0x1.c7662dcff3f2p-3, 0x1.c2f794ac6e05dp-3, 0x1.be894adcf1df9p-3, 0x1.ba1b91b9b8e25p-3, 0x1.b5aea98c567fp-3, 0x1.b142d18c702ep-3, 0x1.acd847dcae947p-3, 0x1.a86f4987e614ap-3, 0x1.a408127e7b2e8p-3, 0x1.9fa2dd94000c8p-3, 0x1.9b3fe47d04342p-3, 0x1.96df5fcd254d9p-3, 0x1.928186f5520e7p-3, 0x1.8e2690423f484p-3, 0x1.89ceb0db1a89p-3, 0x1.857a1cc069983p-3, 0x1.812906cb26a55p-3, 0x1.7cdba0ac040b3p-3, 0x1.78921aeaef687p-3, 0x1.744ca4e6b9a98p-3, 0x1.700b6cd4f67d2p-3, 0x1.6bce9fc20c296p-3, 0x1.679669916a14cp-3, 0x1.6362f4fdf2544p-3, 0x1.5f346b9a90f5ap-3, 0x1.5b0af5d2f3d6bp-3, 0x1.56e6baec7e4b9p-3, 0x1.52c7e10750201p-3, 0x1.4eae8d1f84e39p-3, 0x1.4a9ae30e95838p-3, 0x1.468d058cd60bcp-3, 0x1.42851633266aap-3, 0x1.3e83357cba14bp-3, 0x1.3a8782c9057a6p-3, 0x1.36921c5dd06fap-3, 0x1.32a31f6960532p-3, 0x1.2ebaa804c3a2ep-3, 0x1.2ad8d1363d3a9p-3, 0x1.26fdb4f3c9f5cp-3, 0x1.23296c25bb6e7p-3, 0x1.1f5c0ea975eaap-3, 0x1.1b95b3543fe15p-3, 0x1.17d66ff6277dap-3, 0x1.141e595d06ea8p-3, 0x1.106d8357924bfp-3, 0x1.0cc400b8839fdp-3, 0x1.0921e359d04c6p-3, 0x1.05873c1ff74f1p-3, 0x1.01f41afd5d7ebp-3, 0x1.fcd11deb6dfe2p-4, 0x1.f5c94c43081dbp-4, 0x1.eed0db6329bcfp-4, 0x1.e7e7e3e541829p-4, 0x1.e10e7ca1c70ep-4, 0x1.da44bab78c887p-4, 0x1.d38ab19327151p-4, 0x1.cce072f66553fp-4, 0x1.c6460effd77cap-4, 0x1.bfbb943260442p-4, 0x1.b9410f7cd2145p-4, 0x1.b2d68c419f9c3p-4, 0x1.ac7c145e8a9ebp-4, 0x1.a631b03456458p-4, 0x1.9ff766ae8e91p-4, 0x1.99cd3d4b45391p-4, 0x1.93b33822d2409p-4, 0x1.8da959ef9ab05p-4, 0x1.87afa415d5eaap-4, 0x1.81c616ab4bc74p-4, 0x1.7becb07f13379p-4, 0x1.76236f214c2a2p-4, 0x1.706a4eead291dp-4, 0x1.6ac14b04eaeb1p-4, 0x1.65285d70e4326p-4, 0x1.5f9f7f0fb5489p-4, 0x1.5a26a7a98cca8p-4, 0x1.54bdcdf552d69p-4, 0x1.4f64e7a025b7bp-4, 0x1.4a1be954c363cp-4, 0x1.44e2c6c2e5f5p-4, 0x1.3fb972a6915ccp-4, 0x1.3a9fdecf53032p-4, 0x1.3595fc276fa1ep-4, 0x1.309bbabafd119p-4, 0x1.2bb109beeda97p-4, 0x1.26d5d79807375p-4, 0x1.220a11e1c805ap-4, 0x1.1d4da575358a3p-4, 0x1.18a07e6f9841cp-4, 0x1.14028839229c8p-4, 0x1.0f73ad8b81cp-4, 0x1.0af3d87856892p-4, 0x1.0682f26f9e321p-4, 0x1.0220e445fcb55p-4, 0x1.fb9b2c75eb8e6p-5, 0x1.f311dffe12f73p-5, 0x1.eaa5b1737b24bp-5, 0x1.e2566e1f16fd9p-5, 0x1.da23e24f72a61p-5, 0x1.d20dd9642f279p-5, 0x1.ca141dd94a057p-5, 0x1.c2367952398adp-5, 0x1.ba74b4a4d722cp-5, 0x1.b2ce97e40f47bp-5, 0x1.ab43ea6a6c27dp-5, 0x1.a3d472e45e239p-5, 0x1.9c7ff75a5c305p-5, 0x1.95463d3acfcdcp-5, 0x1.8e270963ca18cp-5, 0x1.8722202c895dcp-5, 0x1.8037456ece1dfp-5, 0x1.79663c8ff7141p-5, 0x1.72aec889efd6ap-5, 0x1.6c10abf3e83c5p-5, 0x1.658ba90adeb75p-5, 0x1.5f1f81b9f6441p-5, 0x1.58cbf7a29736ep-5, 0x1.5290cc246b728p-5, 0x1.4c6dc065143f9p-5, 0x1.46629557bf12p-5, 0x1.406f0bc489663p-5, 0x1.3a92e44fa7bf5p-5, 0x1.34cddf8070268p-5, 0x1.2f1fbdc821cfbp-5, 0x1.29883f888d148p-5, 0x1.2407251a8160ep-5, 0x1.1e9c2ed4157a5p-5, 0x1.19471d0ebb59fp-5, 0x1.1407b02d2f15ap-5, 0x1.0edda8a132c42p-5, 0x1.09c8c6f1229f7p-5, 0x1.04c8cbbd56227p-5, 0x1.ffbaef8abe0b8p-6, 0x1.f60d17da39373p-6, 0x1.ec8792833ea3ep-6, 0x1.e329e1fbcdd1bp-6, 0x1.d9f3891efdc42p-6, 0x1.d0e40b35c81a9p-6, 0x1.c7faebff9df9fp-6, 0x1.bf37afbaa7d0bp-6, 0x1.b699db2bb596cp-6, 0x1.ae20f3a5e3c1bp-6, 0x1.a5cc7f11ff7c4p-6, 0x1.9d9c03f5a1ae5p-6, 0x1.958f0979eff2cp-6, 0x1.8da517723083ep-6, 0x1.85ddb6620361ap-6, 0x1.7e386f836a354p-6, 0x1.76b4cccc8a8b2p-6, 0x1.6f5258f52358ap-6, 0x1.68109f7bd08bdp-6, 0x1.60ef2cab04b83p-6, 0x1.59ed8d9dd39d9p-6, 0x1.530b5044759c7p-6, 0x1.4c48036890c2ap-6, 0x1.45a336b15149ap-6, 0x1.3f1c7aa740a3ep-6, 0x1.38b360b7f19d1p-6, 0x1.32677b3967847p-6, 0x1.2c385d6d5a27cp-6, 0x1.26259b842f373p-6, 0x1.202eca9fdff51p-6, 0x1.1a5380d692e61p-6, 0x1.149355351ce04p-6, 0x1.0eeddfc13ff4fp-6, 0x1.0962b97bcee8ap-6, 0x1.03f17c6294269p-6, 0x1.fd3386e430abcp-7, 0x1.f2b6554e8475p-7, 0x1.e86a9e017f667p-7, 0x1.de4f9d00ba3fdp-7, 0x1.d464905836ac9p-7, 0x1.caa8b81e7340cp-7, 0x1.c11b5676212afp-7, 0x1.b7bbaf8f8c7d6p-7, 0x1.ae8909a9c5234p-7, 0x1.a582ad139963ap-7, 0x1.9ca7e42c26d73p-7, 0x1.93f7fb63688d8p-7, 0x1.8b72413a451f9p-7, 0x1.831606429b5abp-7, 0x1.7ae29d1ef7a92p-7, 0x1.72d75a821f421p-7, 0x1.6af3952e54fb9p-7, 0x1.6336a5f48d38ap-7, 0x1.5b9fe7b35036cp-7, 0x1.542eb7557a94ap-7, 0x1.4ce273d0d3a01p-7, 0x1.45ba7e2471adcp-7, 0x1.3eb63956eedf7p-7, 0x1.37d50a7489819p-7, 0x1.3116588cffbb5p-7, 0x1.2a798cb1686dap-7, 0x1.23fe11f1c17b6p-7, 0x1.1da3555a7d5cdp-7, 0x1.1768c5f1dcc56p-7, 0x1.114dd4b5307f8p-7, 0x1.0b51f495f6217p-7, 0x1.05749a76d8546p-7, 0x1.ff6a7a513e681p-8, 0x1.f426aacdf093ap-8, 0x1.e91cbbaa4c5f2p-8, 0x1.de4ba5f55a7a4p-8, 0x1.d3b2667f99af8p-8, 0x1.c94ffdd3d1b43p-8, 0x1.bf23702ff8d47p-8, 0x1.b52bc57d88195p-8, 0x1.ab68094a2668ep-8, 0x1.a1d74abfc2f85p-8, 0x1.98789c9ce4195p-8, 0x1.8f4b152c9382ap-8, 0x1.864dce3e775aap-8, 0x1.7d7fe51e882c9p-8, 0x1.74e07a8ce34c9p-8, 0x1.6c6eb2b55d56p-8, 0x1.6429b52723dd3p-8, 0x1.5c10accc39f97p-8, 0x1.5422c7e0ec155p-8, 0x1.4c5f37eb399cep-8, 0x1.44c531b20d69bp-8, 0x1.3d53ed34a217fp-8, 0x1.360aa5a186a81p-8, 0x1.2ee8994e124eep-8, 0x1.27ed09ad587bcp-8, 0x1.21173b4753c1fp-8, 0x1.1a6675b00f11ap-8, 0x1.13da037ea788dp-8, 0x1.0d713244709b4p-8, 0x1.072b528412516p-8, 0x1.0107b7a868c1fp-8, 0x1.f60b6ff77fbe3p-9, 0x1.ea49593d9499bp-9, 0x1.dec7e2ff8451p-9, 0x1.d385caa2da34p-9, 0x1.c881d304953bdp-9, 0x1.bdbac4675c16ep-9, 0x1.b32f6c61b2e4ap-9, 0x1.a8de9dcc71af6p-9, 0x1.9ec730b10b9bap-9, 0x1.94e802381b562p-9, 0x1.8b3ff497e1fefp-9, 0x1.81cdef02cbb5bp-9, 0x1.7890dd9635731p-9, 0x1.6f87b1493eb53p-9, 0x1.66b15fdb66405p-9, 0x1.5e0ce3c40edp-9, 0x1.55993c20e26c4p-9, 0x1.4d556ca583937p-9, 0x1.45407d8a7b9c1p-9, 0x1.3d597b7cacd1cp-9, 0x1.359f778cfe8ep-9, 0x1.2e11871fce34ap-9, 0x1.26aec3dcc344ep-9, 0x1.1f764b9e80832p-9, 0x1.18674062d4ecbp-9, 0x1.1180c83ac2735p-9, 0x1.0ac20d3af1ee8p-9, 0x1.042a3d6bc87a2p-9, 0x1.fb7115743f0b6p-10, 0x1.eed855cf86f09p-10, 0x1.e288aef8ff428p-10, 0x1.d6809b6dcd366p-10, 0x1.cabe9cfaeaa28p-10, 0x1.bf413c9faf973p-10, 0x1.b4070a70ae282p-10, 0x1.a90e9d7a6eafcp-10, 0x1.9e5693a522a46p-10, 0x1.93dd9198955adp-10, 0x1.89a2429faf91cp-10, 0x1.7fa3588ce40dep-10, 0x1.75df8b9ec39cfp-10, 0x1.6c559a652c796p-10, 0x1.630449a60c778p-10, 0x1.59ea644366547p-10, 0x1.5106bb20e78e7p-10, 0x1.4858250a31425p-10, 0x1.3fdd7e99474fbp-10, 0x1.3795aa1d28069p-10, 0x1.2f7f8f814983p-10, 0x1.279a1c34ad342p-10, 0x1.1fe44311d7f0ep-10, 0x1.185cfc46aa86fp-10, 0x1.1103453cca672p-10, 0x1.09d6208243bd4p-10, 0x1.02d495b2a2507p-10, 0x1.f7fb62bfc429bp-11, 0x1.eaa109f90d004p-11, 0x1.dd984d8a79519p-11, 0x1.d0df6355e4157p-11, 0x1.c4748a7aba053p-11, 0x1.b8560b2ba2584p-11, 0x1.ac823684f4ddep-11, 0x1.a0f7666309959p-11, 0x1.95b3fd3a0461dp-11, 0x1.8ab665edb36b6p-11, 0x1.7ffd13a9f6a78p-11, 0x1.758681bba6d17p-11, 0x1.6b51336b15513p-11, 0x1.615bb3d58dae8p-11, 0x1.57a495c8ecb09p-11, 0x1.4e2a739e3dc51p-11, 0x1.44ebef1658aefp-11, 0x1.3be7b13609aacp-11, 0x1.331c6a232dab2p-11, 0x1.2a88d102820d1p-11, 0x1.222ba3d5c4762p-11, 0x1.1a03a75a8a38ap-11, 0x1.120fa6e91bfeap-11, 0x1.0a4e74549a387p-11, 0x1.02bee7cad5e1dp-11, 0x1.f6bfbf6ace04bp-12, 0x1.e8608135e6ba8p-12, 0x1.da5dea0227c4ap-12, 0x1.ccb5da9c9e1f6p-12, 0x1.bf663f5aaa37ep-12, 0x1.b26d0fdfcca9cp-12, 0x1.a5c84ee53318ap-12, 0x1.99760a0260c3dp-12, 0x1.8d745976c38ap-12, 0x1.81c15ff478785p-12, 0x1.765b4a6a81953p-12, 0x1.6b404fd1aa053p-12, 0x1.606eb0f8b60a6p-12, 0x1.55e4b8534df94p-12, 0x1.4ba0b9c82378dp-12, 0x1.41a112816cd5cp-12, 0x1.37e428bc6b57fp-12, 0x1.2e686b9be0c9ep-12, 0x1.252c52f956d03p-12, 0x1.1c2e5f383ce0cp-12, 0x1.136d191a0594dp-12, 0x1.0ae711925d337p-12, 0x1.029ae19d37c29p-12, 0x1.f50e5429aa601p-13, 0x1.e555270ffaa51p-13, 0x1.d6079c248e783p-13, 0x1.c7232267b9305p-13, 0x1.b8a5375731f08p-13, 0x1.aa8b669fe775bp-13, 0x1.9cd349d4d2044p-13, 0x1.8f7a882455d67p-13, 0x1.827ed610f4385p-13, 0x1.75ddf529b82fbp-13, 0x1.6995b3c538441p-13, 0x1.5da3ecbcd5874p-13, 0x1.5206872af9208p-13, 0x1.46bb7628f5f87p-13, 0x1.3bc0b88f4dfb9p-13, 0x1.311458b52bccep-13, 0x1.26b46c33a123fp-13, 0x1.1c9f13a9afd4ep-13, 0x1.12d27a7f2a81dp-13, 0x1.094cd6aad676cp-13, 0x1.000c68798705cp-13, 0x1.ee1ef4ae3e8bdp-14, 0x1.dca8c12b149d5p-14, 0x1.cbb2f270905f1p-14, 0x1.bb3a577e40102p-14, 0x1.ab3bd1e281d2dp-14, 0x1.9bb4555815acdp-14, 0x1.8ca0e7609573ep-14, 0x1.7dfe9ee3da751p-14, 0x1.6fcaa3ce81c03p-14, 0x1.62022eb847124p-14, 0x1.54a2888521dc2p-14, 0x1.47a90a0b16018p-14, 0x1.3b131bba1f39bp-14, 0x1.2ede35465697dp-14, 0x1.2307dd53384ecp-14, 0x1.178da92192c1fp-14, 0x1.0c6d3c3d8f881p-14, 0x1.01a4482e7c15ap-14, 0x1.ee61185565e59p-15, 0x1.da1fa98e3570bp-15, 0x1.c67ff75fe3aa1p-15, 0x1.b37dcebd7259p-15, 0x1.a11515a186ba9p-15, 0x1.8f41ca8a0422cp-15, 0x1.7e0003e7f6c8bp-15, 0x1.6d4bef9ae7ca9p-15, 0x1.5d21d26a72cbp-15, 0x1.4d7e0785a22e2p-15, 0x1.3e5d000804a17p-15, 0x1.2fbb42786b8a1p-15, 0x1.21956a556d6ddp-15, 0x1.13e82799ec71ap-15, 0x1.06b03e4bf7d85p-15, 0x1.f3d50c1472a6dp-16, 0x1.db27d330daaaep-16, 0x1.c352ccee63bdep-16, 0x1.ac5018ef6ee74p-16, 0x1.9619faa3b2de2p-16, 0x1.80aad88441375p-16, 0x1.6bfd3b453e445p-16, 0x1.580bcd12c8843p-16, 0x1.44d158d0eb058p-16, 0x1.3248c95fe06dp-16, 0x1.206d28e43eddap-16, 0x1.0f39a013a0796p-16, 0x1.fd52eb0f7a90bp-17, 0x1.dd701a1b08eep-17, 0x1.bec1ce02fd65bp-17, 0x1.a13f3f50c1bc1p-17, 0x1.84dfdd1b4c78ep-17, 0x1.699b4bcad4579p-17, 0x1.4f6963ed62ff6p-17, 0x1.364230f987ed3p-17, 0x1.1e1df03653657p-17, 0x1.06f50f93ed6e6p-17, 0x1.e180592aa967fp-18, 0x1.b6f026665b431p-18, 0x1.8e2b79b78b353p-18, 0x1.67249ebb9d016p-18, 0x1.41ce37d4b130dp-18, 0x1.1e1b3c2aa31b1p-18, 0x1.f7fdeb8af0252p-19, 0x1.b6d9ff4d62705p-19, 0x1.78b287d12416dp-19, 0x1.3d6ff3f2a630bp-19, 0x1.04fb49aac50f7p-19, 0x1.9e7c452fd6f7p-20, 0x1.3845511b7a33cp-20, 0x1.ae4e493dbd9ep-21, 0x1.ebe102e1fd1dep-22, 0x1.1c819bc8db6a6p-23, -0x1.79c3712f9d9a8p-23, -0x1.f62038c2a5724p-22, -0x1.8f0837b29f70bp-21, -0x1.0d5110f15e4dep-20, -0x1.4f12780af29e9p-20, -0x1.8ceaf191a6498p-20, -0x1.c6fc3959f5745p-20, -0x1.fd672bfda055ap-20, -0x1.1825e5fd03788p-19, -0x1.2fe4a35c01d69p-19, -0x1.45fefcaa99091p-19, -0x1.5a83bae820dd4p-19, -0x1.6d8143b520a22p-19, -0x1.7f059ba2730e8p-19, -0x1.8f1e68b02e0a4p-19, -0x1.9dd8f4436b774p-19, -0x1.ab422d567191cp-19, -0x1.b766aab1d6d16p-19, -0x1.c252acd4e70f4p-19, -0x1.cc12202001d1cp-19, -0x1.d4b09eaf814b9p-19, -0x1.dc397252e5aacp-19, -0x1.e2b796710c552p-19, -0x1.e835b9d73aaffp-19, -0x1.ecbe40aad25c5p-19, -0x1.f05b45ebf78fdp-19, -0x1.f3169d5cf2d2ep-19, -0x1.f4f9d52076ca9p-19, -0x1.f60e375563d5dp-19, -0x1.f65ccbc6bf187p-19, -0x1.f5ee59621cea4p-19, -0x1.f4cb67e750671p-19, -0x1.f2fc412f6be8ap-19, -0x1.f088f2da34bd7p-19, -0x1.ed794faa89bdap-19, -0x1.e9d4f0e0c310bp-19, -0x1.e5a337a697f65p-19, -0x1.e0eb4e611e1c7p-19, -0x1.dbb429fdbb615p-19, -0x1.d6048b356b1bap-19, -0x1.cfe2ffcfb58ffp-19, -0x1.c955e3f068009p-19, -0x1.c263632707ddfp-19, -0x1.bb1179a90e255p-19, -0x1.b365f5815e1c2p-19, -0x1.ab6677953f62ep-19, -0x1.a31874c8c7fedp-19, -0x1.9a8137195e8b2p-19, -0x1.91a5de90b12edp-19, -0x1.888b625796c0ep-19, -0x1.7f3691ab43528p-19, -0x1.75ac14ef1251ap-19, -0x1.6bf06e805595cp-19, -0x1.6207fbb6634d9p-19, -0x1.57f6f5c72c422p-19, -0x1.4dc172a9b0305p-19, -0x1.436b65e8ee53p-19, -0x1.38f8a194a6433p-19, -0x1.2e6cd70157522p-19, -0x1.23cb979f047a7p-19, -0x1.191855c1232cdp-19, -0x1.0e56655fa4687p-19, -0x1.0388fce6d548bp-19, -0x1.f1666bdfda544p-20, -0x1.dbb01be15e99cp-20, -0x1.c5f4cdf6d334cp-20, -0x1.b03a10d094fd7p-20, -0x1.9a853f0ea2d3bp-20, -0x1.84db805df46c2p-20, -0x1.6f41cb1dc45b1p-20, -0x1.59bce55d439b4p-20, -0x1.4451663b501cdp-20, -0x1.2f03b705346f7p-20, -0x1.19d8147639ea9p-20, -0x1.04d28fb8784cp-20, -0x1.dfee1f67743abp-21, -0x1.b692a3f369687p-21, -0x1.8d99d8030b61cp-21, -0x1.650a983a6c18dp-21, -0x1.3ceb74e95e109p-21, -0x1.1542b4247f068p-21, -0x1.dc2ca7c81a876p-22, -0x1.8ed8178718a4fp-22, -0x1.42929df053ff4p-22, -0x1.eecd38120c26ep-23, -0x1.5abbe25976563p-23, -0x1.9207f899e27ddp-24, -0x1.cdba96a946115p-26, 0x1.4c64f26b1eb4p-25, 0x1.babb7b14e51bp-24, 0x1.65071c72cb032p-23, 0x1.ea0721fc8b0b1p-23, 0x1.3628365571fafp-22, 0x1.75eb3595b789dp-22, 0x1.b446aac9999fdp-22, }}, 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
      std::vector<double>(750, 0.0), 
    }}, 
    {
      32, 0x1.9851eb851eb85p+2, 0x1.e612dfb43e9d4p+0, 0x1.44ce0fe95a09dp+2, -0x1.20ab685b95e6p-8, 
      {{
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.b0fd0e22890c8p-7, -0x1.120b6b4ceef17p-5, 0x1.042af0fd3f46dp-5, -0x1.b19f423c4143fp-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.7cba1ff8f007bp-7, -0x1.f1ae86f8b9282p-6, 0x1.e7d0569c600fp-6, -0x1.a1dd64f19ce9ap-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.4d58808f47ec9p-7, -0x1.c277a4c4df2d1p-6, 0x1.c8795570a77dp-6, -0x1.9477d0c7383f2p-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.2287e1aafaeadp-7, -0x1.9656331683705p-6, 0x1.aa238c2e83453p-6, -0x1.867051a48a92ap-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.f7f54021b089bp-8, -0x1.6d2fddb228c08p-6, 0x1.8cdb1fa8927a5p-6, -0x1.78943542d401ap-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.b2cb870a28a5fp-8, -0x1.46e9de91df613p-6, 0x1.709ccedd28fa5p-6, -0x1.6aac78d571eefp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.7501fd969106cp-8, -0x1.23698e2d326e2p-6, 0x1.556979005a088p-6, -0x1.5cc7d9d5dccd1p-7}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.3e0d5f4ce6b1bp-8, -0x1.02943cd0342c4p-6, 0x1.3b40e24383127p-6, -0x1.4ee2652aabfe1p-7}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.0d67bdb1f0db3p-8, -0x1.c89e79eebec81p-7, 0x1.22231aad1c92ap-6, -0x1.40fd29c02dd67p-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c521009281bcep-9, -0x1.90ffc1120b551p-7, 0x1.0a101df1e5ef7p-6, -0x1.3317defe7307bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.7a18c92a64869p-9, -0x1.5e16f32769baap-7, 0x1.e60fda70d4379p-7, -0x1.25329859021dcp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.38cafc2dd5784p-9, -0x1.2faeb43665cdbp-7, 0x1.ba1510637a4cep-7, -0x1.174d50999f775p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.00566c9cb44c1p-9, -0x1.0591a84c52726p-7, 0x1.902fdde608c6fp-7, -0x1.09680925c1b5dp-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.9fc932e8ea28dp-10, -0x1.bf14e6e9ec71dp-8, 0x1.686042ed2bb8ep-7, -0x1.f705833b65c79p-8}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.4d535b60406e3p-10, -0x1.7ac7737903d33p-8, 0x1.42a63f7bea7d2p-7, -0x1.db3af435fe1d8p-8}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.07c90090a4de9p-10, -0x1.3dd03e5e13a24p-8, 0x1.1f01d391776e4p-7, -0x1.bf70652de4f93p-8}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.9b7a50ccf33c5p-11, -0x1.07c48fb153ddbp-8, 0x1.fae5fe5c0c843p-8, -0x1.a3a5d625e56bcp-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.3bb0619292fc2p-11, -0x1.b0735f15ef109p-9, 0x1.bbf384a32a197p-8, -0x1.87db47206f7b6p-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.db5f3e6f1fdfp-12, -0x1.5d89cc066d702p-9, 0x1.812c39f7e62d9p-8, -0x1.6c10b8105914cp-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.5e3c4aef44ce9p-12, -0x1.15f6f66473f07p-9, 0x1.4a901e5bd8d11p-8, -0x1.5046292897a06p-8}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.f73300135008fp-13, -0x1.b1cadcc18b766p-10, 0x1.181f31c8f546p-8, -0x1.347b99a9d569p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.5edbaa1dfefdp-13, -0x1.4aff8854f9ff3p-10, 0x1.d3b2e8abc4201p-9, -0x1.18b10c5ef57ecp-8}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.d81684f28f77ep-14, -0x1.ebc21fdb958b8p-11, 0x1.7f7dcb5c14124p-9, -0x1.f9ccedb6e80e8p-9}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.300a6ef241e6p-14, -0x1.61892790b851ep-11, 0x1.339f0e1a3e106p-9, -0x1.c238000d248e3p-9}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.72dedd2b1acp-15, -0x1.e7fcd33631d31p-12, 0x1.e02d4f63bdf6cp-10, -0x1.8aa22d6016c23p-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.a5dd7fa5d18ffp-16, -0x1.3f984589d2bap-12, 0x1.69c974fa1d89bp-10, -0x1.530fb1620d2d2p-9}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.b54cf56c25c01p-17, -0x1.86728a760a496p-13, 0x1.04118c8fe663p-10, -0x1.1b70bfac44367p-9}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.8e30653d65cp-18, -0x1.b0cf95396ca1p-14, 0x1.5e12a61ed7091p-11, -0x1.c8009c4b6a24ep-10}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.2abe40218ap-19, -0x1.9ef21d34e25c7p-15, 0x1.aa8b54dd3b303p-12, -0x1.57c4a33535f4fp-10}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.451e4629f8p-21, -0x1.386dec7d7fecfp-16, 0x1.b891191435a25p-13, -0x1.d93003c59f5d4p-11}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.7501fd982p-24, -0x1.2629f4b07c6e3p-18, 0x1.394efa6e78d7p-14, -0x1.ba245e34f002dp-12}, 
        {0x1.9666666666666p+2, 0x1.9851eb851eb85p+2, 0x1.d816854fffffep-30, -0x1.464d43b9a73cp-24, 0x1.802fa8dc13801p-17, -0x1.4e1ed0814c5a3p-10}, 
      }}, 
      0x1.84c9c1cbc60f7p-5, -0x1.222bb793293ep-1
    }
  };
  // clang-format on
}
SkfData params_3ob_3_1_k_na() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{-0x1.dd562e301dca6p-3, -0x1.c0745ddf1d6a2p-3, -0x1.93558ca066298p-3, -0x1.5949e0a88e8ffp-3, -0x1.15ce861283b14p-3, -0x1.9881d1800dd42p-4, -0x1.febd1efb0815ap-5, -0x1.95f45201b372ep-6, 0x1.85ff62b246d4ap-7, 0x1.7fb5c7770338ep-5, 0x1.452b55a611702p-4, 0x1.bec633bcf7cefp-4, 0x1.15b1aa72b146ep-3, 0x1.45218d02658ddp-3, 0x1.6d8afa5574152p-3, 0x1.8ef34d7438f74p-3, 0x1.a98399f578c93p-3, 0x1.bd80a173303b8p-3, 0x1.cb440a819fd03p-3, 0x1.d336a7fdafea8p-3, 0x1.d5cba88f1bb78p-3, 0x1.d37c8e043d51bp-3, 0x1.ccc5d48aea28bp-3, 0x1.c22435af32d03p-3, 0x1.b41273d4388c1p-3, 0x1.a3079bb3f638bp-3, 0x1.8f75ab87273fp-3, 0x1.79c891c3fc7bbp-3, 0x1.626576ffd3f98p-3, 0x1.49aa47ba7a26dp-3, 0x1.2fed73b8ab158p-3, 0x1.157dd9b0d2884p-3, 0x1.f545adc0508c4p-4, 0x1.bf38e677b791bp-4, 0x1.894747a647e1ep-4, 0x1.53d53b8f2c67p-4, 0x1.1f3a6a78dce79p-4, 0x1.d78510f78c906p-5, 0x1.735c593afcad2p-5, 0x1.126756bf19d66p-5, 0x1.69ffc25ee0731p-6, 0x1.6dbaa99a6d4d2p-7, 0x1.7b36f1588b444p-11, -0x1.2d69785efb082p-7, -0x1.3090b77f1087dp-6, -0x1.c193324a4fb8ap-6, -0x1.24d46a6aa740cp-5, -0x1.6467c79882p-5, -0x1.9f8a2f547b56ep-5, -0x1.d648a07746f36p-5, -0x1.045ad516d8b22p-4, -0x1.1b74490966594p-4, -0x1.307e47b6558d4p-4, -0x1.43880d3d26d82p-4, -0x1.54a227494cb7p-4, -0x1.63de2ed8b4adcp-4, -0x1.714e89fd45ed4p-4, -0x1.7d0634de12d6cp-4, -0x1.871891497a524p-4, -0x1.8f993c39abbfap-4, -0x1.969be8b9ef509p-4, -0x1.9c343fa2b60a6p-4, -0x1.a075c3a64049bp-4, -0x1.a373b934332aap-4, -0x1.a54111cbe3fd7p-4, -0x1.a5f05a68097p-4, -0x1.a593acb9c0ae4p-4, -0x1.a43ca2eca5fccp-4, -0x1.a1fc4da32b1bep-4, -0x1.9ee32be1ef771p-4, -0x1.9b0124ab51e5dp-4, -0x1.9665821118213p-4, -0x1.911eedb61218p-4, -0x1.8b3b6e95da8ffp-4, -0x1.84c86810d8551p-4, -0x1.7dd29a129b69fp-4, -0x1.766622231e3f7p-4, -0x1.6e8e7d4793e5ep-4, -0x1.66568a70c4365p-4, -0x1.5dc88d816093p-4, -0x1.54ee32bd6d654p-4, -0x1.4bd092c6258dep-4, -0x1.427836fd75e0cp-4, -0x1.38ed1e6818b13p-4, -0x1.2f36c2dfd722dp-4, -0x1.255c1e93c481dp-4, -0x1.1b63b1a8a0d05p-4, -0x1.115387ec10776p-4, -0x1.07313e80d9d59p-4, -0x1.fa0412f8cf218p-5, -0x1.e59572d708704p-5, -0x1.d11f818f768dep-5, -0x1.bcaa7295f75f9p-5, -0x1.a83dd277dc3aep-5, -0x1.93e091214b44cp-5, -0x1.7f990bfcd51c4p-5, -0x1.6b6d17b639d02p-5, -0x1.576209a272dd1p-5, -0x1.437cc0ba2f5c1p-5, -0x1.2fc1ae20e8393p-5, -0x1.1c34dd202d8eap-5, -0x1.08d9fab5d8e2fp-5, -0x1.eb68b9208faep-6, -0x1.c58e0f35e303fp-6, -0x1.a0296c22a3145p-6, -0x1.7b3fba465ef12p-6, -0x1.56d5645a69423p-6, -0x1.32ee5f28ed262p-6, -0x1.0f8e32800c7eap-6, -0x1.d97002dcaf3a5p-7, -0x1.94dd23dc16087p-7, -0x1.5168a7946bd92p-7, -0x1.0f16ce1b34ea4p-7, -0x1.9bd68718395d6p-8, -0x1.1bd2554072ecep-8, -0x1.3c4c98af8e54dp-9, -0x1.16b61c96f77ccp-11, 0x1.586331d8e43b5p-10, 0x1.994b782247db6p-9, 0x1.40ce26f1f704ep-8, 0x1.b290e0b130054p-8, 0x1.10f6b514040aap-7, 0x1.4771f372e788fp-7, 0x1.7cba8a35c4f52p-7, 0x1.b0d12087d2fbap-7, 0x1.e3b6a1f713944p-7, 0x1.0ab61d573737dp-6, 0x1.22f9a9a5dafe9p-6, 0x1.3aa6c6e6c067bp-6, 0x1.51be6102d159p-6, 0x1.68417cd48dfa9p-6, 0x1.7e3136eeaa038p-6, 0x1.938ec1ee00d32p-6, 0x1.a85b64959a7ddp-6, 0x1.bc9878c70ec3ep-6, 0x1.d04769e94c4ebp-6, 0x1.e369b32c69b91p-6, 0x1.f600dea15d285p-6, 0x1.040741da0322bp-5, 0x1.0cca22c293253p-5, 0x1.1549e92125d0fp-5, 0x1.1d8770e179ed9p-5, 0x1.258399e8f8976p-5, 0x1.2d3f47d3541c3p-5, 0x1.34bb618119f76p-5, 0x1.3bf8d033411e1p-5, 0x1.42f87f2a336bap-5, 0x1.49bb5b850a61cp-5, 0x1.50425363d9231p-5, 0x1.568e55a24c14ap-5, 0x1.5ca051778ff49p-5, 0x1.6279363d777cp-5, 0x1.6819f2b12680bp-5, 0x1.6d8374de0d903p-5, 0x1.72b6aa10c1bcbp-5, 0x1.77b47e3139722p-5, 0x1.7c7ddb58802a2p-5, 0x1.8113aa0956621p-5, 0x1.8576d110beb7bp-5, 0x1.89a834c1df385p-5, 0x1.8da8b6c6679f3p-5, 0x1.91793696feefap-5, 0x1.951a914aacba5p-5, 0x1.988da0c89e9c1p-5, 0x1.9bd33bb774a3bp-5, 0x1.9eec361c9d98fp-5, 0x1.a1d96140340b1p-5, 0x1.a49b8ad6e5dbfp-5, 0x1.a7337ce38aa73p-5, 0x1.a9a1fe73b61fbp-5, 0x1.abe7d3c11a585p-5, 0x1.ae05bd59cb8fap-5, 0x1.affc77bf959bfp-5, 0x1.b1ccbc272f5d2p-5, 0x1.b3774105dc3b2p-5, 0x1.b4fcb9693659p-5, 0x1.b65dd425e15b8p-5, 0x1.b79b3c3f72d99p-5, 0x1.b8b599e661023p-5, 0x1.b9ad927c15d37p-5, 0x1.ba83c78497719p-5, 0x1.bb38d63213bb5p-5, 0x1.bbcd5848fef4bp-5, 0x1.bc41e50a87be3p-5, 0x1.bc9710d2c2d87p-5, 0x1.bccd6bfa06f75p-5, 0x1.bce582a1a6864p-5, 0x1.bcdfddbd0a16bp-5, 0x1.bcbd03e647e9fp-5, 0x1.bc7d78e71d387p-5, 0x1.bc21bca8c9447p-5, 0x1.bbaa4b064de1bp-5, 0x1.bb179cc0e207fp-5, 0x1.ba6a2854e206dp-5, 0x1.b9a261aca0af1p-5, 0x1.b8c0b92e5de25p-5, 0x1.b7c59b6c9ae59p-5, 0x1.b6b171e4188dap-5, 0x1.b584a3d930076p-5, 0x1.b43f96535fecap-5, 0x1.b2e2ab59f897p-5, 0x1.b16e417613b3ap-5, 0x1.afe2b4226fc4fp-5, 0x1.ae405cabc7958p-5, 0x1.ac8792864cc9fp-5, 0x1.aab8aacfbf797p-5, 0x1.a8d3f7a67ef4dp-5, 0x1.a6d9c829d9a4ep-5, 0x1.a4ca69378e4edp-5, 0x1.a2a626235f245p-5, 0x1.a06d48b8156cap-5, 0x1.9e20189d42ccdp-5, 0x1.9bbedad8239b9p-5, 0x1.9949d2009f612p-5, 0x1.96c13f0965a3dp-5, 0x1.942561e270f67p-5, 0x1.9176797155b37p-5, 0x1.8eb4c3079f4d5p-5, 0x1.8be079efeebfp-5, 0x1.88f9d79756ee7p-5, 0x1.86011438be87bp-5, 0x1.82f6677f392d1p-5, 0x1.7fda08af8492ap-5, 0x1.7cac2e495d24bp-5, 0x1.796d0d9aff7d5p-5, 0x1.761cdab3a2f3ap-5, 0x1.72bbc8d4cfb2ep-5, 0x1.6f4a0b0f33f75p-5, 0x1.6bc7d49a40af7p-5, 0x1.683558bfbcbc6p-5, 0x1.6492ca8a2005p-5, 0x1.60e05c8b3b7c2p-5, 0x1.5d1e40fbcafa8p-5, 0x1.594caa294fc2bp-5, 0x1.556bcae5dfb23p-5, 0x1.517bd6b7a0c07p-5, 0x1.4d7d01c02c2d7p-5, 0x1.496f8083963bep-5, 0x1.455387c7e8837p-5, 0x1.41294cb495e25p-5, 0x1.3cf1052588c1dp-5, 0x1.38aae7fbd26ccp-5, 0x1.34572d41cf24bp-5, 0x1.2ff60e1e3964bp-5, 0x1.2b87c4ad867f8p-5, 0x1.270c8be51a712p-5, 0x1.22849f9ee81dep-5, 0x1.1df03ccd6070ap-5, 0x1.194fa1b6fa77p-5, 0x1.14a30e18fac9bp-5, 0x1.0feac3285c778p-5, 0x1.0b27037a2a24dp-5, 0x1.065812e62bcfap-5, 0x1.017e367aeef49p-5, 0x1.f93369202115cp-6, 0x1.ef55a9d5d4a36p-6, 0x1.e563c1ba95be6p-6, 0x1.db5e469fe67ffp-6, 0x1.d145d1719e7dbp-6, 0x1.c71afe075dd73p-6, 0x1.bcde6af2585c3p-6, 0x1.b290b964cff4p-6, 0x1.a8328d40d76abp-6, 0x1.9dc48d3b1f203p-6, 0x1.934762f2b15f3p-6, 0x1.88bbbaeed1b6p-6, 0x1.7e224484aeacap-6, 0x1.737bb1abc18b4p-6, 0x1.68c8b6cb656e2p-6, 0x1.5e0a0a9477172p-6, 0x1.534065f5511c7p-6, 0x1.486c84213c163p-6, 0x1.3d8f228ebf423p-6, 0x1.32a8fefde05c2p-6, 0x1.27bade618cd9ap-6, 0x1.1cc58740e76d5p-6, 0x1.11c9ae03efdd1p-6, 0x1.06c835c7899a4p-6, 0x1.f78397e1177b6p-7, 0x1.e16e98e43123dp-7, 0x1.cb52ecac73aa7p-7, 0x1.b532388293512p-7, 0x1.9f0e11e037b37p-7, 0x1.88e8161463605p-7, 0x1.72c1e3de2a0e9p-7, 0x1.5c9d16779df92p-7, 0x1.467b4e4d81b65p-7, 0x1.305e2dbfb6b8fp-7, 0x1.1a4753f9a86b3p-7, 0x1.04385f43d27bbp-7, 0x1.dc65dd702962cp-8, 0x1.b071463750d0fp-8, 0x1.84963860d2de5p-8, 0x1.58d7ec2ec8067p-8, 0x1.2d3997c6ca24ep-8, 0x1.01be6ec50e0cfp-8, 0x1.acd341788e32dp-9, 0x1.567cb65b54eafp-9, 0x1.007f8897f2265p-9, 0x1.55c3e8d911a05p-10, 0x1.56a8b016d9021p-11, 0x1.bca949c81c9d1p-18, -0x1.4dedf1dde6a9fp-11, -0x1.4eba825e17d02p-10, -0x1.f5820ad6f22e2p-10, -0x1.4da0da72363f5p-9, -0x1.9ff6e0dcc41d8p-9, -0x1.f1bd6b31565e2p-9, -0x1.21777980647e5p-8, -0x1.49c2eda1abf2ap-8, -0x1.71be46be72508p-8, -0x1.9966d6c43e1f9p-8, -0x1.c0b9f1c83315ep-8, -0x1.e7b50dac1a5fbp-8, -0x1.072acc0d74de2p-7, -0x1.1a4c877a605bp-7, -0x1.2d3e83639a912p-7, -0x1.3fff8e4fafb93p-7, -0x1.528e7ceae6e66p-7, -0x1.64ea2c9bdf15ep-7, -0x1.77118243d657cp-7, -0x1.89036a1f62b03p-7, -0x1.9abed82572a82p-7, -0x1.ac42c86775b22p-7, -0x1.bd8e3eee62721p-7, -0x1.cea047a8bb379p-7, -0x1.df77f6b510246p-7, -0x1.f014689aa1f3ap-7, -0x1.003a6129b5eb9p-6, -0x1.084c18915685ep-6, -0x1.103ef5502ee8bp-6, -0x1.1812967fc79cfp-6, -0x1.1fc69f902b995p-6, -0x1.275ab844fb89cp-6, -0x1.2ece8cb668522p-6, -0x1.3621cd4eae7adp-6, -0x1.3d542ec681fcdp-6, -0x1.44656a2805896p-6, -0x1.4b553cd553e87p-6, -0x1.5223688887b6p-6, -0x1.58cfb34e1331ep-6, -0x1.5f59e787ca87p-6, -0x1.65c1d3eeeea26p-6, -0x1.6c074b8651e96p-6, -0x1.722a258b5d20ap-6, -0x1.782a3d702cd43p-6, -0x1.7e0772d8d52c2p-6, -0x1.83c1a997a86d4p-6, -0x1.8958c9a7d3bf3p-6, -0x1.8eccbf256e383p-6, -0x1.941d7a42330acp-6, -0x1.994aef3578359p-6, -0x1.9e55162a52a8p-6, -0x1.a33beb344d9f4p-6, -0x1.a7ff6e49956c8p-6, -0x1.ac9fa337c7733p-6, -0x1.b11c91946295bp-6, -0x1.b57644aeb9414p-6, -0x1.b9accb829419dp-6, -0x1.bdc038a94d661p-6, -0x1.c1b0a2491e28bp-6, -0x1.c57e2200222dp-6, -0x1.c928d4e011cb4p-6, -0x1.ccb0db4560ab3p-6, -0x1.d01658dd8cbabp-6, -0x1.d35974883806ep-6, -0x1.d67a58489460ap-6, -0x1.d97931365ae53p-6, -0x1.dc562f6f71563p-6, -0x1.df1186052119ap-6, -0x1.e1ab6ae6d2cbep-6, -0x1.e42416cd2a398p-6, -0x1.e67bc525fc7d5p-6, -0x1.e8b2b4009b44ap-6, -0x1.eac923fa9f708p-6, -0x1.ecbf582d03f0ap-6, -0x1.ee95961978e87p-6, -0x1.f04c2597d3af5p-6, -0x1.f1e350c33a8dfp-6, -0x1.f35b63e6c527cp-6, -0x1.f4b4ad68ea152p-6, -0x1.f5ef7db6cb6b4p-6, -0x1.f70c2730bbb36p-6, -0x1.f80afe17cb79p-6, -0x1.f8ec587a359fep-6, -0x1.f9b08e1efc249p-6, -0x1.fa57f871d731p-6, -0x1.fae2f27003f76p-6, -0x1.fb51d89587a87p-6, -0x1.fba508ca9e0bp-6, -0x1.fbdce25123da8p-6, -0x1.fbf9c5b22ee2bp-6, -0x1.fbfc14ababbcdp-6, -0x1.fbe4321e14e1cp-6, -0x1.fbb281fa3f8cbp-6, -0x1.fb67692f3f228p-6, -0x1.fb034d9824017p-6, -0x1.fa8695e995055p-6, -0x1.f9f1a99fe91ddp-6, -0x1.f944f0ee51ecep-6, -0x1.f880d4aeef50ap-6, -0x1.f7a5be52914c3p-6, -0x1.f6b417d057765p-6, -0x1.f5ac4b958a1afp-6, -0x1.f48ec475dd9f2p-6, -0x1.f35bed9bfb8efp-6, -0x1.f214327a2c09dp-6, -0x1.f0b7febb5ee31p-6, -0x1.ef47be3437924p-6, -0x1.edc3dcd46036ap-6, -0x1.ec2cc69821908p-6, -0x1.ea82e77a87b76p-6, -0x1.e8c6ab67ecd92p-6, -0x1.e6f87e3096447p-6, -0x1.e518cb7d8d8d2p-6, -0x1.e327fec0fd44ap-6, -0x1.e126832cfaebbp-6, -0x1.df14c3a607235p-6, -0x1.dcf32ab805c6cp-6, -0x1.dac2228b1cb09p-6, -0x1.d88214d88ac24p-6, -0x1.d6336adf7d832p-6, -0x1.d3d68d5a51015p-6, -0x1.d16be47439f44p-6, -0x1.cef3d7bf89fb2p-6, -0x1.cc6ece2c46e38p-6, -0x1.c9dd2dff2a167p-6, -0x1.c73f5cc8fa16cp-6, -0x1.c495bf5e1e683p-6, -0x1.c1e0b9ce8b6c2p-6, -0x1.bf20af5dd0b9ap-6, -0x1.bc56027b76453p-6, -0x1.b98114bb87fa8p-6, -0x1.b6a246cf6d553p-6, -0x1.b3b9f87f01b78p-6, -0x1.b0c888a1eaad2p-6, -0x1.adce55192eeb6p-6, -0x1.aacbbac92c50dp-6, -0x1.a7c11593fdc8p-6, -0x1.a4aec054716b5p-6, -0x1.a19514d93c95fp-6, -0x1.9e746be051074p-6, -0x1.9b4d1d1258063p-6, -0x1.981f7efe727a7p-6, -0x1.94ebe71634223p-6, -0x1.91b2a9a9cd391p-6, -0x1.8e7419e482ef2p-6, -0x1.8b3089c951649p-6, -0x1.87e84a2fbc16ep-6, -0x1.849baac0fbe52p-6, -0x1.814af9f55a1d3p-6, -0x1.7df68511dd2a6p-6, -0x1.7a9e98262ef72p-6, -0x1.77437e0ad7c04p-6, -0x1.73e5805f9aaf5p-6, -0x1.7084e78a2bd31p-6, -0x1.6d21fab4fbe82p-6, -0x1.69bcffce33fc1p-6, -0x1.66563b86d877fp-6, -0x1.62edf151f8d5ep-6, -0x1.5f8463641d42ep-6, -0x1.5c19d2b2f7ceep-6, -0x1.58ae7ef544c23p-6, -0x1.5542a6a2e994p-6, -0x1.51d686f51d063p-6, -0x1.4e6a5be6e51bap-6, -0x1.4afe6035a5f0ep-6, -0x1.4792cd6201827p-6, -0x1.4427dbb0ca722p-6, -0x1.40bdc22c1ee91p-6, -0x1.3d54b6a4815dp-6, -0x1.39ecedb211b4cp-6, -0x1.36869ab5b09b6p-6, -0x1.3321efda48d3cp-6, -0x1.2fbf1e16231a2p-6, -0x1.2c5e552c64f27p-6, -0x1.28ffc3aececbap-6, -0x1.25a396ffc78abp-6, -0x1.2249fb54b84e3p-6, -0x1.1ef31bb8bd577p-6, -0x1.1b9f220f9918bp-6, -0x1.184e3718c856bp-6, -0x1.15008272b1072p-6, -0x1.11b62a9d847bep-6, -0x1.0e6f54fdecc74p-6, -0x1.0b2c25df69337p-6, -0x1.07ecc0764565ep-6, -0x1.04b146e14319fp-6, -0x1.0179da2b22c98p-6, -0x1.fc8d3498611c4p-7, -0x1.f62f4c56f6513p-7, -0x1.efda374a096acp-7, -0x1.e98e2f0bc4f2cp-7, -0x1.e34b6b2fceaa6p-7, -0x1.dd12214691263p-7, -0x1.d6e284ea7051dp-7, -0x1.d0bcc7cc29705p-7, -0x1.caa119bec555fp-7, -0x1.c48fa8c211748p-7, -0x1.be88a10ae5f5p-7, -0x1.b88c2d081421dp-7, -0x1.b29a7564762aap-7, -0x1.acb3a105f7721p-7, -0x1.a6d7d50ad9162p-7, -0x1.a10734c64c2e8p-7, -0x1.9b41e1be39383p-7, -0x1.9587fbacd4001p-7, -0x1.8fd9a0831ecebp-7, -0x1.8a36ec777bf31p-7, -0x1.849ffa1225b02p-7, -0x1.7f14e24384669p-7, -0x1.7995bc7c31feap-7, -0x1.74229ec62be82p-7, -0x1.6ebb9ddc7297ap-7, -0x1.6960cd3e4b8f4p-7, -0x1.64123f3b7f982p-7, -0x1.5ed004f820379p-7, -0x1.599a2e671c03bp-7, -0x1.5470ca3c80331p-7, -0x1.4f53e5d99352ap-7, -0x1.4a438d35e17b8p-7, -0x1.453fcac966cb4p-7, -0x1.4048a77c2b955p-7, -0x1.3b5e2a9f30d06p-7, -0x1.368059f1e8fd1p-7, -0x1.31af39b58f02dp-7, -0x1.2ceaccce2e8a5p-7, -0x1.283314ef57eb1p-7, -0x1.238812d027249p-7, -0x1.1ee9c661597b7p-7, -0x1.1a582eff18a1bp-7, -0x1.15d34b9851773p-7, -0x1.115b1ac5df8fap-7, -0x1.0cef9acd9c427p-7, -0x1.0890c9901ee31p-7, -0x1.043ea4618c241p-7, -0x1.fff24fa49b0ecp-8, -0x1.f7809eda8cefdp-8, -0x1.ef282aea8044p-8, -0x1.e6e8e5534d4edp-8, -0x1.dec2bc39f8a57p-8, -0x1.d6b59a49a8288p-8, -0x1.cec166cf319f5p-8, -0x1.c6e606158ff2fp-8, -0x1.bf2359fde3207p-8, -0x1.b77942c68c867p-8, -0x1.afe79fee4a653p-8, -0x1.a86e511a975ap-8, -0x1.a10d36e5ea931p-8, -0x1.99c4337b666a1p-8, -0x1.92932ae7e3e9ap-8, -0x1.8b7a0310af5ffp-8, -0x1.8478a348a1f75p-8, -0x1.7d8ef389ba1d6p-8, -0x1.76bcdb640c0bdp-8, -0x1.700240c0c1733p-8, -0x1.695f069d4bcdbp-8, -0x1.62d30bea45aep-8, -0x1.5c5e2ab51f653p-8, -0x1.560037bedc48bp-8, -0x1.4fb90294b9a59p-8, -0x1.4988563216c9ap-8, -0x1.436dfa225cacep-8, -0x1.3d69b40a6448ap-8, -0x1.377b49748d3b4p-8, -0x1.31a281b08bd55p-8, -0x1.2bdf279438ef1p-8, -0x1.26310ae8ac7cdp-8, -0x1.20980155c720fp-8, -0x1.1b13e6a6effcdp-8, -0x1.15a49c5537b28p-8, -0x1.104a0855f7d12p-8, -0x1.0b0413443ab22p-8, -0x1.05d2a611ab88cp-8, -0x1.00b5a77debafcp-8, -0x1.f759f33bc4b8bp-9, -0x1.ed70ef8151111p-9, -0x1.e3afe9e4700a1p-9, -0x1.da16769deccfap-9, -0x1.d0a4187be07cdp-9, -0x1.c758431c61c0dp-9, -0x1.be325eb29fc8fp-9, -0x1.b531ccf2afc6bp-9, -0x1.ac55eea42b486p-9, -0x1.a39e295548c66p-9, -0x1.9b09eca590f53p-9, -0x1.9298b6af2395cp-9, -0x1.8a4a172703867p-9, -0x1.821db0e60b1aap-9, -0x1.7a1339ad78c07p-9, -0x1.722a781d27ed5p-9, -0x1.6a633ffe44b06p-9, -0x1.62bd6d321ae5bp-9, -0x1.5b38ddbff422ap-9, -0x1.53d56ba027c71p-9, -0x1.4c92e6f4dd409p-9, -0x1.4571115fa5c5cp-9, -0x1.3e6f9b03c268dp-9, -0x1.378e21908ef74p-9, -0x1.30cc316288bdap-9, -0x1.2a29487a5c77dp-9, -0x1.23a4dac36143bp-9, -0x1.1d3e56fabd434p-9, -0x1.16f52b8554095p-9, -0x1.10c8caa84fe18p-9, -0x1.0ab8adcee32b5p-9, -0x1.04c457d817f92p-9, -0x1.fdd6acf22579cp-10, -0x1.f25a856a93427p-10, -0x1.e7138264cfe76p-10, -0x1.dc0102a5961d2p-10, -0x1.d1227849159cfp-10, -0x1.c677648dfca7ap-10, -0x1.bbff51cdc9096p-10, -0x1.b1b9cc3c3f59bp-10, -0x1.a7a65953cc798p-10, -0x1.9dc46ffcbc6c5p-10, -0x1.941372478b8bdp-10, -0x1.8a92aa850df46p-10, -0x1.81414cb1722cp-10, -0x1.781e7c559ac6bp-10, -0x1.6f2955e4d8833p-10, -0x1.6660f9917dfa3p-10, -0x1.5dc494fa7db4p-10, -0x1.55536947efa86p-10, -0x1.4d0ccc4433047p-10, -0x1.44f0248ba026bp-10, -0x1.3cfce27ed8662p-10, -0x1.353278a70bc99p-10, -0x1.2d90564b29c46p-10, -0x1.2615e60450b2cp-10, -0x1.1ec2908e6dac9p-10, -0x1.1795c26a5579p-10, -0x1.108ef1cd7020ep-10, -0x1.09ada22607663p-10, -0x1.02f163350f6cp-10, -0x1.f8b396a3cc134p-11, -0x1.ebccdc030f9a5p-11, -0x1.df2da300a8a12p-11, -0x1.d2d4cca1d3117p-11, -0x1.c6c106f14c945p-11, -0x1.baf0d19f7b0a3p-11, -0x1.af628e6218f2ap-11, -0x1.a41499a3e9f4ap-11, -0x1.990565e432471p-11, -0x1.8e339326b50e4p-11, -0x1.839dfc311700cp-11, -0x1.7943b532294bcp-11, -0x1.6f23faee7fc39p-11, -0x1.653e161d5f1dap-11, -0x1.5b913b14f8fe1p-11, -0x1.521c703aeeb89p-11, -0x1.48de84643d6d3p-11, -0x1.3fd61959cf59p-11, -0x1.3701bfbb178dap-11, -0x1.2e601b5155433p-11, -0x1.25f003e389127p-11, -0x1.1db097cb7f919p-11, -0x1.15a13a4e31f96p-11, -0x1.0dc17e8a8f3cbp-11, -0x1.061106768e323p-11, -0x1.fd1ec2c21cc41p-12, -0x1.ee77ea0e0e855p-12, -0x1.e02bef0148e1ep-12, -0x1.d238f2c6869e8p-12, -0x1.c49cf3978a85dp-12, -0x1.b755f85bc512fp-12, -0x1.aa62334ed67bdp-12, -0x1.9dc016704f56p-12, -0x1.916e59f15142fp-12, -0x1.856bf5eb4a4ep-12, -0x1.79b80f3b89865p-12, -0x1.6e51d6a0e3928p-12, -0x1.63385c0420d7fp-12, -0x1.586a5dca58637p-12, -0x1.4de622800c98ep-12, -0x1.43a96d7324e04p-12, -0x1.39b1995e710fcp-12, -0x1.2ffbd6fb745a1p-12, -0x1.26857def25519p-12, -0x1.1d4c55f2425bp-12, -0x1.144ec197360aap-12, -0x1.0b8bc08359524p-12, -0x1.0302cc29e36bcp-12, -0x1.f5673658c2087p-13, -0x1.e53bba1e121fep-13, -0x1.d5820471925fap-13, -0x1.c638404974a9dp-13, -0x1.b75bebc804349p-13, -0x1.a8ea0fe66dddbp-13, -0x1.9adf895814257p-13, -0x1.8d394ca62bdf4p-13, -0x1.7ff49b52bb2c5p-13, -0x1.730f22919caf1p-13, -0x1.6686fa129bbcp-13, -0x1.5a5a80e75f767p-13, -0x1.4e882a0be5b43p-13, -0x1.430e5721d4529p-13, -0x1.37eb54df061b8p-13, -0x1.2d1d6f7ddb14ap-13, -0x1.22a3003d7e813p-13, -0x1.187a5bb3278a8p-13, -0x1.0ea1a695d0596p-13, -0x1.0516b251c0a44p-13, -0x1.f7ae042c22ea1p-14, -0x1.e5bff0c8cd78dp-14, -0x1.d45e101d5f1ap-14, -0x1.c38385b69310dp-14, -0x1.b32b97e8b7a21p-14, -0x1.a351bb69786c2p-14, -0x1.93f2050718bd7p-14, -0x1.8509c7646716bp-14, -0x1.7697dbc83fc0bp-14, -0x1.689c4a0fdcbabp-14, -0x1.5b176efc88af2p-14, -0x1.4e09084a54b83p-14, -0x1.416fa033bf8dep-14, -0x1.3548ad74b5fbbp-14, -0x1.29915479d0d98p-14, -0x1.1e473873009c8p-14, -0x1.1368adbc0dfaap-14, -0x1.08f41da730e05p-14, -0x1.fdce2a75118bcp-15, -0x1.ea7b5ed5825dap-15, -0x1.d7e5739070407p-15, -0x1.c600e0b9977efp-15, -0x1.b4c2c79c2c72ep-15, -0x1.a42256a1d8349p-15, -0x1.9419650cd2a73p-15, -0x1.84a42af320f3cp-15, -0x1.75c046086a102p-15, -0x1.676b888cdb03ep-15, -0x1.59a3373e12effp-15, -0x1.4c6415f682af7p-15, -0x1.3faad6e99c6b9p-15, -0x1.3373e524d7d8fp-15, -0x1.27ba38183c4acp-15, -0x1.1c769ecae999dp-15, -0x1.11a16081e849ep-15, -0x1.0735b5032c469p-15, -0x1.fa67d9490ccc6p-16, -0x1.e73f9a7b7a42ep-16, -0x1.d4f84cfbf7579p-16, -0x1.c38e3ab9486f8p-16, -0x1.b2f415f6c93adp-16, -0x1.a319dc5c91436p-16, -0x1.93f532c2517c4p-16, -0x1.85849220605f6p-16, -0x1.77cb9e42e071ep-16, -0x1.6acd00244043ep-16, -0x1.5e86d623d631p-16, -0x1.52f2d40f322b9p-16, -0x1.48080da5b2f96p-16, -0x1.3dbc875865a6ep-16, -0x1.3406235faf7d4p-16, -0x1.2adb5354366bp-16, -0x1.2233e05745f95p-16, -0x1.1a09b6d5f0e79p-16, -0x1.12595ce39b965p-16, -0x1.0b21af700267dp-16, -0x1.0462ae085e6f3p-16, -0x1.fc373bc63224dp-17, -0x1.f0931791b9022p-17, -0x1.e5cef8c3e66a2p-17, -0x1.dbe063ed1e6f5p-17, -0x1.d2be10e2148d4p-17, -0x1.ca5b2cc2a33abp-17, -0x1.c2a12f757c7a1p-17, -0x1.bb74c6fa3bb77p-17, -0x1.b4c6b0a79b527p-17, -0x1.ae9d4709ea324p-17, -0x1.a908850279b46p-17, -0x1.a40d560720cafp-17, -0x1.9f9edb81bdee7p-17, -0x1.9baacaa372a8ap-17, -0x1.98297a48fdc6p-17, -0x1.951ff9cb954cp-17, -0x1.92947923d8c56p-17, -0x1.90847c32a75eep-17, -0x1.8ee5898c8ef18p-17, -0x1.8dab45ec10979p-17, -0x1.8ccc022bb74d6p-17, -0x1.8c41f1f3f6187p-17, -0x1.8c0a65824e9f9p-17, -0x1.8c2488e189e69p-17, -0x1.8c8f4f6778786p-17, -0x1.8d484748799b5p-17, -0x1.8e4b073ccf25fp-17, -0x1.8f91aa0057311p-17, -0x1.9115eed25ddf3p-17, -0x1.92d25cfc5e575p-17, -0x1.94c2df4687d2p-17, -0x1.96e4853da926ep-17, -0x1.99346b76bfcffp-17, -0x1.9bae8e1f225d5p-17, -0x1.9e4e0a8dce58bp-17, -0x1.a10e64da9dbf9p-17, -0x1.a3f0200f18032p-17, -0x1.a6f3a11368643p-17, -0x1.aa1485f7b819ap-17, -0x1.ad4a65937721p-17, -0x1.b0903c714cd68p-17, -0x1.b3e9fdb9e54c4p-17, -0x1.b75b2a62036e1p-17, -0x1.bade51ce19adp-17, -0x1.be6b246987834p-17, -0x1.c200514055ba1p-17, -0x1.c5a17883d8e6p-17, -0x1.c94ec28c6b53p-17, -0x1.cd035cc002e8bp-17, -0x1.d0b9642ee1615p-17, -0x1.d46c801eb5898p-17, -0x1.d81a2b7e07ad1p-17, -0x1.dbc13c6434a89p-17, -0x1.df61627a22b46p-17, -0x1.e2faa2c9ea448p-17, -0x1.e68cd2d5ea6b8p-17, -0x1.ea1733004866ap-17, -0x1.ed984e50f4818p-17, -0x1.f10e39d24eaccp-17, -0x1.f4772588ab453p-17, -0x1.f7d1e969d7c51p-17, -0x1.fb1e175b23787p-17, -0x1.fe5b7a9ed4fecp-17, -0x1.00c4c028add7cp-16, -0x1.025387b84b138p-16, -0x1.03d9644279e59p-16, -0x1.05559f2969772p-16, -0x1.06c77bf13baep-16, -0x1.082e471d11befp-16, -0x1.098997fc3c519p-16, -0x1.0ad99355166ffp-16, -0x1.0c1eaf0976105p-16, -0x1.0d58b63a2520fp-16, -0x1.0e86656f14cfbp-16, -0x1.0fa6faef2b21fp-16, -0x1.10bac2ded1a7bp-16, -0x1.11c19b6aee469p-16, -0x1.12bb28e93f5cep-16, -0x1.13a7ae7418d2bp-16, -0x1.14874a7b3c53ap-16, -0x1.15599c502ccp-16, -0x1.161e484cb10c1p-16, -0x1.16d526fe8ab98p-16, -0x1.177e28121c027p-16, -0x1.18193d4154066p-16, -0x1.18a6566a6b84p-16, -0x1.19256340981b1p-16, -0x1.19965512aaaep-16, -0x1.19f920128677dp-16, -0x1.1a4dbe68c1537p-16, -0x1.1a942f5f6efd5p-16, -0x1.1acc65315f979p-16, -0x1.1af666e5f4fe9p-16, -0x1.1b123f51e9a89p-16, -0x1.1b1fa9734b43dp-16, -0x1.1b1f6f76cb22bp-16, -0x1.1b10ed479fe55p-16, -0x1.1af46423b0c48p-16, -0x1.1ac9e0ea36903p-16, -0x1.1a917363ffda6p-16, -0x1.1a4b2d66f9225p-16, -0x1.19f723c6c29e1p-16, -0x1.19956ec9d80a6p-16, -0x1.192628568f07bp-16, -0x1.18a96930996c7p-16, -0x1.181f49bc0f6acp-16, -0x1.1787e65037ca4p-16, -0x1.16e3645f59a3cp-16, -0x1.1631ef92b67b6p-16, -0x1.1573a19aa240bp-16, -0x1.14a88d1a217eap-16, -0x1.13d0d058bd91bp-16, -0x1.12ec8c9bf23ep-16, -0x1.11fc06596d5f8p-16, -0x1.10ff7373de9a6p-16, -0x1.0ff6eb2807b29p-16, -0x1.0ee28a17a41c7p-16, -0x1.0dc277b61854fp-16, -0x1.0c96df0e02372p-16, -0x1.0b5feb8210ff7p-16, -0x1.0a1dc8708672cp-16, -0x1.08d0a168b117ep-16, -0x1.0778a24b12a22p-16, -0x1.0615f73c23cbcp-16, -0x1.04a8cca9c75ebp-16, -0x1.03314f9961251p-16, -0x1.01afadd8db75dp-16, -0x1.002418bf1be88p-16, -0x1.fd1d83bc4296cp-17, -0x1.f9dfbb96bdfd6p-17, -0x1.f68f4036a4937p-17, -0x1.f32c743d3c692p-17, -0x1.efb7b67b47967p-17, -0x1.ec3167d246f3p-17, -0x1.e899f33c7e75bp-17, -0x1.e4f1d4bc74fa9p-17, -0x1.e1399ca29874ap-17, -0x1.dd71dfff4e344p-17, -0x1.d99af90aaf135p-17, -0x1.d5b4c3f5e0fe3p-17, -0x1.d1bf04973742cp-17, -0x1.cdba4832ea441p-17, -0x1.c9a7882bda589p-17, -0x1.c586a5f436144p-17, -0x1.c156f813de7f7p-17, -0x1.bd1a643ab070bp-17, -0x1.b8d45411340e6p-17, -0x1.b482ccc2efe28p-17, -0x1.b022f8e3e91acp-17, -0x1.abb697aa8ecfbp-17, -0x1.a74113c2db859p-17, -0x1.a2c14f1ef3758p-17, -0x1.9e365bfce2edbp-17, -0x1.99a0c9572b324p-17, -0x1.9501512e26022p-17, -0x1.90587fd4d6b75p-17, -0x1.8ba6c2b22c9a3p-17, -0x1.86ec795d2228dp-17, -0x1.8229fdedfd68p-17, -0x1.7d5fa81eeda0bp-17, -0x1.788dce2e9bf8ap-17, -0x1.73b4c4eb49b94p-17, -0x1.6ed4dfab35505p-17, -0x1.69ee710a44294p-17, -0x1.6501cd6cfa659p-17, -0x1.600f4afca11d5p-17, -0x1.5b169a3cbf1cp-17, -0x1.561a05ba91c89p-17, -0x1.5117fcf7c16abp-17, -0x1.4c118009f3d6dp-17, -0x1.4706df80b4656p-17, -0x1.41f85dfe5c27cp-17, -0x1.3ce63b791cb57p-17, -0x1.37d0b973c5b2bp-17, -0x1.32b8237906b7fp-17, -0x1.2d9c5d3509adfp-17, -0x1.287ec28835aadp-17, -0x1.235df1334cab3p-17, -0x1.1e3b3f732cb4bp-17, -0x1.1916f0a3de606p-17, -0x1.13f19c51e185p-17, -0x1.0ecb9f41ea64p-17, -0x1.09a4e3d5d8189p-17, -0x1.047ce6d964f56p-17, -0x1.fea5e28756899p-18, -0x1.f450e546c1f56p-18, -0x1.ea03770c108a9p-18, -0x1.dfb5ac19d38f8p-18, -0x1.d56d37df489e3p-18, -0x1.cb2ec2631237dp-18, -0x1.c0ed1d5e7a9cep-18, -0x1.b6a5be914a98p-18, -0x1.ac5c65c6f371cp-18, -0x1.a21abf85e8149p-18, -0x1.97e10b5542d59p-18, -0x1.8db3d31ffe7cp-18, -0x1.83857436fe5b8p-18, -0x1.795b88b371ff9p-18, -0x1.6f368a17b6d0cp-18, -0x1.651782e0ef67bp-18, -0x1.5afedc724ade6p-18, -0x1.50ed793151588p-18, -0x1.46e34773fa22bp-18, -0x1.3ce124101121ep-18, -0x1.32e742698992p-18, -0x1.28f5dcfd687ffp-18, -0x1.1f0d4f1a6ea31p-18, -0x1.152df75562e3dp-18, -0x1.0b58348c69d5cp-18, -0x1.018c60a93113dp-18, -0x1.ef959551a12e7p-19, -0x1.dc276f100f017p-19, -0x1.c8ced275247bbp-19, -0x1.b58c4857cfae1p-19, -0x1.a2605eced65e6p-19, -0x1.8f4ba27a8bd11p-19, -0x1.7c4e944ad8054p-19, -0x1.69699fb1522d2p-19, -0x1.569d165eca10dp-19, -0x1.43e9563306ae8p-19, -0x1.314f322fcb883p-19, -0x1.1ed0115ab6754p-19, -0x1.0c6cf772db0e1p-19, -0x1.f44b99b9b2375p-20, -0x1.cff46a27649e9p-20, -0x1.abd3b616ddc7ap-20, -0x1.87e58adbac63dp-20, -0x1.642ab2b57e0e7p-20, -0x1.40b4b25aa7c2fp-20, -0x1.1d7c9b0a5615fp-20, -0x1.f51113c07e904p-21, -0x1.af91e46e6e36bp-21, -0x1.6a864ba4b8123p-21, -0x1.25f69e41e35bap-21, -0x1.c3c9e06eed8d6p-22, -0x1.3ca3904f8e77ep-22, -0x1.6cf5863be8255p-23, -0x1.8a7fc0155de67p-25, 0x1.4b71fba1f29aap-24, 0x1.ac183d90c86e6p-23, 0x1.584205d9e11d5p-22, 0x1.d97148419a171p-22, 0x1.2caff3d730c15p-21, 0x1.6c02e29d9ae28p-21, 0x1.aaf4118238ef9p-21, 0x1.e9781ec26643ep-21, 0x1.13a75efe6dae9p-20, 0x1.3247d491263f4p-20, 0x1.50aa2a7694dd3p-20, 0x1.6ecc4dd23ba5p-20, 0x1.8caa7b10f7e88p-20, 0x1.aa42c8953ccc6p-20, 0x1.c794805c83cb4p-20, 0x1.e49f7a03c87adp-20, 0x1.00b1c721dd5d8p-19, 0x1.0ef0574858921p-19, 0x1.1d0b59e3500eap-19, 0x1.2b02b42a5332ap-19, 0x1.38d65ad0efd9bp-19, 0x1.4686428cac469p-19, 0x1.5412622b9aebbp-19, 0x1.617ab96fdbcbfp-19, 0x1.6ebf4f860d8d4p-19, 0x1.7be014d37bedep-19, 0x1.88dcbd66a1f4cp-19, 0x1.95b50e00c6904p-19, 0x1.a2693bb0adf36p-19, 0x1.aef96c56c6cf8p-19, 0x1.bb65a04e1e556p-19, 0x1.c7add013f0c9fp-19, 0x1.d3d319da96ec7p-19, 0x1.dfd6e5e68ce17p-19, 0x1.ebb29744f3004p-19, 0x1.f768bc067b3d7p-19, 0x1.017eb340cbfd7p-18, 0x1.0737580a1e701p-18, 0x1.0cde06e4a2a67p-18, 0x1.1272c9c9c4914p-18, 0x1.17f5af184fe73p-18, 0x1.1d66c2cb09386p-18, 0x1.22c60bba22802p-18, 0x1.28138cfc0fea1p-18, 0x1.2d4f5e222333ep-18, 0x1.327990c6e5dcep-18, 0x1.37922b73fce87p-18, 0x1.3c992810d3feep-18, 0x1.418e9b185e066p-18, 0x1.46729837f54c5p-18, 0x1.4b452d0eebeafp-18, 0x1.500667559d5d8p-18, 0x1.54b653f089f72p-18, 0x1.59550d2c6e794p-18, 0x1.5de29e1fd728p-18, 0x1.625f11aaa0edfp-18, 0x1.66c85ab1b89acp-18, 0x1.6b2076d200d5fp-18, 0x1.6f6e24b847d9ep-18, 0x1.73a6c9736635p-18, 0x1.77ce8392e2182p-18, 0x1.7be59c143d486p-18, 0x1.7fec186050409p-18, 0x1.83e20d812519ap-18, 0x1.87c7cccf240cp-18, 0x1.8b9db56dda351p-18, 0x1.8f6341bba1251p-18, 0x1.93163ff8c7994p-18, 0x1.96b99bc8f8e1cp-18, 0x1.9a4ee3b01c62cp-18, 0x1.9dd2fc2869fe8p-18, 0x1.a147a3aa38d9fp-18, 0x1.a4acf00d98502p-18, 0x1.a8022388db03ep-18, 0x1.ab47bc1c930f4p-18, 0x1.ae7dcfa294094p-18, 0x1.b1a473bcbe36cp-18, 0x1.b4bbc2dd17acap-18, 0x1.b7c416667821p-18, 0x1.babd3c808fa2p-18, 0x1.bda6e2d3df56ap-18, 0x1.c0822366b814dp-18, 0x1.c34e30dc6c99bp-18, 0x1.c60bb2289a6b6p-18, 0x1.c8ba91642319fp-18, 0x1.cb5ae9ad54963p-18, 0x1.cdecd5922a94dp-18, 0x1.d0706f82b9ae5p-18, 0x1.d2e5d1fbdc748p-18, 0x1.d54d1796e27eep-18, 0x1.d7a65b08902e2p-18, 0x1.d9f1b725c637bp-18, 0x1.dc2f46e1c85d9p-18, 0x1.de5f254cd1f91p-18, 0x1.e0816d91c5171p-18, 0x1.e2963af5e01afp-18, 0x1.e49da8d6c7ef6p-18, 0x1.e697d2a425c23p-18, 0x1.e884d3f40ce34p-18, 0x1.ea64c85839816p-18, 0x1.ec37cb82e58c3p-18, 0x1.edfdf939b6ec6p-18, 0x1.efb76bb0977c5p-18, 0x1.f16442c462cf9p-18, 0x1.f30496726b235p-18, 0x1.f49883fd31339p-18, 0x1.f620274b3048fp-18, 0x1.f79b9c407e07ap-18, 0x1.f90afe9450f1ap-18, 0x1.fa6e695672d04p-18, 0x1.fbc5f80cc5551p-18, 0x1.fd11ca7ca062dp-18, 0x1.fe51fb73063d8p-18, 0x1.ff86a474e8049p-18, 0x1.0057f169ce606p-17, 0x1.00e6ea0262929p-17, 0x1.017049bf82d84p-17, 0x1.01f41e1cfc0f4p-17, 0x1.027274e03693bp-17, 0x1.02eb5c7c5f396p-17, 0x1.035ed8bbe056bp-17, 0x1.03cd140383305p-17, 0x1.0436006c0813p-17, 0x1.0499b44c0f9ffp-17, 0x1.04f83dbc0c0e2p-17, 0x1.0551aeabdbfccp-17, 0x1.05a60b8892b08p-17, 0x1.05f5691e1ec03p-17, 0x1.063fd333b4efap-17, 0x1.06855a6aaee01p-17, 0x1.06c6084fdb11bp-17, 0x1.0701ebf158e5cp-17, 0x1.073913ec2bafp-17, 0x1.076b977d3d8bdp-17, 0x1.07974c593f3e5p-17, 0x1.07c255fb693fep-17, 0x1.07e763ad0119ep-17, 0x1.08079a1778d3bp-17, 0x1.08236e704cf29p-17, 0x1.083af0513131fp-17, 0x1.084dffb62054dp-17, 0x1.085ce4e55b762p-17, 0x1.086776e84a849p-17, 0x1.086e0fd21f064p-17, 0x1.087060544eb5dp-17, 0x1.086ea5e1102ecp-17, 0x1.0868e63ce7102p-17, 0x1.085f30a327c1ep-17, 0x1.0851911d4330dp-17, 0x1.084013165acacp-17, 0x1.082ac42b64ad6p-17, 0x1.0811abf06905ap-17, 0x1.07f4db5e5c15fp-17, 0x1.07d45d45ce995p-17, 0x1.07b03e2eb55bap-17, 0x1.07888ab743b9fp-17, 0x1.075d4f584102ep-17, 0x1.072e98b21bb47p-17, 0x1.06fc787298b66p-17, 0x1.06c5ed11a0802p-17, 0x1.068df72ba024bp-17, 0x1.0651cf23d0a39p-17, 0x1.06125773830e3p-17, 0x1.05cfad0328de1p-17, 0x1.0589d8c483379p-17, 0x1.0540e53392b75p-17, 0x1.04f4dd237bdabp-17, 0x1.04a5d005979c3p-17, 0x1.0453c636d792bp-17, 0x1.03fec9893f0b5p-17, 0x1.03a6e63949023p-17, 0x1.034c27819fbaep-17, 0x1.02ee985187b17p-17, 0x1.028e437e0cc8fp-17, 0x1.022b33cfb531dp-17, 0x1.01c573fb10ee4p-17, 0x1.015d0ea0d5a2ap-17, 0x1.00f20e50bf4d4p-17, 0x1.00847d87e3accp-17, 0x1.001466b1b1e96p-17, 0x1.ff43a8689f47dp-18, 0x1.fe59a17da4644p-18, 0x1.fd6cba7afd7edp-18, 0x1.fc77526d46494p-18, 0x1.fb7f0997f75c9p-18, 0x1.fa8237b9c85f2p-18, 0x1.f980ed1d888dp-18, 0x1.f87b387befb54p-18, 0x1.f7712c2def22p-18, 0x1.f662db2ac5e1dp-18, 0x1.f550584162ec7p-18, 0x1.f439b6014a12ep-18, 0x1.f31f06f3f7191p-18, 0x1.f2005d1766984p-18, 0x1.f0ddcbea07714p-18, 0x1.efb7707b6356bp-18, 0x1.ee8d73f12a4ecp-18, 0x1.ed67a7d22317ap-18, 0x1.ec2e508809b1bp-18, 0x1.eaf9094fb26bbp-18, 0x1.e9c085e8d541cp-18, 0x1.e8849d4faa865p-18, 0x1.e7455c20e1c64p-18, 0x1.e602c8e36c44p-18, 0x1.e4bd032432562p-18, 0x1.e3742ae63e9bap-18, 0x1.e22827f938874p-18, 0x1.e0d922506a8c6p-18, 0x1.df8726ffc6bb7p-18, 0x1.de3241746acd8p-18, 0x1.dcda8a81747d3p-18, 0x1.db80090733e9ep-18, 0x1.da22cf4e37761p-18, 0x1.d8c2f87e210f9p-18, 0x1.d760884209a25p-18, 0x1.d5fba159ced15p-18, 0x1.d493f4d16f85ap-18, 0x1.d32a13ab8a79ep-18, 0x1.d1bdd240cce99p-18, 0x1.d04f7aadb9b18p-18, 0x1.cede8930fc0e3p-18, 0x1.cd6b7dd5cca8ep-18, 0x1.cbf65768036d9p-18, 0x1.ca7f1c877b4b7p-18, 0x1.c905da8f9dbf2p-18, 0x1.c78a9c199c582p-18, 0x1.c60d72032c51p-18, 0x1.c48e6b31473b2p-18, 0x1.c30d916755c0cp-18, 0x1.c18adf30e3757p-18, 0x1.c006a022c2731p-18, 0x1.be83f664f30f1p-18, 0x1.bcf8f5d359eb6p-18, 0x1.bb6f9fd3c69bp-18, 0x1.b9e4dd17b529dp-18, 0x1.b858a5430d9ep-18, 0x1.b6cafefa6efadp-18, 0x1.b53bf7c75a06ap-18, 0x1.b3ab95eddc3f9p-18, 0x1.b219e392ec9c2p-18, 0x1.b086f89f214c9p-18, 0x1.aef2e35484a01p-18, 0x1.ad5d9afa21154p-18, 0x1.abc731d0c292dp-18, 0x1.aa2fbad6420c6p-18, 0x1.a89739e4c0199p-18, 0x1.a6fdc50ca8083p-18, 0x1.a5639c36520f2p-18, 0x1.a3c3d62c351fcp-18, 0x1.a22bd0e66c567p-18, 0x1.a08eb40e2e92ep-18, }}, 
      {{-0x1.e3fbb30e3583p-3, -0x1.da2951d65d4cp-3, -0x1.ca7390d1c6f7dp-3, -0x1.b59d5bd822303p-3, -0x1.9c7dffe4686f6p-3, -0x1.7ff0914b23a26p-3, -0x1.60c8dba6a792ep-3, -0x1.3fcc21991301p-3, -0x1.1dacbf192baf8p-3, -0x1.f61004f55ab96p-4, -0x1.b0cb4bfa77f31p-4, -0x1.6c70d0a7cdd6bp-4, -0x1.29beb5cfdab64p-4, -0x1.d29e55b68eeabp-5, -0x1.573854120a3bcp-5, -0x1.c40cff8423422p-6, -0x1.ce496190d0c6fp-7, -0x1.8750ab462757dp-10, 0x1.4f1bfd9045f11p-7, 0x1.58aeb2968a025p-6, 0x1.faeb9f2def72p-6, 0x1.4737611387ad3p-5, 0x1.89c2daae58a51p-5, 0x1.c54d65d6391dep-5, 0x1.fa17842c324bcp-5, 0x1.14353768ea0fdp-4, 0x1.284ae81c15573p-4, 0x1.3976e7dcf8a4dp-4, 0x1.47e4b35e0e008p-4, 0x1.53c07bc9ac5fcp-4, 0x1.5d368f7a11334p-4, 0x1.6472dc9d9ca11p-4, 0x1.69a08ab0bba6bp-4, 0x1.6ce9a7f9f051fp-4, 0x1.6e76e8722e61bp-4, 0x1.6e6f73c0e9bebp-4, 0x1.6cf8c02d037aap-4, 0x1.6a36789d26d5fp-4, 0x1.664a6bf7411b9p-4, 0x1.6154845fdf9b2p-4, 0x1.5b72c5075b6f6p-4, 0x1.54c14d5c91bdbp-4, 0x1.4d5a60a5ba74ap-4, 0x1.4556712269348p-4, 0x1.3ccc2df809ef4p-4, 0x1.33d0934461853p-4, 0x1.2a76fbc839a24p-4, 0x1.20d133b0c63e2p-4, 0x1.16ef8c1a2c49p-4, 0x1.0ce0eef7e1e65p-4, 0x1.02b2f31d633fap-4, 0x1.f0e3e0576b2d5p-5, 0x1.dc522463d2d4ap-5, 0x1.c7c4d9b3854adp-5, 0x1.b34e1c08c932p-5, 0x1.9efe1f82b9809p-5, 0x1.8ae3531bfd50bp-5, 0x1.770a819d35c66p-5, 0x1.637ef0f3c3ba1p-5, 0x1.504a7febad6c4p-5, 0x1.3d75c252aa63bp-5, 0x1.2b081b87ee967p-5, 0x1.1907d777ecab4p-5, 0x1.077a420603a56p-5, 0x1.ecc779e360d52p-6, 0x1.cb8fa8a2b89a8p-6, 0x1.ab52a380ca266p-6, 0x1.8c149ca8a7e46p-6, 0x1.6dd886bd70aa5p-6, 0x1.50a033f123272p-6, 0x1.346c72b337f73p-6, 0x1.193d28189e5a5p-6, 0x1.fe22d07ce193fp-7, 0x1.cbcf19e37152dp-7, 0x1.9b7a95a90b169p-7, 0x1.6d1f8a2f5cb6ep-7, 0x1.40b73f81f04e4p-7, 0x1.163a20d030d85p-7, 0x1.db3fb584b0292p-8, 0x1.8dbeed8733776p-8, 0x1.43dee73117c47p-8, 0x1.fb176ebebc8d4p-9, 0x1.75616675e08c4p-9, 0x1.ece25875a8abdp-10, 0x1.f86d2537693b6p-11, 0x1.86733e48accc8p-14, -0x1.7dc9e0b685259p-11, -0x1.8a078411284eap-10, -0x1.24ad29bd9e763p-9, -0x1.7e9b7f50fc9f4p-9, -0x1.d2fb5b004a412p-9, -0x1.10fc802ac7684p-8, -0x1.35e0228e061a4p-8, -0x1.583e3db447f32p-8, -0x1.782c2f16aac8cp-8, -0x1.95befffdc0c72p-8, -0x1.b10b5deca23b3p-8, -0x1.ca259412db976p-8, -0x1.e12185ca87c6ep-8, -0x1.f612aa2310217p-8, -0x1.04860439dbc86p-7, -0x1.0d101af185bd2p-7, -0x1.14b0a9e87e84bp-7, -0x1.1b70878133c6cp-7, -0x1.21584fb900f4dp-7, -0x1.26706452ded9dp-7, -0x1.2ac0ed3658e88p-7, -0x1.2e51d8f4834bcp-7, -0x1.312add6b12ee1p-7, -0x1.3353787bef8d1p-7, -0x1.34d2f0d586c69p-7, -0x1.35b056c92418dp-7, -0x1.35f2852c93c5p-7, -0x1.35a02248993ebp-7, -0x1.34bfa0cffce8ap-7, -0x1.335740e2b6208p-7, -0x1.316d11180fcf5p-7, -0x1.2f06ef901af58p-7, -0x1.2c2a8b0cf9f54p-7, -0x1.28dd640b67ad1p-7, -0x1.2524cde25194cp-7, -0x1.2105efe05a7cdp-7, -0x1.1c85c6666ca41p-7, -0x1.17a9240670ae1p-7, -0x1.1274b2973d4dp-7, -0x1.0cecf448de09cp-7, -0x1.071644b63007bp-7, -0x1.00f4d9e8a9d4cp-7, -0x1.f5198ac17e547p-8, -0x1.e7c3ea286edf3p-8, -0x1.d9f068c0f78d7p-8, -0x1.cba65a082207bp-8, -0x1.bcecd01481d36p-8, -0x1.adca9d59cdb2ep-8, -0x1.9e46567f9284fp-8, -0x1.8e665418dcf31p-8, -0x1.7e30b44cc447ap-8, -0x1.6dab5c92102cdp-8, -0x1.5cdbfb4f9fc06p-8, -0x1.4bc8096b7fb44p-8, -0x1.3a74cbed087c7p-8, -0x1.28e7558bf10eep-8, -0x1.17248822dbe58p-8, -0x1.05311638fd822p-8, -0x1.e62309051c50ap-9, -0x1.c19456723261cp-9, -0x1.9cbe6f0850dc3p-9, -0x1.77a959daf85a8p-9, -0x1.525ccd502651dp-9, -0x1.2ce031a262219p-9, -0x1.073aa39cbfcedp-9, -0x1.c2e5ee3c7ff2cp-10, -0x1.771f72bd7ff48p-10, -0x1.2b2e66ace0a48p-10, -0x1.be3db0e6f2791p-11, -0x1.25f8ae874c0f9p-11, -0x1.1b47dcdd08151p-12, 0x1.556a8669bb509p-16, 0x1.45c1852df23b8p-12, 0x1.3ae8e2e8f1f9fp-11, 0x1.d2b110ab3a488p-11, 0x1.3513ba3bd1a8ep-10, 0x1.809d7e302c4f2p-10, 0x1.cbedaabbc61a4p-10, 0x1.0b7e3946c2128p-9, 0x1.30e1306726796p-9, 0x1.561c2adc4bd5ep-9, 0x1.7b2bc1e26cf7bp-9, 0x1.a00cb6696730dp-9, 0x1.c4bbef773ffaap-9, 0x1.e936789ab1632p-9, 0x1.06bcc0542f984p-8, 0x1.18c12c47e5602p-8, 0x1.2aa738fe9568fp-8, 0x1.3c6daef3c6cc7p-8, 0x1.4e1365b0d719cp-8, 0x1.5f974351c4d02p-8, 0x1.70f83bfa5ce6cp-8, 0x1.823551314cb5bp-8, 0x1.934d91493c55bp-8, 0x1.a44016f1c3e78p-8, 0x1.b50c08d31f6e4p-8, 0x1.c5b0990c0fa79p-8, 0x1.d62d049ed6deap-8, 0x1.e68092fccd3a1p-8, 0x1.f6aa95b763da5p-8, 0x1.035534160ae76p-7, 0x1.0b3fb78753c2bp-7, 0x1.13148bf598827p-7, 0x1.1ad36c65a96c7p-7, 0x1.227c17fe769c9p-7, 0x1.2a0e51e6c2482p-7, 0x1.3189e1118a5b2p-7, 0x1.38ee900695445p-7, 0x1.403c2cbba6d0bp-7, 0x1.4772887db3395p-7, 0x1.4e9177d69d5ffp-7, 0x1.5598d26201afdp-7, 0x1.5c88729b96ba4p-7, 0x1.636035ba06bcap-7, 0x1.6a1ffb9aa8627p-7, 0x1.70c7a6af38a7ap-7, 0x1.77571bde92e27p-7, 0x1.7dce425af5615p-7, 0x1.842d037dc9a1ap-7, 0x1.8a734ab322cddp-7, 0x1.90a1056df9f4bp-7, 0x1.96b62316b12dfp-7, 0x1.9cb294edb5676p-7, 0x1.a2964deb212ddp-7, 0x1.a86142a7cd1bbp-7, 0x1.ae136952e0a68p-7, 0x1.b3acb9aa32173p-7, 0x1.b92d2ceb581c5p-7, 0x1.be94bdbb6cac3p-7, 0x1.c3e3680ecfe73p-7, 0x1.c9192919afbdcp-7, 0x1.ce35ff49a5f97p-7, 0x1.d339ea407f3bfp-7, 0x1.d824eac88aeaap-7, 0x1.dcf702c153848p-7, 0x1.e1b0350c4615p-7, 0x1.e650857ff2803p-7, 0x1.ead7f8e300f2bp-7, 0x1.ef4694e975021p-7, 0x1.f39c602dcba4bp-7, 0x1.f7d9622401c9cp-7, 0x1.fbfda30ac91a8p-7, 0x1.000495f06d6d8p-6, 0x1.01fe03306a14ap-6, 0x1.03eb1e8091d8cp-6, 0x1.05cbed799f826p-6, 0x1.07a0760f47175p-6, 0x1.0968be8bfc495p-6, 0x1.0b24cd8d167c4p-6, 0x1.0cd4aa011de4ap-6, 0x1.0e785b283cd32p-6, 0x1.100fe895d5077p-6, 0x1.119b5a314ffadp-6, 0x1.131ab8353e665p-6, 0x1.148e0b2d9ceffp-6, 0x1.15f55bf63178ep-6, 0x1.1750b3baa3bedp-6, 0x1.18a01bf7e92a3p-6, 0x1.19e39e7e2ffabp-6, 0x1.1b1b45727dc03p-6, 0x1.1c471b4ee9c28p-6, 0x1.1d672ae221dc7p-6, 0x1.1e7b7f4ec5d1dp-6, 0x1.1f84240bce0cbp-6, 0x1.208124e5c13cbp-6, 0x1.21728e0078cfap-6, 0x1.22586bd8c457p-6, 0x1.2332cb456087p-6, 0x1.2401b97722d74p-6, 0x1.24c543f8de10fp-6, 0x1.257d78af9f87bp-6, 0x1.262a65db80cc7p-6, 0x1.26cc1a18fb8ecp-6, 0x1.2762a4625f457p-6, 0x1.27ee14111e06bp-6, 0x1.286e78de93acap-6, 0x1.28e3e2e45afb1p-6, 0x1.294e629c8f109p-6, 0x1.29ae08e24252fp-6, 0x1.2a02e6f24eb9ep-6, 0x1.2a4d0e6c2294bp-6, 0x1.2a8c91531ac17p-6, 0x1.2ac1820f70855p-6, 0x1.2aebf36e6d9f7p-6, 0x1.2b0bf8a32a47ap-6, 0x1.2b21a5466241ep-6, 0x1.2b2d0d56850d5p-6, 0x1.2b2e4537a501p-6, 0x1.2b2561b256c8cp-6, 0x1.2b127803c97c5p-6, 0x1.2af59da57d36dp-6, 0x1.2acee8c62ac82p-6, 0x1.2a9e6f9326ef2p-6, 0x1.2a64490d5cc21p-6, 0x1.2a208c35666aap-6, 0x1.29d350b92b745p-6, 0x1.297cae8760d8fp-6, 0x1.291cbdfcbd24dp-6, 0x1.28b397d82b884p-6, 0x1.2841552456b78p-6, 0x1.27c60f63a281ep-6, 0x1.2741e07bd488cp-6, 0x1.26b4e29d3818cp-6, 0x1.261f304cafc5dp-6, 0x1.2580e46d0c8bfp-6, 0x1.24da1a49e7f7ep-6, 0x1.242aed82fb3cfp-6, 0x1.237379f6c225dp-6, 0x1.22b3dbd806956p-6, 0x1.21ec2fac2533bp-6, 0x1.211c9246f43b6p-6, 0x1.204520d6b4ff9p-6, 0x1.1f65f8c6b9f1ep-6, 0x1.1e7f37bb61d85p-6, 0x1.1d90fba3262eap-6, 0x1.1c9b62af17f8bp-6, 0x1.1b9e8b4b899e4p-6, 0x1.1a9a9428b4b7fp-6, 0x1.198f9c35c27f1p-6, 0x1.187dc289c93c6p-6, 0x1.1765266e541b8p-6, 0x1.1645e762a5bdep-6, 0x1.152025100556p-6, 0x1.13f3ff4c1090bp-6, 0x1.12c1960f2032p-6, 0x1.1189098b4d775p-6, 0x1.104a7a0f52858p-6, 0x1.0f0607ed05602p-6, 0x1.0dbbd3a9e3bcdp-6, 0x1.0c6bfde151982p-6, 0x1.0b16a739622a5p-6, 0x1.09bbf071891cfp-6, 0x1.085bfa5b094a8p-6, 0x1.06f6e5d26239fp-6, 0x1.058cd3c050435p-6, 0x1.041de50f4353fp-6, 0x1.02aa3aa9346c8p-6, 0x1.0131f577eb4bfp-6, 0x1.ff6a6cc67af5ep-7, 0x1.fc683c9b0c1eep-7, 0x1.f95d9c1d1fb4p-7, 0x1.f64accded96ffp-7, 0x1.f3301052479cbp-7, 0x1.f00da7cbf4526p-7, 0x1.ece3d478980b3p-7, 0x1.e9b2d74bc9d0cp-7, 0x1.e67af0fd0307cp-7, 0x1.e33c62075be23p-7, 0x1.dff76aa41037fp-7, 0x1.dcac4ac4bf6a2p-7, 0x1.d95b420e0d611p-7, 0x1.d6048fd167feap-7, 0x1.d2a87306c41ddp-7, 0x1.cf472a49788e5p-7, 0x1.cbe0f3d659f13p-7, 0x1.c8760d825b261p-7, 0x1.c506b4b065df4p-7, 0x1.c193264f88ca6p-7, 0x1.be1b9edad4611p-7, 0x1.baa05a54fc0c4p-7, 0x1.b721944272d79p-7, 0x1.b39f87a3f4834p-7, 0x1.b01a6ef19e23p-7, 0x1.ac92841654257p-7, 0x1.a908006c0f29bp-7, 0x1.a57b1cba4c4e2p-7, 0x1.a1ec11354dc8ep-7, 0x1.9e5b157937cp-7, 0x1.9ac86081ab39bp-7, 0x1.973428a5dc0f3p-7, 0x1.939ea397cd4cep-7, 0x1.9008066242d66p-7, 0x1.8c708565a2035p-7, 0x1.88d85454cf6adp-7, 0x1.853fa632a1de1p-7, 0x1.81a6ad4f6a7f2p-7, 0x1.7e0d9b4659a82p-7, 0x1.7a74a0fafbbffp-7, 0x1.76dbee973bc1dp-7, 0x1.7343b38adc21dp-7, 0x1.6fac1e8a94364p-7, 0x1.6c155d8c69b8cp-7, 0x1.687f9dc36e0eep-7, 0x1.64eb0b9eaeaaap-7, 0x1.6157d2c9773p-7, 0x1.5dc61e2af058fp-7, 0x1.5a3617e510561p-7, 0x1.56a7e9536c389p-7, 0x1.531bbb0a2c8b7p-7, 0x1.4f91b4d523b3cp-7, 0x1.4c09fdb6f96d3p-7, 0x1.4884bbe873d4cp-7, 0x1.450214d7b8493p-7, 0x1.41822d283c809p-7, 0x1.3e0528b35bda3p-7, 0x1.3a8b2a892f8b8p-7, 0x1.371454efe8215p-7, 0x1.33a0c9624bbd7p-7, 0x1.3030a88f90cadp-7, 0x1.2cc4125c7e5c7p-7, 0x1.295b25e47a40fp-7, 0x1.25f6017a2ab73p-7, 0x1.2294c2a7e8b63p-7, 0x1.1f3786304dc9bp-7, 0x1.1bde680ed31bp-7, 0x1.18898378afce6p-7, 0x1.1538f2dda3645p-7, 0x1.11eccfe8d7782p-7, 0x1.0ea53381cf488p-7, 0x1.0b6235cd79bbcp-7, 0x1.0823ee2f9594ep-7, 0x1.04ea734cc27b9p-7, 0x1.01b5db0c4b82p-7, 0x1.fd0c75322652dp-8, 0x1.f6b74cc44ee05p-8, 0x1.f06c6437eaa94p-8, 0x1.ea2be184cc385p-8, 0x1.e3f5e935922e5p-8, 0x1.ddca9e6b5b44p-8, 0x1.d7aa22e191a93p-8, 0x1.d19496f19213dp-8, 0x1.cb8a1995a7ac5p-8, 0x1.c58ac86c7cc9dp-8, 0x1.bf96bfbdbf9d9p-8, 0x1.b9ae1a7e14213p-8, 0x1.b3d0f252cd2ap-8, 0x1.adff5f95f44c1p-8, 0x1.a839795b8eae3p-8, 0x1.a27f5571116d5p-8, 0x1.9cd1086c52db5p-8, 0x1.972ea5a6a1b5bp-8, 0x1.91983f464b009p-8, 0x1.8c0de64161981p-8, 0x1.868faa60d83b2p-8, 0x1.811d9a44e4e8fp-8, 0x1.7bb7c36a49a61p-8, 0x1.765e322f47f7bp-8, 0x1.7110f1d89c407p-8, 0x1.6bd00c96498bep-8, 0x1.669b8b882724dp-8, 0x1.617376c2b99b4p-8, 0x1.5c57d553f73e2p-8, 0x1.5748ad4812c65p-8, 0x1.524603ae390f1p-8, 0x1.4d4fdc9d6c5c3p-8, 0x1.48663b392c1e1p-8, 0x1.438921b63f54ap-8, 0x1.3eb8915f4bffbp-8, 0x1.39f48a9998382p-8, 0x1.353d0cea02742p-8, 0x1.309216fa4d1cbp-8, 0x1.2bf3a69e7ef71p-8, 0x1.2761b8d94f84ap-8, 0x1.22dc49e083e73p-8, 0x1.1e635520e6713p-8, 0x1.19f6d5431a9a3p-8, 0x1.1596c43090c27p-8, 0x1.11431b187695bp-8, 0x1.0cfbd27475e37p-8, 0x1.08c0e20d2d19ap-8, 0x1.049240fed3174p-8, 0x1.006fe5bdc1623p-8, 0x1.f8b38c35bbfd7p-9, 0x1.f09fae907a93ap-9, 0x1.e8a41bbb27f47p-9, 0x1.e0c0bbb95d849p-9, 0x1.d8f5756babebfp-9, 0x1.d1422e9865c26p-9, 0x1.c9a6cbf3f2533p-9, 0x1.c2233129593d2p-9, 0x1.bab740e249c6dp-9, 0x1.b362dccf8ae8cp-9, 0x1.ac25e5b158336p-9, 0x1.a5003b604ed28p-9, 0x1.9df1bcd5a78c7p-9, 0x1.96fa483299b4dp-9, 0x1.9019bac7676d9p-9, 0x1.894ff11a9300ep-9, 0x1.829cc6f0c10dfp-9, 0x1.7c001754e7458p-9, 0x1.7579bca01e438p-9, 0x1.6f09908145cfap-9, 0x1.68af6c044d5a6p-9, 0x1.626b2799454f9p-9, 0x1.5c3c9b1b23d8cp-9, 0x1.56239dd6848efp-9, 0x1.5020069006c7cp-9, 0x1.4a31ab8ad22b6p-9, 0x1.4458628ed3cbp-9, 0x1.3e9400ef0f7bcp-9, 0x1.38e45b9010b85p-9, 0x1.334946ee4c4efp-9, 0x1.2dc297249e35ap-9, 0x1.28501ff29c056p-9, 0x1.22f1b4c2ee367p-9, 0x1.1da728b15e7ddp-9, 0x1.18704e90dc989p-9, 0x1.134cf8f18f794p-9, 0x1.0e3cfa2631c14p-9, 0x1.094024490b24cp-9, 0x1.0456493ff8debp-9, 0x1.fefe757ffd95ep-10, 0x1.f57594a284ae4p-10, 0x1.ec1192a7137c8p-10, 0x1.e2d21218c2fbp-10, 0x1.d9b6b4f461e6ap-10, 0x1.d0bf1d804a48fp-10, 0x1.c7eaed88c1706p-10, 0x1.bf39c6d2de137p-10, 0x1.b6ab4b136c932p-10, 0x1.ae3f1bf99b8a6p-10, 0x1.a5f4db3926e28p-10, 0x1.9dcc2a918c0cap-10, 0x1.95c4abd428222p-10, 0x1.8dde00e891687p-10, 0x1.8617cbd0b2e84p-10, 0x1.7e71aeaaa1edbp-10, 0x1.76eb4bb302857p-10, 0x1.6f844547faf77p-10, 0x1.683c3deebc28bp-10, 0x1.6112d85663121p-10, 0x1.5a07b76bfdd93p-10, 0x1.531a7e525da3bp-10, 0x1.4c4ad07f0ee4ep-10, 0x1.459851bf0e141p-10, 0x1.3f02a644ab446p-10, 0x1.388972b183aeep-10, 0x1.322c5c1cf2043p-10, 0x1.2beb081763daep-10, 0x1.25c51caa7ed71p-10, 0x1.1fba4057055c5p-10, 0x1.19ca1a1111a7ep-10, 0x1.13f4513b81c13p-10, 0x1.0e388da432943p-10, 0x1.08967781ec849p-10, 0x1.030db77552923p-10, 0x1.fb3bed1bc4fd7p-11, 0x1.f08dbca429ceep-11, 0x1.e6103196078ebp-11, 0x1.dbc2a123a4a4cp-11, 0x1.d1a461baf03c3p-11, 0x1.c7b4cb1f6fe53p-11, 0x1.bdf3367e19aafp-11, 0x1.b45efe79dbc42p-11, 0x1.aaf77f2f1595ap-11, 0x1.a1bc162e675c4p-11, 0x1.98ac226fcb75ep-11, 0x1.8fc70440a528ap-11, 0x1.870c1d2f8e813p-11, 0x1.7e7acff9d2eeep-11, 0x1.7612807f2cb4cp-11, 0x1.6dd293b962f28p-11, 0x1.65ba6fbef3095p-11, 0x1.5dc97bce5b052p-11, 0x1.55ff2062aed2dp-11, 0x1.4e5ac7485ab8dp-11, 0x1.46dbdbb7d2a0ap-11, 0x1.3f81ca6be06d3p-11, 0x1.384c01b496956p-11, 0x1.3139f184208fcp-11, 0x1.2a4b0b74438c6p-11, 0x1.237ec2c45e66p-11, 0x1.1cd48c502969dp-11, 0x1.164bde821687cp-11, 0x1.0fe4314290518p-11, 0x1.099cfde7c509ap-11, 0x1.0375bf26817d9p-11, 0x1.fadbe20fe933fp-12, 0x1.ef0a21c437e2ap-12, 0x1.e3753aad9decfp-12, 0x1.d81c2caafc63dp-12, 0x1.ccfdfa440940cp-12, 0x1.c219a8bad32e7p-12, 0x1.b76e40220ab1bp-12, 0x1.acfacb71f6667p-12, 0x1.a2be589ba8073p-12, 0x1.98b7f898b056dp-12, 0x1.8ee6bf7375d59p-12, 0x1.8549c44ae441dp-12, 0x1.7be02150f4181p-12, 0x1.72a8f3c64111fp-12, 0x1.69a35bf58687p-12, 0x1.60ce7d2ed096cp-12, 0x1.58297dc3aae12p-12, 0x1.4fb3870219653p-12, 0x1.476bc52b514eap-12, 0x1.3f5167623b07ap-12, 0x1.37639f905cee7p-12, 0x1.2fa1a23ecf248p-12, 0x1.280aa66f7ffbbp-12, 0x1.209de568dc666p-12, 0x1.195a9aa032d88p-12, 0x1.124003a43694ep-12, 0x1.0b4d60233b4ddp-12, 0x1.0481f20488863p-12, 0x1.fbb9fb26a2536p-13, 0x1.eebb9367c9436p-13, 0x1.e207403388804p-13, 0x1.d59b9af07b95ep-13, 0x1.c97743501fac7p-13, 0x1.bd98df7dec922p-13, 0x1.b1ff1c36d0223p-13, 0x1.a6a8acc67269ap-13, 0x1.9b944af3046b4p-13, 0x1.90c0b6ce25499p-13, 0x1.862cb668abc7fp-13, 0x1.7bd7156059811p-13, 0x1.71bea4408c1b1p-13, 0x1.67e237bcf6d03p-13, 0x1.5e40a7d4ea789p-13, 0x1.54d8cf01f0feap-13, 0x1.4ba9899552201p-13, 0x1.42b1b5702b6acp-13, 0x1.39f03229cdaf7p-13, 0x1.3163e1ab9ae6cp-13, 0x1.290ba925b4f51p-13, 0x1.20e6722f4e426p-13, 0x1.18f32bd7f8c05p-13, 0x1.1130cb7bf60ebp-13, 0x1.099e4d6e9e3f8p-13, 0x1.023ab415465dp-13, 0x1.f60a0f0d74201p-14, 0x1.e7f8b16a6cb76p-14, 0x1.da3f71ebaec91p-14, 0x1.ccdc84ba3c3fp-14, 0x1.bfce24064a5fcp-14, 0x1.b31291c7c7c82p-14, 0x1.a6a819ebdd4adp-14, 0x1.9a8d0ea36e5b1p-14, 0x1.8ebfcaf1aef2ap-14, 0x1.833eaeb681b98p-14, 0x1.78081de370b36p-14, 0x1.6d1a7eb34d968p-14, 0x1.627438b0e1806p-14, 0x1.5813b4d6999a2p-14, 0x1.4df75efb0a944p-14, 0x1.441da85002bcbp-14, 0x1.3a850a592609p-14, 0x1.312c099f646f1p-14, 0x1.28113762b738fp-14, 0x1.1f3331e407057p-14, 0x1.1690a34bb9c0ap-14, 0x1.0e283f93f64fbp-14, 0x1.05f8c21b80e8cp-14, 0x1.fc01d704149efp-15, 0x1.ec7f00898969ep-15, 0x1.dd669088b02bcp-15, 0x1.ceb61e3465694p-15, 0x1.c06b49a6e7b08p-15, 0x1.b283bdf56f919p-15, 0x1.a4fd31f5615e9p-15, 0x1.97d5687e1acb2p-15, 0x1.8b0a2f1485969p-15, 0x1.7e995bb893afcp-15, 0x1.7280ca6b921b9p-15, 0x1.66be5b4e9ea08p-15, 0x1.5b4ff22711166p-15, 0x1.503377b55e28ap-15, 0x1.4566dcc5f62cep-15, 0x1.3ae81e54ca874p-15, 0x1.30b5498fb014cp-15, 0x1.26cc7e66947a6p-15, 0x1.1d2befb9ca8a2p-15, 0x1.13d1e0fa63f73p-15, 0x1.0abca20bc6591p-15, 0x1.01ea8b03ffa78p-15, 0x1.f2b3f29c88edbp-16, 0x1.e2129e5da680dp-16, 0x1.d1edeac745b0ep-16, 0x1.c242bb86eaec1p-16, 0x1.b30e0a70f30c6p-16, 0x1.a44ce7ff5cf7p-16, 0x1.95fc77d9e94bfp-16, 0x1.8819eb0adee89p-16, 0x1.7aa27a8a2f011p-16, 0x1.6d9364bc4f9edp-16, 0x1.60e9eeed0387ap-16, 0x1.54a36a33d65bcp-16, 0x1.48bd392e685f7p-16, 0x1.3d34d407bb04bp-16, 0x1.3207c8d0ffcfap-16, 0x1.2733b8369b0cep-16, 0x1.1cb6504a01f4p-16, 0x1.128d4818c7e57p-16, 0x1.08b65dd37fbp-16, 0x1.fe5eaf91194b4p-17, 0x1.ebec0ccff8cbcp-17, 0x1.da108a0d6170dp-17, 0x1.c8c7f021d7385p-17, 0x1.b80e139c49169p-17, 0x1.a7ded1593209cp-17, 0x1.9836144016bdep-17, 0x1.890fe54e0151ap-17, 0x1.7a687fee80efep-17, 0x1.6c3c5faea21c4p-17, 0x1.5e883dc141453p-17, 0x1.5148fc5fb3f94p-17, 0x1.447b87605ddfbp-17, 0x1.381cb74300fa7p-17, 0x1.2c294319ad866p-17, 0x1.209dc722b56f8p-17, 0x1.1576dd19f7a41p-17, 0x1.0ab13be34f1d9p-17, 0x1.0049d234f8142p-17, 0x1.ec7ba529e2368p-18, 0x1.d9155c5410eedp-18, 0x1.c65c0470838f6p-18, 0x1.b44affda181f6p-18, 0x1.a2ddace5d787ap-18, 0x1.920f4a66f7b18p-18, 0x1.81daf2da3ee1ap-18, 0x1.723bad5c1ee67p-18, 0x1.632c8b8b75a8p-18, 0x1.54a8c5a22ff3dp-18, 0x1.46abc77dbddedp-18, 0x1.39312a91c3544p-18, 0x1.2c34a5edb0884p-18, 0x1.1fb204d6e099ep-18, 0x1.13a5309003c39p-18, 0x1.080a4a702ddcep-18, 0x1.f9bb86ee2d4bp-19, 0x1.e438b78ba7831p-19, 0x1.cf8604e56a3bbp-19, 0x1.bb9d48c074c96p-19, 0x1.a8780a22afddap-19, 0x1.960f6c191d9cfp-19, 0x1.845c5dcdda19p-19, 0x1.7357ed39f3355p-19, 0x1.62fb8f923fb3dp-19, 0x1.53413fa16607ep-19, 0x1.44237057b2304p-19, 0x1.359cee4158d6bp-19, 0x1.27a8c8865fd4dp-19, 0x1.1a422d43b563dp-19, 0x1.0d6426e87af39p-19, 0x1.0109c65a693e4p-19, 0x1.ea5ce6333ad83p-20, 0x1.d39a8be61eb5dp-20, 0x1.bdc167d24f65p-20, 0x1.a8c6e070882c5p-20, 0x1.94a17f8b29c38p-20, 0x1.81481d1fe10a3p-20, 0x1.6eb232cb591cbp-20, 0x1.5cd84856f2093p-20, 0x1.4bb3aceed27cdp-20, 0x1.3b3df73b9b0a7p-20, 0x1.2b70a8c19ae03p-20, 0x1.1c451e7303e0dp-20, 0x1.0db4c41e6a4dep-20, 0x1.ff72955fe337ep-21, 0x1.e4993fb9da31cp-21, 0x1.cad1671a0a9fp-21, 0x1.b20eb9381912p-21, 0x1.9a452635f0792p-21, 0x1.8369a6b4cd1b2p-21, 0x1.6d7291c7400d5p-21, 0x1.585720e71d6e1p-21, 0x1.440e8c2e7f924p-21, 0x1.308f77e0c6dcdp-21, 0x1.1dd01ae4c0c2fp-21, 0x1.0bc6d87e2bfe5p-21, 0x1.f4d57601adc7dp-22, 0x1.d367034605847p-22, 0x1.b332ca360642dp-22, 0x1.9429b24a656aep-22, 0x1.763ccaec3e43ap-22, 0x1.595d15373df8ep-22, 0x1.3d7b58d6c32a5p-22, 0x1.2288277562ba5p-22, 0x1.08743a0c125f3p-22, 0x1.de624c177d66p-23, 0x1.ad643e677091dp-23, 0x1.7dd8e41799c02p-23, 0x1.4fae971ddfa53p-23, 0x1.22d5cee756f23p-23, 0x1.ee7c06e27d8e8p-24, 0x1.99a70b99138a2p-24, 0x1.46fe4e1bcabf5p-24, 0x1.eca2e9645a71bp-25, 0x1.4ee806fa2c094p-25, 0x1.68fbb29eb0a86p-26, 0x1.d1c8cdd10ad06p-29, -0x1.ddf830a6246f6p-27, -0x1.09872cdbf697bp-25, -0x1.99239ae40d56dp-25, -0x1.1338a874f4b2ep-24, -0x1.58cb05cc0e9b5p-24, -0x1.9d6221ab937b4p-24, -0x1.e119e373e677dp-24, -0x1.1205dcf6def13p-23, -0x1.3326759b12359p-23, -0x1.53f85cd6510b9p-23, -0x1.74857e329c17ap-23, -0x1.94d7f5de404adp-23, -0x1.b4f8c1b6fff67p-23, -0x1.d4ed82c7233f9p-23, -0x1.f4be7634baaaep-23, -0x1.0a3da4a29d953p-22, -0x1.1a0e559b76c7fp-22, -0x1.29d6ef945ece8p-22, -0x1.399afff8b572ap-22, -0x1.495e18723d98ap-22, -0x1.59236ca9360a1p-22, -0x1.68ed9c9f2d5f2p-22, -0x1.78beb0ae1eb9ap-22, -0x1.88983e5e38c9bp-22, -0x1.987ba92c59dp-22, -0x1.a86a5a671ace2p-22, -0x1.b863d7d6cb16p-22, -0x1.c8629afcdecb1p-22, -0x1.d89521c4746d8p-22, -0x1.e8c4cc959b91p-22, -0x1.f8ff445fbbbe6p-22, -0x1.04b0ccf127193p-21, -0x1.0ce996b5f2742p-21, -0x1.152d63d716f63p-21, -0x1.1d7c8252c6381p-21, -0x1.25d72dafdc197p-21, -0x1.2e3de880082b9p-21, -0x1.36b13b4102bc9p-21, -0x1.3f316a2aef8fdp-21, -0x1.47be84980569bp-21, -0x1.50589e9e3e579p-21, -0x1.58ffdc3313e17p-21, -0x1.61b45842222aap-21, -0x1.6a76151e24c8ep-21, -0x1.7344fdabd7059p-21, -0x1.7c20ecf44be5ap-21, -0x1.8509b4cf8728cp-21, -0x1.8dff21964d8fap-21, -0x1.9700faf10c60bp-21, -0x1.a00f03c1b4083p-21, -0x1.a928fb11dc81dp-21, -0x1.b24e9dd823303p-21, -0x1.bb7fa7df360a7p-21, -0x1.c4bbd2b008a55p-21, -0x1.ce02d3f54d482p-21, -0x1.d7545c1433afp-21, -0x1.e0b0144d3082ep-21, -0x1.ea159c3b86137p-21, -0x1.f38489ce1182bp-21, -0x1.fcfc6fa1e4e2p-21, -0x1.033e7340e0567p-20, -0x1.0802c70560c15p-20, -0x1.0ccaffb34d928p-20, -0x1.1196dff87008dp-20, -0x1.166622c6354a3p-20, -0x1.1b38870b6e0ccp-20, -0x1.200dd5109e07ap-20, -0x1.24e5d48421984p-20, -0x1.29c044caf61dfp-20, -0x1.2e9ce51050fc6p-20, -0x1.337b766cb6002p-20, -0x1.385bb327a9ecap-20, -0x1.3d3d56ca8b0ep-20, -0x1.42201fef3d769p-20, -0x1.4703cd0a33d4dp-20, -0x1.4be81b5567caap-20, -0x1.50ccc7acdfe13p-20, -0x1.55b18f4fe62cfp-20, -0x1.5a963053a18abp-20, -0x1.5f7a6a5d1c335p-20, -0x1.645e006a626bp-20, -0x1.6940b4a48edfcp-20, -0x1.6e2212bda641ep-20, -0x1.730181f007aeap-20, -0x1.77dfb59c9a96bp-20, -0x1.7cbbfa23f187p-20, -0x1.81958ffd823a4p-20, -0x1.867189b83da1bp-20, -0x1.8b4276c7b1beep-20, -0x1.9013daaaa72cbp-20, -0x1.94e1f9882c8dp-20, -0x1.99aca7123079ap-20, -0x1.9e739b745f028p-20, -0x1.a33691ac1346bp-20, -0x1.a7f548c8d1596p-20, -0x1.acaf82238e2ebp-20, -0x1.b165009f56471p-20, -0x1.b615888ce8845p-20, -0x1.bac0df4f66ad4p-20, -0x1.bf66cacf3eb48p-20, -0x1.c407116ee61c5p-20, -0x1.c8a17a7cd78f4p-20, -0x1.cd35cebde23f6p-20, -0x1.d1c3d7cb2b504p-20, -0x1.d64b5f68a8b89p-20, -0x1.dacc2fdc5e803p-20, -0x1.df4613642fa9p-20, -0x1.e3b8d5c8b7031p-20, -0x1.e82445022c3e1p-20, -0x1.ec88306261149p-20, -0x1.f0e46861ed6d4p-20, -0x1.f538be9d44428p-20, -0x1.f98505b0a9f58p-20, -0x1.fdc9110e36767p-20, -0x1.01025a7fb86e8p-19, -0x1.031be34a0abdap-19, -0x1.05310dda9bbdp-19, -0x1.0741c59292969p-19, -0x1.094df5f4616d3p-19, -0x1.0b558f5751d5ap-19, -0x1.0d5873491d14bp-19, -0x1.0f56993bed75fp-19, -0x1.114fe9dd0b6b3p-19, -0x1.1344534a1dd6p-19, -0x1.1533c46faf13cp-19, -0x1.171e2d3e0c4a8p-19, -0x1.19037e5c93bb6p-19, -0x1.1ae3a8da417eep-19, -0x1.1cbe9e28d8b4cp-19, -0x1.1e94505e46c7ep-19, -0x1.2064b255e1258p-19, -0x1.222fb7597946bp-19, -0x1.23f5526e9496bp-19, -0x1.25b575f4d818ep-19, -0x1.2770141adfce8p-19, -0x1.29251feaa438dp-19, -0x1.2ad48ed105ebap-19, -0x1.2c7e588993c85p-19, -0x1.2e2272d4d0b6fp-19, -0x1.2fc0d15352f3cp-19, -0x1.31596efc9e7fep-19, -0x1.32ec472118d81p-19, -0x1.34794ddd2574dp-19, -0x1.3600758ba4fbap-19, -0x1.3781b8817dbd2p-19, -0x1.38fd12b45fbc6p-19, -0x1.3a727c6a0f493p-19, -0x1.3be1efdc2c9c6p-19, -0x1.3d4b675f32cdep-19, -0x1.3eaeddf5ad601p-19, -0x1.400c4f1062bd8p-19, -0x1.4163b67f7f132p-19, -0x1.42b51080595f5p-19, -0x1.440059e39f078p-19, -0x1.4545904822b1fp-19, -0x1.4684b21404fbbp-19, -0x1.47bdbca9fda72p-19, -0x1.48f0a5ab81a3dp-19, -0x1.4a1d65c5992b7p-19, -0x1.4b4625b1d3d2ep-19, -0x1.4c649e7b659ecp-19, -0x1.4d7f1c80fb0a4p-19, -0x1.4e937791cc752p-19, -0x1.4fa1a21833f51p-19, -0x1.50a9a739ff09ep-19, -0x1.51ab90dbec00bp-19, -0x1.52a7647a7456cp-19, -0x1.539d02d099459p-19, -0x1.548dac09cb43cp-19, -0x1.55755c9b9766ap-19, -0x1.5659b18fef717p-19, -0x1.57371575b21cfp-19, -0x1.580e6757b3b8p-19, -0x1.58dfadaeab273p-19, -0x1.59aae82ab5516p-19, -0x1.5a701bb332819p-19, -0x1.5b2f4f9c13862p-19, -0x1.5be88adebdb09p-19, -0x1.5c9bd02e18ff7p-19, -0x1.5d491e421044fp-19, -0x1.5df08330631e8p-19, -0x1.5e91fff92c286p-19, -0x1.5f2d93fd738fep-19, -0x1.5fc34f61912dp-19, -0x1.60533b3fb989dp-19, -0x1.60dd62f7ff395p-19, -0x1.6161c6cbea64ap-19, -0x1.61e3c4efcec62p-19, -0x1.62584183e37dbp-19, -0x1.62cc4c5fd3ef8p-19, -0x1.6339c2cb19954p-19, -0x1.63a17eda50ff1p-19, -0x1.64037b6935ce9p-19, -0x1.64603d06cc6edp-19, -0x1.64b724ba49a99p-19, -0x1.65090a531fe1p-19, -0x1.65551aada86acp-19, -0x1.659b9af2c3e1ep-19, -0x1.65dcc0f52a16dp-19, -0x1.66188de05ceddp-19, -0x1.664f0453ae572p-19, -0x1.66802acd1bddp-19, -0x1.66ac0990dfdacp-19, -0x1.66d2a9e64271bp-19, -0x1.66f415b92e89cp-19, -0x1.6710572bef6a7p-19, -0x1.6727784a3f115p-19, -0x1.6739830181679p-19, -0x1.67468162f2709p-19, -0x1.674e7d2074883p-19, -0x1.675180f414617p-19, -0x1.674f9792ddca1p-19, -0x1.6748cbd3cf48bp-19, -0x1.673d27be99429p-19, -0x1.672cb4230561fp-19, -0x1.67177aaca7eb8p-19, -0x1.66fd875dfc1a1p-19, -0x1.66dee69e000f4p-19, -0x1.66bba3bd692dp-19, -0x1.6693ca36d9611p-19, -0x1.666764a4d2e2p-19, -0x1.66369ef3bcd48p-19, -0x1.660123994a45fp-19, -0x1.65c74786ba1f6p-19, -0x1.658917a523878p-19, -0x1.65469277247d4p-19, -0x1.64ffc2722b367p-19, -0x1.64b4b2cf74a1dp-19, -0x1.64656f139d8cbp-19, -0x1.641202e1e45d3p-19, -0x1.63ba79d57b33ep-19, -0x1.635edf5be8fe2p-19, -0x1.62ff3eb1baa3ep-19, -0x1.629ba30a92d79p-19, -0x1.6234176952312p-19, -0x1.61c8a61620948p-19, -0x1.61595abcb916p-19, -0x1.60e64896a7c9dp-19, -0x1.606f6fdd78b7dp-19, -0x1.5ff4e3cc18bfap-19, -0x1.5f76ad3e5a265p-19, -0x1.5ef4d9367b23ep-19, -0x1.5e6f73549561p-19, -0x1.5de68646eeacfp-19, -0x1.5d5a193f10178p-19, -0x1.5cca36ba4a071p-19, -0x1.5c36f4250e7dfp-19, -0x1.5ba0573cdb1fdp-19, -0x1.5b067135ed194p-19, -0x1.5a694a0ce7ee6p-19, -0x1.59c8e41bbccdfp-19, -0x1.59254ff003eap-19, -0x1.587e9babd474dp-19, -0x1.57d4d272be5a1p-19, -0x1.5727ff1ca7499p-19, -0x1.56782cc1f6d21p-19, -0x1.55c5667a36926p-19, -0x1.550fb6fe616bep-19, -0x1.54572924200dcp-19, -0x1.539bcbf854134p-19, -0x1.52dda2a5f40f8p-19, -0x1.521cc0766d4a5p-19, -0x1.51592cfeb9554p-19, -0x1.5092f37326187p-19, -0x1.4fca1df176712p-19, -0x1.4efea9d945765p-19, -0x1.4e30ca0fe31a4p-19, -0x1.4d6061a9c41a3p-19, -0x1.4c8d88a51980ap-19, -0x1.4bb8499253959p-19, -0x1.4ae0af66b9b1ap-19, -0x1.4a06c5a246473p-19, -0x1.492a97e717814p-19, -0x1.484c2b5d11d8p-19, -0x1.476b7e78c0fccp-19, -0x1.4688af5a409dp-19, -0x1.45a3d3af656bcp-19, -0x1.44bcee6f3baeep-19, -0x1.43d3eeeb28ddap-19, -0x1.42e8ea8d1f1b1p-19, -0x1.41fbf47b5060ep-19, -0x1.410d16093b899p-19, -0x1.401c57d5d23cbp-19, -0x1.3f29bff2dc323p-19, -0x1.3e35694feceep-19, -0x1.3d3f50f3ec299p-19, -0x1.3c477b0356a98p-19, -0x1.3b4c6b5297393p-19, -0x1.3a4fad92f4ee1p-19, -0x1.3955d27b39244p-19, -0x1.385787e2a8328p-19, -0x1.375773045859p-19, -0x1.3655ee464d57cp-19, -0x1.3552fc77c8d15p-19, -0x1.344e9e1d0928cp-19, -0x1.3348d9eb3aa7ap-19, -0x1.3241b9a698aa9p-19, -0x1.31394ce677e96p-19, -0x1.302e5a036247p-19, -0x1.2f233b200ad88p-19, -0x1.2e18430403c7dp-19, -0x1.2d0a77861ef75p-19, -0x1.2bfbbf7adced4p-19, -0x1.2aec60ad747a2p-19, -0x1.29db83da35453p-19, -0x1.28c999d8faef5p-19, -0x1.27b6a81490038p-19, -0x1.26a2b5bb3516ap-19, -0x1.258dca818827ap-19, -0x1.2477ee96d30f8p-19, -0x1.236129993b4c8p-19, -0x1.224982ff1c4d5p-19, -0x1.21311d326e9c6p-19, -0x1.2017b1b189fc2p-19, -0x1.1efd95f1f619p-19, -0x1.1de2b77fde6e1p-19, -0x1.1cc71dc8d75eap-19, -0x1.1baad026ec82p-19, -0x1.1a8dd5df8598ap-19, -0x1.197036250b5d1p-19, -0x1.1851f81695a87p-19, -0x1.173322bf74b27p-19, -0x1.1613bd17fd223p-19, -0x1.14f3ce059ba8p-19, -0x1.13d35c5a0e1c3p-19, -0x1.12b26ed48326ap-19, -0x1.11910c20d5abfp-19, -0x1.106f3ad813b1cp-19, -0x1.0f4d018418b52p-19, -0x1.0e2a668b9bf41p-19, -0x1.0d07705b9b451p-19, -0x1.0be4253dd89d2p-19, -0x1.0ac08b816663bp-19, -0x1.099ca64dfa2fbp-19, -0x1.08788439d514dp-19, -0x1.075422e409225p-19, -0x1.062f8b10a2eb5p-19, -0x1.050ac294327e6p-19, -0x1.03e5cf3244c0dp-19, -0x1.02c0b685cebc5p-19, -0x1.019b7dcf4d04p-19, -0x1.00762a696174p-19, -0x1.fea1869ce73e2p-20, -0x1.fc569b0235d61p-20, -0x1.fa0b9b1c2592p-20, -0x1.f7c0928ca3099p-20, -0x1.f5758e5b1647bp-20, -0x1.f32a968c6545bp-20, -0x1.f0dfb4694bf64p-20, -0x1.ee94f38ad5614p-20, -0x1.ec4a5de447272p-20, -0x1.e9ffe129b02ffp-20, -0x1.e7b5d61a0a48p-20, -0x1.e56bf86a125dfp-20, -0x1.e32269e4892cfp-20, -0x1.e0d935358bb0bp-20, -0x1.de90638545157p-20, -0x1.dc47fd9922b97p-20, -0x1.da000c5dc3db3p-20, -0x1.d7b89310f4929p-20, -0x1.d571aaae49504p-20, -0x1.d32b4b5647baep-20, -0x1.d0e582a944779p-20, -0x1.cea05b017eb3ap-20, -0x1.cc5bef1c5efacp-20, -0x1.ca145c45e6e34p-20, -0x1.c7d4677be6568p-20, -0x1.c59295a93ff1cp-20, -0x1.c350e898a0c6ep-20, -0x1.c110248be75aap-20, -0x1.bed068216bbe5p-20, -0x1.bc9110a198161p-20, -0x1.ba52ee0c2710cp-20, -0x1.b8154de2d72b3p-20, -0x1.b5d973a94d1bbp-20, -0x1.b39e005a74696p-20, -0x1.b16395d7a8c48p-20, -0x1.af2a28ccbc77cp-20, -0x1.acf1d0616f9eap-20, -0x1.aaba912d8370cp-20, -0x1.a8846c85c61cap-20, -0x1.a64f688dfa646p-20, -0x1.a41b8491971dep-20, -0x1.a1e8cc3052cb3p-20, -0x1.9fb743508dac8p-20, -0x1.9d86f046b6235p-20, -0x1.9b57d9a55e93dp-20, -0x1.992a05ade199p-20, -0x1.96fd7ae215558p-20, -0x1.94d249d656d2dp-20, -0x1.92a65e8758c88p-20, -0x1.907fa2725b6abp-20, -0x1.8e5878a0120e9p-20, -0x1.8c32923f98fe2p-20, -0x1.8a0e165eda5d5p-20, -0x1.87eb049b50dc9p-20, -0x1.85c96037032b9p-20, -0x1.83a92d0b9077cp-20, -0x1.818a73c1c99ccp-20, -0x1.7f6d35ada8a5dp-20, -0x1.7d5175a51cfdfp-20, -0x1.7b3738f724c77p-20, -0x1.791e83e6b72c6p-20, -0x1.77075a63ec6e1p-20, -0x1.74f1c0449fe24p-20, -0x1.72ddb94c16c34p-20, -0x1.70cb4929726dep-20, -0x1.6eba7377579b3p-20, -0x1.6cab3bbab5ef5p-20, -0x1.6a9da5670e18dp-20, -0x1.6891b3df78ae9p-20, -0x1.66876a9336036p-20, -0x1.647ecdb3ce4bep-20, -0x1.627942c3142f4p-20, -0x1.6072bbd8ddd5ap-20, -0x1.5e6f1dba502bfp-20, -0x1.5c6d41cd6d84bp-20, -0x1.5a6d26dcb109bp-20, -0x1.586eca1419eabp-20, -0x1.56722ce88286bp-20, -0x1.547751a5df13p-20, -0x1.527e3a8db59a6p-20, -0x1.5086e9bbb1d98p-20, -0x1.4e91615905c62p-20, -0x1.4c9da3191afaep-20, -0x1.4aabb2147a49dp-20, -0x1.48bb99b8d38e1p-20, -0x1.46cd6588a9be8p-20, -0x1.44e57a8c3b9aap-20, -0x1.42f663c258bcp-20, -0x1.410d73af7558cp-20, -0x1.3f268123075a4p-20, -0x1.3d416cee06c67p-20, -0x1.3b5e366cf6421p-20, -0x1.397cd1ba367e3p-20, -0x1.379d55b772f9bp-20, -0x1.35bfd533deb24p-20, -0x1.33e41fdaad6bp-20, -0x1.320a52c7cfb23p-20, -0x1.30326d38fecd8p-20, -0x1.2e5c62342acd3p-20, -0x1.2c884e1c03f9ap-20, -0x1.2ab622fd770d2p-20, -0x1.28e5ddfeaab96p-20, -0x1.2717899fe1fbp-20, -0x1.254b26ee48a2p-20, -0x1.2380cb4f7b21ap-20, -0x1.21b7fe79abb3cp-20, -0x1.1ff15c669078dp-20, -0x1.1e2cb4d73f3fap-20, -0x1.1c6a42f51156p-20, -0x1.1aa94c52d85a1p-20, -0x1.18ea67b2895d1p-20, -0x1.172d8162c7f8p-20, -0x1.1572906dc9932p-20, -0x1.13b9986158776p-20, -0x1.12028b3dabd3cp-20, -0x1.104d77ec358p-20, -0x1.0e9a5eaa622e8p-20, -0x1.0ce93a75afcd9p-20, -0x1.0b39eea18455ap-20, -0x1.098cc09b24e0bp-20, -0x1.07e3a25fbe71dp-20, -0x1.06383aab705fap-20, -0x1.0490c8581628cp-20, -0x1.02eb610d9e1fbp-20, -0x1.0147f77e24c5dp-20, -0x1.ff4d05ef9ee62p-21, -0x1.fc0e10d52dd38p-21, -0x1.f8d2f916899d1p-21, -0x1.f59bba95c8a49p-21, -0x1.f268827987c6dp-21, -0x1.ef395786c7d26p-21, -0x1.ec0df4a1e0cdcp-21, -0x1.e8e672351cfe3p-21, -0x1.e5c2e3f890b87p-21, -0x1.e2a34255a535fp-21, -0x1.df878e11c502p-21, -0x1.dc6fee460757dp-21, -0x1.d958e578db396p-21, -0x1.d64bd1d38fad2p-21, -0x1.d33fa50ba35d6p-21, }}, 
      std::vector<double>(1250, 0.0), 
      {{0x1.02cddae82b55dp-8, 0x1.33a111ab3c456p-8, 0x1.9fc6f497b2847p-11, -0x1.045010df666a5p-7, -0x1.5806bf5434504p-6, -0x1.332c31ea34dedp-5, -0x1.ce611b52a75cfp-5, -0x1.3ac169c85a96p-4, -0x1.908ef58c86364p-4, -0x1.e55d64ac84345p-4, -0x1.1b3f57116d8fep-3, -0x1.40e9cf6888199p-3, -0x1.62e20e66b1604p-3, -0x1.809939c69b0dp-3, -0x1.99b6157be7e77p-3, -0x1.ae0d0938bc881p-3, -0x1.bd984d629e9a9p-3, -0x1.c87094aea8455p-3, -0x1.cec666df04a51p-3, -0x1.d0dc42aee9ef7p-3, -0x1.cf018b8097f16p-3, -0x1.c98e3ba479e3bp-3, -0x1.c0df4ddc06753p-3, -0x1.b553cd87a4d03p-3, -0x1.a74a7b5b23457p-3, -0x1.971ff3ed028cep-3, -0x1.852d45f9c51b6p-3, -0x1.71c6e77dc0b0ep-3, -0x1.5d3bfa50d9566p-3, -0x1.47d5d2a5b3082p-3, -0x1.31d7b3598ac7ep-3, -0x1.1b7eb5b39d611p-3, -0x1.0501d37d39e65p-3, -0x1.dd2417a0efb66p-4, -0x1.b0b5381cbad4dp-4, -0x1.85028eec60a17p-4, -0x1.5a4d51b0e5ac9p-4, -0x1.30cd1540808fcp-4, -0x1.08b08460c450cp-4, -0x1.c43c300243286p-5, -0x1.7a699a9e213a5p-5, -0x1.3419adc3e0e96p-5, -0x1.e2e11aeb36328p-6, -0x1.650ebf197b3dap-6, -0x1.ddb5f0a748a35p-7, -0x1.00a62aa7ddb33p-7, -0x1.97515f94b514dp-10, 0x1.1739a371c5bb7p-8, 0x1.3b24ceb3a2d12p-7, 0x1.dbf7c30ed5caap-7, 0x1.3738517f604cp-6, 0x1.797c536f0fa06p-6, 0x1.b5026997da9cap-6, 0x1.ea09de6282818p-6, 0x1.0c6ae144cae68p-5, 0x1.20d602a9c4f0ep-5, 0x1.326a5267bf909p-5, 0x1.414c7a0eeadaap-5, 0x1.4da17b02e422fp-5, 0x1.578e652c7a8bap-5, 0x1.5f3816674fffcp-5, 0x1.64c30204ae07fp-5, 0x1.6852ffba8c404p-5, 0x1.6a0b2163d8bcbp-5, 0x1.6a0d8f1075ed7p-5, 0x1.687b69005745p-5, 0x1.6574af2c91d88p-5, 0x1.61182df6c2c66p-5, 0x1.5b836f73816edp-5, 0x1.54d2b0c46bc89p-5, 0x1.4d20daffb12e4p-5, 0x1.44877f3eb90b2p-5, 0x1.3b1ed5af4032p-5, 0x1.30fdbf68482e6p-5, 0x1.2639cadb86518p-5, 0x1.1ae73a863a56ep-5, 0x1.0f190d6145ab2p-5, 0x1.02e108adbf7d2p-5, 0x1.ec9f851d6fd1ap-6, 0x1.d2e95aaf4c178p-6, 0x1.b8bc46847e588p-6, 0x1.9e32e5698202bp-6, 0x1.8365d5d65799dp-6, 0x1.686bd232da9a2p-6, 0x1.4d59cb7c6da16p-6, 0x1.324304109fe4fp-6, 0x1.173929f77fb61p-6, 0x1.f898e0aec5d82p-7, 0x1.c3174f67c1e5dp-7, 0x1.8e08a9bd4fcddp-7, 0x1.59858d126c919p-7, 0x1.25a453633c7fep-7, 0x1.e4f273839dc66p-8, 0x1.802d0a68e88f9p-8, 0x1.1d194b4db893bp-8, 0x1.77a95d704b7d5p-9, 0x1.71e614983dab4p-10, -0x1.c19a855eacaf8p-17, -0x1.7096643b94605p-10, -0x1.6a855f559366ep-9, -0x1.0c283405eb9b2p-8, -0x1.60c86ed27a81dp-8, -0x1.b317a6c742888p-8, -0x1.0185fe1ef8fa2p-7, -0x1.284ea3ede06fdp-7, -0x1.4de27df79b8cp-7, -0x1.723f041f7de31p-7, -0x1.95625fd070289p-7, -0x1.b74b5fbe1a843p-7, -0x1.d7f96c6ec2137p-7, -0x1.f76c7d4cc7c39p-7, -0x1.0ad2874db6ba9p-6, -0x1.19520beb4393dp-6, -0x1.2735815d3b5a8p-6, -0x1.347dd16e20d47p-6, -0x1.412c16eb6696ap-6, -0x1.4d4199eca795p-6, -0x1.58bfcc5bc9faep-6, -0x1.63a846cf29745p-6, -0x1.6dfcc55eee7e6p-6, -0x1.77bf24d224d42p-6, -0x1.80f15ff6bd3b6p-6, -0x1.89958cf41e04dp-6, -0x1.91addaebebacdp-6, -0x1.993c8f9cbec5dp-6, -0x1.a044052fdde35p-6, -0x1.a6c6a81e0d168p-6, -0x1.acc6f5050a5cp-6, -0x1.b24776e4df206p-6, -0x1.b74ac537655cep-6, -0x1.bbd381f124e98p-6, -0x1.bfe45813da9dp-6, -0x1.c37ffa01a63e7p-6, -0x1.c6a91fb49d554p-6, -0x1.c96285899bb15p-6, -0x1.cbaeead24a79p-6, -0x1.cd91105644764p-6, -0x1.cf0bb75664ce9p-6, -0x1.d021a04cc24f8p-6, -0x1.d0d589ad52367p-6, -0x1.d12a2f39283f1p-6, -0x1.d12248fa092e6p-6, -0x1.d0c08a0f273b6p-6, -0x1.d007a042760fap-6, -0x1.cefa33750a8a4p-6, -0x1.cd9ae47573407p-6, -0x1.cbec4c86538abp-6, -0x1.c9f0fd3e49db3p-6, -0x1.c7ab7fc1456fap-6, -0x1.c51e53e958f5cp-6, -0x1.c24bf084cf535p-6, -0x1.bf36c2dc11da5p-6, -0x1.bbe12df5472d4p-6, -0x1.b84d8a8eed34ap-6, -0x1.b47e274204a87p-6, -0x1.b07547d6346a2p-6, -0x1.ac3524d5f5f85p-6, -0x1.a7bfec0845ad3p-6, -0x1.a317c06d72771p-6, -0x1.9e3eb96f91ed6p-6, -0x1.9936e2c8569dcp-6, -0x1.94023d3ba5a5dp-6, -0x1.8ea2be891a445p-6, -0x1.891a508d16af7p-6, -0x1.836ad144e5b97p-6, -0x1.7d9613b52e8fdp-6, -0x1.779ddff395bfdp-6, -0x1.7183f23d544cp-6, -0x1.6b49fae5351dp-6, -0x1.64f19f5aa6013p-6, -0x1.5e7c7a7c0d397p-6, -0x1.57ec1baa59cc8p-6, -0x1.5142066017c6cp-6, -0x1.4a7fb337eaa37p-6, -0x1.43a690c9898bfp-6, -0x1.3cb802fd1537dp-6, -0x1.35b56210a4253p-6, -0x1.2e9ffb224285dp-6, -0x1.2779119f9383dp-6, -0x1.2041df7a7863dp-6, -0x1.18fb93f8d1943p-6, -0x1.11a7531de458p-6, -0x1.0a4636cee07ep-6, -0x1.02d95037e4b5ap-6, -0x1.f6c34f2da20acp-7, -0x1.e7c075e45fd97p-7, -0x1.d8abfb96f2d03p-7, -0x1.c987b4daff54ep-7, -0x1.ba55666e055abp-7, -0x1.ab16c4b756e82p-7, -0x1.9bcd7178861bbp-7, -0x1.8c7afb4e9ae25p-7, -0x1.7d20e009b6f98p-7, -0x1.6dc08f19eb5fap-7, -0x1.5e5b69773bf34p-7, -0x1.4ef2bfd3402fbp-7, -0x1.3f87d201a0e87p-7, -0x1.301bd0caadbdep-7, -0x1.20afe0326474ep-7, -0x1.114517dd9b9e2p-7, -0x1.01dc81c2f17bp-7, -0x1.e4ee32cde28c5p-8, -0x1.c62b9a4c767bdp-8, -0x1.a77300eb9022ep-8, -0x1.88c619bf364b7p-8, -0x1.6a268246b8265p-8, -0x1.4b95c016e58b2p-8, -0x1.2d1541b79f8dcp-8, -0x1.0ea662dce3415p-8, -0x1.e094e07c20027p-9, -0x1.a4054fafab0d8p-9, -0x1.67a06cb4e876bp-9, -0x1.2b686ab7201dep-9, -0x1.debeb4693529dp-10, -0x1.670e63eef8501p-10, -0x1.df8758795dfdap-11, -0x1.e388c19a2b138p-12, -0x1.36b23c5a32bddp-17, 0x1.ce5de7c36dc2p-12, 0x1.d252bda0b36aap-11, 0x1.5e45603025b4fp-10, 0x1.d2e8a7d31cc6fp-10, 0x1.238837e9a5e55p-9, 0x1.5d5d0499cf336p-9, 0x1.96f171f1795d7p-9, 0x1.d0444779363e9p-9, 0x1.04aa2bafa2ac8p-8, 0x1.21103bf4a3a71p-8, 0x1.3d53bfe1f6d31p-8, 0x1.5974235ad6582p-8, 0x1.7570d4648a20fp-8, 0x1.9149443e8d25cp-8, 0x1.acfce6ba6d15bp-8, 0x1.c88b300c57a5fp-8, 0x1.e3f392993508ep-8, 0x1.ff357e12cbe68p-8, 0x1.0d283002ba154p-7, 0x1.1aa1d285e214ap-7, 0x1.28075cc3a7ba6p-7, 0x1.3558848d3e807p-7, 0x1.4294fe91be248p-7, 0x1.4fbc7da3aef97p-7, 0x1.5cceb271b96f6p-7, 0x1.69cb4bbbd2e9ap-7, 0x1.76b1f6c996056p-7, 0x1.83825fc7cf321p-7, 0x1.903c31c128a97p-7, 0x1.9cdf163322414p-7, 0x1.a96ab490c1b71p-7, 0x1.b5deb2050888cp-7, 0x1.c23ab18a8dd0ep-7, 0x1.ce7e5440c2a91p-7, 0x1.daa939ceabcd4p-7, 0x1.e6bb00999d6ecp-7, 0x1.f2b345b09d8c8p-7, 0x1.fe91a4895bd3bp-7, 0x1.052adb663413ap-6, 0x1.0aff8a29d4479p-6, 0x1.10c6a9ad70c32p-6, 0x1.1680046866614p-6, 0x1.1c2b6455b8934p-6, 0x1.21c8930dbc697p-6, 0x1.275759c6e3f09p-6, 0x1.2cd78149aa316p-6, 0x1.3248d1eaf0a13p-6, 0x1.37ab13960ea11p-6, 0x1.3cfe0de510b8p-6, 0x1.4241884358382p-6, 0x1.47754a134e52p-6, 0x1.4c991acbed336p-6, 0x1.51acc20645778p-6, 0x1.56b0077faefe2p-6, 0x1.5ba2b31cec878p-6, 0x1.60848ce940accp-6, 0x1.65555d5946d92p-6, 0x1.6a14ed435f393p-6, 0x1.6ec3057da887fp-6, 0x1.735f7092657a6p-6, 0x1.77e9f87988e52p-6, 0x1.7c6268f5bb91p-6, 0x1.80c88dde69ee6p-6, 0x1.851c3447097cp-6, 0x1.895d29f3dfb66p-6, 0x1.8d8b3daac0e95p-6, 0x1.91a63f3380c6cp-6, 0x1.95adff7b23b68p-6, 0x1.99a2508f8ca3cp-6, 0x1.9d8305ec43aebp-6, 0x1.a14ff44527905p-6, 0x1.a508f1aaf0aedp-6, 0x1.a8add5928b7aep-6, 0x1.ac3e78eb37026p-6, 0x1.afbab61d619c9p-6, 0x1.b3226913da0bbp-6, 0x1.b6756f5701117p-6, 0x1.b9b3a819fd3e8p-6, 0x1.bcdcf4481088fp-6, 0x1.bff13692abe1cp-6, 0x1.c2f0536e37e43p-6, 0x1.c5da311763a7dp-6, 0x1.c8aeb7a0b78fbp-6, 0x1.cb6dd0f6ce276p-6, 0x1.ce1768e7a06d4p-6, 0x1.d0ab6d2f8d4cdp-6, 0x1.d329cd814005p-6, 0x1.d5927b66a4b58p-6, 0x1.d7e56a5c2fc3ep-6, 0x1.da22901c29439p-6, 0x1.dc49e48cde794p-6, 0x1.de5b614233c02p-6, 0x1.e05701a72df5cp-6, 0x1.e23cc3869a4c2p-6, 0x1.e40ca67f124d5p-6, 0x1.e5c6ac8a9792bp-6, 0x1.e76ad95734f1dp-6, 0x1.e8f932a3d36b1p-6, 0x1.ea71c05f2a2a7p-6, 0x1.ebd48c674421ap-6, 0x1.ed21a29242af7p-6, 0x1.ee5910c289fc1p-6, 0x1.ef7ae6d697fedp-6, 0x1.f087369d04317p-6, 0x1.f17e13d38b622p-6, 0x1.f25f9427ac9fcp-6, 0x1.f32bcf2f55e5ep-6, 0x1.f3e2de607da5p-6, 0x1.f484dd0c84909p-6, 0x1.f511e85b34e8ep-6, 0x1.f58a1f44a2aa5p-6, 0x1.f5eda288e8449p-6, 0x1.f63c94a64d4abp-6, 0x1.f67719d0cc47p-6, 0x1.f69d57eb11084p-6, 0x1.f6af767e90d35p-6, 0x1.f6ad9eb1fa424p-6, 0x1.f697fb3f1a835p-6, 0x1.f66eb868bf129p-6, 0x1.f63203f1b0399p-6, 0x1.f5e20d1437976p-6, 0x1.f57f047980a8fp-6, 0x1.f5091c2fdd072p-6, 0x1.f480879f40a79p-6, 0x1.f3e57b7d207d8p-6, 0x1.f3382dc0f50f9p-6, 0x1.f278d598f7763p-6, 0x1.f1a7ab5f6e9afp-6, 0x1.f0c4e8905fb0ap-6, 0x1.efd0c7bf5c393p-6, 0x1.eecb848d30615p-6, 0x1.edb55b9cfb78ep-6, 0x1.ec8e8a88c63d8p-6, 0x1.eb574fd56c093p-6, 0x1.ea0feae667272p-6, 0x1.e8b89bf19f45p-6, 0x1.e751a3f3c1d06p-6, 0x1.e5db44a59f65ep-6, 0x1.e455c07209522p-6, 0x1.e2c15a6b93a15p-6, 0x1.e11e5641ee553p-6, 0x1.df6cf83697d52p-6, 0x1.ddad85113aecap-6, 0x1.dbe04213bb296p-6, 0x1.da0574ef53a96p-6, 0x1.d81d63b891e11p-6, 0x1.d62854de1c088p-6, 0x1.d4268f1e3a2adp-6, 0x1.d218597d70f26p-6, 0x1.cffdfb3cb93c3p-6, 0x1.cdd7bbcfa4ab7p-6, 0x1.cba5e2d263fb6p-6, 0x1.c968b7ff9f93p-6, 0x1.c72083263afd2p-6, 0x1.c4cd8c1f4ff76p-6, 0x1.c2701ac4a7776p-6, 0x1.c00876e79c3dp-6, 0x1.bd96e84883ccap-6, 0x1.bb1bb68e62b49p-6, 0x1.b897293ebe608p-6, 0x1.b60987b569fffp-6, 0x1.b373191c6ede9p-6, 0x1.b0d42463c91bp-6, 0x1.ae2cf0395e123p-6, 0x1.ab7dc3010029p-6, 0x1.a8c6e2ccb6239p-6, 0x1.a60895555eac1p-6, 0x1.a3431ff3b0bbcp-6, 0x1.a076c7997d761p-6, 0x1.9da3d0cb28325p-6, 0x1.9aca7f9957857p-6, 0x1.97eb179acf1bap-6, 0x1.9505dbe6563d2p-6, 0x1.921b0f0cf0a75p-6, 0x1.8f2af3142e9fp-6, 0x1.8c35c970a51ebp-6, 0x1.893bd300a06c9p-6, 0x1.863d50070fb0fp-6, 0x1.833a80268d658p-6, 0x1.8033a25cb52d6p-6, 0x1.7d28f4fda54d8p-6, 0x1.7a1ab5afa408bp-6, 0x1.770921671ad5p-6, 0x1.73f47462ae6b3p-6, 0x1.70dcea27ba0e8p-6, 0x1.6dc2bd7ee20cdp-6, 0x1.6aa62870d3fcfp-6, 0x1.6787644328c2dp-6, 0x1.6466a9756be04p-6, 0x1.61442fbe51eadp-6, 0x1.5e202e0902019p-6, 0x1.5afada7296266p-6, 0x1.57d46a47c0e2ap-6, 0x1.54ad1202abeb8p-6, 0x1.5185054916cfbp-6, 0x1.4e5c76ea9f293p-6, 0x1.4b3398df27c5dp-6, 0x1.480a9c45bba8fp-6, 0x1.44e1b16327ddep-6, 0x1.41b907a0fd705p-6, 0x1.3e90cd8c9b219p-6, 0x1.3b6930d6371e8p-6, 0x1.38425e50231cdp-6, 0x1.351c81ee1ff3ep-6, 0x1.31f7c6c4e5fc6p-6, 0x1.2ed45709c1239p-6, 0x1.2bb25c127a66fp-6, 0x1.2891fe5546f0cp-6, 0x1.25736568f7f18p-6, 0x1.2256b8053b5dbp-6, 0x1.1f3c1c0308ffbp-6, 0x1.1c23b65d1693bp-6, 0x1.190dab30707aep-6, 0x1.15fa1dbd175bep-6, 0x1.12e93066bf89bp-6, 0x1.0fdb04b5960cp-6, 0x1.0ccfbb5726ba9p-6, 0x1.09c7741f62025p-6, 0x1.06c24e09ac855p-6, 0x1.03c0673a22ccfp-6, 0x1.00c1dcfeda2b4p-6, 0x1.fb8d97a2b5395p-7, 0x1.f59e9eb02fe9ep-7, 0x1.efb704d027b99p-7, 0x1.e9d6fe0d053fbp-7, 0x1.e3febcd505f5ap-7, 0x1.de2e71fddfe57p-7, 0x1.d8664cc82d0dp-7, 0x1.d2a67ae33ee62p-7, 0x1.ccef2870f6287p-7, 0x1.c74080097fccbp-7, 0x1.c19aaabf7e6eep-7, 0x1.bbfdd02424354p-7, 0x1.b66a164b7b288p-7, 0x1.b0dfa1d0c9b1bp-7, 0x1.ab5e95db21516p-7, 0x1.a5e71421e64c9p-7, 0x1.a0793cf193de6p-7, 0x1.9b152f306714ep-7, 0x1.95bb086336b66p-7, 0x1.906ae4b237734p-7, 0x1.8b24deeddc3d8p-7, 0x1.85e91093a9f57p-7, 0x1.80b791d32032dp-7, 0x1.7b907992a9178p-7, 0x1.7673dd749cd65p-7, 0x1.7161d1dc51e3ap-7, 0x1.6c5a69f3640aap-7, 0x1.675db7aedc8abp-7, 0x1.626bcbd49281ap-7, 0x1.5d84b60068259p-7, 0x1.58a884a9a425ap-7, 0x1.53d745281426bp-7, 0x1.4f1103b940239p-7, 0x1.4a55cb8569bb5p-7, 0x1.45a5a6a48a5e5p-7, 0x1.41009e2341949p-7, 0x1.3c66ba07d56c1p-7, 0x1.37d801573592fp-7, 0x1.33547a1a4c8e3p-7, 0x1.2edc29635dbebp-7, 0x1.2a6f13539b8e1p-7, 0x1.260d3b20ebc47p-7, 0x1.21b6a31b9f7c5p-7, 0x1.1d6b4cb43a00ep-7, 0x1.192b3880e0b3p-7, 0x1.14f6664280c2dp-7, 0x1.10ccd4e99535cp-7, 0x1.0cae829a77b09p-7, 0x1.089b6cb13db5cp-7, 0x1.04938fc578c21p-7, 0x1.0096e7addb1b6p-7, 0x1.f94adf084e6d5p-8, 0x1.f17e4352497fp-8, 0x1.e9c7ef9505d04p-8, 0x1.e227d5cf0e258p-8, 0x1.da9de6aff6313p-8, 0x1.d32a11a5d7266p-8, 0x1.cbcc44eb62518p-8, 0x1.c4846d958d851p-8, 0x1.bd52779fbc7e8p-8, 0x1.b6364df612d29p-8, 0x1.af2fda7cb170ep-8, 0x1.a83f061487c83p-8, 0x1.a163b89d1fb44p-8, 0x1.9a9dd8f517171p-8, 0x1.93ed4cf983e8ap-8, 0x1.8d51f98677f22p-8, 0x1.86cbc279a800ep-8, 0x1.805a8ab89c9a6p-8, 0x1.79fe343af305bp-8, 0x1.73b6a019be00dp-8, 0x1.6d83aea2452ecp-8, 0x1.67653f6bd6667p-8, 0x1.615b316e59391p-8, 0x1.5b6563174ae58p-8, 0x1.5583b25b3aa43p-8, 0x1.4fb5fcc13f2f3p-8, 0x1.49fc1f677405bp-8, 0x1.4455f6ffc21b3p-8, 0x1.3ec35fc58ad28p-8, 0x1.3944356e5c646p-8, 0x1.33d85317bd362p-8, 0x1.2e7f9335de8f2p-8, 0x1.2939cf86aa82dp-8, 0x1.2406e10c36c5ap-8, 0x1.1ee6a01183ce1p-8, 0x1.19d8e43a657ddp-8, 0x1.14dd849e7d66ap-8, 0x1.0ff457edcaaep-8, 0x1.0b1d349afd6dcp-8, 0x1.0657f10783b7ep-8, 0x1.01a463ac10312p-8, 0x1.fa04c671412d3p-9, 0x1.f0e38d4ec9279p-9, 0x1.e7e4ca7e889dep-9, 0x1.df082d0a85871p-9, 0x1.d64d64399ead2p-9, 0x1.cdb41f367061ep-9, 0x1.c53c0ca494a73p-9, 0x1.bce4da34ede4fp-9, 0x1.b4ae344514f6bp-9, 0x1.ac97c59b993eep-9, 0x1.a4a1374bf559ap-9, 0x1.9cca30cadd64ap-9, 0x1.95125835da55dp-9, 0x1.8d7952caa4175p-9, 0x1.85fec583de599p-9, 0x1.7ea255cc5fa21p-9, 0x1.7763aa352a87ap-9, 0x1.70426b1846f45p-9, 0x1.693e4313b65e4p-9, 0x1.6256df49097a1p-9, 0x1.5b8bef55a3c5dp-9, 0x1.54dd24fd5d414p-9, 0x1.4e4a338cc4e6fp-9, 0x1.47d2ceffa33c2p-9, 0x1.4176ab050fe4cp-9, 0x1.3b3579fc4bad3p-9, 0x1.350eec0de7bddp-9, 0x1.2f02ae7f6f37ep-9, 0x1.29106b5cfcf6ep-9, 0x1.2337c989019b1p-9, 0x1.1d786d3833f54p-9, 0x1.17d1f8d254b44p-9, 0x1.12440e246ebf4p-9, 0x1.0cce4fc7c5068p-9, 0x1.0770629839cf7p-9, 0x1.0229ef12a1b3p-9, 0x1.f9f544e2f96p-10, 0x1.efc45ec83a49bp-10, 0x1.e5c09c863c36fp-10, 0x1.dbe979651fcd9p-10, 0x1.d23e796247171p-10, 0x1.c8bf264b67659p-10, 0x1.bf6b0c1c8c29ap-10, 0x1.b641b5033b907p-10, 0x1.ad42a57a879bp-10, 0x1.a46d58f973071p-10, 0x1.9bc13f98852adp-10, 0x1.933dbcfe6b1cdp-10, 0x1.8ae228b67125bp-10, 0x1.82adcfea85f16p-10, 0x1.7a9ff851ca629p-10, 0x1.72b7e405b0734p-10, 0x1.6af4d5d81afacp-10, 0x1.635615c27e316p-10, 0x1.5bdaf501beeaep-10, 0x1.5482d180fa54bp-10, 0x1.4d4d1842d6661p-10, 0x1.4639468c311d4p-10, 0x1.3f46e9ae78852p-10, 0x1.38759d69b9022p-10, 0x1.31c50901c601bp-10, 0x1.2b34db44c4ea1p-10, 0x1.24c4c5e252072p-10, 0x1.1e74788e7468cp-10, 0x1.18439c79b06c4p-10, 0x1.1231d0a74e1ccp-10, 0x1.0c3ea7923469dp-10, 0x1.0669a668d8891p-10, 0x1.00b245ebd795ep-10, 0x1.f62fe97a8301ep-11, 0x1.eb34356e665bbp-11, 0x1.e07039815354cp-11, 0x1.d5e2c12840cf2p-11, 0x1.cb8aa01404e71p-11, 0x1.c166b7489e3fp-11, 0x1.b775f89abdb49p-11, 0x1.adb768be4367ap-11, 0x1.a42a203625307p-11, 0x1.9acd4b351b83cp-11, 0x1.91a028ba3ff9p-11, 0x1.88a208829b85bp-11, 0x1.7fd247ca49fb8p-11, 0x1.77304caabf97p-11, 0x1.6ebb804ee8e67p-11, 0x1.6673485fcbdeap-11, 0x1.5e5700bed90f1p-11, 0x1.5665f6984b158p-11, 0x1.4e9f6607aae93p-11, 0x1.47027b1d4339cp-11, 0x1.3f8e566526307p-11, 0x1.384214300cabp-11, 0x1.311cd50bac8edp-11, 0x1.2a1dc55c941cdp-11, 0x1.23442233d45c8p-11, 0x1.1c8f3a3884178p-11, 0x1.15fe6ab5092bdp-11, 0x1.0f911a13606a3p-11, 0x1.0946b1e134684p-11, 0x1.031e9a82d0afdp-11, 0x1.fa3074034a6p-12, 0x1.ee65ec552cf6p-12, 0x1.e2dc71c6887eep-12, 0x1.d792e9843e9b2p-12, 0x1.cc884f911ec8bp-12, 0x1.c1bbb55e2c55p-12, 0x1.b72c38d4bb32cp-12, 0x1.acd8f59dff65ap-12, 0x1.a2c0f4b678168p-12, 0x1.98e31f182fabbp-12, 0x1.8f3e37a654058p-12, 0x1.85d0de9485adp-12, 0x1.7c999e07eb508p-12, 0x1.7396fd4e8ffddp-12, 0x1.6ac7964f0da48p-12, 0x1.622a27ff8ce6cp-12, 0x1.59bda0efce5bdp-12, 0x1.51811e6261a3ap-12, 0x1.4973df3214f57p-12, 0x1.41952d5970ebap-12, 0x1.39e4447fb04acp-12, 0x1.32603dcf08a3ep-12, 0x1.2b080855d35bep-12, 0x1.23da714bcd8a9p-12, 0x1.1cd63a0a3b29ap-12, 0x1.15fa34a7a22d3p-12, 0x1.0f455dc4d40e8p-12, 0x1.08b6eb0e59d13p-12, 0x1.024e49bb95dd3p-12, 0x1.f8161b804f54cp-13, 0x1.ebd9af3cbe077p-13, 0x1.dfe673e45682cp-13, 0x1.d43b4ed3b3c4ap-13, 0x1.c8d6dc33d0951p-13, 0x1.bdb77f20e92eap-13, 0x1.b2db815249681p-13, 0x1.a841355a9453bp-13, 0x1.9de711af07bb7p-13, 0x1.93cbc08063222p-13, 0x1.89ee24b5c3eb5p-13, 0x1.804d551afbbabp-13, 0x1.76e88d881fd3ep-13, 0x1.6dbf150a9fb0fp-13, 0x1.64d01a5038dc3p-13, 0x1.5c1a8c791512fp-13, 0x1.539cfbe2edba6p-13, 0x1.4b55908a27879p-13, 0x1.43421f4c30b01p-13, 0x1.3b605c78d5533p-13, 0x1.33ae1d7808fe6p-13, 0x1.2c29942a2413bp-13, 0x1.24d17176995b9p-13, 0x1.1da4e6b54edb4p-13, 0x1.16a38887ea8cep-13, 0x1.0fcd1d35c8508p-13, 0x1.0921651d5f76dp-13, 0x1.029fed895a686p-13, 0x1.f88ff577abe98p-14, 0x1.ec31189285499p-14, 0x1.e020e8597e55bp-14, 0x1.d45ce8cbfc83cp-14, 0x1.c8e2b443d2fb7p-14, 0x1.bdb024cf62debp-14, 0x1.b2c36b0b71da5p-14, 0x1.a81b0b72a0a9ap-14, 0x1.9db5c138a7341p-14, 0x1.9392555a754a6p-14, 0x1.89af829a5f539p-14, 0x1.800bf56cdc1f1p-14, 0x1.76a65e9e6ac36p-14, 0x1.6d7d7e5eb5743p-14, 0x1.649013c3f854ap-14, 0x1.5bdcb679e56eep-14, 0x1.5361b79f21c7p-14, 0x1.4b1d25e43ab1fp-14, 0x1.430cf4b3d59d6p-14, 0x1.3b2f2641f6cf2p-14, 0x1.3381d7cfffb47p-14, 0x1.2c0335365b0dap-14, 0x1.24b17c95a46cap-14, 0x1.1d8b2dda1854p-14, 0x1.168f4de6d71bap-14, 0x1.0fbd86a691f4dp-14, 0x1.09160357b463ap-14, 0x1.029915bff1702p-14, 0x1.f88d9f638ca26p-15, 0x1.ec3d88a12391p-15, 0x1.e0402a840994ep-15, 0x1.d4938777ac64p-15, 0x1.c9360fd57d6d1p-15, 0x1.be26c92dcad33p-15, 0x1.b364c37cb6672p-15, 0x1.a8ee45da9ad57p-15, 0x1.9ec04ec5aa15dp-15, 0x1.94d6b5d8c0417p-15, 0x1.8b2cce4e0dab6p-15, 0x1.81be326430ebdp-15, 0x1.7887653d0b20ep-15, 0x1.6f8619764bf7cp-15, 0x1.66b9102b9bcefp-15, 0x1.5e1fa6d87d9f6p-15, 0x1.55b94c6f87fe2p-15, 0x1.4d852959a5b56p-15, 0x1.458226dfad9a6p-15, 0x1.3daf2476e496p-15, 0x1.360ae152fd1p-15, 0x1.2e9373a2c5689p-15, 0x1.2745f5d034b19p-15, 0x1.201f45e310207p-15, 0x1.191d9d9d8d98bp-15, 0x1.12418fb7dc3ebp-15, 0x1.0b8d45d770f5fp-15, 0x1.05027628db965p-15, 0x1.fd415adb81ca9p-16, 0x1.f0ca7eec768ecp-16, 0x1.e499bc5bdebb3p-16, 0x1.d8ab1133e0ffbp-16, 0x1.ccfe9171d085bp-16, 0x1.c196bb44a7034p-16, 0x1.b675a27045979p-16, 0x1.ab9b476883902p-16, 0x1.a1059c9220b9ep-16, 0x1.96b14e213534cp-16, 0x1.8c9a71e77f248p-16, 0x1.82bcf2d29e231p-16, 0x1.7914ea95e244bp-16, 0x1.6f9f0dc86ebd4p-16, 0x1.66591c4e27079p-16, 0x1.5d422508e1ac4p-16, 0x1.545a6820e60b9p-16, 0x1.4ba2b842399d1p-16, 0x1.431b84360bbedp-16, 0x1.3ac40f15e33fp-16, 0x1.329a8b1545b27p-16, 0x1.2a9d083e72dd8p-16, 0x1.22c9e8c298675p-16, 0x1.1b1ea348fafb3p-16, 0x1.139623aaf4891p-16, 0x1.0c2a0fbc08026p-16, 0x1.04d72a1bd4006p-16, 0x1.fb3f9d9998492p-17, 0x1.ed11a35c08f43p-17, 0x1.df2833fafd2d2p-17, 0x1.d17dc9ff06748p-17, 0x1.c40a0acf2d435p-17, 0x1.b6ca2df14d7adp-17, 0x1.a9c212a862b0cp-17, 0x1.9cf62b56630dfp-17, 0x1.90665858ab638p-17, 0x1.840e402b0ac92p-17, 0x1.77e8825d04d7ep-17, 0x1.6bf11d88dc4b9p-17, 0x1.602621325de0ap-17, 0x1.54875106b4a22p-17, 0x1.491550bee9c17p-17, 0x1.3dd0b8e6e240dp-17, 0x1.32b94b9330ec9p-17, 0x1.27cda44cee52ap-17, 0x1.1d0b7b84f29d6p-17, 0x1.12704c8998cebp-17, 0x1.07fa0100fb332p-17, 0x1.fb4e9b833143cp-18, 0x1.e6ef14e6b0729p-18, 0x1.d2d3fde8e31dfp-18, 0x1.befa3a9d9dc65p-18, 0x1.ab5d502ae54eap-18, 0x1.97fa874a9482bp-18, 0x1.84d336a84167bp-18, 0x1.71ea3b202041p-18, 0x1.5f3c917f0e6e4p-18, 0x1.4cc088843de8p-18, 0x1.3a71a777f6512p-18, 0x1.28570555d79e8p-18, 0x1.16770ffbbf4efp-18, 0x1.04cc677ea255ap-18, 0x1.e69bb0481aba1p-19, 0x1.c3f69b66e3bb3p-19, 0x1.a1b63cdaabbe4p-19, 0x1.7fddf65d581e2p-19, 0x1.5e63dc28420c8p-19, 0x1.3d3af8416866p-19, 0x1.1c5a26f65b83p-19, 0x1.f779dbe55d7a8p-20, 0x1.b6c4c50850c2fp-20, 0x1.7697e9b740915p-20, 0x1.36f83c205cf0bp-20, 0x1.efd3aca5eb275p-21, 0x1.72daf7b853851p-21, 0x1.edfdebf392af3p-22, 0x1.f0c637ac742c7p-23, 0x1.32523d1392cd4p-28, -0x1.d9b987aeb7ba9p-23, -0x1.dc892e167b1ffp-22, -0x1.651743727eb37p-21, -0x1.dae3ec799b24ap-21, -0x1.27d7aae0d5cbdp-20, -0x1.61c19183f2731p-20, -0x1.9b35d7657e3bbp-20, -0x1.d43c32c4268ccp-20, -0x1.066e4e2b1e494p-19, -0x1.228d2b8a691f3p-19, -0x1.3e7780b5eef0dp-19, -0x1.5a2758b83deacp-19, -0x1.759ccab29711ap-19, -0x1.90e17c0e3e03ap-19, -0x1.abfaa3e60961cp-19, -0x1.c6e4260466c2p-19, -0x1.e19ddff059c2ap-19, -0x1.fc29d8e8737abp-19, -0x1.0b4254a37cf7ap-18, -0x1.1856281bf760ap-18, -0x1.2551acf59de15p-18, -0x1.32361e6d6dfb9p-18, -0x1.3f03d8bc621e7p-18, -0x1.4bbadb49b8a2p-18, -0x1.585b27294b686p-18, -0x1.64e4d0b194fbep-18, -0x1.7157f77cfcb75p-18, -0x1.7db4bde90ff6fp-18, -0x1.89fb453027e5bp-18, -0x1.962badcf15449p-18, -0x1.a246189b41642p-18, -0x1.ae4aa3a36bb88p-18, -0x1.ba3975d9dfd16p-18, -0x1.c612b94e1062ap-18, -0x1.d1d682614666p-18, -0x1.dd851b0bd7036p-18, -0x1.e91e70741a71ap-18, -0x1.f4a29472b6fe4p-18, -0x1.0008c087c1f4cp-17, -0x1.05b5942bb7f94p-17, -0x1.0b57bee415188p-17, -0x1.10ef434b67536p-17, -0x1.167c30cb70ae6p-17, -0x1.1bfe965c5264ep-17, -0x1.21766dd2e399ap-17, -0x1.26e3a1e177c58p-17, -0x1.2c462f81c46dbp-17, -0x1.319e4d6c4eca5p-17, -0x1.36ec55c5c2de7p-17, -0x1.3c300c5c4c75dp-17, -0x1.4168f2462428fp-17, -0x1.4696d561f896ep-17, -0x1.4bb98f643aa7fp-17, -0x1.50d1fef89b7d4p-17, -0x1.55e08d96238c5p-17, -0x1.5ae4b72403dd9p-17, -0x1.5fde1f95e093dp-17, -0x1.64ccbc0609c07p-17, -0x1.69b099a596df5p-17, -0x1.6e89c2f54dc87p-17, -0x1.73583be7750a9p-17, -0x1.781c03cbce815p-17, -0x1.7cd5174464346p-17, -0x1.81837170a39f6p-17, -0x1.86270c9597a34p-17, -0x1.8abfe2aa01076p-17, -0x1.8f4dee1596baap-17, -0x1.93d129e7393cp-17, -0x1.984993106b51p-17, -0x1.9cb7273af94b2p-17, -0x1.a119e45a89f4dp-17, -0x1.a571c80a1fb7bp-17, -0x1.a9bed05d86584p-17, -0x1.ae00fe27a526fp-17, -0x1.b23857db3a8cp-17, -0x1.b664ec3344d9fp-17, -0x1.ba86d250a5f7ap-17, -0x1.be9e1cddc258bp-17, -0x1.c2aab5421dc16p-17, -0x1.c6ac440000527p-17, -0x1.caa277aaa0917p-17, -0x1.ce8d6c677bb9bp-17, -0x1.d26d6894edb97p-17, -0x1.d6423d9aa0ba2p-17, -0x1.da0b958482d92p-17, -0x1.ddc9fc044fe1p-17, -0x1.e17e647bb8aaap-17, -0x1.e527fef8efa64p-17, -0x1.e8c5c091db4bbp-17, -0x1.ec581a2ff9c95p-17, -0x1.efe004b1a3dccp-17, -0x1.f35d0b83dd6fep-17, -0x1.f6cec6a787fa6p-17, -0x1.fa35444d86073p-17, -0x1.fd90a081b3416p-17, -0x1.007074e73818dp-16, -0x1.021312e705a47p-16, -0x1.03b02b3287ad2p-16, -0x1.0547be26ca471p-16, -0x1.06d9cc0cce4dcp-16, -0x1.08665547f74aap-16, -0x1.09ed5a64f0be6p-16, -0x1.0b6edc1de4d52p-16, -0x1.0ceadb5df7c07p-16, -0x1.0e6159057eaeep-16, -0x1.0fd25660b9b09p-16, -0x1.113dd03702c1ap-16, -0x1.12a3d71d7a571p-16, -0x1.14045e395adcp-16, -0x1.155f6c3d724f1p-16, -0x1.16b502e85f31ap-16, -0x1.1805245e0c1b3p-16, -0x1.194fd2d7590bep-16, -0x1.1a9510a6279c8p-16, -0x1.1bd4dfb8fff33p-16, -0x1.1d0f476952dfap-16, -0x1.1e443acad2553p-16, -0x1.1f73d25b4961cp-16, -0x1.209e03520b10bp-16, -0x1.21c2d4dec2206p-16, -0x1.22e24b418401p-16, -0x1.23fc6a0ee90cp-16, -0x1.251133d660682p-16, -0x1.2620aa3698ef4p-16, -0x1.272acea44ebcbp-16, -0x1.282fa984d8294p-16, -0x1.292f4c8aee2e7p-16, -0x1.2a29b1161f1eap-16, -0x1.2b1ede0b371ebp-16, -0x1.2c0ed7e781fc6p-16, -0x1.2cf9932b6f57p-16, -0x1.2ddf18451008dp-16, -0x1.2ebf753a8b8ccp-16, -0x1.2f9ab13d11051p-16, -0x1.3070c198c1fc6p-16, -0x1.3141cb2c5bd65p-16, -0x1.320dafe9cd35fp-16, -0x1.32d488edff51bp-16, -0x1.3396591d44718p-16, -0x1.345325a9d8731p-16, -0x1.350af28dcd2b7p-16, -0x1.35bdc6de6881dp-16, -0x1.366ba64e18ea9p-16, -0x1.371498df9dd9cp-16, -0x1.37b8a41a79bedp-16, -0x1.3857cdb669621p-16, -0x1.38f21bf237804p-16, -0x1.398794fd471fap-16, -0x1.3a183ef967f04p-16, -0x1.3aa4202ccb139p-16, -0x1.3b2b3f2e7390dp-16, -0x1.3bada2e237d59p-16, -0x1.3c2b5248e450dp-16, -0x1.3ca4545a4fd9cp-16, -0x1.3d18b004a9b42p-16, -0x1.3d886c42d8b3dp-16, -0x1.3df3903afd8fp-16, -0x1.3e5a2366b2625p-16, -0x1.3ebc2d982741bp-16, -0x1.3f19b67cbd486p-16, -0x1.3f72c43c52d43p-16, -0x1.3fc75b10f0d0dp-16, -0x1.401780854f228p-16, -0x1.40633de114999p-16, -0x1.40aa9d56caa59p-16, -0x1.40eda9018d5b5p-16, -0x1.412c707b950c5p-16, -0x1.4166fb7946809p-16, -0x1.419d35be14fafp-16, -0x1.41cf3371d9629p-16, -0x1.41fcf4e97b2b5p-16, -0x1.42269b994c7b7p-16, -0x1.424c28216b496p-16, -0x1.426d9c8a2f69ap-16, -0x1.428b001d4f17cp-16, -0x1.42a45b8478421p-16, -0x1.42b9b7bfac2edp-16, -0x1.42cb1dd85b82fp-16, -0x1.42d896ea6f4fp-16, -0x1.42e22cf039aaap-16, -0x1.42e7ead9d3ed9p-16, -0x1.42e9d3938bed6p-16, -0x1.42e7d1931b47dp-16, -0x1.42e1e7bac868ep-16, -0x1.42d867b33fc48p-16, -0x1.42cb5039df7f9p-16, -0x1.42ba61ccdcda2p-16, -0x1.42a5beede4c5bp-16, -0x1.428d8ecfb41e3p-16, -0x1.4271d66ff99a5p-16, -0x1.4252961939088p-16, -0x1.422fd209402e6p-16, -0x1.42099171e6133p-16, -0x1.41dfdd478c02ap-16, -0x1.41b2bdefd11ccp-16, -0x1.41823c6eb7507p-16, -0x1.414e612c53864p-16, -0x1.4117342e16115p-16, -0x1.40dcbe426ee03p-16, -0x1.409f081a60fadp-16, -0x1.405e1a5278d2fp-16, -0x1.4019fdb2998f5p-16, -0x1.3fd2bb262ee3dp-16, -0x1.3f885af829999p-16, -0x1.3f3ae3defcd49p-16, -0x1.3eea5cee1c45bp-16, -0x1.3e96cff19fffdp-16, -0x1.3e40467fde86cp-16, -0x1.3de6c8e4f0cbap-16, -0x1.3d8a5f6187415p-16, -0x1.3d2b1977f8db6p-16, -0x1.3cc9088a159eap-16, -0x1.3c640b02fd366p-16, -0x1.3bfc36f899cabp-16, -0x1.3b91b14793854p-16, -0x1.3b2474e1c2dffp-16, -0x1.3ab48647b27b7p-16, -0x1.3a41ede97ce49p-16, -0x1.39ccb462f6153p-16, -0x1.3954e229decc6p-16, -0x1.38da7f692bebbp-16, -0x1.385d93f718fecp-16, -0x1.37de286dd8c8fp-16, -0x1.375c454d5df64p-16, -0x1.36d7f28b2558dp-16, -0x1.365137a645746p-16, -0x1.35c81ce95cecbp-16, -0x1.353caa9277959p-16, -0x1.34aee8a82b088p-16, -0x1.341edf24b74e6p-16, -0x1.338c949760681p-16, -0x1.32f8157760bf7p-16, -0x1.3261612d43946p-16, -0x1.31c88a1bb6851p-16, -0x1.312d97758ef5cp-16, -0x1.30908ca11aa84p-16, -0x1.2ff15b0510e82p-16, -0x1.2f502eb9eb577p-16, -0x1.2ead02153e392p-16, -0x1.2e07db85f4b25p-16, -0x1.2d60c23443422p-16, -0x1.2cb7be4bff9cp-16, -0x1.2c0cdb9b65812p-16, -0x1.2b6026e73e1b5p-16, -0x1.2ab19d0305cdbp-16, -0x1.2a012da6d2419p-16, -0x1.294ef30043d6cp-16, -0x1.289b0ab3d43a7p-16, -0x1.27e566811976dp-16, -0x1.272e1b78e684fp-16, -0x1.26753245768edp-16, -0x1.25ba9ec21cf01p-16, -0x1.24fe71501088dp-16, -0x1.2440b0ed1b7c4p-16, -0x1.2381647da7376p-16, -0x1.22c0932fc981dp-16, -0x1.21fe49269fccfp-16, -0x1.213a875963008p-16, -0x1.20754c18b3f76p-16, -0x1.1faeae12659cfp-16, -0x1.1ee6af8fcc6dep-16, -0x1.1e1d54ae73aa8p-16, -0x1.1d52a4f6028dp-16, -0x1.1c86a7259d5ccp-16, -0x1.1bb961e241826p-16, -0x1.1aeadbbeda4d6p-16, -0x1.1a1b1b410fb2bp-16, -0x1.194a26e231ed9p-16, -0x1.1878050ee3bfep-16, -0x1.17a4bc27f91abp-16, -0x1.16d0528254877p-16, -0x1.15face66d3b3fp-16, -0x1.1524361244a2dp-16, -0x1.144c8fb57e2b9p-16, -0x1.1373e1755f425p-16, -0x1.129a316a1f256p-16, -0x1.11bf85a1129b9p-16, -0x1.10e3e41a2ccd8p-16, -0x1.100752c9c53cp-16, -0x1.0f29d7955c87bp-16, -0x1.0e4b78a3a26ap-16, -0x1.0d6c3adcb76dep-16, -0x1.0c8c24ea1e3a8p-16, -0x1.0bab3c35ac37p-16, -0x1.0ac986693233bp-16, -0x1.09e70921079b8p-16, -0x1.0903c9f05bd09p-16, -0x1.081fce6796ffcp-16, -0x1.073b1c04239c1p-16, -0x1.0655b7f6778ccp-16, -0x1.056fa7b1b5015p-16, -0x1.0488f0b5fd0f5p-16, -0x1.03a19847c26d4p-16, -0x1.02b9a38802b96p-16, -0x1.01d117aa189b4p-16, -0x1.00e7f98b3e8cp-16, -0x1.fffc9d3780c7cp-17, -0x1.fe2837e96d13ap-17, -0x1.fc52cd9f1ebd8p-17, -0x1.fa7c66f1cc553p-17, -0x1.f8a50e1ad13ebp-17, -0x1.f6cccccab159p-17, -0x1.f4f3acc64311fp-17, -0x1.f319b9e7a699bp-17, -0x1.f13ef843b8eeep-17, -0x1.ef63753174814p-17, -0x1.ed8736599e135p-17, -0x1.ebaa4e01c42fp-17, -0x1.e9ccbb6fde864p-17, -0x1.e7ee8ae2c7d1p-17, -0x1.e60fc5316b164p-17, -0x1.e43072f2c7156p-17, -0x1.e250b989de8p-17, -0x1.e07051efac7edp-17, -0x1.de8f89ad3a29ap-17, -0x1.dcae5c50e8a5cp-17, -0x1.daccccc8ed9d3p-17, -0x1.d8eae47073a13p-17, -0x1.d708ac0d20448p-17, -0x1.d5262a446ab6ap-17, -0x1.d34368ba50467p-17, -0x1.d160637c2130ep-17, -0x1.cf7d30da877a7p-17, -0x1.cd99d6b9c48cap-17, -0x1.cbb6591377aa3p-17, -0x1.c9d2c00b7029ep-17, -0x1.c7ef1338d6348p-17, -0x1.c60b59e8d090ep-17, -0x1.c4279b42df995p-17, -0x1.c243deab78732p-17, -0x1.c0602af9ac4b1p-17, -0x1.be7c873b5ccccp-17, -0x1.bc98fa511a5e1p-17, -0x1.bab58b04a749dp-17, -0x1.b8d2400ede133p-17, -0x1.b6ef2026e3212p-17, -0x1.b50c3275a36abp-17, -0x1.b32962ac9f15bp-17, -0x1.b1470283018d5p-17, -0x1.af64d04a67f0fp-17, -0x1.ad82e79add1a1p-17, -0x1.aba15052d561cp-17, -0x1.a9c0103a53ef2p-17, -0x1.a7df2d6e01124p-17, -0x1.a5feadf723386p-17, -0x1.a41e96ad621cep-17, -0x1.a23eedfb22edap-17, -0x1.a05fb9daa437ap-17, -0x1.9e80ff9e410f1p-17, -0x1.9ca2c4b99e1p-17, -0x1.9ac50ea738475p-17, -0x1.98e7e2bb465dbp-17, -0x1.970b464620e96p-17, -0x1.952f3e7dac87ep-17, -0x1.9353d081e4dffp-17, -0x1.91790165d0103p-17, -0x1.8f9ed62977361p-17, -0x1.8dc553ba486d3p-17, -0x1.8bec7ef8cf05p-17, -0x1.8a145cd3ee5b6p-17, -0x1.883d0aa71dd1p-17, -0x1.8666468c0cad3p-17, -0x1.8490546d73673p-17, -0x1.82bb28d3abe0dp-17, -0x1.80e6c792efca5p-17, -0x1.7f13342ea0726p-17, -0x1.7d4072c4d091p-17, -0x1.7b6e878839039p-17, -0x1.799d76a11fe03p-17, -0x1.77cd4428c1ebfp-17, -0x1.75fdf424360ap-17, -0x1.742f8a8a71d2fp-17, -0x1.72620b3555e1bp-17, -0x1.709579adfbbaap-17, -0x1.6ec9d9271333dp-17, -0x1.6cfefba47fde8p-17, -0x1.6b357d611a8f7p-17, -0x1.696ccb069ad32p-17, -0x1.67a5175063329p-17, -0x1.65de673067081p-17, -0x1.6418be6aadd25p-17, -0x1.625414c0b4d86p-17, -0x1.60907e3dee64fp-17, -0x1.5ece0de0e994fp-17, -0x1.5d0ca102b227fp-17, -0x1.5b4c4b6333ea6p-17, -0x1.598d0fcd72714p-17, -0x1.57cef1e41bd93p-17, -0x1.5611f31ed832bp-17, -0x1.5456178b656dep-17, -0x1.529b61b947972p-17, -0x1.50e1d30799e22p-17, -0x1.4f296ff47e443p-17, -0x1.4d723a25dc71ap-17, -0x1.4bbc33bc0a4a7p-17, -0x1.4a07685155148p-17, -0x1.4853c6f0beb0fp-17, -0x1.46a15fac4b711p-17, -0x1.44f034ea30353p-17, -0x1.434045e2d133dp-17, -0x1.4191952ef2b82p-17, -0x1.3fe42538ce78ep-17, -0x1.3e37f8236b351p-17, -0x1.3c8d103efea4cp-17, -0x1.3ae36f78e3023p-17, -0x1.393b180657e9ap-17, -0x1.37940bba995bdp-17, -0x1.35ee4b8348d16p-17, -0x1.3449dc8466c7bp-17, -0x1.32a6e6d08eadfp-17, -0x1.3104eff7313b9p-17, -0x1.2f64757ec07b6p-17, -0x1.2dc5521a5c57bp-17, -0x1.2c278609d0862p-17, -0x1.2a8b13ea666bbp-17, -0x1.28effc8727c4ep-17, -0x1.2756410a2e2c5p-17, -0x1.25bde2d48d3cdp-17, -0x1.2426e472e48c1p-17, -0x1.229148993d9f7p-17, -0x1.20fd0c01f3fb8p-17, -0x1.1f6a327a05943p-17, -0x1.1dd8be398bd27p-17, -0x1.1c48b0c549a25p-17, -0x1.1aba091b1cde8p-17, -0x1.192cc8007e40bp-17, -0x1.17a10e5e5f51fp-17, -0x1.1616871afec6ap-17, -0x1.148d873e50d95p-17, }}, 
      {{-0x1.2154bb70fdb4fp-3, -0x1.94b63192170aep-4, -0x1.80bddd15b026bp-5, 0x1.69d9ac0e970a9p-8, 0x1.b830c5b7217b5p-5, 0x1.85ff33044506p-4, 0x1.084ae032dde56p-3, 0x1.3dfac1670935fp-3, 0x1.6534865508842p-3, 0x1.7fae0298fbfbcp-3, 0x1.8f574ae91968ap-3, 0x1.96256229b4965p-3, 0x1.95f294e48472ep-3, 0x1.906cfe1d15c1fp-3, 0x1.870e363a84862p-3, 0x1.7b18dd2a96c33p-3, 0x1.6d99cd11d3eadp-3, 0x1.5f6b7ef3bd249p-3, 0x1.513aa91eb3fa4p-3, 0x1.438b72bc83556p-3, 0x1.36bed0d3c1746p-3, 0x1.2b17c6566f56ap-3, 0x1.20c05985da4bep-3, 0x1.17ce225051cp-3, 0x1.10466268b46p-3, 0x1.0a21a17d8e2a3p-3, 0x1.054ece5c2a177p-3, 0x1.01b5e9d250b9dp-3, 0x1.fe74858d3b3c3p-4, 0x1.fb789998b5a15p-4, 0x1.fa363722ac18ap-4, 0x1.fa6b1c0951c8fp-4, 0x1.fbd66821c13f4p-4, 0x1.fe39f2bf57e7ap-4, 0x1.00ad9ee54e63fp-3, 0x1.02820c1b7bb4dp-3, 0x1.04817fc929e1ep-3, 0x1.0695a73977eaap-3, 0x1.08aaa1be25fb4p-3, 0x1.0aaef5748bdbcp-3, 0x1.0c9379538b08ep-3, 0x1.0e4b37c2c83ap-3, 0x1.0fcb4c5a68668p-3, 0x1.110abec7635ccp-3, 0x1.12025c55697fdp-3, 0x1.12ac913b674c7p-3, 0x1.13054272beb2cp-3, 0x1.1309a8a51ff36p-3, 0x1.12b82c907209dp-3, 0x1.121045216eb85p-3, 0x1.1112576e2a02dp-3, 0x1.0fbf98a7d2998p-3, 0x1.0e19f20d9a27cp-3, 0x1.0c23e6e16d886p-3, 0x1.09e07c5874465p-3, 0x1.0753237a82147p-3, 0x1.047fa4dea1895p-3, 0x1.016a0e30b001cp-3, 0x1.fc2d42dafb4bbp-4, 0x1.f5138b88c9e4cp-4, 0x1.ed8ff4188fd17p-4, 0x1.e5ab916bf0119p-4, 0x1.dd6f7a45c2ed7p-4, 0x1.d4e4b490f189dp-4, 0x1.cc14251ac4b2fp-4, 0x1.c30681a456e32p-4, 0x1.b9c4452c61faep-4, 0x1.b055a648bbd99p-4, 0x1.a6c28f5508a68p-4, 0x1.9d12983a88a91p-4, 0x1.934d019b67f65p-4, 0x1.8978b13bbe716p-4, 0x1.7f9c2f9af8143p-4, 0x1.75bda6aa1fbcep-4, 0x1.6be2e18ddf823p-4, 0x1.62114d45aa0bap-4, 0x1.584dfa034052cp-4, 0x1.4e9d9d068fa7dp-4, 0x1.450492c985198p-4, 0x1.3b86e170c2eb7p-4, 0x1.32283b6bf541ap-4, 0x1.28ec0256f7384p-4, 0x1.1fd54a1135abbp-4, 0x1.16e6dc143afacp-4, 0x1.0e233aefc4577p-4, 0x1.058ca5dfb9307p-4, 0x1.fa4a38b89c83cp-5, 0x1.e9dcc32b170cp-5, 0x1.d9d3ff91028aap-5, 0x1.ca3296d99a9f9p-5, 0x1.bafacc6f512ffp-5, 0x1.ac2e84056733ap-5, 0x1.9dcf4728a0b96p-5, 0x1.8fde4ab9a1586p-5, 0x1.825c743ed2b4cp-5, 0x1.754a5f221743ep-5, 0x1.68a861c66ffc1p-5, 0x1.5c769274b5dfbp-5, 0x1.50b4cc0f2ffa8p-5, 0x1.4562b29028df1p-5, 0x1.3a7fb73fe1e75p-5, 0x1.300b1cb3b585bp-5, 0x1.2603fa8a44776p-5, 0x1.1c6940f08d108p-5, 0x1.1339bbf3eef74p-5, 0x1.0a7416a7146a4p-5, 0x1.0216de1acde1bp-5, 0x1.f441086edf141p-6, 0x1.e51ec4e476712p-6, 0x1.d6c378bffc14dp-6, 0x1.c92b8461dd4c6p-6, 0x1.bc532605cf5d9p-6, 0x1.b0367e352b031p-6, 0x1.a4d193f14ddb6p-6, 0x1.9a2058a036938p-6, 0x1.901eabad6fa15p-6, 0x1.86c85df405decp-6, 0x1.7e1934ecd0af3p-6, 0x1.760ced86fb515p-6, 0x1.6e9f3eeb21a69p-6, 0x1.67cbdcf169c5p-6, 0x1.618e7a6002a3bp-6, 0x1.5be2cb11bacffp-6, 0x1.56c485d51f41bp-6, 0x1.522f6638bb60dp-6, 0x1.4e1f2e1e227c1p-6, 0x1.4a8fa728df063p-6, 0x1.477ca42f004b1p-6, 0x1.44e2024e31a61p-6, 0x1.42bbaa037b984p-6, 0x1.4105904b8b008p-6, 0x1.3fbbb75778853p-6, 0x1.3eda2f5836601p-6, 0x1.3e5d175eb95fep-6, 0x1.3e409dbb0cc11p-6, 0x1.3e8100941a64p-6, 0x1.3f1a8e83b7233p-6, 0x1.4009a6b7a297bp-6, 0x1.414ab95aea799p-6, 0x1.42da480d3053ap-6, 0x1.44b4e5be109e4p-6, 0x1.46d736f0a3e78p-6, 0x1.493df21b1912ep-6, 0x1.4be5df71c4542p-6, 0x1.4ecbd8dc1e52fp-6, 0x1.51ecca44ce236p-6, 0x1.5545b181f77dp-6, 0x1.58d39e00f67c8p-6, 0x1.5c93b118af8fap-6, 0x1.60831daf2023ep-6, 0x1.649f284c98f1ep-6, 0x1.68e526c530476p-6, 0x1.6d528071e5944p-6, 0x1.71e4adda4e1dp-6, 0x1.7699385f184c5p-6, 0x1.7b6dba5c1b179p-6, 0x1.805fdf2366e04p-6, 0x1.856d627f0246p-6, 0x1.8a94106842fd5p-6, 0x1.8fd1c54a2aef6p-6, 0x1.95246de4132dbp-6, 0x1.9a8a06a4b4d94p-6, 0x1.a0009b79c1328p-6, 0x1.a586481ee2fc3p-6, 0x1.ab1937f19f98p-6, 0x1.b0b7a53e03dd5p-6, 0x1.b65fd9097a145p-6, 0x1.bc102b6a5d719p-6, 0x1.c1c70367a9892p-6, 0x1.c782d639ba8cdp-6, 0x1.cd4226f0d3912p-6, 0x1.d30386cffc592p-6, 0x1.d8c5955c1ab15p-6, 0x1.de86ff9cbf583p-6, 0x1.e4467f763e3c3p-6, 0x1.ea02dbe0e1eeep-6, 0x1.efbae94acbd8p-6, 0x1.f56d891e04a22p-6, 0x1.fb19a8c9f6b9dp-6, 0x1.005f20b8a2e4ep-5, 0x1.032d2c35935fp-5, 0x1.05f67fb7fc322p-5, 0x1.08baa9e5c5b9dp-5, 0x1.0b793eb47888ep-5, 0x1.0e31d75c3f6ecp-5, 0x1.10e4129bf44e2p-5, 0x1.138f94bd10d96p-5, 0x1.163407256809fp-5, 0x1.18d117e42fcedp-5, 0x1.1b6679a4dc5dbp-5, 0x1.1df3e3e512c51p-5, 0x1.207912f4f2cf6p-5, 0x1.22f5c7987ea9cp-5, 0x1.2569c69e83294p-5, 0x1.27d4d8c49f11ap-5, 0x1.2a36cad5ce1b6p-5, 0x1.2c8f6da9d3c5p-5, 0x1.2ede95dc10926p-5, 0x1.31241b70ec62p-5, 0x1.335fd9aff3da9p-5, 0x1.3591af2f9ce6fp-5, 0x1.37b97dd3114cfp-5, 0x1.39d72a8f6b992p-5, 0x1.3bea9d18bc8e1p-5, 0x1.3df3bfb5787ffp-5, 0x1.3ff27f44fef02p-5, 0x1.41e6cb49afadbp-5, 0x1.43d095c2de642p-5, 0x1.45afd2da98da7p-5, 0x1.478478a0dcd1cp-5, 0x1.494e7eff1c935p-5, 0x1.4b0ddfd186c1p-5, 0x1.4cc296ee2c9fdp-5, 0x1.4e6ca1f48e318p-5, 0x1.500bfff9207c1p-5, 0x1.51a0b14709f5ep-5, 0x1.532ab75a12e4ap-5, 0x1.54aa14fbf35fep-5, 0x1.561ece53248bap-5, 0x1.5788e8c010646p-5, 0x1.58e86a94bf612p-5, 0x1.5a3d5ad661813p-5, 0x1.5b87c12b4f41ap-5, 0x1.5cc7a5efd8871p-5, 0x1.5dfd124d56aa7p-5, 0x1.5f281031859d7p-5, 0x1.6048aa20245bbp-5, 0x1.615eeafaea232p-5, 0x1.626adde1fece6p-5, 0x1.636c8e36d3d9dp-5, 0x1.646407b0f9a3p-5, 0x1.6551566a69987p-5, 0x1.663486d1264a8p-5, 0x1.670da582df64fp-5, 0x1.67dcbf2a03931p-5, 0x1.68a1e06fa2025p-5, 0x1.695d1602f8781p-5, 0x1.6a0e6caa74ae1p-5, 0x1.6ab5f14d28a82p-5, 0x1.6b53b0e98bd96p-5, 0x1.6be7b87e880e8p-5, 0x1.6c7214f5ab6d4p-5, 0x1.6cf2d31b96805p-5, 0x1.6d69ffa6aa2cbp-5, 0x1.6dd7a74509affp-5, 0x1.6e3bd6a793bebp-5, 0x1.6e969a8144302p-5, 0x1.6ee7ff7b59b18p-5, 0x1.6f3012279b8edp-5, 0x1.6f6edefa2d917p-5, 0x1.6fa4724d23d9dp-5, 0x1.6fd0d86b1540dp-5, 0x1.6ff41d9b1f298p-5, 0x1.700e4e27d1636p-5, 0x1.701f765d846f7p-5, 0x1.7027a2835fe4bp-5, 0x1.7026ded629e09p-5, 0x1.701d3788c5566p-5, 0x1.700ab8ca50782p-5, 0x1.6fef6ecfe88fep-5, 0x1.6fcb65deafa4ep-5, 0x1.6f9eaa520926p-5, 0x1.6f69489c0c436p-5, 0x1.6f2b4d43011ccp-5, 0x1.6ee4c4e03babap-5, 0x1.6e95bc2265eefp-5, 0x1.6e3e3fd2a1b44p-5, 0x1.6dde5cdc82573p-5, 0x1.6d7620563dbecp-5, 0x1.6d0597864c75dp-5, 0x1.6c8ccfe6a3182p-5, 0x1.6c0bd723f4538p-5, 0x1.6b82bb1d8d5e3p-5, 0x1.6af189ec76a0cp-5, 0x1.6a5851d41f3eap-5, 0x1.69b721546c505p-5, 0x1.690e0763bdf8ap-5, 0x1.685d12cf79139p-5, 0x1.67a4533465985p-5, 0x1.66e3d80e92723p-5, 0x1.661bb16e67db2p-5, 0x1.654bef8414537p-5, 0x1.6474a2dfef747p-5, 0x1.6395dc5bbd098p-5, 0x1.62afad2012c0cp-5, 0x1.61c226bb97f4cp-5, 0x1.60cd5af375c52p-5, 0x1.5fd15bfcfc1e7p-5, 0x1.5ece3c5f598d6p-5, 0x1.5dc40efbb39b6p-5, 0x1.5cb2e7063d623p-5, 0x1.5b9ad8086d4fdp-5, 0x1.5a7bf5e2250cep-5, 0x1.595654ccf1993p-5, 0x1.582a095984412p-5, 0x1.56f7286f94b58p-5, 0x1.55bdc74e2114cp-5, 0x1.547dfb898da6ap-5, 0x1.5337db0eb8496p-5, 0x1.51eb7c1958217p-5, 0x1.5098f5404119dp-5, 0x1.4f405d654a64ep-5, 0x1.4de1cbb6cdfeap-5, 0x1.4c7d57b4765e8p-5, 0x1.4b13192473701p-5, 0x1.49a3282855cd2p-5, 0x1.482d9d2f109f3p-5, 0x1.46b290d878bc5p-5, 0x1.45321bf958927p-5, 0x1.43ac57cb6aabp-5, 0x1.42215ddab6504p-5, 0x1.409147cd7dbc8p-5, 0x1.3efc2f99cb573p-5, 0x1.3d622f4bc2d33p-5, 0x1.3bc3614808dd8p-5, 0x1.3a1fe023ee54ap-5, 0x1.3877c6965e511p-5, 0x1.36cb2f8e2a1b9p-5, 0x1.351a3629d721ap-5, 0x1.3364f5aaa1af1p-5, 0x1.31ab8975eda9ap-5, 0x1.2fee0d1528a8cp-5, 0x1.2e2c9c31ae4c6p-5, 0x1.2c67528f7315bp-5, 0x1.2a9e4c0ad5acap-5, 0x1.28d1a496b1f15p-5, 0x1.27017838e45b1p-5, 0x1.252de306c161bp-5, 0x1.2357012193956p-5, 0x1.217ceeb389f43p-5, 0x1.1f9fc7ed4b9cfp-5, 0x1.1dbfa90313e21p-5, 0x1.1bdcae28ede21p-5, 0x1.19f6f38f1a58ep-5, 0x1.180e955ee2838p-5, 0x1.1623afb7b9d3dp-5, 0x1.14365eac73b25p-5, 0x1.1246be407b027p-5, 0x1.1054ea64f105ap-5, 0x1.0e60fef598e02p-5, 0x1.0c6b17b5e2c7fp-5, 0x1.0a73504e17edp-5, 0x1.0879c4484278ap-5, 0x1.067e8f0db6b2fp-5, 0x1.0481cbe3e58c1p-5, 0x1.028395e9947abp-5, 0x1.00840814b2461p-5, 0x1.fd067a5f66f88p-6, 0x1.f9029fae621a4p-6, 0x1.f4fcb4ef20175p-6, 0x1.f0f4ee95500d8p-6, 0x1.eceb80aa8bb1fp-6, 0x1.e8e09ec958b72p-6, 0x1.e4d47c1895299p-6, 0x1.e0c74b474a88dp-6, 0x1.dcb93e88ad35ep-6, 0x1.d8aa8790461a3p-6, 0x1.d49b578e64c99p-6, 0x1.d08bdf2ca990ep-6, 0x1.cc7c4e8a6ba13p-6, 0x1.c86cd5391e878p-6, 0x1.c45da238c9ef1p-6, 0x1.c04ee3f44f6eep-6, 0x1.bc40c83ec91b3p-6, 0x1.b8337c5027fcfp-6, 0x1.b4272cc2ce73ep-6, 0x1.b01c059135275p-6, 0x1.ac123213d5a0ep-6, 0x1.a809dcff0ffaap-6, 0x1.a4033060f7eb6p-6, 0x1.9ffe559f00c15p-6, 0x1.9bfb7573d00f7p-6, 0x1.97fab7ed598afp-6, 0x1.93fc446b0b171p-6, 0x1.9000419c3dc7ep-6, 0x1.8c06d57f08b43p-6, 0x1.8810255f017cap-6, 0x1.841c55d47ce41p-6, 0x1.802b8ac383695p-6, 0x1.7c3de75b08059p-6, 0x1.78538e13ff41p-6, 0x1.746ca0b098c21p-6, 0x1.7089403ba5e61p-6, 0x1.6ca98d082220bp-6, 0x1.68cda6b0d7818p-6, 0x1.64f5ac181097ap-6, 0x1.6121bb6781ed6p-6, 0x1.5d51f21053e23p-6, 0x1.59866ccb511cp-6, 0x1.55bf479929615p-6, 0x1.51fc9dc2bac7bp-6, 0x1.4e3e89d987ec4p-6, 0x1.4a8525b82aa71p-6, 0x1.46d08a82e013ep-6, 0x1.4320d0a8279a5p-6, 0x1.3f760fe1765f3p-6, 0x1.3bd05f33ea008p-6, 0x1.382fd4f12422bp-6, 0x1.349486b83578ap-6, 0x1.30fe8976ab46bp-6, 0x1.2d6df169c7d3p-6, 0x1.29e2d21fab59bp-6, 0x1.265d3e78a8a3p-6, 0x1.22dd48a8ce5fap-6, 0x1.1f63023978f6dp-6, 0x1.1bee7c0a36855p-6, 0x1.187fc651f1ee5p-6, 0x1.1516f0a12d8c3p-6, 0x1.11b409e3d7d8ap-6, 0x1.0e5720621e87ap-6, 0x1.0b0041c1d1302p-6, 0x1.07af7b08baf33p-6, 0x1.0464d89ea6496p-6, 0x1.0120664edf55fp-6, 0x1.fbc45e946b2fdp-7, 0x1.f5547c510ec5dp-7, 0x1.eef139d65e74dp-7, 0x1.e89aa9fe2f9d2p-7, 0x1.e250de7c15e16p-7, 0x1.dc13e7e290e5ep-7, 0x1.d5e3d5a70fb2ep-7, 0x1.cfc0b6247ae97p-7, 0x1.c9aa96a0e565cp-7, 0x1.c3a183511ad12p-7, 0x1.bda5875cb6b88p-7, 0x1.b7b6ace28eabbp-7, 0x1.b1d4fcfd32e0ep-7, 0x1.ac007fc744a06p-7, 0x1.a6393c5ff146dp-7, 0x1.a07f38ef48b0bp-7, 0x1.9ad27aaaacfa8p-7, 0x1.953305d9207a8p-7, 0x1.8fa0ddd7aa3e8p-7, 0x1.8a1c051da56ep-7, 0x1.84a47d4114e46p-7, 0x1.7f3a46fb0647p-7, 0x1.79dd622bdd2ep-7, 0x1.748dcddfd0f7cp-7, 0x1.6f4b885346044p-7, 0x1.6a168ef74e595p-7, 0x1.64eede7638595p-7, 0x1.5fd472b7ca709p-7, 0x1.5ac746e5de771p-7, 0x1.55c75570921bbp-7, 0x1.50d49812ae32dp-7, 0x1.4bef07d5cd47fp-7, 0x1.47169d16ab235p-7, 0x1.424b4f8963fc8p-7, 0x1.3d8d163d84631p-7, 0x1.38dbe7a24ec65p-7, 0x1.3437b98ade5e2p-7, 0x1.2fa081324eb87p-7, 0x1.2b16333fdda5bp-7, 0x1.2698c3cb0d496p-7, 0x1.2228265fa92cbp-7, 0x1.1dc44e01df71p-7, 0x1.196d2d322c8d8p-7, 0x1.1522b5f1534acp-7, 0x1.10e4d9c435807p-7, 0x1.0cb389b7a3f52p-7, 0x1.088eb66421db1p-7, 0x1.04764ff1a4ecep-7, 0x1.006a461b479b2p-7, 0x1.f8d51065eb31cp-8, 0x1.f0ee0a4a1d63bp-8, 0x1.e91f56f8153acp-8, 0x1.e168d2c80f694p-8, 0x1.d9ca595cc2cd2p-8, 0x1.d243c5aa5f2e4p-8, 0x1.cad4f1fd6e26dp-8, 0x1.c37db801797fap-8, 0x1.bc3df0c792de2p-8, 0x1.b51574cc9b456p-8, 0x1.ae041bff6767ep-8, 0x1.a709bdc6bf195p-8, 0x1.a0263107618a6p-8, 0x1.99594c29eded9p-8, 0x1.92a2e52112c3bp-8, 0x1.8c02d16fa7c35p-8, 0x1.8578e62ee15d6p-8, 0x1.7f04f814ab1a4p-8, 0x1.78a6db79c64a2p-8, 0x1.725e645fde038p-8, 0x1.6c2b66773b6dfp-8, 0x1.660db523f5c1cp-8, 0x1.60052382b9da8p-8, 0x1.5a11846dbc91dp-8, 0x1.5432aa8038269p-8, 0x1.4e6868198cc09p-8, 0x1.48b28f62819b7p-8, 0x1.4310f24e84c8ap-8, 0x1.3d8362a419d0cp-8, 0x1.3809b1fb6e993p-8, 0x1.32a3b1c934fcdp-8, 0x1.2d51336279b4bp-8, 0x1.28120804a653fp-8, 0x1.22e600daa64ccp-8, 0x1.1dccef0088a7p-8, 0x1.18c6a38a7a85dp-8, 0x1.13d2ef8c5452cp-8, 0x1.0ef1a41abf9a4p-8, 0x1.0a2292499d37cp-8, 0x1.05658b2d4c688p-8, 0x1.00ba5fdcd15c2p-8, 0x1.f841c2e0f4dc3p-9, 0x1.ef31c2018de75p-9, 0x1.e6445f4dc35a7p-9, 0x1.dd793cff558bp-9, 0x1.d4cffd5f66a4p-9, 0x1.cc4842d5020f7p-9, 0x1.c3e1aff51d0c1p-9, 0x1.bb9be795a894cp-9, 0x1.b3768ce0f6081p-9, 0x1.ab714367371dp-9, 0x1.a38baf2c83d1ap-9, 0x1.9bc574b0dd3e8p-9, 0x1.941e38f1b1763p-9, 0x1.8c95a16448716p-9, 0x1.852b53e990cf7p-9, 0x1.7ddef6bdfa19p-9, 0x1.76b03066b599ep-9, 0x1.6f9ea7a061c4ep-9, 0x1.68aa035222d0ap-9, 0x1.61d1ea87ad1e9p-9, 0x1.5b16047510526p-9, 0x1.5475f8849938cp-9, 0x1.4df16e6e9b356p-9, 0x1.47880e59a5ca7p-9, 0x1.413980ff54f09p-9, 0x1.3b056fd22193cp-9, 0x1.34eb851f6b7a9p-9, 0x1.2eeb6c29489ddp-9, 0x1.2904d1340bdd4p-9, 0x1.23376184cd829p-9, 0x1.1d82cb508c4dfp-9, 0x1.17e6bd9c35db4p-9, 0x1.1262e811ad774p-9, 0x1.0cf6facd26d2bp-9, 0x1.07a2a62b37aabp-9, 0x1.02659a9c21e2fp-9, 0x1.fa7f11099417cp-10, 0x1.f0604063eecd3p-10, 0x1.e66e23c25b89ap-10, 0x1.dca81bc101177p-10, 0x1.d30d8986fc2ffp-10, 0x1.c99dcf504612dp-10, 0x1.c058510ad46cap-10, 0x1.b73c74f494ca1p-10, 0x1.ae49a427146b5p-10, 0x1.a57f4afebda42p-10, 0x1.9cdcd94c0a2c7p-10, 0x1.9461c24505498p-10, 0x1.8c0d7c3174c64p-10, 0x1.83df7fd7ee438p-10, 0x1.7bd747b388f2ep-10, 0x1.73f44f0fbd294p-10, 0x1.6c36111c1263ep-10, 0x1.649c081aeddaap-10, 0x1.5d25acc725e7p-10, 0x1.55d27605137d8p-10, 0x1.4ea1d8f02ed6bp-10, 0x1.479349496602fp-10, 0x1.40a63a3f1d36ap-10, 0x1.39da1f7d2cf1bp-10, 0x1.332e6e6b32214p-10, 0x1.2ca29f77b4c1bp-10, 0x1.26362f4cdbe92p-10, 0x1.1fe89fc9c7ccep-10, 0x1.19b978a04d077p-10, 0x1.13a8477d6f61p-10, 0x1.0db49faf453f5p-10, 0x1.07de19499fa41p-10, 0x1.02244fd5e03ddp-10, 0x1.f90dc14e9456fp-11, 0x1.ee0ad2162376fp-11, 0x1.e33f092190d3fp-11, 0x1.d8a997129a60ep-11, 0x1.ce49a3e255071p-11, 0x1.c41e4de57a85fp-11, 0x1.ba26aa28a238bp-11, 0x1.b061c5fcf8a21p-11, 0x1.a6cea99440c2cp-11, 0x1.9d6c5b6ee268dp-11, 0x1.9439e43cc7ab5p-11, 0x1.8b3652d2296c2p-11, 0x1.8260bfce3a044p-11, 0x1.79b850a11b54p-11, 0x1.713c39a96f99bp-11, 0x1.68ebbf339a6bfp-11, 0x1.60c6353de77aep-11, 0x1.58cafdfa27df1p-11, 0x1.50f98725dcc4fp-11, 0x1.495146708cb0ap-11, 0x1.41d1b545540cfp-11, 0x1.3a7a4c663023ap-11, 0x1.334a7fd48c50cp-11, 0x1.2c41bb83163ecp-11, 0x1.255f6135e1583p-11, 0x1.1ea2c7d3727b1p-11, 0x1.180b3c3070002p-11, 0x1.119803288b5d4p-11, 0x1.0b485ca45dfddp-11, 0x1.051b870f0a99p-11, 0x1.fe218575c49e2p-12, 0x1.f24ea9a48403dp-12, 0x1.e6bd13319b89bp-12, 0x1.db6b6b8cf88b2p-12, 0x1.d05870247564ep-12, 0x1.c582f093cbb43p-12, 0x1.bae9d0bcc75adp-12, 0x1.b08c07018a8ep-12, 0x1.a6689a5ab8f6p-12, 0x1.9c7e9f7a966cp-12, 0x1.92cd34998d44bp-12, 0x1.89537c627bf9bp-12, 0x1.801097d6b03ddp-12, 0x1.7703a0c97cbcap-12, 0x1.6e2ba558b70cap-12, 0x1.6587a5c9a07e2p-12, 0x1.5d16957051286p-12, 0x1.54d75ebe250a6p-12, 0x1.4cc8e9d18559ep-12, 0x1.44ea241882ce3p-12, 0x1.3d3a07279026cp-12, 0x1.35b79d12095b9p-12, 0x1.2e6201336e0a1p-12, 0x1.27385d7ce7acdp-12, 0x1.2039e57169cedp-12, 0x1.1965d0b6178d1p-12, 0x1.12bb5727daae5p-12, 0x1.0c39afbdc90c3p-12, 0x1.05e01265ccb4cp-12, 0x1.ff5b77bd73de4p-13, 0x1.f343e39b9668cp-13, 0x1.e7780a590e12p-13, 0x1.dbf6a337a24e9p-13, 0x1.d0be72d20b6e6p-13, 0x1.c5ce3dea766ep-13, 0x1.bb24bad0a23bbp-13, 0x1.b0c0858c8d5fbp-13, 0x1.a6a01a5af82bbp-13, 0x1.9cc1d8a7ed41cp-13, 0x1.93240e703c9efp-13, 0x1.89c509459f0a1p-13, 0x1.80a32923e9c45p-13, 0x1.77bcf0d9bd75fp-13, 0x1.6f110f5a3353p-13, 0x1.669e5ebe1546fp-13, 0x1.5e63d87aaf17bp-13, 0x1.5660815d52736p-13, 0x1.4e9352fd9da5ep-13, 0x1.46fb2a0317c5fp-13, 0x1.3f96bfa447a44p-13, 0x1.3864b140f8bb6p-13, 0x1.3163940375d2bp-13, 0x1.2a920e2ee7446p-13, 0x1.23eeedb1bebdcp-13, 0x1.1d79348be43b8p-13, 0x1.17301702e5a6fp-13, 0x1.1112ec6f62aa4p-13, 0x1.0b211806b1b1bp-13, 0x1.0559f1ac0374fp-13, 0x1.ff796cce1d49fp-14, 0x1.f491093b36f0dp-14, 0x1.e9f8c6e49f798p-14, 0x1.dfaea154b1c78p-14, 0x1.d5b09f02cedb3p-14, 0x1.cbfce84d5cf75p-14, 0x1.c291d4a27c844p-14, 0x1.b96dee56834b2p-14, 0x1.b08fee362f112p-14, 0x1.a7f6aea0fb056p-14, 0x1.9fa1153721cdep-14, 0x1.978df41d3d0fap-14, 0x1.8fbbe82a88163p-14, 0x1.88293e2871a2bp-14, 0x1.80d3eb0cf65e6p-14, 0x1.79b99f3489219p-14, 0x1.72d7f2f853e13p-14, 0x1.6c2c9fe39c6f1p-14, 0x1.65b5b3c1d029bp-14, 0x1.5f71ad7ea162bp-14, 0x1.595f7d0afa465p-14, 0x1.537e690c0bc6fp-14, 0x1.4dcde375bf63fp-14, 0x1.484d59ccd3bd6p-14, 0x1.42fc0eefe6841p-14, 0x1.3dd909114e87ep-14, 0x1.38e31610b80f4p-14, 0x1.3418df6830e94p-14, 0x1.2f7903296193cp-14, 0x1.2b022a84ee589p-14, 0x1.26b31a9e768aep-14, 0x1.228abd7ce636ap-14, 0x1.1e882051e6a9bp-14, 0x1.1aaa67047162ep-14, 0x1.16f0bb7c3d84ep-14, 0x1.135a43159c4f2p-14, 0x1.0fe6200cbbc34p-14, 0x1.0c937a421407cp-14, 0x1.096183c9b2c07p-14, 0x1.064f711093aa9p-14, 0x1.035c67a4688b6p-14, 0x1.0087705d1f8b3p-14, 0x1.fb9ef21550b12p-15, 0x1.f666ca5f93fb4p-15, 0x1.f1643eed94dbbp-15, 0x1.ec953cf0d99d2p-15, 0x1.e7f7bf101d3dcp-15, 0x1.e389d20c3b819p-15, 0x1.df49bf2ed01f9p-15, 0x1.db36461ded055p-15, 0x1.d74eb698c7712p-15, 0x1.d392cf492bcafp-15, 0x1.d0026e742e13fp-15, 0x1.cc9d3b2f87976p-15, 0x1.c96272fb02f95p-15, 0x1.c650f8b787a9cp-15, 0x1.c3679aa2d8ce6p-15, 0x1.c0a554ae80fb6p-15, 0x1.be09534f64091p-15, 0x1.bb92c5d42d2dp-15, 0x1.b9409ad42007dp-15, 0x1.b7113436e587bp-15, 0x1.b5026dd0c7f6ap-15, 0x1.b31204408b33ep-15, 0x1.b13deac6475e9p-15, 0x1.af8471b8f2619p-15, 0x1.ade4628686be3p-15, 0x1.ac5cf6add0a59p-15, 0x1.aaeda5ad09e6p-15, 0x1.a995e974d2b71p-15, 0x1.a8551b34f8a6ep-15, 0x1.a72a78f8b6f61p-15, 0x1.a6153d57d8ee7p-15, 0x1.a514971f3b54ap-15, 0x1.a42773b7ad05p-15, 0x1.a34c62b61810bp-15, 0x1.a281e8493ecbap-15, 0x1.a1c71fc9f2bf2p-15, 0x1.a11c16553da8ep-15, 0x1.a081708580864p-15, 0x1.9ff796291e2e9p-15, 0x1.9f7e0eb2088c9p-15, 0x1.9f1389868b7b3p-15, 0x1.9eb6855a99cp-15, 0x1.9e660baf23f47p-15, 0x1.9e21ee0216365p-15, 0x1.9dea6bfaa868fp-15, 0x1.9dbfab592b40ep-15, 0x1.9da16e9fd0bb3p-15, 0x1.9d8f1aeaef275p-15, 0x1.9d87dd96cb825p-15, 0x1.9d8acb13f1a3ap-15, 0x1.9d96f1b61865ap-15, 0x1.9dab6aab942e8p-15, 0x1.9dc76ed93fce6p-15, 0x1.9dea6af01fa21p-15, 0x1.9e1409b2f610fp-15, 0x1.9e442b6725b22p-15, 0x1.9e7ac4fa904c6p-15, 0x1.9eb7b5412dea8p-15, 0x1.9efaa4779afb3p-15, 0x1.9f43116089d1fp-15, 0x1.9f907f768e452p-15, 0x1.9fe287be76a9bp-15, 0x1.a0389a4dc0623p-15, 0x1.a091b76a5b2p-15, 0x1.a0ecb1922fafap-15, 0x1.a148eee9c998ep-15, 0x1.a1a6c23f7c7a1p-15, 0x1.a206d0381f55cp-15, 0x1.a2692fc67d5d2p-15, 0x1.a2cd3d22c77fbp-15, 0x1.a332334f39f7cp-15, 0x1.a397cc7a2176p-15, 0x1.a3fe3d8574c54p-15, 0x1.a465b4a89522ep-15, 0x1.a4ce048028dcdp-15, 0x1.a536ba1c0f541p-15, 0x1.a59f592076d7fp-15, 0x1.a607836c2582dp-15, 0x1.a66f040408a41p-15, 0x1.a6d5c36ddc712p-15, 0x1.a73bb274b05c2p-15, 0x1.a7a0c277458a8p-15, 0x1.a804d80bc3968p-15, 0x1.a867c524f7cffp-15, 0x1.a8c94c7d0c7ebp-15, 0x1.a9292c3c50aabp-15, 0x1.a98728fad8d65p-15, 0x1.a9e3136169591p-15, 0x1.aa3cc5129124ap-15, 0x1.aa94161458a38p-15, 0x1.aae8d52ba2539p-15, 0x1.ab3ad2677c418p-15, 0x1.ab89ebb973b38p-15, 0x1.abd63c8a7797bp-15, 0x1.ac1fce43e73e9p-15, 0x1.ac666aa704f07p-15, 0x1.aca9b771824c2p-15, 0x1.ace980fdd2fd7p-15, 0x1.ad25de8d75831p-15, 0x1.ad5ed854522d2p-15, 0x1.ad9440830ca0bp-15, 0x1.adc5f5817ae6fp-15, 0x1.adf40301d7beap-15, 0x1.ae1e6d2f265cbp-15, 0x1.ae45136895c2fp-15, 0x1.ae67d03e01671p-15, 0x1.ae86921d0e93p-15, 0x1.aea15586f0b4ep-15, 0x1.aeb818dd81236p-15, 0x1.aecad708e3cccp-15, 0x1.aed9874c031c3p-15, 0x1.aee41e8464234p-15, 0x1.aeea904045a1p-15, 0x1.aeeccf96b137fp-15, 0x1.aeead00b52cf2p-15, 0x1.aee4866ffc091p-15, 0x1.aed9e944b9d7fp-15, 0x1.aecaf0842999ap-15, 0x1.aeb7959f0e81fp-15, 0x1.ae9fd449a3a81p-15, 0x1.ae83ab1841285p-15, 0x1.ae6319e50a2efp-15, 0x1.ae3e1df037b0bp-15, 0x1.ae14b0425bae8p-15, 0x1.ade6cc7588efap-15, 0x1.adb47c5ac0eebp-15, 0x1.ad7dd6d60832ep-15, 0x1.ad42e6a86133fp-15, 0x1.ad038dc72e02p-15, 0x1.acbf9c7d59834p-15, 0x1.ac771ccefb49fp-15, 0x1.ac2a3c35fbba3p-15, 0x1.abd8f5af00dffp-15, 0x1.ab835c858958bp-15, 0x1.ab29b20bb7dd4p-15, 0x1.aacbd1c6d061cp-15, 0x1.aa695d65f994p-15, 0x1.aa024ecc12719p-15, 0x1.a996db6e81e62p-15, 0x1.a9272af53319ap-15, 0x1.a8b34ae6dba66p-15, 0x1.a83b3bf829ad9p-15, 0x1.a7befaffa030fp-15, 0x1.a73e82f1c8894p-15, 0x1.a6b9ccdd48ccep-15, 0x1.a630d38d97537p-15, 0x1.a5a39d5424aa7p-15, 0x1.a51235906afep-15, 0x1.a47c88f67a32fp-15, 0x1.a3e2c1083963p-15, 0x1.a3451c125889dp-15, 0x1.a2a41bfd6f9d9p-15, 0x1.a1fe890d82092p-15, 0x1.a155a7592236dp-15, 0x1.a0a8db23a155fp-15, 0x1.9ff824cecc2bfp-15, 0x1.9f43ab355b881p-15, 0x1.9e8b9507b82adp-15, 0x1.9dcfdf5d4a52fp-15, 0x1.9d1066d794f4ep-15, 0x1.9c4d1c951bddep-15, 0x1.9b86215de607ap-15, 0x1.9abba5b387787p-15, 0x1.99edb54d51039p-15, 0x1.991c1bf5d392p-15, 0x1.9846b270c10afp-15, 0x1.976deaf2b715dp-15, 0x1.9692209c8fb19p-15, 0x1.95b359bf0126ep-15, 0x1.94d19efb072bcp-15, 0x1.93ec6d6c8c7d8p-15, 0x1.9303a71bcfc0cp-15, 0x1.9217a81e92774p-15, 0x1.9128a6c1e7e11p-15, 0x1.9036ad80cc552p-15, 0x1.8f41bd404b9cbp-15, 0x1.8e49d9dd9a678p-15, 0x1.8d4f0af076072p-15, 0x1.8c515a603bdb4p-15, 0x1.8b50d33f04596p-15, 0x1.8a4d813377f68p-15, 0x1.894770300623cp-15, 0x1.883eac335375ap-15, 0x1.873340f9e1212p-15, 0x1.86253a10e70a9p-15, 0x1.8514a22e91ce2p-15, 0x1.840183f1698ddp-15, 0x1.82ebe9eb14b45p-15, 0x1.81d3ded950c67p-15, 0x1.80b96d39a63a1p-15, 0x1.7f9c9e547b2fcp-15, 0x1.7e7d791cc3ef7p-15, 0x1.7d5c012a8170ap-15, 0x1.7c3836b1703fp-15, 0x1.7b121b9e31c1p-15, 0x1.79e9c26198798p-15, 0x1.78bf57abe7759p-15, 0x1.77930636f6ea8p-15, 0x1.7664cd16435eep-15, 0x1.75349a75b1d17p-15, 0x1.74028b30f87fp-15, 0x1.72cecaa6346cdp-15, 0x1.719928e11c54bp-15, 0x1.7061506175a18p-15, 0x1.6f279f571491fp-15, 0x1.6dec855bdb9e8p-15, 0x1.6cafdfd07467bp-15, 0x1.6b715d28f6c2fp-15, 0x1.6a313445cb0b9p-15, 0x1.68ef94c8fd1a4p-15, 0x1.67ac82db89af9p-15, 0x1.6667fe2297d8bp-15, 0x1.65220b7b1832bp-15, 0x1.63dab317c521cp-15, 0x1.6291fe8d0a735p-15, 0x1.6147f7e43ff5ep-15, 0x1.5ffca943a7f1dp-15, 0x1.5eb01cd9cc42bp-15, 0x1.5d625ce5465f1p-15, 0x1.5c13739e23ae6p-15, 0x1.5ac36a151a715p-15, 0x1.5972469df9367p-15, 0x1.582010abe68b2p-15, 0x1.56ccddb5a343bp-15, 0x1.5578aafbf7bap-15, 0x1.54238f796e259p-15, 0x1.52cd8aba6ea1fp-15, 0x1.5176a15061248p-15, 0x1.501edfcdd990ep-15, 0x1.4ec65168897c6p-15, 0x1.4d6cff1cc6e7dp-15, 0x1.4c12f0ccdb3cbp-15, 0x1.4ab834508bf33p-15, 0x1.495cc100e0aaep-15, 0x1.4800b738ad42fp-15, 0x1.46a4101a611b8p-15, 0x1.4546d73cb51f4p-15, 0x1.43e91475ff26dp-15, 0x1.428acfd050de4p-15, 0x1.412c11d6cd97fp-15, 0x1.3fcce3123934p-15, 0x1.3e6d4b82f12f1p-15, 0x1.3d0d4fca1e8ebp-15, 0x1.3bacf1913e1adp-15, 0x1.3a4c41ec57731p-15, 0x1.38eb43510560ep-15, 0x1.3789fbe8c158ap-15, 0x1.362881b78150ep-15, 0x1.34c6d9a47ee2cp-15, 0x1.3365009771f15p-15, 0x1.3202fac85844fp-15, 0x1.30a0cca3fb7dbp-15, 0x1.2f3e988781a34p-15, 0x1.2ddc43d9aeb78p-15, 0x1.2c79e170bedeep-15, 0x1.2b178323a09p-15, 0x1.29b52d38b63d7p-15, 0x1.2852c93ac3714p-15, 0x1.26f08372444e5p-15, 0x1.258e37b734b5cp-15, 0x1.242c18f61aa4ep-15, 0x1.22ca1efc6e847p-15, 0x1.2168480aba033p-15, 0x1.20069bf05061bp-15, 0x1.1ea521c2a548dp-15, 0x1.1d43dfdc6a2abp-15, 0x1.1be2dc3588f16p-15, 0x1.1a821c714f03bp-15, 0x1.1921a5f045b8cp-15, 0x1.17c17df61bc7dp-15, 0x1.1661a9c545604p-15, 0x1.15022ea07224p-15, 0x1.13a311bc38577p-15, 0x1.12445823fe0fp-15, 0x1.10e606a6e68fap-15, 0x1.0f8821c75ee7p-15, 0x1.0e2aae175e6f5p-15, 0x1.0ccdb1357bf4ap-15, 0x1.0b71321c409ep-15, 0x1.0a1536de70fd1p-15, 0x1.08b9c2caf4519p-15, 0x1.075ed87c30c35p-15, 0x1.06047a970675fp-15, 0x1.04aaa7d9933abp-15, 0x1.035164723b53cp-15, 0x1.01f8b5f9f1282p-15, 0x1.00a0d29a888e7p-15, 0x1.fe93053bb64f2p-16, 0x1.fbe5a803bf1c1p-16, 0x1.f93999202c309p-16, 0x1.f68ee8ded118fp-16, 0x1.f3e59fe7b91bep-16, 0x1.f13dc4c8e6d9ap-16, 0x1.ee975d780bb39p-16, 0x1.ebf26fc581e1dp-16, 0x1.e94f0150a5443p-16, 0x1.e6ad165ce0748p-16, 0x1.e40cb1ae6db8dp-16, 0x1.e16de1b758f18p-16, 0x1.ded0d8c1dd807p-16, 0x1.dc35a51ab5e0bp-16, 0x1.d99be107c6a98p-16, 0x1.d703a13c38f18p-16, 0x1.d46d55080ccb5p-16, 0x1.d1d8dc76de9f9p-16, 0x1.cf4611028f9c9p-16, 0x1.ccb4fed1c35cfp-16, 0x1.ca25b55c6bbdfp-16, 0x1.c7983102e7057p-16, 0x1.c50c78bfe8257p-16, 0x1.c282b3e06705fp-16, 0x1.bffad1ce1b09ep-16, 0x1.bd74e73206e23p-16, 0x1.baf0ed20bee63p-16, 0x1.b86ed14a4840ep-16, 0x1.b5eea799b52c7p-16, 0x1.b3707b7fb45a3p-16, 0x1.b0f4507716624p-16, 0x1.ae7a2901cf94ep-16, 0x1.ac0207e5c4cdp-16, 0x1.a98bf1298c467p-16, 0x1.a717eb75f8d65p-16, 0x1.a4a5fcee7939dp-16, 0x1.a236272f6b41fp-16, 0x1.9fc86bf44ce0ap-16, 0x1.9d5cceeda3fd4p-16, 0x1.9af353e176f9fp-16, 0x1.988bf2f6c6bp-16, 0x1.9626a0a7971c8p-16, 0x1.93c3a334afa55p-16, 0x1.9162e8965d20ep-16, 0x1.8f04453b9a33fp-16, 0x1.8ca7d18470b72p-16, 0x1.8a4d96a994805p-16, 0x1.87f5979dd10bp-16, 0x1.859fd7a007b6p-16, 0x1.834c5a12b80b6p-16, 0x1.80fb1ad9903e1p-16, 0x1.7eac108d9b3ecp-16, 0x1.7c5f52dcf1877p-16, 0x1.7a14ed08a8d91p-16, 0x1.77ccd894f6249p-16, 0x1.758702e1470d5p-16, 0x1.73437814cf4b4p-16, 0x1.7102409b49a4ep-16, 0x1.6ec35d7de4484p-16, 0x1.6c86cf4c107a9p-16, 0x1.6a4c93280f37dp-16, 0x1.6814b3606e8c6p-16, 0x1.65df18225850dp-16, 0x1.63abf830d2105p-16, 0x1.617b46cd047c6p-16, 0x1.5f4cd5c1ab22ap-16, 0x1.5d20a8ae52d7bp-16, 0x1.5af6df0564717p-16, 0x1.58cf96776ab92p-16, 0x1.56aaa8b21e6e6p-16, 0x1.54881aaf59939p-16, 0x1.5267efe9a3412p-16, 0x1.504a21c269b0dp-16, 0x1.4e2ea5054271ap-16, 0x1.4c158c7806768p-16, 0x1.49feeb1cd7fe2p-16, 0x1.47eae03465742p-16, 0x1.45d93faf6ffb3p-16, 0x1.43c9d32323d67p-16, 0x1.41bcd6786b6d9p-16, 0x1.3fb2591fb1cbep-16, 0x1.3daa34cf3932ep-16, 0x1.3ba477a097f89p-16, 0x1.39a124966e1d5p-16, 0x1.37a03d2ab573p-16, 0x1.35a1c121607ccp-16, 0x1.33a5a6360ec88p-16, 0x1.31abf78d32f35p-16, 0x1.2fb4c6982dcb3p-16, 0x1.2dc005a90b145p-16, 0x1.2bcd86a4eca49p-16, 0x1.29dd858649aep-16, 0x1.27efee18b5088p-16, 0x1.2604bfdd7f059p-16, 0x1.241bfa68b0837p-16, 0x1.22359d4ea25c9p-16, 0x1.2051a81c92af4p-16, 0x1.1e701a56d3602p-16, 0x1.1c90f3773c583p-16, 0x1.1ab432edaf61dp-16, 0x1.18d9d820224p-16, 0x1.1701e26a2e44ep-16, 0x1.152c511d59192p-16, 0x1.13592381444b1p-16, 0x1.118858d3ad4e2p-16, 0x1.0fb9f048d8208p-16, 0x1.0dede90b07d32p-16, 0x1.0c24423a4cd16p-16, 0x1.0a5cfaedc9236p-16, 0x1.08981233283dbp-16, 0x1.06d58637e3b57p-16, 0x1.051558bac1ad7p-16, 0x1.035785e063a31p-16, 0x1.019c0d83dc5ap-16, 0x1.ffc5dd101a297p-17, 0x1.fc584f96546afp-17, 0x1.f8ef704b0c3aep-17, 0x1.f58b3ce1d985ap-17, 0x1.f22bb2f43b096p-17, 0x1.eed0cfb21c27ap-17, 0x1.eb7a911c9694p-17, 0x1.e828f5f1df2eep-17, 0x1.e4dbf8ee830fcp-17, 0x1.e193a6435705cp-17, 0x1.de4fdd69adb3bp-17, 0x1.db108d8147e97p-17, 0x1.d7d5e99dd4a7bp-17, 0x1.d49fd711d3cadp-17, 0x1.d16e6cda10005p-17, 0x1.ce419340c25a7p-17, 0x1.cb1923b2007cbp-17, 0x1.c7f5343fd7edcp-17, 0x1.c4d5cbc511037p-17, 0x1.c1badf18aa83cp-17, 0x1.bea4778423395p-17, 0x1.bb92861c1007dp-17, 0x1.b8859dde31d4cp-17, 0x1.b57bfb7b5b94cp-17, 0x1.b2775d5e83621p-17, 0x1.af772a3b2002fp-17, 0x1.ac7b5f6713f9ap-17, 0x1.a983fb44fb2afp-17, 0x1.a6911f287e2d1p-17, 0x1.a3a26b9146d2p-17, 0x1.a0b7ea8b43d64p-17, 0x1.9dd1d7483fae4p-17, 0x1.9af02485b7f19p-17, 0x1.9812e1339fdd3p-17, 0x1.953a1dd8e5505p-17, 0x1.9265375793a9dp-17, 0x1.8f949efe59cc9p-17, 0x1.8cc8051bd3b02p-17, 0x1.8a0030dc5a512p-17, 0x1.873c7e78e6f14p-17, 0x1.847cd4a66f8dap-17, 0x1.81c15bf216afdp-17, 0x1.7f0a149e4149cp-17, 0x1.7c56f7727a416p-17, 0x1.79a800e2d04ap-17, 0x1.76fd26d6acf1bp-17, 0x1.74566ad85068fp-17, 0x1.71b3c7022247dp-17, 0x1.6f153750d4837p-17, 0x1.6c7ab7c27180ap-17, 0x1.69e4444fa0754p-17, 0x1.6751d8f57f6cap-17, 0x1.64c37241470d4p-17, 0x1.6238eecf1e004p-17, 0x1.5fb29ca7f456p-17, 0x1.5d30291bf2a2bp-17, 0x1.5ab1a7780a9cbp-17, 0x1.583715400bb1p-17, 0x1.55c06e3359affp-17, 0x1.534dae30927bcp-17, 0x1.50ded0fe31bebp-17, 0x1.4e73d1b05cbe1p-17, 0x1.4c0cac9843aebp-17, 0x1.49a95db8977e7p-17, 0x1.4749e0a6ae96p-17, 0x1.44ee3125ebd8ap-17, 0x1.42964acc5a42bp-17, 0x1.40422982b4e2cp-17, 0x1.3df1c8e98c823p-17, 0x1.3ba524bd70e88p-17, 0x1.395c38cffe799p-17, 0x1.371700cfaa9d3p-17, 0x1.34d578723ba7p-17, 0x1.32979b700d42bp-17, 0x1.305d6585fc9bbp-17, 0x1.2e26d2983c313p-17, 0x1.2bf164006802dp-17, 0x1.29c4886784dd8p-17, 0x1.2798c01759df3p-17, 0x1.25708b69361a6p-17, 0x1.234be536cbc83p-17, 0x1.212ac835f6c24p-17, 0x1.1f0d2fe4efa42p-17, 0x1.1cf317eb93f5p-17, 0x1.1adc7bf74ac09p-17, 0x1.18c957b0f5d3cp-17, 0x1.16b9a6d001554p-17, 0x1.14ad64fc07edfp-17, 0x1.12a48de9a75a8p-17, 0x1.109f1d79b7c0ap-17, 0x1.0e9d0e53f58f1p-17, 0x1.0c9e2f7dd590ap-17, 0x1.0aa306b0dc8bep-17, 0x1.08ab06f9b9eb5p-17, 0x1.06b65730392a9p-17, 0x1.04c4f4acdcce4p-17, 0x1.02d6db856410bp-17, 0x1.00ebf5672acb8p-17, 0x1.fe08a41b62cep-18, 0x1.fa40140cb9532p-18, 0x1.f67dcf1d5489ep-18, 0x1.f2c1e727e1469p-18, 0x1.ef0c5d7d61845p-18, 0x1.eb5d3b2832fap-18, 0x1.e7b45b4b974c5p-18, 0x1.e411b8e0370a3p-18, 0x1.e07553048f195p-18, 0x1.dcdf1deb5f7d5p-18, 0x1.d94f065c7f3b9p-18, 0x1.d5c4e8a6c2de9p-18, 0x1.d24192976efc7p-18, 0x1.cec3c136148a3p-18, 0x1.cb4c13bf3d467p-18, 0x1.c7da0d4f0c7b5p-18, 0x1.c46e8920298b2p-18, 0x1.c108cdf892d1bp-18, 0x1.bda8eec321f2ep-18, 0x1.ba4eed464e8c2p-18, 0x1.b6fac37948f08p-18, 0x1.b3ac688d94f17p-18, 0x1.b063d9499f0a7p-18, 0x1.ad21179e3fd6cp-18, 0x1.a9e406a21eb3bp-18, 0x1.a6ac4efcc46fcp-18, 0x1.a37a840cbe8bdp-18, 0x1.a04eecc799b04p-18, 0x1.9d2807b8dab73p-18, 0x1.9a06f59d1efafp-18, 0x1.96eb7028556e8p-18, 0x1.93d53bec61f5dp-18, 0x1.90c4c9be8ab4dp-18, 0x1.8db9c93f07ecp-18, 0x1.8ab3f2dc1ec8bp-18, 0x1.87b365524a6c3p-18, 0x1.84b868466a277p-18, 0x1.81c330adb91cdp-18, 0x1.7ed2722977eb3p-18, 0x1.7be7025ed2019p-18, 0x1.7900f23d19f7bp-18, 0x1.7620759c4c0f5p-18, 0x1.7344cb3924a3bp-18, 0x1.706e21419afadp-18, 0x1.6d9cda6b36b25p-18, 0x1.6ad049e8c9067p-18, 0x1.6808f07ad93a8p-18, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      {{-0x1.4b386b01229c6p-1, -0x1.4b44c70eadf46p-1, -0x1.4b5826919d66ap-1, -0x1.4b70d238420f5p-1, -0x1.4b8c9624695dep-1, -0x1.4ba8e5a6367ddp-1, -0x1.4bc2fe4b8543dp-1, -0x1.4bd808063bc46p-1, -0x1.4be530e8f68adp-1, -0x1.4be7c3b563eddp-1, -0x1.4bdd391d1cf7fp-1, -0x1.4bc3441135b53p-1, -0x1.4b97d9c7c8b6cp-1, -0x1.4b59363e270dfp-1, -0x1.4b05ddfd19fdep-1, -0x1.4a9c9dced290ap-1, -0x1.4a1c88f6bfffdp-1, -0x1.4984f65a61645p-1, -0x1.48d57cec69e3p-1, -0x1.480def93ae951p-1, -0x1.472e58b5e4bd9p-1, -0x1.4636f582acebfp-1, -0x1.4528311496f49p-1, -0x1.44029f7a3fca6p-1, -0x1.42c6f8b82fcf3p-1, -0x1.417613d39e025p-1, -0x1.4010e1f5f097cp-1, -0x1.3e9869b844588p-1, -0x1.3d0dc2a52eab3p-1, -0x1.3b7210fd51cf6p-1, -0x1.39c681c939eedp-1, -0x1.380c47407c5d9p-1, -0x1.3644958b71b5ep-1, -0x1.34709fe232bf9p-1, -0x1.329196090028fp-1, -0x1.30a8a227f8c41p-1, -0x1.2eb6e6fa1485fp-1, -0x1.2cbd7e4dd7b58p-1, -0x1.2abd77d109138p-1, -0x1.28b7d82004146p-1, -0x1.26ad9810d253cp-1, -0x1.249fa432348aep-1, -0x1.228edc76ec05p-1, -0x1.207c140608c39p-1, -0x1.1e68112989879p-1, -0x1.1c538d554a6e5p-1, -0x1.1a3f3540fccf1p-1, -0x1.182ba9109c694p-1, -0x1.16197c879c12fp-1, -0x1.14093743b393p-1, -0x1.11fb54fce482bp-1, -0x1.0ff045c8db714p-1, -0x1.0de86e6063a6ep-1, -0x1.0be42866031d8p-1, -0x1.09e3c2ad45843p-1, -0x1.07e7818273abfp-1, -0x1.05ef9ef2c0625p-1, -0x1.03fc4b150f724p-1, -0x1.020dac53a1586p-1, -0x1.0023dfb6f5777p-1, -0x1.fc7df264847a3p-2, -0x1.f8be07e3b73d5p-2, -0x1.f5080557acdabp-2, -0x1.f15bdfe65d537p-2, -0x1.edb97d1b3d25cp-2, -0x1.ea20b3988ca86p-2, -0x1.e6914bce61453p-2, -0x1.e30b00b74724cp-2, -0x1.df8d809a4e6fap-2, -0x1.dc186dd20eb76p-2, -0x1.d8ab5f9830d1cp-2, -0x1.d545e2d4ce58fp-2, -0x1.d1e77af0f04b1p-2, -0x1.ce8fa2ab60487p-2, -0x1.cb3dcceee4a79p-2, -0x1.c7f165a9038efp-2, -0x1.c4a9d2a0588bap-2, -0x1.c166744981841p-2, -0x1.be26a699bfa63p-2, -0x1.bae9c1d64b075p-2, -0x1.b7af1b5f856aep-2, -0x1.b4760677270b2p-2, -0x1.b13dd5009e2a4p-2, -0x1.ae05d83ae28acp-2, -0x1.aacd617313ec6p-2, -0x1.a793c2af4af25p-2, -0x1.a4584f51148a2p-2, -0x1.a11a5caf26ce2p-2, -0x1.9dd942a5f7dbdp-2, -0x1.9a945c1ee4d22p-2, -0x1.974b078db9062p-2, -0x1.93fca764707d3p-2, -0x1.90a8a27d26b86p-2, -0x1.8d4e647a32b28p-2, -0x1.89ed5e1c7cd13p-2, -0x1.868505903ba64p-2, -0x1.8314d6b034876p-2, -0x1.7f9c533fcd646p-2, -0x1.7c1b031c27b6fp-2, -0x1.78907464a0065p-2, -0x1.74fc3b9b02ec5p-2, -0x1.715df3bbe0465p-2, -0x1.6db53e4f5c756p-2, -0x1.6a01c372f041fp-2, -0x1.664331dc84774p-2, -0x1.62793ed75b1ebp-2, -0x1.5ea3a63b3d8abp-2, -0x1.5ac22a5e59a02p-2, -0x1.56d4940250fep-2, -0x1.52dab23cdba54p-2, -0x1.4ed45a5c7d3c4p-2, -0x1.4ac167c9af015p-2, -0x1.46a1bbe4f2f7bp-2, -0x1.42753de22dfe5p-2, -0x1.3e3bdaa1b3ae1p-2, -0x1.39f584875b157p-2, -0x1.35a2334ffb50ep-2, -0x1.3141e3e5a1cccp-2, -0x1.2cd49832d00a7p-2, -0x1.285a56f50e4fep-2, -0x1.23d32b8f1306fp-2, -0x1.1f3f25dac3d9ep-2, -0x1.1a9e59fb42afp-2, -0x1.15f0e02f43a73p-2, -0x1.1136d4a3d1f03p-2, -0x1.0c705747b8333p-2, -0x1.079d8b9fa5afep-2, -0x1.02be989b3e32ep-2, -0x1.fba750d64a5a2p-3, -0x1.f1b9d0b04569cp-3, -0x1.e7b51136eb981p-3, -0x1.dd997870c2359p-3, -0x1.d36771ae03ed2p-3, -0x1.c91f6d40eed63p-3, -0x1.bec1e038c5e73p-3, -0x1.b44f441f8e924p-3, -0x1.a9c816ba7f1edp-3, -0x1.9f2cd9cd25a9p-3, -0x1.947e12df4605ep-3, -0x1.89bc4b054ee0ap-3, -0x1.7ee80eab74251p-3, -0x1.7401ed6341da2p-3, -0x1.690a79b3aa105p-3, -0x1.5e0248eb69d3fp-3, -0x1.52e9f2f5b7f12p-3, -0x1.47c212311ddfp-3, -0x1.3c8b434861505p-3, -0x1.3146250d6a2ep-3, -0x1.25f35856038f2p-3, -0x1.1a937fda5c68cp-3, -0x1.0f27401533bc5p-3, -0x1.03af3f2586eb3p-3, -0x1.f0584963683b3p-4, -0x1.d93d3397e3e74p-4, -0x1.c20e91affd2f4p-4, -0x1.aacdbae3dea79p-4, -0x1.937c08ac13f24p-4, -0x1.7c1ad693148c5p-4, -0x1.64ab820891abap-4, -0x1.4d2f6a36309f4p-4, -0x1.35a7efd5c0d37p-4, -0x1.1e1675088905cp-4, -0x1.067c5d2fc3c36p-4, -0x1.ddb6198bdf6d7p-5, -0x1.ae67d27202f9cp-5, -0x1.7f10b18a74feap-5, -0x1.4fb384a13f6dep-5, -0x1.20531a8db5624p-5, -0x1.e1e485d654ca9p-6, -0x1.83279ba4435fep-6, -0x1.247517242ad4bp-6, -0x1.8ba531ae16c89p-7, -0x1.9d1702524f9adp-8, -0x1.1a85a000f0111p-11, 0x1.55f2140ac089fp-8, 0x1.674d75b43f74cp-7, 0x1.11a4dcc258e0ep-6, 0x1.6f71565873f73p-6, 0x1.cd069726512a5p-6, 0x1.152f89973738p-5, 0x1.43baa1bc56081p-5, 0x1.7221d34f6784ap-5, 0x1.a06260acec55ep-5, 0x1.ce798f87cca92p-5, 0x1.fc64a93029a41p-5, 0x1.15107d6d39ba4p-4, 0x1.2bd5eaf33fb01p-4, 0x1.42814813526e9p-4, 0x1.5911421373241p-4, 0x1.6f8488ba053c1p-4, 0x1.85d9ce713f30bp-4, 0x1.9c0fc86a9c6a6p-4, 0x1.b2252ec21b944p-4, 0x1.c818bca162052p-4, 0x1.dde93062ad607p-4, 0x1.f3954bb3955ccp-4, 0x1.048de9dbc03e3p-3, 0x1.0f3dc894eaf66p-3, 0x1.19d9a83ff01ddp-3, 0x1.2460f1052b299p-3, 0x1.2ed30d0b390ebp-3, 0x1.392f68875251cp-3, 0x1.437571cd6dacp-3, 0x1.4da499601a8fcp-3, 0x1.57bc52001c58p-3, 0x1.61bc10bbbb949p-3, 0x1.6ba34cfdc90d9p-3, 0x1.7571809c56e3dp-3, 0x1.7f2627e714737p-3, 0x1.88c0c1b55322dp-3, 0x1.9240cf73b4fcep-3, 0x1.9ba5d53176242p-3, 0x1.a4ef59ad4d997p-3, 0x1.ae1ce661f2879p-3, 0x1.b72e07922d738p-3, 0x1.c0224c5481a15p-3, 0x1.c8f9469e65e1ep-3, 0x1.d1b28b4f03fdep-3, 0x1.da4db2398db1ep-3, 0x1.e2ca562f113ebp-3, 0x1.eb281507d9dcfp-3, 0x1.f3668fac46187p-3, 0x1.fb856a1d39034p-3, 0x1.01c225bdfaf02p-2, 0x1.05b16f08c0c4dp-2, 0x1.099067aac1b5ep-2, 0x1.0d5ee7fa5298bp-2, 0x1.111cc9eb2fc5cp-2, 0x1.14c9e9112b317p-2, 0x1.186622a28d1c1p-2, 0x1.1bf1557a37301p-2, 0x1.1f6b621985a7ap-2, 0x1.22d42aa9e45bcp-2, 0x1.262b92fe28e49p-2, 0x1.29718093a57a7p-2, 0x1.2ca5da92f5e89p-2, 0x1.2fc889d08cba8p-2, 0x1.32d978ccfb5cep-2, 0x1.35d893b4fa08p-2, 0x1.38c5c86126a8bp-2, 0x1.3ba106558b0c8p-2, 0x1.3e6a3ec0dc3fcp-2, 0x1.4121647b76a09p-2, 0x1.43c66c0622f87p-2, 0x1.46594b889293fp-2, 0x1.48d9facfa29e4p-2, 0x1.4b48734b5f468p-2, 0x1.4da4b00ccd47ep-2, 0x1.4feeadc3725a5p-2, 0x1.52266abaa9bdep-2, 0x1.544be6d6b9709p-2, 0x1.565f2391affaap-2, 0x1.586023f80de3fp-2, 0x1.5a4eeca5351bcp-2, 0x1.5c2b83bfa47afp-2, 0x1.5df5f0f50274cp-2, 0x1.5fae3d75f0cd6p-2, 0x1.615473f1b061p-2, 0x1.62e8a09198ef1p-2, 0x1.646ad0f45ec2dp-2, 0x1.65db14292a2d9p-2, 0x1.67397aaa892e6p-2, 0x1.6886165930b8ep-2, 0x1.69c0fa769bae2p-2, 0x1.6aea3b9f7ba6fp-2, 0x1.6c01efc60b669p-2, 0x1.6d082e2c39b73p-2, 0x1.6dfd0f5daf55bp-2, 0x1.6ee0ad29bc3bdp-2, 0x1.6fb3229d1c745p-2, 0x1.70748bfba52f5p-2, 0x1.712506b9d1bb5p-2, 0x1.71c4b1763b622p-2, 0x1.7253abf2f19b6p-2, 0x1.72d2170ec0a6fp-2, 0x1.734014be5dc4dp-2, 0x1.739dc8058396bp-2, 0x1.73eb54eff8852p-2, 0x1.7428e08a838c1p-2, 0x1.745690dbd7cc1p-2, 0x1.74748cdd67796p-2, 0x1.7482fc7433b7cp-2, 0x1.748208698ca07p-2, 0x1.7471da63cb207p-2, 0x1.74529cdefbe25p-2, 0x1.74247b258e2d3p-2, 0x1.73e7a148f4b18p-2, 0x1.739c3c1a46551p-2, 0x1.73427922db0a2p-2, 0x1.72da869cededbp-2, 0x1.7264936c33858p-2, 0x1.71e0cf167fd38p-2, 0x1.714f69bc624bep-2, 0x1.70b09411d3d2dp-2, 0x1.70047f56db0dcp-2, 0x1.6f4b5d5046416p-2, 0x1.6e856040621b7p-2, 0x1.6db2badfbf708p-2, 0x1.6cd3a05601c61p-2, 0x1.6be84432b94b1p-2, 0x1.6af0da664921dp-2, 0x1.69ed973adb4bfp-2, 0x1.68deaf4d63194p-2, 0x1.67c45786aefc4p-2, 0x1.669ec5148bf55p-2, 0x1.656e2d62f8633p-2, 0x1.6432c6156a2cep-2, 0x1.62ecc5002a089p-2, 0x1.619c6021bc64p-2, 0x1.6041cd9c69877p-2, 0x1.5edd43afce137p-2, 0x1.5d6ef8b28f8f2p-2, 0x1.5bf7230c1aa38p-2, 0x1.5a75f92e84f67p-2, 0x1.58ebb1907ca82p-2, 0x1.575882a7585bdp-2, 0x1.55bca2e13d3eap-2, 0x1.5418489f5e1f5p-2, 0x1.526baa30571d3p-2, 0x1.50b6fdcaa116p-2, 0x1.4efa79872610cp-2, 0x1.4d36535be972dp-2, 0x1.4b6ac116d3642p-2, 0x1.4997f85893832p-2, 0x1.47be2e8fa2612p-2, 0x1.45dd98f361587p-2, 0x1.43f66c7f53e3dp-2, 0x1.4208ddee7a636p-2, 0x1.401521b6c6635p-2, 0x1.3e1b6c04b0c04p-2, 0x1.3c1bf0b6eb80fp-2, 0x1.3a16e35a30b63p-2, 0x1.380c772532582p-2, 0x1.35fcdef4a5d7bp-2, 0x1.33e84d476f5adp-2, 0x1.31cef43aea003p-2, 0x1.2fb105874fcc9p-2, 0x1.2d8eb27c3f101p-2, 0x1.2b682bfd5cd2ap-2, 0x1.293da27f17cbcp-2, 0x1.270f4603877ffp-2, 0x1.24dd46176946dp-2, 0x1.22a7d1cf3ac8p-2, 0x1.206f17c47575p-2, 0x1.1e334612dffffp-2, 0x1.1bf48a5606f75p-2, 0x1.19b311a6c7da2p-2, 0x1.176f089901ff2p-2, 0x1.15289b395de9bp-2, 0x1.12dff50b33d91p-2, 0x1.109541068d2b8p-2, 0x1.0e48a9964176p-2, 0x1.0bfa589630336p-2, 0x1.09aa775193f49p-2, 0x1.07592e817065cp-2, 0x1.0506a64b1d59bp-2, 0x1.02b3063ee6f22p-2, 0x1.005e7556cd014p-2, 0x1.fc1233eaaf10bp-3, 0x1.f76633c90cf46p-3, 0x1.f2b934a9b19acp-3, 0x1.ee0b7fb8da212p-3, 0x1.e95d5cec6ff86p-3, 0x1.e4af1302a82bcp-3, 0x1.e000e780cea2ep-3, 0x1.db531eb24002p-3, 0x1.d6a5fba78b1f7p-3, 0x1.d1f9c035c49c6p-3, 0x1.cd4eacf601318p-3, 0x1.c8a50144f871dp-3, 0x1.c3fcfb42d1c65p-3, 0x1.bf56d7d31c836p-3, 0x1.bab2d29ce5e62p-3, 0x1.b611260afe91dp-3, 0x1.b1720b4c60989p-3, 0x1.acd5ba54b994dp-3, 0x1.a83c69dd17f18p-3, 0x1.a3a64f64bc432p-3, 0x1.9f139f320b2c1p-3, 0x1.9a848c539eebdp-3, 0x1.95f948a17a5a9p-3, 0x1.917204be56486p-3, 0x1.8ceef01912edp-3, 0x1.887038ee42d98p-3, 0x1.83f60c49cf6c7p-3, 0x1.7f809608bcf04p-3, 0x1.7b1000db083cp-3, 0x1.76a4764597ae1p-3, 0x1.723e1ea44e75p-3, 0x1.6ddd212c2deadp-3, 0x1.6981a3ed93f7fp-3, 0x1.652bcbd68e919p-3, 0x1.60dbbcb53b896p-3, 0x1.5c91993a4d4e6p-3, 0x1.584d82fb9413bp-3, 0x1.540f9a769cf4ep-3, 0x1.4fd7ff1367f9p-3, 0x1.4ba6cf272a661p-3, 0x1.477c27f721cb1p-3, 0x1.435825bb75fdfp-3, 0x1.3f3ae3a22bcfep-3, 0x1.3b247bd2208dcp-3, 0x1.3715076e1b7ddp-3, 0x1.330c9e97e11f8p-3, 0x1.2f0b587358e4cp-3, 0x1.2b114b29b912bp-3, 0x1.271e8becc51bdp-3, 0x1.23332efa09564p-3, 0x1.1f4f479e27689p-3, 0x1.1b72e8382c637p-3, 0x1.179e223ce6dbap-3, 0x1.13d1063a4954p-3, 0x1.100ba3dad2d04p-3, 0x1.0c4e09e8f848ap-3, 0x1.089846529a6ep-3, 0x1.04ea662c77e99p-3, 0x1.014475b5aa2a7p-3, 0x1.fb4d00b63f1f9p-4, 0x1.f42121763cbddp-4, 0x1.ed0561518a2acp-4, 0x1.e5f9d25f18fc2p-4, 0x1.defe852d9c573p-4, 0x1.d81388ca95e65p-4, 0x1.d138eac95a027p-4, 0x1.ca6eb74a1ca83p-4, 0x1.c3b4f901002ffp-4, 0x1.bd0bb93d10ab2p-4, 0x1.b672ffef50d9dp-4, 0x1.afead3b1b3c62p-4, 0x1.a97339ce165f6p-4, 0x1.a30c364539159p-4, 0x1.9cb5cbd5a61abp-4, 0x1.966ffc029f62p-4, 0x1.903ac71af8366p-4, 0x1.8a162c3fecb52p-4, 0x1.8402296bf23ebp-4, 0x1.7dfebb7973ac5p-4, 0x1.780bde2993548p-4, 0x1.72298c2acd37p-4, 0x1.6c57bf1fa57a2p-4, 0x1.66966fa5324ffp-4, 0x1.60e59559ad3fap-4, 0x1.5b4526e2ec546p-4, 0x1.55b519f4cfb02p-4, 0x1.50356357a435fp-4, 0x1.4ac5f6ee6fb02p-4, 0x1.4566c7bd36faap-4, 0x1.4017c7ef36a2p-4, 0x1.3ad8e8dcfaf6dp-4, 0x1.35aa1b127a3cdp-4, 0x1.308b4e5518ddap-4, 0x1.2b7c71a994f98p-4, 0x1.267d7359f0bd4p-4, 0x1.218e40fb3b4b5p-4, 0x1.1caec7734e358p-4, 0x1.17def2fe80955p-4, 0x1.131eaf35396c1p-4, 0x1.0e6de7117d6fap-4, 0x1.09cc84f463282p-4, 0x1.053a72ab721e7p-4, 0x1.00b79975f9119p-4, 0x1.f887c4148df0ap-5, 0x1.efbe6935a90f7p-5, 0x1.e712f1b6baba1p-5, 0x1.de852c0bc5fa8p-5, 0x1.d614e5bf35cacp-5, 0x1.cdc1eb7b98d6cp-5, 0x1.c58c091537986p-5, 0x1.bd73099372dc4p-5, 0x1.b576b73a17b88p-5, 0x1.ad96db926a542p-5, 0x1.a5d33f74272efp-5, 0x1.9e2bab0e4a5b4p-5, 0x1.969fe5efb929dp-5, 0x1.8f2fb70fb43dep-5, 0x1.87dae4d64839bp-5, 0x1.80a135245a23bp-5, 0x1.79826d5bd0a66p-5, 0x1.727e526765b3ap-5, 0x1.6b94a8c259321p-5, 0x1.64c534801a2a3p-5, 0x1.5e0fb9539c36cp-5, 0x1.5773fa96b50c4p-5, 0x1.50f1bb51296eap-5, 0x1.4a88be3fab053p-5, 0x1.4438c5dabb178p-5, 0x1.3e01945d4c327p-5, 0x1.37e2ebcb4153p-5, 0x1.31dc8df7ed103p-5, 0x1.2bee3c8c38754p-5, 0x1.2617b90cca908p-5, 0x1.2058c4dff48bp-5, 0x1.1ab12153992e2p-5, 0x1.15208fa2bc18cp-5, 0x1.0fa6d0fb27d31p-5, 0x1.0a43a682c72efp-5, 0x1.04f6d15cee1e6p-5, 0x1.ff80255f02f02p-6, 0x1.f53e574fe6e83p-6, 0x1.eb27bb004cf45p-6, 0x1.e13bd3063f77p-6, 0x1.d77a222378875p-6, 0x1.cde22b4e254b8p-6, 0x1.c47371b9d7119p-6, 0x1.bb2d78dfbb55fp-6, 0x1.b20fc4870ee5ep-6, 0x1.a919d8cd15dcep-6, 0x1.a04b3a2cb1d23p-6, 0x1.97a36d86115b5p-6, 0x1.8f21f825e9567p-6, 0x1.86c65fcc81dfdp-6, 0x1.7e902ab486c29p-6, 0x1.767edf99afcd8p-6, 0x1.6e9205bf0c44cp-6, 0x1.66c924f55c669p-6, 0x1.5f23c5a0c916ap-6, 0x1.57a170becccbap-6, 0x1.5041afebccf8cp-6, 0x1.49040d682af2bp-6, 0x1.41e8141dc3501p-6, 0x1.3aed4fa49e66ap-6, 0x1.34134c47c8e56p-6, 0x1.2d599709ea48ep-6, 0x1.26bfbda989aeap-6, 0x1.20454ea560bbdp-6, 0x1.19e9d94051a0bp-6, 0x1.13aced85322f4p-6, 0x1.0d8e1c4a8dcc1p-6, 0x1.078cf7361b5f8p-6, 0x1.01a910bffe808p-6, 0x1.f7c3f86c05faep-7, 0x1.ec6e9b7d5af2p-7, 0x1.e15134b804472p-7, 0x1.d66aefdc5a64ap-7, 0x1.cbbafa6c52744p-7, 0x1.c14083b004a42p-7, 0x1.b6fabcbaa5d36p-7, 0x1.ace8d86e0979bp-7, 0x1.a30a0b7f73ec2p-7, 0x1.995d8c7a7a6b9p-7, 0x1.8fe293c4e357bp-7, 0x1.86985ba1c9cbap-7, 0x1.7d7e20345914cp-7, 0x1.74931f827ce7cp-7, 0x1.6bd6997776d8p-7, 0x1.6347cfe5da674p-7, 0x1.5ae60689a80c2p-7, 0x1.52b08309f6392p-7, 0x1.4aa68cfa6bf1fp-7, 0x1.42c76ddcba64ep-7, 0x1.3b1271216042ap-7, 0x1.3386e428ece09p-7, 0x1.2c24164471cbep-7, 0x1.24e958b639e32p-7, 0x1.1dd5feb1bfa03p-7, 0x1.16e95d5c5a57cp-7, 0x1.1022cbccaabafp-7, 0x1.0981a30abd76dp-7, 0x1.03053e0f88754p-7, 0x1.f959f388f7146p-8, 0x1.ecf06a05651b8p-8, 0x1.e0cca12444819p-8, 0x1.d4ed5e515d5a8p-8, 0x1.c9516ad1d4d0dp-8, 0x1.bdf793c2106f6p-8, 0x1.b2deaa124f3efp-8, 0x1.a80582843adebp-8, 0x1.9d6af5a6f6b6p-8, 0x1.930ddfd41f871p-8, 0x1.88ed212b8e58fp-8, 0x1.7f079d8faa16bp-8, 0x1.755c3ca0ee851p-8, 0x1.6be9e9b9aca4p-8, 0x1.62af93e934313p-8, 0x1.59ac2def352e3p-8, 0x1.50deae367492fp-8, 0x1.48460ecfdba32p-8, 0x1.3fe14d6ce1c1ap-8, 0x1.37af6b5a21e4ap-8, 0x1.2faf6d798483fp-8, 0x1.27e05c3c96008p-8, 0x1.2041439e36219p-8, 0x1.18d1331d04285p-8, 0x1.118f3db4504ecp-8, 0x1.0a7a79d68281dp-8, 0x1.03920165d85d9p-8, 0x1.f9a9e35c93ba8p-9, 0x1.ec84d6bd784ep-9, 0x1.dfb325039082dp-9, 0x1.d3331cee4aa54p-9, 0x1.c70313d9274adp-9, 0x1.bb2165ad3a5afp-9, 0x1.af8c74d2ca7ddp-9, 0x1.a442aa22faad5p-9, 0x1.994274d8e3a88p-9, 0x1.8e8a4a82a104ep-9, 0x1.8418a6f2d2368p-9, 0x1.79ec0c30c5e34p-9, 0x1.70030269dad4bp-9, 0x1.665c17e23ec9p-9, 0x1.5cf5e0e530daap-9, 0x1.53cef7b5ab7cdp-9, 0x1.4ae5fc7f4d853p-9, 0x1.42399545b0b32p-9, 0x1.39c86dd62273bp-9, 0x1.319137b6c06cep-9, 0x1.2992aa174e639p-9, 0x1.21cb81c185959p-9, 0x1.1a3a81093a6b2p-9, 0x1.12de6fbbd8b5cp-9, 0x1.0bb61b119949ep-9, 0x1.04c0559d07cf5p-9, 0x1.fbf7ee7646c45p-10, 0x1.eecfba0790c41p-10, 0x1.e205d2734b742p-10, 0x1.d598067549ffdp-10, 0x1.c9842edf2ad8cp-10, 0x1.bdc82e7a9ca13p-10, 0x1.b261f1e76138p-10, 0x1.a74f6f7e2bc28p-10, 0x1.9c8ea73021664p-10, 0x1.921da26725cc7p-10, 0x1.87fa73e877de9p-10, 0x1.7e2337b370d88p-10, 0x1.749612e3e7999p-10, 0x1.6b513392d3d97p-10, 0x1.6252d0b812b8cp-10, 0x1.59992a0b41217p-10, 0x1.512287e5f68f5p-10, 0x1.48ed3b25244c1p-10, 0x1.40f79d0a9430cp-10, 0x1.39400f1fb14bfp-10, 0x1.31c4fb17304c4p-10, 0x1.2a84d2afbf609p-10, 0x1.237e0f964fa4p-10, 0x1.1caf334a027f5p-10, 0x1.1616c6fd28109p-10, 0x1.0fb35b79bb8a1p-10, 0x1.098389049c6f1p-10, 0x1.0385ef40a7465p-10, 0x1.fb726a2601513p-11, 0x1.f038110da7d11p-11, 0x1.e55a3d62a8506p-11, 0x1.dad6672d0239ep-11, 0x1.d0aa141b62559p-11, 0x1.c6d2d74c368bbp-11, 0x1.bd4e51196f53fp-11, 0x1.b41a2ee07d262p-11, 0x1.ab342ad15c4f9p-11, 0x1.a29a0bb6e82e7p-11, 0x1.9a49a4c3fed6dp-11, 0x1.9240d55fd8b3bp-11, 0x1.8a7d88f3ba08dp-11, 0x1.82fdb6b8bf79ap-11, 0x1.7bbf6184f91fbp-11, 0x1.74c0979a97b36p-11, 0x1.6dff727629e3ep-11, 0x1.677a169f60a04p-11, 0x1.612eb378cc5dbp-11, 0x1.5b1b830fab41bp-11, 0x1.553ec9ed884adp-11, 0x1.4f96d6eb2ef2dp-11, 0x1.4a2202fffacb6p-11, 0x1.44deb116902fcp-11, 0x1.3fcb4ddfc9d27p-11, 0x1.3ae64fa589b19p-11, 0x1.362e361f6b40cp-11, 0x1.31a18a485f167p-11, 0x1.2d3ede31ecea7p-11, 0x1.2904ccdb9adacp-11, 0x1.24f1fa0848eb4p-11, 0x1.21051215896ep-11, 0x1.1d3cc9d1e76p-11, 0x1.1997de5651ca9p-11, 0x1.161514dcb0b67p-11, 0x1.12b33a9a2b6dbp-11, 0x1.0f71249730876p-11, 0x1.0c4daf8a01bddp-11, 0x1.0947bfb152751p-11, 0x1.065e40adaff5dp-11, 0x1.0390255eb7c85p-11, 0x1.00dc67bdc0973p-11, 0x1.fc84117481d9bp-12, 0x1.f780202e7ace8p-12, 0x1.f2ab188f150f3p-12, 0x1.ee0324997c6a6p-12, 0x1.e9867b2869908p-12, 0x1.e5335faf05dd5p-12, 0x1.e10821f412f5p-12, 0x1.dd031dd36d143p-12, 0x1.d922bafd4782cp-12, 0x1.d5656cb837cd2p-12, 0x1.d1c9b1a37707fp-12, 0x1.ce4e1378fe99fp-12, 0x1.caf126d2a5c8dp-12, 0x1.c7b18aefdc001p-12, 0x1.c48de9799d217p-12, 0x1.c184f64b3350ap-12, 0x1.be956f382cacdp-12, 0x1.bbbe1bd681ccp-12, 0x1.b8fdcd46e43bcp-12, 0x1.b6535dffe70b5p-12, 0x1.b3bdb19816dd4p-12, 0x1.b13bb494752cp-12, 0x1.aecc5c3201988p-12, 0x1.ac6ea6365944dp-12, 0x1.aa2198bc17eafp-12, 0x1.a7e442044915dp-12, 0x1.a5b5b8444de11p-12, 0x1.a3951979612b8p-12, 0x1.a1818b385f395p-12, 0x1.9f7a3a81c5c05p-12, 0x1.9d7e5b93bb8c8p-12, 0x1.9b8d29bf44249p-12, 0x1.99a5e73ce6786p-12, 0x1.97c7dd014b736p-12, 0x1.95f25a95b0ffp-12, 0x1.9424b5ed8b89ep-12, 0x1.925e4b3e6de0fp-12, 0x1.909e7cd9bf19bp-12, 0x1.8ee4b3041c358p-12, 0x1.8d305bd194c3ap-12, 0x1.8b80eafe25fe6p-12, 0x1.89d5d9cb2f868p-12, 0x1.882ea6d9bf45bp-12, 0x1.868ad608f801bp-12, 0x1.84e9f051ee115p-12, 0x1.834b83a6aeb6ap-12, 0x1.81af22d050ad7p-12, 0x1.8014654ea0ce4p-12, 0x1.7e7ae738093c9p-12, 0x1.7ce2491a3c0adp-12, 0x1.7b4a2fdafc0a2p-12, 0x1.79b2449ab7bap-12, 0x1.781a34961da85p-12, 0x1.7681b1093caf5p-12, 0x1.74e86f1306d47p-12, 0x1.734e2799e9201p-12, 0x1.71b2972fe38e1p-12, 0x1.70157df7c052bp-12, 0x1.6e769f8b4839fp-12, 0x1.6cd5c2e209d7ep-12, 0x1.6b32b236b307fp-12, 0x1.698d3aef84683p-12, 0x1.67e52d85e419cp-12, 0x1.663a5d6ed5bcfp-12, 0x1.648ca103b66eep-12, 0x1.62dbd16bcf98dp-12, 0x1.6127ca8638901p-12, 0x1.5f706ad4220b8p-12, 0x1.5db593635ed8ap-12, 0x1.5bf727ba002fbp-12, 0x1.5a350dc1ac392p-12, 0x1.586f2db4727b5p-12, 0x1.56a572084834bp-12, 0x1.54d7c75d61722p-12, 0x1.53061c6b128c1p-12, 0x1.513061edab233p-12, 0x1.4f568a9473578p-12, 0x1.4d788af0eb00fp-12, 0x1.4b965965d1837p-12, 0x1.49afee164a75ap-12, 0x1.47c542d5d57f6p-12, 0x1.45d65318e2f1ep-12, 0x1.43e31be575e34p-12, 0x1.41eb9bc393d84p-12, 0x1.3fefd2af45413p-12, 0x1.3defc209cca64p-12, 0x1.3beb6c8c01a9ep-12, 0x1.39e2d6389d2e2p-12, 0x1.37d6044ecd158p-12, 0x1.35c4fd3d996ecp-12, 0x1.33afc8970939cp-12, 0x1.31966f04077a6p-12, 0x1.2f78fa38443d6p-12, 0x1.2d5774e67263ep-12, 0x1.2b31eab50ba39p-12, 0x1.29086832d2c65p-12, 0x1.26dafacce96fbp-12, 0x1.24a9b0c30726fp-12, 0x1.2274991e8a693p-12, 0x1.203bc3a7dc179p-12, 0x1.1dff40dca20efp-12, 0x1.1bbf21e698627p-12, 0x1.197b789210831p-12, 0x1.173457455f8bcp-12, 0x1.14e9d0f7e2b7bp-12, 0x1.129bf929c1727p-12, 0x1.104ae3dbbb913p-12, 0x1.0df6a586fcf36p-12, 0x1.0b9f5315bef3fp-12, 0x1.094501db8d87ap-12, 0x1.06e7c78db9d7ap-12, 0x1.0487ba3c8a035p-12, 0x1.0224f04c6c089p-12, 0x1.ff7f00de39ed9p-13, 0x1.faaf033a928f3p-13, 0x1.f5da16208f92bp-13, 0x1.f10068782baf1p-13, 0x1.ec222992943bp-13, 0x1.e73f891f02cbdp-13, 0x1.e258b71fe449bp-13, 0x1.dd6de3df771b8p-13, 0x1.d87f3fe5d8d12p-13, 0x1.d38cfbef326d7p-13, 0x1.ce9748e1e1fc8p-13, 0x1.c99e57c4f9bb9p-13, 0x1.c4a259b7e0624p-13, 0x1.bfa37fe8cbc97p-13, 0x1.baa1fb8c9d8ep-13, 0x1.b59dfdd6a847ep-13, 0x1.b097b7f1022b2p-13, 0x1.ab8f5af53388fp-13, 0x1.a68517e489701p-13, 0x1.a1791fa0ada98p-13, 0x1.9c6ba2e6234a9p-13, 0x1.975cd244f19b2p-13, 0x1.924cde1a5f00bp-13, 0x1.8d3bf68b70442p-13, 0x1.882a4b7e5fef3p-13, 0x1.83180c95c34dap-13, 0x1.7e05692ae7797p-13, 0x1.78f29048f9103p-13, 0x1.73dfb0a7e3d9ep-13, 0x1.6eccf8a7fa64fp-13, 0x1.69ba964dba75ap-13, 0x1.64a8b73cd44e7p-13, 0x1.5f9788b478ee5p-13, 0x1.5a87378bfde0ep-13, 0x1.5577f02e33ca4p-13, 0x1.5069de968cd18p-13, 0x1.4b5d2e4e03fecp-13, 0x1.46520a67493f5p-13, 0x1.41489d7c719fep-13, 0x1.3c4111abf9afbp-13, 0x1.373b9095dc9b8p-13, 0x1.32384359334abp-13, 0x1.2d375291bdddep-13, 0x1.2838e655e32cdp-13, 0x1.233d2634f2ebp-13, 0x1.1e443934749aap-13, 0x1.194e45ceab723p-13, 0x1.145b71f1225d1p-13, 0x1.0f6be2fb49193p-13, 0x1.0a7fbdbc701a7p-13, 0x1.05972672d38bbp-13, 0x1.00b240ca927eep-13, 0x1.f7a25fb892ae4p-14, 0x1.ede82c58a5a9ep-14, 0x1.e4362b537e8c8p-14, 0x1.da8c9f5b61308p-14, 0x1.d0ebc9f5843d2p-14, 0x1.c753eb78d5e6p-14, 0x1.bdc5430cffb76p-14, 0x1.b4400ea9a23b1p-14, 0x1.aac48b15e37a9p-14, 0x1.a152f3e77ff21p-14, 0x1.97eb838331f79p-14, 0x1.8e8e731cb669dp-14, 0x1.853bfab5824e3p-14, 0x1.7bf4511e791aap-14, 0x1.72b7abf7bc40ap-14, 0x1.69863fb12ce14p-14, 0x1.60603f8afa4b5p-14, 0x1.5745dd9640547p-14, 0x1.4e374ab58b084p-14, 0x1.4534b69ef76a1p-14, 0x1.3c3e4fdbf8ba4p-14, 0x1.335443cb0534fp-14, 0x1.2a76bea18d924p-14, 0x1.21a5eb6c4ad92p-14, 0x1.18e1f41180d02p-14, 0x1.102b01528c784p-14, 0x1.07813acd3743p-14, 0x1.fdc98dfaf1c7cp-15, 0x1.ecab967f44515p-15, 0x1.dba8d7a45a68cp-15, 0x1.cac197aed8153p-15, 0x1.b9f61aafcfa6cp-15, 0x1.a946a288f0d9ap-15, 0x1.98b36ef18a60fp-15, 0x1.883cbd79665e7p-15, 0x1.77e2c98fab1c3p-15, 0x1.67a5cc84f5ae6p-15, 0x1.5785fd9284893p-15, 0x1.478391de8bbfep-15, 0x1.379ebc7fe2cf9p-15, 0x1.27d7ae85cf2d4p-15, 0x1.182e96fa80e6bp-15, 0x1.08a3a2e9a7b38p-15, 0x1.f26dfacd16029p-16, 0x1.d3d19f1fdc4bap-16, 0x1.b572812d47fe6p-16, 0x1.9750eb8625d77p-16, 0x1.796d24f3e47a8p-16, 0x1.5bc770867b5ebp-16, 0x1.3e600d9e176d8p-16, 0x1.213737f6e5809p-16, 0x1.044d27b49418dp-16, 0x1.cf4422d93fe95p-17, 0x1.966c4c6b19e01p-17, 0x1.5e1327630af0ep-17, 0x1.263908316acfap-17, 0x1.ddbc7917bdf94p-18, 0x1.7006170763f52p-18, 0x1.034f6b41df802p-18, 0x1.2f31d3e727f7dp-19, 0x1.6717d476c2ae4p-21, -0x1.e69040112ba63p-21, -0x1.4b0b9e49e87fp-19, -0x1.0d38186a1ab85p-18, -0x1.73e8ad5424d2cp-18, -0x1.d997632d43392p-18, -0x1.1f220d6a05e68p-17, -0x1.50f76047d62b7p-17, -0x1.824ba5ed5cafp-17, -0x1.b31edf9c57739p-17, -0x1.e3711400bb4e9p-17, -0x1.09a1278f0ba87p-16, -0x1.21495118348f2p-16, -0x1.38b111cc4ac95p-16, -0x1.4fd87762692a3p-16, -0x1.66bf920bfca18p-16, -0x1.7d66746b32feep-16, -0x1.93cd338439af5p-16, -0x1.a9f3e6b43c9dep-16, -0x1.bfdaa7a39c199p-16, -0x1.d581923e5e16bp-16, -0x1.eae8c4a505e12p-16, -0x1.00082f91540a8p-15, -0x1.0a7c421163312p-15, -0x1.14d0ac11f63eep-15, -0x1.1f0580d77db1ap-15, -0x1.291ad4a5cbe23p-15, -0x1.3310bcb9e13a2p-15, -0x1.3ce74f4573918p-15, -0x1.469ea36911f1ap-15, -0x1.5036d12f29858p-15, -0x1.59aff1866922bp-15, -0x1.630a1e3ccd11ep-15, -0x1.6c4571fa8cf16p-15, -0x1.7562083c58affp-15, -0x1.7e5ffd4ee15b4p-15, -0x1.873f6e49fa2bp-15, -0x1.9000790b3d9bbp-15, -0x1.98a33c3062e98p-15, -0x1.a127d713f2fd8p-15, -0x1.a98e69c73ad47p-15, -0x1.b1d7150dce2dp-15, -0x1.ba01fa596f742p-15, -0x1.c20f3bc45e679p-15, -0x1.c9fefc0dafb24p-15, -0x1.d1d15e93e961cp-15, -0x1.d9868750deee3p-15, -0x1.e11e9ad4852bdp-15, -0x1.e899be41ff7cep-15, -0x1.eff8174a5cb44p-15, -0x1.f739cc27b991p-15, -0x1.fe5f0399a32a3p-15, -0x1.02b3f270b8b6bp-14, -0x1.062a4bde4cadap-14, -0x1.0992a231115b2p-14, -0x1.0ced09beeef96p-14, -0x1.10399716146a3p-14, -0x1.13785efb258bp-14, -0x1.16a9766732f36p-14, -0x1.19ccf28615ae5p-14, -0x1.1ce2e8b449c9cp-14, -0x1.1feb6e7ce7e26p-14, -0x1.22e69998119ddp-14, -0x1.25d47fe936b15p-14, -0x1.28b5377d36997p-14, -0x1.2b88d6883537ap-14, -0x1.2e4f736443d4p-14, -0x1.3109248fbd32cp-14, -0x1.33b600ab60a1cp-14, -0x1.36561e789d7afp-14, -0x1.38e994d83014bp-14, -0x1.3b707ac855206p-14, -0x1.3deae763387c7p-14, -0x1.4058f1dd67161p-14, -0x1.42bab1847087ep-14, -0x1.45103dbd036a4p-14, -0x1.4759ae01a5a47p-14, -0x1.499719e18de4p-14, -0x1.4bc898feeb56dp-14, -0x1.4dee430d670afp-14, -0x1.50082fd0cb513p-14, -0x1.5216771ba446fp-14, -0x1.541930cdf998dp-14, -0x1.561074d42c1ddp-14, -0x1.57fc5b25b2aa3p-14, -0x1.59dcfbc3044aep-14, -0x1.5bb26eb54567dp-14, -0x1.5d7ccc0cc0da4p-14, -0x1.5f3c2bdfc1ee5p-14, -0x1.60f0a6491dddcp-14, -0x1.629a53677bb4cp-14, -0x1.64394b5c246a9p-14, -0x1.65cda649478cp-14, -0x1.67577c51bc2eap-14, -0x1.68d6e59784d62p-14, -0x1.6a4bfa3ada473p-14, -0x1.6bb6d258e3209p-14, -0x1.6d17860b07d16p-14, -0x1.6e6e2d660c8ep-14, -0x1.6fbae078e8cb9p-14, -0x1.70fdb74bd0a23p-14, -0x1.7236c9df570adp-14, -0x1.7366302b25788p-14, -0x1.748c021dbdep-14, -0x1.75a8579bb6004p-14, -0x1.76bb487e21e15p-14, -0x1.77c4ec92359d2p-14, -0x1.78c55b985fb0cp-14, -0x1.79bcad43a8a82p-14, -0x1.7aaaf938ccb6dp-14, -0x1.7b90570cfeaa1p-14, -0x1.7c6cde4635bbap-14, -0x1.7d40a659e97d3p-14, -0x1.7e0bc6ac7351ep-14, -0x1.7ece568fc29abp-14, -0x1.7f886d43c198p-14, -0x1.803a21f510cb5p-14, -0x1.80e38bbc81a83p-14, -0x1.8184c19e872fep-14, -0x1.821dda8a71673p-14, -0x1.82aeed5a09e68p-14, -0x1.833810d1147cep-14, -0x1.83b95b9cab6fep-14, -0x1.8432e452aa24dp-14, -0x1.84a4c17109321p-14, -0x1.850f095d57ce5p-14, -0x1.8571d264b271ep-14, -0x1.85cd32bb2b28dp-14, -0x1.8621407adf62bp-14, -0x1.866e11a3c3b4dp-14, -0x1.86b3bc1b66f6cp-14, -0x1.86f255ac68fd3p-14, -0x1.8729f405f51d8p-14, -0x1.875aacbb661fcp-14, -0x1.8784954421511p-14, -0x1.87a7c2fae8225p-14, -0x1.87c44b1d9f695p-14, -0x1.87da42cd1d1e6p-14, -0x1.87e9bf0c924cap-14, -0x1.87f2d4c19529p-14, -0x1.87f598b2fa2c9p-14, -0x1.87f21f89af7f1p-14, -0x1.87e87dcfeb46cp-14, -0x1.87d8c7f0db225p-14, -0x1.87c3123858dbep-14, -0x1.87a770d2b882bp-14, -0x1.8785f7cca0f7bp-14, -0x1.875ebb12be1aap-14, -0x1.8731ce71a878cp-14, -0x1.86ff4595803cfp-14, -0x1.86c73409d8d48p-14, -0x1.8689ad39a3234p-14, -0x1.8646c46f0a065p-14, -0x1.85fe8cd297d06p-14, -0x1.85b1196bd35fcp-14, -0x1.855e7d2133de2p-14, -0x1.8506cab75cc1dp-14, -0x1.84aa14d12bda7p-14, -0x1.84486deffbca6p-14, -0x1.83e1e87339619p-14, -0x1.837696983bcd7p-14, -0x1.83068a7a4e537p-14, -0x1.8291d61296ea8p-14, -0x1.82188b37c3011p-14, -0x1.819abb9e5d6acp-14, -0x1.811878d8a6909p-14, -0x1.8091d4565817dp-14, -0x1.8006df6478ed9p-14, -0x1.7f77ab2dad70ap-14, -0x1.7ee448ba38b44p-14, -0x1.7e4cc8ef7a701p-14, -0x1.7db13c9037f5p-14, -0x1.7d11b43ca6445p-14, -0x1.7c6e40725bd3ep-14, -0x1.7bc6f18c3d47fp-14, -0x1.7b1bd7c2b37e3p-14, -0x1.7a6d032b02c22p-14, -0x1.79ba83b8397ep-14, -0x1.7904693b06139p-14, -0x1.784ac360e1633p-14, -0x1.778da1b4d71e6p-14, -0x1.76cd139fefe23p-14, -0x1.760928686d0a2p-14, -0x1.7541ef31e5dfp-14, -0x1.747776fe08b44p-14, -0x1.73a9ceabdc224p-14, -0x1.72d904f839579p-14, -0x1.7205287dc9371p-14, -0x1.712e47b505c8ep-14, -0x1.705470f46d35bp-14, -0x1.6f77b270c2723p-14, -0x1.6e981a3c976f4p-14, -0x1.6db5b648ad1dap-14, -0x1.6cd094644c0ffp-14, -0x1.6be8c23ce3335p-14, -0x1.6afe4d5e88cb1p-14, -0x1.6a114333d18c4p-14, -0x1.6921b1061b602p-14, -0x1.682fa3fd7e706p-14, -0x1.673b29210e2f8p-14, -0x1.66444d57023d1p-14, -0x1.654b1d646f0fcp-14, -0x1.644fa5ee0f89cp-14, -0x1.6351f377a1951p-14, -0x1.6252126494b2cp-14, -0x1.61500ef85addp-14, -0x1.604bf5559cf7bp-14, -0x1.5f45d17f38a28p-14, -0x1.5e3daf587c362p-14, -0x1.5d339aa46dc24p-14, -0x1.5c279f065be34p-14, -0x1.5b19c802b6d56p-14, -0x1.5a0a20fe28f85p-14, -0x1.58f8b53e12075p-14, -0x1.57e58fe917eeep-14, -0x1.56d0bc06ee0e4p-14, -0x1.55ba4480a8432p-14, -0x1.54a234206dfdbp-14, -0x1.5388959245d0ep-14, -0x1.526d736427d22p-14, -0x1.5150d805828fap-14, -0x1.5032cdc82f84dp-14, -0x1.4f135ee0857a8p-14, -0x1.4df29564ede16p-14, -0x1.4cd07b4e6c1c1p-14, -0x1.4bad1a79123abp-14, -0x1.4a887ca3a9f88p-14, -0x1.4962ab704e376p-14, -0x1.483bb0646b8a4p-14, -0x1.471394e89a607p-14, -0x1.45ea62496a39ap-14, -0x1.44c021b769ef3p-14, -0x1.4394dc46a7cd1p-14, -0x1.42689aefdec58p-14, -0x1.413b66901d169p-14, -0x1.400d47e8b0a81p-14, -0x1.3ede47a03a4d6p-14, -0x1.3dae6e41a0d1bp-14, -0x1.3c7dc43d51434p-14, -0x1.3b4c51e942ea3p-14, -0x1.3a1a1f80482edp-14, -0x1.38e735237adap-14, -0x1.37b39ad98ef6fp-14, -0x1.367f588f1f347p-14, -0x1.354a7617689aep-14, -0x1.3414fb2bce9bfp-14, -0x1.32deef6c5fd65p-14, -0x1.31a85a5ffaa7fp-14, -0x1.307143747c32p-14, -0x1.2f39b1ff19e18p-14, -0x1.2e01ad3c23a4bp-14, -0x1.2cc93c4f9e7bcp-14, -0x1.2b9066456b61cp-14, -0x1.2a5732110fa2bp-14, -0x1.291da68e7316ep-14, -0x1.27e3ca81d8c01p-14, -0x1.26a9a497a018ep-14, -0x1.256f3b6549eep-14, -0x1.243495691c506p-14, -0x1.22f9b90a4869ep-14, -0x1.21beac9975051p-14, -0x1.208376507ad16p-14, -0x1.1f481c5316e8bp-14, -0x1.1e0ca4aedebdfp-14, -0x1.1cd1155ae4f55p-14, -0x1.1b95743927728p-14, -0x1.1a59c71593247p-14, -0x1.191e13a6cd1p-14, -0x1.17e25f8e3cc2ep-14, -0x1.16a6b0580c534p-14, -0x1.156b0b7bd0453p-14, -0x1.142f765c0fbe6p-14, -0x1.12f3f64748d57p-14, -0x1.11b89077367afp-14, -0x1.107d4a118dce5p-14, -0x1.0f42282849f52p-14, -0x1.0e072fb956b79p-14, -0x1.0ccc65af1ea2ap-14, -0x1.0b91cee0d8dadp-14, -0x1.0a5770120032fp-14, -0x1.091d4df37aca6p-14, -0x1.07e36d232a8a5p-14, -0x1.06a9d22c0b3b7p-14, -0x1.05708187006d9p-14, -0x1.04377f9a25a56p-14, -0x1.02fed0b9c0d6p-14, -0x1.01c67927d5923p-14, -0x1.008e7d14ddb24p-14, -0x1.feadc13eef72p-15, -0x1.fc3f4fa99092p-15, -0x1.f9d1ad61d5d3ap-15, -0x1.f764e23ceeb4bp-15, -0x1.f4f8f5ee91f84p-15, -0x1.f28df00956489p-15, -0x1.f023d7fda685p-15, -0x1.edbab51ba1a98p-15, -0x1.eb528e92d8dfep-15, -0x1.e8eb6b7265d63p-15, -0x1.e68552a9bc12ap-15, -0x1.e4204b085333fp-15, -0x1.e1bc5b3ef2683p-15, -0x1.df5989df347cbp-15, -0x1.dcf7dd5c32484p-15, -0x1.da975c0a66ed8p-15, -0x1.d8380c20e7ddp-15, -0x1.d5d9f3b8d1d6p-15, -0x1.d37d18cdbb1cap-15, -0x1.d121813f15a36p-15, -0x1.cec732ce4287fp-15, -0x1.cc6e3321ee14ep-15, -0x1.ca1687c356f59p-15, -0x1.c7c036203f68fp-15, -0x1.c56b438c02511p-15, -0x1.c317b53d1cb22p-15, -0x1.c0c590509ef64p-15, -0x1.be74d9c864712p-15, -0x1.bc25968beecabp-15, -0x1.b9d7cb6943929p-15, -0x1.b78b7d142221p-15, -0x1.b540b0276d51ap-15, -0x1.b2f76924bb1a8p-15, -0x1.b0afac7498481p-15, -0x1.ae697e676f6edp-15, -0x1.ac24e3354dd53p-15, -0x1.a9e1defe1869bp-15, -0x1.a7a075ca26afap-15, -0x1.a560ab8a9b043p-15, -0x1.a3228418fb378p-15, -0x1.a0e60338677a4p-15, -0x1.9eab2c9530cd2p-15, -0x1.9c7203c54f2dbp-15, -0x1.9a3a8c48b07d6p-15, -0x1.9804c98992f03p-15, -0x1.95d0bedc8a183p-15, -0x1.939e6f80dc35ap-15, -0x1.916ddea107297p-15, -0x1.8f3f0f526d3b6p-15, -0x1.8d1204965ea2p-15, -0x1.8ae6c15944f0dp-15, -0x1.88bd48744b279p-15, -0x1.86959cac3e8bcp-15, -0x1.846fc0b2cef49p-15, -0x1.824bb72655ddcp-15, }}, 
      {{-0x1.4b359756338ebp-1, -0x1.4b39c62ff5feep-1, -0x1.4b407f3bc47d2p-1, -0x1.4b4967bc84ac1p-1, -0x1.4b5408a4ac5dcp-1, -0x1.4b5fd46455704p-1, -0x1.4b6c2cd3efeddp-1, -0x1.4b7868e749689p-1, -0x1.4b83d9ea4aaf6p-1, -0x1.4b8dd01de8dc5p-1, -0x1.4b959e9fe18dfp-1, -0x1.4b9a9e98faf4ap-1, -0x1.4b9c31ba701a2p-1, -0x1.4b99c41b8a22ep-1, -0x1.4b92cd8cad827p-1, -0x1.4b86d2763e04fp-1, -0x1.4b7564589f558p-1, -0x1.4b5e22003c79ep-1, -0x1.4b40b77d8d5edp-1, -0x1.4b1cddee2d5e1p-1, -0x1.4af25b2155172p-1, -0x1.4ac1011fe3893p-1, -0x1.4a88ad9e50634p-1, -0x1.4a49495da0709p-1, -0x1.4a02c77f7ac92p-1, -0x1.49b524d0e1bb5p-1, -0x1.4960670e9a539p-1, -0x1.49049c260070cp-1, -0x1.48a1d974c4e2cp-1, -0x1.48383b09dd6c2p-1, -0x1.47c7e2e9b4df9p-1, -0x1.4750f857711p-1, -0x1.46d3a724e8083p-1, -0x1.46501f0a9849dp-1, -0x1.45c69308b72d2p-1, -0x1.453738d2228bfp-1, -0x1.44a24841c0b32p-1, -0x1.4407fadaa02fap-1, -0x1.43688b52e74c1p-1, -0x1.42c435297bfp-1, -0x1.421b34461a362p-1, -0x1.416dc4a37458cp-1, -0x1.40bc2202d3663p-1, -0x1.400687a8a52eap-1, -0x1.3f4d302152eedp-1, -0x1.3e90550db489p-1, -0x1.3dd02ef673abcp-1, -0x1.3d0cf525b6e65p-1, -0x1.3c46dd866ce0ap-1, -0x1.3b7e1c88a22eap-1, -0x1.3ab2e50a4b554p-1, -0x1.39e568440061bp-1, -0x1.3915d5b932aacp-1, -0x1.38445b2b6fe24p-1, -0x1.3771249053afep-1, -0x1.369c5c09d2113p-1, -0x1.35c629e096c54p-1, -0x1.34eeb4803954fp-1, -0x1.341620750f2e5p-1, -0x1.333c906b7600ep-1, -0x1.326225306a6p-1, -0x1.3186fdb351282p-1, -0x1.30ab3708d7827p-1, -0x1.2fceec6ed54a9p-1, -0x1.2ef2375122021p-1, -0x1.2e152f4f492fap-1, -0x1.2d37ea4316068p-1, -0x1.2c5a7c47e8b56p-1, -0x1.2b7cf7c2caccdp-1, -0x1.2a9f6d6b3a9b8p-1, -0x1.29c1ec54a2b95p-1, -0x1.28e481f874bd7p-1, -0x1.28073a40dec41p-1, -0x1.272a1f940fe3dp-1, -0x1.264d3ae0037p-1, -0x1.257093a6c5d62p-1, -0x1.2494300b2a82ep-1, -0x1.23b814dde7272p-1, -0x1.22dc45ab0487dp-1, -0x1.2200c4c79ee87p-1, -0x1.2125935fe4085p-1, -0x1.204ab185453dap-1, -0x1.1f701e3cd0447p-1, -0x1.1e95d78da11f6p-1, -0x1.1dbbda8f627b9p-1, -0x1.1ce22378ce85ap-1, -0x1.1c08adae24bf7p-1, -0x1.1b2f73cf8a492p-1, -0x1.1a566fc74814ap-1, -0x1.197d9ad7dc74cp-1, -0x1.18a4eda9d775bp-1, -0x1.17cc6059776fp-1, -0x1.16f3ea83fd054p-1, -0x1.161b8354aeaecp-1, -0x1.154321918676p-1, -0x1.146abba77ec1bp-1, -0x1.139247b67d415p-1, -0x1.12b9bb9cd52d8p-1, -0x1.11e10d025ab41p-1, -0x1.1108316306e58p-1, -0x1.102f1e19266e7p-1, -0x1.0f55c867146cbp-1, -0x1.0e7c25807be21p-1, -0x1.0da22a9321158p-1, -0x1.0cc7cccf3435ep-1, -0x1.0bed016f2714p-1, -0x1.0b11bdbf10bcap-1, -0x1.0a35f723950b7p-1, -0x1.0959a3205b36cp-1, -0x1.087cb75e0fce6p-1, -0x1.079f29aff65c7p-1, -0x1.06c0f0190e63ep-1, -0x1.05e200d0cc668p-1, -0x1.050252476c38fp-1, -0x1.0421db29dff18p-1, -0x1.034092655e153p-1, -0x1.025e6f2a93a11p-1, -0x1.017b68f07d042p-1, -0x1.00977776ecdaep-1, -0x1.ff6525917dc53p-2, -0x1.fd99667b81a24p-2, -0x1.fbcba2f8a7d9cp-2, -0x1.f9fbccf58f3bfp-2, -0x1.f829d700eb166p-2, -0x1.f655b44d443ebp-2, -0x1.f47f58b24752ap-2, -0x1.f2a6b8ada8fa8p-2, -0x1.f0cbc963ac7d8p-2, -0x1.eeee809f4d197p-2, -0x1.ed0ed4d213c9dp-2, -0x1.eb2cbd13a088dp-2, -0x1.e9483120eef3bp-2, -0x1.e761295b58f7p-2, -0x1.e5779ec75e8cp-2, -0x1.e38b8b0b398fbp-2, -0x1.e19ce86d428b7p-2, -0x1.dfabb1d229f2ep-2, -0x1.ddb7e2bb0bffbp-2, -0x1.dbc17743615e5p-2, -0x1.d9c86c1ed5e79p-2, -0x1.d7ccbe9701e2ep-2, -0x1.d5ce6c8910d01p-2, -0x1.d3cd746350e14p-2, -0x1.d1c9d522b9a97p-2, -0x1.cfc38e505e1f1p-2, -0x1.cdba9ffed9c86p-2, -0x1.cbaf0ac7b58c3p-2, -0x1.c9a0cfc8c1f4fp-2, -0x1.c78ff0a17416fp-2, -0x1.c57c6f703b6d2p-2, -0x1.c3664ecfd9e95p-2, -0x1.c14d91d4bab21p-2, -0x1.bf323c0a4b844p-2, -0x1.bd1451705a7aep-2, -0x1.baf3d67875282p-2, -0x1.b8d0d0034f995p-2, -0x1.b6ab435e2c3c5p-2, -0x1.b48336404f33ap-2, -0x1.b258aec873ddfp-2, -0x1.b02bb37a49d7ap-2, -0x1.adfc4b3bfac7ep-2, -0x1.abca7d53b6c6ep-2, -0x1.a9965165459a4p-2, -0x1.a75fcf6fa3d1bp-2, -0x1.a526ffcaa2f77p-2, -0x1.a2ebeb24944f6p-2, -0x1.a0ae9a7ffb8p-2, -0x1.9e6f173142fe9p-2, -0x1.9c2d6adc7e8dbp-2, -0x1.99e99f7331b11p-2, -0x1.97a3bf321a878p-2, -0x1.955bd49f08f56p-2, -0x1.9311ea86b55e6p-2, -0x1.90c60bfaa3afap-2, -0x1.8e78444f082cap-2, -0x1.8c289f18b496fp-2, -0x1.89d7282b086a6p-2, -0x1.8783eb95e892dp-2, -0x1.852ef5a3b9c61p-2, -0x1.82d852d762c7cp-2, -0x1.80800fea4f1e5p-2, -0x1.7e2639ca7be56p-2, -0x1.7bcadd98811b5p-2, -0x1.796e08a5a65e2p-2, -0x1.770fc871f657p-2, -0x1.74b02aaa592e7p-2, -0x1.724f3d26af721p-2, -0x1.6fed0de7f15f5p-2, -0x1.6d89ab1655383p-2, -0x1.6b2522ff6fe06p-2, -0x1.68bf841462ab6p-2, -0x1.6658dce804c5ap-2, -0x1.63f13c2d11e43p-2, -0x1.6188b0b45d5a4p-2, -0x1.5f1f496b044ep-2, -0x1.5cb51558a5a46p-2, -0x1.5a4a239d9b3f6p-2, -0x1.57de83713882ep-2, -0x1.557244200473ep-2, -0x1.5305750a00281p-2, -0x1.509825a0e85fp-2, -0x1.4e2a65667d43ap-2, -0x1.4bbc43eaccd1p-2, -0x1.494dd0ca7f6a8p-2, -0x1.46df1bad2554bp-2, -0x1.447034438ddb8p-2, -0x1.42012a46184ffp-2, -0x1.3f920d731004cp-2, -0x1.3d22ed8d06f94p-2, -0x1.3ab3da59363b8p-2, -0x1.3844e39ddebbcp-2, -0x1.35d61920b27a7p-2, -0x1.33678aa53d45dp-2, -0x1.30f947eb51dddp-2, -0x1.2e8b60ad7d3f9p-2, -0x1.2c1de49f7b432p-2, -0x1.29b0e36cb1616p-2, -0x1.27446cb6acfe7p-2, -0x1.24d89013a4c8bp-2, -0x1.226d5d0d0201bp-2, -0x1.2002e31de9c7ep-2, -0x1.1d9931b1d07d3p-2, -0x1.1b3058230e0f5p-2, -0x1.18c865b977163p-2, -0x1.166169a8ff9f9p-2, -0x1.13fb73105e6b2p-2, -0x1.119690f7b881ep-2, -0x1.0f32d24f4f70fp-2, -0x1.0cd045ee3a835p-2, -0x1.0a6efa911ea9cp-2, -0x1.080efed8f2424p-2, -0x1.05b06149c3f47p-2, -0x1.0353304989e86p-2, -0x1.00f77a1ef24fap-2, -0x1.fd3a99e0823f9p-3, -0x1.f8896d845f1fp-3, -0x1.f3db8aeda4585p-3, -0x1.ef310d9912fc3p-3, -0x1.ea8a10b9e7fc4p-3, -0x1.e5e6af37d5332p-3, -0x1.e14703ad079dcp-3, -0x1.dcab28643660fp-3, -0x1.d8133756c7cc1p-3, -0x1.d37f4a2afba2fp-3, -0x1.ceef7a3228c1ap-3, -0x1.ca63e0670d393p-3, -0x1.c5dc956c202e8p-3, -0x1.c159b18a0363fp-3, -0x1.bcdb4cadf21f2p-3, -0x1.b8617e684a726p-3, -0x1.b3ec5deb22d67p-3, -0x1.af7c0208eb33dp-3, -0x1.ab1081331f836p-3, -0x1.a6a9f17908824p-3, -0x1.a24868868d1bbp-3, -0x1.9debfba30e616p-3, -0x1.9994bfb057bfp-3, -0x1.9542c92999bb8p-3, -0x1.90f62c2275713p-3, -0x1.8caefc4615378p-3, -0x1.886d4cd657c54p-3, -0x1.843130ab05e16p-3, -0x1.7ffaba3119ab2p-3, -0x1.7bc9fb6a10704p-3, -0x1.779f05eb50becp-3, -0x1.7379eadd9a236p-3, -0x1.6f5abafc82197p-3, -0x1.6b41869608bb3p-3, -0x1.672e5d8a2baf9p-3, -0x1.63214f4a97e0ep-3, -0x1.5f1a6ada59719p-3, -0x1.5b19becda999p-3, -0x1.571f5949b657fp-3, -0x1.532b480489d77p-3, -0x1.4f3d9844f7fp-3, -0x1.4b5656e290f82p-3, -0x1.47759045b0b83p-3, -0x1.439b50678b9c1p-3, -0x1.3fc7a2d252c3bp-3, -0x1.3bfa92a15c793p-3, -0x1.38342a8160e29p-3, -0x1.347474b0b793dp-3, -0x1.30bb7affac00cp-3, -0x1.2d0946d0d8161p-3, -0x1.295de11988804p-3, -0x1.25b952622f04bp-3, -0x1.221ba2c6dda6fp-3, -0x1.1e84d9f7ce1eap-3, -0x1.1af4ff39f0566p-3, -0x1.176c196789a17p-3, -0x1.13ea2ef0d3103p-3, -0x1.106f45dcabff8p-3, -0x1.0cfb63c952d0dp-3, -0x1.098e8ded1e82bp-3, -0x1.0628c917500a1p-3, -0x1.02ca19b0dd82ap-3, -0x1.fee5077aa4f74p-4, -0x1.f84415b75980ap-4, -0x1.f1b1648e93ac8p-4, -0x1.eb2cf9b1b001bp-4, -0x1.e4b6da0e9ad98p-4, -0x1.de4f09d1d595fp-4, -0x1.d7f58c687f5bdp-4, -0x1.d1aa648278312p-4, -0x1.cb6d941477ca2p-4, -0x1.c53f1c5a52146p-4, -0x1.bf1efdd92dae8p-4, -0x1.b90d3861cdba2p-4, -0x1.b309cb12e7fe4p-4, -0x1.ad14b45b8597cp-4, -0x1.a72df1fd60254p-4, -0x1.a155810f62222p-4, -0x1.9b8b5e00176c7p-4, -0x1.95cf84982f07ep-4, -0x1.9021effd0418p-4, -0x1.8a829ab333575p-4, -0x1.84f17ea12d09dp-4, -0x1.7f6e9511d2e67p-4, -0x1.79f9d6b71ba0dp-4, -0x1.74933bacb9f8bp-4, -0x1.6f3abb7acda27p-4, -0x1.69f04d188ddbp-4, -0x1.64b3e6ef042aep-4, -0x1.5f857edbc100bp-4, -0x1.5a650a339b342p-4, -0x1.55527dc56a151p-4, -0x1.504dcddcc954p-4, -0x1.4b56ee44daa1dp-4, -0x1.466dd24b0721cp-4, -0x1.41926cc1c8c6cp-4, -0x1.3cc4b0036921fp-4, -0x1.38048df4cdbd8p-4, -0x1.3351f8083a15cp-4, -0x1.2eacdf4015f8fp-4, -0x1.2a153431af806p-4, -0x1.258ae708046d7p-4, -0x1.210de7867b846p-4, -0x1.1c9e250baa378p-4, -0x1.183b8e94101e3p-4, -0x1.13e612bcd4889p-4, -0x1.0f9d9fc67caf8p-4, -0x1.0b622397a379ep-4, -0x1.07338bbfa70e2p-4, -0x1.0311c5795f2fp-4, -0x1.fdf97b5b8131cp-5, -0x1.f5e8c1ed11a1bp-5, -0x1.edf13741b9835p-5, -0x1.e612b35fd236fp-5, -0x1.de4d0dbef5eb9p-5, -0x1.d6a01d4d1f4b5p-5, -0x1.cf0bb873d46a2p-5, -0x1.c78fb51d2c0e9p-5, -0x1.c02be8b8d78e1p-5, -0x1.b8e028411f4ap-5, -0x1.b1ac483fd3362p-5, -0x1.aa901cd32751bp-5, -0x1.a38b79b28be6fp-5, -0x1.9c9e32337270ep-5, -0x1.95c8194e0b1ddp-5, -0x1.8f0901a1eef78p-5, -0x1.8860bd7abf7d6p-5, -0x1.81cf1ed4b5b55p-5, -0x1.7b53f76122759p-5, -0x1.74ef188ae52e6p-5, -0x1.6ea0537ac904bp-5, -0x1.6867791bda2f2p-5, -0x1.62445a1fae4e5p-5, -0x1.5c36c70299111p-5, -0x1.563e900fc9fa5p-5, -0x1.505b85656a264p-5, -0x1.4a8d76f89d90ap-5, -0x1.44d4349978098p-5, -0x1.3f2f8df6dc009p-5, -0x1.399f52a25bc5cp-5, -0x1.34235213ec598p-5, -0x1.2ebb5bada540cp-5, -0x1.29673ebf5c763p-5, -0x1.2426ca8a37cd5p-5, -0x1.1ef9ce4429ecap-5, -0x1.19e0191b6ab61p-5, -0x1.14d97a39cd333p-5, -0x1.0fe5c0c80e1ebp-5, -0x1.0b04bbf117854p-5, -0x1.06363ae524082p-5, -0x1.017a0cdcdde63p-5, -0x1.f9a00238d1d32p-6, -0x1.f06fcdecb1f53p-6, -0x1.e7631b9d38c54p-6, -0x1.de798a3aa9a25p-6, -0x1.d5b2b8e33959dp-6, -0x1.cd0e46e871621p-6, -0x1.c48bd3d48cbf3p-6, -0x1.bc2aff6f942a6p-6, -0x1.b3eb69c46cdb7p-6, -0x1.abccb325bfe91p-6, -0x1.a3ce7c32c7a0dp-6, -0x1.9bf065dbec508p-6, -0x1.9432116757ea1p-6, -0x1.8c93207559192p-6, -0x1.85133504a4925p-6, -0x1.7db1f17692dcdp-6, -0x1.766ef89310b55p-6, -0x1.6f49ed8c9f9f5p-6, -0x1.68427404193e4p-6, -0x1.6158300c649bdp-6, -0x1.5a8ac62df978p-6, -0x1.53d9db6a60c86p-6, -0x1.4d45153f8996dp-6, -0x1.46cc19aafc18fp-6, -0x1.406e8f2d001d1p-6, -0x1.3a2c1ccb90cdp-6, -0x1.34046a154a1b8p-6, -0x1.2df71f24324ddp-6, -0x1.2803e4a0610b3p-6, -0x1.222a63c2990c9p-6, -0x1.1c6a4656bd35cp-6, -0x1.16c336be2f292p-6, -0x1.1134dff20e31ap-6, -0x1.0bbeed85713f4p-6, -0x1.06610ba7694c2p-6, -0x1.011ae7250259dp-6, -0x1.f7d85ad646b66p-7, -0x1.eda91910b4d59p-7, -0x1.e3a7665d076abp-7, -0x1.d9d2a168eedb6p-7, -0x1.d02a2a2eef6f6p-7, -0x1.c6ad61f961bd7p-7, -0x1.bd5bab650af3cp-7, -0x1.b4346a63b0e69p-7, -0x1.ab37043e621fdp-7, -0x1.a262df97bc868p-7, -0x1.99b7646ddf948p-7, -0x1.9133fc1c62c53p-7, -0x1.88d8115e00052p-7, -0x1.80a3104e2092fp-7, -0x1.7894666a643f6p-7, -0x1.70ab8293c358dp-7, -0x1.68e7d50fe0704p-7, -0x1.6148cf89d73bbp-7, -0x1.59cde5134d9ddp-7, -0x1.52768a250a3d2p-7, -0x1.4b42349fa19f4p-7, -0x1.44305bcbf099bp-7, -0x1.3d40785b6dabp-7, -0x1.367204688354cp-7, -0x1.2fc47b7687864p-7, -0x1.29375a71d4a93p-7, -0x1.22ca1fafbfc81p-7, -0x1.1c7c4aee39226p-7, -0x1.164d5d5398ce4p-7, -0x1.103cd96e30cddp-7, -0x1.0a4a4333be7e3p-7, -0x1.04752000d5f8fp-7, -0x1.fd79ed304e13cp-8, -0x1.f2429e434fef1p-8, -0x1.e7436653828eep-8, -0x1.dc7b5b4081defp-8, -0x1.d1e995aeb1018p-8, -0x1.c78d3104e0ccfp-8, -0x1.bd654b69d2d0dp-8, -0x1.b37105c1b1f1cp-8, -0x1.a9af83ab457e9p-8, -0x1.a01feb7d0ee17p-8, -0x1.96c16642369e8p-8, -0x1.8d931fb764c71p-8, -0x1.8494464784dfbp-8, -0x1.7bc40b083a66fp-8, -0x1.7321a1b664466p-8, -0x1.6aac40b26cc1cp-8, -0x1.626320fc93345p-8, -0x1.5a457e30ed2f8p-8, -0x1.525296837cb62p-8, -0x1.4a89aabc0ba35p-8, -0x1.42e9fe3214041p-8, -0x1.3b72d6c859a0dp-8, -0x1.34237ce8af6fep-8, -0x1.2cfb3b7f53326p-8, -0x1.25f95ff6a2db6p-8, -0x1.1f1d3a325ed79p-8, -0x1.18661c8af59edp-8, -0x1.11d35bc8df09p-8, -0x1.0b644f1fac332p-8, -0x1.051850295551cp-8, -0x1.fddd75c243cbcp-9, -0x1.f1cddb3d70245p-9, -0x1.e600922232b94p-9, -0x1.da7460732d6c3p-9, -0x1.cf2810cd1bcd4p-9, -0x1.c41a725caec83p-9, -0x1.b94a58d40f5e9p-9, -0x1.aeb69c6042fc1p-9, -0x1.a45e199ec5463p-9, -0x1.9a3fb192de5d5p-9, -0x1.905a499ad095ep-9, -0x1.86accb65333afp-9, -0x1.7d3624e61a16p-9, -0x1.73f5484c36358p-9, -0x1.6ae92bf636504p-9, -0x1.6210ca67904a4p-9, -0x1.596b223dca837p-9, -0x1.50f7362548bcfp-9, -0x1.48b40ccebd602p-9, -0x1.40a0b0e3a703ep-9, -0x1.38bc30fbdc28ap-9, -0x1.31059f921760dp-9, -0x1.297c12f9304cp-9, -0x1.221ea5512b7a6p-9, -0x1.1aec747c0d82dp-9, -0x1.13e4a212f8695p-9, -0x1.0d06535b40026p-9, -0x1.0650b13b4ccd4p-9, -0x1.ff85d05faafecp-10, -0x1.f2b85081e00f4p-10, -0x1.e63749ee259cep-10, -0x1.da012aa0c98c1p-10, -0x1.ce14676b7452cp-10, -0x1.c26f7bdfdc3dp-10, -0x1.b710ea3a4606fp-10, -0x1.abf73b4bd3ec3p-10, -0x1.a120fe65953f7p-10, -0x1.968cc94303a37p-10, -0x1.8c3937f4e1181p-10, -0x1.8224eccc46717p-10, -0x1.784e90459007dp-10, -0x1.6eb4d0f3a479fp-10, -0x1.6556636b5af64p-10, -0x1.5c32022e6a2b3p-10, -0x1.53466d979037cp-10, -0x1.4a926bc5bd484p-10, -0x1.4214c887fd9a3p-10, -0x1.39cc554942d97p-10, -0x1.31b7e8fca4d5bp-10, -0x1.29d66009a1184p-10, -0x1.22269c37e6813p-10, -0x1.1aa7849c5c25cp-10, -0x1.135805852adafp-10, -0x1.0c37106730292p-10, -0x1.05439bca2af7dp-10, -0x1.fcf9466cbdd6dp-11, -0x1.efc24e426f04ep-11, -0x1.e2e059b64336cp-11, -0x1.d6517cf9a9811p-11, -0x1.ca13d5aa2557ep-11, -0x1.be258aac7b9f8p-11, -0x1.b284cc09a252fp-11, -0x1.a72fd2ca06934p-11, -0x1.9c24e0d2fdc89p-11, -0x1.916240c38c4d3p-11, -0x1.86e645d16fa61p-11, -0x1.7caf4ba72c973p-11, -0x1.72bbb641c0e53p-11, -0x1.6909f1cf2fbcdp-11, -0x1.5f98728ce8466p-11, -0x1.5665b4a76a2d1p-11, -0x1.4d703c188289cp-11, -0x1.44b69488a376ap-11, -0x1.3c37512d27481p-11, -0x1.33f10caa44a03p-11, -0x1.2be268f2ac6ecp-11, -0x1.240a0f298ce17p-11, -0x1.1c66af83682ap-11, -0x1.14f70127e5712p-11, -0x1.0db9c21439c8bp-11, -0x1.06adb6fd9564cp-11, -0x1.ffa35667f3887p-12, -0x1.f248e10ae9018p-12, -0x1.e549be42d437fp-12, -0x1.d8a3aaf9e4c91p-12, -0x1.cc54706cce15p-12, -0x1.c059e3f53963p-12, -0x1.b4b1e6d2a0e62p-12, -0x1.a95a65f57e949p-12, -0x1.9e5159ca24144p-12, -0x1.9394c604af47bp-12, -0x1.8922b96da917cp-12, -0x1.7ef94daf4c38cp-12, -0x1.7516a722cffdap-12, -0x1.6b78f49fef936p-12, -0x1.621e6f4b3efdcp-12, -0x1.59055a669fa99p-12, -0x1.502c032171e47p-12, -0x1.4790c069d07e6p-12, -0x1.3f31f2bf1ffdap-12, -0x1.370e040349cc8p-12, -0x1.2f23674ed98bcp-12, -0x1.277098c404853p-12, -0x1.1ff41d637f303p-12, -0x1.18ac82e1ed2f5p-12, -0x1.11985f7c1ccf2p-12, -0x1.0ab651ced5a63p-12, -0x1.040500acee4e7p-12, -0x1.fb0635ede0793p-13, -0x1.ee5eaee5ed2dfp-13, -0x1.e210e94b560d7p-13, -0x1.d61a715705dfbp-13, -0x1.ca78e2248408ap-13, -0x1.bf29e567ba0b1p-13, -0x1.b42b3321fafe4p-13, -0x1.a97a915a96f0dp-13, -0x1.9f15d3d62e8ap-13, -0x1.94fadbd066a7p-13, -0x1.8b2797b64802bp-13, -0x1.819a02e2b8976p-13, -0x1.785025594843p-13, -0x1.6f481386efa27p-13, -0x1.667fedfdffa42p-13, -0x1.5df5e137abf3ep-13, -0x1.55a825558448ep-13, -0x1.4d94fde2b40eep-13, -0x1.45bab996697eep-13, -0x1.3e17b219954d6p-13, -0x1.36aa4bcab4a52p-13, -0x1.2f70f5844c2f2p-13, -0x1.286a2863b090dp-13, -0x1.21946791922c8p-13, -0x1.1aee400aeeaadp-13, -0x1.14764869cf2bap-13, -0x1.0e2b20b282e32p-13, -0x1.080b721c9a8abp-13, -0x1.0215eee1de254p-13, -0x1.f892a41550755p-14, -0x1.ed48be7898c9dp-14, -0x1.e24bc513b9e63p-14, -0x1.d79960845af72p-14, -0x1.cd2f4985b01cap-14, -0x1.c30b48923f551p-14, -0x1.b92b358a43273p-14, -0x1.af8cf75a2a1ebp-14, -0x1.a62e83a45124fp-14, -0x1.9d0dde6ab701bp-14, -0x1.942919baf72ap-14, -0x1.8b7e555ba432fp-14, -0x1.830bbe7bafeep-14, -0x1.7acf8f6345b6fp-14, -0x1.72c80f24588eap-14, -0x1.6af391515fc64p-14, -0x1.635075ae30c38p-14, -0x1.5bdd27e9a4eccp-14, -0x1.54981f545b8e6p-14, -0x1.4d7fde9990407p-14, -0x1.4692f379bc4fp-14, -0x1.3fcff687a3d3cp-14, -0x1.39358ae452414p-14, -0x1.32c25dfdfeeccp-14, -0x1.2c75275021db2p-14, -0x1.264ca82492167p-14, -0x1.2047ab56964a5p-14, -0x1.1a65051453cdfp-14, -0x1.14a392a6b3949p-14, -0x1.0f023a35cded3p-14, -0x1.097fea8eeb958p-14, -0x1.041b9aeef63f1p-14, -0x1.fda895955c0c4p-15, -0x1.f35203358ae4bp-15, -0x1.e9319d4b38704p-15, -0x1.df45919b1d116p-15, -0x1.d58c1cbbec124p-15, -0x1.cc0389b51cc0dp-15, -0x1.c2aa319f816ep-15, -0x1.b97e7b44ef8e3p-15, -0x1.b07edac5b327dp-15, -0x1.a7a9d13faa514p-15, -0x1.9efdec7380c75p-15, -0x1.9679c66fc36dcp-15, -0x1.8e1c053cd4a26p-15, -0x1.85e35a8922da7p-15, -0x1.7dce83590d679p-15, -0x1.75dc47b9803bap-15, -0x1.6e0b7a6e7a1ep-15, -0x1.665af8ac63552p-15, -0x1.5ec9a9cb39e3bp-15, -0x1.57567efe18817p-15, -0x1.5000730d76038p-15, -0x1.48c68a13a02f3p-15, -0x1.41a7d13652291p-15, -0x1.3aa35e66cc23ap-15, -0x1.33b8502032109p-15, -0x1.2ce5cd293678ep-15, -0x1.262b045781ee2p-15, -0x1.1f872c511feabp-15, -0x1.18f983543dbf9p-15, -0x1.12814efceb57bp-15, -0x1.0c1ddc0cb5c2p-15, -0x1.05ce7e35376b7p-15, -0x1.ff251fc0c9497p-16, -0x1.f2d2e3ff19237p-16, -0x1.e6a517aae2d2bp-16, -0x1.da9a958f84d71p-16, -0x1.ceb24457a0edbp-16, -0x1.c2eb1632bd413p-16, -0x1.b74408774d6d4p-16, -0x1.abbc23481f14ap-16, -0x1.a052793e2d72cp-16, -0x1.9506271161aa3p-16, -0x1.89d65346b86bbp-16, -0x1.7ec22ddf16b67p-16, -0x1.73c8f00637185p-16, -0x1.68e9dbc6dc92p-16, -0x1.5e243bbf1bd0ep-16, -0x1.537762d6f79bfp-16, -0x1.48e2abf82b2b9p-16, -0x1.3e6579c96f23dp-16, -0x1.33ff366a1a11fp-16, -0x1.29af5331529a4p-16, -0x1.1f75486ac10ebp-16, -0x1.1550951b93c3ep-16, -0x1.0b40bec201f34p-16, -0x1.0145511c35bb2p-16, -0x1.eebbbbdb5c401p-17, -0x1.db13f98e4d62dp-17, -0x1.c792959f6fd0fp-17, -0x1.b436d520716c5p-17, -0x1.a100077d2a835p-17, -0x1.8ded8618710b1p-17, -0x1.7afeb3e81dc3dp-17, -0x1.6832fd16acc0dp-17, -0x1.5589d6aa428f8p-17, -0x1.4302be2683828p-17, -0x1.309d3935ae37fp-17, -0x1.1e58d555f101p-17, -0x1.0c3527838dddep-17, -0x1.f46397dba47c3p-18, -0x1.d09ccb4ad949bp-18, -0x1.ad153ca4a2f61p-18, -0x1.89cc4bd19091cp-18, -0x1.66c164cec0856p-18, -0x1.43f3ff1a87924p-18, -0x1.21639d3012715p-18, -0x1.fe1f98101e82cp-19, -0x1.b9f0453677885p-19, -0x1.763882cf7a858p-19, -0x1.32f7a3f8d1bacp-19, -0x1.e05a1a0c1f7a5p-20, -0x1.5bb0655c25069p-20, -0x1.afe264b513ff3p-21, -0x1.546e9bba79c24p-22, 0x1.6687d90789a8cp-23, 0x1.5baaaf7496d2ep-21, 0x1.2df1f9e90cf4fp-20, 0x1.ad275532197a8p-20, 0x1.15bae38906344p-19, 0x1.546ecc1e8099bp-19, 0x1.92af7ef5055ap-19, 0x1.d07d0d8c9413bp-19, 0x1.06ebc06ee039bp-18, 0x1.255f6cf87099cp-18, 0x1.43998933a6d4cp-18, 0x1.619a0e86c1e76p-18, 0x1.7f60f32ae244ep-18, 0x1.9cee2a6e40618p-18, 0x1.ba41a4f370a65p-18, 0x1.d75b50e71e5f8p-18, 0x1.f43b1a406b04ep-18, 0x1.087075796137fp-17, 0x1.16a655927fc26p-17, 0x1.24bf20b0c1fa5p-17, 0x1.32bac964d0b5ap-17, 0x1.409941a162adbp-17, 0x1.4e5a7ad20cc4ap-17, 0x1.5bfe65f04d7a1p-17, 0x1.6984f39950fd3p-17, 0x1.76ee142089e04p-17, 0x1.8439b7a37bc0bp-17, 0x1.9167ce1b33e4fp-17, 0x1.9e78476e4898dp-17, 0x1.ab6b13813c5f7p-17, 0x1.b84022458e787p-17, 0x1.c4f763caa418ap-17, 0x1.d190c84a0127dp-17, 0x1.de0c40362efafp-17, 0x1.ea69bc47e5be6p-17, 0x1.f6a92d8a257e8p-17, 0x1.016542b2f2fe7p-16, 0x1.0766dad65d3b7p-16, 0x1.0d59585259f5dp-16, 0x1.133cb488bdb9bp-16, 0x1.1910e91efe5a4p-16, 0x1.1ed5f002aa7fdp-16, 0x1.248bc36d96451p-16, 0x1.2a325deab6351p-16, 0x1.2fc9ba57b7dc9p-16, 0x1.3551d3ea55d6dp-16, 0x1.3acaa63319f7ap-16, 0x1.40342d1f9a27p-16, 0x1.458e64fe6c117p-16, 0x1.4ad94a819f432p-16, 0x1.5014dac06e394p-16, 0x1.55411339f7e6p-16, 0x1.5a5df1d71cb66p-16, 0x1.5f6b74ec20813p-16, 0x1.64699b3abe4ffp-16, 0x1.695863f39e599p-16, 0x1.6e37ceb7bd939p-16, 0x1.7307db996c0f2p-16, 0x1.77c88b1d63d5fp-16, 0x1.7c79de3bc4656p-16, 0x1.811bd660e969dp-16, 0x1.85ae756d8e0d7p-16, 0x1.8a31bdb813641p-16, 0x1.8ea5b20c4c897p-16, 0x1.930a55ab83acap-16, 0x1.975fac4d81129p-16, 0x1.9ba5ba1feeb87p-16, 0x1.9fdc83c6d5b55p-16, 0x1.a4040e5bd52fbp-16, 0x1.a81c5f6dc1ce8p-16, 0x1.ac257d013a29fp-16, 0x1.b01f6d8f5b54p-16, 0x1.b40a3805ad641p-16, 0x1.b7e5e3c533834p-16, 0x1.bbb278a1ffd64p-16, 0x1.bf6ffee223d5p-16, 0x1.c31e7f3d1616ep-16, 0x1.c6be02dae71ecp-16, 0x1.ca4e93533a584p-16, 0x1.cdd03aabbbf05p-16, 0x1.d1430357e5065p-16, 0x1.d4a6f8376d315p-16, 0x1.d7fc249442f78p-16, 0x1.db42942313fe3p-16, 0x1.de7a5301198c4p-16, 0x1.e1a36db2ca319p-16, 0x1.e4bdf12246f96p-16, 0x1.e7c9ea9e292bcp-16, 0x1.eac767d8500fp-16, 0x1.edb676e402712p-16, 0x1.f097263450534p-16, 0x1.f369849b148c7p-16, 0x1.f62da1477a7c4p-16, 0x1.f8e38bc38a6bep-16, 0x1.fb8b53f317bc4p-16, 0x1.fe250a127851p-16, 0x1.00585f5a3f3c2p-15, 0x1.0197416039696p-15, 0x1.02cf33b84f88dp-15, 0x1.04003f28cc302p-15, 0x1.052a6c9fa6d61p-15, 0x1.064dc531ce3c4p-15, 0x1.076a521a892ffp-15, 0x1.08801cba42daap-15, 0x1.098f2e95cdf77p-15, 0x1.0a9791559f631p-15, 0x1.0b994ec4ee5eap-15, 0x1.0c9470d08baefp-15, 0x1.0d890186459bbp-15, 0x1.0e770b13e3ce5p-15, 0x1.0f5e97c66a87bp-15, 0x1.103fb2094217bp-15, 0x1.111a646500a7ep-15, 0x1.11eeb97ee37c2p-15, 0x1.12bcbc17eb3efp-15, 0x1.1384770bcb448p-15, 0x1.1445f5503847bp-15, 0x1.150141f42018p-15, 0x1.15b6681e70268p-15, 0x1.1665730d66c82p-15, 0x1.170e6e15f3f6cp-15, 0x1.17b164a2a6c6cp-15, 0x1.184e6232d9319p-15, 0x1.18e57259eccedp-15, 0x1.1976a0be80594p-15, 0x1.1a01f91993e7ep-15, 0x1.1a87873584cd8p-15, 0x1.1b0756ed66c82p-15, 0x1.1b81742c9d52bp-15, 0x1.1bf5eaed67d3ep-15, 0x1.1c64c7387e898p-15, 0x1.1cce152438334p-15, 0x1.1d31e0d3d47cbp-15, 0x1.1d9036768dd6bp-15, 0x1.1de92246ff9fep-15, 0x1.1e3cb08a3630ep-15, 0x1.1e8aed8f2b5aep-15, 0x1.1ed3e5ae05a6cp-15, 0x1.1f17a54742523p-15, 0x1.1f5638c306923p-15, 0x1.1f8fac90791f6p-15, 0x1.1fc40d25304b1p-15, 0x1.1ff366fc3ad72p-15, 0x1.201dc695b1b64p-15, 0x1.20433875e37a6p-15, 0x1.2063c924d6f3p-15, 0x1.207f852d9a46ap-15, 0x1.2096791dad119p-15, 0x1.20a8b184467d3p-15, 0x1.20b63af1b600bp-15, 0x1.20bf21f6d343cp-15, 0x1.20c373246951cp-15, 0x1.20c33b0a975a9p-15, 0x1.20be863861baap-15, 0x1.20b5613aeb19ep-15, 0x1.20a7d89d0bf02p-15, 0x1.2095f8e6cc7ddp-15, 0x1.207fce9cab9cp-15, 0x1.2065663f34177p-15, 0x1.2046cc4ab6127p-15, 0x1.20240d36576d7p-15, 0x1.1ffd3573d1201p-15, 0x1.1fd2516f18c0cp-15, 0x1.1fa36d8dad74cp-15, 0x1.1f70962e4c47p-15, 0x1.1f39d7a845bd8p-15, 0x1.1eff3e4af4946p-15, 0x1.1ec0d65dc1581p-15, 0x1.1e7eac1f6820cp-15, 0x1.1e38cbc5739fdp-15, 0x1.1def417c14c5fp-15, 0x1.1da21965aa6ccp-15, 0x1.1d515f9a3fa2fp-15, 0x1.1cfd20273b54p-15, 0x1.1ca5670f138a8p-15, 0x1.1c4a4048c2ba1p-15, 0x1.1bebb7bfaf3f8p-15, 0x1.1b89d9532a08fp-15, 0x1.1b24b0d5fee55p-15, 0x1.1abc4a0e586a1p-15, 0x1.1a50b0b571685p-15, 0x1.19e1f077172f7p-15, 0x1.197014f162929p-15, 0x1.18fb29b490475p-15, 0x1.18833a427a827p-15, 0x1.1808520e9a68cp-15, 0x1.178a7c7d84eap-15, 0x1.1709c4e4f1997p-15, 0x1.1686368b33923p-15, 0x1.15ffdca7019edp-15, 0x1.1576c25f4e3b9p-15, 0x1.14eaf2cb38749p-15, 0x1.145c78f175a84p-15, 0x1.13cb5fc85521bp-15, 0x1.1337b23588408p-15, 0x1.12a17b0df3a25p-15, 0x1.1208c51563d6p-15, 0x1.116d9afe7dddbp-15, 0x1.10d0076a8a947p-15, 0x1.103014e912e1dp-15, 0x1.0f8dcdf817edfp-15, 0x1.0ee93d0391119p-15, 0x1.0e426c657c0c2p-15, 0x1.0d9966659c865p-15, 0x1.0cee353971fb6p-15, 0x1.0c40e30406b94p-15, 0x1.0b9179d5ae4ep-15, 0x1.0ae003ac1f78fp-15, 0x1.0a2c8a7271a4bp-15, 0x1.09771800772bdp-15, 0x1.08bfb61b2a274p-15, 0x1.08066e746b947p-15, 0x1.074b4aaacf73ap-15, 0x1.068e5449c7a78p-15, 0x1.05cf94c947b9ap-15, 0x1.050f158dde6ecp-15, 0x1.044cdfe8ae364p-15, 0x1.0388fd1730463p-15, 0x1.02c3764317c91p-15, 0x1.01fc5482a9c68p-15, 0x1.0133a0d85842p-15, 0x1.00696432c4644p-15, 0x1.ff3b4ed95f6b5p-16, 0x1.fda0e69a42745p-16, 0x1.fc03a10e8ceaep-16, 0x1.fa638f7482acap-16, 0x1.f8c0c2e2cff8p-16, 0x1.f71b4c483dc38p-16, 0x1.f5733c6b68f62p-16, 0x1.f3c8a3eb44d45p-16, 0x1.f21b933ec25e6p-16, 0x1.f06c1ab53dd73p-16, 0x1.eeba4a75b4496p-16, 0x1.ed06327f453b2p-16, 0x1.eb4fe2a9d1351p-16, 0x1.e9976aa4bf969p-16, 0x1.e7dcd9f7deaefp-16, 0x1.e62040034a853p-16, 0x1.e461abff4d23ap-16, 0x1.e2a12cfcc378ep-16, 0x1.e0ded1e49f3e7p-16, 0x1.df1aa9788919bp-16, 0x1.dd54c252ed947p-16, 0x1.db8d2ae6829d4p-16, 0x1.d9c3f17ed3526p-16, 0x1.d7f924408e8c8p-16, 0x1.d62cd12900d7fp-16, 0x1.d45f060e6ff7dp-16, 0x1.d28fd0a08c07bp-16, 0x1.d0bf3e68633b9p-16, 0x1.ceed5cc83250cp-16, 0x1.cd1a38fbcb991p-16, 0x1.cb45e018c96b7p-16, 0x1.c9705f0e44a43p-16, 0x1.c799c2a594516p-16, 0x1.c5c21782732bp-16, 0x1.c3e96a21fd9cp-16, 0x1.c20fc6dc0ba24p-16, 0x1.c03539e38f33fp-16, 0x1.be59cf456e40fp-16, 0x1.bc7d92e9bb6d8p-16, 0x1.baa090939fbcp-16, 0x1.b8c2d3e18004ep-16, 0x1.b6e4684d042bdp-16, 0x1.b505592b5740dp-16, 0x1.b325b1adafb0fp-16, 0x1.b1457ce0fc685p-16, 0x1.af64c5ae38689p-16, 0x1.ad8396dae829ep-16, 0x1.aba1fb08f422fp-16, 0x1.a9bffcb70cf1ep-16, 0x1.a7dda640c7764p-16, 0x1.a5fb01deee3e4p-16, 0x1.a41819a7628a3p-16, 0x1.a234f78d93322p-16, 0x1.a051a5630c0a4p-16, 0x1.9e6e2cd6d6a44p-16, 0x1.9c8a977643593p-16, 0x1.9aa6eead44cd3p-16, 0x1.98c33bc5e8777p-16, 0x1.96df87e9a7dcfp-16, 0x1.94fbdc208b59p-16, 0x1.93184151ad428p-16, 0x1.9134c044810fcp-16, 0x1.8f51619f7241bp-16, 0x1.8d6e2de8d8aa7p-16, 0x1.8b8b2d87a051fp-16, 0x1.89a868c2c4e02p-16, 0x1.87c5e7c2016efp-16, 0x1.85e3b28de56fdp-16, 0x1.8401d110135c9p-16, 0x1.82204b13777a9p-16, 0x1.803f2844ac043p-16, 0x1.7e5e7031e7248p-16, 0x1.7c7e2a4b88ec1p-16, 0x1.7a9e5de43035cp-16, 0x1.78bf1230a7eb5p-16, 0x1.76e04e48e78b4p-16, 0x1.75021927b070fp-16, 0x1.732479aae44cdp-16, 0x1.71477693f363dp-16, 0x1.6f6b1687deb8ep-16, 0x1.6d8f600fc31eep-16, 0x1.6bb45998b531ap-16, 0x1.69da097445eb9p-16, 0x1.680075d8a6ad6p-16, 0x1.6627a4e0f42e8p-16, 0x1.644f9c8d63e27p-16, 0x1.627862c358deap-16, 0x1.60a1fd4e4111ap-16, 0x1.5ecc71df22b1p-16, 0x1.5cf7c60cd74fap-16, 0x1.5b23ff54db643p-16, 0x1.5951231b3ad4ap-16, 0x1.577f36aab38ccp-16, 0x1.55ae3f34faaabp-16, 0x1.53de41d32f11cp-16, 0x1.520f4385f35acp-16, 0x1.504149357e673p-16, 0x1.4e7457b20d3abp-16, 0x1.4ca873b447dcep-16, 0x1.4adda1dd04194p-16, 0x1.4913e6b5f3e09p-16, 0x1.474b46b1b5db8p-16, 0x1.4583c62be826dp-16, 0x1.43bd6969a2d2bp-16, 0x1.41f83499c8976p-16, 0x1.40342bd4cea07p-16, 0x1.3e71531d50fd4p-16, 0x1.3cafae605209ep-16, 0x1.3aef417553a7dp-16, 0x1.3930101ea5c8ap-16, 0x1.37721e097c0c1p-16, 0x1.35b56ece55836p-16, 0x1.33fa05f119841p-16, 0x1.323fe6e147ef3p-16, 0x1.308714fa78037p-16, 0x1.2ecf938439616p-16, 0x1.2d1965b26b3bcp-16, 0x1.2b648ea578264p-16, 0x1.29b1116ac2e45p-16, 0x1.27fef0fc613c4p-16, 0x1.264e3041ba7dap-16, 0x1.249ed20fbb63ap-16, 0x1.22f0d928d55c1p-16, 0x1.2144483d42fbdp-16, 0x1.1f9921eb8c952p-16, 0x1.1def68c03d46ep-16, 0x1.1c471f3669034p-16, 0x1.1aa047b806a2ap-16, 0x1.18fae49daf091p-16, 0x1.1756f82f1d69fp-16, 0x1.15b484a391473p-16, 0x1.14138c21888bfp-16, 0x1.127410bf6600dp-16, 0x1.10d61483667cbp-16, 0x1.0f399963d40dep-16, 0x1.0d9ea14754853p-16, 0x1.0c052e0519bd1p-16, 0x1.0a6d4164f1741p-16, 0x1.08d6dd1f811bap-16, 0x1.074202deb640dp-16, 0x1.05aeb43dab2acp-16, 0x1.041cf2c8d721fp-16, 0x1.028cbffe8a607p-16, 0x1.00fe1d4ec0accp-16, 0x1.fee218372f0c2p-17, 0x1.fbcb1b729c495p-17, 0x1.f8b746dd66019p-17, 0x1.f5a69ce9d73c4p-17, 0x1.f2991feffae97p-17, 0x1.ef8ed22dfaffap-17, 0x1.ec87b5c7b4656p-17, 0x1.e983ccc82ac2ep-17, 0x1.e6831920ecdcap-17, 0x1.e3859caabd311p-17, 0x1.e08b592671596p-17, 0x1.dd94503c73373p-17, 0x1.daa0837d60ec6p-17, 0x1.d7aff46325e18p-17, 0x1.d4c2a44fcc212p-17, 0x1.d1d8948f0a1a5p-17, 0x1.cef1c656722f2p-17, 0x1.cc0e3ac5362d6p-17, 0x1.c92df2e4d43f2p-17, 0x1.c650efa983006p-17, 0x1.c37731f26843p-17, 0x1.c0a0ba89bba4cp-17, 0x1.bdcd8a254c96ap-17, 0x1.bafda166a2113p-17, 0x1.b83100dbc4578p-17, 0x1.b567a8fec277ap-17, 0x1.b2a19a3686243p-17, 0x1.afded4d73724ap-17, 0x1.ad1f59221a301p-17, 0x1.aa6327462c91fp-17, 0x1.a7aa3f603f8bep-17, 0x1.a4f4a17b7b7adp-17, 0x1.a2424d9140226p-17, 0x1.9f93438a29864p-17, 0x1.9ce7833d5ea6cp-17, 0x1.9a3f0c7158627p-17, 0x1.9799dedcb3de4p-17, 0x1.94f7fa2510d97p-17, 0x1.92595de0ed429p-17, 0x1.8fbe0996ce7bdp-17, 0x1.8d25fcbdb8f8cp-17, 0x1.8a9136be253d1p-17, 0x1.87ffb6f0fde59p-17, 0x1.85717ca110972p-17, 0x1.82e6870ae9f7bp-17, 0x1.805ed55c5c9f7p-17, 0x1.7dda66b62e8f8p-17, 0x1.7b593a2af0516p-17, 0x1.78db4ebff648bp-17, 0x1.7660a36dac495p-17, 0x1.73e9371f889f2p-17, 0x1.717508b4231ccp-17, 0x1.6f0416fdd6847p-17, 0x1.6c9660c2b38f9p-17, 0x1.6a2be4bcd3141p-17, 0x1.67c4a19a8e38ap-17, 0x1.656095fec512bp-17, 0x1.62ffc0810b536p-17, 0x1.60a21fad9138bp-17, 0x1.5e47b20605cfep-17, 0x1.5bf076012c50cp-17, 0x1.599c6a0b50d92p-17, 0x1.574b8c8673a8cp-17, 0x1.54fddbcad37b8p-17, 0x1.52b3562659189p-17, 0x1.506bf9ddc0336p-17, 0x1.4e27c52be876fp-17, 0x1.4be6b64297c9dp-17, 0x1.49a8cb4a9be3p-17, 0x1.476e026383868p-17, 0x1.453659a49b035p-17, 0x1.4301cf1c3b83ap-17, 0x1.40d060d0ace11p-17, 0x1.3ea20cc010507p-17, 0x1.3c76d0e04549ep-17, 0x1.3a4eab1fda7e8p-17, 0x1.3829996539ff2p-17, 0x1.3607998fb1d4cp-17, 0x1.33e8a9773ffap-17, 0x1.31ccc6ec51cacp-17, 0x1.2fb3efb92f0adp-17, 0x1.2d9e21a08e95cp-17, 0x1.2b8b5a5f0899cp-17, 0x1.297b97aa93e1ap-17, 0x1.276ed732af312p-17, 0x1.256516a0d898bp-17, 0x1.235e539893ccdp-17, 0x1.215a8bb77f7a6p-17, 0x1.1f59bc9579e14p-17, 0x1.1d5be3c500614p-17, 0x1.1b60fed2ede7p-17, 0x1.19690b4703667p-17, 0x1.177406a3d76cep-17, 0x1.1581ee671be16p-17, 0x1.1392c00968d71p-17, 0x1.11a678feeb136p-17, 0x1.0fbd16b7045c5p-17, 0x1.0dd6969cb1a68p-17, 0x1.0bf2f616df635p-17, 0x1.0a123287d7f2dp-17, 0x1.0834494e4ef93p-17, 0x1.065937c4b64dfp-17, 0x1.0480fb41e1fcdp-17, 0x1.02ab9118d9b94p-17, 0x1.00d8f6991949ap-17, 0x1.fe12521d9d92cp-18, 0x1.fa784b854129ep-18, 0x1.f6e3d3f4885a2p-18, 0x1.f354e5efe84e1p-18, 0x1.efcb7bf6a854p-18, 0x1.ec4790819cbeap-18, 0x1.e8c91e049b497p-18, 0x1.e5501eede6f2ap-18, 0x1.e1dc8da69c5a7p-18, 0x1.de6e64933aac9p-18, 0x1.db059e1353354p-18, 0x1.d7a23481effd8p-18, 0x1.d444223652e3cp-18, 0x1.d0eb6182e8673p-18, 0x1.cd97ecb6cc303p-18, 0x1.ca49be1d2a89ap-18, 0x1.c700cffd72d1cp-18, 0x1.c3bd1c9c3724ap-18, 0x1.c07e9e3a51046p-18, 0x1.bd454f163bcd3p-18, 0x1.ba11296b3df9ep-18, 0x1.b6e227722e941p-18, 0x1.b3b843615783fp-18, 0x1.b093776cc3632p-18, 0x1.ad73bdc65ea1dp-18, 0x1.aa59109e030e5p-18, 0x1.a7436a2230032p-18, 0x1.a432c47f07dbdp-18, 0x1.a12719e00fdep-18, 0x1.9e20646ecd69bp-18, 0x1.9b1e9e53d2e48p-18, 0x1.9821c1b6a2e6dp-18, 0x1.9529c8bdc21aep-18, 0x1.9236ad8f495e7p-18, 0x1.8f486a5055ef3p-18, 0x1.8c5ef925edb25p-18, 0x1.897a54346cc83p-18, 0x1.869a75a056ce2p-18, 0x1.83bf578de067ep-18, 0x1.80e8f42170601p-18, 0x1.7e17457fa3676p-18, 0x1.7b4a45cd5a346p-18, 0x1.7881ef2fd8a45p-18, }}, 
      std::vector<double>(1250, 0.0), 
      {{0x1.67be6c316f05p-9, 0x1.67b6773eeb584p-8, 0x1.0db144a0d988ap-7, 0x1.674b7a5dd81ecp-7, 0x1.c06ded3e528bfp-7, 0x1.0c64c2416bc98p-6, 0x1.3800310c8374bp-6, 0x1.62d577875ed8bp-6, 0x1.8cae6c8f4140cp-6, 0x1.b554cea80b964p-6, 0x1.dc9437f21fb36p-6, 0x1.011ddc09a9c9bp-5, 0x1.130f89e2939ap-5, 0x1.240bd72332cfep-5, 0x1.340291b8d1059p-5, 0x1.42e6cd5b29b67p-5, 0x1.50aeee0df5937p-5, 0x1.5d54987d965ccp-5, 0x1.68d48d2294356p-5, 0x1.732e73016f57ap-5, 0x1.7c64969ca6594p-5, 0x1.847ba14b1929bp-5, 0x1.8b7a4ca586395p-5, 0x1.9169152c6b419p-5, 0x1.9651eeae1919dp-5, 0x1.9a3ffc5d0d6cap-5, 0x1.9d3f4df7a261ep-5, 0x1.9f5ca2e2197fbp-5, 0x1.a0a533a62956ap-5, 0x1.a12681f191f41p-5, 0x1.a0ee2ee76efdfp-5, 0x1.a009d765bb70bp-5, 0x1.9e86f5becb451p-5, 0x1.9c72c853da836p-5, 0x1.99da3c76c77cbp-5, 0x1.96c9dcfb905c6p-5, 0x1.934dc3eb3a33ep-5, 0x1.8f718ed734cf8p-5, 0x1.8b40555cbdf7dp-5, 0x1.86c4a178bea34p-5, 0x1.8208695dd2bdfp-5, 0x1.7d150a8e146a8p-5, 0x1.77f34608c11c5p-5, 0x1.72ab3d68348cep-5, 0x1.6d4470d718704p-5, 0x1.67c5bdcbc3527p-5, 0x1.62355e7f13294p-5, 0x1.5c98ea186bd91p-5, 0x1.56f5558b35a2fp-5, 0x1.514ef523c0761p-5, 0x1.4ba97ec1de30fp-5, 0x1.46080cbec838bp-5, 0x1.406d217b28ecbp-5, 0x1.3adaab90689d2p-5, 0x1.35520a9eaa19cp-5, 0x1.2fd414af3443p-5, 0x1.2a611c213107bp-5, 0x1.24f8f614f6fc6p-5, 0x1.1f9b0148cbdf8p-5, 0x1.1a462d58b91p-5, 0x1.14f9025234602p-5, 0x1.0fb1a88bb450bp-5, 0x1.0a6df0afecb39p-5, 0x1.052b5bec6d2a9p-5, 0x1.ffce4866cb133p-6, 0x1.f53c8901c5f63p-6, 0x1.ea9b0228c291p-6, 0x1.dfe2df20bef3ap-6, 0x1.d50cfde5110c2p-6, 0x1.ca11feb05bf9cp-6, 0x1.beea5307bca3p-6, 0x1.b38e4c342c1f3p-6, 0x1.a7f62918d1463p-6, 0x1.9c1a23574d578p-6, 0x1.8ff27bb575467p-6, 0x1.837785bacccdbp-6, 0x1.76a1b27e2dd01p-6, 0x1.69699a9e435b4p-6, 0x1.5bc80761f1345p-6, 0x1.4db5faff8c575p-6, 0x1.3f2cb80bc7b58p-6, 0x1.3025c812e9405p-6, 0x1.209b01605fc08p-6, 0x1.10868bfa2e4a3p-6, 0x1.ffc5cbae12044p-7, 0x1.dd55ccad42e85p-7, 0x1.b9b3820a14da4p-7, 0x1.94d60f64b540ep-7, 0x1.6eb557d0f639p-7, 0x1.4749ff933fe83p-7, 0x1.1e8d6cc3ce5fdp-7, 0x1.e8f38ddc4a969p-8, 0x1.9213eb8427e33p-8, 0x1.38733dd93151bp-8, 0x1.b8148cb6196e1p-9, 0x1.f34cd5f999c47p-10, 0x1.ac9a2493cd811p-12, -0x1.2855fc73895c2p-10, -0x1.6397cf7f2c928p-9, -0x1.1c5a08f530a82p-8, -0x1.89bf18140875fp-8, -0x1.f9f91aa870c11p-8, -0x1.368279852bc68p-7, -0x1.716f369c45624p-7, -0x1.adc025ef4718p-7, -0x1.eb722ab6f454ap-7, -0x1.1540d84d3fd35p-6, -0x1.357559180a2adp-6, -0x1.56545fb4e9f46p-6, -0x1.77db81f3c29fep-6, -0x1.9a082693120c2p-6, -0x1.bcd78843ce12p-6, -0x1.e046b896ea7e2p-6, -0x1.0229516928258p-5, -0x1.147c0755e07d4p-5, -0x1.2719d17420497p-5, -0x1.3a00f3ef8acc3p-5, -0x1.4d2fa4efdc782p-5, -0x1.60a40dbd23f33p-5, -0x1.745c4bd530353p-5, -0x1.885671f23853ep-5, -0x1.9c908903013f2p-5, -0x1.b108911493b98p-5, -0x1.c5bc822dff732p-5, -0x1.daaa4d1e714d7p-5, -0x1.efcfdc3e2fd79p-5, -0x1.02958a11755ecp-4, -0x1.0d5cea23ea91ep-4, -0x1.183cfbd52f8c3p-4, -0x1.2334aaade6e4ep-4, -0x1.2e42e0845276cp-4, -0x1.396685bb25fap-4, -0x1.449e817bc925p-4, -0x1.4fe9b9ec6d12fp-4, -0x1.5b4714622c01cp-4, -0x1.66b5758f8f0ddp-4, -0x1.7233c1afc99d9p-4, -0x1.7dc0dcaee53edp-4, -0x1.895baa4f31dfbp-4, -0x1.95030e4c4419ap-4, -0x1.a0b5ec7ba7bb6p-4, -0x1.ac7328ebb1b41p-4, -0x1.b839a8007403ep-4, -0x1.c4084e8f4827fp-4, -0x1.cfde01f8e9d84p-4, -0x1.dbb9a84285249p-4, -0x1.e79a282db3e2cp-4, -0x1.f37e694fc5ea4p-4, -0x1.ff655428498eep-4, -0x1.05a6e91b8c7aap-3, -0x1.0b9b6708fe0c5p-3, -0x1.118f99bcfeb3fp-3, -0x1.1782f7b83ea5ap-3, -0x1.1d74f8262031fp-3, -0x1.236512e726442p-3, -0x1.2952c09b74783p-3, -0x1.2f3d7aad47463p-3, -0x1.3524bb5b86914p-3, -0x1.3b07fdc45d7d5p-3, -0x1.40e6bdefeca85p-3, -0x1.46c078db0edc7p-3, -0x1.4c94ac823906bp-3, -0x1.5262d7ec6ae4p-3, -0x1.582a7b363cb51p-3, -0x1.5deb179d012dap-3, -0x1.63a42f89f657cp-3, -0x1.6955469d945eep-3, -0x1.6efde1badefeep-3, -0x1.749d8712c5e7p-3, -0x1.7a33be2f9957ep-3, -0x1.7fc010006d29ep-3, -0x1.854206e49555dp-3, -0x1.8ab92eb707395p-3, -0x1.902514d9c4878p-3, -0x1.95854841303cdp-3, -0x1.9ad9597f5038ap-3, -0x1.a020daceff018p-3, -0x1.a55b601efddf2p-3, -0x1.aa887f1ce3c51p-3, -0x1.afa7cf3fed745p-3, -0x1.b4b8e9d39efdbp-3, -0x1.b9bb6a0236a6cp-3, -0x1.beaeecdef04ddp-3, -0x1.c39311700dep-3, -0x1.c86778b8a31d2p-3, -0x1.cd2bc5c222e7fp-3, -0x1.d1df9da5ab7f8p-3, -0x1.d682a79500ea1p-3, -0x1.db148ce348ecfp-3, -0x1.df94f90d6b89p-3, -0x1.e40399c227d23p-3, -0x1.e8601ee9d3746p-3, -0x1.ecaa3aadbc19dp-3, -0x1.f0e1a17f37042p-3, -0x1.f5060a1e47179p-3, -0x1.f9172d9fecb2ap-3, -0x1.fd14c7740f7c9p-3, -0x1.007f4ab582d84p-2, -0x1.026a2bdd59ce2p-2, -0x1.044ae881a2fc3p-2, -0x1.06216329c158fp-2, -0x1.07ed7f9659653p-2, -0x1.09af22c310039p-2, -0x1.0b6632e812c6cp-2, -0x1.0d12977b6c59ep-2, -0x1.0eb4393222d11p-2, -0x1.104b02011eff7p-2, -0x1.11d6dd1dddb4ep-2, -0x1.1357b6feec354p-2, -0x1.14cd7d5c2db55p-2, -0x1.16381f2eec115p-2, -0x1.17978cb1b3bccp-2, -0x1.18ebb75ff8472p-2, -0x1.1a3491f588811p-2, -0x1.1b72106dc9736p-2, -0x1.1ca42802c47afp-2, -0x1.1dcacf2bfca7dp-2, -0x1.1ee5fd9d157e6p-2, -0x1.1ff5ac444794bp-2, -0x1.20f9d548a30d1p-2, -0x1.21f274082533fp-2, -0x1.22df85159e9ebp-2, -0x1.23c1063668078p-2, -0x1.2496f65ff005cp-2, -0x1.256155b516a23p-2, -0x1.2620258363fa4p-2, -0x1.26d368400ef29p-2, -0x1.277b2184e12b4p-2, -0x1.2817560cef698p-2, -0x1.28a80bb12c2ebp-2, -0x1.292d4964d55d8p-2, -0x1.29a71731bf91bp-2, -0x1.2a157e347c152p-2, -0x1.2a7888985c86ep-2, -0x1.2ad0419359ec7p-2, -0x1.2b1cb561d9743p-2, -0x1.2b5df1425431bp-2, -0x1.2b940370e242fp-2, -0x1.2bbefb22ac033p-2, -0x1.2bdee8813ea79p-2, -0x1.2bf3dca5ca6d2p-2, -0x1.2bfde9944896ep-2, -0x1.2bfd22368afd6p-2, -0x1.2bf19a573844dp-2, -0x1.2bdb669cb2f64p-2, -0x1.2bba9c83ef01dp-2, -0x1.2b8f525b3689dp-2, -0x1.2b599f3ce02bp-2, -0x1.2b199b09f48e1p-2, -0x1.2acf5e64c9dbcp-2, -0x1.2a7b02ab8fcc2p-2, -0x1.2a1ca1f2d5fe3p-2, -0x1.29b45700043cfp-2, -0x1.29423d43cd7dp-2, -0x1.28c670d49cb21p-2, -0x1.28410e68f8d87p-2, -0x1.27b23351e73cdp-2, -0x1.2719fd7549cdcp-2, -0x1.26788b483aca7p-2, -0x1.25cdfbc968e1cp-2, -0x1.251a6e7b6e0a3p-2, -0x1.245e035f32aa4p-2, -0x1.2398daee4470ap-2, -0x1.22cb16153c90cp-2, -0x1.21f4d62e243dp-2, -0x1.21163cfadfb9dp-2, -0x1.202f6c9f9d666p-2, -0x1.1f40879d51f66p-2, -0x1.1e49b0cc351cep-2, -0x1.1d4b0b564d2b3p-2, -0x1.1c44bab1fff6cp-2, -0x1.1b36e29cb2424p-2, -0x1.1a21a7156ff2dp-2, -0x1.19052c57a1e79p-2, -0x1.17e196d5cecfcp-2, -0x1.16b70b346d27ep-2, -0x1.1585ae44c0a6p-2, -0x1.144da4ffc69aep-2, -0x1.130f1481361c8p-2, -0x1.11ca22028a4f2p-2, -0x1.107ef2d623fd2p-2, -0x1.0f2dac62770fp-2, -0x1.0dd6741d4e712p-2, -0x1.0c796f872121p-2, -0x1.0b16c42679426p-2, -0x1.09ae97836f6f6p-2, -0x1.08410f233a445p-2, -0x1.06ce5083d3e85p-2, -0x1.05568117af6bbp-2, -0x1.03d9c64188fa3p-2, -0x1.0258455048f66p-2, -0x1.00d2237afbc12p-2, -0x1.fe8f0bb9c4439p-3, -0x1.fb7122e3284eap-3, -0x1.f84ad622813fbp-3, -0x1.f51c6ed9f9abfp-3, -0x1.f1e636165d628p-3, -0x1.eea874881d2dfp-3, -0x1.eb63727c7b0b6p-3, -0x1.e81777d6eb28ep-3, -0x1.e4c4cc0aa0de7p-3, -0x1.e16bb61448837p-3, -0x1.de0c7c73f6ebfp-3, -0x1.daa76527415c5p-3, -0x1.d73cb5a385dddp-3, -0x1.d3ccb2d06afd4p-3, -0x1.d057a1027d722p-3, -0x1.ccddc3f615054p-3, -0x1.c95f5eca4db21p-3, -0x1.c5dcb3fc44839p-3, -0x1.c256056279625p-3, -0x1.becb94285f80fp-3, -0x1.bb3da0ca21ae9p-3, -0x1.b7ac6b108b9a8p-3, -0x1.b418320d27df1p-3, -0x1.b081341686824p-3, -0x1.ace7aec4b83d8p-3, -0x1.a94bdeede6cc6p-3, -0x1.a5ae00a32c903p-3, -0x1.a20e4f2d8697p-3, -0x1.9e6d050afe0cdp-3, -0x1.9aca5bebf319ep-3, -0x1.97268cb09902fp-3, -0x1.9381cf66973bp-3, -0x1.8fdc5b46d6703p-3, -0x1.8c3666b370c7ap-3, -0x1.88902735d1998p-3, -0x1.84e9d17cf85b7p-3, -0x1.8143995bddda2p-3, -0x1.7d9db1c809d29p-3, -0x1.79f84cd842efap-3, -0x1.76539bc369e12p-3, -0x1.72afcedf77a1fp-3, -0x1.6f0d15a09e0c6p-3, -0x1.6b6b9e9889db6p-3, -0x1.67cb9775cc408p-3, -0x1.642d2d035d1b8p-3, -0x1.60908b284222ep-3, -0x1.5cf5dce75afe6p-3, -0x1.595d4c5f435efp-3, -0x1.55c702ca57647p-3, -0x1.5233287ed970ap-3, -0x1.4ea1e4ef2c34bp-3, -0x1.4b135eaa33736p-3, -0x1.4787bb5bc81cbp-3, -0x1.43ff1fcd49707p-3, -0x1.4079afe64a46bp-3, -0x1.3cf78ead5456p-3, -0x1.3978de48c79ecp-3, -0x1.35fdbfffcd313p-3, -0x1.3286543b67dbp-3, -0x1.2f12ba879206bp-3, -0x1.2ba3119477c12p-3, -0x1.28377737c4f9fp-3, -0x1.24d0086e07feap-3, -0x1.216ce15c22eaap-3, -0x1.1e0e1d50d698ep-3, -0x1.1ab3d6c65ac77p-3, -0x1.175e27640c387p-3, -0x1.140d280022bdap-3, -0x1.10c0f0a1844b2p-3, -0x1.0d7998819c6fep-3, -0x1.0a37360e4809p-3, -0x1.06f9deebcc652p-3, -0x1.03c1a7f6db98ap-3, -0x1.008ea546ab4b9p-3, -0x1.fac1d45e219b3p-4, -0x1.f47112854f724p-4, -0x1.ee2b28aa19a1cp-4, -0x1.e7f038fa35405p-4, -0x1.e1c0642e66994p-4, -0x1.db9bc98f1f5eap-4, -0x1.d58286f93901p-4, -0x1.cf74b8e2c260dp-4, -0x1.c9727a5fc2f1ep-4, -0x1.c37be52726555p-4, -0x1.bd911197ad3a2p-4, -0x1.b7b216bce3855p-4, -0x1.b1df0a5428112p-4, -0x1.ac1800d1bb763p-4, -0x1.a65d0d65d2591p-4, -0x1.a0ae4201c059p-4, -0x1.9b0baf5d0de23p-4, -0x1.957564fab865ep-4, -0x1.8feb712e5152dp-4, -0x1.8a6de1213dc5cp-4, -0x1.84fcc0d7e9bd5p-4, -0x1.7f981b3708519p-4, -0x1.7a3ffa08cb20bp-4, -0x1.74f4660225de7p-4, -0x1.6fb566c804b26p-4, -0x1.6a8302f490216p-4, -0x1.655d401c644d4p-4, -0x1.604422d3ceb5dp-4, -0x1.5b37aeb4013fbp-4, -0x1.5637e6604892p-4, -0x1.5144cb8b3c1f6p-4, -0x1.4c5e5efbe7ac1p-4, -0x1.4784a092f4a79p-4, -0x1.42b78f4fc3839p-4, -0x1.3df72955904d5p-4, -0x1.39436bf07b7bap-4, -0x1.349c539a9bb4fp-4, -0x1.3001dc0102ebbp-4, -0x1.2b740008b6755p-4, -0x1.26f2b9d3a261dp-4, -0x1.227e02c584072p-4, -0x1.1e15d388cdb03p-4, -0x1.19ba2413771f4p-4, -0x1.156aebabcd2edp-4, -0x1.112820ed327eap-4, -0x1.0cf1b9ccd267dp-4, -0x1.08c7ab9e514d7p-4, -0x1.04a9eb1866959p-4, -0x1.00986c5970a71p-4, -0x1.f92645d7fc588p-5, -0x1.f1340396895f4p-5, -0x1.e959f6cf1bcb9p-5, -0x1.e19803553748dp-5, -0x1.d9ee0bf7eb5d8p-5, -0x1.d25bf28a6584p-5, -0x1.cae197ec5ce9ep-5, -0x1.c37edc12685e6p-5, -0x1.bc339e0e316cp-5, -0x1.b4ffbc169a6d5p-5, -0x1.ade3138fabfc4p-5, -0x1.a6dd811289c4dp-5, -0x1.9feee07528b7p-5, -0x1.99170cd2015a4p-5, -0x1.9255e08f8ec18p-5, -0x1.8bab3567c7855p-5, -0x1.8516e46f61f5fp-5, -0x1.7e98c61d0aef8p-5, -0x1.7830b25079d8ap-5, -0x1.71de80595ded7p-5, -0x1.6ba206fe3e858p-5, -0x1.657b1c832bda8p-5, -0x1.5f6996b0637e1p-5, -0x1.596d4ad8bd929p-5, -0x1.53860de01e3c3p-5, -0x1.4db3b441a547ap-5, -0x1.47f61215d9f0bp-5, -0x1.424cfb18ae33cp-5, -0x1.3cb842af610bap-5, -0x1.3737bbee50268p-5, -0x1.31cb399e952e2p-5, -0x1.2c728e439d6eap-5, -0x1.272d8c209ea86p-5, -0x1.21fc053ddc07ep-5, -0x1.1cddcb6de3ba8p-5, -0x1.17d2b052ad327p-5, -0x1.12da85628790fp-5, -0x1.0df51bed086bp-5, -0x1.0922451fc8971p-5, -0x1.0461d20b052fep-5, -0x1.ff67274c6f962p-6, -0x1.f62eb5a8f53a1p-6, -0x1.ed19f0d1c6ee6p-6, -0x1.e4287a557f9f9p-6, -0x1.db59f3b34a517p-6, -0x1.d2adfe630d7b2p-6, -0x1.ca243bdd2517dp-6, -0x1.c1bc4da2084f6p-6, -0x1.b975d541b07dfp-6, -0x1.b1507462dd0c9p-6, -0x1.a94bccca065d4p-6, -0x1.a16780603c4ecp-6, -0x1.99a33139cbc0ap-6, -0x1.91fe819c9db93p-6, -0x1.8a79140692523p-6, -0x1.83128b337921ap-6, -0x1.7bca8a2302994p-6, -0x1.74a0b41e7378dp-6, -0x1.6d94acbe2b37cp-6, -0x1.66a617eeed35fp-6, -0x1.5fd499f737ffap-6, -0x1.591fd77c113c6p-6, -0x1.528775860cbadp-6, -0x1.4c0b1985e17c3p-6, -0x1.45aa6958e8f07p-6, -0x1.3f650b4d8be59p-6, -0x1.393aa6275dd72p-6, -0x1.332ae123459bap-6, -0x1.2d3563fb42da9p-6, -0x1.2759d6ea32cd9p-6, -0x1.2197e2af7af85p-6, -0x1.1bef30926895bp-6, -0x1.165f6a657a338p-6, -0x1.10e83a899ec0cp-6, -0x1.0b894bf12c20cp-6, -0x1.06424a22cc98dp-6, -0x1.0112e13c37762p-6, -0x1.f7f57be9e44d8p-7, -0x1.edf31b4144454p-7, -0x1.e41dfc6333e2fp-7, -0x1.da757c760b90fp-7, -0x1.d0f8f9e62aafbp-7, -0x1.c7a7d46a0eab7p-7, -0x1.be816d061e134p-7, -0x1.b585261046a66p-7, -0x1.acb2633349c13p-7, -0x1.a40889721844dp-7, -0x1.9b86ff2a96806p-7, -0x1.932d2c188d22bp-7, -0x1.8afa7957f9bbcp-7, -0x1.82ee5167a2cbcp-7, -0x1.7b08202b47e58p-7, -0x1.734752ed62a2bp-7, -0x1.6bab58612c8d5p-7, -0x1.6433a0a42d69cp-7, -0x1.5cdf9d3fb192dp-7, -0x1.55aec12a0adbfp-7, -0x1.4ea080c7c4c7cp-7, -0x1.47b451ec7a744p-7, -0x1.40e9abdbd72afp-7, -0x1.3a40074a03739p-7, -0x1.33b6de5c507ebp-7, -0x1.2d4daca9a2f81p-7, -0x1.2703ef3a6246cp-7, -0x1.20d92488f6ef6p-7, -0x1.1acccc8176468p-7, -0x1.14de68818ce88p-7, -0x1.0f0d7b5847d65p-7, -0x1.095989457e267p-7, -0x1.03c217f97a778p-7, -0x1.fc8d5d2885fdp-8, -0x1.f1cdab499428cp-8, -0x1.e7442e5063ceep-8, -0x1.dceffd1194bd3p-8, -0x1.d2d03139d9db4p-8, -0x1.c8e3e74bcd887p-8, -0x1.bf2a3e9d9bc1bp-8, -0x1.b5a25956288c7p-8, -0x1.ac4b5c6a221ccp-8, -0x1.a3246f9939443p-8, -0x1.9a2cbd6aa49adp-8, -0x1.9163732a546cep-8, -0x1.88c7c0e4aaaa4p-8, -0x1.8058d963d443ep-8, -0x1.7815f22b24c88p-8, -0x1.6ffe4373b7641p-8, -0x1.681108285ed2dp-8, -0x1.604d7de14f3e6p-8, -0x1.58b2e4dff7641p-8, -0x1.5140800ab1c34p-8, -0x1.49f594e8362efp-8, -0x1.42d16b9b10b7cp-8, -0x1.3bd34edcf567ap-8, -0x1.34fa8bf9f9cf6p-8, -0x1.2e4672cbd74e7p-8, -0x1.27b655b4af40ap-8, -0x1.2149899a660b3p-8, -0x1.1aff65e146136p-8, -0x1.14d7446716ad9p-8, -0x1.0ed0817d7f774p-8, -0x1.08ea7be5461dcp-8, -0x1.032494c87f9ddp-8, -0x1.fafc5f6ace0b5p-9, -0x1.efed6531b6882p-9, -0x1.e51b0b71d3d55p-9, -0x1.da84275e5d2e4p-9, -0x1.d02792c68a708p-9, -0x1.c6042c0a66a27p-9, -0x1.bc18d60f50d9p-9, -0x1.b2647835217f1p-9, -0x1.a8e5fe49f9571p-9, -0x1.9f9c587f89a94p-9, -0x1.96867b5ed893p-9, -0x1.8da35fbd595bdp-9, -0x1.84f202b0b5d54p-9, -0x1.7c716583bc775p-9, -0x1.74208daa5c6aep-9, -0x1.6bfe84b62a608p-9, -0x1.640a584aa0288p-9, -0x1.5c431a1197f83p-9, -0x1.54a7dfaf4ab44p-9, -0x1.4d37c2b6fcc01p-9, -0x1.45f1e09f0279cp-9, -0x1.3ed55ab555f46p-9, -0x1.37e15613b0488p-9, -0x1.3114fb94218eap-9, -0x1.2a6f77c534e24p-9, -0x1.23effadee14e2p-9, -0x1.1d95b8b625038p-9, -0x1.175fe8b24ea8cp-9, -0x1.114dc5c0d70cep-9, -0x1.0b5e8e4a5c369p-9, -0x1.059184272c6bap-9, -0x1.ffcbd9273bfdap-10, -0x1.f4b62049f5365p-10, -0x1.e9e0757c9852dp-10, -0x1.df497709ecf5ap-10, -0x1.d4efc9ab38c6fp-10, -0x1.cad21872196c9p-10, -0x1.c0ef14b26e44bp-10, -0x1.b74575ec391f7p-10, -0x1.add3f9b61ff8dp-10, -0x1.a49963a7384d9p-10, -0x1.9b947d41e0a75p-10, -0x1.92c415de58db6p-10, -0x1.8a2702954ba65p-10, -0x1.81bc1e2aa8387p-10, -0x1.798248f8f67abp-10, -0x1.717868dbd6886p-10, -0x1.699d691c55a93p-10, -0x1.61f03a5b724b7p-10, -0x1.5a6fd27e2e90ap-10, -0x1.531b2c99a2d94p-10, -0x1.4bf148dee347fp-10, -0x1.44f12c86810fep-10, -0x1.3e19e1bdd4e0cp-10, -0x1.376a7792e7ca8p-10, -0x1.30e201e12d8bap-10, -0x1.2a7f993e8ed03p-10, -0x1.24425ae83d658p-10, -0x1.1e2968b03a527p-10, -0x1.1833e8ea330cep-10, -0x1.12610659d47c1p-10, -0x1.0caff01fb3704p-10, -0x1.071fd9a7f9b7bp-10, -0x1.01affa98252ebp-10, -0x1.f8bf1d7a7ba58p-11, -0x1.ee5babf5ddd9dp-11, -0x1.e4342872e3dd5p-11, -0x1.da4722a9a8651p-11, -0x1.d0933218074ecp-11, -0x1.c716f5e01efffp-11, -0x1.bdd114a6ef7e3p-11, -0x1.b4c03c742fd41p-11, -0x1.abe322919d06dp-11, -0x1.a338836a5eaa8p-11, -0x1.9abf226c8857ep-11, -0x1.9275c9e90608ep-11, -0x1.8a5b4af50a31p-11, -0x1.826e7d4b98a84p-11, -0x1.7aae3f2fed967p-11, -0x1.7319754e8fe56p-11, -0x1.6baf0aa0db8e3p-11, -0x1.646df0500e404p-11, -0x1.5d551d9806579p-11, -0x1.56638fabcfac1p-11, -0x1.4f9849992469bp-11, -0x1.48f2542d3925ap-11, -0x1.4270bdd982a5fp-11, -0x1.3c129a98e2caap-11, -0x1.35d703d528c85p-11, -0x1.2fbd184d8a352p-11, -0x1.29c3fbfbd559ap-11, -0x1.23ead7fcbb76fp-11, -0x1.1e30da7568df9p-11, -0x1.1895367b693b9p-11, -0x1.131723fc31baap-11, -0x1.0db5dfa570fb7p-11, -0x1.0870aacd7d927p-11, -0x1.0346cb5bf7e84p-11, -0x1.fc6f176576b73p-12, -0x1.f284752e718afp-12, -0x1.e8cc56398128fp-12, -0x1.df45691c69d3p-12, -0x1.d5ee64b0d4e2ep-12, -0x1.ccc607ea0f253p-12, -0x1.c3cb19abedbc9p-12, -0x1.bafc68a014b0ep-12, -0x1.b258cb0e45e98p-12, -0x1.a9df1eb4c7932p-12, -0x1.a18e48a01e7bcp-12, -0x1.9965350521aap-12, -0x1.9162d71b22ab4p-12, -0x1.898628f54b396p-12, -0x1.81ce2b5f07586p-12, -0x1.7a39e5b719a2bp-12, -0x1.72c865cc18c4ap-12, -0x1.6b78bfb8c80aap-12, -0x1.644a0dc2fcf4dp-12, -0x1.5d3b70382ce97p-12, -0x1.564c0d4d44a07p-12, -0x1.4f7b10fcc9cebp-12, -0x1.48c7ace73dbb2p-12, -0x1.423118338861fp-12, -0x1.3bb68f6edb224p-12, -0x1.3557546f69da2p-12, -0x1.2f12ae35b1d0dp-12, -0x1.28e7e8cea0745p-12, -0x1.22d6553706758p-12, -0x1.1cdd493e8a161p-12, -0x1.16fc1f6c079b1p-12, -0x1.113236e19820ap-12, -0x1.0b7ef3424ea0cp-12, -0x1.05e1bc96ce70dp-12, -0x1.0059ff33d5a5dp-12, -0x1.f5ce574067806p-13, -0x1.eb116cf7be731p-13, -0x1.e07c30ce9ff29p-13, -0x1.d60d9bd614da9p-13, -0x1.cbc4aebff9e79p-13, -0x1.c1a071b1266efp-13, -0x1.b79ff41253552p-13, -0x1.adc24c643dc7bp-13, -0x1.a4069812c4c0dp-13, -0x1.9a6bfb4a7b3fcp-13, -0x1.90f1a0cd80f3fp-13, -0x1.8796b9ca79249p-13, -0x1.7e5a7db3aea1p-13, -0x1.753c2a176bbd2p-13, -0x1.6c3b0277e71e2p-13, -0x1.635650261ded9p-13, -0x1.5a8d621abcd99p-13, -0x1.51df8cd286992p-13, -0x1.494c2a28dfc22p-13, -0x1.40d2993604458p-13, -0x1.38723e2aeb58ep-13, -0x1.302a82300c29dp-13, -0x1.27fad3436c9ecp-13, -0x1.1fe2a4186324dp-13, -0x1.17e16bf7aef53p-13, -0x1.0ff6a69f7f3dap-13, -0x1.0821d4263457cp-13, -0x1.006278db09f94p-13, -0x1.f1703a52a06dep-14, -0x1.e2449af792eb2p-14, -0x1.d341343f2f87ep-14, -0x1.c4652e5415fd5p-14, -0x1.b5afb8b994a25p-14, -0x1.a7200a172d482p-14, -0x1.98b560050ee77p-14, -0x1.8a6efedb4dafdp-14, -0x1.7c4c317da15b4p-14, -0x1.6e4c492d247f2p-14, -0x1.606e9d5833f5dp-14, -0x1.52b28b6c92e2ep-14, -0x1.451776aa9390ap-14, -0x1.379cc7f902ad6p-14, -0x1.2a41edb9092b3p-14, -0x1.1d065b9e3ff5dp-14, -0x1.0fe98a8395969p-14, -0x1.02eaf843cb7bp-14, -0x1.ec144f237217p-15, -0x1.d28d3fa5e8a8fp-15, -0x1.b93fd9f1f6acp-15, -0x1.a02b3ebbb720ep-15, -0x1.874e973fff2e1p-15, -0x1.6ea914fff87dbp-15, -0x1.5639f17aa1552p-15, -0x1.3e006debe0dc7p-15, -0x1.25fbd30b557f1p-15, -0x1.0e2b70cd4dc98p-15, -0x1.ed1d3c4a4344dp-16, -0x1.be497190d6839p-16, -0x1.8fda49ece458ap-16, -0x1.61ce9a79b2201p-16, -0x1.3425447e553bcp-16, -0x1.06dd35078f893p-16, -0x1.b3eac8ee2e653p-17, -0x1.5ad9ac3d32469p-17, -0x1.02852fb690497p-17, -0x1.55d706d7d3504p-18, -0x1.502bac0e3845cp-19, 0x1.0f21826b73af5p-24, 0x1.5e467824e3ac7p-19, 0x1.58a157e0f44e7p-18, 0x1.005ce1d6ae52bp-17, 0x1.53b7a4b5e6b41p-17, 0x1.a6624a0b876aep-17, 0x1.f85e186e79a7ep-17, 0x1.24d62417b2267p-16, 0x1.4d2701f597871p-16, 0x1.7522348dddca1p-16, 0x1.9cc84455662bcp-16, 0x1.c419b3baabe8fp-16, 0x1.eb16ff68dd55dp-16, 0x1.08e04f455c36cp-15, 0x1.1c0b818405b3dp-15, 0x1.2f0d4ce0e5112p-15, 0x1.41e5e56622e71p-15, 0x1.54957cd661ed6p-15, 0x1.671c42c87fdcp-15, 0x1.797a64c07a314p-15, 0x1.8bb00e4baaa6ep-15, 0x1.9dbd6919ceebp-15, 0x1.afa29d17b5859p-15, 0x1.c15fd08240fa4p-15, 0x1.d2f52800da502p-15, 0x1.e462c6bcf0cc2p-15, 0x1.f5a8ce74e54b5p-15, 0x1.0363afc98a726p-14, 0x1.0bdf4ca14cae3p-14, 0x1.14474cc099145p-14, 0x1.1c9bbe99b21a8p-14, 0x1.24dcb01b63e4dp-14, 0x1.2d0a2eb9d4933p-14, 0x1.35244776fbeddp-14, 0x1.3d2b06eb53a1ep-14, 0x1.451e794de7869p-14, 0x1.4cfeaa7bb9206p-14, 0x1.54cba5ff670ep-14, 0x1.5c857718b0f87p-14, 0x1.642c28c29ec0dp-14, 0x1.6bbfc5ba5f9b8p-14, 0x1.7340588690646p-14, 0x1.7aadeb7c96b1ep-14, 0x1.820888c675259p-14, 0x1.89503a6944beep-14, 0x1.90850a4a391a4p-14, 0x1.97a7023452b54p-14, 0x1.9eb62bdd04f69p-14, 0x1.a5b290e9018p-14, 0x1.ac9c3af16328cp-14, 0x1.b373338796829p-14, 0x1.ba37843a375dap-14, 0x1.c0e93698a07dfp-14, 0x1.c788543761b85p-14, 0x1.ce14e6b34a2b3p-14, 0x1.d48ef7b5590cfp-14, 0x1.daf690f681713p-14, 0x1.e14bbc4285ab5p-14, 0x1.e78e837a90098p-14, 0x1.edbef098f4ccdp-14, 0x1.f3dd0db3b8e0dp-14, 0x1.f9e8e4fe6ba3p-14, 0x1.ffe280cdee41ep-14, 0x1.02e4f5cd17729p-13, 0x1.05cf980068cf4p-13, 0x1.08b12c633c23dp-13, 0x1.0b89b86c7144dp-13, 0x1.0e5941a8ca815p-13, 0x1.111fcdbb526adp-13, 0x1.13dd625e2aff7p-13, 0x1.16920563dcbb8p-13, 0x1.193dbcb7a9774p-13, 0x1.1be08e5df3156p-13, 0x1.1e7a80751cb13p-13, 0x1.210b99364ef9cp-13, 0x1.2393def5b00a9p-13, 0x1.26135822988fbp-13, 0x1.288a0b48461d6p-13, 0x1.2af7ff0e92ef9p-13, 0x1.2d5d3a39dcb16p-13, 0x1.2fb9c3ab53c07p-13, 0x1.320da2615f27fp-13, 0x1.3458dd7796524p-13, 0x1.369b7c274009bp-13, 0x1.38d585c745dcp-13, 0x1.3b0701cc6123cp-13, 0x1.3d2ff7c91b086p-13, 0x1.3f506f6ddae74p-13, 0x1.41687088ef55ep-13, 0x1.43780306b2292p-13, 0x1.457f2ef156eafp-13, 0x1.477dfc70b04eap-13, 0x1.497473ca8ddd6p-13, 0x1.4b629d62537aap-13, 0x1.4d4881b8b5d65p-13, 0x1.4f26296bbc39dp-13, 0x1.50fb9d36e829cp-13, 0x1.52c8e5f2479cp-13, 0x1.548e0c9288c8p-13, 0x1.564b1a290c2aep-13, 0x1.580017e34e1bep-13, 0x1.59ad0f0ab70f1p-13, 0x1.5b52090448b7dp-13, 0x1.5cef0f506ab18p-13, 0x1.5e842b8a70e68p-13, 0x1.60116768322dfp-13, 0x1.6196ccb9c3d74p-13, 0x1.6314656979aa2p-13, 0x1.648a3b7b011e4p-13, 0x1.65f8590b38d2bp-13, 0x1.675ec84fac268p-13, 0x1.68bd939683e84p-13, 0x1.6a14c545b0ddfp-13, 0x1.6b6467da954ccp-13, 0x1.6cac85e98c46bp-13, 0x1.6ded2a1da9b75p-13, 0x1.6f265f382b2c9p-13, 0x1.705830100572bp-13, 0x1.7182a79144405p-13, 0x1.72a5d0bcd091p-13, 0x1.73c1b6a7e7bc4p-13, 0x1.74d6647b74d3bp-13, 0x1.75e3e573c97acp-13, 0x1.76ea44dff00fep-13, 0x1.77e98e21519a3p-13, 0x1.78e1ccab165c1p-13, 0x1.79d30c020398ep-13, 0x1.7abd57bb95e5dp-13, 0x1.7ba0bb7d5b6efp-13, 0x1.7c7d42fce58d2p-13, 0x1.7d52f9ff2c0cfp-13, 0x1.7e21ec57a865fp-13, 0x1.7eea25e84a053p-13, 0x1.7fabb2a0d9938p-13, 0x1.80669e7e29cb2p-13, 0x1.811af58a0adbbp-13, 0x1.81c8c3da64baep-13, 0x1.82701590c2f34p-13, 0x1.8310f6da2d02cp-13, 0x1.83ab73ee220b5p-13, 0x1.843f990e6bca2p-13, 0x1.84cd7286a97f8p-13, 0x1.85550caba4cbep-13, 0x1.85d673daf14f1p-13, 0x1.8651b47a4e21ep-13, 0x1.86c6daf6e3479p-13, 0x1.8735f3c56a364p-13, 0x1.879f0b6166c79p-13, 0x1.88022e4c418a3p-13, 0x1.885f690d5e45cp-13, 0x1.88b6c8319a475p-13, 0x1.8908584a5e96cp-13, 0x1.895425ed66518p-13, 0x1.899a3db48eed7p-13, 0x1.89daac3ccd9c3p-13, 0x1.8a157e2642354p-13, 0x1.8a4ac0137da97p-13, 0x1.8a7a7ea8fe81ep-13, 0x1.8aa4c68cf2b9cp-13, 0x1.8ac9a466c5599p-13, 0x1.8ae924de8d73cp-13, 0x1.8b03549ca040dp-13, 0x1.8b18404935402p-13, 0x1.8b27f48be002ap-13, 0x1.8b327e0b327e5p-13, 0x1.8b37e96c4aa99p-13, 0x1.8b384352b9437p-13, 0x1.8b33985f97a31p-13, 0x1.8b29f53169ffp-13, 0x1.8b1b6663aa54bp-13, 0x1.8b07f88e8140cp-13, 0x1.8aefb84649b22p-13, 0x1.8ad2b21b333d7p-13, 0x1.8ab0f298ced1fp-13, 0x1.8a8a8645ec7fbp-13, 0x1.8a5f79a408a5fp-13, 0x1.8a2fd92f077f1p-13, 0x1.89fbb15cea5dep-13, 0x1.89c30e9d2e72fp-13, 0x1.8985fd58e3515p-13, 0x1.894489f1fc317p-13, 0x1.88fec0c335d19p-13, 0x1.88b4ae1f89f35p-13, 0x1.88665e52200b2p-13, 0x1.8813dd9ddbc32p-13, 0x1.87bd383cf0e4ap-13, 0x1.87627a60d9702p-13, 0x1.8703b031ff24ap-13, 0x1.86a0e5cf15c4cp-13, 0x1.863a274d40044p-13, 0x1.85cf80b7a0be6p-13, 0x1.8560fe0f12006p-13, 0x1.84eeab49efe53p-13, 0x1.84789453b1e6bp-13, 0x1.83fec50cdb8ep-13, 0x1.8381494ab1b08p-13, 0x1.83002cd6ddaa5p-13, 0x1.827b7b6f15186p-13, 0x1.81f340c54996p-13, 0x1.8167887f20ba3p-13, 0x1.80d85e35b33dcp-13, 0x1.8045cd7557d6fp-13, 0x1.7fafe1bd9f9eep-13, 0x1.7f16a681161e3p-13, 0x1.7e7a2724cfcf7p-13, 0x1.7dda6f0074078p-13, 0x1.7d37895dfc1b8p-13, 0x1.7c9181796503ep-13, 0x1.7be86280af5c9p-13, 0x1.7b3c37939af07p-13, 0x1.7a8d0bc3a2387p-13, 0x1.79daea136fa5bp-13, 0x1.7925dd76f50c8p-13, 0x1.786df0d38cf82p-13, 0x1.77b32eff3e6aap-13, 0x1.76f5a2c0f2015p-13, 0x1.763556d033ce6p-13, 0x1.757255d5176cep-13, 0x1.74acaa6826e3bp-13, 0x1.73e45f11f942ep-13, 0x1.73197e4b70ca6p-13, 0x1.724c127d8ec7p-13, 0x1.717c2601077c9p-13, 0x1.70a9c31e5e121p-13, 0x1.6fd4f40dfa2f4p-13, 0x1.6efdc2f797dfdp-13, 0x1.6e2439f267ffdp-13, 0x1.6d4863052c282p-13, 0x1.6c6a4825f7a18p-13, 0x1.6b89f339ee8a5p-13, 0x1.6aa76e155d421p-13, 0x1.69c2c27ba4983p-13, 0x1.68dbfa1f13113p-13, 0x1.67f31ea0f34fep-13, 0x1.6708399185c75p-13, 0x1.661b546f7c52dp-13, 0x1.652c78a856fc4p-13, 0x1.643baf987d348p-13, 0x1.6349028aab01ep-13, 0x1.62547ab8412a8p-13, 0x1.615e21493c323p-13, 0x1.6065ff5401e9fp-13, 0x1.5f6c1ddd57874p-13, 0x1.5e7085d86e409p-13, 0x1.5d734026f29d2p-13, 0x1.5c745598c8008p-13, 0x1.5b73ceec20fc4p-13, 0x1.5a71b4cd9407cp-13, 0x1.596e0fd7d9bf2p-13, 0x1.5868e89414f24p-13, 0x1.57624779a7688p-13, 0x1.565a34ee198f4p-13, 0x1.5550b94520c7bp-13, 0x1.5445dcc0aeb7p-13, 0x1.5339a791249d5p-13, 0x1.522c21d4e00b6p-13, 0x1.511d53987d896p-13, 0x1.500d44d6fc9eap-13, 0x1.4efbfd796b267p-13, 0x1.4de9855742165p-13, 0x1.4cd5e4361807ep-13, 0x1.4bc121c9b98a8p-13, 0x1.4aab45b4a6567p-13, 0x1.49945787533fcp-13, 0x1.487c5ec08d4a7p-13, 0x1.476362cdbf058p-13, 0x1.46496b0a72711p-13, 0x1.452e7ec0c9b0dp-13, 0x1.4412a5295b046p-13, 0x1.42f5e56b28ac5p-13, 0x1.41d8469bba225p-13, 0x1.40b9cfbf4aefcp-13, 0x1.3f9a87c88ba0ap-13, 0x1.3e7a7598ef39cp-13, 0x1.3d59a000959bp-13, 0x1.3c380dbe22103p-13, 0x1.3b15c57f443ap-13, 0x1.39f2cde084b6bp-13, 0x1.38cf2d6d2b02fp-13, 0x1.37aaea9f6b6ap-13, 0x1.36860be08cd9fp-13, 0x1.35609788ed64cp-13, 0x1.343a93dfdc6bbp-13, 0x1.3314071bf3cb4p-13, 0x1.31ecf76304f0ap-13, 0x1.30c56aca200ebp-13, 0x1.2f9d6755b1d74p-13, 0x1.2e74f2f97b5f9p-13, 0x1.2d4c1398f7e87p-13, 0x1.2c22cf06f8e3ap-13, 0x1.2af92b05e24cap-13, 0x1.29cf2d47e61b8p-13, 0x1.28a4db6ef073dp-13, 0x1.277a3b0cd02d2p-13, 0x1.264f51a32301fp-13, 0x1.252424a380ccp-13, 0x1.23f8b96f9cd79p-13, 0x1.22cd1559407c6p-13, 0x1.21a13da2636eep-13, 0x1.2075377d62b25p-13, 0x1.1f49080cc43f5p-13, 0x1.1e1cb463afb66p-13, 0x1.1cf04185d2739p-13, 0x1.1bc3b46746564p-13, 0x1.1a9711ece3b85p-13, 0x1.196a5eec7f948p-13, 0x1.183da02c83f1p-13, 0x1.1710da64632a6p-13, 0x1.15e4123c9b8e2p-13, 0x1.14b74c4ecc11bp-13, 0x1.138a8d25bb877p-13, 0x1.125dd93d7bbf5p-13, 0x1.1131350383a5fp-13, 0x1.1004a4d6aac36p-13, 0x1.0ed82d075c92ep-13, 0x1.0dabd1d7ccc06p-13, 0x1.0c7f977bbbb62p-13, 0x1.0b538218d27c5p-13, 0x1.0a2795c68fce9p-13, 0x1.08fbd68e8d774p-13, 0x1.07d0486c6e4bap-13, 0x1.06a4ef4df1162p-13, 0x1.0579cf1338a5p-13, 0x1.044eeb8ebc7abp-13, 0x1.032448856038bp-13, 0x1.01f9e9aeb9e14p-13, 0x1.00cfd2b4c62e6p-13, 0x1.ff4c0e68d6589p-14, 0x1.fcf9157af40e1p-14, 0x1.faa6c1a4ee63bp-14, 0x1.f85519d1e8f37p-14, 0x1.f60424d3d462bp-14, 0x1.f3b3e9626e941p-14, 0x1.f1646e1c50debp-14, 0x1.ef15b986f00e6p-14, 0x1.ecc7d20ea7328p-14, 0x1.ea7abe06f8782p-14, 0x1.e82e83aae9098p-14, 0x1.e5e3291ce9a31p-14, 0x1.e398b467206f2p-14, 0x1.e14f2b7c00583p-14, 0x1.df069435b71e5p-14, 0x1.dcbef456ea7dcp-14, 0x1.da78518af007p-14, 0x1.d832b1657c0e9p-14, 0x1.d5ee19636f0ap-14, 0x1.d3aa8eea9f84dp-14, 0x1.d168174a36001p-14, 0x1.cf26b7badd961p-14, 0x1.cce6755ec05fdp-14, 0x1.caa755422261cp-14, 0x1.c8695c5b03dedp-14, 0x1.c62c8f89f984ap-14, 0x1.c3f0f399ac84cp-14, 0x1.c1b68d3f6717ap-14, 0x1.bf7d611ba0ffep-14, 0x1.bd4573b95b9bcp-14, 0x1.bb0ec98ec7a0ep-14, 0x1.b8d966fdf5a6bp-14, 0x1.b6a55053d0f0fp-14, 0x1.b47289c93876p-14, 0x1.b241178341864p-14, 0x1.b010fd92c9e89p-14, 0x1.ade23ff4eebf9p-14, 0x1.abb4e29375057p-14, 0x1.a988e944b5bafp-14, 0x1.a75e57cbe4294p-14, 0x1.a53531d9117bep-14, 0x1.a30d7b09844ddp-14, 0x1.a0e736e82f608p-14, 0x1.9ec268ed215p-14, 0x1.9c9f147e54a44p-14, 0x1.9a7d3cefdea74p-14, 0x1.985ce5839e266p-14, 0x1.963e1169ddfp-14, 0x1.9420c3c14d141p-14, 0x1.9204ff9734655p-14, 0x1.8feac7e7ac83cp-14, 0x1.8dd21f9de8156p-14, 0x1.8bbb0993ed28p-14, 0x1.89a58893380aep-14, 0x1.87919f54fb144p-14, 0x1.857f50818835ep-14, 0x1.836e9eb18a6ffp-14, 0x1.815f8c6d6f099p-14, 0x1.7f521c2da5845p-14, 0x1.7d46505b5b51dp-14, 0x1.7b3c2b4fc69a4p-14, 0x1.7933af54fb2a8p-14, 0x1.772cdea62304cp-14, 0x1.7527bb6ece327p-14, 0x1.732447cc47f55p-14, 0x1.712285ccbf81fp-14, 0x1.6f227770018cp-14, 0x1.6d241ea7917eap-14, 0x1.6b277d56ab1bbp-14, 0x1.692c95527e786p-14, 0x1.6733686258b3dp-14, 0x1.653bf83fb9f13p-14, 0x1.63464696bb2p-14, 0x1.61525505d56b1p-14, 0x1.5f60251e5b756p-14, 0x1.5d6fb86492646p-14, 0x1.5b81104f7e886p-14, 0x1.59942e49a72dfp-14, 0x1.57a913b0c053bp-14, 0x1.55bfc1d5ef1eap-14, 0x1.53d839fdff2d2p-14, 0x1.51f27d61bc1e7p-14, 0x1.500e8d2d7c1f1p-14, 0x1.4e2c6a8212057p-14, 0x1.4c4c16742371dp-14, 0x1.4a6d920cff89bp-14, 0x1.4890de4a6ba04p-14, 0x1.46b5fc1e8ae5p-14, 0x1.44dcec709cfaep-14, 0x1.4305b01ca1bcep-14, 0x1.413047f3aa204p-14, 0x1.3f5cb4bc1aaddp-14, 0x1.3d8af73171ae2p-14, 0x1.3bbb1004e8085p-14, 0x1.39ecffdd236f2p-14, 0x1.3820c7569b70dp-14, 0x1.36566703b9b5ep-14, 0x1.348ddf6c88381p-14, 0x1.32c7310fdea3fp-14, 0x1.31025c621b62ap-14, 0x1.2f3f61ce97995p-14, 0x1.2d7e41b6ea5e9p-14, 0x1.2bbefc733491dp-14, 0x1.2a0192529d55bp-14, 0x1.2846039b015c4p-14, 0x1.268c508960113p-14, 0x1.24d47951cb63bp-14, 0x1.231e7e1fa7e7fp-14, 0x1.216a5f15a1abfp-14, 0x1.1fb81c4e10bc8p-14, 0x1.1e07b5dac0c2fp-14, 0x1.1c592bc572009p-14, 0x1.1aac7e0f6bf5dp-14, 0x1.1901acb23f09fp-14, 0x1.1758b79f55089p-14, 0x1.15b19ec059cb8p-14, 0x1.140c61f78687ep-14, 0x1.1269011f1888ep-14, 0x1.10c77c0a2afbp-14, 0x1.0f27d28456b9dp-14, 0x1.0d8a0451ff69dp-14, 0x1.0bee113062c89p-14, 0x1.0a53f8d5a4be4p-14, 0x1.08bbbaf12126ep-14, 0x1.0725572b47129p-14, 0x1.0590cd25e864fp-14, 0x1.03fe1c7bf365ap-14, 0x1.026d44c23916ep-14, 0x1.00de4586bd635p-14, 0x1.fea23ca2fd136p-15, 0x1.fb8b9d482b455p-15, 0x1.f878abf40155ap-15, 0x1.f5696791cc7d9p-15, 0x1.f25dcf008bf6dp-15, 0x1.ef55e113d4534p-15, 0x1.ec519c940aef4p-15, 0x1.e951003dbec58p-15, 0x1.e6540ac2c1751p-15, 0x1.e35abac9ff43ap-15, 0x1.e0650eef515b9p-15, 0x1.dd7305c474987p-15, 0x1.da849dd058439p-15, 0x1.d799d590320f7p-15, 0x1.d4b2ab76d6eafp-15, 0x1.d1cf1ded79f56p-15, 0x1.ceef2b5385f1ap-15, 0x1.cc12d1fef4766p-15, 0x1.c93a103c5523p-15, 0x1.c664e44f1214p-15, 0x1.c3934c71c9f54p-15, 0x1.c0c546d5d8648p-15, 0x1.bdfad1a45f1d8p-15, 0x1.bb33eafdb9d3p-15, 0x1.b87090f9ee3b5p-15, 0x1.b5b0c1a8c4907p-15, 0x1.b2f47b121057p-15, 0x1.b03bbb35ae352p-15, 0x1.ad86800bb54e5p-15, 0x1.aad4c784bbb7ep-15, 0x1.a8268f89d2261p-15, 0x1.a57bd5fcd7263p-15, 0x1.a2d498b8662f9p-15, 0x1.a030d5902a812p-15, 0x1.9d908a50fbf47p-15, 0x1.9af3b4c0e0caap-15, 0x1.985a529f48c2bp-15, }}, 
      {{-0x1.73879f45794edp-1, -0x1.738edd34023d2p-1, -0x1.739804fc9cc9fp-1, -0x1.73a01548e3701p-1, -0x1.73a43300ded59p-1, -0x1.73a1f5025f55ap-1, -0x1.73977ed7cc6f5p-1, -0x1.73838086ee58cp-1, -0x1.7365297a6e136p-1, -0x1.733c166f94106p-1, -0x1.73083e65bee83p-1, -0x1.72c9e052eabd8p-1, -0x1.72817243e9131p-1, -0x1.722f9216cfdd3p-1, -0x1.71d4f7d8580a2p-1, -0x1.717269c82ffcfp-1, -0x1.7108b20b04d48p-1, -0x1.70989610add35p-1, -0x1.7022cfaec0efbp-1, -0x1.6fa807e565c7fp-1, -0x1.6f28d337e7f5fp-1, -0x1.6ea5af76c6643p-1, -0x1.6e1f02cf737b4p-1, -0x1.6d951befb8023p-1, -0x1.6d083307b41a2p-1, -0x1.6c786b75cff1ap-1, -0x1.6be5d5eac9303p-1, -0x1.6b5072d8e17bfp-1, -0x1.6ab835074878bp-1, -0x1.6a1d042982597p-1, -0x1.697ebf615bb32p-1, -0x1.68dd3f98657eap-1, -0x1.683859a3deac5p-1, -0x1.678fe02b03349p-1, -0x1.66e3a54c075cap-1, -0x1.66337bff6ac0bp-1, -0x1.657f393bf3fbfp-1, -0x1.64c6b4df8334fp-1, -0x1.6409ca6226e95p-1, -0x1.634859599b048p-1, -0x1.628245d396533p-1, -0x1.61b7788d42edp-1, -0x1.60e7df0de7f96p-1, -0x1.60136baa55fecp-1, -0x1.5f3a15760b74ap-1, -0x1.5e5bd82669a32p-1, -0x1.5d78b3eba1802p-1, -0x1.5c90ad426caa9p-1, -0x1.5ba3ccc100668p-1, -0x1.5ab21ee12dc7cp-1, -0x1.59bbb3c91e476p-1, -0x1.58c09f13c0be2p-1, -0x1.57c0f7999d81ep-1, -0x1.56bcd73a890cbp-1, -0x1.55b45aa8744c3p-1, -0x1.54a7a13374c21p-1, -0x1.5396cc96ffa15p-1, -0x1.528200c848824p-1, -0x1.516963c59da28p-1, -0x1.504d1d66a89ffp-1, -0x1.4f2d572d6ddbp-1, -0x1.4e0a3c17f4f4p-1, -0x1.4ce3f872834c5p-1, -0x1.4bbab9aa622abp-1, -0x1.4a8eae212cfecp-1, -0x1.49600500b2184p-1, -0x1.482eee0f74c72p-1, -0x1.46fb9985e94d2p-1, -0x1.45c637e48a4abp-1, -0x1.448ef9cae638ep-1, -0x1.43560fcfcdd6fp-1, -0x1.421baa5acb58cp-1, -0x1.40dff97f04dc9p-1, -0x1.3fa32cd7b7e5dp-1, -0x1.3e6573666b8bdp-1, -0x1.3d26fb7301635p-1, -0x1.3be7f26dbc711p-1, -0x1.3aa884d35d27ap-1, -0x1.3968de136407fp-1, -0x1.382928788b626p-1, -0x1.36e98d1383701p-1, -0x1.35aa33a7f32efp-1, -0x1.346b429bc1bep-1, -0x1.332cdee8a1d94p-1, -0x1.31ef2c0fd5c7fp-1, -0x1.30b24c101de3p-1, -0x1.2f765f5dc3682p-1, -0x1.2e3b84dca5df7p-1, -0x1.2d01d9dc37f16p-1, -0x1.2bc97a154f4f3p-1, -0x1.2a927fa9abf97p-1, -0x1.295d032519dc2p-1, -0x1.28291b800bfddp-1, -0x1.26f6de23958c1p-1, -0x1.25c65eee9cecfp-1, -0x1.2497b03c2c77dp-1, -0x1.236ae2eabe877p-1, -0x1.224006646a111p-1, -0x1.211728a7ccc9dp-1, -0x1.1ff056519ca4fp-1, -0x1.1ecb9aa6bf04bp-1, -0x1.1da8ff9ed0831p-1, -0x1.1c888def0244ap-1, -0x1.1b6a4d1537115p-1, -0x1.1a4e43634b4eap-1, -0x1.1934760a75625p-1, -0x1.181ce926aa433p-1, -0x1.17079fc9f9e6bp-1, -0x1.15f49c07d3459p-1, -0x1.14e3df00236f4p-1, -0x1.13d568ea46dffp-1, -0x1.12c9391fc057fp-1, -0x1.11bf4e26b1e83p-1, -0x1.10b7a5bc0cfd4p-1, -0x1.0fb23cdd76fc3p-1, -0x1.0eaf0fd2ddd53p-1, -0x1.0dae1a37b9055p-1, -0x1.0caf5703f65f9p-1, -0x1.0bb2c0948fc0ep-1, -0x1.0ab850b3c93f2p-1, -0x1.09c000a11b8f9p-1, -0x1.08c9c918c8393p-1, -0x1.07d5a25b19c74p-1, -0x1.06e38433530e7p-1, -0x1.05f365fe4ff12p-1, -0x1.05053eb0da0dap-1, -0x1.041904ddb388fp-1, -0x1.032eaebb5e1f5p-1, -0x1.024632299cb69p-1, -0x1.015f84b6b9216p-1, -0x1.007a9ba48d3p-1, -0x1.ff2ed7daaa71bp-2, -0x1.fd6bd490998p-2, -0x1.fbac165c3971ep-2, -0x1.f9ef85ba35014p-2, -0x1.f8360ababfd71p-2, -0x1.f67f8d097316fp-2, -0x1.f4cbf3f4e9b4fp-2, -0x1.f31b267614aa6p-2, -0x1.f16d0b375bb5bp-2, -0x1.efc1889b80f88p-2, -0x1.ee1884c4589a4p-2, -0x1.ec71e5994e47cp-2, -0x1.eacd90cdc8651p-2, -0x1.e92b6be762c88p-2, -0x1.e78b5c440798dp-2, -0x1.e5ed471fec05p-2, -0x1.e451119b73eafp-2, -0x1.e2b6a0c0f562dp-2, -0x1.e11dd98a6f18fp-2, -0x1.df86a0e723d31p-2, -0x1.ddf0dbc124cfcp-2, -0x1.dc5c6f02ca1c6p-2, -0x1.dac93f9c1d497p-2, -0x1.d93732882e923p-2, -0x1.d7a62cd262192p-2, -0x1.d616139ba8e97p-2, -0x1.d486cc1fae19p-2, -0x1.d2f83bb9f7288p-2, -0x1.d16a47eaf17b1p-2, -0x1.cfdcd65cf8c36p-2, -0x1.ce4fcce944d11p-2, -0x1.ccc3119cd2864p-2, -0x1.cb368abd342d3p-2, -0x1.c9aa1ecd565ddp-2, -0x1.c81db492326acp-2, -0x1.c69133176de53p-2, -0x1.c50481b3e7a7ap-2, -0x1.c377880e33492p-2, -0x1.c1ea2e20fa9dfp-2, -0x1.c05c5c3f4f628p-2, -0x1.becdfb18e283ap-2, -0x1.bd3ef3be25d9p-2, -0x1.bbaf2fa4522b5p-2, -0x1.ba1e98a9596f4p-2, -0x1.b88d1917b6b2dp-2, -0x1.b6fa9baa2a3fdp-2, -0x1.b5670b8f53709p-2, -0x1.b3d2546d3173p-2, -0x1.b23c6264829e9p-2, -0x1.b0a5221406532p-2, -0x1.af0c809ba07eap-2, -0x1.ad726b9f5912cp-2, -0x1.abd6d14a3d926p-2, -0x1.aa39a0511e8e9p-2, -0x1.a89ac7f52c273p-2, -0x1.a6fa38066e7bap-2, -0x1.a557e0e61a7b4p-2, -0x1.a3b3b388c3f75p-2, -0x1.a20da17869e27p-2, -0x1.a0659cd65d9e2p-2, -0x1.9ebb985d06a8dp-2, -0x1.9d0f876180087p-2, -0x1.9b615dd50fe24p-2, -0x1.99b110467a91bp-2, -0x1.97fe93e32db9bp-2, -0x1.9649de7849e8dp-2, -0x1.9492e67381949p-2, -0x1.92d9a2e3d4e56p-2, -0x1.911e0b7a2890cp-2, -0x1.8f601889b6706p-2, -0x1.8d9fc30858469p-2, -0x1.8bdd048eafc3cp-2, -0x1.8a17d7582849p-2, -0x1.88503642d50a8p-2, -0x1.86861ccf2b21bp-2, -0x1.84b9871f9a32ep-2, -0x1.82ea71f7fecedp-2, -0x1.8118dabcf75dbp-2, -0x1.7f44bf7312554p-2, -0x1.7d6e1ebdde87cp-2, -0x1.7b94f7dedae63p-2, -0x1.79b94ab446287p-2, -0x1.77db17b7ce59dp-2, -0x1.75fa5ffd219c4p-2, -0x1.74172530679ccp-2, -0x1.7231699494533p-2, -0x1.70493001a6879p-2, -0x1.6e5e7be2c8df4p-2, -0x1.6c71513458f83p-2, -0x1.6a81b481d1ec9p-2, -0x1.688faae3a6215p-2, -0x1.669b39fcf8881p-2, -0x1.64a467f9452bp-2, -0x1.62ab3b89f2da2p-2, -0x1.60afbbe3cf4b7p-2, -0x1.5eb1f0bc761fp-2, -0x1.5cb1e247aa405p-2, -0x1.5aaf993495c61p-2, -0x1.58ab1eab00246p-2, -0x1.56a47c4870241p-2, -0x1.549bbc1d40a87p-2, -0x1.5290e8a9a680bp-2, -0x1.50840cdaa9787p-2, -0x1.4e75340711f8ap-2, -0x1.4c6469ec4c8b6p-2, -0x1.4a51baab3f4c5p-2, -0x1.483d32c51c454p-2, -0x1.4626df1823f59p-2, -0x1.440eccdc68ba4p-2, -0x1.41f509a086571p-2, -0x1.3fd9a34654a7ep-2, -0x1.3dbca7ff9891p-2, -0x1.3b9e264aae558p-2, -0x1.397e2cef337dcp-2, -0x1.375ccafaab05ep-2, -0x1.353a0fbd25f23p-2, -0x1.33160ac5e85f1p-2, -0x1.30f0cbe00c5d9p-2, -0x1.2eca630f2d9c5p-2, -0x1.2ca2e08c0fc8ap-2, -0x1.2a7a54c14b894p-2, -0x1.2850d047ff6dcp-2, -0x1.262663e482303p-2, -0x1.23fb20831dc24p-2, -0x1.21cf1734cbac3p-2, -0x1.1fa2592bfcdb7p-2, -0x1.1d74f7b964144p-2, -0x1.1b470448ca10ap-2, -0x1.1918905de8383p-2, -0x1.16e9ad914de5fp-2, -0x1.14ba6d8d4e095p-2, -0x1.128ae20af6747p-2, -0x1.105b1ccf10d6fp-2, -0x1.0e2b2fa72f28ap-2, -0x1.0bfb2c66c4d4cp-2, -0x1.09cb24e4452cbp-2, -0x1.079b2af658b94p-2, -0x1.056b5071136dp-2, -0x1.033ba7233f82bp-2, -0x1.010c40d3b0b64p-2, -0x1.fdba5e7d530d6p-3, -0x1.f95d08268fe33p-3, -0x1.f500a1e20cd3ap-3, -0x1.f0a54eca8f9a1p-3, -0x1.ec4b31d1e034bp-3, -0x1.e7f26dbc21e6ep-3, -0x1.e39b251b3eb41p-3, -0x1.df457a4a78adfp-3, -0x1.daf18f6a15a54p-3, -0x1.d69f865b2c482p-3, -0x1.d24f80bb8ba39p-3, -0x1.ce019fe1c8778p-3, -0x1.c9b604d95fa74p-3, -0x1.c56cd05f05869p-3, -0x1.c12622dd05dc6p-3, -0x1.bce21c67ce1ebp-3, -0x1.b8a0dcba95969p-3, -0x1.b46283341b816p-3, -0x1.b0272ed3920e5p-3, -0x1.abeefe35a11bfp-3, -0x1.a7ba0f9188a01p-3, -0x1.a38880b6647c7p-3, -0x1.9f5a6f0889d5ap-3, -0x1.9b2ff77f0ea2cp-3, -0x1.970936a15e6ecp-3, -0x1.92e64885021ep-3, -0x1.8ec748cb72425p-3, -0x1.8aac52a01569ep-3, -0x1.869580b6554c9p-3, -0x1.8282ed47cd7c3p-3, -0x1.7e74b212a60ebp-3, -0x1.7a6ae857f8d7cp-3, -0x1.7665a8da5c73dp-3, -0x1.72650bdc8a98ep-3, -0x1.6e692920228c4p-3, -0x1.6a7217e47d305p-3, -0x1.667feee5ad0cfp-3, -0x1.6292c45b88056p-3, -0x1.5eaaadf8d27a9p-3, -0x1.5ac7c0ea84d0cp-3, -0x1.56ea11d7244fdp-3, -0x1.5311b4de39eabp-3, -0x1.4f3ebd97dd42bp-3, -0x1.4b713f14584b8p-3, -0x1.47a94bdbe1ce1p-3, -0x1.43e6f5ee6d079p-3, -0x1.402a4ec391e9bp-3, -0x1.3c73674a87d37p-3, -0x1.38c24fea33a41p-3, -0x1.3517188153b61p-3, -0x1.3171d066acbb5p-3, -0x1.2dd2866963758p-3, -0x1.2a3948d14cc18p-3, -0x1.26a6255f6a7eep-3, -0x1.2319294e64f2ap-3, -0x1.1f92615322f3ap-3, -0x1.1c11d99d691fep-3, -0x1.18979dd89456dp-3, -0x1.1523b92c56d72p-3, -0x1.11b6363d8c3abp-3, -0x1.0e4f1f2f1aa55p-3, -0x1.0aee7da2e2e64p-3, -0x1.07945abab8854p-3, -0x1.0440bf196e0a8p-3, -0x1.00f3b2e3eaf36p-3, -0x1.fb5a7b849323cp-4, -0x1.f4dacdc20b457p-4, -0x1.ee6869e4675ep-4, -0x1.e8035c5d85f7dp-4, -0x1.e1abb0af95d47p-4, -0x1.db61716fbb389p-4, -0x1.d524a848d15eep-4, -0x1.cef55dfe34b5ep-4, -0x1.c8d39a6ea23a9p-4, -0x1.c2bf6497286a6p-4, -0x1.bcb8c2961d7c5p-4, -0x1.b6bfb9ae2ab68p-4, -0x1.b0d44e496414p-4, -0x1.aaf683fc636fdp-4, -0x1.a5265d898359cp-4, -0x1.9f63dce4030d2p-4, -0x1.99af033358249p-4, -0x1.9407d0d6677fap-4, -0x1.8e6e4566e7ad9p-4, -0x1.88e25fbcab3dp-4, -0x1.83641df104351p-4, -0x1.7df37d6226251p-4, -0x1.78907ab6931d7p-4, -0x1.733b11e085d72p-4, -0x1.6df33e2162b85p-4, -0x1.68b8fa0d2ed36p-4, -0x1.638c3f8e03084p-4, -0x1.5e6d07e787693p-4, -0x1.595b4bba6b1bcp-4, -0x1.54570307dceddp-4, -0x1.4f6025350a993p-4, -0x1.4a76a90e970f9p-4, -0x1.459a84cc1287dp-4, -0x1.40cbae13755c7p-4, -0x1.3c0a19fc932c6p-4, -0x1.3755bd148f36bp-4, -0x1.32ae8b614818p-4, -0x1.2e147864cdbb8p-4, -0x1.29877720bf05bp-4, -0x1.25077a19b861ap-4, -0x1.2094735aae13fp-4, -0x1.1c2e5478495dep-4, -0x1.17d50e943db5ep-4, -0x1.138892609aa89p-4, -0x1.0f48d02314669p-4, -0x1.0b15b7b846de8p-4, -0x1.06ef3896f5d96p-4, -0x1.02d541d340c61p-4, -0x1.fd8f8443a54cbp-5, -0x1.f58d4fb611ac3p-5, -0x1.eda3c1fc26f9fp-5, -0x1.e5d2b6681a0ebp-5, -0x1.de1a07a6130f5p-5, -0x1.d6798fc240edp-5, -0x1.cef1282ec84e4p-5, -0x1.c780a9c9bf7bep-5, -0x1.c027ece2fb837p-5, -0x1.b8e6c941df1bp-5, -0x1.b1bd162b05fc9p-5, -0x1.aaaaaa65f14edp-5, -0x1.a3af5c428a8a1p-5, -0x1.9ccb019ea3e66p-5, -0x1.95fd6feb5fceap-5, -0x1.8f467c327c2ep-5, -0x1.88a5fb1b9ecb1p-5, -0x1.821bc0f16ef97p-5, -0x1.7ba7a1a6b491cp-5, -0x1.754970db5d94dp-5, -0x1.6f0101e162bbep-5, -0x1.68ce27c19ce7cp-5, -0x1.62b0b5408ef3dp-5, -0x1.5ca87ce31308dp-5, -0x1.56b550f2ee9adp-5, -0x1.50d7038359623p-5, -0x1.4b0d667569f19p-5, -0x1.45584b7c6f4b8p-5, -0x1.3fb7842238e0cp-5, -0x1.3a2ae1cb3ee45p-5, -0x1.34b235bac178fp-5, -0x1.2f4d5116cf985p-5, -0x1.29fc04ec2f039p-5, -0x1.24be22323d2a9p-5, -0x1.1f9379ceb717dp-5, -0x1.1a7bdc9964dcbp-5, -0x1.15771b5fbb7ddp-5, -0x1.108506e8636dap-5, -0x1.0ba56ff6adc9bp-5, -0x1.06d8274dedcbcp-5, -0x1.021cfdb4cda8cp-5, -0x1.fae787f0f53d2p-6, -0x1.f1b895dfaa767p-6, -0x1.e8acc6fce4fcap-6, -0x1.dfc3bd2f469f1p-6, -0x1.d6fd1a82a9ceep-6, -0x1.ce58812dd7e23p-6, -0x1.c5d5939800b65p-6, -0x1.bd73f45e243f5p-6, -0x1.b533465845e8ap-6, -0x1.ad132c9e79414p-6, -0x1.a5134a8de149cp-6, -0x1.9d3343cd63c26p-6, -0x1.9572bc526e10ep-6, -0x1.8dd1586552b53p-6, -0x1.864ebca5d0427p-6, -0x1.7eea8e0f319b6p-6, -0x1.77a471fc7753fp-6, -0x1.707c0e2c4f1d8p-6, -0x1.697108c4e5325p-6, -0x1.62830857af6cep-6, -0x1.5bb1b3e4e8258p-6, -0x1.54fcb2df17241p-6, -0x1.4e63ad2e71c08p-6, -0x1.47e64b33ff338p-6, -0x1.418435ccbaca9p-6, -0x1.3b3d16549cc71p-6, -0x1.351096a965508p-6, -0x1.2efe612d71f4ep-6, -0x1.290620ca56a4dp-6, -0x1.232780f365cc5p-6, -0x1.1d622da82b0c5p-6, -0x1.17b5d376ae5d7p-6, -0x1.12221f7dba02fp-6, -0x1.0ca6bf6ef0a43p-6, -0x1.07436190d065dp-6, -0x1.01f7b4c0a51fcp-6, -0x1.f986d0e8ad5fap-7, -0x1.ef4c597842f8p-7, -0x1.e53f648875186p-7, -0x1.db5f54acb76eap-7, -0x1.d1ab8db6712fap-7, -0x1.c82374b7b01c1p-7, -0x1.bec67005c66a2p-7, -0x1.b593e73b9e16ep-7, -0x1.ac8b433c0adp-7, -0x1.a3abee33c603bp-7, -0x1.9af5539b654f8p-7, -0x1.9266e0391b741p-7, -0x1.8a0002225a52cp-7, -0x1.81c028bd2e8cep-7, -0x1.79a6c4c1cc64cp-7, -0x1.71b3483b6e1b2p-7, -0x1.69e52689a8851p-7, -0x1.623bd46132e4dp-7, -0x1.5ab6c7cca650ep-7, -0x1.5355782d3e836p-7, -0x1.4c175e3b4a717p-7, -0x1.44fbf406b43eap-7, -0x1.3e02b4f72c4dep-7, -0x1.372b1dcc6536p-7, -0x1.3074ac9e2d167p-7, -0x1.29dee0dc66d64p-7, -0x1.23693b4ec6723p-7, -0x1.1d133e14bc4c2p-7, -0x1.16dc6ca4feab7p-7, -0x1.10c44bcd27a44p-7, -0x1.0aca61b127cb2p-7, -0x1.04ee35cab3227p-7, -0x1.fe5ea1d0decfep-8, -0x1.f31a7a5a8e3a1p-8, -0x1.e80f0c1ee168p-8, -0x1.dd3b70aefa655p-8, -0x1.d29ec43ec898ap-8, -0x1.c83825a295134p-8, -0x1.be06b64ccbf55p-8, -0x1.b4099a4b48d84p-8, -0x1.aa3ff8450a864p-8, -0x1.a0a8f976fa41bp-8, -0x1.9743c9b17e8ep-8, -0x1.8e0f9754fbd05p-8, -0x1.850b934f03bc6p-8, -0x1.7c36f1171110ep-8, -0x1.7390e6aaf3ac9p-8, -0x1.6b18ac8b8e434p-8, -0x1.62cd7db9345fap-8, -0x1.5aae97aff8a1cp-8, -0x1.52bb3a63f55c3p-8, -0x1.4af2a83d78c3fp-8, -0x1.4354261501d5dp-8, -0x1.3bdefb2f6f9edp-8, -0x1.34927139a457bp-8, -0x1.2d6dd444983f2p-8, -0x1.267072c11a432p-8, -0x1.1f999d7b4c8dp-8, -0x1.18e8a7969d2dfp-8, -0x1.125ce6891d833p-8, -0x1.0bf5b21723e93p-8, -0x1.05b2644ec1cdbp-8, -0x1.ff24b3063fba2p-9, -0x1.f329e08fe4377p-9, -0x1.e77312d9ad37dp-9, -0x1.dbff0ff0de79cp-9, -0x1.d0cca247d892ep-9, -0x1.c5da98ac0a912p-9, -0x1.bb27c63c795a8p-9, -0x1.b0b3025ff8cd4p-9, -0x1.a67b28bba98d7p-9, -0x1.9c7f1929168f8p-9, -0x1.92bdb7ac0853p-9, -0x1.8935ec691274p-9, -0x1.7fe6a39b3d3d4p-9, -0x1.76cecd8a99fb4p-9, -0x1.6ded5e817e378p-9, -0x1.65414ec36f4d9p-9, -0x1.5cc99a822dccbp-9, -0x1.548541d44549ap-9, -0x1.4c7348aad0f6bp-9, -0x1.4492b6c75990ep-9, -0x1.3ce297b1a38ap-9, -0x1.3561faadf6cb6p-9, -0x1.2e0ff2b29f3p-9, -0x1.26eb965e27e4fp-9, -0x1.1ff3ffed2b439p-9, -0x1.19284d30269cbp-9, -0x1.12879f81ca6d5p-9, -0x1.0c111bbc67248p-9, -0x1.05c3ea307242fp-9, -0x1.ff3e6d34633b6p-10, -0x1.f344603029298p-10, -0x1.e79812407b1d9p-10, -0x1.dc37eeeed45a1p-10, -0x1.d122684c6970cp-10, -0x1.c655f6dfdda4ap-10, -0x1.bbd11990cc1a1p-10, -0x1.b1925594ebfabp-10, -0x1.a798365c169f5p-10, -0x1.9de14d7d1ce3ep-10, -0x1.946c32a2a45cdp-10, -0x1.8b378377cd61fp-10, -0x1.8241e39576b87p-10, -0x1.7989fc6ee15d3p-10, -0x1.710e7d3f1dd7bp-10, -0x1.68ce1af6251bfp-10, -0x1.60c7902634fa2p-10, -0x1.58f99cf165fa1p-10, -0x1.516306f722d05p-10, -0x1.4a029941e4816p-10, -0x1.42d72435200f6p-10, -0x1.3bdf7d7b13806p-10, -0x1.351a7ff3025c1p-10, -0x1.2e870b9f3e5eep-10, -0x1.2824059395812p-10, -0x1.21f057e3cea24p-10, -0x1.1beaf1922512dp-10, -0x1.1612c67e0c2dcp-10, -0x1.1066cf5338bfdp-10, -0x1.0ae6097840997p-10, -0x1.058f76fe6d7f6p-10, -0x1.00621e9020802p-10, -0x1.f6ba16c23cfaep-11, -0x1.ecfe9a3aab5f3p-11, -0x1.e38fefb24d291p-11, -0x1.da6c48027a96fp-11, -0x1.d191dc9411123p-11, -0x1.c8feef40e3fb8p-11, -0x1.c0b1ca33ea8e3p-11, -0x1.b8a8bfca1c811p-11, -0x1.b0e22a7373cf3p-11, -0x1.a95c6c94dc4abp-11, -0x1.a215f069a3485p-11, -0x1.9b0d27e5760f3p-11, -0x1.94408c974bd1bp-11, -0x1.8dae9f8b39548p-11, -0x1.8755e92e2677bp-11, -0x1.8134f930fb841p-11, -0x1.7b4a666be7eadp-11, -0x1.7594cec25d297p-11, -0x1.7012d707cae2bp-11, -0x1.6ac32ae2c7715p-11, -0x1.65a47cb38728p-11, -0x1.60b585778b53p-11, -0x1.5bf504af9957bp-11, -0x1.5761c045ab85dp-11, -0x1.52fa8472ae1e6p-11, -0x1.4ebe23a44ac3bp-11, -0x1.4aab76645c9ap-11, -0x1.46c15b3f3e18bp-11, -0x1.42feb6ab04328p-11, -0x1.3f6272ef018c7p-11, -0x1.3beb800b8be88p-11, -0x1.3898d3a23021p-11, -0x1.356968dd6b30ap-11, -0x1.325c405a68eb4p-11, -0x1.2f7060107196ep-11, -0x1.2ca4d33b78b5p-11, -0x1.29f8aa44e562cp-11, -0x1.276afaad21c7cp-11, -0x1.24fadef69ae9fp-11, -0x1.22a7768eddf23p-11, -0x1.206fe5ba0d51dp-11, -0x1.1e53557d4a2acp-11, -0x1.1c50f38a3acc4p-11, -0x1.1a67f22a19297p-11, -0x1.18978829c88ccp-11, -0x1.16def0c58d2b1p-11, -0x1.153d6b9539085p-11, -0x1.13b23c78ccd42p-11, -0x1.123cab852cd0cp-11, -0x1.10dc04f139b5p-11, -0x1.0f8f9902d37c8p-11, -0x1.0e56bbfd25a8ep-11, -0x1.0d30c60d51592p-11, -0x1.0c1d1339484eap-11, -0x1.0b1b034df0debp-11, -0x1.0a29f9cd8d392p-11, -0x1.09495dde9b271p-11, -0x1.08789a3afa452p-11, -0x1.07b71d1eef8ffp-11, -0x1.07045838e0e9ep-11, -0x1.065fc0990d3f9p-11, -0x1.05c8cea164a68p-11, -0x1.053efdf622d07p-11, -0x1.04c1cd6d90a4dp-11, -0x1.0450bf01b132ep-11, -0x1.03eb57c078633p-11, -0x1.03911fbceb669p-11, -0x1.0341a200b87c9p-11, -0x1.02fc6c7db6a28p-11, -0x1.02c10fffecd16p-11, -0x1.028f201f31a6p-11, -0x1.02663331b07f4p-11, -0x1.0245e23e11d5ap-11, -0x1.022dc8ee63a72p-11, -0x1.021d8582f7873p-11, -0x1.0214b8c52bbep-11, -0x1.021305fad7e25p-11, -0x1.021812da0bddfp-11, -0x1.0223877c17336p-11, -0x1.02350e51dbf37p-11, -0x1.024c5417c560ap-11, -0x1.026907c9da7e4p-11, -0x1.028ada983ef63p-11, -0x1.02b17fdc1499p-11, -0x1.02dcad0bb58eap-11, -0x1.030c19b035b73p-11, -0x1.033f7f5a430afp-11, -0x1.037699979891p-11, -0x1.03b125e8468ebp-11, -0x1.03eee3b4cac66p-11, -0x1.042f944379fa4p-11, -0x1.0472faaedcd96p-11, -0x1.04b8dbdb93c84p-11, -0x1.0500fe6edd769p-11, -0x1.054b2ac5305f8p-11, -0x1.05972ae8882e5p-11, -0x1.05e4ca87b242bp-11, -0x1.0633d6ed01507p-11, -0x1.06841ef57569ep-11, -0x1.06d5730830d36p-11, -0x1.0727a50d9dcd5p-11, -0x1.077a88675dad9p-11, -0x1.07cdf1e7a2e73p-11, -0x1.0821b7c98f615p-11, -0x1.0875b1a8bd8ebp-11, -0x1.08c9b879c3b27p-11, -0x1.091da682468dbp-11, -0x1.09715751856c3p-11, -0x1.09c4a7b8fa3bdp-11, -0x1.0a1775c4dd0aap-11, -0x1.0a69a0b519e98p-11, -0x1.0abb08f667aeep-11, -0x1.0b0b901b1c4bcp-11, -0x1.0b5b18d49ab3fp-11, -0x1.0ba986ec7a4a2p-11, -0x1.0bf6bf3e29795p-11, -0x1.0c42a7b05da32p-11, -0x1.0c8d272ee41c4p-11, -0x1.0cd625a44778ep-11, -0x1.0d1d8bf40e328p-11, -0x1.0d6343f45d075p-11, -0x1.0da738687c1b6p-11, -0x1.0de954facb884p-11, -0x1.0e29863765c48p-11, -0x1.0e67b9865ae86p-11, -0x1.0ea3dd268224fp-11, -0x1.0edde027f4894p-11, -0x1.0f15b26702ba6p-11, -0x1.0f4b4486e95ep-11, -0x1.0f7e87ecf4155p-11, -0x1.0faf6ebb7b167p-11, -0x1.0fddebcd0c3c1p-11, -0x1.1009f2afd5d51p-11, -0x1.103377a0dd705p-11, -0x1.105a6f8777829p-11, -0x1.107ecff0eabb7p-11, -0x1.10a08f0bdf565p-11, -0x1.10bfa3a45d2efp-11, -0x1.10dc051f4ea93p-11, -0x1.10f5ab76a5478p-11, -0x1.110c8f351efffp-11, -0x1.1120a9727acfcp-11, -0x1.1131f3cf7a2fdp-11, -0x1.1140687228925p-11, -0x1.114c02021d04bp-11, -0x1.1154bba4d5b76p-11, -0x1.115a90fa2a7d5p-11, -0x1.115d7e18dc57dp-11, -0x1.115d7f8b08dc7p-11, -0x1.115a924afcdbcp-11, -0x1.1154b3bfc9545p-11, -0x1.114be1ba1cda9p-11, -0x1.11401a711a86ap-11, -0x1.11315c7f526fp-11, -0x1.111fa6dfaf1aep-11, -0x1.110af8ea87a8ep-11, -0x1.10f35252bfb1cp-11, -0x1.10d8b32314e1cp-11, -0x1.10bb1bbb20e89p-11, -0x1.109a8cccceeddp-11, -0x1.10770759a7236p-11, -0x1.10508cb03e259p-11, -0x1.10271e69ae435p-11, -0x1.0ffabe672170bp-11, -0x1.0fcb6ecf64016p-11, -0x1.0f99320c89a04p-11, -0x1.0f640ac996553p-11, -0x1.0f2bfbf0486a7p-11, -0x1.0ef108a6d57cep-11, -0x1.0eb3344dd5eeep-11, -0x1.0e72827e063f9p-11, -0x1.0e2ef706672efp-11, -0x1.0de895ea14b37p-11, -0x1.0d9f635e64509p-11, -0x1.0d5363c8e5ee7p-11, -0x1.0d049bbd93c17p-11, -0x1.0cb30ffcf80f5p-11, -0x1.0c5ec57262449p-11, -0x1.0c07c13225455p-11, -0x1.0bae0877eb959p-11, -0x1.0b51a0a50f1c4p-11, -0x1.0af28f3ee0af6p-11, -0x1.0a90d9ed3534dp-11, -0x1.0a2c8678c052cp-11, -0x1.09c59ac99d0f7p-11, -0x1.095c1ce5d4ddfp-11, -0x1.08f012efea0afp-11, -0x1.088183257fa9ep-11, -0x1.081073dde1c16p-11, -0x1.079ceb88d4dap-11, -0x1.0726f0ad2b009p-11, -0x1.06ae89e78fba7p-11, -0x1.0633bde94af7cp-11, -0x1.05b6937701ff1p-11, -0x1.05371167a2014p-11, -0x1.04b53ea321053p-11, -0x1.04312221871b6p-11, -0x1.03aac2e9bdecdp-11, -0x1.032228108570cp-11, -0x1.029758b779f9cp-11, -0x1.020a5c0c0a7f4p-11, -0x1.017b394682b84p-11, -0x1.00e9f7a921d18p-11, -0x1.00569e7f2775ep-11, -0x1.ff826a37e9c13p-12, -0x1.fe5385b45269cp-12, -0x1.fd209e35aa826p-12, -0x1.fbe9c28944d8ap-12, -0x1.faaf018609c9ap-12, -0x1.f9706a0af54cep-12, -0x1.f82e0afd8ce37p-12, -0x1.f6e7f34875f45p-12, -0x1.f59e31da14447p-12, -0x1.f450d5a31ef8dp-12, -0x1.f2ffed954475cp-12, -0x1.f1ab88a1f1d27p-12, -0x1.f053b5b90b6f1p-12, -0x1.eef883c7c42bcp-12, -0x1.ed9a01b755fecp-12, -0x1.ec383e6bea485p-12, -0x1.ead348c38b28p-12, -0x1.e96b2f950d9d8p-12, -0x1.e80001af0af91p-12, -0x1.e691cdd6e3c1ap-12, -0x1.e520a2c7c1409p-12, -0x1.e3ac8f31aade9p-12, -0x1.e235a1b89e341p-12, -0x1.e0bbe8f3b1e8ep-12, -0x1.df3f736c4ea51p-12, -0x1.ddc04f9d4794dp-12, -0x1.dc3e8bf219341p-12, -0x1.daba36c63275bp-12, -0x1.d9335e6432a9p-12, -0x1.d7aa110547585p-12, -0x1.d61e5cd06ce1ap-12, -0x1.d4904fd9c9a21p-12, -0x1.d2fff8221549bp-12, -0x1.d16d639601892p-12, -0x1.cfd8a00da6cd5p-12, -0x1.ce41bb4bff645p-12, -0x1.cca8c2fe4729p-12, -0x1.cb0dc4bb9b22ep-12, -0x1.c970ce046c1c4p-12, -0x1.c7d1ec42098a1p-12, -0x1.c6312cc631dbep-12, -0x1.c48e9ccaa0fdbp-12, -0x1.c2ea4970b55f7p-12, -0x1.c1443fc10b133p-12, -0x1.bf9c8cab1592p-12, -0x1.bdf33d04d412fp-12, -0x1.bc485d8a73dep-12, -0x1.ba9bfade13f34p-12, -0x1.b8ee21875a4e6p-12, -0x1.b73eddf33f35bp-12, -0x1.b58e3c73d0e0dp-12, -0x1.b3dc493fef048p-12, -0x1.b2291073089e6p-12, -0x1.b0749e0cee057p-12, -0x1.aebefdf19d927p-12, -0x1.ad083be90e088p-12, -0x1.ab50639f0b00bp-12, -0x1.a99780a300ac6p-12, -0x1.a7dd9e67e4dd2p-12, -0x1.a622c8440b558p-12, -0x1.a46709710dea9p-12, -0x1.a2aa6d0b9f076p-12, -0x1.a0ecfe1384b8ap-12, -0x1.9f2ec76b7e8dfp-12, -0x1.9d6fd3d92ea1dp-12, -0x1.9bb02e0504e23p-12, -0x1.99efe07a3be97p-12, -0x1.982ef5a6c7e14p-12, -0x1.966d77db45d8fp-12, -0x1.94ab714b0c6fp-12, -0x1.92e8ec0c10587p-12, -0x1.9125f216ed62bp-12, -0x1.8f628d46e519ap-12, -0x1.8d9ec759dabap-12, -0x1.8bdaa9f06b831p-12, -0x1.8a163e8de134p-12, -0x1.88518e984903cp-12, -0x1.868ca3587006ap-12, -0x1.84c785f9f7729p-12, -0x1.83023f8b5f6e1p-12, -0x1.813cd8fe20488p-12, -0x1.7f775b26b2223p-12, -0x1.7db1cebcabff7p-12, -0x1.7bec3c5ac26eep-12, -0x1.7a26ac7ef16b6p-12, -0x1.7861278a93541p-12, -0x1.769bb5c26f55cp-12, -0x1.74d65f4edb31ap-12, -0x1.73112c3bd475dp-12, -0x1.714c24791a29p-12, -0x1.6f874fda58ed1p-12, -0x1.6dc2b61736413p-12, -0x1.6bfe5ecb827f9p-12, -0x1.6a3a51774c3acp-12, -0x1.6876957f12aeap-12, -0x1.66b3322bd8aa6p-12, -0x1.64f02eab4ca59p-12, -0x1.632d92100433p-12, -0x1.616b6351865cp-12, -0x1.5fa9a94c7a03dp-12, -0x1.5de86ac2de33p-12, -0x1.5c27ae5c180d7p-12, -0x1.5a677aa52a377p-12, -0x1.58a7d610f5afbp-12, -0x1.56e8c6f839cf3p-12, -0x1.552a5399e065dp-12, -0x1.536c821b2067bp-12, -0x1.51af58879ecd8p-12, -0x1.4ff2dcd1b462cp-12, -0x1.4e3714d287e4fp-12, -0x1.4c7c064a3b0c6p-12, -0x1.4ac1b6e02d33dp-12, -0x1.49082c231984ep-12, -0x1.474f6b894ed01p-12, -0x1.45977a70d8fcp-12, -0x1.43e05e1fb86a3p-12, -0x1.422a1bc40d33p-12, -0x1.4074b87455bf7p-12, -0x1.3ec0392f942a1p-12, -0x1.3d0ca2dd75e15p-12, -0x1.3b59fa4e99751p-12, -0x1.39a8443cb8ecbp-12, -0x1.37f7854ad9839p-12, -0x1.3647c2058d6a1p-12, -0x1.3498fee3110b7p-12, -0x1.32eb404387da3p-12, -0x1.313e8a712fa76p-12, -0x1.2f92e1a090d3p-12, -0x1.2de849f0b8648p-12, -0x1.2c3ec76b62d3dp-12, -0x1.2a965e0539bc1p-12, -0x1.28ef119df9b04p-12, -0x1.2748e600b388ap-12, -0x1.25a3dee3f9df3p-12, -0x1.23ffffea1299dp-12, -0x1.225d4ca131e99p-12, -0x1.20bbc883a3462p-12, -0x1.1f1b76f8046d4p-12, -0x1.1d7c5b5173c5ep-12, -0x1.1bde78cfccb91p-12, -0x1.1a41d29fcc2ccp-12, -0x1.18a66bdb54f86p-12, -0x1.170c4789a014cp-12, -0x1.1573689f5b3c3p-12, -0x1.13dbd1fefae1cp-12, -0x1.12458678d0424p-12, -0x1.10b088cb508cbp-12, -0x1.0f1cdba3378fap-12, -0x1.0d8a819bc7acap-12, -0x1.0bf97d3f013d6p-12, -0x1.0a69d105bfd98p-12, -0x1.08db7f57ffb19p-12, -0x1.074e8a8cfe6f8p-12, -0x1.05c2f4eb73822p-12, -0x1.0438c0a9c9c25p-12, -0x1.02afefee45bb2p-12, -0x1.012884cf411c4p-12, -0x1.ff4502a6a203ap-13, -0x1.fc3bcee2f8e57p-13, -0x1.f9357222cd6c3p-13, -0x1.f631f01719266p-13, -0x1.f3314c52c895ep-13, -0x1.f0338a4b1f2adp-13, -0x1.ed38ad5829a7fp-13, -0x1.ea40b8b50d661p-13, -0x1.e74baf80634cdp-13, -0x1.e45994bcaceadp-13, -0x1.e16a6b50899a3p-13, -0x1.de7e360741365p-13, -0x1.db94f790e6566p-13, -0x1.d8aeb282e750fp-13, -0x1.d5cb6958427a7p-13, -0x1.d2eb1e71ef87p-13, -0x1.d00dd4173feb6p-13, -0x1.cd338c76299f1p-13, -0x1.ca5c49a399fa7p-13, -0x1.c7880d9bdc652p-13, -0x1.c4b6da42e7cc5p-13, -0x1.c1e8b164c29d8p-13, -0x1.bf1d94b5b9b87p-13, -0x1.bc5585d2c9d13p-13, -0x1.b9908641fd1cfp-13, -0x1.b6ce977294c12p-13, -0x1.b40fbabd946fap-13, -0x1.b153f165e3babp-13, -0x1.ae9b3c98beabep-13, -0x1.abe59d6dfcecp-13, -0x1.a93314e856381p-13, -0x1.a683a3f5c2c12p-13, -0x1.a3d74b6fbc06dp-13, -0x1.a12e0c1b8c1acp-13, -0x1.9e87e6aaae00cp-13, -0x1.9be4dbbb0921bp-13, -0x1.9944ebd7313ecp-13, -0x1.96a81776d1a15p-13, -0x1.940e5efed5a2cp-13, -0x1.9177c2c1d4c31p-13, -0x1.8ee443003cfdep-13, -0x1.8c53dfe8ba6p-13, -0x1.89c699984d8bdp-13, -0x1.873c701ad107cp-13, -0x1.84b5636b0edcap-13, -0x1.8231737330458p-13, -0x1.7fb0a00cd51b9p-13, -0x1.7d32e9017436p-13, -0x1.7ab84e0aaaaep-13, -0x1.7840ced25fe5bp-13, -0x1.75cc6af32c36dp-13, -0x1.735b21f8722b8p-13, -0x1.70ecf35ebc2a6p-13, -0x1.6e81de93f44f4p-13, -0x1.6c19e2f79fddbp-13, -0x1.69b4ffdb33051p-13, -0x1.675334823d035p-13, -0x1.64f48022a47e4p-13, -0x1.6298e1e50363p-13, -0x1.604058e49c16fp-13, -0x1.5deae42ff6318p-13, -0x1.5b9882c8c543dp-13, -0x1.594933a469a6p-13, -0x1.56fcf5abe4c22p-13, -0x1.54b3c7bc4e2b6p-13, -0x1.526da8a6e03b2p-13, -0x1.502a973168a72p-13, -0x1.4dea9216367e8p-13, -0x1.4bad98049af6dp-13, -0x1.4973a7a0ddb6ep-13, -0x1.473cbf84b3bb8p-13, -0x1.4508de3f3ca41p-13, -0x1.42d802553f0b6p-13, -0x1.40aa2a419751cp-13, -0x1.3e7f5475035f2p-13, -0x1.3c577f56db48bp-13, -0x1.3a32a944b90bap-13, -0x1.3810d0930a78p-13, -0x1.35f1f38d1ce62p-13, -0x1.33d6107557c2bp-13, -0x1.31bd25855b2e6p-13, -0x1.2fa730ee4ac0cp-13, -0x1.2d9430d8e40c7p-13, -0x1.2b842365ba121p-13, -0x1.297706ad5eaefp-13, -0x1.276cd8c096dafp-13, -0x1.256597a875ae2p-13, -0x1.23614166a555fp-13, -0x1.215fd3f56d636p-13, -0x1.1f614d4804c25p-13, -0x1.1d65ab4aa58ap-13, -0x1.1b6cebe2a802fp-13, -0x1.19770ceed8383p-13, -0x1.17840c47678e1p-13, -0x1.1593e7be5d593p-13, -0x1.13a69d1f5e1fcp-13, -0x1.11bc2a303f513p-13, -0x1.0fd48cb0ccba4p-13, -0x1.0defc25b32cep-13, -0x1.0c0dc8e400731p-13, -0x1.0a2e9dfa55d9cp-13, -0x1.08523f48109efp-13, -0x1.0678aa71eeecbp-13, -0x1.04a1dd179de3cp-13, -0x1.02cdd4d3fa757p-13, -0x1.00fc8f3d1e001p-13, -0x1.fe5c13c91fb1ap-14, -0x1.fac484aed2a6bp-14, -0x1.f7326c3cb6522p-14, -0x1.f3a5c57bfee11p-14, -0x1.f01e8b6d87fe8p-14, -0x1.ec9cb90a6fcp-14, -0x1.e92049440da4p-14, -0x1.e5a9370470ab3p-14, -0x1.e2377d2e50ef8p-14, -0x1.decb169db8f9ep-14, -0x1.db63fe27c31b1p-14, -0x1.d8022e9b4bc33p-14, -0x1.d4a5a2c0bf112p-14, -0x1.d14e555acb2a2p-14, -0x1.cdfc4125fb589p-14, -0x1.caaf60d9ab3d6p-14, -0x1.c767af2773188p-14, -0x1.c42526bc3432fp-14, -0x1.c0e7c23f6f88dp-14, -0x1.bdaf7c545400cp-14, -0x1.ba7c4f99301bap-14, -0x1.b74e36a82f1bp-14, -0x1.b4252c1746fdcp-14, -0x1.b1012a788b5dap-14, -0x1.ade22c5a3a0b9p-14, -0x1.aac82c472abffp-14, -0x1.a7b324c691dbp-14, -0x1.a4a3105cbbbe7p-14, -0x1.a197e98aa1f9fp-14, -0x1.9e91aace97df5p-14, -0x1.9b904ea4264cbp-14, -0x1.9893cf84739e7p-14, -0x1.959c27e61f4bp-14, -0x1.92a9523de8e1cp-14, -0x1.8fbb48fe2aea4p-14, -0x1.8cd20697ce726p-14, -0x1.89ed8579a49a6p-14, -0x1.870dc01143421p-14, -0x1.8432b0caa3654p-14, -0x1.815c5210b926bp-14, -0x1.7e8a9e4d14b23p-14, -0x1.7bbd8fe8a697ep-14, -0x1.78f5214b44f0dp-14, -0x1.76314cdc50058p-14, -0x1.73720d026e07fp-14, -0x1.70b75c2421acdp-14, -0x1.6e0134a7699d7p-14, -0x1.6b4f90f24e996p-14, -0x1.68a26b6acd208p-14, -0x1.65f9be76e351ap-14, -0x1.6355847d0bf47p-14, -0x1.60b5b7e3c05fap-14, -0x1.5e1a531256692p-14, -0x1.5b83507071b91p-14, -0x1.58f0aa669dd03p-14, -0x1.56625b5e2d104p-14, -0x1.53d85dc15647p-14, -0x1.5152abfb74d02p-14, -0x1.4ed14078ef008p-14, -0x1.4c5415a776a3fp-14, -0x1.49db25f639169p-14, -0x1.47666bd5a7103p-14, -0x1.44f5e1b7f0c2fp-14, -0x1.42898210d3f4ep-14, -0x1.40214755c9375p-14, -0x1.3dbd2bfe345c2p-14, -0x1.3b5d2a8377041p-14, -0x1.39013d60c92aep-14, -0x1.36a95f13c85e6p-14, -0x1.34558a1c0e5c1p-14, -0x1.3205b8fb9e983p-14, -0x1.2fb9e636d468p-14, -0x1.2d720c54836f1p-14, -0x1.2b2e25ddeef97p-14, -0x1.28ee2d5f2e811p-14, -0x1.26b21d66c24fep-14, -0x1.2479f0863234fp-14, -0x1.2245a151b653fp-14, -0x1.20152a607182dp-14, -0x1.1de8864cad74fp-14, -0x1.1bbfafb375d9cp-14, -0x1.199aa135451eap-14, -0x1.177955756cc0bp-14, -0x1.155bc71ae7b52p-14, -0x1.1341f0cf92738p-14, -0x1.112bcd410f06p-14, -0x1.0f19572024589p-14, -0x1.0d0a8921290cep-14, -0x1.0aff5dfc0a526p-14, -0x1.08f7d06c53a57p-14, -0x1.06f3db311c9d5p-14, -0x1.04f3790d6da01p-14, -0x1.02f6a4c7c41f8p-14, -0x1.00fd592ab45ecp-14, -0x1.fe0f2209345d1p-15, -0x1.fa2a8e4f2a497p-15, -0x1.f64cecd3fea6fp-15, -0x1.f276334bda68p-15, -0x1.eea657734f93ep-15, -0x1.eadd4f0f1fa11p-15, -0x1.e71b0fec22f59p-15, -0x1.e35f8fdfb6118p-15, -0x1.dfaac4c7c4baap-15, -0x1.dbfca48a31f17p-15, -0x1.d8552516557cdp-15, -0x1.d4b43c630ce1p-15, -0x1.d119e0713a85ep-15, -0x1.cd860749515fcp-15, -0x1.c9f8a6fdb2f04p-15, -0x1.c671b5a8ccd95p-15, -0x1.c2f1296eddbf4p-15, -0x1.bf76f87c44effp-15, -0x1.bc0319076755cp-15, -0x1.b895814f1b39p-15, -0x1.b52e279c05badp-15, -0x1.b1cd023fb32afp-15, -0x1.ae7207952d45p-15, -0x1.ab1d2e00c581cp-15, -0x1.a7ce6bf08e25dp-15, -0x1.a485b7db8c87dp-15, -0x1.a1430842f9004p-15, -0x1.9e0653b0ddd46p-15, -0x1.9acf90b96083bp-15, -0x1.979eb5fa4bf7cp-15, -0x1.9473ba1aa5827p-15, -0x1.914e93cc0d973p-15, -0x1.8e2f39c8bebdbp-15, -0x1.8b15a2d602a26p-15, -0x1.8801c5c1c9fe8p-15, -0x1.84f39964cca13p-15, -0x1.81eb14a119389p-15, -0x1.7ee82e62ef4b1p-15, -0x1.7beadda04e162p-15, -0x1.78f319597a38ep-15, -0x1.7600d8984f53p-15, -0x1.731412711c83dp-15, -0x1.702cbe01d992ap-15, -0x1.6d4ad272b42a7p-15, -0x1.6a6e46f618dbcp-15, -0x1.679712c825285p-15, -0x1.64c52d2faaebcp-15, -0x1.61f88d7cf5d32p-15, -0x1.5f312b0b12819p-15, -0x1.5c6efd3eab16ep-15, -0x1.59b1fb870c08cp-15, -0x1.56fa1d5d55b12p-15, -0x1.54475a450f4d5p-15, -0x1.5199a9cbbba06p-15, -0x1.4ef10389651a1p-15, -0x1.4c4d5f1fcd97cp-15, -0x1.49aeb43b83742p-15, -0x1.4714fa92cc778p-15, -0x1.448029e6755e8p-15, -0x1.41f03a01770eep-15, -0x1.3f6522b8be638p-15, -0x1.3cdedbec00618p-15, -0x1.3a5d5d84695a5p-15, -0x1.37e09f7638ba4p-15, -0x1.356899bf22b42p-15, -0x1.32f5446793129p-15, -0x1.30869781e994fp-15, -0x1.2e1c8b2ab056fp-15, -0x1.2bb7178921d72p-15, -0x1.295634cda6bcfp-15, -0x1.26f9db3423468p-15, -0x1.24a203016daf8p-15, -0x1.224ea48573a1ap-15, -0x1.1fffb819d5e16p-15, -0x1.1db536224b06p-15, -0x1.1b6f170d109b2p-15, -0x1.192d535207109p-15, -0x1.16efe3738d80ep-15, -0x1.14b6bffde8eeap-15, -0x1.1281e1876c9e2p-15, -0x1.105140b0906c3p-15, -0x1.0e24d623da777p-15, -0x1.0bfc9a95b3886p-15, -0x1.09d886c4d8eadp-15, -0x1.07b8937993bfep-15, -0x1.059cb986a9aa6p-15, -0x1.0384f1c84fabcp-15, -0x1.0171352531833p-15, -0x1.fec2f91ab9f45p-16, -0x1.faab81f6a5428p-16, -0x1.f69bf6e601edep-16, -0x1.f2944a04eeefcp-16, -0x1.ee946d82f3a03p-16, -0x1.ea9c53a3316ebp-16, -0x1.e6abeebcbb129p-16, -0x1.e2c331397e665p-16, -0x1.dee20d97eefcdp-16, -0x1.db0876686dc1ep-16, -0x1.d7365e50b75c7p-16, -0x1.d36bb807b1cd3p-16, -0x1.cfa87659c5b93p-16, -0x1.cbec8c24966aap-16, -0x1.c837ec5a800dp-16, -0x1.c48a8a0012c2cp-16, -0x1.c0e4582d1d424p-16, }}, 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
      std::vector<double>(1250, 0.0), 
    }}, 
    {
      29, 0x1p+3, 0x1.0c88043b33894p+1, 0x1.907b5ecc39101p+2, -0x1.1a9fffbc067fcp-13, 
      {{
        {0x1.a47ae147ae148p+2, 0x1.a666666666666p+2, 0x1.a7ef802980468p-12, -0x1.2875668dcb8dep-10, 0x1.36f86aa150c4p-10, -0x1.200cf5af374c8p-11}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.8576e69e06a1cp-12, -0x1.16307226d948p-10, 0x1.2a0212c63b141p-10, -0x1.16ffb4db83448p-11}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.50bca80eb629ap-12, -0x1.f2de8e10a85ep-11, 0x1.15154b9c2ad4fp-10, -0x1.0c9ae58e13a76p-11}, 
        {0x1.acccccccccccdp+2, 0x1.bp+2, 0x1.218dbe42fcebp-12, -0x1.bd779e1acf4f1p-11, 0x1.00f013fe4fc22p-10, -0x1.028916b706585p-11}, 
        {0x1.bp+2, 0x1.b333333333333p+2, 0x1.ef05fdee500c2p-13, -0x1.8c04ca46c29bp-11, 0x1.db1864945e90cp-11, -0x1.f0c214bba9191p-12}, 
        {0x1.b333333333333p+2, 0x1.b666666666666p+2, 0x1.a47249094705fp-13, -0x1.5e5f3d18a080fp-11, 0x1.b5d6a3064b7bdp-11, -0x1.dc7de72da370cp-12}, 
        {0x1.b666666666666p+2, 0x1.b99999999999ap+2, 0x1.62a19bc3f4a0fp-13, -0x1.346001d216b05p-11, 0x1.9219fe7c78d38p-11, -0x1.c8368812860abp-12}, 
        {0x1.b99999999999ap+2, 0x1.bcccccccccccdp+2, 0x1.28dcfd45ac86fp-13, -0x1.0de02c1512258p-11, 0x1.6fe2b447e1f89p-11, -0x1.b3f0040754e53p-12}, 
        {0x1.bcccccccccccdp+2, 0x1.cp+2, 0x1.ecea7be00062bp-14, -0x1.d5719a89e674fp-12, 0x1.4f30b3fa88678p-11, -0x1.9fa945499100bp-12}, 
        {0x1.cp+2, 0x1.c333333333333p+2, 0x1.9585eebd7dc86p-14, -0x1.9585eebe1afc1p-12, 0x1.300401fb6a546p-11, -0x1.8b6296462ab09p-12}, 
        {0x1.c333333333333p+2, 0x1.c666666666666p+2, 0x1.4a4d18cfeb635p-14, -0x1.5baf786ee8997p-12, 0x1.125c9d1c8d874p-11, -0x1.771be30be7592p-12}, 
        {0x1.c666666666666p+2, 0x1.c99999999999ap+2, 0x1.0a105237def1ap-14, -0x1.27a05b5a913adp-12, 0x1.ec750b5db85afp-12, -0x1.62d530f2b07d2p-12}, 
        {0x1.c99999999999ap+2, 0x1.ccccccccccccdp+2, 0x1.a75f0b14d396ap-15, -0x1.f2157672d4b5cp-13, 0x1.b73b773951142p-12, -0x1.4e8e7e8c2bf21p-12}, 
        {0x1.ccccccccccccdp+2, 0x1.dp+2, 0x1.4c345fa231cb2p-15, -0x1.9f41778ac008ep-13, 0x1.850c7dd77dbp-12, -0x1.3a47cc39d0605p-12}, 
        {0x1.dp+2, 0x1.d333333333333p+2, 0x1.009ec113e998cp-15, -0x1.5629016fe1106p-13, 0x1.55e81f3538081p-12, -0x1.260119e41200ap-12}, 
        {0x1.d333333333333p+2, 0x1.d666666666666p+2, 0x1.8576e69e06a38p-16, -0x1.16305b9574d93p-13, 0x1.29ce5b530221ep-12, -0x1.11ba6787d75a6p-12}, 
        {0x1.d666666666666p+2, 0x1.d99999999999ap+2, 0x1.218dbe42fcee6p-16, -0x1.bd779add25115p-14, 0x1.00bf3231d507ap-12, -0x1.fae76a919240cp-13}, 
        {0x1.d99999999999ap+2, 0x1.dcccccccccccdp+2, 0x1.a4724909470a6p-17, -0x1.5e5f3cdd50c36p-14, 0x1.b575479aa0eadp-13, -0x1.d25a053733bd6p-13}, 
        {0x1.dcccccccccccdp+2, 0x1.ep+2, 0x1.28dcfd45ac8fp-17, -0x1.0de02c0fdb98dp-14, 0x1.6f81606bf2c1dp-13, -0x1.a9cca3138bb48p-13}, 
        {0x1.ep+2, 0x1.e333333333333p+2, 0x1.9585eebd7dd7p-18, -0x1.9585eec47b906p-15, 0x1.2fa2ae5c3766fp-13, -0x1.813f34f11e703p-13}, 
        {0x1.e333333333333p+2, 0x1.e666666666666p+2, 0x1.0a105237df1p-18, -0x1.27a05b406dff7p-15, 0x1.ebb2667018dfdp-14, -0x1.58b1f39375b36p-13}, 
        {0x1.e666666666666p+2, 0x1.e99999999999ap+2, 0x1.4c345fa231eep-19, -0x1.9f41784d8211ep-16, 0x1.8449d090a8c44p-14, -0x1.30240b20c397p-13}, 
        {0x1.e99999999999ap+2, 0x1.ecccccccccccdp+2, 0x1.8576e69e075ffp-20, -0x1.163058be91f8cp-16, 0x1.290bcd3a07af1p-14, -0x1.0798923e73f13p-13}, 
        {0x1.ecccccccccccdp+2, 0x1.fp+2, 0x1.a472490948dp-21, -0x1.5e5f520e87df5p-17, 0x1.b3ef42b4fd014p-15, -0x1.be08045d79191p-14}, 
        {0x1.fp+2, 0x1.f333333333333p+2, 0x1.9585eebd82401p-22, -0x1.9585508d3f651p-18, 0x1.2e200e328be0bp-15, -0x1.6d22be89bd676p-14}, 
        {0x1.f333333333333p+2, 0x1.f666666666666p+2, 0x1.4c345fa238401p-23, -0x1.9f461446d6afap-19, 0x1.812b43ac0c844p-16, -0x1.1b403de0c351dp-14}, 
        {0x1.f666666666666p+2, 0x1.f99999999999ap+2, 0x1.a472490964001p-25, -0x1.5e3ccfbd5343cp-20, 0x1.ae6fd6b0c8411p-17, -0x1.9a1d9c848881fp-15}, 
        {0x1.f99999999999ap+2, 0x1.fcccccccccccdp+2, 0x1.4c345fa2e8p-27, -0x1.a14363a53ac6dp-22, 0x1.70bc24c286451p-18, -0x1.c459553cacff8p-16}, 
        {0x1.fcccccccccccdp+2, 0x1p+3, 0x1.4c345fac8p-31, -0x1.6351982ff555p-25, 0x1.854d6012138p-20, -0x1.2eafc63b8fd1fp-15}, 
      }}, 
      0x1.1cd1be69e99aap-11, -0x1.b6fde1151ec55p-9
    }
  };
  // clang-format on
}

} // namespace dftb
} // namespace Sparrow
} // namespace Scine
